-- *********************************************************************
-- Update Database Script
-- *********************************************************************
-- Change Log: changelog/db-changelog-master.xml
-- Ran at: 3/4/22, 9:05 AM
-- Against: spatial@offline:postgresql?version=9&changeLogFile=target/databasechangelog.csv&outputLiquibaseSql=true
-- Liquibase version: 3.10.1
-- *********************************************************************

CREATE TABLE databasechangelog (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP WITHOUT TIME ZONE NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

-- Changeset schema/tables/report_layer_config.xml::1::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS report_layer_config_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/report_layer_config.xml', NOW(), 1, '8:ad03e9372de5bc6e7f8d619bf7098385', 'createSequence sequenceName=report_layer_config_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/report_layer_config.xml::1439890745706-44::padhyad
CREATE TABLE report_layer_config (id BIGINT NOT NULL, report_connect_service_area_id BIGINT, area_connect_group_id BIGINT NOT NULL, layer_order BIGINT NOT NULL, sld TEXT, CONSTRAINT report_layer_config_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-44', 'padhyad', 'schema/tables/report_layer_config.xml', NOW(), 3, '8:1511a2c34ee3d6f969dbd84a9d289213', 'createTable tableName=report_layer_config', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/report_layer_config.xml::7681678168717::dubduan
ALTER TABLE report_layer_config ALTER COLUMN  id SET DEFAULT nextval('report_layer_config_seq');

ALTER SEQUENCE report_layer_config_seq OWNED BY report_layer_config.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('7681678168717', 'dubduan', 'schema/tables/report_layer_config.xml', NOW(), 5, '8:f31175f2ec5a2b989790afeac6759177', 'addDefaultValue columnName=id, tableName=report_layer_config', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/report_connect_service_areas.xml::1::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS report_conn_serv_area_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/report_connect_service_areas.xml', NOW(), 7, '8:8101461a507e1065fc165fa6d81fa4c2', 'createSequence sequenceName=report_conn_serv_area_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/report_connect_service_areas.xml::1439890745706-42::padhyad
CREATE TABLE report_connect_service_area (id BIGINT NOT NULL, report_connect_spatial_id BIGINT NOT NULL, service_layer_id SMALLINT NOT NULL, sql_filter TEXT, layer_order SMALLINT NOT NULL, layer_type VARCHAR(255) NOT NULL, area_type VARCHAR(255), CONSTRAINT report_layer_mapping_pkey PRIMARY KEY (id));

COMMENT ON COLUMN report_connect_service_area.service_layer_id IS 'soft link to the Layers table';

COMMENT ON COLUMN report_connect_service_area.sql_filter IS 'this will contain the actual area ID in a particular area table';

COMMENT ON COLUMN report_connect_service_area.layer_order IS 'The order of the layer group';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-42', 'padhyad', 'schema/tables/report_connect_service_areas.xml', NOW(), 9, '8:ed3ffe7dcf117ba3ba8d421f278b5c83', 'createTable tableName=report_connect_service_area', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/report_connect_service_areas.xml::1439890745706-63::padhyad
ALTER TABLE report_layer_config ADD CONSTRAINT r_lay_conf_r_conn_ser_ar_fkey FOREIGN KEY (report_connect_service_area_id) REFERENCES report_connect_service_area (id) ON UPDATE RESTRICT ON DELETE RESTRICT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-63', 'padhyad', 'schema/tables/report_connect_service_areas.xml', NOW(), 11, '8:c4ba6f6434e462a3d99c8874c2781648', 'addForeignKeyConstraint baseTableName=report_layer_config, constraintName=r_lay_conf_r_conn_ser_ar_fkey, referencedTableName=report_connect_service_area', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/report_connect_service_areas.xml::76834618168717::dubduan
ALTER TABLE report_connect_service_area ALTER COLUMN  id SET DEFAULT nextval('report_conn_serv_area_seq');

ALTER SEQUENCE report_conn_serv_area_seq OWNED BY report_connect_service_area.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/report_connect_service_areas.xml', NOW(), 13, '8:d0ea6321460c929b4ac68dffe807af7c', 'addDefaultValue columnName=id, tableName=report_connect_service_area', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/report_connect_spatial.xml::1::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS report_connect_spatial_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/report_connect_spatial.xml', NOW(), 15, '8:029297599db77e16866da75e56491717', 'createSequence sequenceName=report_connect_spatial_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/report_connect_spatial.xml::1439890745706-43::padhyad
CREATE TABLE report_connect_spatial (id BIGINT NOT NULL, report_id BIGINT NOT NULL, map_center VARCHAR(255), map_zoom SMALLINT, map_proj_id BIGINT, display_proj_id BIGINT, display_format VARCHAR(255), measurement_units VARCHAR(255), scalebar_units VARCHAR(255), styles_settings TEXT, app_version VARCHAR(255), visibility_settings TEXT, reference_data TEXT, CONSTRAINT report_connect_spatial_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-43', 'padhyad', 'schema/tables/report_connect_spatial.xml', NOW(), 17, '8:594eae73b082077d549c37f5f956834f', 'createTable tableName=report_connect_spatial', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/report_connect_spatial.xml::1439890745706-58::padhyad
ALTER TABLE report_connect_service_area ADD CONSTRAINT rep_c_serv_ar_rep_con_spa_fkey FOREIGN KEY (report_connect_spatial_id) REFERENCES report_connect_spatial (id) ON UPDATE RESTRICT ON DELETE RESTRICT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-58', 'padhyad', 'schema/tables/report_connect_spatial.xml', NOW(), 19, '8:5437d3fae8290d95fb9c4d2dcc933a0e', 'addForeignKeyConstraint baseTableName=report_connect_service_area, constraintName=rep_c_serv_ar_rep_con_spa_fkey, referencedTableName=report_connect_spatial', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/report_connect_spatial.xml::76834618168717::dubduan
ALTER TABLE report_connect_spatial ALTER COLUMN  id SET DEFAULT nextval('report_connect_spatial_seq');

ALTER SEQUENCE report_connect_spatial_seq OWNED BY report_connect_spatial.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/report_connect_spatial.xml', NOW(), 21, '8:54346530232a347cdadfd290ac705e30', 'addDefaultValue columnName=id, tableName=report_connect_spatial', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/area_location_types.xml::1439890745706-51::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS area_location_types_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-51', 'emrinalgr', 'schema/tables/area_location_types.xml', NOW(), 23, '8:698d4c2a424e67274643bd4b58f74702', 'createSequence sequenceName=area_location_types_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/area_location_types.xml::1439890745706-33::padhyad
CREATE TABLE area_location_types (id BIGINT NOT NULL, service_layer_id SMALLINT NOT NULL, type_name VARCHAR(255) NOT NULL, area_type_desc VARCHAR(255), area_db_table VARCHAR(255) NOT NULL, is_system_wide BOOLEAN NOT NULL, is_location BOOLEAN NOT NULL, CONSTRAINT area_types_pkey PRIMARY KEY (id));

COMMENT ON COLUMN area_location_types.type_name IS 'Area type';

COMMENT ON COLUMN area_location_types.area_db_table IS 'This will keep the name of the table of the particular area type.             For instance, user defined maps are stored in USER_AREA.';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-33', 'padhyad', 'schema/tables/area_location_types.xml', NOW(), 25, '8:8478f1d32e2def1577f850c987bda067', 'createTable tableName=area_location_types', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/area_location_types.xml::1439890745706-50::padhyad
ALTER TABLE area_location_types ADD CONSTRAINT area_location_key UNIQUE (type_name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-50', 'padhyad', 'schema/tables/area_location_types.xml', NOW(), 27, '8:d21cecc2e125ab10661259b966417fe4', 'addUniqueConstraint constraintName=area_location_key, tableName=area_location_types', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/area_location_types.xml::76814618168717::dubduan
ALTER TABLE area_location_types ALTER COLUMN  id SET DEFAULT nextval('area_location_types_seq');

ALTER SEQUENCE area_location_types_seq OWNED BY area_location_types.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76814618168717', 'dubduan', 'schema/tables/area_location_types.xml', NOW(), 29, '8:d8bd60c4f4fa92479685a9c8aa0d4bb7', 'addDefaultValue columnName=id, tableName=area_location_types', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/bookmark.xml::1::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS bookmark_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/bookmark.xml', NOW(), 31, '8:52218eb3cc051def607ae6b8462aa129', 'createSequence sequenceName=bookmark_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/bookmark.xml::1439890745706-34::padhyad
CREATE TABLE bookmark (id BIGINT NOT NULL, srs SMALLINT NOT NULL, name VARCHAR(255) NOT NULL, extent VARCHAR(255) NOT NULL, created_by VARCHAR(255) NOT NULL, CONSTRAINT bookmark_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-34', 'padhyad', 'schema/tables/bookmark.xml', NOW(), 33, '8:98de8c2c0cf9e448aed81cb298f9a7d9', 'createTable tableName=bookmark', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/bookmark.xml::7681719168717::dubduan
ALTER TABLE bookmark ALTER COLUMN  id SET DEFAULT nextval('bookmark_seq');

ALTER SEQUENCE bookmark_seq OWNED BY bookmark.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('7681719168717', 'dubduan', 'schema/tables/bookmark.xml', NOW(), 35, '8:f6ac10609ebc62b8b7ddf07a366bd374', 'addDefaultValue columnName=id, tableName=bookmark', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/eez.xml::11::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS eez_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('11', 'emrinalgr', 'schema/tables/eez.xml', NOW(), 37, '8:4db4394ec2d7b48dd872b1a695fb402d', 'createSequence sequenceName=eez_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/eez.xml::1439890745706-35::padhyad
CREATE TABLE eez (gid BIGINT NOT NULL, geom geometry(Multipolygon, 4326), name VARCHAR(255), country VARCHAR(100), sovereign VARCHAR(100), remarks VARCHAR(150), sov_id BIGINT, eez_id BIGINT, code VARCHAR(20), mrgid DOUBLE PRECISION, date_chang VARCHAR(50), area_m2 FLOAT, longitude FLOAT, latitude FLOAT, mrgid_eez BIGINT, enabled BOOLEAN NOT NULL, enabled_on TIMESTAMP WITH TIME ZONE, CONSTRAINT eez_pkey PRIMARY KEY (gid));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-35', 'padhyad', 'schema/tables/eez.xml', NOW(), 39, '8:bf01bdf38d1db1e81b711c2ff96eac15', 'createTable tableName=eez', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/eez.xml::1::emrinalgr
CREATE INDEX eez_geom_index ON eez USING GIST (geom);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/eez.xml', NOW(), 41, '8:c5a75a14389b7e27d168fb246dc0b624', 'createSpatialIndex indexName=eez_geom_index, tableName=eez', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/eez.xml::76834618168717::dubduan
ALTER TABLE eez ALTER COLUMN  gid SET DEFAULT nextval('eez_seq');

ALTER SEQUENCE eez_seq OWNED BY eez.gid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/eez.xml', NOW(), 43, '8:875efd1577f1dba66fe9cc94b788f304', 'addDefaultValue columnName=gid, tableName=eez', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/fao.xml::10::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS fao_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('10', 'emrinalgr', 'schema/tables/fao.xml', NOW(), 45, '8:24247749ab25dbb2cd49466e466ac990', 'createSequence sequenceName=fao_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/fao.xml::1462799386763-8::martinhu
CREATE TABLE fao (gid BIGINT NOT NULL, geom geometry(Multipolygon, 4326), ocean VARCHAR(50), subocean VARCHAR(50), f_area VARCHAR(50), name VARCHAR(50), area_l VARCHAR(50), f_subarea VARCHAR(50), subarea_n VARCHAR(50), subarea_l VARCHAR(50), f_division VARCHAR(50), division_n VARCHAR(50), division_l VARCHAR(50), f_subdivis VARCHAR(50), subdivis_n VARCHAR(50), subdivis_l VARCHAR(50), f_subunit VARCHAR(50), subunit_n VARCHAR(50), subunit_l VARCHAR(50), ele_name VARCHAR(50), ele_label VARCHAR(50), ele_type VARCHAR(50), f_label VARCHAR(16), code VARCHAR(20), enabled BOOLEAN NOT NULL, enabled_on TIMESTAMP WITH TIME ZONE, CONSTRAINT fao_pkey PRIMARY KEY (gid));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462799386763-8', 'martinhu', 'schema/tables/fao.xml', NOW(), 47, '8:8063eb1ffe91f8a30541160142e07771', 'createTable tableName=fao', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/fao.xml::1::emrinalgr
CREATE INDEX fao_geom_index ON fao USING GIST (geom);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/fao.xml', NOW(), 49, '8:e77d6abd0c288dbc72f2fd34b44278cb', 'createSpatialIndex indexName=fao_geom_index, tableName=fao', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/fao.xml::76834618168717::dubduan
ALTER TABLE fao ALTER COLUMN  gid SET DEFAULT nextval('fao_seq');

ALTER SEQUENCE fao_seq OWNED BY fao.gid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/fao.xml', NOW(), 51, '8:798bf45b42a6a488f311f3aed2301943', 'addDefaultValue columnName=gid, tableName=fao', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/gfcm.xml::12::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS gfcm_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12', 'emrinalgr', 'schema/tables/gfcm.xml', NOW(), 53, '8:80dea1f8b1ea604ee19aa66ef369f983', 'createSequence sequenceName=gfcm_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/gfcm.xml::1462540272744-9::martinhu
CREATE TABLE gfcm (gid BIGINT NOT NULL, geom geometry(Multipolygon, 4326), name VARCHAR(255), code VARCHAR(20), enabled BOOLEAN NOT NULL, enabled_on TIMESTAMP WITH TIME ZONE, CONSTRAINT gfcm_pkey PRIMARY KEY (gid));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462540272744-9', 'martinhu', 'schema/tables/gfcm.xml', NOW(), 55, '8:5f35319743730e0764279490a5ff2a94', 'createTable tableName=gfcm', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/gfcm.xml::1::emrinalgr
CREATE INDEX gfcm_geom_index ON gfcm USING GIST (geom);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/gfcm.xml', NOW(), 57, '8:d9cbd82650ca72fa13869f39207c5ae5', 'createSpatialIndex indexName=gfcm_geom_index, tableName=gfcm', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/gfcm.xml::76834618168717::dubduan
ALTER TABLE gfcm ALTER COLUMN  gid SET DEFAULT nextval('gfcm_seq');

ALTER SEQUENCE gfcm_seq OWNED BY gfcm.gid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/gfcm.xml', NOW(), 59, '8:10b33abda20345ab12206c538daab7ae', 'addDefaultValue columnName=gid, tableName=gfcm', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/port.xml::6::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS port_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('6', 'emrinalgr', 'schema/tables/port.xml', NOW(), 61, '8:476c48246f38fb31b9086dd79970044d', 'createSequence sequenceName=port_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/port.xml::1439890745706-38::padhyad
CREATE TABLE port (gid BIGINT NOT NULL, geom geometry(Multipoint, 4326), country_code VARCHAR(3), code VARCHAR(20), name VARCHAR(100), fishing_port BOOLEAN, landing_place BOOLEAN, commercial_port BOOLEAN, enabled BOOLEAN NOT NULL, enabled_on TIMESTAMP WITH TIME ZONE, CONSTRAINT port_pkey PRIMARY KEY (gid));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-38', 'padhyad', 'schema/tables/port.xml', NOW(), 63, '8:00437575115203960ea0f636b85edfec', 'createTable tableName=port', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/port.xml::1::emrinalgr
CREATE INDEX port_geom_index ON port USING GIST (geom);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/port.xml', NOW(), 65, '8:099f4b359054a8a1e94526b5dc22ccff', 'createSpatialIndex indexName=port_geom_index, tableName=port', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/port.xml::76834618168717::dubduan
ALTER TABLE port ALTER COLUMN  gid SET DEFAULT nextval('port_seq');

ALTER SEQUENCE port_seq OWNED BY port.gid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/port.xml', NOW(), 67, '8:de6e390985240f9b39bef3d60df7d723', 'addDefaultValue columnName=gid, tableName=port', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/port_area.xml::9::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS port_area_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9', 'emrinalgr', 'schema/tables/port_area.xml', NOW(), 69, '8:a09e07d30bd54b3a7ed112483bad424e', 'createSequence sequenceName=port_area_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/port_area.xml::1439990745706-38::padhyad
CREATE TABLE port_area (gid BIGINT NOT NULL, geom geometry(Multipolygon, 4326), code VARCHAR(20), name VARCHAR(255), enabled BOOLEAN NOT NULL, enabled_on TIMESTAMP WITH TIME ZONE, CONSTRAINT port_area_pkey PRIMARY KEY (gid));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439990745706-38', 'padhyad', 'schema/tables/port_area.xml', NOW(), 71, '8:369c54a9a62fd760d32801231b6a47ce', 'createTable tableName=port_area', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/port_area.xml::1::emrinalgr
CREATE INDEX port_area_geom_index ON port_area USING GIST (geom);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/port_area.xml', NOW(), 73, '8:72764f355d35771f84f4c8d89bbf23bd', 'createSpatialIndex indexName=port_area_geom_index, tableName=port_area', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/port_area.xml::76834618168717::dubduan
ALTER TABLE port_area ALTER COLUMN  gid SET DEFAULT nextval('port_area_seq');

ALTER SEQUENCE port_area_seq OWNED BY port_area.gid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/port_area.xml', NOW(), 75, '8:dce3ab54eda6b45d174917a31a080ed0', 'addDefaultValue columnName=gid, tableName=port_area', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/projection.xml::1::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS projection_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/projection.xml', NOW(), 77, '8:ad317d17632fc5ee012f5b620039f9fc', 'createSequence sequenceName=projection_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/projection.xml::1439890745706-39::padhyad
CREATE TABLE projection (id BIGINT NOT NULL, name VARCHAR(255) NOT NULL, srs_code BIGINT NOT NULL, proj_def TEXT, formats VARCHAR(255) NOT NULL, units VARCHAR(255) NOT NULL, world BOOLEAN NOT NULL, extent VARCHAR(255) NOT NULL, axis VARCHAR(3) NOT NULL, world_extent VARCHAR(255) NOT NULL);

COMMENT ON COLUMN projection.srs_code IS 'epsg code';

COMMENT ON COLUMN projection.proj_def IS 'proj4js definition';

COMMENT ON COLUMN projection.formats IS 'dd;dms;ddm
m';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-39', 'padhyad', 'schema/tables/projection.xml', NOW(), 79, '8:f0bfd7c8ca04858a07059b3950e70b02', 'createTable tableName=projection', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/projection.xml::1439890745706-49::padhyad
ALTER TABLE projection ADD CONSTRAINT projection_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-49', 'padhyad', 'schema/tables/projection.xml', NOW(), 81, '8:da4d7007fa2c88c2027eb63329135a1d', 'addPrimaryKey constraintName=projection_pkey, tableName=projection', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/projection.xml::1439890745706-51::padhyad
ALTER TABLE projection ADD CONSTRAINT projection_name_key UNIQUE (name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-51', 'padhyad', 'schema/tables/projection.xml', NOW(), 83, '8:0082e5bfd7f3cd94c7bc1de6a28051f2', 'addUniqueConstraint constraintName=projection_name_key, tableName=projection', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/projection.xml::1439890745706-52::padhyad
ALTER TABLE projection ADD CONSTRAINT projection_srs_code_key UNIQUE (srs_code);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-52', 'padhyad', 'schema/tables/projection.xml', NOW(), 85, '8:a5721cf9b3c15af8f3617ec024476f49', 'addUniqueConstraint constraintName=projection_srs_code_key, tableName=projection', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/projection.xml::1439890745706-60::padhyad
ALTER TABLE report_connect_spatial ADD CONSTRAINT display_proj_id_fkey FOREIGN KEY (display_proj_id) REFERENCES projection (id) ON UPDATE RESTRICT ON DELETE RESTRICT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-60', 'padhyad', 'schema/tables/projection.xml', NOW(), 87, '8:678716672bfd25c3413f0a6d9cfa6df5', 'addForeignKeyConstraint baseTableName=report_connect_spatial, constraintName=display_proj_id_fkey, referencedTableName=projection', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/projection.xml::1439890745706-61::padhyad
ALTER TABLE report_connect_spatial ADD CONSTRAINT map_proj_id_fkey FOREIGN KEY (map_proj_id) REFERENCES projection (id) ON UPDATE RESTRICT ON DELETE RESTRICT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-61', 'padhyad', 'schema/tables/projection.xml', NOW(), 89, '8:569031cfdb163613cbec45f998c489cf', 'addForeignKeyConstraint baseTableName=report_connect_spatial, constraintName=map_proj_id_fkey, referencedTableName=projection', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/projection.xml::76834618168717::dubduan
ALTER TABLE projection ALTER COLUMN  id SET DEFAULT nextval('projection_seq');

ALTER SEQUENCE projection_seq OWNED BY projection.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/projection.xml', NOW(), 91, '8:64a41fa2c6883949ca9d5dfac6099eae', 'addDefaultValue columnName=id, tableName=projection', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/service_layer.xml::1::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS service_layer_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/service_layer.xml', NOW(), 93, '8:e9cfbdea1fd389cbfd9578e6e2c86e85', 'createSequence sequenceName=service_layer_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/service_layer.xml::1439890745706-46::padhyad
CREATE TABLE service_layer (id SERIAL NOT NULL, user_id BIGINT, name VARCHAR(255) NOT NULL, layer_desc VARCHAR(255), provider_format_id SMALLINT NOT NULL, service_url TEXT, geo_name VARCHAR(255), srs_code BIGINT, short_copyright VARCHAR(255), long_copyright TEXT, is_internal BOOLEAN NOT NULL, style_geom VARCHAR(255), style_label VARCHAR(255), style_label_geom VARCHAR(255), subtype VARCHAR(255), CONSTRAINT layer_pkey PRIMARY KEY (id));

COMMENT ON COLUMN service_layer.name IS 'Name of the layer to be displayed at the front-end';

COMMENT ON COLUMN service_layer.layer_desc IS 'Description of the layer';

COMMENT ON COLUMN service_layer.provider_format_id IS 'link to PROVIDER_FORMAT table';

COMMENT ON COLUMN service_layer.service_url IS 'if service type is WMS than this field is mandatory';

COMMENT ON COLUMN service_layer.geo_name IS 'GeoServer layer name';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-46', 'padhyad', 'schema/tables/service_layer.xml', NOW(), 95, '8:3462a9bacd2968ff0bbf2d17e587713e', 'createTable tableName=service_layer', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/service_layer.xml::1439890745706-56::padhyad
ALTER TABLE area_location_types ADD CONSTRAINT types_service_layer_id_fkey FOREIGN KEY (service_layer_id) REFERENCES service_layer (id) ON UPDATE RESTRICT ON DELETE RESTRICT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-56', 'padhyad', 'schema/tables/service_layer.xml', NOW(), 97, '8:df4d40696e7b6c9deba6f4d7d660b57b', 'addForeignKeyConstraint baseTableName=area_location_types, constraintName=types_service_layer_id_fkey, referencedTableName=service_layer', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/service_layer.xml::1439890745706-59::padhyad
ALTER TABLE report_connect_service_area ADD CONSTRAINT area_service_layer_fkey FOREIGN KEY (service_layer_id) REFERENCES service_layer (id) ON UPDATE RESTRICT ON DELETE RESTRICT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-59', 'padhyad', 'schema/tables/service_layer.xml', NOW(), 99, '8:d2a802e8e9dca4ef7a2cfb2baf8d659f', 'addForeignKeyConstraint baseTableName=report_connect_service_area, constraintName=area_service_layer_fkey, referencedTableName=service_layer', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/service_layer.xml::76834618168717::dubduan
ALTER TABLE service_layer ALTER COLUMN  id SET DEFAULT nextval('service_layer_seq');

ALTER SEQUENCE service_layer_seq OWNED BY service_layer.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/service_layer.xml', NOW(), 101, '8:aea38be018a9c7ae5794b086149ad9a1', 'addDefaultValue columnName=id, tableName=service_layer', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/provider_format.xml::1::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS provider_format_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/provider_format.xml', NOW(), 103, '8:9d75bd95330dcdbf52381d245e9a1d53', 'createSequence sequenceName=provider_format_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/provider_format.xml::1439890745706-40::padhyad
CREATE TABLE provider_format (id BIGINT NOT NULL, service_type VARCHAR(10) NOT NULL, CONSTRAINT provider_format_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-40', 'padhyad', 'schema/tables/provider_format.xml', NOW(), 105, '8:53d0cd2bfa53edc8fac3cdd3c7b8a9f9', 'createTable tableName=provider_format', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/provider_format.xml::1439890745706-64::padhyad
ALTER TABLE service_layer ADD CONSTRAINT provider_format_id_fkey FOREIGN KEY (provider_format_id) REFERENCES provider_format (id) ON UPDATE RESTRICT ON DELETE RESTRICT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-64', 'padhyad', 'schema/tables/provider_format.xml', NOW(), 107, '8:bd45dea7e87188e9b269e2e6ae7fcef5', 'addForeignKeyConstraint baseTableName=service_layer, constraintName=provider_format_id_fkey, referencedTableName=provider_format', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/provider_format.xml::76834618168717::dubduan
ALTER TABLE provider_format ALTER COLUMN  id SET DEFAULT nextval('provider_format_seq');

ALTER SEQUENCE provider_format_seq OWNED BY provider_format.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/provider_format.xml', NOW(), 109, '8:4bfdc601fb7d00c4e7d5b1737710ea3d', 'addDefaultValue columnName=id, tableName=provider_format', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/rfmo.xml::4::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS rfmo_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4', 'emrinalgr', 'schema/tables/rfmo.xml', NOW(), 111, '8:3d3a008af93739fc6f981e66f73fb3bb', 'createSequence sequenceName=rfmo_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/rfmo.xml::1439890745706-45::padhyad
CREATE TABLE rfmo (gid BIGINT NOT NULL, geom geometry(Multipolygon, 4326), code VARCHAR(20), name VARCHAR(255), tuna BOOLEAN, enabled BOOLEAN NOT NULL, enabled_on TIMESTAMP WITH TIME ZONE, CONSTRAINT rfmo_pkey PRIMARY KEY (gid));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-45', 'padhyad', 'schema/tables/rfmo.xml', NOW(), 113, '8:76e491d0b9174a1ec56f73865a6c587d', 'createTable tableName=rfmo', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/rfmo.xml::1::emrinalgr
CREATE INDEX rfmo_geom_index ON rfmo USING GIST (geom);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/rfmo.xml', NOW(), 115, '8:aad3651429bac74ec5ef7889255e3ec9', 'createSpatialIndex indexName=rfmo_geom_index, tableName=rfmo', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/rfmo.xml::76834618168717::dubduan
ALTER TABLE rfmo ALTER COLUMN  gid SET DEFAULT nextval('rfmo_seq');

ALTER SEQUENCE rfmo_seq OWNED BY rfmo.gid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/rfmo.xml', NOW(), 117, '8:e69901e9eb4d5918a162b9d3623c710a', 'addDefaultValue columnName=gid, tableName=rfmo', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/stat_rect.xml::2::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS stat_rect_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'emrinalgr', 'schema/tables/stat_rect.xml', NOW(), 119, '8:380f666a2e61a329598140cb5cc95067', 'createSequence sequenceName=stat_rect_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/stat_rect.xml::1462540272744-20::martinhu
CREATE TABLE stat_rect (gid BIGINT NOT NULL, geom geometry(Multipolygon, 4326), north FLOAT, south FLOAT, east FLOAT, west FLOAT, code VARCHAR(20), name VARCHAR(255), enabled BOOLEAN NOT NULL, enabled_on TIMESTAMP WITH TIME ZONE, CONSTRAINT stat_rect_pkey PRIMARY KEY (gid));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462540272744-20', 'martinhu', 'schema/tables/stat_rect.xml', NOW(), 121, '8:bfa184d55d6625f7e48387cb09ab5376', 'createTable tableName=stat_rect', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/stat_rect.xml::1::emrinalgr
CREATE INDEX stat_rect_geom_index ON stat_rect USING GIST (geom);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/stat_rect.xml', NOW(), 123, '8:c442972361705da19ddad2e2d2baa945', 'createSpatialIndex indexName=stat_rect_geom_index, tableName=stat_rect', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/stat_rect.xml::76834618168717::dubduan
ALTER TABLE stat_rect ALTER COLUMN  gid SET DEFAULT nextval('stat_rect_seq');

ALTER SEQUENCE stat_rect_seq OWNED BY stat_rect.gid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/stat_rect.xml', NOW(), 125, '8:967762e98b064723ae193a243e0ac64d', 'addDefaultValue columnName=gid, tableName=stat_rect', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/user_areas.xml::3::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS user_areas_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'emrinalgr', 'schema/tables/user_areas.xml', NOW(), 127, '8:e911b2574f40dcbc58492a78e345d7b1', 'createSequence sequenceName=user_areas_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/user_areas.xml::1455714034499-23::padhyad
CREATE TABLE user_areas (gid BIGINT NOT NULL, user_name VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, code VARCHAR(20), type VARCHAR(255), area_desc TEXT, geom geometry(Multipolygon, 4326) NOT NULL, enabled_on TIMESTAMP WITH TIME ZONE, created_on TIMESTAMP WITH TIME ZONE NOT NULL, start_date TIMESTAMP WITH TIME ZONE, end_date TIMESTAMP WITH TIME ZONE, dataset_name VARCHAR(255), enabled BOOLEAN NOT NULL, CONSTRAINT user_areas_pkey PRIMARY KEY (gid));

COMMENT ON COLUMN user_areas.name IS 'Area name';

COMMENT ON COLUMN user_areas.area_desc IS 'Description of the area';

COMMENT ON COLUMN user_areas.geom IS 'Geometry of the area';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1455714034499-23', 'padhyad', 'schema/tables/user_areas.xml', NOW(), 129, '8:89eef493a48f4cd67cbade4108c6c2ba', 'createTable tableName=user_areas', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/user_areas.xml::1::emrinalgr
CREATE INDEX user_areas_geom_index ON user_areas USING GIST (geom);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/user_areas.xml', NOW(), 131, '8:1470336241a04cec6d1376b73f20cd64', 'createSpatialIndex indexName=user_areas_geom_index, tableName=user_areas', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/user_areas.xml::76834618168717::dubduan
ALTER TABLE user_areas ALTER COLUMN  gid SET DEFAULT nextval('user_areas_seq');

ALTER SEQUENCE user_areas_seq OWNED BY user_areas.gid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/user_areas.xml', NOW(), 133, '8:d32e33a3e61aa5218e154347aeecd84d', 'addDefaultValue columnName=gid, tableName=user_areas', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/system_configurations.xml::1::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS system_configurations_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/system_configurations.xml', NOW(), 135, '8:0954c408ad6d1cf2c5e75019053d2efa', 'createSequence sequenceName=system_configurations_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/system_configurations.xml::1448362466453-1::georgige (generated)
CREATE TABLE system_configurations (id BIGINT NOT NULL, name VARCHAR(255) NOT NULL, value TEXT, CONSTRAINT system_configurations_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1448362466453-1', 'georgige (generated)', 'schema/tables/system_configurations.xml', NOW(), 137, '8:ce326395c9342ee5c37db787abd3e493', 'createTable tableName=system_configurations', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/system_configurations.xml::76834618168717::dubduan
ALTER TABLE system_configurations ALTER COLUMN  id SET DEFAULT nextval('system_configurations_seq');

ALTER SEQUENCE system_configurations_seq OWNED BY system_configurations.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/system_configurations.xml', NOW(), 139, '8:31529ec14c540a283e53e388c36aaf78', 'addDefaultValue columnName=id, tableName=system_configurations', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/user_scope.xml::1::emrinalgr
CREATE SEQUENCE  IF NOT EXISTS user_scope_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'emrinalgr', 'schema/tables/user_scope.xml', NOW(), 141, '8:a729bbdf295044864a7892c187abe808', 'createSequence sequenceName=user_scope_seq', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/user_scope.xml::1455203156574-24::georgige (generated)
CREATE TABLE user_scope (scope_name VARCHAR(255) NOT NULL, user_area_id BIGINT NOT NULL, id BIGINT NOT NULL, CONSTRAINT user_scope_id_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1455203156574-24', 'georgige (generated)', 'schema/tables/user_scope.xml', NOW(), 143, '8:8a799101778cfcaa66798a67cd2cc799', 'createTable tableName=user_scope', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/user_scope.xml::1455203156574-42::georgige (generated)
ALTER TABLE user_scope ADD CONSTRAINT user_area_id_fk FOREIGN KEY (user_area_id) REFERENCES user_areas (gid) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1455203156574-42', 'georgige (generated)', 'schema/tables/user_scope.xml', NOW(), 145, '8:06e22397aba8762e70c5cf05b82ceb65', 'addForeignKeyConstraint baseTableName=user_scope, constraintName=user_area_id_fk, referencedTableName=user_areas', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/user_scope.xml::76834618168717::dubduan
ALTER TABLE user_scope ALTER COLUMN  id SET DEFAULT nextval('user_scope_seq');

ALTER SEQUENCE user_scope_seq OWNED BY user_scope.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76834618168717', 'dubduan', 'schema/tables/user_scope.xml', NOW(), 147, '8:8c52cf0aad817737a02d55fe6a5be0f3', 'addDefaultValue columnName=id, tableName=user_scope', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/initdata/provider_format_init.xml::1439890745706-65::padhyad
INSERT INTO provider_format (service_type) VALUES ('OSM');

INSERT INTO provider_format (service_type) VALUES ('WMS');

INSERT INTO provider_format (service_type) VALUES ('OSEA');

INSERT INTO provider_format (service_type) VALUES ('TMS');

INSERT INTO provider_format (service_type) VALUES ('BING');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-65', 'padhyad', 'schema/initdata/provider_format_init.xml', NOW(), 149, '8:b2b99c2a39539db07fed099de293717c', 'insert tableName=provider_format; insert tableName=provider_format; insert tableName=provider_format; insert tableName=provider_format; insert tableName=provider_format', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/initdata/service_layer_init.xml::1439890745806-77::mkopyczok
INSERT INTO service_layer (name, layer_desc, provider_format_id, geo_name, srs_code, short_copyright, long_copyright, is_internal, style_geom, style_label, style_label_geom, subtype) VALUES ('EEZ', 'Exclusive Economic Zone', 2, 'uvms:eez', 4326, '&copy; <b>EEZ</b>: EU Member States, Vlaams Instituut voor de Zee.', '&copy; EU Member States, Vlaams Instituut voor de Zee (VLIZ) <a href="http://www.vliz.be" title="http://www.vliz.be" target="_blank"><i class="fa fa-external-link"></i></a>', 'true', 'eez', 'eez_label', 'eez_label_geom', 'sysarea');

INSERT INTO service_layer (name, layer_desc, provider_format_id, geo_name, srs_code, short_copyright, long_copyright, is_internal, style_geom, style_label, style_label_geom, subtype) VALUES ('RFMO', 'Regional Fisheries Management Organisation', 2, 'uvms:rfmo', 4326, '&copy; <b>RFMO</b>: European Commission, DG MARE, Master Data Register.', '<div> <div class="copy-message">&copy; European Commission, DG MARE, Master Data Register <a href="http://ec.europa.eu/fisheries/cfp/control/codes/index_en.htm" title="http://ec.europa.eu/fisheries/cfp/control/codes/index_en.htm" target="_blank"><i class="fa fa-external-link"></i></a></div> <div class="copy-disclaimer"> <div class="content">The European Commission maintains this dataset to improve public access to information about its initiatives and EU policies in general. However, the Commission accepts no responsibility or liability whatsoever with regard to the information on this geographical dataset. This information is: <ul> <li>of a general nature only and is not intended to address the specific circumstances of any particular individual or entity</li> <li>not necessarily comprehensive, complete, accurate or up-to-date</li> <li>sometimes based on external datasets over which the Commission has no control and for which it assumes no responsibility.</li> </ul> We cannot guarantee that the geographical datasets provided exactly reproduce the geographical features described in officially adopted texts. Only EU legislation published in paper editions of the Official Journal of the European Union is deemed authentic. It is our goal to minimize disruption caused by technical errors. However, some data or information in our datasets may have been created or structured in files or formats that contain errors. We cannot guarantee that our data has not been affected by such problems. This disclaimer is not intended to limit the liability of the Commission in contravention of any requirements laid down in applicable national law, nor to exclude its liability for matters which may not be excluded under that law. </div> </div> </div>', 'true', 'rfmo', 'rfmo_label', 'rfmo_label_geom', 'sysarea');

INSERT INTO service_layer (name, layer_desc, provider_format_id, geo_name, srs_code, short_copyright, long_copyright, is_internal, style_geom, style_label, style_label_geom, subtype) VALUES ('Ports', 'Ports', 2, 'uvms:port', 4326, '&copy; <b>PORTS</b>: European Commission, DG MARE, Master Data Register.', '<div> <div class="copy-message">&copy; European Commission, DG MARE, Master Data Register <a href="http://ec.europa.eu/fisheries/cfp/control/codes/index_en.htm" title="http://ec.europa.eu/fisheries/cfp/control/codes/index_en.htm" target="_blank"><i class="fa fa-external-link"></i></a></div> <div class="copy-disclaimer"> <div class="content">The European Commission maintains this dataset to improve public access to information about its initiatives and EU policies in general. However, the Commission accepts no responsibility or liability whatsoever with regard to the information on this geographical dataset. This information is: <ul> <li>of a general nature only and is not intended to address the specific circumstances of any particular individual or entity</li> <li>not necessarily comprehensive, complete, accurate or up-to-date</li> <li>sometimes based on external datasets over which the Commission has no control and for which it assumes no responsibility.</li> </ul> We cannot guarantee that the geographical datasets provided exactly reproduce the geographical features described in officially adopted texts. Only EU legislation published in paper editions of the Official Journal of the European Union is deemed authentic. It is our goal to minimize disruption caused by technical errors. However, some data or information in our datasets may have been created or structured in files or formats that contain errors. We cannot guarantee that our data has not been affected by such problems. This disclaimer is not intended to limit the liability of the Commission in contravention of any requirements laid down in applicable national law, nor to exclude its liability for matters which may not be excluded under that law. </div> </div> </div>', 'true', 'port', 'port_label', 'port_label_geom', 'port');

INSERT INTO service_layer (name, layer_desc, provider_format_id, geo_name, srs_code, short_copyright, long_copyright, is_internal, style_geom, style_label_geom, subtype) VALUES ('USERAREA', 'User Areas', 2, 'uvms:userareas', 4326, '&copy; UnionVMS', '&copy; UnionVMS', 'true', 'userareas', 'userareas_label_geom', 'userarea');

INSERT INTO service_layer (name, layer_desc, provider_format_id, srs_code, is_internal, subtype) VALUES ('OpenStreetMap', 'OpenStreetMap', 1, 3857, 'false', 'background');

INSERT INTO service_layer (name, layer_desc, srs_code, provider_format_id, is_internal, subtype) VALUES ('OpenSeaMap', 'OpenSeaMap', 3857, 3, 'false', 'additional');

INSERT INTO service_layer (name, geo_name, srs_code, provider_format_id, is_internal, subtype) VALUES ('bing_roads', 'Road', 3857, 5, 'false', 'background');

INSERT INTO service_layer (name, geo_name, srs_code, provider_format_id, is_internal, subtype) VALUES ('bing_aerial', 'Aerial', 3857, 5, 'false', 'background');

INSERT INTO service_layer (name, geo_name, srs_code, provider_format_id, is_internal, subtype) VALUES ('bing_aerial_labels', 'AerialWithLabels', 3857, 5, 'false', 'background');

INSERT INTO service_layer (name, layer_desc, provider_format_id, geo_name, srs_code, short_copyright, long_copyright, is_internal, style_geom, style_label, style_label_geom, subtype) VALUES ('Port Areas', 'Port Areas', 2, 'uvms:port_area', 4326, '&copy; <b>PORT AREAS</b>: areas generated by UnionVMS.', '&copy; Port areas generated by UnionVMS based on the EC PORTS dataset', 'true', 'port_area', 'port_area_label', 'port_area_label_geom', 'portarea');

INSERT INTO service_layer (name, layer_desc, provider_format_id, geo_name, srs_code, short_copyright, long_copyright, is_internal, style_geom, style_label, style_label_geom, subtype) VALUES ('Statistical Rectangles', 'Statistical rectangles', 2, 'uvms:stat_rect', 4326, '&copy; <b>Statistical rectangles</b>: European Commission, DG MARE, Master Data Register.', '<div> <div class="copy-message">&copy; European Commission, DG MARE, Master Data Register <a href="http://ec.europa.eu/fisheries/cfp/control/codes/index_en.htm" title="http://ec.europa.eu/fisheries/cfp/control/codes/index_en.htm" target="_blank"><i class="fa fa-external-link"></i></a></div> <div class="copy-disclaimer"> <div class="content">The European Commission maintains this dataset to improve public access to information about its initiatives and EU policies in general. However, the Commission accepts no responsibility or liability whatsoever with regard to the information on this geographical dataset. This information is: <ul> <li>of a general nature only and is not intended to address the specific circumstances of any particular individual or entity</li> <li>not necessarily comprehensive, complete, accurate or up-to-date</li> <li>sometimes based on external datasets over which the Commission has no control and for which it assumes no responsibility.</li> </ul> We cannot guarantee that the geographical datasets provided exactly reproduce the geographical features described in officially adopted texts. Only EU legislation published in paper editions of the Official Journal of the European Union is deemed authentic. It is our goal to minimize disruption caused by technical errors. However, some data or information in our datasets may have been created or structured in files or formats that contain errors. We cannot guarantee that our data has not been affected by such problems. This disclaimer is not intended to limit the liability of the Commission in contravention of any requirements laid down in applicable national law, nor to exclude its liability for matters which may not be excluded under that law. </div> </div> </div>', 'true', 'stat_rect', 'stat_rect_label', 'stat_rect_label_geom', 'sysarea');

INSERT INTO service_layer (name, layer_desc, provider_format_id, geo_name, srs_code, short_copyright, long_copyright, is_internal, style_geom, style_label, style_label_geom, subtype) VALUES ('GFCM', 'GFCM areas', 2, 'uvms:gfcm', 4326, '&copy; <b>GFCM</b>: General Fisheries Commission for the Mediterranean.', '&copy; General Fisheries Commission for the Mediterranean <a href="http://www.fao.org/gfcm/data/map-geographical-subareas/en/" title="http://www.fao.org/gfcm/data/map-geographical-subareas/en/" target="_blank"><i class="fa fa-external-link"></i></a>', 'true', 'gfcm', 'gfcm_label', 'gfcm_label_geom', 'sysarea');

INSERT INTO service_layer (name, layer_desc, provider_format_id, geo_name, srs_code, short_copyright, long_copyright, is_internal, style_geom, style_label, style_label_geom, subtype) VALUES ('FAO', 'FAO areas', 2, 'uvms:fao', 4326, '&copy; <b>FAO</b>: Food and Agriculture Organization of the United Nations.', '&copy; Food and Agriculture Organization of the United Nations <a href="http://www.fao.org/fishery/area/search/en" title="http://www.fao.org/fishery/area/search/en" target="_blank"><i class="fa fa-external-link"></i></a>', 'true', 'fao', 'fao_label', 'fao_label_geom', 'sysarea');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745806-77', 'mkopyczok', 'schema/initdata/service_layer_init.xml', NOW(), 151, '8:9e85e165fc1d215926fe96c256d9ca2e', 'insert tableName=service_layer; insert tableName=service_layer; insert tableName=service_layer; insert tableName=service_layer; insert tableName=service_layer; insert tableName=service_layer; insert tableName=service_layer; insert tableName=servic...', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/initdata/area_location_types_init.xml::1439890745706-88::mkopyczok
INSERT INTO area_location_types (service_layer_id, type_name, area_db_table, is_system_wide, area_type_desc, is_location) VALUES (1, 'EEZ', 'eez', 'Y', 'Exclusive Economic Zone', 'N');

INSERT INTO area_location_types (service_layer_id, type_name, area_db_table, is_system_wide, area_type_desc, is_location) VALUES (2, 'RFMO', 'rfmo', 'Y', 'Regional Fisheries Management Organisation', 'N');

INSERT INTO area_location_types (service_layer_id, type_name, area_db_table, is_system_wide, area_type_desc, is_location) VALUES (3, 'PORT', 'port', 'Y', 'Port', 'Y');

INSERT INTO area_location_types (service_layer_id, type_name, area_db_table, is_system_wide, area_type_desc, is_location) VALUES (4, 'USERAREA', 'user_areas', 'Y', 'User Areas', 'N');

INSERT INTO area_location_types (service_layer_id, type_name, area_db_table, is_system_wide, area_type_desc, is_location) VALUES (5, 'OSM', 'NA', 'N', 'Open street Map', 'N');

INSERT INTO area_location_types (service_layer_id, type_name, area_db_table, is_system_wide, area_type_desc, is_location) VALUES (6, 'OSEA', 'NA', 'N', 'Open sea Map', 'N');

INSERT INTO area_location_types (service_layer_id, type_name, area_db_table, is_system_wide, area_type_desc, is_location) VALUES (10, 'PORTAREA', 'port_area', 'Y', 'Port area', 'N');

INSERT INTO area_location_types (service_layer_id, type_name, area_db_table, is_system_wide, area_type_desc, is_location) VALUES (11, 'STATRECT', 'stat_rect', 'Y', 'Statistical rectangles', 'N');

INSERT INTO area_location_types (service_layer_id, type_name, area_db_table, is_system_wide, area_type_desc, is_location) VALUES (12, 'GFCM', 'gfcm', 'Y', 'GFCM areas', 'N');

INSERT INTO area_location_types (service_layer_id, type_name, area_db_table, is_system_wide, area_type_desc, is_location) VALUES (13, 'FAO', 'fao', 'Y', 'FAO areas', 'N');

INSERT INTO area_location_types (service_layer_id, type_name, area_db_table, is_system_wide, area_type_desc, is_location) VALUES (7, 'BINGROAD', 'NA', 'N', 'Bing Road', 'N');

INSERT INTO area_location_types (service_layer_id, type_name, area_db_table, is_system_wide, area_type_desc, is_location) VALUES (8, 'BINGAREAL', 'NA', 'N', 'Bing Areal', 'N');

INSERT INTO area_location_types (service_layer_id, type_name, area_db_table, is_system_wide, area_type_desc, is_location) VALUES (9, 'BINGAREALLABELS', 'NA', 'N', 'BIng Areal Labels', 'N');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-88', 'mkopyczok', 'schema/initdata/area_location_types_init.xml', NOW(), 153, '8:ba217cae7a13a0dc7310adefe2614f6b', 'insert tableName=area_location_types; insert tableName=area_location_types; insert tableName=area_location_types; insert tableName=area_location_types; insert tableName=area_location_types; insert tableName=area_location_types; insert tableName=ar...', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/initdata/projection_init.xml::1439890746709-22::mkopyczok
INSERT INTO projection (name, srs_code, proj_def, formats, units, world, extent, axis, world_extent) VALUES ('Spherical Mercator', 3857, '+proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null +wktext  +no_defs', 'm', 'm', 'true', '-20026376.39;-20048966.10;20026376.39;20048966.10', 'enu', '-180;-89.99;180;89.99');

INSERT INTO projection (name, srs_code, proj_def, formats, units, world, extent, axis, world_extent) VALUES ('WGS 84', 4326, '+proj=longlat +datum=WGS84 +no_defs', 'dd;dms;ddm', 'degrees', 'true', '-180;-90;180;90', 'neu', '-180;-90;180;90');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890746709-22', 'mkopyczok', 'schema/initdata/projection_init.xml', NOW(), 155, '8:5b4128d6fa1b6cacf399454038c6b49a', 'insert tableName=projection; insert tableName=projection', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/initdata/system_configurations_init.xml::1448362770083-1::georgige (generated)
INSERT INTO system_configurations (name, value) VALUES ('geo_server_url', 'http://localhost:8080/geoserver/');

INSERT INTO system_configurations (name) VALUES ('bing_api_key');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1448362770083-1', 'georgige (generated)', 'schema/initdata/system_configurations_init.xml', NOW(), 157, '8:5b12a2dfce0c674e5bb20a768b961d72', 'insert tableName=system_configurations; insert tableName=system_configurations', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v0.1/db-changelog-insertStaticValues_0.1.xml::1436863739768-2::martinhu
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO eez (geom, name, country, sovereign, remarks, sov_id, eez_id, code, mrgid, date_chang, area_m2, mrgid_eez, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((93.4123155870001 -12.193964659,93.412375587 -12.178582659,93.4125065870001 -12.163201659,93.4127095870001 -12.1478206589999,93.412984587 -12.1324416589999,93.4131755870001 -12.116911659,93.4134395870001 -12.101383659,93.413775587 -12.0858556589999,93.4141855870001 -12.070329659,93.4146685870001 -12.054806659,93.4152245870001 -12.039284659,93.4158535870001 -12.0237666589999,93.4165545870001 -12.0082506589999,93.417329587 -11.9927386589999,93.4167385870001 -11.9773656589999,93.4162185870001 -11.961990659,93.4157705870001 -11.946613659,93.415393587 -11.9312346589999,93.4150895870001 -11.9158536589999,93.414856587 -11.9004716589999,93.414695587 -11.885088659,93.414605587 -11.869705659,93.4145885870001 -11.8543216589999,93.4146415870001 -11.838938659,93.4147675870001 -11.823554659,93.414964587 -11.808172659,93.415233587 -11.7927906589999,93.415573587 -11.7774106589999,93.4159855870001 -11.7620326589999,93.4164695870001 -11.7466556589999,93.4170245870001 -11.7312816589999,93.4176515870001 -11.715910659,93.4183495870001 -11.700541659,93.4191195870001 -11.685176659,93.419960587 -11.6698156589999,93.4208725870001 -11.6544576589999,93.421856587 -11.6391046589999,93.422911587 -11.6237556589999,93.424038587 -11.608411659,93.4252365870001 -11.593073659,93.4265055870001 -11.577740659,93.427845587 -11.562412659,93.4292575870001 -11.5470926589999,93.4307395870001 -11.5317776589999,93.4322935870001 -11.5164706589999,93.4339185870001 -11.501169659,93.435614587 -11.4858766589999,93.4373805870001 -11.470591659,93.4392185870001 -11.455314659,93.441126587 -11.440046659,93.443106587 -11.4247866589999,93.445156587 -11.409535659,93.447276587 -11.394294659,93.4494685870001 -11.3790636589999,93.451729587 -11.3638416589999,93.4537855870001 -11.350393659,93.455895587 -11.336953659,93.458061587 -11.3235216589999,93.4602825870001 -11.3100986589999,93.4628875870001 -11.294753659,93.4655645870001 -11.279421659,93.4683145870001 -11.264100659,93.4711345870001 -11.2487936589999,93.4740275870001 -11.233498659,93.476991587 -11.2182176589999,93.4800275870001 -11.202950658,93.4831345870001 -11.1876976579999,93.486312587 -11.1724586579999,93.4895615870001 -11.1572336579999,93.4928825870001 -11.142024658,93.4960715870001 -11.1276916579999,93.499324587 -11.1133716579999,93.502639587 -11.099066658,93.5060185870001 -11.084775658,93.509460587 -11.070499658,93.5129645870001 -11.0562376579999,93.5165325870001 -11.041991658,93.5201625870001 -11.027761658,93.5238545870001 -11.0135466579999,93.5276105870001 -10.999347658,93.5314285870001 -10.985165658,93.535308587 -10.9709996579999,93.5392515870001 -10.956850658,93.5432565870001 -10.9427186579999,93.5473235870001 -10.9286046579999,93.551557587 -10.9141436579999,93.555857587 -10.899700658,93.5602225870001 -10.885277658,93.5646535870001 -10.8708746579999,93.5691485870001 -10.8564906579999,93.5737085870001 -10.8421266579999,93.578333587 -10.8277826579999,93.5830225870001 -10.8134596579999,93.5877765870001 -10.799157658,93.5925955870001 -10.784876658,93.5974775870001 -10.7706166579999,93.6024245870001 -10.756379658,93.6074365870001 -10.742163658,93.6125115870001 -10.727969658,93.6176505870001 -10.713798658,93.6228535870001 -10.6996506579999,93.6281205870001 -10.685526658,93.6334505870001 -10.671424658,93.6388445870001 -10.6573466579999,93.6443015870001 -10.6432936579999,93.6498225870001 -10.629263658,93.6554055870001 -10.615258658,93.661162587 -10.600866658,93.6669865870001 -10.586500658,93.6728765870001 -10.572161658,93.678832587 -10.557849658,93.6848545870001 -10.5435636579999,93.690943587 -10.5293066579999,93.6970975870001 -10.5150766579999,93.7033175870001 -10.5008756579999,93.7096035870001 -10.486702658,93.7159545870001 -10.472557658,93.7223715870001 -10.458442658,93.7288535870001 -10.4443566579999,93.7354005870001 -10.430299658,93.742011587 -10.416273658,93.7486885870001 -10.4022776579999,93.755429587 -10.388311658,93.7622345870001 -10.374376658,93.7691045870001 -10.3604726579999,93.775803587 -10.347059658,93.7825625870001 -10.3336766579999,93.789380587 -10.320322658,93.7962585870001 -10.3069986579999,93.8031965870001 -10.293705658,93.8101925870001 -10.280443658,93.8172485870001 -10.267211658,93.8243635870001 -10.254011658,93.8315365870001 -10.240842658,93.8387695870001 -10.2277056579999,93.8460595870001 -10.2145996579999,93.8536445870001 -10.201098658,93.861291587 -10.1876326579999,93.8690005870001 -10.174200658,93.8767705870001 -10.160804658,93.8846025870001 -10.1474436579999,93.892496587 -10.1341176569999,93.9004515870001 -10.1208286569999,93.9084675870001 -10.1075756569999,93.916543587 -10.0943586569999,93.9246815870001 -10.081178657,93.9328795870001 -10.0680366569999,93.9411375870001 -10.0549316569999,93.949456587 -10.041863657,93.9578345880001 -10.028833657,93.966273588 -10.015842657,93.9747715880001 -10.002889657,93.9833285880001 -9.98997465699995,93.9919455880001 -9.97709965699994,94.0006215880001 -9.96426365699995,94.0093565880001 -9.95146665699997,94.0181495880001 -9.93870965699995,94.0270015880001 -9.92599365699994,94.035912588 -9.91331665699994,94.0448805880001 -9.90068165699995,94.0539065880001 -9.88808665699997,94.062991588 -9.87553265699995,94.072132588 -9.86302065699994,94.0813325880001 -9.85054965699993,94.0905885880001 -9.83812065699993,94.0999015880001 -9.82573465699994,94.1092715880001 -9.81339065699996,94.1186985880001 -9.80108865699998,94.1281815880001 -9.78883065699995,94.137720588 -9.77661465699998,94.1473155880001 -9.76444265699996,94.156966588 -9.75231465699994,94.166672588 -9.74023065699993,94.1764345880001 -9.72819065699997,94.1862515880001 -9.71619565699996,94.196122588 -9.70424465699995,94.206049588 -9.69233865699994,94.2160305880001 -9.68047765699993,94.226065588 -9.66866265699997,94.236154588 -9.65689365699996,94.2462975880001 -9.64516965699994,94.2564945880001 -9.63349265699998,94.266745588 -9.62186165699995,94.2770485880001 -9.61027765699993,94.2874045880001 -9.59874065699995,94.2978145880001 -9.58725065699997,94.3082755880001 -9.57580765699993,94.3187895880001 -9.56441265699993,94.3293565880001 -9.55306565699993,94.3399745880001 -9.54176665699993,94.3506435880001 -9.53051665699996,94.3613645880001 -9.51931465699994,94.372137588 -9.50816165699996,94.3829605880001 -9.49705765699997,94.3938345880001 -9.48600265699997,94.4047585880001 -9.47499765699996,94.4157335880001 -9.46404165699994,94.426758588 -9.45313665699996,94.437833588 -9.44228065699997,94.448957588 -9.43147565699996,94.4601305880001 -9.42072165699994,94.4713535880001 -9.41001865699997,94.4826255880001 -9.39936565699998,94.493945588 -9.38876565699996,94.505313588 -9.37821565699994,94.5167305880001 -9.36771865699995,94.5281955880001 -9.35727265699995,94.5397075880001 -9.34687965699993,94.5512675880001 -9.33653865699995,94.5628745880001 -9.32624965699995,94.5745275880001 -9.31601465699993,94.586228588 -9.30583165699994,94.5979755880001 -9.29570265699994,94.6097685880001 -9.28562765699996,94.6216075880001 -9.27560565699997,94.6334925880001 -9.26563765699996,94.645422588 -9.25572365699998,94.657397588 -9.24586365699997,94.669418588 -9.23605865699994,94.681483588 -9.22630865699995,94.6935925880001 -9.21661265699993,94.7057465880001 -9.20697265699994,94.7179445880001 -9.19738765699998,94.730185588 -9.18785865699994,94.7424705880001 -9.17838465699998,94.7547985880001 -9.16896765699994,94.7671685880001 -9.15960565699993,94.779582588 -9.15030065699995,94.7920385880001 -9.14105165699993,94.8045365880001 -9.13185965699995,94.8170755880001 -9.12272465699994,94.829657588 -9.11364665699995,94.8422795880001 -9.10462565699993,94.8549435880001 -9.09566265699993,94.8676485880001 -9.08675665699997,94.8803935880001 -9.07790965699996,94.8931785880001 -9.06911965699993,94.9060045880001 -9.06038765599993,94.9188695880001 -9.05171465599994,94.9317735880001 -9.04310065599998,94.9447175880001 -9.03454465599998,94.9577005880001 -9.02604765599995,94.9706315880001 -9.01766265599997,94.9836015880001 -9.00933565599996,94.9966085880001 -9.00106765599998,95.009653588 -8.99285865599995,95.022735588 -8.98470865599995,95.0358535890001 -8.97661765599997,95.049008589 -8.96858565599996,95.062199589 -8.96061365599996,95.0754275890001 -8.95270165599993,95.0886905890001 -8.94484865599998,95.1019885890001 -8.93705565599993,95.1153225890001 -8.92932365599995,95.1286905890001 -8.92165065599994,95.1420945890001 -8.91403865599995,95.1555315890001 -8.90648765599997,95.1690035890001 -8.89899765599995,95.1825085890001 -8.89156765599995,95.196047589 -8.88419865599997,95.2096195890001 -8.87689165599994,95.223224589 -8.86964565599993,95.2368625890001 -8.86246165599994,95.250532589 -8.85533865599996,95.2642345890001 -8.84827765599994,95.2779695890001 -8.84127865599993,95.291734589 -8.83434165599994,95.3055315890001 -8.82746765599995,95.319359589 -8.82065465599993,95.3332185890001 -8.81390565599997,95.3471075890001 -8.80721865599998,95.3610265890001 -8.80059365599993,95.3749755890001 -8.79403265599996,95.388954589 -8.78753465599993,95.4029625890001 -8.78109965599998,95.4169995890001 -8.77472765599993,95.4310645890001 -8.76841965599994,95.4451585890001 -8.76217465599996,95.4592805890001 -8.75599365599993,95.473430589 -8.74987665599997,95.487608589 -8.74382365599996,95.5019585890001 -8.73776665599996,95.516336589 -8.73177565599997,95.5307415890001 -8.72584965599998,95.5451735890001 -8.71999065599994,95.559631589 -8.71419665599996,95.5741165890001 -8.70846865599998,95.5886275890001 -8.70280665599995,95.6031645890001 -8.69721165599998,95.6177265890001 -8.69168265599995,95.632314589 -8.68622065599993,95.646926589 -8.68082465599997,95.6615625890001 -8.67549565599995,95.6762235890001 -8.67023365599994,95.6909085890001 -8.66503865599998,95.705616589 -8.65990965599997,95.7203485890001 -8.65484865599996,95.7351035890001 -8.64985565599994,95.749880589 -8.64492965599993,95.7646795890001 -8.64007065599998,95.7795015890001 -8.63527965599997,95.794345589 -8.63055565599996,95.809209589 -8.62590065599994,95.8240955890001 -8.62131265599993,95.8390025890001 -8.61679265599997,95.8539295890001 -8.61234165599996,95.8688775890001 -8.60795765599994,95.883844589 -8.60364265599998,95.8988315890001 -8.59939565599996,95.9138375890001 -8.59521765599993,95.9288625890001 -8.59110765599996,95.9439065890001 -8.58706665599993,95.9589685890001 -8.58309365599996,95.9738725890001 -8.57923265599993,95.9887945890001 -8.57543765599996,96.003733589 -8.57171065599994,96.0186885890001 -8.56805065599997,96.0336605890001 -8.56445865599994,96.048648589 -8.56093365599997,96.0636525890001 -8.55747665599995,96.0786715890001 -8.55408765599998,96.0937055890001 -8.55076665599995,96.10875459 -8.54751265599998,96.12381759 -8.54432765599995,96.1388955900001 -8.54120965599998,96.15398759 -8.53816065599995,96.16909259 -8.53517865599997,96.1842115900001 -8.53226565599994,96.1993435900001 -8.52942065599996,96.21448759 -8.52664365599998,96.2296445900001 -8.52393565599994,96.24481359 -8.52129565599995,96.2599935900001 -8.51872465599996,96.27518559 -8.51622165599997,96.2903885900001 -8.51378665599998,96.30560259 -8.51142165599993,96.3208275900001 -8.50912465599993,96.33606159 -8.50689565599993,96.35130659 -8.50473665599998,96.3665605900001 -8.50264565599997,96.3818245900001 -8.50062365599996,96.39709659 -8.49867065599994,96.4123775900001 -8.49678665599993,96.4276675900001 -8.49497165599996,96.44296459 -8.49322565599994,96.45827059 -8.49154865599996,96.47358259 -8.48994065599993,96.4889025900001 -8.48840265599995,96.5042285900001 -8.48693265599996,96.5195625900001 -8.48553165599998,96.5349015900001 -8.48420065599993,96.5502465900001 -8.48293865599993,96.56562259 -8.48174265599994,96.5810035900001 -8.48061665599994,96.5963905900001 -8.47955965599994,96.6117815900001 -8.47857265599993,96.62717659 -8.47765465599997,96.64257559 -8.47680665599995,96.6579785900001 -8.47602765599993,96.6733845900001 -8.47531965599995,96.68879459 -8.47467965599998,96.7042065900001 -8.47411065599994,96.71962059 -8.47361065599995,96.73503759 -8.47318065599995,96.7504555900001 -8.47281965599996,96.7658755900001 -8.47252865599995,96.7812965900001 -8.47230765599994,96.7967185900001 -8.47215665599998,96.8121405900001 -8.47207465599996,96.8275635900001 -8.47206265599993,96.8429855900001 -8.47212065599996,96.8584075900001 -8.47224765599998,96.8738295900001 -8.47244565599993,96.8892495900001 -8.47271165599994,96.9046685900001 -8.47304865599995,96.92008559 -8.47345465599994,96.9355005900001 -8.47393065599994,96.9509135900001 -8.47447665599998,96.9663245900001 -8.47509165599996,96.98173159 -8.47577665599994,96.9971355900001 -8.47653065599997,97.0125365900001 -8.47735565599993,97.02793259 -8.47824865599995,97.0433255900001 -8.47921265599996,97.0587135900001 -8.48024565599997,97.0740965900001 -8.48134765599997,97.0894745900001 -8.48251965599997,97.1048475900001 -8.48376065599996,97.12021359 -8.48507165599995,97.13557459 -8.48645265599993,97.15092859 -8.48790265599996,97.1662765900001 -8.48942165599993,97.1816175910001 -8.49100965599996,97.1969825910001 -8.49266365599993,97.212340591 -8.49438765599996,97.2276895910001 -8.49618065599998,97.243031591 -8.49804365599994,97.258364591 -8.49997565599995,97.2736885910001 -8.50197665599995,97.289002591 -8.50404765599995,97.3043075910001 -8.50618765599995,97.319603591 -8.50839765599994,97.334888591 -8.51067665599993,97.3501635910001 -8.51302465599997,97.3654275910001 -8.51544165599995,97.380679591 -8.51792765599993,97.395921591 -8.52048365599995,97.4111505910001 -8.52310765599998,97.4263685910001 -8.52580065599994,97.4415735910001 -8.52856265599996,97.4567665910001 -8.53139365599998,97.4719455910001 -8.53429365599993,97.4871115910001 -8.53726265599994,97.5022645910001 -8.54029965599995,97.5174035910001 -8.54340565599995,97.5325275910001 -8.54657965599995,97.5476375910001 -8.54982265599995,97.562733591 -8.55313365599994,97.5778135910001 -8.55651265599994,97.592877591 -8.55996065599993,97.6079265910001 -8.56347665599998,97.622958591 -8.56706065599997,97.637975591 -8.57071265599996,97.652974591 -8.57443265599994,97.6679575910001 -8.57822065599993,97.6829225910001 -8.58207665599997,97.6978695910001 -8.58599965599996,97.7127995910001 -8.58999065599994,97.7277105910001 -8.59404965599998,97.742603591 -8.59817565599997,97.7574775910001 -8.60236965599995,97.7723325910001 -8.60663065599994,97.7871675910001 -8.61095865599998,97.8019835910001 -8.61535365599997,97.8167795910001 -8.61981665599995,97.831554591 -8.62434565599995,97.8463085910001 -8.62894165599994,97.8610425910001 -8.63360465599993,97.875754591 -8.63833365599993,97.8904445910001 -8.64313065599993,97.905113591 -8.64799265599993,97.9197595910001 -8.65292165599993,97.9343835910001 -8.65791765599994,97.9489855910001 -8.66297865599995,97.9635635910001 -8.66810565599997,97.9781175910001 -8.67329965599993,97.992648591 -8.67855865599995,98.0071555910001 -8.68388365599998,98.0216385910001 -8.68927465599995,98.036096591 -8.69473065599993,98.050529591 -8.70025265599998,98.064937591 -8.70583965599997,98.0793205910001 -8.71149165599996,98.0936765910001 -8.71720865599997,98.108007591 -8.72299065599998,98.1223115910001 -8.72883765599994,98.1367315910001 -8.73480165599995,98.151124591 -8.74083165599995,98.165488591 -8.74692665599997,98.1798255910001 -8.75308765599993,98.1941335910001 -8.75931365599996,98.2084125910001 -8.76560565599993,98.2226635910001 -8.77196265599997,98.236884591 -8.77838465599996,98.2510765920001 -8.78487165599995,98.2652385920001 -8.79142365599995,98.2793695920001 -8.79803965599996,98.2934715920001 -8.80472065599997,98.3075415920001 -8.81146565599994,98.321580592 -8.81827565599997,98.3355885920001 -8.82514965599995,98.349565592 -8.83208765599994,98.3635095920001 -8.83908865599994,98.3774215920001 -8.84615465599995,98.391301592 -8.85328265599998,98.405147592 -8.86047465599995,98.4189615920001 -8.86773065599994,98.4327415920001 -8.87504865599993,98.446488592 -8.88243065599994,98.460200592 -8.88987465599996,98.4738795920001 -8.89738165599994,98.4875225920001 -8.90495065599993,98.501131592 -8.91258165599993,98.514705592 -8.92027565599994,98.5282435920001 -8.92803165599997,98.541746592 -8.93584865599996,98.5552135920001 -8.94372765599996,98.5686435920001 -8.95166765599993,98.5820375920001 -8.95966965599996,98.5953935920001 -8.96773265599995,98.6087135920001 -8.97585665599996,98.6219965920001 -8.98404165599993,98.6352405920001 -8.99228665599998,98.6484475920001 -9.00059265599998,98.6613155920001 -9.00875565599995,98.6741475920001 -9.01697565599994,98.686942592 -9.02525365599996,98.6996995920001 -9.03358865599995,98.7124195920001 -9.04197965599997,98.725101592 -9.05042765599995,98.7377455920001 -9.05893265599997,98.7503515920001 -9.06749365699994,98.7629195920001 -9.07611065699996,98.775447592 -9.08478365699995,98.787937592 -9.09351365699996,98.8003875920001 -9.10229765699995,98.812798592 -9.11113865699997,98.8251695920001 -9.12003365699996,98.8375005920001 -9.12898465699993,98.8497915920001 -9.13799065699993,98.8620415920001 -9.14705065699997,98.8742515920001 -9.15616565699997,98.886419592 -9.16533565699996,98.8985475920001 -9.17455865699998,98.9106325920001 -9.18383665699997,98.9226765920001 -9.19316865699994,98.9346785920001 -9.20255365699995,98.9466385920001 -9.21199265699994,98.958555592 -9.22148465699996,98.9704295920001 -9.23102965699997,98.982261592 -9.24062765699995,98.9940495920001 -9.25027865699997,99.0057945920001 -9.25998165699997,99.017495592 -9.26973765699995,99.0291525920001 -9.27954465699997,99.0407655920001 -9.28940465699998,99.0523345920001 -9.29931665699996,99.0638585920001 -9.30927965699993,99.075337592 -9.31929365699995,99.086771592 -9.32935865699994,99.0981605920001 -9.33947565699998,99.1096385920001 -9.34975665699994,99.1210705920001 -9.36008965699995,99.132454592 -9.37047465699993,99.1437915920001 -9.38091065699996,99.155081592 -9.39139765699997,99.1663225920001 -9.40193465699997,99.1775165920001 -9.41252365699995,99.1886615920001 -9.42316265699998,99.1997585920001 -9.43385165699993,99.210806592 -9.44459065699994,99.2218055920001 -9.45537965699998,99.232755592 -9.46621765699996,99.243656592 -9.47710565699998,99.254507592 -9.48804265699994,99.2653085920001 -9.49902865699994,99.2760595920001 -9.51006265699993,99.2867595920001 -9.52114565699998,99.2974105920001 -9.53227665699995,99.3080095920001 -9.54345565699998,99.318557592 -9.55468165699995,99.3290545930001 -9.56595665699996,99.3395005930001 -9.57727765699997,99.349894593 -9.58864665699997,99.3602365930001 -9.60006165699997,99.3705275930001 -9.61152365699996,99.380764593 -9.62303165699996,99.3909505930001 -9.63458565699995,99.4010825930001 -9.64618565699993,99.4111625930001 -9.65783165699997,99.4211895930001 -9.66952265699996,99.4311625930001 -9.68125865699994,99.441081593 -9.69303965699993,99.4509475930001 -9.70486565699997,99.460759593 -9.71673565699996,99.4705165930001 -9.72865065699995,99.4802205930001 -9.74060865699994,99.489868593 -9.75261065699993,99.499462593 -9.76465565699993,99.5090015930001 -9.77674465699994,99.518484593 -9.78887565699995,99.5279125930001 -9.80104965699996,99.537285593 -9.81326665699993,99.546602593 -9.82552565699996,99.5558625930001 -9.83782565699994,99.565067593 -9.85016865699993,99.5742155930001 -9.86255165699993,99.5833075930001 -9.87497665699993,99.5923415930001 -9.88744265699995,99.6013195930001 -9.89994865699998,99.6102405930001 -9.91249565699997,99.619103593 -9.92508265699996,99.6279095930001 -9.93770965699997,99.6366575930001 -9.95037565699994,99.6453475930001 -9.96308165699998,99.653978593 -9.97582665699997,99.662552593 -9.98860965699993,99.671067593 -10.001432657,99.6795245930001 -10.0142926569999,99.6879215930001 -10.0271916569999,99.696260593 -10.040127657,99.704540593 -10.053101657,99.712760593 -10.066112657,99.7209465930001 -10.0791996569999,99.7290725930001 -10.092323657,99.7371395930001 -10.105484657,99.7451445930001 -10.118681657,99.7530895930001 -10.131915657,99.7609745930001 -10.1451846579999,99.768797593 -10.158488658,99.7765595930001 -10.171828658,99.7842605930001 -10.185203658,99.791899593 -10.1986136579999,99.7994775930001 -10.2120576579999,99.8069935930001 -10.225535658,99.8144485930001 -10.2390476579999,99.821840593 -10.252593658,99.8291695930001 -10.266172658,99.8364375930001 -10.2797846579999,99.8436425930001 -10.293429658,99.8507845930001 -10.307106658,99.857863593 -10.320816658,99.8648795930001 -10.3345576579999,99.8718325930001 -10.348330658,99.8787215930001 -10.3621346579999,99.8855475930001 -10.375969658,99.892310593 -10.389835658,99.8990085930001 -10.403732658,99.905643593 -10.4176586579999,99.912213593 -10.4316156579999,99.918720593 -10.4456016579999,99.925161593 -10.459616658,99.9314985930001 -10.4735626579999,99.937770593 -10.487536658,99.9439785930001 -10.501539658,99.9501235930001 -10.5155696579999,99.9562035930001 -10.529627658,99.962219593 -10.5437126579999,99.9681705930001 -10.557823658,99.9740575930001 -10.571962658,99.9798795930001 -10.586126658,99.985637593 -10.6003176579999,99.991329593 -10.614533658,99.996957593 -10.6287756579999,100.002519593 -10.643042658,100.008016593 -10.657334658,100.013447593 -10.671650658,100.018813593 -10.685991658,100.024113593 -10.700355658,100.029347593 -10.714743658,100.034515593 -10.729155658,100.039618593 -10.743589658,100.044654593 -10.758047658,100.049624593 -10.7725276579999,100.054527593 -10.7870296579999,100.059364593 -10.8015526579999,100.064135593 -10.8160986579999,100.068839593 -10.8306616579999,100.073477593 -10.845245658,100.078048593 -10.859850658,100.082496593 -10.874258658,100.086879593 -10.8886856579999,100.091197593 -10.9031326579999,100.095449593 -10.917598658,100.099637593 -10.932083658,100.103758593 -10.9465866579999,100.107814593 -10.9611076579999,100.111805593 -10.975646658,100.115729593 -10.9902026579999,100.119588593 -11.004775658,100.123381593 -11.019366658,100.127108593 -11.033973658,100.130768593 -11.048596658,100.135730593 -11.0625566579999,100.140630593 -11.0765386579999,100.145468593 -11.090540658,100.150244593 -11.104564658,100.154957593 -11.118608658,100.159608593 -11.1326726579999,100.164197593 -11.146756658,100.168723593 -11.1608616579999,100.173187593 -11.174984658,100.177587593 -11.189127658,100.181925593 -11.203289658,100.186200593 -11.217470659,100.190511593 -11.231991659,100.194756593 -11.246532659,100.198935593 -11.2610926589999,100.203047593 -11.275670659,100.207093593 -11.2902666589999,100.211073593 -11.3048796589999,100.214987593 -11.3195116589999,100.218833593 -11.334159659,100.222613593 -11.3488256589999,100.225881593 -11.361226659,100.229101593 -11.3736406589999,100.232273593 -11.3860666589999,100.235397593 -11.398503659,100.238473593 -11.410952659,100.242069593 -11.425743659,100.245597593 -11.4405506589999,100.249058593 -11.455372659,100.252451593 -11.470209659,100.255775593 -11.4850616589999,100.259032593 -11.499928659,100.262221593 -11.514810659,100.265341593 -11.5297056589999,100.268394593 -11.5446156589999,100.271378593 -11.5595376589999,100.274293593 -11.574473659,100.277140593 -11.589422659,100.279919593 -11.604383659,100.282629593 -11.6193566589999,100.285270593 -11.634342659,100.287843593 -11.649339659,100.290347593 -11.6643476589999,100.292782593 -11.679367659,100.295148593 -11.6943976589999,100.297445593 -11.7094376589999,100.299673593 -11.724488659,100.301832593 -11.739548659,100.303922593 -11.754618659,100.305943593 -11.769696659,100.307894593 -11.784784659,100.309777593 -11.7998816589999,100.311589593 -11.8149856589999,100.313333593 -11.8300986589999,100.315007593 -11.845218659,100.316611593 -11.860345659,100.318146593 -11.875479659,100.319612593 -11.890620659,100.321008593 -11.9057686589999,100.322334593 -11.9209216589999,100.323590593 -11.936080659,100.324777593 -11.9512456589999,100.325894593 -11.9664156589999,100.326941593 -11.981589659,100.327918593 -11.9967696589999,100.328826593 -12.011952659,100.329664593 -12.0271396589999,100.330442593 -12.0423806589999,100.331149593 -12.0576246589999,100.331787593 -12.0728716589999,100.332353593 -12.088120659,100.332850593 -12.1033726589999,100.333275593 -12.118626659,100.333631593 -12.1338826589999,100.333915593 -12.149139659,100.334130593 -12.164397659,100.334273593 -12.1796566589999,100.334346593 -12.1949166589999,100.334349593 -12.210176659,100.334280593 -12.225435659,100.334141593 -12.2406946589999,100.333932593 -12.2559536589999,100.333652593 -12.271210659,100.333301593 -12.28646566,100.332879593 -12.3017196599999,100.332387593 -12.31697166,100.331824593 -12.33222166,100.331191593 -12.3474686599999,100.330487593 -12.3627116599999,100.329712593 -12.3779526599999,100.328866593 -12.39318966,100.327950593 -12.4084226599999,100.326963593 -12.42365066,100.325906593 -12.43887466,100.324778593 -12.45409366,100.323579593 -12.46930766,100.322310593 -12.4845156599999,100.320970593 -12.4997186599999,100.319559593 -12.5149146599999,100.318078593 -12.5301046599999,100.316526593 -12.5452876599999,100.314904593 -12.56046366,100.313212593 -12.5756316599999,100.311449593 -12.59079266,100.309615593 -12.60594466,100.307711593 -12.6210896599999,100.305736593 -12.63622466,100.303692593 -12.6513516599999,100.301577593 -12.66646866,100.299391593 -12.68157566,100.297135593 -12.6966736599999,100.294809593 -12.71176066,100.292413593 -12.7268376599999,100.289947593 -12.7419036599999,100.287410593 -12.75695766,100.284832593 -12.77185466,100.282184593 -12.78673966,100.279468593 -12.8016126599999,100.276684593 -12.8164726599999,100.273831593 -12.83132166,100.270909593 -12.84615666,100.267919593 -12.8609786599999,100.264861593 -12.87578766,100.261734593 -12.89058266,100.258539593 -12.90536466,100.255275593 -12.9201306599999,100.251943593 -12.93488366,100.248544593 -12.9496206599999,100.245076593 -12.9643426599999,100.241540593 -12.9790486599999,100.237936593 -12.99373966,100.234264593 -13.00841366,100.230524593 -13.02307166,100.226716593 -13.03771266,100.222841593 -13.05233666,100.218898593 -13.0669436599999,100.214888593 -13.0815326599999,100.210810593 -13.09610466,100.206664593 -13.11065666,100.202685593 -13.1244006599999,100.198646593 -13.13812666,100.194546593 -13.15183566,100.190386593 -13.16552766,100.186167593 -13.1792016599999,100.181887593 -13.19285766,100.177548593 -13.20649666,100.173149593 -13.22011666,100.168690593 -13.23371766,100.164172593 -13.24730066,100.159594593 -13.2608636599999,100.154956593 -13.27440766,100.149997593 -13.2887076599999,100.144971593 -13.3029856599999,100.139879593 -13.31724166,100.134721593 -13.33147466,100.129496593 -13.34568466,100.124206593 -13.3598706609999,100.118850593 -13.3740336609999,100.113428593 -13.3881726609999,100.107940593 -13.4022876609999,100.102387593 -13.416377661,100.096769593 -13.430443661,100.091085593 -13.4444836609999,100.085336593 -13.458499661,100.079522593 -13.4724886609999,100.073642593 -13.4864526609999,100.067698593 -13.5003896609999,100.061689593 -13.5143006609999,100.055616593 -13.528184661,100.049477593 -13.5420416609999,100.043275593 -13.555870661,100.037008593 -13.569672661,100.030676593 -13.583446661,100.024281593 -13.597192661,100.017821593 -13.6109096609999,100.011298593 -13.6245976609999,100.004711593 -13.638257661,99.998060593 -13.6518876609999,99.9913465930001 -13.6654876609999,99.9845695930001 -13.6790586609999,99.978073593 -13.691927661,99.971520593 -13.7047686609999,99.9649105930001 -13.7175826609999,99.957967593 -13.731030661,99.950961593 -13.7444466609999,99.943893593 -13.757832661,99.9367635930001 -13.7711866609999,99.929571593 -13.784509661,99.9223165930001 -13.7977996609999,99.9150005930001 -13.811057661,99.907622593 -13.824283661,99.9001835930001 -13.8374766609999,99.8926825930001 -13.850636661,99.8851195930001 -13.863763661,99.877496593 -13.876856661,99.8698115930001 -13.889915661,99.8620665930001 -13.9029406609999,99.854260593 -13.9159316609999,99.8463945930001 -13.928887661,99.8384675930001 -13.941808661,99.8304795930001 -13.954694661,99.8224325930001 -13.967544661,99.814325593 -13.980359661,99.8061575930001 -13.9931376609999,99.797931593 -14.0058806609999,99.789644593 -14.018586661,99.7812995930001 -14.0312556609999,99.772894593 -14.0438876609999,99.764431593 -14.056481661,99.755963593 -14.0689646609999,99.7474385930001 -14.081410661,99.738855593 -14.0938176609999,99.7302145930001 -14.106187661,99.721516593 -14.1185196609999,99.712760593 -14.1308136609999,99.7039485930001 -14.143067661,99.6950785930001 -14.1552836609999,99.686152593 -14.167460661,99.6771695930001 -14.1795986609999,99.6681305930001 -14.1916956609999,99.6590345930001 -14.203753661,99.6498825930001 -14.215771661,99.6406755930001 -14.227748661,99.6314115930001 -14.239685661,99.622092593 -14.2515816609999,99.6127185930001 -14.263436661,99.6032895930001 -14.275250661,99.5938045930001 -14.287022661,99.5842655930001 -14.298752661,99.5746715930001 -14.310440661,99.565023593 -14.322086661,99.555025593 -14.334058661,99.5449695930001 -14.3459856609999,99.5348565930001 -14.3578666609999,99.5246865930001 -14.369701661,99.5144605930001 -14.3814896609999,99.5041765930001 -14.393232661,99.4938365930001 -14.4049276609999,99.4834405930001 -14.416576661,99.4729885930001 -14.428177661,99.4624805930001 -14.4397316619999,99.4519165930001 -14.4512366619999,99.4412975930001 -14.4626946619999,99.4306235930001 -14.4741046619999,99.419894593 -14.485465662,99.409110593 -14.4967776619999,99.3982725930001 -14.5080406619999,99.3875305930001 -14.519108662,99.376735593 -14.530128662,99.3658885930001 -14.541099662,99.3549895930001 -14.552022662,99.3440375930001 -14.562895662,99.333034593 -14.573720662,99.321980593 -14.5844956619999,99.3108745920001 -14.595221662,99.299718592 -14.605897662,99.2885105920001 -14.616522662,99.2772525920001 -14.627098662,99.265944592 -14.637623662,99.2545865920001 -14.6480976619999,99.2431775920001 -14.6585216619999,99.231719592 -14.668893662,99.2202125920001 -14.6792146619999,99.2086565920001 -14.6894836619999,99.197050592 -14.6997006619999,99.1853965920001 -14.709866662,99.1736945920001 -14.719979662,99.1619435920001 -14.730039662,99.1501455920001 -14.7400476619999,99.1382995920001 -14.7500026619999,99.1264055920001 -14.7599046619999,99.114464592 -14.769753662,99.103076592 -14.779076662,99.0916475920001 -14.788350662,99.080175592 -14.7975756619999,99.0686615920001 -14.806751662,99.0571055920001 -14.8158796619999,99.0455095920001 -14.824957662,99.0334745920001 -14.8342946619999,99.021395592 -14.843578662,99.0092735920001 -14.852809662,98.9971085920001 -14.8619876619999,98.984899592 -14.871110662,98.972648592 -14.8801816619999,98.960354592 -14.889197662,98.948018592 -14.898159662,98.9356395920001 -14.907066662,98.9232195920001 -14.915919662,98.910758592 -14.924717662,98.8982555920001 -14.933461662,98.8857115920001 -14.942149662,98.8731265920001 -14.9507826619999,98.8605005920001 -14.9593596619999,98.8478355920001 -14.967881662,98.835129592 -14.976347662,98.8223835920001 -14.9847576619999,98.809598592 -14.9931116619999,98.7967745920001 -15.001409662,98.783911592 -15.009650662,98.771009592 -15.0178346619999,98.7580685920001 -15.0259626619999,98.7450895920001 -15.034032662,98.7317175920001 -15.042270662,98.718304592 -15.050447662,98.7048525920001 -15.0585636619999,98.6913615920001 -15.0666186619999,98.6778315920001 -15.0746136619999,98.6642625920001 -15.082546662,98.6506555920001 -15.0904176619999,98.6370105920001 -15.0982276619999,98.6233275920001 -15.1059756619999,98.609607592 -15.113661662,98.595850592 -15.1212866619999,98.5820555920001 -15.1288476619999,98.568224592 -15.1363476619999,98.5543575920001 -15.143783662,98.5404545920001 -15.1511576619999,98.5265155920001 -15.158468662,98.512541592 -15.165716662,98.4985325920001 -15.172901662,98.484488592 -15.1800226619999,98.4704095920001 -15.187080662,98.4562975920001 -15.1940746619999,98.4421505920001 -15.2010046619999,98.4279705920001 -15.2078706619999,98.4137575920001 -15.2146726619999,98.3995115920001 -15.2214096619999,98.3852325920001 -15.228082662,98.3709215920001 -15.2346906619999,98.3565785920001 -15.241234662,98.342203592 -15.247712662,98.3277975920001 -15.254126662,98.3156195920001 -15.2595226619999,98.3034195920001 -15.264872662,98.2911975920001 -15.2701756619999,98.2768675920001 -15.276346662,98.2625075920001 -15.282452662,98.2481195920001 -15.2884946619999,98.2337015910001 -15.294471662,98.219254591 -15.3003846619999,98.2047805910001 -15.306232662,98.190277591 -15.312016662,98.1757475910001 -15.317734662,98.161189591 -15.323388662,98.1466045910001 -15.3289766619999,98.1319925910001 -15.3344996619999,98.117354591 -15.339957662,98.1026905910001 -15.3453496619999,98.088150591 -15.350626662,98.073584591 -15.3558386619999,98.058994591 -15.360986662,98.044380591 -15.366069662,98.0297415910001 -15.371088662,98.0150795910001 -15.376041662,98.000393591 -15.380930662,97.9856845910001 -15.385753662,97.9709525910001 -15.3905126619999,97.956198591 -15.395205662,97.9414215910001 -15.3998326619999,97.9266225910001 -15.404395662,97.9118025910001 -15.408891662,97.896960591 -15.4133226619999,97.882098591 -15.4176876619999,97.8667845910001 -15.422114662,97.8514495910001 -15.4264716619999,97.8360935910001 -15.430757662,97.8207165910001 -15.4349746619999,97.8053185910001 -15.4391216619999,97.789900591 -15.4431976619999,97.7744625910001 -15.4472046619999,97.7590045910001 -15.4511396619999,97.7435285910001 -15.455005662,97.728032591 -15.4588006619999,97.712518591 -15.462524662,97.696986591 -15.466177662,97.6814365910001 -15.4697606619999,97.665869591 -15.4732726619999,97.6502855910001 -15.476712662,97.6346835910001 -15.480082662,97.619066591 -15.4833816619999,97.6034325910001 -15.486608662,97.5900975910001 -15.489320662,97.5767505910001 -15.4919806619999,97.5624755910001 -15.4947756619999,97.548188591 -15.497512662,97.5338885910001 -15.500189662,97.5195775910001 -15.502807662,97.505254591 -15.505365663,97.4909195910001 -15.507864663,97.4765745910001 -15.5103036629999,97.4622175910001 -15.512683663,97.4478505910001 -15.515003663,97.4334735910001 -15.5172646629999,97.4183345910001 -15.5195816629999,97.4031845910001 -15.5218316629999,97.388024591 -15.5240166629999,97.3728535910001 -15.5261346629999,97.357673591 -15.5281866629999,97.3424835910001 -15.530171663,97.3272845910001 -15.532090663,97.3120765910001 -15.5339436629999,97.296860591 -15.5357296629999,97.2816355910001 -15.537449663,97.2664025910001 -15.5391036629999,97.2511615910001 -15.540689663,97.235914591 -15.5422106629999,97.2206595910001 -15.543663663,97.2053975910001 -15.5450506629999,97.1901295910001 -15.5463706629999,97.174855591 -15.547624663,97.1595765900001 -15.5488106629999,97.1442905900001 -15.5499316629999,97.12900059 -15.550984663,97.1137055900001 -15.551970663,97.09812959 -15.552912663,97.08254959 -15.5537846629999,97.0669655900001 -15.554586663,97.0513775900001 -15.555320663,97.03578659 -15.5559846629999,97.0201925900001 -15.556579663,97.0045955900001 -15.557104663,96.9889965900001 -15.5575606629999,96.9733955900001 -15.5579476629999,96.9577925900001 -15.5582646629999,96.9421875900001 -15.5585126629999,96.9265825900001 -15.5586916629999,96.9109765900001 -15.5588006629999,96.8953705900001 -15.558839663,96.87976359 -15.558810663,96.86415759 -15.5587116629999,96.8485525900001 -15.558542663,96.8329475900001 -15.5583046629999,96.8173445900001 -15.557997663,96.8017435900001 -15.557620663,96.7861435900001 -15.557174663,96.77054659 -15.5566596629999,96.7553185900001 -15.556296663,96.7400925900001 -15.555868663,96.7248685900001 -15.555373663,96.70964659 -15.554812663,96.69442759 -15.5541856629999,96.6792125900001 -15.5534926629999,96.6639995900001 -15.552733663,96.6487915900001 -15.5519096629999,96.6335865900001 -15.551018663,96.6183865900001 -15.550061663,96.6031915900001 -15.549038663,96.58800059 -15.5479496629999,96.5728155900001 -15.546794663,96.5576355900001 -15.545573663,96.5424615900001 -15.544287663,96.5269705900001 -15.5429066629999,96.5114855900001 -15.541456663,96.49600859 -15.5399386629999,96.48053859 -15.538351663,96.4650755900001 -15.5366966629999,96.44962159 -15.534972663,96.4341755900001 -15.5331796629999,96.41873859 -15.531318663,96.40331059 -15.529389663,96.38789259 -15.5273916629999,96.3724835900001 -15.5253256629999,96.3570845900001 -15.523191663,96.3416965900001 -15.520988663,96.3263185900001 -15.518717663,96.3109525900001 -15.516379663,96.2955965900001 -15.5139726629999,96.2802535900001 -15.5114976629999,96.2649215900001 -15.5089536629999,96.2496025900001 -15.5063436629999,96.23429559 -15.5036646619999,96.2190025900001 -15.5009176619999,96.20372259 -15.4981036619999,96.18845559 -15.495220662,96.1732025900001 -15.492271662,96.1579645900001 -15.489253662,96.1427405900001 -15.486168662,96.12753159 -15.483016662,96.11233859 -15.479796662,96.0971605890001 -15.476509662,96.0819985890001 -15.473155662,96.0666705890001 -15.4696976619999,96.0513605890001 -15.466170662,96.0360665890001 -15.462574662,96.0207915890001 -15.4589106619999,96.005533589 -15.455178662,95.990293589 -15.451377662,95.975072589 -15.447508662,95.959870589 -15.443571662,95.9446875890001 -15.439565662,95.929524589 -15.4354916619999,95.9143815890001 -15.4313506619999,95.8992575890001 -15.4271406619999,95.884155589 -15.4228636619999,95.869073589 -15.4185186619999,95.854012589 -15.4141056619999,95.838973589 -15.4096256619999,95.823956589 -15.4050786619999,95.808961589 -15.4004636619999,95.793988589 -15.3957816619999,95.779038589 -15.3910326619999,95.764111589 -15.386216662,95.749208589 -15.381333662,95.7343295890001 -15.376383662,95.7194735890001 -15.371366662,95.7046425890001 -15.3662836619999,95.689836589 -15.3611346619999,95.6750555890001 -15.355918662,95.660299589 -15.3506356619999,95.645569589 -15.345287662,95.6308655890001 -15.3398736619999,95.616187589 -15.334393662,95.601536589 -15.3288476619999,95.5869125890001 -15.3232356619999,95.5723155890001 -15.317558662,95.557746589 -15.311815662,95.5432045890001 -15.306007662,95.5286915890001 -15.3001346619999,95.5142065890001 -15.2941966619999,95.4997515890001 -15.288193662,95.4853245890001 -15.2821266619999,95.470927589 -15.275993662,95.4565595890001 -15.269796662,95.442222589 -15.263535662,95.4279155890001 -15.257210662,95.4136385890001 -15.250820662,95.3993935890001 -15.2443676619999,95.390052589 -15.2400946619999,95.3782215890001 -15.234653662,95.3664115890001 -15.2291696619999,95.3546235890001 -15.223640662,95.3428585890001 -15.218067662,95.328636589 -15.211266662,95.3144475890001 -15.204401662,95.300291589 -15.1974726619999,95.2861705890001 -15.190479662,95.272082589 -15.1834226619999,95.258030589 -15.176301662,95.2440115890001 -15.169117662,95.2300285890001 -15.161869662,95.2160815890001 -15.1545596619999,95.2021695890001 -15.147185662,95.1882925890001 -15.1397496619999,95.1744535890001 -15.1322496619999,95.1606505890001 -15.1246886619999,95.1468835890001 -15.117064662,95.1331545890001 -15.1093776619999,95.1194635890001 -15.1016296619999,95.105809589 -15.0938196619999,95.092193589 -15.085947662,95.078616589 -15.0780146619999,95.0650775890001 -15.0700196619999,95.051577589 -15.061963662,95.0381165890001 -15.053847662,95.024695588 -15.045669662,95.0113145880001 -15.037431662,94.997973588 -15.0291326619999,94.9846725880001 -15.020773662,94.9714125880001 -15.0123556619999,94.9581935880001 -15.003876662,94.945016588 -14.9953376619999,94.9318795880001 -14.9867396619999,94.918785588 -14.978082662,94.905733588 -14.969365662,94.8927235880001 -14.960590662,94.8797555880001 -14.951756662,94.8668315880001 -14.942863662,94.853950588 -14.933912662,94.841112588 -14.924903662,94.8283185880001 -14.9158366619999,94.8155685880001 -14.906711662,94.802863588 -14.897528662,94.7902025880001 -14.888288662,94.7775865880001 -14.878991662,94.765015588 -14.8696376619999,94.7524895880001 -14.8602266619999,94.740091588 -14.850826662,94.7277395880001 -14.841370662,94.7154315880001 -14.8318596619999,94.703170588 -14.8222926619999,94.6909545880001 -14.812670662,94.678785588 -14.8029946619999,94.6666635880001 -14.793263662,94.6545875880001 -14.7834786619999,94.642559588 -14.7736396619999,94.630578588 -14.763745662,94.6186445880001 -14.753798662,94.606758588 -14.743798662,94.594920588 -14.7337446619999,94.5831315880001 -14.7236376619999,94.571390588 -14.7134776619999,94.5596995880001 -14.703265662,94.5480565880001 -14.693000662,94.5364625880001 -14.6826836619999,94.524918588 -14.672315662,94.5134245880001 -14.661894662,94.501980588 -14.651422662,94.490586588 -14.6408986619999,94.479243588 -14.630324662,94.4679515880001 -14.619699662,94.4567095880001 -14.609023662,94.4455195880001 -14.5982966619999,94.4343805880001 -14.587520662,94.423293588 -14.576693662,94.412257588 -14.565817662,94.401274588 -14.5548926619999,94.3903445880001 -14.543917662,94.3794655880001 -14.5328936619999,94.3686405880001 -14.521821662,94.357868588 -14.510700662,94.3480125880001 -14.500437662,94.3382025880001 -14.4901346619999,94.328437588 -14.479791662,94.3187175880001 -14.469407662,94.3090435880001 -14.458984662,94.299415588 -14.448520662,94.2887165880001 -14.436987662,94.278072588 -14.425404661,94.2674855880001 -14.4137746609999,94.256955588 -14.402095661,94.2464815880001 -14.390367661,94.236064588 -14.378593661,94.225705588 -14.366771661,94.2154035880001 -14.3549016609999,94.2051595880001 -14.3429856609999,94.194973588 -14.331022661,94.184844588 -14.3190136609999,94.174774588 -14.306957661,94.1647635880001 -14.2948566609999,94.154810588 -14.282709661,94.1449175880001 -14.2705176609999,94.135082588 -14.258279661,94.1253075880001 -14.2459976609999,94.1155915880001 -14.233671661,94.1059365880001 -14.2213006609999,94.096340588 -14.208885661,94.0868045880001 -14.196427661,94.0773295880001 -14.1839256609999,94.0679145880001 -14.1713806609999,94.058561588 -14.158792661,94.0492685880001 -14.1461626609999,94.0400365880001 -14.1334896609999,94.030866588 -14.1207746609999,94.0217575880001 -14.108018661,94.0127105880001 -14.0952206609999,94.0037255880001 -14.0823816609999,93.9948025880001 -14.0695016609999,93.9859415880001 -14.0565806609999,93.977143588 -14.043619661,93.968407588 -14.0306186609999,93.9597355880001 -14.017577661,93.951125587 -14.004497661,93.9425795870001 -13.9913786609999,93.9340955870001 -13.978219661,93.9256765870001 -13.965023661,93.9173205870001 -13.951787661,93.9090285870001 -13.9385146609999,93.900801587 -13.925203661,93.8926375870001 -13.9118556609999,93.8845385870001 -13.898469661,93.8765045870001 -13.8850476609999,93.8685345870001 -13.871588661,93.8606295870001 -13.8580936609999,93.8527895870001 -13.8445626609999,93.845015587 -13.830995661,93.8373065870001 -13.8173936609999,93.8296625870001 -13.803756661,93.8220845870001 -13.790084661,93.814572587 -13.776378661,93.8071265870001 -13.7626386609999,93.799913587 -13.7491886609999,93.7927645870001 -13.7357076609999,93.7856785870001 -13.7221946609999,93.7786565870001 -13.708649661,93.7716975870001 -13.695074661,93.7648025870001 -13.6814676609999,93.757971587 -13.667830661,93.7512045870001 -13.6541626609999,93.7445015870001 -13.640465661,93.7378625870001 -13.6267376609999,93.7312885870001 -13.6129816609999,93.7247785870001 -13.599195661,93.7183335870001 -13.5853806609999,93.711953587 -13.571536661,93.7056385870001 -13.5576656609999,93.699388587 -13.543765661,93.6932035870001 -13.5298376609999,93.6870835870001 -13.515882661,93.6810295870001 -13.501900661,93.6750405870001 -13.4878916609999,93.6691165870001 -13.473856661,93.6632595870001 -13.4597946609999,93.657467587 -13.445706661,93.6517415870001 -13.431593661,93.6460815870001 -13.417454661,93.6404885870001 -13.403290661,93.6349605870001 -13.3891016609999,93.6294995870001 -13.3748886609999,93.624105587 -13.360650661,93.6187775870001 -13.3463896599999,93.613516587 -13.33210466,93.608321587 -13.3177966599999,93.6031945870001 -13.30346466,93.5981335870001 -13.2891106599999,93.5931395870001 -13.27473466,93.588213587 -13.26033566,93.5833185870001 -13.2458866599999,93.5784925870001 -13.23141666,93.573733587 -13.21692466,93.5690425870001 -13.2024116599999,93.564419587 -13.18787866,93.5598645870001 -13.1733236599999,93.5553775870001 -13.15874966,93.5509585870001 -13.14415466,93.546607587 -13.12954066,93.5423245870001 -13.11490766,93.5381105870001 -13.10025566,93.5339645870001 -13.0855846599999,93.5298875870001 -13.07089466,93.5258785870001 -13.05618766,93.5219385870001 -13.04146266,93.5180675870001 -13.02671966,93.5142655870001 -13.0119596599999,93.5105315870001 -12.99718266,93.506866587 -12.98238966,93.503270587 -12.96758066,93.4997445870001 -12.9527546599999,93.496286587 -12.9379136599999,93.4928985870001 -12.9230576599999,93.489578587 -12.90818566,93.4863285870001 -12.89329966,93.4831485870001 -12.87839966,93.4800365870001 -12.8634846599999,93.476995587 -12.8485566599999,93.474022587 -12.83361466,93.471119587 -12.81865966,93.4682865870001 -12.80369266,93.4655235870001 -12.7887116599999,93.462829587 -12.7737196599999,93.4602055870001 -12.75871566,93.457650587 -12.7436996599999,93.4551655870001 -12.72867166,93.4527515870001 -12.71363366,93.450406587 -12.6985856599999,93.448131587 -12.6835256599999,93.445926587 -12.6684566599999,93.4437915870001 -12.6533776599999,93.4417265870001 -12.6382896599999,93.439730587 -12.62319266,93.4378065870001 -12.60808666,93.435951587 -12.5929716599999,93.434145587 -12.57769266,93.432411587 -12.56240566,93.430749587 -12.5471116599999,93.4291585870001 -12.53180966,93.427639587 -12.51650066,93.4261915870001 -12.50118566,93.4248165870001 -12.48586366,93.4235125870001 -12.4705356599999,93.422280587 -12.4552016599999,93.4211195870001 -12.43986266,93.420030587 -12.4245186599999,93.4190135870001 -12.40916966,93.4180685870001 -12.39381666,93.417195587 -12.37845866,93.4163935870001 -12.3630976599999,93.415664587 -12.34773266,93.4150065870001 -12.3323646599999,93.4144195870001 -12.31699366,93.413905587 -12.30162066,93.4134625870001 -12.28624466,93.4130925870001 -12.270867659,93.4127935870001 -12.255488659,93.4125665870001 -12.2401086589999,93.4124105870001 -12.2247276589999,93.4123275870001 -12.2093466589999,93.4123155870001 -12.193964659),(96.82360959 -12.1304186589999,96.81749059 -12.1666636589999,96.81944559 -12.1780546589999,96.83804559 -12.193472659,96.8524815900001 -12.1994456589999,96.8648455900001 -12.1920816589999,96.82360959 -12.1304186589999)))', 'Cocos Islands Exclusive Economic Zone', 'Cocos Islands', 'Australia', '', '16', '1', 'CCK', '8308', '', '469065102500', '8308', 'Y'),('SRID=4326;MULTIPOLYGON(((106.867924148 -9.16467987999994,106.878487219 -9.17218262399996,107.01325123 -9.26838756099994,107.072653889 -9.31079375799993,107.107667995 -9.33837599199995,107.199598329 -9.41079377599993,107.461154748 -9.61669992799995,107.578209449 -9.70884938899997,107.726264999 -9.82607163099993,107.727799026 -9.82760565799998,107.729876109 -9.82968274099994,107.847540969 -9.94473699099996,107.905153889 -10.0010716629999,107.983764999 -10.0769050069999,108.050153889 -10.1405161389999,108.329598329 -10.4116273,108.490153889 -10.572738441,109.03497222 -11.11886176,109.034969602 -11.118874658,109.031952602 -11.134142658,109.028864602 -11.1493966579999,109.025703602 -11.1646366579999,109.022470602 -11.1798616579999,109.019166602 -11.195071658,109.015790602 -11.210266659,109.012342602 -11.2254456589999,109.008822602 -11.240607659,109.005231602 -11.2557546589999,109.001568602 -11.2708846589999,108.997833602 -11.285997659,108.994028602 -11.3010926589999,108.990151602 -11.316170659,108.986202602 -11.331230659,108.982183601 -11.346272659,108.978092601 -11.361295659,108.973931601 -11.3762996589999,108.969698601 -11.391284659,108.965394601 -11.406249659,108.961020601 -11.421194659,108.956575601 -11.4361196589999,108.952080601 -11.450970659,108.947516601 -11.465801659,108.942881601 -11.480610659,108.938176601 -11.4953986589999,108.933402601 -11.5101656589999,108.928558601 -11.5249096589999,108.923644601 -11.539631659,108.918661601 -11.554330659,108.913608601 -11.569007659,108.908487601 -11.583660659,108.903295601 -11.5982896589999,108.898035601 -11.6128956589999,108.892706601 -11.627476659,108.887308601 -11.6420336589999,108.881842601 -11.656565659,108.876306601 -11.6710716589999,108.870702601 -11.6855526589999,108.865030601 -11.7000086589999,108.859289601 -11.7144376589999,108.853480601 -11.728840659,108.847603601 -11.7432166589999,108.841657601 -11.757565659,108.835644601 -11.771886659,108.829564601 -11.786180659,108.823415601 -11.8004466589999,108.817199601 -11.814684659,108.810916601 -11.828893659,108.804565601 -11.843073659,108.798147601 -11.8572236589999,108.791662601 -11.8713456589999,108.785111601 -11.8854366589999,108.778933601 -11.899766659,108.772688601 -11.914067659,108.766374601 -11.928340659,108.759992601 -11.942583659,108.753543601 -11.956797659,108.747026601 -11.970981659,108.740441601 -11.985135659,108.733789601 -11.999258659,108.727070601 -12.013351659,108.720283601 -12.0274126589999,108.713430601 -12.041443659,108.706510601 -12.0554416589999,108.699523601 -12.069408659,108.692469601 -12.083342659,108.685349601 -12.097244659,108.678163601 -12.111113659,108.670911601 -12.124949659,108.663593601 -12.138751659,108.656209601 -12.152519659,108.648759601 -12.1662536589999,108.641244601 -12.179953659,108.633663601 -12.193619659,108.626017601 -12.207249659,108.618307601 -12.220844659,108.610531601 -12.234403659,108.602690601 -12.247926659,108.594785601 -12.261413659,108.586816601 -12.2748646589999,108.578782601 -12.2882786599999,108.570684601 -12.3016556599999,108.562523601 -12.31499466,108.554297601 -12.32829666,108.546071601 -12.34146666,108.537782601 -12.35459866,108.529431601 -12.3676926599999,108.521018601 -12.3807476599999,108.512543601 -12.3937656599999,108.504006601 -12.40674366,108.495407601 -12.41968266,108.486747601 -12.43258266,108.478026601 -12.44544266,108.469243601 -12.4582636599999,108.460400601 -12.47104366,108.451496601 -12.48378266,108.442531601 -12.49648166,108.433506601 -12.50913866,108.424421601 -12.5217556599999,108.415276601 -12.53433066,108.406071601 -12.5468626599999,108.396806601 -12.5593536599999,108.387482601 -12.5718016599999,108.378099601 -12.5842076599999,108.368657601 -12.5965696599999,108.359155601 -12.6088896599999,108.349596601 -12.62116566,108.339977601 -12.63339766,108.330301601 -12.6455856599999,108.320566601 -12.65772866,108.310774601 -12.66982866,108.300924601 -12.6818826599999,108.291017601 -12.69389166,108.281052601 -12.7058556599999,108.271031601 -12.71777366,108.260952601 -12.72964566,108.250817601 -12.7414726599999,108.240626601 -12.7532516599999,108.230378601 -12.76498566,108.220075601 -12.77667166,108.209715601 -12.78831066,108.199301601 -12.7999016599999,108.188831601 -12.8114456599999,108.178305601 -12.82294166,108.167725601 -12.8343896599999,108.157091601 -12.84578966,108.146402601 -12.85714066,108.135659601 -12.86844166,108.124861601 -12.8796946599999,108.114010601 -12.89089766,108.103106601 -12.9020516599999,108.092148601 -12.91315466,108.081142601 -12.9242056599999,108.070083601 -12.93520566,108.058972601 -12.9461546599999,108.047808601 -12.9570536599999,108.036593601 -12.9679006599999,108.025325601 -12.97869666,108.014006601 -12.98944166,108.002635601 -13.00013366,107.991214601 -13.01077466,107.979741601 -13.02136366,107.968218601 -13.03189966,107.956644601 -13.0423826599999,107.945021601 -13.05281366,107.933347601 -13.06319066,107.921624601 -13.0735146599999,107.9098526 -13.0837846599999,107.8980306 -13.0940006599999,107.8861596 -13.1041636599999,107.8742406 -13.1142716599999,107.8622736 -13.12432466,107.8502576 -13.13432366,107.8381936 -13.14426766,107.8260826 -13.15415566,107.8139246 -13.16398866,107.8017186 -13.17376666,107.7894666 -13.18348866,107.7771676 -13.1931546599999,107.7648216 -13.20276366,107.7524306 -13.2123166599999,107.7399936 -13.22181366,107.7275106 -13.2312526599999,107.7149826 -13.24063566,107.7024106 -13.2499606599999,107.6897926 -13.25922766,107.6771306 -13.26843766,107.6644246 -13.2775896599999,107.6516746 -13.2866836599999,107.6388816 -13.29571966,107.6260446 -13.3046966599999,107.6131646 -13.31361566,107.6002416 -13.32247466,107.5872766 -13.33127566,107.5742686 -13.3400166599999,107.5612196 -13.34869866,107.5481286 -13.357320661,107.5349966 -13.3658826609999,107.5218226 -13.374384661,107.5086086 -13.382826661,107.4953536 -13.391207661,107.4820586 -13.399528661,107.4687236 -13.4077886609999,107.4553486 -13.415988661,107.4419346 -13.4241256609999,107.4284816 -13.432202661,107.4149896 -13.440217661,107.4014596 -13.4481716609999,107.3878916 -13.456062661,107.3742846 -13.4638926609999,107.3606406 -13.4716596609999,107.3469596 -13.479364661,107.3332406 -13.487007661,107.3194856 -13.494586661,107.3056946 -13.502103661,107.2918666 -13.509557661,107.2780036 -13.516948661,107.2641046 -13.5242756609999,107.2501706 -13.531539661,107.2362016 -13.538739661,107.2221976 -13.545875661,107.2081596 -13.552947661,107.1940876 -13.5599556609999,107.1799816 -13.566898661,107.1658426 -13.573777661,107.1516706 -13.580592661,107.1377436 -13.587216661,107.1237856 -13.5937786609999,107.1097966 -13.6002786609999,107.0957766 -13.606715661,107.0817256 -13.6130896609999,107.0673926 -13.6195136609999,107.0530286 -13.625873661,107.0386336 -13.6321676609999,107.0242096 -13.6383956609999,107.0097546 -13.644557661,106.9952696 -13.650654661,106.9807566 -13.6566846609999,106.9662136 -13.6626486609999,106.9516426 -13.6685466609999,106.9370436 -13.6743776609999,106.9224156 -13.6801416609999,106.9077606 -13.6858396609999,106.8930776 -13.6914706609999,106.8783686 -13.697034661,106.8636316 -13.702531661,106.8488696 -13.707961661,106.834080599 -13.7133236609999,106.819266599 -13.7186186609999,106.804426599 -13.723846661,106.789561599 -13.729005661,106.774671599 -13.734097661,106.759757599 -13.739121661,106.744818599 -13.7440776609999,106.729856599 -13.7489646609999,106.714871599 -13.7537846609999,106.699862599 -13.7585356609999,106.684830599 -13.7632176609999,106.669776599 -13.7678316609999,106.654700599 -13.772376661,106.639602599 -13.776853661,106.624483599 -13.781261661,106.609342599 -13.7855996609999,106.594181599 -13.789869661,106.578999599 -13.794069661,106.563797599 -13.798201661,106.548575599 -13.8022626609999,106.533334599 -13.806255661,106.518073599 -13.810178661,106.502794599 -13.8140316609999,106.487496599 -13.8178156609999,106.472180599 -13.8215296609999,106.456847599 -13.825173661,106.441496599 -13.828747661,106.426127599 -13.8322516609999,106.410742599 -13.835684661,106.395341599 -13.8390486609999,106.379923599 -13.842342661,106.364490599 -13.845565661,106.349041599 -13.848718661,106.333577599 -13.851800661,106.318098599 -13.8548126609999,106.302605599 -13.8577536609999,106.298019599 -13.8586166609999,106.282465599 -13.8614966609999,106.266897599 -13.8643066609999,106.251316599 -13.867044661,106.235721599 -13.8697116609999,106.220114599 -13.872306661,106.204494599 -13.874830661,106.188862599 -13.877283661,106.173218599 -13.8796646609999,106.157563599 -13.881974661,106.141897599 -13.8842126609999,106.126916599 -13.8863026609999,106.111924599 -13.8883276609999,106.096924599 -13.8902876609999,106.081914599 -13.8921816609999,106.066896599 -13.8940096609999,106.051870599 -13.895771661,106.036835599 -13.8974686609999,106.021793599 -13.899099661,106.006744599 -13.9006656609999,105.991687599 -13.902164661,105.976623599 -13.9035986609999,105.961553599 -13.9049666609999,105.946477599 -13.906268661,105.931395599 -13.907504661,105.916307599 -13.908674661,105.901214599 -13.909778661,105.885635599 -13.9108716609999,105.870052599 -13.911894661,105.854463599 -13.9128466609999,105.838870599 -13.9137286609999,105.823273599 -13.9145406609999,105.807672599 -13.9152826609999,105.792068599 -13.9159526609999,105.776461599 -13.916553661,105.760851598 -13.9170836609999,105.745238598 -13.917543661,105.729624598 -13.917932661,105.714008598 -13.9182516609999,105.698391598 -13.9185006609999,105.682772598 -13.9186786609999,105.667153598 -13.918785661,105.651534598 -13.918822661,105.635914598 -13.9187896609999,105.620295598 -13.9186856609999,105.604676598 -13.918511661,105.589059598 -13.918266661,105.573443598 -13.917951661,105.557828598 -13.917565661,105.542216598 -13.9171096609999,105.526606598 -13.9165836609999,105.510999598 -13.915986661,105.495394598 -13.915319661,105.479793598 -13.9145816609999,105.464196598 -13.9137736609999,105.448603598 -13.9128956609999,105.433014598 -13.9119466609999,105.417430598 -13.910927661,105.401851598 -13.909838661,105.386277598 -13.908679661,105.370709598 -13.9074496609999,105.355147598 -13.906149661,105.339591598 -13.904779661,105.324043598 -13.903339661,105.308501598 -13.901828661,105.292967598 -13.900248661,105.277440598 -13.8985976609999,105.261922598 -13.896877661,105.246412598 -13.8950866609999,105.230910598 -13.893226661,105.215418598 -13.891296661,105.200062598 -13.8893236609999,105.184714598 -13.887282661,105.169377598 -13.885172661,105.154050598 -13.8829946609999,105.138734598 -13.8807476609999,105.123428598 -13.878432661,105.108134598 -13.876048661,105.092851598 -13.873596661,105.077580598 -13.871075661,105.062321598 -13.868487661,105.047074598 -13.865829661,105.031840598 -13.863104661,105.016620598 -13.860311661,105.001412598 -13.857450661,104.986219598 -13.854520661,104.971039598 -13.8515236609999,104.955874598 -13.8484586609999,104.940724598 -13.8453256609999,104.925589598 -13.842124661,104.910469598 -13.838856661,104.895365598 -13.835520661,104.880277598 -13.8321166609999,104.865205598 -13.8286456609999,104.850150598 -13.8251076609999,104.835111598 -13.821501661,104.820090598 -13.817828661,104.805087598 -13.814088661,104.790102598 -13.810281661,104.775134598 -13.806407661,104.760186598 -13.8024666609999,104.745256598 -13.7984586609999,104.730345598 -13.794384661,104.715454598 -13.790243661,104.700583598 -13.786035661,104.685731597 -13.781761661,104.670698597 -13.777373661,104.655685597 -13.772917661,104.640694597 -13.7683936609999,104.625725597 -13.7638016609999,104.610778597 -13.7591426609999,104.595854597 -13.7544146609999,104.580952597 -13.7496196609999,104.566074597 -13.7447576609999,104.551219597 -13.7398276609999,104.536389597 -13.7348306609999,104.521582597 -13.7297666609999,104.506800597 -13.724634661,104.492043597 -13.719436661,104.477310597 -13.714171661,104.462604597 -13.708839661,104.447923597 -13.7034416609999,104.433268597 -13.6979766609999,104.418640597 -13.692445661,104.404038597 -13.6868476609999,104.389463597 -13.681183661,104.374916597 -13.6754546609999,104.360396597 -13.669658661,104.345905597 -13.6637976609999,104.331441597 -13.6578706609999,104.317006597 -13.651878661,104.302601597 -13.645820661,104.288224597 -13.639697661,104.273877597 -13.6335096609999,104.259560597 -13.6272566609999,104.245720597 -13.621146661,104.231910597 -13.614975661,104.218128597 -13.6087436609999,104.204375597 -13.602452661,104.190652597 -13.596100661,104.176958597 -13.589687661,104.163294597 -13.5832156609999,104.149660597 -13.5766836609999,104.136057597 -13.5700916609999,104.122485597 -13.563439661,104.108943597 -13.556728661,104.095433597 -13.5499586609999,104.081955597 -13.543128661,104.068508597 -13.536239661,104.055093597 -13.5292916609999,104.040935597 -13.522507661,104.026809597 -13.515659661,104.012716597 -13.508746661,103.998657597 -13.501770661,103.984632597 -13.494729661,103.970640597 -13.4876246609999,103.956683597 -13.4804566609999,103.942761597 -13.473224661,103.928874597 -13.465928661,103.915022597 -13.458569661,103.901206597 -13.4511486609999,103.887425597 -13.443663661,103.873681597 -13.436116661,103.859973597 -13.428506661,103.846302597 -13.420833661,103.832669597 -13.4130996609999,103.819072597 -13.405302661,103.805513597 -13.397443661,103.791992597 -13.3895236609999,103.778510597 -13.381541661,103.765066597 -13.3734986609999,103.751661597 -13.3653936609999,103.738295597 -13.357227661,103.724968597 -13.3490016599999,103.711681597 -13.3407146599999,103.698434597 -13.3323666599999,103.685228597 -13.32395966,103.672062597 -13.31549166,103.658936597 -13.30696366,103.645759597 -13.2983206599999,103.632624597 -13.28961766,103.619531597 -13.2808546599999,103.606480596 -13.27203166,103.593473596 -13.26314866,103.580508596 -13.25420566,103.567587596 -13.24520366,103.554709596 -13.2361426599999,103.541876596 -13.2270226599999,103.529087596 -13.21784366,103.516342596 -13.2086056599999,103.503642596 -13.1993096599999,103.490987596 -13.18995566,103.478377596 -13.18054366,103.465813596 -13.1710736599999,103.453295596 -13.1615456599999,103.440823596 -13.1519606599999,103.428398596 -13.1423186599999,103.416019596 -13.1326196599999,103.403687596 -13.12286366,103.391403596 -13.1130516599999,103.379165596 -13.10318366,103.366976596 -13.0932586599999,103.354835596 -13.08327866,103.342742596 -13.0732426599999,103.330697596 -13.06315066,103.318702596 -13.0530046599999,103.306755596 -13.04280266,103.294858596 -13.03254666,103.283010596 -13.02223566,103.271212596 -13.0118706599999,103.259464596 -13.0014516599999,103.247767596 -12.9909786599999,103.236120596 -12.98045266,103.224524596 -12.96987266,103.212979596 -12.95923966,103.201486596 -12.94855366,103.190112596 -12.93788366,103.178790596 -12.92716166,103.167519596 -12.9163876599999,103.156299596 -12.9055626599999,103.145132596 -12.8946876599999,103.134017596 -12.88376066,103.122954596 -12.8727826599999,103.111944596 -12.86175566,103.100986596 -12.85067766,103.090082596 -12.8395496599999,103.079231596 -12.82837266,103.068434596 -12.8171456599999,103.057690596 -12.8058696599999,103.047000596 -12.7945456599999,103.036365596 -12.7831716599999,103.025783596 -12.77175066,103.015257596 -12.76028066,103.004785596 -12.74876266,102.994369596 -12.7371976599999,102.984008596 -12.72558466,102.973702596 -12.71392466,102.963452596 -12.70221766,102.953258596 -12.69046466,102.943121596 -12.67866466,102.933039596 -12.6668186599999,102.923015596 -12.6549266599999,102.913047596 -12.64298966,102.903136596 -12.63100666,102.893282596 -12.61897966,102.883486596 -12.6069066599999,102.873747596 -12.5947896599999,102.864066596 -12.58262866,102.854444596 -12.57042266,102.844879596 -12.55817366,102.835373596 -12.54588066,102.825925596 -12.53354566,102.816537596 -12.5211666599999,102.807207596 -12.5087446599999,102.797937596 -12.49628066,102.788726596 -12.4837746599999,102.779574596 -12.47122666,102.770483596 -12.45863766,102.761451596 -12.44600666,102.752480596 -12.43333466,102.743738596 -12.4208696599999,102.735055596 -12.40836466,102.726430596 -12.39582166,102.717864596 -12.38324066,102.709356596 -12.3706206599999,102.700907596 -12.3579636599999,102.692517596 -12.3452676599999,102.684187596 -12.33253566,102.675916596 -12.31976566,102.667704596 -12.30695966,102.659552596 -12.2941156599999,102.651460596 -12.2812366589999,102.643428596 -12.2683206589999,102.635456596 -12.2553696589999,102.627545596 -12.2423826589999,102.619694596 -12.229360659,102.611903596 -12.2163036589999,102.604174596 -12.203211659,102.596505596 -12.190085659,102.588898596 -12.176924659,102.581351596 -12.163730659,102.573867596 -12.1505026589999,102.566443596 -12.1372416589999,102.559081596 -12.123947659,102.551782596 -12.1106206589999,102.544544596 -12.097260659,102.537368595 -12.083868659,102.530254595 -12.070444659,102.523203595 -12.056989659,102.516277595 -12.043631659,102.509411595 -12.030243659,102.502608595 -12.0168256589999,102.495866595 -12.003376659,102.489186595 -11.9898986589999,102.482568595 -11.9763906589999,102.476012595 -11.962853659,102.469518595 -11.9492886589999,102.463087595 -11.935693659,102.456718595 -11.9220706589999,102.450412595 -11.9084206589999,102.444168595 -11.894741659,102.437987595 -11.881035659,102.431870595 -11.867301659,102.425815595 -11.853541659,102.419823595 -11.8397546589999,102.413895595 -11.825941659,102.408030595 -11.812101659,102.402228595 -11.7982366589999,102.396491595 -11.7843456589999,102.390816595 -11.7704286589999,102.385206595 -11.756487659,102.379660595 -11.742521659,102.374177595 -11.7285316589999,102.368611595 -11.714133659,102.363113595 -11.699709659,102.357682595 -11.6852616589999,102.352320595 -11.670788659,102.347026595 -11.656291659,102.341799595 -11.641770659,102.336642595 -11.627225659,102.331552595 -11.612657659,102.326531595 -11.5980666589999,102.321579595 -11.5834536589999,102.316695595 -11.5688176589999,102.311880595 -11.5541596589999,102.307134595 -11.5394796589999,102.302457595 -11.5247776589999,102.297849595 -11.5100556589999,102.293310595 -11.495312659,102.288841595 -11.480548659,102.284441595 -11.4657646589999,102.280110595 -11.450960659,102.275848595 -11.4361376589999,102.271656595 -11.421294659,102.267534595 -11.406432659,102.263481595 -11.391552659,102.259499595 -11.3766546589999,102.255586595 -11.361737659,102.251743595 -11.3468036589999,102.247970595 -11.3318526589999,102.244267595 -11.3168836589999,102.240634595 -11.301898659,102.237071595 -11.286897659,102.233579595 -11.271879659,102.230157595 -11.256846659,102.226805595 -11.2417976589999,102.223524595 -11.2267336589999,102.220313595 -11.211654659,102.217173595 -11.196561658,102.214104595 -11.181454658,102.211105595 -11.1663336579999,102.208177595 -11.1511996579999,102.205319595 -11.1360516579999,102.202533595 -11.120890658,102.199817595 -11.1057176579999,102.197172595 -11.090532658,102.194599595 -11.075335658,102.192096595 -11.0601266579999,102.189664595 -11.0449066579999,102.187304595 -11.029675658,102.185014595 -11.014434658,102.182796595 -10.9991826579999,102.180649595 -10.9839206579999,102.178573595 -10.9686496579999,102.176568595 -10.9533686579999,102.174635595 -10.9380796579999,102.172773595 -10.922780658,102.170982595 -10.907474658,102.169263595 -10.892159658,102.167615595 -10.8768376579999,102.166072595 -10.861860658,102.164597595 -10.8468756579999,102.163191595 -10.831885658,102.161852595 -10.8168886579999,102.160582595 -10.8018856579999,102.159380595 -10.786877658,102.158247595 -10.771864658,102.157182595 -10.756846658,102.156185595 -10.7418236579999,102.155256595 -10.726796658,102.154396595 -10.7117656579999,102.153604595 -10.696730658,102.152881595 -10.681692658,102.152226595 -10.666651658,102.151639595 -10.6516076579999,102.151121595 -10.636560658,102.150657595 -10.621385658,102.150262595 -10.606209658,102.149937595 -10.591030658,102.149681595 -10.575850658,102.149495595 -10.5606706579999,102.149379595 -10.545488658,102.149332595 -10.530306658,102.149354595 -10.5151256579999,102.149446595 -10.499943658,102.149607595 -10.484762658,102.149838595 -10.469582658,102.150138595 -10.4544036579999,102.150508595 -10.4392256579999,102.150947595 -10.4240496579999,102.151455595 -10.4088766579999,102.152033595 -10.3937046579999,102.152680595 -10.378536658,102.153396595 -10.363370658,102.154182595 -10.348208658,102.155037595 -10.3330506579999,102.155961595 -10.3178956579999,102.156954595 -10.3027456579999,102.158017595 -10.287599658,102.159149595 -10.2724596579999,102.160349595 -10.257323658,102.161619595 -10.242193658,102.162958595 -10.2270696579999,102.164366595 -10.211951658,102.165843595 -10.1968406579999,102.167389595 -10.181735658,102.169003595 -10.166637658,102.170687595 -10.151547658,102.172444595 -10.1363836579999,102.174271595 -10.121228657,102.176167595 -10.1060816569999,102.178133595 -10.090943657,102.180168595 -10.075814657,102.182272595 -10.0606946569999,102.184446595 -10.045583657,102.186689595 -10.0304836569999,102.189000595 -10.0153936569999,102.191381595 -10.0003136569999,102.193831595 -9.98524565699995,102.196350595 -9.97018765699994,102.198938595 -9.95514165699996,102.201594595 -9.94010765699994,102.204320595 -9.92508565699995,102.207114595 -9.91007565699994,102.209977595 -9.89507865699994,102.212908595 -9.88009465699997,102.215907595 -9.86512465699997,102.218976595 -9.85016765699993,102.222112595 -9.83522465699997,102.225317595 -9.82029565699997,102.228590595 -9.80538165699994,102.231931595 -9.79048265699993,102.235340595 -9.77559865699993,102.238817595 -9.76072965699996,102.242363595 -9.74587665699994,102.245975595 -9.73104065699994,102.249656595 -9.71622065699995,102.253404595 -9.70141665699998,102.257220595 -9.68663065699997,102.261103595 -9.67186165699997,102.265054595 -9.65710965699998,102.268832595 -9.64210365699995,102.272680595 -9.62711365699994,102.276597595 -9.61214265699994,102.280583595 -9.59718865699995,102.284638595 -9.58225365699997,102.288762595 -9.56733665699994,102.292956595 -9.55243965699998,102.297218595 -9.53756165699997,102.301548595 -9.52270265699997,102.305948595 -9.50786365699997,102.310416595 -9.49304565699993,102.314952595 -9.47824765699994,102.319557595 -9.46347065699996,102.324230595 -9.44871465699993,102.328971595 -9.43398065699995,102.333780595 -9.41926765699998,102.338657595 -9.40457765699995,102.343601595 -9.38990865699998,102.348614595 -9.37526365699995,102.353694595 -9.36064165699997,102.358841595 -9.34604265699994,102.364056595 -9.33146765699996,102.369338595 -9.31691565699998,102.374687595 -9.30238865699994,102.380103595 -9.28788665699994,102.385586595 -9.27340865699995,102.391136595 -9.25895665699994,102.396752595 -9.24452965699993,102.401986595 -9.23124765699993,102.407278595 -9.21798865699998,102.412625595 -9.20475165699997,102.418029595 -9.19153765699997,102.423489595 -9.17834665699996,102.429004595 -9.16517865699996,102.434576595 -9.15203365699995,102.440204595 -9.13891165699994,102.445887595 -9.12581465699998,102.451626595 -9.11274165699996,102.457420595 -9.09969165699994,102.463750595 -9.08558765699996,102.470144595 -9.07151265699997,102.476602595 -9.05746665599997,102.483125595 -9.04345065599995,102.489713595 -9.02946465599996,102.496365595 -9.01550865599995,102.503080595 -9.00158265599993,102.509860595 -8.98768765599993,102.516704595 -8.97382365599998,102.523611595 -8.95999165599994,102.530582595 -8.94619065599994,102.537616595 -8.93242165599997,102.544713596 -8.91868465599993,102.551873596 -8.90498065599996,102.559096596 -8.89130865599998,102.566382596 -8.87767065599996,102.56917584 -8.87249927999994,103.380709449 -8.80773811999995,104.153209449 -8.74468254999994,104.272931669 -8.73468254799997,104.502139353 -8.73334761799993,105.226820559 -8.72912699699998,105.271742069 -8.72726232799994,105.300431669 -8.72607143699997,105.393487219 -8.74829365999994,105.578209449 -8.79273811799993,105.699042779 -8.82079367299997,105.700431669 -8.82107145299995,106.180709449 -8.93162703199994,106.347931669 -8.97884925999995,106.386264999 -8.98968259199995,106.558764999 -9.03829370999995,106.822931669 -9.13246039699993,106.848764999 -9.15107150999995,106.867924148 -9.16467987999994)))', 'Christmas Island Exclusive Economic Zone', 'Christmas Island', 'Australia', '', '16', '2', 'CXR', '8309', '', '329438200300', '8309', 'Y'),('SRID=4326;MULTIPOLYGON(((149.205416639 19.0451613700001,149.207616639 19.0160503700001,149.204894639 19.0236223700001,149.212405639 18.99532537,149.219652639 18.96696437,149.226638639 18.93854437,149.233363639 18.91006937,149.239822639 18.88153937,149.246019639 18.852952369,149.251952639 18.824319369,149.257619639 18.795636369,149.263024639 18.766905369,149.268163639 18.738133369,149.273038639 18.7093163690001,149.277647639 18.680464369,149.281988639 18.6515693690001,149.286069639 18.6226443690001,149.289880639 18.5936833690001,149.293427639 18.5646913690001,149.296705639 18.5356723690001,149.299719639 18.5066273690001,149.300706639 18.4961953690001,149.302074639 18.4830053690001,149.304824639 18.4539363690001,149.307305639 18.424844369,149.309522639 18.395733369,149.311469639 18.3666023690001,149.313152639 18.337458369,149.314569639 18.308302369,149.315716639 18.2791363690001,149.316599639 18.2499583690001,149.317219639 18.220775369,149.317569639 18.191589369,149.317652639 18.1624003690001,149.317472639 18.133211369,149.317024639 18.1040253690001,149.316313639 18.0748443690001,149.315873639 18.0617373690001,149.319258639 18.0360723690001,149.322810639 18.0070803690001,149.326099639 17.978061369,149.329122639 17.949016369,149.331880639 17.9199473690001,149.334372639 17.8908553690001,149.336599639 17.8617413690001,149.338560639 17.8326143690001,149.340255639 17.803469369,149.341685639 17.774311368,149.342849639 17.7451413680001,149.343749639 17.7159643680001,149.344383639 17.686780368,149.344749639 17.6575913680001,149.344852639 17.628402368,149.344691639 17.5992113680001,149.344263639 17.5700253680001,149.343572639 17.540841368,149.342613639 17.511666368,149.341391639 17.4824973680001,149.340894639 17.4905113680001,149.342066639 17.461341368,149.342974639 17.432164368,149.343616639 17.402980368,149.343994639 17.3737913680001,149.344105639 17.344600368,149.343952639 17.3154083680001,149.343535639 17.286219368,149.342852639 17.2570363680001,149.341908639 17.2278583680001,149.340697639 17.198689368,149.344330639 17.1725113680001,149.354374639 17.144964368,149.364166639 17.1173303680001,149.373702639 17.0896163680001,149.382985639 17.061825368,149.392013639 17.033955368,149.400788639 17.006008368,149.409305639 16.9779913680001,149.417566639 16.949902368,149.425569639 16.9217443680001,149.433316639 16.893522368,149.440802639 16.8652333680001,149.448033639 16.836883368,149.455005639 16.808472368,149.461716639 16.780005368,149.468169639 16.751480368,149.474360639 16.7229053680001,149.480294639 16.694277367,149.485963639 16.665600367,149.491374639 16.6368773670001,149.496524639 16.6081083670001,149.501410639 16.579297367,149.506035639 16.5504473670001,149.510399639 16.5215583670001,149.514499639 16.4926333670001,149.518338639 16.4636773670001,149.521913639 16.434686367,149.525227639 16.405669367,149.528277639 16.376625367,149.531063639 16.347555367,149.533588639 16.3184613670001,149.535849639 16.2893503670001,149.537847639 16.260219367,149.539580639 16.231072367,149.541049639 16.201914367,149.542258639 16.1727413670001,149.543202639 16.1435613670001,149.543883639 16.114375367,149.544299639 16.0851803670001,149.544455639 16.0559863670001,149.544347639 16.026791367,149.543974639 15.9976003670001,149.543341639 15.968411367,149.542444639 15.9392273670001,149.541283639 15.910055367,149.539863639 15.8808913670001,149.538180639 15.851741367,149.536233639 15.822608367,149.534027639 15.7934893670001,149.531558639 15.764391367,149.528830639 15.7353163670001,149.525841639 15.7062643670001,149.522591639 15.677239367,149.519080639 15.648241367,149.515313639 15.6192753660001,149.511283639 15.5903413660001,149.506997639 15.5614413660001,149.502452639 15.532580366,149.497649639 15.5037583660001,149.492588639 15.474975366,149.487272639 15.446239366,149.481697639 15.4175473660001,149.475866639 15.388902366,149.469783639 15.3603113660001,149.463441639 15.3317693660001,149.456847639 15.303280366,149.449999639 15.2748523660001,149.442899639 15.2464803660001,149.435547639 15.218169366,149.427941639 15.1899223660001,149.420085639 15.1617393660001,149.411980639 15.1336223660001,149.403624639 15.105577366,149.395019639 15.0776023660001,149.386166639 15.049700366,149.377066639 15.0218753660001,149.367719639 14.994127366,149.358124639 14.966458366,149.348288639 14.9388723660001,149.338205639 14.911369366,149.327880639 14.8839523660001,149.317310639 14.8566223660001,149.306502639 14.8293833660001,149.295449639 14.802239366,149.284160639 14.7751863660001,149.272630639 14.748227366,149.260863639 14.721369366,149.248858639 14.6946113660001,149.236619639 14.6679553660001,149.224141639 14.641402366,149.211433639 14.6149583660001,149.198895639 14.5894473660001,149.194877639 14.571216366,149.188330639 14.542722365,149.181530639 14.514286365,149.174477639 14.4859053650001,149.167172639 14.4575863650001,149.159616639 14.4293303650001,149.151810639 14.4011413650001,149.143758639 14.3730163650001,149.135452639 14.3449643650001,149.126899639 14.3169803650001,149.118102639 14.289069365,149.117100639 14.285985365,149.109769639 14.260366365,149.101472639 14.2323083650001,149.092927639 14.204325365,149.084135639 14.176414365,149.075097639 14.1485773650001,149.065810639 14.120819365,149.056283639 14.0931413650001,149.046508639 14.0655443650001,149.036491639 14.0380303650001,149.026230639 14.0106023650001,149.015727639 13.983261365,149.004983639 13.9560113650001,148.993999639 13.9288523650001,148.982777639 13.9017893650001,148.971316639 13.8748223650001,148.959619639 13.847950365,148.947685639 13.821180365,148.935513639 13.7945113650001,148.923110639 13.7679473650001,148.910472639 13.7414893650001,148.897602639 13.715139365,148.884499639 13.6888973650001,148.871166639 13.662766365,148.857605639 13.6367523650001,148.843816639 13.610852365,148.829799639 13.585072365,148.815558639 13.559408365,148.801088639 13.533869365,148.786397639 13.508450365,148.771483639 13.4831583640001,148.756347639 13.4579943640001,148.740991639 13.4329583640001,148.725416639 13.4080523640001,148.709624638 13.383280364,148.693616638 13.3586413640001,148.677391638 13.3341413640001,148.660952638 13.3097773640001,148.644302638 13.2855553640001,148.627438638 13.261475364,148.618157638 13.248460364,148.607377638 13.2308643640001,148.591819638 13.205955364,148.576044638 13.1811803640001,148.560055638 13.156539364,148.543847638 13.132036364,148.529927638 13.104161364,148.520224638 13.0765523640001,148.510274638 13.049025364,148.500085638 13.021586364,148.489655638 12.994233364,148.478983638 12.966969364,148.468072638 12.9398003640001,148.456922638 12.912722364,148.445535638 12.8857413640001,148.433910638 12.8588583640001,148.422052638 12.8320723640001,148.409958638 12.8053913640001,148.397630638 12.778814364,148.385069638 12.752339364,148.372274638 12.725975364,148.359252638 12.699719364,148.345999638 12.673577364,148.332516638 12.647547364,148.318808638 12.621633364,148.304869638 12.595836364,148.290708638 12.5701583640001,148.276322638 12.5446023640001,148.261713638 12.519169364,148.246883638 12.493864364,148.231830638 12.4686833640001,148.216558638 12.4436303640001,148.201066638 12.418711364,148.185358638 12.3939223630001,148.169435638 12.3692693630001,148.153297638 12.3447503630001,148.136944638 12.320372363,148.120380638 12.296133363,148.103602638 12.272036363,148.086616638 12.248080363,148.073991638 12.2305963630001,148.062977638 12.205619363,148.050930638 12.1789303630001,148.038647638 12.1523413630001,148.026133638 12.1258613630001,148.013385638 12.099486363,148.000410638 12.0732223630001,147.987205638 12.047072363,147.973769638 12.0210333630001,147.960108638 11.995108363,147.946222638 11.9693023630001,147.932108638 11.943616363,147.917772638 11.9180503630001,147.903210638 11.892608363,147.925472638 11.9312973630001,147.911135638 11.905733363,147.896577638 11.880291363,147.881797638 11.8549723630001,147.866794638 11.829783363,147.851574638 11.8047223630001,147.836135638 11.7797913630001,147.820480638 11.754991363,147.804608638 11.7303273630001,147.788522638 11.705800363,147.772222638 11.6814113630001,147.755708638 11.6571613630001,147.744999638 11.6402773630001,147.517499637 11.6147223630001,146.921944637 11.5300003630001,146.426110636 11.4541663630001,145.876666636 11.3702773630001,145.377222635 11.291944362,144.957222635 11.225555362,144.941388635 11.223055362,143.448055634 10.950833362,143.052499633 10.9583333620001,142.257777632 11.875833363,141.363333632 12.9000003640001,141.359166632 12.9047223640001,141.321388632 12.959444364,141.214722632 13.108889364,141.212505632 13.131652364,141.209633632 13.160719364,141.207019632 13.189808364,141.204660632 13.218919364,141.202563632 13.2480503640001,141.200722632 13.2771973640001,141.199141632 13.3063583640001,141.197819632 13.335530364,141.196755631 13.3647143640001,141.195952631 13.393905364,141.195410631 13.423102364,141.195124631 13.452302364,141.195102631 13.4815023640001,141.195338631 13.510702365,141.195833631 13.5399003650001,141.196588631 13.5690943650001,141.197605632 13.5982773650001,141.198883632 13.6274523650001,141.200419632 13.6566143650001,141.202213632 13.6857643650001,141.204272632 13.7148943650001,141.206588632 13.7440083650001,141.209163632 13.7731003650001,141.212002632 13.8021693650001,141.215097632 13.8312113650001,141.218452632 13.8602273650001,141.222069632 13.889214365,141.225944632 13.918166365,141.230077632 13.9470893650001,141.234469632 13.9759723650001,141.239119632 14.0048163650001,141.244030632 14.0336193650001,141.249197632 14.062380365,141.254622632 14.0910973650001,141.260305632 14.119766365,141.266244632 14.148383365,141.272441632 14.176950365,141.278894632 14.2054643650001,141.285602632 14.2339223650001,141.292566632 14.2623193650001,141.299788632 14.2906583650001,141.307260632 14.3189333650001,141.314991632 14.347141365,141.322972632 14.375286365,141.331208632 14.403358365,141.339697632 14.431361365,141.348435632 14.4592913650001,141.357427632 14.4871443650001,141.366672632 14.514919365,141.376163632 14.5426163650001,141.385908632 14.570230366,141.395899632 14.5977583660001,141.406141632 14.6252023660001,141.416627632 14.6525553660001,141.427363632 14.6798193660001,141.438344632 14.7069913660001,141.449572632 14.734069366,141.461044632 14.7610473660001,141.472758632 14.7879273660001,141.484716632 14.814708366,141.496919632 14.8413863660001,141.509360632 14.867955366,141.522044632 14.8944223660001,141.534966632 14.920775366,141.548127632 14.9470193660001,141.561527632 14.973150366,141.575163632 14.9991663660001,141.589035632 15.025064366,141.603141632 15.050841366,141.617483632 15.0764973660001,141.632058632 15.1020333660001,141.646863632 15.127441366,141.661899632 15.152722366,141.677166632 15.177872366,141.692660632 15.2028943660001,141.708383632 15.227780366,141.724333632 15.252533366,141.740508632 15.2771473660001,141.756905632 15.3016223660001,141.773527632 15.3259583660001,141.790369632 15.350150366,141.807433632 15.374200366,141.824716632 15.3981003660001,141.842216632 15.4218523660001,141.859933632 15.445455366,141.877863632 15.4689053660001,141.896010632 15.4922023660001,141.914369632 15.515341366,141.932941632 15.538325366,141.951719632 15.561150366,141.970708632 15.5838113660001,141.989905632 15.6063113660001,142.009305632 15.6286473660001,142.028910632 15.6508143670001,142.048722632 15.6728143670001,142.068730632 15.694644367,142.088941632 15.7163053670001,142.112888632 15.7554643670001,142.127494632 15.781005367,142.142330632 15.806419367,142.157399632 15.831708367,142.172699632 15.8568693670001,142.188230632 15.881897367,142.195260632 15.904005367,142.190955632 15.9329023670001,142.186908632 15.9618333670001,142.183122632 15.9908003670001,142.179594632 16.019794367,142.176330632 16.048816367,142.173324632 16.0778663670001,142.170577632 16.106941367,142.168094632 16.136036367,142.165874632 16.1651523670001,142.163913632 16.1942863670001,142.162216632 16.223433367,142.160780632 16.252594367,142.159608632 16.281766367,142.158697632 16.310950367,142.158052632 16.3401363670001,142.157669632 16.369327367,142.157547632 16.3985223670001,142.157691632 16.4277163670001,142.158097632 16.456908367,142.158769632 16.4860943670001,142.159702632 16.515272367,142.160899632 16.544444367,142.162360632 16.573602367,142.164088632 16.6027503670001,142.166077632 16.6318803670001,142.168330632 16.6609913670001,142.170847632 16.6900833670001,142.173627632 16.719155368,142.176672632 16.748200368,142.179980632 16.777219368,142.183549632 16.8062083680001,142.187385632 16.835166368,142.191480632 16.8640913680001,142.195841632 16.8929803680001,142.200463632 16.921830368,142.205349632 16.950641368,142.210497632 16.9794113680001,142.215905632 17.0081363680001,142.221574632 17.036814368,142.227505632 17.065444368,142.233699632 17.094022368,142.240152632 17.122544368,142.246863632 17.1510143680001,142.253838632 17.1794273680001,142.261069632 17.2077773680001,142.268560632 17.2360693680001,142.276310633 17.264294368,142.284319633 17.2924523680001,142.292583633 17.3205443680001,142.301105633 17.348564368,142.299602633 17.3521613680001,142.293133633 17.3806833680001,142.286919633 17.4092583680001,142.280963633 17.437886368,142.275266633 17.4665583680001,142.269827632 17.4952803680001,142.264647632 17.524044368,142.259727632 17.5528503680001,142.255069632 17.5816973680001,142.250669632 17.6105803680001,142.246533632 17.639500368,142.242655632 17.668452368,142.239044632 17.6974393680001,142.232602632 17.755489368,142.227216632 17.813641369,142.224916632 17.8427473690001,142.222883632 17.8718723690001,142.221113632 17.9010143690001,142.219608632 17.9301663690001,142.218369632 17.959333369,142.217394632 17.9885053690001,142.216685632 18.017689369,142.214841632 18.037139369,142.208063632 18.065600369,142.201544632 18.0941143690001,142.195283632 18.1226833690001,142.189280632 18.1513023690001,142.183535632 18.179969369,142.178052632 18.208683369,142.172830632 18.2374413690001,142.167866632 18.266244369,142.163163632 18.2950833690001,142.158724632 18.3239643690001,142.153835632 18.3472943690001,142.143354632 18.3705253690001,142.131641632 18.390083369,142.116697632 18.415547369,142.101977632 18.4411303690001,142.087488632 18.4668363690001,142.073233632 18.492658369,142.059208632 18.5185973690001,142.045416632 18.5446523690001,142.031858632 18.570819369,142.031436632 18.5716513690001,142.017108632 18.5903163690001,141.999238632 18.6140143690001,141.981583632 18.6378583690001,141.964138632 18.6618443690001,141.946910632 18.6859753690001,141.929899632 18.7102473690001,141.913108632 18.7346553690001,141.896533632 18.759202369,141.880177632 18.783883369,141.864044632 18.8086973690001,141.848135632 18.8336443690001,141.832449632 18.8587193700001,141.816988632 18.88392537,141.801755632 18.90925237,141.786749632 18.9347083700001,141.771974632 18.9602833700001,141.757427632 18.9859773700001,141.743110632 19.0117943700001,141.729030632 19.03772537,141.715180632 19.06376937,141.701566632 19.0899273700001,141.688188632 19.1161973700001,141.675047632 19.14257537,141.662144632 19.1690613700001,141.649480632 19.1956503700001,141.637058632 19.22234137,141.624874632 19.24913637,141.612935632 19.2760273700001,141.601238632 19.30301637,141.589785632 19.33010037,141.578580632 19.3572773700001,141.567619632 19.3845473700001,141.556905632 19.4119023700001,141.546438632 19.4393473700001,141.536222632 19.46687537,141.526255632 19.4944863700001,141.516538632 19.5221773700001,141.507074632 19.54994737,141.497860632 19.57779437,141.488902632 19.60571637,141.480197632 19.6337113700001,141.471747632 19.66177537,141.463549632 19.6899083700001,141.455610632 19.71810537,141.447930632 19.74636937,141.440505632 19.7746943700001,141.433338632 19.80307737,141.426433632 19.83151937,141.419785632 19.86001637,141.413397632 19.88856937,141.407272632 19.9171693700001,141.401408632 19.9458223710001,141.395805632 19.974519371,141.390466632 20.0032643710001,141.385213632 20.0398663710001,141.380402632 20.068694371,141.375852632 20.097558371,141.371566632 20.1264583710001,141.367547632 20.1553943710001,141.364778632 20.1767603710001,141.363794632 20.184358371,141.360308632 20.213355371,141.357085632 20.242377371,141.354130632 20.2714273710001,141.351444632 20.3005003710001,141.349024632 20.329591371,141.346872632 20.358702371,141.344988632 20.3878303710001,141.343374632 20.416972371,141.342027632 20.4461253710001,141.340952632 20.475289371,141.340144632 20.504461371,141.339605632 20.533639371,141.339335632 20.5628163710001,141.339338632 20.592000371,141.339608632 20.621177371,141.340149632 20.650355371,141.340963632 20.6795253710001,141.342044632 20.708689371,141.343397632 20.7378413710001,141.345019632 20.766980371,141.346913632 20.7961083710001,141.349077632 20.8252163710001,141.351510632 20.8543083710001,141.3483333 20.88083333,141.4591667 20.9733333300001,142.0625 21.4725,142.3013889 21.6688888900001,142.3441667 21.70388889,142.584166701 21.899444439,143.0838889 22.3036111100001,143.749166628 22.836944381,143.749166701 22.836944439,144.2963889 23.2697222200001,144.595777651 23.50397844,144.6730556 23.56444444,144.9013889 23.74222222,145.0961111 23.8930555600001,145.099722635 23.8902773740001,145.125566635 23.8820803740001,145.157213635 23.880127374,145.188841635 23.8779143740001,145.220447635 23.8754393740001,145.252024635 23.8727083740001,145.283574635 23.8697143740001,145.315091635 23.866464374,145.346577635 23.862952374,145.378027635 23.859186374,145.409435635 23.855158374,145.440805635 23.8508723740001,145.472130635 23.846330374,145.503408636 23.8415303740001,145.534635636 23.836475374,145.565813636 23.831161374,145.596935636 23.825594374,145.628002636 23.819769374,145.659010636 23.813689374,145.689958636 23.8073553740001,145.720838636 23.800769374,145.751652636 23.7939273740001,145.782399636 23.786833374,145.813072636 23.779486374,145.843672636 23.7718893740001,145.874194636 23.764039374,145.904638636 23.755939374,145.935002636 23.747589374,145.965280636 23.738991374,145.995469636 23.7301443740001,146.025572636 23.721047374,146.055583636 23.7117053740001,146.085499636 23.7021193740001,146.115322636 23.692286374,146.145044636 23.682208374,146.174663636 23.6718863740001,146.204180636 23.6613193740001,146.233594636 23.6505143740001,146.262897636 23.6394663740001,146.292088636 23.6281773740001,146.321169636 23.6166503740001,146.350133636 23.6048833740001,146.378980636 23.5928803740001,146.407708636 23.580641374,146.436313636 23.568164374,146.464794636 23.5554553740001,146.493147636 23.5425113740001,146.521372636 23.529336374,146.549466636 23.5159273740001,146.577427637 23.502291374,146.605252637 23.488425374,146.632938637 23.474330374,146.660485637 23.460008374,146.687888637 23.445461374,146.715149637 23.4306893740001,146.742260637 23.4156943740001,146.769227637 23.400477374,146.796038637 23.385039374,146.822699637 23.3693803740001,146.849205637 23.3535053740001,146.875555637 23.337414374,146.901744637 23.3211023740001,146.927772637 23.3045803740001,146.953635637 23.287844374,146.979335637 23.2708973740001,147.004869637 23.253736374,147.030230637 23.236369374,147.055422637 23.218794374,147.080441637 23.2010143740001,147.105283637 23.1830273740001,147.129949637 23.1648363740001,147.154435637 23.1464443730001,147.178741637 23.1278523730001,147.202866637 23.109064373,147.226805637 23.090075373,147.250555637 23.0708913730001,147.274119637 23.051514373,147.297494637 23.0319413730001,147.320677637 23.012180373,147.343663637 22.992227373,147.366458637 22.9720893730001,147.389052637 22.9517643730001,147.411449637 22.9312523730001,147.433647637 22.9105583730001,147.455641637 22.889683373,147.477433637 22.868627373,147.499016637 22.847394373,147.520394637 22.825983373,147.541563637 22.8044003730001,147.562524637 22.782641373,147.583272637 22.760714373,147.585599637 22.7582093730001,147.586535637 22.7572193730001,147.607069637 22.735119373,147.627388637 22.712855373,147.647488638 22.690422373,147.667374638 22.667827373,147.687038638 22.6450663730001,147.706483638 22.6221503730001,147.725702638 22.5990723730001,147.744702638 22.5758363730001,147.763474638 22.5524473730001,147.782022638 22.5289023730001,147.800341638 22.5052083730001,147.818430638 22.4813643730001,147.836288638 22.4573723730001,147.853916638 22.4332363730001,147.871310638 22.408955373,147.888472638 22.3845333730001,147.905397638 22.3599693730001,147.922085638 22.3352693730001,147.938535638 22.310430373,147.954749638 22.285461373,147.970719638 22.260355373,147.986452638 22.235122373,148.001938638 22.209761373,148.017183638 22.184275373,148.032185638 22.158661373,148.046938638 22.132927373,148.061447638 22.1070723730001,148.075708638 22.081100373,148.089722638 22.055011372,148.103483638 22.0288083720001,148.116997638 22.0024943720001,148.130258638 21.976069372,148.141272638 21.9644893720001,148.159077638 21.940502372,148.176655638 21.9163723720001,148.193999638 21.892097372,148.211110638 21.8676803720001,148.227988638 21.843125372,148.244630638 21.818430372,148.261033638 21.7936003720001,148.277199638 21.7686333720001,148.293127638 21.7435363720001,148.308816638 21.7183113720001,148.324263638 21.692955372,148.339466638 21.6674723720001,148.354427638 21.641866372,148.369144638 21.616136372,148.383616638 21.590289372,148.397838638 21.564322372,148.411816638 21.5382393720001,148.425547638 21.5120413720001,148.439024638 21.485730372,148.452255638 21.4593113720001,148.465233638 21.4327833720001,148.477960638 21.4061503720001,148.490433638 21.379414372,148.502652638 21.352575372,148.514619638 21.3256363720001,148.526327638 21.2986003720001,148.538944638 21.2705523720001,148.553391638 21.244708372,148.567591638 21.2187443720001,148.581547638 21.192664372,148.595252638 21.1664693720001,148.608710638 21.1401643720001,148.621919638 21.113750372,148.634877638 21.087225372,148.647585638 21.060594372,148.660038638 21.033861372,148.672241638 21.007025372,148.684191638 20.9800893710001,148.695883638 20.9530553710001,148.707322638 20.9259273710001,148.718505639 20.8987053710001,148.729430639 20.8713913710001,148.740097639 20.8439893710001,148.750508639 20.816497371,148.760658639 20.7889253710001,148.770549639 20.761266371,148.780183639 20.733527371,148.789552639 20.7057113710001,148.798663639 20.6778193710001,148.807510639 20.6498523710001,148.816097639 20.621811371,148.824419639 20.5937023710001,148.832477639 20.565527371,148.840272639 20.5372833710001,148.847805639 20.5089803710001,148.855072639 20.4806143710001,148.862072639 20.452186371,148.868808639 20.423705371,148.875277639 20.3951663710001,148.881480639 20.3665773710001,148.887419639 20.3379393710001,148.893088639 20.3092523710001,148.898491639 20.280519371,148.903627639 20.251741371,148.908494639 20.222922371,148.913094639 20.1940663710001,148.917427639 20.165172371,148.923916639 20.134939371,148.936074639 20.1081113710001,148.947980639 20.0811833710001,148.959633639 20.054158371,148.971033639 20.0270363710001,148.982177639 19.9998223710001,148.993066639 19.972516371,149.003702639 19.945119371,149.014080639 19.91763637,149.024199639 19.89006937,149.034063639 19.8624163700001,149.043669639 19.83468637,149.053013639 19.8068753700001,149.062099639 19.77898637,149.070927639 19.75102537,149.079494639 19.72299137,149.087797639 19.6948863700001,149.095841639 19.66671437,149.103622639 19.63847737,149.111138639 19.61017537,149.118394639 19.5818143700001,149.125385639 19.55339137,149.132113639 19.52491437,149.138577639 19.4963773700001,149.144774639 19.46779137,149.150708639 19.43915537,149.156377639 19.41047237,149.161780639 19.38173937,149.166919639 19.3529643700001,149.171791639 19.32415037,149.176394639 19.29529137,149.180733639 19.26640037,149.184805639 19.23747237,149.188610639 19.2085113700001,149.192149639 19.17951937,149.195419639 19.15050037,149.198424639 19.12145537,149.199351639 19.1116063700001,149.200208639 19.1033223700001,149.202947639 19.0742523700001,149.205416639 19.0451613700001),(145.728299636 15.0880543660001,145.734681636 15.0872183660001,145.736827636 15.137709366,145.796645636 15.2404093660001,145.818081636 15.2631903660001,145.793163636 15.2681903660001,145.733154636 15.2401363660001,145.695527636 15.178054366,145.683872636 15.142772366,145.676908636 15.1163903660001,145.684536636 15.100554366,145.728299636 15.0880543660001),(145.611190636 14.913954366,145.624118636 14.908054366,145.633299636 14.912363366,145.660518636 14.965554366,145.662754636 14.976663366,145.661927636 14.9894363660001,145.648181636 15.0667993660001,145.639690636 15.080272366,145.629954636 15.0836093660001,145.587190636 15.034999366,145.572681636 15.005481366,145.611190636 14.913954366),(144.693027635 13.2388813640001,144.702454635 13.234999364,144.709408635 13.234999364,144.720518635 13.237499364,144.729399635 13.2422183640001,144.740236635 13.251663364,144.751918635 13.266945364,144.756099635 13.2763903640001,144.760799635 13.291663364,144.762754635 13.309718364,144.762754635 13.329718364,144.763608635 13.3422183640001,144.768308635 13.3777723640001,144.774408635 13.398336364,144.780818635 13.4122183640001,144.789290635 13.424027364,144.806636635 13.4402723640001,144.836090635 13.4583273640001,144.849972635 13.4649993640001,144.870508635 13.4783273640001,144.907745635 13.515272365,144.928036635 13.5422183650001,144.946627635 13.5708273650001,144.953308635 13.587499365,144.949554635 13.5972183650001,144.876054635 13.6522903650001,144.854690635 13.646799365,144.837463635 13.6301363650001,144.828581635 13.612218365,144.816927635 13.563609365,144.809418635 13.544163365,144.795808635 13.524163365,144.778590635 13.5074993650001,144.762208635 13.496945365,144.743008635 13.4888813650001,144.732727635 13.4855543640001,144.719118635 13.4788813640001,144.702454635 13.4683273640001,144.655245635 13.4277723640001,144.644990635 13.3988903640001,144.634154635 13.3522183640001,144.647763635 13.2883273640001,144.670254635 13.256945364,144.680545635 13.2469453640001,144.693027635 13.2388813640001)))', 'Northern Mariana Islands and Guam Exclusive Economic Zone', 'Northern Mariana Islands and Guam', 'United States', '', '163', '13', 'MNP', '8320', '', '974183587600', '8320', 'Y'),('SRID=4326;MULTIPOLYGON(((125.671361617 20.3715033710001,125.689399617 20.1625753710001,125.689534617 20.155718371,125.689744617 20.153291371,125.689893617 20.1457783710001,125.690046617 20.1440023710001,125.690194617 20.1365043710001,125.690349617 20.134714371,125.690498617 20.1271993710001,125.690651617 20.1254253710001,125.690800617 20.1179233710001,125.690954617 20.116136371,125.691103617 20.1086333710001,125.691257617 20.1068473710001,125.691406617 20.099342371,125.691560617 20.097558371,125.691709617 20.0900523710001,125.691863617 20.088269371,125.692011617 20.0807773710001,125.692167617 20.0789803710001,125.692315617 20.071472371,125.692469617 20.069691371,125.692618617 20.0621813710001,125.692772617 20.0604023710001,125.692921617 20.0529063710001,125.693076617 20.051113371,125.693225617 20.043601371,125.693379617 20.0418243710001,125.693528617 20.034324371,125.693683617 20.0325343710001,125.693832617 20.0250353710001,125.693987617 20.023245371,125.694136617 20.015744371,125.694291617 20.0139563710001,125.694441617 20.0064543710001,125.694595617 20.004667371,125.694745617 19.9971643710001,125.694899617 19.9953783710001,125.695049617 19.987871371,125.695203617 19.9860883710001,125.695353617 19.978597371,125.695508617 19.976799371,125.695658617 19.9692913710001,125.695812617 19.9675103710001,125.695962617 19.960000371,125.696116617 19.958220371,125.696266617 19.950725371,125.696421617 19.9489303710001,125.696571617 19.9414343710001,125.696726617 19.9396403710001,125.696876617 19.9321433710001,125.697031617 19.930351371,125.697181617 19.92283737,125.697335617 19.9210613700001,125.697485617 19.91357737,125.697641617 19.9117723700001,125.697791617 19.9042703700001,125.697946617 19.90248237,125.698096617 19.89497937,125.698251617 19.8931923700001,125.698402617 19.88568937,125.698556617 19.88390337,125.698706617 19.87641237,125.698862617 19.8746133700001,125.699013617 19.86710637,125.699167617 19.8653233700001,125.699318617 19.85783137,125.699473617 19.85603437,125.699624617 19.8485253700001,125.699779617 19.8467443700001,125.699929617 19.8392483700001,125.700085617 19.83745437,125.700236617 19.82995737,125.700391617 19.82816437,125.700542617 19.82066737,125.700697617 19.8188753700001,125.700848617 19.8113763700001,125.701003617 19.80958537,125.701154617 19.80208437,125.701309617 19.8002953700001,125.701460617 19.79280837,125.701616617 19.7910053700001,125.701767617 19.7835033700001,125.701922617 19.78171537,125.702073617 19.77421137,125.702228617 19.7724253700001,125.702379617 19.76493537,125.702535617 19.76313537,125.702686617 19.75564337,125.702842617 19.75384537,125.702993617 19.7463523700001,125.703149617 19.7445543700001,125.703301617 19.73704637,125.703455617 19.73526437,125.703607617 19.72776937,125.703762617 19.7259733700001,125.703913617 19.71849337,125.704070617 19.7166833700001,125.704222617 19.7091863700001,125.704377617 19.70739337,125.704529617 19.69989537,125.704684617 19.6981033700001,125.704836617 19.6906033700001,125.704991617 19.68881337,125.705143617 19.68132537,125.705300617 19.67952237,125.705452617 19.67202037,125.705607617 19.6702323700001,125.705759617 19.66274337,125.705915617 19.66094237,125.706067617 19.65345137,125.706223617 19.65165137,125.706375617 19.6441603700001,125.706531617 19.6423613700001,125.706683617 19.63486837,125.706839617 19.63307037,125.706991617 19.62557737,125.707147617 19.6237803700001,125.707299617 19.6162843700001,125.707455617 19.6144893700001,125.707607617 19.6069943700001,125.707763617 19.60519937,125.707916617 19.59770137,125.708071617 19.5959073700001,125.708223617 19.58842537,125.708380617 19.5866173700001,125.708532617 19.57913337,125.708690617 19.57732637,125.708843617 19.56982637,125.708998617 19.5680363700001,125.709151617 19.56054937,125.709307617 19.5587453700001,125.709460617 19.55125637,125.709616617 19.54945437,125.709769617 19.5419643700001,125.709925617 19.5401633700001,125.710078617 19.5326733700001,125.710234617 19.5308733700001,125.710387617 19.52338037,125.710543617 19.52158237,125.710696617 19.51408837,125.710852617 19.5122913700001,125.711005617 19.5047963700001,125.711162617 19.5030003700001,125.711315617 19.4955193700001,125.711472617 19.49370937,125.711625617 19.48621137,125.711781617 19.4844183700001,125.711934617 19.47693437,125.712091617 19.4751273700001,125.712244617 19.4676423700001,125.712401617 19.46583537,125.712554617 19.4583503700001,125.712711617 19.4565443700001,125.712864617 19.44905837,125.713021617 19.4472533700001,125.713175617 19.43976637,125.713332617 19.43796237,125.713486617 19.4304733700001,125.713642617 19.4286713700001,125.713796617 19.4211813700001,125.713952617 19.4193803700001,125.714106617 19.41188837,125.714262617 19.41008937,125.714416617 19.40261237,125.714573617 19.4007983700001,125.714636617 19.39773137,125.714720617 19.39718737,125.714740617 19.39695937,125.716120617 19.38799937,125.716139617 19.3877723700001,125.717520617 19.3788103700001,125.717538617 19.3785993700001,125.718920617 19.3696223700001,125.718939617 19.36941037,125.720321617 19.3604343700001,125.720341617 19.3602083700001,125.721721617 19.3512453700001,125.721739617 19.35103637,125.723122617 19.3420573700001,125.723140617 19.34184737,125.724523617 19.33286837,125.724541617 19.33265937,125.725923617 19.32368037,125.725942617 19.32347237,125.727324617 19.31449237,125.727342617 19.31429637,125.728726617 19.30530237,125.728744617 19.3050953700001,125.730127617 19.2961143700001,125.730143617 19.29592337,125.731529617 19.2869253700001,125.731546617 19.2867203700001,125.732929617 19.2777373700001,125.732946617 19.27754637,125.734331617 19.2685493700001,125.734348617 19.26835737,125.735733617 19.25935937,125.735751617 19.25915537,125.737134617 19.25017137,125.737150617 19.2499833700001,125.738536617 19.24098337,125.738552617 19.2407953700001,125.739937617 19.23179437,125.739953617 19.23162037,125.741340617 19.2226053700001,125.741357617 19.2224183700001,125.742742617 19.2134163700001,125.742759617 19.2132303700001,125.744144617 19.2042283700001,125.744159617 19.20405537,125.745547617 19.1950393700001,125.745563617 19.19485437,125.746949617 19.18585037,125.746963617 19.1856813700001,125.748352617 19.17666237,125.748366617 19.1764903700001,125.749754617 19.16747237,125.749769617 19.1673043700001,125.751157617 19.15828437,125.751172617 19.1581173700001,125.752560617 19.1490963700001,125.752574617 19.14892737,125.753963617 19.1399063700001,125.753977617 19.13974037,125.755366617 19.1307183700001,125.755380617 19.13055037,125.756769617 19.1215283700001,125.756783617 19.12136437,125.758172617 19.11234037,125.758185617 19.1121893700001,125.759575617 19.10315137,125.759590617 19.1029873700001,125.760978617 19.09396237,125.760992617 19.09381237,125.762382617 19.0847733700001,125.762394617 19.08462537,125.763786617 19.0755843700001,125.763799617 19.07543637,125.765190617 19.0663953700001,125.765202617 19.06624837,125.766594617 19.0572073700001,125.766607617 19.05705937,125.767998617 19.04801737,125.768010617 19.0478723700001,125.769402617 19.03882937,125.769414617 19.0386823700001,125.770805617 19.02963937,125.770818617 19.0294963700001,125.772209617 19.02045137,125.772221617 19.02032137,125.773614617 19.0112623700001,125.773627617 19.0111183700001,125.775018617 19.0020723700001,125.775029617 19.00194637,125.776423617 18.9928843700001,125.776434617 18.9927563700001,125.777828617 18.98369437,125.777839617 18.9835693700001,125.779233617 18.97450637,125.779244617 18.9743793700001,125.780638617 18.96531737,125.780649617 18.9651903700001,125.782043617 18.95612737,125.782053617 18.9560043700001,125.783448617 18.9469393700001,125.783459617 18.94681437,125.784852617 18.9377493700001,125.784862617 18.9376403700001,125.786258617 18.9285603700001,125.786269617 18.92843637,125.787663617 18.91937137,125.787674617 18.91924937,125.789068617 18.91018237,125.789077617 18.9100743700001,125.790474617 18.90099337,125.790483617 18.90088637,125.791880617 18.89180337,125.791889617 18.89169737,125.793286617 18.8826143700001,125.793295617 18.88251037,125.794692617 18.8734263700001,125.794701617 18.87332037,125.796098617 18.8642363700001,125.796107617 18.8641323700001,125.797504617 18.855047369,125.797513617 18.8549433690001,125.798910617 18.845857369,125.798919617 18.8457543690001,125.800316617 18.8366683690001,125.800323617 18.836580369,125.801723617 18.8274793690001,125.801731617 18.827379369,125.803129617 18.8182903690001,125.803136617 18.8182043690001,125.804536617 18.8091013690001,125.804543617 18.8090163690001,125.805942617 18.799911369,125.805950617 18.7998263690001,125.807349617 18.790722369,125.807357617 18.790637369,125.808756617 18.781533369,125.808764617 18.781448369,125.810163617 18.7723433690001,125.810171617 18.772259369,125.811570617 18.7631543690001,125.811577617 18.763071369,125.812977617 18.7539643690001,125.812984617 18.7538823690001,125.814384617 18.744775369,125.814390617 18.744708369,125.815792617 18.735586369,125.815799617 18.7355043690001,125.817199617 18.726396369,125.817322617 18.724981369,125.818519617 18.717194369,125.818705617 18.715054369,125.819791617 18.707985369,125.819975617 18.705863369,125.821065617 18.698776369,125.821251617 18.696638369,125.822337617 18.689567369,125.822522617 18.6874433690001,125.823611617 18.680357369,125.823796617 18.678221369,125.824883617 18.671148369,125.825067617 18.669027369,125.826156617 18.661939369,125.826340617 18.6598173690001,125.827430617 18.652729369,125.827614617 18.6506093690001,125.828703617 18.643520369,125.828887617 18.6413983690001,125.829977617 18.634310369,125.830161617 18.6321913690001,125.831250617 18.625101369,125.831433617 18.6229983690001,125.832525617 18.6158923690001,125.832709617 18.6137733690001,125.833798617 18.6066823690001,125.833981617 18.6045803690001,125.835073617 18.5974733690001,125.835257617 18.5953543690001,125.836346617 18.5882633690001,125.836529617 18.586162369,125.837621617 18.5790543690001,125.837803617 18.576951369,125.838895617 18.5698453690001,125.839078617 18.567743369,125.840170617 18.5606363690001,125.840352617 18.558533369,125.841444617 18.5514263690001,125.841627617 18.549323369,125.842719617 18.5422163690001,125.842901617 18.540116369,125.843993617 18.5330073690001,125.844176617 18.530906369,125.845268617 18.523797369,125.845448617 18.5217133690001,125.846543617 18.514588369,125.846726617 18.512487369,125.847818617 18.505378369,125.847998617 18.5032933690001,125.849093617 18.496168369,125.849275617 18.494071369,125.850368617 18.486959369,125.850548617 18.4848753690001,125.851643617 18.477749369,125.851824617 18.4756653690001,125.852919617 18.468539369,125.853099617 18.4664593690001,125.854194617 18.459330369,125.854375617 18.4572483690001,125.855470617 18.450120369,125.855650617 18.4480383690001,125.856745617 18.4409103690001,125.856925617 18.438846369,125.858022617 18.4317013690001,125.858202617 18.4296203690001,125.859297617 18.4224923690001,125.859478617 18.4204113690001,125.860573617 18.4132823690001,125.860752617 18.411216369,125.861849617 18.4040723690001,125.862029617 18.402006369,125.863126617 18.3948623690001,125.863306617 18.392784369,125.864401617 18.3856533690001,125.864581617 18.383589369,125.865678617 18.3764433690001,125.865857617 18.3743793690001,125.866954617 18.3672333690001,125.867134617 18.3651693690001,125.868231617 18.358023369,125.868409617 18.3559603690001,125.869507617 18.348813369,125.869685617 18.346765369,125.870785617 18.339603369,125.870964617 18.3375413690001,125.872061617 18.330393369,125.872240617 18.3283313690001,125.873338617 18.321183369,125.873516617 18.319136369,125.874616617 18.311973369,125.874793617 18.309927369,125.875893617 18.302763369,125.876072617 18.3007033690001,125.877170617 18.2935533690001,125.877347617 18.291511369,125.878447617 18.2843443690001,125.878625617 18.282300369,125.879725617 18.2751343690001,125.879902617 18.2730883690001,125.881002617 18.2659233690001,125.881180617 18.263880369,125.882280617 18.2567133690001,125.882458617 18.2546713690001,125.883557617 18.2475043690001,125.883733617 18.2454753690001,125.884836617 18.2382943690001,125.885014617 18.2362513690001,125.886114617 18.2290843690001,125.886289617 18.227056369,125.887392617 18.219874369,125.887570617 18.2178323690001,125.888670617 18.210664369,125.888845617 18.208638369,125.889948617 18.201454369,125.890124617 18.199429369,125.891227617 18.192244369,125.891403617 18.190219369,125.892505617 18.183034369,125.892681617 18.181007369,125.893784617 18.173823369,125.893960617 18.171799369,125.895063617 18.1646133690001,125.895238617 18.162589369,125.896341617 18.1554033690001,125.896517617 18.153379369,125.897620617 18.1461933690001,125.897794617 18.1441843690001,125.898899617 18.1369833690001,125.899075617 18.1349583690001,125.900178617 18.1277723690001,125.900353617 18.1257653690001,125.901458617 18.1185623690001,125.901632617 18.116556369,125.902737617 18.1093523690001,125.902913617 18.1073303690001,125.904016617 18.100142369,125.904190617 18.098135369,125.905295617 18.090931369,125.905470617 18.088926369,125.906575617 18.081721369,125.906750617 18.079717369,125.907855617 18.072511369,125.908029617 18.070505369,125.909134617 18.063300369,125.909307617 18.0613113690001,125.910415617 18.054091369,125.910590617 18.0520853690001,125.911695617 18.0448803690001,125.911867617 18.0428913690001,125.912975617 18.0356703690001,125.913149617 18.0336673690001,125.914255617 18.0264603690001,125.914427617 18.024469369,125.915536617 18.0172493690001,125.915709617 18.0152473690001,125.916815617 18.0080393690001,125.916988617 18.006049369,125.918096617 17.998828369,125.918268617 17.996842369,125.919376617 17.989618369,125.919549617 17.987630369,125.920657617 17.980407369,125.920830617 17.978422369,125.921938617 17.971197369,125.922109617 17.9692253690001,125.923219617 17.961986369,125.923392617 17.9600023690001,125.924500617 17.952776369,125.924673617 17.9507903690001,125.925781617 17.9435653690001,125.925951617 17.941596369,125.927062617 17.9343553690001,125.927234617 17.932384369,125.928344617 17.9251443690001,125.928517617 17.9231623690001,125.929625617 17.9159343690001,125.929796617 17.913964369,125.930906617 17.9067233690001,125.931077617 17.904754369,125.932188617 17.897512369,125.932358617 17.895546369,125.933470617 17.888302369,125.933640617 17.8863353690001,125.934751617 17.879091369,125.934922617 17.8771243690001,125.936033617 17.869880369,125.936202617 17.8679303690001,125.937316617 17.860670369,125.937486617 17.8587043690001,125.938597617 17.8514593690001,125.938767617 17.849508369,125.939880617 17.8422483690001,125.940051617 17.8402853690001,125.941162617 17.8330383690001,125.941331617 17.831088369,125.942444617 17.8238273690001,125.942614617 17.821877369,125.943727617 17.8146163690001,125.943898617 17.812652369,125.945009617 17.805406369,125.945178617 17.8034563690001,125.946291617 17.796195369,125.946459617 17.7942643690001,125.947575617 17.786985369,125.947745617 17.7850363690001,125.948858617 17.7777743680001,125.949027617 17.775825368,125.950141617 17.7685633680001,125.950310617 17.766615368,125.951423617 17.7593523680001,125.951591617 17.7574203680001,125.952707617 17.7501413680001,125.952876617 17.748195368,125.953990617 17.740930368,125.954157617 17.7389993680001,125.955273617 17.731719368,125.955441617 17.7297903680001,125.956557617 17.722509368,125.956725617 17.7205793680001,125.957841617 17.713298368,125.958009617 17.7113533680001,125.959124617 17.704087368,125.959290617 17.702173368,125.960408617 17.6948763680001,125.960576617 17.692947368,125.961692617 17.6856653680001,125.961859617 17.683736368,125.962976617 17.6764543680001,125.963143617 17.674526368,125.964259617 17.6672433680001,125.964426617 17.6653313680001,125.965544617 17.658032368,125.965712617 17.6561053680001,125.966828617 17.648821368,125.966994617 17.646910368,125.968113617 17.639610368,125.968280617 17.6376843680001,125.969396617 17.630399368,125.969562617 17.628489368,125.970681617 17.621188368,125.970847617 17.619278368,125.971966617 17.6119773680001,125.972132617 17.610066368,125.973251617 17.6027653680001,125.973416617 17.6008563680001,125.974535617 17.5935543680001,125.974701617 17.5916463680001,125.975820617 17.5843433680001,125.975985617 17.582450368,125.977106617 17.575132368,125.977271617 17.5732243680001,125.978391617 17.565921368,125.978555617 17.564028368,125.979677617 17.556710368,125.979842617 17.554801368,125.980961617 17.547498368,125.981126617 17.545608368,125.982247617 17.5382873680001,125.982411617 17.5363973680001,125.983533617 17.5290763680001,125.983698617 17.527171368,125.984818617 17.5198653680001,125.984982617 17.5179763680001,125.986103617 17.5106543680001,126.004269617 17.301425368,126.008746617 17.0914913680001,126.005177617 17.0099843680001,126.154110617 16.923094368,126.333021618 16.8030573680001,126.503530618 16.6723443670001,126.664966618 16.531495367,126.816701618 16.381082367,126.958150618 16.221720367,126.962291618 16.2164053670001,126.963867618 16.214628367,127.094484618 16.0469593670001,127.213782618 15.8716593670001,127.321318619 15.689433367,127.324165619 15.683810367,127.325695619 15.681216367,127.328546619 15.6755853670001,127.330071619 15.673000367,127.332913619 15.6673833670001,127.334448619 15.664783367,127.337289619 15.6591693670001,127.338825619 15.656566367,127.341670619 15.650943367,127.343201619 15.648349367,127.346038619 15.642742367,127.347578619 15.640132367,127.350413619 15.634528367,127.351955619 15.631915366,127.354788619 15.626314366,127.356332619 15.623698366,127.359164619 15.618100366,127.360709619 15.615482366,127.363542619 15.6098833660001,127.365085619 15.607266366,127.367913619 15.6016753660001,127.369462619 15.599049366,127.372283619 15.5934723660001,127.373840619 15.590832366,127.376665619 15.585247366,127.378217619 15.582615366,127.381037619 15.5770403660001,127.382594619 15.574399366,127.385415619 15.5688213660001,127.386970619 15.5661833660001,127.389791619 15.5606073660001,127.391347619 15.5579663660001,127.394162619 15.552400366,127.395724619 15.5497503660001,127.398534619 15.5441933660001,127.400102619 15.5415333660001,127.402913619 15.5359743660001,127.404479619 15.5333173660001,127.407286619 15.527766366,127.408857619 15.5251003660001,127.411664619 15.519547366,127.413234619 15.5168843660001,127.416037619 15.5113403660001,127.417612619 15.5086683660001,127.420416619 15.5031213660001,127.421989619 15.500452366,127.424786619 15.494920366,127.426367619 15.492236366,127.429171619 15.4866893660001,127.430744619 15.484019366,127.433537619 15.4784943660001,127.435122619 15.475803366,127.437913619 15.470282366,127.439500619 15.467587366,127.442293619 15.4620623660001,127.443878619 15.459371366,127.446672619 15.4538433660001,127.448255619 15.451155366,127.451041619 15.4456433660001,127.452633619 15.4429393660001,127.455418619 15.4374303660001,127.457011619 15.4347233660001,127.459794619 15.429217366,127.461390619 15.4265073660001,127.464170619 15.421005366,127.465768619 15.4182913660001,127.468545619 15.4127923660001,127.470146619 15.4100763660001,127.472916619 15.404591366,127.474525619 15.4018603660001,127.477299619 15.3963663660001,127.478903619 15.393644366,127.481675619 15.388154366,127.483281619 15.385428366,127.486051619 15.379941366,127.487659619 15.377212366,127.490422619 15.371740366,127.492038619 15.368996366,127.494805619 15.3635153660001,127.496416619 15.360781366,127.499182619 15.355303366,127.500794619 15.352565366,127.503552619 15.3471023660001,127.505173619 15.3443493660001,127.507932619 15.3388843660001,127.509551619 15.3361343660001,127.512306619 15.330678366,127.513930619 15.3279183660001,127.516683619 15.3224653660001,127.518309619 15.3197023660001,127.521063619 15.3142473660001,127.522687619 15.311488366,127.525437619 15.306041366,127.527066619 15.303272366,127.529814619 15.297828366,127.531445619 15.295056366,127.534194619 15.289610366,127.535823619 15.286841366,127.538567619 15.2814033660001,127.540202619 15.278625366,127.542941619 15.273198366,127.544581619 15.2704113660001,127.547322619 15.264979366,127.548960619 15.2621953660001,127.551696619 15.2567733660001,127.553339619 15.2539803660001,127.556077619 15.2485543660001,127.557718619 15.2457643660001,127.560451619 15.240349366,127.562097619 15.2375493660001,127.564828619 15.2321373660001,127.566476619 15.229334366,127.569203619 15.223930366,127.570856619 15.221119366,127.573583619 15.215713366,127.575235619 15.212904366,127.577961619 15.207501366,127.579614619 15.204689366,127.582338619 15.1992893660001,127.583993619 15.1964743660001,127.586713619 15.191083366,127.588373619 15.1882583660001,127.591094619 15.182865366,127.592752619 15.1800443660001,127.595465619 15.1746653660001,127.597133619 15.1718293660001,127.599850619 15.1664413660001,127.601512619 15.163614366,127.604221619 15.158242366,127.605892619 15.155399366,127.608605619 15.150018366,127.610271619 15.147184366,127.612977619 15.1418183660001,127.614651619 15.138970366,127.617355619 15.133607366,127.619031619 15.1307553660001,127.621739619 15.1253833660001,127.623410619 15.1225403660001,127.626111619 15.1171823660001,127.627790619 15.1143253660001,127.630489619 15.108971366,127.632170619 15.1061103660001,127.634864619 15.1007663660001,127.636550619 15.097897366,127.639246619 15.0925493660001,127.640930619 15.089682366,127.643624619 15.0843363660001,127.645310619 15.081467366,127.648002619 15.076125366,127.649690619 15.0732523660001,127.652381619 15.067913366,127.654070619 15.0650373660001,127.656756619 15.0597083660001,127.658450619 15.0568243660001,127.661137619 15.0514903660001,127.662830619 15.0486093660001,127.665513619 15.0432863660001,127.667210619 15.040395366,127.669888619 15.035080366,127.671592619 15.032180366,127.674274619 15.0268563660001,127.675972619 15.023965366,127.678648619 15.018652366,127.680352619 15.0157523660001,127.683025619 15.0104463660001,127.684733619 15.0075373660001,127.687406619 15.0022293660001,127.689113619 14.9993233660001,127.691779619 14.9940303660001,127.693494619 14.991109366,127.696167619 14.985801366,127.697874619 14.982894366,127.700537619 14.977607366,127.702255619 14.974681366,127.704922619 14.969384366,127.706635619 14.9664673660001,127.709298619 14.9611793660001,127.711016619 14.9582523660001,127.713674619 14.952974366,127.715397619 14.9500383660001,127.718053619 14.9447643660001,127.719778619 14.941824366,127.722438619 14.936541366,127.724159619 14.933611366,127.726814619 14.9283353660001,127.728540619 14.925396366,127.731190619 14.9201313660001,127.732921619 14.9171823660001,127.735570619 14.9119203660001,127.737302619 14.9089683660001,127.739949619 14.903708366,127.741683619 14.9007553660001,127.744328619 14.895497366,127.746064619 14.892541366,127.748708619 14.8872873660001,127.750445619 14.884327366,127.753081619 14.8790883660001,127.754827619 14.876113366,127.757469619 14.870865366,127.759208619 14.8678993660001,127.761848619 14.8626553660001,127.763589619 14.8596863660001,127.766227619 14.8544443660001,127.767970619 14.8514723660001,127.770596619 14.846252366,127.772353619 14.843259366,127.774987619 14.8380243660001,127.776734619 14.835045366,127.779367619 14.8298133660001,127.781115619 14.8268323660001,127.783740619 14.8216133660001,127.785497619 14.8186183660001,127.788123619 14.8133983660001,127.789878619 14.8104053660001,127.792500619 14.805193366,127.794260619 14.802191366,127.796880619 14.7969823660001,127.798642619 14.793977366,127.801263619 14.7887673660001,127.803023619 14.7857653660001,127.805640619 14.780562366,127.807405619 14.7775513660001,127.810017619 14.772359366,127.811788619 14.7693383660001,127.814401619 14.764142366,127.816170619 14.761124366,127.818778619 14.7559373660001,127.820552619 14.752912366,127.823169619 14.747708366,127.824933619 14.744698366,127.827538619 14.739517366,127.829315619 14.7364853660001,127.831923619 14.731300366,127.833697619 14.7282713660001,127.836299619 14.7230953660001,127.838079619 14.720059366,127.840680619 14.714886366,127.842461619 14.711846366,127.845058619 14.7066813660001,127.846845619 14.703632366,127.849442619 14.6984653660001,127.851227619 14.6954193660001,127.853822619 14.690256366,127.855249619 14.687822366,127.960463619 14.567796366,127.966096619 14.560475366,127.966155619 14.560409366,127.971793619 14.553081365,127.971845619 14.5530223650001,127.977479619 14.5456993650001,127.977537619 14.5456333650001,127.983162619 14.5383223650001,127.983228619 14.5382463650001,127.988851619 14.5309383650001,127.988920619 14.530859365,127.994540619 14.5235543650001,127.994611619 14.523472365,128.000228619 14.5161703650001,128.000303619 14.516085365,128.005925619 14.5087773650001,128.005993619 14.508698365,128.011599619 14.501411365,128.011685619 14.501312365,128.017293619 14.494021365,128.017376619 14.4939253650001,128.022982619 14.486636365,128.023068619 14.4865383650001,128.028671619 14.479253365,128.028759619 14.4791513650001,128.034353619 14.4718773650001,128.034451619 14.4717653650001,128.038680619 14.466265365,128.040255619 14.464466365,128.043706619 14.459978365,128.046125619 14.4572173650001,128.049566619 14.4527403650001,128.051994619 14.4499683650001,128.055432619 14.4454963650001,128.057863619 14.4427203650001,128.061313619 14.438233365,128.063731619 14.4354703650001,128.067164619 14.431004365,128.069600619 14.4282223650001,128.073030619 14.423759365,128.075470619 14.4209743650001,128.078911619 14.4164973650001,128.081338619 14.4137243650001,128.084763619 14.4092683650001,128.087207619 14.4064763650001,128.090629619 14.402023365,128.093076619 14.3992273650001,128.096503619 14.3947683650001,128.098944619 14.3919793650001,128.102361619 14.387532365,128.104813619 14.3847303650001,128.108227619 14.3802883650001,128.110683619 14.377482365,128.114093619 14.3730423650001,128.116552619 14.370234365,128.119968619 14.3657883650001,128.122420619 14.362985365,128.125825619 14.358552365,128.128289619 14.355737365,128.131693619 14.351306365,128.134158619 14.348488365,128.137566619 14.344053365,128.140026619 14.341240365,128.143424619 14.3368173650001,128.145896619 14.333992365,128.149284619 14.329580365,128.151765619 14.326744365,128.155164619 14.3223183650001,128.157633619 14.3194963650001,128.161023619 14.315082365,128.163502619 14.3122473650001,128.292480619 14.144287365,128.296510619 14.1382803650001,128.297757619 14.136656365,128.41552662 13.961105365,128.52165162 13.7786643650001,128.52412062 13.773715365,128.52602162 13.7704473650001,128.52847962 13.765520365,128.53039162 13.762231365,128.53285762 13.757287365,128.53476162 13.754014365,128.53722062 13.749085365,128.53913262 13.745798365,128.54159662 13.7408593650001,128.54350262 13.737581365,128.54595862 13.732656365,128.54787362 13.729364365,128.55033062 13.724437365,128.55224362 13.721148365,128.55469662 13.7162293650001,128.55661362 13.712931365,128.55906562 13.7080153650001,128.56098462 13.704714365,128.56343162 13.699807365,128.56535562 13.696498365,128.56780962 13.6915753650001,128.56972562 13.6882823650001,128.57346062 13.6807903650001,128.57391262 13.680013365,128.66795162 13.491405365,128.74962262 13.297384364,128.81863262 13.098715364,128.87473962 12.8961863640001,128.91775362 12.6905893640001,128.94753462 12.4827313640001,128.96011962 12.322737363,129.04852662 12.144631363,129.12987562 11.9505613630001,129.19863562 11.751840363,129.25456462 11.5492493630001,129.29746962 11.343586363,129.29750962 11.3433043630001,129.29935062 11.334479362,129.29939062 11.3341973620001,129.30123262 11.3253713620001,129.30127062 11.325105362,129.30311462 11.316264362,129.30315462 11.3159833620001,129.30499662 11.3071573620001,129.30503662 11.306875362,129.30687762 11.298050362,129.30691562 11.2977843620001,129.30875962 11.2889423620001,129.30880062 11.288659362,129.31064162 11.279834362,129.31067962 11.2795693620001,129.31252362 11.2707273620001,129.31256162 11.270462362,129.31440662 11.261619362,129.31444462 11.2613553620001,129.31628862 11.2525123620001,129.31632662 11.252247362,129.31817162 11.243405362,129.31821162 11.2431263620001,129.32005262 11.2342983620001,129.32008862 11.2340463620001,129.32193662 11.225189362,129.32197462 11.2249263620001,129.32381862 11.2160823620001,129.32385662 11.2158183620001,129.32570062 11.206975362,129.32573862 11.206711362,129.32758362 11.1978683620001,129.32761962 11.1976203620001,129.32946662 11.188760362,129.32950462 11.188493362,129.33134962 11.1796523620001,129.33138562 11.1794053620001,129.33323262 11.170545362,129.33327062 11.170282362,129.33511562 11.1614383620001,129.33515062 11.1611913620001,129.33699862 11.152330362,129.33703362 11.152084362,129.33888262 11.1432233620001,129.33891862 11.142973362,129.34076562 11.134115362,129.34080062 11.133868362,129.34264962 11.1250083620001,129.34268462 11.1247613620001,129.34453262 11.115900362,129.34456762 11.115654362,129.34641662 11.1067933620001,129.34645262 11.106544362,129.34829962 11.0976853620001,129.34833262 11.0974543620001,129.35018462 11.088578362,129.35021962 11.0883323620001,129.35206762 11.0794703620001,129.35210262 11.079225362,129.35395162 11.070363362,129.35398362 11.070130362,129.35583562 11.0612553620001,129.35586862 11.0610253620001,129.35772062 11.052148362,129.35775562 11.0519033620001,129.35960362 11.0430403620001,129.35963662 11.0428113620001,129.36148862 11.033933362,129.36152062 11.033701362,129.36337262 11.0248253620001,129.36340562 11.0245963620001,129.36525762 11.015718362,129.36528962 11.015489362,129.36714162 11.0066103620001,129.36717462 11.006378362,129.36902662 10.997502362,129.36905662 10.9972893620001,129.37091162 10.9883953620001,129.37094462 10.9881663620001,129.37279662 10.979288362,129.37282962 10.979059362,129.37468062 10.9701803620001,129.37471162 10.969965362,129.37656662 10.961072362,129.37659962 10.960844362,129.37845062 10.9519653620001,129.37848162 10.951752362,129.38033662 10.942858362,129.38036762 10.9426423620001,129.38222162 10.9337493620001,129.38225462 10.933521362,129.38410662 10.924642362,129.38413762 10.9244303620001,129.38599162 10.9155353620001,129.38602262 10.915320362,129.387877621 10.906426362,129.387907621 10.9062153620001,129.389762621 10.8973193620001,129.389792621 10.897108362,129.391648621 10.888212362,129.391677621 10.888013362,129.393534621 10.879104362,129.393564621 10.878893362,129.395420621 10.8699963620001,129.395450621 10.8697863620001,129.397306621 10.860889362,129.397334621 10.8606913620001,129.399192621 10.8517813620001,129.399222621 10.8515703620001,129.401078621 10.842674362,129.401105621 10.8424793620001,129.402964621 10.8335663620001,129.402993621 10.833368362,129.404851621 10.824458362,129.404881621 10.824249362,129.406736621 10.8153513620001,129.406764621 10.815157362,129.408623621 10.806244362,129.408651621 10.8060463620001,129.410509621 10.7971353620001,129.410537621 10.796941362,129.412396621 10.788028362,129.412424621 10.7878313620001,129.414283621 10.7789203620001,129.414308621 10.7787423620001,129.416170621 10.769813362,129.416198621 10.7696183620001,129.418057621 10.7607053620001,129.418084621 10.7605083620001,129.419943621 10.751597362,129.419969621 10.751419362,129.421831621 10.7424903620001,129.421859621 10.742297362,129.423717621 10.733383362,129.423743621 10.733202362,129.425605621 10.7242743620001,129.425631621 10.7240973620001,129.427493621 10.715167362,129.427520621 10.714971362,129.429379621 10.7060593620001,129.429405621 10.7058823620001,129.431267621 10.6969513620001,129.431292621 10.696772362,129.433154621 10.687843362,129.433180621 10.6876673620001,129.435042621 10.6787363620001,129.435068621 10.678559362,129.436929621 10.669629362,129.436955621 10.669449362,129.438817621 10.6605203620001,129.438840621 10.6603593620001,129.440706621 10.651413362,129.440731621 10.651233362,129.442593621 10.6423053620001,129.442616621 10.6421443620001,129.444482621 10.633198362,129.444508621 10.633019362,129.446369621 10.6240893620001,129.446392621 10.6239283620001,129.448258621 10.614982362,129.448283621 10.614807362,129.450146621 10.6058753620001,129.450169621 10.6057123620001,129.452034621 10.596767362,129.452057621 10.596606362,129.453923621 10.5876593620001,129.453947621 10.587496362,129.455812621 10.578551362,129.455834621 10.578391362,129.457700621 10.5694443620001,129.457724621 10.569281362,129.459589621 10.560336362,129.459611621 10.5601763620001,129.461477621 10.5512283620001,129.461501621 10.551066362,129.463366621 10.542120362,129.463387621 10.5419763620001,129.465256621 10.5330133620001,129.465279621 10.532851362,129.467144621 10.5239053620001,129.467165621 10.5237623620001,129.469034621 10.514797362,129.469057621 10.514635362,129.470922621 10.5056893620001,129.470943621 10.5055463620001,129.472812621 10.496582362,129.472833621 10.4964363620001,129.474702621 10.4874733620001,129.474724621 10.4873153620001,129.476590621 10.478366362,129.476611621 10.4782213620001,129.478480621 10.4692583620001,129.478501621 10.469116362,129.480370621 10.460151362,129.480390621 10.4600063620001,129.482259621 10.4510423620001,129.482278621 10.450916362,129.484150621 10.441935362,129.484171621 10.4417903620001,129.486040621 10.4328273620001,129.486060621 10.432685362,129.487929621 10.423720362,129.487948621 10.423589362,129.489820621 10.4146113620001,129.489840621 10.414470362,129.491710621 10.405504362,129.492332621 10.401158362,129.493332621 10.3963593620001,129.523098621 10.1883743610001,129.539644621 9.97893236100003,129.539661621 9.97781636100007,129.540306621 9.96965236100004,129.540324621 9.96853536100002,129.540969621 9.96037236100005,129.540986621 9.95925436100003,129.541631621 9.95109336100006,129.541648621 9.94997336100005,129.542293621 9.94181336100007,129.542311621 9.94069336100006,129.542624621 9.93672736100007,129.543496621 9.93356336100004,129.544741621 9.92995636100005,129.546200621 9.92465936100007,129.547445621 9.92105336100008,129.548900621 9.91577236100005,129.550150621 9.91215136100004,129.551609621 9.90685436100006,129.552854621 9.90324836100007,129.554313621 9.89795336100008,129.555558621 9.89434536100003,129.557013621 9.88906536100006,129.558263621 9.88544236100006,129.614109621 9.68277036100005,129.614117621 9.68273336100003,129.616576621 9.67380836100006,129.659478621 9.46804836100006,129.659805621 9.46576336100003,129.661234621 9.45891136100005,129.661564621 9.45661036100006,129.662989621 9.44977436100004,129.663317621 9.44748936100007,129.664745621 9.44063736100003,129.665073621 9.43835236100006,129.666501621 9.43150036100008,129.666829621 9.42921536100005,129.668258621 9.42236336100007,129.668585621 9.42007836100004,129.670014621 9.41322636100006,129.670341621 9.41094136100003,129.671770621 9.40408936100005,129.672097621 9.40180436100007,129.673526621 9.39495236100004,129.673854621 9.39266736100006,129.675282621 9.38581536100003,129.675608621 9.38354536100007,129.677039621 9.37667836100007,129.677367621 9.37439336100005,129.678795621 9.36754136100006,129.679121621 9.36527136100005,129.680553621 9.35840336100006,129.680880621 9.35611836100003,129.682309621 9.34926636100005,129.682634621 9.34699736100004,129.684066621 9.34012936100004,129.684391621 9.33786036100003,129.685823621 9.33099236100003,129.686151621 9.32870736100006,129.687579621 9.32185536100008,129.687905621 9.31958636100006,129.689336621 9.31271836100007,129.689662621 9.31044936100005,129.691093621 9.30358136100006,129.691419621 9.30130936100005,129.692851621 9.29444336100005,129.693176621 9.29217436100004,129.694608621 9.28530636100004,129.694931621 9.28305236100005,129.696366621 9.27616936100003,129.696691621 9.27390036100007,129.698123621 9.26703236100008,129.698449621 9.26476236100007,129.699880621 9.25789536100007,129.700204621 9.25564136100007,129.701638621 9.24875836100006,129.701964621 9.24648836100005,129.703396621 9.23962136100005,129.703719621 9.23736736100005,129.705154621 9.23048436100004,129.705477621 9.22823036100004,129.706912621 9.22134736100003,129.707238621 9.21907436100003,129.708669621 9.21220936100002,129.708993621 9.20995536100003,129.710427621 9.20307236100007,129.710751621 9.20081836100007,129.712186621 9.19393536100006,129.712509621 9.19168136000008,129.713944621 9.18479836000006,129.714267621 9.18254436000007,129.715702621 9.17566136000005,129.716023621 9.17342136000008,129.717461621 9.16652436000004,129.717785621 9.16426636000006,129.719219621 9.15738636000003,129.719543621 9.15513136000004,129.720977621 9.14824936000002,129.721299621 9.14601036000005,129.722737621 9.13911236000007,129.723060621 9.13685736000002,129.724495621 9.12997536000006,129.724816621 9.12773536000003,129.726254621 9.12083836000005,129.726578621 9.11857936000007,129.728012621 9.11169936000005,129.728334621 9.10946036000007,129.729772621 9.10256236000004,129.730093621 9.10032336000006,129.731531621 9.09342536000003,129.731852621 9.09118636000005,129.733290621 9.08428836000007,129.733611621 9.08204536000005,129.735049621 9.07515036000007,129.735371621 9.07291036000004,129.736808621 9.06601336000006,129.737130621 9.06377336000003,129.738568621 9.05687636000005,129.738889621 9.05463636000007,129.740327621 9.04773936000004,129.740646621 9.04551236000003,129.742087621 9.03860136000003,129.742408621 9.03636136000006,129.743846621 9.02946436000008,129.744166621 9.02724036000006,129.745607621 9.02032736000007,129.745928621 9.01808736000004,129.747366621 9.01119036000006,129.747685621 9.00896336000005,129.749126621 9.00205236000005,129.749445621 8.99982836000004,129.750886621 8.99291536000004,129.751208621 8.99067536000007,129.752645621 8.98377836000003,129.752965621 8.98155036000003,129.754406621 8.97464036000002,129.754725621 8.97241536000007,129.756166621 8.96550336000007,129.756485621 8.96327836000006,129.757926621 8.95636636000006,129.758246621 8.95414136000005,129.759686621 8.94722936000005,129.760004621 8.94501736000007,129.761448621 8.93809136000004,129.761767621 8.93586636000003,129.763208621 8.92895436000003,129.763527621 8.92672936000002,129.764968621 8.91981736000002,129.765285621 8.91760536000004,129.766729621 8.91067936000007,129.767049621 8.90845436000006,129.768490621 8.90154236000006,129.768807621 8.89932936000002,129.770251621 8.89240436000006,129.770570621 8.89017936000005,129.772011621 8.88326636000005,129.772327621 8.88105736000006,129.773772621 8.87412936000004,129.774090621 8.87191736000005,129.775534621 8.86499136000003,129.775850621 8.86278236000004,129.777295621 8.85585436000002,129.777612621 8.85364436000003,129.779056621 8.84671736000007,129.779374621 8.84450436000003,129.780818621 8.83757936000006,129.781134621 8.83537036000007,129.782579621 8.82844236000005,129.782894621 8.82624536000003,129.784341621 8.81930436000005,129.784658621 8.81709436000006,129.786102621 8.81016736000004,129.786420621 8.80795736000005,129.787864621 8.80103036000003,129.788179621 8.79883236000006,129.789626621 8.79189236000008,129.789943621 8.78968236000003,129.791387621 8.78275536000007,129.791702621 8.78055736000005,129.793149621 8.77361736000006,129.793464621 8.77142236000003,129.794912621 8.76448036000005,129.795227621 8.76228236000003,129.796674621 8.75534236000004,129.796991621 8.75313236000005,129.798435621 8.74620536000003,129.798751621 8.74400736000007,129.800198621 8.73706736000003,129.800513621 8.73487236000005,129.801960621 8.72793036000007,129.802272621 8.72575136000006,129.803723621 8.71879336000006,129.804039621 8.71659536000004,129.805486621 8.70965536000006,129.805801621 8.70746036000003,129.807248621 8.70051836000005,129.807563621 8.69832036000003,129.809010621 8.69138036000004,129.809322621 8.68920036000003,129.810773621 8.68224336000003,129.811089621 8.68004536000007,129.812536621 8.67310436000002,129.812848621 8.67092536000007,129.814299621 8.66396736000007,129.814612621 8.66178536000007,129.816062621 8.65482936000006,129.816375621 8.65265036000005,129.817826621 8.64569236000006,129.818141621 8.64349436000003,129.819588621 8.63655436000005,129.819901621 8.63437136000005,129.821351621 8.62741636000004,129.821664621 8.62523736000003,129.823115621 8.61827936000003,129.823428621 8.61609636000003,129.824878621 8.60914136000002,129.825188621 8.60697636000003,129.826642621 8.60000436000007,129.826956621 8.59782136000007,129.828406621 8.59086636000006,129.828719621 8.58868636000005,129.830169621 8.58172936000005,129.830480621 8.57956136000007,129.831933621 8.57259136000005,129.832247621 8.57041136000004,129.833697621 8.56345436000004,129.834008621 8.56128636000005,129.835461621 8.55431636000003,129.835774621 8.55213336000003,129.837224621 8.54517836000002,129.837534621 8.54301336000003,129.838989621 8.53604136000007,129.839300621 8.53387336000003,129.840753621 8.52690336000006,129.841063621 8.52473836000007,129.842517621 8.51776636000005,129.842829621 8.51559836000007,129.844282621 8.50862836000005,129.844593621 8.50646036000006,129.846046621 8.49949036000004,129.846356621 8.49732536000005,129.847810621 8.49035336000003,129.848122621 8.48818536000005,129.849575621 8.48121436000002,129.849883621 8.47906436000005,129.851340621 8.47207736000007,129.851651621 8.46990836000003,129.853105621 8.46293936000006,129.853416621 8.46077136000002,129.854869621 8.45380136000006,129.855177621 8.45165136000003,129.856634621 8.44466436000005,129.856943621 8.44251136000003,129.858400621 8.43552636000004,129.858711621 8.43335736000006,129.860164621 8.42638836000003,129.860472621 8.42423836000006,129.861929621 8.41725136000002,129.862238621 8.41509836000006,129.863695621 8.40811336000007,129.864004621 8.40596036000005,129.865460621 8.39897536000007,129.865768621 8.39682536000004,129.867225621 8.38983836000006,129.867535621 8.38768436000004,129.868991621 8.38070036000005,129.869300621 8.37854636000003,129.870756621 8.37156236000004,129.871065621 8.36940836000002,129.872522621 8.36242436000003,129.872828621 8.36028936000002,129.874288621 8.35328736000002,129.874597621 8.35113336000006,129.876053621 8.34414936000007,129.876360621 8.34201136000007,129.877820621 8.33501136000007,129.878129621 8.33286036000004,129.879585621 8.32587436000006,129.879892621 8.32373436000006,129.881352621 8.31673636000005,129.881659621 8.31459636000005,129.883118621 8.30759836000004,129.912981621 8.09949835900005,129.913206621 8.09667535900007,129.914127621 8.09026435900006,129.914475621 8.08589335900007,129.915175621 8.08101635900005,129.915523621 8.07664535900005,129.916224621 8.07176835900003,129.916573621 8.06739635900004,129.917272621 8.06252035900008,129.917621621 8.05814735900003,129.918321621 8.05327235900006,129.918670621 8.04889735900002,129.919369621 8.04402335900005,129.919718621 8.03964935900007,129.920418621 8.03477535900004,129.920767621 8.03040235900005,129.921466621 8.02552735900002,129.921815621 8.02116835900006,129.922516621 8.01628035900006,129.922865621 8.01190335900003,129.923565621 8.00703135900005,129.923913621 8.00267135900003,129.924614621 7.99778335900004,129.924963621 7.99340735900006,129.925663621 7.98853535900003,129.926011621 7.98417435900006,129.926712621 7.97928735900007,129.927060621 7.97492335900006,129.927762621 7.97003835900006,129.928110621 7.96567635900004,129.928811621 7.96079035900004,129.929159621 7.95642535900004,129.929861621 7.95154135900003,129.930209621 7.94717735900002,129.930910621 7.94229335900008,129.931259621 7.93792935900007,129.931960621 7.93304535900006,129.932308621 7.92867835900006,129.933010621 7.92379635900005,129.933358621 7.91943135900004,129.934059621 7.91454835900004,129.934408621 7.91018035900004,129.935109621 7.90529935900003,129.935456621 7.90094935900004,129.936159621 7.89605135900007,129.936509621 7.89168235900007,129.937209621 7.88680235900006,129.937556621 7.88245135900007,129.938260621 7.87755435900004,129.938622621 7.87302135900006,129.939299621 7.86830435900004,129.943936621 7.81023735900004,129.489699516 6.67085251800006,128.985949543 6.52135771400003,127.127846254 6.34283357100003,126.602686942 6.04437552200005,126.189071668 5.65490798400003,125.879766658 5.36188218500007,125.58277032 5.15938468200005,125.385723383 5.04973143700005,125.056712212 4.98325976100006,124.849532764 4.95969720300008,124.135035258 4.86236937700005,124.133500092 4.86112823700006,124.032354192 4.77935453000003,123.169080665 4.28778417600006,122.883567848 3.73590969300005,122.733071603 3.58519209800005,122.652545697 3.57602531100002,122.638876892 3.57723317000006,121.374799636 3.32484049200002,121.138785297 3.31225895000006,120.48022821 3.11645495700003,120.264643702 3.00033264300004,119.947309413 3.02691615900005,119.467490771 3.18288175600003,119.289776432 3.54651733000003,119.202150171 3.85107405000002,119.075254351 4.31451839200003,119.072114276 4.32998703900006,119.069463368 4.34324157500004,119.066812461 4.36312337900006,119.061510647 4.39360881200003,119.054883379 4.43734878000004,119.048256111 4.47976329500005,119.033676122 4.53410689200007,119.024397946 4.56326687100005,119.013794318 4.58314867500007,119.003190689 4.59905411800003,118.995237967 4.61230865400006,118.987285246 4.62821409700007,118.960776174 4.66267589100005,118.920200304 4.70194852700007,118.910977942 4.71495973400005,118.890391971 4.74355864100005,118.869710152 4.80678601700004,118.876092218 4.81345142900005,118.927044668 4.84431145200006,118.951493819 4.85889752300005,118.967622037 4.86820580300002,118.987509796 4.87976977600005,118.99391698 4.88191631900003,119.000106797 4.88340622000004,119.002236944 4.88389837700004,119.013500866 4.88639297600002,119.013629884 4.88641948700007,119.025895042 4.88818267800002,119.031498137 4.88850660400004,119.042777552 4.88919115700003,119.045577022 4.88932026700007,119.072524373 4.88847050700002,119.108397873 4.89952636300006,119.121388751 4.90344342400005,119.123873282 4.90391073100005,119.144240783 4.90702221900006,119.147503499 4.90749177500004,119.177441129 4.91188398200006,119.182819468 4.91235831400007,119.192310022 4.91559612000003,119.200164248 4.91779006200005,119.201393133 4.91939739500003,119.223138894 4.94491984600006,119.22526802 4.94738665900007,119.227180616 4.94957402200004,119.227403424 4.94982552000005,119.245476266 4.96996132000004,119.256622749 4.98201885400005,119.257808901 4.98325238500007,119.260044834 4.98563761600008,119.272701043 4.99861591000007,119.27419182 5.00011854100006,119.280573335 5.00603412400005,119.3004434 5.02369290100006,119.313063124 5.03257052800006,119.316472911 5.03500981400003,119.330860048 5.04564995400006,119.337027604 5.05011978100003,119.339706352 5.05196381200005,119.347479997 5.05720671800003,119.377903437 5.07551925200005,119.394972842 5.08488021500006,119.39749634 5.08623045100006,119.399120379 5.08710531900005,119.403094047 5.08891847200005,119.410161137 5.09354979200003,119.454541436 5.12070601400006,119.455731913 5.12142545700004,119.515976336 5.15883500300004,119.525414862 5.18683412200005,119.526788068 5.19106927100006,119.529045433 5.19708180800006,119.540689425 5.23553656100006,119.541258514 5.23741124200006,119.54191688 5.23953097900005,119.54281785 5.24241545700005,119.546351695 5.25337146700002,119.558425416 5.29480100700005,119.560146602 5.29889422200006,119.563614861 5.30726090200005,119.564381707 5.30916388100007,119.565645837 5.31288337700005,119.566959981 5.31662767000006,119.57912309 5.35158689300005,119.599067316 5.40602035500007,119.604006668 5.42125749700006,119.606843138 5.42869414000006,119.606978098 5.42921842900006,119.559159891 5.47607208700003,119.533376241 5.50124703600005,119.530736948 5.50391962500004,119.530392165 5.50427408300004,119.513341524 5.52142109800008,119.502911715 5.53198064900005,119.502154535 5.53275215300005,119.488955472 5.54628734500005,119.461522775 5.57492929300003,119.448670757 5.58893179000006,119.446132967 5.59181436500006,119.414796985 5.63005228900005,119.399676224 5.64942719600003,119.36160087 5.69782041700006,119.345943498 5.71375880400007,119.335429065 5.72472534600007,119.317279873 5.74752333100002,119.280223996 5.79456244000005,119.252226422 5.83031536700003,119.141717414 5.97256673700002,119.103239146 6.02278025500004,119.08291273 6.05024968100003,119.078341544 6.07253965300004,118.989542963 6.04230919800005,118.859626341 5.99840998700006,118.806401279 5.98099772500007,118.768883207 5.97279453200002,118.735151275 5.96213620600003,118.692266229 5.95171784700005,118.663224222 5.94594939300003,118.644679742 5.94243816800002,118.637780491 5.94110879400006,118.623789192 5.93851376200007,118.623079851 5.93842104600003,118.590091815 5.93620568300003,118.52680427 5.93487304900003,118.503534299 5.93560112900008,118.484800567 5.93642482800004,118.479510062 5.93749760200006,118.463561104 5.94091677400007,118.461069464 5.94167673900006,118.44700312 5.94628803400008,118.43620863 5.94966935000002,118.42305719 5.95402063200004,118.408161079 5.95914454000007,118.401438468 5.96151420600006,118.366755176 5.95691305800005,118.348495493 5.95433407700006,118.329306469 5.95185558700007,118.314854693 5.94963058200005,118.308003356 5.95097713200005,118.29924202 5.95262574900005,118.284977193 5.95576006700003,118.266026198 5.96087732600006,118.246564719 5.96866549500004,118.241266011 5.97086443400002,118.240446114 5.97125449700007,118.223141688 5.98597173500002,118.200950532 6.01340299900005,118.178655583 6.04226935300005,118.177655812 6.04359924700003,118.176243788 6.05346943900003,118.178849256 6.05901250100004,118.186039231 6.07394809200002,118.186930202 6.07580816000007,118.201216009 6.10670692800005,118.178246848 6.13212791500007,118.162033927 6.14978312600005,118.152036748 6.15595815100005,118.129668777 6.16832902600004,118.123129547 6.17231535300004,118.114875557 6.17567596400005,118.112336849 6.17636364300006,118.108001483 6.17787289700004,118.103584505 6.18002553200006,118.086561104 6.18623495800006,118.085349103 6.18665505000007,118.082914862 6.20225054000002,118.068795742 6.20334234300003,118.062500547 6.20395530300004,118.057498387 6.20434433400004,118.04529278 6.20553064400002,118.031578468 6.20711700900006,117.998458504 6.21023003200003,117.958779224 6.21456103800006,117.95522205 6.21320870800002,117.945509745 6.21250967700007,117.929796821 6.21165058000003,117.880586698 6.21138444800005,117.879533623 6.21531462000007,117.871759616 6.25288043600005,117.868578845 6.27000182200004,117.867570273 6.29998227600004,117.867525943 6.30287715800006,117.867500291 6.30495712200008,117.867500285 6.30746274800003,117.867307099 6.33907099400005,117.867430568 6.34312712700006,117.867722771 6.34878214900004,117.869745339 6.35513454200003,117.872860291 6.36451776400003,117.876720561 6.37516814000003,117.880203832 6.38364834700008,117.894998602 6.42036084200004,117.925974758 6.49215298600006,117.937608613 6.51931635400007,117.961675929 6.54827071800003,118.007501168 6.60300040800007,118.07075313 6.67877669800004,118.028750359 6.76549831300002,118.014101851 6.79538122500003,117.974971167 6.87559906900003,117.937148534 6.95270811300003,117.937691366 6.98521993000003,117.93781462 6.99260198100006,117.937814605 6.99260208500004,117.93373626 7.02140634200003,117.926431769 7.07230568900007,117.929846095 7.21340719900007,117.933437281 7.37980361200005,117.933467789 7.37988974200005,117.843878346 7.39681192000006,117.444236363 7.47243039300002,117.416613196 7.47738129700002,117.406362888 7.47447784000008,117.366496742 7.46244575400004,117.33749516 7.45393033000005,117.330618577 7.45210633100004,117.314648477 7.44769907900007,117.304003681 7.44487359900006,117.302983415 7.44454477300008,117.288921098 7.47299390000006,117.284432132 7.48168807700006,117.277013457 7.49734985600003,117.27038789 7.50327201600004,117.256498284 7.51697277600005,117.256406848 7.51706571600005,117.255538945 7.51792568000008,117.254224108 7.51919571500002,117.253095494 7.52023567600003,117.236856759 7.53503073400003,117.234027904 7.53627151300003,117.190881743 7.55567576600004,117.187650424 7.55712034800007,117.184285896 7.55857490000005,117.080938009 7.60283483300003,117.046353691 7.57791201700007,117.019505552 7.57891270500005,117.01650715 7.57901780400005,117.013508751 7.57909012600004,117.008006485 7.57921076400004,116.973929965 7.58251571800002,116.968492148 7.58298216100007,116.908813574 7.58822780700007,116.788267555 7.59499967200003,116.676519568 7.59243666300006,116.229133875 7.64875937100004,116.162668189 7.65348975500007,116.041076195 7.66243774300006,116.041076109 7.66243774800006,116.117030054 7.93715686900003,116.188166311 8.19767018700003,116.207539572 8.29306686500007,116.215710485 8.33153973900005,116.22118288 8.35751991200004,116.229309894 8.39579765100007,116.269581095 8.74978564400004,116.281242119 8.85300075100002,116.280561868 8.86169185600005,116.279976217 8.86891835700004,116.279072849 8.87651875200004,116.299402597 8.91913234600003,116.322394994 8.97005413800002,116.445112489 9.24256901500007,116.464294967 9.28521442800007,116.484114727 9.33634939700005,116.501365412 9.38363852800006,116.511410625 9.41198484000006,116.527436477 9.45708559700006,116.59909736 9.56471294400006,116.633576537 9.62804875700004,116.737050505 9.83692412000005,116.76973656 9.91393046300004,116.774669236 9.92581904300005,116.789398581 9.96121244100004,116.894677298 10.0729029020001,117.084824848 10.320299764,117.234795633 10.5344252190001,117.256805893 10.5745288090001,117.306340172 10.6941110060001,117.316266889 10.716106305,117.35427257 10.8362840670001,117.475603276 11.217709545,117.494836782 11.303485176,117.502400402 11.363367489,117.5007637 11.3777549430001,117.31488413 12.9593604790001,117.17993527 13.325559444,116.980505068 13.5839284900001,116.978488542 13.5865385130001,116.759913764 13.8692415090001,116.599013179 14.0767597120001,116.574688785 14.108131595,116.605729609 14.2427993650001,116.592795609 14.357385365,116.590671609 14.401287365,116.539436609 14.563537366,116.488953608 14.767770366,116.471680608 14.8634933660001,116.452161608 14.925034366,116.401428608 15.129238366,116.392535608 15.178212366,116.360653608 15.306223366,116.322976608 15.5131003660001,116.298663608 15.721864367,116.287852608 15.9317023670001,116.287855608 15.9319093670001,116.287845608 15.932102367,116.287885608 15.9351243670001,116.287742608 15.9378923670001,116.289733608 16.088421367,116.287139608 16.138514367,116.287151608 16.139347367,116.287111608 16.140112367,116.289854608 16.350218367,116.306239608 16.559760367,116.336253608 16.7679113680001,116.340003608 16.785637368,116.340829608 16.7913633680001,116.342671608 16.800070368,116.353336608 16.873990368,116.396938608 17.0799353680001,116.398330608 17.0848893680001,116.404354608 17.113331368,116.461415608 17.3162453680001,116.463935608 17.323378368,116.464275608 17.324587368,116.479215608 17.366870368,116.552992609 17.4205983680001,116.717968609 17.5345493680001,116.981613609 17.7042783680001,117.432657609 17.993957369,117.451343609 18.014331369,117.79580661 18.3897933690001,118.09854961 18.7512493690001,118.10888161 18.7645463690001,118.49698861 19.36675337,118.839173611 19.89478337,118.871415611 19.944672371,118.875311611 19.9507073710001,118.877671611 19.9543783710001,119.048240611 20.219612371,119.080221611 20.269259371,119.105209611 20.2685983710001,119.282566611 20.2654363710001,119.394502611 20.2836063710001,119.709462611 20.353953371,119.767536612 20.3669133710001,120.055239612 20.430556371,120.232684612 20.535336371,120.464954612 20.7153973710001,120.559561612 20.7888333710001,120.656176612 20.8561543710001,120.935774613 21.049446372,121.033922613 21.1191873720001,121.060725613 21.1381173720001,121.136677613 21.1981443720001,121.231544613 21.304584372,121.262252613 21.3421203720001,121.270763613 21.352447372,121.603592613 21.4743003720001,121.794441613 21.5429993720001,121.889597614 21.5769193720001,121.947943614 21.5975303720001,122.211068614 21.6904433720001,122.318811614 21.7285313720001,122.936210614 21.947144372,122.939706614 21.9483713720001,122.941948614 21.9491573720001,122.944191615 21.9499433720001,122.946576615 21.9507773720001,122.948963615 21.9516123720001,123.609937251 22.1789603170001,123.790108428 22.080934406,124.168431326 21.8731272090001,124.17227268 21.871012556,124.72959966 21.563022217,124.745787483 21.554049003,125.525075928 21.1165468500001,125.537209864 21.1092013910001,125.537715617 21.1033543720001,125.537994617 21.101542372,125.538638617 21.0940973720001,125.538916617 21.0922993720001,125.539558617 21.084866372,125.539838617 21.083055372,125.540481617 21.0756243720001,125.540760617 21.0738123720001,125.541403617 21.066379372,125.541682617 21.0645693720001,125.542325617 21.0571343720001,125.542605617 21.055325372,125.543246617 21.0479083720001,125.543528617 21.0460823720001,125.544171617 21.0386483720001,125.544450617 21.036838372,125.545092617 21.0294203720001,125.545373617 21.0275953720001,125.546016617 21.0201613720001,125.546295617 21.018351372,125.546937617 21.0109323720001,125.547219617 21.0091083720001,125.547861617 21.0016883710001,125.548142617 20.9998643710001,125.548509617 20.995617371,125.550363617 20.9873173710001,125.550475617 20.986588371,125.552340617 20.9782423710001,125.552452617 20.977517371,125.554317617 20.969167371,125.554427617 20.9684563710001,125.556295617 20.960092371,125.556405617 20.9593813710001,125.558273617 20.951017371,125.558382617 20.9503083710001,125.560251617 20.941941371,125.560360617 20.9412343710001,125.562229617 20.932866371,125.562338617 20.9321603710001,125.564207617 20.9237903710001,125.564316617 20.9230873710001,125.566185617 20.9147153710001,125.566293617 20.9140123710001,125.568163617 20.9056403710001,125.568271617 20.9049423710001,125.570141617 20.8965653710001,125.570247617 20.895881371,125.572120617 20.8874903710001,125.572228617 20.8867923710001,125.574098617 20.8784143710001,125.574203617 20.877732371,125.576077617 20.869339371,125.576182617 20.868659371,125.578056617 20.860263371,125.578161617 20.859585371,125.580035617 20.851188371,125.580140617 20.850511371,125.582014617 20.842113371,125.582118617 20.841438371,125.583993617 20.833037371,125.584097617 20.832364371,125.585972617 20.8239623710001,125.586075617 20.823290371,125.587951617 20.8148863710001,125.588051617 20.8142303710001,125.589931617 20.8058113710001,125.590033617 20.805145371,125.591910617 20.7967373710001,125.592010617 20.7960833710001,125.593890617 20.7876613710001,125.593992617 20.786996371,125.595869617 20.7785863710001,125.595968617 20.7779363710001,125.597849617 20.769510371,125.597948617 20.7688623710001,125.599829617 20.760435371,125.599928617 20.7597883710001,125.601809617 20.751360371,125.601908617 20.7507153710001,125.603789617 20.742284371,125.603888617 20.7416403710001,125.605769617 20.733209371,125.605865617 20.732581371,125.607750617 20.7241333710001,125.607848617 20.7234923710001,125.609730617 20.7150583710001,125.609828617 20.7144193710001,125.611710617 20.7059823710001,125.611805617 20.705360371,125.613691617 20.6969073710001,125.613786617 20.696286371,125.615672617 20.6878323710001,125.615768617 20.687212371,125.617653617 20.6787563710001,125.617751617 20.678124371,125.619633617 20.669681371,125.619728617 20.669065371,125.621614617 20.660605371,125.621707617 20.6600053710001,125.623596617 20.651530371,125.623691617 20.650917371,125.625577617 20.642455371,125.625672617 20.6418423710001,125.627558617 20.633379371,125.627652617 20.6327693710001,125.629539617 20.6243043710001,125.629631617 20.6237103710001,125.631521617 20.6152283710001,125.631613617 20.6146363710001,125.633503617 20.6061533710001,125.633597617 20.6055473710001,125.635484617 20.5970773710001,125.635575617 20.5964883710001,125.637467617 20.5880023710001,125.637557617 20.587414371,125.639449617 20.5789273710001,125.671361617 20.3715033710001),(121.421372613 19.2869453700001,121.513318613 19.2491633700001,121.539699613 19.2666633700001,121.543590613 19.27777237,121.543318613 19.29027237,121.536654613 19.35943637,121.528881613 19.39027237,121.395690613 19.39110937,121.372754613 19.3644363700001,121.368872613 19.35249937,121.393881613 19.31555437,121.421372613 19.2869453700001),(121.845408613 18.822563369,121.854427613 18.8188813690001,121.882754614 18.8333273690001,121.988036614 18.94471837,121.995045614 18.9640903700001,121.948799614 19.00305437,121.935254614 19.00610937,121.912608614 19.00805437,121.886108614 18.99055437,121.872754614 18.9788813700001,121.833054613 18.88055437,121.832208613 18.8669363700001,121.845408613 18.822563369),(121.103318613 18.624436369,121.029163613 18.6086093690001,120.991363613 18.595272369,120.983490613 18.5899453690001,120.972763613 18.576945369,120.956372613 18.5629093690001,120.934554613 18.5594453690001,120.916927613 18.5652723690001,120.901099613 18.5759723690001,120.874972613 18.610827369,120.787763612 18.558327369,120.768054612 18.540272369,120.751936612 18.5322183690001,120.736736612 18.527009369,120.718318612 18.5266633690001,120.703045612 18.528609369,120.679427612 18.5330543690001,120.664427612 18.5388903690001,120.632408612 18.547499369,120.585272612 18.511390369,120.571654612 18.493190369,120.569299612 18.481109369,120.572772612 18.4680543690001,120.581936612 18.454990369,120.593872612 18.424436369,120.601645612 18.393054369,120.604427612 18.3702723690001,120.600808612 18.3308273690001,120.595263612 18.3149993690001,120.561099612 18.2536093690001,120.534418612 18.2133273690001,120.526381612 18.2019363690001,120.521381612 18.1888813690001,120.479981612 18.078609369,120.450272612 17.929163369,120.458327612 17.8234723690001,120.439972612 17.7324903680001,120.422208612 17.7080453680001,120.394990612 17.6922183680001,120.372481612 17.680272368,120.357481612 17.6394363680001,120.338590612 17.571663368,120.346645612 17.5558273680001,120.367618612 17.5309723680001,120.380108612 17.533227368,120.392208612 17.540972368,120.426936612 17.5097183680001,120.459990612 17.4116633680001,120.460536612 17.389718368,120.456236612 17.3605543680001,120.426936612 17.1880453680001,120.431372612 17.177772368,120.452472612 17.0547183680001,120.455263612 17.036381368,120.456645612 17.011390368,120.455554612 16.994999368,120.453872612 16.9816633680001,120.449145612 16.968609368,120.399718612 16.8738813680001,120.390399612 16.861936368,120.371090612 16.8513903680001,120.317208612 16.631109367,120.318881612 16.576663367,120.339708612 16.4299993670001,120.367199612 16.284718367,120.391108612 16.264027367,120.406372612 16.242772367,120.418872612 16.207499367,120.426090612 16.1691183670001,120.421918612 16.155827367,120.403590612 16.1297183670001,120.395827612 16.1205543670001,120.368590612 16.0936093670001,120.338045612 16.0755543670001,120.281099612 16.046109367,120.258608612 16.038609367,120.234990612 16.033881367,120.202763612 16.030554367,120.198318612 16.030554367,120.178590612 16.033054367,120.156645612 16.0361093670001,120.126918612 16.054445367,120.102199612 16.073472367,120.095836612 16.101390367,120.094436612 16.113609367,120.013608612 16.183881367,119.935254612 16.242772367,119.919145612 16.2902723670001,119.931372612 16.330827367,119.933590612 16.362218367,119.929281612 16.3836093670001,119.886108612 16.396663367,119.824154612 16.3649993670001,119.801363612 16.3469363670001,119.791363612 16.332499367,119.785663612 16.318463367,119.757763612 16.1741633670001,119.752772612 15.960418367,119.772899612 15.9188903670001,119.807754612 15.9257633670001,119.813999612 15.949999367,119.857472612 15.962918367,119.909145612 15.856109367,119.913036612 15.840690367,119.892581612 15.801127367,119.919981612 15.7052723670001,119.908336612 15.622772366,119.955554612 15.522499366,119.905963612 15.491109366,119.901508612 15.480418366,119.897772612 15.436381366,119.899427612 15.425554366,119.909290612 15.4028453660001,119.939145612 15.3797183660001,119.964999612 15.345827366,120.005254612 15.278890366,120.012499612 15.2638903660001,120.038036612 15.1644453660001,120.054981612 15.096663366,120.064708612 15.0476363660001,120.064990612 15.020827366,120.064427612 14.9852723660001,120.057745612 14.9513903660001,120.055818612 14.9316633660001,120.055681612 14.8894453660001,120.087345612 14.7834723660001,120.123027612 14.757499366,120.132754612 14.7508273660001,120.157345612 14.7401363660001,120.183036612 14.744581366,120.191508612 14.7513903660001,120.200818612 14.7719453660001,120.211927612 14.813609366,120.214154612 14.827499366,120.245245612 14.8477723660001,120.295472612 14.803954366,120.277481612 14.779163366,120.259718612 14.766109366,120.253881612 14.7316633660001,120.249708612 14.6998543660001,120.252072612 14.688745366,120.302754612 14.6358273660001,120.317754612 14.624445366,120.377472612 14.5280543650001,120.380254612 14.5052723650001,120.389163612 14.471663365,120.393599612 14.458609365,120.454163612 14.440554365,120.493318612 14.429718365,120.542072612 14.4219453650001,120.558318612 14.4252723650001,120.581099612 14.437081365,120.603045612 14.4622183650001,120.610408612 14.488054365,120.612199612 14.501945365,120.610808612 14.5188903650001,120.579990612 14.654027366,120.557763612 14.6965273660001,120.550808612 14.7105543660001,120.548599612 14.721663366,120.548663612 14.823263366,120.562763612 14.826109366,120.615536612 14.8063903660001,120.681090612 14.7697183660001,120.754708612 14.753609366,120.770827612 14.7555543660001,120.789699612 14.7580543660001,120.837281613 14.760345366,120.888045613 14.717499366,120.904163613 14.7019453660001,120.924099613 14.681427366,120.932208613 14.673054366,120.946927613 14.651663366,120.956645613 14.6369453660001,120.961645613 14.6258273660001,120.991090613 14.549163365,120.993872613 14.5313903650001,120.993590613 14.5148633650001,120.985545613 14.490554365,120.973099613 14.4770993650001,120.902481613 14.4513903650001,120.838318613 14.3941633650001,120.768054612 14.329445365,120.752772612 14.318054365,120.708599612 14.2897183650001,120.676654612 14.2819453650001,120.666654612 14.282499365,120.656645612 14.282772365,120.640827612 14.276109365,120.626918612 14.2672183650001,120.592208612 14.2311093650001,120.588881612 14.2158273650001,120.578872612 14.1374993650001,120.609990612 14.118327365,120.619427612 13.964999365,120.617199612 13.9455543650001,120.619472612 13.876772365,120.625399612 13.8091633650001,120.662418612 13.7688903650001,120.674836612 13.778472365,120.676918612 13.7904183650001,120.667208612 13.811390365,120.658045612 13.829445365,120.659154612 13.8611093650001,120.706099612 13.915554365,120.716663612 13.9252723650001,120.739427612 13.9323633650001,120.750263612 13.932218365,120.763890612 13.929445365,120.879436613 13.902499365,120.888890613 13.899163365,120.898327613 13.892772365,120.913872613 13.8749993650001,120.919145613 13.8577723650001,120.928863613 13.774999365,120.974699613 13.7738903650001,120.994845613 13.781799365,121.019990613 13.773745365,121.040545613 13.7630543650001,121.046945613 13.7549993650001,121.062472613 13.713745365,121.055545613 13.6622183650001,121.131654613 13.633336365,121.165818613 13.6416633650001,121.181781613 13.6431903650001,121.230272613 13.627218365,121.279427613 13.5938903650001,121.334718613 13.637218365,121.362763613 13.654163365,121.387772613 13.6636093650001,121.436654613 13.7574993650001,121.438581613 13.7730543650001,121.443590613 13.789999365,121.464845613 13.8248633650001,121.474154613 13.8347183650001,121.701927613 13.9591633650001,121.718463613 13.9656903650001,121.749918613 13.9647903650001,121.817554613 13.9377723650001,121.816381613 13.9144453650001,121.820545613 13.904999365,121.830272613 13.8972183650001,121.908863614 13.8519453650001,122.061854614 13.775072365,122.108599614 13.7638903650001,122.176090614 13.672218365,122.208327614 13.6019453650001,122.244708614 13.5970813650001,122.264845614 13.603327365,122.311918614 13.5936093650001,122.330536614 13.583472365,122.403590614 13.5191633650001,122.491227614 13.4055543640001,122.518736614 13.345972364,122.523318614 13.3224993640001,122.524990614 13.3083363640001,122.524699614 13.2813903640001,122.524145614 13.2322183640001,122.562763614 13.185554364,122.582218614 13.169163364,122.596372614 13.163609364,122.607481614 13.1638903640001,122.619981614 13.169999364,122.701790614 13.2215273640001,122.702472614 13.2319453640001,122.699999614 13.251663364,122.680545614 13.3736093640001,122.669145614 13.4072183640001,122.662763614 13.4245813640001,122.650272614 13.446390364,122.628863614 13.4763903640001,122.608318614 13.499445365,122.577208614 13.5361093650001,122.502772614 13.646109365,122.485390614 13.6933273650001,122.483318614 13.7063903650001,122.502772614 13.8405543650001,122.525272614 13.9211093650001,122.560999614 13.936563365,122.614154614 13.8916633650001,122.775818614 13.7869453650001,122.840272614 13.733054365,122.855554614 13.7072183650001,122.863454614 13.6834723650001,122.829990614 13.6505543650001,122.832763614 13.638336365,122.840399614 13.6224993650001,122.892627614 13.574581365,122.984990615 13.517499365,122.999708615 13.518609365,123.014708615 13.515272365,123.053036615 13.504718365,123.066936615 13.498881365,123.136518615 13.4681903640001,123.167481615 13.451109364,123.184708615 13.438054364,123.201508615 13.4179813640001,123.207490615 13.3999993640001,123.209427615 13.3788813640001,123.246645615 13.2913903640001,123.310808615 13.1786093640001,123.294699615 13.1441633640001,123.291090615 13.115136364,123.298027615 13.053327364,123.308027615 13.0316633640001,123.323881615 13.0086093640001,123.341663615 13.012218364,123.359990615 13.0188903640001,123.373872615 13.0274993640001,123.409008615 13.044163364,123.421372615 13.0422183640001,123.454018615 13.024445364,123.491090615 12.981663364,123.506654615 12.9683273640001,123.588318615 12.9063903640001,123.636936615 12.885554364,123.729154615 12.853609364,123.806499615 12.8622183640001,123.825545615 12.874163364,123.858318615 12.896945364,123.884299615 12.938054364,123.886645615 12.9658273640001,123.896654615 12.972772364,124.026363616 12.963745364,124.039427616 12.9491633640001,124.046654616 12.9327723640001,124.046654616 12.921390364,124.031799616 12.888054364,124.024145616 12.878054364,124.016390615 12.871663364,123.934154615 12.845481364,123.903590615 12.850272364,123.884990615 12.861390364,123.863936615 12.869299364,123.840672615 12.828054364,123.850127615 12.7273543640001,123.860527615 12.6927723640001,123.878863615 12.6513903640001,123.972618615 12.555827364,123.994418615 12.5431903640001,124.013045615 12.537499364,124.037772616 12.5316633640001,124.083118616 12.541663364,124.096372616 12.5536093640001,124.136936616 12.666663364,124.143881616 12.7041633640001,124.158599616 12.8099993640001,124.155263616 12.854999364,124.126081616 12.9072183640001,124.153590616 12.962218364,124.193445616 13.018609364,124.195827616 13.036663364,124.196372616 13.053327364,124.190945616 13.0649993640001,124.177345616 13.072918364,124.127063616 13.071454364,124.111090616 13.061527364,124.104708616 13.0486093640001,124.100808616 13.0316633640001,124.092899616 13.0140273640001,124.081790616 13.0090993640001,124.033599616 13.0455543640001,124.023318616 13.057499364,124.013608615 13.073054364,123.995818615 13.095272364,123.978045615 13.106390364,123.900554615 13.140690364,123.879699615 13.140418364,123.868445615 13.1349993640001,123.864563615 13.118536364,123.838590615 13.0830543640001,123.804136615 13.0494453640001,123.788308615 13.0494453640001,123.776381615 13.053890364,123.761790615 13.0634723640001,123.758327615 13.0888903640001,123.756654615 13.1613903640001,123.757763615 13.178327364,123.760536615 13.188890364,123.775545615 13.2205543640001,123.784008615 13.2306903640001,123.797208615 13.2347183640001,123.810254615 13.2347183640001,123.824154615 13.230272364,123.839708615 13.226663364,123.856372615 13.225272364,123.869736615 13.232118364,123.848181615 13.2624993640001,123.829808615 13.2582633640001,123.833327615 13.240827364,123.818508615 13.254963364,123.821399615 13.2763633640001,123.811436615 13.290899364,123.786927615 13.3019453640001,123.751863615 13.328909364,123.734154615 13.369999364,123.704299615 13.438190364,123.677618615 13.475272364,123.668054615 13.4805543640001,123.634845615 13.488054365,123.541945615 13.5581543650001,123.533172615 13.571245365,123.535127615 13.6241633650001,123.552199615 13.673890365,123.569854615 13.7065273650001,123.579990615 13.7183273650001,123.596790615 13.723327365,123.617754615 13.722772365,123.717754615 13.7063903650001,123.774427615 13.6927723650001,123.787490615 13.6899993650001,123.809708615 13.687218365,123.971645615 13.7072183650001,123.978454615 13.7169453650001,123.975272615 13.7377723650001,123.970127615 13.751809365,123.924990615 13.789163365,123.680545615 13.8774993650001,123.574436615 13.911663365,123.456099615 13.9619453650001,123.417763615 13.9822183650001,123.392490615 14.0294453650001,123.361099615 14.081109365,123.343045615 14.0869453650001,123.280545615 14.047499365,123.229708615 14.002218365,123.236645615 13.9744453650001,123.242199615 13.9638903650001,123.268881615 13.9433273650001,123.295536615 13.926663365,123.321663615 13.836109365,123.326799615 13.809445365,123.318454615 13.789299365,123.267899615 13.7404093650001,123.132754615 13.7072183650001,123.099990615 13.667499365,123.121499615 13.6956903650001,123.127336615 13.712636365,123.117618615 13.734299365,123.097490615 13.7436093650001,123.053872615 13.7704183650001,123.049427615 13.7794453650001,123.051654615 13.797499365,123.056208615 13.816363365,123.065263615 13.8494453650001,123.071936615 13.8652723650001,123.087063615 13.8741633650001,123.096927615 13.887781365,123.094981615 13.9688903650001,123.038881615 14.069445365,122.929154614 14.1988903650001,122.865118614 14.265272365,122.847072614 14.2780543650001,122.773599614 14.318745365,122.713318614 14.3383273650001,122.693863614 14.339999365,122.678036614 14.337772365,122.605554614 14.3133273650001,122.541654614 14.3358273650001,122.515827614 14.3447183650001,122.473308614 14.3405543650001,122.449999614 14.321109365,122.380254614 14.258336365,122.363872614 14.242218365,122.335536614 14.199718365,122.334990614 14.1849993650001,122.336654614 14.1659723650001,122.341518614 14.1533273650001,122.354145614 14.1349993650001,122.347899614 14.116527365,122.328599614 14.1072183650001,122.310281614 14.103399365,122.303590614 14.1011093650001,122.267690614 14.1290273650001,122.264563614 14.1837453650001,122.267763614 14.2008273650001,122.272772614 14.2105543650001,122.277481614 14.2286093650001,122.273454614 14.2435363650001,122.256790614 14.2399993650001,122.165118614 14.1513183650001,122.168054614 14.1358273650001,122.182208614 14.1119453650001,122.206027614 14.082845365,122.226645614 14.0758273650001,122.266099614 14.0483363650001,122.309418614 14.015272365,122.308318614 14.0008273650001,122.303163614 13.9598543650001,122.246936614 13.923054365,122.233318614 13.8972183650001,122.189972614 13.9136093650001,122.159708614 13.917499365,122.141790614 13.914999365,122.105263614 13.9227723650001,122.033599614 13.948609365,122.009427614 13.9588903650001,121.958036614 13.9822183650001,121.947199614 13.9877723650001,121.910536614 14.0091633650001,121.769990613 14.1236093650001,121.762499613 14.132218365,121.735536613 14.1684723650001,121.734845613 14.180690365,121.743308613 14.1915273650001,121.752772613 14.201945365,121.761654613 14.2269453650001,121.761381613 14.239163365,121.727481613 14.327636365,121.718045613 14.341109365,121.676936613 14.382218365,121.642208613 14.482499365,121.611645613 14.6024993660001,121.609990613 14.6202723660001,121.608318613 14.6584723660001,121.615536613 14.668327366,121.695263613 14.6966633660001,121.639718613 14.776663366,121.626918613 14.7908363660001,121.605263613 14.8191633660001,121.588881613 14.870554366,121.584990613 14.883336366,121.575545613 14.919445366,121.542481613 15.021663366,121.486090613 15.176245366,121.455536613 15.1979183660001,121.431090613 15.207636366,121.417763613 15.228054366,121.400272613 15.257772366,121.380254613 15.3024993660001,121.376372613 15.3149993660001,121.378863613 15.3322183660001,121.384427613 15.3488813660001,121.395408613 15.374718366,121.405963613 15.3798543660001,121.495245613 15.5183273660001,121.599718613 15.6355543670001,121.643054613 15.713054367,121.643599613 15.7316633670001,121.637418613 15.748472367,121.606790613 15.7577813670001,121.586799613 15.751109367,121.575818613 15.7555543670001,121.568327613 15.767499367,121.561372613 15.7808363670001,121.551372613 15.813609367,121.548318613 15.8377723670001,121.549990613 15.862218367,121.552754613 15.8808273670001,121.556090613 15.891663367,121.563308613 15.903054367,121.578045613 15.918054367,121.669563613 16.0063903670001,121.743318613 16.0680543670001,121.761936613 16.0756903670001,121.783336613 16.064999367,121.958454614 16.134163367,121.976927614 16.1452723670001,122.020827614 16.1744363670001,122.069990614 16.2097183670001,122.071663614 16.223881367,122.075545614 16.2344363670001,122.099290614 16.260063367,122.139845614 16.2522903670001,122.113818614 16.2054363670001,122.092481614 16.1696093670001,122.081163614 16.154609367,122.064981614 16.1424363670001,122.035263614 16.106109367,122.026090614 16.0952723670001,122.019145614 16.085827367,122.003054614 16.0558273670001,121.998599614 16.0466633670001,122.002145614 16.028890367,122.041363614 16.0524993670001,122.051936614 16.062772367,122.095318614 16.1111633670001,122.091654614 16.1239993670001,122.104808614 16.1376633670001,122.124972614 16.1568273670001,122.141154614 16.1716633670001,122.153654614 16.1789993670001,122.198863614 16.226381367,122.206381614 16.2341633670001,122.212490614 16.266663367,122.228863614 16.3574993670001,122.230536614 16.3970813670001,122.220118614 16.3976363670001,122.211645614 16.410827367,122.208327614 16.420554367,122.207208614 16.432772367,122.252908614 16.510809367,122.279436614 16.5274993670001,122.294845614 16.5402723670001,122.309708614 16.563609367,122.425263614 16.7852723680001,122.468318614 16.880554368,122.518336614 17.0438903680001,122.533045614 17.101381368,122.521163614 17.1345093680001,122.503036614 17.130963368,122.495954614 17.1231903680001,122.485681614 17.117772368,122.453881614 17.121527368,122.430118614 17.1347183680001,122.419563614 17.1559633680001,122.427463614 17.2686093680001,122.345545614 17.3416633680001,122.318736614 17.3337453680001,122.297763614 17.3408273680001,122.257208614 17.363472368,122.240945614 17.395963368,122.214999614 17.4691633680001,122.173308614 17.5938903680001,122.170254614 17.6072183680001,122.145827614 17.7830543690001,122.146518614 17.801663369,122.154981614 17.8316633690001,122.172490614 17.886381369,122.184418614 17.934163369,122.196090614 18.003890369,122.193299614 18.0255543690001,122.182208614 18.039436369,122.173181614 18.0751363690001,122.189145614 18.1202723690001,122.219436614 18.1508273690001,122.227763614 18.1566633690001,122.254990614 18.168609369,122.263890614 18.174436369,122.294981614 18.2116633690001,122.321645614 18.2484723690001,122.336927614 18.276109369,122.342481614 18.310554369,122.330554614 18.3611093690001,122.324718614 18.3804093690001,122.238872614 18.5149993690001,122.225536614 18.520554369,122.167072614 18.518745369,122.156645614 18.508890369,122.135818614 18.4438813690001,122.133190614 18.430272369,122.119981614 18.3769453690001,122.024990614 18.2963903690001,122.007763614 18.286109369,121.966090614 18.2727723690001,121.949708614 18.2688903690001,121.936654614 18.269445369,121.896099614 18.277772369,121.845836613 18.2883273690001,121.802463613 18.303327369,121.637208613 18.361663369,121.586381613 18.383054369,121.376645613 18.4922183690001,121.256654613 18.5661093690001,121.231372613 18.584445369,121.204163613 18.6013903690001,121.175263613 18.6172183690001,121.153590613 18.6252723690001,121.124972613 18.6276363690001,121.103318613 18.624436369),(121.808027613 14.9488903660001,121.807681613 14.9234723660001,121.830272613 14.927918366,121.868590613 14.877772366,121.913736614 14.790827366,121.929699614 14.7505543660001,121.935527614 14.730554366,121.938445614 14.7137453660001,121.931499614 14.703472366,121.916227614 14.7096543660001,121.909363614 14.7186813660001,121.905399614 14.682218366,121.908045614 14.6649993660001,121.912490614 14.644999366,121.918036614 14.6356903660001,121.930818614 14.6291633660001,121.939699614 14.626945366,121.949972614 14.6283273660001,121.979427614 14.6431903660001,122.003054614 14.666663366,122.018336614 14.687218366,122.031581614 14.7120813660001,122.022481614 14.807218366,121.993336614 14.8352093660001,121.975808614 14.856945366,121.969436614 14.8674993660001,121.968045614 14.8858273660001,121.968318614 14.9011093660001,121.994427614 14.9544453660001,122.011236614 14.9854093660001,122.028181614 14.988190366,122.044290614 14.9719453660001,122.054208614 14.9530543660001,122.058318614 14.9622183660001,122.050808614 14.9966633660001,122.047490614 15.0072183660001,122.014436614 15.037363366,121.995245614 15.0449993660001,121.965554614 15.0538903660001,121.935808614 15.056945366,121.848318613 15.0359723660001,121.837490613 15.0272183660001,121.819154613 14.9916633660001,121.816090613 14.981390366,121.808027613 14.9488903660001),(122.206936614 14.7552813660001,122.248027614 14.718054366,122.255690614 14.7244453660001,122.259845614 14.7837453660001,122.211518614 14.8397183660001,122.188027614 14.840827366,122.098181614 14.836663366,122.111927614 14.8058273660001,122.117199614 14.7966633660001,122.174427614 14.7688903660001,122.206936614 14.7552813660001),(122.124690614 14.021109365,122.162772614 13.9986093650001,122.171099614 13.9986093650001,122.178036614 13.9999993650001,122.188308614 14.0065273650001,122.188863614 14.016945365,122.175808614 14.0369453650001,122.164699614 14.051663365,122.125808614 14.087636365,121.947199614 14.217499365,121.917481614 14.1852723650001,121.984154614 14.114163365,121.995527614 14.1047183650001,122.124690614 14.021109365),(124.208318616 14.0987453650001,124.129972616 14.060418365,124.127763616 14.0461093650001,124.127199616 13.9977723650001,124.127763616 13.980554365,124.134708616 13.9491633650001,124.144990616 13.931390365,124.148036616 13.920827365,124.133881616 13.7922183650001,124.124154616 13.7580543650001,124.093036616 13.7016633650001,124.074154616 13.6941633650001,124.059972616 13.6876363650001,124.030545616 13.663890365,124.033863616 13.6488903650001,124.054699616 13.610827365,124.178036616 13.532499365,124.202763616 13.517772365,124.208036616 13.515272365,124.207763616 13.5427723650001,124.211236616 13.5600633650001,124.244981616 13.5880543650001,124.259718616 13.5938903650001,124.280272616 13.5944453650001,124.293590616 13.5938903650001,124.310254616 13.588263365,124.316654616 13.555690365,124.330545616 13.5486093650001,124.418054616 13.793190365,124.416645616 13.8544453650001,124.406936616 13.8777723650001,124.393881616 13.8963903650001,124.349427616 13.9333363650001,124.312708616 13.9303633650001,124.287363616 13.9461723650001,124.281990616 13.997781365,124.255145616 14.0454993650001,124.208318616 14.0987453650001),(125.148318617 12.5765273640001,125.101381617 12.571945364,125.078945616 12.5444453640001,125.041654616 12.534445364,124.888736616 12.554863364,124.870527616 12.5333273640001,124.752208616 12.5149993640001,124.729154616 12.512218364,124.652772616 12.504163364,124.463881616 12.5208273640001,124.351381616 12.536663364,124.286718616 12.5737813640001,124.257763616 12.5511093640001,124.282763616 12.462772364,124.343408616 12.2893453630001,124.393599616 12.188327363,124.444836616 12.1533273630001,124.465272616 12.1277723630001,124.473727616 12.1072183630001,124.469990616 12.1041633630001,124.499154616 12.0874993630001,124.596645616 12.060827363,124.644990616 12.042772363,124.663881616 12.0324993630001,124.693863616 12.010554363,124.772490616 11.898054363,124.862490616 11.807499363,125.002827616 11.774581363,125.037072616 11.752918363,125.042072616 11.727909363,124.990808616 11.612499363,124.958327616 11.5769453630001,124.934208616 11.5661813630001,124.897827616 11.572354363,124.836799616 11.517918363,124.829018616 11.4965903630001,124.849081616 11.4647903630001,124.895963616 11.468054363,124.971236616 11.4462453630001,124.990954616 11.417081363,124.999708616 11.352772363,125.073881616 11.281390362,125.132618617 11.2783363620001,125.155818617 11.272363362,125.168181617 11.2538903620001,125.195254617 11.180272362,125.269436617 11.1280543620001,125.462490617 11.098609362,125.522208617 11.1359363620001,125.569990617 11.1461093620001,125.664427617 11.134299362,125.689145617 11.107772362,125.679699617 11.0863813620001,125.694136617 11.061663362,125.715818617 11.0308363620001,125.736781617 11.014027362,125.751099617 11.008890362,125.761172617 11.0210363620001,125.746936617 11.0663903620001,125.684708617 11.1674993620001,125.664563617 11.1944453620001,125.596854617 11.2238903620001,125.603727617 11.190627362,125.542072617 11.189509362,125.535536617 11.2266633620001,125.546645617 11.251036362,125.576381617 11.2808363620001,125.610954617 11.2950633620001,125.636108617 11.323327362,125.640608617 11.3514543630001,125.591436617 11.3958993630001,125.569845617 11.4008993630001,125.528318617 11.4499993630001,125.450272617 11.5902723630001,125.445681617 11.612909363,125.453327617 11.655554363,125.443036617 11.826663363,125.429008617 11.903190363,125.436099617 11.9536093630001,125.452763617 11.991109363,125.473308617 12.0099993630001,125.491372617 12.025418363,125.521381617 12.0556183630001,125.449127617 12.1022183630001,125.446208617 12.1150993630001,125.479981617 12.162218363,125.515827617 12.171109363,125.504708617 12.2049993630001,125.452472617 12.260627363,125.389972617 12.290272363,125.364436617 12.285409363,125.336863617 12.268190363,125.296545617 12.293499363,125.292963617 12.343054363,125.307481617 12.394718363,125.319154617 12.414999364,125.296945617 12.4574993640001,125.229154617 12.5249993640001,125.178318617 12.5611093640001,125.148318617 12.5765273640001),(125.040545616 11.0105543620001,125.029981616 11.195827362,124.978045616 11.2536093620001,124.977763616 11.3672183630001,124.972763616 11.387218363,124.950254616 11.421736363,124.856372616 11.422499363,124.808799616 11.380827363,124.763045616 11.336663362,124.741654616 11.324163362,124.707408616 11.305899362,124.641108616 11.293054362,124.581727616 11.3095813620001,124.552463616 11.3399993630001,124.535536616 11.4013903630001,124.316381616 11.5669453630001,124.288318616 11.5315993630001,124.300536616 11.472218363,124.348936616 11.3139543620001,124.370245616 11.291945362,124.403027616 11.2392993620001,124.404427616 11.1113903620001,124.401381616 10.9741633620001,124.421372616 10.9133273620001,124.488590616 10.8623543620001,124.521518616 10.871245362,124.534427616 10.8869453620001,124.544708616 10.906945362,124.554145616 10.9280543620001,124.549699616 10.962918362,124.552199616 10.987772362,124.574436616 11.014163362,124.596790616 11.0104183620001,124.622208616 10.992499362,124.674572616 10.948190362,124.689145616 10.930272362,124.761936616 10.8180543620001,124.779363616 10.7849993620001,124.789427616 10.756663362,124.798445616 10.7265273620001,124.804845616 10.661245362,124.766663616 10.5747183620001,124.766518616 10.5349993620001,124.756381616 10.5119453620001,124.732754616 10.4686093620001,124.724427616 10.407218362,124.739154616 10.3780543620001,124.767208616 10.354718362,124.787899616 10.329163362,124.788736616 10.3008273620001,124.764708616 10.1963903610001,124.845545616 10.133609361,124.977763616 10.0402723610001,125.011372616 10.0294453610001,125.031663616 10.0436093610001,125.028590616 10.0819453610001,125.008327616 10.158054361,124.988308616 10.2424993610001,124.978318616 10.3745813620001,125.004572616 10.379927362,125.023599616 10.3655543620001,125.035808616 10.3377723620001,125.042481616 10.315836362,125.071663616 10.246381361,125.085399616 10.2145813610001,125.120527617 10.176945361,125.259090617 10.2630543610001,125.271654617 10.2974993620001,125.270536617 10.332218362,125.256799617 10.377772362,125.237208617 10.3970813620001,125.187472617 10.4411093620001,125.169572617 10.5298633620001,125.180263617 10.5433273620001,125.144172617 10.610790362,125.084218616 10.708399362,125.056918616 10.7112453620001,125.015063616 10.743399362,125.007490616 10.8113903620001,125.008045616 10.8691633620001,125.030463616 10.9200633620001,125.037490616 10.9455543620001,125.040818616 10.9791633620001,125.040545616 11.0105543620001),(125.749999617 10.6897183620001,125.766390617 10.6855543620001,125.802463617 10.6888903620001,125.814145617 10.693327362,125.822290617 10.717981362,125.814699617 10.7302723620001,125.713045617 10.8163903620001,125.695318617 10.823190362,125.681090617 10.812772362,125.661436617 10.7827723620001,125.661236617 10.754099362,125.671372617 10.742772362,125.749999617 10.6897183620001),(125.514581617 10.318327362,125.475272617 10.131109361,125.476927617 10.121109361,125.480818617 10.103881361,125.502072617 10.0672183610001,125.612490617 9.94694536100008,125.621372617 9.89610936100007,125.596363617 9.85916336100007,125.582208617 9.82360936100002,125.646654617 9.82166336100005,125.662608617 9.82582736100005,125.676372617 9.83360936100007,125.690263617 9.84582736100003,125.706645617 9.86444536100004,125.711654617 9.89236336100004,125.699145617 10.0697183610001,125.673945617 10.1067993610001,125.664699617 10.1166633610001,125.655254617 10.164445361,125.655254617 10.252499361,125.682627617 10.3912453620001,125.673863617 10.4191633620001,125.648318617 10.4666633620001,125.636654617 10.4666633620001,125.623590617 10.457918362,125.514581617 10.318327362),(125.945536617 9.83082736100005,126.031936617 9.74249936100006,126.114145617 9.74499936100005,126.156645617 9.77444536100006,126.168590618 9.78305436100004,126.174708618 9.80513636100005,126.145827617 9.83832736100004,126.123027617 9.87138136100003,126.119136617 9.90332736100004,126.090818617 10.001945361,126.073045617 10.052009361,126.058172617 10.0533273610001,126.049427617 10.046245361,126.036927617 10.025827361,125.968045617 9.88778136100007,125.945536617 9.83082736100005),(125.958881617 9.73916336100007,125.940808617 9.75569036100006,125.914427617 9.75152736100006,125.907763617 9.70666336100004,125.901790617 9.61235436100003,125.926372617 9.57221836100007,125.943863617 9.55582736100007,125.952472617 9.55749936100005,125.964572617 9.56374536100003,125.971918617 9.57471836100007,125.990672617 9.64291836100006,125.991090617 9.66194536100005,125.986363617 9.67416336100007,125.958881617 9.73916336100007),(125.583054617 9.72416336100002,125.554981617 9.76249936100004,125.499999617 9.79249936100007,125.459718617 9.80833636100004,125.440263617 9.80916336100006,125.407063617 9.76749936100003,125.401381617 9.74332736100007,125.396945617 9.71527236100007,125.391099617 9.64971836100005,125.409990617 9.59082736100004,125.451099617 9.46944536100006,125.503599617 9.30805436100007,125.512499617 9.27860936100006,125.532345617 9.19124536000004,125.537490617 9.08805436000006,125.537772617 9.06471836000003,125.533599617 9.05332736000003,125.519990617 9.01666336000005,125.514708617 9.00666336000006,125.477481617 8.99055436000003,125.459154617 8.98416336000003,125.440808617 8.97832736000004,125.428863617 8.97721836000005,125.279981617 8.99027236000006,125.158318617 8.84889036000004,125.143045617 8.84113636000006,125.115390617 8.82944536000002,125.090554616 8.82527236000004,125.073863616 8.82889036000006,125.032208616 8.88416336000006,125.023318616 8.90694536000007,124.969427616 8.95680936000002,124.880118616 9.01652736000005,124.815818616 9.00666336000006,124.800808616 8.99958136000004,124.784708616 8.98471836000004,124.773318616 8.97013636000003,124.773318616 8.95110936000003,124.782208616 8.90082736000005,124.769990616 8.78749936000003,124.738036616 8.69527236000005,124.737763616 8.67639036000003,124.739008616 8.66139036000004,124.746027616 8.64631836000007,124.761790616 8.63819036000007,124.769708616 8.59429936000004,124.749299616 8.51152736000006,124.727481616 8.48638136000005,124.719436616 8.47971836000005,124.708881616 8.47416336000003,124.700818616 8.47332736000004,124.676090616 8.47735436000005,124.574708616 8.52139036000005,124.547490616 8.53889036000004,124.489963616 8.58499936000004,124.478318616 8.60832736000003,124.432208616 8.61527236000006,124.326099616 8.54721836000004,124.280536616 8.45944536000007,124.285263616 8.44055436000002,124.286099616 8.41749936000002,124.284418616 8.40749936000003,124.280818616 8.39389036000006,124.254990616 8.33749936000004,124.245408616 8.32307236000003,124.256654616 8.28805436000005,124.260818616 8.27360936000002,124.224008616 8.21249936000004,124.171099616 8.18694536000004,124.145827616 8.18249936000007,124.118318616 8.18527236000006,124.099836616 8.18916336000007,124.074708616 8.19332736000007,124.027208616 8.19499936000005,124.013318615 8.19110936000004,123.961927615 8.17110936000006,123.848181615 8.10777235900002,123.786654615 8.04971835900005,123.774427615 8.02832735900006,123.751099615 8.00583635900006,123.688918615 7.96815435900004,123.680545615 7.95833635900004,123.667199615 7.95444535900003,123.652899615 7.97013635900004,123.658818615 8.00793635900004,123.652136615 8.01389035900007,123.670254615 8.03305435900006,123.687190615 8.04332735900005,123.701227615 8.04929935900003,123.717481615 8.04833635900007,123.731654615 8.04860935900007,123.758881615 8.05860935900006,123.771927615 8.06624535900005,123.850272615 8.13999936000005,123.866372615 8.16041836000005,123.868872615 8.18082736000002,123.868045615 8.20332736000006,123.866381615 8.22721836000005,123.835818615 8.42860936000005,123.818045615 8.47694536000006,123.777208615 8.54708136000005,123.730554615 8.60221836000005,123.693036615 8.63305436000007,123.621645615 8.65833636000002,123.548890615 8.62038136000007,123.530818615 8.63110936000004,123.434136615 8.71735436000006,123.394436615 8.73110936000006,123.378590615 8.72527236000008,123.379290615 8.70597236000003,123.369427615 8.64221836000007,123.322218615 8.54582736000003,123.304699615 8.52305436000006,123.290818615 8.51444536000002,123.274427615 8.51166336000006,123.259163615 8.51278136000008,123.216927615 8.52499936000004,123.192463615 8.53416336000004,123.179427615 8.53389036000004,123.063872615 8.51679936000005,123.025690615 8.48874536000005,122.983045615 8.41944536000005,122.984418615 8.33082736000006,122.996936615 8.22277236000002,122.990954615 8.20166336000005,122.923027614 8.15082736000005,122.905818614 8.14347236000003,122.819990614 8.11971836000004,122.791927614 8.11416335900003,122.778590614 8.11166335900003,122.503181614 8.06249935900007,122.488590614 8.06639035900002,122.478863614 8.07055435900003,122.466090614 8.07139035900008,122.441654614 8.06555435900003,122.351090614 8.03860935900008,122.332763614 8.03028135900007,122.299990614 8.01471835900003,122.265827614 7.99721835900004,122.225399614 7.96416335900005,122.147218614 7.84166335900005,122.111099614 7.77583635900004,122.103318614 7.72777235900003,122.113308614 7.72249935900004,122.126372614 7.68666335900002,122.128863614 7.67221835900006,122.131372614 7.64263635900005,122.125808614 7.56333635900006,122.098872614 7.53916335900004,122.076927614 7.50471835900004,122.053863614 7.43721835900004,122.028872614 7.35249935900003,122.034708614 7.32666335900007,121.934145614 7.20249935900006,121.925536614 7.19194535900004,121.918590614 7.17889035900004,121.901372614 7.14541835900008,121.896945614 7.07721835900003,121.921099614 6.99416335800004,121.940536614 6.96805435800007,121.947199614 6.95999935800006,121.957490614 6.95110935800005,122.043590614 6.91221835800008,122.104708614 6.89027235800006,122.119981614 6.88860935800005,122.131363614 6.89110935800005,122.149990614 6.90528135800002,122.186645614 6.95013635800007,122.251663614 7.10721835900006,122.257490614 7.15721835900007,122.272772614 7.23027235900003,122.290263614 7.30805435900004,122.295118614 7.32499935900006,122.304981614 7.33402735900006,122.319990614 7.33999935900005,122.329163614 7.30833635900007,122.331936614 7.30889035900003,122.361236614 7.33389035900007,122.392972614 7.38923635900005,122.365536614 7.39778135900002,122.345954614 7.40083635900004,122.344008614 7.43749935900007,122.350808614 7.45360935900004,122.359154614 7.47055435900006,122.433590614 7.58083635900005,122.444136614 7.59583635900003,122.502208614 7.67777235900007,122.511936614 7.68916335900008,122.547763614 7.73027235900003,122.623872614 7.77305435900007,122.658863614 7.78110935900003,122.719436614 7.78028135900007,122.788318614 7.76471835900003,122.809981614 7.74652735900003,122.816936614 7.73221835900006,122.819854614 7.71263635900004,122.799708614 7.70971835900002,122.792208614 7.69749935900006,122.782772614 7.68082735900003,122.780272614 7.47139035900005,122.812763614 7.43694535900005,122.844636614 7.43527235900007,122.878590614 7.46610935900003,122.952763615 7.47582735900005,122.992763615 7.45548135900003,123.003054615 7.47666335900004,123.029163615 7.55249935900002,123.037481615 7.58124535900004,123.032208615 7.59555435900006,123.030545615 7.62277235900007,123.042618615 7.65139035900006,123.063599615 7.67860935900006,123.117208615 7.72889035900005,123.134990615 7.70889035900007,123.190808615 7.60805435900005,123.194827615 7.58569035900007,123.180263615 7.57583635900005,123.164281615 7.57839935900006,123.132199615 7.57305435900003,123.103045615 7.54958135900006,123.111099615 7.51999935900005,123.124972615 7.50389035900002,123.173181615 7.46360935900003,123.193099615 7.48062735900004,123.185254615 7.49444535900005,123.187899615 7.50471835900004,123.216381615 7.52721835900007,123.228872615 7.53430935900008,123.299136615 7.52569035900007,123.306372615 7.51763635900005,123.296363615 7.49124535900006,123.285263615 7.47333635900003,123.289290615 7.46083635900004,123.332490615 7.41402735900004,123.384427615 7.37110935900006,123.403054615 7.35639035900005,123.413036615 7.35610935900007,123.455681615 7.37236335900008,123.448463615 7.43791835900004,123.437754615 7.45027235900005,123.410681615 7.46778135900007,123.338590615 7.54721835900006,123.334718615 7.55777235900007,123.342481615 7.56860935900005,123.388890615 7.60582735900005,123.408599615 7.60971835900006,123.425327615 7.61076335900003,123.447745615 7.61832735900003,123.460818615 7.62819035900003,123.468872615 7.64166335900006,123.473872615 7.65360935900003,123.482763615 7.68277235900007,123.484418615 7.72416335900004,123.477754615 7.73597235900007,123.449418615 7.75528135900004,123.458881615 7.81055435900004,123.539699615 7.84805435900006,123.567890615 7.84902735900005,123.600808615 7.83499935900005,123.611108615 7.82949035900003,123.676654615 7.81249935900007,123.693036615 7.80305435900004,123.715818615 7.78555435900006,123.735818615 7.76458135900003,123.733599615 7.73986335900003,123.738727615 7.72499935900004,123.774427615 7.69916335900007,123.823036615 7.69832735900007,123.883599615 7.69569035900003,123.919436615 7.68749935900007,124.011936615 7.64860935900003,124.025545616 7.63499935900006,124.111927616 7.52555435900007,124.124690616 7.48471835900006,124.131654616 7.45333635900005,124.138318616 7.43610935900006,124.164427616 7.40805435900006,124.173863616 7.40305435900007,124.205263616 7.40889035900005,124.235608616 7.41819035900005,124.249708616 7.40944535900007,124.268599616 7.37444535900005,124.266099616 7.36305435900005,124.160263616 7.18055435900004,124.154981616 7.17194535900006,124.116236616 7.15166335900005,124.102763616 7.14805435900007,124.082208616 7.14555435900007,124.071090616 7.14555435900007,124.053863616 7.13027235900006,124.039699616 7.10860935900007,124.000263615 7.03805435800007,123.993045615 7.02389035800007,123.979427615 6.97194535800003,123.968318615 6.92666335800004,123.948590615 6.82333635800006,123.960536615 6.78499935800005,123.970545615 6.76889035800002,123.980399615 6.76541835800003,123.991654615 6.77360935800004,124.035536616 6.74083635800002,124.051090616 6.63360935800006,124.059708616 6.54416335800005,124.036099616 6.53139035800007,124.032208616 6.49499935800003,124.042208616 6.43166335800004,124.067490616 6.37916335800003,124.183445616 6.21389035800007,124.268336616 6.15166335800006,124.324154616 6.11458135800007,124.367981616 6.11860935800007,124.376372616 6.10555435800006,124.394990616 6.09389035800007,124.526381616 6.01916335800007,124.719145616 5.93305435700006,124.831381616 5.88639035700004,124.849718616 5.88082735700004,124.956936616 5.85139035700007,125.037772616 5.85055435700002,125.064990616 5.85360935700004,125.079436616 5.86389035700006,125.087199616 5.87277235700003,125.152772617 6.09027235800005,125.154708617 6.10139035800006,125.179427617 6.10721835800007,125.259427617 6.09333635800004,125.269427617 6.08610935800004,125.277208617 6.06082735800004,125.289427617 6.00389035800004,125.285536617 5.97555435800007,125.256381617 5.91777235700005,125.215818617 5.87194535700007,125.176936617 5.83583635700006,125.191654617 5.76721835700005,125.223872617 5.74277235700004,125.270263617 5.70555435700004,125.278872617 5.69805435700005,125.285536617 5.68832735700005,125.304845617 5.63708135700006,125.302890617 5.62513635700003,125.293172617 5.60930935700003,125.289708617 5.57959035700003,125.319154617 5.56555435700005,125.376372617 5.55430935700002,125.392763617 5.55889035700005,125.405545617 5.56333635700003,125.409145617 5.56583635700002,125.425263617 5.58778135700004,125.462199617 5.64833635700006,125.489154617 5.69666335700003,125.508327617 5.73194535700003,125.516663617 5.74666335700005,125.539699617 5.78249935700006,125.602481617 5.85527235700005,125.628590617 5.86916335700005,125.662754617 5.91819035700007,125.684418617 5.95944535700005,125.688872617 5.97416335800006,125.702763617 6.02499935800006,125.711381617 6.10360935800003,125.711927617 6.16944535800008,125.689145617 6.25499935800002,125.593318617 6.47666335800005,125.493045617 6.56444535800006,125.450272617 6.59055435800008,125.445736617 6.58124535800005,125.391381617 6.59763635800005,125.386381617 6.61471835800006,125.377618617 6.72360935800003,125.394708617 6.79221835800007,125.398608617 6.80305435800005,125.436654617 6.84833635800004,125.475536617 6.89471835800003,125.493590617 6.92805435800005,125.490808617 6.94332735800003,125.488445617 6.97736335800005,125.525818617 7.03083635800004,125.545681617 7.04527235900002,125.572145617 7.03958135800002,125.603036617 7.04291835800007,125.642208617 7.09027235900004,125.652772617 7.10610935900007,125.658181617 7.11513635900008,125.659990617 7.12860935900005,125.661927617 7.15889035900005,125.653872617 7.18694535900005,125.647354617 7.20902735900006,125.651508617 7.23458135900006,125.689699617 7.27639035900006,125.724427617 7.30333635900007,125.750263617 7.32333635900005,125.809845617 7.36166335900003,125.830945617 7.36110935900007,125.850118617 7.35486335900004,125.856090617 7.34527235900003,125.853318617 7.33097235900004,125.848327617 7.31499935900007,125.841372617 7.27221835900002,125.841090617 7.25139035900003,125.887354617 7.11736335900002,125.904981617 7.09527235900003,125.913881617 7.08694535900003,125.943308617 7.07444535900004,125.959718617 7.06110935900006,125.982208617 7.02055435800003,125.987063617 7.00263635800007,125.980818617 6.98527235800003,125.973599617 6.96639035800007,125.969990617 6.94847235800006,125.977618617 6.92152735800005,125.988308617 6.90583635800004,126.005545617 6.88499935800007,126.025263617 6.86777235800002,126.045399617 6.86458135800007,126.064145617 6.85791835800006,126.076663617 6.84360935800004,126.095545617 6.73444535800007,126.084718617 6.69916335800002,126.071518617 6.66353635800004,126.066936617 6.64333635800006,126.084718617 6.52889035800007,126.088318617 6.51639035800002,126.101927617 6.47971835800007,126.144436617 6.39166335800007,126.179981618 6.34583635800004,126.186372618 6.33333635800005,126.188590618 6.32249935800007,126.191654618 6.27221835800003,126.206936618 6.32028135800005,126.212772618 6.42277235800003,126.220836618 6.63471835800004,126.229708618 6.67166335800005,126.238872618 6.68555435800005,126.247481618 6.70139035800003,126.258608618 6.75083635800007,126.246936618 6.77263635800006,126.229427618 6.79416335800005,126.215818618 6.80666335800004,126.207208618 6.81416335800003,126.190263618 6.83555435800002,126.172763618 6.86639035800005,126.165263618 6.88166335800003,126.187199618 6.93291835800005,126.200118618 6.94597235800006,126.212899618 6.94749935800007,126.261454618 6.92430935800007,126.271099618 6.90139035800007,126.278054618 6.87833635800007,126.284008618 6.83930935800004,126.288036618 6.81749935800002,126.300263618 6.80333635800002,126.312472618 6.79805435800006,126.323608618 6.79444535800008,126.348308618 6.80048135800007,126.344436618 6.85471835800007,126.328327618 6.86860935800007,126.311099618 6.88139035800003,126.299145618 6.88944535800005,126.288736618 6.89860935800004,126.280681618 6.92124535800002,126.317754618 6.98639035800005,126.328608618 6.99889035800004,126.348945618 7.00284535800006,126.455263618 7.05166335900003,126.558872618 7.19944535900004,126.581863618 7.28430935900008,126.561854618 7.29007235900002,126.554699618 7.30152735900003,126.553863618 7.35610935900007,126.555818618 7.39639035900007,126.582627618 7.44097235900006,126.595272618 7.44986335900006,126.598036618 7.48055435900005,126.596363618 7.49999935900007,126.592754618 7.51610935900004,126.551936618 7.69221835900004,126.523036618 7.72860935900007,126.454708618 7.80777235900007,126.422199618 7.82458135900004,126.404708618 7.82583635900005,126.388736618 7.82860935900004,126.379699618 7.84527235900003,126.365808618 7.88249935900006,126.362554618 7.90385435900004,126.435254618 8.09860935900002,126.439699618 8.10999935900003,126.445827618 8.11944536000004,126.465818618 8.22527236000008,126.463463618 8.23569036000004,126.445527618 8.24139036000003,126.416381618 8.22194536000006,126.394708618 8.20305436000007,126.326099618 8.23638136000005,126.347763618 8.36027236000007,126.357754618 8.36916336000007,126.373990618 8.39208136000008,126.396099618 8.46555436000006,126.392208618 8.50749936000005,126.362263618 8.54173636000007,126.226927618 8.55139036000003,126.211918618 8.53666336000003,126.230536618 8.52694536000007,126.220545618 8.51999936000004,126.198863618 8.52082736000006,126.144145617 8.52749936000004,126.129436617 8.53499936000003,126.122481617 8.54249936000002,126.084436617 8.60971836000004,126.093872617 8.63221836000002,126.107481617 8.64778136000007,126.148881617 8.66971836000005,126.192745618 8.69610936000004,126.292472618 8.77458136000007,126.304154618 8.78527236000002,126.326927618 8.82360936000003,126.334990618 8.84179936000004,126.324854618 8.91860936000006,126.306927618 8.95471836000007,126.301654618 8.96332736000005,126.291090618 8.97416336000003,126.274381618 8.98272736000007,126.258263618 8.99027236000006,126.237681618 8.99559036000005,126.225845618 8.99627236000003,126.222072618 9.01359936000006,126.237163618 9.01942736000007,126.233390618 9.03143636000004,126.184772618 9.07847236000003,126.166654618 9.10110936000007,126.179699618 9.20444536100007,126.186099618 9.24277236100005,126.128308617 9.26082736100005,126.112208617 9.25124536100003,126.050472617 9.23194536100004,126.017490617 9.26583636100003,125.901927617 9.40749936100002,125.901236617 9.42429936100007,125.938581617 9.44639036100006,125.922154617 9.48726336100003,125.837490617 9.54166336100008,125.780545617 9.55277236100005,125.761654617 9.55889036100007,125.749999617 9.56332736100006,125.646654617 9.60555436100003,125.636381617 9.61194536100004,125.608172617 9.63416336100005,125.583054617 9.72416336100002),(125.775272617 7.14889035900006,125.714708617 7.19139035900002,125.698445617 7.19027235900006,125.663454617 7.09860935900002,125.669981617 7.07499935900006,125.757490617 6.89860935800004,125.765545617 6.88889035800003,125.767490617 6.88749935800007,125.794981617 6.93277235800002,125.796790617 7.11944535900005,125.788881617 7.13444535900004,125.775272617 7.14889035900006),(121.128308613 6.08666335800007,121.117481613 6.08833635800005,121.015545613 6.07805435800003,120.919981613 6.02166335800007,120.890818613 5.99833635800007,120.869427613 5.95389035700003,120.868872613 5.94360935700007,120.876781613 5.91930935700003,120.920254613 5.89083635700007,120.932208613 5.88778135700005,121.083599613 5.88805435700004,121.183872613 5.94110935700007,121.198027613 5.94916335700003,121.231936613 5.94194535700007,121.240254613 5.93110935700003,121.281936613 5.87263635700003,121.288036613 5.85416335700006,121.302199613 5.87332735700005,121.314990613 5.88694535700006,121.352618613 5.91389035700007,121.368308613 5.91389035700007,121.389427613 5.91666335700006,121.426372613 5.95430935700006,121.427127613 5.97763635800004,121.408336613 5.99971835800005,121.390545613 6.00930935800005,121.254436613 6.01610935800005,121.185254613 6.03999935800005,121.156090613 6.07360935800006,121.128308613 6.08666335800007),(120.603045612 6.37999935800002,120.600399612 6.39465435800003,120.568454612 6.38333635800007,120.553727612 6.36999935800003,120.479918612 6.25729035800003,120.536372612 6.24055435800005,120.547208612 6.24027235800003,120.569854612 6.24527235800002,120.578599612 6.25221835800005,120.603045612 6.37999935800002),(122.106936614 6.71471835800003,122.075681614 6.75249935800002,122.021245614 6.75055435800004,121.999436614 6.73860935800008,121.986927614 6.72291835800007,121.974154614 6.70416335800007,121.932063614 6.66860935800003,121.884281614 6.65499935800005,121.867899613 6.66263635800004,121.861781613 6.67347235800003,121.849427613 6.67944535800007,121.833327613 6.67889035800005,121.823327613 6.67499935800004,121.803036613 6.65486335800006,121.792763613 6.63055435800004,121.794145613 6.59777235800004,121.910808614 6.45721835800003,121.919981614 6.44971835800004,121.953872614 6.42444535800007,121.972490614 6.41166335800006,121.990536614 6.40833635800004,122.035672614 6.41152735800006,122.050808614 6.41527235800004,122.069990614 6.42139035800005,122.163308614 6.45805435800003,122.196636614 6.50721835800005,122.238308614 6.59221835800003,122.230272614 6.66083635800004,122.194136614 6.66777235800004,122.144145614 6.68110935800007,122.106936614 6.71471835800003),(122.900545614 7.31721835900004,122.975608615 7.36513635900008,122.938308614 7.41499935900003,122.929981614 7.42277235900002,122.900408614 7.43597235900006,122.829436614 7.43305435900004,122.806154614 7.42236335900003,122.800536614 7.40889035900005,122.794436614 7.39055435900002,122.785681614 7.35236335900004,122.786372614 7.33944535900002,122.809145614 7.28944535900007,122.816508614 7.28139035900006,122.832763614 7.27528135900008,122.849990614 7.30555435900004,122.900545614 7.31721835900004),(117.076390609 8.06055435900004,117.066790609 8.07791835900002,116.961518609 8.05534535900006,116.954436609 8.04416335900004,116.949999609 8.03221835900007,116.954436609 7.94360935900005,116.960818609 7.91028135900007,116.974154609 7.87166335900002,116.997899609 7.81534535900005,117.015263609 7.80527235900007,117.022218609 7.80889035900003,117.059145609 7.83749935900005,117.065254609 7.84639035900005,117.076390609 7.86777235900007,117.093318609 7.90708135900007,117.076390609 8.06055435900004),(117.347345609 8.30471836000004,117.318536609 8.33062736000005,117.276299609 8.32139036000007,117.268054609 8.30610936000005,117.266663609 8.29083636000007,117.265408609 8.21527236000003,117.269990609 8.20236336000005,117.289699609 8.18249936000007,117.294981609 8.18166336000007,117.298863609 8.18221836000004,117.330408609 8.19290936000004,117.344145609 8.20673636000004,117.354708609 8.28610936000007,117.347345609 8.30471836000004),(117.201581609 8.32736336000005,117.245245609 8.37694536000004,117.323318609 8.45249936000005,117.375118609 8.48979036000003,117.451663609 8.50249936000006,117.538308609 8.57721836000007,117.63388161 8.65749936000003,117.75165461 8.69118136000003,117.78388161 8.72027236000002,117.80428161 8.75631836000002,117.88916361 8.82610936000003,117.90914561 8.83944536000007,117.96527261 8.86971836000004,117.99890861 8.87746336000004,118.04637261 8.94471836000002,118.09583661 9.04778136000004,118.14249061 9.14610936000003,118.18498161 9.15305436000006,118.33164561 9.17791836000004,118.34859061 9.18860936000004,118.45888161 9.30249936100006,118.63136361 9.51305436100006,118.732263611 9.65389036100004,118.753363611 9.65450936100007,118.715818611 9.68055436100008,118.693590611 9.71416336100003,118.693027611 9.76402736100005,118.753327611 9.92499936100006,118.873308611 9.97944536100005,118.910890611 9.97458136100005,118.942199611 9.97221836100005,118.969145611 9.97860936100005,119.157063611 10.0261093610001,119.201936611 10.0484723610001,119.216936611 10.0754183610001,119.237054611 10.129999361,119.232208611 10.158190361,119.249999611 10.206390361,119.261381611 10.226945361,119.300818611 10.276663362,119.328599611 10.3094453620001,119.389972611 10.3436093620001,119.455672611 10.3723543620001,119.487627611 10.3720813620001,119.579990611 10.406390362,119.679427611 10.486109362,119.715854611 10.5109363620001,119.693308611 10.5415273620001,119.628036611 10.6730543620001,119.606936611 10.7258273620001,119.596854611 10.8237453620001,119.567836611 10.835763362,119.538318611 10.8188813620001,119.512636611 10.828190362,119.484018611 10.879299362,119.488872611 10.963327362,119.494008611 10.9916633620001,119.553590611 11.221945362,119.563863611 11.2618093620001,119.565808611 11.2883273620001,119.561363611 11.319027362,119.544381611 11.3331813620001,119.528445611 11.319054362,119.508572611 11.3356093620001,119.507745611 11.372854363,119.505536611 11.393818363,119.501099611 11.413609363,119.471927611 11.424236363,119.431372611 11.341245363,119.420818611 11.304445362,119.424990611 11.264999362,119.427199611 11.228054362,119.429427611 11.140554362,119.420399611 11.0308363620001,119.399018611 11.027918362,119.372463611 11.043818362,119.351363611 11.0761813620001,119.328527611 11.099581362,119.302745611 11.0061093620001,119.302463611 10.9749993620001,119.308872611 10.9437453620001,119.341372611 10.894999362,119.361099611 10.8733273620001,119.386381611 10.8708273620001,119.415745611 10.869372362,119.434145611 10.826390362,119.455545611 10.723954362,119.431090611 10.720827362,119.427199611 10.7349993620001,119.417208611 10.760272362,119.263181611 10.9504183620001,119.216645611 10.9554813620001,119.228863611 10.866109362,119.276099611 10.771527362,119.306918611 10.771527362,119.341190611 10.720099362,119.322218611 10.606109362,119.313445611 10.584163362,119.164699611 10.4116633620001,119.131581611 10.3836813620001,119.089708611 10.421109362,119.006518611 10.439299362,118.960681611 10.3672183620001,118.971927611 10.344445362,119.005990611 10.364199362,118.995245611 10.309999362,118.924772611 10.204027361,118.878736611 10.201599361,118.859145611 10.208327361,118.800536611 10.190209361,118.797763611 10.169445361,118.805118611 10.1113903610001,118.824708611 10.1041633610001,118.801090611 10.034718361,118.780963611 10.015827361,118.776927611 10.014163361,118.766099611 10.0222183610001,118.740608611 10.070345361,118.761936611 10.0691633610001,118.755518611 10.123854361,118.664427611 10.005836361,118.658590611 9.97485436100004,118.64054561 9.93110936100004,118.60664561 9.87444536100003,118.51609961 9.76666336100004,118.47609961 9.73444536100004,118.45207261 9.72694536100005,118.42442761 9.70694536100007,118.34054561 9.61569036100008,118.33167261 9.58416336100004,118.12552761 9.35444536100005,118.02720861 9.25916336100005,117.97859061 9.25999936100004,117.95416361 9.26889036100005,117.90623661 9.26416336100004,117.78553661 9.17610936000005,117.66219961 9.07694536000002,117.516936609 8.91721836000005,117.473308609 8.85555436000004,117.444136609 8.80889036000002,117.369208609 8.74819036000002,117.344436609 8.72610936000007,117.259163609 8.60944536000005,117.244981609 8.56499936000006,117.236081609 8.56402736000007,117.220545609 8.51499936000005,117.178590609 8.33298136000008,117.201581609 8.32736336000005),(119.814145612 11.380554363,119.829163612 11.376663363,119.835127612 11.378327363,119.857208612 11.4113903630001,119.868318612 11.437772363,119.873027612 11.450827363,119.877472612 11.4930543630001,119.873172612 11.504863363,119.850327612 11.515627363,119.814490612 11.521390363,119.714427611 11.472145363,119.728599612 11.434999363,119.749418612 11.415272363,119.765263612 11.401109363,119.814145612 11.380554363),(122.048027614 11.401109363,122.038881614 11.326663362,122.049427614 11.233609362,122.036099614 11.1713903620001,122.039427614 11.1197183620001,122.043872614 11.085554362,122.050681614 11.029445362,122.034154614 10.9922183620001,122.000818614 10.947499362,121.982063614 10.928745362,121.955263614 10.853609362,121.933318614 10.7816633620001,121.951163614 10.7324273620001,121.974918614 10.6796543620001,121.975272614 10.646390362,121.971099614 10.612218362,121.959708614 10.553472362,121.946636614 10.5261093620001,121.920254614 10.5027093620001,121.909836614 10.4445813620001,121.924427614 10.4267993620001,121.943308614 10.4163903620001,121.969981614 10.413190362,122.013318614 10.4430543620001,122.028872614 10.4577723620001,122.056372614 10.4891633620001,122.073608614 10.518054362,122.085272614 10.547781362,122.102899614 10.574999362,122.208036614 10.6347183620001,122.263890614 10.651663362,122.386936614 10.668609362,122.486099614 10.6780543620001,122.589154614 10.724718362,122.621708614 10.803745362,122.729154614 10.8008273620001,122.752490614 10.822772362,122.772772614 10.862772362,122.776408614 10.9110093620001,122.731090614 10.9446453620001,122.788318614 10.985972362,122.876372614 11.024718362,122.945827615 11.0427723620001,123.123590615 11.165690362,123.120527615 11.2036093620001,123.095263615 11.2366633620001,123.144708615 11.364999363,123.149427615 11.3949993630001,123.166654615 11.5644453630001,123.146945615 11.598609363,123.129699615 11.5799993630001,123.106372615 11.5520813630001,123.071663615 11.5291633630001,123.001390615 11.4869453630001,122.906918614 11.431799363,122.880254614 11.430272363,122.866099614 11.453054363,122.896381614 11.487772363,122.892208614 11.5380543630001,122.830836614 11.608609363,122.747481614 11.6016633630001,122.702472614 11.572218363,122.586645614 11.5211093630001,122.520536614 11.5877723630001,122.405254614 11.6952723630001,122.229427614 11.7977813630001,122.206936614 11.8097183630001,122.142063614 11.824027363,122.109281614 11.8291633630001,122.061508614 11.8488903630001,122.030963614 11.877636363,122.002772614 11.9108273630001,121.974427614 11.923336363,121.954436614 11.927499363,121.888172614 11.899581363,121.849418613 11.7584723630001,121.875399614 11.752499363,121.910663614 11.7564273630001,121.943590614 11.7569453630001,121.987763614 11.750554363,122.075127614 11.7306903630001,122.096790614 11.7049993630001,122.101381614 11.6483363630001,122.093045614 11.596945363,122.068327614 11.4749993630001,122.048027614 11.401109363),(120.052199612 11.7408273630001,120.068327612 11.788609363,120.057699612 11.8022363630001,120.040899612 11.8123453630001,120.044372612 11.8345903630001,120.050608612 11.8492273630001,120.070545612 11.864999363,120.025272612 11.9191633630001,120.014163612 11.930136363,119.907336612 11.9792993630001,119.883727612 11.975136363,119.874690612 11.9652723630001,119.864154612 11.934163363,119.872481612 11.8927723630001,119.931927612 11.761390363,119.944008612 11.677636363,119.952763612 11.6566633630001,119.965272612 11.656945363,119.991654612 11.6672183630001,120.002208612 11.677772363,120.043318612 11.7208273630001,120.052199612 11.7408273630001),(120.084690612 11.9798633630001,120.099436612 11.963190363,120.118045612 11.9772183630001,120.136218612 12.0069453630001,120.128645612 12.0216633630001,120.169008612 12.028472363,120.200608612 11.999999363,120.224436612 11.9848543630001,120.304154612 11.9822183630001,120.339981612 11.992772363,120.341636612 12.015554363,120.343854612 12.0586093630001,120.332745612 12.0836093630001,120.244708612 12.1797183630001,120.221627612 12.137218363,120.190799612 12.115272363,120.167045612 12.119299363,120.127763612 12.1566633630001,120.093872612 12.2011093630001,119.931372612 12.321390363,119.921654612 12.3252723630001,119.900545612 12.3327723630001,119.888045612 12.3336093630001,119.872618612 12.3122183630001,119.861645612 12.244299363,119.940118612 12.0677723630001,119.973018612 12.0241633630001,120.017763612 11.985272363,120.042036612 11.993627363,120.049790612 12.0000273630001,120.061908612 12.011072363,120.077518612 12.005263363,120.083336612 11.990136363,120.084690612 11.9798633630001),(120.983318613 12.422499364,121.078872613 12.332218363,121.088118613 12.3440993630001,121.118308613 12.328954363,121.109072613 12.310827363,121.098872613 12.279445363,121.123172613 12.244999363,121.220545613 12.2305543630001,121.343045613 12.321390363,121.384427613 12.3541633630001,121.439699613 12.3516633630001,121.415263613 12.3911093630001,121.412063613 12.4398633640001,121.445536613 12.5024993640001,121.466518613 12.516245364,121.491654613 12.5331903640001,121.513045613 12.5536093640001,121.557899613 12.6014543640001,121.552463613 12.6613903640001,121.533463613 12.705554364,121.516663613 12.7244453640001,121.492481613 12.743327364,121.482336613 12.761318364,121.489563613 13.0099993640001,121.496799613 13.033609364,121.508599613 13.0498543640001,121.502208613 13.1488903640001,121.302072613 13.3473543640001,121.218318613 13.407499364,121.183590613 13.419999364,121.150272613 13.4088903640001,121.070127613 13.404309364,121.051227613 13.411109364,121.034427613 13.4222183640001,120.991363613 13.4691633640001,120.990327613 13.5183993650001,120.967481613 13.5230543650001,120.916927613 13.5108273650001,120.743318612 13.466945364,120.721645612 13.477772364,120.701927612 13.483327364,120.663881612 13.491390365,120.421236612 13.5244453650001,120.397481612 13.5222183650001,120.368454612 13.512081365,120.340390612 13.4934723650001,120.321090612 13.4758273640001,120.303790612 13.4441633640001,120.311918612 13.4194453640001,120.334572612 13.393609364,120.351099612 13.379027364,120.385954612 13.3736093640001,120.541090612 13.2305543640001,120.563599612 13.2247183640001,120.590681612 13.2229183640001,120.648318612 13.1898633640001,120.688027612 13.135827364,120.734990612 13.058890364,120.746090612 13.0405543640001,120.758190612 13.0173633640001,120.784990612 12.9147183640001,120.783336612 12.825554364,120.786790612 12.778609364,120.801718613 12.7249273640001,120.829227613 12.722009364,120.854854613 12.717009364,120.908336613 12.6505543640001,120.932208613 12.6073543640001,120.937336613 12.5599993640001,120.921918613 12.5281903640001,120.933036613 12.5011093640001,120.983318613 12.422499364),(121.874418614 13.541390365,121.814845613 13.452845364,121.815808613 13.433890364,121.826663613 13.3738813640001,121.837199613 13.334718364,121.868036613 13.2840273640001,121.983599614 13.2099993640001,121.999572614 13.2033273640001,122.027481614 13.1991633640001,122.030899614 13.200818364,122.055818614 13.2386093640001,122.151090614 13.3719453640001,122.143954614 13.3904993640001,122.127963614 13.3904993640001,122.123436614 13.404099364,122.120563614 13.424863364,122.129399614 13.4401363640001,122.126636614 13.4563903640001,122.109418614 13.476663364,122.035808614 13.530836365,122.010827614 13.5447183650001,121.874418614 13.541390365),(123.317208615 12.7427723640001,123.369136615 12.691390364,123.383527615 12.695618364,123.376081615 12.716945364,123.281663615 12.8380543640001,123.224154615 12.908336364,123.147490615 12.984999364,123.059418615 13.115554364,123.045263615 13.1366633640001,123.004708615 13.147781364,122.993318615 13.1491633640001,122.931236614 13.109163364,122.950263615 13.031109364,122.987745615 13.005690364,123.031381615 12.995690364,123.219990615 12.8324993640001,123.317208615 12.7427723640001),(121.940263614 12.3638813630001,121.919981614 12.3136093630001,121.917763614 12.3029183630001,121.921654614 12.289445363,121.957490614 12.169999363,121.967208614 12.148327363,122.018054614 12.0941633630001,122.048599614 12.176663363,122.111363614 12.415272364,122.138318614 12.570827364,122.144436614 12.636109364,122.122754614 12.6769453640001,122.038036614 12.6324993640001,121.999708614 12.6023543640001,121.992899614 12.576245364,122.002772614 12.5674993640001,122.009427614 12.492499364,122.009163614 12.4797183640001,122.003054614 12.4451363640001,121.989154614 12.4091633630001,121.979008614 12.403745363,121.940263614 12.3638813630001),(123.581099615 12.6277723640001,123.628863615 12.5511093640001,123.690263615 12.4549993640001,123.725808615 12.4091633630001,123.738036615 12.394718363,123.787199615 12.342218363,123.793590615 12.3465273630001,123.798599615 12.3680543630001,123.760536615 12.5091633640001,123.733872615 12.5849993640001,123.727763615 12.601663364,123.722208615 12.609999364,123.704163615 12.6244453640001,123.634163615 12.673890364,123.584299615 12.658609364,123.582208615 12.647781364,123.581099615 12.6277723640001),(123.325818615 12.576109364,123.245745615 12.605763364,123.234418615 12.584718364,123.269145615 12.3388903630001,123.301654615 12.2447183630001,123.245818615 12.135827363,123.209699615 12.0669453630001,123.144145615 11.934863363,123.159708615 11.9065273630001,123.164699615 11.9041633630001,123.173308615 11.905836363,123.233045615 11.9538813630001,123.251518615 11.970418363,123.351636615 12.0883273630001,123.440745615 12.1993723630001,123.475818615 12.2092993630001,123.536927615 12.205418363,123.584154615 12.1466633630001,123.603299615 12.1158273630001,123.614690615 12.092218363,123.800945615 11.9192993630001,123.837772615 11.9088903630001,123.862490615 11.896945363,123.919708615 11.863609363,123.976090615 11.8236093630001,124.006654615 11.7933273630001,124.065263616 11.716109363,124.079090616 11.727909363,124.073872616 11.8504183630001,124.044708616 11.978881363,123.910808615 12.189163363,123.878308615 12.216945363,123.805254615 12.242772363,123.669436615 12.346945363,123.542763615 12.4508273640001,123.465681615 12.514718364,123.325818615 12.576109364),(124.725536616 11.727981363,124.720408616 11.6995813630001,124.769990616 11.565554363,124.801936616 11.5366633630001,124.821381616 11.528609363,124.827208616 11.528054363,124.832499616 11.529718363,124.842899616 11.5430543630001,124.842754616 11.5916633630001,124.725536616 11.727981363),(124.465272616 11.705554363,124.423590616 11.7091633630001,124.337763616 11.677563363,124.405818616 11.5423633630001,124.444699616 11.4858273630001,124.457208616 11.474445363,124.488036616 11.4616633630001,124.584718616 11.4724993630001,124.601927616 11.486109363,124.610808616 11.4988813630001,124.616090616 11.507499363,124.619136616 11.522081363,124.616654616 11.534718363,124.609418616 11.5505543630001,124.531372616 11.6797183630001,124.478181616 11.7019453630001,124.465272616 11.705554363),(122.616654614 12.4969453640001,122.560808614 12.5024993640001,122.533336614 12.5024993640001,122.484563614 12.494854364,122.459018614 12.484790364,122.430536614 12.456945364,122.424290614 12.435690364,122.433590614 12.4133273640001,122.443863614 12.4024993630001,122.452472614 12.3949993630001,122.463045614 12.3899993630001,122.478463614 12.3862453630001,122.500118614 12.3794453630001,122.537772614 12.364163363,122.549990614 12.3566633630001,122.640263614 12.2644453630001,122.681090614 12.3080543630001,122.693036614 12.3224993630001,122.697481614 12.334445363,122.703599614 12.3638813630001,122.709018614 12.403190363,122.704436614 12.416663364,122.695827614 12.434163364,122.669436614 12.4836093640001,122.651381614 12.4911093640001,122.616654614 12.4969453640001),(123.961381615 11.0899993620001,123.903318615 10.921945362,123.873872615 10.8399993620001,123.863872615 10.812772362,123.832763615 10.7519453620001,123.792208615 10.689163362,123.758881615 10.643890362,123.714290615 10.560972362,123.706372615 10.535418362,123.709290615 10.5019453620001,123.664145615 10.4127723620001,123.625527615 10.3708273620001,123.603318615 10.353609362,123.549427615 10.2286093610001,123.506654615 10.142772361,123.460127615 10.092918361,123.427754615 10.0638903610001,123.410263615 10.0499993610001,123.373999615 9.99069036100008,123.378527615 9.94273636100007,123.401090615 9.92326336100007,123.397045615 9.87422736100007,123.371627615 9.87125436100007,123.348036615 9.77582736100004,123.307481615 9.55694536100003,123.297072615 9.48749936100006,123.304699615 9.41673636100006,123.333599615 9.41027236100007,123.352063615 9.41673636100006,123.371645615 9.43416336100006,123.439418615 9.51971836100006,123.472763615 9.57194536100008,123.511654615 9.67889036100007,123.514081615 9.71909036100004,123.539145615 9.80249936100006,123.574290615 9.84847236100006,123.603036615 9.87290936100004,123.627199615 9.94221836100007,123.625672615 9.97513636100007,123.623172615 10.0262453610001,123.636508615 10.069863361,123.717481615 10.1686093610001,123.770672615 10.224163361,123.795818615 10.230827361,123.963599615 10.3244453620001,124.001654615 10.355418362,124.019990616 10.3870093620001,124.005118615 10.4077723620001,124.018336616 10.4519453620001,124.031663616 10.617772362,124.034990616 10.7955543620001,124.054699616 10.8780543620001,124.045818616 11.0097183620001,124.028472616 11.0537813620001,124.019872616 11.118945362,124.046099616 11.212354362,124.068399616 11.2462093620001,124.050263616 11.2774993620001,124.009154615 11.2711813620001,123.946718615 11.177499362,123.946363615 11.1493093620001,123.960018615 11.122372362,123.961381615 11.0899993620001),(123.956936615 9.59860936100006,124.059281616 9.58444536100006,124.097208616 9.58471836100006,124.267908616 9.59652736100003,124.289699616 9.60027236100007,124.318045616 9.60889036100002,124.357208616 9.62360936100004,124.407627616 9.65881836100004,124.501099616 9.75027236100004,124.530818616 9.72666336100002,124.578472616 9.73402736100007,124.599218616 9.76173636100003,124.588381616 9.81023636100002,124.557054616 9.82478136100002,124.528863616 9.84842736100006,124.553408616 9.86941836100004,124.573581616 9.88628136100004,124.578872616 9.91273636100004,124.573881616 9.99249936100006,124.564418616 10.0222183610001,124.549708616 10.036663361,124.528590616 10.0555543610001,124.487336616 10.0499993610001,124.467208616 10.0583273610001,124.419708616 10.094999361,124.376354616 10.146799361,124.315263616 10.1570813610001,124.241654616 10.158054361,124.211108616 10.156663361,124.152490616 10.1480543610001,124.138872616 10.1315273610001,124.132899616 10.1113903610001,124.045254616 9.99832736100007,123.979708615 9.96041836100005,123.957208615 9.95027236100003,123.885536615 9.91527236100006,123.786927615 9.84389036100004,123.781654615 9.76971836100006,123.791790615 9.73332736100002,123.861236615 9.63527236100003,123.956936615 9.59860936100006),(125.255254617 9.91944536100004,125.279708617 9.90777236100007,125.286927617 9.90916336100003,125.296372617 9.91763636100006,125.299708617 9.93166336100006,125.283054617 9.99555436100007,125.215954617 10.1240273610001,125.128518617 10.155554361,125.119708617 10.1436093610001,125.120818617 10.103054361,125.124418617 10.082772361,125.138318617 10.0604183610001,125.255254617 9.91944536100004),(123.107063615 9.62763636100004,123.117336615 9.65236336100003,123.129436615 9.65332736100004,123.143054615 9.65110936100007,123.154981615 9.66055436100004,123.162899615 9.69527236100004,123.162199615 9.71277236100008,123.156936615 9.75666336100005,123.144708615 9.81721836100007,123.138672615 9.82965436100005,123.153054615 9.89889036100004,123.159145615 9.91194536100005,123.185527615 9.95444536100007,123.206381615 9.98389036100002,123.221654615 10.0008273610001,123.237890615 10.0233363610001,123.267208615 10.0870813610001,123.283599615 10.127772361,123.326099615 10.242354361,123.333881615 10.276663362,123.346845615 10.3943993620001,123.350536615 10.4102723620001,123.357481615 10.426109362,123.361927615 10.435272362,123.373027615 10.4522183620001,123.395127615 10.4686093620001,123.407490615 10.4724993620001,123.420818615 10.477218362,123.451390615 10.502772362,123.465554615 10.518054362,123.563872615 10.7941633620001,123.563872615 10.832218362,123.562763615 10.844718362,123.504718615 10.937363362,123.224427615 10.996663362,123.199290615 11.0004183620001,123.185254615 10.9994453620001,123.000263615 10.9191633620001,122.952472615 10.8944453620001,122.946090615 10.8583273620001,122.946372615 10.844445362,122.948590615 10.833327362,122.959718615 10.8133273620001,122.966099615 10.804445362,122.963190615 10.737772362,122.952208615 10.6872183620001,122.918045614 10.611109362,122.880254614 10.5672183620001,122.859418614 10.5508273620001,122.846645614 10.5455543620001,122.835963614 10.5440273620001,122.829436614 10.4272183620001,122.854981614 10.318890362,122.861645614 10.152499361,122.861645614 10.1199993610001,122.856936614 10.0951363610001,122.821663614 10.053054361,122.813872614 10.051109361,122.794145614 10.0361093610001,122.686654614 9.98166336100007,122.663045614 9.97305436100004,122.618045614 9.97055436100004,122.606372614 9.97194536100005,122.572218614 9.97805436100003,122.530818614 9.98139036100002,122.500536614 9.98194536100004,122.453872614 9.97486336100008,122.406645614 9.79860936100005,122.396381614 9.72860936100005,122.413881614 9.65833636100007,122.482481614 9.55916336100006,122.541645614 9.48374536100005,122.577208614 9.44582736100006,122.594936614 9.43502736100004,122.603863614 9.42333636100005,122.642490614 9.39860936100007,122.675808614 9.37902736100006,122.690536614 9.37444536100003,122.705608614 9.37284536100003,122.727199614 9.37221836100002,122.786927614 9.35971836100003,122.806372614 9.35499936100007,122.866372614 9.32402736100005,122.872890614 9.30971836100002,122.875263614 9.28389036100003,122.873872614 9.26249936100004,122.878590614 9.23249936100007,122.889972614 9.19444536100002,122.909145614 9.13778136000008,122.939008614 9.07416336000006,122.986099615 9.04698136000007,123.014708615 9.03389036000004,123.129281615 9.04499936000008,123.161654615 9.06999936000005,123.189699615 9.09527236000002,123.244981615 9.14666336000005,123.278054615 9.19277236100004,123.292481615 9.21971836100005,123.296372615 9.22971836100004,123.312763615 9.29639036100002,123.315536615 9.31916336100005,123.312763615 9.33305436100005,123.302199615 9.34860936100006,123.238308615 9.42194536100004,123.190536615 9.47513636100007,123.148881615 9.54499936100007,123.107063615 9.62763636100004),(123.549145615 9.22416336100002,123.504018615 9.21027236100002,123.475399615 9.22006336100003,123.461927615 9.21110936100007,123.457208615 9.19055436000002,123.461108615 9.17860936000005,123.479427615 9.16194536000006,123.556927615 9.09666336000004,123.568327615 9.09055436000006,123.586381615 9.08889036000005,123.609418615 9.09221836000006,123.677618615 9.11152736000003,123.700272615 9.12610936000004,123.707636615 9.13805436000007,123.706936615 9.14971836000007,123.674990615 9.22639036100003,123.648736615 9.27499936100003,123.628581615 9.29680936100004,123.598872615 9.29652736100007,123.591927615 9.27597236100007,123.589018615 9.26097236100003,123.582763615 9.24916336100006,123.559418615 9.22944536100005,123.549145615 9.22416336100002),(124.707208616 9.10499936000002,124.771654616 9.07471836000008,124.780118616 9.07610936000003,124.809699616 9.10540936000007,124.809981616 9.11749936000007,124.805254616 9.14416336000005,124.785808616 9.19221836100007,124.776927616 9.20944536100006,124.737199616 9.24694536100003,124.712627616 9.25749936100004,124.672763616 9.25305436100007,124.649718616 9.23638136100004,124.636381616 9.21749936100002,124.632754616 9.20721836100006,124.635272616 9.16999936000008,124.643599616 9.15528136000006,124.652481616 9.14166336000005,124.662199616 9.13082736000007,124.680545616 9.11944536000004,124.707208616 9.10499936000002),(122.565808614 10.4291633620001,122.594145614 10.433336362,122.610808614 10.4322183620001,122.635272614 10.4436093620001,122.668454614 10.4733273620001,122.685254614 10.504163362,122.731090614 10.617772362,122.729427614 10.6386093620001,122.722763614 10.6911093620001,122.713108614 10.7166633620001,122.672199614 10.7448543620001,122.656636614 10.746799362,122.617199614 10.707218362,122.543590614 10.6197183620001,122.524427614 10.593327362,122.518881614 10.5849993620001,122.479708614 10.487772362,122.480554614 10.4758273620001,122.522281614 10.407290362,122.543872614 10.403054362,122.565808614 10.4291633620001),(119.997063612 10.595345362,119.898608612 10.611109362,119.836381612 10.6066633620001,119.760827612 10.558745362,119.753054612 10.5508273620001,119.749708612 10.531945362,119.750545612 10.518327362,119.783336612 10.4494453620001,119.816936612 10.439163362,119.827208612 10.4397183620001,119.879436612 10.4552723620001,119.927481612 10.4734723620001,119.993318612 10.5274993620001,120.010545612 10.556245362,119.997063612 10.595345362),(120.281936612 13.7541633650001,120.259163612 13.7886093650001,120.238872612 13.808054365,120.223308612 13.818054365,120.149427612 13.853327365,120.110263612 13.864027365,120.095545612 13.863327365,120.081927612 13.8523543650001,120.094708612 13.800554365,120.102763612 13.7872183650001,120.108872612 13.779163365,120.129436612 13.7605543650001,120.181090612 13.736663365,120.194136612 13.7370093650001,120.253190612 13.702636365,120.274699612 13.668327365,120.281372612 13.6849993650001,120.281936612 13.7541633650001),(120.029290612 5.23610935700003,119.876781612 5.15263635700006,119.860681612 5.15499935700007,119.841927612 5.15569035700003,119.824981612 5.14721835700004,119.816381612 5.13166335700004,119.832354612 5.05694535700007,119.841518612 5.05236335700005,119.858318612 5.04916335700005,119.914699612 5.07166335700003,119.942145612 5.09197235700003,119.954508612 5.09113635700004,119.965118612 5.07971835700005,119.980818612 5.08944535700005,119.988872612 5.10305435700008,119.993045612 5.11360935700003,119.994981612 5.12471835700006,119.999708612 5.14527235700007,120.007627612 5.15971835700003,120.037199612 5.17944535700002,120.050945612 5.18347235700003,120.112763612 5.17277235700004,120.169708612 5.14416335700002,120.179699612 5.13444535700006,120.197199612 5.13055435700005,120.225599612 5.12673635700003,120.253599612 5.23333635700004,120.256654612 5.26083635700007,120.253881612 5.28221835700003,120.231708612 5.29303635700006,120.217799612 5.30516335700003,120.219836612 5.32533635700003,120.211445612 5.34659935700006,120.175672612 5.34249935700007,120.128308612 5.31139035700005,120.078327612 5.27666335700007,120.053590612 5.25555435700005,120.029290612 5.23610935700003)))', 'Philippines Exclusive Economic Zone', 'Philippines', 'Philippines', '', '15', '15', 'PHL', '8322', '', '1835412559000', '8322', 'Y'),('SRID=4326;MULTIPOLYGON(((147.706577638 1.67837635400002,147.828418638 1.55653035300003,147.858504638 1.57057435300004,147.868185638 1.57317335300007,147.936950638 1.60527335300003,147.946640638 1.60787535300005,148.015399638 1.63997235300008,148.025098638 1.64257635300004,148.093852638 1.67467035300007,148.103558638 1.67727635400007,148.172307638 1.70936735400005,148.182021638 1.71197535400006,148.250765638 1.74406335400005,148.260486638 1.74667435400005,148.329227638 1.77875935400004,148.338912638 1.78136035400007,148.407358638 1.81330735400007,148.968591639 1.96401935400007,149.547429639 2.01511335400005,150.12623964 1.96507835400007,150.68740364 1.81549435400007,151.480530641 1.57843135300004,151.853225641 1.02212035300005,152.680823642 -0.247478647999969,152.915090642 -0.426841647999936,153.598081643 -0.80620364899994,153.920269643 -0.985276648999957,155.637883645 -1.12318064899995,155.847690645 -1.14097364899993,156.824362646 -1.16757264899996,157.274430646 -1.18021664899993,157.439803647 -1.41480964899995,157.521806647 -1.42208064899995,157.814437647 -1.50071764899997,158.195295647 -1.32314264899998,158.756025648 -1.17262764899994,158.796326648 -1.16907364899993,158.810861648 -1.16516664899996,159.389138648 -1.11395464899994,159.389641648 -1.11399764899994,159.390126648 -1.11395464899994,159.968505649 -1.16361464899995,160.52953765 -1.31262864899998,161.05630765 -1.55647464999993,161.05632465 -1.55648664999995,161.05731165 -1.55694364999994,161.05971465 -1.55861464999992,161.06228865 -1.55980564999993,161.53893065 -1.89109464999996,161.58816165 -1.93995764999994,161.59085765 -1.94182964999993,161.59176165 -1.94272664999994,161.59285365 -1.94348464999996,161.59526465 -1.94587764999994,161.59785065 -1.94767264999996,161.599526651 -1.94933564999997,161.601841651 -1.95094264999994,162.014063651 -2.35961564999997,162.014652651 -2.36044764999997,162.015070651 -2.36086264999994,162.018163651 -2.36523664999993,162.020061651 -2.36711664999996,162.020648651 -2.36794664999996,162.021068651 -2.36836264999994,162.022232651 -2.37000964999993,162.023067651 -2.37083664999994,162.358399651 -2.84459965099995,162.358726651 -2.84529265099997,162.359408651 -2.84625565099998,162.359852651 -2.84719265099994,162.360403651 -2.84797065099997,162.360616651 -2.84842165099997,162.364409651 -2.85377465099998,162.364737651 -2.85446765099994,162.365419651 -2.85543065099995,162.365777651 -2.85618765099997,162.366413651 -2.85708565099998,162.614715651 -3.38164965099998,162.619667651 -3.39971165099996,162.619775651 -3.39993865099996,162.623133651 -3.41218665099996,162.624827651 -3.41575865099998,162.625779651 -3.41923165099996,162.628853651 -3.42571665099996,162.782583652 -3.98525865199997,162.801944652 -4.14222265199993,160.480277649 -4.75138865199995,158.235277647 -4.87166665299998,156.035833645 -6.54999965399998,156.039722645 -6.65833365399993,155.923055645 -6.84722265399995,155.693610645 -6.92583365499996,155.508333645 -6.95829365499998,155.112222644 -7.24666665499996,154.585555644 -8.13499965599993,157.161110646 -11.3738886589999,157.600833647 -12.43638866,157.038333333 -14.0677777779999,156.6177333 -14.0818083,154.2510667 -14.7484749999999,152.1177333 -14.6318082999999,148.0844111 -13.1734860999999,147.667727853 -12.9381987199999,147.1427444 -12.6401528,146.5010778 -12.3318194,144.7344444 -9.84851939999993,144.656780978 -9.79237275599996,144.252321268 -9.49937812099995,144.2511111 -9.49851939999996,143.8011028 -9.36516669999997,143.5011028 -9.39849999999996,143.3344361 -9.54849999999993,143.33071422 -9.54850131999996,143.248464917 -9.54852025199995,143.195723972 -9.54852218099995,143.0844361 -9.54849999999993,143.040918113 -9.60943776699997,143.008601967 -9.65467193299997,143.0011028 -9.66516669999993,142.950799629 -9.66796862599995,142.8511028 -9.67349999999993,142.8511028 -9.67349964799996,142.8511028 -9.67349920499993,142.85110278 -9.39294443999995,142.85110278 -9.39158311999995,142.851190052 -9.39114164199998,142.851483627 -9.38929324399993,142.851707673 -9.38743527099996,142.85186188 -9.38557029899994,142.851946034 -9.38370091799993,142.851960021 -9.38182972099997,142.851949017 -9.38009885999998,142.851877974 -9.37836940299997,142.851746978 -9.37664340299995,142.851556185 -9.37492290899996,142.851402663 -9.37320483399998,142.851189842 -9.37149300499993,142.850917972 -9.36978944199996,142.850587375 -9.36809615199996,142.850198442 -9.36641513099994,142.849751633 -9.36474836099995,142.849247474 -9.36309780799996,142.848686563 -9.36146541599993,142.848250131 -9.36010217499995,142.847774794 -9.35875182899997,142.847260942 -9.35741546999998,142.846646401 -9.35565051999993,142.845966235 -9.35390947499997,142.845221387 -9.35219474099995,142.844412886 -9.35050868699994,142.843541852 -9.34885364399997,142.842609488 -9.34723189699997,142.841617083 -9.34564568899998,142.840566011 -9.34409720999997,142.839457723 -9.34258860099993,142.838293753 -9.34112194599993,142.837075708 -9.33969927099997,142.835805273 -9.33832254299995,142.834484205 -9.33699366199994,142.833128053 -9.33564676099996,142.831721473 -9.33435189099993,142.830266488 -9.33311091299993,142.828765189 -9.33192561099997,142.827219735 -9.33079768899995,142.825632348 -9.32972876799994,142.824005309 -9.32872038399995,142.822340959 -9.32777398699994,142.820641689 -9.32689093699997,142.818909943 -9.32607250399997,142.817148209 -9.32531986399994,142.81535902 -9.32463409899998,142.813544949 -9.32401619399997,142.811708602 -9.32346703799993,142.809852619 -9.32298741999995,142.807979668 -9.32257802899994,142.80650363 -9.32231320999995,142.80610278 -9.32238888999996,142.73249167 -9.33627777999993,142.69638056 -9.33766666999998,142.59249167 -9.35544443999993,142.55888056 -9.37433332999996,142.525825 -9.36183332999997,142.49584722 -9.36628055999995,142.49560404 -9.36611852999994,142.34584722 -9.26628055999993,142.34575971 -9.26623560999997,142.27501389 -9.22989166999997,142.23668056 -9.19128055999994,142.216125 -9.18794721999996,142.17279167 -9.19794721999995,142.143625 -9.19600277999996,142.10806944 -9.21239166999993,142.05945833 -9.26044721999995,142.05945833 -9.26120618999994,142.0594583 -9.75516939999994,142.001125 -9.76516939999993,141.945360958 -9.79938431199997,141.660231832 -9.97407469899997,140.0011194 -10.9818083,139.3844528 -11.148475,139.201140838 -10.831851915,139.6 -10.4,140.483333 -9.86666699999995,140.825 -9.40833299999997,140.866667 -9.38333299999994,141.019444 -9.13555599999995,141.057563672 -9.17868069799994,141.077380267 -9.19686065199994,141.090790631 -9.20916365699998,141.109408631 -9.22471865699993,141.117067478 -9.22925664099995,141.119963325 -9.23097293599994,141.160800293 -9.23749992399996,141.176363308 -9.23389101199996,141.187811629 -9.23107009599994,141.213590632 -9.22471865699993,141.226627632 -9.21721865699993,141.249710141 -9.20077418999995,141.266391319 -9.18889091999995,141.284700245 -9.17305498999997,141.294982326 -9.16305504499996,141.309827178 -9.15389093999994,141.323027336 -9.14999989499995,141.332334296 -9.14881212899996,141.375245632 -9.14333665699996,141.385697293 -9.14399833599998,141.388309286 -9.14416391099996,141.429408633 -9.15749965099997,141.448581632 -9.16583665699994,141.460781632 -9.17389065699996,141.492036632 -9.19721865699995,141.505672632 -9.21083665699996,141.522490632 -9.22110965699994,141.612318632 -9.23610965699993,141.694947163 -9.21969111399994,141.721345266 -9.21444600199993,141.944700355 -9.20694604299996,141.993058802 -9.19825009499993,142.054408632 -9.18721865699996,142.14901259 -9.17339794799994,142.206500217 -9.16499998099994,142.425809361 -9.22805502799997,142.477172323 -9.25166399899996,142.497745202 -9.26528190999994,142.513816908 -9.27770791499995,142.520108633 -9.28257265699995,142.526230066 -9.29065171999997,142.532472432 -9.29889099399998,142.54302726 -9.30916402299994,142.57162732 -9.32805498799996,142.576093339 -9.32917299299993,142.582736633 -9.33083665699996,142.625245633 -9.33471865699994,142.638881633 -9.33471865699994,142.647071783 -9.33227388999995,142.65469131 -9.32999992499998,142.665527267 -9.32055502899993,142.672181858 -9.31630799299995,142.723845633 -9.28333665699995,142.747079646 -9.27364114099993,142.752472413 -9.27139097599996,142.756282745 -9.27043881499998,142.769136633 -9.26722765699998,142.781236595 -9.26284179099997,142.788300356 -9.26028193699995,142.797763357 -9.25639088999998,142.798937725 -9.25588676499996,142.807463633 -9.25222765699993,142.834272974 -9.23732932399997,142.842472428 -9.23277303299994,142.902772343 -9.19749997299994,142.913836823 -9.18980251599993,143.027345633 -9.11083665699994,143.040975283 -9.09435543599994,143.041990753 -9.09312761599995,143.174136633 -9.04860965599994,143.209586485 -9.03741618799995,143.232182312 -9.03028200999995,143.248018242 -9.02555495199994,143.269991233 -9.02028189699996,143.286100246 -9.01999992899994,143.287368807 -9.02034391399997,143.299408633 -9.02360965599996,143.314754633 -9.03312765599998,143.331636633 -9.02833665599996,143.365099634 -9.01222765599994,143.384427634 -8.99389065599996,143.404636634 -8.96805465599994,143.395263634 -8.78139065599993,143.392763634 -8.77028165599995,143.374663634 -8.74194565599993,143.281645633 -8.61860915599993,143.273596383 -8.60945382499995,143.24599133 -8.57805503099996,143.235821847 -8.56916344799993,143.216763633 -8.55249965599995,143.110227633 -8.47028165599994,143.096618633 -8.46360865599996,143.086363633 -8.45999965599998,143.047208633 -8.44847265599998,143.010254633 -8.44110865599993,142.958008633 -8.43166365599996,142.917208633 -8.42610865599994,142.906100017 -8.42360874199994,142.803300274 -8.36180896899998,142.786100274 -8.34486394599998,142.77413628 -8.33291788999998,142.735575253 -8.32273563699994,142.734681633 -8.32249965599993,142.638599633 -8.31055465599997,142.619690633 -8.31499965599994,142.590236633 -8.32666365599994,142.584030415 -8.32928153399996,142.556636286 -8.34083593799994,142.549833094 -8.34527175899996,142.544281633 -8.34889065599998,142.524427625 -8.36666365799994,142.512754633 -8.37194565599998,142.489818633 -8.37847265599993,142.469972633 -8.37847265599993,142.463371103 -8.37724969199996,142.449709353 -8.37471793799995,142.442826832 -8.37249293799994,142.439418633 -8.37139065599996,142.418099926 -8.35486431699997,142.408600308 -8.34749988699997,142.398258101 -8.33673938199996,142.385236633 -8.32319065599995,142.377245633 -8.28986365599997,142.3773052 -8.28428901299998,142.377409235 -8.27460884499993,142.37543903 -8.26523340099993,142.374572633 -8.26110915599998,142.369195512 -8.24184653499998,142.358291287 -8.20278196899994,142.338009259 -8.19028203899995,142.338008633 -8.19028165599997,142.337339698 -8.18994028199995,142.324400235 -8.18333578599993,142.311645158 -8.18041787799996,142.233655095 -8.19760752999997,142.225936632 -8.19930865599997,142.22593627 -8.19930882299997,142.225936174 -8.19930884399997,142.1955273 -8.21333579099996,142.18587143 -8.21871255499997,142.184554632 -8.21944565599995,142.184554218 -8.21944603399993,142.172209348 -8.23083586399997,142.161731195 -8.23731275299997,142.159854632 -8.23847265599994,142.144718632 -8.23916365599996,142.140215411 -8.23630865999996,142.135527808 -8.23333617899993,142.137097911 -8.22907556699994,142.1390093 -8.22389095399996,142.186541042 -8.19346534999994,142.211908632 -8.17722765599996,142.221618632 -8.17333665599995,142.295029885 -8.16606092399996,142.316927265 -8.16389094399995,142.32775417 -8.16389094399995,142.338563305 -8.16639093099997,142.351161138 -8.17294715999998,142.382599633 -8.18930965599998,142.394272459 -8.23163602499994,142.395045262 -8.25055496199997,142.395522493 -8.25513584899994,142.396190633 -8.26155465599993,142.403208633 -8.28639065599998,142.40989037 -8.30895636799994,142.411927253 -8.31583590599996,142.411927455 -8.31583605499998,142.411927633 -8.31583665599993,142.41711794 -8.31968026999994,142.423736182 -8.32458191899997,142.438597305 -8.33138931799994,142.440108633 -8.33208165599996,142.440108788 -8.33208167899994,142.440109224 -8.33208187899993,142.444336939 -8.33271692699998,142.466918633 -8.33610965599996,142.48027427 -8.33651377499996,142.485227332 -8.33666392999993,142.508609322 -8.33597292599995,142.521091317 -8.33139087499995,142.531918221 -8.32528197599993,142.531918481 -8.32528174099997,142.531918633 -8.32528165599996,142.544554277 -8.31389097199997,142.546196793 -8.31286810499995,142.565518633 -8.30083665599994,142.574173463 -8.29712706199996,142.575254169 -8.29666397899996,142.595791341 -8.28999986299993,142.638027248 -8.27778189799994,142.641278909 -8.27696761699997,142.654690633 -8.27360965599996,142.684649148 -8.26921530899995,142.696345178 -8.26749998499997,142.720266228 -8.26849371599997,142.776645633 -8.27083665599997,142.795583821 -8.27421381099998,142.799991267 -8.27499994399994,142.845791327 -8.28666403299997,142.86550901 -8.29416390099993,142.867408813 -8.29539927499997,142.882172307 -8.30499994899998,142.908872357 -8.31916402499996,142.943436308 -8.33639101499995,142.951813146 -8.33899678799997,142.964418633 -8.34291865599994,142.97225304 -8.34371756099995,142.976627304 -8.34416405699994,142.991054235 -8.34139098799994,143.000000241 -8.33666392999993,143.023863352 -8.32666398399994,143.034145265 -8.32305507199993,143.049409213 -8.31778201699996,143.057773819 -8.31495651399996,143.069972633 -8.31083665599994,143.080808633 -8.30833665599994,143.150410825 -8.29282169799995,143.178036223 -8.28666403299997,143.234954208 -8.27499994399994,143.338563416 -8.25389095899993,143.378009323 -8.25028187999993,143.469418336 -8.24528190699994,143.479065636 -8.24540598699997,143.512481634 -8.24583665599994,143.554963634 -8.24721865599997,143.568845634 -8.24721865599997,143.596412868 -8.24508820099993,143.611909349 -8.24389101399993,143.623854232 -8.23874603399997,143.623854368 -8.23874576999998,143.623854634 -8.23874565599994,143.629672634 -8.22749965599996,143.632172634 -8.21305465599994,143.631306723 -8.20770317799997,143.629409254 -8.19597301399995,143.543000382 -8.05487289399997,143.511852111 -8.03085300599997,143.446627634 -7.98055465499993,143.415229371 -7.95672385699993,143.358700268 -7.91381786799997,143.360382239 -7.90110971299993,143.424136634 -7.90721865499995,143.433738697 -7.90924574999997,143.438645184 -7.91028187899997,143.449119839 -7.91950597399995,143.454408634 -7.92416365499997,143.460508634 -7.93860915499994,143.469053879 -7.96275394399993,143.474272296 -7.97749988099997,143.477126852 -7.98132576699993,143.483699634 -7.99013665599995,143.501645634 -7.99610965599993,143.539216887 -8.00480238299997,143.546082408 -8.00639095999998,143.567318295 -8.00450000299998,143.588563402 -7.99694606399993,143.590589401 -7.99587080999993,143.597472634 -7.99221865599998,143.618836634 -7.98610965499995,143.628042097 -7.98650005799993,143.631900356 -7.98666398299997,143.661372301 -7.99139087399993,143.721908857 -8.00944587699996,143.740781634 -8.02819065599994,143.745842826 -8.03317877199993,143.752763377 -8.03999987699996,143.772013219 -8.04138510399997,143.833863634 -8.04583665599995,143.847745634 -8.04583665599995,143.877031837 -8.04160149999996,143.88810932 -8.03999987699996,143.956209266 -7.98708190499997,143.958009364 -7.97861785899994,143.899000263 -7.88430887499993,143.853709319 -7.81028191799993,143.851900337 -7.79528199899994,143.852627322 -7.78739385499995,143.853027634 -7.78305465499994,143.852445634 -7.77028165499996,143.845518634 -7.73610915499995,143.839418634 -7.71528165499996,143.755127634 -7.58949965499994,143.702118325 -7.52527130899995,143.691345319 -7.51221812599994,143.664827968 -7.46764621599993,143.758609251 -7.50249994099994,143.762251165 -7.50406331499994,143.768308634 -7.50666365499995,143.77053257 -7.51084576499994,143.773036183 -7.51555492299997,143.806545188 -7.57049997499996,143.811463354 -7.58599995799995,143.822527298 -7.60766399199997,143.824727149 -7.61085679799993,143.829190634 -7.61733665499997,143.838527634 -7.62833665499994,143.848036634 -7.63533665499995,143.890017652 -7.67860962799995,143.899718256 -7.68860886999994,143.899718555 -7.68860907399994,143.899718634 -7.68860915499994,143.900288446 -7.68899823199996,143.911927337 -7.69694601399993,144.121609362 -7.77166397499997,144.147218256 -7.77889101999995,144.217372439 -7.79465503299997,144.270245149 -7.77375492499993,144.270245128 -7.77375485599993,144.270245634 -7.77375465499995,144.259136634 -7.73721865499994,144.243563634 -7.66694565499995,144.250545634 -7.65471865499995,144.256078931 -7.64557905599997,144.260800253 -7.63778201499997,144.281857665 -7.62993687799997,144.314118634 -7.61791865499993,144.320784855 -7.62725546999997,144.360227227 -7.68249997099997,144.36004578 -7.68638455199994,144.359681634 -7.69416365499995,144.357547983 -7.70173413599997,144.356627199 -7.70499984899993,144.354127213 -7.72610883399994,144.355346624 -7.73062143199996,144.358781634 -7.74333665499995,144.378018634 -7.75333665499994,144.395808634 -7.75583665499994,144.443962912 -7.74728044699998,144.467745252 -7.74305503099993,144.467745108 -7.74305474899995,144.467745635 -7.74305465499998,144.435518635 -7.67999965499996,144.428081617 -7.64359019399996,144.412200223 -7.56583578099998,144.408582263 -7.51986411699994,144.409446722 -7.52049904299997,144.421627182 -7.52944608299993,144.508327242 -7.61805503799997,144.508327258 -7.61805427099995,144.508327635 -7.61805465499998,144.510745631 -7.50618184199993,144.513625189 -7.50540857699997,144.522899635 -7.50291865499997,144.530818437 -7.51221842299998,144.535672363 -7.52430898299997,144.538029251 -7.53602934799994,144.545808635 -7.57471865499997,144.547208635 -7.59971865499995,144.552181635 -7.61194565499994,144.574377381 -7.64063789899996,144.586345159 -7.65610887799994,144.586345507 -7.65610898999995,144.586345635 -7.65610915499997,144.59742281 -7.65964979499995,144.599400308 -7.66028189299993,144.785672349 -7.69139099099993,144.79745033 -7.69061991399997,144.821781635 -7.68902765499996,144.828414638 -7.68290774599996,144.83247237 -7.67916397399995,144.832472385 -7.67916388599997,144.832472635 -7.67916365499997,144.835457767 -7.66173626399996,144.844700226 -7.60778200999994,144.86245427 -7.61055507799995,144.874118191 -7.69347288799997,144.872454216 -7.70541793899997,144.850254242 -7.74110892099998,144.841063318 -7.74923584599998,144.841063942 -7.74923638399997,144.841063635 -7.74923665499995,144.861034231 -7.76644201999994,144.879672376 -7.78249993199995,144.995509272 -7.81555497299996,145.007373508 -7.81672158999993,145.044963635 -7.82041865499997,145.11845721 -7.83515104099996,145.159336252 -7.84334601099994,145.159336372 -7.84334560299993,145.159336635 -7.84334565499995,145.165545558 -7.82224591899995,145.168765875 -7.82066964599994,145.182727635 -7.81383665499993,145.189816811 -7.82109815199993,145.19807238 -7.82955493099996,145.210507819 -7.84010414099993,145.244108635 -7.86860965499994,145.422481635 -7.94471865499997,145.429660195 -7.94705387499994,145.432736165 -7.94805492499995,145.443572457 -7.94944598599994,145.450378792 -7.94987704899995,145.465518635 -7.95083665499993,145.484127635 -7.94860965499993,145.499521859 -7.94138456599995,145.502472426 -7.93999991599998,145.528045277 -7.93778189699998,145.61690912 -7.93778189699998,145.630799636 -7.94471865499997,145.649990636 -7.95971865499996,145.707687302 -7.96652990299998,145.718291116 -7.96778187499996,145.727857279 -7.97215298299994,145.786372349 -7.99889100099995,145.797763355 -8.00778202099997,145.835508633 -8.02805465999995,145.835509245 -8.02805499499993,145.880800356 -8.04167290499993,145.898591281 -8.03889095099993,145.903757183 -8.03910464699993,145.918581636 -8.03971865599993,145.930818636 -8.04110965599995,145.987727636 -8.05110965599994,145.993182491 -8.05287793799994,145.998018255 -8.05444608699997,146.030739829 -8.06753241999996,146.089690636 -8.09110965599996,146.110227299 -8.13472694899997,146.110477626 -8.14326449499993,146.111081636 -8.16389065599998,146.218563636 -8.26471865599996,146.224072185 -8.26954192099993,146.229672434 -8.27444606799997,146.236231424 -8.28285717899996,146.238554636 -8.28583665599996,146.238561077 -8.28584877099996,146.243281636 -8.29472765599996,146.262481636 -8.35971865599993,146.264708636 -8.37194565599998,146.263308636 -8.38749965599993,146.266709443 -8.41177520299993,146.268736293 -8.42624602299998,146.275545249 -8.44305492399997,146.318572408 -8.50889091799996,146.351627281 -8.55778188899995,146.365937441 -8.57188964999995,146.372190636 -8.57805465599995,146.379108636 -8.58470965599997,146.402384926 -8.59396616899994,146.403590852 -8.59444579499996,146.419981636 -8.60499965599996,146.42272199 -8.60704074499995,146.431918202 -8.61389101999993,146.439668615 -8.62279240299995,146.441345636 -8.62471865599997,146.517490636 -8.72499965599997,146.533588024 -8.75104357599997,146.541354175 -8.76360890999996,146.567472353 -8.80749990799995,146.565054063 -8.81973776999996,146.557481636 -8.85805465599998,146.545808636 -8.90013665599997,146.558590636 -8.94166365599995,146.578308637 -8.98694565599993,146.581476793 -8.99159365599996,146.586636233 -8.99916402699995,146.615388254 -9.02086055499996,146.621608637 -9.02555465599994,146.621832399 -9.02567324899996,146.630527231 -9.03028200999995,146.711052351 -9.05542402299994,146.840163637 -9.09573665699997,146.895180223 -9.10069437499993,146.921372399 -9.10305503499995,146.953291357 -9.06895493799993,146.948515704 -9.05787917299995,146.945118637 -9.04999965599995,146.948436637 -9.03791865599993,146.971263611 -9.02992766599994,146.971670706 -9.03096341799994,146.981199637 -9.05520915599993,146.977977605 -9.07060042099994,146.977172405 -9.07444608999998,146.976794845 -9.07530229799994,146.969699637 -9.09139065699998,146.946840835 -9.10987197299994,146.91696335 -9.13402683799995,146.910119658 -9.13357362499994,146.906954637 -9.13336365699996,146.906954506 -9.13336401799995,146.906954184 -9.13336399699995,146.898641463 -9.15635011399996,146.888881637 -9.18333665699993,146.895808637 -9.27847265699995,146.895809266 -9.27847295199996,146.895809271 -9.27847301399993,146.897349561 -9.27919648299996,146.914427637 -9.28721865699993,146.924641821 -9.28350661399998,146.926636234 -9.28278198199996,147.001918298 -9.38416395099995,147.008027196 -9.39833590599994,147.008027495 -9.39833632799997,147.008027637 -9.39833665699996,147.014523007 -9.40751930699997,147.058718265 -9.47000000499997,147.088863444 -9.49166403899994,147.09940922 -9.48916405299997,147.100755542 -9.46342812499995,147.101363637 -9.45180915699996,147.101363375 -9.45180893599996,147.080000252 -9.43415496299997,147.088799543 -9.43583923699993,147.129390637 -9.44360965699997,147.147808637 -9.50100915699994,147.248563637 -9.50583665699997,147.296599637 -9.53412765699994,147.310940875 -9.54947052599994,147.316372437 -9.55528201399994,147.38693616 -9.63555499799998,147.426731179 -9.68739285099997,147.489399637 -9.76902765699998,147.499390637 -9.79639065699996,147.503599637 -9.81249965699993,147.503599637 -9.83944565699994,147.500381637 -9.85347265699994,147.504290637 -9.87110915699998,147.574127637 -9.94833665699997,147.582222234 -9.95635006399993,147.601345243 -9.97528191599997,147.613688503 -9.98566218799994,147.616208637 -9.98778165699997,147.616208951 -9.98778179999994,147.616209208 -9.98778201599993,147.629363835 -9.99377919099993,147.766081638 -10.056109657,147.778318638 -10.051527657,147.838118578 -10.045164228,147.86050923 -10.0427818969999,147.872190638 -10.0474996569999,147.893541978 -10.068728801,147.923036318 -10.0980550049999,147.930599877 -10.107870944,147.940799638 -10.121109157,147.952454278 -10.1458358799999,147.952454638 -10.145836658,147.989540507 -10.150632948,147.999691337 -10.151945949,148.017679112 -10.149157648,148.055236638 -10.143336658,148.086090638 -10.136527658,148.103027638 -10.129718657,148.110392486 -10.1249655249999,148.115509291 -10.121663977,148.130700524 -10.110902272,148.149427638 -10.097636657,148.152841273 -10.086609831,148.155991083 -10.076436819,148.304690639 -10.130281655,148.313581638 -10.138472658,148.322481638 -10.1599996579999,148.327181638 -10.168890658,148.334827638 -10.178336658,148.356549454 -10.186191164,148.372463406 -10.1919460679999,148.403318198 -10.2005549529999,148.46551829 -10.20389095,148.639982408 -10.1873640159999,148.678793499 -10.1514555489999,148.678863375 -10.1513909,148.712346295 -10.178181455,148.723299639 -10.186945658,148.73284007 -10.193948796,148.794436241 -10.23916401,148.850703608 -10.2504004749999,148.934963639 -10.267227658,148.981627639 -10.2686096579999,148.993836185 -10.26055496,149.038572415 -10.244999994,149.04940921 -10.242500008,149.093291323 -10.234164038,149.13998238 -10.244999994,149.142412116 -10.2457028589999,149.161099639 -10.251109658,149.171622816 -10.25475044,149.17636336 -10.2563910009999,149.186645273 -10.2599999129999,149.201930928 -10.266424528,149.224972639 -10.2761096579999,149.335781639 -10.307218658,149.472617669 -10.344306956,149.536654272 -10.361664017,149.569563468 -10.3413908749999,149.639436187 -10.3413908749999,149.644409267 -10.3410732429999,149.664063639 -10.339818658,149.677443071 -10.3386272139999,149.683872344 -10.338055046,149.723845305 -10.339445939,149.747745296 -10.3427819359999,149.751644971 -10.3440437639999,149.758027639 -10.3461096579999,149.785518639 -10.3583366579999,149.80609064 -10.367772658,149.818028663 -10.3737704879999,149.866363476 -10.398055056,149.914020205 -10.413121878,149.99023664 -10.4372186579999,150.06441864 -10.4561096579999,150.072182315 -10.459697857,150.078854277 -10.462781956,150.035536266 -10.502635894,150.020637115 -10.5102230009999,150.01971864 -10.5106906579999,149.98968164 -10.5180546579999,149.97454564 -10.5127816579999,149.96635464 -10.5038906579999,149.94247264 -10.502499658,149.90191864 -10.502499658,149.88010864 -10.5063906579999,149.861593194 -10.533845503,149.851636304 -10.5486089569999,149.851636645 -10.5486091499999,149.86218164 -10.554445658,149.862182076 -10.554445759,149.862182415 -10.554445947,149.894209331 -10.5618729829999,149.915527194 -10.5577819439999,150.011227238 -10.5705549589999,150.028045192 -10.5894460919999,150.05044184 -10.615417626,150.05941864 -10.6258276579999,150.079104494 -10.641201983,150.099972315 -10.6574999379999,150.108035808 -10.6636849669999,150.11300864 -10.6674996579999,150.139430121 -10.676533005,150.20969126 -10.7005549249999,150.231922127 -10.696045393,150.26858164 -10.688609658,150.36996364 -10.6872186579999,150.410159454 -10.6886081939999,150.426227335 -10.689163918,150.42622749 -10.689163653,150.42622764 -10.6891636579999,150.44384564 -10.658890658,150.476818442 -10.6254818589999,150.492736228 -10.619163962,150.522763391 -10.619163962,150.556363423 -10.62389102,150.568027345 -10.6219460839999,150.677900349 -10.578473007,150.687831216 -10.565882501,150.68995464 -10.5631906579999,150.69094564 -10.5526366579999,150.690945269 -10.552635833,150.690945273 -10.5526357909999,150.660518294 -10.485135821,150.655278731 -10.480613342,150.64941864 -10.475554658,150.56857264 -10.4627816579999,150.35314564 -10.3944456579999,150.34857264 -10.3758276579999,150.357327632 -10.3337456969999,150.369109359 -10.321946033,150.406372451 -10.3044459609999,150.418854278 -10.3006908679999,150.424447752 -10.3015190249999,150.43856364 -10.303609658,150.49606364 -10.318609658,150.536650019 -10.331985055,150.547482294 -10.3355550589999,150.599118338 -10.349863974,150.635118277 -10.3504818879999,150.727754233 -10.3124999639999,150.861909276 -10.242500008,150.870791243 -10.237782002,150.8771877 -10.230894287,150.878018641 -10.2299996579999,150.866072641 -10.2227726579999,150.858829199 -10.2234147149999,150.844118351 -10.2247179679999,150.830063572 -10.229603738,150.82732764 -10.230554658,150.827327222 -10.2305549609999,150.827203945 -10.230646094,150.81718164 -10.238054658,150.80359064 -10.248608658,150.778045637 -10.2602816579999,150.64289964 -10.2809726579999,150.637945685 -10.280164691,150.615645272 -10.276526847,150.579682381 -10.2411089469999,150.579681828 -10.241108843,150.57968164 -10.241108658,150.548929236 -10.23529959,150.400272437 -10.2072178949999,150.382172387 -10.204717909,150.361657372 -10.201427763,150.35275464 -10.199999658,150.30831864 -10.192499658,150.29455464 -10.1856906579999,150.269093814 -10.161645134,150.259709261 -10.15278196,150.236354261 -10.128335804,150.211562705 -10.111365486,150.18664564 -10.0943086569999,150.128584448 -10.0871451969999,150.016663405 -10.0733359349999,150.003327294 -10.077217929,149.991932744 -10.0811869189999,149.98996364 -10.081872657,149.93551864 -10.0616636569999,149.92663664 -10.056945657,149.91415464 -10.048890657,149.87383664 -10.016945657,149.796226599 -9.93679515199995,149.762209276 -9.90166399599997,149.747766352 -9.88308570299995,149.722045639 -9.84999965699996,149.719572256 -9.84157996399995,149.717191247 -9.83347302199996,149.72370922 -9.81930923099998,149.726599394 -9.81718706999993,149.739409326 -9.80778198599995,149.767345203 -9.79125505199994,149.808018221 -9.78139089299998,149.838582328 -9.77916398899993,149.856627224 -9.78236403199998,149.926636233 -9.76944601099996,149.940291736 -9.76542200399996,149.98886364 -9.75110965699997,150.040113563 -9.72839705399997,150.053727343 -9.72236402199997,150.053727433 -9.72236374899995,150.05372764 -9.72236365699996,150.05691864 -9.71263665699996,150.05177264 -9.68534565699997,150.028958926 -9.65664700399998,150.008882317 -9.63139086799993,150.008881808 -9.63139086799993,150.00888164 -9.63139065699994,149.98272764 -9.63139065699994,149.978907535 -9.63249538399998,149.95870925 -9.63833594599993,149.945800281 -9.64222682499997,149.914567292 -9.64333309199998,149.90678164 -9.64360865699996,149.902198679 -9.64345605399996,149.87759137 -9.64263586199996,149.808661364 -9.62676806199994,149.776854639 -9.61944565699997,149.770903836 -9.61443637299993,149.761509219 -9.60652695799996,149.748343148 -9.60309146099996,149.742872639 -9.60166365699996,149.719125069 -9.60329887299997,149.662200263 -9.60721796299993,149.52121071 -9.60439332799996,149.454408639 -9.60305465699997,149.442454639 -9.59805465699998,149.439418639 -9.59110915699995,149.437472639 -9.57139065699994,149.348845639 -9.52194565699995,149.304408639 -9.50847265699997,149.288572639 -9.50860865699997,149.273727639 -9.51146365699998,149.243281974 -9.49916379199993,149.231900342 -9.49187291599998,149.219972391 -9.47471784299995,149.208309308 -9.45249993199997,149.196222765 -9.42341059299997,149.184418639 -9.39499965699997,149.182746581 -9.38997544399996,149.181091257 -9.38499996199994,149.179316189 -9.37570669999997,149.178863639 -9.37333665699998,149.179763639 -9.35555465699997,149.291354638 -9.18389065599996,149.314000246 -9.16916394299994,149.325124711 -9.15684934999996,149.326918639 -9.15486365699996,149.331388693 -9.14472844399995,149.338009369 -9.12971786899993,149.322209314 -9.03778196899998,149.314482373 -9.01979088499996,149.296524189 -9.01302495499993,149.257899639 -8.99847265599993,149.221345639 -8.99860865599993,149.137754639 -9.00667265599998,149.069272639 -9.03986365599997,148.842472639 -9.09055465699993,148.782199639 -9.10139065699997,148.753599639 -9.10416365699996,148.744891751 -9.10431960099993,148.722609366 -9.10471783699995,148.695254187 -9.10221784999993,148.614409221 -9.08583592299993,148.607106534 -9.08346654499996,148.604127638 -9.08249965699997,148.588863638 -9.07028165699995,148.573792538 -9.05177620299997,148.535809265 -9.00513579699998,148.532311139 -8.99666836199998,148.530818638 -8.99305465599997,148.494418638 -8.86666365599996,148.492469739 -8.85580585599996,148.489682311 -8.84027298199993,148.483969076 -8.79252206899997,148.479945638 -8.75889065599995,148.479263638 -8.73583665599995,148.479263453 -8.73583634399995,148.479263438 -8.73583580899998,148.444409305 -8.67694606599997,148.438077123 -8.67250920599997,148.376618638 -8.62944565599997,148.349545638 -8.61236365599996,148.327045638 -8.60694565599994,148.300536638 -8.61139065599997,148.2738656 -8.59604253599997,148.271091328 -8.59444600999996,148.238709354 -8.57194596399995,148.230527531 -8.55971832299997,148.229069628 -8.55519686499997,148.222200357 -8.53389094999994,148.221034506 -8.51981307599993,148.220245638 -8.51028165599996,148.216422192 -8.46292206899994,148.210782361 -8.39305502799994,148.208353275 -8.36197219399997,148.206636638 -8.33999965599997,148.206853476 -8.33032789499993,148.207182334 -8.31569089899995,148.206542333 -8.30416988199994,148.206218638 -8.29833665599995,148.204598842 -8.29066389799993,148.199709364 -8.26749998499997,148.196622946 -8.25736560799993,148.194972638 -8.25194565599998,148.135254638 -8.06610915599993,148.13525424 -8.06610894599993,148.135254205 -8.06610883499997,148.114682332 -8.05528193099997,148.114682185 -8.05528194299995,148.114681638 -8.05528165599998,148.026363638 -8.06278165599997,148.007199638 -8.06666365599995,148.006020604 -8.06603089399994,147.992191378 -8.05860887599994,147.988605306 -8.05485551599998,147.983836638 -8.04986365599996,147.979672638 -8.03694565599994,147.977889589 -8.02313691399996,147.974400286 -7.99610887899996,147.948570205 -7.98742925599993,147.937608638 -7.98374565499995,147.93666451 -7.98313806299996,147.911927279 -7.96721796799994,147.900378431 -7.95889791099995,147.888027638 -7.94999965499994,147.876345638 -7.94110865499994,147.872453597 -7.93954927299995,147.866636168 -7.93721796299997,147.858933599 -7.93594239299995,147.854945638 -7.93528165499993,147.804408638 -7.93528165499993,147.798478342 -7.93541480999994,147.779691356 -7.93583578699997,147.761392296 -7.94610359799998,147.756927638 -7.94860865499993,147.741336638 -7.94389065499996,147.731627638 -7.93999965499995,147.715718638 -7.92895465499993,147.702327638 -7.90597265499997,147.701218638 -7.88721865499997,147.701627638 -7.87055465499998,147.699044762 -7.85566132499997,147.694691314 -7.83055505899995,147.68422199 -7.81521034399998,147.668727638 -7.79249965499997,147.641354638 -7.77555465499995,147.457736637 -7.59778165499995,147.446030787 -7.58864448499997,147.41858237 -7.56721795699997,147.360735588 -7.52391465499994,147.334545637 -7.50430865499993,147.320527637 -7.50528165499998,147.300263637 -7.50430865499993,147.213581951 -7.49097270299995,147.178591383 -7.46389088299998,147.154009272 -7.38583591799994,147.139709243 -7.32528203199996,147.137482339 -7.29471792499993,147.139649934 -7.28200933199997,147.140963637 -7.27430915499997,147.142686301 -7.26991324999995,147.145809256 -7.26194602499993,147.146254254 -7.25168282399994,147.146363637 -7.24916365499996,147.144436637 -7.23083665499996,147.140254637 -7.22110915499997,147.137799082 -7.21656423499996,147.130800285 -7.20360898399997,147.076499385 -7.11100338999995,147.037472637 -7.04444565499995,147.024418637 -7.03694565499995,147.001996407 -7.01551326899994,146.951909349 -6.96763577799993,146.947567784 -6.96000940299996,146.945663637 -6.95666365499994,146.941654637 -6.90444565399997,146.943027637 -6.84028165399997,146.944972637 -6.81528165399993,146.945827282 -6.81120213799994,146.948582404 -6.79805495699998,146.957480715 -6.76266163799994,146.961363637 -6.74721865399994,146.96954036 -6.74371181799995,146.971072391 -6.74305491999996,147.088863444 -6.71444597499993,147.149991205 -6.71389092699997,147.151354889 -6.71454483599996,147.163318214 -6.72028195899998,147.169556642 -6.72866615199996,147.174681637 -6.73555465399994,147.176785464 -6.73681914399998,147.184845288 -6.74166402599997,147.189741535 -6.74301345499993,147.199981637 -6.74583665399996,147.21510428 -6.74626154199996,147.219700259 -6.74639091699993,147.241366992 -6.74625082599994,147.305545637 -6.74583665399996,147.385549503 -6.73801426899996,147.416382289 -6.73499991099993,147.568027178 -6.75194593999993,147.759154185 -6.72805500099997,147.762523045 -6.72749248199995,147.770808638 -6.72610965399997,147.799327503 -6.72012866399996,147.81051832 -6.71778197299994,147.819427277 -6.71305508199993,147.821881467 -6.71106458699995,147.842036638 -6.69471865399993,147.866054638 -6.67083665399997,147.86774061 -6.66478319899994,147.869691371 -6.65778196299993,147.867842746 -6.54415991199994,147.866636638 -6.46999965399993,147.863863638 -6.45916365399995,147.850254638 -6.41166365399994,147.830263638 -6.34694565399997,147.826354638 -6.33721865399997,147.826354495 -6.33721852899993,147.82635425 -6.33721791899995,147.811090435 -6.32386958899997,147.786654638 -6.30249965399997,147.641936638 -6.13694565399993,147.607482043 -6.09357285599998,147.590518339 -6.07221784699993,147.573300234 -6.05528187599998,147.544301669 -6.03086580299993,147.480618637 -5.97724565399994,147.466618637 -5.97086365399997,147.423281637 -5.96058165399995,147.284945637 -5.93529065399997,147.272172637 -5.93709965399995,147.272172413 -5.93709987699998,147.272172315 -5.93709989099995,147.246582364 -5.96251784399993,147.231872292 -5.97181790099995,147.144952284 -5.96802711699996,147.107436637 -5.96639065399995,147.043972637 -5.94319965399995,147.030541948 -5.93651108499995,147.01412721 -5.92833593999995,147.003432661 -5.92238488699996,146.992154637 -5.91610865399997,146.969277878 -5.90187030699997,146.962709263 -5.89778189099997,146.959333939 -5.89346032799995,146.955218637 -5.88819065399997,146.946318637 -5.86639065399993,146.926754637 -5.84499965399993,146.894954637 -5.82889065299997,146.875218637 -5.82555465299993,146.849511119 -5.82844239199994,146.796309206 -5.83441788799996,146.78930489 -5.81404523999993,146.784954637 -5.80139065299994,146.77543475 -5.79413961999995,146.773282274 -5.79249998999995,146.773281876 -5.79249983499994,146.773281637 -5.79249965299994,146.768843448 -5.79077402399997,146.714691262 -5.76971780999997,146.696040909 -5.76570597899996,146.688872637 -5.76416365299997,146.662754637 -5.75610865299996,146.653045637 -5.75194565299995,146.642665544 -5.74511296199995,146.640809312 -5.74389098699993,146.633500152 -5.73852775699993,146.605227637 -5.71778165299997,146.589300274 -5.70290445999996,146.580536219 -5.69471788099997,146.531191285 -5.65468188799997,146.470900255 -5.60757290999993,146.470899766 -5.60757275399993,146.470899636 -5.60757265299998,146.442745636 -5.59860865299993,146.376345636 -5.59916365299995,146.289154636 -5.58889065299996,146.194699636 -5.55889065299993,146.180959702 -5.55374281099995,146.174682287 -5.55139085699994,146.129459484 -5.53237730499995,146.082181636 -5.51249965299996,145.976627636 -5.47639065299995,145.963590636 -5.47305465299996,145.933163636 -5.47680865299998,145.872463636 -5.48610865299997,145.789136636 -5.48986365299993,145.766391167 -5.48528175999996,145.760724025 -5.48071497499996,145.751218636 -5.47305465299996,145.734127636 -5.44916365299997,145.724545636 -5.42805465299995,145.724489262 -5.42194007099994,145.724400245 -5.41221790399993,145.734580223 -5.33695029899997,145.738863636 -5.30528165299995,145.742023974 -5.30039394799996,145.765809361 -5.26360893899994,145.780914576 -5.24056399299997,145.786927636 -5.23139065299995,145.797706718 -5.16577412199996,145.813600291 -5.06902691199997,145.791012706 -4.97170562099996,145.780818636 -4.92778165299995,145.761134047 -4.87347634299994,145.735509284 -4.80278195999995,145.730596435 -4.79973550599993,145.693845636 -4.77694565299993,145.681002463 -4.76639632699994,145.677609276 -4.76360896799997,145.617327299 -4.70402687899997,145.527191329 -4.59249995699997,145.459409225 -4.50444605299998,145.451082307 -4.49416397199997,145.335936247 -4.39083589299997,145.305236185 -4.37721781499994,145.29634518 -4.37679524999993,145.293581635 -4.37666365199993,145.253054635 -4.37860865199997,145.228572635 -4.38805465199994,145.157199635 -4.38278165199995,145.092327635 -4.37278165199996,145.054963635 -4.35194565199993,145.044825199 -4.34452068099995,145.034854261 -4.33721786399997,145.031178568 -4.33038430799996,145.004972635 -4.28166365199996,144.996063635 -4.26249965199997,144.99511469 -4.25810033699997,144.993009286 -4.24833582699995,144.988851306 -4.23963509799995,144.986636635 -4.23499965199994,144.979963635 -4.22458165199993,144.876345635 -4.11360915199998,144.870170691 -4.10859438899996,144.854282417 -4.09569097599996,144.836893195 -4.08590670299998,144.766663635 -4.04639065199996,144.729672635 -4.03139065199997,144.676091371 -4.01430889299996,144.676090635 -4.01430865199995,144.653590635 -4.01305465199994,144.613863635 -4.01444565199995,144.608308635 -4.01305465199994,144.591063635 -4.00610865199997,144.571345635 -3.99194565199997,144.564137611 -3.98409634099994,144.549282394 -3.96791791399994,144.544871395 -3.95629006899998,144.543854635 -3.95360915199996,144.543393055 -3.94716669999997,144.542482324 -3.93444595699998,144.54428628 -3.91473837999996,144.545254635 -3.90416365199997,144.545949404 -3.90051095699994,144.547209214 -3.89389095699994,144.551091377 -3.87860890299993,144.533582251 -3.84819097699994,144.513736252 -3.82221780599997,144.41185856 -3.80771277199995,144.375245634 -3.80249965199994,144.338290634 -3.80249965199994,144.280945634 -3.80639065199995,144.280945486 -3.80639090599993,144.280945151 -3.80639092799993,144.258027184 -3.84555503599995,144.253872442 -3.85847288999997,144.253369143 -3.86023854399997,144.250308634 -3.87097265199998,144.016936634 -3.81055465199995,143.993011616 -3.79683983799993,143.98920027 -3.79465492299994,143.97634528 -3.77971786799998,143.965382254 -3.75999994399996,143.955091288 -3.73999988499997,143.896091083 -3.69303922999995,143.795863634 -3.61326365099995,143.787095826 -3.61249139699993,143.768309293 -3.61083592999995,143.736545934 -3.60514313599998,143.731081876 -3.60416369499995,143.648863316 -3.56721784699994,143.610363391 -3.54583577899996,143.602172427 -3.52471790999994,143.601999083 -3.52418276599997,143.598845634 -3.51444565099996,143.569427634 -3.47555465099992,143.542773754 -3.45325917099996,143.532900356 -3.44499997499997,143.530287031 -3.44329243999994,143.518445634 -3.43555465099996,143.442745634 -3.41194565099994,143.408327634 -3.40639065099998,143.384427634 -3.40305465099993,143.370790634 -3.40166365099998,143.341218633 -3.40166365099998,143.255554633 -3.38805465099995,143.238281633 -3.38444565099996,143.237790141 -3.38418407899997,143.229400358 -3.37971785699995,143.217168536 -3.37065999199996,143.211772633 -3.36666365099995,143.194699633 -3.35999965099995,143.190333481 -3.35944611999997,143.172763336 -3.35721781199993,143.135208949 -3.35466419299996,143.123836633 -3.35389065099997,143.106081633 -3.35389065099997,143.101707876 -3.35432771199993,143.09079134 -3.35541788199993,143.081430433 -3.35796481299997,143.073181633 -3.36020865099994,143.036908633 -3.36347265099994,143.035775694 -3.36308682199996,142.992463401 -3.34833584399996,142.96233453 -3.33792661099994,142.946627633 -3.33249965099998,142.663608633 -3.24778165099997,142.645906239 -3.24311516099993,142.551909228 -3.21833587799995,142.252472442 -3.10471783899993,142.174715356 -3.07710841399995,142.124972632 -3.05944565099998,142.077327632 -3.01916365099993,142.070922404 -3.01300199699995,142.066072325 -3.00833584299994,142.042519985 -2.98803088999995,142.011936632 -2.96166365099998,142.005856102 -2.95761215199997,142.003600325 -2.95610887499993,142.00359985 -2.95610879599997,142.003599632 -2.95610865099997,141.991908632 -2.95416365099993,141.973572632 -2.95610865099997,141.962463632 -2.95889065099993,141.933445632 -2.96749965099997,141.913881632 -2.97194565099994,141.892345632 -2.97097265099995,141.881618632 -2.96444565099995,141.840518632 -2.93694565099997,141.704127632 -2.86249965099995,141.608854632 -2.81249965099994,141.568572632 -2.79389065099997,141.436372632 -2.73389065099997,141.432693965 -2.73231429499998,141.426636209 -2.72971786099993,141.410800281 -2.72499984999996,141.410799632 -2.72499965099996,141.407229296 -2.72450420699994,141.380800274 -2.72083589299996,141.371192213 -2.71843068799996,141.369690632 -2.71805465099993,141.345791244 -2.70778191599993,141.281100218 -2.66902684599995,141.27386345 -2.65583590999995,141.273558215 -2.65489276899996,141.270536632 -2.64555465099994,141.242459646 -2.63393569499993,141.21414524 -2.62221793999993,141.204194539 -2.61939441699997,141.201908632 -2.61874564999994,141.042890631 -2.58999964999992,141.032336631 -2.59180864999996,141.002472631 -2.60708164999994,141.002472484 -2.60708084899994,141.002472146 -2.60708082099995,141 -2.59361099999995,141.025 -2.14166699999993,141.275423766 -1.49189437799993,141.401741712 -1.16413817099993,141.402139145 -1.16310695699997,141.402139175 -1.16310687799995,141.457682443 -1.01898918799998,141.004388605 0.106551654000043,140.892636162 0.49136874900006,140.81052588 0.77411371200003,140.803522061 0.997822216000031,140.801714135 1.08570088400006,140.801642611 1.08917741900007,140.801432586 1.09938623300008,140.832305631 1.12093835300004,140.876207631 1.14132635300007,140.907047631 1.16285935300004,140.950983631 1.18326635300002,140.981793631 1.20478035300005,141.025762631 1.22520535300004,141.056541631 1.24670035300005,141.100544631 1.26714435300005,141.131291631 1.28862035300006,141.175327631 1.30908335300006,141.206045632 1.33054135300006,141.250113632 1.35102135300002,141.280801632 1.37246135300006,141.324901632 1.39295935300004,141.355560632 1.41438235300006,141.371653632 1.42186235300005,141.382828632 1.42967135300006,141.909156632 1.67445235300005,141.958804632 1.68770335400006,141.961638632 1.68902235400003,142.039812632 1.70988935400004,142.044253632 1.71195635400005,142.122454632 1.73283335400004,142.126870632 1.73488935400007,142.205098632 1.75577635400003,142.209489632 1.75782035400005,142.287744633 1.77871835400003,142.292110633 1.78075135400007,142.370391633 1.80165835400004,142.374733633 1.80368035400005,142.433923633 1.81949135400004,142.437190633 1.82101135400006,142.455391633 1.82587435400006,142.457313633 1.82676835400002,142.531896633 1.84669435400002,142.539754633 1.85035335400005,142.614362633 1.87028835400002,142.622197633 1.87393635400002,142.696830633 1.89388035400003,142.704642633 1.89751835400006,142.779300633 1.91747135400004,142.787089633 1.92109935400003,142.861772633 1.94106135400006,142.869538633 1.94467835400008,142.944246633 1.96465035400007,142.951989633 1.96825735400006,143.026721633 1.98823735400003,143.034442633 1.99183435400005,143.109198633 2.01182335400006,143.116898633 2.01541035400004,143.191677633 2.03540835400003,143.199355633 2.03898535400003,143.251281633 2.05287335400004,143.256598633 2.05535135400004,143.712816634 2.17740735400002,143.755076634 2.19710535400003,143.768476634 2.20069135400007,143.833801634 2.23114135400004,143.847222634 2.23473335400007,143.912528634 2.26517635400006,143.925971634 2.26877435400007,143.991259634 2.29921135400002,144.004722634 2.30281535400007,144.069993634 2.33324535400004,144.083476634 2.33685535400002,144.148730634 2.36727835400006,144.151195634 2.36793835400005,144.163112634 2.37349435400006,144.724076635 2.52373335400006,145.302687635 2.57430435400005,145.881305636 2.52365835400002,146.442288636 2.37333735400006,146.499255636 2.34676935400006,146.506362636 2.34486535400004,146.576073637 2.31235535400003,146.584753637 2.31003035400005,146.654478637 2.27751435400006,146.663141637 2.27519435400006,146.700200637 2.25791335400004,146.704796637 2.25668235400002,147.231034637 2.01132535400006,147.706577638 1.67837635400002),(149.579954639 -1.35528164899995,149.57995438 -1.35528189499996,149.579954179 -1.35528187199998,149.564145239 -1.37028195899995,149.543872432 -1.41236397399996,149.542551049 -1.41565073699996,149.528181639 -1.45139064899996,149.531026907 -1.46370069499994,149.531936267 -1.46763591999996,149.531936555 -1.46763628399998,149.531936639 -1.46763664899993,149.537930067 -1.47520093299994,149.558018235 -1.50055500699995,149.661363413 -1.58139091999993,149.678727196 -1.58229096799994,149.678727235 -1.58229062899994,149.678727639 -1.58229064999995,149.681227639 -1.56000064999995,149.696687112 -1.56277784299994,149.702881884 -1.56389093399997,149.715518639 -1.57860964999998,149.731899639 -1.60333664999996,149.79052764 -1.57902764999994,149.716763639 -1.42937264899996,149.673318887 -1.39466739099993,149.663300304 -1.38666405299995,149.624818315 -1.36041796699993,149.593397273 -1.35682085199994,149.579954639 -1.35528164899995),(146.528318636 -2.20110964999998,146.568636637 -2.23520964999994,146.726345637 -2.16083664999996,146.795945637 -2.16791864999993,146.819469984 -2.17560717299995,146.838863458 -2.18194606999998,146.893036202 -2.18944602899995,146.980527178 -2.19916400799997,147.05003248 -2.19621949399993,147.208436637 -2.18950964999993,147.228027637 -2.17639064999997,147.239136637 -2.16694564999995,147.255554637 -2.14916364999993,147.275272637 -2.12110964999994,147.371419733 -2.08711283099996,147.426091382 -2.06778186599996,147.438718217 -2.06319092999996,147.438718238 -2.06319079499997,147.438718637 -2.06319064999997,147.441505984 -2.04565841199997,147.446700303 -2.01299087299998,147.440875076 -2.00428545299997,147.432618637 -1.99194564999993,147.405639298 -1.97081481099997,147.399991309 -1.96639101199997,147.3919363 -1.96083582199998,147.391936878 -1.96083681599993,147.391936637 -1.96083664999998,147.414455872 -1.99956731999993,147.419554168 -2.00833589999996,147.422763431 -2.03194604499993,147.418872478 -2.04819061899997,147.300808637 -2.02528164999995,147.28729338 -2.02223967699996,147.20330928 -2.00333592699997,147.164427308 -1.98333586699994,147.124445652 -1.97082029399996,147.118281637 -1.96889064999993,147.096772637 -1.96666364999993,146.869690637 -1.94916364999995,146.857181637 -1.94916364999995,146.844972637 -1.95055464999996,146.786099926 -1.95855729499993,146.638582408 -1.97860897699996,146.596580701 -1.99306115099995,146.580245637 -1.99868164999998,146.580245559 -1.99868183499996,146.5802452 -1.99868195899995,146.51844526 -2.14666395699993,146.520650996 -2.16154789099994,146.524990636 -2.19083664999994,146.527992131 -2.20010177999995,146.528318303 -2.20110894399994,146.528318447 -2.20110906599996,146.528318636 -2.20110964999998),(149.96912764 -2.49763664999995,150.10940864 -2.62500065099994,150.161860362 -2.66575829399994,150.187336221 -2.68555495399994,150.242463328 -2.68305496699998,150.257472299 -2.67778191199994,150.273318287 -2.67278193899995,150.290825612 -2.67034808399995,150.34427264 -2.66291865099993,150.35065927 -2.66563357599995,150.356354282 -2.66805504899997,150.367736236 -2.68666404699997,150.371891313 -2.68389097799997,150.404145211 -2.66458192299996,150.407264086 -2.66415725099995,150.41943664 -2.66250065099996,150.44607264 -2.66541865099992,150.4530078 -2.65766856799996,150.459000242 -2.65097289699997,150.46519137 -2.58699510499997,150.46801864 -2.55778164999992,150.467776137 -2.55395578599996,150.467191373 -2.54471785799996,150.444691327 -2.47778198999993,150.417209246 -2.46055499999994,150.417209102 -2.46055493999995,150.41720864 -2.46055464999995,150.391251994 -2.44973045699993,150.24801835 -2.38999999399994,150.231646888 -2.38367926899997,150.21637264 -2.37778164999997,150.20608164 -2.37444564999993,150.198751912 -2.37568636199995,150.189700253 -2.37721792699995,150.110635942 -2.40383497299996,150.07995464 -2.41416364999998,150.046875242 -2.42688683699993,149.960782262 -2.45999994999994,149.960103258 -2.46068417599997,149.95009964 -2.47076364999998,149.96912764 -2.49763664999995),(150.873508726 -2.65207286999993,150.884981641 -2.68160965099997,150.883790669 -2.70933597899995,150.842260189 -2.71349382099993,150.82439964 -2.71528165099994,150.74926364 -2.72049065099998,150.749263369 -2.72049089299998,150.730100328 -2.73749995499998,150.730100365 -2.73750000799993,150.73009964 -2.73750065099995,150.743995442 -2.75745486199997,150.752345228 -2.76944606999996,150.78388523 -2.77718270599996,150.82594564 -2.78750065099996,150.869127641 -2.77930965099995,150.894661722 -2.77334808499995,150.90304531 -2.77139100699998,150.909860639 -2.77060155399994,150.927063641 -2.76860965099996,150.981122016 -2.78272321099996,151.002063415 -2.78819085499993,151.11267235 -2.85104607699998,151.119522763 -2.86333403299994,151.122463641 -2.86860965099993,151.136786301 -2.88221316899995,151.150545309 -2.89528190599998,151.214963421 -2.94194597299997,151.22484014 -2.94706767699995,151.237454641 -2.95360965099997,151.261933539 -2.96506598499997,151.281372401 -2.97416399699995,151.307842961 -2.98865102499997,151.369690641 -3.02250065099997,151.417208641 -3.05055465099997,151.445172638 -3.07410065199997,151.45524526 -3.10458188499996,151.465148526 -3.11157334999996,151.488299641 -3.12791865099996,151.532745641 -3.14500065099998,151.557857592 -3.15365240599994,151.574672461 -3.15944596799994,151.616618354 -3.17437296399993,151.66245525 -3.22469238599996,151.688290641 -3.25305465099996,151.696513755 -3.26404651599995,151.708863378 -3.28055508099993,151.758327336 -3.32444607899993,151.934963373 -3.44555502499998,151.945262108 -3.45170581999997,151.956363642 -3.45833665099997,151.977708611 -3.46298619399994,151.984409226 -3.46444599099993,152.144345159 -3.48809100399995,152.183311206 -3.50488435199998,152.186490642 -3.50625465099995,152.285945642 -3.57610965099997,152.304955191 -3.59750849599993,152.355227306 -3.65409996199998,152.358427181 -3.69763590199995,152.374972388 -3.72778191999993,152.450997563 -3.80893361999995,152.491581642 -3.85225465199994,152.512172642 -3.86872765199996,152.52450754 -3.88329588399995,152.538727283 -3.90009088299996,152.551435924 -3.91943987199994,152.581908642 -3.96583665199995,152.603299642 -4.00610965199996,152.693508642 -4.18715465199995,152.69636677 -4.30453108499995,152.697754283 -4.36152689199997,152.695014955 -4.37735026799993,152.692199642 -4.39360965199995,152.68319725 -4.41886351499994,152.672272459 -4.44950887999994,152.669597998 -4.45661941499998,152.664981642 -4.46889065199997,152.681363642 -4.52221865199994,152.685515218 -4.53507415699994,152.693027225 -4.55833582299994,152.697638015 -4.56911435399996,152.738981642 -4.66576365199995,152.900954642 -4.82291865299993,152.977463642 -4.76360965199996,153.078427643 -4.59486365199996,153.071918643 -4.54041865199997,153.07191831 -4.54041832399997,153.071918251 -4.54041782799993,153.061062806 -4.52968907699994,153.047672643 -4.51645465199994,153.045725111 -4.51049481399997,153.039982361 -4.49291791799993,153.050171071 -4.47109665599993,153.058854643 -4.45249965199997,153.061929942 -4.44913781699995,153.073591279 -4.43639086599995,153.084366877 -4.42804288199994,153.100663643 -4.41541865199997,153.115272702 -4.40272723799995,153.128082367 -4.39159998699995,153.13106341 -4.31578160599997,153.133027643 -4.26583665199996,153.131545629 -4.26281020499994,153.123982275 -4.24736402899993,153.00692732 -4.09360891099993,152.989682393 -4.07583592399993,152.942195379 -4.02759724699996,152.919127642 -4.00416365199993,152.769718642 -3.90028165199993,152.759749425 -3.89889697399997,152.739682407 -3.89610897599994,152.704534698 -3.88422251799994,152.701082187 -3.88305483599993,152.692057421 -3.87614319299996,152.670836642 -3.85989065199993,152.659427642 -3.84278165199993,152.603299642 -3.83305465199993,152.577045642 -3.82354565199995,152.547745642 -3.79625465199996,152.552763642 -3.77666365199997,152.553181283 -3.77187923099996,152.554982308 -3.75125493699994,152.494536213 -3.65333586699995,152.411927216 -3.63360889599994,152.41155055 -3.63294033699998,152.392209269 -3.59860891299996,152.359954196 -3.54541785799995,152.327182296 -3.51999990399997,152.321676882 -3.51635330099998,152.306636642 -3.50639065099995,152.298437144 -3.50314047999996,152.277191284 -3.49471790499996,152.255949445 -3.48585895699995,152.245236642 -3.48139065099997,152.207454642 -3.45749965099998,152.192625221 -3.44140944399993,152.164700276 -3.41110892299997,152.091468075 -3.32188170599994,152.056072642 -3.27875465099993,152.055118642 -3.25389065099995,152.010696923 -3.23589271499998,151.948854199 -3.21083591899998,151.92190923 -3.20333579199996,151.858718229 -3.18652689099997,151.82906999 -3.19493685599997,151.823718641 -3.19645465099995,151.792655219 -3.17367958799997,151.721909308 -3.12180887499994,151.669471922 -3.07344934699995,151.641936641 -3.04805465099997,151.620556635 -3.03804862499993,151.598018241 -3.02749989099993,151.464418247 -2.93499988999997,151.423154138 -2.90083592299993,151.311372406 -2.86999990699996,151.280818358 -2.87083591799995,151.190245188 -2.82610890899997,151.148572532 -2.79561048099993,151.086636641 -2.75028165099997,151.025899162 -2.71903356499996,150.966763365 -2.68860898399993,150.94222556 -2.66715614299994,150.906527641 -2.63594565099993,150.867715961 -2.60085963099993,150.836345309 -2.57249984299995,150.810591241 -2.56229085299998,150.810591213 -2.56229087799994,150.81059064 -2.56229064999997,150.805970009 -2.56638391699994,150.805736275 -2.56659093699994,150.792754216 -2.61666392399997,150.813431411 -2.63081367499996,150.82705464 -2.64013665099998,150.841781525 -2.64569698599996,150.852263382 -2.64965492699997,150.873508726 -2.65207286999993),(152.577181642 -3.17721865099998,152.595538245 -3.19467594599996,152.605227292 -3.20389100899996,152.629662405 -3.22279453799996,152.636108642 -3.22778165099993,152.636109192 -3.22778191099997,152.636109241 -3.22778194799997,152.640808642 -3.22999965199995,152.640809309 -3.22999996699997,152.642862199 -3.22948579999996,152.646363642 -3.22860965099994,152.653669438 -3.21945279799996,152.654009298 -3.21902688199998,152.668309328 -3.15639093199997,152.667950181 -3.13895609299993,152.667754642 -3.12944565099997,152.657716009 -3.09181267199995,152.645600237 -3.04639085699995,152.645599701 -3.04639087299995,152.645599642 -3.04639065099997,152.635560226 -3.04668354299997,152.602891255 -3.04763590499994,152.594424623 -3.05051953999993,152.590236642 -3.05194565099993,152.555936642 -3.06916365099994,152.555936527 -3.06916380599995,152.555936169 -3.06916398499993,152.538454201 -3.09263582899996,152.538339052 -3.09716711399994,152.538181642 -3.10333665099995,152.577181642 -3.17721865099998),(152.172118632 -4.29013648299997,152.169436642 -4.24389065199995,152.172763642 -4.22694565199993,152.179272477 -4.21639091999998,152.183185118 -4.21781971799993,152.190872642 -4.22062765199996,152.197599642 -4.24125465199995,152.197600211 -4.24125483799997,152.197600252 -4.24125496299996,152.200348031 -4.24215345999994,152.226899642 -4.25083665199998,152.23210228 -4.24773950499997,152.240782308 -4.24257293299996,152.239409353 -4.21666396799998,152.235534154 -4.20791941099998,152.235227642 -4.20722765199997,152.235227288 -4.20722694899996,152.214691288 -4.16610885399996,152.181500292 -4.14694597899995,152.181500175 -4.14694595999993,152.181499642 -4.14694565199994,152.168718642 -4.14486365199997,152.168718227 -4.14486391799994,152.159145253 -4.15110893499997,152.156691473 -4.15559165699995,152.153590642 -4.16125465199997,152.151460503 -4.17224346199993,152.150818335 -4.17555492299994,152.145536228 -4.19083580299997,152.139972316 -4.20236393299996,151.988163313 -4.32971790399995,151.977419682 -4.33397847199996,151.970808642 -4.33659965199996,151.904145641 -4.31999965199998,151.895263641 -4.31499965199993,151.888434466 -4.30851930499995,151.881363449 -4.30180884899994,151.876471165 -4.29483358099998,151.869963641 -4.28555465199997,151.863863641 -4.27139065199998,151.862819723 -4.26314603099996,151.860382372 -4.24389090399995,151.857589807 -4.23797058599996,151.854945641 -4.23236365199995,151.847629492 -4.22807011099997,151.841918213 -4.22471797099996,151.783054286 -4.20583588999995,151.615878968 -4.18960928199994,151.536927641 -4.18194565199997,151.536927295 -4.18194596199993,151.536927242 -4.18194595699993,151.509991326 -4.20610897199992,151.50999123 -4.20610912399997,151.509990641 -4.20610965199995,151.506499902 -4.21163888299998,151.50332721 -4.21666396799998,151.500336211 -4.23173580299994,151.508121752 -4.25304023799993,151.547208641 -4.35999965199994,151.591763641 -4.43062765199994,151.598904927 -4.44426176299993,151.629118287 -4.50194606599996,151.658327208 -4.61639089599993,151.668385929 -4.69987111299997,151.682190641 -4.81444565299995,151.685294996 -4.84269723499995,151.687745173 -4.86499998899995,151.684418228 -4.88889997999996,151.682333268 -4.89369616099998,151.676090641 -4.90805465299997,151.664677516 -4.92510386999993,151.654145309 -4.94083592899995,151.644836334 -4.95194581399994,151.641689346 -4.95359172699995,151.610854287 -4.96971795599995,151.529877807 -4.94335201099994,151.513608641 -4.93805465299994,151.441072641 -4.93666365299993,151.357454641 -4.94749965299997,151.347145118 -4.95166496299993,151.264300309 -4.98513579599995,151.09692728 -5.14278196099997,151.096016265 -5.14379521099994,151.084690641 -5.15639065299996,151.071072641 -5.17694565299996,151.070629679 -5.17773332699994,151.066072321 -5.18583594199993,151.046936269 -5.22194601899997,151.043581785 -5.22992733499996,151.038881641 -5.24110965299997,151.028590641 -5.27166365299996,151.025584999 -5.28347224999993,151.024418286 -5.28805492799995,151.022313741 -5.30503304799993,151.018581641 -5.33513665299995,151.021869921 -5.36036009099996,151.023036277 -5.36930892999993,151.018863431 -5.38916398199996,151.015536318 -5.39944606299997,151.014973542 -5.40072566899994,151.011381641 -5.40889065299996,151.007218035 -5.41500030799995,151.003054156 -5.42110892399995,150.979127342 -5.44499986299996,150.924409272 -5.48721783299993,150.914154181 -5.49083579699993,150.696072315 -5.54680897299994,150.682495373 -5.55016769699995,150.67791864 -5.55129965299994,150.64413664 -5.55694565299996,150.620091208 -5.55347273499996,150.612182372 -5.54430898699997,150.60270848 -5.51999305399994,150.60162764 -5.51721865299993,150.59551864 -5.49610965299996,150.595518505 -5.49610952499995,150.595518311 -5.49610885299995,150.587254615 -5.48826182599993,150.57621864 -5.47778165299997,150.51110864 -5.45055465299993,150.48855464 -5.44694565299994,150.42276364 -5.45528165299993,150.420681856 -5.45595487999998,150.412472297 -5.45860888799996,150.345245242 -5.51471785099994,150.322054193 -5.53576397199993,150.306918324 -5.55889098799997,150.29871863 -5.56778165399993,150.28663664 -5.57055465299993,150.18149964 -5.55819065299994,150.16442764 -5.55139065299994,150.14386364 -5.53778165299997,150.12231864 -5.51486365299996,150.096789498 -5.45076354899993,150.062191389 -5.36389086699995,150.042482349 -5.30860886299996,150.052622646 -5.23775860799998,150.06164564 -5.17471865299996,150.06441864 -5.16389065299995,150.065599417 -5.16210008399997,150.072482354 -5.15166392799995,150.081617061 -5.14251219599993,150.082736593 -5.14139069999993,150.082887527 -5.14129658799993,150.09164564 -5.13583665299996,150.09962332 -5.13263653399997,150.10134527 -5.13194600399993,150.108419834 -5.12975234399994,150.13271864 -5.12221865299995,150.145052517 -5.11925867999997,150.15469139 -5.11694608499994,150.164427306 -5.11278195599994,150.167241278 -5.11081098399995,150.18248164 -5.10013665299994,150.182482251 -5.10013584799998,150.20391864 -5.07180965299995,150.19662764 -5.05125465299994,150.18163664 -5.03889065299995,150.16198411 -5.02795070099995,150.15469139 -5.02389086699998,150.123982276 -5.01041796299995,150.103542175 -5.00871590199995,150.09232764 -5.00778165299994,150.03205464 -5.02944565299993,150.032054404 -5.02944600399996,150.032054256 -5.02944605699997,150.019718274 -5.04778197299993,150.015536207 -5.05749995099995,150.002772412 -5.16944596799993,149.98828258 -5.19876821899993,149.93469064 -5.30721865299995,149.92859064 -5.31528165299994,149.91830864 -5.34610965299993,149.92039064 -5.35639065299995,149.936006873 -5.37920794699994,149.952327269 -5.40305497499998,149.976490759 -5.40805483799994,149.979860148 -5.41326677499995,149.983854289 -5.41944595399997,149.981354135 -5.43333594099994,149.964418332 -5.46416391099996,149.963361329 -5.46571429999995,149.95608164 -5.47639065299995,149.928591152 -5.50360914599997,149.926503568 -5.50503465299994,149.91638164 -5.51194565299994,149.88748164 -5.53166365299995,149.87801864 -5.53569065299996,149.710781639 -5.56249965299997,149.684691099 -5.56034569099995,149.668309329 -5.51944608299993,149.668308808 -5.51944607499996,149.668308639 -5.51944565299993,149.647882237 -5.51914582399996,149.611354297 -5.51860889799997,149.581909341 -5.52333578899993,149.570062702 -5.52772837199996,149.566927639 -5.52889065299996,149.565449116 -5.52969835199997,149.549136267 -5.53860895699995,149.42553622 -5.56721790199992,149.310518236 -5.58610886799994,149.28525762 -5.59141249499993,149.270808639 -5.59444565299998,149.250710159 -5.59913001099994,149.220763473 -5.60610892699998,149.213909257 -5.57639088899998,149.18914526 -5.55833593399996,149.124545261 -5.52513588599993,149.000827197 -5.47833586499996,148.986410473 -5.47327540999993,148.985781639 -5.47305465299996,148.973299639 -5.47166365299995,148.968576162 -5.47245177699995,148.961636267 -5.47360897499993,148.916679273 -5.48705514799997,148.883608639 -5.49694565299995,148.618281638 -5.50499965299997,148.519718638 -5.50249965299997,148.514170259 -5.49488379599995,148.508182345 -5.48666395599997,148.500091379 -5.48225999499994,148.450527638 -5.45528165299993,148.443979629 -5.45403634599995,148.428591312 -5.45110892899993,148.374409349 -5.47513582199997,148.358136219 -5.49263589499998,148.316463408 -5.62802693299994,148.322372315 -5.67259099799998,148.326043132 -5.68243974599994,148.330781638 -5.69515465299997,148.335112996 -5.70489488699997,148.339327228 -5.71437294099997,148.351710084 -5.73418985899997,148.363190638 -5.75256365299992,148.389827638 -5.77800965299997,148.396057268 -5.78082547699995,148.401672327 -5.78336405099998,148.528045276 -5.82837302699994,148.589718314 -5.82837302699994,148.625613176 -5.83464759399993,148.702099638 -5.84801865399993,148.748603542 -5.86067990199996,148.764436236 -5.86499087999994,148.877445246 -5.94557298899997,148.879845706 -5.96116876799994,148.882999639 -5.98166365399993,148.883000268 -5.98166395799996,148.920654639 -6.00002765399995,148.942472639 -6.00833665399995,148.983036639 -6.01971865399997,149.033847381 -6.03508991799993,149.039982029 -6.03694584199997,149.041579459 -6.03771561299993,149.055545266 -6.04444608699993,149.063045496 -6.06661228499996,149.071899639 -6.09278165399996,149.075586422 -6.10691599999996,149.078854166 -6.11944601499994,149.07921093 -6.12674596599993,149.079681639 -6.13639065399997,149.072400185 -6.14652689399998,149.063190128 -6.14154675199995,149.058027639 -6.13875465399997,149.049145641 -6.14347266099998,149.04914518 -6.14347290899997,149.051636282 -6.15930883799996,149.051636524 -6.15930892599994,149.051636639 -6.15930965399997,149.061293665 -6.16279891699998,149.066227332 -6.16458189399998,149.119418219 -6.15694597999993,149.134827342 -6.15166403999996,149.13482763 -6.15166365499994,149.163882371 -6.11249993199993,149.289982405 -6.06278200299994,149.29885823 -6.06053064099996,149.311918639 -6.05721865399994,149.338563639 -6.06013665399996,149.401242398 -6.08247173099994,149.444972345 -6.09805506299995,149.454883521 -6.10319245499994,149.467472639 -6.10971865399995,149.477355799 -6.11671424899993,149.48592733 -6.12278201299995,149.501690869 -6.14179487699994,149.510799639 -6.15278165399997,149.52416504 -6.17379056299995,149.539427341 -6.19778194199995,149.555236281 -6.22694593599994,149.560961852 -6.23848007299995,149.573299639 -6.26333665399994,149.607318639 -6.29110965399997,149.634708639 -6.30805465399993,149.634708833 -6.30805464399998,149.634709296 -6.30805493099996,149.686645245 -6.30528202899995,149.843991338 -6.29249996199997,149.892345196 -6.29249996199997,149.907608908 -6.28903348199998,149.97552764 -6.27360965399993,149.983600535 -6.27539565299998,149.986209018 -6.27597297299997,150.01310864 -6.29868165399995,150.01830864 -6.32360965399994,150.018309277 -6.32360889399996,150.038882322 -6.29916391099994,150.080809272 -6.27999986199995,150.170536205 -6.25694594099997,150.183518264 -6.25597296899997,150.201039522 -6.26852041699993,150.21163664 -6.27610965399998,150.22274564 -6.28833665399998,150.40331864 -6.29333665399997,150.46856364 -6.27610965399998,150.476524119 -6.27081695899994,150.476918236 -6.27055496599996,150.476918287 -6.27055488899993,150.47691864 -6.27055465399997,150.48495464 -6.25833665399995,150.499886909 -6.24425915699993,150.509709247 -6.23499993899998,150.558662003 -6.20131414399998,150.63525464 -6.14860965399993,150.65518164 -6.14881865399997,150.660762654 -6.16060892199994,150.663727221 -6.16687300299998,150.70718236 -6.15555491899994,150.71460765 -6.15263600299994,150.72732764 -6.14763665399994,150.738141632 -6.14066804699996,150.746091323 -6.13554597499996,150.751074105 -6.13642872399993,150.77359064 -6.14041865399997,150.773591338 -6.14041786999996,150.793309266 -6.11805495499993,150.809351686 -6.09444115999997,150.81274564 -6.08944565399997,150.81191864 -6.07639065399997,150.85580864 -6.04083665399997,150.940799641 -6.02860965399998,150.986786393 -6.02409629599993,151.003054156 -6.02249991699995,151.165645308 -5.95807292099994,151.185825602 -5.94372784399997,151.317781641 -5.84992765399994,151.333792564 -5.83970584899993,151.384709366 -5.80720000499997,151.399344707 -5.76197401599995,151.402772641 -5.75138165299995,151.444136641 -5.58860965299994,151.45677257 -5.53847293299998,151.470518261 -5.53097304399995,151.477045942 -5.53015789999995,151.491636641 -5.52833665299994,151.646724527 -5.53006822099997,151.702472345 -5.53069090899993,151.752254144 -5.54437302499997,151.765085643 -5.56567391199997,151.775390641 -5.58278165299993,151.779421843 -5.58461802399995,151.808318348 -5.59778200899996,151.813968027 -5.59915040399994,151.822054641 -5.60110965299998,151.841918641 -5.59721865299997,151.963723401 -5.53585549399997,151.970654188 -5.53236393699996,151.970654644 -5.53236365699996,152.096072642 -5.45722765299996,152.123563642 -5.41639065299995,152.131072642 -5.40221865299998,152.144136642 -5.37416365299993,152.144861113 -5.37194466199998,152.14749139 -5.36389086699995,152.145743982 -5.35081834799996,152.144836642 -5.34402765299996,152.129672642 -5.30778165299995,152.121063642 -5.29597265299998,152.09454044 -5.26449436399997,152.071091349 -5.23666396999994,151.993282309 -5.17555503499995,151.976900382 -5.16180888099996,151.969972581 -5.14833615499998,151.969164485 -5.14166300999995,151.964691302 -5.10471789399998,151.965930061 -5.05312456999997,151.966645642 -5.02333665299994,151.968018642 -5.00416365299998,151.969095072 -4.99995928199996,151.970791316 -4.99333581199994,151.978300045 -4.98041844299996,151.988862495 -4.97493861899994,151.993563438 -4.97249990899996,152.009686108 -4.97455235299998,152.050263642 -4.97971865299996,152.076191638 -4.98407597999994,152.085800248 -4.98569101299995,152.112454197 -4.99666392999995,152.123563404 -4.99944605199994,152.159145253 -5.00694601099997,152.17676315 -5.00249986499995,152.237318642 -4.98721865299996,152.268036642 -4.95778165299993,152.294127642 -4.92916365299993,152.312732567 -4.90534346099997,152.33470036 -4.87721795399995,152.386109255 -4.79333588999998,152.387845542 -4.78797042499997,152.389436642 -4.78305465299997,152.391563212 -4.77465213399995,152.39499139 -4.76110898099995,152.40243079 -4.71148644899995,152.405818642 -4.68889065199994,152.405245642 -4.66889065199996,152.403045642 -4.62305465199995,152.401645642 -4.61083665199993,152.389576217 -4.54032648199995,152.355809345 -4.34305502099994,152.355808702 -4.34305500399995,152.355808642 -4.34305465199998,152.305236642 -4.34166365199997,152.299459888 -4.34105899199994,152.286654285 -4.33971784999994,152.265339787 -4.33530180799994,152.263881642 -4.33499965299995,152.193027253 -4.31541787499998,152.188139393 -4.31183671099996,152.183163642 -4.30819065199995,152.174115806 -4.29340118799996,152.172118632 -4.29013648299997),(154.618008644 -5.43139065299994,154.637208644 -5.45860965299994,154.675536644 -5.44083665299996,154.681806515 -5.43605327999995,154.687191296 -5.43194605399998,154.690627259 -5.42571107099997,154.693163644 -5.42110965299997,154.704665599 -5.35409380799996,154.72830034 -5.21639099599997,154.727600283 -5.19999984899994,154.668582297 -5.03486395099998,154.655118279 -5.02083582999995,154.647212127 -5.01802243599997,154.642627644 -5.01639065299997,154.637799346 -5.01687525099993,154.620518285 -5.01860892599996,154.609751172 -5.02375251899997,154.602190644 -5.02736365299995,154.558318645 -5.07999965399995,154.55831861 -5.07999969799994,154.558318361 -5.07999999699996,154.546627282 -5.09555496499996,154.541072427 -5.10389093599997,154.539514498 -5.10710914699996,154.532199644 -5.12221865299995,154.530846337 -5.13041574399995,154.530272345 -5.13389094099995,154.542901689 -5.18464322799997,154.565799644 -5.27666365299996,154.582601892 -5.33080811799994,154.586918253 -5.34471793399996,154.593732858 -5.36371516499997,154.618008644 -5.43139065299994),(154.753599644 -5.51805465299998,154.726322523 -5.63539583199997,154.718263346 -5.67006402199996,154.699736323 -5.77282682499992,154.706687181 -5.79693164199995,154.750581644 -5.94915465399993,154.823581644 -6.02805465399996,154.843709914 -6.04404689599994,154.884418316 -6.07639086099994,154.928163905 -6.13640378299993,154.971081644 -6.19528165399993,154.987872644 -6.21263665399994,155.063290644 -6.25694565399994,155.101627644 -6.27721865399997,155.127745644 -6.27610965399998,155.167448355 -6.28458680999995,155.181090959 -6.28749992599995,155.197599645 -6.30180965399995,155.216490645 -6.32471865399998,155.224636838 -6.34536781599996,155.228436266 -6.35499995899994,155.229956437 -6.38327907799993,155.232881645 -6.43770965399995,155.227195833 -6.46631484099993,155.224972361 -6.47749996499994,155.22172628 -6.48779923499995,155.208708645 -6.52909965399994,155.195239634 -6.55564026199994,155.192745284 -6.56055507099995,155.239963395 -6.62249984999994,155.293997508 -6.68682259199994,155.339890645 -6.74145465399994,155.352977708 -6.74988723099995,155.444972342 -6.80916399599994,155.458096262 -6.81506725499997,155.485108645 -6.82721865399998,155.536824463 -6.84494312199996,155.558872348 -6.85249994399993,155.581148217 -6.85793001899998,155.623836645 -6.86833665399996,155.700147271 -6.87966025999998,155.708500384 -6.88089984399994,155.745009399 -6.84672236699993,155.745518225 -6.84624604199996,155.745518645 -6.84624565399997,155.775272605 -6.81444569699994,155.775272648 -6.81444565799995,155.820118334 -6.77916399099996,155.856200248 -6.77486390699994,155.862631703 -6.77577309999998,155.890536645 -6.77971865399996,155.895881606 -6.78597784699997,155.912536192 -6.80548199299994,155.912536647 -6.80548165699997,155.944272645 -6.78221865399996,155.966845645 -6.71416365399995,155.914763645 -6.52076365399995,155.845812329 -6.41808186499998,155.832736283 -6.39860898899997,155.824848197 -6.38989092699995,155.803454645 -6.36624565399995,155.790205575 -6.36249439499994,155.770127322 -6.35680894099994,155.693422613 -6.28917788799993,155.614963645 -6.21999965399993,155.577881712 -6.22257264899997,155.494945249 -6.18541796399995,155.487806921 -6.17888965199995,155.477172645 -6.16916365399993,155.445664769 -6.13270668299998,155.430118456 -6.11471816799997,155.428900825 -6.11159205599995,155.417191362 -6.08152695599995,155.404082401 -5.99999987099994,155.400545237 -5.99583590999993,155.39189592 -5.98655225399995,155.368327645 -5.96125465399996,155.273236645 -5.88659965399995,155.252235424 -5.88003477499996,155.216063404 -5.86872686199996,155.199100203 -5.82564994199993,155.162354645 -5.73233665299995,155.152501653 -5.71339351099994,155.073582281 -5.56166405299996,155.073581819 -5.56166398799996,155.073581644 -5.56166365299993,154.964281644 -5.54639065299995,154.920808644 -5.54999965299993,154.912985878 -5.54864097199993,154.882445216 -5.54333584799997,154.792327184 -5.48083585099994,154.77063401 -5.50168445599996,154.753599644 -5.51805465299998),(148.017154638 -5.84463665399994,148.037905763 -5.81483449399997,148.057591345 -5.78656392699997,148.061491277 -5.77711785699995,148.065175599 -5.76082260299995,148.067836638 -5.74905465299997,148.072536638 -5.72654565299996,148.076627638 -5.70347265299995,148.078554638 -5.69124565299995,148.080445638 -5.66595465299997,148.078463638 -5.65428165299994,148.07756989 -5.65226120899996,148.074282397 -5.64482694899993,148.065309234 -5.62758202199996,148.057667047 -5.61844987699993,148.042463638 -5.60028165299997,148.025322075 -5.58752304199993,148.020809207 -5.58416393099998,148.008609347 -5.57610892199995,147.852172356 -5.49360886599993,147.845862677 -5.49138818299997,147.841918638 -5.48999965299993,147.834274515 -5.48851654899994,147.814700387 -5.48471784599997,147.790284105 -5.49054135399996,147.782072638 -5.49249965299992,147.782072482 -5.49249990199996,147.78207232 -5.49249993999996,147.761518217 -5.52528189899994,147.765636246 -5.60971783899993,147.769954267 -5.62221793899994,147.769954562 -5.62221843399993,147.769954638 -5.62221865299995,147.772860484 -5.62709907499993,147.793272387 -5.66138187899998,147.802154186 -5.67277288499997,147.842801272 -5.72118523899996,147.865108638 -5.74775465299996,147.86510926 -5.74775497199994,147.86510932 -5.74775504399997,147.868968295 -5.74973323399996,147.926663638 -5.77930965299993,147.945218638 -5.77992765299996,147.970990638 -5.79053665299995,147.979007551 -5.80913253099993,147.982818231 -5.81797292999994,147.985544953 -5.83151493199995,147.990481638 -5.85603665399998,147.997733028 -5.85368323099993,148.000763383 -5.85269999299993,148.00379871 -5.85120665199997,148.017154638 -5.84463665399994),(147.135527637 -5.45110965299995,147.156099637 -5.44902765299997,147.223908637 -5.42860965299997,147.223908681 -5.42860907399995,147.223909316 -5.42860888299998,147.226684112 -5.39229222799997,147.228854637 -5.36389065299994,147.211636637 -5.26916365299996,147.199646816 -5.25717966199994,147.191072372 -5.24860885299995,147.134982352 -5.19528201099996,147.134981799 -5.19528180699996,147.134981637 -5.19528165299994,147.133610915 -5.19477533699995,147.124818289 -5.19152691899995,147.109409333 -5.19333590099995,147.046896945 -5.22360762099993,147.014772637 -5.23916365299993,147.01477255 -5.23916390799997,147.014772449 -5.23916395699996,147.008027196 -5.25889093399996,147.002472342 -5.30389085699994,147.004331308 -5.31777188399997,147.008999637 -5.35263665299993,147.121890637 -5.44444565299995,147.121891327 -5.44444598799993,147.135527637 -5.45110965299995),(145.994542028 -4.53835578799993,145.978436285 -4.52791789599996,145.969718122 -4.53118667699994,145.968445636 -4.53166365199996,145.968445367 -4.53166388299996,145.968445224 -4.53166393599997,145.963943325 -4.53552359399993,145.914981636 -4.57749965199997,145.909417209 -4.58365939199996,145.90205418 -4.59180895299994,145.89720646 -4.60074967999998,145.892490636 -4.60944565199998,145.882279181 -4.64127617599996,145.873154216 -4.66971790499997,145.874545277 -4.69416406099998,145.895127208 -4.73860893499995,145.895127356 -4.73860904799994,145.895127636 -4.73860965199998,145.918581636 -4.75639065199994,145.918582076 -4.75639081599996,145.918582287 -4.75639097499993,145.933591258 -4.76194599799993,145.944427215 -4.76444598399996,145.951354188 -4.76444598399996,145.953316948 -4.76380897999996,145.961636636 -4.76110965199996,145.98887399 -4.74818557699996,145.994418227 -4.74555501899994,146.023727228 -4.72666405299998,146.023727624 -4.72666365799995,146.039136636 -4.71125465199998,146.054136636 -4.66139065199997,146.054563636 -4.59889065199997,146.026918636 -4.56166365199994,146.011654636 -4.54944565199997,145.994542028 -4.53835578799993),(150.773591341 -2.98555500399993,150.8009753 -2.97415244499996,150.83496364 -2.96000065099997,150.85580864 -2.96221865099994,150.868441436 -2.96458064899997,150.872191357 -2.96528202999997,150.874328088 -2.96597530499997,150.882445641 -2.96860965099995,150.950646237 -2.97749268399997,150.997118259 -2.98354602899997,151.021991389 -2.96854594299998,151.00784008 -2.96036887499997,150.941345641 -2.92194565099993,150.926899247 -2.91620200199998,150.909563413 -2.90930885399996,150.881655287 -2.91042327499997,150.874954641 -2.91069065099992,150.874954268 -2.91069085899994,150.874954199 -2.91069086199997,150.791782418 -2.95721796799995,150.773036292 -2.97249985399998,150.767063635 -2.98194564799996,150.767063347 -2.98194609199993,150.773237956 -2.98535963999996,150.77359064 -2.98555465099997,150.773590676 -2.98555463599996,150.773591341 -2.98555500399993),(151.055527216 -8.55194607299995,151.101072299 -8.63889088399998,151.094972453 -8.77110886899993,151.094972665 -8.77110912399996,151.094972641 -8.77110965599996,151.115004061 -8.79518307899997,151.144436243 -8.83055500299997,151.144434803 -8.83055244799993,151.144436641 -8.83055465599995,151.123915436 -8.79413977599995,151.107182371 -8.76444609399994,151.105388432 -8.75890379399993,151.103854641 -8.75416365599995,151.102445641 -8.74194565599993,151.10272048 -8.73783208199995,151.103300377 -8.72916398199993,151.115225798 -8.66851080899994,151.123836641 -8.62471865599997,151.123635819 -8.55044512499995,151.123291383 -8.42278194999994,151.123290642 -8.42278200299995,151.123290641 -8.42278165599993,151.108957223 -8.42379796799997,151.076354234 -8.42610889499997,151.065622656 -8.42988604899995,151.058581641 -8.43236365599995,151.046881827 -8.44272040499993,151.033327243 -8.45471783999994,151.029007858 -8.46105402599994,151.024990641 -8.46694565599995,151.002772599 -8.51559671999996,150.997527296 -8.52708199499995,151.00137241 -8.54110894199994,151.001372449 -8.54110895599996,151.001372641 -8.54110965599995,151.031918641 -8.55152765599996,151.047598498 -8.55180526999993,151.055527216 -8.55194607299995),(152.529281642 -8.98958165599993,152.513736137 -9.00675073399998,152.49871828 -9.02333592699995,152.498719376 -9.02333584599995,152.498718642 -9.02333665599997,152.531067036 -9.02095741099993,152.540254298 -9.02028189699996,152.543500215 -9.01959999499996,152.560118642 -9.01610965599997,152.568220354 -9.01872801099995,152.573027205 -9.02028189699996,152.608187941 -9.04188815499998,152.651227642 -9.06833665699997,152.666635008 -9.08024926999997,152.679963358 -9.09055493499994,152.766925961 -9.16753947899997,152.829954455 -9.22333649099994,152.83087803 -9.22536797599997,152.835508642 -9.23555465699997,152.835509119 -9.23555447199993,152.835509353 -9.23555498699994,152.921055965 -9.20236977899998,152.986408642 -9.17701865699996,152.999981642 -9.16902765699996,152.999981864 -9.16902713699994,152.999982411 -9.16902681499994,153.014239802 -9.13555352799995,153.019563643 -9.12305465699995,152.952754642 -9.05889065599996,152.935672642 -9.04528165599993,152.811218642 -8.97145465599993,152.647218642 -8.96139065599994,152.622745642 -8.96097265599997,152.529281642 -8.98958165599993),(150.330945213 -9.27360882699998,150.232182421 -9.20778188599996,150.232181905 -9.20778183299996,150.23218164 -9.20778165699994,150.21039064 -9.20555465699994,150.19359064 -9.20944565699995,150.14386364 -9.24555465699996,150.143863312 -9.24555493199995,150.12468164 -9.26166365699993,150.10689964 -9.30778165699996,150.105370098 -9.31375636099995,150.104127224 -9.31860891899993,150.103027183 -9.33389097199995,150.109545286 -9.37069087999993,150.149286404 -9.41262214299996,150.17733664 -9.44221865699996,150.184332719 -9.44742280199995,150.193027198 -9.45389099199997,150.259868478 -9.49507186199997,150.31024564 -9.52610965699995,150.326277307 -9.52647722499995,150.334409285 -9.52666401699997,150.341715255 -9.52085241699996,150.34191864 -9.52069065699993,150.345631272 -9.51484779499998,150.363009345 -9.48749990999994,150.373845212 -9.41009414899997,150.37716364 -9.38639065699994,150.33094564 -9.27360965699995,150.330945519 -9.27360957599996,150.330945213 -9.27360882699998),(150.42746364 -9.44083665699998,150.49050864 -9.58360965699995,150.51443664 -9.62333665699998,150.585531381 -9.64339250399996,150.622745247 -9.65389091399993,150.635061805 -9.65704132799993,150.65803664 -9.66291865699998,150.69134564 -9.66333665699995,150.743781705 -9.66272677399996,150.763309261 -9.66249996699997,150.775662914 -9.66124579199993,150.80163664 -9.65860965699994,150.819982382 -9.67024578599995,150.844118351 -9.68555506199993,150.846927294 -9.71805505399993,150.846927634 -9.71805458699993,150.84692764 -9.71805465699993,150.875227409 -9.67916397499994,150.878654327 -9.67772525599997,150.891772641 -9.67221865699997,150.897852805 -9.67717474499995,150.903872436 -9.68208193699996,150.906355363 -9.68050924299996,150.921627641 -9.67083665699994,150.930545641 -9.65916365699997,150.931226088 -9.65319226299994,150.932191367 -9.64472681199993,150.898731703 -9.55490394999993,150.886918641 -9.52319065699993,150.851598047 -9.48293446099996,150.828309243 -9.45639097899993,150.804409252 -9.43278200699996,150.777772402 -9.41471783299994,150.761509331 -9.40541794299997,150.761035072 -9.40588687399998,150.74619964 -9.42055465699997,150.73189964 -9.42805465699996,150.67998164 -9.44125465699994,150.678146458 -9.44085283599998,150.666654182 -9.43833585599998,150.637345181 -9.42333593799998,150.621491314 -9.40110897499994,150.605552389 -9.39017044299993,150.59801864 -9.38499965699998,150.57134564 -9.37055465699996,150.53027264 -9.35166365699996,150.50219964 -9.34124565699994,150.494891556 -9.34005825699995,150.480436288 -9.33770892899997,150.446939723 -9.35342157699995,150.43913664 -9.35708165699998,150.439136439 -9.35708195899997,150.439136304 -9.35708202199993,150.437997188 -9.35879197099996,150.42609064 -9.37666365699994,150.42190864 -9.38944565699995,150.41998164 -9.40110965699995,150.41998164 -9.41471865699998,150.42330864 -9.43139065699995,150.42746364 -9.44083665699998),(150.78802764 -9.71944565699994,150.76261864 -9.70784565699995,150.762618367 -9.70784611399995,150.762618256 -9.70784606299998,150.748836228 -9.73083577999995,150.750272384 -9.74833585199997,150.760545244 -9.80375498499996,150.81754538 -9.83393326299995,150.82690864 -9.83889065699998,150.849192475 -9.87736497699996,150.877745206 -9.92666402799995,150.915527305 -10.004163943,150.931994812 -10.053010179,150.949708641 -10.105554657,150.94970921 -10.105554963,150.958590654 -10.110281658,150.958591344 -10.110282023,150.961716005 -10.110801077,150.970245641 -10.112218657,150.979282694 -10.112608144,150.983309241 -10.1127820089999,150.989174212 -10.1120210879999,150.998308641 -10.1108366569999,151.016812974 -10.1130745319999,151.025818231 -10.1141640179999,151.075809243 -10.124446098,151.086636315 -10.1269460849999,151.145954206 -10.146254972,151.191552091 -10.168660948,151.193999641 -10.1698636579999,151.229127641 -10.201109658,151.229127134 -10.201108656,151.229127328 -10.201108829,151.228158171 -10.1991934559999,151.222945641 -10.1888906579999,151.221618641 -10.1708366579999,151.234127641 -10.1330546569999,151.246472641 -10.104999657,151.25030316 -10.0982566499999,151.271091327 -10.061663967,151.288890702 -9.99923309999997,151.296354641 -9.97305465699998,151.299136641 -9.96249965699997,151.298907909 -9.95769299399996,151.298582293 -9.95083592799995,151.286998396 -9.93212317799993,151.282763641 -9.92528165699997,151.275329078 -9.92305808399993,151.264163348 -9.91971794499995,151.214258596 -9.93300737699997,151.200527641 -9.93666365699994,151.188172641 -9.94208165699996,151.136363641 -9.98916365699995,151.136363673 -9.98916383499994,151.136363464 -9.98916402499998,151.138927321 -10.0033998489999,151.148745212 -10.0194459969999,151.148517379 -10.023772504,151.148181646 -10.0301365629999,151.136654432 -10.041390716,151.118090789 -10.046599616,151.109484119 -10.0423684949999,151.073027641 -10.0244456569999,151.059963641 -10.016945657,151.039427641 -9.99694565699997,151.030545641 -9.98528165699997,150.967791809 -9.90044381499996,150.9627362 -9.89360899299993,150.935391242 -9.85236398799998,150.924117141 -9.84170586999994,150.900272641 -9.81916365699993,150.82162764 -9.74694565699997,150.80303664 -9.73139065699996,150.78802764 -9.71944565699994),(150.76846364 -10.609309658,150.78524564 -10.634727658,150.790191507 -10.6373548359999,150.794127339 -10.639445989,150.856354253 -10.649446102,150.880527327 -10.6527819319999,150.893600246 -10.6487460459999,150.900730403 -10.591901239,150.904418641 -10.562499658,150.896684962 -10.5510806199999,150.896236187 -10.5504179389999,150.871900337 -10.538608843,150.820337865 -10.5406077759999,150.79309064 -10.5416636579999,150.777342009 -10.5849223549999,150.76846346 -10.6093088559999,150.768463765 -10.6093093169999,150.76846364 -10.609309658),(152.787609291 -10.6204178949999,152.759427321 -10.6372179109999,152.694585151 -10.661669818,152.691636642 -10.662781658,152.662426485 -10.653572837,152.614963375 -10.6386089719999,152.593064899 -10.6315050449999,152.573854642 -10.625272658,152.558718642 -10.6230546579999,152.542408642 -10.632572658,152.564972642 -10.652227658,152.569308995 -10.654531071,152.573854163 -10.6569460609999,152.686918326 -10.701945985,152.702454184 -10.706663991,152.74441835 -10.716663937,152.814972349 -10.696664045,152.844972354 -10.695282037,152.847875539 -10.693235748,152.867054642 -10.679718658,152.873563642 -10.670690658,152.873122157 -10.667890518,152.871900392 -10.6601358789999,152.829572262 -10.6371070599999,152.814972642 -10.629163658,152.807814996 -10.6268762139999,152.787609291 -10.6204178949999),(143.241027633 -9.16221865699993,143.260301596 -9.13086987899993,143.263782255 -9.12520890799993,143.26134684 -9.11291651799996,143.259654633 -9.10437265699994,143.252407383 -9.10516780299997,143.234709288 -9.10710885799995,143.223243172 -9.11534580899996,143.195781633 -9.13507265699997,143.241027633 -9.16221865699993),(143.391389922 -8.50049852799998,143.371336634 -8.49389065599996,143.355807588 -8.49121041099994,143.324672423 -8.48583582299995,143.284084938 -8.47658663699997,143.274690779 -8.47444568899994,143.273664653 -8.47385537899993,143.261654633 -8.46694565599995,143.251372633 -8.45666365599993,143.233036633 -8.43444565599998,143.228021754 -8.42696863299994,143.227445196 -8.42610889499997,143.214691292 -8.41569085999993,143.214690977 -8.41569093599998,143.214690633 -8.41569065599998,143.182536633 -8.42347265599994,143.182536796 -8.42347283399994,143.182536299 -8.42347295399998,143.200513902 -8.44324045699994,143.240508633 -8.48721865599993,143.249394937 -8.49306098099993,143.25277229 -8.49528189299997,143.266991334 -8.50376514499993,143.269990633 -8.50555465599996,143.270919753 -8.50604913399997,143.278872363 -8.51028197899996,143.30517885 -8.52054166999994,143.367190634 -8.54472765599996,143.45059926 -8.60296637299996,143.487727262 -8.62889093799993,143.518594703 -8.64489113899998,143.585781634 -8.67971865599998,143.597266399 -8.68931820999995,143.601072386 -8.69249986099993,143.63244518 -8.73444608899996,143.639691335 -8.73139088599993,143.649835152 -8.70796749199997,143.653045634 -8.70055465599995,143.652972634 -8.68479065599996,143.649895189 -8.67688655499995,143.645809286 -8.66639090299998,143.467191264 -8.52778188399998,143.467190636 -8.52778165099994,143.422763322 -8.51083585499993,143.391389922 -8.50049852799998),(143.325589855 -8.39700251099993,143.354945175 -8.41805505999997,143.495654196 -8.47874607399996,143.509154257 -8.48249999299998,143.559145268 -8.49389099999996,143.572754127 -8.49389099999996,143.581363347 -8.49236398399995,143.612182264 -8.47528200099993,143.614171065 -8.47043007299993,143.616054634 -8.46583665599996,143.608418984 -8.44746135199995,143.578509309 -8.37548203199998,143.578508756 -8.37548194999994,143.578508634 -8.37548165599998,143.494690634 -8.36305465599997,143.356354634 -8.35777265599995,143.339063633 -8.35874565599994,143.335625503 -8.36033800799993,143.323163345 -8.36610888499996,143.314418338 -8.38013583299994,143.314743637 -8.38141126099993,143.317181633 -8.39097265599997,143.325589855 -8.39700251099993),(154.089690644 -11.3152816589999,154.021090643 -11.3488906589999,154.004990643 -11.385554659,154.060381643 -11.431945659,154.060381939 -11.4319457079999,154.060382349 -11.431946051,154.073600974 -11.434167556,154.106627644 -11.4397186589999,154.112181644 -11.4397186589999,154.112182096 -11.43971792,154.112182343 -11.43971792,154.136091386 -11.4006909399999,154.190245187 -11.3994460599999,154.215028029 -11.401483737,154.254363644 -11.404718659,154.264708644 -11.4198636589999,154.264709001 -11.4198635389999,154.264709344 -11.4198640409999,154.277194238 -11.4156954329999,154.287608644 -11.412218659,154.287608953 -11.4122180419999,154.287609374 -11.412217901,154.296653963 -11.3941609779999,154.297763644 -11.3919456589999,154.287336644 -11.362781659,154.276233969 -11.3469059679999,154.272472328 -11.3415269409999,154.248045856 -11.3301042109999,154.225254644 -11.3194456589999,154.153872644 -11.314163659,154.089690644 -11.3152816589999),(153.220518643 -11.327499659,153.199418643 -11.3220816589999,153.199418501 -11.322082001,153.19941823 -11.3220819319999,153.196324901 -11.329566045,153.187190643 -11.3516636589999,153.189408643 -11.3706906589999,153.271499643 -11.4593726589999,153.27150007 -11.459372785,153.271500251 -11.45937298,153.325527317 -11.4752819999999,153.379555872 -11.5002463,153.386990643 -11.5036816589999,153.383320797 -11.513005704,153.379254143 -11.523335786,153.364818326 -11.5511819769999,153.37291881 -11.5627336709999,153.376063643 -11.5672186589999,153.421354643 -11.5686096589999,153.479127643 -11.5733366589999,153.522218643 -11.602218659,153.540297163 -11.6188242339999,153.566072348 -11.642499963,153.566772302 -11.641894771,153.582454643 -11.628336659,153.601079369 -11.618180359,153.602327264 -11.61749993,153.673309244 -11.6280549259999,153.773100328 -11.613472929,153.775408951 -11.605721103,153.777072643 -11.6001366589999,153.777072254 -11.6001361159999,153.777072344 -11.600135812,153.769205312 -11.589168222,153.752763643 -11.5662456589999,153.686645643 -11.526945659,153.645536643 -11.514999659,153.623415258 -11.508916944,153.573300231 -11.4951358779999,153.56415895 -11.4930759019999,153.559145643 -11.491945659,153.507754643 -11.4724996589999,153.478188905 -11.4586558029999,153.437745242 -11.43971792,153.426909286 -11.4302819079999,153.413882299 -11.4161089479999,153.398036311 -11.4047179419999,153.339295692 -11.3782719719999,153.291927643 -11.356945659,153.220518643 -11.327499659)))', 'Papua New Guinean Exclusive Economic Zone', 'Papua New Guinea', 'Papua New Guinea', '', '17', '17', 'PNG', '8324', '', '2405135144000', '8324', 'Y'),('SRID=4326;MULTIPOLYGON(((-79.9164988269999 20.4951271240001,-79.755412104 20.463756656,-79.740902908 20.4597945720001,-79.5949518 20.4206581980001,-79.546646935 20.3946964680001,-79.406119562 20.320718942,-79.207312515 20.18953579,-78.986896212 20.0442704430001,-78.80263095 19.76621548,-78.799390691 19.7493110890001,-78.7480875689999 19.4827879530001,-78.723584579 19.3565440360001,-78.907650409 19.166097505,-78.9676464999999 19.1119085760001,-79.0255924149999 19.059853258,-79.0689617049999 19.0205884260001,-79.074932114 19.0151090540001,-79.18618172 18.9118205840001,-79.203993016 18.8951883130001,-79.327384351 18.78064685,-79.4267587749999 18.688045247,-79.436857563 18.677922638,-79.454043375 18.6603520460001,-79.4991176469999 18.6143890280001,-79.5036547559999 18.609841386,-79.512093802 18.601886817,-80.591886328 17.584084139,-80.8330559999999 17.584167,-82.35 17.584167,-83.597222 19.465833,-83.3153514369999 19.6714066770001,-83.1244034699999 19.793705964,-82.9341727349999 19.9141890770001,-82.710704866 20.05551712,-82.686659191 20.070716706,-82.673137996 20.0789815200001,-82.453442933 20.2132122940001,-82.383435812 20.2369319430001,-82.015487304 20.3616859140001,-81.849533219 20.4181575150001,-81.79080005 20.438527639,-81.75303244 20.4517047590001,-81.5187053769999 20.4874741200001,-81.426909262 20.496696978,-81.387519497 20.498632996,-81.193187393 20.5081364000001,-81.1352766219999 20.5011209520001,-81.0662500889999 20.492846032,-81.0429811929999 20.491100708,-80.954579442 20.4904432390001,-80.723561484 20.5921351920001,-80.5487562009999 20.672443807,-80.42966495 20.6378532460001,-80.346019239 20.613715262,-80.323855367 20.6074166450001,-80.3040268299999 20.6018107190001,-80.2218397299999 20.575992919,-80.207483859 20.5715508870001,-80.1136684809999 20.54574517,-80.031629207 20.5182399500001,-79.945263973 20.500855953,-79.9164988269999 20.4951271240001),(-81.2709815759999 19.3274993700001,-81.301390576 19.31221837,-81.314036576 19.30708137,-81.341672576 19.30416337,-81.355563576 19.30389037,-81.369590576 19.30805437,-81.395009576 19.32610937,-81.399863576 19.31041837,-81.400836576 19.28527237,-81.391399576 19.26721837,-81.2636185759999 19.2649993700001,-81.105563576 19.3027723700001,-81.095699576 19.3126363700001,-81.093063576 19.33277237,-81.097636576 19.3454183700001,-81.111672576 19.3529183700001,-81.1500095759999 19.35416337,-81.2544545759999 19.3538813700001,-81.2752815759999 19.3433273700001,-81.2709815759999 19.3274993700001)))', 'Cayman Islands Exclusive Economic Zone', 'Cayman Islands', 'United Kingdom', '', '180', '113', 'CYM', '8407', '', '119442716500', '8407', 'Y'),('SRID=4326;MULTIPOLYGON(((-67.5406025629999 19.9324583710002,-67.5432595629999 19.9159183700003,-67.5459155629998 19.8993793700003,-67.5485705629998 19.8828393700003,-67.5512245629998 19.8662993700003,-67.5538795629999 19.8497593700002,-67.5565325629998 19.8332193700002,-67.5591855629999 19.8166793700002,-67.5618385629998 19.8001393700004,-67.5644905629998 19.7835983700003,-67.567141563 19.7670583700003,-67.5697925629999 19.7505183700002,-67.5724425629998 19.7339773700003,-67.5750925629999 19.7174373700003,-67.5777415629998 19.7008963700004,-67.580390563 19.6843553700003,-67.5830385629998 19.6678153700003,-67.5856855629997 19.6512743700003,-67.5883325629999 19.6347333700002,-67.5909795629998 19.6181923700003,-67.5936255629999 19.6016513700004,-67.5962705629998 19.5851103700002,-67.5989155629999 19.5685693700003,-67.6015595629999 19.5520273700003,-67.6042035629999 19.5354863700002,-67.6068465629999 19.5189453700003,-67.6094895629998 19.5024033700003,-67.6121315629998 19.4858623700003,-67.6147735629999 19.4693203700003,-67.617414563 19.4527793700003,-67.6200555629999 19.4362373700002,-67.6226955629999 19.4196953700002,-67.6253345629997 19.4031533700002,-67.6279735629999 19.3866113700002,-67.6306115629999 19.3700693700002,-67.6332495629998 19.3535273700002,-67.6338845629999 19.3487033700002,-67.6360675629999 19.3321013700002,-67.6382495629998 19.3155003700003,-67.6408315629998 19.3079283700003,-67.6462595629999 19.2920113700003,-67.6516855629999 19.2760943700003,-67.6571105629998 19.2601763700002,-67.6625345629998 19.2442583700004,-67.6679575629999 19.2283403700003,-67.6733795629999 19.2124223700002,-67.6788005629999 19.1965043700003,-67.6842205629998 19.1805853700004,-67.6896385629997 19.1646663700004,-67.6932455629998 19.1535593700003,-67.6984345629999 19.1375713700003,-67.703623563 19.1215843700002,-67.7088115629999 19.1055963700002,-67.713998563 19.0896083700003,-67.7191835629999 19.0736203700004,-67.7243685629999 19.0576323700002,-67.7295525629998 19.0416443700002,-67.734734563 19.0256553700003,-67.7399165629998 19.0096663700002,-67.7416015629998 19.0043683700002,-67.7466935629997 18.9883533700003,-67.7517845629998 18.9723383700002,-67.7568745629999 18.9563233700003,-67.7619635629998 18.9403083700002,-67.7670515629999 18.9242933700003,-67.7721385629997 18.9082773700002,-67.7768915629998 18.8937243700001,-67.7821075629998 18.8777463700003,-67.7873225629998 18.8617683700002,-67.7925365629998 18.8457903690002,-67.7977495629999 18.8298123690002,-67.8029625629998 18.8138343690003,-67.8081735629997 18.7978553690003,-67.8133835629998 18.7818773690003,-67.8185925629999 18.7658983690003,-67.8238015629998 18.7499193690003,-67.8290085629999 18.7339403690002,-67.8342145629999 18.7179603690003,-67.8394205629999 18.7019813690004,-67.8446245629999 18.6860013690003,-67.8498275629998 18.6700213690003,-67.8550305629998 18.6540413690002,-67.8602315629997 18.6380613690004,-67.865432563 18.6220813690003,-67.8706315629998 18.6061003690003,-67.8758305629999 18.5901193690002,-67.8810275629999 18.574139369,-67.8901975629999 18.5675713690003,-67.9042245629998 18.557522369,-67.9182495629997 18.5474723690003,-67.9223025629998 18.5441203690003,-67.9355555629999 18.5331573690002,-67.9488055629998 18.5221943690001,-67.949608563 18.5215343690002,-67.9628955629997 18.5106133690002,-67.9761815629997 18.4996903690003,-67.9894655629997 18.4887663690002,-68.002747563 18.4778423690002,-68.0160275629999 18.4669163690003,-68.0166515629999 18.4663813690003,-68.0296925629999 18.4551973690002,-68.042732563 18.4440123690001,-68.055769563 18.4328263690002,-68.068805563 18.4216393690002,-68.0699195629999 18.420593369,-68.0824165629999 18.4088613690002,-68.0910545629998 18.4003703690001,-68.1032645629999 18.3883663690002,-68.1154725629998 18.3763613690003,-68.1179705629998 18.3732653690003,-68.1286685629998 18.3600123690002,-68.1393635629997 18.3467593690002,-68.150057563 18.3335053690003,-68.1607495629999 18.3202503690003,-68.169379563 18.3095453690003,-68.1800655629999 18.2962863690003,-68.1907495639999 18.2830273690003,-68.1941935639999 18.2750713690003,-68.200885564 18.2596083690003,-68.2075755639999 18.2441453690002,-68.2142655639998 18.2286823690003,-68.220953564 18.2132183690003,-68.2276405639999 18.1977543690001,-68.234326564 18.1822903690003,-68.2410105639998 18.1668253690003,-68.247694564 18.1513613690003,-68.252811564 18.1379423690002,-68.2588055639999 18.1222223690003,-68.258438564 18.117519369,-68.2571385639998 18.1008333690002,-68.2578155639997 18.0892863690003,-68.2587935639998 18.0725793690003,-68.2597715639999 18.0558733690003,-68.2607495639999 18.0391663690003,-68.2610095639998 18.0335333690001,-68.2617775639998 18.0168163690002,-68.2625465639998 18.000100369,-68.263314564 17.9833833690003,-68.2640835639998 17.9666663690003,-68.2645585639999 17.9550963690003,-68.2652445639998 17.9383763690003,-68.2659315639999 17.9216563690003,-68.2666175639998 17.9049363690003,-68.2673035639999 17.8882163690004,-68.2679895639998 17.8714963690003,-68.2686755639999 17.8547753690003,-68.2693615639998 17.8380553690003,-68.2696345639999 17.8322623690002,-68.2704225639998 17.8155463690002,-68.2712105639998 17.7988303690002,-68.2719985639999 17.7821133690003,-68.2727865639999 17.765397368,-68.2735735639998 17.7486813680003,-68.2743615639998 17.7319653680003,-68.2751485639998 17.7152483680002,-68.2759355639997 17.6985323680002,-68.276722564 17.6818163680002,-68.277509564 17.6650993680003,-68.2782965639998 17.6483833680001,-68.2790835639999 17.6316663680003,-68.2796305639999 17.6235933680003,-68.2807635639999 17.6068943680002,-68.2818955639997 17.5901963680003,-68.2830265639998 17.5734983680003,-68.2841585639999 17.5567993680003,-68.2852905639999 17.5401013680002,-68.2864215639999 17.5234023680003,-68.287552564 17.5067043680002,-68.2886835639998 17.4900063680003,-68.2898135639998 17.4733073680002,-68.2909445639998 17.4566083680002,-68.2920745639999 17.4399103680003,-68.2932045639998 17.4232113680002,-68.2943335639999 17.4065133680003,-68.2954635639999 17.3898143680003,-68.296593564 17.373115368,-68.2977225639997 17.3564163680003,-68.2986915639998 17.3452943680003,-68.3001435639998 17.3286183680002,-68.3015955639997 17.3119423680003,-68.3030475639998 17.2952663680002,-68.3044985639999 17.2785903680003,-68.3059505639998 17.2619153680003,-68.3074015639998 17.2452393680002,-68.3088525639998 17.2285633680003,-68.3103025639998 17.2118873680002,-68.3117535639997 17.1952113680003,-68.3132035639999 17.1785343680003,-68.3146525639999 17.1618583680003,-68.3161025639999 17.1451823680003,-68.3175515639998 17.1285063680003,-68.319000564 17.1118303680002,-68.3204495639999 17.0951533680002,-68.3218975639998 17.0784773680003,-68.3233465639998 17.0618013680002,-68.3247945639998 17.0451243680002,-68.3262415639999 17.0284483680003,-68.3276895639999 17.0117713680003,-68.3291365639998 16.9950953680003,-68.3305835639998 16.9784183680002,-68.3320305639999 16.961742368,-68.3334765639999 16.9450653680002,-68.3349225639998 16.9283893680003,-68.3363685639998 16.9117123680001,-68.3378145639999 16.8950353680003,-68.3392595639998 16.8783583680001,-68.3407045639999 16.8616823680002,-68.342149564 16.8450053680003,-68.3435945639999 16.8283283680003,-68.3450385639998 16.8116513680003,-68.3464835639999 16.7949743680003,-68.3479265639998 16.7782973680003,-68.3493705639999 16.7616203680003,-68.350813564 16.7449433680003,-68.3522575639999 16.7282663680003,-68.3537005639998 16.7115893680002,-68.3551425639999 16.6949113670002,-68.3565855639999 16.6782343670002,-68.3580275639998 16.6615573670002,-68.3594695639999 16.6448803670002,-68.3609105639998 16.6282023670001,-68.3623525639997 16.6115253670004,-68.3637935639998 16.5948483670002,-68.3652345639998 16.5781703670003,-68.3666745639999 16.5614933670003,-68.3681155639998 16.5448153670002,-68.3695555639999 16.5281383670003,-68.3709955639999 16.5114603670002,-68.3724345639997 16.4947823670003,-68.3738745639999 16.4781053670003,-68.3753135639998 16.4614273670002,-68.3767525639998 16.4447493670002,-68.3781915639998 16.4280723670002,-68.3796295639999 16.4113943670003,-68.3810675639999 16.3947163670002,-68.3825055639999 16.3780383670003,-68.3839435639999 16.3613603670003,-68.3853805639999 16.3446823670004,-68.3868185639998 16.3280043670003,-68.3882545639999 16.3113263670002,-68.3896915639999 16.2946483670003,-68.3911285639999 16.2779703670003,-68.3925645639998 16.2612923670002,-68.394000564 16.2446143670001,-68.3954365639999 16.227936367,-68.3968715639999 16.2112573670003,-68.3983075639998 16.1945793670004,-68.3997415639998 16.1779013670003,-68.4011765639997 16.1612223670003,-68.4026115639998 16.1445443670003,-68.4040455639997 16.1278663670002,-68.4054795639998 16.111187367,-68.4069135639999 16.0945093670003,-68.4083475639998 16.0778303670003,-68.4097805639998 16.0611523670003,-68.411213564 16.0444733670003,-68.4126465639999 16.0277943670001,-68.414079564 16.0111163670001,-68.4155115639999 15.9944373670003,-68.4169435639998 15.9777583670003,-68.418375564 15.9610803670003,-68.4198075639999 15.9444013670002,-68.4212385639999 15.9277223670003,-68.4226695639998 15.9110433670003,-68.4241005639999 15.8943643670003,-68.4255315639999 15.8776853670002,-68.4269625639998 15.8610063670002,-68.4283925639998 15.8443273670002,-68.4298225639999 15.8276483670002,-68.4312525639999 15.8109693670003,-68.4326815639999 15.7942903670003,-68.4341115639999 15.7776113670001,-68.4353635639997 15.7628343670003,-68.436776564 15.7461533670002,-68.4381905639999 15.7294733670003,-68.4396035639999 15.7127923670004,-68.4410165639998 15.6961123670003,-68.4424285639999 15.6794313670003,-68.4438415639998 15.662750367,-68.4452535639999 15.6460703670003,-68.4466655639998 15.6293893660003,-68.4480765639998 15.6127083660001,-68.449488564 15.5960283660002,-68.4508995639997 15.5793473660003,-68.452310564 15.5626663660003,-68.4537215639999 15.5459853660002,-68.4551315639998 15.529304366,-68.4565415639998 15.5126233660002,-68.4579515639999 15.4959423660003,-68.4593615639998 15.4792613660003,-68.460771564 15.4625803660002,-68.4621805639999 15.4458993660002,-68.4635895639999 15.4292183660003,-68.4649985639998 15.4125373660003,-68.4664075639998 15.3958563660003,-68.4678165639997 15.3791753660002,-68.4692245639997 15.3624933660003,-68.4706325639999 15.3458123660004,-68.4720405639998 15.3291313660002,-68.4734475639999 15.3124493660004,-68.4748555639998 15.2957683660002,-68.476262564 15.2790873660001,-68.4776695639999 15.2624053660002,-68.4790765639998 15.245724366,-68.4804825639998 15.2290423660002,-68.481888564 15.212361366,-68.8622225639999 15.2411113660003,-69.3410328879999 15.3564423750003,-69.5772225649998 15.4133333660002,-69.6972215649998 15.379167366,-69.9383325649999 15.3177783660002,-70.1358325649999 15.2638893660002,-70.8805555659998 15.0355563660003,-71.4052777329999 14.9644440360003,-71.4052779999998 14.9644440000003,-71.4052779999998 15.0628267790003,-71.5770209619999 15.02989724,-71.675 15.0111110000003,-73.458333 15.033333,-73.4192853993472 15.2583167209112,-73.3107825357139 15.6469724991286,-73.1808613817686 16.046246981549,-73.0685129774285 16.3909699427554,-73.0327368029252 16.4998204347439,-73.0195233844243 16.5401275214636,-72.9084523374491 16.7254131293731,-72.8210058858012 16.8667825135035,-72.65831206908 17.1277866928804,-72.5712677382854 17.2634296250695,-72.4217489000437 17.4426015567777,-72.397587468401 17.4711259524784,-72.3965702744804 17.4723293209703,-72.3602185762164 17.5153696426438,-72.3462374926199 17.5318417051915,-72.2989159829851 17.6236820192125,-72.2827296546735 17.6434496237467,-72.1687898486501 17.7643657881026,-72.160993719558 17.7673457185744,-72.1399054203491 17.7754251447402,-72.0236226200455 17.8188954961124,-72.0164197188105 17.8214948255235,-72.008419731053 17.8242621845802,-71.9832166722186 17.8328672984014,-71.9410557417166 17.8458030214011,-71.8334884848759 17.971307697592,-71.7988584571425 18.009622949582,-71.7839948956285 18.023890296865,-71.7726654910748 18.0315500699867,-71.771209949704 18.032799469464,-71.770492696863 18.0335045692747,-71.7703157387877 18.0336492410174,-71.7678641547686 18.0384995619615,-71.7678635669999 18.0384993690003,-71.7519545669998 18.0324993690002,-71.7325095669999 18.0224993690002,-71.6908455669998 17.9922183690001,-71.675418567 17.9790273690003,-71.6630725669998 17.9636093690002,-71.6588905669997 17.9530543690003,-71.6255635669999 17.8363908690002,-71.4238905669998 17.6041633680002,-71.4083365669998 17.6091633680002,-71.396663566 17.6183273680001,-71.2669545659999 17.8466633690002,-71.2488995659999 17.8797183690003,-71.2224995659998 17.8944453690002,-71.2072275659999 17.9077723690003,-71.1936185659997 17.9224998690003,-71.1844455659999 17.9347183690003,-71.0900095659998 18.0777723690003,-71.0556275659999 18.1490273690002,-71.0663905659998 18.1672183690002,-71.0744455659999 18.1797183690003,-71.0788995659999 18.1891633690002,-71.0997275659999 18.2358363690003,-71.1030545659998 18.2458273690003,-71.0997275659999 18.2633363690003,-71.081254566 18.2991633690003,-71.0684815659998 18.3072183690003,-71.053345566 18.3091633690003,-71.038890566 18.3077813690003,-71.0261185659998 18.3052723690002,-70.9883455659999 18.2940273690002,-70.9358365659998 18.2538903690002,-70.8669545659998 18.3122183690003,-70.7504275659999 18.3469363690003,-70.7386185659998 18.3524993690003,-70.7300095659998 18.3580543690002,-70.722781566 18.3649998690003,-70.7127815659997 18.3763908690002,-70.7083455659999 18.3863908690002,-70.7077815659999 18.3963813690003,-70.7120905659999 18.4112453690002,-70.6919455659999 18.4323633690003,-70.6644635659999 18.4349993690003,-70.6522365659998 18.4319453690003,-70.6225095659998 18.4236093690004,-70.611118566 18.4197183690003,-70.5906995659998 18.4061093690003,-70.5686185659999 18.3649998690003,-70.5726455659998 18.3120813690001,-70.5870275659999 18.2746273690002,-70.5540275659998 18.2520813690003,-70.5469545659998 18.2331913690003,-70.556399566 18.2258273690001,-70.5458365659998 18.206109369,-70.5075095659998 18.1947183690003,-70.4866815659998 18.1972183690002,-70.4752815659998 18.1997183690003,-70.459727566 18.2044363690002,-70.411663566 18.2258273690001,-70.4000095659998 18.2349993690002,-70.3837545659997 18.2363903690003,-70.3194545649998 18.2305543690003,-70.2294455649998 18.2236093690003,-70.184172565 18.2277723690003,-70.1720185649999 18.2323723690002,-70.1647365649999 18.229999369,-70.1541725649998 18.2330543690003,-70.072509565 18.3222183690003,-70.0611095649999 18.3361093690001,-70.0106815649998 18.4168903690002,-70.0019545649997 18.4206903690002,-69.9672185649997 18.4230633690003,-69.9594545649998 18.429163369,-69.9425095649999 18.4399993690002,-69.9125095649999 18.4591633690003,-69.9033365649998 18.4638903690002,-69.8847275649999 18.469027369,-69.7760365649999 18.4604813690003,-69.7463995649998 18.4602813690003,-69.6940365649999 18.4562453690003,-69.547227565 18.4169453690004,-69.5166815649999 18.4027723690002,-69.4686095649998 18.4161093690003,-69.3844455649998 18.4261093690002,-69.1948635639998 18.4274993690001,-69.1616725639998 18.4092993690003,-69.087881564 18.3956453690003,-69.0861185639998 18.3952723690003,-69.0634725639998 18.3909723690002,-68.9730725639999 18.4047183690003,-68.9147275639999 18.3974993690002,-68.9088905639999 18.3983273690004,-68.8952815639998 18.3963813690003,-68.8727905639998 18.3891633690001,-68.8633455639999 18.3841633690002,-68.8472275639999 18.3713903690002,-68.839736564 18.3644363690001,-68.8325095639999 18.3574993690003,-68.8205545639998 18.3416633690003,-68.7816815639998 18.277772369,-68.7713905639998 18.2608273690002,-68.7616725639999 18.2369453690002,-68.7555635639998 18.2197183690002,-68.728618564 18.2072183690001,-68.6980635639999 18.2033273690001,-68.6460455639998 18.2056273690003,-68.6369545639998 18.2163908690002,-68.6313905639999 18.2569453690002,-68.6070905639997 18.3652723690003,-68.590763564 18.3775633690003,-68.5694545639999 18.3680543690002,-68.5508455639999 18.3572183690004,-68.5313995639999 18.346945369,-68.5188905639999 18.344163369,-68.4765275639999 18.3445813690003,-68.4627815639998 18.3480543690001,-68.4513905639998 18.3538908690002,-68.3355545639999 18.5691633690002,-68.3268144482831 18.5898345352126,-68.3229275639998 18.5990273690001,-68.3255635639998 18.6166633690002,-68.343199564 18.6406908690003,-68.3577905639998 18.6547183690001,-68.4355275639999 18.7051543690004,-68.539736564 18.7786093690002,-68.5672275639997 18.8013913690003,-68.5905635639999 18.8211093690002,-68.656399564 18.8830543700001,-68.6915365639999 18.9237453700002,-68.7270905639999 18.9512453700003,-68.7388905639999 18.9577723700003,-68.773345564 18.9688913700003,-68.8936185639998 19.0122183700003,-68.9072275639998 19.0205543700003,-68.923899564 19.0298633700003,-68.9638995639999 19.0308273700003,-68.9894545639999 19.0188913700003,-69.1787815639999 19.0121273700003,-69.1922275639999 19.0119453700003,-69.253890564 19.0208273700003,-69.3558365649999 19.0522183700002,-69.366390565 19.0566633700003,-69.3769545649999 19.0659723700003,-69.3788905649998 19.0836093700003,-69.3830545649997 19.0930543700002,-69.3911095649998 19.0991633700003,-69.4022365649999 19.1030543700002,-69.4152815649999 19.1058273700003,-69.4297365649999 19.1072183700003,-69.4427815649997 19.1069453700002,-69.4688995649998 19.1061093700004,-69.5155635649999 19.0980543700002,-69.5319545649998 19.0941633700003,-69.5780635649999 19.0888913700002,-69.6038995649999 19.0880543700002,-69.6201455649999 19.0884723700001,-69.6316725649998 19.1016633700002,-69.6368095649999 19.1131908700003,-69.6270905649999 19.2124998700002,-69.6157725649999 19.2243723700003,-69.5883455649998 19.2241633700002,-69.3700095649999 19.1966633700004,-69.2430545639999 19.1802723700002,-69.2300095639998 19.1802723700002,-69.2183365639999 19.1861093700003,-69.1655545639998 19.2674998700003,-69.1583995639998 19.2804183700003,-69.1579275639999 19.2949998700003,-69.219736564 19.3605543700002,-69.2356995639998 19.3652723700003,-69.2622185649998 19.3550003700002,-69.3072365649999 19.3255543700003,-69.3191725649999 19.3163913700003,-69.4455545649998 19.3333273700002,-69.5225185649998 19.3355543700002,-69.5372275649999 19.3333273700002,-69.6755635649998 19.3008273700002,-69.7025185649999 19.2936093700004,-69.718609565 19.2888913700003,-69.7288995649999 19.2858273700002,-69.7413905649998 19.2863913700002,-69.7559815649998 19.2908363700003,-69.817781565 19.3466633700003,-69.824445565 19.3544453700003,-69.8391725649999 19.3744453700003,-69.8647275649998 19.4174998700003,-69.8770905649997 19.4424998700002,-69.8922275649999 19.5252723700003,-69.8813905649998 19.6002723700003,-69.8822365649998 19.6122183700003,-69.8884815649999 19.6262453700003,-69.8986185649999 19.6372183700003,-69.9363995649999 19.6711093700003,-69.9493185649998 19.6768003700003,-69.9669455649999 19.6788913700003,-70.0323725649998 19.6825003700002,-70.0533365649998 19.6756913700003,-70.0672275649998 19.6624998700003,-70.072918565 19.6558273700003,-70.0861185649999 19.6338913700004,-70.0982095649998 19.6245813700003,-70.1249995649998 19.6208273700001,-70.1469545649999 19.6227723700003,-70.185836565 19.6291633700003,-70.2752815649998 19.6455543700002,-70.2908455649999 19.6491633700003,-70.3033455649998 19.6550003700002,-70.3208455649999 19.6672183700002,-70.3536185659999 19.6922183700003,-70.3880725659999 19.7347183700003,-70.3994455659998 19.7447183700003,-70.4544545659999 19.7825003700002,-70.4712545659999 19.7829183700003,-70.4888905659998 19.7763913700003,-70.5183365659998 19.7570813700002,-70.5576365659999 19.7530543700003,-70.6325095659999 19.7597183700003,-70.709454566 19.8022183700003,-70.7836185659999 19.8466633700002,-70.801118566 19.8647183700002,-70.8301455659999 19.8970813700003,-70.8419455659998 19.9036093700002,-70.9944545659997 19.9306913710002,-71.0113995659999 19.9308273710002,-71.0291725659999 19.9283363700003,-71.0452905659999 19.9233363700003,-71.0636095659998 19.9138913700002,-71.0858365659997 19.8947908700003,-71.0947995659998 19.8740913700001,-71.1502815659999 19.8494453700002,-71.2320365659999 19.8295633700002,-71.2488995659999 19.8247183700003,-71.2608365659999 19.8230543700003,-71.3558365659999 19.8483273700003,-71.366672566 19.8525003700002,-71.4019455659997 19.8694453700003,-71.4311185669998 19.8841633700002,-71.4475095669999 19.8905543700002,-71.4845185669998 19.9040273700003,-71.529445567 19.9083363700003,-71.5833455669998 19.9080543700003,-71.5952905669997 19.9063913700003,-71.6658365669999 19.8937453700003,-71.7722995669997 19.7841633700003,-71.7759815669998 19.7705543700003,-71.7622185669998 19.7694453700002,-71.7447365669998 19.7602723700003,-71.7308365669998 19.7344453700003,-71.719654567 19.7013183700003,-71.7541815669999 19.7058273700003,-71.7541823903068 19.7058274477266,-71.7545013654293 19.706122007349,-71.7573287964055 19.7124220466467,-71.7570039173443 19.7156235666315,-71.7570040651257 19.7269795696419,-71.7599691090189 19.728999862819,-71.7626074271005 19.7311375898094,-71.7645771117631 19.7331736238515,-71.7656883147952 19.7340918648491,-71.7754971434441 19.7337473971481,-71.7757776819078 19.7337325319797,-71.7842591619433 19.7347999455358,-71.7844637182531 19.7348686435948,-71.7947926845031 19.7387852186697,-71.7956063691756 19.7390732496561,-71.7974390696272 19.739596628318,-71.80235897442 19.741833328089,-71.8120292835063 19.7471978102129,-71.8214385738487 19.7542766763483,-71.8322278399828 19.7645926399615,-71.8333018903195 19.7655051327194,-71.8367938266817 19.7689547374864,-71.8395022064592 19.7725402324533,-71.8448214158949 19.7783882430205,-71.8485589482199 19.7823895388352,-71.8574987101189 19.7863780526321,-71.8598648206021 19.7875678315553,-71.8611769782499 19.7882095799846,-71.8616149889537 19.7884840768193,-71.8731496296019 19.7961507890802,-71.8824394263063 19.8046075825033,-71.8829019322011 19.8047032528976,-71.9116102415562 19.8111520223243,-71.9341675705531 19.8200890009217,-71.9684909866632 19.8405584837584,-71.9966832472593 19.8575321355538,-72.0149342321385 19.8703702397175,-72.0181651950858 19.8738073738178,-72.0282696555809 19.8847779287233,-72.0292392893763 19.8858270447246,-72.0514985820748 19.9096506458076,-72.0594814162562 19.9182391315189,-72.0597688528698 19.9187218545072,-72.0747103015668 19.9604930895821,-72.0792406357617 19.9733835784855,-72.1006895732523 20.0354355162098,-72.1123270306211 20.068719232127,-72.1876595649892 20.287491985232,-72.1873543775309 20.2893204736659,-72.1472219999999 20.5452780000002,-71.462221567 20.5575003710002,-70.3263885649998 20.7233333710002,-69.4833325649998 21.1916673720003,-67.6677775629998 22.4130563730004,-67.4030755629999 22.2838203730003,-67.4028395629999 22.2836623730002,-67.4020555629997 22.2833093730003,-66.8953725619999 21.9423573720002,-66.8247775619998 21.8542513720002,-66.825125562 21.8534853720003,-66.8321315619999 21.8380913720002,-66.8391345619998 21.8226973720002,-66.8461375619999 21.8073023720002,-66.8531385619999 21.7919073720003,-66.8601375619999 21.7765123720003,-66.8671355619999 21.7611173720003,-66.8741315619999 21.7457213720003,-66.8811265619998 21.7303243720003,-66.8881195619998 21.7149283720003,-66.8951115619999 21.6995313720002,-66.9021025619999 21.6841343720002,-66.9090915619998 21.6687363720004,-66.9160785619997 21.6533383720003,-66.9230645619999 21.6379403720003,-66.9300485619999 21.6225413720003,-66.9370325619997 21.6071423720002,-66.9440135619998 21.5917433720003,-66.9509935619998 21.5763443720002,-66.957972562 21.5609443720003,-66.9633735619999 21.5490653720003,-66.9703705619998 21.5336733720002,-66.9773665619999 21.5182813720002,-66.9843615619999 21.5028893720003,-66.9854245619997 21.5006013720003,-66.9925535619998 21.4852633720003,-66.9996815619999 21.4699253720003,-67.0068075619998 21.4545873720002,-67.0139325619999 21.4392483720003,-67.0210555619998 21.4239083720003,-67.0281775619999 21.4085693720003,-67.0352975619999 21.3932293720003,-67.0424165619999 21.3778883720003,-67.0439275619999 21.3744893720003,-67.0507895619999 21.3590473720004,-67.0576495619998 21.3436043720003,-67.0645075619998 21.3281613720003,-67.0713655619999 21.3127173720004,-67.0782215619997 21.2972743720003,-67.0850755619998 21.2818303720002,-67.0919285619997 21.2663863720003,-67.0987805619998 21.2509413720003,-67.105630562 21.2354963720003,-67.1124795629998 21.2200513720003,-67.1193265629998 21.2046053720003,-67.1261725629998 21.1891603720003,-67.1330165629999 21.1737143720002,-67.1398595629998 21.1582673720002,-67.146701563 21.1428203720002,-67.1535415629999 21.1273733720003,-67.1603805629999 21.1119263720002,-67.1672175629998 21.0964793720002,-67.1740535629999 21.0810313720003,-67.1808885629999 21.0655823720003,-67.187721563 21.0501343720002,-67.1945535629997 21.0346853720002,-67.201383563 21.0192363720003,-67.208212563 21.0037863720002,-67.2150405629999 20.9883373710003,-67.2218665629999 20.9728873710002,-67.2286905629998 20.9574363710003,-67.2355145629998 20.9419863710003,-67.2423355629998 20.9265353710002,-67.249156563 20.9110833710003,-67.2559755629999 20.8956323710003,-67.2627935629999 20.8801803710003,-67.2696095629997 20.8647283710002,-67.2764245629999 20.8492753710003,-67.2832385629998 20.8338233710002,-67.290050563 20.8183703710002,-67.2968615629999 20.8029163710002,-67.297472563 20.8008333710003,-67.3022055629999 20.7847083710001,-67.3069375629998 20.7685843710003,-67.311669563 20.7524593710003,-67.3163995629999 20.7363333710003,-67.3211285629998 20.7202083710003,-67.3258565629998 20.7040833710003,-67.3305845629998 20.6879573710003,-67.3353105629999 20.6718313710002,-67.3400355629997 20.6557053710004,-67.3447595629998 20.6395793710003,-67.3494825629999 20.6234533710003,-67.3542055629998 20.6073263710003,-67.3589265629999 20.5912003710002,-67.363646563 20.5750733710003,-67.3683655629998 20.5589463710003,-67.3730845629999 20.5428193710002,-67.3778015629999 20.5266923710003,-67.382517563 20.5105643710002,-67.3872325629998 20.4944373710003,-67.3919475629998 20.4783093710003,-67.3966605629999 20.4621813710002,-67.4013725629999 20.4460533710003,-67.4060845629999 20.4299253710003,-67.410794563 20.4137973710003,-67.4155035629997 20.3976683710003,-67.4202125629998 20.3815403710003,-67.4249195629998 20.3654113710003,-67.4296265629998 20.3492823710002,-67.4343315629998 20.3331533710003,-67.4390365629998 20.3170233710002,-67.4437395629997 20.3008943710003,-67.448442563 20.2847643710003,-67.4531435629999 20.2686343710002,-67.4578445629999 20.2525053710003,-67.4625445629999 20.2363743710002,-67.4672425629998 20.2202443710001,-67.471940563 20.2041143710003,-67.4766375629999 20.1879833710002,-67.4813325629999 20.1718533710002,-67.4860275629999 20.1557223710003,-67.4867205629997 20.1532673710002,-67.4912835629999 20.1371023710003,-67.4958455629998 20.1209373710002,-67.5004065629999 20.1047733710004,-67.504966563 20.0886083710003,-67.5095255629999 20.0724433710002,-67.5140835629999 20.0562773710002,-67.517416563 20.0448883710002,-67.519958563 20.0355363710003,-67.5243615629998 20.0193333710002,-67.5260275629998 20.0143333710002,-67.526994563 20.0101263710003,-67.5307495629997 19.9937773710003,-67.5326305629998 19.9820773710003,-67.5352885629998 19.9655373710003,-67.5379465629997 19.9489983710002,-67.5406025629999 19.9324583710002),(-68.7799995639999 18.1977093690003,-68.7849995639999 18.1797183690003,-68.7815365639999 18.1698543690002,-68.7555635639998 18.1298543690003,-68.7319455639997 18.1199993690003,-68.701672564 18.1119453690004,-68.6912635639998 18.1111093690003,-68.662227564 18.1197183690003,-68.6522365639997 18.1236093690003,-68.6402905639998 18.1249993690003,-68.6205635639998 18.1216633690003,-68.5900095639997 18.1136093690004,-68.5733365639999 18.1016633690003,-68.568554564 18.1080543690003,-68.5744455639999 18.1294453690002,-68.5872275639998 18.1538903690002,-68.5977815639998 18.1613903690003,-68.609999564 18.1647183690004,-68.7799995639999 18.1977093690003)))', 'Dominican Republic Exclusive Economic Zone', 'Dominican Republic', 'Dominican Republic', '', '115', '115', 'DOM', '8409', '', '270099985900', '8409', 'Y'),('SRID=4326;MULTIPOLYGON(((-65.3456842904946 19.6188483792993,-65.3430289690286 19.4215622715038,-65.3382577887944 19.0808524365858,-65.2647702764936 18.7081946746637,-65.2622485882322 18.6952196348278,-65.2584724426268 18.6831288993733,-65.222567312829 18.5710619090779,-65.167720359523 18.4259859216523,-65.1605809306034 18.4080616598378,-65.1589644429794 18.4040269851685,-65.1576743593832 18.400752567578,-65.1574816609056 18.3944052616699,-65.1572738997391 18.3728346297906,-65.1571286549047 18.3621027293912,-65.1571605594604 18.3604676373566,-65.1546170287767 18.3341665267944,-65.1535836730608 18.322752525926,-65.1517487100458 18.3113889694216,-65.1314562526345 18.1933005657038,-65.1002073789144 18.164852229131,-65.0914318537038 18.1510059659436,-65.0013885498045 18.1516656072411,-64.9999999999999 18.1516669006225,-64.9883857467259 18.1516882447093,-64.9757548772645 18.1469341442904,-64.9522262167279 18.1320026847777,-64.9519291636752 18.1318129982257,-64.9499404644015 18.1305391949388,-64.8509712219238 18.0669496428511,-64.770372056149 18.0143852020011,-64.7783355712889 18.006195841005,-64.778751373291 18.0057687766487,-64.7797241210938 18.0047721945408,-64.7844125945921 17.9999990463257,-64.8234746087253 17.9601804751879,-64.8302873816643 17.9535247514535,-64.8560501773714 17.9307185761837,-64.8573910104139 17.9295446929524,-64.8574888000529 17.9294595549102,-64.8580205395484 17.9289992035871,-64.872360229492 17.9209243153531,-64.9070015225779 17.9018375990868,-64.9522766823058 17.8779418544256,-64.9541739887655 17.87696817662,-64.9781292572358 17.8647897526462,-64.989308822972 17.8596029825632,-64.9999999999999 17.8546608539966,-65.0406727425219 17.8358126681276,-65.0429875801442 17.8347502775583,-65.0717883515685 17.8215956283658,-65.2262675494301 17.7570192535045,-65.2727469913119 17.7429666714792,-65.2861149860304 17.7293401101434,-65.3044098341461 17.7105136637255,-65.3055974823653 17.7091729859805,-65.3170722771724 17.6943898095914,-65.3277384807776 17.680000305176,-65.3279450401334 17.6797218322756,-65.3281503253676 17.6794452667236,-65.3283571660601 17.6791667938232,-65.3286676424669 17.6787490844728,-65.4481136372162 17.5182667307844,-65.5323600769044 17.3865040388765,-65.5334791479979 17.3847476051524,-65.5441979374692 17.3547991295989,-65.5442170423227 17.3547383382162,-65.602055327987 17.1734436680669,-65.6351785195642 17.0626898919822,-65.7400360282304 16.7095315302614,-65.757225641901 16.6498632641238,-65.7909852580924 16.5111297032183,-65.8280566335811 16.327915808214,-65.6481941906632 15.8608057204567,-65.6470333167909 15.857790883743,-65.657242515 15.851598004,-65.6607033029999 15.8494986970002,-65.665769293 15.846425041,-65.675353133 15.8406103000001,-65.690001641 15.8317209590001,-65.6966457139999 15.8276882430002,-65.7046489209999 15.8228305820002,-65.719294974 15.8139391690002,-65.7339396109999 15.8050468120001,-65.7454939209999 15.7980296420001,-65.748583115 15.7961535110001,-65.7632252019998 15.787259174,-65.774296442 15.7805326020002,-65.777866062 15.778363803,-65.7925056939998 15.7694674870001,-65.807144004 15.7605701370001,-65.8217810869999 15.7516718430001,-65.8364168479999 15.7427725140001,-65.8448884879999 15.737620324,-65.8510513809999 15.733872242,-65.865684593 15.724970936,-65.874507283 15.7196030860001,-65.880316482 15.7160686860001,-65.889501945 15.7104790380002,-65.894947239 15.7071654020001,-65.9095765789999 15.6982611760002,-65.924204785 15.6893559150001,-65.930546006 15.6854947920001,-65.93883167 15.6804497120001,-65.9508013829999 15.6731599370002,-65.9534572329999 15.6715424750001,-65.9680815689999 15.6626342960001,-65.9695476919999 15.6617410840001,-65.977694431 15.6567778140001,-65.9890927619999 15.6442024650001,-66.000489676 15.6316265160001,-66.003645922 15.6281431790001,-66.011885268 15.6190499680001,-66.0215367889999 15.6083962370001,-66.0232793499999 15.60647273,-66.024749615 15.6048495390001,-66.034672109 15.5938949860001,-66.043455049 15.5841969280001,-66.0460635469999 15.5813166440001,-66.057453568 15.568737615,-66.0601902379999 15.565714743,-66.0688421729999 15.5561579890002,-66.0773579819999 15.54675005,-66.080229361 15.5435778600001,-66.0834457059999 15.5400239590001,-66.091615228 15.5309970440001,-66.098849171 15.5230025260001,-66.1029996779998 15.5184156340001,-66.114382712 15.505833631,-66.1188055439999 15.500944433,-66.1293680309999 15.4877073960001,-66.139148755 15.475447999,-66.1391507289999 15.4754455250002,-66.139929196 15.4744697750001,-66.1404976349999 15.4737571630001,-66.1504889449999 15.4612317550001,-66.158120164 15.451663496,-66.1610474659999 15.447993153,-66.1716045709999 15.4347539700001,-66.1821603539999 15.42151439,-66.188163443 15.4139837480001,-66.1927148149999 15.4082742290001,-66.203267954 15.395033491,-66.2138196759999 15.3817923570001,-66.2179075789999 15.3766617130001,-66.224370171 15.3685506450001,-66.2349192499999 15.355308448,-66.2376919769999 15.3518272720001,-66.2454670069999 15.3420656760002,-66.2560135309999 15.328822416,-66.256013567 15.3288223710001,-66.2665586489999 15.3155786800001,-66.274296271 15.3058592630002,-66.2743032599999 15.3058504840001,-66.27710244 15.3023343660001,-66.279137525 15.2997776330002,-66.2876449089999 15.2890895710001,-66.298186056 15.2758442950001,-66.3087258809999 15.2625984480002,-66.314075797 15.2558738940002,-66.319264384 15.2493521210001,-66.329801566 15.2361053150001,-66.3299505059999 15.235918055,-66.3321388489999 15.233166682,-66.337426389 15.2265288830001,-66.342685095 15.2199272790002,-66.348646769 15.2124419350001,-66.3486499489999 15.2124379420002,-66.3532300189999 15.2066873090001,-66.3637736219999 15.1934467720002,-66.374315996 15.1802058520001,-66.384856954 15.1669643660002,-66.395396558 15.1537223630001,-66.3953965929999 15.1537223190001,-66.3972047249999 15.151450237,-66.3972163609999 15.1514356150001,-66.405934999 15.140479885,-66.416471992 15.1272368900001,-66.427007757 15.1139933330001,-66.4300808219999 15.1101298390001,-66.4375421999999 15.1007493060001,-66.4458240709999 15.0903355630001,-66.448075321 15.0875048090001,-66.4557951289999 15.077796271,-66.458607214 15.074259752,-66.465784437 15.0652320430002,-66.4658090889999 15.0652010350001,-66.469137691 15.061014227,-66.4796669409999 15.0477681430001,-66.4901948689998 15.0345215920001,-66.5007214739999 15.0212745750002,-66.5055542509999 15.0151918350002,-66.5112467579999 15.0080270020002,-66.5217708149999 14.994778964,-66.5271525319999 14.9880031880001,-66.532293549 14.9815304630001,-66.5428149609999 14.9682814060002,-66.551791185 14.9569763330001,-66.5533351459999 14.9550317960001,-66.5543047499999 14.953810435,-66.5638540089999 14.9417817240001,-66.5725835839999 14.9307837630001,-66.57437155 14.9285311920002,-66.5744512369999 14.9284308030001,-66.5746388649999 14.928194428,-66.582205528 14.9283311000002,-66.5918499539999 14.9285053010001,-66.609061136 14.9288148890001,-66.6262724129999 14.929123283,-66.64348369 14.929430299,-66.6606949669999 14.9297359370001,-66.6772362529999 14.9300285270002,-66.6779064329999 14.9300403810001,-66.6951178049999 14.93034354,-66.7123292709999 14.930645413,-66.714069416 14.9306757940001,-66.729540831 14.9309459080001,-66.7467523909999 14.931245118,-66.763963952 14.931543133,-66.7703627499999 14.9316534150001,-66.781175606 14.9318397710001,-66.791996973 14.932025465,-66.798387356 14.9321351240001,-66.8155991049999 14.9324291900001,-66.8328109479999 14.9327219710001,-66.8500225619998 14.9330133680001,-66.8500227919999 14.9330133730001,-66.8607498539999 14.9331944200002,-66.860749955 14.933194422,-66.8776572799999 14.936342999,-66.894564983 14.9394903360001,-66.9024307899999 14.9409539150001,-66.9114732529999 14.9426364330001,-66.92838209 14.9457812850001,-66.92838256 14.945781373,-66.945291303 14.9489248140002,-66.957736637 14.9512374870001,-66.962201083 14.952067099,-66.979111336 14.955208235,-66.9960220599999 14.95834804,-67.0059309479999 14.9601870400002,-67.0129332569999 14.9614866050001,-67.01905462 14.9626221880002,-67.02984502 14.9646239300001,-67.046757161 14.9677599230001,-67.0554800359999 14.9693767470001,-67.0636698689999 14.9708947690002,-67.0682668439999 14.971746554,-67.0715832829999 14.9723610650001,-67.0876944229999 14.977361118,-67.1026944729999 14.9809722050001,-67.1080697819999 14.982288625,-67.1163055419999 14.9843055740001,-67.1220516969999 14.9854698650001,-67.1331619719999 14.9877210380001,-67.1500188749999 14.991135346,-67.1668763439999 14.9945483180002,-67.1668765639999 14.9945483620002,-67.1837342859998 14.9979600340002,-67.193845799 15.000005645,-67.200592794 15.0013705970002,-67.217451868 15.0047798200001,-67.2343115099999 15.0081877950001,-67.2511716229999 15.0115946140002,-67.259871383 15.01335177,-67.2680323019999 15.015000092,-67.2848934539999 15.018404323,-67.3017552669999 15.0218073060001,-67.301755563 15.0218073660001,-67.3186174579999 15.0252090410001,-67.3270350309999 15.0269065370001,-67.3354803089999 15.02860962,-67.3523436329999 15.032008859,-67.3692075229998 15.03540685,-67.3860718849999 15.0388035940001,-67.394083312 15.0404166980001,-67.403576449 15.0423496330001,-67.4109404979999 15.0438490560001,-67.4277981559999 15.0472801650002,-67.4446563809998 15.0507099340001,-67.454845798 15.0527821790001,-67.461515172 15.0541385450001,-67.467661901 15.0553881230001,-67.4783745299999 15.0575659080001,-67.4952343599999 15.0609919310002,-67.503691476 15.0627098320001,-67.5120947569998 15.064416797,-67.5262237379999 15.0672856080001,-67.5289557199999 15.0678403220001,-67.5317039349999 15.0683981250001,-67.545817249 15.0712626910001,-67.5626792509999 15.0746837190001,-67.579541819 15.0781034990001,-67.5824260799999 15.078688206,-67.5964048599998 15.0815220310001,-67.606027825 15.0834722420001,-67.6211141159999 15.0865272480001,-67.6228920929999 15.086887292,-67.624169238 15.0871458200001,-67.6397569279999 15.0903011850002,-67.6459456669999 15.091553425,-67.6566222339999 15.0937137390001,-67.6676969099999 15.095953712,-67.673488107 15.0971250440001,-67.6903545469999 15.100535102,-67.707221459 15.103943911,-67.722971947 15.1071258180002,-67.7240889369999 15.1073514720002,-67.7409569819999 15.1107577860001,-67.7578254989999 15.1141628510001,-67.774694677 15.117566578,-67.7835520429999 15.119353088,-67.7915643269999 15.120969148,-67.8055432499999 15.1237874760001,-67.8084344489999 15.124370378,-67.8253052319999 15.127770361,-67.828611086 15.12843633,-67.842176487 15.1311690970001,-67.8500789259999 15.132760424,-67.859048215 15.1345665840001,-67.8759206029999 15.1379628250002,-67.8927934639999 15.1413577260001,-67.909666796 15.1447514710002,-67.911319721 15.1450837810002,-67.9265407899999 15.148143877,-67.943415256 15.151535036,-67.960290288 15.154924948,-67.971553332 15.1571865960001,-67.9771658869999 15.1583136120001,-67.981599608 15.159203538,-67.994041958 15.1617009370001,-68.0109185949999 15.165087107,-68.027795705 15.1684719390001,-68.040006223 15.1709198520001,-68.044673475 15.1718555230001,-68.061551718 15.1752378600001,-68.062444405 15.1754166820002,-68.079614702 15.1768547740002,-68.096785188 15.1782914810001,-68.1012723329999 15.1786666140001,-68.1139559569999 15.1797269860001,-68.1311269149999 15.181161105,-68.148298156 15.1825939300002,-68.1543693379999 15.1831001940001,-68.155499989 15.1831944760002,-68.16046353 15.183593483,-68.1726758569998 15.1845752030001,-68.180303357 15.185187774,-68.1898520079999 15.1859546360001,-68.2070283479998 15.1873326850001,-68.2242048769999 15.1887094400001,-68.2261724389999 15.1888670070001,-68.241381689 15.1900849950001,-68.2585586899999 15.1914591650001,-68.2757359749999 15.192831951,-68.2878699719999 15.19380083,-68.2929133529999 15.194203535,-68.310091015 15.195573735,-68.3272689609999 15.1969426430002,-68.3405863019999 15.198002886,-68.344447095 15.1983102580001,-68.348572502 15.1986383820001,-68.361625418 15.1996765800001,-68.3788039299999 15.201041609,-68.3896484169999 15.201902439,-68.3959827249999 15.2024052540002,-68.402048339 15.2028862780002,-68.413161709 15.2037676060001,-68.4303409759999 15.2051286660001,-68.4475204319999 15.2064884330001,-68.4502885589999 15.206707347,-68.4585555639999 15.207361366,-68.475387564 15.2109683660001,-68.481888564 15.212361366,-68.4804825639999 15.229042366,-68.4790765639999 15.245724366,-68.4776695639999 15.262405366,-68.476262564 15.2790873660001,-68.4748555639999 15.295768366,-68.4734475639999 15.3124493660002,-68.4720405639999 15.329131366,-68.470632564 15.3458123660002,-68.4692245639998 15.3624933660001,-68.4678165639999 15.379175366,-68.4664075639999 15.3958563660001,-68.4649985639999 15.4125373660001,-68.463589564 15.4292183660001,-68.4621805639999 15.445899366,-68.460771564 15.4625803660002,-68.4593615639999 15.4792613660001,-68.4579515639999 15.4959423660001,-68.4565415639999 15.5126233660001,-68.4551315639999 15.529304366,-68.453721564 15.545985366,-68.452310564 15.5626663660001,-68.4508995639998 15.5793473660001,-68.449488564 15.596028366,-68.4480765639999 15.6127083660001,-68.4466655639999 15.6293893660001,-68.4452535639999 15.6460703670001,-68.4438415639999 15.662750367,-68.442428564 15.6794313670002,-68.4410165639999 15.6961123670001,-68.439603564 15.7127923670002,-68.438190564 15.7294733670001,-68.436776564 15.746153367,-68.4353635639998 15.7628343670002,-68.434111564 15.7776113670001,-68.432681564 15.7942903670001,-68.4312525639999 15.8109693670001,-68.4298225639999 15.8276483670001,-68.4283925639999 15.8443273670001,-68.4269625639999 15.8610063670002,-68.425531564 15.877685367,-68.424100564 15.8943643670002,-68.4226695639999 15.9110433670001,-68.421238564 15.9277223670001,-68.4198075639999 15.9444013670001,-68.418375564 15.961080367,-68.416943564 15.9777583670001,-68.4155115639999 15.9944373670001,-68.414079564 16.0111163670001,-68.4126465639999 16.0277943670001,-68.411213564 16.0444733670001,-68.409780564 16.0611523670001,-68.4083475639999 16.0778303670002,-68.406913564 16.0945093670001,-68.4054795639999 16.111187367,-68.4040455639998 16.127866367,-68.4026115639999 16.1445443670001,-68.4011765639999 16.1612223670002,-68.399741564 16.1779013670001,-68.3983075639999 16.1945793670002,-68.396871564 16.2112573670001,-68.3954365639999 16.227936367,-68.394000564 16.2446143670001,-68.3925645639999 16.2612923670002,-68.391128564 16.2779703670001,-68.3896915639999 16.2946483670002,-68.388254564 16.311326367,-68.3868185639999 16.3280043670001,-68.3853805639999 16.3446823670002,-68.3839435639999 16.3613603670001,-68.382505564 16.3780383670002,-68.3810675639999 16.3947163670001,-68.379629564 16.4113943670001,-68.3781915639999 16.428072367,-68.376752564 16.4447493670002,-68.3753135639999 16.4614273670001,-68.3738745639999 16.4781053670001,-68.3724345639998 16.4947823670001,-68.3709955639999 16.511460367,-68.3695555639999 16.5281383670001,-68.3681155639999 16.5448153670001,-68.3666745639999 16.5614933670001,-68.3652345639999 16.5781703670001,-68.3637935639999 16.594848367,-68.3623525639998 16.6115253670002,-68.3609105639999 16.628202367,-68.3594695639999 16.644880367,-68.3580275639999 16.6615573670001,-68.3565855639999 16.678234367,-68.3551425639999 16.694911367,-68.3537005639999 16.711589368,-68.352257564 16.7282663680002,-68.350813564 16.7449433680002,-68.3493705639999 16.7616203680001,-68.3479265639999 16.7782973680002,-68.346483564 16.7949743680001,-68.3450385639999 16.8116513680001,-68.3435945639999 16.8283283680001,-68.342149564 16.8450053680001,-68.3407045639999 16.8616823680001,-68.3392595639999 16.8783583680001,-68.337814564 16.8950353680002,-68.3363685639999 16.9117123680001,-68.3349225639999 16.9283893680001,-68.333476564 16.945065368,-68.332030564 16.961742368,-68.3305835639999 16.9784183680001,-68.3291365639999 16.9950953680001,-68.327689564 17.0117713680002,-68.326241564 17.0284483680001,-68.3247945639999 17.045124368,-68.3233465639999 17.061801368,-68.3218975639999 17.0784773680001,-68.3204495639999 17.0951533680002,-68.319000564 17.111830368,-68.3175515639999 17.1285063680001,-68.3161025639999 17.1451823680002,-68.314652564 17.1618583680001,-68.3132035639999 17.1785343680002,-68.3117535639998 17.1952113680001,-68.3103025639999 17.211887368,-68.3088525639999 17.2285633680002,-68.3074015639999 17.2452393680001,-68.3059505639999 17.2619153680001,-68.304498564 17.2785903680001,-68.3030475639999 17.295266368,-68.3015955639999 17.3119423680001,-68.3001435639999 17.328618368,-68.2986915639999 17.3452943680001,-68.2977225639999 17.3564163680002,-68.296593564 17.373115368,-68.295463564 17.389814368,-68.2943335639999 17.4065133680001,-68.293204564 17.423211368,-68.292074564 17.4399103680001,-68.2909445639999 17.456608368,-68.2898135639999 17.4733073680001,-68.2886835639999 17.4900063680001,-68.287552564 17.506704368,-68.286421564 17.5234023680002,-68.285290564 17.540101368,-68.2841585639999 17.5567993680002,-68.2830265639999 17.5734983680002,-68.2818955639999 17.5901963680001,-68.280763564 17.606894368,-68.2796305639999 17.6235933680001,-68.279083564 17.6316663680001,-68.278296564 17.6483833680001,-68.277509564 17.6650993680001,-68.276722564 17.6818163680002,-68.2759355639998 17.698532368,-68.2751485639999 17.7152483680001,-68.2743615639999 17.7319653680001,-68.2735735639999 17.7486813680002,-68.2727865639999 17.765397368,-68.2719985639999 17.7821133690001,-68.2712105639999 17.798830369,-68.2704225639999 17.8155463690001,-68.2696345639999 17.832262369,-68.2693615639999 17.8380553690001,-68.268675564 17.8547753690001,-68.2679895639999 17.8714963690002,-68.267303564 17.8882163690002,-68.2666175639999 17.9049363690002,-68.265931564 17.9216563690002,-68.2652445639999 17.9383763690001,-68.264558564 17.9550963690002,-68.2640835639999 17.9666663690002,-68.263314564 17.9833833690001,-68.2625465639999 18.000100369,-68.2617775639999 18.016816369,-68.2610095639999 18.0335333690001,-68.2607495639999 18.0391663690001,-68.2597715639999 18.055873369,-68.2587935639999 18.0725793690002,-68.2578155639998 18.0892863690001,-68.2571385639999 18.100833369,-68.258438564 18.117519369,-68.2588055639999 18.1222223690002,-68.252811564 18.137942369,-68.247694564 18.1513613690001,-68.2410105639999 18.166825369,-68.234326564 18.1822903690002,-68.227640564 18.1977543690001,-68.220953564 18.2132183690001,-68.2142655639999 18.2286823690001,-68.207575564 18.244145369,-68.200885564 18.2596083690001,-68.1941935639999 18.2750713690002,-68.190749564 18.2830273690001,-68.1800655629999 18.2962863690001,-68.169379563 18.3095453690001,-68.160749563 18.3202503690001,-68.150057563 18.3335053690001,-68.1393635629998 18.346759369,-68.1286685629999 18.3600123690001,-68.1179705629999 18.3732653690001,-68.1154725629999 18.3763613690001,-68.1032645629999 18.388366369,-68.0910545629999 18.4003703690001,-68.082416563 18.4088613690001,-68.069919563 18.420593369,-68.068805563 18.421639369,-68.055769563 18.432826369,-68.042732563 18.4440123690001,-68.029692563 18.455197369,-68.016651563 18.4663813690001,-68.016027563 18.4669163690002,-68.002747563 18.477842369,-67.9894655629998 18.488766369,-67.9761815629998 18.4996903690001,-67.9628955629998 18.5106133690001,-67.949608563 18.5215343690001,-67.948805563 18.5221943690001,-67.935555563 18.533157369,-67.9223025629999 18.5441203690001,-67.9182495629998 18.5474723690001,-67.9042245629999 18.557522369,-67.890197563 18.5675713690001,-67.8810275629999 18.574139369,-67.875830563 18.590119369,-67.870631563 18.6061003690002,-67.865432563 18.6220813690001,-67.8602315629998 18.6380613690002,-67.8550305629999 18.654041369,-67.8498275629999 18.6700213690001,-67.8446245629999 18.6860013690001,-67.8394205629999 18.7019813690002,-67.8342145629999 18.7179603690001,-67.8290085629999 18.733940369,-67.8238015629999 18.7499193690002,-67.8185925629999 18.7658983690001,-67.8133835629999 18.7818773690001,-67.8081735629999 18.7978553690002,-67.8029625629999 18.8138343690001,-67.797749563 18.829812369,-67.7925365629999 18.845790369,-67.7873225629999 18.8617683700001,-67.7821075629999 18.8777463700001,-67.7768915629999 18.8937243700001,-67.7721385629998 18.9082773700001,-67.7670515629999 18.9242933700001,-67.7619635629999 18.94030837,-67.7568745629999 18.9563233700001,-67.7517845629999 18.97233837,-67.7466935629998 18.9883533700001,-67.741601563 19.0043683700001,-67.7399165629999 19.00966637,-67.734734563 19.0256553700001,-67.7295525629999 19.04164437,-67.724368563 19.05763237,-67.7191835629999 19.0736203700002,-67.713998563 19.0896083700002,-67.7088115629999 19.10559637,-67.703623563 19.12158437,-67.6984345629999 19.1375713700001,-67.6932455629999 19.1535593700001,-67.6896385629998 19.1646663700002,-67.6842205629999 19.1805853700002,-67.678800563 19.1965043700001,-67.673379563 19.21242237,-67.667957563 19.2283403700001,-67.6625345629999 19.2442583700002,-67.6571105629999 19.2601763700001,-67.6516855629999 19.2760943700001,-67.6462595629999 19.2920113700001,-67.6408315629999 19.3079283700001,-67.6382495629999 19.3155003700001,-67.636067563 19.33210137,-67.6338845629999 19.34870337,-67.6332495629999 19.35352737,-67.6306115629999 19.37006937,-67.627973563 19.38661137,-67.6253345629999 19.40315337,-67.622695563 19.4196953700001,-67.6200555629999 19.4362373700001,-67.617414563 19.4527793700001,-67.614773563 19.4693203700002,-67.6121315629999 19.4858623700002,-67.609489563 19.5024033700001,-67.6068465629999 19.5189453700001,-67.6042035629999 19.5354863700001,-67.6015595629999 19.5520273700001,-67.5989155629999 19.5685693700001,-67.5962705629999 19.5851103700001,-67.5936255629999 19.6016513700002,-67.5909795629999 19.6181923700001,-67.5883325629999 19.63473337,-67.5856855629999 19.6512743700001,-67.5830385629999 19.66781537,-67.580390563 19.68435537,-67.5777415629999 19.7008963700002,-67.5750925629999 19.7174373700001,-67.5724425629999 19.7339773700001,-67.569792563 19.7505183700001,-67.567141563 19.7670583700001,-67.5644905629999 19.7835983700001,-67.5618385629999 19.8001393700002,-67.559185563 19.81667937,-67.5565325629999 19.8332193700001,-67.553879563 19.8497593700001,-67.5512245629999 19.8662993700001,-67.5485705629999 19.8828393700001,-67.5459155629999 19.8993793700001,-67.5432595629999 19.9159183700001,-67.5406025629999 19.932458371,-67.5379465629998 19.948998371,-67.5352885629999 19.9655373710002,-67.5326305629999 19.9820773710002,-67.5307495629999 19.9937773710001,-67.526994563 20.0101263710001,-67.526027563 20.0143333710001,-67.524361563 20.0193333710001,-67.519958563 20.0355363710001,-67.517416563 20.0448883710001,-67.514083563 20.0562773710001,-67.509525563 20.072443371,-67.504966563 20.0886083710001,-67.500406563 20.1047733710002,-67.4958455629999 20.120937371,-67.491283563 20.1371023710001,-67.4867205629998 20.153267371,-67.4860275629999 20.1557223710001,-67.481332563 20.171853371,-67.4766375629999 20.187983371,-67.471940563 20.2041143710002,-67.4672425629999 20.220244371,-67.4625445629999 20.236374371,-67.457844563 20.2525053710002,-67.453143563 20.2686343710001,-67.448442563 20.2847643710001,-67.4437395629998 20.3008943710001,-67.4390365629999 20.3170233710001,-67.4343315629999 20.3331533710001,-67.4296265629999 20.349282371,-67.4249195629999 20.3654113710002,-67.4202125629999 20.3815403710001,-67.4155035629998 20.3976683710001,-67.410794563 20.4137973710001,-67.406084563 20.4299253710001,-67.4013725629999 20.4460533710002,-67.396660563 20.462181371,-67.3919475629999 20.478309371,-67.3872325629999 20.4944373710001,-67.382517563 20.510564371,-67.3778015629999 20.5266923710001,-67.373084563 20.542819371,-67.3683655629999 20.5589463710002,-67.363646563 20.5750733710001,-67.358926563 20.5912003710001,-67.3542055629999 20.6073263710001,-67.349482563 20.6234533710001,-67.3447595629999 20.6395793710001,-67.3400355629998 20.6557053710002,-67.335310563 20.6718313710001,-67.3305845629999 20.6879573710001,-67.3258565629999 20.7040833710001,-67.3211285629999 20.7202083710001,-67.3163995629999 20.7363333710001,-67.311669563 20.7524593710002,-67.3069375629999 20.7685843710001,-67.302205563 20.784708371,-67.297472563 20.8008333710001,-67.2968615629999 20.802916371,-67.290050563 20.818370371,-67.2832385629999 20.833823371,-67.276424563 20.8492753710001,-67.2696095629998 20.864728371,-67.2627935629999 20.8801803710001,-67.2559755629999 20.8956323710001,-67.249156563 20.9110833710001,-67.2423355629999 20.926535371,-67.2355145629999 20.9419863710002,-67.2286905629999 20.9574363710001,-67.2218665629999 20.972887371,-67.2150405629999 20.9883373710001,-67.208212563 21.003786372,-67.201383563 21.0192363720001,-67.1945535629998 21.0346853720001,-67.187721563 21.0501343720001,-67.1808885629999 21.0655823720002,-67.174053563 21.0810313720002,-67.167217563 21.096479372,-67.1603805629999 21.111926372,-67.1535415629999 21.127373372,-67.146701563 21.1428203720001,-67.139859563 21.1582673720001,-67.133016563 21.1737143720001,-67.1261725629999 21.1891603720002,-67.119326563 21.2046053720002,-67.1124795629999 21.2200513720001,-67.105630562 21.2354963720001,-67.0987805619999 21.2509413720001,-67.0919285619999 21.2663863720001,-67.0850755619999 21.2818303720001,-67.0782215619998 21.2972743720002,-67.0713655619999 21.3127173720002,-67.064507562 21.3281613720001,-67.0576495619999 21.3436043720001,-67.0507895619999 21.3590473720002,-67.043927562 21.3744893720001,-67.0424165619999 21.3778883720001,-67.0352975619999 21.3932293720001,-67.0281775619999 21.4085693720001,-67.0210555619999 21.4239083720001,-67.0139325619999 21.4392483720001,-67.0068075619999 21.454587372,-66.9996815619999 21.4699253720001,-66.9925535619999 21.4852633720001,-66.9854245619998 21.5006013720002,-66.9843615619999 21.5028893720001,-66.9773665619999 21.518281372,-66.9703705619999 21.5336733720001,-66.963373562 21.5490653720001,-66.957972562 21.5609443720002,-66.9509935619999 21.576344372,-66.944013562 21.5917433720001,-66.9370325619998 21.6071423720001,-66.9300485619999 21.6225413720002,-66.923064562 21.6379403720001,-66.9160785619998 21.6533383720002,-66.9090915619999 21.6687363720002,-66.9021025619999 21.684134372,-66.895111562 21.699531372,-66.8881195619999 21.7149283720001,-66.881126562 21.7303243720002,-66.8741315619999 21.7457213720001,-66.867135562 21.7611173720002,-66.860137562 21.7765123720001,-66.853138562 21.7919073720001,-66.846137562 21.807302372,-66.8391345619999 21.822697372,-66.8321315619999 21.8380913720001,-66.825125562 21.8534853720001,-66.824777562 21.8542513720001,-66.820612562 21.8540023720001,-66.802748562 21.852850372,-66.784891562 21.8516133720001,-66.7670415619999 21.8502913720002,-66.7491985619999 21.8488843720001,-66.731364562 21.8473923720001,-66.7135385619999 21.845815372,-66.7051845619999 21.8450463720002,-66.6975755619999 21.844362372,-66.679759562 21.842700372,-66.6619525619999 21.8409533720001,-66.654064562 21.8401523720001,-66.6377145619999 21.8402373720002,-66.6263085619999 21.8402543720002,-66.6084035619999 21.8402123720001,-66.5904995619999 21.8400843720001,-66.5725965619999 21.8398703720002,-66.5546945619998 21.8395713720001,-66.5367945619999 21.839187372,-66.518896562 21.8387183720001,-66.5108105619999 21.8384773720001,-66.4965285619999 21.8388213720001,-66.4786275619999 21.8391743720002,-66.4699775619998 21.839314372,-66.464352562 21.8394163720001,-66.4464505619999 21.839683372,-66.4285465619999 21.839866372,-66.4106415619999 21.8399633720001,-66.3992355619999 21.8399803720001,-66.381330562 21.8399383720001,-66.363426562 21.839810372,-66.345523562 21.8395963720001,-66.3276215619998 21.839297372,-66.3097215619999 21.838913372,-66.2918235619999 21.8384443720001,-66.273929562 21.8378893720001,-66.2560375619999 21.8372483720001,-66.238150562 21.836523372,-66.2202675619999 21.835712372,-66.2023885619998 21.834816372,-66.1845155619999 21.8338353720002,-66.166648562 21.832768372,-66.154493562 21.8319943720001,-66.138795562 21.8311273720001,-66.1209285619999 21.830061372,-66.117115562 21.8298223720001,-66.107368562 21.8295663720001,-66.1028535619999 21.8294403720001,-66.0849605619999 21.8288853720001,-66.067069562 21.828245372,-66.0491835619999 21.827519372,-66.0313015609999 21.8267093720002,-66.0134245609999 21.8258133720001,-65.9955525609998 21.8248313720002,-65.977685561 21.8237653720001,-65.9598255609999 21.822613372,-65.9419725609999 21.8213763720001,-65.924125561 21.8200543720002,-65.9062875609999 21.8186473720001,-65.8884565609999 21.8171553720001,-65.870634561 21.815578372,-65.852821561 21.8139163720002,-65.842561561 21.812909372,-65.8419435609999 21.8091663720001,-65.841930561 21.8090923720002,-65.8389715609999 21.792673372,-65.8359985609999 21.7761793720001,-65.8330265609999 21.7596853720001,-65.8300555609999 21.743191372,-65.8270845609999 21.7266973720001,-65.824114561 21.7102033720001,-65.8211455609999 21.693709372,-65.820277561 21.6888883720001,-65.8169495609999 21.6724543720002,-65.8136215609999 21.656020372,-65.810294561 21.6395863720001,-65.8069685609998 21.6231513720001,-65.8036425609999 21.606717372,-65.8003185609999 21.590282372,-65.796993561 21.5738483720001,-65.7936705609999 21.557413372,-65.790348561 21.540978372,-65.7870265609999 21.5245433720002,-65.7837055609999 21.5081083720001,-65.7803855609999 21.4916733720001,-65.7770655609999 21.4752373720002,-65.7737475609999 21.4588023720001,-65.770428561 21.442367372,-65.767111561 21.4259313720001,-65.7637955609999 21.409495372,-65.760479561 21.3930603720002,-65.7571645609999 21.376624372,-65.753850561 21.3601883720001,-65.7505365609999 21.3437523720002,-65.7472235609999 21.3273153720001,-65.7439115609999 21.3108793720002,-65.740600561 21.294443372,-65.7372895609999 21.2780063720001,-65.733979561 21.2615703720001,-65.7306705609999 21.2451333720001,-65.727362561 21.2286963720001,-65.7240545609999 21.2122603720001,-65.7207475609998 21.1958233720001,-65.7174415609999 21.1793863720001,-65.7141355609999 21.1629483720001,-65.710831561 21.1465113720001,-65.7075275609999 21.1300743720001,-65.7042235609999 21.113637372,-65.700921561 21.0971993720001,-65.697619561 21.080761372,-65.6943185609999 21.0643243720002,-65.6910175609999 21.0478863720001,-65.6877185609999 21.0314483720001,-65.684419561 21.0150103720002,-65.6811205609999 20.998572371,-65.6778235609999 20.9821343710001,-65.6749995609999 20.9680553710001,-65.6716565609999 20.9516253710001,-65.6683125609998 20.9351953710001,-65.664970561 20.9187653710002,-65.6616285609999 20.902335371,-65.6582875609999 20.885905371,-65.654947561 20.869475371,-65.6516085609998 20.8530443710002,-65.648269561 20.8366133710001,-65.644931561 20.8201833710001,-65.6415945609999 20.8037523710001,-65.6382575609999 20.7873213710002,-65.6372225609999 20.7822223710002,-65.6335985609999 20.7658453710001,-65.6299755609999 20.7494683710001,-65.6263535609999 20.7330913710001,-65.622731561 20.716714371,-65.619110561 20.7003363710001,-65.6154905609999 20.6839593710001,-65.611871561 20.6675813710001,-65.608253561 20.6512043710001,-65.6046355609998 20.6348263710001,-65.6010185609999 20.6184483710001,-65.5974025609999 20.6020703710001,-65.5937875609999 20.5856923710002,-65.590172561 20.569314371,-65.5865595609999 20.5529363710001,-65.5829465609999 20.5365573710001,-65.5793335609999 20.5201793710002,-65.575722561 20.5038003710001,-65.572111561 20.487422371,-65.5685015609999 20.4710433710002,-65.564892561 20.4546643710001,-65.5612845609999 20.4382853710001,-65.5576765609999 20.4219063710001,-65.5540695609999 20.4055263710002,-65.5504635609999 20.3891473710001,-65.546858561 20.3727683710001,-65.5432535609999 20.356388371,-65.539649561 20.3400083710001,-65.5360465609999 20.323629371,-65.532444561 20.3072493710001,-65.5288425609999 20.290869371,-65.525242561 20.2744893710001,-65.5216425609999 20.258109371,-65.518042561 20.241728371,-65.5144445609999 20.2253483710001,-65.5108465609999 20.208967371,-65.507249561 20.1925873710001,-65.5036535609999 20.1762063710001,-65.5000575609999 20.1598253710001,-65.496462561 20.143445371,-65.492869561 20.1270633710001,-65.4892755609999 20.1106823710001,-65.485683561 20.0943013710001,-65.4820915609999 20.0779203710001,-65.4785005609999 20.0615383710002,-65.4749105609999 20.0451573710001,-65.4713205609999 20.0287753710001,-65.4677315609998 20.012394371,-65.464143561 19.9960123710001,-65.460556561 19.979630371,-65.4569695609999 19.9632483710001,-65.4558335609999 19.9580553710001,-65.450699561 19.9420463710002,-65.445566561 19.92603637,-65.440435561 19.91002637,-65.4353045609999 19.8940163700001,-65.4301745609999 19.8780063700001,-65.425046561 19.8619953700002,-65.419918561 19.8459853700001,-65.414791561 19.8299743700002,-65.4096665609999 19.81396337,-65.404541561 19.7979523700001,-65.3994185609999 19.7819413700001,-65.394295561 19.7659293700001,-65.3891745609999 19.74991737,-65.384053561 19.7339063700001,-65.3789345609998 19.7178943700001,-65.3738165609998 19.7018813700001,-65.3686985609999 19.6858693700001,-65.3635825609999 19.6698573700001,-65.3584675609999 19.6538443700001,-65.353352561 19.63783137,-65.3491665609999 19.62472237,-65.3456842904946 19.6188483792993),(-67.2047365629999 17.953536369,-67.184727563 17.9324993690001,-67.096118562 17.9499993690001,-67.0675095619999 17.9597183690001,-66.9533365619999 17.930272369,-66.939727562 17.9280543690002,-66.9272275619999 17.928890369,-66.841945562 17.946945369,-66.8216725619999 17.953609369,-66.8075095619999 17.9602813690001,-66.789172562 17.9705543690002,-66.714736562 17.9813903690001,-66.6844455619999 17.9669453690001,-66.6711095619999 17.9647183690001,-66.5872365619999 17.9611093690001,-66.5736185619999 17.9644453690001,-66.454181562 17.9824993690002,-66.375563562 17.960827369,-66.347781562 17.9674993690002,-66.290554562 17.943336369,-66.237790562 17.9280543690002,-66.204454562 17.9222183690001,-65.937227561 17.9666633690001,-65.9275095609999 17.9702723690001,-65.898054561 17.9819453690001,-65.8868185609999 17.9879093690001,-65.856945561 18.018609369,-65.8402905609999 18.0444453690001,-65.8366725609999 18.0558273690002,-65.823899561 18.0638903690001,-65.6927815609999 18.1936093690002,-65.6133455609999 18.2213813690001,-65.6027815609999 18.234581369,-65.6322185609999 18.2654273690002,-65.6300095609999 18.2752723690001,-65.6269545609998 18.364999369,-65.643063561 18.375272369,-65.8013905609999 18.4305543690002,-65.8905635609999 18.4522183690001,-65.9041725609999 18.4544363690001,-65.9908635609999 18.4600903690001,-66.0041815609999 18.460281369,-66.0141725609999 18.4563903690002,-66.0311095609999 18.4452723690001,-66.1154905619999 18.472009369,-66.1027815619999 18.416381369,-66.136399562 18.4655543690001,-66.194999562 18.4638903690001,-66.208345562 18.4641633690001,-66.3055545619999 18.4672183690001,-66.4666725619999 18.4741633690001,-66.550563562 18.482499369,-66.695554562 18.489436369,-66.7688275619999 18.4876723690001,-66.996672562 18.5049993690001,-67.026118562 18.5136093690002,-67.039736562 18.5158273690001,-67.0636095619999 18.5191633690001,-67.083345562 18.519445369,-67.101672562 18.518054369,-67.139972563 18.5116273690001,-67.1441725629999 18.5102723690001,-67.154445563 18.5030543690001,-67.170427563 18.4869453690002,-67.2663995629999 18.3654183690001,-67.261945563 18.3413903690001,-67.2502905629999 18.3130543690002,-67.2408455629999 18.301663369,-67.2270905629999 18.290136369,-67.2148635629999 18.2869453690001,-67.1930635629999 18.280063369,-67.1725095629999 18.2473543690001,-67.169054563 18.2376093690001,-67.1574995629999 18.214718369,-67.156399563 18.1883273690001,-67.1752905629999 18.1061093690001,-67.1941725629999 18.0349993690001,-67.2047365629999 17.953536369),(-65.548481561 18.085972369,-65.5250095609999 18.083054369,-65.4413905609999 18.0902723690002,-65.337781561 18.1169453690002,-65.305281561 18.1324993690001,-65.301118561 18.147781369,-65.395845561 18.1644453690001,-65.431399561 18.1645813690002,-65.4869545609999 18.1491633690001,-65.502790561 18.1441633690001,-65.578963561 18.1154183690001,-65.573336561 18.1013903690001,-65.565563561 18.0949993690001,-65.548481561 18.085972369)))', 'Puerto Rican Exclusive Economic Zone', 'Puerto Rico', 'United States', '', '163', '255', 'PRI', '33179', '2014-02', '175610195200', '33179', 'Y'),('SRID=4326;MULTIPOLYGON(((52.4547225490001 -16.0211106629999,52.556111549 -15.284999662,52.759166549 -14.025833661,52.9799995490001 -13.523610661,53.38166655 -12.7183336599999,53.9200125500001 -12.59957566,53.99504555 -12.5932636599999,54.5138815510001 -12.7831486599999,55.718248552 -13.2254436599999,55.8620995520001 -13.27977966,55.8982545520001 -13.2933946599999,56.6743475530001 -13.583767661,56.9781655530001 -13.6966436609999,57.178143553 -13.770501661,57.0787495530001 -15.755863663,57.069852553 -15.818267663,56.9682985530001 -16.532039663,56.966933553 -16.5415566629999,56.7994875530001 -17.3605096639999,56.7866265530001 -17.3703306639999,56.474932553 -17.593995664,55.665406552 -18.170571665,55.505555552 -18.2863886649999,54.3208335510001 -18.4830556649999,52.814444549 -18.683333665,52.5919445490001 -17.810555665,52.483611549 -17.372777664,52.4547225490001 -16.0211106629999)))', 'Ile Tromelin Exclusive Economic Zone', 'Ile Tromelin', 'France', '', '179', '36', 'ATF', '8342', '', '271447763800', '8342', 'Y'),('SRID=4326;MULTIPOLYGON(((84.2868615780001 10.1429573610001,84.5307775790001 9.61474936100007,84.561970579 9.49534136100004,84.6354315790001 9.38977436100004,84.6361525790001 9.38821036100006,84.636222579 9.38810936100003,84.6367765790001 9.38690736100006,84.6371125790001 9.38642436100002,84.6378335790001 9.38485936100005,84.6379035790001 9.38475936100002,84.638654579 9.38313036100004,84.6386865790001 9.38308336100005,84.6436055790001 9.37241136100005,84.6577225790001 9.35211736100007,84.659052579 9.34923136100002,84.6594035790001 9.34872636100005,84.6594485790001 9.34862936100006,84.665160579 9.34041736100005,84.6664345790001 9.33765236100004,84.666841579 9.33706736100004,84.666983579 9.33675836100002,84.6685295790001 9.33453536100006,84.6688125790001 9.33392236100008,84.670111579 9.33205536100007,84.6702805790001 9.33168736100004,84.671799579 9.32950336100004,84.6725925790001 9.32778236100006,84.6742795790001 9.32535736100004,84.6743325790001 9.32524236100005,84.678346579 9.31947036100007,84.678419579 9.31931336100007,84.680035579 9.31698936100003,84.680783579 9.31536636100003,84.680826579 9.31530436100007,84.6808985790001 9.31514736100007,84.682514579 9.31282236100003,84.6831095790001 9.31153236100005,84.6834055790001 9.31110736100004,84.6848055790001 9.30806736100004,84.6849795790001 9.30781636100005,84.686322579 9.30490336100007,84.686660579 9.30441636100005,84.693321579 9.28995836100006,84.6948625790001 9.28774336100003,84.695750579 9.28581436100006,84.6973415790001 9.28352636100004,84.697510579 9.28316036100006,84.6990295790001 9.28097536100006,84.7023825790001 9.27369836100007,84.7048645790001 9.27012736100005,84.9479965790001 8.74185136000006,84.9481065790001 8.74142736000005,84.9486865790001 8.74016636000005,84.9491495790001 8.73838636000005,84.949469579 8.73769236000004,84.949827579 8.73631536000005,84.9503515790001 8.73517636000003,84.9508305790001 8.73333436000007,84.9511265790001 8.73269136000005,84.951496579 8.73126736000006,84.9520085790001 8.73015636000002,84.9524715790001 8.72837636000003,84.9527905790001 8.72768136000008,84.952802579 8.72763736000007,84.9535805790001 8.72594636000002,84.9539135790001 8.72466336000002,84.9544625790001 8.72347036000002,84.954962579 8.72155036000004,84.9552445790001 8.72093536000006,84.9555535790001 8.71975036000003,84.9569165790001 8.71678536000007,84.9572195790001 8.71562336000005,84.958588579 8.71264436000007,84.9590735790001 8.71078336000005,84.9601535790001 8.70843436000007,84.960455579 8.70727336000004,84.961825579 8.70429436000006,84.9623315790001 8.70235036000003,84.9626075790001 8.70174936000006,85.0023635790001 8.54899236000006,85.0088675790001 8.53484336000002,85.009198579 8.53356936000006,85.0105395790001 8.53065236000003,85.0109915790001 8.52891436000004,85.012104579 8.52649236000008,85.012961579 8.52319736000004,85.012979579 8.52315836000002,85.013478579 8.52124136000003,85.0137625790001 8.52062336000006,85.0140955790001 8.51934436000005,85.014645579 8.51814836000005,85.0151505790001 8.51620736000007,85.0154275790001 8.51560336000006,85.023723579 8.48371936000007,85.0251725790001 8.48056836000006,85.025478579 8.47939036000002,85.0268445790001 8.47641836000003,85.027371579 8.47439236000002,85.027619579 8.47385336000002,85.028063579 8.47214836000006,85.028403579 8.47140836000005,85.0297595790001 8.46619736000002,85.0300615790001 8.46553936000004,85.0305295790001 8.46374136000003,85.0308445790001 8.46305436000006,85.0312135790001 8.46163636000006,85.0317265790001 8.46051936000003,85.1778865790001 7.89855935900005,85.177966579 7.89754135900006,85.1794375790001 7.89188135900002,85.1796255790001 7.88947835900007,85.1802995790001 7.88688735900007,85.180380579 7.88585735900006,85.182718579 7.87686435900002,85.228063579 7.29834435900005,85.2279455790001 7.29714035900003,85.2280455790001 7.29587635900003,85.227975579 7.29517135900005,85.2294955790001 7.27582735900006,85.2290605790001 7.27138635900008,85.2294265790001 7.26672335900003,85.222391579 7.19494835900002,85.2374645790001 7.00345635800005,85.2373055790001 7.00183235800006,85.2374395790001 7.00012835800004,85.181210579 6.42257435800008,85.180553579 6.42022535800004,85.1803815790001 6.41845235800002,85.1788185790001 6.41285535800006,85.1786315790001 6.41092935800003,85.1734375790001 6.39233835800007,85.1716925790001 6.37433135800006,85.1516145790001 6.30242335800006,85.148520579 6.27043835800004,85.1444765790001 6.25594735800007,85.1424965790001 6.23546135800007,85.1295255790001 6.18896635800007,85.1270345790001 6.16316335800008,84.9714325790001 5.60395935700006,84.946945579 5.55276935700005,84.9461695790001 5.54997235700006,84.9459055790001 5.54942035700003,84.9453555790001 5.54743935700003,84.9310595790001 5.51754435700008,84.9165385790001 5.46519635700002,84.9132155790001 5.45824435700007,84.907302579 5.43691935700002,84.6572615790001 4.91287035700003,84.6559445790001 4.91102435700003,84.6556515790001 4.91041035700005,84.629200579 4.87332735600006,84.6195785790001 4.85312035600003,84.609166579 4.83851835600007,84.6010875790001 4.82154835600005,84.5995415790001 4.81938035600007,84.5993795790001 4.81903935600008,84.5992945790001 4.81892035600004,84.5985725790001 4.81740535600005,84.5984165790001 4.81718635600004,84.596153579 4.81243035600005,84.259316578 4.33927535600003,84.2583785780001 4.33835135600003,84.2543125780001 4.33263135600004,83.840773578 3.92463635600006,83.8403325780001 3.92433235600004,83.836880578 3.92092235600006,83.8343835780001 3.91919635600004,83.831093578 3.91594635600006,83.826995578 3.91311535600005,83.7937545780001 3.88026735600005,83.7807905780001 3.87130735600005,83.7617095780001 3.85244735600003,83.761589578 3.85236535600006,83.7579155780001 3.84873235600003,83.7530705780001 3.84538335600007,83.7413425780001 3.83378935600007,83.7225995780001 3.82083135500005,83.709308578 3.80768935500004,83.709108578 3.80755135500004,83.7088055780001 3.80725235500006,83.6302755780001 3.75293535500003,83.623194578 3.74593035500004,83.5635035780001 3.70462535500008,83.560040578 3.70119735500003,83.5578655780001 3.69969235500002,83.5442635780001 3.68623035500002,83.0668535770001 3.35530035500005,83.059726577 3.35201335500005,82.990405577 3.30388335500004,82.463123577 3.06019635500007,82.3955675770001 3.04230035500007,82.3643885770001 3.02786135500003,82.3588935770001 3.02640435500007,82.2690125770001 2.98476135500005,82.130950576 2.94811535500003,81.863318576 2.82389135500006,81.770291576 2.79911635500002,81.736379576 2.78335435500003,81.735053576 2.78300135500007,81.7338885760001 2.78245935500007,81.1728355760001 2.63258535400007,80.5943735750001 2.58184935400004,80.5935695750001 2.58191935400004,80.5927795750001 2.58184935400004,80.5919295750001 2.58192335400003,80.5910945750001 2.58184935400004,80.5906435750001 2.58188835400006,80.590199575 2.58184935400004,80.588943575 2.58195835400005,80.5877095750001 2.58184935400004,80.5873075750001 2.58188435400007,80.586912575 2.58185035400004,80.0083985750001 2.63176335400004,79.9623165740001 2.64402935400005,79.9022395740001 2.64916935400004,79.898992574 2.65003235400008,79.8989525740001 2.65003635400006,79.8961835740001 2.65077235400003,79.894777574 2.65089335400006,79.8920855740001 2.65160935400007,79.891490574 2.65166035400006,79.8812565740001 2.65438235400006,79.8740775740001 2.65499535400005,79.8229865740001 2.66858035400003,79.8069205740001 2.66995035400004,79.2456365740001 2.81878735500004,79.1956995740001 2.84188735500004,79.1327485740001 2.85852835500003,79.1318205740001 2.85895735500003,79.1269775740001 2.86023735500004,79.1262235740001 2.86058535500007,79.124494574 2.86104235500005,79.1152935740001 2.86529635500006,79.1062745740001 2.86767935500006,78.5790115730001 3.11103035500003,78.5787365730001 3.11122135500005,78.5773165730001 3.11187535500005,78.557248573 3.12579735500003,78.5532975730001 3.12761735500004,78.0759235730001 3.45829735500007,78.0757025730001 3.45851635500003,78.0754285730001 3.45870535500006,78.0743505730001 3.45977135500004,78.050086573 3.47655435500008,78.0435905730001 3.48297835500006,78.040900573 3.48483935500008,78.020845573 3.50467235500003,78.013543573 3.50972235500006,78.005577573 3.51759835500008,78.0055595730001 3.51761035500004,77.995511573 3.52754535500003,77.9876945730001 3.53295035500003,77.574453572 3.94095335600002,77.574186572 3.94132935600004,77.5682505720001 3.94718235600004,77.559928572 3.95889935600007,77.5427395720001 3.97584335600004,77.542570572 3.97608135600007,77.5407335720001 3.97789235600004,77.204136572 4.45103335600004,77.1933435720001 4.47372635600004,77.1680785720001 4.50917935600006,77.167414572 4.51057535600006,77.1672725720001 4.51077435600007,77.023333 4.78400000000005,77.1766666670001 5.00000000000006,77.8450000000001 5.89833333300004,78.203333333 6.51333333300005,78.646666667 7.35000000000002,78.761666667 7.58833333300004,78.895 8.20333333300005,78.9233333330001 8.37000000000006,79.078333333 8.52000000000004,79.2166666670001 8.62000000000006,79.3033333330001 8.66666666700007,79.4883333330001 8.89666666700003,79.521666667 9.00000000000006,79.533333333 9.10000000000002,79.533333333 9.21666666700003,79.5184222870001 9.31760298400008,79.511666667 9.36333333300007,79.3766666670001 9.66916666700007,79.583333333 9.95000000000005,80.0500000000001 10.083333333,80.083333333 10.096666667,80.158333333 10.14,80.766666667 10.5500000000001,81.0416666670001 10.6950000000001,81.9333333330001 11.0450000000001,82.4066666670001 11.266666667,83.3666666670001 11.4433333330001,83.7471095780001 10.9484953620001,83.7475955780001 10.947449362,83.750376578 10.9434803620001,83.7716375780001 10.8977063620001,83.7717755780001 10.8975093620001,83.7721845780001 10.8966273620001,83.7792145780001 10.886593362,83.779913578 10.885086362,83.7799965780001 10.8849683620001,83.780543578 10.8837903620001,83.780886578 10.8833013620001,83.7917735780001 10.8598563620001,83.8023565780001 10.849292362,83.8024585780001 10.8491473620001,83.8044505780001 10.8471583620001,84.138907578 10.3689733620001,84.1582145780001 10.3272573620001,84.2868615780001 10.1429573610001),(80.242063575 9.82819036100005,80.186693258 9.81759774300002,80.161282337 9.81273611000006,80.1421724740001 9.79382815700006,80.140545575 9.79221836100004,80.145250918 9.78922612500003,80.155400252 9.78277315300005,80.1780318040001 9.77457818700003,80.1891455750001 9.77055436100005,80.202481575 9.76971836100006,80.2240545750001 9.77445436100004,80.257721793 9.73681555900004,80.2727633260001 9.72000007400004,80.343539014 9.66017151000005,80.441918575 9.57700936100002,80.4419172460001 9.57700978500003,80.4419181790001 9.57700899700006,80.3916540850001 9.59305397100007,80.3644271490001 9.61110909300004,80.351927216 9.61971797900003,80.309563401 9.65055399500005,80.2805279870001 9.68728269300004,80.2744275750001 9.69499936100004,80.249736575 9.71249036100005,80.2333185750001 9.74416336100006,80.2263815750001 9.75139036100006,80.20504549 9.75050227200006,80.1962541520001 9.75013603400004,80.1799870290001 9.75883117500007,80.1626635750001 9.76809036100008,80.1454491600001 9.76871337900008,80.1360271600001 9.76905398900004,80.1248272610001 9.77812706400005,80.113645417 9.80299939100007,80.0560490450001 9.81378321000005,80.0302723520001 9.81860914200007,80.0271238000001 9.81867309900002,80.0163905750001 9.81889036100006,79.9902538360001 9.81714746900008,79.9809541010001 9.81652707900003,79.969981574 9.80999936100005,79.9258095740001 9.77082736100004,79.9258095740001 9.74471836100003,79.9391455740001 9.70305436100006,79.9428324780001 9.69595151000004,79.9456912360001 9.69044497900006,80.024699835 9.64471824000003,80.032396534 9.64112650500005,80.120527177 9.60000005400008,80.1572609400001 9.58982273900006,80.1847095750001 9.58221836100006,80.1881416700001 9.58364809400007,80.1958816270001 9.58687286300005,80.197481575 9.60208136100005,80.1860995750001 9.61471836100003,80.1854321480001 9.61508220000007,80.1769271590001 9.61971797900003,80.170331714 9.62858883600006,80.1680455750001 9.63166336100005,80.1680456060001 9.63166364500006,80.1680451920001 9.63166420200002,80.16935411 9.64360908500004,80.169354561 9.64360923600003,80.1693545750001 9.64360936100007,80.1711432390001 9.64420849800007,80.1838722370001 9.64847310300007,80.1915013780001 9.64550231300007,80.1963635750001 9.64360936100007,80.2021180090001 9.64062078100005,80.210263329 9.63639109300004,80.2988722840001 9.58500013600008,80.3147001670001 9.57277311800004,80.3316632950001 9.55527321300002,80.384354118 9.53160003600004,80.4073272380001 9.53289118400005,80.4289002450001 9.53747306800005,80.464154195 9.53166407400005,80.498911961 9.51282388600004,80.5369275750001 9.49221836100003,80.5539522230001 9.48220588600003,80.5888822790001 9.46166411800004,80.603917279 9.44978328900004,80.610327575 9.44471836100007,80.6103268670001 9.44471836100007,80.61032721 9.44471808900005,80.5694451480001 9.44471808900005,80.55775407 9.44694499300005,80.5525859810001 9.45056219700007,80.549427575 9.45277236100003,80.537763575 9.46277236100008,80.523036575 9.46916336100003,80.493318575 9.48166336100007,80.4724905750001 9.48888136100004,80.3218273100001 9.49721863200006,80.2766542050001 9.49971812600006,80.2380362630001 9.53083610900006,80.089427131 9.58971814100005,80.0830539740001 9.59091789700005,80.0658095750001 9.59416336100003,80.0510916840001 9.59249948600007,80.0567823000001 9.58291807100005,80.0640695390001 9.57812010300006,80.0861095750001 9.56360936100003,80.120818575 9.54221836100004,80.1274746400001 9.53876151600002,80.1347182420001 9.53500007100007,80.1438819080001 9.52867569700004,80.1552545750001 9.52082736100004,80.169913497 9.50674726000005,80.1766540770001 9.50027317600006,80.1862361010001 9.48916413700005,80.1862363270001 9.48916364800004,80.1862365750001 9.48916336100007,80.189522051 9.48205874400003,80.1949723910001 9.47027317100003,80.19497225 9.47027306300004,80.1949725750001 9.47027236100007,80.135818575 9.42527236100005,80.094436575 9.41139036100003,80.098036575 9.31055436100007,80.1077545750001 9.30610936100004,80.116654575 9.29791836100003,80.123027575 9.25110936100003,80.1116455750001 9.19860936100002,80.1072095750001 9.17999936000007,80.064418575 9.06139036000008,80.050263575 9.02639036000005,80.041826219 9.01505482900006,80.041372338 9.01444499100006,79.9913633890001 8.98110915600006,79.9730361900001 8.97194505300007,79.9190822150001 8.93763608000006,79.9299822090001 8.83889105700007,79.942323813 8.77511149200006,79.9497095740001 8.73694536000005,79.9498195130001 8.73199623200003,79.9500002060001 8.72389117800003,79.9446804230001 8.66256526800004,79.941927574 8.63082736000007,79.9146725740001 8.56220936000005,79.9146723870001 8.56220927400005,79.9146723280001 8.56220912700007,79.8958274 8.55360925100007,79.89431583 8.55266266600006,79.868100294 8.53624500800004,79.827609254 8.32268783600006,79.8130365740001 8.24582736000002,79.8144185740001 8.03944535900007,79.8260995740001 8.02249935900005,79.830272574 8.01278135900003,79.8299905740001 8.00027235900006,79.824581574 7.99180935900006,79.814563574 7.98444535900006,79.8008095740001 7.98082735900005,79.7869275740001 7.98110935900007,79.7627725740001 7.98499935900003,79.7478365740001 7.99118135900005,79.7324815740001 8.00708135900004,79.7294275740001 8.01777235900005,79.7282833790001 8.04639236500003,79.728283086 8.04639201100002,79.7251182690001 8.12555404700004,79.749145162 8.26555395900004,79.748540242 8.26499991900005,79.7227635740001 8.24139036000003,79.7157290270001 8.23117775000003,79.7086002200001 8.22082711700006,79.697900218 8.19444507700007,79.702482269 8.07944503000004,79.7052038460001 8.04892877500004,79.7063725740001 8.03582735900005,79.7079681020001 8.02807069200003,79.7089868250001 8.02311913500006,79.7089866650001 8.02311894100006,79.7121995740001 8.00749935900006,79.714709574 7.99639035900003,79.718045574 7.98583635900007,79.7266545740001 7.96028135900002,79.7324815740001 7.94555435900003,79.739427574 7.93166335900003,79.7433185740001 7.92194535900006,79.753054574 7.88389035900008,79.783872574 7.75055435900003,79.7969365740001 7.66139035900005,79.795536574 7.63444535900004,79.789572574 7.60749935900003,79.814990574 7.41444535900007,79.8169365740001 7.40277235900004,79.833881574 7.29666335900004,79.8359545740001 7.26830935900006,79.8305545740001 7.19721835900003,79.8527635740001 7.12305435900004,79.861372574 6.99305435800005,79.8621635740001 6.98007235800003,79.848036574 6.96028135800003,79.837281574 6.93757235800007,79.8513815740001 6.83639035800007,79.8591455740001 6.79736335800004,79.8808095740001 6.75110935800006,79.898881574 6.70721835800003,79.924699574 6.64389035800002,79.9519365740001 6.57499935800007,79.9696995740001 6.52778135800003,79.986481574 6.43236335800003,80.0219275750001 6.32528135800004,80.0460995750001 6.23971835800006,80.0827635750001 6.16805435800006,80.1135995750001 6.11639035800005,80.1844185750001 6.03471835800002,80.2008185750001 6.02610935800004,80.243318575 6.00749935800008,80.2867905750001 5.99139035800005,80.453045575 5.94527235700002,80.589572575 5.91805435700007,80.700545575 5.95944535700005,80.745254575 5.97721835800007,80.7797095750001 6.00471835800005,80.7924815750001 6.01610935800005,80.8291635750001 6.04083635800004,80.8902905750001 6.06201835800005,80.991363575 6.09666335800006,81.019145575 6.10305435800007,81.0555455750001 6.10777235800003,81.314418576 6.19444535800005,81.3241545760001 6.19832735800003,81.4085995760001 6.25249935800002,81.6113725760001 6.40249935800006,81.6610995760001 6.43999935800002,81.6774725760001 6.45805435800003,81.699709576 6.48444535800007,81.7097185760001 6.50221835800005,81.7633185760001 6.58805435800002,81.7777725760001 6.61527235800003,81.7822095760001 6.62471835800005,81.7845725760001 6.63986335800007,81.785263576 6.67249935800004,81.7924815760001 6.67916335800004,81.8069275760001 6.69944535800005,81.8322185760001 6.76583635800006,81.849154576 6.83166335800007,81.8813635760001 6.95805435800003,81.8905455760001 7.00055435800004,81.891663576 7.01360935800005,81.8794275760001 7.16805435900005,81.8816545760001 7.28805435900006,81.8788635760001 7.31221835900004,81.8738725760001 7.34139035900006,81.8713725760001 7.35249935900003,81.855818576 7.40528135900007,81.8288815760001 7.47097235900003,81.8188815760001 7.47291835900006,81.810345576 7.44192735900003,81.7949815760001 7.44471835900004,81.766663576 7.46278135900008,81.756936576 7.50402735900008,81.764709576 7.54833635900007,81.7722185760001 7.57028135900003,81.7538365760001 7.61186335900004,81.7314905760001 7.63779935900004,81.7190815760001 7.63945435900007,81.7072185760001 7.65049035900006,81.686245576 7.68167235900006,81.687345576 7.70153635900004,81.7124545760001 7.71588135900004,81.7138815760001 7.72916335900004,81.7049905760001 7.74763635900007,81.691081576 7.76139035900007,81.6138725760001 7.82471835900003,81.519436576 8.00027235900006,81.4230365760001 8.09263635900004,81.391936576 8.14944536000007,81.3976185760001 8.18576336000007,81.4230365760001 8.20194536000002,81.390827576 8.37332736000008,81.3883185760001 8.38444536000003,81.3633095760001 8.48221836000005,81.358318576 8.49110936000005,81.327209576 8.52013636000004,81.290954576 8.49506336000007,81.2923455760001 8.47874536000006,81.2815185760001 8.46166336000005,81.268327576 8.45416336000005,81.254436576 8.45499936000004,81.2197095760001 8.46277236000003,81.1392905760001 8.49152736000002,81.1302545760001 8.50236336000006,81.147763576 8.52721836000006,81.2111095760001 8.57139036000007,81.2249815760001 8.56569036000008,81.2290095760001 8.53860936000007,81.2405365760001 8.53666336000003,81.250409576 8.54055436000004,81.2535995760001 8.55082736000003,81.2320725760001 8.64860936000002,81.222763576 8.66360936000007,81.166090576 8.74499936000007,81.027209575 8.91666336000003,80.968599575 8.95221836000007,80.9615185750001 8.94221836000003,80.9377635750001 8.93124536000005,80.9273455750001 8.93152736000008,80.917763575 8.93930936000004,80.912763575 8.95082736000006,80.923590575 8.97597236000007,80.9302635750001 8.97944536000006,80.9322095750001 9.04083636000007,80.8494275750001 9.21805436100004,80.847624862 9.22145154700007,80.847624475 9.22145120700003,80.8447091960001 9.22694501200004,80.824436222 9.26194499000007,80.8080033640001 9.28413186100005,80.800263575 9.29458136100004,80.7658275750001 9.33166336100004,80.7452006190001 9.35251552300002,80.7158181560001 9.38221809300006,80.6999713720001 9.39788584900003,80.6667905750001 9.43069036100007,80.6475424000001 9.44599166900002,80.6397093020001 9.45221804800008,80.631375302 9.45795375300003,80.6271995750001 9.46082736100004,80.6099815750001 9.47166336100003,80.5892905750001 9.48221836100004,80.5858640340001 9.48456836500003,80.574709151 9.49221799900005,80.4624269060001 9.57850631400004,80.4019275750001 9.62499936100005,80.390490082 9.63682540900004,80.3561542100001 9.67232699400006,80.346684199 9.68233333400008,80.3429815750001 9.68624536100003,80.2746995750001 9.77499936100003,80.2638815750001 9.79194536100005,80.2598562530001 9.80134196900002,80.259718235 9.80166411900007,80.2569361130001 9.81583607300007,80.2526847760001 9.82407821200007,80.2522095750001 9.82499936100004,80.242063575 9.82819036100005),(79.7480106790001 9.10305922000003,79.7441361370001 9.10332702700003,79.739449246 9.10291408700004,79.7252635740001 9.10166336000003,79.6960913780001 9.09347258600008,79.698461819 9.08500821500007,79.6997095740001 9.08055436000006,79.850536574 9.00110936000004,79.863674389 8.99684002900005,79.8949910270001 8.98666426200003,79.911799574 9.02013636000004,79.9008185740001 9.03277236000002,79.844981574 9.07444536000003,79.8366545740001 9.08027236000004,79.826381574 9.08389036000005,79.7560995740001 9.10249936000002,79.7480106790001 9.10305922000003)))', 'Sri Lankan Exclusive Economic Zone', 'Sri Lanka', 'Sri Lanka', '', '40', '40', 'LKA', '8346', '', '533058397400', '8346', 'Y'),('SRID=4326;MULTIPOLYGON(((42.137632539 -10.4166686579999,42.0871185390001 -10.6427816579999,42.0612765390001 -10.810234658,42.048052539 -10.894643658,42.0309765390001 -10.999644658,42.0227765390001 -11.0493946579999,42.0047675390001 -11.1578456579999,41.9629985390001 -11.393441659,41.955135539 -11.4374916589999,41.9399735390001 -11.488356659,41.9387045390001 -11.5779746589999,41.9361185390001 -11.731296659,41.9334155390001 -11.8850076589999,41.932439539 -11.921947659,41.937344539 -12.1160296589999,41.9475795390001 -12.152266659,42.068698539 -12.59459766,42.080465539 -12.64206366,42.146796539 -12.8206096599999,42.171831539 -12.88805466,42.1749085390001 -12.89644666,42.178898539 -12.9073366599999,42.2063325390001 -13.12096966,42.2166965390001 -13.17164266,42.2624425390001 -13.30945766,42.303334539 -13.410255661,42.3299135390001 -13.475761661,42.4761165400001 -13.689692661,42.54948254 -13.797942661,42.6552275400001 -13.9538036609999,42.8597885400001 -14.215954661,43.0235615400001 -14.427294661,42.8410145400001 -14.7175776619999,42.57294354 -15.248731662,42.5232645400001 -15.358838662,42.4747315400001 -15.400795662,42.1650395390001 -15.676317663,41.926492539 -15.892944663,41.688471539 -16.195008663,41.4155825390001 -16.539232663,41.272450538 -17.044328664,41.1699835380001 -17.4035356639999,41.0671585380001 -17.837348665,41.0058765380001 -18.2508906649999,40.9881475380001 -18.4679716649999,40.9673075380001 -18.720858665,40.9433275380001 -18.997047666,40.9441815380001 -19.0788936659999,40.497481538 -19.121142666,40.3314785380001 -19.142759666,40.2746445380001 -19.150143666,39.9145745370001 -19.212333666,39.856328537 -19.222344666,39.740286537 -19.244539666,38.793961536 -19.421851666,38.7326865360001 -19.4331586659999,38.7285665360001 -19.4361506659999,38.5238685360001 -19.5922916659999,38.483350536 -19.625197666,38.384377536 -19.705931666,38.3721875360001 -19.715904666,38.350791536 -19.733605666,38.0849725350001 -20.028696667,38.0330175350001 -20.086535667,37.994500535 -20.1293416669999,37.5531135350001 -20.641268667,37.579160535 -21.434170668,37.579967535 -21.453787668,37.584061535 -21.555616668,37.5843895350001 -21.562958668,37.5845025350001 -21.564404668,37.5968675350001 -21.710089668,37.6016115350001 -21.765005668,37.6274675350001 -21.8863906679999,37.679506535 -22.158439669,37.700126535 -22.265693669,37.714199535 -22.325410669,37.715080535 -22.329030669,37.738181535 -22.424109669,37.9869525350001 -23.2013596699999,38.0272765350001 -23.31437067,38.052203535 -23.38419167,38.0770335350001 -23.4507966699999,38.2464945360001 -23.89896067,38.3053215360001 -24.0533466699999,38.4729595360001 -24.4925516709999,38.5168955360001 -24.592640671,38.687608536 -24.982974671,38.871208536 -25.400133672,38.7224495360001 -25.7101536719999,38.722296536 -25.710366672,38.7215845360001 -25.711871672,38.721574536 -25.7118846719999,38.720816536 -25.713488672,38.7183955360001 -25.7168356719999,38.708022536 -25.738759672,38.7076495360001 -25.739274672,38.694313536 -25.7674506719999,38.694295536 -25.7674766719999,38.6911515360001 -25.7741176719999,38.652479536 -25.827512672,38.6496845360001 -25.833408672,38.6494035360001 -25.833795672,38.6488195360001 -25.835027672,38.645477536 -25.839638672,38.644826536 -25.841012672,38.6339445360001 -25.8560236719999,38.6302455360001 -25.863823672,38.6299555360001 -25.864224672,38.6293775360001 -25.865442672,38.6283565360001 -25.8668506719999,38.6278225360001 -25.8679766719999,38.274013536 -26.3537216729999,38.273650536 -26.354067673,38.271452536 -26.357070673,38.2710145360001 -26.357488673,38.2682005360001 -26.3613336729999,38.2640075360001 -26.365325673,38.2606745360001 -26.369878673,38.2602085360001 -26.370323673,38.254963536 -26.377488673,38.252602536 -26.379735673,38.0768745350001 -26.619226673,38.069904535 -26.6258316729999,38.068238535 -26.628095673,38.030207535 -26.664112673,38.0182415350001 -26.6803636729999,38.0121925350001 -26.686087673,38.0104035350001 -26.688517673,37.562835535 -27.109918673,37.552948535 -27.1164206729999,37.5526645350001 -27.1166856729999,37.548217535 -27.119609673,37.547729535 -27.1200676729999,37.5455335350001 -27.1215106729999,37.5452145350001 -27.121810673,37.5429015350001 -27.1233306729999,37.5417965350001 -27.1243656729999,37.5370185350001 -27.127506673,37.536759535 -27.1277486729999,37.5300135350001 -27.1321826729999,37.528406535 -27.1336866729999,37.002181534 -27.4776116739999,37.0016545340001 -27.4778416739999,36.9979235340001 -27.4802666739999,36.997230534 -27.480569674,36.993765534 -27.482821674,36.993403534 -27.482979674,36.991131534 -27.4844556739999,36.9900175340001 -27.484942674,36.9895035340001 -27.485276674,36.9885775340001 -27.485680674,36.9877805340001 -27.486198674,36.986675534 -27.486681674,36.986152534 -27.4870216739999,36.985226534 -27.487425674,36.9844285340001 -27.487943674,36.984351534 -27.487977674,36.9818925340001 -27.489575674,36.9716215340001 -27.494060674,36.9691865340001 -27.495641674,36.967782534 -27.4962556739999,36.9674615340001 -27.496463674,36.9660545340001 -27.497077674,36.965731534 -27.4972876739999,36.9654065340001 -27.4974296739999,36.9642115340001 -27.498205674,36.957070534 -27.5013226739999,36.939660534 -27.5126266739999,36.9387265340001 -27.5130336739999,36.937932534 -27.5135486739999,36.936530534 -27.514160674,36.9362075340001 -27.514370674,36.9355285340001 -27.514666674,36.932048534 -27.5169256739999,36.9320005340001 -27.5169466739999,36.9295165340001 -27.518558674,36.928583534 -27.518965674,36.9277885340001 -27.519481674,36.926376534 -27.5200976739999,36.926059534 -27.5203026739999,36.924667534 -27.5209096739999,36.924333534 -27.521126674,36.923696534 -27.5214046739999,36.922707534 -27.522045674,36.922660534 -27.522066674,36.9201755340001 -27.5236796739999,36.9199725340001 -27.5237676739999,36.916018534 -27.5263326739999,36.915657534 -27.5264906739999,36.9133805340001 -27.527967674,36.9122935340001 -27.528441674,36.9117575340001 -27.5287896739999,36.9108265340001 -27.5291956739999,36.910029534 -27.5297126739999,36.908933534 -27.530190674,36.9084055340001 -27.530532674,36.9074745340001 -27.530938674,36.906677534 -27.531455674,36.532966534 -27.7020846739999,32.898472531 -26.847355673,32.8904275310001 -26.8471456729999,32.8819365310001 -26.819172673,32.902499531 -26.7152816729999,32.9277725310001 -26.353618673,32.9291095310001 -26.279499673,32.936945531 -26.1988906719999,32.943054531 -26.1527816719999,32.945618531 -26.087709172,32.9023545310001 -26.1077816719999,32.8933275310001 -26.126663672,32.864163531 -26.209309172,32.869163531 -26.238890672,32.873299531 -26.2724186729999,32.8431905310001 -26.2911086729999,32.806527531 -26.2752816729999,32.7230545300001 -26.1794456719999,32.60388153 -26.0313906719999,32.5871545300001 -25.972436672,32.60666353 -25.962227672,32.64791853 -25.926527672,32.6752815300001 -25.899445672,32.6938815300001 -25.8740996719999,32.6974995300001 -25.8462546719999,32.7044365300001 -25.825836672,32.73339953 -25.806181672,32.7386095300001 -25.7755546719999,32.7624995310001 -25.703609172,32.770272531 -25.6836091719999,32.8111095310001 -25.6120816719999,32.882081531 -25.538336672,32.903609531 -25.5230546719999,33.0486095310001 -25.430554672,33.1094455310001 -25.394445672,33.131899531 -25.381154672,33.2220815310001 -25.340699672,33.2379095310001 -25.3273636719999,33.365827531 -25.2649996719999,33.722636531 -25.109027671,33.994718532 -25.0199996709999,34.108054532 -24.9869456709999,34.2458275320001 -24.946390671,34.303890532 -24.9269456709999,34.328745532 -24.914172671,34.3741635320001 -24.891672671,34.4430545320001 -24.868336671,34.4825995320001 -24.856054671,34.6138815320001 -24.813890671,34.6538815320001 -24.799999671,34.693881532 -24.786109671,34.8127725320001 -24.743336671,34.9713815330001 -24.6744456709999,35.0122185330001 -24.6541636709999,35.050554533 -24.6324996709999,35.078890533 -24.615836671,35.0969365330001 -24.604172671,35.1183275330001 -24.588609671,35.1438815330001 -24.5699996709999,35.185481533 -24.522218671,35.192363533 -24.4902816709999,35.263399533 -24.4088906709999,35.2852725330001 -24.391945671,35.3094365330001 -24.365836671,35.389999533 -24.266109171,35.4047185330001 -24.244727671,35.4561095330001 -24.1694456709999,35.4955545330001 -24.1022186709999,35.4851365330001 -24.0769456699999,35.483254533 -24.0481276699999,35.5016635330001 -23.9666636699999,35.5170815330001 -23.9211186699999,35.539790533 -23.8730546699999,35.5229095330001 -23.7954906699999,35.4899995330001 -23.7929186699999,35.4752725330001 -23.8256996699999,35.4397185330001 -23.8786086699999,35.3763185330001 -23.8579906699999,35.3602725330001 -23.9533366699999,35.3397185330001 -23.96944567,35.3383365330001 -23.9058366699999,35.3477725330001 -23.6952816699999,35.4069455330001 -23.65610917,35.4083365330001 -23.61222767,35.412627533 -23.52125467,35.4210995330001 -23.48944567,35.454163533 -23.38083667,35.4686095330001 -23.34111867,35.480554533 -23.31222767,35.4867995330001 -23.28180917,35.486381533 -23.2493091699999,35.478881533 -23.21778167,35.479790533 -23.17847267,35.519163533 -23.08305467,35.5326365330001 -23.06152767,35.5484725330001 -23.04194567,35.5633275330001 -23.0152816689999,35.597263533 -22.919672669,35.5352725330001 -22.9502816689999,35.5223545330001 -22.915281669,35.504436533 -22.834163669,35.4858365330001 -22.629172669,35.4919365330001 -22.5702816689999,35.5125545330001 -22.5056906689999,35.5237455330001 -22.477081669,35.5336095330001 -22.4527816689999,35.540554533 -22.414172669,35.5427725330001 -22.390554669,35.5452725330001 -22.2324996689999,35.480554533 -22.095799669,35.4458275330001 -22.120281669,35.4186095330001 -22.171109169,35.403054533 -22.221390669,35.393327533 -22.269999669,35.389299533 -22.2987546689999,35.3913815330001 -22.347090669,35.4094365330001 -22.414172669,35.3972185330001 -22.459999669,35.3716635330001 -22.466118669,35.306736533 -22.4074996689999,35.300281533 -22.3574996689999,35.302354533 -22.330418669,35.3098635330001 -22.3105546689999,35.326936533 -22.2340276689999,35.338190533 -22.103890669,35.3374905330001 -22.0744456689999,35.3299905330001 -21.993336669,35.3008275330001 -21.883609168,35.2767365330001 -21.819236668,35.2636095330001 -21.7116726679999,35.271936533 -21.679172668,35.2696455330001 -21.648609168,35.2467995330001 -21.590554668,35.228190533 -21.569445668,35.211663533 -21.553890668,35.183881533 -21.516672668,35.137499533 -21.4316636679999,35.079163533 -21.324172668,35.050281533 -21.097781668,35.0824905330001 -21.087227668,35.117909533 -20.9744456679999,35.102963533 -20.9573276679999,35.1117995330001 -20.933299668,35.074436533 -20.913063668,35.0088905330001 -20.806945667,35.012499533 -20.7788906669999,34.9902725330001 -20.727363667,34.9835995330001 -20.723336667,34.9529815330001 -20.695554667,34.871109532 -20.656672667,34.7392995320001 -20.557781667,34.6669365320001 -20.391181667,34.695136532 -20.381109167,34.7594365320001 -20.180554667,34.752490532 -20.069445667,34.750545532 -20.036663667,34.7549995320001 -19.9702816669999,34.7597185320001 -19.9361091669999,34.764999532 -19.8988906669999,34.776099532 -19.8258996669999,34.7630545320001 -19.797363666,34.7424995320001 -19.7690276659999,34.7230455320001 -19.7559726659999,34.683881532 -19.7389546659999,34.6413905320001 -19.6719456659999,34.633045532 -19.652499666,34.6267995320001 -19.6186096659999,34.8126995320001 -19.7783996659999,34.828609532 -19.811672667,34.847563532 -19.8555906669999,34.8906905320001 -19.860418667,35.112218533 -19.716945666,35.2916635330001 -19.5608366659999,35.363054533 -19.4966726659999,35.447145533 -19.419027666,35.5761095330001 -19.2713906659999,35.636663533 -19.187227666,35.6561095330001 -19.152499666,35.6704095330001 -19.1219456659999,35.7485995330001 -19.0658366659999,35.811945533 -19.0213906659999,35.878881533 -18.974999666,35.982772534 -18.9269456659999,36.059163534 -18.8661091659999,36.1001365340001 -18.813054666,36.1230545340001 -18.802499666,36.1310455340001 -18.808754666,36.122636534 -18.840972666,36.131036534 -18.900072666,36.158054534 -18.9038906659999,36.2527815340001 -18.891390666,36.3205455340001 -18.7944456659999,36.3986095340001 -18.733336666,36.418881534 -18.674163665,36.479718534 -18.576945665,36.5022185340001 -18.554999665,36.6124995340001 -18.453890665,36.7736095340001 -18.301527665,36.8936095340001 -18.1727816649999,36.9438815340001 -18.108609165,36.970481534 -18.0594456649999,36.9522185340001 -18.029445665,36.891936534 -17.9688906649999,36.8215185340001 -17.894790665,36.846381534 -17.875554665,36.870136534 -17.875699665,36.899854534 -17.8899996649999,36.908190534 -17.909309165,36.916381534 -17.950554665,36.9838905340001 -18.001390665,37.004163534 -17.9894456649999,37.0317995340001 -17.952081665,37.055272535 -17.9113906649999,37.067499535 -17.8947276649999,37.088609535 -17.8719456649999,37.2205545350001 -17.7500726649999,37.416936535 -17.6327816639999,37.6091635350001 -17.5258366639999,37.7813905350001 -17.426109664,37.8530545350001 -17.385836664,37.8722185350001 -17.3763906639999,37.9116635350001 -17.3605546639999,37.932499535 -17.353336664,37.9608275350001 -17.3449996639999,38.000827535 -17.337227664,38.0416635350001 -17.3294456639999,38.0965275350001 -17.3169456639999,38.198118536 -17.2695816639999,38.2147185360001 -17.2505546639999,38.249718536 -17.229445664,38.3305545360001 -17.198890664,38.3919365360001 -17.1763906639999,38.6047185360001 -17.0991636639999,38.686099536 -17.070836664,38.8244365360001 -17.056809664,38.896945536 -17.039445664,39.0961815360001 -16.984372664,39.1249995360001 -16.9377816639999,39.128054536 -16.881390664,39.127490536 -16.8704186639999,39.1924995370001 -16.831390664,39.2838815370001 -16.7683366639999,39.310554537 -16.752227664,39.4388905370001 -16.6852816639999,39.5066635370001 -16.6533366639999,39.6744365370001 -16.555281663,39.698609537 -16.5369456629999,39.8174995370001 -16.412781663,39.803054537 -16.3724996629999,39.782636537 -16.305554663,39.808054537 -16.2819456629999,39.8838905370001 -16.239309663,39.9054185370001 -16.2406996629999,39.9327725370001 -16.243336663,39.976663537 -16.235554663,40.0280545370001 -16.1772276629999,40.097499537 -16.0829186629999,40.134018537 -15.997636663,40.1333275370001 -15.976663663,40.1255455370001 -15.939999663,40.244718537 -15.833890663,40.3386095380001 -15.744445663,40.3602725380001 -15.7233366629999,40.381109538 -15.694863663,40.4102725380001 -15.645836663,40.437909538 -15.602081663,40.4799995380001 -15.5747186629999,40.543327538 -15.5341726629999,40.5591635380001 -15.5219456629999,40.5783275380001 -15.498890662,40.587772538 -15.479727662,40.6716635380001 -15.289163662,40.6842995380001 -15.2548636619999,40.668327538 -15.1915276619999,40.6317995380001 -15.1577816619999,40.605554538 -15.1633366619999,40.5815905380001 -15.196045662,40.538327538 -15.194172662,40.5144455380001 -15.183890662,40.5378455380001 -15.1240276619999,40.573609538 -15.122781662,40.6074995380001 -15.115281662,40.7038815380001 -15.081809162,40.770272538 -14.9783366619999,40.7506905380001 -14.9331996619999,40.728463538 -14.8890276619999,40.819999538 -14.811109162,40.8322185380001 -14.781109162,40.8452725380001 -14.734163662,40.8461095380001 -14.697781662,40.8311095380001 -14.459445662,40.821109538 -14.4234726609999,40.806381538 -14.405972661,40.775063538 -14.404372661,40.708327538 -14.4277816609999,40.6899905380001 -14.4358366619999,40.670554538 -14.487781662,40.636109538 -14.484727662,40.6436095380001 -14.4013906609999,40.6822905380001 -14.365627661,40.7286095380001 -14.3430546609999,40.744718538 -14.2747276609999,40.7227725380001 -14.202081661,40.6988815380001 -14.183190661,40.6688815380001 -14.190281661,40.649163538 -14.1974996609999,40.622772538 -14.226527661,40.5986095380001 -14.2458366609999,40.5594365380001 -14.2080546609999,40.5327725380001 -14.167499661,40.554718538 -14.156663661,40.584999538 -14.1480546609999,40.6163095380001 -14.132018661,40.642772538 -14.0708366609999,40.6497185380001 -14.0216636609999,40.6358275380001 -13.946254661,40.625272538 -13.9244456609999,40.6027725380001 -13.896809161,40.5477725380001 -13.687781661,40.5392995380001 -13.640418661,40.5769455380001 -13.5872276609999,40.5788905380001 -13.567218661,40.5486095380001 -13.530836661,40.5258365380001 -13.515281661,40.5419365380001 -13.476109161,40.5898545380001 -13.3718726609999,40.559718538 -13.32944566,40.5394455380001 -13.31222766,40.571936538 -13.20278166,40.5929095380001 -12.9706906599999,40.5183275380001 -12.9549996599999,40.492736538 -12.9550456599999,40.5091635380001 -12.98610916,40.5108275380001 -13.0068091599999,40.494018538 -13.02541866,40.4611095380001 -13.01639066,40.4127725380001 -12.96923666,40.4158365380001 -12.93541866,40.4497185380001 -12.90305466,40.476663538 -12.88416366,40.513609538 -12.8849996599999,40.644027538 -12.7773636599999,40.6459725380001 -12.75541866,40.6111095380001 -12.70889066,40.558881538 -12.55333666,40.4988905380001 -12.5209726599999,40.474163538 -12.50492766,40.509999538 -12.43402766,40.5147185380001 -12.31639066,40.5055545380001 -11.957227659,40.4713815380001 -11.8113906589999,40.446109538 -11.736945659,40.4241635380001 -11.649727659,40.4288905380001 -11.5747186589999,40.4512455380001 -11.522081659,40.476663538 -11.4040996589999,40.387772538 -11.3177816589999,40.417218538 -11.281390659,40.467499538 -11.218609159,40.4985995380001 -11.176672658,40.5616635380001 -11.0663906579999,40.5638185380001 -11.024236658,40.5312455380001 -11.0163186579999,40.506245538 -11.031390658,40.5016635380001 -10.958054658,40.5092275380001 -10.9297906579999,40.533190538 -10.897918658,40.575272538 -10.8788906579999,40.608327538 -10.8623636579999,40.617218538 -10.8416726579999,40.602218538 -10.8237546579999,40.551381538 -10.799718658,40.5030545380001 -10.7911086579999,40.5883365380001 -10.686672658,40.5844455380001 -10.654163658,40.569445538 -10.597227658,40.5162455380001 -10.481945658,40.447772538 -10.4711086579999,40.4368091480001 -10.478172974,40.4386111090001 -10.467777777,40.4927777780001 -10.414722222,40.6686111110001 -10.3127777779999,41.033611111 -10.091388889,42.2215819200001 -10.091388889,42.198876539 -10.173820658,42.1618025390001 -10.321017658,42.137632539 -10.4166686579999),(39.8494455370001 -16.415281663,39.886109537 -16.417781663,39.902909537 -16.412363663,39.9148545370001 -16.282918663,39.9087455370001 -16.274863663,39.8980545370001 -16.2729186629999,39.8642995370001 -16.277499663,39.834999537 -16.2901366629999,39.8180545370001 -16.3124996629999,39.8127725370001 -16.324863663,39.810554537 -16.360690663,39.834372537 -16.4067366629999,39.8494455370001 -16.415281663),(35.445545533 -21.787227668,35.4522185330001 -21.787499668,35.4883275330001 -21.6849996679999,35.494718533 -21.6583366679999,35.4972185330001 -21.581390668,35.4967995330001 -21.546390668,35.4833275330001 -21.5252816679999,35.4713815330001 -21.5336096679999,35.4358275330001 -21.6552816679999,35.4244365330001 -21.727499668,35.423190533 -21.7627816679999,35.4280545330001 -21.7761096679999,35.4355545330001 -21.7833366679999,35.445545533 -21.787227668)))', 'Mozambican Exclusive Economic Zone', 'Mozambique', 'Mozambique', '', '41', '41', 'MOZ', '8347', '', '573577516300', '8347', 'Y'),('SRID=4326;MULTIPOLYGON(((40.314784538 -25.699158672,40.4437335380001 -25.523624672,40.7939015380001 -25.0444976709999,40.867218538 -24.9438336709999,41.030644538 -24.719175671,41.274978538 -24.381980671,41.2895985380001 -24.361711671,41.3164635380001 -24.323728671,41.3427925390001 -24.285746671,41.368587539 -24.247766671,41.393847539 -24.209788671,41.4185745390001 -24.1718126709999,41.442767539 -24.133839671,41.4664265390001 -24.0958686709999,41.489553539 -24.05790067,41.5121485390001 -24.0199366699999,41.518733539 -24.0086086699999,41.534272539 -23.9819746699999,41.5558905390001 -23.9440166699999,41.576976539 -23.9060616699999,41.597530539 -23.86811167,41.617553539 -23.8301656699999,41.634930539 -23.7963446699999,41.6403195390001 -23.77521767,41.6512595390001 -23.73025467,41.661610539 -23.68551967,41.6713705390001 -23.6410146699999,41.680542539 -23.59673967,41.689125539 -23.5526966699999,41.6932335390001 -23.53018467,41.7025245390001 -23.47914467,41.7657315390001 -23.14053367,41.7724875390001 -23.1013706699999,41.778756539 -23.06177467,41.7809875390001 -23.04628867,41.7844875390001 -23.02228567,41.7896665390001 -22.982908669,41.794263539 -22.943649669,41.7982785390001 -22.9045086689999,41.8017125390001 -22.8654866689999,41.8045655390001 -22.8265836689999,41.8068385390001 -22.787800669,41.8081445390001 -22.757971669,41.8119275390001 -22.651936669,41.812725539 -22.6241606689999,41.8132395390001 -22.586120669,41.813173539 -22.548167669,41.812527539 -22.5103016689999,41.8113025390001 -22.4725246689999,41.8094985390001 -22.4348346689999,41.8071155390001 -22.3972326689999,41.804153539 -22.359718669,41.8017495390001 -22.334294669,41.8006765390001 -22.3222836689999,41.7974575390001 -22.2913546689999,41.7738365390001 -22.066310669,41.771642539 -22.0449966689999,41.7597385390001 -21.9275716679999,41.7580735390001 -21.910963668,41.7561855390001 -21.891918668,41.7420485390001 -21.747577668,41.740207539 -21.731232668,41.7375875390001 -21.7078226679999,41.7325405390001 -21.6679316679999,41.7268935390001 -21.6279016679999,41.7206495390001 -21.5877326679999,41.7138075390001 -21.547424668,41.706368539 -21.5069766679999,41.698333539 -21.466389668,41.6897005390001 -21.425661668,41.684532539 -21.4027786679999,41.6446025390001 -21.2270296679999,41.582923539 -20.9530546679999,41.5737055390001 -20.9138376679999,41.574073539 -20.9094676679999,41.5770355390001 -20.868911667,41.5795605390001 -20.828142667,41.5816475390001 -20.787160667,41.5832985390001 -20.745963667,41.5845125390001 -20.704551667,41.585289539 -20.662925667,41.5856315390001 -20.6210846669999,41.585536539 -20.5790276669999,41.5850065390001 -20.536755667,41.5840395390001 -20.494266667,41.5826385390001 -20.451560667,41.580801539 -20.4086376669999,41.578529539 -20.3654976669999,41.5758225390001 -20.3221406669999,41.572680539 -20.278564667,41.5691045390001 -20.234769667,41.565093539 -20.190755667,41.5606485390001 -20.1465226669999,41.5567235390001 -20.110758667,41.5558015390001 -20.1020846669999,41.5506515390001 -20.057489667,41.5450705390001 -20.0126746669999,41.5390565390001 -19.967639667,41.5326115390001 -19.922383667,41.525961539 -19.8784036669999,41.525735539 -19.876907667,41.5184465390001 -19.831218667,41.5121715390001 -19.793899666,41.4800405390001 -19.6085266659999,41.4590205390001 -19.5828106659999,41.153012538 -19.205372666,41.5509145390001 -18.9396886659999,41.8462125390001 -18.7221376649999,41.8991445390001 -18.6830706649999,42.72039354 -18.0761096649999,42.8807225400001 -17.956976665,42.9699035400001 -17.892219665,43.00749554 -17.812131665,43.1760905400001 -17.453527664,43.3601535400001 -17.061910664,43.4585185400001 -16.852261664,43.2938945400001 -16.599745664,43.1194255400001 -16.330448663,43.10975954 -16.3154626629999,43.08404254 -16.275046663,43.05317254 -16.226114663,42.9356645400001 -16.038954663,42.9122645400001 -16.001464663,42.88319454 -15.9543776629999,42.6958135400001 -15.645071663,42.5232645400001 -15.358838662,42.57294354 -15.248731662,42.8410145400001 -14.7175776619999,43.0235615400001 -14.427294661,43.680286541 -14.3759246609999,44.136997541 -14.4588166619999,44.6280395420001 -14.4854966619999,45.096279542 -14.449377662,45.5771855420001 -14.3375136609999,45.8056105430001 -14.2368356609999,46.3320145430001 -13.800468661,46.536994543 -13.26863766,46.586174543 -13.1188606599999,46.6929485430001 -12.7970816599999,46.948779544 -12.73218866,46.979201544 -12.7242506599999,47.0216035440001 -12.71248666,47.063425544 -12.70017466,47.104670544 -12.68731366,47.145337544 -12.6739046599999,47.155241544 -12.67045666,47.1855115440001 -12.66002866,47.2021245440001 -12.65399166,47.225214544 -12.64570566,47.264393544 -12.6308866599999,47.3029915440001 -12.61551566,47.3089745440001 -12.6130106599999,47.341073544 -12.5996546599999,47.378586544 -12.58325366,47.4155185440001 -12.56630066,47.451869544 -12.5487946599999,47.487639544 -12.5307376599999,47.522829544 -12.51212866,47.557439544 -12.49296766,47.5914695440001 -12.47325466,47.6249195440001 -12.45298966,47.6382475440001 -12.4445506599999,47.6579735440001 -12.4323476599999,47.690568544 -12.41126966,47.720482544 -12.3910566599999,47.728363544 -12.37871766,47.751740544 -12.34035166,47.7706555440001 -12.30772966,47.888620545 -12.0965576589999,47.9447115450001 -11.996125659,48.2315425450001 -11.533227659,48.246059545 -11.5093986589999,48.2678845450001 -11.4717376589999,48.2891655450001 -11.433126659,48.309905545 -11.3935636589999,48.330101545 -11.353048659,48.3497555450001 -11.311580659,48.3688675450001 -11.269159659,48.3874375450001 -11.2257836589999,48.405465545 -11.181451658,48.485277545 -11.020832658,49.433333546 -10.2833336579999,50.1999995470001 -11.083333658,50.483333547 -11.516666659,53.38166655 -12.7183336599999,52.9799995490001 -13.523610661,52.759166549 -14.025833661,52.556111549 -15.284999662,52.4547225490001 -16.0211106629999,52.483611549 -17.372777664,52.5919445490001 -17.810555665,52.814444549 -18.683333665,52.4713355490001 -19.303577666,52.405262549 -19.443656666,52.2867815490001 -19.680534666,52.2782535490001 -19.698663666,52.266191549 -19.724534666,52.223546549 -19.825480667,52.220868549 -19.831878667,52.219407549 -19.835391667,52.028553548 -20.4496616669999,51.9787675480001 -20.7043396669999,51.9557755480001 -20.8223406669999,51.922041548 -20.9955406679999,51.886581548 -21.176496668,51.864519548 -21.289047668,51.8606955480001 -21.307940668,51.8561085480001 -21.352589668,51.840922548 -21.5008516679999,51.839932548 -21.5106226679999,51.8379205480001 -21.530806668,51.837813548 -21.544704668,51.8364755480001 -21.737062668,51.8360715480001 -21.8065706679999,51.8357085480001 -21.881962668,51.835495548 -21.971136669,51.8350765480001 -22.119954669,51.822101548 -22.167715669,51.8172905480001 -22.187384669,51.8167925480001 -22.1884816689999,51.816445548 -22.1899006689999,51.8161635480001 -22.190521669,51.8157005480001 -22.192415669,51.815368548 -22.193148669,51.8149565480001 -22.1948296689999,51.8144595480001 -22.195925669,51.814111548 -22.197345669,51.813361548 -22.1989996689999,51.813346548 -22.1990606689999,51.799676548 -22.229196669,51.7403345480001 -22.4713306689999,51.7385145480001 -22.475332669,51.7380625480001 -22.477175669,51.7307885480001 -22.4931706689999,51.721750548 -22.529989669,51.721259548 -22.531068669,51.7209065480001 -22.5325056689999,51.7201695480001 -22.5341276689999,51.7201465480001 -22.534220669,51.6795935480001 -22.623310669,51.661277548 -22.697776669,51.660848548 -22.698718669,51.6604365480001 -22.7003926689999,51.6601645480001 -22.700988669,51.6596925480001 -22.702907669,51.657335548 -22.708079669,51.6511845480001 -22.733071669,51.651123548 -22.733206669,51.6497215480001 -22.738899669,51.6494505480001 -22.739495669,51.6489785480001 -22.7414126689999,51.648491548 -22.742480669,51.648134548 -22.743929669,51.6471295480001 -22.746134669,51.6466305480001 -22.748159669,51.631676548 -22.7809496689999,51.630634548 -22.7851796689999,51.630365548 -22.7857706689999,51.629891548 -22.787694669,51.6298325480001 -22.787822669,51.628428548 -22.793522669,51.6284155480001 -22.793551669,51.6276055480001 -22.796837669,51.6273365480001 -22.7974276689999,51.6268625480001 -22.799352669,51.6265935480001 -22.799942669,51.6261195480001 -22.8018676689999,51.6261055480001 -22.801896669,51.6252965480001 -22.805182669,51.625034548 -22.8057566689999,51.624556548 -22.8076956689999,51.6240715480001 -22.808759669,51.6237135480001 -22.810212669,51.6234445480001 -22.8108026689999,51.6229695480001 -22.812727669,51.6222275480001 -22.814354669,51.6222055480001 -22.814442669,51.581763548 -22.9030236689999,51.5816305480001 -22.9035636689999,51.581372548 -22.9041286689999,51.5808915480001 -22.906077669,51.5804675480001 -22.9070066689999,51.580050548 -22.9086946689999,51.5799915480001 -22.908824669,51.578584548 -22.914522669,51.5782585480001 -22.915236669,51.577839548 -22.9169366689999,51.5771575480001 -22.918428669,51.5762595480001 -22.9220676689999,51.5757165480001 -22.923254669,51.575413548 -22.924483669,51.575206548 -22.924937669,51.5746735480001 -22.927097669,51.5744065480001 -22.927681669,51.573111548 -22.932928669,51.572845548 -22.9335106689999,51.572368548 -22.9354436689999,51.5722475480001 -22.935707669,51.5640525480001 -22.9689016689999,51.5628385480001 -22.9715566689999,51.5624495480001 -22.9731336689999,51.561227548 -22.975806669,51.560842548 -22.9773666689999,51.5603605480001 -22.9784216689999,51.5599995480001 -22.979881669,51.559900548 -22.980098669,51.559357548 -22.9822956689999,51.5591445480001 -22.982762669,51.5577955480001 -22.988224669,51.5573145480001 -22.9892776689999,51.556952548 -22.9907416689999,51.555481548 -22.9939596689999,51.5554285480001 -22.994171669,51.434451548 -23.2583156699999,51.4339195480001 -23.2604576699999,51.4338795480001 -23.26121767,51.4245715480001 -23.2987296699999,51.4230865480001 -23.3264256699999,51.4225755480001 -23.32848267,51.4224175480001 -23.33143767,51.4216975480001 -23.33433667,51.4216275480001 -23.3356536699999,51.4210345480001 -23.3380406699999,51.420936548 -23.3398666699999,51.4202115480001 -23.34278667,51.420147548 -23.3439826699999,51.4195555480001 -23.3463696699999,51.4194575480001 -23.3481956699999,51.4191225480001 -23.3495456699999,51.4188345480001 -23.3549066699999,51.4122365480001 -23.38148167,51.412093548 -23.38414167,51.411457548 -23.38670467,51.411325548 -23.38915767,51.411166548 -23.3897986699999,51.4107495480001 -23.3975656699999,51.3973135480001 -23.45165767,51.397206548 -23.45364167,51.3966055480001 -23.4560636699999,51.396514548 -23.45775567,51.3962785480001 -23.45870367,51.395921548 -23.4653636699999,51.3952855480001 -23.46792167,51.3951535480001 -23.4703796699999,51.3944695480001 -23.47313367,51.394439548 -23.4736936699999,51.318316548 -23.77954267,51.317736548 -23.7902696699999,51.313996548 -23.80527367,51.312823548 -23.8269606699999,51.3121575480001 -23.82963267,51.3121175480001 -23.83037667,51.3086925480001 -23.84411267,51.3084845480001 -23.8479496699999,51.307803548 -23.85068267,51.3077715480001 -23.85126467,51.304723548 -23.8634836699999,51.3047055480001 -23.86382867,51.3024615480001 -23.8728246699999,51.302447548 -23.8730746699999,51.3017815480001 -23.87574367,51.3017415480001 -23.87648967,51.1602325480001 -24.4420296709999,51.1597195480001 -24.4431356709999,51.159390548 -24.444446671,51.1591555480001 -24.444952671,51.158650548 -24.4469616709999,51.1579305480001 -24.4485166709999,51.1578895480001 -24.4486776709999,51.1305155480001 -24.507675671,51.1278185480001 -24.518408671,51.127801548 -24.5184456709999,51.090724548 -24.6658686709999,51.0902765480001 -24.666832671,51.089885548 -24.668384671,51.0896565480001 -24.668879671,51.089147548 -24.670900671,51.0884385480001 -24.672426671,51.0883905480001 -24.672616671,51.0852635480001 -24.679341671,51.0647965480001 -24.760602671,51.064351548 -24.7615586709999,51.0639575480001 -24.763120671,51.063840548 -24.763371671,51.0389645480001 -24.8620366709999,51.0386125480001 -24.862790671,51.0358605480001 -24.8737016709999,51.0351455480001 -24.8752356709999,51.0350995480001 -24.875416671,51.033618548 -24.878596671,51.033579548 -24.878748671,50.9975765470001 -24.955980671,50.9947735470001 -24.967074671,50.988623547 -24.980256671,50.9665175470001 -25.0676656709999,50.9658075470001 -25.069187671,50.9657575470001 -25.069383671,50.9628535470001 -25.075601671,50.9625375470001 -25.0768506709999,50.9623785470001 -25.077191671,50.961802547 -25.079465671,50.959889547 -25.0835616709999,50.959445547 -25.0853166709999,50.959014547 -25.0862396709999,50.957974547 -25.090348671,50.9566605470001 -25.093162671,50.954823547 -25.100415671,50.9546115470001 -25.1008696709999,50.9540905470001 -25.102929671,50.953434547 -25.1043336709999,50.9525155470001 -25.1079636709999,50.8676215470001 -25.289432672,50.8668925470001 -25.292301672,50.866186547 -25.293809672,50.8661335470001 -25.2940196719999,50.865561547 -25.295239672,50.8631115470001 -25.304882672,50.861617547 -25.308071672,50.859230547 -25.317465672,50.825005547 -25.3904686719999,50.7880455470001 -25.535586672,50.787205547 -25.5373756719999,50.7857365470001 -25.5431376719999,50.781035547 -25.553144672,50.7809855470001 -25.5533406719999,50.7807785470001 -25.553780672,50.780248547 -25.5558566719999,50.779913547 -25.556571672,50.7779665470001 -25.564204672,50.7775425470001 -25.565107672,50.7771305470001 -25.566722672,50.777050547 -25.5668926719999,50.766603547 -25.6078466719999,50.7661185470001 -25.6088776719999,50.7657645470001 -25.610265672,50.7650615470001 -25.6117606719999,50.765005547 -25.611981672,50.763546547 -25.615084672,50.7634875470001 -25.615314672,50.7630645470001 -25.616214672,50.7626515470001 -25.617832672,50.761948547 -25.6193276719999,50.7618925470001 -25.619548672,50.7607665470001 -25.6219426719999,50.7602965470001 -25.6237836719999,50.759541547 -25.625390672,50.759538547 -25.625399672,50.7591155470001 -25.626299672,50.758702547 -25.627918672,50.758167547 -25.6290566719999,50.755684547 -25.6387826719999,50.7374555470001 -25.6775296719999,50.691363547 -25.857768672,50.6840345470001 -25.8733096719999,50.6837485470001 -25.874427672,50.6700125470001 -25.9035466719999,50.668643547 -25.9088876719999,50.6549205470001 -25.937964672,50.653540547 -25.943347672,50.639830547 -25.972383672,50.6384385470001 -25.977807672,50.624740547 -26.0068026719999,50.6233375470001 -26.012267672,50.6096525470001 -26.0412216719999,50.608237547 -26.046728672,50.597437547 -26.0695696719999,50.5963125470001 -26.073948672,50.3428265470001 -26.607721673,49.9871185470001 -27.093240673,49.5391875460001 -27.515105674,49.0124115460001 -27.8597536739999,49.0067145460001 -27.8622466739999,49.005155546 -27.8632606739999,48.9780725460001 -27.8751066739999,48.9706225460001 -27.879952674,48.943593546 -27.8917666739999,48.9360885460001 -27.896643674,48.9091125460001 -27.9084256739999,48.9015535460001 -27.9133346739999,48.874631546 -27.9250846739999,48.8670185460001 -27.930025674,48.840149545 -27.941742674,48.8324825450001 -27.946716674,48.8056675450001 -27.958401674,48.7979455450001 -27.9634066739999,48.771183545 -27.975059674,48.7634075450001 -27.980097674,48.7367005450001 -27.991717674,48.7288695450001 -27.996787674,48.7022155450001 -28.008375674,48.6943295450001 -28.0134776739999,48.667729545 -28.0250336739999,48.6597895450001 -28.030167674,48.633243545 -28.0416916739999,48.625248545 -28.046856674,48.6234355450001 -28.047643674,48.622886545 -28.0479986739999,48.031861545 -28.302802674,48.0138835450001 -28.3073166739999,47.9978025450001 -28.3142006739999,47.978562545 -28.3190266739999,47.9612435450001 -28.326435674,47.9420615450001 -28.331240674,47.9246835450001 -28.338669674,47.9055605450001 -28.343455674,47.888122545 -28.3509036739999,47.869057545 -28.355668674,47.851561545 -28.363136674,47.832555545 -28.3678826739999,47.814999545 -28.375369674,47.7960515450001 -28.380095674,47.778436544 -28.3876026739999,47.759547544 -28.392308675,47.741872544 -28.399834675,47.7230425440001 -28.404520675,47.705308544 -28.4120666749999,47.686536544 -28.4167336749999,47.6687435440001 -28.4242976749999,47.6500295440001 -28.428944675,47.6321775440001 -28.436529675,47.613522544 -28.4411566749999,47.5956105440001 -28.448759675,47.5770145440001 -28.453367675,47.5590425440001 -28.4609906749999,47.540506544 -28.465578675,47.522474544 -28.4732206749999,47.5039965440001 -28.4777886749999,47.485905544 -28.485450675,47.4674865440001 -28.489998675,47.4493355440001 -28.497679675,47.430976544 -28.502208675,47.4127655440001 -28.509908675,47.3944645440001 -28.5144176749999,47.376193544 -28.522137675,47.3579525440001 -28.5266266749999,47.3396215440001 -28.5343656749999,47.321439544 -28.538835675,47.303049544 -28.5465936749999,47.284925544 -28.551043675,47.2664755440001 -28.5588206749999,47.2484115440001 -28.5632516749999,47.229900544 -28.5710476749999,47.2118965440001 -28.5754596749999,47.1933255440001 -28.5832746749999,47.1753805440001 -28.587666675,47.156749544 -28.595501675,47.1388635440001 -28.599873675,47.1201735440001 -28.607727675,47.1023465440001 -28.612080675,47.083595544 -28.619952675,47.0658285440001 -28.624286675,47.047017544 -28.632178675,47.0293095440001 -28.6364926749999,47.0104385440001 -28.644403675,46.9927905440001 -28.6486986749999,46.9738585440001 -28.656627675,46.9562705440001 -28.6609036749999,46.937278544 -28.668852675,46.9197495440001 -28.673108675,46.900696544 -28.6810756749999,46.8832275440001 -28.685312675,46.8641145440001 -28.6932996749999,46.846705544 -28.697517675,46.8275315440001 -28.7055226749999,46.816375544 -28.7082226749999,46.8040225440001 -28.713376675,46.1656795430001 -28.8662806749999,45.505844542 -28.916743675,45.4991255420001 -28.9162106749999,45.4919845420001 -28.916741675,45.473224542 -28.915252675,45.453204542 -28.916735675,45.4345035420001 -28.9152466749999,45.4144245420001 -28.9167286749999,45.3957825420001 -28.915239675,45.375644542 -28.916721675,45.3570605420001 -28.915232675,45.3368645420001 -28.916713675,45.318339542 -28.9152246749999,45.298084542 -28.9167046749999,45.279618542 -28.915216675,45.2593045420001 -28.916695675,45.240897542 -28.915207675,45.2205235420001 -28.9166866749999,45.2021765420001 -28.9151986749999,45.181743542 -28.916676675,45.1634555420001 -28.915188675,45.1429635420001 -28.9166656749999,45.1280595420001 -28.9154496749999,45.1112675420001 -28.916656675,44.4519825410001 -28.861355675,43.815266541 -28.7037926749999,43.810335541 -28.701689675,43.808692541 -28.701279675,43.7817335410001 -28.689780675,43.7727015410001 -28.687521675,43.745804541 -28.676039675,43.736711541 -28.673762675,43.709876541 -28.6622986749999,43.7007225410001 -28.660004675,43.6739485410001 -28.648557675,43.664734541 -28.6462456749999,43.6380225410001 -28.634815675,43.6287465410001 -28.6324856749999,43.602096541 -28.6210736749999,43.5927605410001 -28.618725675,43.5661715410001 -28.607331675,43.556774541 -28.604965675,43.5302465410001 -28.593589675,43.5207895410001 -28.591205675,43.494323541 -28.5798466749999,43.48480554 -28.577444675,43.4584005400001 -28.566103675,43.44882154 -28.5636836749999,43.42247854 -28.5523596749999,43.4128395400001 -28.5499226749999,43.3865575400001 -28.538615675,43.3768575400001 -28.536160675,43.35063654 -28.5248716749999,43.3408765400001 -28.522398675,43.3147175400001 -28.511127675,43.3048975400001 -28.5086366749999,43.27879854 -28.497382675,43.2689175400001 -28.494873675,43.24288054 -28.483637675,43.2329395400001 -28.481110675,43.2069635400001 -28.469892675,43.1969625400001 -28.4673476749999,43.1710465400001 -28.456146675,43.1609855400001 -28.4535836749999,43.13513054 -28.4424006749999,43.1250095400001 -28.439819675,43.09921554 -28.428654675,43.0890345400001 -28.4260556749999,43.0633015400001 -28.4149076749999,43.05306054 -28.412290675,43.0273885400001 -28.401161675,43.01708754 -28.398525675,42.9914755400001 -28.387413674,42.9811145400001 -28.3847606739999,42.9555635400001 -28.3736666739999,42.9451435400001 -28.370994674,42.9196525400001 -28.359918674,42.90917254 -28.3572286739999,42.8872625400001 -28.347701674,42.8781865400001 -28.345369674,42.288838539 -28.087366674,41.762453539 -27.741127674,41.315412538 -27.3179206739999,41.312661538 -27.3141606729999,41.312235538 -27.3137556729999,41.2924105380001 -27.286646673,41.289313538 -27.2836986729999,41.269529538 -27.256630673,41.2663915380001 -27.2536416729999,41.246649538 -27.226615673,41.2434685380001 -27.2235856729999,41.2237685380001 -27.196600673,41.2205465380001 -27.1935286729999,41.2008875380001 -27.1665856729999,41.1976235380001 -27.1634726729999,41.178005538 -27.1365716729999,41.174700538 -27.1334176729999,41.1551245380001 -27.1065566729999,41.151777538 -27.1033616729999,41.1373615380001 -27.0835716729999,41.134865538 -27.0811876729999,40.781815538 -26.594303673,40.7785655380001 -26.5873966729999,40.7772345380001 -26.5855526729999,40.7648555380001 -26.559238673,40.7597625380001 -26.552180673,40.7474095380001 -26.525906673,40.7422895380001 -26.518808673,40.7299625380001 -26.492575673,40.724816538 -26.485437673,40.7125145380001 -26.4592446729999,40.707342538 -26.4520666729999,40.6950655380001 -26.425914673,40.689867538 -26.4186956729999,40.6776155380001 -26.3925836729999,40.6723915380001 -26.385325673,40.6601655380001 -26.359253673,40.6549145380001 -26.351955673,40.6427145380001 -26.325923673,40.637437538 -26.318585673,40.6252615380001 -26.2925936729999,40.619958538 -26.285216673,40.607808538 -26.259264673,40.6024795380001 -26.2518476729999,40.590355538 -26.2259356719999,40.584999538 -26.2184786719999,40.5729005380001 -26.192606672,40.5675195380001 -26.185110672,40.5554445380001 -26.159278672,40.550037538 -26.151741672,40.537988538 -26.1259496719999,40.5325555380001 -26.118374672,40.5205315380001 -26.092621672,40.515072538 -26.085006672,40.503072538 -26.059294672,40.4975885380001 -26.051639672,40.4856135380001 -26.025966672,40.480104538 -26.018272672,40.4681545380001 -25.9926396719999,40.4626195380001 -25.984906672,40.4506935380001 -25.959312672,40.4451325380001 -25.951539672,40.4340315380001 -25.927702672,40.4288215380001 -25.9204176719999,40.314784538 -25.699158672),(43.2791635400001 -21.9083366679999,43.23682754 -22.068745669,43.2472185400001 -22.152227669,43.2505455400001 -22.162781669,43.26082754 -22.2133366689999,43.2388815400001 -22.2824996689999,43.28610954 -22.4980546689999,43.3172185400001 -22.659445669,43.34888154 -22.800836669,43.3580545400001 -22.841663669,43.36193654 -22.852781669,43.3660995400001 -22.861945669,43.37582754 -22.8752816689999,43.3927725400001 -22.8958366689999,43.4822185400001 -22.997499669,43.4927725410001 -23.0080546689999,43.504718541 -23.0127816689999,43.5205545410001 -23.02305467,43.555827541 -23.0488906699999,43.5783275410001 -23.0677816699999,43.5880545410001 -23.0783366699999,43.596936541 -23.0991636699999,43.597772541 -23.1294456699999,43.596936541 -23.1508366699999,43.597499541 -23.17083667,43.6058275410001 -23.2658366699999,43.6069455410001 -23.27805467,43.611663541 -23.30167267,43.614999541 -23.31139067,43.630554541 -23.3474996699999,43.6369365410001 -23.35749967,43.646381541 -23.36194567,43.687490541 -23.3949996699999,43.7452815410001 -23.44305467,43.753054541 -23.45222767,43.759990541 -23.46805467,43.7479095410001 -23.57736367,43.735272541 -23.58889067,43.7038905410001 -23.60278167,43.673336541 -23.6138906699999,43.649718541 -23.62375467,43.6383275410001 -23.64778167,43.636381541 -23.65778167,43.624990541 -23.7616726699999,43.6488905410001 -23.80999967,43.6531905410001 -23.8244456699999,43.6622185410001 -23.8686186699999,43.6647185410001 -24.04360917,43.6644455410001 -24.188890671,43.6641635410001 -24.311390671,43.6713905410001 -24.331672671,43.691663541 -24.384445671,43.7119365410001 -24.417227671,43.7322185410001 -24.4386091709999,43.755554541 -24.456390671,43.7658275410001 -24.4624996709999,43.7872185410001 -24.4713906709999,43.7974905410001 -24.4772186709999,43.8194455410001 -24.4916726709999,43.834445541 -24.505281671,43.9058275410001 -24.5988906709999,43.922772541 -24.634027671,43.9312455410001 -24.6727816709999,43.928890541 -24.688054671,43.914299541 -24.717645671,43.917772541 -24.7411091709999,43.925827541 -24.7611091709999,43.9538905410001 -24.8108366709999,43.9674995410001 -24.830281671,43.985272541 -24.8502816709999,43.993890541 -24.861390671,44.0052725410001 -24.880281671,44.0111095410001 -24.8997276709999,44.0163905410001 -24.9202816709999,44.021945541 -24.944445671,44.023045541 -24.958336671,44.017081541 -24.980836671,44.0322185410001 -25.0044456709999,44.097499541 -25.0544456709999,44.1083275410001 -25.0616726709999,44.1197185410001 -25.062781671,44.129718541 -25.0577816709999,44.139718541 -25.053890671,44.150272541 -25.055836671,44.162772541 -25.0594456709999,44.1747185410001 -25.064727671,44.184436541 -25.0691726709999,44.337218541 -25.153054671,44.4019365410001 -25.1933366719999,44.4119455410001 -25.211672672,44.407772541 -25.220836672,44.3991635410001 -25.2302816719999,44.3891635410001 -25.2327816719999,44.3686095410001 -25.2155546719999,44.349999541 -25.194445672,44.3324995410001 -25.1766726719999,44.323054541 -25.167499671,44.297699541 -25.1631276709999,44.3491635410001 -25.246390672,44.3558275410001 -25.255554672,44.443327541 -25.272781672,44.522218541 -25.286390672,44.587772542 -25.293890672,44.7113905420001 -25.303890672,44.7474995420001 -25.310554672,44.7697185420001 -25.316672672,44.7824905420001 -25.321109672,44.808327542 -25.3355546719999,44.9147185420001 -25.402499672,45.0980545420001 -25.520836672,45.1180455420001 -25.534999672,45.127354542 -25.548618672,45.2147185420001 -25.588336672,45.4624905420001 -25.578336672,45.4877815420001 -25.575554672,45.530272542 -25.568609672,45.5502815420001 -25.5622276719999,45.5716635420001 -25.551390672,45.653327543 -25.5091636719999,45.670554543 -25.497218672,45.698609543 -25.4680546719999,45.7136095430001 -25.4538906719999,45.7391635430001 -25.4361096719999,45.7944455430001 -25.403336672,45.9047185430001 -25.339445672,45.9230455430001 -25.3288906719999,45.9630545430001 -25.3099996719999,46.171945543 -25.2269456719999,46.1933275430001 -25.2194456719999,46.258045543 -25.196945672,46.2908365430001 -25.1861096719999,46.336663543 -25.173618672,46.413327543 -25.1616636709999,46.5030545430001 -25.1616636709999,46.5233275430001 -25.166945671,46.5441635430001 -25.174999672,46.584163543 -25.182781672,46.646663543 -25.191672672,46.7194455440001 -25.171390672,46.7302725440001 -25.167499671,46.906390544 -25.0686096709999,47.0944455440001 -24.9738906709999,47.133045544 -24.9280546709999,47.1372185440001 -24.9127816709999,47.131663544 -24.8949996709999,47.1272185440001 -24.875418671,47.1272185440001 -24.8611186709999,47.130136544 -24.846109171,47.135272544 -24.831672671,47.1486095440001 -24.8136091709999,47.1986095440001 -24.741390671,47.281663544 -24.557499671,47.3033275440001 -24.503890671,47.313045544 -24.471109171,47.3155545440001 -24.4588906709999,47.3197185440001 -24.412499671,47.3394365440001 -24.306118671,47.4036095440001 -24.1777816709999,47.426181544 -24.1241276709999,47.4880545440001 -24.0308366699999,47.4980545440001 -24.01499967,47.5633275440001 -23.87249967,47.575827544 -23.83917267,47.5872185440001 -23.79417267,47.6124995440001 -23.66444567,47.6158275440001 -23.64305467,47.616945544 -23.6219456699999,47.6288815440001 -23.56167267,47.712490544 -23.3397276699999,47.7597185440001 -23.1383366699999,47.802772545 -22.9977816689999,47.8105545450001 -22.9683366689999,47.831663545 -22.888336669,47.837218545 -22.8672276689999,47.839718545 -22.849445669,47.8424995450001 -22.826663669,47.8477725450001 -22.7816726689999,47.8647185450001 -22.669445669,47.8944365450001 -22.513890669,47.9008365450001 -22.485836669,47.908054545 -22.4619456689999,47.9197185450001 -22.431945669,48.0030545450001 -22.220554669,48.0152725450001 -22.191109169,48.0508275450001 -22.110554669,48.110272545 -21.9783366689999,48.1202815450001 -21.959163669,48.140827545 -21.923054668,48.2177725450001 -21.7449996679999,48.3041635450001 -21.479727668,48.3705545450001 -21.292227668,48.4563815450001 -20.985554668,48.4677725450001 -20.9141726679999,48.5211095450001 -20.6974996669999,48.539445545 -20.6455546669999,48.5849995450001 -20.493618667,48.6010995450001 -20.439445667,48.6077905450001 -20.416172667,48.6166635450001 -20.3880546669999,48.6363815450001 -20.336672667,48.654445545 -20.2983366669999,48.6913815450001 -20.221672667,48.705827545 -20.193054667,48.722218545 -20.167227667,48.7508275450001 -20.111118667,48.759163545 -20.0911186669999,48.778054545 -20.0391726669999,48.8130455450001 -19.933054667,48.8336095450001 -19.825281667,48.844445545 -19.766109166,48.8491635450001 -19.7427816659999,48.861663546 -19.6844456659999,48.869436546 -19.650281666,48.8755455460001 -19.6283366659999,48.8830455460001 -19.6077816659999,48.8927725460001 -19.588609166,48.9219455460001 -19.531672666,48.956381546 -19.457781666,48.9888815460001 -19.3769456659999,48.9963815460001 -19.356390666,49.002490546 -19.334445666,49.0141635460001 -19.276109166,49.018054546 -19.2508366659999,49.024990546 -19.215836666,49.0316635460001 -19.194445666,49.0663815460001 -19.0880546659999,49.0752725460001 -19.068890666,49.0974995460001 -19.034727666,49.1302725460001 -18.9705546659999,49.143881546 -18.940281666,49.167772546 -18.879445666,49.2313815460001 -18.703890665,49.304163546 -18.5372276649999,49.368327546 -18.3513906649999,49.370827546 -18.325281665,49.3722185460001 -18.3127816649999,49.3841635460001 -18.213890665,49.4144455460001 -18.072499665,49.433327546 -17.9969456649999,49.445827546 -17.948063665,49.455554546 -17.915836665,49.4816635460001 -17.831390665,49.494999546 -17.7938906649999,49.5011095460001 -17.771118665,49.5102725460001 -17.711390665,49.5111095460001 -17.6894456649999,49.509718546 -17.678336665,49.4886095460001 -17.554445664,49.475272546 -17.486945664,49.454718546 -17.415418664,49.4352725460001 -17.3819456639999,49.421663546 -17.3624996639999,49.4188815460001 -17.343890664,49.4205545460001 -17.326118664,49.422772546 -17.315836664,49.428890546 -17.2972276639999,49.5316635460001 -17.0463906639999,49.5902725460001 -16.919445664,49.5969365460001 -16.908609664,49.6069455460001 -16.900554664,49.6172185460001 -16.8941726639999,49.628054546 -16.889727664,49.638054546 -16.887499664,49.788609546 -16.8302816639999,49.779445546 -16.826118664,49.7594365460001 -16.814163664,49.749999546 -16.805836664,49.7430455460001 -16.796109164,49.736663546 -16.786390664,49.720836546 -16.7569456639999,49.717218546 -16.728336664,49.7191635460001 -16.714727664,49.7241635460001 -16.7058366639999,49.7430455460001 -16.697227664,49.7538815460001 -16.689727664,49.7724995460001 -16.671945664,49.791936546 -16.651390664,49.799436546 -16.6416726639999,49.845836546 -16.565836663,49.848609546 -16.554172663,49.8627815460001 -16.473890663,49.8630545460001 -16.4552816629999,49.8594455460001 -16.434445663,49.848881546 -16.4241636629999,49.834445546 -16.416390663,49.8302725460001 -16.3952816629999,49.825554546 -16.365554663,49.8254095460001 -16.3433366629999,49.8324995460001 -16.308609163,49.8383365460001 -16.286663663,49.8522185460001 -16.2474996629999,49.8540185460001 -16.231390663,49.850272546 -16.217227663,49.836109546 -16.197227663,49.8169365460001 -16.181945663,49.7691635460001 -16.152227663,49.7591635460001 -16.154727663,49.748890546 -16.1533366629999,49.7297185460001 -16.1455546629999,49.7205545460001 -16.1380546629999,49.709718546 -16.127499663,49.702081546 -16.114172663,49.695827546 -16.098054663,49.6813815460001 -16.0549996629999,49.6805545460001 -16.034999663,49.6877725460001 -16.009999663,49.704718546 -15.9641726629999,49.717772546 -15.9455546629999,49.730972546 -15.921945663,49.7340275460001 -15.904163663,49.6758275460001 -15.725281663,49.6666635460001 -15.706109163,49.6574905460001 -15.681945663,49.633890546 -15.5836091629999,49.6327725460001 -15.5705546629999,49.6336095460001 -15.5574996629999,49.6413905460001 -15.5374996629999,49.6644455460001 -15.5047186629999,49.676936546 -15.4883366619999,49.6961095460001 -15.465836662,49.7205545460001 -15.4474996619999,49.729999546 -15.442781662,49.751390546 -15.4358366619999,49.8241635460001 -15.4316636619999,49.8661095460001 -15.4324996619999,49.902218546 -15.468336662,49.9030545460001 -15.548054663,49.903881546 -15.561109163,49.9616635470001 -15.681109163,50.0266635470001 -15.7983366629999,50.026381547 -15.8105546629999,50.0291635470001 -15.8574996629999,50.0338815470001 -15.866945663,50.1005545470001 -15.920554663,50.1379275470001 -15.9275186629999,50.1727725470001 -15.9797276629999,50.2322185470001 -15.9744456629999,50.240827547 -15.968890663,50.2997185470001 -15.873609163,50.326381547 -15.8188906629999,50.4336095470001 -15.579999663,50.4827725470001 -15.405836662,50.501390547 -15.322781662,50.501390547 -15.308890662,50.498054547 -15.262781662,50.4967815470001 -15.2494546619999,50.483890547 -15.2038906619999,50.4336095470001 -15.145836662,50.401109547 -15.0977816619999,50.3374905470001 -14.998609162,50.299999547 -14.904999662,50.271945547 -14.826109162,50.238327547 -14.7113906619999,50.1999995470001 -14.570281662,50.190554547 -14.4516636619999,50.190827547 -14.4311091619999,50.192218547 -14.4186091609999,50.2038905470001 -14.374727661,50.213881547 -14.342499661,50.2169455470001 -14.3076366609999,50.2155545470001 -14.2919456609999,50.2027725470001 -14.2698636609999,50.192218547 -14.259445661,50.1786095470001 -14.2522276609999,50.168327547 -14.241663661,50.1633275470001 -14.2319456609999,50.159999547 -14.221672661,50.1605545470001 -14.2016636609999,50.1711095470001 -14.104999661,50.1761095470001 -14.061945661,50.174999547 -14.0494456609999,50.1608275470001 -14.0149996609999,50.1497185470001 -13.9986091609999,50.1441635470001 -13.988890661,50.145272547 -13.8963906609999,50.1466635470001 -13.876663661,50.150272547 -13.852499661,50.1497185470001 -13.832781661,50.1483275470001 -13.820281661,50.1402725470001 -13.773609161,50.1380545470001 -13.761945661,50.1019455470001 -13.6274996609999,50.0713905470001 -13.550554661,50.0666635470001 -13.541672661,50.0594365470001 -13.534727661,50.0511095470001 -13.5291636609999,50.043327547 -13.5216636609999,50.037772547 -13.5133366609999,50.034436547 -13.4961091609999,50.034436547 -13.483890661,50.0380545470001 -13.4638906609999,50.0247185470001 -13.449445661,49.979436547 -13.34667266,49.9435995470001 -13.22444566,49.933327547 -13.1811091599999,49.940827547 -13.11889066,49.9435995470001 -13.09694566,49.947218547 -13.08667266,49.947490547 -13.07444566,49.9433275470001 -13.03944566,49.9002725460001 -12.9583366599999,49.894718546 -12.9499996599999,49.798045546 -12.8161091599999,49.653609546 -12.70194566,49.5942995460001 -12.65019066,49.570618546 -12.64877266,49.562090546 -12.63334566,49.5645545460001 -12.61382766,49.5745545460001 -12.5998816599999,49.5765275460001 -12.58249066,49.5748905460001 -12.5650996599999,49.5924995460001 -12.54222766,49.5966635460001 -12.5324996599999,49.5966635460001 -12.52028166,49.5955545460001 -12.50778166,49.5908275460001 -12.4852816599999,49.5438815460001 -12.3844456599999,49.5183275460001 -12.34583666,49.4286095460001 -12.282781659,49.366390546 -12.262499659,49.3705545460001 -12.272227659,49.368327546 -12.28360916,49.360272546 -12.2963906599999,49.346381546 -12.30333666,49.3274995460001 -12.30110866,49.3107905460001 -12.257136659,49.2709635460001 -12.282081659,49.232499546 -12.2249996589999,49.2422185460001 -12.1698636589999,49.2519365460001 -12.148054659,49.2619365460001 -12.143890659,49.325554546 -12.1574996589999,49.3352725460001 -12.164445659,49.3497185460001 -12.1844456589999,49.355272546 -12.193890659,49.367363546 -12.2058366589999,49.369999546 -12.187227659,49.3569455460001 -12.0908366589999,49.3472185460001 -12.0619456589999,49.3205455460001 -12.0030546589999,49.3097185460001 -11.984445659,49.2972185460001 -11.964445659,49.283881546 -11.9541726589999,49.272218546 -11.9470816589999,49.258327546 -11.945554659,49.224445546 -11.974718659,49.1572185460001 -12.0538906589999,49.1294365460001 -12.103609159,49.163609546 -12.114172659,49.1894365460001 -12.1255546589999,49.1915185460001 -12.159781659,49.1694455460001 -12.229172659,49.1644455460001 -12.2380546589999,49.1508365460001 -12.252227659,49.0966635460001 -12.280554659,49.063890546 -12.2766726589999,48.9773545460001 -12.34513666,48.9691635460001 -12.3577816599999,48.9613905460001 -12.41499966,48.9538905460001 -12.47444566,48.944163546 -12.48583666,48.918609546 -12.4947186599999,48.9072185460001 -12.49583666,48.895554546 -12.47999966,48.879163546 -12.45528166,48.8755455460001 -12.44499966,48.8702815460001 -12.4230546599999,48.861936546 -12.41610866,48.8508275450001 -12.41333666,48.766390545 -12.39917266,48.7563815450001 -12.40305466,48.7335995450001 -12.43763666,48.7447185450001 -12.4469456599999,48.767218545 -12.4584726599999,48.782218545 -12.46583666,48.8222185450001 -12.50722766,48.879718546 -12.57305466,48.9024995460001 -12.6738906599999,48.9569365460001 -12.81139066,48.959445546 -12.82222766,48.9491635460001 -12.8769456599999,48.9455455460001 -12.88721866,48.9180545460001 -12.9561086599999,48.9001365460001 -12.9729186599999,48.8636095460001 -13.04110916,48.844718545 -13.07778166,48.8238815450001 -13.11999966,48.8124905450001 -13.1943091599999,48.8155545450001 -13.2191636599999,48.8083275450001 -13.28694566,48.798336545 -13.35417266,48.792772545 -13.367781661,48.7359635450001 -13.424163661,48.721381545 -13.423054661,48.682499545 -13.4397276609999,48.6655545450001 -13.4491636609999,48.6563905450001 -13.444172661,48.6452725450001 -13.441390661,48.536945545 -13.425554661,48.5005455450001 -13.444172661,48.5038815450001 -13.515554661,48.4255545450001 -13.525281661,48.3505545450001 -13.5427816609999,48.3376365450001 -13.5508366609999,48.3352725450001 -13.565281661,48.3494365450001 -13.5856906609999,48.3558275450001 -13.603890661,48.3355455450001 -13.7730546609999,48.3180545450001 -13.7902816609999,48.305545545 -13.7986086609999,48.287218545 -13.808054661,48.2524905450001 -13.808054661,48.2419455450001 -13.8044456609999,48.1834635450001 -13.7576366609999,48.174999545 -13.715836661,48.165836545 -13.663609161,48.1527725450001 -13.600836661,48.071663545 -13.523608661,48.0633275450001 -13.518054661,48.0342995450001 -13.514718661,48.0230455450001 -13.520836661,48.0286095450001 -13.5291636609999,48.0374995450001 -13.5338906609999,48.045272545 -13.5402816609999,48.047772545 -13.549999661,48.0269365450001 -13.5741636609999,48.019718545 -13.581108661,47.955554545 -13.592227661,47.942772545 -13.592227661,47.9270815450001 -13.5873636609999,47.9124995450001 -13.589445661,47.9052725450001 -13.5963906609999,47.8977725450001 -13.616663661,47.892490545 -13.6391636609999,47.8902725450001 -13.651672661,47.872499545 -13.776672661,47.8744455450001 -13.788336661,47.8836095450001 -13.826945661,47.9016635450001 -13.878054661,47.9105545450001 -13.8974996609999,47.9266635450001 -13.909445661,47.949163545 -13.9152816609999,47.9680455450001 -13.924999661,48.022081545 -13.9605546609999,47.9830545450001 -13.994718661,47.9724995450001 -13.996390661,47.9591635450001 -13.995554661,47.946390545 -13.996663661,47.941936545 -14.006390661,47.948054545 -14.014718661,47.986381545 -14.0461096609999,47.9947185450001 -14.0516726609999,48.0038815450001 -14.056663661,48.0313995450001 -14.063409661,48.041109545 -14.068890661,48.0447185450001 -14.079172661,48.052499545 -14.1061091609999,48.048336545 -14.1555546609999,48.0030545450001 -14.322781661,47.993045545 -14.326945661,47.9777725450001 -14.320690661,47.971381545 -14.306663661,47.974445545 -14.284727661,47.9877185450001 -14.231445661,47.997390545 -14.1950276609999,48.0149995450001 -14.158336661,48.016663545 -14.1474996609999,48.0111095450001 -14.1383366609999,47.9958275450001 -14.1258366609999,47.9872185450001 -14.120281661,47.945827545 -14.098336661,47.9255545450001 -14.0888906609999,47.9141635450001 -14.0888906609999,47.9042995450001 -14.096945661,47.919445545 -14.114999661,47.939027545 -14.131109661,47.9483815450001 -14.177972661,47.9483905450001 -14.188554661,47.941554545 -14.215227661,47.935718545 -14.2262276609999,47.927772545 -14.253890661,47.875272545 -14.2522276609999,47.8527725450001 -14.246390661,47.8299995450001 -14.233890661,47.7788815440001 -14.261390661,47.7177725440001 -14.346945661,47.7138815440001 -14.357227661,47.6997185440001 -14.408336661,47.699436544 -14.4205546609999,47.701663544 -14.442781662,47.7208365440001 -14.5583366619999,47.750972544 -14.603199662,47.8278905450001 -14.5908906619999,47.8872185450001 -14.579172662,47.895827545 -14.573609662,47.9063905450001 -14.570554662,47.9191635450001 -14.569172662,47.931936545 -14.570836662,47.9411095450001 -14.575836662,48.0069455450001 -14.622781662,48.0152725450001 -14.635281662,48.0224995450001 -14.712363662,48.020827545 -14.728054662,48.013327545 -14.749445662,47.9970815450001 -14.767227662,47.987499545 -14.7599996619999,47.989436545 -14.7399996619999,47.9916635450001 -14.7283366619999,47.997772545 -14.7063906619999,47.9988905450001 -14.686672662,47.9955545450001 -14.662499662,47.9841635450001 -14.6341636619999,47.978609545 -14.6258366619999,47.9685995450001 -14.6216636619999,47.8112725450001 -14.603890662,47.6986095440001 -14.683609162,47.687772544 -14.701945662,47.6436095440001 -14.7780546619999,47.639163544 -14.787499662,47.6249905440001 -14.827218662,47.6130545440001 -14.857227662,47.566936544 -14.950281662,47.491945544 -15.0766636619999,47.4833275440001 -15.0827816619999,47.4480545440001 -15.1033366619999,47.438609544 -15.108054662,47.427218544 -15.110554662,47.4166635440001 -15.1069456619999,47.4111095440001 -15.0986091619999,47.4091635440001 -15.0869456619999,47.410827544 -14.982499662,47.4124995440001 -14.971390662,47.4360995440001 -14.925281662,47.4483275440001 -14.909727662,47.4734725440001 -14.885136662,47.4949995440001 -14.857781662,47.499445544 -14.848336662,47.5063815440001 -14.826945662,47.5008275440001 -14.711672662,47.465554544 -14.6636091619999,47.4549905440001 -14.6652816619999,47.3897185440001 -14.726663662,47.341663544 -14.7777816619999,47.3163815440001 -14.809718662,47.2927725440001 -14.842227662,47.286881544 -14.855736662,47.2999995440001 -14.875281662,47.3105545440001 -14.912499662,47.2227725440001 -14.993890662,47.108745544 -15.115554662,47.0805545440001 -15.1502816619999,47.063045544 -15.175281662,47.0583275440001 -15.1849996619999,47.0580545440001 -15.1980546619999,47.0597185440001 -15.223336662,47.083054544 -15.260281662,47.1119365440001 -15.305554662,47.1961095440001 -15.4013906619999,47.2122185440001 -15.4133366619999,47.2367365440001 -15.417290662,47.223618544 -15.4484636619999,47.206663544 -15.4484636619999,47.1807815440001 -15.4587726619999,47.142681544 -15.4446366619999,47.129009544 -15.445181662,47.0930455440001 -15.479727662,47.042218544 -15.4936086619999,46.974718544 -15.5458366629999,46.9694455440001 -15.5547276629999,46.9594455440001 -15.558054663,46.956936544 -15.542781663,46.9588815440001 -15.513336663,46.9622185440001 -15.5022276619999,47.0072185440001 -15.405836662,47.0130545440001 -15.397499662,47.044445544 -15.379445662,47.0549905440001 -15.368890662,47.071936544 -15.343890662,47.0763815440001 -15.334445662,46.974718544 -15.209999662,46.968327544 -15.202218662,46.959163544 -15.1972276619999,46.9472185440001 -15.1988906619999,46.8894455440001 -15.2258366619999,46.880272544 -15.230554662,46.855554544 -15.247781662,46.841663544 -15.261945662,46.8336095440001 -15.2680546619999,46.705272543 -15.364727662,46.5741635430001 -15.443336662,46.483890543 -15.4933366619999,46.4736095430001 -15.498054662,46.462772543 -15.506108663,46.3472185430001 -15.615836663,46.338336543 -15.6247276629999,46.331663543 -15.634163663,46.3291635430001 -15.644999663,46.3127725430001 -15.674718663,46.308881543 -15.6863906629999,46.3034725430001 -15.712363663,46.339999543 -15.778054663,46.380136543 -15.835690663,46.413054543 -15.853890663,46.4472185430001 -15.885836663,46.4777725430001 -15.961390663,46.331109543 -15.977218663,46.321109543 -15.9733366629999,46.302218543 -15.9611086629999,46.293054543 -15.9519456629999,46.279999543 -15.9324996629999,46.2658275430001 -15.9011091629999,46.2572185430001 -15.878336663,46.2466635430001 -15.8469456629999,46.2355455430001 -15.806109163,46.246109543 -15.759727663,46.2324995430001 -15.7141726629999,46.2019455430001 -15.704999663,46.171945543 -15.703608663,46.1513815430001 -15.703608663,46.120554543 -15.7111086629999,46.0994455430001 -15.720281663,46.0797185430001 -15.7322276629999,46.068881543 -15.7399996629999,46.0483365430001 -15.756672663,46.027772543 -15.7752816629999,46.0130545430001 -15.7936091629999,46.0048545430001 -15.8088906629999,46.011381543 -15.8238906629999,46.021663543 -15.8163906629999,46.031099543 -15.807781663,46.038599543 -15.7983366629999,46.0488815430001 -15.788890663,46.0605545430001 -15.783054663,46.070545543 -15.7841726629999,46.071936543 -15.810836663,46.0724905430001 -15.861109163,46.063609543 -15.871945663,45.964999543 -15.8533366629999,45.9558275430001 -15.844999663,45.9519455430001 -15.8352816629999,45.9563815430001 -15.804445663,45.957499543 -15.783890663,45.921390543 -15.772499663,45.910827543 -15.773054663,45.8783275430001 -15.782218663,45.8688905430001 -15.7869456629999,45.8347185430001 -15.809445663,45.826109543 -15.8147276629999,45.8074995430001 -15.8147276629999,45.7391635430001 -15.797781663,45.716663543 -15.7916726629999,45.6438815430001 -15.8830546629999,45.6455545430001 -15.894727663,45.645272543 -15.907218663,45.627490542 -16.036663663,45.6177725420001 -16.0574996629999,45.6069455420001 -16.055281663,45.576381542 -16.0383366629999,45.577218542 -16.0241726629999,45.5891635420001 -16.0080546629999,45.593599542 -15.998609163,45.594163542 -15.9874996629999,45.572490542 -15.949163663,45.390545542 -15.9733366629999,45.3670815420001 -15.9833366629999,45.374445542 -16.0063906629999,45.3922185420001 -16.0332906629999,45.401109542 -16.0266726629999,45.4111095420001 -16.0311096629999,45.412772542 -16.041390663,45.3955545420001 -16.066945663,45.335545542 -16.1049996629999,45.326945542 -16.110281663,45.3026365420001 -16.117781663,45.291663542 -16.110554663,45.288599542 -16.0968091629999,45.2911095420001 -16.0672186629999,45.2936095420001 -16.055554663,45.2772185420001 -15.9430546629999,45.2738905420001 -15.932781663,45.2649995420001 -15.9274996629999,45.254718542 -15.9313906629999,45.2169455420001 -15.9502816629999,45.1406905420001 -15.993472663,45.1299995420001 -16.0038906629999,45.091109542 -16.049445663,45.0733275420001 -16.074172663,45.059581542 -16.096527663,45.0499995420001 -16.107781663,45.034436542 -16.120554663,44.9999995420001 -16.142681663,44.8735995420001 -16.2102816629999,44.803054542 -16.1997186629999,44.6094455420001 -16.188336663,44.5730545420001 -16.186945663,44.5037455410001 -16.1798636629999,44.4888815410001 -16.1772276629999,44.4602725410001 -16.1838906629999,44.4494365410001 -16.1952816629999,44.4427725410001 -16.203890663,44.438890541 -16.214727663,44.3980545410001 -16.341663663,44.399581541 -16.3691636629999,44.404445541 -16.3827816629999,44.4097185410001 -16.393336663,44.4219455410001 -16.4130636629999,44.4369455410001 -16.433336663,44.4533275410001 -16.457499663,44.458609541 -16.466663663,44.463336541 -16.477781663,44.466109541 -16.495836663,44.4658275410001 -16.506672663,44.4377725410001 -16.6922186639999,44.432499541 -16.7036091639999,44.392490541 -16.753336664,44.383327541 -16.763890664,44.373599541 -16.772499664,44.363327541 -16.779163664,44.3516635410001 -16.7883366639999,44.346109541 -16.796945664,44.275272541 -16.9197276639999,44.215272541 -17.0372276639999,44.182499541 -17.098054664,44.1377725410001 -17.1763906639999,44.0397185410001 -17.3172186639999,43.9641635410001 -17.421109164,43.9524995410001 -17.4394456639999,43.947218541 -17.450836664,43.9372185410001 -17.479445664,43.931390541 -17.5005546639999,43.9294455410001 -17.5122186639999,43.922772541 -17.5702816639999,43.921663541 -17.580554664,43.924436541 -17.6008366639999,43.928890541 -17.611945664,43.943327541 -17.632499664,43.959718541 -17.6522276649999,43.969445541 -17.6622276649999,43.9880545410001 -17.683609165,43.9936095410001 -17.6927816649999,44.0313905410001 -17.7569456649999,44.031945541 -17.775554665,44.030272541 -17.817499665,44.0269365410001 -17.846945665,44.021945541 -17.865836665,44.0136095410001 -17.877499665,44.004718541 -17.917499665,44.002781541 -17.929172665,44.0011095410001 -17.9486091649999,44.001390541 -17.958890665,44.0036095410001 -17.980281665,44.0119365410001 -18.056390665,44.024581541 -18.112227665,44.032909541 -18.1311091649999,44.0394455410001 -18.167499665,44.0436095410001 -18.201390665,44.0458275410001 -18.2405546649999,44.0430545410001 -18.340281665,44.0356905410001 -18.408054665,44.0405545410001 -18.4230546649999,44.054163541 -18.4419456649999,44.063327541 -18.451390665,44.072490541 -18.4591636649999,44.082218541 -18.4699996649999,44.1055545410001 -18.501663665,44.1138815410001 -18.513618665,44.158881541 -18.5822276649999,44.1635995410001 -18.591118665,44.1991635410001 -18.667499665,44.2311095410001 -18.7411091659999,44.241663541 -18.770281666,44.2569455410001 -18.820554666,44.261381541 -18.841945666,44.2616635410001 -18.8530546659999,44.2486095410001 -18.961672666,44.2313815410001 -18.973609166,44.2273545410001 -19.0661091659999,44.2313815410001 -19.081109166,44.2619365410001 -19.1399996659999,44.2656725410001 -19.144936666,44.286381541 -19.169172666,44.3363905410001 -19.229999666,44.3516635410001 -19.251390666,44.4255545410001 -19.3577816659999,44.4386095410001 -19.378890666,44.4691635410001 -19.4383366659999,44.482772541 -19.502781666,44.4831905410001 -19.526945666,44.4760995410001 -19.542499666,44.4649995410001 -19.544999666,44.454718541 -19.544727666,44.4402725410001 -19.5527816659999,44.370827541 -19.7770906659999,44.3874995410001 -19.8122276669999,44.399718541 -19.832499667,44.410272541 -19.8402816669999,44.4261095410001 -19.8412546669999,44.440281541 -19.8455546669999,44.471936541 -19.8773636669999,44.482499541 -19.941390667,44.482772541 -19.965836667,44.4797185410001 -19.980554667,44.437490541 -20.068609167,44.428890541 -20.077781667,44.399718541 -20.096108667,44.3899995410001 -20.103336667,44.370827541 -20.119727667,44.3611095410001 -20.128609167,44.353336541 -20.137218667,44.340272541 -20.1572186669999,44.2663905410001 -20.2944456669999,44.1761095410001 -20.441945667,44.104163541 -20.589999667,44.1005545410001 -20.600836667,44.0794365410001 -20.651945667,44.041663541 -20.714999667,44.036109541 -20.723890667,44.023609541 -20.739999667,44.0152725410001 -20.7458366669999,44.002781541 -20.7461086669999,43.9919455410001 -20.743618667,43.968045541 -20.7641636669999,43.9494365410001 -20.788063667,43.9116635410001 -20.849999667,43.9066635410001 -20.8594456669999,43.8977725410001 -20.879172668,43.8788815410001 -20.945836668,43.8755455410001 -21.0088906679999,43.8613815410001 -21.079999668,43.841109541 -21.1569456679999,43.819718541 -21.207227668,43.8086095410001 -21.225281668,43.802499541 -21.2333366679999,43.7766635410001 -21.264727668,43.7683275410001 -21.2705546679999,43.741099541 -21.2861086679999,43.730272541 -21.2836086679999,43.7222185410001 -21.2769456679999,43.712218541 -21.273890668,43.698881541 -21.2719456679999,43.6649905410001 -21.272227668,43.616099541 -21.276390668,43.5916635410001 -21.278890668,43.579718541 -21.280554668,43.544999541 -21.301390668,43.5005455410001 -21.333890668,43.48194554 -21.3724996679999,43.47833654 -21.383336668,43.4763905400001 -21.3955546679999,43.46610954 -21.463336668,43.46610954 -21.476390668,43.46944554 -21.598054668,43.47235454 -21.668054668,43.4477725400001 -21.6616726679999,43.4311095400001 -21.663890668,43.4210995400001 -21.6705636679999,43.3341635400001 -21.758609168,43.3327725400001 -21.7769456679999,43.3280455400001 -21.846390668,43.31443654 -21.882781668,43.2791635400001 -21.9083366679999),(48.196663545 -13.2699996599999,48.191663545 -13.31805466,48.1922185450001 -13.33805466,48.198054545 -13.3641726609999,48.207218545 -13.393054661,48.222354545 -13.4054186609999,48.3319365450001 -13.419999661,48.3424995450001 -13.4180546609999,48.3615185450001 -13.408336661,48.361936545 -13.3941636609999,48.324999545 -13.21110966,48.320827545 -13.19791866,48.2941635450001 -13.19528166,48.2841635450001 -13.1959726599999,48.266390545 -13.2024996599999,48.196663545 -13.2699996599999),(49.860545546 -16.913890664,49.8176365460001 -17.044309664,49.8199995460001 -17.0883366639999,49.827218546 -17.095281664,49.833609546 -17.089727664,49.9099995460001 -16.958890664,49.939718547 -16.9074996639999,49.952218547 -16.878609664,50.010554547 -16.7255636639999,49.9616635470001 -16.759727664,49.8672185460001 -16.902781664,49.860545546 -16.913890664)))', 'Madagascan Exclusive Economic Zone', 'Madagascar', 'Madagascar', '', '42', '42', 'MDG', '8348', '', '1201731625000', '8348', 'Y'),('SRID=4326;MULTIPOLYGON(((45.9112305581247 -1.65944444444443,45.8918815430001 -1.65944444444443,41.5737322027416 -1.65944444444443,41.5902725390001 -1.63944564999997,41.6458275390001 -1.56889064999996,41.6924995390002 -1.49694564899994,41.7924995390001 -1.33750014899994,41.9172185390001 -1.12778164899993,41.9727725390001 -1.02028164899997,42.066663539 -0.896109648999925,42.1591635390001 -0.814718648999872,42.176936539 -0.79805464899988,42.214163539 -0.752636648999953,42.3016635390001 -0.633609148999881,42.3974995390001 -0.511663648999956,42.4166635400001 -0.492500648999965,42.4397815400001 -0.478472648999968,42.45916354 -0.456945647999873,42.4716635400001 -0.439718647999939,42.5194365400001 -0.372500147999972,42.5688815400001 -0.308472647999906,42.6422185400002 -0.241109647999963,42.7174995400001 -0.178054647999943,42.7791635400002 -0.122500147999915,42.8094365400001 -0.0916636479999511,42.89027254 -0.00194564799994623,43.0030545400001 0.12444535200018,43.1352725400002 0.269445351999991,43.2272185400002 0.361109351999971,43.24777254 0.381109352000124,43.26735454 0.409163352000178,43.2883275400002 0.435836352000138,43.33603654 0.478918352000164,43.46638154 0.624718352999992,43.488609541 0.649999353000112,43.6509725410002 0.799309353000069,43.7901365410001 0.923745353000186,43.839718541 0.95805435300008,43.8605455410002 0.970554353000182,43.8830455410001 0.981663353000044,43.9458275410001 1.01902735300018,44.0672185410001 1.13360935300017,44.108599541 1.17416335300004,44.1449995410002 1.21971835300002,44.174163541 1.24666335300014,44.343609541 1.39528135300003,44.5449905410001 1.55194535300006,44.6047185420001 1.59305435300007,44.8480545420001 1.75721835400003,44.932781542 1.81389035400002,45.0041635420001 1.86083635400018,45.0377725420001 1.88083635400017,45.0669365420001 1.89555435400007,45.0888815420001 1.903890354,45.1247185420002 1.91417235400007,45.133045542 1.91916335400003,45.1983275420002 1.95416335400012,45.2417995420001 1.97430935400007,45.367772542 2.03860935400007,45.5431905420001 2.14028135399997,45.5822185420001 2.16860935400013,45.5858275420001 2.17193635400008,45.6877725430001 2.23083635400002,45.7877725430002 2.28610935400013,45.8941635430001 2.34610935399996,45.9266635430001 2.36749935400019,46.0090185430001 2.42333635400001,46.0255545430002 2.43721835400004,46.043327543 2.45333635400016,46.1105455430001 2.51610935400009,46.1752815430002 2.58778135400007,46.2377815430001 2.66249985400009,46.358054543 2.79110935500012,46.484990543 2.89528135500007,46.5486095430002 2.95416335500016,46.7638815440001 3.15999985499997,46.8769365440002 3.28833635500007,47.016936544 3.44278135500014,47.0458275440002 3.47444535500011,47.0894365440001 3.51971835500018,47.1090545440001 3.54001835500009,47.1847185440001 3.63110935500009,47.2145815440001 3.66666335500003,47.229718544 3.68249935500006,47.3777815440002 3.81528135500008,47.4480545440001 3.87847235600009,47.5113815440002 3.95721835600006,47.546945544 4.01249985600015,47.5724905440002 4.04916335600001,47.5969365440001 4.07999935600003,47.6569455440002 4.13471835600006,47.707499544 4.18736335600016,47.8719365450001 4.37389085600017,47.924354545 4.43384535600018,47.951109545 4.46027235600008,48.0005545450002 4.52305435600005,48.0530545450001 4.61889085600012,48.110545545 4.73027235600011,48.126936545 4.76278135600018,48.152218545 4.81249985600004,48.1641635450002 4.8355543560001,48.1913815450001 4.88528135600018,48.2016635450001 4.90305435700014,48.310136545 5.06541835700017,48.3286095450001 5.08860935700017,48.3708275450001 5.13583635700013,48.517218545 5.31999985700008,48.5913815450001 5.41805435700019,48.6683275450002 5.52860935700005,48.820827545 5.7680543570001,48.8533365450001 5.81999985700003,49.040836546 6.14971835800003,49.052363546 6.17333635800003,49.0597185460001 6.1930543580001,49.0677725460001 6.22083635800016,49.0780455460001 6.26055435799998,49.0828365460001 6.30145435800011,49.0761095460002 6.34360935799998,49.0719455460001 6.38902735800002,49.0755545460001 6.41583635800004,49.0987455460001 6.47778135800007,49.2194455460001 6.75833635800007,49.2505455460002 6.81860935800012,49.3427725460002 6.98083635799998,49.378881546 7.04139085800006,49.3977725460001 7.06416335900019,49.4855455460001 7.17833635900007,49.589999546 7.3169453590001,49.6041635460001 7.33778135900013,49.631409546 7.39044535900018,49.6361095460001 7.39749985900016,49.6522185460001 7.42305435900016,49.6644455460002 7.44499985900012,49.7324995460002 7.57444535900015,49.795827546 7.71444535899997,49.8045815460001 7.82624535900015,49.8044455460001 7.85666335900004,49.806390546 7.88278135900009,49.8138815460001 7.91555435900017,49.8292995460002 7.94610935900016,49.8441635460001 7.96610935900014,49.9222185460001 8.04721835900006,49.9408275470001 8.06305435900009,49.9780545470001 8.08721835900013,50.0072185470002 8.10583635900014,50.028881547 8.11805436000003,50.0690905470001 8.13889086000012,50.109027547 8.18569086000008,50.1255455470002 8.21527236000003,50.1388815470001 8.27930936000013,50.148745547 8.30499986000018,50.160272547 8.32139036000007,50.178327547 8.33804536000002,50.1854095470001 8.35958136000005,50.1969365470002 8.38360936000004,50.2536815470002 8.46333635999997,50.2837455470001 8.48291835999999,50.310690547 8.51499986000005,50.3229185470001 8.53833636000019,50.3269365470001 8.56541836000008,50.3222185470001 8.61360936000005,50.424854547 8.86028136000016,50.4792995470002 8.94277236000016,50.4967995470002 8.95971836000001,50.5183275470001 8.97221836000011,50.5533995470001 8.98979036000009,50.6334725470001 9.06777236000005,50.6459725470002 9.09152736000004,50.652499547 9.12513636000011,50.6456905470001 9.16097236000013,50.642636547 9.18082735999997,50.646945547 9.20194536100013,50.6569455470002 9.22389086100014,50.6895815470001 9.26833636099997,50.7136095470001 9.28360936100017,50.7554095470001 9.30229086100007,50.8188815470001 9.40139086099998,50.8385365470002 9.43787236100007,50.8355545470001 9.47110936100017,50.8191635470002 9.50055436100018,50.8094365470001 9.53694536100011,50.8036095470001 9.56305436100013,50.8024995470002 9.57471836100012,50.8152815470002 9.63305436100012,50.8991635470002 10.0227813610001,50.8947185470001 10.1527723610001,50.895827547 10.3122183620002,50.9111095470001 10.333327362,50.9588815470001 10.3608363620001,51.035190548 10.3862363620001,51.072690548 10.400445362,51.092609548 10.4058633620001,51.1219455480001 10.4102723620001,51.147772548 10.412109362,51.2186095480001 10.4256903620001,51.2571455480002 10.419581362,51.2739545480001 10.385763362,51.3686095480001 10.3726363620002,51.3912455480001 10.3973633620001,51.4113185480001 10.4532543620001,51.3767995480002 10.487636362,51.1894365480002 10.5380543620001,51.1913185480001 10.4804183620001,51.1348275480001 10.4467183620001,51.052554548 10.4362633620001,51.0172185480002 10.4466633620001,51.0399905480002 10.4654183620001,51.087772548 10.4776363620001,51.1029095480001 10.497636362,51.1455545480001 10.6336093620001,51.1291635480001 10.7402723620002,51.114581548 10.9793723620001,51.119718548 11.0122183620001,51.130272548 11.048609362,51.1397185480001 11.0713908620001,51.1615185480002 11.1136093620001,51.1647185480001 11.150627362,51.112354548 11.1643003620001,51.0831185480001 11.1812453620001,51.0716635480001 11.2068093620001,51.0763815480001 11.328054362,51.125272548 11.5076363630001,51.1672185480002 11.578890863,51.1991635480001 11.6172183630001,51.2385365480002 11.665345363,51.2783275480001 11.816663363,51.2727725480001 11.8394453630002,51.1447185480001 11.8725003630001,50.909999547 11.9413913630002,50.7694365470002 11.9791633630001,50.6355545470001 11.9463913630001,50.5790185470001 11.9161093630001,50.5529095470001 11.8937453630002,50.5334635470001 11.860136363,50.5219455470001 11.824718363,50.5154095470001 11.7915273630001,50.504163547 11.7595813630001,50.4858365470001 11.7349998630001,50.4362455470002 11.6834723630001,50.2813905470001 11.595272363,50.0931905470001 11.514581363,50.0691635470002 11.5083363630001,49.7847185460001 11.4530543630001,49.7530545460002 11.4550003630001,49.7309725460001 11.4620813630001,49.7059635460001 11.469581363,49.676936546 11.471245363,49.5603365460001 11.4479813630002,49.5438815460002 11.4333363630001,49.516590546 11.390000363,49.4241635460002 11.3408363630001,49.1922185460002 11.2938913620001,49.0141455460002 11.2502813620001,48.9872185460001 11.245836362,48.9569365460001 11.2427723620002,48.880690546 11.2479183620001,48.862499546 11.2584723620001,48.8172185450001 11.276945362,48.6606905450001 11.328054362,48.5213815450001 11.3155543620001,48.3427725450001 11.2743093620001,48.2219365450001 11.210554362,48.195545545 11.180272362,48.1656185450001 11.1487453620001,48.1256905450001 11.1351363620001,47.9477725450001 11.1215273620001,47.9080545450001 11.1330543620001,47.7924995450001 11.130554362,47.7410995440001 11.1141633620001,47.7136095440001 11.1013913620001,47.691663544 11.0991633620001,47.6642995440001 11.1077813620001,47.6423545440001 11.120691362,47.613327544 11.1412453620002,47.550281544 11.171109362,47.5141635440002 11.1847183620002,47.4830545440001 11.1877723620001,47.396663544 11.178954362,47.3683275440001 11.1700003620001,47.3399995440001 11.1569453620001,47.1649275440001 11.0689543620001,47.1469455440001 11.041391362,47.0930545440002 10.9945813620001,47.0547185440001 10.9691633620001,46.9797185440001 10.9344453620002,46.7680545440001 10.814163362,46.6462455430001 10.745000362,46.4533275430002 10.6900003620001,46.4174995430001 10.6881913620001,46.3355545430002 10.7029183620002,46.296945543 10.7361093620002,46.2717995430001 10.7659723620001,46.2466635430001 10.7861813620002,46.198745543 10.7908273620001,46.1635995430001 10.778054362,46.1154815430001 10.7687453620001,46.0797185430001 10.7713913620001,45.9741635430001 10.793336362,45.8974995430001 10.8302723620001,45.869445543 10.8441633620002,45.8523545430001 10.8398633620002,45.7998545430002 10.8750003620001,45.758881543 10.8729813620002,45.700554543 10.8244453620001,45.628327542 10.774163362,45.5127725420001 10.6966633620001,45.4492365420002 10.6635363620001,45.3859635420001 10.6580543620001,45.3620815420001 10.6627723620001,45.3316635420002 10.6666633620001,45.2716635420002 10.6199998620001,45.2499995420002 10.5927813620001,45.159436542 10.5341633620002,44.9929095420002 10.435000362,44.9688815420002 10.4281913620001,44.9355545420001 10.4236093620001,44.8920815420001 10.4215273620001,44.8533365420001 10.4316633620002,44.8333275420001 10.4402723620001,44.8002815420001 10.450000362,44.7469365420002 10.459163362,44.7223545420002 10.4583273620001,44.6824995420002 10.4508363620001,44.6561095420001 10.4431913620001,44.6330455420002 10.431945362,44.6144365420002 10.4238913620001,44.5944455420001 10.4163913620001,44.5565905410001 10.4107633620002,44.3913815410001 10.4115273620001,44.3027725410001 10.4366633620002,44.2783275410001 10.447772362,44.2527815410001 10.4683363620001,44.2083275410001 10.5077813620001,44.1838815410001 10.5252723620001,43.9383275410001 10.7013913620001,43.8352725410001 10.7936093620001,43.8138905410001 10.8138913620001,43.7091635410001 10.935836362,43.6244455410002 11.0422183620001,43.501799541 11.2108363620001,43.4899995410001 11.2349998620001,43.4824995400001 11.254718362,43.45485454 11.3513908630001,43.3755545400001 11.3831913630001,43.2883275400002 11.4541633630001,43.2492185400001 11.469536363,43.2578475400001 11.4828993630001,43.2641105400002 11.489013363,43.2697805400002 11.4956243630001,43.2708835400001 11.4969643630001,43.2712485400002 11.4974713630002,43.30448754 11.5455783630001,43.2950885400001 11.5829133630001,43.2944245400001 11.585308363,43.2828995400001 11.626393363,43.3125565400001 11.6485573630001,43.3702995400001 11.692342363,43.4128705400001 11.7247723630001,43.4447205400002 11.7635043630001,43.4570885400001 11.7660873630001,43.4698515400001 11.7688463630001,43.5656675410002 11.7891563630001,43.576681541 11.791368363,43.621612541 11.7999053630001,43.6358395410002 11.8025913630001,43.7325885410001 11.8202003630001,43.7989645410001 11.830725363,43.8039985410001 11.8314133630001,44.0328575410001 11.8615853630001,44.1385605410002 11.8695463630001,44.146206541 11.8701223630001,44.1963015410001 11.8392833630001,44.2567425410001 11.801199363,44.282970541 11.7844473630001,44.3167125410001 11.7626853630002,44.3568165410001 11.734647363,44.4658075410001 11.6559393630002,44.5619925420001 11.5966893630001,44.6024465420001 11.580304363,44.6046505420002 11.579709363,44.6105555420001 11.578303363,44.704149542 11.605210363,44.705469542 11.605588363,44.8164295420002 11.6302873630002,44.8454005420001 11.636752363,44.8459045420001 11.636864363,44.9006675420001 11.649104363,44.918146542 11.653045363,45.0776015420001 11.6865743630001,45.111438542 11.698486363,45.1317045420001 11.7056373630001,45.1362765420001 11.7072063630001,45.1369745420001 11.7073973630001,45.1651125420001 11.7151343630001,45.239024542 11.7428003630001,45.2985645420002 11.764800363,45.3227085420002 11.7737403630001,45.4181575420001 11.8091543630001,45.4868625420002 11.834720363,45.5152615420001 11.8450003630001,45.6096065420001 11.8807543630002,45.806182543 11.955057363,46.0409865430001 12.043670363,46.1704385430002 12.0672813630001,46.2600265430002 12.0823973630001,46.3005395430001 12.120716363,46.3013235430001 12.121459363,46.3991285430001 12.1597163630001,46.4133805430002 12.1645593630001,46.6939475430001 12.260651363,46.705091543 12.264479363,47.104360544 12.361513363,47.2508255440001 12.3921183630001,47.276557544 12.3974943630001,47.3648205440002 12.4138003640001,47.3672895440002 12.414216364,47.5996095440001 12.4217323640002,47.609875544 12.4230053640002,47.6257585440001 12.4235433640001,47.7931025450001 12.4311773640001,48.0874115450001 12.543282364,48.1275235450001 12.5581443640002,48.3191265450001 12.6442523640001,48.3225525450001 12.645717364,48.4058465450001 12.653008364,48.4659015450001 12.657499364,48.5694055450001 12.6704213640002,48.7142575450001 12.6824673640002,48.9303665460001 12.680396364,48.9950695460001 12.7012173640001,49.3367985460001 12.809292364,49.5129695460001 12.8729323640002,49.5436965460001 12.8981753640002,49.6183425460002 12.958278364,49.7197525460001 13.0418803640001,49.9055405460002 13.1782193640001,50.000954547 13.2514013640002,50.1436075470002 13.343740364,50.3372755470002 13.3816153640001,50.347007547 13.3839723640001,50.9327355470001 13.497539365,50.9842505470001 13.3883633640002,51.102225548 13.1383363640001,51.282417548 12.751811364,51.296297548 12.722851364,51.338782548 12.6524963640001,51.3577875480001 12.6211623640002,51.384790548 12.5768483640002,51.3935455480002 12.5649063640001,51.4632335480002 12.4342993640001,51.5062655480001 12.353168363,51.5294305480001 12.3100653630001,51.5528295480001 12.2666883630002,51.5671365480001 12.2404613630001,51.5691995480001 12.236664363,51.5709905480001 12.233317363,51.6161325480001 12.1487663630001,51.6821665480002 12.0259553630001,51.6892675480001 12.0126703630001,51.7348225480001 11.9278683630002,51.758809548 11.8828393630002,51.7877675480001 11.829525363,51.7906765480001 11.8240863630001,51.8204265480001 11.7688103630002,51.8423465480001 11.7252363630001,51.8477725480002 11.7145733630002,51.8852995480001 11.642330363,51.9003915480001 11.6131093630001,51.9024075480001 11.6087093630002,51.9547855480001 11.5205483630001,51.9656855480001 11.5020133630001,51.9962995480002 11.4422603630001,52.0276455480001 11.381301363,52.0570885480001 11.3237083620001,52.072667548 11.293584362,52.1214745490001 11.2445773620001,52.130439549 11.2351443620001,52.2088815490001 11.1516893620001,52.256516549 11.1013533620001,52.2991415490001 11.0791313620002,52.335739549 11.060007362,52.347673549 11.054034362,52.4769075490001 10.9874003620001,52.632276549 10.9031983620001,52.658103549 10.889135362,53.0111385490001 10.5528773620001,53.012993549 10.5508873620001,53.101926549 10.4550733620002,53.1158275490002 10.4396663620001,53.31297455 10.2211563610002,53.9343995500001 9.52687636100006,54.0162855500002 9.43566736100007,54.4299145510001 8.95771736,54.3263205510002 8.74230436000011,54.3239305510001 8.73898136000014,54.3195505510001 8.72986436000002,54.3154535510002 8.72416736000014,54.315421551 8.72410036000008,54.3149865510001 8.72349636000018,54.3145115510001 8.72250836000018,54.310878551 8.71745536000003,54.2985305510001 8.69174936000013,54.2982365510001 8.69134036000003,54.2976205510001 8.69005836000002,53.9906685500002 8.26239336000009,53.7459355500001 7.74983735900003,53.7455855500001 7.74934635900007,53.74502655 7.74817435900007,53.7449695500001 7.74809435900005,53.74421955 7.7465213590001,53.7429705500001 7.74477235900014,53.7426045500002 7.74400435900003,53.74225255 7.74351135900008,53.7416955500001 7.74234235900019,53.7416395500001 7.74226335900005,53.7408885500001 7.7406883590001,53.7408485500002 7.74063135900019,53.7400785500001 7.73901535900006,53.73971255 7.73850435900005,53.73916955 7.73736235900003,53.7363135500001 7.73336335900012,53.7358445500001 7.73238035900016,53.7341205500001 7.72996535900018,53.7317035500001 7.72489435900013,53.7312805500001 7.72430135900009,53.73079455 7.723282359,53.7292455500001 7.72111235900007,53.72908555 7.72077635900013,53.7274535500002 7.71849035899999,53.72737255 7.71832035900013,53.72730355 7.71822335900009,53.7265615500001 7.71666735900016,53.7253235500002 7.71493335900004,53.7249505500002 7.71415035900009,53.7233335500002 7.71188535900006,53.7232375500002 7.71168435900017,53.7231405500002 7.71154835900006,53.7216205500002 7.70835735900005,53.7200445500002 7.70615035900005,53.7199065500001 7.70586235899998,53.7182885500002 7.70359435900014,53.7181935500001 7.70339635900007,53.7181375500001 7.7033173590001,53.7173875500001 7.70174235899998,53.6823385500002 7.65263835899998,53.6812445500001 7.65034235900009,53.68111955 7.65016635900008,53.68043455 7.64872835900013,53.6801525500001 7.64833335900016,53.6795245500001 7.64701535899997,53.6724965500001 7.63716535900016,53.6720735500001 7.63627735900002,53.6717195500001 7.63578235900013,53.67116455 7.63461535900001,53.6455485500001 7.59871135900011,53.55997655 7.41882535899998,53.5599155500001 7.41874035900008,53.5591695500001 7.41717135900012,53.5591255500001 7.41710935900011,53.55835955 7.41549735900014,53.5567305500001 7.41321135900017,53.5558395500001 7.41133835900013,53.5554965500001 7.41085635900004,53.5549305500002 7.40966635900014,53.3801965500001 7.16421035900009,53.2413935500001 6.87135135800003,53.2356515500002 6.86326335799998,53.2355585500001 6.86306635800003,53.23520755 6.86257135800014,53.23464955 6.8613943580001,53.2345695500002 6.86128035800004,53.23383955 6.85974035800018,53.2337705500001 6.85964235800009,53.2330335500001 6.85808535800004,53.2301415500001 6.85401235799998,53.2297105500001 6.853102358,53.2293325500001 6.85256935800015,53.2288015500001 6.85144835800014,53.2287195500001 6.85133335800003,53.2279915500002 6.84979535800011,53.2276265500002 6.84928135800004,53.22708355 6.84813235800004,53.2269615500001 6.84796135800008,53.2254665500002 6.84480435799998,53.107145549 6.67803535800005,53.0397625490002 6.53545235800016,53.0396895490002 6.53535035800007,53.038142549 6.5320743580001,53.0376755490001 6.53141635800017,53.0372345490001 6.53048135800009,52.7631465490002 6.14312135800003,52.7327265490001 6.07852435800015,52.7310625490001 6.07616935800019,52.731014549 6.07606735800005,52.7309225490001 6.07593735800015,52.7302055490001 6.07441235800007,52.7003285490002 6.03211335800006,52.6721185490001 5.97382535800006,52.671418549 5.97234035800011,52.6713555490002 5.97225035800017,52.6343215490002 5.89573035700005,52.633718549 5.89489435700017,52.6325135490001 5.89240035700004,52.6324925490002 5.89237135700012,52.630103549 5.88742535700015,52.6297875490002 5.88698735700018,52.6292005490001 5.88577135700007,52.6279495490002 5.88403635700007,52.627593549 5.883299357,52.627301549 5.88289435700005,52.6258885490001 5.8799703570001,52.6255735490002 5.87953235700007,52.624985549 5.87831535700013,52.6249695490001 5.87829235699996,52.6241805490001 5.87666035700011,52.6241585490002 5.87662935700007,52.604091549 5.83507535700016,52.6028365490001 5.83333435700018,52.6024885490001 5.83261335700001,52.6021715490002 5.83217335700004,52.6015855490002 5.83095935700015,52.6015815490002 5.83095335700017,52.5999765490001 5.82762835700004,52.5996685490002 5.82720135700009,52.5982715490001 5.82430935700006,52.5982555490002 5.82428635700012,52.5974675490002 5.82265335699998,52.5971645490001 5.82223335700007,52.5965635490001 5.82098935699997,52.595439549 5.81942935700005,52.5949605490002 5.81843735700005,52.5946435490001 5.81799735700002,52.5940565490002 5.81678335700013,52.593981549 5.81667835700017,52.5932525490001 5.81516835700012,52.5917815490001 5.81312735700016,52.5907455490001 5.81098135700006,52.5907295490001 5.810959357,52.5899415490001 5.80932635700009,52.588460549 5.8072723570001,52.5882355490001 5.80680535700003,52.5869945490001 5.80508435700011,52.5866325490002 5.80433435700002,52.5865445490002 5.8042123570001,52.578195549 5.78691535700011,52.5775895490002 5.78607335700008,52.573174549 5.77692635699998,52.5731705490001 5.77692135700011,52.5723695490001 5.77526135700009,52.5720525490001 5.77482135700006,52.5714665490001 5.77360635700012,52.5702095490001 5.77186235700003,52.569863549 5.77114535700002,52.569846549 5.77112135700003,52.569058549 5.76948935700017,52.5672925490001 5.76703835700005,52.5672535490001 5.76695835700002,52.5632775490001 5.76144035700014,52.5631475490002 5.76116935700009,52.5603955490002 5.75735035700012,52.5598385490001 5.75619635700002,52.5595715490001 5.75582535700005,52.557325549 5.75117235700003,52.5570085490001 5.75073135700012,52.5564225490001 5.74951735700006,52.5533805490001 5.74529535700009,52.5522095490001 5.74286935700013,52.5522035490001 5.7428603570001,52.5514095490001 5.74121435700016,52.5486855490001 5.7374333570001,52.548100549 5.73622135700003,52.5410895490001 5.7264903570001,52.5405785490001 5.72543035700016,52.540571549 5.72542035700019,52.5397775490001 5.72377535699997,52.529697549 5.70978035700006,52.5288485490001 5.70802035700007,52.5122095490001 5.68491835700013,52.511308549 5.68304935700007,52.5112115490002 5.68291435700007,52.5096995490001 5.67977935700003,52.5081985490001 5.67769535700006,52.5079975490002 5.67727735700015,52.506441549 5.67511735700009,52.5062915490002 5.67480635700014,52.4980795490002 5.66340235700017,52.4979715490002 5.66317735700005,52.496538549 5.66118735700002,52.4954645490002 5.65896135700007,52.4954455490001 5.65893435700013,52.4946605490001 5.6573063570001,52.4931015490001 5.65514135699999,52.4929585490002 5.65484535700006,52.4847305490001 5.64341635700015,52.4846385490001 5.64322635700006,52.4830675490001 5.64104435700017,52.4829335490001 5.64076435700008,52.4817605490002 5.63913635700004,52.4813305490001 5.63824335700002,52.480951549 5.63771735700004,52.4804265490001 5.63662835700018,52.479272549 5.63502435699996,52.478819549 5.63408635700017,52.4784995490002 5.63364235700004,52.4779165490001 5.63243235700008,52.4654605490001 5.61512935700017,52.4653905490002 5.61498435700008,52.464119549 5.61321835700016,52.4637845490002 5.6125223570001,52.321395549 5.41458235700014,52.3167445490001 5.4049163570001,52.3136765490001 5.40064935700002,52.3109235490001 5.39492835700003,52.3106315490001 5.39452035700003,52.3092195490001 5.39158735699999,52.3088955490001 5.39113635699999,52.308316549 5.38993235700002,52.3082925490002 5.38989835700005,52.3075125490001 5.38827735700005,52.2851785490001 5.35720235700018,52.2841585490001 5.35508135700019,52.2783705490001 5.34702735700012,52.217180549 5.12835035700016,52.216412549 5.12675335700015,52.2154625490002 5.12335335700004,52.2153145490001 5.12304535700014,52.2121235490001 5.11162935700008,52.2119225490002 5.111210357,52.2087855490001 5.09998635700003,52.2082985490002 5.09897335700003,52.2062585490002 5.09167535699999,52.2059705490001 5.09107535700008,52.2054495490002 5.08921135700007,52.204956549 5.0881853570001,52.2045415490002 5.08669835700016,52.2042615490001 5.08611635700015,52.2037355490001 5.08423435700018,52.2032495490002 5.08322235700012,52.2028275490001 5.08171035700008,52.202545549 5.08112335700002,52.2020185490001 5.07923635700018,52.201729549 5.07863535700005,52.2012095490002 5.0767723570001,52.1999265490001 5.07410235700013,52.1994935490001 5.07255335700006,52.199234549 5.07201335700012,52.1986885490001 5.0700593570001,52.1965245490001 5.06555135700012,52.1961675490001 5.0642753570001,52.192959549 5.05759335700003,52.192744549 5.05682635700015,52.1919685490001 5.05520935700014,52.1919385490001 5.05510135700007,52.190836549 5.05280635700007,52.1903265490001 5.05098135700007,52.1881705490001 5.04649135700015,52.1878095490001 5.04519735700001,52.1846375490002 5.03859135700003,52.1843825490002 5.03767835700017,52.1841025490002 5.03709535700006,52.1835775490001 5.03521535700014,52.1653615490001 4.997265357,52.1650515490002 4.99615535700002,52.1639815490001 4.99392535700008,52.163439549 4.99198635700003,52.1629125490001 4.99088935700001,52.1625315490001 4.98952235700011,52.1569245490001 4.97783935700011,52.1566895490002 4.97699835700018,52.145381549 4.95343135700011,52.145014549 4.95211835700002,52.144593549 4.95123935700013,52.1399575490001 4.93462735700001,52.139430549 4.93352835700006,52.1390495490001 4.93216335700009,52.1382525490001 4.93050235700014,52.1382425490002 4.93046835700017,52.1371775490001 4.92824735700009,52.135720549 4.92302635700008,51.8848365480002 4.3991593560001,51.884529548 4.39872935600005,51.8839335480001 4.39748335600018,51.8835065480001 4.3968853560001,51.8798195480001 4.38917435600013,51.8794835480001 4.38870435600018,51.8789165480001 4.38751935600015,51.8788945480001 4.38748735600018,51.8781135480001 4.38585335600015,51.8780875480001 4.38581735600019,51.8773135480002 4.38419835600018,51.8770205480001 4.38378835600003,51.8764105480001 4.38251235600012,51.876401548 4.38250035600004,51.8756065480002 4.38083635600003,51.875583548 4.380804356,51.874802548 4.37917035600003,51.8744665480002 4.37870035600002,51.8738995480001 4.377515356,51.873099548 4.37639635600016,51.8672785480001 4.36421935600004,51.8669575480001 4.36377035599998,51.8663765480001 4.36255335600003,51.8663505480001 4.36251735600007,51.865576548 4.36089835600001,51.8655675480002 4.36088535600004,51.8647725480001 4.35922235600009,51.8647345480002 4.35917035600005,51.8639685480002 4.35756635600001,51.8623655480001 4.35532435600015,51.861463548 4.35343835600008,51.8611275480001 4.35296735600002,51.8605615480002 4.351782356,51.8605525480002 4.35177035600009,51.8597575480001 4.35010635600008,51.8597195480002 4.35005435600004,51.858953548 4.34845135600011,51.858685548 4.34807635600015,51.858054548 4.34675535600007,51.8580175480002 4.34670435600015,51.8572505480001 4.34509935600005,51.8565575480002 4.34412935600005,51.8538415480002 4.33844735600013,51.853803548 4.33839435600004,51.8530375480001 4.33679135600011,51.8529995480001 4.33673835600013,51.8522335480002 4.33513535600002,51.8519265480002 4.33470535600014,51.8513305480001 4.33345935600011,51.8513075480001 4.33342735600007,51.8505275480001 4.33179435600016,51.8505005480001 4.33175735600014,51.8497275480001 4.33013835600008,51.8494305480001 4.32972335600005,51.8429025480002 4.31606335600009,51.8428525480001 4.31599335599998,51.841299548 4.31274235600011,51.839749548 4.31057435600019,51.8395945480002 4.3102493560001,51.8380165480002 4.30804135599999,51.8378895480001 4.30777735600003,51.8366935480001 4.30610435600016,51.836288548 4.30525435599998,51.8359505480001 4.30478235600003,51.8353855480001 4.30359935600018,51.8346285480001 4.30254035600012,51.8303685480001 4.29362435600012,51.830045548 4.29317235600007,51.829465548 4.29195935600006,51.8293675480001 4.29182135600018,51.8286655480001 4.29035335600003,51.827458548 4.28866335600003,51.8270605480001 4.28783035600003,51.8267225480001 4.28735835600003,51.826157548 4.28617535600006,51.8261455480001 4.28615835600004,51.8253575480001 4.28450835600012,51.8253335480001 4.28447535600009,51.824553548 4.28284335600006,51.8238475480001 4.28185435600011,51.8203405480001 4.27451435600011,51.8172275480001 4.27015835600014,51.816131548 4.26786335600013,51.8154245480002 4.26687435600019,51.8119185480002 4.25953535600013,51.809113548 4.25561035600009,51.8086115480001 4.25455935600013,51.8074805480001 4.25297635600009,51.800285548 4.2379113560001,51.7998895480002 4.23735835600013,51.7993825480002 4.23629635600003,51.7993435480001 4.23624135600011,51.798578548 4.23464035600017,51.785626548 4.21651235600018,51.7851565480001 4.21552835600011,51.7851175480001 4.21547335600019,51.7843535480001 4.21387235600008,51.784342548 4.21385735600006,51.7835495480002 4.21219635600011,51.7832105480002 4.21172335600005,51.7826465480001 4.21054135599996,51.7813625480001 4.20874435600012,51.7810445480002 4.2080783560001,51.779550548 4.20598735600009,51.7793405480001 4.20554535600013,51.7780565480001 4.20374835600012,51.7777385480001 4.2030823560001,51.7746755480001 4.19879535600012,51.774333548 4.19807735600006,51.7728245480001 4.1959653560001,51.7726285480002 4.195554356,51.7725885480001 4.19549935600008,51.7718245480001 4.19389935600003,51.7702555480001 4.19170335600006,51.7701235480001 4.19142635600008,51.7535005480001 4.168153356,51.7534925480001 4.1681373560001,51.7475495480001 4.15981635600014,51.7467815480002 4.15820635600016,51.7465425480001 4.15787235600004,51.7458785480001 4.15648135600009,51.7445825480001 4.15466635600018,51.744272548 4.15401835600005,51.7439625480001 4.15358335600013,51.743370548 4.15234235600008,51.7420855480001 4.15054335600013,51.7417685480002 4.14987935600004,51.7414295480002 4.14940435599999,51.740865548 4.14822435600007,51.7368875480001 4.1426533560001,51.7367575480001 4.14238135600016,51.7351615480001 4.14014735600006,51.7350525480001 4.13991835600012,51.7304175480001 4.13342735600003,51.729946548 4.13244135600019,51.7287365480001 4.13074535599998,51.7283415480001 4.12991835600013,51.7196285480001 4.11771635600002,51.719123548 4.11665735600019,51.7188555480001 4.11628235600006,51.7174205480002 4.11327535600009,51.7169825480001 4.1126633560001,51.7157145480001 4.11000435599999,51.714529548 4.10834435600015,51.7141125480002 4.10747135600002,51.7140715480002 4.10741435600011,51.7133085480001 4.10581535600016,51.711712548 4.10358035600012,51.7116045480001 4.10335335600018,51.7101055480001 4.10125435600008,51.7099035480001 4.10083035600019,51.7086205480002 4.09903335600018,51.7082975480001 4.09835735600018,51.6996535480001 4.08624935600005,51.6990795480002 4.08504635599996,51.6987395480001 4.08457035600003,51.6973775480002 4.08171435599996,51.6973365480002 4.08165735600005,51.6965735480001 4.08005935599999,51.6961475480001 4.07946235600002,51.6956715480001 4.0784633560001,51.694444548 4.07674435600018,51.6932655480002 4.0742743560001,51.6916695480001 4.07203835600018,51.691561548 4.07181135600007,51.6885675480001 4.06761835600003,51.6873525480001 4.06507035600009,51.6829555480001 4.05891135600012,51.6823455480001 4.05763235600017,51.6625755480001 4.02993235600007,51.6623095480002 4.02937635600011,51.6619695480001 4.02889935600007,51.6614075480001 4.02772035600003,51.6613945480001 4.02770335600007,51.660603548 4.02604435600011,51.6593155480001 4.02424035600006,51.659001548 4.02358235600013,51.6558785480001 4.01920535599999,51.655592548 4.01860635600002,51.6540215480001 4.01640435600007,51.653892548 4.01613335600001,51.6526795480001 4.01443435600015,51.6522865480001 4.01361035600019,51.649231548 4.00932935599997,51.6488815480001 4.00859435600012,51.6460675480001 4.00465135600018,51.6455755480001 4.00361935600006,51.6452215480001 4.00312335600006,51.6438685480001 4.00028735600006,51.6438525480002 4.00026435600012,51.643069548 3.99862135600006,51.6379625480001 3.99146435600011,51.6354495480002 3.98619535600005,51.6354335480001 3.98617235600011,51.6338465480001 3.98284335600005,51.609719548 3.94902735599999,51.608800548 3.94709835600008,51.6084585480002 3.9466193560001,51.607898548 3.94544235600006,51.607810548 3.94531935599997,51.6070985480001 3.9438263560001,51.6067565480002 3.94334735600006,51.6061955480001 3.94217035600002,51.5983015480002 3.93110335600005,51.5845365480001 3.9022213560001,51.5679905480001 3.87902135600001,51.5635985480001 3.86980235600004,51.5619985480001 3.86755835600013,51.5618935480001 3.86733935600017,51.5618505480001 3.8672783560001,51.5610905480001 3.86568235600004,51.5607475480001 3.86520135600017,51.5601875480002 3.86402635600012,51.5601695480001 3.86400135600019,51.559387548 3.86236135600001,51.5566265480001 3.85848935600012,51.5560815480001 3.85734435600006,51.5560525480001 3.85730335600005,51.555278548 3.85567835600006,51.5537635480001 3.85355535600007,51.553573548 3.853155356,51.5531455480001 3.85255435600004,51.552671548 3.85156035600005,51.551467548 3.84987135600011,51.5510695480002 3.849037356,51.5507415480002 3.84857635600008,51.5501675480001 3.847371356,51.5501525480001 3.84735035600005,51.549363548 3.84569435599997,51.5477745480002 3.84346535600014,51.5476635480001 3.84323235600004,51.5448855480001 3.83933735600016,51.5435535480001 3.836540356,51.5420965480001 3.83449635599999,51.5418485480001 3.83397735600005,51.5405585480001 3.83216735600001,51.5402475480002 3.83151435600018,51.539904548 3.83103235600009,51.5393445480001 3.8298583560001,51.5393015480001 3.82979735600003,51.5385415480001 3.82820235600008,51.538212548 3.82774035600005,51.5376385480001 3.82653635600008,51.536033548 3.82428535600013,51.5351345480001 3.82239735500002,51.535090548 3.82233435500012,51.5343315480001 3.82074135500011,51.5342875480002 3.82067935500015,51.5335275480002 3.81908435500014,51.5331985480001 3.818623355,51.5326255480002 3.81741935500003,51.5184345480001 3.79751235500015,51.5184035480001 3.79744735500009,51.5183725480002 3.79740435500008,51.5175995480001 3.79578135500009,51.1806875480002 3.32253335500013,51.1802105480001 3.32206335500018,51.178189548 3.31922135500002,51.175512548 3.31658235499998,51.1631965480001 3.29926035500011,51.1599055480002 3.29601635500012,51.1498015480001 3.28180435499996,51.1495375480001 3.28154435500011,51.071430548 3.17163935500008,51.0623865480001 3.15257235500007,51.0479495480002 3.13225135499999,51.0465615480001 3.12932235500011,51.0465225480001 3.12926735500002,51.0457585480001 3.12765635500011,51.045420548 3.12718135500006,51.0448555480002 3.12599035500011,51.0448135480001 3.12593135500003,51.0440565480001 3.12433335499998,51.044003548 3.12425935500011,51.0432535480001 3.12267635500001,51.0432145480001 3.12262135500009,51.042449548 3.12101035500001,51.042112548 3.12053535500013,51.041547548 3.11934435500001,51.0415085480002 3.11928935500009,51.0407445480002 3.11767735500013,51.0404045480001 3.11719935500003,51.0398465480001 3.11602135500004,51.0397925480001 3.11594635500006,51.0390425480001 3.11436435500008,51.0390175480001 3.11432935500005,51.038239548 3.11268835500016,51.037902548 3.11221335500011,51.037337548 3.11102235500016,51.0372845480001 3.11094835500006,51.0365345480002 3.10936535500002,51.0364925480001 3.10930635500011,51.0357345480001 3.10770935500011,51.0353975480001 3.10723335500018,51.0348325480001 3.10604335500011,51.0248585480001 3.0920003550001,51.024816548 3.09191035500015,51.0207235480001 3.08614835500015,51.0207135480002 3.08612535500004,51.0204465480001 3.08574935500019,51.0198105480001 3.08440935500016,51.0197715480001 3.08435435500002,51.019007548 3.08274235500005,51.0188965480001 3.0825863550001,51.018204548 3.08112635500009,51.0179375480001 3.08075035500008,51.0165025480001 3.0777233550001,51.0161115480001 3.07717235500019,51.014797548 3.07440035500014,51.0147715480001 3.07436435500017,51.013994548 3.07272435500005,51.0123935480001 3.07047035500005,51.0122945480001 3.07026035500007,51.0110515480001 3.06851035500006,51.0106895480001 3.06774635500005,51.0090765480001 3.06547635500004,51.0089855480001 3.06528235500014,51.0089715480001 3.06526335500018,51.0081855480001 3.06360635499999,51.0078335480001 3.06311035499999,51.0072835480001 3.06195035500014,51.0023675470002 3.05502735499999,50.9989665470002 3.04785335500009,50.9989415470001 3.04781635500007,50.9981635470002 3.04617635500006,50.997811547 3.04568135500017,50.9972615470002 3.04452035500003,50.9959725470001 3.04270435500001,50.9956605470002 3.04204635500014,50.9948225470001 3.04086635499999,50.9839305470001 3.01788635500003,50.983876547 3.01781035500017,50.983127547 3.01623035500018,50.9828035470001 3.01577335500002,50.982225547 3.01455435500003,50.980922547 3.012718355,50.9806245470001 3.01209035500011,50.979082547 3.00991835499997,50.9789205470001 3.00957635500009,50.9788945470001 3.00953935500007,50.9781175470001 3.00790035500017,50.9777765470002 3.00741935499997,50.9772195470001 3.00624335500004,50.9771795470002 3.00618735500018,50.9764165470001 3.0045763550001,50.9763615470001 3.00450035500006,50.975612547 3.00292035500007,50.972497547 2.99853235500007,50.9722085470001 2.99792335500013,50.9708945470001 2.99607135500003,50.9706045470001 2.99545935500004,50.969032547 2.99324535500017,50.9681005470002 2.99127835500013,50.9677625470001 2.99080135500009,50.9671985470001 2.98961235500013,50.9658955470002 2.98777635500011,50.9655975470002 2.98714835500016,50.961265547 2.9810463550001,50.9605885470002 2.97961735500019,50.9601795470001 2.97904135500016,50.9596865470002 2.97800135500006,50.958454547 2.97626435500007,50.958085547 2.9754873550001,50.9278325470001 2.93286335500011,50.9271385470001 2.93140035500005,50.9270235470001 2.93123835500012,50.9263395470001 2.92979335500013,50.926298547 2.9297353550001,50.925536547 2.92812735500013,50.9252535470001 2.92772835500017,50.924634547 2.92642035500012,50.9205545470001 2.92067235500008,50.9205275470002 2.92061535500011,50.9200475470001 2.91993935500017,50.9172205470001 2.91396935500001,50.9168805470001 2.91349035500002,50.9163185470001 2.91230335500001,50.9147155470002 2.91004435499997,50.9146185470001 2.90983935500009,50.9133875470001 2.90810435500003,50.913013547 2.90731535500015,50.9113985470001 2.90504035500004,50.9113095470001 2.90485135500001,50.9100925470001 2.90313735500013,50.8978795470002 2.87734835500009,50.8977825470001 2.87721135500016,50.8962735470001 2.87402435500007,50.8962285470002 2.87396135500018,50.8954745470001 2.87236835500016,50.8950635470001 2.87178935500003,50.8945725470001 2.87075135500015,50.8945165470001 2.87067235500018,50.8937695470001 2.86909435500019,50.8925635470001 2.8673953550001,50.8921685470002 2.8665603550001,50.887703547 2.86026835500019,50.8871595470001 2.85911935500013,50.8815755470001 2.85124835500011,50.8762365470002 2.83997135500016,50.8762055470001 2.83992835500015,50.875436547 2.83830535500016,50.8750965470002 2.83782535500006,50.8745345470001 2.83663935500016,50.8732745470001 2.83486235500004,50.8729305470002 2.83413435500017,50.8728855470002 2.83407135500011,50.8721305470001 2.83247835500015,50.8717765470001 2.83197935500004,50.871228547 2.83082135500018,50.869712547 2.82868335500018,50.8695245470001 2.82828835499998,50.5338525470002 2.35458635400005,50.5335525470001 2.35428935400017,50.5155595470001 2.32886835400006,50.5132625470001 2.32659535400012,50.5113615470001 2.32391035399996,50.5053995470001 2.31800935400003,50.5030655470001 2.314711354,50.5025305470001 2.31418235400014,50.5005685470001 2.31140935400003,50.4972785470001 2.30815335400007,50.4930715470001 2.30220935400013,50.4839145470001 2.29314535400016,50.4838765470001 2.29309335400012,50.4736675470001 2.28298735400011,50.4734845470001 2.28272935400008,50.4674715470001 2.27677735400016,50.4672865470001 2.27651535399997,50.4665855470001 2.27582235400001,50.4646895470001 2.27314235400013,50.4603935470001 2.26889035400006,50.4601915470001 2.26860435399999,50.4469585470002 2.25550535400015,50.446501547 2.25485935400013,50.3930235470001 2.20191335400006,50.3922335470001 2.20079635399998,50.382060547 2.190723354,50.3798435470001 2.18758835400018,50.3771985470001 2.18496935399997,50.3731435470002 2.17923635400012,50.3719345470001 2.17803835400014,50.3698455470001 2.17508535400003,50.365445547 2.17072835400012,50.3614495470002 2.16507735400012,50.3609105470002 2.16454435400004,50.3589515470001 2.16177435399999,50.3578125470002 2.16064535400005,50.355653547 2.15759335400008,50.3551245470001 2.1570693540001,50.353152547 2.15428035400009,50.3478215470002 2.14900135400012,50.3456565470001 2.14593935400006,50.3427145470001 2.14302535400003,50.3406615470002 2.14012235400014,50.3401095470002 2.13957535399999,50.338160547 2.13681935400007,50.3312745470001 2.12999935400012,50.3031735470001 2.09025435400002,50.2974845470001 2.08461935400004,50.2973785470001 2.08446935400008,50.292794547 2.07992835400006,50.2906795470002 2.07693635400011,50.2787035470001 2.065071354,50.2785865470001 2.06490635400002,50.2751545470002 2.06150635400007,50.2748925470002 2.06113535400016,50.2703265470002 2.0566113540001,50.270294547 2.0565663540001,50.2387845470002 2.02534435400014,50.2341135470001 2.01873635400017,50.2317995470001 2.01644335400016,50.2299155470002 2.01377835400007,50.227247547 2.01113335400009,50.2232205470001 2.0054353540001,50.2204075470001 2.00264735400015,50.2203185470001 2.00252235400012,50.2195445470001 2.00175535400007,50.2174205470002 1.99874935400004,50.2120975470001 1.993474354,50.2120265470001 1.99337335400003,50.187469547 1.96903535400014,50.187340547 1.96885335399998,50.1791065470002 1.96069135400006,50.1766465470002 1.95721035400015,50.1725835470001 1.95318335400003,50.1707475470001 1.95058435400011,50.1703895470001 1.95022935400004,50.1682505470001 1.94720135400013,50.158294547 1.93733335400009,50.1582535470001 1.93727535400006,50.1474065470001 1.92652335400004,50.1470605470001 1.92603235400009,50.1458335470002 1.92481635400003,50.1440635470001 1.92231035400016,50.143610547 1.92186135400016,50.1415655470001 1.91896735400013,50.1392715470001 1.91669235400002,50.1373675470001 1.91399735400012,50.1351555470002 1.91180535400014,50.1290695470001 1.90318935400012,50.1288985470001 1.90302035400015,50.1266705470002 1.89986535400004,50.1263765470002 1.89957335400004,50.1224725470001 1.89404635400018,50.121001547 1.89258835400011,50.114974547 1.88405635400011,50.112076547 1.88118235399998,50.1099755470001 1.87820935400003,50.1093675470001 1.87760635400008,50.1074745470001 1.87492535400008,50.0997595470002 1.86727635400013,50.097481547 1.86404935400014,50.094394547 1.86098835399997,50.0924825470001 1.8582823540001,50.091500547 1.85730835400017,50.0874865470001 1.85162535400013,50.082238547 1.84642135400014,50.082088547 1.84620835400011,50.0744315470001 1.83861535400013,50.0741925470001 1.83827735400007,50.0715635470002 1.835670354,50.0698955470002 1.83330735400006,50.0696995470001 1.83311335400003,50.0674965470001 1.82999335400012,50.0661785470001 1.82868635400018,50.064198547 1.82588235399999,50.0634925470001 1.82518235400016,50.0615975470001 1.82249835400012,50.0611485470001 1.82205435400016,50.0549995470001 1.81334635400015,50.0544255470001 1.81277635400005,50.0525025470001 1.81005235400011,50.050378547 1.80794635400014,50.0483005470001 1.80500335400012,50.0459535470002 1.80267535400009,50.0441015470001 1.80005335400006,50.0411885470001 1.79716335400002,50.0391065470001 1.79421535400019,50.0364405470002 1.79157035400016,50.0342075470002 1.78840835400018,50.0319775470001 1.78619635400014,50.0300085470002 1.78340835400002,50.025274547 1.77871235400016,50.0233135470001 1.77593435400013,50.0230925470001 1.77571535400017,50.0209145470002 1.77263035400017,50.012550547 1.76433335400003,50.0125195470002 1.76429035400002,50.0109735470002 1.76275635400015,50.0091185470001 1.76012935400018,49.9999555470001 1.751039354,49.9996245470001 1.75057135400004,49.993511547 1.74450735400012,49.9916295470001 1.74184035400003,49.9855735470001 1.73583235399997,49.9854335470001 1.73563535400001,49.982899547 1.73312135400005,49.9808355470001 1.7301963540001,49.9798365470001 1.72920535400004,49.9796345470001 1.72891935399997,49.9579515470002 1.70740735400017,49.9558465470001 1.70442535399997,49.9523645470001 1.70097035400011,49.9521485470001 1.70066435400003,49.8805715460001 1.62963535300003,49.877588546 1.62540735300013,49.8759545460001 1.62378635300013,49.8741905460001 1.62128535300013,49.7286585460001 1.4768023530001,49.7267675460001 1.47412035300005,49.7102165460001 1.45768335300005,49.705975546 1.45166835300012,49.6961395460002 1.44189835300011,49.691881546 1.43586035300007,49.6729725460002 1.41707835299997,49.6709905460001 1.41426735300013,49.6704755460001 1.413755353,49.668492546 1.41094335300005,49.6680575460001 1.41051035300012,49.665991546 1.40757935300007,49.6623585460002 1.40397035300009,49.6622925460001 1.40387735300004,49.6551415460001 1.39677335300001,49.6493005460001 1.38848735300013,49.6367605460001 1.37602935300015,49.6344075460001 1.37269035300011,49.6339705460001 1.37225735300018,49.631905546 1.36932635300013,49.6186775460002 1.35618435300006,49.6168135460001 1.35353935300003,49.6157395460001 1.35247235300005,49.6156125460001 1.35229235300011,49.6144565460002 1.35114435300011,49.6144155460001 1.35108535300003,49.6130175460001 1.34969635300007,49.611013546 1.34685335300003,49.608920546 1.34477335300005,49.608916546 1.34476735300007,49.5460245460002 1.28227435299999,49.5452445460002 1.28116635300017,49.541041546 1.27698935300003,49.529349546 1.26039335300004,49.5282865460002 1.25933735300003,49.528151546 1.25914535300012,49.524561546 1.25557735300015,49.5244535460001 1.25542335300003,49.5096875460001 1.24074735300007,49.5094605460002 1.24042635300015,49.4979135460001 1.22894835300008,49.4960655460002 1.22632535300011,49.4958315460001 1.22609335300012,49.495664546 1.22585635300004,49.4704435460001 1.20078535300007,49.4702785460001 1.20055035299998,49.4675155460001 1.19780435299998,49.467376546 1.19760635300014,49.4569195460001 1.18721135300018,49.4510815460002 1.17892235300019,49.4505825460001 1.17842535300008,49.4485835460001 1.17558835300002,49.4483505460001 1.1753553530001,49.448183546 1.17511935300013,49.4448885460001 1.1718433530001,49.4410865460001 1.16644435299997,49.4373155460002 1.16269535300012,49.429389546 1.15144035300006,49.4290155460001 1.15106835299997,49.4289895460001 1.15103135300012,49.427659546 1.14970935300016,49.407794546 1.12149935300005,49.4069685460001 1.12067735300002,49.401093546 1.11233435300005,49.4005455460002 1.11178935300006,49.3985955460001 1.10902035300012,49.3983065460002 1.10873235300005,49.3943965460002 1.10317935299997,49.3889165460001 1.09773035300015,49.3868995460002 1.09486535300005,49.385822546 1.09379435300008,49.3856985460001 1.09361835300007,49.382445546 1.09038235300005,49.3786015460001 1.08492335300008,49.3773735460001 1.08370235300015,49.3753025460002 1.08076035300007,49.3706405460001 1.07612435300018,49.3686065460002 1.07323435299998,49.3677765460001 1.07240935300013,49.3619055460002 1.06406935299998,49.3599045460002 1.06208035300011,49.357805546 1.05909835300008,49.3479505460002 1.04929735300004,49.347811546 1.04909935300003,49.3474135460002 1.04870335300012,49.347410546 1.04870035300007,49.2652035460001 0.966927353000074,49.2645445460001 0.965991353000106,49.2588885460002 0.960364353000102,49.256948546 0.957607353000071,49.2550475460001 0.955716353000128,49.2511515460002 0.950179353000067,49.2482055460002 0.947248353000077,49.246151546 0.944330352999998,49.2381985460001 0.93641635299997,49.236153546 0.933510353000031,49.1714895460001 0.869165353000028,49.1453845460001 0.832056353000041,48.7341985450001 0.422541352000053,48.7339755450001 0.422385352000106,48.7328995450001 0.421312352000143,48.6393885450001 0.356094352000184,48.245879545 -0.0363706479998314,48.2431525450002 -0.0382746479999696,48.238386545 -0.0430306479999558,48.2358455450001 -0.0448056479999082,48.227596545 -0.0530376479998722,48.221868545 -0.0570376479998913,48.2192035450001 -0.0596966479998855,48.2170505450002 -0.0612006479998968,48.1643475450001 -0.113797647999832,48.1589345450001 -0.117578647999949,48.1518575450002 -0.124641647999908,48.137864545 -0.134415647999845,48.1343745450001 -0.137899647999973,47.6587155440001 -0.470317647999877,47.6577805440002 -0.470752647999973,47.5738085440001 -0.529470648999904,47.5721965440002 -0.530220648999887,47.572113544 -0.530278648999968,47.5692165440001 -0.531626648999975,47.5688175440002 -0.531905648999953,47.5671935440001 -0.532661648999976,47.567117544 -0.5327146489999,47.5657505440001 -0.533350648999942,47.5654185440001 -0.533582648999868,47.5546785440001 -0.538580648999869,47.5404485440002 -0.548532648999981,47.5389945440002 -0.549208648999979,47.538748544 -0.549380648999886,47.5142315440001 -0.560790648999898,47.4971945440002 -0.572706648999883,47.495569544 -0.573462648999907,47.4954945440001 -0.573514648999947,47.4805965440002 -0.580448648999891,47.4714235440001 -0.586864648999892,47.4710375440001 -0.587044648999949,47.4689235440001 -0.58852264899997,47.451863544 -0.596462648999932,47.4072885440002 -0.627642648999938,47.3761455440002 -0.642140648999941,47.3731255440001 -0.644253648999893,47.3619405440001 -0.64945964899988,47.3598365440001 -0.650931648999915,47.3592465440001 -0.651206648999903,47.3573405440001 -0.652539648999891,47.3572085440001 -0.652601648999962,47.3548405440001 -0.654257648999931,47.353225544 -0.655009648999908,47.3531445440001 -0.655066648999934,47.3519865440002 -0.655605648999938,47.351544544 -0.655914648999897,47.3499305440001 -0.656666648999874,47.3498485440001 -0.656723648999957,47.3480675440001 -0.657552648999911,47.3373605440001 -0.665043648999927,47.335990544 -0.665681648999964,47.3356605440001 -0.665912648999893,47.3342595440002 -0.666564648999952,47.3339645440001 -0.666770648999943,47.3326355440001 -0.667389648999972,47.3323635440001 -0.66757964899989,47.3307375440001 -0.668336648999912,47.3306645440001 -0.668387648999953,47.3295175440001 -0.668921648999913,47.3290675440001 -0.66923664899997,47.328871544 -0.669327648999911,47.3123825440002 -0.680863648999889,47.2854935440001 -0.693383648999941,47.2724215440001 -0.702529648999928,47.2708065440001 -0.703281648999905,47.2707255440001 -0.703338648999932,47.2638915440001 -0.706520648999913,47.2624325440001 -0.70754164899995,47.2620105440001 -0.70773764899991,47.2599365440001 -0.709189648999882,47.257162544 -0.710480648999919,47.2566395440001 -0.710846648999848,47.2542865440001 -0.711942648999923,47.2499435440001 -0.714980648999926,47.2485845440002 -0.71561364899992,47.2482475440002 -0.715849648999892,47.2468325440001 -0.716508648999877,47.2466475440001 -0.71663864899989,47.2452875440002 -0.717270648999886,47.2449515440001 -0.717506648999972,47.2431135440001 -0.718362648999971,47.2408545440001 -0.719943648999958,47.2393615440001 -0.720638648999909,47.2307625440001 -0.726655648999952,47.2225645440002 -0.730472648999921,47.2149765440001 -0.73578264899993,47.2136175440001 -0.73641564899998,47.2132805440001 -0.736650648999955,47.2128895440001 -0.736832648999837,47.210780544 -0.738308648999919,47.2104015440001 -0.738485648999927,47.2082845440001 -0.739966648999882,47.2070545440001 -0.74053964899997,47.1900015440001 -0.752472648999969,47.1893135440002 -0.7527926489999,47.1874025440002 -0.754130648999933,47.1870625440001 -0.754288648999875,47.185004544 -0.755728648999934,47.1848815440001 -0.755785648999847,47.1825085440001 -0.757446648999974,47.1808815440001 -0.758204648999879,47.1808085440001 -0.758255648999921,47.1804715440001 -0.758412648999865,47.1783125440002 -0.759922648999918,47.177237544 -0.760423648999904,47.1767115440001 -0.760791648999884,47.1760355440001 -0.761106648999942,47.1741165440001 -0.762449648999848,47.1727845440002 -0.763069648999874,47.1725155440001 -0.763258648999965,47.1723485440002 -0.763336648999939,47.1617255440001 -0.770769648999817,47.160098544 -0.771527648999893,47.1600255440002 -0.771578648999878,47.1569995440001 -0.772987648999901,47.1541335440001 -0.774993648999896,47.152674544 -0.775672648999944,47.1525325440002 -0.775772648999975,47.1517605440001 -0.776131648999979,47.1475365440002 -0.779088648999959,47.1171915440001 -0.793221648999975,47.0933845440001 -0.809882648999974,47.0928245440001 -0.810143648999883,47.0742015440001 -0.823177648999888,47.0733855440001 -0.823558648999892,47.0668075440001 -0.828162648999978,47.0654465440001 -0.828796648999855,47.065111544 -0.829030648999947,47.0620255440002 -0.830468648999897,47.0617115440001 -0.830687648999913,47.0614575440001 -0.830806648999896,47.0592145440001 -0.832375648999971,47.0577655440001 -0.833051648999913,47.0576175440002 -0.833154648999937,47.0371225440001 -0.842702648999875,47.0210465440001 -0.853954648999888,47.0193775440002 -0.854731648999973,47.0192475440001 -0.854822648999971,46.962450544 -0.881283648999897,46.9609965440002 -0.882301648999942,46.9381075440001 -0.892966648999959,46.934418544 -0.895548648999977,46.9272295440001 -0.898897648999878,46.926025544 -0.899740648999909,46.9244075440001 -0.900495648999936,46.9243295440002 -0.90054964899997,46.923166544 -0.901091648999966,46.9227285440001 -0.90139864899993,46.9213545440001 -0.902038648999962,46.9210285440001 -0.902266648999898,46.9206475440002 -0.902444648999904,46.8876555440002 -0.92554064899997,46.708589544 -1.00899564899993,46.6804085430001 -1.02872964899996,46.6785575430002 -1.02959264899988,46.6763105430001 -1.03116664899989,46.667398543 -1.03532064899997,46.649529543 -1.04783464899992,46.6484075430001 -1.04835764899997,46.6479285430001 -1.04869364899997,46.6418895430001 -1.05150864899991,46.6412345430001 -1.05196764899995,46.641102543 -1.05202864899996,46.6387365430002 -1.05368564899993,46.630003543 -1.05775764899994,46.6037585430001 -1.07613764899997,46.5980405430001 -1.07880364899995,46.5796125430002 -1.09171064899994,46.5773895430001 -1.09393364899989,46.5772005430001 -1.0940666489999,46.5710915430001 -1.10017764899987,46.5320085430001 -1.12755164899988,46.5302995430001 -1.12926264899994,46.5274805430001 -1.13123764899996,46.4990005430001 -1.15973264899998,46.4985375430001 -1.16005764899995,46.4977035430001 -1.16089164899995,46.4615225430002 -1.18623564899991,46.446509543 -1.20125764899996,46.446483543 -1.20127664899991,46.4419095430001 -1.20585364899989,46.4331805430001 -1.21196764899986,46.3615085430001 -1.28368964899988,46.3613985430001 -1.28376664899997,46.3602085430001 -1.28495864899998,46.3571215430001 -1.28712064899997,46.2757025430001 -1.36860464899996,46.2755245430001 -1.36872864899988,46.2744015430001 -1.36985264899988,46.2522895430002 -1.38534664899987,46.2331985430001 -1.40445364899995,46.2329345430001 -1.40463864899988,46.2319015430001 -1.40567264899988,46.2205075430001 -1.41365664899996,46.1685935430001 -1.46561664899991,46.1629255430001 -1.46958864899995,46.1618955430001 -1.4706196489999,46.097680543 -1.51562064899997,46.0831935430001 -1.53012164899985,46.0831155430002 -1.53017664899994,46.0818925430001 -1.53140064899998,45.9809205430002 -1.60216764999996,45.9547875430001 -1.62832864999996,45.9546325430001 -1.62843764999991,45.952684543 -1.63038764999993,45.9112305581247 -1.65944444444443)))', 'Somali Exclusive Economic Zone', 'Somalia', 'Somalia', '', '44', '44', 'SOM', '8350', '2014-02', '782519120000', '8350', 'Y'),('SRID=4326;MULTIPOLYGON(((53.8777620430002 15.0867332110001,54.162469755 14.761639582,54.315427324 14.7792476980001,54.4408008830001 14.7941038650002,54.5425741080001 14.8039913460001,54.5425742030002 14.8039913320002,54.6325291170001 14.7902972590002,54.696629386 14.7805670490001,54.7674088050002 14.77112677,54.7969781820001 14.7671829230001,54.8220486620002 14.7638091160001,55.0702812810002 14.730403735,55.1528257370002 14.719295489,55.4817460010001 14.7003944890001,55.7542884610001 14.6786008200001,56.6889969490001 14.5786496820001,56.72292464 14.5749506070001,56.7509864290001 14.5718910820001,56.85762601 14.5352205040002,57.0107309910002 14.4825716830001,57.2111787650002 14.4124557120001,57.416508322 14.3406321100001,57.4325753570001 14.3350119140001,57.5352485540001 14.1804713650002,57.775827554 13.649911365,57.9172595540001 13.0866973640001,57.9559335540001 12.508010364,57.955769554 12.5065473640001,57.9558925540001 12.5047133640001,57.955810554 12.5039883640001,57.9565465540002 12.493018364,57.8919865540001 11.9163893630001,57.7267395540002 11.3591823630001,57.4662675540001 10.8380973620001,57.4662145540001 10.8380263620001,57.4654575540002 10.836505362,57.1179315530001 10.3671013620001,57.1167615530001 10.3659893620002,57.1166305530001 10.365812362,56.6926615530001 9.96206836100004,56.204988552 9.63599836100019,56.148608552 9.610993361,56.1131865520002 9.58723436100007,56.1004265520001 9.5815713610001,56.0818175520001 9.56908536100013,55.840508552 9.46181436100005,55.8270875520001 9.45278836100005,55.825572552 9.45211436100004,55.8253985520002 9.45199736100017,55.8184895520002 9.44892136100003,55.818058552 9.44863136099997,55.8165435520001 9.44795636100008,55.8163695520001 9.44784036100009,55.8158745520002 9.44761936100008,55.8088235520001 9.44287636100006,55.8073125520002 9.44220336100017,55.807134552 9.44208436100007,55.8059275520001 9.44154636100018,55.8055485520001 9.44129136100003,55.2693865510001 9.20189036100004,54.699809551 9.05694536000004,54.6529355510002 9.05329236000011,54.4553925510002 8.96425036000005,54.4299145510001 8.95771736,54.0162855500002 9.43566736100007,53.9343995500001 9.52687636100006,53.31297455 10.2211563610002,53.1158275490002 10.4396663620001,53.101926549 10.4550733620002,53.012993549 10.5508873620001,53.0111385490001 10.5528773620001,52.658103549 10.889135362,52.632276549 10.9031983620001,52.4769075490001 10.9874003620001,52.347673549 11.054034362,52.335739549 11.060007362,52.2991415490001 11.0791313620002,52.256516549 11.1013533620001,52.2088815490001 11.1516893620001,52.130439549 11.2351443620001,52.1214745490001 11.2445773620001,52.072667548 11.293584362,52.0570885480001 11.3237083620001,52.0276455480001 11.381301363,51.9962995480002 11.4422603630001,51.9656855480001 11.5020133630001,51.9547855480001 11.5205483630001,51.9024075480001 11.6087093630002,51.9003915480001 11.6131093630001,51.8852995480001 11.642330363,51.8477725480002 11.7145733630002,51.8423465480001 11.7252363630001,51.8204265480001 11.7688103630002,51.7906765480001 11.8240863630001,51.7877675480001 11.829525363,51.758809548 11.8828393630002,51.7348225480001 11.9278683630002,51.6892675480001 12.0126703630001,51.6821665480002 12.0259553630001,51.6161325480001 12.1487663630001,51.5709905480001 12.233317363,51.5691995480001 12.236664363,51.5671365480001 12.2404613630001,51.5528295480001 12.2666883630002,51.5294305480001 12.3100653630001,51.5062655480001 12.353168363,51.4632335480002 12.4342993640001,51.3935455480002 12.5649063640001,51.384790548 12.5768483640002,51.3577875480001 12.6211623640002,51.338782548 12.6524963640001,51.296297548 12.722851364,51.282417548 12.751811364,51.102225548 13.1383363640001,50.9842505470001 13.3883633640002,50.9327355470001 13.497539365,50.347007547 13.3839723640001,50.3372755470002 13.3816153640001,50.1436075470002 13.343740364,50.000954547 13.2514013640002,49.9055405460002 13.1782193640001,49.7197525460001 13.0418803640001,49.6183425460002 12.958278364,49.5436965460001 12.8981753640002,49.5129695460001 12.8729323640002,49.3367985460001 12.809292364,48.9950695460001 12.7012173640001,48.9303665460001 12.680396364,48.7142575450001 12.6824673640002,48.5694055450001 12.6704213640002,48.4659015450001 12.657499364,48.4058465450001 12.653008364,48.3225525450001 12.645717364,48.3191265450001 12.6442523640001,48.1275235450001 12.5581443640002,48.0874115450001 12.543282364,47.7931025450001 12.4311773640001,47.6257585440001 12.4235433640001,47.609875544 12.4230053640002,47.5996095440001 12.4217323640002,47.3672895440002 12.414216364,47.3648205440002 12.4138003640001,47.276557544 12.3974943630001,47.2508255440001 12.3921183630001,47.104360544 12.361513363,46.705091543 12.264479363,46.6939475430001 12.260651363,46.4133805430002 12.1645593630001,46.3991285430001 12.1597163630001,46.3013235430001 12.121459363,46.3005395430001 12.120716363,46.2600265430002 12.0823973630001,46.1704385430002 12.0672813630001,46.0409865430001 12.043670363,45.806182543 11.955057363,45.6096065420001 11.8807543630002,45.5152615420001 11.8450003630001,45.4868625420002 11.834720363,45.4181575420001 11.8091543630001,45.3227085420002 11.7737403630001,45.2985645420002 11.764800363,45.239024542 11.7428003630001,45.1651125420001 11.7151343630001,45.1369745420001 11.7073973630001,45.1362765420001 11.7072063630001,45.1317045420001 11.7056373630001,45.111438542 11.698486363,45.0776015420001 11.6865743630001,44.918146542 11.653045363,44.9006675420001 11.649104363,44.8459045420001 11.636864363,44.8454005420001 11.636752363,44.8164295420002 11.6302873630002,44.705469542 11.605588363,44.704149542 11.605210363,44.6105555420001 11.578303363,44.6046505420002 11.579709363,44.6024465420001 11.580304363,44.5619925420001 11.5966893630001,44.4658075410001 11.6559393630002,44.3568165410001 11.734647363,44.3167125410001 11.7626853630002,44.282970541 11.7844473630001,44.2567425410001 11.801199363,44.1963015410001 11.8392833630001,44.146206541 11.8701223630001,44.1436505410001 11.8727473630001,44.0857935410001 11.9333223630001,44.0194735410001 12.003063363,43.9885715410002 12.0349673630001,43.985987541 12.0376703630001,43.9616645410002 12.0631563630001,43.9503115410002 12.0750123630002,43.947463541 12.0779213630001,43.9208895410001 12.1048923630001,43.909331541 12.116963363,43.8615585410002 12.1678983630002,43.845448541 12.1858863630001,43.8270535410002 12.2074843630001,43.8108635410002 12.225775363,43.810604541 12.2260723630001,43.8027755410001 12.235728363,43.7962075410001 12.2443383630001,43.7766355410002 12.269806363,43.760029541 12.3186593630001,43.7254725410002 12.4168923640001,43.7186515410002 12.4358063640001,43.7183485410001 12.4363383640001,43.6946915410001 12.4657113640001,43.6564795410001 12.5109243640001,43.650580541 12.5161443640001,43.5745965410001 12.538260364,43.5397685410001 12.552455364,43.539757541 12.5524563640001,43.531311541 12.5528683640001,43.5277555410001 12.553033364,43.5238265410001 12.5531523640001,43.5099525410001 12.5533003640001,43.4976945410002 12.553333364,43.43244954 12.5537023640001,43.4282705400001 12.5536813640002,43.3965775400001 12.554497364,43.38976254 12.5541943640002,43.38790154 12.5545303640001,43.3814985400002 12.555714364,43.3808385400001 12.5557933640001,43.3638645400002 12.570783364,43.3507855400002 12.5809473640001,43.3351915400001 12.5921623640002,43.3261145400001 12.5985473640002,43.3066675400001 12.6109523640002,43.3038905400002 12.614776364,43.2950165400001 12.6272353640001,43.2945635400001 12.6281693640001,43.2943625400002 12.6286033640001,43.2942085400001 12.6289463640001,43.28816254 12.6439113640002,43.2874535400002 12.6458663640001,43.2845785400002 12.6549263640001,43.2843375400001 12.6557293640001,43.2836855400001 12.6578293640001,43.2831515400002 12.659479364,43.2805705400002 12.6673443640001,43.27568254 12.6836023640001,43.2739765400001 12.6906873640001,43.282865121 12.7256204550001,43.2899582680001 12.7534983790001,43.29373838 12.769874139,43.2944503290001 12.7728685810002,43.29603754 12.7795453640001,43.297807381 12.787059647,43.3007332210001 12.799483695,43.2835062950002 12.8275719080001,43.2775897950002 12.8338665440001,43.2747435400001 12.8368943640002,43.2541195410001 12.8592363650002,43.254119126 12.8592368160001,43.2489616290001 12.871041866,43.248806879 12.8713906880001,43.2483865400002 12.8723373640001,43.2441172540001 12.8823247200002,43.2409075400001 12.889833364,43.23535954 12.909593364,43.2169334940367 12.9556580999747,43.2125000000001 12.9694444444444,43.2063154807976 12.9770775897669,43.181666666667 13.0075000000002,43.1450000000002 13.0680555555557,43.101666666667 13.1022222222225,43.0891666666669 13.1158333333335,43.0516839822619 13.1802057695944,43.0508333333334 13.1816666666667,43.0325225701599 13.2011919192348,42.996388888889 13.2397222222224,42.8797222222224 13.4002777777781,42.8458319656648 13.4204080805451,42.8058333333334 13.4441666666667,42.7265819819526 13.457285978213,42.7236111111114 13.457777777778,42.660277777778 13.5605555555557,42.6537632955693 13.5709944246374,42.6381591145374 13.5959987147249,42.6372222222225 13.5975000000002,42.6416666666668 13.6036111111114,42.6275000000002 13.6583333333336,42.4775000000002 14.0608333333336,42.4778287638435 14.0614001675463,42.5258333333334 14.1441666666667,42.4518514584029 14.23641567121,42.4358333333336 14.256388888889,42.427580225335 14.2681116708627,42.3677777777777 14.3530555555556,42.2816666666668 14.4544444444446,42.1930555555555 14.5872222222224,42.1672222222222 14.6013888888889,42.0116666666667 14.7250000000001,41.9797222222222 14.7683333333333,41.8534188533386 14.9886480757578,41.8466969185541 15.0003733475673,41.845 15.0033333333333,41.7786111111111 15.0666666666668,41.6253274262811 15.2527175160077,41.569441539 15.6510373670001,41.568864539 15.721427367,41.4616235390001 15.8128163670002,41.4273625390001 15.8788693670001,41.4182425390001 15.8965373670002,41.400100539 15.9234543670001,41.3016795380001 16.086944367,41.3016794340001 16.086944455,41.2939382740001 16.0938482070001,41.2117170250001 16.1665809100001,41.1559454620001 16.215454305,41.1459910140001 16.2241825520001,41.1446625380001 16.225347367,41.1446624270001 16.2253474800002,41.144662387 16.2253475220002,41.1344946980001 16.2358421150001,41.0820320550002 16.29,41.082032317 16.29,41.0820328940002 16.29,41.7833325570001 16.29,41.783333 16.29,42.1499998160002 16.404110943,42.1500000000001 16.4041110000001,42.7721387820002 16.4041110000001,42.772139 16.4041110000001,42.789682299 16.3775000280001,42.8077815400002 16.340554367,42.8130455400001 16.3119453670001,42.8458365400001 16.093327367,42.8458365400001 16.0713908670001,42.84194554 15.9713908670001,42.83458154 15.883336367,42.7991635400002 15.8519453670001,42.7577725400001 15.8299998670001,42.7448545400001 15.7506913670002,42.7263815400001 15.734309367,42.7011095400001 15.7215273670001,42.6938815400001 15.7002813670001,42.7036095400002 15.6361093670002,42.7188905400001 15.570836366,42.7547905400001 15.5256273660001,42.7862455400002 15.4645813660002,42.80929954 15.3494453660001,42.81033654 15.2620093660001,42.8024995400001 15.2302723660002,42.7790365400002 15.2299813660001,42.7241635400001 15.3011093660002,42.69916354 15.2736093660001,42.6799905400001 15.236390866,42.6811095400001 15.208327366,42.7123635400001 15.2106903660002,42.7539365400001 15.1953903660001,42.78894554 15.1773903660001,42.8444455400001 15.148336366,42.8711095400001 15.124509366,42.93582754 14.957772366,42.9452725400001 14.9174998660001,42.9555545400001 14.8648633660001,42.9459725400001 14.8138908660002,42.9447185400001 14.7786093660001,42.9655545400001 14.6924998660001,42.9891635400001 14.6363908660001,43.02735454 14.550690865,43.0211095400001 14.4447183650001,43.0599995400001 14.2949998650001,43.1027725400002 14.1736093650001,43.09944554 14.1533273650001,43.09110954 14.0763908650001,43.0866635400001 13.9933273650001,43.1183275400001 13.9631903650001,43.1729095400001 13.9199993650001,43.2013815400001 13.8997183650002,43.2329815400001 13.8732633650001,43.2794455400002 13.720272365,43.2863815400001 13.6727813650001,43.2849995400002 13.650272365,43.2799995400002 13.604999865,43.2761095400002 13.5524998650002,43.2512455400001 13.342218364,43.2415275400001 13.3134723640001,43.2302725400001 13.2697183640001,43.2497185400001 13.2056908640001,43.2761095400002 13.1711093640001,43.3530545400002 13.0505543640002,43.4027725400002 12.9712453640001,43.4827725400002 12.8226363640001,43.4845815400001 12.795272364,43.47811854 12.765690864,43.4619365400001 12.6873633640001,43.4788815400001 12.6749993640001,43.4983095410001 12.679999364,43.5097815410002 12.6820093640001,43.5277455410001 12.689718364,43.5704095410001 12.7345813640002,43.598672541 12.7486813640001,43.6972185410001 12.7263903640001,43.8224905410001 12.6858363640002,43.9045815410001 12.6474273640001,43.921936541 12.6112453640001,43.949854541 12.5946543640001,44.1866635410001 12.6169453640001,44.2945815410001 12.635972364,44.4097185410001 12.6819453640001,44.4367995410001 12.696109364,44.4780545410001 12.7399993640001,44.5299995410002 12.7887453640001,44.5599995410001 12.8070813640001,44.5904095420001 12.817081364,44.6211095420001 12.8166633640001,44.6783275420001 12.8049993640001,44.726099542 12.7688903640001,44.852772542 12.729163364,44.902218542 12.731527364,44.9172185420002 12.7449998640001,44.9219365420001 12.768127364,44.8795095420001 12.7724003640001,44.8748905420001 12.803645364,44.9544455420001 12.832218364,45.014999542 12.8388903640001,45.042318542 12.7523813640001,45.0697185420001 12.8608363640001,45.1055455420001 12.9449908640001,45.1085995420002 12.9488908640001,45.1309725420002 12.9713903640001,45.1765275420001 13.005418364,45.2038815420001 13.0149993640002,45.243327542 13.0258363640001,45.2859725420001 13.036245364,45.3129185420001 13.039163364,45.3397185420002 13.042218364,45.3874995420001 13.0549993640001,45.4095815420001 13.0676363640001,45.4629095420001 13.132781364,45.4793095420001 13.1584723640001,45.4911725420001 13.1838183640001,45.5452725420001 13.2427723640001,45.5663815420001 13.2630543640001,45.6319455420001 13.325418364,45.6590275430001 13.3391633640001,45.8191635430001 13.379445364,45.9480545430001 13.3976363640001,46.0455545430001 13.408609364,46.1658365430001 13.4108273640001,46.296099543 13.4130543640001,46.351663543 13.4061093640001,46.4692995430001 13.4051363640001,46.6915275430001 13.4280543640001,46.7624995440002 13.4516633640001,46.814163544 13.4741633640001,46.849018544 13.490690365,46.8827095440002 13.5154813650001,46.9265275440001 13.5359723650001,47.0058275440001 13.5566633650001,47.168881544 13.587499365,47.2544455440001 13.6152813650002,47.2869455440002 13.6241633650002,47.3185995440002 13.6324993650001,47.3944365440001 13.6463903650002,47.413890544 13.6577723650001,47.4519455440001 13.6888903650002,47.598054544 13.8193093650001,47.6155545440001 13.840554365,47.6272185440001 13.8569453650001,47.6522185440001 13.876809365,47.7215275440001 13.9090273650002,47.7702725440002 13.9163903650001,47.8199995450001 13.9341633650002,47.8510995450001 13.951109365,47.887290545 13.9800723650001,47.9083365450002 14.004445365,47.9323545450001 14.026390365,47.9594455450002 14.0374993650001,47.9901365450001 14.0470813650001,48.0188815450001 14.0513903650001,48.045272545 14.048336365,48.074163545 14.043327365,48.1424905450002 14.023054365,48.1908275450001 13.9968093650001,48.2344455450001 13.988890365,48.2761095450002 13.989163365,48.3110995450002 13.991945365,48.4255545450001 14.0083363650001,48.5538815450001 14.0390993650001,48.6099995450001 14.044027365,48.6863905450001 14.0374993650001,48.698054545 14.039999365,48.7206905450001 14.055554365,48.8433275450001 14.157772365,49.0064545460001 14.3254183650001,49.0029815460002 14.352709365,49.0258995460001 14.4356273650001,49.0766635460002 14.5033363650001,49.0942995460001 14.5168093650001,49.1180455460002 14.5269453650002,49.2533275460002 14.5836093660001,49.4188815460001 14.6552813660001,49.5341635460001 14.7099993660001,49.712218546 14.7699993660002,49.9601365470001 14.844999366,50.0295095470001 14.8419453660001,50.0431185470001 14.8179183660002,50.1798635470001 14.838890366,50.4094365470001 14.9777723660001,50.4508275470002 15.0052813660002,50.4763905470002 15.0169453660002,50.5513815470001 15.0434723660002,50.7029095470001 15.0705543660001,50.7227725470001 15.0658363660002,50.7494455470001 15.073327366,50.865554547 15.1058363660001,51.0012455470001 15.1363903660002,51.0719365480002 15.1508363660001,51.164163548 15.170554366,51.2401365480001 15.1876363660001,51.2680545480002 15.2005543660001,51.4938905480001 15.2933363660001,51.5827725480001 15.3252813660002,51.6636095480001 15.3588908660001,51.6696455480002 15.3881273660002,51.7188905480001 15.423054366,51.9583275480001 15.5263903660002,52.0408365480001 15.5597183660001,52.189163549 15.6052723660002,52.231945549 15.674163367,52.2138815490001 15.7599998670001,52.1847185490001 15.864581367,52.1576995490001 15.9847908670001,52.2270815490002 16.1661813670001,52.2942995490002 16.2665273670001,52.4397185490001 16.384445367,52.4636095490001 16.403054367,52.4888815490002 16.4194453670001,52.5058275490002 16.4302723670002,52.5685995490001 16.4638903670001,52.5963815490002 16.4772183670001,52.6172185490001 16.483054367,52.6522185490002 16.4872183670001,52.7333275490001 16.5066633670001,52.8655545490002 16.5572183670001,52.8905545490002 16.5698543670001,52.9127725490001 16.583609367,52.9398545490002 16.6053453670001,53.0247185490001 16.626663367,53.114436549 16.6427813670001,53.1148290760001 16.643399622,53.114827383 16.6434039430001,53.1148275150001 16.643404152,53.1148292080001 16.64339983,53.1218940930002 16.6253660420001,53.1274638290002 16.611148764,53.1303370410001 16.6053667190001,53.1311936360001 16.6036429070001,53.329676549 16.1747898670001,53.5877261040001 15.6172338820001,53.6280014710002 15.4370132780001,53.6475314990001 15.3496220600001,53.8777620430002 15.0867332110001),(42.7867995400001 14.0474273650001,42.76819054 14.0665273650001,42.74332754 14.0586093650001,42.68916354 14.0136093650002,42.6980545400001 13.995554365,42.7630545400001 13.9161093650001,42.7811095400001 13.9094453650001,42.7898545400001 13.912499365,42.7998545400001 13.9969453650002,42.7955545400001 14.0241633650001,42.7867995400001 14.0474273650001),(42.5972905400002 15.2745093660002,42.6141635400001 15.3016633660002,42.63416354 15.3397183660001,42.6513905400002 15.3908273660001,42.65971854 15.4472183660001,42.64499954 15.4572183660001,42.6085995400001 15.4505543660001,42.5786095400001 15.4111093660001,42.5684725400002 15.389863366,42.5559725400001 15.3041633660001,42.5652815400001 15.2899993660002,42.5812455400001 15.2740273660001,42.58888154 15.2708273660002,42.5972905400002 15.2745093660002),(53.6361095500002 12.3288903630001,53.7552725500001 12.308609363,53.7927725500001 12.312772363,54.0147185500001 12.3441633630001,54.1240275500002 12.3481903630001,54.14429955 12.3529183630001,54.1794455500001 12.3744453630001,54.2224995500001 12.4024993630002,54.4130545510001 12.478336364,54.473472551 12.5487453640002,54.4477725510001 12.576245364,54.2566635510001 12.6459723640002,54.2208365500001 12.650554364,54.1813905500001 12.674163364,54.1463815500002 12.6922183640002,54.1266635500001 12.6988903640001,54.0985095500002 12.7031543640001,54.0655545500002 12.6855543640002,54.0036095500001 12.658609364,53.82179955 12.6054813640001,53.7668725500001 12.6222183640001,53.7136095500001 12.662218364,53.6506275500001 12.703681364,53.4997185500002 12.7172183640001,53.4043725500002 12.6549993640001,53.4079095500001 12.621390364,53.40639055 12.6013903640001,53.39312755 12.5665993640002,53.3752725500001 12.5533363640001,53.3308275500002 12.545972364,53.3735995500001 12.4913903640001,53.5711095500002 12.3463903630002,53.5958365500001 12.3391633630001,53.6361095500002 12.3288903630001),(52.2688815490001 12.1477813630001,52.3413815490001 12.1447183630002,52.3824995490001 12.148890363,52.3945725490001 12.1530543630001,52.395272549 12.1965273630001,52.3622185490001 12.199718363,52.2911095490001 12.2019453630001,52.2788815490001 12.2005543630001,52.2341635490001 12.201109363,52.2205545490001 12.2027723630001,52.2083275490001 12.2055543630001,52.1991635490002 12.2108363630002,52.186945549 12.219718363,52.173336549 12.233609363,52.1641635490001 12.238609363,52.139018549 12.246527363,52.0922185490001 12.2402723630001,52.0855545490001 12.2235363630001,52.1036095490001 12.2019453630001,52.1127815490001 12.196109363,52.1290275490001 12.1873633630001,52.1788905490002 12.1719453630001,52.2688815490001 12.1477813630001)))', 'Yemeni Exclusive Economic Zone', 'Yemen', 'Yemen', '', '47', '47', 'YEM', '8353', '2014-02', '546906680800', '8353', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.999999519 18.736666369,-19.933333519 18.5816663690001,-19.896666519 18.480000369,-19.8583335179999 18.4000003690001,-19.816666518 18.3133333690001,-19.7833335179999 18.223333369,-19.7366665179999 18.1300003690001,-19.701666518 18.041666369,-19.633333518 17.8883333690001,-19.633333518 17.735000368,-19.633333518 17.5316663680001,-19.631666518 17.446666368,-19.6133335179999 17.1000003680001,-19.534999518 17.000000368,-19.5533335179999 16.633333367,-19.5416665179999 16.4750003670001,-19.5416665179999 16.2833333670001,-19.558333333 16.0666666670001,-19.594444444 15.9166666670001,-19.641666667 15.6666666670001,-19.7472222219999 15.4166666670001,-19.858333333 15.1666666670001,-19.861482786 15.1611088080001,-19.9999999999999 14.9166666670001,-20.036852876 14.8832904770001,-20.0736111109999 14.85,-20.0736111109999 13.65,-20.0736111109999 13.593333,-20.134114519 13.476601364,-20.1341275189999 13.4765843640001,-20.1382245189999 13.468407364,-20.1409065189999 13.4648143640001,-20.1430225189999 13.460590364,-20.1462855189999 13.456220364,-20.147947519 13.4529023640001,-20.497653519 12.983085364,-20.924326519 12.5787563640001,-21.41512352 12.2518273630001,-21.41611052 12.251391363,-21.42279752 12.2469213630001,-21.42378652 12.246484363,-21.43047252 12.2420153630001,-21.43146352 12.241577363,-21.43814652 12.2371093630001,-21.43914052 12.236670363,-21.44582152 12.2322033630001,-21.44681752 12.231763363,-21.4534955199999 12.227297363,-21.45449452 12.226856363,-21.4611705199999 12.222392363,-21.46217052 12.221949363,-21.4688455199999 12.217486363,-21.46984752 12.2170423630001,-21.47651952 12.212580363,-21.47752452 12.2121353630001,-21.48419452 12.207674363,-21.48520152 12.2072283630001,-21.49186952 12.2027683630001,-21.49287852 12.2023213630001,-21.49954352 12.1978623630001,-21.50055652 12.1974143630001,-21.50721852 12.1929563630001,-21.50823352 12.1925073630001,-21.5148935199999 12.1880503630001,-21.51591052 12.1876003630001,-21.5225685199999 12.1831443630001,-21.52358752 12.1826933630001,-21.5302435199999 12.178238363,-21.53126452 12.1777863630001,-21.5379185199999 12.173332363,-21.53894252 12.1728793630001,-21.54559352 12.168427363,-21.54661952 12.167972363,-21.55326852 12.163521363,-21.55429652 12.163065363,-21.56094352 12.158615363,-21.56197452 12.158158363,-21.56861852 12.1537093630001,-21.56965152 12.153251363,-21.57629352 12.1488033630001,-21.57732852 12.148344363,-21.58396952 12.1438973630001,-21.58500652 12.143437363,-21.5916445199999 12.1389913630001,-21.59268452 12.138530363,-21.5993195199999 12.1340853630001,-21.60036152 12.133623363,-21.6069945199999 12.129179363,-21.60803952 12.128716363,-21.6146705199999 12.124274363,-21.61571652 12.123809363,-21.62234552 12.119368363,-21.62339452 12.1189023630001,-21.63002152 12.114462363,-21.63107252 12.1139953630001,-21.63769652 12.109556363,-21.63875052 12.1090883630001,-21.64537252 12.1046503630001,-21.64642752 12.1041813630001,-21.65304752 12.0997443630001,-21.65410552 12.0992753630001,-21.66072352 12.0948383630001,-21.66178352 12.0943683630001,-21.66839852 12.0899323630001,-21.66946152 12.0894613630001,-21.6760745199999 12.0850273630001,-21.67713952 12.0845543630001,-21.6837505199999 12.080121363,-21.68481752 12.079647363,-21.6914255199999 12.075215363,-21.69249552 12.074740363,-21.6991015199999 12.070309363,-21.70017352 12.069833363,-21.7067775199999 12.065403363,-21.70785152 12.064926363,-21.71445352 12.060497363,-21.71552952 12.060019363,-21.72212952 12.0555913630001,-21.72320752 12.055112363,-21.72980552 12.0506863630001,-21.73088652 12.050205363,-21.73748152 12.0457803630001,-21.73856452 12.045298363,-21.74515752 12.0408743630001,-21.74624252 12.040391363,-21.75283352 12.0359683630001,-21.75392052 12.035484363,-21.76050952 12.031062363,-21.7615995199999 12.0305773630001,-21.76818552 12.026156363,-21.7692775199999 12.0256713630001,-21.77586152 12.021250363,-21.7769565199999 12.0207643630001,-21.78353752 12.016345363,-21.7846345199999 12.0158573630001,-21.7912135199999 12.011439363,-21.7941185199999 12.010147363,-21.7990255199999 12.0068513630001,-22.3384155209999 11.765963363,-22.3468625209999 11.7638113630001,-22.3471955209999 11.763662363,-22.3556445209999 11.7615083630001,-22.3559755209999 11.7613603630001,-22.9291495209999 11.6144453630001,-22.934593521 11.614004363,-22.9380895209999 11.6131033630001,-22.9464175209999 11.6124273630001,-22.9471145209999 11.612248363,-22.955443521 11.6115723630001,-22.956138521 11.611393363,-22.964470521 11.610717363,-22.965163521 11.610538363,-22.973497521 11.609862363,-22.974188521 11.609684363,-22.982524521 11.609006363,-22.9832125209999 11.608829363,-22.991551521 11.608151363,-22.9922375209999 11.607974363,-23.000578521 11.607296363,-23.0012625209999 11.607120363,-23.009605521 11.606441363,-23.010287521 11.606265363,-23.018632521 11.605586363,-23.019311521 11.605410363,-23.027659521 11.604731363,-23.028336521 11.604556363,-23.036686521 11.603875363,-23.037361521 11.603701363,-23.045713521 11.603020363,-23.0463865209999 11.602847363,-23.0547405209999 11.602165363,-23.0554105209999 11.601992363,-23.0637675209999 11.601310363,-23.064435521 11.6011383630001,-23.0727945209999 11.600455363,-23.073460521 11.6002833630001,-23.0818215209999 11.599600363,-23.082485521 11.5994293630001,-23.0908485219999 11.598745363,-23.091510522 11.5985743630001,-23.0998755219999 11.597890363,-23.100535522 11.5977203630001,-23.1089025219999 11.597035363,-23.1095595219999 11.5968663630001,-23.1179305219999 11.596181363,-23.1185845219999 11.5960113630001,-23.1269575219999 11.595326363,-23.1276095219999 11.5951573630001,-23.1359845219999 11.594471363,-23.136634522 11.5943033630001,-23.1450115219999 11.593616363,-23.145659522 11.5934483630001,-23.154038522 11.592761363,-23.154684522 11.592594363,-23.163065522 11.591906363,-23.163709522 11.591740363,-23.172092522 11.5910523630001,-23.1727345219999 11.590886363,-23.181119522 11.5901973630001,-23.1817595219999 11.590031363,-23.190147522 11.5893423630001,-23.1907845219999 11.589177363,-23.199174522 11.5884883630001,-23.199809522 11.588323363,-23.208201522 11.5876333630001,-23.208834522 11.587469363,-23.217228522 11.5867783630001,-23.217859522 11.586615363,-23.226255522 11.5859243630001,-23.226884522 11.5857613630001,-23.235283522 11.5850693630001,-23.2359095219999 11.5849073630001,-23.244310522 11.5842153630001,-23.2449345219999 11.5840533630001,-23.253337522 11.5833603630001,-23.2539595219999 11.5831993630001,-23.2623645219999 11.5825063630001,-23.262984522 11.5823453630001,-23.2713915219999 11.581651363,-23.272009522 11.5814913630001,-23.2804195219999 11.580797363,-23.281034522 11.5806373630001,-23.2894465219999 11.579942363,-23.290059522 11.579783363,-23.2984735219999 11.579088363,-23.2990845219999 11.578929363,-23.3075015219999 11.578233363,-23.3081095219999 11.578075363,-23.3165285219999 11.577379363,-23.3171345219999 11.577222363,-23.3255555219999 11.576525363,-23.326159522 11.576368363,-23.3345835219999 11.575670363,-23.335184522 11.575514363,-23.3436105219999 11.574816363,-23.344209522 11.574660363,-23.352637522 11.573962363,-23.353234522 11.5738073630001,-23.361665522 11.5731073630001,-23.3622605219999 11.5729533630001,-23.370692522 11.5722533630001,-23.3712855219999 11.5720993630001,-23.379719522 11.5713993630001,-23.3803105219999 11.5712463630001,-23.388747522 11.5705453630001,-23.389335522 11.5703923630001,-23.397774522 11.5696913630001,-23.398360522 11.569538363,-23.406801522 11.5688373630001,-23.407385522 11.568685363,-23.415829522 11.5679823630001,-23.416411522 11.567831363,-23.424856522 11.5671283630001,-23.4254365219999 11.566978363,-23.433884522 11.566274363,-23.4344615219999 11.566124363,-23.442911522 11.565420363,-23.4434865219999 11.565271363,-23.451939522 11.564566363,-23.452512522 11.5644173630001,-23.460966522 11.563712363,-23.461537522 11.5635643630001,-23.469993522 11.562858363,-23.470562522 11.5627103630001,-23.479021522 11.562004363,-23.479587522 11.5618573630001,-23.4880485219999 11.561150363,-23.488613522 11.5610033630001,-23.4970765219999 11.5602973630001,-23.4976385219999 11.560150363,-23.5061035219999 11.5594433630001,-23.5066635219999 11.559297363,-23.5151315219999 11.5585893630001,-23.5156895219999 11.558444363,-23.5241585219999 11.5577353630001,-23.524714522 11.557590363,-23.5331865219999 11.5568813630001,-23.533739522 11.556737363,-23.5422145219999 11.5560273630001,-23.542764522 11.5558843630001,-23.5512415219999 11.555174363,-23.551790522 11.5550313630001,-23.5602695219999 11.554320363,-23.5608155219999 11.5541773630001,-23.5692965219999 11.553466363,-23.5698415219999 11.5533243630001,-23.5783245219999 11.552613363,-23.5788665219999 11.5524713630001,-23.5873515219999 11.551759363,-23.587891522 11.551618363,-23.596379522 11.550905363,-23.596917522 11.550765363,-23.605407522 11.5500523630001,-23.605942522 11.549912363,-23.614434522 11.5491983630001,-23.614968522 11.549059363,-23.623462522 11.5483443630001,-23.623993522 11.5482063630001,-23.632490522 11.5474913630001,-23.6330185219999 11.5473533630001,-23.641517522 11.5466373630001,-23.6420445219999 11.5465003630001,-23.650545522 11.5457843630001,-23.6510695219999 11.5456473630001,-23.659573522 11.544930363,-23.6600955219999 11.5447943630001,-23.668600522 11.544077363,-23.669120522 11.543941363,-23.677628522 11.543224363,-23.678146522 11.543088363,-23.686656522 11.542370363,-23.687171522 11.542235363,-23.695683522 11.541517363,-23.696197522 11.541383363,-23.704711522 11.540663363,-23.7052225219999 11.5405303630001,-23.713739522 11.5398103630001,-23.7142485219999 11.5396773630001,-23.722766522 11.5389573630001,-23.7232735219999 11.5388243630001,-23.731794522 11.5381033630001,-23.7322995219999 11.5379713630001,-23.740822522 11.5372503630001,-23.741324522 11.537119363,-23.749850522 11.536397363,-23.750350522 11.536266363,-23.758878522 11.535544363,-23.759376522 11.535413363,-23.767905522 11.534691363,-23.768401522 11.534561363,-23.776933522 11.533837363,-23.777427522 11.5337083630001,-24.367267523 11.482911363,-24.3679685229999 11.482970363,-24.3763005229999 11.4822413630001,-24.379718523 11.482529363,-24.385361523 11.4820363630001,-24.388781523 11.482324363,-24.3944225229999 11.481830363,-24.3978445229999 11.482118363,-24.403482523 11.481624363,-24.406906523 11.481912363,-24.412543523 11.481418363,-24.4159695229999 11.4817063630001,-24.4216045229999 11.4812123630001,-24.425032523 11.4815013630001,-24.430664523 11.4810073630001,-24.4340955229999 11.4812953630001,-24.4397255229999 11.4808013630001,-24.443158523 11.481089363,-24.448786523 11.4805953630001,-24.4522215229999 11.480884363,-24.4578465229999 11.480390363,-24.461284523 11.480678363,-24.466907523 11.480184363,-24.4703475229999 11.480473363,-24.4759685229999 11.479979363,-24.479410523 11.4802673630001,-24.485028523 11.479773363,-24.488473523 11.4800623630001,-24.494089523 11.4795673630001,-24.497536523 11.4798563630001,-24.5031505229999 11.4793623630001,-24.506599523 11.4796513630001,-24.512210523 11.4791563630001,-24.5156625229999 11.479445363,-24.5212715229999 11.478951363,-24.524725523 11.479240363,-24.530332523 11.478745363,-24.5337885229999 11.479034363,-24.5393925229999 11.478540363,-24.542850523 11.478829363,-24.548453523 11.478335363,-24.5519135229999 11.4786243630001,-24.557514523 11.4781293630001,-24.560976523 11.4784183630001,-24.5665745229999 11.4779243630001,-24.5700395229999 11.4782133630001,-24.575635523 11.4777193630001,-24.579102523 11.4780083630001,-24.5846965229999 11.4775133630001,-24.5881655229999 11.477802363,-24.593757523 11.4773083630001,-24.597228523 11.477597363,-24.6028175229999 11.477103363,-24.606291523 11.477392363,-24.611878523 11.476898363,-24.615354523 11.477187363,-24.6209395229999 11.476692363,-24.624417523 11.476982363,-24.629999523 11.476487363,-24.6334805229999 11.4767773630001,-24.639060523 11.4762823630001,-24.642543523 11.4765713630001,-24.6481215229999 11.4760773630001,-24.6516065229999 11.4763663630001,-24.657182523 11.4758723630001,-24.660669523 11.4761613630001,-24.6662425229999 11.4756673630001,-24.6697325229999 11.475956363,-24.675303523 11.4754623630001,-24.678795523 11.475751363,-24.6843645229999 11.475257363,-24.6878585229999 11.475546363,-24.693425523 11.475052363,-24.700904523 11.4756713630001,-24.702413523 11.4755373630001,-25.2924545239999 11.5236293630001,-25.300391524 11.525668363,-25.3012765239999 11.5257393630001,-25.309215524 11.527779363,-25.310098524 11.527850363,-25.8832065239999 11.674237363,-26.422589525 11.914671363,-26.912371525 12.242091363,-26.9138245249999 12.2434773630001,-26.9197665249999 12.2474363630001,-26.921221525 12.248824363,-26.927161525 12.2527813630001,-26.9286175249999 12.2541703630001,-26.934555525 12.258126363,-26.9394495249999 12.2627933630001,-26.9410225249999 12.263840363,-27.366753525 12.668559364,-27.715524526 13.1387143640001,-27.976606526 13.6603963650001,-28.141680526 14.2180953650001,-28.205117526 14.7951323660001,-28.185563526 15.0717033660001,-28.291202526 15.2112213660001,-28.2913615259999 15.211534366,-28.296689526 15.2185633660001,-28.300017526 15.2250973660001,-28.301096526 15.226520366,-28.567197527 15.7471123670001,-28.568547527 15.7515643670001,-28.5706325269999 15.755629367,-28.5719835269999 15.760084367,-28.574067527 15.7641473670001,-28.575419527 15.768603367,-28.577503527 15.7726643670001,-28.578854527 15.7771223670001,-28.5809385269999 15.781182367,-28.5822905269999 15.785641367,-28.584373527 15.789700367,-28.585726527 15.7941603670001,-28.5878085269999 15.7982173670001,-28.5891625269999 15.8026803670001,-28.591243527 15.806735367,-28.592598527 15.811199367,-28.594679527 15.815252367,-28.596034527 15.8197183670001,-28.598114527 15.8237703670001,-28.5994705269999 15.828237367,-28.601549527 15.832287367,-28.602906527 15.8367563670001,-28.6049855269999 15.840805367,-28.606342527 15.8452753670001,-28.608420527 15.8493223670001,-28.610015527 15.8545733670001,-28.611710527 15.857873367,-28.7814795269999 16.414765367,-28.8487475269999 16.991403368,-28.848597527 16.993674368,-28.8494065269999 17.0005673680001,-28.811250527 17.5796013680001,-28.809447527 17.586701368,-28.8093535269999 17.588138368,-28.6659355269999 18.151992369,-28.420659526 18.6833833690001,-28.4170215259999 18.688552369,-28.4157975259999 18.6911973690001,-28.412160526 18.696365369,-28.4109365259999 18.6990113690001,-28.407300526 18.704177369,-28.4060745259999 18.7068253690001,-28.402439526 18.711989369,-28.4012125259999 18.7146393690001,-28.0606335259999 19.1970933700001,-27.634656526 19.61553237,-27.1360655249999 19.9567413710001,-27.1357745249999 19.956874371,-27.128597525 19.9617683710001,-27.120874525 19.9652993710001,-27.1201905249999 19.965765371,-27.1124695249999 19.969295371,-27.111783525 19.9697633710001,-27.104063525 19.9732913710001,-27.1033765249999 19.973760371,-27.095658525 19.977287371,-27.094968525 19.9777583710001,-27.0872535249999 19.9812833710001,-27.086561525 19.9817553710001,-27.078848525 19.985279371,-27.0781545249999 19.985753371,-27.070443525 19.9892753710001,-27.069746525 19.9897503710001,-27.0620385249999 19.993271371,-27.0613395249999 19.993747371,-27.053632525 19.9972673710001,-27.052932525 19.9977453710001,-27.045227525 20.0012633710001,-27.0445245249999 20.001742371,-27.0368225249999 20.005259371,-27.036117525 20.0057403710001,-27.028416525 20.0092553710001,-27.027709525 20.009737371,-27.020011525 20.013251371,-27.0193025249999 20.0137343710001,-27.0116055249999 20.0172473710001,-27.010894525 20.017732371,-27.003200525 20.021243371,-27.0024865249999 20.021729371,-26.994794525 20.0252393710001,-26.994079525 20.0257263710001,-26.9863895249999 20.029235371,-26.9856715249999 20.029724371,-26.977983525 20.0332313710001,-26.977263525 20.0337213710001,-26.969578525 20.037227371,-26.968856525 20.037718371,-26.9611725249999 20.0412233710001,-26.9604485249999 20.0417163710001,-26.952766525 20.045219371,-26.952040525 20.045713371,-26.944360525 20.0492153710001,-26.9436325249999 20.0497103710001,-26.9359555249999 20.053211371,-26.935224525 20.053708371,-26.927549525 20.0572073710001,-26.9268165249999 20.0577053710001,-26.919143525 20.061202371,-26.918408525 20.061702371,-26.9107375249999 20.0651983710001,-26.9100005249999 20.0656993710001,-26.902331525 20.069194371,-26.901592525 20.0696973710001,-26.8939255249999 20.0731903710001,-26.893184525 20.073694371,-26.3366475249999 20.3261823710001,-25.740504524 20.482380371,-25.123816523 20.537242371,-25.119035523 20.5368763710001,-25.1152225229999 20.5372093710001,-24.497844523 20.4889243710001,-23.899668522 20.3390643710001,-23.8927165219999 20.336015371,-23.8910075219999 20.335584371,-23.884057522 20.3325353710001,-23.882346522 20.3321033710001,-23.875399522 20.329056371,-23.873684522 20.328623371,-23.8667405219999 20.3255773710001,-23.8650235219999 20.325143371,-23.858082522 20.322097371,-23.856362522 20.3216633710001,-23.8494235219999 20.3186183710001,-23.847701522 20.318183371,-23.840765522 20.315138371,-23.8390405219999 20.3147033710001,-23.4532415219999 20.144821371,-22.9070875209999 20.1875233710001,-22.291714521 20.1326983710001,-21.69681452 19.9765613710001,-21.14139152 19.7241513700001,-20.642950519 19.38356737,-20.641892519 19.38253337,-20.635453519 19.37811737,-20.6343975189999 19.37708437,-20.627956519 19.37266737,-20.6269025189999 19.37163637,-20.620459519 19.36721837,-20.6194075189999 19.36618837,-20.612962519 19.3617683700001,-20.187012519 18.9438063700001,-19.999999519 18.736666369),(-25.298609524 16.9140273680001,-25.281390524 16.9133273680001,-25.2054185229999 16.9163903680001,-25.186109523 16.9216633680001,-25.171390523 16.928336368,-25.1630635229999 16.940827368,-25.153054523 16.9586093680001,-25.111945523 16.9947183680001,-25.099163523 17.0030543680001,-25.051390523 17.0261093680001,-24.996945523 17.056109368,-24.9786095229999 17.083054368,-24.9734725229999 17.1086813680001,-25.0344455229999 17.1755543680001,-25.0945815229999 17.192363368,-25.1341635229999 17.1869453680001,-25.204999523 17.1591633680001,-25.332363524 17.0949993680001,-25.350554524 17.0745813680001,-25.3599995239999 17.056109368,-25.360554524 17.044445368,-25.310836524 16.9229183680001,-25.298609524 16.9140273680001),(-24.976945523 16.9180543680001,-25.062645523 16.880554368,-25.082499523 16.8583273680001,-25.092290523 16.829581368,-25.067363523 16.809999368,-24.993336523 16.779718368,-24.926109523 16.799999368,-24.894999523 16.8113813680001,-24.8815275229999 16.817636368,-24.8762545229999 16.8284723680001,-24.877781523 16.8580543680001,-24.921390523 16.9155543680001,-24.930281523 16.9206903680001,-24.976945523 16.9180543680001),(-22.9943095209999 16.8031903680001,-22.984727521 16.7316633680001,-22.9769455209999 16.7061093670001,-22.932227521 16.601945367,-22.928054521 16.5924993670001,-22.923054521 16.5902723670001,-22.892781521 16.602218367,-22.8774995209999 16.671945367,-22.896945521 16.835418368,-22.921527521 16.8531903680001,-22.951390521 16.8408273680001,-22.988336521 16.818190368,-22.9943095209999 16.8031903680001),(-24.332499523 16.669445367,-24.354581523 16.6840273670001,-24.4199995229999 16.661945367,-24.4307635229999 16.6478453670001,-24.429581523 16.6180543670001,-24.408890523 16.598054367,-24.3213905229999 16.4827723670001,-24.318336523 16.497772367,-24.315281523 16.508890367,-24.309445523 16.523890367,-24.304172523 16.536945367,-24.290554523 16.5580543670001,-24.270972523 16.586663367,-24.2351995229999 16.593527367,-24.2122815229999 16.5932723670001,-24.161663523 16.578890367,-24.142081522 16.566799367,-24.131945522 16.559445367,-24.1197275219999 16.5572183670001,-24.098199522 16.554445367,-24.0443095219999 16.5549993670001,-24.0327815219999 16.5590273670001,-24.024163522 16.5722903670001,-24.0341725219999 16.594163367,-24.093890522 16.6208273670001,-24.1166725219999 16.6263903670001,-24.2063365229999 16.6404993670001,-24.332499523 16.669445367),(-22.8761095209999 15.980554367,-22.800554521 15.978054367,-22.706109521 16.036390367,-22.6820815209999 16.0579183670001,-22.666109521 16.0949993670001,-22.6744455209999 16.1361093670001,-22.7154185209999 16.205136367,-22.7238905209999 16.214163367,-22.764445521 16.2277723670001,-22.798618521 16.2352723670001,-22.8719455209999 16.2061093670001,-22.911945521 16.160827367,-22.957081521 16.092218367,-22.9622275209999 16.0449993670001,-22.9538905209999 16.0221453670001,-22.8761095209999 15.980554367),(-23.199445522 15.3265273660001,-23.232499522 15.274999366,-23.2538905219999 15.164163366,-23.245145522 15.150136366,-23.197781522 15.119718366,-23.1858365219999 15.116109366,-23.167227522 15.1158363660001,-23.126254522 15.1481903660001,-23.110281522 15.170554366,-23.107363522 15.1848633660001,-23.113054522 15.234445366,-23.125281522 15.3073633660001,-23.140836522 15.3149993660001,-23.199445522 15.3265273660001),(-23.665836522 15.2438903660001,-23.6949995219999 15.2949993660001,-23.766672522 15.2530543660001,-23.792499522 15.0847183660001,-23.789518522 15.0654183660001,-23.766809522 15.0309723660001,-23.723336522 14.977218366,-23.688609522 14.9424993660001,-23.681390522 14.9355543660001,-23.663063522 14.9249993660001,-23.633336522 14.9136093660001,-23.525836522 14.8961093660001,-23.4491635219999 14.980481366,-23.4447275219999 15.006109366,-23.459445522 15.033054366,-23.5124995219999 15.116109366,-23.5766635219999 15.1577723660001,-23.603199522 15.180690366,-23.665836522 15.2438903660001),(-24.329727523 15.029999366,-24.382572523 15.046181366,-24.4455545229999 15.013609366,-24.4849995229999 14.991945366,-24.498472523 14.9776363660001,-24.523336523 14.929581366,-24.5244455229999 14.918327366,-24.5105545229999 14.883745366,-24.499172523 14.870836366,-24.476945523 14.851390366,-24.4470905229999 14.828609366,-24.426109523 14.8180543660001,-24.414445523 14.814718366,-24.389999523 14.811109366,-24.365554523 14.8129183660001,-24.3394455229999 14.824999366,-24.319445523 14.839999366,-24.299445523 14.860281366,-24.295554523 14.870554366,-24.295554523 14.884445366,-24.2958365229999 14.9274993660001,-24.3031995229999 14.9818093660001,-24.313609523 15.0113903660001,-24.329727523 15.029999366)))', 'Cape Verdean Exclusive Economic Zone', 'Cape Verde', 'Cape Verde', '', '56', '56', 'CPV', '8362', '', '799378228900', '8362', 'Y'),('SRID=4326;MULTIPOLYGON(((3.36472256600007 51.3736105930001,3.36472167000005 51.3736105570001,3.36490650300004 51.3726784,3.17971850300006 51.3361094000001,3.13166350300003 51.3241634,3.10402750300005 51.3148544000001,3.01999950300007 51.2763814,2.95528150300004 51.2497184000001,2.86305450300006 51.2133364000001,2.55555450200006 51.0940274000001,2.54166350200006 51.0911091890001,2.54166400000003 51.0911098280001,2.54166319900003 51.0911090430001,2.54361100000006 51.0936110000001,2.54298266600006 51.0943304,2.39027800000002 51.269167,2.23972762000005 51.5547170180001,2.23811855000002 51.5577689530001,2.23811860100005 51.5577691390001,2.25333300000005 51.613056,2.25333304000003 51.6130560340001,2.48166700000007 51.8050000000001,2.53944356500006 51.8699995150001,2.53944400000006 51.8700000000001,3.08138900000006 51.5516670000001,3.21222200000005 51.484722,3.29638900000003 51.45,3.35388900000004 51.379444,3.36472200000003 51.373611,3.36472256600007 51.3736105930001)))', 'Belgian Exclusive Economic Zone', 'Belgium', 'Belgium', '', '59', '59', 'BEL', '3293', '', '3444405137', '3293', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0112365300001 46.926099896,32.0080455300001 46.904981396,31.9930455300001 46.868872396,31.9797185300001 46.8451273960001,31.94666353 46.8205453960001,31.93512753 46.7940183960001,31.93596353 46.7640183950001,31.9487455300001 46.7406813950001,31.9664185300001 46.726809395,31.9708275300001 46.693599895,31.9930455300001 46.653881395,32.0135995300001 46.6342903950001,32.14186353 46.5602633950001,32.1847095300001 46.580827395,32.2431185300001 46.6010993950001,32.2810995300001 46.577899395,32.2990185300001 46.5649903950001,32.32832753 46.556509395,32.37526353 46.5574903950001,32.39999053 46.561372395,32.42137253 46.568327395,32.45609053 46.584718395,32.51859053 46.6083273950001,32.6416185300001 46.6422813950001,32.61470953 46.6138813950001,32.5960995300001 46.604018395,32.5579095300001 46.5966453950001,32.4908185300001 46.575554395,32.4487185300001 46.552300395,32.4126275300001 46.5258273950001,32.4160995300001 46.497772395,32.34804553 46.459154395,32.3197095300001 46.4619363950001,32.2766455300001 46.468591395,32.1811095300001 46.4913813950001,32.09248153 46.5097183950001,31.89638153 46.518591395,31.85252753 46.522672395,31.8374995300001 46.5297093950001,31.7637455300001 46.5533273950001,31.74346353 46.5541543950001,31.6955455300001 46.550681395,31.6726275290001 46.5451273950001,31.620272529 46.540272395,31.5877725290001 46.541945395,31.5565275290001 46.5501273950001,31.5399995290001 46.5617913950001,31.5145095290001 46.579090895,31.527081529 46.5574908950001,31.602772529 46.5036093950001,31.6583275290001 46.4713723950001,31.7060365300001 46.4892273950001,31.7723635300001 46.4935903950001,31.8097185300001 46.4849903950001,31.81632753 46.483018395,31.9666635300001 46.4530453950001,32.00699953 46.448036395,32.0567185300001 46.391681395,31.97540953 46.3501273950001,31.9427725300001 46.3430363950001,31.91720953 46.3402723950001,31.8821635300001 46.3405183950001,31.8514095300001 46.342263395,31.8149995300001 46.3395723950001,31.7659725300001 46.309845395,31.79013653 46.2841633950001,31.8104095300001 46.2787363950001,31.8310995300001 46.276927395,31.88979053 46.2815903950001,31.9186635300001 46.2838273950001,32.0272095300001 46.2563813950001,32.2433185300001 46.173045395,32.26449953 46.1269273950001,32.33749053 46.1080363950001,32.40998153 46.0916633950001,32.5004095300001 46.0762453950001,32.53804553 46.077563395,32.5855365300001 46.0960993950001,32.6344365300001 46.1091543950001,32.7447095300001 46.126099395,32.774436531 46.1299903950001,32.811790531 46.129299395,32.8460995310001 46.119981395,32.9037995310001 46.111172395,33.124854531 46.131099395,33.1885995310001 46.1601273950001,33.269145531 46.1416633950001,33.315818531 46.1244273950001,33.3834635310001 46.087418395,33.4296455310001 46.0459633950001,33.474436531 46.053036395,33.4952725310001 46.066372395,33.510818531 46.083881395,33.5253275310001 46.112972395,33.5935275310001 46.1562363950001,33.6140185310001 46.142627395,33.622990531 46.1240183950001,33.628318531 46.064436395,33.6263815310001 45.9981813950001,33.646381531 45.970818395,33.6681905310001 45.957354395,33.7447095310001 45.944990395,33.769398531 45.9253003950001,33.6230455310001 45.8774813950001,33.565818531 45.8616633950001,33.480536531 45.8480363950001,33.4240185310001 45.831654395,33.404709531 45.8198453950001,33.380954531 45.8002633950001,33.3591545310001 45.7874913950001,33.3104095310001 45.7659723950001,33.258609531 45.7477633950001,33.232899531 45.7426273950001,33.184154531 45.738600395,33.022481531 45.687481394,32.931236531 45.657627394,32.8985995310001 45.6427723940001,32.8344365310001 45.6050003940001,32.62999053 45.5099913940001,32.5738725300001 45.4824913940001,32.52874553 45.4574813940001,32.4938815300001 45.4219363940001,32.4810995300001 45.3940183940001,32.50971853 45.3397093940001,32.5698455300001 45.3198543940001,32.65671853 45.3126273940001,32.68623653 45.3353363940001,32.72734553 45.3545723940001,32.840545531 45.359709394,32.8640095310001 45.3576273940001,32.9345725310001 45.342763394,33.011654531 45.304436394,33.0731905310001 45.2676363940001,33.1230455310001 45.2291453940001,33.146381531 45.2094363940001,33.175399531 45.1901273940001,33.276172531 45.1555453940001,33.3388725310001 45.1741633940001,33.3623545310001 45.1840183940001,33.3962365310001 45.184781394,33.426099531 45.1733273940001,33.5133275310001 45.129436394,33.5462455310001 45.1084633940001,33.566518531 45.087490894,33.612499531 44.962627394,33.621227531 44.917490894,33.601445531 44.8577723940001,33.5561725310001 44.8422813940001,33.5405455310001 44.8255543940001,33.528872531 44.796654394,33.519709531 44.7811093940001,33.538599531 44.6724908940001,33.5544365310001 44.6236003930001,33.464709531 44.6030453930001,33.3690545310001 44.584363393,33.3870725310001 44.5595723930001,33.459572531 44.512772393,33.537972531 44.486654393,33.5785815310001 44.4918633930001,33.601663531 44.4763723930001,33.6238725310001 44.452209393,33.710681531 44.394363393,33.7952725310001 44.387209393,33.838736532 44.398109393,33.9302725320001 44.3791543930001,33.955545532 44.3810993930001,34.0116545320001 44.3958183930001,34.1301275320001 44.435409393,34.336509532 44.549090893,34.3597095320001 44.5933183930001,34.3769365320001 44.621654393,34.398599532 44.650827394,34.441245532 44.7048453940001,34.462072532 44.720399394,34.5185905320001 44.7444273940001,34.7241545320001 44.8092993940001,34.9641455330001 44.839427394,34.9983905330001 44.8332543940001,35.0494995330001 44.792490394,35.0829815330001 44.7912363940001,35.103327533 44.8060998940001,35.1039943220001 44.8073966960001,35.1039946130001 44.807398209,35.113045175 44.825000048,35.1226272000001 44.853600107,35.1263835250001 44.8610666180001,35.133872533 44.8759543940001,35.148872533 44.891936394,35.1927847920001 44.919871533,35.2497181420001 44.95609117,35.3884979270001 45.035565499,35.3972092020001 45.040554204,35.412627136 45.0624912160001,35.4216815720001 45.0689876440001,35.428881533 45.0741543940001,35.5265815330001 45.118454394,35.5623545330001 45.1205363940001,35.593036533 45.1191543940001,35.609992215 45.1164586730001,35.641927174 45.1113821870001,35.677218172 45.100264263,35.72790924 45.0805449980001,35.7854092640001 45.052773238,35.8117911360001 45.0245731630001,35.833954062 44.9938821540001,35.856936067 44.986382194,35.9937361030001 44.9983270770001,36.009163331 45.011373174,36.062950802 45.0150109620001,36.134427187 45.0198450990001,36.177709937 45.013373555,36.2281822940001 45.005827036,36.4534632090001 45.07728209,36.4416541140001 45.098318153,36.41499128 45.1281822030001,36.405191158 45.155964189,36.41053613 45.1997180590001,36.4311001240001 45.2711001910001,36.4940913 45.3386641980001,36.540545149 45.3413821140001,36.574573329 45.3315181230001,36.6204002110001 45.333464233,36.6369361970001 45.3497090320001,36.636800243 45.3779091070001,36.6045731660001 45.4186000620001,36.485263312 45.44137319,36.2908361820001 45.465273181,36.1852019730001 45.4605209160001,36.136236169 45.4583180450001,36.0688733270001 45.4250539600001,36.0569271040001 45.4027731850001,36.0425255910001 45.3805898800001,36.0406911900001 45.3777642680001,36.015136108 45.3602641950001,35.992763299 45.35818213,35.955127213 45.363191156,35.93277318 45.3702731930001,35.886654105 45.391927002,35.8630451330001 45.4044271020001,35.7573423010001 45.355969121,35.7573420860001 45.3559683920001,35.697345533 45.328463394,35.5746173590001 45.2998374110001,35.5455361250001 45.2930540720001,35.530701558 45.2917769680001,35.488945533 45.288181394,35.457899533 45.2984633940001,35.4029454990001 45.32781278,35.3827632530001 45.3385911080001,35.359709164 45.3511091450001,35.3289708250001 45.3707552390001,35.319299533 45.376936394,35.291886436 45.4041825960001,35.24916326 45.4466450720001,35.230384928 45.466433426,35.2303850070001 45.4664338380001,35.0708275330001 45.634572394,35.053881533 45.6538723940001,34.9910995330001 45.7333273950001,34.9811275330001 45.7514453950001,34.979427533 45.7533183950001,34.9395365330001 45.8198273950001,34.9022095330001 45.883481395,34.8649995320001 45.962490895,34.8530455320001 46.000827395,34.8236455320001 46.0726183950001,34.7994815320001 46.0877183950001,34.733463532 46.108181395,34.666209532 46.0863723950001,34.7005365320001 46.0463908950001,34.7169275320001 46.030818395,34.754854532 46.0113093950001,34.848709532 45.8981093950001,34.864872532 45.8634363950001,34.904209533 45.8130998950001,34.9463815330001 45.754163395,34.960381533 45.7398723950001,34.980818533 45.7008183950001,35.002209533 45.6719273940001,35.054290533 45.6099908940001,35.087627533 45.584854394,35.146936533 45.527490394,35.232199533 45.4430453940001,35.343036533 45.3324993940001,35.3385905330001 45.2861093940001,35.1670725330001 45.3366543940001,35.133045533 45.325000394,35.120545533 45.328600394,35.0587365330001 45.3654003940001,35.013736533 45.4233543940001,35.045954533 45.4360993940001,35.076099533 45.447763394,35.0935905330001 45.4639453940001,35.0845635330001 45.5248453940001,35.0706905330001 45.5510998940001,34.9866455330001 45.6319273940001,34.9138725330001 45.6622093940001,34.7852725320001 45.7158273950001,34.6491545320001 45.7855543950001,34.4633915320001 45.769291395,34.545827532 45.8422093950001,34.6031815320001 45.8788093950001,34.6312365320001 45.9170633950001,34.636518532 45.9374183950001,34.6138815320001 45.9483183950001,34.5455455320001 45.9654723950001,34.5716185320001 45.9278003950001,34.4974275320001 45.8747813950001,34.3584545320001 45.883663395,34.376381532 45.9187363950001,34.3961635320001 45.9252633950001,34.4148455320001 45.948599895,34.381654532 45.992209395,34.3583185320001 46.016163395,34.1813995320001 46.0331723950001,34.221481532 46.007654395,34.197690532 45.9949183950001,34.2005095320001 45.9562363950001,34.161372532 45.937763395,34.139436532 45.940127395,34.116927532 45.968254395,34.1142635320001 46.0176093950001,34.0053365320001 46.097281395,33.962209532 46.100818395,33.944218532 46.088009395,33.9898455320001 46.0717903950001,33.989581532 46.026791395,33.9681815320001 46.017218395,33.8999905320001 46.038609395,33.8834635320001 46.067836395,33.845809532 46.1602633950001,33.8070365310001 46.1705813950001,33.8020815310001 46.1402723950001,33.789927531 46.121100395,33.729572531 46.1450003950001,33.705681531 46.164981395,33.6710275310001 46.2154723950001,33.681636531 46.221654395,33.7729725310001 46.2481183950001,33.957209532 46.213609395,33.9749185320001 46.2003363950001,33.9930455320001 46.169572395,34.0324905320001 46.133327395,34.1268635320001 46.1183908950001,34.1239455320001 46.1600633950001,34.1277635320001 46.206090895,34.1558185320001 46.281445395,34.183318532 46.2744363950001,34.2060905320001 46.259163395,34.2395725320001 46.228181395,34.3294275320001 46.170272395,34.4563635320001 46.1545903950001,34.4769905320001 46.160999395,34.5368995320001 46.1844633950001,34.574018532 46.1532453950001,34.5702635320001 46.1210908950001,34.5597095320001 46.0976273950001,34.5411725320001 46.0879093950001,34.516899532 46.103836395,34.490599532 46.1120453950001,34.462427532 46.098209395,34.4413725320001 46.093881395,34.4051905320001 46.012736395,34.5019365320001 45.986645395,34.540827532 45.9837363950001,34.566381532 45.9859633950001,34.5826275320001 45.9981813950001,34.631518532 46.0822093950001,34.7024905320001 46.1758183950001,34.812481532 46.181372395,35.0338815330001 46.2501273950001,35.056654533 46.260127395,35.1107635330001 46.294081395,35.119709533 46.2994273950001,35.2054095330001 46.3870723950001,35.2156815330001 46.4102633950001,35.198045533 46.4433183950001,35.3479725330001 46.3496363950001,35.334299533 46.3216543950001,35.2829095330001 46.2705453950001,35.267563533 46.259809395,35.248045533 46.2333273950001,35.2042905330001 46.184436395,35.1852635330001 46.1723543950001,35.1517905330001 46.1636003950001,35.109427533 46.1555363950001,35.054645533 46.141654395,34.9801185330001 46.086027395,34.9967275330001 46.074227395,35.1244275330001 46.1124903950001,35.1606095330001 46.128536395,35.1962275330001 46.154427395,35.2811995330001 46.254527395,35.352218533 46.331654395,35.484218533 46.4416453950001,35.5181815330001 46.455399395,35.548454533 46.4608273950001,35.582763533 46.472218395,35.6280365330001 46.4891543950001,35.6498455330001 46.5016543950001,35.6991545330001 46.5447183950001,35.7287365330001 46.5730453950001,35.760545533 46.5928993950001,35.8117905330001 46.6185903950001,35.907199533 46.651090395,36.0674905340001 46.670272395,36.1931815340001 46.6669363950001,36.2145725340001 46.6595633950001,36.2145725680001 46.6595633590001,36.214573269 46.6595641320001,36.2316950200001 46.6416645570001,36.239009534 46.6340183950001,36.3545725340001 46.6952543950001,36.3638264860001 46.7012670600001,36.375545205 46.7088820770001,36.394379836 46.7167239990001,36.3955455340001 46.7172093950001,36.416654534 46.7244363950001,36.515127534 46.753054395,36.5470744 46.7602624900001,36.6136001410001 46.7752731210001,36.7001271980001 46.7724911670001,36.7416632160001 46.764582171,36.7451471000001 46.7624682150001,36.763882301 46.7511000470001,36.804054046 46.766442639,36.8678995340001 46.7908273960001,36.9166635340001 46.8255453960001,36.928799473 46.830620971,36.9930450430001 46.857491209,37.031073566 46.87102495,37.039509534 46.874027396,37.0483464650001 46.876585275,37.0783272200001 46.885264143,37.196936179 46.925682183,37.247282248 46.932900175,37.3003768200001 46.9093043710001,37.321027535 46.9001273960001,37.3845206190001 46.943021011,37.384515939 46.9430170790001,37.393600271 46.949154026,37.459982262 47.011100146,37.5388822900001 47.0786091680001,37.5595731860001 47.086445074,37.6094272380001 47.0858181080001,37.648327147 47.0750000880001,37.751163209 47.070054095,37.8016541170001 47.0813822370001,37.835818252 47.0927641910001,37.859709191 47.096927147,37.8966633260001 47.0972181670001,38.0713822540001 47.0949822100001,38.1337360700001 47.062218021,38.229973844 47.106720389,38.2373552940001 47.1039618350001,38.2373558850001 47.1039616140001,38.2517827090001 47.090651355,38.267461827 47.072974528,38.2764937900001 47.063301203,38.2802715670001 47.05662898,38.291648943 47.0384175790001,38.302935661 47.0213534160001,38.3232748 47.0009297610001,38.3204521540001 47.000194155,38.3090361480001 46.9969152950001,38.305221997 46.9958760660001,38.278373307 46.988960724,38.271284085 46.9866343300001,38.2507999090001 46.9807458550001,38.2307073540001 46.9750507200001,38.227060894 46.9739947640001,38.22342651 46.9728422270001,38.2071760540001 46.967587816,38.193583962 46.96310184,38.1494018940001 46.9412242450001,38.132216005 46.9325230740001,38.0905300100001 46.911505037,38.087706659 46.910103554,38.086999442 46.909752498,37.965569046 46.847139601,37.9655226410001 46.8471367160001,37.965438401 46.8471314780001,37.965429112 46.8471309000001,37.9639382240001 46.84704177,37.950081998 46.846213398,37.9444643530001 46.8458775570001,37.932334575 46.8451808350001,37.9301066090001 46.846131884,37.9202440070001 46.8508012360001,37.920232588 46.8508066430001,37.9127524740001 46.8543480290001,37.9091449630001 46.8560933960001,37.907505846 46.856886425,37.8990360860001 46.8610414770001,37.8990288210001 46.8610450410001,37.8969248240001 46.8620772090001,37.896352011 46.8623774920001,37.8865789870001 46.867500765,37.8815050790001 46.8702158450001,37.8646898740001 46.879273364,37.864689535 46.8792734,37.847154372 46.881122776,37.8184682350001 46.884487816,37.8184553990001 46.884489322,37.793701125 46.887393133,37.7824886070001 46.888694081,37.7695818720001 46.889087374,37.760910601 46.8893516040001,37.7554837610001 46.889370431,37.7472269040001 46.8893990770001,37.725630073 46.888975137,37.697900803 46.8884308190001,37.6821500900001 46.8881688870001,37.6733251850001 46.8879934550001,37.672010346 46.8879673170001,37.672010078 46.8879673120001,37.6632200940001 46.8843385910001,37.6502872310001 46.878510653,37.6411256600001 46.8743821730001,37.6019624460001 46.8558679440001,37.6004701860001 46.8551103180001,37.598765051 46.854244614,37.5969673370001 46.85329999,37.5960868000001 46.852837304,37.592234965 46.850730625,37.5863279910001 46.8474999330001,37.583092793 46.8453938000001,37.5793425310001 46.8429523570001,37.576386433 46.840772122,37.5507273280001 46.8218475530001,37.53662874 46.8103156010001,37.5198857 46.7959017590001,37.5123118750001 46.788992883,37.50453472 46.781919606,37.4890297370001 46.7663707740001,37.4813917170001 46.7585807770001,37.4579738370001 46.7338828470001,37.4578680280001 46.733767974,37.4571099820001 46.7329449900001,37.445936945 46.7207013440001,37.4222509190001 46.693901295,37.2966979830001 46.548081762,37.2697608600001 46.5158820130001,37.2708840440001 46.492734655,37.2713526520001 46.4808255390001,37.2722780990001 46.4688264700001,37.2717808140001 46.4658155340001,37.2717006890001 46.4653303960001,37.2710019720001 46.461801016,37.2701691130001 46.457594054,37.2683373940001 46.448341618,37.2682280760001 46.447744985,37.2679315390001 46.4461547940001,37.26787001 46.445824841,37.2677058310001 46.444944424,37.263417782 46.4253292820001,37.2633420810001 46.4248734990001,37.263314817 46.424709351,37.263307464 46.4246650760001,37.258660392 46.401488973,37.251195593 46.3653747640001,37.250487193 46.3622983500001,37.2478594130001 46.350886529,37.247853945 46.3508627850001,37.2456556770001 46.3413162300001,37.2412296620001 46.323736243,37.2406073290001 46.3213505570001,37.239385939 46.3166684070001,37.239111413 46.315616016,37.230953062 46.2878850820001,37.2268172190001 46.27402633,37.224235788 46.266111102,37.2235686430001 46.264065492,37.2234172570001 46.2635892960001,37.2230978260001 46.2625845000001,37.221790501 46.2585267490001,37.2203035310001 46.253911406,37.2195254320001 46.2514962970001,37.2195249150001 46.2514947430001,37.219523677 46.2514910180001,37.219522924 46.2514887510001,37.2180579270001 46.2471357540001,37.2177757590001 46.246307744,37.2174492780001 46.2453497020001,37.2168741680001 46.2436620670001,37.2151168300001 46.238567496,37.2140976840001 46.235612964,37.2127028030001 46.2315691650001,37.2090980030001 46.2217536300001,37.2086373490001 46.2204919390001,37.208323998 46.2196336970001,37.207838171 46.2183030570001,37.206587223 46.2148350780001,37.2033858710001 46.2059058950001,37.200923425 46.199037661,37.1994117890001 46.1948214180001,37.195984545 46.1851983550001,37.189729513 46.1676353930001,37.1886962350001 46.16673094,37.1534972700001 46.137300166,37.140082426 46.1261090340001,37.1138429810001 46.114740392,37.1071450110001 46.111843875,37.0885992980001 46.1038238350001,37.0705257980001 46.095935259,37.0676896780001 46.094697372,37.0521974650001 46.0879573070001,37.0132560540001 46.0710154000001,36.993753488 46.0625684010001,36.9548866900001 46.045734317,36.9501365830001 46.0436769390001,36.9448906910001 46.0434760420001,36.876824395 46.040869372,36.8653630530001 46.0404304480001,36.757498045 46.0366533970001,36.750696862 46.0363827350001,36.6979401180001 46.0342832100001,36.6913287080001 46.0340800590001,36.6913287020001 46.0340799750001,36.6912257910001 46.0325998280001,36.691207751 46.032340371,36.691072295 46.0303921340001,36.6895160120001 46.0064604570001,36.6893227420001 46.0034884560001,36.6893198000001 46.0034432090001,36.6866839400001 45.9629104050001,36.6848067760001 45.932119599,36.682421054 45.8929869990001,36.6904568940001 45.7539764860001,36.691172394 45.7083262680001,36.6915791100001 45.6572017030001,36.6908005220001 45.573723607,36.69080046 45.566376662,36.6921833010001 45.513207214,36.692144748 45.4782151580001,36.6921334640001 45.4780348190001,36.69191843 45.472376684,36.6920095780001 45.470732851,36.692899858 45.4628760590001,36.692899798 45.4501444540001,36.692824768 45.4493220310001,36.6925697180001 45.4474098310001,36.692207115 45.4446912610001,36.691519713 45.4405233900001,36.6913985960001 45.4397890340001,36.691152758 45.438298462,36.690962476 45.4369556770001,36.6908880760001 45.4364306530001,36.6906083310001 45.4344565530001,36.689943412 45.4314178440001,36.689899509 45.431217207,36.6923408540001 45.423072947,36.692881948 45.420549522,36.693717846 45.413824414,36.6938118400001 45.4131969310001,36.6941199550001 45.408673218,36.694016548 45.402636166,36.694200553 45.3994094290001,36.694200552 45.3991188580001,36.693614499 45.395883998,36.6933037160001 45.3941685560001,36.6930587420001 45.392465417,36.6929025750001 45.3913796900001,36.692613163 45.3904701870001,36.691875769 45.3881528630001,36.691043956 45.3855388160001,36.6910435610001 45.3855380540001,36.690039632 45.383601276,36.6884444660001 45.3805238850001,36.6883223680001 45.3802633550001,36.688240643 45.3800889720001,36.6882405690001 45.380088813,36.688234757 45.380076413,36.688234698 45.3800763190001,36.6872114010001 45.378455091,36.686137264 45.3767533170001,36.6859852750001 45.376570884,36.683051327 45.3732705890001,36.6828714320001 45.373068231,36.6786949880001 45.3701844940001,36.6747380080001 45.3664534440001,36.6718363460001 45.3637174570001,36.66911241 45.3614284450001,36.6674374250001 45.3607277150001,36.653786369 45.3548406530001,36.652564394 45.35338633,36.6514275420001 45.352033314,36.650756862 45.3512351090001,36.6499161350001 45.350497568,36.648504503 45.349259191,36.647919415 45.348699283,36.646913118 45.3477362940001,36.6464986390001 45.34735276,36.638966801 45.3423697870001,36.6385314360001 45.342060437,36.635495941 45.3412208940001,36.630678448 45.3381506000001,36.6274936720001 45.335947521,36.6231999020001 45.3329772910001,36.622583594 45.332562421,36.622126601 45.3322291550001,36.617887592 45.328870088,36.6161221630001 45.3281493630001,36.6130713470001 45.3269038880001,36.605356387 45.3232775980001,36.604041368 45.3228166440001,36.6018567850001 45.3220508800001,36.6007499580001 45.3216629030001,36.597256633 45.3202844,36.5945491680001 45.319216006,36.593478481 45.318663665,36.5926030310001 45.318212041,36.590679143 45.3173204670001,36.588300695 45.3162182400001,36.579323431 45.3116758670001,36.5768177040001 45.3104080030001,36.576639852 45.3102612860001,36.5759358610001 45.3096805370001,36.57538457 45.309225756,36.57538471 45.3092255390001,36.5836603820001 45.296397751,36.5884428370001 45.2894350030001,36.5897741750001 45.2878636180001,36.5917151940001 45.2854400360001,36.5977765590001 45.280291877,36.5995553820001 45.2793531740001,36.6034659250001 45.27738364,36.624090042 45.268999175,36.6331053170001 45.2653901560001,36.633577319 45.2652348020001,36.640924124 45.263021893,36.645391584 45.2613521970001,36.639651896 45.255101654,36.6390454510001 45.254228643,36.6368851570001 45.251118783,36.6315114510001 45.242240865,36.629496728 45.2389123350001,36.628512615 45.237501686,36.6257169740001 45.233494352,36.6249412350001 45.232164975,36.6240570250001 45.2306497110001,36.6232114860001 45.229200717,36.622529591 45.228166554,36.621450286 45.226697739,36.6212551420001 45.2263945,36.62118187 45.22628064,36.6209685490001 45.2259883410001,36.6209468390001 45.225965241,36.6208495990001 45.225861771,36.620198401 45.225559893,36.6194155310001 45.2251969750001,36.6115016530001 45.2220571760001,36.60873221 45.220958411,36.6079006140001 45.2205986000001,36.6052878260001 45.2199035460001,36.599286228 45.218307001,36.5986995740001 45.2181509390001,36.5985103190001 45.2180945910001,36.5966318660001 45.2175353110001,36.595316525 45.2171436890001,36.589351966 45.2158132060001,36.580815058 45.213908922,36.579900491 45.2137049140001,36.5790818460001 45.21356761,36.571820228 45.212349685,36.5673182840001 45.2115946150001,36.5657503470001 45.211272653,36.565344684 45.2111893540001,36.560859087 45.2105247000001,36.5599051470001 45.21038335,36.55968289 45.2103464940001,36.557045148 45.2099090930001,36.5559594540001 45.209813013,36.5547803330001 45.209708666,36.546746609 45.2088628110001,36.5350124190001 45.207241503,36.5173469870001 45.201555414,36.5055318300001 45.197752392,36.5054831150001 45.1977345560001,36.505360201 45.197689552,36.504975196 45.19662944,36.5048231070001 45.1962106610001,36.5048226050001 45.1962092810001,36.50465903 45.1957588760001,36.504615669 45.19565557,36.5045867790001 45.1955867410001,36.516856166 45.1591551490001,36.523346605 45.1539583810001,36.526004286 45.1517273250001,36.5314585900001 45.144348511,36.5328001760001 45.1424707690001,36.5358403380001 45.1384171240001,36.546760336 45.120090046,36.5480983940001 45.1174108270001,36.549063174 45.1153377570001,36.5542970380001 45.1032599710001,36.555222712 45.1012104280001,36.558338576 45.0934075500001,36.568429789 45.07244969,36.5717237600001 45.065391849,36.5817855880001 45.043194999,36.5830898350001 45.0402190400001,36.5877794560001 45.0291525980001,36.602010223 44.996386704,36.6071588790001 44.9857204320001,36.607786973 44.9836030370001,36.6078886830001 44.982903772,36.614394637 44.933593795,36.6148212250001 44.9311012850001,36.62587094 44.871370616,36.6399188140001 44.796936551,36.653690038 44.736157399,36.6938832870001 44.5917048530001,36.5645513470001 44.3733519730001,36.5370557260001 44.3142067700001,36.532072111 44.303407377,36.346424046 43.9011118120001,36.2705988000001 43.751131301,36.2473054170001 43.705057551,36.247255647 43.704959108,36.242034776 43.6946323510001,36.2344042170001 43.6751736200001,36.2317628550001 43.66843787,36.182918124 43.5278110030001,36.151255549 43.434495833,35.506944533 43.435555392,34.2194445320001 43.1880553920001,33.615555531 43.1972223920001,31.99999953 43.3452773920001,31.345277778 43.4469444430001,31.3452731940001 43.446948918,31.3452733990001 43.4469508400001,31.3451922310001 43.44706942,31.4096937350001 44.048659587,31.409714159 44.048850079,31.174361226 44.7370552190001,31.1743611100001 44.73705556,31.091327816 44.75403858,30.9770277800001 44.77741667,30.15683333 45.0551388900001,30.0408333300001 45.0891666700001,29.6779005650001 45.2082991940001,29.6715264330001 45.2103915000001,29.7086095280001 45.213327394,29.7319365280001 45.2262363940001,29.760409528 45.322209394,29.7534635280001 45.449436394,29.732981528 45.4714453940001,29.6741635280001 45.4655453940001,29.6191635280001 45.4877633940001,29.5930455280001 45.557072394,29.5961095280001 45.6833908940001,29.636099528 45.8206813950001,29.681381528 45.8035903950001,29.689572528 45.7685633950001,29.677218528 45.739572395,29.679718528 45.696236394,29.7426275280001 45.624009394,29.7801365280001 45.6288813940001,29.822772528 45.648327394,29.8599275280001 45.6755813940001,29.8256905280001 45.6865183940001,29.7974275280001 45.714918395,29.802145528 45.7350543950001,29.9299905280001 45.8177723950001,29.9835995280001 45.843181395,30.0301365280001 45.8313093950001,30.047354528 45.812763395,30.0633275280001 45.7998543950001,30.144436528 45.8205453950001,30.1636095280001 45.829718395,30.246245528 45.873599395,30.509163528 46.0963723950001,30.655690529 46.253599895,30.7651365290001 46.379009395,30.7935365290001 46.445327395,30.7799995290001 46.4813723950001,30.8327725290001 46.5483273950001,30.941099529 46.5824993950001,31.0152725290001 46.6035993950001,31.0530545290001 46.6119273950001,31.073327529 46.614436395,31.1560995290001 46.623599395,31.176936529 46.6255453950001,31.189054529 46.624545395,31.2373545290001 46.612909395,31.268054529 46.6080363950001,31.3370095290001 46.6019363950001,31.4197185290001 46.6254093950001,31.469990529 46.6685998950001,31.5047185290001 46.716518395,31.520827529 46.739981395,31.595690529 46.7970813960001,31.550545529 46.718881395,31.512499529 46.6698543950001,31.487845529 46.6560273950001,31.477736529 46.6319633950001,31.5756185290001 46.6075633950001,31.5933995290001 46.6311723950001,31.6149275290001 46.6481813950001,31.6470725290001 46.6533273950001,31.6919365300001 46.6441453950001,31.7119365300001 46.638036395,31.7388815300001 46.6272093950001,31.81193653 46.6156813950001,31.8597185300001 46.6283183950001,31.9081905300001 46.653590895,31.90708153 46.733745395,31.89569053 46.751799895,31.87193653 46.769991395,31.8638185300001 46.7954813960001,31.87166353 46.8170723960001,31.8879095300001 46.8322093960001,31.94096353 46.854709396,31.9641635300001 46.889990896,31.96502753 46.9253723960001,31.9363815300001 46.9211093960001,31.9075635300001 46.9239543960001,31.83937253 47.0129093960001,31.8423545300001 47.0415183960001,31.8702725300001 47.079918396,31.8165185300001 47.1779093960001,31.7988815300001 47.1911003960001,31.75485453 47.201654396,31.7266545300001 47.231754396,31.7515185300001 47.252354396,31.8399905300001 47.1797093960001,31.9808275300001 47.0074998960001,32.0112365300001 46.926099896)))', 'Ukrainian Exclusive Economic Zone', 'Ukraine', 'Ukraine', '', '75', '75', 'UKR', '5695', '', '135714073600', '5695', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0347496900001 41.9781944980001,28.03475 41.9781944430001,28.0355535530001 41.978720132,28.0377222220001 41.9801388880001,28.040333333 41.9813333320001,28.040333397 41.9813333320001,28.323833333 41.9813333320001,28.323833333 41.9813333910001,28.323852688 41.9870622620001,28.3238888880001 41.9977774770001,28.323888889 41.9977777770001,28.896717607 42.1341729810001,28.8967176720001 42.1341729970001,29.345833333 42.2411111100001,29.5722222220001 42.4399999990001,29.826666667 42.4899999990001,29.9750000000001 42.5574999990001,30.5694444440001 42.800833332,30.5694445290001 42.800833391,30.604999999 42.8252777760001,30.7516666670001 42.9452777770001,31.1091666670001 43.331666666,31.284952676 43.4174915990001,31.2849527720001 43.417491646,31.345277778 43.4469444430001,31.99999953 43.3452773920001,33.615555531 43.1972223920001,34.2194445320001 43.1880553920001,35.506944533 43.435555392,36.151255549 43.434495833,36.1825000000001 43.4344444440001,36.845 43.1819444440001,37.9530527570001 42.68561398,38.536111111 42.4244444440001,38.6168604760001 42.4094268860001,38.9733739810001 42.3431234230001,38.973374058 42.343123405,38.973376349 42.3431228680001,39.0036115360001 42.337500391,39.826944537 42.1391663910001,40.4333335380001 42.031111391,40.6924995380001 41.9500003910001,41.275833538 41.5947223910001,41.533121539 41.5259213910001,41.5315545390001 41.5238723910001,41.498745539 41.4815183910001,41.4130365390001 41.3944363900001,41.384954539 41.37370939,41.337899538 41.3706813900001,41.2347095380001 41.3247093900001,41.2088635380001 41.3076723900001,41.208763538 41.3076003900001,41.1716905380001 41.28530039,41.0438725380001 41.2302633900001,40.9212455380001 41.1867183900001,40.8827635380001 41.18860039,40.8489725380001 41.1955723900001,40.7727545380001 41.16638139,40.7297095380001 41.1369363900001,40.637772538 41.0786093900001,40.5805455380001 41.0547003900001,40.481654538 41.04250039,40.4616545380001 41.0431913900001,40.3933275380001 41.0186453900001,40.3655365380001 41.0023453900001,40.3581995380001 40.99410039,40.3452725380001 40.9835913900001,40.269145538 40.9572093900001,40.1499905370001 40.92027239,40.128590537 40.91638139,40.106663537 40.91707239,40.081381537 40.9216543900001,39.9124905370001 40.95665439,39.721418537 41.0100273900001,39.690554537 41.00305439,39.5511095370001 41.0522183900001,39.487354537 41.0975633900001,39.414227537 41.1067273900001,39.385409537 41.08915439,39.353599537 41.0763813900001,39.326654537 41.0661093900001,39.2847185370001 41.0515183900001,39.262909537 41.04930039,39.233054537 41.0563813900001,39.2108275370001 41.07415439,39.1658275360001 41.0825003900001,39.1547185360001 41.0733998900001,39.1479185360001 41.06555439,39.1238815360001 41.05720939,39.0983275360001 41.0508183900001,39.0547095360001 41.0411003900001,39.005754536 41.03374539,38.929027536 41.0409633900001,38.8161095360001 41.00999139,38.7835995360001 40.9969453900001,38.7641635360001 40.9815183900001,38.7344455360001 40.96305439,38.7099905360001 40.9500003900001,38.5185995360001 40.92027239,38.4205455360001 40.91220939,38.389645536 40.9200093900001,38.355827536 40.91027239,38.3277725360001 40.9184633900001,38.1599905360001 40.9494363900001,38.1160905350001 40.9554723900001,38.097218535 40.9636003900001,37.9881905350001 40.98763639,37.934436535 40.9883183900001,37.895127535 40.9823543900001,37.8148545350001 41.02721839,37.793609535 41.04554539,37.7828365350001 41.0656093900001,37.785409535 41.0987363900001,37.7536095350001 41.11916339,37.682763535 41.1352003900001,37.656245535 41.1174908900001,37.6297185350001 41.07942739,37.610409535 41.05054539,37.581381535 41.0374913900001,37.539645535 41.02888139,37.499163535 41.04193639,37.4177635350001 41.0805453900001,37.2966545350001 41.1369363900001,37.238045535 41.1411093900001,37.152281535 41.1449093900001,37.129299535 41.1468003900001,37.052345535 41.17040939,37.032218534 41.19359989,37.029445534 41.2241633900001,37.0288095340001 41.25749089,37.004299534 41.27901839,36.9308275340001 41.3158183900001,36.864018534 41.3451273900001,36.809999534 41.3555543900001,36.734445534 41.36304539,36.711654534 41.36500039,36.6577725340001 41.36083639,36.6124905340001 41.3474908900001,36.571099534 41.2956913900001,36.5351365340001 41.26985439,36.4924905340001 41.2479093900001,36.4669365340001 41.24110039,36.4315185340001 41.24207239,36.400127534 41.2541543900001,36.344990534 41.28333639,36.240272534 41.35610939,36.1727635340001 41.419436391,36.123781534 41.4757363910001,36.117145534 41.5092998910001,36.1331905340001 41.544299891,36.1311095340001 41.5951273910001,36.1135995340001 41.6320723910001,36.074572534 41.6748453910001,36.0560995340001 41.6887453910001,35.973054534 41.7322183910001,35.9530455330001 41.734572391,35.931381533 41.725545391,35.9111095330001 41.7130543910001,35.8766545330001 41.7008273910001,35.7767905330001 41.6715183910001,35.6438815330001 41.636654391,35.616945533 41.6309633910001,35.5766545330001 41.6272093910001,35.549427533 41.630827391,35.506381533 41.638054391,35.4931725330001 41.643863391,35.4794365330001 41.6466633910001,35.4563815330001 41.6536003910001,35.286654533 41.7130543910001,35.2652635330001 41.7258183910001,35.2124905330001 41.7705543910001,35.136936533 41.8580453910001,35.0963815330001 41.918672391,35.0992995330001 41.967209391,35.114990533 42.000963391,35.1573635330001 42.025318391,35.0472095330001 42.0652723910001,35.027490533 42.078045391,35.006381533 42.0861003910001,34.978881533 42.091945391,34.9489815330001 42.085927391,34.9172095330001 42.0366543910001,34.889709532 42.0102723910001,34.8508185320001 41.979436391,34.832499532 41.968318391,34.7924995320001 41.956518391,34.744427532 41.9466633910001,34.7155455320001 41.942491391,34.6413905320001 41.9397093910001,34.614718532 41.9402723910001,34.5547095320001 41.9480453910001,34.3644365320001 41.943327391,34.3152725320001 41.9408183910001,34.255545532 41.947627391,34.209436532 41.9594363910001,34.1019455320001 41.9761093910001,33.9938905320001 41.9811093910001,33.9238815320001 41.9730543910001,33.8347185320001 41.9749913910001,33.7741545310001 41.977772391,33.7380455310001 41.9797183910001,33.6322095310001 41.9863813910001,33.5988815310001 41.9900003910001,33.5731905310001 41.995127391,33.5436095310001 42.0041633910001,33.3985995310001 42.016927391,33.3385995310001 42.0198543910001,33.2197185310001 41.9763813910001,33.0683275310001 41.9380453910001,32.9870095310001 41.906381391,32.9508275310001 41.884991391,32.912209531 41.8749813910001,32.828045531 41.8591543910001,32.7980455310001 41.858891391,32.772772531 41.8580453910001,32.7213725300001 41.8491543910001,32.69249053 41.8394273910001,32.68443653 41.8337543910001,32.6026995300001 41.8318003910001,32.5302635300001 41.809163391,32.2774995300001 41.719436391,32.17943653 41.6333273910001,32.1606905300001 41.6088813910001,31.9922185300001 41.542500391,31.7978905300001 41.457781391,31.7477725300001 41.4330453910001,31.6147185290001 41.3794363900001,31.5524905290001 41.3627633900001,31.4215275290001 41.27901839,31.4099995290001 41.2100633900001,31.3755455290001 41.17054539,31.3405455290001 41.14262739,31.337218529 41.13721839,31.298881529 41.1138813900001,31.233472529 41.0893003900001,31.073327529 41.07832739,30.980272529 41.0750003900001,30.9547365290001 41.0745723900001,30.933609529 41.07471839,30.8797185290001 41.0769363900001,30.7572185290001 41.08645439,30.606109529 41.1338813900001,30.516936528 41.14332739,30.4934635280001 41.14721839,30.4250455280001 41.16496339,30.3769455280001 41.1749913900001,30.3551365280001 41.18603639,30.326799528 41.2030453900001,30.284718528 41.20805439,30.261663528 41.1922183900001,30.194999528 41.1513723900001,30.1586095280001 41.14069139,29.9844365280001 41.1395723900001,29.8747185280001 41.1454093900001,29.8622095280001 41.1472273900001,29.7547185280001 41.16304539,29.621627528 41.1757543900001,29.5795995280001 41.17300039,29.471099527 41.1955453900001,29.2902725270001 41.22804539,29.219790527 41.23687239,29.159999527 41.22457239,29.133472527 41.2127633900001,29.0873545270001 41.17527239,29.0745815270001 41.1594273900001,29.088218527 41.1395723900001,29.088218527 41.1186183900001,29.0418275270001 41.05128139,29.0255545270001 41.0344273900001,29.043327527 40.9730543900001,29.1294365270001 40.91444539,29.149436527 40.90304539,29.2549905270001 40.86832739,29.2902725270001 40.8480543900001,29.336663527 40.80707239,29.412490527 40.76971839,29.5180545270001 40.76915439,29.5622185280001 40.77110939,29.591663528 40.77555439,29.7261095280001 40.77221839,29.916945528 40.76165439,29.937499528 40.7522183900001,29.9339545280001 40.72220939,29.901527528 40.7129093900001,29.7014905280001 40.70500939,29.5540275280001 40.68617239,29.535827528 40.70638139,29.5106905270001 40.7315183900001,29.4794455270001 40.72027239,29.423999527 40.6858003900001,29.3922905270001 40.7022093900001,29.2516635270001 40.6624913900001,29.1547185270001 40.6574913900001,29.0013905270001 40.64388139,28.9804095270001 40.6395723900001,28.955272527 40.6247183900001,28.909836527 40.59311839,28.894163527 40.58860939,28.852490527 40.57555439,28.8058275270001 40.5581183900001,28.776727527 40.5270723900001,28.891936527 40.47694539,28.914854527 40.46888139,28.9753455270001 40.4629723900001,29.026527527 40.4800633900001,29.079999527 40.4776273900001,29.141690527 40.4379093900001,29.0557635270001 40.36680039,28.982218527 40.35707239,28.937218527 40.3594453900001,28.916663527 40.36250039,28.8839545270001 40.37942739,28.8297185270001 40.39192739,28.7913815270001 40.3948633900001,28.755136527 40.39151839,28.6744365270001 40.36360039,28.5091635270001 40.39526339,28.483327527 40.39638139,28.2466635260001 40.4034633900001,28.203881526 40.39406339,28.185690526 40.3977633900001,28.153609526 40.39638139,28.1095815260001 40.38958139,28.075272526 40.3797183900001,28.035827526 40.36916339,27.9531905260001 40.35693639,27.9237455260001 40.36470939,27.900763526 40.3886723900001,27.9277725260001 40.4119363900001,28.0011095260001 40.4422183900001,28.027636526 40.46305439,28.020136526 40.4877093900001,27.856936526 40.52249139,27.754854526 40.52971839,27.723327526 40.5220723900001,27.687081526 40.49269989,27.794609526 40.39210939,27.8315275260001 40.39721839,27.877845526 40.37585439,27.780136526 40.315136389,27.7411095260001 40.310000389,27.678327526 40.309436389,27.575027526 40.3132723890001,27.5586095260001 40.3047183890001,27.5116635260001 40.3055543890001,27.472636526 40.3133273890001,27.429163526 40.3241543890001,27.394581526 40.3397093900001,27.306390525 40.38499139,27.2988815250001 40.40554539,27.2641635250001 40.45860939,27.1186095250001 40.45276339,27.0867995250001 40.44762739,27.0570815250001 40.42589989,27.0266635250001 40.3911093900001,26.9624995250001 40.3829093900001,26.886945525 40.39555439,26.809999525 40.39581839,26.7042995250001 40.3788813900001,26.6840185250001 40.3477633900001,26.6098545250001 40.284445389,26.5140275250001 40.2162453890001,26.438327525 40.1923543890001,26.398609525 40.139990889,26.384718525 40.102481389,26.333054525 40.0246453890001,26.289718524 40.005272389,26.2488815240001 39.9911003890001,26.225409524 39.9982543890001,26.197354524 40.002836389,26.1747185240001 39.9794363890001,26.1574995240001 39.9466543890001,26.1501995240001 39.9086723890001,26.1580545240001 39.8213813890001,26.1630545240001 39.6863813890001,26.1602725240001 39.6560998890001,26.154854524 39.632636389,26.133327524 39.607772389,26.1044365240001 39.5863813890001,26.0705455240001 39.482663389,26.1099905240001 39.457627389,26.1309725240001 39.4530453890001,26.205063524 39.4626993890001,26.538609525 39.5297093890001,26.5813905250001 39.5347093890001,26.659445525 39.5516543890001,26.6697185250001 39.5549903890001,26.694445525 39.555272389,26.7616635250001 39.556109389,26.817490525 39.561663389,26.8819365250001 39.5764453890001,26.9351365250001 39.5755453890001,26.9517995250001 39.5508273890001,26.9371455250001 39.483318389,26.8949995250001 39.474154389,26.8113815250001 39.398891389,26.6649905250001 39.3010998890001,26.644718525 39.263054389,26.7288815250001 39.2213723880001,26.7593275250001 39.1732633880001,26.813054525 39.156654388,26.846381525 39.1298543880001,26.8697185250001 39.0979093880001,26.8810365250001 39.0684543880001,26.797636525 39.0238813880001,26.7946545250001 38.9831093880001,26.801663525 38.955827388,26.8612455250001 38.910054388,26.8874995250001 38.9205453880001,26.920409525 38.932772388,26.9565275250001 38.937209388,27.052772525 38.926654388,27.0629815250001 38.873181388,27.0222905250001 38.8578363880001,26.900409525 38.8152633880001,26.825418525 38.754300388,26.727772525 38.724499888,26.7337455250001 38.641936388,26.753327525 38.6199908880001,26.880554525 38.5024903880001,26.947218525 38.4416633880001,26.994227525 38.4531183880001,27.0431905250001 38.461099388,27.1564545250001 38.452809388,27.119299525 38.4105453880001,27.094999525 38.399991388,26.9047185250001 38.373881388,26.8349995250001 38.3655543880001,26.7930545250001 38.3536003880001,26.6917995250001 38.3108543880001,26.647909525 38.333327388,26.5955545250001 38.4530453880001,26.6294365250001 38.4580543880001,26.6122185250001 38.5297093880001,26.563327525 38.5983183880001,26.523609525 38.633045388,26.4812455250001 38.667354388,26.428327525 38.6708273880001,26.3983275250001 38.6669363880001,26.3579815250001 38.654790888,26.347909525 38.623881388,26.3583275250001 38.566372388,26.388118525 38.447009388,26.4206905250001 38.465063388,26.4784635250001 38.449027388,26.509854525 38.425481388,26.499163525 38.4002723880001,26.469999525 38.3618003880001,26.4501365250001 38.3454093880001,26.374718525 38.305545388,26.3694455250001 38.306109388,26.3513815250001 38.3149913880001,26.322081525 38.341163388,26.3162455250001 38.373881388,26.289018524 38.3674908880001,26.2841635240001 38.3458363880001,26.2749995240001 38.285554388,26.2758275240001 38.264436388,26.3161095250001 38.2327723880001,26.3352725250001 38.224854388,26.3586095250001 38.2241633880001,26.4295815250001 38.2147093880001,26.488890525 38.1722093870001,26.523609525 38.1383273870001,26.5455545250001 38.116381387,26.588472525 38.1019363870001,26.6087455250001 38.1026363870001,26.625827525 38.1488813870001,26.6811095250001 38.2016543880001,26.7632635250001 38.2129813880001,26.818054525 38.155263387,26.9230545250001 38.062218387,26.9433365250001 38.064154387,26.979299525 38.0663723870001,27.2437455250001 37.977563387,27.2683275250001 37.9535993870001,27.2740275250001 37.9256093870001,27.2659725250001 37.890409387,27.2616635250001 37.8844363870001,27.263054525 37.803190887,27.2479095250001 37.7405453870001,27.225272525 37.7124908870001,27.1938815250001 37.6044363870001,27.211518525 37.5872183870001,27.2241635250001 37.473327387,27.2183275250001 37.4113813870001,27.194927525 37.3523453870001,27.2413815250001 37.3363813870001,27.3136095250001 37.342209387,27.3324995250001 37.3530453870001,27.3587455250001 37.373181387,27.3737455250001 37.4006903870001,27.4088905260001 37.410827387,27.421081526 37.4079093870001,27.3872905260001 37.336099887,27.4087455260001 37.3055453870001,27.485827526 37.2674903870001,27.521381526 37.2616543870001,27.563890526 37.273599387,27.595272526 37.232490887,27.5499995260001 37.131654387,27.439718526 37.104709386,27.4072185260001 37.1272093870001,27.368327525 37.1505543870001,27.3242995250001 37.1530453870001,27.232909525 37.0702723860001,27.2270815250001 37.0436093860001,27.2549995250001 36.964999886,27.272218525 36.9558273860001,27.2962455250001 36.963745386,27.3169455250001 36.976372386,27.336109525 37.0042993860001,27.423890526 37.0277633860001,27.5149995260001 36.9927723860001,27.676390526 37.0019363860001,27.8486095260001 37.017218386,28.0344455260001 37.024709386,28.2102815260001 37.0394453860001,28.273045526 37.0436093860001,28.3247905260001 37.0381813860001,28.1999995260001 36.9758183860001,28.066381526 36.9349998860001,28.0258275260001 36.8227723860001,27.9188815260001 36.794163386,27.7374995260001 36.777772386,27.4961095260001 36.745827386,27.472636526 36.749718386,27.3589545250001 36.7042998860001,27.374718525 36.684027386,27.475272526 36.6499903860001,27.4811095260001 36.654709386,27.503745526 36.670127386,27.6761095260001 36.6916633860001,27.688327526 36.715545386,27.7083995260001 36.7438723860001,27.7323545260001 36.756654386,27.8087455260001 36.757354386,27.9155905260001 36.7451363860001,27.984163526 36.7522093860001,28.008054526 36.758045386,28.0369455260001 36.769154386,28.0735995260001 36.7861093860001,28.0923545260001 36.8006813860001,28.1201365260001 36.7970813860001,28.1229095260001 36.7209633860001,28.087845526 36.7037363860001,28.0386095260001 36.7072183860001,28.0027725260001 36.699154386,27.969927526 36.684745386,27.989163526 36.671099386,28.013609526 36.6680543860001,28.033536526 36.679745386,28.0611095260001 36.6736093860001,28.0856185260001 36.639290886,28.070554526 36.618890886,28.050827526 36.597772386,28.0173545260001 36.5964543860001,27.982490526 36.6024813860001,27.959645526 36.5974183860001,27.9672185260001 36.5738723860001,27.983890526 36.5527723860001,28.066381526 36.5897183860001,28.230827526 36.6985993860001,28.272636526 36.736936386,28.2474995260001 36.766109386,28.2354815260001 36.802836386,28.2461095260001 36.830272386,28.2619365260001 36.8451273860001,28.284299526 36.8459633860001,28.3108365260001 36.8258273860001,28.387354526 36.7828093860001,28.4201365260001 36.823954386,28.385727526 36.8397453860001,28.3942995260001 36.862763386,28.4563905270001 36.8808273860001,28.608599527 36.8033183860001,28.619718527 36.7699998860001,28.656936527 36.710272386,28.7927725270001 36.671099386,28.8511095270001 36.657481386,28.865690527 36.6876363860001,28.9315275270001 36.744163386,29.0524995270001 36.6811093860001,29.0872185270001 36.626654386,29.034299527 36.612627386,29.023890527 36.583318386,29.018427527 36.5421908860001,29.0480455270001 36.544818386,29.0783275270001 36.5587453860001,29.1069365270001 36.553599386,29.124718527 36.537836386,29.124718527 36.526372386,29.0977725270001 36.474299886,29.117218527 36.3833273860001,29.1480545270001 36.3483273860001,29.183609527 36.3283273860001,29.2588725270001 36.295827386,29.283599527 36.2719363860001,29.315272527 36.2472093860001,29.3497185270001 36.2311093860001,29.5044365270001 36.205545386,29.570272528 36.1994363860001,29.628609528 36.1705453860001,29.677218528 36.118327386,29.6874905280001 36.1380543860001,29.7249995280001 36.160899386,29.773054528 36.1522183860001,29.975827528 36.2116543860001,30.092218528 36.235263386,30.140899528 36.2566633860001,30.1446455280001 36.285545386,30.178881528 36.2988813860001,30.2086095280001 36.3038723860001,30.2598545280001 36.3038723860001,30.2811095280001 36.298463386,30.3658275280001 36.2613723860001,30.390827528 36.235263386,30.404854528 36.204918386,30.428609528 36.227772386,30.5038815280001 36.320545386,30.504436528 36.3431908860001,30.4858275280001 36.3633183860001,30.474445528 36.3891633860001,30.481381528 36.4269363860001,30.528327528 36.494427386,30.553609528 36.6158183860001,30.560836528 36.7261093860001,30.5738185280001 36.7874908860001,30.601381528 36.8252723860001,30.6165275290001 36.843609386,30.650618529 36.870063386,30.6943725290001 36.881590386,30.7355545290001 36.855690386,30.763327529 36.844163386,30.8186095290001 36.845545386,30.888054529 36.853599386,30.9708365290001 36.8555543860001,30.993045529 36.8541543860001,31.0466635290001 36.8491543860001,31.289854529 36.8161093860001,31.351381529 36.8016543860001,31.3787455290001 36.7868093860001,31.5827725290001 36.696381386,31.74027253 36.635545386,31.82305453 36.5897183860001,32.0028455300001 36.545127386,32.0647095300001 36.5163903860001,32.10693653 36.4730543860001,32.14915453 36.4294363860001,32.17540953 36.3962363860001,32.18859953 36.3669363860001,32.20235453 36.3465183860001,32.2758275300001 36.2683273860001,32.3680455300001 36.1751363860001,32.50109953 36.099436386,32.5245725300001 36.0931903860001,32.5666275300001 36.092709386,32.5795725300001 36.081245386,32.6697185300001 36.039163386,32.7716635310001 36.028881385,32.815690531 36.031518385,32.864436531 36.0683273860001,32.9395095310001 36.0967903860001,33.045272531 36.0910993860001,33.287209531 36.1244363860001,33.3627815310001 36.1377723860001,33.540836531 36.1397093860001,33.6083185310001 36.181663386,33.6497185310001 36.1885993860001,33.705272531 36.1794363860001,33.7452725310001 36.206381386,33.8161095310001 36.260818386,33.866836532 36.3097093860001,33.9296455320001 36.287699386,33.988599532 36.277772386,34.031663532 36.303054386,34.0740905320001 36.367690886,34.0766545320001 36.399645386,34.128609532 36.4485993860001,34.1524905320001 36.4610993860001,34.220899532 36.516654386,34.239990532 36.5463813860001,34.261381532 36.5692993860001,34.2897185320001 36.5916633860001,34.322772532 36.615554386,34.354027532 36.6335993860001,34.476663532 36.705545386,34.5656905320001 36.7719363860001,34.6337725320001 36.7840903860001,34.6594275320001 36.8052723860001,34.705545532 36.8110993860001,34.735127532 36.8129093860001,34.7772185320001 36.808599386,34.8358275320001 36.7904093860001,34.877218532 36.763045386,34.8906905320001 36.745963386,34.9042365330001 36.7170633860001,34.9137455330001 36.722209386,34.937209533 36.724845386,34.9808995330001 36.719709386,35.023599533 36.7005543860001,35.178881533 36.6219363860001,35.3470725330001 36.5449903860001,35.412490533 36.580272386,35.4982545330001 36.6099183860001,35.5388815330001 36.590545386,35.5585365330001 36.5797903860001,35.6110995330001 36.594299386,35.633736533 36.611936386,35.6380545330001 36.6419273860001,35.636099533 36.6822093860001,35.611109533 36.6877723860001,35.5755545330001 36.692754386,35.609445533 36.733890386,35.6448545330001 36.7529093860001,35.7016545330001 36.7612363860001,35.793745533 36.7660993860001,35.8238815330001 36.777499386,35.904854533 36.8410998860001,35.9369365330001 36.876390386,35.9574905330001 36.8948543860001,36.0111995340001 36.923190386,36.069436534 36.9088813860001,36.1297185340001 36.863190386,36.166381534 36.828609386,36.193327534 36.791936386,36.2062455340001 36.767345386,36.2172815340001 36.654781386,36.190063534 36.5972913860001,36.1629725340001 36.5883913860001,36.041381534 36.5324913860001,35.9247095330001 36.4508273860001,35.818881533 36.354999886,35.7855455330001 36.3148453860001,35.7867995330001 36.290272386,35.850263533 36.2188813860001,35.941936533 36.095272386,35.9549905330001 36.0663723860001,35.978436534 36.002609385,35.9224361140001 35.92699105,35.892021533 35.9444413850001,35.8892645330001 35.946248385,35.845624533 35.9666413850001,35.806429533 35.984056385,35.7801465330001 35.996345385,35.696308533 36.035673386,35.6956615330001 36.036193386,35.678903533 36.0406673860001,35.6329455330001 36.0483223860001,35.6007065330001 36.0527113860001,35.575767533 36.0554953860001,35.566219533 36.0564873860001,35.5355015330001 36.059447386,35.4999695330001 36.0609003860001,35.4837365330001 36.061157386,35.442592533 36.061884386,35.2653265330001 36.0601323860001,35.1592575330001 36.0144793850001,34.9456915330001 36.141560386,34.9014505330001 36.1623573860001,34.8279185320001 36.191090386,34.7399775320001 36.207549386,34.7102355320001 36.199084386,34.693808532 36.194378386,34.6535655320001 36.1796173860001,34.4150675320001 36.046665386,34.353824532 36.0123183850001,34.3134005320001 35.998670385,34.274956532 35.9786593850001,34.175104532 35.924837385,34.150431532 35.911447385,34.1414505320001 35.906512385,34.140630532 35.9060563850001,33.993544532 35.8730953850001,33.9612045320001 35.8591743850001,33.9275935320001 35.841066385,33.849076532 35.798061385,33.7816155310001 35.774015385,33.7109835310001 35.7706733850001,33.675870531 35.7644883850001,33.5048155310001 35.7310673850001,33.4943015310001 35.730495385,33.431052531 35.7181913850001,33.423665531 35.7188283850001,33.306255531 35.728718385,33.2630325310001 35.7202223850001,33.2609255310001 35.719802385,33.143725531 35.7155793850001,33.1017255310001 35.7137993850001,33.0695495310001 35.7186913850001,32.9850475310001 35.7314333850001,32.7908485310001 35.705441385,32.6166545300001 35.6812413850001,32.5903145300001 35.675176385,32.4178335300001 35.631032385,32.3592005300001 35.6360413850001,32.2955805300001 35.6364143850001,32.2533125300001 35.633869385,32.24860053 35.633486385,32.18670853 35.6397993850001,32.0874755300001 35.6493493850001,32.04210153 35.652639385,31.9869975300001 35.6565483850001,31.8833605300001 35.6627413850001,31.5343845290001 35.681191385,31.4710745290001 35.6820143850001,31.371011529 35.682789385,31.074052529 35.342663385,31.005584529 35.2653103850001,30.7840575290001 35.019716385,30.4786485280001 34.6871903840001,30.397378528 34.5990043840001,30.271073528 34.4723793840001,30.224294528 34.4254813840001,30.0791125280001 35.461876385,29.620006528 36.0854483860001,29.618857528 36.105446386,29.6196955280001 36.109727386,29.6206725280001 36.114050386,29.620994528 36.1157303860001,29.6223605280001 36.1217573860001,29.6243385280001 36.1284283860001,29.625118528 36.1309253860001,29.625319528 36.1316253860001,29.624550528 36.1327923860001,29.622952528 36.1347683860001,29.619357528 36.1401513860001,29.6156525280001 36.1479913860001,29.6135995280001 36.1517963860001,29.6134675280001 36.152147386,29.612850528 36.153293386,29.6126985280001 36.153425386,29.609040528 36.1564073860001,29.6091655280001 36.1569553860001,29.609964528 36.1587773860001,29.6121765280001 36.1663813860001,29.613318528 36.1709763860001,29.6140935280001 36.172611386,29.614155528 36.172881386,29.613789528 36.1746683860001,29.6101155280001 36.175650386,29.6034945280001 36.177558386,29.6002545280001 36.177295386,29.5990355280001 36.1770083860001,29.598119528 36.176950386,29.592900528 36.176254386,29.5891965280001 36.176138386,29.5862445280001 36.175850386,29.5840565280001 36.175850386,29.580696528 36.1754553860001,29.5797385280001 36.175399386,29.5770095280001 36.175399386,29.5734105280001 36.175219386,29.570295528 36.1753003860001,29.5686345280001 36.1753183860001,29.5669005280001 36.1735403860001,29.565995528 36.172582386,29.5611195280001 36.1684753860001,29.560787528 36.1683193860001,29.5516215280001 36.163552386,29.548700528 36.162073386,29.5473885280001 36.1613853860001,29.544669528 36.1600843860001,29.536117528 36.167634386,29.530695528 36.172018386,29.5295815280001 36.172942386,29.515318527 36.184423386,29.510743527 36.1839693860001,29.5084185270001 36.184071386,29.506201527 36.184319386,29.503322527 36.1844793860001,29.4950665270001 36.185509386,29.493699527 36.1855843860001,29.489948527 36.1859233860001,29.484807527 36.186093386,29.480108527 36.185236386,29.4700505270001 36.1733803860001,29.4686615270001 36.1719393860001,29.466128527 36.1692473860001,29.4575385270001 36.1619723860001,29.449758527 36.1558413860001,29.447050527 36.153764386,29.355762527 36.082008386,29.348302527 36.070193386,29.3393095270001 36.0555893860001,28.8726365270001 35.299706385,28.8494385270001 35.4244653850001,28.771194527 35.843249385,28.7299325270001 35.944295385,28.7242155270001 35.9571603850001,28.709797527 36.0153793850001,28.7029655270001 36.0380323860001,28.698852527 36.056009386,28.685906527 36.1131413860001,28.6856315270001 36.115603386,28.677484527 36.188071386,28.6719655270001 36.197058386,28.6641245270001 36.210076386,28.640628527 36.258927386,28.5716365270001 36.403063386,28.555510527 36.4365723860001,28.5518415270001 36.441673386,28.5349105270001 36.472159386,28.5220175270001 36.4845743860001,28.5069055270001 36.499336386,28.4886985270001 36.516809386,28.4869815270001 36.5184453860001,28.4775945270001 36.527459386,28.4423825260001 36.560980386,28.4060885260001 36.565369386,28.3911675260001 36.567867386,28.355671526 36.5738453860001,28.281937526 36.5742583860001,28.207325526 36.5620013860001,28.1254295260001 36.5251243860001,28.0020975260001 36.4695893860001,27.960676526 36.4703733860001,27.930916526 36.5373323860001,27.918692526 36.5925343860001,27.907992526 36.6408543860001,27.895497526 36.6972763860001,27.813951526 36.708633386,27.7748305260001 36.6934903860001,27.7256155260001 36.6442743860001,27.641670526 36.5743213860001,27.4997355260001 36.545406386,27.493237526 36.5442813860001,27.4850935260001 36.5432733860001,27.476886526 36.542697386,27.468649526 36.5425543860001,27.462141526 36.5427843860001,27.3514785250001 36.5861003860001,27.298108525 36.633572386,27.2726135250001 36.670540386,27.2502335250001 36.7029903860001,27.2471185250001 36.725991386,27.351010525 36.8075753860001,27.3847905260001 36.8566523860001,27.3937145260001 36.905093386,27.351647525 36.9184783860001,27.324877525 36.921027386,27.287272525 36.9388743860001,27.217799525 36.9452473860001,27.207601525 36.968830386,27.1629855250001 37.0606123860001,27.161710525 37.1651413870001,27.1587755250001 37.262032387,27.153627525 37.3117963870001,27.109011525 37.457655387,27.054099525 37.5640473870001,27.043803525 37.6670063870001,27.059247525 37.6910303870001,27.0867035250001 37.6996103870001,27.1649285250001 37.7240553870001,27.1604915250001 37.790558387,27.068187525 37.8864513870001,27.053961525 37.9138593870001,26.918741525 37.9647843870001,26.5894145250001 38.040890387,26.587574525 38.041324387,26.3632045250001 38.0954323870001,26.359348525 38.096410387,26.3514715250001 38.0987463870001,26.3438045250001 38.101483387,26.336379525 38.104611387,26.3292295250001 38.1081153870001,26.326705525 38.109478387,26.221701524 38.167533387,26.194617524 38.241496388,26.2230115240001 38.311061388,26.213073524 38.383465388,26.242887524 38.4459323880001,26.3152915250001 38.4530303880001,26.3209705250001 38.4984603880001,26.312452525 38.536792388,26.2797995240001 38.5737043880001,26.2502775240001 38.6070773880001,26.215779524 38.651550388,26.215910524 38.6565173880001,26.216163524 38.662197388,26.216973524 38.668815388,26.2183345240001 38.6753763880001,26.2202395240001 38.681854388,26.222682524 38.688221388,26.2256515240001 38.6944483880001,26.2291335240001 38.7005103880001,26.233115524 38.7063803880001,26.2375795240001 38.7120333880001,26.2425065240001 38.717446388,26.2478755240001 38.7225943880001,26.253663524 38.7274553880001,26.2598455240001 38.7320093880001,26.2663955240001 38.7362373880001,26.2732855240001 38.740119388,26.280485524 38.7436403880001,26.2879645240001 38.746784388,26.2956915240001 38.7495383880001,26.303631524 38.7518893880001,26.311752525 38.753829388,26.320017525 38.7553473880001,26.3238755250001 38.755905388,26.451229525 38.7726863880001,26.618532525 38.8091153880001,26.646563525 38.9097303880001,26.6993025250001 38.979992388,26.7046885250001 39.0320563880001,26.674167525 39.1218223880001,26.586197525 39.2205643880001,26.431800525 39.4342073890001,26.1427545240001 39.405482389,25.9817325240001 39.3961803890001,25.965531524 39.408879389,25.9605605240001 39.4129943890001,25.9550905240001 39.4181093890001,25.950061524 39.423491389,25.9454975240001 39.4291163890001,25.941416524 39.434960389,25.937836524 39.4409993890001,25.934772524 39.447206389,25.9322385240001 39.453555389,25.930245524 39.460019389,25.9288015240001 39.4665713890001,25.9279135240001 39.473181389,25.9275845240001 39.479822389,25.9275825240001 39.480612389,25.928242524 39.7143523890001,25.910906524 39.788522389,25.8926365240001 39.841675389,25.8909225240001 39.8473003890001,25.8894675240001 39.8538493890001,25.888570524 39.860458389,25.888236524 39.867098389,25.8884675240001 39.873740389,25.8892615240001 39.880357389,25.8906155240001 39.8869203890001,25.891612524 39.8905483890001,25.7575725240001 39.9441933890001,25.753214524 39.946013389,25.7458495240001 39.949480389,25.7387935240001 39.953309389,25.732077524 39.9574853890001,25.725730524 39.9619903890001,25.719778524 39.9668043890001,25.714247524 39.9719073890001,25.709161524 39.9772773890001,25.704542524 39.982891389,25.7004095240001 39.9887263890001,25.6983355240001 39.9920463890001,25.6333615240001 40.100846389,25.631802524 40.1035553890001,25.6286835240001 40.109753389,25.626099524 40.1160933890001,25.6240595240001 40.122550389,25.6225735240001 40.129096389,25.6216495240001 40.1357023890001,25.6212895240001 40.142340389,25.6214955240001 40.148982389,25.6222675240001 40.155599389,25.623602524 40.1621643890001,25.625494524 40.1686473890001,25.6279355240001 40.175022389,25.630914524 40.181260389,25.6344205240001 40.1873353890001,25.638437524 40.193222389,25.6429485240001 40.198894389,25.6479345240001 40.2043273890001,25.6533745240001 40.209498389,25.659244524 40.214386389,25.665519524 40.2189683890001,25.6721725240001 40.223225389,25.6791755240001 40.2271403890001,25.6864985240001 40.2306943890001,25.6937205240001 40.233723389,26.049914524 40.37141839,25.9064185240001 40.69720039,25.904181524 40.70277839,25.902151524 40.7092363900001,25.9006795240001 40.7157833900001,25.8997745240001 40.72238839,25.8994385240001 40.7290243900001,25.8995445240001 40.7309763900001,26.038294524 40.7337313900001,26.0447185240001 40.7358273900001,26.0573545240001 40.6535998900001,26.0761095240001 40.61367239,26.1186095240001 40.5951273900001,26.1486095240001 40.5922093900001,26.288881524 40.5922093900001,26.314854525 40.59415439,26.352772525 40.60749939,26.4380455250001 40.6166543900001,26.5802725250001 40.6316543900001,26.636945525 40.63609939,26.671099525 40.6369363900001,26.6919455250001 40.6391633900001,26.7638905250001 40.6599903900001,26.773745525 40.6599903900001,26.792909525 40.6506903900001,26.8258275250001 40.5915913900001,26.797499525 40.5677723900001,26.777218525 40.55582739,26.682918525 40.50985439,26.6466635250001 40.50832739,26.624990525 40.5102723900001,26.6047185250001 40.5076363900001,26.543154525 40.4829913900001,26.4180545250001 40.4263813900001,26.241936524 40.3402723900001,26.211590524 40.3221453890001,26.2316635240001 40.3016543890001,26.2670095240001 40.2590183890001,26.2676365240001 40.2184633890001,26.259854524 40.196936389,26.2433275240001 40.1717998890001,26.1644095240001 40.0519723890001,26.217909524 40.052909389,26.3219365250001 40.1085998890001,26.347499525 40.138327389,26.4402725250001 40.2374903890001,26.550827525 40.3063903890001,26.5816635250001 40.3263813890001,26.614999525 40.35610939,26.684927525 40.42727239,26.679927525 40.44825439,26.725409525 40.4780543900001,26.878327525 40.53277239,26.9705545250001 40.55470939,27.020281525 40.59221839,27.137381525 40.61794539,27.176663525 40.6316543900001,27.291527525 40.70026339,27.445554526 40.8523543900001,27.4524995260001 40.89249089,27.460545526 40.91360939,27.4851365260001 40.9641633900001,27.505345526 40.98130939,27.6861095260001 41.0072093900001,27.7319455260001 41.01249039,27.7765275260001 41.00999039,27.8280545260001 40.99389039,27.8552725260001 40.97693639,27.8880545260001 40.9680363900001,27.942081526 40.96874539,27.9795095260001 41.0011723900001,27.996945526 41.0277723900001,28.0765275260001 41.0597093900001,28.1172275260001 41.0652723900001,28.131945526 41.07166339,28.157909526 41.07749039,28.2130545260001 41.0802723900001,28.2427725260001 41.0791633900001,28.3761095260001 41.05443639,28.4234725260001 41.04360939,28.4480545260001 41.03374539,28.468054527 41.02012739,28.519299527 40.9902633900001,28.541881527 40.9908908900001,28.567772527 41.0212363900001,28.553254527 41.05887239,28.5270815270001 41.07971839,28.562218527 41.07172739,28.582772527 41.0447183900001,28.598327527 41.0069453900001,28.599163527 40.9782633900001,28.627772527 40.9605363900001,28.8271815270001 40.9559723900001,28.9024905270001 40.97777239,29.0362455270001 41.05457239,29.055545527 41.0824998900001,29.0683905270001 41.12310939,29.0392185270001 41.15453639,29.0710095270001 41.1743633900001,29.1073905270001 41.2215543900001,29.0888815270001 41.2462453900001,29.048463527 41.25555439,29.0288815270001 41.2438813900001,28.938045527 41.25610039,28.834999527 41.28221839,28.7924995270001 41.29720939,28.4580545270001 41.419436391,28.331945526 41.469436391,28.2929095260001 41.485827391,28.2607905260001 41.5020723910001,28.2427725260001 41.508881391,28.2169455260001 41.5236003910001,28.197218526 41.537909391,28.132218526 41.5941633910001,28.090545526 41.631381391,28.0766635260001 41.647772391,27.967636526 41.828472391,27.9654815260001 41.8636093910001,27.987736526 41.8905093910001,28.0324905260001 41.9091543910001,28.0283275260001 41.9374813910001,28.0130545260001 41.9822183910001,28.0135707790001 41.982216921,28.0314545260001 41.9787933910001,28.0314725260001 41.9787773910001,28.034749526 41.978194391,28.0347496900001 41.9781944980001),(27.5536095260001 40.5869363900001,27.601663526 40.5719363900001,27.609299526 40.5727723900001,27.6277725260001 40.5791633900001,27.7198545260001 40.6140183900001,27.733054526 40.6222093900001,27.733536526 40.6354093900001,27.706945526 40.64999039,27.663327526 40.6560993900001,27.651109526 40.65721839,27.6149995260001 40.6588723900001,27.598327526 40.65833639,27.545963526 40.6549903900001,27.532636526 40.6494363900001,27.5265275260001 40.64012739,27.529236526 40.6017993900001,27.5536095260001 40.5869363900001),(26.012427524 40.154018389,25.9405455240001 40.2399903890001,25.7766635240001 40.2122093890001,25.7152725240001 40.1813903890001,25.688890524 40.164981389,25.6722185240001 40.152490389,25.6658275240001 40.1232543890001,25.7316635240001 40.0930363890001,25.8244455240001 40.1002633890001,25.958054524 40.1210993890001,25.989999524 40.128872389,26.012427524 40.154018389)))', 'Turkish Exclusive Economic Zone', 'Turkey', 'Turkey', '', '76', '76', 'TUR', '5697', '', '256539046800', '5697', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5531135350001 -20.641268667,37.994500535 -20.1293416669999,38.0330175350001 -20.086535667,38.0849725350001 -20.028696667,38.350791536 -19.733605666,38.3721875360001 -19.715904666,38.384377536 -19.705931666,38.483350536 -19.625197666,38.5238685360001 -19.5922916659999,38.7285665360001 -19.4361506659999,38.7326865360001 -19.4331586659999,38.793961536 -19.421851666,39.740286537 -19.244539666,39.856328537 -19.222344666,39.9145745370001 -19.212333666,40.2746445380001 -19.150143666,40.3314785380001 -19.142759666,40.497481538 -19.121142666,40.9441815380001 -19.0788936659999,40.9444965380001 -19.079090666,41.153012538 -19.205372666,41.4590205390001 -19.5828106659999,41.4800405390001 -19.6085266659999,41.5121715390001 -19.793899666,41.5184465390001 -19.831218667,41.525735539 -19.876907667,41.525961539 -19.8784036669999,41.5326115390001 -19.922383667,41.5390565390001 -19.967639667,41.5450705390001 -20.0126746669999,41.5506515390001 -20.057489667,41.5558015390001 -20.1020846669999,41.5567235390001 -20.110758667,41.5606485390001 -20.1465226669999,41.565093539 -20.190755667,41.5691045390001 -20.234769667,41.572680539 -20.278564667,41.5758225390001 -20.3221406669999,41.578529539 -20.3654976669999,41.580801539 -20.4086376669999,41.5826385390001 -20.451560667,41.5840395390001 -20.494266667,41.5850065390001 -20.536755667,41.585536539 -20.5790276669999,41.5856315390001 -20.6210846669999,41.585289539 -20.662925667,41.5845125390001 -20.704551667,41.5832985390001 -20.745963667,41.5816475390001 -20.787160667,41.5795605390001 -20.828142667,41.5770355390001 -20.868911667,41.574073539 -20.9094676679999,41.5737055390001 -20.9138376679999,41.090084538 -21.2296416679999,40.733819538 -21.460154668,40.3803595380001 -21.6884396679999,40.374509538 -21.692169668,40.3707605380001 -21.694538668,40.3271465380001 -21.722004668,40.2176025370001 -21.789076668,40.205992537 -21.796121668,40.1636755370001 -21.8216176679999,40.1610845370001 -21.823183668,40.1593825370001 -21.8242066679999,40.1463225370001 -21.8320196679999,40.101599537 -21.858479668,40.069494537 -21.877218668,40.067599537 -21.878315668,39.8529155370001 -22.017452669,39.7695245370001 -22.0712926689999,39.7045625370001 -22.113027669,39.6265785370001 -22.163255669,39.3785145370001 -22.3245606689999,39.235034537 -22.4172256689999,39.1528815360001 -22.470732669,39.0192575360001 -22.5560346689999,37.9869525350001 -23.2013596699999,37.738181535 -22.424109669,37.715080535 -22.329030669,37.714199535 -22.325410669,37.700126535 -22.265693669,37.679506535 -22.158439669,37.6274675350001 -21.8863906679999,37.6016115350001 -21.765005668,37.5968675350001 -21.710089668,37.5845025350001 -21.564404668,37.5843895350001 -21.562958668,37.584061535 -21.555616668,37.579967535 -21.453787668,37.579160535 -21.434170668,37.5531135350001 -20.641268667)))', 'Bassas da India Exclusive Economic Zone', 'Bassas da India', 'France', '', '179', '34', 'ATF', '8340', '', '121906152600', '8340', 'Y'),('SRID=4326;MULTIPOLYGON(((67.054638562 -53.2501186979999,67.0557095620001 -53.2352556979999,68.092098563 -52.707754697,69.734042565 -51.9716436959999,71.2082095660001 -51.408865696,72.474598567 -51.052476696,72.8226535680001 -50.906364695,75.60208757 -49.826204694,75.6203325700001 -49.8309176939999,75.6424205700001 -49.836695694,75.66447257 -49.8425356939999,75.6864885700001 -49.848436694,75.708466571 -49.8543986939999,75.7304085710001 -49.860423694,75.7523115710001 -49.8665086949999,75.7741765710001 -49.8726556949999,75.796002571 -49.878863695,75.817790571 -49.885132695,75.839538571 -49.891462695,75.861246571 -49.897853695,75.8829145710001 -49.904304695,75.904541571 -49.9108166949999,75.926128571 -49.9173886949999,75.9476735710001 -49.924021695,75.969176571 -49.9307146949999,75.990637571 -49.937467695,76.0120565710001 -49.944281695,76.033432571 -49.951154695,76.0547645710001 -49.958086695,76.076052571 -49.965079695,76.0972975710001 -49.972131695,76.118497571 -49.979242695,76.1396525710001 -49.986413695,76.1607615710001 -49.9936426949999,76.181825571 -50.000931695,76.2028435710001 -50.0082786949999,76.223814571 -50.0156856949999,76.2447395710001 -50.023150695,76.2656165710001 -50.030673695,76.2864455710001 -50.038255695,76.3072275710001 -50.045895695,76.3279605710001 -50.053593695,76.3486445710001 -50.0613486949999,76.3692795710001 -50.0691626949999,76.389865571 -50.077033695,76.4104005710001 -50.0849626949999,76.430885571 -50.092948695,76.4513205710001 -50.1009926949999,76.471703571 -50.109092695,76.492034571 -50.1172506949999,76.512314571 -50.1254646949999,76.5325415710001 -50.133735695,76.5527165710001 -50.1420626949999,76.572838571 -50.150446695,76.5929065710001 -50.158886695,76.6129205710001 -50.167382695,76.632880571 -50.175934695,76.652785571 -50.1845426949999,76.6726365710001 -50.193205695,76.692431571 -50.2019236949999,76.7121705710001 -50.210697695,76.731853571 -50.219526695,76.7514805710001 -50.228410695,76.771050571 -50.237349695,76.7905625720001 -50.246342695,76.810017572 -50.255390695,76.8294135720001 -50.2644926949999,76.8487525720001 -50.273649695,76.8680315720001 -50.282859695,76.8872515720001 -50.292123695,76.9064125720001 -50.3014416949999,76.9255135720001 -50.310812695,76.9445535720001 -50.3202376949999,76.9635335720001 -50.3297156949999,76.9824525720001 -50.3392456949999,77.0013095720001 -50.3488296949999,77.020104572 -50.358465695,77.038837572 -50.3681536949999,77.0575085720001 -50.377894695,77.076116572 -50.387687695,77.0946605720001 -50.3975326949999,77.1131405720001 -50.407428695,77.1315575720001 -50.417376695,77.1499095720001 -50.427376695,77.1681965720001 -50.4374276949999,77.186419572 -50.447528695,77.2045755720001 -50.457681695,77.222666572 -50.467884695,77.2406905720001 -50.478138695,77.2586485720001 -50.4884416949999,77.276539572 -50.498795695,77.2943625720001 -50.509199695,77.312118572 -50.5196536949999,77.3298055720001 -50.530156695,77.3474245720001 -50.540708695,77.3649745720001 -50.551310695,77.3824555720001 -50.561960695,77.3998665720001 -50.572659695,77.4172075720001 -50.5834076949999,77.434478572 -50.594203695,77.451679572 -50.6050476949999,77.4688085720001 -50.615939695,77.4858665720001 -50.626879695,77.5028525720001 -50.637867695,77.519766572 -50.6489026949999,77.536608572 -50.6599836949999,77.553376572 -50.671112695,77.5700725720001 -50.682288695,77.5866945720001 -50.693510695,77.6032425720001 -50.704778695,77.6197155720001 -50.716093695,77.634993572 -50.7265766949999,77.6502075720001 -50.737098695,77.6653565720001 -50.747659695,77.683041572 -50.7583036949999,77.7006565720001 -50.7689956949999,77.7182015720001 -50.7797376949999,77.735675572 -50.790528695,77.7530775720001 -50.801367695,77.7704095720001 -50.812255695,77.787668572 -50.8231916949999,77.8048565720001 -50.8341756949999,77.8219705720001 -50.8452076949999,77.8390125720001 -50.8562876949999,77.8559805730001 -50.867414695,77.872875573 -50.878588695,77.889696573 -50.8898096949999,77.906442573 -50.901077695,77.9231145730001 -50.9123926949999,77.9397105730001 -50.923753695,77.9562315730001 -50.935160695,77.9726765730001 -50.946614696,77.9890455730001 -50.9581136959999,78.0053385730001 -50.969657696,78.0215535730001 -50.981247696,78.0376915730001 -50.992882696,78.0537525730001 -51.0045626959999,78.0697345730001 -51.016286696,78.085639573 -51.028055696,78.101464573 -51.039869696,78.1172115730001 -51.0517266959999,78.1328785730001 -51.063627696,78.1484655730001 -51.0755716959999,78.1639725730001 -51.087559696,78.1793995730001 -51.0995916959999,78.194745573 -51.1116656959999,78.210010573 -51.123781696,78.2251935730001 -51.135940696,78.2402955730001 -51.148142696,78.2553145730001 -51.1603856959999,78.2702515730001 -51.172670696,78.2851055730001 -51.184996696,78.2998755730001 -51.197364696,78.314562573 -51.209773696,78.3291665730001 -51.222223696,78.3436845730001 -51.234713696,78.3581195730001 -51.2472446959999,78.372468573 -51.259814696,78.3867325730001 -51.272425696,78.400911573 -51.285075696,78.415003573 -51.2977656959999,78.429009573 -51.310494696,78.4429295730001 -51.323261696,78.4567615730001 -51.336068696,78.4705075730001 -51.348912696,78.484164573 -51.3617956959999,78.4977345730001 -51.374716696,78.5112165730001 -51.387675696,78.5246085730001 -51.400671696,78.5379125730001 -51.413704696,78.551127573 -51.4267746959999,78.564252573 -51.439881696,78.577287573 -51.4530246959999,78.590232573 -51.466204696,78.603086573 -51.479419696,78.615849573 -51.4926706959999,78.6285215730001 -51.5059566959999,78.6411025730001 -51.519278696,78.6535915730001 -51.5326346959999,78.6659875730001 -51.546026696,78.6782915730001 -51.5594516959999,78.6905025730001 -51.5729116959999,78.702620573 -51.5864046959999,78.714645573 -51.5999326959999,78.726576573 -51.613492696,78.7384125730001 -51.6270866959999,78.750155573 -51.640712696,78.7618025730001 -51.6543716959999,78.7733555730001 -51.6680636959999,78.7848125730001 -51.681786696,78.796174573 -51.695541696,78.8074395730001 -51.7093286959999,78.8186095730001 -51.723145696,78.8296825730001 -51.736994696,78.840658573 -51.750874696,78.851537573 -51.7647846959999,78.862318573 -51.778724696,78.8730025730001 -51.792694696,78.8835885730001 -51.806693696,78.8940755730001 -51.820722696,78.904464573 -51.8347806959999,78.914753573 -51.848866696,78.9249445740001 -51.862982696,78.935035574 -51.877125696,78.9450265740001 -51.891296696,78.954917574 -51.9054956959999,78.964708574 -51.919722696,78.9743985740001 -51.9339756959999,78.9839875740001 -51.9482556959999,78.9934755740001 -51.962562696,79.0028615740001 -51.976895696,79.012146574 -51.9912546959999,79.0213285740001 -52.0056396959999,79.030408574 -52.0200496969999,79.0393855740001 -52.034484697,79.048260574 -52.048945697,79.0570315740001 -52.0634296969999,79.0656995740001 -52.077938697,79.074263574 -52.092471697,79.0827235740001 -52.107027697,79.091079574 -52.1216076969999,79.0993305740001 -52.136210697,79.1074445740001 -52.150771697,79.1154535740001 -52.1653536969999,79.1233595740001 -52.179958697,79.131159574 -52.194585697,79.138855574 -52.2092326969999,79.146445574 -52.223902697,79.1539305740001 -52.2385926969999,79.1613105740001 -52.253302697,79.1685835740001 -52.268033697,79.1757505740001 -52.282784697,79.1828115740001 -52.297554697,79.189765574 -52.312344697,79.1966125740001 -52.327153697,79.2033525740001 -52.3419816969999,79.209985574 -52.356827697,79.216510574 -52.371691697,79.222927574 -52.386574697,79.2292365740001 -52.401474697,79.2354365740001 -52.4163916969999,79.2415285740001 -52.431325697,79.247512574 -52.446276697,79.253386574 -52.461243697,79.259150574 -52.476227697,79.264806574 -52.4912266969999,79.2703515740001 -52.506241697,79.275787574 -52.521271697,79.2811125740001 -52.536315697,79.286327574 -52.551375697,79.2914325740001 -52.5664486969999,79.2964255740001 -52.5815366969999,79.3013085740001 -52.5966376969999,79.3060795740001 -52.611752697,79.3107385740001 -52.6268796969999,79.3152865740001 -52.642020697,79.3197235740001 -52.657172697,79.3240475740001 -52.6723376969999,79.3282585740001 -52.687514697,79.3323575740001 -52.702702697,79.3363445740001 -52.7179016969999,79.3402175740001 -52.733111697,79.3439785740001 -52.748332697,79.3476255740001 -52.7635636969999,79.3511595740001 -52.7788046969999,79.3545785740001 -52.794054697,79.3578845740001 -52.8093146969999,79.361076574 -52.824582697,79.3641545740001 -52.839859697,79.3671175740001 -52.855145697,79.369966574 -52.8704396969999,79.3727005740001 -52.885740697,79.3753195740001 -52.901049697,79.377822574 -52.9163646969999,79.380211574 -52.931687697,79.382484574 -52.947016697,79.3846415740001 -52.962351697,79.3866825740001 -52.977692697,79.388607574 -52.993038697,79.3904175740001 -53.008389697,79.3921095740001 -53.023745697,79.3936865740001 -53.039106697,79.3951465740001 -53.0544716969999,79.396488574 -53.069840697,79.3977145740001 -53.085212697,79.3988235740001 -53.100587698,79.3998155740001 -53.115965698,79.4006895740001 -53.131346698,79.401446574 -53.1467296979999,79.4020855740001 -53.162114698,79.4026065740001 -53.177501698,79.4030095740001 -53.1928886979999,79.4032945740001 -53.208277698,79.4034615740001 -53.2236666979999,79.4035105740001 -53.239056698,79.4034405740001 -53.254445698,79.4032515740001 -53.269834698,79.4029445740001 -53.285223698,79.4025175740001 -53.300610698,79.4019725740001 -53.3159966979999,79.401308574 -53.331380698,79.400524574 -53.346762698,79.399621574 -53.362142698,79.3985995740001 -53.377519698,79.397457574 -53.392893698,79.396196574 -53.408263698,79.3948155740001 -53.423630698,79.393314574 -53.4389936979999,79.391693574 -53.454352698,79.3899525740001 -53.469705698,79.388091574 -53.4850546979999,79.386109574 -53.500398698,79.3840075740001 -53.515735698,79.381785574 -53.531067698,79.379443574 -53.546392698,79.3769805740001 -53.561711698,79.3743965740001 -53.5770236979999,79.3716915740001 -53.592327698,79.368866574 -53.6076236979999,79.365920574 -53.6229126979999,79.362853574 -53.638192698,79.3596655740001 -53.6534636979999,79.3563565740001 -53.6687266979999,79.352926574 -53.683979698,79.3493755740001 -53.699222698,79.345702574 -53.7144556979999,79.3419085740001 -53.729678698,79.3379935740001 -53.7448906979999,79.3339575740001 -53.7600916979999,79.329799574 -53.775281698,79.3255195740001 -53.790459698,79.3211195740001 -53.805625698,79.3165965740001 -53.820778698,79.311953574 -53.8359196979999,79.3071875740001 -53.8510476979999,79.3023005740001 -53.866161698,79.297292574 -53.8812626979999,79.292161574 -53.8963486979999,79.286909574 -53.911420698,79.281536574 -53.926477698,79.276041574 -53.941519698,79.2704245740001 -53.956546698,79.2646855740001 -53.971557698,79.2588245740001 -53.986552698,79.2528425740001 -54.001530698,79.2467395740001 -54.016492698,79.240513574 -54.0314366979999,79.2341665740001 -54.0463636979999,79.227697574 -54.061273698,79.221107574 -54.076164698,79.214394574 -54.091036698,79.2075615740001 -54.1058906979999,79.2006055740001 -54.1207256979999,79.1935285740001 -54.1355406979999,79.1863305740001 -54.1503356979999,79.1790105740001 -54.165110699,79.171569574 -54.1798656989999,79.164006574 -54.194599699,79.1563215740001 -54.209312699,79.148516574 -54.224003699,79.1406415740001 -54.2385856989999,79.132647574 -54.253146699,79.1245335740001 -54.267684699,79.116299574 -54.282200699,79.107946574 -54.2966936989999,79.0994735740001 -54.311162699,79.090880574 -54.325608699,79.082168574 -54.340031699,79.0733375740001 -54.354429699,79.0643865740001 -54.368802699,79.0553175740001 -54.3831516989999,79.0461285740001 -54.397474699,79.036820574 -54.411772699,79.027393574 -54.4260446989999,79.017847574 -54.4402906989999,79.008183574 -54.454509699,78.9983995740001 -54.4687026989999,78.9884985740001 -54.4828676989999,78.9784775740001 -54.4970056989999,78.9683395740001 -54.511115699,78.9580825740001 -54.5251976989999,78.947707574 -54.539251699,78.9372145740001 -54.553276699,78.9266035740001 -54.5672716989999,78.9158755730001 -54.581237699,78.905029573 -54.595174699,78.894065573 -54.6090806989999,78.882984573 -54.622956699,78.8717855730001 -54.6368016989999,78.860470573 -54.650615699,78.849037573 -54.6643986989999,78.837488573 -54.678149699,78.825822573 -54.6918686989999,78.8140405730001 -54.7055556989999,78.8021415730001 -54.719209699,78.7901265730001 -54.732830699,78.7779955730001 -54.7464186989999,78.7657485730001 -54.7599726989999,78.7533865730001 -54.773492699,78.7409085730001 -54.786978699,78.728315573 -54.8004296989999,78.7156655730001 -54.813789699,78.7029025730001 -54.8271146989999,78.6900255730001 -54.840404699,78.6770345730001 -54.8536596989999,78.6639305730001 -54.866877699,78.6507135730001 -54.880060699,78.6373835730001 -54.893206699,78.6239405730001 -54.9063156989999,78.610384573 -54.919387699,78.596716573 -54.932422699,78.582935573 -54.945419699,78.569043573 -54.958378699,78.555039573 -54.9712986989999,78.540923573 -54.984180699,78.526696573 -54.997023699,78.512358573 -55.009827699,78.4979095730001 -55.022592699,78.4833505730001 -55.035316699,78.468680573 -55.0480006989999,78.4539005730001 -55.060644699,78.4390105730001 -55.073247699,78.424011573 -55.085809699,78.408902573 -55.098330699,78.393684573 -55.110809699,78.3783575730001 -55.1232466989999,78.362922573 -55.135641699,78.3473785730001 -55.147993699,78.3317275730001 -55.1603036989999,78.3159675730001 -55.172569699,78.3001005730001 -55.184792699,78.284126573 -55.196971699,78.2680455730001 -55.209106699,78.2518575730001 -55.221197699,78.235563573 -55.2332436999999,78.2191635730001 -55.2452446999999,78.2026575730001 -55.2572006999999,78.1860465730001 -55.2691106999999,78.1693295730001 -55.2809756999999,78.152508573 -55.2927936999999,78.1355825730001 -55.3045657,78.118552573 -55.3162917,78.101419573 -55.3279697,78.0841815730001 -55.3396016999999,78.066841573 -55.3511857,78.0493975730001 -55.3627217,78.031852573 -55.3742096999999,78.014203573 -55.3856486999999,77.9964535730001 -55.3970396999999,77.978602573 -55.4083817,77.9606495730001 -55.4196747,77.9425965730001 -55.4309177,77.9244425730001 -55.4421116999999,77.9061885730001 -55.4532556999999,77.8878345730001 -55.4643487,77.8693815730001 -55.4753906999999,77.8508295730001 -55.4863827,77.832178572 -55.4973237,77.8134295720001 -55.5082126999999,77.7945825720001 -55.5190507,77.775638572 -55.5298357,77.756596572 -55.5405696999999,77.737458572 -55.5512507,77.7181465720001 -55.5619316999999,77.698736572 -55.5725596999999,77.679231572 -55.5831337,77.6596295720001 -55.5936536999999,77.6399315720001 -55.6041197,77.6201395720001 -55.6145306999999,77.600252572 -55.6248866999999,77.5802705720001 -55.6351887,77.5601955720001 -55.6454347,77.540026572 -55.6556247,77.519764572 -55.6657597,77.499409572 -55.6758387,77.4789635720001 -55.6858607,77.4584245720001 -55.6958266999999,77.4377955720001 -55.7057356999999,77.417075572 -55.7155867,77.3962645720001 -55.7253817,77.3753635720001 -55.7351176999999,77.354374572 -55.7447966999999,77.3332955720001 -55.7544177,77.3121275720001 -55.7639806999999,77.2908725720001 -55.7734837,77.2695295720001 -55.7829287,77.2480995720001 -55.7923147,77.226583572 -55.8016416999999,77.2049805720001 -55.8109087,77.1832925720001 -55.8201157,77.161519572 -55.8292637,77.1396615720001 -55.8383507,77.1177205720001 -55.8473767,77.0956945720001 -55.8563427,77.0735865720001 -55.8652476999999,77.051395572 -55.8740907,77.0291225720001 -55.8828736999999,77.0067675720001 -55.8915937,76.984331572 -55.9002527,76.961815572 -55.9088487,76.9392195720001 -55.9173837,76.9165445720001 -55.9258546999999,76.8937895720001 -55.9342637,76.8709565720001 -55.9426096999999,76.848046572 -55.9508926999999,76.825058572 -55.9591116999999,76.8019935720001 -55.9672677,76.7788525720001 -55.9753597,76.7556365710001 -55.9833877,76.7323445710001 -55.9913506999999,76.708978571 -55.9992497,76.6855385710001 -56.0070847,76.6620245710001 -56.0148536999999,76.6384385710001 -56.0225586999999,76.614779571 -56.0301977,76.591049571 -56.0377717,76.5672475710001 -56.0452797,76.5433755710001 -56.0527217,76.519433571 -56.0600977,76.4954225710001 -56.0674076999999,76.471342571 -56.0746507,76.4471945710001 -56.0818277,76.422978571 -56.0889367,76.3986955710001 -56.0959797,76.374345571 -56.1029556999999,76.3499305710001 -56.1098636999999,76.325450571 -56.1167047,76.3016195710001 -56.1241957,76.277718571 -56.1316196999999,76.2537465710001 -56.1389786999999,76.2297055710001 -56.1462716999999,76.2055965710001 -56.1534976999999,76.1814185710001 -56.1606576999999,76.157173571 -56.1677506999999,76.132861571 -56.1747766999999,76.1084835710001 -56.1817356999999,76.0840385710001 -56.1886267,76.059529571 -56.1954517,76.0349555710001 -56.2022077,76.0103185710001 -56.2088967,75.985616571 -56.2155177,75.960853571 -56.2220697,75.9360275710001 -56.2285547,75.911139571 -56.2349707,75.886191571 -56.2413177,75.8611835710001 -56.2475957,75.8361155710001 -56.2538046999999,75.8109885710001 -56.2599446999999,75.785803571 -56.2660157,75.760560571 -56.2720166999999,75.7352605710001 -56.2779487,75.709903571 -56.2838106999999,75.68449157 -56.2896026999999,75.65902457 -56.2953237,75.6335025700001 -56.3009757,75.6079275700001 -56.3065567,75.58229857 -56.3120667009999,75.5566175700001 -56.317506701,75.5308835700001 -56.322875701,75.5050995700001 -56.328173701,75.4792645700001 -56.333399701,75.45337957 -56.338555701,75.42744557 -56.343639701,75.40146357 -56.3486517009999,75.38128957 -56.352504701,75.3610865700001 -56.356314701,75.3359945700001 -56.360983701,75.31086057 -56.365585701,75.2856835700001 -56.370121701,75.2604655700001 -56.3745907009999,75.2352065700001 -56.378992701,75.20990657 -56.383327701,75.1845665700001 -56.387595701,75.15918657 -56.391796701,75.13376857 -56.3959297009999,75.1083125700001 -56.399995701,75.0828195700001 -56.4039937009999,75.0572895700001 -56.407923701,75.0317225700001 -56.411786701,75.0061205700001 -56.415581701,74.98048357 -56.419308701,74.9548115700001 -56.4229677009999,74.92910657 -56.426559701,74.9022565700001 -56.4302637009999,74.87537057 -56.4338927009999,74.8484495700001 -56.4374477009999,74.8214945700001 -56.440927701,74.7945065700001 -56.4443337009999,74.7674845700001 -56.447664701,74.7424715700001 -56.4506827009999,74.71743057 -56.4536367009999,74.6923645700001 -56.456526701,74.6672715700001 -56.4593527009999,74.6421535700001 -56.462113701,74.6170115690001 -56.464811701,74.591845569 -56.467443701,74.566655569 -56.470012701,74.5414435690001 -56.472516701,74.5162085690001 -56.4749557009999,74.488684569 -56.477560701,74.4611365690001 -56.4800887009999,74.4335635690001 -56.482539701,74.405966569 -56.484913701,74.378346569 -56.487210701,74.3507045690001 -56.4894307009999,74.3230415690001 -56.4915727009999,74.295356569 -56.493638701,74.2676525690001 -56.4956267009999,74.2399295690001 -56.4975377009999,74.212187569 -56.499371701,74.184427569 -56.501127701,74.1566515690001 -56.5028067009999,74.128858569 -56.5044077009999,74.1010505690001 -56.505931701,74.073228569 -56.5073777009999,74.0453915690001 -56.508745701,74.0175425690001 -56.5100367009999,73.989680569 -56.5112497009999,73.961806569 -56.512384701,73.9339225690001 -56.513442701,73.9060285690001 -56.5144227009999,73.8784845690001 -56.5154837009999,73.8509315690001 -56.516468701,73.8233685690001 -56.517378701,73.7957975690001 -56.518211701,73.7682195690001 -56.5189687009999,73.7406335690001 -56.5196497009999,73.713041569 -56.5202557009999,73.685443569 -56.520784701,73.6578415690001 -56.521237701,73.630234569 -56.521614701,73.6026255690001 -56.521915701,73.5750125690001 -56.522140701,73.5473985680001 -56.522289701,73.519783568 -56.522361701,73.4921675680001 -56.522358701,73.4643215680001 -56.522309701,73.436475568 -56.522182701,73.408630568 -56.521977701,73.3807895680001 -56.5216967009999,73.352950568 -56.5213367009999,73.3251155680001 -56.520900701,73.2972855680001 -56.520386701,73.2694605680001 -56.519795701,73.241642568 -56.5191267009999,73.213830568 -56.518380701,73.186026568 -56.517557701,73.1582315680001 -56.516657701,73.1304455680001 -56.515679701,73.1026685680001 -56.5146257009999,73.0749035680001 -56.513493701,73.0471495680001 -56.5122847009999,73.0194075680001 -56.5109987009999,72.9916795680001 -56.509634701,72.9639645680001 -56.508194701,72.9362635680001 -56.5066777009999,72.9085785680001 -56.5050827009999,72.8809095680001 -56.5034117009999,72.8532575680001 -56.501663701,72.825622568 -56.499839701,72.7980055680001 -56.497937701,72.7704085680001 -56.4959597009999,72.742830568 -56.493904701,72.715273568 -56.4917727009999,72.687737568 -56.4895647009999,72.660223568 -56.487279701,72.6327325680001 -56.484918701,72.6052645680001 -56.482481701,72.577821568 -56.479967701,72.550402568 -56.477378701,72.5230105680001 -56.474712701,72.495644568 -56.471969701,72.4683055670001 -56.469151701,72.4409945670001 -56.466257701,72.4137115670001 -56.463288701,72.386458567 -56.460242701,72.359236567 -56.4571217009999,72.3320445670001 -56.4539247009999,72.304884567 -56.450651701,72.277756567 -56.447304701,72.2506615670001 -56.443880701,72.2236005670001 -56.440382701,72.196573567 -56.436808701,72.1695825670001 -56.433160701,72.142627567 -56.429436701,72.1157085670001 -56.425638701,72.0888275670001 -56.421765701,72.0619845670001 -56.4178177009999,72.0351805670001 -56.413795701,72.008415567 -56.409699701,71.981691567 -56.405528701,71.9550075670001 -56.401283701,71.9283665670001 -56.3969637009999,71.901766567 -56.392570701,71.8752105670001 -56.388103701,71.848698567 -56.383563701,71.8222305670001 -56.378948701,71.7958075670001 -56.374261701,71.769430567 -56.3694997009999,71.7448955670001 -56.365002701,71.7204005670001 -56.360441701,71.6959485670001 -56.355816701,71.671537567 -56.3511297009999,71.647169567 -56.3463787009999,71.6228445670001 -56.341564701,71.598563567 -56.336687701,71.5743265670001 -56.331748701,71.550135567 -56.3267467009999,71.5259885670001 -56.3216817009999,71.501887567 -56.316554701,71.4814595670001 -56.314221701,71.461049567 -56.311845701,71.4406555670001 -56.3094277009999,71.4141195670001 -56.3062307,71.3876135660001 -56.3029607,71.3611385660001 -56.2996176999999,71.334696566 -56.2962037,71.308286566 -56.2927167,71.2819105660001 -56.2891577,71.2555695660001 -56.2855266999999,71.229262566 -56.2818237,71.202991566 -56.2780486999999,71.1767565660001 -56.2742026999999,71.150558566 -56.2702836999999,71.1243985660001 -56.2662946999999,71.098276566 -56.2622327,71.0721935660001 -56.2581006999999,71.0461505660001 -56.2538967,71.020147566 -56.2496217,70.9941845660001 -56.2452757,70.9682645660001 -56.2408586999999,70.942385566 -56.2363707,70.9165505660001 -56.2318127,70.890758566 -56.2271837,70.8650105660001 -56.2224836999999,70.8393075660001 -56.2177146999999,70.813650566 -56.2128747,70.7880395660001 -56.2079646999999,70.762474566 -56.2029846999999,70.7369575660001 -56.1979347,70.7114885660001 -56.1928157,70.6860685660001 -56.1876267,70.6606975660001 -56.1823687,70.635377566 -56.1770407,70.6101065660001 -56.1716436999999,70.5848875660001 -56.1661786999999,70.5597205660001 -56.1606437,70.534606566 -56.1550407,70.509544566 -56.1493687,70.484537566 -56.1436287,70.459583566 -56.1378197,70.434685566 -56.1319437,70.4098425660001 -56.1259987,70.3850565660001 -56.1199867,70.3609025660001 -56.1140607,70.3368025660001 -56.1080697,70.3127585650001 -56.1020147,70.287712565 -56.0956257,70.262727565 -56.0891667,70.237805565 -56.0826387,70.212945565 -56.0760417,70.1881485650001 -56.0693747,70.163415565 -56.0626387,70.1387475650001 -56.0558346999999,70.1141445650001 -56.0489617,70.0896075650001 -56.0420197,70.065136565 -56.0350096999999,70.040733565 -56.0279317,70.016397565 -56.0207867,69.9921295650001 -56.0135726999999,69.9679305650001 -56.0062917,69.9438005650001 -55.9989437,69.919741565 -55.9915286999999,69.8957525650001 -55.9840467,69.8718355650001 -55.9764977,69.847989565 -55.9688816999999,69.824216565 -55.9612006999999,69.8005155650001 -55.9534527,69.776889565 -55.9456387,69.753336565 -55.9377597,69.729858565 -55.9298147,69.7064555650001 -55.9218046999999,69.6831295650001 -55.9137287,69.659878565 -55.9055887,69.6367055650001 -55.8973837,69.613609565 -55.8891146999999,69.5905925650001 -55.8807816999999,69.5676525650001 -55.8723846999999,69.5447935650001 -55.8639237,69.5220125650001 -55.8553987,69.4993135650001 -55.8468106999999,69.4766945650001 -55.8381596999999,69.4541565650001 -55.8294457,69.431700565 -55.8206696999999,69.4093275650001 -55.8118307,69.3870365650001 -55.8029296999999,69.364829565 -55.7939666999999,69.3427065650001 -55.7849416999999,69.3206685650001 -55.7758557,69.2987145650001 -55.7667077,69.276846565 -55.7574997,69.2550645640001 -55.7482307,69.233369564 -55.7389006999999,69.211761564 -55.7295106999999,69.1902405640001 -55.7200607,69.1688075640001 -55.7105506999999,69.1474625640001 -55.7009816999999,69.1262075640001 -55.6913527,69.105041564 -55.6816656999999,69.083965564 -55.6719186999999,69.062979564 -55.6621137,69.042085564 -55.6522507,69.021281564 -55.6423296999999,69.000570564 -55.6323507,68.979951564 -55.6223137,68.9594245640001 -55.6122197,68.938991564 -55.6020697,68.9186515640001 -55.5918617,68.898405564 -55.5815977,68.878254564 -55.5712776999999,68.8581985640001 -55.5609016999999,68.8382375640001 -55.5504697,68.8183725640001 -55.5399816999999,68.7986035640001 -55.5294397,68.7789315640001 -55.5188426999999,68.7593575640001 -55.5081906999999,68.739879564 -55.4974847,68.7205005640001 -55.4867237,68.701218564 -55.4759096999999,68.682036564 -55.4650427,68.6629535640001 -55.4541217,68.643969564 -55.4431476999999,68.6250855640001 -55.4321217,68.606302564 -55.4210427,68.5876195640001 -55.4099117,68.569038564 -55.3987286999999,68.550558564 -55.3874946999999,68.532179564 -55.3762087,68.513904564 -55.3648717,68.495730564 -55.3534847,68.4776605640001 -55.3420467,68.4596935640001 -55.3305587,68.441829564 -55.3190217,68.424070564 -55.3074336999999,68.406415564 -55.2957977,68.3888655640001 -55.2841117,68.3714205640001 -55.2723776999999,68.3540805640001 -55.2605957,68.336847564 -55.2487647,68.3197195640001 -55.2368867,68.3026985640001 -55.224960699,68.285783564 -55.2129876989999,68.2689765640001 -55.2009676989999,68.2522765640001 -55.188900699,68.2356835640001 -55.1767876989999,68.2191995640001 -55.1646286989999,68.202823564 -55.1524246989999,68.1865565640001 -55.1401746989999,68.170398563 -55.1278796989999,68.154348563 -55.115539699,68.138409563 -55.103154699,68.122579563 -55.090726699,68.1068595630001 -55.078253699,68.0912505630001 -55.065737699,68.075752563 -55.0531786989999,68.0603645630001 -55.040576699,68.045087563 -55.027931699,68.0299225630001 -55.0152446989999,68.014869563 -55.002515699,67.9999285630001 -54.989744699,67.9850995630001 -54.976932699,67.970383563 -54.964078699,67.9557795630001 -54.951184699,67.9412885630001 -54.938250699,67.926911563 -54.9252756989999,67.9126475630001 -54.9122606989999,67.898496563 -54.8992066989999,67.8844605630001 -54.886113699,67.8705385630001 -54.872981699,67.856730563 -54.859810699,67.8430375630001 -54.846601699,67.8294595630001 -54.833354699,67.8159965630001 -54.820070699,67.802648563 -54.806748699,67.789415563 -54.793390699,67.7762995630001 -54.779994699,67.763298563 -54.766563699,67.7504135630001 -54.753095699,67.7376445630001 -54.739592699,67.7249925630001 -54.726053699,67.712456563 -54.712480699,67.7000905630001 -54.698932699,67.6878395630001 -54.685351699,67.6757045630001 -54.671735699,67.6636865630001 -54.658087699,67.651784563 -54.6444056989999,67.6399995630001 -54.630690699,67.6283315630001 -54.6169436989999,67.6167795630001 -54.6031646989999,67.6053455630001 -54.589353699,67.5940285630001 -54.5755106989999,67.5828285630001 -54.561637699,67.571746563 -54.5477326989999,67.560781563 -54.5337976989999,67.5499345630001 -54.5198326989999,67.5392055630001 -54.505837699,67.5285945630001 -54.491812699,67.5181025630001 -54.4777586989999,67.5077275630001 -54.463676699,67.497471563 -54.449564699,67.487334563 -54.435425699,67.477315563 -54.421257699,67.467415563 -54.4070626989999,67.4576345630001 -54.392840699,67.4479715630001 -54.378591699,67.4384285630001 -54.364315699,67.429004563 -54.3500136989999,67.4196995630001 -54.335685699,67.410514563 -54.321332699,67.401447563 -54.306953699,67.3925015630001 -54.2925496989999,67.3836745630001 -54.2781216989999,67.374966563 -54.2636686989999,67.3663795630001 -54.2491926989999,67.3579115630001 -54.2346926989999,67.3495635630001 -54.2201686989999,67.341335563 -54.2056226989999,67.333226563 -54.191053699,67.325238563 -54.176462699,67.3173705630001 -54.161849699,67.3096225630001 -54.147214698,67.301995563 -54.132558698,67.2944875630001 -54.117880698,67.2871005630001 -54.103183698,67.2798335630001 -54.0884656979999,67.272686563 -54.073727698,67.265660563 -54.0589696979999,67.2587545630001 -54.044192698,67.251969563 -54.029397698,67.245304563 -54.014582698,67.238760563 -53.999749698,67.232336563 -53.9848996979999,67.226033563 -53.970030698,67.2196995630001 -53.955331698,67.2134825630001 -53.9406146979999,67.2073845630001 -53.925880698,67.201404563 -53.911130698,67.1955415630001 -53.896363698,67.1897975630001 -53.8815816979999,67.1841705630001 -53.8667836979999,67.178662563 -53.8519696979999,67.1732715630001 -53.837141698,67.1679995630001 -53.8222986979999,67.1628445630001 -53.8074416979999,67.1578085630001 -53.792570698,67.152889563 -53.777685698,67.148088563 -53.762786698,67.143405563 -53.747875698,67.138840563 -53.732951698,67.1343935630001 -53.7180156979999,67.1300635630001 -53.703067698,67.1258515630001 -53.688106698,67.1217575630001 -53.673135698,67.1177815630001 -53.658152698,67.1139225630001 -53.643159698,67.1101815630001 -53.6281556979999,67.106558562 -53.6131416979999,67.1030525620001 -53.598118698,67.099663562 -53.5830856979999,67.0963925620001 -53.5680426979999,67.0932385620001 -53.552991698,67.0902025620001 -53.537932698,67.087283562 -53.522864698,67.0844805620001 -53.507788698,67.0817965620001 -53.492705698,67.0792285620001 -53.477614698,67.0767775620001 -53.4625176979999,67.0744435620001 -53.4474136979999,67.072225562 -53.4323036979999,67.070125562 -53.417187698,67.0681415620001 -53.4020656979999,67.066274562 -53.3869386979999,67.064523562 -53.3718066979999,67.0628885620001 -53.356669698,67.061370562 -53.3415286979999,67.059955562 -53.326301698,67.0586575620001 -53.311071698,67.057477562 -53.295837698,67.056413562 -53.2806006979999,67.055467562 -53.2653606979999,67.054638562 -53.2501186979999),(73.303463568 -52.965145697,73.2347095680001 -52.992499697,73.2424905680001 -53.0066726969999,73.255554568 -53.0191726969999,73.2880545680001 -53.026672697,73.357209568 -53.078054697,73.396654568 -53.1383366979999,73.430263568 -53.1661186979999,73.4605365680001 -53.1891726979999,73.4744455680001 -53.1941726979999,73.509990568 -53.199445698,73.5316635680001 -53.1983366979999,73.5505545680001 -53.1958366979999,73.567490569 -53.191945698,73.621654569 -53.1726456979999,73.635818569 -53.164172698,73.6477635690001 -53.157781698,73.6677725690001 -53.1488906979999,73.6885995690001 -53.140836698,73.719709569 -53.131954698,73.746654569 -53.126945698,73.7738815690001 -53.1250276979999,73.7472095690001 -53.1208366979999,73.719436569 -53.110836698,73.7063725690001 -53.104999698,73.677763569 -53.088054698,73.663327569 -53.076118697,73.654709569 -53.067499697,73.6472185690001 -53.058063697,73.6327635690001 -53.0463906969999,73.5788905690001 -53.024445697,73.5270725680001 -53.012227697,73.4831815680001 -53.015554697,73.4658275680001 -53.025554697,73.444445568 -53.030281697,73.4341545680001 -53.0297276969999,73.3724995680001 -53.0191726969999,73.3545095680001 -53.007499697,73.303463568 -52.965145697)))', 'Heard and McDonald Islands Exclusive Economic Zone', 'Heard and McDonald Islands', 'Australia', '', '16', '94', 'HMD', '8388', '', '414874722400', '8388', 'Y'),('SRID=4326;MULTIPOLYGON(((11.751325052 -17.249775873,11.7527818930001 -17.254834816,11.752782214 -17.2548359309999,11.7537372350001 -17.2650105889999,11.749719235 -17.309174089,11.7477732350001 -17.329729089,11.7322192350001 -17.3722200889999,11.7205552350001 -17.457229089,11.7172192350001 -17.483610589,11.7163912350001 -17.539174089,11.7166642350001 -17.564165089,11.732500235 -17.76194709,11.7419462350001 -17.83028309,11.761110235 -17.96181059,11.7676372350001 -17.9881920899999,11.807219235 -18.0862560899999,11.8470822350001 -18.1391650899999,11.8923642350001 -18.18055609,11.943891235 -18.2477830899999,11.953055235 -18.2658380899999,11.9975002350001 -18.3743105899999,11.997919235 -18.41333809,12.020837235 -18.47111059,12.0830552350001 -18.5355560899999,12.125555235 -18.57778309,12.146110235 -18.5930560899999,12.1745822350001 -18.6127830899999,12.1966642360001 -18.6269470899999,12.213610236 -18.63862009,12.2308372360001 -18.65055609,12.2908372360001 -18.7008380899999,12.3066642360001 -18.7172290899999,12.4187462360001 -18.866529091,12.4416642360001 -18.899174091,12.460837236 -18.928056091,12.5422192360001 -19.067783091,12.5869462360001 -19.152501091,12.640000236 -19.261674091,12.688055236 -19.3694470909999,12.698610236 -19.399174091,12.7072192360001 -19.4177830909999,12.773337236 -19.5390920909999,12.791391236 -19.5650010909999,12.811946236 -19.598338091,12.9277732360001 -19.7893105909999,12.944446236 -19.8238920909999,12.970273236 -19.8733380919999,12.9797192360001 -19.8913920919999,12.989164236 -19.9094470919999,13.0302822360001 -20.0013920919999,13.0419462360001 -20.046392092,13.055691236 -20.073610592,13.0844462360001 -20.0994470919999,13.1166642360001 -20.1150740919999,13.140273236 -20.131111092,13.1597192360001 -20.154729092,13.1750002360001 -20.1808380919999,13.1988912360001 -20.2383380919999,13.217500236 -20.287501092,13.223891236 -20.307783092,13.238891236 -20.373056092,13.242219236 -20.402501092,13.2441642360001 -20.433056092,13.2526372360001 -20.4693105919999,13.279100237 -20.520074092,13.3063912370001 -20.5557650919999,13.3527732370001 -20.646665092,13.369446237 -20.7038920919999,13.3763912370001 -20.7398650919999,13.374582237 -20.781529092,13.3777822370001 -20.804447092,13.385000237 -20.824447092,13.403891237 -20.8623650919999,13.5769462370001 -21.129174093,13.701110237 -21.296110593,13.779164237 -21.3941740929999,13.812773237 -21.4315290929999,13.8591642370001 -21.507710593,13.865973237 -21.5488920929999,13.8779192370001 -21.594583093,13.9355552370001 -21.674447093,13.956664237 -21.7019470929999,13.9679822370001 -21.734656093,13.9526732370001 -21.778892093,14.0425002370001 -21.8622290929999,14.1025002370001 -21.914029093,14.1277822370001 -21.9405560929999,14.285828237 -22.123338094,14.387637238 -22.2834740939999,14.4163912380001 -22.3344470939999,14.511391238 -22.5527830939999,14.5245822380001 -22.629029094,14.527400238 -22.667956094,14.5248462380001 -22.6920650939999,14.529164238 -22.7200010939999,14.5390282380001 -22.801810594,14.5350002380001 -22.881601094,14.5170822380001 -22.926047094,14.4623642380001 -22.9970200939999,14.4447192380001 -22.960556094,14.447773238 -22.9265290939999,14.436600238 -22.882229094,14.410555238 -22.9672290939999,14.4093002380001 -23.026320094,14.431110238 -23.099447095,14.4405552380001 -23.1241740949999,14.4511102380001 -23.1422290949999,14.4538822380001 -23.1464010949999,14.461391238 -23.1663920949999,14.482782238 -23.2395830949999,14.4980552380001 -23.3243105949999,14.496110238 -23.350565095,14.481564238 -23.373129095,14.473682238 -23.346047095,14.4412462380001 -23.392920095,14.434310238 -23.414583095,14.440837238 -23.451392095,14.4809002380001 -23.553474095,14.495000238 -23.582783095,14.5005552380001 -23.6169470949999,14.510273238 -23.826392095,14.460064238 -23.958610595,14.4552732380001 -23.9877830949999,14.4626372380001 -24.103338095,14.4727732380001 -24.153338095,14.488337238 -24.199447096,14.510828238 -24.251947096,14.554446238 -24.3336200959999,14.570837238 -24.359729096,14.614310238 -24.461674096,14.6193002380001 -24.4868105959999,14.605100238 -24.521110596,14.598055238 -24.559865096,14.6068002380001 -24.578756096,14.664719238 -24.6422290959999,14.729446238 -24.7140290959999,14.7793002380001 -24.804029096,14.7943002380001 -24.8585470959999,14.787082238 -24.893056096,14.7916642380001 -24.937920096,14.801110238 -24.956674096,14.8320732380001 -24.9994380959999,14.838891238 -25.011392096,14.8566642380001 -25.058892096,14.8577732380001 -25.0872290959999,14.834164238 -25.1875010959999,14.811664238 -25.253338097,14.800973238 -25.2804200969999,14.8170822380001 -25.379174097,14.830000238 -25.4013920969999,14.8409732380001 -25.4186105969999,14.880900238 -25.567292097,14.8647192380001 -25.5902830969999,14.8491642380001 -25.633610597,14.834300238 -25.741947097,14.8377732380001 -25.761947097,14.9152732380001 -25.936810597,14.9355552380001 -25.9630560969999,14.957500238 -25.987783097,14.969446238 -26.0141650969999,14.980837238 -26.063474097,14.9816642380001 -26.0888920969999,14.9743002380001 -26.130210097,14.947364238 -26.1373650969999,14.959164238 -26.308056098,14.9698642380001 -26.3401470979999,14.991946238 -26.353620098,15.023191238 -26.3648650979999,15.0475002380001 -26.3750010979999,15.0880912380001 -26.4031650979999,15.1173642380001 -26.4470920979999,15.1311102380001 -26.478620098,15.1718002380001 -26.601665098,15.1666642380001 -26.623338098,15.136800238 -26.674656098,15.131737238 -26.631701098,15.094028238 -26.634174098,15.0797192380001 -26.650001098,15.084028238 -26.696874098,15.0950002380001 -26.735283098,15.1125002380001 -26.783892098,15.1577732380001 -26.9027830979999,15.1791642380001 -26.9183380979999,15.2022192380001 -26.9233380979999,15.2186102380001 -26.936674098,15.235282238 -26.9694470979999,15.270000238 -27.162229098,15.2643732380001 -27.214729098,15.287219238 -27.3022290979999,15.2941642380001 -27.322501098,15.3605552380001 -27.407220099,15.399164238 -27.455001099,15.5191642390001 -27.6269470989999,15.531110239 -27.6614650989999,15.521946239 -27.681810599,15.531046239 -27.730420099,15.552500239 -27.7544470989999,15.5702732390001 -27.767229099,15.6055552390001 -27.7975010989999,15.646946239 -27.843892099,15.6713912390001 -27.873474099,15.6827102390001 -27.9091010989999,15.676528239 -27.929174099,15.6897192390001 -27.9561105989999,15.736110239 -28.0111105989999,15.756391239 -28.034174099,15.8986102390001 -28.162783099,15.9733282390001 -28.2150010989999,15.997500239 -28.229174099,16.023191239 -28.241674099,16.0497192390001 -28.266392099,16.1172192390001 -28.337501099,16.1580552390001 -28.383892099,16.171946239 -28.3991740989999,16.354446239 -28.5627830999999,16.393328239 -28.5911201,16.4516282390001 -28.6146201,16.48959124 -28.5781830999999,16.48332824 -28.6083381,16.4833280460001 -28.6083390649999,16.4782905860001 -28.633443347,16.4782905770001 -28.6334433719999,16.4737501110001 -28.644802114,16.473739971 -28.644841127,16.4662281830001 -28.6564110589999,16.4653590990001 -28.658028755,16.4436156240001 -28.688825844,16.418487004 -28.7167253179999,16.3800175000001 -28.762002771,16.3198917190001 -28.8172245709999,16.3181000430001 -28.818306535,16.311384746 -28.822450433,16.2266932640001 -28.879209653,16.220313321 -28.883520641,16.202574059 -28.893230167,16.1647090760001 -28.914504978,16.1334734220001 -28.933275486,16.074487789 -28.969870557,15.9950981700001 -29.018263361,15.9179650310001 -29.0672750799999,15.848349139 -29.1081199389999,15.55167362 -29.291295034,15.344997549 -29.41958943,14.9633092400001 -29.657962281,13.8498872430001 -30.36725733,13.770953886 -30.4168877029999,13.64986699 -30.492720213,13.5851098250001 -30.522717496,13.530871543 -30.5497815859999,13.343749512 -30.6358030129999,13.3381995930001 -30.6288618839999,13.3378442860001 -30.6284175119999,12.902240239 -30.2453770979999,12.900405526 -30.243057623,12.898424574 -30.240552785,12.892811968 -30.2355914889999,12.8841910520001 -30.224687264,12.857526095 -30.201102385,12.856748227 -30.2001177179999,12.8554415410001 -30.198961568,12.849745722 -30.191750606,12.8401548360001 -30.18326228,12.838454268 -30.181108614,12.835589117 -30.1785723579999,12.832675861 -30.174882397,12.827746991 -30.1705185869999,12.8230012920001 -30.164506264,12.8149415280001 -30.1573685229999,12.808701682 -30.1494604869999,12.8046426830001 -30.145864731,12.804143766 -30.1452323079999,12.802555575 -30.1438252629999,12.782903236 -30.1189061009999,12.782902866 -30.1189057729999,12.782902227 -30.118904963,12.779938185 -30.116277488,12.7794610600001 -30.1156722809999,12.778647924 -30.114951436,12.4021137500001 -29.634825506,12.401596157 -29.633821891,12.4012772360001 -29.6332031009999,12.401276624 -29.6332023169999,12.4012762090001 -29.633201512,12.400565306 -29.632290285,12.3987322360001 -29.628735101,12.398731363 -29.6287339899999,12.3919981870001 -29.6201020079999,12.391988236 -29.620083101,12.3919881790001 -29.620083027,12.3919876160001 -29.620081936,12.391710017 -29.6197260169999,12.391607236 -29.619594101,12.335661236 -29.5109671,12.3356604260001 -29.5109660599999,12.335660063 -29.510965354,12.262356959 -29.4167132009999,12.2500529640001 -29.392737881,12.2470485050001 -29.3888692049999,12.115968638 -29.132754624,12.103141523 -29.116161969,12.0955752350001 -29.1063741,12.0944842320001 -29.104237102,12.094483525 -29.1042357229999,12.091586911 -29.100487464,12.0699812350001 -29.0581220999999,12.069611584 -29.057643444,12.0642327520001 -29.050677473,12.0634620720001 -29.049165413,12.0631292350001 -29.0485121,12.0631287960001 -29.048511531,12.0631282910001 -29.0485105389999,12.047144395 -29.027803446,12.039295688 -29.012394252,12.037918108 -29.0106087199999,12.0375182350001 -29.0100901,12.034890235 -29.0049301,12.034889903 -29.00492967,12.0348892800001 -29.004928446,12.0343413790001 -29.0042182089999,12.0281158760001 -28.9919906559999,12.020576911 -28.9822149579999,12.0204246980001 -28.9819158889999,12.020138235 -28.9813521,12.0194049620001 -28.980401343,12.0181417110001 -28.978763064,11.749366235 -28.4480730989999,11.748749235 -28.445882099,11.748748366 -28.4458803759999,11.7487483100001 -28.4458801769999,11.748634075 -28.44565353,11.748262235 -28.4443330989999,11.7482619630001 -28.444332559,11.748261782 -28.444331916,11.747730001 -28.443276769,11.745515235 -28.438881099,11.7246762350001 -28.3648180989999,11.7216237750001 -28.3587547349999,11.717109936 -28.349788034,11.6630792350001 -28.1572780989999,11.6559093660001 -28.142995577,11.6523018710001 -28.135808799,11.6321652350001 -28.063876099,11.6159552350001 -28.0315370989999,11.615859373 -28.031195859,11.615820951 -28.03105843,11.6154253510001 -28.030268968,11.615200235 -28.029819099,11.5956202350001 -27.959743099,11.5954682350001 -27.959439099,11.592235235 -27.947861099,11.583727235 -27.930862099,11.5781578960001 -27.910905229,11.5771578000001 -27.907321263,11.574256142 -27.9015206189999,11.5737572350001 -27.9005230989999,11.5678632350001 -27.879390099,11.562900235 -27.869464099,11.5627702350001 -27.868997099,11.5621452350001 -27.8677470989999,11.5602712350001 -27.861025099,11.5601382400001 -27.8607597449999,11.5598530030001 -27.860189175,11.5596542760001 -27.8594762509999,11.559315235 -27.858258099,11.559022235 -27.857672099,11.557495235 -27.852194099,11.557494702 -27.8521930329999,11.557494664 -27.852192897,11.5574166170001 -27.852036755,11.556049235 -27.8493000989999,11.4770382350001 -27.565181099,11.477037845 -27.565180316,11.477037712 -27.565179836,11.4311331550001 -27.47293181,11.275634235 -26.9089950979999,11.2755182350001 -26.907425098,11.259152235 -26.847794098,11.237582235 -26.554250098,11.237581859 -26.5542487229999,11.2375818400001 -26.554248459,11.2300593740001 -26.526713194,11.168742235 -26.302266098,11.1420672350001 -25.935594097,11.14206649 -25.935592573,11.142066485 -25.9355925099999,11.0558280330001 -25.7590713499999,10.9036282340001 -25.195106096,10.8684532340001 -24.697802096,10.8616792340001 -24.6725120959999,10.8614802340001 -24.6696940959999,10.8614798740001 -24.6696927469999,10.851921234 -24.6339890959999,10.8516182340001 -24.629694096,10.8515282540001 -24.629358017,10.8511841970001 -24.6280725679999,10.851036234 -24.6259700959999,10.850497234 -24.623956096,10.850046234 -24.617559096,10.8490732340001 -24.613923096,10.8488292340001 -24.610468096,10.848828946 -24.610467034,10.848412234 -24.6089090959999,10.848074234 -24.6041080959999,10.847776234 -24.602995096,10.847737234 -24.602451096,10.8477369140001 -24.602449898,10.8477368960001 -24.6024496379999,10.847668463 -24.6021938979999,10.846968234 -24.599575096,10.846359234 -24.590932096,10.8455862340001 -24.588044096,10.8455612340001 -24.587689096,10.844957234 -24.585430096,10.804187234 -24.0061580949999,10.8060912340001 -23.990480095,10.804973234 -23.974576095,10.8052342340001 -23.972423095,10.805090234 -23.9703780949999,10.805359234 -23.968166095,10.8052832340001 -23.967083095,10.8054812340001 -23.9654520949999,10.8053002340001 -23.9628840949999,10.805611234 -23.9603200949999,10.8054402340001 -23.9578860949999,10.8295332340001 -23.758977095,10.805005234 -23.410970095,10.8050041060001 -23.410968543,10.8050041020001 -23.4109684919999,10.801109759 -23.4056130989999,10.5888322340001 -22.9606160939999,10.588832139 -22.960615963,10.58883152 -22.9606146639999,10.437626004 -22.751098406,10.3917183500001 -22.654101699,10.3836542340001 -22.6370630939999,10.383653941 -22.637062687,10.383653655 -22.6370620829999,10.2832568960001 -22.497350304,10.277421717 -22.4849783879999,10.2739642340001 -22.477647094,10.2739633580001 -22.477645874,10.273963118 -22.477645364,10.2711476960001 -22.47372194,10.270405995 -22.4721490069999,10.270375942 -22.472107125,10.2647699550001 -22.4602174509999,10.263012874 -22.457768329,10.1847147390001 -22.2910844539999,10.0129349490001 -21.925392793,10.0129260690001 -21.925358391,10.0128872330001 -21.925207093,10.012886746 -21.925206051,10.012886668 -21.9252057489999,10.012516524 -21.924414934,10.0121712330001 -21.923677093,10.0113402330001 -21.9204560929999,10.008177233 -21.9136980929999,10.006753233 -21.9081820929999,10.0067526390001 -21.908180821,10.0002749820001 -21.894337439,10.0000859780001 -21.8936048859999,9.99968623300003 -21.892054093,9.99968540800006 -21.892052324,9.99968538800005 -21.892052248,9.99967924700007 -21.892039123,9.99953223300002 -21.8917240929999,9.99918423300005 -21.8903760929999,9.99918338200007 -21.8903742749999,9.99918337100007 -21.890374245,9.99868298800004 -21.889304723,9.99862462600004 -21.889078506,9.99810923300004 -21.887077093,9.99729255800003 -21.885333051,9.99717209900007 -21.8850755729999,9.99664423300004 -21.883028093,9.99642623300002 -21.8825620929999,9.95191123300003 -21.709841093,9.94906401600002 -21.705837376,9.93726460400006 -21.689244741,9.68936023300006 -21.1564260929999,9.68352723300006 -21.133560093,9.67866423300006 -21.123069093,9.67645680200008 -21.1199440099999,9.67256557600007 -21.114434252,9.67247556000007 -21.1142400219999,9.67233223300008 -21.113930093,9.67233133200006 -21.1139288169999,9.67233109800003 -21.113928313,9.67090085600006 -21.111902996,9.66982861600007 -21.109589273,9.66846602800007 -21.107659649,9.66015623300007 -21.089725093,9.65972981000004 -21.08912134,9.65799875500005 -21.086669308,9.65774180300002 -21.08611466,9.65735523300003 -21.0852790929999,9.65719098900007 -21.0850467129999,9.65712608400003 -21.084954771,9.65673230200002 -21.0841051259999,9.65559095200007 -21.081641363,9.65558056100002 -21.0816266429999,9.65552108300005 -21.0814983129999,9.65488297000007 -21.0801208149999,9.65480646600003 -21.0800124359999,9.65422777700007 -21.078763254,9.65318659800005 -21.07651558,9.65316396700007 -21.076483518,9.65306723300006 -21.0762750929999,9.65306650700006 -21.076273527,9.65149772300003 -21.0740509899999,9.65043123300006 -21.0717480929999,9.65043041100006 -21.0717469269999,9.65043006200005 -21.0717461749999,9.64906084800003 -21.0698062609999,9.64896352000005 -21.0695962209999,9.64876945200007 -21.0691772169999,9.64092217100006 -21.0580579599999,9.64027623300007 -21.0566630929999,9.64027561200004 -21.0566622119999,9.64027523700003 -21.056661402,9.64007705000006 -21.056380551,9.64004923300007 -21.056341093,9.63996992300002 -21.056170526,9.63981000400003 -21.055825177,9.63602957300003 -21.0504676649999,9.63579723300006 -21.049965093,9.63436623300004 -21.047937093,9.63390799600006 -21.0469480149999,9.63310990500003 -21.045224258,9.63202994600005 -21.043693591,9.63179894800004 -21.043194646,9.63036602600005 -21.041163646,9.62972123300005 -21.039771093,9.62972065800005 -21.0397702779999,9.62972032300007 -21.039769554,9.62949286800006 -21.039447153,9.62842862200006 -21.037148262,9.62732525700005 -21.035584248,9.62705723300007 -21.0352040929999,9.62677004600005 -21.034584803,9.62663490000006 -21.034292857,9.62549250200004 -21.032673454,9.62547160300005 -21.0326283049999,9.62540123300005 -21.032476093,9.62540097300007 -21.0324757239999,9.62540039300006 -21.03247447,9.62382644300004 -21.030243253,9.61624266300004 -21.0138576969999,9.61422492500003 -21.010996712,9.61413423300007 -21.0108680929999,9.61368262400003 -21.0098928649999,9.61325568300003 -21.008970259,9.60924097200007 -21.0032772399999,9.60873490900008 -21.0021835319999,9.60837694000003 -21.001675888,9.60836723300002 -21.0016620929999,9.60647423300003 -20.997571093,9.60647392200002 -20.9975706509999,9.60647336400007 -20.997569445,9.60515759500004 -20.995703401,9.60459144900005 -20.994479698,9.60390523300003 -20.9929960929999,9.60390472400007 -20.99299537,9.60390463000005 -20.9929951669999,9.60282291200002 -20.9914609699999,9.53102885000004 -20.836123164,9.53068575000003 -20.8356356629999,9.53035623300002 -20.8351670919999,9.53022594200007 -20.834886007,9.53015865500004 -20.834740278,9.50996755200003 -20.8060444889999,9.50870923300005 -20.8042560919999,9.50870908900004 -20.804255949,9.50870837200006 -20.80425493,9.35628088300007 -20.652934504,9.35591740800004 -20.652416342,9.35588223300005 -20.652366092,9.35588198900007 -20.652365849,9.35588108700006 -20.652364564,9.35011519400007 -20.646632379,9.34578428100002 -20.6404573729999,9.34517582900003 -20.6398523899999,9.34129718400004 -20.6343216399999,9.34033623300007 -20.6329510919999,9.34033558600004 -20.632950449,9.34033500900006 -20.632949626,9.29835082500006 -20.591184843,9.29750685400006 -20.589980377,9.28472683500007 -20.57726071,9.28041623400003 -20.5711070909999,9.28041554400005 -20.5711061019999,9.27978747000003 -20.570480865,9.27775260300007 -20.567575753,9.27731631600005 -20.567141416,8.93799080700006 -20.080991475,8.93781262300007 -20.0806004099999,8.93632588800006 -20.0784629569999,8.93590391500004 -20.0775367919999,8.93505923200007 -20.075682092,8.93505103400003 -20.07567033,8.93467699300004 -20.075132551,8.84576628300005 -19.879699178,8.82115723200008 -19.8256060909999,8.82115686100008 -19.825605556,8.82115650900005 -19.825604782,8.75979051500008 -19.737082202,8.75943498300006 -19.7362985089999,8.75831335700008 -19.734679501,8.75822723200002 -19.7345550909999,8.51650023200006 -19.2000930909999,8.50911022700006 -19.1700470919999,8.50910997100004 -19.170046075,8.50813746700004 -19.1678888989999,8.50793923200007 -19.167449091,8.50760123200007 -19.1660740909999,8.50734055900006 -19.16549656,8.50708586000007 -19.1649315779999,8.48029223200007 -19.055918091,8.47953284700003 -19.054232043,8.47205703700007 -19.0376332939999,8.33337723200003 -18.4717710899999,8.32747123200005 -18.36715509,8.31098055500007 -18.2996792879999,8.30424620600007 -18.272123638,8.30123823200006 -18.21883309,8.30123799300003 -18.218832112,8.30123797400006 -18.218831778,8.29841735200006 -18.207281564,8.28345023200006 -18.1459910899999,8.28335623200007 -18.14431509,8.28273723200005 -18.1417800899999,8.28237923200004 -18.13543909,8.28209423200008 -18.13427309,8.28150423200003 -18.1238100899999,8.28142123200007 -18.12346909,8.28112723200007 -18.11826209,8.28082372400007 -18.1170207669999,8.28076020200007 -18.1167605549999,8.28041123200006 -18.11056509,8.28011523200007 -18.10935309,8.28004323200003 -18.10807109,8.27930323200007 -18.1050410899999,8.27921623200007 -18.10350109,8.27858823200006 -18.10092809,8.27856523200006 -18.10052509,8.27785523200004 -18.09761609,8.27772723200007 -18.09534609,8.27705823200006 -18.09260409,8.27702723200002 -18.09205909,8.27632723200003 -18.0891910899999,8.24350423200002 -17.5092880889999,8.24457323200005 -17.5008670889999,8.24391723200006 -17.489311089,8.24476123200003 -17.4826580889999,8.24424223200003 -17.473530089,8.24513523200005 -17.466497089,8.24458623200007 -17.4568490889999,8.24735623200007 -17.435004089,8.24690223200002 -17.4270200889999,8.24693223200006 -17.426781089,8.24632623200006 -17.416115089,8.24674823200007 -17.412784089,8.24641523200006 -17.406924089,8.25036423200004 -17.375748089,8.24977023200006 -17.365325089,8.25010623200006 -17.3626720889999,8.24997323200006 -17.3603320889999,8.25884623200005 -17.2901820889999,8.25882323200005 -17.2897720889999,8.26385316300002 -17.249945732,8.26385349900005 -17.249945732,11.751325052 -17.249775873)))', 'Namibian Exclusive Economic Zone', 'Namibia', 'Namibia', '', '101', '101', 'NAM', '8395', '', '560900501200', '8395', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4782905860001 -28.633443347,16.4833280460001 -28.6083390649999,16.491663515 -28.6458366749999,16.5330545150001 -28.698063675,16.6147185150001 -28.876463675,16.644999516 -28.883890675,16.667218516 -28.9022276749999,16.8183275160001 -29.0943726749999,16.8344455160001 -29.156672675,16.910827516 -29.3333366749999,16.934718516 -29.3629186749999,17.0013905160001 -29.5197276759999,17.0542995160001 -29.682363676,17.0588905160001 -29.717781676,17.086109516 -29.840281676,17.1069455160001 -29.898609176,17.1184725160001 -29.9227816759999,17.181109516 -30.070554676,17.2294455160001 -30.2024996759999,17.2779185160001 -30.3422906759999,17.3329815160001 -30.433399676,17.353190516 -30.455554676,17.4199995160001 -30.558054677,17.4391635160001 -30.5952816769999,17.4483275160001 -30.617227677,17.482218516 -30.6958366769999,17.6152725160001 -30.9336091769999,17.725827517 -31.0905546769999,17.766709517 -31.155699677,17.7874995170001 -31.192781677,17.8042995170001 -31.218609177,17.887772517 -31.330836677,17.9094455170001 -31.359727677,17.9330545170001 -31.387781677,18.044854517 -31.5172276769999,18.0772185170001 -31.5516726769999,18.1144365170001 -31.594445677,18.1780545170001 -31.670554678,18.217918517 -31.734581678,18.279090517 -31.902990678,18.274436517 -31.9274996779999,18.271663517 -31.9505546779999,18.311945517 -32.147227678,18.3194455170001 -32.1799996779999,18.336527517 -32.2193091779999,18.343327517 -32.247218678,18.3498635170001 -32.2884091779999,18.3337455170001 -32.487781678,18.3238905170001 -32.5391726779999,18.308609517 -32.585699678,18.289718517 -32.629309178,18.2612455170001 -32.6706996779999,18.113563517 -32.780872679,18.0592995170001 -32.778618679,18.0377725170001 -32.7680546789999,17.9863905170001 -32.732781679,17.9027725170001 -32.7741726789999,17.8674995170001 -32.8119546789999,17.8474995170001 -32.830836679,17.876109517 -33.000836679,17.913190517 -33.043645679,17.9527095170001 -33.010590679,17.9951995170001 -33.002845679,18.0279995170001 -33.0259996789999,18.127636517 -33.180281679,18.117218517 -33.203890679,18.1077725170001 -33.2505546789999,18.160554517 -33.341118679,18.2488905170001 -33.4158366789999,18.2638815170001 -33.430554679,18.294718517 -33.466118679,18.3088905170001 -33.4849996789999,18.4390275170001 -33.701954679,18.466663517 -33.8172186799999,18.4455545170001 -33.9116636799999,18.4151365170001 -33.90278168,18.3847905170001 -33.9106996799999,18.3105545170001 -34.03555468,18.380272517 -34.25583668,18.404718517 -34.30278168,18.4202725170001 -34.32306368,18.457636517 -34.3447276799999,18.485027517 -34.3483091799999,18.478881517 -34.2344546799999,18.441799517 -34.17507268,18.4422185170001 -34.14125468,18.4859725170001 -34.09944568,18.512772517 -34.08755468,18.5466635170001 -34.0791726799999,18.601945517 -34.07361868,18.705827517 -34.0744456799999,18.752636517 -34.07791868,18.7990275180001 -34.08889068,18.8234725180001 -34.10715468,18.854581518 -34.1533366799999,18.842918518 -34.2568091799999,18.828054518 -34.27944568,18.808609518 -34.3086186799999,18.8045815180001 -34.35833668,18.8197185180001 -34.37889068,18.8513905180001 -34.37806368,18.913609518 -34.35694568,18.9994455180001 -34.34111868,19.0833365180001 -34.34639068,19.1002725180001 -34.37417268,19.120345518 -34.4084726799999,19.213681518 -34.42646368,19.247636518 -34.41167268,19.278190518 -34.40917268,19.307636518 -34.4280546799999,19.324163518 -34.4469456799999,19.336663518 -34.46361868,19.353609518 -34.49333668,19.3640275180001 -34.5306996799999,19.3204095180001 -34.59528168,19.423609518 -34.62194568,19.516390518 -34.67556368,19.541945518 -34.70861868,19.602218518 -34.74806368,19.646454518 -34.77312768,19.6780545180001 -34.7616276799999,19.7136095180001 -34.7544456799999,19.857772518 -34.75249968,19.879999519 -34.7619456799999,19.913609519 -34.78208168,19.929999519 -34.79583668,19.959581519 -34.81249968,19.991663519 -34.82083668,19.999999519 -34.82199968,20.047499519 -34.7741726799999,20.089718519 -34.72639068,20.1194455190001 -34.71000968,20.1858365190001 -34.67667268,20.230272519 -34.6608366799999,20.393890519 -34.55444568,20.4131905190001 -34.53278168,20.4337455190001 -34.5047186799999,20.4627725190001 -34.48083668,20.481109519 -34.4724996799999,20.5044455190001 -34.46472768,20.5440275190001 -34.4536096799999,20.595836519 -34.44610968,20.662463519 -34.44081868,20.6861095190001 -34.44056368,20.722218519 -34.4452816799999,20.798609519 -34.45861868,20.849445519 -34.4011096799999,20.8869455190001 -34.37167268,20.9424995200001 -34.36028168,20.9655545200001 -34.36083668,21.0627725200001 -34.3638906799999,21.0824995200001 -34.36833668,21.1366635200001 -34.38639068,21.1661095200001 -34.39639068,21.18721852 -34.40639068,21.21028152 -34.4149996799999,21.2806905200001 -34.43180968,21.3013815200001 -34.4327816799999,21.3719455200001 -34.41694568,21.42551852 -34.38635468,21.4969455200001 -34.36028168,21.5320815200001 -34.3522276799999,21.5569455200001 -34.35541868,21.5802725200001 -34.3636186799999,21.60832752 -34.3779186799999,21.64860952 -34.3894456799999,21.7255545200001 -34.3969456799999,21.80249952 -34.3830546799999,21.8316635200001 -34.37333668,21.89958152 -34.33778168,21.9169455200001 -34.30749968,21.9137455200001 -34.2799996799999,21.91666352 -34.25889068,21.94388152 -34.23028168,22.116945521 -34.13556368,22.133472521 -34.1072276799999,22.162499521 -34.08945468,22.201109521 -34.07722768,22.297218521 -34.05444568,22.364163521 -34.0619546799999,22.402636521 -34.0679186799999,22.4388905210001 -34.06417268,22.4794455210001 -34.0536186799999,22.5149995210001 -34.03250968,22.539163521 -34.0111816799999,22.783336521 -34.01111868,22.812463521 -34.0465996799999,22.9594455210001 -34.09139068,23.067218521 -34.08389068,23.2408365220001 -34.0936096799999,23.366181522 -34.09089968,23.3690275220001 -34.05028168,23.389299522 -34.0290996799999,23.4519455220001 -34.0080546799999,23.545827522 -33.99056368,23.5852815220001 -33.9863906799999,23.615554522 -33.9844546799999,23.640063522 -33.98498168,23.649299522 -33.9838906799999,23.694445522 -33.98944568,24.043890522 -34.0469546799999,24.3855545230001 -34.1072276799999,24.445827523 -34.13972768,24.4749995230001 -34.1598636799999,24.515827523 -34.17028168,24.590418523 -34.17986368,24.6261815230001 -34.17201868,24.6549995230001 -34.1697276799999,24.7827725230001 -34.19167268,24.8247185230001 -34.20166368,24.9192995230001 -34.0668816799999,24.9188905230001 -34.0348636799999,24.9183275230001 -34.00792768,24.9422185230001 -33.99028168,24.9866635230001 -33.97667268,25.0226365230001 -33.96805468,25.067636523 -33.9619636799999,25.1641635230001 -33.95889068,25.1913905230001 -33.96361868,25.2433275240001 -33.9747276799999,25.286945524 -33.9861186799999,25.3120815240001 -33.99569968,25.352636524 -34.01652768,25.3924995240001 -34.0274996799999,25.436799524 -34.0348636799999,25.584445524 -34.0488906799999,25.6272185240001 -34.04833668,25.7019455240001 -34.03195468,25.701663524 -34.0225091799999,25.672709524 -33.98340918,25.6499995240001 -33.9731996799999,25.6156185240001 -33.9370186799999,25.6130545240001 -33.9144546799999,25.6286095240001 -33.85139068,25.6752815240001 -33.79444568,25.7249995240001 -33.76722768,25.763190524 -33.751109679,25.8302725240001 -33.731390679,25.8686095240001 -33.7219456789999,25.8899995240001 -33.718890679,25.963609524 -33.711254679,26.003054524 -33.710836679,26.0580545240001 -33.712227679,26.079163524 -33.714727679,26.1055545240001 -33.719727679,26.2233275240001 -33.742781679,26.2563995240001 -33.7554186789999,26.277918524 -33.7651456799999,26.4601365250001 -33.77229068,26.5305545250001 -33.753336679,26.6286095250001 -33.717090679,26.6441635250001 -33.700836679,26.731663525 -33.6544456789999,26.8891635250001 -33.603890679,26.9884725250001 -33.5729186789999,27.0305545250001 -33.556399679,27.100972525 -33.525699679,27.2063905250001 -33.458890679,27.351109525 -33.3697276789999,27.451381526 -33.310281679,27.6061095260001 -33.2119456789999,27.7302725260001 -33.1174996789999,27.7972185260001 -33.0908366789999,27.8388905260001 -33.071945679,27.899999526 -33.040554679,28.0780545260001 -32.902227679,28.091663526 -32.886672679,28.105554526 -32.864309679,28.2280545260001 -32.767499679,28.262772526 -32.754999679,28.354999526 -32.703199679,28.5423635270001 -32.567918678,28.5551365270001 -32.548754678,28.565281527 -32.5302816779999,28.6536095270001 -32.448336678,28.779163527 -32.3419456779999,28.826381527 -32.313054678,28.9341635270001 -32.219454678,29.091663527 -32.064445678,29.200836527 -31.951945678,29.243609527 -31.899727678,29.267772527 -31.865281678,29.296945527 -31.829999678,29.3205545270001 -31.8024996779999,29.4119455270001 -31.704172678,29.5269455270001 -31.645836678,29.5458275280001 -31.6341636779999,29.6294455280001 -31.5813906769999,29.689863528 -31.523199677,29.711390528 -31.493890677,29.7458275280001 -31.461672677,29.773327528 -31.440418677,29.7991635280001 -31.4318096769999,29.831663528 -31.4301456769999,29.850827528 -31.422363677,29.8947185280001 -31.390690677,30.0008275280001 -31.3027816769999,30.023890528 -31.281109177,30.162218528 -31.119999677,30.1856905280001 -31.0856906769999,30.192618528 -31.072918677,30.216663528 -31.057363677,30.389999528 -30.8566726769999,30.4049995280001 -30.835281677,30.4158365280001 -30.817781677,30.476390528 -30.713609177,30.633327529 -30.475281676,30.7099995290001 -30.364727676,30.726945529 -30.341945676,30.739436529 -30.3219456759999,30.752499529 -30.2994456759999,30.8197185290001 -30.181663676,30.832581529 -30.154136676,30.840418529 -30.129027676,30.8524995290001 -30.102499676,30.869999529 -30.076945676,30.9183275290001 -30.020418676,30.946663529 -29.999727676,30.9724995290001 -29.980836676,31.0351365290001 -29.924999676,31.0517905290001 -29.8925456759999,31.000136529 -29.899308676,31.0097185290001 -29.872499676,31.117772529 -29.6794456759999,31.1424995290001 -29.639727676,31.209718529 -29.535281676,31.3258365290001 -29.3908366749999,31.3605545290001 -29.3524996749999,31.3994365290001 -29.314727675,31.4280545290001 -29.2913906749999,31.4519455290001 -29.268890675,31.5572185290001 -29.166945675,31.668609529 -29.054172675,31.7233275300001 -28.998336675,31.7741635300001 -28.945554675,31.8276365300001 -28.940699675,31.8627815300001 -28.9369456749999,31.8966635300001 -28.9241636749999,31.92333653 -28.9124996749999,31.99416353 -28.8794456749999,32.01860953 -28.862499675,32.18999053 -28.721945675,32.2766635300001 -28.646118675,32.3755455300001 -28.552499675,32.3944365300001 -28.531390675,32.4083275300001 -28.499999675,32.4254185300001 -28.4254186749999,32.4322185300001 -28.3780546739999,32.4591635300001 -28.3172186739999,32.4766635300001 -28.286663674,32.4947185300001 -28.2552816739999,32.50889053 -28.233609174,32.5304185300001 -28.204999674,32.54527253 -28.184172674,32.5569455300001 -28.1541726739999,32.5647185300001 -28.1147276739999,32.59534553 -27.9296546739999,32.58811853 -27.8911816739999,32.62666353 -27.7069456739999,32.6313815300001 -27.684718674,32.6501365300001 -27.6048636739999,32.6738815300001 -27.515836674,32.68166353 -27.496672674,32.70944553 -27.4405546739999,32.7297185300001 -27.3977816739999,32.74749953 -27.3533366739999,32.8347185310001 -27.1305546729999,32.8416635310001 -27.1099996729999,32.8636095310001 -27.033054673,32.868327531 -27.007499673,32.8719365310001 -26.971390673,32.8761095310001 -26.922781673,32.8904275310001 -26.8471456729999,32.898472531 -26.847355673,36.532966534 -27.7020846739999,36.4993315340001 -27.869849674,36.494914534 -27.880921674,36.492598534 -27.8932996739999,36.492321534 -27.8939936739999,36.4918125340001 -27.8967166739999,36.4916875340001 -27.897028674,36.491125534 -27.9000306739999,36.488972534 -27.905428674,36.4782375340001 -27.962786674,36.467645534 -27.989312674,36.4674145340001 -27.990547674,36.4464505340001 -28.043025674,36.445880534 -28.046067674,36.4439695340001 -28.050847674,36.443600534 -28.052819674,36.4369245340001 -28.0695216739999,36.4345605340001 -28.0821276739999,36.4156015340001 -28.129533674,36.414555534 -28.135108674,36.4128385340001 -28.1394016739999,36.412376534 -28.1418596739999,36.397582534 -28.1788276739999,36.395529534 -28.189759674,36.3940385340001 -28.1934846739999,36.393961534 -28.193896674,36.3782365340001 -28.233164674,36.376441534 -28.242715674,36.365070534 -28.271094674,36.3648825340001 -28.272097674,36.363025534 -28.276730674,36.3626075340001 -28.2789506739999,36.360924534 -28.283150674,36.359670534 -28.289814674,36.3465575340001 -28.322524674,36.340167534 -28.3564826739999,36.340171534 -28.356829674,36.3354935340001 -28.381689674,36.3360635340001 -28.425138675,36.228367534 -28.996490675,36.2259395340001 -29.0025116749999,36.2247005340001 -29.009076675,36.224061534 -29.0106606749999,36.223885534 -29.011594675,36.2224565340001 -29.0151386749999,36.222325534 -29.015832675,36.220598534 -29.0201156749999,36.220150534 -29.0224856749999,36.2187215340001 -29.026028675,36.218590534 -29.026723675,36.103594534 -29.311326675,36.094700534 -29.3581716749999,36.0944115340001 -29.358884675,36.0939175340001 -29.361488675,36.090890534 -29.368961675,36.090870534 -29.3690646749999,36.089359534 -29.372795675,36.0886335340001 -29.376617675,36.085601534 -29.384101675,36.0855835340001 -29.3841956749999,36.084901534 -29.385877675,36.084094534 -29.390128675,35.861816533 -29.9365436759999,35.861450533 -29.9371046759999,35.8610595330001 -29.938061676,35.8607855330001 -29.938480676,35.860213533 -29.939882676,35.854290533 -29.9489456759999,35.853883533 -29.949941676,35.8495105330001 -29.956632676,35.849090533 -29.9576606759999,35.5177765330001 -30.4621396759999,35.5171705330001 -30.4627696759999,35.513696533 -30.4680336759999,35.5086615330001 -30.473270676,35.5015015330001 -30.4841166759999,35.500323533 -30.485343676,35.488998533 -30.497117676,35.4888025330001 -30.4974146759999,35.0570735330001 -30.943846677,35.054020533 -30.9460566769999,35.0536695330001 -30.9464176769999,35.053655533 -30.946428677,35.049199533 -30.9510096769999,35.0479095330001 -30.9523366769999,35.0421375330001 -30.956515677,35.0404085330001 -30.958293677,35.0349825330001 -30.9622216769999,35.0304305330001 -30.966901677,35.0274105330001 -30.9690876769999,34.998134533 -30.9991666769999,34.983928533 -31.0094386769999,34.9831065330001 -31.010282677,34.9804055330001 -31.012235677,34.9781155330001 -31.014586677,34.936106533 -31.0449406769999,34.909901533 -31.071807677,34.9046655330001 -31.0755866769999,34.889197532 -31.0914356769999,34.883474532 -31.095563677,34.8832825320001 -31.0957596769999,34.8806925320001 -31.0976276769999,34.872534532 -31.1059816769999,34.861637532 -31.1138386769999,34.8252625320001 -31.151060677,34.794974532 -31.1728666769999,34.784857532 -31.1832066769999,34.784586532 -31.183400677,34.781081532 -31.1869826769999,34.773781532 -31.1922346769999,34.739696532 -31.2270406769999,34.7368005320001 -31.229122677,34.7321215320001 -31.233896677,34.729471532 -31.235801677,34.728819532 -31.236466677,34.7259275320001 -31.2385446769999,34.721343532 -31.243221677,34.7187645320001 -31.2450746769999,34.715560532 -31.248342677,34.4980895320001 -31.404153677,34.2516415320001 -31.7665686779999,34.239633532 -31.794473678,34.2381835320001 -31.796597678,34.2380035320001 -31.797014678,34.2377225320001 -31.797425678,34.237158532 -31.798737678,34.1884665320001 -31.869984678,34.188413532 -31.870106678,34.1841225320001 -31.876380678,34.1788735320001 -31.8885506779999,34.1697595320001 -31.901869678,34.168530532 -31.9047186779999,34.1682535320001 -31.9051236779999,34.1607915320001 -31.9224146779999,34.160511532 -31.9228236779999,34.1599445320001 -31.924137678,34.1598105320001 -31.924333678,34.1591955320001 -31.925756678,34.1509995320001 -31.9377276779999,34.142641532 -31.957081678,34.1400415320001 -31.960876678,34.139485532 -31.962164678,34.1362065320001 -31.9669506779999,34.1346345320001 -31.970588678,34.134623532 -31.970604678,34.1338885320001 -31.9723066779999,34.1206515320001 -31.9916216779999,34.1187575320001 -31.996003678,34.1180145320001 -31.997720678,34.081935532 -32.0503216779999,34.081216532 -32.0519816779999,34.080813532 -32.0525686779999,34.080365532 -32.0536036779999,34.0662345320001 -32.074189678,34.059714532 -32.089239678,33.9274115320001 -32.281487678,33.9221205320001 -32.293642678,33.911006532 -32.3097526779999,33.9109705320001 -32.309835678,33.910580532 -32.3104016779999,33.9101205320001 -32.311457678,33.563005531 -32.811825679,33.562653531 -32.812173679,33.5626105310001 -32.812233679,33.561140531 -32.8136846789999,33.560938531 -32.813975679,33.5605395310001 -32.814368679,33.5581165310001 -32.817842679,33.5482015310001 -32.8276276789999,33.5426255310001 -32.8356176789999,33.540108531 -32.838101679,33.539770531 -32.8385856789999,33.534569531 -32.843715679,33.5182395310001 -32.867103679,33.5097975310001 -32.8754256789999,33.4711355310001 -32.930734679,33.470208531 -32.931647679,33.4031865310001 -33.027365679,33.402163531 -33.028370679,33.402006531 -33.028595679,33.397035531 -33.033478679,33.3962965310001 -33.0345326789999,33.3597835310001 -33.070385679,33.358829531 -33.0717446789999,33.3576845310001 -33.072868679,33.3483275310001 -33.086197679,33.3452845310001 -33.089182679,33.333721531 -33.105649679,33.3322735310001 -33.1070696789999,33.3320485310001 -33.1073896789999,33.328450531 -33.110917679,33.327621531 -33.1120976789999,33.3138695310001 -33.1255796789999,33.3027495310001 -33.141399679,33.3006385310001 -33.143467679,33.300579531 -33.143552679,33.2715225310001 -33.172010679,33.2690535310001 -33.1755196789999,33.268949531 -33.175620679,33.2686625310001 -33.176028679,33.2642315310001 -33.180366679,33.245490531 -33.206987679,33.245151531 -33.207319679,33.2450965310001 -33.2073976789999,33.2413075310001 -33.211103679,33.240958531 -33.211599679,33.2320325310001 -33.220329679,33.223442531 -33.2325226789999,33.2214325310001 -33.2344866789999,33.221371531 -33.2345736789999,33.221064531 -33.234872679,33.2185505310001 -33.238440679,33.2184555310001 -33.2385346789999,33.2181615310001 -33.238949679,33.1971795310001 -33.2594546789999,33.1939455310001 -33.2640406789999,33.1933145310001 -33.264656679,33.190732531 -33.2683186789999,33.190390531 -33.268652679,33.1903375310001 -33.2687266789999,33.188569531 -33.270454679,33.1882705310001 -33.270877679,33.1879335310001 -33.2712066789999,33.187876531 -33.271287679,32.7348745300001 -33.711085679,32.7323775300001 -33.7127806789999,32.73146753 -33.7136586789999,32.7294755300001 -33.7150106789999,32.72736653 -33.717045679,32.72559353 -33.7182476789999,32.72068153 -33.722987679,32.70802553 -33.731572679,32.6849225300001 -33.7538456789999,32.68139753 -33.7562346789999,32.67324153 -33.76409368,32.66665053 -33.76855968,32.6607345300001 -33.7742576799999,32.6588725300001 -33.7755196799999,32.62915853 -33.80412668,32.6027425300001 -33.82199968,32.6007335300001 -33.8239316799999,32.59676653 -33.82661468,32.5928305300001 -33.83039968,32.59255653 -33.83058468,32.5924285300001 -33.8307076799999,32.5908085300001 -33.83180368,32.5869385300001 -33.8355236799999,32.58687353 -33.8355676799999,32.58564253 -33.83675068,32.5835155300001 -33.83818968,32.5823375300001 -33.83932168,32.40039653 -33.96204668,32.3965025300001 -33.96577368,32.3874135300001 -33.97188868,32.38476453 -33.97442268,32.38271653 -33.97580068,32.3552665300001 -34.00204868,32.3550315300001 -34.00220668,32.3547665300001 -34.00245968,32.35282353 -34.00376468,32.3523585300001 -34.00420968,32.3461425300001 -34.0083876799999,32.32949353 -34.02429468,32.3294555300001 -34.02431968,32.3281975300001 -34.0255216799999,32.2964075300001 -34.0468676799999,32.27737353 -34.0731826799999,32.27611553 -34.07438368,32.27609153 -34.07441568,32.14939653 -34.1950556799999,32.1343305300001 -34.2157956799999,32.13364053 -34.21645168,32.1331535300001 -34.2171216799999,32.1215585300001 -34.22813668,32.1131415300001 -34.23971468,32.11283753 -34.24000368,32.11274953 -34.24012468,32.08408853 -34.2673286799999,32.0762355300001 -34.27811968,32.07498753 -34.2793036799999,32.0749515300001 -34.2793526799999,31.611988529 -34.71573168,31.5885625290001 -34.73115268,31.387429529 -34.9189106809999,31.3719005290001 -34.929071681,31.2809735290001 -35.013577681,31.262789529 -35.025439681,31.244997529 -35.041943681,31.243202529 -35.043113681,31.241689529 -35.0445166809999,31.1521185290001 -35.1028336809999,31.101206529 -35.149904681,31.097663529 -35.1522046809999,31.094587529 -35.1550466809999,30.9040295290001 -35.278474681,30.807545529 -35.367056681,30.7689235290001 -35.391932681,30.7622795290001 -35.3980176809999,30.731626529 -35.4177386809999,30.706299529 -35.4409066809999,30.659397529 -35.4710316809999,30.6359935290001 -35.4924016809999,30.634001529 -35.4936786809999,30.6334785290001 -35.4941566809999,30.0718795280001 -35.8517996809999,30.070880528 -35.8522286809999,30.070248528 -35.8526286809999,30.0461525280001 -35.862975681,29.4958265270001 -36.208232682,29.4895065270001 -36.2109016819999,29.2660935270001 -36.349638682,29.2656865270001 -36.3498096819999,29.264463527 -36.350566682,29.198107527 -36.3783836819999,29.1954435270001 -36.3800296819999,29.1734655270001 -36.3892316819999,29.160538527 -36.397216682,28.5194505270001 -36.663087682,28.5049005270001 -36.6666776819999,28.3710585260001 -36.7215726819999,28.370303526 -36.721757682,28.368481526 -36.722503682,28.3396715260001 -36.729569682,28.053502526 -36.8461636819999,28.048124526 -36.8474676819999,28.040610526 -36.850516682,28.039658526 -36.850746682,28.037929526 -36.851448682,28.0040945260001 -36.859642682,27.992399526 -36.8643816819999,27.949134526 -36.874840682,27.7767695260001 -36.944427682,27.503726526 -37.0096176829999,27.1722355250001 -37.1415506829999,26.4731645250001 -37.3033386829999,26.4608255250001 -37.304367683,26.3943425250001 -37.3195246829999,26.3937535250001 -37.3195726829999,26.3935105250001 -37.319628683,26.279355524 -37.329030683,26.2771655240001 -37.329877683,25.574659524 -37.486997683,24.8469835230001 -37.5406186829999,24.8442805230001 -37.5404346829999,24.8416705230001 -37.5406196829999,24.1137565220001 -37.488867683,24.1095225220001 -37.487945683,24.109495522 -37.487943683,24.077617522 -37.480993683,23.875476522 -37.465850683,23.8699925220001 -37.464645683,23.8624795220001 -37.464076683,23.782070522 -37.446364683,23.7785405220001 -37.446094683,23.759479522 -37.4418876829999,23.7594275220001 -37.441883683,23.6599205220001 -37.4198686829999,23.4153215220001 -37.4348236829999,23.1929385220001 -37.514584683,23.1858735220001 -37.5160066829999,23.170486522 -37.5215046829999,23.1692405220001 -37.521755683,23.153216522 -37.527477683,23.1193705220001 -37.534275683,23.1187095220001 -37.5345116829999,22.408308521 -37.674923683,22.3853735210001 -37.676124683,22.3432765210001 -37.6843016829999,22.3426635210001 -37.684333683,22.3380735210001 -37.6852246829999,22.1003015210001 -37.697351683,21.9958375200001 -37.752301683,21.98324552 -37.756650683,21.95221552 -37.772936683,21.2769785200001 -38.0034206829999,20.558763519 -38.133929684,19.822051518 -38.160036684,19.8185265180001 -38.1596646839999,19.8080805180001 -38.1600056839999,19.0782245180001 -38.080793684,19.0630095180001 -38.0768806839999,19.0600615180001 -38.076551684,19.0484615180001 -38.073566684,19.0358595180001 -38.072159684,18.989889518 -38.0603126839999,18.711033517 -38.0287736829999,18.0142945170001 -37.845231683,18.012795517 -37.8445826829999,18.0117205170001 -37.844296683,18.0093765170001 -37.843282683,17.9970675170001 -37.840000683,17.7825945170001 -37.7469576829999,17.7734065170001 -37.7444886829999,17.3024785160001 -37.5382506829999,16.7960815160001 -37.398681683,16.1626505150001 -37.113616683,16.135544515 -37.0956656829999,16.1296905150001 -37.0930066829999,15.573860515 -36.722093682,15.5733555150001 -36.721609682,15.5613125140001 -36.713514682,15.5589285140001 -36.7112336819999,15.5571215140001 -36.7100186819999,15.5537455140001 -36.706787682,15.552138514 -36.705706682,15.5416315140001 -36.695647682,15.536287514 -36.6920526819999,15.075287514 -36.247703682,14.722028514 -35.7446066809999,14.7219115140001 -35.7443356809999,14.7217455140001 -35.744098681,14.714628514 -35.727751681,14.701292514 -35.708635681,14.6479955140001 -35.585985681,14.647642514 -35.585478681,14.6473835140001 -35.584881681,14.6460295140001 -35.582935681,14.4103845130001 -35.0371606809999,14.319703513 -34.58314868,14.2938945130001 -34.52271568,14.2938915130001 -34.5227116799999,14.234168513 -34.43545068,14.002742513 -33.8893796799999,13.8912695130001 -33.318180679,13.8933105130001 -33.1989736789999,13.891884513 -33.191646679,13.892290513 -33.167651679,13.8854125130001 -33.132318679,13.8946855130001 -32.553545678,13.8947095130001 -32.553438678,13.894719513 -32.5527466779999,13.978858513 -32.178351678,13.9715035130001 -32.1607506779999,13.936016513 -32.1076896779999,13.9353465130001 -32.106082678,13.935272513 -32.1059716779999,13.921826513 -32.073743678,13.902177513 -32.044323678,13.9015065130001 -32.0427126779999,13.901434513 -32.042605678,13.864796513 -31.9546366779999,13.841907513 -31.9202976779999,13.8414625130001 -31.919228678,13.8099875130001 -31.871968678,13.7880365130001 -31.819100678,13.7828405130001 -31.811289678,13.782573513 -31.810646678,13.7604095130001 -31.7773066779999,13.7573025130001 -31.7698136779999,13.7533245130001 -31.7638266779999,13.749393513 -31.7543436779999,13.7478975130001 -31.7520916779999,13.5224795130001 -31.2058516769999,13.513822513 -31.160652677,13.4820015130001 -31.083132677,13.479194513 -31.0684476769999,13.4531385130001 -31.004894677,13.4508785130001 -30.993061677,13.445737513 -30.980513677,13.4425355130001 -30.9637366769999,13.442207513 -30.962934677,13.4371945130001 -30.9366676769999,13.382189512 -30.802204677,13.3792725120001 -30.786877677,13.3763255120001 -30.779665677,13.376044512 -30.7781886769999,13.3756195120001 -30.777147677,13.3748745120001 -30.773232677,13.366493512 -30.752715677,13.363298512 -30.735914677,13.356792512 -30.719979677,13.3565125120001 -30.7185066769999,13.356086512 -30.717461677,13.354967512 -30.7115746769999,13.347733512 -30.6938526769999,13.347493512 -30.6925886769999,13.347023512 -30.691435677,13.346864512 -30.690600677,13.3454755120001 -30.687196677,13.345422512 -30.6869196769999,13.342443512 -30.679618677,13.334894579 -30.639873694,13.340454376 -30.637317813,13.343749512 -30.6358030129999,13.530871543 -30.5497815859999,13.5851098250001 -30.522717496,13.64986699 -30.492720213,13.770953886 -30.4168877029999,13.8498872430001 -30.36725733,14.9633092400001 -29.657962281,15.344997549 -29.41958943,15.55167362 -29.291295034,15.848349139 -29.1081199389999,15.9179650310001 -29.0672750799999,15.9950981700001 -29.018263361,16.074487789 -28.969870557,16.1334734220001 -28.933275486,16.1647090760001 -28.914504978,16.202574059 -28.893230167,16.220313321 -28.883520641,16.2266932640001 -28.879209653,16.311384746 -28.822450433,16.3181000430001 -28.818306535,16.3198917190001 -28.8172245709999,16.3800175000001 -28.762002771,16.418487004 -28.7167253179999,16.4436156240001 -28.688825844,16.4653590990001 -28.658028755,16.4662281830001 -28.6564110589999,16.473739971 -28.644841127,16.4737501110001 -28.644802114,16.4782905770001 -28.6334433719999,16.4782905860001 -28.633443347)))', 'South African Exclusive Economic Zone', 'South Africa', 'South Africa', '', '102', '102', 'ZAF', '8396', '', '1066538011000', '8396', 'Y'),('SRID=4326;MULTIPOLYGON(((-83.597222 19.465833,-83.930898218 19.5230018820001,-84.247615265 19.5818224400001,-84.64185 19.5405000000001,-84.7129166669999 19.6546111110001,-84.965638889 20.0769722220001,-85.123402778 20.2963055560001,-85.53975 20.8267777780001,-85.855055556 21.600027778,-85.878722222 21.692083333,-86.0097777779999 22.3155,-86.115277778 22.759111111,-86.376055556 23.4484166670001,-86.404083333 23.5087500000001,-86.937969444 24.9413416670001,-86.55333333 25.20694444,-85.9999999999999 24.89861111,-85.72 24.7375000000001,-85.53194444 24.64861111,-85.10555556 24.4430555600001,-84.9999999999999 24.3911111100001,-84.76888889 24.2775,-84.64444444 24.22166667,-84.49111111 24.15972222,-83.9999999999999 23.97666667,-83.80333333 23.92916667,-83.69333333 23.90055556,-83.55055556 23.8736111100001,-83.43055556 23.85555556,-83.2499999999999 23.8305555600001,-82.9999999999999 23.82277778,-82.8533333299999 23.825,-82.8149999999999 23.8277777800001,-82.674899077 23.8519150130001,-82.66666667 23.8533333300001,-82.41666667 23.8533333300001,-82.386840864 23.8502844700001,-82.16666667 23.8277777800001,-82.00333333 23.8175000000001,-81.83333333 23.8175000000001,-81.66666667 23.8333333300001,-81.4999999999999 23.84722222,-81.32888889 23.8972222200001,-81.21527778 23.9250000000001,-81.2108775899999 23.9208451370001,-81.207410302 23.9181610900001,-81.0915189739999 23.8282843600001,-81.03456876 23.7842592750001,-80.910520328 23.7157294730001,-80.872515655 23.6947498490001,-80.811827138 23.636052885,-80.729287139 23.5569123980001,-80.70148534 23.530056904,-80.6986072019999 23.527626798,-80.694089183 23.5258099050001,-80.69102981 23.52454442,-80.6205004669999 23.498445686,-80.55962256 23.4759925760001,-80.520171505 23.462905671,-80.519622871 23.4627213540001,-80.4864967199999 23.458180762,-80.4839942679999 23.457850464,-80.481507075 23.457530628,-80.312926149 23.436624798,-80.294234895 23.4342034150001,-80.2862438609999 23.4331682060001,-80.277511707 23.434854106,-80.26384311 23.437512826,-80.2594907819999 23.43835941,-80.227996859 23.446801325,-80.192481936 23.456421565,-80.058833583 23.4915414270001,-80.049057676 23.494117771,-80.011900547 23.4636451160001,-79.9845336659999 23.4405388060001,-79.950576783 23.4192960180001,-79.9403455039999 23.4099985390001,-79.93993492 23.4096233600001,-79.9307808729999 23.4023247000001,-79.9220993169999 23.3953648720001,-79.908617889 23.3846166750001,-79.9054694019999 23.382121188,-79.9019720639999 23.3792537030001,-79.845637417 23.339288858,-79.826223103 23.3221001850001,-79.8186620709999 23.316043544,-79.808118755 23.3075561410001,-79.80003777 23.30086764,-79.7514271209999 23.279560539,-79.74186445 23.275231891,-79.7083348309999 23.2598913090001,-79.7026293819999 23.257290842,-79.6246617579999 23.2210366790001,-79.5738656779999 23.1963897690001,-79.5534099499999 23.188724719,-79.516880651 23.17424986,-79.416710146 23.14887486,-79.331369721 23.1395395500001,-79.189098456 23.124479653,-79.157181791 23.137970394,-79.1161446689999 23.1608625280001,-79.047505255 23.1991523140001,-78.965499457 23.245479029,-78.895127917 23.285543401,-78.884585374 23.291545549,-78.844909794 23.316639867,-78.822202034 23.3312660170001,-78.8108886109999 23.338553033,-78.763567014 23.3690238560001,-78.656844037 23.4377437900001,-78.579976855 23.3770175330001,-78.56233745 23.3634058440001,-78.5554135419999 23.3007963040001,-78.4308792099999 22.868283546,-78.41550176 22.848231829,-78.4060108589999 22.8363756420001,-78.354381447 22.773144444,-78.342660086 22.759393679,-78.338485522 22.7547985320001,-78.3010202249999 22.713194163,-78.283548288 22.6940016350001,-78.2592171919999 22.6705538410001,-78.2507138 22.6627468200001,-78.2153935379999 22.634148333,-78.194402757 22.627546033,-78.1741526549999 22.62411703,-78.1649983199999 22.6225347450001,-78.15202916 22.6205371070001,-78.139186729 22.6185589900001,-78.135161865 22.6181941240001,-78.1328399829999 22.617983639,-78.087565577 22.614142197,-78.000182294 22.606727903,-77.948627947 22.6020189980001,-77.932550792 22.6005505320001,-77.900650334 22.6021787190001,-77.68328624 22.6841982060001,-77.6606535939999 22.692738338,-77.656593361 22.694678127,-77.6066607939999 22.718533569,-77.309785273 22.8662656820001,-77.3033522109999 22.8641795840001,-76.9734061089999 22.802866452,-76.905188015 22.790061699,-76.887946562 22.74185235,-76.880030973 22.7197700080001,-76.8790663029999 22.7170763070001,-76.87811071 22.714382544,-76.877138003 22.711638339,-76.876174728 22.7088940720001,-76.875824633 22.707895894,-76.875475948 22.70689866,-76.838804325 22.6018530870001,-76.824412723 22.560741061,-76.8178459919999 22.5404824840001,-76.791331213 22.4379571800001,-76.6544567019999 22.2787724250001,-76.618275435 22.22619654,-76.559963877 22.1409167460001,-76.552988173 22.1320773840001,-76.5447184929999 22.1206978710001,-76.54297786 22.1182829950001,-76.518609554 22.0544086690001,-76.5043067239999 22.017714391,-76.503418997 22.0154589910001,-76.5027562079999 22.014440656,-76.502108074 22.013444151,-76.5014290079999 22.01239724,-76.490630938 21.9957333580001,-76.3559628039999 21.8413096740001,-76.350592696 21.8351785890001,-76.2712337629999 21.7785127130001,-76.210274713 21.735595964,-76.152326003 21.6968505730001,-76.1179617079999 21.6761581760001,-76.037242201 21.627619554,-75.9430956579999 21.5839145140001,-75.930930825 21.5793040390001,-75.9181717399999 21.5788476990001,-75.8842229749999 21.5777616460001,-75.813558921 21.5739288610001,-75.765034638 21.571326706,-75.758444879 21.5709733250001,-75.736260398 21.569756306,-75.697852245 21.5702732450001,-75.6725571869999 21.5712506250001,-75.5990782809999 21.574089789,-75.445285908 21.569617716,-75.430888538 21.5621669770001,-75.428987637 21.561219726,-75.3955724159999 21.544688905,-75.3672061359999 21.5311575480001,-75.229295898 21.475768353,-75.184490468 21.4583047850001,-75.139314919 21.440558074,-75.108735224 21.4286196140001,-75.08091596 21.4177914320001,-74.974084566 21.3790843800001,-74.9740840969999 21.3790842110001,-74.938813318 21.3831955540001,-74.892666439 21.38857467,-74.8283562729999 21.3959513390001,-74.822933989 21.3965733000001,-74.820345529 21.3968676910001,-74.805830306 21.3985185380001,-74.775777324 21.403664914,-74.605789022 21.36256716,-74.553790662 21.3500287800001,-74.547765087 21.3444476020001,-74.507563147 21.307933125,-74.475619331 21.284714993,-74.43242772 21.2533909220001,-74.4052320289999 21.2337752620001,-74.39025214 21.20017474,-74.355639045 21.121904445,-74.308067341 21.015590843,-74.2880060049999 20.9705176530001,-74.258933382 20.905632111,-74.210907528 20.835527214,-74.208357209 20.8317805190001,-74.199784102 20.8168508040001,-74.1517691939999 20.7800149350001,-74.1152283019999 20.7517918300001,-74.080407537 20.724604303,-74.069051556 20.7156934670001,-74.053303993 20.703279008,-74.045929975 20.6974932640001,-74.0419459089999 20.694328538,-74.01544778 20.673483875,-73.996648538 20.659481929,-73.9554111579999 20.6281914140001,-73.9196713269999 20.6014506670001,-73.8948748609999 20.582551687,-73.8847790249999 20.574676583,-73.83764953 20.542142772,-73.790164867 20.5104744970001,-73.7761075669999 20.501203129,-73.739509265 20.4768780310001,-73.7222053359999 20.4655720370001,-73.648450027 20.4175649090001,-73.596224164 20.383328738,-73.5722186579999 20.368263439,-73.622757569 20.282808371,-73.634654569 20.2628763710001,-73.666825569 20.207686371,-73.7126545689999 20.127908371,-73.731074569 20.0953283710001,-73.732179569 20.0934783710001,-73.7340615689999 20.090295371,-73.7747045689999 20.0207963710001,-73.778592569 20.014011371,-73.789844569 19.994244371,-73.790429569 19.993191371,-73.7962265689999 19.982691371,-73.819002569 19.941179371,-73.833182569 19.92029437,-73.836401569 19.9156133700001,-73.885108569 19.84416537,-73.8907445689999 19.83229737,-73.897214569 19.8182463700001,-73.938190569 19.73391137,-73.941979569 19.72635137,-73.943883569 19.7225963700001,-73.947496569 19.7155373700001,-73.950559569 19.7097283700001,-73.954416569 19.70221937,-73.975684569 19.6625333700001,-73.998975569 19.61880037,-74.009906569 19.59859837,-74.017168569 19.58493737,-74.027304569 19.56577637,-74.087443569 19.45090737,-74.088592569 19.44869737,-74.126883569 19.37460837,-74.1788785689999 19.37203737,-74.206994569 19.37051437,-74.286978569 19.36708537,-74.303930569 19.3662673700001,-74.322676569 19.36524137,-74.3251355689999 19.3651163700001,-74.3797115689999 19.3637023700001,-74.391087569 19.36220537,-74.442102569 19.35191437,-74.450086569 19.35053937,-74.5050225689999 19.3408893700001,-74.5200615689999 19.3384873700001,-74.5550995689999 19.3342763700001,-74.6803205699999 19.2825073700001,-74.73763057 19.2585843700001,-74.7884785699999 19.23713237,-74.8269785699999 19.2200803700001,-74.90058657 19.1888763700001,-74.90522157 19.1869843700001,-74.92837757 19.1773423700001,-75.02137957 19.1351973700001,-75.0291545699999 19.1315033700001,-75.15801957 19.06550937,-75.1686135699999 19.06006337,-75.22242457 19.0271053700001,-75.27997257 18.9910153700001,-75.29208357 18.98301637,-75.41108557 18.9045583700001,-75.4607555699999 18.8720983700001,-75.5063888889999 18.832222222,-75.528055556 18.845833333,-75.543333333 18.8611111110001,-75.5691666669999 18.8527777780001,-75.6986111109999 18.9183333330001,-75.721944444 18.9277777780001,-75.84 18.974444444,-75.850555556 18.9786111110001,-75.899166667 18.9977777780001,-75.9347222219999 19.011111111,-75.9508333329999 19.016666667,-75.964722222 19.021944444,-75.975277778 19.024166667,-75.981388889 19.025833333,-75.9961111109999 19.028888889,-76.020833333 19.034166667,-76.0586111109999 19.0427777780001,-76.095833333 19.0522222220001,-76.1252777779999 19.0602777780001,-76.133055556 19.0622222220001,-76.156944444 19.0688888890001,-76.17 19.0722222220001,-76.1902777779999 19.077777778,-76.208333333 19.080277778,-76.2474999999999 19.086111111,-76.286388889 19.0925,-76.3247222219999 19.099722222,-76.336111111 19.102222222,-76.3630555559999 19.1072222220001,-76.3744444439999 19.1094444440001,-76.401388889 19.1147222220001,-76.412777778 19.1169444440001,-76.4399999999999 19.1219444440001,-76.4463888889999 19.1233333330001,-76.471944444 19.1283333330001,-76.478333333 19.1294444440001,-76.484444444 19.130555556,-76.514722222 19.136111111,-76.516666667 19.136666667,-76.588055556 19.15,-76.6261111109999 19.156388889,-76.64 19.158333333,-76.643611111 19.158611111,-76.6830555559999 19.158611111,-76.722222222 19.158611111,-76.7644444439999 19.158611111,-76.798055556 19.156944444,-76.838611111 19.156111111,-76.8680555559999 19.156111111,-76.8772222219999 19.155833333,-76.925277778 19.156666667,-76.9324999999999 19.156944444,-76.9458333329999 19.1575,-76.991944444 19.159722222,-77.03 19.1625,-77.046944444 19.1641666670001,-77.0677777779999 19.165833333,-77.078333333 19.1666666670001,-77.093611111 19.1680555560001,-77.106111111 19.1677777780001,-77.1191666669999 19.1677777780001,-77.144722222 19.166944444,-77.157777778 19.166944444,-77.183333333 19.1663888890001,-77.1938888889999 19.1663888890001,-77.2416666669999 19.1652777780001,-77.2527777779999 19.1650000000001,-77.2675 19.164722222,-77.276388889 19.1638888890001,-77.305833333 19.1638888890001,-77.344166667 19.1641666670001,-77.3822222219999 19.1652777780001,-77.408333333 19.1666666670001,-77.418055556 19.166944444,-77.419444444 19.166944444,-77.447777778 19.1683333330001,-77.460555556 19.1686111110001,-77.475277778 19.1694444440001,-77.486944444 19.1697222220001,-77.4961111109999 19.1697222220001,-77.4963888889999 19.1697222220001,-77.534444444 19.1691666670001,-77.534722222 19.1691666670001,-77.5672222219999 19.1686111110001,-77.573055556 19.1683333330001,-77.611388889 19.1680555560001,-77.649444444 19.1688888890001,-77.6874999999999 19.1705555560001,-77.725555556 19.1733333330001,-77.808315255 19.182291659,-77.8295655749999 19.1832691770001,-77.8402171339999 19.1838960600001,-77.848715709 19.1844537970001,-77.972058713 19.1930913040001,-78.021282336 19.1975075940001,-78.2018579319999 19.214677056,-78.238228792 19.2239298170001,-78.636796879 19.343259115,-78.723584579 19.3565440360001,-78.7480875689999 19.4827879530001,-78.799390691 19.7493110890001,-78.80263095 19.76621548,-78.986896212 20.0442704430001,-79.207312515 20.18953579,-79.406119562 20.320718942,-79.546646935 20.3946964680001,-79.5949518 20.4206581980001,-79.740902908 20.4597945720001,-79.755412104 20.463756656,-79.9164988269999 20.4951271240001,-79.945263973 20.500855953,-80.031629207 20.5182399500001,-80.1136684809999 20.54574517,-80.207483859 20.5715508870001,-80.2218397299999 20.575992919,-80.3040268299999 20.6018107190001,-80.323855367 20.6074166450001,-80.346019239 20.613715262,-80.42966495 20.6378532460001,-80.5487562009999 20.672443807,-80.723561484 20.5921351920001,-80.954579442 20.4904432390001,-81.0429811929999 20.491100708,-81.0662500889999 20.492846032,-81.1352766219999 20.5011209520001,-81.193187393 20.5081364000001,-81.387519497 20.498632996,-81.426909262 20.496696978,-81.5187053769999 20.4874741200001,-81.75303244 20.4517047590001,-81.79080005 20.438527639,-81.849533219 20.4181575150001,-82.015487304 20.3616859140001,-82.383435812 20.2369319430001,-82.453442933 20.2132122940001,-82.673137996 20.0789815200001,-82.686659191 20.070716706,-82.710704866 20.05551712,-82.9341727349999 19.9141890770001,-83.1244034699999 19.793705964,-83.3153514369999 19.6714066770001,-83.597222 19.465833),(-77.7258365719999 19.83638137,-77.6811185719999 19.82194537,-77.6488995719999 19.8233273700001,-77.352918572 19.85679937,-77.313472572 19.8760363700001,-77.3388995719999 19.8802723700001,-77.333345572 19.88860937,-77.308063572 19.9023543700001,-77.293336572 19.9052813700001,-77.198627572 19.90833637,-77.1266815719999 19.88694537,-77.0750095719999 19.88110937,-77.033863572 19.89077237,-77.008199572 19.87680937,-76.9877905719999 19.8802723700001,-76.9305545719999 19.8933273700001,-76.9063995719999 19.9044453700001,-76.796672572 19.9291633710001,-76.625836571 19.944718371,-76.570290571 19.9383273710001,-76.496672571 19.944718371,-76.484727571 19.946945371,-76.468899571 19.952499371,-76.455290571 19.959999371,-76.421954571 19.9672183710001,-76.248899571 19.9908363710001,-76.2150095709999 19.990554371,-76.134736571 19.984718371,-76.1108365709999 19.9786093710001,-75.944736571 19.9583273710001,-75.908336571 19.967499371,-75.720490571 19.953881371,-75.699172571 19.943881371,-75.68610957 19.935554371,-75.6733365699999 19.92639037,-75.65999957 19.9180543700001,-75.60945457 19.89527237,-75.59279057 19.88944537,-75.5400095699999 19.87889037,-75.52250957 19.87708137,-75.38019057 19.87671837,-75.36944557 19.87555437,-75.35556357 19.87555437,-75.30528157 19.8808363700001,-75.2237275699999 19.90155437,-75.17029057 19.9313903710001,-75.15918157 19.9606903710001,-75.15727257 19.964163371,-75.17848157 19.9965273710001,-75.1741725699999 20.0066633710001,-75.1641725699999 20.014445371,-75.09279057 20.0563903710001,-75.07820957 20.013336371,-75.09418157 19.9927723710001,-75.10139057 19.9858363710001,-75.13973657 19.9628723710001,-75.16446357 19.90249937,-75.15972757 19.89048137,-75.13444557 19.88694537,-75.1213995699999 19.8874993700001,-75.08528157 19.8930363700001,-75.03333657 19.90083637,-75.0152905699999 19.9038903700001,-74.98459057 19.92069037,-74.9727815699999 19.932218371,-74.96473657 19.9455543710001,-74.9608455699999 19.9563903710001,-74.8313905699999 20.0269453710001,-74.81695457 20.0344453710001,-74.80029057 20.038890371,-74.76221857 20.048054371,-74.71779057 20.052218371,-74.70389957 20.0519363710001,-74.68222757 20.0502723710001,-74.6033455689999 20.0524993710001,-74.486954569 20.0649993710001,-74.378618569 20.0780543710001,-74.3655725689999 20.078609371,-74.319172569 20.0781903710001,-74.3108365689999 20.0722183710001,-74.2994455689999 20.060481371,-74.2843185689999 20.0565273710001,-74.266681569 20.063609371,-74.253618569 20.071945371,-74.241118569 20.0805543710001,-74.147509569 20.1724993710001,-74.1333095689999 20.191309371,-74.132509569 20.193609371,-74.131254569 20.204436371,-74.131954569 20.2211093710001,-74.1422275689999 20.2515273710001,-74.227363569 20.3149273710001,-74.2672275689999 20.3127723710001,-74.288827569 20.303681371,-74.3002815689999 20.2944453710001,-74.384172569 20.2902723710001,-74.498754569 20.350418371,-74.543627569 20.3944453710001,-74.569454569 20.4236093710001,-74.581745569 20.449645371,-74.582509569 20.464163371,-74.601963569 20.4836093710001,-74.63806357 20.5122183710001,-74.67556357 20.5361093710001,-74.72018157 20.553845371,-74.74667257 20.5930543710001,-74.95556357 20.6852723710001,-74.98499957 20.693336371,-75.23611857 20.723054371,-75.39557257 20.733327371,-75.43529057 20.734163371,-75.46376357 20.7327723710001,-75.47222757 20.7270813710001,-75.47181857 20.716390371,-75.4612545699999 20.7154183710001,-75.44569957 20.7106903710001,-75.44653657 20.6950633710001,-75.55139057 20.683609371,-75.7175095709999 20.6901363710001,-75.736681571 20.696945371,-75.767499571 20.7169453710001,-75.780154571 20.746109371,-75.778063571 20.7733273710001,-75.767227571 20.826381371,-75.7380635709999 20.831109371,-75.63389957 20.8458363710001,-75.57972757 21.0069453720001,-75.58416357 21.0161093720001,-75.60583657 21.0566633720001,-75.61680957 21.070409372,-75.707227571 21.121945372,-75.725572571 21.1263903720001,-75.814036571 21.132636372,-75.886672571 21.1049993720001,-75.968336571 21.090827372,-76.021663571 21.084163372,-76.0916725709999 21.111381372,-76.1319545709999 21.159163372,-76.156399571 21.177772372,-76.170009571 21.186109372,-76.215290571 21.2072183720001,-76.238754571 21.210418372,-76.263336571 21.2162453720001,-76.307781571 21.2430543720001,-76.3143185709999 21.2484633720001,-76.364454571 21.274436372,-76.490572571 21.283054372,-76.5074725709999 21.268890372,-76.514418571 21.2513453720001,-76.4996815709999 21.242218372,-76.486954571 21.229718372,-76.467227571 21.2266633720001,-76.457363571 21.2199993720001,-76.489454571 21.201663372,-76.538481571 21.182772372,-76.603063571 21.2061093720001,-76.611672571 21.2252723720001,-76.598072571 21.229445372,-76.588063571 21.2291633720001,-76.593445571 21.2506633720001,-76.582409571 21.2528273720001,-76.574781571 21.264663372,-76.574581571 21.282745372,-76.661254571 21.353890372,-76.7988275719999 21.383609372,-76.835672572 21.336890372,-76.875836572 21.301945372,-76.8986095719999 21.309309372,-76.9022365719999 21.340554372,-76.884590572 21.3548633720001,-76.883899572 21.419718372,-76.9460725719999 21.452209372,-76.969727572 21.4852723720001,-76.988618572 21.5088903720001,-77.044445572 21.5669453720001,-77.0619545719999 21.584999372,-77.090281572 21.5750813720001,-77.101954572 21.5753273720001,-77.124118572 21.544745372,-77.131954572 21.519999372,-77.153481572 21.4860363720001,-77.208963572 21.4554093720001,-77.256254572 21.4724993720001,-77.265836572 21.4808273720001,-77.364309572 21.6140993720001,-77.346390572 21.621109372,-77.2772365719999 21.6138903720001,-77.264454572 21.6124993720001,-77.2158365719999 21.5944453720001,-77.189727572 21.5836093720001,-77.181945572 21.5769453720001,-77.166809572 21.582027372,-77.157981572 21.5771903720001,-77.140399572 21.596272372,-77.137099572 21.6074813720001,-77.140018572 21.6527723720001,-77.156954572 21.6536093720001,-77.171672572 21.656390372,-77.229172572 21.6866633720001,-77.465290572 21.8261093720001,-77.4911185719999 21.8436093720001,-77.498899572 21.8502723720001,-77.507236572 21.863054372,-77.5119455719999 21.8722183720001,-77.515836572 21.8822183720001,-77.521390572 21.9036093720001,-77.5291725719999 21.9102723720001,-77.5430635719999 21.918609372,-77.5609815719999 21.926109372,-77.572363572 21.924581372,-77.599309572 21.9086093720001,-77.610690572 21.8858273720001,-77.5680725719999 21.847218372,-77.529563572 21.826390372,-77.512727572 21.816890372,-77.4994275719999 21.815118372,-77.458890572 21.8063903720001,-77.446254572 21.8006903720001,-77.409727572 21.757772372,-77.339581572 21.6649993720001,-77.334727572 21.6527723720001,-77.340490572 21.6372903720001,-77.3602905719999 21.6355543720001,-77.405009572 21.648054372,-77.430563572 21.6561093720001,-77.439454572 21.6716633720001,-77.454999572 21.7102813720001,-77.457227572 21.7283363720001,-77.457227572 21.7413903720001,-77.449863572 21.750345372,-77.428827572 21.7363903720001,-77.4294545719999 21.748609372,-77.455281572 21.775827372,-77.4980095719999 21.778709372,-77.577518572 21.7799993720001,-77.659590572 21.779790372,-77.746945572 21.799445372,-77.7561185719999 21.804445372,-77.8641815729999 21.898890372,-77.900281573 21.8888813720001,-77.952518573 21.9488903720001,-78.015563573 22.027499372,-78.0555545729999 22.078890373,-78.066390573 22.0827723730001,-78.084018573 22.083099373,-78.110563573 22.0886093730001,-78.121672573 22.0924993730001,-78.309727573 22.1655543730001,-78.3422275729999 22.186036373,-78.352509573 22.1986093730001,-78.4099995729999 22.243609373,-78.5733365729999 22.3219453730001,-78.790554573 22.3949993730001,-78.888627573 22.4041633730001,-78.925563574 22.3952723730001,-78.932499574 22.391799373,-78.976963574 22.401945373,-79.003345574 22.4027723730001,-79.0163995739999 22.4011093730001,-79.0369545739999 22.393054373,-79.055554574 22.3861093730001,-79.067227574 22.3830543730001,-79.085554574 22.380272373,-79.1595905739999 22.3722183730001,-79.2590365739999 22.372636373,-79.335845574 22.406945373,-79.3513905739999 22.415836373,-79.3907185739999 22.451709373,-79.421109574 22.476109373,-79.491390574 22.5286093730001,-79.5066725739999 22.5308363730001,-79.524445574 22.5455543730001,-79.5388905739999 22.559999373,-79.548063574 22.5719453730001,-79.602509574 22.644718373,-79.6338995739999 22.6905543730001,-79.676681574 22.758890373,-79.724727574 22.7694453730001,-79.854445574 22.803609373,-79.973072574 22.869999373,-79.981945574 22.8758273730001,-79.989181574 22.882772373,-79.9988995749999 22.908054373,-80.008345575 22.931663373,-80.015563575 22.938890373,-80.0376455749999 22.9512453730001,-80.1700095749999 22.930272373,-80.231399575 22.907218373,-80.249454575 22.9036093730001,-80.278627575 22.905281373,-80.400281575 22.9383273730001,-80.411390575 22.9419453730001,-80.438609575 22.951663373,-80.541954575 22.989999373,-80.587436575 23.0458273730001,-80.596054575 23.0672183730001,-80.6213995749999 23.0916633730001,-80.633054575 23.0983273730001,-80.7441725749999 23.0949993730001,-80.982790575 23.076663373,-81.103345576 23.0491633730001,-81.120845576 23.027218373,-81.131399576 23.023327373,-81.1738995759999 23.031390373,-81.2855725759999 23.1197183730001,-81.2794455759999 23.1312453730001,-81.255009576 23.1463813730001,-81.2269635759999 23.1616633740001,-81.2999995759999 23.141390373,-81.386945576 23.1122183730001,-81.500836576 23.0555543730001,-81.531399576 23.0794363730001,-81.527790576 23.0934723730001,-81.527927576 23.106245373,-81.536390576 23.1230543730001,-81.553345576 23.140554373,-81.5736185759999 23.152354374,-81.585427576 23.156381374,-81.6269545759999 23.158609374,-81.647227576 23.156945374,-81.677472576 23.152009374,-81.703472576 23.159445374,-81.771663576 23.1538903740001,-81.783618576 23.1513903740001,-81.848890576 23.1533273740001,-81.934172576 23.160272374,-81.963899576 23.1642993740001,-81.9833365759999 23.1708273740001,-81.996672576 23.1794453740001,-82.005009576 23.188190374,-82.0282095759999 23.194027374,-82.045290576 23.1933363740001,-82.0827815759999 23.1872183740001,-82.095854576 23.1844633740001,-82.1724995769999 23.1819453740001,-82.206390577 23.186663374,-82.220563577 23.187499374,-82.234172577 23.1863813740001,-82.265563577 23.181390374,-82.331118577 23.1666633740001,-82.407154577 23.1427093730001,-82.496672577 23.092781373,-82.5333365769999 23.0719453730001,-82.535336577 23.0702363730001,-82.5455635769999 23.062499373,-82.556118577 23.0583273730001,-82.590009577 23.048609373,-82.695009577 23.032218373,-82.726672577 23.0286093730001,-82.748336577 23.028054373,-82.768618577 23.030554373,-82.807509577 23.031109373,-82.858336577 23.030281373,-82.900281577 23.029445373,-82.917509577 23.024718373,-82.927645577 23.0170813730001,-82.9447635769999 22.978727373,-82.9726365769999 22.9673633730001,-83.0080545769999 22.979854373,-82.999999577 23.0152273730001,-83.0538905769999 23.018327373,-83.216945578 23.001390373,-83.229172578 22.9988813730001,-83.4425095779999 22.9002723730001,-83.6925095779999 22.801936373,-83.8433365779999 22.7522183730001,-84.023054578 22.677499373,-84.069936578 22.6615273730001,-84.200563578 22.5530543730001,-84.299454579 22.459163373,-84.3908365789999 22.3513903730001,-84.400554579 22.3327723730001,-84.439999579 22.2036093730001,-84.4111185789999 22.155281373,-84.320845579 22.079163373,-84.338054579 22.0122183720001,-84.348345579 22.023327372,-84.358899579 22.0344453720001,-84.371881579 22.041454372,-84.493899579 22.046109372,-84.514172579 22.0452723720001,-84.533336579 22.035827372,-84.546954579 22.027499372,-84.818072579 21.9074993720001,-84.894309579 21.8838903720001,-84.905836579 21.890272372,-84.9243815789999 21.9146453720001,-84.938063579 21.9045813720001,-84.9529275789999 21.8631903720001,-84.9515365789999 21.856163372,-84.9511275789999 21.8552723720001,-84.945281579 21.8469453720001,-84.936954579 21.840827372,-84.9275095789999 21.8361093720001,-84.9111185789999 21.8305543720001,-84.864727579 21.821799372,-84.815563579 21.8158273720001,-84.8050095789999 21.819999372,-84.765018579 21.844718372,-84.756118579 21.8540273720001,-84.747363579 21.8663903720001,-84.7366815789999 21.873609372,-84.700290579 21.894999372,-84.648899579 21.9161093720001,-84.613890579 21.9249993720001,-84.601963579 21.927772372,-84.564181579 21.9338903720001,-84.498481579 21.9347183720001,-84.486399579 21.9288903720001,-84.475563579 21.914718372,-84.4695905789999 21.892772372,-84.470836579 21.870281372,-84.475281579 21.860554372,-84.494172579 21.843327372,-84.5281275789999 21.7752723720001,-84.5158365789999 21.765827372,-84.5011095789999 21.7655543720001,-84.487499579 21.766936372,-84.451945579 21.7752723720001,-84.4323725789999 21.784027372,-84.402236579 21.8066633720001,-84.382781579 21.8230543720001,-84.3283365789999 21.862781372,-84.306118579 21.8766633720001,-84.2813995779999 21.8888813720001,-84.271663578 21.8936093720001,-84.240009578 21.905281372,-84.229445578 21.909163372,-84.1252815779999 21.9390273720001,-84.107509578 21.9397183720001,-84.081681578 21.935272372,-84.0658455779999 21.9291633720001,-84.041263578 21.9141633720001,-84.0287635779999 21.9140273720001,-84.002227578 21.9341633720001,-83.9908455779999 21.9472183720001,-83.994172578 22.0277723720001,-84.006672578 22.0539543720001,-83.967372578 22.1281903730001,-83.954727578 22.140554373,-83.9433455779999 22.1508363730001,-83.929036578 22.1624993730001,-83.9081995779999 22.1706903730001,-83.875563578 22.171109373,-83.847781578 22.170272373,-83.813609578 22.168609373,-83.748336578 22.1708273730001,-83.667236578 22.174999373,-83.589445578 22.213054373,-83.543336578 22.1947183730001,-83.493899578 22.177772373,-83.4794545779999 22.174445373,-83.411954578 22.189163373,-83.368063578 22.201663373,-83.343618578 22.232772373,-83.2543095779999 22.348054373,-83.204181577 22.333054373,-83.190145577 22.327354373,-83.168890577 22.331390373,-83.1422365769999 22.3548633730001,-83.136263577 22.3631903730001,-83.108336577 22.416945373,-83.105009577 22.436799373,-83.0751455769999 22.4780543730001,-83.035572577 22.5069453730001,-83.0266725769999 22.5122183730001,-82.8597275769999 22.595554373,-82.849163577 22.599718373,-82.823336577 22.6073813730001,-82.798681577 22.6196543730001,-82.787790577 22.6608273730001,-82.7913995769999 22.6740273730001,-82.788481577 22.685272373,-82.777499577 22.695827373,-82.760563577 22.7008363730001,-82.718063577 22.6987453730001,-82.702790577 22.6955543730001,-82.6730635769999 22.6880543730001,-82.624727577 22.6827813730001,-82.400554577 22.686109373,-82.176681577 22.677772373,-81.961118576 22.6758273730001,-81.885009576 22.6808273730001,-81.836672576 22.669445373,-81.8127905759999 22.663609373,-81.787227576 22.6558363730001,-81.755009576 22.6402723730001,-81.741118576 22.632499373,-81.650127576 22.577399373,-81.644036576 22.573327373,-81.648899576 22.4913903730001,-81.700972576 22.454854373,-81.795009576 22.4363813730001,-81.841127576 22.431109373,-81.9798725759999 22.426936373,-82.0580635759999 22.427772373,-82.099163576 22.4305543730001,-82.121390576 22.4322183730001,-82.144727577 22.4230543730001,-82.159181577 22.408609373,-82.162654577 22.3952723730001,-82.156681577 22.383890373,-82.150281577 22.3761093730001,-82.137790576 22.3669453730001,-82.099454576 22.343054373,-82.0069545759999 22.303336373,-81.840563576 22.194999373,-81.823063576 22.183609373,-81.7618185759999 22.1716633730001,-81.660281576 22.1947183730001,-81.649318576 22.2086093730001,-81.622218576 22.207218373,-81.406399576 22.178336373,-81.396663576 22.173336373,-81.390290576 22.1655543730001,-81.3828545759999 22.148818373,-81.388063576 22.1311093730001,-81.387363576 22.117772373,-81.348618576 22.084854373,-81.323899576 22.084163373,-81.205563576 22.094718373,-81.196399576 22.1097183730001,-81.134172576 22.148054373,-81.125836576 22.1286093730001,-81.117509576 22.1091633730001,-81.111681576 22.1008273730001,-81.104445576 22.093609373,-81.088763576 22.084163373,-81.0211185749999 22.059445372,-81.009445575 22.0563903720001,-80.905290575 22.040554372,-80.891109575 22.039718372,-80.876954575 22.0399993720001,-80.839736575 22.0458273720001,-80.823627575 22.0516633720001,-80.811809575 22.057636372,-80.753618575 22.060136372,-80.6280635749999 22.0541633720001,-80.591127575 22.0505543720001,-80.555936575 22.0628273720001,-80.5400095749999 22.1608273730001,-80.532718575 22.176599373,-80.491954575 22.1772183730001,-80.453199575 22.163609373,-80.454036575 22.122227373,-80.3966635749999 22.104445373,-80.3929905749999 22.0738903720001,-80.4108455749999 22.0647183720001,-80.4330635749999 22.061945372,-80.427227575 22.0391633720001,-80.402236575 22.007499372,-80.381390575 21.985554372,-80.366954575 21.970554372,-80.2941725749999 21.906390372,-80.281109575 21.8977813720001,-80.245281575 21.8755543720001,-80.199445575 21.8486093720001,-80.189181575 21.844163372,-80.1716725749999 21.8394453720001,-80.1010905749999 21.822681372,-80.047227575 21.788327372,-79.987790574 21.7236093720001,-79.890018574 21.746945372,-79.7777905739999 21.7055543720001,-79.668336574 21.693609372,-79.646390574 21.686109372,-79.4807095739999 21.6027723720001,-79.462509574 21.5944453720001,-79.265018574 21.5458273720001,-79.245836574 21.542218372,-79.231945574 21.5411093720001,-79.2097275739999 21.5402723720001,-79.196945574 21.541945372,-79.173063574 21.5466633720001,-79.144181574 21.5530543720001,-79.130145574 21.557081372,-79.024172574 21.583327372,-78.966018574 21.5963723720001,-78.9119545729999 21.592218372,-78.897781573 21.5924993720001,-78.866390573 21.611109372,-78.8512545729999 21.620972372,-78.7581365729999 21.640272372,-78.7402815729999 21.6347183720001,-78.699454573 21.6065273720001,-78.647245573 21.534454372,-78.633054573 21.524436372,-78.6225095729999 21.5136093720001,-78.603054573 21.4841633720001,-78.5949995729999 21.4644453720001,-78.565845573 21.390272372,-78.5372275729999 21.288327372,-78.508618573 21.167218372,-78.4951455729999 21.031799372,-78.3363995729999 20.9488903710001,-78.273345573 20.9036093710001,-78.212236573 20.840827371,-78.163618573 20.7927723710001,-78.0722365729999 20.713890371,-78.048063573 20.6988903710001,-77.931672573 20.6925633710001,-77.918336573 20.7022183710001,-77.909318573 20.7184723710001,-77.900554573 20.7277723710001,-77.874727573 20.7299993710001,-77.857927573 20.7294453710001,-77.832263572 20.719009371,-77.786390572 20.701381371,-77.772090572 20.696945371,-77.742509572 20.693881371,-77.682509572 20.689718371,-77.530009572 20.682218371,-77.4613995719999 20.6852723710001,-77.370009572 20.7169453710001,-77.3572275719999 20.718327371,-77.336636572 20.716690371,-77.323627572 20.713890371,-77.3141815719999 20.7088813710001,-77.2363905719999 20.663054371,-77.196954572 20.6340273710001,-77.078472572 20.4672183710001,-77.083890572 20.4480543710001,-77.1145905719999 20.3673633710001,-77.170972572 20.300554371,-77.1936185719999 20.285827371,-77.2788995719999 20.245281371,-77.3044545719999 20.2352723710001,-77.329727572 20.225554371,-77.340290572 20.2219453710001,-77.366672572 20.216663371,-77.3791815719999 20.2113903710001,-77.396663572 20.200272371,-77.596672572 20.046663371,-77.710009572 19.9155543700001,-77.742372572 19.8709723700001,-77.738345572 19.8522183700001,-77.7258365719999 19.83638137),(-79.3700095739999 22.6383363730001,-79.3297275739999 22.6141633730001,-79.324172574 22.6172183730001,-79.340836574 22.6394453730001,-79.375136574 22.6747183730001,-79.430845574 22.701663373,-79.493063574 22.7313903730001,-79.5216635739999 22.750272373,-79.528899574 22.757499373,-79.543063574 22.7786093730001,-79.5662635739999 22.8017993730001,-79.580354574 22.8113183730001,-79.602236574 22.812772373,-79.632509574 22.799999373,-79.630763574 22.782709373,-79.5177905739999 22.7141633730001,-79.471399574 22.6911093730001,-79.3700095739999 22.6383363730001),(-78.4008365729999 22.558745373,-78.4257095729999 22.554863373,-78.448627573 22.5383273730001,-78.459454573 22.5274993730001,-78.5366635729999 22.523054373,-78.5513905729999 22.5236093730001,-78.5716725729999 22.526390373,-78.583345573 22.529718373,-78.6004275729999 22.5448633730001,-78.6422365729999 22.5530543730001,-78.675281573 22.556799373,-78.693481573 22.533190373,-78.696399573 22.511663373,-78.692363573 22.5018093730001,-78.6530635729999 22.486945373,-78.5369545729999 22.448054373,-78.489172573 22.4454183730001,-78.4741635729999 22.453054373,-78.464736573 22.458327373,-78.419172573 22.463890373,-78.3974365729999 22.4576363730001,-78.395709573 22.444027373,-78.425290573 22.4124993730001,-78.408054573 22.427636373,-78.295972573 22.4355543730001,-78.277718573 22.442772373,-78.341399573 22.533881373,-78.3497275729999 22.539718373,-78.3908365729999 22.5580543730001,-78.4008365729999 22.558745373),(-78.274736573 22.424445373,-78.3088185729999 22.4101363730001,-78.291809573 22.3974993730001,-78.279454573 22.405281373,-78.264454573 22.408054373,-78.191954573 22.364999373,-78.185563573 22.357218373,-78.1744545729999 22.3374993730001,-78.1906365729999 22.321590373,-78.1595905729999 22.302772373,-78.057236573 22.267218373,-78.019454573 22.2619453730001,-78.022509573 22.2766633730001,-78.086672573 22.3813813730001,-78.0922275729999 22.389999373,-78.0994545729999 22.397218373,-78.1186185729999 22.4138903730001,-78.162509573 22.432772373,-78.205281573 22.4370813730001,-78.274736573 22.424445373),(-77.9975095729999 22.2852723730001,-78.0440275729999 22.1883273730001,-77.998609573 22.1461093730001,-77.9613995729999 22.1258273730001,-77.895281573 22.0974993730001,-77.864727573 22.095554373,-77.844454572 22.1080543730001,-77.829236572 22.1515273730001,-77.861263573 22.2191633730001,-77.9975095729999 22.2852723730001),(-77.7994545719999 22.101609373,-77.852163573 22.088881373,-77.858345573 22.075427372,-77.878709573 22.0717903720001,-77.915054573 22.094699373,-77.937227573 22.1027723730001,-77.9472365729999 22.0983273730001,-77.944454573 22.0658273720001,-77.941954573 22.054718372,-77.934590573 22.0442993720001,-77.8858365729999 22.0033273720001,-77.800563572 21.965827372,-77.764727572 21.956663372,-77.705563572 21.9086093720001,-77.6936185719999 21.9224993720001,-77.673063572 21.9463903720001,-77.638336572 21.9530543720001,-77.621263572 22.028190372,-77.634736572 22.052218372,-77.6525725719999 22.068609372,-77.7325635719999 22.0765183730001,-77.7994545719999 22.101609373),(-82.598618577 21.538054372,-82.544590577 21.5738903720001,-82.5430635769999 21.5897183720001,-82.593063577 21.7399993720001,-82.598072577 21.748881372,-82.606672577 21.7613903720001,-82.6147275769999 21.768327372,-82.6663995769999 21.8008273720001,-82.6997185769999 21.8336093720001,-82.7158365769999 21.890272372,-82.823763577 21.927081372,-82.865281577 21.9324993720001,-82.974454577 21.942772372,-83.072236577 21.8419453720001,-83.079181577 21.831663372,-83.0875095769999 21.8083273720001,-83.0894455769999 21.785554372,-83.075563577 21.764163372,-83.013627577 21.677218372,-82.948063577 21.605554372,-82.9391815769999 21.5999993720001,-82.935072577 21.586599372,-82.9477815769999 21.5688813720001,-82.955290577 21.5622183720001,-83.021390577 21.5424993720001,-83.061399577 21.541381372,-83.073899577 21.543609372,-83.084163577 21.548054372,-83.1095905769999 21.563536372,-83.1143185769999 21.576527372,-83.191399577 21.6233993720001,-83.1644635769999 21.554445372,-83.1495095769999 21.5284723720001,-83.072990577 21.4627093720001,-82.996127577 21.453327372,-82.956681577 21.4480543720001,-82.897227577 21.432781372,-82.865845577 21.437772372,-82.743345577 21.4741633720001,-82.710554577 21.484445372,-82.700290577 21.488609372,-82.636127577 21.5180543720001,-82.598618577 21.538054372)))', 'Cuban Exclusive Economic Zone', 'Cuba', 'Cuba', '', '112', '112', 'CUB', '8406', '', '366902022900', '8406', 'Y'),('SRID=4326;MULTIPOLYGON(((-63.0454785589999 16.3489823670001,-62.8880845589999 16.492577367,-62.885578559 16.494843367,-62.7531565579999 16.613675367,-62.522579558 16.722262368,-62.4066585579999 16.777151368,-62.394938558 16.783882368,-62.3403095579999 16.8145593680001,-62.3335815579999 16.819678368,-62.3289205579999 16.8233143680001,-62.313511558 16.835940368,-62.3128875579999 16.8366273680001,-62.306080558 16.8445273680001,-62.2883675579999 16.8646273680001,-62.282340558 16.871618368,-62.270208558 16.886273368,-62.225369558 16.938268368,-62.2039895579999 16.9619823680001,-62.139103558 17.0348873680001,-62.119369558 17.014631368,-62.117972558 17.013258368,-62.084195558 16.9812093680001,-62.078791558 16.9746603680001,-62.054185558 16.942747368,-62.024328558 16.905212368,-62.020120558 16.8999793680001,-62.0028395579999 16.8787233680001,-61.990337558 16.8630303680001,-61.9882065579999 16.860405368,-61.9570015579999 16.831813368,-61.941618558 16.817358368,-61.9232325579999 16.795188368,-61.8859055579999 16.752989368,-61.827399558 16.6976033670001,-61.822849558 16.693307367,-61.851111558 16.6577773670001,-62.0527775579999 16.431111367,-62.405277558 16.1280553670001,-62.649444558 15.948333367,-62.813888559 15.8419443670001,-63.0454785589999 16.3489823670001),(-62.235836558 16.7305543680001,-62.2369455579999 16.714718368,-62.229727558 16.7047183670001,-62.2105635579999 16.685272367,-62.189999558 16.6724993670001,-62.171390558 16.6713903670001,-62.1655545579999 16.6716633670001,-62.153472558 16.6766633670001,-62.138890558 16.6905543670001,-62.1472275579999 16.749163368,-62.176390558 16.8086093680001,-62.204590558 16.8123543680001,-62.235836558 16.7305543680001)))', 'Montserrat Exclusive Economic Zone', 'Montserrat', 'United Kingdom', '', '180', '121', 'MSR', '8415', '', '7598952050', '8415', 'Y'),('SRID=4326;MULTIPOLYGON(((98.7427542450001 10.3486090170001,98.7435275080001 10.342479885,98.7454002310001 10.3276360880001,98.7233092220001 10.2433270500001,98.6980272230001 10.170554026,98.694285268 10.1625957950001,98.6891452550001 10.1516642330001,98.66642791 10.1034139560001,98.6355590420001 10.037850335,98.62701616 10.019705765,98.5747093100001 9.90860915700006,98.54664519 9.87805393500003,98.542482234 9.80639117700002,98.5602073210001 9.74281203800007,98.5626184260001 9.73416393700006,98.4525454260001 9.54868193600004,98.398463425 9.38860993600002,98.3899814250001 9.35499993600007,98.3887904250001 9.34481893600002,98.386108425 9.32389093600005,98.347490425 9.23916393600007,98.3280454250001 9.20749993600003,98.3513814250001 9.11471893600003,98.3469364250001 9.06027293600005,98.3391544250001 9.01055493600006,98.327208425 8.97360993600006,98.290263425 8.91805493600003,98.2608184250001 8.85388193600005,98.2349814250001 8.69610993600003,98.224427425 8.61139093500003,98.2042904250001 8.58499993500004,98.1938724250001 8.55402793500002,98.1983184250001 8.52777293500003,98.229427425 8.42166393500003,98.2741544250001 8.27444593500007,98.3169364250001 8.20805493500006,98.385545425 8.13721893500002,98.436290425 8.14798193500008,98.4681084260001 8.22555493500005,98.456099426 8.27902793500004,98.4437274260001 8.29805493500004,98.4738724260001 8.32471893500002,98.5463724260001 8.35708193500005,98.618045426 8.38221893500003,98.6558814260001 8.37992793500007,98.6552084260001 8.36902793500008,98.6342904260001 8.35950993500006,98.624418426 8.32916393500005,98.6212274260001 8.28409993500003,98.6513724260001 8.27971893500006,98.672690426 8.30006393500003,98.6976184260001 8.30402793500002,98.739981426 8.22179993500004,98.7463724260001 8.18708193500004,98.746936426 8.10777293500007,98.7435904260001 8.07944593500002,98.747208426 8.05944593500004,98.7719364260001 8.01847293500003,98.840263426 7.99610993500005,98.8831814260001 8.01471893500008,98.9569364260001 7.97582793500004,99.0363724260001 7.89499993500004,99.0173544260001 7.81666393500007,99.0251184260001 7.75150993500006,99.0370724260001 7.70721893500007,99.1070634260001 7.69492793500007,99.130536426 7.73374593500006,99.243045426 7.66805493500004,99.2598084260001 7.65579993500006,99.2766544260001 7.61749993500007,99.347418426 7.43812793400002,99.3402544260001 7.37680993400005,99.390827426 7.30166393400003,99.5355364270001 7.23527293400002,99.5845724270001 7.14257293400004,99.6877634270001 7.11152793400004,99.734418427 7.13028193400004,99.7456814270001 7.11791893400004,99.7017184270001 7.06305493400004,99.682681427 7.03145493400007,99.6791544270001 6.98583693400008,99.683872427 6.88278193400004,99.7084634270001 6.84860993400002,99.769718427 6.82847293400005,99.7898364270001 6.82389093400008,99.8471994270001 6.77721893400008,99.9294084270001 6.68639093400003,99.9744084270001 6.62055493400004,99.9910724270001 6.58360993400004,100.014690427 6.55194593400006,100.058436427 6.51162793400005,100.090181427 6.53343693400006,100.122190427 6.44889093300003,100.127108427 6.42494593300006,100.112300427 6.41204893300005,100.092289427 6.39346693300007,100.073707427 6.38489093300007,100.047979427 6.38489093300007,100.015104427 6.39632593300007,99.9993814270001 6.42920093300006,99.9807994270001 6.45778793300002,99.9579294270001 6.47351093300006,99.917907427 6.49066393300006,99.8864614270001 6.50352793400003,99.853585427 6.51782193400004,99.8278574270001 6.53068593400008,99.803558427 6.53497393400005,99.7849764270001 6.52782693400007,99.7649654270001 6.50924593400003,99.753530427 6.48780493300006,99.739236427 6.47351093300006,99.7106494270001 6.46922293300003,99.6792034270001 6.47208193300003,99.6533324270001 6.47499993300005,99.5566666970001 6.50333285400006,99.511667 6.48166700000007,99.458333 6.30666700000006,99.321667 6.27166700000004,99.3216667950001 6.27166702800002,99.321666426 6.27166693300006,99.111666685 6.29999989800007,98.025 5.95000000000005,98.024999967 5.95000010800004,97.9 6.36333300000007,96.6083330000001 7.09666700000002,95.5516670000001 7.76833300000004,95.5300000000001 7.78333300000003,95.5466666670001 7.80000000000007,95.696666667 7.95833333300004,95.654444444 8.16500000000002,95.6530555560001 8.22972222200002,95.6283333330001 8.75305555600005,95.6277777780001 8.80111111100007,95.6086111110001 9.28833333300003,95.5902780000001 9.63333300000005,96.4930555560001 9.75833333300005,97.4433333330001 9.67638888900007,97.6266666670001 9.62333333300006,97.7247222220001 9.60055555600007,97.758055556 9.59416666700002,97.8533333330001 9.58166666700004,97.8694444440001 9.57472222200005,97.917543225 9.54894127600005,97.9388888890001 9.53750000000002,97.9793443880001 9.51588323400006,98.0104441940001 9.50551663200002,98.0622772040001 9.48823896200003,98.1210212820001 9.49169449600004,98.1659432230001 9.49860556400006,98.2039540970001 9.53316090400006,98.2246873010001 9.59190498200007,98.2385094370001 9.62991585600003,98.248876039 9.66447119600002,98.2626981750001 9.70248207000003,98.2765203110001 9.73358187600007,98.2937979810001 9.76813721500002,98.3076201170001 9.80614808900003,98.321442253 9.84070342900003,98.3421754570001 9.87525876900003,98.3698197290001 9.90290304100006,98.390552933 9.93400284700004,98.4003554980001 9.94352015300007,98.406773845 9.94851220000004,98.421036837 9.95706999500004,98.4360129780001 9.96491464100006,98.4559811670001 9.95992259300004,98.4723836080001 9.95493054600007,98.4894991990001 9.95207794800007,98.4980569940001 9.95207794800007,98.5059016390001 9.95564369600004,98.5087542380001 9.96134889300004,98.513033136 9.96990668800004,98.5237303800001 9.97989078200004,98.5322881750001 9.97489873500007,98.534427624 9.97133298700004,98.5436985680001 9.96705408900004,98.5529695130001 9.96348834100007,98.564379907 9.96206204200007,98.5779297490001 9.97489873500007,98.587200694 9.98630912900006,98.5993242380001 9.99700637300003,98.605742584 10.006990467,98.6121609300001 10.0248192070001,98.621431875 10.0447873960001,98.6214314260001 10.044787937,98.6214408870001 10.044809963,98.6382794260001 10.0840119370001,98.6647544260001 10.136961937,98.6890234260001 10.183293937,98.7110854260001 10.242862937,98.7265294260001 10.282574937,98.7375604260001 10.3222879370001,98.7427541180001 10.348608373,98.742749712 10.348597801,98.742754232 10.3486091190001,98.7427542450001 10.3486090170001),(98.287490425 7.77763693500003,98.3090724250001 7.75721893500003,98.4363724250001 7.87166393500007,98.4410814250001 7.90610993500007,98.4329454250001 7.91199993500004,98.413936425 7.90461893500003,98.3998454250001 7.94175493500006,98.400063425 7.97910993500005,98.418636425 7.99745493500006,98.418636425 8.01512793500007,98.4019274250001 8.08139093500006,98.3899814250001 8.08389093500006,98.3430454250001 8.10889093500003,98.3363814250001 8.13249993500006,98.3327634250001 8.16219093500007,98.3195634250001 8.17513693500007,98.303454425 8.18520993500005,98.2820724250001 8.18332793500002,98.2719274250001 7.92221893500005,98.2838724250001 7.78777293500002,98.287490425 7.77763693500003),(98.5749184260001 7.91353693500002,98.598390426 7.89902793500005,98.6070634260001 7.90805493500005,98.6113724260001 7.95471893500007,98.6116454260001 7.96860993500007,98.610818426 8.05110993500006,98.5935994260001 8.07888193500003,98.536945426 8.10735493500005,98.5281814260001 8.11999993500007,98.5297084260001 8.09082793500005,98.5322084260001 8.07999993500005,98.5749184260001 7.91353693500002),(99.5966454270001 6.58527293400005,99.6526274270001 6.49479093400004,99.668045427 6.49639093400003,99.693036427 6.52555493400007,99.7022814270001 6.54249993400003,99.6977544270001 6.58833693400004,99.681372427 6.67909993400002,99.6628084270001 6.70299993400005,99.6085994270001 6.60833693400002,99.597618427 6.60013693400003,99.5966454270001 6.58527293400005)),((100.848727428 13.4712449400001,100.915263428 13.46277194,100.976345428 13.4628089400001,100.988172428 13.3838909400001,100.980190428 13.3579089400001,100.961927428 13.34347194,100.930808428 13.3347179400001,100.914363428 13.29159994,100.936918428 13.23402694,100.942618428 13.19784494,100.901654428 13.07221794,100.919981428 12.9844449400001,100.868854428 12.7677719390001,100.843254428 12.736799939,100.839154428 12.701390939,100.853863428 12.6827719390001,100.932208428 12.611389939,100.970672428 12.604299939,100.975218428 12.6409269390001,100.994136428 12.647780939,101.078736428 12.6745809390001,101.109154428 12.675271939,101.236499428 12.658471939,101.262499428 12.653608939,101.293872428 12.644444939,101.314990428 12.637217939,101.335272428 12.629162939,101.381936428 12.609162939,101.567754428 12.6324989390001,101.651645428 12.6508269390001,101.667763429 12.682917939,101.686918429 12.696389939,101.715545429 12.7049989390001,101.756581429 12.7049989390001,101.786799429 12.6943539390001,101.809981429 12.681389939,101.859772429 12.641771939,101.869427429 12.610826939,101.892345429 12.572080939,101.946636429 12.5249989390001,102.019427429 12.5636089390001,102.060672429 12.5662449390001,102.067754429 12.532771939,102.068118429 12.4856179390001,102.120818429 12.421108939,102.197199429 12.343608939,102.216090429 12.325826939,102.243463429 12.306526939,102.265263429 12.2980539390001,102.311781429 12.310689939,102.342063429 12.3352719390001,102.337772429 12.3606899390001,102.355745429 12.358671939,102.364081429 12.344580939,102.339427429 12.310690939,102.319154429 12.2922179390001,102.337772429 12.1952719390001,102.521927429 12.116662939,102.557127429 12.2024269390001,102.595545429 12.203880939,102.641518429 12.174998939,102.76262743 12.0279179390001,102.77776343 11.956108939,102.80362743 11.8749809390001,102.90413643 11.740271938,102.90886343 11.720553938,102.916091262 11.635854035,102.910935432 11.6323909380001,102.910935505 11.632391179,102.884721555 11.6258376920001,102.859818303 11.6192842040001,102.825740168 11.611420019,102.785108546 11.6009344400001,102.764137387 11.593070255,102.767061102 11.5689667390001,102.768314095 11.56113636,102.768304834 11.560956387,102.769034556 11.5453124260001,102.772528549 11.495214252,102.773266539 11.485660723,102.771409253 11.44729441,102.751156419 11.4007148800001,102.749855228 11.3978138040001,102.749471896 11.396963322,102.748723928 11.395312914,102.747965034 11.393662497,102.746993882 11.391561785,102.746027217 11.3895111420001,102.74562442 11.3886606400001,102.727696259 11.350997491,102.726855581 11.3492093460001,102.595503749 11.2920855780001,102.569627049 11.280767095,102.487612738 11.2451539470001,102.428374112 11.2188692010001,102.264566956 11.1455487120001,102.231875599 11.130220556,102.194482935 11.1106066410001,101.330389756 10.6556096200001,101.392961238 10.529363801,101.39296136 10.529363075,101.442481329 10.2349500660001,101.442503231 10.2348193780001,101.44264891 10.2339501380001,101.480212346 10.0096717640001,101.480212374 10.0096712600001,101.482463346 9.96916125800004,101.482744448 9.96496085400003,101.485755027 9.91997480400005,101.492351811 9.82051943300007,101.493290337 9.80636990200003,101.494340024 9.79710893000004,101.499032835 9.75570609600004,101.603895904 9.62455195700005,101.712228968 9.47522800400003,101.966958064 9.14144505100006,102.075291128 8.97748149500006,102.151417064 8.86036466900003,102.203237 8.78188200000005,103.041667 7.80000000000007,103.133228143 7.72481046600006,103.196732208 7.67266125900005,103.40479211 7.50180355100002,103.625385942 7.32065304600007,103.1 7.05000000000007,102.566667 6.88333300000005,102.353333 6.83333300000004,102.16 6.46333300000003,102.166667 6.45833300000004,102.093333 6.24166700000006,102.093332429 6.24166693300003,102.095227174 6.23613610600006,102.047736429 6.26583593300006,102.018445429 6.28513593300005,101.812481429 6.45416293300002,101.786781429 6.47708093300002,101.761936429 6.50721793400004,101.745118429 6.53263593400004,101.720572429 6.57328093400002,101.676654429 6.64416293400006,101.593318428 6.78110893400003,101.569981428 6.82639093400007,101.545536428 6.84847193400003,101.526927428 6.85805393400005,101.477481428 6.87860893400006,101.336381428 6.93389093400003,101.294545428 6.93555393400004,101.333745428 6.91527193400003,101.358181428 6.87593593400004,101.184963428 6.86028093400006,101.138872428 6.85860893400007,101.068045428 6.85799093400004,101.047808428 6.84639093400006,101.025527428 6.84721793400007,100.993027428 6.86694493400006,100.958863428 6.88860893400005,100.916363428 6.91583593400003,100.803581428 6.95610893400004,100.777190428 6.96944493400002,100.760799428 6.98444493400007,100.732190428 7.02124493400004,100.688854428 7.08555393400007,100.645254428 7.14944493400003,100.614408428 7.17777193400002,100.590545428 7.20911793400006,100.584827427 7.17062693400004,100.538372427 7.13076293400007,100.499981427 7.13416293400007,100.424827427 7.15777193400004,100.392063427 7.20805393400008,100.376663427 7.30841793400003,100.366072427 7.32763593400006,100.315136427 7.33999993400005,100.287190427 7.35777193400003,100.266081427 7.37833593400006,100.182881427 7.51555393400002,100.173018427 7.54694493400007,100.151636427 7.62597193500005,100.146363427 7.70389093500006,100.150390427 7.72721793500006,100.204272427 7.77113593500007,100.207618427 7.77736293500004,100.267618427 7.79305393500005,100.292390427 7.77999893500004,100.379690427 7.54560893400003,100.394363427 7.49460893400004,100.398181427 7.46178093400005,100.438854427 7.28610893400003,100.541918427 7.19874493400005,100.569890427 7.19257193400006,100.578090427 7.22013593400004,100.564563427 7.24249993400002,100.539554427 7.26610893400004,100.515536427 7.29389093400005,100.503590427 7.31639093400003,100.478299427 7.36666293400003,100.459699427 7.40971793400007,100.433663427 7.50007193400006,100.423754427 7.53528093400007,100.411090427 7.60060893500003,100.387481427 7.71333593500003,100.383327427 7.74305393500003,100.377745427 7.77833593500003,100.372745427 7.80055393500004,100.358581427 7.85749993500002,100.337772427 7.93766293500005,100.326636427 7.98333593500007,100.296081427 8.10971793500005,100.291208427 8.14221793500008,100.281645427 8.21082693500006,100.275518427 8.27597193500003,100.269972427 8.31124493500005,100.256363427 8.35582693500004,100.238018427 8.40666293500004,100.215663427 8.45305393500007,100.172463427 8.50680893500004,100.138490427 8.51853593500005,100.155872427 8.49979093500002,100.179408427 8.46805393500006,100.186081427 8.39860893500003,100.160381427 8.38124493500004,100.104408427 8.41471793500006,100.079436427 8.46249993500004,100.050954427 8.52013593500004,100.033181427 8.54381793500005,99.9872724270001 8.57471793500002,99.965818427 8.60527193500008,99.9585994270001 8.62527193500006,99.9535994270001 8.64749993600003,99.9288634270001 8.86139093600002,99.9260904270001 8.89110893600002,99.9188724270001 8.97221793600005,99.8899814270001 9.12888093600003,99.8691364270001 9.22805393600004,99.8453994270001 9.30040893600005,99.7978994270001 9.31610893600003,99.7723814270001 9.31293593600003,99.769718427 9.31360893600004,99.7466544270001 9.31832693600006,99.707490427 9.31832693600006,99.5797084270001 9.26916293600004,99.4970634260001 9.21263593600003,99.4762364260001 9.20027193600004,99.4450544260001 9.19249993600005,99.3691364260001 9.20249993600004,99.268463426 9.21860893600007,99.252345426 9.23069093600003,99.2372084260001 9.25729093600006,99.2274814260001 9.30221793600003,99.2301544260001 9.33721793600006,99.2802724260001 9.37277193600005,99.3030364260001 9.38527193600004,99.292618426 9.42013593600007,99.2633184260001 9.45999993600003,99.1763724260001 9.64152693600005,99.1552544260001 9.72999993700006,99.147490426 9.76333593700002,99.1443814260001 9.79097193700005,99.1690084260001 9.84916293700007,99.1674814260001 9.90916293700008,99.1580364260001 9.99916293700005,99.1505454260001 10.083326937,99.1560184260001 10.1274269370001,99.193036426 10.2005539370001,99.1542184260001 10.3088179370001,99.1508184260001 10.364717937,99.194972426 10.3722179370001,99.2388724260001 10.463190937,99.2410904260001 10.522917937,99.3217904260001 10.6537449370001,99.3456724260001 10.6715269370001,99.4160994260001 10.764999937,99.482754426 10.8852719380001,99.5005454260001 10.9265269380001,99.495045426 10.9692999380001,99.5055994260001 10.997335938,99.5106904260001 11.0097179380001,99.5129814260001 11.040480938,99.4985994260001 11.065690938,99.490818426 11.095553938,99.4919274260001 11.1155539380001,99.504163426 11.159444938,99.5828994270001 11.3490269380001,99.609418427 11.392217938,99.630536427 11.4552719380001,99.6355454270001 11.491108938,99.640263427 11.5144449380001,99.737345427 11.6905539380001,99.7785994270001 11.732771938,99.8232994270001 11.7847089380001,99.8266634270001 11.901944939,99.835818427 11.925271939,99.8466454270001 11.9491629390001,99.8651184270001 11.9830539390001,99.879699427 11.999998939,99.9041634270001 12.024444939,99.926372427 12.0438899390001,99.955263427 12.071390939,99.9716454270001 12.089717939,100.020818427 12.1946449390001,100.006945427 12.3438909390001,99.974354427 12.461108939,99.9602634270001 12.620826939,99.9607814270001 12.6360179390001,99.959990427 12.6408359390001,99.961654427 12.6744449390001,99.9701274270001 12.743190939,100.045536427 12.9555539400001,100.054427427 12.9747179400001,100.074854427 13.0065269400001,100.092208427 13.0240269400001,100.104008427 13.0447179400001,100.073190427 13.14860894,100.056227427 13.1669449400001,100.021236427 13.1916629400001,100.001781427 13.21097194,99.9610994270001 13.2671539400001,99.956790427 13.2910719400001,99.9738724270001 13.31555394,100.059363427 13.4159719400001,100.089190427 13.4250269400001,100.222208427 13.4683269400001,100.333054427 13.48249894,100.401227427 13.48774494,100.429427427 13.4877719400001,100.467818427 13.49161794,100.557472427 13.5098629400001,100.579163427 13.5191629400001,100.758881428 13.49305394,100.821936428 13.48305394,100.838990428 13.47434494,100.848727428 13.4712449400001),(102.314408429 11.956944939,102.434536429 11.953326939,102.446899429 11.9732629390001,102.434127429 11.9922179390001,102.426454429 11.999998939,102.417763429 12.0083359390001,102.411099429 12.0177719390001,102.374690429 12.072217939,102.369427429 12.083053939,102.363527429 12.0999269390001,102.353999429 12.112635939,102.328327429 12.1313809390001,102.316227429 12.137917939,102.301681429 12.142171939,102.273881429 12.148335939,102.251936429 12.1506899390001,102.251936429 12.130553939,102.291354429 11.974444939,102.314408429 11.956944939),(102.583308429 11.566662938,102.593445429 11.564235938,102.610236429 11.6452719380001,102.610518429 11.6602719380001,102.604690429 11.6969449380001,102.560227429 11.7543989380001,102.549136429 11.7519449380001,102.528999429 11.692498938,102.531772429 11.602708938,102.583308429 11.566662938),(99.9410184270001 9.42256293600008,99.9733084270001 9.41360893600006,100.019990427 9.42263593600006,100.069027427 9.47082693600004,100.077318427 9.54520893600005,100.086381427 9.55471793600003,100.091936427 9.56597193600004,100.077627427 9.58832693600004,99.9860994270001 9.57610893600003,99.932208427 9.54694493600005,99.9410184270001 9.42256293600008)))', 'Thailand Exclusive Economic Zone', 'Thailand', 'Thailand', '', '25', '25', 'THA', '8332', '', '308041605400', '8332', 'Y'),('SRID=4326;MULTIPOLYGON(((-179.999630436 -3.74153583599997,-180 -3.74278829799994,-180 -1.60841470799994,-179.999619266 -1.60981948599988,-179.999197314 -1.61138027499987,-179.998775358 -1.61294106499997,-179.998353399 -1.61450185399997,-179.997931436 -1.61606264399995,-179.99750947 -1.61762343299995,-179.9970875 -1.61918422199989,-179.996665527 -1.62074500999995,-179.99624355 -1.62230579899995,-179.99582157 -1.62386658699995,-179.995399587 -1.62542737499996,-179.9949776 -1.62698816299996,-179.994555609 -1.62854895099997,-179.994133616 -1.63010973899998,-179.993711618 -1.63167052699987,-179.993289618 -1.63323131399994,-179.992867614 -1.63479210099996,-179.992445606 -1.63635288799998,-179.992023595 -1.63791367499994,-179.99160158 -1.63947446199995,-179.991179562 -1.64103524799998,-179.990757541 -1.64259603499994,-179.990335516 -1.64415682099997,-179.989913488 -1.64571760699994,-179.989491456 -1.64727839299997,-179.989069421 -1.64883917899994,-179.988647382 -1.65039996399997,-179.98822534 -1.65196074999994,-179.987803294 -1.65352153499992,-179.987381245 -1.65508231999996,-179.986959193 -1.65664310499994,-179.986537137 -1.65820388899994,-179.986115077 -1.65976467399986,-179.985693014 -1.66132545799996,-179.985270948 -1.66288624299995,-179.984848878 -1.66444702699994,-179.984426805 -1.66600781099993,-179.984004728 -1.66756859399993,-179.983582648 -1.66912937799992,-179.983160564 -1.67069016099993,-179.982738477 -1.67225094499992,-179.982316386 -1.67381172799992,-179.981894292 -1.67537251099992,-179.981472194 -1.67693329299993,-179.981050093 -1.67849407599994,-179.980627989 -1.68005485899994,-179.980205881 -1.68161564099984,-179.979783769 -1.68317642299991,-179.979361654 -1.68473720499992,-179.978939536 -1.68629798699993,-179.978517414 -1.6878587679999,-179.978095289 -1.68941954999991,-179.97767316 -1.69098033099993,-179.977251028 -1.6925411119999,-179.976828892 -1.69410189299992,-179.976406752 -1.69566267399989,-179.97598461 -1.69722345499991,-179.975562463 -1.69878423599982,-179.975140314 -1.70034501599997,-179.97471816 -1.70190579599989,-179.974296004 -1.70346657599993,-179.973873844 -1.7050273559999,-179.97345168 -1.70658813599988,-179.973029513 -1.70814891599997,-179.972607342 -1.7097096949999,-179.972185168 -1.71127047399989,-179.97176299 -1.71283125299988,-179.971340809 -1.71439203199998,-179.970918625 -1.71595281099997,-179.970496437 -1.71751358999995,-179.970074245 -1.71907436799995,-179.96965205 -1.72063514699988,-179.969229852 -1.72219592499988,-179.96880765 -1.72375670299988,-179.968385444 -1.72531748099988,-179.967963235 -1.72687825899988,-179.967541023 -1.72843903599994,-179.967118807 -1.72999981399994,-179.966696587 -1.73156059099995,-179.966274364 -1.73312136799996,-179.965852138 -1.73468214499997,-179.965429908 -1.73624292199997,-179.965007674 -1.73780369799994,-179.964585437 -1.73936447499995,-179.964163197 -1.74092525099996,-179.963740953 -1.74248602699993,-179.963318705 -1.74404680299995,-179.962896454 -1.74560757899997,-179.9624742 -1.74716835499993,-179.962051942 -1.74872913099995,-179.96162968 -1.75028990599992,-179.961207415 -1.75185068099995,-179.960785147 -1.75341145699991,-179.960362875 -1.75497223199994,-179.959940599 -1.75653300599993,-179.95951832 -1.75809378099984,-179.959096038 -1.75965455599993,-179.958673752 -1.76121532999991,-179.958251462 -1.7627761039999,-179.957829169 -1.76433687799994,-179.957406873 -1.76589765199992,-179.956984573 -1.76745842599991,-179.956562269 -1.76901919999989,-179.956139962 -1.77057997299983,-179.955717651 -1.77214074699998,-179.955295337 -1.77370151999997,-179.954873019 -1.77526229299997,-179.954450698 -1.77682306599991,-179.954028374 -1.7783838389999,-179.953606045 -1.77994461099996,-179.953183714 -1.7815053839999,-179.952761378 -1.78306615599996,-179.95233904 -1.78462692799997,-179.951916697 -1.78618769999997,-179.951494352 -1.78774847199998,-179.951072002 -1.78930924399998,-179.95064965 -1.79087001499988,-179.950227293 -1.79243078699994,-179.949804933 -1.79399155799996,-179.94938257 -1.79555232899997,-179.948960203 -1.79711309999988,-179.948537832 -1.79867387099995,-179.948115458 -1.80023464199996,-179.947693081 -1.80179541299987,-179.9472707 -1.80335618299995,-179.946848315 -1.80491695299986,-179.946425927 -1.80647772299994,-179.946003536 -1.80803849299986,-179.94558114 -1.80959926299994,-179.945158742 -1.81116003299985,-179.94473634 -1.81272080299993,-179.944313934 -1.81428157199991,-179.943891524 -1.81584234099995,-179.943469112 -1.81740311099992,-179.943046695 -1.81896387999984,-179.942624275 -1.82052464799995,-179.942201852 -1.82208541699993,-179.941779425 -1.82364618599991,-179.941356994 -1.8252069539999,-179.94093456 -1.82676772299993,-179.940512123 -1.82832849099998,-179.940089682 -1.82988925899991,-179.939667237 -1.8314500269999,-179.939244789 -1.8330107939999,-179.938822337 -1.83457156199989,-179.938399882 -1.83613232999988,-179.937977423 -1.83769309699989,-179.93755496 -1.83925386399989,-179.937132495 -1.84081463099989,-179.936710025 -1.84237539799989,-179.936287552 -1.84393616499989,-179.935865075 -1.84549693199995,-179.935442595 -1.84705769799996,-179.935020112 -1.84861846399997,-179.934597624 -1.85017923099997,-179.934175134 -1.85173999699987,-179.933752639 -1.85330076299994,-179.933330141 -1.85486152899995,-179.93290764 -1.85642229399997,-179.932485135 -1.85798305999992,-179.932062626 -1.85954382499995,-179.931640114 -1.86110459099996,-179.931217599 -1.86266535599992,-179.930795079 -1.86422612099994,-179.930372557 -1.86578688599991,-179.92995003 -1.86734764999994,-179.929527501 -1.86890841499991,-179.929104967 -1.87046917899994,-179.92868243 -1.87202994399991,-179.928259889 -1.87359070799994,-179.927837345 -1.87515147199991,-179.927414798 -1.87671223599989,-179.926992246 -1.87827299999998,-179.926569692 -1.8798337639999,-179.926147133 -1.88139452699988,-179.925724571 -1.88295529099997,-179.925302006 -1.8845160539999,-179.924879437 -1.88607681699989,-179.924456864 -1.88763757999988,-179.924034288 -1.88919834299998,-179.923611708 -1.89075910599996,-179.923189125 -1.89231986799996,-179.922766538 -1.89388063099995,-179.922343947 -1.89544139299994,-179.921921353 -1.89700215499994,-179.921498756 -1.89856291799987,-179.921076154 -1.90012367999998,-179.92065355 -1.90168444099993,-179.920230941 -1.90324520299993,-179.919808329 -1.90480596499992,-179.919385714 -1.90636672599993,-179.918963095 -1.90792748799993,-179.918540472 -1.90948824899994,-179.918117846 -1.91104900999994,-179.917695216 -1.91260977099995,-179.917272583 -1.91417053199984,-179.916849946 -1.91573129199992,-179.916427305 -1.91729205299993,-179.916004661 -1.91885281299983,-179.915582013 -1.92041357399989,-179.915159362 -1.92197433399991,-179.914736707 -1.92353509399993,-179.914314049 -1.92509585399989,-179.913891387 -1.92665661399997,-179.913468721 -1.92821737299988,-179.913046052 -1.9297781329999,-179.912623379 -1.93133889199987,-179.912200702 -1.93289965199989,-179.911778022 -1.93446041099998,-179.911355339 -1.93602116999995,-179.910932652 -1.93758192899998,-179.910509961 -1.93914268799995,-179.910087267 -1.94070344599987,-179.909664569 -1.94226420499996,-179.909241867 -1.94382496299994,-179.908819162 -1.94538572199997,-179.908396453 -1.94694647999995,-179.907973741 -1.94850723799993,-179.907551025 -1.95006799599992,-179.907128305 -1.95162875399996,-179.906705582 -1.95318951099995,-179.906282856 -1.95475026899993,-179.905860125 -1.95631102599992,-179.905437391 -1.95787178399991,-179.905014654 -1.9594325409999,-179.904591913 -1.96099329799989,-179.904169168 -1.96255405499983,-179.90374642 -1.96411481199982,-179.903323668 -1.96567556899993,-179.902900912 -1.96723632499982,-179.902478153 -1.96879708199998,-179.90205539 -1.97035783799987,-179.901632624 -1.97191859399987,-179.901209854 -1.97347934999988,-179.900787081 -1.97504010599988,-179.900364303 -1.97660086199988,-179.899941523 -1.97816161799994,-179.899518738 -1.97972237399995,-179.89909595 -1.98128312899996,-179.898673159 -1.98284388499997,-179.898250363 -1.98440463999987,-179.897827565 -1.98596539499994,-179.897404762 -1.98752614999995,-179.896981956 -1.98908690499985,-179.896559146 -1.99064765999992,-179.896136333 -1.99220841499994,-179.895713516 -1.9937691689999,-179.895290696 -1.99532992399992,-179.894867871 -1.99689067799994,-179.894445044 -1.9984514329999,-179.894022212 -2.00001218699992,-179.893599377 -2.00157294099989,-179.893176539 -2.00313369499997,-179.892753696 -2.0046944479999,-179.892330851 -2.00625520199998,-179.891908001 -2.00781595599989,-179.891485148 -2.00937670899998,-179.891062291 -2.01093746199996,-179.890639431 -2.01249821599987,-179.890216567 -2.01405896899996,-179.889793699 -2.01561972199994,-179.889370828 -2.01718047499998,-179.888947953 -2.01874122699996,-179.888525075 -2.02030197999994,-179.888102193 -2.02186273299986,-179.887679307 -2.02342348499997,-179.887256417 -2.02498423699996,-179.886833524 -2.02654498999993,-179.886410628 -2.02810574199992,-179.885987727 -2.02966649399991,-179.885564823 -2.0312272459999,-179.885141916 -2.0327879969999,-179.884719005 -2.03434874899983,-179.88429609 -2.03590949999989,-179.883873171 -2.03747025199982,-179.883450249 -2.03903100299982,-179.883027324 -2.04059175399988,-179.882604394 -2.04215250599998,-179.882181461 -2.04371325699998,-179.881758525 -2.04527400699988,-179.881335584 -2.04683475799987,-179.88091264 -2.04839550899987,-179.880489693 -2.04995625899994,-179.880066741 -2.05151700999994,-179.879643787 -2.05307775999995,-179.879220828 -2.05463850999996,-179.878797866 -2.05619926099996,-179.8783749 -2.05776001099986,-179.877951931 -2.05932075999993,-179.877528958 -2.06088150999994,-179.877105981 -2.06244225999995,-179.876683 -2.06400300999991,-179.876260016 -2.06556375899993,-179.875837029 -2.06712450799984,-179.875414037 -2.0686852579999,-179.874991042 -2.07024600699998,-179.874568044 -2.07180675599989,-179.874145041 -2.07336750499991,-179.873722035 -2.07492825399981,-179.873299026 -2.07648900199996,-179.872876013 -2.07804975099998,-179.872823487 -2.07863264699989,-179.871863343 -2.08217512899989,-179.819562342 -2.66010777799988,-179.819705378 -2.66179937299995,-179.819555855 -2.66344460199991,-179.819592682 -2.6638801549999,-179.819554183 -2.66430375899995,-179.819659958 -2.6655547609999,-179.819549379 -2.66677142299994,-179.868231769 -3.24484868999991,-179.868645301 -3.2464104099999,-179.869058831 -3.24797213199997,-179.869472359 -3.24953385499987,-179.869885884 -3.25109557899987,-179.870299408 -3.25265730399985,-179.870712929 -3.25421903099993,-179.871126448 -3.2557807579999,-179.871539965 -3.2573424869999,-179.87195348 -3.25890421699989,-179.872366993 -3.26046594799988,-179.872780503 -3.26202767999996,-179.873194012 -3.26358941399997,-179.873607518 -3.26515114799992,-179.874021022 -3.2667128839999,-179.874434525 -3.26827462099993,-179.874848024 -3.2698363589999,-179.875261522 -3.27139809799996,-179.875675018 -3.27295983899995,-179.876088511 -3.27452157999994,-179.876502003 -3.27608332299997,-179.876915492 -3.27764506699992,-179.877328979 -3.27920681199993,-179.877742464 -3.28076855799992,-179.878155947 -3.28233030599989,-179.878569428 -3.28389205399998,-179.878982906 -3.28545380399987,-179.879396383 -3.28701555499987,-179.879809857 -3.28857730699997,-179.880223329 -3.29013906099993,-179.880636799 -3.29170081499996,-179.881050267 -3.2932625709999,-179.881463733 -3.29482432799989,-179.881877197 -3.29638608599993,-179.882290659 -3.2979478449999,-179.882704118 -3.29950960499997,-179.883117575 -3.30107136699996,-179.883531031 -3.30263312899996,-179.883944484 -3.30419489299993,-179.884357935 -3.30575665799995,-179.884771383 -3.30731842499995,-179.88518483 -3.30888019199983,-179.885598275 -3.31044196099998,-179.886011717 -3.3120037299999,-179.886425158 -3.31356550099997,-179.886838596 -3.31512727299997,-179.887252032 -3.31668904699995,-179.887665466 -3.31825082099994,-179.888078898 -3.31981259699995,-179.888492328 -3.32137437399996,-179.888905756 -3.32293615199995,-179.889319181 -3.32449793099994,-179.889732605 -3.32605971099991,-179.890146026 -3.32762149299998,-179.890559445 -3.32918327499982,-179.890972862 -3.33074505899998,-179.891386277 -3.33230684399996,-179.89179969 -3.33386863099997,-179.892213101 -3.33543041799987,-179.89262651 -3.33699220699998,-179.893039916 -3.33855399599997,-179.893453321 -3.34011578699995,-179.893866723 -3.34167757899985,-179.894280124 -3.34323937299985,-179.894693522 -3.3448011669999,-179.895106918 -3.34636296299993,-179.895520312 -3.3479247599999,-179.895933704 -3.34948655799991,-179.896347094 -3.35104835699997,-179.896760481 -3.35261015799989,-179.897173867 -3.35417195899987,-179.89758725 -3.35573376199989,-179.898000632 -3.35729556599995,-179.898414011 -3.35885737099994,-179.898827388 -3.36041917699987,-179.899240763 -3.36198098499995,-179.899654136 -3.36354279399995,-179.900067507 -3.36510460299985,-179.900480876 -3.36666641399995,-179.900894243 -3.36822822699992,-179.901307607 -3.36979003999994,-179.90172097 -3.37135185499983,-179.90213433 -3.37291367099994,-179.902547689 -3.37447548699993,-179.902961045 -3.37603730599989,-179.903374399 -3.3775991249999,-179.903787751 -3.3791609459999,-179.904201101 -3.3807227669999,-179.904614449 -3.38228458999987,-179.905027795 -3.38384641399995,-179.905441139 -3.38540823999995,-179.90585448 -3.38697006599995,-179.90626782 -3.38853189399987,-179.906681157 -3.39009372199996,-179.907094493 -3.39165555299996,-179.907507826 -3.39321738399997,-179.907921157 -3.39477921599996,-179.908334487 -3.39634104999993,-179.908747814 -3.39790288499995,-179.909161139 -3.39946471999991,-179.909574462 -3.40102655799996,-179.909987782 -3.40258839599994,-179.910401101 -3.40415023599991,-179.910814418 -3.40571207599993,-179.911227732 -3.40727391799993,-179.911641045 -3.40883576099992,-179.912054355 -3.41039760599983,-179.912467664 -3.41195945099992,-179.91288097 -3.41352129799998,-179.913294274 -3.41508314599992,-179.913707577 -3.4166449949999,-179.914120877 -3.41820684499993,-179.914534175 -3.41976869599989,-179.914947471 -3.42133054899989,-179.915360765 -3.42289240299988,-179.915774056 -3.42445425799997,-179.916187346 -3.42601611399988,-179.916600634 -3.42757797099989,-179.917013919 -3.42913982999988,-179.917427203 -3.43070168999998,-179.917840484 -3.43226355099989,-179.918253764 -3.43382541299997,-179.918667041 -3.43538727599997,-179.919080317 -3.43694914099996,-179.91949359 -3.43851100699987,-179.919906861 -3.4400728739999,-179.92032013 -3.44163474199996,-179.920733397 -3.44319661099996,-179.921146662 -3.44475848199988,-179.921559925 -3.44632035299998,-179.921973186 -3.44788222599988,-179.922386445 -3.44944409999988,-179.922799702 -3.45100597599998,-179.923212956 -3.45256785199996,-179.923626209 -3.45412972999998,-179.92403946 -3.45569160899987,-179.924452708 -3.45725348899987,-179.924865955 -3.45881536999997,-179.925279199 -3.46037725299988,-179.925692441 -3.4619391359999,-179.926105682 -3.4635010209999,-179.92651892 -3.46506290699989,-179.926932156 -3.46662479499997,-179.92734539 -3.46818668299989,-179.927758623 -3.46974857299989,-179.928171853 -3.47131046399988,-179.928585081 -3.47287235599993,-179.928998307 -3.4744342489999,-179.929411531 -3.47599614399991,-179.929824753 -3.47755803899997,-179.930237972 -3.4791199359999,-179.93065119 -3.48068183399982,-179.931064406 -3.48224373399989,-179.93147762 -3.48380563399991,-179.931890831 -3.4853675359999,-179.932304041 -3.48692943899994,-179.932717249 -3.48849134299991,-179.933130454 -3.49005324799992,-179.933543658 -3.49161515499992,-179.933956859 -3.49317706199992,-179.934370059 -3.49473897099995,-179.934783256 -3.49630088099985,-179.935196451 -3.49786279299985,-179.935609645 -3.49942470499997,-179.936022836 -3.50098661899995,-179.936436025 -3.50254853399997,-179.936849213 -3.50411044999987,-179.937262398 -3.50567236699987,-179.937675581 -3.50723428599997,-179.938088762 -3.50879620599994,-179.938501941 -3.51035812599997,-179.938915118 -3.51192004899997,-179.939328293 -3.51348197199997,-179.939741466 -3.51504389699988,-179.940154637 -3.51660582199997,-179.940567806 -3.51816774899982,-179.940980973 -3.51972967699993,-179.941394138 -3.52129160699991,-179.941807301 -3.52285353699983,-179.942220462 -3.52441546899991,-179.942633621 -3.52597740199991,-179.943046778 -3.52753933599985,-179.943459932 -3.52910127199993,-179.943873085 -3.53066320799996,-179.944286236 -3.53222514599986,-179.944699385 -3.53378708499997,-179.945112531 -3.53534902599995,-179.945525676 -3.53691096699987,-179.945938819 -3.53847290999988,-179.94635196 -3.54003485399988,-179.946765098 -3.54159679899988,-179.947178235 -3.54315874499997,-179.947591369 -3.54472069199988,-179.948004502 -3.54628264099989,-179.948417633 -3.54784459099983,-179.948830761 -3.54940654199993,-179.949243888 -3.55096849499995,-179.949657012 -3.55253044799991,-179.950070135 -3.55409240299986,-179.950483255 -3.55565435899996,-179.950896374 -3.55721631599994,-179.95130949 -3.55877827499995,-179.951722605 -3.56034023399997,-179.952135717 -3.56190219499996,-179.952548828 -3.56346415699988,-179.952961936 -3.56502611999997,-179.953375043 -3.56658808499998,-179.953788147 -3.56815004999993,-179.95420125 -3.56971201699992,-179.95461435 -3.57127398499995,-179.955027448 -3.57283595499996,-179.955440545 -3.57439792499997,-179.955853639 -3.57595989699996,-179.956266732 -3.57752186999988,-179.956679822 -3.57908384399997,-179.957092911 -3.58064581999997,-179.957505997 -3.58220779599998,-179.957919081 -3.5837697739999,-179.958332164 -3.58533175299993,-179.958745244 -3.58689373299995,-179.959158323 -3.58845571499995,-179.959571399 -3.59001769699995,-179.959984474 -3.59157968099987,-179.960397546 -3.59314166699988,-179.960810617 -3.59470365299995,-179.961223685 -3.5962656399999,-179.961636752 -3.59782762899982,-179.962049816 -3.59938961899991,-179.962462879 -3.60095160999992,-179.962875939 -3.60251360299992,-179.963288998 -3.60407559599986,-179.963702054 -3.60563759099995,-179.964115109 -3.60719958699997,-179.964528161 -3.60876158499997,-179.964941212 -3.61032358299997,-179.96535426 -3.61188558299989,-179.965767307 -3.61344758399991,-179.966180352 -3.61500958599993,-179.966593394 -3.61657158999992,-179.967006435 -3.61813359399997,-179.967419474 -3.61969559999994,-179.96783251 -3.62125760699996,-179.968245545 -3.62281961499997,-179.968658578 -3.6243816249999,-179.969071608 -3.62594363599993,-179.969484637 -3.62750564799995,-179.969897664 -3.62906766099997,-179.970310689 -3.63062967499997,-179.970723711 -3.63219169099995,-179.971136732 -3.63375370799997,-179.971549751 -3.63531572599982,-179.971962768 -3.63687774499994,-179.972375783 -3.63843976599992,-179.972788796 -3.64000178699996,-179.973201807 -3.64156380999987,-179.973614816 -3.64312583399987,-179.974027823 -3.64468785999998,-179.974440828 -3.6462498869999,-179.974853831 -3.64781191399993,-179.975266832 -3.64937394299994,-179.975679831 -3.65093597399994,-179.976092828 -3.65249800499993,-179.976505824 -3.65406003799995,-179.976918817 -3.65562207199997,-179.977331808 -3.65718410699998,-179.977744798 -3.65874614399991,-179.978157785 -3.66030818099995,-179.97857077 -3.66187021999986,-179.978983754 -3.66343225999998,-179.979396735 -3.66499430199997,-179.979809715 -3.6665563439999,-179.980222692 -3.66811838799993,-179.980635668 -3.66968043299994,-179.981048641 -3.67124247899994,-179.981461613 -3.67280452699987,-179.981874583 -3.67436657599995,-179.98228755 -3.67592862599997,-179.982700516 -3.67749067699998,-179.98311348 -3.67905272899992,-179.983526442 -3.68061478299995,-179.983939402 -3.68217683799998,-179.98435236 -3.68373889399987,-179.984765316 -3.68530095099987,-179.98517827 -3.68686300999991,-179.985591222 -3.68842506999994,-179.986004172 -3.68998713099995,-179.98641712 -3.69154919299996,-179.986830066 -3.69311125599995,-179.987243011 -3.69467332099981,-179.987655953 -3.69623538699983,-179.988068893 -3.69779745399995,-179.988481832 -3.69935952299994,-179.988894768 -3.70092159199987,-179.989307703 -3.7024836629999,-179.989720635 -3.70404573499991,-179.990133566 -3.7056078089999,-179.990546495 -3.70716988299995,-179.990959422 -3.70873195899998,-179.991372346 -3.71029403599988,-179.991785269 -3.71185611399989,-179.99219819 -3.71341819399993,-179.992611109 -3.71498027499996,-179.993024026 -3.71654235699987,-179.993436941 -3.71810443999988,-179.993849855 -3.71966652399988,-179.994262766 -3.72122860999991,-179.994675675 -3.72279069699994,-179.995088582 -3.72435278499995,-179.995501488 -3.72591487399995,-179.995914391 -3.72747696499988,-179.996327293 -3.72903905699991,-179.996740192 -3.73060114999993,-179.99715309 -3.73216324399993,-179.997565986 -3.73372533999998,-179.99797888 -3.7352874369999,-179.998391772 -3.73684953499992,-179.998804662 -3.73841163399993,-179.99921755 -3.73997373499998,-179.999630436 -3.74153583599997)),((178.109751662 1.57077157300006,178.585332412 1.23755907300006,178.585616912 1.23727444800005,178.586338662 1.23676882300003,178.589415287 1.23369044800012,178.590332412 1.23304807300002,178.593542662 1.22983594800007,178.594325912 1.22928719800012,179.004789288 0.818696072000137,179.005029038 0.818353572000035,179.006786413 0.816596197000024,179.339764538 0.341128697000102,179.347170538 0.325252572000068,179.375741913 0.284475697000062,179.377077913 0.28161207200003,179.379735663 0.277819072000057,179.625264663 -0.248071553999921,179.625489413 -0.248908678999896,179.626256163 -0.25054967899996,179.628499663 -0.2589036789999,179.629260413 -0.260531803999868,179.779955788 -0.820917928999961,179.810538288 -1.16582242999988,179.975491539 -1.5177325549999,179.975913414 -1.51929342999989,179.976335164 -1.5208541799999,179.976756914 -1.52241492999991,179.977178664 -1.52397580499991,179.977600414 -1.52553655499997,179.978022164 -1.52709742999991,179.978443914 -1.52865817999998,179.978865664 -1.53021892999982,179.979287539 -1.53177980499993,179.979709289 -1.53334055499982,179.980131039 -1.53490142999993,179.980552789 -1.53646217999989,179.980974664 -1.5380229299999,179.981396414 -1.53958380499989,179.981818164 -1.5411445549999,179.982240039 -1.54270530499997,179.982661789 -1.54426617999991,179.983083664 -1.54582692999998,179.983505414 -1.54738780499991,179.983927289 -1.54894855499992,179.984349039 -1.55050930499982,179.984770914 -1.55207017999993,179.985192789 -1.55363092999988,179.985614539 -1.55519167999989,179.986036414 -1.55675255499989,179.986458289 -1.5583133049999,179.986880039 -1.55987417999989,179.987301914 -1.5614349299999,179.987723789 -1.56299567999997,179.988145664 -1.56455655499991,179.988567414 -1.56611730499998,179.988989289 -1.56767805499982,179.989411164 -1.56923892999993,179.989833039 -1.57079967999988,179.990254914 -1.57236042999989,179.990676789 -1.57392130499989,179.991098664 -1.5754820549999,179.991520539 -1.57704280499996,179.991942414 -1.5786036799999,179.992364289 -1.58016442999997,179.992786164 -1.58172517999998,179.993208039 -1.58328605499997,179.993629914 -1.58484680499981,179.994051914 -1.58640767999998,179.994473789 -1.58796842999988,179.994895664 -1.58952917999989,179.995317539 -1.59109005499988,179.995739539 -1.59265080499989,179.996161414 -1.59421155499996,179.996583289 -1.5957724299999,179.997005289 -1.59733317999996,179.997427164 -1.59889392999997,179.997849039 -1.60045480499997,179.998271039 -1.60201555499998,179.998692914 -1.60357630499988,179.999114914 -1.60513705499989,179.999536789 -1.60669792999988,179.999958789 -1.60825867999989,180 -1.6084146799999,180 -3.74278830699996,179.996769914 -3.75515505699991,179.996653664 -3.75559480699997,179.996240789 -3.75715693199993,179.995827914 -3.75871905699995,179.995415039 -3.76028118199997,179.995002164 -3.76184330699988,179.994589414 -3.7634054319999,179.994176539 -3.76496755699992,179.993763664 -3.76652968199994,179.993350789 -3.76809180699996,179.992937914 -3.76965393199981,179.992525039 -3.77121605699983,179.992112289 -3.77277818199985,179.991699414 -3.77434030699987,179.991286539 -3.7759024319999,179.990873664 -3.77746455699992,179.990460914 -3.77902668199994,179.990048039 -3.78058880699996,179.989635164 -3.78215093199998,179.989222414 -3.78371305699989,179.988809539 -3.78527518199991,179.988396664 -3.78683730699993,179.987983914 -3.78839943199995,179.987571039 -3.78996155699997,179.987158164 -3.79152380699992,179.986745414 -3.79308593199994,179.986332539 -3.79464805699996,179.985919789 -3.79621018199992,179.985506914 -3.79777230699995,179.985094164 -3.79933443199997,179.984681289 -3.80089668199997,179.984268539 -3.80245880699982,179.983855664 -3.80402093199984,179.983442914 -3.80558305699986,179.908352740064 -3.96781826449086,178.642038888889 -4.15901944444448,178.286594444445 -4.21235277777771,178.132796048182 -4.24595931407288,177.804911111111 -4.31760555555542,177.282808333333 -4.36169722222218,176.994766666667 -4.29093611111108,176.727883333334 -4.22524444444429,176.575313888889 -4.18745555555552,176.4737 -4.16185833333327,176.350644444444 -4.12966944444435,176.205849565324 -4.09079805656768,176.147747222222 -4.07520000000005,175.865747222222 -4.0807749999999,175.520080555556 -4.08768888888886,175.216122222222 -4.0936777777776,174.556594444444 -4.10678333333323,174.394586111111 -4.10998333333333,173.575297222222 -4.13131666666652,173.489059744452 -4.15528727729594,173.034129744106 -4.28173983810717,173.084878495 -4.16874807599987,173.084881466001 -4.16874797699995,173.084878771 -4.16874731699988,172.932360782 -4.09114443199991,172.853341907 -4.01206068199997,172.679309907 -3.89013080699982,172.674383407 -3.88519943199998,172.668307157 -3.88094205699997,172.530582532 -3.74306555699997,172.257820781 -3.47000280699996,172.257230531 -3.46915830699993,172.256814781 -3.46874205699993,172.253011156 -3.46329980699994,172.251831156 -3.4621184319999,172.207399156 -3.39854380699995,172.095955156 -3.28696555699992,171.999162406 -3.1484719309999,171.688777281 -3.45920355699997,171.21317528 -3.79248505699996,170.686719405 -4.03810918199997,170.125440279 -4.18857830699989,169.546477029 -4.23929593199989,169.545979154 -4.23925243199994,169.545483904 -4.23929580699991,169.545246654 -4.23927505699987,168.966541528 -4.18871555699997,168.405322403 -4.03839030699987,168.393330403 -4.0327968069999,168.389304028 -4.03171868199996,168.259557528 -3.97120330699988,167.862943652 -3.78625430699992,167.815832191 -3.75324484899994,167.880157648 -3.28441494899988,167.92678665 -2.94456396599998,167.930982613 -2.91398209099992,167.932153602 -2.90545517299989,167.948754847 -2.78456814099997,167.968259189 -2.64254131799993,168.018395536 -2.28383657299986,168.052102948 -2.04267403699987,168.076398302 -1.86804002499991,168.090182874 -1.76895708699993,168.090449604 -1.76703083699988,168.090611785 -1.76585960899996,168.093677613 -1.74362107699989,168.10329933 -1.67382822799988,168.109845552 -1.62664266099989,168.134771539 -1.44811368099988,168.134771546 -1.44811363499997,168.153561678 -1.31164846399997,168.155905767 -1.29462428799991,168.174971741 -1.15615577099987,168.202581632 -0.952723926999965,168.202581672 -0.952723650999872,168.203036799 -0.949588006999932,168.212599359 -0.883705509999913,168.25687525 -0.577820433999932,168.266776491 -0.50858762099989,168.267197616 -0.505682252999975,168.267248661 -0.505330846999925,168.26731833 -0.504851236999855,168.328284785 -0.0857538049999107,168.383120476 0.291199338000126,168.387852059 0.324049229000082,168.392655824 0.357400252000048,168.39360081 0.363907865000158,168.394120186 0.367484534000084,168.394120195 0.367484596000054,168.39491038 0.372926182000185,168.424688469 0.577270264000163,168.48762044 1.00912389699999,168.501523122 1.10566024600018,168.511867241 1.17748691900005,168.531385607 1.31191417600007,168.548172999 1.42753262100007,168.59810512 1.77028029500013,168.662801153 1.78016914299997,169.045916707 1.83834083700009,169.360716411 1.88613955400018,169.421538869 1.8952748370001,169.494126126 1.90617714500013,169.534500086 1.91221493500018,169.554254598 1.9151691560001,169.563557362 1.91656035300002,169.626390284 1.92598661500011,169.692225613 1.93586330200014,169.764059298 1.94650124200012,170.055175505 1.98961300800011,170.087449499 2.07422759800016,170.10710733 2.12930274600006,170.152027158 2.25515417700012,170.182849706 2.34084590000003,170.203657353 2.39869456499997,170.280385395 2.6287747020001,170.280385409 2.62877474500004,170.392050919 2.95529093200014,170.498640888 3.26696594600014,170.499141116 3.26843037599997,170.49927244 3.26881494000003,170.499287479 3.2688589820001,170.581999524 3.51070724400006,170.584687156 3.51855156600004,170.587367708 3.52637521700012,170.738278076 3.96577274500004,170.738278319 3.96577345300011,170.817891771 4.19757962200009,170.935262234 4.23787425800003,171.132833875 4.30080242400004,171.262249301 4.3420222850001,171.262249659 4.34202235700008,171.426793289 4.37531408400014,172.091462192 4.50911438700012,172.478663626 4.58705946300012,172.49553989 4.59254387100003,172.496479453 4.59284920800013,172.55184584 4.61084204700001,172.682322646 4.65362227500009,172.712089018 4.66338195600002,172.865980932 4.71371975700004,172.998118413 4.75694171700007,173.480925556 4.91530246100012,173.481352566 4.91544252000011,173.608598496 4.95717918600019,173.608598534 4.95717919800018,175.484469315 5.56935805300009,175.557102159 5.50041182699999,175.890701535 5.02419907600017,176.13604341 4.49745907600004,176.28585741 3.93623407500013,176.333843285 3.3800319500001,176.418154035 3.19891057400008,176.418515285 3.19755732400006,176.42312491 3.18765419900018,176.423784285 3.18518432399998,176.426118285 3.1801700740001,176.426851035 3.17742569900014,176.427119535 3.17684857400008,176.43055416 3.16398357399999,176.449020535 3.12431069900009,176.59880466 2.56330294900005,176.614923035 2.37690144900017,176.809082536 2.09932094800018,176.809639036 2.09812544800002,176.814066786 2.09179519800011,176.814380786 2.09112094800014,176.815072661 2.09013157300006,176.865491911 1.98182632300001,176.995355536 1.970407948,177.001066661 1.96887544800006,177.022354411 1.96700332300014,177.583434411 1.81642769800004,178.109751662 1.57077157300006),(172.919054532 1.33869094800014,172.939818157 1.33599094800019,172.947509032 1.34242732300009,172.922990907 1.35177269800016,172.914272782 1.34658182300012,172.919054532 1.33869094800014)))', 'Kiribati Exclusive Economic Zone', 'Kiribati', 'Kiribati', '', '212', '212', 'KIR', '8488', '2014-02', '1053452480000', '8488', 'Y'),('SRID=4326;MULTIPOLYGON(((125.925 30.77,125.489968504 31.0726035530001,125.218970382 31.294822013,125.034691659 31.462840849,124.888352673 31.614599797,124.779953424 31.739258933,124.617354551 31.9072777690001,124.416815941 32.1186563040001,124.300957888 32.2245642010001,124.271671787 32.2550705560001,124.224756445 32.301954714,124.217299632 32.307832214,124.002029652 32.4741857760001,123.73333038 32.680609184,123.62466368 32.797365277,123.392051327 33.049640084,123.157067374 33.3223728680001,123.153975683 33.327159631,123.017699651 33.5386689520001,122.987724373 33.58441127,122.915494501 33.6947730030001,122.914602114 33.6961376030001,122.909256902 33.704360842,122.833599945 33.9044824260001,122.81944327 33.9403273460001,122.786069492 34.101254571,122.785841519 34.1023485810001,122.773714642 34.160465704,122.724498094 34.4847066620001,122.714251427 34.565633189,122.747280808 34.61868868,122.782247458 34.6595876870001,122.804078126 34.6948779960001,123.100334679 35.169879227,123.132844136 35.223276368,123.595783853 35.598536903,123.891183105 35.835507738,123.913519068 35.981821616,124.011941023 36.6003162120001,124.012109421 36.601367086,124.0122769 36.602417948,124.017495082 36.6351875120001,124.007629568 36.6597721380001,123.897481822 36.928682268,123.873433012 36.9877319030001,123.78963364 37.29124089,123.775090811 37.3360319610001,123.757522513 37.38671858,123.757296451 37.387370934,123.756984856 37.388271979,123.756569595 37.389475277,123.755999859 37.3911319440001,123.755416129 37.3928364110001,123.753996463 37.3969970900001,123.752446904 37.401610901,123.662433731 37.670212303,123.638123447 37.723000267,123.614370689 37.7742315950001,123.576543832 37.863404544,123.532941324 37.9645567480001,123.532661226 37.965204584,123.460927018 38.1305569680001,123.547708292 38.2047340120001,124.095665597 38.1282346830001,124.105387709 38.1268305070001,124.413582018 38.08175936,124.587950474 38.057925047,124.5962532 38.056466389,124.620794652 38.051658843,124.65405784 38.044812592,124.79148773 38.0119769040001,124.854831346 37.975837031,124.863768754 37.8909316620001,124.866003105 37.7881514800001,124.864553114 37.6961963970001,124.870102528 37.607405767,124.886750771 37.479769237,124.908948429 37.346583293,124.931146086 37.224496177,124.947794329 37.1079584760001,125.362029204 37.2653131600001,125.460340683 37.295104517,125.519923397 37.321916738,125.546735619 37.4172490820001,125.56616447 37.4845027970001,125.585464383 37.551310189,125.606318334 37.63472599,125.609275088 37.646553006,125.618234876 37.6823921610001,125.662921912 37.694308704,125.716546355 37.6913295690001,125.79698302 37.6794130260001,125.860537916 37.6823921610001,125.912176268 37.690336523,125.947925897 37.694308704,125.983675526 37.702253066,126.019425154 37.702253066,126.071063507 37.7101974280001,126.106813136 37.7181417900001,126.138590583 37.7181417900001,126.162423669 37.7181417900001,126.178312393 37.7221139710001,126.186256755 37.7499192380001,126.186256755 37.769780143,126.186256755 37.7896410480001,126.194201117 37.8174463140001,126.233922927 37.833335038,126.265700374 37.833335038,126.28953346 37.833335038,126.32925527 37.837307219,126.349116175 37.8412794000001,126.392810166 37.8452515810001,126.420615432 37.8412794000001,126.45239288 37.821418495,126.480198147 37.8055297710001,126.508003414 37.7936132290001,126.531836499 37.781696686,126.567586128 37.769780143,126.627168843 37.777724505,126.662918471 37.785668867,126.68849123 37.8339090640001,126.680545186 37.684436093,126.644172879 37.7551122290001,126.642624097 37.758121714,126.641372361 37.7605540000001,126.539700211 37.763053986,126.532072344 37.7183180930001,126.549282235 37.645064114,126.565748665 37.627275227,126.565748273 37.627274589,126.572490618 37.619990887,126.629154618 37.5913813870001,126.652127618 37.566745387,126.660818618 37.5477723870001,126.668381618 37.4852003870001,126.631963618 37.4874363870001,126.626290618 37.4815183870001,126.664008618 37.406236387,126.726990618 37.385209387,126.741927618 37.3867903870001,126.722208618 37.328045387,126.770536618 37.3047093870001,126.810254618 37.296518387,126.843599618 37.3063093870001,126.861845618 37.265545387,126.759436618 37.238463387,126.699418618 37.2622183870001,126.661927618 37.2516633870001,126.660954618 37.1590183870001,126.691090618 37.123045387,126.718036618 37.128745387,126.738590618 37.1488813870001,126.765827618 37.172354387,126.869418618 37.1742993870001,126.861572618 37.140900387,126.819445618 37.133881387,126.776172618 37.121581387,126.754781618 37.0479093860001,126.868027618 36.948745386,126.916445618 36.917563386,127.000227618 36.929718386,126.992199618 36.9108183860001,126.906099618 36.8169363860001,126.833036618 36.7609003860001,126.830472618 36.856799886,126.832354618 36.886245386,126.824436618 36.9115183860001,126.772072618 36.9674908860001,126.682208618 36.9716543860001,126.619981618 36.9727633860001,126.569572618 37.023181386,126.521518618 37.0512453860001,126.500818618 37.0512453860001,126.490536618 36.9955453860001,126.514163618 36.9413723860001,126.496508618 36.867490886,126.474808618 36.843181386,126.463318618 36.8638813860001,126.462063618 36.8964633860001,126.475581618 36.922627386,126.431018618 37.0021813860001,126.392763618 37.004718386,126.345127618 36.9913813860001,126.349708618 36.9517273860001,126.386372618 36.929990386,126.410399618 36.9345723860001,126.414754618 36.905090886,126.401090618 36.851936386,126.324708618 36.8038813860001,126.286990618 36.7930453860001,126.279854618 36.812490886,126.297208618 36.843609386,126.319636618 36.8786723860001,126.308872618 36.942218386,126.294845618 36.962072386,126.186363618 36.8804093860001,126.191663618 36.8198813860001,126.164263617 36.809654386,126.128863617 36.7516633860001,126.125818617 36.7072183860001,126.169427618 36.6740183860001,126.189418618 36.670827386,126.236990618 36.6845723860001,126.266063618 36.7112093860001,126.298999618 36.6335998860001,126.293054618 36.5819363860001,126.315536618 36.599436386,126.329290618 36.654781386,126.306299618 36.6889453860001,126.349990618 36.739299386,126.472354618 36.7427723860001,126.497208618 36.723872386,126.516099618 36.659709386,126.514708618 36.590681386,126.467208618 36.5793633860001,126.480554618 36.481099886,126.495818618 36.394154386,126.536636618 36.219163386,126.544418618 36.136409386,126.688772618 36.001363385,126.739472618 36.0058093850001,126.859099618 36.0555453860001,126.869218618 36.060599386,126.872018618 36.0562453860001,126.861181618 36.039163386,126.761936618 35.9952723850001,126.705263618 35.9847183850001,126.632690618 35.965681385,126.614699618 35.922636385,126.617336618 35.8910363850001,126.729427618 35.882490385,126.785399618 35.893881385,126.801090618 35.861663385,126.745127618 35.777354385,126.701236618 35.768609385,126.637345618 35.7395813850001,126.477063618 35.6379093850001,126.469708618 35.606799885,126.482618618 35.5901273850001,126.510545618 35.576727385,126.541372618 35.5877723850001,126.654636618 35.593881385,126.672063618 35.5808273850001,126.684418618 35.5333913850001,126.619427618 35.5469453850001,126.525954618 35.5259633850001,126.489218618 35.5061093850001,126.451936618 35.455127385,126.441354618 35.4301908850001,126.424427618 35.4102633850001,126.387499618 35.3369363850001,126.378308618 35.3122093850001,126.363599618 35.2277633850001,126.360527618 35.1802723850001,126.387499618 35.1477723850001,126.416099618 35.1154093850001,126.437618618 35.1030543850001,126.457218618 35.0926273850001,126.457208618 35.0688813850001,126.421299618 35.020481385,126.359708618 35.069163385,126.344218618 35.104709385,126.352481618 35.1321453850001,126.344990618 35.151654385,126.259572618 35.130827385,126.248736618 35.1134723850001,126.304154618 34.9619363850001,126.335854618 34.9215908840001,126.374836618 34.941172384,126.433590618 34.963609385,126.413308618 34.8944363840001,126.375563618 34.791381384,126.510818618 34.7784633840001,126.532345618 34.810409384,126.539981618 34.8730453840001,126.590818618 34.8774903840001,126.660263618 34.8101273840001,126.632063618 34.781381384,126.608036618 34.7794363840001,126.494136618 34.7505453840001,126.484699618 34.7233273840001,126.503054618 34.7152723840001,126.614281618 34.619509384,126.527208618 34.615136384,126.459363618 34.644027384,126.432481618 34.619436384,126.451663618 34.5780453840001,126.417481618 34.5958273840001,126.347208618 34.705963384,126.315054618 34.745272384,126.292136618 34.7457543840001,126.266099618 34.6770813840001,126.273036618 34.6338813840001,126.288308618 34.5902723840001,126.315545618 34.566527384,126.391372618 34.543881384,126.462272618 34.4776273840001,126.478318618 34.3452723840001,126.524990618 34.316099384,126.556372618 34.300545384,126.597208618 34.2998543840001,126.683872618 34.434436384,126.760827618 34.5655453840001,126.780745618 34.5854093840001,126.800254618 34.572563384,126.804981618 34.529718384,126.799990618 34.491936384,126.800808618 34.463054384,126.814290618 34.4440183840001,126.889427618 34.4124908840001,126.892354618 34.442072384,126.938308618 34.487209384,126.966381618 34.504163384,126.988245618 34.5333998840001,127.009718618 34.602218384,127.036927618 34.6199903840001,127.091663618 34.6505453840001,127.112490618 34.6602723840001,127.216663618 34.7074993840001,127.273881619 34.727481384,127.335118619 34.7401273840001,127.352199619 34.695399884,127.330545619 34.6543003840001,127.242199619 34.5694453840001,127.195808618 34.571936384,127.207690618 34.6241543840001,127.126218618 34.551381384,127.136027618 34.519718384,127.168318618 34.5119363840001,127.243590619 34.5113813840001,127.315263619 34.443599384,127.389427619 34.4710993840001,127.512763619 34.5908273840001,127.487345619 34.639854384,127.429427619 34.676936384,127.393881619 34.6979093840001,127.363872619 34.751390884,127.398881619 34.8022183840001,127.418318619 34.818599384,127.493872619 34.8516633840001,127.522490619 34.856945384,127.567754619 34.766663384,127.558454619 34.7016543840001,127.555263619 34.6537363840001,127.576390619 34.638327384,127.637899619 34.6159633840001,127.745808619 34.7253998840001,127.769436619 34.794999884,127.773745619 34.8351363840001,127.705818619 34.8378363840001,127.679699619 34.820691384,127.661090619 34.8129093840001,127.638599619 34.8141543840001,127.608172619 34.844990884,127.576390619 34.8869363840001,127.568881619 34.9148543840001,127.597072619 34.9401273840001,127.613872619 34.9167998840001,127.631654619 34.902627384,127.651927619 34.9030453840001,127.767399619 34.960281384,127.830836619 34.9466543840001,127.873454619 34.9416543840001,127.901645619 34.9513813840001,128.020536619 34.9863813850001,128.050327619 34.939499884,128.069699619 34.923045384,128.154145619 34.8944363840001,128.176363619 34.8894363840001,128.206836619 34.8986093840001,128.215654619 34.9288813840001,128.33496362 34.9465183840001,128.35107262 34.9313813840001,128.35134562 34.9037363840001,128.33550862 34.871372384,128.40596362 34.8327723840001,128.44613662 34.8411723840001,128.46649062 34.877209384,128.50137262 35.008327385,128.47836362 35.0506813850001,128.40961862 35.0260273850001,128.37789962 35.0082913850001,128.38206362 35.0391633850001,128.57275462 35.1699903850001,128.61135462 35.1733273850001,128.61996362 35.148609385,128.71050862 35.101109385,128.73495462 35.0927633850001,128.81051862 35.0841633850001,128.92573662 35.0920723850001,128.97390862 35.1348273850001,128.97857262 35.084990885,129.13693662 35.112209385,129.17468162 35.146945385,129.23749062 35.189899885,129.24163662 35.208881385,129.27943662 35.2983273850001,129.34483662 35.343745385,129.439418621 35.475818385,129.467899621 35.5437453850001,129.474063621 35.594509385,129.464754621 35.644609385,129.486636621 35.683327385,129.586872621 36.0038543850001,129.585299621 36.0348633850001,129.561690621 36.0741183860001,129.528136621 36.0510363860001,129.485945621 36.0118723850001,129.460490621 35.995200385,129.422290621 35.998845385,129.392027621 36.022827385,129.38192762 36.311481386,129.387890621 36.333427386,129.411927621 36.363463386,129.437881621 36.4017908860001,129.450527621 36.5034633860001,129.438999621 36.5409723860001,129.422254621 36.5717273860001,129.419772621 36.6269363860001,129.440518621 36.6624903860001,129.462672621 36.678327386,129.472318621 36.701381386,129.471772621 36.780272386,129.456499621 36.811654386,129.429290621 36.8738813860001,129.423581621 36.8999908860001,129.416072621 36.942218386,129.414981621 37.0251273860001,129.429445621 37.059854386,129.37106362 37.140972387,129.36249062 37.1500273870001,129.35357262 37.230963387,129.34247262 37.2572183870001,129.25888162 37.3713723870001,129.18969962 37.464709387,129.13610862 37.5255543870001,129.06317262 37.631518387,129.06301862 37.663190887,129.04999062 37.685818387,129.00454562 37.7302723870001,128.88050862 37.849991387,128.86064562 37.8577723870001,128.63691862 38.122418387,128.62579062 38.144436387,128.53247262 38.3305543880001,128.38916362 38.579436388,128.363554235 38.6252450480001,128.379997441 38.627186323,128.387266733 38.6280445800001,128.523696354 38.6525211370001,129.462357642 38.802669947,130.321440648 39.0470585520001,130.402482482 39.153060801,130.406049175 39.1543225950001,130.776437843 39.289556803,132.815554096 40.268984663,132.47235545 39.5881351150001,131.876033821 38.366325386,131.573410622 37.730323862,131.47645418 37.5246932060001,131.475400843 37.52244957,131.471341984 37.513671028,131.44358043 37.4544071940001,131.401641937 37.365221638,131.389064105 37.3330625190001,131.355716787 37.246833123,131.296518189 37.093873833,131.246430199 36.937434904,131.238189432 36.9114685550001,131.133143444 36.39673464,131.265 36.1666666670001,131.138333333 36.0633333330001,130.711666667 35.705,130.568333333 35.5616666670001,130.388333333 35.3033333330001,130.273333333 35.1166666670001,130.125 35.1133333330001,129.678333333 35.0683333330001,129.548333333 35.02,129.421666667 34.9766666670001,129.376666667 34.96,129.361666667 34.95,129.306666667 34.905,129.263333333 34.8733333330001,129.216666667 34.843333333,129.201666667 34.828333333,129.051666667 34.6716666670001,129.013333333 34.5433333330001,129.013333333 34.535,129.003333333 34.4866666670001,128.99 34.46,128.955 34.408333333,128.888333333 34.3083333330001,128.88 34.3000000000001,128.793333333 34.216666667,128.688333333 34.136666667,128.435 33.84,128.425 33.7900000000001,128.361666667 33.7516666670001,127.871666667 33.27,127.86 33.228333333,127.805 33.145,127.733333333 33.021666667,127.700222681 32.9617521530001,127.698333333 32.958333333,127.685 32.95,127.605 32.89,127.463333333 32.77,127.218333333 32.5600000000001,126.858333333 32.1750000000001,125.925 30.77),(128.49649062 34.8342993840001,128.52359062 34.8074903840001,128.53775462 34.8140183840001,128.55218162 34.8236093840001,128.59559962 34.8347093840001,128.60412762 34.8091543840001,128.60107262 34.7602723840001,128.58820862 34.701236384,128.61245462 34.701099384,128.63901862 34.708190384,128.68273662 34.7231903840001,128.74246362 34.784854384,128.75442762 34.8798543840001,128.73522762 34.9333273840001,128.72994562 34.9422183840001,128.72820862 34.9430453840001,128.71109062 34.9766543850001,128.66360862 34.9602723840001,128.64108162 34.952490384,128.50456362 34.8887453840001,128.49441862 34.8802723840001,128.49050862 34.8688813840001,128.48855462 34.856381384,128.49050862 34.8458273840001,128.49649062 34.8342993840001),(128.059127619 34.7006183840001,128.073363619 34.8032543840001,128.055545619 34.813327384,128.032472619 34.8177723840001,128.001918619 34.820827384,127.990254619 34.8172183840001,127.963590619 34.799781384,127.916381619 34.8327723840001,127.909708619 34.8445723840001,127.908181619 34.8716543840001,127.937708619 34.901927384,127.934981619 34.9137363840001,127.928736619 34.9223543840001,127.918318619 34.9285993840001,127.898608619 34.9330543840001,127.881781619 34.929436384,127.867754619 34.9174993840001,127.836927619 34.8797183840001,127.826927619 34.8558273840001,127.822218619 34.8430453840001,127.852763619 34.738881384,127.858863619 34.721790384,127.884427619 34.711381384,127.981090619 34.6973543840001,128.044436619 34.6949903840001,128.059127619 34.7006183840001),(126.273318618 34.565827384,126.253327618 34.573054384,126.241099618 34.5716543840001,126.100818617 34.4220813840001,126.099018617 34.409854384,126.101645617 34.3966633840001,126.106090617 34.3872183840001,126.112490617 34.378872384,126.146936617 34.3549993840001,126.171918618 34.3519363840001,126.183172618 34.351245384,126.199145618 34.3533273840001,126.259154618 34.370545384,126.344708618 34.4030453840001,126.367754618 34.4416543840001,126.383108618 34.476518384,126.381118618 34.4916543840001,126.378581618 34.496799384,126.334990618 34.5399903840001,126.298318618 34.5558273840001,126.273318618 34.565827384),(126.377481618 36.5884633860001,126.356372618 36.592909386,126.344427618 36.589709386,126.334427618 36.581109386,126.326299618 36.5671453860001,126.337063618 36.4363813860001,126.365536618 36.410545386,126.378727618 36.4033273860001,126.421099618 36.399436386,126.430599618 36.403536386,126.377481618 36.5884633860001),(126.516654168 37.7584731090001,126.512218297 37.7679091200001,126.497891278 37.778191201,126.44360035 37.8063450080001,126.435809203 37.8162450410001,126.424145282 37.821518096,126.398745265 37.8177732300001,126.367345147 37.7875001420001,126.364154157 37.7202730880001,126.373027239 37.62318215,126.384154216 37.6070821910001,126.397491333 37.598873122,126.414563425 37.5931821450001,126.44859127 37.5922180590001,126.453098249 37.592407388,126.453098915 37.5924077700001,126.501390618 37.594436387,126.513890618 37.5972093870001,126.52667345 37.6125080400001,126.539427296 37.627773086,126.516654168 37.7584731090001),(126.312199618 33.2177723830001,126.335690618 33.226381383,126.420818618 33.2351363830001,126.445536618 33.229427383,126.479290618 33.221927383,126.508608618 33.2235993830001,126.586927618 33.2313723830001,126.599427618 33.2333273830001,126.622208618 33.2399903830001,126.725272618 33.2702723830001,126.764708618 33.2827723830001,126.845272618 33.3099903830001,126.908336618 33.3791543830001,126.917345618 33.390272383,126.936654618 33.4244363830001,126.941090618 33.4538813830001,126.894427618 33.524299383,126.839663618 33.5363723830001,126.835818618 33.540554383,126.827472618 33.5477723830001,126.817199618 33.5512363830001,126.793054618 33.5508273830001,126.695827618 33.539990383,126.633608618 33.5316633830001,126.375118618 33.4738723830001,126.314981618 33.4515183830001,126.270263618 33.4227633830001,126.183590618 33.3527723830001,126.176372618 33.344154383,126.158336617 33.314709383,126.155254617 33.2894363830001,126.157763617 33.2788813830001,126.170536618 33.262499383,126.186099618 33.2474903830001,126.207208618 33.229427383,126.226927618 33.2163813830001,126.265618618 33.192209383,126.288181618 33.1942903830001,126.299145618 33.2073543830001,126.312199618 33.2177723830001)))', 'South Korean Exclusive Economic Zone', 'South Korea', 'South Korea', '', '20', '20', 'KOR', '8327', '', '326584295300', '8327', 'Y'),('SRID=4326;MULTIPOLYGON(((-159.360723237 7.9373055110002,-159.481300108 7.76747152600024,-159.481359593251 7.76748300201291,-159.658333649 7.51805535900036,-159.909722649 7.16194435900002,-160.330833649 6.56111135800029,-160.354999649 6.52694435800015,-160.427777649 6.4252773580003,-160.69499965 6.05138935800028,-160.92027765 5.73666635700022,-161.47194465 4.95694435700017,-161.621666651 4.74388935600024,-162.215555651 3.90694435600005,-163.085543890532 2.66628337928427,-163.085716597982 2.66603697281499,-163.087145091 2.66647293,-163.103048802 2.67141366300018,-163.118927918 2.67643396200015,-163.13478205 2.68153369100014,-163.150610811 2.6867127380001,-163.166413794 2.69197095700002,-163.182190619 2.69730824000015,-163.197940898 2.7027244379999,-163.213664234 2.70821942300012,-163.229360238 2.71379305099993,-163.245028531 2.71944520000017,-163.260668724 2.72517571500009,-163.276280421 2.73098446000012,-163.291863241 2.73687128700021,-163.307416797 2.74283604900006,-163.322940708 2.74887861100018,-163.338434596 2.75499880600023,-163.353898064 2.761196488,-163.369330731 2.76747151000018,-163.381435979 2.77245662800016,-163.38484263 2.77386942899989,-163.400212567 2.78029865600013,-163.415550567 2.78680473800017,-163.430856249 2.79338752900014,-163.446129234 2.80004685400019,-163.461369143 2.80678255700019,-163.476575605 2.81359446500016,-163.491748242 2.82048240400013,-163.506886672 2.82744621700016,-163.521990528 2.83448571400021,-163.537059428 2.84160073599986,-163.552093012 2.84879110199989,-163.5670909 2.85605663799993,-163.582052722 2.86339715100024,-163.596978108 2.87081246700023,-163.611866688 2.87830240200009,-163.626718099 2.88586676500023,-163.641531963 2.89350538100024,-163.656307927 2.90121804900014,-163.671045613 2.90900458600021,-163.685744668 2.91686478900016,-163.700404721 2.92479846700019,-163.715025411 2.93280542700012,-163.729606368 2.94088547700022,-163.744147249 2.94903839700015,-163.758647683 2.95726400400014,-163.773107309 2.96556208600015,-163.787525775 2.97393243400012,-163.801902719 2.98237484500009,-163.81623779 2.99088910900025,-163.830530634 2.99947501500009,-163.844780901 3.0081323440001,-163.858988227 3.01686089300011,-163.873152262 3.02566044299988,-163.887272662 3.0345307730002,-163.901349075 3.04347165600001,-163.915381157 3.05248288000024,-163.929368547 3.06156422500015,-163.94331092 3.07071545200017,-163.957207906 3.07993635200017,-163.971059179 3.08922667700011,-163.984864397 3.09858621599994,-163.998623207 3.10801472100019,-164.012335274 3.11751196400019,-164.026000265 3.12707770600014,-164.039617828 3.13671172699992,-164.053187627 3.14641376200024,-164.066709339 3.15618359100023,-164.08018262 3.16602096699989,-164.093607144 3.17592564100016,-164.106982568 3.18589737500014,-164.120308568 3.19593591400019,-164.133584808 3.20604101900022,-164.146810956 3.2162124240001,-164.159986703 3.2264498900002,-164.173111707 3.23675316200018,-164.186185642 3.24712198300023,-164.188771347 3.24918528000012,-164.196760339 3.25553375100009,-164.209783052 3.26596779300024,-164.222754055 3.27646686100013,-164.235673023 3.28703070800015,-164.248539649 3.29765906600022,-164.261353589 3.30835166200012,-164.274114546 3.31910824800019,-164.286822203 3.32992855000015,-164.299476235 3.3408123000001,-164.312076336 3.35175923499997,-164.324622179 3.36276906900019,-164.337113477 3.37384153600021,-164.349549903 3.3849763720001,-164.36193116 3.39617328299988,-164.374256931 3.40743200200018,-164.38652691 3.41875225600018,-164.398740798 3.43013375100014,-164.410898288 3.44157621300008,-164.422999083 3.45307935599999,-164.435042884 3.46464289700009,-164.447029384 3.47626655200025,-164.458958294 3.48795001800022,-164.470829307 3.49969303000017,-164.482642143 3.51149527700017,-164.494396494 3.52335647300009,-164.506092082 3.53527632700013,-164.517728598 3.54725454500021,-164.523926619 3.55368345000016,-164.52489285 3.55468258500019,-164.536470178 3.56671879300023,-164.547987874 3.57881277700011,-164.55944565 3.59096421700025,-164.570843217 3.60317282900019,-164.582180294 3.61543830100021,-164.593456593 3.6277603310001,-164.604671842 3.64013861599994,-164.615825763 3.65257284600006,-164.626918064 3.66506271700013,-164.634004313 3.67310764700017,-164.638066231 3.67774200800017,-164.649034501 3.69034222700009,-164.65994034 3.70299715200025,-164.670783468 3.71570646400022,-164.681563631 3.72846986000025,-164.692280551 3.74128702000024,-164.702933964 3.75415762199987,-164.7135236 3.7670813470001,-164.724049197 3.78005787300015,-164.734510502 3.79308689000021,-164.744907244 3.8061680670001,-164.75523917 3.81930108400024,-164.76550601 3.83248561000011,-164.775707528 3.8457213170002,-164.785843462 3.85900788400022,-164.795913551 3.87234498000009,-164.80591755 3.8857322770001,-164.815855208 3.89916943500009,-164.825726279 3.91265612500024,-164.83553052 3.92619201600013,-164.845267678 3.93977677900011,-164.854937518 3.95341005800009,-164.864539797 3.96709153100011,-164.87407427 3.98082085000021,-164.883540703 3.99459768600019,-164.892938852 4.00842168100013,-164.9022685 4.02229251599999,-164.904288538 4.0253154840002,-164.911656442 4.03640014600023,-164.920848365 4.05036359299993,-164.929971082 4.0643728350002,-164.93902436 4.07842751600015,-164.94800798 4.09252729600007,-164.956921708 4.10667182700024,-164.965765327 4.12086074299987,-164.974538612 4.13509371600009,-164.983241354 4.14937037700014,-164.99187332 4.16369038000022,-165.0004343 4.17805335900016,-165.008924079 4.19245897400003,-165.017342449 4.20690686000017,-165.025689192 4.22139666000021,-165.033964092 4.23592800700021,-165.04216696 4.25050055399987,-165.04483391 4.25527514299995,-165.052244934 4.26860189199994,-165.060303186 4.28325571800025,-165.068288772 4.29794964500019,-165.076201504 4.31268331600023,-165.084041183 4.32745636500016,-165.091807601 4.34226842700019,-165.099500577 4.35711913400013,-165.107119913 4.37200811300011,-165.114665418 4.3869350070002,-165.122136886 4.40189943900009,-165.129534154 4.41690103500019,-165.136857013 4.43193943000023,-165.144105292 4.44701423900023,-165.151278803 4.46212510500015,-165.158377363 4.47727164399987,-165.165400801 4.49245347200014,-165.172348928 4.50767023200012,-165.179221573 4.52292153200005,-165.186018571 4.53820700500012,-165.192739734 4.55352625800015,-165.199384891 4.56887892499986,-165.204728971 4.58139567600017,-165.210635439 4.59065090399997,-165.219561099 4.60479138299996,-165.22841665 4.61897628600008,-165.237201884 4.63320524700009,-165.245916576 4.64747791800022,-165.25456051 4.66179395100016,-165.263133467 4.67615297999993,-165.271635223 4.69055466600014,-165.280065587 4.70499863500021,-165.288424325 4.71948453700026,-165.29671123 4.73401201600012,-165.30492611 4.7485807070002,-165.313068742 4.7631902510002,-165.321138925 4.77784028300016,-165.329136452 4.79253044599994,-165.337061134 4.8072603830002,-165.344912753 4.82202970900011,-165.35269113 4.83683807800014,-165.360396056 4.85168510400024,-165.36802735 4.86657043999992,-165.375584796 4.88149370200011,-165.383068223 4.89645453200023,-165.39047744 4.91145254800017,-165.397812258 4.92648738200018,-165.405072479 4.94155866900013,-165.412257939 4.95666602400019,-165.419368439 4.97180908199988,-165.42640381 4.98698746000025,-165.433363868 5.00220079000025,-165.440248435 5.01744868900022,-165.447057347 5.03273079000019,-165.453790424 5.04804669300023,-165.460447485 5.06339604000004,-165.467028377 5.07877843900013,-165.473532928 5.09419351300016,-165.479960966 5.10964088000009,-165.486312338 5.12512015500022,-165.492586872 5.14063095500018,-165.498784405 5.1561728960001,-165.504904794 5.17174558500011,-165.510947866 5.18734865600015,-165.516913486 5.20298170700016,-165.522212838 5.21706782600012,-165.523007555 5.21919569500022,-165.528817801 5.23488754100009,-165.534550126 5.25060820800024,-165.540204394 5.26635730200019,-165.54578045 5.28213443000016,-165.551278152 5.29793920899999,-165.556697363 5.31377124600016,-165.562037948 5.32963014000012,-165.567299753 5.34551550600014,-165.57248266 5.36142694400024,-165.577586526 5.3773640600001,-165.582611215 5.39332647100019,-165.58755661 5.40931375700012,-165.592422574 5.42532554400009,-165.597208982 5.44136143100019,-165.601915706 5.45742100700011,-165.606542631 5.47350388700011,-165.611089637 5.48960966300012,-165.615556599 5.50573794200005,-165.619943409 5.52188832200017,-165.624249939 5.53806039200015,-165.628476082 5.55425377000006,-165.632621738 5.57046804500004,-165.636686781 5.58670280800015,-165.64067112 5.6029576640002,-165.644574638 5.61923221500018,-165.648397235 5.63552603900007,-165.652138822 5.65183874600024,-165.655799281 5.66816992500009,-165.659378521 5.68451917500016,-165.662876453 5.70088608500009,-165.666292985 5.71727025600006,-165.667822262 5.72473915000023,-165.669674201 5.7338981040001,-165.672927655 5.7503155579999,-165.676099439 5.76674905100009,-165.679189462 5.78319817300024,-165.682197635 5.79966250500001,-165.685123894 5.81614164600006,-165.687968157 5.83263519700006,-165.690730335 5.84914272800017,-165.693410356 5.86566383000019,-165.696008146 5.88219811200014,-165.698523642 5.89874514600018,-165.700956774 5.91530453100012,-165.703307467 5.93187585000015,-165.705575659 5.9484586910001,-165.707761278 5.9650526380002,-165.709864278 5.98165728900017,-165.711884588 5.9982722260001,-165.713822162 6.01489703100009,-165.715676936 6.03153129500009,-165.717448858 6.04817460700014,-165.719137872 6.06482655100018,-165.720743933 6.08148670800011,-165.722266996 6.09815466900017,-165.723707016 6.114830015,-165.725063948 6.1315123390001,-165.726337756 6.14820122100014,-165.727528385 6.16489624400015,-165.728635809 6.18159699000012,-165.72966 6.19830305000022,-165.730600904 6.21501400700009,-165.731458513 6.23172945100004,-165.73223278 6.24844894800009,-165.732923688 6.26517209700006,-165.733531219 6.28189848000017,-165.734055327 6.29862767200018,-165.734496004 6.31535926400005,-165.734853241 6.33209283900021,-165.735127001 6.34882797800014,-165.735317285 6.36556426600004,-165.735424083 6.38230128400022,-165.735447359 6.39903861500011,-165.735387131 6.41577584200002,-165.735243382 6.43251255800016,-165.735016111 6.44924832700013,-165.73470531 6.46598274000013,-165.734310977 6.48271539100023,-165.733833123 6.4994458450002,-165.733271739 6.51617370100013,-165.732626841 6.53289852700016,-165.73189844 6.54961991300007,-165.731086526 6.56633744400011,-165.730191136 6.5830507030002,-165.72921226 6.59975927300013,-165.728149934 6.61646272900015,-165.727004169 6.63316066300013,-165.72577498 6.64985265900009,-165.724462388 6.66653830199999,-165.723066427 6.68321716400015,-165.721587116 6.69988883200023,-165.720024483 6.71655290500013,-165.718378562 6.73320895100017,-165.716649381 6.7498565530002,-165.714836977 6.76649530500021,-165.714602634 6.76855114900013,-165.713671069 6.77798168000015,-165.711942494 6.79462933500014,-165.710130686 6.81126814500016,-165.708235682 6.82789767700012,-165.706257517 6.84451754200006,-165.704196237 6.86112730500008,-165.702051886 6.87772655300023,-165.699824502 6.89431487700017,-165.697514138 6.91089186200014,-165.695120839 6.92745710200012,-165.692644651 6.94401016400013,-165.690085637 6.96055064200021,-165.687443841 6.97707812800024,-165.684719337 6.99359219899998,-165.68191216 7.01009245899991,-165.679022392 7.02657848100012,-165.676050086 7.04304985300013,-165.672995307 7.05950616800004,-165.669858126 7.07594701000022,-165.666638615 7.09237197500022,-165.663336829 7.1087806390002,-165.659952867 7.12517260400017,-165.656486775 7.14154745700012,-165.65293866 7.15790479100008,-165.649308577 7.17424418400014,-165.645596625 7.19056523900025,-165.641802876 7.20686754200023,-165.637927422 7.22315068700021,-165.633970351 7.23941426900012,-165.629931746 7.25565786600021,-165.625811706 7.27188108900003,-165.62161032 7.28808352599992,-165.617327689 7.30426476200012,-165.612963903 7.3204244110002,-165.60851907 7.33656204899995,-165.60399329 7.35267727300021,-165.599386661 7.36876969400021,-165.594699293 7.3848388909999,-165.589931302 7.40088446900023,-165.585082779 7.4169060320001,-165.58015386 7.43290316600013,-165.575144643 7.44887547600007,-165.570055247 7.46482255800004,-165.564885788 7.48074401700018,-165.559636393 7.49663944800022,-165.554307189 7.51250845799996,-165.548898284 7.52835065000016,-165.543409814 7.54416561200003,-165.537841904 7.55995295700023,-165.532194682 7.57571229300015,-165.526468291 7.59144321300022,-165.520662859 7.60714533400005,-165.51477852 7.62281825100018,-165.508815411 7.63846157900014,-165.502773685 7.65407491500019,-165.496653468 7.66965787200019,-165.490454914 7.68521006700007,-165.484178167 7.70073109499998,-165.477823372 7.71622056300015,-165.471390682 7.73167810300009,-165.464880251 7.7471033029999,-165.458292233 7.76249578800014,-165.451626781 7.77785516399996,-165.444884067 7.79318105399989,-165.438064225 7.80847306500016,-165.431167438 7.82373081200001,-165.424193867 7.83895391100003,-165.417143665 7.85414197600022,-165.410017024 7.8692946340002,-165.402814095 7.88441149800025,-165.395535052 7.89949218500004,-165.388180074 7.9145363200002,-165.380749341 7.92954352599986,-165.373243018 7.94451341200016,-165.365661302 7.95944561000005,-165.358004356 7.97433974600011,-165.350272378 7.98919544500018,-165.342465541 8.00401232200016,-165.334584051 8.01879001300011,-165.326628073 8.03352814100009,-165.318597821 8.04822633300012,-165.310493478 8.06288423100023,-165.302315241 8.07750144400018,-165.29406331 8.09207762200009,-165.285737874 8.10661238400013,-165.27733915 8.12110537100011,-165.268867327 8.13555622000024,-165.260322614 8.14996455500017,-165.251705218 8.16433002100024,-165.243015355 8.17865225100024,-165.234253216 8.19293089000013,-165.225419036 8.20716556400015,-165.216513021 8.22135592600011,-165.20753538 8.23550161000009,-165.198486339 8.24960227000025,-165.189366115 8.26365753100015,-165.180174923 8.27766704700019,-165.170913 8.29163047100019,-165.16158057 8.3055474480002,-165.152177851 8.31941761100018,-165.142705069 8.33324062499992,-165.133162475 8.34701613300018,-165.123550279 8.36074378800015,-165.113868733 8.37442324500017,-165.104118062 8.38805415600007,-165.094298512 8.40163617500025,-165.084410324 8.41516895700011,-165.074453726 8.42865217200011,-165.06442898 8.44208545599992,-165.05433631 8.45546848100014,-165.044175988 8.46880091900016,-165.03394825 8.4820824140001,-165.023653338 8.49531263900013,-165.013291523 8.5084912480001,-165.002863051 8.52161792099986,-164.992368182 8.53469232200013,-164.98180716 8.54771412200017,-164.971180266 8.56068297500025,-164.960487743 8.5735985730002,-164.949729862 8.5864605770002,-164.938906885 8.59926866100017,-164.928019084 8.61202249600018,-164.917066729 8.62472177200021,-164.906050072 8.63736615399995,-164.894969413 8.64995533100023,-164.883825004 8.66248896700023,-164.872617125 8.67496677000014,-164.861346056 8.6873884040001,-164.850012076 8.69975354900009,-164.838615467 8.71206190700008,-164.827156499 8.72431315700021,-164.81563547 8.73650699200005,-164.80405266 8.74864310100008,-164.792408349 8.76072116500006,-164.785202458 8.76813481600021,-164.780442966 8.77300745600013,-164.768676529 8.78496854100007,-164.756849468 8.79687066299988,-164.744962079 8.80871354000021,-164.733014653 8.82049685400011,-164.721007487 8.83222031300016,-164.70894088 8.84388361800018,-164.696815138 8.85548647600024,-164.68463055 8.86702857900019,-164.672387433 8.87850965500013,-164.660086076 8.88992939199989,-164.647726804 8.90128750200017,-164.635309906 8.91258371000009,-164.622835707 8.92381770700013,-164.610304505 8.9349892300001,-164.597716625 8.94609797900011,-164.585072374 8.95714367900007,-164.573590473 8.96707728200016,-164.572300624 8.96818755800018,-164.559544572 8.97910630700005,-164.546733106 8.98996117100006,-164.533866544 9.0007518590001,-164.5209452 9.0114780990001,-164.507969401 9.02213962700012,-164.494939471 9.03273616900009,-164.481855736 9.04326745400004,-164.46871853 9.053733206,-164.455528177 9.06413316400023,-164.442285004 9.07446706300021,-164.428989343 9.08473463900009,-164.415641531 9.09493562800009,-164.402241909 9.10506977500006,-164.388790794 9.11513681700012,-164.375288547 9.12513649800013,-164.361735493 9.13506856300012,-164.348131967 9.1449327590002,-164.33447832 9.1547288380001,-164.320774905 9.16445653700021,-164.307022039 9.17411562799992,-164.293220091 9.18370584700023,-164.279369405 9.19322694800007,-164.265470324 9.20267870299989,-164.25152319 9.2120608570001,-164.237528376 9.22137317400012,-164.223486214 9.23061541600009,-164.209397065 9.2397873550002,-164.195261293 9.24888874600015,-164.194319357757 9.24948853591695,-164.181079238 9.25791936000024,-164.166851264 9.266878969,-164.152577739 9.27576733700022,-164.138259008 9.28458423500018,-164.12389544 9.29332945300024,-164.109487407 9.30200275500005,-164.09503525 9.31060392100011,-164.080539359 9.31913273200013,-164.066000086 9.3275889680001,-164.051417793 9.33597242100018,-164.036792866 9.34428286099995,-164.022125669 9.35252008700013,-164.007416561 9.36068389000013,-163.992665923 9.36877405000018,-163.977874134 9.37679036500009,-163.963041564 9.38473263500015,-163.948168584 9.39260064899992,-163.933255572 9.40039421500012,-163.918302918 9.40811312199992,-163.903310982 9.41575717900008,-163.888280153 9.4233261830002,-163.873210819 9.4308199510001,-163.858103351 9.4382382820001,-163.842958146 9.44558100100022,-163.827775565 9.45284789800007,-163.812556015 9.46003879799997,-163.797299875 9.46715351800015,-163.782007534 9.47419187299994,-163.766679379 9.48115368900005,-163.7513158 9.48803877400019,-163.735917185 9.49484696200017,-163.72048393 9.50157807700015,-163.705016425 9.50823194600014,-163.689515058 9.51480839199996,-163.673980236 9.52130726000019,-163.658412346 9.52772836500003,-163.642811786 9.53407156000009,-163.627178945 9.5403366770002,-163.611514238 9.54652354300015,-163.595818044 9.55263201800011,-163.580090779 9.55866192699995,-163.564332841 9.56461313000023,-163.548544617 9.57048547100015,-163.532726532 9.57627879100011,-163.516878975 9.581992953,-163.501002343 9.5876277970001,-163.485097061 9.59318319500005,-163.469163525 9.59865899600004,-163.453202134 9.60405505400013,-163.437213311 9.60937123600019,-163.421197446 9.61460740400014,-163.405154963 9.6197634180001,-163.389086268 9.62483916400015,-163.372991759 9.62983448600011,-163.356871869 9.63474927900023,-163.340726986 9.63958340300019,-163.324557536 9.64433673600007,-163.308363933 9.64900916500005,-163.292146593 9.65360055100018,-163.275905923 9.65811079800022,-163.259642338 9.66253977400021,-163.243356254 9.66688737600003,-163.227048094 9.67115347999987,-163.210718266 9.67533798400007,-163.194367195 9.67944078099998,-163.177995303 9.68346176900013,-163.161602999 9.68740083200021,-163.145190697 9.69125787600012,-163.12875884 9.69503281300007,-163.112307826 9.69872552100009,-163.095838087 9.70233593200015,-163.07935004 9.7058639390001,-163.062844119 9.70930944800017,-163.046320729 9.71267237100017,-163.029780303 9.71595263000023,-163.013223268 9.71915013800009,-162.996650037 9.72226481700017,-162.980061045 9.72529656900019,-162.963456708 9.72824533599999,-162.946837458 9.73111103900004,-162.93020372 9.73389358899988,-162.913555928 9.73659292700012,-162.896894488 9.73920898200015,-162.880219842 9.74174168600007,-162.863532417 9.74419097700013,-162.846832644 9.74655678499994,-162.830120939 9.74883905900015,-162.813397736 9.75103772900013,-162.796663468 9.75315274100018,-162.779918561 9.7551840540001,-162.763163447 9.75713159800017,-162.746398551 9.75899532800014,-162.729624307 9.76077520100006,-162.712841147 9.76247116600018,-162.696049498 9.76408318700004,-162.679249782 9.76561121200007,-162.662442452 9.76705520600001,-162.645627915 9.768415135,-162.628806621 9.76969096300024,-162.611978996 9.77088265700024,-162.595145463 9.77199018000016,-162.578306466 9.77301351700015,-162.561462438 9.77395262200014,-162.544613804 9.77480748800019,-162.527760997 9.77557808900008,-162.510904441 9.7762643970002,-162.494044588 9.77686640600018,-162.477181863 9.77738409600022,-162.462457609 9.77776710900019,-162.46010127 9.77782258500014,-162.443234093 9.7781715970001,-162.426365343 9.77843625600025,-162.409495447 9.77861654500015,-162.392624846 9.77871248100007,-162.381877063 9.77872960300004,-162.365006236 9.77868741299994,-162.348135843 9.77856086300017,-162.331266308 9.77834995100011,-162.314398082 9.7780546780001,-162.297531582 9.77767505200012,-162.280667249 9.7772110910002,-162.263805518 9.77666280400024,-162.246946812 9.77603019800011,-162.230091575 9.77531329300001,-162.213240231 9.77451210400005,-162.196393213 9.77362665900012,-162.179550956 9.77265698300016,-162.162713892 9.77160309300018,-162.145882455 9.77046501600006,-162.129057078 9.76924278700011,-162.112238187 9.76793643100018,-162.095426215 9.76654598400017,-162.078621595 9.76507148800022,-162.061824761 9.76351297100013,-162.045036146 9.76187048400021,-162.028256166 9.76014405300009,-162.011485264 9.75833373900025,-161.994723872 9.75643958600011,-161.977972407 9.75446163800024,-161.961231311 9.75239993700006,-161.944501018 9.75025455300022,-161.927781934 9.74802554000024,-161.911074511 9.74571293899993,-161.894379163 9.74331682000019,-161.877696335 9.74083725500009,-161.867386348 9.73926218899999,-161.860451399 9.73818557700008,-161.843794873 9.73553928899997,-161.827152129 9.73280974600016,-161.810523603 9.72999700600013,-161.793909727 9.72710115100011,-161.777310908 9.7241222560001,-161.767857202 9.72238728499997,-161.760207482 9.72096421600008,-161.743640095 9.71781947000011,-161.727089039 9.71459192000009,-161.710554765 9.71128164600009,-161.69403767 9.70788874200019,-161.677538197 9.70441327900016,-161.661056753 9.70085536000022,-161.644593771 9.69721506500019,-161.628992173 9.69368533400007,-161.627767302 9.69340506800017,-161.611342508 9.68960032300021,-161.594937432 9.68571348800003,-161.578552498 9.68174468700022,-161.571339788 9.67997003400018,-161.562002408 9.67764809300019,-161.545659014 9.6735156260001,-161.529337026 9.66930149700022,-161.513036842 9.66500580200017,-161.496758896 9.66062865300012,-161.480503593 9.65617017300013,-161.480446238 9.65615429100006,-161.480156256 9.65607398600008,-161.463924022 9.65153427799999,-161.447715263 9.64691346500018,-161.431530395 9.6422116610002,-161.415369841 9.63742898800018,-161.399234 9.63256557700021,-161.383123287 9.62762154000012,-161.375829692 9.62535420700021,-161.366835007 9.62253362700005,-161.350775796 9.61742874099991,-161.334742942 9.61224362100006,-161.318736867 9.60697839999989,-161.302757972 9.60163320700019,-161.28680667 9.59620820100025,-161.270883358 9.59070350300004,-161.256023701 9.58548568800006,-161.254660916 9.58500339400013,-161.238794824 9.57933974600013,-161.222957934 9.57359684300025,-161.20715067 9.5677748330001,-161.191373421 9.56187385500016,-161.187855456 9.5605457580001,-161.176862928852 9.55636540836372,-161.175100442 9.55569515200006,-161.15938444 9.54963671600007,-161.143699664 9.54349977400017,-161.128046509 9.53728449400018,-161.112425373 9.53099103200009,-161.096836655 9.52461954500023,-161.081280751 9.51817019900022,-161.065758059 9.511643161,-161.050268976 9.50503859600019,-161.03481389 9.49835667900004,-161.019393191 9.49159757600012,-161.004007284 9.48476146199988,-160.988656549 9.47784851100016,-160.973341374 9.47085890800014,-160.958062165 9.46379281800006,-160.942819285 9.45665043300022,-160.927613148 9.44943192900013,-160.912444125 9.44213749800014,-160.898795888 9.43549395600024,-160.894219166 9.43325482700016,-160.879125589 9.42580910400022,-160.864070274 9.41828802299989,-160.849053607 9.41069176600013,-160.847126412 9.40971002400005,-160.845825408 9.40904814800001,-160.830847842 9.40137692600018,-160.815909684 9.39363092200017,-160.801011314 9.3858103460002,-160.786153101 9.37791538199997,-160.771335444 9.36994624100009,-160.756558693 9.36190313200012,-160.741823239 9.35378624800018,-160.72712945 9.34559579900025,-160.712477698 9.33733200500023,-160.697868352 9.32899506599989,-160.683301775 9.32058520200025,-160.668778344 9.31210263100013,-160.654298432 9.30354755600024,-160.639862389 9.29492021300024,-160.625470595 9.28622081300023,-160.611123403 9.27744958200003,-160.596821174 9.26860674100016,-160.582564278 9.25969252700014,-160.576877837 9.25610913300011,-160.567882385 9.25040993300019,-160.563434409 9.2475769740002,-160.550562093 9.23934305200015,-160.536443409 9.2302160779999,-160.522371494 9.2210186420001,-160.508346683 9.21175098100002,-160.494369346 9.20241334200006,-160.480439826 9.1930059419999,-160.466558475 9.18352903700014,-160.452725646 9.17398287300023,-160.438941681 9.16436767900012,-160.425206924 9.15468370700017,-160.415216898 9.14757475000022,-160.411393253 9.14483943400023,-160.39775796 9.13501865500024,-160.384172923 9.12512984599994,-160.378034831 9.12062738600008,-160.370296639 9.11492195599999,-160.369496873 9.1143303180001,-160.362735354 9.10934305400025,-160.349252002 9.09931898200006,-160.335819918 9.08922765400018,-160.322439436 9.07906930700017,-160.30911088 9.06884422100001,-160.295834603 9.05855263400014,-160.282610921 9.04819481999988,-160.269440178 9.03777105000017,-160.256322698 9.02728158100012,-160.243258806 9.01672667500009,-160.230248838 9.00610661500014,-160.217293118 8.99542166400005,-160.204391961 8.98467209700016,-160.191545695 8.97385818400005,-160.178754642 8.96298020099999,-160.16601912 8.95203842800015,-160.153339445 8.94103314700004,-160.140715942 8.92996462300016,-160.128148918 8.91883316500014,-160.11563868 8.90763902699996,-160.103185562 8.89638251000002,-160.100914524 8.89431736499995,-160.090513763 8.88481263400018,-160.090082895 8.88441714600015,-160.086420061 8.88109435300009,-160.07402475 8.86977587100012,-160.066531062 8.86287736100007,-160.061393704 8.85812462700011,-160.049114142 8.84668282100023,-160.03689292 8.83517978900022,-160.024730335 8.82361582099998,-160.012626686 8.81199121100025,-160.00058228 8.8003062570001,-159.988597424 8.78856125900018,-159.985612166 8.78561727300013,-159.975505759 8.77560510500018,-159.963640897 8.76374092900016,-159.962489838 8.76258355300018,-159.951478059 8.75145710600015,-159.939734356 8.7394749340001,-159.928051658 8.72743422900015,-159.916430271 8.71533529099986,-159.908786539 8.7073105130001,-159.902353931 8.70053050800016,-159.890856069 8.68831604500019,-159.879420368 8.67604428600009,-159.868047108 8.66371553300007,-159.856736567 8.6513300929999,-159.845489036 8.63888829599995,-159.834304786 8.62639044100018,-159.823184095 8.61383685600021,-159.812127245 8.60122785999999,-159.801134488 8.58856376200004,-159.793388195 8.57956172400003,-159.790164908 8.57579683799992,-159.779301187 8.56302351900007,-159.769559964 8.55145815100008,-159.767047132 8.54846153000022,-159.756313539 8.53558029600003,-159.745645385 8.52264559900016,-159.735042933 8.50965775000014,-159.724506452 8.49661707500019,-159.714036205 8.48352393000022,-159.703632435 8.47037861600023,-159.693295406 8.45718148900011,-159.683025369 8.44393287499992,-159.672822577 8.43063311200024,-159.662687284 8.41728252900003,-159.652619733 8.4038814710002,-159.642620169 8.39043027600025,-159.632688843 8.37692929100024,-159.622826001 8.36337885200021,-159.613031876 8.34977929600012,-159.603306703 8.33613097100016,-159.593650728 8.32243423199992,-159.592207889 8.32037494400009,-159.583808786 8.30832463600012,-159.574291916 8.29453209600018,-159.564844948 8.28069218100023,-159.555468107 8.26680522900017,-159.546161627 8.25287160500011,-159.536925726 8.23889165600008,-159.527760637 8.22486573700019,-159.51866657 8.21079419600022,-159.509643768 8.19667739800013,-159.500692429 8.18251568800025,-159.491812789 8.16830944300017,-159.483005046 8.1540590080001,-159.474269426 8.13976473900021,-159.465606137 8.12542701200022,-159.457015377 8.11104617300003,-159.448497372 8.09662259600009,-159.440052321 8.08215664700015,-159.431680432 8.06764868300024,-159.423381903 8.05309906899987,-159.415156924 8.03850817799992,-159.407005712 8.02387637800024,-159.398928457 8.00920403300012,-159.390925347 7.99449152800003,-159.382996583 7.97973921000016,-159.375142353 7.96494747200018,-159.374858305 7.96440915000022,-159.367278739 7.94995725300004,-159.360723237 7.9373055110002)))', 'Palmyra Atoll Exclusive Economic Zone', 'Palmyra Atoll', 'United States', '', '163', '150', 'UMI', '8443', '2014-02', '352908050300', '8443', 'Y'),('SRID=4326;MULTIPOLYGON(((-170.628736659 -6.89006465399996,-170.591047659 -6.89467865399996,-170.225573659 -6.89302365399993,-170.208228659 -6.89293765399998,-170.169527658 -6.89279465399994,-169.700010658 -6.89086165399993,-168.953453657 -6.88717665399997,-168.729620657 -7.11100965499998,-168.652232657 -7.18839765499996,-168.650659657 -7.19064365499997,-168.646235657 -7.19506765499995,-168.644995657 -7.19683965499996,-168.644236657 -7.19759765499998,-168.643635657 -7.19845665499997,-168.643245657 -7.19884665499995,-168.642180657 -7.20036765499998,-168.641230657 -7.20131665499997,-168.638546657 -7.20515065499995,-168.638240657 -7.20545665499998,-168.636999657 -7.20722865499994,-168.636241657 -7.20798665499996,-168.635022657 -7.20972765499994,-168.634242657 -7.21050765499996,-168.599394657 -7.26027565499993,-168.545798657 -7.33681865499995,-168.301196657 -7.68614565499996,-168.299389657 -7.69002165499995,-168.299198657 -7.69029565499994,-168.298887657 -7.69095965499997,-168.298190657 -7.69195565499996,-168.234603657 -7.82831865499998,-168.052798657 -8.21820065599997,-167.988614656 -8.30821865599995,-167.989493656 -8.31103565599994,-168.523610657 -10.0238886569999,-169.780555658 -10.131110657,-170.269444659 -10.1716666579999,-171.258888659 -10.2547226579999,-171.84944466 -10.297222658,-172.18361066 -10.423888658,-173.064722661 -10.770833658,-173.746666662 -11.038055658,-173.854222662 -11.0069316579999,-174.075336652 -10.9588640019999,-174.27337121 -10.946565565,-174.365323269 -10.875869881,-174.847757197 -10.503167606,-174.958489647 -10.4171993959999,-174.987993493 -10.394287554,-175.032556846 -10.359680929,-175.259355948 -10.183258714,-175.621849668 -9.90074229499993,-175.654201664 -9.72598965699996,-175.804484664 -9.16512765699997,-175.838566664 -8.77556365599997,-175.855090664 -8.58668965599998,-175.854543664 -8.58043665599996,-175.858081664 -8.53999965599996,-175.858008664 -8.53916965599996,-175.858081664 -8.53833965599995,-175.807474664 -7.95990165499995,-175.761499664 -7.77339165499995,-175.368385663 -7.57132465499996,-174.499503663 -7.12414365499995,-173.634542662 -6.67965665399993,-173.330202661 -6.52345665399997,-173.219807661 -6.46672765399995,-172.907617661 -6.49114165399993,-172.569820661 -6.51894765399993,-172.19438166 -6.54957065399998,-172.07127366 -6.55982765399995,-171.56715166 -6.59939165399993,-171.242996659 -6.69896965399994,-170.878947659 -6.81241265399996,-170.628736659 -6.89006465399996),(-171.85885466 -9.20965465699993,-171.84805466 -9.21889065699997,-171.84376366 -9.21083665699996,-171.84419066 -9.19110965699997,-171.85243666 -9.17062765699995,-171.86271866 -9.18089965699994,-171.85885466 -9.20965465699993)))', 'Tokelau Exclusive Economic Zone', 'Tokelau', 'New Zealand', '', '162', '156', 'TKL', '8449', '', '320399460600', '8449', 'Y'),('SRID=4326;MULTIPOLYGON(((-179.968985668 0.809789353000042,-179.968885668 0.839008353000054,-179.968530668 0.868222353000021,-179.967922668 0.897433353000054,-179.967060668 0.926639353000041,-179.965947668 0.95583335300006,-179.964580668 0.985019353000041,-179.962960668 1.01419135300006,-179.961088668 1.04334735300006,-179.958966668 1.07248935300004,-179.956591668 1.10160835300007,-179.953963668 1.13070535300005,-179.951083668 1.15977735300004,-179.947952668 1.18882535300003,-179.944569668 1.21784435300003,-179.940935668 1.24683035300006,-179.937052668 1.27578635300006,-179.932916668 1.30470535300003,-179.928530668 1.33358635300004,-179.923897668 1.36243035300004,-179.919010668 1.39123035300003,-179.913877668 1.41998935300006,-179.907666668 1.45169435300005,-179.902035668 1.48035535300005,-179.896155668 1.50896635300006,-179.890030668 1.53752735300003,-179.883655668 1.56603035300003,-179.877035668 1.59448035300005,-179.870169668 1.62286635300006,-179.863055668 1.65119435300005,-179.855699668 1.67945835400008,-179.848097667 1.70765535400005,-179.840249667 1.73578635400003,-179.832160667 1.76384735400006,-179.823827667 1.79183635400005,-179.815255667 1.81975035400006,-179.806438667 1.84758635400004,-179.797380667 1.87534735400004,-179.788083667 1.90302535400002,-179.778547667 1.93062235400004,-179.768769667 1.95813335400004,-179.758755667 1.98555835400003,-179.748505667 2.01289435400003,-179.738016667 2.04013935400008,-179.727291667 2.06729135400002,-179.716333667 2.09434735400004,-179.705141667 2.12130535400007,-179.693713667 2.14816635400007,-179.682055667 2.17492535400004,-179.670163667 2.20158035400004,-179.658041667 2.22813335400002,-179.645691667 2.25457535400005,-179.633110667 2.28090835400008,-179.620302667 2.30713035400004,-179.607266667 2.33323935400006,-179.594005667 2.35923335400003,-179.580516667 2.38511135400006,-179.566805667 2.41086635400006,-179.552872667 2.43650235400003,-179.538716667 2.46201435400008,-179.524338667 2.48740235400004,-179.509741667 2.51266135400004,-179.494927667 2.53779435400003,-179.479894667 2.56279435400006,-179.464644667 2.58766135400003,-179.449177667 2.61239135400007,-179.433499667 2.63698935400004,-179.417605667 2.66144735400007,-179.401502667 2.68576435400007,-179.385185667 2.70993935400003,-179.368663667 2.73396635400007,-179.351930667 2.75785235500007,-179.334988667 2.78158935500005,-179.317844667 2.80517735500007,-179.300494667 2.82861435500007,-179.282941667 2.85189435500007,-179.265188667 2.87502235500006,-179.247233667 2.89799435500004,-179.229077667 2.92080835500002,-179.210727667 2.94345835500008,-179.192177667 2.96595035500008,-179.173435667 2.98827735500004,-179.154499667 3.01043935500007,-179.135369667 3.03243335500002,-179.116049667 3.05425835500006,-179.096541667 3.07591435500007,-179.076847667 3.09739735500006,-179.056963667 3.11870835500002,-179.036897667 3.13984135500004,-179.016647667 3.16080035500005,-178.996216667 3.18157735500006,-178.975602667 3.20217735500006,-178.954813667 3.22259435500007,-178.933844667 3.24282735500003,-178.912702667 3.26287535500006,-178.891385667 3.28273935500005,-178.869897667 3.30241435500005,-178.848235667 3.32189735500003,-178.826408667 3.34119135500003,-178.804413667 3.36029435500006,-178.782252667 3.37920235500007,-178.759927666 3.39791635500006,-178.737438666 3.41643035500005,-178.714791666 3.43475035500006,-178.691985666 3.45286935500008,-178.669022666 3.47078635500003,-178.645902666 3.48850035500004,-178.622630666 3.50601135500006,-178.599205666 3.52331935500007,-178.575630666 3.54041935500004,-178.551908666 3.55731135500002,-178.528038666 3.57399435500002,-178.504024666 3.59046935500004,-178.479869666 3.60673035500002,-178.455572666 3.62278035500003,-178.406563666 3.65423635500002,-178.381852666 3.66963935500007,-178.357010666 3.68482535500004,-178.332035666 3.69979435500005,-178.306933666 3.71454135500005,-178.281702666 3.72906635500004,-178.256344666 3.74337235500008,-178.230863666 3.75745235500005,-178.205260666 3.77131135500002,-178.179538666 3.78494135500006,-178.153697666 3.79834735500003,-178.127738666 3.81152535500007,-178.101669666 3.82447535600005,-178.075485666 3.83719435600005,-178.049191666 3.84968335600007,-178.022791666 3.86194135600005,-177.996283666 3.87396635600004,-177.969672666 3.88575835600005,-177.942958666 3.89731635600003,-177.916144666 3.90864135600003,-177.889233666 3.91972735600007,-177.862224666 3.93057735600007,-177.835124666 3.94119135600005,-177.807930666 3.95156635600006,-177.780649666 3.96170035600005,-177.753280666 3.97159735600007,-177.725824666 3.98125035600003,-177.698285665 3.99066435600002,-177.670666665 3.99983335600007,-177.642966665 4.00876135600004,-177.615191665 4.01744735600005,-177.587338665 4.02588635600006,-177.559416665 4.03408035600006,-177.531422665 4.04203035600005,-177.503360665 4.04973335600005,-177.475230665 4.05718935600004,-177.473897665 4.05735535600007,-177.445705665 4.06456435600006,-177.417449665 4.07152535600005,-177.389135665 4.07823935600004,-177.360763665 4.08470235600004,-177.332335665 4.09091635600004,-177.303855665 4.09688035600004,-177.275322665 4.10259435600005,-177.246741665 4.10805835600007,-177.218113665 4.11326935600005,-177.189441665 4.11822735600003,-177.160727665 4.12293635600003,-177.131974665 4.12739135600003,-177.103180665 4.13159435600005,-177.074352665 4.13554435600003,-177.045491665 4.13924135600007,-177.016599665 4.14268335600002,-176.987677665 4.14587235600004,-176.958730665 4.14880535600003,-176.929755665 4.15148635600002,-176.900760665 4.15391135600004,-176.871744665 4.15608335600007,-176.842713665 4.15799735600007,-176.813663665 4.15965835600002,-176.784599665 4.16106435600005,-176.755527665 4.16221435600005,-176.726444665 4.16310835600007,-176.697355665 4.16374735600004,-176.668263665 4.16413035600004,-176.639166665 4.16425835600006,-176.610069664 4.16413035600004,-176.580977664 4.16374735600004,-176.551888664 4.16310835600007,-176.522805664 4.16221435600005,-176.493733664 4.16106435600005,-176.464669664 4.15965835600002,-176.435619664 4.15799735600007,-176.406588664 4.15608335600007,-176.377572664 4.15391135600004,-176.348577664 4.15148635600002,-176.319602664 4.14880535600003,-176.290655664 4.14587235600004,-176.261733664 4.14268335600002,-176.232841664 4.13924135600007,-176.203980664 4.13554435600003,-176.175152664 4.13159435600005,-176.146358664 4.12739135600003,-176.117605664 4.12293635600003,-176.088891664 4.11822735600003,-176.060219664 4.11326935600005,-176.031591664 4.10805835600007,-176.003010664 4.10259435600005,-175.974477664 4.09688035600004,-175.945997664 4.09091635600004,-175.917569664 4.08470235600004,-175.889197664 4.07823935600004,-175.860883664 4.07152535600005,-175.832627664 4.06456435600006,-175.804435664 4.05735535600007,-175.776305664 4.04990035600002,-175.748244664 4.04219735600003,-175.720249664 4.03424735600004,-175.692324664 4.02605235600004,-175.664474664 4.01761435600002,-175.636699664 4.00892735600007,-175.608999664 4.00000035600004,-175.581380664 3.99083035600006,-175.553841663 3.98141635600007,-175.526385663 3.97176435600005,-175.499016663 3.96186635600003,-175.471733663 3.95173335600003,-175.467569663 3.95006635600004,-175.440377663 3.93969135600003,-175.413277663 3.92908035600004,-175.386269663 3.91822735600005,-175.359358663 3.90714135600007,-175.332544663 3.89581935600006,-175.305830663 3.88426135600002,-175.279219663 3.87246635600007,-175.252710663 3.86044135600002,-175.226310663 3.84818335600005,-175.200016663 3.83569435600003,-175.173833663 3.82297535600003,-175.147763663 3.81002535500005,-175.121805663 3.79684735500007,-175.095963663 3.78344135500004,-175.070241663 3.76981135500006,-175.044638663 3.75595235500003,-175.019158663 3.74187235500006,-174.993799663 3.72756935500007,-174.968569663 3.71304135500003,-174.943466663 3.69829435500003,-174.918491663 3.68332735500007,-174.893649663 3.66814135500005,-174.868938663 3.65273635500006,-174.844366663 3.63711635500005,-174.819930663 3.62128035500007,-174.795633663 3.60523335500005,-174.771477663 3.58896935500007,-174.747463663 3.57249735500005,-174.723594663 3.55581435500005,-174.699872663 3.53891935500008,-174.676297663 3.52181935500005,-174.652872663 3.50451435500003,-174.629599663 3.48700235500007,-174.606480663 3.46928635500007,-174.583516663 3.45136935500005,-174.560710663 3.43325035500004,-174.538063663 3.41493335500007,-174.515574663 3.39641635500004,-174.493249663 3.37770235500005,-174.471088662 3.35879435500004,-174.469427662 3.35696435500006,-174.447430662 3.33786135500003,-174.425602662 3.31856635500003,-174.403944662 3.29908335500005,-174.382455662 3.27940835500004,-174.361138662 3.25954435500006,-174.339994662 3.23949735500003,-174.319027662 3.21926435500006,-174.298235662 3.19884735500005,-174.264474662 3.17141935500007,-174.244041662 3.15064135500006,-174.223791662 3.12968335500005,-174.203724662 3.10855035500003,-174.183841662 3.08724135500006,-174.164147662 3.06575835500007,-174.144638662 3.04410235500006,-174.125319662 3.02227735500003,-174.106191662 3.00028335500002,-174.087255662 2.97811935500005,-174.068510662 2.95579435500002,-174.049963662 2.93330235500002,-174.031610662 2.91065035500003,-174.013458662 2.88783935500004,-173.995502662 2.86486635500006,-173.977747662 2.84173935500007,-173.960194662 2.81845835500008,-173.942844662 2.79502235500007,-173.925699662 2.77143335500006,-173.908758662 2.74769735400002,-173.892027662 2.72381435400007,-173.875502662 2.69978335400003,-173.859185662 2.67560835400008,-173.843083662 2.65129135400002,-173.827188662 2.62683335400004,-173.811510662 2.60223935400006,-173.796044662 2.57750535400004,-173.780794662 2.55263935400006,-173.765760662 2.52763935400003,-173.750944662 2.50250835400004,-173.736349662 2.47724735400004,-173.721972662 2.45186135400007,-173.707816662 2.42635035400002,-173.693880662 2.40071435400006,-173.680169662 2.37495835400006,-173.666683662 2.34908035400002,-173.653422662 2.32308635400005,-173.640385662 2.29697735400003,-173.627577662 2.27075535400007,-173.614997662 2.24442235400005,-173.602644662 2.21798035400008,-173.590522662 2.19143035400003,-173.578633662 2.16477535400003,-173.566972662 2.13801435400006,-173.555547662 2.11115535400006,-173.544352662 2.08419435400003,-173.533394662 2.05713935400007,-173.522669662 2.02998635400007,-173.512180662 2.00274135400002,-173.501930662 1.97540535400003,-173.491913662 1.94798035400004,-173.482138662 1.92046935400003,-173.472602662 1.89287535400007,-173.463302662 1.86519435400004,-173.454247662 1.83743635400003,-173.445430662 1.80959735400006,-173.436855662 1.78168335400005,-173.428522662 1.75369735400005,-173.420433662 1.72563635400007,-173.412585662 1.69750535400004,-173.404983661 1.66930835300008,-173.398466661 1.63755035300005,-173.391352661 1.60922235300006,-173.384485661 1.58083335300006,-173.377863661 1.55238635300003,-173.371491661 1.52388335300003,-173.365363661 1.49532235300006,-173.359483661 1.46671135300005,-173.353852661 1.43805035300005,-173.348469661 1.40933935300006,-173.343335661 1.38058035300003,-173.338449661 1.35178035300004,-173.333816661 1.32293935300004,-173.329430661 1.29405535300003,-173.325516661 1.28913035300008,-173.316205661 1.26145535300003,-173.307135661 1.23370235300007,-173.298305661 1.20586935300003,-173.289716661 1.17796135300006,-173.281369661 1.14997735300005,-173.273266661 1.12192235300006,-173.265405661 1.09379435300002,-173.257788661 1.06560235300003,-173.250416661 1.03734135300004,-173.249585661 1.03218335300005,-173.242460661 1.00386135300005,-173.235577661 0.975477353000031,-173.228941661 0.947033353000052,-173.222552661 0.918533353000043,-173.216408661 0.889977353000063,-173.210513661 0.861369353000043,-173.204866661 0.832711353000036,-173.199466661 0.804002353000044,-173.194316661 0.775247353000054,-173.189416661 0.746450353000057,-173.184763661 0.717611353000052,-173.180360661 0.688730353000039,-173.176210661 0.659814353000058,-173.172308661 0.630861353000057,-173.168658661 0.601875353000025,-173.165258661 0.572861352000075,-173.162108661 0.543814352000027,-173.159210661 0.514744352000037,-173.156566661 0.485647352000058,-173.154174661 0.456527352000023,-173.152033661 0.427391352000029,-173.150144661 0.398236352000026,-173.148505661 0.369064352000066,-173.147122661 0.339880352000023,-173.145991661 0.310683352000069,-173.145110661 0.281480352000074,-173.144485661 0.252269352000042,-173.457777662 -0.242222647999938,-173.758333662 -0.731110648999959,-174.294722662 -1.06833364899995,-174.517222663 -1.21083364899994,-174.579999663 -1.24777764899994,-175.580833664 -1.87666664999995,-175.758055664 -1.98805564999998,-176.232777664 -2.28583364999997,-176.649722665 -2.54749964999996,-176.850833665 -2.67388865099997,-176.966944665 -2.74694465099998,-176.968888665 -2.74805565099996,-177.278610665 -2.94249965099993,-177.433333665 -2.97916665099996,-177.487730665 -3.00478865099996,-177.515402665 -2.99586965099996,-177.542997665 -2.98670565099997,-177.570508665 -2.97730265099995,-177.597938665 -2.96765865099997,-177.625333665 -2.95777265099997,-177.652541665 -2.94764465099996,-177.679708665 -2.93728065099998,-177.706785666 -2.92677765099995,-177.733769666 -2.91586065099995,-177.760655666 -2.90476065099995,-177.787447666 -2.89344765099997,-177.814135666 -2.88189965099997,-177.840724666 -2.87011965099992,-177.867210666 -2.85810265099997,-177.893591666 -2.84605565099997,-177.919863666 -2.83337765099998,-177.946024666 -2.82066965099995,-177.972077666 -2.80773365099998,-177.998013666 -2.79456665099997,-178.023835666 -2.78117265099996,-178.049538666 -2.76755265099996,-178.075122666 -2.75370865099995,-178.100585666 -2.73963865099995,-178.125924666 -2.72534765099994,-178.151138666 -2.71083365099997,-178.176227666 -2.69609765099995,-178.201183666 -2.68114465099995,-178.226010666 -2.66596965099995,-178.250702666 -2.65080565099993,-178.275260666 -2.63497265099994,-178.299683666 -2.61914964999994,-178.323966666 -2.60311364999995,-178.348110666 -2.58686664999993,-178.372110666 -2.57040564999994,-178.395966666 -2.55373564999996,-178.419677666 -2.53685864999994,-178.443241666 -2.51976964999994,-178.466652666 -2.50247764999995,-178.489916666 -2.48498064999995,-178.513024666 -2.46727764999997,-178.535977666 -2.44937464999992,-178.558777666 -2.43127264999993,-178.581416666 -2.41296664999993,-178.583305666 -2.41130264999993,-178.605583666 -2.39299964999998,-178.627877666 -2.37410264999994,-178.650030666 -2.35520864999995,-178.672019666 -2.33619464999992,-178.693841666 -2.31684164999996,-178.715497666 -2.29736964999995,-178.736980666 -2.27770864999997,-178.758294666 -2.25786064999994,-178.779433667 -2.23782764999993,-178.800397667 -2.21760864999993,-178.821185667 -2.19720564999994,-178.841794667 -2.17662264999996,-178.862249667 -2.15608364999997,-178.882474667 -2.13491364999993,-178.902541667 -2.11379464999993,-178.922422667 -2.09249964999998,-178.942119667 -2.07103064999995,-178.961627667 -2.04938864999997,-178.980949667 -2.02757764999996,-179.000080667 -2.00559764999997,-179.019019667 -1.98344964999995,-179.037766667 -1.96113864999995,-179.056316667 -1.93866364999997,-179.074672667 -1.91602464999994,-179.092833667 -1.89322464999998,-179.110791667 -1.87026964999995,-179.128552667 -1.84715564999993,-179.146110667 -1.82388564999997,-179.163469667 -1.80046364999993,-179.180622667 -1.77689164999993,-179.197569667 -1.75316664999997,-179.214310667 -1.72929764999998,-179.230944667 -1.70530564999996,-179.247169667 -1.68119464999995,-179.263283667 -1.65681664999994,-179.279360667 -1.63237264999998,-179.294874667 -1.60788864999995,-179.310352667 -1.58319464999994,-179.325613667 -1.55821364999997,-179.340658667 -1.53322764899997,-179.355488667 -1.50811064899995,-179.370097667 -1.48286064899997,-179.384488667 -1.45748864899997,-179.398658667 -1.43198864899995,-179.412608667 -1.40636364899996,-179.426333667 -1.38061964899993,-179.439835667 -1.35475564899997,-179.453113667 -1.32877264899997,-179.466166667 -1.30267464899993,-179.478991667 -1.27646664899993,-179.491588667 -1.25014164899994,-179.503958667 -1.22371064899994,-179.516097667 -1.19717264899992,-179.528008667 -1.17052764899995,-179.539685667 -1.14377764899996,-179.551305667 -1.11692764899993,-179.562344667 -1.08998064899993,-179.573655667 -1.06193364899997,-179.584399667 -1.03479164899994,-179.594908667 -1.00755864899998,-179.605180667 -0.980230648999964,-179.615216667 -0.952816648999942,-179.625166667 -0.925313648999975,-179.634574667 -0.89772464899994,-179.643944667 -0.870055648999937,-179.652974667 -0.842305648999968,-179.661813667 -0.814474648999976,-179.670413667 -0.786569648999944,-179.678769667 -0.758588648999933,-179.686883667 -0.730535648999933,-179.694752667 -0.702413648999936,-179.702380667 -0.674224648999939,-179.709763667 -0.645966648999945,-179.716899667 -0.617647648999935,-179.723791667 -0.589266648999967,-179.730438667 -0.560824648999926,-179.736838667 -0.532324648999975,-179.742991667 -0.503772648999927,-179.748972667 -0.475166648999959,-179.754555667 -0.446508647999963,-179.759966667 -0.417805647999955,-179.765127667 -0.389052647999961,-179.770038667 -0.360255647999963,-179.774699667 -0.331419647999951,-179.783733667 -0.295141647999969,-179.793166667 -0.267477647999954,-179.802160667 -0.239805647999958,-179.811016667 -0.211908647999962,-179.819630667 -0.184005647999925,-179.828002667 -0.156030647999955,-179.836333667 -0.12798364799994,-179.844019667 -0.0998666479999315,-179.851660668 -0.0718056479999518,-179.859060668 -0.0434276479999767,-179.866213668 -0.0151106479999612,-179.869713668 -0.000135647999968569,-179.876622668 0.0282413520000659,-179.883285668 0.0566803520000576,-179.889702668 0.0851753520000216,-179.895872668 0.113722352000025,-179.901797668 0.142325352000057,-179.907472668 0.170980352000072,-179.912899668 0.19968035200003,-179.918077668 0.228430352000032,-179.923005668 0.257222352000042,-179.927685668 0.286058352000055,-179.932116668 0.314933352000025,-179.936297668 0.343847352000068,-179.940227668 0.372794352000028,-179.943908668 0.401775352000072,-179.947335668 0.430789352000033,-179.950513668 0.45983035200004,-179.953441668 0.48890035200003,-179.956116668 0.517994352000073,-179.958538668 0.547108352000066,-179.960708668 0.57624435200006,-179.962627668 0.605397353000058,-179.964294668 0.634566353000025,-179.965708668 0.663750353000069,-179.966869668 0.69294435300003,-179.967777668 0.722147353000025,-179.968433668 0.751358353000057,-179.968835668 0.780572353000025,-179.968985668 0.809789353000042),(-176.642863665 0.808336353000072,-176.643081665 0.793609353000022,-176.636172665 0.790281353000069,-176.631090665 0.795418353000059,-176.632754665 0.808609353000065,-176.642863665 0.808336353000072),(-176.455854664 0.222572352000043,-176.467654664 0.219445352000037,-176.461427664 0.215281352000034,-176.455854664 0.222572352000043)))', 'Howland and Baker Island Exclusive Economic Zone', 'Howland Island and Baker Island', 'United States', '', '163', '158', 'UMI', '8451', '', '436868563800', '8451', 'Y'),('SRID=4326;MULTIPOLYGON(((-179.999999834 25.3897649510001,-179.999999834 25.9999999520001,-179.999999834 26.999999953,-179.999999834 27.999999954,-179.999999834 28.3285599540001,-179.999999834 28.999999954,-179.999999834 29.9999999550001,-179.999999834 30.9999999560001,-179.999999834 31.468262957,-179.999232834 31.468645957,-179.981694834 31.4759079570001,-179.964111834 31.4830919570001,-179.946483834 31.4901979570001,-179.928812834 31.4972259570001,-179.911098834 31.504176957,-179.893340834 31.5110479570001,-179.875541834 31.517841957,-179.857699834 31.5245559570001,-179.839816834 31.531191957,-179.821892834 31.5377489570001,-179.803927834 31.544226957,-179.785923834 31.550624957,-179.767879834 31.556942957,-179.749796834 31.563181957,-179.731674834 31.5693409570001,-179.713514834 31.5754189570001,-179.695317834 31.581417957,-179.677083834 31.5873359570001,-179.658812834 31.593172957,-179.640505833 31.5989299570001,-179.622163833 31.604604957,-179.603785833 31.6101999570001,-179.585373833 31.615712957,-179.566927833 31.6211449570001,-179.548447833 31.626495957,-179.529934833 31.631764957,-179.511389833 31.6369519570001,-179.507355833 31.638067957,-179.492331833 31.642188957,-179.473722833 31.647211957,-179.455082833 31.6521529570001,-179.436411833 31.6570109570001,-179.417710833 31.6617869570001,-179.398980833 31.666479957,-179.380221833 31.671089957,-179.361433833 31.675617957,-179.342617833 31.6800619570001,-179.340155833 31.680636957,-179.332113833 31.6825249570001,-179.313270833 31.6868869570001,-179.294399833 31.6911639570001,-179.282438833 31.693829957,-179.274633833 31.695550957,-179.255710833 31.699661957,-179.236761833 31.7036899570001,-179.217788833 31.707633957,-179.198790833 31.7114929570001,-179.179769833 31.715268957,-179.160724833 31.718960957,-179.141656833 31.7225689570001,-179.122566833 31.7260919570001,-179.103454833 31.7295309570001,-179.084321833 31.7328859570001,-179.065167833 31.7361559570001,-179.045993833 31.739340957,-179.026800833 31.742441957,-179.007587833 31.745457957,-178.988356833 31.748388957,-178.969106833 31.7512349570001,-178.949839833 31.753995957,-178.943612833 31.754868957,-178.926696833 31.757211957,-178.907396833 31.759801957,-178.888080833 31.7623079570001,-178.868748833 31.764727957,-178.849401833 31.7670619570001,-178.840695833 31.768083957,-178.829765833 31.769342957,-178.810390833 31.771506957,-178.791002833 31.773584957,-178.771601833 31.7755769570001,-178.752188833 31.7774839570001,-178.732763833 31.7793049570001,-178.713327833 31.7810399570001,-178.693881833 31.7826889570001,-178.674424833 31.784251957,-178.654958833 31.7857299570001,-178.635483833 31.7871209570001,-178.616000833 31.7884259570001,-178.596508833 31.7896459570001,-178.577009832 31.790778957,-178.557504832 31.7918259570001,-178.537992832 31.792786957,-178.518474832 31.793660957,-178.498952832 31.794449957,-178.479424832 31.795151957,-178.467065832 31.795551957,-178.453671832 31.795964957,-178.434136832 31.7964939570001,-178.414597832 31.7969379570001,-178.395056832 31.7972949570001,-178.375514832 31.7975659570001,-178.355969832 31.7977499570001,-178.336424832 31.797847957,-178.323973832 31.7978659570001,-178.304427832 31.7978229570001,-178.284882832 31.797692957,-178.265339832 31.7974769570001,-178.245796832 31.797174957,-178.245548832 31.797170957,-178.245537832 31.797170957,-178.225997832 31.7967819570001,-178.206460832 31.7963079570001,-178.186926832 31.7957469570001,-178.167396832 31.7950989570001,-178.147870832 31.794365957,-178.128349832 31.793545957,-178.108833832 31.7926399570001,-178.089323832 31.7916479570001,-178.069820832 31.7905699570001,-178.050324832 31.789404957,-178.030835832 31.7881549570001,-178.011355832 31.786817957,-177.991883832 31.785395957,-177.972420832 31.7838869570001,-177.952967832 31.782292957,-177.933524832 31.7806129570001,-177.914092832 31.778845957,-177.894672832 31.7769939570001,-177.875263832 31.7750569570001,-177.855866832 31.7730329570001,-177.836483832 31.770923957,-177.822013832 31.7692929570001,-177.816471832 31.7686559570001,-177.797115832 31.766375957,-177.777773832 31.764009957,-177.758447832 31.761558957,-177.739136832 31.7590229570001,-177.719841832 31.756400957,-177.700564832 31.7536949570001,-177.681303832 31.7509029570001,-177.662060832 31.748025957,-177.642835832 31.7450639570001,-177.623629832 31.742017957,-177.604442832 31.738885957,-177.585276832 31.735669957,-177.566129832 31.7323689570001,-177.557880832 31.730919957,-177.549952832 31.729521957,-177.541412832 31.7279989570001,-177.522308832 31.7245299570001,-177.503227831 31.7209759570001,-177.484167831 31.717337957,-177.465131831 31.7136149570001,-177.446118831 31.7098089570001,-177.427129831 31.7059189570001,-177.408164831 31.701944957,-177.389225831 31.697886957,-177.370311831 31.693745957,-177.351424831 31.6895209570001,-177.332563831 31.685212957,-177.313729831 31.680820957,-177.294923831 31.6763469570001,-177.276145831 31.671788957,-177.257396831 31.6671489570001,-177.238676831 31.662425957,-177.219985831 31.6576199570001,-177.201325831 31.6527319570001,-177.182696831 31.6477609570001,-177.164098831 31.642708957,-177.163030831 31.642415957,-177.160956831 31.641847957,-177.142390831 31.636712957,-177.123856831 31.631495957,-177.105355831 31.626197957,-177.086887831 31.620817957,-177.068452831 31.6153559570001,-177.050052831 31.609813957,-177.049963831 31.609785957,-177.032914831 31.6085379570001,-177.013488831 31.6070299570001,-176.994072831 31.6054359570001,-176.993298831 31.605370957,-176.991084831 31.6051849570001,-176.971678831 31.603504957,-176.952283831 31.6017389570001,-176.932899831 31.599886957,-176.913527831 31.597949957,-176.894168831 31.5959269570001,-176.874821831 31.5938179570001,-176.855488831 31.591623957,-176.836168831 31.589343957,-176.816863831 31.586978957,-176.797574831 31.584528957,-176.778299831 31.5819929570001,-176.759041831 31.579371957,-176.739800831 31.576665957,-176.720575831 31.573874957,-176.701369831 31.570997957,-176.682180831 31.5680369570001,-176.663010831 31.5649909570001,-176.643860831 31.561859957,-176.624729831 31.5586449570001,-176.605619831 31.555344957,-176.586529831 31.5519599570001,-176.569441831 31.5488559570001,-176.567196831 31.5484429570001,-176.548149831 31.5448889570001,-176.529126831 31.541251957,-176.510125831 31.5375299570001,-176.491147831 31.5337249570001,-176.472194831 31.529834957,-176.453265831 31.5258619570001,-176.43436183 31.521804957,-176.42042083 31.5187559570001,-176.41283083 31.5170809570001,-176.39397783 31.5128569570001,-176.38366283 31.5105079570001,-176.37096383 31.507591957,-176.35216483 31.503201957,-176.33339383 31.498727957,-176.33102183 31.4981559570001,-176.31286883 31.4937419570001,-176.29415483 31.4891019570001,-176.27546983 31.484379957,-176.25681483 31.4795749570001,-176.23818883 31.4746879570001,-176.21959483 31.4697189570001,-176.20103183 31.4646669570001,-176.18249983 31.4595329570001,-176.16400083 31.4543179570001,-176.14553383 31.4490199570001,-176.12709983 31.4436409570001,-176.10869983 31.438180957,-176.09033483 31.4326389570001,-176.07200383 31.427015957,-176.05370783 31.4213119570001,-176.03544683 31.4155269570001,-176.01722283 31.409661957,-175.99903583 31.403715957,-175.98088583 31.3976889570001,-175.96277283 31.391582957,-175.94469783 31.3853959570001,-175.92666183 31.379129957,-175.90866583 31.372783957,-175.89070783 31.366357957,-175.87279083 31.359852957,-175.85491483 31.3532689570001,-175.84350683 31.3490179570001,-175.83644983 31.346369957,-175.81865583 31.3396279570001,-175.80090383 31.3328079570001,-175.78319383 31.325908957,-175.76552783 31.3189309570001,-175.74790483 31.311875957,-175.73032483 31.304742957,-175.72778483 31.3036979570001,-175.72771383 31.3036969570001,-175.70827483 31.303394957,-175.68883683 31.303006957,-175.67362583 31.302642957,-175.66348783 31.3023849570001,-175.64405583 31.3018239570001,-175.62462883 31.3011769570001,-175.60520483 31.300443957,-175.58578683 31.299624957,-175.57635183 31.2991959570001,-175.56301783 31.2985649570001,-175.54360983 31.2975729570001,-175.52420883 31.296495957,-175.50481583 31.295331957,-175.48542883 31.2940819570001,-175.46605083 31.2927459570001,-175.44668083 31.291324957,-175.42732083 31.289816957,-175.40796983 31.2882239570001,-175.38862883 31.286543957,-175.36929883 31.2847789570001,-175.349979829 31.282927957,-175.330672829 31.280990957,-175.311377829 31.2789689570001,-175.292095829 31.2768609570001,-175.272827829 31.2746679570001,-175.253572829 31.272388957,-175.234332829 31.270024957,-175.215107829 31.2675749570001,-175.195897829 31.2650409570001,-175.191520829 31.2644509570001,-175.173524829 31.2619919570001,-175.154347829 31.259286957,-175.135187829 31.256495957,-175.116045829 31.2536209570001,-175.100200829 31.251174957,-175.088414829 31.2493399570001,-175.069309829 31.246294957,-175.050222829 31.243165957,-175.031156829 31.2399509570001,-175.012110829 31.236652957,-174.993084829 31.2332689570001,-174.974080829 31.2298019570001,-174.955098829 31.2262499570001,-174.936138829 31.2226139570001,-174.917200829 31.218892957,-174.898286829 31.215088957,-174.879396829 31.2112009570001,-174.860531829 31.207228957,-174.841690829 31.203173957,-174.837428829 31.2022439570001,-174.821134829 31.198654957,-174.802345829 31.1944319570001,-174.783582829 31.1901269570001,-174.764846829 31.185737956,-174.746137829 31.1812659560001,-174.727457829 31.1767109560001,-174.708805829 31.1720729560001,-174.690182829 31.1673529560001,-174.671588829 31.1625499560001,-174.653025829 31.1576639560001,-174.634492829 31.1526969560001,-174.615990829 31.1476469560001,-174.597519829 31.1425149560001,-174.579081829 31.137300956,-174.560675829 31.1320049560001,-174.542302829 31.1266279560001,-174.523963829 31.1211699560001,-174.505658829 31.1156299560001,-174.487387829 31.1100089560001,-174.469151829 31.1043069560001,-174.450951829 31.0985239560001,-174.432786829 31.092660956,-174.414658829 31.086716956,-174.396568829 31.0806919560001,-174.378514829 31.0745879560001,-174.360499829 31.0684029560001,-174.342522829 31.0621389560001,-174.324584829 31.0557949560001,-174.306685829 31.0493719560001,-174.288826829 31.0428689560001,-174.271008828 31.036286956,-174.253230828 31.0296259560001,-174.235494828 31.022885956,-174.217800828 31.016067956,-174.200148828 31.009170956,-174.182538828 31.002195956,-174.167836828 30.996299956,-174.158179828 30.9924109560001,-174.140657828 30.9852799560001,-174.123179828 30.9780709560001,-174.105746828 30.970785956,-174.088358828 30.963422956,-174.071015828 30.9559819560001,-174.053718828 30.9484659560001,-174.036468828 30.940871956,-174.019265828 30.9332019560001,-174.002109828 30.9254559560001,-173.985001828 30.917633956,-173.967942828 30.9097359560001,-173.950931828 30.901761956,-173.933969828 30.8937129560001,-173.927148828 30.8904479560001,-173.913956828 30.884102956,-173.897095828 30.8759039560001,-173.880284828 30.867630956,-173.863523828 30.8592819560001,-173.846815828 30.8508599560001,-173.830158828 30.842363956,-173.813553828 30.8337939560001,-173.797001828 30.8251499560001,-173.780503828 30.816432956,-173.764058828 30.8076429560001,-173.748294828 30.799120956,-173.745488828 30.7975969560001,-173.729152828 30.7886619560001,-173.712870828 30.7796539560001,-173.696644828 30.7705739560001,-173.680474828 30.761421956,-173.673347828 30.757354956,-173.664095828 30.7520469560001,-173.648038828 30.7427529560001,-173.632037828 30.7333869560001,-173.616094828 30.7239499560001,-173.600209828 30.714442956,-173.584382828 30.704865956,-173.568613828 30.6952179560001,-173.552904828 30.6855009560001,-173.537254828 30.675713956,-173.521664828 30.665856956,-173.506135828 30.6559319560001,-173.490666828 30.6459379560001,-173.475258828 30.6358749560001,-173.459911828 30.6257449560001,-173.453076828 30.6211969560001,-173.438560828 30.611507956,-173.423338828 30.601241956,-173.408179828 30.5909089560001,-173.393083828 30.5805079560001,-173.378050828 30.5700399560001,-173.363082828 30.5595059560001,-173.356447828 30.5548009560001,-173.344799828 30.546506956,-173.329959828 30.5358409560001,-173.315184828 30.5251089560001,-173.300475828 30.514310956,-173.285831828 30.5034489560001,-173.271253828 30.4925209560001,-173.256742828 30.481529956,-173.242297828 30.470473956,-173.227920828 30.459353956,-173.213610827 30.4481699560001,-173.199369827 30.436922956,-173.185195827 30.4256129560001,-173.171090827 30.4142409560001,-173.159616827 30.4049019560001,-173.147872827 30.3953259560001,-173.133906827 30.3838289560001,-173.120010827 30.372269956,-173.106184827 30.360649956,-173.092428827 30.348967956,-173.078743827 30.3372259560001,-173.065128827 30.3254229560001,-173.051586827 30.3135599560001,-173.038114827 30.301636956,-173.024715827 30.2896539560001,-173.011389827 30.277611956,-172.998134827 30.2655109560001,-172.984953827 30.2533519560001,-172.971846827 30.2411339560001,-172.958811827 30.2288579560001,-172.945851827 30.2165249560001,-172.932965827 30.2041339560001,-172.920154827 30.1916859560001,-172.907418827 30.179181956,-172.894757827 30.166620956,-172.882171827 30.1540039560001,-172.869661827 30.141331956,-172.857227827 30.1286049560001,-172.849828827 30.1209669560001,-172.843252827 30.1141469560001,-172.830972827 30.101309955,-172.818768827 30.0884189550001,-172.806642827 30.0754729550001,-172.794594827 30.062473955,-172.782623827 30.0494219550001,-172.770731827 30.0363159550001,-172.758917827 30.023157955,-172.747182827 30.009947955,-172.735526827 29.996685955,-172.723949827 29.9833729550001,-172.712452827 29.970007955,-172.701034827 29.9565929550001,-172.689697827 29.943126955,-172.678440827 29.929610955,-172.667264827 29.9160449550001,-172.656169827 29.9024299550001,-172.645154827 29.8887649550001,-172.634221827 29.8750519550001,-172.623370827 29.8612909550001,-172.612601827 29.847481955,-172.601914827 29.8336249550001,-172.599046827 29.829879955,-172.589452827 29.8172949550001,-172.578930827 29.8033439550001,-172.568491827 29.789346955,-172.558135827 29.775302955,-172.547863827 29.7612139550001,-172.537674827 29.7470799550001,-172.527569827 29.7328999550001,-172.517548827 29.718675955,-172.507612827 29.7044079550001,-172.497759827 29.6900949550001,-172.487992827 29.675738955,-172.478310827 29.6613399550001,-172.468712827 29.646898955,-172.459200827 29.6324149550001,-172.449774827 29.6178889550001,-172.440433827 29.6033209550001,-172.431179827 29.5887119550001,-172.422011827 29.574061955,-172.412929827 29.5593719550001,-172.403933827 29.544640955,-172.395025827 29.529870955,-172.386203827 29.5150619550001,-172.377469827 29.5002129550001,-172.368822827 29.4853269550001,-172.360263827 29.4704019550001,-172.351791827 29.455438955,-172.343407827 29.4404379550001,-172.335111827 29.425400955,-172.326904827 29.4103269550001,-172.318785827 29.395216955,-172.310755827 29.3800719550001,-172.302813827 29.364889955,-172.294961827 29.3496739550001,-172.287197827 29.334422955,-172.279523827 29.319137955,-172.271938827 29.3038189550001,-172.264443827 29.288465955,-172.257038827 29.2730809550001,-172.249722827 29.2576629550001,-172.242497827 29.2422119550001,-172.235362827 29.2267299550001,-172.228317827 29.2112159550001,-172.221362827 29.195670955,-172.214498827 29.1800959550001,-172.207725827 29.1644899550001,-172.201043827 29.148854955,-172.194451827 29.133189955,-172.187951827 29.117494955,-172.182698827 29.1046089550001,-172.182039827 29.104680955,-172.163158827 29.106667955,-172.144266827 29.1085679550001,-172.125363826 29.110383955,-172.106449826 29.112112955,-172.087524826 29.113756955,-172.068590826 29.115315955,-172.049647826 29.1167889550001,-172.030695826 29.118175955,-172.011735826 29.119476955,-171.992768826 29.120691955,-171.973793826 29.121821955,-171.954812826 29.1228659550001,-171.935824826 29.123823955,-171.916831826 29.1246949550001,-171.897833826 29.1254809550001,-171.878831826 29.1261819550001,-171.859825826 29.126794955,-171.840815826 29.1273239550001,-171.821802826 29.127765955,-171.802787826 29.128121955,-171.783770826 29.128391955,-171.764751826 29.128574955,-171.745732826 29.1286729550001,-171.733615826 29.128690955,-171.714596826 29.1286479550001,-171.695577826 29.1285189550001,-171.676559826 29.128302955,-171.657542826 29.1280019550001,-171.638528826 29.1276149550001,-171.619516826 29.1271419550001,-171.600507826 29.1265829550001,-171.581502826 29.125936955,-171.562502826 29.1252059550001,-171.543505826 29.124388955,-171.524515826 29.123485955,-171.505529826 29.122496955,-171.486550826 29.1214219550001,-171.483463826 29.121238955,-171.478267826 29.1209359550001,-171.459295826 29.119774955,-171.440330826 29.118528955,-171.421373826 29.1171959550001,-171.402424826 29.1157779550001,-171.383484826 29.114273955,-171.364554826 29.1126849550001,-171.345633826 29.111009955,-171.326723826 29.1092489550001,-171.307824826 29.1074029550001,-171.288936826 29.105470955,-171.270060826 29.1034539550001,-171.251196826 29.101350955,-171.232346826 29.0991629550001,-171.213509826 29.0968899550001,-171.194686826 29.094531955,-171.191763826 29.0941579550001,-171.175523826 29.0920429550001,-171.156729826 29.089513955,-171.137951826 29.086900955,-171.119190826 29.084201955,-171.100444826 29.0814189550001,-171.081716826 29.078550955,-171.063005825 29.075597955,-171.044313825 29.072560955,-171.025639825 29.0694389550001,-171.006984825 29.066231955,-170.988349825 29.062941955,-170.969734825 29.059566955,-170.951139825 29.0561079550001,-170.932566825 29.052563955,-170.914015825 29.048936955,-170.895485825 29.045225955,-170.876978825 29.0414309550001,-170.858495825 29.037552954,-170.840035825 29.033589954,-170.821599825 29.0295449540001,-170.803188825 29.025415954,-170.784802825 29.021203954,-170.766441825 29.016907954,-170.748107825 29.0125299540001,-170.729800825 29.0080689540001,-170.711519825 29.0035249540001,-170.693267825 28.998897954,-170.675042825 28.994188954,-170.656846825 28.989397954,-170.638679825 28.9845239540001,-170.620542825 28.9795679540001,-170.602435825 28.974529954,-170.584359825 28.9694099540001,-170.566313825 28.9642089540001,-170.548299825 28.9589259540001,-170.530318825 28.9535619540001,-170.512368825 28.9481159540001,-170.494452825 28.942588954,-170.476570825 28.936980954,-170.458721825 28.9312929540001,-170.440907825 28.925523954,-170.423127825 28.9196739540001,-170.405383825 28.913743954,-170.387675825 28.907732954,-170.370004825 28.9016429540001,-170.352369825 28.8954729540001,-170.334772825 28.889222954,-170.317212825 28.8828929540001,-170.299691825 28.876484954,-170.282208825 28.869996954,-170.264765825 28.863429954,-170.247361825 28.856783954,-170.229997825 28.8500599540001,-170.212674825 28.843256954,-170.195392825 28.8363759540001,-170.178152825 28.8294159540001,-170.164425825 28.823799954,-170.156283825 28.8228899540001,-170.137483825 28.8207029540001,-170.118696825 28.8184309540001,-170.099923825 28.816072954,-170.081165825 28.8136309540001,-170.062421825 28.811102954,-170.043693825 28.808489954,-170.024981825 28.805792954,-170.006286825 28.8030099540001,-169.987608824 28.800142954,-169.968947824 28.797190954,-169.950304824 28.7941549540001,-169.931679824 28.7910339540001,-169.913074824 28.7878279540001,-169.894488824 28.784538954,-169.875923824 28.7811649540001,-169.857378824 28.7777059540001,-169.838854824 28.7741639540001,-169.820351824 28.7705379540001,-169.801871824 28.7668279540001,-169.783413824 28.763034954,-169.764978824 28.759156954,-169.746567824 28.755195954,-169.728180824 28.7511519540001,-169.709817824 28.747023954,-169.691480824 28.742812954,-169.673168824 28.738518954,-169.654882824 28.7341419540001,-169.636623824 28.7296819540001,-169.618391824 28.725139954,-169.600186824 28.7205149540001,-169.582010824 28.7158069540001,-169.563861824 28.7110169540001,-169.545742824 28.706144954,-169.527653824 28.701189954,-169.509593824 28.6961539540001,-169.491564824 28.691035954,-169.473566824 28.685835954,-169.455599824 28.6805539540001,-169.437665824 28.6751919540001,-169.419763824 28.6697479540001,-169.401893824 28.664221954,-169.384057824 28.658615954,-169.366255824 28.6529289540001,-169.348487824 28.6471619540001,-169.330754824 28.6413139540001,-169.313057824 28.6353849540001,-169.295395824 28.6293769540001,-169.277769824 28.623287954,-169.260180824 28.617119954,-169.242628824 28.6108719540001,-169.225114824 28.6045439540001,-169.207638824 28.598136954,-169.190201824 28.591650954,-169.172802824 28.5850859540001,-169.155444824 28.578441954,-169.138125824 28.5717199540001,-169.120846824 28.5649189540001,-169.103609824 28.558039954,-169.086413824 28.551081954,-169.069258824 28.5440469540001,-169.052146824 28.5369339540001,-169.035077824 28.529743954,-169.018051824 28.5224769540001,-169.001068824 28.515131954,-168.984130824 28.5077099540001,-168.967236824 28.5002119540001,-168.950387824 28.492636954,-168.933584824 28.484985954,-168.916826823 28.477258954,-168.900115823 28.4694559540001,-168.883451823 28.4615769540001,-168.866833823 28.453622954,-168.850264823 28.4455939540001,-168.833742823 28.4374889540001,-168.817269823 28.4293099540001,-168.800845823 28.4210559540001,-168.784470823 28.412727954,-168.768145823 28.4043259540001,-168.751870823 28.395849954,-168.735646823 28.3872999540001,-168.719473823 28.3786769540001,-168.703351823 28.369979954,-168.687282823 28.3612109540001,-168.671265823 28.352368954,-168.655300823 28.343453954,-168.639389823 28.3344669540001,-168.623531823 28.3254079540001,-168.607727823 28.316276954,-168.591978823 28.307074954,-168.583450823 28.3020359540001,-168.576341823 28.3030529540001,-168.557696823 28.305633954,-168.539036823 28.308128954,-168.520362823 28.310539954,-168.501673823 28.3128649540001,-168.482971823 28.315104954,-168.464256823 28.3172599540001,-168.445528823 28.3193299540001,-168.426788823 28.3213149540001,-168.408036823 28.323213954,-168.389273823 28.3250269540001,-168.370499823 28.3267559540001,-168.351716823 28.328397954,-168.332922823 28.3299549540001,-168.314120823 28.3314269540001,-168.295309823 28.3328129540001,-168.276490823 28.334112954,-168.257664823 28.335326954,-168.238830823 28.336455954,-168.219990823 28.3374989540001,-168.201144823 28.338454954,-168.182293823 28.3393269540001,-168.163436823 28.3401119540001,-168.144575823 28.3408109540001,-168.125711823 28.341424954,-168.106842823 28.341951954,-168.087971823 28.342393954,-168.069098823 28.3427499540001,-168.050222823 28.3430189540001,-168.031345823 28.343202954,-168.012468823 28.343300954,-168.000441823 28.343317954,-167.981563823 28.343274954,-167.962686823 28.3431459540001,-167.943810823 28.3429309540001,-167.924935823 28.3426309540001,-167.906062823 28.342243954,-167.887192823 28.341770954,-167.868325823 28.3412119540001,-167.849461823 28.3405669540001,-167.830602822 28.3398369540001,-167.811747822 28.339019954,-167.792898822 28.338117954,-167.774054822 28.337129954,-167.763059822 28.3365139540001,-167.755055822 28.336046954,-167.736224822 28.3348869540001,-167.717400822 28.333641954,-167.698584822 28.332309954,-167.679777822 28.330892954,-167.660977822 28.3293909540001,-167.642188822 28.327802954,-167.623407822 28.3261289540001,-167.604638822 28.3243699540001,-167.585879822 28.3225249540001,-167.567131822 28.3205949540001,-167.548395822 28.318579954,-167.529672822 28.316478954,-167.510961822 28.3142929540001,-167.492264822 28.312021954,-167.473580822 28.309665954,-167.454911822 28.3072239540001,-167.436257822 28.3046979540001,-167.417618822 28.3020869540001,-167.398995822 28.299390954,-167.380389822 28.2966099540001,-167.361799822 28.293743954,-167.343227822 28.290793954,-167.324672822 28.287758954,-167.306137822 28.2846399540001,-167.287619822 28.2814359540001,-167.269122822 28.2781489540001,-167.250644822 28.2747759540001,-167.232187822 28.271319954,-167.213751822 28.267779954,-167.195336822 28.264155954,-167.176943822 28.260447954,-167.158573822 28.2566559540001,-167.140225822 28.2527809540001,-167.121901822 28.248822954,-167.103601822 28.244779954,-167.085325822 28.240654954,-167.067074822 28.236445954,-167.048848822 28.2321549540001,-167.030649822 28.227779954,-167.012476822 28.223322954,-166.994329822 28.2187829540001,-166.976210822 28.214159954,-166.958119822 28.209454954,-166.940056822 28.2046669540001,-166.922022822 28.1997979540001,-166.904018822 28.1948459540001,-166.886043822 28.189811954,-166.868098822 28.1846969540001,-166.850184822 28.1794999540001,-166.832302822 28.1742209540001,-166.814451822 28.168860954,-166.796632822 28.1634199540001,-166.792700822 28.1622069540001,-166.777778822 28.1575679540001,-166.760026821 28.1519649540001,-166.742306821 28.1462809540001,-166.724621821 28.140515954,-166.706971821 28.1346709540001,-166.689356821 28.1287459540001,-166.671776821 28.1227409540001,-166.654232821 28.1166549540001,-166.636725821 28.1104899540001,-166.619255821 28.104244954,-166.601822821 28.0979209540001,-166.584427821 28.091517954,-166.567070821 28.085034954,-166.549752821 28.0784729540001,-166.532474821 28.0718329540001,-166.515235821 28.065113954,-166.498036821 28.0583159540001,-166.480878821 28.051440954,-166.463761821 28.044486954,-166.446686821 28.0374549540001,-166.429652821 28.030345954,-166.412661821 28.0231599540001,-166.395713821 28.015895954,-166.378809821 28.008554954,-166.361948821 28.0011369540001,-166.345131821 27.9936419540001,-166.328359821 27.9860709540001,-166.311632821 27.9784239540001,-166.294951821 27.9707009540001,-166.278316821 27.962901953,-166.261727821 27.9550269530001,-166.245185821 27.9470769530001,-166.228691821 27.939050953,-166.212244821 27.930950953,-166.195845821 27.922774953,-166.179495821 27.9145259530001,-166.163195821 27.9062019530001,-166.146943821 27.8978029530001,-166.130742821 27.8893309530001,-166.114590821 27.880785953,-166.106830821 27.876643953,-166.098276821 27.872051953,-166.082227821 27.863358953,-166.066229821 27.8545939530001,-166.050283821 27.845755953,-166.034390821 27.8368459530001,-166.018550821 27.8278629530001,-166.002763821 27.818807953,-165.987029821 27.8096819530001,-165.971350821 27.800483953,-165.955725821 27.7912139530001,-165.940155821 27.7818739530001,-165.924640821 27.7724629530001,-165.909181821 27.7629819530001,-165.893778821 27.753429953,-165.878432821 27.743807953,-165.863142821 27.7341169530001,-165.862897821 27.7339599530001,-165.847701821 27.724222953,-165.832527821 27.7143919530001,-165.817410821 27.7044929530001,-165.802352821 27.694524953,-165.787352821 27.684488953,-165.772412821 27.6743849530001,-165.757532821 27.6642119530001,-165.755889821 27.6630829530001,-165.742438821 27.6537849530001,-165.727678821 27.6434779530001,-165.712979821 27.633102953,-165.69834082 27.622661953,-165.68376482 27.6121549530001,-165.66924982 27.6015809530001,-165.65479682 27.590940953,-165.64040682 27.5802359530001,-165.62607982 27.5694649530001,-165.61181582 27.558628953,-165.59761482 27.547728953,-165.58347882 27.5367629530001,-165.56940682 27.525733953,-165.55539982 27.514640953,-165.54145782 27.5034839530001,-165.52758182 27.4922639530001,-165.51377082 27.480980953,-165.50002582 27.469634953,-165.48634782 27.4582269530001,-165.47273682 27.446755953,-165.45919282 27.435223953,-165.44571582 27.423629953,-165.43230682 27.411974953,-165.41896682 27.400259953,-165.40569482 27.3884829530001,-165.39249082 27.376646953,-165.37935682 27.3647499530001,-165.36629282 27.3527939530001,-165.35329782 27.340777953,-165.34037282 27.3287039530001,-165.32751882 27.3165709530001,-165.31473482 27.304378953,-165.30202282 27.292129953,-165.28938182 27.2798219530001,-165.27681182 27.2674579530001,-165.26431482 27.2550359530001,-165.25188982 27.2425579530001,-165.23953782 27.2300229530001,-165.22725782 27.2174319530001,-165.21505182 27.2047859530001,-165.20291882 27.1920839530001,-165.19085982 27.179326953,-165.17887482 27.166514953,-165.16696482 27.1536489530001,-165.15512882 27.1407289530001,-165.14336782 27.1277549530001,-165.13168282 27.1147279530001,-165.12007182 27.1016469530001,-165.10853782 27.0885149530001,-165.09707982 27.0753289530001,-165.08569782 27.062091953,-165.07733582 27.052262953,-165.06664882 27.049079953,-165.04897682 27.043725953,-165.03133582 27.0382909530001,-165.01372782 27.0327759530001,-164.99615282 27.027178953,-164.97861082 27.021501953,-164.96110182 27.015743953,-164.94362782 27.009905953,-164.92618782 27.003986953,-164.90878282 26.9979889530001,-164.89141382 26.9919099530001,-164.87407982 26.985751953,-164.85678282 26.979514953,-164.83952282 26.9731979530001,-164.83690982 26.9722329530001,-164.82202682 26.966699953,-164.80484182 26.9602249530001,-164.78769482 26.953670953,-164.77448082 26.948555953,-164.76941582 26.9465819530001,-164.76161282 26.9435259530001,-164.75620082 26.941504953,-164.73901982 26.935029953,-164.72187682 26.928475953,-164.70701882 26.922713953,-164.70164282 26.9227219530001,-164.68300682 26.9226789530001,-164.66437182 26.922550953,-164.64573782 26.9223359530001,-164.62710482 26.922035953,-164.608474819 26.921648953,-164.589846819 26.921176953,-164.571221819 26.920618953,-164.552599819 26.9199759530001,-164.533982819 26.919245953,-164.515369819 26.918430953,-164.496761819 26.917529953,-164.478159819 26.916543953,-164.459562819 26.9154709530001,-164.440973819 26.914312953,-164.422390819 26.913069953,-164.403815819 26.911740953,-164.385248819 26.910325953,-164.366690819 26.9088259530001,-164.348141819 26.907239953,-164.329601819 26.9055689530001,-164.311072819 26.9038129530001,-164.292553819 26.901970953,-164.274045819 26.9000439530001,-164.255549819 26.898031953,-164.237065819 26.8959339530001,-164.218593819 26.893751953,-164.200135819 26.891483952,-164.181690819 26.8891309520001,-164.163259819 26.886693952,-164.144843819 26.884170952,-164.126442819 26.8815639520001,-164.108057819 26.8788719520001,-164.089688819 26.8760959520001,-164.071335819 26.8732349520001,-164.053000819 26.8702889520001,-164.034682819 26.867258952,-164.016382819 26.8641439520001,-163.998101819 26.8609459520001,-163.979838819 26.8576629520001,-163.961596819 26.854295952,-163.943373819 26.850844952,-163.925171819 26.847309952,-163.906990819 26.843691952,-163.888831819 26.8399899520001,-163.870694819 26.8362039520001,-163.852579819 26.8323349520001,-163.834487819 26.828381952,-163.816419819 26.824345952,-163.798374819 26.820226952,-163.780354819 26.816023952,-163.762359819 26.811738952,-163.744390819 26.807370952,-163.726446819 26.8029209520001,-163.708529819 26.798386952,-163.690638819 26.793771952,-163.672775819 26.789072952,-163.654940819 26.784292952,-163.637134819 26.779430952,-163.619356819 26.7744859520001,-163.601607819 26.769459952,-163.583888819 26.764352952,-163.566199819 26.7591629520001,-163.548541818 26.7538919520001,-163.530914818 26.748539952,-163.513319818 26.7431069520001,-163.495756818 26.7375929520001,-163.478225818 26.731997952,-163.460728818 26.726322952,-163.443264818 26.7205669520001,-163.425834818 26.714729952,-163.408438818 26.7088139520001,-163.391077818 26.702816952,-163.373752818 26.696739952,-163.356463818 26.6905839520001,-163.339210818 26.6843479520001,-163.321993818 26.678032952,-163.304814818 26.671638952,-163.287673818 26.6651649520001,-163.270569818 26.6586129520001,-163.253505818 26.651981952,-163.236479818 26.645271952,-163.219493818 26.6384849520001,-163.202546818 26.6316189520001,-163.185640818 26.6246749520001,-163.168775818 26.6176529520001,-163.151951818 26.610553952,-163.135169818 26.6033769520001,-163.118429818 26.596123952,-163.101732818 26.5887929520001,-163.085078818 26.5813849520001,-163.068467818 26.573900952,-163.051900818 26.5663399520001,-163.035378818 26.558703952,-163.018900818 26.5509909520001,-163.002468818 26.5432019520001,-162.986081818 26.5353379520001,-162.969740818 26.5273989520001,-162.953446818 26.5193839520001,-162.937199818 26.5112949520001,-162.920999818 26.503130952,-162.904847818 26.494891952,-162.888743818 26.4865789520001,-162.872688818 26.478191952,-162.856681818 26.4697309520001,-162.840725818 26.461195952,-162.824818818 26.452588952,-162.808961818 26.4439079520001,-162.800264818 26.439102952,-162.785378818 26.4308559520001,-162.769624818 26.4220289520001,-162.753921818 26.4131299520001,-162.738271818 26.404158952,-162.722673818 26.395115952,-162.707127818 26.3860009520001,-162.691635818 26.3768149520001,-162.676196818 26.367557952,-162.660811818 26.358228952,-162.645481818 26.3488299520001,-162.639319818 26.3450109520001,-162.622354818 26.3480429520001,-162.604147818 26.351208952,-162.585922818 26.354290952,-162.567679818 26.357288952,-162.549418818 26.3602019520001,-162.531141818 26.363030952,-162.512848818 26.365775952,-162.494539818 26.368434952,-162.476214817 26.3710099520001,-162.457875817 26.373500952,-162.439521817 26.375905952,-162.421153817 26.378225952,-162.402772817 26.3804619520001,-162.384379817 26.382611952,-162.365972817 26.3846779520001,-162.347554817 26.3866579520001,-162.329125817 26.3885529520001,-162.310685817 26.390362952,-162.292234817 26.3920869520001,-162.273774817 26.3937269520001,-162.255304817 26.3952799520001,-162.236826817 26.3967489520001,-162.218339817 26.398131952,-162.199844817 26.3994289520001,-162.181342817 26.4006409520001,-162.162833817 26.4017669520001,-162.144317817 26.402807952,-162.125796817 26.4037629520001,-162.107269817 26.404631952,-162.088738817 26.4054149520001,-162.070202817 26.4061129520001,-162.051663817 26.406725952,-162.033120817 26.407251952,-162.014574817 26.407692952,-161.996026817 26.4080479520001,-161.977476817 26.4083169520001,-161.958925817 26.4084999520001,-161.940372817 26.408597952,-161.928553817 26.4086149520001,-161.927362817 26.4086149520001,-161.909882817 26.408571952,-161.891330817 26.408442952,-161.872780817 26.4082289520001,-161.854230817 26.4079289520001,-161.835683817 26.407542952,-161.817138817 26.407070952,-161.798596817 26.4065129520001,-161.780058817 26.405869952,-161.761524817 26.4051409520001,-161.742994817 26.4043259520001,-161.724469817 26.4034259520001,-161.705950817 26.4024399520001,-161.687437817 26.401367952,-161.668930817 26.4002109520001,-161.650431817 26.3989679520001,-161.631939817 26.3976399520001,-161.613455817 26.3962259520001,-161.594979817 26.394725952,-161.576513817 26.3931419520001,-161.558056817 26.3914709520001,-161.539609817 26.3897159520001,-161.521173817 26.3878749520001,-161.502748817 26.385948952,-161.484334817 26.3839379520001,-161.465932817 26.3818419520001,-161.447543817 26.3796599520001,-161.429167817 26.377393952,-161.410804817 26.3750429520001,-161.392456816 26.3726069520001,-161.374122816 26.3700859520001,-161.355803816 26.3674799520001,-161.337499816 26.364788952,-161.319211816 26.362013952,-161.300940816 26.359154952,-161.282686816 26.356210952,-161.264450816 26.3531819520001,-161.246231816 26.3500699520001,-161.241719816 26.3492849520001,-161.233257816 26.347828952,-161.215057816 26.344631952,-161.196876816 26.341350952,-161.178715816 26.3379859520001,-161.160574816 26.3345369520001,-161.142453816 26.3310039520001,-161.124352816 26.327386952,-161.106274816 26.3236869520001,-161.088217816 26.3199029520001,-161.070182816 26.3160359520001,-161.052171816 26.3120859520001,-161.034183816 26.308051952,-161.016218816 26.3039349520001,-160.998278816 26.2997349520001,-160.980363816 26.2954519520001,-160.962473816 26.2910869520001,-160.944608816 26.286637952,-160.926770816 26.282107952,-160.908959816 26.277493952,-160.891175816 26.2727989520001,-160.873418816 26.268020952,-160.855690816 26.2631609520001,-160.837990816 26.258219952,-160.820320816 26.2531959520001,-160.802679816 26.248090952,-160.785068816 26.2429039520001,-160.767487816 26.2376359520001,-160.749937816 26.232286952,-160.732419816 26.226856952,-160.714933816 26.221345952,-160.697479816 26.2157539520001,-160.680058816 26.2100809520001,-160.662671816 26.204327952,-160.645317816 26.198494952,-160.627997816 26.1925809520001,-160.610712816 26.186587952,-160.593463816 26.1805139520001,-160.576248816 26.174360952,-160.559070816 26.1681289520001,-160.541929816 26.161816952,-160.524824816 26.155424952,-160.507757816 26.1489549520001,-160.490728816 26.142406952,-160.473737816 26.1357789520001,-160.456785816 26.1290729520001,-160.439872816 26.1222889520001,-160.422999816 26.1154259520001,-160.406166816 26.108485952,-160.389374816 26.1014679520001,-160.372622816 26.0943719520001,-160.355912816 26.0871989520001,-160.339244816 26.0799489520001,-160.322618815 26.0726219520001,-160.306036815 26.0652179520001,-160.289496815 26.057736952,-160.273000815 26.0501799520001,-160.256548815 26.0425469520001,-160.240141815 26.034838952,-160.223778815 26.0270539520001,-160.207461815 26.019193952,-160.191190815 26.0112579520001,-160.174965815 26.003246952,-160.158787815 25.995161952,-160.142655815 25.9870009520001,-160.126572815 25.9787659520001,-160.110536815 25.9704569520001,-160.094548815 25.962073952,-160.078610815 25.9536179520001,-160.062720815 25.9450869520001,-160.046880815 25.9364829520001,-160.031090815 25.927806952,-160.015351815 25.9190569520001,-159.999662815 25.9102339520001,-159.984025815 25.9013399520001,-159.968439815 25.8923729520001,-159.952905815 25.883333952,-159.937424815 25.874222952,-159.921995815 25.8650409520001,-159.906620815 25.8557879520001,-159.891298815 25.8464639520001,-159.876031815 25.837068952,-159.860818815 25.8276029520001,-159.845659815 25.818067951,-159.830556815 25.808461951,-159.815509815 25.7987869510001,-159.800517815 25.7890419510001,-159.785582815 25.7792289510001,-159.770704815 25.769345951,-159.755883815 25.7593939510001,-159.741298815 25.749496951,-159.741011815 25.7493009510001,-159.726306815 25.7392139510001,-159.711658815 25.7290579510001,-159.697069815 25.7188349510001,-159.682539815 25.708543951,-159.668069815 25.698186951,-159.653658815 25.687761951,-159.639307815 25.677270951,-159.625017815 25.6667139510001,-159.610788815 25.6560909510001,-159.596620815 25.6454029510001,-159.582513815 25.634648951,-159.568469815 25.6238299510001,-159.554487815 25.612945951,-159.540567815 25.601997951,-159.526710815 25.5909859510001,-159.512917815 25.5799089510001,-159.510474815 25.5779269510001,-159.506223815 25.578048951,-159.487807815 25.5784889510001,-159.469389815 25.5788439510001,-159.450968815 25.5791129510001,-159.432547815 25.5792959510001,-159.414125815 25.579392951,-159.402388815 25.5794109510001,-159.383966815 25.5793679510001,-159.365543815 25.579238951,-159.347122815 25.5790249510001,-159.328703815 25.578724951,-159.310285815 25.578338951,-159.291870815 25.577867951,-159.273458815 25.5773109510001,-159.255049814 25.576667951,-159.236645814 25.5759399510001,-159.218244814 25.5751259510001,-159.199849814 25.5742259510001,-159.181459814 25.5732409510001,-159.163076814 25.572169951,-159.144698814 25.5710139510001,-159.126328814 25.5697719510001,-159.107965814 25.5684449510001,-159.089610814 25.567031951,-159.071264814 25.5655339510001,-159.052926814 25.563950951,-159.034598814 25.562281951,-159.016280814 25.560527951,-158.997972814 25.5586889510001,-158.979676814 25.556764951,-158.961390814 25.5547559510001,-158.943117814 25.5526609510001,-158.924856814 25.5504819510001,-158.906608814 25.548216951,-158.888373814 25.545867951,-158.870152814 25.5434339510001,-158.851945814 25.540914951,-158.833754814 25.538311951,-158.815578814 25.535623951,-158.797417814 25.5328509510001,-158.779273814 25.5299939510001,-158.761146814 25.527052951,-158.743036814 25.5240269510001,-158.741613814 25.523785951,-158.724781814 25.5208899510001,-158.706707814 25.5176959510001,-158.688652814 25.514416951,-158.670616814 25.5110549510001,-158.652600814 25.5076089510001,-158.634604814 25.5040799510001,-158.616629814 25.500465951,-158.598675814 25.496768951,-158.580743814 25.492988951,-158.562833814 25.4891249510001,-158.544945814 25.485177951,-158.527081814 25.481146951,-158.509240814 25.4770339510001,-158.491423814 25.472837951,-158.473631814 25.468558951,-158.455864814 25.4641969510001,-158.438122814 25.459751951,-158.420407814 25.455224951,-158.402717814 25.450615951,-158.385055814 25.4459239510001,-158.367420814 25.4411509510001,-158.349813814 25.436294951,-158.332234814 25.4313579510001,-158.314684814 25.4263379510001,-158.297164814 25.421237951,-158.279673814 25.416054951,-158.262212814 25.4107919510001,-158.244782814 25.405446951,-158.227384814 25.400021951,-158.210016814 25.3945149510001,-158.192681814 25.388927951,-158.175379813 25.3832599510001,-158.158109813 25.377511951,-158.140873813 25.371682951,-158.123670813 25.3657739510001,-158.106502813 25.359785951,-158.089369813 25.353716951,-158.072272813 25.347568951,-158.055209813 25.3413419510001,-158.038183813 25.3350349510001,-158.021194813 25.328648951,-158.004242813 25.3221839510001,-157.987327813 25.315640951,-157.976170813 25.311272951,-157.969370813 25.308705951,-157.952420813 25.302240951,-157.943280813 25.2987159510001,-157.935366813 25.295642951,-157.918492813 25.2890199510001,-157.901657813 25.282319951,-157.884860813 25.275540951,-157.868102813 25.2686839510001,-157.851385813 25.2617499510001,-157.834707813 25.254736951,-157.818070813 25.247646951,-157.801475813 25.2404799510001,-157.784920813 25.233235951,-157.768408813 25.2259149510001,-157.751938813 25.218516951,-157.735511813 25.211041951,-157.719127813 25.203491951,-157.702786813 25.195864951,-157.686490813 25.188161951,-157.670238813 25.1803839510001,-157.654032813 25.1725289510001,-157.637870813 25.1645999510001,-157.621755813 25.156595951,-157.605685813 25.148515951,-157.589663813 25.140361951,-157.573687813 25.1321339510001,-157.565196813 25.1277209510001,-157.553735813 25.1217359510001,-157.537855813 25.1133599510001,-157.533989813 25.1113059510001,-157.518958813 25.103279951,-157.503175813 25.094755951,-157.487441813 25.0861589510001,-157.471757813 25.0774889510001,-157.456123813 25.068745951,-157.440539813 25.0599299510001,-157.425005813 25.0510419510001,-157.409523813 25.0420819510001,-157.394093813 25.0330499510001,-157.378714813 25.023945951,-157.363388813 25.0147709510001,-157.350394813 25.006904951,-157.344101813 25.005909951,-157.326051813 25.0029699510001,-157.308018813 24.999945951,-157.290003813 24.996837951,-157.272006813 24.9936449510001,-157.254028813 24.9903689510001,-157.236069813 24.9870089510001,-157.218129813 24.9835649510001,-157.200210813 24.980036951,-157.182311813 24.9764259510001,-157.164433813 24.9727309510001,-157.146577813 24.9689519510001,-157.128743813 24.965089951,-157.110931813 24.9611449510001,-157.093142812 24.957116951,-157.075377812 24.953005951,-157.057636812 24.948811951,-157.039919812 24.944534951,-157.022227812 24.9401759510001,-157.004560812 24.935733951,-156.986919812 24.931208951,-156.969305812 24.9266019510001,-156.951717812 24.921912951,-156.934156812 24.9171419510001,-156.916623812 24.9122889510001,-156.899119812 24.9073539510001,-156.881643812 24.9023379510001,-156.864196812 24.8972399510001,-156.846778812 24.8920599510001,-156.829391812 24.8867989510001,-156.812034812 24.8814579510001,-156.794708812 24.8760349510001,-156.777413812 24.870530951,-156.760151812 24.864946951,-156.742920812 24.8592819510001,-156.725723812 24.853535951,-156.708559812 24.8477109510001,-156.691428812 24.841804951,-156.674332812 24.8358199510001,-156.657270812 24.829754951,-156.640243812 24.823609951,-156.623252812 24.8173849510001,-156.606297812 24.8110819510001,-156.589378812 24.804698951,-156.572496812 24.798237951,-156.555651812 24.7916969510001,-156.538844812 24.7850789510001,-156.522075812 24.778380951,-156.505345812 24.771605951,-156.488654812 24.764752951,-156.472003812 24.757820951,-156.455391812 24.7508119510001,-156.438820812 24.7437259500001,-156.422290812 24.7365619500001,-156.405801812 24.72932095,-156.389353812 24.72200395,-156.372948812 24.7146089500001,-156.356585812 24.7071379500001,-156.340266812 24.6995909500001,-156.323989812 24.69196795,-156.307757812 24.68426895,-156.291569812 24.6764939500001,-156.275425812 24.66864295,-156.259327812 24.66071795,-156.243274812 24.6527169500001,-156.227267812 24.6446409500001,-156.211307812 24.6364909500001,-156.195393812 24.6282669500001,-156.179527812 24.61996795,-156.163708812 24.61159495,-156.147937812 24.60314895,-156.132215812 24.5946289500001,-156.116541812 24.5860359500001,-156.100917812 24.5773689500001,-156.085342812 24.5686299500001,-156.069818812 24.55981795,-156.054343812 24.5509339500001,-156.038920812 24.54197795,-156.023548811 24.53294995,-156.008228811 24.5238499500001,-155.992960811 24.5146789500001,-155.977744811 24.50543595,-155.962581811 24.49612295,-155.947471811 24.4867389500001,-155.932415811 24.4772849500001,-155.917413811 24.4677599500001,-155.902465811 24.45816595,-155.887572811 24.44850195,-155.872734811 24.4387679500001,-155.857952811 24.4289659500001,-155.843226811 24.41909395,-155.829391811 24.4097199500001,-155.820116811 24.4074729500001,-155.802499811 24.40311595,-155.784907811 24.39867595,-155.767341811 24.39415395,-155.749800811 24.3895499500001,-155.732287811 24.3848629500001,-155.714800811 24.3800949500001,-155.697341811 24.37524395,-155.679910811 24.37031195,-155.662507811 24.3652979500001,-155.645134811 24.36020295,-155.627789811 24.35502595,-155.610475811 24.3497679500001,-155.593191811 24.3444289500001,-155.575937811 24.3390089500001,-155.558715811 24.3335089500001,-155.541525811 24.3279269500001,-155.524367811 24.32226495,-155.507241811 24.31652295,-155.490148811 24.3107009500001,-155.473089811 24.30479795,-155.456064811 24.2988159500001,-155.439073811 24.2927539500001,-155.422117811 24.2866119500001,-155.405196811 24.28039095,-155.388311811 24.2740909500001,-155.371463811 24.26771195,-155.354651811 24.26125295,-155.337876811 24.25471695,-155.321138811 24.24810095,-155.304439811 24.2414069500001,-155.287778811 24.23463595,-155.271155811 24.2277859500001,-155.254572811 24.22085795,-155.238029811 24.21385195,-155.221526811 24.20676995,-155.205063811 24.19960895,-155.188642811 24.1923719500001,-155.172262811 24.18505795,-155.155924811 24.1776679500001,-155.139628811 24.17020095,-155.123375811 24.16265695,-155.120204811 24.16117395,-155.109095811 24.1560729500001,-155.092844811 24.1485299500001,-155.076636811 24.14091095,-155.060471811 24.13321495,-155.044351811 24.12544395,-155.028274811 24.1175979500001,-155.012243811 24.1096759500001,-154.996257811 24.1016799500001,-154.980316811 24.09360795,-154.964422811 24.08546195,-154.94857481 24.07724195,-154.93277381 24.0689469500001,-154.91702081 24.06057795,-154.90131481 24.05213595,-154.88565681 24.0436199500001,-154.87004781 24.0350309500001,-154.85448781 24.0263689500001,-154.83897681 24.0176339500001,-154.83556481 24.0156909500001,-154.82214881 24.0103799500001,-154.80547881 24.00368695,-154.78884781 23.9969169500001,-154.77225581 23.99006895,-154.75570181 23.9831429500001,-154.73918881 23.9761389500001,-154.72271481 23.96905695,-154.71396481 23.96525795,-154.70470681 23.9612129500001,-154.68831481 23.95397795,-154.67196481 23.9466649500001,-154.65565581 23.93927595,-154.63938881 23.9318109500001,-154.62316481 23.9242689500001,-154.60698281 23.9166509500001,-154.59084581 23.9089579500001,-154.58809681 23.90763695,-154.58699881 23.9071109500001,-154.57090581 23.8993419500001,-154.55485681 23.89149695,-154.53885181 23.8835769500001,-154.52289281 23.87558195,-154.50697881 23.8675119500001,-154.50106881 23.8644909500001,-154.49072181 23.85916895,-154.47490081 23.85094995,-154.45912581 23.84265695,-154.44339881 23.83428995,-154.42771881 23.82584895,-154.41246981 23.8175449500001,-154.40447481 23.8131779500001,-154.38889181 23.80458995,-154.37335781 23.7959299500001,-154.35787281 23.7871969500001,-154.34243781 23.7783909500001,-154.32705281 23.76951295,-154.31171781 23.7605629500001,-154.29643481 23.75154095,-154.28120181 23.74244695,-154.26602081 23.73328195,-154.25089181 23.7240459500001,-154.23581581 23.71473895,-154.22079181 23.7053619500001,-154.20582181 23.69591295,-154.19090481 23.6863949500001,-154.18798381 23.68451895,-154.18592981 23.68339395,-154.17036181 23.6748079500001,-154.15484281 23.666147949,-154.13937281 23.657415949,-154.12395181 23.648610949,-154.10858081 23.6397339490001,-154.09326081 23.630784949,-154.07799181 23.6217639490001,-154.06277281 23.6126719490001,-154.04760681 23.6035079490001,-154.03249181 23.5942729490001,-154.01742881 23.584966949,-154.00241981 23.5755899490001,-153.98746281 23.566142949,-153.97255981 23.5566259490001,-153.95771081 23.5470389490001,-153.94291581 23.5373819490001,-153.92817481 23.5276559490001,-153.91348981 23.5178609490001,-153.89885981 23.5079969490001,-153.884285809 23.498063949,-153.881553809 23.496189949,-153.877692809 23.4935489490001,-153.863174809 23.4835479490001,-153.848713809 23.473478949,-153.834309809 23.463341949,-153.819962809 23.4531379490001,-153.805672809 23.4428659490001,-153.791441809 23.4325279490001,-153.787811809 23.4298729490001,-153.776486809 23.4215499490001,-153.762372809 23.4110789490001,-153.748317809 23.4005409490001,-153.734321809 23.3899369490001,-153.720384809 23.3792669490001,-153.706508809 23.368532949,-153.692693809 23.357732949,-153.678938809 23.3468679490001,-153.665244809 23.335938949,-153.651612809 23.324945949,-153.638041809 23.313888949,-153.624533809 23.302767949,-153.611087809 23.291583949,-153.597704809 23.2803369490001,-153.584385809 23.2690269490001,-153.571129809 23.257654949,-153.557936809 23.2462209490001,-153.544808809 23.2347249490001,-153.531745809 23.2231669490001,-153.518746809 23.2115479490001,-153.505812809 23.1998689490001,-153.492944809 23.188127949,-153.480142809 23.176327949,-153.467406809 23.164466949,-153.454736809 23.1525469490001,-153.442133809 23.1405669490001,-153.429597809 23.128527949,-153.417128809 23.1164309490001,-153.404727809 23.1042749490001,-153.392394809 23.092060949,-153.380130809 23.079789949,-153.367934809 23.0674599490001,-153.355806809 23.0550739490001,-153.343748809 23.0426309490001,-153.331760809 23.0301309490001,-153.319841809 23.017575949,-153.309352809 23.006417949,-153.304038809 23.000803949,-153.292191809 22.9881919490001,-153.280414809 22.975524949,-153.268707809 22.962802949,-153.257071809 22.9500269490001,-153.249136809 22.941235949,-153.245067809 22.936705949,-153.233574809 22.9238199490001,-153.222153809 22.910880949,-153.210804809 22.8978879490001,-153.199527809 22.8848419490001,-153.188323809 22.8717429490001,-153.177191809 22.8585919490001,-153.166133809 22.845388949,-153.155148809 22.832133949,-153.144237809 22.818826949,-153.133400809 22.805469949,-153.122637809 22.7920609490001,-153.111948809 22.7786029490001,-153.101334809 22.7650939490001,-153.090795809 22.7515359490001,-153.080331809 22.737927949,-153.069942809 22.7242709490001,-153.059629809 22.7105659490001,-153.049393809 22.6968119490001,-153.039232809 22.6830099490001,-153.029147809 22.6691609490001,-153.019140809 22.6552649490001,-153.009209809 22.641321949,-152.999355809 22.6273319490001,-152.989579809 22.6132969490001,-152.979880809 22.599214949,-152.970259809 22.5850889480001,-152.967956809 22.5816689480001,-152.958578809 22.5743799480001,-152.944836809 22.563585948,-152.931154809 22.552728948,-152.917533809 22.541805948,-152.903972809 22.530819948,-152.890473809 22.519768948,-152.881216809 22.5121239480001,-152.872039809 22.5048279480001,-152.858422809 22.493904948,-152.844866809 22.4829189480001,-152.831372809 22.4718689480001,-152.817939809 22.460755948,-152.804568808 22.4495789480001,-152.791259808 22.438338948,-152.778013808 22.427035948,-152.764830808 22.4156709480001,-152.751710808 22.404242948,-152.738654808 22.3927539480001,-152.725662808 22.3812039480001,-152.719029808 22.3752599480001,-152.715733808 22.3723779480001,-152.702679808 22.360888948,-152.689690808 22.349338948,-152.676765808 22.3377269480001,-152.663904808 22.326054948,-152.651108808 22.314321948,-152.638378808 22.302527948,-152.625713808 22.2906749480001,-152.613114808 22.2787619480001,-152.600582808 22.2667889480001,-152.588115808 22.2547579480001,-152.575716808 22.2426679480001,-152.563384808 22.2305189480001,-152.551119808 22.2183119480001,-152.538922808 22.206047948,-152.537381808 22.2044899480001,-152.525434808 22.192474948,-152.513306808 22.1801529480001,-152.501246808 22.167773948,-152.489255808 22.1553379480001,-152.477332808 22.1428459480001,-152.465479808 22.1302979480001,-152.453695808 22.1176929480001,-152.441982808 22.105032948,-152.430338808 22.0923179480001,-152.418764808 22.079548948,-152.407261808 22.0667239480001,-152.395829808 22.0538459480001,-152.384468808 22.040912948,-152.373179808 22.0279279480001,-152.361961808 22.0148889480001,-152.351419808 22.0025099480001,-152.348454808 21.999119948,-152.337167808 21.986134948,-152.325952808 21.973095948,-152.314809808 21.9600039480001,-152.303738808 21.9468599480001,-152.292740808 21.9336639480001,-152.281815808 21.920415948,-152.270962808 21.9071169480001,-152.260183808 21.8937659480001,-152.249477808 21.8803649480001,-152.238845808 21.866912948,-152.228288808 21.853410948,-152.217804808 21.839859948,-152.207395808 21.826258948,-152.197061808 21.812608948,-152.186802808 21.7989109480001,-152.176618808 21.785163948,-152.166510808 21.771368948,-152.156478808 21.757525948,-152.146521808 21.7436369480001,-152.139541808 21.733807948,-152.128785808 21.722153948,-152.117168808 21.7094429480001,-152.105620808 21.6966759480001,-152.094143808 21.683853948,-152.082737808 21.670978948,-152.071402808 21.658049948,-152.060137808 21.6450669480001,-152.048945808 21.632030948,-152.037824808 21.618941948,-152.026775808 21.605800948,-152.015798808 21.592606948,-152.004894808 21.579361948,-151.994063808 21.5660649480001,-151.983304808 21.5527169480001,-151.972619808 21.5393179480001,-151.962008808 21.525868948,-151.951470808 21.512369947,-151.941007808 21.4988209470001,-151.930618808 21.4852229470001,-151.920303808 21.471574947,-151.910063808 21.457878947,-151.899899808 21.4441349470001,-151.889809808 21.430342947,-151.879795808 21.416502947,-151.869857808 21.4026159470001,-151.859995808 21.3886819470001,-151.850210808 21.3747009470001,-151.840500808 21.3606749470001,-151.830868808 21.3466019470001,-151.821312808 21.3324839470001,-151.811834808 21.3183209470001,-151.802432808 21.3041129470001,-151.793109808 21.289860947,-151.783863808 21.2755649470001,-151.774696808 21.2612259470001,-151.765606808 21.2468429470001,-151.756595808 21.232416947,-151.747663808 21.217948947,-151.738809807 21.2034379470001,-151.730035807 21.1888859470001,-151.721340807 21.174292947,-151.712724807 21.159658947,-151.704188807 21.1449839470001,-151.695732807 21.1302679470001,-151.687356807 21.1155129470001,-151.679061807 21.1007189470001,-151.670845807 21.0858849470001,-151.662710807 21.071011947,-151.654656807 21.0561019470001,-151.646684807 21.0411529470001,-151.638792807 21.026166947,-151.630981807 21.0111429470001,-151.623252807 20.996082947,-151.615605807 20.980985947,-151.608040807 20.965853947,-151.600556807 20.9506849470001,-151.593155807 20.935481947,-151.585837807 20.9202429470001,-151.578600807 20.904969947,-151.571447807 20.889662947,-151.564376807 20.8743229470001,-151.557388807 20.858948947,-151.550484807 20.8435419470001,-151.543662807 20.8281019470001,-151.536924807 20.8126309470001,-151.530270807 20.797127947,-151.523700807 20.781592947,-151.517213807 20.7660279470001,-151.510810807 20.750431947,-151.504492807 20.734805947,-151.498257807 20.7191499470001,-151.492108807 20.703464947,-151.486042807 20.687750947,-151.480062807 20.6720079470001,-151.474166807 20.656236947,-151.468355807 20.6404389470001,-151.462629807 20.6246129470001,-151.456988807 20.6087599470001,-151.451433807 20.592880947,-151.445963807 20.5769759470001,-151.440578807 20.561044947,-151.435279807 20.5450879470001,-151.430066807 20.5291069470001,-151.424938807 20.5131009470001,-151.419897807 20.4970709470001,-151.414941807 20.4810179470001,-151.410072807 20.4649409470001,-151.405289807 20.4488409460001,-151.400592807 20.432718946,-151.395982807 20.416574946,-151.391458807 20.400408946,-151.387020807 20.384221946,-151.382670807 20.3680139460001,-151.378406807 20.3517859460001,-151.374228807 20.335537946,-151.370138807 20.3192699460001,-151.366135807 20.302982946,-151.362219807 20.2866769460001,-151.358390807 20.2703529460001,-151.354648807 20.2540099460001,-151.350993807 20.237650946,-151.347426807 20.2212739460001,-151.343946807 20.2048809460001,-151.340553807 20.1884709460001,-151.337248807 20.172044946,-151.334031807 20.155603946,-151.330901807 20.139147946,-151.327859807 20.1226769460001,-151.324905807 20.106191946,-151.322038807 20.0896929460001,-151.319259807 20.073180946,-151.316568807 20.056655946,-151.313965807 20.0401179460001,-151.311449807 20.0235679460001,-151.309022807 20.007006946,-151.306683807 19.9904339460001,-151.304431807 19.973849946,-151.302268807 19.957255946,-151.300193807 19.9406509460001,-151.298206807 19.9240369460001,-151.296307807 19.9074139460001,-151.294496807 19.8907819460001,-151.292773807 19.8741419460001,-151.291139807 19.857492946,-151.289592807 19.840836946,-151.288134807 19.824173946,-151.286764807 19.8075049460001,-151.285482807 19.790827946,-151.284289807 19.774145946,-151.283184807 19.757458946,-151.282166807 19.7407669460001,-151.281238807 19.724068946,-151.280397807 19.707367946,-151.279644807 19.690662946,-151.278980807 19.673953946,-151.278404807 19.6572429460001,-151.277916807 19.6405289460001,-151.277516807 19.623812946,-151.277205807 19.6070949460001,-151.276981807 19.5903759460001,-151.276846807 19.573654946,-151.276798807 19.5569349460001,-151.276839807 19.5402139460001,-151.276968807 19.523493946,-151.277184807 19.5067749460001,-151.277489807 19.490055946,-151.277882807 19.4733399460001,-151.278362807 19.456624946,-151.278930807 19.439912946,-151.279586807 19.4232039460001,-151.280330807 19.4064979460001,-151.281162807 19.389795946,-151.282081807 19.373097945,-151.283088807 19.3564039450001,-151.284182807 19.339714945,-151.285364807 19.323031945,-151.286634807 19.3063539450001,-151.287990807 19.289682945,-151.289434807 19.273017945,-151.290966807 19.256359945,-151.292584807 19.2397099450001,-151.294290807 19.223066945,-151.296083807 19.2064329450001,-151.297963807 19.189807945,-151.299930807 19.173190945,-151.301983807 19.156583945,-151.304124807 19.139986945,-151.306351807 19.1233999450001,-151.308665807 19.106823945,-151.311065807 19.0902589450001,-151.313552807 19.073704945,-151.316125807 19.0571639450001,-151.318784807 19.040633945,-151.321530807 19.0241179450001,-151.324361807 19.0076149450001,-151.327279807 18.991124945,-151.330283807 18.9746489450001,-151.333372807 18.9581879450001,-151.334232807 18.9536879450001,-151.337366807 18.9374579450001,-151.340626807 18.9210259450001,-151.343972807 18.9046109450001,-151.347404807 18.888210945,-151.347626807 18.8871629450001,-151.347705807 18.8867809450001,-151.351135807 18.870380945,-151.354651807 18.8539969450001,-151.358252807 18.8376309450001,-151.361939807 18.8212809450001,-151.365710807 18.804948945,-151.369566807 18.7886359450001,-151.373506807 18.7723399450001,-151.377532807 18.7560639450001,-151.381641807 18.7398069450001,-151.385835807 18.7235689450001,-151.390114807 18.707350945,-151.394476807 18.6911539450001,-151.398922807 18.674977945,-151.403452807 18.6588219450001,-151.408066807 18.642688945,-151.412763807 18.6265769450001,-151.417544807 18.610487945,-151.422408807 18.594421945,-151.427355807 18.5783789450001,-151.432385807 18.562358945,-151.437498807 18.5463629450001,-151.442694807 18.5303919450001,-151.447972807 18.514445945,-151.453332807 18.498523945,-151.458775807 18.482628945,-151.464300807 18.466758945,-151.469907807 18.450914945,-151.475595807 18.4350979450001,-151.481365807 18.4193089450001,-151.487217807 18.4035459450001,-151.493150807 18.3878119450001,-151.499163807 18.372105945,-151.505258807 18.3564289450001,-151.511434807 18.3407799450001,-151.517690807 18.3251609450001,-151.524027807 18.3095719450001,-151.530444807 18.294012944,-151.536941807 18.2784839440001,-151.543518807 18.262985944,-151.550174807 18.247519944,-151.556910807 18.2320849440001,-151.563726807 18.2166829440001,-151.570620807 18.2013129440001,-151.577594807 18.1859749440001,-151.584646807 18.1706709440001,-151.591777807 18.1553999440001,-151.598987807 18.1401639440001,-151.606274807 18.1249609440001,-151.613640807 18.109793944,-151.621083807 18.0946609440001,-151.628604807 18.079563944,-151.636203807 18.064501944,-151.640463807 18.0561379440001,-151.647907807 18.0413829440001,-151.655581807 18.026356944,-151.663332807 18.011367944,-151.671160807 17.996415944,-151.679065807 17.9815009440001,-151.687046807 17.9666229440001,-151.695103807 17.9517839440001,-151.703236807 17.936982944,-151.711445807 17.9222199440001,-151.719729807 17.9074969440001,-151.728089807 17.8928129440001,-151.736523807 17.878167944,-151.745033808 17.8635639440001,-151.753617808 17.8489999440001,-151.762276808 17.8344769440001,-151.771008808 17.819995944,-151.779815808 17.8055549440001,-151.788695808 17.791156944,-151.797649808 17.7768009440001,-151.806676808 17.762486944,-151.815777808 17.748215944,-151.824950808 17.733988944,-151.834195808 17.719804944,-151.843513808 17.705664944,-151.852903808 17.691568944,-151.862364808 17.677517944,-151.871897808 17.663511944,-151.881502808 17.6495519440001,-151.891178808 17.6356359440001,-151.900924808 17.6217669440001,-151.910741808 17.6079439440001,-151.920628808 17.594167944,-151.930586808 17.580438944,-151.940613808 17.5667569440001,-151.950710808 17.5531229440001,-151.960876808 17.5395369440001,-151.971111808 17.525998944,-151.981415808 17.512509944,-151.991788808 17.499068944,-152.002228808 17.485677944,-152.012737808 17.4723369440001,-152.023314808 17.459044944,-152.033958808 17.445803944,-152.044669808 17.432612944,-152.045200808 17.431961944,-152.045306808 17.4318319440001,-152.056084808 17.418691944,-152.066929808 17.4056039440001,-152.077840808 17.3925669440001,-152.088817808 17.3795809440001,-152.099860808 17.366647944,-152.110968808 17.353766944,-152.122142808 17.3409389440001,-152.133380808 17.328164944,-152.144684808 17.315442944,-152.156052808 17.3027749440001,-152.167484808 17.290161944,-152.178979808 17.277601944,-152.190539808 17.265096944,-152.202161808 17.252646944,-152.213847808 17.2402529440001,-152.225595808 17.227912943,-152.226111808 17.227374943,-152.237633808 17.2152719430001,-152.249443808 17.202988943,-152.261314808 17.190760943,-152.273248808 17.1785899430001,-152.285243808 17.166475943,-152.297299808 17.1544179430001,-152.306998808 17.1448029430001,-152.311069808 17.1407449430001,-152.323185808 17.1287449430001,-152.335362808 17.116801943,-152.347599808 17.104916943,-152.359896808 17.0930899430001,-152.372253808 17.081321943,-152.384669808 17.069611943,-152.397144808 17.0579609430001,-152.409678808 17.0463699430001,-152.422270808 17.0348379430001,-152.434921808 17.023365943,-152.447629808 17.011953943,-152.460395808 17.000601943,-152.473218808 16.9893109430001,-152.486098808 16.9780809430001,-152.499034808 16.9669119430001,-152.512027808 16.955803943,-152.525075808 16.9447589430001,-152.538179808 16.9337749430001,-152.551339808 16.9228529430001,-152.564553808 16.911993943,-152.577822808 16.9011979430001,-152.591146808 16.890463943,-152.600146808 16.8832739430001,-152.603317808 16.880676943,-152.616583808 16.8698809430001,-152.629904808 16.859146943,-152.632203808 16.857305943,-152.634497808 16.855388943,-152.647651808 16.844466943,-152.660859808 16.8336069430001,-152.674122808 16.822809943,-152.687439808 16.812075943,-152.700810808 16.801404943,-152.714235808 16.790796943,-152.727713808 16.780253943,-152.741244808 16.7697739430001,-152.754828808 16.7593589430001,-152.768464808 16.749008943,-152.782152808 16.738722943,-152.795892808 16.728501943,-152.809683808 16.718345943,-152.823525809 16.708255943,-152.837418809 16.6982319430001,-152.851157809 16.688418943,-152.855363809 16.685362943,-152.869254809 16.675337943,-152.883195809 16.6653799430001,-152.897186809 16.655487943,-152.911227809 16.6456619430001,-152.925317809 16.6359029430001,-152.939456809 16.626210943,-152.953643809 16.6165859430001,-152.967879809 16.607028943,-152.982163809 16.5975389430001,-152.996494809 16.588116943,-153.010872809 16.5787629430001,-153.025298809 16.569477943,-153.039769809 16.5602609430001,-153.054287809 16.551111943,-153.068851809 16.542032943,-153.083460809 16.533022943,-153.098115809 16.5240819430001,-153.112813809 16.5152109430001,-153.127557809 16.5064099430001,-153.142344809 16.497678943,-153.157175809 16.489017943,-153.172050809 16.4804279430001,-153.186967809 16.4719079430001,-153.201927809 16.463458943,-153.216929809 16.455081943,-153.231973809 16.446774943,-153.247059809 16.438539943,-153.262185809 16.4303769430001,-153.277353809 16.422284943,-153.292560809 16.414265943,-153.307808809 16.406318943,-153.323096809 16.3984439430001,-153.338423809 16.390641943,-153.353789809 16.3829129430001,-153.369193809 16.3752569430001,-153.383272809 16.368339943,-153.389129809 16.3654389430001,-153.404571809 16.3578559430001,-153.418911809 16.3508959430001,-153.424407809 16.3465969430001,-153.437904809 16.336112943,-153.451455809 16.325692943,-153.459658809 16.319435943,-153.466012809 16.3145629430001,-153.479614809 16.3042069430001,-153.493267809 16.2939169430001,-153.506972809 16.2836919430001,-153.520728809 16.273531943,-153.534536809 16.263436943,-153.548394809 16.2534089430001,-153.562302809 16.243445943,-153.576260809 16.2335499430001,-153.590268809 16.223719943,-153.599277809 16.2174509430001,-153.612234809 16.208454943,-153.626339809 16.198758943,-153.640493809 16.1891299430001,-153.654695809 16.1795679430001,-153.668945809 16.170073943,-153.679544809 16.163075943,-153.690600809 16.155795943,-153.704944809 16.146437942,-153.719335809 16.1371479420001,-153.733773809 16.127926942,-153.748256809 16.1187749420001,-153.762785809 16.109691942,-153.777360809 16.1006779420001,-153.791980809 16.091732942,-153.806644809 16.082857942,-153.821353809 16.074052942,-153.836106809 16.065317942,-153.850902809 16.056652942,-153.865742809 16.0480589420001,-153.880624809 16.039534942,-153.89555081 16.0310819420001,-153.91051781 16.022700942,-153.92552681 16.014390942,-153.94057781 16.006151942,-153.95566881 15.9979849420001,-153.97080181 15.9898889420001,-153.98597481 15.9818659420001,-154.00118681 15.9739159420001,-154.01643981 15.9660369420001,-154.03173181 15.9582309420001,-154.04706181 15.950498942,-154.06243081 15.942838942,-154.07783881 15.935251942,-154.09328381 15.9277389420001,-154.10876581 15.920298942,-154.12428581 15.9129329420001,-154.13984181 15.905641942,-154.15543481 15.898423942,-154.15782681 15.8973249420001,-154.16328981 15.8948059420001,-154.17891781 15.887661942,-154.19458181 15.8805929420001,-154.21028081 15.8735979420001,-154.22601481 15.866678942,-154.24178281 15.859833942,-154.25758481 15.8530639420001,-154.27342081 15.846369942,-154.28928981 15.839750942,-154.30519181 15.8332069420001,-154.32112681 15.8267399420001,-154.33709381 15.8203479420001,-154.35309181 15.814031942,-154.36912181 15.807792942,-154.38518281 15.801628942,-154.40127481 15.7955429420001,-154.41739581 15.7895329420001,-154.43354781 15.783599942,-154.44972881 15.777742942,-154.46593881 15.7719639420001,-154.48217781 15.766261942,-154.49844481 15.7606369420001,-154.51473981 15.755089942,-154.53106181 15.749620942,-154.54741181 15.7442289420001,-154.56378781 15.7389149420001,-154.58019081 15.733678942,-154.59661981 15.728520942,-154.61307381 15.723441942,-154.62955281 15.718439942,-154.64605681 15.7135179420001,-154.64666081 15.7133389420001,-154.64697881 15.7132449420001,-154.66350681 15.708400942,-154.68005981 15.7036359420001,-154.69663581 15.6989489420001,-154.71323481 15.6943419420001,-154.72881681 15.690093942,-154.73638481 15.688042942,-154.75302881 15.6835929420001,-154.76969581 15.679222942,-154.78638381 15.6749319420001,-154.80309281 15.6707209420001,-154.81982281 15.666588942,-154.83657281 15.662536942,-154.85334281 15.6585649420001,-154.87013281 15.654672942,-154.88694181 15.6508599420001,-154.90376981 15.6471279420001,-154.92061681 15.6434759420001,-154.93748081 15.639903942,-154.95436281 15.6364119420001,-154.971262811 15.633000942,-154.988178811 15.6296699420001,-155.005110811 15.626418942,-155.022059811 15.623249942,-155.039023811 15.620160942,-155.056002811 15.6171529420001,-155.072996811 15.6142259420001,-155.090005811 15.611378942,-155.107027811 15.608613942,-155.124063811 15.605929942,-155.141112811 15.603325942,-155.158174811 15.600803942,-155.175249811 15.598363942,-155.192335811 15.596003942,-155.209433811 15.593725942,-155.226542811 15.591528942,-155.243662811 15.589413942,-155.260792811 15.587380942,-155.277932811 15.585427942,-155.295082811 15.583557942,-155.312240811 15.5817689420001,-155.329408811 15.580061942,-155.346584811 15.5784359420001,-155.363767811 15.576892942,-155.380958811 15.575430942,-155.398157811 15.574050942,-155.415361811 15.572752942,-155.432573811 15.571536942,-155.449790811 15.570401942,-155.467012811 15.569349942,-155.484240811 15.568379942,-155.501472811 15.5674919420001,-155.518708811 15.5666849420001,-155.535948811 15.5659609420001,-155.553192811 15.565318942,-155.570438811 15.564758942,-155.587687811 15.564280942,-155.604939811 15.5638859420001,-155.622192811 15.5635719420001,-155.639446811 15.563339942,-155.656702811 15.5631909420001,-155.673957811 15.5631239420001,-155.691214811 15.563138942,-155.708469811 15.5632359420001,-155.725724811 15.5634149420001,-155.742978811 15.563675942,-155.760231811 15.5640199420001,-155.777481811 15.564444942,-155.794730811 15.564952942,-155.811975811 15.565542942,-155.829218811 15.566214942,-155.846456811 15.5669689420001,-155.863691811 15.5678049420001,-155.880922811 15.568722942,-155.898147811 15.5697229420001,-155.915368811 15.5708049420001,-155.932583811 15.5719689420001,-155.949792811 15.5732139420001,-155.966994811 15.5745419420001,-155.984190811 15.5759519420001,-155.995105811 15.576889942,-156.002794811 15.577566942,-156.019975811 15.579139942,-156.037147812 15.5807949420001,-156.054312812 15.5825319420001,-156.071467812 15.5843509420001,-156.088613812 15.586250942,-156.105750812 15.588232942,-156.122876812 15.5902959420001,-156.139992812 15.5924409420001,-156.157098812 15.5946669420001,-156.174191812 15.596974942,-156.191273812 15.599362942,-156.208343812 15.601833942,-156.225401812 15.604384942,-156.242445812 15.607017942,-156.259476812 15.6097319420001,-156.276494812 15.612525942,-156.293497812 15.6154019420001,-156.310486812 15.618358942,-156.327460812 15.621395942,-156.344418812 15.624513942,-156.361361812 15.6277129420001,-156.378288812 15.630992942,-156.395198812 15.6343529420001,-156.412091812 15.637792942,-156.428966812 15.6413139420001,-156.445824812 15.6449149420001,-156.462664812 15.648596942,-156.479485812 15.652357942,-156.496288812 15.6561989420001,-156.513071812 15.660120942,-156.529834812 15.6641219420001,-156.546577812 15.6682029420001,-156.563299812 15.6723639420001,-156.580001812 15.676603942,-156.596681812 15.6809229420001,-156.613339812 15.685321942,-156.629975812 15.689799942,-156.646589812 15.6943579420001,-156.663180812 15.6989939420001,-156.679747812 15.703708942,-156.696291812 15.7085029420001,-156.712810812 15.713375942,-156.729305812 15.718326942,-156.745775812 15.7233569420001,-156.762220812 15.7284649420001,-156.778639812 15.7336509420001,-156.795032812 15.7389149420001,-156.811399812 15.7442569420001,-156.827738812 15.7496769420001,-156.844051812 15.7551749420001,-156.860335812 15.7607499420001,-156.876592812 15.7664029420001,-156.892820812 15.772132942,-156.909020812 15.777940942,-156.925190812 15.783824942,-156.941331812 15.789785942,-156.957441812 15.795823942,-156.973522812 15.8019379420001,-156.989571812 15.8081289420001,-157.005590812 15.814395942,-157.021576812 15.820739942,-157.037531812 15.827158942,-157.053454812 15.8336539420001,-157.069344812 15.8402249420001,-157.085201812 15.8468709420001,-157.101025812 15.853592942,-157.116815813 15.860389942,-157.132570813 15.867261942,-157.148291813 15.8742089420001,-157.163977813 15.8812309420001,-157.179628813 15.888326942,-157.195243813 15.8954979420001,-157.210822813 15.902741942,-157.226365813 15.910060942,-157.241870813 15.9174539420001,-157.257339813 15.924920942,-157.272770813 15.932459942,-157.288163813 15.940073942,-157.303518813 15.9477599420001,-157.318834813 15.955518942,-157.334111813 15.963351942,-157.349349813 15.971255942,-157.364547813 15.9792329420001,-157.379704813 15.987282942,-157.394822813 15.9954039420001,-157.409898813 16.0035969420001,-157.424933813 16.0118619420001,-157.439927813 16.020197942,-157.454878813 16.0286059420001,-157.469788813 16.037083942,-157.484654813 16.0456339420001,-157.499478813 16.0542539420001,-157.514258813 16.0629439420001,-157.528994813 16.0717039420001,-157.543687813 16.080534942,-157.558334813 16.089434942,-157.572937813 16.0984049420001,-157.587495813 16.107444942,-157.602008813 16.1165529420001,-157.616474813 16.1257299420001,-157.630894813 16.134975942,-157.645268813 16.1442909420001,-157.659594813 16.1536739420001,-157.673874813 16.1631239430001,-157.674306813 16.163411943,-157.686492813 16.1704219430001,-157.701326813 16.1790399430001,-157.716116813 16.187729943,-157.730862813 16.1964889430001,-157.745564813 16.2053179430001,-157.760222813 16.2142179430001,-157.774835813 16.223185943,-157.789403813 16.2322239430001,-157.803925813 16.241331943,-157.818401813 16.2505079430001,-157.832831813 16.259752943,-157.847214813 16.269065943,-157.861551813 16.2784479430001,-157.875840813 16.2878969430001,-157.890081813 16.297414943,-157.904275813 16.3069999430001,-157.918420813 16.3166519430001,-157.932516813 16.326371943,-157.946564813 16.336157943,-157.960562813 16.3460109430001,-157.974510813 16.355929943,-157.988409813 16.3659159430001,-158.002257813 16.375966943,-158.016054813 16.3860839430001,-158.029800813 16.3962669430001,-158.043495813 16.406514943,-158.057138813 16.416827943,-158.070729813 16.427204943,-158.084268813 16.4376469430001,-158.097754813 16.448152943,-158.111187813 16.4587229430001,-158.124566813 16.469356943,-158.137892813 16.480054943,-158.151164813 16.490814943,-158.164381813 16.501637943,-158.177544813 16.5125249430001,-158.190651814 16.5234729430001,-158.203704814 16.5344839430001,-158.216700814 16.5455559430001,-158.229641814 16.556689943,-158.242525814 16.567885943,-158.255353814 16.579141943,-158.268124814 16.590459943,-158.280838814 16.6018379430001,-158.293494814 16.6132759430001,-158.301751814 16.6207999430001,-158.307580814 16.6261339430001,-158.320120814 16.6376919430001,-158.332602814 16.6493089430001,-158.345025814 16.6609859430001,-158.357388814 16.6727209430001,-158.369693814 16.6845149430001,-158.381937814 16.696366943,-158.394122814 16.708277943,-158.406246814 16.7202459430001,-158.418310814 16.7322709430001,-158.430312814 16.744353943,-158.442254814 16.7564929430001,-158.454133814 16.768688943,-158.465952814 16.7809419430001,-158.477707814 16.793249943,-158.489401814 16.805613943,-158.501032814 16.818033943,-158.512600814 16.830507943,-158.524104814 16.8430369430001,-158.535545814 16.8556209430001,-158.546922814 16.8682589430001,-158.558235814 16.8809509430001,-158.569484814 16.8936969430001,-158.580668814 16.906494943,-158.591786814 16.9193469430001,-158.602840814 16.932251943,-158.613828814 16.9452079430001,-158.624750814 16.958216943,-158.635606814 16.9712769430001,-158.646396814 16.9843889430001,-158.657119814 16.9975519430001,-158.667775814 17.010765943,-158.678364814 17.0240299430001,-158.688886814 17.0373439430001,-158.699340814 17.0507079430001,-158.709725814 17.064121943,-158.720043814 17.077584943,-158.730292814 17.091095943,-158.740472814 17.1046559430001,-158.750583814 17.118263943,-158.760625814 17.1319199430001,-158.770598814 17.145623943,-158.780500814 17.159374943,-158.790333814 17.1731719430001,-158.800095814 17.1870159430001,-158.809786814 17.2009069430001,-158.819407814 17.2148429430001,-158.828957814 17.2288249430001,-158.838435814 17.2428509440001,-158.847842814 17.2569229440001,-158.857177814 17.2710389440001,-158.866440814 17.2851989440001,-158.875631814 17.2994029440001,-158.884749814 17.3136509440001,-158.893795814 17.327941944,-158.902767814 17.3422749440001,-158.911667814 17.356650944,-158.920493814 17.3710689440001,-158.929245814 17.385527944,-158.937923814 17.400028944,-158.946527814 17.414570944,-158.955057814 17.4291539440001,-158.963512814 17.443776944,-158.970322814 17.4556789440001,-158.971720814 17.458051944,-158.980252814 17.4726339440001,-158.988710814 17.487255944,-158.997093814 17.5019189440001,-159.005401814 17.5166209440001,-159.013634814 17.531361944,-159.021791814 17.5461429440001,-159.029873814 17.560960944,-159.037879814 17.5758179440001,-159.045808814 17.5907129440001,-159.053661814 17.6056449440001,-159.061438814 17.6206149440001,-159.069138814 17.635620944,-159.076761814 17.650662944,-159.084307814 17.665740944,-159.091776814 17.680854944,-159.099167814 17.696003944,-159.106480814 17.7111879440001,-159.113715814 17.7264069440001,-159.120872814 17.741659944,-159.127951814 17.7569459440001,-159.134952814 17.772265944,-159.141873814 17.787618944,-159.148716814 17.8030039440001,-159.155480814 17.818421944,-159.162164814 17.8338719440001,-159.168769814 17.849352944,-159.175294814 17.864864944,-159.181740814 17.8804079440001,-159.188105814 17.895981944,-159.194390814 17.911584944,-159.200595814 17.9272179440001,-159.206720814 17.942880944,-159.212764814 17.958571944,-159.218726814 17.9742909440001,-159.220454814 17.9788909440001,-159.225078814 17.9909129440001,-159.231042814 18.006631944,-159.236926814 18.022379944,-159.237963814 18.0251809440001,-159.243288814 18.039667944,-159.249009814 18.055469944,-159.254649814 18.071299944,-159.260206815 18.0871559440001,-159.265683815 18.1030379440001,-159.271077815 18.1189459440001,-159.276389815 18.134878944,-159.277699815 18.1388789440001,-159.284104815 18.141003944,-159.300601815 18.146563944,-159.317069815 18.1522009440001,-159.331194815 18.157104944,-159.333956815 18.158070944,-159.350367815 18.1638629440001,-159.366748815 18.169730944,-159.383100815 18.175674944,-159.399422815 18.1816969440001,-159.415713815 18.1877939440001,-159.431974815 18.1939679440001,-159.448203815 18.200218944,-159.464400815 18.206544944,-159.480565815 18.2129469440001,-159.496698815 18.219423944,-159.512798815 18.225976944,-159.528865815 18.2326059440001,-159.544898815 18.2393089440001,-159.560898815 18.2460879440001,-159.576862815 18.252941944,-159.592792815 18.2598699440001,-159.608687815 18.2668729440001,-159.624547815 18.273949944,-159.640371815 18.2811019440001,-159.656158815 18.2883269440001,-159.671909815 18.295626944,-159.687622815 18.3029999450001,-159.697775815 18.307811945,-159.704051815 18.310803945,-159.719690815 18.318324945,-159.735290815 18.3259179450001,-159.750852815 18.333583945,-159.766375815 18.3413229450001,-159.781859815 18.3491349450001,-159.797303815 18.3570189450001,-159.812708815 18.364974945,-159.825760815 18.371795945,-159.835214815 18.369967945,-159.852396815 18.366727945,-159.869595815 18.3635689450001,-159.886809815 18.360489945,-159.904038815 18.357491945,-159.921283815 18.354573945,-159.938541815 18.351736945,-159.955814815 18.3489809450001,-159.973101815 18.346305945,-159.990401815 18.3437109450001,-159.997767815 18.3426319450001,-160.011220815 18.3406859450001,-160.028545815 18.338252945,-160.045882815 18.335900945,-160.063231815 18.333630945,-160.080590815 18.3314409450001,-160.097961815 18.329332945,-160.115342815 18.327305945,-160.132733815 18.3253609450001,-160.150134815 18.323495945,-160.167544815 18.3217139450001,-160.184962815 18.320011945,-160.202389815 18.318391945,-160.219824815 18.316853945,-160.237266815 18.315396945,-160.254716815 18.314020945,-160.272172815 18.3127269450001,-160.289634815 18.3115149450001,-160.307103815 18.3103849450001,-160.324577815 18.309335945,-160.342056816 18.308368945,-160.359539816 18.3074839450001,-160.377027816 18.306679945,-160.394519816 18.305958945,-160.412014816 18.3053189450001,-160.429512816 18.3047609450001,-160.447012816 18.3042839450001,-160.464515816 18.303889945,-160.482020816 18.303576945,-160.499526816 18.303346945,-160.517033816 18.303197945,-160.534540816 18.3031309450001,-160.552048816 18.303145945,-160.569555816 18.303241945,-160.587062816 18.303420945,-160.604568816 18.3036809450001,-160.622072816 18.304023945,-160.639574816 18.304447945,-160.657073816 18.304953945,-160.674570816 18.3055419450001,-160.692064816 18.306210945,-160.709555816 18.3069629450001,-160.727041816 18.3077959450001,-160.744523816 18.308710945,-160.762000816 18.3097069450001,-160.779472816 18.3107859450001,-160.796938816 18.311945945,-160.814398816 18.313187945,-160.831852816 18.3145109450001,-160.849299816 18.315915945,-160.866739816 18.317402945,-160.884171816 18.318970945,-160.901595816 18.320619945,-160.919010816 18.322350945,-160.936417816 18.3241639450001,-160.953814816 18.3260569450001,-160.971201816 18.3280329450001,-160.988579816 18.3300889450001,-161.005946816 18.3322269450001,-161.023301816 18.334444945,-161.040646816 18.3367449450001,-161.057979816 18.339125945,-161.075299816 18.3415879450001,-161.092607816 18.3441309450001,-161.109902816 18.346754945,-161.127184816 18.349459945,-161.144452816 18.3522459450001,-161.161705816 18.355111945,-161.178944816 18.358058945,-161.196168816 18.3610859450001,-161.213376816 18.3641939450001,-161.230569816 18.367381945,-161.247746816 18.370650945,-161.264905816 18.373999945,-161.282048816 18.3774289450001,-161.299173816 18.380938945,-161.316281816 18.3845279450001,-161.333370816 18.3881969450001,-161.350441816 18.391945945,-161.367492816 18.395774945,-161.384524816 18.399683945,-161.401536816 18.403671945,-161.418528817 18.4077389450001,-161.427730817 18.409977945,-161.437402817 18.4123509450001,-161.454352817 18.416577945,-161.471280817 18.4208829450001,-161.488187817 18.425267945,-161.505072817 18.4297309450001,-161.521934817 18.434273945,-161.538772817 18.4388949450001,-161.555588817 18.443594945,-161.572379817 18.4483739450001,-161.589146817 18.453230945,-161.598167817 18.4558789450001,-161.606445817 18.4583299450001,-161.623163817 18.463342945,-161.639855817 18.4684349450001,-161.656521817 18.473604945,-161.673161817 18.478851945,-161.689774817 18.4841769450001,-161.706361817 18.4895799450001,-161.722919817 18.495059945,-161.739451817 18.500617945,-161.755953817 18.506251945,-161.772428817 18.511963945,-161.788873817 18.517752945,-161.805289817 18.5236189450001,-161.821675817 18.5295609450001,-161.838031817 18.5355799450001,-161.854356817 18.5416749450001,-161.870651817 18.5478459450001,-161.886914817 18.554093945,-161.892295817 18.5561799450001,-161.904310817 18.560869945,-161.920509817 18.567268945,-161.936676817 18.573743945,-161.952810817 18.5802939450001,-161.968911817 18.586919945,-161.984978817 18.5936209450001,-162.001012817 18.6003969450001,-162.017010817 18.607247945,-162.032974817 18.6141729450001,-162.048903817 18.6211729450001,-162.064797817 18.6282479450001,-162.080654817 18.635395945,-162.096475817 18.642618945,-162.112260817 18.649915945,-162.128007817 18.6572859450001,-162.143717817 18.664729945,-162.159389817 18.672246945,-162.175023817 18.679836945,-162.190619817 18.6874999450001,-162.206175817 18.695235945,-162.221692817 18.703044945,-162.237170817 18.710925945,-162.252608817 18.718878945,-162.268005817 18.7269039450001,-162.283361817 18.735000945,-162.298676817 18.743169945,-162.313950817 18.751409945,-162.329182817 18.759721945,-162.344372817 18.7681049450001,-162.359519817 18.776557945,-162.374623817 18.7850819450001,-162.389683817 18.7936769450001,-162.404700817 18.802341945,-162.419673817 18.811076945,-162.434602817 18.8198819450001,-162.449486817 18.8287569450001,-162.464324817 18.8377009450001,-162.479117818 18.846713945,-162.493864818 18.8557959450001,-162.508566818 18.864946945,-162.523220818 18.8741669450001,-162.537828818 18.883454945,-162.552388818 18.8928109450001,-162.566901818 18.902234945,-162.581365818 18.9117269450001,-162.595782818 18.921285945,-162.610149818 18.930911945,-162.624468818 18.9406059450001,-162.638737818 18.950365945,-162.652957818 18.9601929450001,-162.667127818 18.9700859450001,-162.681246818 18.980044945,-162.695314818 18.9900699450001,-162.709331818 19.0001609450001,-162.723297818 19.0103169450001,-162.737211818 19.0205379450001,-162.751073818 19.0308239450001,-162.764883818 19.041174945,-162.778640818 19.051589945,-162.792343818 19.0620689450001,-162.805994818 19.0726119450001,-162.819590818 19.0832189450001,-162.833132818 19.0938889450001,-162.846620818 19.1046219450001,-162.860053818 19.115417945,-162.873431818 19.126276945,-162.886754818 19.137197945,-162.900020818 19.148180945,-162.913231818 19.1592259450001,-162.926385818 19.170331945,-162.939483818 19.181499945,-162.952523818 19.1927289450001,-162.965506818 19.204018945,-162.978431818 19.215368945,-162.991299818 19.226778945,-163.004108818 19.2382499450001,-163.016858818 19.2497799450001,-163.029549818 19.2613689450001,-163.042181818 19.273017945,-163.054754818 19.2847249450001,-163.067266818 19.2964909450001,-163.079719818 19.3083149450001,-163.092111818 19.3201979450001,-163.104442818 19.3321379450001,-163.116711818 19.3441349450001,-163.128920818 19.356189945,-163.141066818 19.368300945,-163.153151818 19.3804689460001,-163.165173818 19.3926929460001,-163.177133818 19.404973946,-163.189029818 19.417309946,-163.200863818 19.429700946,-163.212632818 19.442147946,-163.224338818 19.4546489460001,-163.235980818 19.467204946,-163.247558818 19.479814946,-163.259070818 19.4924789460001,-163.270518818 19.5051959460001,-163.281900818 19.5179669460001,-163.293217818 19.530790946,-163.304468818 19.543666946,-163.315653818 19.5565959460001,-163.326771818 19.569576946,-163.337823818 19.582609946,-163.348807818 19.595693946,-163.359725818 19.6088289460001,-163.370575818 19.622014946,-163.381357818 19.635250946,-163.392071818 19.648537946,-163.402716818 19.6618739460001,-163.413293818 19.675260946,-163.423801818 19.6886959460001,-163.434240818 19.7021799460001,-163.444609818 19.7157129460001,-163.454909818 19.729293946,-163.458635818 19.7342409460001,-163.466635818 19.7449119460001,-163.476795818 19.758588946,-163.486884818 19.7723129460001,-163.496902818 19.786082946,-163.506850818 19.799899946,-163.516725818 19.8137639460001,-163.526530818 19.8276729460001,-163.536263818 19.8416279460001,-163.545923818 19.855627946,-163.555512819 19.869672946,-163.565027819 19.883762946,-163.574470819 19.8978969460001,-163.583840819 19.9120739460001,-163.593137819 19.926295946,-163.602360819 19.9405599460001,-163.611510819 19.954867946,-163.620585819 19.9692179460001,-163.629587819 19.9836099460001,-163.638513819 19.9980439460001,-163.647365819 20.0125189460001,-163.656142819 20.0270359460001,-163.664844819 20.041592946,-163.673471819 20.0561909460001,-163.682022819 20.0708279460001,-163.690497819 20.0855059460001,-163.698896819 20.100222946,-163.707219819 20.1149789460001,-163.715465819 20.1297729460001,-163.723634819 20.1446059460001,-163.731727819 20.159476946,-163.738421819 20.171927946,-163.741364819 20.1735349460001,-163.756649819 20.181974946,-163.771892819 20.190485946,-163.787090819 20.1990669460001,-163.802245819 20.2077189460001,-163.817356819 20.216439946,-163.832422819 20.2252319460001,-163.847443819 20.234092946,-163.862419819 20.2430229460001,-163.877349819 20.2520219460001,-163.892233819 20.261090946,-163.907071819 20.270227946,-163.921862819 20.279432946,-163.936606819 20.288706946,-163.951302819 20.2980489460001,-163.955890819 20.3009969460001,-163.967994819 20.2986309460001,-163.985364819 20.2953189460001,-164.002751819 20.292086946,-164.020153819 20.288935946,-164.037572819 20.2858639460001,-164.055005819 20.2828739460001,-164.072454819 20.2799629460001,-164.089917819 20.2771329460001,-164.107395819 20.2743829460001,-164.124886819 20.271713946,-164.142390819 20.269125946,-164.159908819 20.2666189460001,-164.177438819 20.264191946,-164.194979819 20.2618459460001,-164.212533819 20.259580946,-164.230098819 20.257396946,-164.247674819 20.2552939460001,-164.265260819 20.253271946,-164.282856819 20.2513309460001,-164.300462819 20.249470946,-164.318077819 20.247692946,-164.335700819 20.2459949460001,-164.353333819 20.244378946,-164.370973819 20.2428439460001,-164.388621819 20.241390946,-164.406276819 20.2400189460001,-164.423937819 20.238727946,-164.441605819 20.237518946,-164.459279819 20.236391946,-164.476958819 20.2353449460001,-164.494643819 20.234380946,-164.512332819 20.2334979460001,-164.530026819 20.232695946,-164.547723819 20.231975946,-164.565424819 20.2313379460001,-164.581076819 20.2308409460001,-164.587656819 20.230643946,-164.601710819 20.230259946,-164.605719819 20.2301599460001,-164.623428819 20.229765946,-164.64113882 20.229453946,-164.65885082 20.229223946,-164.67656282 20.229075946,-164.69427682 20.229008946,-164.70057882 20.229004946,-164.71218782 20.229023946,-164.72990082 20.229119946,-164.74761382 20.229297946,-164.76532482 20.2295579460001,-164.78303482 20.229899946,-164.80074182 20.2303229460001,-164.81844782 20.230826946,-164.83614982 20.231413946,-164.85384982 20.2320819460001,-164.87154582 20.232830946,-164.88923782 20.233661946,-164.90692482 20.2345749460001,-164.92460782 20.2355689460001,-164.94228482 20.2366449460001,-164.95995682 20.237801946,-164.97762282 20.239040946,-164.99528182 20.2403609460001,-165.01293382 20.2417629460001,-165.03057882 20.2432459460001,-165.03513382 20.243641946,-165.04915782 20.2448919460001,-165.06678682 20.246537946,-165.08440782 20.2482649460001,-165.10201982 20.250072946,-165.11962182 20.2519619460001,-165.13721482 20.253931946,-165.15479682 20.2559839460001,-165.17236882 20.258115946,-165.18992982 20.2603299460001,-165.20747882 20.2626239460001,-165.22501682 20.264998946,-165.24254182 20.267454946,-165.26005482 20.2699919460001,-165.27755382 20.272609946,-165.29503982 20.2753079460001,-165.31251282 20.278086946,-165.32997082 20.280945946,-165.34741382 20.2838859460001,-165.36484182 20.286905946,-165.38225482 20.2900059460001,-165.39965182 20.293186946,-165.41703182 20.2964479460001,-165.43439582 20.299788946,-165.45174282 20.303209946,-165.46907182 20.3067109460001,-165.48638282 20.3102909460001,-165.49198082 20.3114669460001,-165.50402282 20.3140249460001,-165.52129682 20.3177649460001,-165.53855182 20.321584946,-165.54799282 20.323720946,-165.54867982 20.3236159460001,-165.56618982 20.3210279460001,-165.58371382 20.318520946,-165.60124882 20.316093946,-165.61879682 20.313747946,-165.63635582 20.3114829460001,-165.65392682 20.3092989460001,-165.67150882 20.307196946,-165.68910082 20.305174946,-165.706702821 20.303233946,-165.724314821 20.3013739460001,-165.741934821 20.2995959460001,-165.759564821 20.297898946,-165.777202821 20.2962829460001,-165.794848821 20.294747946,-165.812502821 20.2932949460001,-165.830163821 20.2919229460001,-165.847830821 20.2906319460001,-165.865504821 20.2894229460001,-165.883184821 20.2882959460001,-165.900869821 20.287249946,-165.918559821 20.286284946,-165.936254821 20.285401946,-165.953954821 20.2845999460001,-165.971657821 20.2838799460001,-165.989364821 20.283241946,-166.007073821 20.2826849460001,-166.024785821 20.282209946,-166.042500821 20.281816946,-166.060216821 20.281504946,-166.077934821 20.2812749460001,-166.095652821 20.281125946,-166.113371821 20.281059946,-166.131090821 20.281073946,-166.148809821 20.281170946,-166.166528821 20.281348946,-166.184245821 20.2816089460001,-166.201960821 20.2819499460001,-166.219674821 20.2823729460001,-166.237385821 20.282877946,-166.255094821 20.283463946,-166.272799821 20.2841319460001,-166.290501821 20.284881946,-166.308199821 20.285712946,-166.325892821 20.2866259460001,-166.343581821 20.2876199460001,-166.361264821 20.2886959460001,-166.364795821 20.2889199460001,-166.379162821 20.2898669460001,-166.396834821 20.2911049460001,-166.414499821 20.292424946,-166.432157821 20.293826946,-166.449808821 20.295309946,-166.467451821 20.2968739460001,-166.485086821 20.2985189460001,-166.502713821 20.3002459460001,-166.520330821 20.3020539460001,-166.537939821 20.3039429460001,-166.555537821 20.305912946,-166.573125821 20.307964946,-166.590272821 20.3100439460001,-166.600424821 20.3112849460001,-166.617990821 20.313497946,-166.635546821 20.315792946,-166.653089821 20.3181679460001,-166.670621821 20.3206239460001,-166.688139821 20.323159946,-166.705645821 20.3257779460001,-166.723137821 20.328475946,-166.740616821 20.3312539460001,-166.758079821 20.3341129460001,-166.775529822 20.337052946,-166.792963822 20.3400729460001,-166.810382822 20.343172946,-166.827785822 20.346353946,-166.845171822 20.349613946,-166.862541822 20.3529549460001,-166.879893822 20.3563759460001,-166.897228822 20.359875946,-166.914545822 20.363456946,-166.931844822 20.3671169460001,-166.949124822 20.3708569460001,-166.966385822 20.374675946,-166.976390822 20.3769289460001,-166.992681822 20.380614946,-167.009903822 20.3845929460001,-167.027104822 20.388650946,-167.044284822 20.3927879460001,-167.061443822 20.397003946,-167.078581822 20.4012989460001,-167.095697822 20.405672946,-167.112790822 20.4101259460001,-167.129860822 20.414656946,-167.146907822 20.4192669460001,-167.162995822 20.4236959460001,-167.177317822 20.4275739460001,-167.194341822 20.432262946,-167.211342822 20.4370299460001,-167.228318822 20.441874946,-167.245269822 20.4467979460001,-167.262195822 20.451798947,-167.279096822 20.4568789470001,-167.295971822 20.4620359470001,-167.312819822 20.467270947,-167.329640822 20.472582947,-167.346434822 20.4779729470001,-167.363201822 20.483439947,-167.379940822 20.4889839470001,-167.396650822 20.494604947,-167.413332822 20.500302947,-167.429984822 20.5060779470001,-167.446607822 20.5119299470001,-167.463200822 20.517857947,-167.479763822 20.5238629470001,-167.496295822 20.5299429470001,-167.512795822 20.536099947,-167.529265822 20.542332947,-167.539892822 20.546401947,-167.546967822 20.549127947,-167.563372822 20.5555119470001,-167.579745822 20.5619719470001,-167.596084822 20.5685069470001,-167.612390822 20.575116947,-167.628663822 20.581801947,-167.644900822 20.5885619470001,-167.661104822 20.595396947,-167.677272822 20.602306947,-167.693405822 20.609290947,-167.709503822 20.6163489470001,-167.725564822 20.6234809470001,-167.741589822 20.6306869470001,-167.757576822 20.6379659470001,-167.773527822 20.6453199470001,-167.789440822 20.652745947,-167.805315822 20.6602459470001,-167.821151822 20.6678189470001,-167.836949822 20.675464947,-167.852707823 20.683182947,-167.868426823 20.690973947,-167.884105823 20.6988369470001,-167.899744823 20.7067719470001,-167.915342823 20.7147799470001,-167.930899823 20.7228589470001,-167.946415823 20.7310089470001,-167.961889823 20.7392309470001,-167.977321823 20.747523947,-167.992710823 20.7558879470001,-168.008056823 20.764322947,-168.023360823 20.7728279470001,-168.038619823 20.7814039470001,-168.053835823 20.7900499470001,-168.069006823 20.798765947,-168.084133823 20.807551947,-168.099214823 20.8164069470001,-168.114250823 20.8253309470001,-168.129240823 20.834324947,-168.144184823 20.8433869470001,-168.159082823 20.8525189470001,-168.173933823 20.861717947,-168.188736823 20.8709869470001,-168.203492823 20.880322947,-168.218200823 20.889726947,-168.232860823 20.8991979470001,-168.247471823 20.908736947,-168.262033823 20.918342947,-168.276546823 20.9280159470001,-168.291009823 20.937755947,-168.305422823 20.9475619470001,-168.319784823 20.957433947,-168.334096823 20.9673729470001,-168.348357823 20.977376947,-168.362566823 20.987446947,-168.376723823 20.9975819470001,-168.390829823 21.0077819470001,-168.404882823 21.0180469470001,-168.418882823 21.028375947,-168.432828823 21.038769947,-168.446722823 21.0492279470001,-168.460561823 21.0597489470001,-168.474347823 21.070334947,-168.488078823 21.0809829470001,-168.501754823 21.0916949470001,-168.515375823 21.102469947,-168.528940823 21.1133069470001,-168.542449823 21.1242059470001,-168.555903823 21.1351669470001,-168.569300823 21.146190947,-168.582640823 21.1572749470001,-168.595923823 21.1684209470001,-168.609148823 21.179628947,-168.622315823 21.1908959470001,-168.635425823 21.2022239470001,-168.648476823 21.2136129470001,-168.661468823 21.225060947,-168.674401823 21.236568947,-168.687275823 21.248136947,-168.700089823 21.2597629470001,-168.712842823 21.2714489470001,-168.725536823 21.283191947,-168.738169823 21.2949949470001,-168.750741823 21.306854947,-168.763251823 21.3187729470001,-168.775700823 21.3307479470001,-168.788087823 21.3427799470001,-168.800412823 21.3548699470001,-168.812674823 21.367015947,-168.824873823 21.379217947,-168.837009823 21.3914759470001,-168.849082823 21.4037899470001,-168.861091823 21.416158947,-168.873036823 21.4285829470001,-168.884916823 21.441061947,-168.896732823 21.4535959470001,-168.908483823 21.466183947,-168.920169824 21.4788259470001,-168.931789824 21.491520947,-168.943343824 21.5042699470001,-168.954831824 21.517071947,-168.966253824 21.529925948,-168.977608824 21.5428329480001,-168.988896824 21.555791948,-168.991788824 21.5591329480001,-169.000537824 21.5692869480001,-169.011690824 21.5823499480001,-169.022775824 21.595462948,-169.033792824 21.6086269480001,-169.044741824 21.6218419480001,-169.055621824 21.635105948,-169.066433824 21.648420948,-169.077174824 21.661784948,-169.087847824 21.6751989480001,-169.098449824 21.6886609480001,-169.108982824 21.7021719480001,-169.119444824 21.715731948,-169.129836824 21.7293389480001,-169.140157824 21.742993948,-169.150406824 21.7566959480001,-169.160585824 21.770444948,-169.170691824 21.784240948,-169.180726824 21.7980829480001,-169.190688824 21.8119709480001,-169.200578824 21.8259049480001,-169.202338824 21.828399948,-169.204938824 21.8317439480001,-169.215412824 21.845301948,-169.217042824 21.8474349480001,-169.221973824 21.8490499480001,-169.238840824 21.8546619480001,-169.255678824 21.8603499480001,-169.272487824 21.8661159480001,-169.289266824 21.871956948,-169.306015824 21.8778759480001,-169.322734824 21.883869948,-169.339422824 21.8899409480001,-169.356078824 21.8960869480001,-169.372703824 21.902309948,-169.389296824 21.9086079480001,-169.405857824 21.9149809480001,-169.422384824 21.921430948,-169.438879824 21.927954948,-169.455340824 21.934553948,-169.471767824 21.9412279480001,-169.488159824 21.9479769480001,-169.504517824 21.9548009480001,-169.520839824 21.961698948,-169.537126824 21.9686719480001,-169.553378824 21.9757179480001,-169.569592824 21.9828389480001,-169.585771824 21.9900329480001,-169.601912824 21.997300948,-169.618015824 22.004641948,-169.634081824 22.0120569480001,-169.650109824 22.019544948,-169.666098824 22.027104948,-169.682048824 22.034738948,-169.697959824 22.042444948,-169.713830824 22.0502229480001,-169.729661824 22.0580739480001,-169.745451824 22.0659969480001,-169.761201824 22.0739909480001,-169.776909824 22.0820579480001,-169.792576824 22.090194948,-169.808200824 22.0984039480001,-169.823783824 22.1066839480001,-169.839323824 22.1150349480001,-169.854819824 22.1234569480001,-169.870272824 22.1319489480001,-169.885682824 22.140510948,-169.901047824 22.1491439480001,-169.916367824 22.157845948,-169.931643824 22.1666179480001,-169.946873824 22.175459948,-169.962058824 22.184370948,-169.977197824 22.193350948,-169.992289824 22.2023989480001,-170.006541825 22.2110359480001,-170.015812825 22.2095569480001,-170.033520825 22.206813948,-170.051242825 22.2041519480001,-170.068977825 22.201569948,-170.086725825 22.199068948,-170.104485825 22.1966479480001,-170.122258825 22.1943079480001,-170.140043825 22.192047948,-170.157839825 22.189869948,-170.175645825 22.187771948,-170.193462825 22.1857549480001,-170.211290825 22.1838189480001,-170.229127825 22.181963948,-170.246973825 22.1801899480001,-170.264828825 22.178496948,-170.282692825 22.1768849480001,-170.300563825 22.1753539480001,-170.318443825 22.173904948,-170.336329825 22.1725359480001,-170.354222825 22.171248948,-170.372122825 22.1700419480001,-170.390027825 22.1689179480001,-170.407938825 22.1678739480001,-170.425855825 22.1669119480001,-170.443775825 22.1660309480001,-170.461701825 22.165230948,-170.479630825 22.164512948,-170.497562825 22.1638769480001,-170.515498825 22.163320948,-170.533436825 22.162846948,-170.551376825 22.1624549480001,-170.569318825 22.1621439480001,-170.587262825 22.1619139480001,-170.605207825 22.161765948,-170.623152825 22.161698948,-170.629483825 22.161694948,-170.641359825 22.1617139480001,-170.659304825 22.161809948,-170.677248825 22.161987948,-170.695192825 22.1622469480001,-170.713133825 22.1625879480001,-170.731073825 22.163009948,-170.749010825 22.1635129480001,-170.766944825 22.1640979480001,-170.784876825 22.164764948,-170.802803825 22.1655119480001,-170.820727825 22.166340948,-170.838646825 22.1672519480001,-170.856561825 22.1682429480001,-170.874470825 22.1693159480001,-170.892373825 22.1704709480001,-170.910271825 22.1717059480001,-170.928161825 22.173022948,-170.946045825 22.174420948,-170.963922825 22.1758999480001,-170.981790825 22.177460948,-170.999651825 22.179101948,-171.017503825 22.1808249480001,-171.035346825 22.1826279480001,-171.053179825 22.1845129480001,-171.071003826 22.1864779480001,-171.088817826 22.1885239480001,-171.106620826 22.190650948,-171.124411826 22.192858948,-171.142192826 22.1951479480001,-171.159960826 22.197516948,-171.177716826 22.1999669480001,-171.195459826 22.202497948,-171.213190826 22.205108948,-171.230906826 22.2077999480001,-171.248609826 22.2105719480001,-171.266297826 22.2134239480001,-171.283971826 22.2163559480001,-171.301629826 22.2193689480001,-171.319272826 22.222461948,-171.336899826 22.225634948,-171.354509826 22.228886948,-171.372103826 22.232219948,-171.389679826 22.235631948,-171.407237826 22.239124948,-171.424778826 22.2426959480001,-171.442300826 22.2463479480001,-171.459803826 22.2500789480001,-171.477287826 22.2538889480001,-171.494751826 22.2577789480001,-171.512196826 22.2617479480001,-171.529619826 22.2657959480001,-171.547022826 22.269921948,-171.564403826 22.2741279480001,-171.581763826 22.278412948,-171.599101826 22.282776948,-171.616416826 22.287218948,-171.633708826 22.291738948,-171.650977826 22.296338948,-171.668222826 22.301015948,-171.685442826 22.305771948,-171.702639826 22.310604948,-171.719810826 22.315516948,-171.736956826 22.3205069480001,-171.754077826 22.3255739480001,-171.771171826 22.330718948,-171.788238826 22.335941948,-171.805279826 22.3412419480001,-171.822292826 22.3466189480001,-171.839278826 22.3520729480001,-171.856235826 22.3576039480001,-171.873164826 22.3632129480001,-171.890064826 22.368897948,-171.906935826 22.374658948,-171.923776826 22.380496948,-171.940586826 22.386411948,-171.957366826 22.392401948,-171.974116826 22.3984689480001,-171.990834826 22.404611948,-172.007520826 22.4108299480001,-172.024174826 22.417124948,-172.039994826 22.423186948,-172.056534826 22.4244769480001,-172.074442826 22.425955948,-172.092343826 22.4275159480001,-172.110235826 22.4291569480001,-172.128119826 22.430877948,-172.145994827 22.432680948,-172.163860827 22.4345649480001,-172.181715827 22.436529948,-172.199561827 22.4385749480001,-172.217395827 22.440701948,-172.235219827 22.442908948,-172.253031827 22.445196948,-172.270831827 22.447564948,-172.288619827 22.450013948,-172.306394827 22.452543948,-172.324156827 22.455153948,-172.341904827 22.4578449480001,-172.359639827 22.4606159480001,-172.377359827 22.4634669480001,-172.395064827 22.4663979480001,-172.412754827 22.4694099480001,-172.430429827 22.4725019480001,-172.448087827 22.4756739480001,-172.465729827 22.478924948,-172.483354827 22.482256948,-172.500962827 22.4856679480001,-172.518552827 22.4891589480001,-172.536124827 22.492729948,-172.553678827 22.496379948,-172.571213827 22.500109948,-172.588728827 22.503918948,-172.606224827 22.5078069480001,-172.623700827 22.511774948,-172.641155827 22.5158209480001,-172.658589827 22.519946948,-172.676002827 22.5241519480001,-172.693393827 22.528434948,-172.710762827 22.5327969480001,-172.728109827 22.537237948,-172.745432827 22.5417569480001,-172.762732827 22.546354948,-172.780008827 22.5510309480001,-172.797261827 22.5557849480001,-172.814488827 22.5606169480001,-172.831691827 22.5655269480001,-172.848868827 22.570514948,-172.866020827 22.575580948,-172.883145827 22.5807239480001,-172.900244827 22.5859449480001,-172.917316827 22.5912429480001,-172.934360827 22.5966189480001,-172.951377827 22.6020709490001,-172.968365827 22.6076009490001,-172.985325827 22.6132069490001,-173.002256827 22.618889949,-173.019158827 22.6246499490001,-173.036029827 22.630486949,-173.052871827 22.6363989490001,-173.069682827 22.6423879490001,-173.086462827 22.648452949,-173.103211827 22.6545939490001,-173.119928827 22.6608099490001,-173.136613827 22.667101949,-173.153266827 22.673469949,-173.169885827 22.679912949,-173.186472827 22.6864309490001,-173.203024827 22.6930239490001,-173.219543828 22.6996919490001,-173.236027828 22.706434949,-173.252476828 22.713251949,-173.268890828 22.720143949,-173.285268828 22.7271099490001,-173.301610828 22.734149949,-173.317916828 22.741263949,-173.334185828 22.7484509490001,-173.345569828 22.7535439490001,-173.359491828 22.7512029490001,-173.377239828 22.7483019490001,-173.395001828 22.7454809490001,-173.412777828 22.7427399490001,-173.430568828 22.7400789490001,-173.448371828 22.737499949,-173.466188828 22.734999949,-173.484017828 22.7325809490001,-173.501859828 22.7302429490001,-173.519712828 22.7279849490001,-173.537576828 22.7258079490001,-173.555452828 22.7237119490001,-173.573338828 22.721695949,-173.591234828 22.719761949,-173.609140828 22.7179079490001,-173.627055828 22.716134949,-173.644979828 22.714442949,-173.662911828 22.7128319490001,-173.680852828 22.7113029490001,-173.698800828 22.709853949,-173.716755828 22.7084859490001,-173.734718828 22.707199949,-173.752686828 22.7059949490001,-173.770661828 22.7048709490001,-173.788641828 22.7038279490001,-173.806626828 22.7028659490001,-173.824616828 22.7019859490001,-173.842610828 22.701186949,-173.860608828 22.700468949,-173.878609828 22.699832949,-173.896614828 22.6992779490001,-173.914621828 22.6988049490001,-173.932630828 22.698411949,-173.950642828 22.698101949,-173.968654828 22.697871949,-173.986668828 22.6977239490001,-174.004682828 22.6976569490001,-174.022696828 22.697671949,-174.040710828 22.697767949,-174.058723828 22.697945949,-174.076735828 22.6982049490001,-174.094746828 22.6985449490001,-174.112755828 22.6989669490001,-174.130761828 22.699469949,-174.148764828 22.700054949,-174.166765828 22.7007199490001,-174.184761828 22.7014679490001,-174.202754828 22.7022959490001,-174.220742828 22.7032059490001,-174.238725828 22.7041969490001,-174.256704828 22.7052689490001,-174.274676828 22.7064229490001,-174.292642829 22.7076569490001,-174.310602829 22.708972949,-174.328555829 22.710369949,-174.346500829 22.7118479490001,-174.364438829 22.713407949,-174.382367829 22.7150479490001,-174.400288829 22.716768949,-174.418200829 22.718570949,-174.436102829 22.720453949,-174.453995829 22.722417949,-174.471877829 22.724462949,-174.489749829 22.7265889490001,-174.507609829 22.7287949490001,-174.525458829 22.731081949,-174.543295829 22.733449949,-174.561120829 22.735897949,-174.578932829 22.738426949,-174.596731829 22.741035949,-174.614516829 22.7437249490001,-174.632287829 22.7464949490001,-174.650044829 22.749344949,-174.667786829 22.752275949,-174.685513829 22.755285949,-174.703224829 22.758376949,-174.720919829 22.761546949,-174.738598829 22.7647979490001,-174.756260829 22.7681279490001,-174.773905829 22.771537949,-174.791532829 22.775027949,-174.809140829 22.7785969490001,-174.826731829 22.7822459490001,-174.844302829 22.785973949,-174.861854829 22.789781949,-174.879387829 22.7936689490001,-174.896899829 22.797634949,-174.914390829 22.8016799490001,-174.931861829 22.8058039490001,-174.949310829 22.8100069490001,-174.966738829 22.8142889490001,-174.984144829 22.8186489490001,-175.001526829 22.8230879490001,-175.018886829 22.827605949,-175.036223829 22.832201949,-175.053536829 22.836875949,-175.070824829 22.841627949,-175.088088829 22.8464589490001,-175.105327829 22.8513669490001,-175.122541829 22.856352949,-175.139728829 22.861416949,-175.156890829 22.866558949,-175.174025829 22.871777949,-175.191133829 22.8770739490001,-175.208213829 22.882446949,-175.225266829 22.887897949,-175.242291829 22.8934259490001,-175.259286829 22.8990299490001,-175.276253829 22.904710949,-175.293191829 22.9104689490001,-175.310099829 22.9163029490001,-175.326976829 22.922212949,-175.343823829 22.928199949,-175.360639829 22.9342629490001,-175.37742483 22.940400949,-175.39417783 22.946615949,-175.41089883 22.9529049490001,-175.42758683 22.959270949,-175.44424183 22.965711949,-175.46086383 22.9722269490001,-175.47745183 22.9788179490001,-175.49400583 22.9854839490001,-175.51052483 22.992223949,-175.52700983 22.9990389490001,-175.54345883 23.0059279490001,-175.55987283 23.0128919490001,-175.57625083 23.0199289490001,-175.59259183 23.027040949,-175.60889583 23.0342259490001,-175.62516283 23.0414849490001,-175.64139283 23.0488169490001,-175.65758383 23.0562219490001,-175.67373783 23.0636999490001,-175.68985183 23.071251949,-175.70592683 23.0788749490001,-175.72196283 23.0865719490001,-175.73795883 23.0943409490001,-175.75391483 23.1021809490001,-175.76982983 23.110093949,-175.78570383 23.1180789490001,-175.80153583 23.1261349490001,-175.81732683 23.1342629490001,-175.83307583 23.1424619490001,-175.84878183 23.150730949,-175.86444483 23.1590719490001,-175.88006483 23.167482949,-175.89564183 23.175964949,-175.91117383 23.1845169490001,-175.92666183 23.1931389490001,-175.94210483 23.2018309490001,-175.95750283 23.210591949,-175.97285583 23.219422949,-175.98816183 23.2283229490001,-176.00342283 23.2372929490001,-176.01863683 23.246329949,-176.03380383 23.2554369490001,-176.04892283 23.264611949,-176.06399483 23.2738549490001,-176.07901883 23.2831659490001,-176.09399483 23.292543949,-176.10892183 23.3019909490001,-176.12379883 23.311503949,-176.13862683 23.3210849490001,-176.15340583 23.330731949,-176.16813383 23.3404459490001,-176.18281183 23.350225949,-176.19743783 23.360072949,-176.21201383 23.3699849490001,-176.22653683 23.3799629490001,-176.24100883 23.3900069490001,-176.25542883 23.4001159490001,-176.26979583 23.4102889490001,-176.28410983 23.4205279490001,-176.29836983 23.430830949,-176.31257683 23.4411979490001,-176.32672983 23.4516289490001,-176.34082883 23.462123949,-176.35487183 23.472681949,-176.36886083 23.4833039490001,-176.38279383 23.493988949,-176.39667183 23.5047359490001,-176.41049283 23.5155459490001,-176.42425783 23.5264179490001,-176.437966831 23.537352949,-176.451617831 23.5483489490001,-176.465210831 23.5594059490001,-176.478746831 23.5705249490001,-176.492224831 23.581703949,-176.505644831 23.5929449490001,-176.519004831 23.6042449490001,-176.532306831 23.615605949,-176.545548831 23.627026949,-176.558731831 23.638506949,-176.571853831 23.6500469490001,-176.584915831 23.661645949,-176.597916831 23.67330395,-176.610857831 23.68501995,-176.623736831 23.69679395,-176.636553831 23.7086269500001,-176.649308831 23.72051695,-176.662001831 23.7324639500001,-176.674631831 23.7444689500001,-176.687199831 23.7565299500001,-176.699703831 23.7686479500001,-176.712143831 23.7808229500001,-176.724520831 23.7930529500001,-176.736833831 23.8053389500001,-176.749081831 23.8176799500001,-176.761264831 23.83007695,-176.773382831 23.84252795,-176.785435831 23.8550339500001,-176.797422831 23.8675939500001,-176.809343831 23.8802079500001,-176.821198831 23.8928759500001,-176.832986831 23.9055959500001,-176.844707831 23.9183699500001,-176.856361831 23.9311969500001,-176.867948831 23.9440759500001,-176.879466831 23.9570069500001,-176.890917831 23.9699899500001,-176.902299831 23.9830249500001,-176.913613831 23.9961109500001,-176.924858831 24.00924695,-176.936033831 24.0224339500001,-176.947139831 24.0356709500001,-176.958175831 24.04895895,-176.969141831 24.0622959500001,-176.980037831 24.07568195,-176.990862831 24.0891169500001,-177.001616831 24.1026009500001,-177.012299831 24.1161329500001,-177.022910831 24.1297129500001,-177.033450831 24.14334095,-177.043917831 24.1570159500001,-177.054313831 24.17073795,-177.064635831 24.1845069500001,-177.074885831 24.19832295,-177.085062831 24.2121839500001,-177.095165831 24.2260909500001,-177.105195831 24.24004395,-177.115151831 24.25404095,-177.125033831 24.2680839500001,-177.134840831 24.28216995,-177.144573831 24.29630095,-177.154231831 24.3104749500001,-177.163813831 24.32469295,-177.173320831 24.3389539500001,-177.182752831 24.3532579500001,-177.192107831 24.36760395,-177.201387831 24.38199095,-177.210590831 24.39642095,-177.219716831 24.4108919500001,-177.228765831 24.42540395,-177.237737831 24.4399559500001,-177.246632831 24.4545489500001,-177.255449831 24.4691809500001,-177.264188831 24.48385295,-177.272849831 24.4985649500001,-177.281432831 24.5133149500001,-177.289936831 24.5281039500001,-177.298362831 24.54293095,-177.306708831 24.5577949500001,-177.314975831 24.5726979500001,-177.323163831 24.58763695,-177.331271831 24.60261295,-177.339298831 24.61762495,-177.347246831 24.63267295,-177.355114831 24.64775695,-177.362500831 24.66209995,-177.368072831 24.6641549500001,-177.369122831 24.6645409500001,-177.386070831 24.6708169500001,-177.402985831 24.6771679500001,-177.419866831 24.68359495,-177.436715831 24.6900959500001,-177.453529831 24.6966729500001,-177.470309831 24.70332395,-177.487054831 24.71004995,-177.503763831 24.71684995,-177.520438832 24.7237239500001,-177.537076832 24.73067295,-177.553678832 24.73769495,-177.570244832 24.74479095,-177.586772832 24.7519609510001,-177.603263832 24.7592039510001,-177.619716832 24.7665199510001,-177.636130832 24.7739099510001,-177.652506832 24.781371951,-177.668843832 24.7889069510001,-177.685141832 24.7965149510001,-177.701399832 24.8041949510001,-177.717616832 24.811947951,-177.733793832 24.8197719510001,-177.749929832 24.827667951,-177.766024832 24.835635951,-177.782077832 24.843675951,-177.798088832 24.8517859510001,-177.814056832 24.859967951,-177.829982832 24.8682209510001,-177.836912832 24.8718519510001,-177.850335832 24.873296951,-177.868515832 24.8753359510001,-177.886684832 24.8774559510001,-177.904842832 24.8796549510001,-177.922988832 24.8819359510001,-177.941122832 24.8842959510001,-177.959244832 24.886736951,-177.971957832 24.888498951,-177.978335832 24.889395951,-177.996431832 24.8919979510001,-178.014513832 24.8946789510001,-178.032581832 24.8974409510001,-178.050634832 24.9002829510001,-178.068673832 24.9032049510001,-178.086696832 24.9062069510001,-178.104703832 24.9092879510001,-178.122694832 24.912449951,-178.140669832 24.915690951,-178.158627832 24.9190109510001,-178.160064832 24.9192809510001,-178.165779832 24.9203459510001,-178.183719832 24.9237469510001,-178.201642832 24.927225951,-178.219546832 24.9307849510001,-178.237432832 24.934423951,-178.255298832 24.938140951,-178.273145832 24.9419379510001,-178.290973832 24.945813951,-178.308780832 24.9497679510001,-178.326566832 24.9538019510001,-178.344331832 24.957913951,-178.362074832 24.9621049510001,-178.379796832 24.966374951,-178.397495832 24.970722951,-178.415171832 24.9751489510001,-178.432825832 24.979653951,-178.450454832 24.9842359510001,-178.468060832 24.9888969510001,-178.485641832 24.993635951,-178.503198832 24.998452951,-178.520729832 25.003346951,-178.538235832 25.008318951,-178.555714832 25.0133689510001,-178.573167832 25.018495951,-178.590594833 25.023699951,-178.607993833 25.028981951,-178.614463833 25.030966951,-178.626273833 25.034618951,-178.643616833 25.0400549510001,-178.660931833 25.0455669510001,-178.678217833 25.0511559510001,-178.695474833 25.0568209510001,-178.700786833 25.058590951,-178.703242833 25.0588109510001,-178.721489833 25.060526951,-178.739728833 25.0623229510001,-178.757956833 25.064199951,-178.776175833 25.066157951,-178.794383833 25.0681959510001,-178.812581833 25.0703149510001,-178.830767833 25.0725139510001,-178.832065833 25.0726749510001,-178.849165833 25.074821951,-178.867328833 25.0771819510001,-178.885478833 25.079621951,-178.903615833 25.082142951,-178.921740833 25.0847439510001,-178.939850833 25.0874249510001,-178.957946833 25.090185951,-178.958108833 25.0902109510001,-178.965605833 25.0913649510001,-178.977277833 25.0931889510001,-178.981415833 25.093827951,-178.999498833 25.096668951,-179.017565833 25.099589951,-179.035617833 25.102590951,-179.053653833 25.105671951,-179.071673833 25.1088319510001,-179.089677833 25.1120719510001,-179.107663833 25.115391951,-179.125632833 25.1187909510001,-179.143583833 25.1222699510001,-179.161516833 25.1258279510001,-179.179430833 25.129464951,-179.197325833 25.133181951,-179.215201833 25.1369779510001,-179.233056833 25.1408519510001,-179.250892833 25.144805951,-179.268706833 25.1488379510001,-179.286500833 25.152949951,-179.304272833 25.157138951,-179.322022833 25.1614079510001,-179.339749833 25.1657549510001,-179.357454833 25.170179951,-179.361257833 25.171141951,-179.370237833 25.1734239510001,-179.381989833 25.1764259510001,-179.399647833 25.181007951,-179.416817833 25.1855439510001,-179.417557833 25.1857409510001,-179.435166833 25.190478951,-179.452751833 25.1952939510001,-179.470311833 25.200186951,-179.487845833 25.205157951,-179.505353833 25.210205951,-179.522835833 25.2153319510001,-179.540289833 25.220534951,-179.557717833 25.2258149510001,-179.575117833 25.231170951,-179.592488833 25.2366049510001,-179.609832833 25.2421159510001,-179.627146833 25.2477029510001,-179.644431833 25.253366951,-179.661686834 25.259106951,-179.678912834 25.2649239510001,-179.696106834 25.270815951,-179.713270834 25.276784951,-179.730403834 25.2828289510001,-179.747504834 25.2889489510001,-179.764573834 25.2951439510001,-179.781609834 25.301414951,-179.798613834 25.307760951,-179.815583834 25.3141829510001,-179.832519834 25.320678951,-179.849422834 25.3272499510001,-179.866290834 25.333895951,-179.883123834 25.3406159510001,-179.899921834 25.347410951,-179.916683834 25.354279951,-179.933410834 25.3612219510001,-179.950099834 25.368238951,-179.966752834 25.375328951,-179.968940834 25.376267951,-179.983582834 25.3825849510001,-179.999999834 25.3897649510001),(-156.046108812 19.768608946,-156.048981812 19.735062946,-156.037536812 19.706380946,-156.012527811 19.666035946,-155.879090811 19.361798945,-155.890318811 19.269444945,-155.900327811 19.2130539450001,-155.907863811 19.158744945,-155.900299811 19.090335945,-155.855145811 19.031244945,-155.800427811 19.030898945,-155.703918811 18.976935945,-155.676099811 18.955617945,-155.663145811 18.9254809450001,-155.589872811 18.9877719450001,-155.553890811 19.042498945,-155.551136811 19.0767989450001,-155.539272811 19.103462945,-155.518645811 19.124162945,-155.498318811 19.1377719450001,-155.287108811 19.2756899450001,-155.240845811 19.284162945,-155.212390811 19.2747179450001,-155.188336811 19.2731899450001,-155.167263811 19.276935945,-155.145290811 19.283335945,-155.005581811 19.328880945,-154.83207281 19.4559629460001,-154.81517281 19.4776359460001,-154.79781881 19.538080946,-154.85970881 19.575271946,-154.92419081 19.6095809460001,-154.966645811 19.650271946,-155.000854811 19.7460989460001,-155.085163811 19.880408946,-155.139190811 19.941108946,-155.160427811 19.964435946,-155.183345811 19.9851359460001,-155.210999811 20.0016629460001,-155.341245811 20.062353946,-155.432354811 20.1002719460001,-155.514772811 20.120826946,-155.574890811 20.1283269460001,-155.720554811 20.2072179460001,-155.727081811 20.2302719460001,-155.744736811 20.242217946,-155.823336811 20.272498946,-155.846545811 20.277635946,-155.867763811 20.265135946,-155.878599811 20.246653946,-155.887954811 20.2222179460001,-155.894545811 20.1737449460001,-155.874036811 20.113817946,-155.853881811 20.0833269460001,-155.823408811 20.0517989460001,-155.811127811 20.034298946,-155.813263811 20.0040269460001,-155.929581811 19.860689946,-155.967636811 19.850962946,-156.035154812 19.788671946,-156.046108812 19.768608946),(-156.697263812 20.9474899470001,-156.701599812 20.9260989470001,-156.688627812 20.886108947,-156.640563812 20.8297179470001,-156.626918812 20.821380947,-156.586427812 20.804717947,-156.570281812 20.7983269470001,-156.534318812 20.7862449470001,-156.517545812 20.793880947,-156.501399812 20.7994359470001,-156.483127812 20.797844947,-156.471954812 20.788326947,-156.451663812 20.735262947,-156.447536812 20.7188809470001,-156.446963812 20.699162947,-156.448336812 20.658053947,-156.448090812 20.6383269470001,-156.444045812 20.6119359470001,-156.420018812 20.5886089470001,-156.388363812 20.5822179470001,-156.374172812 20.580826947,-156.342236812 20.595689947,-156.199436812 20.638044947,-156.182218812 20.6372179470001,-156.169772812 20.634435947,-156.158627812 20.630271947,-156.139818812 20.629571947,-156.061708812 20.661098947,-156.045318812 20.673880947,-156.008090811 20.7088809470001,-156.001708811 20.7172089470001,-155.994718811 20.732217947,-155.988063811 20.751108947,-155.987245811 20.764298947,-155.993345811 20.782489947,-156.002254811 20.794989947,-156.027236811 20.811244947,-156.087772812 20.8402719470001,-156.113908812 20.840826947,-156.187499812 20.887498947,-156.196136812 20.8936089470001,-156.206699812 20.9047089470001,-156.216645812 20.9163809470001,-156.231381812 20.935480947,-156.288636812 20.9498539470001,-156.333354812 20.9460989470001,-156.352508812 20.9399899470001,-156.363308812 20.936108947,-156.378054812 20.918326947,-156.387390812 20.913326947,-156.470445812 20.8973539470001,-156.480008812 20.9027719470001,-156.494718812 20.934153947,-156.503390812 20.9536089470001,-156.511172812 20.973598947,-156.519472812 20.986653947,-156.526672812 20.993880947,-156.597090812 21.051380947,-156.661436812 21.013608947,-156.692227812 20.956935947,-156.697263812 20.9474899470001),(-158.264772814 21.586653948,-158.273499814 21.5777719480001,-158.235199814 21.4785359470001,-158.219999814 21.463053947,-158.203063814 21.451935947,-158.178072813 21.426380947,-158.136418813 21.381380947,-158.130863813 21.372771947,-158.123081813 21.359153947,-158.116390813 21.344717947,-158.113890813 21.3336089470001,-158.111663813 21.315271947,-158.108199813 21.301380947,-158.100572813 21.294444947,-157.985263813 21.3024989470001,-157.926136813 21.3206899470001,-157.902527813 21.336935947,-157.887527813 21.332771947,-157.867799813 21.3191629470001,-157.813081813 21.258880947,-157.760590813 21.2713809470001,-157.708645813 21.2686089470001,-157.665590813 21.324162947,-157.730318813 21.411662947,-157.780718813 21.4269359470001,-157.803363813 21.434708947,-157.844181813 21.471098947,-157.855136813 21.5113899470001,-157.876681813 21.576662948,-157.922545813 21.662489948,-157.928890813 21.670544948,-157.943908813 21.684435948,-157.957763813 21.692771948,-157.971927813 21.699435948,-158.011854813 21.6923539480001,-158.031708813 21.679435948,-158.047245813 21.6660989480001,-158.106936813 21.609717948,-158.264772814 21.586653948),(-159.789490815 22.0508269480001,-159.790318815 22.0359719480001,-159.786681815 22.022217948,-159.754199815 21.9791629480001,-159.707518815 21.9580449480001,-159.560272815 21.9002719480001,-159.505427815 21.8970809480001,-159.461118815 21.8837449480001,-159.451418815 21.8699899480001,-159.433627815 21.8813809480001,-159.378599815 21.9208269480001,-159.333099815 21.9655449480001,-159.288936815 22.1269449480001,-159.291827815 22.1413809480001,-159.317508815 22.190271948,-159.327481815 22.2016539480001,-159.349581815 22.219989948,-159.401672815 22.239153948,-159.552654815 22.2360989480001,-159.582645815 22.226244948,-159.714618815 22.1541629480001,-159.730318815 22.1372179480001,-159.785308815 22.0613809480001,-159.789490815 22.0508269480001),(-157.294172813 21.1436089470001,-157.304045813 21.0977719470001,-157.297390813 21.0901359470001,-157.259463813 21.088053947,-157.157518813 21.094435947,-157.119136813 21.1027719470001,-157.096127812 21.108889947,-157.082763812 21.1094359470001,-157.067808812 21.108889947,-157.054445812 21.1069359470001,-157.037227812 21.102489947,-157.021945812 21.095553947,-156.956390812 21.0708269470001,-156.888363812 21.048053947,-156.874999812 21.0461089470001,-156.867490812 21.045826947,-156.849454812 21.0491629470001,-156.838590812 21.0527719470001,-156.762127812 21.080826947,-156.750290812 21.090826947,-156.714718812 21.139435947,-156.705154812 21.1555449470001,-156.750454812 21.1727719470001,-156.791399812 21.176653947,-156.810654812 21.1651989470001,-156.829163812 21.1602719470001,-156.843627812 21.1602719470001,-156.894472812 21.161098947,-156.974454812 21.183044947,-157.034763812 21.194998947,-157.188627813 21.2097179470001,-157.244136813 21.198608947,-157.286990813 21.1544449470001,-157.294172813 21.1436089470001),(-157.055572812 20.910826947,-157.055972812 20.886662947,-156.966127812 20.7434629470001,-156.907254812 20.7377719470001,-156.891999812 20.7441629470001,-156.847263812 20.764435947,-156.839481812 20.7711089470001,-156.833099812 20.7794449470001,-156.817508812 20.8002719470001,-156.807372812 20.8156899470001,-156.805008812 20.8263809470001,-156.812254812 20.8436089470001,-156.823090812 20.854444947,-156.877227812 20.9038809470001,-156.890318812 20.913053947,-156.905027812 20.920826947,-156.924190812 20.927844947,-157.000608812 20.926653947,-157.014190812 20.9258269470001,-157.033081812 20.9230449470001,-157.046418812 20.919017947,-157.055572812 20.910826947),(-160.227199815 21.8913809480001,-160.247927815 21.843326948,-160.246399815 21.8115269480001,-160.231690815 21.800544948,-160.204463815 21.7835989480001,-160.199763815 21.7835989480001,-160.182218815 21.8369359480001,-160.147808815 21.885826948,-160.130418815 21.8847179480001,-160.114990815 21.887498948,-160.091281815 21.8965179480001,-160.071136815 21.9091629480001,-160.046536815 21.9980539480001,-160.061399815 22.0138809480001,-160.086245815 22.0173539480001,-160.182799815 21.9341539480001,-160.197536815 21.919989948,-160.227199815 21.8913809480001),(-177.387972831 28.2145719540001,-177.395845831 28.1874899540001,-177.393336831 28.1841539540001,-177.388063831 28.1863809540001,-177.364581831 28.2040179540001,-177.360545831 28.2204089540001,-177.373472831 28.221517954,-177.387972831 28.2145719540001)),((179.999999501 25.3897649510001,179.999838501 25.389822951,179.983298501 25.3971329510001,179.966796501 25.4045169510001,179.950333501 25.4119739510001,179.933909501 25.419502951,179.917525501 25.427103951,179.901180501 25.4347779510001,179.884876501 25.4425249510001,179.868613501 25.450342951,179.852390501 25.4582329510001,179.836209501 25.466193951,179.820070501 25.474226951,179.803973501 25.482331951,179.787919501 25.490506951,179.771908501 25.498752951,179.755940501 25.5070699510001,179.740015501 25.515457951,179.724135501 25.5239149510001,179.708300501 25.5324429510001,179.692509501 25.5410409510001,179.676763501 25.5497079510001,179.661063501 25.5584449510001,179.645409501 25.5672509510001,179.629802501 25.576126951,179.614241501 25.585070951,179.598727501 25.5940839510001,179.583261501 25.6031649510001,179.567842501 25.612314951,179.552472501 25.6215319510001,179.537150501 25.630817951,179.521878501 25.6401709510001,179.506654501 25.6495909510001,179.491480501 25.659077951,179.476357501 25.6686329510001,179.461283501 25.678253951,179.446261501 25.687941951,179.431289501 25.6976959510001,179.416369501 25.7075159510001,179.401501501 25.7174019510001,179.386685501 25.7273539510001,179.371922501 25.7373699510001,179.357211501 25.7474519510001,179.342554501 25.757598951,179.327950501 25.7678109510001,179.313401501 25.778085951,179.298905501 25.7884269510001,179.284465501 25.7988299510001,179.270079501 25.8092979510001,179.255749501 25.819828952,179.251425501 25.8230269520001,179.240490501 25.831151952,179.226271501 25.8418089520001,179.222534501 25.8446279520001,179.209892501 25.854201952,179.195786501 25.864983952,179.181738501 25.8758289520001,179.167747501 25.886734952,179.153813501 25.897702952,179.139938501 25.908732952,179.126121501 25.9198239520001,179.112363501 25.930975952,179.098664501 25.942187952,179.085025501 25.9534609520001,179.071446501 25.964792952,179.057926501 25.976185952,179.044467501 25.9876379520001,179.031069501 25.999149952,179.017732501 26.010719952,179.004456501 26.0223499520001,178.991243501 26.0340379520001,178.978091501 26.0457839520001,178.9650025 26.0575879520001,178.9519765 26.0694499520001,178.9390125 26.081368952,178.9261125 26.0933449520001,178.9132765 26.105377952,178.9005045 26.117467952,178.8877965 26.1296129520001,178.8751535 26.1418149520001,178.8625755 26.154072952,178.8500625 26.166385952,178.8376155 26.1787539520001,178.8252345 26.191176952,178.8129195 26.203653952,178.8006715 26.216185952,178.7884895 26.228770952,178.7763755 26.241409952,178.7643285 26.254102952,178.7523495 26.266848952,178.7404395 26.2796469520001,178.7285965 26.2924979520001,178.7168225 26.3054009520001,178.7051175 26.3183549520001,178.6934825 26.3313619520001,178.6819165 26.3444189520001,178.6704205 26.3575269520001,178.6589945 26.370685952,178.6476395 26.383895952,178.6363545 26.3971549520001,178.6251405 26.410463952,178.6236625 26.4122289520001,178.6137685 26.4240969520001,178.6026975 26.437503952,178.5916995 26.4509599520001,178.5807725 26.4644639520001,178.5699185 26.4780169520001,178.5591375 26.4916169520001,178.5484295 26.5052639520001,178.5377945 26.518958952,178.5272325 26.532700952,178.5167455 26.5464889520001,178.5063325 26.560322952,178.4959935 26.5742019520001,178.4857295 26.588127952,178.4755395 26.6020979520001,178.4654255 26.616112952,178.4553875 26.6301729520001,178.4454245 26.644276952,178.4355375 26.6584249520001,178.4257275 26.6726159520001,178.4159935 26.686849952,178.4063365 26.701126952,178.3967565 26.715445952,178.3872535 26.729807952,178.3778285 26.7442109520001,178.3684815 26.758655952,178.3592125 26.7731419520001,178.3500215 26.787667952,178.3409085 26.802234952,178.3318755 26.8168419520001,178.3312225 26.8179029520001,178.3272935 26.8243109520001,178.3245075 26.828780952,178.3154715 26.8433879520001,178.3065135 26.858033952,178.2976365 26.8727199520001,178.2888385 26.8874439520001,178.2801195 26.9022069530001,178.2714815 26.9170089530001,178.2629235 26.931847953,178.2544455 26.9467249530001,178.2460485 26.961638953,178.2377335 26.976589953,178.2294985 26.991577953,178.2213455 27.006601953,178.2132735 27.021660953,178.2052845 27.0367559530001,178.1973765 27.0518859530001,178.1963085 27.053944953,178.1894135 27.067315953,178.1816715 27.082514953,178.1740115 27.0977479530001,178.1664345 27.1130139530001,178.1589405 27.128313953,178.1515305 27.143645953,178.1442035 27.1590109530001,178.1369605 27.1744079530001,178.1298025 27.1898369530001,178.1227275 27.2052969530001,178.1157375 27.2207889530001,178.1088325 27.236309953,178.1020115 27.2518629530001,178.0952765 27.2674449530001,178.0886255 27.283055953,178.0820605 27.298696953,178.0755815 27.314365953,178.0691885 27.330063953,178.0628815 27.3457889530001,178.0566605 27.361542953,178.0505255 27.377322953,178.0444775 27.393130953,178.0385155 27.4089639530001,178.0326415 27.424823953,178.0268545 27.4407099530001,178.0211545 27.456620953,178.0155415 27.472556953,178.0100165 27.488516953,178.0045795 27.504500953,177.9992305 27.520509953,177.9939695 27.536540953,177.9887975 27.552595953,177.9837125 27.568672953,177.9787175 27.584771953,177.9738105 27.600893953,177.9689935 27.617035953,177.9642645 27.633199953,177.9596255 27.649383953,177.9550755 27.6655889530001,177.9506145 27.6818129530001,177.9462445 27.698056953,177.9419635 27.714319953,177.9377725 27.7306009530001,177.9336725 27.7469009530001,177.9336515 27.746984953,177.9336005 27.747188953,177.9295905 27.763505953,177.9256705 27.7798409530001,177.9218405 27.7961939530001,177.9181025 27.8125619530001,177.9144545 27.8289469530001,177.9108975 27.845347953,177.9074325 27.861763953,177.9040575 27.878195953,177.9007745 27.8946419530001,177.897582499 27.9111019530001,177.894482499 27.927575953,177.891473499 27.9440629530001,177.888557499 27.9605639530001,177.885732499 27.977076954,177.882999499 27.993601954,177.880359499 28.0101399540001,177.877811499 28.0266879540001,177.875355499 28.043247954,177.872991499 28.059817954,177.870720499 28.0763979540001,177.868542499 28.092987954,177.866456499 28.1095879540001,177.864464499 28.126195954,177.862564499 28.1428129540001,177.860757499 28.1594379540001,177.859044499 28.1760709540001,177.857423499 28.1927109540001,177.855896499 28.209357954,177.854462499 28.2260119540001,177.853122499 28.2426719540001,177.851875499 28.259336954,177.850722499 28.276006954,177.849662499 28.292682954,177.848697499 28.3093629540001,177.847825499 28.3260459540001,177.847046499 28.342733954,177.846362499 28.3594239540001,177.845772499 28.3761179540001,177.845276499 28.3928129540001,177.844874499 28.409510954,177.844566499 28.4262099540001,177.844352499 28.4429109540001,177.844233499 28.459611954,177.844208499 28.476312954,177.844277499 28.493013954,177.844440499 28.5097149540001,177.844698499 28.5264139540001,177.845051499 28.543111954,177.845498499 28.5598089540001,177.846040499 28.576502954,177.846315499 28.5840379540001,177.846686499 28.593477954,177.847233499 28.606170954,177.847601499 28.6142959540001,177.848426499 28.6309809540001,177.849346499 28.6476619540001,177.850361499 28.6643389540001,177.851470499 28.681010954,177.852674499 28.697677954,177.853973499 28.714339954,177.855367499 28.730994954,177.856855499 28.7476439540001,177.857601499 28.7556109540001,177.858510499 28.765040954,177.860188499 28.781675954,177.861960499 28.7983029540001,177.863828499 28.8149219540001,177.865790499 28.8315329540001,177.867847499 28.848134954,177.869999499 28.864727954,177.872245499 28.8813099540001,177.874586499 28.8978829540001,177.875416499 28.9035979540001,177.877130499 28.915185954,177.879661499 28.931736954,177.882287499 28.9482769540001,177.884916499 28.964262954,177.885130499 28.9655449540001,177.887945499 28.9820609540001,177.888229499 28.983694954,177.888280499 28.983990954,177.889411499 28.990474954,177.889603499 28.9915639540001,177.891318499 29.0012299540001,177.894322499 29.017719954,177.897421499 29.034195954,177.9006145 29.0506589550001,177.9039015 29.067106955,177.9063875 29.0792319550001,177.9073365 29.083795955,177.9108135 29.1002149550001,177.9143845 29.116616955,177.9180495 29.133003955,177.9218095 29.149373955,177.9256625 29.165726955,177.9296105 29.182062955,177.9336525 29.1983819550001,177.9377885 29.2146819550001,177.9420195 29.2309639550001,177.9463435 29.247226955,177.9507615 29.2634709550001,177.9552725 29.279694955,177.9598785 29.295898955,177.9602085 29.297045955,177.9647855 29.312804955,177.9695785 29.3289669550001,177.9744645 29.3451079550001,177.9794445 29.3612269550001,177.9845175 29.3773239550001,177.9896845 29.3933979550001,177.9949445 29.4094489550001,178.0002965 29.4254769550001,178.0057425 29.441480955,178.0112815 29.457460955,178.0169125 29.4734159550001,178.0226375 29.489345955,178.0284545 29.5052499550001,178.0343635 29.5211289550001,178.0403655 29.536980955,178.0464595 29.5528069550001,178.0526455 29.5686049550001,178.0589245 29.584375955,178.0652945 29.600118955,178.0717565 29.615833955,178.0783105 29.631518955,178.0849555 29.647175955,178.0916925 29.6628029550001,178.0985205 29.678400955,178.1012155 29.6844909550001,178.1056615 29.6944659550001,178.1126715 29.7100019550001,178.1197735 29.7255069550001,178.1269655 29.7409809550001,178.1342475 29.7564219550001,178.1416215 29.771830955,178.1490845 29.787207955,178.1566385 29.8025509550001,178.1642825 29.8178599550001,178.1720165 29.833135955,178.1798395 29.848376955,178.1877525 29.863583955,178.1957545 29.878755955,178.2038465 29.8938909550001,178.2109185 29.9069569550001,178.2121495 29.909215955,178.2204185 29.924278955,178.2287775 29.9393059550001,178.2372235 29.9542959550001,178.2457595 29.9692489550001,178.2543825 29.984162955,178.2630935 29.9990399550001,178.2718925 30.0138769550001,178.2719825 30.0140269550001,178.2752345 30.019488955,178.2841215 30.034287955,178.2930965 30.0490469550001,178.3021585 30.0637669550001,178.3113075 30.0784459550001,178.3185985 30.0900169550001,178.3209715 30.0937609550001,178.3214315 30.094485955,178.3306685 30.1089489550001,178.3400775 30.123504956,178.3495725 30.1380199560001,178.3536505 30.1442009560001,178.3593015 30.1527159560001,178.3689685 30.1671459560001,178.3787215 30.1815329560001,178.3885595 30.1958769560001,178.3984825 30.2101779560001,178.4084905 30.224433956,178.4101695 30.2268099560001,178.4188905 30.2390799560001,178.4290675 30.2532469560001,178.4393295 30.267368956,178.4496745 30.281445956,178.4601045 30.2954769560001,178.4706165 30.3094609560001,178.4812135 30.3233989560001,178.4832175 30.326017956,178.4863935 30.3301579560001,178.4923805 30.337925956,178.5031425 30.3517689560001,178.5139875 30.3655649560001,178.5249145 30.379312956,178.5359235 30.3930129560001,178.5470145 30.406662956,178.5523395 30.4131649560001,178.5586415 30.4208179560001,178.5698955 30.4343699560001,178.5705505 30.4351559560001,178.5797215 30.446085956,178.5818945 30.4486639560001,178.5933105 30.462115956,178.6048065 30.475516956,178.6163835 30.488867956,178.6280395 30.5021669560001,178.6397755 30.515414956,178.6515915 30.528609956,178.6533995 30.5306169560001,178.6643435 30.5427049560001,178.6763175 30.5557949560001,178.6881025 30.568544956,178.6885355 30.5690119560001,178.6904965 30.5711199560001,178.6908875 30.571540956,178.6915385 30.572241956,178.7036695 30.585225956,178.7158775 30.598155956,178.7281645 30.611032956,178.7405285 30.6238549560001,178.7529695 30.6366219560001,178.7654875 30.6493339560001,178.7780815 30.6619909560001,178.7907525 30.674591956,178.8034995 30.6871369560001,178.8163215 30.699624956,178.8292185 30.712056956,178.8421905 30.724430956,178.8552375 30.736747956,178.8683595 30.7490079560001,178.8815545 30.7612089560001,178.8948235 30.7733519560001,178.9081655 30.7854359560001,178.9215815 30.7974609560001,178.9350695 30.809426956,178.9486295 30.821332956,178.9622625 30.833178956,178.975966501 30.8449649560001,178.989742501 30.856689956,179.003588501 30.8683539560001,179.017506501 30.8799569560001,179.031493501 30.891497956,179.045551501 30.902976956,179.059678501 30.914393956,179.067692501 30.9208189560001,179.073920501 30.925784956,179.088185501 30.9370769560001,179.102519501 30.9483059560001,179.116921501 30.9594709560001,179.131391501 30.9705719560001,179.145929501 30.9816089560001,179.160533501 30.992582956,179.175204501 31.0034909560001,179.189942501 31.014334956,179.204746501 31.025112956,179.219615501 31.0358259560001,179.234549501 31.0464729560001,179.249549501 31.0570539560001,179.264612501 31.0675679560001,179.276472501 31.0757679560001,179.279959501 31.0781669560001,179.295151501 31.0885479560001,179.310406501 31.0988619560001,179.325724501 31.1091079560001,179.341104501 31.1192869560001,179.356547501 31.1293969560001,179.372051501 31.139439956,179.387616501 31.149412956,179.403243501 31.1593179560001,179.418930501 31.1691539560001,179.434677501 31.1789199560001,179.450484501 31.188615957,179.466350501 31.198242957,179.482276501 31.2077999570001,179.498259501 31.2172859570001,179.514301501 31.226700957,179.530400501 31.236044957,179.546557501 31.2453189570001,179.562770501 31.2545199570001,179.579040501 31.263649957,179.587152501 31.2681639570001,179.601524501 31.2761319570001,179.617906501 31.2851179570001,179.634343501 31.2940319570001,179.650835501 31.302871957,179.667381501 31.3116399570001,179.683980501 31.3203349570001,179.700633501 31.3289559570001,179.717340501 31.337502957,179.734098501 31.3459769570001,179.750909501 31.3543769570001,179.764148501 31.3609209570001,179.777054501 31.367283957,179.793968501 31.3755349570001,179.810933501 31.3837109570001,179.827949501 31.3918119570001,179.845014501 31.399836957,179.862128501 31.407786957,179.879292501 31.4156619570001,179.896503501 31.423460957,179.913763501 31.431182957,179.931071501 31.4388289570001,179.948425501 31.446398957,179.965826501 31.4538919570001,179.983274501 31.461307957,179.999999501 31.468262957,179.999999501 25.3897649510001)))', 'United States Exclusive Exclusive Economic Zone (Hawaii)', 'Hawaii', 'United States', '', '163', '160', 'USA', '8453', '2012-10 (name)', '2480254211000', '8453', 'Y'),('SRID=4326;MULTIPOLYGON(((-78.6333333329999 14.493611259,-79.9333329999999 15.502778,-80.065278 15.766667,-79.944444 15.9777780000001,-79.8422219999999 16.0708330000001,-79.769347763 16.0708330690001,-79.488888889 16.0708333330001,-79.488888889 16.1694444440001,-79.277777778 16.1694444440001,-79.277777778 16.0708333330001,-78.4305555559999 16.0708333330001,-78.4305555559999 15.6,-78.6333333329999 15.6,-78.6333333329999 14.493611259)))', 'Colombia - Jamaica (Joint Regime)', 'Colombia - Jamaica', 'Joint Regime', 'Colombia / Jamaica', '0', '165', '-', '21792', '', '18320775040', '21792', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.7177726379999 12.322427627,-16.717772902 12.322427126,-16.7102055789999 12.3254512340001,-16.684581516 12.335690514,-16.568054515 12.2749995140001,-16.5495815149999 12.2623635140001,-16.540606464 12.25215603,-16.507081862 12.214026989,-16.495281819 12.1845822010001,-16.495281787 12.1845821910001,-16.4952815149999 12.1845815140001,-16.4755767349999 12.178289778,-16.4552818679999 12.171809019,-16.4159379449999 12.180104848,-16.3505545149999 12.193890514,-16.292420025 12.2335795500001,-16.281390904 12.2411090860001,-16.2234729589999 12.2851360380001,-16.115281867 12.33332712,-16.118515203 12.32690805,-16.139309515 12.2856275140001,-16.197781515 12.259445514,-16.221945515 12.248054514,-16.2599995149999 12.2222185140001,-16.3326365149999 12.1530545140001,-16.3326366919999 12.1530540100001,-16.3497275149999 12.105836514,-16.343609515 12.0313905140001,-16.335518721 12.002788932,-16.334472827 11.999091187,-16.334472693 11.999091143,-16.334472515 11.999090514,-16.287599515 11.9839725140001,-16.2491725149999 11.9281905140001,-16.229938336 11.9188053990001,-16.202781896 11.905554008,-16.158150636 11.89288817,-16.1200725149999 11.882081514,-16.028519451 11.902864014,-15.977499807 11.914445028,-15.959445858 11.9279181000001,-15.9594455549999 11.927918484,-15.959445515 11.9279185140001,-15.957803735 11.9300014190001,-15.9408366919999 11.951527071,-15.939577545 11.9539831970001,-15.923890515 11.9845815140001,-15.898054515 11.999999514,-15.8527815149999 12.0166635140001,-15.777018515 12.012981514,-15.768807399 12.0020171800001,-15.7636549929999 11.9951361020001,-15.730699864 11.993054037,-15.7058094409999 12.0099086020001,-15.705419325 12.00506145,-15.7051908829999 12.002218139,-15.723890909 11.967500129,-15.769517799 11.9832641420001,-15.7911818339999 12.0011821360001,-15.841526729 11.9841641900001,-15.8629178489999 11.967082207,-15.862918126 11.967081824,-15.8629185149999 11.967081514,-15.872973615 11.95318997,-15.9293729309999 11.87527321,-15.965281842 11.773609106,-15.959445858 11.7352731300001,-15.9594456199999 11.735273202,-15.959445515 11.735272514,-15.851945515 11.7677725140001,-15.742499515 11.7891635140001,-15.6816725149999 11.797863514,-15.651945515 11.8059725140001,-15.609438589 11.833508024,-15.5931997709999 11.844026983,-15.581561822 11.855385837,-15.539045514 11.896881514,-15.4988692589999 11.9333846700001,-15.49549092 11.9364540620001,-15.474602691 11.9437029320001,-15.430836514 11.9588905140001,-15.416980758 11.961410464,-15.406390786 11.963335999,-15.370136708 11.963745036,-15.350554906 11.9594449520001,-15.320990588 11.9333590360001,-15.3163185139999 11.929236514,-15.316318286 11.9292364560001,-15.3163178479999 11.9292360700001,-15.2877400039999 11.9219572640001,-15.216809514 11.9038905140001,-15.1944455139999 11.9067995140001,-15.173504871 11.9212649580001,-15.16528182 11.9269449610001,-15.144236705 11.9530539190001,-15.0749998379999 11.984444984,-15.041120759 11.9803101700001,-15.008263514 11.9762995140001,-14.991109514 11.958054514,-14.9909451259999 11.957105719,-14.990890792 11.956791074,-15.022226872 11.9502731380001,-15.022227099 11.9502726000001,-15.022227514 11.9502725140001,-15.065627514 11.847081514,-15.058466656 11.8310825190001,-15.053754898 11.820553966,-15.009512441 11.793206545,-14.951527514 11.7573635140001,-14.940163765 11.759005653,-14.92944591 11.760553956,-14.924119473 11.7632172580001,-14.92747766 11.758819682,-14.9305550029999 11.754791062,-14.9487242339999 11.7491826200001,-14.9559725139999 11.7469455140001,-14.975554514 11.7512455140001,-15.0665268019999 11.802636111,-15.0778113759999 11.82809237,-15.0881995139999 11.8515275140001,-15.130836514 11.8933275140001,-15.1944455139999 11.8679185140001,-15.202682652 11.866779464,-15.2155549669999 11.865000014,-15.2333155069999 11.8652856910001,-15.249999514 11.8655545140001,-15.3270815139999 11.8686095140001,-15.3417107249999 11.873579814,-15.3552817959999 11.8781911180001,-15.3819459709999 11.8850000730001,-15.438054934 11.8800001000001,-15.45860887 11.8652730960001,-15.4586091039999 11.865272808,-15.4586095139999 11.865272514,-15.470121935 11.8511181550001,-15.5299998859999 11.7775001530001,-15.541232857 11.755092631,-15.556109514 11.7254185140001,-15.549309514 11.6901365140001,-15.531109514 11.6747185140001,-15.5311093289999 11.6747185090001,-15.531108812 11.674718071,-15.495601469 11.6737301380001,-15.451390514 11.672499514,-15.4235275139999 11.683663514,-15.423779306 11.678423744,-15.423890859 11.676109131,-15.4254323489999 11.6699842850001,-15.429309514 11.654581514,-15.4554905119999 11.6179185120001,-15.455490552 11.6179184530001,-15.4554908019999 11.6179181040001,-15.467363935 11.598745003,-15.4443368349999 11.553126998,-15.3911088999999 11.5786091570001,-15.381236004 11.5882341770001,-15.3719455139999 11.5972905140001,-15.384163514 11.624999514,-15.347069017 11.67642964,-15.3438907899999 11.6808360220001,-15.341955556 11.6810864560001,-15.339036614 11.6814635010001,-15.3244459479999 11.636809069,-15.308565866 11.6420805430001,-15.2872275139999 11.6491635140001,-15.172781514 11.6563905140001,-15.1265849779999 11.641242214,-15.0872268549999 11.6283359710001,-15.078559175 11.6233994610001,-15.0272275139999 11.5941635140001,-15.037227146 11.5763911670001,-15.072921224 11.5793343180001,-15.094445514 11.581109514,-15.111736514 11.6155545140001,-15.1877815139999 11.6408365140001,-15.282081514 11.6193095140001,-15.29296019 11.6108492330001,-15.325836841 11.585282158,-15.4752818159999 11.4577731260001,-15.5011460219999 11.332809007,-15.442254938 11.3455360890001,-15.4422547309999 11.345536467,-15.442254514 11.3455365140001,-15.4215636779999 11.3832182150001,-15.380763955 11.405327055,-15.3632430509999 11.3913579150001,-15.3612095139999 11.389736514,-15.361209263 11.389736407,-15.361208807 11.3897360440001,-15.357216125 11.3880460300001,-15.335309514 11.378772514,-15.2800562159999 11.415964419,-15.2652819489999 11.4259091530001,-15.272363986 11.4152731890001,-15.289163835 11.397500033,-15.312226809 11.3777732240001,-15.3330549999999 11.3634731940001,-15.3487580669999 11.3639552650001,-15.360281514 11.3643095140001,-15.386599514 11.3718095140001,-15.4013100299999 11.3476573310001,-15.4152818059999 11.3247181240001,-15.426663928 11.287427037,-15.407781847 11.1898641980001,-15.407781606 11.1898639840001,-15.407781514 11.189863513,-15.388475838 11.172781355,-15.3534728139999 11.14180907,-15.3072177839999 11.130554019,-15.279446024 11.125554046,-15.259398325 11.1260273610001,-15.2324275139999 11.126663513,-15.232427247 11.1266641330001,-15.232426732 11.1266641450001,-15.226897133 11.1394704480001,-15.220281514 11.154790513,-15.232781514 11.187772513,-15.2366635139999 11.213890513,-15.2235736499999 11.22134814,-15.208818455 11.2297536150001,-15.202227514 11.129163513,-15.215309514 11.086654513,-15.234018514 11.0659545130001,-15.273127514 11.028190513,-15.2329185139999 10.995899513,-15.2044455139999 11.0052815130001,-15.180972514 11.041445513,-15.169490514 11.064681513,-15.161313837 11.0748309570001,-15.1522268379999 11.086109144,-15.097781851 11.132217994,-15.083867363 11.1439164180001,-15.022782214 11.195271925,-15.035345892 11.140064126,-15.0749998379999 11.1027732060001,-15.099445994 11.065554036,-15.1156998449999 10.977636085,-15.0878834609999 10.927775652,-15.086390514 10.925099513,-15.0671533939999 10.9307318470001,-15.049717839 10.9358360370001,-15.016846852 10.9564533870001,-15.0436435139999 10.934235513,-15.049315941 10.9300305300001,-15.057296688 10.924114101,-15.070703964 10.9155446930001,-15.0736095139999 10.9136875130001,-15.0873088439999 10.904269309,-15.1001515139999 10.8905705130001,-15.1138504909999 10.8734467510001,-15.126693218 10.859747833,-15.126693298 10.8597477430001,-15.136967409 10.8469051050001,-15.141433568 10.842254059,-15.1499995139999 10.8333325130001,-15.149999919 10.833332161,-15.15 10.833333,-15.341667 10.6666670000001,-15.5708329999999 10.6666670000001,-18.256016223 8.85548804700005,-18.566627517 8.64597751100007,-18.5690285169999 8.64761051100004,-18.5737585169999 8.65221351100007,-18.5787575169999 8.65561351100007,-18.583490517 8.66021751100004,-18.588486517 8.66361651100004,-18.593221517 8.66822251100007,-18.598215517 8.67161851100008,-18.6029535169999 8.67622751100004,-18.607944517 8.67962151100005,-18.6126855169999 8.68423251100006,-18.617673517 8.68762351100003,-18.622416517 8.69223751100003,-18.627401517 8.69562651100006,-18.632148517 8.70024151100006,-18.6371305169999 8.70362851100003,-19.056224518 9.11023851100003,-19.0630165179999 9.11962151100005,-19.063377518 9.11997151100007,-19.405732518 9.59182651200007,-19.660846518 10.114874512,-19.6640825179999 10.1262115120001,-19.6644665179999 10.1269985120001,-19.6677035179999 10.138336512,-19.6680875179999 10.139121512,-19.6713245179999 10.150461512,-19.6717075179999 10.1512455120001,-19.674945518 10.1625865120001,-19.675327518 10.163368512,-19.678566518 10.174711512,-19.678948518 10.1754925120001,-19.682187518 10.1868365120001,-19.682568518 10.187615512,-19.6858095179999 10.198961512,-19.6861895179999 10.1997395120001,-19.6894305179999 10.2110865120001,-19.6898105179999 10.211862512,-19.6930525179999 10.223211512,-19.693431518 10.2239855120001,-19.696674518 10.2353365130001,-19.697052518 10.236109513,-19.700296518 10.2474615130001,-19.700673518 10.2482325130001,-19.703918518 10.259586513,-19.7042945179999 10.260355513,-19.707540518 10.2717115130001,-19.7079155179999 10.2724785130001,-19.711162518 10.283836513,-19.7115375179999 10.284601513,-19.7147845179999 10.2959615130001,-19.715158518 10.2967255130001,-19.7184065179999 10.308086513,-19.718780518 10.308848513,-19.7220295179999 10.3202105130001,-19.722401518 10.3209715130001,-19.725651518 10.332335513,-19.726023518 10.333094513,-19.729274518 10.3444605130001,-19.7296455179999 10.345217513,-19.732896518 10.356584513,-19.7332675179999 10.3573405130001,-19.736519518 10.3687095130001,-19.7368895179999 10.369463513,-19.740142518 10.380834513,-19.7405115179999 10.3815865130001,-19.743765518 10.3929585130001,-19.744133518 10.393709513,-19.747388518 10.405083513,-19.747755518 10.4058325130001,-19.7510115179999 10.4172075130001,-19.751378518 10.417954513,-19.7546355179999 10.4293325130001,-19.755000518 10.4300775130001,-19.7582585179999 10.441456513,-19.758623518 10.442200513,-19.7618825179999 10.4535805130001,-19.7622455179999 10.4543235130001,-19.7655055179999 10.465705513,-19.7658685179999 10.4664455130001,-19.793657518 10.5631895130001,-19.653161799 10.6443045090001,-16.728876262 12.3326415510001,-16.718055556 12.338888889,-16.72008901 12.324558531,-16.7177726379999 12.322427627),(-16.089651615 11.7549380290001,-16.0852818619999 11.7536090460001,-16.029372892 11.758536097,-16.0293727329999 11.758536495,-16.029372515 11.7585365140001,-15.9919455149999 11.852772514,-15.984163515 11.876527514,-15.982988694 11.8877460100001,-15.9811088869999 11.905691136,-16.0861128999999 11.8850644120001,-16.1571545149999 11.8711095140001,-16.157154614 11.871109157,-16.157155006 11.8711090800001,-16.165554846 11.840827108,-16.157854895 11.8090270050001,-16.108017864 11.7682237560001,-16.0930545149999 11.7559725140001,-16.089651615 11.7549380290001),(-15.4878908809999 11.6243000850001,-15.5571818949999 11.593400031,-15.633963507 11.535809509,-15.6339639839999 11.5358091480001,-15.601321072 11.5199978630001,-15.5740365149999 11.5067815140001,-15.548944825 11.5233820770001,-15.5435998589999 11.526918128,-15.5435997 11.526918391,-15.5435995139999 11.526918514,-15.522063514 11.562499514,-15.4897974909999 11.564140703,-15.46681777 11.565309088,-15.48335551 11.611603998,-15.487890514 11.624299514,-15.487890654 11.6242994510001,-15.4878908809999 11.6243000850001),(-15.938157105 11.5900201540001,-15.958336765 11.5941641250001,-15.9813908539999 11.5766642200001,-15.9974027019999 11.562389578,-16.0147275149999 11.5469455140001,-16.059381253 11.460584338,-16.064999836 11.449718117,-16.045919199 11.4292338980001,-16.0347275149999 11.4172185140001,-16.0347271379999 11.417218543,-16.034726748 11.417218125,-15.9481998589999 11.4240270810001,-15.914999811 11.4486090230001,-15.91499973 11.448609354,-15.914999515 11.4486095140001,-15.913840997 11.4533699420001,-15.909726755 11.470273058,-15.9053696189999 11.5172578560001,-15.903054515 11.5422185140001,-15.9055545149999 11.5774995140001,-15.905554894 11.5774997720001,-15.905554915 11.5775000630001,-15.908808758 11.5797184250001,-15.9177815149999 11.5858365140001,-15.938157105 11.5900201540001),(-16.243199515 11.575554514,-16.271945515 11.576945514,-16.31000739 11.5672620830001,-16.390972889 11.546664215,-16.41152077 11.5371200320001,-16.420136515 11.533118514,-16.420136479 11.533118163,-16.4201367159999 11.5331180540001,-16.414936751 11.482291031,-16.4149365719999 11.482291069,-16.414936515 11.4822905140001,-16.3940275149999 11.486799514,-16.3940271549999 11.486800073,-16.3940267519999 11.48680016,-16.3915326339999 11.4906711470001,-16.3859725149999 11.499299514,-16.368618515 11.5077725140001,-16.348845554 11.5024978340001,-16.3358367299999 11.499027009,-16.3245818459999 11.489444985,-16.316000614 11.480952825,-16.312227515 11.4772185140001,-16.312227231 11.477218609,-16.3122267529999 11.477218135,-16.2791638329999 11.4883360590001,-16.2779637539999 11.489628914,-16.2683365149999 11.499999514,-16.250554515 11.5366635140001,-16.244999515 11.549999514,-16.238890515 11.564718514,-16.243199515 11.575554514),(-15.776991987 11.218149048,-15.778609515 11.197499513,-15.7733405779999 11.1781686890001,-15.7702818929999 11.166945057,-15.765775866 11.1650408840001,-15.763054515 11.1638905130001,-15.74966302 11.1656650100001,-15.7399999209999 11.166945057,-15.701451586 11.195348041,-15.661109515 11.225072513,-15.661109407 11.225072757,-15.661108778 11.2250732200001,-15.6554178009999 11.237917984,-15.662426748 11.301453984,-15.662427468 11.3014540900001,-15.6624275149999 11.3014545130001,-15.6893095149999 11.3054185130001,-15.703046291 11.3008378100001,-15.7176368359999 11.295973057,-15.747714624 11.2736767690001,-15.753054515 11.269718513,-15.7530546369999 11.269718284,-15.753054903 11.2697180870001,-15.776390792 11.2258270890001,-15.776991987 11.218149048),(-16.054026751 11.1879180880001,-16.0802818889999 11.2056910750001,-16.0969198029999 11.205006251,-16.1105545149999 11.2044455130001,-16.163609515 11.166945513,-16.236390515 11.113336513,-16.2363908089999 11.113336078,-16.2371820019999 11.11214132,-16.243199515 11.1030545130001,-16.243199505 11.1030543970001,-16.243199768 11.103054,-16.241672921 11.085136005,-16.2344458759999 11.074718138,-16.2196122199999 11.059331323,-16.2156995149999 11.055272513,-16.1884725149999 11.0374995130001,-16.175867953 11.032233842,-16.160554873 11.025836052,-16.1547267679999 11.0247180740001,-16.1266909899999 11.025222727,-16.0849995149999 11.0259725130001,-16.0668354229999 11.0359598580001,-16.059999863 11.039717992,-16.0599997309999 11.039718394,-16.059999515 11.039718513,-16.0487545149999 11.074027513,-16.0542455149999 11.0997995130001,-16.051390515 11.116709513,-16.0537725149999 11.1283905130001,-16.053772905 11.1283909480001,-16.053772947 11.1283911520001,-16.0557487799999 11.130591845,-16.066390515 11.142445513,-16.0669352419999 11.151746431,-16.0678268839999 11.166982105,-16.054026751 11.1879180880001)))', 'Guinea Bissau Exclusive Economic Zone', 'Guinea Bissau', 'Guinea Bissau', '', '193', '193', 'GNB', '8471', '', '106902332200', '8471', 'Y'),('SRID=4326;MULTIPOLYGON(((7.19359619585953 83.916615109493,7.37651971731691 83.8895149602341,8.04808701876647 83.7539712825296,8.0474906142922 83.7526799677703,8.15839918950343 83.7317067719065,7.98841666700025 83.7183138890002,7.62976666700018 83.5565944440002,7.33081605600023 83.3807683330002,7.04727533300002 83.2047715830003,6.77799061100018 83.0286169440001,6.52191933300003 82.8523159720002,6.27811708300027 82.6758791110001,6.04572655600026 82.4993158060003,5.85594166700031 82.3486250000003,5.22359297200023 82.1910211110002,4.61617830600028 82.0325134720002,4.56805833300024 82.0196444440003,4.01055544400026 81.8585141670001,3.47459347200027 81.6966513610002,2.95902624999997 81.5340979440003,2.46278086100017 81.3708928330002,2.20598611100002 81.2837055560002,1.69594577800029 81.1224844170001,1.20399083300015 80.9605940280002,0.729235778000145 80.7980695830001,0.270847250000259 80.6349439720003,-0.171959527999945 80.4712479170003,-0.599923666999871 80.3070102500002,-1.01374169399986 80.1422578890002,-1.41407013899999 79.9770160830003,-1.63739722199995 79.8822166670003,-1.84032197199991 79.7067460560002,-2.03651530599996 79.5311513610003,-2.22630597199986 79.3554385560003,-2.355313889 79.2325666670002,-2.53781388900001 79.0899972220003,-2.72026113044819 78.9273413383945,-2.73428638899998 78.9148375000004,-2.92472108299989 78.7395524720004,-3.10939161099998 78.5641478060005,-3.28855555599995 78.3886287780004,-3.34387500000003 78.3333333330003,-3.31043683299993 78.1543271670004,-3.27797997200003 77.9753149170004,-3.24646122199994 77.7962967500005,-3.21583991699993 77.6172727500003,-3.21465555599991 77.6102444440004,-3.08818005599989 77.4331970560005,-2.96516249999991 77.2560896390003,-2.91564444400001 77.1833888890003,-2.83177872199991 77.0052204170004,-2.78971666699999 76.9140055560003,-2.81794213900002 76.8984988060004,-2.82025299384964 76.897245214931,-2.84840955599998 76.8819708610004,-2.87919352799986 76.8654767500004,-2.91029219400002 76.8490168610005,-2.94170374999993 76.8325915280004,-2.97342644399993 76.8162011390004,-3.00545841699994 76.7998460000003,-3.03779788899999 76.7835264720005,-3.07044311099986 76.7672428890004,-3.103392278 76.7509956390005,-3.136643639 76.7347850000004,-3.170195417 76.7186113610005,-3.20404586099994 76.7024750560004,-3.23819319400002 76.6863763890003,-3.27263569399997 76.6703156940005,-3.30737161099989 76.6542933330003,-3.34239924999997 76.6383096390003,-3.37771683299997 76.6223649170004,-3.41332266699993 76.6064595000004,-3.44921502800003 76.5905936940003,-3.48539222199992 76.5747678610004,-3.52185252799995 76.5589823060004,-3.55859427799993 76.5432373330005,-3.59561577799997 76.5275333060004,-3.63291530599997 76.5118704720003,-3.67049124999988 76.4962491940005,-3.70834188899994 76.4806697780003,-3.74646558299986 76.4651325280004,-3.78486069399992 76.4496377780005,-3.82352552799995 76.4341857780004,-3.86245849999995 76.4187768890005,-3.90165791700002 76.4034113890004,-3.94112213900002 76.3880895830004,-3.96670380599994 76.3782351670005,-3.98847474999997 76.3610698330004,-4.01058372199998 76.3439305000005,-4.03302899999994 76.3268175280004,-4.05580883300001 76.3097313330005,-4.07892149999986 76.2926723060004,-4.09847705599998 76.2784470830003,-4.15108088900001 76.2403197220004,-4.174668806 76.2233062780005,-4.19858413899999 76.2063210280003,-4.22282513899995 76.1893644170004,-4.24739011099996 76.1724367780004,-4.27227730599998 76.1555385560004,-4.29748505599997 76.1386700830004,-4.32301161100003 76.1218317780003,-4.34885530599996 76.1050240000004,-4.37501441699999 76.0882471390004,-4.40148724999995 76.0715015560003,-4.42827211099996 76.0547876670004,-4.4383878458172 76.0485596581605,-4.45536733299997 76.0381058060004,-4.4492726389999 76.0375798610004,-4.43749727800002 76.0198903890005,-4.43113533299987 76.0100511110005,-4.42564099999993 76.0014583610003,-4.41453702799993 75.9837445560005,-4.40385455599989 75.9660160000004,-4.39359230599996 75.9482732500005,-4.383749056 75.9305168890004,-4.37432361100002 75.9127475000004,-4.36990991445373 75.904035728447,-4.36531466699989 75.8949656110004,-4.35672097200001 75.8771718060004,-4.34854127800003 75.8593666390003,-4.34077430599996 75.8415506940005,-4.33341877799995 75.8237245000004,-4.32647338899994 75.8058886110004,-4.31993686099992 75.7880435830004,-4.31380786099987 75.7701899720005,-4.30808511100003 75.7523283330004,-4.30276724999993 75.7344592220003,-4.29785297199993 75.7165831670004,-4.29334097200001 75.6987006940004,-4.28922986100002 75.6808123890004,-4.28551830599997 75.6629187780004,-4.28220499999992 75.6450203890004,-4.27928852799994 75.6271177780005,-4.27676755599998 75.6092114440004,-4.27464069400003 75.5913019720004,-4.272906611 75.5733898330004,-4.27156388899999 75.5554756110004,-4.27061113899987 75.5375598060003,-4.27004702799991 75.5196429440004,-4.269870083 75.5017255560005,-4.27007897199996 75.4838081670004,-4.27067227799995 75.4658913060005,-4.271648583 75.4479754440005,-4.27300647199991 75.4300611670005,-4.27474455599992 75.4121489170004,-4.27686138899992 75.3942392780003,-4.27935555599987 75.3763326940004,-4.28222566699986 75.3584297220004,-4.28547025 75.3405308610003,-4.28908788899992 75.3226366110003,-4.29307716699992 75.3047474440003,-4.29743663899995 75.2868639170004,-4.30216486099994 75.2689864720003,-4.30726038899991 75.2511156670004,-4.3127218059999 75.2332519440004,-4.31854763899992 75.2153958330005,-4.32473641699994 75.1975478060004,-4.33128674999995 75.1797083330005,-4.33819713899999 75.1618779720004,-4.34546616699987 75.1440571390003,-4.35309236099999 75.1262463330005,-4.36107424999989 75.1084460560004,-4.36941038899994 75.0906567780004,-4.37809930599997 75.0728789720005,-4.38713958300002 75.0551131110005,-4.39652972199991 75.0373596940004,-4.40626824999993 75.0196191670004,-4.41635374999987 75.0018920000005,-4.42678469399988 74.9841786670004,-4.43755969399996 74.9664796670004,-4.44867722200001 74.9487954170004,-4.46013583299998 74.9311263890004,-4.4719340559999 74.9134730830003,-4.48407044399988 74.8958358890005,-4.49654352800002 74.8782153330004,-4.50935180599993 74.8606118330005,-4.52249386099999 74.8430258610005,-4.53596819400002 74.8254578610004,-4.54977336099989 74.8079082500005,-4.56390786100002 74.7903775280004,-4.57837027799991 74.7728661110003,-4.59315908299999 74.7553744440004,-4.60827288899986 74.7379029720004,-4.61834472599662 74.7265174190919,-4.62371016700001 74.7204521390004,-4.63946950000002 74.7030223890005,-4.65554938899999 74.6856141390004,-4.67194838899997 74.6682278330003,-4.68866505599988 74.6508638890003,-4.70569788899991 74.6335227780004,-4.72304547199997 74.6162048890004,-4.74070630599999 74.5989106670003,-4.75867897199998 74.5816405280004,-4.7769620279999 74.5643949170005,-4.79555394399995 74.5471741940004,-4.81445336099989 74.5299788610004,-4.83365874999998 74.5128092780004,-4.85316872199991 74.4956658890005,-4.87298180599993 74.4785490830004,-4.89309652799989 74.4614592780004,-4.91351147199987 74.4443968890004,-4.91696902799987 74.4415343890004,-5.00769444411094 74.3630277775728,-11.4746388889999 72.8228333330004,-12.7670277779999 71.8807777770004,-13.629555556 69.9095555550005,-13.266666667 69.5833333330005,-13.5599995129999 69.3566668440005,-15.3549995139998 69.0849998440005,-15.751666515 69.0499998440004,-17.336666516 68.7633328440005,-19.9999995189999 68.4083328440004,-21.7499995199997 68.1366668430004,-23.3501665219999 67.8168058430004,-24.4416665229999 67.6299998430005,-25.5999995239998 67.3816668430004,-26.5566665249999 67.0649998420004,-26.9949995249999 66.9549998420005,-27.7649995259999 66.6399998420005,-28.9783335269998 66.2116668420004,-29.8566665279999 65.2166668410005,-30.5816665279999 63.9233328390005,-30.8633335289998 63.3133328390005,-31.0720905289999 63.2207978390003,-31.204544009 63.1810381170005,-31.3025665289998 63.1516138390004,-31.3555305879998 63.1285846920005,-31.5249299399999 63.0549291880005,-32.5752392819999 62.7267051240005,-33.7142124159999 62.4773888830005,-33.71421244 62.4773888580004,-33.7142125309998 62.4773888380004,-33.810744438 62.3755828490005,-34.0847767969999 62.0865787750005,-34.7601216639998 61.6018558860005,-34.7808734989999 61.5912656560005,-34.821835532 61.5703618370005,-35.1293135329999 61.3424258370005,-35.2080373469999 61.1718687920004,-35.2930497599999 60.9876881760004,-35.7425627739999 60.4506702230004,-35.775498049 60.4247042750004,-35.7900665329998 60.4132188360004,-35.9287708689999 60.2423472770005,-35.9838983229999 60.1744352490004,-36.0383009539998 60.1307826550005,-36.057868604 60.0839180870005,-36.4818486969997 59.5440723180005,-36.4829135449997 59.5431865980004,-36.483098534 59.5430328350004,-36.549652534 59.3739528350004,-36.6273435339999 59.2719798350004,-36.6342285989998 59.2542074540005,-36.635437666 59.2510867100004,-36.6636180799997 59.2132639640005,-37.0392515339997 58.7091028350005,-37.0401985339998 58.7082778350004,-37.045496535 58.7010368350005,-37.0461814639998 58.7004401790005,-37.0469786609999 58.6997458070004,-37.0495619219997 58.6962135230004,-37.0980164639999 58.6532510440004,-37.6132285349999 58.1964358340005,-37.6551716949999 58.1702990360004,-37.727769757 58.1250602600005,-37.7457995419999 58.1086813180005,-38.4451784939999 57.6634011360003,-39.2614317739999 57.2844868260005,-40.1715047079998 56.9811932850005,-40.1719751219999 56.9810901180005,-40.1729971599999 56.9807425680005,-40.1762295369999 56.9796438330004,-40.496356798 56.9087495470005,-40.547882365 56.8973389450005,-40.745230116 56.8289050060005,-40.9151585519999 56.7895594190005,-41.717988539 56.6036708330005,-41.8002516459998 56.5929358060004,-41.870797844 56.5837301360004,-41.9009204349999 56.5765252280004,-41.9255485389999 56.5706348330004,-42.5256235809999 56.4886283410005,-42.9442856149999 56.4314140230004,-43.8366307679999 56.3901481210004,-43.9873805409999 56.3831768320004,-45.0310215419998 56.4270328320005,-45.914262543 56.5444148330004,-45.9259905429999 56.5447628330004,-46.5233428969998 56.6186593340004,-46.9527410549997 56.6717788930005,-47.2697936969999 56.7413134600005,-47.9343705449999 56.8870658330005,-48.8471715449999 57.1855838330005,-48.8606573979999 57.1918485700004,-48.890743398 57.2058252880004,-49.2061253799999 57.3059601450004,-49.34226266 57.3681519900005,-49.3488566439999 57.3687822910005,-49.9636410939999 57.4880602460005,-50.1130759679998 57.5013953090004,-50.9731436309999 57.6596125290005,-51.1355125479997 57.6894818340004,-52.0952165489998 57.9623018340005,-52.0956655489999 57.9624858330004,-52.0956659359999 57.9624859900005,-52.1002051159999 57.9637471960004,-52.122128549 57.9698388340005,-52.397691385 58.0805522030005,-52.9956040929999 58.3207772900004,-53.0186405169999 58.3337082380004,-53.0370781889999 58.3409617400005,-53.801226226 58.7615308350004,-54.432028257 59.2416390210005,-54.5664712239998 59.3927497540005,-54.764206163 59.4945381800005,-55.056611238 59.7049668380005,-55.4238995519998 59.9692858360005,-55.4982255519999 60.0478038360005,-55.6932485519999 60.1841098360004,-55.7655383169998 60.2591195840005,-55.7655385519999 60.2591198360005,-55.7939439359999 60.2786896390004,-55.909028155 60.3579769600004,-56.1569531389999 60.6098789700005,-56.4240852149999 60.7888286990005,-56.4650915269999 60.8293640110005,-56.6446847749997 60.8799672200004,-56.7697283959996 60.9088234400004,-56.8562970569999 60.9184421810003,-56.9717219379999 60.9569171410005,-57.2155700489997 60.9999320750005,-57.3488638619999 62.0013467140004,-57.3508068639998 62.0341253390005,-57.3632297459997 62.0483893190005,-57.3658066699999 62.0513481490005,-57.4163580489997 62.1846853850004,-57.6818958809997 62.7838703420005,-57.9496558809998 63.3688888480004,-57.9838189559999 63.4683363770004,-58.026794873 63.5711919460005,-58.0318706889998 63.5833400510004,-58.0264701219998 63.5946984090004,-58.0157571439998 63.6172297180004,-57.967415708 63.7336213630005,-57.9674156729999 63.7336215520004,-57.9622510299999 63.7617838300005,-57.9490763579998 63.8336239840005,-57.9335183039996 63.8683470260004,-57.9174070139998 63.8948699240004,-57.8872413939999 63.9445294880004,-57.8832339719997 63.9511266290004,-57.8703975249999 63.9731670600004,-57.815447036 64.0675181300005,-57.815446987 64.0675185300004,-57.8109333739997 64.1041462950004,-57.8043176429996 64.1578326570005,-57.7990502489999 64.2005773230005,-57.7320521209999 65.1000475110005,-57.7230324299999 65.1224195960004,-57.7194343299999 65.1313441820005,-57.717604922 65.1358817730003,-57.7290290639999 65.1726532670005,-57.7328804969997 65.1850500810003,-57.7390890989998 65.2045506560004,-57.746962724 65.2292808950004,-57.748711612 65.2347739710005,-57.7490165189999 65.2450741620005,-57.7506522539999 65.3003315340005,-57.7361256549999 65.3746640190005,-57.7342576069998 65.3842228040004,-57.6992448349999 65.5689503170005,-57.6917421129999 65.5938149570004,-57.6842411069999 65.6186739130004,-57.6699437929998 65.7988611330004,-57.6670046569996 65.8359026840005,-57.6669075769998 65.8415128990005,-57.66672586 65.8520142940005,-57.6658592969999 65.9139533820004,-57.6653306459997 65.9517396160005,-57.6562613379999 66.0109119930005,-57.6500458379999 66.0514648060006,-57.644821695 66.0958451190004,-57.6348861489999 66.1802499000004,-57.6322575459998 66.2025804980005,-57.6172503769999 66.3023057270004,-57.6172480759999 66.3375114970004,-57.6172459119997 66.3706086970005,-57.617243876 66.4017533400004,-57.6325158429998 66.5009233420005,-57.6488989039996 66.6003711570004,-57.6500088069999 66.6192606660005,-57.666671822 66.6856518750005,-57.6981584699999 66.7719836850005,-57.7149985309996 66.8181566830005,-57.7289220039997 66.8670655790005,-57.8669133619999 67.3517869540004,-57.8828831339999 67.3985273230005,-57.8867955389998 67.4099781620005,-57.9007968149998 67.4509571330005,-57.9007968669999 67.4509572850005,-57.9124123359998 67.4638642990005,-57.9156323889999 67.4674423960005,-57.9157964199999 67.4676246660005,-57.9220534729999 67.4738821310006,-57.9269532999996 67.4787822810004,-57.9319071789999 67.4837364860005,-57.9319075479997 67.4837368490005,-57.932864492 67.4846795710004,-57.9505179019998 67.5020706290005,-58.0321827319999 67.5842964680006,-58.089388974 67.6424600640005,-58.0988477179999 67.6520771010005,-58.098847841 67.6520772270005,-58.1507889459999 67.7340249820004,-58.223944886 67.8228207640004,-58.2379286809999 67.8397941230005,-58.3171714499998 67.9359780240005,-58.3453886599999 67.9718829920005,-58.3824464069999 68.0190370970005,-58.414944452 68.0676502110004,-58.423089451 68.0828480480005,-58.4335539259999 68.1023738180004,-58.442200573 68.1113355210004,-58.442753291 68.1119083790004,-58.4488313039999 68.1182078540005,-58.4766962769999 68.1538568490004,-58.5076228479999 68.1934226910004,-58.5652149949999 68.2671030820004,-58.6095981149998 68.3125284720005,-58.6359449129997 68.3394939850004,-58.6482684149998 68.3521068860005,-58.6896953909999 68.4052461860005,-58.699377192 68.4176652460004,-58.9959615579999 68.5281108870005,-59.0171625849999 68.5360059800005,-59.0666072729997 68.5668408980004,-59.082986811 68.5720265810004,-59.1151704499997 68.5822157660005,-59.2324453499999 68.6193444330004,-59.2324453709999 68.6193447850004,-59.2324453769999 68.6193448820005,-59.2329831699998 68.6284991490004,-59.2332776399999 68.6335116040005,-59.2332776999999 68.6335116270006,-60.0327416699998 68.9357525580004,-60.1418933929999 68.9987274200004,-60.1482983489996 69.0024227460005,-60.1482987209998 69.0024229920005,-60.1779703859999 69.0220235520004,-60.2996877449999 69.1024278140005,-60.3838539439998 69.1677087590004,-60.4208782899997 69.1872371630004,-60.4285349469999 69.1912756490004,-60.4496881869999 69.2024328750004,-60.5340495059999 69.2619161360004,-60.8499655809996 69.4846689150004,-60.8499659779997 69.4846691950004,-60.8964763349997 69.6193100120005,-60.9061340089997 69.6472675950004,-60.9655011479997 69.8191269520005,-60.9760786789998 69.8778248140004,-60.9795309859999 69.8969826880005,-60.9832718499997 69.9177418550005,-60.9855470999998 69.9179525460004,-60.9982725929999 69.9191309410005,-60.998272621 69.9191309830005,-61.065490444 70.0185797010005,-61.0722641909996 70.0287556220005,-61.1001332589997 70.0706221760005,-61.131874844 70.1183062530005,-61.1338179349999 70.1358069190005,-61.1665906909998 70.2180325080005,-61.1865279169999 70.2751384810005,-61.203156237 70.3227667910004,-61.2826800779998 70.5505460430005,-61.3332355979999 70.5852700580004,-61.4671262709999 70.6868390940004,-61.4851861609999 70.7005392690004,-61.6174002739999 70.8008364730005,-61.671077488 70.8343413200004,-61.6831039479999 70.8418481310004,-61.7001784539997 70.8525058880004,-61.8784621519997 70.9909214160004,-61.9105604929998 71.0158418590004,-62.1485078819996 71.2005789600004,-62.2829513319999 71.3028063690005,-62.36344461 71.3732427190005,-62.4162822679999 71.4194787760005,-62.4627594499999 71.4653736260005,-62.4823914939998 71.4847596910005,-62.5315580569998 71.5192059260004,-62.5379730379999 71.5252265770005,-62.549613177 71.5361511940005,-62.7424144999999 71.6802087760004,-62.8165558949997 71.7356058550005,-62.8344727729998 71.7490252300004,-62.8818332369997 71.7844972510005,-63.0507249239998 71.8695021210004,-63.3485077659999 72.0189551350004,-63.399094847 72.0463730220005,-63.5007320389997 72.1014597550005,-63.6415490369999 72.1654895250004,-63.6742038209997 72.1803377200005,-63.6815693569999 72.1836868440005,-63.6815697229999 72.1836869940005,-64.2154726019999 72.4025891390004,-64.3564191359999 72.4671844220004,-64.431866436 72.5017616450004,-64.6338148949997 72.6012118110005,-64.8990992889999 72.7189965870004,-64.9230582339999 72.7309267970005,-64.9353994269996 72.7370720190005,-64.9660450709997 72.7523318300006,-65.0007664239996 72.7856667970004,-65.0007665589999 72.7856668560004,-65.116602813 72.8359475820004,-65.5997318029998 73.0575047650004,-66.1324614849997 73.3018082340005,-66.4158034169997 73.4195931170004,-66.7828190289998 73.4626870710005,-67.2486318509999 73.5173815200004,-67.2689032399997 73.5194330620005,-68.056907351 73.5991820730004,-68.0831292659997 73.6018358300005,-68.1992472489998 73.6196152100004,-68.482873113 73.6857311480004,-68.617948702 73.7205365750005,-68.6601401769998 73.7314082090004,-68.7998334999998 73.7674035040006,-68.8487258829997 73.7690705950006,-69.1035154069996 73.8445337540005,-69.1826306219997 73.8679659740005,-69.18263073 73.8679660010004,-69.247847322 73.8844060750005,-69.5165369569999 73.9521384920004,-69.6703263139997 73.9921405880005,-69.8326645619999 74.0343663320005,-69.8575649259996 74.0352177720005,-69.8651669409999 74.0354777140005,-70.100178973 74.1007598200004,-70.1310103619998 74.1062563290005,-70.1668539439997 74.1126463940005,-70.1999072389998 74.1185390170005,-70.2467724959997 74.1310413590004,-70.2785350329999 74.1395147170004,-70.3821390919999 74.1671533860005,-70.463644401 74.1839657980004,-70.5504823039997 74.2018781840005,-71.417198952 74.4005032550004,-71.6033563819998 74.4386342000005,-71.6859091949999 74.4555436340005,-71.7508304279997 74.4688415620005,-72.229464849 74.5812134030004,-72.8820093799999 74.7344151520005,-72.9685355849998 74.7918902560004,-73.034235415 74.8355314230005,-73.2661848399999 75.0005397500005,-74.2721330809999 75.9786335890005,-74.9986835109996 76.6850660570005,-74.9986836699998 76.6850662110004,-74.9986835079997 76.6850667770005,-74.7652427479999 77.5006564360004,-74.7652426679999 77.5006565100005,-73.7650247939999 78.4173584780004,-72.998218009 78.8020935370004,-69.330975354 79.6507187680004,-69.0296095969999 79.9670494130004,-68.9975202489999 80.0007322180005,-68.3333333329999 80.4166666670004,-68.3307019909998 80.4173887370005,-68.0715637359998 80.4884991660004,-67.1186111109998 80.7500000000005,-67.1183147289997 80.7500315610004,-66.4833783579996 80.8176450390005,-66.4833787969999 80.8176471220004,-66.4803083929999 80.8179719550005,-66.4342751669999 80.8195318740005,-66.4341666669999 80.8188888890006,-66.2666666669999 80.8347222220004,-64.1798321149999 81.3013073710004,-62.1626382759998 81.8674253680006,-60.9834848959999 82.0578572670004,-60.2268393619997 82.1800546410005,-59.9954772699997 82.2174193500005,-59.9176200129998 82.2440505390005,-59.9175636489998 82.2440698180005,-59.9014757009999 82.2495727250005,-59.8199553559996 82.2620935350005,-59.5950036909998 82.2966441360005,-59.418355165 82.3297441910005,-59.330983316 82.3533539800004,-59.3309832739999 82.3533539910005,-59.2800337899997 82.3671216590005,-59.0735185629998 82.3999236490004,-58.9435095469997 82.4263402360004,-58.7022232259998 82.4753673060004,-58.4022281059996 82.5553884090005,-58.402228034 82.5553884280004,-58.2427652949997 82.5979237340005,-58.2337558559998 82.6011033490005,-58.2084159199999 82.6100463310005,-58.0147405049999 82.6907377440004,-58.0147404569998 82.6907377640004,-58.01099355 82.6922988470005,-58.0109931119999 82.6922990290005,-57.9698398919996 82.7146879300005,-57.9698398249997 82.7146879660005,-57.8662254929998 82.7710580630005,-57.8624752519999 82.7731832960004,-57.7561895859997 82.8524301410005,-57.7509687769999 82.8630065470004,-57.7422812689998 82.8806058530005,-57.7203985049998 82.8959138240004,-57.6938568069999 82.9144809270004,-57.6938567409999 82.9144809900005,-57.6938567229997 82.9144810080005,-57.680646021 82.9271537220005,-57.5776784169998 82.9946072890004,-57.5614452459997 83.0081930990004,-57.5345173169998 83.0307295290004,-57.4998700719997 83.0512776550004,-57.4540362789998 83.0855270050004,-57.411684926 83.1171740980005,-57.3930046169999 83.1271465960005,-57.3734845929998 83.1375673770004,-57.2605813909997 83.2118625630005,-57.2596067089999 83.2126101910005,-57.2584905329999 83.2134663520004,-57.2065366039999 83.2461521690004,-57.1872152539999 83.2605416110005,-57.1440221299997 83.2927093930004,-57.0974604869998 83.3200818070005,-57.0858048619999 83.3269338550004,-56.9834683679999 83.4015012150005,-56.9749215569998 83.4077288380006,-56.9262434769999 83.4494204660004,-56.859942165 83.5229499970004,-56.8381515519997 83.5527870130005,-56.8041066769999 83.5994032980005,-56.7471360019999 83.7180540390004,-56.7431576039999 83.7263397020005,-56.743157576 83.7263398090004,-56.7431575629999 83.7263398600006,-56.721706458 83.8081951810005,-56.7176217779999 83.8237819200004,-56.7165588559998 83.9098775360005,-56.7180050249999 83.9205188070005,-56.7190565479999 83.9282561780005,-56.720785314 83.9409768660005,-56.7582744759998 84.0395228340005,-56.7900473349999 84.0936744290004,-56.8065633899998 84.1218233190004,-56.8206484799996 84.1407372990004,-56.8400680409999 84.1614137050004,-56.8586117269996 84.1811575490005,-56.8988657799999 84.2322799870005,-56.9377298169999 84.2718758470004,-56.9779185289997 84.3219627190005,-56.980840907 84.3249409940005,-56.9989262509999 84.3433722580004,-57.0203783059998 84.3616460130005,-57.0369546759999 84.3757664560004,-57.0746055149999 84.4141407240004,-57.0889858179999 84.4287973310005,-57.1847242519999 84.5117302630006,-57.187742557 84.5143448540005,-57.1877430489998 84.5143452800004,-57.5286562899999 84.7563652940004,-57.5346085939999 84.7605909330004,-57.5346087189998 84.7605910080005,-57.7182821569999 84.8701552930005,-57.9218243809999 84.9755672520005,-58.2950626089999 85.1461042390004,-58.2951734729998 85.1461548940004,-58.3726741239999 85.2450258720004,-58.4086908129999 85.2909739420004,-58.883030998 85.8961105130004,-58.9064589969996 85.9149532650005,-58.9217283699998 85.9272341700005,-60.0850731569999 86.3005843890005,-60.1960621219997 86.3362038840004,-60.1960623818787 86.3362039678909,-59.4780072212304 86.3760074030305,-58.6990289569968 86.4322606719571,-58.3162865539999 86.4598998600004,-57.7344715109188 86.4992966203289,-57.7340599289943 86.4993244899172,-57.099336381176 86.5423036140359,-57.0647569289972 86.5432918729115,-57.0566025529998 86.5435248600005,-57.0252795529998 86.5456378600006,-56.4359971130053 86.5711607571238,-56.4359969179932 86.5711607658471,-55.5723275980818 86.6085676641119,-54.0659541691695 86.6692754820277,-54.0464183360022 86.6697416281007,-54.0299245499997 86.6701348610005,-53.3363369882825 86.693196822816,-53.3362339759991 86.6932002479767,-53.3362338210015 86.6932002530533,-52.9181434252104 86.7071016701021,-51.9864267129967 86.736388116899,-51.7817745479999 86.7428208610005,-51.6511652390029 86.746694627099,-50.6208867760396 86.777251517896,-49.4895805549966 86.8088452548869,-49.4356315459999 86.8103518610005,-48.2262485449999 86.8420798610004,-46.8407722351259 86.870412934219,-46.839775035997 86.8704333268612,-46.8397747939966 86.8704333318358,-46.3445430200682 86.8805607127803,-45.9287214240044 86.8889261682262,-45.0364815419999 86.9068758610005,-44.4946215644362 86.9169417449355,-44.4941169459972 86.9169511188621,-43.7068472020571 86.9315754349349,-42.5341850579114 86.9414944491084,-41.4717874849998 86.9492809919856,-41.3544605389998 86.9501408610005,-40.2086415369999 86.9673748610004,-39.6681195831919 86.9748526024394,-39.6679412899992 86.9748550689565,-39.0502880502315 86.9833995631567,-37.8801355350167 86.9981948693319,-37.8801353569132 86.9981948714586,-36.8168223290603 87.0055204038494,-36.0982221879988 87.0097606888138,-35.7487085329998 87.0118228610004,-34.6805495319999 87.0183968610004,-34.497418433 87.0193440500402,-33.6080839791163 87.02394351592,-32.5656425409776 87.0215278291662,-32.5011403879996 87.021317814074,-31.5252395289999 87.0181398610005,-30.987471509 87.0158829639574,-30.4875402092495 87.0137844152061,-29.9956941199998 87.0112546390102,-29.9956940930002 87.0112546389408,-29.9955616837687 87.0112539578433,-29.4531985269999 87.0084638610005,-28.422854526 87.0021848610004,-27.8887109370011 86.9984193148286,-27.3971360070652 86.9949534328955,-26.3766508899957 86.9867755731319,-25.3619887350494 86.9776594877654,-24.353717815995 86.9676136929258,-23.3523836148669 86.9566474502194,-22.3585073770387 86.9447707250974,-22.0383219329991 86.9406214380688,-22.038321666002 86.9406214348388,-22.0375474279621 86.9406114013167,-21.3725845199999 86.9319938610005,-20.3950855189998 86.9183288610005,-19.4264505179998 86.9037868610005,-19.2219803679986 86.900503338076,-18.4670946192037 86.8883805112077,-17.4071548590644 86.8582146390156,-16.3676128269167 86.8270098688376,-16.3676125150028 86.8270098589092,-15.348531532921 86.7947966717584,-15.030183558002 86.7842155579409,-15.0299832650643 86.7842089006303,-14.349920513 86.7616048610005,-13.8149849410003 86.7429353449892,-13.3717399010761 86.7274655380767,-12.7329000679916 86.7011310911974,-12.7328999199939 86.7011310851469,-11.9845955109999 86.6702838610004,-11.09919751 86.6334428610005,-9.72293350899992 86.5756498600004,-8.48851350799987 86.4973948600004,-7.30815850699992 86.4176188600005,-6.17927550599984 86.3364218600004,-5.09933350499995 86.2538968600005,-4.06588550399988 86.1701298600004,-3.07657150299997 86.0852018600004,-1.95893050199987 85.9920888600006,-1.5285341270166 85.9539592888128,-0.89191230102216 85.8975596641701,0.127217175045473 85.8017105892432,1.22824831599081 85.6315589549381,1.22824846301222 85.6315589320762,1.5860945010005 85.5762578600005,1.73314750200046 85.5268918590004,2.08851241101485 85.4862719001294,2.12727782142986 85.4818407715268,3.6497595030005 85.0110268590005,3.75331477602134 84.9839407240801,3.77795846314217 84.9774947650432,4.1726967191633 84.8490256291233,4.25586578908019 84.8235481292609,4.45526550400047 84.7624648590004,4.67149687101079 84.6996699250359,4.90381609989066 84.6322025490026,4.92970875996144 84.6139524939455,4.92971593320476 84.6139474379096,4.94700250500046 84.6017628590005,5.17133425704503 84.5308223631419,5.47353636978357 84.4352565170913,6.22027068706558 84.1132306251521,6.26636250600029 84.0539848580005,7.19359615505709 83.9166149921861,7.19359619585953 83.916615109493),(-33.6886095309998 83.6041548580005,-33.7844455309998 83.5997178580006,-33.8997275319998 83.5924818580005,-33.943327532 83.5888818580005,-34.0286095319999 83.5794368580005,-34.0699995319997 83.5702638580005,-34.0815275319998 83.5640088580004,-34.0772275319999 83.5508088580004,-34.0352815319999 83.5347178580005,-34.0141635319998 83.5288728580005,-33.9405545319999 83.5138818580005,-33.8155545309999 83.5013908580005,-33.7841725309999 83.4963728580004,-33.7608365309999 83.4913638580004,-33.7470815309998 83.4831818580004,-33.760281531 83.4752638580004,-33.7852815309997 83.4683178580005,-33.8372185319998 83.4566458580004,-33.8588905319997 83.4535998580004,-33.8827725319998 83.4524818580005,-33.9172185319998 83.4552638580004,-34.1949995319999 83.5219268580005,-34.2824995319997 83.5488728580004,-34.2983365319998 83.5544268580004,-34.3058275319999 83.5663728580004,-34.3071545319997 83.5840178580004,-34.3263905319997 83.5933178580004,-34.342499532 83.5955368580005,-34.3641635319999 83.5969368580005,-34.4105545319998 83.5941458580005,-34.4405545319997 83.5874908580005,-34.4558365319999 83.5804178580004,-34.4574995319999 83.5672178580004,-34.461945532 83.5512268580005,-34.4837455319999 83.5417908580005,-34.512218532 83.5399818580005,-34.5416725319998 83.5424818580004,-34.5729185319999 83.5498548580005,-34.5836095319999 83.5652638580005,-34.636118532 83.5894268580005,-34.6499905319998 83.5938728580005,-34.6824995319999 83.5988728580004,-34.7260995319999 83.6013818580004,-34.7694455319999 83.6005368580005,-34.8133275319998 83.5969368580005,-34.851109532 83.5913728580004,-34.8861185319999 83.5849908580004,-34.9022185329999 83.5799908580005,-34.9127725329998 83.5744368580005,-34.9344365329999 83.5697178580004,-34.971936533 83.5641458580004,-35.199436533 83.5349908580004,-35.2344455329999 83.5347178580005,-35.3591725329999 83.5399818580005,-35.4733275329999 83.5477638580005,-35.5327725329999 83.5480368580005,-35.678054533 83.5438728580004,-35.785836533 83.5435908580005,-35.8455545329999 83.5452548580005,-35.9686095329998 83.5524728580004,-36.0822185339999 83.5541548580005,-36.2894455339999 83.5508088580004,-36.5311095339999 83.5438728580004,-36.6719455339999 83.5369268580005,-36.7291635339998 83.5308178580004,-36.7652815339997 83.5252728580004,-36.7980545339998 83.5188728580005,-36.900836534 83.4924818580005,-36.8894455339999 83.4860998580004,-36.7244455339999 83.4636088580004,-36.611118534 83.4508178580004,-36.5747185339999 83.4258088580005,-36.6552725339999 83.4202548580005,-36.6808275339999 83.4172088580005,-36.6927725339999 83.4124908580004,-36.5847275339999 83.3874998580005,-36.5516635339997 83.3827548570004,-36.444163534 83.3741458570004,-36.4169455339999 83.3710908570004,-36.3997275339999 83.3658178570005,-36.4224995339998 83.3616458570005,-36.4380455339999 83.3610998570005,-36.485554534 83.3621998570005,-36.5283365339998 83.3644268570004,-36.6474995339998 83.3766458570005,-36.7111095339999 83.3866548580004,-36.7457905339999 83.3994728580005,-36.7512545339999 83.4092908580005,-36.7744455339999 83.4199818580004,-36.8255635339999 83.4299818580004,-36.8419455339998 83.4322088580005,-36.8719365339998 83.4347088580005,-36.9152725339998 83.4369178580005,-37.039445534 83.4416548580004,-37.209999535 83.4497088580005,-37.2516725349999 83.4541638580005,-37.2883365349999 83.4597088580005,-37.4122185349999 83.4816548580005,-37.4888905349998 83.4919268580005,-37.5288815349999 83.4969368580005,-37.5674995349999 83.5005458580004,-37.625827535 83.5041638580004,-37.6824995349999 83.5047178580004,-37.9097185349999 83.4913638580004,-37.9505545349999 83.4874908580004,-38.0586095349998 83.4313638580004,-38.0474995349999 83.4258088580005,-38.0005545349999 83.4160908580005,-37.8747185349999 83.4030458580005,-37.8408365349999 83.3986088580004,-37.7888905349998 83.3885998580006,-37.7481995349999 83.3753998570004,-37.7399995349999 83.3691368570006,-37.7711095349997 83.3624908570004,-37.7961095349999 83.3591458570004,-37.8424995349999 83.3572088570004,-37.8961095349999 83.3597088570004,-37.9302815349998 83.3644268570004,-38.0580545349999 83.3833268570004,-38.0719455349999 83.3899908580004,-38.1222185359999 83.3955368580004,-38.5955545359998 83.4222088580005,-38.7991725359998 83.4333178580004,-38.8438905359999 83.4333178580004,-38.8563905359998 83.4316548580005,-38.8666635359999 83.4269268580004,-38.822363536 83.3426268570005,-38.8508365359999 83.2608178570005,-38.8552815359997 83.2494268570005,-38.7094455359999 83.2105368570004,-38.6780545359998 83.2052638570004,-38.6399995359997 83.2019368570004,-38.5947185359998 83.1991458570004,-38.5450095359999 83.1972088570004,-38.5163995359999 83.1966368570005,-38.1413905359999 83.1969268570005,-37.9922275349999 83.2019368570004,-37.9441635349999 83.1980268570004,-37.7988905349997 83.1780368570004,-37.6263905349998 83.1705368570005,-37.6136185349999 83.1519268570004,-37.5927725349999 83.1508178570005,-37.5299995349998 83.1477638570004,-37.3705545349999 83.1435998570005,-37.2252725349998 83.1441458570004,-37.1319455349999 83.1458268570004,-36.9102815339999 83.1549818570005,-36.8897275339999 83.1535908570004,-36.8779185339999 83.1486088570005,-36.9094365339999 83.1435998570005,-36.9441635339999 83.1410998570004,-37.0269455339999 83.1372088570005,-37.1547185349999 83.1313638570005,-37.204718535 83.1296998570004,-37.3336095349999 83.1269178570005,-37.6363905349999 83.1222088570004,-37.8272275349999 83.1224818570004,-38.0030635349999 83.1183178570005,-38.1430545359999 83.1135998570004,-38.3658365359999 83.1027638570005,-38.4294455359999 83.0985998570005,-38.6538815359999 83.0783268570004,-38.7691635359999 83.0641458570004,-38.7973635359999 83.0560908570004,-38.7783365359999 83.0491458570004,-38.7588995359998 83.0460998570005,-38.7188905359999 83.0419268570005,-38.674172536 83.0388818570005,-38.5444455359998 83.0358088570004,-38.3416635359998 83.0330548570004,-38.289172536 83.0324818570004,-38.1097275349998 83.0349908570004,-37.8052725349999 83.0449818570005,-37.7599995349999 83.0455368570005,-37.7219365349998 83.0441458570004,-37.2955545349998 83.0133178570004,-37.2702815349999 83.0052638570005,-37.2922275349998 83.0041638570004,-37.3172185349997 83.0041638570004,-37.468890535 83.0144368570004,-37.5747185349999 83.0224908570005,-37.6183275349998 83.0255458570005,-37.7152815349998 83.0291638570005,-37.8094365349997 83.0266548570004,-38.0888905349998 83.0133178570004,-38.2794455359999 83.0141638570004,-38.5113905359997 83.0122088570005,-38.651109536 83.0066548570005,-38.690554536 83.0058268570004,-38.8613905359998 83.0108178570005,-38.9141635359998 83.0111088570004,-39.0075095359999 83.0086088570005,-39.0736185359999 83.0013908570005,-39.0986095359999 82.9974818570005,-39.118327536 82.9933178570004,-39.1472185359998 82.9794268570004,-39.1372185359999 82.9716458570005,-39.0247185359999 82.9460908570005,-39.0049995359998 82.9430368570004,-38.9541725359999 82.9402638570004,-38.914445536 82.9360998570004,-38.809163536 82.9124908570004,-38.7830545359998 82.8972178570004,-38.7799995359999 82.8749818570005,-38.7845815359998 82.8610908570005,-38.7766635359998 82.8510908570004,-38.7624995359999 82.8394268570004,-38.7519455359998 82.8335998570005,-38.734445536 82.8283268570005,-38.696663536 82.8219268570005,-38.6505545359998 82.8180548570004,-38.6161095359998 82.8177638570005,-38.589718536 82.8185998570004,-38.5358365359999 82.8224908570004,-38.5358365359999 82.7994268570005,-38.5501365359999 82.7530458570005,-38.5744455359999 82.7441368570004,-38.6102815359999 82.7435908570005,-38.6404185359999 82.7478908570005,-38.651109536 82.7544368570005,-38.655554536 82.7777728570005,-38.6699995359999 82.7822088570005,-38.6866635359999 82.7860998570005,-38.7491725359999 82.7938728570005,-38.8338815359998 82.8019268570005,-38.8630635359999 82.8055458570005,-38.9055545359997 82.8158088570004,-38.9524995359999 82.8299908570005,-38.9997275359999 82.8516548570005,-39.0220815359999 82.8662368570005,-39.034445536 82.8805368570004,-39.446945537 82.9577638570005,-39.4808275369999 82.9599908570004,-39.6744455369999 82.9630458570004,-39.8433275369999 82.9585998570004,-40.0697275369998 82.9549908570004,-40.4772185379998 82.9633178570005,-40.5533275379997 82.9674818570005,-40.6011095379998 82.9713728570005,-40.6536095379998 82.9771998570005,-40.682218538 82.9816548570005,-40.7036095379999 82.9860998570005,-40.7199905379998 82.9905368570004,-40.7408365379999 82.9972088570005,-40.7530635379998 83.0030548570005,-40.7724995379999 83.0083268570004,-40.8052725379999 83.0169368570005,-40.8319455379998 83.0219268570004,-40.9199995379998 83.0360998570005,-41.041390538 83.0530368570005,-41.0774995379998 83.0569268570005,-41.2238815379999 83.0758178570005,-41.2491725379999 83.0810998570006,-41.2641635379999 83.0861088570004,-41.2783275379999 83.0942998570005,-41.316945538 83.1044268570005,-41.4536095389998 83.1191368570004,-41.5358365389999 83.1277638570005,-41.5694545389999 83.1305368570004,-41.6263905389999 83.1336088570004,-41.6874995389998 83.1333268570005,-41.7244455389998 83.1291548570005,-41.7508365389999 83.1224818570004,-41.8038905389999 83.1044268570005,-41.8188905389999 83.1016548570004,-41.9319455389999 83.0874908570004,-41.9236185389998 83.0944368570004,-41.8611185389999 83.1277638570005,-41.816109539 83.1388818570004,-41.7844455389999 83.1455368570005,-41.7577815389999 83.1524818570005,-41.721936539 83.1624908570005,-41.7086815389999 83.1721998570004,-41.720272539 83.1810908570005,-41.7322185389999 83.1852548570004,-41.753063539 83.1902638570004,-41.9769455389999 83.2213728570005,-42.077499539 83.2285908570005,-42.2555635389999 83.2344178570005,-42.3538905389998 83.2341458570004,-42.4016635389999 83.2324818570006,-42.4452725399998 83.2319368570004,-42.4744455399999 83.2347088570004,-42.4849995399998 83.2371998570005,-42.5424995399999 83.2530548570005,-42.5682995399998 83.2616088570005,-42.61278154 83.2688728570004,-42.6511095399999 83.2724908570005,-42.69499954 83.2744268570004,-42.7480545399998 83.2749908570004,-42.9536095399999 83.2738818570004,-43.0561095399997 83.2722178570004,-43.1549995399999 83.2694368570005,-43.2136185399999 83.2660998570005,-43.2430545399998 83.2622088570004,-43.3240275399999 83.2352638570005,-43.29278154 83.2310908570005,-43.2363905399998 83.2297088570004,-43.0849995399998 83.2316548570005,-42.89041854 83.2081818570004,-42.9305545399999 83.2027728570005,-42.9724995399999 83.2008178570004,-43.0266635399999 83.2008178570004,-43.0883365399998 83.2024818570004,-43.3227725399998 83.2094268570004,-43.5794455409999 83.2149998570005,-43.6830635409999 83.2147088570005,-43.7699995409999 83.2116548570004,-43.9688905409997 83.2024818570004,-43.9830905409999 83.2010458570005,-43.9677725409999 83.1960908570005,-43.9402815409999 83.1930368570004,-43.7755545409998 83.1802638570005,-43.5772275409999 83.1649908570005,-43.4886095409999 83.1621998570005,-43.3947185399998 83.1636088570005,-43.3333275399999 83.1619268570004,-43.2933365399999 83.1588728570005,-42.9977815399999 83.1252638570004,-42.8548635399999 83.0961728570005,-42.8727725399997 83.0927548570005,-42.89778154 83.0924818570005,-42.9369455399998 83.0955368570005,-42.9727725399999 83.0997178570004,-43.0172185399999 83.1072088570004,-43.0408365399999 83.1119268570005,-43.16833654 83.1283088570004,-43.2258275399999 83.1333268570005,-43.2619455399998 83.1355458570004,-43.4061095399998 83.1377728570005,-43.5819455409999 83.1344268570004,-43.6105545409998 83.1327548570004,-43.6502095409999 83.1244908570004,-43.6627725409999 83.1155368570005,-43.6877725409999 83.1149908570004,-43.7547185409998 83.1188638570004,-43.7911185409998 83.1233088570004,-43.8530545409998 83.1313638570005,-43.8947185409997 83.1358178570004,-43.9769455409998 83.1430548570004,-44.1461095409999 83.1558178570005,-44.2647275409999 83.1630368570004,-44.6572185419998 83.1660908570005,-44.7105545419998 83.1636088570005,-44.7447275419999 83.1496458570006,-44.7083365419999 83.1388818570004,-44.6795815419998 83.1088728570004,-44.7055545419999 83.1044268570005,-44.7633365419998 83.1074818570004,-44.8166635419997 83.1121998570004,-44.9783365419999 83.1327548570004,-45.0274995419999 83.1416638570005,-45.0774995419998 83.1524818570005,-45.217772542 83.1341548570005,-45.2486095419999 83.1288638570006,-45.279999542 83.1258088570004,-45.3317815419999 83.1271998570005,-45.3426095419999 83.1271998570005,-45.3644455419999 83.1283728570004,-45.3775275419999 83.1332818570005,-45.3963905419999 83.1410998570004,-45.3853455419999 83.1510998570004,-45.4111095419998 83.1522088570005,-45.4816635419999 83.1424908570004,-45.499727542 83.1374998570005,-45.5211095419999 83.1210908570005,-45.4822185419999 83.1030458570004,-45.198609542 83.0549818570005,-45.1319455419999 83.0341458570005,-45.1038905419999 83.0288728570005,-45.0836095419998 83.0252728570005,-44.8697185419999 83.0005458570004,-44.7452815419999 82.9896998570004,-44.652218542 82.9827548570004,-44.479999541 82.9677548570004,-44.3569455409999 82.9566458570004,-44.2122185409999 82.9405368570005,-44.1108365409999 82.9302638570005,-43.9838905409999 82.9210998570004,-43.9244455409998 82.9194368570005,-43.8788815409998 82.9191458570004,-43.6869455409999 82.9194368570005,-43.6558275409999 82.9202548570005,-43.5794455409999 82.9249908570005,-43.5341725409999 82.9269268570004,-43.4258365399999 82.9260908570005,-43.3941635399999 82.9249908570005,-43.37666354 82.9227638570004,-43.3659725399999 82.9191548570004,-43.38666354 82.9144268570005,-43.4319455399997 82.9127638570005,-43.5922275409999 82.9113728570005,-43.7575095409998 82.9099908570005,-43.8497275409997 82.9099908570005,-43.9894365409999 82.9119268570005,-44.1124995409999 82.9180458570005,-44.5213815409999 82.9394178570005,-44.5822185419999 82.9452548570004,-44.6552725419999 82.9577638570005,-44.712772542 82.9627728570005,-44.754999542 82.9644268570004,-44.7863905419999 82.9636088570005,-44.904445542 82.9458178570005,-45.0038905419998 82.9308178570005,-45.0313905419998 82.9291548570004,-45.0822185419997 82.9296998570006,-45.1104185419999 82.9364268570004,-45.0994455419998 82.9463638570005,-45.0794455419998 82.9631908570005,-45.0872185419999 82.9708268570004,-45.1208365419998 82.9783178570005,-45.1763905419998 82.9869268570005,-45.212772542 82.9908178570005,-45.3905545419999 83.0063818570005,-45.474163542 83.0130458570005,-45.6477815429999 83.0330548570004,-45.7080545429999 83.0422088570004,-45.8297275429998 83.0627638570004,-45.907772543 83.0794368570005,-45.9383275429999 83.0838818570006,-45.9566635429999 83.0861088570004,-45.9824995429998 83.0874908570004,-46.0330545429998 83.0885908570004,-46.0835635429998 83.0805458570004,-46.0748635429999 83.0676268570004,-46.1358365429998 83.0616458570005,-46.308890543 83.0624818570006,-46.3952815429998 83.0602548570005,-46.4297275429998 83.0580268570005,-46.466945543 83.0541548570005,-46.4966635429999 83.0488728570004,-46.6861095429998 83.0127728570004,-46.7012545429998 83.0030548570005,-46.6811185429999 82.9963728570004,-46.638336543 82.9921998570005,-46.5858275429997 82.9896998570004,-46.4766635429999 82.9896998570004,-46.3516725429998 82.9863728570004,-46.263618543 82.9791548570005,-46.2266635429999 82.9752638570004,-46.200554543 82.9713728570005,-46.1808275429999 82.9672088570004,-46.0686095429999 82.9430368570004,-46.0494455429998 82.9388728570005,-46.0352815429999 82.9347088570004,-45.9861095429999 82.9173458570005,-46.0091725429999 82.9136088570004,-46.0597185429999 82.9138818570004,-46.113890543 82.9177548570004,-46.1661095429999 82.9252638570005,-46.1891635429998 82.9302638570005,-46.2177725429999 82.9352548570005,-46.3341635429999 82.9527728570004,-46.4149995429999 82.9602638570004,-46.4655545429999 82.9633178570005,-46.808609544 82.9669368570005,-46.8541725439998 82.9669368570005,-46.8890275439998 82.9627728570005,-46.8463905439999 82.9519368570005,-46.712772544 82.9313638570004,-46.5556905429999 82.8945728570004,-46.5369455429999 82.8861088570005,-46.420554543 82.8716458570004,-46.3841725429998 82.8677548570005,-46.0955545429999 82.8494268570005,-46.045554543 82.8463728570005,-45.9930545429999 82.8444368570005,-45.9336095429999 82.8430458570005,-45.8333275429999 82.8424818570004,-45.6855545429999 82.8449818570004,-45.3794365419998 82.8497178570004,-45.1144455419998 82.8485998570005,-45.0111185419998 82.8488728570005,-44.9627725419998 82.8499908570005,-44.922227542 82.8527638570004,-44.8886095419999 82.8572088570005,-44.8679815419999 82.8671368570004,-44.9999995419997 82.8897368570005,-45.0122185419999 82.8916638570004,-45.0533275419999 82.9008178570004,-45.0633365419998 82.9062458570004,-44.9999995419997 82.9064638570005,-44.9886095419999 82.9063728570005,-44.9386095419999 82.9030458570005,-44.9083365419997 82.8991548570004,-44.8555635419999 82.8899818570005,-44.8408365419999 82.8866548570004,-44.798618542 82.8708178570005,-44.7650095419999 82.8610998570004,-44.7377815419999 82.8558178570005,-44.672499542 82.8499908570005,-44.632981542 82.8486818570004,-44.4936185409997 82.8458268570005,-44.3502815409999 82.8460998570004,-44.1391635409999 82.8435998570005,-43.8002815409998 82.8374908570004,-43.5763905409999 82.8422088570005,-43.38332754 82.8458268570005,-42.97388154 82.8505368570005,-42.6680635399999 82.8547088570004,-42.4694455399998 82.8491548570004,-42.3813815389998 82.8497178570004,-42.2480545389998 82.8519268570004,-42.1911095389998 82.8516548570005,-42.0791725389998 82.8483268570005,-41.750554539 82.8316638570006,-41.6038905389999 82.8222178570004,-41.2761095379999 82.7955368570005,-41.1938815379999 82.7883178570004,-41.1205545379999 82.7797088570004,-41.019445538 82.7727638570004,-40.723327538 82.7408178570004,-40.6699995379998 82.7316548570004,-40.6574995379999 82.7280458570004,-40.6455545379999 82.7224908570005,-40.6358365379998 82.7160908570005,-40.6013905379999 82.7121998570004,-40.5233275379998 82.7116548570004,-40.427781538 82.7185998570004,-40.3433275379999 82.7216458570004,-40.2386095369998 82.7202638570005,-40.1352725369998 82.7144268570005,-40.106109537 82.7108178570005,-40.0166635369998 82.6969268570004,-39.9594455369999 82.6874818570005,-39.934436537 82.6824818570005,-39.904999537 82.6716458570005,-39.868054537 82.6269178570006,-39.872499537 82.6113728570004,-39.8852725369999 82.6055458570004,-39.9086095369998 82.6016548570005,-39.9561095369999 82.5916638570004,-39.9674995369999 82.5877728570005,-39.9913905369999 82.5780458570004,-40.0066725369999 82.5691548570005,-40.011945537 82.5599818570004,-39.8741725369998 82.4697088570004,-39.7711095369999 82.4094268570005,-39.7533365369998 82.4015178570005,-39.756390537 82.3902728570005,-39.7647275369998 82.3783088570004,-39.7738905369998 82.3713728570005,-39.7947275369997 82.3644268570004,-39.8136095369999 82.3619268570005,-39.8524995369999 82.3616458570006,-39.9124995369999 82.3655368570004,-39.9308275369999 82.3685908570005,-40.078336537 82.4216458570004,-40.0877725369998 82.4316548570004,-40.0897185369998 82.4441368570004,-40.0797275369999 82.4530458570005,-40.0594365369998 82.4638818570004,-40.2033275369998 82.5602548570004,-40.2349995369999 82.5646998570005,-40.274172538 82.5666638570005,-40.3769455379997 82.5680548570004,-40.487218538 82.5669368570005,-40.5736185379999 82.5683268570004,-40.6058365379998 82.5705458570005,-40.642772538 82.5752728570005,-40.6602815379999 82.5791638570005,-40.6833275379998 82.5905458570005,-40.6947185379998 82.5960998570005,-40.7316635379999 82.6066458570005,-40.833609538 82.6260818570005,-40.9580545379998 82.6494268570004,-41.2422275379998 82.7005458570004,-41.3272275379998 82.7147088570006,-41.3797185389998 82.7222178570005,-41.456390539 82.7294268570005,-41.5502815389999 82.7366458570004,-41.701663539 82.7455268570005,-41.7544455389997 82.7472088570004,-41.7883365389998 82.7472088570004,-41.8194545389997 82.7466458570005,-41.8502815389999 82.7435908570005,-41.8780545389998 82.7396998570005,-41.899163539 82.7302638570004,-41.8877815389999 82.7222178570005,-41.8730545389998 82.7172088570005,-41.7463905389999 82.6833178570005,-41.649727539 82.6572088570004,-41.6180545389999 82.6463818570004,-41.6088905389999 82.6416638570005,-41.5561095389999 82.5399818570004,-41.5569455389999 82.5277728570005,-41.5722275389999 82.4980268570004,-41.5861095389999 82.4849818570004,-41.6099995389998 82.4802728570005,-41.6433365389999 82.4783178570004,-41.6827815389999 82.4780458570004,-41.7186095389999 82.4810908570005,-41.7469455389999 82.4888728570004,-41.851390539 82.5399818570004,-41.8058995389999 82.6047638570005,-41.8086095389998 82.6224818570005,-41.8299995389997 82.6452638570004,-41.8469455389999 82.6552548570004,-41.8663905389998 82.6605368570005,-41.892499539 82.6652638570004,-41.9524995389999 82.6724818570004,-42.065836539 82.6824818570005,-42.0958365389998 82.6860998570004,-42.1222185389999 82.6908088570005,-42.142227539 82.6960908570006,-42.1674995389999 82.7104088570004,-42.159999539 82.7183178570004,-42.1366635389998 82.7269268570005,-42.1208365389998 82.7324818570004,-42.0927725389998 82.7385908570005,-42.059718539 82.7444268570004,-42.050554539 82.7497088570005,-42.0702815389998 82.7547178570005,-42.0895275389998 82.7578548570005,-42.1427725389999 82.7616548570005,-42.2041725389999 82.7644368570005,-42.53139054 82.7785908570004,-42.5719455399999 82.7802728570005,-42.6886095399999 82.7816638570005,-42.91444554 82.7760908570004,-42.9708365399998 82.7763818570004,-43.06833654 82.7783178570004,-43.1574995399999 82.7813728570004,-43.34916354 82.7822088570005,-43.6366635409999 82.7810998570006,-43.7288815409999 82.7783178570004,-43.8497275409997 82.7730368570004,-44.0299995409998 82.7666638570005,-44.1644455409999 82.7627728570005,-44.2158365409998 82.7624998570004,-44.4455455409999 82.7680548570006,-44.6099995419999 82.7699908570005,-44.8274995419999 82.7710998570004,-44.923890542 82.7733178570005,-45.0016725419999 82.7763818570004,-45.222218542 82.7808178570005,-45.6077815419999 82.7822088570005,-45.6888905429999 82.7785908570004,-45.7252725429998 82.7749908570005,-45.7483365429999 82.7722178570004,-45.763336543 82.7619368570004,-45.6852725429999 82.7305458570005,-45.6697275429999 82.7249908570004,-45.5849995419999 82.7105368570005,-45.4386095419999 82.6888728570004,-45.403609542 82.6847088570004,-45.3522275419999 82.6830458570005,-45.3002815419998 82.6788638570005,-45.1336095419999 82.6572088570004,-45.105563542 82.6524818570005,-45.0836095419998 82.6474908570005,-45.0688905419997 82.6419368570005,-45.0519365419999 82.6299728570004,-45.0111185419998 82.6141548570004,-44.9827725419999 82.6094178570005,-44.8302815419999 82.5871998570004,-44.7630635419999 82.5783268570004,-44.7208365419999 82.5752728570005,-44.6247185419999 82.5621908570004,-44.5972185419999 82.5577548570005,-44.5761095419999 82.5524728570005,-44.4511095409999 82.5055458570005,-44.3058275409999 82.4769268570004,-44.1252725409998 82.4566458570005,-43.7897275409998 82.4158178570004,-43.7569545409999 82.4113728570004,-43.7284725409998 82.4041548570004,-43.7455545409998 82.3958268570004,-43.765009541 82.3924908570004,-43.7872275409998 82.3899818570005,-43.8258365409999 82.3872088570005,-43.8597275409999 82.3821998570005,-43.883199541 82.3745638570005,-43.8673635409999 82.3485908570004,-43.8502815409999 82.3410908570005,-43.8302815409999 82.3358178570005,-43.716109541 82.3211088570004,-43.5927725409999 82.3099818560004,-43.4405545399998 82.2955368560005,-43.3019365399999 82.2802728560005,-43.2024995399998 82.2794368560005,-43.1191635399999 82.2827638560004,-43.0291635399999 82.2847178560004,-42.9811095399999 82.2847178560004,-42.93943654 82.2841458560005,-42.82722754 82.2799818560005,-42.7505545399998 82.2741548560004,-42.7122185399998 82.2702638560005,-42.3927725389998 82.2360998560005,-42.3377725389998 82.2263818560004,-42.3174995389999 82.2219268560004,-42.3008365389999 82.2149908560004,-42.329727539 82.2130458560005,-42.381945539 82.2155458560005,-42.4724995399999 82.2174818560005,-42.5647185399998 82.2166638560005,-42.62527254 82.2138818560005,-42.6816635399998 82.2335998560004,-42.7130545399999 82.2421998560005,-42.7388905399999 82.2449818560005,-42.84721854 82.2505458560004,-42.8980545399997 82.2513908560004,-42.9908365399999 82.2505458560004,-43.0324995399999 82.2488728560004,-43.0802815399999 82.2488728560004,-43.2719455399999 82.2508268560005,-43.3136095399998 82.2513908560004,-43.35833654 82.2524908560005,-43.42556354 82.2555548560005,-43.5427815409997 82.2622088560004,-43.8752725409999 82.2877638560006,-43.9341635409999 82.2966458560004,-44.005563541 82.3046998560005,-44.0802815409998 82.3094178560004,-44.1288815409999 82.3113728570004,-44.1905545409998 82.3124818570005,-44.2672185409999 82.3113728570004,-44.3505545409998 82.3077548560005,-44.4266635409999 82.3024728560005,-44.4899995409999 82.2958178560005,-44.5836095419999 82.2824818560005,-44.6180545419999 82.2766548560005,-44.6669455419999 82.2666638560004,-44.708609542 82.2527728560005,-44.7934725419999 82.1885178560005,-44.6197185419999 82.1349908560005,-44.5644455419998 82.1199818560004,-44.5172185409998 82.1108088560005,-44.5024995409997 82.0897088560005,-44.617772542 82.0630368560004,-44.6688905419999 82.0538638560005,-44.7361185419999 82.0466458560005,-44.7730545419997 82.0438728560005,-44.8538905419997 82.0444368560005,-44.8974995419999 82.0433178560004,-44.9339545419999 82.0335268560005,-44.9218095419999 81.9878998560005,-44.8863905419999 81.9816548560005,-44.7563905419998 81.9735998560005,-44.5780545419998 81.9708268560004,-44.5377815409999 81.9708268560004,-44.4947185409998 81.9694368560005,-44.4727725409999 81.9677548560004,-44.4627725409998 81.9652728560006,-44.4841725409997 81.9463638560005,-44.4983365409999 81.9396998560005,-44.5227725409998 81.9380368560005,-44.6105545419999 81.9396998560005,-44.6663905419999 81.9419268560005,-44.6972185419997 81.9419268560005,-44.723399542 81.9349088560005,-44.6077815419998 81.8938728560004,-44.5886095419999 81.8888818560004,-44.5452815409999 81.8855458560004,-44.4122185409998 81.8861088560005,-44.386118541 81.8844268560004,-44.2302815409999 81.8424818560005,-44.183327541 81.8341548560004,-44.1986095409998 81.8338818560005,-44.234727541 81.8313728560004,-44.2613905409999 81.8280458560005,-44.449718541 81.7922088560004,-44.6399995419998 81.7541638560004,-44.6824995419998 81.7552638560005,-44.6947185419997 81.7566548560005,-44.7322185419999 81.7624998560004,-44.7794455419998 81.7730368560004,-44.8224995419999 81.7763818560004,-44.8619455419998 81.7766548560004,-44.9844455419999 81.7724908560005,-44.9999995419997 81.7726638560004,-45.0330545419998 81.7730368560004,-45.091109542 81.7763818560004,-45.1344455419999 81.7816638560004,-45.3397185419998 81.8299908560005,-45.355836542 81.8441548560005,-45.364163542 81.8521998560006,-45.3747185419999 81.8569368560005,-45.4047185419998 81.8666548560005,-45.5405545419998 81.8963818560005,-45.593609542 81.9049818560004,-45.7469455429998 81.9288638560004,-45.7852815429998 81.9324818560004,-45.864163543 81.9383088560004,-46.0394455429999 81.9466368560005,-46.0494455429998 81.9519368560004,-45.982772543 81.9599908560005,-45.9511095429999 81.9667908560004,-45.9731905429999 82.0169268560005,-46.0002815429999 82.0249908560006,-46.1299995429999 82.0519268560004,-46.177781543 82.0613728560004,-46.3058275429997 82.0847178560006,-46.392772543 82.0977638560005,-46.4580545429999 82.1038638560004,-46.5033365429999 82.1069368560004,-46.608890543 82.1108088560005,-46.799445544 82.1210908560005,-46.8783365439999 82.1283088560004,-46.9358275439998 82.1361088560004,-47.0111185439999 82.1477638560004,-47.0447275439997 82.1519268560004,-47.1241725439998 82.1588728560004,-47.1930545439999 82.1633178560005,-47.3433275439998 82.1713728560005,-47.3916725439999 82.1730368560005,-47.4705545439999 82.1722088560004,-47.5609725439998 82.2002638560005,-47.5630545439999 82.2119268560004,-47.5861095439998 82.2191458560005,-47.6299995439998 82.2288638560004,-47.6805545439998 82.2383088560005,-47.862781545 82.2697178560005,-47.9422185449998 82.2833268560004,-48.0349995449999 82.2927548560005,-48.139999545 82.3010908560005,-48.183609545 82.3030368560004,-48.2911185449998 82.3044268560005,-48.328336545 82.3069268560005,-48.3905545449999 82.3130368570004,-48.6172815449999 82.3352998570004,-48.7113905449999 82.3516548570004,-48.763618545 82.3610998570005,-48.8230635449997 82.3816548570005,-48.8497275449998 82.3999908570004,-48.8655545459999 82.4121998570004,-48.8763905459999 82.4183178570004,-48.893890546 82.4235998570004,-48.9394365459997 82.4341458570004,-48.9888905459999 82.4424728570004,-49.120836546 82.4616548570005,-49.1916635459997 82.4699818570004,-49.3074995459999 82.4802728570005,-49.6102815459999 82.5033268570004,-49.7519455459999 82.5116548570004,-49.8072185459998 82.5138818570005,-49.8644455459998 82.5147088570005,-50.0019455469999 82.5122088570004,-50.200554547 82.5147088570005,-50.2558365469997 82.5166638570004,-50.317509547 82.5183268570005,-50.3708365469999 82.5183268570005,-50.4977815469999 82.5119368570005,-50.587772547 82.5086088570004,-50.800836547 82.5086088570004,-51.039999548 82.5047178570005,-51.0838815479999 82.5035998570004,-51.108890548 82.5012458570005,-51.117499548 82.4913638570005,-51.0530545479998 82.4330458570005,-51.015009548 82.4155458570005,-51.0013995469999 82.4102638570005,-50.9827725469999 82.4049818570004,-50.9188905469999 82.3908268570004,-50.8819455469999 82.3802638570006,-50.8644455469998 82.3741458570004,-50.844445547 82.3627638570005,-50.8213905469997 82.3424818570005,-50.8005545469998 82.3135998570005,-50.7906995469997 82.2988728560005,-50.7902815469999 82.2883178560004,-50.787509547 82.2758178560005,-50.7741725469999 82.2491458560004,-50.7583365469999 82.2313728560005,-50.7333365469999 82.2040178560004,-50.7119455469999 82.1885818560004,-50.6949995469998 82.1824818560004,-50.6769455469998 82.1771998560005,-50.4419365469999 82.1252638560005,-50.3258365469998 82.1005368560004,-50.2144455469999 82.0763818560004,-50.179727547 82.0658088560004,-50.1547185469999 82.0552548560004,-50.1319455469999 82.0435908560005,-50.1144455469999 82.0383178560004,-49.9469455469999 82.0124998560005,-49.8127725459997 81.9919268560004,-49.693054546 81.9752638560005,-49.5624995459999 81.9594268560004,-49.5344455459999 81.9549908560005,-49.5119455459999 81.9502728560004,-49.4351365459999 81.9290088560005,-49.5705545459999 81.8955368560004,-49.6966635459999 81.8805368560004,-49.7541725459999 81.8752638560004,-49.8205545459999 81.8702548560004,-49.867772546 81.8716458560005,-49.907218546 81.8749818560005,-49.9974995469999 81.8872088560004,-50.0363905469999 81.8913728560004,-50.1450095469999 81.9013818560005,-50.1952725469998 81.9041638560004,-50.4488815469999 81.9099908560004,-50.6827815469999 81.9155458560005,-50.7630635469999 81.9219178560005,-50.8205545469999 81.9305458560005,-50.8438905469998 81.9352548560005,-50.888054547 81.9427458560004,-50.9622185469999 81.9502728560004,-51.005009548 81.9513818560005,-51.0316725479998 81.9499998560004,-51.0563905479999 81.9463638560005,-51.0663905479998 81.9352548560005,-51.0463905479997 81.9205368560005,-51.0347275479998 81.9146998560005,-50.9177815469999 81.8733088560004,-50.894718547 81.8685908560005,-50.8205545469999 81.8616458560006,-50.6824995469999 81.8552548560004,-50.6472275469999 81.8521998560006,-50.6236095469998 81.8463728560005,-50.6355635469998 81.8358178560005,-50.6404185469999 81.8270728560004,-50.615836547 81.8144178560005,-50.5808365469999 81.8010908560004,-50.555272547 81.7913638560005,-50.5372275469998 81.7866548560004,-50.492227547 81.7769268560004,-50.4641635469997 81.7727638560006,-50.3072185469998 81.7599908560005,-50.1263905469999 81.7435908560005,-50.0597185469999 81.7360998560004,-50.0108365469999 81.7297088560005,-49.9766635469999 81.7230368560005,-49.9186095459999 81.7094268560004,-49.902218546 81.7041638560004,-49.8915275459999 81.6965088560004,-49.8990275459999 81.6813728560004,-49.8963905459999 81.6710998560004,-49.8802815459999 81.6624908560004,-49.8530545459999 81.6580368560005,-49.7999995459999 81.6516548560005,-49.7558365459997 81.6488818560004,-49.7063905459999 81.6466548560006,-49.6641635459997 81.6460998560004,-49.6197905459999 81.6401998560004,-49.8227725459999 81.6124908560005,-49.8650095459999 81.6097088560004,-49.9036095459999 81.6094178560004,-49.952781547 81.6116458560004,-50.1763905469999 81.6363818560005,-50.1983365469999 81.6410998560004,-50.2137455469999 81.6541638560005,-50.2136185469999 81.6646998560005,-50.2141635469999 81.6777638560004,-50.2231905469999 81.6920548560005,-50.243327547 81.7052638560004,-50.280554547 81.7202638560004,-50.325009547 81.7297088560005,-50.3583365469999 81.7335998560005,-50.3974995469999 81.7366458560005,-50.4927725469998 81.7416548560005,-50.5230545469998 81.7438638560005,-50.5569455469998 81.7474818560005,-50.7138905469997 81.7746998560005,-50.7611185469999 81.7830548560004,-50.801390547 81.8035908560005,-50.8186095469998 81.8088728560004,-51.018336548 81.8422088560005,-51.160827548 81.8563728560005,-51.2230545479997 81.8649908560005,-51.2466635479998 81.8697088560005,-51.3230635479999 81.8861088560005,-51.4658365479999 81.9049818560004,-51.5802815479997 81.9080368560004,-51.6836095479999 81.9119268560004,-51.9102815479999 81.9238728560005,-52.0013995479999 81.9335908560005,-52.329445549 81.9730368560004,-52.4194455489999 81.9847088560004,-52.4669455489998 81.9949818560004,-52.5463905489999 82.0077638560005,-52.7625095489998 82.0319368560004,-52.8044455489999 82.0341458560004,-52.8530545489999 82.0352638560005,-52.8991725489998 82.0341458560004,-52.936109549 82.0322088560005,-52.9641635489998 82.0294368560005,-52.9897275489997 82.0244268560004,-53.0111185489999 82.0185998560004,-53.0280545489998 82.0119368560005,-53.0247185489999 82.0016638560004,-53.0161095489998 81.9958178560005,-53.000836549 81.9874908560005,-52.9605545489999 81.9699818560005,-52.9527815489998 81.9636088560005,-52.9397185489999 81.9396998560005,-52.9291725489999 81.9002728560005,-52.9308275489998 81.8630368560005,-52.938609549 81.8563728560005,-52.9647185489999 81.8410908560005,-52.9913905489998 81.8299908560005,-53.0658365489999 81.8010908560004,-53.1047185489999 81.7874908560005,-53.1266635489998 81.7802728560005,-53.1947185499998 81.7708268560005,-53.22166355 81.7680548560004,-53.25110955 81.7630458560004,-53.2952815499999 81.7530548560005,-53.3077815499999 81.7497088560004,-53.3424995499998 81.7394268560005,-53.5405545499999 81.6760908560004,-53.5477815499999 81.6685908560004,-53.5468095499999 81.6458268560004,-53.5186095499998 81.5172088560005,-53.47305455 81.5016638560004,-53.5313905499999 81.5041638560004,-53.6058365499998 81.5094268560005,-53.63444555 81.5133178560004,-53.6580545499998 81.5180548560005,-53.7458365499998 81.5383178560004,-53.7997275499999 81.5556728560005,-53.8080545499997 81.5665088560004,-53.82153655 81.6956728560006,-53.7722275499999 81.7366458560005,-53.75972755 81.7447088560004,-53.7374995499999 81.7572178560005,-53.7213815499999 81.7638818560005,-53.6669455499999 81.7799818560005,-53.6422275499998 81.7855368560004,-53.62860955 81.7894268560004,-53.5988815499998 81.7999908560005,-53.5819455499999 81.8072088560006,-53.5641635499999 81.8247088560004,-53.5455545499999 81.8477638560005,-53.50833655 81.8938728560004,-53.50083655 81.9060998560005,-53.4977815499999 81.9183178560004,-53.4999995499998 81.9446998560005,-53.5530545499998 82.1083178560004,-53.5597185499998 82.1160908560005,-53.5683365499999 82.1222088560005,-53.8052725499998 82.2149998560005,-53.8455545499999 82.2302728560005,-54.0755545499998 82.3155458570004,-54.1199995499997 82.3224908570004,-54.3799995509999 82.3566458570004,-54.4122185509999 82.3605368570005,-54.4502815509997 82.3641548570005,-54.5052815509999 82.3655368570004,-54.5836095509999 82.3594178570004,-54.7322185509999 82.3494268570004,-54.9241725509997 82.3369268570004,-55.1302815509998 82.3244368570004,-55.5452815519998 82.2883178560004,-55.578054552 82.2852638560005,-55.6022185519998 82.2808178560005,-55.590836552 82.2758178560005,-55.5561095519998 82.2746998560004,-55.3552815519998 82.2833268560004,-55.3002815519999 82.2816638560005,-55.2869455509999 82.2794368560005,-55.2702815509999 82.2752728560005,-55.2013905509997 82.2541638560005,-55.1905545509999 82.2491458560004,-55.1638905509998 82.2330458560004,-55.0980545509997 82.1860998560005,-55.0880545509999 82.1741458560005,-55.0966635509999 82.1585998560004,-55.1133365509999 82.1566458560004,-55.1375095509999 82.1577638560005,-55.3036095519999 82.1933178560004,-55.3224995519998 82.2010998560004,-55.336527552 82.2206818560004,-55.3247185519999 82.2285908560004,-55.2558365509998 82.2263818560004,-55.2347275509998 82.2271998560004,-55.2249995509999 82.2324818560004,-55.2366635509999 82.2369268560005,-55.2575095509999 82.2419268560005,-55.2711095509999 82.2441368560004,-55.3499995519999 82.2469368560004,-55.4461095519998 82.2413638560005,-55.4930545519997 82.2399728560005,-55.5538905519998 82.2396998560005,-55.6277815519998 82.2427548560005,-55.6947185519999 82.2477548560004,-55.7711095519999 82.2538728560004,-55.8337545519999 82.2619368560004,-55.8477815519998 82.2663908560005,-55.8624995519999 82.2674908560004,-55.9024995519998 82.2680548560006,-56.0502815519999 82.2611088560005,-56.0880545519998 82.2583268560005,-56.1122185519999 82.2530548560004,-56.129436552 82.2230368560004,-56.1840275519999 82.1866458560005,-56.2630635519997 82.1638818560004,-56.2866635519998 82.1588728560004,-56.3094365519998 82.1624908560005,-56.3252815519999 82.1683178560005,-56.3384725519998 82.1778908560005,-56.3619455519999 82.2016638560006,-56.4244455529998 82.2208268560005,-56.4416635529997 82.2252638560004,-56.4597275529998 82.2280458560004,-56.5088995529999 82.2302728560005,-56.5863905529997 82.2277638560005,-56.6886095529998 82.2185998560004,-56.8222275529999 82.2072178560005,-57.0030635529998 82.1924728560005,-57.076954553 82.1869178560004,-57.2591725529998 82.1760908560004,-57.342227553 82.1716458560005,-57.509445554 82.1685908560004,-57.7188905539999 82.1616548560004,-57.8680545539999 82.1535908560004,-58.302781554 82.1222088560005,-58.3336095539999 82.1197088560004,-58.3455545539998 82.1155368560004,-58.4366635539999 82.1005368560004,-58.6383365549999 82.0935998560005,-58.9630545549997 82.0610998560004,-59.2247185549996 82.0322088560005,-59.2913905549999 82.0244268560004,-59.3738905549999 82.0133178560005,-59.4461095549997 82.0013908560005,-59.4658275549998 81.9927638560005,-59.4424995549999 81.9816548560005,-59.4099995549999 81.9766548560005,-59.2730545549999 81.9621998560005,-59.1683365549998 81.9538728560004,-59.0436185549999 81.9477548560004,-59.0058365549997 81.9446998560005,-58.935554555 81.9374818560004,-58.7769455549998 81.9197088560005,-58.5433365549998 81.8849908560005,-58.4988905539996 81.8766458560005,-58.4813815539997 81.8716458560005,-58.4688905539999 81.8666548560005,-58.4513905539998 81.8516548560004,-58.4561095539999 81.8408178560005,-58.3597275539997 81.7633178560006,-58.3366635539998 81.7508268560005,-58.2422275539998 81.7163818560005,-58.1272185539996 81.6771998560005,-58.0499995539998 81.6605368560005,-57.9988905539999 81.6594268560004,-57.8136095539998 81.6522088560005,-57.750554554 81.6466548560006,-57.7288815539996 81.6422088560005,-57.7083365539999 81.6366548560004,-57.6011095539999 81.6074818560005,-57.3599995529998 81.5588728560004,-57.211945553 81.5319368560005,-57.186663553 81.5266548560004,-57.173336553 81.5176268560004,-57.185827553 81.5034548560004,-57.0855545529997 81.4427458560005,-57.0655545529997 81.4374818560004,-57.0202815529998 81.4280368560005,-56.9811095529999 81.4241458560004,-56.8483365529999 81.4155458560004,-56.6844365529999 81.4058178560004,-56.6538815529998 81.4033178560005,-56.6238905529999 81.3997178560006,-56.574718553 81.3908268560005,-56.5549995529999 81.3855458560005,-56.4515275529998 81.3390088560005,-56.478336553 81.3324908560004,-56.5199995529997 81.3310998560005,-56.5594365529998 81.3335998560004,-56.5886095529999 81.3380458560005,-56.6080545529999 81.3433178560005,-56.6969455529999 81.3771998560005,-56.712499553 81.3824728560004,-56.7369455529998 81.3866548560005,-56.8858365529998 81.3991548560005,-57.1099995529999 81.4155458560004,-57.145009553 81.4188728560004,-57.2049995529997 81.4263728560005,-57.245554553 81.4363728560004,-57.2611185529999 81.4419268560004,-57.2771545529998 81.4546368560004,-57.2638905529998 81.4619268560004,-57.2183275529997 81.4613818560004,-57.1852725529999 81.4624908560005,-57.1769455529998 81.4691458560005,-57.217772553 81.4791548560005,-57.3455545529998 81.5080458560005,-57.3966635529998 81.5163908560005,-57.484999554 81.5255458560005,-57.5022275539999 81.5277728560004,-57.5230545539998 81.5319368560005,-57.5394455539998 81.5369268560004,-57.5343095539999 81.5553998560005,-57.6238905539998 81.5810998560004,-57.644718554 81.5861088560005,-57.6805545539999 81.5891548560004,-57.7269455539998 81.5897088560004,-57.7699995539996 81.5880458560005,-57.8172185539999 81.5871998560005,-57.8686095539999 81.5869268560004,-57.9183365539999 81.5902728560005,-58.4302815539999 81.6416638560004,-58.5724995549998 81.6619268560004,-58.6424995549999 81.6755368560005,-58.6644455549997 81.6805458560004,-58.7077815549998 81.6905368560005,-58.7244455549996 81.6960908560005,-58.736390555 81.7022088560004,-58.7480545549997 81.7085998560004,-58.759172555 81.7229088560004,-58.7619455549999 81.7338728560005,-58.7483365549999 81.7447088560004,-58.7424995549998 81.7849908560004,-58.7694455549996 81.8260998560004,-58.776663555 81.8330548560005,-58.8005545549999 81.8455368560005,-58.8177815549998 81.8510908560005,-58.8399995549999 81.8560908560004,-58.8994455549997 81.8646998560005,-58.9594455549999 81.8719178560004,-59.0394455549999 81.8780368560005,-59.1249995549996 81.8819268560005,-59.3113905549999 81.8885998560005,-59.5086095549997 81.8927638560004,-59.5563905549997 81.8941458560005,-59.6041725559999 81.8966548560005,-59.6422275559997 81.8997178560005,-59.8302815559999 81.9202548560004,-59.9808275559997 81.9402638560004,-60.0191635559997 81.9430368560005,-60.062499556 81.9446998560005,-60.0919455559998 81.9435908560005,-60.1426869569999 81.9396191970005,-60.1663905559997 81.9377638560005,-60.3074971729998 81.9236272340004,-60.3074972899998 81.9236271240006,-60.3299999999999 81.9213727270005,-60.472827273 81.9104727270004,-60.6049999999999 81.9024818180005,-60.6983363639999 81.8933272730004,-60.8066636359996 81.8799727270005,-60.8658363639998 81.8719181820005,-60.9199999999996 81.8624909090004,-61.1111181819997 81.8316636360005,-61.2180545449997 81.8180545450004,-61.2666636359999 81.8099818180004,-61.3591727269999 81.7891545450004,-61.4027818179999 81.7788727270005,-61.4424999999998 81.7599909090005,-61.4522272729999 81.7530545450004,-61.453327273 81.7366454550004,-61.3713818179997 81.6888727270004,-61.357781818 81.6827545450004,-61.1930545449997 81.6272000000004,-61.0313909089999 81.5647000000005,-60.9141636359996 81.5363727270005,-60.8549999999997 81.5280454550005,-60.832218182 81.5238818180005,-60.8097181819999 81.5191454550004,-60.7922272729996 81.5136090910004,-60.7791636359999 81.5074909090005,-60.7690272729999 81.4968000000005,-60.7766483279997 81.4818832660005,-60.7766494389999 81.4818822200004,-60.7786095569999 81.4780458560004,-60.7843202069997 81.4746595680005,-60.784322091 81.4746577940004,-60.7936181819997 81.4691454550006,-60.8224999999999 81.4597181820004,-60.8511090909999 81.4522090910004,-60.8936181819998 81.4427454550004,-60.9641636359999 81.4288636360005,-60.9919454549998 81.4247000000004,-61.0666636359997 81.4111000000005,-61.2205545449999 81.3794272730004,-61.3111818179997 81.3532454550004,-61.0949999999997 81.2241545450004,-61.0822181819999 81.2180454550005,-61.0394454549999 81.1988636360005,-61.0266636359998 81.1938636360005,-60.9907614649999 81.1875484100004,-60.952499557 81.1808178550005,-60.908890557 81.1710998550004,-60.9076485049999 81.1706927530005,-60.8919461329999 81.1655456770004,-60.9655545569997 81.1427638550005,-61.0078922499997 81.1320503640005,-61.0566636359998 81.1197090910004,-61.0621285619998 81.1184660780005,-61.0750095569999 81.1155368550005,-61.1016725569999 81.1141548550004,-61.1632228409997 81.1178919220004,-61.1632230609998 81.1178917150004,-61.2205545449999 81.1213727270006,-61.2511090909999 81.1208181820004,-61.4955545449997 81.1033181820005,-61.5177727269997 81.0999909090005,-61.5251363639998 81.0922090910004,-61.5079181819996 81.0784636360004,-61.5019454549997 81.0699909090005,-61.515009091 81.0680545450004,-61.5505545449999 81.0680545450004,-61.611672727 81.0747090910005,-61.8441636359998 81.1180454550004,-61.9858363639999 81.1488818180005,-62.1372181819997 81.1816545450005,-62.2130545449999 81.1952545450004,-62.2713818179998 81.2019363640005,-62.3161090909998 81.2033272730004,-62.360554545 81.2019363640005,-62.4363909089996 81.1969272730004,-62.4630545449998 81.1969272730004,-62.6999999999998 81.2013818180005,-62.7358363639999 81.2027727270005,-62.758609091 81.2080363640004,-62.7724999999999 81.2136090910004,-62.7840272729999 81.2190181820005,-62.8047181819997 81.2238727270004,-62.8319454549998 81.2272000000004,-62.9747181819997 81.2233090910005,-63.036945455 81.2191454550004,-63.0633272729997 81.2163818180005,-63.2077818179997 81.1933181820005,-63.2947272729997 81.1766545450005,-63.3549999999999 81.1636090910004,-63.3711090909999 81.1524909090004,-63.3627818179997 81.1272000000005,-63.3316727269999 81.0658090910004,-63.2341636359999 80.9773454550004,-63.1986090909999 80.9555545450004,-63.1755636359999 80.9441363640004,-62.9713818179997 80.8605363640004,-62.8555636359998 80.8163727270004,-62.7758363639999 80.7866545450005,-62.7499999999999 80.7824818180005,-62.7388909089996 80.7754090910005,-62.748890909 80.7661000000004,-62.7650090909998 80.7558272730005,-62.7813909089997 80.7511000000004,-62.7944454549999 80.7511000000004,-62.9474909089997 80.7958181820005,-62.9566636359999 80.7999909090005,-62.9838909089999 80.8147000000004,-63.0022272729997 80.8263818180005,-63.2152818179998 80.9180454550005,-63.2927818179996 80.9444272730004,-63.3066636359998 80.9505454550005,-63.3999909089997 81.0219272730005,-63.4238909089996 81.0495727270005,-63.4247181819996 81.0697181820004,-63.4413818179996 81.0922090910004,-63.4719363639997 81.1158181820004,-63.4861181819999 81.1219181820005,-63.518609091 81.1308181820004,-63.5741727269997 81.1449909090006,-63.614445455 81.1466545450005,-63.6452818179999 81.1461000000004,-63.6805545449997 81.1438727270004,-63.7063909089998 81.1394363640004,-63.8122181819998 81.1152636360005,-63.8288909089997 81.1097090910004,-63.8575090909998 81.0977636360005,-63.8806999999999 81.0819363640005,-63.8917999999999 81.0716545450005,-63.9074999999999 81.0627636360004,-63.9277818179999 81.0544272730005,-63.948881818 81.0508090910004,-63.9747181819998 81.0480363640004,-64.2413818179998 81.0252727270005,-64.2761090909999 81.0238818180005,-64.4294454549997 81.0236090910005,-64.459163636 81.0199909090005,-64.477081818 81.0126272730005,-64.503063636 81.0033272730005,-64.5191636359999 80.9997090910005,-64.5488909089999 80.9960909090004,-64.5786090909996 80.9930454550005,-64.6177636359997 80.9913636360005,-64.7174999999999 80.9902636360005,-64.7608363639998 80.9883090910005,-64.785281818 80.9836000000005,-64.8023636359997 80.9748454550004,-64.8016636359999 80.9648545450005,-64.7947272729996 80.9561000000004,-64.7849999999999 80.9527727270004,-64.7388909089998 80.9435909090005,-64.7244454549999 80.9388727270005,-64.709445455 80.9327545450005,-64.7341636359999 80.9127636360005,-64.7497272729997 80.9072090910004,-64.7750090909997 80.9049818180005,-64.8049909089999 80.9038727270004,-64.891109091 80.9027727270005,-64.933881818 80.9010909090005,-64.9924909089999 80.8949909090004,-65.0355545449999 80.8812363640006,-65.0211181819999 80.8624909090004,-64.9880545449998 80.8474909090004,-64.9869363639996 80.8369272730005,-65.063327273 80.7944363640005,-65.0747181819997 80.7902636360004,-65.1099999999999 80.7811000000005,-65.1499909089999 80.7724909090005,-65.1744363639999 80.7683272730005,-65.198609091 80.7652727270004,-65.2319454549999 80.7622090910004,-65.325009091 80.7599909090006,-65.402645455 80.7517545450005,-65.646118182 80.7194363640005,-65.6744363639996 80.7155454550004,-65.6980454549998 80.7113818180004,-65.7113999999997 80.7020727270005,-65.684436364 80.6874818180005,-65.6527909089997 80.6816545450005,-65.5744454549998 80.6755363640005,-65.5130636359999 80.6694363640004,-65.502636364 80.6647000000004,-65.5563818179999 80.6613727270005,-65.6324909089998 80.6619272730004,-65.710009091 80.6652636360005,-65.868054545 80.6697090910005,-65.9105545449999 80.6708181820004,-65.940281818 80.6711000000004,-65.986390909 80.6699818180005,-66.0266727269998 80.6655454550005,-66.0616636359999 80.6588727270005,-66.0794545449997 80.6504090910004,-66.0816727269998 80.6359545450005,-66.0808454549996 80.6244181820005,-66.11 80.6130363640004,-66.1488999999998 80.6063727270005,-66.2380545449999 80.5991545450005,-66.3019363639999 80.5922090910004,-66.3644359239998 80.5819364360004,-66.3644363639998 80.5819363640004,-66.3644419289997 80.5819348010005,-66.3980545449997 80.5724909090005,-66.4211090909996 80.5683272730005,-66.4447128769997 80.5652643240005,-66.4447179109998 80.5652636710005,-66.4447181819997 80.5652636360004,-66.6297181819999 80.5580272730004,-66.6794454549997 80.5574818180004,-66.715836364 80.5549818180004,-66.7538909089999 80.5474818180004,-66.7898545449997 80.5354000000004,-66.7930636359999 80.5249909090004,-66.7783363639999 80.5205363640005,-66.7483363639997 80.5188727270004,-66.7258272729998 80.5066545450004,-66.7227818179998 80.4924818180004,-66.775009091 80.4630454550005,-66.7886090909997 80.4572181820005,-67.0408363639997 80.4083272730005,-67.2025 80.3794272730004,-67.3624999999996 80.3563727270005,-67.4197272729999 80.3486000000004,-67.4341545449998 80.3449818180005,-67.4677727269997 80.3319363640005,-67.4819454549999 80.3241545450004,-67.4982636359999 80.1999636360004,-67.4836090909999 80.1908090910005,-67.4313818179999 80.1760909090004,-67.3652818179997 80.1652636360004,-67.3180727269997 80.1599909090006,-67.247772727 80.1561000000004,-67.2247181819999 80.1577636360005,-67.2147181819997 80.1622000000004,-67.1947181819997 80.1624909090004,-67.181672727 80.1605363640005,-67.1677727269997 80.1566454550005,-67.1288727269999 80.1436000000005,-67.0994454549999 80.1088727270005,-67.0794545449996 80.0695000000005,-67.0669545449999 80.0599818180004,-67.0497272729998 80.0574818180004,-67.0258363639997 80.0577545450005,-66.7308363639999 80.0641454550004,-66.5863999999999 80.0708272730005,-66.5255545449998 80.0772090910004,-66.4855454549996 80.0852636360004,-66.4722272729998 80.0910909090004,-66.4547272729999 80.1055454550005,-66.4072272729999 80.1069363640004,-66.1652818179997 80.0722181820005,-66.1445909089999 80.0652727270004,-66.1228636359996 80.0407272730005,-66.1158272729999 80.0288727270005,-66.1058363639998 80.0236090910005,-66.0886090909999 80.0197181820004,-66.067227273 80.0158272730004,-66.0422181819999 80.0127727270005,-66.0097363639999 80.0102727270006,-65.898054545 80.0074909090005,-65.8038818179998 80.0099909090005,-65.7691636359999 80.0122090910004,-65.7388909089997 80.0155454550004,-65.5494363639997 80.0399818180005,-65.5269454549997 80.0430454550004,-65.4630545449999 80.0538636360005,-65.4266636359999 80.0633090910005,-65.361118182 80.0811000000004,-65.2884727269999 80.1023454550004,-65.2683454549997 80.1019272730005,-65.254454545 80.0958272730005,-65.2274909089999 80.0863818180004,-65.2063909089998 80.0819363640005,-65.1774909089997 80.0786000000004,-64.9661090909996 80.0627636360004,-64.933881818 80.0616454550005,-64.9024999999997 80.0633090910005,-64.8760999999996 80.0669363640005,-64.8341636359996 80.0747090910005,-64.611936364 80.0897090910005,-64.5638909089999 80.0899818180004,-64.5286090909999 80.0916636360005,-64.5094454549998 80.0944363640004,-64.4716636359997 80.1030454550004,-64.3477818179998 80.1352727270005,-64.3261181819997 80.1458181820005,-64.3155545449999 80.1683181820004,-64.269163636 80.2297090910005,-64.2518090909997 80.2429000000004,-64.2327727269997 80.2483181820004,-64.2049999999999 80.2505454550006,-64.1693090909999 80.2437272730004,-64.1665363639996 80.2316454550005,-64.1913818179997 80.2067909090005,-64.2036181819998 80.1890090910004,-64.1611181819999 80.1599909090006,-64.1441636359999 80.1558181820005,-63.9580545449997 80.1447181820005,-63.9377727269997 80.1441454550004,-63.8980545449999 80.1441454550004,-63.8305545449998 80.1480363640004,-63.7848727269998 80.1448545450005,-63.8049999999997 80.1386000000005,-63.8875090909999 80.1313636360004,-63.923054545 80.1291545450005,-63.966663636 80.1280363640004,-64.031390909 80.1324727270004,-64.0519363639999 80.1352727270005,-64.0844454549999 80.1377727270005,-64.1205454549999 80.1383181820005,-64.1522181819997 80.1366545450004,-64.1755545449999 80.1338818180004,-64.1944454549999 80.1288636360005,-64.2091636359997 80.1233090910005,-64.2855545449999 80.0905454550004,-64.3149999999999 80.0794363640004,-64.3336181819999 80.0744363640004,-64.3755454549998 80.0666636360005,-64.7297181819997 80.0408181820004,-65.025009091 80.0205363640004,-65.0513909089997 80.0169363640005,-65.0697272729999 80.0054090910005,-65.0533272729996 79.9960909090004,-65.0138999999999 79.9294272730004,-65.0427727269999 79.8949909090005,-65.0766727269999 79.8377727270005,-65.0286090909997 79.7524909090005,-64.9816727269996 79.6694363640005,-64.9286090909999 79.6430545450005,-64.9047272729997 79.6397090910004,-64.8802727269998 79.6338727270004,-64.8544454549999 79.6224818180005,-64.8177818179997 79.5994272730005,-64.8133272729997 79.5816636360004,-64.8219454549997 79.5360909090005,-64.8352818179996 79.5219272730004,-64.8508272729999 79.5099909090005,-64.8663909089999 79.4983181820006,-64.8799909089997 79.4927545450005,-64.9150090909999 79.4827545450004,-64.9577818179999 79.4749909090006,-65.0299999999996 79.4647090910005,-65.0475 79.4597181820005,-65.0608181819999 79.4538727270004,-65.0808454549997 79.4449727270005,-65.1472909089998 79.3968545450004,-65.1351454549999 79.3813727270005,-65.1563909089997 79.3708181820004,-65.2499999999998 79.3486000000004,-65.3519454549996 79.3413727270004,-65.3805545449999 79.3383181820005,-65.4049999999999 79.3338818180005,-65.4225 79.3297090910004,-65.435545455 79.3247090910005,-65.520845455 79.2669363640004,-65.6422272729999 79.2558272730004,-65.6702727269997 79.2522090910004,-65.6841545449997 79.2491454550005,-65.8952818179999 79.1594272730005,-65.9029727269998 79.1501272730005,-65.8919545449999 79.1397090910004,-65.9766727269999 79.1016545450005,-65.9933272729997 79.0977636360005,-66.0147272729997 79.0961000000004,-66.043609091 79.0958272730005,-66.1137454549996 79.1085909090005,-66.1358363639998 79.1097090910005,-66.1758272729999 79.1099818180006,-66.2397181819999 79.1055454550005,-66.3284727269999 79.1283181820005,-66.3433363639999 79.1384545450005,-66.366390909 79.1416636360004,-66.6041727269998 79.1436000000005,-66.730281818 79.1224818180004,-66.8155545449999 79.1088727270005,-66.9769454549997 79.1283090910004,-67.105836364 79.1316545450004,-67.2158363639997 79.1327545450005,-67.2472181819999 79.1144272730004,-67.3327818179998 79.1177545450005,-67.4444454549998 79.1302636360006,-67.4999999999998 79.1327272730006,-67.7150090909999 79.0888818180005,-67.7308363639997 79.0838818180005,-67.739727273 79.0733181820004,-67.7416727269999 79.0630363640004,-67.7213909089999 79.0583181820005,-67.6690181819997 79.0522000000005,-67.6824999999997 79.0461000000005,-67.7222272729999 79.0391545450004,-67.7502909089998 79.0372000000004,-67.8969545449997 79.0544272730005,-67.9602818179996 79.0644181820004,-67.9916727269999 79.0691545450005,-68.0150181819999 79.0716545450004,-68.0411090909998 79.0730454550006,-68.081118182 79.0730454550006,-68.1488999999999 79.0711090910004,-68.3055545449998 79.0649909090004,-68.3405636359997 79.0630363640004,-68.7502909089999 79.0136090910004,-68.793609091 79.0077636360004,-68.8402909089996 79.0013909090004,-69.0469545449999 78.9730363640005,-69.0883363639999 78.9647090910004,-69.107227273 78.9599909090005,-69.1222181819998 78.9555545450004,-69.1336181819999 78.9505454550004,-69.1438909089999 78.9438636360004,-69.168318182 78.9218636360005,-69.1497363639999 78.9136090910005,-69.1294363639998 78.9097181820005,-69.0324999999996 78.8983272730005,-69.0027909089999 78.8961000000005,-68.9594454549999 78.8958272730004,-68.8841727269997 78.8783090910004,-68.7933363639999 78.8394272730005,-68.7866636359998 78.8316545450004,-68.8074999999999 78.8283272730005,-68.8436090909997 78.8288727270005,-68.8733181819999 78.8308272730005,-68.8999909089997 78.8336000000006,-68.9236181819997 78.8372000000005,-68.954454545 78.8469363640005,-68.9661090909996 78.8541545450004,-69.137509091 78.8827545450005,-69.1763909089999 78.8708181820005,-69.2752818179998 78.8352636360005,-69.2855545449996 78.8294363640005,-69.4177727269997 78.8077545450005,-69.6219363639999 78.7991454550004,-69.6569545449998 78.7983272730005,-69.843336364 78.8002636360004,-69.8813818179999 78.7986000000004,-69.9283272729999 78.7947090910005,-69.9513999999996 78.7919272730005,-69.9733272729997 78.7880363640004,-70.0166818179997 78.7762363640005,-69.9570818179997 78.7618000000004,-69.9708363639999 78.7536000000005,-70.1588909089999 78.7388727270005,-70.3883363639998 78.7233090910004,-70.588054545 78.7108181820005,-70.7002909089996 78.7000000000005,-70.7650181819999 78.6877636360004,-70.7822272729998 78.6824818180004,-70.8030545449997 78.6727636360005,-70.871936364 78.6111000000004,-71.0141727269998 78.6177545450004,-71.0994454549999 78.6236000000005,-71.1558363639998 78.6280363640005,-71.1827727269999 78.6313636360005,-71.2205545449999 78.6386000000005,-71.2619454549997 78.6422090910004,-71.3497272729998 78.6413727270004,-71.5544454549998 78.6336090910004,-71.5872181819998 78.6305363640005,-71.6350090909999 78.6246909090004,-71.6774909089999 78.6163818180005,-71.7158363639999 78.6074818180004,-71.7813909089999 78.5894272730005,-71.8239 78.5774818180004,-71.8861272729998 78.5602545450005,-71.9041727269999 78.5569272730006,-72.104445455 78.5408181820005,-72.1411090909999 78.5388818180004,-72.2399909089997 78.5397000000004,-72.3780545449999 78.5377636360004,-72.5522181819998 78.5211000000004,-72.5761090909999 78.5166636360004,-72.6099999999997 78.5077636360005,-72.622772727 78.5024909090004,-72.6354272729999 78.4915090910005,-72.6241636359996 78.4849818180004,-72.5843090909999 78.4161000000005,-72.5911090909998 78.4061000000004,-72.6038818179996 78.4013818180005,-72.6783272729998 78.3763727270004,-72.6933272729997 78.3738727270004,-72.7491636359999 78.3669272730004,-72.8086090909998 78.3563727270004,-72.8216727269998 78.3516545450005,-72.8494454549997 78.3141454550004,-72.8297272729998 78.3116454550005,-72.7861181819998 78.3088727270004,-72.7580545449999 78.3085909090004,-72.6694454549999 78.3055454550005,-72.5797272729999 78.3013727270005,-72.538890909 78.2980363640004,-72.5152909089999 78.2947090910004,-72.4566636359998 78.2863727270004,-72.4897181819999 78.2849909090004,-72.595272727 78.2838727270005,-72.639172727 78.2872000000004,-72.6563909089999 78.2874909090004,-72.6741636359998 78.2838727270005,-72.6902818179997 78.2791636360005,-72.7980545449998 78.2412363640005,-72.8148545449998 78.2183181820005,-72.7969545449997 78.2116545450004,-72.7708454549999 78.2091545450006,-72.7538909089997 78.2055545450004,-72.7352727269997 78.1923363640005,-72.8219454549997 78.1716454550005,-72.8458363639996 78.1680454550005,-72.878872727 78.1666545450005,-72.9399909089999 78.1741454550004,-72.9688909089997 78.1758090910005,-72.9983363639997 78.1747000000004,-73.0227818179999 78.1716454550005,-73.0467999999997 78.1645636360005,-73.0536090909996 78.1572090910004,-73.0394454549997 78.1527727270005,-73.0133363639996 78.1502727270005,-72.9452636359997 78.1502727270005,-72.9141727269999 78.1494272730005,-72.8891727269999 78.1480363640005,-72.8697181819999 78.1455363640005,-72.6572272729999 78.0858181820005,-72.5050090909997 78.0583181820005,-72.3819454549999 78.0563636360005,-72.3227818179997 78.0538636360005,-72.2929181819997 78.0481818180004,-72.3105454549997 78.0352636360004,-72.3205545449999 78.0316636360005,-72.3531999999999 78.0126272730006,-72.3469545449996 78.0033272730004,-72.2355454549999 77.9469272730005,-72.1197181819998 77.9316545450006,-72.0822272729999 77.9266545450004,-72.026109091 77.9149909090004,-71.9772181819998 77.8999909090005,-71.9652909089996 77.8933272730005,-71.939436364 77.8861090910005,-71.9216636359997 77.8844272730004,-71.9013999999996 77.8838818180005,-71.8699999999999 77.8863818180004,-71.8363999999997 77.8938727270005,-71.826109091 77.8977636360005,-71.8074999999998 77.9030454550004,-71.7769454549997 77.9105363640004,-71.7594454549999 77.9138818180004,-71.7341636359999 77.9155454550005,-71.6277818179998 77.9191454550004,-71.6038818179999 77.9185909090004,-71.589163636 77.9104090910004,-71.5988909089997 77.8527636360004,-71.5683454549998 77.8516545450004,-71.4986090909998 77.8555454550004,-71.4711181819996 77.8586000000005,-71.4238909089999 77.8655363640005,-71.4069545449997 77.8697090910005,-71.3719363639999 77.8758090910005,-71.3444545449997 77.8788636360004,-71.2875090909998 77.8822000000004,-71.2683363639999 77.8827545450004,-71.2511090909998 77.8819272730005,-71.2288818179999 77.8785818180004,-71.2145272729999 77.8625090910004,-71.227490909 77.8549818180005,-71.2555727269997 77.8483272730005,-71.3236272729997 77.8336000000004,-71.3805545449997 77.8219272730005,-71.419445455 77.8083181820004,-71.4349999999999 77.8004000000005,-71.439027273 77.7909636360005,-71.3422272729999 77.7669363640006,-71.3200090909997 77.7636090910005,-71.2616727269998 77.7599909090005,-71.2377818179997 77.7588818180004,-71.2022272729999 77.7591545450005,-71.118327273 77.7655454550005,-71.0836181819999 77.7672090910004,-70.9783363639999 77.7708272730005,-70.9052727269999 77.7697181820005,-70.7013999999997 77.7774818180005,-70.6702727269998 77.7799818180005,-70.6505545449999 77.7847181820005,-70.6375090909997 77.7891545450004,-70.628327273 77.7949818180004,-70.5547181819998 77.8258181820004,-70.5208454549999 77.8385909090004,-70.4858272729997 77.8452636360005,-70.4344363639999 77.8516545450004,-70.3724999999999 77.8577545450004,-70.0666636359999 77.8480363640005,-70.0041818179998 77.8427545450005,-69.9749272729998 77.8345727270005,-69.9833181819998 77.8261000000005,-70.0138999999997 77.8224909090004,-70.1233181819996 77.8194454550004,-70.1808272729999 77.8219272730005,-70.2061181819999 77.8202636360004,-70.2269454549999 77.8169363640004,-70.2438818179999 77.8130363640005,-70.2600090909999 77.8077545450005,-70.3113909089997 77.7866545450004,-70.3741636359996 77.7683272730004,-70.5111272729997 77.7341454550004,-70.6144363639997 77.7136090910004,-70.6027818179999 77.6780363640005,-70.3461181819998 77.6583272730005,-70.3091545449996 77.6558181820005,-70.2833272729999 77.6566454550004,-70.1274909089998 77.6655454550004,-70.0497272729999 77.6808181820004,-70.0325 77.6841454550005,-70.0113999999999 77.6869181820005,-69.944990909 77.6897000000004,-69.9066636359996 77.6905363640005,-69.8477818179998 77.6902636360005,-69.813045455 77.6913636360004,-69.7569545449997 77.6949727270005,-69.7049999999999 77.7005454550005,-69.6674999999998 77.7077636360004,-69.6302818179996 77.7163818180005,-69.5791727269999 77.7309545450005,-69.5352818179999 77.7474818180004,-69.5180636359997 77.7513909090005,-69.4936090909998 77.7541636360005,-69.4813909089996 77.7526272730005,-69.4922181819999 77.6922000000005,-69.5011090909996 77.6847090910004,-69.8272272729997 77.6361090910005,-69.9255545449997 77.6230272730004,-69.9736181819997 77.6174818180004,-70.0494363639999 77.6097090910004,-70.0999909089997 77.6033181820005,-70.2486090909999 77.5788727270004,-70.288890909 77.5668000000004,-70.2802909089999 77.5585909090004,-70.2469454549999 77.5519272730004,-70.0863999999999 77.5366545450004,-70.0197272729997 77.5377636360004,-69.9772181819998 77.5419272730004,-69.929718182 77.5424818180004,-69.601390909 77.5027727270005,-69.4991636359996 77.4869272730006,-69.4083363639999 77.4736000000005,-69.2977727269998 77.4586000000004,-69.2502909089998 77.4530454550004,-69.2066636359999 77.4494181820004,-69.1880454549997 77.4500000000004,-69.1608272729997 77.4527727270004,-69.1408363639997 77.4566454550004,-69.0527818179996 77.4699818180005,-69.0074792829998 77.4749053060005,-69.0074793759999 77.4749052710004,-68.9505635639998 77.4810908520005,-68.9401135329996 77.4818571160005,-68.855836364 77.4880363640004,-68.7878450969999 77.4926709010004,-68.7416725639999 77.4958178520005,-68.6991545639999 77.4997088520005,-68.6572275639998 77.5049908520004,-68.6572272729999 77.5049909090005,-68.6369454549999 77.5088818180005,-68.6321814359999 77.5101218960004,-68.6230455639997 77.5124998520005,-68.6056905639997 77.5192908520004,-68.5938905639997 77.5302638520005,-68.595035707 77.5388986840004,-68.5961181819998 77.5470636360004,-68.6655545449997 77.5936000000004,-68.6754232669999 77.5971412770004,-68.6820019949998 77.5995020800004,-68.6820021339998 77.5995020270005,-68.7049999999999 77.6077545450005,-68.7291727269997 77.6169272730004,-68.7577818179998 77.6280363640004,-68.8155545449997 77.6513818180004,-68.8049909089999 77.6558181820005,-68.7847272729999 77.6597181820004,-68.7661090909999 77.6616545450005,-68.7377818179999 77.6630363640005,-68.699436364 77.6638818180004,-68.6724999999998 77.6619272730005,-68.6235999999997 77.6548454550004,-68.4183363639997 77.5816636360004,-68.413107197 77.5797928740005,-68.395009564 77.5733178520004,-68.383054564 77.5685998520004,-68.3680455639996 77.5515088520005,-68.3679021289999 77.5478108230005,-68.3674909089996 77.5372000000005,-68.3763818179999 77.5201272730006,-68.3907 77.5074909090004,-68.3858706069999 77.5055565380005,-68.3705455639998 77.4994178520004,-68.3447275639999 77.4985998520004,-68.3135185299998 77.4991191750005,-68.2277818179999 77.5005454550004,-68.1486490329997 77.5065053760005,-68.1355635629999 77.5074908520005,-68.1103158349999 77.5082225390004,-67.9438818179998 77.5130454550005,-67.8080454549998 77.5091545450004,-67.8001442359999 77.5088182450004,-67.7886095629997 77.5083268520004,-67.7605635629997 77.5094268520004,-67.6030473379998 77.5199209110004,-67.5811181819998 77.5213818180005,-67.5266727269999 77.5280454550004,-67.3921551919998 77.5472996420004,-67.2977725629999 77.5608088520004,-67.2827735439998 77.5633946280005,-67.2799999999998 77.5638727270004,-67.2799995619999 77.5638728480005,-67.245272727 77.5730454550005,-67.2201148939999 77.5829588880005,-67.2177725629997 77.5838818520005,-67.2163171139999 77.5847327590005,-67.1997181819999 77.5944363640005,-67.184718182 77.6049818180005,-67.1461181819997 77.6361090910005,-67.1438038629997 77.6440028490005,-67.1420905969998 77.6498457340005,-67.1208363639998 77.6688727270005,-67.0877662359998 77.6717005330004,-67.0397185619999 77.6758088520004,-66.902713573 77.6769546670004,-66.7233363639997 77.6784545450005,-66.5272181819997 77.6394363640004,-66.415575251 77.6287702430005,-66.3177815619998 77.6194268520006,-66.3016684529997 77.6164129840004,-66.2836181819999 77.6130363640004,-66.2625357999999 77.6066771460004,-66.2513995619998 77.6033178520005,-66.2213472659999 77.5913224470005,-66.1630545449998 77.5680545450006,-66.1190194049996 77.5368720960005,-66.0641635619999 77.4980268520005,-66.0586454979999 77.4937561050005,-66.0555546359996 77.4913637070005,-66.0761185299999 77.4515089130005,-66.1019454549997 77.4383090910004,-66.1136181819999 77.4347090910005,-66.1313818179999 77.4310909090004,-66.1702727269998 77.4249909090005,-66.1861986039997 77.4238257440005,-66.2197275619997 77.4213728520004,-66.2894455619999 77.4216458520004,-66.3760995619998 77.4266548520004,-66.4630545619999 77.4313638520005,-66.4851378599998 77.4325253700005,-66.521118182 77.4344181820005,-66.5478908909998 77.4327360030005,-66.5519365619999 77.4324818520005,-66.6361275619998 77.4202548520004,-66.6570095619998 77.4124818520005,-66.610598088 77.3794907730004,-66.5452727269997 77.3330545450004,-66.5005636359997 77.3124818180004,-66.4924850969999 77.3093979860005,-66.4605545619999 77.2972088520004,-66.443327562 77.2919268520005,-66.4247213199999 77.2880892450005,-66.4163999999999 77.2863727270004,-66.3674909089999 77.2802727270005,-66.3166636359998 77.2777727270005,-66.3049400549997 77.2775755320004,-66.2663995619997 77.2769268520004,-66.2489280739999 77.2774474230005,-66.2477727269996 77.2774818180005,-66.2247181819997 77.2741545450004,-66.2038909089997 77.2670727270005,-66.1977727269999 77.2574909090005,-66.1999878929999 77.2563271380005,-66.208345562 77.2519368520005,-66.2202725619999 77.2502728520005,-66.2288196929997 77.2494808630005,-66.238327273 77.2486000000005,-66.2427715859998 77.2487529010004,-66.2541815619998 77.2491458520005,-66.358414922 77.2587176970005,-66.4630545449998 77.2683272730005,-66.5258363629997 77.2774818200004,-66.5258365609997 77.2774818540005,-66.5458365619999 77.2813728520005,-66.5802905619999 77.2905458520005,-66.6105050579997 77.3013883080005,-66.6236090909999 77.3060909090005,-66.6566636359997 77.3199909090004,-66.6615143129997 77.3218434070005,-66.6966545619999 77.3352638520005,-66.7111185619996 77.3405458520005,-66.7246172519998 77.3439988700004,-66.7458363639997 77.3494272730004,-66.7654044299996 77.3520198870005,-66.768890562 77.3524818520004,-66.7796864369999 77.3534640880006,-66.8208454549999 77.3572090910005,-66.9495614399999 77.3631371660005,-67.0738995619998 77.3688638520004,-67.1588985479999 77.3725965180005,-67.3144363639999 77.3794272730005,-67.5216636359999 77.3849909090004,-67.5791375109998 77.3858038430005,-67.619999563 77.3863818520005,-67.6894365629998 77.3863818520005,-67.714566503 77.3858227210005,-67.7519545449999 77.3849909090004,-67.8144363639996 77.3836090910005,-67.9166545449997 77.3794272730005,-67.9581727079999 77.3765992960004,-67.9777815629999 77.3752638520004,-68.0308818019998 77.3727532610004,-68.095272727 77.3697090910004,-68.1718079249999 77.3672741060005,-68.2349995639999 77.3652638520004,-68.249565702 77.3649317460005,-68.2597363639999 77.3647000000005,-68.2776774139998 77.3658213160005,-68.3086095639996 77.3677548520005,-68.4683500519998 77.3546283890005,-68.5114 77.3510909090004,-68.5438432919997 77.3465327000005,-68.6319455639998 77.3341548520004,-68.6761881629998 77.3284375680005,-68.7027909089999 77.3250000000005,-68.7707299149999 77.3164518680004,-68.8883365639998 77.3016548520005,-68.9414727209997 77.2976979040005,-69.0002909089999 77.2933181820005,-69.0101044309999 77.2919943760004,-69.0208455639999 77.2905458520005,-69.0877815639996 77.2755458520005,-69.0935713079998 77.2740374590005,-69.1016727269999 77.2719272730005,-69.1016723589999 77.2719269050005,-69.1016725639998 77.2719268520004,-69.09930171 77.2695619970004,-69.0941636359997 77.2644363640004,-69.0477727269996 77.2538727270004,-69.027218182 77.2502727270004,-68.9572275639998 77.2424818510004,-68.9572272729999 77.2424818200005,-68.8847363639997 77.2352636360005,-68.6674999999997 77.2202636360005,-68.558332225 77.2141172880004,-68.529445564 77.2124908520005,-68.4688905639997 77.2099908520004,-68.4548453919996 77.2095259470004,-68.3010999999996 77.2044363640005,-68.1597272729997 77.2013818180004,-68.1261 77.2030454550004,-68.1109005239998 77.2050364970004,-68.1027815629998 77.2060998520005,-68.0858977789998 77.2094990590005,-68.0627727269997 77.2141545450004,-68.015563636 77.2199818180005,-67.9849999999997 77.2213727270004,-67.9508363639999 77.2213727270004,-67.8841727269999 77.2188727270005,-67.8162880939996 77.2160065840004,-67.700290563 77.2111088520005,-67.6565496189997 77.2047003300005,-67.6339 77.2013818180004,-67.6077727269999 77.1991454550005,-67.4999999999998 77.1963818180004,-67.49439296 77.1962387360005,-67.488599563 77.1960908520005,-67.4784353349999 77.1954154150005,-67.4341545449998 77.1924727270005,-67.1791754069999 77.1734591250005,-67.1138905629997 77.1685908520005,-67.1085863209998 77.1680694040005,-67.0433363639997 77.1616545450004,-66.9787285149997 77.1530179110004,-66.974718562 77.1524818520004,-66.954727562 77.1488818520004,-66.9547272719998 77.1488818210005,-66.9322181819997 77.1466545450004,-66.906954545 77.1455363640006,-66.8762231409999 77.1450459690006,-66.8727725619997 77.1449908520004,-66.8460823479999 77.1450483780005,-66.7461090909998 77.1452636360004,-66.7333575559996 77.1454581730004,-66.709163562 77.1458268520004,-66.6827001339999 77.1468342620005,-66.651109091 77.1480363640005,-66.351945455 77.1780363640004,-66.1930545449998 77.1949727270004,-66.171390909 77.1902545450005,-66.1776363639996 77.1808181820005,-66.2002907079997 77.1688728330004,-66.2269455619999 77.1655458520004,-66.2558704089998 77.1637342320004,-66.284727273 77.1619272730004,-66.3927727269997 77.1519272730004,-66.4431818179999 77.1423909090004,-66.4452063089999 77.1392168330004,-66.4486095619999 77.1338818520005,-66.7352725619999 77.1238728520004,-66.904172562 77.1216458520004,-66.9193688409999 77.1223090020006,-66.9358181819997 77.1230272730004,-67.074718182 77.1388818130005,-67.0747185619996 77.1388818530004,-67.2288815629998 77.1538728520004,-67.4063905629997 77.1627638520004,-67.7516815629999 77.1941368520004,-67.7887113099998 77.1988472160004,-67.7977727269999 77.2000000000004,-67.8112519459997 77.2004350110005,-67.857772563 77.2019368520005,-67.895009563 77.2013818520004,-67.9435995629996 77.1988638520004,-67.9642569289999 77.1970392950005,-68.0063909089998 77.1933181820004,-68.0736272729997 77.1833181820004,-68.0933363639997 77.1794272730004,-68.1250212689998 77.1754270940005,-68.1461185629998 77.1727638520004,-68.1928261559998 77.1697982820006,-68.2336090909998 77.1672090910004,-68.293623332 77.1657205370005,-68.3769185639998 77.1636548520004,-68.5142172049997 77.1656987750005,-68.5405545449999 77.1660909090004,-68.5881669169996 77.1687377590005,-68.6105455639998 77.1699818520004,-68.6558365639999 77.1727638520004,-68.7049995639998 77.1777638520004,-68.7830635639999 77.1841458520005,-68.8633275639997 77.1888728520005,-68.944099921 77.1922024340005,-68.977781818 77.1935909090005,-69.0033329029996 77.1950820610004,-69.1161095639999 77.2016638520005,-69.3586090909998 77.2163818210004,-69.3586095649998 77.2163818520004,-69.3741156859999 77.2168706900005,-69.5783363639999 77.2233090910004,-69.6171099869999 77.2226963470005,-69.6684285449999 77.2218856670004,-69.6684293959999 77.2218853410005,-69.6836090909998 77.2216454550004,-69.7966636359996 77.2274818180004,-69.9183363639998 77.2369272730004,-69.9444454549999 77.2391545450005,-70.005009091 77.2408181820004,-70.1491727269999 77.2405363640005,-70.4027909089996 77.2255363640004,-70.5141727269998 77.2186000000004,-70.9102818179999 77.1883090910005,-70.9251363639997 77.1804000000005,-70.9113909089997 77.1716454550005,-70.8938909089997 77.1685909090004,-70.8136090909998 77.1608090910004,-70.8497272729999 77.1452636360004,-70.9891636359999 77.1486090910005,-71.1938818179997 77.1333272730005,-71.3669454549997 77.0619181820005,-71.3752727269999 77.0560909090004,-71.3785999999998 77.0435909090005,-71.3804181819998 77.0242909090006,-71.3760999999998 77.0095818180004,-71.3522181819999 76.9935909090004,-71.3274999999999 76.9849818180005,-71.2511090909998 76.9638818180005,-71.1824999999999 76.9491454550004,-71.1611181819999 76.9449727270005,-71.1366727269999 76.9427545450005,-71.1172181819999 76.9480272730004,-71.0772272729998 76.9569363640005,-71.0491636359999 76.9608181820005,-70.9988909089997 76.9597181820004,-70.973054545 76.9577636360004,-70.9558363639999 76.9549909090005,-70.909863636 76.9410909090005,-70.887218182 76.9349818180004,-70.8527818179997 76.9294272730005,-70.804172727 76.9255363640004,-70.7047272729997 76.9371909090004,-70.6831909089998 76.9326181820005,-70.8216727269999 76.9102636360005,-70.9694545449999 76.9024818180005,-70.9829181819999 76.8973454550004,-70.9761090909997 76.8873545450005,-70.8413818179999 76.8388818180005,-70.8263999999999 76.8344272730005,-70.6977727269997 76.8055454550004,-70.5742353749998 76.7916325820004,-70.5472275659999 76.7885908510004,-70.541815593 76.7882211020004,-70.5188909089999 76.7866545450004,-70.4861291419997 76.7852014670004,-70.4813815659998 76.7849908510004,-70.4753706909999 76.7850511810004,-70.4541818179999 76.7852636360005,-70.4334623929998 76.7868604460004,-70.425281566 76.7874908510005,-70.420250214 76.7880986080004,-70.3999909089996 76.7905454550004,-70.3591636359997 76.7980363640004,-70.1759527679999 76.8545879170005,-70.1036095649999 76.8769178510005,-70.0066725649999 76.9083268510004,-69.8277149709998 76.9666591090005,-69.7911090909998 76.9785909090004,-69.7783363639999 76.9830454550004,-69.7667925289999 76.9909189420004,-69.765927565 76.9915088520004,-69.7659275739997 76.9915088850005,-69.7659272729997 76.9915090910005,-69.7694544679999 77.0047178930004,-69.758257858 77.0095500860004,-69.7572364749997 77.0099908610004,-69.7527644639999 77.0104670400004,-69.7311090909999 77.0127727270005,-69.7044592919997 77.0126487170004,-69.6724995649996 77.0124998520004,-69.6519566439998 77.0112240020004,-69.5830727269997 77.0069454550005,-69.568126676 77.0056437190004,-69.5574995649999 77.0047178520005,-69.5433365649999 77.0017998520004,-69.545161155 76.9993886680004,-69.5494454549996 76.9937272730005,-69.5694545449999 76.9885909090004,-69.595554545 76.9858090910005,-69.6333719239997 76.9829602360004,-69.6544455649998 76.9813728520005,-69.6621444929997 76.9804720040004,-69.680554545 76.9783181820005,-69.707215068 76.9727167540004,-69.7188905649998 76.9702638520004,-69.7262516379996 76.9680975770005,-69.7499999999998 76.9611090910005,-69.7875090909998 76.9469272730004,-69.8391727269997 76.9197090910004,-69.8552841089999 76.9100683620004,-69.8661095649999 76.9035908510004,-69.8784901749997 76.8883249120004,-69.8839000019996 76.8816545490005,-69.8924999999998 76.8758090910004,-69.9047272729998 76.8705272730005,-69.9575090909997 76.8572090910005,-69.9840852289998 76.8512532760005,-69.9897185649997 76.8499908480005,-70.0338909089997 76.8424818180004,-70.085145455 76.8215181820005,-70.0929912819996 76.8107326280005,-70.0996545649999 76.8015728510005,-70.0996544869997 76.8015728080004,-70.0996545449999 76.8015727270005,-70.0641636359999 76.7819363640006,-70.041876418 76.7731540940004,-70.0366635649999 76.7710998510004,-70.0080545649999 76.7636088510005,-69.99224888 76.7608986370004,-69.9674999999999 76.7566545450005,-69.945245722 76.7538932310004,-69.9316725649997 76.7522088510005,-69.8267912799999 76.7422099950005,-69.765563636 76.7363727270005,-69.7112149339997 76.7324110280005,-69.6397275649999 76.7271998510005,-69.6138905649997 76.7244268510004,-69.4088905649999 76.7022088510004,-69.3722185649998 76.6955268510005,-69.2700692129998 76.6826561560005,-69.2113999999999 76.6752636360004,-69.1451664819996 76.6755206710004,-69.070845564 76.6758088510005,-68.8852815639999 76.6649908510005,-68.8821278899997 76.6646916400005,-68.8383363639999 76.6605363640005,-68.8033140289998 76.6583286170005,-68.7855545639998 76.6572088510005,-68.7742266999999 76.6569981820005,-68.7552818179998 76.6566454550004,-68.5947272729999 76.6580363640005,-68.5769627479999 76.6581926640005,-68.5616635639997 76.6583268510005,-68.5466128269996 76.6587456090005,-68.5322272729998 76.6591454550004,-68.3866727269997 76.6674818180005,-68.3821405839997 76.6678960420005,-68.2833275639996 76.6769268510004,-68.1957429239997 76.6868858660005,-68.1808272729998 76.6885818180005,-68.1447272729998 76.6949727270005,-68.1183272729999 76.7027636360004,-68.0998497409997 76.7043570880004,-68.0924996959997 76.7049908400005,-68.015563636 76.6874818180004,-68.0124461269999 76.6867285830005,-67.9822275629997 76.6794268510005,-67.9797185639999 76.6026178820005,-67.9804792839997 76.6020223150005,-67.9919455629999 76.5930458510005,-68.0013995629999 76.5880458510005,-68.0141725629997 76.5827638510004,-68.0302905629997 76.5791638510005,-68.0561095629998 76.5769368510004,-68.3952815639999 76.5713818510005,-68.3977631439996 76.5714269330005,-68.4252818179999 76.5719272730004,-68.449718182 76.5736090910004,-68.4602995679998 76.5744286670004,-68.4747185639999 76.5755458510005,-68.541109564 76.5841548510004,-68.562721868 76.5852495450004,-68.5958363639999 76.5869272730005,-68.6492294759997 76.5867693520005,-68.6880455639997 76.5866548510005,-68.7009431169998 76.5863533160006,-68.7113999999997 76.5861090910005,-68.7220345729999 76.5852067890004,-68.7344365639996 76.5841548510004,-68.8013905639999 76.5691548510005,-68.8013908039999 76.5691545690004,-68.8013909089998 76.5691545450005,-68.8173636359999 76.5504000000004,-68.9461090909997 76.5086090910004,-68.9769454549998 76.5000000000005,-69.0026098759997 76.4946864880005,-69.065554564 76.4816548510004,-69.0975319949998 76.4772570110005,-69.134172727 76.4722181820004,-69.1839205239997 76.4658522920006,-69.2449995639999 76.4580368510004,-69.2917594489999 76.4528640830005,-69.3202818179999 76.4497090910004,-69.4780545449996 76.4358090910005,-69.5016818179997 76.4358090910005,-69.5275591149996 76.4367988830005,-69.5527815649999 76.4377638510005,-69.5600793069999 76.4369081510005,-69.5694545449999 76.4358090910005,-69.6175 76.4190181820005,-69.6249231239998 76.3949965290005,-69.6315185649996 76.3736548510004,-69.6315181549999 76.3736546320005,-69.6315181819999 76.3736545450006,-69.6158272729998 76.3652636360004,-69.4099999999999 76.3149909090004,-69.3962298169997 76.3123178210004,-69.3255635649999 76.2985998510005,-69.3099995649997 76.2972088510005,-69.2983123569997 76.2974897920005,-69.2755545449999 76.2980363640005,-69.2450855589999 76.2951122870004,-69.2263905639999 76.2933178510004,-69.1230455639999 76.2797088510005,-69.0819545639999 76.2733178510005,-69.0541736389998 76.2681043600005,-69.027218182 76.2630454550005,-69.019050363 76.2608335260004,-69.010836564 76.2586088510004,-68.9410480129996 76.2277594860005,-68.9295818179999 76.2226909090004,-68.9127818179999 76.2138818180005,-68.8996907549999 76.2107402790005,-68.8375095639999 76.1958178510004,-68.8247185639997 76.1935908510005,-68.757109785 76.1839336960004,-68.7469455979996 76.1824818390004,-68.7579275919997 76.1786389570004,-68.8088818179999 76.1608090910004,-68.8088811739997 76.1608089870005,-68.8088815639996 76.1608088510004,-68.8008624459999 76.1595162660005,-68.789990909 76.1577636360004,-68.769163636 76.1569363640004,-68.6224999999996 76.1574818180004,-68.525554545 76.1602636360005,-68.4988909089998 76.1588727270005,-68.4747181819997 76.1566454550004,-68.4561181819996 76.1530454550004,-68.4424889019996 76.1472276640005,-68.4379095639998 76.1452728510005,-68.448609564 76.1366548510005,-68.469727564 76.1327548510004,-68.5340573189999 76.1254596400005,-68.5408363639996 76.1246909090004,-68.5431524159998 76.1242777330005,-68.559436564 76.1213728510005,-68.5650028379999 76.1190319730004,-68.5726454549997 76.1158181820005,-68.5726453189999 76.1158179540005,-68.5726455639997 76.1158178510004,-68.5675095639996 76.1072088510004,-68.5287119769998 76.0950557780005,-68.5169545449997 76.0913727270005,-68.5132264169997 76.0903616040005,-68.5005635639999 76.0869268510004,-68.4361859789997 76.0765027710005,-68.4199999999999 76.0738818180004,-68.4168235749996 76.0738204280005,-68.3908365639996 76.0733178510004,-68.3854844879997 76.0737487120005,-68.3769363639999 76.0744363640005,-68.3633272729999 76.0755454550005,-68.323889395 76.0759491650005,-68.3091545639999 76.0760998510004,-68.2030635639999 76.0699908510005,-68.087264827 76.0610225570004,-67.8658272729999 76.0438727270004,-67.8416727269999 76.0416545450004,-67.7903596379999 76.0352196250005,-67.7575095629999 76.0310998510005,-67.628327563 76.0219268510004,-67.4999995629998 76.0177268510005,-67.3553404129999 76.0092122230005,-67.3497275629999 76.0088818420004,-67.3497272719998 76.0088818210005,-67.3258363639997 76.0066545450004,-67.227781818 75.9949818180005,-67.1647616859999 75.9888355910005,-67.0597185619999 75.9785908510005,-66.7488905619999 75.9497088510005,-66.7168663559999 75.9457746030004,-66.6899909089999 75.9424727270004,-66.6480545449999 75.9363727270004,-66.626518437 75.9306727950005,-66.6099995619996 75.9233088510006,-66.5919455619999 75.9197088510004,-66.5502815619997 75.9136088510005,-66.5272185619999 75.9110998510004,-66.5111807759998 75.9095864540005,-66.5036181819999 75.9088727270005,-66.4947554659998 75.9087502010005,-66.4838905619997 75.9085998510005,-66.4537545619997 75.9144998510005,-66.453754698 75.9144999700005,-66.4537545449998 75.9145000000004,-66.4861090909997 75.9428909090005,-66.4960672559999 75.9467249680005,-66.5052815619996 75.9502728510005,-66.5749666059997 75.9699457340004,-66.6489 75.9908181820005,-66.7113999999999 76.0083272730005,-66.7822272729996 76.0238818180004,-66.8399999999999 76.0347181820005,-66.8631636959997 76.0386215160005,-66.8794365619997 76.0413638510004,-66.9424905619998 76.0505368510004,-66.9905635619999 76.0813728510006,-67.0111273459997 76.0991546640004,-67.0130487369997 76.1022491720005,-67.0174995619997 76.1094178510004,-67.0228761089996 76.1169490650004,-67.0265272729999 76.1220636360005,-67.0265275589999 76.1220638550005,-67.0405545619999 76.1330458510005,-67.0533275619997 76.1369368510004,-67.0924995629998 76.1424908490004,-67.0925 76.1424909090004,-67.1844363639999 76.1494272730005,-67.2022665949999 76.1500729940004,-67.2077815629999 76.1502728510005,-67.2608365629999 76.1538728510005,-67.2791725629999 76.1563728510004,-67.2894308379998 76.1598099630004,-67.3052724119999 76.1651180760004,-67.2905545629997 76.1871908510005,-67.289144419 76.1877963800004,-67.2808363639996 76.1913636360005,-67.1350090909999 76.2427545450005,-67.1219363639999 76.2463727270005,-67.1030545449997 76.2502727270004,-67.0994702699999 76.2509410490005,-67.0866725619996 76.2533268510004,-67.0439564429999 76.2607009590005,-67.0319545449998 76.2627727270005,-67.0122181819999 76.2638818180005,-67.0063521479998 76.2638511750004,-66.9600095619999 76.2636088510004,-66.9153859699998 76.2592202080005,-66.911945453 76.2588818240005,-66.8188909089999 76.2413636360004,-66.7992939229999 76.2281415740005,-66.7736185619997 76.2108178510005,-66.5252815619996 76.0935998510004,-66.5218056449996 76.0926241970005,-66.5094454549996 76.0891545450005,-66.493881818 76.0852636360004,-66.4614 76.0816636360004,-66.4330636359999 76.0827636360004,-66.393345455 76.0880454550004,-66.367227273 76.1006818180005,-66.3655867709999 76.1090810100005,-66.3638905619999 76.1177638510005,-66.3688956759999 76.1251887870005,-66.371936364 76.1297000000005,-66.3647181819999 76.1577636360004,-66.2069545449998 76.2752727270004,-66.1941545449999 76.2802727270004,-66.1872984449999 76.2807957900004,-66.1753275619997 76.2817088510005,-66.1533365619997 76.2797088510005,-65.934999561 76.2660998510005,-65.8013905609998 76.2744268510004,-65.7847088229999 76.2750113590004,-65.7694545449999 76.2755454550004,-65.7250095609999 76.2713818570005,-65.7205845539999 76.2707220740004,-65.6616636359998 76.2619363640005,-65.613564948 76.2529159680004,-65.6038815609998 76.2510998510005,-65.5986906629998 76.2499165400006,-65.5733363639999 76.2441363640005,-65.5569368229999 76.2366456640005,-65.563224298 76.2321616290005,-65.5666636359999 76.2297090910004,-65.646118182 76.2236000000004,-65.7130545449997 76.2158181820005,-65.728897698 76.2136728880004,-65.7355455609997 76.2127728510005,-65.7547275609999 76.2091548510004,-65.7614020239999 76.2063552050004,-65.7702909089999 76.2026272730005,-65.7702901639996 76.2026270180004,-65.7702905609997 76.2026268510005,-65.7544545609997 76.1972088510005,-65.7288815609997 76.1983178510005,-65.707795015 76.1975711710005,-65.7052727269999 76.1974818180005,-65.6909727839997 76.1913636610004,-65.7508365609999 76.1402728510005,-65.7559677879997 76.1374224540005,-65.7608363639997 76.1347181820004,-65.7736181819998 76.1297000000005,-65.7927727269997 76.1258090910005,-65.8369454549999 76.1197090910005,-65.8558363639999 76.1160909090004,-65.8558365619999 76.1160908520005,-65.871936561 76.1116458510005,-65.878663794 76.1066544000004,-65.8867999999999 76.1006181820005,-65.8867995609998 76.1006178510004,-65.8785999999999 76.0944363640004,-65.8230636359997 76.0788727270005,-65.648618182 76.0338727270004,-65.6305545449999 76.0299818180004,-65.5636090909996 76.0241545450005,-65.5083454549998 76.0194363640005,-65.4868466539997 76.0188082630004,-65.4797185609996 76.0185998510004,-65.4390228039996 76.0233699910004,-65.4133272729996 76.0263818180005,-65.368327273 76.0413636360005,-65.3086090909997 76.0655363640004,-65.2965275619998 76.0754088520005,-65.296527273 76.0754090910004,-65.3044454549998 76.0849909090005,-65.3213999999999 76.0958272730005,-65.3283840569999 76.0998618330004,-65.344454561 76.1091458510004,-65.3613905609996 76.1259548510005,-65.3548545609996 76.1708178510004,-65.3283365609997 76.1746998510005,-65.2352725609997 76.1819268510005,-65.2176746819999 76.1808113880005,-65.2090364139997 76.1802636400005,-65.2077082329998 76.1783504450004,-65.2005546759997 76.1680456430004,-65.2076455609997 76.1552638510005,-65.2199977269996 76.1449920330004,-65.2323636359998 76.1347090910004,-65.2323633749997 76.1347090050004,-65.2323635609998 76.1347088510004,-65.2110205869997 76.1276714510004,-65.196109091 76.1227545450004,-65.1737545449999 76.1195636360005,-65.1411090909997 76.1213727270004,-65.1037317579999 76.1263565810004,-65.0327725609999 76.1358178510005,-65.0222905609996 76.1712908510005,-65.0168520559996 76.1726681290004,-65.0011090909998 76.1766545450006,-64.9902051709997 76.1767696870005,-64.975281561 76.1769268510005,-64.9285246359997 76.1767689710005,-64.8947272729999 76.1766545450006,-64.8686090909999 76.1755363640005,-64.845 76.1724818180004,-64.8299999999999 76.1691454550004,-64.7892999999999 76.1524909090004,-64.7822786459998 76.1486147440004,-64.7636275599997 76.1383178510004,-64.7388905599999 76.1283088510004,-64.6941545599997 76.1197088510004,-64.6868123279997 76.1191062980004,-64.6738909089999 76.1180454550005,-64.6565804219998 76.1190617580005,-64.6455545599999 76.1197088510004,-64.6359424789999 76.1210095930005,-64.6230454549996 76.1227545450004,-64.6143013309998 76.1252863740004,-64.5999995599996 76.1294268510004,-64.6058365599999 76.1380458510005,-64.6238905599997 76.1424908510004,-64.6238909089997 76.1424909100005,-64.6625095599996 76.1491548510004,-64.6777815599999 76.1535908510004,-64.6841934529997 76.1576334180005,-64.6874997909999 76.1597180500005,-64.6977725599999 76.1685908510004,-64.691646422 76.2119533060004,-64.6855454549997 76.2551363640005,-64.675056148 76.2612764460004,-64.6724996529998 76.2627727970005,-64.6530636359999 76.2666636360005,-64.6373280589999 76.2673048980004,-64.6327635599997 76.2674908510004,-64.6124998829999 76.2663908680005,-64.604611943 76.2636566930005,-64.5940365599999 76.2599908510004,-64.589047178 76.2541640320005,-64.5866727269999 76.2513909090004,-64.5769545449997 76.2452545450005,-64.5713838109999 76.2427166340004,-64.5641635599997 76.2394268510005,-64.508686326 76.2332995630005,-64.461118182 76.2280454550004,-64.4410999999998 76.2288636360005,-64.3765272729996 76.2566636360005,-64.3658272729996 76.2791636360005,-64.3754090909997 76.3095636360005,-64.3941636359999 76.3247090910004,-64.3993083529999 76.3270500330004,-64.40639056 76.3302728510005,-64.4089737089998 76.3377833960004,-64.4122180859998 76.3472179030004,-64.3438905599997 76.3547088510005,-64.3340586079997 76.3540890660004,-64.3175090909999 76.3530454550005,-64.23038078 76.3350367600004,-64.2180635599998 76.3324908510005,-64.199999745 76.3285998910004,-64.1970836119998 76.3273506590004,-64.1970835869999 76.3273506830004,-64.17194556 76.3165818510004,-64.2075095599999 76.3030368510004,-64.2197185599998 76.2965178510005,-64.2194455599999 76.2502638510005,-64.1899905599998 76.1908088510004,-64.1356995599999 76.1555368510005,-64.1202725599999 76.1480368510004,-64.0383275599996 76.1358178510005,-64.01221856 76.1347178510005,-63.9697185599999 76.1377728510005,-63.7999995589996 76.1555458510005,-63.7888905589998 76.1569368510005,-63.724999559 76.1758088510004,-63.5041725589999 76.3110998510006,-63.4877815589997 76.3222178510005,-63.4830545589999 76.3333268510004,-63.4870815589999 76.3562268510005,-63.4955545589998 76.3660908510005,-63.4799275589999 76.3699638510005,-63.4408365589998 76.3733088510004,-63.3855635589998 76.3727548510005,-63.3591725589997 76.3710908510005,-63.1891635589997 76.3580368510005,-63.1452815589998 76.3535908510005,-63.0363905589997 76.3369268510005,-62.8833275589998 76.3072088510005,-62.8658365589998 76.3019268510004,-62.8388905589997 76.2922088510005,-62.8269455589997 76.2841458510004,-62.8204185589996 76.2727638510005,-62.8255635589997 76.2641638510005,-62.8551365589998 76.2466458510004,-62.8530545589999 76.2366458510004,-62.7902815579997 76.1972088510005,-62.778609558 76.1935908510005,-62.7611185579997 76.1952548510005,-62.742918558 76.2012368510004,-62.7313185579996 76.2108908510006,-62.7455545579999 76.2224908510004,-62.7572275579996 76.2266548510005,-62.7752725579998 76.2349818510004,-62.7444455579999 76.2549908510004,-62.7299995579998 76.2583268510004,-62.6263905579999 76.2627728510005,-62.5597185579999 76.2594268510005,-62.5394455579996 76.2560998510005,-62.4930545579999 76.2508268510005,-62.4147185579999 76.2447088510006,-62.3664185579999 76.2442178510004,-62.3645815579998 76.2549908510004,-62.3461095579999 76.2688728510004,-62.320554558 76.2769268510005,-62.3002815579997 76.2805458510004,-62.2599995579998 76.2852638510005,-62.2397275579999 76.2866548510005,-62.2191635579998 76.2827638510004,-62.1511095579999 76.2590178510005,-62.1567995579997 76.2501178510004,-62.1724995579999 76.2435908510004,-62.1841635579999 76.2380368510004,-62.1924995579997 76.2298548510005,-62.1808275579997 76.2222178510006,-62.169445558 76.2210998510004,-62.1261095579999 76.2216458510005,-62.0774995579997 76.2263818510004,-62.0313905579998 76.2319368510005,-62.0050095579999 76.2341458510005,-61.9763905579996 76.2352638510005,-61.9474905579999 76.2352638510005,-61.9216725579998 76.2333178510004,-61.898609558 76.2299818510004,-61.7019455569997 76.1895638510004,-61.6922185569999 76.1810908510005,-61.6749995569999 76.1783178510005,-61.545836557 76.1705368510005,-61.4252815569999 76.1744268510005,-61.408054557 76.1771998510004,-61.3849995569997 76.1783178510005,-61.3477815569996 76.1777638510005,-61.2702815569998 76.1738728510005,-60.9327815569999 76.1563728510004,-60.9072185569999 76.1547088510004,-60.8786095569999 76.1524818510005,-60.844718557 76.1477638510004,-60.8308365569999 76.1427638510004,-60.8320815569999 76.1074818510004,-60.8530545569998 76.0805548510004,-60.8245815569997 76.0279088510004,-60.7380545569998 75.9933178510004,-60.7211095569997 75.9933178510004,-60.7066635569997 75.9966458510004,-60.603890556 76.0297088510005,-60.5324995559999 76.0621908510004,-60.5108365559999 76.0652638510005,-60.4838905559996 76.0633088510004,-60.4662455559998 76.0563728510004,-60.4544455559998 76.0463728510005,-60.2683365559998 76.0330548510004,-60.2369455559997 76.0322088510004,-60.1299995559999 76.0252728510005,-60.1077815559999 76.0222178510004,-60.0888905559999 76.0138818510005,-60.1188635559997 75.9990548510004,-60.1340905559996 75.9883178510004,-60.1138905559999 75.9741548510004,-60.0041725559999 75.9288638510005,-59.9905545559999 75.9260908510005,-59.9711095559999 75.9235998510005,-59.913609556 75.9208178510005,-59.861672556 75.9391458510005,-59.8077815559998 75.9580368510005,-59.790281556 75.9619268510005,-59.7654185559998 75.9655458510005,-59.733054556 75.9641548510004,-59.7108275559999 75.9611088510005,-59.6919365559999 75.9574908510004,-59.5926365559999 75.9079088510005,-59.6105545559996 75.9019268510004,-59.6533275559999 75.8988818510004,-59.6763905559999 75.8963818510005,-59.6911095559998 75.8916638510004,-59.7483365559998 75.8674818500004,-59.7577815559996 75.8621998500005,-59.7638905559999 75.8580368500005,-59.8147185559998 75.8194268500005,-59.8109725559996 75.8080368500004,-59.7847275559999 75.7963728500004,-59.7599995559998 75.7935908500004,-59.7405545559997 75.7933178500004,-59.726390556 75.7938728500005,-59.6144455559997 75.8099818500004,-59.6024995559997 75.8152638500005,-59.5944455559996 75.8288728500004,-59.5811185549998 75.8424818500004,-59.5663905549999 75.8472178500004,-59.5455545549999 75.8533178500005,-59.5108365549999 75.8597088500005,-59.4677725549999 75.8641548500004,-59.269163555 75.8730268510004,-59.2161095549998 75.8722088510004,-59.1941635549996 75.8691368510005,-59.1805545549997 75.8658178500004,-59.1506995549999 75.8537368500005,-59.1402815549999 75.8428998500004,-59.1730545549997 75.8333268500004,-59.2311095549997 75.8077548500004,-59.226390555 75.7755458500005,-59.0750095549997 75.7077638500004,-59.061672555 75.7041638500005,-59.0174995549997 75.7022088500004,-58.8441635549999 75.7069368500004,-58.8158365549997 75.7085998500005,-58.7974995549998 75.7174818500005,-58.7855635549999 75.7199818500005,-58.701663555 75.7338728500005,-58.6763905549997 75.7355368500005,-58.5705545549998 75.7347088500004,-58.537227555 75.7335998500005,-58.5180545539999 75.7319368500005,-58.439718554 75.7224908500004,-58.4236185539999 75.7197088500004,-58.4088815539999 75.7117998500004,-58.4194455539997 75.7022088500004,-58.431390554 75.6997088500005,-58.4455455539998 75.6977548500004,-58.4736095539998 75.6969268500005,-58.5261095549998 75.6983178500005,-58.5433365549998 75.6958178500004,-58.5611095549999 75.6919268500005,-58.575836555 75.6874818500004,-58.5984725549999 75.6717178500005,-58.5797275549999 75.6605368500005,-58.5194455549998 75.6452638500005,-58.5005545539999 75.6430548500005,-58.480827554 75.6447178500005,-58.4605545539997 75.6480368500004,-58.4352725539997 75.6497178500005,-58.348336554 75.6530458500005,-58.332218554 75.6513818500005,-58.3127725539998 75.6454088500004,-58.3258365539999 75.6321998500005,-58.3383365539996 75.6269178500004,-58.353336554 75.6222088500004,-58.3780545539997 75.6116458500005,-58.3880545539999 75.6055458500005,-58.4113815539999 75.5888818500005,-58.4252815539999 75.5766638500005,-58.4313185539999 75.5630368500005,-58.4108275539999 75.5563638500004,-58.3886095539998 75.5574818500004,-58.371663554 75.5599818500004,-58.343890554 75.5597088500004,-58.325563554 75.5572088500005,-58.1919365539998 75.5297088500005,-58.1719455539999 75.5219268500004,-58.1595815539999 75.5085998500005,-58.2108365539997 75.4402548500004,-58.2894455539999 75.4280908500004,-58.3012815539997 75.4262638500005,-58.3931095539998 75.4199178500004,-58.5694545549999 75.3960998500004,-58.623609555 75.3863818500005,-58.6788905549997 75.3645728500005,-58.696945555 75.3501178500005,-58.6880455549997 75.3422088500005,-58.6697275549997 75.3383178500004,-58.6536095549997 75.3380458500005,-58.5419455549999 75.3385908500005,-58.5230545549999 75.3388818500004,-58.501945554 75.3474908500004,-58.4927725539999 75.3521998500004,-58.465836554 75.3744178500004,-58.4547185539998 75.3852728500004,-58.4295815539998 75.3948548500005,-58.4027815539998 75.3983268500005,-58.3561095539999 75.3865548500004,-58.323109554 75.3877088500005,-58.3001995539997 75.3873728500005,-58.2897815539999 75.3835458500005,-58.302781554 75.3294368500005,-58.3327815539997 75.3174908500005,-58.3497275539999 75.3149908500005,-58.334727554 75.2652728500004,-58.2341725539999 75.2136088500005,-57.9588905539998 75.1855268500004,-57.9322185539999 75.1755368500004,-57.9180545539999 75.1623458500005,-57.9274995539999 75.1524818500004,-57.9397185539998 75.1472178500005,-57.9513905539998 75.1433268500004,-57.9802815539999 75.1358178500005,-58.0744455539999 75.1138728500005,-58.1505545539998 75.0774908500005,-58.1547185539998 75.0602548500004,-58.1395815539999 75.0469268500004,-58.1163905539998 75.0438728500005,-58.1058365539997 75.0435908500004,-58.0949995539999 75.0447088500004,-58.0777815539998 75.0485998500005,-58.0369455539997 75.0630368500004,-57.9274995539999 75.0530368500004,-57.9069455539999 75.0497088500004,-57.8906995539998 75.0367908500004,-57.878336554 75.0280458500005,-57.8572275539998 75.0172088500004,-57.8397185539999 75.0136088500004,-57.816109554 75.0124998500005,-57.7894455539999 75.0124998500005,-57.6147275539998 75.0002728500004,-57.4022185529999 74.9555548500005,-57.3266635529999 74.9341458500004,-57.3282635529999 74.9135998500004,-57.293618553 74.9044368500004,-57.2752725529998 74.9033178500004,-57.2572275529998 74.9024818500005,-57.2088905529998 74.9047088500005,-57.1652725529997 74.9085998500004,-57.1433365529999 74.9116548500004,-57.080836553 74.9172088500004,-57.048890553 74.9177548500005,-57.0263905529999 74.9138818500005,-56.9947185529999 74.8974908500005,-56.911945553 74.8521998500004,-56.8611185529998 74.8069268500004,-56.9672185529998 74.7633178490004,-56.9788815529998 74.7594268490005,-57.0055635529999 74.7586088490004,-57.0569455529999 74.7699908490005,-57.0711095529997 74.7744268490005,-57.0852815529998 74.7830458490005,-57.097499553 74.7943548490004,-57.121936553 74.7963728500005,-57.138890553 74.7924818490005,-57.1872185529999 74.7722178490005,-57.0774995529997 74.7044368490004,-57.0150095529999 74.6713728490005,-57.0005545529997 74.6683178490005,-56.9766635529996 74.6705368490004,-56.9606275529999 74.6812998490005,-56.9483365529999 74.6933178490004,-56.9299995529997 74.7010998490004,-56.9022185529997 74.7060998490004,-56.8641725529999 74.7067908490005,-56.8458365529999 74.7027728490004,-56.6341725529998 74.6438728490004,-56.5977725529999 74.5951908490004,-56.5694545529999 74.5830548490004,-56.434436553 74.5549818490004,-56.3738905529999 74.5424818490005,-56.3552815519999 74.5447088490004,-56.2744455519999 74.5535908490004,-56.2219365519999 74.5558178490005,-56.2066635519998 74.5552548490004,-56.1929095519999 74.5502638490005,-56.2494455519999 74.4805458490005,-56.3250095519999 74.4716458490004,-56.5258365529999 74.4483178490005,-56.5961095529999 74.4455268490005,-56.6827815529999 74.4474818490004,-56.7411095529998 74.4497088490004,-56.7944455529999 74.4458728490005,-56.7686095529999 74.4371908490005,-56.5877725529998 74.4024818490005,-56.5652815529998 74.4013818490004,-56.4341635529998 74.4027728490004,-56.416109553 74.4030458490004,-56.3147185519998 74.4141548490005,-56.2811095519999 74.4152638490004,-56.2122185519999 74.4141548490005,-56.1924995519998 74.4121998490004,-56.1619455519999 74.4047088490004,-56.1427725519998 74.3938728490005,-56.1295815519999 74.3806728490005,-56.138890552 74.3694268490004,-56.1527815519997 74.3663818490005,-56.361672552 74.3547088490005,-56.406945553 74.3558178490004,-56.4741635529999 74.3610998490005,-56.6483365529999 74.3521998490004,-56.6902815529999 74.3491548490005,-56.7120815529998 74.3428268490004,-56.5722275529998 74.2874818490004,-56.5536095529998 74.2858088490004,-56.5433365529999 74.2863728490005,-56.519445553 74.2891548490005,-56.4469455529999 74.3005368490005,-56.4305545529999 74.3041548490004,-56.3880545529998 74.3085908490004,-56.3549995519999 74.3083178490004,-56.3226365519998 74.3062368490006,-56.3000635519999 74.2966548490005,-56.3091635519999 74.2871998490005,-56.3338815519999 74.2816638490004,-56.4138905529998 74.2713818490005,-56.5402815529998 74.2580458490004,-56.5594365529998 74.2544368490004,-56.5874995529998 74.2460908490005,-56.5980545529999 74.2373458490005,-56.5837545529998 74.2274818490005,-56.6777815529999 74.2035998490004,-56.693881553 74.2005458490005,-56.7147185529999 74.1983178490005,-56.7736095529997 74.1963638490005,-56.8241725529997 74.1960908490005,-56.8794365529999 74.1974818490004,-56.904999553 74.1966368490005,-56.9233365529999 74.1944268490004,-57.0541725529999 74.1636088490005,-57.2183275529997 74.1460998490005,-57.2436185529997 74.1452638490005,-57.264454553 74.1430548490006,-57.2833365529997 74.1394368490005,-57.296954553 74.1355458490004,-57.3061095529999 74.1294268490004,-57.3233365529996 74.1047088490005,-57.3116635529998 74.0976268490004,-57.2952815529997 74.0974908490005,-57.165836553 74.1030458490004,-57.0841635529997 74.1093178490005,-57.0461095529998 74.1160908490004,-56.9355545529996 74.1321998490005,-56.9147185529999 74.1344268490004,-56.8124995529998 74.1388818490004,-56.7616725529996 74.1402728490004,-56.6741725529999 74.1463818490005,-56.6077815529999 74.1558178490005,-56.5730635529999 74.1619268490005,-56.5433365529999 74.1680458490005,-56.2966725519998 74.2227638490004,-56.214445552 74.2613818490004,-56.1961095519999 74.2724818490004,-56.1722275519999 74.2794368490004,-56.1591635519999 74.2797088490005,-56.1291635519999 74.2783178490005,-56.1197185519998 74.2697178490005,-56.1652725519999 74.1938638490004,-56.2866635519998 74.1088728490005,-56.3411095519999 74.0827638490004,-56.3661095519999 74.0822178490005,-56.3902815529999 74.0780458490005,-56.4098545529998 74.0691548490004,-56.3527725519999 74.0455368490004,-56.2441635519999 74.0444368490005,-56.1944455519999 74.0430458490004,-56.0313905519999 74.0371998490004,-56.0041725519997 74.0358088490004,-55.9733275519999 74.0315178490005,-55.9602815519997 74.0229088490005,-55.9708365519998 74.0108178490005,-55.984999552 74.0063818490005,-55.9955545519999 74.0052638490005,-56.0252725519998 74.0126268490004,-56.0386095519999 74.0174908490005,-56.0633275519999 74.0180548490005,-56.0786095519998 74.0172088490005,-56.1127815519998 74.0124998490004,-56.1224995519999 74.0066548490005,-56.1016725519999 73.9642908490004,-55.9391635519997 73.9285908490004,-55.8399995519999 73.9138818490004,-55.6936095519998 73.8874998490005,-55.6688905519998 73.8805368490005,-55.6412545519999 73.8691458490005,-55.6322185519999 73.8556088490005,-55.643890552 73.8433178490005,-55.6549995519998 73.8394268490004,-55.6713905519998 73.8358178490005,-55.6944455519999 73.8344268490004,-55.7188905519999 73.8344268490004,-55.7430545519999 73.8366548490005,-55.8002815519999 73.8485998490005,-55.9263905519999 73.8563728490004,-55.9449275519998 73.8541458490005,-55.879999552 73.7874908490004,-55.7469455519998 73.7222178490005,-55.7263905519999 73.7183178480005,-55.7097275519999 73.7169368480004,-55.6919365519999 73.7185998480006,-55.6680635519999 73.7233088490005,-55.6566635519999 73.7263818490004,-55.6383365519999 73.7294268490004,-55.6261095519999 73.7297088490005,-55.6112545519997 73.7237268490005,-55.6305545519999 73.6988638480004,-55.639727552 73.6941368480004,-55.7744455519997 73.7149998480004,-55.8513185519998 73.7311268490004,-55.8944455519999 73.7485998490006,-55.9205545519998 73.7583268490005,-55.9461095519998 73.7624998490004,-55.9615275519999 73.7609638490004,-56.0386095519999 73.6903908480004,-56.033609552 73.6815088480005,-56.0191635519998 73.6771998480004,-55.9972185519999 73.6758088480004,-55.951390552 73.6813638480006,-55.9274995519999 73.6863728480005,-55.9013905519999 73.6902638480004,-55.8867275519997 73.6871908480004,-55.862972552 73.6821178480004,-55.8738905519999 73.6716458480004,-55.9705545519998 73.6558178480005,-55.9855545519997 73.6549818480005,-56.021109552 73.6585998480005,-56.049727552 73.6602638480005,-56.0704185519998 73.6571998480005,-56.0718095519999 73.6459638480004,-56.0549995519999 73.6388818480004,-56.0413905519999 73.6352728480005,-55.9508365519999 73.6152638480004,-55.6965275519999 73.5809638480005,-55.6805545519998 73.5816638480005,-55.662218552 73.5783268480005,-55.6405545519999 73.5708268480004,-55.5263905519999 73.5038818480004,-55.5188905519999 73.4955368480004,-55.524445552 73.4871998480005,-55.5297905519998 73.4768548480004,-55.4930545519997 73.4621998480004,-55.428609552 73.4469268480004,-55.4152725519999 73.4444268480005,-55.3088905519999 73.4260908480004,-55.228609551 73.4149908480005,-55.1852725509999 73.4144268480004,-55.1697275509997 73.4116548480005,-55.159718551 73.4066458480006,-55.100281551 73.3741458480005,-55.0896185509999 73.3542818480004,-55.103336551 73.3491548480004,-55.1383365509999 73.3519268480005,-55.1519365509998 73.3544268480005,-55.1774995509998 73.3621998480004,-55.1902815509999 73.3669268480004,-55.2044455509999 73.3735998480005,-55.2294365509999 73.3827548480005,-55.2424995509998 73.3866548480004,-55.253890551 73.3883178480004,-55.2704185509998 73.3863728480005,-55.4566725519999 73.2548548480005,-55.4388905519999 73.2480268480004,-55.3519455519998 73.2383088480005,-55.3144455519999 73.2358088480004,-55.291118551 73.2349818480005,-55.2738905509999 73.2358088480004,-55.2436185509999 73.2396998480005,-55.140563551 73.2076268480005,-55.1429185509999 73.1842908480005,-55.1561095509999 73.1780368480005,-55.3374995519999 73.1716458480005,-55.4574995519999 73.1277268480004,-55.4769995519999 73.1216548480005,-55.490336552 73.1203178480006,-55.509336552 73.1211458480005,-55.5263365519999 73.1231548480005,-55.609999552 73.1183178480005,-55.6280545519999 73.1205268480005,-55.6516635519999 73.1210908480004,-55.6619455519999 73.1185908480005,-55.707709552 73.0908908480004,-55.6951365519998 73.0641548480004,-55.675836552 73.0558178480005,-55.664718552 73.0533178480004,-55.6533275519999 73.0521998480005,-55.6388905519998 73.0533178480004,-55.6213815519999 73.0560908480006,-55.5609995519998 73.0627638480004,-55.5404995519999 73.0645998480005,-55.5143365519999 73.0662728480005,-55.482081552 73.0670088480005,-55.435272552 73.0660818480005,-55.414999552 73.0572088480005,-55.3880545519999 73.0472088480005,-55.3599995519999 73.0408178480005,-55.3305545519999 73.0369268480005,-55.1930545509999 73.0316638480004,-55.1019455509998 73.0416548480005,-55.0477815509998 73.0172088480004,-54.9001365509997 73.0116548480004,-54.8780545509998 73.0166638480005,-54.8663905509998 73.0163908480004,-54.850554551 73.0144368480004,-54.8191725509997 72.9994178480005,-54.6877725509997 72.8974908480004,-54.6054185509998 72.8263818480004,-54.677227551 72.8058178480004,-54.6944455509998 72.8035908480005,-54.7436185509997 72.8033178480005,-54.802499551 72.8083178480005,-54.8187545509999 72.8083088480004,-54.8788815509999 72.7924818480004,-54.9243095509999 72.7755458480005,-54.9113815509999 72.7702638480005,-54.8252815509998 72.7588818480006,-54.753063551 72.7583268480004,-54.6549995509999 72.7649998480005,-54.6424995509997 72.7113818480004,-54.7188905509999 72.7010998480005,-54.7349995509999 72.7010998480005,-54.8797185509998 72.6693548480005,-54.8705545509998 72.6424908470004,-54.8611185509999 72.6372088470005,-54.8333275509999 72.6313638470004,-54.7308275509998 72.6227548470004,-54.7055545509999 72.6219178470004,-54.6952725509999 72.6244178470005,-54.6763905509998 72.6310908470004,-54.662218551 72.6319268470004,-54.6424995509997 72.6291548470004,-54.630272551 72.6196268470004,-54.642772551 72.6119268470005,-54.6902815509998 72.6033178470005,-54.7419455509998 72.6010908470004,-54.7861185509998 72.6055458470005,-54.9063905509999 72.6052548470005,-54.9963905509999 72.5705458470005,-55.0072275509999 72.5541548470004,-55.0141635509999 72.5371998470005,-55.017363551 72.5234638470005,-55.0040275509999 72.5106818470004,-54.9824995509999 72.5072178470005,-54.8030545509999 72.5199908470004,-54.7861185509998 72.5102728470005,-54.7622185509999 72.5010998470004,-54.731945551 72.4972088470005,-54.617499551 72.4855368470005,-54.6038905509999 72.4855368470005,-54.580554551 72.4860998470004,-54.5613905509998 72.4880368470004,-54.5177725509998 72.4988728470005,-54.5027815509999 72.5016638470005,-54.4713815509999 72.5055548470004,-54.4322185509999 72.5060998470004,-54.4094365509999 72.5049908470004,-54.3894455509999 72.5035998470004,-54.3122185509997 72.4908178470005,-54.2993095509999 72.4812268470004,-54.314999551 72.4713728470005,-54.3338815509999 72.4724908470004,-54.3477815509999 72.4777638470004,-54.3562545509999 72.4873458470005,-54.389999551 72.4919268470004,-54.4099995509998 72.4933178470004,-54.4261095509998 72.4933178470004,-54.437772551 72.4930458470005,-54.5349995509997 72.4802728470004,-54.546109551 72.4752638470005,-54.9938905509999 72.4841458470004,-55.2802815509999 72.4963728470004,-55.3733275519999 72.5049908470004,-55.4158365519999 72.5138818470005,-55.4277815519998 72.5185998470004,-55.442772552 72.5210998470005,-55.4737455519999 72.5210998470005,-55.4988905519999 72.5127728470004,-55.574718552 72.4799818470004,-55.6263905519999 72.4574908470004,-55.6472185519999 72.4422728470005,-55.6286095519999 72.4228998470005,-55.6016725519999 72.4119268470004,-55.5724995519998 72.4041638470005,-55.5072275519999 72.3897088470005,-55.4888905519999 72.3897088470005,-55.4183365519999 72.3955368470006,-55.3052725519999 72.4241458470005,-55.2830545509999 72.3709548470004,-55.2719455509998 72.3671998470004,-55.2469455509998 72.3613728470004,-55.2319455509999 72.3588728470004,-55.2205545509999 72.3591458470005,-55.207363551 72.3610908470005,-55.1658365509999 72.3771998470004,-55.1180545509999 72.3947178470005,-55.020281551 72.4230368470004,-54.8884725509998 72.4228998470005,-54.9008365509998 72.4133178470004,-54.9111095509999 72.4108088470005,-54.9230545509999 72.4091458470004,-54.9608275509999 72.4110998470004,-54.9708365509999 72.4038728470005,-54.9497185509999 72.3880458470005,-54.9405545509999 72.3830458470005,-54.9263905509999 72.3783088470005,-54.9136095509999 72.3758088470004,-54.7980545509997 72.3624908470005,-54.7830545509999 72.3610998470005,-54.768890551 72.3621998470004,-54.7416725509999 72.3671998470004,-54.7247185509999 72.3694268470005,-54.706663551 72.3694268470005,-54.6869455509999 72.3672088470004,-54.7472185509999 72.3535908470004,-54.7644545509999 72.3508178470005,-54.793618551 72.3513818470004,-54.9163905509999 72.3627638470005,-54.9392995509999 72.3627548470005,-54.9483365509999 72.3569268470006,-54.9411095509998 72.3008088470004,-54.9316725509999 72.2383088470004,-55.2072185509999 72.1435998470004,-55.232772551 72.1355458470005,-55.4130545519999 72.0847178470005,-55.5505545519999 72.0316638470005,-55.5619455519999 72.0244268470004,-55.5799995519999 71.9988728470004,-55.5686095519999 71.9866458470004,-55.4683275519999 71.9624908470005,-55.298336552 71.9285908470005,-55.2669455509999 71.9238728470004,-55.2430545509999 71.9224818470004,-55.2188905509999 71.9222088470004,-55.1777815509999 71.9249908470005,-55.078336551 71.9294268470004,-55.0113905509999 71.9296998470005,-54.9849995509998 71.9288638470005,-54.9402815509998 71.9299818470005,-54.9197275509999 71.9313638470005,-54.8863905509999 71.9369178470004,-54.8619455509998 71.9427458470005,-54.8388905509998 71.9502728470005,-54.6783365509998 72.0116548470005,-54.6511095509998 72.0402638470005,-54.644727551 72.0645638470004,-54.5324995509997 72.1763728470004,-54.5224995509998 72.1844178470005,-54.4305545509999 72.2199818470005,-54.4174995509998 72.2244268470004,-54.4074995509998 72.2266548470005,-54.3893095509997 72.2229728470004,-54.4324995509999 72.2002728470005,-54.4518095509999 72.1887268470005,-54.5252725509999 72.1016548470005,-54.5199995509998 72.0876268470005,-54.5130545509999 72.0715178470004,-54.5199995509998 72.0599818470005,-54.5366635509998 72.0413638470005,-54.5458365509998 72.0355368470005,-54.573890551 72.0213818470005,-54.6094455509998 72.0055548470005,-54.6419455509998 71.9916548470004,-54.826527551 71.9170728470005,-54.8427725509998 71.9124908470005,-54.8813815509998 71.9044368470004,-54.8955545509999 71.9022088470005,-55.0116725509997 71.8885998470005,-55.0341725509998 71.8880458470005,-55.084163551 71.8905458470005,-55.119163551 71.8916638470005,-55.2511095509998 71.8883178470004,-55.2916725509999 71.8861088470004,-55.3199995519998 71.8816548470004,-55.3502815519998 71.8720638470004,-55.3813815519998 71.8410908470004,-55.4436095519998 71.8027638470004,-55.5586095519998 71.7702638470006,-55.7408365519999 71.7455268470005,-55.7752725519999 71.7410908470005,-55.7875095519998 71.7371998470005,-55.8522275519998 71.7138818470004,-55.8683275519999 71.7055548470005,-55.8922275519999 71.6927458470004,-55.9052725519999 71.6799818470005,-55.8836095519999 71.6730368470004,-55.7877815519998 71.6649908470004,-55.6586095519999 71.6524818470005,-55.574718552 71.6406818470005,-55.590836552 71.6274728470004,-55.622772552 71.6230268470004,-55.6788185519999 71.6269178470005,-55.6683365519998 71.6052548470005,-55.6434725519999 71.5729088460004,-55.5552725519998 71.4788638460004,-55.5436185519997 71.4683178460004,-55.5150095519999 71.4513818460005,-55.496663552 71.4419268460005,-55.4433275519999 71.4205368460005,-55.3841725519998 71.3986088460005,-55.3422275519999 71.3894368460004,-55.323618552 71.3869368460005,-55.298336552 71.3852728460005,-55.1908365509998 71.3785818460004,-55.1652725509999 71.3774728460005,-55.1302815509998 71.3788638460005,-55.1175635509999 71.3884548460006,-55.125827551 71.4030458460004,-55.1469455509999 71.4160908460004,-55.2044455509999 71.4369178460004,-55.2224995509999 71.4463638460004,-55.267499551 71.4863728460005,-55.258336551 71.4905368460005,-55.2266635509997 71.4885908460005,-55.2061095509999 71.4797088460005,-55.1902815509999 71.4694368460004,-55.1763905509997 71.4591548460004,-55.1454185509999 71.4380368460005,-55.1208365509999 71.4283178460005,-54.8780545509998 71.3619268460005,-54.843890551 71.3555458460004,-54.825563551 71.3527638460005,-54.7997275509999 71.3519268460005,-54.6436185509999 71.3491548460005,-54.607781551 71.3524818460004,-54.591663551 71.3547088460004,-54.5755635509998 71.3580368460005,-54.523327551 71.3641548460004,-54.5058365509998 71.3649908460005,-54.4180635509999 71.3633088460005,-54.3961095509999 71.3638728460004,-54.346109551 71.3699818460005,-54.2038905499999 71.3902728460005,-54.1738905499998 71.3952638460005,-53.9155545499997 71.4419268460005,-53.89875455 71.4483178460005,-53.8855545499998 71.4587368460004,-53.8752725499999 71.4746998460005,-53.8674995499999 71.4874908460005,-53.85610955 71.5086088460004,-53.84694555 71.5294368460005,-53.84735455 71.5434548460004,-53.8551365499999 71.5556818460006,-53.8652815499997 71.5627638460005,-53.8852725499999 71.5719268460005,-53.9658365499999 71.5974908470005,-54.0158365499998 71.6080368470005,-54.04639055 71.6133088470004,-54.05805455 71.6166548470004,-54.1006995499999 71.6349908470005,-54.1002815499999 71.7074908470004,-54.0911095499999 71.7141548470004,-54.0772275499999 71.7155458470004,-54.0616725499998 71.7155458470004,-54.05139055 71.7144268470005,-54.0327725499999 71.7116548470005,-54.0111185499998 71.7058268470004,-53.9888905499998 71.6894908470004,-53.9849995499999 71.6744268470005,-53.9724995499998 71.6627638470006,-53.9549995499999 71.6522088470005,-53.9444455499998 71.6469458470004,-53.9330635499999 71.6424908470004,-53.9194455499998 71.6383178470005,-53.90332755 71.6355458470004,-53.8530545499998 71.6299728470004,-53.8013905499997 71.6283088470004,-53.7749995499999 71.6333268470005,-53.7472185499999 71.6410998470004,-53.7305545499999 71.6494268470005,-53.7219365499999 71.6585998470005,-53.7206905499999 71.6759548470004,-53.7249995499998 71.6858088470004,-53.73540955 71.6973458470005,-53.76472755 71.7152728470004,-53.7783365499999 71.7191458470004,-53.7924995499999 71.7219268470004,-53.8113905499999 71.7241548470004,-53.8777815499999 71.7283178470004,-53.89666355 71.7305458470004,-53.90666355 71.7324818470005,-53.9163905499999 71.7383178470006,-53.90416355 71.7441368470004,-53.8761095499999 71.7469368470005,-53.79500955 71.7460908470005,-53.7449995499999 71.7438638470005,-53.6538815499998 71.7363728470004,-53.6357995499999 71.7371638470005,-53.6230545499999 71.7405368470005,-53.5311095499999 71.7730368470005,-53.5125095499998 71.7799818470005,-53.4816635499999 71.7935908470005,-53.4087455499999 71.8360998470005,-53.3973635499999 71.8481818470004,-53.4019365499997 71.8599818470005,-53.5236095499999 71.9947088470005,-53.5547185499999 72.0238818470004,-53.5811185499998 72.0444368470004,-53.6011095499998 72.0541548470005,-53.6372185499999 72.0683268470004,-53.6649995499999 72.0763818470005,-53.6905545499998 72.0844268470004,-53.7158365499998 72.0930458470005,-53.7497275499998 72.1069368470004,-53.8016635499999 72.1313638470005,-53.8105545499999 72.1366548470004,-53.8279185499999 72.1505458470004,-53.8336095499999 72.1652638470005,-53.8358275499999 72.1949728470004,-53.9072185499999 72.2871998470004,-53.9344365499999 72.3021998470005,-53.9516635499999 72.3149908470005,-53.9538905499998 72.3248548470004,-53.9426365499999 72.3349908470005,-53.9158365499997 72.3435998470005,-53.8736095499999 72.3513818470004,-53.8547185499999 72.3527638470005,-53.6219365499999 72.3621998470004,-53.6105545499998 72.3624908470005,-53.5575635499998 72.3528998470004,-53.5774995499999 72.3458268470005,-53.6777815499999 72.3410908470005,-53.78305455 72.3399818470004,-53.8233365499999 72.3369268470004,-53.8383365499999 72.3333268470005,-53.84972755 72.3283268470005,-53.8565365499999 72.3188728470005,-53.84944555 72.3097088470005,-53.7505545499999 72.2038728470005,-53.7213815499999 72.1444368470005,-53.7147185499999 72.1344268470004,-53.7019455499998 72.1230268470005,-53.6905545499998 72.1183178470004,-53.6766635499998 72.1141548470006,-53.6058365499998 72.1021998470005,-53.53972755 72.0894268470005,-53.52332755 72.0861088470004,-53.4666635499999 72.0724908470004,-53.4419365499999 72.0635998470004,-53.4324995499997 72.0597088470005,-53.4061095499999 72.0447088470004,-53.3912545499998 72.0306818470004,-53.3880545499998 72.0205368470005,-53.3977815499998 72.0097178470005,-53.4055545499999 72.0033268470005,-53.4169455499999 71.9862268470005,-53.4105545499999 71.9641548470004,-53.3733275499999 71.9016548470004,-53.32194555 71.8222178470005,-53.2391635499998 71.8052548470005,-53.0063905489999 71.8371998470005,-52.9831905489999 71.8455458470004,-53.010836549 71.8824728470005,-53.0205545489999 71.8941458470005,-52.9527815489998 71.9405368470004,-52.7808275489999 72.0113818470005,-52.7552815489998 72.0169368470004,-52.7363905489999 72.0188728470005,-52.7088905489999 72.0155458470004,-52.6958275489999 72.0105458470004,-52.6871455489999 71.9999818470005,-52.7005545489998 71.9921998470004,-52.7349995489998 71.9822088470004,-52.7791635489999 71.9702638470005,-52.7902815489998 71.9660908470005,-52.7994455489999 71.9616548470005,-52.9106905489999 71.9065178470004,-52.914163549 71.8930548470005,-52.9013905489999 71.8720638470004,-52.8623635489998 71.8673368470004,-52.857227549 71.8577638470005,-52.8674995489999 71.8485998470006,-52.9211095489999 71.8166638470005,-52.9344365489999 71.8116458470004,-52.9474905489998 71.8080268470005,-52.9980545489998 71.8002638470005,-53.0599995489999 71.7866548470005,-53.1155545489997 71.7724908470004,-53.1680635499998 71.7555548470005,-53.2033275499999 71.7413638470005,-53.2463905499998 71.7205368470005,-53.2636185499999 71.7099908470005,-53.2505545499998 71.7027728470005,-53.2136185499999 71.6969268470005,-53.17139055 71.6935908470005,-53.081672549 71.6880368470005,-52.9463905489999 71.6849818470005,-52.8416635489999 71.6833178470005,-52.7524995489999 71.6849818470005,-52.6397275489999 71.6813638470005,-52.5733365489999 71.6474908470004,-52.3980545489998 71.6246908470004,-52.174445549 71.6102638470004,-52.1586095489999 71.6116458470004,-52.123327549 71.6158178470004,-51.9874995479998 71.6349908470005,-51.9130545479999 71.6463818470004,-51.863890548 71.6552548470004,-51.8438905479999 71.6638818470005,-51.8279185479998 71.6787368470004,-51.819172548 71.6942818470005,-51.8144455479999 71.7088818470004,-51.8063905479999 71.7155458470004,-51.7930635479999 71.7194368470005,-51.7830545479998 71.7216458470004,-51.768054548 71.7244268470005,-51.7336095479999 71.7266548470005,-51.678054548 71.7271998470005,-51.643409548 71.7089548470004,-51.6583365479999 71.6877638470005,-51.6716725479998 71.6752638470005,-51.7086095479999 71.6413728470004,-51.7166635479998 71.6347178470004,-51.7319455479999 71.6230268470004,-51.7513995479998 71.6116458470004,-51.7744455479998 71.6019268470005,-51.8027815479999 71.5944368470004,-51.819454548 71.5919368470005,-51.8399995479999 71.5908178470004,-52.0505545479999 71.5794368470005,-52.2341725489997 71.5724908460004,-52.3127725489999 71.5691548460005,-52.430281549 71.5627638460005,-52.4858365489999 71.5566368460005,-52.6669455489997 71.5277728460005,-52.698336549 71.5216548460005,-52.7505545489998 71.5049908460005,-52.900836549 71.4563728460004,-52.9424995489999 71.4416548460005,-52.9722185489998 71.4299818460005,-52.986181549 71.4180368460005,-52.9630545489999 71.4088728460005,-52.9430545489998 71.4049818460004,-52.9102815489999 71.4013818460004,-52.7072185489998 71.3813638460004,-52.6699995489999 71.3783088460004,-52.5874995489999 71.3738728460006,-52.4852725489998 71.3741458460004,-52.443609549 71.3755368460004,-52.399172549 71.3774728460005,-52.3808275489999 71.3791548460004,-52.364727549 71.3810908460005,-52.3030545489999 71.3910998460004,-52.2611185489998 71.4005458460005,-52.146663549 71.4277638460005,-51.9658365479999 71.4644268460005,-51.7424995479998 71.5013908460004,-51.711672548 71.5052638460004,-51.6155545479999 71.5088818460004,-51.5563905479999 71.5091548460005,-51.524999548 71.5066548460006,-51.3699995479999 71.4899728460005,-51.3459725479999 71.4841548460005,-51.3842995479999 71.4421998460005,-51.4063905479997 71.4380368460005,-51.4233365479998 71.4388728460004,-51.4436095479999 71.4413638460004,-51.4769455479998 71.4483178460005,-51.5111185479998 71.4535998460005,-51.6052815479998 71.4569368460005,-51.6458365479999 71.4549908460005,-51.8699995479999 71.4355268460005,-51.9988905479998 71.4197088460005,-52.1555545489999 71.3866548460005,-52.185554549 71.3791548460004,-52.2688905489999 71.3566458460005,-52.2852815489999 71.3502548460004,-52.2919455489999 71.3410908460004,-52.2852815489999 71.3297088460005,-52.2688905489999 71.3191548460005,-52.2572275489999 71.3080268460005,-52.245690549 71.2930368460005,-52.2487545489997 71.2809638460006,-52.2733275489999 71.2605458460005,-52.2827725489998 71.2547178460004,-52.3138905489997 71.2405368460005,-52.3397185489999 71.2322088460005,-52.3561095489998 71.2297088460004,-52.3899995489999 71.2266548460005,-52.4366635489998 71.2277638460004,-52.458609549 71.2274818460005,-52.4888905489998 71.2227638460004,-52.5119455489999 71.2149998460005,-52.549445549 71.1960908460005,-52.5551365489999 71.1762268460005,-52.5454185489999 71.1570728460004,-52.5344455489999 71.1488818460004,-52.5230545489999 71.1455368460005,-52.5097275489999 71.1427638460004,-52.483890549 71.1406818460005,-52.4655545489999 71.1410998460004,-52.4477725489998 71.1422088460005,-52.4133275489998 71.1466548460005,-52.3986095489999 71.1499908460005,-52.2599995489999 71.1822088460004,-52.0866635489998 71.2338728460005,-51.9288905479999 71.2910908460004,-51.8836095479999 71.3108088460004,-51.831945548 71.3299908460004,-51.806663548 71.3369268460004,-51.746945548 71.3502638460004,-51.7136185479999 71.3560908460004,-51.6630545479999 71.3608088460005,-51.6455545479999 71.3613728460004,-51.5255545479999 71.2990818460004,-51.5261095479999 71.2780368460005,-51.5366725479998 71.2648458460005,-51.5636095479998 71.2552638460004,-51.5799995479998 71.2527728460005,-51.6226365479997 71.2498548460005,-51.677227548 71.2527728460005,-51.7349995479998 71.2538728460004,-51.8458365479997 71.2524908460005,-51.8636185479999 71.2519368460005,-51.8799995479998 71.2494178460004,-52.0147275479999 71.2194368460005,-52.0272185479999 71.2160908460004,-52.0383365479997 71.2111088460005,-52.0477815479998 71.2052638460004,-52.0665365479999 71.1883178460005,-52.0879185489999 71.1701178460004,-52.1172185489999 71.1591458460005,-52.1299995489998 71.1558178460005,-52.144445549 71.1524818460005,-52.1919365489998 71.1438728460005,-52.2355545489997 71.1338818460004,-52.2458995489999 71.1219178460005,-52.2183275489999 71.1091458460004,-52.1663905489998 71.1021998460004,-52.1236095489999 71.0977638460005,-52.061390548 71.0944368460004,-52.0327725479998 71.0955368460005,-52.0169455479998 71.0974908460005,-51.9874995479998 71.1041548460005,-51.9641635479999 71.1119268460005,-51.8908365479998 71.1285818460005,-51.8655545479998 71.1321998460005,-51.8458365479997 71.1330458460005,-51.7799995479999 71.1355458460004,-51.7354095479998 71.1327548460004,-51.7166635479998 71.1237368460005,-51.7091635479999 71.1155368460005,-51.6986095479999 71.1113728460005,-51.653609548 71.1074818460004,-51.6088905479999 71.1072088460004,-51.5558275479999 71.1097088460005,-51.4886095479997 71.1188638460006,-51.4619455479998 71.1241458460004,-51.4288905479997 71.1291548460005,-51.2738905479999 71.1452638460005,-51.2566725479999 71.1455368460005,-51.2397275479999 71.1444368460005,-51.2244455479998 71.1398548460004,-51.2424995479998 71.1285818460005,-51.2605635479999 71.1269178460005,-51.2994455479999 71.1266458460005,-51.319454548 71.1255368460004,-51.3686095479998 71.1180458460004,-51.378609548 71.1158178460004,-51.3891635479999 71.1121998460006,-51.4736095479998 71.0763818460005,-51.4841635479999 71.0667908460004,-51.4799995479999 71.0572088460004,-51.4688905479999 71.0538638460005,-51.4288905479997 71.0485998460006,-51.2902815479999 71.0327638460005,-51.1261095479998 71.0174908460005,-51.0886095479999 71.0191458460005,-50.9555545469999 71.0236088460005,-50.9363905469999 71.0238818460005,-50.9180635469999 71.0202638460004,-50.9288905469998 70.9885908460005,-50.940281547 70.9769268460005,-50.9497185469999 70.9710998460005,-50.9824995469999 70.9660908460004,-51.172772548 70.9541638460004,-51.1899905479999 70.9538728460004,-51.2147185479998 70.9552638460004,-51.2461095479999 70.9599908460004,-51.258609548 70.9641548460005,-51.3161095479998 70.9794268460006,-51.3311185479999 70.9830458460005,-51.3794365479998 70.9921998460005,-51.4363905479999 71.0005458460005,-51.5219455479999 71.0083268460004,-51.5419455479999 71.0108178460005,-51.5963905479998 71.0202638460004,-51.7127725479997 71.0422088460004,-51.7866635479999 71.0597088460004,-51.8016635479998 71.0633088460004,-51.8299995479998 71.0663728460004,-51.8516725479999 71.0660818460004,-51.8697185479999 71.0644178460005,-51.8819455479999 71.0616458460005,-51.8980545479998 71.0555458460004,-51.9524995479999 71.0210998460005,-51.8502815479998 70.9966458460004,-51.7322185479999 70.9746998460004,-51.6669455479998 70.9611088460005,-51.6544455479998 70.9569368460005,-51.6441635479998 70.9522088460004,-51.6244455479999 70.9377638460004,-51.6082635479999 70.9287998460005,-51.5949995479999 70.9258088460005,-51.4433275479998 70.9035908460005,-51.3316725479999 70.8983268460005,-51.3133275479998 70.8972178460004,-51.2911185479999 70.8952638460004,-51.224999548 70.8844268460005,-51.2058365479998 70.8676178460004,-51.1944455479999 70.8594178460004,-51.1824995479999 70.8547088460004,-51.1563905479999 70.8483268460005,-51.1463905479999 70.8469368460006,-51.101672548 70.8441458460006,-51.0591635479998 70.8444368460005,-51.021381548 70.8469368460006,-51.0069545479999 70.8502638460005,-50.9736095469999 70.8599818460004,-50.9013905469998 70.8713728460004,-50.8736095469998 70.8752638460005,-50.8580545469999 70.8763728460004,-50.844445547 70.8706728460006,-50.8575095469999 70.8630368460004,-50.8680545469999 70.8588728460005,-50.9019365469999 70.8485998460005,-50.9162545469998 70.8399908460005,-50.922499547 70.8310998460004,-50.9176365469999 70.8174818460004,-50.8988905469998 70.8024728460004,-50.8822185469998 70.7944368460004,-50.812499547 70.7871998460004,-50.7672185469999 70.7849908460004,-50.7477815469998 70.7824818460005,-50.6318095469999 70.7370728460005,-50.6355545469997 70.7216548460004,-50.652781547 70.7102638460005,-50.6669455469998 70.7077638460004,-50.7177725469998 70.7074908460006,-50.7608365469999 70.7094268460005,-50.782772547 70.7116548460004,-50.7997275469999 70.7147088460005,-50.9547185469999 70.7608178460005,-51.2386095479999 70.8116458460004,-51.2579185479999 70.8105268460005,-51.2706905479998 70.8030368460006,-51.2709725479999 70.7930368460004,-51.2704185479999 70.7748458460005,-51.2763905479999 70.7666638460004,-51.289727548 70.7577638460004,-51.3022275479998 70.7541638460005,-51.334999548 70.7519368460004,-51.4294455479999 70.7524908460004,-51.439581548 70.7458088460006,-51.4409635479998 70.7257548460004,-51.4261095479998 70.7033268460004,-51.4172185479998 70.6980268460005,-51.4024995479999 70.6941368460005,-51.2066635479999 70.6880368460004,-51.1869455479999 70.6888728460006,-51.1758365479999 70.6902638460005,-51.0861095479999 70.6555458460005,-51.0663905479998 70.6569368460005,-51.0083365479999 70.6666548460004,-50.9552725469998 70.6785908460005,-50.9366635469999 70.6816548460005,-50.9188905469999 70.6833178460004,-50.8999905469999 70.6835908460005,-50.8508365469999 70.6810908460004,-50.8330635469999 70.6794268460006,-50.7866635469998 70.6722088460004,-50.6530545469999 70.6455368460005,-50.6408365469997 70.6413728460005,-50.6183275469999 70.6262268460004,-50.6261095469998 70.6166458460004,-50.636118547 70.6138728460005,-50.658609547 70.6146998460004,-50.6783365469999 70.6171998460005,-50.693054547 70.6202548460005,-50.7055545469998 70.6238728460005,-50.7277725469999 70.6330458460004,-50.7399995469999 70.6372088460005,-50.7691635469999 70.6447178460004,-50.8230635469999 70.6530458460004,-50.8669455469998 70.6572088460004,-50.8897275469998 70.6577638460005,-50.9144455469999 70.6552548460004,-50.9263905469999 70.6519268460004,-50.9790275469999 70.6263638460006,-50.9886095469997 70.6137998460005,-50.9603905469998 70.6036548460004,-50.9447185469998 70.6003178460004,-50.9202815469999 70.5972178460004,-50.8666635469999 70.5847178460005,-50.766945547 70.5583178460005,-50.7563905469999 70.5546998460005,-50.741109547 70.5452548460004,-50.8774905469999 70.5074908460005,-50.8888905469998 70.5055548460005,-50.9016635469999 70.5091548460005,-50.9964365469999 70.5396998460005,-51.178890548 70.5910908460004,-51.2297185479997 70.6047088460004,-51.3211095479999 70.5797088460005,-51.3316725479999 70.5755458460005,-51.3452725479999 70.5641548460005,-51.3340275479999 70.5541458460005,-51.2099995479999 70.5166638460004,-51.1244455479999 70.5091548460005,-51.108336548 70.5116548460004,-51.0883365479999 70.5105458460005,-51.0574995479998 70.5058268460004,-50.9722815469999 70.4813728450005,-50.942081547 70.4651268450004,-50.9549995469999 70.4624908450005,-51.0294455479999 70.4630458450004,-51.093681548 70.4624178450005,-51.0869455479998 70.4533268450004,-51.059436548 70.4396998450005,-51.0372275479997 70.4308178450005,-51.0055635479997 70.4246998450005,-50.9477725469999 70.4202548450005,-50.8424995469997 70.4155458450004,-50.7777815469998 70.4163818450005,-50.7625095469999 70.4180458450005,-50.7483365469997 70.4208178450005,-50.732499547 70.4266548450005,-50.6499995469997 70.4665818450004,-50.6491635469998 70.4824818450004,-50.6177725469999 70.5027728460005,-50.5825095469998 70.5199908460005,-50.5613905469999 70.5269268460005,-50.5383365469999 70.5309638460005,-50.5097275469998 70.5260908460004,-50.500554547 70.5208268460004,-50.4915275469999 70.5115178460004,-50.5038905469999 70.4976178450004,-50.5313905469999 70.4899728450004,-50.5569455469998 70.4819368450004,-50.567781547 70.4771998450004,-50.587218547 70.4658178450004,-50.671527547 70.4066548450006,-50.6780545469999 70.3952728450004,-50.6670815469999 70.3872088450004,-50.6502725469999 70.3858178450004,-50.6358365469998 70.3928268450004,-50.6150095469998 70.3966548450004,-50.5958365469999 70.3938728450004,-50.5724995469999 70.3874998450005,-50.556527547 70.3813818450006,-50.5463905469998 70.3755368450005,-50.534999547 70.3523458450005,-50.5465275469998 70.3399908450005,-50.5588905469999 70.3330548450004,-50.5716725469998 70.3291638450005,-50.5969455469997 70.3244368450005,-50.6141635469998 70.3227728450005,-50.6336095469999 70.3219268450005,-50.6763905469998 70.3227728450005,-50.6999995469999 70.3249998450004,-50.7169455469999 70.3274818450004,-50.7511095469999 70.3402728450006,-50.7763905469999 70.3466458450005,-50.7933365469998 70.3499908450005,-50.8108275469999 70.3516548450005,-50.9327815469998 70.3588728450005,-51.0991635479999 70.3755368450005,-51.1241725479998 70.3827548450005,-51.197218548 70.4005458450005,-51.3494455479999 70.4174818450004,-51.4761095479998 70.4244268450004,-51.5877725479999 70.4408088450004,-51.7552815479999 70.4805458450004,-51.8713815479999 70.5130458460005,-52.0172185479998 70.5566368460004,-52.2280545489999 70.6219178460004,-52.376390549 70.6716458460005,-52.3972275489999 70.6802638460005,-52.4349995489998 70.6927458460005,-52.4623635489999 70.7012368460004,-52.7222185489999 70.7447088460005,-52.9708365489998 70.7644368460005,-53.1033365489998 70.7733178460004,-53.1888905499998 70.7644368460005,-53.3336095499999 70.7549908460005,-53.4122185499999 70.7530548460004,-53.4699905499999 70.7552638460006,-53.5119455499998 70.7594268460004,-53.5655545499999 70.7666638460004,-53.5938905499999 70.7736088460005,-53.6197185499997 70.7816638460005,-53.70249955 70.7947088460005,-54.0180545499999 70.8269368460004,-54.0633275499999 70.8297088460005,-54.0861095499999 70.8299908460005,-54.12860955 70.8291638460005,-54.1480545499999 70.8277728460005,-54.1808275499999 70.8244368460005,-54.2286095509999 70.8155368460004,-54.2563905509999 70.8091458460004,-54.307499551 70.7969368460005,-54.3352725509999 70.7896998460005,-54.5441635509999 70.7310908460004,-54.5724995509999 70.7172088460005,-54.6272185509999 70.6530458460004,-54.6163905509999 70.6508178460005,-54.5708365509998 70.6563728460005,-54.5538905509999 70.6572088460004,-54.5405545509999 70.6538728460004,-54.529445551 70.6499908460004,-54.3533365509998 70.5852638460004,-54.3111095509999 70.5660818460004,-54.2919455509999 70.5569268460004,-54.1955545499999 70.5044998460004,-54.19458155 70.4845728450004,-54.1852725499999 70.4771998450004,-54.1644455499999 70.4666638450004,-54.1541635499999 70.4621998450004,-54.0172185499999 70.4133178450004,-54.00278155 70.4091458450004,-53.9216725499999 70.3861088450005,-53.8930545499997 70.3805368450004,-53.84694555 70.3777638450005,-53.5222275499999 70.3594178450005,-53.31249955 70.3505368450005,-53.22416355 70.3460998450004,-53.1947185499998 70.3424818450005,-53.1080545489999 70.3258178450004,-52.876927549 70.2797268450005,-52.8474995489997 70.2727638450004,-52.6924995489999 70.2322088450004,-52.6522185489998 70.2216458450004,-52.5930545489998 70.2005458450005,-52.5722275489998 70.1885908450005,-52.563609549 70.1766548450004,-52.5488905489999 70.1623548450004,-52.3394365489999 70.0541548450004,-52.3297275489998 70.0494268450005,-52.3127725489999 70.0466458450005,-52.2138905489999 70.0374908450004,-52.1730545489998 70.0338728450005,-52.1411095489998 70.0366548450005,-52.0213815479999 70.0208268450004,-52.0013995479999 70.0119368450004,-51.9888905479999 70.0086088450004,-51.9724995479999 70.0055548450005,-51.951109548 70.0035998450004,-51.9305545479997 70.0035998450004,-51.8963905479998 70.0072178450005,-51.8530545479999 70.0172088450005,-51.8358275479998 70.0188728450004,-51.8216725479999 70.0188728450004,-51.603336548 70.0097178450005,-51.5694455479999 69.9787368450004,-51.5544455479998 69.9713728450004,-51.4708365479999 69.9608178450005,-51.4552725479998 69.9597178450005,-51.4366635479998 69.9641548450004,-51.3791635479999 69.9891548450004,-51.3427725479999 70.0074908450005,-51.3255635479999 70.0169368450004,-51.307499548 70.0283178450005,-51.2869455479997 70.0435908450004,-51.270554548 70.0627638450006,-51.255981548 70.0670728450004,-51.2430545479997 70.0685998450004,-51.0858275479999 70.0724908450005,-51.0655545479999 70.0727728450004,-51.046954548 70.0694458450004,-50.8924995469999 70.0358088450005,-50.8736095469998 70.0297088450005,-50.8608365469999 70.0233178450005,-50.8722185469999 70.0172088450005,-50.8980545469998 70.0111088450005,-50.9744455469998 69.9947088450005,-50.9849995469999 69.9938638450004,-50.9976365469998 70.0020638450005,-51.0097275479998 70.0149998450004,-51.0244455479999 70.0255458450004,-51.0341725479998 70.0297088450005,-51.0591635479998 70.0360998450004,-51.0797275479998 70.0360998450004,-51.0919455479998 70.0319368450004,-51.2599995479999 69.9635998450005,-51.1677815479998 69.9597178450005,-50.961390547 69.9591548450004,-50.9408365469997 69.9597178450005,-50.6783365469999 69.9974818450004,-50.5702815469999 70.0188728450004,-50.4874995469999 70.0388818450004,-50.4430545469997 70.0413638450004,-50.3699995469997 70.0413638450004,-50.2747185469999 70.0405458450004,-50.2550095469999 70.0391548450004,-50.242499547 70.0360998450004,-50.2308275469999 70.0319368450004,-50.217636547 70.0242908450005,-50.2119455469997 70.0152728450004,-50.2197185469998 70.0088818450005,-50.2311095469999 70.0033268450004,-50.2841725469999 69.9824818450005,-50.3061095469999 69.9763818450004,-50.3388905469999 69.9724908450004,-50.4305545469999 69.9716458450005,-50.553327547 69.9738728450005,-50.5658365469999 69.9733088450005,-50.5774995469999 69.9705368450005,-50.5852725469998 69.9572178450004,-50.5892995469999 69.9237268450004,-50.5688905469998 69.9149908450004,-50.5211095469999 69.9063728450004,-50.4566635469998 69.8991548450004,-50.4161095469999 69.8991548450004,-50.3991725469998 69.8999908450004,-50.3799995469999 69.8980368450004,-50.3101365469998 69.8705268450005,-50.1916635469999 69.7574908450005,-50.2069455469999 69.7552638450005,-50.2272185469998 69.7552638450005,-50.3299995469998 69.7580458450004,-50.5013995469997 69.7746998450005,-50.5577815469998 69.7822088450004,-50.5811185469997 69.7835998450005,-50.597218547 69.7833268450004,-50.6111185469999 69.7802728450005,-50.6211095469999 69.7662458450005,-50.6301365469997 69.7535998450005,-50.6473635469998 69.7426178450004,-50.6877725469998 69.7297088450005,-50.7155545469998 69.7233088450004,-50.7477815469998 69.7191458450004,-50.7666635469999 69.7177548450005,-50.7974995469999 69.7127728450005,-50.815418547 69.7076268450005,-50.8247275469999 69.6978998450004,-50.8136095469999 69.6763728450004,-50.7994455469999 69.6724818450005,-50.7744455469999 69.6674818450005,-50.7405545469999 69.6638818450004,-50.7205545469997 69.6638818450004,-50.7022275469998 69.6646998450004,-50.6513905469998 69.6697088450004,-50.5736185469999 69.6658178450005,-50.4463905469999 69.6430548450004,-50.4163095469999 69.6129268450005,-50.407218547 69.5959548450004,-50.4177815469998 69.5916638450005,-50.4286095469999 69.5933178450004,-50.4841725469998 69.6080368450004,-50.5183365469998 69.6146998450005,-50.643618547 69.6336088450004,-50.7477815469998 69.6433268450005,-50.7674995469999 69.6441458450004,-50.8005545469998 69.6422088450005,-50.8250095469999 69.6338818450004,-50.8426365469998 69.6190088450005,-50.7962455469999 69.5820728450004,-50.7947275469999 69.5513728450005,-50.8272275469999 69.5355368450005,-50.8374995469998 69.5313728450005,-50.8661095469998 69.5208178450005,-50.8749995469999 69.5138818450005,-50.8827815469999 69.4955368450004,-50.8745815469999 69.4834638450005,-50.8644455469998 69.4783178450005,-50.6941635469999 69.4960908450004,-50.589718547 69.4908178450004,-50.5730635469998 69.4924818450004,-50.5375095469997 69.5027728450005,-50.5113905469998 69.5105458450006,-50.5008365469999 69.5152728450005,-50.4774905469997 69.5283178450004,-50.2286095469999 69.5291638450004,-50.2130545469998 69.5280458450005,-50.204718547 69.5219268450004,-50.2152815469999 69.5141638450004,-50.2316635469998 69.5063818450005,-50.287227547 69.4894268450004,-50.3016635469999 69.4916548450004,-50.3202815469999 69.5008268450004,-50.3349995469998 69.5033268450005,-50.4052725469999 69.5088818450005,-50.4244455469998 69.5094268450005,-50.5163995469999 69.4880368450005,-50.7213815469999 69.4824818450004,-50.8422275469999 69.4644268450004,-50.8558365469997 69.4611088450005,-50.8658365469999 69.4574908450005,-50.8961095469999 69.3986088440005,-50.9708365469999 69.2994268440004,-51.0111185479999 69.2663818440004,-51.0944455479997 69.2327548440004,-51.1202725479999 69.2003998440005,-51.1052815479999 69.1938638440004,-51.0127815479999 69.1766548440005,-50.947490547 69.1744268440005,-50.8861185469999 69.1730368440004,-50.7141635469999 69.2160908440004,-50.656945547 69.2205368440004,-50.559436547 69.2616548440005,-50.5633275469999 69.2799818440005,-50.5158365469998 69.3155368440005,-50.4722185469998 69.3305548440004,-50.4605545469999 69.3333268440005,-50.432499547 69.3383178440006,-50.3974995469999 69.3408178440005,-50.3739545469999 69.3335998440004,-50.379436547 69.3241548440004,-50.3919455469999 69.3194458440005,-50.4036095469999 69.3160818440005,-50.4552725469999 69.3044268440004,-50.4695815469997 69.2963818440005,-50.4676365469999 69.1981728440005,-50.4513905469999 69.1921998440004,-50.4166635469999 69.1910818440005,-50.3008365469998 69.1919268440005,-50.2733275469998 69.1921998440004,-50.2569545469999 69.1935908440004,-50.2311095469999 69.1974818440004,-50.210972547 69.2070728440006,-50.2008365469999 69.2160908440004,-50.1724995469999 69.2216458440005,-50.1572185469999 69.2241548440005,-50.1450095469999 69.2246998440004,-50.1308365469998 69.2187458440005,-50.1294365469999 69.2041638440005,-50.1341725469998 69.1891458440005,-50.141663547 69.1738638440005,-50.1591635469998 69.1588728440004,-50.1799995469997 69.1499908440005,-50.1908365469998 69.1480368440005,-50.278054547 69.1355458440005,-50.356109547 69.1285818440005,-50.4641635469997 69.1271998440006,-50.5522275469999 69.1296998440005,-50.6602815469998 69.1283088440005,-50.6744455469998 69.1280368440005,-50.6870815469998 69.1208088440004,-50.6802815469999 69.1027638440004,-50.5797275469998 69.0797088440004,-50.4802815469997 69.0594178440004,-50.4344365469999 69.0513728440005,-50.4147185469998 69.0513728440005,-50.404718547 69.0521998440004,-50.3236185469998 69.0649908440005,-50.2697185469999 69.0744368440005,-50.2550095469999 69.0760998440005,-50.2438905469998 69.0752728440004,-50.2327725469999 69.0711088440005,-50.214718547 69.0613728440005,-50.2024995469998 69.0521998440004,-50.184436547 69.0355368440005,-50.1770815469999 69.0201368440005,-50.2076365469998 68.9624908440005,-50.2174995469999 68.9566458440004,-50.2369455469999 68.9566458440004,-50.2509725469999 68.9610998440005,-50.2838905469999 68.9766548440004,-50.2936815469999 68.9858088440005,-50.2801365469999 68.9937268440004,-50.2666635469998 69.0074908440004,-50.2597275469998 69.0194368440004,-50.2544455469998 69.0391548440005,-50.261945547 69.0544178440004,-50.2858365469999 69.0560908440004,-50.3336095469999 69.0505368440005,-50.4627725469998 69.0241548440004,-50.4763905469999 69.0210998440004,-50.4927815469999 69.0104088440004,-50.4858365469999 68.9933178440005,-50.4780545469999 68.9827548440005,-50.4663905469999 68.9724908440005,-50.4572185469999 68.9674818440005,-50.445827547 68.9638818440005,-50.4344365469999 68.9638818440005,-50.3799995469999 68.9710998440005,-50.3647275469998 68.9672088440004,-50.3108275469999 68.9215178440004,-50.3220905469998 68.9099908440004,-50.3404185469998 68.9028998440004,-50.3613905469999 68.9002728440004,-50.3799995469999 68.9008178440004,-50.5212545469998 68.9463638440005,-50.546109547 68.9960908440004,-50.5263905469999 69.0199908440005,-50.532499547 69.0283178440004,-50.5808365469999 69.0499908440004,-50.6591635469999 69.0769368440004,-50.692218547 69.0772088440004,-50.7024995469999 69.0758178440004,-50.773054547 69.0646998440004,-50.8933365469999 69.0422088440004,-50.9057635469997 69.0355368440005,-50.9033275469999 69.0254088440004,-50.918336547 69.0246998440005,-50.9691635469999 69.0308178440005,-50.985972547 69.0377548440005,-50.9036095469997 69.0708268440004,-50.8899995469999 69.0741548440004,-50.8638905469999 69.0799908440005,-50.8355545469999 69.0849908440005,-50.8016635469999 69.0866548440005,-50.7994455469999 69.1269178440005,-51.0743095479998 69.1301178440004,-51.1188905479999 69.0449818440006,-51.1144455479999 68.9269268440005,-51.059436548 68.9108088440004,-51.0344455479998 68.9180458440005,-51.000554547 68.9274728440005,-50.966109547 68.9324908440004,-50.9730545469999 68.9244268440004,-51.0816725479999 68.8719178440004,-51.103890548 68.8658178440005,-51.1441635479998 68.8583178440005,-51.204718548 68.8449818440005,-51.2147185479998 68.8408178440004,-51.2888185479997 68.7469998440005,-51.2413905479999 68.7394268440004,-51.1241725479998 68.7335998440004,-51.0352815479999 68.7463728440005,-51.0209725479999 68.7504088440005,-50.9994455469999 68.7638818440004,-50.9897275469999 68.7680548440004,-50.9302815469999 68.7902638440005,-50.8313905469999 68.8252728440004,-50.817509547 68.8297088440005,-50.7773545469998 68.8380458440005,-50.7038905469998 68.8335998440004,-50.6674995469999 68.8297088440005,-50.6555545469999 68.8233268440006,-50.6649995469999 68.8163728440005,-50.7672185469999 68.7763818440005,-50.8352545469999 68.7691178440004,-50.9016635469999 68.7572178440004,-50.9872185469998 68.7324818440005,-50.9762455469999 68.7076268440005,-50.9269455469999 68.6722088440004,-50.9163905469999 68.6666548440004,-50.8980545469998 68.6655458440005,-50.8636185469999 68.6733088440005,-50.8344455469998 68.6777638440005,-50.8101995469999 68.6732458440004,-50.8558365469997 68.6194268440004,-50.8658365469999 68.6146998440004,-50.8761095469998 68.6133088440004,-50.8941635469998 68.6144268440004,-50.9052725469999 68.6188638440005,-50.9322185469999 68.6330458440005,-51.0036185479999 68.6455368440005,-51.0331995479998 68.5794368440004,-51.0452815479999 68.5758178440005,-51.1441635479998 68.5602548440004,-51.346945548 68.5491458440004,-51.471936548 68.5602548440004,-51.5340275479999 68.5338728440004,-51.5452815479998 68.5263818440005,-51.6027815479998 68.5210998440005,-51.618327548 68.5199908440004,-51.6563905479999 68.5230368440005,-51.6741725479999 68.5255458440005,-51.7013905479998 68.5316638440004,-51.719163548 68.5341458440004,-51.7430545479999 68.5355368440004,-51.777218548 68.5349908440005,-51.791672548 68.5324818440004,-51.8111095479998 68.5274818440004,-51.8313905479999 68.5188818440005,-51.8477815479998 68.5133178440004,-51.863890548 68.5155458440005,-51.9372185479997 68.5280458440005,-51.9563185479998 68.5336638440005,-51.9613905479999 68.5572088440005,-51.9433275479998 68.5594178440005,-51.9033275479999 68.5602548440004,-51.8397185479999 68.5666638440005,-51.8168095479999 68.5740908440004,-51.8274995479998 68.5797088440004,-51.863890548 68.5833268440004,-51.8808275479999 68.5838818440005,-51.948699548 68.5824268440006,-51.9841725479999 68.5813728440004,-52.115127549 68.5487368440005,-52.1996905489999 68.5642368440004,-52.3963905489998 68.5513728440005,-52.4616725489999 68.5449818440005,-52.509172549 68.5394268440004,-52.6236095489999 68.5194368440004,-52.6420815489998 68.5138818440005,-52.6188905489999 68.5044368440004,-52.5977815489998 68.5005458440005,-52.5855545489998 68.4991458440005,-52.6038905489999 68.4533268440005,-52.8519455489998 68.3769178440004,-53.0797275489999 68.3230458430004,-53.1408905489999 68.3263548430004,-53.2113905499999 68.3474908430005,-53.2269455499999 68.3505368430004,-53.2416725499999 68.3513818430005,-53.25889955 68.3502638430004,-53.3755545499999 68.3338818430004,-53.3886095499997 68.3290268430004,-53.3725815499999 68.2911728430004,-53.3669455499999 68.2802728430004,-53.3538905499998 68.2687368430005,-53.3415815499998 68.2692908430005,-53.3299995499999 68.2749908430005,-53.3175095499998 68.2783178430005,-53.2355545499999 68.2924818430005,-53.1772275499998 68.2941458430005,-53.1674995499999 68.2908178430005,-53.1169995489998 68.2842638430005,-53.0891635489999 68.2822088430005,-52.9587185489998 68.2960998430004,-52.9087995489999 68.2960998430004,-52.877799549 68.3031088430005,-52.7676275489998 68.3197728430005,-52.7440455489997 68.3225178430004,-52.7318365489999 68.3165088430004,-52.7642995489999 68.2992638430005,-52.7885275489999 68.2980728430004,-52.8034635489998 68.3015998430005,-52.8136275489998 68.3014268430005,-52.8606365489999 68.2962548430004,-52.8794635489998 68.2925908430005,-52.9186365489999 68.2805998430005,-52.9269455489998 68.2694368430005,-52.9370815489999 68.2588818430004,-52.9002725489999 68.2267908430005,-52.8055545489999 68.2144268430005,-52.7327725489999 68.2108178430004,-52.7197185489999 68.2105368430006,-52.705836549 68.2124908430004,-52.6320815489998 68.2383908430004,-52.6469455489998 68.2505458430005,-52.6602815489997 68.2541638430005,-52.6493275489999 68.2553268430005,-52.6699995489999 68.2561548430004,-52.6994995489999 68.2603178430005,-52.7299995489998 68.2649908430005,-52.712999549 68.2681548430005,-52.696336549 68.2704908430005,-52.6738275489999 68.2679908430004,-52.6344995489998 68.2634908430004,-52.5580545489998 68.2533268430005,-52.494718549 68.2371998430004,-52.4688905489998 68.2116548430005,-52.4861185489999 68.2016638430004,-52.4973635489999 68.1926088430004,-52.4849995489998 68.1860998430005,-52.4697185489999 68.1810908430004,-52.4463905489998 68.1788638430004,-52.419163549 68.1805458430005,-52.382218549 68.1847088430005,-52.2233275489998 68.2113818430005,-52.0811185489999 68.2305458430005,-51.994999548 68.2391548430005,-51.9186095479998 68.2388728430005,-51.8186095479999 68.2421998430004,-51.7650095479999 68.2477548430005,-51.6755635479998 68.2655458430004,-51.6133365479998 68.2738818430004,-51.5481995479998 68.2795728430004,-51.5172185479998 68.2802728430004,-51.4908365479999 68.2797088430004,-51.4605545479998 68.2774818430004,-51.4327815479998 68.2766548430005,-51.4074995479998 68.2769268430005,-51.3422275479999 68.2802728430004,-51.328336548 68.2813728430004,-51.2555635479999 68.2883178430004,-51.2408365479998 68.2899818430004,-51.2230545479997 68.2949818430004,-51.2222185479998 68.3174818430005,-51.2261095479999 68.3272088430004,-51.239163548 68.3352638430004,-51.2741725479999 68.3499908430005,-51.295554548 68.3580368440005,-51.3272275479999 68.3649908440004,-51.344863548 68.3642908440004,-51.3679185479998 68.3534638440004,-51.3824995479999 68.3513818430005,-51.4663905479999 68.3524818440005,-51.4827725479998 68.3527638440004,-51.4988905479998 68.3560908440005,-51.6450095479999 68.4077638440004,-51.6361095479999 68.4133178440004,-51.6019455479999 68.4246998440005,-51.5877725479999 68.4271998440004,-51.5513905479999 68.4277638440005,-51.5269455479998 68.4244268440005,-51.506672548 68.4183178440004,-51.4030545479998 68.4047088440004,-51.2763905479999 68.4110998440004,-51.1822185479999 68.4241458440005,-51.1272185479999 68.4385818440005,-50.8611185469999 68.4988728440005,-50.8408365469999 68.5024908440005,-50.819999547 68.5035998440005,-50.7706905469998 68.4869268440004,-50.7852815469999 68.4788638440005,-50.8449995469999 68.4630458440005,-50.8566635469999 68.4608178440006,-51.0230545479998 68.4377638440005,-51.0963905479998 68.4324818440004,-51.1150095479998 68.4283178440004,-51.1516635479998 68.4149908440004,-51.1755545479999 68.4049908440005,-51.1827815479999 68.3944268440006,-51.1781995479998 68.3840088440004,-51.1655545479999 68.3783088440005,-51.145281548 68.3666548440004,-51.1245815479998 68.3477638430005,-51.1454185479998 68.2902638430005,-51.220836548 68.2736088430004,-51.1858275479997 68.2435908430004,-51.0427815479999 68.2216458430004,-51.029999548 68.2191458430004,-51.0061095479999 68.2113818430005,-50.9769455469998 68.1999998430006,-50.9568725469999 68.1864268430005,-50.9713815469999 68.1776178430005,-50.988890547 68.1760908430005,-51.0980545479998 68.1810908430004,-51.1272185479999 68.1838728430004,-51.1866635479999 68.1927458430004,-51.2033275479999 68.1999998430006,-51.224999548 68.2052638430005,-51.2541725479999 68.2080368430005,-51.2950095479999 68.2099908430005,-51.3480545479999 68.2091548430004,-51.387509548 68.2077638430004,-51.4238905479999 68.2041638430005,-51.4347185479999 68.2001268430004,-51.3933365479999 68.1749908430004,-51.3822185479998 68.1710998430005,-51.3686095479998 68.1677548430005,-51.2933365479998 68.1510908430005,-51.0769545479999 68.0988728430004,-51.0008365469999 68.0802728430005,-50.9430545469999 68.0516548430005,-50.9322185469999 68.0477638430004,-50.8016635469999 68.0297088430005,-50.6724995469997 68.0147088430005,-50.6641635469999 67.9949818430004,-50.5111185469999 67.9627728430005,-50.3116725469999 67.9324818430005,-50.295009547 67.9313638430005,-50.271109547 67.9333178430004,-50.2224995469998 67.9410818430005,-50.1543095469999 67.9437268430004,-50.1441635469998 67.9394178430004,-50.1573635469998 67.9312368430005,-50.2158275469998 67.9073458430005,-50.3163905469999 67.9141548430004,-50.3563905469999 67.9177548430005,-50.3844455469999 67.9252638430005,-50.4413815469999 67.9302638430004,-50.4869455469997 67.9288638430004,-50.5519365469999 67.9183178430004,-50.572018547 67.9101908430005,-50.5694545469999 67.9008178430005,-50.6386095469999 67.9238728430005,-51.040699548 68.0215178430004,-51.0511095479999 68.0272088430004,-51.1580545479998 68.0574818430005,-51.1730545479999 68.0613728430004,-51.1886095479997 68.0635998430005,-51.2166635479999 68.0655368430005,-51.2572275479999 68.0658088430005,-51.3294455479999 68.0602548430005,-51.4394365479998 68.0538638430005,-51.4769455479998 68.0521998430005,-51.5036185479999 68.0521998430005,-51.518336548 68.0535908430005,-51.5327725479999 68.0563638430004,-51.5599995479999 68.0588728430005,-51.5877725479999 68.0583178430005,-51.6758365479998 68.0541548430004,-51.7430545479999 68.0474818430004,-51.7672185479998 68.0447088430005,-51.8438905479999 68.0413638430005,-51.8577815479997 68.0419268430005,-51.9563905479999 68.0491458430004,-51.9716635479998 68.0513728430005,-52.1280545489997 68.0874908430005,-52.3105545489998 68.1227548430004,-52.5005545489998 68.1694368430004,-52.549727549 68.1824818430004,-52.579727549 68.1891458430004,-52.5944455489999 68.1902638430005,-52.7330545489999 68.1955268430004,-52.746945549 68.1958178430004,-52.7591725489999 68.1944268430004,-52.7752815489999 68.1908088430005,-52.7972275489997 68.1778998430004,-52.7994455489999 68.1672088430004,-52.7894455489999 68.1633178430005,-52.6433365489999 68.1341548430004,-52.583881549 68.1266458430005,-52.3931995489999 68.0706908430005,-52.409999549 68.0637268430005,-52.4274995489998 68.0635998430005,-52.7269455489999 68.1105368430004,-52.7569545489999 68.1169268430005,-52.8647275489998 68.1458268430005,-52.8980545489997 68.1527728430004,-53.0769545489999 68.1880368430005,-53.1480545489999 68.1991458430004,-53.1699995499999 68.1980268430004,-53.3211095499999 68.1844178430004,-53.39139055 68.1716458430005,-53.4499995499999 68.1513728430004,-53.2911185499999 68.1308178430006,-53.2797275499998 68.1302638430005,-53.2683365499999 68.1310908430004,-53.134445549 68.1380458430005,-53.0763905489998 68.0935998430004,-52.8905545489998 68.0249908430004,-52.8188905489999 67.9985998430005,-52.7913905489999 67.9916548430005,-52.730281549 67.9813728430004,-52.6905545489998 67.9746998430004,-52.6380545489999 67.9683178430005,-52.581672549 67.9649998430004,-52.499172549 67.9613818430005,-52.2408365489997 67.9508178430004,-52.2011095489997 67.9499998430004,-52.1752815489999 67.9510998430005,-52.136945549 67.9580368430005,-52.1261095489999 67.9613818430005,-52.0949995489999 67.9735998430005,-52.0811185489999 67.9777638430004,-52.062354548 67.9765178430005,-52.084727549 67.9502728430004,-52.103754549 67.9409458430006,-52.144163549 67.9310908430005,-52.167781549 67.9258088430004,-52.1880455489999 67.9230368430004,-52.2122185489998 67.9230368430004,-52.2233275489998 67.9252638430005,-52.2347275489999 67.9288638430004,-52.2455635489999 67.9387268430004,-52.5069545489999 67.9499998430004,-52.5208365489999 67.9502728430004,-52.5547185489999 67.9491458430005,-52.6911095489999 67.9594268430004,-52.7483365489999 67.9683178430005,-52.783054549 67.9755368430004,-52.8088905489997 67.9819368430004,-52.917118549 68.0191548430005,-52.9949995489999 68.0472088430005,-53.019999549 68.0541548430004,-53.081672549 68.0627638430004,-53.0944455489998 68.0621908430005,-53.19138155 68.0416458430005,-53.2044455499999 68.0349908430005,-53.24444555 68.0083268430004,-53.2594455499998 67.9856818430005,-53.24028155 67.9824818430005,-53.2288815499999 67.9833178430004,-53.1649995499999 67.9888728430005,-53.0969455489998 67.9927548430006,-53.0073905489999 67.9886458430004,-52.9901455489999 67.9865638430004,-52.9591365489999 67.9778178430005,-52.973554549 67.9748178430004,-53.0091725489999 67.9630458430004,-53.0238905489998 67.9631908430005,-53.1188905489999 67.9658178430005,-53.2330545499999 67.9605368430004,-53.2572275499998 67.9455268430005,-53.2774995499999 67.9136088430005,-53.2705545499999 67.9024818430004,-53.2608365499999 67.8899818430005,-53.2130545499999 67.8999908430005,-53.1680635499998 67.9097178430005,-53.1413905489999 67.9113728430004,-53.1161095489999 67.9074818430004,-53.078472549 67.8994368430005,-53.0604185489999 67.8788638430004,-53.0802815489999 67.8830458430004,-53.0938905489999 67.8880458430006,-53.1083365489998 67.8891638430005,-53.1294365489999 67.8899818430005,-53.1405545489999 67.8891638430005,-53.1641635499997 67.8852728430004,-53.2522275499999 67.8616458430004,-53.27389055 67.8558178430005,-53.28875455 67.8469268430004,-53.2730545499998 67.8305548430004,-53.2849545499999 67.8391548430004,-53.2991095499997 67.8428998430005,-53.3062815499999 67.8510638430004,-53.2921095499997 67.8596458430005,-53.2927815499999 67.8742818430005,-53.3058275499999 67.8802638430004,-53.3824995499999 67.8983268430005,-53.4102815499999 67.8991548430004,-53.4238905499999 67.8977638430005,-53.43499955 67.8952638430005,-53.4544455499998 67.8899818430005,-53.4647185499999 67.8866548430004,-53.4824995499999 67.8762268430005,-53.42528155 67.8313728430005,-53.4122185499999 67.8288728430005,-53.3397185499999 67.8183268430005,-53.3489725499999 67.8122728430005,-53.3265545499997 67.8142638430004,-53.3022185499999 67.8104268430005,-53.3255545499999 67.8035908430005,-53.3417185499999 67.8009368430005,-53.4347185499999 67.7922088430004,-53.4894365499997 67.8008088430005,-53.5032725499999 67.8105268430004,-53.4908365499998 67.8146998430004,-53.4669455499997 67.8133088430004,-53.4566635499999 67.8183268430005,-53.45972755 67.8324908430004,-53.46985455 67.8491548430005,-53.4841725499998 67.8552548430004,-53.5533275499997 67.8438728430005,-53.62778155 67.8146998430004,-53.6397275499999 67.7871998430004,-53.5774995499999 67.7613818430004,-53.5441635499998 67.7235268430004,-53.53944555 67.7108178430004,-53.5639545499999 67.6514458430005,-53.6183275499999 67.6333268430004,-53.6844365499999 67.6191368430005,-53.7211095499999 67.6141548430004,-53.75118155 67.6046268430004,-53.7294365499999 67.5366548430005,-53.6830635499999 67.5008268430004,-53.6724995499998 67.4994178430004,-53.5997275499997 67.5069458430004,-53.5894365499998 67.5088818430004,-53.56721855 67.5152728430004,-53.3277815499999 67.5873458430005,-53.2327725499999 67.6291548430005,-53.2066635499998 67.6447178430005,-53.1927725499999 67.6566458430005,-53.1795815499999 67.6697088430004,-53.1486095489998 67.6883088430005,-53.0352815489998 67.7391548430004,-53.0052815489998 67.7522088430005,-52.9699905489999 67.7638818430004,-52.8399995489999 67.7883178430005,-52.8063905489997 67.7894268430005,-52.767772549 67.7880368430004,-52.6305545489999 67.7866548430004,-52.4752725489998 67.8146998430004,-52.4611095489998 67.8190178430005,-52.4441635489998 67.8299908430005,-52.4358275489998 67.8361088430004,-52.424581549 67.8487268430005,-52.4120815489999 67.8576178430005,-52.3394365489999 67.8735998430004,-52.1994365489999 67.8983268430005,-52.1249995489998 67.9052548430005,-52.1136185489999 67.9060998430004,-52.0744455479999 67.8991548430004,-52.0477815479998 67.8960998430005,-51.988054548 67.8997178430005,-51.911663548 67.9074818430004,-51.8902815479999 67.9124908430004,-51.8680545479998 67.9197088430006,-51.8362545479999 67.9337268430004,-51.8216725479999 67.9380368430005,-51.797499548 67.9424728430004,-51.6133365479998 67.9741548430004,-51.6024995479998 67.9744268430004,-51.5905545479998 67.9727638430005,-51.5740275479998 67.9654088430005,-51.6038905479999 67.9360998430005,-51.614163548 67.9344178430005,-51.7013905479998 67.9246998430005,-51.8786095479999 67.8916638430004,-51.8977815479999 67.8855458430004,-51.9197275479999 67.8813638430005,-51.9430545479999 67.8791548430005,-52.0313905479998 67.8744178430004,-52.056390548 67.8738728430004,-52.1383365489999 67.8749818430005,-52.1530545489998 67.8763728430005,-52.1983365489998 67.8758088430006,-52.3033275489999 67.8466458430004,-52.3330635489999 67.8341548430004,-52.3401365489999 67.8222088430005,-52.2672185489998 67.7716548430005,-52.256109549 67.7694368430004,-52.2430545489999 67.7683268430004,-52.148609549 67.7649998430005,-51.989999548 67.7611088430004,-51.8316725479999 67.7691548430005,-51.819454548 67.7755458430004,-51.7119455479999 67.7885908430004,-51.6574995479999 67.7852638430005,-51.6472275479999 67.7824818430005,-51.6288905479999 67.7687368430005,-51.6375095479997 67.7605458430004,-51.6488905479999 67.7580458430005,-51.6619455479998 67.7577638430004,-51.6752815479999 67.7580458430005,-51.715281548 67.7616548430005,-51.725827548 67.7613818430004,-51.799999548 67.7563818430004,-51.8105545479999 67.7530548430004,-51.8297275479998 67.7438638430005,-51.8408275479998 67.7348458430004,-51.8213905479999 67.7088818430005,-51.8102815479999 67.7052638430005,-51.7952815479998 67.7013818430004,-51.7483365479999 67.6958178430005,-51.7130545479997 67.6949728430005,-51.6944455479997 67.6980268430005,-51.684718548 67.7008178430005,-51.6747185479999 67.7049908430004,-51.6566635479999 67.7136088430004,-51.621663548 67.7341458430004,-51.6019455479999 67.7474818430004,-51.5883365479999 67.7505458430004,-51.5205545479997 67.7569458430004,-51.5044455479998 67.7583268430005,-51.4811095479998 67.7574908430004,-51.465481548 67.7497728430004,-51.490554548 67.7391548430004,-51.5036185479999 67.7371998430005,-51.5283995479999 67.7274818430004,-51.5122185479999 67.7240178430005,-51.4833275479998 67.7285908430005,-51.4622185479999 67.7335998430004,-51.424999548 67.7452548430005,-51.395009548 67.7622088430005,-51.320418548 67.8137368430005,-51.322918548 67.8234638430005,-51.332781548 67.8317908430005,-51.4708365479999 67.8724818430005,-51.5706905479998 67.9235908430004,-51.5643095479998 67.9335818430005,-51.5174995479998 67.9419268430004,-51.4886095479997 67.9405368430005,-51.4597275479999 67.9380368430005,-51.444445548 67.9341458430005,-51.4105545479998 67.9233088430004,-51.3986095479999 67.9202548430005,-51.3883365479999 67.9188728430005,-51.3747185479999 67.9183178430004,-51.3599995479998 67.9185908430005,-51.348609548 67.9194368430004,-51.3272275479999 67.9258088430004,-51.2894455479997 67.9435908430004,-51.272772548 67.9510998430005,-51.2524995479998 67.9594268430004,-51.2416725479997 67.9624908430005,-51.2094455479999 67.9691458430004,-51.1841635479999 67.9724908430004,-51.1588905479999 67.9741548430004,-51.1086095479999 67.9746998430004,-51.0599995479998 67.9741548430004,-51.0377815479999 67.9611088430005,-50.9736095469999 67.9167908430005,-50.9736725469999 67.8833178430005,-50.988336547 67.8774728430004,-50.9997275469999 67.8752638430004,-51.0158365479998 67.8755368430004,-51.0291635479998 67.8805368430004,-51.0402815479999 67.8897088430004,-51.0574995479998 67.8980368430005,-51.0683365479999 67.9016548430005,-51.0841635479999 67.9049818430004,-51.0977815479999 67.9055458430004,-51.2055545479998 67.9069268430005,-51.316663548 67.8858178430004,-51.3311185479999 67.8688638430004,-51.2344455479999 67.7803998430005,-51.199718548 67.7633178430004,-51.1838815479999 67.7599908430005,-51.1736185479999 67.7586088430005,-51.1616635479999 67.7586088430005,-51.0344455479998 67.7702638430005,-50.9758275469999 67.7926268430004,-50.8496635469999 67.8105908430005,-50.8221635469999 67.8109268430005,-50.763890547 67.8141458430004,-50.7511095469999 67.8146998430004,-50.7144455469999 67.8185998430005,-50.6847185469999 67.8405458430004,-50.6780545469999 67.8505368430005,-50.704718547 67.8633088430005,-50.7274905469999 67.8702548430004,-50.7583365469999 67.8758088430006,-50.7699995469999 67.8735998430004,-50.7799995469998 67.8694268430004,-50.7983905469998 67.8690638430004,-50.8075545469998 67.8627368430004,-50.8173905469999 67.8601548430005,-50.8358095469998 67.8602368430005,-50.8528905469998 67.8648178430005,-50.8294455469999 67.8922088430004,-50.819999547 67.8972178430006,-50.798336547 67.9035908430005,-50.7794455469999 67.9066458430005,-50.7658365469999 67.9060998430004,-50.7394365469999 67.9030458430005,-50.4505545469999 67.8527638430004,-50.4174995469998 67.8444368430004,-50.4286095469999 67.8172178430004,-50.4944455469999 67.8202638430005,-50.598881547 67.8233178430004,-50.6261095469998 67.8227728430005,-50.6491725469999 67.8197178430005,-50.6599995469999 67.8166638430004,-50.7463905469999 67.7910908430005,-50.7590365469997 67.7844268430005,-50.7741635469999 67.7741548430005,-50.7919455469999 67.7680548430005,-50.9874995469999 67.7219268430005,-50.9988905469999 67.7197088430005,-51.0230545479998 67.7169368430005,-51.085272548 67.7149998430004,-51.2311095479998 67.7124908430005,-51.2308275479998 67.6972088430005,-51.1219365479999 67.6552548430005,-51.010972548 67.6246998430005,-50.969718547 67.6222088430005,-50.9447185469998 67.6224818430005,-50.8847275469998 67.6263728430006,-50.800836547 67.6349908430004,-50.6502725469999 67.6516548430006,-50.6274905469999 67.6560998430004,-50.5944455469997 67.6633178430005,-50.488890547 67.6938638430004,-50.388890547 67.7241548430005,-50.3674995469999 67.7305458430005,-50.2886095469999 67.7449818430005,-50.2772185469999 67.7455268430004,-50.2636185469999 67.7449818430005,-50.0933275469999 67.7338728430004,-50.0636095469999 67.7274818430004,-49.9411095469998 67.6923368430004,-49.952781547 67.6858088430005,-49.9772185469999 67.6833178430004,-50.0030635469998 67.6841458430005,-50.0849995469999 67.6883088430005,-50.0974995469999 67.6974818430005,-50.0812545469999 67.7107548430006,-50.1058365469998 67.7185998430004,-50.119999547 67.7199818430004,-50.2544455469998 67.7305458430005,-50.274445547 67.7310908430004,-50.297227547 67.7280458430005,-50.346945547 67.7136088430004,-50.4413815469999 67.6869178430004,-50.6061095469999 67.6455368430005,-50.6524995469999 67.6374998430005,-50.686390547 67.6352728430005,-50.704172547 67.6344268430005,-50.7494455469998 67.6283088430005,-50.7747185469998 67.6235998430004,-50.8499995469999 67.6035908430005,-50.8522275469999 67.5908178430005,-50.7852815469999 67.5583178430005,-50.7744455469999 67.5544268430004,-50.7247185469998 67.5410908430005,-50.6663905469999 67.5280458430005,-50.5711095469998 67.5069458430004,-50.5408365469999 67.5083268430005,-50.4517095469998 67.5122638430005,-50.4147185469998 67.5111088430005,-50.3877815469999 67.5099908430005,-50.3611185469998 67.5074908430004,-50.3205545469999 67.5002728430004,-50.129718547 67.5069458430004,-50.1094455469999 67.5094268430004,-50.0709725469999 67.5113818430005,-50.1144455469999 67.4949818430005,-50.1958275469999 67.4673458430004,-50.2533365469997 67.4710998430006,-50.2830545469999 67.4758178430005,-50.398054547 67.4833178430005,-50.4880545469998 67.4885908430004,-50.546109547 67.4791548430005,-50.5711095469998 67.4788638430004,-50.5844455469999 67.4794268430005,-50.700554547 67.4916548430004,-50.7161095469999 67.4949818430005,-50.768609547 67.5105458430004,-50.7791635469999 67.5144368430005,-50.8477815469998 67.5402638430005,-50.886390547 67.5585908430004,-50.9299995469999 67.5777728430005,-50.950281547 67.5849908430005,-51.074445548 67.6116458430004,-51.129163548 67.6244178430005,-51.2908365479998 67.6621998430005,-51.330281548 67.6758088430005,-51.3759725479999 67.6794268430006,-51.3899995479999 67.6780368430004,-51.4145815479999 67.6720638430004,-51.4680545479999 67.6544368430006,-51.7102815479998 67.6305368430005,-51.797499548 67.6258088430004,-51.8094365479999 67.6258088430004,-51.8823635479999 67.6345728430005,-51.8861095479999 67.6470818430005,-51.8806905479998 67.6583178430005,-51.8877815479999 67.6670728430005,-51.9019365479999 67.6713728430004,-52.031945548 67.7058268430005,-52.0879095489999 67.6997088430004,-52.100554549 67.6958178430005,-52.114163549 67.6960908430005,-52.1269455489999 67.6985908430004,-52.2650095489999 67.7291548430005,-52.373890549 67.7558268430005,-52.4022185489998 67.7660998430004,-52.4163905489999 67.7688728430005,-52.4583365489999 67.7708268430005,-52.4961095489999 67.7697178430004,-52.7702815489999 67.7474818430004,-52.806663549 67.7430458430005,-52.8203455489997 67.7373458430005,-52.7708365489999 67.7260908430005,-52.746109549 67.7235998430004,-52.7180545489999 67.7235998430004,-52.6930545489998 67.7255368430004,-52.668890549 67.7285908430005,-52.657772549 67.7310908430004,-52.6230545489997 67.7358088430004,-52.5861095489997 67.7377638430004,-52.563054549 67.7385908430005,-52.5354185489999 67.7358178430004,-52.5897185489998 67.7185998430004,-52.6238905489999 67.7113818430006,-52.6480545489999 67.7083268430004,-52.7249995489998 67.7005458430005,-52.737781549 67.7013818430004,-52.751399549 67.7033268430004,-52.7634545489999 67.7079268430005,-52.7783365489998 67.7147088430005,-52.7877815489998 67.7180458430006,-52.8191725489999 67.7233088430005,-52.8333275489998 67.7246998430005,-52.8469455489998 67.7249908430004,-52.8599995489999 67.7244268430004,-52.8952815489998 67.7205368430004,-52.9769455489999 67.7074908430005,-53.0333365489997 67.6938638430004,-53.0436185489999 67.6905368430005,-53.0716725489998 67.6783178430005,-53.0897185489998 67.6680458430005,-53.1044455489999 67.6560998430004,-53.0913815489998 67.6499908430005,-53.0569455489999 67.6549818430005,-53.0230545489999 67.6621998430005,-52.9808275489999 67.6730368430005,-52.9469455489999 67.6802638430005,-52.9263905489999 67.6838728430005,-52.9127095489998 67.6804638430004,-52.9224995489998 67.6733088430004,-52.9424995489999 67.6655458430004,-52.9833275489999 67.6530458430004,-53.074718549 67.6369368430005,-53.1116725489997 67.6302638430004,-53.1441635489999 67.6222088430005,-53.3263905499999 67.5535908430004,-53.4661095499998 67.5088818430004,-53.57722755 67.4891548430005,-53.6019455499999 67.4838728430004,-53.7133365499998 67.4519368430004,-53.8036095499999 67.4144268430005,-53.82110955 67.4055458430005,-53.8611185499999 67.3541548430005,-53.8806995499999 67.2604178420004,-53.8536185499999 67.2238728420004,-53.8086095499999 67.2038728420005,-53.7983365499998 67.2027728420004,-53.77721855 67.2055548420005,-53.7005545499997 67.2197088420005,-53.6658365499999 67.2266548420004,-53.4388905499998 67.2722178420005,-53.2522275499999 67.3205458430005,-53.2255545499999 67.2978268430005,-53.1941635499999 67.2849908430005,-53.1413905489999 67.2783178420004,-53.1280545489999 67.2780458420004,-53.1027815489999 67.2791638430005,-53.0680635489997 67.2830548430004,-53.0333365489997 67.2885908430005,-52.980554549 67.2988728430005,-52.9561095489998 67.3024728430005,-52.8413815489999 67.3188818430005,-52.627781549 67.3438728430004,-52.2263905489999 67.3894368430005,-52.0513905479998 67.3727548430004,-51.917499548 67.3541548430005,-51.6122185479997 67.3580368430005,-51.5908365479998 67.3591458430004,-51.566109548 67.3624908430004,-51.3552815479998 67.3913728430004,-51.175563548 67.4205368430004,-51.1516635479998 67.4233088430005,-51.1380545479997 67.4227638430005,-51.1166635479998 67.4180368430006,-51.131672548 67.4074818430005,-51.154163548 67.4030458430004,-51.266399548 67.3847178430004,-51.3038905479999 67.3794268430005,-51.3277815479998 67.3780368430004,-51.390554548 67.3733088430004,-51.4827725479998 67.3660908430004,-51.5052815479999 67.3616458430005,-51.515836548 67.3583178430005,-51.523963548 67.3494908430006,-51.3841725479999 67.2530548420004,-51.3713815479999 67.2449818420005,-51.2508365479999 67.1697088420004,-51.224999548 67.1580368420005,-51.1733365479999 67.1394368420004,-51.147781548 67.1363818420004,-51.134172548 67.1374998420005,-51.1130635479997 67.1399818420004,-51.0908365479999 67.1430548420004,-51.0588905479999 67.1486088420004,-51.011672548 67.1580368420005,-50.978881547 67.1658178420005,-50.912499547 67.1788638420005,-50.8216725469998 67.1952548420005,-50.798336547 67.1988638420004,-50.7372185469999 67.2052638420005,-50.6180545469999 67.2169368420005,-50.5327725469999 67.2222178420005,-50.5069545469999 67.2219268420005,-50.4927725469998 67.2205368420005,-50.3627815469998 67.1946998420004,-50.3504905469998 67.1843178420004,-50.3643095469999 67.1741458420004,-50.3797185469999 67.1705368420004,-50.4169455469999 67.1683178420005,-50.4552725469999 67.1697088420004,-50.4824995469999 67.1716458420005,-50.5116725469998 67.1763728420004,-50.559436547 67.1866458420005,-50.6013905469998 67.1908088420005,-50.6380545469997 67.1902638420005,-50.7511095469999 67.1871908420004,-50.785563547 67.1852548420005,-50.833327547 67.1796998420004,-50.8547185469999 67.1758088420005,-50.8891635469999 67.1685908420005,-50.9319455469999 67.1580368420005,-50.9633365469998 67.1486088420004,-51.0186095479997 67.1361088420004,-51.0750095479999 67.1258088420004,-51.1244455479999 67.1230268420005,-51.1497275479999 67.1222088420005,-51.1894365479998 67.1235998420004,-51.2149995479998 67.1280368420004,-51.234999548 67.1338818420005,-51.289172548 67.1522088420004,-51.3084725479998 67.1624818420004,-51.408336548 67.2427548420004,-51.4180635479999 67.2516638420004,-51.4261095479998 67.2630458420005,-51.4380455479997 67.2788728430004,-51.4524995479999 67.2927548430004,-51.4669455479998 67.3010908430006,-51.5122185479999 67.3188818430005,-51.5247185479998 67.3230458430004,-51.5402815479998 67.3263818430004,-51.5722275479998 67.3305548430005,-51.6877725479997 67.3380458430004,-51.8905545479998 67.3371998430004,-51.9911095479999 67.3322178430005,-52.0313905479998 67.3333268430004,-52.0463905479999 67.3355368430005,-52.0680635479998 67.3399818430004,-52.079727549 67.3433178430005,-52.092227549 67.3472178430004,-52.1077815489999 67.3549818430005,-52.1272185489998 67.3627638430004,-52.1513905489999 67.3699818430005,-52.1891635489999 67.3683178430005,-52.2177725489999 67.3649908430005,-52.3330635489999 67.3488728430004,-52.613618549 67.3174908430004,-52.7891725489999 67.2955368430004,-52.8769455489999 67.2755458420004,-52.9430545489998 67.2641638420004,-53.0919455489999 67.2466458420005,-53.1330545489999 67.2469368420004,-53.2650095499999 67.2513908420005,-53.47721855 67.2391548420005,-53.51445455 67.2349818420005,-53.5853455499998 67.2178368420005,-53.52666355 67.2055548420005,-53.51416355 67.2060998420005,-53.4794365499998 67.2099908420004,-53.4547185499999 67.2113818420004,-53.4308275499998 67.2113818420004,-53.3799995499999 67.2022088420005,-53.3961095499999 67.1985908420004,-53.4561095499998 67.1916548420005,-53.4808275499999 67.1905368420004,-53.5705545499999 67.1880368420004,-53.5963905499999 67.1877638420004,-53.6474995499997 67.1891458420005,-53.71082755 67.1869178420004,-53.8066635499998 67.1808178420005,-53.81666355 67.1788638420005,-53.82695455 67.1755368420004,-53.9194455499998 67.1431818420004,-53.9566635499997 67.0972178420006,-53.9611095499998 67.0742908420004,-53.6538815499998 67.0827638420005,-53.4602815499997 67.1013818420005,-53.4383275499998 67.1063728420004,-53.4163905499997 67.1097088420004,-53.3923635499999 67.1067908420004,-53.4305545499999 67.0910908420004,-53.5194455499999 67.0719268420006,-53.54278155 67.0688818420005,-53.5797275499999 67.0674908420005,-53.6569455499997 67.0680548420004,-53.7380545499999 67.0713818420004,-53.7905545499999 67.0716548420004,-53.8272275499999 67.0672178420004,-53.8359725499998 67.0610908420005,-53.8216725499998 67.0313728420005,-53.8136095499999 67.0222178420004,-53.7994455499999 67.0149998420006,-53.7808275499999 67.0113818420005,-53.7544455499998 67.0094268420004,-53.6616635499999 67.0058268420004,-53.58971855 67.0041638420005,-53.5588905499999 67.0088818420004,-53.4847275499998 67.0119368420004,-53.4202815499998 67.0122088420006,-53.2313815499999 66.9997088420005,-53.22208155 66.9908178420004,-53.2455545499999 66.9827548420005,-53.25556355 66.9808178420005,-53.2666635499999 66.9799818420004,-53.3047185499998 66.9791548420005,-53.3530545499999 66.9794268420005,-53.58639055 66.9822088420004,-53.7330545499999 66.9955268420005,-53.7477815499998 66.9960908420005,-53.8024995499998 66.9944268420005,-53.8159725499997 66.9905268420005,-53.8258365499998 66.9780368420004,-53.81666355 66.9644268420005,-53.7994455499999 66.9566458420005,-53.6861095499997 66.9172088420004,-53.6749995499999 66.9136088420004,-53.6494455499998 66.9094268420005,-53.6283365499999 66.9077638420005,-53.51916355 66.9083268420004,-53.4808275499999 66.9108088420004,-53.4011095499999 66.9158178420004,-53.2030545499998 66.9249908420004,-53.1144455489999 66.9210998420005,-52.8714635489999 66.9073908420004,-52.8602815489999 66.8949908420004,-52.8477815489998 66.8924908420004,-52.8086095489999 66.8885998420005,-52.7705545489999 66.8877728420005,-52.758054549 66.8883178420004,-52.6133365489998 66.9066458420004,-52.5930545489998 66.9116548420004,-52.4983365489998 66.9124908420005,-52.4658365489999 66.9060998420005,-52.453609549 66.8781728420005,-52.4624995489997 66.8730268420005,-52.3427725489998 66.8380458420004,-52.3302815489999 66.8369268420005,-52.3172185489998 66.8366548420004,-52.2824995489999 66.8380458420004,-52.2325635489999 66.8374908420005,-52.254445549 66.8191548420004,-52.2749995489999 66.8141458420005,-52.2966725489999 66.8124818420005,-52.336109549 66.8105268420004,-52.3497275489998 66.8119178420004,-52.3766635489999 66.8180548420005,-52.3941635489999 66.8269368420005,-52.4216725489998 66.8371998420004,-52.458609549 66.8463728420005,-52.5463905489999 66.8610998420004,-52.5594365489999 66.8630368420005,-52.5858275489998 66.8635998420006,-52.751109549 66.8608088420006,-52.9708365489998 66.8544268420004,-52.9827725489997 66.8530458420004,-52.9936185489998 66.8505368420005,-53.0533275489997 66.8358178420004,-53.0627725489998 66.8316638420005,-53.0806995489999 66.8137998420005,-53.0558275489997 66.8049818420004,-53.0961095489999 66.7813728420005,-53.1043095489999 66.7669268420004,-53.112536549 66.7599908420004,-53.0774995489999 66.7693728420004,-53.0511635489997 66.7795368420004,-53.0421635489997 66.7845368420004,-53.0301635489998 66.7885368420004,-53.010999549 66.7925458420006,-52.996672549 66.7947088420004,-52.8716635489999 66.7993818420006,-52.8556635489999 66.7937818420005,-52.8524995489999 66.7796998420004,-52.8619185489998 66.7706178420004,-52.9416635489997 66.7552088420005,-52.957509549 66.7528728420005,-52.9719995489999 66.7517088420005,-53.0766635489999 66.7470368420005,-53.1289995489998 66.7450368420005,-53.1484995489999 66.7460368420005,-53.1671635499999 66.7503638420006,-53.1947185499998 66.7494178420005,-53.2047275499999 66.7445638420004,-53.0478365489999 66.7287088420005,-53.0248365489999 66.7242088420005,-52.9596635489997 66.7188728420006,-52.9449995489999 66.7195458420005,-52.8893275489999 66.7266998420005,-52.8754995489999 66.7285268420005,-52.8443365489999 66.7365368420005,-52.821418549 66.7412818420005,-52.5977815489998 66.7383088420004,-52.5854185489999 66.7328908420004,-52.5866635489999 66.7030368420005,-52.6752815489999 66.6935908420006,-52.8774905489999 66.6791548420005,-52.9727725489998 66.6724818420005,-53.1188905489999 66.6802638420004,-53.2272185499999 66.6935908420006,-53.2591725499999 66.6964998420004,-53.2752725499998 66.6938638420004,-53.4419365499999 66.6408268420004,-53.4519455499998 66.6374998420005,-53.4781905499999 66.6034548420005,-53.3175095499998 66.5644178420005,-53.2502815499998 66.5510908420004,-53.22416355 66.5472088420004,-53.1727725499998 66.5455368420004,-53.1238905489999 66.5463728420005,-53.0825095489998 66.5485998420004,-53.0541725489999 66.5527638420004,-52.9933275489998 66.5705458420004,-52.9827725489997 66.5727728420005,-52.9605545489999 66.5752728420005,-52.9497185489998 66.5760998420004,-52.8477815489998 66.5747088420004,-52.8338815489999 66.5733178420004,-52.8209725489997 66.5699908420005,-52.7424995489997 66.5594178420005,-52.627781549 66.5497088420005,-52.5897185489998 66.5466458420004,-52.5099995489998 66.5424818420004,-52.4724995489999 66.5447088420005,-52.4380455489999 66.5491458420004,-52.4263905489999 66.5491458420004,-52.4173635489998 66.5442908420005,-52.4415275489999 66.5219368420005,-52.483054549 66.5185998420005,-52.5322185489999 66.5194368420004,-52.668890549 66.5222178420005,-52.7247185489999 66.5236088420004,-52.7547185489999 66.5274818420004,-52.7658365489999 66.5305458420005,-52.786390549 66.5385908420005,-52.7977815489999 66.5416548420004,-52.810827549 66.5435908420005,-52.9216725489999 66.5499908420005,-52.9469455489999 66.5466458420004,-52.9577815489997 66.5441458420004,-52.9699995489999 66.5374818420004,-52.9870815489999 66.5294368420004,-53.0597185489998 66.5105458420006,-53.070554549 66.5080458420005,-53.1580545499999 66.4921998420005,-53.1702815499999 66.4916548420005,-53.2433275499998 66.4938638420005,-53.2711095499998 66.4963728420004,-53.3366635499999 66.5094268420005,-53.3498545499998 66.5161088420004,-53.2833365499999 66.5172088420005,-53.2455545499999 66.5136088420005,-53.2327725499999 66.5133178420004,-53.2126455499999 66.5165818420004,-53.35889055 66.5360998420005,-53.3711095499999 66.5355368420005,-53.5133365499998 66.5285908420004,-53.6290275499999 66.5062368420005,-53.6952725499997 66.3510908420005,-53.6973545499999 66.3294368420005,-53.6561095499998 66.2744368420005,-53.61583655 66.2417908420005,-53.5894365499998 66.2416548420004,-53.4988905499997 66.2541638420005,-53.3608365499998 66.2674908420004,-53.2397275499999 66.2766548420005,-53.1224995489998 66.2847088420004,-53.17055455 66.2758178420005,-53.3352725499998 66.2485998420004,-53.3463905499999 66.2472088420005,-53.38138155 66.2449818420005,-53.4297275499998 66.2424818420004,-53.4661095499998 66.2408178420004,-53.4908365499998 66.2388728420004,-53.51083655 66.2352638420004,-53.5795815499998 66.2105458420006,-53.6247185499999 66.1544368410005,-53.6208365499999 66.1438728410005,-53.5747185499999 66.1155368410004,-53.5286095499999 66.1024818410005,-53.51445455 66.1005368410005,-53.4766635499999 66.0988728410005,-53.4316725499999 66.1019268410006,-53.3416635499999 66.1135998410004,-53.3074995499998 66.1188638410004,-53.2869455499999 66.1230268410004,-53.0458365489999 66.1816548410004,-53.0066725489999 66.1933178410005,-52.9966635489999 66.1966368410005,-52.9305545489999 66.2238728420004,-52.8711095489999 66.2499998420005,-52.8444455489998 66.2636088420006,-52.8008365489998 66.2888818420005,-52.7861185489999 66.3005368420004,-52.7661095489999 66.3163728420005,-52.7422275489999 66.3335998420005,-52.7244455489999 66.3460998420004,-52.7105545489999 66.3524818420005,-52.5069545489999 66.4216458420005,-52.4599995489999 66.4371908420004,-52.3561095489998 66.4624908420005,-52.1980545489998 66.4994178420005,-52.178890549 66.5010998420004,-52.1572185489998 66.5055548420004,-52.125827549 66.5156818420004,-52.100836549 66.5338728420004,-52.0799995489998 66.5555458420004,-52.0524995479999 66.5869268420004,-52.0424995479999 66.6033178420005,-52.033199548 66.6155268420005,-52.0075095479999 66.6397088420005,-51.994999548 66.6494268420005,-51.981799548 66.6563728420004,-51.9113815479998 66.6727638420004,-51.8577815479997 66.6838728420004,-51.7702815479998 66.7027728420005,-51.7474995479997 66.7080368420005,-51.7269455479999 66.7144268420005,-51.6633275479999 66.7371998420005,-51.5952725479999 66.7697088420005,-51.5752815479999 66.7835998420005,-51.4458275479998 66.8341548420005,-51.304999548 66.8824728420005,-51.2222185479998 66.9083268420004,-51.1849995479999 66.9187268420004,-51.1701185479998 66.9208638420005,-51.129163548 66.9227638420005,-51.0937455479999 66.9241458420004,-51.007090548 66.9492908420005,-50.977636547 66.9655458420004,-50.966109547 66.9733088420005,-50.9486095469998 66.9785908420004,-50.9166635469998 66.9858088420004,-50.5613905469999 67.0447088420004,-50.5391725469999 67.0477638420004,-50.394718547 67.0663728420005,-50.3591725469999 67.0702638420004,-50.3347275469999 67.0719268420006,-50.2906995469999 67.0673458420004,-50.4138905469997 67.0447088420004,-50.4869455469997 67.0410908420005,-50.5102815469999 67.0413638420006,-50.5472275469999 67.0394268420005,-50.5711095469998 67.0349908420005,-50.6111185469999 67.0236088420004,-50.621663547 67.0202638420005,-50.629863547 67.0140178420005,-50.4972185469998 66.9958178420004,-50.4833275469999 66.9944268420005,-50.4730545469999 66.9944268420005,-50.424999547 67.0002728420004,-50.4019365469997 67.0038728420004,-50.3922275469998 67.0066548420004,-50.3552815469998 67.0099908420004,-50.3299995469998 67.0108178420004,-50.3169455469998 67.0102728420004,-50.278609547 67.0049908420004,-50.236663547 66.9910908420005,-50.2113905469998 66.9863728420004,-50.186390547 66.9858088420004,-50.1605545469999 66.9869268420006,-50.0956905469998 66.9926178420005,-50.0802815469999 66.9944268420005,-50.0011095469997 66.9764368420005,-50.025836547 66.9683178420004,-50.081390547 66.9688728420005,-50.1649995469999 66.9699818420004,-50.2413905469999 66.9766548420005,-50.3763905469998 66.9952548420004,-50.4416365469999 66.9830818420004,-50.4927815469999 66.9850728420004,-50.5286455469999 66.9903908420005,-50.589090547 66.9996908420004,-50.6790275469999 67.0051268420004,-50.692218547 67.0030548420004,-50.956390547 66.9347088420005,-50.966109547 66.9305458420005,-51.0018095469999 66.9106728420005,-51.0074995479999 66.9022178420005,-50.8374995469998 66.8541548420005,-50.771109547 66.8449818420006,-50.7538905469999 66.8444368420004,-50.7330545469999 66.8508178420004,-50.7008365469999 66.8634458420004,-50.6724995469997 66.8671998420005,-50.6622185469999 66.8674818420006,-50.4156905469999 66.8569268420005,-50.4041635469999 66.8555458420004,-50.347499547 66.8424818420004,-50.3313905469997 66.8331178420005,-50.354445547 66.8274818420005,-50.4141635469999 66.8274818420005,-50.5288815469999 66.8274818420005,-50.5416725469998 66.8280458420004,-50.5661095469998 66.8319368420005,-50.7449995469999 66.8341548420005,-50.8108275469999 66.8249998420005,-50.9261095469998 66.8341548420005,-50.9374995469998 66.8361088420004,-50.9838905469998 66.8452638420004,-51.0452815479999 66.8621998420005,-51.0555545479999 66.8660908420004,-51.0836095479999 66.8727548420004,-51.1127815479998 66.8788638420005,-51.1244455479999 66.8791548420004,-51.1355635479998 66.8769178420004,-51.2713815479999 66.8438728420005,-51.498054548 66.7510998420004,-51.5155545479998 66.7438638420005,-51.6094455479998 66.7005458420005,-51.8794365479998 66.6369368420004,-51.8911095479999 66.6338818420004,-51.9005545479998 66.6296998420004,-51.9180635479999 66.6197088420005,-51.9530545479998 66.5930458420004,-52.026945548 66.5285908420004,-52.0299995479999 66.5167998420005,-52.0211095479999 66.5080458420005,-52.0675095479998 66.4816548420005,-52.1730545489998 66.4583268420005,-52.291390549 66.4366458420004,-52.3144455489999 66.4338728420005,-52.3388905489998 66.4344178420005,-52.363890549 66.4341458420005,-52.373890549 66.4324818420005,-52.4047185489998 66.4219178420004,-52.602499549 66.3516548420005,-52.631945549 66.3391548420004,-52.7119455489998 66.2974818420005,-52.7248545489999 66.2744368420005,-52.7430545489999 66.2611088420005,-52.7583365489999 66.2519368420004,-52.7994455489999 66.2344178420004,-52.8444455489998 66.2183178420004,-52.9430545489998 66.1880368410004,-52.9930545489999 66.1738728410005,-53.0558275489997 66.1569368410004,-53.1211095489999 66.1427638410004,-53.1744455499999 66.1299728410005,-53.2055545499997 66.1219178410005,-53.3080545499998 66.0952638410005,-53.3283365499998 66.0894268410005,-53.3763905499998 66.0733178410005,-53.4183365499998 66.0574818410004,-53.4372185499999 66.0483268410005,-53.4613185499998 66.0287998410005,-53.4394365499999 66.0205368410005,-53.4155545499999 66.0188728410005,-53.3988905499999 66.0199908410004,-53.3458365499999 66.0313728410005,-53.3255635499999 66.0338728410005,-53.3111095499999 66.0333268410004,-53.2926365499998 66.0269268410004,-53.3080545499998 66.0083268410004,-53.17305455 66.0249908410004,-53.1391635489999 66.0249908410004,-53.1291455489999 66.0170638410004,-53.1455545489999 66.0111548410005,-53.1744455499999 66.0024908410004,-53.1980545499998 66.0002728410005,-53.3022275499999 65.9949818410005,-53.3155545499997 65.9947088410004,-53.3297275499999 65.9969368410004,-53.34028155 66.0019368410004,-53.3549995499999 66.0060998410004,-53.3824995499999 66.0044368410005,-53.4670095499999 65.9724088410004,-53.4608275499999 65.9572178410004,-53.4449995499999 65.9516638410005,-53.3852725499999 65.9333178410004,-53.3738905499998 65.9319268410004,-53.3538905499998 65.9299818410004,-53.2550095499999 65.9371908410004,-53.2288815499999 65.9402638410005,-53.18471855 65.9519368410005,-53.1192275489999 65.9735458410004,-53.1042185489997 65.9792088410005,-53.0912185489998 65.9833728410004,-53.0370635489998 65.9997088410004,-53.0253905489999 66.0028728410004,-52.9697185489999 66.0191458410005,-52.9363905489998 66.0246998410005,-52.9011095489999 66.0288728410005,-52.8905545489998 66.0283178410004,-52.8784635489999 66.0192908410004,-52.8886095489997 66.0116548410005,-52.9197275489999 66.0066548410005,-52.9866635489998 65.9935908410005,-53.0272185489999 65.9835998410005,-53.23332755 65.9230368410005,-53.2430545499999 65.9088728410004,-53.2269365499999 65.8673458410004,-53.21666355 65.8621998410005,-53.2052725499997 65.8608088410004,-53.1627725499998 65.8558178410005,-53.1516635499999 65.8558178410005,-53.1388905489999 65.8569368410004,-53.1197185489997 65.8605368410005,-52.9580545489999 65.8974908410004,-52.8541725489998 65.9219178410004,-52.724163549 65.9569368410005,-52.6180545489999 65.9799818410005,-52.5988905489999 65.9526178410005,-52.565554549 65.9244268410005,-52.5419455489998 65.9133178410004,-52.5252725489999 65.9060998410005,-52.5055635489999 65.9019268410005,-52.3175095489999 65.8991548410005,-52.3020815489999 65.9023458410005,-52.2897275489998 65.9097088410005,-52.275972549 65.9285908410005,-52.2697185489999 65.9366458410004,-52.2572275489999 65.9494178410005,-52.2349995489998 65.9669368410005,-52.2094455489999 65.9852638410006,-52.1941635489998 65.9927548410004,-52.1795815489997 65.9974818410005,-52.0711095479999 66.0088818410005,-51.9219455479999 66.0349908410004,-51.831945548 66.0558178410004,-51.8155545479999 65.9880368410005,-51.8138905479997 65.9647088410005,-51.8783365479999 65.9908178410005,-51.8886095479999 65.9947088410004,-51.9130545479999 66.0022088410005,-51.9280545479998 66.0052638410005,-51.9413815479999 66.0066548410005,-51.9747185479999 66.0044368410005,-52.0352815479998 65.9913638410004,-52.1655545489999 65.9574908410005,-52.1958275489999 65.9485908410004,-52.2119455489999 65.9419268410004,-52.2302815489999 65.9335908410005,-52.2569545489997 65.9185908410005,-52.2687455489997 65.9078998410005,-52.2691635489999 65.8955368410004,-52.3199995489998 65.8688638410005,-52.440281549 65.8766458410004,-52.4802815489999 65.8805368410005,-52.5086095489999 65.8847178410004,-52.5649995489999 65.8952638410004,-52.5924995489998 65.9016548410004,-52.6381905489999 65.9220638410004,-52.6494455489998 65.9283178410004,-52.6623095489998 65.9331088410004,-52.673890549 65.9355268410004,-52.687218549 65.9369178410005,-52.6986095489999 65.9355268410004,-52.7324995489998 65.9280368410004,-53.0091725489999 65.8638728410005,-53.0299995489999 65.8574818410005,-53.0577725489998 65.8455458410004,-53.085763549 65.8140818410005,-53.0694545489999 65.8058178410004,-53.0819455489999 65.7924818410005,-53.1880455499998 65.7624998410005,-53.23778155 65.7505458410005,-53.2649995499997 65.7428268410006,-53.2213815499997 65.7284548410005,-53.1158365489997 65.7421998410006,-53.0997275489997 65.7463728410005,-52.9969455489999 65.7755458410004,-52.9766635489999 65.7813728410004,-52.9580545489999 65.7874908410005,-52.9377725489999 65.7947088410004,-52.9202815489998 65.8024728410005,-52.9058275489998 65.8059548410004,-52.8749995489999 65.8030368410004,-52.8592365489998 65.7969998410004,-53.0056995489999 65.7433178410005,-53.0433365489999 65.7377638410005,-53.0758365489998 65.7355368410005,-53.1094455489999 65.7308178410004,-53.1608275499999 65.7208268410005,-53.1802815499997 65.7127728410004,-53.23332755 65.6828268410005,-53.2224995499998 65.6780368410005,-53.16194555 65.6683178410005,-53.1505545499999 65.6669268410005,-53.0744455489997 65.6641548410005,-52.9988905489997 65.6666548410006,-52.9016635489998 65.6838728410004,-52.8791635489998 65.6866458410005,-52.868890549 65.6860998410004,-52.8577815489999 65.6830458410005,-52.8397185489999 65.6738728410004,-52.827499549 65.6713728410005,-52.8105545489998 65.6716458410005,-52.7866725489999 65.6803998410005,-52.7541725489999 65.7117998410006,-52.7430545489999 65.7246998410005,-52.726663549 65.7497088410005,-52.7227725489999 65.7605458410004,-52.7174275489999 65.7820638410006,-52.7072185489998 65.8027548410005,-52.6881185489999 65.8045638410004,-52.6765275489998 65.7913728410004,-52.6863905489998 65.7191458410005,-52.7187455489999 65.6909458410005,-52.7447185489999 65.6708178410004,-52.763063549 65.6547088410005,-52.7688185489998 65.6356178410005,-52.7594455489999 65.6333268410004,-52.6849995489999 65.6497178410004,-52.6072275489997 65.6585998410004,-52.637781549 65.6505458410005,-52.678054549 65.6391638410004,-52.783890549 65.6030458410006,-52.801663549 65.5947088410005,-52.8049995489999 65.5485998410005,-52.799163549 65.5366548410005,-52.7201365489997 65.4987368410004,-52.6862455489999 65.5016548410004,-52.6761095489999 65.5074908410005,-52.6188905489999 65.5442178410005,-52.6127815489999 65.5585908410004,-52.6052815489999 65.5691548410005,-52.498254549 65.6416088410004,-52.4691635489997 65.6408268410005,-52.4999995489999 65.6044268410004,-52.5138905489999 65.5888818410004,-52.5280545489999 65.5772088410004,-52.5480545489999 65.5659548410005,-52.5624995489999 65.5616458410004,-52.5816635489999 65.5515178410005,-52.5944455489999 65.5410998410004,-52.6041725489998 65.5266548410004,-52.612081549 65.4806728410004,-52.4958995489999 65.3879728410005,-52.4755545489998 65.3916638410005,-52.458609549 65.3994268410005,-52.3266635489998 65.4371908410005,-52.2227725489999 65.4641548410004,-52.0991635489999 65.4958178410005,-52.0761095479999 65.4991458410005,-52.0555545479999 65.5038728410004,-51.9866635479999 65.5244268410004,-51.9344365479998 65.5463728410004,-51.917290548 65.5622638410004,-51.9349995479998 65.5958268410004,-51.9549995479999 65.6372088410005,-51.9480545479999 65.6588728410005,-51.705836548 65.7102638410005,-51.484727548 65.7630458410005,-51.3124995479999 65.7880368410004,-51.255281548 65.7955368410005,-51.2322185479999 65.7972088410004,-51.2091635479999 65.7960998410005,-50.9819455469997 65.7805458410004,-50.722499547 65.7547178410005,-50.6944455469999 65.7188728410005,-50.546945547 65.7076908410004,-50.5451455469998 65.6917818410005,-50.5602815469998 65.6846998410004,-50.6913815469999 65.6760908410004,-50.7166635469999 65.6769268410005,-50.7297185469997 65.6783178410005,-50.743618547 65.6808178410005,-50.763890547 65.6855268410005,-50.7977815469999 65.6955268410004,-50.8166725469998 65.7040178410005,-50.8247185469999 65.7108178410005,-50.8430545469999 65.7204088410004,-50.9097185469998 65.7463728410005,-50.9222275469998 65.7499998410004,-50.946945547 65.7555548410004,-50.9822185469999 65.7602728410004,-50.9969455469999 65.7605458410004,-51.2438905479999 65.7597178410005,-51.267772548 65.7586088410004,-51.3577815479998 65.7522088410005,-51.3922275479998 65.7488728410004,-51.4894365479998 65.7347088410005,-51.5333365479999 65.7274818410004,-51.6944455479997 65.6985908410005,-51.713336548 65.6927458410004,-51.8786095479999 65.6399818410004,-51.8883365479999 65.6366548410005,-51.8992365479999 65.6217088410005,-51.8790275479997 65.6009638410004,-51.8533365479999 65.6027638410005,-51.8427725479998 65.6049818410005,-51.8086095479998 65.6083178410005,-51.786390548 65.6097088410004,-51.7716635479999 65.6080368410005,-51.7192995479999 65.5834638410005,-51.7311095479999 65.5799908410004,-51.7638905479999 65.5760998410005,-51.8477815479998 65.5644178410005,-51.9241725479997 65.5208268410004,-52.063890548 65.4797088410004,-52.153609549 65.4644268410004,-52.3888905489998 65.3960998410004,-52.407499549 65.3899818410005,-52.5352815489998 65.3408178410004,-52.5621545489998 65.3200548410005,-52.5309725489999 65.1910908410005,-52.519163549 65.1852548410004,-52.5097275489999 65.1869178410005,-52.4575095489999 65.1994178410004,-52.4422185489999 65.2091548410005,-52.3863905489998 65.2555548410004,-52.331945549 65.2922088410004,-52.2227725489999 65.3277728410004,-52.2038905489998 65.3298458410005,-52.1944455489997 65.3255458410005,-52.1870815489999 65.3138728410003,-52.1886095489999 65.2779088410004,-52.222499549 65.2513908410004,-52.2388905489999 65.2410908410005,-52.2655545489999 65.2285908410005,-52.2849995489999 65.2202638410005,-52.3001365489998 65.2149998410004,-52.310209549 65.2018548410005,-52.2958365489999 65.1983178410005,-52.2550095489999 65.1985908410004,-52.230827549 65.2016638410004,-52.1963905489998 65.2102638410004,-52.1740275489998 65.2216548410004,-52.1305545489997 65.2483178410004,-52.0997275489999 65.2391548410004,-52.2729185489999 65.0954088400005,-52.2836095489998 65.0869268400005,-52.2802815489999 65.0760998400005,-52.1605545489999 64.9992818400004,-52.1483365489999 65.0024908400005,-52.1222185489999 65.0163818400005,-52.0986095489999 65.0191458400004,-52.0855545489999 65.0177638400005,-52.0755635479997 65.0141638400005,-52.0113905479999 64.9791548400004,-52.015836548 64.9621998400005,-52.0752815479997 64.9452548400005,-52.1480545489999 64.9277638400005,-52.2158275489999 64.9109548400004,-52.2251365489998 64.9012368400005,-52.2247185489999 64.8297088400004,-52.2206905489998 64.8130368400005,-52.2113905489999 64.8066368400005,-52.185554549 64.8041548400004,-52.1755635489998 64.8033178400005,-52.1261095489999 64.8185998400005,-52.1124995489999 64.8237368400004,-52.0534725479999 64.8545728400005,-52.0436095479999 64.8649728400005,-52.0436095479999 64.8796998400004,-52.028609548 64.9049818400004,-51.9454185479997 64.8774818400004,-51.9566725479999 64.8587368400005,-51.9872185479998 64.8369268400004,-51.9969455479998 64.8338818400005,-52.0177725479999 64.8299908400004,-52.0372275479999 64.8288728400005,-52.0691725479999 64.8222178400005,-52.0858275489999 64.8144178400005,-52.1027095489999 64.7977638400005,-52.0908365489998 64.7899818400005,-52.0777815489998 64.7885908400003,-52.0561095479998 64.7899818400005,-51.9788815479999 64.7997088400004,-51.9419365479999 64.8105268400004,-51.8733275479999 64.8373458400004,-51.8658365479999 64.8484548400005,-51.8734725479998 64.8613728400005,-51.8702095479998 64.8757368400005,-51.823618548 64.9277638400005,-51.7144455479999 65.0127728400005,-51.7027815479999 65.0183268400003,-51.6786095479997 65.0213818400005,-51.6541635479999 65.0191458400004,-51.636118548 65.0158268400004,-51.5629185479997 64.9902638400005,-51.5720905479998 64.9753998400005,-51.589718548 64.9685998400005,-51.618327548 64.9660908400004,-51.6283365479998 64.9683178400005,-51.6413905479999 64.9697088400004,-51.6502725479998 64.9641548400004,-51.7038905479998 64.8863818400005,-51.6808275479999 64.8858178400005,-51.6488905479999 64.8908268400004,-51.6386095479998 64.8933268400004,-51.5836095479999 64.9094268400005,-51.5652815479999 64.9152638400005,-51.4477725479999 64.9694368400005,-51.4244455479999 64.9905368400005,-51.2747185479998 65.0333268400005,-51.259036548 65.0287368400005,-51.249863548 65.0154728400005,-51.258609548 65.0038728400004,-51.304718548 64.9863728400004,-51.3197275479999 64.9813728400004,-51.3558365479997 64.9724908400004,-51.394718548 64.9605368400004,-51.4136095479999 64.9513818400005,-51.4874995479999 64.8999908400004,-51.5150095479999 64.8783088400004,-51.535827548 64.8576178400005,-51.5488905479999 64.8558178400004,-51.6455545479999 64.8630368400005,-51.8286095479999 64.8316638400005,-51.8599995479999 64.8255458400005,-51.8869455479997 64.8138728400003,-51.9374995479998 64.7819368400005,-52.0538905479998 64.7430458400005,-52.1162455489999 64.7227638400005,-52.1372185489997 64.6930368400004,-52.1216635489999 64.6424908400004,-52.0574995479999 64.5990818400004,-52.1024995489998 64.5519268400005,-52.116663549 64.4530458400005,-52.1006275489998 64.3825458400004,-52.0852725489999 64.3802638400005,-52.0654185479999 64.3935998400004,-52.0449995479999 64.4020728400005,-52.0252725479999 64.3621998400005,-52.0050095479999 64.2669368400004,-52.0061095479999 64.2558268400005,-52.0266635479998 64.2460908400005,-52.0333365479999 64.2349818400004,-52.0047275479999 64.2017998400004,-51.9849995479998 64.1999998400004,-51.846109548 64.2160908400005,-51.8355545479999 64.2174818400005,-51.8238905479999 64.2210998400005,-51.7930635479999 64.2363728400003,-51.6649995479997 64.3060908400005,-51.6761095479998 64.3480368400005,-51.6663905479998 64.3705268400004,-51.6305545479997 64.3847178400004,-51.619163548 64.3883178400005,-51.603336548 64.3955368400004,-51.4931905479999 64.4756818400004,-51.4427725479999 64.5174908400004,-51.4349995479998 64.5405458400005,-51.4295815479998 64.5672088400004,-51.4316725479997 64.5885908400005,-51.4261095479998 64.5991548400004,-51.4159725479998 64.6134548400003,-51.2952815479999 64.7305458400004,-51.286390548 64.7360998400004,-51.277218548 64.7402638400005,-51.2241635479998 64.7622088400005,-51.1961095479999 64.7727638400003,-51.1666635479999 64.7799818400005,-51.1463905479999 64.7830548400004,-51.1238905479998 64.7849908400004,-51.064445548 64.7858088400004,-51.0375095479997 64.7797088400005,-51.0238905479997 64.7547178400004,-51.0372275479997 64.7499998400005,-51.0574995479998 64.7469368400004,-51.073890548 64.7519368400004,-51.0930545479999 64.7556818400004,-51.1552725479998 64.7158178400004,-51.1733365479999 64.6944268400005,-51.2186095479999 64.6256728400005,-51.2105545479998 64.6191368400005,-51.1602815479998 64.6144268400005,-51.1433365479999 64.6135998400005,-51.033336548 64.6216458400004,-51.0115275479999 64.6327548400005,-51.0068995479999 64.6434638400005,-50.9533275469998 64.6727638400004,-50.823618547 64.7158178400004,-50.7015275469999 64.7424818400004,-50.6880455469999 64.7416548400005,-50.6340995469999 64.7583268400005,-50.6450095469997 64.8313728400004,-50.6887095469999 64.8534178400005,-50.7094275469998 64.9109728400005,-50.7290995469997 64.9962908400003,-50.7430545469998 65.0027728400004,-50.7558365469999 65.0041638400004,-50.7783365469999 65.0022088400004,-50.7969545469999 64.9980268400004,-50.8066635469998 64.9933178400004,-50.8219455469999 64.9844178400004,-50.851945547 64.9694368400005,-50.8668095469999 64.9681818400004,-50.8806905469999 64.9745728400005,-50.886390547 64.9830458400004,-50.9338815469999 65.0888818400005,-50.9605545469998 65.1494268410004,-50.9819455469997 65.2167998410005,-50.9669455469999 65.2172088410004,-50.846945547 65.1583268410005,-50.8197275469999 65.1108088400005,-50.7863905469998 65.0399818400005,-50.693054547 64.9941368400005,-50.6916635469999 64.9555548400004,-50.6869455469999 64.9052548400005,-50.564027547 64.7704088400005,-50.5433365469999 64.7630458400004,-50.3166635469998 64.7413638400004,-50.301672547 64.7427638400004,-50.2813905469999 64.7502728400003,-50.2590365469998 64.7629088400005,-50.2416725469998 64.7774818400005,-50.2252725469997 64.7941458400005,-50.208054547 64.8085908400005,-50.1924995469999 64.8205458400004,-50.175563547 64.8291638400004,-50.1486095469999 64.8369268400004,-50.019718547 64.8685908400005,-50.0091725469999 64.8708178400004,-49.9988185469999 64.8646998400005,-50.0113905469998 64.8541548400005,-50.0219455469999 64.8488728400005,-50.0488905469999 64.8355368400005,-50.0594365469999 64.8319368400005,-50.0874995469999 64.8247088400004,-50.116390547 64.8166638400003,-50.1261095469999 64.8133088400004,-50.1355635469999 64.8077548400004,-50.2097275469998 64.7416548400005,-50.2111095469999 64.7223458400005,-50.2019455469999 64.7138818400005,-50.1692995469998 64.6963638400005,-50.1534725469998 64.6937268400005,-50.129163547 64.6980268400004,-50.1119455469999 64.7055548400005,-50.092772547 64.7105368400004,-50.0705545469999 64.7105368400004,-50.0452815469999 64.7077638400005,-49.9915275469999 64.6994368400004,-49.9888905469998 64.6896998400005,-49.9977815469999 64.6835908400004,-50.039999547 64.6710998400004,-50.0841635469999 64.6652638400005,-50.094718547 64.6630368400005,-50.1038905469998 64.6588728400005,-50.1222185469998 64.6352728400004,-50.120554547 64.6190088400005,-50.0636815469999 64.5278268400004,-50.0308275469999 64.5124998400004,-49.9499995469998 64.4905368400004,-49.827499546 64.4505458400005,-49.7641635459999 64.4255368400004,-49.7474995459999 64.4269268400005,-49.6916635459999 64.4285908400005,-49.6783365459999 64.4255368400004,-49.5877725459998 64.3535908400005,-49.584018546 64.3397818400005,-49.613336546 64.3299908400004,-49.6424995459998 64.3285998400004,-49.666109546 64.3327638400005,-49.698336546 64.3399818400005,-49.7188905459998 64.3466458400005,-49.7586095459999 64.3619268400004,-49.8538905459998 64.3972178400005,-50.0497275469999 64.4574908400005,-50.0774995469999 64.4644268400004,-50.1342995469998 64.4765178400004,-50.1643095469998 64.4948458400004,-50.172772547 64.5016638400004,-50.1966635469999 64.5238818400005,-50.2169455469999 64.5438728400005,-50.2508365469998 64.6010998400005,-50.2486095469999 64.6110998400005,-50.2488905469999 64.6263728400005,-50.2550095469999 64.6358178400004,-50.2808365469999 64.6599818400005,-50.2911185469999 64.6655458400004,-50.3008365469998 64.6694368400005,-50.3227725469999 64.6763728400004,-50.4547185469999 64.7030458400004,-50.5252725469998 64.7049908400004,-50.6519365469999 64.6919268400004,-50.6620095469999 64.6853908400005,-50.6019455469999 64.6583268400005,-50.590554547 64.6585998400005,-50.5702815469999 64.6630368400005,-50.553609547 64.6702548400004,-50.5344455469998 64.6766548400005,-50.5188905469998 64.6774728400005,-50.5044455469999 64.6771998400005,-50.4924995469999 64.6766548400005,-50.4805545469999 64.6746998400005,-50.4666635469999 64.6713728400004,-50.4541635469998 64.6652638400005,-50.4605545469999 64.6555368400005,-50.5658365469999 64.6338818400005,-50.5847275469998 64.6305368400004,-50.619163547 64.6294268400005,-50.6299995469998 64.6296998400005,-50.6808275469999 64.6355458400005,-50.7355545469999 64.6452638400004,-50.7483365469997 64.6483268400005,-50.773609547 64.6510908400004,-50.7955545469998 64.6522088400005,-50.8566635469999 64.6330458400005,-50.880136547 64.6234548400005,-50.9081905469999 64.5949818400005,-50.8922275469998 64.5852638400005,-50.8788815469999 64.5830548400003,-50.8438905469998 64.5819368400004,-50.7422275469999 64.5805548400004,-50.6874995469999 64.5402638400004,-50.6758365469999 64.5288728400005,-50.6622185469999 64.5208268400004,-50.6505545469999 64.5174908400004,-50.6380545469997 64.5160998400004,-50.625827547 64.5169368400004,-50.587772547 64.5283178400004,-50.4533275469998 64.5477638400005,-50.4419365469999 64.5466548400004,-50.461109547 64.5333268400004,-50.4802815469997 64.5269268400004,-50.5205545469998 64.5169368400004,-50.551109547 64.5099908400005,-50.5830635469998 64.5035998400005,-50.6122185469998 64.4949818400005,-50.6341725469997 64.4877638400005,-50.6489545469998 64.4791458400005,-50.6408365469997 64.4697088400005,-50.573890547 64.4483178400004,-50.525836547 64.4391458400004,-50.4017995469999 64.4195728400004,-50.3708365469999 64.4266458400005,-50.3438905469999 64.4385818400004,-50.2641635469998 64.4663818400004,-50.243327547 64.4724908400005,-50.2247185469998 64.4771998400005,-50.2108365469999 64.4794268400004,-50.1936095469997 64.4744268400004,-50.1761815469999 64.4467908400005,-50.2491725469997 64.4090088400005,-50.282772547 64.3988818400005,-50.3416635469998 64.3838818400005,-50.3522275469999 64.3827548400005,-50.363063547 64.3830458400004,-50.4561095469998 64.3935998400004,-50.584936547 64.3772638400004,-50.599727547 64.3733088400004,-50.6222185469997 64.3738728400005,-50.6619455469998 64.3810908400005,-50.736663547 64.4012368400005,-50.750281547 64.4152638400005,-50.7611185469999 64.4210998400005,-50.7727725469998 64.4246998400004,-50.7947275469999 64.4258088400005,-50.8413815469999 64.4188728400004,-50.8563905469999 64.4155458400004,-50.8824995469999 64.4077638400005,-50.9056905469999 64.3987458400004,-50.9647185469998 64.3569368400004,-51.0372275479997 64.2710998400004,-51.0238905479997 64.2641638400005,-51.0099995479999 64.2608178400004,-50.9844455469999 64.2572178400004,-50.9619455469999 64.2549908400003,-50.9499995469997 64.2544368400004,-50.9386095469999 64.2549908400003,-50.9161095469999 64.2572178400004,-50.886390547 64.2652728400004,-50.8730545469998 64.2658268400004,-50.8613905469999 64.2622088400004,-50.8463905469998 64.2520818400005,-50.9372185469999 64.2219268400004,-50.9508365469999 64.2180458400005,-51.2311095479998 64.1769268400005,-51.2611185479998 64.1730368400005,-51.2722275479998 64.1724818400004,-51.3036095479999 64.1744268400004,-51.3498275479998 64.1868728400005,-51.3614995479999 64.1905368400004,-51.3728275479999 64.1960368400004,-51.3909995479999 64.2072088400005,-51.4238905479999 64.2174818400005,-51.4436095479999 64.2188728400005,-51.4683275479999 64.2191458400005,-51.6061095479999 64.2172088400005,-51.617499548 64.2166638400005,-51.7484725479999 64.2020728400005,-51.761809548 64.1885178400005,-51.694718548 64.1447178400004,-51.6849995479998 64.1408268400003,-51.659436548 64.1488818400005,-51.6305545479997 64.1594268400005,-51.5977815479999 64.1733088400005,-51.582509548 64.1799818400005,-51.5463905479999 64.1933178400005,-51.5184725479999 64.1956728400004,-51.4202365479999 64.1692998400004,-51.3956905479997 64.1516818400004,-51.3827815479999 64.1395818400003,-51.3972275479997 64.1452638400005,-51.4101365479999 64.1540178400004,-51.424999548 64.1572088400005,-51.4758275479999 64.1652638400004,-51.5185095479998 64.1673728400005,-51.534663548 64.1676268400005,-51.5716725479999 64.1624908400005,-51.5923545479998 64.1542908400004,-51.6459725479999 64.1186638400005,-51.630827548 64.1110998400005,-51.5612455479999 64.0912368400005,-51.4458275479998 64.0780458400004,-51.3458365479999 64.0927548400005,-51.2688905479999 64.1033178400005,-51.2369455479999 64.1074818400004,-51.2149995479998 64.1094178400004,-51.129163548 64.1155368400004,-51.105836548 64.1169268400005,-51.060281548 64.1177548400004,-50.9602815469999 64.1391638400004,-50.8286095469999 64.1685908400004,-50.6008365469998 64.2297088400003,-50.5858275469999 64.2369268400005,-50.4755545469999 64.2910908400004,-50.4824995469999 64.2574908400005,-50.5436185469998 64.2080368400004,-50.5520815469998 64.1795638400004,-50.540281547 64.1783178400005,-50.3916725469999 64.1946998400004,-50.3749995469999 64.1977548400004,-50.351945547 64.2033268400005,-50.2508365469998 64.2233088400005,-50.2277725469997 64.2269268400004,-50.1588905469998 64.2369268400005,-50.1430545469997 64.2374818400004,-50.120554547 64.2330458400004,-50.0574995469999 64.2066458400005,-50.0480635469999 64.1956728400004,-50.0797275469999 64.1641548400005,-50.1019455469997 64.1847088400005,-50.111672547 64.1885818400005,-50.1397275469999 64.1946998400004,-50.1736185469997 64.1991458400004,-50.2049995469999 64.2010998400004,-50.2508365469998 64.1949728400004,-50.381945547 64.1627638400005,-50.3966635469999 64.1577728400004,-50.4719365469998 64.1374998400004,-50.625827547 64.1660908400005,-50.7191635469999 64.1502728400005,-50.7427725469998 64.1388818400005,-50.766945547 64.1280368400004,-50.7833365469999 64.1219178400004,-50.8608365469999 64.0960998400005,-50.8730545469998 64.0935998400004,-50.8933365469999 64.0913728400005,-50.9288905469998 64.0927548400005,-50.9836095469998 64.0933178400005,-51.2647275479999 64.0736088400005,-51.2766635479999 64.0724908400005,-51.5613905479998 64.0430458390004,-51.5833275479999 64.0396998390005,-51.6019455479999 64.0347178390004,-51.6380545479999 64.0222178390005,-51.657772548 64.0105458390004,-51.623327548 63.9994368390005,-51.5924995479999 63.9899908390004,-51.5799995479998 63.9869368390005,-51.5099995479999 63.9705458390005,-51.4994455479999 63.9688818390005,-51.483890548 63.9702728390005,-51.4708365479999 63.9738728390004,-51.4563905479999 63.9810998390005,-51.4455455479999 63.9841638390005,-51.4230545479999 63.9849908390004,-51.3861185479999 63.9780458390004,-51.3741725479999 63.9744368390004,-51.3622185479999 63.9669368390005,-51.3766635479999 63.8872178390005,-51.3982275479999 63.8441818390004,-51.4287455479998 63.8473548390004,-51.4380455479997 63.8527728390005,-51.453190548 63.8547178390005,-51.4638905479999 63.8519368390004,-51.4752095479999 63.8406908390004,-51.4559725479999 63.8099908390004,-51.4433275479998 63.8049908390004,-51.430827548 63.8035998390005,-51.3294455479999 63.8174998390003,-51.3180635479999 63.8197178390005,-51.2991725479999 63.8252728390004,-51.2816725479999 63.8335998390004,-51.2591725479999 63.8474908390004,-51.2411095479999 63.8563818390005,-51.181390548 63.8836088390005,-51.154163548 63.8927728390004,-50.9963905469999 63.9288818390004,-50.9820815469999 63.9316638390004,-50.9243095469999 63.9309638390005,-50.9352725469998 63.9223548390004,-50.956390547 63.9152638390004,-51.0286095479999 63.8983268390004,-51.1091725479999 63.8763818390004,-51.1533275479998 63.8605458390004,-51.2211095479999 63.8355458390005,-51.5030635479999 63.7702728390004,-51.5272185479997 63.7619368390004,-51.5402815479998 63.7519458390005,-51.5477815479998 63.7405458390005,-51.558190548 63.7072178390004,-51.5341725479998 63.6805458390004,-51.5033365479999 63.6655458390005,-51.4802815479999 63.6599908390004,-51.4634725479999 63.6587368390004,-51.4494365479999 63.6580458390004,-51.4288905479997 63.6516548390005,-51.3538905479999 63.6166638390004,-51.2091635479999 63.5244368390004,-51.1686095479998 63.5027728390004,-51.1406905479998 63.5047178390004,-51.1211095479999 63.5163088390004,-51.1263905479998 63.5277728390005,-51.1433365479999 63.5397178390005,-51.1641635479999 63.5672178390005,-51.1816725479999 63.5916638390004,-51.1858275479997 63.6011088390005,-51.1843725479999 63.6224178390004,-51.0819455479999 63.6654088390005,-51.0547185479999 63.6638818390005,-50.997499547 63.6460998390004,-50.9716635469999 63.6399908390005,-50.9575095469999 63.6372178390005,-50.9202815469999 63.6305458390004,-50.886390547 63.6277728390005,-50.8641635469999 63.6285998390005,-50.7616725469998 63.6436088390005,-50.7419455469999 63.6480458390005,-50.6594365469999 63.6591548390005,-50.5527815469998 63.6697178390004,-50.533336547 63.6713818390004,-50.5076365469998 63.6691548390005,-50.5083365469999 63.6572088390005,-50.532499547 63.6224908390004,-50.5490275469998 63.6098548390005,-50.5689545469999 63.6130458390003,-50.5974995469999 63.6424908390004,-50.7138905469997 63.6310998390004,-50.9134725469999 63.6152728390004,-50.9263905469999 63.6197088390005,-50.9372185469999 63.6222178390004,-51.0347275479998 63.6388818390005,-51.1318095479999 63.6202728390004,-51.147781548 63.5979088390004,-51.146945548 63.5841638390004,-51.1416725479999 63.5741638390004,-51.1116635479999 63.5327728390005,-51.0994455479999 63.5262458390005,-51.0535905479999 63.5174368390005,-51.0158365479998 63.5283268390004,-50.9324995469999 63.5405548390005,-50.8066635469998 63.5544368390005,-50.7844455469998 63.5552638390005,-50.746736547 63.5504088390005,-50.7484725469999 63.5383268390005,-50.773054547 63.5274908390005,-50.8233365469998 63.5210998390005,-50.977218547 63.5024908390005,-51.1202815479999 63.4880458390004,-51.1405545479999 63.4861088390005,-51.161809548 63.4787368390005,-51.2199905479999 63.4413728390005,-51.1699995479997 63.3841548390005,-51.1583365479999 63.3780458390004,-51.1461095479998 63.3752638390004,-51.1269455479999 63.3735998390004,-51.0541725479999 63.3691548390005,-50.7761095469999 63.3758268390005,-50.578609547 63.3874998390005,-50.5566635469999 63.3897178390005,-50.5277815469998 63.3958268390004,-50.4908365469998 63.4063818390005,-50.4313905469999 63.4172178390005,-50.4124995469999 63.4197178390004,-50.3799995469999 63.4219368390005,-50.3602815469998 63.4208268390004,-50.2796545469998 63.4006178390005,-50.5216635469999 63.3669368390005,-50.5825095469998 63.3616638390005,-50.8355545469999 63.3513908390004,-50.855563547 63.3508268390005,-50.9666635469999 63.3524908390005,-50.9897275469999 63.3533268390004,-51.0111185479999 63.3547178390004,-51.042499548 63.3530548390005,-51.1073635479999 63.3404088390004,-51.1027815479999 63.3047088390005,-51.059436548 63.1841548390004,-51.0449995479999 63.1740178390004,-51.0322185479998 63.1680548390004,-51.0083365479999 63.1605458390005,-50.995554547 63.1583268390005,-50.984172547 63.1577728390005,-50.9672185469998 63.1644368390005,-50.9486095469998 63.1785998390005,-50.9374995469998 63.1884638390004,-50.9130545469997 63.2036088390005,-50.8622185469999 63.2283268390004,-50.8358275469998 63.2399908390003,-50.8031995469999 63.2497178390005,-50.7799995469998 63.2502728390004,-50.8097725469997 63.2305368390004,-50.8336095469999 63.2180368390004,-50.848899547 63.2167818390004,-50.9122185469998 63.1830548390005,-50.928609547 63.1687458390005,-50.9319455469999 63.1581818390004,-50.9204905469999 63.1417998390005,-50.902581547 63.1386458390005,-50.8417275469998 63.1701458390004,-50.7942815469999 63.1968998390005,-50.7375635469999 63.1990368390004,-50.5702815469999 63.2272088390004,-50.554863547 63.2249908390004,-50.5176365469998 63.1916548390005,-50.5016725469999 63.1841548390004,-50.4624995469999 63.1815178390003,-50.4424995469998 63.1858178390005,-50.400554547 63.2010998390005,-50.3713905469999 63.2165178390005,-50.3622185469999 63.2252638390004,-50.1841635469997 63.2299908390004,-50.094718547 63.2316548390004,-50.0598455469999 63.2287548390004,-50.0791725469998 63.2174908390005,-50.0924995469998 63.2152728390005,-50.1150095469998 63.2155458390005,-50.136663547 63.2147178390003,-50.2205545469998 63.2091638390004,-50.3458365469999 63.1977728390004,-50.3674995469999 63.1944368390004,-50.3861185469997 63.1905458390004,-50.4144455469999 63.1819368390004,-50.4405545469999 63.1705458390004,-50.4513905469999 63.1602638390004,-50.4273635469999 63.1577728390005,-50.4217365469999 63.1465178390004,-50.4355545469999 63.1363818390004,-50.4658365469999 63.1258268390005,-50.5313905469999 63.1133268390004,-50.6063905469997 63.0944368390005,-50.6127815469998 63.0397178390004,-50.5938905469998 62.9699818380005,-50.4080545469998 62.9404088380003,-50.3019365469999 62.9677638380005,-50.2840275469998 62.9733268380005,-50.2590365469998 63.0187458390005,-50.2288815469998 63.0386088390005,-50.1622185469999 63.0191548390004,-50.149990547 63.0152728390004,-50.170481547 63.0014998390005,-50.2405545469999 62.9755458380004,-50.3193095469999 62.9347088380005,-50.3891635469999 62.8641548380005,-50.3999905469999 62.8513908380004,-50.3833275469997 62.7877728380004,-50.3697185469999 62.7816638380005,-50.3547275469999 62.7834638380004,-50.3433275469998 62.7905548380003,-50.3333365469998 62.8030458380004,-50.3288905469997 62.8152728380004,-50.3227815469999 62.8286088380004,-50.1935815469999 62.9327458380005,-50.1774635469999 62.9353268380005,-50.1130635469999 62.9627728380005,-50.0602815469998 62.9688818380004,-50.0308275469999 62.9747088380004,-49.973609547 62.9899908390004,-49.9377725469999 63.0019368390005,-49.9116635459999 63.0133268390005,-49.814999546 63.0530458390004,-49.7920905459999 63.0602728390004,-49.7691635459997 63.0616638390005,-49.7138905459998 63.0599908390004,-49.699718546 63.0552638390004,-49.7136185459999 63.0449998390005,-49.8069455459999 63.0052728390004,-49.8336095459999 62.9963818390004,-49.8557365459998 62.9922728390004,-49.8758275459999 62.9891548390005,-49.9236185459999 62.9841638390005,-49.9647185469999 62.9774818380004,-50.065281547 62.9552728380004,-50.1423635469999 62.9367998380005,-50.1508365469999 62.9308268380005,-50.243327547 62.8302728380004,-50.3163905469999 62.7409638380004,-50.2777815469998 62.7033268380004,-50.2559815469999 62.7038818380005,-50.0833275469997 62.7955458380005,-49.9461095469999 62.8702728380005,-49.9474905469998 62.8272178380005,-50.0655545469999 62.7736088380005,-50.2127725469999 62.6772178380004,-50.2236095469999 62.6697178380005,-50.315627547 62.4942998380004,-50.211672547 62.4213818380003,-50.025836547 62.3330548380005,-49.9322185469998 62.3319368380005,-49.9083365459998 62.3194458380005,-49.8705545459999 62.2849998380004,-49.8486095459998 62.2641638380005,-49.8372185459999 62.2374998380004,-49.8077815459999 62.2502728380005,-49.712218546 62.2636088380004,-49.6905545459998 62.2616638380005,-49.517218546 62.2549998380005,-49.402218546 62.2558268380005,-49.3947725459998 62.2468908380004,-49.4391095459999 62.2348818380005,-49.556663546 62.2285998380005,-49.5712545459998 62.2263728380004,-49.600554546 62.2038818380004,-49.6383365459998 62.1508268380004,-49.4716635459997 62.1447178380005,-49.4563905459999 62.1481908380004,-49.4444455459999 62.1533178380004,-49.4377725459999 62.1641548380004,-49.3979995459998 62.1787728380003,-49.3866635459997 62.1887728380005,-49.3739095459997 62.1924368380004,-49.3582095459998 62.1911818380003,-49.2938905459999 62.1722178380005,-49.2965275459997 62.1340178380005,-49.3916725459999 62.0972178380005,-49.420836546 62.0899908380005,-49.4449995459998 62.0949908380005,-49.4969455459997 62.1049998380004,-49.5247185459999 62.1099908380004,-49.5624995459999 62.1163908380004,-49.5949995459998 62.1202728380005,-49.6058365459998 62.1208268380004,-49.6461095459999 62.1197088380005,-49.6886095459998 62.1169368380005,-49.6977725459998 62.1122088380004,-49.6950635459999 62.0092268380005,-49.6788905459999 61.9988818380004,-49.6694455459998 61.9955458380004,-49.6255545459999 61.9861088380005,-49.6022275459998 61.9830458380005,-49.404718546 61.9836088380004,-49.3849995459999 61.9847178380005,-49.364445546 61.9861088380005,-49.1722275459999 62.0161088380004,-49.1581905459998 62.0206908380005,-49.1470905459998 62.0336728380004,-49.1469455459999 62.0474908380004,-49.1509725459999 62.0599908380005,-49.1548635459999 62.0765178380004,-49.1547185459999 62.0916638380005,-49.1486095459999 62.1074998380005,-49.1011095459999 62.1694458380005,-49.0836095459998 62.1841548380005,-49.0322185459999 62.2130458380003,-49.0211095459999 62.2138818380004,-49.0079185459999 62.2059638380004,-49.0136185459999 62.1952638380004,-49.027218546 62.1844368380004,-49.041118546 62.1733268380004,-49.0738905459999 62.1361088380005,-49.0858275459998 62.1197088380005,-49.096109546 62.1033268380004,-49.0998635459999 62.0881818380005,-49.091809546 62.0767998380004,-49.0705545459999 62.0769368380004,-48.9802815459998 62.0819368380004,-48.8425635449999 62.0761088380004,-48.8647275459999 62.0588818380004,-48.8968095459998 62.0476368380005,-48.9263905459998 62.0449998380004,-48.9986095459998 62.0455458380005,-49.0708365459997 62.0108268380005,-49.1369455459999 61.9744368380004,-49.1541635459998 61.9669368380004,-49.1652725459999 61.9658268380005,-49.1841635459999 61.9672088380004,-49.2269455459999 61.9733178380005,-49.2380545459997 61.9738728380004,-49.2497275459999 61.9738728380004,-49.2683365459999 61.9724908380005,-49.2849995459999 61.9699818380005,-49.3741725459999 61.9466548380004,-49.4386095459998 61.8413088370004,-49.4124995459999 61.8124908370004,-49.3823635459999 61.8049908370005,-49.3580545459999 61.8060998370004,-49.3383365459998 61.8106908370005,-49.3269545459998 61.8166638370005,-49.3155635459999 61.8266638370005,-49.2897185459998 61.8631908370004,-49.214718546 61.8836088370005,-49.2691635459998 61.8366548370004,-49.3541725459999 61.7655458370005,-49.2608365459997 61.7160998370005,-49.2380545459997 61.7116638370004,-49.2272185459998 61.7148548370005,-49.1845815459999 61.7427638370004,-49.1852095459999 61.7874268370005,-49.1938815459999 61.8049908370005,-49.1958275459999 61.8197178370004,-49.1930545459999 61.8299908370004,-49.1886095459998 61.8391548370005,-49.1649995459997 61.8576268370005,-49.0008365459999 61.9541638380003,-48.9647185459997 61.9680458380005,-48.9436095459999 61.9751268380004,-48.9194455459997 61.9802728380004,-48.8894455459998 61.9838818380004,-48.8291725449998 61.9888818380004,-48.7974995449999 61.9894368380005,-48.7866635449999 61.9888818380004,-48.775272545 61.9872088380005,-48.7591725449999 61.9816548380005,-48.7527815449999 61.9738728380004,-48.746945545 61.9576368380005,-48.7558365449999 61.9524908380005,-48.766399545 61.9522178380005,-48.7766635449997 61.9536088380004,-48.7988905449998 61.9549908380004,-48.8197275449999 61.9544368380004,-48.8898635459998 61.9462368380005,-48.9019365459998 61.9413728380004,-49.1038905459998 61.8277728370004,-49.1166635459999 61.8169368370005,-49.123890546 61.8069368370005,-49.1490275459998 61.7198458370004,-49.0878455459999 61.7289088370005,-49.0469095459999 61.7227818370005,-49.0501365459999 61.7005458370004,-49.0694725459999 61.6841088370005,-49.0668905459999 61.6547728370004,-49.0531905459999 61.6188818370005,-48.9816635459999 61.6036088370005,-48.9563905459999 61.6019368370005,-48.9461095459998 61.6022178370005,-48.9288905459997 61.6036088370005,-48.7424995449998 61.6247088370005,-48.7144455449999 61.6297178370005,-48.7044455449999 61.6324908370004,-48.6873815449999 61.6409998370005,-48.6601365449999 61.6497178370005,-48.646663545 61.6488818370004,-48.634999545 61.6463818370005,-48.6119455449997 61.6405458370004,-48.5992095449998 61.6363368370005,-48.6663905449998 61.6130548370004,-48.6819455449998 61.6086088370005,-48.7024995449999 61.6055548370003,-48.9247185459998 61.5786088370005,-48.946663546 61.5799908370005,-49.0249995459999 61.5883268370005,-49.0538905459999 61.5972178370005,-49.0905545459998 61.6027728370004,-49.2263905459998 61.6036088370005,-49.2501455459998 61.6019368370005,-49.2650095459999 61.5938818370005,-49.2974995459999 61.5574908370004,-49.1013905459999 61.4897178370005,-48.9488815459998 61.4655458370005,-48.834163545 61.4841638370005,-48.5311095449998 61.5430548370004,-48.5127815449999 61.5480458370005,-48.469445545 61.5613818370005,-48.440836545 61.5708268370004,-48.3933365449999 61.5899908370005,-48.3841725449999 61.5947088370004,-48.3598635449999 61.6042368370004,-48.344163545 61.6049998370004,-48.2326995449998 61.5358998370005,-48.2447185449998 61.5291638370004,-48.2788815449999 61.5260998370005,-48.4091635449999 61.5169368370005,-48.678609545 61.4777638370005,-48.8019365449997 61.4633268370004,-48.8127725449999 61.4638818370005,-48.8316725449998 61.4619368370005,-48.8583365459999 61.4552728370005,-48.9863905459999 61.4227638370004,-49.0455545459997 61.4066548370005,-49.0652815459998 61.3994368370005,-48.9808995459998 61.3560368370005,-48.839163545 61.3788728370005,-48.7458365449999 61.3963818370004,-48.6737455449999 61.3944368370003,-48.6494455449999 61.3897178370004,-48.4844455449999 61.3724908370005,-48.378609545 61.3638818370005,-48.3804185449999 61.3015178370005,-48.395972545 61.2963818370004,-48.431672545 61.2944458370005,-48.4872185449998 61.2813818370004,-48.5119455449999 61.2805458370004,-48.5561095449998 61.2836088370005,-48.5674995449999 61.2852728370005,-48.5822185449999 61.2834638370004,-48.6147275449997 61.2605548370005,-48.6345095449998 61.2419368370005,-48.639163545 61.2104088370004,-48.4758275449998 61.1729088370004,-48.4299995449998 61.1798548370004,-48.362781545 61.2066548370005,-48.3216815449998 61.2063088370004,-48.3290545449998 61.1847728370004,-48.3384725449997 61.1800998370005,-48.3575095449999 61.1722178370004,-48.3769455449998 61.1699908370003,-48.4394455449998 61.1567998370005,-48.4322185449998 61.1379088370005,-48.4102815449997 61.1322088370005,-48.3877815449997 61.1291548370004,-48.3538905449999 61.1255458370004,-48.320836545 61.1241638370004,-48.3011095449999 61.1255458370004,-48.2774995449997 61.1283268370004,-48.2176365449998 61.1359638370005,-48.2349995449999 61.1480458370004,-48.2662635449999 61.1820458370004,-48.261663545 61.1956548370005,-48.251663545 61.2140728370005,-48.2441635449998 61.2419368370005,-48.1219365449999 61.3155458370005,-47.993054545 61.3316638370004,-47.9547185449999 61.3319368370004,-47.9333275449999 61.3313818370005,-47.9206995449999 61.3225638370005,-47.9322185449998 61.3163818370004,-47.9511095449999 61.3172178370004,-47.9719365449998 61.3169368370005,-48.0149995449999 61.3116548370004,-48.077363545 61.2962458370005,-48.1075095449998 61.2791638370005,-48.2072185449999 61.2049908370005,-48.219299545 61.1909638370004,-48.216390545 61.1802728370004,-48.2074995449999 61.1713818370005,-48.093890545 61.0890178370003,-48.0797275449998 61.0858178370004,-47.9824995449999 61.0952728370004,-47.9497185449997 61.1041638370005,-47.893472545 61.1217998370004,-47.8331905449999 61.0495728370004,-47.836799545 61.0401368370005,-47.8480545449999 61.0358268370004,-47.858336545 61.0341638370004,-47.879163545 61.0322088370004,-47.9583365449998 61.0349998370004,-48.0908365449999 61.0285998370005,-48.2299995449999 61.0202728370004,-48.3091635449998 61.0136088370004,-48.3990275449999 61.0001368370004,-48.4066635449999 60.9920728370004,-48.398190545 60.9827728370004,-48.3738905449999 60.9772088370005,-48.3163905449998 60.9790178370004,-48.304309545 60.9874908370005,-48.2916635449999 60.9922178370005,-48.2655545449998 60.9955458370005,-48.254999545 60.9947088370005,-48.2436185449999 60.9930458370004,-48.1930545449999 60.9805458370005,-48.1583365449998 60.9688818370005,-48.1322185449998 60.9644368370005,-48.0886095449998 60.9716548370005,-48.0049995449999 60.9913818370004,-47.8963905449998 61.0130548370004,-47.7049995439999 61.0123548370004,-47.689854544 61.0067998370005,-47.729999544 60.9727638370004,-47.9169455449999 60.9252728370005,-48.005563545 60.9072088370005,-48.0494455449999 60.8986088370005,-48.1438905449999 60.8741638370005,-48.1772275449999 60.8630548370004,-48.1941635449999 60.8560998370005,-48.2349995449999 60.8377728370004,-48.2424275449997 60.8242998360004,-48.2269455449998 60.8160998360005,-48.2074995449999 60.8119368360005,-48.1924995449997 60.8108178360005,-48.0927725449998 60.8183268360004,-48.0741725449999 60.8199908360004,-48.0555545449999 60.8233268360004,-48.0291635449998 60.8299908360004,-48.014099545 60.8413088370004,-47.8980545449999 60.8402728370005,-47.789445545 60.8241638360005,-47.6538815439997 60.8085998360004,-47.6097275439998 60.8122088360004,-47.4477725439999 60.8202728360005,-47.3516725439998 60.8491638370004,-47.320972544 60.8646458370004,-47.362781544 60.8833268370005,-47.4763905439999 60.8891638370005,-47.6099995439998 60.8774908370004,-47.8047185449998 60.8672088370004,-47.809436545 60.8791548370004,-47.7647275439999 60.9058178370005,-47.7422275439999 60.8999908370005,-47.5902815439997 60.8918818370004,-47.578109544 60.8912178370004,-47.5552725439999 60.8941268370004,-47.4947185439998 60.8994368370005,-47.4652275439999 60.9093268370004,-47.4762185439999 60.9093268370004,-47.491227544 60.9137818370004,-47.4742275439999 60.9218268370004,-47.3180635439999 60.9522178370004,-47.294445544 60.9486088370004,-47.163327544 60.9394268370004,-47.0379185439998 60.9748458370004,-47.0230545439998 60.9760998370004,-47.0113905439998 60.9733178370004,-46.948336544 60.9524908370004,-46.932218544 60.9469368370004,-46.9156185439999 60.9324908370005,-46.9444455439999 60.9077728370004,-46.9586095439999 60.8633268370003,-46.9102815439999 60.8024908360005,-46.8622185439999 60.7973548360005,-46.749172544 60.8397178370004,-46.7154095439997 60.8548548370005,-46.7099275439999 60.8860998370004,-46.8136095439999 60.9147088370004,-46.8355545439998 60.9197178370004,-46.8352725439998 60.9302728370005,-46.631672543 60.9097178370004,-46.5816725429999 60.9058178370005,-46.583609543 60.9233268370004,-46.5680635429999 60.9519368370004,-46.5233275429998 61.0152728370005,-46.4643095429999 60.9984638370004,-46.4465275429998 60.9984638370004,-46.4202725429998 61.0051368370004,-46.378745543 61.0483998370004,-46.384445543 61.0594368370004,-46.4041635429999 61.0688818370005,-46.4057995429999 61.0823818370005,-46.3922275429999 61.0830548370004,-46.3561095429998 61.0760998370005,-46.345836543 61.0736088370005,-46.267781543 61.0473548370005,-46.2555635429999 61.0260998370005,-46.2484725429999 61.0011088370005,-46.2540365429998 60.9859638370005,-46.2430545429999 60.9777638370004,-46.2294365429998 60.9747088370004,-46.1380545429998 60.9991638370005,-46.128054543 61.0019368370005,-45.9149995429999 61.0902728370004,-45.8381905429999 61.1362458370004,-45.8395815429998 61.1627728370004,-45.8469455429999 61.1711088370005,-45.8563905429999 61.1766548370003,-45.8772185429999 61.1838728370005,-46.0097275429998 61.2230458370004,-45.9930545429999 61.2366548370004,-45.8080545429999 61.3326368370005,-45.7899995429999 61.3349908370005,-45.774163543 61.3341638370005,-45.7196095429998 61.3191268370005,-45.7494455429998 61.3060998370005,-45.763618543 61.3005458370005,-45.7902815429998 61.2886088370005,-45.8147275429999 61.2760998370004,-45.8313905429998 61.2644458370003,-45.8699995429998 61.2259638370005,-45.8666725429998 61.2151368370004,-45.855836543 61.2099908370005,-45.6988815429997 61.1688818370005,-45.6536095429999 61.1422178370005,-45.7777815429999 61.0905458370005,-45.9530545429998 61.0255548370005,-46.0797275429999 60.9810998370004,-46.1029185429999 60.9674908370004,-46.0655545429997 60.9211088370005,-46.0538905429999 60.9158268370005,-46.0269455429997 60.9097178370004,-46.0066725429999 60.9122088370004,-45.989436543 60.9174998370004,-45.9747185429999 60.9236088370005,-45.9580545429997 60.9297178370003,-45.9402815429999 60.9355458370005,-45.8320815429999 60.9697088370004,-45.818054543 60.9569368370004,-45.8008365429999 60.9529088370004,-45.6541635429999 60.9963818370004,-45.631381542 61.0072178370004,-45.616390542 61.0155458370004,-45.6024995419997 61.0236088370004,-45.4813815419999 61.1075638370004,-45.4969455419998 61.1285998370005,-45.5181905419998 61.1637368370004,-45.5211095419999 61.1758268370004,-45.5152815419999 61.2224908370005,-45.5005545419999 61.2333268370004,-45.4454815419999 61.1679728370004,-45.3870815419999 61.0965178370004,-45.370827542 61.0901268370004,-45.3547185419998 61.0933178370005,-45.3455545419998 61.0977728370005,-45.3366635419999 61.1038818370004,-45.3249995419998 61.1149998370004,-45.3066635419997 61.1347178370004,-45.293063542 61.1508268370005,-45.2838905419998 61.1585998370004,-45.244999542 61.1905458370004,-45.2349995419999 61.1980458370005,-45.2158995419998 61.2038088370003,-45.2006185419999 61.1896368370005,-45.2522275419997 61.1072178370004,-45.2645905419998 61.1001268370004,-45.3058275419999 61.0891548370005,-45.3444455419999 61.0758268370005,-45.441663542 61.0422178370005,-45.4555545419998 61.0319368370004,-45.463336542 61.0210998370005,-45.4672185419997 61.0083268370004,-45.473609542 60.9972178370004,-45.4897275419998 60.9891548370005,-45.5158365419999 60.9810998370004,-45.5705545419999 60.9658268370004,-45.6127815419999 60.9547088370005,-45.6547185429998 60.9458268370004,-45.7133365429999 60.9349908370004,-45.7297185429999 60.9327728370005,-45.7408365429999 60.9322088370004,-45.779163543 60.9338728370004,-45.7952815429998 60.9355458370005,-45.8105545429998 60.9355458370005,-45.8650095429999 60.9313818370004,-45.881945543 60.9285998370004,-45.967499543 60.9024908370005,-46.004445543 60.8911088370004,-46.0830635429999 60.8611088370005,-46.0991635429999 60.8538818370005,-46.1583365429998 60.8319368360004,-46.1930545429999 60.8097818360005,-46.1822185429997 60.8024908360005,-46.1719455429999 60.8002728360005,-46.1349995429999 60.8063818360004,-46.047499543 60.8361088370004,-46.0284455429999 60.8495088370005,-45.976163543 60.8574368370004,-45.9976635429999 60.8407728370005,-46.064163543 60.8140998360004,-46.1844365429999 60.7805458360004,-46.2111095429999 60.7741638360005,-46.2217995429998 60.7680548360004,-46.2223545429998 60.7580548360004,-46.2086095429999 60.7433268360004,-46.1766635429998 60.7305458360005,-46.1558275429999 60.7249908360004,-46.0808365429999 60.7185998360005,-46.0592995429998 60.7177638360004,-46.0438905429999 60.7199818360004,-46.0227815429999 60.7279088360004,-46.010145543 60.7373548360004,-46.003890543 60.7463818360005,-46.0022275429999 60.7588908360004,-46.0027815429999 60.7688818360004,-45.9684905429998 60.7991818360005,-45.943136543 60.8251638360005,-45.8935545429998 60.8333268360005,-45.8312455429999 60.8491548370005,-45.7805545429999 60.8399908370004,-45.7655545429997 60.8360998370005,-45.7540365429999 60.8281908360005,-45.7644545429999 60.8216638360004,-45.7968095429999 60.8165178360005,-45.8926725429999 60.7683268360005,-45.8833365429999 60.7540268360004,-45.8663905429997 60.7502728360004,-45.8195815429999 60.7447088360005,-45.806945543 60.7460998360005,-45.7105545429999 60.7677728360005,-45.6863905429999 60.7747088360004,-45.4849995419999 60.8830458370005,-45.4338815419998 60.9319368370005,-45.4027815419998 60.9747088370004,-45.4091635419999 60.9824908370005,-45.4138185419998 60.9972178370004,-45.3972275419999 61.0074998370005,-45.3841725419999 61.0072178370004,-45.3331905419997 60.9823548370005,-45.2580545419999 60.9183268370004,-45.2527815419999 60.9058178370005,-45.2688905419999 60.9002728370005,-45.3216725419999 60.8999908370005,-45.3761095419999 60.8922178370004,-45.3930545419999 60.8885998370005,-45.4091635419999 60.8830458370005,-45.5922275419999 60.7922178360005,-45.5891635419999 60.7683268360005,-45.6541635429999 60.7488818360005,-45.730554543 60.7330458360004,-45.8520815429999 60.6956818360005,-45.8355545429998 60.6855458360004,-45.7465275429999 60.6658178360004,-45.7341725429999 60.6663818360004,-45.6912815429998 60.6784088360005,-45.6778995429999 60.6730268360004,-45.701609543 60.6616638360005,-45.809109543 60.6323268360005,-45.9258365429999 60.5997178360005,-45.9779815429999 60.5779088360005,-45.8905545429999 60.5558268360003,-45.8269545429999 60.5574908360004,-45.789527543 60.5925908360004,-45.7821995429998 60.6030458360004,-45.7715275429999 60.6092998360004,-45.7609455429999 60.6137178360005,-45.7215725429999 60.6260728360005,-45.6813815429999 60.6370268360005,-45.680945543 60.6180458360005,-45.7027815429998 60.6119368360004,-45.7322905429999 60.5882548360004,-45.5933275419997 60.4724908360004,-45.5747185419997 60.4691548360004,-45.563327542 60.4941548360005,-45.5563905419999 60.5041638360004,-45.4636185419999 60.6169368360004,-45.4527815419999 60.6249908360005,-45.368327542 60.6741638360005,-45.3133275419997 60.6999998360005,-45.2791635419998 60.6666638360005,-45.2694455419998 60.6477728360004,-45.3605545419999 60.6116638360004,-45.3738905419999 60.6052728360004,-45.4873545419999 60.4918638360005,-45.4430545419999 60.5002728360005,-45.425836542 60.5044368360004,-45.3941635419997 60.5130548360004,-45.2761095419998 60.5510998360004,-45.2183365419999 60.5770728360004,-45.2062455419999 60.5884638360005,-45.2097275419998 60.6002728360004,-45.1727725419999 60.6213728360004,-45.0991635419999 60.6458268360005,-45.1119455419998 60.6252638360005,-45.1480545419998 60.6024908360005,-45.221936542 60.5491638360004,-45.2349995419999 60.5344368360005,-45.2645905419998 60.4976368360003,-45.279445542 60.4592998360005,-45.2588995419998 60.4460998360005,-45.234172542 60.4372088360004,-45.217772542 60.4341548360005,-45.2033275419998 60.4352638360004,-45.1755635419999 60.4408268360004,-45.0162545419999 60.4747088360004,-45.0033365419999 60.4816548360005,-44.911109542 60.5419368360004,-44.8652815419999 60.5805548360004,-44.8494455419999 60.5958268360005,-44.839718542 60.6052728360004,-44.8316725419999 60.6247088360004,-44.830554542 60.6426268360004,-44.8227725419998 60.6630458360004,-44.8136095419998 60.6711088360005,-44.8013905419999 60.6774908360005,-44.7183275419999 60.7155458360004,-44.7063905419998 60.7208268360005,-44.6497275419997 60.7361088360004,-44.6293725419999 60.7340908360005,-44.6319455419999 60.7219268360004,-44.6441725419998 60.7117998360004,-44.6608275419999 60.7083268360004,-44.6784725419999 60.7065268360005,-44.6955455419999 60.7013818360005,-44.7441635419999 60.6760998360004,-44.7586095419999 60.6669368360004,-44.7688905419997 60.6594268360005,-44.776245542 60.6466638360005,-44.8949995419997 60.4160998360005,-44.9474905419999 60.3441548360004,-45.0411185419998 60.2958268360005,-45.0836095419998 60.2802728360004,-45.1033365419999 60.2694368360004,-45.1461095419997 60.2399908360005,-45.169163542 60.2227638360005,-45.1797275419999 60.2124908360005,-45.2024995419999 60.1869368360003,-45.2029185419999 60.1681908360004,-45.1708365419998 60.1658268360004,-45.1911095419998 60.1569368360004,-45.1999995419999 60.1516548360004,-45.2031275419999 60.1351268360004,-45.186527542 60.1292998360004,-45.1727725419999 60.1310998360005,-45.1594365419999 60.1347178360005,-45.1467995419998 60.1447178360005,-45.1324995419998 60.1647088360004,-45.1026365419999 60.1865178360005,-45.0852725419999 60.1952638360004,-45.069454542 60.1980458360004,-45.0427815419999 60.1983268360004,-45.028054542 60.1963728360005,-45.001527542 60.1918268360005,-44.9819455419999 60.1905458360005,-44.9586095419999 60.1916548360005,-44.8873635419999 60.2155458360004,-44.8780545419999 60.2219268360005,-44.8719365419999 60.2299908360005,-44.871663542 60.2505548360004,-44.8654185419998 60.2619458360004,-44.8477815419999 60.2772178360005,-44.4845815409998 60.5504088360004,-44.470836541 60.5572088360005,-44.4674995409998 60.5194368360005,-44.5020905409999 60.4754088360004,-44.5372275409997 60.4580458360005,-44.5738905419997 60.4397088360005,-44.5962455419998 60.4273548360005,-44.6755635419999 60.3460998360005,-44.7280545419999 60.2869458360005,-44.8058275419999 60.2085998360004,-44.8244455419999 60.1899908360004,-44.935554542 60.1691548360004,-44.9999995419997 60.1617268360004,-45.0569455419998 60.1616638360003,-45.0669455419999 60.1616638360003,-45.080281542 60.1580458360005,-45.1690275419999 60.0922088360005,-45.1643095419999 60.0804088360005,-45.1527815419999 60.0741638360005,-45.1341725419999 60.0669368360004,-45.117636542 60.0633268360003,-45.1049995419999 60.0663818360005,-45.093609542 60.0763818360005,-45.1150725419998 60.0924908360004,-45.1077815419998 60.1029088360005,-45.030136542 60.1058268360005,-44.9988905419999 60.0944368360005,-44.9715275419999 60.0347178360004,-44.9619455419999 60.0302728360005,-44.9311185419998 60.0274908360004,-44.8066635419999 60.0177728360005,-44.6422275419998 59.9888818360004,-44.6105545419999 59.9813728360005,-44.6041725419999 59.9824908360005,-44.5866635419998 59.9883268360005,-44.5705545419999 59.9952728360004,-44.5519365409999 60.0063818360005,-44.5219455409999 60.0333368360004,-44.5088995409998 60.0480458360004,-44.5005545409999 60.0624908360005,-44.4963905409999 60.0727728360005,-44.4944455409998 60.0855458360004,-44.4874995409999 60.1038818360004,-44.465827541 60.1404088360005,-44.4542995409998 60.1494368360005,-44.4436095409999 60.1527728360005,-44.4286095409998 60.1552638360005,-44.4177815409997 60.1549908360005,-44.3786095409999 60.1516548360004,-44.3580545409997 60.1497178360005,-44.3383365409999 60.1469458360004,-44.3129185409998 60.1491548360004,-44.3002815409998 60.1538818360004,-44.2847275409999 60.1652638360005,-44.2683365409998 60.1797178360004,-44.2311095409999 60.2235998360005,-44.2236095409999 60.2349908360005,-44.1402815409998 60.2649998360005,-44.1049995409999 60.2747088360005,-44.0824995409998 60.2875638360005,-44.0844455409998 60.3341638360004,-44.0886095409999 60.3433178360004,-44.1066725409999 60.3738818360004,-44.1027815409998 60.3838818360004,-44.090281541 60.3819368360004,-44.0788905409999 60.3780458360005,-44.067499541 60.3694368360004,-43.9938905409999 60.3074908360004,-44.0086095409998 60.2958268360005,-44.0730635409999 60.2602728360005,-44.1138905409999 60.1835998360004,-43.831390541 60.1588818360004,-43.659718541 60.1469458360004,-43.6497275409998 60.1494368360005,-43.4547185399998 60.1241638360004,-43.4016635399998 60.1105458360004,-43.1374995399999 60.0794368360005,-43.1244455399998 60.0824998360005,-43.0944455399998 60.0927638360004,-43.0872185399999 60.1002728360005,-43.08666354 60.1102728360005,-43.1091725399997 60.1742998360005,-43.1213815399999 60.1983268360004,-43.1297185399999 60.2055548360003,-43.1441635399999 60.2097178360004,-43.1549995399999 60.2102728360005,-43.2341725399999 60.2094368360004,-43.32200954 60.2136728360004,-43.2288815399999 60.2522178360005,-43.1516635399998 60.2436088360005,-43.1238905399999 60.2380458360005,-43.0927725399999 60.2572178360005,-43.1051365399998 60.3079088360005,-43.1662455399998 60.3962458360004,-43.1838815399998 60.4010998360004,-43.2122185399999 60.4027728360005,-43.2311095399999 60.4024908360004,-43.2494455399999 60.4013818360004,-43.2958365399999 60.3966638360005,-43.33971854 60.3911088360005,-43.36583654 60.3866548360005,-43.3995095399999 60.3736728360005,-43.43388154 60.3558268360005,-43.5876365409999 60.3052638360004,-43.597781541 60.3076268360005,-43.5924995409998 60.3180548360005,-43.5808365409998 60.3238818360004,-43.5627725409997 60.3319368360005,-43.4647185399999 60.3724908360005,-43.3295815399998 60.4277728360004,-43.3146545399998 60.4409638360004,-43.3266635399999 60.4510998360005,-43.3416635399999 60.4563818360005,-43.4536095399999 60.4824908360005,-43.4936185409998 60.4913818360004,-43.6099995409999 60.5088908360005,-44.0591635409998 60.5672178360005,-44.091945541 60.5691638360004,-44.1544455409999 60.5755548360004,-44.1763905409999 60.5794368360004,-44.1995815409999 60.5908908360004,-44.1938815409999 60.6340178360004,-44.1840275409998 60.6374908360004,-44.1608275409999 60.6374998360004,-44.1359725409998 60.6341548360004,-44.1266635409999 60.6209638360003,-44.1227725409998 60.6113818360005,-44.1116725409999 60.6024908360005,-44.0999995409999 60.5985998360004,-44.0594365409999 60.5899908360004,-44.0474995409999 60.5874908360005,-44.0266635409999 60.5844368360004,-44.005563541 60.5824998360005,-43.9791635409998 60.5844368360004,-43.8224995409999 60.5702728360005,-43.6544455409997 60.5494368360005,-43.6441635409999 60.5483368360004,-43.6299995409999 60.5486088360004,-43.6294995409997 60.5488638360005,-43.6223635409999 60.5534638360004,-43.6223635409999 60.5672178360005,-43.648054541 60.5949908360005,-43.6580545409998 60.6033268360005,-43.6736185409999 60.6210998360004,-43.682499541 60.6352728360005,-43.6880455409998 60.6447178360004,-43.6963905409999 60.6591548360005,-43.7074995409997 60.6822088360004,-43.7099995409997 60.7067998360004,-43.6977725409999 60.7156908360005,-43.6836095409998 60.7130458360004,-43.6693095409998 60.7001268360004,-43.6679185409999 60.6891638360005,-43.668336541 60.6655458360005,-43.6586095409999 60.6411088360004,-43.641799541 60.6212458360004,-43.6208365409999 60.6005458360004,-43.5686095409999 60.5499998360005,-43.5547185409998 60.5394368360005,-43.5352815409998 60.5316638360004,-43.5252725409998 60.5291638360005,-43.2440275399999 60.4677638360004,-43.2086095399998 60.4644368360005,-43.18249954 60.4663818360005,-43.1674995399998 60.4694368360005,-43.1479905399999 60.4833178360004,-43.1619455399999 60.4910998360004,-43.1816725399999 60.4963818360004,-43.2030545399999 60.5005458360005,-43.2227725399998 60.5030548360004,-43.2455545399998 60.5077728360005,-43.2677725399999 60.5147178360003,-43.2923635399998 60.5244368360005,-43.3099995399999 60.5352728360004,-43.3148635399999 60.5508998360004,-43.3016635399997 60.5541638360004,-43.1741725399999 60.5263818360005,-43.14389054 60.5141638360005,-43.1099995399999 60.5022178360005,-43.0891635399998 60.4974908360005,-43.0686095399999 60.4988818360005,-42.8346545399999 60.5710998360004,-42.8440275399998 60.5795818360005,-42.9052725399999 60.5888818360004,-42.9368635399999 60.5932998360004,-42.8551095399999 60.5970548360004,-42.8379095399999 60.6033268360005,-42.8258365399999 60.6066548360005,-42.7518725399999 60.6842268360004,-42.76833654 60.6894268360004,-42.7783365399998 60.6885998360003,-42.8133275399997 60.6824908360005,-42.82277254 60.6780458360005,-42.8854995399998 60.6514368360005,-42.89182754 60.6373088360004,-42.9079995399999 60.6359368360004,-42.9328275399999 60.6385998360005,-43.0823275399998 60.6549368360004,-43.09349954 60.6572638360004,-43.1084545399999 60.6667638360004,-43.08666354 60.6691088360004,-43.0509995399998 60.6667728360004,-42.9703365399998 60.6597638360004,-42.9324995399998 60.6531088360005,-42.9140275399998 60.6529638360005,-42.8755545399997 60.6647088360005,-42.8497275399998 60.6749998360004,-42.7805545399999 60.7138818360003,-42.77041854 60.7256088360004,-42.77791854 60.7388818360005,-42.7872275399999 60.7449908360004,-42.9486095399997 60.7772178360004,-42.9594455399999 60.7791638360005,-43.1077815399998 60.7947178360004,-43.1233275399999 60.7949998360005,-43.2730545399999 60.8030458360004,-43.5108365409999 60.8267998360005,-43.5246545409998 60.8369368370005,-43.5068095409999 60.8451268370005,-43.3802815399999 60.8374908370005,-43.18666354 60.8211088360005,-43.0505545399998 60.8066548360004,-43.0291635399999 60.8024908360005,-43.0099995399999 60.8002728360005,-42.9172185399999 60.7905548360004,-42.8980545399997 60.7905548360004,-42.8011095399998 60.7988818360005,-42.7908365399997 60.8010998360005,-42.7809725399999 60.8095728360005,-42.7899995399998 60.8202728360005,-42.8841725399998 60.8388818370005,-43.1080545399999 60.8680458370005,-43.1991635399999 60.8858268370004,-43.2644545399998 60.8983268370005,-43.2824995399998 60.9010998370004,-43.4102815399999 60.9097178370004,-43.46666354 60.9088818370005,-43.48124554 60.9088818370005,-43.4836095399998 60.9356818370005,-43.4756905399999 60.9430458370003,-43.45916354 60.9449908370004,-43.43804554 60.9427638370005,-43.2611185399999 60.9183268370004,-43.1691635399999 60.9041638370004,-43.1188905399999 60.8960998370004,-43.0983365399999 60.8922178370004,-43.07749954 60.8874998370005,-43.0666635399998 60.8855548370004,-43.0375095399998 60.8830458370005,-43.00860954 60.8838818370004,-42.80028154 60.9194458370005,-42.6719455399999 60.9836088370005,-42.6569455399999 60.9936088370005,-42.6658365399998 61.0169368370005,-42.66471854 61.0224908370004,-42.70777254 61.0591548370004,-42.7208365399999 61.0622088370005,-43.0041725399999 61.0830548370004,-43.15221854 61.1019368370004,-43.2149995399999 61.1016638370004,-43.27332754 61.0997178370005,-43.3533365399998 61.0974908370005,-43.598745541 61.1202638370005,-43.612363541 61.1263818370005,-43.6016635409998 61.1335998370005,-43.5802815409999 61.1369368370005,-43.561390541 61.1380458370004,-43.5308275409997 61.1377728370004,-43.1705545399998 61.1283268370004,-42.9855545399999 61.1086088370005,-42.9041635399998 61.1022178370004,-42.63402754 61.1011728370004,-42.6967995399999 61.1409638370005,-42.7074995399998 61.1438818370005,-42.7177725399999 61.1441548370004,-42.8444455399999 61.1577728370004,-43.0897185399999 61.1974908370004,-43.0874995399998 61.2083268370004,-42.9524995399998 61.2016638370005,-42.8224995399997 61.1888818370004,-42.69499954 61.1885998370003,-42.57791854 61.1934638370004,-42.5883095399999 61.2144458370005,-42.6642995399998 61.2565268370004,-42.7094455399998 61.2680548370005,-42.72319054 61.2663818370005,-42.77916354 61.2497178370005,-42.8748455399999 61.2463818370005,-42.90208154 61.2513818370005,-42.8920815399998 61.2576368370004,-42.8680545399998 61.2630548370004,-42.8486095399999 61.2655458370004,-42.81860954 61.2644458370003,-42.7966725399999 61.2626368370004,-42.7774275399998 61.2706908370005,-42.78958154 61.2813818370004,-42.8416635399999 61.2949998370005,-42.9072185399999 61.3074908370005,-43.0291635399999 61.3174998370005,-43.0605545399998 61.3188818370004,-43.0916635399998 61.3191638370005,-43.1436185399999 61.3219368370005,-43.2141635399997 61.3266638370004,-43.2291635399999 61.3287458370004,-43.2444455399999 61.3373548370005,-43.22609954 61.3433178370004,-43.16833654 61.3455458370004,-42.8852725399999 61.3422178370005,-42.8669455399999 61.3391548370004,-42.8486095399999 61.3338818370004,-42.8338815399999 61.3272178370004,-42.8191725399999 61.3194458370004,-42.8094365399999 61.3152728370005,-42.7886095399999 61.3080458370004,-42.7555635399999 61.2983368370005,-42.73360954 61.2941548370005,-42.6722275399999 61.2847178370004,-42.6619455399997 61.2844368370004,-42.6447185399999 61.2865268370005,-42.6324995399997 61.2911088370004,-42.5075095399999 61.3552728370004,-42.4272275399999 61.4035998370003,-42.4547185399998 61.4311088370004,-42.4727725399999 61.4272178370005,-42.49249954 61.4272178370005,-42.5138905399999 61.4330548370005,-42.5276455399998 61.4431818370005,-42.5355635399998 61.4769368370004,-42.53139054 61.5041638370004,-42.5282635399998 61.5270728370004,-42.60778154 61.5230458370004,-42.7580545399998 61.5280458370004,-42.7811095399999 61.5291638370004,-42.8738905399999 61.5358268370005,-42.9474905399999 61.5516548370004,-43.0227725399998 61.5711088370005,-43.0555545399998 61.5799908370005,-43.0694545399998 61.5869368370003,-43.0791725399998 61.5936088370005,-43.06653654 61.5991548370005,-43.0444455399999 61.5980458370004,-42.98778154 61.5897178370004,-42.92556354 61.5769458370004,-42.9152725399998 61.5741638370005,-42.85917254 61.5644368370005,-42.8055545399999 61.5588818370004,-42.77499954 61.5566548370004,-42.6341725399999 61.5466638370004,-42.4497185399999 61.5522178370004,-42.4347185399998 61.5572088370005,-42.3190275389998 61.6295728370004,-42.317645539 61.6426368370004,-42.3324995389999 61.6486088370004,-42.3974995389999 61.6563818370005,-42.41944554 61.6910998370005,-42.5847275399999 61.6960998370005,-42.6241725399999 61.7055548370005,-42.68916354 61.7410998370004,-42.7630635399998 61.7783268370005,-42.7733275399998 61.7833368370004,-42.7827725399999 61.7866638370004,-42.8041635399998 61.7841638370005,-42.8201365399999 61.7760998370005,-42.8311095399998 61.7670818370004,-42.8668725399998 61.7676998370005,-42.8643095399999 61.7792998370004,-42.8544455399997 61.7863818370005,-42.7873635399999 61.8147088370004,-42.7688905399999 61.8180548370005,-42.7504185399999 61.8104088370004,-42.7424995399999 61.7988818370004,-42.7183275399998 61.7866638370004,-42.6080545399999 61.7405458370005,-42.5905545399999 61.7344368370005,-42.5805545399999 61.7327638370004,-42.5586095399999 61.7319368370004,-42.5097275399999 61.7347178370005,-42.4786095399998 61.7374998370004,-42.3513905389999 61.7538818370005,-42.325563539 61.7613818370004,-42.292081539 61.7760998370005,-42.221936539 61.8272178370005,-42.1914545389998 61.8620818370005,-42.2270815389999 61.8842998370005,-42.3344455389997 61.8883268370005,-42.3647275389999 61.8944368370005,-42.4072185389999 61.9063818370004,-42.41624554 61.9151998380004,-42.329727539 61.9213818380005,-42.3005545389999 61.9205458380004,-42.2794455389999 61.9169368380004,-42.2458365389999 61.9127638380004,-42.2188905389998 61.9127638380004,-42.2041725389999 61.9163818380005,-42.1905545389999 61.9260998380004,-42.1177815389999 61.9951268380004,-42.1158365389999 62.0066638380005,-42.1233275389997 62.0136088380005,-42.1366635389998 62.0188818380005,-42.1561095389999 62.0205458380003,-42.2449995389999 62.0247088380004,-42.3305545389999 62.0174908380005,-42.340554539 62.0158268380005,-42.3663905389997 62.0060998380004,-42.3905545389999 61.9938818380004,-42.43306354 61.9710998380004,-42.48082754 61.9449908380004,-42.5083365399998 61.9399908380004,-42.5186095399999 61.9394268380005,-42.5436185399999 61.9458268380005,-42.5377815399999 61.9560998380005,-42.4852725399998 61.9805458380004,-42.4183365399999 62.0111088380004,-42.305690539 62.1045818380005,-42.258336539 62.1966548380004,-42.2536095389997 62.2144368380005,-42.2619455389999 62.2423548380005,-42.3211095389998 62.3085998380005,-42.3830545389999 62.3355458380005,-42.4005545389999 62.3408268380005,-42.4388905399999 62.3419368380005,-42.5002815399999 62.3388818380005,-42.6352815399997 62.3579178380004,-42.6380545399999 62.3713818380005,-42.6474995399999 62.3788728380005,-42.7024995399998 62.4091548380005,-42.7299995399999 62.4208268380004,-42.7816725399998 62.4380458380005,-42.9122185399999 62.4735998380004,-42.9273635399997 62.4727638380004,-42.9458275399998 62.4666638380005,-42.9659725399997 62.4662368380005,-42.97541854 62.4717908380005,-42.9804185399998 62.5109638380004,-42.9747185399999 62.5205458380004,-42.96471854 62.5222178380004,-42.7405545399999 62.5019368380005,-42.71694554 62.4983268380005,-42.70527254 62.4952728380005,-42.6113815399997 62.4523818380005,-42.57249954 62.4316638380004,-42.55055454 62.4233268380004,-42.53860954 62.4194458380004,-42.318063539 62.3627728380005,-42.2438905389998 62.3588908380004,-42.1653455389997 62.3826268380004,-42.2547185389998 62.4322088380004,-42.3219455389998 62.4372088380003,-42.340554539 62.4383268380005,-42.3558365389999 62.4362368380004,-42.3974995389999 62.4277728380005,-42.5499275399999 62.4777178380004,-42.4827725399999 62.4724908380005,-42.379999539 62.4669368380004,-42.3372185389999 62.4752638380004,-42.3261185389999 62.4805458380005,-42.3241725389999 62.5040268380005,-42.3647275389999 62.5595728380005,-42.3741725389999 62.5658268380005,-42.57167254 62.6191548380004,-42.6022275399998 62.6266548380004,-42.6172185399999 62.6266548380004,-42.6341725399999 62.6227638380005,-42.6776455399999 62.6108268380004,-42.6738905399997 62.5880458380004,-42.6838815399998 62.5885998380003,-42.7008365399998 62.5952728380004,-42.7133365399999 62.6027728380005,-42.7319455399999 62.6159638380005,-42.7267995399998 62.6304818380004,-42.7502815399999 62.6411088380004,-42.7880545399997 62.6510998380005,-42.8774905399999 62.6680548380004,-42.9547185399998 62.6808268380004,-42.9774905399998 62.6838728380005,-42.9997275399999 62.6860998380004,-43.0208365399999 62.6880458380004,-43.0619455399999 62.6897088380004,-43.1041725399999 62.6883268380005,-43.1297185399999 62.6976998380004,-43.1444455399999 62.7586088380003,-43.1251365399998 62.7624998380004,-43.1088905399999 62.7588908380004,-43.0566635399999 62.7295728380004,-43.0458365399999 62.7247088380005,-43.0341725399999 62.7219268380005,-42.85471854 62.6999998380005,-42.72609954 62.6872088380005,-42.7163905399999 62.7438818380004,-42.6905545399999 62.7708268380005,-42.6166635399997 62.7413818380005,-42.52778154 62.7230458380004,-42.4105545389999 62.8142998380004,-42.4176365399998 62.8315268380004,-42.4397185399999 62.8366548380005,-42.45555454 62.8605458380005,-42.4348545399999 62.9067998380004,-42.4263905399999 62.9127638380004,-42.3352725389998 62.9360998380005,-42.3138905389999 62.9399908380004,-42.303609539 62.9416548380004,-42.2868095389998 62.9370728380004,-42.316109539 62.9152638380005,-42.3288905389998 62.9085998380005,-42.3436095389999 62.9041638380004,-42.363754539 62.8896458380004,-42.3568095389999 62.8422088380005,-42.335136539 62.8138728380004,-42.3238905389999 62.8091548380005,-42.3124995389999 62.8072088380004,-42.2586095389999 62.8094368380005,-42.2291635389999 62.8149908380004,-42.208609539 62.8141548380004,-42.1688905389998 62.8110998380005,-42.1474995389999 62.8080458380004,-42.1016725389999 62.7986088380005,-42.0399995389999 62.7858268380005,-42.0254185389999 62.7856908380004,-42.0116725389999 62.7931908380005,-42.0077815389998 62.8035998380004,-42.004863539 62.8273548380005,-41.9635815389998 62.8446728380005,-41.9100545389998 62.8428178380004,-41.8663905389998 62.8265178380004,-41.8534725389998 62.8188818380004,-41.8408365389999 62.8180548380005,-41.7516725389998 62.8406818380004,-41.6369455389998 62.9213818380005,-41.6166635389998 62.9370728380004,-41.6122185389997 62.9513818380004,-41.6113905389999 62.9805458380004,-41.6179185389998 62.9892998390004,-41.7436185389999 63.0147178390005,-41.7663995389997 63.0180548390005,-41.7861185389998 63.0197178390005,-41.8533365389999 63.0199908390005,-41.9997275389999 63.0313818390005,-42.1158365389999 63.0916638390004,-42.1324995389998 63.1208268390005,-42.1731905389999 63.2030458390004,-42.150554539 63.2058268390005,-42.1405545389998 63.2049908390004,-42.1276365389999 63.2026368390005,-42.0852725389999 63.1766548390005,-42.0722275389999 63.1672178390004,-42.0502095389999 63.1495088390005,-42.043054539 63.1301268390005,-42.0394455389999 63.1180458390004,-42.0262455389999 63.1029088390005,-41.981663539 63.0749998390004,-41.9618095389998 63.0658268390005,-41.8124995389999 63.0402728390005,-41.7302815389999 63.0297178390005,-41.7089545389998 63.0342998390005,-41.6855545389998 63.0419368390005,-41.6019455389999 63.0344368390005,-41.5524995389998 63.0277728390005,-41.538818539 63.0321458390004,-41.5433365389998 63.0436088390005,-41.6216635389997 63.0980458390005,-41.633609539 63.1055548390004,-41.646390539 63.1116638390005,-41.664999539 63.1185998390005,-41.7833365389998 63.1569368390004,-41.9299995389999 63.2058268390005,-41.9963905389999 63.2285998390005,-42.0075095389999 63.2333268390003,-42.0230545389999 63.2469368390004,-41.7869455389999 63.1997178390004,-41.6180545389999 63.1405458390005,-41.6097275389998 63.1349908390004,-41.599163539 63.1263818390004,-41.5938905389999 63.1160998390005,-41.5863905389999 63.1066548390005,-41.5724995389999 63.0969368390004,-41.5588905389998 63.0913818390005,-41.5474995389999 63.0902728390004,-41.5230545389999 63.0930458390005,-41.4324275389998 63.1209638390005,-41.487418539 63.1696268390004,-41.470963539 63.2176268390004,-41.6772275389999 63.3405458390005,-41.8377725389998 63.3905458390004,-41.8559725389998 63.3974908390004,-41.8702815389999 63.4091548390004,-41.9094455389998 63.4572818390004,-41.8963905389998 63.4705458390004,-41.8551365389998 63.4849908390005,-41.7466635389999 63.5216638390004,-41.6872185389998 63.5249908390004,-41.681118539 63.5161088390005,-41.6694455389998 63.5041638390004,-41.5811095389999 63.4477728390004,-41.5569455389999 63.4369368390005,-41.5324995389997 63.4297178390004,-41.5111185389998 63.4244368390004,-41.3852725389997 63.4035998390005,-41.2916725379997 63.3658268390005,-41.1327635379999 63.3079088390004,-41.1133365379999 63.3072088390004,-41.127354538 63.3249268390005,-41.1470815379999 63.3391548390004,-41.175709538 63.3522178390005,-41.4566635389999 63.4455458390005,-41.5277815389998 63.4658268390004,-41.546109539 63.4719268390004,-41.5819455389999 63.4883268390005,-41.571672539 63.4899908390005,-41.4933275389999 63.4919368390005,-41.4474905389997 63.4852638390005,-41.4312545389999 63.4680458390005,-41.4180635389999 63.4616638390004,-41.312281538 63.4217728390005,-41.298118538 63.4179368390005,-41.2809455379999 63.4137728390004,-41.2398635379997 63.4061728390004,-41.2488905379998 63.4208268390004,-41.3033275379998 63.4555548390005,-41.4144455389998 63.5494368390005,-41.394163539 63.5522178390004,-41.2912275379998 63.4866638390005,-41.241054538 63.4569908390005,-41.2317995379999 63.4416548390004,-41.1894365379999 63.4060998390004,-41.1776365379998 63.3887458390005,-41.118190538 63.3852728390004,-41.0013905379999 63.4058268390004,-41.0170815379998 63.4236908390005,-41.0586635379999 63.4270178390005,-41.0794995379998 63.4307728390005,-41.1160185379999 63.4546368390004,-41.1563725379999 63.4839368390005,-41.1738365379998 63.5120178390005,-41.1398365379998 63.5031088390005,-41.1276635379999 63.4980998390005,-41.1181635379999 63.4927728390005,-41.095245538 63.4742728390004,-41.079627538 63.4549368390005,-41.066672538 63.4454368390005,-41.0491635379999 63.4408458390005,-41.0354185379998 63.4397638390005,-41.0126725379999 63.4425998390004,-40.9999995379998 63.4583268390005,-41.0502815379999 63.4972178390005,-41.048054538 63.5077728390004,-40.9997275379999 63.5291638390005,-40.9736095379999 63.5330548390004,-40.8652815379997 63.5005458390004,-40.7908365379998 63.4966548390005,-40.7697185379998 63.4981908390005,-40.758054538 63.5011088390004,-40.7483365379999 63.5091638390004,-40.7452815379999 63.5208268390004,-40.7449995379999 63.5311088390005,-40.7449995379999 63.5708268390005,-40.7524995379998 63.5819368390005,-40.8434185379999 63.5935728390005,-40.8777815379999 63.6513818390004,-40.8922275379999 63.6563818390004,-40.9236185379999 63.6641548390005,-41.048890538 63.6816638390004,-41.126109538 63.6885998390003,-41.296954538 63.7166638390003,-41.4265275389999 63.7605548390005,-41.4388905389999 63.7630548390004,-41.4505545389999 63.7641638390005,-41.5158365389998 63.7652728390004,-41.535281539 63.7608268390005,-41.5522275389998 63.7508268390005,-41.5666635389999 63.7479088390004,-41.5836095389999 63.7519368390005,-41.5938905389999 63.7560998390005,-41.6091725389999 63.7627728390005,-41.6254185389999 63.7720728390005,-41.6310455389999 63.7841638390004,-41.6177725389999 63.7922178390003,-41.4852725389999 63.8349908390004,-41.4183365389999 63.8333268390003,-41.4049995389998 63.8158268390005,-41.388336539 63.7983368390004,-41.3711095389999 63.7858268390004,-41.3505545389998 63.7772178390004,-41.0030635379999 63.7038818390004,-40.9563905379998 63.6958268390004,-40.8647275379998 63.6847178390003,-40.8433275379999 63.6824908390005,-40.603618538 63.6805458390004,-40.5733365379998 63.6822088390004,-40.5516635379999 63.6844368390005,-40.5413905379998 63.6869368390005,-40.5313905379999 63.6905458390004,-40.5159725379999 63.6995728390004,-40.5113905379999 63.7088818390004,-40.5138905379999 63.7208268390004,-40.6197185379997 63.9227638390005,-40.631945538 63.9269368390004,-40.6709725379998 63.9387368390005,-40.6952725379998 63.9344368390005,-40.7597275379998 63.9347178390005,-40.7922275379999 63.9349908390005,-40.8161095379998 63.9372088390005,-40.8376365379999 63.9441548390004,-40.8288905379999 63.9499998390005,-40.6494455379998 64.0077638390005,-40.540899538 64.0627638400004,-40.543063538 64.0772088400005,-40.548890538 64.0861088400005,-40.5594365379998 64.0994268400004,-40.5677815379999 64.1091458400005,-40.6988815379999 64.1513818400004,-40.7641635379999 64.1594268400005,-40.7744455379999 64.1602638400004,-40.8861185379999 64.1619268400004,-40.9116635379999 64.1585998400004,-40.9513905379998 64.1488818400005,-41.057218538 64.1363818400005,-41.2594455379999 64.1566458400004,-41.3774905389999 64.1715178400004,-41.4002725389999 64.1799818400005,-41.5558275389999 64.2527728400004,-41.5679905389999 64.2638818400004,-41.5636095389999 64.2758178400005,-41.5544455389999 64.2888818400004,-41.5222275389999 64.3220728400004,-41.5069545389998 64.3258178400004,-41.3258365379999 64.3413728400005,-41.1099995379998 64.3038638400004,-41.091663538 64.3021998400004,-41.0694545379999 64.3044268400005,-40.9524995379999 64.3216548400004,-40.9311185379999 64.3258178400004,-40.907290538 64.3363728400005,-40.890836538 64.3526178400004,-40.8777815379999 64.3605368400005,-40.8494455379997 64.3710908400005,-40.8097185379997 64.3821998400004,-40.7880545379999 64.3844268400005,-40.6522185379999 64.3763728400004,-40.5416725379999 64.3569368400004,-40.5011095379999 64.3449818400005,-40.419863538 64.3367908400004,-40.370554538 64.3437368400005,-40.3570095379999 64.3542178400005,-40.3619455379999 64.3913818400004,-40.3841635379999 64.4058178400004,-40.420281538 64.4191458400004,-40.4324995379997 64.4224818400004,-40.4922275379999 64.4371908400004,-40.5258365379999 64.4441368400005,-40.5822185379998 64.4505458400005,-40.6119455379999 64.4552638400004,-40.636809538 64.4658178400005,-40.6211095379998 64.4816548400004,-40.6058365379998 64.4913638400005,-40.592499538 64.4963728400004,-40.566181538 64.5052728400004,-40.5663905379998 64.5222178400005,-40.5694545379998 64.5319368400005,-40.5755635379999 64.5460998400005,-40.581672538 64.5583178400005,-40.5855545379998 64.5630368400005,-40.5927815379999 64.6720638400004,-40.6008365379998 64.6810908400005,-40.6119455379999 64.6838728400005,-40.6872185379999 64.7027728400005,-40.8269545379997 64.7630458400004,-40.8670815379999 64.7812458400005,-40.9227725379999 64.8166638400003,-40.9902815379999 64.8591458400005,-41.0633275379999 64.8756728400004,-41.073336538 64.8816548400005,-41.1504185379999 64.9487368400005,-41.1554185379999 64.9623458400005,-41.1451455379998 64.9749818400005,-41.1347275379998 64.9783178400004,-41.1233275379998 64.9791548400004,-41.1088905379999 64.9769268400004,-41.0563905379998 64.9677548400004,-41.007781538 65.0108178400004,-40.9851365379998 65.0797178400004,-40.700836538 65.0585908400004,-40.5961095379999 65.1349908410004,-40.5066725379999 65.0810998400005,-40.4280545379999 65.0347088400005,-40.4090275379999 65.0292908400005,-40.2563905369998 65.0163908400004,-40.1919365369999 65.0402638400005,-40.1444455369999 65.0835998400004,-40.1188905369999 65.1308178400005,-40.0263905369999 65.1472178410004,-39.9362455369999 65.1672998410004,-39.9183365369998 65.2105368410004,-39.7730545369998 65.2380368410005,-39.7555635369998 65.2427548410005,-39.7822185369998 65.2672088410004,-39.805418537 65.2854088410005,-39.8266635369998 65.2924818410004,-39.8641635369999 65.3108088410005,-39.911663537 65.3422088410005,-39.9416635369999 65.3649908410005,-39.879718537 65.4137368410004,-39.8641635369999 65.4124908410005,-39.838609537 65.4008178410005,-39.8255635369999 65.3963818410004,-39.8017725369999 65.3929178410004,-39.781463537 65.3972088410005,-39.7933995369999 65.4151908410004,-39.9016635369998 65.4435908410005,-39.9263905369999 65.4424728410004,-39.9386095369998 65.4405368410004,-39.9686095369997 65.4335908410005,-39.9855545369999 65.4322088410004,-40.0088995369999 65.4355268410005,-40.0916635369998 65.4513818410005,-40.1180545369999 65.4572178410004,-40.1672185369998 65.4688728410005,-40.205281537 65.4808178410005,-40.2149995369999 65.4934548410005,-40.2172185369999 65.5033268410004,-40.0963905369999 65.5672178410005,-40.0797275369999 65.5738818410005,-40.0583365369999 65.5774818410005,-40.0305545369999 65.5788728410004,-40.0166635369998 65.5664368410006,-40.0049995369998 65.5558178410005,-39.9888905369999 65.5488728410005,-39.8869455369999 65.5086088410004,-39.863336537 65.4999998410004,-39.8533365369999 65.4977548410005,-39.8413815369999 65.4963728410004,-39.829445537 65.4958178410005,-39.7652815369997 65.5394268410005,-39.7972275369997 65.5724908410005,-39.8270905369999 65.5816458410006,-39.7875095369998 65.6169268410005,-39.7744455369999 65.6249818410004,-39.6997185369999 65.6694368410006,-39.678754537 65.6781728410004,-39.6602725369999 65.6799818410005,-39.646109537 65.6763728410005,-39.5388905369999 65.6366548410005,-39.5458365369999 65.6242908410005,-39.544727537 65.6137368410005,-39.4633365369999 65.5498458410004,-39.4524995369999 65.5444368410004,-39.4105545369999 65.5333268410005,-39.3342905369998 65.5389908410006,-39.218745537 65.5752728410005,-39.2011095369998 65.5835998410004,-39.1949995369999 65.5922088410004,-39.2019455369999 65.6049818410005,-39.2911185369999 65.6835908410005,-39.3244455369998 65.7155458410005,-39.2362545369999 65.6951178410005,-39.1441725359999 65.6634638410005,-39.122772536 65.6488818410005,-39.1133365359998 65.6394368410004,-39.1037545359998 65.6205368410004,-39.0988815359999 65.6066458410005,-39.0916635359999 65.5972178410004,-39.0686095359999 65.5711088410006,-39.0574995359999 65.5594178410005,-38.9363905359999 65.5672178410005,-38.8902815359999 65.5719268410004,-38.8515365359999 65.6118268410004,-38.774718536 65.5877728410005,-38.6122185359997 65.5663728410004,-38.5994455359999 65.5778998410004,-38.6292995359997 65.6272088410005,-38.656109536 65.6315088410005,-38.6733365359998 65.6249818410004,-38.6859455359999 65.6265368410005,-38.7147185359999 65.6310908410005,-38.7433275359999 65.6369368410005,-38.7536185359999 65.6405458410005,-38.7650095359998 65.6477638410004,-38.7793725359999 65.6594998410005,-38.7862545359999 65.6758818410004,-38.7519455359998 65.6909458410005,-38.7372185359999 65.6887268410005,-38.724445536 65.6746998410005,-38.7122275359999 65.6666548410006,-38.5827815359999 65.6338818410005,-38.5583365359999 65.6323368410004,-38.546527536 65.6406088410004,-38.5474995359999 65.6741458410004,-38.540072536 65.7054088410004,-38.5297275359999 65.7077638410004,-38.4361725359997 65.6771268410005,-38.4436095359998 65.6672088410004,-38.4570815359999 65.6620638410005,-38.4269455359999 65.6219178410004,-38.246527536 65.6283088410004,-38.2305545359999 65.6352728410005,-38.2088905359998 65.6547088410005,-38.179172536 65.6844178410005,-38.1104185349998 65.7712368410005,-38.1029815349999 65.8022728410004,-38.1798635359999 65.8277638410005,-38.2058365359998 65.8227728410005,-38.2152815359998 65.8236088410004,-38.2722185359998 65.8333178410005,-38.4530545359999 65.9124908410004,-38.4612545359999 65.9235908410005,-38.4806905359997 66.0133268410004,-38.456390536 66.0205368410005,-38.4324995359999 66.0205368410005,-38.4072185359998 66.0152728410005,-38.3422185359999 65.9564458410005,-38.3476365359999 65.9322728410004,-38.3233365359998 65.9158178410004,-38.302499536 65.9077638410005,-38.2836185359999 65.9033178410005,-38.2677725359998 65.9013818410005,-38.2233275359999 65.8997178410005,-38.1961095359999 65.8994268410004,-38.1662455359997 65.9010998410005,-38.1508365359999 65.9088728410004,-38.1430545359999 65.9250458410004,-38.1566635359999 65.9358088410004,-38.179172536 65.9396998410005,-38.1920815359999 65.9466458410004,-38.1945095359998 65.9597088410005,-38.1763905359998 65.9688728410004,-38.0768095349998 65.9599818410006,-38.068472535 65.9464998410004,-38.0744455349999 65.9291548410004,-38.0759725349998 65.9140088410005,-38.065972535 65.9098548410005,-38.051936535 65.9124908410004,-38.0097275349999 65.9310908410005,-37.9947185349998 65.9383088410004,-37.9855545349998 65.9458178410005,-37.9754095349998 65.9594368410004,-38.0152815349998 66.0802728410005,-38.0163995349999 66.1002638410005,-37.995836535 66.1049818410004,-37.978881535 66.1097088410005,-37.8808275349999 66.1583268410005,-37.863063535 66.1701268410005,-37.8553545349998 66.1982458410004,-37.8794365349999 66.2013818410005,-37.9211095349998 66.2111088420004,-37.9867995349998 66.2309548420004,-37.992709535 66.2415088420004,-37.9691635349999 66.2497088420005,-37.9586095349998 66.2505458420005,-37.8536185349997 66.2477548420005,-37.809163535 66.2416548420004,-37.8097185349997 66.2287368420004,-37.8122185349997 66.2152728420005,-37.7948635349998 66.2097088420004,-37.783054535 66.2108178420005,-37.763890535 66.2166638420005,-37.753063535 66.2208268420005,-37.6994365349997 66.2519368420004,-37.694372535 66.2642998420005,-37.7374995349999 66.2844268420005,-37.7569545349999 66.2899818420004,-37.777218535 66.2941458420005,-37.871936535 66.3091458420005,-37.9274995349999 66.3163728420005,-38.0361185349998 66.3280458420005,-38.0572185349999 66.3297088420005,-38.0813905349999 66.3297088420005,-38.1130635349999 66.3313728420005,-38.1388905359999 66.3347178420005,-38.1487545359999 66.3490178420004,-38.1413905359999 66.3658178420005,-38.1211815359999 66.3831088420005,-38.1061095349999 66.3869368420005,-38.0847275349998 66.3877728420005,-37.959727535 66.3849908420004,-37.7905545349998 66.3671998420004,-37.6169455349998 66.3227728420005,-37.5758725349999 66.3182088420006,-37.3811095349998 66.3174908420004,-37.3463905349999 66.3183268420004,-37.3163905349999 66.3249998420004,-37.2816725349999 66.3327638420005,-37.2611185349999 66.3374908420004,-37.2251365349999 66.3442908420005,-37.1974905349998 66.3452638420005,-37.1838905349998 66.3405458420004,-37.1674995349999 66.3151268420004,-37.1774995349998 66.3097088420005,-37.2345815349998 66.2941548420005,-37.2752725349998 66.2970728420004,-37.2902815349999 66.2963728420004,-37.3086095349999 66.2919268420004,-37.3263905349997 66.2844268420005,-37.3430545349999 66.2766548420005,-37.4899995349999 66.2027728410005,-37.5534725349999 66.1667908410005,-37.5617365349999 66.1556818410004,-37.5583365349999 66.1385998410004,-37.6597185349999 66.0741548410004,-37.7208365349997 66.0702638410006,-37.7327725349999 66.0705458410004,-37.7466635349999 66.0683268410005,-37.7769455349999 66.0588728410004,-37.7869455349997 66.0552548410005,-37.8005545349998 66.0474818410004,-37.8107635349999 66.0292908410004,-37.7586095349998 65.9110998410005,-37.6919365349999 65.9380368410004,-37.6555545349998 65.9291548410004,-37.5545815349997 65.8997088410005,-37.543199535 65.8934548410004,-37.5341725349999 65.8872088410004,-37.5155545349999 65.8771998410004,-37.5052815349999 65.8727548410005,-37.4058275349998 65.8302728410004,-37.3894455349999 65.8252728410004,-37.379436535 65.8227728410005,-37.3313905349999 65.8121908410005,-37.3074995349998 65.8058178410004,-37.2847275349998 65.7977638410005,-37.2747185349999 65.7941458410005,-37.2549995349999 65.7855368410005,-37.2349995349998 65.7785908410004,-37.2136185349998 65.7719268410004,-37.1930545349998 65.7691458410004,-37.1805545349999 65.7702638410005,-37.1680635349998 65.7730368410005,-37.1072275349999 65.8151268410004,-37.088890535 65.8553998410004,-37.1369455349999 65.9535998410004,-37.1682635349999 66.0048548410004,-37.0804095349999 66.0613638410005,-37.0658365349999 66.0635998410006,-37.0385455339999 66.0560178410004,-37.034027534 66.0392908410005,-37.0384725339999 66.0247088410005,-37.0450095349997 66.0149998410005,-37.0922275349998 65.9369178410005,-37.0470905349999 65.8501268410005,-37.0373635339998 65.8422088410005,-36.9851365339998 65.8377728410005,-36.9711095339997 65.8385908410005,-36.8558365339999 65.8763728410004,-36.8448635339998 65.8863818410004,-36.7549995339999 65.9291548410004,-36.6241725339999 65.9605368410005,-36.5144455339998 65.9896998410004,-36.4783275339999 66.0466458410004,-36.519163534 66.0488728410004,-36.5441635339998 66.0508088410004,-36.565563534 66.0563638410005,-36.5755545339999 66.0663728410005,-36.5691725339999 66.0748548410004,-36.5372275339999 66.0808268410004,-36.3858365339999 66.0869268410004,-36.3738905339999 66.0871998410004,-36.347081534 66.0827638410004,-36.3430545339997 66.0730548410006,-36.3741725339999 66.0530368410005,-36.3940995339998 66.0233908410004,-36.393890534 65.9963728410004,-36.3891635339999 65.9383088410004,-36.3855635339999 65.9226178410004,-36.374718534 65.9145728410004,-36.3536185339999 65.9074818410004,-36.3319455339999 65.9072088410004,-36.2683455339999 65.9566728410005,-36.2216725339998 65.9373908410004,-36.0958365339999 65.9266548410005,-36.083063534 65.9283178410004,-36.063609534 65.9341458410004,-35.8963905329997 66.0149998410005,-35.785836533 66.0755458410004,-35.7230545329999 66.1177548410005,-35.6980545329998 66.1205268410005,-35.6408365329999 66.1185908410005,-35.6038905329999 66.1044268410005,-35.5986095329999 66.1058178410004,-35.5874995329999 66.1102638410005,-35.5722905329999 66.1326178410005,-35.6220545329999 66.2045368410004,-35.5513905329999 66.2431728420004,-35.6783365329999 66.3021998420004,-35.8795815329999 66.4148458420004,-35.8727725329998 66.4221998420005,-35.8558365329999 66.4324818420005,-35.8349995329999 66.4349818420004,-35.7711095329998 66.4347088420006,-35.7624995329999 66.4249908420005,-35.7272185329999 66.3880458420004,-35.6230545329998 66.3199908420004,-35.4986095329999 66.2944368420004,-35.3933365329999 66.2869268420004,-35.2327725329999 66.2419268420005,-35.2038905329998 66.2377638420005,-35.103054533 66.2344178420004,-35.0629185329998 66.2390088420005,-35.0420905329999 66.2506818420005,-35.0427815329999 66.2611088420005,-35.0538905329999 66.2685998420005,-35.165272533 66.2988728420004,-35.2008365329999 66.3049818420005,-35.2325635329999 66.3117818420004,-35.2257635329998 66.3619268420004,-35.144999533 66.4094268420006,-35.1249995329999 66.4167908420004,-35.1095185329999 66.4155458420004,-35.1061095329999 66.3935998420006,-35.1113905329998 66.3662368420005,-35.1169455329998 66.3572088420005,-35.1281905329999 66.3460998420004,-35.1266635329999 66.3352638420005,-35.1108365329999 66.3249998420004,-34.9941635329999 66.2869268420004,-34.9841725329998 66.2841458420005,-34.9708365329999 66.2830548420005,-34.9458275329999 66.2863728420004,-34.8102815319999 66.3108088420004,-34.7772185319999 66.3194458420004,-34.7199905319999 66.3383178420004,-34.6399995319998 66.3722088420004,-34.6188905319999 66.4074818420004,-34.4093725319999 66.5390088420005,-34.4188905319999 66.5524728420004,-34.4447185319999 66.5652638420004,-34.457781532 66.5716548420005,-34.4841725319998 66.6321998420005,-34.479436532 66.6494268420005,-34.4377725319998 66.7342818420004,-34.4266725319998 66.7423368420004,-34.4073635319997 66.7365818420005,-34.389309532 66.6766548420005,-34.400136532 66.6499908420005,-34.3991725319998 66.6296998420004,-34.394309532 66.6162368420004,-34.3645815319999 66.5954088420004,-34.3445815319998 66.6034548420005,-34.3088905319999 66.6388818420004,-34.2699995319999 66.6319268420005,-34.2833365319999 66.5722178420004,-34.2705545319998 66.5745728420005,-34.2538905319999 66.5844268420005,-34.0924995319997 66.6997088420005,-34.0466725319998 66.7402548420005,-34.0011095319997 66.8799728420004,-33.9969455319999 66.9394178420005,-33.9730545319998 66.9905368420004,-33.9522275319999 66.9930458420004,-33.927499532 66.9910908420005,-33.8897275319999 66.9858088420004,-33.8672185319999 66.9835998420004,-33.8336095319999 66.9822088420004,-33.7325635309998 66.9894908420004,-33.7344455309999 67.0041638420005,-33.6733365309999 67.0872088420004,-33.6630545309998 67.0913728420005,-33.6488905309999 67.0930458420005,-33.6363905309997 67.0935998420005,-33.5519365309999 67.1124908420004,-33.517218531 67.1896998420004,-33.3662545309999 67.2474818420004,-33.4244455309999 67.3345728430004,-33.4424995309998 67.3424818430004,-33.4605545309999 67.3452638430004,-33.4927725309998 67.3480368430005,-33.5236095309997 67.3472178430004,-33.549863531 67.3441548430005,-33.595972531 67.3712908430004,-33.5758365309999 67.3733088430004,-33.5002815309999 67.3733088430004,-33.417636531 67.3608178430006,-33.4058275309999 67.3533178430005,-33.3908365309999 67.3510908430004,-33.3780545309999 67.3516548430006,-33.3397185309998 67.3577548430004,-33.3252815309999 67.3655368430004,-33.273190531 67.4037368430004,-33.270281531 67.4810908430005,-33.237499531 67.5366548430005,-33.2166635309999 67.5416548430005,-33.2033275309999 67.5466458430004,-33.178609531 67.5585908430004,-33.1047185309999 67.5944368430005,-33.057918531 67.6350548430004,-33.0727725309999 67.6402728430004,-33.1099995309999 67.6472178430004,-33.124999531 67.6494268430004,-33.1377815309999 67.6505458430005,-33.1480545309997 67.6486088430004,-33.1705545309998 67.6472178430004,-33.188190531 67.6490178430005,-33.1974905309999 67.6541638430005,-33.2052725309998 67.6663728430005,-33.2077815309997 67.6799818430005,-33.1986095309997 67.6880368430004,-33.1861095309998 67.6924728430005,-33.164445531 67.6949728430005,-33.1411095309999 67.6958178430005,-33.1155545309998 67.6935908430004,-33.0963905309999 67.6896998430004,-33.051663531 67.6783178430005,-33.0236095309999 67.6766548430005,-32.9236185309999 67.6902638430005,-32.8663905309999 67.7016638430005,-32.8405545309998 67.7072178430005,-32.7797275309999 67.7224908430005,-32.54749953 67.8163728430005,-32.5322185299999 67.8397088430004,-32.5397275299999 67.8441458430005,-32.5466725299999 67.8572088430004,-32.5377815299998 67.8655368430005,-32.5208365299999 67.8692818430005,-32.3541725299999 67.8841548430005,-32.32139053 67.8813638430005,-32.3086095299998 67.8785818430005,-32.2933365299999 67.8694268430004,-32.27028153 67.8599818430006,-32.2411095299999 67.8530458430004,-32.19527253 67.8449818430004,-32.1697275299999 67.8427548430005,-32.1549995299998 67.8430458430005,-32.1319455299999 67.8488728430005,-32.1248545299999 67.8606818430004,-32.1111185299999 67.9316548430004,-32.0719455299999 67.9958178430005,-32.0352815299999 68.0472088430005,-32.0061095299998 68.0460998430004,-31.9966635299999 68.0494268430004,-31.9966635299999 68.0844268430005,-31.9991635299999 68.0952638430005,-32.03291853 68.1406818430004,-32.0436185299999 68.1480368430004,-32.0555545299999 68.1527728430004,-32.19277253 68.1685908430004,-32.2947275299998 68.1972088430006,-32.3241725299999 68.2041638430005,-32.3524995299998 68.2074908430004,-32.3697185299999 68.2085998430005,-32.3905545299999 68.2044368430005,-32.4002725299998 68.1994178430005,-32.3916725299999 68.2263818430004,-32.2319455299999 68.2224908430006,-32.2061095299997 68.2188728430005,-32.1333275299999 68.1960908430004,-32.13749953 68.2449818430006,-32.1902815299998 68.3249998430005,-32.30193653 68.3516548430005,-32.31833653 68.3535908440004,-32.4311185299999 68.3794268440004,-32.45332753 68.3885998440005,-32.4667995299999 68.3959638440006,-32.52721853 68.4503998440005,-32.5574995299999 68.4877638440004,-32.5643725299998 68.5043638440004,-32.5202815299999 68.4927548440006,-32.5061095299997 68.4921998440004,-32.43249953 68.4991458440005,-32.4211095299997 68.5073548440004,-32.4247185299998 68.5410908440004,-32.45778153 68.5516548440005,-32.4919455299998 68.5772088440004,-32.5029185299999 68.5890178440005,-32.5052815299999 68.6108088440005,-32.4894455299998 68.6184548440004,-32.4758275299998 68.6219178440005,-32.4455455299998 68.6235998440005,-32.4288905299999 68.6219178440005,-32.4088905299998 68.6141548440004,-32.3650095299999 68.5697178440004,-32.3561095299999 68.5585908440004,-32.3311185299999 68.5060998440005,-32.3270815299999 68.4458088440004,-32.3111095299998 68.4358088440004,-32.2640095299999 68.4194178440005,-32.24416353 68.4185908440004,-32.2202725299999 68.4252548440004,-32.0784725299998 68.3349818430005,-32.0754185299999 68.3187368430004,-32.0186095299999 68.2697178430005,-32.00722753 68.2619368430005,-31.9944455299998 68.2591548430005,-31.9733275299998 68.2563818430004,-31.9563905299997 68.2552638430004,-31.9380545299998 68.2560998430005,-31.9138905299999 68.2597178430005,-31.8233365299999 68.2666638430004,-31.6369455289998 68.2558268430005,-31.6199995289999 68.2547178430004,-31.6019455289999 68.2524908430005,-31.5303455289998 68.2342908430004,-31.5374995289999 68.2271998430004,-31.5541725289999 68.2244268430005,-31.591390529 68.2235998430004,-31.6274995289998 68.2249908430005,-31.6672185289999 68.2277638430004,-31.7013905299998 68.2233088430004,-31.7458275299999 68.2073458430005,-31.6897995299999 68.1875368430004,-31.6786455299999 68.1783268430004,-31.6897995299999 68.1686368430005,-31.7005545299999 68.0966548430004,-31.5836095289998 68.0688818430004,-31.5716635289999 68.0669368430005,-31.5433365289998 68.0688818430004,-31.4724995289998 68.0741548430004,-31.4599995289998 68.0755458430004,-31.4182725289999 68.0874908430005,-31.4224995289999 68.0972178430005,-31.4452815289999 68.1044268430005,-31.4613905289999 68.1063728430005,-31.4912455289999 68.1142908430005,-31.5002815289997 68.1208178430004,-31.5001365289998 68.1372818430005,-31.4815275289998 68.1491548430005,-31.4561095289999 68.1535908430004,-31.4288905289998 68.1549818430004,-31.3888905289999 68.1549818430004,-31.3749995289999 68.1544368430004,-31.342290529 68.1451908430005,-31.362781529 68.1416638430005,-31.3874995289999 68.1422088430005,-31.415554529 68.1405458430004,-31.4380545289998 68.1380458430005,-31.4514545289998 68.1300548430004,-31.4380545289998 68.1216458430005,-31.4033275289997 68.1127638430005,-31.3327815289999 68.0969368430005,-31.1180545289999 68.0508088430005,-31.0219455289999 68.0394268430004,-30.997772529 68.0485998430005,-30.915554529 68.0716548430005,-30.8938905289999 68.0747088430004,-30.867781529 68.0752728430005,-30.718890529 68.0680548430005,-30.6991635289999 68.0630368430004,-30.682499529 68.0616458430005,-30.6619455289999 68.0610998430004,-30.5108365279999 68.0577548430004,-30.4824995279997 68.0572088430005,-30.4536095279999 68.0577548430004,-30.4338905279998 68.0597088430004,-30.4229185279999 68.0652548430004,-30.4661095279999 68.1649818430005,-30.4744455279998 68.1730368430004,-30.4849995279999 68.1785908430006,-30.565281528 68.1960908430004,-30.6888905289999 68.2199818430004,-30.8136095289998 68.2444908430004,-30.8033365289998 68.2527728430005,-30.7536095289999 68.2586088430004,-30.7097185289999 68.2608178430004,-30.6933365289999 68.2605458430004,-30.4147185279998 68.2224908430006,-30.3999995279999 68.2184638430004,-30.3920815279999 68.2059638430005,-30.3930545279999 68.1946998430004,-30.3963905279999 68.1763728430005,-30.4036095279998 68.1655458430005,-30.410554528 68.1544368430004,-30.408890528 68.1422088430005,-30.3838905279999 68.1152638430004,-30.3638905279999 68.0997178430005,-30.3522185279999 68.0924818430005,-30.3411095279999 68.0913728430004,-30.2697185279999 68.0922088430004,-30.0452815279999 68.1102638430004,-30.0258365279998 68.1130368430005,-30.0119455279998 68.1203998430004,-30.0136095279998 68.1317908430004,-30.110554528 68.2177548430005,-30.1194455279999 68.2227638430004,-30.1422275279999 68.2327548430005,-30.1580545279999 68.2360998430004,-30.1969455279998 68.2424818430005,-29.996945528 68.3749818440005,-29.8661095279999 68.4131818440005,-29.851663528 68.4136088440005,-29.8422275279999 68.4099908440004,-29.779236528 68.3684548440005,-29.7844455279999 68.3491548430005,-29.7904185279999 68.3286088430004,-29.787363528 68.3187368430004,-29.7730545279999 68.3091458430005,-29.6122185279999 68.2419268430004,-29.5047185269999 68.2156908430005,-29.4897185269999 68.2130458430005,-29.4647185269999 68.2113818430005,-29.4513905269999 68.2116548430005,-29.4339905269999 68.2134908430006,-29.376945527 68.1994178430005,-29.3444455269999 68.2547178430004,-29.3416635269999 68.2816638430004,-29.3427815269999 68.2983178430004,-29.3338905269998 68.3055458430005,-29.3036095269998 68.3146998430005,-29.2833365269998 68.3163728430005,-29.231390527 68.2955368430005,-29.2156905269998 68.2856818430005,-29.2066635269999 68.2730368430005,-29.195690527 68.2613728430005,-29.1813905269999 68.2586088430004,-29.1292995269999 68.2759548430005,-29.1187455269999 68.2822088430005,-29.099863527 68.3062268430004,-29.1024995269999 68.3247088430005,-29.1149995269999 68.3313728430005,-29.1644455269999 68.3419368430004,-29.1749995269998 68.3460998430004,-29.1861095269999 68.3549818440004,-29.2082635269999 68.3826178440005,-29.1872185269999 68.3905458440004,-29.1577725269999 68.3949908440005,-29.1474995269999 68.3958268440004,-28.932218527 68.3558178440005,-28.9041635269999 68.3452638430004,-28.8477815269999 68.3185998430004,-28.848890527 68.3638728440004,-28.8394455269999 68.3726088440005,-28.638054527 68.3913728440004,-28.6038905269999 68.4083268440004,-28.4956905269999 68.4463638440005,-28.438054526 68.4466458440004,-28.4191635259998 68.4441368440004,-28.2602815259999 68.4294268440005,-28.0088905259998 68.4517908440005,-28.005281526 68.4631818440004,-28.0122185259999 68.4749818440005,-28.023054526 68.4888728440005,-28.0369455259997 68.5542818440005,-28.016109526 68.5627638440004,-27.9574995259999 68.5695818440005,-27.945554526 68.5685998440005,-27.9352815259999 68.5615088440005,-27.933890526 68.5391548440005,-27.9324995259999 68.5274818440004,-27.9231905259998 68.5134548440005,-27.9041635259997 68.5019368440005,-27.8849995259998 68.4941368440005,-27.791663526 68.4694368440005,-27.7813905259999 68.4677548440004,-27.6199995259997 68.4760908440004,-27.6043095259999 68.4851178440005,-27.6158365259999 68.4944268440005,-27.7063905259999 68.5122088440004,-27.683327526 68.5360998440004,-27.591945526 68.5719268440004,-27.5774995259999 68.5774818440005,-27.558890526 68.5811088440004,-27.5166635259998 68.5791638440004,-27.4900635259999 68.5722818440005,-27.5097275259999 68.5594178440005,-27.5240995259999 68.5513728440005,-27.502081526 68.5409638440004,-27.4569455259999 68.5369268440005,-27.3769455249999 68.5330548440004,-27.3149995249999 68.5327638440005,-27.2235365249999 68.5383818440004,-27.2158275249998 68.5452548440005,-27.224718525 68.5516548440005,-27.252499525 68.5633088440004,-27.2658365249998 68.5680548440005,-27.2913905249999 68.5752728440005,-27.3319455249999 68.5853998440005,-27.3402815249999 68.5935998440004,-27.3295815249999 68.6008178440004,-27.3055545249999 68.6041548440004,-27.2769455249999 68.6052548440005,-27.1738905249999 68.6013728440005,-27.101945525 68.5855368440004,-27.0705545249999 68.5769368440005,-27.0580545249998 68.5763818440004,-27.0352815249998 68.5788728440004,-27.0131995249998 68.5877728440004,-27.0086095249999 68.5994268440004,-26.8941635249998 68.6469458440006,-26.719854525 68.6692178440004,-26.7038905249999 68.6566458440004,-26.6927725249999 68.6538728440005,-26.6524995249999 68.6513818440004,-26.4574995249998 68.6538728440005,-26.4305545249999 68.6560998440006,-26.4022185249999 68.6591458440005,-26.3633365249998 68.6674818440005,-26.290281524 68.6880368440005,-26.2691725239998 68.6997088440004,-26.2506275239999 68.7346368440004,-26.152218524 68.7816638440004,-26.0230545239999 68.7833268440004,-25.9577725239998 68.7849908440005,-25.9369455239998 68.7896998440004,-25.899163524 68.8033178440004,-25.8719455239999 68.8138728440005,-25.7841725239998 68.8483268440005,-25.6269455239998 68.8683178440004,-25.6099995239998 68.8758088440005,-25.5815275239999 68.9009638440004,-25.5793095239999 68.9108178440004,-25.587499524 68.9166548440004,-25.621945524 68.9121998440006,-25.6336095239998 68.9133178440005,-25.7135365239998 68.9313638440004,-25.704163524 68.9531818440005,-25.6877815239999 68.9588818440005,-25.662218524 68.9624908440005,-25.5952815239999 68.9647088440004,-25.5569455239998 68.9641548440005,-25.501663524 68.9566458440004,-25.4794455239999 68.9560998440006,-25.4634725239998 68.9577728440004,-25.443472524 68.9647178440004,-25.4370815239999 68.9744268440004,-25.4449995239999 68.9838728440004,-25.4569455239999 68.9896998440004,-25.5372275239999 69.0291638440004,-25.6419455239998 69.0824908440004,-25.6358365239999 69.0927548440006,-25.609445524 69.1035908440005,-25.5988905239999 69.1041548440004,-25.5846545239999 69.0954088440004,-25.5680545239998 69.0830548440005,-25.5474995239999 69.0769368440004,-25.3447185239999 69.0260908440005,-25.3055545239999 69.0185998440005,-25.2913905239998 69.0199908440005,-25.2316635229999 69.0358088440004,-25.0402815229999 69.1183178440004,-24.9927725229999 69.1633178440005,-24.9861095229999 69.1977548440005,-24.9936095229999 69.2098548440005,-25.0047185229999 69.2144268440004,-25.0299995229999 69.2216458440005,-25.0561095229999 69.2249908440005,-25.0703905229998 69.2258458440004,-25.0938905229997 69.2263818440005,-25.1222185229999 69.2252638440004,-25.1369455229998 69.2238728440005,-25.1586095229999 69.2235998440004,-25.2480545239999 69.2260908440004,-25.2757635239998 69.2373088440004,-25.2188905229999 69.2699908440004,-25.2097185229999 69.2744268440005,-25.1305545229999 69.2947088440005,-25.1016635229998 69.2972088440006,-25.0877815229999 69.2969368440004,-25.050554523 69.2941458440004,-25.0241725229999 69.2908178440004,-24.9874995229998 69.2833268440004,-24.891663523 69.2602728440005,-24.8158365229999 69.2416548440005,-24.8049995229998 69.2388728440005,-24.7830545229999 69.2388728440005,-24.6938905229999 69.2430458440005,-24.6641635229999 69.2469368440006,-24.6452815229997 69.2513908440005,-24.6247185229999 69.2580458440004,-24.6130545229999 69.2658268440005,-24.6086095229999 69.2749908440004,-24.6138905229999 69.3219268440004,-24.6420815229999 69.3613728440005,-24.6549995229999 69.3688638440004,-24.6694455229999 69.3735998440005,-24.6522185229999 69.3944368440005,-24.4788815229998 69.3613728440005,-24.4549995229999 69.3577548440005,-24.4330545229999 69.3580368440005,-24.4197185229999 69.3619268440005,-24.3533365229999 69.4049818440004,-24.3424995229997 69.4124908440005,-24.1683275229999 69.4227638440004,-24.073545522 69.4796368450004,-24.0761095219999 69.4991458450004,-24.0865275219999 69.5147178450005,-24.1036095219999 69.5285908450004,-24.120281522 69.5388728450005,-24.1333275219997 69.5430458450004,-24.1511095219998 69.5460998450005,-24.165554523 69.5472088450004,-24.2055545229999 69.5524728450004,-24.2308275229998 69.5566368450005,-24.2655545229999 69.5666638450004,-24.3172185229999 69.5824908450004,-24.3402815229998 69.5910908450005,-24.3472185229999 69.6019998450004,-24.3319455229999 69.6041548450004,-24.3180545229999 69.5980368450004,-24.2769455229999 69.5863818450005,-24.2599995229999 69.5827638450004,-24.2330545229999 69.5783268450005,-24.0755545219998 69.5552548450004,-23.8577725219998 69.5133178450004,-23.8383365219999 69.5099908450005,-23.819445522 69.5074908450004,-23.8055545219999 69.5080458450005,-23.7927815219999 69.5108178450005,-23.7727815219999 69.5166638450005,-23.6605545219998 69.5535908450004,-23.6488905219999 69.5591458450004,-23.6322275219999 69.5716638450004,-23.5806905219999 69.6258178450004,-23.6886095219998 69.7099908450004,-23.7019455219999 69.7152728450004,-23.7294455219998 69.7208268450004,-23.746945522 69.7227638450004,-23.8222275219999 69.7280458450005,-23.9138905219999 69.7426178450004,-23.9292995219999 69.7522088450005,-23.9008365219999 69.7552638450005,-23.7097185219999 69.7344178450005,-23.6572185219999 69.7266548450005,-23.4769455219999 69.7510998450004,-23.395836522 69.7552638450005,-23.3374995219999 69.7569458450005,-23.2891725219999 69.7519368450005,-23.2619455219998 69.7472088450005,-23.2447905219998 69.7522088450005,-23.249445522 69.7663908450004,-23.2569455219999 69.7752728450005,-23.269727522 69.7885998450005,-23.3044455219999 69.8188818450005,-23.3166635219998 69.8291638450004,-23.325281522 69.8363818450004,-23.3438905219999 69.8405458450005,-23.3844455219999 69.8434638450004,-23.3947185219998 69.8488728450004,-23.3852725219999 69.8533178450005,-23.3649995219999 69.8555458450004,-23.3288905219999 69.8538638450004,-23.301663522 69.8491548450005,-23.2861095219999 69.8449818450006,-23.2569455219999 69.8355368450005,-23.2447185219999 69.8288728450005,-23.2120815219999 69.7981728450005,-23.1994455219999 69.7910908450004,-23.0927815219999 69.7649998450004,-23.0452815209997 69.7583268450004,-23.0163905209999 69.7558268450005,-23.000418521 69.7566638450005,-22.984999521 69.7619368450005,-22.9291635209999 69.7866548450004,-22.9106905209999 69.7981818450004,-22.909163521 69.8099728450004,-22.9263905209999 69.8188818450005,-22.948609521 69.8258178450005,-22.9769455209999 69.8333268450004,-23.0636095209999 69.8469368450005,-23.082081521 69.8472178450004,-23.1047185219998 69.8433178450005,-23.2277725219998 69.8474908450005,-23.2574995219999 69.8521998450004,-23.2740275219999 69.8598458450005,-23.2627815219998 69.8655368450004,-23.2438905219999 69.8716458450005,-23.1960815219999 69.8830548450005,-23.1608275219999 69.8730268450005,-23.132781522 69.8697088450004,-23.106663522 69.8680458450004,-23.0813905209998 69.8680458450004,-23.0633365209999 69.8685908450005,-23.0381275209999 69.8762268450005,-23.0433365209999 69.8872088450005,-23.0547185209999 69.8955368450005,-23.083336521 69.9074818450005,-23.0931905219999 69.9154088450006,-23.0686095209999 69.9387908450004,-23.0461095209998 69.9416548450005,-23.024445521 69.9402638450004,-23.0049995209998 69.9374818450004,-22.9866635209998 69.9335908450005,-22.9685275209999 69.9227638450005,-22.9595275209999 69.9129728450004,-22.946390521 69.9010908450005,-22.9363905209999 69.8966548450005,-22.9083365209999 69.8902728450005,-22.8666635209999 69.8841548450004,-22.8488905209999 69.8819268450005,-22.8072275209999 69.8794268450006,-22.795836521 69.8799728450005,-22.7811095209997 69.8819268450005,-22.7691635209999 69.8883268450004,-22.7772275209997 69.8947178450005,-22.792499521 69.8980368450004,-22.8102815209999 69.9002728450005,-22.8416635209999 69.9016548450005,-22.856390521 69.9030458450005,-22.9083995209999 69.9245178450005,-22.9142995209999 69.9497088450004,-22.9013905209999 69.9533268450005,-22.8799995209999 69.9560998450004,-22.8594455209997 69.9583268450005,-22.8463905209999 69.9585998450005,-22.8136095209999 69.9538728450004,-22.748890521 69.9427458450004,-22.6680545209998 69.9347088450005,-22.6422275209999 69.9338728450004,-22.6138905209999 69.9341458450004,-22.575554521 69.9374818450004,-22.4988905209999 69.9708268450004,-22.4797185209999 69.9813728450004,-22.395836521 69.9672088450005,-22.382218521 69.9694368450005,-22.3611095209998 69.9741548450004,-22.3244455209999 69.9877638450005,-22.2947275209999 70.0005458450005,-22.2649995209999 70.0144368450004,-22.165272521 70.0702638450005,-22.1119455209998 70.1038638450005,-22.1013905209997 70.1105368450006,-22.0811095209999 70.1371368450004,-22.1024995209998 70.1494268450004,-22.1177815209999 70.1516548450004,-22.170272521 70.1510908450005,-22.2002725209999 70.1505458450005,-22.2180545209999 70.1483268450004,-22.2367995209999 70.1441548450005,-22.2516635209998 70.1374998450004,-22.268609521 70.1321998450005,-22.3786095209999 70.1116458450005,-22.5020185209999 70.0983268450005,-22.5533365209999 70.0958268450004,-22.5911095209999 70.0894268450004,-22.6466635209999 70.0852638450004,-22.785836521 70.0791638450004,-22.8619455209999 70.0802728450005,-23.1613905219998 70.0905458450005,-23.560554522 70.1060908450004,-23.590836522 70.1097088450005,-23.6099995219998 70.1146998450004,-23.801663522 70.1427638450004,-23.9247185219999 70.1519268450004,-24.532781523 70.2549908450005,-24.7674995229999 70.3097088450005,-24.9716635229998 70.3547088450004,-25.0005545229999 70.3599818450004,-25.0311095229998 70.3630368450004,-25.0466725229999 70.3594178450005,-25.1063905229999 70.3426268450004,-25.1955545229999 70.3002638450004,-25.2105545229999 70.2833178450004,-25.2188905229999 70.2766548450005,-25.2347185239999 70.2720728450004,-25.3038905239999 70.2727638450004,-25.3294455239998 70.2738818450006,-25.346390524 70.2822088450005,-25.353890524 70.3003998450005,-25.3490275239998 70.3126178450005,-25.3408365239999 70.3211088450005,-25.3280545239999 70.3302728450004,-25.2611095239998 70.3724818450005,-25.236945524 70.3794268450005,-25.2183275229999 70.3858178450004,-25.1988905229999 70.4058178450004,-25.2124995229998 70.4130368450005,-25.2291635229999 70.4144268450004,-25.2611095239998 70.4136088450004,-25.278054524 70.4127638450004,-25.2916635239999 70.4110998450004,-25.6374995239999 70.3552548450004,-25.7055545239999 70.3405458450004,-25.9941635239998 70.2769268450004,-26.0827815239999 70.2522088450004,-26.2772275239999 70.2038728450005,-26.307499525 70.1977548450005,-26.3416635249999 70.1963638450004,-26.3766635249999 70.1972088450005,-26.4691635249999 70.2022088450005,-26.5222275249999 70.2085998450004,-26.5666635249999 70.2158178450005,-26.5806995249999 70.2213728450005,-26.5902815249998 70.2306728450005,-26.6105545249999 70.2374908450005,-26.6274995249997 70.2413638450005,-26.6591635249999 70.2460908450004,-26.696663525 70.2508268450004,-26.732772525 70.2533268450005,-26.796945525 70.2530548450004,-26.867499525 70.2519368450004,-26.8816725249998 70.2510998450005,-26.8988905249999 70.2485998450006,-27.0694455249999 70.2058268450005,-27.1058365249999 70.1958178450005,-27.147218525 70.1799818450005,-27.1702725249999 70.1694368450005,-27.182499525 70.1608088450006,-27.1947185249999 70.1183088450004,-27.1819455249999 70.1051268450004,-27.1797185249999 70.0952728450004,-27.1855545249999 70.0866548450004,-27.2836095249999 69.9840088450005,-27.295281525 69.9755368450005,-27.3088905249999 69.9697088450004,-27.322227525 69.9652728450005,-27.3419455249999 69.9624908450004,-27.4155545259998 69.9552638450006,-27.4347185259999 69.9541638450005,-27.4961095259999 69.9605368450004,-27.5061095259999 69.9627728450005,-27.5172275259999 69.9669368450005,-27.5272275259999 69.9741548450004,-27.5224995259999 69.9852638450005,-27.5202815259998 70.0347088450004,-27.5302815259998 70.0469268450004,-27.5427815259999 70.0509548450005,-27.5686095259999 70.0530368450004,-27.6080545259998 70.0513728450004,-27.639718526 70.0485998450005,-27.7969455259999 70.0316638450005,-27.8249995259999 70.0280458450005,-27.8519455259999 70.0227638450004,-27.941390526 70.0083268450006,-27.972499526 70.0076368450005,-28.011390526 70.0213818450005,-28.0497275259999 70.0363728450005,-28.0883365259999 70.0587268450005,-28.098609526 70.0660818450004,-28.125554526 70.0719268450006,-28.1711095259999 70.0730458450004,-28.1983365259999 70.0699908450004,-28.3461095259999 70.0521998450005,-28.3738905259999 70.0477638450004,-28.3908365259999 70.0472088450005,-28.516109527 70.0438728450005,-28.5305545269999 70.0435908450004,-28.5427815269999 70.0447088450004,-28.5551365269998 70.0527638450004,-28.589445527 70.0894268450004,-28.575836527 70.0955368450004,-28.361663526 70.1121998450005,-28.2749995259998 70.1380458450004,-28.2644455259999 70.1397088450004,-28.2422185259998 70.1413728450004,-28.211109526 70.1427638450004,-28.1824995259998 70.1438728450005,-28.1491635259999 70.1438728450005,-28.121390526 70.1433268450004,-28.080281526 70.1383178450006,-28.0652815259999 70.1349908450005,-28.0172275259999 70.1188638450005,-28.005281526 70.1135998450005,-27.9802815259999 70.1055458450004,-27.9644455259999 70.1013818450005,-27.9358365259999 70.0949818450005,-27.876663526 70.0883178450005,-27.853336526 70.0880458450006,-27.8216635259999 70.0933178450005,-27.8061095259999 70.0963728450005,-27.792499526 70.0999908450005,-27.7791635259998 70.1044268450004,-27.7569455259999 70.1133088450004,-27.743890526 70.1177548450004,-27.7208365259999 70.1246908450005,-27.507781526 70.1636088450004,-27.369999525 70.2055548450004,-27.3294455249999 70.2302728450005,-27.3163905249998 70.2355368450005,-27.2933365249999 70.2433178450005,-27.259163525 70.2522088450004,-27.0811095249999 70.2963728450006,-27.0680545249999 70.2994268450005,-26.9536095249999 70.3236088450004,-26.9305545249999 70.3241548450005,-26.9041635249998 70.3188818450004,-26.8941635249998 70.3141458450004,-26.8855545249999 70.3088728450005,-26.8641635249999 70.3023458450004,-26.7427725249999 70.2885908450004,-26.7274995249999 70.2874908450004,-26.7127725249999 70.2874908450004,-26.6961095249999 70.2885908450004,-26.5988905249999 70.3024728450004,-26.5738905249999 70.3077548450005,-26.373890525 70.3549818450005,-26.3408365249998 70.3638728450005,-26.3269455249998 70.3787998450005,-26.4822185249998 70.4638818450005,-26.5009725249999 70.4684548450005,-26.5519455249997 70.4730368450005,-26.6236095249999 70.4769268450005,-26.6724995249998 70.4783178450005,-26.724445525 70.4785908450005,-26.7747275249999 70.4766548450004,-26.8233365249999 70.4710998450005,-26.8399995249999 70.4677548450005,-26.897781525 70.4527728450005,-26.943054525 70.4446998450005,-27.021390525 70.4377638450004,-27.0388905249998 70.4374818450005,-27.066663525 70.4396998450005,-27.079163525 70.4408088450004,-27.2608365249999 70.4444268450005,-27.5574995259998 70.4244268450004,-27.8422275259998 70.3997178450005,-28.159999526 70.3760818450004,-28.2166635259999 70.3680458450004,-28.225272526 70.3683178450004,-28.2419455259999 70.3710908450005,-28.2677815259998 70.3791548450005,-28.2913905259999 70.3883178450005,-28.3249995259999 70.4035908450005,-28.3373635259999 70.4116548450005,-28.3472275259999 70.4287368450005,-28.3430545259998 70.4428908450004,-28.3302815259997 70.4527728450005,-28.3130545259999 70.4591638450004,-28.2999995259999 70.4697088450005,-28.2801365259999 70.5052638460004,-28.2977815259998 70.5074908460005,-28.4869455269999 70.4999998460004,-28.5008365269999 70.4980268450005,-28.5127815269998 70.4916548450005,-28.529309527 70.4785908450005,-28.5491635269999 70.4727638450005,-28.5658365269998 70.4713728450005,-28.6199995269999 70.4722178450004,-28.6574995269998 70.4755368450004,-28.6897185269999 70.4749908450004,-28.7372185269998 70.4730368450005,-28.754172527 70.4716458450005,-28.821109527 70.4630458450004,-28.8511095269999 70.4574908450005,-28.9163905269998 70.4444268450005,-28.9311095269999 70.4402638450005,-28.9552725269999 70.4299818450004,-28.9638905269999 70.4230368450005,-28.9738905269999 70.4163818450005,-28.9869455269999 70.4116548450005,-29.1291635269999 70.3863818450005,-29.203681527 70.3930368450005,-29.2369455269999 70.4453998450005,-29.2298545269997 70.4544368450004,-29.2055545269999 70.4621998450004,-28.938054527 70.4933178450004,-28.786109527 70.5188728460006,-28.743054527 70.5236088460004,-28.7174995269999 70.5230368460005,-28.694445527 70.5197178460005,-28.6783365269998 70.5155458460005,-28.6636095269999 70.5130458460005,-28.6399995269999 70.5113818460005,-28.6252815269999 70.5113818460005,-28.6038905269999 70.5127728460005,-28.427227526 70.5324818460004,-28.4083365259999 70.5358088460005,-28.3054185259999 70.5598368460005,-28.0338905259998 70.7060998460004,-28.0227815259998 70.7142908460004,-27.9194455259998 70.8569368460005,-27.9156905259998 70.8695638460005,-27.9319455259999 70.8808178460004,-28.0972185259999 70.9305458460004,-28.140554526 70.9413638460005,-28.1838905259999 70.9472088460004,-28.291663526 70.9544368460006,-28.3422275259999 70.9577638460005,-28.376663526 70.9591548460005,-28.3899995259997 70.9611088460005,-28.4099995259999 70.9681818460004,-28.4054185259999 70.9770638460005,-28.3174995259999 70.9930458460005,-28.3008365259999 70.9952548460005,-28.1005545259998 70.9841458460004,-28.0402815259999 70.9919268460005,-28.0174995259999 70.9919268460005,-27.855836526 70.9713728460005,-27.8183365259999 70.9652728460005,-27.7913905259999 70.9560998460005,-27.7791635259998 70.9510998460005,-27.7647275259999 70.9469268460004,-27.7383275259999 70.9413638460005,-27.7127725259998 70.9391458460005,-27.6644455259999 70.9369178460004,-27.6297185259999 70.9394178460004,-27.617363526 70.9510998460005,-27.6251365259999 70.9633178460005,-27.6463905259998 70.9758178460004,-27.6974995259998 70.9941368460005,-27.7597275259998 71.0105458460005,-27.778336526 71.0160998460004,-27.8002815259998 71.0266548460004,-27.815281526 71.0355368460005,-27.8324995259999 71.0480368460005,-27.9091635259999 71.1124908460005,-27.9206905259998 71.1299818460005,-27.8252815259999 71.1480368460004,-27.7988905259999 71.1497178460004,-27.7727815259999 71.1458268460004,-27.7602815259999 71.1299728460004,-27.7566725259998 71.1173368460005,-27.748054526 71.1060908460005,-27.7377815259999 71.0999908460004,-27.6030545259999 71.0222178460005,-27.5719455259999 71.0063818460005,-27.5445815259999 70.9894268460005,-27.5277815259998 70.9722178460004,-27.5211185259998 70.9619268460005,-27.5130545259999 70.9460908460005,-27.5008365259998 70.9374728460004,-27.2672275249999 70.9322088460005,-27.2208365249999 70.9327548460005,-27.1744455249998 70.9383088460006,-26.986945525 70.9424728460004,-26.784172525 70.9305458460004,-26.7694455249999 70.9316548460005,-26.478881525 70.9602638460004,-26.4583365249999 70.9638818460004,-26.4466635249999 70.9672088460004,-26.3499995249998 70.9994178460005,-26.2766725239998 71.0273548460004,-26.2627815239999 71.0362268460005,-26.1191635239999 71.0538638460005,-26.039718524 71.0524728460006,-26.0097275239999 71.0558178460005,-25.9977725239999 71.0588728460004,-25.6661095239999 71.1488818460004,-25.5977815239998 71.1691458460005,-25.5836815239999 71.1807458460005,-25.5969455239999 71.1933178460005,-25.6433365239999 71.2063728460005,-25.7391635239999 71.2374908460005,-25.771081524 71.2518268460004,-25.7463905239998 71.2579088460004,-25.710281524 71.2519368460005,-25.634727524 71.2363728460004,-25.5813905239999 71.2216458460005,-25.5372275239999 71.2133178460005,-25.5170815239998 71.2123458460005,-25.4102725239999 71.2748458460005,-25.4123635239999 71.3509638460004,-25.4420815239999 71.3723458460005,-25.4552725239998 71.3741458460004,-25.490836524 71.3722088460005,-25.5099995239999 71.3730268460005,-25.5269455239998 71.3760818460005,-25.5530545239999 71.3844268460005,-25.5727725239998 71.3958268460005,-25.6086095239999 71.4113728460005,-25.6188905239999 71.4163818460004,-25.6452815239999 71.4305458460004,-25.6663905239998 71.4441458460006,-25.6947185239999 71.4627728460004,-25.7197185239999 71.4716458460004,-25.7391635239999 71.4760908460005,-25.8777815239999 71.5002728460004,-25.8961095239999 71.5002728460004,-26.0038905239999 71.4991458460004,-26.0213905239999 71.4972088460004,-26.1805545239999 71.4880368460006,-26.3119455249999 71.4985998460004,-26.421109525 71.5027728460005,-26.5052815249998 71.4902638460004,-26.5299995249999 71.4849818460004,-26.5444455249998 71.4830458460004,-26.674999525 71.4758178460004,-26.8552815249999 71.5047178460005,-26.9805545249999 71.5266548460005,-27.0008365249998 71.5294368460005,-27.0197185249999 71.5299818460005,-27.0366635249999 71.5294368460005,-27.109445525 71.5185998460005,-27.1666635249999 71.5060998460004,-27.1794455249999 71.5013908460004,-27.1913905249999 71.4958178460004,-27.2349995249999 71.4835998460004,-27.3163905249998 71.5091548460005,-27.323890525 71.5159638460004,-27.3123635249999 71.5201268460004,-27.295281525 71.5202638460004,-27.2630545249999 71.5183268460005,-27.246390525 71.5188728460005,-27.2330545249999 71.5227638460004,-27.143054525 71.5505368460005,-27.125972525 71.5622728460004,-27.140554525 71.5713818460005,-27.3736095249998 71.6016548470004,-27.3849995259999 71.6024818470004,-27.5394455259998 71.6116458470004,-27.5938905259999 71.6130368470005,-27.6311095259998 71.6127638470005,-27.647218526 71.6110998470005,-27.6711095259999 71.6072088470004,-27.748890526 71.5922088470005,-27.9252815259999 71.5655368460004,-27.9713815259998 71.5597088460005,-28.0388905259998 71.5530368460004,-28.0538905259999 71.5519268460004,-28.071663526 71.5508088460005,-28.3658365259998 71.5416548460005,-28.3949995259999 71.5410908460005,-28.4544455269999 71.5497088460004,-28.4669455269999 71.5524728460005,-28.4817995269999 71.5577548460005,-28.491663527 71.5630368460004,-28.4874995269998 71.5782548470005,-28.4691635269999 71.5799908470004,-28.4474995259999 71.5760998470005,-28.4358365259999 71.5727728460005,-28.396945526 71.5666638460004,-28.3661095259998 71.5627638460005,-28.3469455259999 71.5621908460005,-28.3316725259999 71.5621908460005,-28.1469455259999 71.5719268460005,-28.0655545259999 71.5763818470004,-28.0011095259999 71.5827638470005,-27.972499526 71.5866548470004,-27.789445526 71.6152638470004,-27.7558365259999 71.6213728470005,-27.7397185259999 71.6252638470004,-27.7294455259998 71.6288638470005,-27.7174995259999 71.6347178470004,-27.6874995259998 71.6416638470005,-27.670836526 71.6447178470004,-27.6533275259999 71.6466548470005,-27.6052815259998 71.6499908470005,-27.571663526 71.6486088470005,-27.5313905259999 71.6452638470005,-27.4563905259998 71.6352728470004,-27.4399995259999 71.6344268470004,-27.4080545259999 71.6358178470005,-27.3930545259997 71.6394368470005,-27.3719455249999 71.6579088470005,-27.3268095249998 71.7126268470005,-27.3597185249998 71.7244268470005,-27.3874995259998 71.7310908470005,-27.4055545259999 71.7322088470005,-27.4394455259999 71.7360998470004,-27.5341725259999 71.7508268470005,-27.5713905259998 71.7594268470004,-27.6055545259999 71.7680548470004,-27.872218526 71.8455368470004,-27.8129185259999 71.8681728470005,-27.8020815259998 71.8758088470005,-27.8094455259998 71.8841548470004,-27.8294455259999 71.8947178470004,-27.8463905259998 71.8991548470005,-27.938054526 71.9119268470005,-27.9752725259999 71.9155458470005,-28.0341725259998 71.9149908470006,-28.095281526 71.9158178470004,-28.2080545259998 71.9197088470005,-28.4424995259999 71.9330458470005,-28.4611095269999 71.9366458470005,-28.4798545269999 71.9473458470005,-28.493327527 71.9594368470005,-28.4905545269999 71.9734548470005,-28.481663527 71.9788638470004,-28.470836527 71.9816548470004,-28.430554526 71.9835998470004,-28.4124995259997 71.9855368470004,-28.3733365259998 71.9933178470005,-28.3568095259999 72.0017998470005,-28.358336526 72.0151268470004,-28.3897185259999 72.0322088470005,-28.4688905269999 72.0602548470004,-28.5041725269999 72.0685998470004,-28.5452815269999 72.0766638470004,-28.5663905269998 72.0791638470005,-28.6180545269999 72.0810998470005,-28.6605545269998 72.0758178470004,-28.6744455269999 72.0727728470005,-28.696945527 72.0779088470004,-28.702981527 72.0883908470005,-28.639718527 72.1244178470004,-28.6172185269999 72.1313638470005,-28.5963905269999 72.1338818470005,-28.5780545269997 72.1310908470005,-28.3111095259998 72.0460998470005,-28.282781526 72.0355368470005,-28.2602815259999 72.0260908470004,-28.2486095259999 72.0177728470005,-28.2384725259998 72.0067998470005,-28.2224995259999 71.9999998470006,-28.2074995259999 71.9969368470004,-28.099163526 71.9769268470005,-28.0691725259998 71.9749908470004,-27.9988905259999 71.9755368470005,-27.9693095259997 71.9779088470004,-27.8824995259998 71.9733088470005,-27.8047185259999 71.9577638470004,-27.7605635259999 71.9485908470004,-27.6938905259999 71.9302638470004,-27.6316725259999 71.9085998470004,-27.6069455259999 71.8940178470004,-27.6286095259998 71.8751178470005,-27.6127815259998 71.8620728470005,-27.4680545259998 71.8069268470004,-27.4566635259998 71.8035908470005,-27.3786095249999 71.7808178470004,-27.3452815249999 71.7780458470005,-27.3227725249998 71.7749908470005,-27.298609525 71.7691458470005,-27.2127725249998 71.7360908470005,-27.2088905249998 71.7199818470004,-27.2016635249998 71.7060998470004,-27.192772525 71.6894178470004,-27.179999525 71.6752638470005,-27.1669455249999 71.6683178470005,-27.0063905249999 71.5963728470006,-26.9819455249998 71.5871998470004,-26.9502725249998 71.5785998470005,-26.8169455249998 71.5519268460004,-26.785836525 71.5469368460005,-26.7483365249998 71.5435908460004,-26.7111095249998 71.5416548460005,-26.654718525 71.5408178460005,-26.6188905249999 71.5430458460004,-26.5694455249999 71.5488728460004,-26.5155545249999 71.5580268460004,-26.477081525 71.5691638460005,-26.3286095249998 71.5788728470005,-25.821109524 71.5519268460004,-25.6452815239999 71.5394268460005,-25.6238905239999 71.5371998460005,-25.584999524 71.5227638460004,-25.564727524 71.5138818460004,-25.5537545239999 71.5034728460005,-25.543609524 71.4902548460005,-25.4738905239998 71.4588818460006,-25.4483365239999 71.4513818460005,-25.3288905239999 71.4116548460004,-25.2816725239998 71.3916638460005,-25.2611095239998 71.3667818460004,-25.2499995239997 71.3599818460005,-25.1138905229999 71.3033178460004,-25.099163523 71.2983268460005,-25.0822185229998 71.2952548460005,-25.0669455229999 71.2949818460004,-24.8719455229999 71.3021998460005,-24.860554523 71.3035908460005,-24.8299995229999 71.3099818460004,-24.7522275229998 71.3291638460004,-24.7399995229999 71.3322178460004,-24.6847905229999 71.2834638460005,-24.573336523 71.2099908460005,-24.5324995229998 71.1941368460004,-24.506945523 71.1858088460004,-24.4644455229999 71.1722088460004,-24.4208365229999 71.1566458460005,-24.3752815229999 71.1363818460005,-24.2791635229999 71.0910908460005,-24.2705545229998 71.0855368460005,-24.2391635229998 71.0569268460005,-24.1924995229999 71.0130458460005,-24.1952815229999 70.9924818460004,-24.206245523 70.9815178460004,-24.2152725229999 70.9735998460005,-24.2238905229999 70.9560998460005,-24.2317995229999 70.9337268460005,-24.2288815229999 70.9138818460004,-24.1831905229997 70.7977638460005,-24.1711095229999 70.7808178460005,-24.0330545219999 70.6608088460006,-24.021945522 70.6522088460004,-24.0108365219999 70.6469458460005,-23.9416635219999 70.6158178460005,-23.8283365219999 70.5669368460005,-23.4944455219999 70.4799818450005,-23.3733365219999 70.4463638450005,-23.349027522 70.4399818450004,-23.331945522 70.4374818450005,-23.1666635219999 70.4274728450005,-23.1088905219999 70.4246998450005,-23.0519455209997 70.4280368450005,-22.9886095209999 70.4330458450004,-22.9538905209999 70.4335908450004,-22.8491635209999 70.4330458450004,-22.801663521 70.4310908450004,-22.7483365209999 70.4274728450005,-22.7136095209999 70.4280368450005,-22.6775635209999 70.4310178450006,-22.6343095209999 70.4421998450004,-22.6227725209999 70.4466368450004,-22.602499521 70.4630458450004,-22.5952815209999 70.4749908450004,-22.5905545209998 70.4869268450005,-22.5658365209999 70.5610998460005,-22.5648635209998 70.5792998460004,-22.5866635209999 70.6152638460005,-22.5986095209999 70.6246908460005,-22.6238905209999 70.6372088460005,-22.6479185209999 70.6572818460004,-22.6494455209998 70.7005458460005,-22.6448635209998 70.7183178460004,-22.614163521 70.7627728460005,-22.5836095209999 70.8041548460005,-22.5268095209999 70.8466458460005,-22.5069455209999 70.8505368460005,-22.4891635209999 70.8510908460004,-22.4649995209998 70.8502638460005,-22.4319455209999 70.8411638460004,-22.4283365209998 70.8091458460004,-22.4386095209999 70.7797088460004,-22.4447185209999 70.7716548460005,-22.457772521 70.7497088460004,-22.4708365209999 70.7024818460005,-22.470899521 70.6573458460004,-22.4447185209999 70.6374998460005,-22.4297185209999 70.6234548460005,-22.413745521 70.5942908460005,-22.4108275209999 70.5736088460005,-22.411799521 70.5594268460005,-22.4179185209998 70.5253368460005,-22.4172185209999 70.4994178450005,-22.4094455209999 70.4763818450005,-22.4005545209998 70.4591548450005,-22.3854185209998 70.4467818450005,-22.373054521 70.4405998450004,-22.3558365209999 70.4385818450004,-22.3194455209999 70.4427458450005,-22.2580545209999 70.4499998450004,-22.2247185209999 70.4541638450004,-22.2124995209998 70.4572178450005,-22.1219455209999 70.4916548450005,-22.0944455209999 70.4963728450005,-22.0608365209999 70.4997088450004,-22.0352815209999 70.4980268450005,-22.00749952 70.4933178450004,-21.9822185199998 70.4863728450005,-21.9661095199999 70.4810908450004,-21.9419455199998 70.4694368450005,-21.9402815199998 70.4549908450004,-21.9574995199999 70.4455268450005,-21.9766635199999 70.4333178450004,-21.9905545199998 70.4219178450004,-21.9995815199999 70.4095728450004,-21.99666352 70.3966548450004,-21.9822185199998 70.3916638450004,-21.9686095199999 70.3897088450005,-21.9583365199999 70.3897088450005,-21.8838905199999 70.4055458450005,-21.7590275199998 70.4217908450004,-21.7444455199998 70.4185908450005,-21.7222185199997 70.4213728450005,-21.6683275199999 70.4305458450004,-21.6441635199998 70.4371908450004,-21.5649995199999 70.4719268450005,-21.5433365199999 70.4871998450005,-21.5216635199999 70.5024908460005,-21.4758275199999 70.5416458460004,-21.4852725199999 70.5463728460004,-21.61666352 70.5847178460005,-21.7391635199999 70.5747088460005,-21.7505545199999 70.5733178460005,-21.7645815199998 70.5740088460005,-21.7772275199998 70.5823548460004,-21.7722275199998 70.5916638460004,-21.7569455199998 70.6033178460004,-21.6538905199999 70.6624908460005,-21.74277252 70.6935908460005,-21.7596545199999 70.7010268460004,-21.7469455199998 70.7080368460004,-21.6508365199999 70.7102638460005,-21.6319455199999 70.7105368460005,-21.5496545199998 70.7059548460005,-21.5538905199999 70.7160908460005,-21.6397185199999 70.7953998460005,-21.6638905199999 70.7991458460005,-21.6794455199999 70.7972088460004,-21.69305452 70.7938728460005,-21.7247185199999 70.7822088460005,-21.7491635199999 70.7755458460004,-21.7855545199998 70.7736088460005,-21.8299995199998 70.7741548460004,-21.8799995199998 70.7830548460005,-21.9113905199999 70.7930458460004,-21.92666352 70.8060178460004,-21.9027815199999 70.8119178460005,-21.8905545199999 70.8113728460005,-21.87805452 70.8088728460004,-21.85722752 70.7988728460004,-21.84110952 70.7947088460005,-21.8286095199999 70.7930458460004,-21.79333652 70.7933178460004,-21.7555545199999 70.7955368460005,-21.7291635199998 70.8008088460004,-21.70221852 70.8227728460005,-21.5930545199998 70.9627728460005,-21.6790275199999 71.0663728460004,-21.6961095199999 71.0722178460005,-21.7388905199999 71.0799908460004,-21.7602815199999 71.0810998460004,-21.7913905199998 71.0797088460004,-21.9777725199999 71.0635998460005,-22.1016635209999 71.0485998460006,-22.1358365209999 71.0433178460005,-22.1649995209997 71.0413638460005,-22.293890521 71.0413638460005,-22.3281905209998 71.0537998460004,-22.103890521 71.0736088460005,-22.0461095209999 71.0708268460004,-21.95444552 71.0827638460004,-21.7894455199999 71.1019268460005,-21.6986095199999 71.1424908460004,-21.68333652 71.1540818460004,-21.6652815199998 71.1883178460005,-21.7247185199999 71.2472088460004,-21.7830545199998 71.2633178460005,-21.8040275199999 71.2648818460004,-21.8255545199999 71.2592908460004,-21.83860952 71.2485998460004,-21.8541635199999 71.2402638460005,-21.8674995199999 71.2349818460004,-21.9027815199999 71.2319368460006,-21.91333652 71.2363728460004,-21.9616635199999 71.2638818460005,-21.9230545199999 71.2705368460004,-21.8544455199998 71.2738818460005,-21.8177815199999 71.2774818460004,-21.8077815199999 71.2794368460005,-21.6077725199999 71.3244368460004,-21.6236095199999 71.3283268460004,-21.69749952 71.3316638460005,-21.7155545199997 71.3310998460005,-21.7833365199999 71.3152638460004,-21.8145815199998 71.3135908460004,-21.79999952 71.3574818460004,-21.7694455199999 71.3758088460005,-21.6986095199999 71.3919368460005,-21.6723635199999 71.4027638460005,-21.7147185199998 71.4374818460006,-21.8055545199999 71.5094268460004,-22.0172275209999 71.4863728460005,-22.0797275209998 71.4942818460005,-22.0933365209998 71.4933178460005,-22.1158365209998 71.4877638460005,-22.1313905209999 71.4835998460004,-22.1808275209999 71.4683178460004,-22.2813905209998 71.4327548460004,-22.2983995209997 71.4215818460004,-22.330281521 71.3724818460004,-22.3318095209999 71.3185998460004,-22.3384725209999 71.2945728460004,-22.3547185209999 71.2702638460004,-22.368190521 71.2567998460005,-22.3819455209999 71.2527728460005,-22.4372185209998 71.2469368460005,-22.4499995209999 71.2483178460005,-22.4711095209998 71.2606908460004,-22.4922185209998 71.3941458460005,-22.534445521 71.4588818460006,-22.5402815209998 71.4839368460004,-22.5127815209998 71.5416548460005,-22.5034725209999 71.5519368460005,-22.4927725209999 71.5583178460005,-22.4541635209999 71.5749998470005,-22.4236095209999 71.5838818470005,-22.2499995209997 71.5899818470004,-22.1708365209999 71.5883178470004,-22.1530545209998 71.5899818470004,-22.119163521 71.5988728470005,-22.1040275209998 71.6099178470005,-22.113336521 71.6177548470005,-22.1261095209999 71.6191368470004,-22.1566635209999 71.6180458470005,-22.1691635209999 71.6185908470005,-22.218336521 71.6310908470004,-22.185554521 71.6472178470004,-22.1655545209999 71.6519268470004,-22.0786095209999 71.6685908470004,-22.0424995209999 71.6716458470004,-22.0147275209999 71.6716458470004,-21.9947185199998 71.6763728470004,-21.9438905199999 71.7047088470005,-21.8980545199998 71.7383088470006,-22.1769455209999 71.7547178470004,-22.2111095209999 71.7544368470006,-22.2288815209998 71.7519368470005,-22.297499521 71.7305458470004,-22.3093095209999 71.7247088470004,-22.3108365209998 71.7119268470005,-22.3977815209999 71.6358178470005,-22.5977815209998 71.5713818460005,-22.6222185209999 71.5716548460004,-22.636109521 71.5770818470004,-22.6619455209998 71.6474908470004,-22.6594455209998 71.6572088470004,-22.6472185209999 71.6655458470005,-22.6227725209999 71.6752638470005,-22.605836521 71.6796998470005,-22.5408365209997 71.7047088470005,-22.437781521 71.7444268470005,-22.4255545209999 71.7535998470004,-22.4097185209998 71.7697178470005,-22.4041635209999 71.7797088470005,-22.4080545209997 71.7902638470005,-22.4297185209999 71.7949818470004,-22.4524995209999 71.7924818470004,-22.717499521 71.7283178470004,-22.8813905209998 71.6858088470004,-22.9613905209998 71.6491548470004,-22.985554521 71.6402728470006,-22.9969455209999 71.6369368470004,-23.0111095209999 71.6344268470004,-23.0880545219998 71.6255368470004,-23.1293095219999 71.6278908470005,-23.1336095219998 71.6383178470005,-23.131945522 71.6535908470004,-23.1256275219998 71.6695638470005,-23.031109521 71.7224908470006,-22.9902725209999 71.7377638470004,-22.9777725209998 71.7416548470005,-22.925827521 71.7513908470004,-22.8947185209998 71.7594268470004,-22.7811095209997 71.7916548470005,-22.7631995209999 71.7976178470004,-22.745690521 71.8067818470005,-22.7383365209999 71.8147088470005,-22.599999521 71.8655368470004,-22.5433365209999 71.8724818470005,-22.5286185209998 71.8749818470004,-22.502218521 71.8842908470004,-22.4944455209999 71.8927638470005,-22.5036095209998 71.9002728470005,-22.5222275209998 71.9085998470004,-22.5402815209998 71.9146998470005,-22.5716635209999 71.9233088470004,-22.6549995209999 71.9435908470005,-22.7372185209998 71.9611088470004,-22.8119455209999 71.9746998470005,-22.8594455209997 71.9827548470005,-23.0286185209998 72.0113818470005,-23.0433365209999 72.0130458470005,-23.0640995209998 72.0072818470006,-23.0772275209997 71.9985998470004,-23.1019455219999 71.9941368470004,-23.1247185219999 71.9952548470005,-23.1644455219998 72.0038728470006,-23.192845522 72.0153368470005,-23.1849995219999 72.0227638470004,-23.1152725219999 72.0338728470005,-23.0994455219999 72.0412268470004,-23.0916635219999 72.0542818470005,-23.1111095219998 72.0655368470004,-23.1249995219998 72.0688818470005,-23.254445522 72.0902728470004,-23.5052815219998 72.1302638470004,-23.6466635219999 72.1480368470005,-23.7052725219999 72.1803998470004,-23.711945522 72.2077728470004,-23.7472185219999 72.2366458470005,-23.7561095219999 72.2419268470005,-23.8186095219998 72.2555548470004,-23.8380545219999 72.2566548470005,-23.9136095219999 72.2602728470005,-24.0636095219999 72.2722178470005,-24.3255545229999 72.3283268470005,-24.4122185229999 72.3502638470005,-24.4241635229998 72.3544268470005,-24.4363905229999 72.3599818470004,-24.4702725229998 72.3760818470004,-24.5005545229997 72.3947178470005,-24.5093095229999 72.4055458470004,-24.5205545229999 72.4119268470004,-24.5574995229998 72.4174818470005,-24.588336523 72.4210998470004,-24.8074995229998 72.4277638470004,-24.923609523 72.3983268470005,-25.131109523 72.3677548470005,-25.1633365229999 72.3646998470005,-25.1936095229999 72.3577548470005,-25.2183275229999 72.3463728470004,-25.3613905239998 72.2738818470005,-25.3727725239999 72.2594268470005,-25.404863524 72.2092908470004,-25.4052095239998 72.1869908470004,-25.392499524 72.1687268470005,-25.3898635239999 72.1522728470005,-25.4002725239999 72.1416638470004,-25.4130545239999 72.1361088470005,-25.4266635239997 72.1316548470004,-25.455554524 72.1260818470005,-25.4849995239999 72.1216458470004,-25.5130545239999 72.1202548470004,-25.5274995239997 72.1228908470004,-25.499445524 72.2147088470005,-25.4933275239999 72.2269268470005,-25.4852725239999 72.2385908470005,-25.4666635239999 72.2572178470005,-25.3341635239998 72.3452638470005,-25.296045524 72.3697088470005,-25.2883365239998 72.3830458470005,-25.2980545239998 72.3888818470004,-25.3111095239998 72.3916638470006,-25.351109524 72.3969458470004,-25.4888905239999 72.4058178470005,-25.508609524 72.4058178470005,-25.5433365239999 72.4038728470005,-25.5955545239999 72.3983268470005,-25.6449995239999 72.3913728470005,-25.6772275239999 72.3883178470005,-25.7152725239999 72.3861088470005,-25.754172524 72.3861088470005,-25.795281524 72.3899818470005,-25.892499524 72.4063728470005,-25.9074995239998 72.4154088470004,-25.8958365239998 72.4205368470005,-25.851390524 72.4252638470005,-25.816109524 72.4260908470005,-25.7961095239999 72.4252638470005,-25.6355545239999 72.4260908470005,-25.509163524 72.4360998470005,-25.4777725239999 72.4377638470005,-25.4172185239999 72.4371908470005,-25.3777815239999 72.4363728470004,-25.3408365239999 72.4344178470004,-25.2994455239999 72.4305458470005,-25.261390524 72.4288638470005,-25.1594455229999 72.4296998470005,-25.1197185229999 72.4310908470005,-25.0838905229999 72.4341458470005,-24.9091635229998 72.4602638470005,-24.7124995229998 72.4949818470004,-24.697499523 72.4977548470005,-24.6099275229999 72.5242908470004,-24.6030545229999 72.5491458470004,-24.6619455229999 72.5713818470005,-24.7223545229999 72.5872088470005,-24.7416635229999 72.6385998470005,-24.7397185229999 72.6491548480005,-24.730281523 72.6564178480004,-24.6992365229999 72.6692178480005,-24.7147185229999 72.6830458480005,-24.726945523 72.6874818480005,-24.8272275229999 72.7152728480004,-24.8424995229999 72.7194368480004,-25.1324995229999 72.7488728480005,-25.1913905229999 72.7563818480004,-25.4727725239999 72.8294368480005,-25.4930545239997 72.8327638480004,-25.5311095239998 72.8347178480004,-25.5666635239999 72.8330548480005,-25.6033365239997 72.8272088480005,-25.6222185239999 72.8227728480005,-25.6436095239998 72.8163728480005,-25.7283365239999 72.7880368480006,-25.7833365239998 72.7685998480005,-25.840554524 72.7502728480005,-25.8699995239999 72.7438638480005,-25.9024995239998 72.7371998480005,-26.0197185239999 72.7197088480005,-26.075836524 72.7138818480005,-26.111945524 72.7127728480004,-26.1336095239998 72.7133178480005,-26.2505545239998 72.6691458480005,-26.3233365249999 72.6233088470004,-26.3466725249999 72.6130368470005,-26.421945525 72.5802728470005,-26.4533275249999 72.5727728470004,-26.4627725249999 72.5722178470005,-26.475136525 72.5788818470005,-26.4661095249999 72.5877728470004,-26.4174995249999 72.6077548470004,-26.3908365249998 72.6180458470005,-26.3691635249999 72.6309548470005,-26.3051365239999 72.7256818480005,-26.3155545249998 72.7349818480005,-26.3308365249999 72.7380368480005,-26.3449995249999 72.7391548480005,-26.5186095249998 72.7224908480005,-26.6608275249999 72.7088818480005,-26.7108275249998 72.7041638480005,-26.7408365249999 72.7044368480004,-26.762218525 72.7060998480005,-26.7781995249999 72.7119268480005,-26.6999995249998 72.7285908480005,-26.6819455249998 72.7313728480005,-26.6169455249999 72.7391548480005,-26.538054525 72.7427548480004,-26.5022275249999 72.7463728480004,-26.4641635249998 72.7519368480005,-26.396245525 72.7684638480004,-26.428609525 72.7780458480004,-26.6786095249999 72.8252728480006,-26.6972185249999 72.8283268480005,-26.7430545249999 72.8316638480005,-26.920272525 72.8216548480005,-27.0411095249999 72.8124818480004,-27.108609525 72.8060908480004,-27.1266635249997 72.8055458480005,-27.1697185249998 72.8049818480005,-27.3444455249997 72.8188818480004,-27.3722185249999 72.8227728480005,-27.3819455259999 72.8272088480005,-27.3877815259999 72.8406818480004,-27.3830545259999 72.8508178480005,-27.369999525 72.8560908480005,-27.355836525 72.8574818480005,-27.3458365249999 72.8580368480004,-27.3219455249997 72.8574818480005,-27.2822185249998 72.8527638480005,-27.2452815249999 72.8455368480005,-27.2347185249999 72.8419368480005,-27.1727725249999 72.8272088480005,-27.1341635249999 72.8219268480004,-27.1008365249999 72.8219268480004,-27.0855545249997 72.8238818480004,-26.952499525 72.8427548480005,-26.7777815249999 72.8674818480004,-26.7330545249999 72.8710908480004,-26.7163905249998 72.8710908480004,-26.6836095249999 72.8694268480004,-26.662218525 72.8674818480004,-26.6327815249999 72.8633088480005,-26.595281525 72.8516548480004,-26.570554525 72.8441458480005,-26.538609525 72.8361088480004,-26.3038905239999 72.7858088480004,-26.260836524 72.7777728480004,-26.2063905239999 72.7758178480004,-26.184999524 72.7763818480004,-26.027227524 72.7871998480004,-25.9891635239998 72.7935908480005,-25.9447185239999 72.8052548480005,-25.9013905239999 72.8188818480004,-25.8761095239999 72.8272088480005,-25.8516635239999 72.8361088480004,-25.8316725239999 72.8447088480004,-25.8063905239999 72.8587368480004,-25.7813905239998 72.8727548480005,-25.7549995239999 72.8849908480005,-25.7127725239999 72.8955368480006,-25.6938905239999 72.8974908480004,-25.6402815239999 72.8972178480005,-25.5288905239999 72.8949908480005,-25.410281524 72.8919368480004,-25.373336524 72.8916638480006,-25.3197185239999 72.8913728480005,-25.307499524 72.8930548480005,-25.159718523 72.9274728480004,-25.1455545229998 72.9322088480004,-25.1319455229998 72.9377638480005,-25.0211185229997 72.9860998480004,-24.9929185229998 73.0051368480004,-24.9858365229998 73.0167908480005,-25.051254523 73.0809638480005,-25.0613905229998 73.0833268480004,-25.0997275229999 73.0830548480005,-25.1536095229999 73.0824908480005,-25.2259455229998 73.0812818480005,-25.3866635239998 73.0888818480005,-25.4299995239999 73.0938728480004,-25.6297185239998 73.1174818480004,-25.7224995239999 73.1338818480004,-25.7641635239999 73.1416638480005,-25.7769455239999 73.1458268480005,-25.7872275239999 73.1513818480004,-25.8065275239999 73.1641548480005,-25.8199995239999 73.1722088480004,-25.855554524 73.1820638480004,-25.882499524 73.1858088480005,-25.9705545239999 73.1960908480004,-25.991945524 73.1980268480006,-26.013618524 73.1997088480005,-26.0544455239999 73.1997088480005,-26.0933365239998 73.1966368480004,-26.2055545239999 73.1908088480005,-26.2824995239998 73.1885818480005,-26.3233365249999 73.1885818480005,-26.406945525 73.1944268480004,-26.4274995249999 73.1944268480004,-26.4491635249999 73.1935908480005,-26.4663905249998 73.1913638480004,-26.4808275249999 73.1874818480004,-26.494999525 73.1802638480004,-26.5352815249998 73.1549818480004,-26.567499525 73.1316548480005,-26.5830545249999 73.1213728480005,-26.5949995249998 73.1163818480005,-26.643890525 73.1027638480005,-26.6644455249999 73.1002638480004,-26.7099995249998 73.1002638480004,-26.7297185249998 73.1013818480005,-26.8719455249999 73.1113728480005,-26.9566635249998 73.1188638480005,-27.0011095249999 73.1241458480004,-27.0547185249998 73.1330458480004,-27.0905545249999 73.1410998480006,-27.1097185249999 73.1438728480005,-27.1477815249999 73.1472178480005,-27.1586095249997 73.1458268480005,-27.1719455249999 73.1427638480004,-27.264999525 73.1197088480004,-27.287781525 73.1133088480004,-27.2977815249998 73.1077548480004,-27.3136095249998 73.0960998480005,-27.314727525 73.0410908480004,-27.3126365249999 72.9752638480005,-27.3241725249999 72.9688728480004,-27.3441635249999 72.9613818480005,-27.4458275259999 72.9277638480004,-27.4808275259999 72.9244268480005,-27.4974995259998 72.9244268480005,-27.5202815259998 72.9305998480006,-27.5147275259999 72.9394178480004,-27.484999526 72.9449728480005,-27.4661095259997 72.9472088480004,-27.4408365259998 72.9547088480005,-27.3701365249999 72.9865088480005,-27.3638905249999 73.0022088480005,-27.4063905259999 73.1099818480005,-27.418609526 73.1205268480005,-27.4294455259998 73.1258088480005,-27.449718526 73.1305368480005,-27.4680545259998 73.1324728480005,-27.4877815259999 73.1338818480004,-27.5197185259999 73.1333268480005,-27.5408365259999 73.1316548480005,-27.5591635259999 73.1285818480004,-27.5897185259998 73.1260818480005,-27.6588905259998 73.1230268480005,-27.6930545259997 73.1230268480005,-27.715272526 73.1255368480005,-27.7283365259999 73.1317908480004,-27.7158275259998 73.1405458480004,-27.6811095259998 73.1494268480005,-27.6538905259998 73.1541638480004,-27.638054526 73.1560998480005,-27.5961095259998 73.1594268480005,-27.537227526 73.1605368480004,-27.331390525 73.1685908480005,-27.2347185249999 73.1822088480006,-27.1119455249998 73.1896998480004,-27.0958365249999 73.1891458480004,-27.0744455249999 73.1871908480005,-27.0574995249998 73.1847088480005,-26.9122185249999 73.1588728480004,-26.870836525 73.1508178480005,-26.7608365249999 73.1333268480005,-26.7280545249999 73.1302638480005,-26.7116635249998 73.1310908480004,-26.695827525 73.1330458480004,-26.615699525 73.1784548480005,-26.6120815249998 73.1898368480005,-26.606945525 73.2016548480005,-26.5844455249999 73.2130458480005,-26.5666635249999 73.2169368480006,-26.5477815249999 73.2199818480004,-26.5002815249999 73.2255368480005,-26.4641635249998 73.2271998480004,-26.4158365249999 73.2319368480005,-26.3969455249999 73.2349818480005,-26.3897185249999 73.2486638480004,-26.4224995249999 73.2688728480004,-26.4361095249998 73.2741548480004,-26.4527815249999 73.2791638480005,-26.4758275249999 73.2830548480005,-26.5022275249999 73.2863728480004,-26.5216635249998 73.2877638480004,-26.6886095249998 73.2966458480004,-26.8280545249999 73.2997088480005,-26.8408365249999 73.3005368480005,-26.8558365249998 73.3027638480004,-27.0830545249999 73.3433178480005,-27.1484725249998 73.3599268480005,-27.457918526 73.4420638480004,-27.4533275259999 73.4552638480005,-27.3519455249999 73.4885908480005,-27.3374995249999 73.4924818480004,-27.3274995249999 73.4930458480005,-27.2616725249998 73.4938638480005,-27.2436095249997 73.4903998480004,-27.2302815249997 73.4835998480004,-27.213609525 73.4722178480005,-27.1947185249999 73.4588818480005,-27.158336525 73.4402638480005,-27.0197185249999 73.3899818480004,-26.9888905249999 73.3796998480005,-26.9391635249999 73.3652638480005,-26.8458365249999 73.3413728480004,-26.8174995249998 73.3349908480005,-26.7711185249999 73.3274818480004,-26.7527815249999 73.3255458480004,-26.7127725249999 73.3227728480005,-26.6316725249999 73.3194458480004,-26.569999525 73.3197178480004,-26.5427815249998 73.3252728480005,-26.5313905249999 73.3288728480004,-26.505418525 73.3390178480005,-26.4883275249999 73.3419368480004,-26.4577725249998 73.3399818480005,-26.435272525 73.3371998480005,-26.3947185249999 73.3274818480004,-26.2886095239999 73.3008088480004,-26.2694455239999 73.2952548480005,-26.2416635239998 73.2822088480005,-26.2269455239999 73.2685998480005,-26.2111095239998 73.2569458480005,-26.1977725239998 73.2516638480004,-26.1853995239999 73.2480908480004,-26.1672185239999 73.2438638480004,-26.1349995239999 73.2416548480004,-26.0124995239999 73.2421998480004,-25.8638905239998 73.2447088480005,-25.8274995239997 73.2466458480005,-25.7869455239999 73.2499998480004,-25.7694455239999 73.2524908480004,-25.7391635239999 73.2588818480004,-25.7213815239999 73.2636088480004,-25.4966635239998 73.3371998480005,-25.4941635239998 73.3986638480005,-25.3599995239999 73.4497088480004,-25.314999524 73.4616548480004,-25.2830545239999 73.4660908480005,-25.242772524 73.4680458480004,-25.105281523 73.4719268480005,-24.9258275229998 73.4783178480005,-24.711663523 73.4908178480004,-24.6952725229999 73.4953998480004,-24.675418523 73.5183908480004,-24.6927725229999 73.5258178480005,-24.8319455229998 73.5521998480004,-24.9444455229998 73.5736088480004,-25.0241725229999 73.5916638480005,-25.0677815229999 73.6072088480005,-25.0913905229999 73.6180458480004,-25.112572523 73.6366458480005,-25.0872275229999 73.6594268480005,-25.0869455229999 73.6876178480005,-25.1022185229999 73.6944268480004,-25.1224995229999 73.6994178480004,-25.2191635229999 73.7183178480005,-25.3086095239999 73.7360998490005,-25.3708365239998 73.7494178490004,-25.5511095239999 73.8063638490005,-25.5643095239998 73.8135908490004,-25.5711095239999 73.8247178490005,-25.5627815239999 73.8356818490005,-25.564727524 73.8460998490004,-25.5719455239999 73.8549818490005,-25.586663524 73.8646998490004,-25.6816635239999 73.9010908490004,-25.706663524 73.9102638490004,-25.7379095239999 73.9250458490004,-25.7211095239998 73.9444178490004,-25.7036095239999 73.9505458490005,-25.688745524 73.9523458490004,-25.6719455239999 73.9510998490005,-25.6558365239999 73.9480268490005,-25.5216635239998 73.9091458490004,-25.5077815239999 73.9038728490004,-25.4942995239997 73.8960998490005,-25.4874995239998 73.8880458490004,-25.464718524 73.8591458490005,-25.4444455239998 73.8341548490005,-25.435272524 73.8247088490005,-25.4202725239999 73.8174818490004,-25.1988905229999 73.7494178490004,-25.1838905229999 73.7449818490005,-25.1644455229999 73.7419268490005,-25.053054523 73.7277638490004,-25.009445523 73.7188728480004,-24.9783365229998 73.7058268480005,-24.9615275229999 73.6870638480004,-24.969299523 73.6730368480004,-24.9769455229999 73.6649908480005,-24.9888905229999 73.6486088480004,-24.9949995229998 73.6380458480004,-24.9916635229999 73.6263728480005,-24.9597185229998 73.6130368480004,-24.9044455229999 73.5949818480004,-24.8472185229999 73.5858178480005,-24.7305545229999 73.5694458480004,-24.6916635229999 73.5680548480004,-24.6627725229998 73.5722178480004,-24.642227523 73.5730458480005,-24.6119455229998 73.5711088480004,-24.537781523 73.5591458480004,-24.5177815229999 73.5541548480005,-24.4869455229999 73.5449818480005,-24.463054523 73.5358088480004,-24.4505545229999 73.5349908480004,-24.4388905229999 73.5358088480004,-24.398336523 73.5444368480004,-24.3802815229999 73.5541458480005,-24.3841635229999 73.5635998480005,-24.402499523 73.5785998480005,-24.4122185229999 73.5838818480004,-24.431945523 73.6008178480005,-24.4567995229999 73.6263638480005,-24.4652725229998 73.6410998480005,-24.4683275229999 73.6527728480005,-24.465554523 73.6722088480005,-24.4597185229999 73.6858088480004,-24.4526365229998 73.6984548480005,-24.3369455229998 73.7751268490006,-24.1499995219999 73.8016548490004,-24.0441635219999 73.8146998490005,-24.0272275219999 73.8152638490004,-24.0091635219998 73.8116458490004,-23.9969455219999 73.7993548490004,-23.9299995219999 73.7588818490004,-23.9166635219999 73.7535998490005,-23.8922275219999 73.7469368490005,-23.8477815219999 73.7383088490005,-23.8033365219998 73.7330458490004,-23.762218522 73.7313728490005,-23.7038905219999 73.7335998490004,-23.5644455219999 73.7341458490005,-23.5263905219999 73.7310908490005,-23.489163522 73.7266548490005,-23.1633365219999 73.6544368480005,-22.906945521 73.5966458480004,-22.8888905209998 73.5910908480005,-22.861390521 73.5830548480005,-22.8474995209999 73.5791638480005,-22.8188905209999 73.5727728480005,-22.7472185209999 73.5630368480005,-22.7074995209998 73.5630368480005,-22.6619455209998 73.5649908480004,-22.6452815209998 73.5666638480004,-22.5408365209997 73.5808268480004,-22.499999521 73.5890178480004,-22.4724995209999 73.6030458480004,-22.4538905209999 73.6085998480004,-22.4177815209999 73.6135998480004,-22.291390521 73.6263728480005,-22.2730545209999 73.6274728480004,-22.2319455209999 73.6288638480004,-22.2108275209999 73.6285818480005,-22.185554521 73.6233178480005,-22.2033275209999 73.6180458480004,-22.2230545209999 73.6155368480005,-22.2566725209998 73.6124908480005,-22.4427725209999 73.5861088480004,-22.5433365209999 73.5621908480005,-22.6741635209999 73.5452548480004,-22.6944455209999 73.5444368480004,-22.8144455209999 73.5510908480005,-22.8291635209998 73.5524728480004,-22.8477815209998 73.5558178480004,-22.911945521 73.5724908480004,-23.0108365209997 73.5969368480004,-23.1269455219998 73.6241458480005,-23.1613905219998 73.6316548480004,-23.3838905219998 73.6694368480004,-23.4619455219998 73.6949728480005,-23.4852725219999 73.6997088480005,-23.5080545219997 73.7038728480004,-23.5486095219998 73.7083268480005,-23.5880545219998 73.7105368480004,-23.6058365219998 73.7108178480004,-23.7224995219999 73.7108178480004,-23.8558365219998 73.7158178480004,-23.9613905219998 73.7210998480004,-23.9827725219999 73.7222178490005,-23.9951365219999 73.7204088480005,-24.016109522 73.7119268480005,-24.0322185219999 73.7024818480004,-24.0352815219998 73.6602638480005,-23.9965275219998 73.6010998480004,-23.9836095219999 73.5927548480005,-23.9672185219998 73.5877728480004,-23.718327522 73.5138818480004,-23.5872275219999 73.4847088480005,-23.555554522 73.4760908480005,-23.5344455219998 73.4680458480004,-23.5211185219998 73.4619268480005,-23.5130545219999 73.4524818480005,-23.5063905219999 73.4446998480005,-23.4917995219998 73.4408548480005,-23.3758275219999 73.4110998480004,-23.3608365219999 73.4088728480004,-23.281672522 73.4077638480005,-23.2227725219999 73.3983268480005,-23.1866635219998 73.3869368480005,-23.1652725219998 73.3730268480005,-23.1441635219999 73.3599818480004,-23.1280545219999 73.3547088480004,-23.112499522 73.3505368480004,-22.9386095209998 73.3230458480004,-22.8955545209998 73.3177638480005,-22.8266635209998 73.3197178480004,-22.7686095209999 73.3188818480004,-22.7369455209998 73.3160818480004,-22.6316725209999 73.3002638480004,-22.6169455209999 73.2977638480004,-22.580554521 73.2877638480004,-22.563054521 73.2819368480004,-22.5236095209999 73.2730368480005,-22.499999521 73.2682998480006,-22.462772521 73.2608178480004,-22.421663521 73.2549908480004,-22.3791635209999 73.2505458480005,-22.2855545209998 73.2447088480005,-22.2480545209999 73.2441368480004,-22.226663521 73.2452548480004,-22.1894455209999 73.2499998480004,-22.1630545209999 73.2560998480005,-22.1036095209999 73.2774818480004,-22.0683365209999 73.2922088480005,-22.0272275209999 73.3083178480006,-21.9761095199999 73.3263818480004,-21.9491635199997 73.3358178480004,-21.9338905199999 73.3402728480004,-21.9130545199999 73.3444368480005,-21.7633365199998 73.3722088480005,-21.6774995199999 73.3841548480005,-21.6136095199999 73.4630458480004,-21.5736095199997 73.4758178480004,-21.5608365199999 73.4780458480005,-21.5244455199999 73.4819368480004,-21.4888905199998 73.4835998480004,-21.45444552 73.4824818480004,-21.43666352 73.4810908480005,-21.4169455199999 73.4783178480005,-21.3874995199998 73.4722178480005,-21.2338905199999 73.4530458480004,-21.1313905199997 73.4530458480004,-21.0902815199997 73.4530458480004,-20.931945519 73.4599908480004,-20.8016635189999 73.4594268480005,-20.781390519 73.4588818480005,-20.6899995189999 73.4505458480006,-20.6513905189999 73.4474818480005,-20.634163519 73.4469268480004,-20.6119455189999 73.4469268480004,-20.5663905189999 73.4485908480004,-20.5311095189999 73.4499998480005,-20.5158365189998 73.4508178480005,-20.5011095189999 73.4527728480004,-20.4769455189999 73.4574908480005,-20.4527815189998 73.4633178480004,-20.4372185189999 73.4685998480004,-20.428336519 73.4738728480004,-20.370972519 73.5247088480004,-20.383890519 73.5330548480005,-20.4213905189999 73.5333268480004,-20.4455545189998 73.5335998480004,-20.4708365189998 73.5369268480004,-20.5116725189998 73.5481818480005,-20.524163519 73.5588728480004,-20.5211095189999 73.5688728480004,-20.5130545189999 73.5758178480004,-20.4905545189998 73.5874908480004,-20.4741635189999 73.5960998480004,-20.4612455189999 73.6291548480005,-20.4597185189999 73.6417998480005,-20.4938905189998 73.6819268480004,-20.5069455189999 73.6902638480004,-20.5188905189999 73.6958178480004,-20.528618519 73.7052638480004,-20.5330545189999 73.7208268480004,-20.4813905189999 73.7580458490006,-20.4727725189998 73.7641638490005,-20.4538905189999 73.7702638490005,-20.4205545189998 73.7758178490005,-20.3474995189998 73.7810998490004,-20.3336095189999 73.7813728490004,-20.2911095189999 73.7881818490005,-20.2819455189999 73.7960998490004,-20.2630545189999 73.8402728490004,-20.2794455189999 73.8769178490005,-20.2961095189999 73.8833268490004,-20.3091635189999 73.8852728490004,-20.3647275189999 73.8905458490005,-20.4247185189998 73.8919368490004,-20.4683275189998 73.8905458490005,-20.5430545189999 73.8830458490004,-20.6138905189999 73.8788638490004,-20.6344455189999 73.8783088490005,-20.6774995189999 73.8813638490005,-20.7172185189999 73.8852728490004,-20.7611095189998 73.8910998490005,-21.0433365199999 73.9374818490005,-21.2708365199998 73.9799818490005,-21.31749952 73.9929998490005,-21.40833652 74.0147088490004,-21.4886095199997 74.0310998490005,-21.5341725199999 74.0394268490004,-21.5680545199998 74.0452548490004,-21.68583652 74.0610998490005,-21.7074995199999 74.0624818490004,-21.7216635199998 74.0619178490005,-21.7486095199998 74.0583178490005,-21.8624995199999 74.0360998490005,-21.8886095199999 74.0260908490005,-21.9063905199999 74.0166638490005,-21.91444552 74.0105458490004,-21.9165275199999 73.9788728490004,-21.88679952 73.9247088490004,-21.8724995199999 73.9191458490004,-21.8122185199999 73.9091458490004,-21.79999952 73.9047088490005,-21.7811095199999 73.8916638490005,-21.7591725199999 73.8612368490005,-21.7062455199999 73.6951178480005,-21.72194552 73.6813638480006,-21.7555545199999 73.6599908480005,-21.7672275199998 73.6538728480004,-21.7772275199998 73.6524818480004,-21.82166352 73.6510908480004,-21.8427815199998 73.6699818480004,-21.8537545199999 73.7659638490006,-21.8355545199999 73.8180458490004,-21.8159725199999 73.8399908490005,-21.8212545199999 73.8566548490005,-21.8627815199999 73.8986088490004,-21.9862455199998 74.0003268490004,-22.0613905209998 74.0183268490005,-22.0833365209999 74.0205368490005,-22.1049815209999 74.0202178490004,-22.119999521 74.0191458490005,-22.1861095209999 74.0205368490005,-22.2483365209999 74.0255458490005,-22.2633365209998 74.0277728490004,-22.4808275209999 74.0683268490005,-22.4915275209999 74.0763818490005,-22.462772521 74.0880458490005,-22.4497185209999 74.0913728490004,-22.4294455209999 74.0938728490005,-22.3908365209999 74.0952638490005,-22.3508365209999 74.0933178490004,-22.2899995209999 74.0924818490005,-22.2511095209998 74.0935998490004,-22.2105545209998 74.0988728490005,-22.1958275209999 74.1016548490005,-22.1783365209998 74.1066458490004,-22.1630545209999 74.1127638490004,-22.1541635209999 74.1180458490004,-22.2066635209999 74.1627638490004,-22.1994455209999 74.1849818490004,-22.1002725209999 74.2144268490004,-22.0672185209999 74.2255368490004,-22.044027521 74.2415728490004,-22.0380545209999 74.2560998490005,-22.0555545209999 74.2858178490004,-22.0741725209999 74.2922088490005,-22.0977815209999 74.2963728490005,-22.1422275209999 74.2999908490005,-22.1602815209998 74.3002638490004,-22.2024995209999 74.2972088490005,-22.2194455209998 74.2947088490005,-22.2508365209999 74.2871998490005,-22.2858365209998 74.2808178490004,-22.3180545209999 74.2808178490004,-22.3452815209998 74.2849908490006,-22.467218521 74.3049818490005,-22.4791635209999 74.3096998490005,-22.4674995209999 74.3138728490005,-22.4388905209999 74.3146998490005,-22.425827521 74.3135998490005,-22.2516635209998 74.3110998490004,-22.089718521 74.3121908490004,-22.0680545209998 74.3127638490004,-21.99916352 74.3208268490005,-21.96389052 74.3272088490004,-21.93082752 74.3349908490004,-21.8269455199998 74.3694268490004,-21.7772275199998 74.4088728490005,-21.7641725199999 74.4224818490005,-21.7794455199999 74.4385818490005,-21.9252815199999 74.5213818490005,-22.0219455209999 74.5572088490005,-22.1022185209998 74.5829088490004,-22.1109725209998 74.5905458490005,-22.1005545209998 74.5966458490005,-22.0827815209997 74.5983268490005,-22.0527815209998 74.5960998490004,-22.0249995209998 74.5910908490004,-21.8974995199999 74.5521998490004,-21.8818095199998 74.5455368490004,-21.8384725199999 74.5145728490004,-21.8287545199998 74.4970728490005,-21.8174995199998 74.4838728490005,-21.7833365199999 74.4722178490005,-21.7277725199999 74.4599908490005,-21.66110952 74.4472088490004,-21.6161095199999 74.4435908490005,-21.5924995199999 74.4438638490005,-21.5338905199999 74.4477548490004,-21.4233365199999 74.4580368490005,-21.3405545199999 74.4655458490006,-21.2591635199998 74.4716458490004,-21.0186095199998 74.4652728490004,-20.931109519 74.4591548490004,-20.7519455189998 74.4558268490004,-20.617499519 74.4549908490005,-20.5036095189999 74.4516638490004,-20.4708365189998 74.4505458490004,-20.3781905189998 74.4451178490004,-20.3633365189997 74.4430368490005,-20.349445519 74.4388728490004,-20.2388905189999 74.3649908490004,-20.210418519 74.3063638490004,-20.1316725189998 74.2724908490005,-19.8305545179999 74.2463728490004,-19.6849995179999 74.2374908490004,-19.5966725179999 74.2347088490004,-19.5755545179999 74.2360998490004,-19.3777815179998 74.2608178490004,-19.3677815179998 74.2649998490004,-19.1755545179998 74.3470728490004,-19.1672185179999 74.3541548490005,-19.1634725179999 74.3706728490005,-19.176109518 74.3948548490004,-19.1599995179998 74.4027728490004,-19.0880545179999 74.4216458490006,-18.978190518 74.4834638490004,-19.0055545179998 74.4935908490004,-19.0248635179999 74.4978998490004,-19.130836518 74.5005458490005,-19.249999518 74.5130458490004,-19.2652815179998 74.5169368490004,-19.2826365179999 74.5245638490005,-19.3155545179998 74.5985908490005,-19.3088905179998 74.6094178490005,-19.2966725179999 74.6194268490005,-19.2869455179999 74.6252638490005,-19.2766725179999 74.6355458490006,-19.2716635179999 74.6463818490004,-19.284727518 74.6549818490005,-19.2952815179999 74.6602638490004,-19.352781518 74.6791548490004,-19.3738905179999 74.6830458490005,-19.3927725179998 74.6847088490005,-19.4113905179998 74.6852548490005,-19.4330545179999 74.6841458490004,-19.4505545179999 74.6808178490004,-19.628336518 74.6271998490004,-19.6863905179998 74.6041548490005,-19.7002725179998 74.5933178490005,-19.7147185179997 74.5852638490004,-19.7974995179999 74.5808268490005,-19.8163905179999 74.5833268490005,-20.0086095189999 74.6266458490005,-20.0252815189999 74.6430548490005,-20.049999519 74.6533178490005,-20.1361095189999 74.6710998490004,-20.1924995189999 74.6746998490004,-20.5272275189999 74.6735998490005,-20.5491635189997 74.6730368490005,-20.5911095189999 74.6660908490005,-20.6605545189998 74.6538728490004,-20.847781519 74.6355458490006,-20.8986095189999 74.6397088490004,-20.9136095189999 74.6402728490005,-20.9322185189999 74.6408268490005,-20.98277252 74.6385998490005,-21.0172275199999 74.6416638490005,-21.1024995199999 74.6552548490006,-21.1173635199999 74.6602638490004,-21.11749952 74.6740818490005,-21.09471852 74.6749908490005,-21.0705545199999 74.6687268490004,-21.04194552 74.6605368490004,-20.9783365199999 74.6572088490004,-20.9119455189999 74.6569368490005,-20.855554519 74.6585998490004,-20.7969455189999 74.6655458490005,-20.7519455189998 74.6741458490004,-20.6833275189999 74.7010998490004,-20.6155545189997 74.7308178490004,-20.6062455189999 74.7445638490004,-20.6388905189999 74.7638818490004,-20.6647185189999 74.7749908490005,-20.7036095189999 74.7916548490005,-20.7219455189999 74.8019268500004,-20.754027519 74.8265178500005,-20.7608365189999 74.8355368500005,-20.7619455189998 74.8498548500005,-20.7488905189999 74.8616458500005,-20.6833275189999 74.9172088500004,-20.634163519 75.0355368500005,-20.6297185189999 75.0572088500005,-20.6388905189999 75.0619178500005,-20.6627725189998 75.0660818500004,-20.6863905189998 75.0685998500004,-20.7094455189999 75.0699908500004,-20.730281519 75.0699908500004,-20.8569455189999 75.0641458500005,-20.9019455189999 75.0633088500005,-20.9444455199999 75.0660818500004,-20.9930545199998 75.0747088500005,-21.04610952 75.0861088500005,-21.0694455199998 75.0885908500005,-21.0927815199999 75.0899818500005,-21.1297185199999 75.0871998500005,-21.14778152 75.0847178500005,-21.1755545199999 75.0783268500006,-21.2236095199999 75.0644178500004,-21.2383275199998 75.0585908500004,-21.2774995199999 75.0422088500005,-21.3191725199998 75.0269268500005,-21.4141635199999 74.9938638500004,-21.4547185199999 74.9822088500005,-21.4755545199999 74.9774818500005,-21.5208365199998 74.9677548500005,-21.5494455199998 74.9638818500005,-21.6674995199999 74.9535998500005,-21.6874995199998 74.9524818500005,-21.7424995199999 74.9535998500005,-21.76555452 74.9549908500005,-21.8133365199998 74.9613818500005,-21.8497275199999 74.9680458500005,-21.8666635199999 74.9724908500004,-21.8969455199999 74.9824818500005,-21.9405545199999 75.0058268500005,-21.9597185199998 75.0291638500004,-21.9454185199999 75.0380368500004,-21.9437545199999 75.0499908500004,-21.95805452 75.0569268500006,-21.9708365199999 75.0605268500004,-22.154445521 75.1088728500005,-22.1716635209997 75.1133088500004,-22.2163905209999 75.1199818500004,-22.2880545209998 75.1274728500005,-22.394718521 75.1494268500005,-22.425827521 75.1591458500004,-22.4347905209999 75.1662998500005,-22.418327521 75.1680458500005,-22.3908365209999 75.1660908500004,-22.3463905209999 75.1605368500004,-22.176390521 75.1372088500004,-22.1274995209998 75.1296998500005,-21.9288905199999 75.0783268500006,-21.8861185199999 75.0639368500004,-21.8680545199998 75.0452548500004,-21.8640275199999 75.0306818500005,-21.8686095199998 75.0183268500005,-21.8586095199998 75.0080458500004,-21.7586095199998 74.9799818500004,-21.7404095199998 74.9765088500005,-21.6380545199999 74.9933178500006,-21.5608365199999 75.0080458500004,-21.4733275199999 75.0258178500005,-21.4363905199999 75.0374908500004,-21.41249952 75.0494268500005,-21.3994455199999 75.0546998500005,-21.3747185199999 75.0644178500004,-21.2924995199999 75.0924818500004,-21.2297185199997 75.1119268500004,-21.19139052 75.1163818500004,-20.9758275199999 75.1388818500005,-20.9349995189999 75.1419368500005,-20.9122185189999 75.1424908500005,-20.8894455189999 75.1419368500005,-20.8541635189999 75.1388818500005,-20.8144455189999 75.1338818500005,-20.7741725189999 75.1269178500004,-20.7083365189998 75.1171998500005,-20.6888905189998 75.1158178500005,-20.670272519 75.1160908500004,-20.5538905189999 75.1321998500004,-20.5324995189998 75.1358178500005,-20.514999519 75.1408268500005,-20.5205545189999 75.1519268500005,-20.5297275189999 75.1630368500005,-20.546945519 75.1802638500005,-20.5619455189998 75.1916548500005,-20.588054519 75.2016638500005,-20.6088905189997 75.2069368500005,-20.6538905189998 75.2158178500005,-20.7269455189998 75.2288638500004,-20.817499519 75.2427548500004,-20.8572275189999 75.2522088500006,-20.876390519 75.2633178500004,-20.897918519 75.2831818500005,-20.9655545199999 75.3038638500006,-21.0077815199999 75.3144178500004,-21.0344455199998 75.3191548500005,-21.2133365199998 75.3505368500005,-21.2377815199999 75.3538638500004,-21.30083652 75.3572088500005,-21.3255545199999 75.3613728500004,-21.3391725199999 75.3669268500005,-21.35110952 75.3730268500004,-21.3683365199999 75.3926268500005,-21.3719455199998 75.4045728500005,-21.3974995199999 75.4183178500004,-21.41499952 75.4235998500005,-21.4399995199998 75.4280368500004,-21.4666635199999 75.4316548500005,-21.5474995199999 75.4402638500005,-21.61166352 75.4446998500005,-21.8288905199999 75.4588818500005,-21.8980545199998 75.4613818500005,-21.96471852 75.4624908500004,-22.0533365209999 75.4611088500005,-22.075554521 75.4630458500005,-22.3824995209999 75.4963728500004,-22.4283365209998 75.5027728500004,-22.4755545209998 75.5122088500004,-22.4983365209999 75.5210998500005,-22.5113905209999 75.5308178500004,-22.5105635209999 75.5408178500004,-22.5024995209999 75.5511368500005,-22.4911095209999 75.5538638500005,-22.4738905209998 75.5548368500006,-22.465272521 75.5485908500005,-22.4666635209999 75.5348548500005,-22.4547185209999 75.5263818500004,-22.4147185209997 75.5158268500005,-22.3205545209998 75.5013908500005,-22.2977815209998 75.4985998500005,-22.1130545209999 75.4774818500004,-22.0886095209999 75.4752638500004,-21.99499952 75.4749908500005,-21.8555545199999 75.4713728500005,-21.6977725199999 75.4658178500004,-21.6261095199999 75.4616548500004,-21.4972185199998 75.4502728500005,-21.4505545199999 75.4497088500005,-21.42749952 75.4502728500005,-21.4068095199999 75.4542998500004,-21.5305545199999 75.5041638500004,-21.5438905199999 75.5086088500005,-21.6088905199999 75.5244268500005,-21.8383365199999 75.5738818500005,-21.9411095199998 75.5944368500004,-22.034999521 75.6113728500005,-22.1102815209999 75.6222088500004,-22.1608275209999 75.6294268500004,-22.2261095209998 75.6344268500006,-22.2558365209999 75.6394368500005,-22.2763905209998 75.6458178500005,-22.2836095209998 75.6573368500004,-22.2624995209999 75.6627638500004,-22.2511095209998 75.6641548500004,-22.1572185209999 75.6613728500004,-22.1122185209998 75.6577638500004,-22.0894455209997 75.6549818500004,-22.0427815209998 75.6474908500004,-21.9088905199999 75.6197088500005,-21.8580545199999 75.6113728500005,-21.8083365199998 75.6047088500005,-21.7083365199998 75.5952638500004,-21.6872185199998 75.5919368500005,-21.6441635199998 75.5822178500005,-21.5016635199998 75.5497088500005,-21.4624995199999 75.5388818500005,-21.2747275199998 75.4869268500004,-21.2333275199998 75.4705368500004,-21.2233275199999 75.4647088500005,-21.2161095199999 75.4552638500004,-21.2080545199998 75.4291458500005,-21.18555452 75.4101268500004,-21.1691635199999 75.4027728500005,-21.1563905199999 75.3991548500005,-20.9652725199998 75.3574818500005,-20.7055545189999 75.2958178500004,-20.6852725189999 75.2924818500005,-20.661390519 75.2899818500004,-20.6422275189999 75.2894268500005,-20.6194455189998 75.2899818500004,-20.5361095189999 75.2938728500005,-20.4799995189998 75.2977638500005,-20.4397185189999 75.3035908500004,-20.4077725189999 75.3119178500005,-20.3866635189999 75.3183268500005,-20.3516635189998 75.3288728500004,-20.3074995189999 75.3355368500004,-20.1808275189999 75.3361088500005,-20.159445519 75.3349908500005,-20.1355545189999 75.3316638500004,-20.110836519 75.3260998500004,-19.9658275189998 75.2899818500004,-19.9554185189999 75.2771368500004,-19.9747185189999 75.2674908500004,-20.006390519 75.2612458500004,-20.0230545189999 75.2491458500004,-20.0144455189999 75.2074908500005,-20.003336519 75.1849728500004,-19.9947185189999 75.1785998500005,-19.914718519 75.1508178500004,-19.8983365189999 75.1472178500005,-19.8827815189997 75.1458268500004,-19.6480545179999 75.1333268500004,-19.623336518 75.1324728500005,-19.6099995179999 75.1330458500004,-19.5886095179997 75.1379088500004,-19.4633365179999 75.1966368500004,-19.453327518 75.2019368500006,-19.4102815179999 75.2360998500005,-19.3848635179999 75.2626368500004,-19.3783365179999 75.2835998500004,-19.3697185179999 75.3174908500005,-19.3683275179998 75.3280458500005,-19.366109518 75.3649908500004,-19.3449995179998 75.3877728500005,-19.3368095179999 75.4020728500005,-19.3752815179998 75.5244268500005,-19.3838905179998 75.5427548500004,-19.3933365179998 75.5570638500004,-19.4144455179999 75.5713818500005,-19.5099995179998 75.6296998500004,-19.6024995179999 75.6680458500005,-19.6116635179999 75.6758178500004,-19.5783365179999 75.7238728500005,-19.5680545179999 75.7297088500004,-19.5572275179999 75.7327548500006,-19.5558365179999 75.7716548500004,-19.6999995179999 75.8627638500004,-19.7097185179998 75.8683178500004,-19.7572275179999 75.8894368510005,-19.7819455179999 75.8983268510005,-19.824999518 75.9091458510004,-19.9352725189999 75.9305458510004,-19.9886095189999 75.9344178510004,-20.1372185189999 75.9302638510005,-20.208054519 75.9260908510005,-20.2408365189999 75.9230368510004,-20.2852815189999 75.9230368510004,-20.3333365189998 75.9233088510006,-20.3609545189998 75.9253268510005,-20.3741725189999 75.9263728510004,-20.397499519 75.9302638510005,-20.4223635189999 75.9389998510005,-20.4855545189999 75.9485908510006,-20.5105635189999 75.9508178510004,-20.5847275189998 75.9563728510005,-20.6091635189999 75.9577638510005,-20.706663519 75.9613818510005,-20.8241725189998 75.9638818510005,-21.0872275199998 75.9688728510004,-21.1574995199999 75.9685998510005,-21.22083652 75.9663818510005,-21.2997275199999 75.9624908510004,-21.3624995199999 75.9591548510004,-21.4055545199998 75.9560998510005,-21.4691635199999 75.9547088510005,-21.5894455199997 75.9535998510004,-21.8591635199999 75.9547088510005,-21.8761095199999 75.9572178510005,-21.9708365199999 75.9844178510005,-21.9815275199999 75.9905368510005,-21.95235452 76.0359548510004,-21.9397185199999 76.0419268510005,-21.92610952 76.0427548510004,-21.8861095199999 76.0349908510004,-21.8594455199998 76.0155458510005,-21.8552815199998 76.0060998510004,-21.8477815199998 75.9983178510004,-21.8336095199998 75.9927548510004,-21.8197185199999 75.9891548510004,-21.7802815199999 75.9816548510005,-21.7202725199999 75.9733088510004,-21.6766635199999 75.9699818510005,-21.6422275199999 75.9694368510005,-21.4183275199999 75.9727638510005,-21.38389052 75.9766548510005,-21.3649995199997 75.9799818510004,-21.3244455199999 75.9896998510006,-21.3016635199999 75.9933178510004,-21.2838905199998 75.9941368510005,-20.9161095189999 76.0002728510005,-20.8533365189999 75.9994178510005,-20.7011095189999 75.9908178510005,-20.4358365189998 75.9785908510005,-20.3977815189998 75.9788638510005,-20.3602815189998 75.9810908510004,-20.283054519 75.9902638510005,-20.214163519 76.0013908510005,-20.1555545189999 76.0136088510005,-20.1119455189999 76.0227638510005,-20.0786095189998 76.0310998510005,-20.0683365189999 76.0371998510005,-20.0577815189998 76.0422088510004,-20.0394455189999 76.0474818510004,-20.0049995189999 76.0549818510005,-19.9819455189999 76.0583178510004,-19.9269455189999 76.0630368510004,-19.9049995189999 76.0638728510005,-19.8622185179999 76.0633088510004,-19.8374995179998 76.0608088510005,-19.7861095179999 76.0508088510005,-19.7697185179999 76.0502638510005,-19.7455545179999 76.0505368510004,-19.7305545179997 76.0538638510005,-19.7161095179999 76.0597088510004,-19.6690275179998 76.1181818510004,-19.6672185179999 76.1296998510004,-19.7658365179999 76.2038728510005,-19.7936095179999 76.2213728510004,-19.805836518 76.2285908510004,-19.8333365179998 76.2377638510005,-19.8733365189999 76.2488728510004,-19.9041635189999 76.2560998510005,-19.9294455189999 76.2586088510004,-19.9461095189999 76.2591548510005,-20.1522185189997 76.2508268510005,-20.1883275189999 76.2480268510004,-20.2119455189998 76.2458178510004,-20.2488905189999 76.2396998510005,-20.3074995189999 76.2255368510005,-20.3744455189998 76.2183178510005,-20.3994455189999 76.2188728510005,-20.434445519 76.2205368510005,-20.485272519 76.2255368510005,-20.571390519 76.2374908510005,-20.6808275189999 76.2574908510005,-20.7858365189999 76.2810998510004,-20.813336519 76.2883178510004,-20.853609519 76.2972088510005,-20.8799995189999 76.3016548510005,-20.9058365189998 76.3049818510004,-20.9486095199999 76.3088728510005,-20.9905545199998 76.3110998510006,-21.0149995199999 76.3113728510004,-21.03944552 76.3099818510004,-21.0649995199997 76.3069268510004,-21.0852095199999 76.2956818510004,-21.0311095199999 76.2672088510006,-21.0072275199998 76.2588818510005,-20.9936095199998 76.2552638510004,-20.8674995189999 76.2249908510005,-20.814999519 76.2152728510005,-20.6816635189999 76.1966368510004,-20.4222185189998 76.1362458510004,-20.5613905189999 76.1338818510004,-20.5705545189999 76.1419368510005,-20.6041635189999 76.1569368510005,-20.7252725189999 76.1766548510004,-20.8988905189998 76.2160908510004,-20.9438905199999 76.2266548510005,-21.0124995199999 76.2458178510004,-21.0311095199999 76.2510998510005,-21.0452815199999 76.2566548510004,-21.0558365199997 76.2622088510004,-21.0683365199999 76.2706818510005,-21.0902815199997 76.2772088510005,-21.1122185199998 76.2805458510004,-21.1577725199998 76.2813728510005,-21.19721852 76.2777728510005,-21.3791635199999 76.2599908510004,-21.4977725199997 76.2199818510005,-21.5216635199999 76.2185998510005,-21.53610952 76.2185998510005,-21.6644455199998 76.2366458510004,-21.6822185199998 76.2391548510005,-21.7042995199998 76.2506908510004,-21.65444552 76.3230458510004,-21.6463905199998 76.3330548510004,-21.6299995199998 76.3430458510006,-21.5977815199999 76.3591458510004,-21.5769455199999 76.3683178510004,-21.56097252 76.3766458510004,-21.5555545199999 76.3855458510005,-21.5709725199999 76.4340088510004,-21.5849995199999 76.4396998510004,-21.6044455199999 76.4416548510005,-21.61916352 76.4419268510005,-21.6455545199999 76.4408088510005,-21.6694455199998 76.4383088510004,-21.6908365199999 76.4352548510005,-21.7099995199998 76.4308178510004,-21.7452815199998 76.4260908510004,-22.1422275209999 76.4133178510005,-22.1899995209999 76.4124908510005,-22.2066635209999 76.4130368510005,-22.3791635209999 76.4216458510005,-22.4047185209998 76.4230368510005,-22.4294455209999 76.4266548510005,-22.4527815209998 76.4319268510005,-22.4866635209999 76.4408088510005,-22.5040275209999 76.4466368510004,-22.4305545209997 76.4960908510004,-22.4022185209998 76.4985998510004,-22.3519455209998 76.4980268510006,-22.3197185209999 76.4921998510005,-22.3034725209998 76.4863728510005,-22.280972521 76.4681818510005,-22.270554521 76.4591548510004,-22.2574995209999 76.4541638510004,-22.2388905209999 76.4497088510004,-22.2155545209997 76.4444268510005,-22.188054521 76.4394178510005,-22.144445521 76.4355268510004,-21.9602815199999 76.4280368510005,-21.91999952 76.4266548510005,-21.8955545199998 76.4274728510005,-21.8374995199999 76.4322088510004,-21.75722752 76.4391458510004,-21.7455545199999 76.4413638510004,-21.72749952 76.4477548510006,-21.67534552 76.4847088510005,-21.7008365199998 76.4955268510005,-21.7133365199998 76.4952548510005,-21.8274995199998 76.4797088510005,-21.8588905199999 76.4708268510005,-21.8955545199998 76.4644268510005,-22.0099995199998 76.4597178510004,-22.0341725209998 76.4676908510004,-22.0061095199999 76.4783178510006,-21.9827725199999 76.4816548510004,-21.8233365199998 76.5027728510005,-21.7633365199998 76.5091548510005,-21.7388905199999 76.5108178510005,-21.69916352 76.5155458510004,-21.6791635199999 76.5219368510005,-21.8144455199999 76.5902728510004,-21.8494455199998 76.6021998510005,-21.9072185199998 76.6183178510004,-21.9322185199999 76.6222088510004,-22.1205545209999 76.6413728510005,-22.1599995209999 76.6397088510005,-22.1841635209999 76.6372088510004,-22.2036095209997 76.6338818510005,-22.2166635209998 76.6299728510005,-22.3391635209998 76.5790178510005,-22.3262545209998 76.5480368510004,-22.307499521 76.5352638510005,-22.287636521 76.5227638510004,-22.3088905209999 76.5127728510005,-22.333745521 76.5122178510004,-22.4341635209998 76.5455368510005,-22.499999521 76.6225088510004,-22.5969455209999 76.6594268510004,-22.6441635209999 76.6610998510004,-22.6811095209999 76.6669268510005,-22.7074995209998 76.6724818510004,-22.7208365209999 76.6774728510005,-22.7356905209998 76.6859548510005,-22.7422185209999 76.6944268510005,-22.7388905209999 76.7044368510004,-22.719999521 76.7166638510004,-22.6919455209999 76.7280458510006,-22.6522185209998 76.7374908510004,-22.612499521 76.7435908510005,-22.5758365209999 76.7463728510004,-22.5505545209999 76.7472088510005,-22.408336521 76.7441368510005,-22.3602815209997 76.7755458510005,-22.376390521 76.7863728510005,-22.4194455209999 76.8335998510005,-22.3255545209999 76.8516548510004,-22.2874995209999 76.8572088510005,-22.2669455209999 76.8585998510004,-22.2405545209999 76.8572088510005,-22.1699995209999 76.8470728510004,-22.1513905209999 76.8419368510005,-21.9380545199999 76.7669368510005,-21.9186095199998 76.7569458510004,-21.8697185199999 76.7249908510004,-21.8230545199997 76.6969268510004,-21.7486095199998 76.6591458510004,-21.7149995199998 76.6502728510004,-21.6661095199999 76.6447178510005,-21.6230545199999 76.6427638510005,-21.60499952 76.6447178510005,-21.4397185199999 76.7074908510005,-21.32666352 76.7410908510006,-21.2888905199998 76.7830548510004,-21.3072905199999 76.7926178510005,-21.2841725199999 76.8024728510004,-21.2213905199999 76.8081638510005,-21.19639052 76.8063638510005,-21.1597185199999 76.8002638510004,-21.1497275199999 76.7966458510005,-21.1119455199999 76.7877638510005,-21.0938905199998 76.7852638510004,-21.0683365199999 76.7858088510004,-21.0502815199998 76.7885908510004,-21.02111852 76.7955368510004,-20.9483365199997 76.8219268510005,-20.9394455199999 76.8424818510005,-20.9930545199998 76.8588728510005,-21.0119455199998 76.8633088510005,-21.0252815199999 76.8649908510004,-21.0513905199999 76.8655368510005,-21.0727725199998 76.8649908510004,-21.2255545199999 76.8616458510004,-21.4466635199998 76.8569368510005,-21.4683275199999 76.8574818510004,-21.7077725199999 76.8752638510004,-21.7279185199998 76.8816548510005,-21.7172185199998 76.8866548510005,-21.5766635199999 76.8988818510004,-21.55110952 76.8994268510004,-21.4919455199999 76.8972178510004,-21.4361095199999 76.8922088510005,-21.2013905199998 76.8963818510005,-21.1597185199999 76.8991548510004,-21.1166635199998 76.8991548510004,-20.931945519 76.8883178510005,-20.9052815189999 76.8858178510006,-20.8502725189998 76.8771998510005,-20.826663519 76.8719178510005,-20.7997275189999 76.8685908510005,-20.778890519 76.8699818510005,-20.5919455189999 76.9149908510004,-20.5804185189999 76.9217818510005,-20.5869455189999 76.9302638510005,-20.603336519 76.9341458510005,-20.6994455189999 76.9544368520004,-20.7499995189999 76.9566458520004,-20.854445519 76.9541638520004,-20.9491635199998 76.9480268520005,-20.9949995199999 76.9441368520005,-21.0183365199998 76.9430368520004,-21.0336095199999 76.9458088520005,-20.97777252 76.9819368520004,-20.9630545199999 76.9827548520005,-20.7230545189997 76.9883088520004,-20.7013905189999 76.9877638520005,-20.4091635189999 76.9691458520005,-20.3013905189998 76.9574908520004,-20.1911095189998 76.9433178520004,-20.1713905189999 76.9421998520004,-20.1238905189999 76.9419268510005,-20.0988905189998 76.9444268520005,-20.0744455189998 76.9485908520005,-20.0608365189998 76.9533268520004,-20.0447275189998 76.9563728520004,-20.0258365189998 76.9583268520004,-20.0044455189999 76.9585998520005,-19.8991635189999 76.9597178520004,-19.871109519 76.9597178520004,-19.7497185179999 76.9433178520004,-19.5413905179999 76.9085998510005,-19.4480545179999 76.8891638510005,-19.4041635179999 76.8785818510005,-19.2969455179999 76.8616458510004,-19.1849995179999 76.8591458510004,-18.9919455179999 76.8560908510005,-18.9452815179999 76.8574818510004,-18.9108275179999 76.8560908510005,-18.8091635179998 76.8408178510005,-18.5558365169999 76.7845728510005,-18.5386095169999 76.7741548510005,-18.529163517 76.7694368510004,-18.472772517 76.7435908510005,-18.4534725169999 76.7423368510005,-18.4456275169998 76.7530548510005,-18.4919455169999 76.7847178510004,-18.5061095169999 76.7913638510005,-18.5174995169998 76.7992908510005,-18.5186095169999 76.8097088510004,-18.5069455169999 76.8146998510004,-18.494718517 76.8177638510005,-18.4738905169999 76.8199908510005,-18.456945517 76.8199908510005,-18.4391635169998 76.8163728510004,-18.4244455169999 76.8069268510005,-18.406390517 76.8021998510005,-18.380554517 76.8013728510005,-18.329999517 76.8030368510005,-18.3052815169997 76.8060908510004,-18.1830545169998 76.8810908510004,-18.1311095169999 76.9347088510005,-18.122218517 76.9458178520005,-18.1447185169997 77.0874908520004,-18.2319455169999 77.2774818520004,-18.2430545169998 77.2888818520004,-18.2588905169999 77.3005368520004,-18.3958365169999 77.3427548520005,-18.4163905169999 77.3449818520004,-18.523336517 77.3485998520004,-18.6180545169998 77.3460998520005,-18.6338905169999 77.3463728520004,-18.705836517 77.3513818520004,-18.8147275179997 77.3608088520004,-18.892227518 77.3685908520005,-18.9152725179999 77.3722088520005,-18.9688905179999 77.3727548520005,-19.0616725179999 77.3383178520004,-19.0730545179999 77.3309638520005,-19.0722275179999 77.3190088520004,-19.050281518 77.3030368520005,-19.0352815179999 77.2974818520004,-19.0252815179999 77.2919268520005,-19.0169455179999 77.2855368520005,-19.0120815179999 77.2285998520005,-19.0363905179998 77.2252638520006,-19.0566635179998 77.2271998520005,-19.1344455179998 77.2388728520004,-19.218054518 77.2544368520004,-19.2680545179999 77.2605458520005,-19.2949995179998 77.2619368520005,-19.3186365179998 77.2597818520004,-19.3363905179999 77.2527728520004,-19.3572275179999 77.2474818520005,-19.401390518 77.2405368520004,-19.4208365179998 77.2399728520004,-19.448609518 77.2444268520005,-19.4609725179998 77.2531908520004,-19.4561095179999 77.2622088520005,-19.446663518 77.2677638520004,-19.409999518 77.2860998520005,-19.398890518 77.3003998520005,-19.409299518 77.3142908520005,-19.4566635179999 77.3327638520006,-19.4841635179999 77.3424818520005,-19.5230545179999 77.3535908520005,-19.5488905179999 77.3585998520004,-19.650272518 77.3780368520005,-19.7066635179999 77.3869368520004,-19.805836518 77.3974908520004,-19.8355545179999 77.3994268520004,-19.8599995179999 77.3997178520004,-20.0674995189999 77.3941458520004,-20.119999519 77.3905458520004,-20.1974995189999 77.3833268520005,-20.2261095189999 77.3824728520004,-20.3019455189999 77.3830458520005,-20.3522185189999 77.3861088520005,-20.4333275189998 77.3947178520004,-20.4902725189999 77.4035908520004,-20.655281519 77.4088728520005,-20.6961095189999 77.4047088520004,-20.7222185189999 77.4033178520004,-20.7720815189998 77.4134548520004,-20.7508365189999 77.4191458520005,-20.7227725189999 77.4222088520004,-20.6991635189999 77.4241458520005,-20.5636095189998 77.4324818520005,-20.539445519 77.4333178520005,-20.5236095189999 77.4330458520004,-20.4986095189999 77.4310908520005,-20.4261095189999 77.4233088520005,-20.3516635189998 77.4146998520005,-20.2988905189998 77.4113728520004,-20.274445519 77.4110998520006,-20.2036095189999 77.4133178520004,-20.1383365189998 77.4183178520004,-20.0786095189998 77.4260908520005,-20.045281519 77.4324818520005,-20.0241725189998 77.4369178520005,-20.009518519 77.4497728520004,-20.0405545189999 77.4580368520005,-20.0680545189999 77.4605368520004,-20.355281519 77.4730368520005,-20.6088905189997 77.4855368520005,-20.7127725189999 77.4930458520004,-20.9322185189999 77.5227638520005,-21.0495815199998 77.5448458520004,-21.03278152 77.5472088520005,-20.9877815199999 77.5480368520005,-20.9327815189999 77.5460998520004,-20.8644455189998 77.5391548520004,-20.7549995189999 77.5246998520004,-20.6188905189999 77.5108178520005,-20.5655545189999 77.5072178520005,-20.483054519 77.5030548520004,-20.4533275189999 77.5019368520005,-20.4286095189999 77.5019368520005,-20.4038905189998 77.5072178520005,-20.3752815189997 77.5155458520005,-20.360072519 77.5260268520005,-20.3744455189998 77.5380368520005,-20.394718519 77.5435908520005,-20.438609519 77.5524728520005,-20.4849995189999 77.5555458520005,-20.5069455189999 77.5541548520004,-20.5766635189999 77.5469368520004,-20.651527519 77.5481818520005,-20.6136095189999 77.5546998520004,-20.5724995189999 77.5597088520006,-20.529163519 77.5644178520005,-20.4808275189999 77.5683268520004,-20.4269455189998 77.5691548520006,-20.3713905189999 77.5652638520005,-20.3591635189999 77.5630368520004,-20.2858365189999 77.5541548520004,-20.2586095189999 77.5535908520005,-20.2467995189999 77.5580368520004,-20.2591635189999 77.5672178520005,-20.3455545189999 77.5991548520005,-20.3658365189999 77.6047088520004,-20.3902815189999 77.6102638520006,-20.4474995189998 77.6169268520005,-20.505836519 77.6213728520004,-20.5636095189998 77.6235998520005,-20.6716635189999 77.6333268520004,-20.9138905189999 77.6660908520005,-20.8980545189999 77.6749908520005,-20.8688905189998 77.6813638520005,-20.6522185189999 77.7105368520005,-20.5391725189999 77.7127728520005,-20.489718519 77.7038728520005,-20.4636095189998 77.7008178520005,-20.4355545189999 77.6994178520005,-20.4102815189999 77.6994178520005,-20.3836095189998 77.7008178520005,-20.3574995189999 77.7041638520004,-20.3319455189999 77.7094268520005,-20.3155545189997 77.7144268520005,-20.304172519 77.7205368520005,-20.2791635189999 77.7269268520006,-20.2569455189998 77.7291548520005,-20.2022185189998 77.7291548520005,-20.1466635189998 77.7280458520004,-20.0886095189997 77.7255368520005,-20.0344455189999 77.7210998520005,-19.9674995189999 77.7124908520004,-19.6172185179998 77.6302638520005,-19.5774995179999 77.6191368520005,-19.5530545179999 77.6135998520005,-19.4383275179998 77.5938728520004,-19.3536095179999 77.5824908520005,-19.3305545179999 77.5808268520005,-19.3033365179999 77.5802728520005,-19.281390518 77.5833268520005,-19.2688905179999 77.5863818520004,-19.2361095179999 77.5985998520004,-19.2152725179999 77.6047088520004,-19.1894455179998 77.6099818520005,-19.1636095179998 77.6141548520004,-19.1099995179999 77.6177548520004,-19.0536095179999 77.6188638520005,-19.0069455179999 77.6208178520005,-18.9802815179999 77.6230268520005,-18.9587455179998 77.6299088520004,-19.0355545179999 77.6777638520005,-19.0547185179999 77.6888728520004,-19.0783365179999 77.7005458520004,-19.2091635179999 77.7519368520004,-19.2399995179998 77.7630458520005,-19.288890518 77.7733178520004,-19.3174995179998 77.7777728520005,-19.4263905179999 77.7888818520004,-19.4869455179999 77.7919268520004,-19.5655545179999 77.7927548520004,-19.6241725179999 77.7963728520004,-19.8463905179999 77.8144178520004,-19.9294455189999 77.8213818520006,-20.0977815189997 77.8410908520004,-20.3119455189999 77.8708178520005,-20.3622185189999 77.8805368520005,-20.6036095189997 77.9333178520004,-20.6185455189998 77.9458818520005,-20.6005545189998 77.9606818520004,-20.6015275189999 77.9720728520005,-20.6263905189999 77.9785908520005,-20.8322185189999 78.0119368520005,-20.854445519 78.0149998520005,-20.8663905189999 78.0152728520005,-20.8799995189999 78.0141638520004,-20.9019455189999 78.0108178520005,-20.9188905189999 78.0063818520005,-21.0433365199999 77.9699818520006,-21.0891725199999 77.9522088520005,-21.1277815199999 77.9338728520005,-21.1736095199998 77.9116548520005,-21.3197185199999 77.8355368520004,-21.3311095199999 77.8294368520005,-21.3669455199998 77.8072088520004,-21.3819455199999 77.7905458520004,-21.3944455199999 77.7722178520004,-21.3986095199999 77.7613818520005,-21.40221852 77.7497088520005,-21.4041635199999 77.7383088520005,-21.4030545199998 77.7213728520004,-21.3966635199999 77.6873368520005,-21.3877815199999 77.6777638520005,-21.4138905199999 77.6352728520005,-21.56472752 77.5688818520005,-21.5783365199999 77.5641458520005,-21.72194552 77.5309638520004,-21.72499952 77.5491458520004,-21.68639052 77.5627638520004,-21.5297275199998 77.6158178520005,-21.43082752 77.6524818520004,-21.42860952 77.6574818520004,-21.4295275199998 77.6748548520005,-21.4644455199999 77.6805458520004,-21.5069455199999 77.6835908520005,-21.5349995199997 77.6849818520005,-21.8105545199999 77.6877638520004,-21.8372275199999 77.6860998520004,-21.8561095199998 77.6833178520005,-21.89166352 77.6760908520004,-22.0113905199999 77.6783178520005,-22.036945521 77.6856728520004,-22.0313905209999 77.6991458520006,-21.8972185199999 77.8066368520006,-21.7824995199999 77.8497178520005,-21.7669455199999 77.8558178520005,-21.7224995199998 77.8783088520005,-21.6916635199999 77.8960998520005,-21.5863905199998 77.9620728520006,-21.5790275199998 77.9735908520004,-21.59471852 77.9794268520004,-21.62666352 77.9777638520005,-21.6474995199999 77.9724908520005,-21.6708365199999 77.9633178520006,-21.68999952 77.9541638520006,-21.7138905199999 77.9413638520004,-21.7227725199999 77.9358088520005,-21.7538905199998 77.9233088520004,-21.7838905199998 77.9177548520004,-21.8155545199999 77.9160908520004,-21.8362545199999 77.9201178520004,-21.7369455199999 78.0016638520004,-21.7069455199999 78.0124998520004,-21.61333652 78.0322088530004,-21.5874995199999 78.0366548530005,-21.5452815199998 78.0463728530004,-21.45278152 78.0749998530005,-21.4092995199998 78.1074818530006,-21.4313905199998 78.1138728530004,-21.4499995199997 78.1135998530005,-21.4683275199999 78.1121998530005,-21.5241725199999 78.1099818530005,-21.5666635199999 78.1102638530006,-21.7579185199999 78.1324818530005,-21.7380545199998 78.1405458530005,-21.7155545199997 78.1430548530005,-21.69221852 78.1435998530005,-21.6683275199999 78.1430548530005,-21.6438905199999 78.1416638530005,-21.5727725199998 78.1369368530005,-21.5127815199999 78.1302638530005,-21.4888905199998 78.1296998530004,-21.4172185199998 78.1486088530004,-21.3986095199999 78.1544368530004,-21.2880545199999 78.2121998530004,-21.27680952 78.2209548530004,-21.2759725199998 78.2323458530006,-21.2894455199997 78.2408178530004,-21.3324995199998 78.2508268530004,-21.3638905199999 78.2560998530004,-21.3770815199999 78.2640178530004,-21.3774995199999 78.2947088530004,-21.3730545199999 78.3055458530005,-21.3619455199998 78.3169368530005,-21.2977815199999 78.3649908530005,-21.1302815199999 78.5141638530004,-20.96694552 78.5905458530004,-20.9386095199999 78.6035908530004,-20.9098635189999 78.6212268530005,-20.9049995189999 78.6324818530004,-20.9136095189999 78.6405458530004,-20.9261095189998 78.6463818530005,-20.9372185189999 78.6491548530004,-20.9680545199998 78.6513818530005,-20.9949995199999 78.6513818530005,-21.1424995199998 78.6444368530005,-21.1716635199999 78.6427638530005,-21.2538905199999 78.6338818530004,-21.3113905199999 78.6255368530004,-21.33778152 78.6235998530004,-21.34778152 78.6244178530004,-21.3591635199999 78.6271998530004,-21.42437252 78.6492268530005,-21.4027815199999 78.6555458530004,-21.3841635199999 78.6577638530004,-21.26444552 78.6658178530005,-21.2099995199999 78.6660908530005,-21.1280545199999 78.6605368530005,-21.10833652 78.6610998530004,-20.9283365189999 78.6916458530006,-20.9911095199998 78.7069368530005,-21.0127815199999 78.7105368530004,-21.0774995199999 78.7744268530004,-21.0991635199999 78.7983268530005,-21.1288905199999 78.7977638530004,-21.1591635199999 78.7983268530005,-21.1836095199998 78.8072728530005,-21.00749952 78.8380458530004,-20.9786095199999 78.8405458530005,-20.9558365199999 78.8402728530004,-20.9222185189997 78.8385908530005,-20.8980545189999 78.8355368530005,-20.8747185189999 78.8335998530004,-20.8244455189999 78.8333268530004,-20.7952815189999 78.8358178530004,-20.7727815189999 78.8410908530005,-20.7624995189999 78.8519268530005,-20.7488905189999 78.8613728530005,-20.6827815189999 78.8883178530004,-20.6644455189999 78.8916638530005,-20.6197185189998 78.8933268530004,-20.5963905189998 78.8922088530005,-20.4786095189999 78.8819268530004,-20.3236095189999 78.8671998530005,-20.2644455189998 78.8638728530004,-20.2086095189999 78.8627638530004,-20.1583365189999 78.8633088530004,-20.0997275189998 78.8671998530005,-20.0394455189999 78.8733088530004,-20.018054519 78.8771998530005,-19.9991635189999 78.8813638530004,-19.9766635189999 78.8874998530004,-19.9586095189999 78.8935998530005,-19.9330545189999 78.9055458530005,-19.917218519 78.9174818530005,-19.9063905189998 78.9291548530005,-19.9061095189999 78.9408088530005,-19.914718519 78.9641548530004,-19.9238905189997 78.9746998530005,-19.9944455189998 79.0260908530006,-20.0294455189999 79.0371998530005,-20.0769455189998 79.0541548530006,-20.0911095189999 79.0635998530004,-19.929999519 79.1177548540005,-19.852781518 79.1241458540005,-19.7269455179999 79.1255368540004,-19.6622185179999 79.1246908540004,-19.6399995179999 79.1191368540004,-19.6191635179999 79.1185908540006,-19.5988905179998 79.1197088540005,-19.5749995179999 79.1249818540005,-19.5533365179999 79.1369368540004,-19.5319455179999 79.1488818540005,-19.5234725179997 79.1579088540005,-19.5273635179998 79.1684548540005,-19.536663518 79.1769268540004,-19.5649995179999 79.1910818540004,-19.5666635179999 79.2027638540005,-19.3927725179998 79.2708268540005,-19.3783365179999 79.2749908540005,-19.3583365179999 79.2772088540004,-19.3149995179999 79.2799818540005,-19.2383275179999 79.2847178540005,-19.2246095179999 79.2824368540004,-19.2101095179999 79.2810998540004,-19.1967815179999 79.2789368540004,-19.2142635179998 79.2755548540005,-19.2378905179999 79.2739268540004,-19.2719455179998 79.2683268540005,-19.2858365179998 79.2633178540005,-19.2944455179999 79.2574908540005,-19.3098635179999 79.1708178540005,-19.2908365179999 79.1680458540005,-19.1040275179997 79.1860908540004,-19.0794455179998 79.2024908540005,-19.1054815179999 79.2234548540004,-19.1238905179997 79.2210998540004,-19.1380545179999 79.2160908540004,-19.1481905179999 79.2070728540005,-19.164445518 79.2002728540004,-19.1870815179999 79.1990088540005,-19.2027815179999 79.2074908540004,-19.206390518 79.2180458540005,-19.1792455179998 79.2473178540004,-19.1599995179998 79.2551548540005,-19.1044455179999 79.2736088540004,-19.0916635179999 79.2999908540005,-19.1913905179998 79.3172178540005,-19.224163518 79.3208268540005,-19.536663518 79.3308268540005,-19.5577815179998 79.3313728540004,-19.5736095179998 79.3310998540005,-19.598054518 79.3272088540004,-19.6119455179999 79.3211088540004,-19.6199995179998 79.3149908540004,-19.6488905179999 79.2797088540005,-19.6773635179999 79.2331818540005,-19.8022275179999 79.1613728540004,-19.8386095179999 79.1483268540005,-19.8645815189998 79.1519268540005,-19.8738905189999 79.1666548540005,-19.8747185189998 79.1822088540004,-19.871109519 79.1997088540005,-19.7958365179999 79.2547178540004,-19.7794455179999 79.2663908540004,-19.7288815179999 79.2847178540005,-19.6911095179998 79.3094178540005,-19.6791635179999 79.3191548540004,-19.6677815179999 79.3310998540005,-19.6563905179999 79.3502638540004,-19.6472185179999 79.4041638540004,-19.6816635179999 79.4322088540004,-19.7361095179999 79.4291548540004,-19.7999995179999 79.4579728540005,-19.7336095179999 79.5205368540004,-19.7249995179998 79.5263818540005,-19.7136095179999 79.5308178540005,-19.6844455179998 79.5391548540004,-19.6455545179998 79.5491458540005,-19.6255545179999 79.5524728540004,-19.5979185179999 79.5612368540005,-19.5916635179999 79.5697178540004,-19.5858365179998 79.5833268540005,-19.5774995179999 79.6185908540004,-19.5799995179999 79.6324818540005,-19.6343095179999 79.6479088540004,-19.6313905179999 79.6613728540005,-19.6219455179999 79.6655458540004,-19.5166635179998 79.7099908540004,-19.4455545179999 79.7388728540004,-19.4261095179999 79.7449818540005,-19.315836518 79.7722178540005,-19.290554518 79.7783178540006,-19.2599995179999 79.7847178540004,-19.2286095179999 79.7888818540005,-19.1991635179999 79.7905458540005,-19.1661095179998 79.7899818540005,-18.9391635179998 79.7816638540005,-18.861945518 79.7785908540004,-18.7636185169998 79.7702638540005,-18.6649995169997 79.7591548540004,-18.5969455169999 79.7499998540005,-18.4966635169999 79.7410908540004,-18.4305545169998 79.7388728540004,-18.3658365169999 79.7402638540004,-18.298890517 79.7452548540005,-18.2752815169998 79.7477548540004,-18.222499517 79.7549908540005,-18.191109517 79.7611088540004,-18.0213905169998 79.8058178540004,-17.9911095169998 79.8166638540004,-17.8730545169999 79.8663818540004,-17.8538905169997 79.8795638540004,-17.8319455169999 79.8944368540005,-17.7127725159999 79.9460908540005,-17.6141635159999 79.9813728540004,-17.5986095159998 79.9871998540005,-17.4507635159999 80.0565818540005,-17.5158365159998 80.0835998540005,-17.5672185159999 80.1010908540005,-17.6463905159999 80.1177548540005,-17.6933365159999 80.1260818540006,-17.7277725169997 80.1296998540004,-17.799445517 80.1347178540005,-17.9338905169998 80.1410998540004,-17.9677815169998 80.1419368540004,-18.0361095169999 80.1433268540005,-18.137781517 80.1424908540004,-18.4024995169999 80.1283088540004,-18.4633365169997 80.1241458540004,-18.7269455169999 80.0985998540004,-18.912136518 80.0795728540005,-19.034999518 80.0844268540005,-19.1974995179999 80.0994268540005,-19.2324995179998 80.1019268540005,-19.2894455179999 80.1033178540005,-19.3622185179999 80.0952638540005,-19.3916635179999 80.0905458540005,-19.4336095179999 80.0822178540005,-19.4630545179999 80.0713818540004,-19.4722185179999 80.0652638540005,-19.483890518 80.0588728540005,-19.5013905179998 80.0533178540005,-19.5272275179999 80.0472088540005,-19.5916635179999 80.0396998540004,-19.7086095179999 80.0310998540005,-19.8680545189998 80.0169368540005,-19.9002725189998 80.0138818540005,-19.9322185189998 80.0094268540005,-19.9630545189999 80.0033268540004,-20.0183365189999 79.9888728540005,-20.0533365189999 79.9797088540004,-20.0674995189999 79.9738728540004,-20.2572275189999 79.8813638540005,-20.2108365189999 79.8194368540005,-20.1844455189998 79.8155368540004,-20.1574995189997 79.8166638540004,-20.1469455189999 79.8177638540005,-20.1216635189999 79.8230458540005,-19.9749995189999 79.8405458540005,-19.9083365189999 79.8458268540005,-19.8776365189999 79.8442908540005,-19.886390519 79.8388818540005,-19.927499519 79.8313728540004,-19.971109519 79.8247088540004,-20.042781519 79.8183268540005,-20.0694455189998 79.8169368540004,-20.1319455189999 79.8083178540005,-20.1622185189999 79.8021998540004,-20.1862455189999 79.7945728540005,-20.1944455189999 79.7880368540004,-20.214718519 79.7722178540005,-20.2344455189998 79.7672088540005,-20.2686095189998 79.7641638540005,-20.3269455189999 79.7605458540004,-20.3539815189999 79.7640178540004,-20.3488905189999 79.7727638540004,-20.3722185189999 79.8185998540005,-20.4122185189999 79.8452638540005,-20.4961095189997 79.8541548540006,-20.5811095189997 79.8588728540005,-20.709999519 79.8574818540005,-20.7258275189999 79.8560908540005,-20.752363519 79.8623548540004,-20.7413905189999 79.8763728540005,-20.7308275189998 79.8827548540004,-20.7061095189999 79.8944368540005,-20.5699995189999 79.9458178540004,-20.4841635189999 79.9763818540005,-20.4680545189998 79.9865088540005,-20.4763905189999 79.9947088540004,-20.4949995189999 79.9994178540005,-20.5990995189998 80.0260268540005,-20.579727519 80.0349908540004,-20.5524995189999 80.0374908540005,-20.5252815189999 80.0388818540005,-20.464445519 80.0405458540005,-20.4330545189999 80.0458178540004,-20.366109519 80.0859638540005,-20.3933365189999 80.0930458540004,-20.4961095189997 80.0955368540004,-20.5311095189999 80.0980368540004,-20.554863519 80.1031818540005,-20.5202815189999 80.1108088540005,-20.4599995189999 80.1144268540004,-20.3733365189999 80.1224818540004,-20.277227519 80.1355458540004,-20.2247185189999 80.1438728540005,-20.198890519 80.1499908540005,-20.1494455189998 80.1663818550005,-20.1352725189999 80.1722088550005,-20.1263905189999 80.1783178550004,-20.1147275189999 80.1899728550004,-20.1027815189999 80.2016638550005,-20.0824995189999 80.2141548550005,-20.0619455189999 80.2255368550004,-20.043336519 80.2355368550004,-19.9961095189998 80.2510998550004,-19.966945519 80.2569458550004,-19.8461095179999 80.2763818550004,-19.8188905179999 80.2794368550004,-19.700836518 80.2858088550004,-19.663890518 80.2866548550005,-19.597499518 80.2860998550005,-19.4547185179999 80.2802728550005,-19.3516635179998 80.2730368550004,-19.249445518 80.2608178550005,-19.1886095179999 80.2505458550004,-19.1174995179999 80.2435908550005,-19.0822185179999 80.2410908550004,-18.9472185179999 80.2388728550004,-18.8419455179999 80.2405368550004,-18.7758365169999 80.2396998550004,-18.7411095169999 80.2380368550005,-18.7063905169998 80.2352638550005,-18.5877815169999 80.2219268550005,-18.5149995169999 80.2160908550005,-18.4486095169998 80.2124908550005,-18.3797185169999 80.2108178550005,-18.3113905169998 80.2113818550004,-18.1602815169998 80.2213728550005,-18.1019455169999 80.2280458550006,-18.0405545169999 80.2333178550005,-17.9697185169999 80.2363728550005,-17.9386095169999 80.2369268550005,-17.8355545169998 80.2366458550005,-17.6952815159999 80.2341458550004,-17.5663905159999 80.2305458550005,-17.4286095159999 80.2263818550005,-17.2805545159999 80.2269268550005,-17.1449995159998 80.2344178550006,-17.113890516 80.2369268550005,-16.976109516 80.2524908550004,-16.9086095159998 80.2605458550004,-16.8472185159998 80.2724908550005,-16.808054516 80.2810998550005,-16.6177815149999 80.3263818550005,-16.5897185149998 80.3361088550004,-16.5816725149999 80.3433178550004,-16.5966725149999 80.3466458550004,-16.6488905159999 80.3505368550005,-16.707218516 80.3569368550005,-16.7281905159999 80.3637268550004,-16.7561095159999 80.3799728550005,-16.7693095159999 80.3930458550005,-16.7616725159999 80.4027728550005,-16.7361095159999 80.4072088550005,-16.6547185159998 80.4083268550004,-16.6258275149999 80.4074818550005,-16.6106905149999 80.4022088550005,-16.6416635149999 80.3919368550004,-16.6586095159999 80.3880458550004,-16.6858365159999 80.3720638550005,-16.653836516 80.3690368550005,-16.6219455149999 80.3697088550005,-16.5991635149999 80.3719178550005,-16.5419455149998 80.3805368550004,-16.5194455149997 80.3866548550005,-16.5008275149997 80.3967998550004,-16.4768905149999 80.4113268550005,-16.452781515 80.4224818550005,-16.407218515 80.4341458550005,-16.361663515 80.4438638550004,-16.3094455149999 80.4508178550004,-16.2633365149997 80.4585998550004,-16.2347185149998 80.4644268550004,-16.1252815149999 80.4974818550005,-16.1192365149997 80.5069368550005,-16.1408365149998 80.5155458550005,-16.2127725149997 80.5385908550005,-16.224718515 80.5405458550005,-16.5027815149999 80.5591458550004,-16.5380545149997 80.5599818550004,-16.7802815159998 80.5633088550004,-16.975272516 80.5663728550004,-17.0713905159999 80.5777728550004,-17.2386095159999 80.6055458550005,-17.2994455159999 80.6158178550004,-17.3722185159999 80.6252638550005,-17.4386095159999 80.6296998550004,-17.4769455159998 80.6291548550004,-17.5330545159999 80.6263728550005,-17.5588905159999 80.6227548550004,-17.6961095159999 80.5980368550004,-17.8613905169999 80.5697178550004,-17.9319455169999 80.5694458550005,-17.9669455169999 80.5683268550005,-18.004718517 80.5646998550005,-18.1305545169998 80.5491458550004,-18.1652725169999 80.5469368550004,-18.229999517 80.5466458550005,-18.5124995169999 80.5455368550004,-18.6274995169998 80.5549818550004,-18.7022185169999 80.5669368550004,-18.8911095179998 80.5847178550004,-18.9244455179999 80.5869268550004,-19.0405545179999 80.5891548550005,-19.1077725179999 80.5861088550005,-19.1722185179999 80.5844268550005,-19.2080545179998 80.5852638550004,-19.2441635179998 80.5866548550005,-19.4716635179997 80.6002638550004,-19.4899455179998 80.6029548550005,-19.5112545179998 80.6106818550005,-19.517499518 80.6188638550004,-19.5316725179998 80.6244178550005,-19.5574995179999 80.6291548550004,-19.6555545179999 80.6358178550005,-19.8022275179999 80.6447178550004,-19.935836519 80.6499908550005,-20.0686095189999 80.6469458550004,-20.1269455189998 80.6441458550004,-20.1405545189999 80.6416638550005,-20.1563905189999 80.6366548550005,-20.1663905189999 80.6324728550005,-20.1724995189999 80.6208178550004,-20.2413905189999 80.5908178550005,-20.2622185189999 80.5847178550004,-20.2980545189998 80.5788728550005,-20.3288905189999 80.5752728550005,-20.3633365189997 80.5727728550004,-20.4666635189999 80.5666638550005,-20.6427725189999 80.5524728550005,-20.6530545189999 80.5494268550004,-20.6674995189999 80.5402638550004,-20.7052725189999 80.5138818550005,-20.7197185189999 80.5077638550005,-20.7433275189998 80.5022088550004,-20.7769455189999 80.4988728550005,-20.8116725189998 80.4983178550004,-20.8383365189999 80.5035998550005,-20.8438905189999 80.5141638550004,-20.8358365189999 80.5210998550005,-20.8261095189999 80.5252728550004,-20.8107635189999 80.5486638550005,-20.842781519 80.5560908550004,-20.8730545189999 80.5574818550004,-20.9313905189998 80.5558178550006,-20.96028152 80.5541548550004,-21.0247275199999 80.5533178550004,-21.0902815199997 80.5541548550004,-21.1902815199999 80.5580268550005,-21.2211095199999 80.5605268550004,-21.2488905199999 80.5715908550005,-21.2147185199998 80.5799908550005,-21.1799995199999 80.5816638550005,-21.14444552 80.5822178550005,-21.0730545199999 80.5813728550004,-21.03333652 80.5794368550004,-20.96694552 80.5774818550005,-20.8563905189999 80.5758178550005,-20.7886095189999 80.5760998550004,-20.6805545189999 80.5791638550004,-20.579727519 80.5849908550004,-20.5119455189998 80.5916638550004,-20.4788815189999 80.5969368550005,-20.4583365189999 80.6030458550004,-20.4419455189999 80.6120728550005,-20.4286095189999 80.6213728550005,-20.4105545189998 80.6269178550004,-20.3841635189999 80.6330458550005,-20.246663519 80.6636088550005,-20.1894455189997 80.6752638550004,-20.1222185189998 80.6849818550005,-20.0874995189999 80.6871908550005,-20.0516635189998 80.6877638550005,-19.7844455179999 80.6794268550004,-19.625281518 80.6702548550004,-19.5911095179999 80.6674818550005,-19.4786095179998 80.6549818550004,-19.4027815179999 80.6441458550004,-19.3658365179999 80.6416638550005,-19.1149995179999 80.6394368550004,-18.967781518 80.6352728550004,-18.896390518 80.6269178550004,-18.8597185179997 80.6233088550004,-18.823336518 80.6208178550004,-18.751109517 80.6183178550005,-18.6772275169999 80.6194268550006,-18.5777815169998 80.6252638550005,-18.5433365169998 80.6283088550004,-18.4688905169999 80.6385998550005,-18.4466635169998 80.6427638550004,-18.4138905169999 80.6535908550004,-18.3816725169999 80.6655458550005,-18.3594455169998 80.6713728550005,-18.3088905169998 80.6824818550004,-18.2227725169999 80.6966368550005,-18.1702725169999 80.7008178550005,-18.1169455169999 80.7030458550005,-18.0755545169998 80.7063728550004,-18.037499517 80.7099908550005,-18.0177815169999 80.7144268550005,-17.9995095169999 80.7276908550004,-18.0130545169998 80.7424818550004,-18.0336095169999 80.7530548550004,-18.0224995169999 80.7922088550005,-17.959163517 80.8052548550004,-17.8144455169999 80.7819368550004,-17.7491635169999 80.7599908550005,-17.704718516 80.7485998550004,-17.6942275159998 80.7463088550004,-17.6644455159998 80.7427548550005,-17.6399995159998 80.7419268550004,-17.603890516 80.7419268550004,-17.466109516 80.7435908550004,-17.2258275159999 80.7449818550004,-17.132218516 80.7427548550005,-17.0658365159999 80.7402638550004,-16.8627815159999 80.7269268550004,-16.7899995159999 80.7194368550005,-16.7533365159998 80.7136088550005,-16.7166635159998 80.7091548550004,-16.6744455159999 80.7060998550004,-16.6386095149999 80.7063728550004,-16.4961095149998 80.7191458550005,-16.4099995149999 80.7258178550005,-16.3769455149998 80.7271998550004,-16.317218515 80.7291548550004,-16.2183275149999 80.7299818550004,-16.1522185149998 80.7291548550004,-16.0830545149999 80.7258178550005,-16.0530545149999 80.7258178550005,-16.0291635149999 80.7266548550004,-16.0049995149999 80.7285908550004,-15.9216905149999 80.7987548550005,-15.8299995149999 80.8299908550004,-15.6755545149999 80.8469368550004,-15.6391635149998 80.8508178550004,-15.5661095139999 80.8555458550004,-15.286109514 80.8649908550005,-15.0880545139999 80.8671998550005,-15.0547185139998 80.8677548550004,-14.956663514 80.8752638550005,-14.8705545139999 80.8847178550004,-14.8088905139999 80.8933268550004,-14.7811095139999 80.8986088550005,-14.6780545139999 80.9199818550005,-14.6505545139999 80.9469268550004,-14.6622185139998 80.9508178550005,-14.7766635139998 80.9771998550004,-14.8099995139997 80.9827548550005,-14.8802815139998 80.9891548550005,-14.9108365139999 80.9930458550004,-14.9411095139999 81.0008268550004,-14.9533365139998 81.0047178550005,-15.1389545139999 81.0846368550005,-14.9752725139999 81.1283088550005,-14.8744455139999 81.1349908550004,-14.6272185139999 81.1338818550005,-14.3741635129998 81.1258088550004,-14.2680545129999 81.1255368550005,-14.1608365129998 81.1288638550004,-14.103890513 81.1324728550004,-14.0272275129998 81.1419368550004,-13.9749995129998 81.1513818550005,-13.767499513 81.2133178550005,-13.6988905129999 81.2604178560005,-13.6688905129997 81.2741548560005,-13.6522275129998 81.2783178560005,-13.5986095129999 81.2896998560005,-13.5452815129999 81.2999908560004,-13.5119455129998 81.3055458560005,-13.4791635129999 81.3083178560004,-13.4091635119997 81.3069268560004,-13.3708365119997 81.3069268560004,-13.3416635119999 81.3080268560005,-13.2466635119999 81.3174908560005,-13.2197185119999 81.3222178560005,-13.2015275119998 81.3304088560005,-13.2219455119999 81.3377728560005,-13.2398635119999 81.3484548560004,-13.2208365119999 81.3658178560005,-13.2063905119999 81.3713728560004,-13.1341635119999 81.3980368560004,-13.1133365119999 81.4035908560006,-13.0655545119998 81.4121998560004,-12.9841635119998 81.4252638560005,-12.8477815119999 81.4455268560004,-12.7538905119998 81.4555548560004,-12.6038905119999 81.4755368560005,-12.5827815119999 81.4791548560005,-12.508609512 81.4955268560005,-12.3658365119999 81.5272088560005,-12.322218511 81.5385908560004,-12.1694455109999 81.5924818560005,-12.1576365109999 81.6006818560004,-12.165836511 81.6091458560005,-12.2161095109998 81.6163818560004,-12.2855545109999 81.6246908560004,-12.3430545109998 81.6310908560005,-12.3980545119999 81.6347178560005,-12.4508365119999 81.6352728560004,-12.4930545119999 81.6380458560005,-12.5349995119999 81.6416638560004,-12.5599995119999 81.6458268560004,-12.5604455119999 81.6459728560004,-12.584163512 81.6619268560004,-12.5955545119999 81.6677548560004,-12.6099995119997 81.6730368560004,-12.7797185119999 81.7246998560004,-12.8330545119999 81.7360998560004,-12.8963905119999 81.7472088560005,-13.169163512 81.7808178560005,-13.2413905119998 81.7880368560005,-13.2813905119999 81.7910908560004,-13.3608365119998 81.7963728560005,-13.6372185129999 81.8146998560004,-13.842218513 81.8219268560005,-13.8697185129998 81.8211088560004,-13.9102815129999 81.8222178560005,-14.0566635129999 81.8361088560004,-14.0863905129999 81.8397088560005,-14.1027725129998 81.8441458560005,-14.1280545129998 81.8558178560004,-14.1608365129998 81.8608088560004,-14.2013905129999 81.8638728560004,-14.2349995129999 81.8646998560005,-14.3172185129999 81.8649908560005,-14.3847275129999 81.8671998560005,-14.444999513 81.8749818560005,-14.4980545139998 81.8869368560004,-14.564999514 81.8977638560004,-14.6055545139998 81.9024818560005,-14.7680545139999 81.9183178560004,-14.8433365139999 81.9224818560004,-14.9833275139998 81.9260908560005,-15.0999995139999 81.9280368560006,-15.1755545139999 81.9260908560005,-15.2513905139999 81.9224818560004,-15.4849995139999 81.9110998560005,-15.5602815139999 81.9072088560005,-15.6219455149999 81.9024818560005,-15.6630545149999 81.9013818560005,-15.738336515 81.9033178560004,-15.9922185149999 81.9127638560005,-16.1672185149999 81.9208178560004,-16.2938905149999 81.9172088560005,-16.4547185149999 81.9146998560005,-16.4858365149999 81.9149908560004,-16.5202815149999 81.9169268560004,-16.5477815149999 81.9188728560005,-16.6661095159999 81.9310908560005,-16.700554516 81.9319268560005,-16.7413905159999 81.9299818560004,-16.8830545159999 81.9130368560004,-16.9139545159999 81.9016458560005,-16.847499516 81.8802548560005,-16.8409725159999 81.8703908560004,-16.8619455159999 81.8619268560005,-16.8749995159998 81.8591458560005,-16.8952815159998 81.8572088560004,-16.9155545159998 81.8560908560004,-16.996945516 81.8547088560005,-17.0513905159999 81.8555458560005,-17.1272275159998 81.8591458560005,-17.2555545159999 81.8449818560004,-17.2658365159999 81.8374908560005,-17.2791635159999 81.8363818560004,-17.3199995159999 81.8363818560004,-17.3619455159999 81.8410908560005,-17.3899995159999 81.8466458560004,-17.433327516 81.8580368560005,-17.4480545159999 81.8627638560005,-17.4622185159999 81.8646998560005,-17.482772516 81.8644268560004,-17.5024995159998 81.8624908560005,-17.5219455159999 81.8577548560005,-17.5347275159999 81.8535908560004,-17.5394455159999 81.7477638560004,-17.5294455159999 81.7408178560005,-17.5149995159999 81.7360998560004,-17.4419455159999 81.7233088560004,-17.3727725159999 81.7141548560004,-17.3538905159998 81.7019368560005,-17.431663516 81.6910818560004,-17.4513905159999 81.6899728560005,-17.4786095159998 81.6919268560004,-17.5019455159999 81.6992908560004,-17.5294455159999 81.7108178560004,-17.5511095159999 81.7166638560004,-17.5930545159999 81.7252638560005,-17.6616635159999 81.7316548560005,-17.7841725169999 81.7377638560004,-17.8174995169999 81.7374908560004,-17.830836517 81.7363728560005,-17.859581517 81.7315178560004,-17.9274995169999 81.6722088560005,-17.892363517 81.6401268560005,-17.8458365169998 81.6258088560004,-17.8077815169999 81.6208178560004,-17.7711185169998 81.6185908560006,-17.690554516 81.6160908560005,-17.6236095159999 81.6116458560004,-17.608890516 81.6053998560005,-17.7841725169999 81.5521998560006,-17.8033365169999 81.5502638560004,-17.8597185169999 81.5513728560005,-17.949999517 81.5580268560004,-18.0388905169999 81.5399818560004,-18.0091635169998 81.4863728560005,-18.017227517 81.4680458560004,-18.2494455169998 81.4385818560004,-18.2758365169999 81.4402638560005,-18.422218517 81.4508178560005,-18.449445517 81.4544368560004,-18.4769455169998 81.4591548560005,-18.498054517 81.4638818560005,-18.5063905169998 81.4694368560004,-18.5136095169999 81.4865088560004,-18.6958275169999 81.5272088560005,-18.7227725169999 81.5297088560006,-18.7361095169999 81.5297088560006,-18.7488905169999 81.5285908560004,-18.7636185169998 81.5241548560004,-18.7749995169999 81.5191458560005,-18.7711185169999 81.5086088560005,-18.7766725169999 81.4965088560006,-18.7941635179999 81.4822088560004,-18.8058365179999 81.4783178560005,-18.8363905179999 81.4724908560005,-18.876109518 81.4738728560004,-18.8944455179998 81.4799818560005,-18.944163518 81.5134998560004,-18.9647185179999 81.5360998560005,-18.9736095179998 81.5419268560004,-18.994718518 81.5455368560005,-19.095554518 81.5505368560005,-19.228881518 81.5549818560006,-19.5566635179997 81.5519268560005,-19.9241635189999 81.4958178560004,-19.9411095189998 81.4908178560004,-19.9634725189999 81.4766548560004,-19.9991635189999 81.4633178560006,-20.081390519 81.4385818560004,-20.1077725189999 81.4330458560005,-20.2352725189999 81.4222088560006,-20.2522275189999 81.4235998560005,-20.2961095189999 81.4452548560005,-20.3055545189998 81.4510998560004,-20.2513905189999 81.5213818560005,-20.2169455189999 81.5619178560005,-20.2313905189999 81.6013818560004,-20.1405545189999 81.6180458560004,-20.1263905189999 81.6160908560005,-20.100554519 81.6174818560005,-20.0766635189999 81.6224818560004,-20.0563905189999 81.6280368560006,-20.0419455189998 81.6324728560004,-19.9083365189999 81.6776178560004,-19.9408365189998 81.6830458560004,-19.9691635189998 81.6791548560005,-20.2205545189998 81.6430548560004,-20.5080545189997 81.6097088560004,-20.5794455189999 81.6069368560005,-20.7330545189999 81.5866548560005,-20.7691725189999 81.5805548560004,-20.9627725199999 81.5294368560004,-21.1019455199999 81.4844178560004,-21.1719455199998 81.4655458560005,-21.2322185199999 81.4524818560005,-21.2794455199999 81.4452548560005,-21.3752815199999 81.4322088560005,-21.42916352 81.4202548560005,-21.4464545199999 81.4081088560004,-21.4388905199999 81.3958268560005,-21.4498635199998 81.3578908560004,-21.4627725199998 81.3430458560005,-21.4805545199999 81.3310998560005,-21.5180545199999 81.3199908560004,-21.5480545199999 81.3166638560004,-21.58555452 81.3149908560004,-21.6238905199997 81.3144178560004,-21.6916635199999 81.3105268560005,-21.7258275199998 81.3041548560005,-21.7472185199999 81.2980368560004,-21.7624995199999 81.2919268560004,-21.7711185199999 81.2858088560005,-21.7758365199999 81.2741548560005,-21.7616725199999 81.2627728560005,-21.7513905199999 81.2572178560004,-21.7594455199997 81.2458178560004,-21.7844455199999 81.2399728560005,-21.8069455199999 81.2358088550005,-21.8449995199999 81.2308178550004,-22.0213905209999 81.2149998550004,-22.0563905209999 81.2105368550004,-22.0905545209998 81.2049908550004,-22.363890521 81.1372088550004,-22.4091635209998 81.1216458550004,-22.417499521 81.1158178550004,-22.462772521 81.1047088550004,-22.6697185209999 81.0552548550004,-22.7238905209998 81.0444368550004,-22.7449995209999 81.0391548550006,-22.7599995209999 81.0306818550004,-22.7511095209998 81.0191548550004,-22.7441635209998 81.0023458550005,-22.7616725209999 80.9927548550004,-22.7852815209999 80.9869268550005,-23.0327815209998 80.9391458550004,-23.065554521 80.9335908550005,-23.1016635219998 80.9285908550005,-23.2652815219998 80.9063728550005,-23.327499522 80.8991548550005,-23.3566635219997 80.8974908550005,-23.4949995219999 80.8972178550005,-23.5355545219999 80.8944368550004,-23.5594455219999 80.8894368550004,-23.5770815219999 80.8834638550004,-23.5822185219998 80.8666458550005,-23.5469455219998 80.8458268550004,-23.5297275219999 80.8402728550004,-23.5056995219999 80.8262368550004,-23.505418522 80.8149908550004,-23.5163905219999 80.8024728550005,-23.5302815219998 80.7974818550005,-23.545281522 80.7933178550004,-23.5761095219999 80.7866548550005,-23.628609522 80.7766548550005,-23.6603725219999 80.7401728550005,-23.6719455219999 80.7166638550005,-23.6880545219998 80.7111088550004,-23.7827815219998 80.6841458550005,-23.8591635219999 80.6644268550004,-23.9258275219999 80.6477638550004,-24.0433365219999 80.6244178550005,-24.1647185229999 80.5991548550005,-24.2288815229999 80.5838818550005,-24.2927815229999 80.5685998550005,-24.3819455229999 80.5488728550005,-24.4077725229999 80.5444368550005,-24.474718523 80.5396998550004,-24.5116725229998 80.5408178550004,-24.541945523 80.5525548550004,-24.5172275229999 80.5694458550005,-24.3163905229999 80.6310908550005,-24.1802815229999 80.6666548550004,-24.1549995219999 80.6722088550004,-24.0649275219999 80.6878268550005,-24.0994455219999 80.6910818550004,-24.1391635219999 80.6916548550005,-24.172218523 80.6910818550004,-24.2363815229999 80.6888728550004,-24.3047185229998 80.6841458550005,-24.3374995229998 80.6805458550004,-24.3694455229999 80.6758088550004,-24.4038905229999 80.6738728550004,-24.431945523 80.6780368550005,-24.4194455229998 80.6844178550004,-24.3877815229999 80.6888728550004,-24.1555545219998 80.7130458550005,-24.021663522 80.7191458550005,-23.9902725219999 80.7246998550004,-23.9758275219999 80.7288638550004,-23.8074995219998 80.8041458550005,-23.8441635219999 80.8388818550005,-23.8602815219999 80.8502638550004,-23.8702815219999 80.8547088550005,-23.8794455219999 80.8891638550004,-23.673890522 80.9649998550005,-23.656390522 80.9697088550005,-23.604163522 80.9816548550004,-23.5366635219999 80.9966458550005,-23.457772522 81.0138818550006,-23.431945522 81.0202638550005,-23.3766635219999 81.0360998550004,-23.363054522 81.0422088550005,-23.3480545219999 81.0541548550005,-23.3427815219998 81.0681818550004,-23.3444455219998 81.0795728550004,-23.301663522 81.0960998550004,-23.1930545219998 81.1166548550004,-23.0763905209998 81.1433268550005,-23.0058365209998 81.1616548550005,-22.9788815209999 81.1713728550004,-22.954718521 81.1808178550005,-22.7652815209998 81.2637368560005,-22.8477815209998 81.2849908560005,-22.887218521 81.2860998560004,-22.9569455209999 81.2847178560004,-22.9680545209998 81.2903998560005,-22.9527815209998 81.2955368560005,-22.9222185209999 81.2972088560005,-22.7424995209997 81.2974818560005,-22.7124995209998 81.2999908560004,-22.6441635209999 81.3074818560005,-22.5847275209997 81.3177638560005,-22.5633365209998 81.3230458560004,-22.526945521 81.3344268560004,-22.4969455209998 81.3458268560004,-22.4822185209998 81.3516548560005,-22.269718521 81.4477548560005,-22.231109521 81.4658178560005,-22.1988905209998 81.4838728560004,-22.1208365209998 81.5549818560006,-21.9736095199999 81.7330458560005,-21.9597185199998 81.7680548560004,-22.0102815199999 81.9158178560004,-22.0169455209999 81.9330458560004,-22.0311095209999 81.9513818560005,-22.0458365209998 81.9616548560005,-22.0988905209998 81.9938638560004,-22.250281521 82.0736088560005,-22.2691725209999 82.0791638560004,-22.3013905209999 82.0844268560004,-22.3447185209999 82.0858178560004,-22.3858365209999 82.0841548560005,-22.5397185209999 82.0747088560004,-22.7966725209998 82.0627638560004,-22.8374995209999 82.0610998560004,-22.8788905209998 82.0605268560006,-23.1180545219999 82.0569268560004,-23.514999522 82.0491458560004,-23.6138905219999 82.0458178560005,-23.6888905219998 82.0399818560005,-24.0022275219999 82.0097178560005,-24.0266725219999 82.0060998560005,-24.037227522 82.0030548560005,-24.1176365219999 81.9505368560004,-24.1524995219999 81.8652638560004,-24.1141635219998 81.7974818560004,-24.1043095219999 81.7656818560004,-24.1691635229999 81.7208268560004,-24.1833275229999 81.7147088560005,-24.2105545229999 81.7083268560004,-24.2491635229999 81.7063728560005,-24.3005545229998 81.7066458560005,-24.3724995229999 81.7111088560005,-24.500836523 81.7172088560004,-24.5461095229998 81.7185998560005,-24.5794455229999 81.7177548560005,-24.6291635229999 81.7138818560005,-24.6516635229999 81.7094268560004,-24.667218523 81.7052638560004,-24.6791635229999 81.7005458560005,-24.7127725229998 81.6938638560004,-24.7491635229999 81.6899728560005,-24.7963905229999 81.6899728560005,-24.9224995229999 81.6938638560004,-24.9466635229999 81.6913638560005,-24.9969455229998 81.6849818560004,-25.0549995229999 81.6733088560004,-25.0694455229999 81.6680458560005,-25.0859725229997 81.6571998560005,-25.1358365229999 81.6430548560004,-25.353054524 81.6155368560005,-25.5261095239998 81.5941458560005,-26.0630545239998 81.5344268560005,-26.3058365239999 81.5127728560005,-26.3433365249999 81.5108178560005,-26.453054525 81.5027728560005,-26.5474995249999 81.4933178560005,-26.6041635249998 81.4858088560006,-26.6380545249998 81.4810908560004,-26.6858365249998 81.4719268560004,-26.7133365249999 81.4621998560004,-26.7383275249999 81.4508178560005,-26.753890525 81.4446998560006,-26.7680545249999 81.4405368560005,-26.8219455249998 81.4310908560005,-26.8819455249999 81.4216458560005,-26.910281525 81.4177548560004,-26.989163525 81.4074818560004,-27.0361095249999 81.4033178560005,-27.2730545249999 81.3836088560005,-27.3286095249997 81.3808178560005,-27.4827725259999 81.3830458560004,-27.5536095259999 81.3869368560005,-27.5709725259997 81.3897088560005,-27.553890526 81.3966548560004,-27.516109526 81.3977638560005,-27.4552725259999 81.3966548560004,-27.4108275259998 81.3930548560004,-27.3755545249999 81.3913728560004,-27.3030095249999 81.3895458560004,-27.211109525 81.3986088560005,-27.1863905249998 81.4059638560004,-27.2349995249999 81.4510998560004,-27.252499525 81.4544368560004,-27.2730545249999 81.4549908560005,-27.306109525 81.4549908560005,-27.3597185249998 81.4502728560005,-27.3913905259999 81.4494178560005,-27.4524995259999 81.4505458560005,-27.4805545259999 81.4516638560005,-27.5174995259999 81.4544368560004,-27.5774995259999 81.4644268560004,-27.6222185259999 81.4773458560004,-27.6284725259999 81.4890178560005,-27.6147275259998 81.4983178560005,-27.596945526 81.5047178560005,-27.5755545259998 81.5083268560005,-27.515281526 81.5155458560004,-27.4563905259998 81.5213818560005,-27.1541635249999 81.5424818560005,-26.9299995249999 81.5546998560005,-26.8655545249998 81.5591458560004,-26.8419455249999 81.5616458560006,-26.692499525 81.5805548560004,-26.6349995249999 81.5880458560005,-26.4724995249999 81.6108088560005,-26.3577725249999 81.6291548560005,-26.2166635239998 81.6455368560004,-26.1427725239998 81.6513818560005,-25.9041635239998 81.6830458560004,-25.8666635239999 81.6883088560005,-25.801945524 81.6991458560005,-25.7672275239999 81.7041638560004,-25.662218524 81.7183178560005,-25.5572275239998 81.7302728560004,-25.5233365239999 81.7335998560005,-25.4586095239997 81.7419268560004,-25.4283365239999 81.7480268560005,-25.3569455239999 81.7658268560005,-25.3174995239999 81.7760908560005,-25.306945524 81.7816638560004,-25.268890524 81.8021998560005,-25.2437455239998 81.8236088560005,-25.2024995229999 81.9865088560005,-25.2227725229999 81.9947088560004,-25.2388905239999 81.9963728560004,-25.3252815239998 81.9983178560005,-25.401663524 81.9974818560005,-25.4869455239999 81.9983178560005,-25.6577725239998 82.0002728560005,-26.0316725239999 82.0069458560005,-26.3174995249998 82.0152728560004,-26.403327525 82.0160998560005,-26.4727725249999 82.0152728560004,-26.6091635249998 82.0116548560004,-26.9474995249999 82.0213818560005,-27.115272525 82.0199908560004,-27.369999525 82.0246998560004,-27.4527815259997 82.0233178560005,-27.5452815259999 82.0185998560004,-27.7972185259999 82.0163908560004,-28.0527815259998 82.0141638560005,-28.3416635259999 82.0086088560004,-28.4244455259999 82.0069458560005,-28.5930545269999 81.9969368560005,-28.6630545269997 81.9941368560005,-28.8741725269997 81.9974818560005,-28.9202725269998 81.9974818560005,-28.9972185269999 81.9944268560005,-29.4177815269999 81.9555548560004,-29.4466635269999 81.9516638560004,-29.4761095269999 81.9460908560004,-29.4870815269999 81.9389998560005,-29.4780545269998 81.9327548560005,-29.466663527 81.9302638560004,-29.4364545269999 81.9206818560004,-29.5105635269998 81.8980368560004,-29.618054528 81.8705268560005,-29.6391635279999 81.8683178560005,-29.706109528 81.8683178560005,-29.742218528 81.8691368560004,-29.7588905279999 81.8705268560005,-29.7727815279999 81.8929088560005,-29.7349995279998 81.9074818560005,-29.6895095279999 81.9344908560004,-29.7016635279999 81.9413638560005,-29.7233275279999 81.9416548560004,-29.767499528 81.9408088560004,-29.8736095279999 81.9347088560005,-30.367781528 81.9022088560005,-30.533054528 81.8883178560005,-30.5880545279999 81.8819268560005,-30.606109529 81.8802638560006,-30.711390529 81.8724818560004,-30.7822185289999 81.8688638560005,-31.0102815289999 81.8663818560004,-31.0808365289997 81.8624908560005,-31.1611095289999 81.8566458560004,-31.228054529 81.8510908560005,-31.3741725289997 81.8408178560005,-31.553336529 81.8333268560004,-31.587781529 81.8330548560005,-31.6272275289999 81.8313728560004,-31.71555453 81.8244368560004,-31.8361095299999 81.8105268560004,-32.0077815299999 81.7891548560005,-32.2938905299999 81.7516638560005,-32.3513905299999 81.7438638560005,-32.41138153 81.7338728560005,-32.4908365299999 81.7127728560005,-32.5013995299998 81.7044368560004,-32.51139053 81.6988638560004,-32.5377815299998 81.6863728560004,-32.5644455299999 81.6805458560004,-32.6183275299999 81.6763728560004,-32.6522185299999 81.6758088560005,-32.8855635309999 81.6691458560006,-32.9330635309997 81.6621998560005,-32.9674995309997 81.6585998560005,-33.0183365309999 81.6563728560005,-33.0324995309999 81.6597178560004,-33.0461095309999 81.6663818560004,-33.0983365309999 81.7738818560005,-33.0613905309999 81.8127638560005,-33.0494455309999 81.8188818560005,-33.0024995309999 81.8283268560004,-32.9383275309999 81.8383178560004,-32.9027815309998 81.8433178560004,-32.7722275309999 81.8605368560005,-32.6688905299999 81.8688638560005,-32.42833653 81.8899818560005,-32.2605635299999 81.9088728560005,-32.1824995299999 81.9160908560005,-32.1138905299998 81.9208178560004,-31.95249953 81.9222088560005,-31.8536095299999 81.9330458560004,-31.6958275299999 81.9544368560005,-31.468327529 81.9677548560004,-31.3627275289999 81.9678178560005,-31.2324995289999 81.9677548560004,-31.2008365289999 81.9699818560005,-31.1705545289999 81.9765178560005,-31.1380545289998 81.9891548560005,-31.1049995289999 81.9944268560005,-30.993609529 82.0035998560004,-30.7430545289998 82.0227638560005,-30.472772528 82.0433178560004,-30.3933365279999 82.0472088560005,-30.3124995279998 82.0499908560005,-30.2066635279999 82.0572088560005,-29.933054528 82.0869268560005,-29.9183275279997 82.0888818560005,-29.908190528 82.0952728560004,-30.0258365279998 82.1383178560004,-30.0508365279998 82.1419368560005,-30.1224995279999 82.1494268560004,-30.1652725279999 82.1530458560004,-30.4555545279999 82.1758088560005,-30.586109528 82.1791548560005,-31.0222275289998 82.1830458560005,-31.428336529 82.1880368560005,-31.5497275289999 82.1935908560005,-31.5716635289999 82.1952548560005,-31.6202815289999 82.2050548560005,-31.591390529 82.2083268560004,-31.553336529 82.2077638560004,-31.4505545289999 82.2008178560005,-31.4019455289999 82.1985908560005,-31.3638905289999 82.1980268560005,-31.320836529 82.1985908560005,-31.203890529 82.2044368560005,-31.1583365289998 82.2055548560004,-31.0774995289999 82.2055548560004,-30.9461095289999 82.2022088560005,-30.7177815289999 82.1905368560004,-30.6686095289999 82.1896998560004,-30.4930545279998 82.1899728560005,-30.359163528 82.1885818560004,-30.3202815279999 82.1855268560005,-30.3002815279999 82.1805458560004,-30.0883365279997 82.1705368560004,-29.9988905279999 82.1697088560005,-29.9552725279999 82.1674818560005,-29.9177815279999 82.1630368560005,-29.9008365279999 82.1574818560005,-29.889863528 82.1494368560004,-29.8833275279998 82.1416638560005,-29.854163528 82.1338818560005,-29.813609528 82.1310908560005,-29.7872275279999 82.1305368560005,-29.708609528 82.1310908560005,-29.606945528 82.1435998560004,-29.563336528 82.1455368560005,-29.5258365269998 82.1447178560004,-29.4586095269999 82.1413728560004,-29.3733365269997 82.1383178560004,-29.2830545269999 82.1363818560004,-29.2402725269999 82.1366548560005,-29.123054527 82.1444368560004,-28.9469455269999 82.1558178560005,-28.6769455269999 82.1722088560004,-28.559718527 82.1780368560005,-28.4738905269999 82.1785908560005,-28.383327526 82.1766548560005,-28.2674995259998 82.1719178560004,-28.2327725259998 82.1730368560005,-28.128054526 82.1799818560005,-28.0963905259999 82.1830458560005,-28.0108365259999 82.1860998560005,-27.967499526 82.1863728560004,-27.8799995259998 82.1858088560005,-27.7172185259999 82.1835908560005,-27.448890526 82.1783178560005,-27.4002725259999 82.1771998560005,-27.1852725249999 82.1705368560004,-26.962218525 82.1658178560004,-26.7916635249998 82.1624908560005,-26.7019455249999 82.1599908560004,-26.5197185249999 82.1527728560004,-26.1638905239998 82.1441458560005,-26.121109524 82.1441458560005,-25.910281524 82.1472178560005,-25.6980545239999 82.1494268560004,-25.4069455239999 82.1513818560004,-25.1544455229999 82.1524818560005,-25.0688905229998 82.1524818560005,-25.0280545229999 82.1544368560004,-24.9488905229998 82.1599908560004,-24.7216635229998 82.1769268560005,-24.6052815229998 82.1883088560004,-24.5297275229998 82.1977548560004,-24.4249995229998 82.2133178560004,-24.3180545229999 82.2305458560005,-24.2549995229999 82.2421998560005,-24.1763905229998 82.2530548560004,-24.1411095219999 82.2569458560005,-23.7649995219999 82.2913638560004,-23.6966635219999 82.2955368560005,-23.6552815219999 82.2938728560005,-23.6391635219999 82.2888818560005,-23.6069455219999 82.2855368560005,-23.5633365219999 82.2855368560005,-23.1358365219999 82.2885908560004,-23.0499995209999 82.2899818560004,-22.9633365209999 82.2938728560005,-22.636109521 82.3166638570005,-22.5180545209999 82.3269368570005,-22.499999521 82.3288638570004,-22.4816635209999 82.3308268570005,-22.4458275209998 82.3358178570005,-22.3761095209999 82.3474908570005,-22.2252725209999 82.3758088570005,-22.2086095209999 82.3819268570005,-22.1981905209997 82.3913728570004,-22.2158275209999 82.3994268570005,-22.2691725209999 82.4102638570005,-22.2924995209999 82.4160908570005,-22.3077815209999 82.4210998570005,-22.2161095209999 82.4472088570005,-22.1602815209998 82.4597178570004,-22.1180545209999 82.4621998570005,-22.0280545209999 82.4649998570005,-21.9891635199999 82.4669368570004,-21.9477725199999 82.4705368570005,-21.8488905199999 82.4855368570005,-21.4313905199998 82.5499908570005,-21.3986095199999 82.5560908570005,-21.3808365199999 82.5621908570004,-21.3202815199999 82.5963728570005,-21.3163905199999 82.6109548570005,-21.33778152 82.6194268570005,-21.3644455199998 82.6249818570004,-21.3980545199998 82.6291548570004,-21.5583365199999 82.6513818570004,-21.7783365199999 82.6891458570005,-22.018336521 82.7119268570004,-22.0674995209999 82.7160908570005,-22.1072275209999 82.7219268570005,-22.2877815209999 82.7488728570004,-22.4052815209998 82.7685998570005,-22.5211185209999 82.7852638570005,-22.5994455209999 82.7947088570004,-22.6397905209998 82.7904638570005,-22.6566635209999 82.7719368570006,-22.8338905209999 82.7583268570005,-22.863890521 82.7611088570005,-22.879718521 82.7695728570005,-22.9122185209999 82.7833268570004,-22.9441635209999 82.7880368570004,-22.9730545209998 82.7899818570004,-23.0836095209999 82.7885908570004,-23.1161095219999 82.7902638570005,-23.1602815219997 82.7952548570004,-23.1733365219999 82.8008088570004,-23.1673635219998 82.8173548570004,-23.1783365219999 82.8244368570005,-23.1952815219999 82.8297088570005,-23.2597275219998 82.8391548570004,-23.3113905219999 82.8441458570004,-23.3788905219998 82.8488728570005,-23.4224995219998 82.8497178570004,-23.4649995219999 82.8494268570005,-23.6877815219999 82.8322178570004,-23.6977725219998 82.8305548570005,-23.7508995219998 82.8055998570005,-23.7383275219999 82.7899818570004,-23.7472185219999 82.7838728570005,-23.7680545219998 82.7783178570004,-23.8483365219999 82.7672088570005,-23.9466635219999 82.7586088570006,-23.9908365219998 82.7569458570005,-24.0222275219999 82.7572178570004,-24.0262545219999 82.8626268570004,-24.0013905219999 82.8716458570004,-23.9608275219999 82.8774728570004,-23.8774995219999 82.8866548570004,-23.8422185219999 82.8951268570004,-23.8619455219999 82.9005458570005,-23.9586095219998 82.9094268570005,-23.9927725219999 82.9116548570004,-24.0291635219999 82.9091458570004,-24.1344455219999 82.8986088570004,-24.1622185229999 82.8952638570004,-24.1783365229999 82.8891638570005,-24.1869455229999 82.8830458570004,-24.206663523 82.8796998570005,-24.2463905229999 82.8799728570005,-24.2955545229999 82.8819268570006,-24.3461095229998 82.8849908570004,-24.3961095229999 82.8905458570005,-24.4291635229998 82.8952638570004,-24.4811095229999 82.8991548570004,-24.537227523 82.8999908570004,-24.5866635229998 82.8986088570004,-24.6183275229998 82.8955368570004,-24.6463905229998 82.8897088570005,-24.7208365229999 82.8735998570004,-24.7905545229999 82.8605368570005,-24.8644455229999 82.8477638570004,-24.9986095229999 82.8272088570005,-25.0811095229999 82.8188818570005,-25.2316635229999 82.8088728570004,-25.259727524 82.8063638570005,-25.2736095239999 82.8049818570004,-25.3608365239999 82.7944368570004,-25.4138905239999 82.7874908570005,-25.4877815239999 82.7791638570004,-25.573336524 82.7733178570005,-25.6322185239999 82.7710998570004,-25.7377815239998 82.7688728570005,-25.8005545239999 82.7694368570005,-25.8527815239997 82.7708268570004,-25.8780545239997 82.7722178570004,-25.899027524 82.7760908570004,-25.878336524 82.7780458570005,-25.7913905239999 82.7769268570004,-25.7419455239998 82.7777728570005,-25.606945524 82.7838728570005,-25.5677815239999 82.7896998570005,-25.5230545239999 82.8021998570004,-25.335281524 82.8341548570004,-25.2430545239999 82.8441458570004,-25.1363905229999 82.8824728570004,-25.1336095229998 82.8922088570004,-25.124445523 82.8972178570004,-25.0908365229998 82.9077638570005,-25.0258365229999 82.9244268570005,-24.974718523 82.9369178570005,-24.8938905229999 82.9538728570005,-24.7836095229999 82.9827548570004,-24.7674995229999 82.9888728570004,-24.7508365229999 83.0037368570004,-24.7577815229999 83.0124998570004,-24.7730545229998 83.0180548570005,-24.7958365229998 83.0233178570004,-24.8619455229999 83.0308178570004,-24.892499523 83.0360998570005,-24.9308275229998 83.0472088570004,-24.9463905229998 83.0527638570005,-24.979163523 83.0715178570005,-24.9873635229999 83.0822178570005,-24.9716635229998 83.0899818570004,-24.9449995229999 83.0944368570004,-24.8747185229998 83.1027638570005,-24.8434725229999 83.1097088570005,-24.9405545229999 83.1402728570004,-24.9608275229999 83.1463818570005,-24.9844455229999 83.1516548570005,-25.0180545229999 83.1555458570004,-25.0641635229999 83.1594268570005,-25.142227523 83.1627638570004,-25.1883275229999 83.1633178570004,-25.3241725239999 83.1583268570005,-25.626109524 83.1405458570004,-25.8255545239999 83.1291548570005,-26.0752815239999 83.1160908570005,-26.2594455239999 83.1033178570004,-26.379999525 83.0941458570005,-26.4844455249999 83.0855368570005,-26.5191725249999 83.0819368570005,-26.5494455249998 83.0777728570005,-26.565554525 83.0724908570004,-26.592781525 83.0663728570004,-26.611945525 83.0630368570005,-26.6649995249999 83.0608088570005,-27.1738905249999 83.0572088570004,-27.2733365249998 83.0588728570004,-27.6169455259998 83.0652638570006,-27.720272526 83.0685998570005,-27.818890526 83.0738818570004,-27.865836526 83.0774818570005,-27.9258275259999 83.0791638570004,-27.9647185259998 83.0780458570005,-28.0066725259999 83.0738818570004,-28.037227526 83.0683268570005,-28.059999526 83.0627638570004,-28.1022185259999 83.0499908570005,-28.1311095259999 83.0433178570005,-28.177499526 83.0419268570005,-28.2169455259998 83.0458178570004,-28.2527815259999 83.0569268570005,-28.2670185259999 83.0698458570004,-28.5049995269997 83.1013818570004,-28.553054527 83.1049818570004,-28.7644455269999 83.1105368570005,-28.9199995269999 83.1166548570004,-29.1905545269999 83.1288638570006,-29.2952815269998 83.1319268570005,-29.4363905269998 83.1344268570004,-29.5408365279999 83.1347178570005,-29.6352725279999 83.1344268570004,-29.8772275279998 83.1313638570005,-30.0594455279999 83.1255368570004,-30.1422275279999 83.1197088570005,-30.1838905279999 83.1138728570004,-30.2158275279999 83.1074818570004,-30.2794455279999 83.0905458570006,-30.3161095279999 83.0847178570004,-30.356663528 83.0802728570005,-30.4030545279999 83.0788728570005,-30.504718528 83.0783268570004,-30.5519455279999 83.0794368570005,-30.7008365289999 83.0797088570004,-30.7772275289999 83.0785998570005,-30.8455545289999 83.0741548570004,-30.8827815289998 83.0702638570005,-30.956663529 83.0591458570004,-31.0283365289999 83.0469368570004,-31.1416635289998 83.0310998570005,-31.2258275289999 83.0230368570004,-31.3713365289998 83.0033268570004,-31.4236635289998 83.0003268570004,-31.4473275289999 82.9976638570005,-31.4696635289998 82.9946548570004,-31.4896635289999 82.9903178570004,-31.5034995289999 82.9856458570005,-31.5146635289999 82.9733268570005,-31.5823635289998 82.9466458570004,-31.5930545289998 82.9374818570005,-31.6302815289998 82.9308178570005,-31.6436095289998 82.9291548570004,-31.6661095289998 82.9283178570004,-31.7091635299999 82.9313638570004,-31.7223545299998 82.9435178570004,-31.71505453 82.9575458570004,-31.7194455299999 82.9680458570004,-31.7299995299999 82.9727638570005,-31.77528153 82.9835998570005,-31.8427815299999 82.9896998570004,-31.9336095299999 82.9935908570005,-31.9758275299998 82.9941368570005,-32.06360953 82.9930458570005,-32.2056905299999 82.9892908570005,-32.1747185299999 82.9883088570004,-32.3486095299999 82.9822088570004,-32.5436185299999 82.9797088570004,-32.809436531 82.9724908570005,-32.953327531 82.9727638570005,-33.0008365309999 82.9719268570005,-33.1811185309999 82.9652728570005,-33.3563905309998 82.9566458570004,-33.4713815309999 82.9502728570005,-33.5369455309998 82.9452548570004,-33.571945531 82.9413638570005,-33.668063531 82.9274728570005,-33.690554531 82.9235998570005,-33.7108275309998 82.9188728570005,-33.7345815309998 82.9072728570005,-33.7319455309998 82.8885998570004,-33.7144455309999 82.8722088570004,-33.7011095309999 82.8608088570005,-33.6859635309999 82.8459548570005,-33.687354531 82.8337368570005,-33.6986095309999 82.8244368570005,-33.7586095309998 82.8099818570005,-33.8380545319998 82.7938728570005,-33.881945532 82.7888818570005,-33.913890532 82.7885908570004,-33.9374995319999 82.7933178570004,-33.927499532 82.7972088570004,-33.9122185319999 82.8024728570005,-33.8380545319998 82.8158088570004,-33.8049995309998 82.8283268570005,-33.805554531 82.8474908570006,-33.8113905309999 82.8594178570005,-33.831672532 82.8766458570006,-33.8552815319999 82.8858178570004,-33.8861185319998 82.8963818570005,-33.8980545319999 82.8994268570004,-33.9244455319999 82.9033178570005,-33.9466635319999 82.9055458570004,-34.0199995319999 82.9102638570005,-34.066945532 82.9108088570005,-34.3205545319998 82.9077638570005,-34.4166635319999 82.9083268570005,-34.6261095319999 82.9130368570005,-34.7072185319998 82.9127638570005,-34.8011095319999 82.9108088570005,-34.8869455319999 82.9063728570005,-34.9680545329999 82.8983268570005,-35.0313905329999 82.8899818570005,-35.2713815329999 82.8524818570005,-35.2880545329998 82.8497178570004,-35.3074995329999 82.8447088570004,-35.378054533 82.7952548570004,-35.3980545329998 82.7572178570004,-35.4349995329998 82.7413638570005,-35.4883365329999 82.7430458570005,-35.5252725329999 82.7477548570004,-35.5402815329998 82.7530548570004,-35.5509725329998 82.7613818570005,-35.5447275329999 82.7708268570004,-35.4194455329999 82.8658178570005,-35.3955545329998 82.8719178570005,-35.315836533 82.8844268570004,-35.296390533 82.8863818570004,-35.3141635329999 82.8927638570005,-35.3538905329999 82.8949908570004,-35.4324995329998 82.8969458570005,-35.5188905329999 82.8983268570005,-35.5633275329998 82.8977638570005,-35.5952725329998 82.8988818570004,-35.617918533 82.9026268570005,-35.6086095329999 82.9066458570005,-35.545281533 82.9102638570005,-35.5055635329999 82.9110998570004,-35.4069455329999 82.9110998570004,-35.3033275329999 82.9094268570005,-35.1683365329999 82.9110998570004,-34.956663533 82.9180458570005,-34.761945532 82.9310908570005,-34.7099995319999 82.9319268570004,-34.5394455319999 82.9310908570005,-34.4063905319998 82.9305458570005,-34.317218532 82.9310908570005,-34.1763905319999 82.9338728570005,-34.131672532 82.9355268570004,-34.007509532 82.9413638570005,-33.9302815319999 82.9480268570005,-33.8347275319999 82.9588818570004,-33.7741725309999 82.9672088570004,-33.7188905309997 82.9744268570004,-33.6055635309999 82.9849818570005,-33.5599995309998 82.9880368570005,-33.3011095309998 83.0013908570005,-32.9555545309997 83.0169368570005,-32.752499531 83.0197178570004,-32.68443653 83.0205368570005,-32.5230545299999 83.0324818570004,-32.4947185299999 83.0360998570005,-32.4722185299999 83.0438728570004,-32.4980545299999 83.0577548570004,-32.5191635299998 83.0633088570004,-32.59471853 83.0805548570004,-32.6480545299997 83.0885908570004,-32.7566725309998 83.0988728570005,-32.8827725309999 83.1108088570004,-32.9672185309999 83.1177548570005,-33.015009531 83.1199818570005,-33.1186095309999 83.1213728570005,-33.210554531 83.1180458570005,-33.253618531 83.1183178570005,-33.4788815309999 83.1445728570005,-33.3877815309999 83.1505458570004,-33.3341635309999 83.1494268570004,-33.2280545309998 83.1460998570004,-33.0741725309999 83.1385998570004,-32.7938905309999 83.1205268570005,-32.5150095299998 83.1024818570005,-32.4630545299999 83.0983268570004,-32.3924995299999 83.0897088570004,-32.3374995299999 83.0805548570004,-32.3011095299998 83.0758178570005,-32.1377815299999 83.0594178570005,-32.0219455299999 83.0524728570004,-31.9291635299999 83.0516548570005,-31.660281529 83.0569268570005,-31.6419455289999 83.0594178570005,-31.6138905289998 83.0655368570004,-31.5841635289999 83.0702638570005,-31.5047185289999 83.0791638570004,-31.3102815289999 83.0955368570005,-31.1322185289998 83.1066458570004,-31.0572275289999 83.1099818570004,-30.9727725289999 83.1113728570005,-30.9299995289999 83.1105368570005,-30.840554529 83.1113728570005,-30.8058365289999 83.1144268570005,-30.7694455289999 83.1205268570005,-30.7349995289999 83.1277638570005,-30.6958275289997 83.1344268570004,-30.6216635289999 83.1441458570004,-30.5438905279998 83.1505458570004,-30.461109528 83.1563728570004,-30.3741725279999 83.1605368570005,-30.188609528 83.1672088570004,-30.0474995279999 83.1713728570004,-29.9494455279999 83.1724818570005,-29.7936095279999 83.1713728570004,-29.6444455279999 83.1719178570004,-29.5533365279999 83.1738728570004,-29.3444455269999 83.1755368570005,-28.8099995269999 83.1694368570004,-28.5997275269999 83.1633178570004,-28.488327527 83.1588728570005,-28.2763905259999 83.1491548570004,-28.2208365259999 83.1455368570005,-28.1619455259999 83.1427638570004,-28.0602815259999 83.1388818570004,-27.7569455259999 83.1347178570005,-27.6091635259999 83.1344268570004,-27.375827525 83.1397088570005,-27.2274995249998 83.1419368570004,-27.0872275249999 83.1410998570004,-26.9561095249999 83.1435998570005,-26.8688905249999 83.1483268570005,-26.7113905249999 83.1624908570005,-26.304445524 83.1969268570005,-26.1222185239998 83.2019368570004,-26.038890524 83.2066458570005,-25.7038905239999 83.2710998570005,-25.6719455239999 83.2774818570004,-25.6533995239998 83.2904728570005,-25.6699995239999 83.2988728570006,-25.684999524 83.3035908570005,-25.7755545239999 83.3249998570005,-25.800281524 83.3305548570004,-26.0999995239998 83.3697088570004,-26.1997185239999 83.3791548570004,-26.2577815239999 83.3838818570006,-26.340554525 83.3880458580004,-26.7516635249999 83.4210998580004,-27.176663525 83.4499998580005,-27.4328275259999 83.4666178580005,-27.7511095259999 83.4777638580005,-27.860836526 83.4810908580004,-27.9138905259999 83.4816548580005,-27.9619455259999 83.4797088580004,-28.004445526 83.4746998580004,-28.0505545259998 83.4716458580005,-28.0949995259999 83.4699818580005,-28.1972185259999 83.4669368580005,-28.391945526 83.4627728580005,-28.4402815259999 83.4565088580004,-28.4158365259999 83.4483178580006,-28.3672185259999 83.4430368580006,-28.204445526 83.4344178580005,-28.1497275259999 83.4315088580005,-28.3174995259999 83.4194368580005,-28.559718527 83.4160908580005,-28.6024995269999 83.4160908580005,-28.6647185269998 83.4238728580005,-28.7191635269999 83.4316548580005,-28.896109527 83.4621998580005,-28.9046815269999 83.4710368580004,-28.8699995269999 83.4771998580005,-28.7052725269998 83.4749908580005,-28.6538905269998 83.4752638580004,-28.5599995269999 83.4780458580004,-28.5291635269999 83.4822088580004,-28.5133365269999 83.4909548580005,-28.5241725269999 83.4997088580004,-28.543336527 83.5049908580004,-28.5674995269999 83.5083268580004,-28.6130545269999 83.5116548580004,-28.773336527 83.5136088580005,-28.8269455269999 83.5141638580004,-28.8763905269999 83.5127728580004,-29.0216635269999 83.5072178580005,-29.0574995269999 83.5033268580004,-29.0269455269998 83.4883088580004,-29.056663527 83.4816548580005,-29.0999995269999 83.4774818580004,-29.1572185269998 83.4799818580005,-29.1794455269999 83.4822088580004,-29.235554527 83.4924818580005,-29.2572275269999 83.5009548580005,-29.2455545269999 83.5099908580004,-29.2145815269999 83.5181908580005,-29.2333275269999 83.5252728580004,-29.2547185269999 83.5291638580005,-29.4155545269998 83.5410908580004,-29.699445528 83.5669368580004,-29.7966725279999 83.5749998580005,-29.8569455279999 83.5785998580005,-30.2149995279999 83.5960998580005,-30.3319455279999 83.6008178580004,-30.3883365279997 83.6021998580004,-30.4427725279999 83.6024818580005,-30.5972185279999 83.6002638580005,-30.636390529 83.5980368580004,-30.6777725289999 83.5927548580005,-30.691945529 83.5874908580005,-30.7083365289999 83.5830548580005,-30.7513905289999 83.5788728580005,-30.8444455289998 83.5730458580005,-30.9469455289999 83.5694458580005,-31.154163529 83.5672178580004,-31.2616725289998 83.5694458580005,-31.4352725289999 83.5752728580005,-31.488054529 83.5785998580005,-31.653327529 83.5913728580004,-31.7005545299999 83.5958268580005,-31.8719455299999 83.5963728580004,-31.96082753 83.5910908580005,-32.16444553 83.5783268580004,-32.1874995299999 83.5749998580005,-32.2297185299998 83.5705458580004,-32.27694553 83.5680548580006,-32.3002815299997 83.5702638580005,-32.3013905299998 83.5897088580004,-32.2747185299999 83.5966458580004,-32.2297185299998 83.5999908580004,-32.2069455299999 83.6067908580005,-32.2336095299999 83.6119268580005,-32.2952815299998 83.6149908580004,-32.5222275299998 83.6224818580004,-32.5791725299999 83.6235998580004,-32.9080545309999 83.6202548580005,-33.1461095309999 83.6166548580004,-33.436663531 83.6108088580004,-33.6886095309998 83.6041548580005),(-19.4127725179999 82.2031818560005,-19.3219455179999 82.1372088560005,-19.2658365179999 82.1069368560004,-19.2427725179999 82.1021998560005,-19.2127725179997 82.0977638560005,-19.1661095179998 82.0874908560005,-19.069445518 82.0583178560004,-19.0286185179999 82.0441458560004,-19.0124995179999 82.0383178560004,-18.9936095179999 82.0269268560005,-18.9912455179999 82.0126368560005,-19.0049995179999 82.0038728560004,-19.0043095179998 81.9931728560005,-18.9580545179999 81.9813728560004,-18.899727518 81.9741548560004,-18.8716635179997 81.9733088560004,-18.8583365179999 81.9744268560005,-18.7948635179998 81.9894268560005,-18.8830545179999 82.0460998560004,-18.922218518 82.0566368560004,-19.0422275179999 82.0849908560004,-19.1702725179999 82.1452638560004,-19.2226365179998 82.1798458560004,-19.2388905179999 82.1880368560005,-19.2891725179999 82.2052638560005,-19.3124995179999 82.2097178560005,-19.3422275179999 82.2124908560004,-19.3849995179999 82.2119268560004,-19.398054518 82.2099908560004,-19.4127725179999 82.2031818560005),(-20.5169455189999 82.1746998560004,-20.5547185189999 82.1780368560005,-20.5963905189998 82.1766548560005,-20.6297185189999 82.1733088560005,-20.6624995189999 82.1691458560005,-20.6947185189998 82.1638818560004,-20.7263905189999 82.1577638560005,-20.7508365189999 82.1516548560004,-20.7683365189999 82.1458268560005,-20.7819455189999 82.1338818560005,-20.7786185189999 82.1174818560004,-20.7695815189999 82.0977638560005,-20.7458275189998 82.0655368560005,-20.7247185189999 82.0544268560005,-20.4927725189999 81.9763818560004,-20.2455545189999 81.9002728560005,-20.2144455189999 81.8927638560004,-20.1874995189999 81.8877728560005,-20.1355545189999 81.8805368560004,-20.050281519 81.8746908560004,-19.9666635189998 81.8716458560005,-19.8491635179998 81.8691368560004,-19.7777815179999 81.8702548560004,-19.7445815179998 81.8752548560005,-19.7499995179999 81.9002728560005,-19.8622185179999 81.9627728560005,-19.8858365189999 81.9746998560004,-20.013054519 82.0185998560004,-20.084727519 82.0352638560005,-20.163609519 82.0519268560004,-20.1738905189999 82.0574818560005,-20.1805545189999 82.0659548560004,-20.1791635189999 82.0797088560005,-20.1930545189998 82.0922088560004,-20.2894455189999 82.1249818560004,-20.3066635189999 82.1305368560005,-20.3311095189999 82.1361088560004,-20.4536095189999 82.1638818560004,-20.4783365189999 82.1694368560005,-20.5169455189999 82.1746998560004),(-19.144163518 81.7438638560005,-18.9630545179999 81.7113818560005,-18.7597275169999 81.6685908560004,-18.680554517 81.6527728560005,-18.6599995169998 81.6499908560005,-18.605554517 81.6466548560006,-18.5855545169999 81.6466548560006,-18.5522275169998 81.6469458560005,-18.4733275169999 81.6494268560004,-18.355281517 81.6541638560005,-18.3075725169999 81.6618548560006,-18.3211095169999 81.6727638560004,-18.3830545169999 81.6891458560005,-18.523336517 81.7288638560005,-18.632781517 81.7633178560006,-18.7549995169999 81.8019268560005,-18.7974995179999 81.8063638560004,-18.8355545179999 81.8085908560005,-18.9102815179999 81.8088728560004,-18.9908365179999 81.8074818560004,-19.0341725179998 81.8055458560004,-19.178609518 81.7947088560005,-19.2169455179999 81.7894268560004,-19.243745518 81.7806818560006,-19.2274995179999 81.7660998560006,-19.2152725179999 81.7611088560004,-19.1958275179999 81.7549908560005,-19.1730545179999 81.7494178560005,-19.144163518 81.7438638560005),(-20.1647185189999 81.6792908560004,-20.196390519 81.6849818560004,-20.2288815189999 81.6835908560004,-20.2730545189999 81.6783178560004,-20.4769455189999 81.6669268560004,-20.519999519 81.6658178560005,-20.597218519 81.6724818560005,-20.6279185189998 81.6792818560004,-20.6102815189999 81.7010998560005,-20.773054519 81.7260908560004,-20.8022275189999 81.7297088560005,-20.8574995189999 81.7319368560004,-20.9036095189998 81.7302728560004,-20.9413905199999 81.7258178560004,-20.9688905199999 81.7137368560005,-20.8988905189998 81.6953998560005,-20.8147275189997 81.6838728560005,-20.7791635189999 81.6805458560004,-20.7677815189999 81.6783178560004,-20.792918519 81.6367908560005,-20.8172185189999 81.6271998560004,-20.9305545189999 81.6063728560004,-20.7177815189999 81.6169268560005,-20.5811095189997 81.6216458560004,-20.5086095189999 81.6224818560004,-20.4530545189999 81.6244178560004,-20.2066635189999 81.6666548560005,-20.1647185189999 81.6792908560004),(-19.0680545179998 80.1746998550006,-19.4416635179998 80.2391548550004,-19.4772185179999 80.2427548550004,-19.5480545179999 80.2477548550004,-19.5941635179999 80.2491458550004,-19.6569455179998 80.2483178550004,-19.724163518 80.2447088550005,-19.7569455179998 80.2413638550004,-19.7894455179999 80.2363728550005,-19.8355545179999 80.2241548550005,-19.8705545189999 80.2119268550006,-19.9119455189997 80.1880368550004,-19.9205545189998 80.1822088550005,-20.0133365189999 80.0946998540005,-19.9755545189998 80.0594178540005,-19.9408365189998 80.0569268540004,-19.9083365189999 80.0591458540004,-19.783890518 80.0713818540004,-19.517499518 80.1030458540004,-19.3702815179998 80.1246908540004,-19.3458365179998 80.1274728540005,-19.0855545179999 80.1508178540005,-19.0338905179999 80.1577638540004,-19.018890518 80.1636088550004,-19.0313905179999 80.1674818550004,-19.0680545179998 80.1746998550006),(-17.8255545169998 79.2235998540005,-17.849999517 79.2155458540004,-17.8644455169998 79.2097178540005,-17.883609517 79.2016638540004,-18.0852815169998 79.0960998540006,-18.1091635169999 79.0765178530004,-18.1136095169999 79.0619178530005,-18.1199995169999 78.9977548530005,-18.0980545169998 78.9921998530004,-18.0674995169999 78.9913638530005,-18.0372275169997 78.9927548530005,-18.0099995169999 78.9952548530004,-17.9805545169999 78.9994178530004,-17.966109517 79.0033268530004,-17.8708365169999 79.0491458530005,-17.7363815169998 79.0666638530005,-17.700972516 79.0687368530006,-17.6072275159999 79.0877728530005,-17.5983365159999 79.0955368540005,-17.5837545159999 79.1151178540004,-17.5569455159998 79.1530458540005,-17.559445516 79.1670728540004,-17.571390516 79.1760908540005,-17.603890516 79.1866458540004,-17.7213815169999 79.2194368540005,-17.7376365169998 79.2305368540004,-17.7549995169998 79.2335998540005,-17.7861095169998 79.2324818540005,-17.8158365169999 79.2263818540005,-17.8255545169998 79.2235998540005),(-19.3358365179998 79.1563728540004,-19.3079905179999 79.2067268540005,-19.3144455179999 79.2313728540004,-19.3363905179999 79.2349818540004,-19.3522185179997 79.2358088540005,-19.3724995179999 79.2347088540004,-19.4063905179999 79.2274818540005,-19.483890518 79.2038728540004,-19.4966635179999 79.1958178540004,-19.5005545179998 79.1846998540005,-19.4797185179999 79.1619268540004,-19.4655545179999 79.1505458540004,-19.439445518 79.1344268540006,-19.416663518 79.1288638540004,-19.3949995179999 79.1252638540006,-19.3749995179999 79.1263728540005,-19.366109518 79.1313638540004,-19.3358365179998 79.1563728540004),(-19.407218518 78.9255368530004,-19.6886095179999 78.8291638530004,-19.714999518 78.8191548530004,-19.7497185179999 78.8041458530005,-19.7558365179997 78.7928998530005,-19.7483365179999 78.7855368530004,-19.7363815179999 78.7799818530005,-19.719163518 78.7744268530004,-19.5563905179999 78.7358088530005,-19.5297275179999 78.7302728530004,-19.5063905179998 78.7271998530005,-19.4755545179998 78.7246998530004,-19.4161095179999 78.7244268530005,-19.3433365179998 78.7302728530004,-19.274727518 78.7413638530004,-19.1613905179999 78.7688818530005,-19.1855545179999 78.7744268530004,-19.2549995179999 78.7819368530004,-19.3261095179999 78.7774818530004,-19.3558365179999 78.7772088530004,-19.4016635179999 78.7794368530006,-19.4187455179999 78.7862368530004,-19.4111095179999 78.7930458530005,-19.3577725179999 78.7985998530005,-19.3280545179999 78.7988728530004,-19.2969455179999 78.7952548530005,-19.2716635179999 78.7947088530004,-19.2413905179999 78.7941458530004,-19.2119455179999 78.7955368530004,-19.1905545179999 78.7980368530005,-19.1822185179998 78.8038638530005,-19.1941635179998 78.8180548530005,-19.2047185179998 78.8208268530005,-19.2202725179999 78.8216548530004,-19.2922275179998 78.8119178530004,-19.3169455179999 78.8105268530004,-19.336663518 78.8105268530004,-19.347781518 78.8137268530005,-19.3255545179999 78.8533178530005,-19.2886095179997 78.8633088530004,-19.2049995179999 78.8774728530005,-19.1886095179999 78.9498458530004,-19.208890518 78.9541638530005,-19.2416635179998 78.9533268530005,-19.3011095179999 78.9485908530005,-19.3347275179999 78.9433178530005,-19.3630545179999 78.9371908530005,-19.407218518 78.9255368530004),(-18.3205545169998 78.8269368530005,-18.3252815169999 78.8146998530004,-18.3266635169999 78.8001268530004,-18.2927815169999 78.7394268530005,-18.2430545169998 78.7508268530005,-18.1936095169999 78.7624998530005,-18.1302815169999 78.7819368530004,-18.1119455169999 78.7880368530005,-18.0958365169999 78.7944368530005,-18.0837455169998 78.8028998530005,-18.0755545169998 78.8177638530004,-18.1519455169999 78.8574818530004,-18.1686095169999 78.8649908530005,-18.184445517 78.8677548530004,-18.2099995169999 78.8694268530004,-18.229999517 78.8694268530004,-18.2449995169998 78.8691368530004,-18.2716635169999 78.8655368530004,-18.2880545169999 78.8602638530004,-18.2972185169998 78.8560908530004,-18.3094455169999 78.8444368530004,-18.3205545169998 78.8269368530005),(-18.5936095169998 78.6633178530004,-18.7169455169999 78.6169268530005,-18.7352095169998 78.6068548530005,-18.7283365169998 78.5938728530005,-18.6502725169998 78.5772088530005,-18.6224995169999 78.5741548530004,-18.595554517 78.5738818530004,-18.5719455169998 78.5780458530005,-18.362781517 78.6469458530004,-18.3352815169999 78.6560998530004,-18.324581517 78.6634638530004,-18.323336517 78.6677548530005,-18.3174995169999 78.6751268530005,-18.3355545169999 78.6783178530006,-18.440836517 78.6852548530004,-18.4608275169998 78.6858088530004,-18.4780545169999 78.6852548530004,-18.5288905169999 78.6805458530005,-18.5755545169999 78.6694368530004,-18.5936095169998 78.6633178530004),(-19.400136518 78.3929088530004,-19.3726365179999 78.3298458530005,-19.3533365179999 78.3216548530004,-19.337499518 78.3172178530004,-19.3099995179999 78.3138728530004,-19.2883365179999 78.3138728530004,-19.2649995179999 78.3160818530004,-19.2402725179999 78.3208268530004,-19.1527815179998 78.3416638530004,-19.0816635179999 78.3615088530005,-19.1749995179999 78.4008178530004,-19.1913905179998 78.4063728530005,-19.2122185179998 78.4108088530005,-19.2527815179999 78.4172088530004,-19.306672518 78.4204728530004,-19.3261095179999 78.4202548530005,-19.3719455179998 78.4119268530005,-19.3869455179998 78.4063728530005,-19.400136518 78.3929088530004),(-19.1138905179998 78.3238818530004,-19.3155545179998 78.2930458530004,-19.3383365179998 78.2888818530005,-19.3511095179999 78.2802638530005,-19.3086095179999 78.2544368530005,-19.2766725179999 78.2430458530006,-19.2608365179998 78.2383088530005,-19.2358365179998 78.2349818530005,-19.2144455179999 78.2347088530005,-19.1588905179999 78.2402638530004,-18.9019455179999 78.2852638530005,-18.8861095179998 78.2930368530004,-18.8966635179999 78.3010908530005,-19.0286185179999 78.3277728530005,-19.0461095179999 78.3299908530005,-19.1138905179998 78.3238818530004),(-19.5122185179998 78.3016548530005,-19.4899995179999 78.3217908530004,-19.4926365179998 78.3331818530004,-19.5105635179999 78.3477638530004,-19.5333365179998 78.3591458530004,-19.5833365179999 78.3788638530004,-19.629445518 78.3872088530004,-19.6586095179998 78.3877728530006,-19.6816635179999 78.3844268530004,-19.717218518 78.3333268530005,-19.7180545179999 78.3216548530004,-19.7102815179999 78.2985998530004,-19.6974995179999 78.2827638530004,-19.6883275179999 78.2763818530005,-19.6591635179998 78.2749908530005,-19.6333275179998 78.2766548530005,-19.579727518 78.2808178530005,-19.554445518 78.2835998530005,-19.5344455179999 78.2883178530004,-19.5122185179998 78.3016548530005),(-20.580554519 78.1599908530004,-20.5516635189999 78.1594268530005,-20.5266725189997 78.1613728530005,-20.4997185189998 78.1658178530004,-20.473890519 78.1719178530005,-20.4241635189998 78.1902638530004,-20.398054519 78.1966368530004,-20.3549995189999 78.2016638530005,-20.3319455189999 78.2041638530004,-20.305836519 78.2102638530005,-20.3180545189999 78.2169368530005,-20.504172519 78.2294268530005,-20.535281519 78.2294268530005,-20.5630545189999 78.2280458530004,-20.6444455189998 78.2177548530005,-20.7808365189999 78.1935908530004,-20.7694455189999 78.1863728530005,-20.6252815189999 78.1649908530004,-20.5999995189999 78.1616548530004,-20.580554519 78.1599908530004),(-18.9233365179998 78.1796998530004,-19.171390518 78.1288638530005,-19.188681518 78.1194178530005,-19.174445518 78.1063728530005,-19.136663518 78.0902728530004,-19.1052815179997 78.0791638530005,-19.0755545179999 78.0747088530005,-19.0613905179998 78.0738818530005,-19.0433365179998 78.0769368530005,-19.0091635179999 78.0888818530004,-18.9969455179998 78.0949818530005,-18.9513905179999 78.1188638530005,-18.941799518 78.1267818530005,-18.9244455179999 78.1413728530004,-18.912218518 78.1474908530005,-18.8947185179999 78.1533178530004,-18.8680545179999 78.1594268530005,-18.831254518 78.1727638530005,-18.8405545179999 78.1813638530004,-18.8561095179999 78.1858088530005,-18.8799995179999 78.1866458530005,-18.9233365179998 78.1796998530004),(-21.2469455199999 78.0016638520004,-21.3355545199999 77.9760908520004,-21.3769455199999 77.9591548520005,-21.3902815199997 77.9524818520005,-21.3994455199999 77.9469268520004,-21.4099995199998 77.9399728520004,-21.4258365199998 77.9262268520005,-21.42916352 77.9113728520005,-21.4072185199998 77.8941458520005,-21.39055452 77.8885998520004,-21.3649995199997 77.8833268520004,-21.3366635199998 77.8819268520004,-21.3102815199999 77.8855458520005,-21.26944552 77.8980368520005,-21.2580545199999 77.9030458520004,-21.1858365199998 77.9599908520004,-21.1934725199998 77.9715088520004,-21.1811095199998 77.9805458520004,-21.1194455199998 77.9991458520006,-21.1099995199998 78.0097088520004,-21.1272275199999 78.0166638530004,-21.1416635199998 78.0174908530005,-21.2105545199998 78.0097178520004,-21.2280545199999 78.0063818520005,-21.2469455199999 78.0016638520004),(-19.4622185179999 77.8072088520004,-19.351945518 77.8016548520005,-19.2811095179998 77.8019268520004,-19.259163518 77.8060908520005,-19.2388815179999 77.8151268520004,-19.229163518 77.8297088520005,-19.2299995179999 77.8399818520005,-19.2688905179999 77.8627638520004,-19.3116635179999 77.8821998520004,-19.3347275179999 77.8897088520005,-19.3494455179998 77.8924908520005,-19.3874995179999 77.8958268520005,-19.4197185179999 77.8952638520004,-19.4869455179999 77.8885998520004,-19.559445518 77.8836088520005,-19.6099995179999 77.8821998520004,-19.6752815179998 77.8830458520004,-19.6988905179998 77.8847178520004,-19.7424995179997 77.8899818520005,-19.755363518 77.8922088520004,-19.7569455179998 77.8924908520005,-19.8319455179999 77.9080368520005,-20.0238905189998 77.9455268520004,-20.0694455189998 77.9590178520004,-20.0486095189998 77.9624908520005,-20.0183365189999 77.9624908520005,-19.9472185189999 77.9597178520004,-19.9373635189999 77.9642908520004,-19.9649995189997 77.9702638520004,-20.0030545189998 77.9716458520004,-20.3413905189999 77.9777638520005,-20.3644455189998 77.9774818520004,-20.3872185189999 77.9760908520004,-20.431945519 77.9708178520004,-20.4627725189999 77.9660908520005,-20.487218519 77.9572178520005,-20.4794455189999 77.9491458520005,-20.4658275189998 77.9441368520005,-20.4036095189999 77.9274728520005,-20.3574995189999 77.9166548520005,-20.063609519 77.8674818520005,-19.8622185179999 77.8408178520004,-19.7758365179999 77.8305548520005,-19.4622185179999 77.8072088520004),(-17.8597185169999 77.8974908520005,-17.9111095169997 77.8877728520006,-17.9283365169999 77.8819268520004,-17.9366635169999 77.8760818520005,-17.9438905169999 77.8641548520004,-17.9423635169999 77.8442908520005,-18.0391725169998 77.7838728520005,-18.0716635169997 77.7733178520004,-18.1036095169997 77.7619368520004,-18.1183275169999 77.7555548520005,-18.2400725169999 77.6813638520005,-18.1208365169999 77.6646998520005,-18.0913905169998 77.6644268520004,-18.0372275169997 77.6660908520005,-17.9022185169999 77.6738728520004,-17.8574995169998 77.6780368520005,-17.8174995169999 77.6833178520005,-17.7713905169999 77.6946998520004,-17.7327725169999 77.7085998520005,-17.6036095159997 77.8144178520004,-17.5848635159999 77.8351268520004,-17.6055545159998 77.8552548520005,-17.6749995159999 77.8997178520005,-17.6661095159999 77.9019268520005,-17.6816635159999 77.9124908520004,-17.7049995159999 77.9130368520005,-17.750836517 77.9099908520005,-17.805554517 77.9055458520004,-17.8597185169999 77.8974908520005),(-19.9566635189998 77.5808268520005,-19.9774995189999 77.5830548520004,-19.9974995189999 77.5822178520004,-20.013054519 77.5805548520004,-20.0311095189999 77.5738728520005,-20.040836519 77.5634548520005,-20.0249995189999 77.5502638520005,-20.0094455189999 77.5444368520005,-19.9352725189999 77.5180548520004,-19.9127725189999 77.5119368520005,-19.8886095189998 77.5066548520004,-19.8599995179999 77.5022088520004,-19.8344455179999 77.5055548520006,-19.8190275179999 77.5134638520005,-19.8205545179999 77.5251268520004,-19.8472185179999 77.5441458520004,-19.8319455179999 77.5526178520004,-19.8449995179998 77.5583178520004,-19.942499519 77.5791638520005,-19.9566635189998 77.5808268520005),(-20.078890519 77.5819368520005,-20.0577815189998 77.5861088520005,-20.0211185189999 77.5972178520004,-20.0111095189999 77.6064458520005,-20.0266725189998 77.6263728520004,-20.0458365189999 77.6299728520004,-20.059445519 77.6296998520004,-20.0811095189998 77.6263728520004,-20.113336519 77.6533178520004,-20.1191635189999 77.6697088520005,-20.1080545189998 77.6838728520004,-20.1186095189999 77.6877638520004,-20.141663519 77.6883088520004,-20.1683275189998 77.6858088520005,-20.242499519 77.6769268520005,-20.2894455189999 77.6683178520005,-20.3655545189999 77.6524818520004,-20.4155545189998 77.6408268520005,-20.4372185189999 77.6317908520004,-20.4163905189997 77.6246908520005,-20.3958365189999 77.6246908520005,-20.3761095189998 77.6263728520004,-20.3327815189999 77.6321998520004,-20.3055545189998 77.6324728520005,-20.277227519 77.6291548520004,-20.2480545189999 77.6238728520004,-20.2277725189998 77.6183178520005,-20.1763905189999 77.6016548520005,-20.1461095189999 77.5861088520005,-20.1216635189999 77.5805548520004,-20.0966725189999 77.5805548520004,-20.078890519 77.5819368520005),(-18.9727725179999 76.7611088510004,-18.985554518 76.7619368510004,-19.0191725179999 76.7594268510005,-19.0311095179999 76.7563818510005,-19.0563905179999 76.7477548510006,-19.069445518 76.7413638510004,-19.0811815179999 76.7269998510005,-19.0702815179998 76.7111088510005,-18.9808275179998 76.6230268510005,-18.8302815179999 76.6166548510005,-18.804718518 76.6141548510005,-18.7827815169999 76.6102638510005,-18.7630545169999 76.5877728510005,-18.7786185169999 76.5827638510004,-18.7886095169997 76.5810998510004,-18.8280545179998 76.5802728510004,-18.9211095179999 76.5838818510004,-18.946945518 76.5863818510005,-18.9988905179998 76.5935998510005,-19.045281518 76.5938728510005,-19.0630545179999 76.5902638510004,-19.0786095179998 76.5852638510004,-19.1011095179999 76.5752728510004,-19.1166635179999 76.5627638510005,-19.1361095179999 76.5402638510005,-19.1419455179999 76.5294368510005,-19.1361095179999 76.5072178510004,-19.1288905179999 76.4955268510005,-19.1011095179999 76.4669368510005,-19.0372275179999 76.4102638510004,-18.9772185179999 76.3591458510004,-18.9022185179999 76.3027638510004,-18.8919455179998 76.2933178510004,-18.8858365179999 76.2809638510005,-18.9045815179999 76.2641638510005,-18.9083365179999 76.2497088510005,-18.9036095179997 76.2377638510005,-18.8936095179998 76.2208268510005,-18.8791635179999 76.2030458510005,-18.830836518 76.1510908510005,-18.7933365179998 76.1119268510005,-18.7752815169997 76.0941458510005,-18.721663517 76.0510908510004,-18.6977725169999 76.0338728510004,-18.6791635169999 76.0224908510005,-18.6666635169998 76.0113818510004,-18.6364545169999 75.9815088510005,-18.6311095169999 75.9658178510004,-18.6333275169999 75.9477548510005,-18.6495815169998 75.9177638510004,-18.6551365169999 75.8990178510005,-18.6455545169999 75.8913728510005,-18.6352725169999 75.8899818510005,-18.6216635169999 75.8916638510004,-18.598890517 75.8966548510005,-18.5880545169999 75.9027728510005,-18.5608365169999 75.9446998510005,-18.5536095169999 75.9885908510005,-18.5488905169999 76.0236088510005,-18.5533365169999 76.0469368510004,-18.557781517 76.0588728510006,-18.564445517 76.0705458510005,-18.572772517 76.0816638510005,-18.628336517 76.1444368510005,-18.6463905169998 76.1633178510004,-18.648609517 76.1636088510004,-18.604999517 76.2190818510004,-18.6108365169999 76.2349818510004,-18.6480545169999 76.2755458510005,-18.6588905169999 76.2869268510004,-18.6955545169999 76.3327638510005,-18.7227725169999 76.5069368510004,-18.7188905169999 76.5213818510005,-18.6885545169999 76.5614268510005,-18.651663517 76.6045728510005,-18.6499995169999 76.6167908510005,-18.6594455169998 76.6308178510004,-18.6869455169999 76.6605368510004,-18.7236095169999 76.6830458510005,-18.7352725169998 76.6883088510004,-18.7655545169999 76.6999998510004,-18.9305545179998 76.7533268510005,-18.9419455179998 76.7566548510005,-18.9727725179999 76.7611088510004),(-20.280554519 75.9519368510005,-20.1488905189999 75.9672088510006,-20.1144455189999 75.9663818510005,-20.0691725189999 75.9621998510004,-20.046945519 75.9611088510005,-20.0252815189999 75.9630458510005,-19.9686095189998 75.9746998510004,-19.9556275189998 75.9797728510004,-19.9924995189999 75.9933178510004,-20.0091635189999 75.9958178510005,-20.0355545189998 75.9969368510004,-20.0736095189998 75.9966458510004,-20.1058365189999 75.9960908510005,-20.3063905189998 75.9699818510005,-20.329163519 75.9658178510004,-20.3438905189999 75.9624908510004,-20.3547185189999 75.9583268510004,-20.3692995189999 75.9465818510004,-20.356109519 75.9388728510004,-20.3447185189997 75.9399728510005,-20.3338905189999 75.9441368510005,-20.2997275189997 75.9497088510005,-20.280554519 75.9519368510005),(-20.2019455189999 76.3530458510005,-20.4563905189999 76.3671998510005,-20.4849995189999 76.3655368510006,-20.5919455189999 76.3538638510005,-20.6458365189999 76.3430458510006,-20.6608275189998 76.3388818510005,-20.6213905189999 76.3316638510004,-20.5347275189999 76.3199908510004,-20.4941635189999 76.3099818510004,-20.4758275189999 76.3044268510005,-20.4655545189999 76.2988728510005,-20.452363519 76.2902638510005,-20.4358365189998 76.2774818510004,-20.415836519 76.2672088510006,-20.4063905189998 76.2636088510004,-20.393054519 76.2608178510004,-20.3761095189998 76.2591548510005,-20.3430545189999 76.2641638510005,-20.2794455189999 76.2891548510004,-20.2224995189999 76.3335998510004,-20.1824995189999 76.3383178510005,-20.1691635189999 76.3408178510004,-20.158609519 76.3469368510004,-20.1724995189999 76.3505368510004,-20.2019455189999 76.3530458510005),(-20.9580545199999 76.3660908510005,-20.9597185199999 76.3710908510005,-20.96360952 76.3752638510005,-20.98347252 76.3788638510005,-21.0180545199999 76.3771998510005,-21.0541635199999 76.3638728510005,-21.04610952 76.3541548510004,-21.03583652 76.3483268510005,-21.0119455199998 76.3402728510004,-20.9849995199999 76.3349908510004,-20.96360952 76.3324908510005,-20.9066635189999 76.3291638510004,-20.888054519 76.3291638510004,-20.8247185189999 76.3247088510005,-20.781390519 76.3188818510005,-20.7430545189999 76.3094178510004,-20.5758365189999 76.2680548510004,-20.530281519 76.2541638510006,-20.5180545189999 76.2491458510005,-20.4899995189999 76.2444268510005,-20.447772519 76.2413638510005,-20.4304185189998 76.2503998510005,-20.4677815189999 76.2749908510005,-20.482218519 76.2813728510005,-20.5091635189998 76.2885908510005,-20.7188905189999 76.3277728510005,-20.8355545189999 76.3483268510005,-20.8861095189999 76.3510908510004,-20.9119455189999 76.3535908510005,-20.929445519 76.3560908510004,-20.94528152 76.3602638510005,-20.9580545199999 76.3660908510005),(-20.5627815189998 76.3991548510005,-20.586390519 76.3785818510004,-20.326663519 76.3924908510005,-20.2586095189999 76.3933268510004,-20.2313905189999 76.3922088510005,-20.1844455189998 76.3883178510004,-20.1427725189998 76.3872088510005,-20.1161095189999 76.3880458510004,-20.1031995189999 76.3952728510005,-20.1191635189999 76.4030458510004,-20.1772275189998 76.4166548510004,-20.2024995189998 76.4497088510004,-20.281390519 76.4302638510005,-20.3319455189999 76.4205368510004,-20.3699995189999 76.4163818510004,-20.5283365189998 76.4013818510004,-20.5627815189998 76.3991548510005),(-20.6954185189999 76.4137458510004,-20.6966635189999 76.4885908510005,-20.7118095189999 76.5070818510005,-20.7208365189998 76.5138818510004,-20.7227725189999 76.5141638510004,-20.7327725189999 76.5180548510005,-20.7549995189999 76.5224908510004,-20.7947275189999 76.5274818510005,-20.8136095189999 76.5274818510005,-20.8355545189999 76.5246998510004,-21.1324995199998 76.4548458510005,-21.13778152 76.4445638510005,-21.1222185199997 76.4366458510005,-21.1011095199999 76.4308178510004,-21.08055452 76.4258088510005,-20.9463905199999 76.3952638510004,-20.8922275189998 76.3891638510004,-20.8422275189999 76.3880458510004,-20.7933365189998 76.3899818510004,-20.7452815189998 76.3949908510004,-20.7055545189999 76.4049818510005,-20.6954185189999 76.4137458510004),(-21.1247185199999 76.5869268510004,-21.0427815199999 76.6102638510005,-20.97277252 76.6202548510004,-20.9647185199999 76.6262268510005,-21.0538905199999 76.6438728510004,-21.39555452 76.6483268510005,-21.4361095199999 76.6447178510005,-21.4513905199999 76.6413728510005,-21.5272275199999 76.6210908510005,-21.54736352 76.6120728510004,-21.52111852 76.5977638510004,-21.4536095199998 76.5769368510004,-21.4302815199999 76.5716548510004,-21.4036095199997 76.5683268510005,-21.3827815199999 76.5688818510005,-21.31055452 76.5666638510004,-21.2372185199999 76.5613728510005,-21.1741635199999 76.5555458510005,-21.1474995199998 76.5574818510004,-21.0961095199999 76.5652638510004,-21.0856995199999 76.5679088510004,-21.0958365199999 76.5752728510004,-21.1247185199999 76.5869268510004),(-19.761109518 76.7574908510004,-19.7952815179999 76.7577638510004,-19.8263905179999 76.7558268510006,-19.8377815179998 76.7516638510005,-19.8559725179999 76.7348458510004,-19.8372275179999 76.7224908510004,-19.7458275179998 76.7008178510005,-19.7194455179999 76.6972088510004,-19.6480545179999 76.6983178510005,-19.6277815179999 76.7005458510005,-19.6063905179998 76.7187998510004,-19.6749995179999 76.7466458510005,-19.7002725179998 76.7524908510004,-19.761109518 76.7574908510004),(-19.6733365179999 76.8472178510005,-19.7011095179999 76.8547088510005,-19.7261095179999 76.8521998510004,-19.741945518 76.8480368510004,-19.7563905179999 76.8391548510004,-19.8077815179999 76.7915088510004,-19.786390518 76.7841458510005,-19.7688905179998 76.7824818510005,-19.717218518 76.7813728510005,-19.6919455179999 76.7819368510005,-19.6516635179999 76.7891548510005,-19.6113905179998 76.7966458510005,-19.5999995179999 76.8016548510005,-19.5899995179999 76.8116458510005,-19.6002725179999 76.8172178510004,-19.6733365179999 76.8472178510005),(-18.1356275169998 75.3781088500004,-18.1355545169998 75.3630368500004,-18.130418517 75.3437368500004,-18.1324995169998 75.3334638500004,-18.1502725169999 75.3244368500005,-18.2441635169999 75.3024728500004,-18.256945517 75.3010908500004,-18.3161095169999 75.2997088500005,-18.3624995169998 75.3013728500005,-18.3854185169999 75.3074818500004,-18.3961095169998 75.3177638500005,-18.406390517 75.3308268500004,-18.4424995169998 75.3513818500005,-18.4588905169999 75.3569368500005,-18.529163517 75.3710908500005,-18.5524995169998 75.3735998500004,-18.5655545169999 75.3722088500004,-18.7105545169998 75.3552548500004,-18.730827517 75.3524818500005,-18.8391725179998 75.3283268500005,-18.8588905179999 75.2958178500004,-18.8438905179999 75.2785908500004,-18.8352815179999 75.2472088500004,-18.8316725179998 75.2030458500004,-18.8338905179999 75.1515178500005,-18.8413905179999 75.1427638500005,-18.9141635179999 75.0981728500005,-18.9251365179998 75.0831908500004,-18.9263905179998 75.0719268500005,-18.9238905179998 75.0419268500004,-18.9073635179999 75.0008178500004,-18.8691635179998 74.9980268500004,-18.8247185179998 75.0005458500005,-18.7447185169997 75.0030548500004,-18.7127725169997 75.0030548500004,-18.6483365169998 75.0010998500005,-18.6027815169999 74.9977548500005,-18.579727517 74.9941368500004,-18.550281517 74.9880368500006,-18.5094455169999 74.9805458500005,-18.4647185169999 74.9819368500005,-18.4094455169999 74.9863728500005,-18.3541635169998 74.9919268500005,-18.3247185169998 74.9952548500004,-18.2280545169999 75.0113818500005,-18.1313905169997 75.0274818500005,-18.1091635169999 75.0297088500004,-18.0586095169999 75.0319368500006,-18.0377815169999 75.0316638500004,-17.8722185169999 75.0294368500005,-17.8477815169999 75.0280458500005,-17.6238905159998 74.9966458500004,-17.6024995159999 74.9915088500004,-17.6059725159998 74.9609638500005,-17.6419455159998 74.9353998500005,-17.6208365159999 74.9310908500004,-17.6061095159999 74.9333178500005,-17.5391725159998 74.9488638500005,-17.4005545159999 75.0111088500005,-17.3201365159998 75.1340088500006,-17.3269455159999 75.1422088500004,-17.344445516 75.1483268500004,-17.3949995159998 75.1585998500004,-17.4144455159999 75.1613728500005,-17.4330545159999 75.1613728500005,-17.4499995159998 75.1588728500004,-17.5352815159999 75.1444368500004,-17.5927815159999 75.1216458500004,-17.5833365159999 75.1070728500005,-17.5974995159999 75.0983268500005,-17.693054516 75.0799908500004,-17.7155545159998 75.0788728500004,-17.7383275169998 75.0797088500005,-17.7611095169999 75.0813728500005,-17.8299995169999 75.0894268500004,-17.8749995169999 75.1002638500004,-17.986945517 75.1397088500004,-18.2147185169998 75.2271998500004,-18.2058365169999 75.2360998500005,-18.146663517 75.2586088500004,-18.1291635169999 75.2627728500004,-18.1033365169999 75.2613818500005,-18.0563905169999 75.2549908500005,-18.033336517 75.2533268500005,-17.9916635169999 75.2547178500005,-17.9691635169999 75.2580458500005,-17.9469455169999 75.2630458500005,-17.8699995169998 75.2822088500005,-17.851663517 75.2883178500004,-17.8058365169999 75.3083088500005,-17.8477815169999 75.3527638500004,-17.8599995169998 75.3585998500005,-17.9449995169998 75.3869368500004,-17.970272517 75.4002728500004,-17.9686095169999 75.4005458500004,-17.9886095169998 75.4063728500005,-18.0641635169998 75.4210998500004,-18.083609517 75.4216458500005,-18.1020815169998 75.4167908500004,-18.1356275169998 75.3781088500004),(-19.978054519 74.9755368500005,-19.964445519 74.9833178500004,-19.9622185189999 74.9951178500004,-19.9727725189998 75.0033268500005,-19.9930545189999 75.0088818500004,-20.0169455189999 75.0124998500005,-20.1822185189999 75.0371998500005,-20.2211095189999 75.0413638500004,-20.2308275189999 75.0416548500005,-20.2427725189999 75.0444368500005,-20.2952815189999 75.0497088500004,-20.319999519 75.0505368500005,-20.356109519 75.0513728500004,-20.3802815189999 75.0502638500005,-20.4152725189999 75.0472088500005,-20.4613905189998 75.0383178500004,-20.4930545189998 75.0308178500005,-20.5138905189999 75.0255458500004,-20.5630545189999 75.0086088500004,-20.5761095189998 75.0024908500005,-20.5969365189997 74.9918638500005,-20.6123635189999 74.9810998500005,-20.589718519 74.9685998500005,-20.5633365189999 74.9510998500004,-20.551945519 74.9396998500004,-20.5408365189999 74.9280368500005,-20.5466725189999 74.9105368500005,-20.5538905189999 74.8986088500005,-20.5715275189999 74.8720638500004,-20.5836095189999 74.8630368500005,-20.594718519 74.8574818500004,-20.619163519 74.8466458500005,-20.649727519 74.8371998500004,-20.6688905189999 74.8280458500004,-20.6852095189998 74.8103268500005,-20.471109519 74.7363728490005,-20.4508365189999 74.7310908490005,-20.2322185189998 74.7035998490005,-20.1891635189999 74.7019368490006,-20.0844455189999 74.7027728490004,-20.0683365189999 74.7044368490004,-20.054445519 74.7077638490004,-20.0272275189999 74.7160908490005,-19.8622185179999 74.7871998490004,-19.7430545179999 74.8472178500004,-19.731245518 74.8559548500004,-19.7326365179999 74.8676178500004,-19.745281518 74.8769178500004,-19.7811095179997 74.8849908500005,-19.9844455189998 74.9180458500004,-20.0305545189999 74.9230368500005,-20.0533365189999 74.9235998500004,-20.1111095189997 74.9230368500005,-20.1322185189999 74.9143548500006,-20.1327815189999 74.8984638500004,-20.1511095189999 74.8938728500005,-20.166945519 74.8974908500005,-20.1836095189998 74.9030458500004,-20.1981275189999 74.9206088500005,-20.1816635189999 74.9277638500005,-20.1183275189999 74.9416548500005,-20.100554519 74.9449728500005,-20.0783365189999 74.9463638500004,-20.0497275189999 74.9508178500005,-20.0358365189998 74.9541638500004,-19.978054519 74.9755368500005),(-18.5911095169998 74.7188728490004,-18.497218517 74.6294268490005,-18.4730545169999 74.6235998490005,-18.3830545169999 74.6202548490004,-18.368609517 74.6213728490004,-18.3161095169999 74.6408268490005,-18.318472517 74.6537368490004,-18.3371095169999 74.6700458490005,-18.354945517 74.6841728490005,-18.3384455169999 74.6903728490005,-18.3397185169999 74.6988638490005,-18.3044455169999 74.7064458490004,-18.3197185169998 74.7108178490005,-18.3779995169999 74.7070368490005,-18.4043365169999 74.7055368490005,-18.417499517 74.7053728490004,-18.458609517 74.7052638490005,-18.529999517 74.7121998490004,-18.547781517 74.7191458490005,-18.559445517 74.7219268490004,-18.5911095169998 74.7188728490004),(-18.8219455179999 74.6727638490005,-18.8666635179998 74.6749908490005,-18.9961095179999 74.6533178490005,-19.0172275179999 74.6480368490004,-19.0691725179999 74.6344268490005,-19.1877815179998 74.6002638490004,-19.2047185179998 74.5941458490004,-19.2188905179999 74.5841548490005,-19.2112455179999 74.5751268490005,-19.1583365179999 74.5502638490005,-19.010836518 74.5427548490004,-18.8599995179998 74.5371998490005,-18.8386095179999 74.5383178490004,-18.8244455179999 74.5405458490004,-18.7649995169999 74.5530368490004,-18.7330545169999 74.5666548490004,-18.725827517 74.5760998490005,-18.7277725169999 74.5866548490004,-18.7394365169999 74.6088728490005,-18.7294455169999 74.6138728490005,-18.722918517 74.6265088490005,-18.7505545169999 74.6542908490004,-18.8072275179998 74.6710998490004,-18.8219455179999 74.6727638490005),(-20.8066635189999 74.4285908490004,-20.8286095189999 74.4291548490005,-20.8644455189998 74.4283178490005,-20.894999519 74.4216458490006,-20.9122185189999 74.4194368490004,-20.9312455189998 74.4217908490005,-20.9582905199999 74.4428368490005,-20.9722185199999 74.4460908490004,-21.0577815199998 74.4527728490005,-21.1744455199998 74.4538728490004,-21.26244552 74.4524818490004,-21.3463905199998 74.4463638490004,-21.3672185199999 74.4438638490005,-21.38805452 74.4405368490004,-21.5574995199997 74.4130368490004,-21.5963905199998 74.4055458490005,-21.6802815199999 74.3877728490004,-21.8413905199999 74.3505368490004,-21.8661095199998 74.3402728490005,-21.9547185199999 74.2810998490005,-21.96221852 74.2730368490006,-21.9880545199998 74.2363728490004,-21.9897185199998 74.2244268490004,-21.96805452 74.2108178490004,-21.7783365199999 74.1788638490004,-21.7158275199999 74.1694368490004,-21.67027252 74.1627638490004,-21.6397185199999 74.1613728490004,-21.4302815199999 74.1349908490005,-21.3961095199999 74.1288638490005,-21.3563905199999 74.1183178490005,-21.3283365199998 74.1094178490004,-21.3158365199998 74.1038638490004,-21.2945905199998 74.0913818490005,-21.2099995199999 74.0861088490004,-21.1116635199999 74.0885908490005,-21.0694455199998 74.0897088490004,-20.7808365189999 74.1094178490004,-20.7633365189999 74.1108088490004,-20.6986095189999 74.1191368490004,-20.5088905189999 74.1444368490005,-20.3638905189999 74.1549818490005,-20.2291635189999 74.1569368490004,-20.2136095189999 74.1577638490004,-20.1927725189998 74.1602638490005,-20.1774995189999 74.1630368490004,-20.161109519 74.1680458490005,-20.1424995189998 74.1783178490004,-20.1250725189999 74.2019998490005,-20.1408365189998 74.2102638490004,-20.2244455189999 74.2208268490004,-20.2591635189999 74.2244268490004,-20.3263905189999 74.2335998490005,-20.4277725189999 74.2733178490005,-20.4634725189999 74.3080368490005,-20.461945519 74.3180368490004,-20.4384725189999 74.3355458490005,-20.4336095189998 74.3465088490004,-20.4480545189999 74.3580368490005,-20.4633365189999 74.3669268490005,-20.534581519 74.4020728490004,-20.8066635189999 74.4285908490004),(-23.5099995219998 73.3033178480004,-23.638609522 73.3272088480004,-23.711663522 73.3405458480004,-23.8499995219999 73.3619268480005,-24.1955545229998 73.3991548480005,-24.3599995229999 73.4119268480005,-24.397499523 73.4146998480005,-24.4669455229999 73.4166548480005,-24.6566635229999 73.4238728480004,-24.7277725229999 73.4285908480005,-24.8772275229999 73.4249908480005,-24.9341635229999 73.4188728480004,-25.0494455229999 73.4097178480005,-25.0674995229999 73.4085998480004,-25.1688905229998 73.4116548480005,-25.2030545229999 73.4110998480004,-25.2430545239999 73.4058178480004,-25.2566725239998 73.4027728480006,-25.2724995239998 73.3974908480005,-25.2847275239997 73.3913728480005,-25.2994455239999 73.3785818480006,-25.3013905239999 73.3635998480005,-25.2915275239999 73.3498458480004,-25.2849995239999 73.3401268480004,-25.287918524 73.3301268480004,-25.3019455239999 73.3233178480005,-25.3197185239999 73.3185998480004,-25.3541635239999 73.3130368480005,-25.4461095239998 73.2949818480004,-25.7111545239999 73.1953268480004,-25.7101365239999 73.1833178480005,-25.678336524 73.1710998480005,-25.6141635239998 73.1544368480004,-25.4930545239997 73.1269178480004,-25.4524995239999 73.1210908480004,-25.4308275239998 73.1191368480004,-25.2247185229999 73.1074818480004,-25.187781523 73.1072088480005,-25.153054523 73.1119268480005,-25.102781523 73.1158178480006,-25.0674995229999 73.1160908480004,-25.0466725229999 73.1149908480005,-25.0286185229999 73.1127638480004,-25.0108365229999 73.1083178480005,-24.9691635229999 73.0969368480004,-24.7852815229999 73.0691548480004,-24.6861095229999 73.0563638480004,-24.4038905229999 73.0238818480004,-24.3869455229999 73.0236088480004,-24.248054523 73.0344268480004,-24.1736095229999 73.0430458480005,-23.984163522 73.0505368480004,-23.9644455219999 73.0480368480004,-23.9419455219999 73.0463728480004,-23.9230545219999 73.0458178480005,-23.8916635219999 73.0466458480005,-23.7869455219999 73.0519268480004,-23.5938905219999 73.0658088480005,-23.4908365219999 73.0758178480004,-23.3836095219999 73.0871998480004,-23.3708365219999 73.0888818480005,-23.3416635219999 73.0908178480004,-23.207499522 73.0955368480004,-23.1272275219999 73.0963728480005,-23.1072275219997 73.0963728480005,-23.0586095209997 73.0930458480004,-23.0091635209998 73.0949818480004,-22.996663521 73.0974908480005,-22.9790275209999 73.1028998480004,-22.9677815209999 73.1080368480005,-22.9386095209998 73.1347178480004,-22.9441635209999 73.1472178480005,-23.0916635219999 73.1758088480004,-23.1308365219999 73.1813638480004,-23.2944455219999 73.1883088480004,-23.4011095219999 73.1921998480005,-23.4977725219999 73.1894178480005,-23.5547185219999 73.1847088480005,-23.6099995219998 73.1830458480005,-23.6305545219999 73.1841458480004,-23.7572275219998 73.1946998480004,-23.8355545219999 73.2024818480004,-23.947772522 73.2141548480006,-24.0652815219999 73.2316548480005,-24.1469455219998 73.2460908480004,-24.1616635229999 73.2483178480005,-24.1902815229999 73.2510998480005,-24.2452815229998 73.2560998480005,-24.2872275229998 73.2580458480006,-24.4197185229999 73.2641638480005,-24.5627815229999 73.2708268480004,-24.6769455229999 73.2802728480004,-24.7944455229999 73.2958178480005,-24.8724995229999 73.3138728480005,-24.8880545229999 73.3169368480005,-24.9113905229999 73.3160818480004,-24.9241635229998 73.3144178480004,-24.9513905229998 73.3083178480006,-24.963054523 73.3046998480005,-24.9855545229998 73.3017908480005,-25.0066725229999 73.3120548480005,-24.9972185229998 73.3169368480005,-24.9605545229998 73.3222178480004,-24.926109523 73.3241548480005,-24.9074995229998 73.3244368480006,-24.8499995229999 73.3227728480005,-24.806945523 73.3188818480004,-24.6430545229999 73.3063638480005,-24.4944455229999 73.2963728480004,-24.4099995229998 73.2910908480005,-24.3688905229998 73.2908178480005,-24.2888905229999 73.2944368480004,-24.2472185229999 73.2930458480005,-24.225827523 73.2910908480005,-24.2038905229999 73.2880368480004,-24.1258275219998 73.2746998480004,-24.0680545219998 73.2613818480005,-24.0099995219998 73.2541638480005,-23.8213905219999 73.2327548480005,-23.7411095219998 73.2246998480005,-23.6577725219998 73.2202638480005,-23.618327522 73.2194368480004,-23.2699995219999 73.2166638480005,-23.2499995219999 73.2174818480005,-23.230827522 73.2199818480004,-23.212499522 73.2298458480005,-23.2438905219999 73.2488728480004,-23.2683365219999 73.2577638480005,-23.5099995219998 73.3033178480004),(-23.3861095219999 73.0524728480005,-23.4569455219998 73.0424818480005,-23.5997275219997 73.0249908480005,-23.792499522 73.0111088480006,-23.9444455219999 73.0066548480004,-24.0199995219999 73.0069458480005,-24.1744455229999 73.0013908480004,-24.5274995229998 72.9841458480005,-24.5647275229998 72.9785908480005,-24.5798635229999 72.9719268480005,-24.588054523 72.9542908480005,-24.5674995229999 72.9127638480004,-24.541390523 72.8977638480004,-24.528618523 72.8958268480004,-24.5080545229999 72.8949908480005,-24.4899995229999 72.8952638480005,-24.3719455229999 72.8994268480005,-24.3205545229999 72.9027728480004,-24.2249995229998 72.9116548480005,-24.169718523 72.9141548480006,-24.0716635219999 72.9146998480005,-24.0297275219998 72.9141548480006,-23.8761095219999 72.9069368480004,-23.8138905219999 72.9016548480005,-23.7430545219999 72.8927638480004,-23.6813905219998 72.8816548480004,-23.466390522 72.8685908480005,-23.3988905219999 72.8697088480005,-23.1541635219999 72.8713728480005,-23.1322185219999 72.8705268480005,-23.1147275219999 72.8683178480005,-22.948609521 72.8433178480005,-22.905836521 72.8361088480004,-22.7894455209999 72.8066368480005,-22.6724995209999 72.7419268480004,-22.529445521 72.7052638480004,-22.497499521 72.7081088480005,-22.2666635209999 72.7033268480004,-22.0472185209999 72.6905368480005,-22.00916352 72.6849818480004,-21.9644455199999 72.6785908480005,-21.9158365199999 72.6758088480005,-21.9008365199998 72.6796998480004,-21.87076352 72.7120728480005,-21.96110952 72.7694368480004,-21.9911095199999 72.7802728480005,-22.00916352 72.7835998480004,-22.0494455209998 72.7860998480005,-22.0833365209999 72.7888818480005,-22.1347275209999 72.7941458480004,-22.189718521 72.8088728480005,-22.1522185209999 72.8236088480005,-22.1336095209999 72.8260998480004,-22.0744455209999 72.8272088480005,-22.0558365209999 72.8308268480005,-22.0088905199997 72.8413728480004,-21.8913905199998 72.8935268480005,-21.9041635199999 72.9178998480004,-21.9683275199999 72.9338728480004,-21.9786095199999 72.9344178480004,-22.0311095209999 72.9241458480005,-22.0877815209999 72.9252638480004,-22.1013905209997 72.9258088480004,-22.1194455209999 72.9299818480006,-22.146109521 72.9388728480004,-22.181390521 72.9533268480005,-22.2422185209999 72.9727638480005,-22.3055545209999 72.9813728480004,-22.4474995209999 72.9994178480005,-22.4683275209999 73.0016638480005,-22.499999521 73.0039998480005,-22.5286185209998 73.0060998480005,-22.5491635209999 73.0072178480005,-22.7302815209998 73.0174908480005,-22.9424995209999 73.0330548480004,-23.0647275209998 73.0527638480004,-23.0827815209999 73.0560908480006,-23.1219455219999 73.0613728480004,-23.1633365219999 73.0638728480005,-23.2038905219999 73.0644178480005,-23.2733365219999 73.0627638480004,-23.327499522 73.0591458480005,-23.3861095219999 73.0524728480005),(-22.8447185209998 72.6933178480004,-22.9380545209999 72.7124908480005,-22.959718521 72.7174818480004,-23.0316725209999 72.7480268480005,-23.0531995209997 72.7594368480005,-23.061390521 72.7787368480004,-23.0774995209999 72.7974818480004,-23.1238905219999 72.8280458480005,-23.1491635219999 72.8367998480004,-23.3505545219999 72.8433178480005,-23.5119455219998 72.8341548480005,-23.5674995219999 72.8319368480006,-23.6086095219999 72.8349908480005,-23.6565275219999 72.8419368480005,-23.7866635219998 72.8577548480005,-23.9291635219998 72.8713728480005,-23.949718522 72.8724818480004,-23.9869455219999 72.8738728480004,-24.006945522 72.8738728480004,-24.1783365229999 72.8716458480005,-24.2627815229999 72.8705268480005,-24.3008365229998 72.8666548480004,-24.3965275229999 72.8556728480006,-24.4765275229999 72.8335998480005,-24.3713905229998 72.5988088470004,-24.3474995229999 72.5835998470004,-24.169718523 72.5508088470005,-24.1424995219998 72.5524728470005,-24.0944455219999 72.5473368470005,-24.0613905219998 72.5360998470005,-24.0028455219999 72.4969908470006,-24.0026365219999 72.4740178470005,-23.8749995219999 72.4510998470005,-23.5258365219999 72.3952638470005,-23.2708365219999 72.3541548470005,-23.1622185219999 72.3297088470004,-23.0801365209998 72.3098368470004,-23.0449995209999 72.2949818470004,-23.0258365209999 72.2797088470005,-22.997499521 72.2540178470005,-22.9733275209999 72.2416548470005,-22.714445521 72.1694368470005,-22.5704185209999 72.1402728470005,-22.5424995209999 72.1358178470005,-22.4841635209999 72.1285818470005,-22.3680545209998 72.1152638470004,-22.3305545209999 72.1130368470004,-22.3113905209999 72.1127638470004,-22.2772275209998 72.1138728470005,-22.1894455209999 72.1258088470004,-22.1562455209998 72.1351268470004,-22.1276365209999 72.1594998470004,-22.1341635209998 72.2716548470004,-22.4680545209999 72.3333268470005,-22.5687545209999 72.3409638470005,-22.6758275209999 72.3597088470005,-22.7361095209999 72.3835178470005,-22.7609725209998 72.4376178470005,-22.739436521 72.4469268470005,-22.656809521 72.4665178470004,-22.629445521 72.4609638470004,-22.609999521 72.4547088470005,-22.5486095209998 72.4460908470004,-22.3569455209998 72.4269268470004,-22.3177815209999 72.4296998470005,-22.2580545209999 72.4385818470005,-22.220836521 72.4252638470005,-22.0936095209998 72.3944368470005,-22.0606995209998 72.3881818470004,-22.0130545209998 72.3852728470004,-21.9902725199997 72.3852728470004,-21.96110952 72.3894368470005,-21.9335365199998 72.4009548470005,-21.9281905199999 72.4647088470005,-21.9469455199998 72.4810908470005,-21.9849995199999 72.4919268470004,-22.1824995209999 72.5405458470004,-22.3199995209998 72.5691548470004,-22.464718521 72.5980368470005,-22.5865275209999 72.6029088470004,-22.6102815209999 72.6072088470004,-22.6875905209999 72.6339998470004,-22.702918521 72.6551178480004,-22.7288815209999 72.6663818480005,-22.8447185209998 72.6933178480004),(-24.8658365229999 72.8505368480005,-24.778336523 72.8952638480005,-24.7705545229998 72.9036638480005,-24.7852815229999 72.9121998480005,-24.9449995229999 72.9049818480004,-24.9836095229999 72.9022088480005,-25.1333275229999 72.8833268480005,-25.1458365229999 72.8816548480004,-25.1566635229999 72.8771998480004,-25.210827523 72.8516548480004,-25.2147185229998 72.8227728480005,-25.054718523 72.7877638480005,-25.0344455229998 72.7844268480005,-24.9127725229999 72.7769268480005,-24.896663523 72.7777728480004,-24.8847275229999 72.7802728480005,-24.8744455229999 72.7855368480004,-24.8661095229999 72.8388818480004,-24.8658365229999 72.8505368480005),(-26.080418524 70.5199178460005,-26.146390524 70.5283638460005,-26.186663524 70.5608088460004,-26.2019455239999 70.5619178460004,-26.2449995239999 70.5569268460004,-26.2591635239999 70.5535908460004,-26.3130545249999 70.5385908460004,-26.3815275249999 70.5156818460005,-26.3847275249997 70.4869268450005,-26.2972185239999 70.4608178450004,-26.2594455239999 70.4513818450004,-26.2444455239997 70.4502728450005,-26.2133365239999 70.4497088450004,-26.195827524 70.4499998450004,-26.169790524 70.4554728450005,-26.106945524 70.5033268460004,-26.0888905239999 70.5108178460004,-26.080418524 70.5199178460005),(-26.4638905249998 70.5499908460005,-26.2569455239999 70.5810998460005,-26.2430545239999 70.5830548460004,-26.2133365239999 70.5852638460004,-26.1997185239999 70.5847178460005,-26.1805545239999 70.5819368460005,-26.1697185239998 70.5785998460004,-26.1574995239999 70.5724908460005,-26.1519455239999 70.5619178460004,-26.1429185239999 70.5494268460005,-26.1341905239998 70.5426908460004,-26.0641635239999 70.5249908460005,-26.054172524 70.5227638460004,-26.0399995239999 70.5210998460004,-26.029727524 70.5210998460004,-26.017227524 70.5246998460004,-25.7986095239999 70.6024818460004,-25.659718524 70.6049818460004,-25.463054524 70.6305368460005,-25.3147275239999 70.6524818460005,-25.2969455239999 70.6585998460004,-25.2858365239998 70.6658178460004,-25.2813905239998 70.6774728460005,-25.2827815239999 70.6896998460004,-25.3341635239998 70.8160818460004,-25.3976365239998 70.9144268460005,-25.4877815239999 70.9585998460004,-25.499445524 70.9638818460004,-25.5172275239999 70.9688728460004,-25.582499524 70.9730368460005,-25.6863905239999 71.0019368460004,-25.6844455239999 71.0633088460004,-25.6817365239999 71.0791548460004,-25.7116635239998 71.0805548460004,-25.726945524 71.0783268460004,-25.7383275239999 71.0741548460004,-25.8024995239998 71.0552548460005,-25.9061095239999 71.0288728460005,-25.9444455239997 71.0191458460005,-26.0408365239999 71.0019368460004,-26.1483365239999 70.9838728460004,-26.2744455239999 70.9426088460005,-26.2983365239999 70.9338728460005,-26.3316725249999 70.9288638460005,-26.4291635249999 70.9152638460005,-26.5894455249999 70.8955368460004,-26.6402815249999 70.8902728460004,-26.8449995249999 70.8855458460005,-26.8872185249999 70.8858178460004,-26.994163525 70.8913728460005,-27.0283365249999 70.8905458460005,-27.0641635249998 70.8877728460005,-27.149590525 70.8743908460005,-27.202781525 70.8408178460005,-27.2147185249999 70.8308268460004,-27.225272525 70.8213818460005,-27.2399995249999 70.8105268460005,-27.2511095249999 70.8038638460004,-27.2672275249999 70.7958178460004,-27.2980545249999 70.7877638460005,-27.3366635249999 70.7824818460005,-27.3538905249998 70.7813728460004,-27.369999525 70.7783178460004,-27.4166635259999 70.7663908460005,-27.5202815259998 70.7308178460004,-27.5619455259999 70.7111088460004,-27.6052815259998 70.6894178460005,-27.6166635259999 70.6813638460004,-27.6244455259998 70.6746998460004,-27.6527815259999 70.6580368460005,-27.669999526 70.6519268460004,-27.6955545259999 70.6452638460004,-27.7205545259999 70.6424908460005,-27.7527815259998 70.6413728460005,-27.8155545259999 70.6394368460004,-27.8811095259999 70.6399818460004,-27.913609526 70.6347178460004,-27.9358365259999 70.6296998460005,-28.0272275259998 70.6005368460004,-28.0572185259998 70.5845818460004,-28.066663526 70.5763818460004,-28.1341635259999 70.4649998450004,-28.1318725259999 70.4497638450005,-28.1105545259999 70.4369178450004,-28.0997275259999 70.4338728450005,-28.066663526 70.4283178450004,-28.0358365259999 70.4263728450004,-27.8780545259999 70.4288638450005,-27.8105545259999 70.4335908450004,-27.6119455259998 70.4527728450005,-27.2633365249998 70.4738728450004,-27.025554525 70.4980268450005,-27.015281525 70.5005458460005,-27.0033365249997 70.5052638460004,-26.9902725249999 70.5130458460005,-26.940554525 70.5191458460004,-26.8186095249998 70.5222178460004,-26.7213815249999 70.5224908460004,-26.5333365249998 70.5294368460005,-26.5122185249999 70.5385908460004,-26.4638905249998 70.5499908460005),(-27.3055545249999 70.8594178460004,-27.2761095249999 70.8749818460005,-27.2744455249999 70.8746908460005,-27.3119455249998 70.8869368460005,-27.585836526 70.8938728460004,-27.6022185259999 70.8933268460005,-27.720272526 70.8844268460005,-27.7369455259997 70.8821998460004,-27.748890526 70.8774728460004,-27.7601455259999 70.8631818460005,-27.7620815259999 70.8460998460004,-27.7511095259999 70.7492908460005,-27.740554526 70.7408178460004,-27.7288815259999 70.7366458460006,-27.7116635259997 70.7330458460004,-27.6961095259999 70.7322088460004,-27.6852725259999 70.7338728460004,-27.5752815259999 70.7541638460005,-27.3916635259999 70.8058178460004,-27.3155545249999 70.8533178460004,-27.3055545249999 70.8594178460004),(-25.344445524 71.0133178460004,-25.3255545239999 71.0116548460005,-25.3077095239998 71.0196368460004,-25.3772275239999 71.0597088460004,-25.4213905239999 71.0749998460005,-25.460554524 71.1041548460005,-25.4891635239999 71.1094268460004,-25.5663905239998 71.1066458460004,-25.5791635239998 71.1021998460004,-25.5694455239999 71.0888818460005,-25.5602815239999 71.0835998460005,-25.414445524 71.0238818460005,-25.4002725239999 71.0197178460004,-25.344445524 71.0133178460004),(-23.4736095219997 69.7347088450004,-23.5641635219999 69.7183178450005,-23.5934725219998 69.7106818450005,-23.5494455219998 69.6766548450005,-23.5399995219998 69.6708178450005,-23.519445522 69.6610998450004,-23.5069455219999 69.6577638450004,-23.4905545219999 69.6549818450005,-23.3869455219999 69.6438728450004,-23.3363905219999 69.6397088450005,-23.3027815219999 69.6394368450005,-23.2866635219999 69.6410998450004,-23.246109522 69.6527728450005,-23.2327725219999 69.6577638450004,-23.223327522 69.6663728450004,-23.2294455219999 69.6869178450006,-23.2569455219999 69.7260908450004,-23.2602815219998 69.7280458450005,-23.2894455219999 69.7383088450004,-23.3118095219999 69.7416458450004,-23.4447185219999 69.7366458450005,-23.4613905219998 69.7358088450005,-23.4736095219997 69.7347088450004),(-29.6943095279999 68.2069268430005,-29.7062455279998 68.2174178430005,-29.7252725279998 68.2227638430004,-29.7805545279999 68.2233088430004,-29.877781528 68.2371998430004,-29.8947185279999 68.2385908430004,-29.930554528 68.2363728430005,-29.952499528 68.2333178430004,-29.9752725279998 68.2271998430004,-29.9999995279999 68.2185178430004,-30.0104185279999 68.2095728430004,-30.0154185279999 68.1853998430005,-30.0013905279999 68.1678458430004,-29.9888905279999 68.1636088430005,-29.9388905279998 68.1483268430005,-29.8980545279999 68.1408268430005,-29.8669455279999 68.1399818430004,-29.8380545279998 68.1408268430005,-29.7277725279998 68.1674818430005,-29.7124995279997 68.1744268430004,-29.7016635279999 68.1888728430004,-29.6943095279999 68.2069268430005),(-31.7494455299999 68.2263818430004,-31.8191725299999 68.2291548430006,-31.8347275299998 68.2285908430004,-31.9269455299999 68.2188728430005,-31.9380545299998 68.2172088430005,-31.95666353 68.2081818430004,-31.9577725299999 68.1976268430005,-31.9486095299999 68.1835908430005,-31.9302815299999 68.1735998430004,-31.8266635299999 68.1558178430005,-31.8083365299999 68.1527728430004,-31.7541725299998 68.1538728430005,-31.7166635299999 68.1594268430005,-31.69277253 68.1722728430004,-31.7658905299999 68.1918998430004,-31.7620185299998 68.2059638430005,-31.7486095299999 68.2160908430005,-31.7369455299999 68.2235998430004,-31.7494455299999 68.2263818430004),(-36.2833365339998 65.9121998410005,-36.3513905339999 65.8866548410004,-36.366809534 65.8799728410005,-36.3787455339999 65.8651178410005,-36.383472534 65.8356818410005,-36.368054534 65.8219268410005,-36.356109534 65.8205458410005,-36.3197275339999 65.8219268410005,-36.2122185339998 65.8585998410005,-36.2033275339999 65.8635998410005,-36.1875635339998 65.8771368410005,-36.2355545339997 65.9142908410005,-36.2497275339999 65.9183178410004,-36.2613905339999 65.9180458410005,-36.2730545339999 65.9158178410004,-36.2833365339998 65.9121998410005),(-36.5904185339999 65.8127638410005,-36.5119455339999 65.9133178410004,-36.5055635339999 65.9327548410005,-36.5027815339999 65.9510268410005,-36.5194455339999 65.9597178410004,-36.5433365339999 65.9599908410004,-36.5666635339999 65.9572178410004,-36.6011095339999 65.9505458410005,-36.636663534 65.9433178410004,-36.6808275339999 65.9319268410004,-36.7260995339999 65.9188728410006,-36.7490275339998 65.9072088410004,-36.738190534 65.8040088410005,-36.7127725339999 65.7922088410004,-36.7005545339998 65.7905458410004,-36.6199995339998 65.7952548410004,-36.5904185339999 65.8127638410005),(-36.7872275339998 65.8683178410006,-36.7994455339999 65.8708178410005,-36.8113905339999 65.8705268410005,-36.8227725339999 65.8683178410006,-36.942772534 65.8197178410005,-36.9380455339999 65.7855368410005,-36.8424995339998 65.7335998410004,-36.7983365339998 65.7505458410005,-36.787509534 65.7555548410004,-36.7619455339998 65.8388728410005,-36.7668095339999 65.8565178410005,-36.7769455339999 65.8638728410005,-36.7872275339998 65.8683178410006),(-37.474718535 65.7502728410004,-37.4981275349998 65.8020728410004,-37.4738815349999 65.7991458410005,-37.4390275349998 65.7781818410006,-37.4283365349999 65.7663908410005,-37.3922455349999 65.7587638410004,-37.3749185349999 65.7536818410004,-37.2808275349999 65.7524908410005,-37.2699995349999 65.7581908410004,-37.3941635349999 65.8135998410004,-37.4849995349999 65.8361088410005,-37.5102815349999 65.8441458410004,-37.5288905349999 65.8555368410005,-37.5438905349998 65.8707458410004,-37.5658365349999 65.8858178410005,-37.5786095349997 65.8902728410005,-37.603618535 65.8960998410005,-37.6524995349999 65.9030458410006,-37.6752815349999 65.9047088410005,-37.6869455349999 65.9041638410005,-37.7963905349997 65.8766458410004,-37.818609535 65.8702548410004,-37.8283365349997 65.8663818410004,-37.9541635349997 65.7969268410004,-37.9881905349999 65.7019368410005,-37.9441635349999 65.6088728410004,-37.9349995349999 65.5949818410005,-37.910827535 65.5858178410004,-37.8658365349999 65.5730458410004,-37.8509725349999 65.5749908410004,-37.7794455349999 65.5741548410005,-37.7430545349998 65.5685998410004,-37.7313815349999 65.5691548410005,-37.6855545349998 65.5724908410005,-37.6717725349998 65.5827728410005,-37.6464455349998 65.6018908410005,-37.6499905349999 65.6163818410005,-37.6619455349999 65.6169268410005,-37.6738905349998 65.6185908410005,-37.6863905349998 65.6219178410004,-37.6966635349998 65.6263728410004,-37.7077815349999 65.6358178410005,-37.7130545349999 65.6489368410004,-37.6458365349999 65.6480368410006,-37.605836535 65.6365178410005,-37.5899995349999 65.6108088410005,-37.5721635349999 65.6026728410004,-37.4849995349999 65.6072088410004,-37.3938905349999 65.6260818410005,-37.3827725349998 65.6305368410005,-37.3144455349998 65.6713728410005,-37.3148635349999 65.6915728410005,-37.3540815349999 65.7037638410005,-37.3728365349999 65.7074268410004,-37.3871725349999 65.7087638410005,-37.401999535 65.7090908410004,-37.4399905349998 65.7113818410004,-37.474718535 65.7502728410004),(-37.0927725349997 65.6035908410005,-37.0238905339999 65.5855368410004,-37.0072275339999 65.5838818410004,-36.9955545339998 65.5844268410004,-36.9101365339997 65.6440178410004,-36.9377725339998 65.6735998410004,-36.9922275339999 65.7010998410004,-37.0674995349997 65.7269268410005,-37.079727535 65.7294268410005,-37.0908365349999 65.7260908410005,-37.2013905349999 65.6885818410004,-37.2131995349999 65.6819178410004,-37.207218535 65.6699818410005,-37.1141635349999 65.6119268410005,-37.1052815349999 65.6069368410004,-37.0927725349997 65.6035908410005),(-39.7998635369998 65.3217998410004,-39.785836537 65.3172178410005,-39.7744455369999 65.3177638410004,-39.7508365369998 65.3169368410004,-39.7024995369998 65.3116458410005,-39.6902815369999 65.3083178410004,-39.6019455369998 65.2746998410005,-39.5769545369998 65.2680548410004,-39.5644455369999 65.2658268410005,-39.5424995369999 65.2652728410005,-39.5199995369998 65.2683268410004,-39.5094455369999 65.2727638410003,-39.494999537 65.2880368410005,-39.496254537 65.3234638410004,-39.5122185369999 65.3338818410005,-39.524445537 65.3361088410004,-39.7263905369999 65.3708178410004,-39.7380545369999 65.3710908410004,-39.7711095369999 65.3680458410005,-39.782081537 65.3599818410005,-39.8036095369999 65.3351998410005,-39.7998635369998 65.3217998410004),(-40.206945537 64.4394178400005,-40.1911095369999 64.4305458400004,-40.179999537 64.4310908400005,-40.145972537 64.4822088400004,-40.1531905369998 64.4916458400005,-40.2372185369999 64.5285908400004,-40.248890537 64.5333268400004,-40.2733275379998 64.5396998400005,-40.3094365379999 64.5466458400004,-40.3438905379999 64.5519268400005,-40.3674995379998 64.5546998400005,-40.5113905379999 64.7216458400005,-40.4444455379999 64.7497088400004,-40.5427815379997 64.8441458400005,-40.601663538 64.8824908400004,-40.7102815379999 64.9222088400005,-40.7483365379999 64.9338728400004,-40.7599995379999 64.9341458400004,-40.7711095379997 64.9333178400003,-40.794163538 64.9296998400005,-40.8477815379999 64.9169268400004,-40.861390538 64.9109548400004,-40.8656995379999 64.9008268400004,-40.8311185379997 64.8563728400005,-40.8047185379999 64.8238818400005,-40.7883365379998 64.8076178400004,-40.7627815379999 64.7919268400005,-40.6763905379999 64.7491458400004,-40.6016725379998 64.7099908400004,-40.5719455379997 64.6824818400005,-40.5524995379999 64.6308178400004,-40.5438905379998 64.5952638400005,-40.5291635379999 64.5563638400005,-40.497918538 64.4977638400005,-40.4867995379998 64.4888728400004,-40.4727725379998 64.4824818400004,-40.427781538 64.4708268400005,-40.3802815379999 64.4602638400004,-40.2772185379998 64.4508178400005,-40.241390537 64.4483178400004,-40.2174995369999 64.4438638400005,-40.206945537 64.4394178400005),(-40.8752725379999 64.3021998400004,-40.8861185379999 64.3005368400005,-40.9602815379999 64.2888818400004,-40.970836538 64.2863728400004,-41.0474995379999 64.2516638400004,-41.0527815379999 64.2327548400005,-41.0452815379999 64.2166638400005,-41.0333365379999 64.1997088400004,-41.0197185379999 64.1927458400004,-40.9830545379999 64.2080368400004,-40.9611095379997 64.2094268400005,-40.9263905379998 64.2088818400004,-40.8922275379999 64.2080368400004,-40.7711095379997 64.2083268400004,-40.6794455379998 64.2085998400005,-40.6741725379998 64.2913638400004,-40.6833275379998 64.2960998400004,-40.718327538 64.3033178400004,-40.7524995379998 64.3055458400003,-40.7638905379998 64.3058178400005,-40.7863905379999 64.3055458400003,-40.8297275379999 64.3044268400005,-40.8752725379999 64.3021998400004),(-41.1347275379998 64.2933178400004,-41.2741725379998 64.3166638400004,-41.296954538 64.3172178400005,-41.318609538 64.3146998400005,-41.3286095379999 64.3113728400004,-41.3480545389998 64.3021998400004,-41.3738905389998 64.2823458400005,-41.3688905389998 64.2726268400005,-41.3549995389999 64.2641638400005,-41.3433275389999 64.2630458400005,-41.3094365379999 64.2622088400004,-41.274999538 64.2638818400004,-41.2636185379998 64.2636088400004,-41.1852725379998 64.2574908400005,-41.1730545379999 64.2577638400005,-41.163054538 64.2622088400004,-41.1255545379998 64.2883178400004,-41.1347275379998 64.2933178400004),(-41.708609539 63.4960998390004,-41.7308275389998 63.4966548390005,-41.7841725389998 63.4922178390003,-41.825563539 63.4855458390004,-41.8449995389999 63.4808178390005,-41.854718539 63.4772088390005,-41.865009539 63.4722178390004,-41.8722185389998 63.4642998390004,-41.8683275389998 63.4527728390004,-41.8594455389999 63.4385998390004,-41.848890539 63.4272178390005,-41.8097185389999 63.4077728390005,-41.798618539 63.4041638390004,-41.7636185389998 63.3974908390004,-41.7511095389999 63.3960998390004,-41.7274905389999 63.3905458390004,-41.7108365389998 63.3847088390005,-41.616945539 63.3391548390004,-41.538890539 63.3002728390005,-41.525272539 63.2913818390004,-41.5155545389999 63.2822088390004,-41.4911095389999 63.2636088390005,-41.441109539 63.2355458390005,-41.4308275389998 63.2313728390005,-41.2538905379998 63.2133268390004,-41.2305545379999 63.2113818390004,-41.2179185379999 63.2165178390005,-41.1477815379999 63.2141548390005,-41.1150095379998 63.2097178390004,-41.0942995379999 63.2163818390004,-41.1041725379999 63.2352638390005,-41.1258275379998 63.2588908390004,-41.1441635379998 63.2772178390005,-41.2113905379999 63.3216638390004,-41.2269455379998 63.3302728390004,-41.2369455379999 63.3347178390005,-41.2613905379998 63.3430458390005,-41.2841725379998 63.3488728390005,-41.4424995389999 63.4013818390005,-41.5568635389999 63.4194368390005,-41.6116725389999 63.4602728390004,-41.6633275389999 63.4855458390004,-41.6736185389999 63.4897178390004,-41.6972185389997 63.4949908390005,-41.708609539 63.4960998390004),(-41.3780545389998 63.1285998390005,-41.346390539 63.1280458390004,-41.3358275379999 63.1288728390005,-41.3033275379998 63.1280458390004,-41.2808275379998 63.1255458390005,-41.2166635379999 63.1183268390004,-41.2049995379999 63.1185998390005,-41.1844365379999 63.1227638390005,-41.212363538 63.1601268390004,-41.2308275379999 63.1711088390005,-41.2666635379999 63.1885998390005,-41.2788815379998 63.1927638390004,-41.3013905379999 63.1960998390003,-41.3916725389998 63.2060998390005,-41.4358275389997 63.2091638390004,-41.4463905389999 63.2074998390004,-41.4644455389999 63.1860998390004,-41.466390539 63.1713818390005,-41.4581905389997 63.1647088390005,-41.4019365389999 63.1324908390005,-41.3780545389998 63.1285998390005),(-41.4677725389998 63.1008268390004,-41.5072275389999 63.0894268390004,-41.5172185389999 63.0858178390004,-41.5245095389999 63.0779088390004,-41.4922275389999 63.0585998390004,-41.482218539 63.0544368390004,-41.4644455389999 63.0491638390004,-41.3758275389998 63.0455458390005,-41.353890539 63.0449998390005,-41.3338815379998 63.0502728390005,-41.3241725379999 63.0538818390005,-41.3152815379999 63.0591548390005,-41.3051365379999 63.0716638390005,-41.3458365389999 63.0988728390005,-41.3619455389999 63.1074998390004,-41.3733275389998 63.1099908390005,-41.426945539 63.1094368390005,-41.447772539 63.1060998390004,-41.4677725389998 63.1008268390004),(-41.5829185389998 62.8730458380004,-41.5699995389999 62.8694368380004,-41.5613905389998 62.8735998380004,-41.4941635389999 62.9419368380005,-41.472218539 62.9713728380005,-41.4554185389999 63.0140268390005,-41.4808275389998 63.0185998390005,-41.4913905389997 63.0188818390004,-41.5019455389998 63.0183268390005,-41.5752815389999 63.0105548390005,-41.586663539 63.0047178390005,-41.6112545389998 62.9095728380004,-41.5829185389998 62.8730458380004),(-42.1430545389998 62.7980458380004,-42.2627815389998 62.8024908380005,-42.3261095389998 62.7997178380003,-42.3744455389999 62.7938818380005,-42.4333275399999 62.7627728380004,-42.4445815399999 62.7545818380004,-42.4183365399999 62.7102728380005,-42.4072185389999 62.6963818380004,-42.4044455389998 62.6947088380004,-42.3872185389999 62.6811088380005,-42.3758275389999 62.6791638380005,-42.3149995389999 62.6952638380005,-42.3052725389999 62.6977728380004,-42.2286095389998 62.7111088380004,-42.1863905389999 62.7108178380005,-42.1744455389999 62.7099908380004,-42.1630545389999 62.7080458380004,-42.1519995389999 62.7008268380005,-42.1421725389999 62.6923178380005,-42.1311095389999 62.6852638380005,-42.1208365389998 62.6835998380005,-42.0661095389999 62.6827728380005,-42.0433365389999 62.6888818380004,-42.0204185389999 62.7128368380003,-42.0291635389997 62.7256818380005,-42.043890539 62.7291548380005,-42.0541725389998 62.7274818380004,-42.0638905389998 62.7247088380005,-42.0844455389999 62.7222178380005,-42.104445539 62.7213728380003,-42.1474995389999 62.7213728380003,-42.1702815389999 62.7222178380005,-42.1922185389999 62.7244368380004,-42.2033365389998 62.7291548380005,-42.1930545389999 62.7333268380003,-42.0486185389999 62.7494368380005,-42.0277815389997 62.7508268380004,-42.0047185389999 62.7455458380005,-41.9886365389999 62.7373818380005,-41.9773905389999 62.7307088380005,-41.963054539 62.7238728380004,-41.9513905389998 62.7208268380004,-41.9294455389999 62.7183178380005,-41.9086095389999 62.7208268380004,-41.8988905389998 62.7233178380005,-41.8627815389999 62.7370728380005,-41.8938185389999 62.7402088380005,-41.9181725389999 62.7357818380004,-41.9454905389999 62.7354088380005,-41.9961095389999 62.7749908380005,-42.0172185389998 62.7805458380005,-42.1430545389998 62.7980458380004),(-42.205272539 62.4844368380004,-42.1844365389998 62.4824908380005,-42.1730545389999 62.4827638380004,-42.1633275389999 62.4852638380004,-42.1252815389998 62.4988818380004,-42.125554539 62.5599908380004,-42.1351365389998 62.5667998380005,-42.1511095389999 62.5730548380004,-42.162218539 62.5752728380004,-42.1730545389999 62.5752728380004,-42.2655545389997 62.5752728380004,-42.2772185389999 62.5772178380004,-42.2953455389998 62.5735368380005,-42.2790275389999 62.5219368380004,-42.2572275389999 62.5060998380005,-42.2166635389999 62.4863818380004,-42.205272539 62.4844368380004),(-42.2794455389999 61.7552728370005,-42.2691635389998 61.7502728370005,-42.1399995389999 61.7674908370005,-42.1299995389998 61.7691548370005,-42.1187545389999 61.7754088370005,-42.0897185389999 61.8236088370005,-42.0844455389999 61.8749908370005,-42.0952725389998 61.8760998370004,-42.122772539 61.8713728370005,-42.143890539 61.8649998370004,-42.1651365389998 61.8540178370005,-42.172081539 61.8437368370004,-42.1711095389998 61.8311088370004,-42.1794455389999 61.8151268370003,-42.2152815389998 61.7886088370004,-42.2391635389999 61.7730458370004,-42.2483365389999 61.7685998370004,-42.2794455389999 61.7552728370005),(-42.9263905399999 60.8830458370005,-42.9412455399999 60.8746458370004,-42.9149995399999 60.8674908370004,-42.8619455399999 60.8597178370005,-42.8305545399999 60.8563818370005,-42.7502815399999 60.8544368370004,-42.7402815399997 60.8552728370004,-42.62610954 60.8852728370004,-42.6474995399999 60.8947178370004,-42.6797275399999 60.8974908370005,-42.7411095399999 60.9027728370004,-42.7511095399998 60.9030458370004,-42.8305545399999 60.9010998370004,-42.86583654 60.8983268370005,-42.9263905399999 60.8830458370005),(-43.7616725409998 60.1438818360004,-43.9861185409998 60.1672178360005,-44.0930545409999 60.1727728360004,-44.1177815409997 60.1590178360005,-44.131799541 60.1434638360005,-44.1166635409999 60.1027728360004,-43.9447185409998 60.0461088360004,-43.934436541 60.0449998360004,-43.910690541 60.0063818360005,-43.9142995409998 59.9963818360005,-43.8080545409999 59.9602728360005,-43.7974995409999 59.9574998360004,-43.7658365409998 59.9522178360005,-43.7247185409998 59.9472088360005,-43.6036185409998 59.9213818360005,-43.5727725409999 59.9147088360005,-43.5495815409999 59.9217998360004,-43.5166635409998 59.9622088360005,-43.4888905409999 60.0177728360005,-43.4822185399997 60.0330548360005,-43.4780545399999 60.0468638360005,-43.487499541 60.0566548360004,-43.5624995409998 60.0702728360004,-43.5743095409999 60.0756908360004,-43.5561095409997 60.0808268360004,-43.5247185409999 60.0780458360005,-43.45916354 60.0602728360004,-43.4372185399999 60.0541638360003,-43.3311185399998 60.0236088360005,-43.2388905399998 59.9924908360005,-43.2283365399999 59.9905458360005,-43.1934725399999 59.9894368360004,-43.1590275399999 60.0024998360005,-43.1404185399999 60.0190268360005,-43.1337455399999 60.0587368360004,-43.16166354 60.0694458360004,-43.2644545399998 60.0788818360004,-43.35417254 60.0844368360005,-43.6305545409999 60.1174908360005,-43.7291635409999 60.1394368360005,-43.7399995409999 60.1413818360005,-43.7616725409998 60.1438818360004),(-43.3418725399999 60.0088178360004,-43.4424995399999 60.0374998360004,-43.45749954 60.0356908360005,-43.4692995399998 60.0256818360004,-43.4847275399999 59.9919368360004,-43.5091725409999 59.9124908360005,-43.5019455409999 59.9033178360005,-43.3958365399999 59.9283268360005,-43.3588905399997 59.9727638360005,-43.3418725399999 60.0088178360004),(-43.7266635409999 59.9133178360005,-43.748890541 59.9213818360005,-43.9155545409999 59.9708268360005,-43.9477725409997 59.9788728360004,-43.9627725409999 59.9792908360005,-43.9802725409999 59.9729088360004,-44.0897185409997 59.8869368360005,-44.109863541 59.8673548360005,-44.1155545409999 59.8291638360005,-44.1097185409998 59.8135368360005,-44.0924995409997 59.8038818360005,-44.0770905409998 59.8005458360005,-44.0619455409998 59.8005458360005,-44.0069545409999 59.8116638360005,-43.9308275409999 59.8044368360004,-43.9022185409999 59.7902728360004,-43.8497275409997 59.8044368360004,-43.648054541 59.8474908360004,-43.6401365409999 59.8556908360005,-43.6370815409998 59.8656908360005,-43.653881541 59.8772088360005,-43.7266635409999 59.9133178360005),(-44.0536095409999 59.9611088360004,-44.0047185409998 59.9883268360005,-43.9946545409998 60.0056178360005,-44.012781541 60.0149998360005,-44.0983365409999 60.0183268360005,-44.1972185409998 60.0213818360004,-44.2217995409999 60.0181818360003,-44.2441635409999 60.0116638360005,-44.2602815409999 60.0022178360004,-44.3802815409998 59.9094268360004,-44.3722185409999 59.8936088360005,-44.3481905409999 59.8735998360005,-44.3187545409999 59.8715178360005,-44.2036095409998 59.8897178360004,-44.1455455409999 59.8995178360003,-44.1422275409998 59.9041638360005,-44.0924995409997 59.9434638360004,-44.0536095409999 59.9611088360004),(-44.3074995409997 59.9777638360005,-44.2033365409999 60.0397908360004,-44.2065275409998 60.0530458360004,-44.2647275409999 60.1144368360004,-44.2697185409999 60.1177638360003,-44.2791635409998 60.1219368360005,-44.3747185409999 60.1411088360005,-44.4058275409997 60.1441548360004,-44.4299995409999 60.1427728360005,-44.4441635409998 60.1331908360005,-44.4649995409998 60.0994368360005,-44.4947185409998 60.0241638360004,-44.4974995409999 60.0111088360005,-44.4226455409998 59.9490178360004,-44.4054185409999 59.9488818360005,-44.3074995409997 59.9777638360005),(-44.1419455409999 60.0338818360005,-44.101945541 60.0336088360005,-44.0836095409999 60.0338818360005,-44.054172541 60.0347178360004,-44.0349995409999 60.0363818360004,-44.0145815409999 60.0431908360005,-44.0591635409998 60.0538818360005,-44.0799995409998 60.0594368360004,-44.0913815409999 60.0633268360003,-44.1474995409999 60.0897178360004,-44.1616635409999 60.1008268360005,-44.168336541 60.1105458360004,-44.193327541 60.1624908360004,-44.1930545409999 60.1674998360004,-44.2038905409998 60.1694458360005,-44.213890541 60.1694458360005,-44.2305545409999 60.1610998360004,-44.2386095409997 60.1502728360004,-44.2472185409998 60.1324998360005,-44.2449995409998 60.1226268360004,-44.1655545409997 60.0447178360004,-44.1561095409998 60.0381908360005,-44.1419455409999 60.0338818360005),(-45.1927725419999 60.3872178360004,-45.3274995419999 60.3911088360005,-45.3498635419999 60.3848548360004,-45.4090275419997 60.1832548360005,-45.3650095419999 60.1852638360004,-45.3474995419998 60.1910998360004,-45.1983365419999 60.2555548360004,-45.1873545419999 60.2630548360005,-45.1388905419998 60.3333268360004,-45.1349995419999 60.3459638360005,-45.1408365419999 60.3627728360004,-45.1522185419998 60.3763818360005,-45.181118542 60.3858268360004,-45.1927725419999 60.3872178360004),(-45.7833365429998 60.6608178360004,-45.7947275429998 60.6660998360005,-45.816390543 60.6697178360005,-45.9661095429999 60.6829088360005,-45.9809725429999 60.6754088360005,-45.9970815429999 60.6290178360005,-45.9891635429998 60.6198548360005,-45.9647185429997 60.6147178360005,-45.9547185429998 60.6155458360004,-45.811390543 60.6369368360005,-45.7947275429998 60.6447178360004,-45.7855545429999 60.6529088360004,-45.7833365429998 60.6608178360004),(-46.0122995429999 60.6715268360005,-45.985199543 60.6922268360004,-45.9536635429999 60.6922268360004,-45.8940275429998 60.6943638360005,-45.9291725429999 60.7030458360005,-45.9755545429999 60.7072178360003,-46.0069545429999 60.7063818360004,-46.177781543 60.6805458360004,-46.2006905429998 60.6751268360004,-46.1705545429999 60.6413818360004,-46.096527543 60.6352728360005,-46.081945543 60.6380458360005,-46.0122995429999 60.6715268360005),(-46.3504185429998 60.6674998360005,-46.2580545429997 60.7449908360004,-46.2772185429999 60.7722178360004,-46.3055545429998 60.7799908360005,-46.4233365429999 60.7485998360004,-46.4408365429998 60.7427638360005,-46.4887545429999 60.7176368360005,-46.4994455429999 60.6991548360004,-46.4505545429997 60.6763818360005,-46.3504185429998 60.6674998360005),(-47.692218544 60.7347178360005,-47.6577725439998 60.7552728360004,-47.7154185439999 60.7549998360004,-47.7419455439999 60.7469368360004,-47.7705545439999 60.7363818360004,-47.8074995449998 60.7410998360005,-47.8231995449999 60.7470728360003,-47.828336545 60.7566638360004,-47.7583365439999 60.8002728360005,-47.7563905439999 60.8070728360004,-47.9538905449999 60.8374908370005,-47.9673545449999 60.8359638360004,-47.988609545 60.8269458360005,-48.0104185449999 60.8197178360005,-48.1199995449999 60.8030458360004,-48.1391635449998 60.8008268360005,-48.1599995449998 60.8013818360004,-48.2024995449999 60.8041638360004,-48.2124995449999 60.8038818360005,-48.2305545449998 60.8010998360005,-48.2388905449997 60.7955458360004,-48.1673545449999 60.7394368360004,-48.0763905449999 60.6988728360005,-48.0555545449999 60.6919368360004,-48.032218545 60.6883268360005,-47.8984725449999 60.6770818360005,-47.708890544 60.7277638360005,-47.692218544 60.7347178360005),(-46.8330635439999 60.7569458360005,-46.7738905439998 60.7499998360004,-46.7584725439999 60.7497178360005,-46.5674995429998 60.7899908360005,-46.5024995429999 60.8041638360004,-46.3519455429999 60.8474908370005,-46.2538905429997 60.8763818370005,-46.235554543 60.8813818370005,-46.2066635429999 60.8852728370004,-46.1905545429999 60.8899908370005,-46.1708365429998 60.9008268370005,-46.1644455429999 60.9224908370005,-46.196945543 60.9458268370004,-46.2069455429998 60.9497178370005,-46.226099543 60.9469368370004,-46.2549995429998 60.9402728370004,-46.3463905429999 60.9191548370005,-46.4288905429999 60.8983268370005,-46.4561095429999 60.8905458370004,-46.680281543 60.8249998360004,-46.7497275439999 60.8033178360005,-46.8030545439998 60.7841638360004,-46.8377725439998 60.7713818360005,-46.8441635439998 60.7630458360005,-46.8330635439999 60.7569458360005),(-48.1133365449999 61.0808268370005,-48.2005545449999 61.0916638370004,-48.2433275449999 61.0985998370004,-48.2650095449999 61.0985998370004,-48.359445545 61.0924908370005,-48.369445545 61.0815178370004,-48.3544455449998 61.0597178370004,-48.3356905449998 61.0541548370004,-48.3077815449999 61.0533178370004,-48.1547185449999 61.0527728370004,-48.0736185449998 61.0538818370005,-48.0636095449998 61.0541638370004,-48.0511815449997 61.0628368370005,-48.0797275449998 61.0758268370005,-48.1133365449999 61.0808268370005),(-48.671945545 61.3674908370005,-48.6930545449999 61.3680458370005,-48.7136185449999 61.3674908370005,-48.7430545449999 61.3638818370005,-48.7619455449998 61.3605458370005,-48.781390545 61.3555548370004,-48.8083365449998 61.3472178370005,-48.828754545 61.3328368370005,-48.6536095449999 61.3097178370004,-48.5833275449999 61.3127638370005,-48.539172545 61.3174998370005,-48.5226365449998 61.3234638370005,-48.5144455449999 61.3441548370004,-48.520836545 61.3563818370005,-48.5233275449999 61.3611088370004,-48.5352815449999 61.3638818370005,-48.671945545 61.3674908370005),(-49.5513905459998 61.9355458380003,-49.6052815459999 61.9363818380004,-49.6201365459999 61.9354088380004,-49.6347275459999 61.9281908380004,-49.5705545459999 61.8836088370005,-49.5352815459998 61.8780458370005,-49.5230545459999 61.8772088370005,-49.457781546 61.8744368370005,-49.4405545459999 61.8747088370004,-49.4177815459999 61.8960998370003,-49.412218546 61.9158268380004,-49.4194455459999 61.9305458380004,-49.5513905459998 61.9355458380003),(-50.683472547 63.1141638390004,-50.7305545469999 63.1699908390005,-50.7538905469999 63.1822088390005,-50.7650095469999 63.1858178390005,-50.7777815469998 63.1880458390004,-50.7923635469999 63.1845728390005,-50.873890547 63.1411088390005,-50.886390547 63.1199908390004,-50.8755545469998 63.1091638390004,-50.832781547 63.0844368390005,-50.8216725469998 63.0808268390005,-50.809999547 63.0805548390005,-50.7997275469999 63.0816638390004,-50.771109547 63.0872088390004,-50.750281547 63.0913818390005,-50.6965275469997 63.1056908390005,-50.683472547 63.1141638390004),(-50.6397275469999 63.1152728390005,-50.622918547 63.1142998390005,-50.5077815469999 63.1324908390005,-50.4847185469999 63.1401368390004,-50.4709635469999 63.1516548390004,-50.4794455469998 63.1641548390004,-50.539999547 63.1952638390005,-50.5534725469999 63.2041548390005,-50.581390547 63.2055548390003,-50.6122185469998 63.2016638390005,-50.6699995469997 63.1572088390005,-50.6811185469999 63.1452728390004,-50.6777815469999 63.1330458390004,-50.6663905469999 63.1219368390005,-50.6397275469999 63.1152728390005),(-51.2644545479997 64.2149998400005,-51.2511095479999 64.2141548400004,-51.2351365479997 64.2155458400004,-51.151109548 64.2530548400004,-51.1380545479997 64.2604088400005,-51.134581548 64.2755458400004,-51.1336095479999 64.2885908400004,-51.1269455479999 64.2994268400005,-51.0261095479999 64.3769178400004,-50.9711095469999 64.4177548400004,-50.9338905469999 64.4401178400005,-50.9119455469999 64.4488638400005,-50.8936185469999 64.4547088400005,-50.8611185469999 64.4602638400004,-50.8422275469999 64.4652728400005,-50.8241725469997 64.4749908400004,-50.8158365469998 64.4831818400004,-50.8088905469999 64.4990178400005,-50.8072185469998 64.5169368400004,-50.807499547 64.5224908400004,-50.8218095469999 64.5438728400005,-50.8622185469999 64.5519268400005,-50.972772547 64.5591458400004,-50.9849995469999 64.5594178400004,-50.9963905469999 64.5591458400004,-51.0066725479998 64.5569268400005,-51.0249995479998 64.5494268400004,-51.0322185479998 64.5361638400005,-51.0277815479998 64.5144368400005,-51.0812455479999 64.4455368400005,-51.1394455479998 64.3872088400004,-51.2058365479998 64.3310998400005,-51.2575095479999 64.2910908400004,-51.334581548 64.2613818400005,-51.342499548 64.2508268400005,-51.3391635479998 64.2410998400005,-51.2894455479997 64.2194368400005,-51.2644545479997 64.2149998400005),(-51.4169455479998 64.3633088400004,-51.4288905479997 64.3638728400005,-51.4441635479998 64.3610998400004,-51.5927725479999 64.2877638400004,-51.601390548 64.2799818400005,-51.5967365479997 64.2641548400005,-51.5783365479999 64.2558268400005,-51.5672185479999 64.2560998400004,-51.3924995479999 64.2860998400004,-51.328336548 64.3146998400005,-51.322918548 64.3236088400004,-51.403881548 64.3610998400004,-51.4169455479998 64.3633088400004),(-51.1097275479999 64.5497088400005,-51.0924995479999 64.5640178400005,-51.1274905479999 64.5672178400004,-51.1397275479999 64.5660818400004,-51.226663548 64.5560908400004,-51.255281548 64.5416548400004,-51.3208365479998 64.5041638400004,-51.3363905479999 64.4930458400004,-51.4213905479999 64.4133178400005,-51.4169455479998 64.3935998400004,-51.3819455479999 64.3799728400004,-51.3722185479999 64.3763728400004,-51.3588905479999 64.3738728400005,-51.3477815479998 64.3727548400004,-51.323618548 64.3735998400005,-51.3130545479999 64.3746908400005,-51.292227548 64.3785818400004,-51.2783275479999 64.3840178400004,-51.2575095479999 64.3960998400005,-51.2344455479999 64.4133178400005,-51.2213815479998 64.4249908400005,-51.2113905479998 64.4358088400005,-51.1777815479999 64.4785908400004,-51.175563548 64.4888728400004,-51.168063548 64.5049908400005,-51.156945548 64.5163908400005,-51.1380545479997 64.5315088400005,-51.1097275479999 64.5497088400005),(-52.8980635489997 65.4394178410005,-52.8723545489999 65.5111088410005,-52.944445549 65.5252728410004,-52.9586095489998 65.5272088410006,-52.9697185489999 65.5258178410004,-53.0744455489997 65.5002728410005,-53.0866635489999 65.4949818410005,-53.0805545489998 65.4802638410005,-53.051390549 65.4663818410005,-53.0130635489999 65.4494178410005,-53.0030635489999 65.4455268410005,-52.9541725489999 65.4283178410005,-52.9394365489999 65.4252638410004,-52.9283365489999 65.4252638410004,-52.9122185489999 65.4295638410004,-52.8980635489997 65.4394178410005),(-52.8483365489999 65.6288638410005,-52.8483275489999 65.6429728410004,-52.8619455489999 65.6524818410005,-52.875554549 65.6538728410005,-52.9388905489998 65.6563728410005,-52.9908365489998 65.6580368410005,-53.0147275489998 65.6569368410005,-53.1658365499999 65.6316548410005,-53.2044455499999 65.6183178410004,-53.2309725499999 65.6010998410005,-53.2279095499998 65.5912368410005,-53.1986095499999 65.5774818410005,-53.1883275499999 65.5738818410005,-53.1706995499999 65.5578998410004,-53.0519365489999 65.5460998410004,-52.9949995489999 65.5488728410005,-52.8997275489999 65.5753998410005,-52.8619455489999 65.6074818410004,-52.8483365489999 65.6288638410005),(-53.4424995499999 66.0897088410004,-53.5994455499999 66.0999908410004,-53.6586095499998 66.0958268410005,-53.6724995499998 66.0898458410005,-53.67847255 66.0797088410004,-53.6333275499998 66.0458178410004,-53.6324995499999 66.0419268410005,-53.6219365499999 66.0383178410005,-53.6094455499999 66.0380368410005,-53.5252725499998 66.0424818410004,-53.4272275499998 66.0825458410005,-53.4424995499999 66.0897088410004),(-53.4641635499997 66.7988728420004,-53.3049995499999 66.8252728420005,-53.20583655 66.8227728420004,-53.0708365489999 66.8660908420004,-53.0599995489999 66.8699818420005,-53.0188905489999 66.8824728420005,-52.9961095489998 66.8863818420004,-52.9713815489999 66.8888818420006,-52.8682365489998 66.8972178420005,-52.8763905489998 66.8991548420004,-52.9441635489999 66.9024818420005,-53.19554555 66.8960998420005,-53.2211095499999 66.8941458420005,-53.2552815499998 66.8885998420005,-53.3458365499999 66.8738728420005,-53.3566635499997 66.8713728420004,-53.3869455499999 66.8613728420005,-53.4155545499999 66.8494268420004,-53.4459725499999 66.8337368420004,-53.4641635499997 66.7988728420004),(-53.6877725499999 67.7841458430005,-53.7288815499999 67.7849908430004,-53.7413905499999 67.7844268430005,-53.7527815499998 67.7819368430005,-53.7645905499999 67.7742908430004,-53.7536185499999 67.7366458430005,-53.7448635499998 67.7303998430004,-53.7291635499998 67.7244268430004,-53.6986095499999 67.7205368430004,-53.6766635499998 67.6896998430004,-53.6708365499999 67.6741458430006,-53.65889055 67.6758088430005,-53.6366635499999 67.6808178430005,-53.59916355 67.6972088430005,-53.59055455 67.7024818430005,-53.58305455 67.7110998430005,-53.58679955 67.7312268430005,-53.6327725499998 67.7619368430006,-53.6480545499999 67.7699908430005,-53.6724995499998 67.7822088430004,-53.6877725499999 67.7841458430005),(-53.2265275499998 68.0562268430004,-53.2626455499999 68.0884638430006,-53.2836185499999 68.0985998430004,-53.3213905499999 68.1085998430004,-53.34972755 68.1116458430005,-53.3886095499997 68.1097088430005,-53.41416355 68.1074818430004,-53.4244455499998 68.1058178430004,-53.4691635499999 68.0752728430005,-53.47305455 68.0691548430004,-53.4608275499999 68.0541548430004,-53.37597255 68.0105548430005,-53.35694555 68.0074908430005,-53.3472185499999 68.0099908430004,-53.2944455499998 68.0283178430005,-53.2265275499998 68.0562268430004),(-52.1513905489999 68.1163818430005,-52.109999549 68.1135998430004,-52.0708365479999 68.1152638430004,-52.0077815479999 68.1205268430004,-51.919999548 68.1299728430004,-51.8608365479999 68.1399818430004,-51.8391635479997 68.1463818430004,-51.8013905479999 68.1658178430005,-51.7813905479998 68.1741458430005,-51.7702815479998 68.1774728430004,-51.7480545479999 68.1813638430005,-51.6986095479999 68.1885818430005,-51.5919455479999 68.1921998430005,-51.5466725479999 68.2008178430004,-51.524999548 68.2072178430005,-51.4641635479999 68.2322088430005,-51.4555545479999 68.2380368430004,-51.453609548 68.2530458430004,-51.4658365479999 68.2624998430005,-51.5816725479999 68.2569458430005,-51.6066635479998 68.2527728430005,-51.8238905479999 68.2210998430004,-52.0822185489999 68.1916548430004,-52.119163549 68.1874818430004,-52.167781549 68.1822088430004,-52.1816725489999 68.1810908430004,-52.2894455489999 68.1774728430004,-52.3058275489998 68.1730368430004,-52.312918549 68.1654638430005,-52.1827815489999 68.1216458430005,-52.1513905489999 68.1163818430005),(-51.4591635479999 68.1480368430004,-51.8036095479999 68.1133088430004,-51.8283365479999 68.1091458430004,-51.8397905479997 68.1010178430005,-51.8677725479998 68.0930458430004,-51.907499548 68.0924818430005,-51.9505545479998 68.0938728430004,-51.9769455479999 68.0930458430004,-51.988336548 68.0905458430005,-52.0057635479997 68.0779728430005,-51.9766635479999 68.0652638430005,-51.9605545479999 68.0621908430005,-51.932781548 68.0597088430004,-51.891672548 68.0599818430005,-51.8399995479999 68.0630368430004,-51.7274905479999 68.0730458430004,-51.591381548 68.0874908430005,-51.5261095479999 68.0897088430006,-51.5125095479999 68.0894268430005,-51.4802815479999 68.0844268430005,-51.4655545479999 68.0830548430005,-51.4397185479999 68.0824908430005,-51.4144455479999 68.0844268430005,-51.3650095479999 68.0899818430004,-51.2933365479998 68.1008178430004,-51.2083365479998 68.1188638430006,-51.2163905479997 68.1255368430006,-51.3161095479998 68.1410998430004,-51.4188905479999 68.1499908430005,-51.4327815479998 68.1505458430004,-51.4591635479999 68.1480368430004),(-52.9955545489998 68.4938638440004,-53.0066725489999 68.4944268440005,-53.0197185489999 68.4944268440005,-53.0316725489999 68.4930458440004,-53.0483365489999 68.4891548440004,-53.1963905499998 68.4308178440004,-53.2105545499999 68.4047088440004,-53.2038905499999 68.3938728440004,-53.18971855 68.3869368440004,-53.1119455489999 68.3577548440005,-52.9888905489998 68.3577548440005,-52.9563905489999 68.3641548440005,-52.9383275489998 68.3713728440005,-52.877218549 68.4010908440006,-52.856390549 68.4149908440004,-52.8529185489998 68.4298458440005,-52.8683275489999 68.4438638440004,-52.8838905489998 68.4516638440004,-52.9752725489998 68.4885908440004,-52.9874185489998 68.4914268440004,-52.9813815489998 68.4916548440005,-52.9955545489998 68.4938638440004),(-52.4088905489999 68.5634548440004,-52.3094365489999 68.5730458440004,-52.2075095489998 68.5805548440006,-52.1658365489999 68.5808268440005,-52.1538815489999 68.5780458440004,-52.142499549 68.5738818440005,-52.0494455479998 68.5749998440004,-51.9419365479999 68.5944368440004,-51.8057635479998 68.6258088440005,-51.8280545479999 68.6344268440005,-51.8374995479999 68.6349908440005,-51.8438905479999 68.6374998440004,-51.875554548 68.6427638440004,-51.9230545479999 68.6424908440005,-51.936945548 68.6410998440004,-51.9538905479999 68.6351268440005,-52.0769545489999 68.5808268440005,-52.0924995489999 68.5838818440005,-52.1144455489999 68.5998458440005,-52.1016725489999 68.6052548440005,-52.0591635479999 68.6108088440005,-52.0444455479998 68.6141548440004,-52.0333995479998 68.6224088440004,-52.0508365479999 68.6288638440005,-52.144163549 68.6402728440005,-52.1999995489999 68.6422088440005,-52.2172185489998 68.6419368440004,-52.385563549 68.6135998440005,-52.3999905489998 68.6108088440005,-52.4113815489998 68.6066458440005,-52.418754549 68.5965088440004,-52.4205545489999 68.5692998440005,-52.4088905489999 68.5634548440004),(-52.705836549 68.6205268440004,-52.3441635489999 68.6367268440004,-52.327499549 68.6327548440004,-52.313327549 68.6352728440004,-52.3002815489999 68.6385998440005,-52.288890549 68.6427638440004,-52.267772549 68.6510908440005,-52.171945549 68.6949728440005,-52.1310455489999 68.7031178440004,-52.141945549 68.7063728440004,-52.2236095489998 68.7147088440004,-52.2355545489997 68.7136088440005,-52.3325095489997 68.7013818440005,-52.5111185489999 68.6969268440005,-52.5280545489999 68.6972088440006,-52.5397275489999 68.7030368440005,-52.527499549 68.7091638440004,-52.5125095489998 68.7108178440005,-52.4933275489999 68.7108178440005,-52.4711095489998 68.7079088440005,-52.4536815489998 68.7094998440005,-52.4849995489998 68.7124908440004,-52.515281549 68.7130458440005,-52.6224995489998 68.7108178440005,-52.6341725489999 68.7102638440005,-52.648609549 68.7077638440004,-52.8442995489999 68.6669998440004,-52.8327815489998 68.6644268440004,-52.8172185489998 68.6649908440004,-52.7988905489999 68.6680458440004,-52.7702095489999 68.6663728440005,-52.8013905489998 68.6535908440004,-52.836109549 68.6474908440005,-52.9183365489998 68.6410998440004,-52.9358275489998 68.6399818440004,-52.9547185489999 68.6397088440004,-53.0091725489999 68.6413728440004,-53.0386095489998 68.6388818440005,-53.0491725489998 68.6361088440004,-53.0738905489998 68.6263728440005,-53.0936095489999 68.6158178440004,-53.1133365489998 68.5861088440005,-53.1169455489998 68.5640088440004,-53.097499549 68.5655368440005,-53.0369455489998 68.5752728440005,-52.984999549 68.5863818440004,-52.9202815489998 68.6005368440004,-52.705836549 68.6205268440004),(-52.181390549 69.4688728450004,-52.0783365489999 69.4980268450005,-52.0102815479998 69.5244268450005,-51.9813815479999 69.5388818450005,-51.9522275479999 69.5544268450004,-51.8365275479999 69.6344178450004,-51.864727548 69.6466548450005,-51.9036095479999 69.6541548450004,-51.8799995479998 69.6483268450005,-51.8597185479999 69.6366548450006,-51.8866725479998 69.6347088450005,-51.9749995479999 69.6566458450005,-52.0201365479999 69.6746268450004,-51.990554548 69.6801178450004,-51.9651365479998 69.6851178450004,-51.9067365479999 69.7334548450004,-51.9127725479999 69.7541638450004,-51.9522185479999 69.7816548450004,-52.0040365479999 69.8003998450004,-52.0419455479998 69.8088728450005,-52.0752815479997 69.8149908450005,-52.1913815489998 69.8313728450004,-52.2963905489999 69.8427548450005,-52.3716635489999 69.8533178450005,-52.4916725489998 69.8710908450004,-52.5375095489999 69.8799728450005,-52.6408365489999 69.9044368450004,-52.6930545489998 69.9174818450005,-52.7244455489999 69.9283178450005,-52.7758365489998 69.9519368450004,-52.8891635489999 70.0130458450005,-52.9230545489997 70.0322088450005,-52.9419365489999 70.0441458450006,-52.9697185489999 70.0677638450005,-52.9955545489998 70.0863818450005,-53.0394455489998 70.1156728450004,-53.067509549 70.1296998450005,-53.2411095499998 70.1874818450004,-53.2663995499998 70.1949728450004,-53.4599995499999 70.2330458450004,-53.5197185499999 70.2408178450004,-53.5836095499999 70.2438638450005,-53.6322185499999 70.2447088450005,-53.6783365499999 70.2477548450004,-53.7990275499999 70.2613818450005,-53.8383365499999 70.2697178450005,-53.9716635499999 70.2835998450005,-54.3019365509999 70.3163728450005,-54.4291725509999 70.3097088450005,-54.537781551 70.2819368450005,-54.6752815509999 70.2574908450004,-54.7561185509999 70.2430368450005,-54.7947275509999 70.2205368450005,-54.827363551 70.1974908450004,-54.8433275509998 70.1758088450005,-54.8336185509999 70.0927638450005,-54.8218725509998 70.0662268450005,-54.7859905509998 70.0417998450004,-54.7280545509999 70.0197178450005,-54.6018095509999 69.9849818450004,-54.4904095509999 69.9630458450005,-54.4144455509999 69.9592998450005,-54.3002815509999 69.9424728450004,-54.2577815509997 69.9330368450005,-54.2408365509999 69.9142548450005,-54.3255635509999 69.9180458450004,-54.3797185509998 69.9238728450005,-54.4197275509998 69.9291548450005,-54.5130635509999 69.9430368450005,-54.5716725509999 69.9524818450006,-54.6133365509999 69.9591548450004,-54.6830635509999 69.9660908450004,-54.706663551 69.9672088450005,-54.7612455509999 69.9635998450005,-54.7833365509998 69.9608178450005,-54.8177815509998 69.9538728450004,-54.8613815509998 69.9370638450005,-54.9331815509998 69.8441548450005,-54.921945551 69.8236088450005,-54.904163551 69.8119178450004,-54.8847275509999 69.8041548450004,-54.8488815509999 69.7930458450005,-54.8191725509997 69.7874908450004,-54.7672185509998 69.7819368450005,-54.7280545509999 69.7802728450005,-54.6688905509998 69.7791638450004,-54.6409725509999 69.7762368450005,-54.4702725509998 69.7141548450005,-54.402709551 69.6805638450004,-54.4247185509999 69.6708178450005,-54.6026365509999 69.7156818450005,-54.6186185509998 69.7284548450004,-54.6456185509999 69.7456088450004,-54.6769455509999 69.7513908450005,-54.8638905509998 69.7502728450005,-54.9047185509999 69.7471998450005,-54.9263905509999 69.7419268450004,-54.9726365509998 69.7233178450005,-54.987918551 69.6902548450004,-54.8144455509999 69.6094268450005,-54.7213815509999 69.5827638450004,-54.692499551 69.5760998450004,-54.658890551 69.5705458450004,-54.4836095509999 69.5591458450004,-54.4605545509998 69.5580268450004,-54.11278155 69.5455368450005,-54.0713905499998 69.5458178450004,-54.0261095499999 69.5505368450005,-53.9836455499997 69.5654998450004,-53.9824995499999 69.5990178450004,-53.9459725499998 69.6038728450005,-53.8738185499997 69.5743638450005,-53.8810365499999 69.5547728450005,-53.9341635499997 69.5338728450005,-53.9572185499999 69.5252728450005,-53.9930545499998 69.5013728450004,-53.9485365499999 69.4856818450005,-53.87193655 69.4969368450004,-53.81999955 69.5088818450005,-53.7569455499998 69.5213818450005,-53.7380545499999 69.5120728450004,-53.7922275499997 69.4896998450004,-53.8520095499999 69.4641458450005,-53.7840275499999 69.4513818450004,-53.7036095499999 69.4659638450004,-53.65027255 69.4810908450004,-53.6218095499999 69.4954088450004,-53.59409055 69.5283908450004,-53.5969455499998 69.5494268450004,-53.55860955 69.5655368450004,-53.5047275499999 69.5766548450005,-53.4422185499999 69.5844268450005,-53.3581545499998 69.5762368450004,-53.3811095499998 69.5697178450005,-53.4602815499997 69.5646998450004,-53.4905545499998 69.5583088450005,-53.5072275499999 69.5463728450005,-53.54610955 69.5147088450004,-53.5652815499997 69.4969368450004,-53.5696905499998 69.4624178450005,-53.5358365499999 69.4533268450004,-53.4858365499999 69.4508178450005,-53.4547185499999 69.4508178450005,-53.3986095499999 69.4485908450004,-53.3796545499999 69.4420638450004,-53.3991725499998 69.4374818450005,-53.4380545499999 69.4338728450005,-53.4672185499999 69.4341458450004,-53.4905995499998 69.4359088450004,-53.5908365499999 69.4438638450005,-53.67471855 69.4396998450005,-53.7527815499998 69.4216458440004,-53.78749955 69.4177638440004,-53.8252815499998 69.4216458440004,-53.86500955 69.4299818450004,-53.9130545499997 69.4377638450004,-54.236736551 69.4466368450004,-54.2656275509999 69.4103268440005,-54.2694455509999 69.3960998440004,-54.2644545509997 69.3888818440006,-54.2184725499999 69.3603998440005,-54.1597185499998 69.3376268440004,-54.1263905499999 69.3302728440005,-54.0805545499998 69.3233178440004,-53.9986095499999 69.3185998440005,-53.9344365499999 69.3174908440004,-53.90166355 69.3119178440004,-53.8732635499998 69.2936638440005,-53.8479185499997 69.2628368440004,-53.57847255 69.2297088440005,-53.5540275499998 69.2324818440004,-53.4119455499999 69.2658268440005,-53.1352725489998 69.3166638440005,-52.9466635489999 69.3416638440005,-52.9158365489998 69.3449818440006,-52.873054549 69.3488728440004,-52.7991725489998 69.3521998440004,-52.7530635489998 69.3585998440004,-52.6447185489999 69.3796998440004,-52.6127815489999 69.3874998440004,-52.552781549 69.4027728440004,-52.515836549 69.4060998440004,-52.2799995489999 69.4435908450004,-52.2541725489997 69.4483178450004,-52.181390549 69.4688728450004),(-51.2174995479998 69.8338818450005,-51.1974905479999 69.8333268450004,-51.1819455479997 69.8363818450004,-51.1622185479999 69.8469368450005,-51.1530545479999 69.8527638450005,-51.1422275479998 69.8574818450005,-51.1177725479999 69.8655368450004,-51.0783365479998 69.8749818450005,-51.0494455479999 69.8799728450005,-51.027499548 69.8827548450004,-51.0115995479998 69.8781088450004,-51.0247185479998 69.8699818450005,-51.0791725479999 69.8477638450005,-51.1355635479998 69.8252728450005,-51.1574995479999 69.8183268450005,-51.1799995479999 69.8099818450004,-51.2227725479999 69.7938728450004,-51.2548365479997 69.7793548450005,-51.3466725479997 69.7362268450004,-51.3755545479998 69.7174818450004,-51.3866635479999 69.7020638450005,-51.378054548 69.6935908450006,-51.3619455479998 69.6902638450005,-51.3447185479999 69.6885818450004,-51.3344455479998 69.6852548450004,-51.249581548 69.5422088450004,-51.245281548 69.5313818450004,-51.2111095479997 69.5191458450005,-51.1708365479999 69.5088818450005,-51.1355635479998 69.5044368450005,-51.1219365479999 69.5044368450005,-51.1094455479999 69.5055548450005,-50.968054547 69.5469368450005,-50.9583365469999 69.5505368450005,-50.9480545469999 69.5598458450004,-50.9494365469999 69.5699908450005,-50.9647185469998 69.5933178450004,-50.9791635469998 69.6108088450004,-50.9869455469999 69.6337368450005,-50.9652815469998 69.7244268450004,-50.9575095469999 69.7316548450005,-50.9483365469999 69.7371998450005,-50.8897275469998 69.7674908450005,-50.8758275469997 69.7708268450005,-50.8533365469997 69.7623548450005,-50.8405545469999 69.7580458450004,-50.807499547 69.7599908450004,-50.796672547 69.7613818450004,-50.7027815469999 69.7994268450004,-50.6936095469999 69.8052548450005,-50.6576365469999 69.8334638450004,-50.6612455469999 69.8520638450005,-50.6702815469998 69.8605368450004,-50.7797275469998 69.8852728450004,-50.8797185469998 69.8910998450004,-50.8999905469999 69.8910998450004,-50.9233365469998 69.8927638450004,-50.9397185469999 69.8958268450004,-50.966109547 69.9030458450005,-51.002499547 69.9180458450004,-51.0019455469998 69.9185908450004,-51.0088995479999 69.9210998450005,-51.0197185479998 69.9230368450005,-51.059436548 69.9244268450004,-51.154445548 69.9208178450004,-51.1919365479998 69.9188728450005,-51.207218548 69.9163818450004,-51.2211095479999 69.9130368450004,-51.362781548 69.8519268450004,-51.3508365479998 69.8477638450005,-51.2347275479999 69.8355368450005,-51.2174995479998 69.8338818450005),(-54.9708365509999 70.4808178450004,-55.0130635509998 70.4844178450005,-55.027781551 70.4830458450005,-55.019863551 70.4419268450004,-55.0066725509998 70.4210998450004,-54.9927725509999 70.4024818450004,-54.9780545509998 70.3916638450004,-54.9586095509997 70.3833268450004,-54.9347185509998 70.3755368450005,-54.9216725509999 70.3722088450004,-54.9019365509999 70.3699818450004,-54.8555635509998 70.3683178450004,-54.6613815509999 70.3724818450005,-54.6484725509999 70.3764998450004,-54.6530545509998 70.3894368450004,-54.6616635509999 70.3994268450004,-54.674718551 70.4080368450005,-54.7372185509999 70.4335908450004,-54.8555635509998 70.4644268450004,-54.8688905509998 70.4672088450004,-54.901663551 70.4733088450005,-54.9344365509998 70.4785908450005,-54.9708365509999 70.4808178450004),(-51.5402815479998 70.6483268460004,-51.5238905479999 70.6472178460004,-51.5127815479999 70.6538728460004,-51.506954548 70.6677548460004,-51.522499548 70.6755368460004,-51.5480545479999 70.6860998460004,-51.5961095479997 70.7010998460004,-51.6241725479997 70.7097178460004,-51.676390548 70.7241548460005,-51.6924995479999 70.7277638460005,-51.7786095479998 70.7410908460004,-51.8197275479999 70.7430458460004,-51.8538905479999 70.7363728460005,-51.8616725479998 70.7222178460005,-51.841663548 70.7144268460005,-51.6944455479997 70.6777638460005,-51.5402815479998 70.6483268460004),(-51.3199995479999 70.4974818450004,-51.2774995479998 70.4958178450004,-51.2463905479999 70.4958178450004,-51.3513905479999 70.5280458460005,-51.4688905479999 70.5608088460004,-51.5327725479999 70.5744368460005,-51.5675095479999 70.5791638460004,-51.5916635479999 70.5805548460005,-51.6169455479999 70.5808268460004,-51.630281548 70.5788728460004,-51.6422275479999 70.5760998460005,-51.6533275479997 70.5710998460005,-51.662563548 70.5607458460004,-51.6319455479998 70.5488728460005,-51.6169455479999 70.5452548460004,-51.3808275479999 70.5047178460005,-51.3199995479999 70.4974818450004),(-51.605836548 70.8438728460005,-51.5658365479999 70.8646998460005,-51.5584725479999 70.8733088460005,-51.5722275479998 70.8805368460004,-51.5863905479998 70.8841548460005,-51.7252725479999 70.9146998460004,-51.8644455479997 70.9463638460005,-51.8952815479999 70.9535998460004,-51.9749995479999 70.9738728460004,-51.9999995479999 70.9780458460005,-52.0230545479999 70.9791548460004,-52.0422275479998 70.9780458460005,-52.0591635479999 70.9760908460004,-52.0741725479999 70.9727638460005,-52.0977815489999 70.9660908460004,-52.1219365489999 70.9583268460004,-52.1355545489999 70.9484548460005,-52.155272549 70.9160908460004,-52.1608275489999 70.9002728460004,-52.1622185489999 70.8866548460004,-52.1544455489998 70.8774728460004,-52.144445549 70.8727548460005,-52.1344455489998 70.8691368460005,-52.1199995489999 70.8655368460005,-52.0994455489999 70.8633088460005,-52.0763905489999 70.8624908460005,-51.9716635479998 70.8641548460005,-51.9488815479999 70.8624908460005,-51.8127725479999 70.8458268460005,-51.6508365479999 70.8349908460005,-51.6341725479999 70.8361088460005,-51.619163548 70.8391548460004,-51.605836548 70.8438728460005),(-53.4527815499998 71.0494268460004,-53.4261095499999 71.0666638460004,-53.41166355 71.0799908460004,-53.3771545499999 71.1145638460004,-53.3819455499997 71.1352728460004,-53.39555455 71.1530458460005,-53.4113815499998 71.1697088460004,-53.41916355 71.1763728460004,-53.4536095499998 71.2041638460005,-53.4680545499998 71.2152728460004,-53.4911095499999 71.2302728460005,-53.5183365499998 71.2466458460004,-53.5469545499998 71.2685998460004,-53.5613905499999 71.2797088460005,-53.5841635499999 71.3008088460005,-53.58555455 71.3030368460005,-53.5980545499999 71.3133088460004,-53.6138905499999 71.3166548460005,-53.6361185499998 71.3149908460005,-53.6569455499997 71.3069268460004,-53.8255635499999 71.2269268460004,-53.9472185499999 71.1674818460005,-53.9733275499999 71.1513818460004,-53.9906995499999 71.1278908460005,-53.97971855 71.1084638460005,-53.95639055 71.0960998460005,-53.9166635499998 71.0838818460005,-53.87471855 71.0722178460005,-53.7161095499999 71.0313728460005,-53.6849995499999 71.0244268460004,-53.6683365499999 71.0236088460005,-53.6491725499999 71.0241548460005,-53.55110955 71.0297088460005,-53.5177725499999 71.0324818460005,-53.5019455499999 71.0352638460004,-53.47305455 71.0422088460004,-53.4527815499998 71.0494268460004),(-52.9636095489998 71.1497088460004,-52.9358275489998 71.1472178460004,-52.639863549 71.1717178460005,-52.6391635489997 71.1883088460005,-52.6380545489999 71.2058178460004,-52.6202815489998 71.2219268460004,-52.6027815489999 71.2313728460004,-52.5922275489999 71.2349818460004,-52.4899995489999 71.2588818460005,-52.453609549 71.2624998460005,-52.4119455489998 71.2638818460005,-52.3938905489998 71.2655458460005,-52.3608365489999 71.2708268460004,-52.3477815489998 71.2749908460004,-52.3362545489999 71.2811088460005,-52.3283365489999 71.2898458460004,-52.3977815489999 71.3485908460005,-52.4183365489998 71.3527638460005,-52.4316725489999 71.3519268460005,-52.4622185489999 71.3474908460005,-52.5222275489998 71.3441458460005,-52.5713905489999 71.3460998460005,-52.6555545489999 71.3552548460005,-52.673054549 71.3588728460004,-52.730281549 71.3660908460004,-52.904163549 71.3830458460005,-52.9269455489998 71.3849908460004,-52.965972549 71.3848458460005,-53.0011095489999 71.3794268460005,-53.074718549 71.3658178460005,-53.1305545489999 71.3527638460005,-53.1541635499999 71.3440088460005,-53.1547185499999 71.3427548460004,-53.1694455499999 71.3352638460004,-53.1834635499999 71.3209548460005,-53.1511095499999 71.2523458460004,-53.1158365489997 71.2060998460004,-53.1008365489998 71.1969268460005,-53.0774995489999 71.1874818460004,-52.9636095489998 71.1497088460004),(-52.875554549 71.6099818470004,-52.833609549 71.6197088470005,-52.7994455489999 71.6347178470004,-52.7574995489999 71.6576268470004,-52.7730545489998 71.6619268470004,-52.8263905489999 71.6560998470006,-52.8669455489999 71.6538728470005,-52.8891635489999 71.6535908470004,-53.133609549 71.6619268470004,-53.2488905499999 71.6688728470004,-53.2858365499999 71.6699818470004,-53.34778155 71.6699818470004,-53.3919455499999 71.6694368470004,-53.4329185499998 71.6663728470004,-53.4717365499997 71.6570638470005,-53.46639055 71.6035908470005,-53.4502815499998 71.5648458460005,-53.4352725499999 71.5524728460005,-53.4055545499999 71.5455368460005,-53.2413905499999 71.5274818460005,-53.2180545499999 71.5263818460004,-53.1761095499999 71.5277728460005,-53.128609549 71.5352638460005,-53.1138905489999 71.5385908460004,-53.0998635489999 71.5474088460005,-52.948609549 71.5955368470005,-52.875554549 71.6099818470004),(-55.4133275519998 71.8869368470005,-55.4181905519999 71.8985998470004,-55.4802815519999 71.9169268470005,-55.5208365519999 71.9280368470005,-55.5483365519999 71.9310908470004,-55.566390552 71.9302638470004,-55.6877725519999 71.9130368470005,-55.7230545519999 71.9072088470004,-55.7561095519997 71.9013818470004,-55.8011095519998 71.8860268470004,-55.7963905519999 71.8738728470005,-55.732772552 71.8399818470005,-55.7113905519999 71.8319368470005,-55.6869455519998 71.8255458470005,-55.6683365519998 71.8227728470004,-55.6036185519999 71.8177638470004,-55.5591635519999 71.8191548470005,-55.5408365519997 71.8213818470004,-55.5263905519999 71.8241548470005,-55.5158365519997 71.8294368470004,-55.4449995519999 71.8669268470005,-55.4255635519999 71.8777638470004,-55.4133275519998 71.8869368470005),(-55.031109551 72.2937368470004,-55.0094455509999 72.3633088470005,-55.015281551 72.3771998470004,-55.031945551 72.3821998470006,-55.0494455509998 72.3841548470004,-55.084163551 72.3819268470005,-55.0988815509999 72.3796998470004,-55.1388905509998 72.3699818470005,-55.306663552 72.3236088470005,-55.4372185519998 72.2894268470005,-55.5233275519998 72.2702638470005,-55.6502725519998 72.2255368470004,-55.684999552 72.2065178470004,-55.6887455519999 72.1958178470005,-55.6786095519999 72.1824818470005,-55.6669455519997 72.1780368470004,-55.5063905519997 72.1430548470004,-55.4866635519999 72.1416638470004,-55.3741725519999 72.1597178470005,-55.3447185519999 72.1669268470005,-55.3105545519999 72.1802638470005,-55.2802815509999 72.1949728470004,-55.2441635509999 72.2185998470004,-55.2276365509999 72.2356818470005,-55.2161095509998 72.2452548470005,-55.2049995509998 72.2502728470005,-55.192499551 72.2541638470004,-55.1213815509999 72.2744268470005,-55.031109551 72.2937368470004),(-55.0330545509999 72.5883178470004,-55.0766635509998 72.5891548470005,-55.1847185509998 72.5833268470004,-55.233054551 72.5772088470005,-55.2505545509998 72.5738818470005,-55.3652815519999 72.5508088470005,-55.380554552 72.5434548470004,-55.3672185519999 72.5391548470005,-55.3449995519999 72.5369268470005,-55.2133365509999 72.5269268470005,-55.1863905509999 72.5255458470004,-55.0797275509998 72.5230368470005,-55.0606995509997 72.5272178470004,-55.0324995509999 72.5780458470005,-55.0330545509999 72.5883178470004),(-55.4794365519999 72.5711088470004,-55.3713815519999 72.6260818470005,-55.2855635509999 72.6810908480005,-55.269718551 72.6924728480005,-55.2452815509997 72.7019368480005,-55.2322185509999 72.7055548480005,-55.2147185509997 72.7091548480005,-55.1569455509999 72.7138818480005,-55.139727551 72.7169368480004,-55.0980545509997 72.7309548480005,-54.9647905509999 72.8081088480004,-54.9744455509997 72.8158088480005,-54.9894365509999 72.8191548480004,-55.0613905509998 72.8319368480006,-55.1519365509998 72.8455368480005,-55.1724995509999 72.8460998480005,-55.1974725509999 72.8453178480005,-55.2284725509999 72.8201268480004,-55.4013905519997 72.7919268480005,-55.604999552 72.7572178480005,-55.617363552 72.7524908480004,-55.6097185519999 72.7349818480005,-55.5994455519999 72.7219268480005,-55.6036185519999 72.7072178480005,-55.6230545519998 72.6952548480004,-55.642227552 72.6866458480004,-55.6815545519999 72.6746728480005,-55.7088905519999 72.6688728480004,-55.8117995519999 72.6559638480004,-55.8237545519997 72.6484638480005,-55.848472552 72.6141548470005,-55.8355545519998 72.6110998470004,-55.7369455519998 72.6099818470005,-55.713618552 72.6105368470004,-55.696663552 72.6133088470004,-55.685554552 72.6185908470005,-55.669218552 72.6239178470004,-55.6247185519999 72.6269178470004,-55.4997275519997 72.6160908470004,-55.4847905519999 72.6092908470005,-55.5052815519999 72.6002638470004,-55.5205545519999 72.5974908470005,-55.5413905519999 72.5960998470005,-55.583545552 72.5849178470004,-55.5669455519999 72.5644178470005,-55.5502815519997 72.5535908470005,-55.5327725519998 72.5516548470005,-55.5199995519998 72.5546998470004,-55.4794365519999 72.5711088470004),(-55.9619455519999 72.6727638480004,-55.9361095519998 72.6877638480004,-55.841109552 72.7005458480005,-55.7869455519999 72.6838728480005,-55.7716635519998 72.6813638480004,-55.7197185519999 72.7035998480004,-55.7073635519999 72.7119368480004,-55.6566635519999 72.7685998480005,-55.6433995519998 72.7737998480005,-55.6630545519999 72.7833268480004,-55.7530635519998 72.7785908480006,-55.8933365519998 72.7636088480005,-55.9744455519999 72.7438638480005,-56.070554552 72.7208268480005,-56.102499552 72.7147088480005,-56.1411095519997 72.7105368480005,-56.1644455519999 72.7097178480005,-56.2133365519999 72.7097088480005,-56.2254095519999 72.7042908480006,-56.1823635519999 72.6635998480005,-56.1702815519999 72.6583268480005,-56.0616725519999 72.6508178480004,-56.0366635519999 72.6502728480004,-55.9619455519999 72.6727638480004),(-55.3686095519998 72.8410908480005,-55.3570095519998 72.8499178480004,-55.3744455519999 72.8619268480005,-55.514454552 72.8885998480005,-55.5372275519999 72.8894368480005,-55.5591635519999 72.8880458480005,-55.5863905519998 72.8902728480004,-55.6072905519998 72.8841458480004,-55.5656995519999 72.8324908480005,-55.5541725519998 72.8258178480005,-55.5366635519999 72.8224908480004,-55.513618552 72.8219268480004,-55.4686095519999 72.8238818480004,-55.4013905519997 72.8347178480004,-55.3841725519998 72.8374908480005,-55.3686095519998 72.8410908480005),(-55.0322185509999 72.6952548480004,-54.857509551 72.6916548480004,-54.8325095509998 72.6955268480004,-54.806945551 72.7072088480004,-54.8011095509999 72.7181818480004,-54.8061095509999 72.7319368480004,-54.8224995509999 72.7427548480004,-54.8466635509999 72.7519368480005,-54.8724995509999 72.7569458480004,-54.9466635509997 72.7630458480004,-54.967218551 72.7647088480004,-54.981381551 72.7636088480005,-55.0599995509999 72.7216548480006,-55.0501365509998 72.7023458480004,-55.0322185509999 72.6952548480004),(-55.2131905509998 72.6712368480004,-55.258054551 72.5965088470004,-55.1319455509998 72.6008178470004,-55.1080545509999 72.6027638470005,-55.0750095509998 72.6105368470004,-55.061672551 72.6146998470005,-55.0511095509999 72.6185908470005,-54.9524995509999 72.6572088480004,-54.9490275509999 72.6747088480004,-55.0011095509998 72.6858088480005,-55.034445551 72.6896998480005,-55.082509551 72.6908088480004,-55.1213815509999 72.6866458480004,-55.196663551 72.6774728480005,-55.2131905509998 72.6712368480004),(-55.2369455509998 73.0049908480004,-55.5050095519999 73.0447088480004,-55.5186095519999 73.0458178480005,-55.5552725519998 73.0430458480005,-55.570554552 73.0399818480005,-55.5991635519998 73.0327638480005,-55.637781552 73.0180548480004,-55.6738905519998 73.0033268480004,-55.6845095519998 72.9917818480005,-55.6269455519998 72.9708268480004,-55.5191635519998 72.9508178480004,-55.5011095519998 72.9488638480004,-55.4816635519999 72.9502728480005,-55.4077725519999 72.9597178480005,-55.3877815519999 72.9624908480004,-55.3230635519998 72.9355268480005,-55.3058275519998 72.9183178480004,-55.219990551 72.9222088480005,-55.1983365509998 72.9235998480004,-55.1519365509998 72.9283178480005,-55.1341725509999 72.9310908480005,-55.0736095509999 72.9535998480005,-55.0755635509997 72.9655458480004,-55.0877725509999 72.9708268480004,-55.1349995509997 72.9822088480005,-55.1933275509998 72.9958178480005,-55.2369455509998 73.0049908480004),(-56.097781552 73.0863818480004,-55.9760365519999 73.1243548480005,-55.979336552 73.1454548480004,-55.9483365519998 73.1735908480005,-55.8955545519999 73.1984458480004,-55.8438905519999 73.2055548480004,-55.8199995519998 73.2131908480004,-55.8149995519998 73.2230368480004,-55.8444455519999 73.2502728480005,-55.861672552 73.2591638480005,-55.8909725519999 73.2610998480005,-55.9311185519999 73.2558268480004,-55.957509552 73.2488728480004,-56.0063905519999 73.2324818480005,-56.0172185519999 73.2285908480004,-56.060554552 73.1967818480006,-56.0536095519998 73.1858088480005,-56.026945552 73.1808178480004,-56.026445552 73.1642368480004,-56.0392815519999 73.1356548480005,-56.0536095519998 73.1174818480004,-56.0677815519998 73.1110998480004,-56.095836552 73.0988728480004,-56.1172185519999 73.0919368480004,-56.1322185519999 73.0819368480005,-56.097781552 73.0863818480004),(-55.6280545519999 73.2988728480005,-55.6386095519998 73.3466458480005,-55.6501365519999 73.3541458480004,-55.6677815519999 73.3588728480005,-55.7177725519999 73.3602638480005,-55.7561095519997 73.3608088480005,-55.7852815519999 73.3602638480005,-55.7983365519999 73.3572088480005,-55.8695815519999 73.3301268480004,-55.8070815519998 73.2806818480005,-55.7633365519999 73.2760908480005,-55.7469455519998 73.2749908480005,-55.6863905519999 73.2827638480004,-55.6686095519999 73.2858088480005,-55.6372185519999 73.2930458480005,-55.6280545519999 73.2988728480005),(-55.912499552 73.3138728480005,-55.8340275519998 73.3712908480006,-55.8469455519999 73.3821998480004,-55.906945552 73.3894368480004,-55.964718552 73.4035908480005,-55.972636552 73.4078998480006,-55.9880545519999 73.4116548480005,-56.0177725519999 73.4099908480005,-56.0927725519999 73.3746908480005,-56.1524995519999 73.3069268480004,-56.146809552 73.2958178480005,-56.1249995519997 73.2896998480006,-56.1105545519999 73.2891548480004,-55.953890552 73.2991458480005,-55.9355545519999 73.3033178480004,-55.912499552 73.3138728480005),(-55.6263905519999 73.3788638480004,-55.602781552 73.3780368480004,-55.5897185519999 73.3810908480005,-55.4733275519999 73.4288728480005,-55.489999552 73.4451178480005,-55.5236095519998 73.4583268480004,-55.5341725519997 73.4621998480004,-55.6044455519998 73.4808178480004,-55.7118365519999 73.5038178480004,-55.7483365519999 73.5074908480004,-55.8413815519999 73.5224908480005,-55.8758275519999 73.5283178480004,-55.9030455519999 73.5367908480005,-55.9430545519998 73.5702638480005,-56.0361185519997 73.5758178480004,-56.0505545519998 73.5760998480004,-56.1048635519998 73.5635908480005,-56.1158365519997 73.5566368480005,-55.8304455519998 73.4846548480004,-55.6863905519999 73.4758178480004,-55.7127725519999 73.4119268480005,-55.7433275519999 73.4048458480004,-55.7523185519998 73.3959728480004,-55.7436185519999 73.3880458480004,-55.7283365519999 73.3838818480005,-55.6263905519999 73.3788638480004),(-55.8416635519999 73.4749908480004,-55.9638905519998 73.4791548480005,-56.0091725519999 73.4749908480004,-56.0249995519999 73.4713728480005,-56.0386095519999 73.4669368480005,-56.0477815519999 73.4611088480004,-56.0540275519999 73.4509548480004,-56.0344455519999 73.4441368480005,-55.8269545519998 73.4172088480004,-55.806663552 73.4194368480005,-55.7952815519999 73.4246998480004,-55.784172552 73.4347088480004,-55.8115275519998 73.4713728480005,-55.8416635519999 73.4749908480004),(-56.3274995519999 73.5563638480004,-56.190418552 73.6258088480004,-56.1988815519999 73.6327548480004,-56.2380545519999 73.6469458480004,-56.3155545519999 73.6558178480005,-56.3299995519999 73.6560998480004,-56.5141635529998 73.6033178480004,-56.5408365529999 73.5888818480004,-56.5569455529999 73.5542818480005,-56.4702725529999 73.5444368480004,-56.4299995529998 73.5419268480006,-56.4102815529999 73.5419268480006,-56.3544455519999 73.5488728480004,-56.3413815519999 73.5519268480005,-56.3274995519999 73.5563638480004),(-56.5841635529999 73.6271998480004,-56.363890552 73.6646998480004,-56.3441635519999 73.6724818480005,-56.3420815519999 73.6823458480004,-56.357509552 73.6913638480005,-56.3891635529999 73.6991458480005,-56.407499553 73.7024818480004,-56.4313905529999 73.7044368480004,-56.4433275529998 73.7052638480004,-56.4586095529999 73.7044368480004,-56.489999553 73.6833178480004,-56.512781553 73.6810908480005,-56.6786095529999 73.6674818480005,-56.6986095529999 73.6666548480005,-56.7177725529998 73.6685908480005,-56.7733275529998 73.6780368480004,-56.7972275529999 73.6799818480004,-56.8263905529998 73.6808178480005,-56.8461095529998 73.6799818480004,-56.8786095529996 73.6780368480004,-56.9001365529999 73.6758178480005,-56.9358275529999 73.6677548480005,-56.9638905529998 73.6597088480004,-56.8561095529997 73.6130368480004,-56.8333275529997 73.6113728480004,-56.6399995529999 73.6216458480006,-56.5841635529999 73.6271998480004),(-55.433063552 73.4052548480005,-55.5915275519999 73.3474818480004,-55.5666725519999 73.3180458480004,-55.549727552 73.3149908480004,-55.5316725519997 73.3180548480004,-55.5161095519999 73.3216548480004,-55.3922275519997 73.3616458480005,-55.368890552 73.3719178480006,-55.329445552 73.3922088480005,-55.3472185519999 73.4146998480005,-55.3601455519998 73.4187268480004,-55.3752725519998 73.4169268480005,-55.433063552 73.4052548480005),(-56.2205545519998 73.8019268490004,-56.2111095519998 73.8072088490005,-56.1972185519999 73.8124818490004,-56.1722275519999 73.8199908490005,-56.1536095519999 73.8236088490004,-56.1333275519999 73.8249998490004,-56.1138905519999 73.8238818490004,-56.097781552 73.8213818490004,-56.065554552 73.8135998490004,-56.028609552 73.8069268490004,-56.0019455519999 73.8055458490005,-55.9838905519999 73.8077548490005,-55.967218552 73.8121908490006,-55.9556995519999 73.8204088490005,-55.955554552 73.8312458490005,-55.9656905519997 73.8434638490004,-55.9922275519997 73.8521998490005,-56.0272185519999 73.8580368490004,-56.1422275519998 73.8755368490005,-56.1638905519998 73.8783088490005,-56.2427725519998 73.8796998490005,-56.423618553 73.8874998490005,-56.484999553 73.8966548490004,-56.617772553 73.9158178490006,-56.6599995529999 73.9155458490004,-56.6863905529999 73.9105368490004,-56.700281553 73.9060998490004,-56.7597275529998 73.8836088490004,-56.7755545529998 73.8728908490004,-56.6791725529998 73.8263818490004,-56.652218553 73.8180548490004,-56.6272185529999 73.8113728490005,-56.6055635529999 73.8102548490004,-56.5402815529998 73.8202638490004,-56.4991725529998 73.8247088490005,-56.4133275529998 73.8305548490005,-56.345554552 73.8335998490006,-56.3280545519998 73.8338818490004,-56.3168095519999 73.8308268490004,-56.3308365519998 73.8188818490004,-56.354718552 73.7994268490005,-56.358336552 73.7891548490004,-56.3449995519999 73.7847178490005,-56.3233365519999 73.7833268490004,-56.273327552 73.7849908490005,-56.2550095519998 73.7877638490004,-56.2411095519998 73.7922088490005,-56.2205545519998 73.8019268490004),(-57.2258275529999 74.4771998490004,-56.9466635529999 74.4819368490005,-56.8972275529996 74.4835998490004,-56.6955455529998 74.4863728490005,-56.6508365529999 74.4810908490005,-56.6280545529999 74.4799818490004,-56.6124995529999 74.4802728490005,-56.4786095529999 74.4955268490005,-56.4645815529999 74.5024908490005,-56.5308275529997 74.5305458490004,-56.5474995529999 74.5344268490006,-56.7047185529997 74.5588728490005,-56.7302815529998 74.5594178490005,-56.7516725529999 74.5572088490005,-56.7947275529997 74.5444368490005,-56.8138905529999 74.5408178490005,-56.8566635529999 74.5363728490004,-57.227772553 74.5130458490004,-57.2538905529998 74.5122088490004,-57.3074995529998 74.5124998490005,-57.3463905529998 74.5127728490005,-57.3638905529999 74.5144368490005,-57.3819455529999 74.5141638490005,-57.4058275529998 74.5124998490005,-57.5391725539996 74.4960908490005,-57.5548635539997 74.4906728490005,-57.532772554 74.4822088490005,-57.4697185539998 74.4783178490004,-57.2258275529999 74.4771998490004),(-56.914445553 74.5574818490005,-56.895281553 74.5605268490004,-56.8786095529996 74.5644178490004,-56.8544455529997 74.5747088490005,-56.841518553 74.5884638490005,-56.8683275529999 74.6033178490005,-56.8830545529999 74.6063728490005,-56.9055545529999 74.6088728490005,-56.9386095529998 74.6105368490005,-56.9605545529998 74.6074818490006,-56.9938905529997 74.5999908490005,-57.0588905529997 74.5827638490005,-57.0705545529999 74.5791638490005,-57.0866635529998 74.5691548490005,-57.0951365529999 74.5585908490004,-57.080836553 74.5544268490005,-57.0294455529998 74.5533178490004,-56.9827725529999 74.5535908490004,-56.9358275529999 74.5552548490004,-56.914445553 74.5574818490005),(-65.0450932039997 76.0824726590004,-65.0561090909998 76.0861090910004,-65.0733574979998 76.0841343900004,-65.075563561 76.0838818510005,-65.0755636359998 76.0838818170005,-65.0756573399997 76.0838379820005,-65.0925095609999 76.0759548510005,-65.1132591069998 76.0632849500005,-65.1163908279999 76.0613727770004,-65.148618561 76.0524728510005,-65.1755257719999 76.0505189800004,-65.2019545449998 76.0486000000005,-65.2060078899997 76.0479520030004,-65.2211185609999 76.0455368510004,-65.2211176549998 76.0455364480005,-65.2211181819996 76.0455363640004,-65.2123557269997 76.0416426480005,-65.2086185609998 76.0399818510005,-65.1933275609999 76.0349908510004,-65.1241635609999 76.0185998510004,-65.1063815609996 76.0147088510005,-65.0972864839999 76.0141291440004,-65.0802909089999 76.0130454550004,-65.0494363639997 76.0138818180004,-65.027218182 76.0169363640005,-65.0198433619998 76.0197578110005,-65.014172561 76.0219268510004,-64.9562635599999 76.0519268510005,-64.9562639369998 76.0519271170005,-64.9562636359997 76.0519272730005,-64.9622427339999 76.0561467290004,-64.968063561 76.0602548510005,-64.9909461919999 76.0669613440006,-65.0136272729998 76.0736090910005,-65.0209144139997 76.0753996880005,-65.0316815609999 76.0780458510005,-65.0450932039997 76.0824726590004),(-69.8952909089999 76.4358181820005,-69.903013936 76.4407628030004,-69.9072185649999 76.4434548510004,-69.9619455649997 76.4563728510004,-69.9841635649998 76.4591548510004,-70.0050095649999 76.4591548510004,-70.0857072489998 76.4536769610004,-70.1441636359997 76.4497090910004,-70.1641727269996 76.4483181820004,-70.1870727269999 76.4372000000004,-70.1698636359997 76.4180363640004,-70.1545797019998 76.4131326730005,-70.1516725649998 76.4121998510005,-70.1119365649996 76.4049818530004,-70.1119363629999 76.4049818240005,-70.008345455 76.3938727270004,-69.9761090909997 76.3941454550005,-69.960478047 76.3960666520005,-69.9511095649999 76.3972178510004,-69.9440141459997 76.3993567450005,-69.9363909089999 76.4016545450004,-69.9327870769999 76.4041350800004,-69.9194455649996 76.4133178510005,-69.8952905649998 76.4358178510005,-69.8952909789998 76.4358181160005,-69.8952909089999 76.4358181820005),(-69.465690565 76.5759638510004,-69.5107563659997 76.5977220570005,-69.5183363639999 76.6013818180004,-69.5322272729999 76.6049818180005,-69.5379003069997 76.6060459960004,-69.5588815649999 76.6099818510004,-69.562607239 76.6099508330005,-69.5916727269998 76.6097090910004,-69.6046186539997 76.6084225150004,-69.6224995649998 76.6066458510005,-69.6297233089997 76.6053874290004,-69.6336181819996 76.6047090910004,-69.6672181819999 76.6010909090004,-69.7077818179999 76.5983272730005,-69.7638121619997 76.5970301370004,-69.8283365649999 76.5955368510005,-69.8780545649998 76.5938728510005,-69.9033696569999 76.5923487630005,-69.9472181819999 76.5897090910004,-69.9727818179997 76.5869272730005,-70.0255454549998 76.5763000000004,-70.0276855719999 76.5744661540004,-70.0358365649999 76.5674818510004,-70.0072365649996 76.5544268510005,-69.9741635649999 76.5485998510004,-69.9516725649999 76.5458178510004,-69.810541266 76.5331199610005,-69.7633363639997 76.5288727270005,-69.7436801279999 76.5286863840004,-69.7336095649997 76.5285908510004,-69.7273104569996 76.5287827770005,-69.669445455 76.5305454550005,-69.6216545449999 76.5352636360005,-69.6006431549998 76.5388388480004,-69.5808365649998 76.5422088510005,-69.532679301 76.5535925850005,-69.4938818179999 76.5627636360004,-69.4900449629999 76.5639030660005,-69.4788815649999 76.5672178510004,-69.4656909059997 76.5759636320005,-69.465690565 76.5759638510004),(-71.3488909089998 77.3627636360005,-71.3481999999998 77.3801909090005,-71.3752727269999 77.3902727270005,-71.4330636359998 77.3911000000004,-71.594163636 77.3936000000005,-71.7025 77.4188727270006,-71.9183363639999 77.4374818180004,-72.0469545449996 77.4424727270005,-72.2063909089999 77.4497090910004,-72.2355454549999 77.4541636360005,-72.2594454549999 77.4558272730005,-72.3488909089997 77.4552636360004,-72.5624999999997 77.4191454550004,-72.573618182 77.4113727270005,-72.5586090909999 77.3991545450004,-72.5444454549997 77.3933272730004,-72.5274999999999 77.3883181820005,-72.5083454549998 77.3844272730005,-72.4675 77.3774727270005,-72.3336181819997 77.3577545450004,-72.1302818179997 77.3180545450004,-72.1150090909996 77.3147000000004,-72.0974999999999 77.3124818180004,-72.0083454549997 77.3038636360005,-71.9422181819996 77.3044272730005,-71.7702818179996 77.3072090910005,-71.692490909 77.3127636360004,-71.5622090909998 77.3252727270004,-71.3741636359999 77.3541545450004,-71.3580454549999 77.3580363640005,-71.3488909089998 77.3627636360005),(-71.0755636359999 77.3713727270004,-71.0463909089998 77.3702545450004,-70.9799999999996 77.3705272730004,-70.9424909089998 77.3716454550004,-70.6366727269997 77.3788636360005,-70.3019363639999 77.3861090910004,-70.1366727269998 77.3905454550004,-70.0691727269999 77.3938727270004,-70.0563818179997 77.3991545450004,-70.0750090909999 77.4080363640004,-70.0936090909998 77.4124909090004,-70.1433363639997 77.4158181820005,-70.1752818179999 77.4160909090004,-70.2777909089997 77.4124909090004,-70.3061090909999 77.4122000000004,-70.3330727269999 77.4141545450004,-70.4283272729998 77.4236000000004,-70.5700090909999 77.4408090910005,-70.6127818179996 77.4469272730004,-70.6677727269998 77.4577636360004,-70.6894363639998 77.4611090910004,-70.706663636 77.4633181820005,-70.7269454549996 77.4647090910004,-70.8594363639998 77.4666636360005,-71.0916727269998 77.4652727270005,-71.2147181819997 77.4583272730005,-71.2385999999998 77.4561000000004,-71.2588999999997 77.4574909090005,-71.2952727269996 77.4517909090005,-71.1177636359999 77.3769181820005,-71.0961181819999 77.3733090910004,-71.0755636359999 77.3713727270004),(-66.2666636359997 77.5150000000004,-66.2927727269997 77.5172090910005,-66.3032039919999 77.5171192690004,-66.3244455619998 77.5169368520005,-66.7202725619996 77.5116548520004,-66.7242465279999 77.5100676270005,-66.7313818179999 77.5072181820005,-66.7313814509998 77.5072178970004,-66.7313815619999 77.5072178520005,-66.7298308749999 77.5060148070005,-66.7227818179998 77.5005454550004,-66.7141727269997 77.4952545450005,-66.6994363639997 77.4899727270005,-66.6802818179997 77.4888727270004,-66.6671106329999 77.4886819300005,-66.6608275619997 77.4885908520004,-66.6588851029999 77.4887269560005,-66.6330545449998 77.4905363640004,-66.4088909089999 77.4941363640004,-66.3267006169997 77.4901492770005,-66.2602815619998 77.4869268520004,-66.2327725619998 77.4894268520005,-66.1951275619999 77.5054088520005,-66.1951277699999 77.5054088800005,-66.1951272729996 77.5054090910004,-66.2666636359997 77.5150000000004),(-66.5324999999999 80.6185909090005,-66.7469454549997 80.6780363640004,-66.7655636359999 80.6810909090004,-66.8280636359998 80.6877636360004,-66.8611181819999 80.6861000000004,-66.884172727 80.6816545450005,-66.8950090909997 80.6731818180004,-66.8788727269999 80.6377727270004,-66.8622090909999 80.6297000000005,-66.8519454549997 80.6258090910005,-66.7891727269998 80.6102636360005,-66.7666636359999 80.6069363640005,-66.6824999999998 80.6066454550005,-66.5952727269999 80.6086000000005,-66.5463818179997 80.6122090910004,-66.5324999999999 80.6185909090005),(-52.4180635489999 82.0366548560005,-52.3088905489998 82.0197178560005,-52.2483365489999 82.0119368560005,-52.0769545489999 81.9933178560004,-51.9344365479998 81.9802728560005,-51.7430545479999 81.9708268560004,-51.6388905479999 81.9669368560004,-51.5755635479998 81.9660908560004,-51.4688905479999 81.9683178560005,-51.312218548 81.9738728560005,-51.270554548 81.9755368560005,-51.2413635479998 81.9825178560005,-51.2188905479999 81.9847088560004,-51.1949995479998 81.9913728560004,-51.204718548 81.9988728560004,-51.2227725479999 82.0041638560004,-51.2563905479999 82.0127728560005,-51.293890548 82.0219268560005,-51.355563548 82.0360998560004,-51.8227725479999 82.1333268560005,-51.8469455479998 82.1380458560005,-51.9063905479999 82.1469458560005,-51.9363905479999 82.1510908560005,-52.0086095479999 82.1583268560004,-52.095554549 82.1619268560004,-52.1502725489998 82.1624908560005,-52.2136185489999 82.1644268560004,-52.2777815489999 82.1702548560004,-52.3138905489997 82.1738728560004,-52.3708365489998 82.1810908560004,-52.431118549 82.1902638560005,-52.4802815489999 82.2002728560005,-52.4999995489999 82.2047088560004,-52.5150095489998 82.2091548560004,-52.542781549 82.2202638560005,-52.598754549 82.2611088560005,-52.5585365489999 82.2722088560005,-52.5941635489999 82.2841458560005,-52.7502815489999 82.3088728560004,-52.786390549 82.3130368570004,-52.818336549 82.3166638570005,-52.9036095489999 82.3230458570005,-53.0299995489999 82.3297088570006,-53.0769545489999 82.3294368570004,-53.1119455489999 82.3260998570004,-53.1422275489998 82.3216548570005,-53.1677815499999 82.3174908570004,-53.23778155 82.3010908560005,-53.2713815499999 82.2891548560004,-53.3144455499999 82.2736088560005,-53.3259725499999 82.2676268560004,-53.3513905499998 82.2399728560005,-53.3562545499999 82.2215178560005,-53.3449995499998 82.1991458560004,-53.3366635499999 82.1927458560004,-53.2280545499997 82.1210908560005,-53.2136185499999 82.1158178560004,-53.16444555 82.1058178560004,-53.0669455489999 82.0941458560005,-52.8494455489998 82.0736088560005,-52.6622185489999 82.0627638560004,-52.6158365489998 82.0597088560004,-52.579727549 82.0560908560005,-52.5441635489998 82.0524728560005,-52.4180635489999 82.0366548560005),(-52.0877725489999 82.2085998560005,-52.0077815479999 82.2074908560004,-51.8886095479999 82.2088818560005,-51.8316725479999 82.2097178560005,-51.8018725479999 82.2160368560005,-51.8836095479999 82.2530548560004,-51.940281548 82.2688728560004,-51.9955545479999 82.2777728560005,-52.0877725489999 82.2902638560005,-52.1361185489999 82.2927548560005,-52.1880455489999 82.2924818560005,-52.2672185489998 82.2824818560005,-52.293890549 82.2774818560005,-52.2772185489999 82.2330458560004,-52.263063549 82.2277638560005,-52.2441635489998 82.2224908560005,-52.2233275489998 82.2185998560004,-52.1919365489998 82.2152728560005,-52.1638905489999 82.2130458560005,-52.1361185489999 82.2111088560004,-52.0877725489999 82.2085998560005),(-48.7349995449998 82.5152728570004,-48.6988815449999 82.5113818570005,-48.5788905449999 82.4944268570005,-48.4666635449998 82.4763818570004,-48.4277815449999 82.4683178570004,-48.321672545 82.4383088570004,-48.3012545449998 82.4304088570005,-48.2944455449999 82.4180458570004,-48.2952815449999 82.4116548570004,-48.2933365449998 82.4038728570005,-48.2838905449998 82.3999908570004,-48.2386095449999 82.3958268570004,-48.2124995449999 82.3958268570004,-48.1774995449999 82.3974908570004,-48.1402815449999 82.4005458570004,-48.1244455449999 82.4035908570004,-48.0359725449997 82.4665178570006,-48.0477815449998 82.4746998570005,-48.1047185449998 82.4958178570005,-48.1180545449998 82.5005458570005,-48.1372185449998 82.5047178570005,-48.2875095449999 82.5283178570004,-48.3194545449999 82.5313728570005,-48.5491725449999 82.5474818570005,-48.5966635449999 82.5508088570004,-48.7580545449998 82.5572088570005,-48.7899995449999 82.5572088570005,-48.8216725449998 82.5546998570005,-48.855281546 82.5508088570004,-48.8636095459998 82.5412368570004,-48.8472185449999 82.5338728570005,-48.8247185449998 82.5283178570004,-48.7997275449998 82.5241548570004,-48.7349995449998 82.5152728570004),(-47.0063905439999 82.4022088570005,-46.9974995439999 82.3852728570005,-46.9816635439998 82.3796998570004,-46.941381544 82.3705268570005,-46.8861185439998 82.3608088570004,-46.5655545429999 82.3199908570004,-46.4974995429999 82.3119178570004,-46.4352725429999 82.3060908560005,-46.3102815429999 82.2924818560005,-46.1702815429998 82.2760908560004,-46.1366635429999 82.2719268560004,-45.9580545429997 82.2491458560004,-45.696109543 82.2163818560005,-45.6186095419997 82.2085998560005,-45.5522275419997 82.2002728560005,-45.4386095419999 82.1824818560004,-45.3855635419999 82.1733088560005,-45.3494455419999 82.1633178560005,-45.3316725419998 82.1544268560004,-45.322645542 82.1426268560004,-45.324590542 82.1320728560004,-45.311390542 82.1246908560004,-45.2833365419999 82.1138728560006,-45.2674995419998 82.1088728560004,-45.128054542 82.0677638560004,-45.1113905419998 82.0635998560005,-45.0766635419998 82.0558178560005,-45.0399995419999 82.0535908560004,-44.8577815419998 82.0688818560005,-44.7755545419997 82.0783268560004,-44.7533365419999 82.0835998560004,-44.7374995419999 82.0933178560005,-44.7586095419999 82.1074818560004,-44.8461095419997 82.1408268560005,-44.8613905419999 82.1458268560005,-44.9344365419998 82.1672088560004,-45.023054542 82.1935908560005,-45.057499542 82.2041638560004,-45.0663905419997 82.2134638560004,-45.0502815419998 82.2244268560005,-44.9505545419999 82.2602728560004,-44.929727542 82.2672088560005,-44.8650095419998 82.2844268560005,-44.7702815419998 82.2985998560005,-44.6383365419999 82.3144178570005,-44.5011095409998 82.3374908570005,-44.4619455409999 82.3449818570004,-44.440554541 82.3521998570006,-44.4286095409998 82.3572088570004,-44.4186095409999 82.3696998570005,-44.4238905409998 82.3849908570005,-44.438890541 82.3969458570004,-44.4611095409999 82.4013818570004,-44.4930545409999 82.4060998570005,-44.5597185409997 82.4146998570005,-44.722772542 82.4424728570004,-44.7608365419998 82.4516638570005,-44.8291725419999 82.4703998570006,-44.853336542 82.4824818570005,-44.9144455419998 82.4960908570005,-44.9627725419998 82.5058268570004,-45.1680635419999 82.5355368570006,-45.3208365419999 82.5477638570004,-45.7505545429999 82.6110998570004,-45.8374995429999 82.6241458570004,-45.9324995429998 82.6361088570004,-46.0030635429998 82.6444368570004,-46.073618543 82.6524818570005,-46.1105545429998 82.6558178570004,-46.157499543 82.6597178570004,-46.2494455429999 82.6655458570004,-46.3627815429998 82.6697088570005,-46.615554543 82.6755368570004,-46.6749995429998 82.6760908570004,-46.7686095439998 82.6735998570006,-46.8361095439999 82.6702548570004,-46.8505635439999 82.6587818570005,-46.8558365439998 82.6391638570006,-47.0663905439999 82.6491548570005,-47.118054544 82.6508178570004,-47.1669455439999 82.6510908570005,-47.5591635439998 82.6441458570005,-47.6802815439999 82.6380458570005,-47.7461095439999 82.6280368570004,-47.5166635439999 82.5899818570005,-47.3833275439997 82.5416548570005,-47.366945544 82.5360998570004,-47.3455545439999 82.5305458570004,-47.2772185439999 82.5155458570005,-47.2308275439999 82.5091548570005,-47.1791725439999 82.5024908570005,-47.1305545439998 82.4860998570005,-47.042499544 82.4435908570005,-47.0327725439997 82.4377638570005,-47.0111095439999 82.4162368570005,-47.0063905439999 82.4022088570005),(-47.6552725439998 82.7780458570005,-47.568609544 82.7824818570005,-47.5411185439998 82.7849908570004,-47.4738815439999 82.7935908570004,-47.4463905439999 82.8017908570005,-47.4630545439999 82.8211088570005,-47.5594365439999 82.8319368570004,-47.634999544 82.8391548570004,-47.7024995439999 82.8477638570004,-47.7280545439999 82.8519268570004,-47.7747185439998 82.8624908570005,-47.8494455449999 82.8702548570004,-48.1405545449999 82.8888818570005,-48.1980545449999 82.8910998570005,-48.2580545449999 82.8922088570004,-48.3019365449998 82.8899818570005,-48.337499545 82.8863818570004,-48.3688905449998 82.8816548570004,-48.392227545 82.8752638570004,-48.4044455449999 82.8685908570004,-48.413054545 82.8610998570004,-48.415554545 82.8480368570005,-48.411254545 82.8188818570005,-48.3930545449999 82.8033178570005,-48.3458365449998 82.7927548570005,-48.303054545 82.7860998570005,-48.2911185449998 82.7835998570005,-48.215554545 82.7791638570004,-48.1711095449998 82.7791638570004,-48.0766635449999 82.7819368570005,-48.0269455449999 82.7819368570005,-47.9666635449998 82.7813728570004,-47.9033275449999 82.7794368570005,-47.790281545 82.7774818570005,-47.6552725439998 82.7780458570005),(-46.6330545429998 82.8310998570004,-46.5327725429997 82.8305548570005,-46.443881543 82.8324908570004,-46.4108275429999 82.8358178570004,-46.4283365429999 82.8397088570005,-46.5691725429999 82.8555458570004,-46.680281543 82.8697088570004,-46.7563905439999 82.8899818570005,-46.8186095439999 82.9060998570005,-46.8686095439999 82.9146998570004,-46.901936544 82.9177548570004,-47.0336185439999 82.9255368570005,-47.188609544 82.9333178570004,-47.220836544 82.9341458570004,-47.2548635439999 82.9281728570005,-47.1883275439998 82.9113728570005,-47.1261095439999 82.9033178570005,-46.9888905439998 82.8791548570005,-46.8647275439999 82.8547088570004,-46.7999995439999 82.8399818570005,-46.7569545439999 82.8363818570005,-46.7266635439999 82.8347178570005,-46.6749995429998 82.8322178570004,-46.6330545429998 82.8310998570004),(-42.381945539 83.2452548570004,-42.148890539 83.2413638570005,-42.097781539 83.2421998570005,-41.9799995389999 83.2488728570005,-41.9599995389998 83.2534638570004,-42.0474995389998 83.2630458570004,-42.0980545389997 83.2666638570004,-42.1638905389999 83.2694368570005,-42.3502815389998 83.2749908570004,-42.3797185389997 83.2730368570005,-42.4097185389999 83.2672088570004,-42.4180635399999 83.2538728570005,-42.4163905399999 83.2524908570005,-42.4074995389997 83.2469368570005,-42.381945539 83.2452548570004),(-40.4694455379999 83.2552638570004,-40.2544455369999 83.2527728570004,-40.1997185369999 83.2527728570004,-40.1516635369998 83.2541638570004,-40.1119455369999 83.2566548570005,-40.0841635369999 83.2574908570005,-40.0519365369998 83.2560998570005,-40.0172185369999 83.2516638570005,-39.9247185369998 83.2327548570004,-39.8863905369998 83.2127728570005,-39.8258365369999 83.1938638570004,-39.5830635369999 83.1560998570004,-39.4930545369999 83.1480368570005,-39.212499537 83.1330458570005,-39.100836536 83.1299728570004,-39.0577815359999 83.1263728570005,-38.9483365359999 83.1135998570004,-38.9366635359999 83.1113728570005,-38.899172536 83.1083178570004,-38.8402815359999 83.1074818570004,-38.6630545359999 83.1127638570005,-38.6434725359999 83.1181728570004,-38.7994455359998 83.1672088570004,-38.831945536 83.1702548570004,-38.863890536 83.1719178570004,-38.962218536 83.1735998570005,-39.0786095359999 83.1794268570005,-39.1802815359998 83.1858088570004,-39.3530545369999 83.2022088570004,-39.3944455369999 83.2063728570005,-39.4286095369999 83.2108178570004,-39.4891635369998 83.2202638570005,-39.5427815369998 83.2302728570004,-39.5888905369997 83.2405368570005,-39.627781537 83.2510998570006,-39.642772537 83.2594268570004,-39.6558275369999 83.2683268570004,-39.6797275369998 83.2797088570005,-39.693881537 83.2847178570005,-39.7263905369999 83.2899818570005,-39.7652815369997 83.2933178570004,-39.8852725369999 83.2966458570005,-40.0044455369999 83.3019268570005,-40.051390537 83.3049818570004,-40.0938905369999 83.3088728570005,-40.204445537 83.3227728570004,-40.2319455369998 83.3274818570005,-40.2519455369999 83.3327638570004,-40.2647275369997 83.3385908570004,-40.2749995379999 83.3447088570005,-40.297499538 83.3494268570004,-40.5088995379999 83.3594178570004,-40.6058365379998 83.3377728570004,-40.6347275379999 83.3288728570005,-40.6480545379999 83.3227728570004,-40.6691725379999 83.3008178570005,-40.6733365379999 83.2802728570004,-40.6652725379998 83.2724818570005,-40.626945538 83.2660998570005,-40.5344455379998 83.2583268570004,-40.4694455379999 83.2552638570004),(-41.4052725389999 83.3236088570005,-41.456390539 83.3272088570005,-41.4969455389999 83.3260998570004,-41.6827815389999 83.3121998570005,-41.6705545389999 83.3080268570005,-41.6147275389999 83.3021998570005,-41.5069545389998 83.2969368570004,-41.3902815389999 83.2927548570004,-41.2524995379999 83.2852638570005,-41.2420815379999 83.2895638570005,-41.2312455379999 83.3040088570004,-41.4052725389999 83.3236088570005),(-39.1738905359997 83.2866548570004,-39.0305545359999 83.2863728570005,-38.905281536 83.2924908570004,-39.0708365359999 83.3771998570005,-39.0866635359999 83.3816548570005,-39.1736185359999 83.3930548580004,-39.2238815369998 83.3969458580005,-39.3674995369999 83.4013818580005,-39.3980545369998 83.3997178580005,-39.4202815369999 83.3972178580004,-39.4716635369999 83.3841548570004,-39.5819455369999 83.3469368570005,-39.6091725369998 83.3408178570004,-39.6219365369998 83.3369268570004,-39.6113905369998 83.3327638570004,-39.565554537 83.3241548570006,-39.3158365369998 83.2963728570004,-39.2386095369999 83.2896998570004,-39.1738905359997 83.2866548570004),(-38.461109536 83.1333268570005,-38.3588905359999 83.1327548570004,-38.3186095359999 83.1336088570004,-38.1602815359998 83.1380458570005,-38.0527815349998 83.1422088570005,-38.0288815349999 83.1455368570005,-38.0091725349998 83.1524818570005,-38.0183365349998 83.1602638570005,-38.0361185349998 83.1658178570005,-38.0838815349998 83.1697088570004,-38.157772536 83.1733088570005,-38.2147185359999 83.1746998570005,-38.2583365359999 83.1746998570005,-38.5058365359998 83.1733088570005,-38.6077815359999 83.1724818570005,-38.637781536 83.1710998570005,-38.659718536 83.1646998570005,-38.651109536 83.1584548570004,-38.6288815359999 83.1505458570004,-38.6080545359999 83.1460998570004,-38.5699995359999 83.1397268570005,-38.4947185359998 83.1344268570004,-38.461109536 83.1333268570005),(-40.3299995379999 83.1710998570005,-40.4308275379998 83.1722088570004,-40.4786095379999 83.1705368570005,-40.5122185379997 83.1677548570004,-40.5329185379999 83.1622088570005,-40.543399538 83.1494268570004,-40.5266635379999 83.1363818570005,-40.3847275379999 83.0877728570004,-40.3633365379999 83.0830548570005,-40.3094365379999 83.0791638570004,-40.1369455369999 83.0727728570005,-40.094999537 83.0705458570004,-40.0394455369998 83.0672178570004,-39.9983365369998 83.0633088570004,-39.9719365369999 83.0583178570005,-39.9427725369998 83.0430458570004,-39.9280545369999 83.0366548570004,-39.9002725369999 83.0263818570004,-39.865554537 83.0166638570005,-39.8394365369998 83.0119368570005,-39.7030545369997 82.9966458570005,-39.6138905369997 82.9944268570005,-39.570554537 82.9966458570005,-39.5302815369998 82.9997088570004,-39.5033365369998 83.0044368570005,-39.4086095369999 83.0238818570005,-39.3288905369999 83.0516548570005,-39.2816635369999 83.0837368570004,-39.304718537 83.0913728570004,-39.3455545369999 83.0955368570005,-39.5280545369999 83.1030458570004,-39.6466635369999 83.1094178570004,-39.781672537 83.1202548570005,-39.8644455369999 83.1283088570004,-39.906945537 83.1377728570005,-39.9263905369999 83.1430548570004,-39.953054537 83.1480368570005,-40.0288815369999 83.1566458570005,-40.1119455369999 83.1646998570005,-40.1652725369999 83.1672088570004,-40.3299995379999 83.1710998570005),(-41.0008365379997 83.1716458570004,-41.3258365379999 83.1727638570006,-41.3766635389999 83.1722088570004,-41.4163905389999 83.1708178570005,-41.4826365389998 83.1622088570005,-41.4463905389999 83.1510908570004,-41.4113815389999 83.1469458570004,-41.2847275379999 83.1347178570005,-41.2074995379999 83.1263728570005,-41.1783365379998 83.1222088570004,-41.1380545379999 83.1116458570004,-41.096663538 83.0916548570004,-41.079172538 83.0835998570005,-41.0519365379998 83.0788728570005,-40.7974995379998 83.0427548570005,-40.6291635379997 83.0138818570005,-40.5955545379999 83.0094268570005,-40.4580545379999 82.9980268570005,-40.2205545369998 82.9824818570004,-40.1833275369998 82.9830458570005,-39.9341635369998 82.9805458570004,-39.8886095369999 82.9799818570005,-39.8752725369999 82.9785908570005,-39.8608365369998 82.9791548570005,-39.904999537 82.9988728570005,-40.0858275369999 83.0491458570004,-40.126945537 83.0533178570005,-40.315836538 83.0619178570004,-40.4222275379999 83.0683268570005,-40.468890538 83.0727728570005,-40.5316725379999 83.0813728570004,-40.725272538 83.1177548570005,-40.7449995379999 83.1230268570004,-40.7691635379999 83.1330458570005,-40.7780545379998 83.1435998570005,-40.820281538 83.1591458570005,-40.8369455379998 83.1636088570005,-40.878881538 83.1674818570005,-41.0008365379997 83.1716458570004),(-41.202781538 83.2360998570004,-41.4241725389999 83.2421998570005,-41.5158365389998 83.2402638570005,-41.5677815389999 83.2352638570005,-41.6031275389998 83.2231178570004,-41.5974995389998 83.2155458570005,-41.5938905389999 83.2147088570005,-41.5366635389997 83.2113818570005,-41.3155545379999 83.2077638570005,-41.1594365379999 83.2066458570005,-41.037227538 83.2085998570005,-41.0030635379999 83.2137368570005,-41.0174995379999 83.2208268570004,-41.0897185379997 83.2291548570004,-41.1380545379999 83.2333178570004,-41.202781538 83.2360998570004)))', 'Greenlandic Exclusive Economic Zone', 'Greenland', 'Denmark', '', '175', '145', 'GRL', '8438', '2014-02', '2264550602000', '8438', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.266666667 69.583333333,-12.156667 69.578333,-10.664004951 69.377679685,-9.29772821299997 69.059185454,-8.15011968899995 68.6529628310001,-7.25478536899993 68.1756293980001,-6.62946972099996 67.6454964550001,-6.60941867799994 67.613321188,-6.27801250599993 67.0815248420001,-6.27137150599998 67.036939842,-5.94254850599998 66.7361818420001,-5.61752150499996 66.1709558410001,-5.55744579099996 65.6940803890001,-6.08371121999994 65.505319199,-6.71784328699994 65.244289322,-7.34206618699994 64.9710991110001,-7.88825343399998 64.7524899800001,-8.98192905399998 64.2786718580001,-9.87267147099993 63.869899961,-10.0713079609999 63.772795301,-10.7404753769999 63.3664754110001,-10.765131036 63.3538849540001,-11.063333381 63.200581582,-11.310116133 63.068080035,-12.0272087189999 62.6259689140001,-12.967583986 61.925640564,-13.2997605639999 61.5777985990001,-13.9096965049999 60.8263930940001,-14.5309695139999 60.760417836,-14.7512985139999 60.7240768360001,-16.6816035159999 60.3686118360001,-17.602887516 60.165570836,-17.935072517 60.093837836,-17.950821517 60.0904218360001,-18.744420517 60.0575348360001,-18.944868518 60.066570836,-18.957248518 60.0660358360001,-19.2855425179999 60.0217358360001,-20.4396985189999 59.9633988360001,-21.59739152 59.9958708360001,-22.7333475209999 60.118425836,-23.822265522 60.328324836,-23.9415045219999 60.363333836,-24.0121395219999 60.3636668360001,-25.1693295229999 60.4644998360001,-26.285220524 60.6533558360001,-27.3343025249999 60.925990837,-28.291019526 61.276176837,-29.1298685269999 61.6957208370001,-29.825629528 62.174498838,-30.3537885279999 62.700501838,-30.670192529 63.225757839,-30.8633335289999 63.3133328390001,-30.581666528 63.9233328390001,-29.8566665279999 65.2166668410001,-28.978333527 66.2116668420001,-27.7649995259999 66.6399998420001,-26.994999525 66.9549998420001,-26.556666525 67.0649998420001,-25.5999995239999 67.3816668430001,-24.441666523 67.6299998430001,-23.3501665219999 67.8168058430001,-21.74999952 68.1366668430001,-19.999999519 68.408332844,-17.336666516 68.763332844,-15.751666515 69.0499998440001,-15.3549995139999 69.084999844,-13.559999513 69.3566668440001,-13.266666667 69.583333333),(-16.1752815149999 66.5347178420001,-16.241390515 66.511654842,-16.3563905149999 66.511654842,-16.430836515 66.5172088420001,-16.469445515 66.5147088420001,-16.527781515 66.5080458420001,-16.5555545149999 66.500826842,-16.565281515 66.4936088420001,-16.578054515 66.476936842,-16.509163515 66.3922088420001,-16.425836515 66.2897178420001,-16.417363515 66.2760268420001,-16.4277815149999 66.2472088420001,-16.436390515 66.236099842,-16.4480635149999 66.228045842,-16.508890515 66.1983178410001,-16.5263905149999 66.1961088410001,-16.558336515 66.1899908410001,-16.687090516 66.1609638410001,-16.658199516 66.1273458410001,-16.594718515 66.0911088410001,-16.7369455159999 66.1147178410001,-16.909999516 66.124708841,-16.9688905159999 66.1855458410001,-16.992499516 66.1941548410001,-17.0230545159999 66.2044368410001,-17.041254516 66.208317842,-17.103336516 66.212772842,-17.131109516 66.2105368420001,-17.218472516 66.1952728410001,-17.2327815159999 66.1897088410001,-17.265554516 66.1669268410001,-17.341663516 66.101381841,-17.364999516 66.0549908410001,-17.4179185159999 65.986108841,-17.6091725159999 65.9874908410001,-17.722499517 66.059999841,-17.7349995169999 66.0688818410001,-17.752781517 66.0802728410001,-17.909727517 66.1444368410001,-17.950836517 66.152217841,-17.968336517 66.1544368410001,-18.016109517 66.1566638410001,-18.0830545169999 66.1599908410001,-18.163063517 66.1669268410001,-18.218890517 66.171936841,-18.250418517 66.179436841,-18.295145517 66.175272841,-18.3313185169999 66.152417841,-18.3165275169999 66.058736841,-18.291527517 66.0104088410001,-18.2211095169999 65.9291548410001,-18.1833365169999 65.9105548410001,-18.171254517 65.911945841,-18.161254517 65.919017841,-18.148609517 65.923472841,-18.1011095169999 65.893326841,-18.070281517 65.8383368410001,-18.0624995169999 65.8244368410001,-18.048399517 65.658390841,-18.063336517 65.6444368410001,-18.069445517 65.643326841,-18.091663517 65.657481841,-18.181527517 65.738045841,-18.205836517 65.8165178410001,-18.283336517 65.9085998410001,-18.3255545169999 65.9377728410001,-18.3355545169999 65.943054841,-18.3586095169999 65.947490841,-18.377781517 65.9483178410001,-18.4424995169999 65.954990841,-18.529999517 65.9677728410001,-18.5392365169999 65.9758908410001,-18.5322185169999 66.003326841,-18.5195815169999 66.019990841,-18.533336517 66.063890841,-18.551945517 66.084717841,-18.6299995169999 66.1355458410001,-18.6530545169999 66.149426841,-18.683054517 66.1647178410001,-18.7877815169999 66.191936841,-18.8526365179999 66.200826841,-18.9686095179999 66.188326841,-18.991109518 66.1833178410001,-19.067227518 66.1612368410001,-19.078890518 66.1524998410001,-19.088890518 66.1369368410001,-19.0908365179999 66.1249818410001,-19.079727518 66.0774998410001,-19.1508365179999 66.0838818410001,-19.231109518 66.091381841,-19.2602815179999 66.089717841,-19.3837545179999 66.0813818410001,-19.4363905179999 66.063326841,-19.4544455179999 66.0547178410001,-19.4758365179999 65.981108841,-19.4849995179999 65.9405548410001,-19.470281518 65.935136841,-19.4505545179999 65.922208841,-19.417781518 65.883326841,-19.390490518 65.833526841,-19.396390518 65.7891548410001,-19.4247275179999 65.734572841,-19.4561095179999 65.7256908410001,-19.6074995179999 65.7405548410001,-19.635563518 65.746936841,-19.647499518 65.756099841,-19.6544455179999 65.767626841,-19.661663518 65.789445841,-19.699172518 65.8598548410001,-19.736945518 65.8819458410001,-19.747081518 65.8845728410001,-19.771118518 65.883326841,-19.7891725179999 65.8844268410001,-19.847227518 65.898881841,-19.8744455189999 65.9105548410001,-19.9240275189999 65.9381908410001,-19.9405545189999 65.957763841,-19.9930545189999 66.024154841,-20.0926365189999 66.1231818410001,-20.174172519 66.129436841,-20.422636519 66.084445841,-20.419445519 66.043881841,-20.4149995189999 66.0094268410001,-20.398890519 65.953599841,-20.374999519 65.924708841,-20.309863519 65.8581908410001,-20.2719455189999 65.769990841,-20.263618519 65.7405548410001,-20.263054519 65.7235998410001,-20.2694455189999 65.709154841,-20.325554519 65.628599841,-20.4502095189999 65.4930458410001,-20.474445519 65.4877818410001,-20.4970815189999 65.488045841,-20.6419455189999 65.5428268410001,-20.644727519 65.5674908410001,-20.6366725189999 65.622772841,-20.6238905189999 65.6710268410001,-20.664172519 65.690826841,-20.682227519 65.691663841,-20.7288905189999 65.6741638410001,-20.852781519 65.626099841,-20.9174995189999 65.5938908410001,-20.9272275189999 65.588881841,-20.9418725199999 65.5781818410001,-20.98312752 65.516099841,-20.98833652 65.476381841,-20.9879185199999 65.4659638410001,-20.97833652 65.4424908410001,-20.97749952 65.4308268410001,-21.0438905199999 65.4447178410001,-21.05222752 65.4505458410001,-21.06416352 65.4547088410001,-21.07639052 65.4560998410001,-21.0922275199999 65.4537458410001,-21.09694552 65.440826841,-21.08610952 65.2316548410001,-21.06722752 65.186236841,-21.07611852 65.164445841,-21.08444552 65.1591638410001,-21.1216725199999 65.2238728410001,-21.1877815199999 65.3402728410001,-21.19055452 65.394717841,-21.20062752 65.4315908410001,-21.28055452 65.4781908410001,-21.3027815199999 65.530817841,-21.2955545199999 65.5530548410001,-21.2965275199999 65.5736728410001,-21.30889052 65.5969368410001,-21.40333652 65.631236841,-21.4213905199999 65.6347178410001,-21.4829455199999 65.6389268410001,-21.49328152 65.6397728410001,-21.50411852 65.6384458410001,-21.53494552 65.6365998410001,-21.58667252 65.6366548410001,-21.60278152 65.6386088410001,-21.62389052 65.643054841,-21.65055452 65.6526368410001,-21.7749995199999 65.7647088410001,-21.7241635199999 65.7730368410001,-21.68166352 65.7649998410001,-21.66749952 65.7590178410001,-21.6640275199999 65.7481178410001,-21.63972752 65.7238728410001,-21.59167252 65.689299841,-21.4742275199999 65.6862908410001,-21.4377815199999 65.6880458410001,-21.39860952 65.703890841,-21.3397275199999 65.7328998410001,-21.27833652 65.856108841,-21.27778152 65.8905458410001,-21.28513652 65.9206178410001,-21.29972752 65.932636841,-21.37920952 65.9570908410001,-21.39278152 65.960263841,-21.41028152 65.961654841,-21.46847252 65.9595728410001,-21.53680952 65.952899841,-21.5519455199999 65.947490841,-21.57555452 65.942763841,-21.5897275199999 65.9422178410001,-21.59923652 65.9531178410001,-21.53444552 65.968045841,-21.5172275199999 65.9708268410001,-21.3924995199999 65.983045841,-21.39944552 66.027217841,-21.5105635199999 66.0613818410001,-21.6186185199999 66.0605458410001,-21.65139052 66.0188728410001,-21.63778152 66.0497818410001,-21.6441725199999 66.066663841,-21.7302815199999 66.159717841,-21.75528152 66.1788818410001,-21.76639052 66.1858178410001,-21.97430952 66.2728998420001,-22.0863905209999 66.2680548420001,-22.2024995209999 66.271945842,-22.2583365209999 66.340272842,-22.4216725209999 66.4333178420001,-22.6119455209999 66.442217842,-22.738054521 66.438599842,-22.861118521 66.464154842,-22.886945521 66.466381842,-22.941809521 66.4656908420001,-23.078336521 66.436663842,-23.057499521 66.392490842,-23.1322275219999 66.358599842,-23.190172522 66.355899842,-23.189309522 66.3515268420001,-23.177918522 66.3420728420001,-23.1461185219999 66.3297088420001,-23.133609522 66.325817842,-23.0733365209999 66.3099998420001,-23.051390521 66.305826842,-23.0272275209999 66.3024908420001,-22.974727521 66.298599842,-22.9416725209999 66.298463842,-22.832781521 66.3236088420001,-22.707781521 66.2938818420001,-22.6711095209999 66.2866548420001,-22.5469455209999 66.2685998420001,-22.5222275209999 66.2658268420001,-22.4933365209999 66.2649998420001,-22.445281521 66.2669368420001,-22.4341725209999 66.2677728420001,-22.4586185209999 66.255826842,-22.548054521 66.229999842,-22.590281521 66.2311088420001,-22.6577815209999 66.2422178420001,-22.738754521 66.260126842,-22.801390521 66.261381842,-22.833336521 66.2605458420001,-22.856390521 66.255554842,-22.9219455209999 66.2399908420001,-22.965836521 66.2294268420001,-22.972227521 66.2213728420001,-22.962781521 66.2102638420001,-22.9524995209999 66.1999998410001,-22.9436095209999 66.1938818410001,-22.911945521 66.1735998410001,-22.8416635209999 66.147490841,-22.830836521 66.1451368410001,-22.767781521 66.1330458410001,-22.751390521 66.131099841,-22.7155545209999 66.129163841,-22.661945521 66.1205458410001,-22.608890521 66.1110998410001,-22.5952815209999 66.107499841,-22.499999521 66.0769638410001,-22.411109521 65.988181841,-22.3974995209999 65.955826841,-22.3883365209999 65.926936841,-22.3858365209999 65.9041638410001,-22.3947275209999 65.8869368410001,-22.401672521 65.876936841,-22.424727521 65.8474908410001,-22.435554521 65.838881841,-22.4449995209999 65.8335998410001,-22.4629185209999 65.834154841,-22.4612545209999 65.850545841,-22.449445521 65.8610998410001,-22.4408365209999 65.8663818410001,-22.432781521 65.8738818410001,-22.419590521 65.9126268410001,-22.4218095209999 65.9224908410001,-22.499727521 65.9661088410001,-22.5322185209999 65.958326841,-22.566945521 65.9124908410001,-22.638054521 65.8310998410001,-22.649581521 65.8265178410001,-22.6562545209999 65.835126841,-22.6449995209999 65.855817841,-22.6211095209999 65.8888818410001,-22.6127815209999 65.8986088410001,-22.597499521 65.9119368410001,-22.5872275209999 65.9302638410001,-22.5766635209999 65.9633368410001,-22.590836521 65.983045841,-22.604999521 66.0022088410001,-22.6161095209999 66.0119368410001,-22.6777815209999 66.044999841,-22.7486095209999 66.0580458410001,-22.758890521 66.0551268410001,-22.809718521 65.9941548410001,-22.978890521 66.0344368410001,-22.977499521 66.070263841,-22.9836095209999 66.080126841,-23.0286185209999 66.104017841,-23.1602815219999 66.144717841,-23.2730545219999 66.1749908410001,-23.352499522 66.191099841,-23.4463905219999 66.1988818410001,-23.468754522 66.1997178410001,-23.538063522 66.1788818410001,-23.579445522 66.1613728410001,-23.6661095219999 66.112908841,-23.6132275219999 66.091154841,-23.6032275219999 66.0838268410001,-23.5933905219999 66.0794908410001,-23.5348095219999 66.058154841,-23.520390522 66.0578268410001,-23.510054522 66.0571548410001,-23.425554522 66.0322088410001,-23.416390522 66.026381841,-23.374445522 65.9865178410001,-23.3962545219999 65.9895818410001,-23.411527522 65.997499841,-23.530445522 66.0296638410001,-23.6195275219999 66.0472458410001,-23.636109522 66.049663841,-23.7333365219999 66.067763841,-23.7672275219999 66.0705458410001,-23.786254522 66.0663818410001,-23.8008365219999 66.0566548410001,-23.8163905219999 66.033045841,-23.818336522 66.014426841,-23.8033365219999 65.997499841,-23.746390522 65.9666638410001,-23.603618522 65.9113728410001,-23.5855545219999 65.9052728410001,-23.563609522 65.9008368410001,-23.438609522 65.8774908410001,-23.378609522 65.8672178410001,-23.3024995219999 65.855272841,-23.2161815219999 65.8401368410001,-23.2254185219999 65.835126841,-23.2549995219999 65.837217841,-23.4463905219999 65.8647178410001,-23.6380545219999 65.8941638410001,-23.674999522 65.9008368410001,-23.7933365219999 65.919436841,-23.811390522 65.919999841,-23.8327815219999 65.916381841,-23.8452815219999 65.9102638410001,-23.866945522 65.890826841,-23.871390522 65.8801368410001,-23.8733365219999 65.868736841,-23.8477815219999 65.837490841,-23.837227522 65.8269368410001,-23.772227522 65.787217841,-23.756109522 65.7799998410001,-23.743618522 65.7761088410001,-23.728336522 65.773881841,-23.582227522 65.754163841,-23.548618522 65.751099841,-23.531672522 65.750826841,-23.400836522 65.7547178410001,-23.3074995219999 65.7588818410001,-23.2549995219999 65.7669368410001,-23.2336095219999 65.772490841,-23.209999522 65.778881841,-23.192218522 65.7758368410001,-23.2294455219999 65.740545841,-23.254172522 65.7380548410001,-23.3661095219999 65.731936841,-23.441581522 65.728763841,-23.461336522 65.7309368410001,-23.4808365219999 65.7272728410001,-23.4953365219999 65.7244368410001,-23.538336522 65.7177728410001,-23.5148635219999 65.6969638410001,-23.452781522 65.672481841,-23.3863905219999 65.668317841,-23.3658365219999 65.669999841,-23.343609522 65.666108841,-23.411663522 65.6508368410001,-23.527227522 65.6277728410001,-23.553754522 65.645826841,-23.569754522 65.6685908410001,-23.6083365219999 65.6955458410001,-23.6199995219999 65.6999998410001,-23.633609522 65.703326841,-23.682781522 65.7136088410001,-23.7302815219999 65.7202728410001,-23.824172522 65.738872841,-23.9466635219999 65.773881841,-24.023336522 65.7960998410001,-24.1052095219999 65.8056908410001,-24.125554522 65.7924998410001,-24.1324995219999 65.784717841,-24.122781522 65.7466548410001,-24.110554522 65.732208841,-24.072781522 65.6991548410001,-24.059445522 65.6902728410001,-24.038890522 65.6799908410001,-24.014445522 65.671936841,-23.9973635219999 65.6679178410001,-23.9547275219999 65.661945841,-23.934027522 65.6598548410001,-23.9169455219999 65.655817841,-23.869445522 65.6391638410001,-23.829445522 65.623599841,-23.8141635219999 65.6158268410001,-23.8058995219999 65.6090268410001,-23.910836522 65.626936841,-23.9474995219999 65.6388818410001,-23.960836522 65.6422088410001,-24.070281522 65.648881841,-24.082363522 65.6452728410001,-24.069581522 65.6306818410001,-24.058890522 65.6230458410001,-24.012781522 65.5947088410001,-23.9127815219999 65.5530548410001,-23.8074365219999 65.5309638410001,-23.845836522 65.5188728410001,-23.876109522 65.516099841,-23.8922275219999 65.518054841,-24.038063522 65.5608178410001,-24.0508365219999 65.5647088410001,-24.1233365219999 65.5917998410001,-24.135836522 65.5983268410001,-24.143609522 65.6047178410001,-24.153609522 65.6073548410001,-24.309445523 65.6366548410001,-24.321945523 65.6367998410001,-24.3672275229999 65.6085998410001,-24.376109523 65.601108841,-24.370209523 65.590054841,-24.370345523 65.565608841,-24.400836523 65.5508268410001,-24.465554523 65.530545841,-24.538399523 65.5002728410001,-24.5088905229999 65.489436841,-24.458609523 65.483045841,-24.4083365229999 65.4885998410001,-24.2655545229999 65.4988818410001,-24.183336523 65.4963818410001,-24.015836522 65.469981841,-23.9974995219999 65.4499998410001,-23.993890522 65.4379548410001,-23.9786095219999 65.414581841,-23.9627815219999 65.409717841,-23.9072185219999 65.4030458410001,-23.879445522 65.4024998410001,-23.7408365219999 65.4149908410001,-23.7227815219999 65.4172178410001,-23.712499522 65.422208841,-23.658199522 65.4536088410001,-23.6233365219999 65.464426841,-23.3752455219999 65.4913818410001,-23.294999522 65.483317841,-23.248890522 65.4816548410001,-23.225699522 65.483745841,-23.2113905219999 65.489436841,-23.1999995219999 65.4980458410001,-23.1502815219999 65.547772841,-23.0855545219999 65.540545841,-23.0552815209999 65.5391548410001,-23.0172275209999 65.539445841,-22.912499521 65.5647088410001,-22.853890521 65.5549908410001,-22.7827815209999 65.503872841,-22.741390521 65.499708841,-22.722636521 65.4999908410001,-22.678054521 65.526654841,-22.573890521 65.5310998410001,-22.499790521 65.5084728410001,-22.473609521 65.5047178410001,-22.317609521 65.519272841,-22.259445521 65.5258368410001,-22.2319455209999 65.5333268410001,-22.203054521 65.544436841,-22.188890521 65.5522178410001,-22.174727521 65.563890841,-22.1630545209999 65.5765178410001,-22.122363521 65.593881841,-22.109863521 65.593317841,-22.1497275209999 65.5510998410001,-22.159172521 65.5416548410001,-22.205836521 65.524154841,-22.229999521 65.519717841,-22.267554521 65.5002178410001,-22.2917275209999 65.4980458410001,-22.3132275209999 65.4969638410001,-22.327890521 65.4918818410001,-22.334809521 65.4831728410001,-22.2877815209999 65.441372841,-22.229727521 65.4249908410001,-22.2180545209999 65.424999841,-22.195281521 65.4319268410001,-22.181118521 65.439436841,-22.116527521 65.481936841,-22.0377815209999 65.499436841,-21.9930545199999 65.501099841,-21.93999952 65.464426841,-21.87139052 65.445826841,-21.80986352 65.4336088410001,-21.6986095199999 65.4491548410001,-21.7047275199999 65.4469268410001,-21.76278152 65.4288818410001,-21.7866635199999 65.423872841,-21.8183365199999 65.422772841,-21.85749952 65.420817841,-21.91583652 65.4144368410001,-21.98222752 65.3944368410001,-22.024172521 65.376390841,-22.056390521 65.3624908410001,-22.1602815209999 65.3266638410001,-22.217499521 65.3124818410001,-22.233336521 65.310272841,-22.2772275209999 65.3052638410001,-22.310554521 65.2999908410001,-22.3536185209999 65.2891548410001,-22.399445521 65.273881841,-22.5049995209999 65.228881841,-22.5601365209999 65.1683908410001,-22.5443095209999 65.1577728410001,-22.2797275209999 65.12720884,-22.074445521 65.10471784,-22.036945521 65.1091638400001,-21.99416352 65.1155548400001,-21.91333652 65.1422088410001,-21.87889052 65.155545841,-21.83610952 65.1741638410001,-21.83680952 65.185963841,-21.82694552 65.1970728410001,-21.80833652 65.203326841,-21.78694552 65.2044368410001,-21.75916352 65.203599841,-21.73646352 65.1972088410001,-21.7288905199999 65.173872841,-21.72833652 65.159154841,-21.79999952 65.06027284,-21.8358365199999 65.0302728400001,-21.9491725199999 65.0258368400001,-22.1466635209999 65.02665484,-22.172499521 65.0283178400001,-22.226109521 65.0375638400001,-22.276945521 65.0494368400001,-22.322781521 65.05610884,-22.3552815209999 65.05943684,-22.525281521 65.0510998400001,-22.5649995209999 65.04192684,-22.5963905209999 65.0310998400001,-22.615136521 65.02276384,-22.959581521 65.0040178400001,-22.975972521 65.01096384,-23.1899995219999 65.01582684,-23.204999522 65.01249984,-23.219999522 65.0047178400001,-23.237645522 64.9920818400001,-23.3583365219999 64.9662458400001,-23.5038905219999 64.9469268400001,-23.522499522 64.9408268400001,-23.537227522 64.9291548400001,-23.547499522 64.9183268400001,-23.6341635219999 64.89555484,-23.649445522 64.8922088400001,-23.669999522 64.89139084,-23.695554522 64.89305484,-23.716663522 64.8972178400001,-23.751109522 64.9047088400001,-23.777227522 64.91194584,-23.8158365219999 64.92248184,-23.8338905219999 64.9272178400001,-23.872218522 64.9247088400001,-23.943609522 64.91665484,-24.059536522 64.8908818400001,-24.049163522 64.8552728400001,-24.0188905219999 64.8258178400001,-23.9449995219999 64.7647088400001,-23.918054522 64.7466548400001,-23.904999522 64.74054584,-23.847499522 64.72749084,-23.835972522 64.7259638400001,-23.6636095219999 64.7377818400001,-23.644999522 64.7441548400001,-23.6323635219999 64.75623684,-23.630836522 64.7716548400001,-23.527227522 64.8110998400001,-23.3922275219999 64.8230458400001,-23.2869455219999 64.8262458400001,-23.266672522 64.8241548400001,-23.252781522 64.8213818400001,-23.2005545219999 64.80777284,-23.165554522 64.8008268400001,-23.140836522 64.7983268400001,-23.047636521 64.79485484,-22.951390521 64.79581784,-22.878054521 64.8005548400001,-22.867499521 64.8010998400001,-22.690554521 64.8035998400001,-22.677499521 64.7999908400001,-22.535836521 64.80444584,-22.4072185209999 64.81248184,-22.325145521 64.7576268400001,-22.299727521 64.70443684,-22.313890521 64.69359984,-22.3266635209999 64.68943684,-22.409999521 64.6508368400001,-22.352436521 64.5585998400001,-22.2047275209999 64.4699818400001,-22.1777815209999 64.45555484,-22.166527521 64.4537458400001,-22.0874995209999 64.4685998400001,-22.0286185209999 64.52109984,-21.9524995199999 64.5516638400001,-21.70111852 64.62777284,-21.6138905199999 64.6502728400001,-21.51305452 64.64409084,-21.5594455199999 64.6405458400001,-21.60513652 64.6440178400001,-21.67770952 64.61590884,-21.66467252 64.6137548400001,-21.6521635199999 64.61389984,-21.6062095199999 64.6099728400001,-21.57916352 64.6067728400001,-21.56753652 64.5771088400001,-21.49686352 64.56605484,-21.58352752 64.5709998400001,-21.60853652 64.5887368400001,-21.64430952 64.58758184,-21.6515275199999 64.6069998400001,-21.69139052 64.6085998400001,-21.7056995199999 64.60708184,-21.78278152 64.57749984,-21.9788905199999 64.5008268400001,-22.024445521 64.4433268400001,-22.0247275209999 64.41888184,-22.099236521 64.31234584,-22.0224995209999 64.29581784,-21.98167252 64.29624584,-21.9386095199999 64.30444584,-21.8097185199999 64.3388818400001,-21.7937545199999 64.3477728400001,-21.78930952 64.35860884,-21.74999952 64.3802638400001,-21.73610952 64.38596384,-21.6777815199999 64.4011088400001,-21.64611852 64.4027728400001,-21.62805452 64.4024998400001,-21.47778152 64.39582684,-21.37013652 64.38859984,-21.3627815199999 64.3849908400001,-21.43499952 64.3683268400001,-21.4888905199999 64.3619368400001,-21.5494455199999 64.3644368400001,-21.5691725199999 64.36651784,-21.5825725199999 64.3808908400001,-21.6241725199999 64.3735998400001,-21.65333652 64.36694584,-21.7486095199999 64.3449818400001,-21.75916352 64.3402728400001,-21.8358365199999 64.2838728400001,-21.8759725199999 64.2328998400001,-21.8413905199999 64.2347088400001,-21.8233365199999 64.2344368400001,-21.8077815199999 64.2324998400001,-21.70208152 64.18277284,-21.75055452 64.1633268400001,-21.8219455199999 64.1544368400001,-21.8705545199999 64.1574818400001,-21.97333652 64.1569368400001,-21.97444552 64.14582684,-21.9394455199999 64.12331784,-21.91513652 64.10831784,-21.96944552 64.0683268400001,-22.0455545209999 64.0466638390001,-22.186390521 64.0180548390001,-22.198754521 64.017072839,-22.2147275209999 64.0213818390001,-22.2408365209999 64.0277728390001,-22.2524995209999 64.029163839,-22.370418521 64.0110998390001,-22.390836521 63.992708839,-22.385281521 63.979717839,-22.3997275209999 63.9747178390001,-22.4547275209999 63.9752728390001,-22.5230545209999 63.978054839,-22.5452815209999 63.993472839,-22.5552815209999 64.0108178390001,-22.5658365209999 64.0258368390001,-22.5897275209999 64.0444368390001,-22.633609521 64.0674908400001,-22.643609521 64.0722178400001,-22.661109521 64.07832684,-22.673890521 64.08166384,-22.6883365209999 64.0841548400001,-22.700418521 64.0819368400001,-22.7155545209999 64.07277284,-22.725563521 64.0638908400001,-22.739999521 63.9827728390001,-22.719172521 63.8255548390001,-22.686254521 63.8045728390001,-22.673054521 63.804717839,-22.419999521 63.8472178390001,-22.326118521 63.8605458390001,-22.2494455209999 63.8499998390001,-22.1422275209999 63.8347178390001,-22.0466725209999 63.8347178390001,-21.94722752 63.8397178390001,-21.92999952 63.8411088390001,-21.8541635199999 63.8527728390001,-21.7041725199999 63.8444458390001,-21.68249952 63.8355458390001,-21.6547275199999 63.8247178390001,-21.63944552 63.822772839,-21.61889052 63.8238818390001,-21.43139052 63.8494458390001,-21.36916352 63.867490839,-21.3194455199999 63.887499839,-21.3002815199999 63.918054839,-21.2609725199999 63.9424998390001,-21.2033365199999 63.9533268390001,-21.1908365199999 63.9548548390001,-21.16972752 63.954163839,-21.05236352 63.939963839,-21.11499952 63.9290268390001,-21.1309725199999 63.9301368390001,-21.1506995199999 63.9344368390001,-21.1845815199999 63.929854839,-21.19375452 63.924717839,-21.18089952 63.8797178390001,-21.16333652 63.871108839,-21.11722752 63.8549998390001,-21.0749995199999 63.8419458390001,-21.0616725199999 63.8386088390001,-21.01416352 63.8333268390001,-20.94778152 63.8230548390001,-20.902227519 63.811945839,-20.873336519 63.8016638390001,-20.846390519 63.790554839,-20.803109519 63.7943548390001,-20.7538635189999 63.8058548390001,-20.6887545189999 63.841526839,-20.678336519 63.8469908390001,-20.604645519 63.763336839,-20.655281519 63.7560998390001,-20.6884995189999 63.761126839,-20.7111095189999 63.7622178390001,-20.729490519 63.7606728390001,-20.6508365189999 63.7288818390001,-20.583690519 63.7213998390001,-20.5839455189999 63.7388548390001,-20.561527519 63.750272839,-20.5127815189999 63.7672178390001,-20.443336519 63.7833368390001,-20.379999519 63.7672178390001,-20.361945519 63.7616638390001,-20.352218519 63.756381839,-20.3163185189999 63.7299998390001,-20.337227519 63.730826839,-20.3702815189999 63.743608839,-20.3933365189999 63.7569458390001,-20.4122275189999 63.7622178390001,-20.4405545189999 63.7672178390001,-20.457499519 63.7683268390001,-20.481945519 63.7674908390001,-20.540836519 63.7467998390001,-20.5412545189999 63.723526839,-20.5411725189999 63.7071088390001,-20.5304995189999 63.6962728390001,-20.5210815189999 63.689108839,-20.501109519 63.6674998390001,-20.221390519 63.549717839,-20.1969455189999 63.5424998390001,-20.170554519 63.5363818390001,-20.1369455189999 63.534163839,-20.1099995189999 63.5333368390001,-20.0883365189999 63.5344368390001,-20.071390519 63.5363818390001,-20.049445519 63.5374998390001,-19.8680545189999 63.545554839,-19.841663518 63.544445839,-19.7808365179999 63.5363818390001,-19.726945518 63.527499839,-19.6272275179999 63.5097178390001,-19.599163518 63.5044368390001,-19.3941725179999 63.461390839,-19.2758365179999 63.4333268390001,-19.0861095179999 63.4127728390001,-18.774999517 63.3913908390001,-18.7294455169999 63.389999839,-18.709999517 63.3911088390001,-18.566109517 63.4174998390001,-18.3016725169999 63.4536088390001,-18.1641725169999 63.4708368390001,-18.1480545169999 63.473054839,-18.113054517 63.4811088390001,-17.950836517 63.5222178390001,-17.9308365169999 63.5295818390001,-17.913890517 63.5427728390001,-17.874172517 63.5836088390001,-17.864581517 63.5993728390001,-17.924163517 63.6036088390001,-17.944445517 63.608054839,-17.9652815169999 63.622217839,-17.973336517 63.6686088390001,-17.872081517 63.730690839,-17.8569455169999 63.733054839,-17.836672517 63.733054839,-17.722499517 63.7133368390001,-17.320554516 63.7805458390001,-17.306390516 63.7836088390001,-17.2511095159999 63.7966638390001,-17.2437905159999 63.7989908390001,-17.200554516 63.7941638390001,-17.136672516 63.7916638390001,-17.118054516 63.7911088390001,-17.023336516 63.7938818390001,-17.0105635159999 63.8158268390001,-17.0097275159999 63.859990839,-16.968336516 63.9161088390001,-16.9474995159999 63.9072178390001,-16.8849995159999 63.8649998390001,-16.805281516 63.8263818390001,-16.614172515 63.862217839,-16.488609515 63.8958268390001,-16.453054515 63.908054839,-16.4433365149999 63.9127728390001,-16.4344455149999 63.918054839,-16.339172515 63.9861088390001,-16.260418515 64.0176268390001,-16.233609515 64.0208268390001,-16.213054515 64.0258368390001,-16.2008365149999 64.0297088390001,-16.1777815149999 64.038054839,-16.0411185149999 64.1011088400001,-16.0274995149999 64.12720884,-16.015554515 64.1333268400001,-15.804163515 64.1824908400001,-15.707781515 64.21442684,-15.6786095149999 64.2202728400001,-15.6361095149999 64.2261088400001,-15.502636514 64.24124584,-15.4469455139999 64.25193684,-15.436672514 64.2558268400001,-15.3861095139999 64.2763818400001,-15.3688905139999 64.3088818400001,-15.3663905139999 64.3319368400001,-15.371663514 64.3435998400001,-15.3786095139999 64.35471784,-15.3868095139999 64.37013684,-15.2913905139999 64.3319368400001,-15.220281514 64.2985998400001,-15.097781514 64.2958268400001,-15.0811095139999 64.29165484,-14.9747275139999 64.26027284,-14.960554514 64.25359984,-14.924999514 64.26416384,-14.880136514 64.2795728400001,-14.891390514 64.3016638400001,-14.871663514 64.3399998400001,-14.7099995139999 64.4077728400001,-14.5958365139999 64.39832684,-14.567499514 64.39999084,-14.5412545139999 64.4047088400001,-14.472781513 64.5058268400001,-14.462490513 64.54235484,-14.4801095129999 64.5396548400001,-14.5018095139999 64.5467998400001,-14.5259725139999 64.5501368400001,-14.570554514 64.56609984,-14.579727514 64.5761088400001,-14.584718514 64.58499084,-14.574999514 64.5916638400001,-14.5555545139999 64.5927728400001,-14.5069455139999 64.5933178400001,-14.464809513 64.6051088400001,-14.441145513 64.60561784,-14.4278995129999 64.60811784,-14.3679455129999 64.65976384,-14.3659455129999 64.6740998400001,-14.3877815129999 64.72249084,-14.4544455129999 64.7758368400001,-14.512227514 64.79651784,-14.4930545129999 64.7988728400001,-14.4736095129999 64.79804584,-14.4444455129999 64.7924998400001,-14.432499513 64.7883268400001,-14.4224995129999 64.7835998400001,-14.3674995129999 64.7491638400001,-14.332390513 64.7254908400001,-14.326554513 64.7147728400001,-14.2502815129999 64.68916384,-14.238472513 64.68929984,-14.079727513 64.70859984,-14.064727513 64.7116548400001,-14.018054513 64.7235998400001,-13.9915995129999 64.7383908400001,-14.004309513 64.7524908400001,-14.0169455129999 64.75609984,-14.0426365129999 64.7796368400001,-14.011663513 64.7960998400001,-13.9086095129999 64.79748184,-13.871109513 64.7991638400001,-13.8202815129999 64.8252728400001,-13.7694455129999 64.85401784,-13.7697185129999 64.8662998400001,-13.791390513 64.87777284,-13.8024995129999 64.8822178400001,-13.846945513 64.8997178400001,-13.8665275129999 64.9029088400001,-13.902227513 64.9027728400001,-13.932499513 64.9033178400001,-13.960554513 64.9049998400001,-14.008472513 64.9095728400001,-14.025281513 64.91388184,-14.0416635129999 64.9210998400001,-14.0512545129999 64.93220884,-13.9413905129999 64.9210998400001,-13.8138905129999 64.91082684,-13.761109513 64.91165484,-13.7095815129999 64.91499084,-13.7004185129999 64.9203998400001,-13.7061095129999 64.93124584,-13.744336513 64.94204584,-13.762499513 64.9452178400001,-13.8705545129999 64.9733268400001,-14.0069455129999 65.0177728400001,-13.988054513 65.0638908400001,-13.886663513 65.04304584,-13.872499513 65.03999084,-13.853054513 65.0344368400001,-13.8204185129999 65.0162458400001,-13.783554513 64.9968998400001,-13.771554513 64.99232684,-13.678609513 64.9822088400001,-13.6591725129999 64.98331784,-13.636663513 64.9874908400001,-13.616109513 64.9924908400001,-13.6041635129999 64.9966548400001,-13.5936095129999 65.0013908400001,-13.584999513 65.0069458400001,-13.499445513 65.0691548400001,-13.517499513 65.1122088400001,-13.591663513 65.12277284,-13.6369455129999 65.1577728410001,-13.618818513 65.1888818410001,-13.650554513 65.1944458410001,-13.8508365129999 65.1972178410001,-13.8716635129999 65.197490841,-13.920909513 65.195308841,-13.947499513 65.1924908410001,-13.978890513 65.187208841,-14.013199513 65.1859548410001,-14.030281513 65.193463841,-13.863054513 65.203890841,-13.788054513 65.203890841,-13.752636513 65.204990841,-13.700836513 65.2085998410001,-13.6599995129999 65.214426841,-13.639163513 65.2194368410001,-13.628336513 65.224154841,-13.614445513 65.231936841,-13.570136513 65.2613088410001,-13.5836095129999 65.273881841,-13.594718513 65.2786088410001,-13.660554513 65.3010998410001,-13.735690513 65.3173548410001,-13.6756995129999 65.3731908410001,-13.6369455129999 65.424708841,-13.609172513 65.487072841,-13.609581513 65.506099841,-13.6805545129999 65.548045841,-13.867081513 65.6117908410001,-13.9133365129999 65.6124908410001,-13.939727513 65.611936841,-13.9666725129999 65.607072841,-13.988054513 65.5999908410001,-13.999999513 65.5988728410001,-14.1922185129999 65.630554841,-14.288054513 65.656245841,-14.3055545129999 65.6524998410001,-14.3327815129999 65.640826841,-14.5266725139999 65.5258368410001,-14.558336514 65.4992268410001,-14.547499514 65.5252728410001,-14.540972514 65.5337368410001,-14.5308365139999 65.540836841,-14.508336514 65.5544458410001,-14.4086095129999 65.613872841,-14.3130545129999 65.669708841,-14.3319455129999 65.7755458410001,-14.3384725129999 65.7845728410001,-14.349445513 65.791381841,-14.381672513 65.790836841,-14.418054513 65.787217841,-14.6372185139999 65.7572178410001,-14.672781514 65.7512458410001,-14.745836514 65.7374908410001,-14.7972275139999 65.726381841,-14.8177815139999 65.7213728410001,-14.8324995139999 65.724445841,-14.848336514 65.731381841,-14.8655545139999 65.755826841,-14.855281514 65.7713818410001,-14.8191725139999 65.814163841,-14.7990275139999 65.830826841,-14.7761095139999 65.837217841,-14.757227514 65.838881841,-14.726945514 65.849154841,-14.653054514 65.8830458410001,-14.623890514 65.9094368410001,-14.6055545139999 65.9534728410001,-14.611109514 65.974445841,-14.6188905139999 65.9944268410001,-14.663054514 66.043608841,-14.676945514 66.0516638410001,-14.688336514 66.0561088410001,-14.7147275139999 66.063599841,-14.7305545139999 66.066099841,-14.751663514 66.0652728410001,-14.782781514 66.059708841,-14.8244455139999 66.046936841,-14.9338905139999 66.0422178410001,-15.011390514 66.0499908410001,-15.149445514 66.0963728410001,-15.1762545139999 66.113672841,-15.1616635139999 66.1277728410001,-15.145554514 66.1370818410001,-15.070836514 66.1435998410001,-15.023054514 66.155545841,-14.976945514 66.169708841,-14.962781514 66.1777638410001,-14.943199514 66.1922178410001,-14.935972514 66.204990842,-14.938890514 66.2209638420001,-14.9486095139999 66.2333178420001,-14.973472514 66.252917842,-14.989727514 66.257763842,-15.0070815139999 66.2727638420001,-14.976945514 66.2855548420001,-14.9636095139999 66.2894458420001,-14.804445514 66.3261088420001,-14.7108365139999 66.3477638420001,-14.7108365139999 66.3672178420001,-14.8366725139999 66.3886088420001,-14.855836514 66.3897088420001,-14.888890514 66.3891638420001,-14.9066635139999 66.3869368420001,-14.9302815139999 66.382763842,-14.9436095139999 66.3788728420001,-14.960281514 66.3719368420001,-14.9699995139999 66.3669458420001,-15.000899514 66.349345842,-15.009863514 66.337772842,-15.099445514 66.278881842,-15.1127815139999 66.2749908420001,-15.128336514 66.271945842,-15.1461095139999 66.2699908420001,-15.2124995139999 66.2641638420001,-15.327781514 66.214717842,-15.3311095139999 66.1983178410001,-15.339581514 66.1773548410001,-15.3580545139999 66.155817841,-15.3743095139999 66.1452728410001,-15.5588905139999 66.216381842,-15.694581515 66.227481842,-15.7288905149999 66.2652728420001,-15.749727515 66.2922178420001,-15.738890515 66.296936842,-15.7205545149999 66.3077728420001,-15.687227515 66.3324908420001,-15.6829185149999 66.3456908420001,-15.6983365149999 66.383326842,-15.7097275149999 66.397217842,-15.832781515 66.4149908420001,-15.854163515 66.4169268420001,-15.8941635149999 66.4874908420001,-15.956945515 66.511381842,-16.025418515 66.5360998420001,-16.1752815149999 66.5347178420001)))', 'Icelandic Exclusive Economic Zone', 'Iceland', 'Iceland', '', '143', '143', 'ISL', '5680', '', '750995970600', '5680', 'Y'),('SRID=4326;MULTIPOLYGON(((92.2604122160001 21.047821045,92.260399867 21.0478009130001,92.261758586 21.0535575230001,92.261936248 21.0543091490001,92.2619975860001 21.0539535230001,92.2625203570001 21.0509114400001,92.2624168300001 21.050820249,92.2623920440001 21.0507984160001,92.2612438200001 21.049232483,92.2608699800001 21.048128128,92.2604122160001 21.047821045)),((90.587281584 23.5420815250001,90.6001995840001 23.491727525,90.6467095840001 23.507218525,90.666372584 23.517672525,90.6950455840001 23.515209525,90.691699584 23.551399525,90.7096365840001 23.5496545250001,90.7160275840001 23.5067995250001,90.6948365840001 23.4782545250001,90.6403995840001 23.486172525,90.6023365840001 23.4666635250001,90.5936635840001 23.3737455250001,90.6219905840001 23.322981525,90.6412365840001 23.198745525,90.624563584 23.058399524,90.6372095840001 23.0366635240001,90.679699584 22.991663524,90.707218584 22.9488815240001,90.722618584 22.9240275240001,90.746927585 22.866109524,90.7508275850001 22.823036524,90.7790185850001 22.7612455240001,90.799427585 22.7322185240001,90.8315185850001 22.688327524,90.945954585 22.5802725240001,90.9652635850001 22.570690524,90.9947725850001 22.572290524,91.0077635850001 22.5795275240001,91.0419275850001 22.591109524,91.118727585 22.5774995240001,91.230672585 22.586381524,91.2594365850001 22.6263815240001,91.2546365850001 22.654581524,91.3347185850001 22.713054524,91.4558275850001 22.7899995240001,91.5441455850001 22.7024995240001,91.5674905850001 22.6741635240001,91.6583275850001 22.554163524,91.6694365850001 22.537218524,91.7044365850001 22.480545524,91.741927585 22.404718524,91.7531905850001 22.3770815240001,91.758881585 22.3533275240001,91.761109585 22.319999524,91.771936585 22.2587455240001,91.786509585 22.232009524,91.8113725860001 22.1936095240001,91.8192995860001 22.1452725240001,91.832972586 22.1213185240001,91.849990586 22.109445524,91.9022095860001 21.922772523,91.915263586 21.862772523,91.9013815860001 21.7744365230001,91.950181586 21.7916185230001,91.9545815860001 21.755809523,91.9463635860001 21.7335095230001,91.961909586 21.680090523,91.9826185860001 21.650827523,92.0150635860001 21.672354523,92.0245095860001 21.7036095230001,92.039427586 21.6602725230001,92.0363725860001 21.635272523,92.0047185860001 21.496109523,91.973036586 21.4663815230001,91.9552635860001 21.4505455230001,91.9752545860001 21.4054095230001,92.0019365860001 21.368609523,92.0269275860001 21.3288815230001,92.0480455860001 21.2849995230001,92.0524725860001 21.253609523,92.0488725860001 21.228609523,92.0479337850001 21.2168435580001,92.0455365860001 21.186799523,92.0480455860001 21.1649995230001,92.0701275860001 21.129027523,92.123027586 21.066936523,92.2074905860001 20.9330545220001,92.222490586 20.901936522,92.3005365860001 20.760272522,92.3271095860001 20.7448185220001,92.330272586 20.774163522,92.3097095860001 20.8311095220001,92.2910905860001 20.868054522,92.2659635860001 20.9129095220001,92.2608185860001 20.934718522,92.256381586 20.974990523,92.2560995860001 21.029581523,92.2570555950001 21.0336319300001,92.2575473790001 21.032001495,92.256551743 21.0295009610001,92.2576084140001 21.0259952550001,92.2584171300001 21.024950027,92.2578506470001 21.02325058,92.2578506470001 21.02035141,92.259057999 21.018575668,92.25928688 21.017778397,92.2600002290001 21.017047882,92.2611713410001 21.0147037510001,92.2615203860001 21.012899399,92.2642402650001 21.009775162,92.264335632 21.0082874300001,92.2641525270001 21.0075473790001,92.264158249 21.006637573,92.265119553 21.003593445,92.2651672360001 21.0033187870001,92.2655143740001 21.002523422,92.2657051090001 21.00220871,92.2664489750001 20.998109818,92.26625061 20.997051239,92.26625061 20.9945507050001,92.266176224 20.994150162,92.2663459780001 20.9913005830001,92.2665252690001 20.989898682,92.2664871220001 20.989238739,92.2669792180001 20.9875869750001,92.2671527860001 20.9872436520001,92.2676448820001 20.9851856230001,92.2680835720001 20.9841709140001,92.268705368 20.980501175,92.2686977390001 20.980400085,92.2690048220001 20.9776821140001,92.2691993710001 20.977098465,92.2691993710001 20.975349426,92.2693748470001 20.9722843170001,92.2694854740001 20.9719810490001,92.2699546810001 20.9696006770001,92.269618988 20.9679012300001,92.2695121770001 20.965351105,92.26978302 20.962850571,92.2699470520001 20.9622135160001,92.2712020870001 20.9596004490001,92.2706642150001 20.957901001,92.270223618 20.9562377930001,92.270271301 20.955316544,92.270681381 20.953004837,92.2716846470001 20.949831009,92.271881104 20.946710587,92.271814346 20.946077347,92.2741470340001 20.940502167,92.275114059 20.9393119810001,92.27558136 20.938165665,92.2755947110001 20.9381465910001,92.2806606290001 20.9358844760001,92.282068253 20.935050964,92.2834224700001 20.934041977,92.283842087 20.9336490630001,92.28404808 20.9332447050001,92.2867641450001 20.9300765990001,92.2876014710001 20.928874969,92.2903099060001 20.926832199,92.2923953800001 20.9248917620001,92.295717354 20.918697228,92.2968864440001 20.913032532,92.2969131470001 20.91264534,92.2975234990001 20.910768509,92.2980632780001 20.908622742,92.2981357570001 20.9082412720001,92.2990627290001 20.9072780610001,92.2997074130001 20.90669632,92.301961899 20.904905319,92.3031463620001 20.904098511,92.3042926790001 20.9010772710001,92.306009293 20.8978996280001,92.3063468930001 20.8967018130001,92.3085346220001 20.891996384,92.3087615970001 20.89163208,92.3094348910001 20.890193939,92.309503555 20.8899478910001,92.3102436070001 20.88816452,92.310850143 20.8854122160001,92.310899734 20.8845500950001,92.311302185 20.882680893,92.311468124 20.8791770940001,92.3114871980001 20.879079819,92.3114891050001 20.8790626530001,92.3118171690001 20.878463745,92.3122806550001 20.876810074,92.313407898 20.8744220730001,92.313423157 20.8743991850001,92.315771103 20.869703293,92.3161411290001 20.869176865,92.3177928920001 20.867912292,92.3196830750001 20.864795685,92.320142746 20.8636417390001,92.320268631 20.8631935120001,92.320539474 20.862585068,92.3210754390001 20.861783981,92.3218536380001 20.860319138,92.3221054080001 20.8599948880001,92.322479248 20.859384537,92.323507309 20.856956482,92.323854446 20.8555889130001,92.3248367310001 20.8532352450001,92.3248481750001 20.853218079,92.3253288270001 20.8522186280001,92.3264564140001 20.850380935,92.3270492550001 20.8488588000001,92.3270492550001 20.84797287,92.3276577 20.8447513580001,92.3288841250001 20.841712952,92.328956604 20.841302872,92.3298072810001 20.8390502930001,92.3303661350001 20.837001801,92.33054924 20.835947037,92.330730438 20.8355789180001,92.3310852050001 20.8346557620001,92.3316650390001 20.8323383330001,92.3319740300001 20.8296661380001,92.3328037260001 20.8278713230001,92.3336143490001 20.825649261,92.333841324 20.8244647980001,92.3339004520001 20.8236522670001,92.3343849180001 20.8221778870001,92.3351135250001 20.818044662,92.3358383180001 20.8164176940001,92.3368511200001 20.813611984,92.337257385 20.8128871920001,92.337911606 20.8095722200001,92.3381118770001 20.809026718,92.3383140560001 20.8082370760001,92.3395767210001 20.804782867,92.3397865300001 20.804065704,92.340187073 20.803295135,92.342382431 20.8009014130001,92.3428382870001 20.7999725340001,92.3435592650001 20.7988395690001,92.3451919560001 20.794569016,92.345867157 20.793167114,92.3470001220001 20.7898883820001,92.347024918 20.7895507810001,92.3470973970001 20.78745079,92.3475856780001 20.7828998570001,92.347715378 20.782592773,92.348871231 20.7767009740001,92.3496379850001 20.7747650150001,92.34942627 20.771249771,92.3496150970001 20.7699718480001,92.3502902980001 20.767498016,92.3528232570001 20.7627716060001,92.3543262480001 20.760492325,92.354438782 20.7602787020001,92.3544425960001 20.760221481,92.35544014 20.753116608,92.355466843 20.752099991,92.3558540340001 20.7497711180001,92.3557758330001 20.746746063,92.3562679290001 20.745807648,92.357048035 20.7451972960001,92.3587837220001 20.7439231870001,92.3612957000001 20.7416591640001,92.3637943270001 20.738868713,92.3652229310001 20.736955643,92.365243912 20.7369308470001,92.3671646120001 20.7342987060001,92.367929459 20.7328319550001,92.3697109220001 20.7284030910001,92.3697204590001 20.7283515930001,92.370462418 20.7256774900001,92.371051788 20.721664429,92.3702602390001 20.720529556,92.3686666670001 20.704388889,92.3653426400001 20.701315349,92.3422179570001 20.6799332590001,92.3413888890001 20.6791666670001,92.3531944440001 20.6641666670001,92.3894138100001 20.626338085,92.3950833330001 20.620416667,92.396695062 20.6181577080001,92.4017228330001 20.611110911,92.41625 20.5907500000001,92.4294444440001 20.5549444440001,92.414555556 20.4364722220001,92.402527778 20.3794722220001,92.403756049 20.3754121150001,92.4035494190001 20.3753496050001,92.401332788 20.374691555,92.40077768 20.3745298860001,92.3996655860001 20.3742122510001,92.3991086180001 20.3740562890001,92.396877321 20.373443927,92.3963185870001 20.373293694,92.395199382 20.3729989660001,92.3946389010001 20.372854471,92.3923940180001 20.372288096,92.3918319670001 20.3721493800001,92.390706283 20.3718777290001,92.3901426560001 20.371744795,92.3878852170001 20.3712246640001,92.3873200670001 20.37109752,92.3861883320001 20.370849046,92.3856217640001 20.3707277190001,92.383352841 20.370254081,92.3827848910001 20.370138578,92.3816477070001 20.369913415,92.381078464 20.369803754,92.378657 20.3693505910001,92.3782417140001 20.369275015,92.377803515 20.36919527,92.376380354 20.3689438260001,92.3755310710001 20.3687982440001,92.3749260760001 20.368699325,92.373771058 20.3685182610001,92.3714648590001 20.368174363,92.370079715 20.3679795190001,92.366156904 20.3674597680001,92.3624023630001 20.367090526,92.3591323320001 20.366878963,92.3560722220001 20.3665452540001,92.3543916840001 20.366387381,92.3523335630001 20.36642075,92.3514724250001 20.3662802280001,92.350698772 20.3662146190001,92.3493784650001 20.366140912,92.3480056000001 20.3660263420001,92.346813872 20.365974351,92.3456252190001 20.365926626,92.3443181960001 20.3658823230001,92.3433992980001 20.3658604570001,92.342422565 20.365861067,92.341570324 20.3658656970001,92.340976363 20.365851966,92.3379271800001 20.365725712,92.336376805 20.3657368780001,92.3357239530001 20.3657457080001,92.3344615710001 20.3657700730001,92.333830386 20.365785782,92.3327629550001 20.365818716,92.3318943770001 20.365849731,92.3303182100001 20.365875085,92.326605274 20.3659814760001,92.324742572 20.3660656180001,92.3224237490001 20.366208736,92.321844232 20.3662474930001,92.3206856410001 20.3663309620001,92.320106594 20.3663756720001,92.3177916230001 20.3665663900001,92.3172131190001 20.3666170440001,92.3160567290001 20.3667242940001,92.3154788310001 20.3667808910001,92.31316881 20.3670191190001,92.3125916530001 20.367081641,92.3114380430001 20.3672126160001,92.310861581 20.367281072,92.3085576180001 20.3675666950001,92.307982042 20.3676410580001,92.306831688 20.367795705,92.306256927 20.367875988,92.303816194 20.368230109,92.302953367 20.3683597090001,92.301515813 20.3685832360001,92.3007942300001 20.368698888,92.3003623980001 20.3687702390001,92.2995131160001 20.3689158190001,92.2980899570001 20.3691672630001,92.2972364680001 20.369322584,92.2948149690001 20.369775754,92.294245704 20.3698854190001,92.2931085220001 20.3701105810001,92.292540617 20.3702260760001,92.290271703 20.370699712,92.289705085 20.370821049,92.2885733570001 20.371069522,92.2880082470001 20.371196657,92.285750808 20.371716787,92.285187169 20.3718497250001,92.284061503 20.372121372,92.2834994780001 20.372260081,92.281049507 20.372879024,92.2800248070001 20.3731449910001,92.279564291 20.3732669670001,92.278017897 20.373656113,92.2774262410001 20.3738081000001,92.2762446690001 20.3741185210001,92.275654822 20.374276938,92.2734235140001 20.3748892990001,92.2728665340001 20.3750452640001,92.271754399 20.375362909,92.271199261 20.3755245840001,92.2689825990001 20.3761826410001,92.2684293290001 20.3763500170001,92.2673248040001 20.3766904290001,92.266773539 20.3768634670001,92.2644344670001 20.3776114460001,92.2636063690001 20.377880883,92.2622274650001 20.378337522,92.2615329320001 20.378571188,92.261118395 20.378712907,92.2603162930001 20.3789925830001,92.2589649970001 20.379471516,92.258155043 20.3797633130001,92.2558538040001 20.380605458,92.255313313 20.380806545,92.254234678 20.3812142630001,92.253696528 20.3814208970001,92.251548933 20.382258392,92.251013248 20.38247052,92.2499442860001 20.382900297,92.2494110110001 20.383117945,92.247283296 20.3839993440001,92.2467526040001 20.384222439,92.2456938450001 20.3846740610001,92.245165796 20.3849025800001,92.2430589560001 20.385827464,92.2425335390001 20.386061408,92.2414854580001 20.386534671,92.2409627790001 20.386773998,92.2388777640001 20.387741953,92.2383578860001 20.3879866280001,92.2373209660001 20.388481316,92.2368039460001 20.3887313160001,92.2347417670001 20.389741875,92.2342275980001 20.3899972020001,92.23320233 20.3905130800001,92.232691227 20.390773632,92.2305247100001 20.3918929290001,92.2297569250001 20.3922946170001,92.2284792010001 20.392971776,92.2278335870001 20.3933179530001,92.2274493300001 20.3935264510001,92.226717265 20.3939295440001,92.225477971 20.3946202660001,92.224735691 20.3950390910001,92.2226243260001 20.3962446310001,92.2221289650001 20.3965310580001,92.2211416110001 20.3971089680001,92.2206496030001 20.39740046,92.2186884820001 20.398576421,92.2181999100001 20.3988729210001,92.2172261380001 20.3994709730001,92.2167409470001 20.399772521,92.2148074290001 20.4009884980001,92.214325779 20.4012949890001,92.2133660490001 20.401912903,92.2128879900001 20.4022243100001,92.210983013 20.403479712,92.2105085470001 20.4037960310001,92.209563303 20.4044335190001,92.2090925130001 20.404754697,92.2072169770001 20.406048937,92.206749926 20.406374928,92.2058196150001 20.407031692,92.205356366 20.407362457,92.2035111500001 20.4086949270001,92.2030517260001 20.4090304430001,92.202136824 20.4097061470001,92.2016813370001 20.4100463400001,92.1997531150001 20.41150315,92.199069282 20.4120254690001,92.1979325450001 20.412903543,92.1972377590001 20.4134464220001,92.1968065090001 20.4137887420001,92.196007986 20.4144309710001,92.1944016470001 20.415741575,92.1934432070001 20.416536234,92.1907299220001 20.4188212030001,92.1900958840001 20.419364092,92.188837155 20.4204593870001,92.1882124580001 20.4210117960001,92.185732934 20.4232399260001,92.185117721 20.423801715,92.1838969360001 20.4249345430001,92.1832913690001 20.425505577,92.180739411 20.4279520960001,92.179845743 20.4288222910001,92.178368747 20.4302837870001,92.1774900230001 20.431167386,92.1760186440001 20.432670349,92.1754004040001 20.4333094180001,92.1743764880001 20.434380091,92.17376604 20.435025819,92.1719455690001 20.436973875,92.171336485 20.437633303,92.1703259830001 20.4387402410001,92.169814133 20.439307006,92.1695160360001 20.439640647,92.1689822270001 20.4402460810001,92.1680721010001 20.441289381,92.1675283220001 20.4419195990001,92.165980899 20.4437322650001,92.165619087 20.4441609890001,92.1649584940001 20.444952567,92.1640833330001 20.4442222220001,92.002111111 20.218416667,91.954990734 20.171419042,91.8421666670001 20.0588888890001,89.708948885 18.5651937600001,89.949027404 19.069922552,89.9033382280001 19.2033262680001,89.7098772630001 19.7634365640001,89.647402808 19.9443132860001,89.5374951210001 20.260892278,89.4550004560001 20.4985105810001,89.3921262950001 20.67911444,89.3163823720001 20.898052765,89.3163192250001 20.8983091200001,89.2457544590001 21.2293234640001,89.2420549720001 21.2463060370001,89.2383058140001 21.2631009150001,89.2345069880001 21.2797693520001,89.230757661 21.2957954820001,89.1944218250001 21.447716574,89.184581661 21.483218102,89.1715247930001 21.5389021070001,89.169784614 21.5459733380001,89.1585863080001 21.5919869620001,89.156228142 21.6022560320001,89.12730385 21.7404526920001,89.1273038260001 21.740452799,89.1217010350001 21.7455419,89.1216897880001 21.7455521150001,89.107062032 21.7588387280001,89.0833886930001 21.782512067,89.0700742600001 21.81358276,89.0567578180001 21.853530076,89.0478811950001 21.894957666,89.0557107170001 21.902786657,89.062676906 21.9097523740001,89.0715535830001 21.937863523,89.0704395010001 21.9343355350001,89.0715535290001 21.937863522,89.074512069 21.9748522990001,89.077121887 22.007469262,89.0774715570001 22.0118401940001,89.074911075 22.017388436,89.0685949900001 22.0310745960001,89.062413221 22.0416712300001,89.0582370880001 22.048829852,89.0493604640001 22.078419266,89.0493604640001 22.0961745220001,89.05282873 22.1048448920001,89.055278548 22.110969229,89.0629992600001 22.115472335,89.0629978680001 22.1154746060001,89.0630003270001 22.115473181,89.0574823520001 22.08582706,89.0586791540001 22.0683531340001,89.0591095760001 22.062072619,89.089563416 22.014591109,89.0895634070001 22.014590797,89.0895635830001 22.014590523,89.0881455830001 21.963981523,89.0788725830001 21.896663523,89.0818417130001 21.88545678,89.102000316 21.8093731170001,89.1334207080001 21.79492508,89.1334206860001 21.794924882,89.1537995830001 21.785554523,89.189972583 21.7874995230001,89.2166635830001 21.7236095230001,89.2172095830001 21.6931905230001,89.2074546900001 21.6521819720001,89.2290759140001 21.6468025500001,89.2449815830001 21.6428455230001,89.2930365830001 21.669445523,89.2958185830001 21.761390523,89.354981583 21.9660365230001,89.372336583 21.933745523,89.3847095830001 21.8926365230001,89.381572583 21.863472523,89.367545583 21.841454523,89.3621995830001 21.806109523,89.3630365830001 21.7694455230001,89.3728275830001 21.7309635230001,89.392554583 21.7111095230001,89.418245583 21.7138095230001,89.4627635830001 21.768890523,89.5166635830001 21.9102725230001,89.5194365830001 21.953327523,89.4876725830001 22.032263523,89.5188725830001 22.0644455240001,89.513099583 22.089109524,89.5025995830001 22.1101095240001,89.4924815830001 22.131936524,89.462063583 22.219854524,89.474709583 22.2891635240001,89.495809583 22.260899524,89.489009583 22.227218524,89.4871995830001 22.1969455240001,89.5102815830001 22.1408365240001,89.524990583 22.097863524,89.5340455830001 22.0639275240001,89.528254583 21.9906905230001,89.5491275830001 21.996736523,89.580554583 22.1195815240001,89.5773455830001 22.141527524,89.5620635830001 22.1630545240001,89.5477635830001 22.1889545240001,89.5499905830001 22.2102725240001,89.5772095830001 22.2638815240001,89.6151185830001 22.3195815240001,89.6038635830001 22.2572185240001,89.5980365830001 22.0816635240001,89.5681815830001 21.8861095230001,89.5578995830001 21.866109523,89.5261725830001 21.8287455230001,89.521654583 21.800272523,89.544009583 21.732081523,89.561372583 21.709299523,89.5810995830001 21.701663523,89.698863584 21.783881523,89.7909635840001 21.826799523,89.8181725840001 21.8349995230001,89.8837365840001 21.8946455230001,89.870536584 21.924718523,89.854009584 21.9487455230001,89.8468635840001 21.9817995230001,89.866299584 22.082218524,89.8708185840001 22.1019365240001,89.868036584 22.1551365240001,89.863309584 22.1806905240001,89.854572584 22.2102725240001,89.841381584 22.2609725240001,89.8477635840001 22.2866635240001,89.8599815840001 22.3147185240001,89.9094275840001 22.3902725240001,89.9430365840001 22.4336095240001,89.9766365840001 22.4648365240001,89.9816545840001 22.4689365240001,89.9999995840001 22.4837545240001,89.9847905840001 22.450309524,89.9724635840001 22.4298545240001,89.9452545840001 22.403881524,89.9310905840001 22.3894365240001,89.9127545840001 22.3605545240001,89.8741455840001 22.2766635240001,89.8758815840001 22.2431185240001,89.886654584 22.2194365240001,89.8960995840001 22.1999995240001,89.914709584 22.1362455240001,89.9152635840001 22.1013905240001,89.9110275840001 22.0634725240001,89.9158185840001 22.037218523,89.9338725840001 21.9947185230001,89.958727584 21.9724275230001,89.9819095840001 21.9831455230001,89.9780455840001 22.0268275230001,90.0401185840001 22.1411725240001,90.074090584 22.158881524,90.0614455840001 22.142218524,90.0406815840001 22.127636524,89.9919275840001 22.0253365230001,90.002627584 21.994190523,90.0481455840001 21.9830185230001,90.064654584 21.9994275230001,90.0769365840001 22.033190523,90.0952635840001 22.061663524,90.148745584 22.1180545240001,90.238445584 22.1828455240001,90.2194275840001 22.120136524,90.188799584 22.110136524,90.162481584 22.107636524,90.1185905840001 22.065827524,90.092754584 22.0352725230001,90.0299185840001 21.943809523,90.023318584 21.863472523,90.115536584 21.8122185230001,90.154709584 21.8016635230001,90.1708185840001 21.798336523,90.2024815840001 21.802981523,90.2699905840001 21.8469365230001,90.2817905840001 21.868745523,90.2910995840001 21.901663523,90.307763584 21.9744365230001,90.317218584 22.0022185230001,90.340681584 22.0473545240001,90.367136584 22.0759725240001,90.396381584 22.1641635240001,90.388454584 22.2121455240001,90.401381584 22.260554524,90.405545584 22.2324905240001,90.4063725840001 22.207218524,90.405818584 22.1516635240001,90.3903365840001 22.100345524,90.4359545840001 22.073054524,90.4908635840001 22.1439455240001,90.4959455840001 22.1722275240001,90.527618584 22.1874905240001,90.562063584 22.2067995240001,90.6033185840001 22.2744365240001,90.6124815840001 22.302772524,90.617336584 22.3449995240001,90.6169275840001 22.3711095240001,90.5903815840001 22.4323545240001,90.601509584 22.4717995240001,90.583881584 22.5274995240001,90.4952545840001 22.694436524,90.4560995840001 22.749436524,90.4243995840001 22.770190524,90.4689365840001 22.8798995240001,90.4816545840001 22.964718524,90.4492275840001 23.043609524,90.4530365840001 23.0657995240001,90.493127584 23.0720275240001,90.5588725840001 23.0738815240001,90.5785995840001 23.0899995240001,90.5983185840001 23.1179185240001,90.6146995840001 23.1894365250001,90.6131815840001 23.2183275250001,90.6055455840001 23.2430455250001,90.566654584 23.2900635250001,90.526718584 23.2967635250001,90.498599584 23.2987455250001,90.4713725840001 23.3063815250001,90.4265095840001 23.3249995250001,90.3088725840001 23.414436525,90.3108095840001 23.435827525,90.3347185840001 23.429163525,90.3741455840001 23.419163525,90.3974905840001 23.4133275250001,90.485809584 23.396109525,90.5480455840001 23.3842995250001,90.574718584 23.4424995250001,90.5777635840001 23.5366635250001,90.5076185840001 23.5509725250001,90.4873455840001 23.5601365250001,90.4735995840001 23.575827525,90.5608095840001 23.5866635250001,90.5938275840001 23.5979635250001,90.608463584 23.5816635250001,90.587281584 23.5420815250001),(90.4934545840001 22.7433275240001,90.5194365840001 22.685827524,90.5472095840001 22.7194365240001,90.5444455840001 22.7512275240001,90.541618584 22.7831995240001,90.5654365840001 22.783818524,90.6263725840001 22.7880545240001,90.6458275840001 22.7924995240001,90.6563725840001 22.7963905240001,90.6780995840001 22.807909524,90.691927584 22.832218524,90.6924725840001 22.843472524,90.6835905840001 22.853881524,90.660809584 22.864999524,90.6416635840001 22.870272524,90.587772584 22.8822185240001,90.550536584 22.882499524,90.4699185840001 22.8672905240001,90.455681584 22.765827524,90.4666635840001 22.759854524,90.484572584 22.755690524,90.4934545840001 22.7433275240001),(90.5747095840001 22.7511095240001,90.5558185840001 22.6774905240001,90.553036584 22.661109524,90.550809584 22.639718524,90.5516545840001 22.6274905240001,90.5569275840001 22.605272524,90.5999905840001 22.569999524,90.6141545840001 22.5638815240001,90.6334725840001 22.558672524,90.6427635840001 22.5530545240001,90.6474905840001 22.5441635240001,90.6619275840001 22.5127725240001,90.6655455840001 22.5022185240001,90.6766545840001 22.4455455240001,90.6847095840001 22.392490524,90.6833185840001 22.341381524,90.676372584 22.269718524,90.6722095840001 22.254863524,90.6624905840001 22.236109524,90.6517905840001 22.2231905240001,90.6305365840001 22.173881524,90.6238725840001 22.156109524,90.619136584 22.1369365240001,90.6019995840001 22.0317365230001,90.637418584 21.9926275230001,90.671372584 21.987218523,90.769709585 22.070063524,90.8202635850001 22.135827524,90.827209585 22.157218524,90.8474905850001 22.231109524,90.8510905850001 22.2461095240001,90.8658185850001 22.3184725240001,90.878863585 22.436663524,90.8774725850001 22.457218524,90.8690095850001 22.487499524,90.859563585 22.499999524,90.8327635850001 22.518327524,90.7941455850001 22.5538905240001,90.7127635840001 22.6519365240001,90.7052635840001 22.6716635240001,90.7038725840001 22.684163524,90.7027725840001 22.696663524,90.696636584 22.727218524,90.6924725840001 22.7405545240001,90.6809545840001 22.7734725240001,90.6724815840001 22.7816635240001,90.662481584 22.7831905240001,90.6405455840001 22.7813905240001,90.6055455840001 22.7779095240001,90.590818584 22.773745524,90.5830545840001 22.7669365240001,90.5747095840001 22.7511095240001),(91.432827585 22.622699524,91.4052545850001 22.5236095240001,91.402772585 22.5111095240001,91.402772585 22.4980545240001,91.4052545850001 22.482772524,91.4083275850001 22.472218524,91.429699585 22.4330545240001,91.4466365850001 22.403881524,91.4752635850001 22.3622185240001,91.486099585 22.3533275240001,91.4998455850001 22.347354524,91.513045585 22.345554524,91.529709585 22.3477725240001,91.5458185850001 22.3555545240001,91.554427585 22.361381524,91.5619185850001 22.3706905240001,91.568181585 22.385690524,91.5683275850001 22.4024995240001,91.5638725850001 22.4205545240001,91.5599815850001 22.435272524,91.556363585 22.444999524,91.5322455850001 22.4961095240001,91.525272585 22.5094455240001,91.4599905850001 22.6055545240001,91.4472095850001 22.6205545240001,91.432827585 22.622699524),(91.1008185850001 22.511663524,91.089709585 22.5240275240001,91.0767995850001 22.5202725240001,91.073045585 22.507499524,91.0638725850001 22.3894365240001,91.0624815850001 22.345554524,91.0630365850001 22.332218524,91.0621905850001 22.2841635240001,91.0535905850001 22.184163524,91.0516545850001 22.171936524,91.027209585 22.083881524,91.0352725850001 22.085554524,91.047763585 22.092218524,91.073881585 22.108609524,91.0824905850001 22.114999524,91.134154585 22.154718524,91.1416635850001 22.161381524,91.1574815850001 22.1783275240001,91.1638815850001 22.186936524,91.171099585 22.2030455240001,91.174699585 22.218609524,91.1780365850001 22.2480545240001,91.179427585 22.264718524,91.1799815850001 22.2905545240001,91.1738725850001 22.3211095240001,91.144145585 22.4091635240001,91.1008185850001 22.511663524),(90.5631725840001 22.033054523,90.6107365840001 22.1616635240001,90.5910905840001 22.156109524,90.582218584 22.1508275240001,90.5616455840001 22.1374995240001,90.4935905840001 22.086381524,90.4863635840001 22.0770815240001,90.4794275840001 22.038190523,90.4944275840001 22.007772523,90.5002725840001 21.999436523,90.5136095840001 21.9891635230001,90.5174905840001 21.988045523,90.523609584 21.991109523,90.5437275840001 22.002772523,90.5563635840001 22.020554523,90.5631725840001 22.033054523),(91.8459545860001 21.704163523,91.843872586 21.6905545230001,91.854427586 21.5130545230001,91.8574815860001 21.501109523,91.862490586 21.491109523,91.8694275860001 21.483881523,91.8774725860001 21.4777725230001,91.886936586 21.473327523,91.8974905860001 21.4766635230001,91.949999586 21.499999523,91.9577635860001 21.5063815230001,91.9649905860001 21.5163815230001,91.979427586 21.589163523,91.9822095860001 21.6116635230001,91.981790586 21.6273545230001,91.9783185860001 21.6427725230001,91.9472455860001 21.6830275230001,91.9363725860001 21.7341635230001,91.884009586 21.754999523,91.868863586 21.7519455230001,91.8633095860001 21.743609523,91.8569365860001 21.7299995230001,91.8459545860001 21.704163523)))', 'Bangladeshi Exclusive Economic Zone', 'Bangladesh', 'Bangladesh', '', '204', '204', 'BGD', '8481', '2012-10', '85648215490', '8481', 'Y'),('SRID=4326;MULTIPOLYGON(((89.6103300360001 18.3578625390001,89.708948885 18.5651937600001,91.8421666670001 20.0588888890001,91.954990734 20.171419042,92.002111111 20.218416667,92.1640833330001 20.4442222220001,92.1649584940001 20.444952567,92.165619087 20.4441609890001,92.165980899 20.4437322650001,92.1675283220001 20.4419195990001,92.1680721010001 20.441289381,92.1689822270001 20.4402460810001,92.1695160360001 20.439640647,92.169814133 20.439307006,92.1703259830001 20.4387402410001,92.171336485 20.437633303,92.1719455690001 20.436973875,92.17376604 20.435025819,92.1743764880001 20.434380091,92.1754004040001 20.4333094180001,92.1760186440001 20.432670349,92.1774900230001 20.431167386,92.178368747 20.4302837870001,92.179845743 20.4288222910001,92.180739411 20.4279520960001,92.1832913690001 20.425505577,92.1838969360001 20.4249345430001,92.185117721 20.423801715,92.185732934 20.4232399260001,92.1882124580001 20.4210117960001,92.188837155 20.4204593870001,92.1900958840001 20.419364092,92.1907299220001 20.4188212030001,92.1934432070001 20.416536234,92.1944016470001 20.415741575,92.196007986 20.4144309710001,92.1968065090001 20.4137887420001,92.1972377590001 20.4134464220001,92.1979325450001 20.412903543,92.199069282 20.4120254690001,92.1997531150001 20.41150315,92.2016813370001 20.4100463400001,92.202136824 20.4097061470001,92.2030517260001 20.4090304430001,92.2035111500001 20.4086949270001,92.205356366 20.407362457,92.2058196150001 20.407031692,92.206749926 20.406374928,92.2072169770001 20.406048937,92.2090925130001 20.404754697,92.209563303 20.4044335190001,92.2105085470001 20.4037960310001,92.210983013 20.403479712,92.2128879900001 20.4022243100001,92.2133660490001 20.401912903,92.214325779 20.4012949890001,92.2148074290001 20.4009884980001,92.2167409470001 20.399772521,92.2172261380001 20.3994709730001,92.2181999100001 20.3988729210001,92.2186884820001 20.398576421,92.2206496030001 20.39740046,92.2211416110001 20.3971089680001,92.2221289650001 20.3965310580001,92.2226243260001 20.3962446310001,92.224735691 20.3950390910001,92.225477971 20.3946202660001,92.226717265 20.3939295440001,92.2274493300001 20.3935264510001,92.2278335870001 20.3933179530001,92.2284792010001 20.392971776,92.2297569250001 20.3922946170001,92.2305247100001 20.3918929290001,92.232691227 20.390773632,92.23320233 20.3905130800001,92.2342275980001 20.3899972020001,92.2347417670001 20.389741875,92.2368039460001 20.3887313160001,92.2373209660001 20.388481316,92.2383578860001 20.3879866280001,92.2388777640001 20.387741953,92.2409627790001 20.386773998,92.2414854580001 20.386534671,92.2425335390001 20.386061408,92.2430589560001 20.385827464,92.245165796 20.3849025800001,92.2456938450001 20.3846740610001,92.2467526040001 20.384222439,92.247283296 20.3839993440001,92.2494110110001 20.383117945,92.2499442860001 20.382900297,92.251013248 20.38247052,92.251548933 20.382258392,92.253696528 20.3814208970001,92.254234678 20.3812142630001,92.255313313 20.380806545,92.2558538040001 20.380605458,92.258155043 20.3797633130001,92.2589649970001 20.379471516,92.2603162930001 20.3789925830001,92.261118395 20.378712907,92.2615329320001 20.378571188,92.2622274650001 20.378337522,92.2636063690001 20.377880883,92.2644344670001 20.3776114460001,92.266773539 20.3768634670001,92.2673248040001 20.3766904290001,92.2684293290001 20.3763500170001,92.2689825990001 20.3761826410001,92.271199261 20.3755245840001,92.271754399 20.375362909,92.2728665340001 20.3750452640001,92.2734235140001 20.3748892990001,92.275654822 20.374276938,92.2762446690001 20.3741185210001,92.2774262410001 20.3738081000001,92.278017897 20.373656113,92.279564291 20.3732669670001,92.2800248070001 20.3731449910001,92.281049507 20.372879024,92.2834994780001 20.372260081,92.284061503 20.372121372,92.285187169 20.3718497250001,92.285750808 20.371716787,92.2880082470001 20.371196657,92.2885733570001 20.371069522,92.289705085 20.370821049,92.290271703 20.370699712,92.292540617 20.3702260760001,92.2931085220001 20.3701105810001,92.294245704 20.3698854190001,92.2948149690001 20.369775754,92.2972364680001 20.369322584,92.2980899570001 20.3691672630001,92.2995131160001 20.3689158190001,92.3003623980001 20.3687702390001,92.3007942300001 20.368698888,92.301515813 20.3685832360001,92.302953367 20.3683597090001,92.303816194 20.368230109,92.306256927 20.367875988,92.306831688 20.367795705,92.307982042 20.3676410580001,92.3085576180001 20.3675666950001,92.310861581 20.367281072,92.3114380430001 20.3672126160001,92.3125916530001 20.367081641,92.31316881 20.3670191190001,92.3154788310001 20.3667808910001,92.3160567290001 20.3667242940001,92.3172131190001 20.3666170440001,92.3177916230001 20.3665663900001,92.320106594 20.3663756720001,92.3206856410001 20.3663309620001,92.321844232 20.3662474930001,92.3224237490001 20.366208736,92.324742572 20.3660656180001,92.326605274 20.3659814760001,92.3303182100001 20.365875085,92.3318943770001 20.365849731,92.3327629550001 20.365818716,92.333830386 20.365785782,92.3344615710001 20.3657700730001,92.3357239530001 20.3657457080001,92.336376805 20.3657368780001,92.3379271800001 20.365725712,92.340976363 20.365851966,92.341570324 20.3658656970001,92.342422565 20.365861067,92.3433992980001 20.3658604570001,92.3443181960001 20.3658823230001,92.3456252190001 20.365926626,92.346813872 20.365974351,92.3480056000001 20.3660263420001,92.3493784650001 20.366140912,92.350698772 20.3662146190001,92.3514724250001 20.3662802280001,92.3523335630001 20.36642075,92.3543916840001 20.366387381,92.3560722220001 20.3665452540001,92.3591323320001 20.366878963,92.3624023630001 20.367090526,92.366156904 20.3674597680001,92.370079715 20.3679795190001,92.3714648590001 20.368174363,92.373771058 20.3685182610001,92.3749260760001 20.368699325,92.3755310710001 20.3687982440001,92.376380354 20.3689438260001,92.377803515 20.36919527,92.3782417140001 20.369275015,92.378657 20.3693505910001,92.381078464 20.369803754,92.3816477070001 20.369913415,92.3827848910001 20.370138578,92.383352841 20.370254081,92.3856217640001 20.3707277190001,92.3861883320001 20.370849046,92.3873200670001 20.37109752,92.3878852170001 20.3712246640001,92.3901426560001 20.371744795,92.390706283 20.3718777290001,92.3918319670001 20.3721493800001,92.3923940180001 20.372288096,92.3946389010001 20.372854471,92.395199382 20.3729989660001,92.3963185870001 20.373293694,92.396877321 20.373443927,92.3991086180001 20.3740562890001,92.3996655860001 20.3742122510001,92.40077768 20.3745298860001,92.401332788 20.374691555,92.4035494190001 20.3753496050001,92.403756049 20.3754121150001,92.402527778 20.3794722220001,92.414555556 20.4364722220001,92.4294444440001 20.5549444440001,92.41625 20.5907500000001,92.4017228330001 20.611110911,92.396695062 20.6181577080001,92.3950833330001 20.620416667,92.3894138100001 20.626338085,92.3531944440001 20.6641666670001,92.3413888890001 20.6791666670001,92.3422179570001 20.6799332590001,92.3653426400001 20.701315349,92.3686666670001 20.704388889,92.3702602390001 20.720529556,92.371051788 20.721664429,92.370462418 20.7256774900001,92.3697204590001 20.7283515930001,92.3697109220001 20.7284030910001,92.367929459 20.7328319550001,92.3671646120001 20.7342987060001,92.365243912 20.7369308470001,92.3652229310001 20.736955643,92.3637943270001 20.738868713,92.3612957000001 20.7416591640001,92.3587837220001 20.7439231870001,92.357048035 20.7451972960001,92.3562679290001 20.745807648,92.3557758330001 20.746746063,92.3558540340001 20.7497711180001,92.355466843 20.752099991,92.35544014 20.753116608,92.3544425960001 20.760221481,92.354438782 20.7602787020001,92.3543262480001 20.760492325,92.3528232570001 20.7627716060001,92.3502902980001 20.767498016,92.3496150970001 20.7699718480001,92.34942627 20.771249771,92.3496379850001 20.7747650150001,92.348871231 20.7767009740001,92.347715378 20.782592773,92.3475856780001 20.7828998570001,92.3470973970001 20.78745079,92.347024918 20.7895507810001,92.3470001220001 20.7898883820001,92.345867157 20.793167114,92.3451919560001 20.794569016,92.3435592650001 20.7988395690001,92.3428382870001 20.7999725340001,92.342382431 20.8009014130001,92.340187073 20.803295135,92.3397865300001 20.804065704,92.3395767210001 20.804782867,92.3383140560001 20.8082370760001,92.3381118770001 20.809026718,92.337911606 20.8095722200001,92.337257385 20.8128871920001,92.3368511200001 20.813611984,92.3358383180001 20.8164176940001,92.3351135250001 20.818044662,92.3343849180001 20.8221778870001,92.3339004520001 20.8236522670001,92.333841324 20.8244647980001,92.3336143490001 20.825649261,92.3328037260001 20.8278713230001,92.3319740300001 20.8296661380001,92.3316650390001 20.8323383330001,92.3310852050001 20.8346557620001,92.330730438 20.8355789180001,92.33054924 20.835947037,92.3303661350001 20.837001801,92.3298072810001 20.8390502930001,92.328956604 20.841302872,92.3288841250001 20.841712952,92.3276577 20.8447513580001,92.3270492550001 20.84797287,92.3270492550001 20.8488588000001,92.362199586 20.758609522,92.380609586 20.6951995220001,92.4088725860001 20.6802725220001,92.430818586 20.671381522,92.4602635860001 20.6497185220001,92.500409586 20.6158275220001,92.5606016040001 20.5358024110001,92.6197095860001 20.4572185220001,92.6814995860001 20.332909522,92.6927455860001 20.3038905220001,92.7117905860001 20.2759725220001,92.737199586 20.2631905220001,92.735954586 20.436109522,92.705699586 20.591981522,92.6867905860001 20.6102725220001,92.644327586 20.6858275220001,92.7136095860001 20.600827522,92.7960995860001 20.489990522,92.8463725860001 20.402499522,92.891936587 20.322772522,92.866654586 20.3015275220001,92.790599586 20.2554185220001,92.769772586 20.2032275220001,92.8676815860001 20.119509522,92.8909725870001 20.1190275220001,93.006799587 20.295690522,93.021099587 20.355554522,93.021099587 20.380272522,93.018599587 20.4036095220001,93.021236587 20.432218522,93.0313725870001 20.469436522,93.0820725870001 20.539199522,93.0799905870001 20.5094455220001,93.032763587 20.3847185220001,92.9894275870001 20.2061095220001,92.994145587 20.149299522,93.014572587 20.144163522,93.041927587 20.1649995220001,93.0790905870001 20.1970815220001,93.1143455870001 20.216172522,93.109154587 20.171245522,93.0585905870001 20.129999522,92.9821995870001 20.1238455220001,92.9819275870001 20.0744455220001,93.1266365870001 19.839299521,93.1672095870001 19.8024995210001,93.133599587 19.8504095210001,93.1006095870001 19.9513185220001,93.1005455870001 19.975827522,93.1381815870001 19.9763545220001,93.150981587 19.9491095220001,93.1710995870001 19.922218522,93.222763587 19.827636521,93.2429635870001 19.8317995210001,93.2147095870001 19.8729095210001,93.1754275870001 19.9605545220001,93.167936587 19.979381522,93.1378725870001 20.065727522,93.164154587 20.054445522,93.2629095870001 20.042218522,93.283054587 20.044445522,93.3710905870001 20.041945522,93.400127587 20.0120815220001,93.4131815870001 19.9738815220001,93.452427587 19.952481522,93.4897185870001 19.964209522,93.5118275870001 19.947590522,93.534899587 19.923699522,93.5554455870001 19.893499521,93.586436587 19.8792995210001,93.6104635870001 19.902699522,93.7243545870001 19.9324275220001,93.7419275870001 19.916663522,93.723663587 19.881109521,93.6926905870001 19.8874905210001,93.661927587 19.8769365210001,93.599563587 19.785827521,93.6003995870001 19.7174905210001,93.684418587 19.719436521,93.7329725870001 19.623118521,93.8208275870001 19.5486095210001,93.9097095870001 19.476936521,93.9857095880001 19.457145521,93.9782455880001 19.3626365210001,93.9488635870001 19.3249995210001,93.917754587 19.2936095210001,93.896099587 19.2730545210001,93.8743095870001 19.255972521,93.8955185870001 19.2117275210001,93.948036587 19.1520815210001,93.9698455880001 19.143472521,93.9960995880001 19.1497185210001,94.0258185880001 19.194581521,94.0334635880001 19.2133275210001,94.0406995880001 19.2413095210001,94.0512905880001 19.2215635210001,94.047954588 19.201763521,94.0418185880001 19.182245521,94.026927588 19.1433275210001,94.0382455880001 19.077845521,94.0577545880001 19.0519365210001,94.040818588 18.9638815210001,94.0287365880001 18.898745521,94.0383905880001 18.8470815210001,94.1202545880001 18.8111095200001,94.1402725880001 18.860690521,94.2385905880001 18.7377725200001,94.2538365880001 18.53461852,94.3424815880001 18.3966635200001,94.383327588 18.3627725200001,94.4894275880001 18.0648635200001,94.487545588 18.02548152,94.4669365880001 18.00305452,94.4938635880001 17.8333275200001,94.5435905880001 17.708327519,94.582490588 17.6338815190001,94.5922095880001 17.615272519,94.612345588 17.5474275190001,94.5697185880001 17.5019455190001,94.568236588 17.4628635190001,94.563036588 17.414999519,94.5505365880001 17.316936519,94.5116545880001 17.2158275190001,94.5252725880001 17.1733275190001,94.4547095880001 16.965545519,94.4099905880001 16.894718519,94.394290588 16.843609519,94.4062365880001 16.798745519,94.3456095880001 16.552499518,94.3115455880001 16.5223905180001,94.2327635880001 16.3508275180001,94.2019365880001 16.0276365180001,94.250963588 15.958890518,94.3272095880001 15.985272518,94.432209588 16.0655545180001,94.5074905880001 16.1798545180001,94.5144365880001 16.2012455180001,94.5179545880001 16.2536185180001,94.5123545880001 16.2832185180001,94.537009588 16.2940095180001,94.5566365880001 16.270827518,94.6162275880001 16.3376365180001,94.6427725880001 16.3379095180001,94.686645588 16.1895815180001,94.6809545880001 16.1238815180001,94.6688725880001 16.093890518,94.649990588 16.059999518,94.6366545880001 16.0399995180001,94.6210905880001 16.0219455180001,94.6041545880001 16.004999518,94.5791635880001 15.981945518,94.5616545880001 15.959163518,94.563736588 15.9386095180001,94.5914365880001 15.9329185180001,94.6224815880001 15.947772518,94.711027588 16.0177095180001,94.7179725880001 16.052081518,94.728318588 16.083327518,94.7606815880001 16.1401365180001,94.7916545880001 16.148663518,94.774427588 16.103609518,94.719290588 16.000972518,94.6919275880001 15.973609518,94.665818588 15.954854518,94.6380455880001 15.943327518,94.605954588 15.9172905180001,94.6123545880001 15.885827518,94.6570725880001 15.8508275180001,94.6788635880001 15.8427725180001,94.6974815880001 15.8424995180001,94.7105365880001 15.8474995180001,94.727345588 15.861109518,94.8402725880001 15.9933275180001,94.8556545880001 16.032872518,94.8508455880001 16.060745518,94.8460275880001 16.1287455180001,94.8610995880001 16.162490518,94.8792905880001 16.190827518,94.8956815880001 16.2054095180001,94.988518588 16.236172518,94.966090588 16.208190518,94.941436588 16.1955545180001,94.9012365880001 16.184299518,94.8728905880001 16.1517995180001,94.8613725880001 16.1305545180001,94.8710995880001 16.0943725180001,94.881681588 16.0483095180001,94.8872815880001 16.0178185180001,94.8358185880001 15.947636518,94.854918588 15.888354518,94.848181588 15.782154518,94.960127588 15.753127518,95.040609589 15.8083275180001,95.052181589 15.838299518,95.073390589 15.9404815180001,95.0747095890001 15.977218518,95.069718589 16.0008275180001,95.067354589 16.0533275180001,95.090190589 16.097845518,95.1372095890001 16.1372185180001,95.180263589 16.1365185180001,95.2242905890001 16.1190905180001,95.1935185890001 16.1122185180001,95.1649905890001 16.108718518,95.1288725890001 16.0869365180001,95.1079635890001 16.0623545180001,95.1020635890001 16.0287455180001,95.1008185890001 15.987636518,95.1210905890001 15.8247185180001,95.1406095890001 15.792218518,95.1735185890001 15.7768725180001,95.2175635890001 15.786318518,95.225881589 15.824163518,95.2170725890001 15.8622185180001,95.2202635890001 15.8872185180001,95.235536589 15.940763518,95.2738725890001 15.999863518,95.2655905890001 15.950399518,95.2386635890001 15.8758275180001,95.2578365890001 15.862909518,95.2854905890001 15.8907905180001,95.3297095890001 15.964718518,95.344845589 15.9955545180001,95.3492905890001 16.0226365180001,95.3497185890001 16.0466635180001,95.345409589 16.0711095180001,95.326518589 16.103745518,95.3349905890001 16.122499518,95.3605995890001 16.141454518,95.3669275890001 16.0430545180001,95.365399589 15.991945518,95.3599815890001 15.968890518,95.3187365890001 15.8737455180001,95.301509589 15.8538905180001,95.2793635890001 15.833399518,95.278045589 15.7899995180001,95.292072589 15.726245518,95.393390589 15.7124995180001,95.4285905890001 15.729718518,95.4494185890001 15.743609518,95.4930455890001 15.775827518,95.519018589 15.797772518,95.6202545890001 15.9002725180001,95.6369365890001 15.917772518,95.673599589 15.961663518,95.6847095890001 15.980409518,95.6883095890001 16.004999518,95.6901185890001 16.0406905180001,95.7321905890001 16.1151545180001,95.753327589 16.1444365180001,95.887354589 16.2373545180001,95.939318589 16.216454518,95.968745589 16.215827518,96.0219275890001 16.255836518,96.072763589 16.314927518,96.0698455890001 16.338054518,96.0068095890001 16.383063518,96.084718589 16.3519365180001,96.1827545900001 16.3474995180001,96.2683275900001 16.3897185180001,96.3036995900001 16.4624365180001,96.2708905900001 16.506099518,96.2513455900001 16.5405635180001,96.22817259 16.5884725180001,96.2072185900001 16.6822185190001,96.1994185900001 16.7244365190001,96.19581859 16.766390519,96.24192759 16.803736519,96.2766185900001 16.8036095190001,96.25692759 16.7856905190001,96.2364095900001 16.7742365190001,96.2217725900001 16.745963519,96.2288635900001 16.7013815190001,96.2647095900001 16.5974995180001,96.29776359 16.550972518,96.3774815900001 16.502499518,96.4094275900001 16.4983275180001,96.4656725900001 16.5011095180001,96.5013905900001 16.5080545180001,96.59623659 16.538745518,96.6194185900001 16.5540275180001,96.6824815900001 16.607772518,96.7631905900001 16.687636519,96.77777259 16.703881519,96.7951275900001 16.726936519,96.84664559 16.842981519,96.8431815900001 16.8711095190001,96.81721859 16.893054519,96.8126365900001 16.8953365190001,96.8078905900001 16.9044365190001,96.83777259 16.9191635190001,96.8714365900001 16.9224275190001,96.9124815900001 17.0366635190001,96.9001275900001 17.083745519,96.8821995900001 17.111663519,96.8708185900001 17.128327519,96.86109959 17.146381519,96.8442905900001 17.1911725190001,96.8641455900001 17.2412455190001,96.87942759 17.3444365190001,96.84220959 17.404990519,96.8780365900001 17.4499995190001,96.8947185900001 17.3824995190001,96.91150959 17.3648545190001,96.96914559 17.3199995190001,97.01081859 17.292772519,97.0616455900001 17.2519455190001,97.15027259 17.1238815190001,97.1649905900001 17.055827519,97.1860995910001 16.899718519,97.2143095910001 16.900390519,97.204709591 16.844718519,97.3577545910001 16.525554518,97.3780365910001 16.494999518,97.4069275910001 16.522563518,97.5083275910001 16.536381518,97.5759545910001 16.5333995180001,97.6658185910001 16.5499995180001,97.704008591 16.572209518,97.7308545910001 16.567390518,97.737290591 16.560763518,97.6813725910001 16.5426365180001,97.6351275910001 16.490409518,97.6224815910001 16.4241635180001,97.6206725910001 16.361245518,97.6249815910001 16.338054518,97.638045591 16.309436518,97.6505455910001 16.277218518,97.6488815910001 16.256663518,97.6149815910001 16.114372518,97.593036591 16.0874095180001,97.569709591 16.0652095180001,97.5741545910001 16.0455545180001,97.594436591 16.0022185180001,97.641372591 15.946663518,97.6930365910001 15.910554518,97.7094275910001 15.884999518,97.7245725910001 15.8466635180001,97.7251905910001 15.7712455180001,97.764436591 15.5108275170001,97.7797085910001 15.4266635170001,97.7360995910001 15.3588905170001,97.735263591 15.330827517,97.7427545910001 15.2522185170001,97.7755455910001 15.206527517,97.798327591 15.1855545170001,97.811227591 15.1526365170001,97.8113725910001 15.104718517,97.7985995910001 14.921945517,97.7972545910001 14.881963517,97.828045591 14.7886095170001,97.8541545910001 14.717499517,97.8771995910001 14.6733365170001,97.9822085910001 14.358327516,98.0115185910001 14.2911095160001,98.035536591 14.250554516,98.067618591 14.2040275160001,98.087208591 14.1798635160001,98.0835995910001 14.0483365160001,98.1035905910001 13.905836516,98.096372591 13.7982635160001,98.0783275910001 13.7893095160001,98.0824905910001 13.7613905160001,98.140681591 13.538190516,98.177127591 13.535136516,98.1980275910001 13.6619455160001,98.1960905910001 13.894999516,98.1877635910001 13.9377725160001,98.179627591 14.0256455160001,98.1862365910001 14.0549995160001,98.2128635910001 14.025963516,98.2341455910001 13.9529185160001,98.249145592 13.859163516,98.2516635920001 13.778327516,98.286654592 13.6841635160001,98.3236085920001 13.6338905160001,98.4038275920001 13.521145516,98.429981592 13.476527516,98.449145592 13.407772515,98.458463592 13.358190515,98.474699592 13.2847185150001,98.493045592 13.256390515,98.5245725920001 13.236390515,98.580336592 13.178327515,98.5838815920001 13.1541635150001,98.5847185920001 13.090272515,98.5937365920001 12.9156905150001,98.6216455920001 12.888054515,98.6352635920001 12.8720095150001,98.680818592 12.6908365150001,98.6488815920001 12.608054515,98.6215085920001 12.558190515,98.6047085920001 12.468609515,98.6048455920001 12.4211815150001,98.628581592 12.3980545150001,98.6447185920001 12.3858275150001,98.6792995920001 12.370036514,98.7035905920001 12.3400455140001,98.683854592 12.3161365140001,98.639072592 12.304745514,98.5680545920001 12.294999514,98.533727592 12.254636514,98.5494815920001 12.2088995140001,98.5972085920001 12.193890514,98.6371725920001 12.224463514,98.6865185920001 12.2419275140001,98.705872592 12.224463514,98.7104275920001 12.199409514,98.6546275920001 12.1686635140001,98.700272592 12.0447185140001,98.720827592 12.013890514,98.7197815920001 11.964236514,98.6630365920001 11.9163905140001,98.605818592 11.8043095140001,98.5984545920001 11.749299514,98.6094185920001 11.723881514,98.6588725920001 11.689163514,98.689981592 11.676527514,98.7074905920001 11.697218514,98.784990592 11.766945514,98.8495725920001 11.732499514,98.8837275920001 11.697218514,98.8298545920001 11.7084725140001,98.7471995920001 11.6748545140001,98.7220725920001 11.558890514,98.701936592 11.374999514,98.7163815920001 11.352499514,98.730818592 11.3266635140001,98.7580455920001 11.268054513,98.7373455920001 11.180136513,98.724154592 11.162218513,98.696918592 11.1370815130001,98.7108185920001 10.992772513,98.7155455920001 10.976945513,98.718599592 10.9559725130001,98.7094275920001 10.916245513,98.6274725920001 10.846109513,98.564145592 10.727218513,98.5265085920001 10.696663513,98.5003365920001 10.726454513,98.4607455920001 10.728745513,98.4566545920001 10.674863513,98.4972725920001 10.4386095130001,98.5113815920001 10.419718513,98.5331815920001 10.3488905130001,98.5106905920001 10.2367995130001,98.5072185920001 10.1569455120001,98.5176513440001 10.077438118,98.5176515090001 10.0774381320001,98.526100307 10.013054041,98.551400243 9.98690904100005,98.5895418250001 10.043846198,98.5895407770001 10.043846167,98.599990592 10.059445512,98.6796995920001 10.1958275120001,98.708327592 10.264999513,98.7427445920001 10.348585513,98.742749712 10.348597801,98.7427541180001 10.348608373,98.7375604260001 10.3222879370001,98.7265294260001 10.282574937,98.7110854260001 10.242862937,98.6890234260001 10.183293937,98.6647544260001 10.136961937,98.6382794260001 10.0840119370001,98.6214408870001 10.044809963,98.6214314260001 10.044787937,98.621431875 10.0447873960001,98.6121609300001 10.0248192070001,98.605742584 10.006990467,98.5993242380001 9.99700637300003,98.587200694 9.98630912900006,98.5779297490001 9.97489873500007,98.564379907 9.96206204200007,98.5529695130001 9.96348834100007,98.5436985680001 9.96705408900004,98.534427624 9.97133298700004,98.5322881750001 9.97489873500007,98.5237303800001 9.97989078200004,98.513033136 9.96990668800004,98.5087542380001 9.96134889300004,98.5059016390001 9.95564369600004,98.4980569940001 9.95207794800007,98.4894991990001 9.95207794800007,98.4723836080001 9.95493054600007,98.4559811670001 9.95992259300004,98.4360129780001 9.96491464100006,98.421036837 9.95706999500004,98.406773845 9.94851220000004,98.4003554980001 9.94352015300007,98.390552933 9.93400284700004,98.3698197290001 9.90290304100006,98.3421754570001 9.87525876900003,98.321442253 9.84070342900003,98.3076201170001 9.80614808900003,98.2937979810001 9.76813721500002,98.2765203110001 9.73358187600007,98.2626981750001 9.70248207000003,98.248876039 9.66447119600002,98.2385094370001 9.62991585600003,98.2246873010001 9.59190498200007,98.2039540970001 9.53316090400006,98.1659432230001 9.49860556400006,98.1210212820001 9.49169449600004,98.0622772040001 9.48823896200003,98.0104441940001 9.50551663200002,97.9793443880001 9.51588323400006,97.9388888890001 9.53750000000002,97.917543225 9.54894127600005,97.8694444440001 9.57472222200005,97.8533333330001 9.58166666700004,97.758055556 9.59416666700002,97.7247222220001 9.60055555600007,97.6266666670001 9.62333333300006,97.4433333330001 9.67638888900007,96.4930555560001 9.75833333300005,95.5902780000001 9.63333300000005,95.5902776080001 9.63333300000005,95.5851940060001 9.63333324400003,95.583333333 9.63333333300005,95.5816442320001 9.63695283700002,95.5783336600001 9.64404691900006,95.4666666670001 9.88333333300005,95.266666667 10.3000000000001,95.2500000000001 10.466666667,95.3666666670001 10.7333333330001,95.4333333330001 11.716666667,95.5000000000001 12.3166666670001,95.6833333330001 12.9,95.0333333330001 13.8000000000001,93.833333333 13.8000000000001,93.6666666670001 13.5666666670001,93.1333333330001 13.8166666670001,92.9 13.95,92.833333333 14.0000000000001,92.4 14.283333333,90.2589985640001 15.6832188880001,90.258998815 15.683219245,90.280774308 15.714179669,90.3154069340001 15.7634203800001,90.317286816 15.7706104440001,90.347694764 15.8869129720001,90.375992335 15.9951438570001,90.376570884 15.9963858780001,90.3767275180001 15.996722139,90.376730104 15.99673202,90.376762248 15.996854855,90.3769795210001 15.9973212890001,90.3770065000001 15.9973792050001,90.377006581 15.9973795120001,90.3775265820001 15.9993665640001,90.6249523910001 16.5291741930001,90.6249525120001 16.529174364,90.7479463600001 16.7026660870001,90.7479463490001 16.702666187,90.7474473780001 16.707362753,90.7472177320001 16.7095243000001,90.7473426770001 16.7111558990001,90.7468667940001 16.715634387,90.7460413030001 16.723402989,90.746166277 16.725035167,90.7451910070001 16.734211337,90.744864684 16.737281669,90.744989687 16.7389144270001,90.7445819120001 16.7427505580001,90.57674518 16.9646700770001,90.4185483590001 17.173843372,90.2666602730001 17.471146687,90.1519359960001 17.6957061580001,90.1515222040001 17.697078058,90.1512242190001 17.698066006,90.1509842900001 17.698533909,90.147661553 17.7095490770001,90.14705473 17.7107323160001,90.1465426730001 17.7117307710001,90.1455455980001 17.7150355100001,90.1432183160001 17.722749132,90.1425985180001 17.723957484,90.1421009210001 17.724927592,90.138774944 17.735949148,90.1376590350001 17.7381243730001,90.1356529600001 17.7447707490001,90.134331435 17.7491491260001,90.133647717 17.7504816810001,90.1332170140001 17.7513211130001,90.1298877900001 17.762349065,90.1298876230001 17.7623493890001,90.1298198900001 17.7624813790001,90.128774858 17.7645178130001,90.125444008 17.775548966,90.1243988800001 17.7775852680001,90.1243325670001 17.777714471,90.121000091 17.7887488280001,90.119890142 17.7909110890001,90.119077884 17.793600224,90.1189697250001 17.793958306,90.118969619 17.793958403,89.9694632630001 17.9309077020001,89.8672039740001 18.02457822,89.6103300360001 18.3578625390001),(93.5027815870001 19.8699995210001,93.4985995870001 19.880554521,93.493318587 19.8894365210001,93.4866455870001 19.8969455210001,93.434709587 19.943609522,93.4199095870001 19.9505725220001,93.3955455870001 19.951936522,93.396099587 19.9266635220001,93.4335905870001 19.809718521,93.4377635870001 19.7994455210001,93.4466365870001 19.786663521,93.458327587 19.777499521,93.511509587 19.7445095210001,93.520263587 19.757218521,93.5063815870001 19.851390521,93.5027815870001 19.8699995210001),(93.784427587 19.279163521,93.7973365870001 19.269372521,93.851381587 19.2733275210001,93.8616455870001 19.277772521,93.9044365870001 19.300554521,93.916381587 19.309718521,93.9627725880001 19.360554521,93.967281588 19.369354521,93.9760995880001 19.3965275210001,93.968318588 19.420827521,93.961654588 19.4286095210001,93.8974905870001 19.467772521,93.7374905870001 19.549163521,93.690945587 19.5617995210001,93.6812275870001 19.558745521,93.6516455870001 19.513609521,93.6434545870001 19.484299521,93.660263587 19.4474905210001,93.666381587 19.4391635210001,93.784427587 19.279163521),(93.8540095870001 18.9020815210001,93.9191455870001 18.8644365210001,93.9421995870001 18.8624995210001,93.9710995880001 18.9211095210001,93.9852635880001 18.959299521,93.9474815870001 19.0755545210001,93.8966545870001 19.2049905210001,93.870390587 19.2546545210001,93.8422095870001 19.240554521,93.8184545870001 19.2309725210001,93.7851815870001 19.2327545210001,93.7419275870001 19.2494365210001,93.668318587 19.295827521,93.6381815870001 19.3339545210001,93.637699587 19.354090521,93.610954587 19.4008275210001,93.5471995870001 19.4284725210001,93.5241545870001 19.4279095210001,93.4988725870001 19.4113815210001,93.483318587 19.386381521,93.4777635870001 19.3599995210001,93.483318587 19.333881521,93.4992905870001 19.3067995210001,93.5705455870001 19.2186095210001,93.641936587 19.127490521,93.6678995870001 19.067081521,93.7027725870001 19.0147185210001,93.8540095870001 18.9020815210001),(93.7574905870001 18.7427725200001,93.7478995870001 18.870690521,93.7301275870001 18.869854521,93.708036587 18.8652725210001,93.6710995870001 18.8674995210001,93.658590587 18.8719365210001,93.6380725870001 18.8871815210001,93.5489995870001 18.876245521,93.518872587 18.8752725210001,93.5060995870001 18.8752725210001,93.489354587 18.8735365210001,93.4894275870001 18.852499521,93.494709587 18.8397185210001,93.533327587 18.78249952,93.5438725870001 18.77110952,93.6355545870001 18.6845815200001,93.6466545870001 18.6786095200001,93.666927587 18.6711095200001,93.680118587 18.66790952,93.705827587 18.66902752,93.721927587 18.67805452,93.7380365870001 18.69624552,93.750272587 18.7174905200001,93.7558275870001 18.73166352,93.7574905870001 18.7427725200001),(94.3830455880001 15.9691635180001,94.415818588 15.8680545180001,94.584854588 16.011527518,94.651381588 16.114436518,94.660118588 16.1348545180001,94.670818588 16.184436518,94.668045588 16.2063815180001,94.6574815880001 16.232772518,94.650954588 16.2434635180001,94.648027588 16.245027518,94.643054588 16.2441635180001,94.632472588 16.2405545180001,94.6009635880001 16.216381518,94.5711095880001 16.1791635180001,94.5305455880001 16.1258275180001,94.5024905880001 16.0869365180001,94.4844275880001 16.058609518,94.4649995880001 16.037218518,94.4512365880001 16.026945518,94.4227635880001 16.015827518,94.4110995880001 16.0127725180001,94.3931815880001 16.002772518,94.3815095880001 15.984445518,94.3830455880001 15.9691635180001),(98.3338815920001 12.4299995150001,98.330827592 12.4122185150001,98.3233185920001 12.3916635150001,98.3123185920001 12.3684815140001,98.3085905920001 12.3580545140001,98.304981592 12.333745514,98.3199905920001 12.3241635140001,98.346927592 12.3159725140001,98.3598365920001 12.323890514,98.396799592 12.367636514,98.457763592 12.4573545150001,98.4665185920001 12.476527515,98.4677545920001 12.4999995150001,98.4662365920001 12.573609515,98.4616545920001 12.586109515,98.448872592 12.6045815150001,98.3949905920001 12.6463905150001,98.3670635920001 12.664163515,98.3219275920001 12.6711095150001,98.3005365920001 12.632709515,98.3021995920001 12.593609515,98.304154592 12.581945515,98.3183275920001 12.4991635150001,98.333599592 12.4533275150001,98.3338815920001 12.4299995150001),(98.105263591 12.398472515,98.076936591 12.416390515,98.010545591 12.4052815150001,97.9585995910001 12.384718515,97.949418591 12.3799995140001,97.9395635910001 12.358472514,97.9371995910001 12.3406905140001,97.9876365910001 12.291381514,98.0055545910001 12.281945514,98.091663591 12.3605545140001,98.1008185910001 12.3719455140001,98.105263591 12.398472515),(98.080272591 12.2841635140001,98.0574815910001 12.281045514,98.039427591 12.241663514,98.0344275910001 12.2158275140001,98.0373455910001 12.2051365140001,98.0660275910001 12.171445514,98.0726275910001 12.162499514,98.139081591 12.142081514,98.1210185910001 12.280209514,98.080272591 12.2841635140001),(98.479154592 11.887218514,98.4967995920001 11.884163514,98.659990592 11.933054514,98.664018592 11.9444455140001,98.5730455920001 11.9905545140001,98.5605275920001 11.995554514,98.5189995920001 11.999999514,98.4659545920001 12.0865275140001,98.438581592 12.1113905140001,98.4270725920001 12.098609514,98.4388635920001 12.006663514,98.4674815920001 11.8990275140001,98.479154592 11.887218514),(98.4455275920001 11.8019455140001,98.3813635920001 11.789999514,98.370254592 11.783745514,98.3730275920001 11.688890514,98.374981592 11.6772185140001,98.3791545920001 11.667499514,98.4133185920001 11.6108725140001,98.411927592 11.6016635140001,98.4273455920001 11.560690514,98.498318592 11.5661095140001,98.5266545920001 11.581945514,98.5460275920001 11.6097905140001,98.5508085920001 11.7049995140001,98.5527635920001 11.7751365140001,98.5488725920001 11.7883275140001,98.5416455920001 11.798472514,98.5280455920001 11.802499514,98.4455275920001 11.8019455140001),(98.2912365920001 11.7970815140001,98.280127592 11.7987455140001,98.2701365920001 11.7947185140001,98.2399725910001 11.685554514,98.1919275910001 11.516390514,98.1655455910001 11.453327514,98.166927591 11.4511095140001,98.176654591 11.446945514,98.1941365910001 11.443054514,98.2099905910001 11.444581514,98.2808185920001 11.481663514,98.2813725920001 11.5117365140001,98.2858085920001 11.6138815140001,98.287490592 11.626390514,98.2955365920001 11.646109514,98.320272592 11.725899514,98.3185995920001 11.744999514,98.314418592 11.754718514,98.301654592 11.7830545140001,98.2912365920001 11.7970815140001),(98.0769995910001 10.8872185130001,98.0867905910001 10.8744455130001,98.104854591 10.8834725130001,98.1219185910001 10.897781513,98.1431815910001 10.918472513,98.1547085910001 10.922636513,98.2141545910001 10.864445513,98.2403905910001 10.824999513,98.239154591 10.7674995130001,98.2333185910001 10.733536513,98.2316545910001 10.689863513,98.2667905920001 10.6906905130001,98.2822085920001 10.706663513,98.283845592 10.7252725130001,98.2699905920001 10.815836513,98.2674905920001 10.8269455130001,98.2633185920001 10.8366635130001,98.2121995910001 10.9477725130001,98.2058275910001 10.955554513,98.1733085910001 10.978881513,98.1398545910001 10.9755545130001,98.0769995910001 10.8872185130001),(98.114627591 9.85958151200003,98.1360275910001 9.83958151200005,98.1558185910001 9.87666351200005,98.1759545910001 9.92444551200003,98.283618592 10.0069725120001,98.2883185920001 10.007499512,98.289427592 10.053681512,98.2572185920001 10.0572185120001,98.2413725910001 10.0556905120001,98.1751185910001 10.0144455120001,98.1658185910001 10.002772512,98.1266455910001 9.93860951200003,98.1158185910001 9.91610951200005,98.114627591 9.85958151200003),(97.518627591 16.505336518,97.515545591 16.5061095180001,97.5038725910001 16.503327518,97.4671995910001 16.486872518,97.4484545910001 16.444999518,97.4658185910001 16.3180545180001,97.4927545910001 16.2672185180001,97.5022095910001 16.255836518,97.5205365910001 16.240272518,97.5455365910001 16.2319365180001,97.5574815910001 16.2308275180001,97.5691545910001 16.233609518,97.575545591 16.243609518,97.6171995910001 16.4472185180001,97.616654591 16.4652725180001,97.6138725910001 16.476381518,97.6033185910001 16.482772518,97.518627591 16.505336518),(92.801090586 20.437218522,92.7905275860001 20.438154522,92.7635995860001 20.4324275220001,92.7577635860001 20.344436522,92.761109586 20.317499522,92.7685275860001 20.297290522,92.7841455860001 20.290554522,92.8116455860001 20.292218522,92.825272586 20.294445522,92.8427545860001 20.299718522,92.857063586 20.313472522,92.860263586 20.3258275220001,92.813590586 20.432909522,92.801090586 20.437218522)),((92.3108095860001 20.8905545220001,92.3264564140001 20.850380935,92.3253288270001 20.8522186280001,92.3248481750001 20.853218079,92.3248367310001 20.8532352450001,92.323854446 20.8555889130001,92.323507309 20.856956482,92.322479248 20.859384537,92.3221054080001 20.8599948880001,92.3218536380001 20.860319138,92.3210754390001 20.861783981,92.320539474 20.862585068,92.320268631 20.8631935120001,92.320142746 20.8636417390001,92.3196830750001 20.864795685,92.3177928920001 20.867912292,92.3161411290001 20.869176865,92.315771103 20.869703293,92.313423157 20.8743991850001,92.313407898 20.8744220730001,92.3122806550001 20.876810074,92.3118171690001 20.878463745,92.3114891050001 20.8790626530001,92.3114871980001 20.879079819,92.311468124 20.8791770940001,92.311302185 20.882680893,92.310899734 20.8845500950001,92.310850143 20.8854122160001,92.3102436070001 20.88816452,92.309503555 20.8899478910001,92.3094348910001 20.890193939,92.3087615970001 20.89163208,92.3085346220001 20.891996384,92.3063468930001 20.8967018130001,92.306009293 20.8978996280001,92.3042926790001 20.9010772710001,92.3031463620001 20.904098511,92.301961899 20.904905319,92.2997074130001 20.90669632,92.2990627290001 20.9072780610001,92.2981357570001 20.9082412720001,92.2980632780001 20.908622742,92.2975234990001 20.910768509,92.2969131470001 20.91264534,92.2968864440001 20.913032532,92.295717354 20.918697228,92.3108095860001 20.8905545220001)),((92.285263586 20.9381905220001,92.2923953800001 20.9248917620001,92.2903099060001 20.926832199,92.2876014710001 20.928874969,92.2867641450001 20.9300765990001,92.28404808 20.9332447050001,92.283842087 20.9336490630001,92.2834224700001 20.934041977,92.282068253 20.935050964,92.2806606290001 20.9358844760001,92.2755947110001 20.9381465910001,92.27558136 20.938165665,92.275114059 20.9393119810001,92.2741470340001 20.940502167,92.271814346 20.946077347,92.271881104 20.946710587,92.2716846470001 20.949831009,92.270681381 20.953004837,92.270271301 20.955316544,92.270223618 20.9562377930001,92.2706642150001 20.957901001,92.2712020870001 20.9596004490001,92.2699470520001 20.9622135160001,92.26978302 20.962850571,92.2695121770001 20.965351105,92.269618988 20.9679012300001,92.2699546810001 20.9696006770001,92.2694854740001 20.9719810490001,92.2693748470001 20.9722843170001,92.2691993710001 20.975349426,92.2691993710001 20.977098465,92.2690048220001 20.9776821140001,92.2686977390001 20.980400085,92.268705368 20.980501175,92.2680835720001 20.9841709140001,92.2676448820001 20.9851856230001,92.2671527860001 20.9872436520001,92.2669792180001 20.9875869750001,92.2664871220001 20.989238739,92.2665252690001 20.989898682,92.2663459780001 20.9913005830001,92.266176224 20.994150162,92.26625061 20.9945507050001,92.26625061 20.997051239,92.2664489750001 20.998109818,92.2657051090001 21.00220871,92.2655143740001 21.002523422,92.2651672360001 21.0033187870001,92.265119553 21.003593445,92.264158249 21.006637573,92.2641525270001 21.0075473790001,92.264335632 21.0082874300001,92.2642402650001 21.009775162,92.2615203860001 21.012899399,92.2611713410001 21.0147037510001,92.2600002290001 21.017047882,92.25928688 21.017778397,92.259057999 21.018575668,92.2578506470001 21.02035141,92.2578506470001 21.02325058,92.2584171300001 21.024950027,92.2576084140001 21.0259952550001,92.256551743 21.0295009610001,92.2575473790001 21.032001495,92.2570555950001 21.0336319300001,92.260399867 21.0478009130001,92.2604122160001 21.047821045,92.2608699800001 21.048128128,92.2612438200001 21.049232483,92.2623920440001 21.0507984160001,92.2624168300001 21.050820249,92.2625203570001 21.0509114400001,92.2736095860001 20.986381523,92.285263586 20.9381905220001)))', 'Myanmar Exclusive Economic Zone', 'Myanmar', 'Myanmar', '', '205', '205', 'MMR', '8482', '2012-10', '516681674600', '8482', 'Y'),('SRID=4326;MULTIPOLYGON(((103.825233419446 1.47590976683369,103.830847441001 1.4748416470004,103.835165925162 1.47402001470419,103.836236337589 1.47351465095051,103.83694419693 1.47276306205964,103.837595064691 1.47202735038121,103.838946723274 1.47123415599901,103.839103672716 1.47112873713712,103.839384876513 1.47095082950148,103.83943849593 1.47093442753368,103.840052653998 1.47070683959959,103.840293747041 1.47059027487921,103.840789307992 1.47032814043848,103.841420475692 1.46996335286059,103.841602954587 1.46987268980041,103.842180704312 1.46955803901,103.842330226181 1.46944536706764,103.84302524027 1.46896859609348,103.843416705456 1.46872512777401,103.844222902731 1.46795934399756,103.844872798598 1.46739322435502,103.845418994851 1.46695408484698,103.845806542789 1.46676291682348,103.846813752211 1.46631228661835,103.847281616775 1.46612379249513,103.848872857309 1.46514717294986,103.84916331793 1.46494596837829,103.849929321527 1.46445582587853,103.850514328069 1.46421419022482,103.850603723416 1.46418684187603,103.850716838297 1.46414304540184,103.850811761509 1.46410924194117,103.850939321514 1.46405938466768,103.851831923331 1.46377216960951,103.852879236268 1.46339566019316,103.853660164783 1.46314340598508,103.85378244311 1.4630891347224,103.85459695467 1.4627587238154,103.854637050229 1.46273872569418,103.85563623407 1.46227712079235,103.856090533111 1.46208176143983,103.856767888428 1.46172914908345,103.857413435725 1.46133910379848,103.857835849801 1.46109772624391,103.858752648835 1.46054021691918,103.859488507599 1.46011684150233,103.859622464621 1.46010669491011,103.860399872892 1.46002910069268,103.860615814986 1.45992622545543,103.861141356073 1.45951371992419,103.862672145358 1.45761156093903,103.864579271498 1.4555671904734,103.865191610267 1.454858124662,103.865416578816 1.45458191569787,103.866193809189 1.45276798627998,103.866312178662 1.45243894816127,103.86863806195 1.4495123528194,103.869809452757 1.44785719709279,103.869915820802 1.447786308052,103.870066247319 1.44765792795931,103.870694452441 1.44706523310327,103.871012567186 1.44675101247583,103.871610046489 1.44599375217263,103.872022309766 1.44544259758243,103.872171966406 1.44523023069053,103.872407653715 1.44487304031475,103.873030225212 1.44385995567598,103.873258746094 1.44355757543957,103.873491209002 1.44322801844703,103.874022465998 1.44235228851102,103.874107261112 1.44220122151194,103.874217116974 1.44199003652579,103.874494376545 1.44141664534078,103.874564126873 1.44116774845509,103.874584197803 1.44055604912268,103.874584197803 1.44033556988995,103.875798145776 1.43926517209445,103.876799262602 1.43843831329542,103.87805889229 1.43747154763184,103.878265672248 1.43729421376423,103.878334368593 1.43724006836601,103.87834672836 1.43723192723365,103.879281336838 1.43667171794812,103.880471283548 1.43603005267022,103.881000156156 1.43565179003724,103.882024909196 1.43506446267787,103.882803880288 1.4346684563028,103.883176097698 1.43450315113148,103.883283749044 1.43444201974495,103.883350014864 1.43439808678033,103.883758619721 1.43415760568269,103.884222688858 1.43391778855937,103.884308423773 1.43387933004072,103.884870268056 1.43339743278864,103.885148740829 1.43318374574386,103.885492893118 1.43297630659356,103.88569119071 1.4328715054267,103.886200024849 1.43252683546018,103.886434535762 1.43238646023303,103.886840034567 1.4321741604366,103.886880565833 1.43214928107136,103.887064047967 1.43205074325721,103.887141374155 1.43199757604771,103.887899387093 1.43160197817912,103.888247765667 1.43134408199029,103.889744259809 1.43036598757612,103.89007286745 1.43017618338683,103.890465190358 1.43000179775521,103.89104681315 1.42977563474352,103.891194740127 1.42964966964422,103.891232787211 1.42961964095144,103.89186550436 1.429272633729,103.891907863027 1.42924342587173,103.892443300614 1.42892232571086,103.892996589778 1.42863701804873,103.894767387266 1.42786340139247,103.895275115954 1.42771838230419,103.895421122921 1.42766831580713,103.897706096971 1.42730826114263,103.897745426043 1.4273053175591,103.899620033672 1.42726010938821,103.899832671184 1.42727002378302,103.900869090874 1.42679214450857,103.90126002851 1.42656636068403,103.902137668333 1.42651127330726,103.902461194575 1.42656170929564,103.903290591327 1.42660141466138,103.903293833383 1.42660134668768,103.904613012907 1.42675065678776,103.905208859228 1.42684733814258,103.905260372529 1.42684754331964,103.905868770391 1.42688024026876,103.907942039396 1.42694422811383,103.908297725008 1.42694447236005,103.908470153825 1.42691891754561,103.909011013487 1.42685243566626,103.909030791664 1.4268550089991,103.910861025647 1.4269171737057,103.910983687378 1.42691522289675,103.911374278845 1.42683162851449,103.91222423787 1.42669510947309,103.913635255428 1.42633311356002,103.914202541424 1.42622216110675,103.914215660869 1.42622047308532,103.915839505498 1.4257159453461,103.916267445256 1.42549992149037,103.916292845468 1.42548431160685,103.917161027581 1.42487542690242,103.918056703748 1.4243352471629,103.919430401719 1.42330716377489,103.920413970778 1.42411786314102,103.920763163473 1.424364673014,103.923700279604 1.42708849845673,103.924933179228 1.42812034529578,103.953936427001 1.42232003300046,103.971081803 1.41889115700042,103.971082358001 1.41889104600051,103.983834391276 1.42670214183482,103.985022026825 1.42532427214201,103.985103607146 1.42532977725091,103.986207954795 1.42552807142488,103.986667632955 1.42545332940466,103.987781524698 1.42541187701858,103.990469289429 1.42542418747149,103.991199897279 1.42540186289375,103.992746802229 1.42553974982229,103.993765140296 1.42559678103333,103.994197498029 1.42563704671375,103.994834492851 1.42567720547396,103.996227723406 1.42514781293119,103.997524022624 1.42461732286972,104.001020821401 1.42334662775914,104.001874798225 1.42301706754574,104.003717181784 1.42244124830063,104.004948776787 1.42386655008175,104.006017972777 1.42505761841426,104.008319036337 1.42908031537183,104.010075270989 1.43202752555675,104.010219331835 1.43228140764967,104.011168854379 1.4339962706261,104.012251565129 1.43487396841573,104.013209661429 1.43558065797345,104.014983241601 1.4368174765371,104.019306182984 1.43925790690565,104.020852189409 1.44014915846657,104.020929119035 1.44019161265766,104.021325841465 1.44060686005184,104.022342341429 1.44163229352239,104.024962097025 1.44436475643255,104.025364955152 1.44474399159458,104.027069909232 1.44627197506094,104.029059958737 1.44541716979222,104.029559228272 1.44521148113074,104.030519352512 1.44475097138451,104.032948646858 1.44445035248248,104.033218772928 1.44442445711343,104.037529422795 1.44396043847672,104.04037371517 1.44355543581349,104.042198054978 1.44325282106462,104.043020362507 1.44312723805592,104.043373107983 1.44306109084073,104.043814393615 1.4429987263153,104.044314280475 1.44291053274088,104.044456482131 1.44287673544579,104.045582074647 1.44265592414052,104.046214520685 1.44257353096117,104.046595028972 1.44251018167819,104.046685574554 1.4424980642749,104.046736785927 1.44248800748574,104.047239999543 1.44237587131215,104.049171496626 1.44094756705647,104.053422435048 1.43977773886428,104.054728692749 1.43934963538879,104.055997787106 1.43901613096739,104.056458758674 1.43886491986808,104.056647277941 1.43883031498484,104.056684106115 1.43882499732564,104.058944510608 1.43851692041432,104.059960663375 1.43827860957055,104.060559938697 1.43807035117209,104.060576844436 1.43806275546706,104.061270389977 1.43776538482621,104.061878710787 1.43753512215329,104.063813125763 1.43714047697046,104.064582824788 1.437138661424,104.064720153962 1.4371597167692,104.06523256257 1.43715004751891,104.065276618084 1.43714441813199,104.06600654091 1.43702177483237,104.09186124952 1.39192255659958,104.091572938588 1.39141291395413,104.090851205657 1.39048410587338,104.089253775707 1.38798860351983,104.087912373156 1.38636424157392,104.087000918415 1.38520034313672,104.086902697241 1.38511569498388,104.086459030809 1.38471882019269,104.085617945467 1.38390310921181,104.083010882854 1.38166852679456,104.080620287793 1.37895264991101,104.079560423711 1.37809422651856,104.079455958821 1.37801399491906,104.076503753995 1.37634344196852,104.072638744122 1.37399701084087,104.072579339409 1.37393293865688,104.071942832082 1.37318142887625,104.070373031038 1.37145156904006,104.07016290637 1.37119582366267,104.069054137436 1.36847198004818,104.064511749822 1.3575425802747,104.064615030308 1.35708296295877,104.06705176931 1.34650371338944,104.069351393837 1.33555180942773,104.069533934353 1.33487538256691,104.083997749284 1.31875002399477,104.087351074894 1.31507489531089,104.087666989418 1.31464882361206,104.089994556454 1.31064179010014,104.091469730316 1.3045903907493,104.091470718384 1.30459022522001,104.093149185181 1.29938697814981,104.101823806763 1.27123069763223,104.10305568856 1.26717506072396,104.10307207338 1.26712111814714,104.084937061 1.26971183500046,104.061780318001 1.27202750800046,104.033388889 1.26950000000045,103.880583333 1.20725000000039,103.859861111 1.19597222200036,103.805055556 1.17144444400043,103.740638889 1.13036111099996,103.670555556 1.17944444400047,103.651905967 1.19561025600046,103.628749224 1.20718862800027,103.612539504 1.21181997600013,103.602969469 1.2330216080004,103.599506375 1.25033707600045,103.596043282 1.26938409100035,103.596043282 1.28843110600042,103.606432563 1.31959894900041,103.613047558896 1.33093894274373,103.613361606655 1.33124792065792,103.614490140481 1.33240544294466,103.615514997212 1.33342538175521,103.616083427035 1.33397425246267,103.616550812946 1.3345680757327,103.617178599158 1.33557218563107,103.617354296786 1.33584390661753,103.618038055107 1.33719428874173,103.618592941921 1.33810620371492,103.618734126502 1.33833609446634,103.618950343319 1.33867910476403,103.619028009578 1.33878020799096,103.619184547508 1.33900062658262,103.619754257252 1.33977098889204,103.620707182342 1.34228406721456,103.620963441114 1.34291601156491,103.621247346824 1.3436938837952,103.621993568697 1.34507167466342,103.622226263545 1.34547058937693,103.622366505246 1.3456940342536,103.62281421224 1.34635832473913,103.622946202483 1.34654067168719,103.623314132589 1.34701424167326,103.623560941703 1.34731010235248,103.623706223622 1.34773870164577,103.624012623283 1.34864261783213,103.624027758918 1.34868244037312,103.624631623175 1.35011703633177,103.62492211636 1.35069501416376,103.62494860004 1.3507500302108,103.625470496245 1.35164002351223,103.626836081653 1.35366269101718,103.627541647548 1.35464018448897,103.62868824331 1.35576686080384,103.629066610126 1.35618592455808,103.629513889301 1.35659752736268,103.629641655625 1.3567048646504,103.629815561753 1.35682858442703,103.630285389941 1.35713751036252,103.631616185822 1.35801254803135,103.632026364078 1.35826106593004,103.63245263496 1.35845593261212,103.63278443348 1.35859122673895,103.633086173356 1.35869888031675,103.633779882442 1.35891118751681,103.634241076712 1.3591912176272,103.634252992878 1.35920710370493,103.634309915084 1.35927057444718,103.635012300297 1.35998775417079,103.635972085571 1.36088141446942,103.63689700398 1.361848286324,103.637884448783 1.36278577727091,103.63828582432 1.36305294326229,103.63954353299 1.36476546696736,103.639778955935 1.36512532057918,103.641583724136 1.36710719643247,103.642878456044 1.36792685018514,103.643176906125 1.36989428249609,103.643494799431 1.37094788718173,103.643830551263 1.37228916004216,103.644293955996 1.37377042334543,103.644775266162 1.37567910558295,103.644921510461 1.37585064282939,103.644924282891 1.37585367212091,103.645678427504 1.3767677776533,103.646244295928 1.37752293952394,103.646464083394 1.37784162889005,103.646657204173 1.37814339138487,103.646877778358 1.378513144512,103.647480217166 1.379162758235,103.647932569116 1.37968036690575,103.648324995184 1.38008648434072,103.648473918387 1.38019173841963,103.6493168936 1.38156974338983,103.649847748254 1.38227386555536,103.649927310162 1.3824529015663,103.651304147921 1.38424681032188,103.651563006678 1.38477885853075,103.651871144805 1.38553288104328,103.652377424745 1.38660171647695,103.652506497653 1.38691678934799,103.652668269335 1.3872386538784,103.652962470463 1.38790513276507,103.653627752887 1.38962083059369,103.653695927373 1.3898182730349,103.65373097439 1.38999897182543,103.653803170226 1.39021763317686,103.653926712427 1.39065440716416,103.654160882764 1.39121750088742,103.654589180468 1.39239304318295,103.654603612743 1.39242711892268,103.654637155461 1.39255192902556,103.654647460595 1.39260001663251,103.654744814274 1.39328356180266,103.65478355945 1.39338684112539,103.654691713088 1.39411200315163,103.654639162076 1.3947151174653,103.654492020173 1.3964038268673,103.654573366768 1.39680941678273,103.654833402227 1.39791595920451,103.655131363286 1.39933821032338,103.655538606814 1.40064510061285,103.655556284489 1.40069238139074,103.655645998518 1.40089598449026,103.655844146467 1.40142237368985,103.656127229787 1.4023188354235,103.656179875688 1.40245960532042,103.656342626788 1.40283825384273,103.656449918056 1.40305716874047,103.656593201751 1.40316352081823,103.656621222663 1.40321282524809,103.656827076163 1.40346867723798,103.656869796606 1.40352849061748,103.658096465455 1.40510070736218,103.658625427843 1.40589678656352,103.659329590729 1.40684117308803,103.659515257175 1.40706268685199,103.659933440104 1.40766159612048,103.660632415952 1.40855658186945,103.660645225739 1.40857614323392,103.66099236718 1.40905250902534,103.661126180981 1.40921739547986,103.661136021042 1.40922705599013,103.6612406896 1.40943214484588,103.661780600806 1.41067247096964,103.661811945328 1.41075784458894,103.661849723863 1.41084372700817,103.662905625971 1.41170475512433,103.66366023301 1.41240629085837,103.663938436437 1.4125418305735,103.665068136365 1.41319019612405,103.665366326648 1.41329596723824,103.665811355876 1.41341515704931,103.66629208091 1.41357948970915,103.666610865337 1.41405080931884,103.667006714816 1.414723499812,103.667549272801 1.41578168249106,103.66758668445 1.41580831826911,103.667874350761 1.41617271526684,103.668547702784 1.417160645048,103.668750960647 1.41757749949142,103.669037014481 1.41827993873756,103.669141770284 1.41844667329156,103.669403988849 1.41902478684608,103.669568545482 1.41948089156313,103.669594615117 1.41952747645144,103.66994763557 1.42030936544319,103.669962549426 1.42033609055721,103.670030196746 1.42042488566057,103.670178639918 1.42065957923785,103.670374320202 1.42112789294055,103.670442767437 1.42133690373265,103.670483268228 1.4215045612998,103.670489294423 1.42154270637513,103.670609998157 1.422051246357,103.67074311487 1.42246426119232,103.67076357881 1.42258993976191,103.670766352406 1.42262056355429,103.670957161984 1.42368695232074,103.670968302742 1.42396870970066,103.670966296021 1.42402514931331,103.670992988886 1.42466633374704,103.671018888272 1.42481791385813,103.671033752548 1.42497067816799,103.671045140249 1.4250450270037,103.671119969224 1.42601348973983,103.671150611672 1.42606802950718,103.671362385469 1.42649948276113,103.67141493205 1.42663805875571,103.671769919166 1.42733813742097,103.671886409637 1.42748736923295,103.672113889653 1.42776653201383,103.672257163028 1.42792043324442,103.67242652363 1.42807559127078,103.672873128834 1.42842809154382,103.673517368378 1.42886964851652,103.673729001261 1.42899709193892,103.674397336302 1.43062474393838,103.674448075531 1.43072829351831,103.674907290593 1.43152391704058,103.675094138163 1.43188936924724,103.675608752293 1.43274915610243,103.676032224494 1.43307437904576,103.676115696094 1.43314812814594,103.677023533647 1.43388536478818,103.677118157616 1.43395621349924,103.677697358919 1.43432024873425,103.677953096497 1.43446593905026,103.678427622244 1.43446662232839,103.678611755329 1.43446105239258,103.678672327992 1.43446236117393,103.67905840257 1.43464626451129,103.680370424935 1.4360609096675,103.680675303501 1.43633512060683,103.6808823941 1.43650411467087,103.681126121933 1.43666684006246,103.682155794553 1.43728322154857,103.682872579435 1.43766030085823,103.683196140671 1.43785072352802,103.683384945875 1.43794706290288,103.685080901055 1.43913511771012,103.685440063458 1.43912362173973,103.685571457095 1.43912400406111,103.686294245221 1.43899444884266,103.686709647208 1.43889316665326,103.688277742175 1.43840438865135,103.689474383076 1.43808501922854,103.689813228417 1.43815651955174,103.689840411085 1.43816076136056,103.690869945307 1.43848814916117,103.690972512216 1.43851525579652,103.691088381015 1.43855218777753,103.691306272482 1.43864631900976,103.691638204954 1.43880921162116,103.69175037177 1.43887105239918,103.692024670217 1.43904030035083,103.692453665888 1.43933582156882,103.692806177363 1.4396068521412,103.692807385069 1.43960770257115,103.692871980401 1.43965841113635,103.693044110274 1.43984436451632,103.693252162678 1.44009561995568,103.693681959727 1.44073640096104,103.69399048244 1.44124697723066,103.694702271659 1.44256016919559,103.694722589132 1.44259463470797,103.694764002703 1.44262997331327,103.695086049512 1.44293408464387,103.695094038357 1.44294097435471,103.695533852033 1.44336405897911,103.695851097908 1.44364185030935,103.696035998121 1.44382473009728,103.696119261533 1.44390053446466,103.696258679412 1.44404421621738,103.696707456766 1.44441988760525,103.696770616416 1.44447947889768,103.697128056981 1.44474333039267,103.697355525245 1.444897346245,103.697998653421 1.44525507132266,103.698384575168 1.44549725843569,103.698953927491 1.44582118682985,103.699085889586 1.44592946947489,103.69927547161 1.44609952871713,103.699336248376 1.44616478816795,103.699508909358 1.44633496107326,103.699791080175 1.44664047933264,103.700732854331 1.44776571690136,103.700810424531 1.44786789247513,103.701074283789 1.44818590229983,103.701553800518 1.44871644886388,103.701703251731 1.44886889502692,103.70190622288 1.44909522634703,103.702019287849 1.44923288327783,103.702094635954 1.44933280966393,103.702152240164 1.44940301907803,103.702300940869 1.44960028776745,103.731108771798 1.45579726125487,103.731146039226 1.4557727602371,103.731395613722 1.45562759758349,103.731677448819 1.45544361196528,103.732004555572 1.45525500988163,103.732476398112 1.45494622894643,103.732691664315 1.45483739321344,103.735069657459 1.45345266997958,103.735260820371 1.45332533870197,103.737299897159 1.45232911446271,103.737429828063 1.4522424110325,103.737773187188 1.45197850856692,103.738233162789 1.45160196836451,103.738276323453 1.45157408255886,103.738291744595 1.45156271584847,103.738710232975 1.45132350821109,103.73910266325 1.45102068978071,103.740529853409 1.4501685974883,103.740797593704 1.45002087061562,103.741497026797 1.44966665562885,103.742668188155 1.44916927025901,103.743167768008 1.44882724712846,103.743335026279 1.44880936172791,103.743490891744 1.44879765824993,103.746062246713 1.44851129278595,103.746280829353 1.44844585091641,103.746975825658 1.44820550512372,103.747938039662 1.4478265184996,103.748112396171 1.44774985161575,103.748884362665 1.44744234388696,103.750105400836 1.44695595143583,103.750267831197 1.44689785300739,103.750594147948 1.44682531136056,103.750686307427 1.44679055895745,103.750942864028 1.44667937445354,103.751521571525 1.4466495419727,103.752079856304 1.44655092711031,103.754865272566 1.4462483866472,103.755731194728 1.44608621254713,103.75633954702 1.44599634499673,103.756562587189 1.44597947060578,103.756963791435 1.44590197289568,103.757718626506 1.44578254435839,103.757851114903 1.44583283691782,103.758698779979 1.44619535475863,103.759874044238 1.44688613067581,103.761667658904 1.44769622626393,103.76196551397 1.44794368791315,103.762638639822 1.44868226296745,103.762962320315 1.44910717006343,103.76321141184 1.44937920024597,103.764437413818 1.45044516566537,103.764640696511 1.45062191278703,103.764980672491 1.45094614029426,103.765207570683 1.45115337210677,103.76529852353 1.4512294892013,103.765519935207 1.45136562109423,103.765547782885 1.45138006856928,103.766256728966 1.45146239761937,103.766788435608 1.45168635545491,103.768501344314 1.45223424206813,103.769728405899 1.45299269045063,103.770973205499 1.45355616099909,103.771587747605 1.45386345102077,103.771679107913 1.45389570773096,103.771732066157 1.4539389213777,103.771970989609 1.45411540161342,103.771999529379 1.45413433142829,103.772047029772 1.45416213541142,103.772944760565 1.4547708563972,103.773402963217 1.45504396615104,103.773689141073 1.45519106220496,103.773860788161 1.45535075803576,103.773946033 1.45542023479771,103.773950120268 1.45542408008924,103.774057543043 1.45554021738883,103.774622555461 1.45623968681275,103.774745383808 1.45641236525461,103.774884191765 1.45658255197657,103.775167002605 1.45685325080984,103.775317715248 1.45701528217097,103.775666285551 1.45728044074411,103.776855797584 1.45808047798664,103.777317596832 1.45835740369336,103.777750296822 1.45869329058053,103.778493044687 1.45934202544191,103.778776275374 1.45961788305192,103.779224324067 1.45990528241703,103.779309860337 1.45997399578073,103.779476649175 1.46002316783029,103.779832533874 1.46015053856576,103.779870663698 1.46016689777804,103.78014857996 1.46033153819758,103.781838015827 1.4614936475935,103.782517402514 1.46203584044304,103.782682010225 1.46220879716202,103.783617716743 1.46308692913431,103.783713515859 1.46320171456705,103.784051848289 1.46365344909947,103.784915867349 1.4639331510935,103.784992204091 1.463962123378,103.785517411885 1.46418924909676,103.78624445269 1.4645425467906,103.78725161435 1.46508804471637,103.787668710393 1.465515901738,103.788253767949 1.46618794443947,103.788316284003 1.46624419860632,103.78866173703 1.46657587717004,103.79016787344 1.46814430383949,103.790374782226 1.46838718184534,103.790463893409 1.46856539072201,103.820402281001 1.47500556300048,103.822991738262 1.47556259180186,103.823460404912 1.47538064570671,103.823560448032 1.47534635848865,103.824098898717 1.47554203807624,103.825230898618 1.4759090492509,103.825233419446 1.47590976683369),(103.804136136 1.44500000400035,103.713591297 1.42944503600029,103.699136202 1.42360905200042,103.684400313 1.41110912000039,103.67774525 1.40360899300038,103.671082307 1.39319112500027,103.643309206 1.33139101800043,103.640945174 1.31833603600046,103.646918286 1.30465392000031,103.798309204 1.25944495100043,103.841918235 1.25902703000003,103.959972313 1.32083602200038,103.984972345 1.34416420000036,103.994136279 1.35528212400027,103.997945184 1.36986412100038,103.990536252 1.38329109200032,103.967745187 1.38721801300045,103.894009249 1.40750004000034,103.879409315 1.41721801800026,103.848309269 1.43471809100043,103.829418303 1.44360911100046,103.817200338 1.44528213899997,103.804136136 1.44500000400035)))', 'Singaporean Exclusive Economic Zone', 'Singapore', 'Singapore', '', '208', '208', 'SGP', '8485', '2014-02', '798369962', '8485', 'Y'),('SRID=4326;MULTIPOLYGON(((-179.999999668 -84.305345576,-179.999999668 -83.4999995749999,-179.999999668 -82.499999574,-179.999999668 -81.499999573,-179.999999668 -80.499999572,-179.999999668 -79.499999571,-179.999999668 -78.4999995699999,-179.999999668 -77.499999569,-179.999999668 -76.499999568,-179.999999668 -75.499999567,-179.999999668 -74.499999566,-179.999999668 -73.4999995649999,-179.999999668 -72.4999995649999,-179.999999668 -71.499999564,-179.999999668 -70.499999563,-179.999999668 -70.149989562,-179.999736668 -70.149989562,-179.997273668 -70.1513735619999,-179.994809668 -70.152757562,-179.992345668 -70.154141562,-179.989880668 -70.155524562,-179.987415668 -70.156908562,-179.984950668 -70.158292562,-179.982484668 -70.159675562,-179.980018668 -70.1610595619999,-179.977552668 -70.162443562,-179.975085668 -70.1638265619999,-179.972619668 -70.165210562,-179.970151668 -70.1665935619999,-179.967684668 -70.167977562,-179.965216668 -70.169360562,-179.962747668 -70.170744562,-179.960279668 -70.172127562,-179.957810668 -70.1735105619999,-179.955341668 -70.174893562,-179.952871668 -70.1762775619999,-179.950401668 -70.177660562,-179.947931668 -70.1790435619999,-179.945460668 -70.180426562,-179.942989668 -70.181809562,-179.940518668 -70.183192562,-179.938046668 -70.184575562,-179.935574668 -70.1859585619999,-179.933102668 -70.187341562,-179.930629668 -70.1887245619999,-179.928156668 -70.190107562,-179.925683668 -70.191490562,-179.923209668 -70.192873562,-179.920735668 -70.194255562,-179.918261668 -70.1956385619999,-179.915786668 -70.197021562,-179.913311668 -70.198404562,-179.910836668 -70.199786562,-179.908360668 -70.201169562,-179.905884668 -70.2025515619999,-179.903408668 -70.203934562,-179.900931668 -70.205316562,-179.898454668 -70.206699562,-179.895977668 -70.208081562,-179.893499668 -70.2094645619999,-179.891021668 -70.210846562,-179.888543668 -70.212228562,-179.886064668 -70.213610562,-179.883585668 -70.214993562,-179.881106668 -70.2163755619999,-179.878626668 -70.217757562,-179.876146668 -70.219139562,-179.873665668 -70.220521562,-179.871185668 -70.221903562,-179.868704668 -70.2232855619999,-179.866222668 -70.224667562,-179.863740668 -70.226049562,-179.861258668 -70.2274315619999,-179.858776668 -70.228813562,-179.856293668 -70.2301955619999,-179.853810668 -70.231577562,-179.851327667 -70.232958562,-179.848843667 -70.2343405619999,-179.846359667 -70.235722562,-179.843874667 -70.237104562,-179.841390667 -70.2384855619999,-179.838904667 -70.239867562,-179.836419667 -70.241248562,-179.833933667 -70.242630562,-179.831447667 -70.244011562,-179.828961667 -70.2453935619999,-179.826474667 -70.246774562,-179.823987667 -70.248156562,-179.821499667 -70.2495375619999,-179.819011667 -70.250918562,-179.816523667 -70.252299562,-179.814034667 -70.2536815619999,-179.811546667 -70.255062562,-179.809056667 -70.256443562,-179.806567667 -70.2578245619999,-179.804077667 -70.259205562,-179.801587667 -70.260586562,-179.799096667 -70.2619675619999,-179.796605667 -70.263348562,-179.794114667 -70.264729562,-179.791623667 -70.2661105619999,-179.789131667 -70.267491562,-179.786638667 -70.268872562,-179.784146667 -70.2702535619999,-179.781653667 -70.271633562,-179.779160667 -70.273014562,-179.776666667 -70.2743955619999,-179.774172667 -70.275775562,-179.771678667 -70.277156562,-179.769183667 -70.2785375619999,-179.766688667 -70.279917562,-179.764193667 -70.281298562,-179.761697667 -70.2826785619999,-179.759201667 -70.284058562,-179.756705667 -70.285439562,-179.754208667 -70.2868195619999,-179.751711667 -70.288200562,-179.749214667 -70.289580562,-179.746716667 -70.290960562,-179.744218667 -70.2923405619999,-179.741720667 -70.293720562,-179.739221667 -70.295101562,-179.736722667 -70.2964815619999,-179.734223667 -70.297861563,-179.731723667 -70.299241563,-179.729223667 -70.3006215629999,-179.726722667 -70.302001563,-179.724222667 -70.303381563,-179.721720667 -70.3047615629999,-179.719219667 -70.306140563,-179.716717667 -70.307520563,-179.714215667 -70.308900563,-179.711713667 -70.3102805629999,-179.709210667 -70.311659563,-179.706707667 -70.313039563,-179.704203667 -70.3144195629999,-179.701699667 -70.315798563,-179.699195667 -70.317178563,-179.696691667 -70.318557563,-179.694186667 -70.3199375629999,-179.691680667 -70.321316563,-179.689175667 -70.322696563,-179.686669667 -70.324075563,-179.684163667 -70.3254555629999,-179.681656667 -70.326834563,-179.679149667 -70.328213563,-179.676642667 -70.3295925629999,-179.674134667 -70.330972563,-179.671626667 -70.332351563,-179.669118667 -70.333730563,-179.666610667 -70.3351095629999,-179.664101667 -70.336488563,-179.661591667 -70.337867563,-179.659082667 -70.339246563,-179.656572667 -70.3406255629999,-179.654061667 -70.342004563,-179.651551667 -70.343383563,-179.649040667 -70.344761563,-179.646528667 -70.3461405629999,-179.644016667 -70.3475195629999,-179.641504667 -70.348898563,-179.638992667 -70.350276563,-179.636479667 -70.351655563,-179.633966667 -70.3530345629999,-179.631453667 -70.354412563,-179.628939667 -70.355791563,-179.626425667 -70.357169563,-179.623910667 -70.3585485629999,-179.621395667 -70.359926563,-179.618880667 -70.361305563,-179.616365667 -70.362683563,-179.613849667 -70.364061563,-179.611333667 -70.3654405629999,-179.608816667 -70.366818563,-179.606299667 -70.368196563,-179.603782667 -70.369574563,-179.601265667 -70.3709525629999,-179.598747667 -70.3723305629999,-179.596228667 -70.373708563,-179.593710667 -70.375087563,-179.591191667 -70.376465563,-179.588671667 -70.3778425629999,-179.586152667 -70.3792205629999,-179.583632667 -70.380598563,-179.581112667 -70.381976563,-179.578591667 -70.383354563,-179.576070667 -70.3847325629999,-179.573548667 -70.3861095629999,-179.571027667 -70.387487563,-179.568505667 -70.388865563,-179.565982667 -70.390242563,-179.563460667 -70.3916205629999,-179.560936667 -70.3929985629999,-179.558413667 -70.394375563,-179.555889667 -70.395753563,-179.553365667 -70.397130563,-179.550841667 -70.398507563,-179.548316667 -70.3998855629999,-179.545791667 -70.401262563,-179.543265667 -70.402639563,-179.540739667 -70.404017563,-179.538213667 -70.405394563,-179.535687667 -70.406771563,-179.533160667 -70.4081485629999,-179.530632667 -70.409525563,-179.528105667 -70.410902563,-179.525577667 -70.412279563,-179.523049667 -70.413656563,-179.520520667 -70.415033563,-179.517991667 -70.4164105629999,-179.515462667 -70.4177875629999,-179.512932667 -70.419164563,-179.510402667 -70.420541563,-179.507872667 -70.421918563,-179.505341667 -70.423294563,-179.502810667 -70.4246715629999,-179.500278667 -70.4260485629999,-179.497747667 -70.427424563,-179.495215667 -70.428801563,-179.492682667 -70.430177563,-179.490149667 -70.431554563,-179.487616667 -70.432930563,-179.485083667 -70.4343075629999,-179.482549667 -70.4356835629999,-179.480015667 -70.437060563,-179.477480667 -70.438436563,-179.474945667 -70.439812563,-179.472410667 -70.441188563,-179.469875667 -70.442565563,-179.467339667 -70.443941563,-179.464802667 -70.4453175629999,-179.462266667 -70.4466935629999,-179.459729667 -70.4480695629999,-179.457191667 -70.449445563,-179.454654667 -70.450821563,-179.452116667 -70.452197563,-179.449577667 -70.453573563,-179.447039667 -70.454949563,-179.444500667 -70.456325563,-179.441960667 -70.4577015629999,-179.439421667 -70.4590765629999,-179.436880667 -70.4604525629999,-179.434340667 -70.461828563,-179.431799667 -70.463204563,-179.429258667 -70.464579563,-179.426717667 -70.465955563,-179.424175667 -70.467330563,-179.421633667 -70.468706563,-179.419090667 -70.470081563,-179.416547667 -70.4714575629999,-179.414004667 -70.4728325629999,-179.411460667 -70.4742085629999,-179.408916667 -70.475583563,-179.406372667 -70.476958563,-179.403827667 -70.478333563,-179.401282667 -70.479709563,-179.398737667 -70.481084563,-179.396191667 -70.482459563,-179.393645667 -70.483834563,-179.391099667 -70.485209563,-179.388552667 -70.486584563,-179.386005667 -70.4879595629999,-179.383458667 -70.4893345629999,-179.380910667 -70.4907095629999,-179.378362667 -70.4920845629999,-179.375813667 -70.493459563,-179.373264667 -70.494834563,-179.370715667 -70.496208563,-179.368166667 -70.497583563,-179.365616667 -70.498958563,-179.363066667 -70.500332563,-179.360515667 -70.501707563,-179.357964667 -70.503082563,-179.355413667 -70.504456563,-179.352861667 -70.505831563,-179.350309667 -70.507205563,-179.347757667 -70.508580563,-179.345204667 -70.509954563,-179.342651667 -70.511328563,-179.340098667 -70.5127035629999,-179.337544667 -70.5140775629999,-179.334990667 -70.5154515629999,-179.332435667 -70.5168255629999,-179.329881667 -70.5182005629999,-179.327325667 -70.5195745629999,-179.324770667 -70.5209485629999,-179.322214667 -70.522322563,-179.319658667 -70.523696563,-179.317101667 -70.525070563,-179.314544667 -70.526444563,-179.311987667 -70.527818563,-179.309430667 -70.529192563,-179.306872667 -70.530565563,-179.304313667 -70.531939563,-179.301755667 -70.533313563,-179.299196667 -70.534687563,-179.296636667 -70.536060563,-179.294076667 -70.537434563,-179.291516667 -70.538808563,-179.288956667 -70.540181563,-179.286395667 -70.541555563,-179.283834667 -70.542928563,-179.281272667 -70.544302563,-179.278711667 -70.545675563,-179.276148667 -70.547048563,-179.273586667 -70.548422563,-179.271023667 -70.549795563,-179.268460667 -70.551168563,-179.265896667 -70.552542563,-179.263332667 -70.553915563,-179.260768667 -70.555288563,-179.258203667 -70.556661563,-179.255638667 -70.558034563,-179.253073667 -70.559407563,-179.250507667 -70.560780563,-179.247941667 -70.562153563,-179.245375667 -70.563526563,-179.242808667 -70.564899563,-179.240241667 -70.566272563,-179.237673667 -70.567645563,-179.235105667 -70.569017563,-179.232537667 -70.5703905629999,-179.229969667 -70.5717635629999,-179.227400667 -70.5731365629999,-179.224830667 -70.5745085629999,-179.222261667 -70.5758815629999,-179.219691667 -70.5772535629999,-179.217120667 -70.5786265629999,-179.214550667 -70.5799985629999,-179.211979667 -70.5813715629999,-179.209407667 -70.582743563,-179.206836667 -70.584116563,-179.204263667 -70.585488563,-179.201691667 -70.586860563,-179.199118667 -70.588232563,-179.196545667 -70.589605563,-179.193972667 -70.590977563,-179.191398667 -70.592349563,-179.188823667 -70.593721563,-179.186249667 -70.595093563,-179.183674667 -70.596465563,-179.181099667 -70.597837563,-179.178523667 -70.599209563,-179.175947667 -70.6005815629999,-179.173371667 -70.6019535629999,-179.170794667 -70.6033255629999,-179.168217667 -70.6046965629999,-179.165639667 -70.606068563,-179.163062667 -70.607440563,-179.160483667 -70.608812563,-179.157905667 -70.610183563,-179.155326667 -70.611555563,-179.152747667 -70.612926563,-179.150167667 -70.614298563,-179.147587667 -70.615669563,-179.145007667 -70.617041563,-179.142427667 -70.6184125629999,-179.139846667 -70.6197845629999,-179.137264667 -70.6211555629999,-179.130694667 -70.626553563,-179.121983667 -70.6311775629999,-178.447803666 -71.168208563,-178.041379666 -71.7342645639999,-178.029933666 -71.8009055639999,-178.017757666 -71.8172545639999,-177.913799666 -72.397036564,-178.147910666 -72.9735225649999,-178.473022666 -73.2793795649999,-178.363890666 -73.417474565,-178.363729666 -73.4184085649999,-178.359786666 -73.423354565,-178.256021666 -74.003182566,-178.260560666 -74.013259566,-178.248556666 -74.077638566,-178.489585666 -74.594852567,-177.805119666 -74.650133567,-177.797423666 -74.6511535669999,-177.734946666 -74.656073567,-177.634958665 -74.6692535669999,-177.576358665 -74.673817567,-177.367365665 -74.701073567,-177.362604665 -74.701438567,-177.338838665 -74.704518567,-177.335543665 -74.704770567,-177.307638665 -74.7083825669999,-177.302587665 -74.7087675669999,-176.305937664 -74.8343985669999,-175.293231663 -74.9555675669999,-174.765288663 -75.045093567,-174.060296662 -75.052386567,-174.052330662 -75.052801567,-173.983473662 -75.0532385669999,-173.324620661 -75.086373567,-172.554366661 -75.087620567,-172.530698661 -75.088690567,-172.401880661 -75.0886325669999,-172.358197661 -75.090575567,-172.343871661 -75.0905625669999,-172.05663766 -75.103101567,-172.05359166 -75.103094567,-172.02426666 -75.104352567,-170.914022659 -75.099022567,-170.538074659 -75.112950567,-170.508791659 -75.112688567,-170.340478659 -75.118694567,-169.851116658 -75.113414567,-169.549290658 -75.010877567,-169.546379658 -75.010177567,-169.536588658 -75.006820567,-169.098088657 -74.8968075669999,-167.936723656 -74.605439567,-167.855169656 -74.590517566,-167.848524656 -74.588775566,-166.088409655 -74.2519295659999,-166.055907655 -74.2475625659999,-166.033971655 -74.2431755659999,-164.149905653 -73.9769825659999,-164.138340653 -73.975932566,-164.116385653 -73.972677566,-162.142299651 -73.781793566,-162.131240651 -73.781239566,-162.117567651 -73.779836566,-161.09813865 -73.7261055659999,-160.085581649 -73.667470566,-160.064332649 -73.667246566,-160.055832649 -73.666730566,-159.393384648 -73.658625566,-158.895017648 -73.5670645659999,-158.873683648 -73.564462566,-158.788022648 -73.5484885659999,-158.703505648 -73.538100566,-158.681812648 -73.534029566,-156.830012646 -73.2940605649999,-156.805673646 -73.2921445649999,-156.773070646 -73.287702565,-156.760431646 -73.286703565,-156.737313646 -73.2835475649999,-156.706365646 -73.2810935649999,-156.656457646 -73.274256565,-154.730721644 -73.1102545649999,-154.704727644 -73.1092805649999,-154.686339644 -73.107608565,-154.608531644 -73.1046655649999,-154.573830644 -73.101489565,-152.921482642 -73.031367565,-151.837643641 -72.850580565,-150.01044464 -72.642203565,-150.00863764 -72.6420895649999,-149.95541364 -72.6356915649999,-148.991993639 -72.572196565,-147.657107638 -72.188350564,-146.113768636 -71.8556885639999,-144.455495635 -71.596643564,-144.445875635 -71.595698564,-144.444240635 -71.595431564,-142.704431633 -71.414617564,-140.914315631 -71.315331563,-139.10428763 -71.299285563,-138.531787629 -71.322701563,-138.334247629 -71.3192585629999,-138.292480629 -71.320808563,-137.207603628 -71.143029563,-135.511078626 -70.960034563,-135.502049626 -70.959557563,-135.481363626 -70.9572055629999,-133.733620625 -70.8557765629999,-133.129770624 -70.8516605629999,-132.240125623 -70.587623563,-132.235902623 -70.5867335629999,-132.230453623 -70.585080563,-130.779324622 -70.268435562,-129.22470962 -70.0277065619999,-127.598097619 -69.8674915619999,-127.594926619 -69.867361562,-127.574213619 -69.865206562,-125.906209617 -69.788280562,-125.900908617 -69.7883315619999,-125.889382617 -69.787741562,-124.209307616 -69.7956015619999,-122.546508614 -69.888282562,-122.373461614 -69.9079715619999,-122.314578614 -69.910886562,-122.306735614 -69.911770562,-122.286453614 -69.9127685619999,-120.666685612 -70.086159562,-120.521235612 -70.110888562,-120.311847612 -70.131796562,-120.259823612 -70.140512562,-120.237153612 -70.1427505619999,-118.684681611 -70.392302563,-118.47151161 -70.4416255629999,-117.390732609 -70.531563563,-117.370891609 -70.5344345629999,-117.267758609 -70.542622563,-117.164953609 -70.5573735629999,-117.142122609 -70.559162563,-117.045491609 -70.572938563,-116.957759609 -70.574515563,-116.948507609 -70.5752285629999,-116.777829609 -70.578164563,-116.766569609 -70.579020563,-116.239115608 -70.387420563,-114.893001607 -70.0275435619999,-113.425327606 -69.7403945619999,-111.868283604 -69.531581562,-111.853773604 -69.5305195619999,-111.841446604 -69.528792562,-110.226219603 -69.402024562,-108.582197601 -69.359893562,-108.401285601 -69.365430562,-107.8727476 -69.230589562,-107.8466516 -69.226046562,-107.8386756 -69.223976562,-106.388437599 -68.961781561,-106.123649599 -68.9314595609999,-106.039800599 -68.9155195609999,-106.000405599 -68.910939561,-105.973200599 -68.9057445609999,-104.452042597 -68.719842561,-102.881066596 -68.6174975609999,-102.856393596 -68.617354561,-102.804347596 -68.613682561,-102.703148596 -68.613023561,-102.494805595 -68.598014561,-102.259077595 -68.595941561,-102.140266595 -68.5870775609999,-101.122466594 -68.573518561,-100.235586593 -68.4985985609999,-100.227559593 -68.498422561,-100.227063593 -68.498378561,-99.811937593 -68.488748561,-99.7860855929999 -68.399119561,-99.785345593 -68.398171561,-99.784480593 -68.395160561,-99.359837593 -67.8367705599999,-99.309424592 -67.79703956,-99.2753275919999 -67.7506725599999,-99.272810592 -67.74867756,-99.270466592 -67.74548156,-98.624940592 -67.22051356,-97.784501591 -66.7424615589999,-96.7794795899999 -66.322712559,-96.77594559 -66.321649559,-96.7684435899999 -66.318435559,-95.6291965889999 -65.966432558,-94.384733588 -65.6899355579999,-93.063739587 -65.494800558,-93.043977587 -65.493314558,-93.041682587 -65.492962558,-91.6724415849999 -65.383025558,-90.2823615839999 -65.360738558,-88.898930583 -65.426558558,-88.892320583 -65.427340558,-88.862101583 -65.428627558,-88.8620925829999 -65.428628558,-88.8288355829999 -65.430036558,-87.479030581 -65.5819835579999,-87.471737581 -65.583361558,-87.446919581 -65.586021558,-86.15850058 -65.821361558,-84.960283579 -66.135477559,-83.881348578 -66.521629559,-83.870355578 -66.527077559,-83.863660578 -66.529410559,-82.933154577 -66.9789075589999,-82.461077577 -67.29765456,-81.711121576 -67.048327559,-80.449582575 -66.7443945589999,-80.443959575 -66.743490559,-80.4376605749999 -66.741927559,-79.087958574 -66.516948559,-78.9924655739999 -66.507831559,-78.913051573 -66.494027559,-78.9068025729999 -66.4934245589999,-78.896133573 -66.491565559,-78.648525573 -66.467433559,-78.3899625729999 -66.421510559,-78.175626573 -66.399830559,-77.537283572 -66.223110559,-76.612153571 -65.8433705579999,-76.606787571 -65.842346558,-76.5915875709999 -65.837982558,-76.4270945709999 -65.8064035579999,-76.423149571 -65.804073558,-76.394100571 -65.7781945579999,-76.241976571 -65.687723558,-75.943066571 -65.415139558,-75.8695055709999 -65.370147558,-75.8680165709999 -65.3687665579999,-75.09988957 -64.886932557,-75.08169657 -64.8787905569999,-75.07982957 -64.877591557,-74.154716569 -64.453620557,-74.130393569 -64.445602557,-74.1300935689999 -64.445461557,-74.092771569 -64.4331405569999,-74.0519675689999 -64.413930557,-74.0212565689999 -64.403754557,-74.019402569 -64.4028795569999,-73.5207655679999 -64.235613557,-73.315746568 -64.1361295569999,-73.200536568 -64.054754557,-73.180986568 -64.0451485569999,-72.815922568 -63.636145556,-72.148761567 -63.138597556,-71.3245165659999 -62.696077555,-70.369380566 -62.3192515549999,-69.800258565 -62.1586805549999,-69.771373565 -62.118318555,-69.189445564 -61.6063125539999,-68.977639564 -61.476258554,-68.9286555639999 -61.4316695539999,-68.8859875639999 -61.405210554,-68.876944564 -61.396941554,-68.855264564 -61.3834655539999,-68.837680564 -61.367350554,-68.816771564 -61.354325554,-68.780853564 -61.3213065539999,-68.7518725639999 -61.303186554,-68.714082564 -61.268299554,-67.990218563 -60.8052985539999,-67.134004563 -60.405056553,-66.170280562 -60.0771635529999,-66.149382562 -60.072334553,-66.146796562 -60.071434553,-66.107685562 -60.062382553,-66.0741755619999 -60.050693553,-65.029607561 -59.801961553,-65.0291925609999 -59.8019025529999,-64.9077525599999 -59.7721555529999,-64.88333856 -59.768636553,-64.72237756 -59.728896553,-64.5435855599999 -59.6626495529999,-63.5233025589999 -59.4010995519999,-63.506091559 -59.3983785519999,-63.503978559 -59.397822552,-63.343382559 -59.3722855519999,-63.036551559 -59.290479552,-61.9618245579999 -59.1096055519999,-61.9559475579999 -59.109147552,-61.9523675579999 -59.1085255519999,-61.543615557 -58.992380552,-61.488489557 -58.982544552,-61.2956935569999 -58.926867552,-61.1201915569999 -58.8949785519999,-60.935556557 -58.840790552,-60.9200605569999 -58.8379285519999,-60.913269557 -58.8359245519999,-60.012029556 -58.6650835519999,-59.346375555 -58.364886551,-58.4071495539999 -58.061057551,-58.3989535539999 -58.059308551,-58.389288554 -58.056114551,-57.379605553 -57.834721551,-56.3233795519999 -57.700994551,-56.303349552 -57.700287551,-56.296172552 -57.699341551,-55.217688551 -57.656049551,-54.673516551 -57.681758551,-54.434062551 -57.669640551,-53.35588855 -57.710667551,-53.34980655 -57.711457551,-53.34592155 -57.711587551,-53.33729355 -57.7127075509999,-53.33229855 -57.712873551,-52.278015549 -57.844360551,-52.063189548 -57.892133551,-51.8816485479999 -57.913314551,-51.056749548 -58.089313551,-50.696685547 -57.9283295509999,-49.7638325459999 -57.6292935509999,-49.743988546 -57.6251255509999,-49.743261546 -57.624887551,-48.7403595449999 -57.40871655,-48.330633545 -57.35986855,-48.220733545 -57.3350555499999,-47.1757015439999 -57.2025345499999,-46.1075775429999 -57.1609925499999,-46.1030725429999 -57.16122555,-46.0976035429999 -57.16098855,-45.0306225419999 -57.21129755,-45.008576542 -57.21438755,-44.669167542 -57.22834955,-44.6652145419999 -57.22889155,-44.656406542 -57.22924055,-44.0227745409999 -57.3141595499999,-43.8113205409999 -57.32123755,-42.76209954 -57.451894551,-42.5260895399999 -57.504350551,-42.49998354 -57.5074175509999,-41.494540539 -57.723878551,-40.559652538 -58.0233175509999,-40.532343538 -58.035731551,-40.4996835379999 -58.045960551,-39.658137537 -58.420840551,-39.652436537 -58.424381551,-39.650013537 -58.425440551,-38.9262985359999 -58.867032552,-38.343450536 -59.364306552,-37.923043535 -59.9043165529999,-37.916985535 -59.9190195529999,-37.9146385349999 -59.921977553,-37.675933535 -60.490045553,-37.6358415349999 -61.070028554,-37.806562535 -61.6445445539999,-38.194383536 -62.195405555,-38.797979536 -62.704172555,-38.803801536 -62.7074675549999,-38.805650536 -62.7089955549999,-38.818344536 -62.716173555,-38.8477885359999 -62.7404745549999,-39.6583245369999 -63.188875556,-39.6689065369999 -63.192912556,-39.6695565369999 -63.193265556,-40.664700538 -63.564716556,-41.8121555389999 -63.844786556,-41.9500565389999 -63.864861557,-42.0128485389999 -63.8796905569999,-43.2732525399999 -64.055321557,-44.5929435419999 -64.120741557,-44.600047542 -64.120518557,-44.605221542 -64.1207515569999,-45.677139543 -64.083081557,-45.701577543 -64.084002557,-47.021691544 -64.0266225569999,-47.190622544 -64.004191557,-47.299767544 -64.342873557,-47.724359544 -64.894967557,-48.388519545 -65.405180558,-49.282060546 -65.8550775579999,-49.2888465459999 -65.857431558,-49.293220546 -65.8595835579999,-49.305311546 -65.8637735579999,-49.346322546 -65.883911558,-49.996392547 -66.105404559,-50.418949547 -66.3932835589999,-50.658567547 -66.503954559,-50.778930547 -66.583546559,-50.822940547 -66.6035885589999,-50.844308547 -66.617623559,-51.174562548 -66.766431559,-50.746173547 -67.071626559,-50.249613547 -67.61905956,-50.2428715469999 -67.63441556,-50.236323547 -67.64144256,-49.9778975469999 -68.213172561,-49.9779625469999 -68.2189245609999,-49.9758055469999 -68.223566561,-49.9777385469999 -68.3984975609999,-49.809349546 -68.751377561,-49.8093815459999 -68.766310561,-49.7860765459999 -68.8141585609999,-49.786093546 -68.8334345609999,-49.785794546 -68.834046561,-49.785660546 -69.4139865619999,-49.7939825459999 -69.430573562,-49.7939805459999 -69.433027562,-49.794983546 -69.435026562,-49.7949495459999 -69.468953562,-49.8088155459999 -69.496495562,-49.8088155459999 -69.496581562,-50.103993547 -70.067526562,-50.457483547 -70.388655563,-50.390142547 -70.452245563,-50.289799547 -70.6495695629999,-50.2824975469999 -70.656332563,-50.2816885469999 -70.6579035629999,-50.213403547 -70.720890563,-50.212942547 -70.7217775629999,-50.140957547 -70.787704563,-50.121078547 -70.825439563,-50.094405547 -70.849672563,-50.094078547 -70.8502895629999,-50.068282547 -70.873662563,-50.059249547 -70.890624563,-50.057918547 -70.8918265629999,-50.0457535469999 -70.914615563,-49.987313547 -70.967166563,-49.9676775469999 -71.003509563,-49.939385547 -71.028764563,-49.9368575469999 -71.033414563,-49.9037425459999 -71.062873563,-49.883531546 -71.099775563,-49.870175546 -71.111593563,-49.8611845459999 -71.127929563,-49.822989546 -71.1615935629999,-49.808535546 -71.1876455629999,-49.7948375459999 -71.1996625629999,-49.756299546 -71.268620563,-49.735201546 -71.286990563,-49.7301515459999 -71.2959585629999,-49.360276546 -71.6116505639999,-49.133441546 -71.9854135639999,-48.7853435449999 -72.2631935639999,-48.761345545 -72.300012564,-48.761064545 -72.3002325639999,-48.376600545 -72.8690305649999,-48.353346545 -73.1057725649999,-48.3172215449999 -73.156392565,-48.317024545 -73.158304565,-48.315547545 -73.1603675649999,-48.270026545 -73.587626566,-48.198812545 -73.603482566,-48.192868545 -73.605358566,-48.127457545 -73.619870566,-48.110571545 -73.625178566,-48.0945095449999 -73.6287325659999,-48.0522265449999 -73.6419915659999,-48.024098545 -73.648193566,-47.887135545 -73.690884566,-47.882344545 -73.6919295659999,-47.820269545 -73.700771566,-47.770447544 -73.711243566,-47.7662495439999 -73.711839566,-47.675570544 -73.7308325659999,-46.726366544 -73.8616195659999,-46.192850543 -73.967287566,-46.0840495429999 -73.975485566,-46.057239543 -73.9789665659999,-45.8874315429999 -73.991610566,-43.950647541 -74.228654566,-43.949474541 -74.228862566,-43.874553541 -74.237552566,-43.800073541 -74.250705566,-43.721310541 -74.2597645659999,-43.624272541 -74.276772566,-43.601630541 -74.2793545659999,-43.23161054 -74.3434285659999,-43.0962175399999 -74.338554566,-43.0882275399999 -74.338642566,-43.07641954 -74.338212566,-42.9369935399999 -74.3396905659999,-42.9363645399999 -74.3396675659999,-42.8630155399999 -74.3404095659999,-42.84850954 -74.339866566,-42.65681754 -74.3416765659999,-42.6466995399999 -74.3412885659999,-42.63598754 -74.341384566,-42.60865054 -74.340331566,-41.533031539 -74.347148566,-40.4568875379999 -74.3487005659999,-40.456742538 -74.348707566,-40.353911538 -74.348579566,-40.309469538 -74.350621566,-40.309381538 -74.350621566,-40.185693537 -74.356253566,-39.277502537 -74.208919566,-39.266111537 -74.207706566,-39.245901537 -74.204352566,-39.1998845369999 -74.199441566,-38.724037536 -74.083743566,-38.722617536 -74.0835005659999,-38.706381536 -74.079505566,-37.863313535 -73.9325635659999,-37.861082535 -73.931993566,-36.763385534 -73.519915566,-36.7519265339999 -73.516798565,-36.739890534 -73.512130565,-35.2981315329999 -73.1050745649999,-35.2711405329999 -73.0995365649999,-35.2678515329999 -73.098572565,-34.1740585319999 -72.868052565,-33.862293532 -72.7291065649999,-33.7975985309999 -72.7087725649999,-33.772783531 -72.697558565,-32.46425053 -72.2707385639999,-32.13038653 -72.190865564,-32.02105753 -72.153293564,-32.01330353 -72.1514125639999,-31.9855305299999 -72.141830564,-30.5300745279999 -71.775597564,-30.522817528 -71.7742975639999,-30.489923528 -71.7657195639999,-29.6845705279999 -71.618365564,-29.416051527 -71.545316564,-29.4042215269999 -71.543077564,-29.3416335269999 -71.525905564,-29.3275425269999 -71.523228564,-29.323656527 -71.5221605639999,-29.2989895269999 -71.517468564,-29.286913527 -71.510573564,-29.284035527 -71.509447564,-29.2663955269999 -71.499363564,-28.8059685269999 -71.316704563,-28.279103526 -71.0011075629999,-28.259925526 -70.993130563,-28.255262526 -70.9902825629999,-27.180945525 -70.529420563,-25.930594524 -70.128689562,-25.920757524 -70.126416562,-25.8588015239999 -70.105904562,-24.470041523 -69.7731135619999,-24.4213715229999 -69.765036562,-24.3544205229999 -69.748403562,-22.860714521 -69.489726562,-21.29009852 -69.3110945619999,-21.28676652 -69.3109145619999,-21.2573455199999 -69.3073995619999,-20.455622519 -69.262069562,-19.9343175189999 -69.156525561,-19.928477519 -69.1557705609999,-19.9099755189999 -69.151975561,-19.7342155179999 -69.129106561,-19.692094518 -69.120385561,-19.3926495179999 -69.079386561,-19.382396518 -69.076236561,-18.3776535169999 -68.767536561,-18.360189517 -68.763739561,-18.332563517 -68.755029561,-18.147788517 -68.7145995609999,-17.4665945159999 -68.4942735609999,-16.501712515 -68.269291561,-15.9099015149999 -68.0631295599999,-15.8997545149999 -68.0606315599999,-15.8687025149999 -68.0496415599999,-14.5926345139999 -67.72516956,-14.574658514 -67.72204356,-14.531477514 -67.7107075599999,-14.419017513 -67.69104256,-14.416177513 -67.6902925599999,-14.121496513 -67.6382125599999,-14.0653025129999 -67.62315956,-14.060904513 -67.62237356,-14.043883513 -67.61780556,-12.680120512 -67.36525456,-12.668073512 -67.36388556,-12.665015512 -67.36329856,-11.22957251 -67.19217456,-9.75109950899997 -67.1060605599999,-8.56396250799997 -67.10773256,-7.85110950699993 -66.765274559,-7.84126850699994 -66.761885559,-7.83145450699993 -66.7570745589999,-6.74259650599993 -66.371752559,-6.72599650599994 -66.3675685589999,-6.71365550599995 -66.363081559,-5.50529650499993 -66.0494005589999,-5.48573450499993 -66.0459775589999,-5.47959150499997 -66.0443355589999,-4.18056750399995 -65.809005558,-2.81880850299996 -65.6571565579999,-2.76556050299996 -65.654917558,-2.75666450299997 -65.653874558,-1.36051450099995 -65.588047558,-1.32792150099993 -65.5887135579999,-1.30050850099997 -65.587278558,-1.16695550099996 -65.5899065579999,-0.971724500999926 -65.579356558,-0.89346550099998 -65.580736558,-0.854303500999947 -65.578567558,-0.729406500999971 -65.5806505579999,-0.718649500999959 -65.5800435579999,0.684546501000057 -65.596065558,0.709354501000064 -65.598043558,0.768191501000047 -65.5984135579999,0.830145501000061 -65.603310558,0.838869501000033 -65.603359558,2.22451250200004 -65.7055605579999,2.26591450200004 -65.711587558,2.26592950200006 -65.711589558,2.29958450200007 -65.7138905579999,3.64029050300007 -65.900998558,3.65193550300006 -65.903546558,3.65197450300008 -65.9035515579999,3.65746450300003 -65.904286558,4.92453950500004 -66.173017559,6.08876450600008 -66.5178795589999,6.51109750600006 -66.689689559,7.28656850700003 -66.663304559,7.33477050700003 -66.664879559,7.91889050700007 -66.642198559,8.39771050800005 -66.6551965589999,8.66497250800006 -66.643228559,8.74575150800007 -66.6336665589999,8.78705650800003 -66.631751559,8.78901350800004 -66.631518559,9.11201750800006 -66.616145559,9.11228750800007 -66.6161325589999,9.13318550900004 -66.611902559,9.13847050900006 -66.6103195589999,10.4270505100001 -66.340992559,11.790670511 -66.153180559,11.822643511 -66.151011559,11.8547985110001 -66.1463925589999,13.264259512 -66.0433195589999,13.267588512 -66.0432985589999,13.782017513 -66.002151559,13.7945895130001 -66.0020285589999,13.8638855130001 -65.9963345579999,13.930296513 -65.9956405579999,13.939392513 -65.994885558,15.364116514 -65.9727865579999,15.3670615140001 -65.972936558,15.504251514 -65.9700875579999,16.9219185160001 -66.034391559,16.976522516 -66.040621559,16.979570516 -66.040743559,18.363226517 -66.190930559,19.6841545180001 -66.424473559,19.7087475180001 -66.430893559,20.6977345190001 -66.519176559,20.699876519 -66.5195245589999,20.7135075190001 -66.5206915589999,21.17261152 -66.594207559,21.2173395200001 -66.5947205589999,21.2746595200001 -66.5994015589999,21.3210405200001 -66.599902559,22.7591415210001 -66.709280559,22.7601325210001 -66.709424559,22.841241521 -66.715161559,22.9348675210001 -66.728684559,22.999046521 -66.733148559,23.204841522 -66.762515559,23.385613522 -66.774669559,23.5180265220001 -66.774234559,23.767274522 -66.737218559,23.7677795220001 -66.737180559,23.814171522 -66.7302345589999,23.9414845220001 -66.7205775589999,23.9426975220001 -66.7203945589999,24.4461125230001 -66.681100559,24.470265523 -66.672698559,24.470910523 -66.672542559,24.5580345230001 -66.6421555589999,24.585852523 -66.635409559,24.5896615230001 -66.6340765589999,25.197637523 -66.484415559,25.2088365230001 -66.4803935589999,25.2171465230001 -66.4783175589999,25.242032524 -66.469368559,26.4621185250001 -66.155451559,26.4689095250001 -66.1542725589999,26.474122525 -66.152892559,27.7844985260001 -65.9173805579999,27.794054526 -65.916370558,27.831178526 -65.909464558,29.2025175270001 -65.756860558,29.293257527 -65.752582558,29.473443527 -65.711669558,29.7329465280001 -65.6527465579999,29.733855528 -65.652616558,29.770197528 -65.6442555579999,29.8876405280001 -65.627362558,29.9240275280001 -65.618931558,31.241286529 -65.420880558,32.6091375300001 -65.307691558,32.61788053 -65.307569558,32.6465795300001 -65.305044558,32.7647925310001 -65.303324558,32.839438531 -65.296662558,32.936659531 -65.2951265579999,32.964171531 -65.292641558,34.3534485320001 -65.263350558,35.7389365330001 -65.321968558,35.7579665330001 -65.324109558,35.7608695330001 -65.324217558,37.1150315350001 -65.469441558,37.4102905350001 -65.523033558,37.5064685350001 -65.503232558,37.8760895350001 -65.3889185579999,37.885468535 -65.386943558,37.902464535 -65.381637558,37.9988605350001 -65.3612725579999,38.1286745360001 -65.320436558,39.353307537 -65.051353558,39.3600265370001 -65.050421558,39.3632725370001 -65.049686558,40.6611545380001 -64.862417557,40.784386538 -64.8536685569999,41.3258455380001 -64.6609435569999,42.4855075400001 -64.3655085569999,42.52568854 -64.3587745569999,42.5375675400001 -64.355659557,42.7853995400001 -64.3137715569999,42.81437154 -64.306083557,42.8168085400001 -64.3056685569999,42.83093654 -64.301915557,42.8337195400001 -64.301440557,43.2696165400001 -64.132266557,43.3015245400001 -64.1235895569999,43.31094354 -64.119889557,44.4252105410001 -63.808521556,44.4396465410001 -63.805818556,44.4399565410001 -63.805729556,45.6393825430001 -63.573968556,46.4508755430001 -63.480612556,46.4627975430001 -63.476897556,47.630477544 -63.227914556,47.6544375440001 -63.224827556,47.6594565440001 -63.223724556,47.6824255440001 -63.220760556,48.6641665450001 -62.999590556,48.992497546 -62.953807556,49.0243835460001 -62.9463375559999,50.2346875470001 -62.769013555,50.2629935470001 -62.767111555,50.3100755470001 -62.759937555,50.486074547 -62.747907555,50.5017975470001 -62.745483555,50.5452165470001 -62.7424735549999,50.555239547 -62.7409235549999,51.268130548 -62.689359555,51.569244548 -62.6405065549999,52.8093395490001 -62.5383405549999,54.06654955 -62.525446555,54.13231755 -62.5297845549999,54.595075551 -62.5218605549999,55.8441535520001 -62.593642555,56.2925955520001 -62.654117555,56.3247745520001 -62.655699555,56.355116552 -62.659720555,56.479342553 -62.6657225549999,56.4818045530001 -62.666046555,56.6551055530001 -62.674222555,56.6630995530001 -62.675261555,56.680054553 -62.676047555,57.9027615540001 -62.8283665559999,59.0669675550001 -63.065652556,59.0742715550001 -63.0678515559999,59.1106015550001 -63.0750325559999,59.1395175550001 -63.083717556,59.1858315550001 -63.0928385559999,59.199753555 -63.0970085559999,59.213802555 -63.099768556,59.279340555 -63.119350556,59.4631595550001 -63.1551575559999,60.5498345560001 -63.469070556,60.574297556 -63.478992556,60.633529556 -63.4897735559999,60.8146185570001 -63.5404025559999,60.8479265570001 -63.546389556,61.4105135570001 -63.700811556,62.2746085580001 -63.707535556,63.5668405590001 -63.808545556,64.8148805600001 -63.996150557,65.5603685610001 -64.169086557,66.0823175620001 -64.240052557,67.219126563 -64.296911557,68.389662564 -64.437453557,69.3608265650001 -64.397176557,70.7030445660001 -64.432032557,70.710376566 -64.432752557,70.721427566 -64.4329865569999,72.039127567 -64.5555745569999,72.122024567 -64.569634557,72.1311295670001 -64.570430557,72.144828567 -64.572746557,72.1453635670001 -64.572792557,73.4127855680001 -64.779736557,73.847545569 -64.886847557,74.333762569 -64.4604085569999,74.356979569 -64.446511557,74.4278145690001 -64.382607557,75.1918815700001 -63.911834557,75.1980275700001 -63.909133557,75.2032795700001 -63.905820557,75.27200657 -63.875546557,75.3307775700001 -63.838262556,75.4296855700001 -63.794356556,75.4502895700001 -63.781184556,76.356360571 -63.368001556,76.375362571 -63.3617985559999,76.377908571 -63.360609556,77.4072515720001 -63.016059556,78.5336875730001 -62.748108555,78.5561745730001 -62.7447475549999,78.5738285730001 -62.7404255549999,79.7701335740001 -62.5546605549999,81.010546575 -62.4555065549999,82.2686965770001 -62.445165555,82.2726625770001 -62.445434555,82.305834577 -62.445001555,83.555400578 -62.523440555,84.769874579 -62.6894285549999,85.343359579 -62.815561556,85.9501895800001 -62.7427695549999,86.0419605800001 -62.739070555,86.05172258 -62.737866555,87.3131305810001 -62.680498555,87.3235725810001 -62.6808095549999,87.3472165810001 -62.6796175549999,87.436965581 -62.6822475549999,87.4786955810001 -62.680106555,87.566421582 -62.682592555,87.6137125820001 -62.680118555,87.7298585820001 -62.6832825549999,87.7381235820001 -62.682841555,88.956000583 -62.709953555,89.196140583 -62.651602555,89.213500583 -62.649012555,89.222555583 -62.646797555,90.4158235840001 -62.4620375549999,91.2516445850001 -62.397293555,91.268086585 -62.392906555,91.274960585 -62.390234555,92.3477965860001 -62.096479555,92.3869705860001 -62.089463555,92.3892425860001 -62.088824555,93.5378325870001 -61.876337555,94.7367085880001 -61.7501785549999,94.8228595880001 -61.747942555,94.8554735880001 -61.7443195549999,96.078162589 -61.706178554,96.090505589 -61.706759554,96.1615925900001 -61.7041835539999,97.382866591 -61.7552435549999,97.4645655910001 -61.765203555,97.4865045910001 -61.7660025549999,98.6813725920001 -61.905047555,99.028618592 -61.974859555,99.1018525920001 -61.982777555,99.1674385920001 -61.995781555,99.1945245920001 -61.998683555,99.6517785930001 -62.088038555,99.740428593 -62.0662785549999,100.913115594 -61.884910555,102.126209595 -61.791227555,103.353651596 -61.7872815549999,103.367274596 -61.788308555,103.416825596 -61.787906555,103.666301597 -61.806354555,104.164362597 -61.758541555,105.389069598 -61.735818555,106.607440599 -61.8031105549999,106.616366599 -61.804329555,106.628941599 -61.804963555,107.8151216 -61.960630555,108.942822601 -62.2014745549999,109.985698602 -62.5221515549999,110.196228603 -62.612514555,110.200885603 -62.612244555,110.275335603 -62.6016275549999,110.298134603 -62.600291555,110.432185603 -62.5810275549999,110.552267603 -62.5738005549999,110.602922603 -62.566430555,110.674255603 -62.562057555,110.738073603 -62.5527015549999,110.773396603 -62.550504555,110.807911603 -62.545419555,110.909510603 -62.539020555,111.109137603 -62.509233555,111.134180604 -62.5076045549999,111.170998604 -62.5020645549999,111.249992604 -62.496874555,111.282895604 -62.4918915549999,112.523246605 -62.403801555,113.776146606 -62.405266555,113.794888606 -62.406731555,113.911883606 -62.406261555,115.151479607 -62.4959855549999,116.351343608 -62.6732685549999,116.359784608 -62.675264555,116.364156608 -62.675887555,117.023131609 -62.8292185559999,117.270853609 -62.7543395549999,118.42488061 -62.516842555,118.45168461 -62.513604555,118.46208661 -62.511398555,119.673695611 -62.3586515549999,120.916862613 -62.294228555,120.918251613 -62.294263555,120.940836613 -62.292984555,122.189187614 -62.3179905549999,122.211895614 -62.320211555,122.240760614 -62.3206475549999,123.468439615 -62.434240555,123.566311615 -62.451338555,123.605374615 -62.454723555,124.787673616 -62.653669555,124.803088616 -62.657679555,124.810708616 -62.658917555,125.447315617 -62.821942556,126.121395617 -62.868320556,126.133370617 -62.870121556,126.179425618 -62.873158556,126.237260618 -62.881818556,126.262628618 -62.883472556,126.265984618 -62.8839735559999,126.315072618 -62.887141556,126.746186618 -62.798971556,126.791958618 -62.7934925559999,126.804911618 -62.790755556,128.021282619 -62.6382805549999,128.045108619 -62.637166555,128.055087619 -62.635859555,129.30484862 -62.5710935549999,130.019667621 -62.586595555,130.206399621 -62.519184555,131.300720622 -62.242713555,131.330033622 -62.238003555,131.341969622 -62.234902555,132.506715623 -62.0409045549999,133.716548625 -61.933975555,133.851318625 -61.932626555,133.891635625 -61.9288085549999,135.120269626 -61.9095975549999,135.121218626 -61.909657555,135.147775626 -61.909111555,136.370232627 -61.979444555,137.560604628 -62.1380995549999,137.572486628 -62.140727555,137.609654628 -62.145475555,138.742474629 -62.388611555,139.79077863 -62.7113395549999,139.81162263 -62.720316555,139.81636563 -62.7217405549999,140.654000631 -63.075253556,141.067082631 -63.0823525559999,142.324373633 -63.197227556,142.329643633 -63.198133556,142.330670633 -63.198221556,143.541193634 -63.399409556,143.898132634 -63.489984556,144.144241634 -63.4884445559999,144.445081635 -63.5096705559999,144.687820635 -63.487891556,144.732715635 -63.4873835559999,144.740729635 -63.486653556,145.235745635 -63.480035556,145.309167635 -63.4503475559999,146.395046636 -63.137384556,146.402850636 -63.135876556,146.405228636 -63.135173556,147.574533637 -62.9021885559999,148.800747639 -62.754331555,150.05743164 -62.694762555,151.318317641 -62.724742555,151.330257641 -62.7259485549999,151.341378641 -62.726158555,152.580385642 -62.844833556,153.771069643 -63.0498865559999,154.886845644 -63.336884556,155.900825645 -63.699485556,156.469696646 -63.978069557,157.149032646 -63.700337556,158.234260647 -63.378046556,158.241425647 -63.376603556,158.272770647 -63.367052556,159.443906648 -63.123654556,160.67480965 -62.9647315559999,161.938824651 -62.893650556,163.209533652 -62.9118895559999,164.460615653 -63.0190355559999,164.466243653 -63.019972556,164.472254653 -63.0204565559999,165.677470654 -63.214108556,166.810135655 -63.4901975559999,167.843395656 -63.842655556,168.750123657 -64.263526557,168.753710657 -64.2658625569999,168.761784657 -64.269522557,168.838275657 -64.319209557,169.263287658 -64.508918557,170.263312659 -64.810468557,170.278824659 -64.8170135569999,170.290851659 -64.8205505569999,171.27176666 -65.224063558,172.10139466 -65.688613558,172.11308266 -65.6980885579999,172.20310966 -65.747132558,172.22931566 -65.768224558,172.25352966 -65.7813485579999,172.31617166 -65.831518558,172.33060366 -65.8392985579999,172.989682661 -66.352679559,173.440859662 -66.9034165589999,173.443791662 -66.911395559,173.445273662 -66.913157559,173.662138662 -67.4866015599999,173.657884662 -67.54641456,173.666340662 -67.56807256,173.625062662 -68.14792556,173.607035662 -68.180677561,173.845424662 -68.205196561,173.856746662 -68.207133561,173.878868662 -68.2092865609999,175.313471663 -68.4453735609999,176.651571665 -68.758857561,177.861859666 -69.1433415609999,177.880835666 -69.151656561,177.903439666 -69.158618561,178.954878667 -69.605680562,178.956916667 -69.606903562,179.011919667 -69.629596562,179.012067667 -69.629685562,179.152304667 -69.6872415619999,179.806003667 -70.0668535619999,179.958432668 -70.126458562,179.999999668 -70.149989562,179.999999668 -70.499999563,179.999999668 -71.499999564,179.999999668 -72.4999995649999,179.999999668 -73.4999995649999,179.999999668 -74.499999566,179.999999668 -75.499999567,179.999999668 -76.499999568,179.999999668 -77.499999569,179.999999668 -78.4999995699999,179.999999668 -79.499999571,179.999999668 -80.499999572,179.999999668 -81.499999573,179.999999668 -82.499999574,179.999999668 -83.4999995749999,179.999999668 -84.302245576,179.908354668 -84.2980635759999,179.528627667 -84.272518576,179.430545667 -84.263336576,179.360263667 -84.2533545749999,179.323199667 -84.2422365749999,179.388608667 -84.219463575,179.437808667 -84.215572575,179.593872667 -84.194745575,179.615127667 -84.174745575,179.550808667 -84.160018575,179.511690667 -84.155018575,179.463045667 -84.151127575,179.336918667 -84.144999575,179.180845667 -84.1425185749999,179.108918667 -84.143345575,179.043881667 -84.1461185749999,178.995272667 -84.150009575,178.904145667 -84.159727575,178.871645667 -84.164745575,178.788908667 -84.174727575,178.697236666 -84.184445575,178.598599666 -84.1922275749999,178.542781666 -84.194172575,178.461399666 -84.195009575,178.392208666 -84.193072575,178.247645666 -84.186845575,178.189418666 -84.1841905749999,178.141663666 -84.1800275749999,178.102508666 -84.175845575,178.028745666 -84.1590455749999,178.059690666 -84.133618575,178.097836666 -84.105845575,178.045836666 -84.090027575,177.988863666 -84.0866815749999,177.846408666 -84.0880545749999,177.668027665 -84.0964095749999,177.505281665 -84.105854575,177.441099665 -84.107790575,177.291927665 -84.1072365749999,177.216645665 -84.1044455749999,177.178618665 -84.100299575,177.143890665 -84.090572575,177.081363665 -84.076127575,176.980281665 -84.0672275749999,176.886381665 -84.059445575,176.713590665 -84.0402815749999,176.580018664 -84.0188905749999,176.542781664 -84.014736575,176.396663664 -84.002245575,176.048063664 -83.980854575,175.983581664 -83.9777815749999,175.843081664 -83.9736365749999,175.778627664 -83.970581575,175.724154664 -83.966945575,175.624999664 -83.9586185749999,175.560818664 -83.955845575,175.485263663 -83.954190575,175.413636663 -83.955563575,175.273345663 -83.9566815749999,175.208072663 -83.954463575,175.155272663 -83.950009575,175.075527663 -83.941118575,175.051363663 -83.9350275749999,175.021527663 -83.917654575,175.048581663 -83.8921095749999,175.035945663 -83.872236575,174.991118663 -83.856418575,174.923890663 -83.845836575,174.882199663 -83.840572575,174.839145663 -83.835863575,174.741672663 -83.8283545749999,174.598599663 -83.822781575,174.448054662 -83.821409575,174.385799662 -83.822781575,174.322236662 -83.825299575,173.890836662 -83.8461185749999,173.790008662 -83.854190575,173.746945662 -83.8586095749999,173.712245662 -83.863345575,173.673890662 -83.8697545749999,173.578336662 -83.887799575,173.496090662 -83.898899575,173.410554662 -83.906963575,173.345854661 -83.909190575,173.293308661 -83.905299575,173.254563661 -83.896672575,173.226136661 -83.887218575,173.202236661 -83.881954575,173.105527661 -83.866118575,172.991672661 -83.8586095749999,172.844972661 -83.858918575,172.782227661 -83.860309575,172.730281661 -83.8561365749999,172.680254661 -83.841263575,172.642518661 -83.8205635749999,172.596408661 -83.797809575,172.361081661 -83.716399575,172.32055466 -83.7116815749999,172.25058166 -83.708909575,172.21527266 -83.713627575,172.17636366 -83.719999575,172.14083666 -83.736390575,172.07941866 -83.766827575,172.03247266 -83.786390575,172.00918166 -83.793063575,171.96941866 -83.799472575,171.90502766 -83.801699575,171.88581866 -83.789054575,171.86834566 -83.7524995749999,171.87252766 -83.729609575,171.89694566 -83.712509575,171.92803666 -83.706127575,172.00247266 -83.695009575,172.07055466 -83.683072575,172.20776366 -83.658081575,172.25305466 -83.644472575,172.31727266 -83.600772575,172.28442766 -83.5777905749999,172.25640866 -83.571409575,172.22640866 -83.566118575,172.18667266 -83.5613995749999,172.12969966 -83.5569635749999,172.00082766 -83.551699575,171.92306366 -83.549727575,171.79083666 -83.549727575,171.68637266 -83.556136575,171.65164566 -83.560854575,171.56836366 -83.568890575,171.46334566 -83.575299575,171.40890866 -83.577236575,171.34057266 -83.5783545749999,171.27417266 -83.5726545749999,171.31332766 -83.5533635749999,171.35000866 -83.547809575,171.44469966 -83.527527575,171.46859966 -83.516399575,171.44998166 -83.506136575,171.41140866 -83.5014185749999,171.34585466 -83.5014185749999,171.28609966 -83.5024995749999,171.224154659 -83.504472575,171.069699659 -83.511136575,170.938627659 -83.511136575,170.871090659 -83.508363575,170.813327659 -83.5047275749999,170.775299659 -83.499727575,170.746645659 -83.4944635749999,170.703708659 -83.473872575,170.673890659 -83.447527575,170.605281659 -83.445572575,170.337490659 -83.445009575,170.210299659 -83.4399995749999,170.127808658 -83.4300275749999,170.035963658 -83.4104365749999,169.981690658 -83.3955815749999,169.917236658 -83.385281575,169.878354658 -83.381136575,169.816654658 -83.3764185749999,169.758636658 -83.373609575,169.686672658 -83.3730635749999,169.563627658 -83.3738995749999,169.501372658 -83.372790575,169.453036658 -83.3694635749999,169.375472658 -83.353954575,169.340272658 -83.339445575,169.311672658 -83.334736575,169.250827658 -83.3300185749999,169.193363658 -83.3269545749999,169.065554657 -83.3264185749999,168.948299657 -83.3283545749999,168.900299657 -83.3313905749999,168.812227657 -83.340572575,168.774745657 -83.345836575,168.613618657 -83.376954575,168.446681657 -83.409727575,168.364990657 -83.4313995749999,168.275299657 -83.452527575,168.241945657 -83.458909575,168.200527657 -83.465027575,168.156372657 -83.4691815749999,168.101963657 -83.4711185749999,167.981936656 -83.472518575,167.840818656 -83.466690575,167.654145656 -83.456127575,167.505281656 -83.444172575,167.469727656 -83.439181575,167.447627656 -83.429309575,167.454318656 -83.400281575,167.483036656 -83.380845575,167.530272656 -83.363909575,167.561672656 -83.358336575,167.656681656 -83.350581575,167.802799656 -83.341690575,167.846408656 -83.337509575,167.874036656 -83.324181575,167.836918656 -83.310854575,167.811672656 -83.3052995749999,167.789318656 -83.2954365749999,167.832763656 -83.2852815749999,167.913908656 -83.2758455749999,168.061127657 -83.2688905749999,168.263027657 -83.259181575,168.311127657 -83.256136575,168.403872657 -83.248354575,168.448636657 -83.243345575,168.508636657 -83.2322365749999,168.672763657 -83.170290574,168.688263657 -83.150563574,168.654145657 -83.120836574,168.588345657 -83.096690574,168.526399657 -83.077527574,168.457354657 -83.0176545739999,168.426118657 -83.005018574,168.360263657 -82.9941725739999,168.210536657 -82.983081574,168.090027657 -82.975581574,168.019436656 -82.973072574,167.970554656 -82.9738905739999,167.880863656 -82.981963574,167.846681656 -82.986127574,167.798063656 -82.9900095739999,167.612518656 -83.001954574,167.509736656 -83.005572574,167.397490656 -83.006954574,167.282472656 -83.006136574,167.151090656 -83.002790574,166.836918655 -82.986390574,166.752808655 -82.977527574,166.723354655 -82.968072574,166.747772655 -82.9591635739999,166.787199655 -82.953081574,166.917236655 -82.942227574,167.056090656 -82.933627574,167.139163656 -82.925581574,167.159863656 -82.911809574,167.126127656 -82.898363574,167.035554656 -82.8889185739999,166.940554655 -82.881390574,166.899172655 -82.876954574,166.859708655 -82.871418574,166.790554655 -82.854445574,166.772490655 -82.838063574,166.813081655 -82.822781574,166.865536655 -82.820299574,166.979736656 -82.820299574,167.103336656 -82.8225275739999,167.151090656 -82.821681574,167.201418656 -82.819745574,167.299163656 -82.814181574,167.342190656 -82.809190574,167.366672656 -82.8027815739999,167.349454656 -82.788636574,167.303036656 -82.777254574,167.238618656 -82.7672275739999,167.138336656 -82.759181574,167.079163656 -82.755845574,167.024745656 -82.756390574,166.975008656 -82.758363574,166.929745655 -82.761136574,166.886936655 -82.766109574,166.825836655 -82.7777905739999,166.757754655 -82.789172574,166.721408655 -82.794463574,166.675808655 -82.797245574,166.614199655 -82.797518574,166.523345655 -82.7889095739999,166.210299655 -82.736390574,166.163636655 -82.7274905739999,166.148527655 -82.713899574,166.194699655 -82.6975275739999,166.235263655 -82.693636574,166.271663655 -82.6883365739999,166.339445655 -82.676954574,166.363481655 -82.6653095739999,166.333618655 -82.6566815739999,166.286954655 -82.651945574,166.238063655 -82.647781574,166.131408655 -82.6402905739999,166.066954655 -82.6363995739999,165.933590655 -82.630572574,165.753599654 -82.625309574,165.696136654 -82.6219455739999,165.647799654 -82.6177995739999,165.608336654 -82.613081574,165.261690654 -82.5633365739999,165.240145654 -82.553890574,165.266663654 -82.5350185739999,165.307527654 -82.528072574,165.374999654 -82.519745574,165.413327654 -82.5139185739999,165.440854654 -82.506390574,165.458054654 -82.494863574,165.414699654 -82.4514185739999,165.395554654 -82.442372574,165.349154654 -82.427245574,165.319454654 -82.421954574,165.251918654 -82.4119725739999,165.175563654 -82.4027905739999,164.848908654 -82.373354574,164.787227653 -82.369463574,164.677799653 -82.366972574,164.511963653 -82.366390574,164.393890653 -82.364454574,164.220854653 -82.358609574,164.172518653 -82.355299574,164.126399653 -82.3508455739999,164.026118653 -82.335281574,163.801972653 -82.307254574,163.711118652 -82.298627574,163.546963652 -82.280299574,163.473908652 -82.2705815739999,163.439745652 -82.2598905739999,163.459163652 -82.243345574,163.541136652 -82.235018574,163.621672652 -82.229736574,163.698336652 -82.223072574,163.742799652 -82.2175185739999,163.806399653 -82.205309574,163.838208653 -82.192936574,163.858081653 -82.178481574,163.844054653 -82.136972574,163.803072653 -82.101136573,163.782499653 -82.088345573,163.766118653 -82.081681573,163.755863653 -82.0752995729999,163.710018652 -82.064181573,163.661681652 -82.0536185729999,163.464172652 -82.0166905729999,163.298890652 -81.9911185729999,163.234745652 -81.981672573,163.213272652 -81.965354573,163.171963652 -81.949718573,163.134736652 -81.9458635729999,163.079463652 -81.9455725729999,163.022799652 -81.943345573,162.971408652 -81.939454573,162.928072652 -81.935027573,162.907808652 -81.930027573,162.872218652 -81.918354573,162.797927652 -81.890845573,162.864199652 -81.877499573,162.901745652 -81.865145573,162.889172652 -81.839872573,162.851681652 -81.8238995729999,162.831699652 -81.818890573,162.783354652 -81.814181573,162.736118652 -81.811399573,162.684172652 -81.810290573,162.635836651 -81.810563573,162.522518651 -81.806672573,162.471954651 -81.8027815729999,162.423618651 -81.798063573,162.351408651 -81.7897455729999,162.320008651 -81.783909573,162.298490651 -81.774872573,162.316127651 -81.7641725729999,162.347227651 -81.7580725729999,162.346127651 -81.7205815729999,162.309308651 -81.670718573,162.275845651 -81.6622275729999,162.187227651 -81.653072573,162.133054651 -81.650554573,162.087799651 -81.650009573,162.038363651 -81.645854573,161.997218651 -81.6413995729999,161.923063651 -81.631954573,161.865572651 -81.621418573,161.825499651 -81.604381573,161.753081651 -81.585863573,161.45306365 -81.556963573,161.40835465 -81.5561365729999,161.35860865 -81.556963573,161.32363665 -81.559736573,161.18279965 -81.5775275729999,161.06973665 -81.588054573,161.03195465 -81.591399573,160.91195465 -81.5997275729999,160.81472765 -81.600299573,160.73419065 -81.5911275729999,160.64111865 -81.576954573,160.524445649 -81.555299573,160.445281649 -81.539172573,160.398899649 -81.5244635729999,160.409454649 -81.5066725729999,160.472499649 -81.4950095729999,160.512790649 -81.490572573,160.54779065 -81.488081573,160.58834565 -81.485854573,160.72500865 -81.482790573,160.81280865 -81.482790573,161.00586365 -81.485563573,161.09945465 -81.485563573,161.23028165 -81.482236573,161.27057265 -81.479736573,161.30779965 -81.476409573,161.34418165 -81.470836573,161.37194565 -81.4636275729999,161.39389065 -81.4561275729999,161.41806365 -81.447781573,161.43911865 -81.424599573,161.43000865 -81.395772573,161.45779065 -81.376954573,161.52251865 -81.3683455729999,161.601408651 -81.3613905729999,161.803072651 -81.350845573,161.838072651 -81.350009573,161.961672651 -81.3411275729999,162.064999651 -81.330018573,162.133363651 -81.319454573,162.159999651 -81.312227573,162.188627651 -81.3008455729999,162.208072651 -81.226672573,162.179172651 -81.2158545729999,162.152254651 -81.209163573,162.115299651 -81.2038995729999,162.066127651 -81.2008365729999,162.039463651 -81.201127573,161.960572651 -81.2038995729999,161.882508651 -81.208618573,161.769472651 -81.219181573,161.660581651 -81.227781573,161.54306365 -81.2350185729999,161.45583665 -81.238081573,161.28863665 -81.2419725729999,161.06112765 -81.2416815729999,161.00640865 -81.2378095729999,160.97820865 -81.228481573,161.00030865 -81.217518573,160.97723665 -81.2119635729999,160.88891865 -81.211136573,160.71334565 -81.213054573,160.65918165 -81.209454573,160.62139965 -81.200018573,160.69528165 -81.185854573,160.74062765 -81.164736573,160.72279065 -81.1463995729999,160.63168165 -81.127790573,160.60723665 -81.117163573,160.64141865 -81.104445573,160.68029965 -81.101963573,160.72558165 -81.104190573,160.77001865 -81.1022455729999,160.80334565 -81.0997275729999,160.83598165 -81.086618573,160.79419065 -81.067227573,160.73141865 -81.0577815729999,160.67333665 -81.046690573,160.65084565 -81.0411185729999,160.62139965 -81.0291905719999,160.509736649 -80.961545572,160.524445649 -80.945299572,160.55417265 -80.939454572,160.58667265 -80.934736572,160.73000865 -80.920009572,160.82446365 -80.906681572,160.84626365 -80.896681572,160.79889065 -80.888918572,160.75528165 -80.888918572,160.67861865 -80.891399572,160.59722765 -80.895581572,160.54806365 -80.894999572,160.516118649 -80.890854572,160.456681649 -80.8748365719999,160.336945649 -80.8497275719999,160.120845649 -80.8219455719999,160.086672649 -80.8166995719999,160.062499649 -80.811672572,160.017090649 -80.793909572,160.042236649 -80.773054572,160.103908649 -80.7625095719999,160.141118649 -80.758363572,160.221681649 -80.756390572,160.52725465 -80.769472572,160.66891865 -80.7766725719999,160.70697265 -80.7766725719999,160.73834565 -80.769745572,160.73889065 -80.742799572,160.80056365 -80.7183365719999,160.82419065 -80.7122365719999,160.86083665 -80.707790572,160.99307265 -80.6933455719999,161.10751865 -80.687499572,161.14751865 -80.686399572,161.18167265 -80.682781572,161.20000865 -80.669172572,161.17447265 -80.635563572,161.13806365 -80.6308455719999,161.09472765 -80.6289095719999,161.05779965 -80.6311365719999,161.01806365 -80.632245572,160.96972765 -80.629727572,160.94570865 -80.620572572,160.92807265 -80.597781572,160.90362765 -80.5911275719999,160.86529965 -80.5872365719999,160.82556365 -80.588345572,160.78640865 -80.5916905719999,160.69500865 -80.604736572,160.63000865 -80.615009572,160.60140865 -80.621127572,160.57000865 -80.625836572,160.504454649 -80.6339095719999,160.469999649 -80.6372185719999,160.438081649 -80.640027572,160.321681649 -80.646409572,160.244445649 -80.6497365719999,160.206972649 -80.650009572,160.156399649 -80.648054572,160.081699649 -80.6397365719999,160.017245649 -80.629727572,159.908354649 -80.6094545719999,159.820554649 -80.592799572,159.763690649 -80.572727572,159.782227649 -80.556672572,159.842527649 -80.546109572,159.947236649 -80.535018572,160.018336649 -80.529445572,160.057799649 -80.528354572,160.086118649 -80.5333365719999,160.113345649 -80.549381572,160.221681649 -80.565854572,160.298618649 -80.564454572,160.369754649 -80.558918572,160.53973665 -80.541399572,160.60473665 -80.5333365719999,160.64793665 -80.522918572,160.67889065 -80.5127995719999,160.71557265 -80.5102815719999,160.75973665 -80.509736572,160.80251865 -80.511963572,160.84972765 -80.5122185719999,160.88390865 -80.5108455719999,160.92279065 -80.507799572,160.95141865 -80.5036185719999,160.98806365 -80.493472572,161.01167265 -80.464181572,160.99224565 -80.4477815719999,160.89196365 -80.377499572,160.87084565 -80.371945572,160.84749965 -80.367236572,160.81445465 -80.361972572,160.77001865 -80.360563572,160.69250865 -80.3628095719999,160.287227649 -80.384181572,160.227781649 -80.392809572,160.191954649 -80.396954572,160.119445649 -80.401409572,160.041136649 -80.401409572,159.952518649 -80.398636572,159.744172649 -80.397518572,159.421690648 -80.421690572,159.210018648 -80.436109572,159.168636648 -80.439999572,159.112790648 -80.4486365719999,158.991672648 -80.471409572,158.930845648 -80.479736572,158.856963648 -80.4839185719999,158.810027648 -80.483336572,158.763063648 -80.478363572,158.713072648 -80.4683365719999,158.680845648 -80.4627995719999,158.638645648 -80.458354572,158.601681648 -80.458354572,158.478908648 -80.462509572,158.441954648 -80.462509572,158.402236648 -80.455154572,158.394336648 -80.4311185719999,158.373899647 -80.3988995719999,158.356690647 -80.386399572,158.307527647 -80.361681572,158.270708647 -80.3465545719999,158.229190647 -80.332790572,158.187808647 -80.320299572,158.122218647 -80.3036185719999,158.066754647 -80.288618572,158.086118647 -80.275009572,158.182799647 -80.2647365719999,158.358918647 -80.249999572,158.500854648 -80.238345572,158.671108648 -80.225009572,158.709472648 -80.222227572,158.776399648 -80.217518572,158.955836648 -80.206972572,159.034999648 -80.204463572,159.380281648 -80.180845572,159.491672649 -80.1728095719999,159.621672649 -80.160018572,159.799190649 -80.1488995719999,159.837245649 -80.148054572,159.872527649 -80.145854572,160.177518649 -80.117527572,160.240018649 -80.1094545719999,160.300018649 -80.100009572,160.406954649 -80.077527572,160.436127649 -80.0705725719999,160.483063649 -80.057254572,160.524445649 -80.041399572,160.56097265 -80.018063572,160.56848165 -79.986690572,160.54889065 -79.963054572,160.52835465 -79.9444545709999,160.510708649 -79.934581571,160.482236649 -79.926699571,160.450563649 -79.9214185709999,160.374172649 -79.913081571,160.289463649 -79.910572571,160.215299649 -79.912509571,160.183072649 -79.916118571,160.124172649 -79.925309571,160.050845649 -79.9466815709999,160.023899649 -79.952527571,159.991672649 -79.9558455709999,159.952236649 -79.957790571,159.916963649 -79.958081571,159.839445649 -79.956681571,159.750027649 -79.955563571,159.645572649 -79.9619635719999,159.615572649 -79.9647545719999,159.518618649 -79.976963572,159.493345649 -79.981963572,159.426118648 -79.9894545719999,159.356136648 -79.993899572,159.280854648 -79.993636572,159.198336648 -79.991972572,159.150845648 -79.9880815719999,159.126954648 -79.9839185719999,159.097790648 -79.974445572,159.121945648 -79.956127571,159.169736648 -79.940854571,159.222227648 -79.928072571,159.249727648 -79.922245571,159.341672648 -79.909727571,159.443636648 -79.9019455709999,159.535281649 -79.889454571,159.596681649 -79.879199571,159.653354649 -79.868899571,159.705290649 -79.858081571,159.800563649 -79.828609571,159.947236649 -79.763918571,160.011963649 -79.726136571,160.059172649 -79.6947455709999,160.149172649 -79.636554571,160.178618649 -79.623899571,160.200290649 -79.617799571,160.250027649 -79.604736571,160.328063649 -79.586963571,160.415554649 -79.571945571,160.460299649 -79.558627571,160.481554649 -79.5395995709999,160.469590649 -79.5127815709999,160.493072649 -79.501127571,160.54000865 -79.488909571,160.60058165 -79.479736571,160.68502765 -79.4655725709999,160.71502765 -79.460018571,160.73681865 -79.447927571,160.59499965 -79.373063571,160.54974565 -79.369172571,160.436399649 -79.368899571,160.393618649 -79.366118571,160.368072649 -79.3611275709999,160.347518649 -79.351818571,160.371399649 -79.333081571,160.399445649 -79.328354571,160.429745649 -79.325009571,160.462245649 -79.322781571,160.494445649 -79.318345571,160.54306365 -79.307509571,160.55592765 -79.287581571,160.509045649 -79.221954571,160.450836649 -79.203081571,160.425845649 -79.198063571,160.394472649 -79.193345571,160.351963649 -79.188627571,160.181945649 -79.179181571,160.100281649 -79.1730635709999,160.061690649 -79.164745571,160.040008649 -79.152790571,160.054872649 -79.137927571,160.099454649 -79.118636571,160.167508649 -79.097227571,160.494172649 -79.020854571,160.55056365 -79.012509571,160.64501865 -79.021663571,160.70056365 -79.0294455709999,160.75836365 -79.036390571,160.85500865 -79.044736571,160.92001865 -79.046109571,160.95889065 -79.045290571,160.99945465 -79.043636571,161.03499965 -79.039745571,161.06640865 -79.035281571,161.09194565 -79.026390571,161.17169065 -79.001127571,161.19586365 -78.995281571,161.21808165 -78.990009571,161.24917265 -78.9855635709999,161.29086365 -78.981136571,161.44973665 -78.973354571,161.52279965 -78.973354571,161.659181651 -78.9775275709999,161.691127651 -78.977245571,161.726963651 -78.9752995709999,161.781681651 -78.964754571,161.799190651 -78.952236571,161.781827651 -78.930845571,161.750263651 -78.899836571,161.781536651 -78.87252757,161.825290651 -78.86586357,161.893890651 -78.86723657,162.149172651 -78.86139057,162.226136651 -78.8566725699999,162.301972651 -78.8547365699999,162.371672651 -78.8533635699999,162.406127651 -78.85419057,162.436672651 -78.8566725699999,162.469999651 -78.86030957,162.519881651 -78.8800185699999,162.547363651 -78.902245571,162.530018651 -78.921118571,162.550290651 -78.9380815709999,162.575836651 -78.943072571,162.607518651 -78.947527571,162.671418651 -78.951672571,162.705836652 -78.952236571,162.781681652 -78.9483455709999,162.811954652 -78.943636571,162.835018652 -78.937499571,162.866954652 -78.87021857,162.856418652 -78.83750957,162.879727652 -78.81167257,162.901118652 -78.8063995699999,162.933627652 -78.80307257,162.995845652 -78.79999957,163.091399652 -78.80058157,163.136136652 -78.7961095699999,163.347499652 -78.76221857,163.376536652 -78.75389957,163.413363652 -78.73945457,163.434599652 -78.73042757,163.510008652 -78.7116815699999,163.545563652 -78.7063905699999,163.627808652 -78.69806357,163.666963652 -78.69611857,163.776118653 -78.69169957,163.880281653 -78.68974557,163.949736653 -78.6899995699999,163.988618653 -78.68808157,164.027799653 -78.67807257,164.052136653 -78.6569905699999,164.112518653 -78.6216905699999,164.161681653 -78.61168157,164.192508653 -78.60613657,164.280581653 -78.59112757,164.315308653 -78.58586357,164.394745653 -78.5780815699999,164.494445653 -78.56974557,164.553345653 -78.57529957,164.585572653 -78.57667257,164.652527653 -78.57752757,164.687808653 -78.57723657,164.760281653 -78.57278157,164.832518654 -78.57111857,164.899745654 -78.57223657,165.023036654 -78.5803095699999,165.111390654 -78.5883455699999,165.175563654 -78.59112757,165.209163654 -78.59169057,165.350008654 -78.59002757,165.385254654 -78.58944557,165.488308654 -78.58696357,165.598908654 -78.5803095699999,165.640290654 -78.57612757,165.674163654 -78.57086357,165.760554654 -78.55555457,165.841945654 -78.53974557,166.149418655 -78.52029057,166.217772655 -78.51999957,166.528072655 -78.5408635699999,166.617245655 -78.54862757,166.650545655 -78.55195457,166.710536655 -78.55973657,166.914463655 -78.5866815699999,166.967190656 -78.59583657,166.988190656 -78.60542757,167.001918656 -78.63980957,166.923336655 -78.66639957,166.900545655 -78.67419057,166.936918655 -78.67889057,166.970854656 -78.67918157,167.146363656 -78.6711095699999,167.221408656 -78.6672365699999,167.263672656 -78.65716357,167.279690656 -78.62279057,167.266918656 -78.60224557,167.202345656 -78.53585457,167.165008656 -78.51696357,167.137236656 -78.51056357,167.085845656 -78.50030957,167.025845656 -78.4925275699999,166.938627655 -78.48391857,166.842527655 -78.48056357,166.809145655 -78.4802995699999,166.772799655 -78.4816725699999,166.703036655 -78.48279057,166.637790655 -78.48141857,166.443363655 -78.4761365699999,166.315554655 -78.46833657,166.038081655 -78.44946357,166.009181655 -78.44640957,165.981936655 -78.4425185699999,165.870027654 -78.42613657,165.730281654 -78.40362757,165.706118654 -78.3980545699999,165.678599654 -78.38612757,165.695827654 -78.36528157,165.740299654 -78.3477815699999,165.761381654 -78.33586357,165.779445654 -78.32252757,165.780299654 -78.29292757,165.755554654 -78.28083657,165.654690654 -78.25613657,165.555545654 -78.2336095699999,165.526090654 -78.2283635699999,165.474718654 -78.2086185699999,165.448636654 -78.1908545699999,165.467372654 -78.1813995699999,165.503890654 -78.1698725699999,165.556945654 -78.15556357,165.627808654 -78.1394545699999,165.673890654 -78.1180635699999,165.703618654 -78.08945457,165.690808654 -78.06529957,165.652708654 -78.04776357,165.581936654 -78.01722757,165.540008654 -78.0033545699999,165.499981654 -78.00487257,165.479308654 -78.01696357,165.418608654 -78.05778157,165.389163654 -78.0694545699999,165.331118654 -78.08639957,165.264463654 -78.1030725699999,165.183590654 -78.1194635699999,165.150754654 -78.13409957,165.163890654 -78.1551455699999,165.202481654 -78.17362757,165.216945654 -78.1952905699999,165.196672654 -78.2107095699999,165.149418654 -78.2252995699999,165.049708654 -78.2461275699999,165.023590654 -78.25030957,164.984745654 -78.2530635699999,164.948918654 -78.25447257,164.926681654 -78.24529057,164.909527654 -78.15876357,164.941408654 -78.13169057,164.981690654 -78.11030957,165.002227654 -78.09459057,165.004154654 -78.06002757,164.969318654 -78.0423725699999,164.928890654 -78.03585457,164.903627654 -78.03697257,164.840572654 -78.0458365699999,164.599727653 -78.0890455699999,164.569736653 -78.1044455699999,164.539463653 -78.11586357,164.518618653 -78.12194557,164.486972653 -78.1264185699999,164.341127653 -78.14362757,164.302245653 -78.1464095699999,164.265018653 -78.14863657,164.232790653 -78.14778157,164.204527653 -78.13347257,164.234190653 -78.11863657,164.316408653 -78.10252757,164.375854653 -78.09333657,164.457790653 -78.0769545699999,164.475281653 -78.06474557,164.558872653 -77.99965457,164.599745653 -77.9343275699999,164.591963653 -77.89334557,164.553345653 -77.86390957,164.528354653 -77.84918157,164.498081653 -77.800845569,164.514190653 -77.794172569,164.546108653 -77.776127569,164.568072653 -77.745154569,164.530027653 -77.716945569,164.380863653 -77.657790569,164.361690653 -77.650554569,164.339754653 -77.644745569,164.311399653 -77.6425185689999,164.106690653 -77.654445569,164.069454653 -77.6572455689999,164.010008653 -77.667236569,163.982372653 -77.676127569,163.943908653 -77.6833365689999,163.871672653 -77.690290569,163.701690652 -77.699718569,163.637508652 -77.699463569,163.610836652 -77.696118569,163.587918652 -77.6797365689999,163.682527652 -77.6469545689999,163.738063652 -77.6366905689999,163.755718653 -77.6244635689999,163.745008652 -77.5998815689999,163.691954652 -77.583618569,163.643063652 -77.572527569,163.612927652 -77.553899569,163.642790652 -77.5450095689999,163.760554653 -77.525299569,163.863218653 -77.5087635689999,163.890027653 -77.496127569,163.897663653 -77.470163569,163.836399653 -77.419172569,163.814181653 -77.4113905689999,163.759181653 -77.393890569,163.733918652 -77.388072569,163.695281652 -77.381672569,163.654172652 -77.3691725689999,163.634463652 -77.362809569,163.597654652 -77.304372569,163.553618652 -77.2491725689999,163.469454652 -77.1883365689999,163.278627652 -77.103363569,163.243854652 -77.049799569,163.197236652 -77.029727569,163.140836652 -77.0216635689999,163.059445652 -77.0152905689999,162.942508652 -77.0116905689999,162.852781652 -77.012509569,162.687045652 -76.991399569,162.640290651 -76.986127569,162.606136651 -76.987809569,162.501399651 -76.9991725689999,162.428908651 -77.001254569,162.342099651 -76.948772569,162.378908651 -76.940854569,162.439727651 -76.9316725689999,162.580563651 -76.910018569,162.581408651 -76.8900185689999,162.648363651 -76.8370905689999,162.691127652 -76.831681569,162.749454652 -76.8330815689999,162.775572652 -76.835554569,162.851963652 -76.846690569,162.881408652 -76.847227569,162.904727652 -76.841399569,162.924327652 -76.832936569,163.069736652 -76.730854568,163.057099652 -76.7131995679999,163.030581652 -76.701418568,163.010554652 -76.695572568,162.984463652 -76.6930725679999,162.880008652 -76.681399568,162.713345652 -76.653899568,162.688354652 -76.648363568,162.641536651 -76.631118568,162.627108651 -76.6162725679999,162.658908651 -76.601963568,162.693081652 -76.5972275679999,162.726136652 -76.5952905679999,162.788081652 -76.594181568,162.816954652 -76.5949995679999,162.847227652 -76.594745568,162.876681652 -76.592799568,162.905581652 -76.588345568,162.932254652 -76.583081568,162.928890652 -76.464445568,162.894472652 -76.3936275679999,162.854736652 -76.380018568,162.819454652 -76.3636365679999,162.798081652 -76.3516815679999,162.781818652 -76.336681568,162.776963652 -76.316272568,162.815854652 -76.3097365679999,162.850581652 -76.2991815679999,162.869599652 -76.290427568,162.885281652 -76.264118568,162.868481652 -76.244590568,162.819181652 -76.229445568,162.795563652 -76.226136568,162.689999652 -76.2219545679999,162.632508651 -76.221409568,162.572236651 -76.2225185679999,162.544190651 -76.221690568,162.475581651 -76.217799568,162.424190651 -76.208909568,162.367799651 -76.193345568,162.343136651 -76.170772568,162.367663651 -76.148909568,162.450299651 -76.127654568,162.567781651 -76.106418568,162.597227651 -76.101409568,162.664463651 -76.0911275679999,162.689454652 -76.0886275679999,162.730836652 -76.0786095679999,162.790281652 -76.060563568,162.807799652 -76.045581568,162.826145652 -76.022518568,162.814727652 -76.005845568,162.816681652 -75.9666905679999,162.830290652 -75.947654568,162.856963652 -75.937809568,162.879454652 -75.934190568,162.904727652 -75.933627568,162.938354652 -75.938081568,163.001681652 -75.9441725679999,163.072781652 -75.948063568,163.098354652 -75.9475275679999,163.130572652 -75.933690568,163.105563652 -75.918636568,163.080290652 -75.914172568,163.018336652 -75.911972568,162.989472652 -75.9122275679999,162.958618652 -75.911136568,162.915845652 -75.9050185679999,162.899872652 -75.892372568,162.987790652 -75.8097365679999,163.039181652 -75.771118568,163.018063652 -75.7222275679999,162.970563652 -75.708136568,162.963618652 -75.681681568,162.988890652 -75.6538995669999,163.010554652 -75.6380725669999,163.029727652 -75.6311365669999,163.054745652 -75.615572567,163.087999652 -75.574727567,163.063627652 -75.536136567,163.046845652 -75.5239455669999,163.013063652 -75.523054567,162.860018652 -75.499727567,162.685027652 -75.4608635669999,162.661954651 -75.455563567,162.626127651 -75.4458635669999,162.607518651 -75.428827567,162.610018651 -75.3915365669999,162.630863651 -75.367799567,162.647936651 -75.355999567,162.671299651 -75.328209567,162.625308651 -75.2983545669999,162.546418651 -75.2791905669999,162.505581651 -75.210018567,162.547499651 -75.098009567,162.596127651 -75.076127567,162.661954651 -75.063918567,162.731690652 -75.056399567,163.003627652 -75.0380815669999,163.053890652 -75.035572567,163.128081652 -75.032245567,163.238345652 -75.0305635669999,163.374172652 -75.029727567,163.428345652 -75.029445567,163.585572652 -75.011690567,163.653490652 -74.979318567,163.726963652 -74.9636275669999,163.750027653 -74.9608635669999,163.798618653 -74.958909567,163.877636653 -74.946827567,163.843081653 -74.912372567,163.806399653 -74.892518567,163.785708653 -74.883354567,163.727781652 -74.858609567,163.678345652 -74.8358635669999,163.648754652 -74.810154567,163.661545652 -74.7698725669999,163.709163652 -74.744172567,163.762508653 -74.725845567,164.006681653 -74.645854567,164.062808653 -74.632799567,164.142518653 -74.6161185669999,164.180845653 -74.620563567,164.224608653 -74.6511275669999,164.267208653 -74.6786185669999,164.378208653 -74.732936567,164.418918653 -74.746418567,164.492799653 -74.765581567,164.540554653 -74.774181567,164.572508653 -74.7752995669999,164.604036653 -74.762309567,164.594745653 -74.738490567,164.552799653 -74.707499567,164.507236653 -74.676409567,164.476545653 -74.6520995669999,164.492663653 -74.634036567,164.523899653 -74.627790567,164.546963653 -74.626954567,164.578918653 -74.628354567,164.633908653 -74.628618567,164.660281653 -74.628354567,164.783627653 -74.623827567,164.810854653 -74.621690567,164.946408654 -74.609190567,164.994172654 -74.603899567,165.044981654 -74.601963567,165.076663654 -74.603072567,165.109463654 -74.610299567,165.142227654 -74.629527567,165.178054654 -74.652227567,165.218318654 -74.664745567,165.237763654 -74.669463567,165.288908654 -74.678363567,165.313327654 -74.676699567,165.334854654 -74.669045567,165.355681654 -74.597527567,165.360399654 -74.561263566,165.354581654 -74.5395995659999,165.325545654 -74.5255725659999,165.274745654 -74.514454566,165.247772654 -74.509736566,165.222781654 -74.5063905659999,165.159008654 -74.4884905659999,165.061190654 -74.4343185659999,165.016663654 -74.3589185659999,164.933072654 -74.2793275659999,164.846954654 -74.2505815659999,164.803618653 -74.234454566,164.784608653 -74.219318566,164.768908653 -74.1961185659999,164.767245653 -74.1600275659999,164.789045653 -74.134736566,164.856808654 -74.157790566,164.883636654 -74.172809566,164.905718654 -74.1802905659999,164.935581654 -74.1878095659999,164.965299654 -74.1897455659999,164.996672654 -74.186418566,165.017154654 -74.163772566,164.993899654 -74.1401455659999,164.989108654 -74.1113275659999,165.186372654 -74.055554566,165.229427654 -74.0499995659999,165.286408654 -74.052781566,165.487208654 -74.065563566,165.549708654 -74.0697455659999,165.658354654 -74.0852815659999,165.791381654 -74.1038995659999,166.003354655 -74.1308455659999,166.062808655 -74.134445566,166.091645655 -74.134445566,166.121108655 -74.1293185659999,166.151518655 -74.1165275659999,166.231736655 -74.058063566,166.209745655 -74.037227566,166.163327655 -74.028899566,165.900299655 -73.984454566,165.813081654 -73.975009566,165.751918654 -73.969999566,165.727754654 -73.969745566,165.667781654 -73.966690566,165.638336654 -73.964754566,165.611081654 -73.9611365659999,165.556854654 -73.942727566,165.563618654 -73.9208545659999,165.601963654 -73.907499566,165.641418654 -73.8986365659999,165.699190654 -73.9002995659999,165.723054654 -73.903627566,165.772245654 -73.912227566,165.876681654 -73.927509566,165.908054655 -73.930554566,165.963899655 -73.933918566,165.996799655 -73.9279905659999,165.978472655 -73.912381566,165.923336655 -73.9016725659999,165.885799654 -73.891963566,165.863036654 -73.8834815659999,165.856090654 -73.8638275659999,165.889727654 -73.8426635659999,165.936672655 -73.834454566,165.988063655 -73.832499566,166.042918655 -73.825290566,166.079163655 -73.8102905659999,166.135681655 -73.775563566,166.166808655 -73.762936566,166.203036655 -73.760563566,166.228054655 -73.7630725659999,166.282481655 -73.773899566,166.342190655 -73.783618566,166.368345655 -73.782245566,166.405027655 -73.7750095659999,166.511936655 -73.746945566,166.639163655 -73.716127566,166.774854655 -73.696827566,166.873081655 -73.685563566,166.911236655 -73.667654566,166.872527655 -73.647518566,166.804218655 -73.629327566,166.840027655 -73.607509566,166.896663655 -73.5944635659999,166.954463655 -73.583354566,166.996645656 -73.576418566,167.041136656 -73.573899566,167.070827656 -73.5747185659999,167.198636656 -73.567790566,167.425563656 -73.521663566,167.623454656 -73.480572565,167.646954656 -73.467090565,167.634599656 -73.447645565,167.611545656 -73.428618565,167.590836656 -73.416545565,167.562772656 -73.406818565,167.611799656 -73.396263565,167.646945656 -73.393627565,167.697754656 -73.3933455649999,167.755281656 -73.396663565,167.807772656 -73.401127565,167.893063656 -73.409727565,167.986099656 -73.422372565,168.018063656 -73.4319635649999,168.042636657 -73.446690565,168.061936657 -73.4744455649999,168.047763657 -73.5047275649999,168.037508656 -73.5361275659999,168.041090657 -73.560981566,168.062227657 -73.5729185659999,168.095399657 -73.583063566,168.383881657 -73.626127566,168.409727657 -73.627499566,168.436672657 -73.627790566,168.457218657 -73.6247275659999,168.483308657 -73.6177905659999,168.522490657 -73.596954566,168.552245657 -73.567227566,168.567781657 -73.549472566,168.582518657 -73.532245566,168.597927657 -73.504718565,168.606181657 -73.471690565,168.626681657 -73.422518565,168.646363657 -73.4163995649999,168.668027657 -73.427781565,168.700527657 -73.451672565,168.719463657 -73.467799565,168.750272657 -73.485290565,168.806090657 -73.509736565,168.841399657 -73.523218566,168.889463657 -73.533909566,168.916690657 -73.537227566,168.945008657 -73.5394635659999,168.998627657 -73.5400275659999,169.021118657 -73.538081566,169.044190657 -73.535281566,169.079163657 -73.5275275659999,169.189845658 -73.4444545649999,169.173599658 -73.419609565,169.149445658 -73.406963565,169.108627657 -73.397381565,169.080018657 -73.387218565,169.056472657 -73.364254565,169.111390657 -73.253618565,169.177799658 -73.2572455649999,169.226963658 -73.254472565,169.255154658 -73.2462635649999,169.280272658 -73.231136565,169.316799658 -73.196472565,169.292481658 -73.178363565,169.273327658 -73.1675275649999,169.252918658 -73.149745565,169.248081658 -73.1227905649999,169.270981658 -73.080990565,169.300018658 -73.073345565,169.323881658 -73.072527565,169.346099658 -73.073345565,169.366363658 -73.076127565,169.387481658 -73.0816815649999,169.407227658 -73.085018565,169.448054658 -73.0905725649999,169.473354658 -73.091399565,169.516418658 -73.091127565,169.543027658 -73.0875095649999,169.644590658 -73.067645565,169.681636658 -73.053072565,169.723072658 -73.031818565,169.711272658 -73.015154565,169.689799658 -72.982590565,169.692381658 -72.957663565,169.718472658 -72.9386275649999,169.798063658 -72.906418565,169.827790658 -72.895290565,169.846681658 -72.889172565,169.892918658 -72.8623905649999,169.916263658 -72.8319545649999,169.929581658 -72.7877995649999,170.008472658 -72.709445565,170.034181658 -72.700572565,170.082218658 -72.6938905649999,170.105527658 -72.6927905649999,170.149990658 -72.693636565,170.202481659 -72.677227565,170.173763658 -72.649599565,170.131408658 -72.632799565,170.111390658 -72.6264185649999,170.061527658 -72.6074365649999,170.091645658 -72.595290565,170.135799658 -72.595836565,170.175808658 -72.6011365649999,170.213199659 -72.612963565,170.235018659 -72.613636565,170.254699659 -72.609454565,170.290836659 -72.5977815649999,170.318054659 -72.583354565,170.354736659 -72.4761365649999,170.331699659 -72.3480725639999,170.324736659 -72.327527564,170.314727659 -72.3066725639999,170.294572659 -72.299181564,170.235263659 -72.307781564,170.191254659 -72.321809564,170.175263658 -72.334309564,170.074736658 -72.385281564,170.054172658 -72.3902905639999,170.016418658 -72.3938905639999,169.933045658 -72.388072564,169.899581658 -72.3847545639999,169.873027658 -72.375863564,169.895572658 -72.366681564,169.921663658 -72.362227564,169.945554658 -72.360309564,169.968627658 -72.359454564,169.990818658 -72.355563564,170.011936658 -72.349727564,170.030408658 -72.3343185639999,170.032472658 -72.298627564,170.025008658 -72.2650185639999,169.988872658 -72.1826635639999,170.129972658 -72.051409564,170.339145659 -72.024736564,170.563081659 -71.9944635639999,170.752808659 -71.966945564,170.778318659 -71.962236564,170.990354659 -71.855681564,170.907927659 -71.791118564,170.846681659 -71.758072564,170.829454659 -71.747654564,170.816408659 -71.7100185639999,170.811372659 -71.690290564,170.807890659 -71.666818564,170.791536659 -71.6425185639999,170.771381659 -71.624727564,170.655818659 -71.548890564,170.561127659 -71.470581564,170.470554659 -71.366681563,170.453036659 -71.351672563,170.423581659 -71.336681563,170.365008659 -71.3122365629999,170.321927659 -71.297518563,170.284727659 -71.288636563,170.248081659 -71.282499563,170.222499659 -71.283972563,170.312227659 -71.380845564,170.432236659 -71.481118564,170.410536659 -71.499736564,170.385254659 -71.508363564,170.346236659 -71.5226545639999,170.267363659 -71.5980725639999,170.285854659 -71.615281564,170.308881659 -71.634745564,170.300690659 -71.6586365639999,170.262645659 -71.658763564,170.231936659 -71.653899564,170.102199658 -71.614199564,169.943499658 -71.5645995639999,169.914718658 -71.547245564,169.881572658 -71.502718564,169.844727658 -71.4922365639999,169.758054658 -71.4980635639999,169.651945658 -71.502245564,169.612763658 -71.4986095639999,169.563463658 -71.478563564,169.547636658 -71.4325275639999,169.463899658 -71.418354564,169.443908658 -71.420290564,169.374418658 -71.4275095639999,169.284727658 -71.4366725639999,169.245845658 -71.433072564,169.219481658 -71.407790564,169.236236658 -71.381818564,169.244718658 -71.359054563,169.230572658 -71.342936563,169.043608657 -71.287799563,168.918608657 -71.2375095629999,168.873872657 -71.227527563,168.531681657 -71.187227563,168.413081657 -71.1766995629999,168.337799657 -71.1741815629999,168.289581657 -71.1665455629999,168.237636657 -71.1518185629999,168.197345657 -71.126690563,168.154727657 -71.086536563,168.113063657 -71.070863563,168.078336657 -71.063627563,168.025299656 -71.050581563,167.973054656 -71.0366815629999,167.830172656 -70.988690563,167.793399656 -70.943772563,167.823636656 -70.935563563,167.871936656 -70.937654563,167.917072656 -70.919463563,167.931363656 -70.896672563,167.920272656 -70.869609563,167.865299656 -70.8297275629999,167.827790656 -70.8075095629999,167.800263656 -70.793063563,167.767518656 -70.780836563,167.697754656 -70.7650275629999,167.652081656 -70.7558635629999,167.492245656 -70.7405725629999,167.248872656 -70.737227563,167.208072656 -70.7366815629999,167.123318656 -70.7450095629999,167.097781656 -70.749999563,167.030027656 -70.759445563,166.986663656 -70.764454563,166.922208655 -70.7699995629999,166.872081655 -70.7684905629999,166.824736655 -70.7613995629999,166.803318655 -70.7619635629999,166.736081655 -70.775845563,166.715818655 -70.775845563,166.660854655 -70.774463563,166.615554655 -70.766681563,166.555545655 -70.7472365629999,166.523899655 -70.735018563,166.472272655 -70.7104275629999,166.587799655 -70.6722455629999,166.618190655 -70.672663563,166.650836655 -70.683899563,166.703181655 -70.696136563,166.848054655 -70.714445563,166.870563655 -70.713909563,166.896236655 -70.6977275629999,166.823118655 -70.6246725629999,166.771663655 -70.6116815629999,166.696136655 -70.605299563,166.609172655 -70.600027563,166.518863655 -70.598354563,166.456363655 -70.5991815629999,166.334445655 -70.600845563,166.311372655 -70.603363563,166.197754655 -70.619463563,166.152772655 -70.626127563,166.127227655 -70.631136563,166.084745655 -70.6408545629999,166.041536655 -70.653899563,166.003599655 -70.667799563,165.885008654 -70.7047275629999,165.844727654 -70.714754563,165.820827654 -70.718063563,165.793063654 -70.716136563,165.805636654 -70.697363563,165.794445654 -70.6758455629999,165.751681654 -70.665863563,165.675263654 -70.6600185629999,165.647354654 -70.655709563,165.578336654 -70.629199563,165.540972654 -70.610299563,165.516936654 -70.590009563,165.424163654 -70.566699563,165.391081654 -70.558918563,165.352754654 -70.556399563,165.188872654 -70.558336563,165.038636654 -70.571681563,164.936954654 -70.5730635629999,164.728054653 -70.5415455629999,164.687790653 -70.5193275629999,164.651672653 -70.505572563,164.431672653 -70.478072563,164.371672653 -70.4764095629999,164.141418653 -70.4866815629999,164.100008653 -70.489454563,164.074190653 -70.493899563,164.024872653 -70.505990563,163.898618653 -70.517809563,163.759463653 -70.517809563,163.651118652 -70.483490563,163.553890652 -70.4652905629999,163.527099652 -70.469190563,163.515427652 -70.490299563,163.611127652 -70.573209563,163.646972652 -70.588345563,163.695008652 -70.603363563,163.730563652 -70.611127563,163.776599653 -70.625854563,163.612636652 -70.671954563,163.561127652 -70.6761365629999,163.520845652 -70.674999563,163.484463652 -70.670290563,163.416963652 -70.651409563,163.392381652 -70.645709563,163.326418652 -70.639736563,163.266118652 -70.637509563,163.227781652 -70.634445563,163.198336652 -70.621690563,163.172518652 -70.598490563,163.164463652 -70.5740545629999,163.166827652 -70.553336563,163.020708652 -70.515018563,162.992236652 -70.505154563,162.961945652 -70.458909563,162.953063652 -70.431672563,162.798336652 -70.2972455629999,162.779172652 -70.286263562,162.745145652 -70.279045562,162.565581651 -70.265290562,162.523072651 -70.2661095619999,162.458072651 -70.271118562,162.389736651 -70.2786275619999,162.231690651 -70.3033635629999,162.209163651 -70.307254563,162.173063651 -70.316972563,162.151408651 -70.325009563,162.097499651 -70.3633455629999,162.076127651 -70.399327563,162.070981651 -70.422663563,162.046327651 -70.418418563,162.019727651 -70.387381563,162.010281651 -70.367663563,162.012236651 -70.3352905629999,162.028072651 -70.283618562,162.054872651 -70.264181562,162.073336651 -70.244754562,162.070281651 -70.2121635619999,162.035708651 -70.199045562,162.004181651 -70.2065365619999,161.956699651 -70.262218562,161.923763651 -70.3122365629999,161.922299651 -70.334036563,161.891536651 -70.350718563,161.851681651 -70.346972563,161.819108651 -70.321472563,161.816818651 -70.288627562,161.705154651 -70.212509562,161.676390651 -70.205018562,161.654172651 -70.2036095619999,161.615299651 -70.2038995619999,161.53668165 -70.207499562,161.17639065 -70.2380815619999,161.08389065 -70.247527562,161.02862765 -70.255290562,160.99361865 -70.257245562,160.96889965 -70.2555725619999,160.94500865 -70.250836562,160.91806365 -70.2416815619999,160.88058165 -70.225009562,160.82696365 -70.197781562,160.80694565 -70.185563562,160.77557265 -70.168918562,160.73947265 -70.1533545619999,160.69500865 -70.1375095619999,160.488618649 -70.073345562,160.373627649 -70.052509562,160.414736649 -70.0083635619999,160.440018649 -70.0015455619999,160.455718649 -69.985290562,160.434190649 -69.9702905619999,160.387372649 -69.955436562,160.355281649 -69.948345562,160.288081649 -69.938918562,160.176699649 -69.9294725619999,160.134736649 -69.920836562,160.118054649 -69.909181562,160.111127649 -69.885699562,160.114045649 -69.853618562,160.070908649 -69.803554562,160.013063649 -69.769745562,159.987245649 -69.7583635619999,159.941681649 -69.743899562,159.838899649 -69.7222275619999,159.763899649 -69.7005725619999,159.733918649 -69.686963562,159.711672649 -69.6753095619999,159.677372649 -69.662509562,159.630281649 -69.650845562,159.461399649 -69.622236562,159.436399648 -69.618899562,159.260281648 -69.604190562,159.090299648 -69.582790562,158.872218648 -69.5286275619999,158.838545648 -69.511599562,158.836945648 -69.470645562,158.839463648 -69.439327562,158.770845648 -69.4100185619999,158.722499648 -69.394472562,158.700008648 -69.391690562,158.657808648 -69.3883365619999,158.619172648 -69.388918562,158.567781648 -69.394472562,158.536818648 -69.391681562,158.503218648 -69.379172562,158.478363648 -69.360563562,158.445281648 -69.338345562,158.407790648 -69.324590562,158.341127647 -69.308627562,158.174472647 -69.274181562,158.133636647 -69.265854562,158.023072647 -69.249463562,157.954745647 -69.240281562,157.911681647 -69.2378095619999,157.875581647 -69.238636562,157.841399647 -69.2482095619999,157.852372647 -69.272090562,157.825990647 -69.281254562,157.757508647 -69.2783545619999,157.715572647 -69.274736562,157.647245647 -69.265581562,157.607790647 -69.256390562,157.553072647 -69.238627562,157.527372647 -69.224181562,157.402799647 -69.1361365609999,157.385836647 -69.117527561,157.315581647 -69.0236365609999,157.303499647 -68.996963561,157.267790646 -68.956536561,157.244872646 -68.945581561,157.186127646 -68.937236561,157.142245646 -68.9455725609999,157.120845646 -68.960281561,157.107372646 -68.9883545609999,157.095854646 -69.0252995609999,157.092090646 -69.060699561,157.111390646 -69.084163561,157.134318646 -69.098345561,157.158354646 -69.113909561,157.170563646 -69.1373095609999,157.149463646 -69.156818561,157.107518646 -69.162509561,157.069181646 -69.162799561,157.030027646 -69.161681561,156.950290646 -69.158081561,156.929472646 -69.156418561,156.842418646 -69.155663561,156.819454646 -69.173209561,156.796263646 -69.191963561,156.767790646 -69.202099561,156.706972646 -69.209454561,156.685027646 -69.208354561,156.653490646 -69.201954561,156.612245646 -69.186418561,156.581390646 -69.179472561,156.541136646 -69.1769545609999,156.507236646 -69.177781561,156.461118646 -69.183209561,156.431263646 -69.1932095609999,156.404799646 -69.214109561,156.379608646 -69.235145562,156.326263646 -69.240154562,156.272799646 -69.233609562,156.246127646 -69.220145561,156.226608645 -69.192790561,156.201963645 -69.176409561,156.166672645 -69.167518561,156.135008645 -69.165281561,156.099181645 -69.165572561,156.044463645 -69.168636561,155.993618645 -69.176699561,155.953899645 -69.186263561,155.915008645 -69.196945561,155.870299645 -69.2125095609999,155.838072645 -69.219999561,155.803072645 -69.223636562,155.781954645 -69.223636562,155.722227645 -69.2183365609999,155.603636645 -69.1897455609999,155.517245645 -69.165281561,155.450290645 -69.143627561,155.408354645 -69.1289095609999,155.348145645 -69.1021635609999,155.307799645 -69.083618561,155.278063645 -69.081681561,155.235563645 -69.088054561,155.173063645 -69.105027561,155.147663644 -69.108909561,155.064181644 -69.113909561,154.972227644 -69.117527561,154.915863644 -69.115572561,154.894472644 -69.1122275609999,154.856690644 -69.102527561,154.767790644 -69.0705725609999,154.732518644 -69.053618561,154.706118644 -69.038909561,154.686127644 -69.027254561,154.669463644 -69.015290561,154.652799644 -68.998063561,154.627227644 -68.9788995609999,154.604190644 -68.9645995609999,154.543899644 -68.929190561,154.478636644 -68.905563561,154.422790644 -68.890581561,154.402799644 -68.886399561,154.382508644 -68.884445561,154.288972644 -68.859945561,154.318908644 -68.8240455609999,154.361690644 -68.820299561,154.442508644 -68.828899561,154.483336644 -68.8308455609999,154.516963644 -68.828354561,154.540163644 -68.822236561,154.564190644 -68.794045561,154.547381644 -68.775154561,154.500718644 -68.752236561,154.460299644 -68.738909561,154.428008644 -68.724109561,154.400027644 -68.705018561,154.388072644 -68.6794545609999,154.411954644 -68.6652905609999,154.459472644 -68.669463561,154.533354644 -68.6894545609999,154.571681644 -68.6983455609999,154.624590644 -68.703754561,154.666963644 -68.699190561,154.695863644 -68.688336561,154.711681644 -68.673618561,154.712799644 -68.646118561,154.693345644 -68.621399561,154.666408644 -68.603618561,154.643336644 -68.592227561,154.603054644 -68.575299561,154.563899644 -68.559736561,154.492799644 -68.532790561,154.453763644 -68.5198725609999,154.414308644 -68.5134995609999,154.370845644 -68.514454561,154.336118644 -68.519745561,154.310990644 -68.520854561,154.251818644 -68.515018561,154.060299643 -68.457499561,154.034181643 -68.4464095609999,154.003908643 -68.429181561,153.970290643 -68.4048725609999,153.939999643 -68.3875095609999,153.910854643 -68.3769545609999,153.816954643 -68.3519635609999,153.778354643 -68.3436275609999,153.720308643 -68.338345561,153.695572643 -68.340990561,153.665027643 -68.350845561,153.646227643 -68.365509561,153.625836643 -68.397381561,153.630018643 -68.4236275609999,153.656127643 -68.455018561,153.679472643 -68.473072561,153.699599643 -68.487645561,153.728636643 -68.5019545609999,153.768063643 -68.519181561,153.795290643 -68.529445561,153.832790643 -68.542381561,153.869172643 -68.556136561,153.888336643 -68.567790561,153.907927643 -68.594527561,153.878908643 -68.621263561,153.848354643 -68.621127561,153.799608643 -68.610709561,153.751681643 -68.601409561,153.724045643 -68.602781561,153.693618643 -68.610572561,153.684308643 -68.6316815609999,153.720854643 -68.657790561,153.760436643 -68.678763561,153.863063643 -68.739472561,153.880981643 -68.7609815609999,153.899672643 -68.872590561,153.869045643 -68.893909561,153.800018643 -68.913909561,153.768618643 -68.922245561,153.732518643 -68.929472561,153.699190643 -68.929736561,153.668899643 -68.923909561,153.610563643 -68.898899561,153.588899643 -68.886690561,153.558490643 -68.865081561,153.526118643 -68.852781561,153.499190643 -68.851272561,153.468472643 -68.860709561,153.453199643 -68.875163561,153.462527643 -68.898054561,153.475581643 -68.916945561,153.490281643 -68.9428545609999,153.480854643 -68.966545561,153.447918643 -68.9729275609999,153.417781643 -68.971118561,153.383054643 -68.961681561,153.353363643 -68.950836561,153.319045643 -68.936399561,153.267090643 -68.914881561,153.220854643 -68.901409561,153.179172643 -68.892518561,153.118345643 -68.8822455609999,153.079463643 -68.8769545609999,153.029736643 -68.874599561,152.981963642 -68.872790561,152.885554642 -68.867527561,152.846408642 -68.864199561,152.805299642 -68.858336561,152.745845642 -68.844181561,152.685027642 -68.8216815609999,152.635572642 -68.802509561,152.597227642 -68.789172561,152.561127642 -68.7788995609999,152.539463642 -68.773899561,152.509872642 -68.769318561,152.460572642 -68.765854561,152.426118642 -68.766690561,152.390836642 -68.769745561,152.332245642 -68.781818561,152.278072642 -68.7983545609999,152.202236642 -68.824463561,152.180163642 -68.833763561,152.081118642 -68.867799561,152.033081642 -68.879727561,151.962527642 -68.8852815609999,151.923336641 -68.885027561,151.835708641 -68.876399561,151.766418641 -68.867527561,151.708890641 -68.864199561,151.652799641 -68.8630815609999,151.600008641 -68.867236561,151.548336641 -68.873899561,151.514736641 -68.879199561,151.480008641 -68.886399561,151.425290641 -68.901681561,151.366545641 -68.925845561,151.335163641 -68.9482095609999,151.314190641 -68.963054561,151.286136641 -68.975154561,151.242245641 -68.982509561,151.194745641 -68.9807185609999,151.142790641 -68.971409561,151.100008641 -68.954463561,151.074736641 -68.943072561,151.028899641 -68.921109561,150.984463641 -68.8902815609999,150.960918641 -68.860081561,151.038072641 -68.709454561,151.070008641 -68.664172561,151.094181641 -68.6358455609999,151.125854641 -68.5937635609999,151.131881641 -68.5668815609999,151.129199641 -68.525290561,151.110563641 -68.488209561,151.045018641 -68.420009561,151.029599641 -68.4052995609999,151.001263641 -68.393490561,150.972499641 -68.390290561,150.937808641 -68.393063561,150.870572641 -68.3986365609999,150.82988164 -68.4063995609999,150.79169064 -68.427372561,150.76988164 -68.440436561,150.59308164 -68.465572561,150.56654564 -68.466945561,150.13750864 -68.455018561,150.11529964 -68.453899561,150.08001864 -68.4483455609999,149.84085464 -68.396118561,149.79585464 -68.385154561,149.771118639 -68.3634905609999,149.78836364 -68.3323725609999,149.78861864 -68.3059185609999,149.755008639 -68.292527561,149.716672639 -68.287227561,149.655154639 -68.291118561,149.487518639 -68.312663561,149.454590639 -68.320436561,149.425563639 -68.340572561,149.409590639 -68.3659905609999,149.378081639 -68.375299561,149.333618639 -68.376127561,149.017090639 -68.370145561,148.949736639 -68.359745561,148.813354639 -68.335281561,148.536408638 -68.2788995609999,148.504590638 -68.269327561,148.490572638 -68.247527561,148.486408638 -68.227518561,148.457245638 -68.203354561,148.434172638 -68.1914095609999,148.391418638 -68.174181561,148.358063638 -68.163081561,148.288345638 -68.14861856,148.240018638 -68.13891856,148.220981638 -68.1300185599999,148.225981638 -68.11015456,148.246690638 -68.09655456,148.291690638 -68.07807256,148.331118638 -68.0672275599999,148.396972638 -68.05195456,148.461118638 -68.0408635599999,148.494172638 -68.03613656,148.564454638 -68.03141856,148.596127638 -68.02752756,148.637236638 -68.01862756,148.653627638 -67.9989815599999,148.617799638 -67.97431856,148.574463638 -67.95749956,148.546418638 -67.94946356,148.488345638 -67.93696356,148.450290638 -67.93002756,148.393618638 -67.92029056,148.318908638 -67.91363656,148.295018638 -67.9134995599999,148.249172638 -67.9105725599999,148.191127638 -67.9014095599999,148.160281638 -67.89085456,148.126399638 -67.87252756,148.085845638 -67.85444556,148.066127638 -67.84889056,148.021390638 -67.84404556,147.987381638 -67.84599056,147.948336638 -67.8550275599999,147.901672638 -67.8697545599999,147.855836638 -67.88556356,147.666408638 -67.93696356,147.475581637 -67.98668156,147.342799637 -68.01169056,147.206118637 -68.0444635599999,147.146818637 -68.0837725599999,147.085572637 -68.11308156,147.039463637 -68.1313905599999,147.015290637 -68.13779056,146.962918637 -68.1415455599999,146.923754637 -68.12980956,146.934463637 -68.0998725599999,146.964754637 -68.07194556,146.995999637 -68.05377256,147.033354637 -68.03834556,147.113345637 -68.01722756,147.145290637 -67.99251856,147.120845637 -67.96612756,146.965572637 -67.86197256,146.936827637 -67.8473725599999,146.916699637 -67.8417905599999,146.908908637 -67.84002756,146.853636637 -67.8308455599999,146.808345637 -67.8259815599999,146.763645637 -67.82223656,146.719745637 -67.81362756,146.694736637 -67.8016905599999,146.676390637 -67.78655456,146.669190637 -67.75086356,146.660999637 -67.7247365599999,146.633208637 -67.7066815599999,146.598345637 -67.70293656,146.555572636 -67.7072455599999,146.524445636 -67.71223656,146.471954636 -67.71529056,146.418336636 -67.71001856,146.398072636 -67.70639056,146.371963636 -67.69819956,146.352390636 -67.68307256,146.341827636 -67.66418156,146.322645636 -67.6480725599999,146.284181636 -67.63336356,146.237790636 -67.6199995599999,146.191127636 -67.61139056,146.155027636 -67.60641856,146.104190636 -67.60307256,146.052799636 -67.60419056,146.004727636 -67.60945456,145.968627636 -67.61500956,145.941127636 -67.62083656,145.888063636 -67.6272455599999,145.837527636 -67.63084556,145.805572636 -67.63279956,145.735836636 -67.63528156,145.701145636 -67.6341815599999,145.561672636 -67.6283545599999,145.458072635 -67.6264185599999,145.406954635 -67.62252756,145.354190635 -67.61805456,145.303618635 -67.60438156,145.376399635 -67.5400275599999,145.407808635 -67.5178095599999,145.438081635 -67.49752756,145.468627635 -67.48000956,145.532808636 -67.44197256,145.557299636 -67.42090956,145.585845636 -67.38022756,145.620299636 -67.34529056,145.641690636 -67.3319725599999,145.677799636 -67.31002756,145.727236636 -67.28279056,145.784727636 -67.2547275599999,145.816681636 -67.24223656,145.843627636 -67.23056356,145.863063636 -67.21669056,145.874599636 -67.19919956,145.869445636 -67.17640956,145.851254636 -67.16085456,145.818363636 -67.14666356,145.780027636 -67.13721856,145.728636636 -67.12861856,145.676390636 -67.1230635599999,145.608336636 -67.11946356,145.530854636 -67.1195905599999,145.488345635 -67.11752756,145.454745635 -67.11168156,145.429599635 -67.1033365599999,145.419936635 -67.08411856,145.428481635 -67.057645559,145.432372635 -67.031536559,145.395981635 -67.0168185589999,145.354463635 -67.018063559,145.274172635 -67.024736559,145.209163635 -67.031127559,145.168354635 -67.0384815589999,145.131681635 -67.054181559,145.111390635 -67.066699559,144.913908635 -67.1249995599999,144.859454635 -67.1420185599999,144.833208635 -67.16751856,144.808345635 -67.1852905599999,144.766108635 -67.20501856,144.720308635 -67.22389056,144.688627635 -67.2316725599999,144.616118635 -67.24238156,144.585572635 -67.24528156,144.568554635 -67.22897256,144.588072635 -67.19363656,144.606672635 -67.1786275599999,144.604599635 -67.15168156,144.562227635 -67.09583656,144.544872635 -67.07599956,144.458345635 -67.023072559,144.393890634 -67.008072559,144.358063634 -67.0047275589999,144.328763634 -67.004881559,144.298618634 -67.008363559,144.271118634 -67.012509559,144.243345634 -67.0214095589999,144.216672634 -67.033627559,144.196545634 -67.043899559,144.127790634 -67.065018559,144.089754634 -67.074190559,144.054172634 -67.08056356,143.916263634 -67.0930725599999,143.881545634 -67.0912725599999,143.840563634 -67.07959956,143.804181634 -67.0543275589999,143.785172634 -67.010845559,143.801681634 -66.983627559,143.799472634 -66.961263559,143.717027634 -66.9031455589999,143.578918634 -66.8749995589999,143.498627634 -66.863909559,143.400027634 -66.8511365589999,143.380008634 -66.850581559,143.358608634 -66.850581559,143.290572633 -66.8548725589999,143.230281633 -66.873609559,143.205290633 -66.882245559,143.170008633 -66.8969545589999,143.134181633 -66.918918559,143.114199633 -66.929181559,142.985836633 -66.9730725589999,142.958890633 -66.980854559,142.894745633 -66.9944635589999,142.851681633 -66.9966905589999,142.666690633 -66.996945559,142.606690633 -66.9958365589999,142.566408633 -66.9941725589999,142.532499633 -66.991118559,142.480008633 -66.985309559,142.456972633 -66.981527559,142.361972633 -66.941699559,142.335708633 -66.927781559,142.314181633 -66.911681559,142.295299633 -66.895145559,142.265363632 -66.856890559,142.238345632 -66.833354559,142.152799632 -66.801954559,142.125581632 -66.7947365589999,142.094999632 -66.7889095589999,141.994445632 -66.776672559,141.944181632 -66.7711185589999,141.904445632 -66.769472559,141.803618632 -66.768063559,141.698336632 -66.7688905589999,141.604736632 -66.773899559,141.513645632 -66.783336559,141.468899632 -66.790290559,141.431808632 -66.811954559,141.401263632 -66.835572559,141.369445632 -66.8383455589999,141.344327632 -66.8348815589999,141.322527632 -66.825299559,141.272245632 -66.793354559,141.204327632 -66.7577905589999,141.171963631 -66.7480635589999,141.147936631 -66.745418559,141.045563631 -66.750581559,140.761408631 -66.740009559,140.647518631 -66.734190559,140.595018631 -66.7234815589999,140.567508631 -66.720836559,140.526672631 -66.721954559,140.438627631 -66.733336559,140.245990631 -66.728899559,140.180772631 -66.7168185589999,140.176818631 -66.690572559,140.161272631 -66.670854559,140.08987263 -66.654463559,139.85363663 -66.630018559,139.66404563 -66.588199559,139.43111863 -66.5547365589999,139.33307263 -66.5408635589999,139.31167263 -66.5402815589999,139.26779063 -66.542527559,139.07860863 -66.549472559,138.762099629 -66.548763559,138.729463629 -66.539172559,138.714172629 -66.515990559,138.685699629 -66.504045559,138.635281629 -66.506390559,138.576690629 -66.511690559,138.543918629 -66.518063559,138.490018629 -66.525009559,138.467227629 -66.5264095589999,138.436399629 -66.5216635589999,138.373081629 -66.5105635589999,138.330836629 -66.5011275589999,138.309872629 -66.4855725589999,138.274463629 -66.4732095589999,138.209472629 -66.4727815589999,138.094181629 -66.465836559,137.961945628 -66.434736559,137.917236628 -66.416118559,137.877227628 -66.404727559,137.700563628 -66.3672365589999,137.558899628 -66.3530725589999,137.421963628 -66.342227559,137.170836628 -66.321409559,137.041136628 -66.307509559,137.020018628 -66.3066725589999,136.976408628 -66.3066725589999,136.782808627 -66.321681559,136.743899627 -66.325009559,136.717227627 -66.332499559,136.691408627 -66.349727559,136.619445627 -66.356418559,136.539736627 -66.361127559,136.515290627 -66.361390559,136.493208627 -66.356390559,136.459045627 -66.342936559,136.433208627 -66.325572559,136.422790627 -66.3155635589999,136.407808627 -66.303618559,136.382445627 -66.287854559,136.185299627 -66.256390559,136.071408627 -66.249727559,136.005581627 -66.2466905589999,135.975581627 -66.2427995589999,135.943908627 -66.236972559,135.896663627 -66.226963559,135.816954626 -66.2091635589999,135.770290626 -66.195009559,135.708618626 -66.173063559,135.652527626 -66.147781559,135.576145626 -66.107790559,135.534318626 -66.084727559,135.497799626 -66.070863559,135.457654626 -66.059590559,135.420290626 -66.052245559,135.363218626 -66.047654559,135.290008626 -66.0550275589999,135.238890626 -66.066118559,135.207245626 -66.073899559,135.175563626 -66.0827905589999,135.114727626 -66.097236559,135.076418626 -66.1011365589999,135.018618626 -66.101536559,134.990281626 -66.0995365589999,134.947781626 -66.093063559,134.925445626 -66.087099559,134.879472626 -66.0687635589999,134.859327626 -66.055018559,134.872545626 -66.032790559,135.007236626 -65.899736558,135.068081626 -65.8461185579999,135.084163626 -65.8341635579999,135.131136626 -65.796418558,135.157927626 -65.771409558,135.265018626 -65.611118558,135.273618626 -65.579172558,135.278899626 -65.5208545579999,135.280718626 -65.4754455579999,135.274463626 -65.442936558,135.249727626 -65.409190558,135.224518626 -65.3907185579999,135.168918626 -65.3641995579999,135.145845626 -65.350581558,135.129181626 -65.337236558,135.108336626 -65.310854558,135.084181626 -65.264599558,135.072918626 -65.194945558,135.065854626 -65.160281558,135.045836626 -65.107790558,135.020281626 -65.063418558,134.994472626 -65.041690558,134.957808626 -65.0345905579999,134.919218626 -65.0402815579999,134.895018626 -65.047245558,134.839754626 -65.065854558,134.808627626 -65.067518558,134.756408626 -65.0626635579999,134.718654625 -65.0547365579999,134.688899625 -65.047245558,134.659999625 -65.036136558,134.618381625 -65.008909558,134.578608625 -64.9811365579999,134.513363625 -64.940854558,134.484190625 -64.932254558,134.437836625 -64.926136557,134.407254625 -64.9253095569999,134.377499625 -64.928890558,134.336299625 -64.9413995579999,134.293363625 -64.963054558,134.274172625 -64.974727558,134.258090625 -64.987809558,134.229218625 -65.0116905579999,134.101581625 -65.1263995579999,134.116972625 -65.151545558,134.155299625 -65.1780725579999,134.176618625 -65.200218558,134.186399625 -65.230854558,134.185590625 -65.260709558,134.177272625 -65.308918558,134.163790625 -65.3281995579999,134.136136625 -65.350027558,134.080108625 -65.388554558,134.063290625 -65.4252995579999,134.082808625 -65.4586275579999,134.110045625 -65.476136558,134.135836625 -65.4889095579999,134.155608625 -65.566118558,134.115390625 -65.5893905579999,134.096572625 -65.620018558,134.099336625 -65.646263558,134.113636625 -65.665854558,134.139881625 -65.6783455579999,134.177518625 -65.683918558,134.255281625 -65.698636558,134.300290625 -65.711681558,134.328781625 -65.728336558,134.348936625 -65.764736558,134.350036625 -65.784727558,134.349199625 -65.826336558,134.374208625 -65.869463558,134.423645625 -65.9488995579999,134.431118625 -65.969463558,134.435008625 -65.991690558,134.433490625 -66.0441725589999,134.410808625 -66.098272559,134.252254625 -66.1980635589999,134.203245625 -66.205572559,134.164490625 -66.2014185589999,134.008772625 -66.1695365589999,133.996808625 -66.136699559,133.977781625 -66.1197545589999,133.958799625 -66.1100275589999,133.890563625 -66.089445559,133.844208625 -66.0813905589999,133.638363624 -66.059445559,133.528108624 -66.0572545589999,133.268645624 -66.075836559,133.218108624 -66.0797275589999,133.182254624 -66.0880545589999,133.158490624 -66.096690559,133.117281624 -66.118345559,133.093245624 -66.125018559,132.971436624 -66.148899559,132.905299624 -66.155563559,132.839754624 -66.159454559,132.805881624 -66.160018559,132.710018624 -66.156127559,132.680027624 -66.152790559,132.647518624 -66.1480545589999,132.618381624 -66.1425185589999,132.474727623 -66.136136559,132.311154623 -66.1389185589999,132.280299623 -66.1394545589999,132.243927623 -66.148899559,132.218354623 -66.159454559,132.181672623 -66.1691725589999,132.035308623 -66.196409559,132.003081623 -66.200836559,131.700863623 -66.237499559,131.650027623 -66.239454559,131.618072623 -66.238081559,131.586672623 -66.233918559,131.556427623 -66.227245559,131.513363622 -66.2139095589999,131.484745622 -66.2066815589999,131.451999622 -66.2030815589999,131.420008622 -66.2014185589999,131.369172622 -66.2033545589999,131.344218622 -66.207645559,131.276699622 -66.226545559,131.246263622 -66.238345559,131.202818622 -66.247236559,131.160872622 -66.249318559,131.103908622 -66.2466905589999,131.026672622 -66.239454559,130.994172622 -66.234454559,130.948336622 -66.225299559,130.892545622 -66.2080815589999,130.859499622 -66.199718559,130.829745622 -66.196118559,130.651118622 -66.196681559,130.519472622 -66.202527559,130.351990621 -66.2258455589999,130.258090621 -66.247236559,130.116145621 -66.293354559,130.030063621 -66.314454559,129.907254621 -66.358918559,129.864772621 -66.3761275589999,129.675599621 -66.4761365589999,129.493381621 -66.5964095589999,129.476718621 -66.609190559,129.461972621 -66.633899559,129.436863621 -66.6652815589999,129.413663621 -66.6841905589999,129.37862762 -66.700836559,129.33245462 -66.728718559,129.31499962 -66.763336559,129.30725462 -66.782499559,129.29977262 -66.811254559,129.30588162 -66.8350185589999,129.32226362 -66.8688995589999,129.33341862 -66.899309559,129.31558162 -67.000309559,129.30199062 -67.015427559,129.26226362 -67.0355725589999,129.18695462 -67.0547365589999,129.14837262 -67.0619635589999,129.09445462 -67.073636559,129.02169962 -67.09418156,128.96920862 -67.10974556,128.92919962 -67.12432756,128.88864562 -67.13556356,128.86807262 -67.14002756,128.84434562 -67.1422455599999,128.75960862 -67.14196356,128.73529062 -67.13721856,128.71945462 -67.13502756,128.67559962 -67.11889956,128.63223662 -67.10140956,128.61126362 -67.09154556,128.54556362 -67.068072559,128.51449962 -67.0619635589999,128.46889962 -67.054181559,128.40198162 -67.048890559,128.35336362 -67.047518559,128.301727619 -67.0461095589999,128.250581619 -67.046418559,128.055881619 -67.0322455589999,128.023618619 -67.025299559,127.993363619 -67.0211185589999,127.949336619 -67.021272559,127.904190619 -67.027254559,127.877245619 -67.0339095589999,127.833636619 -67.0405725589999,127.788781619 -67.040427559,127.750872619 -67.032499559,127.567254619 -66.9714095589999,127.539745619 -66.962236559,127.531136619 -66.943345559,127.526554619 -66.911818559,127.481163619 -66.898899559,127.449218619 -66.898636559,127.396145619 -66.903627559,127.341418619 -66.908336559,127.289490619 -66.910854559,127.250181619 -66.906818559,127.038672618 -66.8530725589999,126.956990618 -66.841399559,126.936699618 -66.8368185589999,126.914627618 -66.823763559,126.914490618 -66.568890559,126.944472618 -66.538081559,126.968081618 -66.507381559,126.984745618 -66.479327559,126.988354618 -66.457909559,126.967818618 -66.4402905589999,126.942545618 -66.434736559,126.841163618 -66.435290559,126.806136618 -66.4358545589999,126.758372618 -66.4319635589999,126.727799618 -66.426699559,126.698090618 -66.420290559,126.668954618 -66.4125095589999,126.640318618 -66.403627559,126.613908618 -66.3908545589999,126.574763618 -66.370281559,126.552272618 -66.3566725589999,126.532254618 -66.341127559,126.500345618 -66.319745559,126.466845618 -66.3033635589999,126.433927618 -66.2889095589999,126.402263618 -66.283081559,126.356163618 -66.279727559,126.304199618 -66.281418559,126.221972618 -66.284190559,126.169772618 -66.2889095589999,126.095890617 -66.300581559,126.031708617 -66.321681559,126.005890617 -66.332499559,125.895308617 -66.368636559,125.858627617 -66.3780635589999,125.802836617 -66.385845559,125.751418617 -66.389172559,125.709208617 -66.390163559,125.668372617 -66.391963559,125.630618617 -66.3969545589999,125.551436617 -66.418199559,125.500036617 -66.4502905589999,125.476990617 -66.4750095589999,125.422808617 -66.570009559,125.408927617 -66.605227559,125.262263617 -66.7261365589999,125.225618617 -66.730563559,125.190018617 -66.734190559,125.151145617 -66.726963559,125.113081617 -66.7071095589999,125.088372616 -66.694736559,125.051727616 -66.688081559,125.024336616 -66.6888995589999,124.989336616 -66.695163559,124.964618616 -66.7057185589999,124.952327616 -66.724327559,124.930190616 -66.7420995589999,124.901690616 -66.7475275589999,124.847518616 -66.7530635589999,124.813663616 -66.755845559,124.786972616 -66.755436559,124.734754616 -66.7438995589999,124.678908616 -66.727245559,124.653163616 -66.7127185589999,124.661145616 -66.6841905589999,124.682190616 -66.659236559,124.695454616 -66.623499559,124.685736616 -66.6032095589999,124.651427616 -66.575572559,124.614490616 -66.5533635589999,124.587272616 -66.5427995589999,124.558636616 -66.534727559,124.514208616 -66.525009559,124.484208616 -66.519472559,124.436708616 -66.514736559,124.388363616 -66.511399559,124.289218616 -66.511690559,124.234499616 -66.516109559,124.146408616 -66.5255545589999,124.107818616 -66.530563559,124.031154616 -66.545581559,123.973390615 -66.5572545589999,123.559481615 -66.654445559,123.413936615 -66.6922275589999,123.155063615 -66.753909559,123.081145615 -66.7697455589999,123.023645615 -66.7764095589999,122.989490615 -66.776672559,122.934627614 -66.7639815589999,122.946427615 -66.7325095589999,122.977254615 -66.7186185589999,123.004908615 -66.708063559,123.020872615 -66.6932185589999,123.017327615 -66.6691095589999,122.985881615 -66.648763559,122.936708614 -66.635027559,122.875890614 -66.6225275589999,122.830045614 -66.614745559,122.782836614 -66.609745559,122.718108614 -66.6052995589999,122.668081614 -66.603899559,122.633927614 -66.604190559,122.598099614 -66.606963559,122.537245614 -66.609054559,122.496427614 -66.6066725589999,122.435608614 -66.599181559,122.330599614 -66.579190559,122.279618614 -66.565436559,122.237808614 -66.553636559,122.183354614 -66.547809559,122.119763614 -66.551545559,122.013072614 -66.567518559,121.931690614 -66.5813905589999,121.888072614 -66.589754559,121.700318613 -66.629472559,121.611999613 -66.659190559,121.587827613 -66.6686365589999,121.559190613 -66.674727559,121.524190613 -66.678072559,121.470599613 -66.681136559,121.415590613 -66.6836275589999,121.359754613 -66.6850275589999,121.320736613 -66.690163559,121.292527613 -66.7033545589999,121.195299613 -66.752245559,121.071136613 -66.813754559,121.023936613 -66.826672559,120.987545613 -66.829190559,120.813663613 -66.839445559,120.787663612 -66.838627559,120.762672612 -66.829599559,120.744763612 -66.8183545589999,120.719899612 -66.809445559,120.688918612 -66.8050275589999,120.645854612 -66.802509559,120.616690612 -66.803199559,120.577263612 -66.8083365589999,120.487254612 -66.825572559,120.368636612 -66.837509559,120.333354612 -66.838627559,120.311154612 -66.837799559,120.257954612 -66.834036559,120.209781612 -66.8344545589999,119.988908612 -66.852245559,119.854218612 -66.8658635589999,119.787245612 -66.872790559,119.755890612 -66.876954559,119.727799612 -66.883618559,119.627518611 -66.907499559,119.546708611 -66.930554559,119.489618611 -66.937090559,119.435608611 -66.9339185589999,119.359208611 -66.9211095589999,119.292263611 -66.9155725589999,119.230327611 -66.912227559,119.095336611 -66.912799559,118.920318611 -66.9125095589999,118.882536611 -66.911681559,118.818645611 -66.908336559,118.733081611 -66.900009559,118.693645611 -66.893345559,118.63392761 -66.8894545589999,118.58059961 -66.8922275589999,118.51029961 -66.8964095589999,118.46282761 -66.904190559,118.42940861 -66.917872559,118.36753661 -66.976536559,118.34170861 -66.985418559,118.30227261 -66.990281559,118.26226361 -66.989454559,118.19834561 -66.986127559,118.15531861 -66.982790559,118.08643661 -66.975299559,118.06559961 -66.9727815589999,118.00504561 -66.960154559,117.95419061 -66.949181559,117.89112761 -66.9572455589999,117.86335461 -66.964172559,117.76699961 -66.989745559,117.67949061 -66.966127559,117.60614561 -66.9490545589999,117.57615461 -66.944454559,117.534472609 -66.941972559,117.401136609 -66.929472559,117.261427609 -66.899736559,117.158654609 -66.8777905589999,117.031154609 -66.846954559,116.916008609 -66.800718559,116.908381609 -66.780436559,116.875890609 -66.739454559,116.727818609 -66.5620995589999,116.698645609 -66.554045559,116.651981609 -66.552781559,116.603236609 -66.548763559,116.559190609 -66.532790559,116.351972608 -66.4493185589999,116.330718608 -66.4354275589999,116.311427608 -66.4177995589999,116.264618608 -66.388499559,116.229763608 -66.3780635589999,116.187954608 -66.368218559,116.137527608 -66.361972559,116.032127608 -66.353199559,115.864772608 -66.353899559,115.790881608 -66.3544455589999,115.600036608 -66.361972559,115.552272608 -66.366118559,115.504754608 -66.3730635589999,115.392808607 -66.3966635589999,115.322272607 -66.4125095589999,115.238645607 -66.4322545589999,115.190036607 -66.444318559,115.166281607 -66.465090559,115.140327607 -66.485154559,115.058354607 -66.476672559,115.002254607 -66.4730725589999,114.957263607 -66.473899559,114.929208607 -66.4805725589999,114.903108607 -66.495009559,114.844208607 -66.521554559,114.806836607 -66.515981559,114.792745607 -66.4788365589999,114.730027607 -66.4566815589999,114.701563607 -66.455427559,114.642254607 -66.4580815589999,114.602672607 -66.4643185589999,114.570036607 -66.472518559,114.537245607 -66.476963559,114.508281607 -66.464172559,114.505590607 -66.4354275589999,114.517545607 -66.407790559,114.528663607 -66.384181559,114.544081607 -66.3551455589999,114.566418607 -66.329327559,114.570381607 -66.3069635589999,114.530318607 -66.2945995589999,114.459199607 -66.284727559,114.437181607 -66.265572559,114.454063607 -66.240990559,114.474472607 -66.229463559,114.431427607 -66.179472559,114.253936606 -66.100299559,114.114227606 -66.0419455589999,114.093081606 -66.034881559,114.044218606 -66.029445559,114.003218606 -66.0195905589999,113.976436606 -66.006672559,113.860308606 -65.943345558,113.748654606 -65.886136558,113.724745606 -65.876127558,113.693390606 -65.868345558,113.660454606 -65.8562725579999,113.591981606 -65.808627558,113.539190606 -65.7686275579999,113.507954606 -65.742790558,113.488499606 -65.731945558,113.447272606 -65.722227558,113.425045606 -65.718918558,113.404481606 -65.7172275579999,113.350036606 -65.714754558,113.315336606 -65.713345558,113.229490605 -65.711963558,113.188390605 -65.7152905579999,113.159190605 -65.7197455579999,113.116990605 -65.728363558,113.090608605 -65.736127558,113.052272605 -65.7488995579999,112.850618605 -65.799999558,112.568390605 -65.860854558,112.503936605 -65.871418558,112.472808605 -65.8738995579999,112.309199605 -65.883363558,112.267136605 -65.8855635579999,111.980045604 -65.901672558,111.750890604 -65.915027558,111.671999604 -65.920290558,111.377536604 -65.9547275579999,111.347808604 -65.958909558,111.080318603 -66.0178095589999,110.891727603 -66.0636275589999,110.846981603 -66.0880545589999,110.815336603 -66.1075095589999,110.733090603 -66.1619725589999,110.707318603 -66.243209559,110.720890603 -66.291118559,110.732818603 -66.314745559,110.748381603 -66.339754559,110.764218603 -66.355854559,110.786145603 -66.379581559,110.788372603 -66.401672559,110.763363603 -66.425581559,110.730590603 -66.441699559,110.676418603 -66.466945559,110.629763603 -66.486681559,110.584627603 -66.502663559,110.530881603 -66.516690559,110.490599603 -66.523899559,110.445599603 -66.5326455589999,110.363363603 -66.5523725589999,110.200590603 -66.6033635589999,110.116145603 -66.637218559,110.097263603 -66.647236559,110.071445603 -66.6572455589999,110.044490602 -66.666399559,109.979490602 -66.6822545589999,109.940890602 -66.6889185589999,109.901154602 -66.693890559,109.858363602 -66.6980635589999,109.820590602 -66.700009559,109.779481602 -66.700299559,109.730590602 -66.696681559,109.702272602 -66.691409559,109.649627602 -66.680009559,109.608363602 -66.676954559,109.571718602 -66.676699559,109.491418602 -66.679472559,109.470890602 -66.681136559,109.430881602 -66.6858545589999,109.384918602 -66.693909559,109.302554602 -66.724181559,109.246427602 -66.749172559,109.225036602 -66.759445559,109.170590602 -66.777254559,109.131708602 -66.7839095589999,109.101854602 -66.784454559,109.058927602 -66.780836559,109.027554602 -66.777790559,108.980472601 -66.776809559,108.948672601 -66.779445559,108.923099601 -66.784463559,108.824218601 -66.831127559,108.804499601 -66.830563559,108.772281601 -66.826672559,108.715054601 -66.8149995589999,108.680672601 -66.8012635589999,108.656354601 -66.7732815589999,108.671436601 -66.741254559,108.685799601 -66.714599559,108.655199601 -66.6909905589999,108.627254601 -66.689454559,108.552136601 -66.696945559,108.508390601 -66.695299559,108.474490601 -66.691409559,108.400045601 -66.678890559,108.356990601 -66.669463559,108.329963601 -66.6550815589999,108.318236601 -66.623772559,108.302272601 -66.6030725589999,108.280463601 -66.585999559,108.103090601 -66.470836559,108.074899601 -66.4577905589999,107.926727601 -66.422809559,107.8269996 -66.402527559,107.8047816 -66.398363559,107.7797456 -66.3961185589999,107.7441996 -66.3964095589999,107.7055996 -66.402527559,107.6854546 -66.4094725589999,107.6665636 -66.427090559,107.5805996 -66.449463559,107.4767186 -66.4577905589999,107.4094816 -66.458763559,107.3078276 -66.4525185589999,107.2655906 -66.4480635589999,107.2375456 -66.441409559,107.2133816 -66.4336275589999,107.1742276 -66.4157095589999,107.1469996 -66.401672559,107.1274186 -66.395145559,107.0978276 -66.389599559,107.0283816 -66.385145559,106.9825366 -66.3855635589999,106.9467186 -66.3922275589999,106.8781086 -66.406963559,106.8386546 -66.4119725589999,106.815890599 -66.4133455589999,106.766145599 -66.410018559,106.724490599 -66.400009559,106.697536599 -66.391399559,106.668227599 -66.380581559,106.621145599 -66.3677995589999,106.583363599 -66.368054559,106.554481599 -66.372781559,106.502836599 -66.378909559,106.468936599 -66.3774995589999,106.407836599 -66.366681559,106.371981599 -66.354190559,106.322536599 -66.3355545589999,106.279208599 -66.326672559,106.207281599 -66.312809559,106.101990599 -66.300281559,106.072808599 -66.300581559,106.029745599 -66.303072559,105.991999599 -66.3066725589999,105.948672599 -66.312809559,105.903663599 -66.316118559,105.868099599 -66.3158545589999,105.836154599 -66.3133365589999,105.814336599 -66.308209559,105.791563599 -66.2977995589999,105.773372599 -66.278899559,105.745881598 -66.266399559,105.651427598 -66.246945559,105.584781598 -66.241118559,105.551727598 -66.236681559,105.441163598 -66.211399559,105.377063598 -66.1942545589999,105.339481598 -66.1802995589999,105.311427598 -66.172518559,105.289627598 -66.1690365589999,105.243381598 -66.1677995589999,105.188936598 -66.1722365589999,105.140590598 -66.175309559,105.093508598 -66.1744455589999,105.041445598 -66.164745559,104.999345598 -66.1495905589999,104.973936598 -66.135027559,104.952681598 -66.130436559,104.924499598 -66.130018559,104.860318598 -66.135845559,104.801727598 -66.139172559,104.685336597 -66.138336559,104.633945597 -66.133618559,104.605590597 -66.128618559,104.571836597 -66.119872559,104.533945597 -66.1030725589999,104.503390597 -66.0850185589999,104.485318597 -66.072527559,104.451718597 -66.057509559,104.426999597 -66.050309559,104.398099597 -66.0436365589999,104.323354597 -66.033081559,104.148936597 -66.008909559,103.991999597 -65.9902815579999,103.956127597 -65.987809558,103.902281597 -65.985563558,103.800599597 -65.989454558,103.756408597 -65.993054558,103.698054597 -66.0008365579999,103.647827597 -66.0105635589999,103.626163597 -66.013336559,103.586672596 -66.0175185589999,103.547790596 -66.0178095589999,103.495063596 -66.013627559,103.433645596 -66.005572559,103.330318596 -65.986681558,103.274172596 -65.975299558,103.205808596 -65.959245558,103.166445596 -65.946409558,103.111999596 -65.9330725579999,103.081972596 -65.9277815579999,103.031981596 -65.923354558,102.962827596 -65.917527558,102.825863596 -65.908336558,102.790890596 -65.906418558,102.736999596 -65.903899558,102.683345596 -65.901672558,102.626163596 -65.901127558,102.594208596 -65.904045558,102.511408595 -65.9152815579999,102.435599595 -65.9298725579999,102.393627595 -65.938081558,102.322808595 -65.9488995579999,102.300599595 -65.950299558,102.264218595 -65.950299558,102.160281595 -65.942790558,102.110290595 -65.938081558,102.054499595 -65.935563558,101.991390595 -65.938081558,101.947272595 -65.941118558,101.907227595 -65.9441725579999,101.868099595 -65.948636558,101.831418595 -65.9538995579999,101.763063595 -65.9652905579999,101.724445595 -65.973899558,101.689208595 -65.985309558,101.655881595 -65.9986095579999,101.616145595 -66.0188905589999,101.569763595 -66.045290559,101.550563595 -66.0518095589999,101.516263595 -66.057790559,101.467527594 -66.0589185589999,101.390872594 -66.0563995589999,101.333072594 -66.0547365589999,101.257263594 -66.053890559,101.112245594 -66.057781559,101.047790594 -66.062809559,101.003354594 -66.069327559,100.953918594 -66.080845559,100.923099594 -66.090290559,100.899172594 -66.099181559,100.880308594 -66.109745559,100.861690594 -66.1274995589999,100.847108594 -66.143345559,100.828054594 -66.159190559,100.808899594 -66.1697365589999,100.774481594 -66.1822545589999,100.739308594 -66.1922275589999,100.706418594 -66.2030815589999,100.686954594 -66.212509559,100.590999594 -66.260572559,100.543636594 -66.291690559,100.513918594 -66.325218559,100.499327594 -66.359318559,100.473390594 -66.383072559,100.442390594 -66.402927559,100.415281594 -66.414463559,100.378663593 -66.428618559,100.296690593 -66.4519545589999,100.246945593 -66.462236559,100.194208593 -66.470836559,100.111154593 -66.4783635589999,100.068118593 -66.4816725589999,100.024781593 -66.483918559,99.9872455930001 -66.489745559,99.941708593 -66.498609559,99.9091815930001 -66.506136559,99.8760085930001 -66.517254559,99.8372815930001 -66.533336559,99.6217085930001 -66.6475185589999,99.5944815930001 -66.6639095589999,99.5575545930001 -66.693636559,99.5355815930001 -66.712236559,99.4975275930001 -66.749045559,99.4741815930001 -66.774736559,99.4423815930001 -66.809727559,99.4075275930001 -66.836399559,99.390018593 -66.847518559,99.369754593 -66.857790559,99.3192085920001 -66.8761275589999,99.2830815920001 -66.880845559,99.263918592 -66.8797275589999,99.2190545920001 -66.864881559,98.9661275920001 -66.7027905589999,98.9356085920001 -66.675563559,98.920863592 -66.6466815589999,98.9178185920001 -66.6209905589999,98.8972815920001 -66.5841635589999,98.8794545920001 -66.571945559,98.8555905920001 -66.5619635589999,98.8047455920001 -66.551390559,98.7605545920001 -66.546954559,98.740299592 -66.548890559,98.6730995920001 -66.550309559,98.6033635920001 -66.549745559,98.5244725920001 -66.5422365589999,98.4236455920001 -66.530299559,98.3564455920001 -66.5219545589999,98.2619635920001 -66.516109559,98.220581591 -66.516963559,98.1980545910001 -66.5197455589999,98.1647365910001 -66.525009559,97.8400275910001 -66.5783545589999,97.8119545910001 -66.585863559,97.7883905910001 -66.5941815589999,97.7512815910001 -66.6118275589999,97.7294905910001 -66.626954559,97.705563591 -66.651945559,97.681699591 -66.677781559,97.660854591 -66.700836559,97.6215545910001 -66.7305725589999,97.594363591 -66.738490559,97.5572545910001 -66.739454559,97.538081591 -66.7282095589999,97.5307275910001 -66.708209559,97.5422365910001 -66.669463559,97.549181591 -66.615009559,97.507418591 -66.604045559,97.4752815910001 -66.6047365589999,97.4388995910001 -66.608918559,97.3725725910001 -66.613345559,97.3369725910001 -66.610018559,97.2764275910001 -66.599181559,97.2469635910001 -66.593063559,97.1990725910001 -66.580427559,97.1652815900001 -66.5608545589999,97.13282759 -66.5501635589999,97.0903275900001 -66.5461095589999,97.05199959 -66.551136559,96.92283659 -66.579736559,96.84254559 -66.6000095589999,96.71809059 -66.6264185589999,96.6661545900001 -66.633618559,96.6253095900001 -66.637509559,96.5864275900001 -66.6408545589999,96.5447365900001 -66.641109559,96.5025185900001 -66.639736559,96.32671859 -66.631390559,96.091672589 -66.654190559,95.636181589 -66.680554559,95.5708635890001 -66.679472559,95.3742185890001 -66.670581559,95.3460095890001 -66.667927559,95.3150455890001 -66.662799559,95.2784455890001 -66.6475185589999,95.2732905890001 -66.617518559,95.2406185890001 -66.599181559,95.2050185890001 -66.594463559,95.134472589 -66.586963559,95.0761725890001 -66.5836185589999,95.0366815890001 -66.582790559,94.957536588 -66.578899559,94.8617095880001 -66.572527559,94.7561815880001 -66.561109559,94.7303275880001 -66.5569635589999,94.6550455880001 -66.546418559,94.6294905880001 -66.545718559,94.5936275880001 -66.554181559,94.5583635880001 -66.568636559,94.4900635880001 -66.595581559,94.4411635880001 -66.613081559,94.4166905880001 -66.6216905589999,94.3682365880001 -66.6355635589999,94.3175095880001 -66.6475185589999,94.253918588 -66.6605725589999,94.2011725880001 -66.6669455589999,94.1439185880001 -66.672518559,94.102236588 -66.675845559,94.0792365880001 -66.675309559,94.0205725880001 -66.671690559,93.9900635880001 -66.666399559,93.9532275880001 -66.657518559,93.9240455870001 -66.642236559,93.9042095870001 -66.6172365589999,93.8757365870001 -66.5961365589999,93.8411365870001 -66.586136559,93.8038905870001 -66.582790559,93.764481587 -66.5816815589999,93.7413905870001 -66.581972559,93.681718587 -66.586399559,93.5647725870001 -66.596954559,93.5072635870001 -66.6033635589999,93.3758725870001 -66.608336559,93.3244635870001 -66.602527559,93.2314635870001 -66.594463559,93.1525275870001 -66.588627559,93.025036587 -66.585281559,92.9558905870001 -66.585863559,92.914490587 -66.5880545589999,92.8591905860001 -66.593063559,92.8383815860001 -66.594999559,92.8038905860001 -66.6000095589999,92.7741725860001 -66.605563559,92.744445586 -66.612227559,92.700881586 -66.623609559,92.660581586 -66.630436559,92.6111455860001 -66.634445559,92.5486455860001 -66.637509559,92.5255905860001 -66.637509559,92.4233365860001 -66.633618559,92.3839095860001 -66.629199559,92.335018586 -66.621945559,92.2886545860001 -66.613081559,92.2305905860001 -66.600299559,92.202527586 -66.593063559,92.1746185860001 -66.581127559,92.1489275860001 -66.567518559,92.1047545860001 -66.549181559,92.0747635860001 -66.5427995589999,92.0053095860001 -66.5339095589999,91.9386725860001 -66.535854559,91.8347815860001 -66.5405725589999,91.7241815850001 -66.541690559,91.6616815850001 -66.539745559,91.641127585 -66.537799559,91.6203185850001 -66.5369725589999,91.574218585 -66.5361365589999,91.551163585 -66.5361365589999,91.4036365850001 -66.536681559,91.3411365850001 -66.5375095589999,91.2721365850001 -66.540981559,91.2072905850001 -66.548063559,90.764781585 -66.5994725589999,90.6808455840001 -66.612499559,90.6528275840001 -66.6177995589999,90.5617185840001 -66.638336559,90.512509584 -66.645290559,90.4195095840001 -66.654727559,90.3379275840001 -66.662236559,90.2680815840001 -66.6672365589999,90.1867185840001 -66.6700095589999,90.1425185840001 -66.671418559,90.0377815840001 -66.673890559,89.9958635840001 -66.676136559,89.9444545840001 -66.6819635589999,89.860063584 -66.693890559,89.8294635840001 -66.700009559,89.7800455840001 -66.707790559,89.7305905840001 -66.715290559,89.6764095840001 -66.721954559,89.6203185830001 -66.7258455589999,89.5178365830001 -66.7297365589999,89.4336545830001 -66.7322365589999,89.3706185830001 -66.734190559,89.2391995830001 -66.7438995589999,89.1641995830001 -66.7499995589999,89.0114275830001 -66.763072559,88.9672275830001 -66.761399559,88.9305995830001 -66.756954559,88.7550455830001 -66.725299559,88.737790583 -66.7139095589999,88.7643545830001 -66.612945559,88.7886455830001 -66.582927559,88.8095995830001 -66.5636275589999,88.8261725830001 -66.5408635589999,88.8339365830001 -66.516109559,88.8061635830001 -66.4868095589999,88.7847275830001 -66.464754559,88.7642185830001 -66.445009559,88.735609583 -66.432509559,88.711136583 -66.425581559,88.6871455830001 -66.416409559,88.630872583 -66.316409559,88.5555995820001 -66.193636559,88.482009582 -66.0780815589999,88.4611365820001 -66.065299559,88.3883815820001 -66.050309559,88.357236582 -66.045836559,88.3239275820001 -66.041399559,88.2837995820001 -66.037381559,88.2352905820001 -66.036263559,88.2120545820001 -66.050599559,88.2154545820001 -66.080427559,88.2080725820001 -66.140027559,88.1700455820001 -66.386399559,88.102599582 -66.6523095589999,88.0369995820001 -66.656418559,87.9886635820001 -66.653354559,87.9561275820001 -66.654445559,87.8903185820001 -66.660018559,87.8662995820001 -66.664599559,87.835309582 -66.676127559,87.8098725820001 -66.696263559,87.7971185820001 -66.7248725589999,87.8008545820001 -66.751681559,87.7986455820001 -66.778354559,87.786290582 -66.797245559,87.7683815820001 -66.813909559,87.7462905820001 -66.826681559,87.5025185810001 -66.8947455589999,87.370318581 -66.912227559,87.224745581 -66.936672559,87.1591905810001 -66.9586185589999,86.9666725810001 -67.0144545589999,86.931945581 -67.023636559,86.8817095810001 -67.026672559,86.7903185810001 -67.028763559,86.7322365810001 -67.029190559,86.4486815810001 -67.040027559,86.0697635800001 -67.061672559,86.0350365800001 -67.0677905589999,85.99741858 -67.08646356,85.9608905800001 -67.12890956,85.92669958 -67.14222756,85.8325635800001 -67.17154556,85.7989275800001 -67.17709056,85.6892095800001 -67.17750956,85.5389545800001 -67.17918156,85.4372545800001 -67.18502756,85.39545458 -67.18529956,85.3217275790001 -67.18029956,85.221690579 -67.1716905599999,85.1869635790001 -67.16835456,85.139218579 -67.15972756,85.0383905790001 -67.1461185599999,84.986709579 -67.14389056,84.742018579 -67.13390956,84.7086185790001 -67.13336356,84.6086545790001 -67.13336356,84.5586545790001 -67.13390956,84.3905635790001 -67.13807256,84.2883905780001 -67.1444725599999,84.2394995780001 -67.14836356,84.1961365780001 -67.15321856,84.153945578 -67.16197256,84.128081578 -67.1643275599999,84.086427578 -67.1641725599999,84.001954578 -67.15890956,83.9192095780001 -67.15029956,83.8700545780001 -67.14666356,83.820327578 -67.1461185599999,83.6016995780001 -67.14946356,83.5344815780001 -67.1505545599999,83.4033995780001 -67.15668156,83.3686635780001 -67.16028156,83.2839545780001 -67.1694635599999,83.231463578 -67.17613656,83.1986815770001 -67.18055456,83.146681577 -67.19169956,83.0581185770001 -67.21086356,83.023636577 -67.21918156,82.9697455770001 -67.23474556,82.934463577 -67.24583656,82.876954577 -67.27029056,82.8483995770001 -67.28249956,82.814454577 -67.30113656,82.7920635770001 -67.31897256,82.7636725770001 -67.34558156,82.7221095770001 -67.3808545599999,82.6917185770001 -67.39029956,82.656563577 -67.39389056,82.6158635770001 -67.39002756,82.5667275770001 -67.3730635599999,82.526990577 -67.35224556,82.4586365770001 -67.30555456,82.411363577 -67.26604556,82.3822815770001 -67.24417256,82.3589635770001 -67.23056356,82.333327577 -67.22206356,82.3072635770001 -67.21999956,82.273636577 -67.21918156,82.205890577 -67.22222756,82.0495185760001 -67.24500956,82.014481576 -67.25168156,81.9889365760001 -67.26056356,81.9586365760001 -67.2758455599999,81.9183545760001 -67.3072545599999,81.8911545760001 -67.33904556,81.8725455760001 -67.35472756,81.7189455760001 -67.42807256,81.663409576 -67.44919056,81.6211365760001 -67.46279056,81.5606275760001 -67.46639956,81.516554576 -67.47279056,81.4787995760001 -67.49389956,81.498363576 -67.52388156,81.5289455760001 -67.52223656,81.5622725760001 -67.5258455599999,81.595354576 -67.53112756,81.683518576 -67.54820956,81.745072576 -67.56333656,81.8422365760001 -67.58862756,81.890581576 -67.6019635599999,82.011309576 -67.63833656,82.0439635760001 -67.65501856,82.0593455760001 -67.67043656,82.0305905760001 -67.67680956,81.8011635760001 -67.68139956,81.7431185760001 -67.67947256,81.6764095760001 -67.6708365599999,81.6343545760001 -67.6625095599999,81.5447545760001 -67.63833656,81.5122815760001 -67.63057256,81.4704725760001 -67.6252905599999,81.4422725760001 -67.6302905599999,81.410599576 -67.64585456,81.3976905760001 -67.66869056,81.4195095760001 -67.74528156,81.413099576 -67.76446356,81.4014455760001 -67.77389956,81.3908815760001 -67.78083656,81.3575635760001 -67.79549056,81.304218576 -67.80778156,81.0433545750001 -67.8519635599999,80.989763575 -67.8605635599999,80.9260365750001 -67.86695456,80.883927575 -67.86917256,80.6894725750001 -67.8753095599999,80.4428275750001 -67.88696356,80.391127575 -67.89085456,80.3355905750001 -67.89695456,80.281999575 -67.9044455599999,80.2275545750001 -67.91363656,80.0439635750001 -67.94500956,80.0056275750001 -67.95167256,79.9319635740001 -67.9677995599999,79.8753185740001 -67.98056356,79.7866995740001 -67.9964185599999,79.6047545740001 -68.02667256,79.420063574 -68.05667256,79.3289365740001 -68.06640956,79.256427574 -68.07471856,79.1819635740001 -68.08586356,79.1256275740001 -68.09640956,78.9964185740001 -68.12389956,78.9567455740001 -68.13584556,78.8878365730001 -68.1583365609999,78.860609573 -68.1702905609999,78.7494635730001 -68.230027561,78.6817185730001 -68.275981561,78.6605995730001 -68.2983545609999,78.6237905730001 -68.327099561,78.406445573 -68.431136561,78.3447455730001 -68.435563561,78.3200185730001 -68.408909561,78.237136573 -68.422799561,78.1436275730001 -68.448899561,78.1164095730001 -68.4597365609999,78.0819815730001 -68.477781561,77.903945573 -68.5750095609999,77.8894815730001 -68.5936275609999,77.8461455720001 -68.6730635609999,77.855181573 -68.695154561,77.8883815730001 -68.7127995609999,77.9286365730001 -68.725154561,77.9700455730001 -68.7355635609999,78.007827573 -68.741672561,78.090745573 -68.754736561,78.127045573 -68.776545561,78.090590573 -68.795836561,78.0697815730001 -68.7997275609999,78.0421275730001 -68.802245561,78.006727573 -68.812499561,77.9882365730001 -68.8209815609999,77.9519815730001 -68.848636561,77.9319635730001 -68.867799561,77.915881573 -68.8862725609999,77.902845573 -68.912509561,77.9211545730001 -68.9773905609999,77.9103275730001 -69.060718561,77.875872573 -69.0750095609999,77.7814455720001 -69.1058545609999,77.747272572 -69.116972561,77.7061275720001 -69.1269545609999,77.667009572 -69.130018561,77.6286815720001 -69.131672561,77.5319995720001 -69.127090561,77.4967185720001 -69.134036561,77.462690572 -69.168618561,77.4392275720001 -69.187499561,77.399181572 -69.195299561,77.2647815720001 -69.219745561,77.2180905720001 -69.2194635609999,77.1728095720001 -69.213627561,77.1375275720001 -69.210554561,77.1094815720001 -69.210581561,77.065018572 -69.214754561,77.005872572 -69.222781561,76.7329545710001 -69.2652995619999,76.6925185710001 -69.2783545619999,76.6740905710001 -69.294736562,76.6565725710001 -69.3207095619999,76.5711815710001 -69.3825095619999,76.5420095710001 -69.393063562,76.5219905710001 -69.398054562,76.313672571 -69.401672562,76.2111365710001 -69.418918562,76.1883725710001 -69.418763562,76.1756725710001 -69.399736562,76.141036571 -69.3880725619999,76.098099571 -69.3891725619999,76.0581185710001 -69.392227562,75.975599571 -69.431954562,76.0008725710001 -69.4889095619999,75.876172571 -69.565854562,75.8556095710001 -69.578354562,75.814345571 -69.594463562,75.779499571 -69.588345562,75.732799571 -69.5744635619999,75.68671857 -69.563336562,75.6608995700001 -69.558072562,75.63338157 -69.5544725619999,75.6067095700001 -69.5536185619999,75.57448157 -69.556399562,75.5411545700001 -69.565563562,75.5094725700001 -69.579727562,75.4864365700001 -69.584745562,75.44572757 -69.582109562,75.40879957 -69.566690562,75.3756275700001 -69.555299562,75.33198157 -69.548063562,75.2968275700001 -69.545709562,75.20698157 -69.5503095619999,75.1133545700001 -69.557254562,75.0789365700001 -69.562499562,75.03395457 -69.574190562,75.0111815700001 -69.588345562,74.9847545700001 -69.610563562,74.98469957 -69.635018562,75.0243365700001 -69.681690562,75.0402995700001 -69.704318562,75.03089957 -69.736127562,75.01060957 -69.745563562,74.9810365700001 -69.752663562,74.9505725700001 -69.7558455619999,74.91199957 -69.7558455619999,74.8855725700001 -69.7541995619999,74.84364557 -69.748063562,74.8135095700001 -69.740009562,74.8050365700001 -69.7138275619999,74.7968275700001 -69.686254562,74.77280957 -69.675281562,74.74140957 -69.671690562,74.71367257 -69.675163562,74.6756095700001 -69.684190562,74.6472905700001 -69.694745562,74.63289057 -69.7110635619999,74.6446995700001 -69.744727562,74.6093275690001 -69.759609562,74.5600725690001 -69.7619635619999,74.4942185690001 -69.760845562,74.347545569 -69.750581562,74.278945569 -69.746418562,74.2306095690001 -69.744463562,74.1675545690001 -69.7436365619999,74.1264185690001 -69.746127562,74.073681569 -69.751954562,74.047809569 -69.757018562,74.023090569 -69.762218562,73.9908635690001 -69.770290562,73.952527569 -69.785572562,73.923936569 -69.804527562,73.8808725690001 -69.835018562,73.8350365690001 -69.845581562,73.8087905690001 -69.8500185619999,73.762281569 -69.855299562,73.6864185690001 -69.8616815619999,73.6247725690001 -69.8647455619999,73.5866815690001 -69.8663905619999,73.5647725690001 -69.865863562,73.442827568 -69.8702815619999,73.4033995680001 -69.873609562,73.3706185680001 -69.8789095619999,73.3310095680001 -69.8879365619999,73.280045568 -69.9038995619999,73.2550185680001 -69.915572562,73.2237275680001 -69.9342455619999,73.1869635680001 -69.955563562,73.1611455680001 -69.965290562,73.1196455680001 -69.974881562,73.076427568 -69.980299562,73.0425545680001 -69.986127562,72.9925725680001 -69.997236562,72.9300725680001 -70.0125095619999,72.8958095680001 -70.029109562,72.773090568 -70.108609562,72.7280995680001 -70.123063562,72.7042365680001 -70.135845562,72.6720095680001 -70.1574995619999,72.630872568 -70.187809562,72.6160275680001 -70.212918562,72.6281275680001 -70.2380815619999,72.6455815680001 -70.249727562,72.668963568 -70.260845562,72.696972568 -70.270854562,72.7255995680001 -70.280018562,72.776990568 -70.3011365629999,72.797809568 -70.3119635629999,72.8242365680001 -70.3294635629999,72.8436455680001 -70.348072563,72.860581568 -70.381527563,72.866163568 -70.415363563,72.8419995680001 -70.441127563,72.7989095680001 -70.4480635629999,72.773636568 -70.4472365629999,72.674209568 -70.436399563,72.6489365680001 -70.4325095629999,72.6278185680001 -70.4302995629999,72.6052995680001 -70.4297365629999,72.583636568 -70.4311365629999,72.5497545680001 -70.4361095629999,72.5000725680001 -70.4480635629999,72.484209568 -70.466263563,72.5031275680001 -70.4891995629999,72.5239365680001 -70.500309563,72.543381568 -70.507381563,72.5908095680001 -70.535845563,72.6020815680001 -70.565699563,72.5792365680001 -70.6005815629999,72.5629725680001 -70.612527563,72.5214365680001 -70.6350275629999,72.4679725670001 -70.6505815629999,72.4014455670001 -70.6655815629999,72.3498995670001 -70.675990563,72.2852905670001 -70.6830725629999,72.2458635670001 -70.6844455629999,72.1919725670001 -70.6794725629999,72.1261725670001 -70.669172563,72.1041995670001 -70.6647455629999,72.0547635670001 -70.661136563,72.0239365670001 -70.662509563,71.988263567 -70.667227563,71.946972567 -70.677245563,71.8883815670001 -70.693890563,71.818527567 -70.715845563,71.776563567 -70.740490563,71.793654567 -70.762218563,71.814345567 -70.770845563,71.8453545670001 -70.7836185629999,71.8705275670001 -70.799390563,71.8686635670001 -70.831118563,71.848681567 -70.8488905629999,71.8071095670001 -70.867090563,71.767290567 -70.878354563,71.7033815670001 -70.8936275629999,71.6666995670001 -70.900009563,71.6164095670001 -70.910854563,71.5531185670001 -70.9283635629999,71.525890567 -70.939745563,71.499072567 -70.961818563,71.508327567 -71.0127275629999,71.519090567 -71.042509563,71.5028185670001 -71.0576455629999,71.400036566 -71.1316725629999,71.3008905660001 -71.227927563,71.304218566 -71.252790563,71.332963566 -71.277863563,71.354218566 -71.314045563,71.3189545660001 -71.340572563,71.2828545660001 -71.358081563,71.256572566 -71.3795275639999,71.2579815660001 -71.406536564,71.2800455660001 -71.421418564,71.2975635660001 -71.433072564,71.3229545660001 -71.446254564,71.3643635660001 -71.463063564,71.4061455670001 -71.4893095639999,71.4428275670001 -71.518899564,71.4515815670001 -71.538890564,71.419754567 -71.564745564,71.354354566 -71.581836564,71.2629545660001 -71.595718564,71.2175455660001 -71.604190564,71.167009566 -71.616118564,71.1151905660001 -71.635845564,71.088390566 -71.655299564,71.001709566 -71.753209564,71.0181095660001 -71.7812545639999,71.0302545660001 -71.804954564,70.994218566 -71.8280815639999,70.9644905660001 -71.837509564,70.9433725660001 -71.841945564,70.9037905660001 -71.853218564,70.8681185660001 -71.8688995639999,70.8575455660001 -71.890218564,70.866809566 -71.925081564,70.8397995660001 -71.942227564,70.810318566 -71.953609564,70.7775455660001 -71.962799564,70.408954566 -72.0427995639999,70.3750185660001 -72.049727564,70.3355905660001 -72.056136564,70.1839185650001 -72.0780815639999,70.142836565 -72.0830815639999,70.102245565 -72.087509564,70.061963565 -72.091690564,70.016736565 -72.0941815639999,69.9802995650001 -72.0977815639999,69.9293635650001 -72.105290564,69.8823995650001 -72.120018564,69.8464185650001 -72.1425185639999,69.8354635650001 -72.169463564,69.8189275650001 -72.191699564,69.8021095650001 -72.204045564,69.7716815650001 -72.221690564,69.7439095650001 -72.236127564,69.686718565 -72.261136564,69.474499565 -72.341127564,69.4436815650001 -72.352527564,69.4083995650001 -72.361972564,69.327836565 -72.371418564,69.2197455640001 -72.3764185639999,69.188518564 -72.379045564,69.099345564 -72.399727564,69.057263564 -72.4105725639999,69.0022725640001 -72.4197365639999,68.9364185640001 -72.424999564,68.891736564 -72.426409564,68.8217275640001 -72.426954564,68.720354564 -72.421690564,68.6670095640001 -72.4169455639999,68.5633725640001 -72.403354564,68.486409564 -72.391963564,68.465045564 -72.388336564,68.1350275630001 -72.323345564,67.982563563 -72.293063564,67.9011365630001 -72.275845564,67.806163563 -72.251681564,67.7703365630001 -72.241972564,67.535199563 -72.176127564,67.4836545630001 -72.157790564,67.4573095630001 -72.146409564,67.424227563 -72.130018564,67.3572545630001 -72.0889095639999,67.3402635630001 -72.066190564,67.3565815630001 -72.0426455639999,67.3939365630001 -72.027527564,67.425309563 -72.016690564,67.464099563 -72.002645564,67.530899563 -71.975299564,67.570572563 -71.953609564,67.6072545630001 -71.929181564,67.673663563 -71.882799564,67.6900185630001 -71.866118564,67.6928995630001 -71.839109564,67.7272455630001 -71.762799564,67.765027563 -71.741681564,67.816972563 -71.712509564,67.840045563 -71.697527564,67.8989995630001 -71.647936564,67.8909455630001 -71.621190564,67.8541995630001 -71.608336564,67.799636563 -71.611118564,67.754227563 -71.6191725639999,67.7178455630001 -71.627245564,67.6781185630001 -71.6390545639999,67.6386905630001 -71.650845564,67.5878725630001 -71.643481564,67.6041275630001 -71.585227564,67.6594995630001 -71.559445564,67.7289545630001 -71.5405725639999,67.7592275630001 -71.529727564,67.9164545630001 -71.446681564,67.9389185630001 -71.429472564,67.963672563 -71.400363564,67.9847545630001 -71.377654564,68.0409095630001 -71.344181563,68.2562995640001 -71.237372563,68.2967095640001 -71.225299563,68.363909564 -71.211136563,68.422809564 -71.2038995629999,68.6050545640001 -71.177245563,68.6330995640001 -71.171818563,68.6742095640001 -71.1613905629999,68.703381564 -71.150299563,68.7621275640001 -71.119045563,68.828627564 -71.0788995629999,68.858081564 -71.059863563,68.966999564 -71.003618563,68.981709564 -70.996418563,69.0409095640001 -70.960554563,69.0622725640001 -70.9452995629999,69.0939455640001 -70.9116815629999,69.113909564 -70.887509563,69.135881564 -70.856672563,69.2103455640001 -70.731672563,69.2471905640001 -70.662790563,69.2958545650001 -70.5077995629999,69.300036565 -70.482654563,69.3003095650001 -70.443072563,69.2882275650001 -70.416672563,69.272563565 -70.394881563,69.2507185640001 -70.375699563,69.2133905640001 -70.353363563,69.178909564 -70.340027563,69.1447905640001 -70.331390563,69.1192185640001 -70.328081563,69.070572564 -70.3244635629999,69.0286365640001 -70.324718563,68.969190564 -70.327790563,68.8950365640001 -70.335863563,68.7624095640001 -70.350727563,68.6928275640001 -70.359190563,68.6696275640001 -70.364881563,68.655490564 -70.3859275629999,68.682690564 -70.414463563,68.7503185640001 -70.4544635629999,68.7902995640001 -70.4755815629999,68.823381564 -70.496409563,68.8485725640001 -70.523209563,68.8360095640001 -70.542927563,68.7789455640001 -70.5655725629999,68.7450725640001 -70.580018563,68.710590564 -70.601136563,68.6908725640001 -70.617527563,68.6851635640001 -70.640572563,68.694627564 -70.663609563,68.701309564 -70.683899563,68.6982545640001 -70.712390563,68.683118564 -70.739745563,68.661999564 -70.7566725629999,68.638109564 -70.764045563,68.5939455640001 -70.770581563,68.3289365640001 -70.771954563,68.3050725640001 -70.7716635629999,68.258927564 -70.767518563,68.2329545640001 -70.7602995629999,68.2102365640001 -70.7427995629999,68.2331095640001 -70.7011275629999,68.255909564 -70.6801455629999,68.277818564 -70.663772563,68.2974095640001 -70.648072563,68.311718564 -70.623063563,68.3178275640001 -70.549999563,68.3181275640001 -70.528072563,68.3156275640001 -70.500836563,68.2960365640001 -70.468209563,68.273090564 -70.443345563,68.254627564 -70.4352995629999,68.225599564 -70.428618563,68.204481564 -70.428890563,68.1783905630001 -70.4332095629999,68.1500365630001 -70.4451635629999,68.1236725630001 -70.4725185629999,68.1072545630001 -70.488081563,68.0789365630001 -70.501127563,68.0569905630001 -70.508209563,68.0153365630001 -70.5163995629999,67.994763563 -70.5186275629999,67.948072563 -70.5150275629999,67.9114545630001 -70.505845563,67.6817185630001 -70.4244725629999,67.659772563 -70.410027563,67.646990563 -70.390572563,67.670854563 -70.269745562,67.6900185630001 -70.2166905619999,67.8595095630001 -70.103618562,67.8833815630001 -70.089172562,67.9125545630001 -70.0772365619999,67.9483815630001 -70.0744635619999,68.0092275630001 -70.065563562,68.0380275630001 -70.047099562,68.012527563 -70.026672562,67.9600365630001 -70.006827562,67.937336563 -69.969809562,67.962299563 -69.9433455619999,68.0000725630001 -69.9219545619999,68.064472563 -69.890290562,68.0947455630001 -69.8794725619999,68.1544995630001 -69.861127562,68.1856275640001 -69.854445562,68.224499564 -69.851136562,68.2628365640001 -69.8505815619999,68.287245564 -69.851963562,68.3330815640001 -69.8594545619999,68.365309564 -69.869172562,68.3914365640001 -69.878618562,68.4220095640001 -69.8919635619999,68.4575365640001 -69.9108545619999,68.507281564 -69.939745562,68.5464635640001 -69.963054562,68.595045564 -69.990863562,68.6158635640001 -70.002499562,68.638927564 -70.0127995619999,68.680863564 -70.021409562,68.7143365640001 -70.025154562,68.765027564 -70.024181562,68.803118564 -70.021409562,68.908399564 -70.0058455619999,68.9547905640001 -69.9933455619999,68.9981275640001 -69.978618562,69.048909564 -69.954727562,69.076736564 -69.940563562,69.1825725640001 -69.878618562,69.2097635640001 -69.860027562,69.2090905640001 -69.839181562,69.1697545640001 -69.819454562,69.1244635640001 -69.8014095619999,69.091999564 -69.782099562,69.0728275640001 -69.756263562,69.0787815640001 -69.737099562,69.0997815640001 -69.7227905619999,69.1344725640001 -69.709454562,69.1636545640001 -69.7016725619999,69.2461725640001 -69.684190562,69.312818565 -69.6705815619999,69.3428455650001 -69.6552905619999,69.3346995650001 -69.635918562,69.2964635650001 -69.6169725619999,69.1722545640001 -69.585863562,69.136736564 -69.5772365619999,69.070881564 -69.564999562,69.0216815640001 -69.558336562,68.978099564 -69.5541815619999,68.9539365640001 -69.552781562,68.8516995640001 -69.5505815619999,68.8205995640001 -69.544172562,68.7915635640001 -69.524945562,68.859363564 -69.389318562,68.904372564 -69.3662725619999,68.9752995640001 -69.349472562,69.0094725640001 -69.344463562,69.0467095640001 -69.3436275619999,69.141981564 -69.353899562,69.309463565 -69.344463562,69.3479725650001 -69.336409562,69.3969905650001 -69.333909562,69.4200635650001 -69.335863562,69.4594905650001 -69.3433365619999,69.555345565 -69.3683455619999,69.5928455650001 -69.380290562,69.6347815650001 -69.3880725619999,69.681445565 -69.386390562,69.722245565 -69.377245562,69.7461725650001 -69.359054562,69.758654565 -69.328345562,69.7729635650001 -69.249309562,69.762527565 -69.229190562,69.7216905650001 -69.210281561,69.6919725650001 -69.2005725609999,69.575881565 -69.1705815609999,69.5436545650001 -69.163345561,69.4211545650001 -69.140581561,69.3606095650001 -69.133363561,69.3382455650001 -69.1282095609999,69.2988095650001 -69.104181561,69.3182185650001 -69.0777995609999,69.349199565 -69.066699561,69.3817275650001 -69.059190561,69.416699565 -69.052781561,69.497572565 -69.037509561,69.575881565 -69.019999561,69.685863565 -68.986972561,69.715899565 -68.977527561,69.760881565 -68.958354561,69.787827565 -68.939190561,69.7956095650001 -68.919609561,69.779499565 -68.9025275609999,69.747572565 -68.896118561,69.727554565 -68.892809561,69.7075365650001 -68.890581561,69.659499565 -68.8875095609999,69.5905905650001 -68.885563561,69.5464635650001 -68.8880725609999,69.4795095650001 -68.890027561,69.453936565 -68.889454561,69.4264365650001 -68.885854561,69.4030905650001 -68.875572561,69.391418565 -68.840290561,69.4480725650001 -68.8200095609999,69.5147815650001 -68.806963561,69.548909565 -68.801409561,69.624218565 -68.783081561,69.6602905650001 -68.769181561,69.6939275650001 -68.7536185609999,69.7148905650001 -68.7375185609999,69.7225455650001 -68.724727561,69.723599565 -68.699527561,69.7014275650001 -68.664172561,69.6836725650001 -68.6516725609999,69.749218565 -68.613909561,69.865863565 -68.6130815609999,69.974927565 -68.6051545609999,70.018081565 -68.597518561,70.052463565 -68.584945561,70.081981565 -68.5647455609999,70.1020095650001 -68.523899561,70.0933995650001 -68.5005815609999,70.0804635650001 -68.4822275609999,70.0517095650001 -68.452527561,70.0236365650001 -68.427781561,70.008381565 -68.4144635609999,69.8317455650001 -68.2744635609999,69.7317095650001 -68.2108635609999,69.705581565 -68.192790561,69.667554565 -68.13223656,69.654499565 -68.0972365599999,69.6571185650001 -68.0455635599999,69.6728095650001 -67.97778156,69.6839185650001 -67.93889956,69.696154565 -67.91987256,69.707136565 -67.89431856,69.6778995650001 -67.77819956,69.6447905650001 -67.75390956,69.6056095650001 -67.74168156,69.562818565 -67.73780956,69.5211365650001 -67.73834556,69.4022995650001 -67.7477905599999,69.3588095650001 -67.7525185599999,69.245036564 -67.77181856,69.222881564 -67.79279056,69.2000545640001 -67.82306356,69.173909564 -67.8361365599999,69.1455815640001 -67.84362756,69.1122545640001 -67.8500095599999,69.044209564 -67.85891856,68.9339185640001 -67.87028156,68.864363564 -67.8748635599999,68.6914185640001 -67.8697545599999,68.573927564 -67.86834556,68.5035275640001 -67.87153656,68.297563564 -67.86611856,68.2080815640001 -67.85084556,68.168109563 -67.84474556,68.1325185630001 -67.83975456,68.073072563 -67.83308156,68.030045563 -67.82946356,67.984209563 -67.8269545599999,67.7819995630001 -67.82278156,67.5998995630001 -67.82529956,67.525590563 -67.8188905599999,67.487809563 -67.8147455599999,67.452527563 -67.80944556,67.420063563 -67.80250956,67.3905815630001 -67.79500956,67.3475635630001 -67.78279056,67.3047635630001 -67.77085456,67.250872563 -67.76221856,67.2295185630001 -67.76028156,67.1461455630001 -67.76139956,67.1039545620001 -67.76333656,67.0639185620001 -67.76610956,66.9750545620001 -67.77612756,66.8955815620001 -67.78001856,66.8117185620001 -67.78168156,66.7678545620001 -67.78056356,66.628127562 -67.7730545599999,66.5853545620001 -67.7694725599999,66.528945562 -67.76196356,66.5080725620001 -67.75836356,66.2183995620001 -67.73863656,66.001981561 -67.72778156,65.916718561 -67.71974556,65.871463561 -67.71279056,65.789509561 -67.69919056,65.7094905610001 -67.6902905599999,65.621981561 -67.68196356,65.339199561 -67.66028156,65.317836561 -67.65890956,65.2042365610001 -67.65556356,65.1361995610001 -67.6544455599999,65.1097725610001 -67.65945456,65.0397455610001 -67.66308156,64.9203185600001 -67.66806356,64.87446356 -67.6663995599999,64.83199956 -67.66197256,64.7953185600001 -67.65612756,64.72724556 -67.6428095599999,64.6989275600001 -67.63473656,64.6650725600001 -67.62806356,64.6122545600001 -67.61917256,64.5914455600001 -67.61611856,64.43948156 -67.59391856,64.3794725600001 -67.5855545599999,63.8844815590001 -67.52251856,63.8608635590001 -67.5211185599999,63.777545559 -67.51639956,63.544763559 -67.51307256,63.503136559 -67.51307256,63.4659095590001 -67.5144545599999,63.3903455590001 -67.5194725599999,63.190636559 -67.53361856,63.1432725590001 -67.53792756,63.1042185590001 -67.54529056,63.0786455590001 -67.55307256,63.052581559 -67.56139956,63.0000905590001 -67.57835456,62.9369725590001 -67.6019635599999,62.9034095590001 -67.61528156,62.828518559 -67.63764556,62.7792275580001 -67.64529056,62.7281185580001 -67.64695456,62.6861905580001 -67.64196356,62.329799558 -67.59306356,62.1581365580001 -67.55681856,62.1300275580001 -67.55169956,62.0705815580001 -67.54335456,62.002536558 -67.53722756,61.980854558 -67.53639056,61.7614365580001 -67.53808156,61.580599557 -67.54057256,61.5114365570001 -67.5499995599999,61.473654557 -67.55169956,61.4522905570001 -67.5499995599999,61.4314275570001 -67.54361856,61.4215815570001 -67.52356356,61.4444905570001 -67.4977905599999,61.4100635570001 -67.47140956,61.259490557 -67.4816725599999,61.1408995570001 -67.4783635599999,61.0461635570001 -67.45057256,60.9714545570001 -67.4444545599999,60.9120185570001 -67.44500956,60.829490557 -67.43502756,60.7531365570001 -67.42280956,60.697290557 -67.41334556,60.659763556 -67.40641856,60.5818455560001 -67.39071856,60.546445556 -67.37612756,60.518545556 -67.36946356,60.3606185560001 -67.3772455599999,60.1997995560001 -67.38750956,59.996736556 -67.3783545599999,59.9072455560001 -67.37194556,59.8230905560001 -67.36917256,59.7639455560001 -67.36917256,59.6939275560001 -67.3749995599999,59.6469995560001 -67.38307256,59.613672556 -67.39307256,59.4864185550001 -67.38390956,59.4433905550001 -67.35891856,59.357263555 -67.3783545599999,59.187836555 -67.41113656,59.1516995550001 -67.41334556,59.110618555 -67.41222756,59.0700365550001 -67.40641856,58.9659095550001 -67.38473656,58.9006095550001 -67.36223656,58.8744725550001 -67.32919056,58.874909555 -67.30771856,58.9145095550001 -67.30278156,58.9580905550001 -67.3072545599999,58.9778095550001 -67.31110956,59.0295095550001 -67.31278156,59.066218555 -67.2990995599999,58.995209555 -67.21418156,58.9609095550001 -67.19557256,58.9239185550001 -67.18139956,58.8522545550001 -67.1675275599999,58.805072555 -67.16474556,58.7242095550001 -67.16139056,58.6828275550001 -67.16113656,58.647854555 -67.16222756,58.6156275550001 -67.1663995599999,58.555881555 -67.17861856,58.5075365540001 -67.18502756,58.4734095540001 -67.1880815599999,58.433681554 -67.1889185599999,58.3717365540001 -67.15779056,58.3493545540001 -67.15112756,58.311736554 -67.14529956,58.2572905540001 -67.13917256,58.2227095540001 -67.12890956,58.2055455540001 -67.1095275599999,58.213599554 -67.072236559,58.165918554 -67.0552995589999,58.131990554 -67.0583365589999,58.067527554 -67.066972559,58.044490554 -67.071972559,58.0235275540001 -67.0826455599999,57.9922725540001 -67.09418156,57.9561365540001 -67.09695456,57.788663554 -67.046418559,57.7469815540001 -67.0258455589999,57.727809554 -67.0152905589999,57.705472554 -67.008899559,57.660309554 -67.000309559,57.6400365540001 -66.9980635589999,57.5956095540001 -66.995009559,57.5025365540001 -66.995281559,57.4347815530001 -67.0011275589999,57.384245553 -67.006954559,57.317009553 -67.018763559,57.285063553 -67.012236559,57.262909553 -66.982309559,57.2251905530001 -66.965427559,57.1947905530001 -66.961963559,57.166436553 -66.962099559,57.1253365530001 -66.966690559,57.0854815530001 -66.972518559,57.0550725530001 -66.9691815589999,56.9233635530001 -66.945572559,56.7339455530001 -66.900909559,56.6822725530001 -66.815918559,56.8592185530001 -66.708354559,56.8775635530001 -66.700009559,56.935081553 -66.694172559,56.967863553 -66.6922275589999,56.9983095530001 -66.695981559,57.0322815530001 -66.708354559,57.0761905530001 -66.7094545589999,57.3325635530001 -66.698281559,57.3072815530001 -66.5566725589999,57.278809553 -66.5362725589999,57.2431365530001 -66.526127559,57.1222815530001 -66.5008365589999,57.050872553 -66.486681559,56.924763553 -66.462509559,56.7878455530001 -66.4225275589999,56.7544815530001 -66.410854559,56.733127553 -66.407499559,56.653109553 -66.3961185589999,56.6031185530001 -66.3925185589999,56.5425725530001 -66.390436559,56.4983815530001 -66.391963559,56.4659095530001 -66.393627559,56.3959095530001 -66.397781559,56.340609552 -66.397781559,56.301418552 -66.395854559,56.2725455520001 -66.386690559,56.2540815520001 -66.376109559,56.2238185520001 -66.349881559,56.199245552 -66.328609559,56.1806365520001 -66.318890559,55.9963095520001 -66.2261365589999,55.843963552 -66.126954559,55.658109552 -66.0205815589999,55.6278365520001 -66.0095905589999,55.2803635510001 -65.920581558,54.9833635510001 -65.892809558,54.9258725510001 -65.888072558,54.8783905510001 -65.886954558,54.8315725510001 -65.892109558,54.774809551 -65.8966635579999,54.7378275510001 -65.8952905579999,54.5950635510001 -65.878909558,54.5361635510001 -65.875581558,54.5008815510001 -65.875581558,54.4667095510001 -65.876681558,54.384245551 -65.8816725579999,54.3381095510001 -65.886136558,54.256436551 -65.8930635579999,54.18673655 -65.893890558,54.1520095500001 -65.8930635579999,54.05478155 -65.887218558,54.01589955 -65.882509558,53.9856275500001 -65.873354558,53.96035455 -65.8641995579999,53.9226995500001 -65.853899558,53.89285455 -65.848636558,53.8158905500001 -65.841399558,53.7789635500001 -65.840027558,53.7278095500001 -65.841399558,53.6775815500001 -65.844999558,53.64699955 -65.8475185579999,53.2628455500001 -65.880845558,53.037809549 -65.911136558,52.9636545490001 -65.9244725579999,52.9197725490001 -65.930554558,52.8853455490001 -65.934190558,52.8381095490001 -65.938918558,52.748136549 -65.944454558,52.694645549 -65.943754558,52.6480995490001 -65.939745558,52.5895095490001 -65.932781558,52.5478185490001 -65.9283635579999,52.5117455490001 -65.928618558,52.417018549 -65.9347365579999,52.3208905490001 -65.942518558,52.035309548 -65.969999558,51.9889185480001 -65.975581558,51.8330995480001 -66.010027559,51.805327548 -66.016399559,51.7528365480001 -66.030836559,51.553254548 -66.1007095589999,51.5083905480001 -66.118054559,51.4711635480001 -66.133909559,51.450045548 -66.1452905589999,51.4203185480001 -66.168354559,51.407563548 -66.1839185589999,51.3804905480001 -66.221690559,51.361999548 -66.2354365589999,51.3396275480001 -66.2456995589999,51.304227548 -66.254199559,51.2389185480001 -66.2605635589999,51.201172548 -66.262936559,51.1528275480001 -66.269463559,51.111727548 -66.2812545589999,51.068118548 -66.305290559,51.0414725480001 -66.320863559,51.0223995480001 -66.3276545589999,50.9776905470001 -66.335163559,50.927427547 -66.337509559,50.885036547 -66.3389095589999,50.8353545470001 -66.341945559,50.7881185470001 -66.346954559,50.7047995470001 -66.3595995589999,50.636745547 -66.3716905589999,50.608981547 -66.377245559,50.5817545470001 -66.384445559,50.5266995470001 -66.3991815589999,50.4381365470001 -66.4322545589999,50.4131185470001 -66.441972559,50.3706365470001 -66.461418559,50.3317545470001 -66.484190559,50.262845547 -66.5336185589999,50.240872547 -66.549727559,50.2239725470001 -66.5658545589999,50.194245547 -66.5986365589999,50.174518547 -66.630018559,50.1683635470001 -66.666118559,50.167972547 -66.728763559,50.227809547 -66.8383455589999,50.2442365470001 -66.853899559,50.2705995470001 -66.863627559,50.3205905470001 -66.870281559,50.4064365470001 -66.8763995589999,50.4434635470001 -66.8935545589999,50.4504725470001 -66.936818559,50.4245275470001 -66.9589095589999,50.4014545470001 -66.9711185589999,50.3921545470001 -66.991881559,50.4378365470001 -67.049472559,50.4585275470001 -67.0638995589999,50.503390547 -67.071945559,50.6523095470001 -67.0927995599999,50.848599547 -67.1351545599999,50.6894815470001 -67.18139956,50.6500815470001 -67.18848156,50.5442185470001 -67.19971856,50.509490547 -67.20141856,50.4914275470001 -67.20141856,50.4528545470001 -67.19919056,50.0705905470001 -67.16528156,50.050081547 -67.1627995599999,50.009490547 -67.1552995599999,49.981327547 -67.13862756,49.963472547 -67.11147256,49.9350905470001 -67.075009559,49.9132365460001 -67.0527275589999,49.8811995460001 -67.0352815589999,49.8388095460001 -67.0237545589999,49.797572546 -67.020290559,49.776699546 -67.020854559,49.6789275460001 -67.030563559,49.645909546 -67.035018559,49.6089815460001 -67.0427995589999,49.5792545460001 -67.048890559,49.4350275460001 -67.072354559,49.4100635460001 -67.07641856,49.3645365460001 -67.08279056,49.315645546 -67.0894455599999,49.2834185460001 -67.0927995599999,49.2417275460001 -67.09446356,49.193390546 -67.0927995599999,49.151699546 -67.08862756,49.1178275460001 -67.07972756,49.085481546 -67.0672275589999,49.0768545460001 -67.048209559,49.1136815460001 -67.030836559,49.1767275460001 -67.0205815589999,49.2342185460001 -67.008363559,49.2675455460001 -66.9980635589999,49.2994995460001 -66.977390559,49.3039545460001 -66.956127559,49.2965275460001 -66.9175095589999,49.2594905460001 -66.8894545589999,49.2128635460001 -66.8694635589999,49.1728545460001 -66.862945559,49.1442275460001 -66.869045559,49.1031185460001 -66.903627559,49.085054546 -66.919463559,49.0547815460001 -66.932790559,49.0158995460001 -66.937809559,48.978427546 -66.939181559,48.928127546 -66.9405635589999,48.8922995460001 -66.9402905589999,48.858672546 -66.9405635589999,48.8053275450001 -66.9422275589999,48.773099545 -66.945863559,48.743381545 -66.951672559,48.703954545 -66.965854559,48.653663545 -66.987227559,48.6056275450001 -67.010845559,48.581454545 -67.020854559,48.539763545 -67.036681559,48.5175455450001 -67.0447365589999,48.4878275450001 -67.0547365589999,48.428136545 -67.068345559,48.3790905450001 -67.0814095599999,48.326454545 -67.0998725599999,48.2783275450001 -67.13037256,48.263281545 -67.1604365599999,48.2708995450001 -67.18696356,48.2958995450001 -67.20002756,48.341318545 -67.21459056,48.4408905450001 -67.24417256,48.460599545 -67.2497275599999,48.4975995450001 -67.25836356,48.561436545 -67.2683455599999,48.6172905450001 -67.27195456,48.6639365450001 -67.3513995599999,48.684636545 -67.36889956,48.732818545 -67.3747275599999,48.789763545 -67.3753095599999,48.829499545 -67.3726545599999,48.8880905460001 -67.36500956,48.919527546 -67.36030956,48.985072546 -67.3533635599999,49.0686995460001 -67.34640956,49.102572546 -67.34418156,49.149354546 -67.34765456,49.1737545460001 -67.36459056,49.1613185460001 -67.3864095599999,48.9664635460001 -67.4558455599999,48.9394815460001 -67.4633455599999,48.8894995460001 -67.4677995599999,48.8370095450001 -67.46999956,48.7167095450001 -67.46946356,48.660618545 -67.4769635599999,48.6347995450001 -67.4855635599999,48.5922545450001 -67.50168156,48.550045545 -67.5273725599999,48.5167635450001 -67.5499995599999,48.480863545 -67.56917256,48.4474185450001 -67.5815455599999,48.208954545 -67.63556356,48.1609275450001 -67.63473656,48.141145545 -67.6313905599999,48.0211455450001 -67.6336185599999,47.982572545 -67.65029956,47.8967095450001 -67.67447256,47.8670455450001 -67.68139956,47.8200365450001 -67.69140956,47.7428365440001 -67.70419056,47.615881544 -67.72222756,47.5814545440001 -67.72640956,47.5393725440001 -67.72999956,47.4939365440001 -67.7319635599999,47.4581095440001 -67.73056356,47.426881544 -67.72751856,47.3862995440001 -67.72029056,47.3503185440001 -67.7072455599999,47.3158905440001 -67.69169956,47.2911725440001 -67.67098156,47.277018544 -67.6480545599999,47.2699905440001 -67.62584556,47.2489365440001 -67.60419056,47.2278095440001 -67.59333656,47.1908905440001 -67.58445456,47.0878635440001 -67.57057256,47.0661905440001 -67.5688905599999,47.016372544 -67.5532185599999,47.0395275440001 -67.53585456,47.075354544 -67.5255545599999,47.133945544 -67.51084556,47.3398185440001 -67.4589095599999,47.425327544 -67.43473656,47.4492185440001 -67.42084556,47.347490544 -67.37070956,47.2958725440001 -67.3550275599999,47.2756095440001 -67.35224556,47.178136544 -67.34362756,47.1056275440001 -67.34446356,47.0755995440001 -67.34695456,47.0372725440001 -67.3480725599999,47.008399544 -67.34488156,46.9804095440001 -67.32174556,46.9855365440001 -67.28154556,46.930881544 -67.26391856,46.8948095440001 -67.26333656,46.6206455430001 -67.2730545599999,46.586463543 -67.27473656,46.551427543 -67.27725456,46.500636543 -67.28390956,46.4239185430001 -67.2980635599999,46.349518543 -67.3124995599999,46.3175365430001 -67.32086356,46.292018543 -67.3303095599999,46.2492365430001 -67.35529056,46.237827543 -67.41654556,46.2689365430001 -67.52161856,46.302036543 -67.54169056,46.333109543 -67.55084556,46.385499543 -67.56836356,46.399236543 -67.58738156,46.347809543 -67.6264185599999,46.323090543 -67.63721856,46.300327543 -67.64308156,46.2408815430001 -67.64836356,46.205045543 -67.64666356,46.162018543 -67.64251856,46.126199543 -67.64085456,46.072299543 -67.64085456,46.039763543 -67.6428095599999,45.987827543 -67.64723656,45.8414725430001 -67.66557256,45.804109543 -67.67447256,45.763672543 -67.69140956,45.749645543 -67.7201455599999,45.7356365430001 -67.74889056,45.7102095430001 -67.76153656,45.680209543 -67.76667256,45.642272543 -67.76751856,45.6054995420001 -67.75932756,45.5767275420001 -67.7393275599999,45.5554815420001 -67.7176455599999,45.520054542 -67.70446356,45.482272542 -67.6961185599999,45.4616995420001 -67.69529956,45.3944995420001 -67.69863656,45.0409275420001 -67.72724556,45.008945542 -67.73250956,44.964818542 -67.7466905599999,44.8020095420001 -67.80029056,44.5833995420001 -67.9044455599999,44.5583905410001 -67.91835456,44.539218541 -67.94169956,44.524509541 -67.96362756,44.5054995410001 -67.97391856,44.465909541 -67.98113656,44.4339275410001 -67.9841905599999,44.249090541 -67.99334556,44.180090541 -67.9861275599999,44.1392545410001 -67.97778156,44.1164275410001 -67.97418156,44.0679995410001 -67.97001856,44.027554541 -67.97389056,43.8692365410001 -68.02835456,43.798381541 -68.05389056,43.7817095410001 -68.05555456,43.747290541 -68.05807256,43.5696455410001 -68.0495995599999,43.4981365410001 -68.0400275599999,43.4197725400001 -68.03224556,43.36563654 -68.03249956,43.33035454 -68.03333656,43.29507254 -68.03445456,43.15537254 -68.0408635599999,43.1197815400001 -68.04391856,42.8453635400001 -68.0883455599999,42.8140905400001 -68.10139056,42.8056365400001 -68.12257256,42.62198154 -68.187227561,42.5253635400001 -68.249172561,42.4781275400001 -68.279445561,42.45364554 -68.2913995609999,42.323709539 -68.3538995609999,42.2906275390001 -68.363909561,42.2603455390001 -68.370281561,42.1609275390001 -68.3872185609999,42.1272905390001 -68.388336561,42.059509539 -68.381809561,42.0130995390001 -68.381672561,41.960918539 -68.3852815609999,41.889499539 -68.4008365609999,41.8514815390001 -68.411972561,41.8205905390001 -68.420009561,41.7725545390001 -68.430027561,41.500636539 -68.4839185609999,41.4011545390001 -68.5016815609999,41.3514815390001 -68.506954561,41.2989185380001 -68.5102815609999,41.2061545380001 -68.5111365609999,41.1556185380001 -68.515027561,41.111881538 -68.522090561,41.0748095380001 -68.533618561,41.0529905380001 -68.551827561,41.046336538 -68.5726455609999,41.002845538 -68.613636561,40.962563538 -68.644472561,40.9313095380001 -68.6612635609999,40.8936545380001 -68.6714185609999,40.8651815380001 -68.674181561,40.8244995380001 -68.6753095609999,40.7675545380001 -68.6755815609999,40.694799538 -68.679736561,40.6434095380001 -68.685563561,40.5805995380001 -68.699463561,40.5570185380001 -68.7072365609999,40.5215815380001 -68.736545561,40.397163538 -68.785981561,40.235327537 -68.809190561,40.1153365370001 -68.824190561,40.063390537 -68.829727561,39.996990537 -68.841690561,39.973245537 -68.848345561,39.936745537 -68.863909561,39.7603545370001 -68.954463561,39.7464635370001 -68.975999561,39.7547995370001 -69.088909561,39.7828725370001 -69.119463561,39.7996635370001 -69.131554561,39.8071365370001 -69.1679275609999,39.774390537 -69.184872561,39.727272537 -69.184445561,39.6897995370001 -69.181399561,39.6632455370001 -69.184036561,39.644781537 -69.196827561,39.634799537 -69.226963562,39.7649275370001 -69.352581562,39.797827537 -69.365863562,39.8181545370001 -69.3680545619999,39.8414725370001 -69.372527562,39.8851995370001 -69.386890562,39.783672537 -69.4436365619999,39.7569995370001 -69.4497365619999,39.7278185370001 -69.4486365619999,39.706463537 -69.444745562,39.685890537 -69.439181562,39.6584275370001 -69.428363562,39.626045537 -69.414599562,39.588809537 -69.4111275619999,39.559518537 -69.422099562,39.543954537 -69.439736562,39.548345537 -69.462445562,39.5805995370001 -69.481136562,39.622599537 -69.493899562,39.667154537 -69.507245562,39.7018815370001 -69.524745562,39.7129905370001 -69.596399562,39.701763537 -69.648636562,39.6790815370001 -69.655581562,39.626745537 -69.651672562,39.5742275370001 -69.642518562,39.468418537 -69.643345562,39.427945537 -69.652199562,39.400090537 -69.677372562,39.1481095360001 -69.722781562,39.0338185360001 -69.736963562,38.992836536 -69.752499562,38.9656185360001 -69.7809905619999,38.7900815360001 -69.840027562,38.7732635360001 -69.8569545619999,38.796727536 -69.875718562,38.826763536 -69.8825095619999,38.8696635360001 -69.8879365619999,38.843272536 -69.909036562,38.7928275360001 -69.933336562,38.762309536 -69.9475275619999,38.7311815360001 -69.960281562,38.699809536 -69.973072562,38.650363536 -69.988636562,38.620490536 -69.9855815619999,38.591472536 -69.970581562,38.5508815360001 -69.900299562,38.541054536 -69.881409562,38.5364725360001 -69.858063562,38.5470365360001 -69.7216905619999,38.5504815360001 -69.700981562,38.5664455360001 -69.6736185619999,38.5909185360001 -69.650845562,38.617290536 -69.6305725619999,38.6394995360001 -69.615863562,38.6924995360001 -69.560090562,38.6703275360001 -69.539745562,38.6464635360001 -69.527527562,38.601172536 -69.511399562,38.5644905360001 -69.500581562,38.5442275360001 -69.498063562,38.5000725360001 -69.502099562,38.473272536 -69.5169635619999,38.433690536 -69.585281562,38.352272536 -69.723072562,38.3386905360001 -69.739872562,38.2975545360001 -69.760990562,38.2617545360001 -69.777527562,38.233599536 -69.8071095619999,38.230199536 -69.850299562,38.241190536 -69.871945562,38.2573635360001 -69.898209562,38.2420095360001 -69.9889095619999,38.2147905360001 -69.985436562,38.1165635350001 -69.913136562,38.132854536 -69.867799562,38.0995275350001 -69.817518562,38.0506365350001 -69.7669635619999,38.0309185350001 -69.7555725619999,38.0097995350001 -69.746672562,37.9617095350001 -69.733609562,37.9192275350001 -69.725845562,37.8370095350001 -69.715027562,37.8006365350001 -69.715290562,37.762309535 -69.7186275619999,37.7289815350001 -69.723890562,37.620218535 -69.691818562,37.6074275350001 -69.676272562,37.573681535 -69.666545562,37.4264275350001 -69.660281562,37.398136535 -69.662245562,37.3740905350001 -69.674999562,37.351018535 -69.689590562,37.3181185350001 -69.6979365619999,37.2706095350001 -69.7022365619999,37.2303275350001 -69.698063562,37.187536535 -69.688627562,37.1624545350001 -69.680163562,37.1464635350001 -69.661681562,37.164372535 -69.647945562,37.2211725350001 -69.630290562,37.247563535 -69.626118562,37.289218535 -69.614199562,37.328409535 -69.5979275619999,37.366463535 -69.575854562,37.389499535 -69.5577815619999,37.430063535 -69.542372562,37.4747725350001 -69.539172562,37.573954535 -69.544172562,37.630899535 -69.548063562,37.726718535 -69.549727562,37.782263535 -69.5475185619999,37.826027535 -69.5408545619999,37.8539815350001 -69.5307185619999,37.9006095350001 -69.438627562,37.9167275350001 -69.397781562,37.9455905350001 -69.296418562,37.9395995350001 -69.271409562,37.9072995350001 -69.248627562,37.869636535 -69.244463562,37.799663535 -69.2519725619999,37.6922995350001 -69.2738995619999,37.6330905350001 -69.289463562,37.5917095350001 -69.3041815619999,37.553963535 -69.3201635619999,37.508127535 -69.3386275619999,37.474372535 -69.345981562,37.410072535 -69.352781562,37.3561815350001 -69.357236562,37.321999535 -69.3603095619999,37.2418635350001 -69.370699562,37.2008995350001 -69.3808455619999,37.136209535 -69.401945562,37.1053275350001 -69.415863562,37.0904275350001 -69.435299562,36.9089455340001 -69.599736562,36.8314635340001 -69.617799562,36.7978275340001 -69.6311365619999,36.7675545340001 -69.658618562,36.7553455340001 -69.682790562,36.7225725340001 -69.728072562,36.6864365340001 -69.704190562,36.6456095340001 -69.686109562,36.594218534 -69.669736562,36.534763534 -69.652790562,36.511754534 -69.648054562,36.4711725340001 -69.642518562,36.4314365340001 -69.6347365619999,36.4018905340001 -69.626254562,36.380899534 -69.611272562,36.378399534 -69.586118562,36.3668635340001 -69.562227562,36.321845534 -69.546263562,36.2886725340001 -69.541945562,36.253399534 -69.543063562,36.189372534 -69.545563562,36.158972534 -69.543063562,36.129772534 -69.529599562,36.161718534 -69.507245562,36.180899534 -69.489936562,36.1710275340001 -69.466818562,36.0995275340001 -69.434736562,36.0770365340001 -69.415999562,36.076954534 -69.389881562,36.118109534 -69.379045562,36.157445534 -69.385845562,36.236427534 -69.418063562,36.3045455340001 -69.447781562,36.3353635340001 -69.458081562,36.356181534 -69.462236562,36.3761995340001 -69.465027562,36.4134275340001 -69.464172562,36.4561815340001 -69.456945562,36.4868815340001 -69.445845562,36.4976905340001 -69.4287725619999,36.4982725340001 -69.4056995619999,36.488381534 -69.382245562,36.473272534 -69.357236562,36.4369905340001 -69.326954562,36.4145275340001 -69.314454562,36.386754534 -69.302781562,36.351718534 -69.291399562,36.311199534 -69.280018562,36.2242545340001 -69.256545562,36.174781534 -69.246127562,36.1330905340001 -69.2397455619999,36.093972534 -69.2353095619999,35.9975995340001 -69.227527562,35.883399533 -69.2125095609999,35.817845533 -69.202236561,35.757299533 -69.190854561,35.7189725330001 -69.183072561,35.6987095330001 -69.1788905609999,35.6575725330001 -69.169172561,35.6194815330001 -69.158081561,35.3853545330001 -69.068072561,35.3450725330001 -69.0503095609999,35.159763533 -68.976136561,34.9875905330001 -68.908618561,34.8800455320001 -68.8755815609999,34.856272532 -68.860363561,34.8323095320001 -68.805554561,34.8359185320001 -68.775981561,34.8311815320001 -68.741127561,34.8228545320001 -68.716127561,34.775609532 -68.646118561,34.751990532 -68.621127561,34.652409532 -68.542099561,34.5920185320001 -68.520972561,34.506445532 -68.506672561,34.375345532 -68.490572561,34.338418532 -68.486972561,34.193945532 -68.4830815609999,34.1403545320001 -68.4827905609999,34.087318532 -68.4850185609999,34.0522815320001 -68.486681561,33.9997905320001 -68.490281561,33.9653725320001 -68.494463561,33.897318532 -68.505290561,33.8464725320001 -68.513918561,33.7453365310001 -68.533909561,33.7120185310001 -68.541945561,33.6875725310001 -68.549599561,33.452554531 -68.6372185609999,33.430490531 -68.647945561,33.322554531 -68.7208365609999,33.3060455310001 -68.7380635609999,33.2988095310001 -68.7676635609999,33.3219995310001 -68.8519635609999,33.368263531 -68.902654561,33.3939635310001 -68.921109561,33.4247815310001 -68.938336561,33.4404095310001 -68.9538365609999,33.362590531 -68.973636561,33.327554531 -68.9788995609999,33.2748185310001 -68.9861275609999,33.220381531 -68.992799561,33.1856545310001 -68.999463561,33.151472531 -69.0072455609999,33.1175905310001 -69.016399561,33.0842095310001 -69.028072561,33.052045531 -69.042527561,33.0267095310001 -69.056399561,33.0092275310001 -69.084945561,33.010081531 -69.132381561,32.984390531 -69.228209562,32.960609531 -69.248609562,32.935099531 -69.2627995619999,32.902318531 -69.276945562,32.8520365310001 -69.295836562,32.6836995300001 -69.356672562,32.63199953 -69.371690562,32.54533653 -69.394181562,32.42338153 -69.4255815619999,32.14700953 -69.496127562,32.0764635300001 -69.5125095619999,32.04092753 -69.520290562,31.84421853 -69.557509562,31.6558995290001 -69.593618562,31.611736529 -69.6058545619999,31.5594905290001 -69.623063562,31.5250635290001 -69.6369635619999,31.4731275290001 -69.656681562,31.438154529 -69.669463562,31.350936529 -69.7005725619999,31.271863529 -69.727390562,31.2098275290001 -69.745836562,31.1468905290001 -69.761263562,31.083418529 -69.7738995619999,31.046736529 -69.780018562,30.981736529 -69.785572562,30.895063529 -69.786972562,30.706772529 -69.791118562,30.4256455280001 -69.805027562,30.313154528 -69.811109562,30.2381455280001 -69.815290562,30.185654528 -69.818890562,30.114245528 -69.821681562,29.9439545280001 -69.8222365619999,29.848981528 -69.819745562,29.811199528 -69.8191725619999,29.660081528 -69.821681562,29.600081528 -69.8252995619999,29.4878365270001 -69.835018562,29.4487095270001 -69.840027562,29.374245527 -69.851672562,28.909527527 -69.938627562,28.853681527 -69.9508365619999,28.7978365270001 -69.963345562,28.7420455270001 -69.976963562,28.620345527 -70.0030725619999,28.554245527 -70.011690562,28.4881365270001 -70.018054562,28.402881526 -70.024736562,28.327009526 -70.031963562,28.1409185260001 -70.0503095619999,28.0669995260001 -70.058072562,28.030072526 -70.064181562,27.809490526 -70.106963562,27.570054526 -70.1536275619999,27.532881526 -70.1597275619999,27.4855185260001 -70.1634905619999,27.4369995260001 -70.161972562,27.3581365250001 -70.1536275619999,27.278672525 -70.1411095619999,27.2392455250001 -70.136690562,27.171190525 -70.132381562,27.084827525 -70.133618562,27.0278815250001 -70.1375095619999,26.933399525 -70.146118562,26.895618525 -70.150845562,26.802045525 -70.164463562,26.7270365250001 -70.1764095619999,26.6706365250001 -70.184190562,26.632854525 -70.188918562,26.5189635250001 -70.198899562,26.4503635250001 -70.204190562,26.2981455240001 -70.2172275619999,26.2417455240001 -70.226136562,26.185654524 -70.2389095619999,26.1306635240001 -70.2580725619999,26.0936725240001 -70.270581562,26.019518524 -70.292527562,25.9625725240001 -70.3014095629999,25.905072524 -70.3047365629999,25.8664365240001 -70.306672563,25.8086995240001 -70.3075095629999,25.750354524 -70.307254563,25.711472524 -70.306399563,25.653118524 -70.3033635629999,25.5756095240001 -70.3044725629999,25.4893635240001 -70.311390563,25.422590524 -70.319454563,25.288990524 -70.339445563,25.2125725230001 -70.3494725629999,25.001445523 -70.373899563,24.2989365230001 -70.4514185629999,24.1826095230001 -70.463909563,24.0078545220001 -70.481963563,23.6181545220001 -70.5186275629999,23.5594995220001 -70.523899563,23.4423095220001 -70.533336563,23.2467545220001 -70.546418563,23.1683815220001 -70.5491815629999,23.109790522 -70.550309563,23.031481521 -70.5516995629999,22.8747995210001 -70.5514095629999,22.7767185210001 -70.544736563,22.679245521 -70.534190563,22.6206545210001 -70.527527563,22.4648275210001 -70.508618563,22.406481521 -70.500581563,22.2106185210001 -70.466399563,22.0953905210001 -70.435854563,22.0471635210001 -70.424327563,21.9797815200001 -70.4116815629999,21.90257252 -70.400554563,21.8484365200001 -70.396409563,21.7417455200001 -70.394745563,21.5281275200001 -70.3930635629999,21.46952752 -70.393890563,21.3917725200001 -70.395581563,21.29399052 -70.400009563,21.23564552 -70.401945563,21.19676352 -70.401409563,21.09978152 -70.399181563,21.02232752 -70.394181563,20.9258905190001 -70.3866905629999,20.887563519 -70.383363563,20.791490519 -70.373063563,20.695599519 -70.362499563,20.414781519 -70.314181563,20.3581455190001 -70.304181563,20.301445519 -70.292799562,20.113699519 -70.2544725619999,19.999999519 -70.2340455619999,19.868154519 -70.2186275619999,19.642018518 -70.188336562,19.508963518 -70.166690562,19.452318518 -70.160281562,19.376754518 -70.1533545619999,19.300345518 -70.149181562,19.1114365180001 -70.131954562,19.0403365180001 -70.122236562,18.9839995180001 -70.115863562,18.908681518 -70.108609562,18.7691545170001 -70.0987815619999,18.7370455170001 -70.103363562,18.679799517 -70.1005815619999,18.5653545170001 -70.088909562,18.528127517 -70.084163562,18.490890517 -70.078081562,18.417281517 -70.064181562,18.343127517 -70.045836562,18.3076095170001 -70.034454562,18.2028725170001 -69.992236562,18.158254517 -69.978627562,18.1215995170001 -69.972236562,18.026909517 -69.969463562,17.968827517 -69.972381562,17.718981517 -70.0133365619999,17.4189905160001 -70.058627562,17.2598185160001 -70.078354562,17.0397815160001 -70.106136562,16.8628455160001 -70.130018562,16.6411635150001 -70.1600185619999,16.357045515 -70.2005725619999,16.254809515 -70.2161275619999,16.1733905150001 -70.227527562,16.1328635150001 -70.232509562,15.869499515 -70.2625095619999,15.786490515 -70.271409562,15.705927515 -70.2786275619999,15.666190515 -70.2808365619999,15.5472905140001 -70.286390562,15.4920545140001 -70.2880815619999,15.137872514 -70.291399562,15.060109514 -70.290572562,14.868709514 -70.2814185619999,14.7756275140001 -70.270581562,14.7119095140001 -70.2597365619999,14.5857815140001 -70.2351545619999,14.5447905140001 -70.226672562,14.473990513 -70.210018562,14.387018513 -70.185854562,14.3156635130001 -70.171690562,14.279227513 -70.165863562,14.241754513 -70.162799562,14.1656455130001 -70.158909562,14.1267635130001 -70.159454562,14.0467455130001 -70.164463562,13.942318513 -70.180299562,13.8781635130001 -70.192790562,13.8342185130001 -70.2036095619999,13.7909455130001 -70.213054562,13.726490513 -70.2255815619999,13.5342365130001 -70.2600275619999,13.470936513 -70.269745562,13.4100905120001 -70.2744635619999,13.3295185120001 -70.2791905619999,13.2013185120001 -70.2805635619999,12.9761905120001 -70.280299562,12.9373095120001 -70.279445562,12.899227512 -70.2772545619999,12.820609512 -70.277790562,12.760609512 -70.2797275619999,12.740345512 -70.2811275619999,12.718681512 -70.2850185619999,12.681445512 -70.296109562,12.6556365120001 -70.3077815629999,12.633718512 -70.319745563,12.4994995120001 -70.398363563,12.4589725120001 -70.422518563,12.4369995120001 -70.441118563,12.358145512 -70.5100275629999,12.2426095110001 -70.5969545629999,12.2089725110001 -70.621418563,12.145381511 -70.6639095629999,12.1264545110001 -70.6761365629999,12.088672511 -70.700299563,12.069663511 -70.709045563,12.0371635110001 -70.7202905629999,12.005363511 -70.726963563,11.963672511 -70.729736563,11.923145511 -70.729736563,11.8845185110001 -70.727527563,11.7487095110001 -70.718918563,11.5942365110001 -70.7074995629999,11.392881511 -70.7077905629999,11.330072511 -70.711681563,11.2706185100001 -70.710281563,11.1736995100001 -70.7038995629999,10.8461815100001 -70.680554563,10.8083995100001 -70.6766995629999,10.7528635100001 -70.668636563,10.6984185100001 -70.656127563,10.6555095100001 -70.644599563,10.5170185100001 -70.594181563,10.4459185100001 -70.564454563,10.4095365100001 -70.543072563,10.37066351 -70.5136275629999,10.3470365100001 -70.485154563,10.3162185100001 -70.453081563,10.28649051 -70.434190563,10.2476095100001 -70.417236563,10.22243651 -70.410027563,10.160945509 -70.3975185629999,10.1064995090001 -70.389454563,10.035636509 -70.376127563,10.011499509 -70.3676455629999,9.95882750900006 -70.3425185629999,9.90563650900003 -70.317790563,9.87480950900004 -70.3047365629999,9.75426350900005 -70.262654562,9.69560950900006 -70.246945562,9.62730950900004 -70.2308545619999,9.54649950900006 -70.2044635619999,9.49870950900004 -70.187499562,9.46728150900003 -70.1755815619999,9.43590950900006 -70.163636562,9.40563650900003 -70.150554562,9.35814550900005 -70.1333635619999,9.31817250900002 -70.120154562,9.23119950900002 -70.0949995619999,9.18035450900004 -70.083081562,9.14592750900005 -70.076127562,9.11034550800002 -70.0705725619999,9.07427250800004 -70.0664095619999,9.01561850800005 -70.065563562,8.68285450800005 -70.0744635619999,8.66149050800004 -70.0766725619999,8.63927250800003 -70.080018562,8.61939050800004 -70.095163562,8.64507250800006 -70.120836562,8.71813650800004 -70.1564185619999,8.76311850800005 -70.1764095619999,8.81120950800005 -70.192227562,8.85814550800006 -70.2097365619999,8.89675450800007 -70.225027562,9.08702750800006 -70.314727563,9.07287250800005 -70.340572563,9.04094550800005 -70.354736563,8.80370950800005 -70.4366725629999,8.75200950800007 -70.4525275629999,8.71258150800003 -70.462799563,8.66533650800005 -70.4725185629999,8.64257250800006 -70.475845563,8.57811850800005 -70.481418563,8.51867250800007 -70.480299563,8.49007250800003 -70.478072563,8.44481850800003 -70.471690563,8.35979950800004 -70.4508365629999,8.32757250800006 -70.440290563,8.26732750800005 -70.413636563,8.22509050800005 -70.389736563,8.19427250800004 -70.3669725629999,8.17760950800005 -70.3522455629999,8.16094550800005 -70.337236563,8.12200950800008 -70.293636562,8.06316350800006 -70.2344545619999,8.03149050700006 -70.208209562,8.00520950700007 -70.193081562,7.96618150700004 -70.1788905619999,7.93199950700006 -70.1719545619999,7.90493650700006 -70.1682185619999,7.79894550700004 -70.164172562,7.75981850700003 -70.163345562,7.71953650700004 -70.163909562,7.61895450700007 -70.165572562,7.55730950700007 -70.1683545619999,7.51232750700007 -70.174999562,7.46987250700005 -70.183227562,7.41049050700008 -70.202790562,7.33422750700004 -70.245836562,7.30119950700004 -70.270018562,7.19951850700005 -70.3686365629999,7.16009050700006 -70.412509563,7.13384550700005 -70.436954563,7.10399950700003 -70.461399563,7.08092750700007 -70.479445563,7.06316350700007 -70.491390563,7.03259050700007 -70.508909563,7.00701850700005 -70.5199995629999,6.97783650600007 -70.530836563,6.94091850600006 -70.5411185629999,6.77092750600002 -70.5738995629999,6.72259050600007 -70.583081563,6.69951850600006 -70.586399563,6.65539050600006 -70.5902905629999,6.61229950600006 -70.593063563,6.52813650600007 -70.5961185629999,6.38201850600007 -70.599727563,6.05175450600007 -70.603363563,5.96978150600006 -70.603363563,5.90979050600004 -70.601672563,5.82561850500002 -70.604190563,5.76257250500004 -70.606136563,5.65368150500007 -70.613081563,5.60925450500002 -70.6169725629999,5.54034550500006 -70.624999563,5.49480950500003 -70.630018563,5.45147250500003 -70.632245563,5.38811850500002 -70.634181563,5.28259050500003 -70.6369635629999,5.11229950500007 -70.642809563,4.85174550500005 -70.656963563,4.54729950400002 -70.672809563,4.42009950400006 -70.6758455629999,4.39788150400005 -70.6775095629999,4.32702750400006 -70.686399563,4.17895450400005 -70.710281563,4.10674550400006 -70.7202905629999,4.03674550400007 -70.727781563,3.94561850400004 -70.735563563,3.84563650400003 -70.752245563,3.75286350300007 -70.769472563,3.66009050300005 -70.7866815629999,3.61339950300004 -70.795290563,3.51287250300004 -70.8116725629999,3.44121850300007 -70.8202995629999,3.35064550300007 -70.826672563,3.28649950300007 -70.827790563,3.24761850300007 -70.824718563,3.19146350300002 -70.818345563,3.15118150300003 -70.816409563,3.06591850300003 -70.817790563,3.02172750300002 -70.819745563,2.87786350300007 -70.836399563,2.80316350300006 -70.8469545629999,2.75231850300003 -70.855027563,2.73089050300007 -70.859454563,2.58562750200002 -70.884181563,2.48760950200005 -70.900299563,2.33453650200005 -70.923890563,2.31036350200003 -70.9264095629999,2.23369950200004 -70.938336563,2.16815450200005 -70.9514185629999,2.05202750200004 -70.982663563,1.97204550200007 -71.004199563,1.81787250200006 -71.0344545629999,1.33038150100003 -71.121418563,1.25231850100005 -71.1327995629999,1.22784550100005 -71.135281563,1.13507250100002 -71.140581563,1.02966350100007 -71.149036563,0.972836501000074 -71.156681563,0.928163501000029 -71.165027563,0.722045501000025 -71.206390563,0.662045501000023 -71.2197455629999,0.508118500000023 -71.256390563,0.451781500000038 -71.2702905629999,0.406490500000075 -71.285572563,0.114809500000035 -71.394672564,0.10034550000006 -71.4193365639999,0.0848095000000626 -71.4452905639999,0.0617635000000405 -71.4600185639999,0.0425995000000512 -71.471690564,5.0000005558104e-07 -71.492018564,-0.142781499999955 -71.560290564,-0.17389049999997 -71.5775185639999,-0.19333649999993 -71.589172564,-0.297499499999958 -71.6588905639999,-0.393609499999968 -71.6463905639999,-0.466663499999925 -71.6338995639999,-0.600554500999976 -71.616390564,-0.640281500999947 -71.612790564,-0.742218500999968 -71.604736564,-0.804163500999948 -71.6008455639999,-0.88666350099993 -71.595563564,-0.918336500999942 -71.583063564,-0.888609500999962 -71.530018564,-0.86528150099997 -71.504181564,-0.843336500999953 -71.485981564,-0.809445500999971 -71.447236564,-0.781109500999946 -71.4020905639999,-0.780690500999924 -71.381672564,-0.80125450099996 -71.361954563,-0.918054500999972 -71.3077815629999,-0.945836500999974 -71.295563563,-1.01444550099995 -71.280563563,-1.05333650099993 -71.276672563,-1.11916350099995 -71.276127563,-1.17083650099994 -71.281681563,-1.22639050099997 -71.2919545629999,-1.31958150099996 -71.3216725629999,-1.34555450099992 -71.335845563,-1.41833650099994 -71.3897275639999,-1.45860950099996 -71.4125095639999,-1.51528150099995 -71.429727564,-1.54805450099997 -71.4358365639999,-1.57194550099996 -71.4366725639999,-1.59221850099993 -71.435290564,-1.61555450199995 -71.427790564,-1.65791850199997 -71.409727564,-1.68666350199993 -71.406399564,-1.70860950199994 -71.406109564,-1.93249950199993 -71.406109564,-1.95944550199994 -71.409454564,-1.99069050199995 -71.415699564,-2.02721850199993 -71.4355635639999,-2.04055450199996 -71.4746545639999,-2.07166350199998 -71.486390564,-2.09389050199997 -71.486118564,-2.12471850199995 -71.474590564,-2.16166350199995 -71.445009564,-2.17860950199997 -71.428345564,-2.19569050199993 -71.3847275639999,-2.22416350199995 -71.358899563,-2.26805450199993 -71.333481563,-2.30930950199996 -71.314318563,-2.33583650199995 -71.282509563,-2.27639050199997 -71.2195905629999,-2.25242750199993 -71.182572563,-2.28528150199998 -71.171672563,-2.32139050199993 -71.177227563,-2.40013650199995 -71.2015365629999,-2.43749950199998 -71.213899563,-2.48944550199997 -71.227236563,-2.53583650199994 -71.234727563,-2.58971850199993 -71.241118563,-2.63666350199998 -71.2427815629999,-2.81139050299993 -71.2400095629999,-2.85999950299993 -71.2427815629999,-2.88694550299994 -71.246127563,-2.92971850299995 -71.254181563,-2.96166350299995 -71.2636275629999,-2.99833650299996 -71.2797275629999,-3.03999950299993 -71.2915455629999,-3.10221850299996 -71.2986185629999,-3.12610950299995 -71.299454563,-3.33333650299994 -71.3027815629999,-3.41083650299993 -71.312790563,-3.51916350299996 -71.325009563,-3.59583650299993 -71.330845563,-3.61944550299995 -71.331681563,-3.68499950299997 -71.3302905629999,-3.73444550299996 -71.3255635629999,-3.77694550399997 -71.316118563,-3.80833650399995 -71.3069455629999,-3.83778150399996 -71.296399563,-3.86333650399996 -71.2911185629999,-3.89278150399997 -71.288072563,-3.91444550399996 -71.287509563,-3.96721850399996 -71.292509563,-4.03778150399995 -71.3030725629999,-4.06569950399995 -71.309590563,-4.15360950399997 -71.328609563,-4.17721850399994 -71.3322275629999,-4.20249950399995 -71.333890563,-4.22471850399995 -71.333345563,-4.37221850399993 -71.3261275629999,-4.41221850399995 -71.322781563,-4.61305450399993 -71.2908455629999,-4.65416350399994 -71.2863905629999,-4.69778150399998 -71.285281563,-4.72110950399997 -71.285845563,-4.77583650399993 -71.291672563,-4.81583650399995 -71.299727563,-4.86889050499997 -71.313336563,-4.90819950499997 -71.325145563,-4.96055450499995 -71.3422275629999,-5.00083650499994 -71.350281563,-5.25694550499998 -71.381954564,-5.33778150499995 -71.389172564,-5.41278150499994 -71.393063564,-5.48805450499998 -71.3966635639999,-5.75083650499994 -71.4194455639999,-5.80610950499994 -71.424999564,-5.85778150499993 -71.4280725639999,-5.92360950599993 -71.425845564,-6.00916350599994 -71.418899564,-6.04139050599997 -71.4105725639999,-6.08416350599992 -71.3944545639999,-6.10180950599994 -71.384036564,-6.12389050599995 -71.362499563,-6.13486350599993 -71.338618563,-6.13083650599998 -71.235836563,-6.12860950599998 -71.206681563,-6.10319050599998 -71.144590563,-6.06639050599995 -71.121399563,-6.04028150599993 -71.1111185629999,-5.97194550599994 -71.085845563,-5.76444550499997 -71.0108365629999,-5.70610950499997 -70.991390563,-5.65694550499995 -70.977509563,-5.62875450499996 -70.971263563,-5.53444550499995 -70.938899563,-5.48721850499993 -70.921809563,-5.45541850499995 -70.905972563,-5.44208150499998 -70.885981563,-5.44986350499994 -70.858199563,-5.48889050499997 -70.814999563,-5.52001850499994 -70.798836563,-5.67499950499996 -70.734727563,-5.71666350499993 -70.718609563,-5.74805450499997 -70.710281563,-5.78139050499993 -70.7030635629999,-5.85833650499995 -70.695845563,-5.92194550599993 -70.693618563,-5.96944550599994 -70.695554563,-6.02110950599996 -70.699718563,-6.15083650599996 -70.713899563,-6.20083650599997 -70.719999563,-6.24389050599996 -70.727236563,-6.28333650599996 -70.734999563,-6.35916350599996 -70.751399563,-6.39194550599996 -70.760281563,-6.45610950599996 -70.785845563,-6.51389050599994 -70.818618563,-6.56139050599995 -70.847499563,-6.59305450599993 -70.863890563,-6.61555450599997 -70.874727563,-6.65444550599995 -70.890290563,-6.68749950599994 -70.899172563,-6.82333650599998 -70.9344455629999,-6.84360950599995 -70.938336563,-6.95971850599994 -70.9694545629999,-6.98944550699997 -70.979172563,-7.02889050699997 -70.9944455629999,-7.07444550699995 -71.0158365629999,-7.13249950699998 -71.050290563,-7.14860950699995 -71.062227563,-7.18055450699995 -71.086399563,-7.23389050699996 -71.129727563,-7.36805450699995 -71.2236185629999,-7.52583650699995 -71.322509563,-7.55055450699996 -71.336672563,-7.57944550699995 -71.350281563,-7.64028150699994 -71.372927564,-7.67055450699996 -71.3861275639999,-7.69055450699994 -71.397509564,-7.71291850699993 -71.4159815639999,-7.72569050699997 -71.443754564,-7.71694550699993 -71.463899564,-7.67749950699994 -71.488345564,-7.58221850699994 -71.527790564,-7.52666350699997 -71.549727564,-7.44278150699995 -71.582499564,-7.40055450699998 -71.598890564,-7.37763650699998 -71.605836564,-7.33597250699995 -71.6258365639999,-7.31221850699995 -71.657299564,-7.33278150699994 -71.689181564,-7.36028150699997 -71.699172564,-7.38999950699997 -71.7052905639999,-7.41471850699998 -71.708345564,-7.54610950699993 -71.715290564,-7.66528150699997 -71.715290564,-7.73389050699996 -71.713627564,-7.80055450699996 -71.710845564,-7.84694550699993 -71.710009564,-7.87110950699997 -71.710009564,-7.89944550699994 -71.712509564,-7.94166350699993 -71.719999564,-7.97694550699993 -71.728899564,-8.19055450799993 -71.7852815639999,-8.22222750799995 -71.7944455639999,-8.27860950799993 -71.814454564,-8.31389050799993 -71.823336564,-8.34249950799995 -71.8255635639999,-8.36694550799996 -71.825836564,-8.38916350799997 -71.824718564,-8.40944550799998 -71.822509564,-8.46360950799993 -71.812790564,-8.51194550799994 -71.8025095639999,-8.53597250799993 -71.7958455639999,-8.57166350799997 -71.782499564,-8.59722750799995 -71.770281564,-8.62249950799998 -71.758054564,-8.64167250799994 -71.742509564,-8.68639050799993 -71.6888995639999,-8.70139050799997 -71.6633455639999,-8.72805450799996 -71.605563564,-8.76249950799996 -71.515836564,-8.77694550799993 -71.467090564,-8.78125450799996 -71.435981564,-8.79263650799993 -71.399736564,-8.81222750799998 -71.358899563,-8.82680950799994 -71.3372275629999,-8.86639050799994 -71.288072563,-8.88278150799994 -71.271390563,-8.90110950799993 -71.255845563,-8.93652750799993 -71.230136563,-8.97583650799993 -71.206681563,-9.03999950799994 -71.1777815629999,-9.11944550799996 -71.144181563,-9.14805450899996 -71.1341725629999,-9.19166350899997 -71.1197365629999,-9.23721850899994 -71.106399563,-9.26972750899995 -71.098345563,-9.30222750899998 -71.0905635629999,-9.33471850899997 -71.082781563,-9.38639050899997 -71.072781563,-9.42278150899995 -71.066954563,-9.51916350899995 -71.0558455629999,-9.54278150899995 -71.0558455629999,-9.56389050899998 -71.054454563,-9.62389050899998 -71.048890563,-9.64875450899996 -71.0433455629999,-9.66986350899998 -71.0238275629999,-9.64444550899998 -71.002227563,-9.60999950899998 -70.993618563,-9.58583650899993 -70.9908455629999,-9.54472750899993 -70.983609563,-9.50999950899995 -70.975281563,-9.48249950899998 -70.9652905629999,-9.44597250899994 -70.938754563,-9.46708150899997 -70.920563563,-9.55110950899996 -70.9091815629999,-9.59166350899994 -70.905836563,-9.73972750899998 -70.897781563,-9.78389050899995 -70.896390563,-9.86935450899995 -70.900209563,-9.91139050899994 -70.904445563,-10.1286095089999 -70.9327815629999,-10.2566725099999 -70.9530635629999,-10.41249951 -70.982790563,-10.43729051 -70.996881563,-10.4244455099999 -71.023345563,-10.3988905099999 -71.0347275629999,-10.31805451 -71.054172563,-10.2797275099999 -71.058899563,-10.2391725099999 -71.062499563,-10.170836509 -71.063899563,-10.0973635089999 -71.068754563,-10.066254509 -71.077227563,-10.0497185089999 -71.0920905629999,-10.051945509 -71.1150095629999,-10.0874995089999 -71.146672563,-10.114172509 -71.1643185629999,-10.1622275089999 -71.189181563,-10.1866725089999 -71.199718563,-10.23666351 -71.220563563,-10.27528151 -71.235836563,-10.31805451 -71.250290563,-10.37139051 -71.270281563,-10.40721851 -71.2861185629999,-10.46110951 -71.313899563,-10.5444455099999 -71.358899563,-10.56278151 -71.370563563,-10.73583651 -71.482227564,-10.80555451 -71.541545564,-10.83444551 -71.570554564,-10.85360951 -71.5861185639999,-10.8836095099999 -71.607227564,-10.91902751 -71.627090564,-10.95778151 -71.642645564,-11.01944551 -71.657227564,-11.06972751 -71.6625095639999,-11.12722751 -71.666399564,-11.15360951 -71.6675095639999,-11.20194551 -71.6669455639999,-11.24805451 -71.6652815639999,-11.2993095109999 -71.660427564,-11.361390511 -71.648345564,-11.411390511 -71.636672564,-11.488890511 -71.614454564,-11.5191635109999 -71.6052815639999,-11.542499511 -71.592518564,-11.5969455109999 -71.558063564,-11.635554511 -71.4611185639999,-11.636109511 -71.437790564,-11.628890511 -71.392509564,-11.608890511 -71.357509563,-11.5847275109999 -71.3313995629999,-11.5525275109999 -71.290472563,-11.5774995109999 -71.275281563,-11.763054511 -71.283063563,-11.9119455109999 -71.2986185629999,-12.126109511 -71.331118563,-12.1781995109999 -71.3397275629999,-12.216663511 -71.3511185629999,-12.243054511 -71.3611185629999,-12.283199511 -71.384036564,-12.2993095109999 -71.408063564,-12.293336511 -71.436954564,-12.2163905109999 -71.569454564,-12.1991635109999 -71.5963905639999,-12.185554511 -71.613618564,-12.161663511 -71.637509564,-12.140836511 -71.651127564,-12.095836511 -71.6652815639999,-12.0441725109999 -71.676118564,-11.9973635109999 -71.683481564,-11.935554511 -71.695554564,-11.8480275109999 -71.7174725639999,-11.793336511 -71.734454564,-11.487499511 -71.839736564,-11.458609511 -71.8511185639999,-11.3990275109999 -71.879590564,-11.343336511 -71.939727564,-11.3213905109999 -71.9736185639999,-11.3122275109999 -72.0220905639999,-11.323054511 -72.089999564,-11.334445511 -72.110981564,-11.369163511 -72.1586185639999,-11.387918511 -72.178199564,-11.450554511 -72.2280545639999,-11.4816725109999 -72.245009564,-11.524999511 -72.2677905639999,-11.5599995109999 -72.2841815639999,-11.583609511 -72.2950095639999,-11.6577815109999 -72.3269545639999,-11.6966635109999 -72.342790564,-11.723890511 -72.3530545639999,-11.769999511 -72.3672365639999,-11.8199995109999 -72.380572564,-11.8544455109999 -72.3894545639999,-11.969163511 -72.4133455639999,-11.9919455109999 -72.416672564,-12.0494455109999 -72.428618564,-12.0805545109999 -72.4380635639999,-12.1044455109999 -72.448899565,-12.1183365109999 -72.465699565,-12.133336511 -72.490281565,-12.1505545109999 -72.5063905649999,-12.216663511 -72.5441725649999,-12.2408365109999 -72.555009565,-12.2877815109999 -72.569172565,-12.6183365119999 -72.645572565,-12.7822185119999 -72.6755635649999,-12.9341635119999 -72.700009565,-13.0038905119999 -72.709454565,-13.1569455119999 -72.737645565,-13.183754512 -72.748481565,-13.302781512 -72.799727565,-13.351390512 -72.813609565,-13.4061095119999 -72.823063565,-13.4330545129999 -72.825563565,-13.4577815129999 -72.826672565,-13.509163513 -72.825836565,-13.532218513 -72.824172565,-13.573609513 -72.818618565,-13.663890513 -72.799999565,-13.684445513 -72.797227565,-13.7488905129999 -72.790281565,-13.7999995129999 -72.7891725649999,-13.8280545129999 -72.7897365649999,-13.8897185129999 -72.792781565,-13.976945513 -72.795290565,-14.079727513 -72.792781565,-14.179445513 -72.7894635649999,-14.253609513 -72.786390565,-14.3280545129999 -72.783336565,-14.353890513 -72.782790565,-14.3819455129999 -72.783336565,-14.432499513 -72.788345565,-14.4527815129999 -72.7922365649999,-14.478890513 -72.806809565,-14.470554513 -72.829599565,-14.439999513 -72.844999565,-14.378609513 -72.864454565,-14.345109513 -72.872236565,-14.291390513 -72.884445565,-14.2347275129999 -72.894999565,-14.175554513 -72.904172565,-14.1394455129999 -72.911663565,-14.1083365129999 -72.9213995649999,-14.064445513 -72.942645565,-14.027363513 -72.975290565,-13.981390513 -72.993054565,-13.944999513 -73.0005635649999,-13.898054513 -73.0038905649999,-13.846390513 -73.0049995649999,-13.786663513 -73.0030635649999,-13.733754513 -73.010981565,-13.7661815129999 -73.059518565,-14.0591635129999 -73.137218565,-14.2669455129999 -73.174181565,-14.369999513 -73.215563565,-14.4036095129999 -73.224454565,-14.441109513 -73.232790565,-14.465281513 -73.2358365649999,-14.5211095139999 -73.240281565,-14.5502815139999 -73.240572565,-14.591945514 -73.234999565,-14.644163514 -73.222499565,-14.669172514 -73.2157095649999,-14.7199995139999 -73.208072565,-14.767227514 -73.204727565,-15.0186095139999 -73.193345565,-15.068336514 -73.190845565,-15.1180545139999 -73.188336565,-15.222781514 -73.1855635649999,-15.2833365139999 -73.186954565,-15.3236095139999 -73.1897275649999,-15.348054514 -73.1924995649999,-15.3755545139999 -73.198899565,-15.4058365139999 -73.2127815649999,-15.4355545139999 -73.2308365649999,-15.4763905139999 -73.2463995649999,-15.562499514 -73.2686185649999,-15.624999515 -73.2794455649999,-15.775281515 -73.304172565,-15.824163515 -73.309718565,-15.856109515 -73.311109565,-15.885281515 -73.311109565,-15.974445515 -73.3147275649999,-16.023609515 -73.320281565,-16.065418515 -73.331672565,-16.2592365149999 -73.414590565,-16.2724995149999 -73.430281565,-16.2608365149999 -73.4558455649999,-16.299163515 -73.562572566,-16.3308365149999 -73.5830725659999,-16.359172515 -73.5933365659999,-16.3947275149999 -73.602236566,-16.433890515 -73.6099995659999,-16.476945515 -73.617236566,-16.5305545149999 -73.630281566,-16.6555545159999 -73.6688995659999,-16.7088905159999 -73.690290566,-16.863054516 -73.7558455659999,-16.893472516 -73.769999566,-16.9063185159999 -73.791318566,-16.874445516 -73.814999566,-16.8206995159999 -73.831254566,-16.787227516 -73.831390566,-16.761672516 -73.828899566,-16.6999995159999 -73.817499566,-16.619027515 -73.789454566,-16.566390515 -73.780290566,-16.5372275149999 -73.778336566,-16.5074995149999 -73.778336566,-16.4533365149999 -73.780018566,-16.4205545149999 -73.778899566,-16.391672515 -73.7769455659999,-16.3661095149999 -73.7741725659999,-16.344445515 -73.7705725659999,-16.254999515 -73.748609566,-16.211672515 -73.741672566,-16.186390515 -73.738890566,-16.1536185149999 -73.7374995659999,-16.123890515 -73.7374995659999,-16.074309515 -73.754245566,-16.1211095149999 -73.785572566,-16.192781515 -73.803345566,-16.3438905149999 -73.844999566,-16.437227515 -73.889172566,-16.6088905149999 -73.947227566,-16.6399995149999 -73.953063566,-16.6694455159999 -73.954727566,-16.699718516 -73.954999566,-16.721109516 -73.951954566,-16.745554516 -73.9500095659999,-16.7730545159999 -73.949172566,-16.802499516 -73.951127566,-16.8463905159999 -73.9580725659999,-16.886672516 -73.965836566,-16.915699516 -73.980145566,-16.891945516 -73.993063566,-16.846672516 -74.0036185659999,-16.7608365159999 -74.015563566,-16.652499516 -74.030563566,-16.4952815149999 -74.049454566,-16.4244455149999 -74.056118566,-16.326118515 -74.063899566,-16.226672515 -74.0666815659999,-16.027781515 -74.0708455659999,-15.966945515 -74.0705545659999,-15.900281515 -74.068072566,-15.8044455149999 -74.063336566,-15.7452815149999 -74.059445566,-15.417218514 -74.0252815659999,-15.329999514 -74.010563566,-15.0958365139999 -73.9683365659999,-15.056109514 -73.9602815659999,-14.8730545139999 -73.9188995659999,-14.8416635139999 -73.909181566,-14.810899514 -73.893054566,-14.7708365139999 -73.8669545659999,-14.7372185139999 -73.848618566,-14.7133365139999 -73.8375095659999,-14.6927815139999 -73.829454566,-14.650554514 -73.817781566,-14.6294455139999 -73.8141815659999,-14.596390514 -73.812499566,-14.566663514 -73.8122275659999,-14.542218514 -73.813899566,-14.520554514 -73.8166815659999,-14.493336513 -73.823063566,-14.4706995129999 -73.836536566,-14.460699513 -73.879936566,-14.435136513 -73.909590566,-14.4086095129999 -73.917236566,-14.386663513 -73.920009566,-14.359445513 -73.9208365659999,-14.3302815129999 -73.9186275659999,-14.305281513 -73.915554566,-14.2836095129999 -73.911663566,-14.237218513 -73.905018566,-14.2083365129999 -73.902790566,-14.116109513 -73.898345566,-14.091663513 -73.9002815659999,-14.050554513 -73.906681566,-14.0122185129999 -73.9141725659999,-13.9711095129999 -73.9208365659999,-13.9272275129999 -73.926118566,-13.902499513 -73.927781566,-13.844445513 -73.928890566,-13.811672513 -73.9272275659999,-13.7513905129999 -73.926390566,-13.726945513 -73.928072566,-13.711463513 -73.9445185659999,-13.747218513 -73.965290566,-13.7824995129999 -73.974454566,-13.8680545129999 -73.9897275659999,-13.9733365129999 -74.017227566,-14.0233365129999 -74.037227566,-14.1113905129999 -74.067781566,-14.1427815129999 -74.077518566,-14.2158365129999 -74.095290566,-14.254163513 -74.103345566,-14.274727513 -74.106945566,-14.316109513 -74.113890566,-14.360836513 -74.119736566,-14.429445513 -74.127227566,-14.5655545139999 -74.135009566,-14.593054514 -74.136399566,-14.6269455139999 -74.136945566,-14.6813905139999 -74.140018566,-14.705281514 -74.141681566,-14.753336514 -74.146663566,-14.774445514 -74.1500095659999,-14.8869455139999 -74.1752905659999,-14.948054514 -74.194736566,-14.994999514 -74.210845566,-15.0241725139999 -74.221390566,-15.0858365139999 -74.2419545659999,-15.114999514 -74.2516815659999,-15.247636514 -74.294036566,-15.376109514 -74.329181566,-15.4483365139999 -74.346390566,-15.490836514 -74.354172566,-15.560836514 -74.3602905659999,-15.616390515 -74.364181566,-15.6713905149999 -74.3723635659999,-15.7081995149999 -74.390427566,-15.7237545149999 -74.405699566,-15.731109515 -74.4295905659999,-15.743336515 -74.453063566,-15.7747275149999 -74.4686095659999,-15.8391635149999 -74.493481566,-15.879999515 -74.5058455659999,-15.998890515 -74.537781566,-16.036109515 -74.5474995659999,-16.0820905149999 -74.557509566,-16.193054515 -74.576954566,-16.218609515 -74.581118566,-16.3086095149999 -74.5930635669999,-16.377227515 -74.601963567,-16.417227515 -74.6077905669999,-16.442499515 -74.6116815669999,-16.501390515 -74.622790567,-16.5388905149999 -74.631118567,-16.5916635149999 -74.644999567,-16.6261095149999 -74.654445567,-16.8519455159999 -74.706954567,-16.986663516 -74.733609567,-17.024172516 -74.742236567,-17.062781516 -74.752499567,-17.0905545159999 -74.7619455669999,-17.1472275159999 -74.7847275669999,-17.182227516 -74.805281567,-17.197781516 -74.820554567,-17.225836516 -74.861672567,-17.2377815159999 -74.897509567,-17.284863516 -75.000154567,-17.302227516 -75.0247365669999,-17.3216635159999 -75.040009567,-17.357227516 -75.059445567,-17.376527516 -75.068890567,-17.438054516 -75.094727567,-17.470836516 -75.106945567,-17.555281516 -75.1358455669999,-17.589445516 -75.1554275669999,-17.6141725159999 -75.1738905669999,-17.6340275159999 -75.192790567,-17.674163516 -75.217790567,-17.700281516 -75.229172567,-17.732781517 -75.2394545669999,-17.769172517 -75.248899567,-17.824999517 -75.261399567,-17.868054517 -75.269454567,-17.937781517 -75.279727567,-17.9605545169999 -75.281954567,-18.006672517 -75.288345567,-18.0469455169999 -75.297499567,-18.080699517 -75.313609567,-18.0830545169999 -75.342372567,-18.0688905169999 -75.3618185669999,-18.0649995169999 -75.388627567,-18.084727517 -75.410281567,-18.109727517 -75.4263905669999,-18.144172517 -75.438609567,-18.173890517 -75.448063567,-18.194445517 -75.453063567,-18.224727517 -75.4641725669999,-18.245281517 -75.478345567,-18.258336517 -75.5004185669999,-18.263609517 -75.5308365669999,-18.2481995169999 -75.560427567,-18.2102815169999 -75.589727567,-18.1461185169999 -75.615281567,-18.1136095169999 -75.626399567,-18.0802815169999 -75.636399567,-18.022499517 -75.650009567,-17.9602815169999 -75.662781567,-17.918054517 -75.669172568,-17.7933365169999 -75.694454568,-17.7730545169999 -75.700563568,-17.755281517 -75.717645568,-17.7786185169999 -75.733899568,-17.843336517 -75.7450095679999,-17.935554517 -75.7597365679999,-17.983054517 -75.7658365679999,-18.010563517 -75.767790568,-18.0716635169999 -75.7699995679999,-18.105554517 -75.770281568,-18.242781517 -75.764727568,-18.276672517 -75.765018568,-18.3074995169999 -75.766954568,-18.3519455169999 -75.773054568,-18.4169455169999 -75.7844545679999,-18.462227517 -75.792509568,-18.503336517 -75.800563568,-18.527227517 -75.8036185679999,-18.609727517 -75.8100095679999,-18.6363905169999 -75.8111095679999,-18.7358365169999 -75.812790568,-18.905554518 -75.811954568,-19.121945518 -75.8055545679999,-19.151390518 -75.803890568,-19.217227518 -75.7991815679999,-19.304445518 -75.791945568,-19.394727518 -75.783618568,-19.481390518 -75.775281568,-19.534999518 -75.769181568,-19.5886095179999 -75.7636275679999,-19.687499518 -75.757781568,-19.724727518 -75.7566725679999,-19.788890518 -75.756390568,-19.823336518 -75.7572365679999,-19.902227519 -75.7638995679999,-20.0027815189999 -75.774445568,-20.118336519 -75.791945568,-20.1780545189999 -75.804172568,-20.2181995189999 -75.818063568,-20.2488905189999 -75.835009568,-20.272990519 -75.8563905679999,-20.304445519 -75.879727568,-20.327499519 -75.890154568,-20.3861095189999 -75.908618568,-20.490281519 -75.9302815679999,-20.575554519 -75.9447365679999,-20.7027815189999 -75.958890568,-20.783054519 -75.964445568,-20.814163519 -75.9652905679999,-20.8483365189999 -75.965009568,-20.9930545199999 -75.962509568,-21.0216635199999 -75.959736568,-21.04999952 -75.955845568,-21.0833365199999 -75.9536095679999,-21.12139052 -75.9530635679999,-21.14889052 -75.9538995679999,-21.17667252 -75.955845568,-21.2302815199999 -75.961118568,-21.2511095199999 -75.964172568,-21.33555452 -75.9694545679999,-21.4041635199999 -75.968609568,-21.4336095199999 -75.966399568,-21.49083652 -75.959736568,-21.5876365199999 -75.940427568,-21.71278152 -75.918336568,-21.7452815199999 -75.915009568,-21.77833652 -75.912781568,-21.8491635199999 -75.909999568,-21.91499952 -75.9111185679999,-22.048336521 -75.920563568,-22.091945521 -75.9280725679999,-22.1299995209999 -75.9386095679999,-22.167499521 -75.9534725679999,-22.252781521 -75.975572568,-22.2994455209999 -75.982227568,-22.324718521 -75.984727568,-22.3530545209999 -75.9863905679999,-22.443054521 -75.988063568,-22.4772185209999 -75.987790568,-22.553054521 -75.985290568,-22.580836521 -75.981399568,-22.614727521 -75.979736568,-22.686390521 -75.977781568,-22.710281521 -75.9786185679999,-22.761945521 -75.985563568,-22.824445521 -75.9969455679999,-22.866390521 -76.006390568,-22.900281521 -76.015018568,-22.944445521 -76.022509568,-22.9958365209999 -76.0286275679999,-23.081109521 -76.033336568,-23.112227522 -76.033618568,-23.1872275219999 -76.0302905679999,-23.224163522 -76.0277905679999,-23.286390522 -76.023054568,-23.3149995219999 -76.019727568,-23.3477815219999 -76.017227568,-23.413890522 -76.016954568,-23.474163522 -76.0199995679999,-23.524172522 -76.024172568,-23.6288905219999 -76.033336568,-23.704999522 -76.040845568,-23.7822185219999 -76.049454568,-23.8511095219999 -76.0575095679999,-23.963609522 -76.066118568,-24.105554522 -76.0722365679999,-24.235281523 -76.0733365679999,-24.323336523 -76.075563568,-24.560836523 -76.083345568,-24.5836185229999 -76.086945568,-24.628472523 -76.100145568,-24.6758365229999 -76.1113905679999,-24.722227523 -76.1194455679999,-24.800281523 -76.127499568,-24.876945523 -76.1338995679999,-24.906390523 -76.1361275679999,-24.930554523 -76.1366725679999,-24.986118523 -76.1413995679999,-25.244999524 -76.165281568,-25.342781524 -76.176954568,-25.3861095239999 -76.1850095679999,-25.5111095239999 -76.212236568,-25.6297185239999 -76.2408455679999,-25.8424995239999 -76.295290568,-25.896118524 -76.309172568,-25.952227524 -76.325009568,-25.996945524 -76.333890568,-26.0438905239999 -76.340836568,-26.071390524 -76.343899568,-26.0966725239999 -76.3452905679999,-26.1319455239999 -76.344181568,-26.153890524 -76.338345568,-26.166390524 -76.322154568,-26.203199524 -76.304309568,-26.240836524 -76.298336568,-26.3119455249999 -76.293336568,-26.378890525 -76.292236568,-26.439254525 -76.294390568,-26.5597185249999 -76.308336568,-26.601109525 -76.3247995679999,-26.558336525 -76.3452905679999,-26.5156995249999 -76.358336568,-26.471736525 -76.3769455679999,-26.485836525 -76.3913995679999,-26.5291635249999 -76.398345568,-26.555836525 -76.400554568,-26.6433365249999 -76.4030635679999,-26.7297275249999 -76.408336568,-26.8094455249999 -76.415009568,-26.859999525 -76.420563568,-26.907781525 -76.427227568,-26.967781525 -76.441681568,-27.039718525 -76.463054568,-27.0736095249999 -76.475281568,-27.1111185249999 -76.487227568,-27.150554525 -76.4972185679999,-27.219718525 -76.508345568,-27.273609525 -76.512790568,-27.338609525 -76.512509568,-27.573890526 -76.507509568,-27.6399995259999 -76.508345568,-27.729163526 -76.5111275679999,-27.785836526 -76.514454568,-27.836109526 -76.518890568,-28.2074995259999 -76.5525095679999,-28.230836526 -76.554736568,-28.3052815259999 -76.565290568,-28.382227526 -76.579872568,-28.454172527 -76.596681568,-28.5574995269999 -76.620563568,-28.597499527 -76.629454568,-28.691390527 -76.645281568,-28.831672527 -76.664736568,-28.886109527 -76.671672568,-28.935554527 -76.6777815679999,-28.974163527 -76.6886095679999,-28.996390527 -76.698345568,-29.024727527 -76.718899568,-29.047227527 -76.7366815679999,-29.100836527 -76.7655635689999,-29.1199995269999 -76.773899569,-29.152227527 -76.7861185689999,-29.173054527 -76.7925095689999,-29.253054527 -76.811954569,-29.2763905269999 -76.816954569,-29.3199995269999 -76.824718569,-29.439090527 -76.843318569,-29.6191635279999 -76.862790569,-29.6669455279999 -76.870009569,-29.690554528 -76.875290569,-29.7730545279999 -76.895572569,-29.8674995279999 -76.924727569,-29.951945528 -76.9552905689999,-29.990554528 -76.968063569,-30.068609528 -76.9905725689999,-30.0886095279999 -76.9958365689999,-30.154727528 -77.009445569,-30.220836528 -77.023054569,-30.315554528 -77.0386185689999,-30.4094455279999 -77.053345569,-30.5394455279999 -77.069172569,-30.593890528 -77.0738995689999,-30.6252815289999 -77.074445569,-30.6574995289999 -77.0761275689999,-30.741945529 -77.0805635689999,-30.803054529 -77.0838905689999,-30.827499529 -77.086118569,-30.902781529 -77.0961185689999,-31.069172529 -77.1208365689999,-31.136672529 -77.136945569,-31.170281529 -77.151127569,-31.2488905289999 -77.1888995689999,-31.286663529 -77.214172569,-31.4263905289999 -77.283336569,-31.459727529 -77.299454569,-31.504999529 -77.320281569,-31.5491635289999 -77.331681569,-31.623609529 -77.3425185689999,-31.6780545299999 -77.3461185689999,-31.74444553 -77.349163569,-31.80417253 -77.350572569,-31.8999995299999 -77.351963569,-31.9647275299999 -77.3508455689999,-32.0988905299999 -77.351390569,-32.19472753 -77.3530545689999,-32.31056353 -77.358609569,-32.3986095299999 -77.363618569,-32.45499953 -77.368054569,-32.5291635299999 -77.377790569,-32.58055453 -77.387509569,-32.7033365299999 -77.428209569,-32.756954531 -77.443072569,-32.7791635309999 -77.4480635689999,-32.8255635309999 -77.4572275689999,-32.8719455309999 -77.463345569,-32.9275095309999 -77.469727569,-33.0402815309999 -77.4802815689999,-33.093054531 -77.484999569,-33.149172531 -77.491390569,-33.172499531 -77.4944455689999,-33.223336531 -77.5030635689999,-33.271390531 -77.519309569,-33.387081531 -77.573345569,-33.4275095309999 -77.5925185689999,-33.451390531 -77.5986185689999,-33.5172275309999 -77.612790569,-33.567499531 -77.620563569,-33.646390531 -77.628890569,-33.737227531 -77.6363995689999,-33.8138995309999 -77.645845569,-33.839172532 -77.649736569,-33.886118532 -77.660572569,-33.9266725319999 -77.673063569,-34.196672532 -77.775845569,-34.390009532 -77.86056357,-34.446672532 -77.89334557,-34.523609532 -77.93444557,-34.542227532 -77.94195457,-34.565281532 -77.94889957,-34.632509532 -77.96694557,-34.6758365319999 -77.9772365699999,-34.723063532 -77.98722757,-34.789454532 -78.00445457,-34.8108365319999 -78.01056357,-35.106390533 -78.09861857,-35.3036095329999 -78.15444557,-35.343336533 -78.1672365699999,-35.423618533 -78.19500957,-35.578609533 -78.2524995699999,-35.707227533 -78.3083365699999,-35.8280545329999 -78.3666725699999,-36.007227534 -78.4569545699999,-36.050836534 -78.48222757,-36.0976365339999 -78.51014557,-36.172781534 -78.57444557,-36.196536534 -78.5994455699999,-36.2191725339999 -78.63334557,-36.2855635339999 -78.7455635699999,-36.2997275339999 -78.77194557,-36.3040275339999 -78.80987257,-36.2924995339999 -78.83722757,-36.266536534 -78.86972757,-36.230281534 -78.904727571,-36.214999534 -78.9188995709999,-36.189999534 -78.9377905709999,-36.1583365339999 -78.956390571,-36.137499534 -78.968063571,-36.106672534 -78.9834725709999,-36.063336534 -78.998063571,-36.008609534 -79.013336571,-35.9849995339999 -79.019181571,-35.904163533 -79.034727571,-35.808890533 -79.0483365709999,-35.476954533 -79.0852815709999,-35.3658365329999 -79.096954571,-35.2844455329999 -79.105009571,-35.017499533 -79.1247275709999,-34.860554532 -79.139454571,-34.784727532 -79.148054571,-34.5763905319999 -79.173618571,-34.487227532 -79.186109571,-34.3355545319999 -79.208890571,-34.2152815319999 -79.234454571,-34.1438905319999 -79.258345571,-34.102227532 -79.278890571,-34.074718532 -79.2936275709999,-34.032227532 -79.311399571,-33.9869455319999 -79.330290571,-33.956672532 -79.341399571,-33.907227532 -79.3583365709999,-33.840563532 -79.374999571,-33.790836531 -79.384445571,-33.704445531 -79.399172571,-33.612227531 -79.411390571,-33.569454531 -79.4163995709999,-33.493336531 -79.423618571,-33.272509531 -79.440563571,-33.1769455309999 -79.4461185709999,-33.0011095309999 -79.453899571,-32.923890531 -79.455290571,-32.849445531 -79.455290571,-32.7716635309999 -79.453609571,-32.6638905299999 -79.450009571,-32.56056353 -79.4461185709999,-32.2888905299999 -79.428618571,-32.1269455299999 -79.415845571,-32.0077815299999 -79.403063571,-31.94139053 -79.3958455709999,-31.8861095299999 -79.388627571,-31.8258365299999 -79.381672571,-31.553336529 -79.353345571,-31.428054529 -79.3419455709999,-30.934999529 -79.2930635709999,-30.871672529 -79.286390571,-30.814163529 -79.280018571,-30.721390529 -79.2683455709999,-30.611945529 -79.2527905709999,-30.412227528 -79.226118571,-30.300554528 -79.211672571,-30.1659725279999 -79.201809571,-30.100563528 -79.199445571,-30.036390528 -79.1944545709999,-29.970554528 -79.188899571,-29.849999528 -79.177509571,-29.796945528 -79.170009571,-29.6516725279999 -79.1525095709999,-29.3947275269999 -79.131672571,-29.196109527 -79.118054571,-28.922499527 -79.104445571,-28.855554527 -79.103345571,-28.713609527 -79.099454571,-28.599727527 -79.094181571,-28.534727527 -79.091127571,-28.206672526 -79.0694545709999,-28.081109526 -79.058899571,-27.936390526 -79.0416725709999,-27.851109526 -79.030836571,-27.703609526 -79.014727571,-27.579445526 -79.0041815709999,-27.480836526 -78.997509571,-27.3794455249999 -78.992236571,-27.307227525 -78.990281571,-27.2674995249999 -78.990281571,-27.2247275249999 -78.991390571,-27.144445525 -78.998336571,-27.0901365249999 -79.017718571,-27.114727525 -79.046109571,-27.183336525 -79.063609571,-27.469999526 -79.111954571,-27.601109526 -79.1336185709999,-27.7955545259999 -79.160845571,-27.877227526 -79.171954571,-27.9983365259999 -79.185563571,-28.054727526 -79.193345571,-28.239999526 -79.222499571,-28.321663526 -79.236390571,-28.3974995259999 -79.2497275709999,-28.449172526 -79.260281571,-28.528336527 -79.285572571,-28.6308365269999 -79.319172571,-28.724727527 -79.3400095709999,-28.7994455269999 -79.355009571,-28.855554527 -79.364454571,-28.899999527 -79.376399571,-29.000145527 -79.403899571,-29.1108365269999 -79.437499571,-29.1538905269999 -79.451399571,-29.265281527 -79.481672571,-29.291118527 -79.4877905709999,-29.338609527 -79.4977905709999,-29.6158365279999 -79.554172571,-29.698063528 -79.5688905709999,-29.757781528 -79.576127571,-29.8441725279999 -79.586672571,-29.905836528 -79.594727571,-29.960836528 -79.6022365709999,-30.071109528 -79.620009571,-30.0977815279999 -79.626109571,-30.136672528 -79.636399571,-30.183336528 -79.651127571,-30.2037545279999 -79.6642365709999,-30.082227528 -79.6911185709999,-30.0230545279999 -79.700290571,-29.8805545279999 -79.723345571,-29.758336528 -79.744318571,-29.654163528 -79.760563571,-29.581672528 -79.7683455709999,-29.378054527 -79.784727571,-29.256945527 -79.7958365709999,-29.153336527 -79.8080635709999,-28.876109527 -79.8394455709999,-28.684718527 -79.857509571,-28.6119455269999 -79.866118571,-28.495281527 -79.884172571,-28.384445526 -79.902790571,-28.3094455259999 -79.916945571,-28.2813905259999 -79.9230635709999,-28.237227526 -79.932781571,-28.194445526 -79.943345571,-28.157781526 -79.954727571,-28.127781526 -79.9666725719999,-28.1038905259999 -79.979172572,-28.083618526 -79.990572572,-28.059863526 -80.008199572,-28.0413905259999 -80.039736572,-28.039027526 -80.069454572,-28.042227526 -80.1061275719999,-28.046672526 -80.129454572,-28.084445526 -80.1705635719999,-28.107499526 -80.191527572,-28.1588905259999 -80.2199995719999,-28.2327815259999 -80.2516815719999,-28.319445526 -80.276945572,-28.373890526 -80.289463572,-28.470836527 -80.310563572,-28.5591725269999 -80.326127572,-28.6455545269999 -80.3372365719999,-28.7180545269999 -80.3433365719999,-28.783890527 -80.348618572,-28.964999527 -80.361681572,-29.070281527 -80.370009572,-29.2072275269999 -80.3833455719999,-29.271945527 -80.3875095719999,-29.456672527 -80.398345572,-29.569999528 -80.4041725719999,-29.753336528 -80.416945572,-29.964727528 -80.431945572,-30.0091635279999 -80.434445572,-30.123336528 -80.439999572,-30.2811095279999 -80.444172572,-30.5194455279999 -80.4391815719999,-30.6011095279999 -80.439727572,-30.6427815289999 -80.440290572,-31.0244455289999 -80.458345572,-31.1051365289999 -80.476954572,-31.0702815289999 -80.510427572,-31.045281529 -80.518618572,-31.0245815289999 -80.5423635719999,-31.0873905289999 -80.567899572,-31.3294455289999 -80.575290572,-31.5580545289999 -80.572236572,-31.642499529 -80.5702815719999,-31.7238905299999 -80.575563572,-31.75389053 -80.5786095719999,-31.81749953 -80.5866725719999,-31.9049995299999 -80.603054572,-32.13778153 -80.640018572,-32.35583653 -80.6719545719999,-32.4566725299999 -80.682781572,-32.53195453 -80.6869545719999,-32.57139953 -80.688609572,-32.65695453 -80.689454572,-32.7461185299999 -80.6891815719999,-32.9769545309999 -80.685290572,-33.1088905309999 -80.685290572,-33.148336531 -80.6869545719999,-33.220836531 -80.692227572,-33.283336531 -80.701127572,-33.3883365309999 -80.725845572,-33.416945531 -80.7330635719999,-33.467781531 -80.744445572,-33.5011095309999 -80.748336572,-33.573890531 -80.7536185719999,-33.6538905309999 -80.756672572,-33.783336531 -80.7575095719999,-33.922499532 -80.754999572,-34.114727532 -80.748899572,-34.346672532 -80.744172572,-34.390009532 -80.744445572,-34.509445532 -80.748609572,-34.613618532 -80.758618572,-34.703899532 -80.775554572,-34.729172532 -80.7808365719999,-34.7830545319999 -80.795009572,-34.827509532 -80.807781572,-34.886945532 -80.821672572,-34.9677815329999 -80.8391725719999,-35.062781533 -80.854736572,-35.122509533 -80.863618572,-35.222227533 -80.875836572,-35.2908365329999 -80.8830545719999,-35.3980545329999 -80.8911095719999,-35.473063533 -80.895845572,-35.558890533 -80.900281572,-35.634999533 -80.903063572,-35.8419455329999 -80.9083365719999,-35.9266725329999 -80.909454572,-36.225009534 -80.913345572,-36.353890534 -80.914463572,-36.482781534 -80.915554572,-36.528890534 -80.916399572,-36.6494455339999 -80.919172572,-36.6822275339999 -80.921672572,-36.714727534 -80.9244545719999,-36.787227534 -80.932509572,-36.889163534 -80.946399572,-36.916118534 -80.951399572,-36.942499534 -80.958618572,-36.9716725339999 -80.964445572,-37.0038905339999 -80.969181572,-37.036945534 -80.971954572,-37.115836535 -80.977509572,-37.154727535 -80.977781572,-37.2313905349999 -80.9822275719999,-37.337781535 -80.992781572,-37.411390535 -81.000563572,-37.4772275349999 -81.0077815719999,-37.583890535 -81.020281572,-37.6877815349999 -81.033890572,-37.814727535 -81.0511185729999,-37.881109535 -81.060290573,-37.944454535 -81.070845573,-38.046672535 -81.085554573,-38.113063535 -81.0947275729999,-38.1852815359999 -81.1036185729999,-38.2469455359999 -81.1111185729999,-38.389454536 -81.128063573,-38.597781536 -81.1511275729999,-38.749454536 -81.164172573,-38.820281536 -81.170009573,-38.938899536 -81.1786185729999,-39.0947275359999 -81.188336573,-39.174172536 -81.192499573,-39.2483365369999 -81.1969455729999,-39.446945537 -81.209454573,-39.524172537 -81.214736573,-39.6383365369999 -81.223618573,-39.936181537 -81.250363573,-40.1924995369999 -81.2738995729999,-40.340836538 -81.287781573,-40.527499538 -81.307236573,-40.603618538 -81.313609573,-40.7933365379999 -81.327518573,-41.033336538 -81.3452905729999,-41.331945538 -81.3700095729999,-41.488890539 -81.383345573,-41.6361185389999 -81.399172573,-41.875836539 -81.436672573,-41.912781539 -81.4430725729999,-41.9444545389999 -81.449718573,-42.0530635389999 -81.479445573,-42.116390539 -81.502227573,-42.1861185389999 -81.5416815729999,-42.214863539 -81.566399573,-42.2497275389999 -81.607509573,-42.2499995389999 -81.628345573,-42.258899539 -81.655145573,-42.319581539 -81.700981573,-42.3599995389999 -81.719181573,-42.404163539 -81.734172573,-42.47889054 -81.7575095729999,-42.50972754 -81.765290573,-42.60195454 -81.7869545729999,-42.6352815399999 -81.793899573,-42.78278154 -81.816390573,-42.92667254 -81.836118573,-43.0044455399999 -81.844454573,-43.0844455399999 -81.8513905729999,-43.2575095399999 -81.8613905729999,-43.38583654 -81.8658455729999,-43.4758365399999 -81.8677815729999,-43.701954541 -81.8722185729999,-43.8833365409999 -81.878345573,-43.971118541 -81.8816725729999,-44.013063541 -81.8844455729999,-44.0480545409999 -81.8858365729999,-44.1441725409999 -81.887218573,-44.336945541 -81.8869455729999,-44.424999541 -81.8847365729999,-44.582781542 -81.877790573,-44.999999542 -81.8514815729999,-45.3094455419999 -81.833890573,-45.452509542 -81.8286095729999,-45.700281543 -81.8216725729999,-46.032227543 -81.813063573,-46.2161185429999 -81.813609573,-46.499172543 -81.812499573,-46.876109544 -81.806945573,-46.9677815439999 -81.806945573,-47.059445544 -81.806945573,-47.240009544 -81.8094455729999,-47.324718544 -81.811399573,-47.5952815439999 -81.818345573,-47.954999545 -81.827518573,-48.129172545 -81.831390573,-48.5705545449999 -81.8452905729999,-48.878063546 -81.856945573,-49.1019545459999 -81.865572573,-49.189999546 -81.869172573,-49.534445546 -81.885563573,-49.619999546 -81.8913995729999,-49.710554546 -81.896663573,-49.8811095459999 -81.905018573,-50.192218547 -81.920009573,-50.281109547 -81.923336573,-50.326118547 -81.9241815729999,-50.5041725469999 -81.9350095729999,-50.6336095469999 -81.9441725729999,-50.806118547 -81.956681573,-50.891945547 -81.963345573,-50.968609547 -81.9699995729999,-51.1905635479999 -81.989727573,-51.401945548 -82.0072365729999,-51.5755635479999 -82.020845573,-51.793336548 -82.037509573,-51.9227815479999 -82.044172573,-52.021945548 -82.048336573,-52.062781548 -82.049727573,-52.149727549 -82.0516815729999,-52.2061185489999 -82.0513905729999,-52.293890549 -82.051954573,-52.344172549 -82.0536185729999,-52.477227549 -82.061954573,-52.600563549 -82.0716725729999,-52.783618549 -82.082781573,-52.878336549 -82.087236573,-52.9680545489999 -82.092518573,-53.45806355 -82.128890574,-53.5877815499999 -82.1388995739999,-53.7258365499999 -82.150281574,-53.81417255 -82.1591815739999,-53.94667255 -82.173618574,-54.03028155 -82.182781574,-54.16194555 -82.199718574,-54.2488905509999 -82.212236574,-54.3669545509999 -82.229736574,-54.5472275509999 -82.255281574,-54.591663551 -82.2611275739999,-54.6763905509999 -82.271390574,-54.771118551 -82.2819545739999,-54.861945551 -82.2905545739999,-55.1788905509999 -82.326954574,-55.393890552 -82.360836574,-55.474445552 -82.374454574,-55.545563552 -82.387790574,-55.650281552 -82.414172574,-55.719172552 -82.433899574,-55.740563552 -82.441118574,-55.904445552 -82.4925095739999,-56.072227552 -82.539736574,-56.230563552 -82.578609574,-56.2849995519999 -82.591672574,-56.477499553 -82.637509574,-56.5886185529999 -82.6638905739999,-56.761390553 -82.703609574,-56.8233365529999 -82.716127574,-56.8616725529999 -82.722781574,-56.923336553 -82.736390574,-56.9752815529999 -82.748899574,-57.1930635529999 -82.8072365739999,-57.506390554 -82.8922275739999,-57.692218554 -82.943890574,-57.711945554 -82.950290574,-57.815281554 -82.981945574,-57.839999554 -82.988890574,-57.911118554 -83.001954574,-57.9519545539999 -83.008345574,-58.003336554 -83.015018574,-58.101954554 -83.024736574,-58.210836554 -83.033336574,-58.368054554 -83.040009574,-58.420563554 -83.0411185739999,-58.525836555 -83.040009574,-58.6475095549999 -83.035845574,-58.747781555 -83.028899574,-58.8005635549999 -83.022509574,-58.899799555 -83.008972574,-58.937781555 -83.003345574,-59.027227555 -82.984999574,-59.0875095549999 -82.9623635739999,-59.126399555 -82.939727574,-59.142227555 -82.9200095739999,-59.147227555 -82.8949995739999,-59.139727555 -82.876118574,-59.0958365549999 -82.850281574,-59.034999555 -82.818345574,-58.989172555 -82.8050095739999,-58.863890555 -82.748063574,-58.824172555 -82.728899574,-58.797509555 -82.7100185739999,-58.773472555 -82.683963574,-58.7776455549999 -82.651399574,-58.8263905549999 -82.622927574,-58.891809555 -82.597499574,-58.939445555 -82.581954574,-58.984454555 -82.568345574,-59.0936095549999 -82.5363905739999,-59.181945555 -82.5172275739999,-59.304172555 -82.4922365739999,-59.4016725549999 -82.473072574,-59.556672555 -82.447509574,-59.648054556 -82.433899574,-59.7349995559999 -82.422227574,-59.883899556 -82.4047275739999,-60.056399556 -82.389172574,-60.342509556 -82.364181574,-60.674445557 -82.335009574,-60.820281557 -82.320845574,-61.373609557 -82.2588995739999,-61.557499557 -82.237499574,-61.6891725569999 -82.218063574,-61.871118558 -82.195281574,-62.006954558 -82.178890574,-62.181118558 -82.1527905739999,-62.265554558 -82.140018574,-62.309718558 -82.133345574,-62.483609558 -82.110836574,-62.7491725579999 -82.0766725729999,-62.886118559 -82.0594455729999,-62.9750095589999 -82.0508455729999,-63.063609559 -82.0411185729999,-63.194454559 -82.024445573,-63.353336559 -81.999172573,-63.5580635589999 -81.967518573,-63.7341725589999 -81.944454573,-63.94278156 -81.915845573,-64.11195456 -81.891954573,-64.24195456 -81.873063573,-64.28333656 -81.8661185729999,-64.49305456 -81.837781573,-64.7480635599999 -81.811399573,-64.91528156 -81.7911185729999,-65.202790561 -81.750836573,-65.325563561 -81.733609573,-65.366118561 -81.727781573,-65.4813995609999 -81.707227573,-65.5958365609999 -81.686672573,-65.7100095609999 -81.6661185729999,-65.9461185609999 -81.631954573,-66.1925095619999 -81.6013905729999,-66.397509562 -81.5763995729999,-66.517227562 -81.561399573,-66.700563562 -81.528336573,-66.813609562 -81.5066725729999,-66.964736562 -81.483609573,-67.318890563 -81.4311185729999,-67.4302815629999 -81.415281573,-67.660572563 -81.383054573,-67.8094455629999 -81.362499573,-67.848072563 -81.357790573,-68.1661185629999 -81.325290573,-68.205563564 -81.3216725729999,-68.324172564 -81.311109573,-68.5211185639999 -81.293627573,-68.712236564 -81.270572573,-68.786390564 -81.2597365729999,-68.974454564 -81.235563573,-69.2030635639999 -81.210009573,-69.356127565 -81.194454573,-69.432236565 -81.185836573,-69.579999565 -81.1661185729999,-69.655290565 -81.1574995729999,-69.8352815649999 -81.1369455729999,-70.113890565 -81.121399573,-70.2761185649999 -81.1152815729999,-70.397227566 -81.110563573,-71.037509566 -81.080845573,-71.390018566 -81.059172573,-71.4288905669999 -81.056399573,-71.543899567 -81.047499573,-71.585845567 -81.044172573,-71.693618567 -81.0333365719999,-71.840009567 -81.019999572,-71.995563567 -81.0075095719999,-72.267790567 -80.988345572,-72.529172568 -80.967790572,-72.6741815679999 -80.951954572,-72.747790568 -80.942227572,-73.1988995679999 -80.8791815719999,-73.266681568 -80.8686185719999,-73.295290568 -80.8627905719999,-73.362790568 -80.852236572,-73.4972185679999 -80.831390572,-73.638899569 -80.814999572,-73.7761185689999 -80.796399572,-73.8444545689999 -80.786954572,-73.944172569 -80.771118572,-73.9761185689999 -80.7625095719999,-74.0738995689999 -80.748609572,-74.141954569 -80.739181572,-74.286954569 -80.726390572,-74.362499569 -80.721954572,-74.553618569 -80.712509572,-74.593336569 -80.708890572,-74.65945457 -80.701399572,-74.69389057 -80.697236572,-74.79306357 -80.682509572,-74.85556357 -80.6702905719999,-74.91389057 -80.6558365719999,-74.95056357 -80.6444455719999,-74.99500957 -80.625563572,-75.03508157 -80.599109572,-75.08973657 -80.5544545719999,-75.1394545699999 -80.525554572,-75.33723657 -80.442227572,-75.37610957 -80.4272275719999,-75.43667257 -80.4055635719999,-75.53195457 -80.373609572,-75.5608365699999 -80.3669545719999,-75.6233365699999 -80.344454572,-75.66446357 -80.3286095719999,-75.7355635709999 -80.2997275719999,-75.764172571 -80.283618572,-75.803345571 -80.2622185719999,-75.884172571 -80.2394545719999,-75.940563571 -80.226118572,-76.0266725709999 -80.209163572,-76.0894455709999 -80.197236572,-76.3211185709999 -80.168899572,-76.384445571 -80.1622275719999,-76.448063571 -80.1558365719999,-76.516109571 -80.1497365719999,-76.624999571 -80.141954572,-76.701954571 -80.138627572,-76.854172572 -80.140290572,-77.106672572 -80.144727572,-77.509172572 -80.152790572,-77.7188995719999 -80.159181572,-77.922227573 -80.159454572,-78.079727573 -80.158890572,-78.1180545729999 -80.1580635719999,-78.268890573 -80.1538995719999,-78.337781573 -80.150554572,-78.4097275729999 -80.144454572,-78.6786185729999 -80.119445572,-78.806945573 -80.103899572,-78.8988995729999 -80.090290572,-78.9908455739999 -80.076672572,-79.481672574 -80.0061185719999,-79.604736574 -79.9888905719999,-79.669727574 -79.980009572,-79.789463574 -79.9638995719999,-79.8494545739999 -79.954454571,-79.901945574 -79.9436185709999,-79.956318574 -79.922918571,-79.9388995739999 -79.908336571,-79.891954574 -79.9044455709999,-79.775281574 -79.905018571,-79.745281574 -79.907499571,-79.646118574 -79.9186275709999,-79.621127574 -79.923618571,-79.464172574 -79.942781571,-79.3341635739999 -79.9583455709999,-79.1408365739999 -79.977509572,-79.012509574 -79.990009572,-78.876399573 -80.002790572,-78.704999573 -80.015563572,-78.5991635729999 -80.021954572,-78.4883455729999 -80.027509572,-78.419727573 -80.0308365719999,-78.1527905729999 -80.0372275719999,-78.0725095729999 -80.038345572,-77.914463573 -80.037781572,-77.8363995719999 -80.036118572,-77.753890572 -80.033890572,-77.455563572 -80.020281572,-77.410845572 -80.017499572,-77.3219455719999 -80.011399572,-77.1869545719999 -79.999172572,-77.075836572 -79.9847275719999,-76.979172572 -79.969727572,-76.894727572 -79.954454571,-76.790554572 -79.932236571,-76.745281571 -79.921954571,-76.6311185709999 -79.8936185709999,-76.611118571 -79.888627571,-76.5291725709999 -79.865281571,-76.474454571 -79.848345571,-76.3912545709999 -79.821809571,-76.320281571 -79.795290571,-76.265290571 -79.771118571,-76.1902905709999 -79.734454571,-76.165281571 -79.721681571,-76.131672571 -79.697645571,-76.083690571 -79.651118571,-76.100427571 -79.6108365709999,-76.121399571 -79.586954571,-76.132781571 -79.555554571,-76.1386185709999 -79.528063571,-76.207927571 -79.4604185709999,-76.249999571 -79.434718571,-76.3186185709999 -79.4041725709999,-76.370009571 -79.390563571,-76.421672571 -79.3769545709999,-76.474727571 -79.3647275709999,-76.530290571 -79.353618571,-76.724163571 -79.317781571,-76.785281572 -79.308336571,-76.9063995719999 -79.2933365709999,-77.029445572 -79.2794455709999,-77.1541725719999 -79.268890571,-77.253890572 -79.261127571,-77.326672572 -79.258899571,-77.428072572 -79.2563905709999,-77.538072572 -79.254727571,-77.685290572 -79.255572571,-77.799181572 -79.260281571,-77.917509573 -79.265563571,-78.152509573 -79.2744455709999,-78.266954573 -79.2769455709999,-78.4538995729999 -79.2791725709999,-78.561672573 -79.280018571,-78.748899573 -79.279727571,-79.001954574 -79.2775095709999,-79.1008455739999 -79.2752815709999,-79.1822365739999 -79.2733455709999,-79.3883365739999 -79.267499571,-79.5966815739999 -79.260836571,-79.8302905739999 -79.248063571,-79.895845574 -79.243618571,-79.958618574 -79.2377905709999,-80.0216635749999 -79.234454571,-80.0586275749999 -79.232509571,-80.2027905749999 -79.2288995709999,-80.240281575 -79.2291725709999,-80.3152905749999 -79.231672571,-80.357227575 -79.234172571,-80.401945575 -79.2380635709999,-80.464736575 -79.247509571,-80.495990575 -79.255836571,-80.551390575 -79.276127571,-80.563818575 -79.301254571,-80.5444455749999 -79.328336571,-80.518063575 -79.346681571,-80.4947365749999 -79.375836571,-80.478899575 -79.3977815709999,-80.442509575 -79.4561185709999,-80.397927575 -79.547090571,-80.405972575 -79.593063571,-80.4338995749999 -79.6083365709999,-80.459727575 -79.613618571,-80.496945575 -79.618618571,-80.536390575 -79.623063571,-80.579999575 -79.625563571,-80.6355635749999 -79.619172571,-80.670981575 -79.6083365709999,-80.6913995749999 -79.581536571,-80.693345575 -79.551945571,-80.726390575 -79.531954571,-80.805554575 -79.5002905709999,-80.828609575 -79.493345571,-80.9566815749999 -79.463627571,-81.0030635749999 -79.451399571,-81.033336575 -79.445845571,-81.1452815759999 -79.410845571,-81.201945576 -79.387509571,-81.242236576 -79.370836571,-81.273899576 -79.355281571,-81.299181576 -79.340563571,-81.3169545759999 -79.323899571,-81.3491725759999 -79.288754571,-81.364581576 -79.265290571,-81.406681576 -79.220290571,-81.4330635759999 -79.204454571,-81.470563576 -79.188336571,-81.517227576 -79.1752905709999,-81.591672576 -79.159454571,-81.618345576 -79.154727571,-81.678890576 -79.144454571,-81.733063576 -79.136945571,-81.821945576 -79.128345571,-81.888336576 -79.1247275709999,-81.9644455759999 -79.123899571,-82.0038905759999 -79.124999571,-82.0458365759999 -79.127499571,-82.090563576 -79.1311185709999,-82.154445577 -79.140290571,-82.224727577 -79.148899571,-82.301681577 -79.156954571,-82.3416725769999 -79.158063571,-82.3786185769999 -79.158063571,-82.4061095769999 -79.155290571,-82.495563577 -79.1436185709999,-82.5413995769999 -79.132236571,-82.564727577 -79.124172571,-82.589727577 -79.111681571,-82.662227577 -79.075290571,-82.683063577 -79.068072571,-82.7533455769999 -79.047790571,-82.8436095769999 -79.023054571,-82.8852815769999 -79.0086185709999,-82.988618577 -78.969999571,-83.0394635769999 -78.946399571,-83.156954577 -78.888336571,-83.196672577 -78.86472757,-83.221390578 -78.8477815699999,-83.248336578 -78.8252905699999,-83.300845578 -78.77779057,-83.4063995779999 -78.6922275699999,-83.485836578 -78.62834557,-83.573627578 -78.5652905699999,-83.631390578 -78.53139957,-83.748609578 -78.48722757,-83.9433455779999 -78.43055457,-84.029172578 -78.40695457,-84.052227578 -78.39973657,-84.079727578 -78.38819957,-84.101881578 -78.36014557,-84.0719455779999 -78.33639957,-84.040281578 -78.32500957,-83.9927815779999 -78.31445457,-83.9433455779999 -78.30445457,-83.870836578 -78.29695457,-83.790845578 -78.29055457,-83.668336578 -78.28361857,-83.4827905779999 -78.27639957,-83.408890578 -78.27444557,-83.273054578 -78.27417257,-83.2327905779999 -78.27473657,-83.171399577 -78.27862757,-83.1124995769999 -78.28389057,-83.0619545769999 -78.28946357,-83.0291725769999 -78.29362757,-82.981672577 -78.30278157,-82.935836577 -78.31584557,-82.8894455769999 -78.3337545699999,-82.848618577 -78.36111857,-82.761672577 -78.40333657,-82.722499577 -78.4200095699999,-82.684445577 -78.4338995699999,-82.644181577 -78.44833657,-82.623899577 -78.45556357,-82.581390577 -78.46889957,-82.540281577 -78.48139957,-82.4913905769999 -78.49528157,-82.4022365769999 -78.5186185699999,-82.057781576 -78.6022365699999,-81.9627815759999 -78.6249995699999,-81.909454576 -78.63556357,-81.732227576 -78.66555457,-81.329454576 -78.73611857,-81.090836576 -78.77750957,-80.9755725749999 -78.7916725699999,-80.9133455749999 -78.7961095699999,-80.8149995749999 -78.80056357,-80.743618575 -78.80250957,-80.6669455749999 -78.79972757,-80.5655635749999 -78.79889057,-80.398345575 -78.80564557,-80.168899575 -78.81668157,-80.105836575 -78.81917257,-79.899736574 -78.82667257,-79.6986275739999 -78.82972757,-79.588899574 -78.82972757,-79.516954574 -78.8291815699999,-79.444736574 -78.82860957,-79.336672574 -78.8275185699999,-79.111954574 -78.82084557,-78.957509574 -78.81333657,-78.756390573 -78.79918157,-78.429454573 -78.76639957,-78.154445573 -78.73639057,-78.118899573 -78.7319455699999,-77.945845573 -78.7094545699999,-77.819172572 -78.68945457,-77.790009572 -78.68444557,-77.6869545719999 -78.66389057,-77.639727572 -78.65389957,-77.619445572 -78.64750957,-77.571118572 -78.62417257,-77.5472275719999 -78.61139057,-77.513899572 -78.5861185699999,-77.488763572 -78.55000957,-77.4888905719999 -78.52319957,-77.512927572 -78.48111857,-77.553345572 -78.44750957,-77.593345572 -78.4213995699999,-77.663890572 -78.39306357,-77.775845572 -78.3591725699999,-77.823336572 -78.34668157,-77.895281573 -78.32833657,-77.920009573 -78.32250957,-78.1013905729999 -78.28889057,-78.1300095729999 -78.28361857,-78.214736573 -78.27166357,-78.4047275729999 -78.2458365699999,-78.489454573 -78.23611857,-78.543899573 -78.23028157,-78.7786275729999 -78.20807257,-78.832781573 -78.2041815699999,-78.928890574 -78.19750957,-78.986954574 -78.19417257,-79.047227574 -78.1899995699999,-79.106945574 -78.1855635699999,-79.162781574 -78.18111857,-79.2802905739999 -78.1691725699999,-79.483063574 -78.1505545699999,-79.544727574 -78.14528157,-79.606399574 -78.14222757,-79.6658455739999 -78.13806357,-79.776672574 -78.12861857,-80.007509575 -78.10722757,-80.2650185749999 -78.08029057,-80.376109575 -78.06778157,-80.428890575 -78.06167257,-80.566954575 -78.04333657,-80.8336185749999 -78.00584557,-80.862227575 -78.00168157,-81.0980725759999 -77.96612757,-81.174181576 -77.95306357,-81.469999576 -77.89723657,-81.509736576 -77.88278157,-81.4811275759999 -77.8780635699999,-81.449718576 -77.8772275699999,-81.346118576 -77.87861857,-81.283890576 -77.88111857,-80.983899575 -77.8980545699999,-80.8344545749999 -77.90722757,-80.7761185749999 -77.90972757,-80.707509575 -77.9102815699999,-80.676118575 -77.90945457,-80.636127575 -77.90556357,-80.611881575 -77.89014557,-80.6422275749999 -77.8738995699999,-80.740845575 -77.8569455699999,-80.8230635749999 -77.84583657,-80.868345575 -77.8380545699999,-80.8986185749999 -77.83278157,-81.043336575 -77.805281569,-81.236954576 -77.7650185689999,-81.284999576 -77.753618569,-81.347227576 -77.737227569,-81.390290576 -77.7233455689999,-81.453063576 -77.701954569,-81.484454576 -77.686954569,-81.4973635759999 -77.668063569,-81.4888995759999 -77.6485545689999,-81.451127576 -77.627499569,-81.408336576 -77.616390569,-81.346954576 -77.6075095689999,-81.309718576 -77.6052815689999,-81.177227576 -77.6036185689999,-81.047499575 -77.6052815689999,-80.986390575 -77.6075095689999,-80.840009575 -77.614454569,-80.663618575 -77.624454569,-80.6050095749999 -77.6299995689999,-80.528063575 -77.641681569,-80.4797365749999 -77.651127569,-80.435290575 -77.6627815689999,-80.3890275749999 -77.680981569,-80.3466815749999 -77.701672569,-80.326672575 -77.7088905689999,-80.281954575 -77.720563569,-80.2105545749999 -77.735836569,-80.187790575 -77.739727569,-80.079181575 -77.752227569,-79.996945575 -77.7613995689999,-79.741390574 -77.785572569,-79.683627574 -77.7900095689999,-79.567509574 -77.798618569,-79.298618574 -77.813063569,-79.1219455739999 -77.82471857,-78.698063573 -77.86472757,-78.5280635729999 -77.88084557,-78.475281573 -77.88667257,-78.443890573 -77.8916815699999,-78.310563573 -77.90417257,-78.2241635729999 -77.91166357,-78.098345573 -77.9208365699999,-77.923336573 -77.93223657,-77.8641815729999 -77.93417257,-77.7994545719999 -77.93444557,-77.624999572 -77.92695457,-77.515290572 -77.9211095699999,-77.448627572 -77.9200095699999,-77.348890572 -77.91862757,-77.281954572 -77.9194455699999,-77.0119455719999 -77.92807257,-76.8577905719999 -77.9358365699999,-76.410281571 -77.96806357,-76.3580635709999 -77.97249957,-76.240009571 -77.98306357,-76.047790571 -78.00611857,-76.017499571 -78.01000957,-75.9644455709999 -78.0186185699999,-75.8580635709999 -78.03389057,-75.61056357 -78.0672275699999,-75.55528157 -78.07444557,-75.47111857 -78.08473657,-75.24305457 -78.11195457,-75.1297275699999 -78.1249995699999,-75.01306357 -78.13556357,-74.9152815699999 -78.14110957,-74.85334557 -78.14110957,-74.71444557 -78.13721857,-74.608063569 -78.13084557,-74.504454569 -78.12360957,-74.393890569 -78.11361857,-74.280290569 -78.10084557,-74.183627569 -78.0858455699999,-74.151672569 -78.08084557,-74.0636095689999 -78.0647275699999,-74.009445569 -78.05473657,-73.8700095689999 -78.02806357,-73.7450095689999 -78.00168157,-73.674181569 -77.98529057,-73.4744545679999 -77.93529057,-73.371672568 -77.90695457,-73.341399568 -77.8944545699999,-73.193618568 -77.8291815699999,-72.9905725679999 -77.751954569,-72.9661275679999 -77.741118569,-72.898054568 -77.6963995689999,-72.881954568 -77.6844455689999,-72.864454568 -77.671399569,-72.848209568 -77.6562545689999,-72.843481568 -77.6361275689999,-72.866390568 -77.618618569,-72.9119545679999 -77.6030545689999,-72.958345568 -77.588627569,-73.034181568 -77.572781569,-73.088054568 -77.562790569,-73.164463568 -77.550290569,-73.270845568 -77.537227569,-73.4430725679999 -77.522236569,-73.705836569 -77.508345569,-73.764172569 -77.505281569,-73.881954569 -77.500290569,-73.999999569 -77.495281569,-74.229736569 -77.4800095689999,-74.368899569 -77.466672569,-74.483063569 -77.4588905689999,-74.576672569 -77.4569545689999,-74.6675095699999 -77.457781569,-74.69944557 -77.458618569,-74.7950095699999 -77.463345569,-74.9008455699999 -77.4711185689999,-75.03499957 -77.481672569,-75.21473657 -77.4986095689999,-75.35583657 -77.513899569,-75.39500957 -77.5174995689999,-75.4586185699999 -77.521118569,-75.49473657 -77.522236569,-75.55056357 -77.5194545689999,-75.60528157 -77.5136275689999,-75.63278157 -77.508618569,-75.65695457 -77.5030635689999,-75.724163571 -77.482790569,-75.785572571 -77.460554569,-75.863345571 -77.4322365689999,-76.166945571 -77.3174995689999,-76.359454571 -77.240281569,-76.468899571 -77.193618569,-76.5063905709999 -77.178345569,-76.527790571 -77.171399569,-76.549454571 -77.164736569,-76.596954571 -77.154727569,-76.6938905709999 -77.1358365689999,-76.771118571 -77.125290569,-76.7952905719999 -77.121127569,-76.867509572 -77.106672569,-76.916399572 -77.095836569,-76.958345572 -77.0841635689999,-77.021118572 -77.0633365689999,-77.0641815719999 -77.039463569,-77.1291095719999 -76.9828455689999,-77.1656995719999 -76.9480635689999,-77.2186095719999 -76.920563569,-77.323336572 -76.885009569,-77.432509572 -76.8575095689999,-77.478345572 -76.847499569,-77.5244455719999 -76.835281569,-77.605836572 -76.807509569,-77.640836572 -76.791945569,-77.6705635719999 -76.776945569,-77.6911185719999 -76.761672569,-77.719454572 -76.7391815679999,-77.770281572 -76.694454568,-77.800981572 -76.6644545679999,-77.8152815719999 -76.645981568,-77.837781572 -76.628063568,-77.8661185729999 -76.608063568,-77.906681573 -76.5886275679999,-77.971390573 -76.5713995679999,-78.1119545729999 -76.543627568,-78.158336573 -76.5347275679999,-78.266681573 -76.5072365679999,-78.287781573 -76.501399568,-78.3283365729999 -76.4886185679999,-78.367509573 -76.4747275679999,-78.429999573 -76.4486275679999,-78.478336573 -76.403336568,-78.477781573 -76.382990568,-78.441390573 -76.361954568,-78.4030635729999 -76.3513905679999,-78.3536185729999 -76.330909568,-78.3754185729999 -76.308763568,-78.422499573 -76.290845568,-78.448627573 -76.2844545679999,-78.483336573 -76.2699995679999,-78.509318573 -76.250563568,-78.506254573 -76.228827568,-78.471118573 -76.195554568,-78.4056995729999 -76.155836568,-78.373063573 -76.141681568,-78.3405635729999 -76.1305725679999,-78.2994545729999 -76.1194455679999,-78.227509573 -76.104445568,-78.140290573 -76.090836568,-78.012509573 -76.0741725679999,-77.9119545729999 -76.062790568,-77.8472275729999 -76.056672568,-77.8183455719999 -76.052227568,-77.789463572 -76.047499568,-77.765836572 -76.042509568,-77.7372275719999 -76.0319545679999,-77.722781572 -76.0155635679999,-77.740981572 -75.993899568,-77.779445572 -75.9677905679999,-77.7965275719999 -75.9516725679999,-77.8018185719999 -75.926945568,-77.771663572 -75.918899568,-77.688609572 -75.920009568,-77.6119545719999 -75.9280725679999,-77.430281572 -75.958890568,-77.369736572 -75.973072568,-77.345290572 -75.980563568,-77.303345572 -75.993899568,-77.241672572 -76.0204275679999,-77.215427572 -76.0362545679999,-77.187227572 -76.0550095679999,-77.162781572 -76.060290568,-77.138899572 -76.061399568,-77.1099995719999 -76.060836568,-76.895845572 -76.048063568,-76.837781572 -76.046954568,-76.641399571 -76.045563568,-76.555554571 -76.046954568,-76.4766725709999 -76.051390568,-76.403336571 -76.060563568,-76.380572571 -76.064999568,-76.357509571 -76.0713995679999,-76.322509571 -76.086672568,-76.306118571 -76.1044545679999,-76.267499571 -76.1991725679999,-76.264309571 -76.235145568,-76.274599571 -76.266118568,-76.260563571 -76.295290568,-76.203336571 -76.3536185679999,-76.188899571 -76.3675095679999,-76.167236571 -76.382509568,-76.135009571 -76.398054568,-76.116118571 -76.406399568,-76.032227571 -76.4344455679999,-75.971118571 -76.452790568,-75.948899571 -76.458345568,-75.719181571 -76.507509568,-75.6480545699999 -76.520281568,-75.5752905699999 -76.5297275679999,-75.4444545699999 -76.546399568,-75.39528157 -76.5516815679999,-75.3155635699999 -76.558063568,-75.2488995699999 -76.563063568,-75.08056357 -76.570281568,-74.94278157 -76.5741725679999,-74.80084557 -76.574445568,-74.71223657 -76.573063568,-74.586945569 -76.570009568,-74.497790569 -76.565290568,-74.467790569 -76.564454568,-74.410572569 -76.565290568,-74.330836569 -76.5713995679999,-74.235290569 -76.587236568,-74.1844455689999 -76.596118568,-74.058063569 -76.613063568,-73.955836569 -76.625836568,-73.850009569 -76.637790568,-73.8261275689999 -76.640018568,-73.796954569 -76.642227568,-73.743054569 -76.643345568,-73.685290569 -76.643890568,-73.624454569 -76.644181568,-73.510563568 -76.643345568,-73.360290568 -76.638063568,-73.269181568 -76.6338995679999,-73.119172568 -76.628890568,-73.031681568 -76.628063568,-72.947781568 -76.628063568,-72.802227568 -76.629999568,-72.693345568 -76.633618568,-72.5238995679999 -76.6405635679999,-72.358063567 -76.6511275679999,-72.1736185669999 -76.666672568,-72.1163905669999 -76.670290568,-72.063336567 -76.672227568,-71.976963567 -76.672499568,-71.7372275669999 -76.663072568,-71.6530635669999 -76.662509568,-71.4219545669999 -76.665009568,-71.284999566 -76.669727568,-71.227236566 -76.673063568,-71.117781566 -76.679454568,-70.956954566 -76.690290568,-70.8194545659999 -76.7011275679999,-70.653899566 -76.710009568,-70.626109566 -76.711118568,-70.597227566 -76.711118568,-70.476390566 -76.707781568,-70.324718565 -76.695281568,-70.227781565 -76.682236568,-70.194736565 -76.676954568,-70.1400185649999 -76.6661185679999,-70.099727565 -76.6552905679999,-70.072372565 -76.645845568,-70.024736565 -76.625290568,-70.005572565 -76.612227568,-69.915418565 -76.533481568,-69.8941815649999 -76.505845568,-69.8813905649999 -76.485836568,-69.8583365649999 -76.433899568,-69.851599565 -76.409518568,-69.825009565 -76.390290568,-69.782499565 -76.378890568,-69.575563565 -76.334736568,-69.4961275649999 -76.3180725679999,-69.385281565 -76.296109568,-69.321672565 -76.285572568,-69.291118565 -76.281681568,-69.262218565 -76.2800185679999,-69.2030635639999 -76.279172568,-69.1480545639999 -76.2800185679999,-69.066681564 -76.283336568,-69.0427815639999 -76.284999568,-68.956681564 -76.284999568,-68.930845564 -76.2838905679999,-68.8713995639999 -76.278336568,-68.840836564 -76.274172568,-68.8091725639999 -76.268890568,-68.783336564 -76.2633365679999,-68.762509564 -76.257509568,-68.7319455639999 -76.253345568,-68.675845564 -76.248336568,-68.613890564 -76.246672568,-68.5611095639999 -76.246672568,-68.5338905639999 -76.247790568,-68.4783455639999 -76.2472185679999,-68.366390564 -76.245836568,-68.3091725639999 -76.2427815679999,-68.249999564 -76.236954568,-68.218899564 -76.231672568,-68.193072564 -76.225845568,-68.155563563 -76.214736568,-68.1331995629999 -76.205845568,-68.1100095629999 -76.193063568,-68.075009563 -76.178890568,-68.026118563 -76.166672568,-67.9672275629999 -76.156399568,-67.906399563 -76.1511275679999,-67.8486185629999 -76.146663568,-67.683063563 -76.1411095679999,-67.626954563 -76.1391725679999,-67.571118563 -76.137218568,-67.456681563 -76.129181568,-67.337781563 -76.1180545679999,-67.249727563 -76.107790568,-67.193072563 -76.0997275679999,-67.041399562 -76.077518568,-66.983899562 -76.066954568,-66.927781562 -76.058899568,-66.871399562 -76.0552815679999,-66.7575095619999 -76.0516815679999,-66.619736562 -76.048063568,-66.564454562 -76.046954568,-66.4827905619999 -76.046954568,-66.3452905619999 -76.038345568,-66.313609562 -76.0347275679999,-66.2813995619999 -76.0297275679999,-66.228899562 -76.0174995679999,-66.1966725619999 -76.0066725679999,-66.100572562 -75.976672568,-66.0083455609999 -75.952790568,-65.946672561 -75.942227568,-65.859454561 -75.928890568,-65.773618561 -75.918063568,-65.6916815609999 -75.909181568,-65.606672561 -75.899445568,-65.521118561 -75.8886275679999,-65.492509561 -75.8841725679999,-65.4658365609999 -75.878890568,-65.438899561 -75.8725095679999,-65.373063561 -75.843899568,-65.331681561 -75.822090568,-65.302509561 -75.809727568,-65.2330635609999 -75.797227568,-65.1513995609999 -75.7866635679999,-64.9788995609999 -75.7613995679999,-64.78361856 -75.731399568,-64.44250956 -75.675563568,-64.1630725599999 -75.623336567,-64.10694556 -75.6127905669999,-64.05029056 -75.600845567,-63.9455545599999 -75.577518567,-63.8498725589999 -75.553745567,-63.746945559 -75.5288995669999,-63.668336559 -75.510836567,-63.5369455589999 -75.481399567,-63.4291725589999 -75.450563567,-63.289999559 -75.4080635669999,-63.252781559 -75.394727567,-63.1466635589999 -75.356672567,-63.115281559 -75.3449995669999,-63.099372559 -75.3285455669999,-63.130009559 -75.312499567,-63.178063559 -75.308627567,-63.3041725589999 -75.308336567,-63.355836559 -75.308899567,-63.436109559 -75.310563567,-63.4858365589999 -75.312790567,-63.6208365589999 -75.316954567,-63.644172559 -75.317227567,-63.672499559 -75.317227567,-63.796390559 -75.308899567,-63.857090559 -75.309309567,-63.89222756 -75.310290567,-63.9486185599999 -75.316390567,-64.0022275599999 -75.323063567,-64.02667256 -75.327227567,-64.05334556 -75.330563567,-64.10945456 -75.335281567,-64.18583656 -75.339736567,-64.21167256 -75.340290567,-64.3144545599999 -75.338054567,-64.36723656 -75.333618567,-64.38917256 -75.329999567,-64.42195456 -75.320699567,-64.44722756 -75.3037545669999,-64.41778156 -75.285572567,-64.34749956 -75.260836567,-64.20972756 -75.2180635669999,-64.1647365599999 -75.206118567,-64.13779056 -75.201399567,-64.08416356 -75.194736567,-63.821672559 -75.172499567,-63.795563559 -75.171672567,-63.589727559 -75.165281567,-63.212499559 -75.148618567,-63.134172559 -75.142227567,-63.1010455589999 -75.131536567,-63.219172559 -75.030290567,-63.240281559 -75.022509567,-63.261945559 -75.018890567,-63.289172559 -75.016681567,-63.3641725589999 -75.013899567,-63.618054559 -75.018345567,-63.7713905589999 -75.023054567,-63.8477815589999 -75.0241725669999,-63.8980545599999 -75.023054567,-63.97139056 -75.015018567,-63.98958156 -75.0045815669999,-63.9741725599999 -74.991536567,-63.93944556 -74.984999567,-63.91083656 -74.982509567,-63.810009559 -74.9747275669999,-63.782227559 -74.974454567,-63.759172559 -74.973072567,-63.706945559 -74.967518567,-63.6538905589999 -74.958072567,-63.6184725589999 -74.948899567,-63.584445559 -74.930972567,-63.5658365589999 -74.914172567,-63.537227559 -74.9013995669999,-63.515281559 -74.895281567,-63.491954559 -74.892499567,-63.466663559 -74.891681567,-63.3730635589999 -74.907227567,-63.2994455589999 -74.913890567,-63.272227559 -74.915009567,-63.173890559 -74.913345567,-63.1205635589999 -74.911118567,-63.094454559 -74.9074995669999,-63.067781559 -74.9013995669999,-63.048054559 -74.892090567,-63.039863559 -74.8693185669999,-63.043336559 -74.8430635669999,-63.060009559 -74.810009567,-63.081672559 -74.796672567,-63.191536559 -74.739172567,-63.214727559 -74.723072567,-63.2316725589999 -74.702518567,-63.2762545589999 -74.6332725669999,-63.2458365589999 -74.604172567,-63.223336559 -74.602781567,-63.196945559 -74.605009567,-63.1758365589999 -74.608609567,-63.146945559 -74.621672567,-63.113681559 -74.6415365669999,-63.072509559 -74.659590567,-63.011118559 -74.672499567,-62.963336559 -74.678345567,-62.9388995589999 -74.680281567,-62.9125095589999 -74.683899567,-62.843890559 -74.696118567,-62.794172558 -74.706681567,-62.747218558 -74.717790567,-62.629999558 -74.758899567,-62.6029185579999 -74.782790567,-62.5945905579999 -74.808063567,-62.596672558 -74.834454567,-62.605699558 -74.863763567,-62.614027558 -74.889727567,-62.619590558 -74.915836567,-62.622218558 -74.9391815669999,-62.606672558 -74.959163567,-62.5874995579999 -74.968890567,-62.555554558 -74.978054567,-62.5313905579999 -74.982509567,-62.481390558 -74.985836567,-62.4316725579999 -74.9877905669999,-62.4086185579999 -74.987499567,-62.276945558 -74.970290567,-62.1472275579999 -74.951127567,-62.121118558 -74.946399567,-62.094999558 -74.939999567,-61.887509558 -74.832227567,-61.869527558 -74.818718567,-61.862636558 -74.7963905669999,-61.909718558 -74.7023725669999,-61.957781558 -74.6805545669999,-61.9811185579999 -74.6738905669999,-62.005009558 -74.668336567,-62.0247275579999 -74.655009567,-62.024445558 -74.6325095669999,-61.9591635579999 -74.577518566,-61.939999558 -74.565290566,-61.8997275579999 -74.5455635659999,-61.857227558 -74.526399566,-61.815281558 -74.5086185659999,-61.7788905579999 -74.494736566,-61.742499558 -74.4822275659999,-61.6836185569999 -74.463899566,-61.6276455569999 -74.442081566,-61.6129905569999 -74.4174365659999,-61.6383365569999 -74.392790566,-61.664581557 -74.382227566,-61.710554557 -74.359172566,-61.741390558 -74.3391725659999,-61.755145558 -74.313199566,-61.7388905569999 -74.2936275659999,-61.718609557 -74.287227566,-61.6936095569999 -74.2811095659999,-61.592509557 -74.265836566,-61.518890557 -74.2561185659999,-61.397227557 -74.245836566,-61.374999557 -74.242781566,-61.323618557 -74.2347275659999,-61.2516725569999 -74.219181566,-61.229445557 -74.213345566,-61.172645557 -74.190145566,-61.1302815569999 -74.1680635659999,-61.0586185569999 -74.1262545659999,-61.042363557 -74.093199566,-61.0744455569999 -74.077790566,-61.1163905569999 -74.0708455659999,-61.142227557 -74.0686185659999,-61.2388905569999 -74.0619545659999,-61.260563557 -74.0622275659999,-61.283890557 -74.060836566,-61.333618557 -74.056945566,-61.356672557 -74.052781566,-61.531672557 -74.015836566,-61.552227557 -74.009736566,-61.576118557 -73.9862635659999,-61.7576365579999 -73.9173635659999,-61.680836557 -73.889454566,-61.658890557 -73.883899566,-61.6111185569999 -73.8791815659999,-61.585009557 -73.877499566,-61.375554557 -73.874999566,-61.3519545569999 -73.8766815659999,-61.320563557 -73.886818566,-61.3011185569999 -73.899999566,-61.271118557 -73.9224995659999,-61.253472557 -73.933063566,-61.210554557 -73.9500095659999,-61.1877815569999 -73.955290566,-61.1413995569999 -73.9622365659999,-61.1202815569999 -73.9644455659999,-61.049727557 -73.966399566,-60.977781557 -73.9577815659999,-60.931672557 -73.9458455659999,-60.9074995569999 -73.9394545659999,-60.8480635569999 -73.913890566,-60.771118557 -73.8491725659999,-60.7031995569999 -73.7866725659999,-60.607781556 -73.725572566,-60.5915365559999 -73.7093815659999,-60.603618556 -73.6894545659999,-60.631954556 -73.681118566,-60.678336557 -73.682236566,-60.725563557 -73.689727566,-60.749172557 -73.694736566,-60.792499557 -73.707499566,-60.8286095569999 -73.719454566,-60.8522275569999 -73.724454566,-60.875836557 -73.724454566,-60.8983365569999 -73.720290566,-60.919309557 -73.7073725659999,-60.915981557 -73.687509566,-60.891118557 -73.671254566,-60.864727557 -73.661663566,-60.797781557 -73.642790566,-60.778618557 -73.636399566,-60.685209557 -73.5834095659999,-60.697645557 -73.5619545659999,-60.7516725569999 -73.5477905659999,-60.774445557 -73.5436275659999,-60.8219455569999 -73.536118566,-60.9105635569999 -73.523054566,-61.001109557 -73.511945565,-61.2519455569999 -73.473618565,-61.339445557 -73.4577815649999,-61.364172557 -73.455563565,-61.387509557 -73.4563905649999,-61.4172275569999 -73.464318565,-61.4580635569999 -73.486390565,-61.480836557 -73.502509565,-61.5348635569999 -73.534181566,-61.5602815569999 -73.5433365659999,-61.586109557 -73.5477905659999,-61.623618557 -73.535899566,-61.6180545569999 -73.512645565,-61.620836557 -73.449099565,-61.6524995569999 -73.434445565,-61.722781557 -73.4141725649999,-61.744999558 -73.408618565,-61.765009558 -73.405018565,-61.786945558 -73.399736565,-61.817363558 -73.3894545649999,-61.835972558 -73.369590565,-61.8094455579999 -73.353054565,-61.788336558 -73.348618565,-61.7194545569999 -73.346954565,-61.6408365569999 -73.353763565,-61.517227557 -73.366390565,-61.471672557 -73.366672565,-61.4483365569999 -73.3630635649999,-61.435772557 -73.346599565,-61.4769545569999 -73.323063565,-61.521118557 -73.313336565,-61.5883365569999 -73.304736565,-61.6336095569999 -73.302781565,-61.6713905569999 -73.282790565,-61.755145558 -73.2327095649999,-61.728336557 -73.2227815649999,-61.706118557 -73.2255725649999,-61.6599995569999 -73.234727565,-61.638063557 -73.240281565,-61.593890557 -73.247218565,-61.5511185569999 -73.2497275649999,-61.5240365569999 -73.242372565,-61.540563557 -73.223063565,-61.566118557 -73.212236565,-61.588054557 -73.2066815649999,-61.6277815569999 -73.199718565,-61.676672557 -73.195281565,-61.721672557 -73.193345565,-61.7663995579999 -73.1902905649999,-61.8108365579999 -73.185836565,-61.832781558 -73.181672565,-61.854445558 -73.176118565,-61.8761095579999 -73.1691725649999,-61.913409558 -73.151263565,-61.903063558 -73.133345565,-61.8716725579999 -73.1269545649999,-61.8463905579999 -73.123899565,-61.780836558 -73.120281565,-61.7558365579999 -73.119736565,-61.7108365569999 -73.120281565,-61.576954557 -73.1272275649999,-61.4877815569999 -73.1336185649999,-61.445554557 -73.137218565,-61.423336557 -73.1400185649999,-61.202781557 -73.180281565,-61.179309557 -73.190281565,-61.1522275569999 -73.2290365649999,-61.144381557 -73.249381565,-61.0883365569999 -73.285845565,-61.020009557 -73.303890565,-60.9977815569999 -73.3080635649999,-60.668336557 -73.361118565,-60.622781556 -73.362790565,-60.5997275559999 -73.360290565,-60.568336556 -73.3516725649999,-60.541672556 -73.331672565,-60.522918556 -73.296527565,-60.521118556 -73.2736185649999,-60.527081556 -73.247090565,-60.5316725559999 -73.220981565,-60.5208365559999 -73.183545565,-60.492645556 -73.1559815649999,-60.462781556 -73.1477815649999,-60.440563556 -73.1477815649999,-60.3958365559999 -73.155836565,-60.377363556 -73.166118565,-60.3574995559999 -73.185572565,-60.341390556 -73.2150095649999,-60.322227556 -73.235290565,-60.304172556 -73.250836565,-60.256954556 -73.2750095649999,-60.236945556 -73.2794455649999,-60.212227556 -73.283063565,-60.189727556 -73.2855725649999,-60.166945556 -73.285845565,-60.1441725559999 -73.284454565,-60.1213905559999 -73.281954565,-60.075563556 -73.274445565,-59.890554556 -73.243345565,-59.858618556 -73.2362635649999,-59.839863556 -73.223199565,-59.863336556 -73.128345565,-59.8737545559999 -73.108754565,-59.879172556 -73.0794545649999,-59.8506995559999 -73.040981565,-59.816672556 -73.024736565,-59.795836556 -73.011127565,-59.759863556 -72.972499565,-59.758890556 -72.943072565,-59.777363556 -72.897372565,-59.7955635559999 -72.880845565,-59.817363556 -72.870845565,-59.8811185559999 -72.855009565,-59.9194095559999 -72.851936565,-59.960554556 -72.8547365649999,-59.980836556 -72.8591725649999,-60.014727556 -72.8713995649999,-60.034172556 -72.8852905649999,-60.055699556 -72.914727565,-60.096390556 -72.951399565,-60.1229185559999 -72.966527565,-60.1672275559999 -72.983063565,-60.2100095559999 -72.988618565,-60.252227556 -72.986390565,-60.278890556 -72.9836095649999,-60.300836556 -72.9797365649999,-60.344727556 -72.968899565,-60.386118556 -72.9563905649999,-60.4083365559999 -72.952227565,-60.430281556 -72.949445565,-60.450563556 -72.951399565,-60.4730635559999 -72.9563905649999,-60.500836556 -72.969181565,-60.550281556 -73.0022275649999,-60.566945556 -73.0144545649999,-60.596945556 -73.028063565,-60.6236185559999 -73.025290565,-60.640972556 -73.005845565,-60.634999556 -72.976118565,-60.611118556 -72.9566815649999,-60.588754556 -72.941536565,-60.564999556 -72.921527565,-60.5497275559999 -72.784590565,-60.5627815559999 -72.741672565,-60.596390556 -72.669727565,-60.615281556 -72.644999565,-60.650281556 -72.6299995649999,-60.671672557 -72.6247275649999,-60.693063557 -72.621945565,-60.758054557 -72.615009565,-60.8652815569999 -72.614727565,-60.955554557 -72.623609565,-61.022509557 -72.634736565,-61.0874995569999 -72.649172565,-61.1201455569999 -72.659036565,-61.1925095569999 -72.6874995649999,-61.217781557 -72.697645565,-61.2469455569999 -72.703899565,-61.278054557 -72.6972275649999,-61.3004185569999 -72.681254565,-61.3243095569999 -72.651954565,-61.332227557 -72.618618565,-61.336109557 -72.588627565,-61.3538905569999 -72.536663565,-61.392645557 -72.507236565,-61.4422185569999 -72.494736565,-61.4633365569999 -72.491672565,-61.484727557 -72.487499565,-61.5094455569999 -72.4788995649999,-61.542499557 -72.416399564,-61.5041725569999 -72.4044545639999,-61.4697275569999 -72.405563564,-61.426945557 -72.409999564,-61.398754557 -72.416399564,-61.3233365569999 -72.426118564,-61.194727557 -72.439181564,-61.139727557 -72.440145564,-61.086109557 -72.435009564,-61.039999557 -72.428345564,-60.888063557 -72.401672564,-60.859309557 -72.3920905639999,-60.832536557 -72.363236564,-60.919727557 -72.302781564,-60.940563557 -72.297499564,-60.9913185569999 -72.284027564,-60.9533365569999 -72.2730545639999,-60.912509557 -72.274172564,-60.846390557 -72.278063564,-60.825009557 -72.276945564,-60.790554557 -72.2633995639999,-60.7955545569999 -72.2372365639999,-60.843472557 -72.2111185639999,-60.882918557 -72.199036564,-60.915554557 -72.193890564,-60.936390557 -72.191118564,-60.9769545569999 -72.187499564,-61.021118557 -72.181118564,-61.0669455569999 -72.160763564,-61.040836557 -72.144999564,-60.9972185569999 -72.136399564,-60.932499557 -72.127790564,-60.9113905569999 -72.126681564,-60.8680545569999 -72.1191725639999,-60.846390557 -72.114181564,-60.815627557 -72.097927564,-60.808199557 -72.0681995639999,-60.8186095569999 -72.0425095639999,-60.834590557 -72.0193185639999,-60.8587545569999 -72.005981564,-60.888618557 -71.9980635639999,-60.9288905569999 -72.0011095639999,-60.959309557 -72.009318564,-60.979236557 -72.028336564,-60.999172557 -72.048199564,-61.0348635569999 -72.0558365639999,-61.0675095569999 -72.055281564,-61.1094545569999 -72.049727564,-61.1300095569999 -72.045563564,-61.169727557 -72.039172564,-61.1927815569999 -72.036954564,-61.225699557 -72.037090564,-61.2591725569999 -72.042236564,-61.2895905569999 -72.050418564,-61.309727557 -72.077509564,-61.304027557 -72.1150095639999,-61.334172557 -72.1331995639999,-61.3769455569999 -72.1338995639999,-61.4072275569999 -72.128618564,-61.435972557 -72.119999564,-61.4797275569999 -72.0963905639999,-61.505563557 -72.0838905639999,-61.564727557 -72.062790564,-61.607509557 -72.051118564,-61.636390557 -72.045563564,-61.730563557 -72.0358455639999,-61.7513995579999 -72.034454564,-61.796109558 -72.0355725639999,-61.838618558 -72.0377815639999,-61.967781558 -72.050290564,-62.053336558 -72.056945564,-62.1816725579999 -72.062790564,-62.309718558 -72.067227564,-62.395009558 -72.068345564,-62.458336558 -72.066118564,-62.4788905579999 -72.064454564,-62.518618558 -72.0591725639999,-62.5460455579999 -72.049381564,-62.521390558 -72.028899564,-62.4991725579999 -72.022781564,-62.458336558 -72.0188905639999,-62.381118558 -72.0198635639999,-62.330836558 -72.0172275639999,-62.255345558 -71.998618564,-62.2830545579999 -71.983899564,-62.3761095579999 -71.978899564,-62.427227558 -71.9758455639999,-62.4894455579999 -71.969454564,-62.530281558 -71.960845564,-62.555699558 -71.950572564,-62.561736558 -71.931254564,-62.5249995579999 -71.919727564,-62.4591635579999 -71.9177815639999,-62.416945558 -71.917236564,-62.394172558 -71.918063564,-62.332781558 -71.917236564,-62.2269545579999 -71.9136185639999,-62.1611185579999 -71.909999564,-62.078054558 -71.904172564,-61.993054558 -71.8963905639999,-61.855136558 -71.880981564,-61.798618558 -71.874999564,-61.7583365579999 -71.872218564,-61.718336557 -71.8708365639999,-61.6719545569999 -71.870009564,-61.6111185569999 -71.870281564,-61.485281557 -71.8730635639999,-61.4436095569999 -71.874999564,-61.359727557 -71.874727564,-61.2963905569999 -71.8713995639999,-61.211945557 -71.865845564,-61.135627557 -71.8485455639999,-61.153054557 -71.816390564,-61.146527557 -71.793618564,-61.127363557 -71.780427564,-61.099445557 -71.772236564,-61.0363905569999 -71.7688905639999,-60.994999557 -71.770845564,-60.954727557 -71.7677905639999,-60.922781557 -71.759036564,-60.9056995569999 -71.742499564,-60.9287545569999 -71.690281564,-60.947918557 -71.673345564,-61.205281557 -71.556945564,-61.2388905569999 -71.543063564,-61.258899557 -71.538890564,-61.279445557 -71.5386185639999,-61.3002815569999 -71.5408455639999,-61.3241725569999 -71.550418564,-61.3680545569999 -71.572236564,-61.3941725569999 -71.585009564,-61.4312545569999 -71.601536564,-61.480563557 -71.613890564,-61.741390558 -71.667090564,-61.7952815579999 -71.673890564,-61.8372275579999 -71.677227564,-61.8577815579999 -71.675563564,-61.896390558 -71.669172564,-61.9163905579999 -71.6636185639999,-61.935145558 -71.650427564,-61.938890558 -71.627090564,-61.688336557 -71.527790564,-61.566390557 -71.491954564,-61.531672557 -71.4780545639999,-61.509236557 -71.462436564,-61.4863905569999 -71.4427905639999,-61.4566725569999 -71.4361095639999,-61.405836557 -71.430981564,-61.3538905569999 -71.431945564,-61.313336557 -71.437790564,-61.272781557 -71.440845564,-61.229445557 -71.4405635639999,-61.1096545569999 -71.4202815639999,-61.140009557 -71.406399564,-61.179999557 -71.3980545639999,-61.237499557 -71.382509564,-61.2591725569999 -71.374999564,-61.2806995569999 -71.3650095629999,-61.2954185569999 -71.3463905629999,-61.2683365569999 -71.326527563,-61.239172557 -71.3222365629999,-61.210009557 -71.3255635629999,-61.1416725569999 -71.344999563,-61.1219455569999 -71.350281563,-61.061954557 -71.3652815629999,-61.0305635569999 -71.367927563,-60.9720905569999 -71.3643095629999,-60.955554557 -71.3509815629999,-60.998199557 -71.285427563,-61.015281557 -71.2720905629999,-61.0669455569999 -71.2491725629999,-61.1019545569999 -71.235563563,-61.072227557 -71.1825095629999,-60.991109557 -71.179454563,-60.970554557 -71.175563563,-60.9468095569999 -71.159527563,-60.979999557 -71.125290563,-61.014454557 -71.1052815629999,-61.145281557 -71.045290563,-61.283336557 -70.984999563,-61.3100095569999 -70.9716815629999,-61.343890557 -70.951672563,-61.356945557 -70.934863563,-61.364172557 -70.8861275629999,-61.355145557 -70.856809563,-61.352781557 -70.830909563,-61.389999557 -70.813345563,-61.628890557 -70.785572563,-61.668063557 -70.7822275629999,-61.707509557 -70.781681563,-61.788336558 -70.7911185629999,-61.808890558 -70.796109563,-61.830981558 -70.805699563,-61.8437545579999 -70.8345905629999,-61.8374995579999 -70.860836563,-61.8341635579999 -70.881118563,-61.847227558 -70.896945563,-61.874999558 -70.908199563,-61.9041635579999 -70.9119545629999,-61.943890558 -70.910281563,-62.021945558 -70.897236563,-62.081945558 -70.885281563,-62.115836558 -70.872790563,-62.1358365579999 -70.858899563,-62.144309558 -70.835836563,-62.136527558 -70.816818563,-62.1169455579999 -70.8002815629999,-62.0929905579999 -70.771390563,-62.1126455579999 -70.751118563,-62.1380635579999 -70.741390563,-62.173890558 -70.730836563,-62.195009558 -70.725845563,-62.2197275579999 -70.713481563,-62.200981558 -70.700981563,-62.1522275579999 -70.690845563,-62.1127815579999 -70.692781563,-62.065418558 -70.699727563,-62.0338905579999 -70.706390563,-62.007645558 -70.709036563,-61.9788905579999 -70.708618563,-61.956672558 -70.704454563,-61.7894545579999 -70.666399563,-61.770418558 -70.645636563,-61.794172558 -70.614181563,-61.775836558 -70.593336563,-61.646118557 -70.5927905629999,-61.4900815569999 -70.519509563,-61.524309557 -70.501954563,-61.770281558 -70.505281563,-61.829172558 -70.5072365629999,-61.867227558 -70.5136275629999,-61.918472558 -70.524318563,-62.137781558 -70.5427815629999,-62.176390558 -70.539463563,-62.2138905579999 -70.5290275629999,-62.252499558 -70.512218563,-62.299163558 -70.478899563,-62.3213995579999 -70.452227563,-62.338618558 -70.4386095629999,-62.362227558 -70.422236563,-62.414863558 -70.4027905629999,-62.4730545579999 -70.389872563,-62.499099558 -70.368827563,-62.511390558 -70.2418815619999,-62.481390558 -70.229172562,-62.441390558 -70.233063562,-62.292499558 -70.256118562,-62.121118558 -70.285845562,-62.074309558 -70.2894545619999,-62.0452815579999 -70.2849995619999,-62.025281558 -70.2802905619999,-62.005009558 -70.2738995619999,-61.972499558 -70.261399562,-61.9424365579999 -70.232845562,-62.090836558 -70.084309562,-62.144309558 -70.057227562,-62.2091635579999 -70.0369545619999,-62.2344455579999 -70.026681562,-62.330209558 -69.978618562,-62.449445558 -69.9080635619999,-62.4777815579999 -69.900009562,-62.531672558 -69.893063562,-62.561118558 -69.887363562,-62.597227558 -69.876254562,-62.6281995579999 -69.8548635619999,-62.6086185579999 -69.830981562,-62.541945558 -69.817227562,-62.5172275579999 -69.804727562,-62.4827815579999 -69.721118562,-62.4729185579999 -69.682090562,-62.470836558 -69.6555635619999,-62.469036558 -69.616536562,-62.473472558 -69.4615365619999,-62.644172558 -69.381118562,-62.6705545579999 -69.371399562,-62.716945558 -69.360836562,-62.807499558 -69.3497275619999,-62.844172559 -69.3474995619999,-62.879445559 -69.3474995619999,-62.9202815589999 -69.3491635619999,-62.965972559 -69.355281562,-63.080145559 -69.371536562,-63.1168095589999 -69.369445562,-63.142781559 -69.360290562,-63.164727559 -69.343890562,-63.168472559 -69.314318562,-63.145145559 -69.284172562,-63.141672559 -69.256527562,-63.148336559 -69.223890562,-63.163063559 -69.203899561,-63.2163905589999 -69.159727561,-63.246118559 -69.148199561,-63.2916725589999 -69.145845561,-63.3124995589999 -69.1500095609999,-63.331945559 -69.1558365609999,-63.354727559 -69.167781561,-63.375554559 -69.180281561,-63.400836559 -69.196672561,-63.435281559 -69.2122365609999,-63.4547275589999 -69.2183365609999,-63.4938995589999 -69.228899562,-63.532227559 -69.237227562,-63.571672559 -69.240572562,-63.5880545589999 -69.2394545619999,-63.623890559 -69.2347275619999,-63.642918559 -69.224172562,-63.651672559 -69.204172561,-63.640281559 -69.185009561,-63.615145559 -69.1663995609999,-63.584309559 -69.154445561,-63.496945559 -69.136127561,-63.477499559 -69.1313905609999,-63.444172559 -69.119736561,-63.416118559 -69.107509561,-63.395009559 -69.0936095609999,-63.3749995589999 -69.075290561,-63.369027559 -69.052645561,-63.392499559 -69.0258365609999,-63.423199559 -69.014599561,-63.465563559 -69.0083455609999,-63.4858365589999 -69.0083455609999,-63.522509559 -69.0100095609999,-63.557227559 -69.009736561,-63.583063559 -69.002645561,-63.6231995589999 -68.972499561,-63.6586815589999 -68.9272275609999,-63.637218559 -68.913072561,-63.603336559 -68.907227561,-63.583063559 -68.9058365609999,-63.525281559 -68.9061095609999,-63.4661185589999 -68.901118561,-63.485563559 -68.8902815609999,-63.5305545589999 -68.879999561,-63.579172559 -68.869445561,-63.6158365589999 -68.8624995609999,-63.658754559 -68.850981561,-63.7005635589999 -68.834163561,-63.726390559 -68.8202815609999,-63.743754559 -68.8020905609999,-63.6980635589999 -68.740563561,-63.651672559 -68.7388905609999,-63.596390559 -68.742236561,-63.5277815589999 -68.749999561,-63.492781559 -68.754999561,-63.4405635589999 -68.764172561,-63.371945559 -68.782790561,-63.3287545589999 -68.796672561,-63.2688905589999 -68.808899561,-63.233336559 -68.812499561,-63.2120185589999 -68.799936561,-63.234999559 -68.7725095609999,-63.2547275589999 -68.762927561,-63.305145559 -68.744036561,-63.363063559 -68.726390561,-63.5013995589999 -68.690563561,-63.553063559 -68.6788905609999,-63.6306995589999 -68.663754561,-63.7088905589999 -68.651127561,-63.759172559 -68.643890561,-63.832781559 -68.6352815609999,-63.8994455599999 -68.628063561,-63.9513905599999 -68.611881561,-63.9668095599999 -68.531390561,-63.7788905589999 -68.4558455609999,-63.7408365589999 -68.4452815609999,-63.686672559 -68.4413905609999,-63.539454559 -68.4227905609999,-63.3749995589999 -68.389727561,-63.337227559 -68.386127561,-63.303063559 -68.383899561,-63.248890559 -68.3872185609999,-63.109454559 -68.401127561,-63.0763905589999 -68.405018561,-63.049999559 -68.4106995609999,-63.0211185589999 -68.422781561,-62.9998635589999 -68.442927561,-62.979727559 -68.4597365609999,-62.9565275589999 -68.469999561,-62.922781559 -68.4755635609999,-62.887781559 -68.472781561,-62.858063559 -68.465563561,-62.780281558 -68.435563561,-62.738127558 -68.4134725609999,-62.778199558 -68.3904185609999,-62.836399559 -68.3786185609999,-62.941390559 -68.361390561,-62.985281559 -68.3547275609999,-63.029445559 -68.349454561,-63.0977815589999 -68.3458365609999,-63.133054559 -68.344999561,-63.2391725589999 -68.346390561,-63.578609559 -68.353618561,-63.6141725589999 -68.355281561,-63.668336559 -68.359172561,-63.7205545589999 -68.363618561,-63.756672559 -68.367781561,-63.849727559 -68.3813905609999,-64.01583656 -68.410572561,-64.07139956 -68.4205635609999,-64.1066725599999 -68.428072561,-64.1461185599999 -68.436672561,-64.17278156 -68.445563561,-64.2102815599999 -68.4667365609999,-64.25110956 -68.498063561,-64.28097256 -68.504999561,-64.32389956 -68.5061185609999,-64.3705635599999 -68.506672561,-64.39153656 -68.516109561,-64.4050095599999 -68.583890561,-64.2186095599999 -68.636127561,-64.07667256 -68.675145561,-64.03528156 -68.6908455609999,-64.01167256 -68.701536561,-63.99125456 -68.714590561,-63.98139056 -68.7415275609999,-64.02779056 -68.745281561,-64.0627905599999 -68.7330635609999,-64.17834556 -68.702227561,-64.19862756 -68.6975095609999,-64.2676455599999 -68.688609561,-64.24361856 -68.7125095609999,-64.20333656 -68.7327905609999,-64.16598156 -68.750145561,-64.12583656 -68.764454561,-64.09029056 -68.775281561,-64.05611856 -68.7830635609999,-64.00557256 -68.791672561,-63.95222756 -68.803072561,-63.8613545589999 -68.8357725609999,-63.91278156 -68.838054561,-64.01556356 -68.8200095609999,-64.04861856 -68.813063561,-64.1724995599999 -68.785845561,-64.20306356 -68.778627561,-64.23889056 -68.768890561,-64.28083656 -68.7558455609999,-64.39056356 -68.717790561,-64.51749956 -68.707227561,-64.6066725599999 -68.724454561,-64.6630725599999 -68.727236561,-64.82999956 -68.7305635609999,-64.994445561 -68.7322275609999,-65.278063561 -68.7138995609999,-65.319454561 -68.707927561,-65.438609561 -68.595290561,-65.370981561 -68.5380635609999,-65.2098725609999 -68.521527561,-65.097227561 -68.481672561,-65.0819455609999 -68.464390561,-65.0962635609999 -68.4386185609999,-65.120563561 -68.426399561,-65.170981561 -68.4188995609999,-65.2372275609999 -68.4202905609999,-65.290554561 -68.4269545609999,-65.326954561 -68.4294545609999,-65.3627905609999 -68.430554561,-65.398345561 -68.430554561,-65.4497185609999 -68.423336561,-65.500290561 -68.413618561,-65.5311095609999 -68.402509561,-65.555699561 -68.3926455609999,-65.5866725609999 -68.374172561,-65.592990561 -68.352990561,-65.4438905609999 -68.2972275609999,-65.392227561 -68.290009561,-65.356672561 -68.288890561,-65.306945561 -68.2811095609999,-65.2577815609999 -68.263899561,-65.226390561 -68.2519545609999,-65.2000095609999 -68.239181561,-65.156254561 -68.214727561,-65.1144545609999 -68.203899561,-65.0872365609999 -68.206818561,-65.059172561 -68.2144455609999,-65.0052815609999 -68.216945561,-64.9708365609999 -68.213627561,-64.9377905599999 -68.208345561,-64.87028156 -68.192499561,-64.8380545599999 -68.183627561,-64.8145905599999 -68.174172561,-64.77833656 -68.14917256,-64.7701455599999 -68.11611856,-64.78389956 -68.09111856,-64.8063995599999 -68.07250956,-64.979454561 -68.02792756,-65.0038905609999 -68.04500956,-65.0205725609999 -68.06153656,-65.0381995609999 -68.07514556,-65.113345561 -68.11418156,-65.209454561 -68.1519455609999,-65.266681561 -68.1680635609999,-65.2936275609999 -68.1702905609999,-65.313899561 -68.1508365609999,-65.3412635609999 -68.14209956,-65.490845561 -68.13972756,-65.5263995609999 -68.14083656,-65.566945561 -68.150699561,-65.616809561 -68.1615365609999,-65.661390561 -68.163618561,-65.6869545609999 -68.1613995609999,-65.719181561 -68.1508365609999,-65.7374995609999 -68.13499956,-65.731881561 -68.10598156,-65.655290561 -68.07084556,-65.623899561 -68.05917256,-65.488481561 -68.01639956,-65.430845561 -68.0080545599999,-65.3950095609999 -68.00418156,-65.3627905609999 -67.9955635599999,-65.338827561 -67.97497256,-65.3872185609999 -67.9580725599999,-65.430563561 -67.95709056,-65.485281561 -67.94098156,-65.611945561 -67.8830545599999,-65.564172561 -67.75153656,-65.514736561 -67.73111856,-65.472227561 -67.7269635599999,-65.438609561 -67.7250095599999,-65.414309561 -67.72055456,-65.298336561 -67.66820956,-65.475845561 -67.6038995599999,-65.549872561 -67.59029056,-65.583899561 -67.58569956,-65.611809561 -67.5628545599999,-65.5133455609999 -67.3909815599999,-65.414727561 -67.3377815599999,-65.374172561 -67.32639956,-65.3416725609999 -67.32556356,-65.320563561 -67.33209056,-65.310563561 -67.3543095599999,-65.306045561 -67.37569956,-65.265154561 -67.3787545599999,-65.215563561 -67.3547365599999,-65.1633365609999 -67.3234815599999,-65.129872561 -67.3218185599999,-65.0850095609999 -67.3350095599999,-65.040281561 -67.35305456,-65.0036185609999 -67.35556356,-64.81668156 -67.3333455599999,-64.79334556 -67.32764556,-64.76376356 -67.3102905599999,-64.75083656 -67.2775095599999,-64.76153656 -67.25889956,-64.79542756 -67.24653656,-64.8541725599999 -67.24500956,-64.89806356 -67.2381995599999,-64.92042756 -67.2226455599999,-64.89529056 -67.19986356,-64.7752815599999 -67.16944556,-64.6995905599999 -67.16625456,-64.67264556 -67.15569956,-64.66972756 -67.12611856,-64.69750956 -67.09729956,-64.73903656 -67.0965365599999,-64.7791725599999 -67.10278156,-64.80445456 -67.1033365599999,-64.83723656 -67.09709056,-64.93406356 -67.0153545589999,-64.8377815599999 -66.951399559,-64.6457095599999 -66.902499559,-64.59056356 -66.891109559,-64.5422365599999 -66.883618559,-64.51000956 -66.880281559,-64.43598156 -66.876254559,-64.34389956 -66.879454559,-64.30125456 -66.8822275589999,-64.15389956 -66.899445559,-64.05029056 -66.9133455589999,-63.99721856 -66.922227559,-63.92889056 -66.929454559,-63.9002815599999 -66.928345559,-63.868054559 -66.924999559,-63.837499559 -66.920563559,-63.779863559 -66.907372559,-63.7509725589999 -66.895290559,-63.731527559 -66.881536559,-63.720763559 -66.859663559,-63.7788905589999 -66.775281559,-63.94278156 -66.769999559,-64.12610956 -66.761672559,-64.15111856 -66.754181559,-64.18444556 -66.732718559,-64.13631856 -66.592572559,-64.1038995599999 -66.5680635589999,-64.0663905599999 -66.5608365589999,-64.03139956 -66.5588995589999,-64.00403656 -66.564590559,-63.96013656 -66.5822275589999,-63.8993095599999 -66.590699559,-63.827509559 -66.587509559,-63.806390559 -66.5838905589999,-63.803754559 -66.532790559,-63.8336185589999 -66.526536559,-63.876945559 -66.5233455589999,-63.96639056 -66.4956995589999,-63.97472756 -66.470836559,-63.90889056 -66.461672559,-63.8541725589999 -66.4569545589999,-63.7852815589999 -66.442509559,-63.820836559 -66.428072559,-63.8476455589999 -66.4233365589999,-63.8652095589999 -66.405909559,-63.825699559 -66.3947275589999,-63.7369455589999 -66.3969545589999,-63.688054559 -66.3969545589999,-63.6552815589999 -66.395281559,-63.613618559 -66.3894545589999,-63.5888185589999 -66.373127559,-63.604027559 -66.357227559,-63.6447275589999 -66.3566725589999,-63.693890559 -66.3591725589999,-63.726109559 -66.358063559,-63.768609559 -66.3522365589999,-63.8019455589999 -66.288063559,-63.782499559 -66.2711185589999,-63.7047275589999 -66.2272365589999,-63.675563559 -66.218336559,-63.573618559 -66.1902905589999,-63.513545559 -66.2127185589999,-63.423199559 -66.249172559,-63.329172559 -66.263899559,-63.225836559 -66.280563559,-63.191390559 -66.286663559,-63.159590559 -66.298763559,-63.1522905589999 -66.335972559,-63.081672559 -66.3894545589999,-63.0441725589999 -66.413618559,-62.986118559 -66.449718559,-62.9505635589999 -66.467518559,-62.9202815589999 -66.478899559,-62.875418559 -66.499309559,-62.843336559 -66.520572559,-62.810281558 -66.5580635589999,-62.758890558 -66.633899559,-62.7509725579999 -66.656390559,-62.744727558 -66.678890559,-62.729027558 -66.694454559,-62.705009558 -66.7062545589999,-62.651109558 -66.722372559,-62.608890558 -66.7283455589999,-62.5758365579999 -66.7277815589999,-62.528063558 -66.722499559,-62.4901455579999 -66.7130545589999,-62.449590558 -66.692509559,-62.437781558 -66.669272559,-62.528199558 -66.6634815589999,-62.559863558 -66.658063559,-62.675836558 -66.5495815589999,-62.6455635579999 -66.5166815589999,-62.627781558 -66.5024995589999,-62.586109558 -66.480563559,-62.5569455579999 -66.470836559,-62.496118558 -66.4569545589999,-62.4470095579999 -66.438681559,-62.6219455579999 -66.363063559,-62.651945558 -66.351963559,-62.706672558 -66.335281559,-62.8313905589999 -66.305554559,-62.873890559 -66.291536559,-62.8882635589999 -66.272709559,-62.864590559 -66.252509559,-62.8136095579999 -66.235290559,-62.7400095579999 -66.212781559,-62.7091635579999 -66.208345559,-62.424172558 -66.1830635589999,-62.3605545579999 -66.179454559,-62.3283365579999 -66.178890559,-62.2065275579999 -66.178754559,-62.1727815579999 -66.181809559,-62.048890558 -66.2084815589999,-62.007090558 -66.2243095589999,-61.980563558 -66.238890559,-61.962781558 -66.251109559,-61.898336558 -66.299454559,-61.874999558 -66.317781559,-61.854027558 -66.342090559,-61.836945558 -66.3730635589999,-61.8297275579999 -66.392499559,-61.824027558 -66.416681559,-61.784445558 -66.448627559,-61.739309557 -66.467518559,-61.706527557 -66.466809559,-61.6647275569999 -66.443754559,-61.653472557 -66.4266725589999,-61.660281557 -66.364727559,-61.674727557 -66.319454559,-61.5991635569999 -66.238345559,-61.445836557 -66.133899559,-61.416672557 -66.125290559,-61.3934725569999 -66.122363559,-61.2320905569999 -66.198481559,-61.2009095569999 -66.2424365589999,-61.2008365569999 -66.281818559,-61.168609557 -66.315845559,-61.144445557 -66.326809559,-61.113472557 -66.326672559,-61.083618557 -66.319454559,-61.034172557 -66.300845559,-60.992499557 -66.2836185589999,-60.950563557 -66.266109559,-60.9304185569999 -66.256254559,-60.900554557 -66.237790559,-60.710109557 -66.099363559,-60.683890557 -66.0794545589999,-60.653890556 -66.050981559,-60.564027556 -65.9506995579999,-60.6111905559999 -65.929227558,-60.6583365559999 -65.925427558,-60.7133365569999 -65.928890558,-60.744727557 -65.931118558,-60.823063557 -65.9366725579999,-60.8491635569999 -65.9358365579999,-60.8775095569999 -65.9298725579999,-60.932499557 -65.9108455579999,-60.9590365569999 -65.9047275579999,-61.0116725569999 -65.9136185579999,-60.9846545569999 -65.961109558,-60.9845905569999 -65.993899558,-60.9972185569999 -66.0211185589999,-61.0224995569999 -66.045981559,-61.047645557 -66.059445559,-61.079445557 -66.061118559,-61.106181557 -66.043899559,-61.113336557 -66.0147275589999,-61.123890557 -65.989181558,-61.1458365569999 -65.9676545579999,-61.228336557 -65.923890558,-61.249999557 -65.918199558,-61.290554557 -65.9136185579999,-61.313754557 -65.9159815579999,-61.342918557 -65.923063558,-61.368336557 -65.9366725579999,-61.3802095569999 -65.9588275579999,-61.338890557 -65.994099558,-61.3384725569999 -66.061881559,-61.370699557 -66.074309559,-61.506254557 -66.0556995589999,-61.608336557 -66.051118559,-61.688899557 -66.093063559,-61.719399557 -66.125236559,-61.755009558 -66.140563559,-61.828054558 -66.161118559,-61.872781558 -66.171954559,-61.909999558 -66.1427905589999,-61.933199558 -66.136809559,-61.9812545579999 -66.138481559,-62.0155635579999 -66.134172559,-62.0527815579999 -66.1166725589999,-62.0798635579999 -66.092227559,-62.0894545579999 -66.066536559,-62.099445558 -66.044181559,-62.1225095579999 -66.0258455589999,-62.146118558 -66.014172559,-62.182227558 -66.0047275589999,-62.215563558 -66.0013995579999,-62.2647275579999 -65.9991725579999,-62.296672558 -65.999727558,-62.336672558 -66.0008365579999,-62.366254558 -65.9941725579999,-62.4573635579999 -65.9111185579999,-62.436390558 -65.8441815579999,-62.420563558 -65.817227558,-62.389163558 -65.770845558,-62.373054558 -65.757781558,-62.3445905579999 -65.7483365579999,-62.3069455579999 -65.7422365579999,-62.2837545579999 -65.7400095579999,-62.2469455579999 -65.731945558,-62.211672558 -65.7191815579999,-62.123063558 -65.651945558,-62.108754558 -65.634863558,-62.132399558 -65.605072558,-62.0922275579999 -65.5713995579999,-62.065281558 -65.5591725579999,-62.0436185579999 -65.5533455579999,-62.012645558 -65.551399558,-61.907499558 -65.5572365579999,-61.7797275579999 -65.5594455579999,-61.7106995569999 -65.553481558,-61.683609557 -65.535281558,-61.702227557 -65.517509558,-61.743899558 -65.512509558,-61.791945558 -65.510281558,-61.8397275579999 -65.509445558,-61.8855635579999 -65.505845558,-61.918336558 -65.502790558,-61.985836558 -65.491390558,-62.030009558 -65.479036558,-62.061954558 -65.464736558,-62.079172558 -65.4527905579999,-62.0922275579999 -65.433899558,-62.124454558 -65.295972558,-61.979163558 -65.190009558,-61.9524995579999 -65.177790558,-61.914999558 -65.173336558,-61.890418558 -65.1770815579999,-61.831390558 -65.205281558,-61.803890558 -65.219999558,-61.782363558 -65.227654558,-61.736945557 -65.236399558,-61.697781557 -65.236390558,-61.674727557 -65.2350095579999,-61.630699557 -65.227372558,-61.6105545569999 -65.2143185579999,-61.604309557 -65.1940365579999,-61.6061185569999 -65.164736558,-61.5948635569999 -65.140981558,-61.527918557 -65.083899558,-61.503618557 -65.069872558,-61.4425095569999 -65.047227558,-61.209027557 -64.9883455579999,-61.155554557 -64.986681558,-61.123336557 -64.989454558,-61.0897275569999 -64.9950095579999,-61.017499557 -64.966127558,-61.001399557 -64.929454558,-60.892227557 -64.892790557,-60.760563557 -64.836945557,-60.743472557 -64.825845557,-60.727645557 -64.8083455569999,-60.704309557 -64.767227557,-60.6805545569999 -64.7388905569999,-60.661945556 -64.7244545569999,-60.6186185559999 -64.6988995569999,-60.374727556 -64.596118557,-60.293890556 -64.5700095569999,-60.1925095559999 -64.542236557,-59.9773635559999 -64.435427557,-59.946399556 -64.419727557,-59.918890556 -64.4122275569999,-59.806945556 -64.390018557,-59.778890556 -64.3850095569999,-59.749172556 -64.3825095569999,-59.7109725559999 -64.383199557,-59.685145556 -64.389590557,-59.6811185559999 -64.412509557,-59.693890556 -64.489172557,-59.700554556 -64.508899557,-59.649727556 -64.523054557,-59.565563555 -64.539736557,-59.533618555 -64.542236557,-59.4987545549999 -64.5347275569999,-59.4716725549999 -64.514027557,-59.469236555 -64.493963557,-59.518336555 -64.461954557,-59.561672555 -64.406399557,-59.579172555 -64.3683455569999,-59.5759815549999 -64.344872557,-59.5483365549999 -64.3288995569999,-59.520836555 -64.3225095569999,-59.493054555 -64.316118557,-59.4716725549999 -64.313054557,-59.4412545549999 -64.313054557,-59.412645555 -64.3193095569999,-59.3968095549999 -64.344181557,-59.277090555 -64.424727557,-59.172918555 -64.4579275569999,-59.1352815549999 -64.456681557,-59.107227555 -64.4516725569999,-59.0325095549999 -64.431263557,-58.994518555 -64.434036557,-58.996109555 -64.462918557,-59.006736555 -64.4936185569999,-58.976945555 -64.509454557,-58.916390555 -64.523345557,-58.833336555 -64.5369545569999,-58.803609555 -64.540845557,-58.7786365549999 -64.5358095569999,-58.759172555 -64.518481557,-58.736672555 -64.476672557,-58.7256995549999 -64.451954557,-58.724727555 -64.4286185569999,-58.7744455549999 -64.322781557,-58.8122275549999 -64.2761275569999,-58.880281555 -64.216399557,-58.7983365549999 -64.1719545569999,-58.781390555 -64.143890557,-58.753063555 -64.121399557,-58.7358365549999 -64.106672557,-58.720418555 -64.0855635569999,-58.6897275549999 -64.0331995569999,-58.660281555 -63.994172557,-58.646118555 -63.9797275569999,-58.594863555 -63.945699557,-58.564172555 -63.9311185569999,-58.524999555 -63.919445557,-58.395563554 -63.858336557,-58.375281554 -63.832499556,-58.284999554 -63.7725095559999,-58.213063554 -63.727081556,-58.047781554 -63.670009556,-58.0204185539999 -63.664590556,-57.989999554 -63.6690275559999,-57.9611185539999 -63.675981556,-57.858890554 -63.671809556,-57.613127554 -63.620072556,-57.5938185539999 -63.5983365559999,-57.645836554 -63.592781556,-57.6643095539999 -63.5770815559999,-57.635972554 -63.560009556,-57.548890554 -63.541672556,-57.513063554 -63.538754556,-57.4244455529999 -63.501109556,-57.386390553 -63.462645556,-57.184718553 -63.465281556,-57.1515275529999 -63.469536556,-57.127781553 -63.499727556,-57.1219455529999 -63.519027556,-57.140009553 -63.577227556,-57.157499553 -63.6073635559999,-57.146672553 -63.6344455559999,-57.116118553 -63.6411095559999,-56.8158365529999 -63.6516725559999,-56.7943095529999 -63.649999556,-56.7329185529999 -63.609309556,-56.720281553 -63.591390556,-56.726527553 -63.5571545559999,-56.7558365529999 -63.532227556,-56.7765275529999 -63.5243095559999,-56.9463995529999 -63.450563556,-56.953336553 -63.382227556,-56.9861095529999 -63.275490556,-57.012781553 -63.246672556,-57.036109553 -63.235836556,-57.077509553 -63.223890556,-57.127499553 -63.2133365559999,-57.159445553 -63.208618556,-57.197781553 -63.205418556,-57.276672553 -63.209163556,-57.2970815529999 -63.212090556,-57.397509553 -63.231390556,-57.618618554 -63.261672556,-57.688609554 -63.268890556,-57.860418554 -63.2998635559999,-57.948681554 -63.354381556,-57.973336554 -63.389518556,-58.1349995539999 -63.4552815559999,-58.154727554 -63.460418556,-58.1840365539999 -63.460563556,-58.232918554 -63.451527556,-58.368754554 -63.4455545559999,-58.404163554 -63.448336556,-58.4313995539999 -63.4536095559999,-58.634727555 -63.4913905559999,-58.746945555 -63.5047185559999,-58.9041725549999 -63.531809556,-58.917781555 -63.597990556,-58.8945185549999 -63.638372556,-59.070563555 -63.7044455559999,-59.100281555 -63.7044455559999,-59.125836555 -63.6911185559999,-59.146118555 -63.6797275559999,-59.167918555 -63.6737545559999,-59.204172555 -63.675563556,-59.245836555 -63.681945556,-59.3005635549999 -63.6922185559999,-59.334799555 -63.7053455559999,-59.394172555 -63.808336556,-59.403063555 -63.848618556,-59.398336555 -63.8719455569999,-59.4324995549999 -63.889454557,-59.453199555 -63.893054557,-59.559172555 -63.887218557,-59.6377815559999 -63.871390557,-59.688609556 -63.857509557,-59.7249995559999 -63.852645556,-59.753472556 -63.8563905569999,-59.781118556 -63.8613905569999,-59.811809556 -63.859309557,-59.8302815559999 -63.847781556,-59.825563556 -63.8177815559999,-59.814863556 -63.785690556,-59.837918556 -63.771527556,-59.865563556 -63.776390556,-59.8950095559999 -63.8012545559999,-59.947090556 -63.895354557,-59.966390556 -63.920281557,-59.997227556 -63.9352815569999,-60.0241725559999 -63.9426455569999,-60.054445556 -63.941390557,-60.103618556 -63.931536557,-60.265836556 -63.918336557,-60.2874995559999 -63.920836557,-60.333618556 -63.935836557,-60.3800095559999 -63.949863557,-60.494727556 -63.979999557,-60.5383365559999 -63.986672557,-60.7113995569999 -64.002790557,-60.9069545569999 -64.023054557,-60.971254557 -64.031118557,-60.9979185569999 -64.0388905569999,-61.0168725569999 -64.0595185569999,-60.985145557 -64.083345557,-60.930836557 -64.0994545569999,-60.8547275569999 -64.139727557,-60.862499557 -64.142790557,-60.924999557 -64.137218557,-60.9475095569999 -64.137499557,-60.964172557 -64.148609557,-60.960554557 -64.206681557,-60.938754557 -64.235836557,-60.943263557 -64.275909557,-60.9765275569999 -64.285281557,-61.033481557 -64.2945905569999,-61.059727557 -64.304454557,-61.084727557 -64.322090557,-61.089027557 -64.345281557,-61.1663905569999 -64.376399557,-61.2338905569999 -64.390563557,-61.301581557 -64.3594095569999,-61.358609557 -64.357509557,-61.393754557 -64.364727557,-61.5019455569999 -64.410845557,-61.5411185569999 -64.436672557,-61.5355635569999 -64.459163557,-61.508899557 -64.490009557,-61.487363557 -64.494590557,-61.4583365569999 -64.490427557,-61.431672557 -64.493199557,-61.4559725569999 -64.521118557,-61.482509557 -64.531536557,-61.628890557 -64.564454557,-61.658472557 -64.565990557,-61.841945558 -64.5652815569999,-61.870563558 -64.570427557,-61.903336558 -64.585009557,-61.920836558 -64.604245557,-61.904999558 -64.631118557,-61.9062545579999 -64.6572275569999,-61.917363558 -64.6776455569999,-61.942363558 -64.692363557,-62.018054558 -64.707781557,-62.0402815579999 -64.706118557,-62.064727558 -64.688618557,-62.101672558 -64.688609557,-62.1981995579999 -64.726672557,-62.1974365579999 -64.750972557,-62.224309558 -64.7616725569999,-62.2740275579999 -64.7472185569999,-62.359727558 -64.650009557,-62.3846905579999 -64.605972557,-62.424727558 -64.584736557,-62.458472558 -64.592781557,-62.509727558 -64.648681557,-62.495699558 -64.685427557,-62.484727558 -64.714172557,-62.488890558 -64.737236557,-62.511390558 -64.747790557,-62.541809558 -64.748336557,-62.589172558 -64.744036557,-62.611390558 -64.757854557,-62.5216635579999 -64.821118557,-62.492363558 -64.835009557,-62.450281558 -64.846118557,-62.4036185579999 -64.856127557,-62.380145558 -64.857372557,-62.3511185579999 -64.852236557,-62.3299995579999 -64.861809557,-62.3716725579999 -64.877790557,-62.530836558 -64.9072275569999,-62.553336558 -64.900145557,-62.5916635579999 -64.873063557,-62.615972558 -64.851672557,-62.6349995579999 -64.8363995569999,-62.660281558 -64.825009557,-62.711118558 -64.805699557,-62.7443095579999 -64.7986185569999,-62.938409559 -64.800899557,-62.874172559 -64.8238995569999,-62.8263905589999 -64.8288995569999,-62.794172558 -64.833618557,-62.768472558 -64.846181557,-62.8094455579999 -64.899181557,-62.8379185589999 -64.906681557,-62.876109559 -64.9072275569999,-62.940281559 -64.900281557,-63.0065275589999 -64.899036557,-63.1538905589999 -64.9258455569999,-63.173618559 -64.943481558,-63.122218559 -65.010490558,-63.0286185589999 -65.037509558,-62.9958365589999 -65.081390558,-63.024445559 -65.107790558,-63.090563559 -65.1338995579999,-63.1144455589999 -65.131954558,-63.172227559 -65.121399558,-63.219099559 -65.1019545579999,-63.2640275589999 -65.066954558,-63.332781559 -65.068618558,-63.3683365589999 -65.078618558,-63.396945559 -65.087781558,-63.559445559 -65.060290558,-63.672499559 -65.031399558,-63.815281559 -65.003481558,-63.851954559 -65.0108365579999,-63.886809559 -65.020981558,-63.9224995599999 -65.0338905579999,-63.94111856 -65.0427815579999,-64.07417256 -65.184863558,-64.04945456 -65.300290558,-64.05195456 -65.424590558,-64.02167256 -65.442090558,-63.98278156 -65.456118558,-63.884445559 -65.481399558,-63.807154559 -65.467918558,-63.718472559 -65.499027558,-63.7341725589999 -65.516109558,-63.747509559 -65.520845558,-63.828899559 -65.518345558,-64.04779056 -65.515018558,-64.10945456 -65.5174995579999,-64.13889956 -65.524172558,-64.1716725599999 -65.542227558,-64.1551455599999 -65.595836558,-64.10737256 -65.6127815579999,-64.06098156 -65.628890558,-64.02695456 -65.658899558,-64.0480635599999 -65.675563558,-64.17674556 -65.659799558,-64.19986356 -65.638481558,-64.24848156 -65.628345558,-64.36834556 -65.622218558,-64.4043095599999 -65.627509558,-64.3606995599999 -65.6709815579999,-64.2981995599999 -65.692927558,-64.27389956 -65.711536558,-64.31611856 -65.7788905579999,-64.3638995599999 -65.779872558,-64.4422275599999 -65.760009558,-64.60250956 -65.725572558,-64.62625456 -65.7259815579999,-64.6600095599999 -65.743336558,-64.6740365599999 -65.786609558,-64.66042756 -65.831672558,-64.64001856 -65.850572558,-64.60652756 -65.864727558,-64.55667256 -65.8805635579999,-64.49473656 -65.900009558,-64.44694556 -65.923336558,-64.4231365599999 -65.948890558,-64.44778156 -65.9779185579999,-64.4788995599999 -65.9950095579999,-64.5069545599999 -66.006954559,-64.53666356 -66.018345559,-64.56611856 -66.028336559,-64.60292756 -66.039036559,-64.64195456 -66.0444455589999,-64.6663995599999 -66.0425095589999,-64.70014556 -66.032499559,-64.7750095599999 -65.988063558,-64.80167256 -65.944872558,-64.8505725599999 -65.9350095579999,-64.9233365599999 -65.932090558,-64.95333656 -65.9373725579999,-64.9936185609999 -65.9591635579999,-65.012363561 -65.970281558,-65.0908365609999 -65.983336558,-65.1270905609999 -65.9688905579999,-65.160845561 -65.9652905579999,-65.208618561 -65.967509558,-65.246945561 -65.9736185579999,-65.282018561 -65.988890558,-65.3013905609999 -66.0177905589999,-65.303063561 -66.045290559,-65.260836561 -66.066954559,-65.2356995609999 -66.0729275589999,-65.1654275609999 -66.129381559,-65.1818185609999 -66.154027559,-65.215290561 -66.168063559,-65.2395905609999 -66.168345559,-65.490281561 -66.108336559,-65.5808455609999 -66.101390559,-65.694172561 -66.127090559,-65.685427561 -66.145281559,-65.666118561 -66.163899559,-65.6744545609999 -66.200009559,-65.7098725609999 -66.250418559,-65.737372561 -66.270427559,-65.7744455609999 -66.281954559,-65.805554561 -66.2883455589999,-65.825563561 -66.295836559,-65.947363561 -66.355981559,-65.972499561 -66.3874995589999,-65.986254561 -66.4129185589999,-66.0044545609999 -66.4502905589999,-66.042236562 -66.508054559,-66.057509562 -66.526945559,-66.0970905619999 -66.5647275589999,-66.1251455619999 -66.5558365589999,-66.171809562 -66.550145559,-66.281109562 -66.561109559,-66.325981562 -66.5680635589999,-66.4227905619999 -66.588899559,-66.458618562 -66.5977815589999,-66.4861185619999 -66.6125095589999,-66.500972562 -66.6288995589999,-66.527645562 -66.767645559,-66.470009562 -66.803481559,-66.423336562 -66.813618559,-66.374172562 -66.839036559,-66.380563562 -66.866254559,-66.399454562 -66.8822275589999,-66.4688995619999 -66.914463559,-66.499172562 -66.926118559,-66.5508455619999 -66.941954559,-66.651945562 -66.9750095589999,-66.685563562 -66.986390559,-66.7369545619999 -67.010009559,-66.7661095619999 -67.028336559,-66.8011185619999 -67.052781559,-66.873336562 -67.07779056,-66.874727562 -67.006390559,-66.859381562 -66.922863559,-66.906681562 -66.905836559,-66.957509562 -66.902790559,-66.9908455619999 -66.902236559,-67.023345562 -66.905018559,-67.152509563 -66.931118559,-67.172372563 -66.9398635589999,-67.219181563 -67.0030635589999,-67.223345563 -67.029727559,-67.3033455629999 -67.08292756,-67.336118563 -67.0873725599999,-67.378063563 -67.0869455599999,-67.485836563 -67.07722756,-67.602454563 -67.17104556,-67.589445563 -67.19056356,-67.5611095629999 -67.24305456,-67.5408455629999 -67.3086275599999,-67.544727563 -67.36611856,-67.568618563 -67.37999956,-67.5961185629999 -67.3994455599999,-67.671390563 -67.48264556,-67.6249365629999 -67.55125456,-67.591399563 -67.5580635599999,-67.5738995629999 -67.55750956,-67.4547275629999 -67.55084556,-67.355009563 -67.53722756,-67.3222365629999 -67.53222756,-67.281399563 -67.52319956,-67.233063563 -67.50348156,-67.200845563 -67.49389956,-67.166399563 -67.48917256,-66.866672562 -67.50418156,-66.823481562 -67.51069956,-66.801809562 -67.52279056,-66.7765365619999 -67.5345815599999,-66.7327905619999 -67.54028156,-66.6549545619999 -67.54306356,-66.597872562 -67.54497256,-66.5452905619999 -67.5441725599999,-66.513199562 -67.52625456,-66.464172562 -67.51515456,-66.433763562 -67.52709056,-66.4400095619999 -67.55459056,-66.483899562 -67.5816815599999,-66.513063562 -67.59279056,-66.536672562 -67.59611856,-66.587281562 -67.59567256,-66.6081275619999 -67.59267256,-66.6365365619999 -67.59292756,-66.700290562 -67.59695456,-66.733609562 -67.60444556,-66.7568095619999 -67.61181856,-66.8702815619999 -67.65749956,-66.8989635619999 -67.67660956,-66.9169545619999 -67.7076455599999,-66.896254562 -67.71792756,-66.852781562 -67.71751856,-66.826254562 -67.71542756,-66.7830635619999 -67.71556356,-66.748899562 -67.71722756,-66.705563562 -67.7218095599999,-66.679863562 -67.7330635599999,-66.712781562 -67.74389956,-66.746399562 -67.7455635599999,-66.772372562 -67.74541856,-66.833345562 -67.74667256,-66.8847365619999 -67.7499995599999,-66.9705635619999 -67.75750956,-67.004181562 -67.76501856,-67.023209562 -67.78215456,-67.000563562 -67.7918095599999,-66.9244545619999 -67.78472756,-66.8456995619999 -67.78319956,-66.713818562 -67.79972756,-66.731809562 -67.81569956,-66.7741725619999 -67.81749956,-66.816818562 -67.82069956,-66.843472562 -67.8423995599999,-66.8036185619999 -67.87389956,-66.785981562 -67.9009095599999,-66.814863562 -67.92180956,-66.856945562 -67.92778156,-66.958890562 -67.9397275599999,-67.079727562 -67.95029056,-67.129727563 -67.95306356,-67.1572275629999 -68.01056356,-67.164463563 -68.05555456,-67.146118563 -68.09778156,-66.916399562 -68.219999561,-66.888618562 -68.227236561,-66.853618562 -68.2283365609999,-66.8275095619999 -68.216818561,-66.784454562 -68.196809561,-66.745009562 -68.185009561,-66.701118562 -68.180418561,-66.665563562 -68.182509561,-66.6375095619999 -68.1934815609999,-66.5922275619999 -68.242927561,-66.7895905619999 -68.304172561,-66.824590562 -68.307781561,-66.8683455619999 -68.306399561,-66.923336562 -68.301118561,-66.958618562 -68.2947275609999,-67.0677815619999 -68.2830635609999,-67.104736562 -68.281681561,-67.1388995629999 -68.2833365609999,-67.161536563 -68.296736561,-67.140018563 -68.325290561,-67.1216725629999 -68.338627561,-67.102509562 -68.344999561,-67.082781562 -68.349727561,-67.0477905619999 -68.351672561,-67.003763562 -68.347090561,-66.969318562 -68.3506995609999,-66.9376455619999 -68.376536561,-66.926945562 -68.401954561,-66.9334815619999 -68.425281561,-66.957090562 -68.441945561,-66.997790562 -68.4558455609999,-67.0327905619999 -68.463345561,-67.059863562 -68.4662635609999,-67.102781562 -68.473618561,-67.1454275629999 -68.4826545609999,-67.1736815629999 -68.503963561,-67.016954562 -68.678072561,-66.957509562 -68.7288995609999,-66.942227562 -68.7419545609999,-66.931809562 -68.7692455609999,-66.964727562 -68.788890561,-67.006954562 -68.796109561,-67.044172562 -68.798336561,-67.114454563 -68.8013905609999,-67.179863563 -68.801536561,-67.245563563 -68.792509561,-67.2836185629999 -68.788072561,-67.338899563 -68.784454561,-67.401263563 -68.786118561,-67.4561275629999 -68.794172561,-67.4883455629999 -68.813963561,-67.477781563 -68.848072561,-67.452518563 -68.867509561,-67.417509563 -68.885836561,-67.3913995629999 -68.898345561,-67.364454563 -68.905018561,-67.3261275629999 -68.914172561,-67.171954563 -68.9413905609999,-67.102781562 -68.952518561,-67.0158365619999 -68.9644455609999,-66.9425095619999 -68.969999561,-66.8680545619999 -68.965563561,-66.831390562 -68.9600095609999,-66.793336562 -68.956390561,-66.7591725619999 -68.957499561,-66.737790562 -68.9597365609999,-66.6970995619999 -68.968754561,-66.664872562 -68.981390561,-66.651118562 -68.999036561,-66.659872562 -69.021263561,-66.706118562 -69.061672561,-66.725009562 -69.073899561,-66.746399562 -69.0866725609999,-66.977236562 -69.219999561,-67.015563562 -69.2383455619999,-67.173890563 -69.3033455619999,-67.213054563 -69.313899562,-67.396954563 -69.350572562,-67.436954563 -69.3577905619999,-67.473072563 -69.3638905619999,-67.514172563 -69.369172562,-67.5722365629999 -69.374172562,-67.667509563 -69.378618562,-67.7433455629999 -69.376681562,-67.833618563 -69.372790562,-67.8700095629999 -69.370836562,-67.943618563 -69.3638905619999,-67.9969455629999 -69.356945562,-68.0297275629999 -69.350845562,-68.054454563 -69.3427905619999,-68.087781563 -69.324718562,-68.110836563 -69.3019545619999,-68.122299563 -69.280918562,-68.159445563 -69.265427562,-68.2047275639999 -69.266954562,-68.269963564 -69.277427562,-68.285699564 -69.292581562,-68.254727564 -69.3222365619999,-68.229727564 -69.363899562,-68.249309564 -69.376954562,-68.293899564 -69.3827815619999,-68.333345564 -69.378063562,-68.406399564 -69.373899562,-68.443345564 -69.373336562,-68.552781564 -69.374999562,-68.720836564 -69.3783455619999,-68.758345564 -69.381954562,-68.802790564 -69.393490562,-68.832781564 -69.413545562,-68.720290564 -69.479172562,-68.615845564 -69.523345562,-68.5752905639999 -69.533618562,-68.549454564 -69.5388905619999,-68.339445564 -69.6788905619999,-68.3294545639999 -69.6993095619999,-68.3433455639999 -69.734872562,-68.358063564 -69.7716725619999,-68.349454564 -69.8036185619999,-68.344727564 -69.810563562,-68.342790564 -69.8356995619999,-68.362718564 -69.8677185619999,-68.403063564 -69.8891725619999,-68.456681564 -69.909454562,-68.489727564 -69.9236185619999,-68.5022995639999 -69.941463562,-68.391254564 -70.118199562,-68.3715365639999 -70.1344455619999,-68.335845564 -70.150009562,-68.153336563 -70.211118562,-68.044727563 -70.229736562,-68.005572563 -70.2383455619999,-67.981527563 -70.2477815619999,-67.9562635629999 -70.263754562,-67.924863563 -70.299036563,-67.831954563 -70.496127563,-67.730009563 -70.566118563,-67.713899563 -70.579454563,-67.702090563 -70.607299563,-67.728899563 -70.632781563,-67.738063563 -70.6536905629999,-67.658336563 -70.722499563,-67.570981563 -70.7936185629999,-67.5527815629999 -70.8255635629999,-67.5177905629999 -70.903627563,-67.4029275629999 -71.036536563,-67.396954563 -71.065845563,-67.396118563 -71.1638905629999,-67.401945563 -71.1866725629999,-67.417090563 -71.210009563,-67.445009563 -71.2302815629999,-67.485772563 -71.254999563,-67.509445563 -71.2838905629999,-67.5180635629999 -71.3033455629999,-67.534309563 -71.4577905639999,-67.458345563 -71.5583365639999,-67.438063563 -71.5836185639999,-67.4211185629999 -71.599872564,-67.363063563 -71.640836564,-67.306954563 -71.675563564,-67.255281563 -71.686954564,-67.234727563 -71.687790564,-67.209454563 -71.687499564,-67.188899563 -71.6886095639999,-67.167509563 -71.692781564,-67.145009563 -71.698899564,-67.119454563 -71.707927564,-67.088618562 -71.7236185639999,-67.068618562 -71.736390564,-66.864727562 -71.888763564,-66.860427562 -71.9086185639999,-66.920563562 -71.9358365639999,-66.957363562 -71.952781564,-66.977509562 -71.9727815639999,-66.952090562 -72.192509564,-66.918627562 -72.305845564,-66.868545562 -72.362163564,-66.830563562 -72.378890564,-66.800281562 -72.406190564,-67.064999562 -72.507236565,-67.202518563 -72.555009565,-67.243054563 -72.566681565,-67.273209563 -72.575290565,-67.3052815629999 -72.592518565,-67.331954563 -72.612499565,-67.3552815629999 -72.639036565,-67.374727563 -72.669027565,-67.406109563 -72.705563565,-67.424454563 -72.725845565,-67.454454563 -72.7522275649999,-67.495699563 -72.782254565,-67.518890563 -72.798890565,-67.543063563 -72.8124995649999,-67.588618563 -72.833072565,-67.630281563 -72.845836565,-67.688063563 -72.8586095649999,-67.712509563 -72.862790565,-67.754454563 -72.866118565,-67.8447275629999 -72.867781565,-67.864727563 -72.867509565,-67.8880635629999 -72.869172565,-67.930554563 -72.873899565,-67.976963563 -72.881672565,-68.0180635629999 -72.8916815649999,-68.0388905629999 -72.897509565,-68.1225095629999 -72.924727565,-68.166672563 -72.936672565,-68.2294455639999 -72.953609565,-68.2950095639999 -72.966672565,-68.360290564 -72.9794455649999,-68.576809564 -73.039999565,-68.603618564 -73.049727565,-68.624727564 -73.055281565,-68.8902905639999 -73.1041725649999,-69.213899564 -73.163345565,-69.428345565 -73.197236565,-69.7891725649999 -73.2319455649999,-69.856127565 -73.236390565,-69.946672565 -73.240845565,-70.171390565 -73.264872565,-70.200563565 -73.274445565,-70.2480635649999 -73.283890565,-70.286118565 -73.2891725649999,-70.311109565 -73.2916725649999,-70.344454566 -73.293345565,-70.3786185659999 -73.292781565,-70.4688995659999 -73.285845565,-70.583618566 -73.278063565,-70.628345566 -73.2758455649999,-70.673890566 -73.274445565,-70.7188995659999 -73.2733455649999,-70.765290566 -73.2733455649999,-71.104172566 -73.2852815649999,-71.1502815659999 -73.288618565,-71.1961185659999 -73.297227565,-71.291672566 -73.3275185649999,-71.418336567 -73.368054565,-71.564727567 -73.3799995649999,-71.5888995669999 -73.3777905649999,-71.6583365669999 -73.3777905649999,-71.7247275669999 -73.3788905649999,-71.772227567 -73.3799995649999,-72.044445567 -73.397236565,-72.159181567 -73.409454565,-72.182509567 -73.412781565,-72.206954567 -73.413890565,-72.274445567 -73.4163995649999,-72.342509567 -73.4166725649999,-72.414172567 -73.424181565,-72.446672567 -73.430009565,-72.502781568 -73.4444545649999,-72.539172568 -73.4634815649999,-72.568345568 -73.473618565,-72.591945568 -73.4769635649999,-72.638063568 -73.478618565,-72.729445568 -73.471954565,-72.799454568 -73.471390565,-72.868899568 -73.4727815649999,-72.915009568 -73.474454565,-72.984999568 -73.4791725649999,-73.070845568 -73.488890565,-73.1194455679999 -73.4963995649999,-73.160572568 -73.508899565,-73.185427568 -73.518754566,-73.189899568 -73.547918566,-73.2286185679999 -73.5727815659999,-73.275009568 -73.574445566,-73.2986185679999 -73.574172566,-73.3233365679999 -73.569736566,-73.340972568 -73.5597275659999,-73.3680545679999 -73.541945566,-73.3891725679999 -73.535572566,-73.4138905679999 -73.5313995659999,-73.437227568 -73.5311095659999,-73.4669545679999 -73.5366725659999,-73.498336568 -73.5522275659999,-73.685290569 -73.609172566,-73.743336569 -73.625009566,-73.7631995689999 -73.6382095659999,-73.804727569 -73.663481566,-73.9088905689999 -73.705290566,-73.9325095689999 -73.7102815659999,-73.9549995689999 -73.708618566,-73.978899569 -73.703063566,-74.006527569 -73.692645566,-74.051390569 -73.6688995659999,-74.0736275689999 -73.661954566,-74.118054569 -73.655290566,-74.1424995689999 -73.6563995659999,-74.1658455689999 -73.658063566,-74.235563569 -73.6663995659999,-74.2852815689999 -73.673618566,-74.357790569 -73.684718566,-74.4388995689999 -73.699590566,-74.475972569 -73.710981566,-74.497927569 -73.726954566,-74.526809569 -73.742372566,-74.558627569 -73.745281566,-74.582781569 -73.743054566,-74.604736569 -73.7380635659999,-74.62695457 -73.7308365659999,-74.6652815699999 -73.718063566,-74.7025185699999 -73.703899566,-74.76556357 -73.684172566,-74.78611857 -73.678072566,-74.81167257 -73.6747275659999,-74.8566725699999 -73.6713995659999,-75.18028157 -73.662781566,-75.20389957 -73.662509566,-75.2252815699999 -73.664736566,-75.28209057 -73.679736566,-75.49721857 -73.722781566,-75.54389957 -73.726118566,-75.57000957 -73.728054566,-75.59167257 -73.730281566,-75.64222757 -73.7372275659999,-75.6652815699999 -73.740845566,-75.715290571 -73.7497275659999,-75.913072571 -73.788890566,-76.0122185709999 -73.809445566,-76.0891725709999 -73.8202815659999,-76.116954571 -73.823627566,-76.146118571 -73.825836566,-76.196672571 -73.827227566,-76.2691815709999 -73.826672566,-76.290009571 -73.825836566,-76.3352815709999 -73.820009566,-76.356118571 -73.801672566,-76.391109571 -73.787509566,-76.4411185709999 -73.788890566,-76.4647365709999 -73.790281566,-76.6022365709999 -73.802781566,-76.631672571 -73.806945566,-76.718336571 -73.826399566,-76.7569545709999 -73.8375095659999,-76.814999572 -73.852236566,-76.8555635719999 -73.8624995659999,-76.884736572 -73.8669545659999,-76.912781572 -73.870009566,-76.962781572 -73.873063566,-76.9869545719999 -73.872509566,-77.039454572 -73.865699566,-77.069736572 -73.858609566,-77.0906995719999 -73.846681566,-77.092645572 -73.8188905659999,-77.057236572 -73.798336566,-77.029727572 -73.786954566,-76.9180635719999 -73.7494545659999,-76.852236572 -73.727236566,-76.638063571 -73.636127566,-76.6130635709999 -73.618199566,-76.608890571 -73.590290566,-76.624036571 -73.5727815659999,-76.6540365709999 -73.557918566,-76.700563571 -73.545009566,-76.748899571 -73.535145566,-76.7805635719999 -73.532227566,-76.8038905719999 -73.5313995659999,-76.831681572 -73.532499566,-77.023345572 -73.554172566,-77.0727815719999 -73.557236566,-77.098890572 -73.557236566,-77.142790572 -73.555281566,-77.187227572 -73.5472275659999,-77.224163572 -73.5394635659999,-77.262790572 -73.530563566,-77.302509572 -73.5227815659999,-77.346118572 -73.521118566,-77.400009572 -73.523618566,-77.480836572 -73.531681566,-77.5083455719999 -73.536663566,-77.8416725719999 -73.5750095659999,-77.900281573 -73.581390566,-77.978899573 -73.588627566,-78.0575095729999 -73.5936095659999,-78.112790573 -73.599727566,-78.142227573 -73.6038995659999,-78.3288995729999 -73.640836566,-78.583890573 -73.682781566,-78.6136185729999 -73.6869545659999,-78.669445573 -73.692781566,-78.7224995729999 -73.6958455659999,-78.767790573 -73.695009566,-78.789736573 -73.693072566,-78.8381995729999 -73.680145566,-78.8606905729999 -73.6592365659999,-78.843899573 -73.6099995659999,-78.8272365729999 -73.582927566,-78.8075095729999 -73.557509566,-78.805136573 -73.515699565,-78.832227573 -73.4684815649999,-78.855845573 -73.445009565,-78.8866725729999 -73.422090565,-78.923063574 -73.405018565,-78.958890574 -73.392499565,-79.029172574 -73.3705635649999,-79.104736574 -73.351390565,-79.1447275739999 -73.344727565,-79.166399574 -73.340290565,-79.2402815739999 -73.324172565,-79.3065365739999 -73.309172565,-79.460009574 -73.267499565,-79.545563574 -73.237227565,-79.652236574 -73.1874995649999,-79.7286185739999 -73.154172565,-79.795290574 -73.130572565,-79.8494545739999 -73.116672565,-79.933899574 -73.105563565,-80.0213905749999 -73.101390565,-80.092509575 -73.100845565,-80.140836575 -73.101118565,-80.235836575 -73.100845565,-80.281399575 -73.098890565,-80.345836575 -73.093336565,-80.388063575 -73.088899565,-80.449445575 -73.0808455649999,-80.5258455749999 -73.0655635649999,-80.5630635749999 -73.057236565,-80.5855545749999 -73.054172565,-80.626109575 -73.0505635649999,-80.660563575 -73.049454565,-80.695554575 -73.0505635649999,-80.720290575 -73.054736565,-80.7580635749999 -73.068481565,-80.768336575 -73.0875095649999,-80.763072575 -73.1131995649999,-80.751254575 -73.135418565,-80.728054575 -73.159181565,-80.698336575 -73.173618565,-80.6508455749999 -73.192781565,-80.616390575 -73.203336565,-80.5624995749999 -73.217518565,-80.538472575 -73.227090565,-80.5191815749999 -73.244872565,-80.5022275749999 -73.288890565,-80.4961275749999 -73.3102905649999,-80.4834095749999 -73.358618565,-80.4934725749999 -73.403763565,-80.5027905749999 -73.428072565,-80.5269545749999 -73.4494545649999,-80.555554575 -73.457227565,-80.6052815749999 -73.459454565,-80.649445575 -73.4541815649999,-80.7133455749999 -73.445281565,-80.8113995749999 -73.430554565,-80.837645575 -73.420699565,-80.850836575 -73.405563565,-80.8681995749999 -73.390145565,-80.908890575 -73.3730635649999,-80.946672575 -73.365009565,-80.989454575 -73.360290565,-81.056945575 -73.357790565,-81.176390576 -73.3558365649999,-81.230281576 -73.359727565,-81.255281576 -73.363890565,-81.282090576 -73.373609565,-81.301681576 -73.4000095649999,-81.307781576 -73.428072565,-81.307781576 -73.4625095649999,-81.3029275759999 -73.5053545649999,-81.266954576 -73.540981566,-81.231945576 -73.558899566,-81.200836576 -73.574172566,-81.1665365759999 -73.593481566,-81.048336575 -73.676118566,-81.037090575 -73.7052815659999,-81.063609575 -73.7266725659999,-81.0836185759999 -73.7322275659999,-81.126109576 -73.741672566,-81.204872576 -73.756809566,-81.222781576 -73.776263566,-81.223754576 -73.807509566,-81.229045576 -73.838063566,-81.255845576 -73.846390566,-81.284454576 -73.848890566,-81.308336576 -73.850009566,-81.4061095759999 -73.847781566,-81.450009576 -73.844999566,-81.503063576 -73.8436095659999,-81.554172576 -73.845563566,-81.614454576 -73.851118566,-81.645009576 -73.854736566,-81.6708365759999 -73.8588995659999,-81.761127576 -73.877790566,-81.843899576 -73.896663566,-81.9061095759999 -73.910281566,-81.930845576 -73.915281566,-82.001109576 -73.928618566,-82.076672576 -73.940563566,-82.105563576 -73.942781566,-82.134172576 -73.9433455659999,-82.181399577 -73.940845566,-82.223345577 -73.934718566,-82.243345577 -73.931118566,-82.280009577 -73.9213995659999,-82.303899577 -73.9115365659999,-82.329590577 -73.8828545659999,-82.346118577 -73.846954566,-82.384590577 -73.8298725659999,-82.4229275769999 -73.822509566,-82.4805635769999 -73.817499566,-82.6077905769999 -73.8163905659999,-82.656954577 -73.817227566,-82.790009577 -73.821399566,-82.948063577 -73.828609566,-82.979172577 -73.829181566,-83.053345577 -73.827790566,-83.076672577 -73.826399566,-83.119736577 -73.821399566,-83.158063577 -73.814727566,-83.1788905769999 -73.810009566,-83.239172578 -73.791954566,-83.3004185779999 -73.765427566,-83.3476095779999 -73.753199566,-83.4536095779999 -73.740572566,-83.476390578 -73.736954566,-83.5125095779999 -73.729172566,-83.554736578 -73.715563566,-83.596954578 -73.6869545659999,-83.6344455779999 -73.669309566,-83.6898725779999 -73.656254566,-83.746672578 -73.651127566,-83.7683365779999 -73.650554566,-83.8452905779999 -73.651127566,-83.955290578 -73.655290566,-84.198336578 -73.6680635659999,-84.451945579 -73.680554566,-84.554454579 -73.682509566,-84.607790579 -73.682236566,-84.732509579 -73.680845566,-84.797499579 -73.676681566,-84.956954579 -73.661954566,-85.020281579 -73.653899566,-85.083618579 -73.6455725659999,-85.125563579 -73.640018566,-85.38862758 -73.598618566,-85.42834558 -73.5916725659999,-85.48722758 -73.581118566,-85.55555458 -73.568336566,-85.59972758 -73.558336566,-85.65556358 -73.544172566,-85.68722758 -73.532790566,-85.70861858 -73.5226455659999,-85.72653658 -73.4961275649999,-85.7063905799999 -73.471118565,-85.68779058 -73.4583455649999,-85.65833658 -73.4405635649999,-85.54806358 -73.3755635649999,-85.52057258 -73.364727565,-85.48132758 -73.352363565,-85.54306358 -73.303345565,-85.56567258 -73.2953455649999,-85.66222758 -73.284181565,-85.68362758 -73.283618565,-85.7072275799999 -73.281109565,-85.76362758 -73.2711185649999,-85.7950095799999 -73.259736565,-85.82111858 -73.246672565,-85.84749958 -73.2308365649999,-85.88334558 -73.2069545649999,-85.90472758 -73.1897275649999,-85.92195458 -73.172790565,-85.95944558 -73.0871545649999,-85.9480635799999 -73.0597995649999,-85.97639058 -73.040427565,-86.03222758 -73.037227565,-86.07026358 -73.042290565,-86.08972758 -73.0579275649999,-86.1027815799999 -73.084736565,-86.10806358 -73.109590565,-86.1100095799999 -73.139309565,-86.1355635799999 -73.174999565,-86.17056358 -73.198899565,-86.22222758 -73.220836565,-86.26918158 -73.235290565,-86.30611858 -73.2438995649999,-86.32833658 -73.2480635649999,-86.38500958 -73.248899565,-86.458072581 -73.247218565,-86.510563581 -73.248609565,-86.551681581 -73.2563905649999,-86.5786185809999 -73.263899565,-86.612227581 -73.2769455649999,-86.644863581 -73.290836565,-86.670290581 -73.305281565,-86.698627581 -73.315845565,-86.738345581 -73.325290565,-86.787227581 -73.333072565,-86.840836581 -73.336399565,-86.925290581 -73.3394455649999,-86.975281581 -73.340290565,-87.048618581 -73.338627565,-87.070845581 -73.336945565,-87.113618581 -73.332227565,-87.1755635809999 -73.322509565,-87.2111185809999 -73.3152905649999,-87.283890581 -73.298890565,-87.320281581 -73.290554565,-87.3900185809999 -73.2708455649999,-87.4211095809999 -73.261127565,-87.466399581 -73.245009565,-87.517581582 -73.218063565,-87.563336582 -73.179309565,-87.603054582 -73.1647365649999,-87.641109582 -73.157499565,-87.686399582 -73.155836565,-87.715563582 -73.156681565,-87.8005635819999 -73.161663565,-87.8580635819999 -73.1669455649999,-87.914736582 -73.170290565,-87.963054582 -73.1688995649999,-88.003063582 -73.162781565,-88.046809582 -73.151809565,-88.081954582 -73.142509565,-88.111390582 -73.136945565,-88.132236582 -73.135836565,-88.171809582 -73.1409815649999,-88.228618582 -73.158063565,-88.260009582 -73.175290565,-88.314872582 -73.200563565,-88.350009582 -73.2066815649999,-88.3786185819999 -73.2083455649999,-88.4019455819999 -73.2083455649999,-88.478345582 -73.205563565,-88.6055635829999 -73.1924995649999,-88.666399583 -73.1852905649999,-88.709163583 -73.179454565,-88.765290583 -73.1669455649999,-88.786809583 -73.1593095649999,-88.827518583 -73.133054565,-88.825218583 -73.108409565,-88.7952905829999 -73.086672565,-88.750972583 -73.073763565,-88.666672583 -73.054454565,-88.6161185829999 -73.0391725649999,-88.5958365829999 -73.023899565,-88.591118583 -72.996745565,-88.6097275829999 -72.966399565,-88.644181583 -72.9424995649999,-88.551390582 -72.892499565,-88.4625095819999 -72.8769545649999,-88.3744545819999 -72.8544455649999,-88.349727582 -72.843609565,-88.3381815819999 -72.821154565,-88.499036582 -72.718618565,-88.529727582 -72.7044545649999,-88.572509582 -72.697781565,-88.613345583 -72.692781565,-88.813899583 -72.680009565,-88.9036275829999 -72.674454565,-89.1766815829999 -72.6463905649999,-89.219454583 -72.642499565,-89.261127583 -72.6394545649999,-89.3766815829999 -72.633054565,-89.423336583 -72.6313905649999,-89.528409583 -72.6334185649999,-89.512927583 -72.650699565,-89.466672583 -72.659999565,-89.4247275829999 -72.663345565,-89.402509583 -72.666118565,-89.378199583 -72.673063565,-89.338618583 -72.6937545649999,-89.316954583 -72.7144455649999,-89.280154583 -72.780018565,-89.2370905829999 -72.904172565,-89.321054583 -73.0524365649999,-89.3588905829999 -73.0672275649999,-89.436672583 -73.080290565,-89.5125095829999 -73.090290565,-89.567227583 -73.100290565,-89.594454583 -73.111118565,-89.615572583 -73.1336185649999,-89.6372185829999 -73.144727565,-89.670290584 -73.155290565,-89.746399584 -73.165281565,-89.777236584 -73.167781565,-89.833890584 -73.170563565,-89.860290584 -73.1708365649999,-89.9069545839999 -73.1669455649999,-89.999999584 -73.158172565,-90.040281584 -73.155563565,-90.131118584 -73.1505545649999,-90.210009584 -73.151127565,-90.269727584 -73.153899565,-90.320281584 -73.159727565,-90.343336584 -73.163618565,-90.397227584 -73.176390565,-90.670836584 -73.266399565,-90.738890585 -73.293627565,-90.761672585 -73.305009565,-90.7883455849999 -73.3155635649999,-90.8299995849999 -73.324445565,-90.861118585 -73.326672565,-90.906399585 -73.324445565,-90.944736585 -73.3188905649999,-90.9819455849999 -73.311109565,-91.0194545849999 -73.302509565,-91.073054585 -73.291118565,-91.149736585 -73.2758455649999,-91.1886095849999 -73.2691815649999,-91.226963585 -73.263627565,-91.293063585 -73.256118565,-91.336672585 -73.251681565,-91.385554585 -73.248609565,-91.488063585 -73.248336565,-91.5425095849999 -73.2502905649999,-91.571945585 -73.2505635649999,-91.692509585 -73.245009565,-91.754454585 -73.2380635649999,-91.837236586 -73.225845565,-91.9200095859999 -73.213627565,-92.0188905859999 -73.197781565,-92.120009586 -73.1830635649999,-92.282227586 -73.161118565,-92.328336586 -73.156681565,-92.349163586 -73.155290565,-92.399172586 -73.153899565,-92.451945586 -73.153627565,-92.478054586 -73.153627565,-92.536390586 -73.158618565,-92.618054586 -73.1669455649999,-92.673063586 -73.1713995649999,-92.759172586 -73.174454565,-92.8377815859999 -73.173890565,-92.8983455869999 -73.176118565,-92.925354587 -73.184381565,-92.893336587 -73.2093185649999,-92.912227587 -73.216672565,-92.938609587 -73.216672565,-92.9627815869999 -73.215290565,-93.1483455869999 -73.203609565,-93.283618587 -73.185009565,-93.312927587 -73.178754565,-93.343899587 -73.174454565,-93.445845587 -73.1733365649999,-93.5038905869999 -73.174181565,-93.535281587 -73.176118565,-93.558627587 -73.179454565,-93.587363587 -73.193618565,-93.584727587 -73.217090565,-93.630009587 -73.228345565,-93.655836587 -73.2288995649999,-93.700563587 -73.226118565,-93.743899587 -73.220290565,-93.7916725869999 -73.217518565,-93.846118587 -73.218899565,-93.904790587 -73.237372565,-93.909727587 -73.273199565,-93.929454587 -73.2891725649999,-93.969454588 -73.297227565,-94.017227588 -73.303618565,-94.103345588 -73.311672565,-94.1599995879999 -73.3149995649999,-94.302509588 -73.317781565,-94.325563588 -73.3172275649999,-94.374172588 -73.313336565,-94.395845588 -73.310836565,-94.432781588 -73.304454565,-94.473481588 -73.290981565,-94.500290588 -73.2736185649999,-94.525281588 -73.260836565,-94.558627588 -73.2505635649999,-94.6031995879999 -73.2404275649999,-94.6788905879999 -73.2319455649999,-94.747790588 -73.2266725649999,-94.7741725879999 -73.226118565,-94.883899588 -73.2275095649999,-94.915281588 -73.2294455649999,-94.976390588 -73.2308365649999,-95.115572589 -73.2319455649999,-95.168336589 -73.2308365649999,-95.215009589 -73.2288995649999,-95.317781589 -73.225845565,-95.404445589 -73.2275095649999,-95.4866815889999 -73.236681565,-95.573627589 -73.243054565,-95.710009589 -73.243618565,-95.769181589 -73.247509565,-95.825009589 -73.2522275649999,-95.845836589 -73.255281565,-95.886127589 -73.263899565,-95.926536589 -73.283199565,-95.956954589 -73.297227565,-95.987227589 -73.3063995649999,-96.0072365889999 -73.311109565,-96.0277905889999 -73.3149995649999,-96.087509589 -73.3188905649999,-96.11083659 -73.318072565,-96.15639959 -73.3127905649999,-96.24556359 -73.305009565,-96.26918159 -73.303345565,-96.29583659 -73.302781565,-96.32500959 -73.303345565,-96.38444559 -73.306945565,-96.41667259 -73.307781565,-96.44250959 -73.3080635649999,-96.51889059 -73.306118565,-96.85639959 -73.283336565,-96.90389959 -73.280018565,-96.94334559 -73.2733455649999,-96.96819959 -73.266536565,-97.0181995899999 -73.242509565,-97.05139959 -73.2323725649999,-97.0988905899999 -73.225281565,-97.14917259 -73.221681565,-97.201127591 -73.221390565,-97.256954591 -73.219999565,-97.303890591 -73.216399565,-97.361390591 -73.2058455649999,-97.397509591 -73.198063565,-97.428345591 -73.188336565,-97.464736591 -73.180554565,-97.5633365909999 -73.1641725649999,-97.6047365909999 -73.158336565,-97.628618591 -73.155836565,-97.7480635909999 -73.1486185649999,-97.829181591 -73.147236565,-97.947508591 -73.1483455649999,-98.003345591 -73.1525095649999,-98.1191725909999 -73.159181565,-98.1511185909999 -73.159454565,-98.177227591 -73.158618565,-98.202545591 -73.142609565,-98.1625085909999 -73.121672565,-98.1280635909999 -73.112790565,-98.069454591 -73.101118565,-98.004454591 -73.090290565,-97.966945591 -73.074581565,-97.963899591 -73.054454565,-97.998754591 -73.034999565,-98.039463591 -73.0236185649999,-98.112790591 -73.009736565,-98.136399591 -73.0069545649999,-98.159727591 -73.0049995649999,-98.182508591 -73.004181565,-98.320281592 -73.0022275649999,-98.4233365919999 -72.9997275649999,-98.449172592 -72.998899565,-98.527236592 -72.995281565,-98.5859815919999 -72.9915365649999,-98.616390592 -72.987499565,-98.7086185919999 -72.9797365649999,-98.806672592 -72.974163565,-98.8355545919999 -72.973345565,-98.918063592 -72.973618565,-98.945845592 -72.9755725649999,-98.966672592 -72.9788995649999,-98.986954592 -72.9833365649999,-99.049454592 -72.993054565,-99.073899592 -72.9958365649999,-99.248608592 -72.9963995649999,-99.306427592 -72.998409565,-99.598618593 -73.0191815649999,-99.693072593 -73.0380725649999,-99.728054593 -73.047499565,-99.748608593 -73.051954565,-99.794445593 -73.057236565,-99.826127593 -73.057236565,-99.871945593 -73.054172565,-99.892227593 -73.050845565,-99.950290593 -73.040845565,-100.085281593 -73.036390565,-100.284727593 -73.048063565,-100.323627593 -73.054736565,-100.350554593 -73.0698635649999,-100.393199593 -73.084590565,-100.447508594 -73.093609565,-100.472227594 -73.096118565,-100.500290594 -73.0977815649999,-100.528899594 -73.098618565,-100.555008594 -73.096681565,-100.577790594 -73.094454565,-100.618054594 -73.0880545649999,-100.657363594 -73.075845565,-100.698899594 -73.055009565,-100.724727594 -73.0438995649999,-100.753618594 -73.033336565,-100.781954594 -73.023899565,-100.805281594 -73.0208455649999,-100.850854594 -73.0166815649999,-100.954181594 -73.010836565,-101.205290594 -72.9977905649999,-101.259454594 -72.9963995649999,-101.312499594 -72.9997275649999,-101.361681594 -73.005281565,-101.428336594 -73.015290565,-101.559718595 -73.033336565,-101.584454595 -73.036663565,-101.652236595 -73.044727565,-101.982227595 -73.082499565,-102.038890595 -73.0852815649999,-102.099163595 -73.084736565,-102.121945595 -73.0833455649999,-102.157363595 -73.071181565,-102.105836595 -73.027854565,-102.122227595 -73.008472565,-102.159445595 -73.005572565,-102.187499595 -73.0069545649999,-102.233899595 -73.011672565,-102.283618595 -73.016399565,-102.311399595 -73.0186185649999,-102.445845595 -73.0269455649999,-102.533618595 -73.030290565,-102.562499596 -73.030018565,-102.610836596 -73.026127565,-102.641818596 -73.021672565,-102.663190596 -73.002581565,-102.632090596 -72.985009565,-102.523899595 -72.973890565,-102.448754595 -72.9634815649999,-102.357790595 -72.911390565,-102.318745595 -72.806118565,-102.502636595 -72.758899565,-102.533072595 -72.7547275649999,-102.580836596 -72.7499995649999,-102.636945596 -72.749172565,-102.664463596 -72.751681565,-102.772781596 -72.757236565,-102.800845596 -72.756672565,-102.873899596 -72.7497275649999,-102.973281596 -72.737563565,-103.004463596 -72.735290565,-103.029163596 -72.734727565,-103.116954596 -72.7333365649999,-103.176118596 -72.7333365649999,-103.228054596 -72.737790565,-103.249454596 -72.741118565,-103.285281596 -72.748899565,-103.445690596 -72.789590565,-103.476390596 -72.803345565,-103.577508596 -72.855563565,-103.597090596 -72.871536565,-103.601118596 -72.8961185649999,-103.586254596 -72.9115365649999,-103.563336596 -72.928345565,-103.548336596 -72.9419545649999,-103.500554596 -72.9858365649999,-103.474454596 -73.010845565,-103.438899596 -73.053345565,-103.422499596 -73.0769545649999,-103.408618596 -73.1016725649999,-103.408672596 -73.130418565,-103.330563596 -73.204999565,-103.077508596 -73.3102905649999,-103.036118596 -73.326399565,-102.978899596 -73.3375095649999,-102.884172596 -73.345290565,-102.776399596 -73.350845565,-102.689181596 -73.3519635649999,-102.599727596 -73.3477815649999,-102.347781595 -73.3338905649999,-102.089736595 -73.320554565,-102.060836595 -73.320845565,-102.008618595 -73.324445565,-101.988618595 -73.326672565,-101.968336595 -73.329999565,-101.930845595 -73.3375095649999,-101.781954595 -73.3519635649999,-101.632236595 -73.344181565,-101.471945595 -73.3394455649999,-101.410845594 -73.338899565,-101.368472594 -73.339863565,-101.288618594 -73.3480725649999,-101.146954594 -73.3566725649999,-101.086672594 -73.353345565,-101.057508594 -73.353618565,-100.978618594 -73.358063565,-100.879727594 -73.363890565,-100.769181594 -73.355563565,-100.671672594 -73.3563995649999,-100.642227594 -73.357509565,-100.487499594 -73.364454565,-100.460854594 -73.366390565,-100.420563594 -73.3708365649999,-100.400008594 -73.3749995649999,-100.358618593 -73.3862545649999,-100.311681593 -73.394727565,-100.267499593 -73.4008455649999,-100.217790593 -73.404172565,-100.188054593 -73.405018565,-100.129727593 -73.405290565,-100.097781593 -73.403336565,-99.986954593 -73.404727565,-99.916118593 -73.411663565,-99.880008593 -73.425009565,-99.8759815929999 -73.4616815649999,-99.865972593 -73.488618565,-99.5900085929999 -73.5622275659999,-99.448336593 -73.596681566,-99.408618593 -73.604736566,-99.364181593 -73.6088995659999,-99.269727592 -73.606672566,-99.240281592 -73.606672566,-99.195554592 -73.6105635659999,-99.176536592 -73.6245905659999,-99.207227592 -73.6452815659999,-99.236390592 -73.654727566,-99.290008592 -73.6686275659999,-99.311672592 -73.671954566,-99.3369455929999 -73.6747275659999,-99.365845593 -73.676681566,-99.395845593 -73.676681566,-99.485836593 -73.666672566,-99.527790593 -73.660572566,-99.5730545929999 -73.6544455659999,-99.629727593 -73.653627566,-99.662227593 -73.6544455659999,-99.727508593 -73.665009566,-99.785281593 -73.677781566,-99.8144545929999 -73.6872275659999,-99.8369455929999 -73.698063566,-99.891681593 -73.719181566,-99.912508593 -73.724454566,-99.953063593 -73.7311275659999,-99.978345593 -73.7347275659999,-100.055281593 -73.741672566,-100.245008593 -73.748063566,-100.310563593 -73.749999566,-100.391399593 -73.746672566,-100.474727594 -73.7349995659999,-100.516681594 -73.729736566,-100.567781594 -73.724454566,-100.627499594 -73.724163566,-100.660281594 -73.725009566,-100.741118594 -73.730009566,-100.769445594 -73.734454566,-100.821399594 -73.738618566,-100.941390594 -73.745281566,-101.045563594 -73.740572566,-101.096118594 -73.7372275659999,-101.120008594 -73.7349995659999,-101.165008594 -73.728618566,-101.218336594 -73.7169455659999,-101.295008594 -73.6919545659999,-101.327508594 -73.682509566,-101.398218594 -73.664218566,-101.433899594 -73.6561095659999,-101.525281595 -73.646118566,-101.640554595 -73.633899566,-101.688054595 -73.6294545659999,-101.738063595 -73.625836566,-101.821118595 -73.623063566,-101.939454595 -73.621945566,-101.989181595 -73.619172566,-102.036390595 -73.6144545659999,-102.103899595 -73.6058365659999,-102.191963595 -73.595290566,-102.242236595 -73.590836566,-102.298336595 -73.588054566,-102.357227595 -73.588345566,-102.419163595 -73.5894455659999,-102.688054596 -73.5869455659999,-102.773354596 -73.585554566,-102.835563596 -73.585554566,-102.897227596 -73.5875095659999,-102.923072596 -73.5897365659999,-102.948627596 -73.593063566,-102.982790596 -73.602781566,-103.003063596 -73.614181566,-103.013345596 -73.637927566,-103.004727596 -73.658199566,-102.974172596 -73.6697275659999,-102.931118596 -73.680554566,-102.910845596 -73.683063566,-102.873063596 -73.690563566,-102.829790596 -73.704727566,-102.814445596 -73.731954566,-102.846945596 -73.7541815659999,-102.871945596 -73.761399566,-102.906108596 -73.779454566,-102.949927596 -73.833963566,-102.930281596 -73.865281566,-102.901399596 -73.875836566,-102.863345596 -73.8836185659999,-102.842508596 -73.886945566,-102.744454596 -73.894727566,-102.714172596 -73.896118566,-102.623899596 -73.8972365659999,-102.594454596 -73.894999566,-102.531108595 -73.894727566,-102.504181595 -73.896118566,-102.480008595 -73.8994455659999,-102.458345595 -73.906954566,-102.453063595 -73.929245566,-102.420418595 -73.9477815659999,-102.366390595 -73.956681566,-102.336672595 -73.954999566,-102.291399595 -73.948627566,-102.253345595 -73.940563566,-102.188608595 -73.931118566,-102.159445595 -73.928618566,-102.129727595 -73.9272275659999,-102.102781595 -73.927509566,-102.074454595 -73.933899566,-102.049727595 -73.951399566,-102.037708595 -73.972781566,-102.007645595 -73.992236566,-101.971390595 -73.996127566,-101.908336595 -73.993054566,-101.818890595 -73.9894545659999,-101.785281595 -73.988618566,-101.721681595 -73.989181566,-101.694454595 -73.990572566,-101.673336595 -73.993899566,-101.656245595 -74.0093185659999,-101.678618595 -74.028618566,-101.693063595 -74.042781566,-101.696390595 -74.067363566,-101.662227595 -74.175845566,-101.633899595 -74.2166725659999,-101.612790595 -74.230281566,-101.585563595 -74.242781566,-101.558327595 -74.2541815659999,-101.527790595 -74.264454566,-101.490708595 -74.291945566,-101.437790594 -74.371672566,-101.414736594 -74.430981566,-101.403345594 -74.451672566,-101.378618594 -74.463899566,-101.324454594 -74.482645566,-101.276672594 -74.492236566,-101.254727594 -74.495563566,-101.233063594 -74.4977905659999,-101.170290594 -74.499172566,-101.143063594 -74.498336566,-101.082227594 -74.493345566,-101.035572594 -74.4874995659999,-100.908336594 -74.4650095659999,-100.761672594 -74.438336566,-100.700290594 -74.426681566,-100.650554594 -74.4208365659999,-100.620008594 -74.419172566,-100.459163594 -74.4249995659999,-100.434445594 -74.4272275659999,-100.407490594 -74.434445566,-100.389872593 -74.459027566,-100.364454593 -74.4712635659999,-100.248063593 -74.490845566,-100.224927593 -74.5080545659999,-100.319663593 -74.5383365659999,-100.307781593 -74.557781566,-100.269727593 -74.5711185659999,-100.222227593 -74.581399566,-100.190563593 -74.5866725659999,-100.155836593 -74.5958365669999,-100.143754593 -74.6129905669999,-100.202218593 -74.629454567,-100.259454593 -74.6347365669999,-100.321399593 -74.638336567,-100.371945593 -74.642499567,-100.429454594 -74.648618567,-100.472499594 -74.655290567,-100.505972594 -74.668545567,-100.480699594 -74.684590567,-100.401118594 -74.696118567,-100.376108593 -74.6972365669999,-100.284727593 -74.6975095669999,-100.255281593 -74.700563567,-100.206254593 -74.709863567,-100.154445593 -74.7344545669999,-100.151736593 -74.757154567,-100.205563593 -74.775281567,-100.228899593 -74.7786275669999,-100.256118593 -74.781109567,-100.318336593 -74.7847275669999,-100.545836594 -74.789736567,-100.701399594 -74.789736567,-100.767790594 -74.791399567,-100.799181594 -74.7930635669999,-100.832781594 -74.797645567,-100.845836594 -74.8185455669999,-100.815136594 -74.8383365669999,-100.771954594 -74.850009567,-100.720563594 -74.8597275669999,-100.659727594 -74.866672567,-100.630836594 -74.867781567,-100.583618594 -74.871127567,-100.348618593 -74.900554567,-100.285245593 -74.908863567,-100.261127593 -74.914736567,-100.232508593 -74.915845567,-100.168327593 -74.916118567,-100.100854593 -74.915281567,-100.003063593 -74.9097275669999,-99.975845593 -74.907227567,-99.873899593 -74.9033365669999,-99.845563593 -74.9036275669999,-99.793899593 -74.9074995669999,-99.743481593 -74.9172275669999,-99.6727905929999 -74.941118567,-99.6330545929999 -74.958618567,-99.605836593 -74.972781567,-99.581954593 -74.985836567,-99.538072593 -75.0125095669999,-99.510008593 -75.039872567,-99.498345593 -75.0702815669999,-99.513890593 -75.0962635669999,-99.537227593 -75.1127905669999,-99.557508593 -75.124454567,-99.605008593 -75.148054567,-99.6563995929999 -75.171672567,-99.692781593 -75.187499567,-99.775845593 -75.2224995669999,-99.8038905929999 -75.233336567,-99.868472593 -75.2486185669999,-99.900554593 -75.254727567,-99.948627593 -75.261399567,-99.980836593 -75.263336567,-100.013345593 -75.263336567,-100.066118593 -75.259172567,-100.188336593 -75.245563567,-100.326945593 -75.225845567,-100.369745593 -75.2188995669999,-100.464736594 -75.207227567,-100.546672594 -75.201954567,-100.576136594 -75.200836567,-100.636399594 -75.204181567,-100.664454594 -75.212090567,-100.684863594 -75.2327905669999,-100.699445594 -75.272154567,-100.727781594 -75.2919545669999,-100.754181594 -75.2994545669999,-100.775008594 -75.302781567,-100.831390594 -75.307781567,-100.904163594 -75.308627567,-100.995827594 -75.306945567,-101.088345594 -75.303345567,-101.226118594 -75.2952905669999,-101.337781594 -75.287509567,-101.390290594 -75.2830635669999,-101.749454595 -75.250563567,-101.827790595 -75.242781567,-101.876954595 -75.2363905669999,-101.919163595 -75.228899567,-101.957499595 -75.221118567,-101.976963595 -75.2161275669999,-102.037227595 -75.1950095669999,-102.053345595 -75.1697275669999,-102.063818595 -75.105936567,-102.081945595 -75.0847365669999,-102.111818595 -75.068754567,-102.145999595 -75.062881567,-102.345836595 -75.063609567,-102.378063595 -75.064999567,-102.511127595 -75.063609567,-102.598072596 -75.058336567,-102.642499596 -75.052781567,-102.870008596 -75.044172567,-102.995008596 -75.046109567,-103.059445596 -75.045009567,-103.085008596 -75.043627567,-103.139445596 -75.038890567,-103.190563596 -75.0330635669999,-103.273899596 -75.0286275669999,-103.338054596 -75.0283365669999,-103.437499596 -75.0324995669999,-103.550290596 -75.041118567,-103.714763597 -75.0492095669999,-103.898618597 -75.054172567,-103.930845597 -75.0536185669999,-103.992236597 -75.0516815669999,-104.075008597 -75.045836567,-104.125836597 -75.040845567,-104.215845597 -75.036954567,-104.316118597 -75.035281567,-104.404718597 -75.039736567,-104.493345597 -75.045836567,-104.567499597 -75.054736567,-104.648899597 -75.061672567,-104.709454598 -75.064999567,-104.777508598 -75.065563567,-104.813336598 -75.063899567,-104.874454598 -75.062499567,-104.906399598 -75.063609567,-104.963345598 -75.067499567,-105.013063598 -75.0725095669999,-105.083890598 -75.082781567,-105.175845598 -75.096390567,-105.225572598 -75.103054567,-105.296672598 -75.1116815669999,-105.353899598 -75.115572567,-105.497508598 -75.1161185669999,-105.590845598 -75.115572567,-105.626681598 -75.1163905669999,-105.805845599 -75.125290567,-105.834454599 -75.127227567,-105.863345599 -75.129999567,-105.900554599 -75.143345567,-105.930845599 -75.157790567,-105.977227599 -75.173336567,-105.998899599 -75.178072567,-106.078054599 -75.185563567,-106.110290599 -75.186399567,-106.139445599 -75.188336567,-106.164454599 -75.196254567,-106.175145599 -75.215709567,-106.205563599 -75.249736567,-106.243618599 -75.263063567,-106.283336599 -75.271390567,-106.326945599 -75.277790567,-106.403063599 -75.286118567,-106.465008599 -75.289736567,-106.497508599 -75.290845567,-106.635554599 -75.292509567,-106.668327599 -75.291399567,-106.766108599 -75.290281567,-106.798890599 -75.291118567,-106.828054599 -75.2930635669999,-106.8577906 -75.3136185669999,-106.8750086 -75.332090567,-106.9244546 -75.342518567,-106.9794456 -75.347781567,-107.0413996 -75.349454567,-107.0883456 -75.3430635669999,-107.1170906 -75.335563567,-107.1563996 -75.3225095669999,-107.1922276 -75.313063567,-107.2138996 -75.309172567,-107.2644456 -75.3036185669999,-107.3550086 -75.2986185669999,-107.4238906 -75.298336567,-107.5222276 -75.2997275669999,-107.6097366 -75.304736567,-107.6797366 -75.315290567,-107.7334726 -75.324727567,-107.7647186 -75.329727567,-107.7941636 -75.332227567,-107.8158456 -75.330290567,-107.8656996 -75.318890567,-107.8869456 -75.2969545669999,-107.9084816 -75.276118567,-107.960854601 -75.256390567,-108.004727601 -75.244590567,-108.059718601 -75.2352905669999,-108.084727601 -75.232509567,-108.159999601 -75.225572567,-108.195845601 -75.223345567,-108.257508601 -75.2247275669999,-108.283072601 -75.227236567,-108.315845601 -75.228899567,-108.373899601 -75.230009567,-108.478618601 -75.229172567,-108.543327601 -75.225845567,-108.629181601 -75.219454567,-108.700008601 -75.209454567,-108.743199601 -75.197499567,-108.775281601 -75.182781567,-108.798608601 -75.170563567,-108.818072601 -75.1583365669999,-108.852508601 -75.147781567,-108.890836601 -75.140018567,-108.943336601 -75.133054567,-108.971945601 -75.1308455669999,-109.000290602 -75.129727567,-109.068618602 -75.128890567,-109.133345602 -75.128890567,-109.230827602 -75.131390567,-109.335281602 -75.131118567,-109.428072602 -75.128063567,-109.495563602 -75.124172567,-109.553890602 -75.127227567,-109.598618602 -75.1347365669999,-109.648354602 -75.1488995669999,-109.764445602 -75.184172567,-109.811399602 -75.2000095669999,-109.858608602 -75.2161275669999,-109.886399602 -75.226672567,-109.918063602 -75.238345567,-109.943199602 -75.244727567,-109.975281602 -75.250290567,-110.023899602 -75.2558455669999,-110.053336602 -75.257236567,-110.089172603 -75.256672567,-110.152790603 -75.263899567,-110.279445603 -75.287509567,-110.314727603 -75.296109567,-110.340290603 -75.3036185669999,-110.383054603 -75.3061185669999,-110.428336603 -75.2988905669999,-110.448899603 -75.2947275669999,-110.506954603 -75.281681567,-110.527236603 -75.2763995669999,-110.561681603 -75.2583455669999,-110.579727603 -75.245009567,-110.626108603 -75.225145567,-110.696118603 -75.210281567,-110.716663603 -75.207227567,-110.769181603 -75.200563567,-110.797499603 -75.1991725669999,-110.858199603 -75.1909815669999,-110.910845603 -75.180009567,-110.933899603 -75.172645567,-110.956390603 -75.152990567,-110.923608603 -75.129999567,-110.823899603 -75.098618567,-110.785281603 -75.090290567,-110.759172603 -75.086945567,-110.701945603 -75.076127567,-110.669727603 -75.064727567,-110.637918603 -75.048763567,-110.588054603 -75.019181567,-110.585418603 -74.9984815669999,-110.608063603 -74.990281567,-110.628063603 -74.9861185669999,-110.667236603 -74.9852905669999,-110.692499603 -74.9866815669999,-110.724727603 -74.9869545669999,-110.756663603 -74.9863905669999,-110.789027603 -74.9781995669999,-110.774436603 -74.962781567,-110.736681603 -74.956118567,-110.675563603 -74.9536095669999,-110.646954603 -74.953336567,-110.589172603 -74.950836567,-110.544163603 -74.9433455669999,-110.512790603 -74.932781567,-110.478345603 -74.9122275669999,-110.455699603 -74.895145567,-110.398618603 -74.8686185669999,-110.332499603 -74.8474995669999,-110.298336603 -74.8388995669999,-110.241954603 -74.826127567,-110.100281603 -74.798336567,-109.993618602 -74.7808365669999,-109.943754602 -74.771390567,-109.931045602 -74.748690567,-109.969999602 -74.728345567,-110.022508602 -74.714736567,-110.058899603 -74.705563567,-110.078336603 -74.6997185669999,-110.113763603 -74.687927567,-110.140763603 -74.6606995669999,-110.073336603 -74.639727567,-110.050563602 -74.6327815669999,-110.033618602 -74.621127567,-109.962927602 -74.546954566,-109.999599602 -74.4713995659999,-110.024436602 -74.433627566,-110.054872602 -74.3900095659999,-110.137508603 -74.2963995659999,-110.154718603 -74.284181566,-110.198336603 -74.267499566,-110.233608603 -74.259445566,-110.285427603 -74.2487545659999,-110.321954603 -74.244736566,-110.352227603 -74.243345566,-110.513636603 -74.248336566,-110.534999603 -74.2516815659999,-110.561118603 -74.259590566,-110.608336603 -74.269454566,-110.632508603 -74.2708455659999,-110.669727603 -74.269999566,-110.698899603 -74.264454566,-110.736390603 -74.252227566,-110.756808603 -74.235009566,-110.783336603 -74.215427566,-110.816681603 -74.201399566,-110.874181603 -74.188899566,-110.957227603 -74.182509566,-111.013899603 -74.1794545659999,-111.041118603 -74.179736566,-111.096681603 -74.183063566,-111.191963604 -74.183336566,-111.248336604 -74.1794545659999,-111.323627604 -74.171109566,-111.354172604 -74.1702905659999,-111.377790604 -74.1705635659999,-111.427227604 -74.175845566,-111.503890604 -74.1916815659999,-111.553336604 -74.206954566,-111.606418604 -74.225581566,-111.629045604 -74.2390275659999,-111.649036604 -74.267099566,-111.647372604 -74.291818566,-111.563336604 -74.366118566,-111.538890604 -74.3852815659999,-111.519445604 -74.398899566,-111.468608604 -74.4213995659999,-111.425290604 -74.436399566,-111.401945604 -74.448899566,-111.389027604 -74.4668095659999,-111.409318604 -74.4805635659999,-111.457499604 -74.490009566,-111.482227604 -74.491390566,-111.545008604 -74.492509566,-111.598345604 -74.496945566,-111.651263604 -74.514027566,-111.679736604 -74.5308365659999,-111.698899604 -74.5452905659999,-111.721327604 -74.590981566,-111.701663604 -74.611399567,-111.580563604 -74.6741815669999,-111.559036604 -74.682645567,-111.467508604 -74.691681567,-111.436399604 -74.6933455669999,-111.389718604 -74.700290567,-111.340836604 -74.7115365669999,-111.326108604 -74.7329275669999,-111.343063604 -74.7594455669999,-111.397508604 -74.7741725669999,-111.483336604 -74.787781567,-111.578336604 -74.797499567,-111.638899604 -74.7986185669999,-111.734172604 -74.798336567,-111.798072604 -74.7994545669999,-111.855563604 -74.8016815669999,-111.903345604 -74.806945567,-111.944736604 -74.813336567,-111.977090604 -74.8193095669999,-112.035281604 -74.836945567,-112.056536604 -74.845981567,-112.103054604 -74.856399567,-112.129181604 -74.8594545669999,-112.183327604 -74.8616815669999,-112.215290605 -74.8616815669999,-112.249999605 -74.8597275669999,-112.284999605 -74.858899567,-112.380836605 -74.858899567,-112.499181605 -74.8611185669999,-112.528345605 -74.863063567,-112.595836605 -74.863063567,-112.654163605 -74.858609567,-112.693618605 -74.850845567,-112.716945605 -74.8391725669999,-112.735836605 -74.8172185669999,-112.737781605 -74.788472567,-112.703272605 -74.7554185669999,-112.604172605 -74.727372567,-112.590208605 -74.704799567,-112.637218605 -74.6847185669999,-112.668327605 -74.683627567,-112.721945605 -74.685836567,-112.783072605 -74.692790567,-112.814999605 -74.698063567,-112.863063605 -74.703063567,-112.914172605 -74.706954567,-112.942499605 -74.708072567,-113.008899605 -74.706954567,-113.090008605 -74.698899567,-113.151399605 -74.6950095669999,-113.183063605 -74.6950095669999,-113.208345605 -74.6958455669999,-113.262790605 -74.6997185669999,-113.308327606 -74.706681567,-113.352781606 -74.7116725669999,-113.378063606 -74.712781567,-113.413072606 -74.712509567,-113.445418606 -74.7063995669999,-113.548899606 -74.631390567,-113.506390606 -74.619445567,-113.376954606 -74.590290566,-113.335008606 -74.582227566,-113.270845605 -74.572236566,-113.079999605 -74.519727566,-112.988345605 -74.493481566,-112.949454605 -74.4756995659999,-112.933618605 -74.446954566,-112.956127605 -74.431399566,-112.986390605 -74.4252905659999,-113.033618605 -74.4227905659999,-113.058327605 -74.423890566,-113.087227605 -74.426681566,-113.150554605 -74.436672566,-113.188336605 -74.4438905659999,-113.230008605 -74.451954566,-113.273054605 -74.4625095659999,-113.329318606 -74.4755635659999,-113.363890606 -74.479172566,-113.392227606 -74.480009566,-113.424172606 -74.474309566,-113.448345606 -74.462790566,-113.494172606 -74.393890566,-113.517499606 -74.3327815659999,-113.509999606 -74.3019545659999,-113.390008606 -74.2347275659999,-113.364181606 -74.223345566,-113.329454606 -74.2144455659999,-113.306672606 -74.2097365659999,-113.263899605 -74.205563566,-113.184863605 -74.185009566,-113.313063606 -74.075563566,-113.347927606 -74.066399566,-113.585854606 -74.0391725659999,-113.670836606 -74.032499566,-113.776945606 -74.021390566,-113.806536606 -74.005072566,-113.788618606 -73.985009566,-113.762854606 -73.9625095659999,-113.787508606 -73.9362545659999,-113.818336606 -73.9230635659999,-113.864463606 -73.907499566,-113.926118606 -73.8958455659999,-113.948336606 -73.893063566,-114.003618606 -73.889172566,-114.061399606 -73.890836566,-114.101672606 -73.8977815659999,-114.136672606 -73.907499566,-114.178618606 -73.924454566,-114.207227606 -73.934718566,-114.279445606 -73.951399566,-114.304172606 -73.953336566,-114.331390606 -73.954181566,-114.454999607 -73.952227566,-114.503618607 -73.954727566,-114.552508607 -73.964590566,-114.600281607 -73.984454566,-114.626681607 -73.996672566,-114.653899607 -74.009445566,-114.806736607 -74.103145566,-114.816954607 -74.136672566,-114.806672607 -74.1683365659999,-114.795845607 -74.189309566,-114.720418607 -74.2925725659999,-114.678618607 -74.312499566,-114.640836607 -74.3255725659999,-114.639445607 -74.442227566,-114.655290607 -74.4616725659999,-114.675290607 -74.466399566,-114.697772607 -74.469181566,-114.728899607 -74.4688995659999,-114.785845607 -74.4647365659999,-114.811954607 -74.4619455659999,-114.905836607 -74.455290566,-114.933063607 -74.454181566,-114.968063607 -74.454727566,-115.021118607 -74.456390566,-115.047236607 -74.458890566,-115.108336607 -74.4686095659999,-115.147508607 -74.476390566,-115.234999607 -74.488618566,-115.256954607 -74.490572566,-115.311108607 -74.493899566,-115.364463607 -74.495281566,-115.433327608 -74.493345566,-115.485572608 -74.4874995659999,-115.507781608 -74.483609566,-115.543618608 -74.473618566,-115.570427608 -74.4598725659999,-115.591945608 -74.4436185659999,-115.609172608 -74.431672566,-115.631336608 -74.419599566,-115.677227608 -74.411954566,-115.703054608 -74.408890566,-115.731399608 -74.409454566,-115.757236608 -74.412227566,-115.785427608 -74.418345566,-115.817499608 -74.430845566,-115.837645608 -74.440845566,-115.859872608 -74.465427566,-115.881254608 -74.491672566,-115.913618608 -74.5069545659999,-115.944736608 -74.517790566,-115.965290608 -74.5225095659999,-115.988063608 -74.5252815659999,-116.045008608 -74.526399566,-116.166672608 -74.5247365659999,-116.277508608 -74.528063566,-116.573627609 -74.540281566,-116.651118609 -74.546109566,-116.708072609 -74.546954566,-116.764445609 -74.5472275659999,-116.829727609 -74.545009566,-116.925845609 -74.541118566,-117.269445609 -74.534454566,-117.396954609 -74.5308365659999,-117.426963609 -74.528336566,-117.452790609 -74.5250095659999,-117.496945609 -74.518063566,-117.558327609 -74.505572566,-117.58889961 -74.494445566,-117.61999961 -74.475909566,-117.64418161 -74.4022365659999,-117.65416361 -74.349163566,-117.62958161 -74.3415365659999,-117.61827261 -74.321190566,-117.65944561 -74.308336566,-117.68945461 -74.306672566,-117.74305461 -74.308627566,-117.78584561 -74.314727566,-117.84333661 -74.326672566,-117.91916361 -74.344181566,-118.03139961 -74.368345566,-118.19307261 -74.396954566,-118.23610861 -74.403063566,-118.30168161 -74.410845566,-118.35556361 -74.412509566,-118.45889061 -74.4188995659999,-118.48194561 -74.4213995659999,-118.50306361 -74.425845566,-118.52514561 -74.4338905659999,-118.53709061 -74.455699566,-118.50083661 -74.4769635659999,-118.47029061 -74.486954566,-118.43529061 -74.496672566,-118.40513661 -74.5029185659999,-118.36889961 -74.515290566,-118.34590861 -74.535572566,-118.35305461 -74.567227566,-118.38057261 -74.579727566,-118.41111861 -74.591399566,-118.49139061 -74.607509567,-118.53168161 -74.6136185669999,-118.61222761 -74.616672567,-118.769727611 -74.613345567,-118.925563611 -74.608336567,-119.021954611 -74.604445567,-119.119172611 -74.601672567,-119.195554611 -74.603618567,-119.225854611 -74.6055635669999,-119.461118611 -74.6266815669999,-119.913618612 -74.6574995669999,-120.020845612 -74.661118567,-120.052781612 -74.661118567,-120.143336612 -74.6580635669999,-120.255836612 -74.659454567,-120.324172612 -74.667509567,-120.386672612 -74.6766815669999,-120.426963612 -74.685563567,-120.472781612 -74.691954567,-120.517499612 -74.6977815669999,-120.609736612 -74.707781567,-120.656399612 -74.7113995669999,-120.712508612 -74.713345567,-120.826945613 -74.712509567,-120.921108613 -74.709163567,-121.013636613 -74.707499567,-121.118899613 -74.711945567,-121.194454613 -74.715290567,-121.270845613 -74.719727567,-121.317781613 -74.723072567,-121.428072613 -74.7394545669999,-121.478345613 -74.742509567,-121.536954613 -74.7433455669999,-121.748063613 -74.722781567,-121.823899613 -74.7116725669999,-121.899172614 -74.700563567,-121.966663614 -74.695554567,-121.992236614 -74.695554567,-122.071399614 -74.698627567,-122.218899614 -74.708072567,-122.301390614 -74.710554567,-122.359172614 -74.710009567,-122.421954614 -74.704454567,-122.538618614 -74.684445567,-122.563336614 -74.6805545669999,-122.592790614 -74.677509567,-122.655008614 -74.6747275669999,-122.743618614 -74.6727905669999,-122.801390614 -74.6722275669999,-122.827508614 -74.673063567,-122.924999614 -74.679172567,-122.970572615 -74.684172567,-123.086936615 -74.6975095669999,-123.147227615 -74.709163567,-123.215563615 -74.724445567,-123.271663615 -74.7322275669999,-123.295836615 -74.734172567,-123.420290615 -74.740845567,-123.470836615 -74.7433455669999,-123.501954615 -74.7419545669999,-123.562499615 -74.7372275669999,-123.620827615 -74.7305635669999,-123.718899615 -74.723618567,-123.776945615 -74.7199995669999,-123.868899615 -74.717518567,-123.898899615 -74.717790567,-123.951945615 -74.719454567,-124.029163616 -74.722781567,-124.084454616 -74.723072567,-124.141954616 -74.7222275669999,-124.201945616 -74.720290567,-124.294163616 -74.714445567,-124.422236616 -74.701954567,-124.504463616 -74.691118567,-124.582499616 -74.679736567,-124.664463616 -74.668899567,-124.808327616 -74.6516725669999,-124.839445616 -74.650009567,-124.921954616 -74.6516725669999,-124.993345616 -74.656109567,-125.134454617 -74.669172567,-125.291118617 -74.6738905669999,-125.404718617 -74.670563567,-125.502790617 -74.663890567,-125.534727617 -74.6599995669999,-125.650281617 -74.6555635669999,-125.784727617 -74.657227567,-125.838899617 -74.658890567,-125.863345617 -74.660845567,-125.963618617 -74.664172567,-126.048608617 -74.664172567,-126.345572618 -74.6513995669999,-126.491672618 -74.644727567,-126.553072618 -74.640836567,-126.729736618 -74.6347365669999,-126.811399618 -74.6347365669999,-126.834454618 -74.635563567,-126.931954618 -74.641954567,-126.978618618 -74.646118567,-127.005572618 -74.649445567,-127.026945618 -74.654445567,-127.050563618 -74.6580635669999,-127.096390618 -74.664463567,-127.140008618 -74.668899567,-127.199445618 -74.666118567,-127.231945618 -74.662781567,-127.438608619 -74.664172567,-127.623063619 -74.681399567,-127.748899619 -74.6727905669999,-127.800563619 -74.672499567,-127.847781619 -74.6766815669999,-127.870290619 -74.6794545669999,-127.912508619 -74.688063567,-127.948336619 -74.6972365669999,-127.993345619 -74.702518567,-128.043918619 -74.706390567,-128.262236619 -74.719727567,-128.36611862 -74.723890567,-128.43279962 -74.730836567,-128.47640862 -74.7372275669999,-128.52042762 -74.7529185669999,-128.57723662 -74.774445567,-128.60599062 -74.782236567,-128.63891862 -74.787781567,-128.66028162 -74.789463567,-128.69030862 -74.789463567,-128.71779962 -74.787509567,-128.80279962 -74.783618567,-128.85750862 -74.7847275669999,-128.90639962 -74.789463567,-128.92751862 -74.793336567,-128.96612762 -74.8011185669999,-129.16250862 -74.829999567,-129.22528162 -74.826399567,-129.27611862 -74.8250095669999,-129.30447262 -74.825836567,-129.400299621 -74.833618567,-129.423063621 -74.836118567,-129.464172621 -74.842790567,-129.532499621 -74.852236567,-129.578608621 -74.8572275669999,-129.650299621 -74.8613905669999,-129.761136621 -74.8613905669999,-129.873081621 -74.8572275669999,-129.932527621 -74.853618567,-130.000308621 -74.848072567,-130.117527621 -74.833072567,-130.228636621 -74.816681567,-130.275027621 -74.807509567,-130.370572621 -74.788618567,-130.534181622 -74.7741725669999,-130.775027622 -74.7738995669999,-130.829745622 -74.774445567,-130.876954622 -74.775281567,-130.958072622 -74.777790567,-130.978054622 -74.7805635669999,-131.102781622 -74.786390567,-131.299745622 -74.795563567,-131.356418622 -74.795009567,-131.386408622 -74.794445567,-131.416690622 -74.791945567,-131.477508622 -74.7847275669999,-131.501681622 -74.7808365669999,-131.550290623 -74.771118567,-131.587799623 -74.761399567,-131.668072623 -74.737645567,-131.728908623 -74.727236567,-131.759181623 -74.7247275669999,-131.842227623 -74.723890567,-131.948336623 -74.725009567,-132.069736623 -74.7327905669999,-132.114745623 -74.738345567,-132.152799623 -74.748899567,-132.187499623 -74.7600095669999,-132.208890623 -74.765563567,-132.275172623 -74.777081567,-132.325836623 -74.7766725669999,-132.352781623 -74.7741725669999,-132.406954623 -74.765563567,-132.429172623 -74.760836567,-132.473908623 -74.751109567,-132.518618623 -74.7413905669999,-132.604463623 -74.728618567,-132.632508624 -74.729172567,-132.676118624 -74.734172567,-132.720854624 -74.741672567,-132.761136624 -74.751109567,-132.796418624 -74.763899567,-132.949190624 -74.806945567,-133.190308624 -74.842227567,-133.238890624 -74.8472275669999,-133.262508624 -74.8472275669999,-133.290863624 -74.8455635669999,-133.414463624 -74.833890567,-133.496399624 -74.831681567,-133.523072624 -74.831118567,-133.571963624 -74.832227567,-133.598908624 -74.833890567,-133.627227624 -74.834163567,-133.732790625 -74.831954567,-133.762790625 -74.820699567,-133.778627625 -74.794872567,-133.824190625 -74.7673725669999,-133.872799625 -74.754727567,-133.930845625 -74.748063567,-133.960572625 -74.745281567,-134.076418625 -74.738063567,-134.106136625 -74.7352905669999,-134.129727625 -74.731127567,-134.148345625 -74.7223635669999,-134.151399625 -74.702018567,-134.130981625 -74.6729905669999,-134.274745625 -74.537781566,-134.303890625 -74.532790566,-134.366118625 -74.5430635659999,-134.430027625 -74.553890566,-134.451690625 -74.557236566,-134.540554625 -74.5688905659999,-134.588899625 -74.573627566,-134.657227625 -74.576672566,-134.710018625 -74.577790566,-134.815581626 -74.577790566,-134.888336626 -74.576954566,-134.996263626 -74.5781635659999,-135.042236626 -74.579454566,-135.163636626 -74.585554566,-135.307254626 -74.594454567,-135.357236626 -74.597781567,-135.561954626 -74.623336567,-135.584472626 -74.6283455669999,-135.639190626 -74.645572567,-135.666399626 -74.657090567,-135.700563626 -74.675845567,-135.736118626 -74.698899567,-135.762645626 -74.7108365669999,-135.814181626 -74.723618567,-135.858608627 -74.727781567,-135.882236627 -74.729445567,-135.910581627 -74.729736567,-135.963345627 -74.726390567,-136.023618627 -74.7208365669999,-136.105836627 -74.7141725669999,-136.188081627 -74.7097365669999,-136.242799627 -74.708890567,-136.264736627 -74.710009567,-136.312227627 -74.7136275669999,-136.360290627 -74.719454567,-136.424745627 -74.731127567,-136.444454627 -74.7366815669999,-136.486690627 -74.745009567,-136.509181627 -74.748063567,-136.533081627 -74.749999567,-136.612790627 -74.747790567,-136.667236627 -74.745009567,-136.689181627 -74.746127567,-136.737518627 -74.7516815669999,-136.756818627 -74.769663567,-136.738063627 -74.801672567,-136.717436627 -74.8275095669999,-136.801463627 -74.943963567,-136.844727627 -74.9722275669999,-136.871399627 -74.9827905669999,-136.930299628 -74.998336567,-136.976681628 -75.006390567,-137.020845628 -75.0116725669999,-137.098636628 -75.017227567,-137.121127628 -75.018063567,-137.199463628 -75.018345567,-137.453336628 -75.025281567,-137.476408628 -75.0280635669999,-137.499999628 -75.0330635669999,-137.527927628 -75.051899567,-137.550981628 -75.0650095669999,-137.582518628 -75.069736567,-137.633363628 -75.073899567,-137.683627628 -75.076127567,-137.760836628 -75.077227567,-137.891108628 -75.077790567,-138.208618629 -75.0766725669999,-138.445554629 -75.0744455669999,-138.571408629 -75.0766725669999,-138.621672629 -75.078336567,-138.724454629 -75.082781567,-138.768618629 -75.085845567,-138.917508629 -75.093609567,-138.997527629 -75.091945567,-139.027527629 -75.090290567,-139.18252763 -75.091945567,-139.25692763 -75.096790567,-139.28002763 -75.0991635669999,-139.32779063 -75.106672567,-139.38946363 -75.121945567,-139.40972763 -75.1283455669999,-139.45196363 -75.142227567,-139.50695463 -75.165009567,-139.53335463 -75.179172567,-139.61029063 -75.224454567,-139.72696363 -75.290845567,-139.95779063 -75.402236567,-139.99502763 -75.416945567,-140.01583663 -75.4236185669999,-140.06167263 -75.4347185669999,-140.128627631 -75.4491725669999,-140.243618631 -75.466945567,-140.295008631 -75.471681567,-140.320554631 -75.473072567,-140.594999631 -75.4877905669999,-140.780299631 -75.495009567,-141.007781631 -75.506118567,-141.059718631 -75.510836567,-141.160854631 -75.517227567,-141.210018632 -75.518890567,-141.239472632 -75.518618567,-141.320281632 -75.513899567,-141.432799632 -75.506118567,-141.601963632 -75.496672567,-141.710018632 -75.493899567,-141.783627632 -75.494736567,-141.837799632 -75.496672567,-141.888063632 -75.500290567,-141.942227632 -75.502227567,-142.020845632 -75.5033455669999,-142.178890632 -75.500836567,-142.262236632 -75.495281567,-142.432799633 -75.479172567,-142.489472633 -75.477236567,-142.538636633 -75.478618567,-142.566408633 -75.4805635669999,-142.615299633 -75.4934815669999,-142.669527633 -75.547781567,-142.649872633 -75.593418567,-142.674745633 -75.619172567,-142.696136633 -75.6266815669999,-142.719181633 -75.631672567,-142.745572633 -75.636127567,-142.794190633 -75.638899567,-142.820863633 -75.638627567,-142.848636633 -75.6372185669999,-142.878081633 -75.6333455669999,-143.045008633 -75.6072275669999,-143.286681633 -75.591672567,-143.338899633 -75.5891725669999,-143.367799634 -75.589736567,-143.441408634 -75.594727567,-143.514190634 -75.600845567,-143.618899634 -75.6116815669999,-143.665863634 -75.6169545669999,-143.763063634 -75.631118567,-143.886963634 -75.650009567,-143.909181634 -75.652790567,-143.962527634 -75.656681567,-144.040554634 -75.6597275669999,-144.067227634 -75.659454567,-144.116972634 -75.660572567,-144.170563634 -75.664463567,-144.219454634 -75.671672568,-144.248354634 -75.681254568,-144.261536634 -75.701254568,-144.256726634 -75.725910568,-144.255845634 -75.730427568,-144.234881634 -75.762790568,-144.207245634 -75.7886185679999,-144.206390634 -75.837781568,-144.405027634 -75.8616815679999,-144.453063635 -75.866672568,-144.507508635 -75.870563568,-144.591127635 -75.8702815679999,-144.723354635 -75.8655725679999,-144.778354635 -75.8680545679999,-144.901672635 -75.883345568,-144.925721635 -75.8864885679999,-144.925726635 -75.8864895679999,-145.052518635 -75.9030635679999,-145.263645635 -75.916945568,-145.616972636 -75.912509568,-145.699190636 -75.9097275679999,-145.757781636 -75.9055635679999,-145.840572636 -75.896954568,-145.868345636 -75.8949995679999,-145.921963636 -75.895281568,-145.976681636 -75.8988995679999,-146.026672636 -75.9069545679999,-146.073636636 -75.9155545679999,-146.112245636 -75.9302815679999,-146.135554636 -75.943618568,-146.295290636 -76.039736568,-146.287227636 -76.102509568,-146.235018636 -76.114727568,-146.193908636 -76.1261095679999,-146.155299636 -76.138063568,-146.087280636 -76.165297568,-145.983918636 -76.206681568,-145.950008636 -76.2247275679999,-145.902254636 -76.2430545679999,-145.869172636 -76.253890568,-145.787781636 -76.272509568,-145.754727636 -76.277509568,-145.702236636 -76.2824995679999,-145.671108636 -76.283618568,-145.585299636 -76.2888905679999,-145.496672636 -76.299454568,-145.458354635 -76.308754568,-145.420436635 -76.327236568,-145.398208635 -76.349872568,-145.393199635 -76.392090568,-145.398072635 -76.418345568,-145.425018635 -76.435563568,-145.479463635 -76.443345568,-145.503354636 -76.445845568,-145.533081636 -76.447509568,-145.640290636 -76.4513995679999,-145.724454636 -76.4511275679999,-145.785581636 -76.446945568,-145.874999636 -76.436399568,-146.024445636 -76.417236568,-146.374454636 -76.3741725679999,-146.435027636 -76.3700095679999,-146.491672636 -76.3675095679999,-146.681672637 -76.3411275679999,-146.760835137 -76.326969568,-146.880581637 -76.3055545679999,-146.935027637 -76.295009568,-147.001127637 -76.276399568,-147.103618637 -76.2427815679999,-147.140563637 -76.233899568,-147.196681637 -76.2241635679999,-147.341127637 -76.2136275679999,-147.398618637 -76.207227568,-147.741390638 -76.164463568,-147.802518638 -76.1547275679999,-147.877499638 -76.1358365679999,-147.933072638 -76.118899568,-147.962799638 -76.1116815679999,-147.989199638 -76.106399568,-148.043063638 -76.100281568,-148.101290638 -76.095654568,-148.210299638 -76.0963905679999,-148.263645638 -76.100009568,-148.289736638 -76.103345568,-148.343627638 -76.112790568,-148.416690638 -76.1305725679999,-148.489472638 -76.149445568,-148.539736638 -76.163345568,-148.578918638 -76.177227568,-148.613063638 -76.194590568,-148.640918638 -76.2254905679999,-148.660154638 -76.2541725679999,-148.691954638 -76.262218568,-148.903354639 -76.280836568,-148.985290639 -76.283618568,-149.125854639 -76.2824995679999,-149.177799639 -76.2838905679999,-149.258054639 -76.291672568,-149.287508639 -76.295563568,-149.340299639 -76.304172568,-149.418336639 -76.320845568,-149.468354639 -76.341399568,-149.486972639 -76.354445568,-149.503345639 -76.382154568,-149.487245639 -76.4074995679999,-149.442508639 -76.419172568,-149.382508639 -76.425563568,-149.284454639 -76.4343095679999,-149.211672639 -76.439727568,-149.129181639 -76.445845568,-148.985836639 -76.450563568,-148.872218639 -76.457781568,-148.754727639 -76.468336568,-148.673618638 -76.477236568,-148.555845638 -76.487790568,-148.383908638 -76.500290568,-148.298336638 -76.504999568,-148.273072638 -76.505281568,-148.242527638 -76.504181568,-148.218354638 -76.501681568,-148.189181638 -76.496399568,-148.163908638 -76.489454568,-148.109190638 -76.4699995679999,-148.055299638 -76.442227568,-148.034681638 -76.431718568,-147.974454638 -76.419727568,-147.920018638 -76.415845568,-147.890018638 -76.414736568,-147.837245638 -76.414172568,-147.693636638 -76.418336568,-147.438899637 -76.435836568,-147.352236637 -76.442781568,-147.263605637 -76.447649568,-147.240845637 -76.4488995679999,-147.209745637 -76.450009568,-147.126127637 -76.449445568,-147.040863637 -76.4466725679999,-146.987518637 -76.447509568,-146.932254637 -76.451954568,-146.900027637 -76.455845568,-146.840027637 -76.464736568,-146.779445637 -76.475009568,-146.721127637 -76.4861185679999,-146.618072637 -76.5088995679999,-146.545290636 -76.5261275679999,-146.482790636 -76.544727568,-146.457518636 -76.556672568,-146.428890636 -76.568890568,-146.380581636 -76.587236568,-146.343081636 -76.600009568,-146.303345636 -76.612227568,-146.243345636 -76.630281568,-146.192227636 -76.641954568,-146.083890636 -76.665281568,-146.021663636 -76.675290568,-145.928345636 -76.685290568,-145.898899636 -76.686954568,-145.843899636 -76.6886095679999,-145.814454636 -76.690563568,-145.780581636 -76.695554568,-145.521663636 -76.735836568,-145.492245636 -76.7422365689999,-145.461336635 -76.759036569,-145.470445635 -76.783899569,-145.494754636 -76.794172569,-145.519472636 -76.801390569,-145.543063636 -76.805281569,-145.599181636 -76.812790569,-145.682799636 -76.817781569,-145.738618636 -76.820845569,-145.791963636 -76.8230635689999,-145.908627636 -76.8255635689999,-145.937499636 -76.825009569,-145.994172636 -76.826672569,-146.021972636 -76.828609569,-146.076690636 -76.8341635689999,-146.102236636 -76.840009569,-146.084318636 -76.849727569,-145.822781636 -76.899172569,-145.620299636 -76.9150095689999,-145.565854636 -76.914172569,-145.502499636 -76.918336569,-145.474454635 -76.921954569,-145.415554635 -76.9333365689999,-145.372799635 -76.9525185689999,-145.298890635 -77.029172569,-145.318363635 -77.0363905689999,-145.342227635 -77.0402815689999,-145.399745635 -77.041945569,-145.432527635 -77.0408455689999,-145.559445636 -77.023618569,-145.684445636 -77.008618569,-145.741390636 -77.005845569,-145.831390636 -77.006390569,-145.921108636 -77.002227569,-145.978908636 -76.997790569,-146.045008636 -76.988618569,-146.073908636 -76.983336569,-146.136408636 -76.974454569,-146.166408636 -76.9727815689999,-146.192781636 -76.9727815689999,-146.223908636 -76.974163569,-146.282363636 -76.9877815689999,-146.301254636 -77.002090569,-146.284745636 -77.014454569,-146.256681636 -77.023618569,-146.200836636 -77.0358455689999,-146.166690636 -77.039463569,-146.012236636 -77.0608365689999,-145.951418636 -77.070554569,-145.919190636 -77.0761275689999,-145.889463636 -77.0824995689999,-145.869172636 -77.087236569,-145.845290636 -77.105427569,-145.982236636 -77.155290569,-146.008636636 -77.1611185689999,-146.036136636 -77.164463569,-146.094454636 -77.1658455689999,-146.124172636 -77.1655545689999,-146.221818636 -77.161809569,-146.148208636 -77.231536569,-146.107508636 -77.2469455689999,-146.050290636 -77.259172569,-146.024172636 -77.2636275689999,-145.934172636 -77.2816815689999,-145.903781636 -77.290836569,-145.884463636 -77.309663569,-145.921690636 -77.325836569,-145.952236636 -77.3299995689999,-145.973636636 -77.3344545689999,-146.009536636 -77.345499569,-145.989945636 -77.3756995689999,-145.990418636 -77.4022275689999,-146.014736636 -77.4127815689999,-146.240299636 -77.463054569,-146.268618636 -77.466399569,-146.301118636 -77.461945569,-146.322508636 -77.455845569,-146.341127636 -77.443345569,-146.380863636 -77.418627569,-146.521972636 -77.336399569,-146.551972636 -77.324172569,-146.775572637 -77.2444455689999,-146.796108637 -77.238345569,-146.849181637 -77.226672569,-146.880863637 -77.2219545689999,-146.908627637 -77.2194545689999,-146.945008637 -77.217790569,-146.971681637 -77.2175185689999,-147.000854637 -77.218336569,-147.032227637 -77.220836569,-147.084472637 -77.229172569,-147.112381637 -77.2412455689999,-147.113345637 -77.321536569,-147.086672637 -77.340563569,-147.068072637 -77.361254569,-147.099454637 -77.377227569,-147.129727637 -77.376681569,-147.156399637 -77.3708365689999,-147.173618637 -77.358754569,-147.182645637 -77.335699569,-147.218354637 -77.326399569,-147.407227637 -77.295836569,-147.467227637 -77.2944455689999,-147.493072637 -77.296954569,-147.524599637 -77.305981569,-147.562790637 -77.401536569,-147.591399637 -77.422227569,-147.616118637 -77.4275095689999,-147.675018638 -77.437227569,-147.760554638 -77.4480635689999,-147.815581638 -77.453609569,-147.877227638 -77.456681569,-147.930845638 -77.457781569,-147.994754638 -77.4555635689999,-148.053890638 -77.458072569,-148.085845638 -77.460554569,-148.377227638 -77.485290569,-148.549472638 -77.500563569,-148.581118638 -77.504454569,-148.614045638 -77.513618569,-148.604308638 -77.5329185689999,-148.585008638 -77.5448725689999,-148.574308638 -77.562090569,-148.580427638 -77.587509569,-148.617245638 -77.608063569,-148.673890638 -77.6194455689999,-148.732790639 -77.625563569,-148.792781639 -77.627790569,-148.857236639 -77.625563569,-148.921108639 -77.616118569,-148.948627639 -77.606672569,-148.981963639 -77.597499569,-149.013918639 -77.592790569,-149.198336639 -77.5738995689999,-149.260281639 -77.569454569,-149.324463639 -77.567227569,-149.387508639 -77.568618569,-149.414181639 -77.570845569,-149.443081639 -77.5752905689999,-149.471681639 -77.580845569,-149.488281639 -77.597709569,-149.344999639 -77.651399569,-149.321963639 -77.6569545689999,-149.226681639 -77.6700095689999,-149.133908639 -77.683627569,-149.097654639 -77.694381569,-149.182863639 -77.721327569,-149.272518639 -77.739727569,-149.298618639 -77.7444455689999,-149.360290639 -77.753890569,-149.419736639 -77.7611275689999,-149.443636639 -77.7627905689999,-149.477236639 -77.763899569,-149.572508639 -77.7630635689999,-149.662227639 -77.7611275689999,-149.724727639 -77.756672569,-149.759463639 -77.752499569,-149.85528164 -77.738063569,-149.88446364 -77.7325095689999,-149.96862764 -77.713899569,-150.04641864 -77.695281569,-150.14697264 -77.670836569,-150.20916364 -77.651399569,-150.27444564 -77.632509569,-150.34530864 -77.613890569,-150.37084564 -77.6075095689999,-150.42501864 -77.595836569,-150.49057264 -77.585281569,-150.67529064 -77.553890569,-150.82779064 -77.527236569,-150.85278164 -77.522236569,-150.894199641 -77.5088995689999,-150.941681641 -77.495563569,-151.068081641 -77.475009569,-151.098354641 -77.4727815689999,-151.117127641 -77.436709569,-151.141690641 -77.406109569,-151.166690641 -77.399736569,-151.204336641 -77.393540569,-151.227508641 -77.3897275689999,-151.290863641 -77.384445569,-151.347781641 -77.381390569,-151.437808641 -77.3780635689999,-151.494445641 -77.376681569,-151.586399641 -77.378890569,-151.616118641 -77.380572569,-151.734745641 -77.382509569,-151.791690641 -77.380845569,-151.824463641 -77.378890569,-151.854463641 -77.376681569,-151.881681641 -77.3733365689999,-151.911954641 -77.366954569,-151.942518642 -77.3575095689999,-151.994736642 -77.338199569,-152.028072642 -77.328609569,-152.061127642 -77.3252905689999,-152.087799642 -77.324718569,-152.146663642 -77.3302905689999,-152.175845642 -77.335554569,-152.191272642 -77.349590569,-152.188063642 -77.391254569,-152.198345642 -77.414599569,-152.228072642 -77.436527569,-152.265836642 -77.453609569,-152.295290642 -77.460281569,-152.357518642 -77.468899569,-152.441127642 -77.475572569,-152.773618642 -77.487227569,-153.016418643 -77.4986095689999,-153.076418643 -77.4986095689999,-153.106418643 -77.497218569,-153.136418643 -77.491954569,-153.172518643 -77.482927569,-153.197936643 -77.470427569,-153.223354643 -77.453609569,-153.238890643 -77.432990569,-153.217099643 -77.405563569,-153.184172643 -77.395845569,-153.151399643 -77.391399569,-153.124727643 -77.389454569,-153.091945643 -77.3886275689999,-153.064999643 -77.389454569,-153.032499643 -77.387509569,-153.005581642 -77.384172569,-152.972381642 -77.371599569,-152.988345642 -77.344999569,-153.083618643 -77.286663569,-153.110290643 -77.274172569,-153.133908643 -77.2677905689999,-153.254454643 -77.2463995689999,-153.310581643 -77.237790569,-153.401672643 -77.229172569,-153.489745643 -77.2227815689999,-153.604190643 -77.218063569,-153.636418643 -77.215836569,-153.665554643 -77.210845569,-153.731963643 -77.185290569,-153.763918643 -77.1780725689999,-153.790281643 -77.174727569,-153.822236643 -77.172499569,-153.880863643 -77.1700095689999,-153.939181643 -77.169727569,-154.056672643 -77.174727569,-154.115572644 -77.178345569,-154.142245644 -77.182781569,-154.201418644 -77.187790569,-154.233336644 -77.185563569,-154.265290644 -77.1797365689999,-154.320008644 -77.168336569,-154.403354644 -77.151672569,-154.460845644 -77.141109569,-154.518336644 -77.131672569,-154.579190644 -77.126681569,-154.637508644 -77.1263995689999,-154.722781644 -77.133054569,-154.782227644 -77.1405635689999,-154.811672644 -77.1430635689999,-154.841127644 -77.144181569,-154.873081644 -77.141954569,-154.901672644 -77.1377905689999,-154.942308644 -77.119245569,-154.981945644 -77.094727569,-155.020290644 -77.086945569,-155.052245644 -77.086118569,-155.078918644 -77.089172569,-155.138645644 -77.099163569,-155.162781645 -77.105563569,-155.192781645 -77.110563569,-155.276672645 -77.106672569,-155.394199645 -77.093336569,-155.451690645 -77.088899569,-155.538081645 -77.082781569,-155.566681645 -77.081390569,-155.653627645 -77.079181569,-155.682799645 -77.078899569,-155.738063645 -77.079181569,-155.799472645 -77.0805635689999,-155.861390645 -77.0844545689999,-155.948054645 -77.0944545689999,-156.038636645 -77.109172569,-156.096681645 -77.121127569,-156.165281645 -77.1397275689999,-156.208208645 -77.155145569,-156.228908645 -77.168763569,-156.213618645 -77.185563569,-156.128627645 -77.211945569,-156.086545645 -77.228199569,-156.060154645 -77.248345569,-156.077790645 -77.2679275689999,-156.105008645 -77.277790569,-156.126954645 -77.283336569,-156.158081645 -77.289463569,-156.342527646 -77.318618569,-156.386963646 -77.3299995689999,-156.413908646 -77.3425185689999,-156.455563646 -77.355836569,-156.483336646 -77.358609569,-156.541408646 -77.354172569,-156.628081646 -77.343899569,-156.688354646 -77.335845569,-156.713899646 -77.331118569,-156.746672646 -77.3208365689999,-156.780299646 -77.303618569,-156.818081646 -77.2900095689999,-156.840027646 -77.283063569,-156.871127646 -77.278336569,-156.896972646 -77.275845569,-156.983918646 -77.2694545689999,-157.039736646 -77.258345569,-157.082790646 -77.2447365689999,-157.200290646 -77.203899569,-157.237245646 -77.190290569,-157.283908646 -77.1700095689999,-157.329181647 -77.136672569,-157.340145647 -77.1198725689999,-157.367936647 -77.106254569,-157.398618647 -77.0969545689999,-157.431945647 -77.091399569,-157.457518647 -77.088899569,-157.499999647 -77.086972569,-157.543636647 -77.085009569,-157.572781647 -77.0844545689999,-157.605281647 -77.085845569,-157.693081647 -77.095563569,-157.753081647 -77.108063569,-157.775299647 -77.113618569,-157.823636647 -77.1263995689999,-157.854108647 -77.148681569,-157.818636647 -77.178890569,-157.790554647 -77.191681569,-157.762790647 -77.204454569,-157.741818647 -77.224727569,-157.757381647 -77.248481569,-157.781399647 -77.257781569,-157.803072647 -77.269181569,-157.821254647 -77.282790569,-157.848281647 -77.315009569,-157.844181647 -77.363899569,-157.813899647 -77.383609569,-157.741672647 -77.407790569,-157.701690647 -77.550563569,-157.700718647 -77.577509569,-157.719881647 -77.593199569,-157.747527647 -77.6025095689999,-157.809445647 -77.613890569,-157.841399647 -77.618618569,-157.875854647 -77.621127569,-157.907499647 -77.624454569,-157.971954647 -77.6338995689999,-158.001127647 -77.639172569,-158.024745647 -77.6447275689999,-158.063081647 -77.657790569,-158.080018647 -77.673763569,-158.062808647 -77.7047275689999,-158.039736647 -77.724727569,-158.006681647 -77.758345569,-158.009599647 -77.7818185689999,-158.044599647 -77.800845569,-158.096681647 -77.8155635699999,-158.132236647 -77.82806357,-158.167645647 -77.8469455699999,-158.158618647 -77.88612757,-158.123763647 -77.91611857,-158.082790647 -77.93833657,-158.003627647 -77.96779057,-157.910281647 -78.00195457,-157.826690647 -78.0208455699999,-157.524172647 -78.0880545699999,-157.436127647 -78.1075095699999,-157.380281647 -78.11944557,-157.314999647 -78.1319545699999,-157.258908646 -78.1438905699999,-157.229463646 -78.1508455699999,-157.077518646 -78.1905635699999,-157.004181646 -78.2105545699999,-156.964172646 -78.2252815699999,-156.886136646 -78.25168157,-156.839172646 -78.2652905699999,-156.811954646 -78.27028157,-156.561399646 -78.28861857,-156.494172646 -78.28889057,-156.461945646 -78.2880725699999,-156.395845646 -78.28083657,-156.341399646 -78.26834557,-156.320554646 -78.26221857,-156.277163646 -78.2449365699999,-156.256545646 -78.22389957,-156.209163645 -78.17361857,-156.187381645 -78.16292757,-156.144199645 -78.15417257,-156.114745645 -78.15139957,-156.047790645 -78.1486185699999,-156.013645645 -78.15112757,-155.954745645 -78.15749957,-155.927518645 -78.16222757,-155.862518645 -78.1700095699999,-155.769472645 -78.17861857,-155.616118645 -78.1897275699999,-155.584745645 -78.19139057,-155.514736645 -78.1905635699999,-155.325563645 -78.17973657,-155.133363644 -78.1666725699999,-155.069181644 -78.16195457,-155.036954644 -78.15833657,-154.969454644 -78.1502815699999,-154.936954644 -78.14528157,-154.907808644 -78.1394545699999,-154.843081644 -78.12834557,-154.810854644 -78.12445457,-154.683072644 -78.11111857,-154.590572644 -78.10305457,-154.527254644 -78.09945457,-154.464172644 -78.0983455699999,-154.432799644 -78.09861857,-154.366972644 -78.10196357,-154.301118644 -78.1069455699999,-154.273072644 -78.11029057,-154.221833644 -78.11782857,-154.210845644 -78.11944557,-154.093081644 -78.14472757,-154.033908643 -78.15833657,-154.009181643 -78.1650095699999,-153.925290643 -78.1905635699999,-153.903627643 -78.19778157,-153.860290643 -78.21722757,-153.832245643 -78.23112757,-153.790708643 -78.25610957,-153.761963643 -78.2850095699999,-153.750445643 -78.31167257,-153.759936643 -78.34243657,-153.791963643 -78.3733365699999,-153.852508643 -78.41862757,-153.884318643 -78.43431857,-153.912508643 -78.44417257,-153.991390643 -78.46362757,-154.083618644 -78.48139957,-154.185854644 -78.4961275699999,-154.284454644 -78.50861857,-154.346954644 -78.51417257,-154.510836644 -78.52278157,-154.743899644 -78.53389057,-155.235290645 -78.56389957,-155.508363645 -78.58667257,-155.946408645 -78.63612757,-155.973908645 -78.64110957,-155.995299645 -78.64723657,-156.013972645 -78.66375457,-155.983063645 -78.69361857,-155.948027645 -78.7081905699999,-155.906399645 -78.71972757,-155.849727645 -78.7316725699999,-155.693081645 -78.76112757,-155.596954645 -78.77862757,-155.506954645 -78.7950095699999,-155.245299645 -78.84279057,-155.180299645 -78.8550095699999,-154.841399644 -78.924454571,-154.789463644 -78.9377905709999,-154.692790644 -78.9737635709999,-154.640836644 -78.990281571,-154.611118644 -78.997509571,-154.468899644 -79.030018571,-154.338345644 -79.051681571,-154.298063644 -79.057236571,-154.027527643 -79.090290571,-153.928890643 -79.100281571,-153.857236643 -79.1063995709999,-153.686399643 -79.115845571,-153.621399643 -79.116390571,-153.549190643 -79.118618571,-153.477236643 -79.121945571,-153.419190643 -79.124999571,-153.343627643 -79.130281571,-153.206390643 -79.141954571,-153.103054643 -79.1525095709999,-153.034181643 -79.156399571,-152.934445642 -79.156954571,-152.896663642 -79.1561095709999,-152.793336642 -79.157499571,-152.724454642 -79.158618571,-152.582790642 -79.1641725709999,-152.420563642 -79.172227571,-152.344181642 -79.1772275709999,-152.309445642 -79.181118571,-152.243072642 -79.190563571,-152.134463642 -79.209163571,-152.059718642 -79.2288995709999,-151.985018642 -79.247509571,-151.896118641 -79.267227571,-151.747218641 -79.290009571,-151.479736641 -79.3308455709999,-151.325563641 -79.3538995709999,-151.170836641 -79.3769545709999,-151.008054641 -79.3997365709999,-150.939454641 -79.409181571,-150.863890641 -79.416945571,-150.57614564 -79.455563571,-150.53585464 -79.461118571,-150.50280864 -79.4666725709999,-150.39639064 -79.4808365709999,-150.32669064 -79.490009571,-150.29000864 -79.494736571,-150.21279964 -79.5038905709999,-150.10723664 -79.512509571,-149.99001864 -79.5244455709999,-149.88250864 -79.538345571,-149.773899639 -79.554736571,-149.658354639 -79.569736571,-149.509181639 -79.5875095709999,-149.434445639 -79.595836571,-149.397518639 -79.599163571,-149.327790639 -79.603054571,-149.215299639 -79.6061275709999,-149.147245639 -79.6061275709999,-149.072236639 -79.604445571,-148.893618639 -79.6022365709999,-148.821408639 -79.602509571,-148.792508639 -79.603345571,-148.751127639 -79.607509571,-148.712799638 -79.613345571,-148.685299638 -79.618899571,-148.661136638 -79.624999571,-148.636418638 -79.632509571,-148.588618638 -79.6436185709999,-148.525027638 -79.656954571,-148.490299638 -79.662227571,-148.183345638 -79.700563571,-147.805027638 -79.7455635709999,-147.574736637 -79.767790571,-147.016690637 -79.853618571,-146.951690637 -79.864181571,-146.811954637 -79.887509571,-146.745572637 -79.899172571,-146.653072637 -79.916945571,-146.600863637 -79.929172571,-146.551972636 -79.9416815709999,-146.485018636 -79.959163571,-146.439727636 -79.971390572,-146.394745636 -79.9894545719999,-146.351408636 -80.015290572,-146.331699636 -80.0283365719999,-146.303890636 -80.053345572,-146.283627636 -80.072236572,-146.180845636 -80.129454572,-146.079190636 -80.1722275719999,-146.028072636 -80.1908455719999,-145.930299636 -80.221390572,-145.859463636 -80.240009572,-145.772518636 -80.264172572,-145.697508636 -80.288072572,-145.672518636 -80.300563572,-145.647799636 -80.313063572,-145.621672636 -80.332499572,-145.580581636 -80.376536572,-145.524172636 -80.460554572,-145.522381636 -80.483336572,-145.616972636 -80.540009572,-145.649445636 -80.554172572,-145.832518636 -80.6163905719999,-145.885836636 -80.6305725719999,-145.960299636 -80.643063572,-146.032499636 -80.6536275719999,-146.100581636 -80.664463572,-146.206972636 -80.683336572,-146.367527636 -80.717518572,-146.680027637 -80.7788995719999,-146.740845637 -80.790845572,-146.936399637 -80.832499572,-147.000581637 -80.846390572,-147.169736637 -80.888063572,-147.214172637 -80.9022365719999,-147.283354637 -80.9227905719999,-147.340299637 -80.936672572,-147.368899637 -80.9436185719999,-147.451418637 -80.963627572,-147.570554637 -80.9919545719999,-147.665863638 -81.012790572,-147.774172638 -81.0330635719999,-147.836945638 -81.046109573,-147.925290638 -81.066681573,-148.060027638 -81.1013905729999,-148.099181638 -81.1141815729999,-148.138063638 -81.126954573,-148.182645638 -81.151718573,-148.196681638 -81.170009573,-148.237518638 -81.200009573,-148.259736638 -81.2138995729999,-148.303345638 -81.227236573,-148.355145638 -81.251254573,-148.405581638 -81.2988905729999,-148.419463638 -81.337781573,-148.413363638 -81.357509573,-148.608918638 -81.3611185729999,-148.778354639 -81.357227573,-148.910281639 -81.3594545729999,-149.045836639 -81.3633455729999,-149.221681639 -81.363063573,-149.390290639 -81.360290573,-149.738618639 -81.357509573,-149.86779964 -81.356127573,-149.99694564 -81.354445573,-150.08307264 -81.352781573,-150.24752764 -81.3474995729999,-150.37362764 -81.341399573,-150.45583664 -81.337236573,-150.53002764 -81.331954573,-150.68722764 -81.320281573,-150.77001864 -81.313609573,-150.879454641 -81.301954573,-150.918918641 -81.296399573,-151.060027641 -81.275281573,-151.196408641 -81.252227573,-151.262790641 -81.2391815729999,-151.324736641 -81.225281573,-151.409181641 -81.2016725729999,-151.472227641 -81.180009573,-151.516690641 -81.164736573,-151.547518641 -81.156681573,-151.578063641 -81.149736573,-151.612518641 -81.143345573,-151.646972641 -81.1383365729999,-151.680845641 -81.1347365729999,-151.798890641 -81.127227573,-152.050018642 -81.123063573,-152.221127642 -81.121399573,-152.391963642 -81.121127573,-152.437808642 -81.1219455729999,-152.521390642 -81.120836573,-152.605008642 -81.1183455729999,-152.721954642 -81.1119545729999,-152.801390642 -81.106399573,-152.909727642 -81.096118573,-152.980563642 -81.087781573,-153.055572643 -81.081390573,-153.096954643 -81.0788995729999,-153.221681643 -81.077518573,-153.263063643 -81.077518573,-153.296108643 -81.0788995729999,-153.420836643 -81.0786095729999,-153.508054643 -81.078063573,-153.590854643 -81.0766725729999,-153.711118643 -81.0719455729999,-153.826690643 -81.064181573,-153.946136643 -81.0555545729999,-154.245845644 -81.033618572,-154.675563644 -81.0094455719999,-154.835299644 -81.003063572,-154.921690644 -81.001954572,-155.049190644 -81.001954572,-155.222781645 -81.0036185719999,-155.313899645 -81.0058455719999,-155.469181645 -81.017227572,-155.554172645 -81.026945572,-155.651399645 -81.035845573,-155.752808645 -81.043063573,-155.895018645 -81.048336573,-156.408627646 -81.083890573,-156.503081646 -81.091945573,-156.546418646 -81.0969545729999,-156.581699646 -81.101672573,-156.612790646 -81.107227573,-156.717227646 -81.128890573,-156.755008646 -81.140018573,-156.776672646 -81.1527905729999,-156.798336646 -81.165554573,-156.935027646 -81.232509573,-156.956054646 -81.252299573,-156.940845646 -81.276945573,-156.880008646 -81.294172573,-156.807254646 -81.303890573,-156.733336646 -81.311109573,-156.616390646 -81.317227573,-156.527799646 -81.3200095729999,-156.438081646 -81.3200095729999,-156.263918646 -81.3222365729999,-156.183627645 -81.324718573,-156.103363645 -81.327227573,-156.061127645 -81.3288995729999,-155.897245645 -81.336945573,-155.478636645 -81.3719455729999,-155.403627645 -81.379999573,-155.370299645 -81.3841725729999,-155.300018645 -81.395281573,-155.233608645 -81.406109573,-155.200290645 -81.4113905729999,-155.129454644 -81.421399573,-155.062499644 -81.4305545729999,-154.881136644 -81.452790573,-154.838345644 -81.4555635729999,-154.498081644 -81.4952815729999,-154.400572644 -81.513063573,-154.332790644 -81.5261275729999,-154.205018644 -81.552227573,-154.085845644 -81.584454573,-154.064727643 -81.591672573,-153.992936643 -81.622090573,-153.999999643 -81.648345573,-154.063627643 -81.6661185729999,-154.364745644 -81.726963573,-154.542781644 -81.752790573,-154.620845644 -81.7633365729999,-154.676699644 -81.774736573,-154.723636644 -81.786118573,-154.750018644 -81.795427573,-154.786818644 -81.8123725729999,-154.887863644 -81.8931995729999,-154.839754644 -81.920563573,-154.769199644 -81.933627573,-154.733608644 -81.938899573,-154.688354644 -81.941681573,-154.535581644 -81.958890573,-154.499727644 -81.964172573,-154.446408644 -81.9744545729999,-154.409118644 -81.994727573,-154.427936644 -82.019181573,-154.460299644 -82.034181573,-154.468899644 -82.052499573,-154.423890644 -82.069454573,-154.356136644 -82.081954573,-154.136690644 -82.114454574,-154.021390643 -82.130845574,-153.984463643 -82.134736574,-153.942781643 -82.1405635739999,-153.841399643 -82.159999574,-153.804472643 -82.167509574,-153.739472643 -82.1819455739999,-153.707245643 -82.190290574,-153.641963643 -82.204454574,-153.506408643 -82.233336574,-153.435854643 -82.248063574,-153.364745643 -82.261672574,-153.093354643 -82.317499574,-153.025845643 -82.333890574,-152.919736642 -82.355836574,-152.691408642 -82.391954574,-152.465854642 -82.4275095739999,-152.342799642 -82.443345574,-152.228636642 -82.463054574,-152.083618642 -82.4902815739999,-152.008054642 -82.504727574,-151.946681642 -82.5199995739999,-151.895018641 -82.535281574,-151.853363641 -82.549181574,-151.816408641 -82.5636095739999,-151.794190641 -82.5777905739999,-151.780018641 -82.601536574,-151.803618641 -82.636672574,-151.912227641 -82.705845574,-151.935581642 -82.718336574,-151.958890642 -82.7302815739999,-152.006681642 -82.748336574,-152.050290642 -82.7605635739999,-152.118899642 -82.778627574,-152.173336642 -82.789736574,-152.238345642 -82.800563574,-152.328063642 -82.817499574,-152.387508642 -82.835281574,-152.414045642 -82.851672574,-152.471127642 -82.873336574,-152.491118642 -82.879727574,-152.592527642 -82.9027905739999,-152.623081642 -82.907790574,-152.668918642 -82.9200095739999,-152.719727642 -82.938063574,-152.749999642 -82.9508365739999,-152.800845642 -82.975009574,-153.007508642 -83.087509574,-153.028072643 -83.113063574,-153.043918643 -83.132781574,-153.054172643 -83.151945574,-153.031681643 -83.2239725749999,-152.998627642 -83.2524995749999,-152.965163642 -83.286954575,-152.928072642 -83.340836575,-152.927245642 -83.366954575,-152.943218642 -83.383481575,-152.972090642 -83.444872575,-152.943908642 -83.543063575,-152.928890642 -83.570145575,-152.943636642 -83.648345575,-152.954463642 -83.668063575,-152.999590642 -83.709309575,-153.033908643 -83.724727575,-153.080290643 -83.7438995749999,-153.126954643 -83.761399575,-153.161954643 -83.774172575,-153.191408643 -83.786390575,-153.215027643 -83.798890575,-153.232790643 -83.818618575,-153.233608643 -83.878345575,-153.216127643 -83.915836575,-153.186399643 -83.943072575,-153.162227643 -83.957227575,-153.053072643 -84.0127905749999,-152.997799642 -84.033890575,-152.936127642 -84.048890575,-152.886963642 -84.0566725749999,-152.781399642 -84.078609575,-152.643890642 -84.1091725749999,-152.561399642 -84.131118575,-152.356418642 -84.182781575,-152.115299642 -84.241390575,-152.049190642 -84.2563905759999,-151.976963642 -84.2708455759999,-151.691127641 -84.324172576,-151.396972641 -84.366390576,-151.296108641 -84.379181576,-151.188627641 -84.3916815759999,-151.087527641 -84.403336576,-150.985836641 -84.415009576,-150.72030864 -84.4438905759999,-150.61029064 -84.4558455759999,-150.33529964 -84.482509576,-150.12084564 -84.5024995759999,-150.05834564 -84.508054576,-149.83029064 -84.5250095759999,-149.532808639 -84.544445576,-149.358336639 -84.556672576,-149.294736639 -84.5619545759999,-148.753908639 -84.595836576,-148.324190638 -84.618618576,-148.012790638 -84.633899576,-147.631408637 -84.649736576,-147.503627637 -84.655018576,-147.375581637 -84.660281576,-147.119172637 -84.670563576,-146.826963637 -84.681118576,-146.570008637 -84.6899995759999,-146.244172636 -84.703609576,-146.048618636 -84.711118576,-145.983336636 -84.713627576,-145.721954636 -84.723345576,-145.321963635 -84.736954576,-144.394472634 -84.769727576,-144.133363634 -84.779727576,-143.999454634 -84.784181576,-143.798336634 -84.790845576,-143.396663634 -84.803072576,-143.256136633 -84.806672576,-143.053072633 -84.813063576,-142.841672633 -84.820009576,-142.640836633 -84.828336576,-142.438899633 -84.8336185759999,-142.299472633 -84.8358455759999,-142.156954632 -84.839172576,-141.682527632 -84.8541725759999,-141.547790632 -84.860290576,-141.401672632 -84.864727576,-140.989472631 -84.8752905759999,-140.712527631 -84.8797275759999,-140.503908631 -84.885281576,-140.294736631 -84.891109576,-139.88223663 -84.908063576,-139.74084563 -84.915009576,-139.52779963 -84.926681576,-139.17974563 -84.944736576,-139.045008629 -84.951127576,-138.901672629 -84.9577815759999,-138.827236629 -84.9605545759999,-138.683072629 -84.967518576,-138.646663629 -84.972499576,-138.589445629 -84.984727576,-138.608918629 -84.991118576,-138.732790629 -85.015836576,-138.780581629 -85.0225095759999,-138.928890629 -85.046954576,-138.992245629 -85.059445576,-139.038081629 -85.072509576,-139.09362763 -85.090563576,-139.10583663 -85.116118576,-139.08265463 -85.125699576,-139.06419063 -85.144309576,-139.08154563 -85.188199576,-139.10250863 -85.203899576,-139.12362763 -85.2100095759999,-139.21862763 -85.2230725759999,-139.35613663 -85.234727576,-139.43194563 -85.2380635759999,-139.66140863 -85.245009576,-139.89807263 -85.2494545759999,-140.04947263 -85.251109576,-140.126681631 -85.251109576,-140.275572631 -85.250563576,-140.582518631 -85.248899576,-140.803072631 -85.244445576,-141.177799631 -85.2336095759999,-141.541963632 -85.219727576,-141.903899632 -85.2058455759999,-142.053618632 -85.200290576,-142.126954632 -85.198336576,-142.343081633 -85.1902905759999,-142.561127633 -85.181118576,-142.630581633 -85.176681576,-142.838899633 -85.167509576,-143.205836633 -85.1544455759999,-143.572236634 -85.1441815759999,-144.239199634 -85.132509576,-144.455290635 -85.1288905759999,-144.524172635 -85.1277905759999,-144.752499635 -85.125563576,-145.258054635 -85.117509576,-145.472781635 -85.113618576,-145.768336636 -85.109727576,-145.843354636 -85.1091725759999,-146.291690636 -85.107509576,-146.519472636 -85.1088995759999,-146.675845637 -85.1086095759999,-147.043636637 -85.105009576,-147.111972637 -85.103618576,-147.256408637 -85.100281576,-147.401945637 -85.095836576,-147.763063638 -85.0900095759999,-147.837527638 -85.089172576,-147.985290638 -85.089172576,-148.138336638 -85.090836576,-148.369172638 -85.096390576,-148.540863638 -85.102509576,-148.709472638 -85.1124995759999,-148.778899639 -85.117781576,-148.896390639 -85.128063576,-148.943363639 -85.133899576,-149.073054639 -85.157499576,-149.156399639 -85.1749995759999,-149.676972639 -85.288345576,-149.739727639 -85.3029275759999,-149.786681639 -85.3186185759999,-149.80447264 -85.3375095769999,-149.778490639 -85.347090577,-149.743618639 -85.402509577,-149.753081639 -85.421954577,-149.79974564 -85.434172577,-149.89474564 -85.4452815769999,-150.04669064 -85.454727577,-150.23947264 -85.463627577,-150.49752764 -85.470290577,-150.73611864 -85.469727577,-150.82419064 -85.468063577,-151.041408641 -85.4619455769999,-151.187499641 -85.453609577,-151.252808641 -85.448627577,-151.310854641 -85.441954577,-151.492245641 -85.4197275769999,-151.599181641 -85.4041725769999,-151.833890641 -85.376399577,-151.953918642 -85.363618577,-152.017245642 -85.358609577,-152.229463642 -85.344454577,-152.361972642 -85.337781577,-152.578918642 -85.331681577,-152.810581642 -85.328063576,-153.134181643 -85.3291815759999,-153.373081643 -85.329999577,-153.773899643 -85.329727577,-154.020572643 -85.329454577,-154.182799644 -85.329727577,-154.584472644 -85.3330725769999,-154.839754644 -85.334163577,-155.189999645 -85.3416725769999,-155.370299645 -85.346681577,-155.464754645 -85.350281577,-155.663081645 -85.358899577,-156.006954645 -85.375836577,-156.338345646 -85.394181577,-156.597781646 -85.406681577,-156.796690646 -85.420836577,-156.921690646 -85.429736577,-157.055572646 -85.438899577,-157.228908646 -85.4475095769999,-157.333890647 -85.4500095769999,-157.483336647 -85.448627577,-157.559718647 -85.4455545769999,-157.701690647 -85.436672577,-157.894745647 -85.424181577,-158.269472647 -85.398345577,-158.449463648 -85.383899577,-158.635836648 -85.368618577,-158.757781648 -85.3597275769999,-159.010836648 -85.343063577,-159.205290648 -85.3308455769999,-159.345308648 -85.325290576,-159.478363649 -85.320281576,-159.560027649 -85.317781576,-159.853908649 -85.3119545759999,-160.023345649 -85.311672576,-160.188081649 -85.313336576,-160.465299649 -85.317499576,-160.84445465 -85.3269545759999,-161.01833665 -85.328899576,-161.18002765 -85.327790576,-161.31778165 -85.321672576,-161.43362765 -85.3122275759999,-161.49252765 -85.305845576,-161.53613665 -85.299727576,-161.719999651 -85.285281576,-161.838618651 -85.278336576,-161.976408651 -85.2733455759999,-162.058345651 -85.271954576,-162.339172651 -85.261399576,-162.526672651 -85.250563576,-162.638336651 -85.240845576,-162.688627652 -85.235290576,-162.861390652 -85.2061185759999,-162.944736652 -85.1902905759999,-163.018618652 -85.173890576,-163.054472652 -85.165281576,-163.077518652 -85.157790576,-163.142245652 -85.141109576,-163.223636652 -85.1252905759999,-163.352508652 -85.103618576,-163.510008652 -85.089172576,-163.694454652 -85.077227576,-163.882781653 -85.071399576,-163.960845653 -85.0694545759999,-164.176699653 -85.066118576,-164.337527653 -85.0647275759999,-164.558899653 -85.0605635759999,-164.708072653 -85.057236576,-164.842799654 -85.051118576,-164.960299654 -85.0441725759999,-165.062808654 -85.033890576,-165.239199654 -85.020572576,-165.483063654 -85.014172576,-165.906954655 -84.985290576,-166.105008655 -84.9730725759999,-166.278899655 -84.957499576,-166.445281655 -84.9394545759999,-166.583072655 -84.9216725759999,-166.785581655 -84.901399576,-167.007236656 -84.8916815759999,-167.105836656 -84.887509576,-167.159454656 -84.883345576,-167.215027656 -84.8769545759999,-167.242799656 -84.866954576,-167.215572656 -84.858063576,-167.177245656 -84.8516725759999,-167.125308656 -84.845836576,-167.060772656 -84.8300815759999,-167.091399656 -84.808336576,-167.154172656 -84.7938995759999,-167.211945656 -84.788890576,-167.337245656 -84.782227576,-167.409727656 -84.780018576,-167.480281656 -84.779727576,-167.695554656 -84.780018576,-167.841672656 -84.783890576,-167.922518656 -84.787227576,-167.988345656 -84.793063576,-168.014527656 -84.8081275759999,-168.033354656 -84.829727576,-168.053890657 -84.8369455759999,-168.089754657 -84.8419455759999,-168.170018657 -84.847499576,-168.236390657 -84.847781576,-168.380863657 -84.844999576,-168.445281657 -84.842227576,-168.502499657 -84.8369455759999,-168.551118657 -84.831390576,-168.595836657 -84.815345576,-168.556399657 -84.7933365759999,-168.508363657 -84.786663576,-168.477508657 -84.780836576,-168.455990657 -84.7697185759999,-168.510554657 -84.747509576,-168.581972657 -84.732790576,-168.670018657 -84.718899576,-168.722227657 -84.7125095759999,-168.834745657 -84.699718576,-169.110290657 -84.6733365759999,-169.223354658 -84.663890576,-169.650299658 -84.644454576,-170.154727658 -84.625563576,-170.288636659 -84.621399576,-170.356963659 -84.620836576,-170.550563659 -84.615281576,-170.736118659 -84.607509576,-170.853054659 -84.600281576,-170.965572659 -84.591672576,-171.178072659 -84.570845576,-171.28973666 -84.5622275759999,-171.35363666 -84.558336576,-171.48083666 -84.554736576,-171.60751866 -84.552781576,-171.67889066 -84.553345576,-171.80529966 -84.551681576,-171.93194566 -84.547790576,-172.11752766 -84.538618576,-172.407499661 -84.523618576,-172.595581661 -84.513627576,-172.703918661 -84.506672576,-173.016118661 -84.496399576,-173.389190661 -84.4841725759999,-173.504727662 -84.477509576,-173.624172662 -84.471954576,-173.915281662 -84.4586185759999,-174.006136662 -84.456954576,-174.097227662 -84.456954576,-174.231136662 -84.452227576,-174.360290662 -84.446672576,-174.517245663 -84.443072576,-174.683072663 -84.441118576,-175.024745663 -84.4413905759999,-175.209472663 -84.4419545759999,-175.293063663 -84.4436185759999,-175.459472663 -84.444172576,-175.634736664 -84.4436185759999,-175.863890664 -84.4377905759999,-176.020290664 -84.436399576,-176.353363664 -84.438609576,-176.660581665 -84.4436185759999,-176.849454665 -84.4519545759999,-177.127227665 -84.469181576,-177.273899665 -84.481945576,-177.429172665 -84.492781576,-177.648072665 -84.4997275759999,-177.721954666 -84.498336576,-177.785281666 -84.495281576,-177.838899666 -84.491390576,-177.863063666 -84.4858365759999,-177.886136666 -84.478345576,-177.906827666 -84.467927576,-177.960299666 -84.451127576,-177.993072666 -84.444736576,-178.207790666 -84.4216725759999,-178.397518666 -84.404172576,-178.491972666 -84.395572576,-178.543918666 -84.391399576,-178.605836666 -84.388336576,-178.677245666 -84.386127576,-178.749454666 -84.384445576,-178.923336667 -84.384172576,-179.004727667 -84.382509576,-179.075836667 -84.379999576,-179.127499667 -84.376109576,-179.168918667 -84.371399576,-179.237654667 -84.355981576,-179.347781667 -84.336399576,-179.430027667 -84.326672576,-179.541408667 -84.3194545759999,-179.610836667 -84.316118576,-179.672245667 -84.313899576,-179.752227667 -84.3122275759999,-179.841945667 -84.311399576,-179.931118668 -84.309445576,-179.999999668 -84.305345576),(-163.815308653 -79.180554571,-163.816408653 -79.207499571,-163.780854653 -79.247509571,-163.743072652 -79.281681571,-163.725008652 -79.2958365709999,-163.665281652 -79.3375095709999,-163.645845652 -79.350572571,-163.592227652 -79.372509571,-163.545018652 -79.386672571,-163.431945652 -79.4144635709999,-163.400845652 -79.419445571,-163.371127652 -79.4255635709999,-163.340854652 -79.431945571,-163.218899652 -79.458618571,-162.967799652 -79.518063571,-162.939863652 -79.5290365709999,-162.923336652 -79.542781571,-162.896136652 -79.556672571,-162.838072652 -79.574445571,-162.748081652 -79.595563571,-162.593627651 -79.626109571,-162.465027651 -79.6455725709999,-162.164463651 -79.681945571,-162.104463651 -79.688609571,-162.034181651 -79.696399571,-161.764463651 -79.724454571,-161.695554651 -79.730009571,-161.59194565 -79.742509571,-161.49612765 -79.760563571,-161.34695465 -79.7955635709999,-161.32305465 -79.802781571,-161.28750865 -79.809445571,-161.18889965 -79.825009571,-161.08584565 -79.8352815709999,-161.01501865 -79.8394455709999,-160.93918165 -79.8419455709999,-160.57779065 -79.848072571,-160.505008649 -79.849454571,-160.396663649 -79.853054571,-160.252499649 -79.8588995709999,-160.109190649 -79.865572571,-159.995027649 -79.866118571,-159.924472649 -79.865572571,-159.773345649 -79.8608365709999,-159.735290649 -79.8588995709999,-159.622799649 -79.8558365709999,-159.510281649 -79.852781571,-159.399172648 -79.8522365709999,-159.362518648 -79.852781571,-159.326963648 -79.854736571,-159.288636648 -79.858609571,-159.224727648 -79.869736571,-159.187227648 -79.874999571,-159.120299648 -79.880572571,-159.087527648 -79.8819545709999,-159.046108648 -79.880572571,-158.925290648 -79.869172571,-158.856418648 -79.857790571,-158.823918648 -79.8519635709999,-158.773072648 -79.8397365709999,-158.726681648 -79.828336571,-158.650845648 -79.802781571,-158.536472648 -79.721881571,-158.544463648 -79.658481571,-158.561399648 -79.645563571,-158.605008648 -79.628345571,-158.765018648 -79.575009571,-158.951963648 -79.515018571,-158.976672648 -79.5045905709999,-158.994872648 -79.481881571,-159.023072648 -79.454727571,-159.247218648 -79.359454571,-159.292781648 -79.346390571,-159.379454648 -79.325009571,-159.439999648 -79.3141815709999,-159.601408649 -79.290281571,-159.764736649 -79.264172571,-159.887236649 -79.241390571,-160.015563649 -79.217227571,-160.221127649 -79.172790571,-160.308345649 -79.1519455709999,-160.482790649 -79.094999571,-160.521972649 -79.0811185709999,-160.55139065 -79.068072571,-160.57055465 -79.060563571,-160.60946365 -79.0463995709999,-160.79751865 -78.9838995709999,-160.92861865 -78.940845571,-160.96694565 -78.926681571,-160.99917265 -78.9141725709999,-161.06722765 -78.88500957,-161.09333665 -78.86861857,-161.13168165 -78.8505725699999,-161.17584565 -78.83639957,-161.20474565 -78.8291815699999,-161.26083665 -78.81778157,-161.35556365 -78.8086275699999,-161.55725465 -78.77500957,-161.639190651 -78.75389057,-161.668336651 -78.74779057,-161.695554651 -78.7438995699999,-161.763063651 -78.74000957,-161.865572651 -78.74223657,-161.931399651 -78.74500957,-162.133363651 -78.74111857,-162.223081651 -78.7358365699999,-162.291136651 -78.72861857,-162.345308651 -78.72029057,-162.410281651 -78.71362757,-162.445863651 -78.71194557,-162.546108651 -78.71167257,-162.650572651 -78.71612757,-162.720581652 -78.72389057,-162.786136652 -78.7341725699999,-162.845290652 -78.74847257,-162.902527652 -78.77639957,-162.971681652 -78.81445457,-163.013336652 -78.83944557,-163.030854652 -78.85196357,-163.073918652 -78.87028157,-163.138645652 -78.893890571,-163.173618652 -78.906399571,-163.250308652 -78.923618571,-163.314727652 -78.934718571,-163.349727652 -78.9394545709999,-163.386136652 -78.9455545709999,-163.438490652 -78.9598725709999,-163.468354652 -78.975572571,-163.489872652 -78.9976545709999,-163.582245652 -79.0436275709999,-163.611390652 -79.056399571,-163.642245652 -79.067227571,-163.672245652 -79.073336571,-163.711118652 -79.0852815709999,-163.757236653 -79.106527571,-163.786954653 -79.1288905709999,-163.805572653 -79.144590571,-163.815308653 -79.180554571),(-151.191127641 -77.264454569,-151.193081641 -77.269718569,-151.192654641 -77.275427569,-151.183627641 -77.2852815689999,-151.148072641 -77.296672569,-151.134736641 -77.299727569,-151.111118641 -77.3041725689999,-151.023618641 -77.316390569,-150.955018641 -77.3236275689999,-150.80084564 -77.335554569,-150.58557264 -77.3511185689999,-150.50586364 -77.356672569,-150.30834564 -77.3697365689999,-150.27111864 -77.3713995689999,-150.20751864 -77.370009569,-150.17807264 -77.368054569,-150.15194564 -77.365281569,-150.12808164 -77.361118569,-150.10723664 -77.355836569,-150.08917264 -77.349163569,-150.07641864 -77.340563569,-150.08501864 -77.3341635689999,-150.09585464 -77.329454569,-150.18417264 -77.3174995689999,-150.29086364 -77.300563569,-150.33917264 -77.291399569,-150.39251864 -77.276945569,-150.45391864 -77.261945569,-150.67947264 -77.2069545689999,-150.74808164 -77.200009569,-150.81890864 -77.195009569,-150.85305464 -77.194454569,-150.893954641 -77.197399569,-150.954190641 -77.203336569,-151.122218641 -77.236390569,-151.143618641 -77.2416725689999,-151.161954641 -77.248063569,-151.191127641 -77.264454569),(-150.73251864 -76.9406995689999,-150.73292764 -76.954318569,-150.71972764 -76.963345569,-150.69833664 -76.970290569,-150.66863664 -76.9752815689999,-150.56173664 -76.984599569,-150.48919964 -76.991118569,-150.39944564 -77.005845569,-150.34640864 -77.024172569,-150.32055464 -77.036954569,-150.29667264 -77.052927569,-150.27444564 -77.062499569,-150.22500864 -77.075009569,-150.16250864 -77.081390569,-150.13583664 -77.083072569,-150.04583664 -77.082781569,-149.84389964 -77.086118569,-149.719999639 -77.091127569,-149.662508639 -77.100009569,-149.631681639 -77.106127569,-149.609745639 -77.111954569,-149.576145639 -77.1172365689999,-149.545836639 -77.1208365689999,-149.456699639 -77.1261095689999,-149.368618639 -77.127499569,-149.310027639 -77.127790569,-149.251681639 -77.126954569,-149.179472639 -77.1241725689999,-149.125581639 -77.118618569,-149.097781639 -77.114454569,-149.074463639 -77.1041815689999,-149.072372639 -77.091809569,-149.088899639 -77.075836569,-149.307527639 -76.974163569,-149.448918639 -76.9113905689999,-149.478363639 -76.898345569,-149.516418639 -76.8858365689999,-149.568363639 -76.8741725689999,-149.598081639 -76.8691725689999,-149.627808639 -76.865845569,-149.656954639 -76.863618569,-149.743345639 -76.861954569,-149.82919064 -76.863063569,-149.91390864 -76.868054569,-149.98535464 -76.873672569,-150.05474564 -76.880281569,-150.10779064 -76.886672569,-150.13833664 -76.891681569,-150.21999964 -76.898345569,-150.33639964 -76.905563569,-150.39111864 -76.905563569,-150.47750864 -76.903627569,-150.53778164 -76.9050185689999,-150.62585464 -76.9102815689999,-150.64834564 -76.913072569,-150.67889064 -76.918063569,-150.70669964 -76.924727569,-150.71972764 -76.930845569,-150.73251864 -76.9406995689999),(-150.69390864 -76.711118568,-150.70016364 -76.722927568,-150.69112764 -76.732790568,-150.67807264 -76.7386185679999,-150.66028164 -76.743899569,-150.47640864 -76.7719545689999,-150.41500864 -76.779445569,-150.38168164 -76.782790569,-150.32086364 -76.7816815689999,-150.26501864 -76.777790569,-149.99694564 -76.7549995689999,-149.97168164 -76.751954569,-149.92419064 -76.7447365689999,-149.82168164 -76.725009568,-149.80197264 -76.7197275679999,-149.784727639 -76.713345568,-149.770081639 -76.698545568,-149.79556364 -76.674727568,-149.83197264 -76.664463568,-149.86001864 -76.660572568,-149.89529064 -76.6588905679999,-149.92834564 -76.658618568,-150.01279064 -76.659181568,-150.11611864 -76.6613905679999,-150.20419064 -76.664463568,-150.25946364 -76.668063568,-150.28445464 -76.671109568,-150.31222764 -76.673063568,-150.34252764 -76.6736185679999,-150.37810864 -76.672790568,-150.43862764 -76.673336568,-150.49667264 -76.6758455679999,-150.54696364 -76.681672568,-150.59722764 -76.687499568,-150.63891864 -76.6930725679999,-150.67889064 -76.7036095679999,-150.69390864 -76.711118568),(-149.510836639 -77.275281569,-149.518627639 -77.287090569,-149.505581639 -77.296672569,-149.448336639 -77.311954569,-149.404727639 -77.321672569,-149.282499639 -77.3441815689999,-149.223081639 -77.351963569,-149.196136639 -77.354736569,-149.124172639 -77.356672569,-149.060581639 -77.3550095689999,-148.956699639 -77.355836569,-148.858608639 -77.354736569,-148.840572639 -77.3508455689999,-148.823054639 -77.3444545689999,-148.831972639 -77.338054569,-148.846408639 -77.3322275689999,-148.885008639 -77.322236569,-149.083345639 -77.2719545689999,-149.131954639 -77.2627905689999,-149.161681639 -77.2588995689999,-149.196408639 -77.255845569,-149.220308639 -77.254181569,-149.278627639 -77.252227569,-149.334163639 -77.2513995689999,-149.402799639 -77.250563569,-149.434445639 -77.2513995689999,-149.457518639 -77.255572569,-149.478054639 -77.2611275689999,-149.495845639 -77.2674995689999,-149.510836639 -77.275281569),(-149.184599639 -76.939590569,-149.194736639 -76.9505635689999,-149.187808639 -76.964445569,-149.161954639 -76.983336569,-149.143063639 -76.988618569,-148.883054639 -77.0147275689999,-148.843899639 -77.0172275689999,-148.770845639 -77.0199995689999,-148.675018638 -77.018618569,-148.503354638 -77.007781569,-148.393336638 -77.0013995689999,-148.305572638 -76.999454569,-148.223354638 -76.984727569,-148.206699638 -76.9780545689999,-148.224727638 -76.965563569,-148.281954638 -76.9502905689999,-148.442508638 -76.919727569,-148.511690638 -76.907790569,-148.550563638 -76.905290569,-148.696408638 -76.909999569,-148.724181639 -76.911954569,-148.813627639 -76.9155545689999,-148.847227639 -76.9152815689999,-148.956390639 -76.908063569,-148.989745639 -76.907790569,-149.020572639 -76.9086185689999,-149.096408639 -76.9177815689999,-149.118899639 -76.921954569,-149.161408639 -76.9316725689999,-149.184599639 -76.939590569),(-149.150572639 -76.7180635679999,-149.166963639 -76.729036568,-149.158627639 -76.753345569,-149.150027639 -76.759445569,-149.136690639 -76.7652905689999,-149.104736639 -76.776127569,-149.008363639 -76.808627569,-148.952518639 -76.8238995689999,-148.905027639 -76.832781569,-148.855836639 -76.836945569,-148.775027639 -76.8299995689999,-148.700008638 -76.820554569,-148.644472638 -76.816681569,-148.553072638 -76.8138995689999,-148.466672638 -76.811954569,-148.433345638 -76.812227569,-148.377808638 -76.8083365689999,-148.353054638 -76.8050095689999,-148.184445638 -76.780563569,-148.163072638 -76.773472569,-148.159181638 -76.761818569,-148.170018638 -76.751954569,-148.197781638 -76.7405725689999,-148.216672638 -76.735563568,-148.264190638 -76.726672568,-148.297790638 -76.7236185679999,-148.359463638 -76.7194545679999,-148.425845638 -76.722781568,-148.498081638 -76.7238905679999,-148.533908638 -76.722499568,-148.667781638 -76.709736568,-148.758363639 -76.6988995679999,-148.815308639 -76.691118568,-148.881954639 -76.6847185679999,-148.934718639 -76.686954568,-149.009463639 -76.696118568,-149.108918639 -76.708618568,-149.131136639 -76.712781568,-149.150572639 -76.7180635679999),(-148.825290639 -77.1400185689999,-148.863490639 -77.2670905689999,-148.860563639 -77.277790569,-148.841127639 -77.282790569,-148.816681639 -77.287227569,-148.530299638 -77.3344545689999,-148.500308638 -77.338054569,-148.359463638 -77.3508455689999,-148.329745638 -77.354445569,-148.304745638 -77.358899569,-148.284999638 -77.364181569,-148.226963638 -77.386672569,-148.196818638 -77.409036569,-148.185581638 -77.418899569,-148.170836638 -77.424727569,-148.115572638 -77.432781569,-148.080018638 -77.4358365689999,-148.045290638 -77.4361095689999,-147.896972638 -77.4297365689999,-147.782808638 -77.426118569,-147.750854638 -77.424999569,-147.725008638 -77.421954569,-147.701963638 -77.4175095689999,-147.681945638 -77.411954569,-147.625854637 -77.381118569,-147.603908637 -77.363345569,-147.591127637 -77.335563569,-147.624999637 -77.2611275689999,-147.633908637 -77.247218569,-147.647799638 -77.234172569,-147.661681638 -77.220836569,-147.675563638 -77.2074995689999,-147.694454638 -77.195009569,-147.708890638 -77.189454569,-147.748081638 -77.179454569,-148.178345638 -77.0944545689999,-148.202518638 -77.090009569,-148.385281638 -77.0755635689999,-148.464445638 -77.070554569,-148.537781638 -77.067781569,-148.571681638 -77.0674995689999,-148.600008638 -77.069454569,-148.698054638 -77.089172569,-148.740572639 -77.0986185689999,-148.780581639 -77.109454569,-148.797790639 -77.116118569,-148.812227639 -77.1236095689999,-148.825290639 -77.1400185689999),(-148.756681639 -76.6386275679999,-148.772663639 -76.649454568,-148.757508639 -76.665281568,-148.738890639 -76.670290568,-148.715572639 -76.674727568,-148.686954638 -76.6786185679999,-148.653627638 -76.6819455679999,-148.469999638 -76.691118568,-148.436954638 -76.691390568,-148.409454638 -76.689454568,-148.384736638 -76.686399568,-148.373354638 -76.6802815679999,-148.367245638 -76.672227568,-148.376127638 -76.665845568,-148.389736638 -76.659999568,-148.408354638 -76.6550185679999,-148.619172638 -76.6180545679999,-148.652527638 -76.614727568,-148.685299638 -76.614454568,-148.709745638 -76.6177815679999,-148.726408639 -76.6241725679999,-148.756681639 -76.6386275679999),(-147.954190638 -76.5911275679999,-147.955836638 -76.606127568,-147.946963638 -76.612499568,-147.919190638 -76.623899568,-147.905299638 -76.629454568,-147.867799638 -76.639454568,-147.801390638 -76.653336568,-147.754181638 -76.6619545679999,-147.497527637 -76.6866725679999,-147.466672637 -76.6886095679999,-147.433627637 -76.6886095679999,-147.403627637 -76.687499568,-147.378908637 -76.680699568,-147.375308637 -76.670290568,-147.393618637 -76.6577905679999,-147.416963637 -76.645845568,-147.431118637 -76.640290568,-147.548890637 -76.603345568,-147.567781637 -76.598345568,-147.591399637 -76.593899568,-147.686127638 -76.5766725679999,-147.819454638 -76.564181568,-147.857790638 -76.5616725679999,-147.885554638 -76.5611095679999,-147.916136638 -76.569454568,-147.948336638 -76.582781568,-147.954190638 -76.5911275679999),(-147.818636638 -77.028063569,-147.835572638 -77.0386185689999,-147.827518638 -77.056118569,-147.808899638 -77.068890569,-147.794463638 -77.074445569,-147.741118638 -77.090009569,-147.702236638 -77.100009569,-147.677518638 -77.104445569,-147.650845638 -77.1069455689999,-147.633636637 -77.1033455689999,-147.619172637 -77.0986185689999,-147.617799637 -77.083345569,-147.632781637 -77.049999569,-147.654727638 -77.0400095689999,-147.673890638 -77.0352815689999,-147.733063638 -77.027790569,-147.769745638 -77.026399569,-147.818636638 -77.028063569),(-147.504727637 -77.1463905689999,-147.529599637 -77.1554185689999,-147.514190637 -77.1658455689999,-147.368899637 -77.224454569,-147.341127637 -77.234727569,-147.316127637 -77.240845569,-147.288081637 -77.243054569,-147.258054637 -77.243054569,-147.224181637 -77.237790569,-147.064863637 -77.1770815689999,-147.075008637 -77.166672569,-147.101136637 -77.161954569,-147.130863637 -77.161954569,-147.223354637 -77.166399569,-147.252227637 -77.1655545689999,-147.335845637 -77.158336569,-147.389463637 -77.150845569,-147.417236637 -77.148618569,-147.473908637 -77.1449995689999,-147.504727637 -77.1463905689999),(-147.263645637 -76.100845568,-147.275708637 -76.110145568,-147.234745637 -76.1613905679999,-147.217799637 -76.168627568,-147.194736637 -76.174999568,-147.170563637 -76.179736568,-147.144472637 -76.182236568,-147.119445637 -76.185836568,-147.071136637 -76.195845568,-147.026118637 -76.210845568,-146.997218637 -76.225009568,-146.973908637 -76.2391815679999,-146.939454637 -76.253618568,-146.916963637 -76.2611275679999,-146.838072637 -76.284181568,-146.814454637 -76.290281568,-146.738345637 -76.3011185679999,-146.711945637 -76.3033455679999,-146.636963637 -76.3075095679999,-146.609745637 -76.308627568,-146.585572637 -76.3055545679999,-146.570281637 -76.299454568,-146.560581636 -76.293336568,-146.558627636 -76.273618568,-146.564745636 -76.237090568,-146.573054637 -76.2202905679999,-146.592527637 -76.199718568,-146.759181637 -76.0944545679999,-146.776118637 -76.087236568,-146.800290637 -76.082227568,-146.826145637 -76.0799995679999,-146.853054637 -76.0788995679999,-147.072781637 -76.079454568,-147.100281637 -76.079727568,-147.128908637 -76.081118568,-147.157227637 -76.082781568,-147.186672637 -76.085554568,-147.216945637 -76.089445568,-147.248354637 -76.0947275679999,-147.263645637 -76.100845568),(-147.238345637 -76.5691725679999,-147.249172637 -76.580418568,-147.139190637 -76.673336568,-147.120299637 -76.685836568,-147.091945637 -76.6972365679999,-147.072781637 -76.702227568,-147.049472637 -76.7036095679999,-146.835299637 -76.7152905679999,-146.799472637 -76.716399568,-146.772245637 -76.714172568,-146.747799637 -76.711118568,-146.730008637 -76.695009568,-146.729463637 -76.672227568,-146.741672637 -76.583072568,-146.760836637 -76.570554568,-146.818081637 -76.5558455679999,-146.841672637 -76.551390568,-146.872527637 -76.549727568,-146.931672637 -76.544172568,-146.955563637 -76.540009568,-147.059718637 -76.512509568,-147.076963637 -76.5133365679999,-147.095581637 -76.518890568,-147.222499637 -76.562499568,-147.238345637 -76.5691725679999),(-146.999172637 -75.813063568,-147.003218637 -75.822790568,-146.969454637 -75.8405635679999,-146.938627637 -75.8511185679999,-146.900027637 -75.858063568,-146.846408637 -75.858899568,-146.790554637 -75.855836568,-146.765018637 -75.850009568,-146.758772637 -75.8404275679999,-146.812227637 -75.815290568,-146.859463637 -75.8055545679999,-146.883908637 -75.801954568,-146.909454637 -75.799454568,-146.936399637 -75.799727568,-146.964445637 -75.8011185679999,-146.989745637 -75.8069455679999,-146.999172637 -75.813063568),(-146.977781637 -76.8322275689999,-146.991672637 -76.851390569,-146.986690637 -76.884445569,-146.975845637 -76.9013905689999,-146.882781637 -76.9819455689999,-146.863618637 -76.988063569,-146.835018637 -76.989181569,-146.710845637 -76.979172569,-146.400845636 -76.953336569,-146.337799636 -76.946118569,-146.310581636 -76.9405635689999,-146.289181636 -76.934718569,-146.241972636 -76.916672569,-146.231963636 -76.9102815689999,-146.223354636 -76.897509569,-146.226136636 -76.884172569,-146.238618636 -76.877227569,-146.258054636 -76.8713995689999,-146.282808636 -76.865281569,-146.362518636 -76.854445569,-146.626954637 -76.818618569,-146.681399637 -76.814181569,-146.737790637 -76.811954569,-146.795018637 -76.8111095689999,-146.853054637 -76.8116725689999,-146.883054637 -76.8133365689999,-146.914181637 -76.816118569,-146.945863637 -76.820281569,-146.967527637 -76.825836569,-146.977781637 -76.8322275689999),(-145.836945636 -75.555009567,-145.867281636 -75.604554567,-145.862518636 -75.616672567,-145.847499636 -75.627227567,-145.813354636 -75.641399567,-145.768063636 -75.655018567,-145.721954636 -75.667236568,-145.606418636 -75.697509568,-145.553345636 -75.707227568,-145.509181636 -75.714172568,-145.433072635 -75.720836568,-145.201690635 -75.7363905679999,-145.180572635 -75.737227568,-145.153899635 -75.7366815679999,-145.129454635 -75.730836568,-145.113636635 -75.721536568,-145.115299635 -75.7049995679999,-145.129181635 -75.691390568,-145.148345635 -75.6777815679999,-145.177799635 -75.663618567,-145.195281635 -75.6563995669999,-145.252499635 -75.6347365669999,-145.360018635 -75.599454567,-145.383363635 -75.5933365669999,-145.453063635 -75.5766725669999,-145.547572636 -75.5575365669999,-145.571681636 -75.552781567,-145.644745636 -75.542236567,-145.695008636 -75.537781567,-145.720854636 -75.536954567,-145.747527636 -75.5372275669999,-145.774745636 -75.538890567,-145.803618636 -75.5430635669999,-145.822781636 -75.5488905669999,-145.836945636 -75.555009567),(-143.267336633 -75.477618567,-143.280854633 -75.491672567,-143.273072633 -75.498609567,-143.260281633 -75.5052815669999,-143.205018633 -75.5238995669999,-143.185854633 -75.5283365669999,-143.160854633 -75.5313995669999,-143.135554633 -75.5333365669999,-143.001399633 -75.5261275669999,-142.979190633 -75.522781567,-142.961727633 -75.515227567,-142.984745633 -75.496672567,-143.015836633 -75.4827905669999,-143.034181633 -75.475572567,-143.057799633 -75.469727567,-143.082245633 -75.465290567,-143.108063633 -75.464736567,-143.243072633 -75.475572567,-143.267336633 -75.477618567),(-132.653072624 -74.412227566,-132.659318624 -74.422090566,-132.645127624 -74.432890566,-132.632781624 -74.4372275659999,-132.612518624 -74.442781566,-132.537508623 -74.456390566,-132.509463623 -74.4600095659999,-132.480008623 -74.4627815659999,-132.422790623 -74.4650095659999,-132.371945623 -74.4641725659999,-132.336945623 -74.459454566,-132.317227623 -74.456681566,-132.294463623 -74.452518566,-132.255581623 -74.443072566,-132.221681623 -74.428072566,-132.207245623 -74.417645566,-132.202272623 -74.405718566,-132.202790623 -74.3997365659999,-132.207090623 -74.389163566,-132.221681623 -74.380281566,-132.236118623 -74.3752905659999,-132.256408623 -74.369736566,-132.306399623 -74.361390566,-132.366390623 -74.356672566,-132.392518623 -74.356672566,-132.439727623 -74.3597275659999,-132.483608623 -74.365281566,-132.543636623 -74.378063566,-132.603908623 -74.392790566,-132.618899624 -74.3972365659999,-132.653072624 -74.412227566),(-131.996399623 -74.407227566,-132.008363623 -74.4230635659999,-132.004318623 -74.432636566,-131.991118623 -74.4413905659999,-131.975008623 -74.447509566,-131.930572623 -74.457227566,-131.908627623 -74.4619455659999,-131.853636623 -74.469727566,-131.762790623 -74.4808365659999,-131.642518623 -74.492509566,-131.523618622 -74.502790566,-131.474181622 -74.502790566,-131.449736622 -74.5016815659999,-131.381408622 -74.492509566,-131.362245622 -74.4877905659999,-131.321408622 -74.481672566,-131.290281622 -74.4833365659999,-131.272518622 -74.488618566,-131.259181622 -74.494172566,-131.233063622 -74.5125095659999,-131.223081622 -74.517790566,-131.191681622 -74.528627566,-131.166136622 -74.533618566,-131.111972622 -74.541945566,-131.052245622 -74.546954566,-130.973354622 -74.5472275659999,-130.896390622 -74.544172566,-130.856136622 -74.535845566,-130.836945622 -74.5311095659999,-130.800563622 -74.518063566,-130.781954622 -74.502227566,-130.772518622 -74.4872275659999,-130.758054622 -74.4577815659999,-130.749727622 -74.436399566,-130.744754622 -74.415009566,-130.752808622 -74.387790566,-130.760281622 -74.3808455659999,-130.773618622 -74.3752905659999,-130.791690622 -74.370281566,-130.799436622 -74.370799566,-130.836399622 -74.3769545659999,-130.855836622 -74.379727566,-130.876954622 -74.3811185659999,-130.903072622 -74.3811185659999,-130.930845622 -74.379727566,-130.957790622 -74.375836566,-131.005281622 -74.365845566,-131.051390622 -74.357509566,-131.104736622 -74.349163566,-131.160581622 -74.344454566,-131.188354622 -74.343063566,-131.238618622 -74.3438995659999,-131.264463622 -74.346118566,-131.339172622 -74.348072566,-131.361972622 -74.348345566,-131.389736622 -74.346954566,-131.413636622 -74.341127566,-131.426699622 -74.335554566,-131.436672622 -74.329999566,-131.438081622 -74.319872566,-131.446254622 -74.306672566,-131.468899622 -74.2977905659999,-131.487790622 -74.2936275659999,-131.517245622 -74.290845566,-131.572236623 -74.290281566,-131.670836623 -74.2933365659999,-131.717799623 -74.296672566,-131.740299623 -74.298890566,-131.782227623 -74.305845566,-131.798336623 -74.311109566,-131.834472623 -74.325836566,-131.896972623 -74.353618566,-131.973636623 -74.391954566,-131.996399623 -74.407227566),(-128.160854619 -74.2541815659999,-128.165027619 -74.2726455659999,-127.977227619 -74.382236566,-127.928890619 -74.405018566,-127.775008619 -74.4650095659999,-127.632781619 -74.504999566,-127.609172619 -74.509445566,-127.572508619 -74.519999566,-127.549727619 -74.538072566,-127.535281619 -74.551390566,-127.526245619 -74.560563566,-127.512508619 -74.569172566,-127.471118619 -74.579454566,-127.440563619 -74.581390566,-127.391108619 -74.580290566,-127.367508619 -74.576672566,-127.195281618 -74.537781566,-127.135554618 -74.523899566,-127.085008618 -74.511127566,-127.055008618 -74.497509566,-127.044445618 -74.4897275659999,-127.039590618 -74.389454566,-127.056672618 -74.380281566,-127.071118618 -74.374999566,-127.086936618 -74.370563566,-127.128063618 -74.3605635659999,-127.219181618 -74.352509566,-127.249181619 -74.350572566,-127.339736619 -74.347499566,-127.396390619 -74.3436095659999,-127.456127619 -74.3366725659999,-127.521390619 -74.323063566,-127.558899619 -74.313336566,-127.624999619 -74.2930635659999,-127.694163619 -74.271954566,-127.761399619 -74.2602815659999,-127.822508619 -74.2519545659999,-127.878345619 -74.249999566,-128.118899619 -74.2477905659999,-128.144745619 -74.248063566,-128.160854619 -74.2541815659999),(-127.339172619 -73.3900185649999,-127.381527619 -73.4072365649999,-127.337363619 -73.501254565,-127.199445618 -73.521663566,-127.167790618 -73.523899566,-127.107790618 -73.5311095659999,-127.082781618 -73.538754566,-127.093899618 -73.558063566,-127.163890618 -73.593063566,-127.177372618 -73.6169545659999,-127.165836618 -73.6401455659999,-127.131754618 -73.663036566,-127.080836618 -73.660845566,-127.018890618 -73.653336566,-126.951136618 -73.6494455659999,-126.852508618 -73.6458455659999,-126.775554618 -73.6458455659999,-126.695845618 -73.646118566,-126.641954618 -73.6475095659999,-126.529718618 -73.655018566,-126.476118618 -73.662227566,-126.435290618 -73.6713995659999,-126.399727618 -73.681672566,-126.365145618 -73.704099566,-126.382508618 -73.740145566,-126.404381618 -73.7636185659999,-126.378618618 -73.778627566,-126.351672618 -73.782227566,-126.263345618 -73.790009566,-126.233063618 -73.791118566,-126.209163618 -73.794172566,-126.102227617 -73.809445566,-126.025281617 -73.8208455659999,-125.969454617 -73.8350095659999,-125.934245617 -73.8555635659999,-125.894181617 -73.876399566,-125.854736617 -73.884172566,-125.827508617 -73.887790566,-125.769727617 -73.894999566,-125.734172617 -73.8975095659999,-125.706808617 -73.9040365659999,-125.680836617 -73.9156995659999,-125.677018617 -73.949445566,-125.635145617 -73.974727566,-125.567227617 -73.991118566,-125.431954617 -74.016399566,-125.291945617 -74.055554566,-125.252790617 -74.063899566,-125.085563616 -74.092790566,-124.983063616 -74.1077905659999,-124.926390616 -74.113890566,-124.746945616 -74.123899566,-124.542790616 -74.134172566,-124.418618616 -74.140018566,-124.155563616 -74.160572566,-124.092218616 -74.1641725659999,-123.987227615 -74.1680635659999,-123.930554615 -74.1680635659999,-123.880572615 -74.164736566,-123.860290615 -74.162509566,-123.820281615 -74.155290566,-123.784999615 -74.1455725659999,-123.755281615 -74.131672566,-123.735290615 -74.1169545659999,-123.722227615 -74.092518566,-123.710563615 -74.0311095659999,-123.722781615 -73.981945566,-123.740008615 -73.9688995659999,-123.782499615 -73.953899566,-123.816118615 -73.9433455659999,-123.852781615 -73.9352905659999,-123.960563615 -73.906954566,-123.998336615 -73.896954566,-124.048618616 -73.878063566,-124.092227616 -73.8549995659999,-124.149727616 -73.808336566,-124.176463616 -73.783681566,-124.193890616 -73.749036566,-124.179027616 -73.729454566,-124.230563616 -73.6891815659999,-124.414463616 -73.650554566,-124.469390616 -73.642345566,-124.493899616 -73.641681566,-124.533890616 -73.646663566,-124.576136616 -73.653627566,-124.642790616 -73.6727905659999,-124.667363616 -73.6822275659999,-124.693345616 -73.695836566,-124.725145616 -73.7070815659999,-124.791672616 -73.721390566,-124.835281616 -73.726118566,-124.906108616 -73.730281566,-124.953899616 -73.7327905659999,-125.003890616 -73.734172566,-125.030008616 -73.732509566,-125.091399617 -73.726118566,-125.143618617 -73.715845566,-125.185490617 -73.690427566,-125.177508617 -73.6548725659999,-125.148618617 -73.636127566,-125.120699617 -73.6284815659999,-125.096118617 -73.607509566,-125.102545617 -73.589954566,-125.130572617 -73.579454566,-125.217508617 -73.5627905659999,-125.266954617 -73.555009566,-125.374181617 -73.541118566,-125.441963617 -73.528899566,-125.480008617 -73.5202815659999,-125.515836617 -73.510009565,-125.563336617 -73.490845565,-125.587436617 -73.465699565,-125.568336617 -73.4445905649999,-125.522090617 -73.427227565,-125.495845617 -73.413618565,-125.490345617 -73.3764635649999,-125.533336617 -73.353199565,-125.584163617 -73.342790565,-125.635836617 -73.334736565,-125.666399617 -73.3319545649999,-125.836936617 -73.3211185649999,-125.888899617 -73.321672565,-125.938608617 -73.320845565,-125.995563617 -73.3169545649999,-126.049036617 -73.3063995649999,-126.074872617 -73.2843095649999,-126.085981617 -73.2611185649999,-126.127372617 -73.2448635649999,-126.198336618 -73.2294455649999,-126.250554618 -73.222227565,-126.305845618 -73.217518565,-126.335281618 -73.216399565,-126.381954618 -73.218609565,-126.405290618 -73.221118565,-126.443072618 -73.2269635649999,-126.506254618 -73.242645565,-126.547508618 -73.247090565,-126.584163618 -73.2477905649999,-126.615281618 -73.2455635649999,-126.666399618 -73.237227565,-126.721681618 -73.232509565,-126.744745618 -73.232227565,-126.773354618 -73.233063565,-126.805281618 -73.2356995649999,-127.094454618 -73.266399565,-127.134454618 -73.2708455649999,-127.173608618 -73.2775095649999,-127.193618618 -73.282227565,-127.240345619 -73.306118565,-127.226818618 -73.3308455649999,-127.234863618 -73.353199565,-127.272508619 -73.370281565,-127.306399619 -73.380572565,-127.339172619 -73.3900185649999),(-123.099863615 -73.653481566,-123.157336615 -73.730909566,-123.137499615 -73.743618566,-122.890554614 -73.813609566,-122.851672614 -73.822509566,-122.793063614 -73.835845566,-122.741672614 -73.842790566,-122.688336614 -73.841399566,-122.640554614 -73.838345566,-122.616390614 -73.838345566,-122.585854614 -73.838899566,-122.531681614 -73.8433365659999,-122.480827614 -73.851118566,-122.458072614 -73.8555635659999,-122.420290614 -73.867781566,-122.399799614 -73.888472566,-122.486954614 -73.964181566,-122.535845614 -74.0002905659999,-122.572154614 -74.041390566,-122.555972614 -74.070427566,-122.513608614 -74.093890566,-122.479172614 -74.1080635659999,-122.447781614 -74.132099566,-122.442372614 -74.154027566,-122.452227614 -74.1891815659999,-122.470427614 -74.204999566,-122.505572614 -74.221954566,-122.556672614 -74.250563566,-122.587508614 -74.268490566,-122.619318614 -74.2938995659999,-122.629027614 -74.313199566,-122.603345614 -74.332499566,-122.583072614 -74.3369455659999,-122.558618614 -74.340563566,-122.439727614 -74.352509566,-122.312499614 -74.3602905659999,-122.132236614 -74.368054566,-121.728345613 -74.375563566,-121.670836613 -74.374999566,-121.550845613 -74.368345566,-121.497508613 -74.3644545659999,-121.313608613 -74.3458365659999,-121.228618613 -74.3347365659999,-121.124454613 -74.318072566,-121.027236613 -74.2972275659999,-120.945145613 -74.277227566,-120.881390613 -74.261672566,-120.828608613 -74.249999566,-120.783072612 -74.242781566,-120.756663612 -74.240845566,-120.732227612 -74.240572566,-120.645572612 -74.241672566,-120.560008612 -74.243618566,-120.475854612 -74.243618566,-120.317781612 -74.238890566,-120.269181612 -74.2352905659999,-120.222499612 -74.230009566,-120.103054612 -74.209163566,-120.055554612 -74.202790566,-119.888636612 -74.190845566,-119.817227612 -74.188899566,-119.575563611 -74.178618566,-119.460563611 -74.1697275659999,-119.437790611 -74.167236566,-119.398063611 -74.161118566,-119.356118611 -74.1525095659999,-119.318336611 -74.144454566,-119.227781611 -74.122509566,-119.179172611 -74.109454566,-119.147227611 -74.100009566,-119.108063611 -74.0900095659999,-119.069736611 -74.081118566,-118.998063611 -74.064727566,-118.840008611 -74.034454566,-118.780290611 -74.023899566,-118.757781611 -74.021390566,-118.737790611 -74.017790566,-118.658336611 -73.9972275659999,-118.60389961 -73.973072566,-118.57779061 -73.961399566,-118.55430861 -73.9385545659999,-118.55161861 -73.924854566,-118.55222761 -73.914736566,-118.56556361 -73.892227566,-118.60029061 -73.840290566,-118.63028161 -73.826127566,-118.671527611 -73.813899566,-118.732508611 -73.805009566,-118.786118611 -73.7997275659999,-118.814454611 -73.7972275659999,-118.877227611 -73.7952905659999,-119.007781611 -73.7977905659999,-119.037508611 -73.796672566,-119.065845611 -73.794172566,-119.085563611 -73.7891725659999,-119.111390611 -73.778899566,-119.140427611 -73.764454566,-119.169445611 -73.7583455659999,-119.204727611 -73.7561185659999,-119.228618611 -73.756672566,-119.273063611 -73.761399566,-119.384172611 -73.785572566,-119.418618611 -73.7947275659999,-119.438608611 -73.7980635659999,-119.505281611 -73.805281566,-119.563054611 -73.805281566,-119.592218611 -73.803618566,-119.620563611 -73.800845566,-119.668899611 -73.7938995659999,-119.722227612 -73.788345566,-119.754463612 -73.786390566,-119.828899612 -73.790009566,-119.851118612 -73.792509566,-119.929736612 -73.805281566,-119.980290612 -73.808627566,-120.010008612 -73.807509566,-120.067227612 -73.802781566,-120.114181612 -73.7938995659999,-120.135145612 -73.786809566,-120.179454612 -73.7752815659999,-120.203608612 -73.771663566,-120.231663612 -73.768890566,-120.261399612 -73.767790566,-120.286390612 -73.769181566,-120.333345612 -73.7725095659999,-120.375836612 -73.778336566,-120.466136612 -73.788072566,-120.490836612 -73.7891725659999,-120.545563612 -73.7894635659999,-120.629727612 -73.780563566,-120.781108612 -73.759736566,-120.828899613 -73.752499566,-120.908890613 -73.743054566,-120.936681613 -73.740009566,-120.996672613 -73.7347275659999,-121.018890613 -73.7333365659999,-121.113890613 -73.729172566,-121.249736613 -73.7288995659999,-121.415281613 -73.713054566,-121.513063613 -73.690563566,-121.737790613 -73.6516725659999,-121.793899613 -73.646390566,-121.908072614 -73.641681566,-121.960854614 -73.6433455659999,-121.990008614 -73.641954566,-122.048336614 -73.635563566,-122.092218614 -73.6286185659999,-122.149727614 -73.6144545659999,-122.189454614 -73.606672566,-122.216136614 -73.602509566,-122.272781614 -73.598072566,-122.306118614 -73.597499566,-122.362363614 -73.601118566,-122.395845614 -73.6058365659999,-122.549727614 -73.620281566,-122.631390614 -73.620563566,-122.689727614 -73.617781566,-122.747508614 -73.613890566,-122.833618614 -73.605009566,-122.888345614 -73.6055635659999,-122.953608615 -73.6124995659999,-122.973890615 -73.615845566,-123.012218615 -73.623063566,-123.064181615 -73.6372185659999,-123.099863615 -73.653481566),(-117.224163609 -74.182781566,-117.241118609 -74.187499566,-117.213899609 -74.188063566,-117.074718609 -74.185836566,-116.932508609 -74.184445566,-116.816390609 -74.185563566,-116.791672609 -74.185009566,-116.741118609 -74.180845566,-116.718063609 -74.1772275659999,-116.701681609 -74.173336566,-116.673336609 -74.171954566,-116.642790609 -74.1724995659999,-116.583890609 -74.1772275659999,-116.555281609 -74.180554566,-116.499454608 -74.1794545659999,-116.471681608 -74.178890566,-116.446399608 -74.1772275659999,-116.376681608 -74.1702905659999,-116.273618608 -74.153627566,-116.256118608 -74.1451455659999,-116.264718608 -74.134445566,-116.278063608 -74.128345566,-116.294445608 -74.116390566,-116.301954608 -74.106536566,-116.297236608 -74.0936095659999,-116.285281608 -74.085845566,-116.275281608 -74.080563566,-116.221945608 -74.0663905659999,-116.202508608 -74.062499566,-116.185290608 -74.056945566,-116.174727608 -74.050845566,-116.169163608 -74.041672566,-116.143336608 -74.016681566,-116.132236608 -74.009736566,-116.105290608 -73.998899566,-116.088618608 -73.993899566,-116.052781608 -73.9852905659999,-116.010836608 -73.977781566,-115.988890608 -73.975281566,-115.965845608 -73.970563566,-115.930281608 -73.9619455659999,-115.902236608 -73.949172566,-115.885836608 -73.933336566,-115.884290608 -73.925309566,-115.884172608 -73.9247275659999,-115.907499608 -73.913618566,-115.921399608 -73.908063566,-115.935008608 -73.902790566,-115.952508608 -73.898345566,-115.995563608 -73.891681566,-116.024172608 -73.888336566,-116.049727608 -73.886399566,-116.109999608 -73.8852815659999,-116.241672608 -73.891399566,-116.288354608 -73.8955725659999,-116.329454608 -73.9019455659999,-116.365281608 -73.910572566,-116.381663608 -73.915281566,-116.409445608 -73.9272275659999,-116.431954608 -73.9411185659999,-116.439727608 -73.948063566,-116.470836608 -73.9597365659999,-116.492781608 -73.9625095659999,-116.542508609 -73.965563566,-116.659999609 -73.963627566,-116.710008609 -73.967790566,-116.728899609 -73.970563566,-116.748899609 -73.975009566,-116.761672609 -73.979172566,-116.787781609 -73.992781566,-116.805554609 -74.009736566,-116.830563609 -74.021663566,-116.853899609 -74.026127566,-116.894999609 -74.031681566,-116.945008609 -74.034727566,-117.014181609 -74.0413995659999,-117.036663609 -74.044172566,-117.075008609 -74.0505635659999,-117.115572609 -74.059718566,-117.127908609 -74.067163566,-117.144181609 -74.081681566,-117.151263609 -74.101954566,-117.157790609 -74.131672566,-117.165845609 -74.148054566,-117.171954609 -74.157227566,-117.195845609 -74.171954566,-117.224163609 -74.182781566),(-117.181118609 -74.305845566,-117.198336609 -74.328336566,-117.186108609 -74.333890566,-117.161390609 -74.3372365659999,-117.114181609 -74.334163566,-117.068618609 -74.329727566,-117.024436609 -74.324445566,-117.003345609 -74.3208455659999,-116.778636609 -74.2775095659999,-116.763899609 -74.269181566,-116.753890609 -74.261399566,-116.751681609 -74.247218566,-116.759745609 -74.241118566,-116.772227609 -74.2352905659999,-116.798336609 -74.2308365659999,-116.825845609 -74.229445566,-116.871118609 -74.2338995659999,-116.913354609 -74.240572566,-116.953899609 -74.248609566,-117.113345609 -74.283063566,-117.152790609 -74.292236566,-117.170563609 -74.2980635659999,-117.181118609 -74.305845566),(-105.217790598 -73.024172565,-105.242508598 -73.0588995649999,-105.240981598 -73.085563565,-105.225572598 -73.103618565,-105.208890598 -73.117236565,-105.052508598 -73.214172565,-105.039172598 -73.219727565,-105.009745598 -73.2297365649999,-104.973890598 -73.236954565,-104.948336598 -73.239454565,-104.890554598 -73.240845565,-104.865008598 -73.238890565,-104.826945598 -73.2358365649999,-104.706127598 -73.225845565,-104.633618597 -73.2169455649999,-104.592508597 -73.210009565,-104.576945597 -73.2063905649999,-104.561681597 -73.201399565,-104.551536597 -73.190418565,-104.557508597 -73.178345565,-104.567781597 -73.171954565,-104.594181597 -73.161118565,-104.668899597 -73.146954565,-104.740572598 -73.1299995649999,-104.753618598 -73.1255635649999,-104.983890598 -73.0019545649999,-104.985281598 -72.984454565,-105.000836598 -72.965563565,-105.010836598 -72.959163565,-105.023899598 -72.952790565,-105.040008598 -72.949172565,-105.084163598 -72.945009565,-105.109172598 -72.947781565,-105.127790598 -72.950836565,-105.143336598 -72.9563905649999,-105.152508598 -72.9611185649999,-105.161390598 -72.968336565,-105.217790598 -73.024172565),(-102.537508595 -72.1009815639999,-102.560136596 -72.1230635639999,-102.546108596 -72.147509564,-102.519727595 -72.158063564,-102.461672595 -72.175563564,-102.367508595 -72.193072564,-102.345899595 -72.196727564,-102.307790595 -72.2019545639999,-102.199445595 -72.213627564,-102.087781595 -72.224163564,-102.008899595 -72.2261185639999,-101.795008595 -72.2325095639999,-101.547236595 -72.2405725639999,-101.495008595 -72.243054564,-101.435290594 -72.2505635639999,-101.394181594 -72.256954564,-101.139445594 -72.254181564,-100.893627594 -72.263336564,-100.792236594 -72.2672275639999,-100.735563594 -72.272918564,-100.669445594 -72.289599564,-100.626681594 -72.300290564,-100.574445594 -72.3108365639999,-100.527508594 -72.314181564,-100.420290594 -72.3155635639999,-100.395572594 -72.316681564,-100.351672593 -72.320845564,-100.313054593 -72.326399564,-100.240836593 -72.341672564,-100.217090593 -72.3483455639999,-100.174454593 -72.357227564,-100.135836593 -72.362499564,-100.082227593 -72.366390564,-100.057508593 -72.367509564,-100.026945593 -72.367509564,-99.7188995929999 -72.363890564,-99.530290593 -72.3511185639999,-99.4769635929999 -72.346390564,-99.3994455929999 -72.340836564,-99.3438995929999 -72.341672564,-99.302227592 -72.3466815639999,-99.271808592 -72.3600095639999,-99.2866725919999 -72.379172564,-99.335554593 -72.386945564,-99.4197275929999 -72.3927905639999,-99.450008593 -72.3938905639999,-99.5272365929999 -72.400281564,-99.5474995929999 -72.403627564,-99.584454593 -72.411390564,-99.6385455929999 -72.436054564,-99.613890593 -72.4569545649999,-99.5938995929999 -72.4611185649999,-99.549181593 -72.4650095649999,-99.521118593 -72.465836565,-99.466945593 -72.462236565,-99.3991725929999 -72.4541815649999,-99.3416725929999 -72.451399565,-99.283336592 -72.451127565,-98.969727592 -72.4563905649999,-98.900554592 -72.459454565,-98.8377815919999 -72.469454565,-98.8055635919999 -72.483890565,-98.8194545919999 -72.499172565,-98.836254592 -72.523554565,-98.814036592 -72.545563565,-98.748336592 -72.5580635649999,-98.685836592 -72.565845565,-98.663618592 -72.5669545649999,-98.616118592 -72.5688905649999,-98.557508592 -72.568345565,-98.5300085919999 -72.5672275649999,-98.445281592 -72.5622275649999,-98.3172275919999 -72.549454565,-98.290281592 -72.547499565,-98.124454591 -72.536118565,-98.0941815909999 -72.534727565,-98.0633365909999 -72.534454565,-98.013336591 -72.5352815649999,-97.929454591 -72.5355725649999,-97.871945591 -72.532227565,-97.824445591 -72.527236565,-97.784454591 -72.519999565,-97.762372591 -72.5045905649999,-97.758481591 -72.476954565,-97.7434725909999 -72.459872565,-97.716945591 -72.453609565,-97.6888995909999 -72.4541815649999,-97.664172591 -72.460563565,-97.6422275909999 -72.482163565,-97.651672591 -72.512363565,-97.636681591 -72.527090565,-97.416118591 -72.561672565,-97.393063591 -72.5644545649999,-97.342227591 -72.565845565,-97.288890591 -72.5672275649999,-97.15722759 -72.568618565,-97.0736275899999 -72.5674995649999,-96.96639959 -72.557781565,-96.88278159 -72.556672565,-96.8050095899999 -72.556672565,-96.7261185899999 -72.5586275649999,-96.7030635899999 -72.5602905649999,-96.54610959 -72.561954565,-96.38223659 -72.559445565,-96.26501859 -72.557236565,-96.22959059 -72.5531995649999,-96.2081995899999 -72.541263565,-96.22278159 -72.5213905649999,-96.2541725899999 -72.5070905649999,-96.27847259 -72.4938995649999,-96.28429059 -72.470309565,-96.24959059 -72.4544545649999,-96.1941725899999 -72.445009565,-96.094181589 -72.435290564,-96.041118589 -72.430554564,-95.952518589 -72.427781564,-95.9013995889999 -72.424999564,-95.841672589 -72.4211095639999,-95.815290589 -72.418627564,-95.795290589 -72.4158455639999,-95.7591725889999 -72.408336564,-95.7155635889999 -72.3927905639999,-95.6875095889999 -72.374872564,-95.676809589 -72.356399564,-95.688063589 -72.335009564,-95.707372589 -72.3280635639999,-95.740672589 -72.3216185639999,-95.802227589 -72.318618564,-95.945554589 -72.3272275639999,-96.0675095889999 -72.340290564,-96.21023659 -72.325118564,-96.23819959 -72.308345564,-96.29194559 -72.3030725639999,-96.3138995899999 -72.3025095639999,-96.42195459 -72.302227564,-96.52917259 -72.3030725639999,-96.55389059 -72.302227564,-96.5878545899999 -72.2909815639999,-96.56987259 -72.272645564,-96.48611859 -72.263336564,-96.34000959 -72.249454564,-96.18722759 -72.242509564,-96.14805459 -72.246945564,-96.12556359 -72.2486095639999,-96.0533455889999 -72.2513995639999,-96.023618589 -72.249999564,-96.000836589 -72.2466725639999,-95.942781589 -72.235290564,-95.869727589 -72.215572564,-95.8388995889999 -72.2025185639999,-95.823681589 -72.1768095639999,-95.8497275889999 -72.151672564,-95.961536589 -72.091945564,-95.9951455889999 -72.0799995639999,-96.024872589 -72.085009564,-96.042645589 -72.104727564,-96.085009589 -72.124727564,-96.19056359 -72.1650095639999,-96.23542759 -72.175281564,-96.26501859 -72.180009564,-96.29139959 -72.182509564,-96.35057259 -72.1855635639999,-96.46667259 -72.180009564,-96.4925095899999 -72.1775095639999,-96.53917259 -72.176390564,-96.6261095899999 -72.178890564,-96.69584559 -72.1858365639999,-96.72444559 -72.1924995639999,-96.75917259 -72.2049995639999,-96.77723659 -72.216945564,-96.8066725899999 -72.242781564,-96.82833659 -72.254181564,-96.8508455899999 -72.258054564,-96.90389959 -72.262509564,-96.9258455899999 -72.261672564,-97.208345591 -72.235836564,-97.252218591 -72.223063564,-97.223899591 -72.201399564,-97.16639959 -72.185290564,-97.13084559 -72.176954564,-96.98722759 -72.153336564,-96.94222759 -72.1466635639999,-96.90876359 -72.143063564,-96.7888905899999 -72.124999564,-96.75987259 -72.1190365639999,-96.71750959 -72.1043095639999,-96.70500959 -72.087363564,-96.72083659 -72.062790564,-96.75090959 -72.037227564,-96.71833659 -72.027236564,-96.69723659 -72.027236564,-96.66917259 -72.028627564,-96.63084559 -72.032227564,-96.5780635899999 -72.0341815639999,-96.52723659 -72.0336185639999,-96.4975095899999 -72.031954564,-96.4486275899999 -72.027790564,-96.39110959 -72.018627564,-96.34631859 -72.004854564,-96.3443185899999 -71.9848725639999,-96.36173659 -71.952572564,-96.3966635899999 -71.9322365639999,-96.43181859 -71.9201455639999,-96.50917259 -71.902509564,-96.59722759 -71.883618564,-96.65055459 -71.8733365639999,-96.69222759 -71.8688995639999,-96.71667259 -71.868345564,-96.77000959 -71.8688995639999,-96.82194559 -71.8733365639999,-96.84749959 -71.876681564,-96.9047275899999 -71.8877905639999,-96.9300095899999 -71.894172564,-96.96278159 -71.8980545639999,-96.98695459 -71.897509564,-97.0088995899999 -71.895845564,-97.03403659 -71.8904275639999,-97.05918159 -71.879445564,-97.0913905899999 -71.859454564,-97.11903659 -71.849172564,-97.14834559 -71.844454564,-97.196945591 -71.843063564,-97.223890591 -71.843609564,-97.2755545909999 -71.8477815639999,-97.317509591 -71.8544455639999,-97.354472591 -71.873545564,-97.338063591 -71.9109815639999,-97.355563591 -71.9802815639999,-97.3877905909999 -72.0541725639999,-97.415554591 -72.081118564,-97.446945591 -72.097499564,-97.468899591 -72.1086095639999,-97.560009591 -72.153063564,-97.5855545909999 -72.1633455639999,-97.609454591 -72.171118564,-97.6602815909999 -72.1797365639999,-97.6863995909999 -72.181945564,-97.713899591 -72.1822365639999,-97.752790591 -72.1775095639999,-97.773336591 -72.169027564,-97.8679995909999 -72.107436564,-97.855981591 -72.0886185639999,-97.7691815909999 -72.0633365639999,-97.712508591 -72.0105635639999,-97.810008591 -71.9100095639999,-97.957508591 -71.888899564,-98.030563591 -71.886672564,-98.086945591 -71.8880635639999,-98.113063591 -71.8900185639999,-98.1373185909999 -71.8967275639999,-98.118618591 -71.924727564,-98.097227591 -71.9591635639999,-98.096818591 -71.9807095639999,-98.125418591 -72.018199564,-98.130490591 -72.045699564,-98.057227591 -72.079172564,-98.015008591 -72.095427564,-97.997654591 -72.113899564,-98.018336591 -72.1422275639999,-98.043899591 -72.152790564,-98.128345591 -72.1813995639999,-98.176681591 -72.195554564,-98.196672591 -72.199172564,-98.232927591 -72.1875725639999,-98.2191815909999 -72.147781564,-98.208345591 -72.1298635639999,-98.227090591 -72.109599564,-98.278063592 -72.103899564,-98.305554592 -72.103899564,-98.364454592 -72.110699564,-98.406954592 -72.1211275639999,-98.437645592 -72.134454564,-98.478618592 -72.145572564,-98.501399592 -72.148345564,-98.528063592 -72.150281564,-98.556454592 -72.135354564,-98.496536592 -71.993063564,-98.470699592 -71.979036564,-98.4172365919999 -71.970836564,-98.3813905919999 -71.962781564,-98.3519635919999 -71.954181564,-98.322227592 -71.939863564,-98.300708592 -71.920427564,-98.287854592 -71.877990564,-98.306945592 -71.870845564,-98.365281592 -71.874727564,-98.407090592 -71.885281564,-98.4650085919999 -71.900281564,-98.503618592 -71.908336564,-98.531254592 -71.905145564,-98.517227592 -71.883618564,-98.490845592 -71.8741725639999,-98.443963592 -71.8476455639999,-98.471399592 -71.825145564,-98.5063905919999 -71.8236275639999,-98.537227592 -71.828618564,-98.568072592 -71.840009564,-98.589736592 -71.852236564,-98.654036592 -71.8741725639999,-98.702518592 -71.883618564,-98.725281592 -71.886399564,-98.751399592 -71.888336564,-98.778336592 -71.8886275639999,-98.811263592 -71.885145564,-98.8401455919999 -71.8683365639999,-98.791118592 -71.835009564,-98.7686185919999 -71.823899564,-98.7544545919999 -71.807645564,-98.769454592 -71.784872564,-98.7937635919999 -71.772363564,-98.821672592 -71.766399564,-98.861954592 -71.762509564,-98.886127592 -71.761672564,-98.939181592 -71.761672564,-98.995281592 -71.7630635639999,-99.0211185919999 -71.7650185639999,-99.063063592 -71.7719545639999,-99.0925085919999 -71.780563564,-99.2980635919999 -71.925845564,-99.305836592 -71.948481564,-99.2875085919999 -71.961672564,-99.147508592 -71.986118564,-99.1088995919999 -71.9922365639999,-99.051681592 -72.000290564,-99.0269455919999 -72.002227564,-98.9858365919999 -72.007236564,-98.923481592 -72.0197275639999,-98.8941815919999 -72.033336564,-98.858063592 -72.062790564,-98.825008592 -72.092227564,-98.8219545919999 -72.121809564,-98.857790592 -72.130572564,-98.8958455919999 -72.1263995639999,-99.315563592 -72.066681564,-99.356672593 -72.057090564,-99.4063995929999 -72.049454564,-99.443063593 -72.052227564,-99.470563593 -72.0629275639999,-99.498481593 -72.081127564,-99.5413995929999 -72.116390564,-99.576399593 -72.136399564,-99.616672593 -72.1380635639999,-99.633545593 -72.1145815639999,-99.6311185929999 -72.069454564,-99.621672593 -72.045836564,-99.6098635929999 -72.019999564,-99.606536593 -71.9956995639999,-99.6197275929999 -71.979863564,-99.6476455929999 -71.9691815639999,-99.698899593 -71.964172564,-99.726118593 -71.964172564,-99.756390593 -71.9718815639999,-99.807163593 -72.015281564,-99.841818593 -72.048763564,-99.870563593 -72.065845564,-99.9019455929999 -72.0794545639999,-99.931945593 -72.088899564,-99.9622365929999 -72.097227564,-100.045008593 -72.111118564,-100.211118593 -72.129454564,-100.242572593 -72.123554564,-100.200290593 -72.0983455639999,-100.173072593 -72.089172564,-100.149736593 -72.082499564,-100.096118593 -72.058063564,-100.070899593 -72.030209564,-100.117781593 -72.012218564,-100.147227593 -72.013336564,-100.173890593 -72.0150185639999,-100.196672593 -72.0174995639999,-100.279718593 -72.030290564,-100.303336593 -72.033063564,-100.353054593 -72.036390564,-100.439999594 -72.037227564,-100.464172594 -72.036954564,-100.494036594 -72.0326455639999,-100.506808594 -72.015981564,-100.469590594 -71.995845564,-100.386399593 -71.978899564,-100.343899593 -71.971954564,-100.300563593 -71.966945564,-100.250836593 -71.963627564,-100.141954593 -71.957499564,-100.095836593 -71.9522275639999,-100.070136593 -71.938572564,-100.109454593 -71.920290564,-100.160845593 -71.9088905639999,-100.196399593 -71.901672564,-100.253063593 -71.8922275639999,-100.311954593 -71.884736564,-100.336672593 -71.882781564,-100.414463594 -71.881390564,-100.440845594 -71.883345564,-100.472227594 -71.8879275639999,-100.527372594 -71.907099564,-100.770845594 -71.976390564,-100.818072594 -71.988890564,-100.884745594 -72.006390564,-100.975281594 -72.0255545639999,-101.028345594 -72.028899564,-101.055554594 -72.028899564,-101.093608594 -72.0213905639999,-101.114727594 -72.010009564,-101.105145594 -71.991054564,-101.057227594 -71.969599564,-101.015008594 -71.960009564,-100.955290594 -71.949172564,-100.928618594 -71.943754564,-100.973345594 -71.9386095639999,-101.108063594 -71.937499564,-101.134745594 -71.9383365639999,-101.160845594 -71.940845564,-101.204181594 -71.946672564,-101.223890594 -71.950836564,-101.274436594 -71.963345564,-101.305281594 -71.9713905639999,-101.341663594 -71.979736564,-101.361954594 -71.983063564,-101.388899594 -71.982790564,-101.429172594 -71.9775095639999,-101.451945594 -71.970699564,-101.486681595 -71.9530635639999,-101.511808595 -71.941536564,-101.544163595 -71.937790564,-101.570845595 -71.9383365639999,-101.594181595 -71.940845564,-101.639727595 -71.949318564,-101.722781595 -71.9752815639999,-101.762090595 -71.9865365639999,-101.831127595 -71.9983365639999,-101.881118595 -72.002227564,-102.047499595 -72.020845564,-102.411954595 -72.068890564,-102.472781595 -72.0802905639999,-102.503890595 -72.088345564,-102.537508595 -72.1009815639999),(-100.850854594 -72.6505545649999,-100.858608594 -72.665554565,-100.850008594 -72.673618565,-100.830563594 -72.686109565,-100.802227594 -72.697509565,-100.768627594 -72.7058455649999,-100.734999594 -72.7130545649999,-100.698627594 -72.720563565,-100.639181594 -72.730009565,-100.619454594 -72.733063565,-100.424454594 -72.755281565,-100.333890593 -72.764727565,-100.195554593 -72.7752815649999,-100.005836593 -72.7891725649999,-99.838345593 -72.801390565,-99.764727593 -72.805554565,-99.666118593 -72.8088995649999,-99.6372185929999 -72.809718565,-99.552508593 -72.809718565,-99.490008593 -72.8086275649999,-99.434445593 -72.805845565,-99.379454593 -72.801954565,-99.307508592 -72.7938995649999,-99.105281592 -72.758054565,-99.026672592 -72.743054565,-98.982508592 -72.728345565,-98.9625085919999 -72.716672565,-98.949172592 -72.703063565,-98.932508592 -72.6830635649999,-98.930418592 -72.6694455649999,-98.948627592 -72.6519455649999,-98.9605545919999 -72.644999565,-98.989727592 -72.635009565,-99.0186185919999 -72.625836565,-99.067508592 -72.611681565,-99.124454592 -72.6016725649999,-99.186672592 -72.593609565,-99.2544545919999 -72.5877815649999,-99.279727592 -72.586672565,-99.363618593 -72.586945565,-99.465563593 -72.595836565,-99.4894545929999 -72.598618565,-99.5333365929999 -72.6058365649999,-99.5913995929999 -72.616954565,-99.632508593 -72.6230635649999,-99.690563593 -72.625836565,-99.740845593 -72.623609565,-99.780563593 -72.617509565,-99.831681593 -72.605281565,-99.8624995929999 -72.596954565,-99.896390593 -72.588899565,-99.933627593 -72.5808455649999,-99.969727593 -72.574445565,-99.992508593 -72.571399565,-100.015008593 -72.5694545649999,-100.335563593 -72.556118565,-100.700845594 -72.593609565,-100.748899594 -72.598618565,-100.769181594 -72.602781565,-100.783890594 -72.606127565,-100.800563594 -72.612227565,-100.811399594 -72.618054565,-100.839736594 -72.636399565,-100.850854594 -72.6505545649999),(-98.327518592 -72.686672565,-98.340699592 -72.695699565,-98.334727592 -72.705563565,-98.236390591 -72.722227565,-98.196118591 -72.728054565,-98.173063591 -72.730009565,-98.1480545909999 -72.730009565,-98.116954591 -72.7294455649999,-98.062227591 -72.7255725649999,-98.001108591 -72.715563565,-97.940845591 -72.703609565,-97.870008591 -72.6877905649999,-97.830563591 -72.678618565,-97.8245905909999 -72.667927565,-97.8344545909999 -72.657227565,-97.849727591 -72.651399565,-97.884736591 -72.6436185649999,-97.904727591 -72.640563565,-97.924999591 -72.637790565,-97.9502905909999 -72.636945565,-98.006390591 -72.637509565,-98.0605635909999 -72.6416815649999,-98.128345591 -72.6500095649999,-98.2966725919999 -72.679172565,-98.327518592 -72.686672565),(-95.504181589 -72.636399565,-95.517227589 -72.6461185649999,-95.510281589 -72.657227565,-95.494736589 -72.661954565,-95.476963589 -72.665845565,-95.438336589 -72.672227565,-95.387218589 -72.673063565,-95.331390589 -72.671954565,-95.273054589 -72.668627565,-95.1622275889999 -72.659727565,-94.886672588 -72.637509565,-94.833345588 -72.632509565,-94.7536185879999 -72.624172565,-94.730836588 -72.6211275649999,-94.704727588 -72.617509565,-94.696763588 -72.614199565,-94.740845588 -72.5858455649999,-94.819172588 -72.528336565,-94.827790588 -72.5194545649999,-94.837781588 -72.513336565,-94.851963588 -72.506672565,-94.888063588 -72.498609565,-94.9083365879999 -72.496945565,-94.933336588 -72.4963995649999,-94.976390588 -72.5027905649999,-95.192781589 -72.5461095649999,-95.225845589 -72.553345565,-95.247790589 -72.5583365649999,-95.302227589 -72.571672565,-95.334727589 -72.579999565,-95.3638905889999 -72.5883455649999,-95.4466725889999 -72.612499565,-95.4744545889999 -72.623336565,-95.504181589 -72.636399565),(-94.138063588 -72.839172565,-94.138336588 -72.860290565,-94.1302815879999 -72.868345565,-94.092509588 -72.8755635649999,-93.872509587 -72.906954565,-93.829727587 -72.9105725649999,-93.785281587 -72.9130725649999,-93.759445587 -72.911663565,-93.743054587 -72.906681565,-93.7269635869999 -72.8944545649999,-93.7269635869999 -72.880572565,-93.7397275869999 -72.858063565,-93.7522275869999 -72.842518565,-93.774736587 -72.827227565,-93.788618587 -72.820009565,-93.805845587 -72.8149995649999,-93.824718587 -72.811399565,-93.845563587 -72.809172565,-93.889727587 -72.806672565,-93.960845588 -72.806672565,-94.011672588 -72.809172565,-94.093063588 -72.8163905649999,-94.117781588 -72.820554565,-94.130009588 -72.826127565,-94.138063588 -72.839172565),(-93.4614275869999 -72.5845185649999,-93.475154587 -72.642645565,-93.4644455869999 -72.653336565,-93.446672587 -72.655836565,-93.3955725869999 -72.656399565,-93.365281587 -72.6544455649999,-93.3194545869999 -72.6477815649999,-93.2974995869999 -72.6433455649999,-93.265563587 -72.634736565,-93.2377905869999 -72.6252905649999,-93.192227587 -72.601390565,-93.183627587 -72.596118565,-93.172236587 -72.5794545649999,-93.194336587 -72.562254565,-93.2166725869999 -72.559718565,-93.240009587 -72.5583365649999,-93.327227587 -72.564181565,-93.353618587 -72.566681565,-93.448336587 -72.5794545649999,-93.4614275869999 -72.5845185649999),(-91.595290585 -72.586399565,-91.619327585 -72.607609565,-91.618345585 -72.6255635649999,-91.4941725849999 -72.7477905649999,-91.456681585 -72.7794455649999,-91.4341725849999 -72.795563565,-91.395009585 -72.825836565,-91.328336585 -72.888063565,-91.321945585 -72.9025095649999,-91.3238995849999 -72.916118565,-91.3302905849999 -72.929454565,-91.348072585 -72.948336565,-91.370009585 -72.9669455649999,-91.380572585 -72.9794455649999,-91.391109585 -72.992236565,-91.393336585 -73.005845565,-91.395572585 -73.0194545649999,-91.418063585 -73.093336565,-91.4200095849999 -73.1069455649999,-91.421109585 -73.1274995649999,-91.414736585 -73.1419545649999,-91.4011185849999 -73.1502815649999,-91.384172585 -73.156109565,-91.363063585 -73.158336565,-91.337236585 -73.156954565,-91.310009585 -73.153899565,-91.281399585 -73.1500095649999,-91.256954585 -73.145572565,-91.216672585 -73.135836565,-91.200836585 -73.130572565,-91.173336585 -73.119445565,-91.161954585 -73.113890565,-91.1427905849999 -73.1019635649999,-91.1166725849999 -73.0838905649999,-91.093199585 -73.061954565,-91.069454585 -73.040281565,-91.043627585 -73.021954565,-91.025009585 -73.010281565,-90.961672585 -72.974454565,-90.904445585 -72.945554565,-90.889172585 -72.9402905649999,-90.866118585 -72.928890565,-90.851963585 -72.9163995649999,-90.843063585 -72.823627565,-90.842509585 -72.803072565,-90.8461185849999 -72.781954565,-90.852363585 -72.770972565,-90.852509585 -72.746672565,-90.839736585 -72.679172565,-90.8341635849999 -72.665845565,-90.805554585 -72.6205635649999,-90.803754585 -72.596536565,-90.815845585 -72.585009565,-90.845836585 -72.5711185649999,-90.862227585 -72.5652905649999,-90.913072585 -72.548890565,-90.9511275849999 -72.5422365649999,-91.033336585 -72.531681565,-91.099454585 -72.529172565,-91.1447275849999 -72.528627565,-91.168336585 -72.528899565,-91.238345585 -72.529727565,-91.2630635849999 -72.531399565,-91.362790585 -72.5416725649999,-91.445845585 -72.553618565,-91.564181585 -72.575836565,-91.595290585 -72.586399565),(-90.7540365849999 -68.8027905609999,-90.757236585 -68.8250095609999,-90.753063585 -68.8413995609999,-90.734590585 -68.866809561,-90.645572584 -68.9183365609999,-90.632781584 -68.9230635609999,-90.6150095839999 -68.925845561,-90.5944545839999 -68.925845561,-90.5738995839999 -68.924181561,-90.5558455839999 -68.921399561,-90.540281584 -68.917781561,-90.501681584 -68.9041725609999,-90.480845584 -68.8884815609999,-90.472781584 -68.868345561,-90.472499584 -68.849727561,-90.486954584 -68.827790561,-90.502227584 -68.814727561,-90.522227584 -68.803618561,-90.545009584 -68.7936275609999,-90.5575095839999 -68.788890561,-90.585554584 -68.780290561,-90.6158455839999 -68.773054561,-90.633345584 -68.7702815609999,-90.656399584 -68.769181561,-90.699445584 -68.771663561,-90.725281584 -68.7808365609999,-90.743618585 -68.792781561,-90.7540365849999 -68.8027905609999),(-90.368618584 -73.0030635649999,-90.379454584 -73.047790565,-90.3700095839999 -73.061399565,-90.357227584 -73.068072565,-90.341945584 -73.073627565,-90.3238995839999 -73.078899565,-90.280836584 -73.083072565,-90.171109584 -73.066681565,-90.1200095839999 -73.061672565,-90.085009584 -73.0605635649999,-90.037781584 -73.061672565,-89.999999584 -73.063790565,-89.968336584 -73.0655635649999,-89.9466725839999 -73.067781565,-89.898618584 -73.0694545649999,-89.8725095839999 -73.069172565,-89.816118584 -73.066681565,-89.735290584 -73.0580635649999,-89.695845584 -73.048063565,-89.669172584 -73.0380725649999,-89.647509583 -73.026672565,-89.480009583 -72.9330635649999,-89.4591725829999 -72.917781565,-89.4590365829999 -72.902927565,-89.474454583 -72.892227565,-89.5097365829999 -72.882781565,-89.529172583 -72.8794545649999,-89.5700095829999 -72.874454565,-89.5938995829999 -72.873336565,-89.619445583 -72.873609565,-89.672499584 -72.876109565,-89.7013995839999 -72.876681565,-89.726963584 -72.8769545649999,-89.7450095839999 -72.8755635649999,-89.767227584 -72.872509565,-89.7872275839999 -72.868618565,-89.801390584 -72.863890565,-89.829999584 -72.851118565,-89.8658455839999 -72.844454565,-89.912781584 -72.842518565,-89.9430725839999 -72.844999565,-89.980281584 -72.8538995649999,-89.999999584 -72.861709565,-90.026945584 -72.8769545649999,-90.041672584 -72.888627565,-90.049872584 -72.898899565,-90.054454584 -72.913063565,-90.037509584 -72.934172565,-90.027236584 -72.9419545649999,-90.019454584 -72.950009565,-90.022090584 -72.9611185649999,-90.039736584 -72.969727565,-90.061672584 -72.974454565,-90.088345584 -72.973890565,-90.130845584 -72.970563565,-90.143618584 -72.963899565,-90.164736584 -72.948336565,-90.1805545839999 -72.9419545649999,-90.216399584 -72.9352905649999,-90.270281584 -72.936672565,-90.296672584 -72.9397275649999,-90.311399584 -72.944736565,-90.337781584 -72.955563565,-90.351963584 -72.968063565,-90.362499584 -72.9813995649999,-90.368618584 -73.0030635649999),(-79.448481574 -72.543618565,-79.463199574 -72.5631995649999,-79.437090574 -72.575290565,-79.404172574 -72.578899565,-79.381954574 -72.579727565,-79.358609574 -72.5794545649999,-79.333618574 -72.577790565,-79.2869545739999 -72.577227565,-79.245563574 -72.5813905649999,-79.1236095739999 -72.595563565,-79.076390574 -72.604590565,-79.0243185739999 -72.621672565,-78.977236574 -72.649172565,-78.926954574 -72.680009565,-78.895572573 -72.703063565,-78.866954573 -72.7266725649999,-78.8435545729999 -72.762299565,-78.853899573 -72.7972365649999,-78.869590573 -72.812918565,-78.904172573 -72.8338905649999,-78.926954574 -72.845290565,-78.968063574 -72.862499565,-79.027509574 -72.8836185649999,-79.109727574 -72.903627565,-79.1547275739999 -72.911954565,-79.208618574 -72.917781565,-79.233899574 -72.9191725649999,-79.2888905739999 -72.923890565,-79.3666725739999 -72.931945565,-79.395709574 -72.9395905649999,-79.416672574 -72.9593815649999,-79.293336574 -73.048618565,-79.251954574 -73.073627565,-79.176399574 -73.113618565,-79.039463574 -73.1666725649999,-79.0197275739999 -73.170009565,-78.960009574 -73.178072565,-78.9161185729999 -73.1830635649999,-78.8447275729999 -73.1852905649999,-78.8140185729999 -73.182781565,-78.778899573 -73.173890565,-78.722781573 -73.1525095649999,-78.6572275729999 -73.124454565,-78.6341725729999 -73.112790565,-78.600009573 -73.095563565,-78.5744455729999 -73.0836185649999,-78.547499573 -73.072509565,-78.513481573 -73.059309565,-78.473618573 -73.045290565,-78.3677815729999 -73.014172565,-78.269181573 -72.989454565,-78.2016725729999 -72.975281565,-78.1341725729999 -72.9611185649999,-78.0347275729999 -72.943345565,-77.929736573 -72.928618565,-77.851118573 -72.923063565,-77.803345572 -72.921954565,-77.7808365719999 -72.922790565,-77.688063572 -72.9233365649999,-77.640290572 -72.920290565,-77.616672572 -72.915554565,-77.594454572 -72.909999565,-77.561672572 -72.892499565,-77.548618572 -72.874036565,-77.553072572 -72.845563565,-77.571118572 -72.788890565,-77.588063572 -72.7462635649999,-77.579999572 -72.726954565,-77.542236572 -72.703336565,-77.511127572 -72.6852905649999,-77.4726365719999 -72.656872565,-77.448199572 -72.622854565,-77.4391815719999 -72.588627565,-77.4518095719999 -72.571399565,-77.485563572 -72.5438995649999,-77.517090572 -72.5237545649999,-77.563336572 -72.502918565,-77.615699572 -72.487781565,-77.680009572 -72.475281565,-77.706936572 -72.471545565,-77.809445572 -72.464172565,-77.858336573 -72.467790565,-77.8858365729999 -72.471954565,-77.911254573 -72.486254565,-77.931263573 -72.507927565,-77.955290573 -72.526127565,-77.991954573 -72.5433365649999,-78.019181573 -72.553618565,-78.055009573 -72.5652905649999,-78.1152815729999 -72.578609565,-78.168899573 -72.5877815649999,-78.214445573 -72.5894455649999,-78.256954573 -72.588627565,-78.343899573 -72.579999565,-78.420009573 -72.567781565,-78.477781573 -72.557781565,-78.534181573 -72.5466725649999,-78.5725095729999 -72.5380725649999,-78.619172573 -72.5202815649999,-78.650554573 -72.505281565,-78.678072573 -72.488890565,-78.6983365729999 -72.474454565,-78.7206995729999 -72.4520185649999,-78.7591725729999 -72.422654564,-78.814999573 -72.401127564,-78.850009573 -72.3919545639999,-78.889727573 -72.384445564,-78.949445574 -72.378890564,-79.011945574 -72.3758365639999,-79.0611095739999 -72.376954564,-79.111681574 -72.379454564,-79.160845574 -72.384445564,-79.184345574 -72.388427564,-79.211672574 -72.393063564,-79.2475095739999 -72.402509564,-79.271118574 -72.4130725639999,-79.292509574 -72.425290564,-79.3191725739999 -72.4424995639999,-79.344727574 -72.4605545649999,-79.448481574 -72.543618565),(-78.353345573 -73.279727565,-78.371672573 -73.350427565,-78.371399573 -73.368054565,-78.368327573 -73.385572565,-78.356672573 -73.403063565,-78.343899573 -73.4105725649999,-78.3263995729999 -73.4183365649999,-78.276945573 -73.431945565,-78.258054573 -73.436399565,-78.2205635729999 -73.443345565,-78.1969455729999 -73.4461185649999,-78.1741815729999 -73.446945565,-78.048063573 -73.4422275649999,-78.021954573 -73.4405635649999,-77.9672275729999 -73.434718565,-77.9425095729999 -73.430009565,-77.842227572 -73.405018565,-77.806672572 -73.394727565,-77.708618572 -73.362499565,-77.6927815719999 -73.3569455649999,-77.681672572 -73.351118565,-77.661954572 -73.3400095649999,-77.6522365719999 -73.3333455649999,-77.6370815719999 -73.317645565,-77.638754572 -73.2966725649999,-77.6558365719999 -73.284999565,-77.705563572 -73.265563565,-77.722781572 -73.259736565,-77.793899572 -73.2380635649999,-77.812790572 -73.2336095649999,-77.8488905729999 -73.2255725649999,-77.9122275729999 -73.214172565,-77.929454573 -73.2125095649999,-77.976672573 -73.2102815649999,-78.070845573 -73.209454565,-78.172227573 -73.2130545649999,-78.2222275729999 -73.217227565,-78.252227573 -73.220563565,-78.3008455729999 -73.2297365649999,-78.316390573 -73.234999565,-78.3305635729999 -73.241118565,-78.346118573 -73.2527905649999,-78.347336573 -73.258272565,-78.353345573 -73.279727565),(-76.604736571 -71.016109563,-76.631327571 -71.049318563,-76.630281571 -71.0824995629999,-76.6115995709999 -71.1111815629999,-76.5804185709999 -71.144454563,-76.536118571 -71.171954563,-76.494309571 -71.193072563,-76.4666725709999 -71.199718563,-76.421954571 -71.205981563,-76.3916815709999 -71.2074995629999,-76.368618571 -71.2055635629999,-76.3436095709999 -71.2011275629999,-76.2561185709999 -71.181672563,-76.2308365709999 -71.177227563,-76.206954571 -71.173890563,-76.161663571 -71.170009563,-76.0166815709999 -71.172790563,-75.934445571 -71.174999563,-75.893336571 -71.176118563,-75.811109571 -71.1783455629999,-75.745836571 -71.1780725629999,-75.725572571 -71.176681563,-75.68028157 -71.172499563,-75.6504185699999 -71.165145563,-75.60389957 -71.152509563,-75.56418157 -71.1430635629999,-75.4988995699999 -71.128063563,-75.4566815699999 -71.1202815629999,-75.19917257 -71.0783365629999,-75.08083657 -71.063899563,-75.0127905699999 -71.0597185629999,-74.97472757 -71.058899563,-74.95167257 -71.058899563,-74.90945457 -71.060563563,-74.86750957 -71.060290563,-74.79889057 -71.0527815629999,-74.77417257 -71.048063563,-74.73279057 -71.038072563,-74.5608365689999 -71.020572563,-74.479445569 -71.0199995629999,-74.395009569 -71.0177905629999,-74.371127569 -71.0163995629999,-74.306118569 -71.010281563,-74.280290569 -71.006390563,-74.234172569 -70.9975095629999,-74.193072569 -70.987499563,-74.171390569 -70.979590563,-74.149736569 -70.9679275629999,-74.107790569 -70.9549995629999,-74.0847275689999 -70.949445563,-74.0361185689999 -70.939999563,-73.8550095689999 -70.9077905629999,-73.812927569 -70.902327563,-73.8072365689999 -70.901672563,-73.769181569 -70.891954563,-73.710281569 -70.863063563,-73.643199569 -70.8148725629999,-73.609999569 -70.7838905629999,-73.599872569 -70.760990563,-73.599172569 -70.7408455629999,-73.611254569 -70.722781563,-73.639172569 -70.700290563,-73.685290569 -70.6802815629999,-73.7325095689999 -70.6616635629999,-73.7838905689999 -70.649445563,-73.855836569 -70.6366725629999,-73.891954569 -70.631118563,-73.9488995689999 -70.626399563,-74.004163569 -70.6236995629999,-74.047227569 -70.6222185629999,-74.068072569 -70.623063563,-74.090009569 -70.625290563,-74.117163569 -70.634581563,-74.140909569 -70.669663563,-74.162227569 -70.689863563,-74.198890569 -70.693754563,-74.247218569 -70.689454563,-74.284999569 -70.6827815629999,-74.316954569 -70.6741815629999,-74.3666725689999 -70.6569545629999,-74.413072569 -70.643618563,-74.4547275689999 -70.641954563,-74.4843095689999 -70.652572563,-74.5227905689999 -70.715699563,-74.527927569 -70.7484095629999,-74.501954569 -70.779445563,-74.5024365689999 -70.8093095629999,-74.534999569 -70.821118563,-74.570009569 -70.816118563,-74.609172569 -70.808627563,-74.66639957 -70.792927563,-74.70472757 -70.776672563,-74.73279057 -70.7608365629999,-74.78583657 -70.7352815629999,-74.8377815699999 -70.713627563,-74.90194557 -70.691954563,-74.9858365699999 -70.669445563,-75.00778157 -70.671672563,-75.07860957 -70.718063563,-75.09529057 -70.734309563,-75.1008455699999 -70.7572365629999,-75.11500957 -70.7731995629999,-75.1716725699999 -70.805554563,-75.19500957 -70.816390563,-75.2497275699999 -70.835145563,-75.31611857 -70.852781563,-75.41166357 -70.870563563,-75.4608455699999 -70.877499563,-75.50334557 -70.881118563,-75.5458365699999 -70.882509563,-75.6280635699999 -70.881954563,-75.66833657 -70.880845563,-75.7308365709999 -70.878618563,-75.768890571 -70.876954563,-75.871127571 -70.8736095629999,-75.910281571 -70.873336563,-75.955563571 -70.874999563,-76.0463995709999 -70.8841725629999,-76.094454571 -70.891954563,-76.157227571 -70.906109563,-76.192509571 -70.9158455629999,-76.238890571 -70.9325095629999,-76.278627571 -70.9488995629999,-76.313063571 -70.959454563,-76.357509571 -70.9694545629999,-76.423618571 -70.9780545629999,-76.470563571 -70.978899563,-76.493054571 -70.980836563,-76.528481571 -70.986536563,-76.576954571 -71.0019455629999,-76.604736571 -71.016109563),(-76.088618571 -73.176681565,-76.0925095709999 -73.206181565,-75.950836571 -73.316118565,-75.9272275709999 -73.329727565,-75.756672571 -73.391109565,-75.7147365709999 -73.405290565,-75.67222757 -73.417781565,-75.58500957 -73.4355635649999,-75.4372275699999 -73.468609565,-75.3291815699999 -73.496945565,-75.15444557 -73.536954566,-74.86805457 -73.599727566,-74.82362757 -73.6083365659999,-74.6052815689999 -73.6500095659999,-74.582509569 -73.6516725659999,-74.5594455689999 -73.6519455659999,-74.465563569 -73.648345566,-74.441390569 -73.6433455659999,-74.4111185689999 -73.6308455659999,-74.318345569 -73.579727566,-74.286954569 -73.560836566,-74.2706275689999 -73.534863566,-74.289454569 -73.5116815649999,-74.316945569 -73.498209565,-74.350572569 -73.4813995649999,-74.375563569 -73.468063565,-74.398054569 -73.453899565,-74.418336569 -73.4405635649999,-74.4388995689999 -73.426954565,-74.4761185689999 -73.3938905649999,-74.506809569 -73.3295905649999,-74.464736569 -73.265290565,-74.4480635689999 -73.249309565,-74.3838995689999 -73.220836565,-74.363618569 -73.208072565,-74.208618569 -73.0855545649999,-74.1858185689999 -73.0625635649999,-74.178618569 -73.056536565,-74.175836569 -73.027227565,-74.2227815689999 -72.976118565,-74.238345569 -72.9630545649999,-74.2588995689999 -72.952781565,-74.2883455689999 -72.9424995649999,-74.351963569 -72.925845565,-74.5655635689999 -72.879181565,-74.83500957 -72.828899565,-75.18471857 -72.809172565,-75.25110957 -72.809172565,-75.31807257 -72.811672565,-75.39362757 -72.819172565,-75.43223657 -72.825009565,-75.48972757 -72.843336565,-75.5150185699999 -72.8558365649999,-75.53139057 -72.868618565,-75.55917257 -72.8909815649999,-75.59723657 -72.909727565,-75.6480545699999 -72.924999565,-75.6716725699999 -72.929736565,-75.69473657 -72.9330635649999,-75.715563571 -72.948963565,-75.69139057 -72.972499565,-75.65639957 -72.992781565,-75.63556357 -72.998609565,-75.61389057 -73.001681565,-75.59139957 -73.000836565,-75.49860957 -72.987227565,-75.4758455699999 -72.986390565,-75.45360957 -72.986681565,-75.43167257 -72.988618565,-75.38028157 -72.998209565,-75.3609095699999 -73.019799565,-75.39000957 -73.056818565,-75.42529057 -73.072509565,-75.44473657 -73.078609565,-75.6694455699999 -73.1299995649999,-75.6922275699999 -73.130845565,-75.7144455709999 -73.129181565,-75.8211185709999 -73.1069455649999,-75.886127571 -73.0977815649999,-75.946945571 -73.089736565,-75.970836571 -73.094454565,-76.069736571 -73.157499565,-76.088618571 -73.176681565),(-75.857790571 -70.034454562,-75.861809571 -70.0511185619999,-75.852509571 -70.0680725619999,-75.840290571 -70.077518562,-75.827227571 -70.085554562,-75.799181571 -70.0972275619999,-75.766399571 -70.105836562,-75.7349995709999 -70.1136185619999,-75.68250957 -70.124727562,-75.64778157 -70.1308455619999,-75.60779057 -70.1305725619999,-75.58694557 -70.1316725619999,-75.4958365699999 -70.139727562,-75.4611185699999 -70.143618562,-75.44139057 -70.146390562,-75.3900185699999 -70.1563995619999,-75.33973657 -70.168063562,-75.26972757 -70.178072562,-75.23028157 -70.1808455619999,-75.2105545699999 -70.181399562,-75.14944557 -70.1769545619999,-75.05944557 -70.166945562,-74.9997275699999 -70.1616635619999,-74.9777815699999 -70.1616635619999,-74.93860957 -70.162509562,-74.88694557 -70.172499562,-74.87000957 -70.1736185619999,-74.84695457 -70.1722275619999,-74.82444557 -70.168899562,-74.79861857 -70.1638905619999,-74.75509957 -70.150118562,-74.73709057 -70.140009562,-74.7227815699999 -70.125563562,-74.71889057 -70.114036562,-74.7255725699999 -70.083345562,-74.7325095699999 -70.073063562,-74.74236357 -70.045145562,-74.7319455699999 -70.035572562,-74.71167257 -70.0347275619999,-74.67807257 -70.039736562,-74.65999957 -70.0447275619999,-74.62610957 -70.0519545619999,-74.593336569 -70.058336562,-74.575009569 -70.0597185619999,-74.554454569 -70.058899562,-74.529727569 -70.0552815619999,-74.497790569 -70.044445562,-74.469727569 -70.033618562,-74.460009569 -70.0283365619999,-74.4525185689999 -70.021663562,-74.454181569 -70.011681562,-74.485563569 -69.995009562,-74.500290569 -69.9883455619999,-74.565290569 -69.9702905619999,-74.600009569 -69.964445562,-74.6505545699999 -69.9533365619999,-74.78168157 -69.9197275619999,-74.8113995699999 -69.9097275619999,-74.8425095699999 -69.896663562,-74.8522365699999 -69.8888995619999,-74.85334557 -69.871809562,-74.84360957 -69.862790562,-74.82999957 -69.850572562,-74.8291815699999 -69.832790562,-74.84222757 -69.8158455619999,-74.85999957 -69.810563562,-74.88057257 -69.809445562,-74.91972757 -69.811954562,-74.98306357 -69.8180725619999,-75.0630635699999 -69.8200095619999,-75.1400185699999 -69.8183455619999,-75.17418157 -69.814454562,-75.23445457 -69.811399562,-75.2733455699999 -69.813899562,-75.29556357 -69.817227562,-75.31889057 -69.8216725619999,-75.32889957 -69.8266725619999,-75.3361185699999 -69.833618562,-75.34119057 -69.8519545619999,-75.35196357 -69.8725095619999,-75.35945457 -69.879454562,-75.3780635699999 -69.890563562,-75.3941815699999 -69.895572562,-75.4172365699999 -69.900281562,-75.43529057 -69.900554562,-75.47222757 -69.894999562,-75.5047275699999 -69.886399562,-75.5186185699999 -69.8816725619999,-75.53279057 -69.874999562,-75.54639057 -69.862781562,-75.5556995699999 -69.848618562,-75.56695457 -69.837236562,-75.5816815699999 -69.833618562,-75.59889057 -69.830563562,-75.6211275699999 -69.833890562,-75.63721857 -69.839172562,-75.6461185699999 -69.8449995619999,-75.65749957 -69.856672562,-75.66639957 -69.870009562,-75.67306357 -69.883054562,-75.67611857 -69.896390562,-75.67556357 -69.9099995619999,-75.6716725699999 -69.920836562,-75.68055457 -69.942499562,-75.7147365709999 -69.9597365619999,-75.7269635709999 -69.965290562,-75.760563571 -69.976963562,-75.801954571 -69.9911185619999,-75.8169545709999 -69.9972185619999,-75.848481571 -70.018481562,-75.857790571 -70.034454562),(-75.46639957 -71.693072564,-75.49180957 -71.7127185639999,-75.47389957 -71.735836564,-75.41389057 -71.755845564,-75.3569455699999 -71.7650185639999,-75.33694557 -71.766681564,-75.30139057 -71.7730545639999,-75.25674557 -71.7968095639999,-75.26264557 -71.822509564,-75.2950095699999 -71.8272275639999,-75.31611857 -71.826672564,-75.36111857 -71.828336564,-75.42889057 -71.8338905639999,-75.46063657 -71.843136564,-75.4141725699999 -71.909727564,-75.38806357 -71.9388995639999,-75.3705635699999 -71.954181564,-75.3527815699999 -71.965699564,-75.3130635699999 -71.9800095639999,-75.2919455699999 -71.985836564,-75.23889057 -71.997790564,-75.1838995699999 -72.007236564,-75.1438905699999 -72.013899564,-75.04779057 -72.026672564,-74.98889057 -72.034454564,-74.7852815699999 -72.0802905639999,-74.75334557 -72.091672564,-74.71889957 -72.1025095639999,-74.69667257 -72.1050095639999,-74.67306357 -72.1027815639999,-74.65375457 -72.082299564,-74.63528157 -72.0613995639999,-74.603899569 -72.055281564,-74.581118569 -72.054454564,-74.560563569 -72.056118564,-74.505845569 -72.066390564,-74.4775095689999 -72.074172564,-74.416254569 -72.101672564,-74.387645569 -72.127509564,-74.350009569 -72.157227564,-74.322509569 -72.171399564,-74.282099569 -72.188754564,-74.252227569 -72.195281564,-74.211945569 -72.199718564,-74.130009569 -72.207499564,-74.0902905689999 -72.209736564,-74.043336569 -72.2088905639999,-74.0219545689999 -72.2069545639999,-73.9969455689999 -72.203609564,-73.962645569 -72.196254564,-73.9341725689999 -72.184590564,-73.9109815689999 -72.165836564,-73.880009569 -72.151945564,-73.831681569 -72.1355635639999,-73.793899569 -72.1241725639999,-73.722499569 -72.103618564,-73.611118569 -72.068345564,-73.5838905689999 -72.0448725639999,-73.620418569 -72.007372564,-73.7052905689999 -71.965836564,-73.797227569 -71.920290564,-73.8275185689999 -71.904445564,-73.8573725689999 -71.884736564,-73.882781569 -71.859999564,-73.890281569 -71.829036564,-73.8527815689999 -71.819736564,-73.8026455689999 -71.824445564,-73.756954569 -71.837509564,-73.7350095689999 -71.8477815639999,-73.692509569 -71.859727564,-73.671672569 -71.863345564,-73.651399569 -71.8650095639999,-73.6052815689999 -71.863890564,-73.539172568 -71.856672564,-73.511118568 -71.862227564,-73.4694545679999 -71.8780635639999,-73.412645568 -71.9036185639999,-73.335863568 -71.9284095639999,-73.2180635679999 -71.943890564,-73.175563568 -71.947781564,-73.133618568 -71.949445564,-73.023054568 -71.946945564,-72.8924995679999 -71.936954564,-72.866672568 -71.9341725639999,-72.814727568 -71.925290564,-72.793336568 -71.9200095639999,-72.757781568 -71.909727564,-72.729445568 -71.897781564,-72.6991725679999 -71.879727564,-72.667645568 -71.8459815639999,-72.6549275679999 -71.809590564,-72.643618568 -71.763336564,-72.624454568 -71.751954564,-72.605281568 -71.7458365639999,-72.584454568 -71.740845564,-72.439863567 -71.7029275639999,-72.419309567 -71.6741725639999,-72.375563567 -71.654445564,-72.332509567 -71.644999564,-72.306399567 -71.644181564,-72.267499567 -71.6461185639999,-72.229736567 -71.652790564,-72.203899567 -71.661263564,-72.165554567 -71.6791725639999,-72.147645567 -71.697509564,-72.133899567 -71.728199564,-72.122090567 -71.749454564,-72.100009567 -71.7713905639999,-72.069736567 -71.7861185639999,-71.983609567 -71.8313905639999,-71.910281567 -71.876954564,-71.8722185669999 -71.905563564,-71.850145567 -71.917090564,-71.785281567 -71.931945564,-71.748336567 -71.937790564,-71.705563567 -71.941390564,-71.619736567 -71.941681564,-71.5683455669999 -71.942227564,-71.536390567 -71.945554564,-71.508754567 -71.952781564,-71.489799567 -71.973127564,-71.480836567 -72.0005635639999,-71.436399567 -72.011399564,-71.3958455659999 -72.0152905639999,-71.3352815659999 -72.018618564,-71.248336566 -72.020845564,-71.225845566 -72.0194545639999,-71.202518566 -72.0169545639999,-71.130281566 -72.002227564,-71.1072275659999 -71.9963995639999,-71.0830725659999 -71.992509564,-71.0499995659999 -71.991118564,-70.9977905659999 -71.996945564,-70.975145566 -72.006672564,-70.950636566 -72.0401455639999,-70.976390566 -72.060290564,-71.005281566 -72.068345564,-71.0294455659999 -72.072236564,-71.099454566 -72.0799995639999,-71.2141725659999 -72.090009564,-71.303345566 -72.093899564,-71.415009567 -72.0986185639999,-71.4616725669999 -72.1005725639999,-71.527509567 -72.101672564,-71.569172567 -72.102236564,-71.589736567 -72.1008455639999,-71.652236567 -72.1002815639999,-71.6788905669999 -72.1011185639999,-71.700563567 -72.1044455639999,-71.728272567 -72.124454564,-71.747363567 -72.144999564,-71.779445567 -72.151945564,-71.840290567 -72.1486185639999,-71.905290567 -72.144999564,-71.9269545669999 -72.1447275639999,-71.9705635669999 -72.1447275639999,-71.9911185669999 -72.1466635639999,-72.024181567 -72.153063564,-72.057645567 -72.176463564,-72.036672567 -72.196681564,-72.0052815669999 -72.2030635639999,-71.9663995669999 -72.209736564,-71.9305545669999 -72.214736564,-71.9080635669999 -72.216945564,-71.8644545669999 -72.220290564,-71.823627567 -72.2211185639999,-71.780009567 -72.224727564,-71.7241635669999 -72.232227564,-71.683336567 -72.239454564,-71.585554567 -72.259736564,-71.557090567 -72.2673635639999,-71.510836567 -72.278063564,-71.4722275669999 -72.2858455639999,-71.434445567 -72.291399564,-71.411954567 -72.293627564,-71.306672566 -72.300290564,-71.2183365659999 -72.298890564,-71.1727905659999 -72.296399564,-71.057509566 -72.2841815639999,-71.0061185659999 -72.276127564,-70.934718566 -72.2636275639999,-70.8122275659999 -72.2400095639999,-70.7913995659999 -72.234454564,-70.736954566 -72.217790564,-70.692227566 -72.196809564,-70.671527566 -72.184863564,-70.638899566 -72.176390564,-70.607645566 -72.1765365639999,-70.5433365659999 -72.193345564,-70.524181566 -72.2044545639999,-70.541672566 -72.218609564,-70.575836566 -72.231399564,-70.641672566 -72.257645564,-70.667509566 -72.272509564,-70.683763566 -72.301399564,-70.720009566 -72.346263564,-70.741672566 -72.367781564,-70.771118566 -72.379454564,-70.794590566 -72.386945564,-70.8791815659999 -72.400009564,-70.974727566 -72.408336564,-71.063609566 -72.4130725639999,-71.131672566 -72.4155545639999,-71.153627566 -72.4155545639999,-71.1944545659999 -72.4136185639999,-71.219727566 -72.412227564,-71.259445566 -72.408890564,-71.3433365659999 -72.405836564,-71.435563567 -72.405290564,-71.5447275669999 -72.407227564,-71.674999567 -72.404172564,-71.7369545669999 -72.400845564,-71.7997275669999 -72.393345564,-71.858609567 -72.383054564,-71.935563567 -72.3672365639999,-71.9558365669999 -72.364727564,-71.997790567 -72.361954564,-72.041672567 -72.361681564,-72.087781567 -72.363890564,-72.182509567 -72.370281564,-72.226672567 -72.370009564,-72.268618567 -72.3672365639999,-72.307236567 -72.362790564,-72.327790567 -72.357790564,-72.3627905669999 -72.3480725639999,-72.423481567 -72.325972564,-72.462918567 -72.316672564,-72.5113995679999 -72.307781564,-72.552227568 -72.303618564,-72.594181568 -72.300845564,-72.636945568 -72.299181564,-72.659999568 -72.300290564,-72.727781568 -72.305554564,-72.8741725679999 -72.3213995639999,-72.8988995679999 -72.325009564,-72.9866815679999 -72.338345564,-73.0108365679999 -72.343899564,-73.056254568 -72.3568095639999,-73.1158455679999 -72.376681564,-73.1522275679999 -72.3904275639999,-73.1823725679999 -72.409172564,-73.193754568 -72.436118564,-73.172499568 -72.459736565,-73.146118568 -72.474454565,-73.111954568 -72.487499565,-72.908063568 -72.563609565,-72.749999568 -72.608063565,-72.688336568 -72.618345565,-72.5280635679999 -72.670009565,-72.4854185679999 -72.689318565,-72.452518567 -72.709163565,-72.416945567 -72.722227565,-72.376109567 -72.727781565,-72.353899567 -72.728054565,-72.308899567 -72.728345565,-72.211118567 -72.711945565,-72.083345567 -72.6874995649999,-71.931399567 -72.663890565,-71.856127567 -72.652790565,-71.810290567 -72.6483455649999,-71.7872275669999 -72.647236565,-71.721118567 -72.6486185649999,-71.656954567 -72.656109565,-71.616672567 -72.659181565,-71.573899567 -72.661954565,-71.527509567 -72.659454565,-71.480281567 -72.655836565,-71.405290567 -72.6477815649999,-71.384736566 -72.646954565,-71.3622275659999 -72.647236565,-71.2791725659999 -72.652790565,-71.1933455659999 -72.661390565,-71.1727905659999 -72.663890565,-71.153063566 -72.667781565,-71.049454566 -72.682781565,-71.010563566 -72.685009565,-70.9822275659999 -72.686109565,-70.958890566 -72.684718565,-70.934718566 -72.682236565,-70.908890566 -72.677227565,-70.8747275659999 -72.665845565,-70.838063566 -72.652363565,-70.7933365659999 -72.637218565,-70.771118566 -72.633899565,-70.7266725659999 -72.633899565,-70.696536566 -72.637363565,-70.6680635659999 -72.646663565,-70.6455725659999 -72.659999565,-70.626399566 -72.6716725649999,-70.579727566 -72.6855635649999,-70.558899566 -72.6880635649999,-70.515018566 -72.692781565,-70.4831995659999 -72.691809565,-70.4444545659999 -72.6874995649999,-70.3727905659999 -72.676118565,-70.2966725649999 -72.665281565,-70.2505635649999 -72.659181565,-69.9611185649999 -72.626681565,-69.7691815649999 -72.599163565,-69.695845565 -72.587236565,-69.671954565 -72.584454565,-69.578609565 -72.576127565,-69.509736565 -72.571672565,-69.461945565 -72.5694545649999,-69.3952815649999 -72.569172565,-69.350845565 -72.568618565,-69.3083365649999 -72.5674995649999,-69.287781565 -72.566681565,-69.260009565 -72.564181565,-69.234999564 -72.5588995649999,-69.200009564 -72.548063565,-69.1716725639999 -72.528890565,-69.171881564 -72.4989635649999,-69.175699564 -72.469172565,-69.1655545639999 -72.443072564,-69.1480545639999 -72.423618564,-69.121809564 -72.4019545639999,-69.066681564 -72.375290564,-69.0013995639999 -72.352236564,-68.976963564 -72.3466815639999,-68.926390564 -72.3380545639999,-68.905563564 -72.335845564,-68.883618564 -72.3355545639999,-68.858336564 -72.3336185639999,-68.8344545639999 -72.3294545639999,-68.7841815639999 -72.3151365639999,-68.765009564 -72.3034725639999,-68.727236564 -72.275281564,-68.7049995639999 -72.270281564,-68.653063564 -72.262218564,-68.609454564 -72.257236564,-68.539463564 -72.251954564,-68.494445564 -72.2488995639999,-68.4525185639999 -72.247509564,-68.426954564 -72.2441725639999,-68.397509564 -72.236954564,-68.374727564 -72.222227564,-68.3650095639999 -72.2027905639999,-68.333072564 -72.117781564,-68.323899564 -72.0654275639999,-68.342227564 -72.048336564,-68.369999564 -72.0334815639999,-68.403063564 -72.020427564,-68.427990564 -71.997718564,-68.3855635639999 -71.9620905639999,-68.3525095639999 -71.947236564,-68.321118564 -71.9355635639999,-68.281399564 -71.924181564,-68.212781564 -71.914172564,-68.189454564 -71.909999564,-68.161945563 -71.901536564,-68.1334725629999 -71.8799995639999,-68.130009563 -71.840290564,-68.107090563 -71.682927564,-68.086945563 -71.658063564,-68.0713995629999 -71.638336564,-68.0850185629999 -71.620981564,-68.141681563 -71.549454564,-68.224172564 -71.400290564,-68.239518564 -71.368190563,-68.228754564 -71.3337635629999,-68.1841725639999 -71.2636275629999,-68.2111185639999 -71.1427905629999,-68.216399564 -71.123336563,-68.230836564 -71.0763995629999,-68.2672275639999 -71.0277905629999,-68.301118564 -70.988063563,-68.312781564 -70.970281563,-68.305281564 -70.9283455629999,-68.293627564 -70.8694455629999,-68.3083365639999 -70.797499563,-68.324172564 -70.7841815629999,-68.363063564 -70.755845563,-68.374454564 -70.735699563,-68.3804275639999 -70.7119545629999,-68.380009564 -70.691818563,-68.374590564 -70.6643185629999,-68.469736564 -70.535427563,-68.549454564 -70.475572563,-68.599727564 -70.439727563,-68.620281564 -70.425563563,-68.6445905639999 -70.397709563,-68.646263564 -70.367927563,-68.635145564 -70.348763563,-68.668063564 -70.331118563,-68.7005635639999 -70.317499563,-68.725972564 -70.308899563,-68.7719545639999 -70.298336563,-68.807509564 -70.294445562,-68.837781564 -70.292927562,-68.881118564 -70.285281562,-69.018063564 -70.220836562,-69.055418564 -70.1926455619999,-69.0769545639999 -70.1577905619999,-69.068345564 -70.130972562,-69.064454564 -70.101118562,-69.076399564 -70.050290562,-69.0884815639999 -70.033336562,-69.111954564 -70.0158365619999,-69.168618564 -69.9820905619999,-69.2002905639999 -69.9638995619999,-69.222927564 -69.946681562,-69.310209565 -69.8154185619999,-69.311672565 -69.742509562,-69.324172565 -69.689999562,-69.337372565 -69.6548635619999,-69.365845565 -69.620009562,-69.5030635649999 -69.480281562,-69.570845565 -69.4350095619999,-69.591672565 -69.423899562,-69.616390565 -69.4058365619999,-69.640290565 -69.385836562,-69.6647365649999 -69.3638905619999,-69.6812635649999 -69.345836562,-69.700290565 -69.3219455619999,-69.728063565 -69.297363562,-69.7587545649999 -69.285709562,-69.822509565 -69.2822275619999,-69.870281565 -69.284581562,-69.936109565 -69.292236562,-69.996945565 -69.293627562,-70.030290565 -69.289463562,-70.0559725649999 -69.281254562,-70.086954565 -69.2597365619999,-70.069872565 -69.119863561,-70.011127565 -69.0641815609999,-70.0875095649999 -68.8997365609999,-70.164590565 -68.8455635609999,-70.3294545649999 -68.7952905609999,-70.396118566 -68.779445561,-70.435845566 -68.771527561,-70.479736566 -68.767790561,-70.516399566 -68.767790561,-70.596390566 -68.777509561,-70.656954566 -68.787781561,-70.699172566 -68.795009561,-70.7999995659999 -68.814999561,-70.855281566 -68.831681561,-70.891118566 -68.845281561,-70.936399566 -68.858899561,-70.956954566 -68.8627905609999,-70.995836566 -68.866672561,-71.034999566 -68.867236561,-71.0872365659999 -68.8619545609999,-71.138899566 -68.858899561,-71.167236566 -68.8602905609999,-71.416399567 -68.896390561,-71.437227567 -68.9000095609999,-71.580563567 -68.930554561,-71.601963567 -68.935563561,-71.8933365669999 -69.016681561,-72.036954567 -69.050845561,-72.073336567 -69.061399561,-72.094454567 -69.069872561,-72.2492455669999 -69.205699561,-72.231536567 -69.232372562,-72.1983455669999 -69.254999562,-72.136399567 -69.350836562,-72.147781567 -69.3736185619999,-72.138336567 -69.3915365619999,-72.111263567 -69.404872562,-72.050563567 -69.415009562,-71.998336567 -69.4197275619999,-71.9613995669999 -69.4244545619999,-71.935699567 -69.431809562,-71.9080635669999 -69.4441725619999,-71.8818095669999 -69.458618562,-71.8438995669999 -69.471390562,-71.808627567 -69.478899562,-71.7675095669999 -69.484872562,-71.737499567 -69.4866815619999,-71.704727567 -69.492509562,-71.664036567 -69.506954562,-71.6493725669999 -69.528263562,-71.688609567 -69.560290562,-71.7247275669999 -69.5783365619999,-71.7558455669999 -69.5952905619999,-71.7824995669999 -69.620009562,-71.785799567 -69.640272562,-71.762227567 -69.6572275619999,-71.7188995669999 -69.669445562,-71.6951455669999 -69.677790562,-71.6582635669999 -69.7028635619999,-71.624999567 -69.751681562,-71.622090567 -69.772372562,-71.6411095669999 -69.7969545619999,-71.667509567 -69.814999562,-71.6925095669999 -69.827227562,-71.730009567 -69.844454562,-71.767790567 -69.8616815619999,-71.7920905669999 -69.875836562,-71.8086185669999 -69.897645562,-71.814863567 -69.921672562,-71.815699567 -69.9744545619999,-71.7969545669999 -70.0191725619999,-71.7675095669999 -70.0583455619999,-71.745836567 -70.0766725619999,-71.716672567 -70.098618562,-71.6776545669999 -70.124172562,-71.622790567 -70.149445562,-71.5750095669999 -70.167509562,-71.5263995669999 -70.1811185619999,-71.473072567 -70.1933455619999,-71.4236185669999 -70.208890562,-71.402363566 -70.219036562,-71.394318566 -70.239872562,-71.4430725669999 -70.272781562,-71.4699995669999 -70.284181562,-71.527236567 -70.3069455629999,-71.582927567 -70.3262635629999,-71.6265455669999 -70.334036563,-71.684581567 -70.3352905629999,-71.733063567 -70.3288995629999,-71.767227567 -70.3230635629999,-71.7872275669999 -70.320845563,-71.808899567 -70.320009563,-71.835563567 -70.326527563,-71.8472275669999 -70.3491635629999,-71.841945567 -70.3761095629999,-71.860427567 -70.404309563,-71.892227567 -70.410845563,-71.933899567 -70.413072563,-72.0122185669999 -70.4113905629999,-72.068618567 -70.4091815629999,-72.107509567 -70.4077905629999,-72.2415275669999 -70.410145563,-72.275554567 -70.415281563,-72.329454567 -70.4300095629999,-72.369736567 -70.4483365629999,-72.388063567 -70.461118563,-72.406954567 -70.4787545629999,-72.467654567 -70.574318563,-72.4654275669999 -70.5952905629999,-72.427227567 -70.620563563,-72.370009567 -70.637509563,-72.335281567 -70.645572563,-72.2602815669999 -70.6569545629999,-71.875836567 -70.713345563,-71.832509567 -70.7152905629999,-71.706681567 -70.7013995629999,-71.642227567 -70.6986275629999,-71.585009567 -70.7005635629999,-71.513063567 -70.708072563,-71.3975095659999 -70.7261185629999,-71.306945566 -70.7427815629999,-71.144181566 -70.773899563,-71.0825095659999 -70.786945563,-71.0208455659999 -70.8033455629999,-70.9880635659999 -70.816118563,-70.958618566 -70.8305635629999,-70.9409815659999 -70.848481563,-70.941809566 -70.868618563,-70.950563566 -70.887790563,-70.942645566 -70.911536563,-70.9019455659999 -70.941390563,-70.866390566 -70.953609563,-70.833618566 -70.963054563,-70.813063566 -70.966399563,-70.7775095659999 -70.975281563,-70.743054566 -70.985563563,-70.694172566 -71.0115365629999,-70.653199566 -71.0404185629999,-70.617236566 -71.072509563,-70.584590566 -71.121127563,-70.5891725659999 -71.141118563,-70.608754566 -71.163063563,-70.6309815659999 -71.174727563,-70.662509566 -71.1827815629999,-70.701399566 -71.1822365629999,-70.759445566 -71.172499563,-70.852236566 -71.156109563,-70.930699566 -71.1363995629999,-70.9627815659999 -71.1177815629999,-70.9818455659999 -71.094872563,-70.9922275659999 -71.059318563,-71.011945566 -71.044590563,-71.057236566 -71.034999563,-71.116118566 -71.031109563,-71.177509566 -71.0277905629999,-71.235836566 -71.026127563,-71.2569545659999 -71.027236563,-71.2791725659999 -71.0297275629999,-71.310836566 -71.0411185629999,-71.3218815659999 -71.068263563,-71.3183455659999 -71.096672563,-71.336327566 -71.1232725629999,-71.3655635659999 -71.140009563,-71.418754567 -71.157372563,-71.453063567 -71.164172563,-71.496945567 -71.171109563,-71.543627567 -71.176681563,-71.628890567 -71.183627563,-71.650281567 -71.1847185629999,-71.724590567 -71.184318563,-71.791945567 -71.176954563,-71.847781567 -71.1677815629999,-71.882236567 -71.160845563,-71.954727567 -71.148345563,-71.987363567 -71.144581563,-72.0997275669999 -71.148899563,-72.140563567 -71.145281563,-72.1788905669999 -71.137790563,-72.210009567 -71.125563563,-72.263627567 -71.110290563,-72.350845567 -71.093336563,-72.410281567 -71.086945563,-72.453336567 -71.089172563,-72.5011095679999 -71.095836563,-72.521118568 -71.1011185629999,-72.551390568 -71.111390563,-72.575563568 -71.116390563,-72.600281568 -71.1194455629999,-72.640290568 -71.1177815629999,-72.694454568 -71.112227563,-72.714736568 -71.108899563,-72.7555725679999 -71.105009563,-72.8052815679999 -71.103763563,-72.926390568 -71.1158455629999,-72.973072568 -71.122790563,-73.000790568 -71.129999563,-73.157054568 -71.188781563,-73.069454568 -71.218063563,-73.0338905679999 -71.2261185629999,-72.962781568 -71.2402815629999,-72.886945568 -71.253345563,-72.830290568 -71.2616725629999,-72.688754568 -71.2822275629999,-72.621672568 -71.290281563,-72.4904185679999 -71.3092455629999,-72.451399567 -71.318072563,-72.422509567 -71.3327905629999,-72.4905725679999 -71.3708365639999,-72.5550095679999 -71.393618564,-72.706954568 -71.4361095639999,-72.745836568 -71.445845564,-72.771118568 -71.448899564,-72.836672568 -71.4519545639999,-72.865563568 -71.448481564,-72.9277815679999 -71.4297365639999,-72.958072568 -71.4194455639999,-72.9993095679999 -71.4044545639999,-73.075563568 -71.3799995639999,-73.132781568 -71.366118563,-73.176954568 -71.356399563,-73.2405725679999 -71.3472275629999,-73.2616725679999 -71.344999563,-73.359999568 -71.336118563,-73.4219545679999 -71.331954563,-73.481672568 -71.3305635629999,-73.521663568 -71.330845563,-73.566681569 -71.331954563,-73.591672569 -71.334736563,-73.645145569 -71.344036563,-73.6791725689999 -71.358063563,-73.694590569 -71.374027564,-73.673890569 -71.4519545639999,-73.663899569 -71.4705545639999,-73.6361275689999 -71.4852815639999,-73.594999569 -71.5005635639999,-73.5594455689999 -71.511945564,-73.526399568 -71.523899564,-73.5066725679999 -71.534172564,-73.455981568 -71.6159095639999,-73.475563568 -71.637372564,-73.529172568 -71.643345564,-73.559590569 -71.642645564,-73.610563569 -71.638336564,-73.666945569 -71.628618564,-73.705836569 -71.6208365639999,-73.8016725689999 -71.596536564,-73.834309569 -71.5745275639999,-73.8362545689999 -71.540699564,-73.8426545689999 -71.520427564,-73.865290569 -71.504727564,-73.904727569 -71.487499564,-73.9525185689999 -71.4727815639999,-74.0781545689999 -71.447390564,-74.136672569 -71.4358365639999,-74.195281569 -71.4297365639999,-74.301118569 -71.427227564,-74.343336569 -71.4297365639999,-74.389172569 -71.4341725639999,-74.414172569 -71.4388995639999,-74.438481569 -71.446536564,-74.4719545689999 -71.460281564,-74.499654569 -71.477154564,-74.509090569 -71.5099995639999,-74.439727569 -71.6255635639999,-74.4152815689999 -71.647781564,-74.396118569 -71.6633455639999,-74.4358365689999 -71.693072564,-74.5130635689999 -71.682781564,-74.555281569 -71.681945564,-74.5986185689999 -71.682509564,-74.66833657 -71.6888995639999,-74.69250957 -71.692227564,-74.72459057 -71.6905635639999,-74.7622275699999 -71.670290564,-74.79139957 -71.644181564,-74.8058365699999 -71.6256995639999,-74.8345635699999 -71.603427564,-74.89249957 -71.589172564,-74.96918157 -71.578336564,-75.01056357 -71.574172564,-75.05139057 -71.572236564,-75.09556357 -71.5736275639999,-75.1419545699999 -71.5777905639999,-75.18860957 -71.587236564,-75.23375457 -71.6059815639999,-75.25723657 -71.621945564,-75.28722757 -71.6463905639999,-75.4444545699999 -71.6883365639999,-75.46639957 -71.693072564),(-74.0530725689999 -73.3124995649999,-74.064181569 -73.325563565,-74.055845569 -73.343063565,-74.0411185689999 -73.3630635649999,-74.033063569 -73.369736565,-73.983609569 -73.403063565,-73.958618569 -73.4163995649999,-73.9363995689999 -73.4233365649999,-73.914463569 -73.428890565,-73.891109569 -73.424999565,-73.7858455689999 -73.3963905649999,-73.747509569 -73.383899565,-73.718336569 -73.3711275649999,-73.6586185689999 -73.339172565,-73.628618569 -73.320009565,-73.6033455689999 -73.3005635649999,-73.572236569 -73.2750095649999,-73.545836568 -73.249172565,-73.505427568 -73.200572565,-73.493618568 -73.179736565,-73.491672568 -73.1666725649999,-73.497190568 -73.156781565,-73.498899568 -73.153627565,-73.506954568 -73.146954565,-73.519727568 -73.140290565,-73.541672568 -73.136127565,-73.586672569 -73.135563565,-73.678345569 -73.144999565,-73.7011275689999 -73.1486185649999,-73.724454569 -73.153627565,-73.743345569 -73.159999565,-73.755899569 -73.169336565,-73.7768185689999 -73.2019545649999,-73.7883455689999 -73.218063565,-73.798336569 -73.224454565,-73.812790569 -73.2308365649999,-73.889172569 -73.256118565,-73.908336569 -73.262218565,-73.9322365689999 -73.2683455649999,-73.975009569 -73.280836565,-74.013336569 -73.293627565,-74.0427815689999 -73.306118565,-74.0530725689999 -73.3124995649999),(-72.935981568 -69.584309562,-72.945281568 -69.600845562,-72.9425095679999 -69.6111185619999,-72.7872275679999 -69.7013995619999,-72.760563568 -69.7161275619999,-72.745563568 -69.722781562,-72.728345568 -69.728899562,-72.637509568 -69.745836562,-72.584454568 -69.750836562,-72.525845568 -69.7555725619999,-72.489727568 -69.756390562,-72.415009567 -69.7575095619999,-72.355281567 -69.7575095619999,-72.3180725669999 -69.756954562,-72.2766725669999 -69.7555725619999,-72.2141725669999 -69.748336562,-72.150281567 -69.7383455619999,-72.096118567 -69.723072562,-72.0661185669999 -69.712236562,-72.0494545669999 -69.700563562,-72.0454275669999 -69.6900095619999,-72.0511905669999 -69.6794995619999,-72.0641815669999 -69.6722275619999,-72.079454567 -69.665845562,-72.112499567 -69.654445562,-72.161118567 -69.643345562,-72.2141725669999 -69.633345562,-72.230836567 -69.629454562,-72.261127567 -69.619736562,-72.276118567 -69.6133455619999,-72.306945567 -69.598072562,-72.3158455669999 -69.5913995619999,-72.330563567 -69.5697365619999,-72.3372365669999 -69.5558455619999,-72.346945567 -69.538345562,-72.360981567 -69.524590562,-72.381118567 -69.5141725619999,-72.414172567 -69.503063562,-72.4305545669999 -69.499172562,-72.465290567 -69.4936185619999,-72.483336568 -69.492236562,-72.520572568 -69.490572562,-72.5758365679999 -69.4908455619999,-72.6388995679999 -69.493899562,-72.677227568 -69.496945562,-72.7400095679999 -69.504999562,-72.806118568 -69.518618562,-72.841399568 -69.5283365619999,-72.8700095679999 -69.540009562,-72.902236568 -69.556945562,-72.9122275679999 -69.563336562,-72.935981568 -69.584309562),(-71.852645567 -79.4149365709999,-71.858336567 -79.459736571,-71.850981567 -79.509036571,-71.8286095669999 -79.5272365709999,-71.8016815669999 -79.5413995709999,-71.758618567 -79.563609571,-71.738063567 -79.570845571,-71.706390567 -79.578063571,-71.650845567 -79.590290571,-71.561954567 -79.6080635709999,-71.4683365669999 -79.622218571,-71.373063566 -79.635009571,-71.306945566 -79.641399571,-71.166118566 -79.6497365709999,-71.098072566 -79.6516725709999,-70.9455545659999 -79.6500095709999,-70.874999566 -79.649172571,-70.7947275659999 -79.646118571,-70.759172566 -79.643890571,-70.677781566 -79.636399571,-70.6313905659999 -79.630572571,-70.565563566 -79.6205635709999,-70.4500095659999 -79.597499571,-70.3819545659999 -79.578063571,-70.327227565 -79.5602905709999,-70.217790565 -79.5244455709999,-70.166118565 -79.505845571,-69.922227565 -79.409454571,-69.806681565 -79.357372571,-69.7775095649999 -79.3416725709999,-69.745281565 -79.323063571,-69.6486185649999 -79.273618571,-69.587236565 -79.242236571,-69.5586275649999 -79.2305635709999,-69.530290565 -79.219181571,-69.283063565 -79.121399571,-69.2511095639999 -79.109172571,-69.189727564 -79.090836571,-69.071945564 -79.055845571,-68.8650095639999 -78.995836571,-68.7669545639999 -78.973345571,-68.697236564 -78.9558455709999,-68.586672564 -78.925845571,-68.466127564 -78.890836571,-68.3855635639999 -78.86695457,-68.326672564 -78.8483455699999,-68.228618564 -78.81861857,-68.047499563 -78.7719545699999,-67.9697275629999 -78.75389057,-67.896954563 -78.73779057,-67.795290563 -78.71362757,-67.7222275629999 -78.69611857,-67.655836563 -78.67834557,-67.609999563 -78.66584557,-67.5716725629999 -78.65444557,-67.469999563 -78.61861857,-67.391681563 -78.58750957,-67.355836563 -78.5694545699999,-67.339736563 -78.55555457,-67.3254275629999 -78.53722757,-67.3172995629999 -78.50368157,-67.339736563 -78.46444557,-67.363618563 -78.4566815699999,-67.391109563 -78.44917257,-67.451954563 -78.4424995699999,-67.546109563 -78.4372275699999,-67.610290563 -78.43529057,-67.7422365629999 -78.43667257,-67.776118563 -78.43833657,-67.847499563 -78.4422275699999,-67.988890563 -78.4563905699999,-68.060836563 -78.46473657,-68.1261095629999 -78.4733455699999,-68.2002905639999 -78.4841725699999,-68.775009564 -78.56861857,-68.956681564 -78.59556357,-69.0530725639999 -78.61168157,-69.081681564 -78.61778157,-69.2702815649999 -78.65112757,-69.403063565 -78.67279057,-69.5044545649999 -78.68918157,-69.614454565 -78.70333657,-69.692509565 -78.71167257,-69.760836565 -78.71972757,-69.840290565 -78.7294455699999,-69.952227565 -78.74473657,-70.059172565 -78.76139957,-70.091127565 -78.7666815699999,-70.2461275649999 -78.7941725699999,-70.304172565 -78.80528157,-70.488618566 -78.84389957,-70.727781566 -78.894999571,-71.116390566 -78.984727571,-71.2075095659999 -79.008345571,-71.2516815659999 -79.0205725709999,-71.3122275659999 -79.037781571,-71.3727905659999 -79.055281571,-71.497790567 -79.096118571,-71.527790567 -79.107509571,-71.625836567 -79.151399571,-71.684445567 -79.181399571,-71.721118567 -79.2077815709999,-71.748609567 -79.231672571,-71.781954567 -79.264172571,-71.8037545669999 -79.302509571,-71.852645567 -79.4149365709999),(-69.2086185639999 -67.51972756,-69.228899564 -67.5413995599999,-69.172499564 -67.63833656,-69.149863564 -67.64459056,-69.106399564 -67.65306356,-69.071118564 -67.66555456,-69.049454564 -67.67834556,-69.031109564 -67.69111856,-69.0127905639999 -67.70389956,-68.9752815639999 -67.7358365599999,-68.946118564 -67.75180956,-68.903627564 -67.76610956,-68.871945564 -67.7708455599999,-68.787227564 -67.76056356,-68.6077815639999 -67.7494545599999,-68.573481564 -67.74889056,-68.5419455639999 -67.73917256,-68.4361095639999 -67.6755635599999,-68.407790564 -67.65556356,-68.384590564 -67.6273635599999,-68.380572564 -67.59639956,-68.396881564 -67.56743656,-68.339736564 -67.54111856,-68.2900095639999 -67.52833656,-68.2645905639999 -67.52736356,-68.229999564 -67.53181856,-68.168336563 -67.5483365599999,-68.1245995629999 -67.55597256,-68.090972563 -67.55265456,-68.0459815629999 -67.53361856,-67.947227563 -67.42250956,-67.971945563 -67.4025095599999,-68.0065365629999 -67.39737256,-68.0575095629999 -67.39639056,-68.109172563 -67.3909815599999,-68.147845563 -67.37243656,-68.137509563 -67.3283455599999,-68.108763563 -67.3159905599999,-67.967509563 -67.27473656,-67.806672563 -67.22334556,-67.750699563 -67.20319956,-67.693681563 -67.17431856,-67.676154563 -67.16080956,-67.674727563 -67.1542455599999,-67.843063563 -67.073627559,-67.915563563 -67.044590559,-67.921109563 -66.9922365589999,-67.918063563 -66.8944545589999,-67.9097275629999 -66.8455545589999,-67.886954563 -66.818899559,-67.8491635629999 -66.795290559,-67.8100095629999 -66.778899559,-67.762790563 -66.764309559,-67.681672563 -66.719999559,-67.664172563 -66.7066815589999,-67.598072563 -66.6400185589999,-67.588545563 -66.617154559,-67.6218095629999 -66.602918559,-67.6797365629999 -66.599163559,-67.712781563 -66.598618559,-67.753063563 -66.601399559,-67.8094455629999 -66.609727559,-67.840836563 -66.618345559,-67.880145563 -66.630845559,-67.9975095629999 -66.672227559,-68.028899563 -66.684718559,-68.066599563 -66.701336559,-68.154445563 -66.728899559,-68.1861095639999 -66.740009559,-68.2136185639999 -66.7627905589999,-68.236118564 -66.7883455589999,-68.274172564 -66.8149995589999,-68.308063564 -66.835281559,-68.370009564 -66.8688995589999,-68.418336564 -66.8963905589999,-68.449172564 -66.916399559,-68.529172564 -66.969999559,-68.578899564 -67.003345559,-68.597499564 -67.016399559,-68.625009564 -67.039727559,-68.655154564 -67.08583656,-68.6675095639999 -67.12555456,-68.674999564 -67.14861856,-68.690709564 -67.1748635599999,-68.7530635639999 -67.2544545599999,-68.768063564 -67.2709815599999,-68.7927815639999 -67.2941725599999,-68.808063564 -67.30750956,-68.833345564 -67.32722756,-68.855563564 -67.34056356,-68.881118564 -67.3538995599999,-68.961945564 -67.3941815599999,-68.994445564 -67.40749956,-69.019036564 -67.4163995599999,-69.049863564 -67.4297275599999,-69.180572564 -67.49827256,-69.2086185639999 -67.51972756),(-68.9730725639999 -72.448063565,-68.977090564 -72.457645565,-68.968899564 -72.468899565,-68.951399564 -72.4730725649999,-68.928890564 -72.476118565,-68.8861275639999 -72.478345565,-68.816118564 -72.474454565,-68.7927815639999 -72.471681565,-68.7227815639999 -72.459736565,-68.6636185639999 -72.443618564,-68.645009564 -72.437227564,-68.618618564 -72.424454564,-68.6007095639999 -72.4091815639999,-68.5961185639999 -72.3962545639999,-68.6008455639999 -72.3823635639999,-68.6238995639999 -72.371945564,-68.641109564 -72.368054564,-68.6625095639999 -72.366954564,-68.687499564 -72.3688995639999,-68.713345564 -72.372509564,-68.735563564 -72.377227564,-68.8525095639999 -72.403899564,-68.893618564 -72.4150095639999,-68.9399995639999 -72.431945564,-68.9547275639999 -72.4386095639999,-68.9730725639999 -72.448063565),(-67.7908455629999 -67.6688995599999,-67.8123725629999 -67.68584556,-67.762790563 -67.75361856,-67.741672563 -67.7794455599999,-67.718063563 -67.78861856,-67.699718563 -67.79472756,-67.646390563 -67.80528156,-67.611390563 -67.80833656,-67.5594455629999 -67.81110956,-67.507509563 -67.81000956,-67.495418563 -67.80879056,-67.443618563 -67.8005635599999,-67.410572563 -67.79194556,-67.377790563 -67.78222756,-67.296399563 -67.75418156,-67.282509563 -67.74389956,-67.2813905629999 -67.73084556,-67.208072563 -67.6880635599999,-67.159999563 -67.6686275599999,-67.143618563 -67.6641725599999,-67.111390563 -67.65167256,-67.0863995619999 -67.6331275599999,-67.2469455629999 -67.6016725599999,-67.421954563 -67.59695456,-67.438899563 -67.59722756,-67.523899563 -67.6005725599999,-67.591399563 -67.60722756,-67.624454563 -67.61334556,-67.707509563 -67.63057256,-67.7238905629999 -67.63500956,-67.7400095629999 -67.64195456,-67.7908455629999 -67.6688995599999),(-67.7847275629999 -67.2580545599999,-67.7934815629999 -67.2679185599999,-67.7611275629999 -67.28222756,-67.7433455629999 -67.28695456,-67.7263905629999 -67.2891725599999,-67.7091635629999 -67.29028156,-67.676390563 -67.28418156,-67.614181563 -67.2502905599999,-67.589445563 -67.23668156,-67.582509563 -67.2266725599999,-67.584445563 -67.21375456,-67.597781563 -67.2041815599999,-67.6150095629999 -67.20083656,-67.631954563 -67.19971856,-67.648345563 -67.20167256,-67.664463563 -67.2058455599999,-67.756390563 -67.2455635599999,-67.7847275629999 -67.2580545599999),(-67.5277905629999 -66.8550095589999,-67.539863563 -66.8729275589999,-67.523618563 -66.882236559,-67.504718563 -66.888499559,-67.474727563 -66.8966635589999,-67.458072563 -66.898899559,-67.425563563 -66.8941815589999,-67.3924995629999 -66.8936185589999,-67.312227563 -66.8980545589999,-67.296399563 -66.892499559,-67.287509563 -66.8855635589999,-67.219181563 -66.799181559,-67.212781563 -66.779727559,-67.2293185629999 -66.757236559,-67.244172563 -66.747790559,-67.272509563 -66.735563559,-67.378063563 -66.695281559,-67.395281563 -66.689181559,-67.4280725629999 -66.6899995589999,-67.4441725629999 -66.693072559,-67.4597275629999 -66.697236559,-67.4905725629999 -66.7111185589999,-67.5009725629999 -66.719618559,-67.5116725629999 -66.7441725589999,-67.5011095629999 -66.750290559,-67.484454563 -66.751109559,-67.4677905629999 -66.7508365589999,-67.446818563 -66.758754559,-67.443345563 -66.771672559,-67.461118563 -66.7950095589999,-67.480836563 -66.8149995589999,-67.5277905629999 -66.8550095589999),(-67.373899563 -67.82500956,-67.380981563 -67.83501856,-67.3672365629999 -67.84445456,-67.2608365629999 -67.9005545599999,-67.2425095629999 -67.90668156,-67.224727563 -67.90999956,-67.206954563 -67.91084556,-67.189727563 -67.9105725599999,-67.172790563 -67.90889056,-67.139727563 -67.9000095599999,-67.123336563 -67.89445456,-67.098072562 -67.88084556,-67.0768095619999 -67.8638995599999,-67.0658455619999 -67.84749956,-67.0683455619999 -67.83445456,-67.0763995619999 -67.82806356,-67.1422275629999 -67.80639956,-67.196118563 -67.7958365599999,-67.213054563 -67.7963995599999,-67.357227563 -67.82194556,-67.373899563 -67.82500956),(-67.098345562 -67.51333656,-67.2178545629999 -67.56603656,-67.197781563 -67.57889956,-67.180554563 -67.57972756,-67.163345563 -67.57945456,-67.1466635629999 -67.57779056,-67.103899562 -67.5869455599999,-67.096390562 -67.6005725599999,-67.063609562 -67.59445456,-67.0469545619999 -67.59139956,-67.030009562 -67.5897365599999,-66.996127562 -67.58862756,-66.978899562 -67.5897365599999,-66.9450095619999 -67.5875095599999,-66.9283455619999 -67.58445456,-66.853899562 -67.5433365599999,-66.849172562 -67.53333656,-66.867509562 -67.52667256,-67.065290562 -67.50834556,-67.081954562 -67.50889956,-67.098345562 -67.51333656),(-67.019181562 -80.115281572,-67.0305635619999 -80.156954572,-67.030145562 -80.205836572,-67.015018562 -80.233336572,-66.990572562 -80.246127572,-66.954999562 -80.2600095719999,-66.9119545619999 -80.2738995719999,-66.8430635619999 -80.295009572,-66.689454562 -80.3372365719999,-66.571118562 -80.365845572,-66.481399562 -80.386399572,-66.4477815619999 -80.393618572,-66.343609562 -80.411390572,-66.273054562 -80.4219545719999,-66.0700095619999 -80.4500095719999,-65.9577815609999 -80.463054572,-65.8038905609999 -80.478899572,-65.694454561 -80.4911185719999,-65.548890561 -80.5094455719999,-65.4033365609999 -80.521663572,-65.323627561 -80.5263995719999,-65.245563561 -80.527509572,-65.1269545609999 -80.526945572,-65.0908365609999 -80.525554572,-65.0452905609999 -80.521954572,-65.003063561 -80.517227572,-64.82860956 -80.4877905719999,-64.78695456 -80.476118572,-64.7288995599999 -80.463345572,-64.65972756 -80.451399572,-64.57945456 -80.440290572,-64.45695456 -80.4305545719999,-64.41694556 -80.4286185719999,-64.26112756 -80.428072572,-64.18084556 -80.4311185719999,-64.07278156 -80.4411185719999,-64.03584556 -80.4455545719999,-63.92694556 -80.462509572,-63.871118559 -80.476118572,-63.8263905589999 -80.489181572,-63.774863559 -80.5130725719999,-63.656672559 -80.563609572,-63.577781559 -80.5897365719999,-63.4955635589999 -80.6097275719999,-63.232227559 -80.671399572,-62.936672559 -80.731399572,-62.711109558 -80.7722365719999,-62.600009558 -80.788345572,-62.523054558 -80.798063572,-62.4408365579999 -80.805845572,-62.354445558 -80.813063572,-62.239727558 -80.821118572,-62.124727558 -80.827790572,-62.080836558 -80.829999572,-62.040836558 -80.831681572,-61.8438905579999 -80.8363995719999,-61.7630635579999 -80.8369455719999,-61.6325095569999 -80.833890572,-61.514454557 -80.830290572,-61.3055545569999 -80.819172572,-61.186109557 -80.808899572,-61.0991635569999 -80.798336572,-61.0322275569999 -80.785845572,-61.006954557 -80.779445572,-60.9855545569999 -80.7738995719999,-60.908618557 -80.748336572,-60.750836557 -80.690290572,-60.565836556 -80.611536572,-60.537509556 -80.594454572,-60.481118556 -80.556672572,-60.3522275559999 -80.466945572,-60.3112545559999 -80.415281572,-60.2883365559999 -80.3830545719999,-60.2700095559999 -80.3572275719999,-60.251672556 -80.331681572,-60.233609556 -80.305845572,-60.2199995559999 -80.285845572,-60.196672556 -80.242781572,-60.1951725559999 -80.227827572,-60.1997185559999 -80.163345572,-60.2116725559999 -80.021663572,-60.2206995559999 -79.983890572,-60.220554556 -79.963627572,-60.214727556 -79.905290571,-60.188609556 -79.866672571,-60.158618556 -79.822236571,-60.1486095559999 -79.795009571,-60.147645556 -79.763763571,-60.158054556 -79.736954571,-60.180145556 -79.7051455709999,-60.217227556 -79.678345571,-60.2413905559999 -79.666118571,-60.2833365559999 -79.653063571,-60.339727556 -79.640018571,-60.4455545559999 -79.623899571,-60.5166725559999 -79.617236571,-60.619999556 -79.6122275709999,-60.6950095569999 -79.6099995709999,-60.803063557 -79.611954571,-60.9113905569999 -79.616672571,-60.9844545569999 -79.623899571,-61.0577815569999 -79.632781571,-61.131954557 -79.643890571,-61.232781557 -79.663345571,-61.349445557 -79.6877905709999,-61.4186185569999 -79.706681571,-61.466118557 -79.725845571,-61.512781557 -79.7479275709999,-61.531390557 -79.757781571,-61.609999557 -79.815563571,-61.6802815569999 -79.8788905709999,-61.6961095569999 -79.898899571,-61.7197275569999 -79.9511185709999,-61.721945557 -79.990009572,-61.7147275569999 -80.0222365719999,-61.7297275569999 -80.0666815719999,-61.743618558 -80.092518572,-61.771809558 -80.114309572,-61.7894545579999 -80.1244545719999,-61.831254558 -80.140418572,-61.884445558 -80.156681572,-61.933336558 -80.169172572,-62.061390558 -80.194172572,-62.161945558 -80.2119455719999,-62.273899558 -80.2305635719999,-62.392781558 -80.245009572,-62.549999558 -80.258899572,-62.624454558 -80.264172572,-62.706118558 -80.267790572,-63.012218559 -80.278063572,-63.4819455589999 -80.2830635719999,-63.7061185589999 -80.286663572,-63.9761095599999 -80.289736572,-64.05307256 -80.290009572,-64.1666725599999 -80.286954572,-64.28029056 -80.284181572,-64.39889956 -80.2830635719999,-64.46806356 -80.2833365719999,-64.92834556 -80.275554572,-65.081681561 -80.268345572,-65.1919545609999 -80.2600095719999,-65.588618561 -80.226390572,-65.6994455609999 -80.2147365719999,-65.877227561 -80.194454572,-66.120009562 -80.164172572,-66.228054562 -80.1497365719999,-66.296672562 -80.139172572,-66.498899562 -80.103899572,-66.531681562 -80.096681572,-66.565563562 -80.090563572,-66.6341725619999 -80.081390572,-66.6697275619999 -80.078063572,-66.816390562 -80.072236572,-66.894454562 -80.075563572,-66.9305545619999 -80.078063572,-66.965009562 -80.083890572,-66.996399562 -80.092645572,-67.019181562 -80.115281572),(-66.740563562 -66.1144455589999,-66.802509562 -66.288618559,-66.8011185619999 -66.306118559,-66.793336562 -66.3124995589999,-66.779445562 -66.3172275589999,-66.763063562 -66.318072559,-66.7322275619999 -66.3105635589999,-66.716672562 -66.3063995589999,-66.701954562 -66.299454559,-66.605281562 -66.2455635589999,-66.593609562 -66.238890559,-66.582645562 -66.228618559,-66.5727815619999 -66.212236559,-66.565563562 -66.198899559,-66.561672562 -66.1858365589999,-66.5555545619999 -66.1069455589999,-66.5675095619999 -66.0941815589999,-66.575563562 -66.0880545589999,-66.589445562 -66.0819545589999,-66.605836562 -66.0797275589999,-66.621672562 -66.0816815589999,-66.714736562 -66.098618559,-66.729736562 -66.1044455589999,-66.740563562 -66.1144455589999),(-66.161254562 -65.829172558,-66.164463562 -65.851963558,-66.161118562 -65.868899558,-66.147227562 -65.874999558,-66.1302815619999 -65.879454558,-66.1138905619999 -65.8816725579999,-66.066681562 -65.879999558,-65.988618561 -65.8719455579999,-65.973072561 -65.870281558,-65.8663905609999 -65.848072558,-65.826954561 -65.838899558,-65.8276455609999 -65.7770905579999,-65.834163561 -65.7611275579999,-65.865009561 -65.736118558,-65.876109561 -65.7300095579999,-65.899863561 -65.706390558,-65.883899561 -65.692499558,-65.868345561 -65.690563558,-65.852781561 -65.689999558,-65.8038905609999 -65.696118558,-65.775281561 -65.697781558,-65.759172561 -65.6983365579999,-65.7122365609999 -65.6966725579999,-65.666945561 -65.687227558,-65.6522365609999 -65.681399558,-65.6384815609999 -65.672236558,-65.606672561 -65.6027815579999,-65.603618561 -65.589736558,-65.594454561 -65.5177905579999,-65.766954561 -65.504727558,-65.7977905609999 -65.505845558,-65.8436095609999 -65.5127905579999,-65.888899561 -65.520845558,-65.9183365609999 -65.5297275579999,-65.932781561 -65.535572558,-65.944172561 -65.5425095579999,-65.949727561 -65.5523725579999,-65.9438905609999 -65.588054558,-65.941263561 -65.623618558,-65.953063561 -65.6338995579999,-65.996127561 -65.6550185579999,-66.0330635609999 -65.675563558,-66.0552815619999 -65.689454558,-66.146663562 -65.799454558,-66.1536275619999 -65.812499558,-66.161254562 -65.829172558),(-64.85459056 -67.63056356,-64.88417256 -67.65972756,-64.82028156 -67.64279056,-64.7875095599999 -67.63639956,-64.7711185599999 -67.63444556,-64.75361856 -67.63500956,-64.73611856 -67.63694556,-64.72056356 -67.64279056,-64.70167256 -67.6483455599999,-64.6836275599999 -67.65167256,-64.63250956 -67.6494455599999,-64.56556356 -67.6441815599999,-64.5522275599999 -67.64222756,-64.54292756 -67.6320905599999,-64.55209056 -67.61291856,-64.56360956 -67.60361856,-64.58222756 -67.59778156,-64.60028156 -67.59445456,-64.6869545599999 -67.5916725599999,-64.7894635599999 -67.59333656,-64.84029056 -67.59529056,-64.85694556 -67.59722756,-64.87361856 -67.60499956,-64.85722756 -67.62083656,-64.85459056 -67.63056356),(-64.17959056 -64.5834725569999,-64.22056356 -64.673336557,-64.1899995599999 -64.718609557,-64.05473656 -64.754999557,-63.9211095599999 -64.772781557,-63.765281559 -64.7830635569999,-63.749454559 -64.7847275569999,-63.733336559 -64.787781557,-63.7163905589999 -64.793627557,-63.705281559 -64.7994545569999,-63.6552815589999 -64.834454557,-63.640009559 -64.833890557,-63.533890559 -64.7888905569999,-63.3108365589999 -64.756954557,-63.2961095589999 -64.754727557,-63.2827815589999 -64.748899557,-63.1899995589999 -64.703063557,-63.1769455589999 -64.695845557,-63.1280635589999 -64.666945557,-63.114581559 -64.656536557,-63.1066725589999 -64.642918557,-63.093336559 -64.6322365569999,-63.0797275589999 -64.626399557,-63.011118559 -64.613063557,-62.966663559 -64.609172557,-62.936390559 -64.607509557,-62.879445559 -64.596390557,-62.850563559 -64.5905635569999,-62.808890558 -64.5788995569999,-62.781109558 -64.570845557,-62.763754558 -64.563199557,-62.8388905589999 -64.504999557,-62.851954559 -64.501954557,-62.867499559 -64.501681557,-62.9586185589999 -64.500563557,-62.973063559 -64.502499557,-63.001109559 -64.5094455569999,-63.0558365589999 -64.5283365569999,-63.068890559 -64.535572557,-63.092363559 -64.553199557,-63.109999559 -64.560290557,-63.2016635589999 -64.5577815569999,-63.217509559 -64.5558455569999,-63.228054559 -64.5513905569999,-63.232363559 -64.5418185569999,-63.204172559 -64.5302905569999,-63.163063559 -64.5163995569999,-63.0763905589999 -64.473345557,-63.063609559 -64.4661275569999,-63.060418559 -64.4562635569999,-63.094445559 -64.396118557,-63.1108365589999 -64.387218557,-63.135390559 -64.390109557,-63.148227559 -64.392363557,-63.163309559 -64.399118557,-63.185281559 -64.4099995569999,-63.211399559 -64.423063557,-63.238618559 -64.433899557,-63.266672559 -64.440563557,-63.281390559 -64.441390557,-63.2966725589999 -64.441118557,-63.307090559 -64.431954557,-63.2994455589999 -64.421672557,-63.289454559 -64.414463557,-63.226954559 -64.373063557,-63.160809559 -64.344418557,-63.119999559 -64.3244455569999,-63.1000095589999 -64.310290557,-63.0913905589999 -64.300009557,-63.103336559 -64.281118557,-63.1205635589999 -64.273618557,-63.270836559 -64.2444455569999,-63.2852815589999 -64.245563557,-63.387509559 -64.2552815569999,-63.4166725589999 -64.258054557,-63.445836559 -64.261127557,-63.474163559 -64.2663995569999,-63.4883365589999 -64.2699995569999,-63.515836559 -64.2780635569999,-63.6052815589999 -64.311672557,-63.618618559 -64.322090557,-63.609999559 -64.357509557,-63.6119455589999 -64.370563557,-63.619999559 -64.3841725569999,-63.6272275589999 -64.3911095569999,-63.647227559 -64.4050185569999,-63.673054559 -64.419445557,-63.686390559 -64.425563557,-63.7005635589999 -64.4300095569999,-63.714727559 -64.432236557,-63.730836559 -64.429172557,-63.7416725589999 -64.423336557,-63.756954559 -64.422790557,-63.8008365589999 -64.4277815569999,-63.8297275589999 -64.4319455569999,-63.8577815589999 -64.438609557,-63.871945559 -64.4430725569999,-63.884036559 -64.453618557,-63.880281559 -64.466399557,-63.862781559 -64.475281557,-63.845836559 -64.480836557,-63.832781559 -64.490009557,-63.832081559 -64.502918557,-63.848890559 -64.513627557,-63.862227559 -64.519454557,-63.89000956 -64.528899557,-63.90416356 -64.5322275569999,-63.96249956 -64.540281557,-63.99195456 -64.543336557,-64.0069545599999 -64.543899557,-64.05111856 -64.5488905569999,-64.09472756 -64.5550095569999,-64.12389956 -64.560290557,-64.1522365599999 -64.566954557,-64.16584556 -64.572781557,-64.17959056 -64.5834725569999),(-63.5287545589999 -64.8270995569999,-63.554999559 -64.8930635569999,-63.541390559 -64.897509557,-63.508609559 -64.9036275569999,-63.415554559 -64.906399557,-63.324445559 -64.9119545569999,-63.321399559 -64.902509557,-63.295836559 -64.874999557,-63.210836559 -64.812790557,-63.184445559 -64.7994545569999,-63.144172559 -64.781399557,-63.131109559 -64.774172557,-63.108890559 -64.7566725569999,-63.104999559 -64.740009557,-63.115009559 -64.727509557,-63.128618559 -64.723072557,-63.158336559 -64.726118557,-63.172227559 -64.730836557,-63.195554559 -64.743899557,-63.205554559 -64.751109557,-63.257781559 -64.7802905569999,-63.2711185589999 -64.787509557,-63.2844455589999 -64.793336557,-63.300281559 -64.791672557,-63.333063559 -64.7844545569999,-63.379445559 -64.7830635569999,-63.409727559 -64.7847275569999,-63.453609559 -64.7911185569999,-63.482227559 -64.797790557,-63.496118559 -64.802509557,-63.509172559 -64.8097185569999,-63.519445559 -64.816954557,-63.5287545589999 -64.8270995569999),(-62.7194545579999 -63.0786095559999,-62.729163558 -63.089027556,-62.7194545579999 -63.096945556,-62.7047275579999 -63.097227556,-62.691390558 -63.0949995559999,-62.678063558 -63.091663556,-62.664727558 -63.088054556,-62.5986185579999 -63.069727556,-62.5724995579999 -63.0613905559999,-62.3769455579999 -62.9988905559999,-62.364727558 -62.9930545559999,-62.355563558 -62.985836556,-62.2836185579999 -62.915836556,-62.265009558 -62.894999556,-62.2608365579999 -62.884999556,-62.273336558 -62.877227556,-62.287227558 -62.878336556,-62.3144455579999 -62.8827815559999,-62.3966635579999 -62.898054556,-62.437227558 -62.9058365559999,-62.4769545579999 -62.916390556,-62.4894455579999 -62.921109556,-62.5013995579999 -62.928336556,-62.5124995579999 -62.9388905559999,-62.632781558 -63.029445556,-62.7194545579999 -63.0786095559999),(-62.6144455579999 -64.390018557,-62.7047275579999 -64.4661275569999,-62.673618558 -64.495836557,-62.548618558 -64.515563557,-62.503618558 -64.477236557,-62.493899558 -64.4702905569999,-62.4811185579999 -64.462781557,-62.4666635579999 -64.460554557,-62.4508365579999 -64.4680635569999,-62.446390558 -64.480981557,-62.428063558 -64.485563557,-62.413609558 -64.483336557,-62.3997275579999 -64.480009557,-62.3716725579999 -64.473072557,-62.3577815579999 -64.4694545569999,-62.299999558 -64.4344455569999,-62.2194545579999 -64.3783455569999,-62.151672558 -64.3305635569999,-62.019445558 -64.234172557,-62.012645558 -64.223899557,-62.014309558 -64.211118557,-62.060281558 -64.161118557,-62.097781558 -64.123063557,-62.2352815579999 -64.035572557,-62.246390558 -64.0297275569999,-62.262218558 -64.026672557,-62.277781558 -64.025009557,-62.308063558 -64.023345557,-62.368618558 -64.020572557,-62.3838995579999 -64.020281557,-62.398336558 -64.021118557,-62.412227558 -64.024736557,-62.480563558 -64.043336557,-62.490563558 -64.0491815569999,-62.4852815579999 -64.1180545569999,-62.458890558 -64.188336557,-62.4234815579999 -64.208890557,-62.423336558 -64.231945557,-62.428890558 -64.241954557,-62.4441725579999 -64.2591725569999,-62.456672558 -64.266681557,-62.5147275579999 -64.3094455569999,-62.6144455579999 -64.390018557),(-62.395281558 -69.200427561,-62.400281558 -69.2163995609999,-62.400145558 -69.226672562,-62.381954558 -69.2761275619999,-62.368054558 -69.2952905619999,-62.3488905579999 -69.314999562,-62.339172558 -69.323063562,-62.2838905579999 -69.350281562,-62.2377815579999 -69.376681562,-62.226109558 -69.383899562,-62.2091635579999 -69.396118562,-62.194454558 -69.4099995619999,-62.190563558 -69.422499562,-62.1499995579999 -69.5536185619999,-62.1456995579999 -69.570418562,-62.1472275579999 -69.5863995619999,-62.159999558 -69.6095905619999,-62.173618558 -69.639454562,-62.1777815579999 -69.655009562,-62.170836558 -69.673336562,-62.159999558 -69.687227562,-62.143054558 -69.700563562,-62.114727558 -69.714172562,-62.0963905579999 -69.7183365619999,-62.078054558 -69.721390562,-62.061390558 -69.7222275619999,-62.042227558 -69.7199995619999,-62.022781558 -69.715009562,-62.006954558 -69.708890562,-61.9927815579999 -69.701954562,-61.9825095579999 -69.696118562,-61.9745905579999 -69.686809562,-61.967781558 -69.6702905619999,-61.853336558 -69.5552815619999,-61.738336557 -69.500836562,-61.7263905569999 -69.494736562,-61.718054557 -69.4883455619999,-61.714172557 -69.471945562,-61.7269545569999 -69.456118562,-61.8486185579999 -69.3452905619999,-61.9663905579999 -69.271118562,-62.0413905579999 -69.198063561,-62.061390558 -69.1722275609999,-62.0797275579999 -69.1583365609999,-62.116390558 -69.1313905609999,-62.131954558 -69.125290561,-62.167227558 -69.114181561,-62.2005635579999 -69.105281561,-62.220281558 -69.101672561,-62.254445558 -69.097781561,-62.2927815579999 -69.097781561,-62.311390558 -69.101118561,-62.3272275579999 -69.107509561,-62.335554558 -69.1138905609999,-62.395281558 -69.200427561),(-62.253890558 -63.246945556,-62.262090558 -63.257227556,-62.244999558 -63.318063556,-62.237499558 -63.335281556,-62.1541635579999 -63.324172556,-61.9852815579999 -63.307499556,-61.9711185579999 -63.306672556,-61.9580635579999 -63.303063556,-61.9455635579999 -63.2923635559999,-61.944445558 -63.2784725559999,-61.954590558 -63.266254556,-61.969172558 -63.2575095559999,-62.025281558 -63.228618556,-62.0388905579999 -63.2230635559999,-62.054727558 -63.218890556,-62.069727558 -63.217509556,-62.1966725579999 -63.210554556,-62.210554558 -63.2113995559999,-62.238336558 -63.232781556,-62.253890558 -63.246945556),(-61.9408365579999 -64.019727557,-61.9666635579999 -64.082227557,-61.955554558 -64.088054557,-61.9408365579999 -64.086945557,-61.926672558 -64.084736557,-61.8999995579999 -64.0763995569999,-61.887218558 -64.070281557,-61.849727558 -64.0494545569999,-61.825281558 -64.0347275569999,-61.803336558 -64.020281557,-61.787509558 -64.006118557,-61.768336558 -63.984999557,-61.770972558 -63.969581557,-61.789999558 -63.9655635569999,-61.804727558 -63.9666635569999,-61.887509558 -63.985281557,-61.901118558 -63.9888905569999,-61.9138905579999 -63.994999557,-61.932499558 -64.0094455569999,-61.9408365579999 -64.019727557),(-61.523054557 -69.9536095619999,-61.5280635569999 -69.965290562,-61.5247275569999 -69.975981562,-61.511390557 -69.9863905619999,-61.4738905569999 -70.006954562,-61.4441725569999 -70.0138995619999,-61.406109557 -70.0158365619999,-61.384999557 -70.015290562,-61.365563557 -70.0116725619999,-61.345836557 -70.0055725619999,-61.308890557 -69.979736562,-61.294172557 -69.967518562,-61.289572557 -69.962709562,-61.287509557 -69.960554562,-61.2863905569999 -69.9475095619999,-61.292499557 -69.934172562,-61.3013905569999 -69.9269545619999,-61.313899557 -69.921109562,-61.332509557 -69.915554562,-61.352781557 -69.910845562,-61.390554557 -69.908890562,-61.407781557 -69.909454562,-61.4288905569999 -69.912509562,-61.466118557 -69.921672562,-61.481945557 -69.928072562,-61.5041725569999 -69.939999562,-61.523054557 -69.9536095619999),(-61.476945557 -62.751109555,-61.477499557 -62.766945555,-61.472781557 -62.7800095549999,-61.462781557 -62.7930635559999,-61.454727557 -62.799445556,-61.441390557 -62.806399556,-61.4138905569999 -62.814445556,-61.387218557 -62.815563556,-61.358609557 -62.813609556,-61.3286095569999 -62.806945556,-61.299445557 -62.7969545559999,-61.2066725569999 -62.7611185549999,-61.150554557 -62.708618555,-61.1644545569999 -62.7069455549999,-61.1925095569999 -62.703899555,-61.262218557 -62.696399555,-61.276118557 -62.696109555,-61.290554557 -62.6986185549999,-61.4508365569999 -62.7358365549999,-61.4655635569999 -62.741954555,-61.476945557 -62.751109555),(-61.154445557 -62.5619545549999,-61.169445557 -62.571536555,-61.150281557 -62.6516725549999,-61.1063905569999 -62.654727555,-61.091945557 -62.6550095549999,-61.063609557 -62.650836555,-61.022227557 -62.6475095549999,-60.979999557 -62.6469455549999,-60.951118557 -62.647227555,-60.9069545569999 -62.6516725549999,-60.8308365569999 -62.665281555,-60.815563557 -62.667781555,-60.800836557 -62.6691725549999,-60.786945557 -62.6680635549999,-60.7733365569999 -62.6658365549999,-60.748336557 -62.657227555,-60.7363905569999 -62.651118555,-60.713618557 -62.6361185549999,-60.704999557 -62.6288905549999,-60.693063557 -62.622781555,-60.6805545569999 -62.619172555,-60.666945557 -62.616672555,-60.6400095559999 -62.6130635549999,-60.6124995559999 -62.6108365549999,-60.373609556 -62.6108365549999,-60.3594545559999 -62.6108365549999,-60.343890556 -62.613618555,-60.330554556 -62.618899555,-60.3484725559999 -62.6493095549999,-60.3875095559999 -62.669445555,-60.3986095559999 -62.676945555,-60.402090556 -62.6870905549999,-60.3941725559999 -62.696399555,-60.312227556 -62.751109555,-60.298618556 -62.7563905549999,-60.282781556 -62.7602815549999,-60.2677815559999 -62.761672555,-60.254172556 -62.760563555,-60.240836556 -62.7580545549999,-60.061109556 -62.707499555,-59.997218556 -62.688899555,-59.849163556 -62.632781555,-59.8369455559999 -62.627781555,-59.8252815559999 -62.6213905549999,-59.818199556 -62.610981555,-59.834163556 -62.6066725549999,-59.8777815559999 -62.6049995549999,-59.918890556 -62.608609555,-59.958618556 -62.616109555,-59.9733365559999 -62.6147275549999,-59.989172556 -62.6108365549999,-60.053609556 -62.578336555,-60.064445556 -62.569445555,-60.0654185559999 -62.556536555,-60.029163556 -62.5344455549999,-60.014999556 -62.523336555,-60.018754556 -62.510699555,-60.076390556 -62.473063555,-60.089999556 -62.4675095549999,-60.117781556 -62.462227555,-60.132227556 -62.460836555,-60.1450095559999 -62.4644455549999,-60.161945556 -62.4791725549999,-60.184718556 -62.492781555,-60.1969455559999 -62.497781555,-60.271118556 -62.524999555,-60.296672556 -62.532499555,-60.323618556 -62.536118555,-60.4886185559999 -62.5530635549999,-60.502499556 -62.554172555,-60.5166725559999 -62.553890555,-60.546109556 -62.551118555,-60.561672556 -62.5472275549999,-60.6352815559999 -62.525836555,-60.6486095559999 -62.5202815549999,-60.659445556 -62.514727555,-60.668472557 -62.505699555,-60.677227557 -62.490009555,-60.687499557 -62.477781555,-60.771118557 -62.451954555,-60.7866635569999 -62.4477815549999,-60.7988905569999 -62.4527815549999,-60.8062545569999 -62.463199555,-60.812227557 -62.4997275549999,-60.814727557 -62.5455635549999,-60.823618557 -62.552781555,-60.835554557 -62.557781555,-60.9469455569999 -62.601954555,-60.960554557 -62.602781555,-60.975563557 -62.601390555,-61.036945557 -62.5894455549999,-61.068063557 -62.581390555,-61.110281557 -62.5663905549999,-61.126109557 -62.5622275549999,-61.1408365569999 -62.560836555,-61.154445557 -62.5619545549999),(-61.151118557 -70.553199563,-61.159172557 -70.5758365629999,-61.151809557 -70.598899563,-61.137781557 -70.614727563,-61.128336557 -70.6219455629999,-61.1136185569999 -70.628618563,-61.096390557 -70.6358365629999,-61.075563557 -70.641954563,-61.036945557 -70.650281563,-60.995836557 -70.6552905629999,-60.956945557 -70.6594545629999,-60.917781557 -70.662509563,-60.8408365569999 -70.662781563,-60.819454557 -70.662227563,-60.8140635569999 -70.661327563,-60.7791635569999 -70.6547275629999,-60.740836557 -70.645281563,-60.704727557 -70.632509563,-60.6561095559999 -70.6133455629999,-60.645563556 -70.606399563,-60.6286185559999 -70.590709563,-60.6204185559999 -70.571681563,-60.631390556 -70.548336563,-60.642227556 -70.535281563,-60.6608365559999 -70.521954563,-60.7038995569999 -70.496127563,-60.735836557 -70.482227563,-60.7550095569999 -70.476963563,-60.793336557 -70.469999563,-60.810836557 -70.4677905629999,-60.8519545569999 -70.466945563,-60.908336557 -70.468336563,-60.9694545569999 -70.474727563,-61.0091725569999 -70.482227563,-61.049445557 -70.4922365629999,-61.069454557 -70.4986095629999,-61.095836557 -70.5105635629999,-61.108336557 -70.516954563,-61.1358365569999 -70.5369545629999,-61.151118557 -70.553199563),(-61.063054557 -68.667781561,-61.0816725569999 -68.6794545609999,-61.0790365569999 -68.689736561,-61.0586185569999 -68.700290561,-60.934172557 -68.736390561,-60.8811095569999 -68.746127561,-60.861672557 -68.7494545609999,-60.8097185569999 -68.754454561,-60.770281557 -68.7563905609999,-60.7363905569999 -68.757236561,-60.718054557 -68.754727561,-60.698063557 -68.749172561,-60.688263557 -68.738409561,-60.6994455569999 -68.719872561,-60.723336557 -68.703336561,-60.745836557 -68.690563561,-60.765709557 -68.681736561,-60.794445557 -68.6705635609999,-60.811954557 -68.665281561,-60.829727557 -68.661118561,-60.8663905569999 -68.653627561,-60.8983365569999 -68.650845561,-60.990009557 -68.653063561,-61.044445557 -68.661390561,-61.063054557 -68.667781561),(-60.955418557 -70.935290563,-60.9574995569999 -70.948618563,-60.9469455569999 -70.964445563,-60.912781557 -70.984454563,-60.8800095569999 -70.998336563,-60.841118557 -71.0116725629999,-60.783618557 -71.023345563,-60.742227557 -71.030836563,-60.549445556 -71.058063563,-60.535527556 -71.056354563,-60.529163556 -71.055554563,-60.5161095559999 -71.039863563,-60.508899556 -71.023618563,-60.5094455559999 -71.003345563,-60.5191725559999 -70.970836563,-60.529727556 -70.9511275629999,-60.555836556 -70.924727563,-60.563609556 -70.918063563,-60.580554556 -70.905563563,-60.593890556 -70.898345563,-60.624727556 -70.885009563,-60.664172556 -70.876954563,-60.701663557 -70.8719455629999,-60.743336557 -70.871127563,-60.781072557 -70.872499563,-60.8233365569999 -70.875563563,-60.8841725569999 -70.8866725629999,-60.9024995569999 -70.893618563,-60.925836557 -70.905836563,-60.944727557 -70.919445563,-60.955418557 -70.935290563),(-60.790281557 -63.721672556,-60.886118557 -63.802509556,-60.865836557 -63.838890556,-60.857781557 -63.851390556,-60.834163557 -63.866672557,-60.8216725569999 -63.868336557,-60.738336557 -63.868336557,-60.658054556 -63.830836556,-60.659445556 -63.7791725559999,-60.661390556 -63.7627815559999,-60.651954556 -63.745699556,-60.5775095559999 -63.684172556,-60.565563556 -63.676672556,-60.552781556 -63.671672556,-60.540554556 -63.665554556,-60.530145556 -63.654863556,-60.544445556 -63.6486095559999,-60.723336557 -63.6444455559999,-60.764163557 -63.6605635559999,-60.790281557 -63.721672556),(-60.746436557 -62.9285545559999,-60.7484095569999 -62.943045556,-60.742481557 -62.9739905559999,-60.7316185569999 -62.981899556,-60.710872557 -62.988809556,-60.6351455559999 -63.003627556,-60.597945556 -63.007572556,-60.579999556 -63.0080545559999,-60.5672185559999 -63.0036185559999,-60.5623815559999 -62.993254556,-60.574890556 -62.984199556,-60.604172556 -62.979445556,-60.631954556 -62.9686095559999,-60.6416725559999 -62.962781556,-60.648054556 -62.949172556,-60.650281556 -62.9363905559999,-60.642918556 -62.920554556,-60.627499556 -62.911390556,-60.611945556 -62.9083365559999,-60.596118556 -62.909172556,-60.5825095559999 -62.914454556,-60.570836556 -62.9238905559999,-60.548227556 -62.953581556,-60.5353815559999 -62.962136556,-60.513327556 -62.971363556,-60.500481556 -62.974654556,-60.4846815559999 -62.971363556,-60.466236556 -62.952918556,-60.462945556 -62.9321815559999,-60.4636095559999 -62.9157185559999,-60.471836556 -62.900899556,-60.4879725559999 -62.890363556,-60.502790556 -62.885090556,-60.527154556 -62.879499556,-60.558763556 -62.878509556,-60.590036556 -62.877845556,-60.617363556 -62.879172556,-60.649299556 -62.8831185559999,-60.6782815569999 -62.889699556,-60.711863557 -62.902545556,-60.734909557 -62.916699556,-60.746436557 -62.9285545559999),(-60.488063556 -72.1866725639999,-60.501945556 -72.199718564,-60.499863556 -72.216399564,-60.4872275559999 -72.2325095639999,-60.476954556 -72.239727564,-60.4525095559999 -72.2530635639999,-60.424445556 -72.256390564,-60.381954556 -72.259172564,-60.360554556 -72.259445564,-60.3369455559999 -72.257509564,-60.328281556 -72.255536564,-60.3151455559999 -72.249872564,-60.315563556 -72.220563564,-60.323063556 -72.207499564,-60.3436095559999 -72.194172564,-60.364445556 -72.187499564,-60.385563556 -72.1822365639999,-60.408618556 -72.178890564,-60.425836556 -72.178618564,-60.451118556 -72.178618564,-60.472781556 -72.180845564,-60.488063556 -72.1866725639999),(-59.9708365559999 -62.443609555,-59.979309556 -62.454172555,-59.966390556 -62.482509555,-59.906954556 -62.516672555,-59.886390556 -62.5252815549999,-59.8711185559999 -62.5277815549999,-59.7224995559999 -62.5499995549999,-59.6794545559999 -62.5580635549999,-59.665554556 -62.556945555,-59.639454556 -62.551945555,-59.6138905559999 -62.544445555,-59.562781555 -62.524172555,-59.548054555 -62.515563555,-59.542363555 -62.501945555,-59.553336555 -62.486390555,-59.566945555 -62.481118555,-59.716945556 -62.440836555,-59.732781556 -62.4369545549999,-59.747509556 -62.435563555,-59.930836556 -62.437499555,-59.9583365559999 -62.4397275549999,-59.9708365559999 -62.443609555),(-59.806672556 -65.093609558,-59.8130545559999 -65.107227558,-59.810009556 -65.120281558,-59.805972556 -65.129590558,-59.7908365559999 -65.152236558,-59.779163556 -65.164463558,-59.7700095559999 -65.170290558,-59.7247275559999 -65.1863995579999,-59.534999555 -65.250290558,-59.4949995549999 -65.258054558,-59.4619455549999 -65.2608365579999,-59.436109555 -65.255845558,-59.4224995549999 -65.2508365579999,-59.409727555 -65.2444455579999,-59.400554555 -65.237227558,-59.395972555 -65.2268185579999,-59.4066725549999 -65.2177905579999,-59.421672555 -65.205845558,-59.436672555 -65.193890558,-59.496945555 -65.139454558,-59.5150095549999 -65.121127558,-59.521118555 -65.1150095579999,-59.533054555 -65.109454558,-59.567781555 -65.101672558,-59.6180545559999 -65.095290558,-59.7488905559999 -65.0822275579999,-59.7652815559999 -65.080845558,-59.780554556 -65.0822275579999,-59.794445556 -65.085845558,-59.806672556 -65.093609558),(-59.654163556 -62.347227555,-59.678336556 -62.363890555,-59.673618556 -62.375281555,-59.5619545549999 -62.4322275549999,-59.491672555 -62.457227555,-59.4766725549999 -62.459727555,-59.439172555 -62.447227555,-59.413063555 -62.442218555,-59.371118555 -62.440836555,-59.343890555 -62.438336555,-59.335554555 -62.431118555,-59.3275095549999 -62.410563555,-59.3247185549999 -62.397227555,-59.3247185549999 -62.377499555,-59.331527555 -62.368472555,-59.531390555 -62.316672555,-59.546109555 -62.315281555,-59.560281555 -62.315281555,-59.5997275559999 -62.3227815549999,-59.611945556 -62.3263905549999,-59.654163556 -62.347227555),(-59.1944545549999 -62.273609555,-59.208890555 -62.288754555,-59.200563555 -62.297781555,-59.1872275549999 -62.3030635549999,-59.096118555 -62.336672555,-59.079727555 -62.341663555,-59.034727555 -62.347781555,-58.9924995549999 -62.347781555,-58.941945555 -62.333618555,-58.889454555 -62.3247185549999,-58.861672555 -62.323336555,-58.848618555 -62.320836555,-58.836109555 -62.316945555,-58.824172555 -62.3119545549999,-58.8170185549999 -62.299654555,-58.8302815549999 -62.279727555,-58.8466725549999 -62.2680545549999,-58.876109555 -62.259172555,-58.9988905549999 -62.236672555,-59.040554555 -62.2380635549999,-59.054172555 -62.239445555,-59.080836555 -62.243054555,-59.132509555 -62.253336555,-59.1583365549999 -62.259727555,-59.1705635549999 -62.2636185549999,-59.1944545549999 -62.273609555),(-58.983609555 -62.2011185549999,-58.986390555 -62.211109555,-58.972781555 -62.219727555,-58.9444545549999 -62.219727555,-58.843890555 -62.2244455549999,-58.6405545549999 -62.242781555,-58.583618555 -62.250281555,-58.557781555 -62.2449995549999,-58.4833365539999 -62.2283365549999,-58.458336554 -62.2219455549999,-58.445836554 -62.218054555,-58.434172554 -62.213054555,-58.423618554 -62.2052815549999,-58.406536554 -62.1870905549999,-58.409863554 -62.167645555,-58.424999554 -62.1527815549999,-58.4405635539999 -62.1502815549999,-58.454445554 -62.150554555,-58.4677815539999 -62.1519455549999,-58.480836554 -62.1544455549999,-58.493054554 -62.1583365549999,-58.5188905539999 -62.1636095549999,-58.5458365549999 -62.166118555,-58.561109555 -62.163890555,-58.5694545549999 -62.158054555,-58.566809555 -62.1479185549999,-58.553609555 -62.136672555,-58.411390554 -62.060563555,-58.399727554 -62.055554555,-58.386118554 -62.054172555,-58.372218554 -62.054172555,-58.357227554 -62.056399555,-58.341390554 -62.060009555,-58.299445554 -62.071672555,-58.286390554 -62.075563555,-58.271463554 -62.0852095549999,-58.285563554 -62.095281555,-58.2991725539999 -62.0966725549999,-58.313609554 -62.095554555,-58.327781554 -62.095554555,-58.341390554 -62.0969455549999,-58.353890554 -62.0994455549999,-58.367090554 -62.1106995549999,-58.369445554 -62.127499555,-58.352499554 -62.145563555,-58.3305545539999 -62.156390555,-58.316945554 -62.161663555,-58.3036095539999 -62.165554555,-58.257509554 -62.173890555,-58.243054554 -62.1749995549999,-58.228890554 -62.1749995549999,-58.2030545539999 -62.169727555,-58.191390554 -62.164727555,-58.144727554 -62.143890555,-58.134172554 -62.112781555,-58.130009554 -62.079172555,-58.122218554 -62.071945555,-58.110554554 -62.066672555,-58.0838905539999 -62.063899555,-58.039454554 -62.068609555,-58.024445554 -62.071109555,-57.9949995539999 -62.073336555,-57.9669455539999 -62.0727815549999,-57.926390554 -62.070009555,-57.914727554 -62.0647275549999,-57.748609554 -62.001109555,-57.7358365539999 -61.998336555,-57.704727554 -62.004445555,-57.688609554 -62.009172555,-57.672499554 -62.0127815549999,-57.628890554 -62.015836555,-57.6041725539999 -62.014727555,-57.589172554 -62.008336555,-57.621945554 -61.909727555,-57.627781554 -61.900418555,-57.647509554 -61.8861185549999,-57.658336554 -61.880563555,-57.672499554 -61.880836555,-57.735554554 -61.9061095549999,-57.746945554 -61.911390555,-57.758054554 -61.917781555,-57.768336554 -61.925281555,-57.779727554 -61.930554555,-57.7919455539999 -61.934445555,-57.804727554 -61.9372275549999,-57.832509554 -61.937499555,-57.847227554 -61.9363905549999,-57.8616725539999 -61.935281555,-57.891945554 -61.930554555,-57.924445554 -61.9208365549999,-57.9519545539999 -61.910563555,-57.9675095539999 -61.906954555,-57.9819455539999 -61.905836555,-58.008609554 -61.908618555,-58.0211185539999 -61.911390555,-58.045563554 -61.9191725549999,-58.070554554 -61.9255635549999,-58.108890554 -61.933618555,-58.2261095539999 -61.952227555,-58.254445554 -61.9513905549999,-58.284727554 -61.946399555,-58.315836554 -61.939172555,-58.3608365539999 -61.9330635549999,-58.387509554 -61.935836555,-58.4002815539999 -61.938609555,-58.424445554 -61.946109555,-58.459445554 -61.961672555,-58.4833365539999 -61.970554555,-58.567509555 -62.001399555,-58.581390555 -62.001399555,-58.611672555 -61.996672555,-58.638336555 -61.999172555,-58.6502815549999 -62.004445555,-58.7752815549999 -62.072499555,-58.921672555 -62.153618555,-58.970281555 -62.189999555,-58.983609555 -62.2011185549999),(-58.426945554 -64.0733365569999,-58.4324995539999 -64.087236557,-58.4286095539999 -64.1133455569999,-58.422509554 -64.120318557,-58.328899554 -64.124999557,-58.1930635539999 -64.093609557,-58.180554554 -64.088345557,-58.167227554 -64.084454557,-58.1536185539999 -64.081681557,-58.105418554 -64.077790557,-58.0838905539999 -64.083345557,-58.062781554 -64.099445557,-58.056390554 -64.112236557,-58.091663554 -64.228054557,-58.1652815539999 -64.2780635569999,-58.204999554 -64.289736557,-58.2169455539999 -64.296399557,-58.2341725539999 -64.311109557,-58.239581554 -64.321681557,-58.233199554 -64.334172557,-58.221118554 -64.3430635569999,-58.191118554 -64.359999557,-58.176790554 -64.3651455569999,-58.158890554 -64.368899557,-58.0886185539999 -64.380845557,-58.0024995539999 -64.414172557,-57.9941725539999 -64.427227557,-57.982227554 -64.4327815569999,-57.955836554 -64.442227557,-57.9286095539999 -64.4441725569999,-57.9127815539999 -64.445281557,-57.898609554 -64.4427815569999,-57.789727554 -64.4161185569999,-57.763063554 -64.408336557,-57.7102815539999 -64.392499557,-57.5352815539999 -64.374999557,-57.489445554 -64.374454557,-57.473618554 -64.375563557,-57.456945554 -64.377790557,-57.422499553 -64.3850095569999,-57.386390553 -64.394727557,-57.3691725529999 -64.398345557,-57.337781553 -64.399172557,-57.296390553 -64.3908365569999,-57.270009553 -64.382781557,-57.257509553 -64.377499557,-57.248063553 -64.3725095569999,-57.239727553 -64.365009557,-57.2434725529999 -64.355563557,-57.265009553 -64.3411275569999,-57.2830545529999 -64.3363995569999,-57.316945553 -64.3305635569999,-57.331672553 -64.325290557,-57.344309553 -64.3166725569999,-57.3486185529999 -64.297236557,-57.271118553 -64.2566725569999,-57.2588995529999 -64.251399557,-57.233063553 -64.242236557,-57.219999553 -64.2383455569999,-57.164727553 -64.227236557,-57.150281553 -64.225845557,-57.1241725529999 -64.2177905569999,-57.061390553 -64.190563557,-57.041390553 -64.1800095569999,-57.033336553 -64.172499557,-57.034172553 -64.159181557,-57.140836553 -64.081118557,-57.149999553 -64.075563557,-57.1669455529999 -64.0719455569999,-57.261672553 -64.053890557,-57.310281553 -64.048336557,-57.354727553 -64.050290557,-57.369999553 -64.050290557,-57.4013905529999 -64.048336557,-57.432499553 -64.040845557,-57.4474995539999 -64.035845557,-57.459445554 -64.0302905569999,-57.480554554 -64.0159725569999,-57.487090554 -63.998063557,-57.4858365539999 -63.951527557,-57.4627815539999 -63.932499557,-57.453472554 -63.9215275569999,-57.463336554 -63.914172557,-57.478336554 -63.914172557,-57.491390554 -63.918336557,-57.528336554 -63.933890557,-57.685281554 -64.0094455569999,-57.696399554 -64.017227557,-57.7015275539999 -64.027645557,-57.689445554 -64.0363905569999,-57.671954554 -64.0411185569999,-57.653899554 -64.0493185569999,-57.653063554 -64.0625095569999,-57.667499554 -64.0725095569999,-57.693609554 -64.0805635569999,-57.7219455539999 -64.084736557,-57.737499554 -64.083618557,-57.753890554 -64.081118557,-57.7688905539999 -64.076127557,-57.795554554 -64.062090557,-57.823618554 -63.975563557,-57.818618554 -63.9649995569999,-57.7852815539999 -63.938609557,-57.777227554 -63.9311185569999,-57.761118554 -63.9097275569999,-57.756109554 -63.8958365569999,-57.7572275539999 -63.876109557,-57.7875095539999 -63.7997275559999,-57.8377815539999 -63.795281556,-57.926390554 -63.7974995559999,-57.940281554 -63.800281556,-57.9530545539999 -63.804172556,-57.9626455539999 -63.815136556,-58.078336554 -63.865563557,-58.177781554 -63.883054557,-58.2424995539999 -63.903890557,-58.255009554 -63.908890557,-58.2713905539999 -63.9302815569999,-58.282854554 -63.9558365569999,-58.261118554 -63.963890557,-58.200836554 -63.9633365569999,-58.186672554 -63.9672275569999,-58.182090554 -63.976809557,-58.195281554 -63.986672557,-58.2086185539999 -63.990563557,-58.222227554 -63.9930545569999,-58.308618554 -64.001399557,-58.323618554 -64.001399557,-58.337499554 -64.004181557,-58.350563554 -64.008054557,-58.362499554 -64.014454557,-58.3708365539999 -64.021954557,-58.426945554 -64.0733365569999),(-57.6786095539999 -63.790281556,-57.692509554 -63.806536556,-57.691672554 -63.819590556,-57.602227554 -63.8727815569999,-57.589999554 -63.8791725569999,-57.5461095539999 -63.877227557,-57.5186185539999 -63.873890557,-57.473336554 -63.869999557,-57.443890553 -63.869727557,-57.414454553 -63.871672557,-57.399445553 -63.8766725569999,-57.367781553 -63.892499557,-57.355563553 -63.8988995569999,-57.3477815529999 -63.904445557,-57.312781553 -63.877499557,-57.249445553 -63.879863557,-57.235836553 -63.889454557,-57.2091635529999 -63.8916725569999,-57.1766725529999 -63.892499557,-57.162227553 -63.887218557,-57.046118553 -63.826254556,-57.054999553 -63.8177815559999,-57.1752815529999 -63.7930635559999,-57.2491725529999 -63.783618556,-57.336945553 -63.782227556,-57.382227553 -63.782227556,-57.437781553 -63.7855635559999,-57.468336554 -63.786663556,-57.541390554 -63.788609556,-57.5558365539999 -63.788890556,-57.570554554 -63.787781556,-57.5855545539999 -63.785281556,-57.6155635539999 -63.772781556,-57.631672554 -63.769727556,-57.644727554 -63.7719455559999,-57.658890554 -63.777227556,-57.668890554 -63.783054556,-57.6786095539999 -63.790281556),(-57.483063554 -64.4891815569999,-57.4883365539999 -64.4997365569999,-57.4718095539999 -64.5306995569999,-57.457227554 -64.5372275569999,-57.421954553 -64.545563557,-57.3880635529999 -64.5513905569999,-57.355836553 -64.5536185569999,-57.324445553 -64.554454557,-57.2791635529999 -64.552509557,-57.173890553 -64.547227557,-57.159172553 -64.545563557,-57.131390553 -64.540009557,-57.104727553 -64.5322275569999,-57.0916635529999 -64.5280635569999,-57.066390553 -64.517499557,-57.030281553 -64.499172557,-56.995563553 -64.478345557,-56.9727815529999 -64.4638995569999,-56.939445553 -64.440563557,-56.923336553 -64.425563557,-56.909999553 -64.410845557,-56.859863553 -64.341118557,-56.8924995529999 -64.337236557,-56.932227553 -64.3491635569999,-56.944454553 -64.354445557,-56.983063553 -64.3680545569999,-57.036945553 -64.3847365569999,-57.0636095529999 -64.391681557,-57.118054553 -64.4052905569999,-57.145009553 -64.4119545569999,-57.172499553 -64.417509557,-57.201118553 -64.421672557,-57.245281553 -64.428072557,-57.3180635529999 -64.435563557,-57.3763995529999 -64.441390557,-57.391109553 -64.4430725569999,-57.418890553 -64.4483365569999,-57.432227553 -64.452518557,-57.444172553 -64.458890557,-57.455281554 -64.466672557,-57.474727554 -64.481945557,-57.483063554 -64.4891815569999),(-56.838336553 -64.291672557,-56.8569455529999 -64.307499557,-56.846672553 -64.314999557,-56.8299995529999 -64.317227557,-56.814999553 -64.316954557,-56.770836553 -64.313609557,-56.742499553 -64.3094455569999,-56.701954553 -64.299727557,-56.662509553 -64.287509557,-56.637509553 -64.2783365569999,-56.6258365529999 -64.271663557,-56.5930545529999 -64.248063557,-56.582645553 -64.2369545569999,-56.5773635529999 -64.216536557,-56.590836553 -64.209163557,-56.6052815529999 -64.210845557,-56.7583365529999 -64.237790557,-56.838336553 -64.291672557),(-56.5377815529999 -63.013618556,-56.584309553 -63.0398635559999,-56.571672553 -63.053336556,-56.4738905529999 -63.1088905559999,-56.430554553 -63.1238905559999,-56.318063552 -63.161663556,-56.279445552 -63.1697275559999,-56.265009552 -63.169445556,-56.2511095519999 -63.167781556,-56.172499552 -63.1508365559999,-56.146663552 -63.143890556,-56.0058365519999 -63.081118556,-55.983063552 -63.069172556,-55.973336552 -63.0579185559999,-55.981672552 -63.0355635559999,-55.990836552 -63.030009556,-56.0324995519999 -63.008336556,-56.058890552 -62.998063556,-56.076118552 -62.993336556,-56.108609552 -62.987781556,-56.394172553 -62.979445556,-56.4080545529999 -62.981118556,-56.473336553 -62.994999556,-56.499454553 -63.000836556,-56.5377815529999 -63.013618556),(-56.5377815529999 -63.337227556,-56.543890553 -63.3479275559999,-56.541663553 -63.367645556,-56.533199553 -63.3779185559999,-56.521118553 -63.386672556,-56.413336553 -63.430281556,-56.3963905529999 -63.4338905559999,-56.380281553 -63.436109556,-56.3497275519999 -63.4377815559999,-56.3055545519999 -63.4369545559999,-56.2774995519999 -63.4336185559999,-56.264454552 -63.430836556,-56.0758365519999 -63.385563556,-56.0016725519999 -63.344309556,-55.991672552 -63.3358365559999,-55.868899552 -63.3013905559999,-55.854172552 -63.3011185559999,-55.666672552 -63.319727556,-55.5413905519999 -63.335554556,-55.3255635519999 -63.363063556,-55.279163551 -63.365563556,-55.249172551 -63.365836556,-55.190563551 -63.3638905559999,-55.148054551 -63.3599995559999,-55.1213905509999 -63.3555635559999,-55.098890551 -63.3508365559999,-55.063899551 -63.339727556,-55.040836551 -63.328899556,-55.0308365509999 -63.320836556,-55.0161095509999 -63.305836556,-55.0019455509999 -63.2805635559999,-55.0010455509999 -63.258690556,-55.0208365509999 -63.222645556,-55.048336551 -63.2094455559999,-55.083618551 -63.2002815559999,-55.096672551 -63.198063556,-55.235281551 -63.184172556,-55.3127815519999 -63.179172556,-55.466672552 -63.146254556,-55.479172552 -63.1377815559999,-55.491109552 -63.1325095559999,-55.525836552 -63.123336556,-55.558063552 -63.119172556,-55.573890552 -63.1172275559999,-55.589172552 -63.1163905559999,-55.6038905519999 -63.116672556,-55.617499552 -63.118336556,-55.630563552 -63.1213905559999,-55.667499552 -63.133609556,-55.706672552 -63.142499556,-55.734999552 -63.1444455559999,-55.7511095519999 -63.142227556,-55.7774995519999 -63.132227556,-55.7952815519999 -63.127499556,-55.8116725519999 -63.124172556,-55.827509552 -63.121945556,-56.010281552 -63.1327815559999,-56.0363905519999 -63.138618556,-56.3175095519999 -63.207499556,-56.3422275519999 -63.215563556,-56.426390553 -63.260836556,-56.4480635529999 -63.275281556,-56.5272275529999 -63.3294455559999,-56.5377815529999 -63.337227556),(-56.205554552 -63.4527815559999,-56.2097275519999 -63.466663556,-56.188336552 -63.504172556,-56.175836552 -63.5233365559999,-56.166672552 -63.529163556,-56.149172552 -63.533618556,-56.1152815519999 -63.540554556,-56.034445552 -63.5513905559999,-56.019445552 -63.5561185559999,-56.009863552 -63.562363556,-55.999727552 -63.582499556,-55.976672552 -63.581390556,-55.951118552 -63.578336556,-55.9252815519999 -63.571399556,-55.7633365519999 -63.520563556,-55.741109552 -63.512499556,-55.7327815519999 -63.506390556,-55.722636552 -63.495836556,-55.710554552 -63.478336556,-55.706672552 -63.464445556,-55.707781552 -63.4525095559999,-55.7149995519999 -63.4402815559999,-55.740836552 -63.416390556,-55.7591725519999 -63.405281556,-55.783336552 -63.394727556,-55.8011185519999 -63.3902815559999,-55.826118552 -63.3877815559999,-55.8577815519999 -63.384727556,-55.919172552 -63.381390556,-55.963890552 -63.381109556,-55.988890552 -63.384172556,-56.002227552 -63.3869455559999,-56.0280635519999 -63.393890556,-56.169445552 -63.432781556,-56.189727552 -63.439172556,-56.198063552 -63.4452815559999,-56.205554552 -63.4527815559999),(-55.4827815519999 -61.1133365539999,-55.4944455519999 -61.126672554,-55.389454552 -61.216663554,-55.374727552 -61.228054554,-55.366109552 -61.2336095539999,-55.3399995519999 -61.250281554,-55.301390552 -61.265281554,-55.271118551 -61.274445554,-55.255563551 -61.2777815539999,-55.240836551 -61.279727554,-55.1877815509999 -61.260836554,-55.133899551 -61.219454554,-55.040281551 -61.165554554,-55.028890551 -61.161663554,-55.0166725509999 -61.158618554,-54.978336551 -61.153336554,-54.8294455509999 -61.1480545539999,-54.803336551 -61.145836554,-54.7519455509999 -61.1391635539999,-54.7036095509999 -61.1272275539999,-54.6925095509999 -61.1230635539999,-54.670281551 -61.1133365539999,-54.656672551 -61.103481554,-54.646390551 -61.0927815539999,-54.656954551 -61.0888905539999,-54.6719545509999 -61.086945554,-54.686109551 -61.086109554,-54.780554551 -61.089727554,-54.900554551 -61.096390554,-54.9788905509999 -61.1044455539999,-55.092227551 -61.098063554,-55.240009551 -61.080281554,-55.3611185519999 -61.060281554,-55.389163552 -61.058618554,-55.401390552 -61.061672554,-55.412781552 -61.065836554,-55.4236185519999 -61.071109554,-55.4538995519999 -61.090836554,-55.4827815519999 -61.1133365539999),(-54.901118551 -80.686536572,-54.909581551 -80.712499572,-54.8433365509999 -80.776127572,-54.8113905509999 -80.8022275719999,-54.751672551 -80.826127572,-54.7241635509999 -80.833345572,-54.674172551 -80.8449995719999,-54.642227551 -80.851963572,-54.583890551 -80.863345572,-54.4730635509999 -80.881954572,-54.4294545509999 -80.888063572,-54.343054551 -80.8972365719999,-54.2622185509999 -80.9033365719999,-54.1024995499999 -80.911663572,-54.05250955 -80.913618572,-53.7613905499999 -80.921109572,-53.23139055 -80.923063572,-52.904163549 -80.921672572,-52.7019545489999 -80.916945572,-52.462499549 -80.9074995719999,-52.3813905489999 -80.9061095719999,-52.099727549 -80.9041725719999,-52.055554548 -80.902790572,-51.738336548 -80.888899572,-51.421954548 -80.874727572,-51.343336548 -80.870563572,-51.3041725479999 -80.868345572,-51.071672548 -80.853054572,-50.9163905469999 -80.8430635719999,-50.7994455469999 -80.8366725719999,-50.146118547 -80.792781572,-49.8447275459999 -80.771663572,-49.563609546 -80.763899572,-49.409172546 -80.7558455719999,-49.176945546 -80.744445572,-49.136118546 -80.744736572,-49.057499546 -80.742509572,-49.0191725459999 -80.740281572,-48.9427815459999 -80.735563572,-48.758609545 -80.721954572,-48.606118545 -80.709163572,-48.123336545 -80.684445572,-47.924445545 -80.6744545719999,-47.7366725439999 -80.665281572,-47.660281544 -80.661663572,-47.463618544 -80.6533365719999,-47.3500095439999 -80.650281572,-47.1619455439999 -80.638899572,-47.013063544 -80.628890572,-46.753063544 -80.610836572,-46.599727543 -80.604172572,-46.4166725429999 -80.590009572,-46.3083365429999 -80.577518572,-46.168063543 -80.5619545719999,-46.0658365429999 -80.550845572,-45.7441725429999 -80.518618572,-45.3913995419999 -80.483899572,-45.215836542 -80.4666725719999,-45.115836542 -80.455290572,-45.081672542 -80.451399572,-44.9441725419999 -80.433336572,-44.645836542 -80.391954572,-44.3208365409999 -80.3458365719999,-44.2863905409999 -80.3397365719999,-44.227781541 -80.3286095719999,-44.2008365409999 -80.3227815719999,-44.165836541 -80.314454572,-44.138063541 -80.306672572,-44.073618541 -80.277499572,-44.072499541 -80.254309572,-44.119172541 -80.233336572,-44.205554541 -80.204454572,-44.248336541 -80.1916815719999,-44.332227541 -80.169172572,-44.4275095409999 -80.146663572,-44.512499541 -80.123063572,-44.5480545409999 -80.1119545719999,-44.569790542 -80.0941725719999,-44.5322275409999 -80.077227572,-44.5086095409999 -80.072236572,-44.4394455409999 -80.061399572,-44.3408365409999 -80.0522275719999,-44.228336541 -80.049999572,-44.140799541 -80.0531725719999,-44.0555545409999 -80.062499572,-44.024445541 -80.0677815719999,-43.9861185409999 -80.0727815719999,-43.942499541 -80.076127572,-43.8958365409999 -80.0786095719999,-43.855836541 -80.079454572,-43.758054541 -80.0725095719999,-43.689727541 -80.061399572,-43.6638905409999 -80.0555545719999,-43.640009541 -80.048336572,-43.605699541 -80.0290365719999,-43.5552815409999 -79.990281572,-43.45972754 -79.912227571,-43.44306354 -79.8983455709999,-43.4147275399999 -79.869445571,-43.40291854 -79.852090571,-43.38472754 -79.821945571,-43.3533365399999 -79.776536571,-43.33111854 -79.6311185709999,-43.33764554 -79.5918095709999,-43.36028154 -79.5394635709999,-43.4133365399999 -79.501109571,-43.4362545399999 -79.4855635709999,-43.46611854 -79.470290571,-43.500554541 -79.459163571,-43.543336541 -79.447236571,-43.6138905409999 -79.431118571,-43.648054541 -79.4255635709999,-43.720554541 -79.415554571,-43.889454541 -79.4016725709999,-44.001399541 -79.396954571,-44.146390541 -79.397236571,-44.225836541 -79.394727571,-44.339445541 -79.388899571,-44.4227815409999 -79.380572571,-44.4944455409999 -79.3705635709999,-44.5297275409999 -79.361818571,-44.564727542 -79.347781571,-44.579309542 -79.330909571,-44.556672541 -79.313336571,-44.531390541 -79.305554571,-44.502499541 -79.3002905709999,-44.4722275409999 -79.296109571,-44.4441725409999 -79.292781571,-44.346118541 -79.285572571,-44.206945541 -79.279727571,-44.171672541 -79.2794455709999,-44.108336541 -79.2758455709999,-44.038336541 -79.271663571,-43.9747275409999 -79.266109571,-43.9149995409999 -79.259736571,-43.8841725409999 -79.2536185709999,-43.857509541 -79.246945571,-43.830418541 -79.2355635709999,-43.8054185409999 -79.217654571,-43.783336541 -79.136127571,-43.7849995409999 -79.0225095709999,-43.793336541 -79.0036185709999,-43.8233365409999 -78.984172571,-43.8536185409999 -78.972499571,-43.881390541 -78.963336571,-43.986945541 -78.938063571,-44.049727541 -78.927781571,-44.079999541 -78.9233365709999,-44.162781541 -78.916118571,-44.238336541 -78.911663571,-44.3102815409999 -78.909727571,-44.4538995409999 -78.9061095709999,-44.524172541 -78.905563571,-44.661663542 -78.906681571,-44.7286185419999 -78.908618571,-44.893890542 -78.915009571,-44.959445542 -78.9180635709999,-44.999999542 -78.920618571,-45.148899542 -78.930009571,-45.1858365419999 -78.931118571,-45.288063542 -78.929736571,-45.3297275419999 -78.926954571,-45.400281542 -78.917509571,-45.458618542 -78.9061095709999,-45.498890542 -78.8958455709999,-45.548472542 -78.88014557,-45.5730635419999 -78.85820957,-45.562499542 -78.83084557,-45.5173635419999 -78.79959057,-45.456118542 -78.7736185699999,-45.403336542 -78.76056357,-45.349163542 -78.74860957,-45.323890542 -78.74417257,-45.2630635419999 -78.73529057,-45.172227542 -78.72584557,-45.053336542 -78.71444557,-44.999999542 -78.71086357,-44.921109542 -78.70556357,-44.7911185419999 -78.70584557,-44.6102815419999 -78.71139957,-44.573618542 -78.71362757,-44.5052815409999 -78.71612757,-44.365563541 -78.71860957,-44.257781541 -78.71751857,-44.1936095409999 -78.71417257,-44.166945541 -78.7108455699999,-44.114445541 -78.69889957,-44.088890541 -78.6922275699999,-44.036945541 -78.6694455699999,-44.012499541 -78.65417257,-43.9822275409999 -78.63334557,-43.957918541 -78.61168157,-43.9074995409999 -78.55584557,-43.890009541 -78.52806357,-43.875972541 -78.49361857,-43.8702815409999 -78.47348157,-43.868336541 -78.44667257,-43.8677815409999 -78.42639057,-43.8769455409999 -78.38057257,-43.8911095409999 -78.36195457,-43.9140275409999 -78.34529057,-43.966118541 -78.32417257,-44.098618541 -78.28499957,-44.179727541 -78.26250957,-44.475009541 -78.18250957,-44.663336542 -78.1400185699999,-44.7647275419999 -78.11778157,-44.841945542 -78.10139057,-44.910563542 -78.09279057,-44.988063542 -78.08750957,-45.097499542 -78.07667257,-45.2205545419999 -78.05667257,-45.310418542 -78.03722757,-45.3769455419999 -78.0236185699999,-45.439999542 -78.01333657,-45.553336542 -78.00083657,-45.585554542 -77.99779057,-45.688054543 -77.99195457,-45.899172543 -77.9772365699999,-46.0030635429999 -77.96694557,-46.0377815429999 -77.9611185699999,-46.071109543 -77.9566815699999,-46.182227543 -77.94528157,-46.2558365429999 -77.93860957,-46.317218543 -77.93471857,-46.3880635429999 -77.93055457,-46.616390543 -77.9216725699999,-46.843890544 -77.91889957,-46.907499544 -77.9191725699999,-46.9669455439999 -77.91972757,-47.122781544 -77.92556357,-47.186109544 -77.92889057,-47.243054544 -77.93223657,-47.3030635439999 -77.9358365699999,-47.5386095439999 -77.95499957,-47.714727544 -77.96999957,-47.830690545 -77.98268157,-47.969727545 -78.00389057,-48.108336545 -78.02639957,-48.2727815449999 -78.0563995699999,-48.652781545 -78.13389957,-48.734172545 -78.15139957,-49.109999546 -78.23639057,-49.166118546 -78.25083657,-49.2938905459999 -78.28418157,-49.349445546 -78.29972757,-49.550563546 -78.35639957,-49.5711095459999 -78.36361857,-49.716390546 -78.4150095699999,-49.757227546 -78.42945457,-49.7894545459999 -78.44278157,-49.875836546 -78.4791725699999,-49.933063547 -78.50723657,-50.0272275469999 -78.55584557,-50.131954547 -78.61805457,-50.183618547 -78.6505545699999,-50.248890547 -78.69639957,-50.2847275469999 -78.73279057,-50.340281547 -78.7875095699999,-50.3838995469999 -78.82806357,-50.400554547 -78.84167257,-50.479445547 -78.903336571,-50.503063547 -78.917236571,-50.550972547 -78.944172571,-50.556254547 -78.966818571,-50.5386185469999 -78.989872571,-50.512363547 -79.0152815709999,-50.493618547 -79.0602905709999,-50.501527547 -79.083754571,-50.5405545469999 -79.121127571,-50.577227547 -79.141109571,-50.628890547 -79.169445571,-50.659172547 -79.1891815709999,-50.6886095469999 -79.2102815709999,-50.7033365469999 -79.236818571,-50.709445547 -79.3440365709999,-50.6943095469999 -79.380009571,-50.6754185469999 -79.3951455709999,-50.6216725469999 -79.4369545709999,-50.583618547 -79.4877905709999,-50.5783365469999 -79.5080545709999,-50.592299547 -79.543827571,-50.630563547 -79.574172571,-50.6661185469999 -79.588627571,-50.712781547 -79.603054571,-50.7361185469999 -79.6099995709999,-50.789999547 -79.6244545709999,-50.8719455469999 -79.6455725709999,-50.899445547 -79.6522365709999,-50.9580635469999 -79.666118571,-51.0922905479999 -79.7315365709999,-51.1158365479999 -79.755845571,-51.1388905479999 -79.764454571,-51.256390548 -79.798890571,-51.336109548 -79.8205545709999,-51.3644455479999 -79.826954571,-51.409172548 -79.8416725709999,-51.464999548 -79.8561275709999,-51.618054548 -79.890836571,-51.6819455479999 -79.905290571,-51.8213995479999 -79.9394545709999,-51.8961185479999 -79.960554571,-51.9177815479999 -79.966945572,-51.9636185479999 -79.981399572,-52.073618548 -80.023345572,-52.129799549 -80.055427572,-52.197781549 -80.084454572,-52.248890549 -80.098618572,-52.329727549 -80.118899572,-52.392499549 -80.1325095719999,-52.4258365489999 -80.139727572,-52.494172549 -80.1513995719999,-52.563609549 -80.161954572,-52.7333365489999 -80.181945572,-52.845836549 -80.1911185719999,-52.9588905489999 -80.198899572,-53.103618549 -80.205845572,-53.21805455 -80.212509572,-53.3252815499999 -80.2188995719999,-53.43583655 -80.225845572,-53.50917255 -80.230836572,-53.57889955 -80.2363905719999,-53.65944555 -80.2430545719999,-53.83555455 -80.264454572,-53.91028155 -80.275281572,-53.94250955 -80.280290572,-54.0127815499999 -80.2930635719999,-54.0399995499999 -80.299999572,-54.08361855 -80.312790572,-54.1024995499999 -80.3208455719999,-54.12667255 -80.334163572,-54.322499551 -80.4080635719999,-54.3702815509999 -80.421672572,-54.467781551 -80.454727572,-54.816672551 -80.620563572,-54.8852815509999 -80.6724995719999,-54.901118551 -80.686536572),(-54.0455635499999 -61.0886185539999,-54.1986185499999 -61.232499554,-54.1937545499999 -61.251809554,-54.17611855 -61.258054554,-54.05944555 -61.2711185539999,-54.04695455 -61.269445554,-54.03778155 -61.2613905539999,-54.02972755 -61.246945554,-54.0113905499999 -61.204172554,-54.0063905499999 -61.1899995539999,-54.00610955 -61.1766725539999,-54.0069545499999 -61.099863554,-54.01639955 -61.0911185539999,-54.03222755 -61.0880545539999,-54.0455635499999 -61.0886185539999),(-46.0172275429999 -60.586399553,-46.0199275429999 -60.6140365529999,-46.002781543 -60.621390553,-45.959445543 -60.6236095529999,-45.936954543 -60.6236095529999,-45.781672543 -60.601672553,-45.7411095429999 -60.6236095529999,-45.711945543 -60.636118554,-45.663890543 -60.645836554,-45.458618542 -60.664999554,-45.415836542 -60.668336554,-45.403063542 -60.668336554,-45.3783365419999 -60.671390554,-45.233609542 -60.711945554,-45.1777815419999 -60.742781554,-45.1563905419999 -60.756118554,-45.145281542 -60.766109554,-45.1687545419999 -60.6808365539999,-45.230836542 -60.627781553,-45.254445542 -60.6208365529999,-45.3922275419999 -60.587499553,-45.398054542 -60.577509553,-45.428199542 -60.549036553,-45.491954542 -60.537227553,-45.5058365419999 -60.5363905529999,-45.521118542 -60.538472553,-45.538063542 -60.547499553,-45.550836542 -60.547227553,-45.5755635419999 -60.5444455529999,-45.6744455429999 -60.525836553,-45.6897275429999 -60.5222275529999,-45.736663543 -60.5033365529999,-45.9308365429999 -60.5124995529999,-45.941118543 -60.513890553,-45.9743095429999 -60.520554553,-46.0172275429999 -60.586399553),(-44.733890542 -60.734727554,-44.784727542 -60.734454554,-44.7672275419999 -60.7513995539999,-44.7252815419999 -60.7763905539999,-44.6555545419999 -60.7438995539999,-44.6141725419999 -60.748890554,-44.570281542 -60.747781554,-44.4251455409999 -60.721527554,-44.507227541 -60.6824995539999,-44.531390541 -60.675563554,-44.547499541 -60.6780635539999,-44.580281542 -60.695972554,-44.733890542 -60.734727554),(-41.872218539 -78.59000957,-41.930554539 -78.59194557,-41.920281539 -78.60334557,-41.6197275389999 -78.6211275699999,-41.486945539 -78.62250957,-41.4180635389999 -78.6205635699999,-41.2688905379999 -78.60806357,-41.146945538 -78.59583657,-41.065281538 -78.58694557,-40.996672538 -78.58473657,-40.9241725379999 -78.58694557,-40.849727538 -78.59056357,-40.732227538 -78.59945457,-40.6580545379999 -78.60305457,-40.587499538 -78.60389957,-40.516945538 -78.60305457,-40.487499538 -78.6016725699999,-40.4169455379999 -78.6005725699999,-40.2800095379999 -78.6022365699999,-40.242781537 -78.60389957,-40.0436185369999 -78.61750957,-39.850563537 -78.63167257,-39.813054537 -78.63305457,-39.7486095369999 -78.63028157,-39.659172537 -78.61973657,-39.570009537 -78.6108365699999,-39.4705545369999 -78.6083365699999,-39.433063537 -78.60999957,-39.359999537 -78.61805457,-39.330554537 -78.6230635699999,-39.280281537 -78.63389957,-39.2147275369999 -78.64944557,-39.183336536 -78.65556357,-39.1458365359999 -78.65918157,-39.105836536 -78.66195457,-39.039172536 -78.6641725699999,-39.003618536 -78.6625095699999,-38.9436095359999 -78.65695457,-38.8858365359999 -78.6502815699999,-38.8588905359999 -78.64557257,-38.799172536 -78.6400185699999,-38.701663536 -78.63389957,-38.612499536 -78.63111857,-38.5291635359999 -78.63278157,-38.489172536 -78.63556357,-38.306399536 -78.64944557,-38.0413905349999 -78.66361857,-38.0036185349999 -78.6650095699999,-37.932499535 -78.66555457,-37.781390535 -78.65779057,-37.487781535 -78.6458455699999,-37.4594455349999 -78.6402905699999,-37.6433365349999 -78.63806357,-37.714727535 -78.63556357,-38.0513905349999 -78.61334557,-38.174999536 -78.6050095699999,-38.198618536 -78.59972757,-38.2344545359999 -78.59529057,-38.278336536 -78.59222757,-38.351672536 -78.58862757,-38.589445536 -78.59389957,-38.624727536 -78.59360957,-38.695554536 -78.59083657,-38.772509536 -78.58667257,-39.1325095359999 -78.5613995699999,-39.2072275369999 -78.5583365699999,-39.3149995369999 -78.55611857,-39.525836537 -78.55389057,-39.666390537 -78.55250957,-39.734727537 -78.55278157,-39.864727537 -78.55528157,-39.972499537 -78.55473657,-40.048890537 -78.55029057,-40.254718537 -78.52944557,-40.330836538 -78.52278157,-40.724163538 -78.49084557,-40.8016725379999 -78.48472757,-40.9511185379999 -78.47639057,-41.026945538 -78.47389057,-41.0886185379999 -78.4755725699999,-41.148609538 -78.48056357,-41.1780635379999 -78.4836095699999,-41.236390538 -78.49223657,-41.314172538 -78.50584557,-41.4183365389999 -78.52889957,-41.463336539 -78.5419455699999,-41.4908365389999 -78.5483365699999,-41.539999539 -78.5586275699999,-41.5933365389999 -78.56861857,-41.654163539 -78.57556357,-41.7719455389999 -78.5861185699999,-41.872218539 -78.59000957),(-21.5938905199999 -74.435563566,-21.60278152 -74.446672566,-21.59569952 -74.469863566,-21.55389052 -74.490281566,-21.52111852 -74.5002905659999,-21.41417252 -74.519727566,-21.36166352 -74.525554566,-21.33139052 -74.527790566,-21.26639052 -74.530563566,-20.877499519 -74.5669545659999,-20.851109519 -74.569736566,-20.8130545189999 -74.576954566,-20.783609519 -74.5872365659999,-20.7661095189999 -74.593609567,-20.728618519 -74.608063567,-20.7002815189999 -74.620563567,-20.624172519 -74.6616635669999,-20.6063905189999 -74.6744545669999,-20.5719455189999 -74.7016725669999,-20.5374995189999 -74.735563567,-20.517227519 -74.763336567,-20.510836519 -74.777790567,-20.501109519 -74.7930635669999,-20.480836519 -74.820554567,-20.470554519 -74.827518567,-20.4599815189999 -74.833327567,-20.448063519 -74.8386275669999,-20.4061095189999 -74.846681567,-20.3794455189999 -74.850572567,-20.2586095189999 -74.8641815669999,-20.2274995189999 -74.8663905669999,-20.1955545189999 -74.8663905669999,-20.169445519 -74.864727567,-20.146663519 -74.8616815669999,-20.119445519 -74.850572567,-20.108054519 -74.842518567,-20.084999519 -74.8183455669999,-20.073063519 -74.8019545669999,-20.068336519 -74.792781567,-20.080554519 -74.7616725669999,-20.0908365189999 -74.747509567,-20.122499519 -74.712781567,-20.1366725189999 -74.6991725669999,-20.154590519 -74.682645567,-20.1688905189999 -74.6727905669999,-20.238336519 -74.6302815669999,-20.270554519 -74.6113905669999,-20.3505635189999 -74.5702815659999,-20.533054519 -74.492781566,-20.5619455189999 -74.4822275659999,-20.576118519 -74.476118566,-20.586390519 -74.4625095659999,-20.588890519 -74.450836566,-20.5727815189999 -74.430554566,-20.4674995189999 -74.330290566,-20.4497185189999 -74.3161185659999,-20.4149995189999 -74.2958365659999,-20.384163519 -74.283063566,-20.336945519 -74.2577815659999,-20.321254519 -74.2374995659999,-20.3599995189999 -74.135836566,-20.369445519 -74.121672566,-20.391390519 -74.118054566,-20.404972519 -74.118318566,-20.4224995189999 -74.118618566,-20.468890519 -74.123336566,-20.490836519 -74.126109566,-20.522499519 -74.134172566,-20.5424995189999 -74.140018566,-20.5555545189999 -74.144999566,-20.589727519 -74.165281566,-20.612499519 -74.188609566,-20.635836519 -74.2127815659999,-20.655554519 -74.233890566,-20.677781519 -74.253063566,-20.6986095189999 -74.266399566,-20.729445519 -74.2791725659999,-20.929999519 -74.336118566,-20.9852815199999 -74.348890566,-21.02417252 -74.356672566,-21.1830545199999 -74.386399566,-21.2061095199999 -74.390290566,-21.25055452 -74.394999566,-21.30389052 -74.3975095659999,-21.36583652 -74.396663566,-21.45111852 -74.3994455659999,-21.4952815199999 -74.4041725659999,-21.53417252 -74.410845566,-21.5544455199999 -74.415554566,-21.56778152 -74.4205635659999,-21.5824995199999 -74.427509566,-21.5938905199999 -74.435563566),(-8.01139050699993 -70.6827815629999,-8.04083650699994 -70.6963995629999,-8.03249950699995 -70.706681563,-8.00583650699997 -70.7175185629999,-7.99083650699993 -70.7219545629999,-7.93916350699993 -70.731672563,-7.90249950699996 -70.734172563,-7.87944550699996 -70.733899563,-7.85444550699998 -70.732509563,-7.80055450699996 -70.727509563,-7.74833650699998 -70.720836563,-7.73499950699994 -70.715836563,-7.72721850699998 -70.706118563,-7.74278150699996 -70.6963995629999,-7.75778150699995 -70.692227563,-7.77528150699993 -70.688899563,-7.83305450699993 -70.6819455629999,-7.90249950699996 -70.674727563,-7.92360950699998 -70.673890563,-7.94666350699993 -70.673890563,-7.97139050699997 -70.675290563,-7.99499950699993 -70.6783455629999,-8.01139050699993 -70.6827815629999),(-6.35110950599994 -70.4672275629999,-6.37764550599996 -70.4802635629999,-6.36889050599996 -70.4922365629999,-6.28889050599997 -70.5388905629999,-6.26444550599996 -70.5527815629999,-6.25110950599998 -70.558336563,-6.23528150599998 -70.562499563,-6.12416350599995 -70.5761275629999,-6.08583650599996 -70.5799995629999,-6.06499950599994 -70.580845563,-6.04028150599993 -70.579181563,-5.97749950599996 -70.574718563,-5.95999950599997 -70.571945563,-5.94389050599995 -70.567227563,-5.92555450599997 -70.5558455629999,-5.91610950599994 -70.544172563,-5.91444550599994 -70.533481563,-5.95110950599997 -70.4347185629999,-5.96985450599993 -70.417954563,-5.99999950599994 -70.409999563,-6.05721850599997 -70.404172563,-6.10583650599995 -70.407499563,-6.13222750599994 -70.410281563,-6.20999950599997 -70.4258455629999,-6.24221850599997 -70.4350095629999,-6.35110950599994 -70.4672275629999),(-3.45249950299996 -70.678890563,-3.45499950299995 -70.693072563,-3.45416350299996 -70.7074995629999,-3.44971850299993 -70.722781563,-3.44278150299994 -70.745563563,-3.42375450299994 -70.780972563,-3.40555450299996 -70.801954563,-3.35833650299998 -70.8452905629999,-3.33778150299997 -70.861390563,-3.31555450299993 -70.876399563,-3.29139050299995 -70.890290563,-3.22639050299995 -70.921954563,-3.18416350299998 -70.938336563,-3.02278150299998 -70.9969455629999,-2.97860950299997 -71.012218563,-2.92889050299993 -71.023899563,-2.87416350299998 -71.0322275629999,-2.79639050299994 -71.039736563,-2.72278150299996 -71.0405545629999,-2.69778150299993 -71.0386185629999,-2.67110950199998 -71.035281563,-2.62528150199995 -71.0277905629999,-2.59389050199997 -71.018345563,-2.56610950199996 -71.008054563,-2.53389050199996 -70.991118563,-2.49694550199996 -70.968063563,-2.46416350199996 -70.9441725629999,-2.43555450199995 -70.926954563,-2.39999950199996 -70.910845563,-2.37249950199993 -70.900554563,-2.34166350199996 -70.8908365629999,-2.29166350199995 -70.876681563,-2.19639050199993 -70.855009563,-2.17360950199998 -70.8511185629999,-2.14749950199996 -70.847781563,-2.09639050199996 -70.8425185629999,-2.04389050199995 -70.835845563,-2.02139050199997 -70.8322275629999,-2.00249950199998 -70.827790563,-1.98486350199994 -70.819590563,-1.99083650199998 -70.8094455629999,-2.00249950199998 -70.801954563,-2.01555450199993 -70.795836563,-2.04528150199997 -70.785845563,-2.12778150199995 -70.7663995629999,-2.16221850199997 -70.760009563,-2.22110950199993 -70.755572563,-2.33110950199995 -70.756390563,-2.38999950199997 -70.751954563,-2.42610950199997 -70.746399563,-2.44249950199998 -70.7425095629999,-2.47194550199993 -70.732509563,-2.50610950199996 -70.710009563,-2.51916350199997 -70.7038995629999,-2.53389050199996 -70.6988995629999,-2.56639050199993 -70.690845563,-2.63805450199993 -70.6800095629999,-2.95971850299998 -70.6447275629999,-2.97916350299994 -70.6430635629999,-3.03778150299996 -70.6383365629999,-3.07833650299995 -70.6363995629999,-3.30749950299997 -70.632509563,-3.35639050299994 -70.6363995629999,-3.37916350299997 -70.640018563,-3.39805450299997 -70.644181563,-3.41360950299998 -70.648899563,-3.42583650299997 -70.654172563,-3.44249950299997 -70.6661185629999,-3.45249950299996 -70.678890563),(-3.29944550299996 -70.4158455629999,-3.32916350299996 -70.479727563,-3.32055450299993 -70.491954563,-3.30778150299994 -70.498336563,-3.27249950299995 -70.503890563,-3.22166350299995 -70.507509563,-3.12805450299993 -70.504181563,-3.10389050299995 -70.502227563,-2.88499950299996 -70.4763905629999,-2.81110950299995 -70.466399563,-2.76721850299998 -70.458072563,-2.71944550299997 -70.4480635629999,-2.69221850299994 -70.440845563,-2.65721850199998 -70.424727563,-2.64541850199993 -70.4113905629999,-2.68555450299993 -70.314181563,-2.69666350299997 -70.306672563,-2.71583650299993 -70.297227563,-2.74778150299994 -70.289463562,-2.76242750299997 -70.2871815619999,-2.78139050299995 -70.2827905619999,-2.79889050299994 -70.280018562,-2.83860950299993 -70.2780635619999,-2.87833650299996 -70.279172562,-2.95055450299998 -70.2849995619999,-3.02583650299994 -70.293336562,-3.05166350299993 -70.296672562,-3.11805450299994 -70.3075095629999,-3.13694550299994 -70.311954563,-3.17083650299998 -70.320845563,-3.20471850299998 -70.3299995629999,-3.25194550299994 -70.3513905629999,-3.26860950299994 -70.363063563,-3.28278150299997 -70.382509563,-3.29944550299996 -70.4158455629999),(0.241609500000038 -71.030281563,0.239563500000031 -71.047809563,0.247009500000047 -71.055554563,0.258118500000023 -71.064181563,0.270936500000062 -71.071409563,0.302309500000035 -71.0811275629999,0.353999500000043 -71.091945563,0.391172500000039 -71.0969545629999,0.430118500000049 -71.1005815629999,0.452027500000042 -71.1005815629999,0.495363500000053 -71.100299563,0.52008150000006 -71.097781563,0.55730950100002 -71.088627563,0.572018501000059 -71.083618563,0.586727501000041 -71.0679365629999,0.571772501000055 -71.048354563,0.548945501000048 -71.031418563,0.523436500000059 -71.0169635629999,0.509281500000043 -71.011136563,0.493709500000023 -71.006136563,0.476499500000045 -71.002499563,0.457881500000042 -70.999999563,0.419254500000022 -70.996418563,0.397581500000058 -70.996418563,0.351499500000045 -70.998899563,0.284545500000036 -71.0113995629999,0.250918500000068 -71.021118563,0.241609500000038 -71.030281563),(1.89940950200003 -70.643072563,1.89758150200004 -70.667236563,1.90923650200006 -70.675581563,1.92229950200004 -70.6827815629999,1.95398150200003 -70.692227563,1.97094550200006 -70.695572563,2.00811850200006 -70.700009563,2.05065450200004 -70.699718563,2.07451850200005 -70.696945563,2.17205450200004 -70.6811365629999,2.19787250200005 -70.668918563,2.20843650200004 -70.6630815629999,2.21660950200004 -70.653763563,2.21453650200004 -70.632654563,2.19622750200006 -70.613081563,2.18316350200007 -70.606136563,2.16869950200004 -70.600009563,2.15313650200005 -70.5955815629999,2.13451850200005 -70.593336563,2.09509050200006 -70.591127563,2.07257250200007 -70.5925185629999,2.04869950200003 -70.5952905629999,2.00567250200004 -70.603899563,1.95232750200006 -70.6183455629999,1.91345450200004 -70.634181563,1.89940950200003 -70.643072563),(2.62176350200002 -70.485309563,2.61315450200004 -70.505018563,2.61566350200007 -70.526127563,2.62450950200002 -70.5411185629999,2.63732750200006 -70.556399563,2.64538150200002 -70.564181563,2.65729050200002 -70.5725275629999,2.68371850200003 -70.586963563,2.69842750300006 -70.592799563,2.71422750300007 -70.5972275629999,2.76592750300006 -70.607509563,2.83733650300007 -70.6186365629999,2.87450950300007 -70.623063563,2.92260950300005 -70.628618563,2.95758150300003 -70.624999563,2.98259950300007 -70.621127563,3.02539050300004 -70.612227563,3.09924550300002 -70.593063563,3.11706350300005 -70.588345563,3.20452750300007 -70.563918563,3.23589950300004 -70.553618563,3.25982750300005 -70.542527563,3.28979050300006 -70.525299563,3.31256350300004 -70.507245563,3.32397250300005 -70.496127563,3.32928150300006 -70.483081563,3.32494550300004 -70.4651545629999,3.31396350300003 -70.453609563,3.30206350300006 -70.4452995629999,3.27539050300004 -70.4311365629999,3.24590950300006 -70.419463563,3.23009950300008 -70.415027563,3.19732750300005 -70.406963563,3.18010950300004 -70.403627563,3.14342750300005 -70.399463563,3.08452750300006 -70.394745563,3.04399950300007 -70.393890563,2.91839050300007 -70.3958545629999,2.82983650300002 -70.401945563,2.78259050300005 -70.407499563,2.74395450300005 -70.416945563,2.72649950300007 -70.421690563,2.68511850300007 -70.437499563,2.65453650200004 -70.4544635629999,2.63439950200006 -70.469463563,2.62176350200002 -70.485309563),(12.482018512 -70.080718562,12.481745512 -70.110563562,12.490099512 -70.124172562,12.4981635120001 -70.131390562,12.528981512 -70.146409562,12.5775725120001 -70.165281562,12.594536512 -70.1702905619999,12.6473275120001 -70.181399562,12.6839545120001 -70.186399562,12.740099512 -70.191118562,12.778681512 -70.1919725619999,12.817863512 -70.1916995619999,12.8781635120001 -70.188627562,12.9387095120001 -70.184190562,13.1025905120001 -70.168636562,13.1450725120001 -70.161681562,13.2067815120001 -70.143345562,13.220909512 -70.134181562,13.2006455120001 -70.100027562,13.190363512 -70.089445562,13.1589905120001 -70.0744635619999,13.109554512 -70.057254562,13.0756185120001 -70.0472455619999,13.0578545120001 -70.043636562,13.0034095120001 -70.036390562,12.980645512 -70.036681562,12.818963512 -70.0561365619999,12.798945512 -70.057509562,12.740345512 -70.058072562,12.719536512 -70.057509562,12.6253545120001 -70.051699562,12.6070455120001 -70.0491815619999,12.588436512 -70.048063562,12.568963512 -70.048354562,12.548699512 -70.049727562,12.528681512 -70.0533725619999,12.4978545120001 -70.065290562,12.482018512 -70.080718562),(15.367609514 -70.0097365619999,15.3603455140001 -70.0288995619999,15.3642455140001 -70.0488905619999,15.3723095140001 -70.063081562,15.387563514 -70.083618562,15.396472514 -70.090572562,15.4348095140001 -70.1119725619999,15.451772514 -70.117799562,15.5045095140001 -70.131954562,15.557854514 -70.144999562,15.6120545150001 -70.155018562,15.667290515 -70.162799562,15.7045185150001 -70.166945562,15.7612185150001 -70.1705815619999,15.8564995150001 -70.174727562,15.933709515 -70.174999562,15.9928455150001 -70.1722455619999,16.0728635150001 -70.165027562,16.1342725150001 -70.1555635619999,16.170090515 -70.1413995619999,16.2245365150001 -70.117236562,16.3356275150001 -70.062499562,16.3453905150001 -70.056399562,16.3631545150001 -70.0372275619999,16.362872515 -70.020854562,16.353445515 -70.003618562,16.337027515 -69.9830815619999,16.3225635150001 -69.969463562,16.307854515 -69.955845562,16.298690515 -69.948899562,16.276172515 -69.936109562,16.226190515 -69.914463562,16.192309515 -69.901409562,16.1753455150001 -69.895290562,16.122854515 -69.881390562,16.0511995150001 -69.8680545619999,15.977590515 -69.8597455619999,15.920336515 -69.8600185619999,15.880909515 -69.863636562,15.645618515 -69.891690562,15.584527515 -69.9022545619999,15.563709514 -69.9064185619999,15.5211725140001 -69.917799562,15.5037185140001 -69.923627562,15.472590514 -69.935563562,15.4487185140001 -69.9475275619999,15.3989815140001 -69.978072562,15.376454514 -69.996945562,15.367609514 -70.0097365619999),(47.4122725440001 -67.6105635599999,47.4086905440001 -67.62084556,47.418972544 -67.63307256,47.4400365440001 -67.64389056,47.4620095440001 -67.6477815599999,47.501199544 -67.65279056,47.6114185440001 -67.65225456,47.719763544 -67.6514095599999,47.7680995440001 -67.64666356,47.8022725450001 -67.6428095599999,47.8333995450001 -67.63696356,47.8459185450001 -67.63307256,47.871981545 -67.62057256,47.883399545 -67.61334556,47.8973185450001 -67.59751856,47.8980365450001 -67.59428156,47.8832725450001 -67.57529056,47.8714275450001 -67.56669956,47.8461725450001 -67.5630815599999,47.814236545 -67.56556356,47.785618545 -67.57363656,47.7720095440001 -67.57835456,47.7284275440001 -67.58779956,47.6917455440001 -67.5894455599999,47.671181544 -67.58668156,47.655618544 -67.5819725599999,47.6434095440001 -67.57667256,47.6353455440001 -67.57029956,47.6310455440001 -67.5608545599999,47.634799544 -67.5427995599999,47.6400815440001 -67.52542756,47.609218544 -67.51169056,47.5898185440001 -67.51028156,47.539827544 -67.51045456,47.509799544 -67.52336356,47.4742095440001 -67.54335456,47.463954544 -67.54947256,47.453645544 -67.55778156,47.4361905440001 -67.57194556,47.428927544 -67.57972756,47.4122725440001 -67.6105635599999),(48.2961815450001 -66.802645559,48.291472545 -66.820009559,48.293672545 -66.8336185589999,48.301736545 -66.8530725589999,48.3133905450001 -66.865281559,48.3211995450001 -66.8716905589999,48.3442095450001 -66.883072559,48.3572725450001 -66.887218559,48.3794905450001 -66.8902905589999,48.3973185450001 -66.8902905589999,48.5028455450001 -66.8547365589999,48.5170095450001 -66.8511365589999,48.5458725450001 -66.8461185589999,48.6120365450001 -66.839754559,48.6453635450001 -66.837509559,48.680636545 -66.835863559,48.7128635450001 -66.8344545589999,48.7836635450001 -66.832790559,48.7981275450001 -66.8313905589999,48.814481545 -66.8283545589999,48.8289455450001 -66.824718559,48.8406095450001 -66.818636559,48.8436905450001 -66.8080635589999,48.8352095450001 -66.7884815589999,48.817290545 -66.7672275589999,48.793972545 -66.756136559,48.775909545 -66.751954559,48.7569905450001 -66.750581559,48.7228095450001 -66.751681559,48.705354545 -66.753618559,48.5572815450001 -66.764736559,48.4628635450001 -66.757799559,48.4275815450001 -66.757509559,48.397554545 -66.759181559,48.3645365450001 -66.763336559,48.335918545 -66.770290559,48.3119905450001 -66.7822455589999,48.303381545 -66.789745559,48.2961815450001 -66.802645559),(68.4136545640001 -72.243345564,68.3978095640001 -72.264881564,68.4116995640001 -72.2741815639999,68.435863564 -72.278072564,68.460590564 -72.279190564,68.4820095640001 -72.277790564,68.5411545640001 -72.2702905639999,68.6872725640001 -72.241390564,68.741409564 -72.2302995639999,68.776690564 -72.220581564,68.7900545640001 -72.215290564,68.8158725640001 -72.200572564,68.8228275640001 -72.1855635639999,68.8217275640001 -72.171418564,68.8178275640001 -72.161945564,68.799518564 -72.1389185639999,68.781145564 -72.1208365639999,68.7653365640001 -72.107790564,68.7486725640001 -72.095836564,68.736409564 -72.090290564,68.7125365640001 -72.086399564,68.6931275640001 -72.0889095639999,68.662245564 -72.1000095639999,68.636427564 -72.114745564,68.4136545640001 -72.243345564),(69.7392095650001 -71.956127564,69.7372545650001 -71.970581564,69.7400635650001 -72.004472564,69.744463565 -72.0188905639999,69.7578275650001 -72.031418564,69.7780905650001 -72.035854564,69.7975635650001 -72.033081564,69.8133725650001 -72.028072564,69.8275275650001 -72.0216635639999,69.8397995650001 -72.0144545639999,69.958936565 -71.9355635639999,69.9588185650001 -71.921263564,69.9497815650001 -71.9116815639999,69.9411815650001 -71.905836564,69.9314095650001 -71.900845564,69.9161545650001 -71.894999564,69.891127565 -71.891963564,69.8670185650001 -71.891109564,69.8477905650001 -71.8938905639999,69.812818565 -71.901672564,69.798909565 -71.907790564,69.7730905650001 -71.923627564,69.7517275650001 -71.9408545639999,69.7392095650001 -71.956127564),(71.690472567 -70.334736563,71.687518567 -70.353072563,71.7828545670001 -70.512218563,71.795299567 -70.528209563,71.8314365670001 -70.5558455629999,71.8625635670001 -70.565290563,71.9122455670001 -70.5797275629999,71.967236567 -70.591690563,72.0380995670001 -70.602781563,72.1145185670001 -70.611390563,72.206745567 -70.6158635629999,72.227009567 -70.613081563,72.2420185670001 -70.610018563,72.257827567 -70.605854563,72.272845567 -70.599727563,72.2842275670001 -70.588481563,72.2821545670001 -70.574472563,72.267536567 -70.558336563,72.2503185670001 -70.546690563,72.196972567 -70.518345563,72.1753095670001 -70.508072563,72.1630995670001 -70.502790563,72.142290567 -70.491681563,72.1103095670001 -70.4744725629999,72.0919995670001 -70.463627563,72.083390567 -70.4577905629999,72.0583635670001 -70.439454563,72.046463567 -70.4283635629999,71.9908635670001 -70.371418563,71.9743455670001 -70.348899563,71.9647995670001 -70.331390563,71.9496275670001 -70.309036563,71.9300725670001 -70.294172562,71.9086455670001 -70.283909562,71.894245567 -70.2783545619999,71.8786815670001 -70.273636562,71.857254567 -70.269181562,71.837536567 -70.265854562,71.812518567 -70.2650275619999,71.7950635670001 -70.267809562,71.7680815670001 -70.277527562,71.754772567 -70.2847275619999,71.7239545670001 -70.306399563,71.7017365670001 -70.3225275629999,71.690472567 -70.334736563),(85.2284095790001 -66.526127559,85.153790579 -66.587099559,85.1541815790001 -66.606690559,85.1745185790001 -66.6197545589999,85.1906095790001 -66.6238995589999,85.2067275790001 -66.625309559,85.2703365790001 -66.629199559,85.316163579 -66.6297275589999,85.3328365790001 -66.628618559,85.3658635800001 -66.6238995589999,85.3825185800001 -66.618636559,85.3976725800001 -66.6090365589999,85.39545458 -66.592227559,85.2966905790001 -66.526945559,85.284190579 -66.520290559,85.2680815790001 -66.5175185589999,85.2517095790001 -66.5175185589999,85.2416995790001 -66.5197455589999,85.2284095790001 -66.526127559),(85.3728185800001 -66.7466905589999,85.3717095800001 -66.766109559,85.3726545800001 -66.789745559,85.3821185800001 -66.8090365589999,85.39809058 -66.818345559,85.46893658 -66.848890559,85.5013995800001 -66.859454559,85.5502905800001 -66.8716905589999,85.74169958 -66.949718559,85.75476358 -66.9563905589999,85.7841905800001 -66.9697455589999,85.8002905800001 -66.9761365589999,85.8330725800001 -66.988081559,85.84949958 -66.9922365589999,85.8991725800001 -67.000309559,85.94892758 -67.0030635589999,86.03199958 -67.005018559,86.0653185800001 -67.0011275589999,86.11561858 -66.989745559,86.1458725800001 -66.9780725589999,86.15948158 -66.971690559,86.1830905800001 -66.9557185589999,86.1903185800001 -66.9355635589999,86.18073658 -66.919190559,86.1677995800001 -66.909454559,86.1450365800001 -66.8975185589999,86.1286635800001 -66.8922275589999,85.9364185800001 -66.8069635589999,85.8719635800001 -66.773899559,85.8394905800001 -66.762218559,85.79059958 -66.7499995589999,85.7744725800001 -66.7461275589999,85.6600365800001 -66.726963559,85.64362758 -66.725581559,85.56171858 -66.7211185589999,85.5125095800001 -66.720581559,85.4797545800001 -66.721690559,85.4467275800001 -66.723890559,85.4133905800001 -66.727527559,85.3798815800001 -66.7369455589999,85.3728185800001 -66.7466905589999),(86.3250095800001 -66.691699559,86.3015545800001 -66.7144725589999,86.3076815800001 -66.734609559,86.3219725800001 -66.7508365589999,86.34504558 -66.758618559,86.36139058 -66.762799559,86.3778185800001 -66.766690559,86.4269995800001 -66.773363559,86.4597815810001 -66.776127559,86.492799581 -66.774736559,86.6034095810001 -66.761399559,86.6197545810001 -66.758909559,86.6856095810001 -66.7458365589999,86.7022815810001 -66.741972559,86.7186275810001 -66.736972559,86.730327581 -66.727099559,86.7286455810001 -66.708899559,86.682818581 -66.676954559,86.6664455810001 -66.671690559,86.6339095810001 -66.6639095589999,86.5847815810001 -66.656127559,86.5519995810001 -66.653354559,86.5192275810001 -66.653354559,86.4700455810001 -66.655836559,86.40448158 -66.660854559,86.3747545800001 -66.6672365589999,86.3583545800001 -66.672518559,86.34504558 -66.678890559,86.3250095800001 -66.691699559),(92.2739275860001 -65.744463558,92.268918586 -65.764172558,92.2736365860001 -65.779045558,92.3272815860001 -65.798627558,92.3436275860001 -65.800581558,92.392272586 -65.8052995579999,92.440318586 -65.807254558,92.4978185860001 -65.8075095579999,92.5286365860001 -65.803890558,92.6072365860001 -65.8008455579999,92.6364275860001 -65.802245558,92.6525275860001 -65.804181558,92.6989275860001 -65.798354558,92.7305905860001 -65.7911185579999,92.7447545860001 -65.784190558,92.7582185860001 -65.7739185579999,92.7622635860001 -65.7639185579999,92.756854586 -65.7479365579999,92.7377905860001 -65.735563558,92.720581586 -65.729736558,92.5439635860001 -65.6780725579999,92.5272995860001 -65.674999558,92.495054586 -65.672245558,92.447818586 -65.672809558,92.432554586 -65.674727558,92.390563586 -65.685290558,92.3608365860001 -65.693072558,92.3158545860001 -65.7050185579999,92.301409586 -65.710863558,92.284745586 -65.721399558,92.2739275860001 -65.744463558),(96.2725635900001 -66.163063559,96.2619635900001 -66.192936559,96.2759995900001 -66.206272559,96.2922545900001 -66.213627559,96.31892759 -66.221954559,96.36809959 -66.228618559,96.5975365900001 -66.2552905589999,96.6489275900001 -66.261136559,96.7294905900001 -66.2639185589999,96.7675185900001 -66.259736559,96.79585459 -66.2533545589999,96.82392759 -66.245009559,96.8447455900001 -66.235018559,96.86834559 -66.217518559,96.8765725900001 -66.208209559,96.88363659 -66.1931995589999,96.8857185900001 -66.176545559,96.8819545900001 -66.158763559,96.86390959 -66.133072559,96.84779059 -66.1216905589999,96.8353275900001 -66.116681559,96.8088995900001 -66.109190559,96.7922545900001 -66.1061365589999,96.7291905900001 -66.097227559,96.6716905900001 -66.094463559,96.6263995900001 -66.094999559,96.5405995900001 -66.0980725589999,96.4400185900001 -66.105854559,96.3894815900001 -66.114745559,96.36114559 -66.1211275589999,96.3353275900001 -66.128618559,96.3097725900001 -66.137509559,96.2911545900001 -66.148363559,96.2725635900001 -66.163063559),(97.1047545900001 -66.3952905589999,97.08990959 -66.412090559,97.0901545900001 -66.427654559,97.10058159 -66.4389185589999,97.1236545900001 -66.449190559,97.1483905900001 -66.4563905589999,97.206127591 -66.466399559,97.2291905910001 -66.466399559,97.2522725910001 -66.465572559,97.2725185910001 -66.4639095589999,97.308363591 -66.4589095589999,97.3211635910001 -66.4547275589999,97.341981591 -66.444745559,97.3512635910001 -66.435581559,97.3510185910001 -66.4198725589999,97.336309591 -66.406263559,97.3217275910001 -66.398363559,97.2927995910001 -66.3922275589999,97.2219815910001 -66.384736559,97.2055815910001 -66.383363559,97.1639545900001 -66.382245559,97.1408725900001 -66.383072559,97.1278185900001 -66.386136559,97.1047545900001 -66.3952905589999),(98.6097455920001 -66.4283635589999,98.6008635920001 -66.4370995589999,98.6010085920001 -66.4537545589999,98.6119995920001 -66.467936559,98.6261635920001 -66.476672559,98.638918592 -66.480563559,98.6536275920001 -66.4836095589999,98.6856085920001 -66.489454559,98.7019635920001 -66.490572559,98.7291905920001 -66.4958365589999,98.7719725920001 -66.491972559,98.7897365920001 -66.489199559,98.807254592 -66.485563559,98.8303185920001 -66.4780725589999,98.8505815920001 -66.467799559,98.8600455920001 -66.461136559,98.8602905920001 -66.450436559,98.8472275920001 -66.441118559,98.821963592 -66.4341905589999,98.7564085920001 -66.423354559,98.7042275920001 -66.419463559,98.6605815920001 -66.419463559,98.6378185920001 -66.420581559,98.622254592 -66.423063559,98.6097455920001 -66.4283635589999),(99.225890592 -66.7105545589999,99.217136592 -66.719736559,99.222263592 -66.735581559,99.2550085920001 -66.749727559,99.271663592 -66.7508365589999,99.294490592 -66.748609559,99.338072593 -66.738081559,99.3505815930001 -66.733918559,99.3833635930001 -66.7191815589999,99.4925545930001 -66.644999559,99.5171185930001 -66.624318559,99.5264275930001 -66.6061365589999,99.523372593 -66.593899559,99.4950545930001 -66.581972559,99.476136593 -66.581127559,99.440608593 -66.5866815589999,99.415590593 -66.5961185589999,99.3930635930001 -66.605854559,99.3830545930001 -66.610854559,99.225890592 -66.7105545589999),(100.249208593 -65.576954558,100.246272593 -65.587781558,100.248499593 -65.603899558,100.264927593 -65.617809558,100.300845593 -65.6350275579999,100.321963593 -65.643890558,100.334781593 -65.648636558,100.370845593 -65.6613905579999,100.397518594 -65.667236558,100.428645594 -65.672809558,100.477781594 -65.6780725579999,100.496145594 -65.678890558,100.672245594 -65.6800275579999,100.754999594 -65.678618558,100.860836594 -65.672809558,100.920036594 -65.668354558,100.981136594 -65.6633455579999,101.024481594 -65.6586185579999,101.058899594 -65.6547275579999,101.078054594 -65.651409558,101.132808594 -65.635845558,101.154163594 -65.627245558,101.212527594 -65.5920905579999,101.235599594 -65.570572558,101.252499594 -65.5508455579999,101.256154594 -65.5366815579999,101.258363594 -65.5133365579999,101.256654594 -65.503772558,101.250608594 -65.488081558,101.245063594 -65.479190558,101.232790594 -65.465027558,101.216663594 -65.452236558,101.196718594 -65.440563558,101.185854594 -65.435563558,101.162781594 -65.4277815579999,101.124999594 -65.416399558,101.085018594 -65.405299558,101.058345594 -65.399463558,101.009218594 -65.393345558,100.975036594 -65.391109558,100.956972594 -65.3902905579999,100.843081594 -65.389454558,100.801699594 -65.391963558,100.760308594 -65.394745558,100.721681594 -65.398899558,100.681154594 -65.4033545579999,100.663936594 -65.405299558,100.594727594 -65.416945558,100.563663594 -65.423627558,100.537227594 -65.430845558,100.461436594 -65.455845558,100.426145594 -65.4691815579999,100.395318594 -65.483081558,100.341427593 -65.507509558,100.303890593 -65.5283545579999,100.264772593 -65.5575095579999,100.249208593 -65.576954558),(100.495608594 -66.141399559,100.491699594 -66.150009559,100.554745594 -66.147236559,100.594481594 -66.143063559,100.631954594 -66.1389185589999,100.680845594 -66.128618559,100.693363594 -66.1249995589999,100.729736594 -66.111681559,100.739199594 -66.106418559,100.756136594 -66.090427559,100.753781594 -66.075299559,100.742245594 -66.0652905589999,100.720027594 -66.055554559,100.707281594 -66.051699559,100.677799594 -66.0461095589999,100.658945594 -66.044463559,100.638363594 -66.0447365589999,100.618654594 -66.046954559,100.580563594 -66.0677905589999,100.538936594 -66.103618559,100.495608594 -66.141399559),(100.711427594 -65.829736558,100.708072594 -65.8514095579999,100.718936594 -65.8561365579999,100.750308594 -65.861681558,100.770572594 -65.861390558,100.790590594 -65.860018558,100.883663594 -65.847781558,100.932563594 -65.839172558,100.963618594 -65.831390558,100.985290594 -65.822781558,100.995999594 -65.8122365579999,100.986999594 -65.804181558,100.972527594 -65.8011365579999,100.937499594 -65.798890558,100.880308594 -65.796954558,100.818654594 -65.8016995579999,100.784481594 -65.8066725579999,100.748108594 -65.812499558,100.724181594 -65.821409558,100.711427594 -65.829736558),(102.776008596 -65.1373635579999,102.773799596 -65.152645558,102.781154596 -65.169172558,102.878908596 -65.284618558,102.888063596 -65.290863558,102.900881596 -65.294463558,102.935054596 -65.296418558,102.972781596 -65.296109558,102.989199596 -65.297809558,103.004208596 -65.3011365579999,103.015318596 -65.305845558,103.024172596 -65.310854558,103.041136596 -65.323345558,103.056399596 -65.337236558,103.081127596 -65.366972558,103.101145596 -65.390581558,103.116390596 -65.404190558,103.125845596 -65.4100185579999,103.147827596 -65.418354558,103.160581596 -65.422245558,103.303099596 -65.462799558,103.395572596 -65.4869725579999,103.416445596 -65.488081558,103.433345596 -65.485854558,103.449763596 -65.477927558,103.472527596 -65.450009558,103.468627596 -65.438572558,103.433345596 -65.419463558,103.370845596 -65.387218558,103.350281596 -65.376681558,103.329463596 -65.366390558,103.306699596 -65.3561365579999,103.288936596 -65.3464095579999,103.261408596 -65.3261275579999,103.248354596 -65.312227558,103.242799596 -65.295836558,103.240027596 -65.2751545579999,103.241999596 -65.255845558,103.249208596 -65.2422365579999,103.253627596 -65.208763558,103.247127596 -65.192518558,103.235290596 -65.183627558,103.201172596 -65.167799558,102.947272596 -65.106963558,102.920590596 -65.101672558,102.867799596 -65.0975185579999,102.850590596 -65.0988905579999,102.832281596 -65.1022455579999,102.798654596 -65.116118558,102.784181596 -65.128354558,102.776008596 -65.1373635579999),(154.978636644 -68.981136561,154.954608644 -69.0158455609999,154.964754644 -69.036390561,154.975281644 -69.042799561,154.991972644 -69.047245561,155.014736644 -69.0497275609999,155.031954644 -69.0499995609999,155.200836645 -69.046109561,155.249454645 -69.038081561,155.263645645 -69.034454561,155.292781645 -69.0233635609999,155.310854645 -69.0080725609999,155.311672645 -68.994463561,155.309690645 -68.9850185609999,155.306399645 -68.978072561,155.290554645 -68.9627995609999,155.263336645 -68.951954561,155.090699644 -68.922145561,155.056399644 -68.930027561,155.040554644 -68.936399561,155.015563644 -68.950299561,154.978636644 -68.981136561),(155.517518645 -69.041945561,155.515718645 -69.065836561,155.526399645 -69.081681561,155.536136645 -69.086681561,155.557527645 -69.092227561,155.616118645 -69.094181561,155.638645645 -69.098636561,155.666408645 -69.109454561,155.700290645 -69.1255815609999,155.708890645 -69.1313905609999,155.736690645 -69.142227561,155.776118645 -69.151127561,155.817781645 -69.152790561,155.873627645 -69.151127561,155.906954645 -69.1313905609999,155.916263645 -69.1126545609999,155.918336645 -69.0894455609999,155.897381645 -69.067518561,155.883699645 -69.058972561,155.870027645 -69.053618561,155.852236645 -69.0480635609999,155.816408645 -69.038909561,155.686954645 -69.0125095609999,155.664463645 -69.0080725609999,155.578336645 -68.995009561,155.556672645 -68.993899561,155.540554645 -68.995009561,155.524872645 -69.0040455609999,155.517518645 -69.041945561),(162.297927651 -66.191963559,162.282654651 -66.2172455589999,162.306945651 -66.264736559,162.326963651 -66.2947365589999,162.342799651 -66.3172275589999,162.350008651 -66.325009559,162.402254651 -66.3658635589999,162.439454651 -66.382799559,162.514190651 -66.4172365589999,162.549745651 -66.436672559,162.568081651 -66.4350275589999,162.583218651 -66.426554559,162.592227651 -66.417527559,162.613354651 -66.3759905589999,162.610836651 -66.361954559,162.601408651 -66.350581559,162.499727651 -66.263336559,162.470581651 -66.240281559,162.460018651 -66.2322365589999,162.428072651 -66.2089095589999,162.363890651 -66.166399559,162.346681651 -66.1669455589999,162.327518651 -66.171954559,162.316408651 -66.177245559,162.297927651 -66.191963559),(162.959472652 -66.568072559,162.948345652 -66.575572559,162.948918652 -66.585863559,162.993345652 -66.672809559,163.020572652 -66.716945559,163.054472652 -66.7483545589999,163.063899652 -66.753618559,163.077790652 -66.758072559,163.094454652 -66.758909559,163.106963652 -66.756136559,163.122799652 -66.7444635589999,163.132508652 -66.7322365589999,163.137790652 -66.712509559,163.136690652 -66.691972559,163.126681652 -66.643063559,163.118345652 -66.6230635589999,163.098354652 -66.600299559,163.087799652 -66.591945559,163.075008652 -66.586399559,163.021390652 -66.567518559,163.006681652 -66.564454559,162.990299652 -66.5636275589999,162.971681652 -66.5655635589999,162.959472652 -66.568072559),(164.559308653 -67.2748725599999,164.556545653 -67.28820956,164.598636653 -67.3502995599999,164.644863653 -67.4130725599999,164.636963653 -67.4630545599999,164.630863653 -67.47584556,164.616545653 -67.4980815599999,164.620299653 -67.5119725599999,164.639736653 -67.53112756,164.665281653 -67.55389056,164.676972653 -67.56196356,164.724727653 -67.58862756,164.737518653 -67.59558156,164.748627653 -67.59947256,164.766118653 -67.6000095599999,164.787227653 -67.59529056,164.801390653 -67.59029056,164.835018654 -67.57363656,164.879454654 -67.55113656,164.881954654 -67.53808156,164.881408654 -67.52446356,164.851963654 -67.44834556,164.837390654 -67.41987256,164.770845653 -67.33501856,164.757236653 -67.32000956,164.718354653 -67.28224556,164.703918653 -67.2683455599999,164.692227653 -67.26028156,164.678072653 -67.25613656,164.631681653 -67.2524995599999,164.593354653 -67.26169056,164.559308653 -67.2748725599999),(166.081363655 -78.10196357,166.064708655 -78.11793657,166.072754655 -78.13502757,166.089445655 -78.1425185699999,166.112208655 -78.1505545699999,166.139736655 -78.15472757,166.165554655 -78.16001857,166.186108655 -78.1698725699999,166.197490655 -78.21058157,166.188872655 -78.22029057,166.160854655 -78.2322365699999,166.140536655 -78.23780957,166.098354655 -78.25557257,166.119718655 -78.27029057,166.142763655 -78.2780725699999,166.290254655 -78.3105635699999,166.318054655 -78.31474557,166.352199655 -78.3136275699999,166.372527655 -78.30807257,166.414699655 -78.29002757,166.434690655 -78.28445457,166.506099655 -78.27446357,166.606690655 -78.26221857,166.745272655 -78.23974557,166.769927655 -78.2193815699999,166.752227655 -78.2066815699999,166.686127655 -78.17750957,166.601408655 -78.16639957,166.408054655 -78.13779957,166.279690655 -78.11500957,166.134736655 -78.10084557,166.105808655 -78.0980725699999,166.081363655 -78.10196357),(166.258881655 -77.521118569,166.217099655 -77.535436569,166.242645655 -77.577099569,166.351654655 -77.6172365689999,166.374999655 -77.6238995689999,166.479427655 -77.641399569,166.505863655 -77.6455815689999,166.533908655 -77.648363569,166.594418655 -77.650299569,166.625308655 -77.650554569,166.684445655 -77.653627569,166.831936655 -77.6613905689999,166.858581655 -77.6655725689999,166.876172655 -77.679027569,166.844727655 -77.688918569,166.809145655 -77.692227569,166.776945655 -77.693345569,166.714718655 -77.692790569,166.584445655 -77.696681569,166.557772655 -77.7088275689999,166.589145655 -77.7197455689999,166.712245655 -77.7219545689999,166.774418655 -77.722518569,166.839718655 -77.720581569,166.873690655 -77.7293815689999,166.788754655 -77.778909569,166.705018655 -77.8047365689999,166.678618655 -77.8219545699999,166.690127655 -77.83930957,166.745272655 -77.8575095699999,166.776645655 -77.85779057,166.811127655 -77.85556357,166.856518655 -77.84918157,166.874572655 -77.83335457,166.890290655 -77.81418157,166.940845655 -77.7866815689999,166.975581656 -77.778354569,167.012481656 -77.773636569,167.107790656 -77.759181569,167.259736656 -77.732790569,167.284727656 -77.7272455689999,167.329999656 -77.706127569,167.348908656 -77.691699569,167.547208656 -77.641399569,167.583618656 -77.6366905689999,167.617245656 -77.634181569,167.680545656 -77.633363569,167.709990656 -77.634736569,167.766418656 -77.6402905689999,167.819699656 -77.642809569,167.912754656 -77.643345569,168.072754657 -77.6389185689999,168.103636657 -77.639172569,168.163081657 -77.641963569,168.188872657 -77.6469545689999,168.213045657 -77.653627569,168.254972657 -77.667527569,168.274745657 -77.672518569,168.301936657 -77.676409569,168.418608657 -77.6844455689999,168.507754657 -77.6883365689999,168.565308657 -77.687227569,168.594181657 -77.683072569,168.839145657 -77.648899569,168.904690657 -77.6452905689999,168.940554657 -77.6402905689999,169.232790658 -77.5800185689999,169.286099658 -77.568890569,169.392518658 -77.5405725689999,169.421963658 -77.528354569,169.451108658 -77.496690569,169.450836658 -77.469999569,169.422999658 -77.462981569,169.381099658 -77.452527569,169.355527658 -77.447527569,169.327236658 -77.444745569,169.298063658 -77.443636569,169.094181657 -77.4333365689999,168.873627657 -77.402254569,168.544436657 -77.371127569,168.461090657 -77.363345569,168.353336657 -77.355563569,168.262481657 -77.355299569,168.229427657 -77.3575095689999,168.195554657 -77.361390569,168.130554657 -77.371418569,168.058899657 -77.388072569,168.036408656 -77.3922275689999,167.900545656 -77.405563569,167.804172656 -77.4102815689999,167.716945656 -77.405836569,167.458072656 -77.3902905689999,167.379699656 -77.383618569,167.327236656 -77.375581569,167.302245656 -77.370281569,167.229190656 -77.3530725689999,167.183590656 -77.338909569,167.140290656 -77.319736569,167.153745656 -77.2904185689999,167.091945656 -77.226963569,167.063218656 -77.208763569,166.991945656 -77.191118569,166.923336655 -77.1819635689999,166.896118655 -77.179181569,166.810818655 -77.174472569,166.722472655 -77.172518569,166.692781655 -77.172245569,166.631654655 -77.172809569,166.594163655 -77.179472569,166.423463655 -77.237099569,166.372218655 -77.276890569,166.413327655 -77.3050275689999,166.437808655 -77.310290569,166.503908655 -77.327236569,166.548336655 -77.341690569,166.591645655 -77.3575095689999,166.619845655 -77.3842365689999,166.420836655 -77.483081569,166.283599655 -77.5155815689999,166.258881655 -77.521118569),(166.874172655 -78.19474557,166.871645655 -78.2080815699999,166.906127655 -78.2230725699999,166.924708655 -78.2294455699999,166.949736655 -78.23585457,167.061672656 -78.25195457,167.117490656 -78.2547275699999,167.315554656 -78.25361857,167.449736656 -78.25083657,167.485018656 -78.2483545699999,167.510799656 -78.24305457,167.524418656 -78.23697257,167.625581656 -78.18167257,167.653872656 -78.15641857,167.677090656 -78.12084557,167.596681656 -78.0219545699999,167.585536656 -78.01473657,167.540554656 -78.0030635699999,167.483918656 -77.9964185699999,167.459445656 -77.99528157,167.425018656 -77.99752757,167.406918656 -78.00195457,167.393863656 -78.00807257,167.379154656 -78.02405457,167.378481656 -78.03612757,167.349454656 -78.06474557,167.322754656 -78.07667257,167.290008656 -78.0883455699999,167.185581656 -78.1233545699999,167.146363656 -78.13473657,167.043027656 -78.15641857,166.965572655 -78.17251857,166.887790655 -78.1889185699999,166.874172655 -78.19474557),(168.373627657 -76.155836568,168.362199657 -76.1665455679999,168.371399657 -76.1766995679999,168.435818657 -76.2055635679999,168.467527657 -76.215572568,168.506954657 -76.225845568,168.576663657 -76.2347455679999,168.603336657 -76.232790568,168.550808657 -76.187809568,168.542781657 -76.181399568,168.507508657 -76.164463568,168.490818657 -76.158618568,168.450836657 -76.1488995679999,168.420290657 -76.147518568,168.396118657 -76.150554568,168.373627657 -76.155836568),(169.401645658 -73.527254566,169.388181658 -73.536418566,169.542481658 -73.594745566,169.587799658 -73.597227566,169.659427658 -73.5958365659999,169.750308658 -73.600845566,169.799163658 -73.598354566,169.824436658 -73.595581566,169.855808658 -73.583909566,169.909181658 -73.5602905659999,169.918027658 -73.554181566,169.929854658 -73.445163565,169.887790658 -73.406963565,169.852936658 -73.3754275649999,169.849699658 -73.338627565,169.866945658 -73.326127565,169.890699658 -73.297654565,169.868590658 -73.2891725649999,169.845308658 -73.2891725649999,169.699736658 -73.299727565,169.673890658 -73.303618565,169.574190658 -73.365281565,169.556636658 -73.3841815649999,169.525845658 -73.429181565,169.526090658 -73.4422275649999,169.521663658 -73.4553095649999,169.517208658 -73.468336565,169.509427658 -73.4800275649999,169.473599658 -73.504472565,169.460299658 -73.510563565,169.424163658 -73.521663566,169.401645658 -73.527254566)))', 'Antarctic 200NM zone beyond the coastline', 'Antarctica', 'Antarctica', '', '213', '213', 'ATA', '8489', '', '10233940480000', '8489', 'Y'),('SRID=4326;MULTIPOLYGON(((98.025 5.95000000000005,98.291666589 5.45000014500005,98.2916666670001 5.45000000000005,98.520970848 5.15094913100006,98.6916666670001 4.92833333300007,99.7266666670001 3.99333333300007,99.82385994 3.88931948000004,99.9166666670001 3.79000000000002,100.972842366 2.88725060200005,101.201666667 2.69166666700005,101.388161444 2.55016917600005,101.775 2.25666666700005,102.223333333 1.92000000000007,102.223333433 1.91999993500002,102.583333333 1.68666666700005,103.065 1.32500000000005,103.379999388 1.25000014600005,103.38 1.25000000000006,103.386814115 1.24667092400006,103.424969425 1.22802992100003,103.424969521 1.22802987400007,103.424969885 1.22802969600002,103.429677781 1.22520495900005,103.448126628 1.21413565100005,103.480545668 1.18866354800002,103.480546069 1.18866323300006,103.489985074 1.17356082500004,103.49212444 1.17013783900006,103.512965509 1.15161244500007,103.529175229 1.13540272400007,103.559278995 1.16319081600005,103.568541692 1.17245351300005,103.582435738 1.18634755900007,103.593231731 1.19930275100006,103.594014109 1.20024160500003,103.594014203 1.20024166400003,103.612539504 1.21181997600007,103.628749224 1.20718862800004,103.651905967 1.19561025600007,103.670555556 1.17944444400007,103.740638889 1.13036111100007,103.805055556 1.17144444400003,103.859861111 1.19597222200002,103.880583333 1.20725000000004,104.033388889 1.26950000000005,104.061780318 1.27202750800006,104.084937061 1.26971183500007,104.117356501 1.26508048500006,104.152091615 1.25813346200005,104.184511056 1.25581778800006,104.21924617 1.25813346200005,104.25166561 1.25581778800006,104.28408505 1.25813346200005,104.310938908 1.26932257000004,104.311873142 1.26971183400002,104.316007657 1.27164127400005,104.346608256 1.28592155400003,104.381343371 1.30907829700004,104.403885695 1.32711215600006,104.404500115 1.32760369100004,104.427656857 1.33918206300007,104.457760623 1.36002313100005,104.491666667 1.39833333300004,104.523854565 1.41764607200003,104.883333333 1.63333333300005,105.086666667 1.90666666700002,105.086666599 1.90666714300005,105.02 2.37500000000006,104.932799246 2.66896542900002,104.877109991 2.85670137100004,104.858333333 2.92000000000007,104.84686046 3.04597214700004,104.775 3.83500000000004,104.865 4.05000000000007,105.48 5.07833333300005,105.785 5.67666666700006,105.82 6.09666666700002,106.02021813 6.17219412500003,106.179303829 6.24704509000003,106.569285125 6.44332718500004,106.582602138 6.44833125500003,106.594642599 6.45285550900007,106.62911908 6.46578609500006,106.723567737 6.50120919900007,107.006342185 6.60178208400004,107.198716144 6.67022557900003,107.3625606 6.72851850900003,107.6702706 6.83364950900005,107.745054869 6.85770760200006,107.815054223 6.88022630400008,108.615197019 7.13834661600004,109.126872349 7.30235138100005,109.165050026 7.31450112100003,109.315949775 7.36252375600003,109.424285533 6.86899674900008,109.643333436 6.30333293300004,109.810234727 5.91880561300007,109.983333333 5.52000000000004,110.033333333 4.66666666700007,109.908333333 3.00000000000006,109.646666667 2.08333333300004,109.646666436 2.08333292900005,109.626770223 2.04800167700006,109.575890602 1.98868214300006,109.439699602 1.95416414300007,109.337199602 1.88805514300003,109.334990602 1.81528214300005,109.331381602 1.79111014300003,109.282763602 1.70833714300005,109.274699602 1.69528214300004,109.263045602 1.67944614300006,109.233454602 1.64736414300006,109.209427602 1.63028214300004,109.200545602 1.62471914300005,109.171918602 1.61250014300003,109.158863602 1.60500014300004,109.146381602 1.59666414300006,109.105263602 1.56916414300002,109.093599602 1.56028214300005,109.076936602 1.54639114300005,109.066936602 1.53221914300002,109.062190602 1.52333714300005,109.059418602 1.51250014300007,109.058027602 1.49333714300008,109.058590602 1.45971914300003,109.060808602 1.44111014300006,109.062763602 1.42278214300006,109.062763602 1.38166414300002,109.060672602 1.36652814300004,109.056090602 1.35416414300005,109.040263602 1.32194614300005,109.025272602 1.29583714300003,109.009018602 1.27431014300004,108.998272602 1.25833714300006,108.986645602 1.23833714300002,108.982063601 1.22611014300003,108.981236601 1.21444614300003,109.055454602 1.21798214300003,109.139854602 1.26194614300005,109.149718602 1.27944614300003,109.165545602 1.31166414300003,109.173863602 1.32416414300008,109.232054602 1.39597314300005,109.243590602 1.40500014300005,109.263599602 1.39458214300004,109.174427602 1.27750014300005,109.158727602 1.25889114300003,109.095836602 1.21166414300006,109.081381602 1.20555514300003,109.064990602 1.20139114300002,108.958599601 1.17666414300004,108.959990601 1.05555514200006,108.974427601 1.02194614200005,108.979981601 1.00666414200003,108.982754601 0.995837142000028,108.984708602 0.977219142000024,108.984708602 0.96361014200005,108.978590601 0.942500142000029,108.970263601 0.923337142000037,108.962199601 0.910837142000048,108.943036601 0.888891142000034,108.923727601 0.870555142000057,108.909418601 0.867782142000067,108.893872601 0.867364142000042,108.853863601 0.835555142000032,108.847345601 0.824864142000024,108.845490601 0.810564142000032,108.858599601 0.796391142000061,108.875808601 0.77944614200004,108.884718601 0.767782142000044,108.888890601 0.758055142000046,108.921654601 0.646391142000027,108.931927601 0.608610142000032,108.946927601 0.426391142000057,108.946154601 0.406391142000075,108.936636601 0.386664142000029,108.920254601 0.351664142000061,108.915818601 0.332219142000042,108.918590601 0.315137142000026,108.925808601 0.305282142000067,108.934708601 0.300282142000071,108.952472601 0.297500142000047,108.973036601 0.297500142000047,108.986099602 0.298337142000037,109.006099602 0.297500142000047,109.037072602 0.29284614200003,109.053308602 0.28333714200005,109.064145602 0.273610142000052,109.078599602 0.260000142000024,109.099154602 0.23944614200002,109.116927602 0.216110142000048,109.121645602 0.207219142000042,109.165545602 0.106391142000064,109.178036602 0.031110141000056,109.191036602 -0.132771858999945,109.194427602 -0.199162858999955,109.175808602 -0.212217858999963,109.111927602 -0.20499985899994,109.071654602 -0.210135858999934,109.062063602 -0.214308858999971,109.053308602 -0.222499858999925,109.044008602 -0.237362858999973,109.042636602 -0.248889858999974,109.046945602 -0.261662858999955,109.099718602 -0.399162858999944,109.120245602 -0.502217858999927,109.124418602 -0.511662858999955,109.141381602 -0.535971858999972,109.151090602 -0.54666285899998,109.166227602 -0.558889858999976,109.263599602 -0.594026858999939,109.275818602 -0.589162858999941,109.286927602 -0.586389858999951,109.357481602 -0.582217858999968,109.368736602 -0.584717858999966,109.406099602 -0.60555385899994,109.416790602 -0.61278085899994,109.514427602 -0.726944858999957,109.486927602 -0.739162858999975,109.477481602 -0.743335858999956,109.471918602 -0.744717858999934,109.258190602 -0.669308858999955,109.250545602 -0.678335858999958,109.247754602 -0.689162858999964,109.247208602 -0.709162858999946,109.267763602 -0.839162858999941,109.271518602 -0.852635858999975,109.279981602 -0.868053858999929,109.290263602 -0.878335858999947,109.376645602 -0.916108858999962,109.391790602 -0.91805385899994,109.407908602 -0.913608858999964,109.415818602 -0.907080858999961,109.420536602 -0.89125385899996,109.415818602 -0.875553858999979,109.411508602 -0.865835858999958,109.414008602 -0.855971858999965,109.423308602 -0.850971858999969,109.441781602 -0.848889858999939,109.469990602 -0.85166285899993,109.549990602 -0.874162858999966,109.559708602 -0.878335858999947,109.575399602 -0.889862858999948,109.590808602 -0.912217858999952,109.614436602 -0.956389858999955,109.650818602 -0.973608859999956,109.676927602 -0.983753859999979,109.729708602 -0.953608858999928,109.872208602 -1.09138985999994,109.918054602 -1.18249985999995,110.007218602 -1.28166285999993,110.031099602 -1.29888985999997,110.045536602 -1.31194485999993,110.051090602 -1.32028085999997,110.057745602 -1.33388985999994,110.068045603 -1.36528085999993,110.070263603 -1.37694485999998,110.070827603 -1.39347185999998,110.069445603 -1.46555385999994,110.036654602 -1.64360885999997,110.031936602 -1.65944485999995,110.013318602 -1.69555385999996,109.999999602 -1.71732685999996,109.991927602 -1.72916285999997,109.979708602 -1.74083585999995,109.957208602 -1.75583585999993,109.948318602 -1.76055385999996,109.931081602 -1.76749985999993,109.914554602 -1.77499985999998,109.906436602 -1.78916285999998,109.903590602 -1.82833585999992,109.912490602 -1.83999985999998,109.936372602 -1.86416285999996,109.948863602 -1.87221785999998,109.966663602 -1.88194485999998,109.999999602 -1.89458085999996,110.045536602 -1.91333585999996,110.067763603 -1.92528085999993,110.085272603 -1.94221785999997,110.091372603 -1.95638985999994,110.114699603 -2.01610885999997,110.125808603 -2.04694486099993,110.127763603 -2.06194486099997,110.125118603 -2.08666286099998,110.111927603 -2.13194486099997,110.101645603 -2.15583586099996,110.096936603 -2.17166286099996,110.095545603 -2.18388986099995,110.094708603 -2.23597186099994,110.097908603 -2.24652686099995,110.124418603 -2.26471786099995,110.132472603 -2.27694486099995,110.136654603 -2.28666286099997,110.139972603 -2.29694486099993,110.196927603 -2.50778086099996,110.224990603 -2.70971786099994,110.227827603 -2.76449986099993,110.241363603 -2.77944486099994,110.247627603 -2.79041786099998,110.248318603 -2.80694486099998,110.246372603 -2.81860886099997,110.227763603 -2.86166286099996,110.211927603 -2.88701786099995,110.205836603 -2.90138986099993,110.231936603 -2.97110886099995,110.240818603 -2.98278086099998,110.261936603 -3.00249986099993,110.283245603 -3.01360886099997,110.305254603 -2.99638986099995,110.322218603 -2.97944486099993,110.329990603 -2.97305386099993,110.352481603 -2.95471786099995,110.360808603 -2.94916286099993,110.487490603 -2.88083586099998,110.508045603 -2.87388986099995,110.537490603 -2.86916286099995,110.551090603 -2.86916286099995,110.569718603 -2.87110886099993,110.586108603 -2.87528086099996,110.596790603 -2.88180886099997,110.606645603 -2.89583586099997,110.613599603 -2.90944486099994,110.616927603 -2.91971786099998,110.643463603 -3.01666286099993,110.641445603 -3.03270886099995,110.623527603 -3.04360886099994,110.621645603 -3.05388986099996,110.641099603 -3.06888986099995,110.653318603 -3.07721786099995,110.666090603 -3.08166286099993,110.679427603 -3.07860886099996,110.704018603 -3.06221786099997,110.721508603 -3.04541786099998,110.734990603 -3.01778086099995,110.751390603 -2.99221786099997,110.779427603 -2.95888986099993,110.789699603 -2.94860886099997,110.802754603 -2.94110886099998,110.912072603 -2.88930886099996,110.933590603 -2.88694486099996,110.961108603 -2.88854486099996,110.967199603 -2.89443586099998,110.964708603 -2.90236286099997,110.879963603 -2.93778086099996,110.869708603 -2.94110886099998,110.831381603 -2.95055386099995,110.821108603 -2.95388986099994,110.793727603 -2.96778086099994,110.776090603 -2.98416286099996,110.766936603 -2.99583586099993,110.756099603 -3.01221786099995,110.751936603 -3.02513586099997,110.756790603 -3.03416286099997,110.906936603 -3.09444486099994,110.923863603 -3.09778086099993,110.950818603 -3.09833586099995,110.962490603 -3.09638986099998,111.039145603 -3.07721786099995,111.063027603 -3.06694486099997,111.071927603 -3.06221786099997,111.140545604 -3.02110886099996,111.148881604 -3.01555386099994,111.164290604 -3.00305386099996,111.230272604 -2.96638986099993,111.304981604 -2.93138986099996,111.324154604 -2.92333586099994,111.335818604 -2.92110886099994,111.426936604 -2.92860886099993,111.451099604 -2.93221786099997,111.467481604 -2.93610886099998,111.485808604 -2.94528086099996,111.500263604 -2.95805386099994,111.509163604 -2.96971786099994,111.518881604 -2.98749986099995,111.526927604 -3.00666286099994,111.537618604 -3.01999986099997,111.547199604 -3.02416286099998,111.559981604 -3.02166286099992,111.579163604 -3.01360886099997,111.588045604 -3.00888986099994,111.696918604 -2.94652686099994,111.703318604 -2.93298986099995,111.682481604 -2.88416286099994,111.702472604 -2.79055386099998,111.706645604 -2.78083586099996,111.711381604 -2.77194486099995,111.728590604 -2.75471786099996,111.751681604 -2.74982686099997,111.738036604 -2.77471786099994,111.731090604 -2.78833586099995,111.729145604 -2.80721786099997,111.751936604 -2.90055386099993,111.756654604 -2.90944486099994,111.764163604 -2.92249986099995,111.794145604 -2.97444486099994,111.802463604 -2.98694486099993,111.810808604 -2.99916286099995,111.825818604 -3.02583586099996,111.830554604 -3.04166286099996,111.832763604 -3.06694486099997,111.832354604 -3.08375386099993,111.824999604 -3.11416286099995,111.819718604 -3.12916286199993,111.816090604 -3.14638986199998,111.816090604 -3.19416286199993,111.824999604 -3.27416286199997,111.828599604 -3.29138986199996,111.831936604 -3.30833586199998,111.838881604 -3.34944486199993,111.841663604 -3.36721786199996,111.843045604 -3.37971786199995,111.843599604 -3.40638986199997,111.840963604 -3.42749886199994,111.832763604 -3.45694486199994,111.820263604 -3.49249886199993,111.812763604 -3.50555386199994,111.804427604 -3.52471786199993,111.805945604 -3.53888986199996,111.867481604 -3.56833586199997,111.889427604 -3.57388986199993,111.896381604 -3.57388986199993,111.902481604 -3.57333586199996,111.913599604 -3.57055386199994,111.948590604 -3.55055386199996,111.969708604 -3.53083586199995,112.078045604 -3.42694486199997,112.151381604 -3.35638986199996,112.161654604 -3.34610886199994,112.173863604 -3.33778086199993,112.182745604 -3.33305386199993,112.193036604 -3.32971786199994,112.229427605 -3.31805386199994,112.245818605 -3.31388986199994,112.293054605 -3.31333586199997,112.305545605 -3.31471786199995,112.332763605 -3.32138986199993,112.367754605 -3.33444486199994,112.417208605 -3.35360886199993,112.433590605 -3.36444486199997,112.460272605 -3.39278086199994,112.471363605 -3.40221786199993,112.506945605 -3.42833586199993,112.531663605 -3.44471786199995,112.550463605 -3.44652686199993,112.641936605 -3.41916286199995,112.651654605 -3.41528086199997,112.663036605 -3.40638986199997,112.673308605 -3.39610886199995,112.678863605 -3.38778086199994,112.692054605 -3.37347186199997,112.760118605 -3.32524486199998,112.809145605 -3.29194486199998,112.833881605 -3.27555386199998,112.925536605 -3.22166286199996,112.951663605 -3.20721786199994,112.969154605 -3.14944486199994,112.956927605 -3.14110886199995,112.946927605 -3.12721786199995,112.943590605 -3.11610886099993,112.943172605 -3.10013586099996,112.949708605 -3.08278086099995,112.975536605 -3.05388986099996,113.034708605 -2.98971786099997,113.064699605 -2.99388986099996,113.135272605 -3.06694486099997,113.228581605 -3.16541786199997,113.244981605 -3.18333586199998,113.308027606 -3.22971786199997,113.365818606 -3.26083586199996,113.439281606 -3.24375386199995,113.446372606 -3.23388986199996,113.447199606 -3.22083586199994,113.449145606 -3.20916286199997,113.461790606 -3.18778086199995,113.475272606 -3.18055386199995,113.509427606 -3.17499986199994,113.605818606 -3.17263586199994,113.614990606 -3.18055386199995,113.626645606 -3.20305386199993,113.632754606 -3.21749886199996,113.639163606 -3.23860886199998,113.641663606 -3.25638986199994,113.641663606 -3.31805386199994,113.637772606 -3.34805386199997,113.634990606 -3.35916286199995,113.624690606 -3.38999886199997,113.609563606 -3.42610886199998,113.609563606 -3.43847186199997,113.616781606 -3.44833586199996,113.638318606 -3.46110886199995,113.656936606 -3.46999886199995,113.671099606 -3.47610886199993,113.682745606 -3.47805386199997,113.717208606 -3.47805386199997,113.748027606 -3.47471786199998,113.777481606 -3.46999886199995,113.824154606 -3.46166286199997,113.854981606 -3.45138986199993,113.873308606 -3.44249886199998,114.032208606 -3.36194486199997,114.102199606 -3.35638986199996,114.209718606 -3.38583586199996,114.270263606 -3.41528086199997,114.294708606 -3.43166286199994,114.303590606 -3.43638986199994,114.318881606 -3.44194486199996,114.374990607 -3.46111786199998,114.426936607 -3.49805386199995,114.438727607 -3.50347186199997,114.459990607 -3.50471786199995,114.471645607 -3.50278086199995,114.481090607 -3.49860886199997,114.522218607 -3.53694486199993,114.581381607 -3.61499886199994,114.593599607 -3.63666286199998,114.601927607 -3.65583586199995,114.607618607 -3.68083586199998,114.608036607 -3.70444486199995,114.607208607 -3.71749886199996,114.607208607 -3.90221786199993,114.608036607 -4.08194486199994,114.608599607 -4.12916286199993,114.611363607 -4.14694486199994,114.616090607 -4.16249886199995,114.624418607 -4.17471786199997,114.637072607 -4.18507186199997,114.684708607 -4.18249886199993,114.709018607 -4.17583586199993,114.758736607 -4.14680886199994,114.799708607 -4.11944486199997,114.891663607 -4.06194486199996,114.909418607 -4.05249886199994,114.928036607 -4.04360886199993,114.937481607 -4.03944486199993,114.985527607 -4.01888986199998,115.023881607 -4.00249886199992,115.174699607 -3.93888986199994,115.286372607 -3.89305386199993,115.317208607 -3.88305386199994,115.378308607 -3.86110886199998,115.548027608 -3.79833586199993,115.735263608 -3.71833586199995,115.748872608 -3.71138986199998,115.761381608 -3.70305386199993,115.772772608 -3.69416286199993,115.783863608 -3.68471786199996,115.804427608 -3.66416286199996,115.813308608 -3.65249886199996,115.830672608 -3.63583586199996,115.839427608 -3.63055386199994,115.854427608 -3.62528086199995,115.883881608 -3.61971786199996,115.903054608 -3.61749886199993,115.942199608 -3.61555386199996,115.953872608 -3.61360886199998,115.966236608 -3.60875386199996,115.975808608 -3.60110886199993,115.983872608 -3.58888986199997,115.989436608 -3.57388986199993,115.997754608 -3.53416286199996,116.002490608 -3.50471786199995,116.004436608 -3.48638986199995,116.005827608 -3.45360886199995,116.007218608 -3.44110886199996,116.011381608 -3.43166286199994,116.089427608 -3.28305386199997,116.094145608 -3.27416286199997,116.099272608 -3.26516286199995,116.171654608 -3.16555386199997,116.206645608 -3.14694486199994,116.216381608 -3.14278086199994,116.210818608 -3.08555386099994,116.177754608 -3.05666286099995,116.121090608 -2.97528086099993,116.110808608 -2.93610886099998,116.109990608 -2.92333586099994,116.131927608 -2.82333586099998,116.139581608 -2.81499986099993,116.151090608 -2.82610886099997,116.206099608 -2.92194486099993,116.212199608 -2.93610886099998,116.214999608 -2.95388986099994,116.215554608 -2.96694486099994,116.218318608 -2.99166286099995,116.222490608 -3.00458086099997,116.231936608 -3.01221786099995,116.244981608 -3.01486286099993,116.262208608 -3.00805386099995,116.274427608 -2.99999986099994,116.291363608 -2.98236286099996,116.344436608 -2.91236286099996,116.354708608 -2.89528086099995,116.371090608 -2.85694486099993,116.373872608 -2.84583586099996,116.374418608 -2.82610886099997,116.362199608 -2.66528086099993,116.303790608 -2.61236286099995,116.306581608 -2.51798986099993,116.421227608 -2.49471786099997,116.434981608 -2.49805386099996,116.444427608 -2.50221786099996,116.464908608 -2.51791786099994,116.469708608 -2.53513586099996,116.471790608 -2.55360886099993,116.481290608 -2.56305386099996,116.504172609 -2.56194486099997,116.514718609 -2.55528086099997,116.528054609 -2.53778086099993,116.534145609 -2.52360886099996,116.541090609 -2.50305386099996,116.547208609 -2.48166286099996,116.551936609 -2.43860886099998,116.565808609 -2.37028086099997,116.568599609 -2.35916286099996,116.595263609 -2.27555386099993,116.597208609 -2.27083586099997,116.604154609 -2.22971786099993,116.605554609 -2.21055386099994,116.603954609 -2.18986286099994,116.529981609 -2.16944486099993,116.518599609 -2.16749986099995,116.501863609 -2.17158986099997,116.486927608 -2.17694486099992,116.463608608 -2.18805386099996,116.434981608 -2.20721786099995,116.417481608 -2.21375386099993,116.406508608 -2.21166286099998,116.327208608 -2.14749986099997,116.372481608 -2.09610886099995,116.419145608 -2.08110886099996,116.435527608 -2.07360886099997,116.454018608 -2.05444486099998,116.458036608 -2.04499985999996,116.460272608 -1.91347185999996,116.445454608 -1.78318985999994,116.425263608 -1.77083585999998,116.399572608 -1.76583585999992,116.383327608 -1.76610885999997,116.336108608 -1.77638985999994,116.323881608 -1.78471785999994,116.310254608 -1.79833585999995,116.301936608 -1.80388985999997,116.284708608 -1.81068985999997,116.261445608 -1.81236285999995,116.246372608 -1.80860885999994,116.230672608 -1.79694485999994,116.223936608 -1.77902685999993,116.306636608 -1.72638985999993,116.402772608 -1.67916285999996,116.522490609 -1.63471785999997,116.539699609 -1.62444485999993,116.550536609 -1.61471785999993,116.558872609 -1.60166285999998,116.563718609 -1.58944485999996,116.564990609 -1.57360885999998,116.561099609 -1.56416285999995,116.548027609 -1.55110885999994,116.542481609 -1.54278085999994,116.536927609 -1.52778085999995,116.531099609 -1.50278085999997,116.531790609 -1.48360885999995,116.539008609 -1.47375385999993,116.558318609 -1.45860885999997,116.593872609 -1.43249985999995,116.614436609 -1.41888985999998,116.625672609 -1.41305385999993,116.642490609 -1.40583585999997,116.684981609 -1.39360885999997,116.742481609 -1.37499985999995,116.755545609 -1.36749985999995,116.761108609 -1.35916285999997,116.765263609 -1.34888985999993,116.787481609 -1.25138985999996,116.753599609 -1.17486285999996,116.745245609 -1.16610885999995,116.726099609 -1.15097185999997,116.712763609 -1.13416285999995,116.710272609 -1.11805385999998,116.712490609 -1.10305385999993,116.718599609 -1.08194485999996,116.728318609 -1.05028085999993,116.732208609 -1.04055385999993,116.740254609 -1.02791785999995,116.754154609 -1.02423585999998,116.758881609 -1.03583585999996,116.751799609 -1.05097185999995,116.743172609 -1.07833585999992,116.740954609 -1.10118085999994,116.816936609 -1.27388985999994,116.826936609 -1.27694485999996,116.885818609 -1.26471785999996,116.923599609 -1.25444485999998,116.995527609 -1.22360885999996,117.004436609 -1.21888985999993,117.019990609 -1.20721785999996,117.026381609 -1.19944485999997,117.030272609 -1.18999985999994,117.073608609 -1.11278085999993,117.128308609 -1.02971785999995,117.144708609 -1.00499985999994,117.177754609 -0.962499858999934,117.257763609 -0.868053858999929,117.265854609 -0.821644858999946,117.290008609 -0.806389858999978,117.330554609 -0.854999858999975,117.453872609 -0.861944858999948,117.61526361 -0.789580858999955,117.62345461 -0.777217858999961,117.62526361 -0.761944858999925,117.62164561 -0.751389858999971,117.61359961 -0.739162858999975,117.57443661 -0.648608858999978,117.57720861 -0.637780858999975,117.63581861 -0.439444858999934,117.63135461 -0.42402685899998,117.61970861 -0.41860885899996,117.60803661 -0.420553858999938,117.59359961 -0.426662858999975,117.526381609 -0.469162858999937,117.511381609 -0.481662858999925,117.444781609 -0.523971858999971,117.455836609 -0.434162858999969,117.471099609 -0.342499858999929,117.465554609 -0.334162858999946,117.436099609 -0.26778085899997,117.433872609 -0.256108858999937,117.435399609 -0.240280858999938,117.443590609 -0.217780858999959,117.461381609 -0.176662858999975,117.459990609 -0.16416285899993,117.460681609 -0.147780858999965,117.481508609 -0.0968088589999638,117.494136609 -0.0819448589999752,117.505254609 -0.0724998589999473,117.517490609 -0.0574998589999609,117.528808609 -0.0327808589999563,117.519990609 0.00736414100003913,117.505827609 0.0241641410000284,117.492754609 0.0316641410000216,117.473599609 0.0755551410000521,117.467481609 0.103610142000036,117.481372609 0.175000142000044,117.522490609 0.297500142000047,117.558590609 0.377782142000058,117.569299609 0.398055142000032,117.62164561 0.436664142000041,117.72054561 0.641664142000025,117.72164561 0.65389114200002,117.72109061 0.670282142000076,117.72109061 0.695000142000026,117.73415461 0.727219142000024,117.74219961 0.73971914200007,117.79637261 0.795000142000049,117.81150861 0.807500142000038,117.83471861 0.818337142000075,117.90331861 0.837500142000067,117.91638161 0.838337142000057,117.92719961 0.835555142000032,117.93691861 0.83139114200003,117.94858161 0.822500142000024,117.95957261 0.809582142000068,117.98019061 0.790555142000073,117.99999961 0.784719142000029,118.01304561 0.784164142000066,118.02192761 0.788891142000068,118.03081861 0.800555142000064,118.03499061 0.810282142000062,118.03637261 0.822500142000024,118.03359961 0.840282142000035,118.02984561 0.853746142000034,117.98552761 0.936391142000048,117.93137261 1.03278214200003,117.90054561 1.07750014200002,117.89137261 1.09208214200004,117.88831861 1.10471914200002,117.89305461 1.11778214200007,117.90678161 1.12298214200007,117.95347261 1.10000014200006,117.99219961 1.06681014200007,117.99941861 1.05333714200003,118.01499961 1.00750014200003,118.02527261 0.976664142000061,118.03081861 0.961664142000075,118.06302761 0.925282142000071,118.07138161 0.919719142000019,118.09720861 0.904719142000033,118.11026361 0.89721914200004,118.12943661 0.888891142000034,118.16581861 0.877219142000058,118.18776361 0.87194614200007,118.34387261 0.843055142000026,118.50499061 0.828610142000059,118.64554561 0.842364142000065,118.660536611 0.844446142000038,118.676654611 0.844719142000031,118.693172611 0.840691142000026,118.743590611 0.819164142000034,118.760681611 0.80889114200005,118.777208611 0.801246142000025,118.794563611 0.800282142000071,118.808027611 0.804164142000047,118.816936611 0.80944614200007,118.934708611 0.89721914200004,118.945536611 0.906664142000068,118.976645611 0.937500142000033,119.001927611 0.967082142000038,119.009018611 0.983891142000061,119.004818611 0.994982142000026,119.005254611 1.03916414200006,118.994427611 1.04861014200003,118.953872611 1.06305514200005,118.922490611 1.07250014200002,118.906918611 1.07083714200007,118.839427611 1.09805514200002,118.795536611 1.15000014200007,118.780545611 1.17819114300005,118.783599611 1.18805514300004,118.774990611 1.20347314300005,118.716927611 1.25500014300007,118.59554561 1.35833714300003,118.57639061 1.36639114300004,118.56121861 1.36861014300007,118.54192761 1.36389114300005,118.52692761 1.36319114300005,118.45053661 1.39874614300004,118.41998161 1.47750014300004,118.28777261 1.55221914300006,118.27469961 1.55971914300005,118.13499061 1.64611014300004,118.12137261 1.65971914300007,118.05137261 1.73083714300003,117.91845461 1.82347314300006,117.87191861 1.87666414300003,117.86359961 1.91111014300003,117.86831861 2.03778214300007,117.85617261 2.07906414300004,117.84248161 2.08555514300002,117.82929061 2.10416414300005,117.84664561 2.10500014300004,117.90470861 2.08083714300005,117.93914561 2.11639114300004,118.06109961 2.22333714300004,118.07331861 2.23847314300002,118.09192761 2.26778214400002,118.09664561 2.27666414400005,118.09762761 2.30181014400006,118.09192761 2.31444614400004,118.05469961 2.37333714400006,117.99802761 2.43971914400004,117.95555461 2.47944614400006,117.94442761 2.48889114400004,117.87747261 2.55278214400005,117.83888161 2.59028214400007,117.81638161 2.61555514400004,117.81080861 2.62389114400003,117.80609061 2.63278214400003,117.80053661 2.64778214400008,117.79720861 2.66555514400005,117.79498161 2.68416414400002,117.79387261 2.72389114400005,117.78928161 2.74333714400007,117.77720861 2.76221914400003,117.76290861 2.77513714400004,117.73081861 2.79083714400002,117.71831861 2.79305514400005,117.67165461 2.80111014400006,117.67249061 2.87444614400005,117.68872761 2.96798214400008,117.61831861 3.08895514400007,117.461927609 3.15778214400007,117.345545609 3.17805514400004,117.275399609 3.22000014400004,117.262836609 3.25736414400006,117.279499609 3.26263714400005,117.311918609 3.24528214400004,117.355818609 3.27666414400005,117.433318609 3.35944614500005,117.438872609 3.36778214500004,117.443590609 3.38333714500004,117.447745609 3.41694614500005,117.442472609 3.43236414500007,117.395954609 3.44458214500003,117.351645609 3.44221914500002,117.323327609 3.43583714500005,117.237618609 3.48971914500004,117.222763609 3.50305514500008,117.212772609 3.52028214500007,117.204990609 3.54000014500002,117.203045609 3.55166414500007,117.203327609 3.56847314500004,117.208599609 3.59416414500004,117.205263609 3.61347314500006,117.124154609 3.62083714500005,117.108599609 3.61861014500005,117.097490609 3.61611014500005,117.081099609 3.61194614500005,117.054427609 3.60444614500005,117.031381609 3.60069114500004,117.051572609 3.63381914500008,117.071872609 3.64271014500002,117.163881609 3.64750014500004,117.176936609 3.64805514500006,117.355818609 3.63666414500005,117.515545609 3.61389114500003,117.69859061 3.62694614500003,117.75054561 3.63528214500008,117.76027261 3.63916414500005,117.82943661 3.70431014500002,117.83137261 3.71819114500005,117.79089961 3.73282814500004,117.77007261 3.73671914500005,117.78438161 3.77402814500005,117.78220861 3.78889114500004,117.70901861 3.86666414500007,117.69497261 3.87305514500002,117.67665461 3.87527314500005,117.66277261 3.87527314500005,117.64097261 3.87305514500002,117.61873661 3.87645514500002,117.522554609 3.93166414500007,117.535263609 3.93666414500007,117.549145609 3.93666414500007,117.564154609 3.93458214500004,117.62387261 3.94694614500003,117.545536609 4.02000014500004,117.471099609 4.07611014500003,117.415545609 4.08916414500004,117.401508609 4.09555514500005,117.392763609 4.10750014500007,117.392763609 4.13971914500007,117.402481609 4.15055514500006,117.492754609 4.12471914500003,117.545536609 4.14111014500003,117.592054485 4.16981906800004,117.592054443 4.16981893100007,117.592054443 4.16981872700006,117.592054443 4.16981793100007,117.597984443 4.16966393100006,117.679800443 4.16838493100005,117.686918381 4.16833593200005,117.686918443 4.16833593100006,117.68691726 4.16833715500007,117.68691861 4.16833714500007,117.71027261 4.14916414500004,117.81775461 4.05833714500005,117.83220861 4.04471914500004,117.84443661 4.03639114500004,117.85331861 4.03166414500004,117.86726361 4.02666414500004,117.88693661 4.02694614500007,117.89665461 4.03111014500007,117.90941861 4.03861014500006,117.92191861 4.04666414500002,117.92915461 4.05652814500007,117.91359961 4.14111014500003,117.90470861 4.17305514500003,117.903554772 4.17404600600003,117.910965444 4.17573393100002,117.9109656 4.17573425100005,117.943005025 4.17973386100005,117.951455534 4.17525851300007,117.980569382 4.15915704800005,117.981279339 4.15872200900003,117.988472936 4.15362524800003,118.001508006 4.14325052600003,118.052926485 4.10075532600007,118.055033538 4.09975131700003,118.06175116 4.09648457600002,118.083510674 4.08569391000003,118.088163588 4.08318116800007,118.106467867 4.07201484700005,118.12262896 4.06202159800006,118.123314844 4.06151014700004,118.141963607 4.04737426600002,118.228809549 3.97986010000005,118.232573079 3.97506521000003,118.289484199 3.90207995700007,118.293973305 3.84241331200008,118.301917694 3.73411764400004,118.627504208 3.35170866100003,118.748495742 3.20930200600003,119.004645705 3.20003917400004,119.467490771 3.18288175600003,119.947309413 3.02691615900005,120.264643702 3.00033264300004,120.48022821 3.11645495700003,121.138785297 3.31225895000006,121.374799636 3.32484049200002,122.638876892 3.57723317000006,122.652545697 3.57602531100002,122.733071603 3.58519209800005,122.883567848 3.73590969300005,123.169080665 4.28778417600006,124.032354192 4.77935453000003,124.133500092 4.86112823700006,124.135035258 4.86236937700005,124.849532764 4.95969720300008,125.056712212 4.98325976100006,125.385723383 5.04973143700005,125.58277032 5.15938468200005,125.879766658 5.36188218500007,126.189071668 5.65490798400003,126.602686942 6.04437552200005,127.127846254 6.34283357100003,128.985949543 6.52135771400003,129.489699516 6.67085251800006,129.489699539 6.67085232300008,129.489699545 6.67085227000007,129.578176077 5.93866167100003,129.557354879 4.82440832100002,129.58838459 4.77271105100004,129.626966891 4.50368339500005,129.766183207 3.52502050600003,129.87160619 3.00780059200002,129.946745909 2.63548675200002,130.052634576 2.10623363100007,130.12108331 1.99173537300004,130.121637871 1.99080549700005,131.315929649 2.04419514000006,132.246119263 1.79685292700003,132.80061475 1.64871288100005,132.926443674 1.81127224000005,133.850249374 2.93327831700003,133.880094103 2.96883258400004,134.694819377 3.44316301800006,135.567025824 3.94785279700005,135.705986825 3.95104721500007,135.745914289 3.94643011400007,135.745914554 3.94643027100005,135.7459146 3.94643029800005,135.745914467 3.94643002300006,135.886107627 3.87447114500003,136.065965627 3.76734014500005,136.076478627 3.76014514500002,136.082320627 3.75666514500006,136.255118627 3.63840414500004,136.420179627 3.50947914500006,136.576857627 3.37039614500003,136.724539627 3.22169714400007,136.862645627 3.06396714400006,136.990635628 2.89782214400003,137.108009628 2.72391514400005,137.117712628 2.70739414400003,137.122283628 2.70062214400002,137.131981628 2.68411014400004,137.136558628 2.67732814400006,137.146263628 2.66080414400005,137.150832628 2.65403414400004,137.160531628 2.63752114400006,137.165107628 2.63074014400007,137.174807628 2.61422514400005,137.179382628 2.60744614400005,137.189080628 2.59093414400007,137.193658628 2.58415114400003,137.203359628 2.56763414400007,137.207933628 2.56085714400007,137.217633628 2.54434314400004,137.222209628 2.53756214400005,137.231910628 2.52104614400002,137.236485628 2.51426714400003,137.246180628 2.49776014400004,137.250762628 2.49097214400007,137.260464628 2.47445414400005,137.265038628 2.46767714400005,137.274739628 2.45116114400003,137.279315628 2.44438114400003,137.289012628 2.42787214400005,137.293592628 2.42108614400007,137.303294628 2.40456814400005,137.307869628 2.39779014400006,137.317566628 2.38128014400007,137.322147628 2.37449414400004,137.331845628 2.35798414400006,137.336425628 2.35119814400002,137.346123628 2.33468714400004,137.350703628 2.32790214400006,137.360407628 2.31138214400005,137.364982628 2.30460514400005,137.374675628 2.28810214400005,137.379261628 2.28130914400003,137.388959628 2.26479714400006,137.393540628 2.25801214400002,137.403240628 2.24149814300006,137.406530628 2.23662514300003,137.416035628 2.23174814300006,137.595903628 2.12465614300004,137.611252628 2.11415514300006,137.618767628 2.10968114300005,137.634113628 2.09918414300006,137.641631628 2.09470714300005,137.656986628 2.08420314300002,137.664495628 2.07973314300006,137.679852628 2.06922814300003,137.687358628 2.06475814300006,137.702701628 2.05426414300007,137.710223628 2.04978514300007,137.725586628 2.03927714300005,137.733087628 2.03481114300007,137.734164628 2.03407314300006,137.741938628 2.03232314300004,137.751696628 2.02946914300003,137.768454628 2.02569614300006,137.778217628 2.02284014300005,137.794968628 2.01906914300002,137.804733628 2.01621314300007,137.821484628 2.01244214300004,137.831259628 2.00958314300004,137.847998628 2.00581514300006,137.857772628 2.00295614300006,137.874512628 1.99918814300003,137.884294628 1.99632714300003,137.901026628 1.99256114300005,137.910812628 1.98969814300006,137.927539628 1.98593414300007,137.937328628 1.98307014300002,137.954053628 1.97930614300003,137.963846628 1.97644214300004,137.980566629 1.97267914300005,137.990351629 1.96981814300005,138.007079629 1.96605314300007,138.016882629 1.96318714300003,138.033591629 1.95942614300003,138.043399629 1.95655914300005,138.060104629 1.95279914300005,138.069901629 1.94993514300006,138.086616629 1.94617314300007,138.096435629 1.94330314300004,138.113128629 1.93954614300003,138.122936629 1.93667914300005,138.139639629 1.93292014300005,138.149451629 1.93005114300007,138.166150629 1.92629414300006,138.175984629 1.92341914300005,138.192661629 1.91966714300003,138.202485629 1.91679514300006,138.219171629 1.91304114300004,138.229000629 1.91016814300002,138.245682629 1.90641514300006,138.255513629 1.90354114300004,138.272192629 1.89978814300002,138.282029629 1.89691314300006,138.298703629 1.89316214300004,138.308561629 1.89028114300004,138.325212629 1.88653514300006,138.335060629 1.88365814300005,138.351721629 1.87990914300002,138.361563629 1.87703314300006,138.378230629 1.87328414300003,138.388087629 1.87040414300003,138.404739629 1.86665814300005,138.414602629 1.86377514300005,138.431248629 1.86003214300007,138.441116629 1.85714814300007,138.457756629 1.85340614300003,138.467633629 1.85052014300004,138.484263629 1.84678014300005,138.494128629 1.84389814300005,138.510772629 1.84015514300006,138.520657629 1.83726614300002,138.537279629 1.83352914300002,138.547170629 1.83063914300004,138.563786629 1.82690314300004,138.573670629 1.82401514300005,138.590293629 1.82027814300005,138.594692629 1.81899214300006,138.599473629 1.81823114300005,138.600077629 1.81809514300005,138.626448629 1.81389514300002,138.627068629 1.81375514300004,138.653423629 1.80955814300006,138.654036629 1.80942014300007,138.680398629 1.80522214300004,138.681015629 1.80508414300004,138.707373629 1.80088614300007,138.707995629 1.80074714300002,138.734347629 1.79655014300005,138.734978629 1.79640914300006,138.761321629 1.79221414300002,138.761969629 1.79206914300005,138.788294629 1.78787814300006,138.788933629 1.78773414300002,138.815268629 1.78354214300003,138.815912629 1.78339714300006,138.842242629 1.77920614300007,138.842894629 1.77905914300004,138.869214629 1.77487014300004,138.869870629 1.77472314300007,138.896187629 1.77053414300002,138.896848629 1.77038514300006,138.923159629 1.76619814300005,138.923829629 1.76604714300004,138.950131629 1.76186214300003,138.950805629 1.76171114300007,138.977102629 1.75752614300006,138.977796629 1.75737014300006,139.004074629 1.75318914300004,139.004757629 1.75303614300003,139.031046629 1.74885314300008,139.031737629 1.74869814300007,139.05801663 1.74451714300005,139.05871163 1.74436114300005,139.08498763 1.74018214300003,139.08568763 1.74002414300003,139.11195763 1.73584614300006,139.11266663 1.73568614300007,139.13892763 1.73151014300004,139.13963863 1.73135014300004,139.16589763 1.72717414300007,139.16661663 1.72701314300002,139.19286763 1.72283814300005,139.19357963 1.72267814300005,139.21983563 1.71850314300002,139.22056663 1.71833914300004,139.24680563 1.71416714300005,139.24754563 1.71400114300008,139.27377363 1.70983114300003,139.27451763 1.70966414300005,139.30074263 1.70549514300006,139.30149363 1.70532714300003,139.32770963 1.70115914300004,139.53159663 1.65540914300004,139.73222163 1.59689114300005,139.92879963 1.52583714300005,139.93218163 1.52436714300006,139.95410663 1.51644314300006,140.145866631 1.43313514300007,140.332058631 1.33789914300007,140.332108631 1.33787114300003,140.356370631 1.32546114300004,140.356407631 1.32543914300004,140.380683631 1.31302314300007,140.380750631 1.31298314300005,140.404994631 1.30058414300004,140.405048631 1.30055214300006,140.429305631 1.28814614300006,140.429366631 1.28811114300004,140.453617631 1.27570914300003,140.453684631 1.27566914300007,140.477929631 1.26327114300005,140.478009631 1.26322414300006,140.502239631 1.25083314300002,140.502325631 1.25078214300004,140.526550631 1.23839514300005,140.526629631 1.23834814300005,140.550860631 1.22595914300007,140.550958631 1.22590114300004,140.575171631 1.21352114300004,140.575265631 1.21346614300006,140.599482631 1.20108414300006,140.599594631 1.20101814300006,140.623792631 1.18864714300003,140.623898631 1.18858414300007,140.648103631 1.17621014300005,140.648221631 1.17614014300005,140.672413631 1.16377314200003,140.672538631 1.16369914200004,140.696722631 1.15133614200005,140.696849631 1.15126114200007,140.721033631 1.13890014200007,140.721172631 1.13881814200005,140.745343631 1.12646314200003,140.745486631 1.12637814200002,140.769652631 1.11402614200006,140.769797631 1.11394014200005,140.780741631 1.10834714200007,140.794384631 1.10219814200002,140.801432586 1.09938623300008,140.801642611 1.08917741900007,140.801714135 1.08570088400006,140.803522061 0.997822216000031,140.81052588 0.77411371200003,140.892636162 0.49136874900006,141.004388605 0.106551654000043,141.457682443 -1.01898918799998,141.402139175 -1.16310687799995,141.402139145 -1.16310695699997,141.401741712 -1.16413817099993,141.116094146 -1.90530488799993,141.275423766 -1.49189437799993,141.025 -2.14166699999993,141 -2.59361099999995,141.002472146 -2.60708082099995,140.967054631 -2.60416286099996,140.823854631 -2.60971786099998,140.775818631 -2.62083586099993,140.741636631 -2.62888986099995,140.736908631 -2.63778086099995,140.727172631 -2.63708086099996,140.711636631 -2.62888986099995,140.700454631 -2.61471786099997,140.706836631 -2.59409986099996,140.734127631 -2.56583586099993,140.743563631 -2.54805386099997,140.748563631 -2.52902686099998,140.741636631 -2.50499986099993,140.732745631 -2.49666286099995,140.721890631 -2.48999986099994,140.707454631 -2.48388986099997,140.631345631 -2.45721786099995,140.553863631 -2.44278086099996,140.477172631 -2.43444486099997,140.381208631 -2.43249986099994,140.375581631 -2.44839986099993,140.333863631 -2.45916286099992,140.322208631 -2.45833586099997,140.211972631 -2.40715386099993,140.172208631 -2.35778086099998,140.168854631 -2.34749986099996,140.167481631 -2.33528086099994,140.162336631 -2.32666286099993,140.10538163 -2.32333586099998,140.09329063 -2.32833586099997,140.03164563 -2.35860886099994,139.93387263 -2.37083586099993,139.88442763 -2.37638986099995,139.84469963 -2.37499986099994,139.83245463 -2.37360886099998,139.80276363 -2.36666286099995,139.78081863 -2.36138986099996,139.75638163 -2.35166286099997,139.58550863 -2.26194486099996,139.43829063 -2.18333586099993,139.42940863 -2.17833586099994,139.40747263 -2.16610886099994,139.35134563 -2.13999986099998,139.046354629 -1.99971785999998,139.008027629 -1.98333585999995,138.975799629 -1.97360885999996,138.944118629 -1.96416285999993,138.933318629 -1.96138985999994,138.914154629 -1.95999985999993,138.898999629 -1.96208085999996,138.882445629 -1.96278085999995,138.864136629 -1.96055385999995,138.853027629 -1.95778085999996,138.843563629 -1.95388985999995,138.816654629 -1.93249985999995,138.788027629 -1.90638985999993,138.777772629 -1.89638985999994,138.768036629 -1.88471785999997,138.756790629 -1.86513585999995,138.744108629 -1.84694485999995,138.720790629 -1.82833585999992,138.708590629 -1.82028085999997,138.673581629 -1.80028085999993,138.655818629 -1.79083585999996,138.643718629 -1.78568985999993,138.624972629 -1.78055385999994,138.607727629 -1.77721785999995,138.578308629 -1.77221785999996,138.522218629 -1.76138985999995,138.413881629 -1.73249985999996,138.367190629 -1.71749985999998,138.061018629 -1.60694485999994,137.978572629 -1.54278085999994,137.949981628 -1.51555385999995,137.943454628 -1.50486285999995,137.931499628 -1.48944485999994,137.875790628 -1.47305385999994,137.860108628 -1.47166285999998,137.845790628 -1.47444485999995,137.777190628 -1.49471785999998,137.751099628 -1.50305385999997,137.721072628 -1.51416285999994,137.679136628 -1.52971785999995,137.653318628 -1.53999985999997,137.604672628 -1.55999985999995,137.585236628 -1.56805385999996,137.514845628 -1.60388985999992,137.502181628 -1.61513585999995,137.489399628 -1.63492685999995,137.344972628 -1.71194485999996,137.263881628 -1.74749985999995,137.213290628 -1.75999985999994,137.191345628 -1.76555385999995,137.139981628 -1.78805385999993,137.131072628 -1.79278085999994,137.120790628 -1.80305385999998,137.113863628 -1.81666285999995,137.109681628 -1.87444485999993,137.133027628 -1.90444485999996,137.162399628 -1.93520885999993,137.182054628 -1.94110885999993,137.198818628 -1.95233585999995,137.208163628 -1.96791785999994,137.235927628 -2.05721786099997,137.233427628 -2.07402686099994,137.188154628 -2.10416286099996,137.174990628 -2.10805386099997,137.113163628 -2.11694486099998,137.098018628 -2.11471786099997,137.083036628 -2.11055386099997,137.066927628 -2.11028086099998,136.991336628 -2.13388986099994,136.838290627 -2.20166286099993,136.786927627 -2.22971786099993,136.769136627 -2.23944486099992,136.753999627 -2.24978986099995,136.667754627 -2.25721786099996,136.614408627 -2.25305386099996,136.601899627 -2.25166286099994,136.546490627 -2.23791786099997,136.536236627 -2.23110886099994,136.532745627 -2.21416286099998,136.482727627 -2.21138986099993,136.420536627 -2.21471786099994,136.409427627 -2.21749986099996,136.356627627 -2.25388986099995,136.333999627 -2.28249986099996,136.334690627 -2.29749986099995,136.338863627 -2.31388986099995,136.344972627 -2.32833586099997,136.344972627 -2.34888986099998,136.342190627 -2.36666286099995,136.279418627 -2.53249986099996,136.270263627 -2.55083586099994,136.265536627 -2.55971786099997,136.254699627 -2.57610886099997,136.248290627 -2.58388986099993,136.235508627 -2.59805386099993,136.220654627 -2.61083586099994,136.182736627 -2.63499986099993,136.168854627 -2.64194486099996,136.106627627 -2.66860886099994,136.049136627 -2.69805386099995,136.036099627 -2.69721786099996,136.026090627 -2.70110886099997,135.955172627 -2.78597186099995,135.938018627 -2.91444486099994,135.939418627 -2.92666286099995,135.936645627 -2.94444486099997,135.929154627 -2.96097186099996,135.907199627 -2.99041786099997,135.892208627 -3.00249986099993,135.877745627 -3.00888986099994,135.829681627 -3.02305386099994,135.764008626 -3.05249986099994,135.743990626 -3.07041786099995,135.740936626 -3.08236286099998,135.764908626 -3.10110886099994,135.766663626 -3.11625386099996,135.713345626 -3.15868086199993,135.704408626 -3.16333586199994,135.644136626 -3.17860886199998,135.633881626 -3.18194486199997,135.605654626 -3.20180886199995,135.574127626 -3.23860886199998,135.568572626 -3.24694486199996,135.570445626 -3.27013586199996,135.565245626 -3.28721786199998,135.555545626 -3.30499886199993,135.541927626 -3.31944486199995,135.531645626 -3.32971786199994,135.516663626 -3.34194486199993,135.491908626 -3.35833586199993,135.477445626 -3.36444486199997,135.461636626 -3.36944486199997,135.348018626 -3.39194486199995,135.333308626 -3.39360886199995,135.117736626 -3.36860886199997,135.004154626 -3.34138986199997,134.994945626 -3.33652686199997,134.887481626 -3.25860886199996,134.876618626 -3.24888986199994,134.812608626 -3.12388986199994,134.822481626 -3.04083586099995,134.828290626 -3.02971786099994,134.838290626 -3.02249986099997,134.850799626 -3.01458086099996,134.861354626 -2.94444486099997,134.860781626 -2.93138986099996,134.854690626 -2.90680886099995,134.846345626 -2.90124486099995,134.828508626 -2.90444486099994,134.810390626 -2.92568986099997,134.809418626 -2.94166286099994,134.804899626 -2.95444486099996,134.766081626 -2.98221786099998,134.751918625 -2.98833586099994,134.737727625 -2.99138986099996,134.724972625 -2.99097186099993,134.705245625 -2.98013586099995,134.698027625 -2.97013586099996,134.665527625 -2.84444486099994,134.657199625 -2.78166286099997,134.656645625 -2.75471786099996,134.658018625 -2.73583586099994,134.658018625 -2.67416286099996,134.657199625 -2.57471786099995,134.655245625 -2.55638986099996,134.651918625 -2.53916286099997,134.642072625 -2.52159986099997,134.624972625 -2.50444486099997,134.570799625 -2.47638986099997,134.540036625 -2.46971786099994,134.485790625 -2.52555386099993,134.476899625 -2.54388986099997,134.471618625 -2.55916286099995,134.470245625 -2.57486286099993,134.474545625 -2.62791786099996,134.494108625 -2.71583586099996,134.512754625 -2.77278086099994,134.520808625 -2.79249986099995,134.523590625 -2.80333586099994,134.526381625 -2.83568986099993,134.507627625 -2.85444486099993,134.494963625 -2.86249986099995,134.481490625 -2.86610886099993,134.462890625 -2.86129986099996,134.376345625 -2.65499986099996,134.345518625 -2.57555386099995,134.319972625 -2.50499986099993,134.253599625 -2.43860886099998,134.241908625 -2.43318986099996,134.222881625 -2.42833586099994,134.200254625 -2.39610886099996,134.192745625 -2.38305386099995,134.159699625 -2.31944486099997,134.133027625 -2.05166286099995,134.145263625 -1.93388985999997,134.122590625 -1.88388985999995,134.088290625 -1.67791785999998,134.097318625 -1.66471785999994,134.160518625 -1.61805385999998,134.221145625 -1.55721785999998,134.223572625 -1.53749985999997,134.224672625 -1.48528085999993,134.231627625 -1.42499985999996,134.234818625 -1.41097185999996,134.244108625 -1.39638985999994,134.258454625 -1.38318985999996,134.280399625 -1.36055385999993,134.279299625 -1.34930885999995,134.213290625 -1.23388985999998,134.204954625 -1.22166285999998,134.186490625 -1.20249985999993,134.174681625 -1.19694485999997,134.158327625 -1.18583585999994,134.126908625 -1.15236285999993,134.097472625 -1.10305385999993,134.029499625 -0.966944858999966,134.068572625 -0.895280858999968,134.078854625 -0.888471858999935,134.111081625 -0.835280858999965,134.004972625 -0.743889858999978,133.993836625 -0.73444485899995,133.981354625 -0.729999858999975,133.755263625 -0.723953858999948,133.756518625 -0.748335858999951,133.750945625 -0.75666285899996,133.574963624 -0.753889858999969,133.453854624 -0.739999858999965,133.429963624 -0.736389858999928,133.402463624 -0.728889858999935,133.389436624 -0.724717858999952,133.374390624 -0.719444858999964,133.349118624 -0.702780858999972,133.327181624 -0.683053858999926,133.314699624 -0.667780858999947,133.253054624 -0.606389858999933,133.173036624 -0.542499858999975,133.160518624 -0.537635858999977,133.114681624 -0.537080858999957,132.873563624 -0.443335858999944,132.819427624 -0.42194485899995,132.743836624 -0.387780858999975,132.713145624 -0.367080858999941,132.562472623 -0.354162858999928,132.434145623 -0.344444858999964,132.422763623 -0.346662858999935,132.269718623 -0.384162858999957,132.191654623 -0.415835858999969,132.177181623 -0.42194485899995,132.160245623 -0.432217858999934,132.106336623 -0.466526858999941,131.918308623 -0.622780858999931,131.895808623 -0.653399858999933,131.890254623 -0.669999858999972,131.883881623 -0.684444858999939,131.873018623 -0.693889858999967,131.863281623 -0.69805385899997,131.833308623 -0.709162858999946,131.802463623 -0.719444858999964,131.774990623 -0.726108858999964,131.577754623 -0.762499858999945,131.538572623 -0.749444858999937,131.534908623 -0.737499858999968,131.513308622 -0.734308858999952,131.430263622 -0.757780858999979,131.419981622 -0.761108858999933,131.255554622 -0.822780858999977,131.281645622 -0.906389858999944,131.286090622 -0.918335858999967,131.252772622 -1.08721785999995,131.248836622 -1.09694485999995,131.184418622 -1.21055385999995,131.178863622 -1.21888985999993,131.165799622 -1.22638985999993,131.154972622 -1.22916285999997,131.099681622 -1.23902685999997,131.074690622 -1.23618085999993,131.059554622 -1.24347185999994,131.035099622 -1.27488085999994,131.011654622 -1.33471785999996,130.963590622 -1.40305385999994,131.049408622 -1.45513585999993,131.092318622 -1.44874485999998,131.111081622 -1.45166285999994,131.146090622 -1.46471785999995,131.177472622 -1.47778085999994,131.184963622 -1.48749985999996,131.207736622 -1.52721785999995,131.287754622 -1.49833585999994,131.300263622 -1.48999985999995,131.315245622 -1.47778085999994,131.333036622 -1.46055385999995,131.336363622 -1.45028085999996,131.330945622 -1.43860885999993,131.314418622 -1.43110885999994,131.298036622 -1.42028085999993,131.283599622 -1.40721785999995,131.274136622 -1.39638985999994,131.274063622 -1.38423585999993,131.576354623 -1.48471785999993,131.590790623 -1.49083585999995,131.705108623 -1.54416285999997,131.703854623 -1.55999985999995,131.710663623 -1.57375385999995,131.723018623 -1.58194485999996,131.805236623 -1.60778085999993,131.882445623 -1.64221785999996,131.956636623 -1.70805385999995,131.971363623 -1.76236285999994,131.927181623 -1.81055385999997,131.931227623 -1.87583585999994,131.936099623 -1.88805385999996,131.971618623 -1.96749985999998,132.041227623 -2.08568986099993,132.107327623 -2.13318986099995,132.144990623 -2.14888986099993,132.156099623 -2.15166286099998,132.270536623 -2.24555386099996,132.284145623 -2.25916286099994,132.298999623 -2.26847186099997,132.321490623 -2.27333586099996,132.337463623 -2.27305386099994,132.376618623 -2.26416286099993,132.393036623 -2.25999986099993,132.404845623 -2.25097186099993,132.428863623 -2.23388986099997,132.441927623 -2.22638986099997,132.456081623 -2.22028086099994,132.466372623 -2.21666286099997,132.515254623 -2.20388986099994,132.531645623 -2.19971786099995,132.548036623 -2.19555386099995,132.574554623 -2.18986286099994,132.591918623 -2.19416286099994,132.601899623 -2.20486286099998,132.615781624 -2.22499986099996,132.621890624 -2.23944486099992,132.626063624 -2.25583586099998,132.628145624 -2.27083586099997,132.639163624 -2.28388986099998,132.679690624 -2.30499986099994,132.689972624 -2.30860886099993,132.769436624 -2.26471786099995,132.783054624 -2.25778086099996,132.792754624 -2.25388986099995,132.817745624 -2.24791786099996,132.833036624 -2.24888986099995,132.857181624 -2.25916286099994,132.874972624 -2.26888986099993,132.887208624 -2.27694486099995,132.900818624 -2.28388986099998,132.914981624 -2.28694486099994,132.963863624 -2.28805386099998,132.974118624 -2.28471786099993,133.088563624 -2.24833586099993,133.201354624 -2.21375386099993,133.297763624 -2.20110886099997,133.400545624 -2.21888986099998,133.419708624 -2.22694486099994,133.438445624 -2.23902686099996,133.542890624 -2.24610886099993,133.645808624 -2.23721786099998,133.764981625 -2.17166286099996,133.876063625 -2.11416286099995,133.934281625 -2.10409986099995,133.945818625 -2.17097186099994,133.912336625 -2.19888986099994,133.834963625 -2.22971786099993,133.809690625 -2.23860886099993,133.795254625 -2.24471786099997,133.788454625 -2.25673586099992,133.798036625 -2.27499986099997,133.820999625 -2.29839986099995,133.839145625 -2.30028086099998,133.924136625 -2.27166286099992,133.946972625 -2.21055386099994,133.956081625 -2.22305386099993,133.958308625 -2.23471786099998,133.955536625 -2.32916286099993,133.914427625 -2.38944486099996,133.860227625 -2.41749986099995,133.840518625 -2.42499986099995,133.781645625 -2.48110886099994,133.804136625 -2.49528086099997,133.820663625 -2.54194486099993,133.822481625 -2.55694486099998,133.822481625 -2.58444486099995,133.816372625 -2.65916286099997,133.803454625 -2.65152686099998,133.783599625 -2.60028086099993,133.748018625 -2.53305386099993,133.740799625 -2.52318986099993,133.730808625 -2.51583586099997,133.719699625 -2.51333586099997,133.705654625 -2.51625386099994,133.704681625 -2.52763586099996,133.709408625 -2.53999986099996,133.711636625 -2.55166286099995,133.693027625 -2.69805386099995,133.688236625 -2.71215386099993,133.678590624 -2.71805386099993,133.672481624 -2.63916286099993,133.678036624 -2.58652686099992,133.675245624 -2.57541786099995,133.648590624 -2.54388986099997,133.604672624 -2.53860886099994,133.547208624 -2.56333586099993,133.506099624 -2.56583586099993,133.385818624 -2.52180886099995,133.309418624 -2.44805386099995,133.300536624 -2.44333586099998,133.245799624 -2.41749986099995,133.157745624 -2.42971786099997,133.105808624 -2.44610886099997,133.079127624 -2.46055386099994,133.034699624 -2.48528086099998,133.018736624 -2.49680886099998,132.979963624 -2.54097186099995,132.968845624 -2.55694486099998,132.944699624 -2.59471786099994,132.893308624 -2.66305386099998,132.842527624 -2.73047186099996,132.832454624 -2.74055386099997,132.789981624 -2.77333586099996,132.736072624 -2.81236286099994,132.722745624 -2.81721786099996,132.710508624 -2.81583586099993,132.700254624 -2.81249986099994,132.665799624 -2.79110886099994,132.655545624 -2.78083586099996,132.647490624 -2.76860886099996,132.641918624 -2.76028086099996,132.618008624 -2.74333586099993,132.587736623 -2.72555386099998,132.572327623 -2.71694486099994,132.511108623 -2.70013586099998,132.317745623 -2.68221786099997,132.221072623 -2.67888986099996,132.207454623 -2.67888986099996,132.194972623 -2.68028086099997,132.149136623 -2.69055386099996,132.138308623 -2.69333586099998,132.128572623 -2.69721786099996,131.967472623 -2.77471786099994,131.956908623 -2.78701786099992,132.080381623 -2.96736286099997,132.092327623 -2.96763586099996,132.181363623 -2.94388986099995,132.190245623 -2.93888986099995,132.241054623 -2.93694486099997,132.261654623 -2.93694486099997,132.273318623 -2.93888986099995,132.315799623 -2.95138986099994,132.449981623 -3.03333586099996,132.465790623 -3.04499986099995,132.546627623 -3.10666286099996,132.556918623 -3.11694486099998,132.592472623 -3.18528086199996,132.596836623 -3.23478986199996,132.654972624 -3.31749886199998,132.663727624 -3.32555386199994,132.696627624 -3.34278086199993,132.709136624 -3.34694486199993,132.722199624 -3.34333586199995,132.730654624 -3.33486286199997,132.731081624 -3.31249886199993,132.727872624 -3.29249886199995,132.731918624 -3.28278086199992,132.766508624 -3.26888986199998,132.787754624 -3.27138986199998,132.796508624 -3.27666286199997,132.818999624 -3.30541786199996,132.821781624 -3.32249886199997,132.815245624 -3.33986286199996,132.807736624 -3.35305386199997,132.801418624 -3.37159886199993,132.822754624 -3.45278086199994,132.850036624 -3.47458086199993,132.867054624 -3.46610886199994,132.882463624 -3.47097186199994,132.927063624 -3.55471786199996,132.924972624 -3.56499886199992,132.919981624 -3.57055386199994,132.889163624 -3.59444486199993,132.783054624 -3.63278086199995,132.750827624 -3.71833586199995,132.781099624 -3.79055386199997,132.814699624 -3.88166286199993,132.818027624 -3.89194486199995,132.827099624 -3.92736286199994,132.815736624 -3.93645386199995,132.847472624 -4.00999886199997,132.900254624 -4.08944486199994,132.912199624 -4.09791786199997,132.983854624 -4.11749886199993,132.990781624 -4.11749886199993,133.028518624 -4.07318986199994,133.048308624 -4.06208086199996,133.067199624 -4.06110886199997,133.096927624 -4.06888986199994,133.199708624 -4.07971786199994,133.226345624 -4.07916286199998,133.237454624 -4.07638986199993,133.249008624 -4.07097186199996,133.312745624 -4.01486286199997,133.451081624 -3.86930886199997,133.452881624 -3.85805386199996,133.449127624 -3.84471786199992,133.441163624 -3.83221786199994,133.412472624 -3.81291786199995,133.406218624 -3.80194486199997,133.394854624 -3.74986286199993,133.399136624 -3.73249886199994,133.409972624 -3.71610886199994,133.488281624 -3.64360886199995,133.536099624 -3.60944486199998,133.573854624 -3.58402686199997,133.585508624 -3.56833586199997,133.589781624 -3.53444486199993,133.566299624 -3.48180886199998,133.543827624 -3.46055386199993,133.570008624 -3.43830886199993,133.605099624 -3.41878986199993,133.642908624 -3.41112686199995,133.644636624 -3.36549886199992,133.644808624 -3.32249886199997,133.640308624 -3.29016286199993,133.651918624 -3.16068986199997,133.654008624 -3.14902686199997,133.658872624 -3.13666286199998,133.666927624 -3.12444486199996,133.712190625 -3.07249986099993,133.731354625 -3.05055386099997,133.828854625 -2.96166286099998,133.862181625 -3.00749986099993,133.864408625 -3.05610886099993,133.860227625 -3.08263586099997,133.848572625 -3.08805386099993,133.782745625 -3.13278086199995,133.713008625 -3.19278086199995,133.688918625 -3.25768986199995,133.687499625 -3.27678086199995,133.694263625 -3.29878086199994,133.701754625 -3.35128086199995,133.699981625 -3.40028086199993,133.699127625 -3.41305386199997,133.692672625 -3.42715386199995,133.669127624 -3.44528086199995,133.658018624 -3.44805386199994,133.639981624 -3.46068986199998,133.635527624 -3.47333586199994,133.636790624 -3.48902686199995,133.643863624 -3.50610886199996,133.707454625 -3.63194486199995,133.743008625 -3.66083586199994,133.778590625 -3.67721786199996,133.804136625 -3.67110886199993,133.799990625 -3.65471786199993,133.795808625 -3.62444486199996,133.796218625 -3.61444486199997,133.800245625 -3.60499886199995,133.832399625 -3.58902686199997,133.924681625 -3.75028086199995,134.026090625 -3.80499886199993,134.034427625 -3.79944486199997,134.126690625 -3.75228986199994,134.141354625 -3.75860886199996,134.163863625 -3.77694486199994,134.175536625 -3.79278086199997,134.192454625 -3.82874486199995,134.189563625 -3.84513586199995,134.165799625 -3.86249886199994,134.162472625 -3.89305386199993,134.182736625 -3.93458086199996,134.212054625 -3.95999886199996,134.303036625 -4.01083586199996,134.339963625 -3.99166286199994,134.348845625 -3.94860886199996,134.358581625 -3.90749886199995,134.366054625 -3.89721786199993,134.416654625 -3.90763586199995,134.433045625 -3.91360886199993,134.467472625 -3.94778086199995,134.521636625 -4.02638986199997,134.574399625 -4.01778086199994,134.597608625 -4.01013586199997,134.606199625 -3.99818986199995,134.609127625 -3.98416286199995,134.617463625 -3.95818986199993,134.627745625 -3.94721786199995,134.673036625 -3.91513586199994,134.707181625 -3.91583586199994,134.764981626 -3.91860886199993,134.900545626 -3.92944486199997,134.967608626 -3.94110886199996,134.969408626 -3.95097186199996,134.932063626 -3.97860886199993,134.913590626 -3.98013586199994,134.901090626 -3.97528086199998,134.883327626 -3.96499886199996,134.853299626 -3.95416286199998,134.708572625 -3.93638986199994,134.694972625 -3.93971786199995,134.683872625 -3.94916286199998,134.676363625 -3.97583586199994,134.641781625 -4.11305386199996,134.646227625 -4.12555386199995,134.740781625 -4.21028086299998,134.801227626 -4.25610886299995,134.962736626 -4.32444486299994,135.072481626 -4.39278086299993,135.085508626 -4.40028086299998,135.176636626 -4.44694486299994,135.204681626 -4.45971786299998,135.232181626 -4.46666286299995,135.244418626 -4.46805386299997,135.256099626 -4.46583586299994,135.265118626 -4.46110886299994,135.286372626 -4.45152686299997,135.329408626 -4.44471786299994,135.341918626 -4.44333586299996,135.376063626 -4.44055386299993,135.425536626 -4.43666286299998,135.521908626 -4.45638986299997,135.615536626 -4.47568986299996,135.639981626 -4.48583586299998,135.650272626 -4.48916286299993,135.724118626 -4.50138986299993,135.737181626 -4.50083586299996,135.765254626 -4.49610886299996,135.801090626 -4.49194486299996,135.897490627 -4.49528086299995,135.928318627 -4.49860886299996,135.963290627 -4.51166286299997,135.972199627 -4.51638986299997,135.992190627 -4.54444486299997,136.008236627 -4.56950886299995,136.035399627 -4.59360886299993,136.168308627 -4.65028086299998,136.258318627 -4.68416286299993,136.316372627 -4.68305386299994,136.359954627 -4.68305386299994,136.502072627 -4.75625386299993,136.525272627 -4.77055386299998,136.631618627 -4.82805386299998,136.799281627 -4.90583586299994,136.808163627 -4.92083586299998,136.822754627 -4.93041786299995,137.003599628 -4.95416286299997,137.210799628 -5.01263586299996,137.223708628 -5.00555386299993,137.268863628 -4.98694486299996,137.304408628 -5.02999886299995,137.364136628 -5.07583586299995,137.409145628 -5.10583586299992,137.518308628 -5.15486286299995,137.593563628 -5.15555386299997,137.577754628 -5.16778086299996,137.570254628 -5.17666286299993,137.574981628 -5.18833586299996,137.594972628 -5.20278086299993,137.608581628 -5.20944486299993,137.662754628 -5.22388986299995,137.749999628 -5.28055386399996,137.778045628 -5.31471786399993,137.948581628 -5.42721786399994,138.036372629 -5.45999886399994,138.043854629 -5.44028086399993,138.065245629 -5.40895386399995,138.073299629 -5.42444486399995,138.073299629 -5.43805386399993,138.065799629 -5.51638986399996,138.054690629 -5.58138986399996,138.052763629 -5.59971786399996,138.052736629 -5.62694486399994,138.054108629 -5.65278086399996,138.056881629 -5.67055386399994,138.071245629 -5.73131786399995,138.085908629 -5.73986286399997,138.164218629 -5.71791786399996,138.176972629 -5.70599886399998,138.208827629 -5.68971786399993,138.221308629 -5.68486286399997,138.314390629 -5.67055386399994,138.341308629 -5.67138986399993,138.351627629 -5.68028086399994,138.256345629 -5.72194486399997,138.191281629 -5.75863586399993,138.180118629 -5.76805386399997,138.167727629 -5.79333586399997,138.176054629 -5.80555386399993,138.186336629 -5.81583586399995,138.198545629 -5.82416286399996,138.211608629 -5.83166286399995,138.280245629 -5.85194486399996,138.297454629 -5.85555386399994,138.296054629 -5.97278086399996,138.325527629 -6.02499886399994,138.361081629 -6.09194486399997,138.365236629 -6.10138986399994,138.393172629 -6.18458086399994,138.393172629 -6.19555386399998,138.388581629 -6.20778086399997,138.388581629 -6.22138986399995,138.389981629 -6.23360886399996,138.395263629 -6.26221786399998,138.398036629 -6.27305386399996,138.408327629 -6.29694486399995,138.437745629 -6.36305386499993,138.463290629 -6.39916286499994,138.481627629 -6.42166286499997,138.495236629 -6.43528086499992,138.561099629 -6.49249886499996,138.676908629 -6.60888986499998,138.704954629 -6.64694486499997,138.688999629 -6.64666286499994,138.675536629 -6.65028086499996,138.666654629 -6.65778086499995,138.672763629 -6.68860886499994,138.678318629 -6.71028086499996,138.681918629 -6.72055386499994,138.690654629 -6.72860886499996,138.788027629 -6.77833586499997,138.882445629 -6.82583586499993,138.901090629 -6.82805386499996,138.937472629 -6.83278086499996,138.958008629 -6.83944486499996,138.972472629 -6.84555386499994,138.986636629 -6.85166286499998,139.017490629 -6.86888986499997,139.035281629 -6.88480886499997,139.047763629 -6.89888986499994,139.07441863 -6.92360886499995,139.08886363 -6.93333586499995,139.11969063 -6.95055386499996,139.12911863 -6.95444486499997,139.14636363 -6.95805386499995,139.17248163 -6.95916286499994,139.18664563 -6.96757186499997,139.13679063 -6.97833586499996,139.12160863 -6.97638986499993,139.10718163 -6.97028086499995,139.09356363 -6.96333586499998,139.07248163 -6.95055386499996,139.048308629 -6.93333586499995,139.023663629 -6.91091786499993,139.007199629 -6.89249886499994,138.997745629 -6.88166286499995,138.983290629 -6.86874486499994,138.965518629 -6.85916286499997,138.929690629 -6.84694486499995,138.909290629 -6.84360886499996,138.887481629 -6.84555386499994,138.805099629 -6.85639886499996,138.779036629 -6.86804486499994,138.757963629 -6.88717186499997,138.741336629 -6.89742686499994,138.728863629 -6.89964486499997,138.718599629 -6.89937186499998,138.699199629 -6.89631786499996,138.658999629 -6.88189886499993,138.644027629 -6.87718986499993,138.598018629 -6.87833586499994,138.588563629 -6.88249886499995,138.569972629 -6.89666286499994,138.562899629 -6.90652686499993,138.560808629 -6.92416286499997,138.563872629 -6.93805386499997,138.568708629 -6.94708086499998,138.581636629 -6.96138986499994,138.748836629 -7.10888986499998,138.760527629 -7.11778086499993,138.847472629 -7.15388986499994,139.042208629 -7.21360886499997,139.08969063 -7.21178086499998,139.12919963 -7.21010886499994,139.16149963 -7.20278086499997,139.17580863 -7.18305386499998,139.22247263 -7.16249886499998,139.18469063 -7.22721786499994,139.17580863 -7.23888986499998,139.16498163 -7.24138986499997,139.13563663 -7.24399886499998,139.09679963 -7.24299886499995,139.05581863 -7.25028086499998,139.05053663 -7.25166286499996,139.036654629 -7.25166286499996,139.021636629 -7.24958086499993,139.009427629 -7.24499886499996,138.994963629 -7.23888986499998,138.944972629 -7.20610886499998,138.934690629 -7.20278086499997,138.902463629 -7.20055386499996,138.674563629 -7.19291786499997,138.662199629 -7.20097186499993,138.662899629 -7.21180886499997,138.671099629 -7.22416286499993,138.683445629 -7.23236286499997,138.706363629 -7.23999886499996,138.763881629 -7.27138986499995,138.832454629 -7.31221786499998,138.848708629 -7.32333586499993,138.862727629 -7.33666286499994,138.881899629 -7.35833586499996,138.890808629 -7.36999886499996,138.897754629 -7.38013586499994,138.912754629 -7.40944486499995,138.933872629 -7.46360886599996,139.006236629 -7.51360886599997,139.020263629 -7.51666286599993,139.040254629 -7.52416286599993,139.06884563 -7.53638986599998,139.08800863 -7.55138986599997,139.09454563 -7.56180886599998,139.09634563 -7.57721786599996,139.09330863 -7.59110886599996,139.08273663 -7.60444486599994,139.06760863 -7.61652686599996,139.05523663 -7.63166286599994,139.05109063 -7.64110886599997,139.003736629 -7.76055386599995,139.002472629 -7.77610886599996,139.004427629 -7.78778086599993,139.005827629 -7.80666286599995,139.005827629 -7.82028086599996,139.003054629 -7.83805386599994,138.991908629 -7.86749886599995,138.976345629 -7.87944486599997,138.962190629 -7.88555386599995,138.951908629 -7.88888986599994,138.939972629 -7.89083586599997,138.922336629 -7.90028086599995,138.910945629 -7.91291786599993,138.907199629 -7.92610886599994,138.904145629 -8.03721786599993,138.850645629 -8.10499886599996,138.836636629 -8.12999886599994,138.839263629 -8.15818986599993,138.848299629 -8.17999886599995,138.852445629 -8.18944486599997,138.910263629 -8.29833586599995,138.920945629 -8.30138986599997,138.939054629 -8.29499886599996,138.963290629 -8.25110886599998,138.969699629 -8.22999886599996,138.973572629 -8.22055386599993,139.08413663 -8.13999886599993,139.21829063 -8.08916286599998,139.23857263 -8.11444486599993,139.24469063 -8.13208086599997,139.25970863 -8.15180886599995,139.27581863 -8.16971786599993,139.31692763 -8.19694486599997,139.32580863 -8.20166286599994,139.33690863 -8.20444486599996,139.36636363 -8.20638986599994,139.38693663 -8.20638986599994,139.41830863 -8.20360886599997,139.50747263 -8.18333586599994,139.52941863 -8.17722686599996,139.54385463 -8.17110886599994,139.56441863 -8.15749886599997,139.57525463 -8.14805386599994,139.59228163 -8.13798986599994,139.60134563 -8.13305386599995,139.62050863 -8.12499886599994,139.71246363 -8.11416286599996,139.75219963 -8.11278086599998,139.81997263 -8.11221786599998,139.86941863 -8.11333586599994,139.91579963 -8.11471786599998,139.94449063 -8.10233586599998,139.96563663 -8.09683586599994,140.00814563 -8.07383586599997,140.03998163 -8.05444486599993,140.04275463 -8.04360886599994,140.04135463 -8.03138986599993,140.03719963 -8.01444486599996,140.03719963 -7.99416286599995,140.05364563 -7.92687186599994,140.147899631 -7.88583586599998,140.133881631 -7.93916286599995,140.06191863 -8.07138986599995,140.05163663 -8.08659886599997,140.02244563 -8.10988986599995,140.00561863 -8.11355386599996,139.98214563 -8.13771786599995,139.97497263 -8.17666286599996,139.98522763 -8.19360886599998,139.99410863 -8.20499886599993,140.03164563 -8.24916286599995,140.05163663 -8.26888986599994,140.07079963 -8.28360886599995,140.08663663 -8.29528086599993,140.12274563 -8.32028086599996,140.209963631 -8.38333586599998,140.229127631 -8.39833586599997,140.336636631 -8.48860886699993,140.488008631 -8.61638986699995,140.503863631 -8.63208086699996,140.544436631 -8.70388986699993,140.597745631 -8.78666286699996,140.608854631 -8.80278086699997,140.618290631 -8.81360886699997,140.646363631 -8.83999886699996,140.689699631 -8.87860886699997,140.743563631 -8.92666286699995,140.757472631 -8.94028086699996,140.795254631 -8.98416286699995,140.828854631 -9.03221786699993,140.841645631 -9.04638986699996,140.857454631 -9.05860886699998,140.876345631 -9.07055386699994,140.888881631 -9.07499886699998,140.912199631 -9.07888986699993,140.928863631 -9.08305386699993,140.943845631 -9.08916286699997,140.961090631 -9.09916286699996,141.007018185 -9.12846258199994,141.007018186 -9.12846393599995,141.012118999 -9.13511247299994,141.019444 -9.13555599999995,140.866667 -9.38333299999994,140.825 -9.40833299999997,140.483333 -9.86666699999995,139.6 -10.4,139.201140838 -10.831851915,138.634484421 -10.398525997,138.607495037 -10.3805349359999,138.584484752 -10.365196333,138.345852937 -10.2241862819999,138.345743246 -10.224121464,138.217817261 -10.148528653,138.097413955 -10.096927894,138.096924688 -10.0967182109999,137.751150673 -9.94853123699994,135.66446866 -9.19671527499997,135.662486672 -9.19600117899995,135.484496786 -9.13187275099995,135.217839444 -9.28187309099997,135.081104249 -9.35024567799996,135.051171062 -9.36521336299995,134.977238223 -9.38227487499995,134.834502944 -9.41521395499996,133.384511949 -8.88188107499997,133.234523097 -8.89855154899993,130.167875691 -9.41523154699996,128.01338169 -9.41524011599995,128.001218363 -9.41524016499994,128.001159656 -9.41528419399998,127.977999625 -9.43265356499995,127.966677583 -9.44114477799997,127.966553748 -9.44123764999995,127.966552007 -9.44123895599995,127.966551734 -9.44123912999993,127.882604455 -9.07201494099996,127.819356837 -8.79383378899996,127.586464774 -8.47499347599995,127.486653899 -8.34191228799995,127.392388055 -8.23101131899995,127.228809117 -8.22823878799994,127.156589289 -8.21775526599993,127.056912586 -8.20328606899994,126.876698564 -8.12288288299993,126.876698492 -8.12288284999994,126.760252461 -8.15892569399995,126.58835596 -8.19496850699994,126.483785219 -8.19683584599994,126.433094585 -8.19774103799995,126.395090047 -8.19685720999996,126.313876023 -8.19496850699994,126.178022304 -8.19496850699994,126.08098396 -8.21160366299995,125.981173085 -8.23101131899995,125.845319366 -8.24764647599994,125.784323837 -8.16169819199996,125.698375585 -8.10347519399994,125.607806428 -8.03323791299994,125.533872459 -7.99257422499994,125.483261463 -7.98107172699997,125.452545053 -7.97409072499994,125.433571852 -7.97598803999995,125.378611084 -7.98148409999993,125.364506503 -7.99206254799998,125.349037491 -8.00366431899994,125.339205149 -8.03512780399996,125.33055399 -8.06281150699994,125.33055399 -8.12565538199993,125.335152948 -8.18774124399994,125.337947397 -8.22546625699994,125.335739396 -8.24423424599996,125.33055399 -8.28831016299995,125.31477549 -8.39244823699994,125.31207054 -8.41030090099997,125.31207049 -8.41030122599994,125.279535833 -8.42494182699994,125.23813649 -8.44357153799996,125.167795445 -8.47371769399996,125.134628928 -8.48793191299995,125.016334553 -8.53598900699996,124.988030027 -8.55430370699997,124.953490646 -8.57665272599996,124.890646771 -8.62840650699997,124.846286365 -8.67646360099997,124.820409459 -8.70973388199997,124.835196271 -8.75779097599997,124.872163271 -8.81324147599997,124.878827811 -8.82181017199997,124.923917053 -8.87978206999998,124.964807876 -8.93298005799994,124.964807502 -8.93297994499994,124.967853616 -8.93694286699997,124.951899616 -8.95012686699994,124.934708616 -8.96055386699993,124.859418616 -9.00110886699997,124.838045616 -9.00722686699993,124.818327616 -9.00778086699995,124.797763616 -9.01471786699994,124.742199616 -9.05471786699997,124.671654616 -9.10666286699995,124.659290616 -9.12166286699994,124.603872616 -9.16152686699996,124.553036616 -9.17916286699995,124.528318616 -9.18194486699997,124.503599616 -9.18444486699997,124.468812616 -9.18441386699993,124.468968616 -9.18302786699996,124.46896869 -9.18302687799996,124.468968302 -9.18302747599995,124.470412583 -9.16363588299993,124.471268224 -9.16004076699994,124.47550174 -9.14225294499994,124.479375779 -9.12071634999995,124.485499333 -9.08667422599996,124.50607424 -8.96821088299993,124.501298118 -8.95751629399996,124.498325833 -8.95086081999995,124.482497677 -8.91581588199995,124.482497658 -8.91581583999994,124.473059396 -8.89491869499994,124.466795788 -8.88115345499995,124.466788456 -8.88113734299998,124.451693865 -8.84796466399996,124.441008418 -8.82389156999994,124.438675646 -8.81863610099998,124.42857476 -8.81965311899995,124.403296458 -8.82219828899997,124.33494599 -8.83704535099997,124.27670049 -8.85982572599994,124.213865758 -8.87754831199993,124.129023739 -8.90147806999994,124.113759567 -8.90470442199995,124.069529208 -8.91405328899998,123.97042685 -8.93132554699997,123.929083728 -8.93853111799996,123.929083645 -8.93853113299997,123.941526062 -8.96626193299994,123.99512202 -9.08571291399994,123.995943614 -9.08748756999995,123.999561224 -9.10996135599993,124.018718427 -9.22897222699993,124.021840364 -9.24555828899997,124.021840601 -9.24555878799993,124.036857536 -9.27727725099993,124.054699552 -9.31496278899994,124.059440053 -9.32770061699995,124.061282364 -9.33265094499995,124.06207636 -9.33482494999993,124.046099616 -9.33999886699996,123.995245615 -9.35083586699994,123.977345615 -9.35694486699998,123.786927615 -9.51722686699998,123.674699615 -9.62944486799995,123.663599615 -9.64555386799998,123.666927615 -9.66249886799994,123.670536615 -9.67249886799993,123.673308615 -9.69694486799995,123.671918615 -9.72944486799997,123.666099615 -9.84986286799995,123.661654615 -9.87055386799994,123.658045615 -9.88055386799994,123.643390615 -9.89978986799997,123.596363615 -9.92110886799998,123.581654615 -9.93347186799997,123.576663615 -9.94888986799998,123.575272615 -10.014998868,123.575272615 -10.0283358679999,123.581372615 -10.0426358679999,123.601436615 -10.0582628679999,123.618318615 -10.0465268679999,123.639918615 -10.028962868,123.658863615 -10.0258358679999,123.685527615 -10.026389868,123.699563615 -10.0293088679999,123.755136615 -10.0530538679999,123.764018615 -10.064444868,123.762208615 -10.078889868,123.758327615 -10.0886088679999,123.748318615 -10.102217868,123.734154615 -10.112217868,123.689699615 -10.135835868,123.671918615 -10.144998868,123.657490615 -10.1511088679999,123.643318615 -10.1543088679999,123.626645615 -10.154717868,123.615536615 -10.157217868,123.605263615 -10.160553868,123.531781615 -10.189998868,123.490745615 -10.2390268679999,123.488308615 -10.3163898679999,123.526654615 -10.336662868,123.612481615 -10.3713898679999,123.811654615 -10.3758268679999,123.830836615 -10.367771868,123.839708615 -10.363053868,123.855554615 -10.351389868,123.866381615 -10.3419448679999,123.885536615 -10.3272178679999,123.901927615 -10.3163898679999,123.936918615 -10.296944868,123.952208615 -10.291389868,123.976645615 -10.285280868,124.008327615 -10.282780868,124.027908616 -10.278189868,124.081099616 -10.232217868,124.089981616 -10.213889868,124.093318616 -10.203889868,124.105127616 -10.184998868,124.123308616 -10.179444868,124.269990616 -10.1699988679999,124.296654616 -10.1708358679999,124.359990616 -10.176108868,124.387208616 -10.176108868,124.408463616 -10.173471868,124.426372616 -10.1674988679999,124.435254616 -10.162780868,124.447481616 -10.154717868,124.492754616 -10.1174988679999,124.509163616 -10.0999988679999,124.518881616 -10.089162868,124.529163616 -10.0722178679999,124.535263616 -10.054717868,124.539981616 -10.0424988679999,124.547490616 -10.029717868,124.567490616 -10.0088898679999,124.595545616 -9.98916286799994,124.653872616 -9.95221786799993,124.773881616 -9.83388986799997,124.918872616 -9.69638986799993,124.956099616 -9.67194486799997,124.974145616 -9.65944486799998,124.980818616 -9.64888986799997,124.983318616 -9.63805386799993,124.985527616 -9.61999886799993,124.985527616 -9.60638986799995,124.984154616 -9.59416286799996,124.984154616 -9.57388986799998,124.985527616 -9.56166286699994,124.992199616 -9.54833586699993,125.003054616 -9.53305386699998,125.036927616 -9.49888986699995,125.091987748 -9.45974624699994,125.092452571 -9.46012366799994,125.09245299 -9.46012400799998,125.999478621 -10.466088424,125.999478231 -10.4660886089999,125.999011036 -10.466309934,125.68457222 -10.61526944,125.31790556 -11.0152694399999,124.56790556 -11.11526944,124.16791667 -11.41527222,124.00125 -11.43193889,123.66791667 -11.46527222,123.43458333 -11.38193889,123.279035818 -11.537486402,123.279035655 -11.5374865649999,123.279035183 -11.5374870369999,123.234572222 -11.548602778,122.717916667 -11.6152722219999,122.45125 -11.6318277779999,122.034583333 -11.6652722219999,122.00125 -11.6652722219999,121.934583333 -11.715272222,121.334583333 -12.398605556,120.267916667 -12.581938889,119.85125 -12.631938889,119.401263889 -12.8319472219999,118.451263889 -13.248613889,117.99763361 -12.923818871,117.97474161 -12.9023128709999,117.92989461 -12.872740871,117.85628461 -12.8035228709999,117.79746861 -12.76469287,117.567037609 -12.66361187,117.543246609 -12.64787187,117.500463609 -12.6290798699999,117.466763609 -12.6067718699999,117.405788609 -12.57996887,117.190274609 -12.43708887,117.101486609 -12.44572887,116.509144609 -12.40147187,116.376168608 -12.3680958699999,116.304526608 -12.3626868699999,116.128596608 -12.31844387,116.032837608 -12.31117187,115.857639608 -12.26700987,115.761168608 -12.2596388699999,115.586694608 -12.2155588699999,115.489518608 -12.2080888699999,115.474609608 -12.20431587,115.466252608 -12.2036728699999,115.345584607 -12.1731178699999,115.271994607 -12.1800808699999,115.253823607 -12.17867587,115.184787607 -12.18519887,114.593744607 -12.1391488699999,114.547210607 -12.12728987,114.406043607 -12.11619687,114.338530606 -12.09896587,114.131641606 -12.08262787,114.091754606 -12.07242687,113.968333606 -12.0626398699999,113.901716606 -12.0455798699999,113.858320606 -12.0421278699999,113.822153606 -12.0328588699999,113.798518606 -12.03097587,113.225048605 -11.88361687,113.220239605 -11.8814468699999,113.128257605 -11.85774787,113.051925605 -11.85157787,112.864089605 -11.80310187,112.851983605 -11.80211887,112.819833605 -11.80504587,112.576598605 -11.78523387,112.543896605 -11.78819787,112.301218605 -11.7683298699999,112.267966605 -11.7713308699999,112.025843604 -11.7514068699999,111.992044604 -11.7544438699999,111.755657604 -11.73489387,111.722056604 -11.73789987,111.132873604 -11.6887748689999,111.129148603 -11.6878018689999,111.127050603 -11.6876258689999,110.953977603 -11.642361869,110.855985603 -11.634113869,110.683517603 -11.5889228689999,110.584941603 -11.5805848689999,110.413069603 -11.5354668689999,110.313915603 -11.527038869,110.194318603 -11.495590869,110.124778603 -11.489659869,109.554189602 -11.339202869,109.504008602 -11.316124869,109.476559602 -11.308869869,109.427016602 -11.2860768689999,109.399829602 -11.278886869,109.350563602 -11.256212869,109.215323602 -11.220416869,109.145569602 -11.188280869,109.03497222 -11.11886176,108.490153889 -10.572738441,108.329598329 -10.4116273,108.050153889 -10.1405161389999,107.983764999 -10.0769050069999,107.905153889 -10.0010716629999,107.847540969 -9.94473699099996,107.729876109 -9.82968274099994,107.727799026 -9.82760565799998,107.726264999 -9.82607163099993,107.578209449 -9.70884938899997,107.461154748 -9.61669992799995,107.199598329 -9.41079377599993,107.107667995 -9.33837599199995,107.072653889 -9.31079375799993,107.01325123 -9.26838756099994,106.878487219 -9.17218262399996,106.867924148 -9.16467987999994,106.848764999 -9.15107150999995,106.822931669 -9.13246039699993,106.558764999 -9.03829370999995,106.386264999 -8.98968259199995,106.347931669 -8.97884925999995,106.180709449 -8.93162703199994,105.700431669 -8.82107145299995,105.699042779 -8.82079367299997,105.578209449 -8.79273811799993,105.393487219 -8.74829365999994,105.300431669 -8.72607143699997,105.271742069 -8.72726232799994,105.226820559 -8.72912699699998,104.502139353 -8.73334761799993,104.272931669 -8.73468254799997,104.153209449 -8.74468254999994,103.380709449 -8.80773811999995,102.56917584 -8.87249927999994,102.272300595 -8.87902886699993,101.687446595 -8.82306286699998,101.122171594 -8.66734486699994,100.593903594 -8.41678886599993,100.118805593 -8.07920886599993,100.072021593 -8.03166786599996,99.9709275930001 -7.95980886599995,99.9455785930001 -7.93404786599996,99.8907525930001 -7.89507386599996,99.4833125930001 -7.48096286599997,99.4210995930001 -7.39021586499996,99.3778995930001 -7.34631086499996,99.2782285920001 -7.20094786499993,99.2090805920001 -7.13067786499994,99.1093495920001 -6.98526086499993,99.040262592 -6.91506186499993,98.940453592 -6.76956986499994,98.871444592 -6.69946386499993,98.7715405920001 -6.55387386499996,98.7026295920001 -6.48388186499994,98.6026095920001 -6.33817486399994,98.5338145920001 -6.26831786399993,98.4757835920001 -6.18380586399996,98.435971592 -6.14338686399998,98.4058565920001 -6.09953786399996,98.3620865920001 -6.05510586399993,98.2903605920001 -5.95069386399996,98.2111175910001 -5.87026886399997,98.1428235910001 -5.82175786399995,97.7353835910001 -5.40841886399994,97.6446675910001 -5.27654986399995,97.6293645910001 -5.26103386299997,97.4924065910001 -5.06204486299993,97.4695555910001 -5.03888786299996,97.409273591 -4.95134586299997,97.3993185910001 -4.94125986299997,97.3243805910001 -4.83246886299997,97.3092335910001 -4.81712686299994,97.175302591 -4.62279386299997,97.1485105900001 -4.59567086299995,97.11897559 -4.55283586299993,97.0785765900001 -4.51194786299993,96.9726875900001 -4.43689686299996,96.8703835900001 -4.33338986299998,96.7647705900001 -4.25856286299995,96.73220059 -4.22562186299996,96.69869859 -4.20188986299996,96.2904385900001 -3.78928586199993,95.9608995890001 -3.31315486199998,95.937720589 -3.26258786199998,95.8627755890001 -3.15446486199994,95.8285385890001 -3.07984886099996,95.7189285890001 -2.92186486099996,95.7063075890001 -2.89439686099996,95.6662565890001 -2.83670586099993,95.461630589 -2.39221586099995,95.3292625890001 -2.25922286099996,95.327535589 -2.25674186099997,95.268749589 -2.19770386099998,94.9372625880001 -1.72239085999996,94.6938375880001 -1.19800985999996,94.6889095880001 -1.17940685999997,94.4242315880001 -0.801933858999973,94.4199505880001 -0.792761858999938,94.3300005880001 -0.664682858999925,94.3226465880001 -0.648942858999931,94.175204588 -0.439246858999979,94.1749725880001 -0.438750858999924,94.1704625880001 -0.432342858999959,94.0517715880001 -0.179054858999962,93.6290425870001 0.115943142000049,93.548971587 0.195415142000058,93.4971925870001 0.231498142000021,93.371736587 0.355904142000043,93.2915715870001 0.411711142000058,93.2545545870001 0.448385142000063,93.231136587 0.46468014200002,92.8166605860001 0.874650142000064,92.4795705860001 1.34807714300007,92.229856586 1.87063314300002,92.074914586 2.42657914400007,92.0193535860001 2.99922914400003,92.0648885860001 3.57142214500004,92.1454216440001 3.87809795600003,92.3986110000001 4.02777800000007,92.7252780000001 4.30861100000004,92.854722 4.45944400000008,93.6866670000001 5.42222200000003,94.1716670000001 6.00000000000006,94.403333 6.27000000000004,94.5400000000001 6.50000000000006,94.6333330000001 6.64166700000004,94.926944 7.04000000000002,95.4291670000001 7.66833300000008,95.52 7.76833300000004,95.5300000000001 7.78333300000003,95.5516670000001 7.76833300000004,96.6083330000001 7.09666700000002,97.9 6.36333300000007,98.024999967 5.95000010800004,98.025 5.95000000000005),(95.3373365890001 5.89444614700005,95.2201095890001 5.91347314700005,95.2109455890001 5.90347314700006,95.2114905890001 5.89263714700007,95.2177455890001 5.88166414700004,95.273481561 5.80309004700007,95.2801095890001 5.79374614700004,95.2924635890001 5.78555514700003,95.340318589 5.77465514700003,95.3802455890001 5.80611014700003,95.380799589 5.81916414700004,95.3801905890001 5.83754614700007,95.3823275890001 5.84694614700004,95.3373365890001 5.89444614700005),(104.714299598 -5.91805386399994,104.692745598 -5.82555386399997,104.688872597 -5.81583586399995,104.679154597 -5.79833586399997,104.632754597 -5.71499886399994,104.627763597 -5.70610886399993,104.614154597 -5.68555386399993,104.596936597 -5.66194486399996,104.579163597 -5.63860886399993,104.557208597 -5.61278086399994,104.549145597 -5.60055386399995,104.540818597 -5.58138986399996,104.526099597 -5.54471786399995,104.532208597 -5.52430886399998,104.543172597 -5.50805386399998,104.554427597 -5.50222686399997,104.565536597 -5.49944486399994,104.609990597 -5.49333586399996,104.621645597 -5.49278086399994,104.659990597 -5.50222686399997,104.671099597 -5.50499886399996,104.681372597 -5.50833586399995,104.694972598 -5.51513586399994,104.717208598 -5.53597186399998,104.725272598 -5.54528086399995,104.740808598 -5.57055386399998,104.758608598 -5.58749886399994,104.783336598 -5.60388986399994,104.893599598 -5.66999886399998,104.976645598 -5.70333586399994,105.059418598 -5.75055386399993,105.141590598 -5.79534486399996,105.198027598 -5.77916286399994,105.214145598 -5.77125386399996,105.214081598 -5.75860886399994,105.193036598 -5.68166286399997,105.171508598 -5.58791786399996,105.259572598 -5.44902686399996,105.271936598 -5.44416286399996,105.290399598 -5.44971786399998,105.341090598 -5.51388986399996,105.623599598 -5.81916286399996,105.728872598 -5.89826286399995,105.779163599 -5.83499886399994,105.788036599 -5.81666286399997,105.794708599 -5.79610886399996,105.800263599 -5.77444486399997,105.831099599 -5.63583586399994,105.834718599 -5.61888986399993,105.836645599 -5.59708086399996,105.834718599 -5.58194486399998,105.831099599 -5.57194486399993,105.823608599 -5.55888986399998,105.817490599 -5.54110886399997,105.858599599 -5.14610886299994,105.879699599 -4.99666286299993,105.887208599 -4.88805386299993,105.875527599 -4.85860886299997,105.868045599 -4.82528086299993,105.864154599 -4.79638986299994,105.864699599 -4.78360886299993,105.866654599 -4.77194486299993,105.879699599 -4.71666286299995,105.897772599 -4.67833586299997,105.904427599 -4.54860886299997,105.904427599 -4.47610886299998,105.901718599 -4.45680886299994,105.859990599 -4.38944486299994,105.828327599 -4.34028086299998,105.823608599 -4.33138986299997,105.817490599 -4.31694486299995,105.811099599 -4.29583586299998,105.809981599 -4.28360886299993,105.809981599 -4.24249886299998,105.812763599 -4.21778086299997,105.816090599 -4.20083586299995,105.828327599 -4.15833586199994,105.835818599 -4.13860886199996,105.847490599 -4.08194486199994,105.852481599 -4.05944486199996,105.857208599 -4.04360886199993,105.863308599 -4.02916286199996,105.883327599 -3.98749886199994,105.892763599 -3.96971786199992,105.935254599 -3.90610886199994,105.944972599 -3.88833586199996,105.953045599 -3.86916286199994,105.956236599 -3.85528086199997,105.956645599 -3.83860886199994,105.952072599 -3.81902686199993,105.942054599 -3.80499886199993,105.923027599 -3.78999886199995,105.874981599 -3.76944486199994,105.842345599 -3.74721786199996,105.824999599 -3.73055386199997,105.819445599 -3.72221786199998,105.815263599 -3.71278086199993,105.814145599 -3.69360886199996,105.816090599 -3.67499886199994,105.823036599 -3.64778086199993,105.876918599 -3.46249886199996,105.882472599 -3.44721786199995,105.889972599 -3.42749886199994,105.898881599 -3.40888986199997,105.914981599 -3.38402686199993,105.931090599 -3.36583586199993,105.954436599 -3.34055386199998,105.978736599 -3.31694486199996,105.994136599 -3.30499886199993,106.006654599 -3.29694486199998,106.024427599 -3.28721786199998,106.046863599 -3.27610886199994,106.059981599 -3.26888986199998,106.070263599 -3.25860886199996,106.077081599 -3.24138986199995,106.077208599 -3.21888986199997,106.055254599 -3.03138986099998,106.049145599 -3.01694486099996,106.041508599 -3.00402686099994,106.034154599 -2.99528086099997,106.021236599 -2.98305386099997,106.001099599 -2.96833586099996,105.988872599 -2.96028086099994,105.977063599 -2.95458086099995,105.959981599 -2.95138986099994,105.939972599 -2.95528086099995,105.916781599 -2.96305386099993,105.894708599 -2.96083586099996,105.883881599 -2.95805386099994,105.864699599 -2.94999986099998,105.852481599 -2.94166286099994,105.837199599 -2.92944486099998,105.820263599 -2.91221786099993,105.808590599 -2.89666286099992,105.801654599 -2.88278086099996,105.791363599 -2.85888986099997,105.788590599 -2.84805386099993,105.787199599 -2.82888986099994,105.787199599 -2.81499986099993,105.789981599 -2.77666286099998,105.791363599 -2.73028086099993,105.789081599 -2.71041786099994,105.779299599 -2.69416286099994,105.759508598 -2.68507186099993,105.734418598 -2.68444486099997,105.716090598 -2.68221786099997,105.700272598 -2.67749986099994,105.681090598 -2.66944486099993,105.660954598 -2.65528086099994,105.636927598 -2.63125386099995,105.626081598 -2.61444486099992,105.618590598 -2.60138986099997,105.610527598 -2.58221786099995,105.606936598 -2.56528086099996,105.605818598 -2.55305386099997,105.605818598 -2.53249986099996,105.606936598 -2.51999986099997,105.609708598 -2.50916286099994,105.618045598 -2.48999986099994,105.623599598 -2.47499986099996,105.628308598 -2.45916286099992,105.631090598 -2.44805386099995,105.632472598 -2.43236286099994,105.629699598 -2.41805386099998,105.625527598 -2.40860886099995,105.616236598 -2.39721786099994,105.606372598 -2.39333586099997,105.522218598 -2.39833586099996,105.345545598 -2.37874486099997,105.325545598 -2.37499986099994,105.314418598 -2.37138986099995,105.279427598 -2.35860886099994,105.249418598 -2.34694486099994,105.238308598 -2.34416286099997,105.225272598 -2.34471786099994,105.203599598 -2.35028086099993,105.182745598 -2.35721786099998,105.167763598 -2.36249986099995,105.102763598 -2.37083586099993,105.038736598 -2.37125386099996,105.029427598 -2.36333586099994,105.023881598 -2.35499986099995,105.011518598 -2.34333586099996,104.991090598 -2.33305386099994,104.885054598 -2.28812686099997,104.864972598 -2.28875386099998,104.852199598 -2.29652686099996,104.782763598 -2.39555386099994,104.768336598 -2.46749986099996,104.766936598 -2.47971786099993,104.763608598 -2.49694486099997,104.745818598 -2.57471786099995,104.741654598 -2.58444486099995,104.736645598 -2.59333586099996,104.724436598 -2.60499986099995,104.708036598 -2.61249986099995,104.686654597 -2.61860886099993,104.653054597 -2.63305386099995,104.611363597 -2.65971786099993,104.593181597 -2.67236286099995,104.577208597 -2.69388986099995,104.564699597 -2.72278086099993,104.559418597 -2.74471786099997,104.553854597 -2.75625386099995,104.545536597 -2.76528086099995,104.531790597 -2.77138986099993,104.538036597 -2.71528086099994,104.542763597 -2.69944486099996,104.561918597 -2.67055386099997,104.573608597 -2.65499986099996,104.580554597 -2.64749986099997,104.599154597 -2.63180886099997,104.624418597 -2.61583586099994,104.641663597 -2.60555386099998,104.651090597 -2.60138986099997,104.671099597 -2.59388986099998,104.710054598 -2.57652686099993,104.717481598 -2.56528086099996,104.725272598 -2.46610886099995,104.727481598 -2.39860886099996,104.724427598 -2.38444486099996,104.859990598 -2.20305386099994,104.869708598 -2.18528086099997,104.875808598 -2.17083586099994,104.878590598 -2.15999986099996,104.879436598 -2.14694486099995,104.876645598 -2.11555386099997,104.871090598 -2.07971786099995,104.862763598 -2.06055386099996,104.846363598 -2.03583585999996,104.821781598 -2.01278085999996,104.799145598 -2.00110885999993,104.787490598 -1.99888985999996,104.773881598 -1.99888985999996,104.755254598 -2.00110885999993,104.635690597 -1.92736285999996,104.625681597 -1.91347185999996,104.580554597 -1.87638985999996,104.561781597 -1.86444485999994,104.538108597 -1.86028085999993,104.529981597 -1.87083585999994,104.524018597 -1.89597185999997,104.509781597 -1.92965385999997,104.496927597 -1.93471785999998,104.489436597 -1.92499985999996,104.483318597 -1.91055385999994,104.480818597 -1.89597185999997,104.483318597 -1.86833585999995,104.493590597 -1.84416285999993,104.502490597 -1.82583585999993,104.516099597 -1.81194485999993,104.530199597 -1.80388985999997,104.537345597 -1.78875385999993,104.539427597 -1.77360885999997,104.538881597 -1.76055385999996,104.536099597 -1.74278085999993,104.529981597 -1.72166285999998,104.517490597 -1.69278085999997,104.501099597 -1.66138985999993,104.488590597 -1.63944485999997,104.463318597 -1.58249985999993,104.460536597 -1.57166285999995,104.451663597 -1.51888985999994,104.450272597 -1.50666285999995,104.445536597 -1.45986285999993,104.446927597 -1.44416285999995,104.450272597 -1.42694485999994,104.455836597 -1.40499985999998,104.457208597 -1.39278085999996,104.457208597 -1.37221785999998,104.455263597 -1.35388985999992,104.450272597 -1.33110885999997,104.446927597 -1.32083585999993,104.439972597 -1.30721785999998,104.431927597 -1.29471785999993,104.416654597 -1.27568985999994,104.409145597 -1.26278085999996,104.404981597 -1.25305385999997,104.400272597 -1.23721785999993,104.394708597 -1.21528085999995,104.395118597 -1.19166285999995,104.401654597 -1.16749985999996,104.407208597 -1.15916285999998,104.413308597 -1.14471785999996,104.412772597 -1.13166285999995,104.383045597 -1.05083585999995,104.377763597 -1.03930885999995,104.369427597 -1.03028085999995,104.359154597 -1.02694485999996,104.346099597 -1.02610885999997,104.231654597 -1.06249985999995,104.218599597 -1.06999985999994,104.118045597 -1.03110885999996,104.108318597 -1.02694485999996,103.966663597 -0.985280859999932,103.954990597 -0.983053859999927,103.935808597 -0.98444485999994,103.924699597 -0.98721785999993,103.881654597 -0.998889859999963,103.861099597 -1.01249985999993,103.845954597 -1.02486285999993,103.741090597 -0.995553859999973,103.731372597 -0.99138985999997,103.660263597 -0.953053858999965,103.651381597 -0.94805385899997,103.548872596 -0.869026858999973,103.469708596 -0.780280858999959,103.466381596 -0.764453858999957,103.427199596 -0.748889858999974,103.360808596 -0.702217858999973,103.414990596 -0.576662858999953,103.522063596 -0.503753858999971,103.573881596 -0.469999858999927,103.586381596 -0.461662858999944,103.597754596 -0.449308858999927,103.597563596 -0.434999858999959,103.582208596 -0.417780858999947,103.573881596 -0.412217858999952,103.497208596 -0.379444858999932,103.436236596 -0.375971858999947,103.342363596 -0.364099858999964,103.416727596 -0.351089858999956,103.438872596 -0.33360885899998,103.444427596 -0.325280858999975,103.498599596 -0.242217858999936,103.498454596 -0.22666285899993,103.492890596 -0.218335858999978,103.478727596 -0.215135858999929,103.425808596 -0.235553858999936,103.353863596 -0.26291785899997,103.331936596 -0.264999858999943,103.318327596 -0.264999858999943,103.272345596 -0.259580858999925,103.286099596 -0.247217858999932,103.300536596 -0.241108858999951,103.311372596 -0.23833585899996,103.334718596 -0.23416285899998,103.377199596 -0.228608858999962,103.393599596 -0.224444858999959,103.422490596 -0.212217858999963,103.434708596 -0.203889858999958,103.580454596 -0.102962858999945,103.586590596 -0.0498538589999384,103.602736596 -0.0272178589999612,103.668545597 -0.0230718589999697,103.761627597 -0.0174898589999657,103.774672597 -0.0169538589999547,103.791963597 -0.0136268589999418,103.811181597 -0.00349985899993044,103.811627597 0.0105551410000544,103.802745597 0.028891141000031,103.793027597 0.0536101410000356,103.770518597 0.15444614200004,103.763599597 0.188610142000073,103.757472597 0.223610142000041,103.754699597 0.248337142000025,103.751372597 0.258610142000066,103.747190597 0.268055142000037,103.739690597 0.281110142000045,103.729427597 0.291391142000066,103.475272596 0.483337142000039,103.450545596 0.49971914200006,103.404708596 0.522500142000069,103.383736596 0.532364142000063,103.367199596 0.53639114200007,103.351090596 0.536110142000041,103.340272596 0.53333714200005,103.220172596 0.487219142000072,103.206627596 0.475000142000056,103.202472596 0.465555142000028,103.199690596 0.454446142000052,103.195508596 0.445000142000026,103.178445596 0.420973142000037,103.162754596 0.409164142000066,103.149699596 0.401664142000072,102.904418596 0.262782142000049,102.884408596 0.255282142000056,102.872190596 0.253891142000043,102.851636596 0.253891142000043,102.819972596 0.251110142000073,102.796627596 0.24694614200007,102.674681596 0.222219142000029,102.659127596 0.217500142000063,102.644336596 0.209864142000072,102.630799596 0.197500142000024,102.587190596 0.152500142000065,102.571363596 0.153746142000045,102.558299596 0.15778214200003,102.539963595 0.166664142000059,102.523299595 0.177782142000069,102.430308595 0.244510142000024,102.488299595 0.245000142000038,102.498999595 0.238337142000034,102.508999595 0.224310142000036,102.519972595 0.207782142000042,102.530254595 0.197500142000024,102.554136596 0.18055514200006,102.571018596 0.176246142000025,102.584972596 0.181110142000023,102.593308596 0.186664142000041,102.720808596 0.258610142000066,102.774981596 0.286664142000063,102.947454596 0.374446142000068,103.047472596 0.425000142000044,103.070827596 0.436110142000075,103.081918596 0.445555142000046,103.088445596 0.456246142000055,103.090808596 0.471110142000043,103.090808596 0.484719142000074,103.086636596 0.501110142000073,103.080545596 0.515555142000039,103.066936596 0.536110142000041,103.042736596 0.565555142000051,102.976008596 0.643482142000039,102.968036596 0.655282142000033,102.958590596 0.666391142000066,102.932454596 0.695000142000026,102.917472596 0.708055142000035,102.904972596 0.71639114200002,102.881908596 0.727219142000024,102.865245596 0.731391142000064,102.714418596 0.740837142000032,102.621899596 0.73611014200003,102.605527596 0.731946142000027,102.575527596 0.728055142000073,102.562472596 0.728610142000036,102.545245596 0.731946142000027,102.519972595 0.740837142000032,102.510245595 0.745000142000038,102.491908595 0.753891142000043,102.465263595 0.768337142000064,102.425663595 0.797500142000047,102.235518595 0.978055142000073,102.221072595 0.997782142000062,102.210799595 1.01500014200002,102.201372595 1.03971914200002,102.194408595 1.06028214200006,102.188854595 1.08221914200004,102.187472595 1.09444614200004,102.187472595 1.10833714200004,102.191645595 1.12471914200006,102.198008595 1.15971914200003,102.198572595 1.19528214300004,102.135527595 1.37333714300007,102.125936595 1.38166414300002,102.084699595 1.39861014300004,102.052463595 1.41444614300002,102.035518595 1.42471914300006,102.018863595 1.43555514300004,101.983308595 1.46250014300006,101.876354595 1.55500014300003,101.783308595 1.63971914300004,101.766918595 1.65083714300005,101.758036595 1.65555514300007,101.724408595 1.67000014300004,101.708018595 1.67416414300004,101.688018595 1.67471914300006,101.663299595 1.67194614300007,101.631072595 1.66305514300007,101.615518595 1.65750014300005,101.605236595 1.65416414300006,101.588581595 1.65000014300006,101.575527595 1.64944614300003,101.545518595 1.65361014300004,101.535799595 1.65750014300005,101.444118594 1.69611014300006,101.429690594 1.70221914300004,101.410518594 1.71721914300002,101.400254594 1.72750014300004,101.383872594 1.75221914300005,101.371354594 1.78083714300004,101.363863594 1.80083714300002,101.333036594 1.89333714300005,101.329699594 1.90361014300004,101.325527594 1.92000014300004,101.326772594 1.94111014300006,101.329699594 1.96250014300006,101.328308594 1.98166414300005,101.323590594 2.00500014300007,101.318036594 2.02000014300006,101.313290594 2.02889114300007,101.301645594 2.04471914300007,101.270390594 2.07500014300007,101.254436594 2.08639114300007,101.194690594 2.12333714300007,101.070936594 2.20931014300004,101.063854594 2.21916414300006,101.055527594 2.23833714300002,101.050799594 2.25416414400007,101.055799594 2.26958214400003,101.057954594 2.28361014400002,100.932190594 2.29861014400007,100.883590594 2.29250014400003,100.860790594 2.28778214400006,100.841081594 2.28028214400007,100.825381594 2.26847314400004,100.808008594 2.24471914300005,100.799972594 2.22555514300007,100.797199594 2.21444614300003,100.795245594 2.19250014300007,100.795808594 2.17611014300007,100.797736594 2.16444614300002,100.801908594 2.14805514300002,100.813581594 2.11861014300007,100.821090594 2.10555514300006,100.864272594 2.06305514300004,100.873290594 2.05500014300003,100.885518594 2.03986414300005,100.894418594 2.02139114300007,100.946618594 1.88166414300002,100.949981594 1.86791914300005,100.942463594 1.82055514300004,100.927045594 1.82861014300005,100.918581594 1.83694614300003,100.904136594 1.85694614300007,100.893863594 1.88083714300006,100.891645594 1.89250014300006,100.891081594 1.90555514300007,100.888308594 1.92333714300003,100.883590594 1.93916414300003,100.874681594 1.95750014300006,100.859699594 1.98361014300002,100.850518594 1.99528214300005,100.824281594 2.02721914300002,100.699981594 2.11166414300004,100.691645594 2.11721914300006,100.671072594 2.12819114300004,100.658863594 2.12736414300002,100.638872594 2.11986414300003,100.623863594 2.12055514300005,100.613590594 2.12416414300003,100.604690594 2.12889114300003,100.571636594 2.15083714300005,100.551908594 2.16527314300004,100.483308594 2.22000014300005,100.466081594 2.23694614300007,100.428572594 2.27528214400007,100.412190594 2.29305514400005,100.405808594 2.30083714400007,100.395518594 2.31778214400003,100.385245593 2.34166414400005,100.373018593 2.37055514400004,100.367463593 2.38555514400002,100.356627593 2.43278214400004,100.323590593 2.53000014400004,100.315508593 2.54921014400003,100.284554593 2.57961914400005,100.246836593 2.65340014400005,100.205108593 2.70597314400004,100.191490593 2.70944614400003,100.169418593 2.70721914400002,100.150254593 2.69916414400006,100.135245593 2.68681014400005,100.123581593 2.67111014400007,100.118027593 2.65611014400002,100.113863593 2.63971914400003,100.112745593 2.62721914400004,100.113299593 2.61416414400003,100.126354593 2.56555514400003,100.129672593 2.55528214400005,100.133872593 2.54583714400007,100.132945593 2.52687314400004,100.121081593 2.52555514400007,100.096918593 2.56639114400002,100.088581593 2.58555514400007,100.081918593 2.60611014400007,100.077754593 2.62250014400007,100.076372593 2.63471914400003,100.076918593 2.68889114400002,100.074981593 2.70055514400002,100.067463593 2.71347314400003,100.049754593 2.73013714400003,100.033863593 2.73471914400005,100.022199593 2.73278214400005,99.9974635930001 2.72305514400006,99.988018593 2.71889114400005,99.9766365930001 2.70902814400006,99.9800455930001 2.69471914400003,99.9998365930001 2.68721914400004,100.009418593 2.67958214400005,100.023145593 2.62889114400002,100.019972593 2.60528214400006,100.005190593 2.60111014400007,99.9551185930001 2.69027314400006,99.956363593 2.70471914400002,99.9749725930001 2.75471914400003,99.982818593 2.76895514400007,99.9909365930001 2.78291914400006,99.9941275930001 2.79694614400006,99.9946905930001 2.81000014400007,99.9941275930001 2.83000014400005,99.9885725930001 2.92444614400006,99.9808085930001 2.94374614400004,99.9699725930001 2.95389114400007,99.900799593 3.00778214400003,99.7644185930001 3.14471914400002,99.6569185930001 3.20555514400007,99.6185905930001 3.21500014400004,99.5780455930001 3.22944614400006,99.568599593 3.23361014400007,99.5480365930001 3.24721914400004,99.5274815930001 3.26778214400002,99.2527905920001 3.51471914500007,99.241672592 3.52444614500007,99.2266725920001 3.53666414500003,99.210827592 3.54833714500006,99.202499592 3.55389114500002,99.0725085920001 3.62889114500007,98.9627995920001 3.67083714500006,98.930572592 3.67971914500004,98.9080635920001 3.68444614500004,98.8875275920001 3.69111014500004,98.8339995920001 3.71305514500006,98.811445592 3.72471914500005,98.7908185920001 3.73833714500006,98.7102545920001 3.79486414500008,98.7038545920001 3.80889114500008,98.696918592 3.84305514500005,98.6291365920001 3.92583714500006,98.5516365920001 3.99889114500007,98.534408592 4.00916414500006,98.469972592 4.04750014500007,98.3980275920001 4.07833714500003,98.3835905920001 4.08444614500007,98.2705185920001 4.14250014500004,98.2652545920001 4.19361014500004,98.2644185920001 4.31194614500004,98.2850995920001 4.34944614500006,98.2816455920001 4.41083714600006,98.2767815920001 4.42681014600004,98.196627591 4.48889114600007,98.157608591 4.51833714600002,98.120508591 4.53611014600006,98.064690591 4.55694614600003,98.0171995910001 4.55111014600004,97.976072591 4.68500014600005,97.9732995910001 4.69583714600003,97.9649815910001 4.74221914600002,97.9670545910001 4.75736414600004,97.967472591 4.77000014600003,97.9644185910001 4.78389114600003,97.954145591 4.80777314600005,97.9457995910001 4.82694614600007,97.9224725910001 4.87194614600003,97.9130275910001 4.88639114600005,97.8999815910001 4.90083714600007,97.7757995910001 4.98889114600007,97.684127591 5.05500014600005,97.6483185910001 5.08916414600003,97.6285725910001 5.11028214600003,97.6052365910001 5.14166414600004,97.5819275910001 5.17305514600002,97.5655185910001 5.19777314600003,97.549136591 5.21527314600007,97.5148275910001 5.24944614600003,97.5017815910001 5.25361014600003,97.4874725910001 5.25083714600004,97.448854591 5.23444614600004,97.430527591 5.22555514600003,97.3819095910001 5.20583714600002,97.2605275910001 5.16277314600006,97.239963591 5.15611014600006,97.222745591 5.15250014600002,97.203581591 5.15111014600006,97.1905185910001 5.15194614600006,97.1802545910001 5.15528214600005,97.16801859 5.16347314600006,97.1581635900001 5.18431014600003,97.15358159 5.20389114600005,97.1496995900001 5.21333714600007,97.1399725900001 5.22416414600002,97.1274545900001 5.23250014600006,97.0988635900001 5.24471914600002,97.0457995900001 5.26347314600002,96.9810815900001 5.27055514600005,96.84108159 5.27889114600004,96.82052759 5.27889114600004,96.8088545900001 5.27694614600006,96.7780275900001 5.26666414600004,96.76302759 5.26111014600002,96.7535815900001 5.25694614600008,96.7335815900001 5.24750014600005,96.7199725900001 5.24055514600008,96.6916365900001 5.22777314600006,96.65330959 5.21805514600004,96.5813635900001 5.20721914600006,96.5607905900001 5.20721914600006,96.4141365900001 5.21416414600003,96.40191859 5.21527314600007,96.34774559 5.22277314600007,96.1196905900001 5.27944614600005,96.1044185900001 5.28500014600007,96.0708185890001 5.29944614600004,96.0585815890001 5.30750014600005,95.9674725890001 5.38055514600006,95.9324635890001 5.41389114600003,95.9091365890001 5.43861014600003,95.8969185890001 5.45347314600002,95.892890589 5.46513714600007,95.8949725890001 5.48347314700004,95.8881725890001 5.50312814700004,95.8330365890001 5.53611014700004,95.7385725890001 5.58527314700007,95.6091275890001 5.62666414700004,95.598018589 5.62944614700007,95.4321905890001 5.65471914700004,95.419418589 5.65389114700002,95.4088635890001 5.65055514700003,95.340527589 5.60971914700002,95.2832365890001 5.56944614700006,95.233581589 5.57013714700003,95.2238635890001 5.47944614700003,95.239681589 5.45277314600003,95.252199589 5.41611014600005,95.2555365890001 5.40583714600007,95.254699589 5.39278214600006,95.2321905890001 5.28305514600004,95.299972589 5.17444614600004,95.303445589 5.15701014600006,95.298581589 5.14305514600005,95.2835815890001 5.11832814600007,95.422745589 4.84666414600002,95.5310815890001 4.68277314600005,95.5885815890001 4.63361014600002,95.6446995890001 4.58861014600006,95.6638635890001 4.57361014600002,95.8283095890001 4.42055514600003,95.903854589 4.33166414500005,95.9417635890001 4.28361014500007,96.009136589 4.22305514500005,96.0208095890001 4.21416414500004,96.066072589 4.19777314500004,96.0949725890001 4.17194614500005,96.1416455900001 4.13889114500006,96.15801859 4.13833714500004,96.17497259 4.13139114500007,96.18566359 4.12500014500006,96.1944095900001 4.11639114500002,96.2683095900001 4.03861014500006,96.2841365900001 4.02000014500004,96.2985815900001 4.00028214500003,96.3149725900001 3.97555514500004,96.3216365900001 3.96194614500007,96.3319275900001 3.94416414500006,96.3485905900001 3.91944614500005,96.3916455900001 3.85889114500003,96.4141365900001 3.83333714500003,96.4280275900001 3.81971914500002,96.4594095900001 3.78971914500005,96.4888635900001 3.76361014500003,96.5188635900001 3.74624614500004,96.5396905900001 3.74055514500003,96.55829959 3.73833714500006,96.57109059 3.73916414500007,96.58969059 3.74194614500004,96.6107905900001 3.74805514500002,96.6349815900001 3.75139114500007,96.68273659 3.75139114500007,96.72274559 3.75139114500007,96.7877545900001 3.74250014500007,96.7960815900001 3.73694614500005,96.86927259 3.68721914500003,96.8802455900001 3.67750014500007,97.0055365900001 3.53611014500007,97.0274635900001 3.50305514500008,97.0357995900001 3.48389114500003,97.07691859 3.40111014500008,97.16830959 3.25451014400005,97.1802545910001 3.24528214400004,97.2091365910001 3.23971914400005,97.2469095910001 3.23152814400004,97.256781591 3.22431014400007,97.2841455910001 3.17986414400002,97.289409591 3.16111014400002,97.289409591 3.14055514400008,97.2907995910001 3.12833714400006,97.2933095910001 3.11721914400005,97.302463591 3.08527314400004,97.3105185910001 3.06611014400005,97.3180365910001 3.05305514400004,97.3371905910001 3.02416414400005,97.3605185910001 2.99221914400005,97.3819095910001 2.96528214400007,97.4202455910001 2.92847314400007,97.4482995910001 2.91555514400005,97.539136591 2.87958214400004,97.5551725910001 2.87750014400007,97.574145591 2.88083714400005,97.5853995910001 2.87916414400007,97.5969275910001 2.86694614400005,97.601909591 2.85805514400005,97.6107905910001 2.83278214400002,97.6249725910001 2.78528214400006,97.630527591 2.76361014400004,97.637481591 2.72166414400004,97.6491365910001 2.63750014400006,97.6505275910001 2.62527314400006,97.6505275910001 2.59778214400006,97.6505275910001 2.51305514400002,97.649008591 2.49721914400004,97.6483185910001 2.48083714400002,97.6505275910001 2.42805514400004,97.6519185910001 2.41583714400002,97.6546905910001 2.40471914400007,97.659408591 2.39583714400004,97.750254591 2.27083714400004,97.762190591 2.26583714400005,97.871563591 2.24028214300006,97.8902545910001 2.24721914300005,97.8991365910001 2.25194614400004,97.9157995910001 2.26305514400002,97.9252455910001 2.26721914400002,97.9369085910001 2.26916414400006,97.9485815910001 2.26721914400002,98.047199591 2.21528214300002,98.0877545910001 2.19389114300003,98.109699591 2.18166414300003,98.1383085910001 2.16250014300005,98.1443635910001 2.15702814300005,98.241072591 2.08694614300003,98.4391365920001 1.98778214300006,98.4563635920001 1.97750014300004,98.5063635920001 1.94528214300004,98.5227545920001 1.93444614300006,98.5380365920001 1.92194614300007,98.554981592 1.90500014300005,98.711681592 1.78194614300003,98.726545592 1.78451014300003,98.7465455920001 1.77250014300006,98.7707085920001 1.74861014300006,98.824054592 1.66971914300007,98.8244635920001 1.64611014300004,98.822254592 1.62194614300006,98.7730725920001 1.54458214300007,98.7619635920001 1.53513714300004,98.751127592 1.53971914300007,98.744736592 1.54750014300004,98.7394545920001 1.55902814300003,98.7250085920001 1.56791914300004,98.7141905920001 1.56861014300006,98.7038365920001 1.55979114300004,98.7208545920001 1.52471914300003,98.725572592 1.51583714300006,98.788618592 1.41444614300002,98.838618592 1.31111014300006,98.8805725920001 1.18278214300005,98.9641725920001 0.937500142000033,99.0241725920001 0.792082142000027,99.035554592 0.775837142000057,99.1033365920001 0.58471914200004,99.1224995920001 0.508055142000046,99.1369455920001 0.412782142000026,99.134863592 0.392219142000044,99.122772592 0.373264142000039,99.1124995920001 0.34528214200003,99.158054592 0.317500142000029,99.1351455920001 0.268473142000062,99.139590592 0.257919142000048,99.1547275920001 0.245555142000057,99.1683365920001 0.238610142000027,99.2197085920001 0.217500142000063,99.2369275920001 0.213891142000023,99.2499995920001 0.214719142000035,99.2631815920001 0.21847314200005,99.2785905920001 0.226946142000031,99.2930455920001 0.233337142000039,99.304154592 0.23611014200003,99.3163725920001 0.237219142000072,99.341090593 0.234719142000074,99.3505365930001 0.230555142000071,99.5905455930001 0.107219142000019,99.608318593 0.0975001410000687,99.6358185930001 0.0769461410000645,99.6597085930001 0.0530551410000726,99.7435725930001 -0.0344448589999615,99.754972593 -0.0505538589999333,99.7597085930001 -0.0594448589999388,99.7652545930001 -0.0744448589999251,99.7681545930001 -0.0890898589999551,99.7652545930001 -0.103335858999969,99.7527635930001 -0.132217858999979,99.748854593 -0.151944858999968,99.7521995930001 -0.165553858999942,99.8083185930001 -0.298608858999955,99.816936593 -0.310689858999979,99.9146995930001 -0.398608858999978,99.9927545930001 -0.450835858999938,100.003054593 -0.461108858999978,100.013318593 -0.471389858999942,100.050263593 -0.510280858999977,100.088590593 -0.561108858999944,100.098327593 -0.578889858999958,100.109290593 -0.60555385899994,100.116090593 -0.622780858999931,100.129981593 -0.642917858999965,100.163308593 -0.683053858999926,100.176936593 -0.696662858999957,100.211927593 -0.723335858999974,100.293590593 -0.806389858999978,100.318881593 -0.842635858999927,100.331381593 -0.864717858999938,100.335272593 -0.874162858999966,100.350399593 -0.955208858999924,100.381927593 -1.04555385999993,100.382199593 -1.11166285999997,100.437481594 -1.24138985999997,100.560454594 -1.32534485999997,100.566936594 -1.33583585999997,100.585408594 -1.38249985999994,100.582763594 -1.41749985999996,100.606090594 -1.49555385999997,100.648881594 -1.61930885999993,100.658045594 -1.63388985999995,100.675808594 -1.65028085999995,100.688308594 -1.66555385999993,100.699999594 -1.68110885999994,100.741090594 -1.73610885999994,100.845836594 -1.88528085999997,100.856090594 -1.90249985999998,100.866381594 -1.92638985999997,100.869708594 -1.93666285999996,100.876081594 -1.96471785999995,100.882199594 -1.99971785999998,100.882754594 -2.04555385999993,100.881508594 -2.06805386099995,100.874690594 -2.08528086099994,100.864427594 -2.10236286099996,100.841663594 -2.12778086099996,100.832899594 -2.14278086099995,100.833181594 -2.16847186099994,100.838318594 -2.18721786099997,100.905545594 -2.31944486099997,100.916381594 -2.33583586099996,101.006463594 -2.45711786099997,101.020536594 -2.48528086099998,101.028872594 -2.49749986099994,101.085536594 -2.57083586099998,101.095263594 -2.58166286099993,101.109708594 -2.59528086099994,101.124690594 -2.60778086099998,101.140545594 -2.61944486099998,101.181090594 -2.64749986099997,101.199418594 -2.65638986099998,101.247481594 -2.67694486099992,101.259436594 -2.68194486099998,101.279708594 -2.69249986099993,101.299845594 -2.70666286099993,101.313872594 -2.71999986099996,101.322218594 -2.73221786099998,101.404427594 -2.88971786099995,101.461108594 -3.00388986099995,101.470263595 -3.02583586099996,101.485808595 -3.05110886099993,101.491363595 -3.05944486099997,101.609154595 -3.22305386199997,101.626918595 -3.24610886199997,101.634718595 -3.25249886199992,101.654427595 -3.26666286199998,101.869708595 -3.42138986199996,101.995818595 -3.50833586199997,102.112763595 -3.57944486199995,102.208181595 -3.63805386199994,102.221227595 -3.64902686199997,102.236636595 -3.67125386199996,102.241090595 -3.68388986199994,102.255945595 -3.77727186199996,102.269145595 -3.81055386199995,102.281372595 -3.91444486199993,102.277481595 -3.92388986199995,102.279427595 -3.93555386199995,102.289981595 -3.96318986199998,102.305118595 -3.98597186199993,102.326099595 -4.00610886199996,102.337772595 -4.01499886199997,102.449418595 -4.09499886199995,102.493872595 -4.12555386199995,102.539145595 -4.15583586199995,102.551372596 -4.16444486199993,102.599427596 -4.19860886299995,102.643336596 -4.23028086299996,102.671372596 -4.25083586299996,102.721790596 -4.28999886299994,102.823608596 -4.37360886299996,102.853045596 -4.39971786299998,102.873599596 -4.41999886299993,103.023036596 -4.53083586299994,103.051654596 -4.54305386299995,103.101090596 -4.57583586299995,103.129154596 -4.59583586299993,103.229563596 -4.67388986299994,103.262772596 -4.70221786299993,103.283863596 -4.72221786299997,103.294145596 -4.73221786299996,103.307208596 -4.74721786299995,103.354708596 -4.79305386299995,103.404708596 -4.83333586299995,103.443036596 -4.86083586299998,103.552754596 -4.90999886299994,103.569718596 -4.91333586299993,103.611608596 -4.91943586299993,103.626645597 -4.93166286299993,103.696636597 -4.95278086299993,103.708327597 -4.95499886299996,103.719836597 -4.96028086299998,103.891099597 -5.11138986299994,103.904981597 -5.12499886299997,104.002690597 -5.27076286399995,104.009718597 -5.33028086399997,104.095263597 -5.42916286399998,104.173599597 -5.48638986399993,104.233872597 -5.52749886399994,104.266099597 -5.54999886399997,104.299708597 -5.58471786399997,104.308863597 -5.59930886399997,104.311099597 -5.61068986399994,104.307754597 -5.62083586399996,104.342754597 -5.66583586399997,104.441363597 -5.75305386399998,104.527208597 -5.82944486399998,104.537490597 -5.83971786399997,104.546372597 -5.85138986399994,104.555945597 -5.87249886399997,104.560772597 -5.92974486399993,104.579163597 -5.93166286399997,104.631927597 -5.93388986399998,104.686099597 -5.93444486399994,104.692199598 -5.93388986399998,104.707354598 -5.92833586399996,104.714299598 -5.91805386399994),(102.268336595 -5.31528086399993,102.178590595 -5.27778086399996,102.160945595 -5.27916286399994,102.114436595 -5.31860886399994,102.099845595 -5.33513586399994,102.256945595 -5.45444486399992,102.327472595 -5.46749886399994,102.378054595 -5.48719886399994,102.386645595 -5.48416286399993,102.404708595 -5.41028086399996,102.403590595 -5.39778086399997,102.392490595 -5.38138986399997,102.380808595 -5.37249886399997,102.268336595 -5.31528086399993),(100.379981593 -3.15166286199997,100.403245594 -3.13492686199993,100.423172594 -3.14076286199997,100.461436594 -3.13360886199996,100.474836594 -3.12138986199994,100.476381594 -3.10583586099995,100.473036594 -3.03416286099997,100.469708594 -3.02388986099993,100.464708594 -3.01499986099998,100.371090593 -2.91028086099993,100.351090593 -2.88888986099994,100.255254593 -2.79249986099995,100.243590593 -2.78360886099995,100.232481593 -2.77875386099993,100.214708593 -2.78013586099996,100.197481593 -2.78694486099994,100.180118593 -2.79694486099993,100.174008593 -2.80791786099996,100.185954593 -2.96360886099995,100.191363593 -2.97583586099995,100.202472593 -2.99221786099997,100.246936593 -3.04916286099996,100.300118593 -3.08375386099993,100.324436593 -3.10721786099998,100.336099593 -3.11958086199996,100.340818593 -3.13541786199994,100.338045593 -3.17971786199996,100.335272593 -3.20028086199994,100.368872593 -3.24083586199993,100.427754594 -3.31055386199995,100.441227594 -3.32444486199995,100.459427594 -3.33388986199998,100.474154594 -3.32805386199993,100.478318594 -3.31555386199994,100.471645594 -3.29818986199996,100.451927594 -3.27028086199994,100.436654594 -3.25778086199995,100.420254594 -3.23333586199993,100.398327594 -3.19360886199996,100.379981593 -3.15166286199997),(100.146099593 -2.78694486099994,100.157763593 -2.77805386099993,100.175536593 -2.76860886099996,100.194972593 -2.76028086099996,100.203018593 -2.75892686099996,100.215118593 -2.75318986099995,100.214154593 -2.71860886099995,100.210536593 -2.70138986099994,100.206381593 -2.69194486099997,100.189972593 -2.66721786099993,100.159572593 -2.62930886099997,100.005827593 -2.49694486099997,99.9951185930001 -2.49028086099997,99.9844275930001 -2.48986286099995,99.9738725930001 -2.49652686099995,99.966090593 -2.50971786099996,99.9611085930001 -2.55166286099995,99.9894275930001 -2.75221786099996,100.008745593 -2.82916286099993,100.015972593 -2.83902686099998,100.031099593 -2.84194486099994,100.138245593 -2.82200886099997,100.141790593 -2.79971786099998,100.146099593 -2.78694486099994),(99.6363815930001 -2.02166285999994,99.6253995930001 -2.01541785999996,99.6102635930001 -2.01610885999997,99.5822185930001 -2.02221785999996,99.5726275930001 -2.02638985999994,99.543590593 -2.05541786099997,99.526654593 -2.14555386099994,99.530818593 -2.15860886099995,99.568599593 -2.22013586099996,99.605545593 -2.25388986099995,99.7233085930001 -2.32028086099996,99.7322085930001 -2.32499986099998,99.7788725930001 -2.34138986099993,99.8274905930001 -2.35097186099995,99.8591455930001 -2.37648986099993,99.8590185930001 -2.36805386099996,99.8466455930001 -2.33583586099996,99.8288725930001 -2.30583586099993,99.8152635930001 -2.28528086099993,99.8034545930001 -2.27138986099993,99.7733185930001 -2.24083586099994,99.7419275930001 -2.19694486099996,99.7152725930001 -2.15499986099996,99.7104085930001 -2.14278086099995,99.7069365930001 -2.11555386099997,99.7008185930001 -2.09416286099997,99.6938635930001 -2.08055386099994,99.684981593 -2.06875386099995,99.6363815930001 -2.02166285999994),(99.2491545920001 -1.77360885999997,99.2485995920001 -1.73194485999994,99.2383085920001 -1.69555385999996,99.2210995920001 -1.65944485999995,99.1985905920001 -1.63388985999995,99.2256815920001 -1.62215385999997,99.243590592 -1.64083585999992,99.2519365920001 -1.65999985999997,99.2822085920001 -1.73944485999994,99.2860995920001 -1.73666285999997,99.2961635920001 -1.70860885999997,99.2783185920001 -1.61986285999996,99.2508185920001 -1.58291785999995,99.2242185920001 -1.58812685999993,99.1080365920001 -1.36944485999993,99.0564365920001 -1.27007185999997,99.053318592 -1.22416285999998,98.9902635920001 -1.10860885999995,98.929154592 -0.950280858999975,98.8879815920001 -0.911317858999951,98.8324905920001 -0.92888985899998,98.7856815920001 -0.957499858999938,98.7562365920001 -0.956108858999926,98.6948365920001 -0.948544858999981,98.6574815920001 -0.971108858999969,98.651236592 -0.998471859999938,98.652899592 -1.04339985999997,98.642072592 -1.09444485999995,98.6283085920001 -1.12555385999997,98.6124905920001 -1.15110885999997,98.593527592 -1.18368085999992,98.6030455920001 -1.22305385999994,98.6324725920001 -1.28805385999993,98.6913635920001 -1.37638985999996,98.713736592 -1.40208085999996,98.7344185920001 -1.42555385999998,98.7908185920001 -1.50305385999997,98.8024725920001 -1.52221785999996,98.8299905920001 -1.57652685999994,98.826936592 -1.60944485999994,98.8762275920001 -1.67694485999994,99.0360995920001 -1.77499985999998,99.0538635920001 -1.78471785999994,99.0870725920001 -1.79944485999994,99.1122085920001 -1.80528085999993,99.2491545920001 -1.77360885999997),(98.511936592 -0.42249985899997,98.511936592 -0.370553858999926,98.4838725920001 -0.316389858999969,98.4647085920001 -0.280835858999978,98.451663592 -0.259444858999927,98.443445592 -0.250553858999979,98.433318592 -0.246808858999941,98.423181592 -0.249580858999934,98.3733085920001 -0.347217858999954,98.366654592 -0.360835858999963,98.3241545920001 -0.519999858999938,98.326099592 -0.53971785899995,98.3774725920001 -0.570553858999972,98.5016635920001 -0.53971785899995,98.502208592 -0.466389858999946,98.511936592 -0.42249985899997),(98.504436592 -0.303335858999958,98.5441455920001 -0.386389858999962,98.5474815920001 -0.370553858999926,98.558318592 -0.310835858999951,98.5580365920001 -0.294162858999925,98.553318592 -0.278335858999981,98.5441455920001 -0.26360885899993,98.535263592 -0.251944858999934,98.5222185920001 -0.237499858999968,98.5072185920001 -0.218335858999978,98.493318592 -0.197780858999977,98.488590592 -0.188889858999971,98.4824815920001 -0.173889858999928,98.4699815920001 -0.138335858999938,98.4658185920001 -0.121944858999939,98.4638815920001 -0.10999985899997,98.458327592 -0.0883358589999261,98.452208592 -0.0738898589999621,98.4441365920001 -0.0613898589999735,98.3989085920001 -0.00125385899997355,98.3902995920001 0.00471914100006643,98.3747275920001 0.00639114100005145,98.3455455920001 0.00451014100002567,98.3008085920001 -0.0072178589999794,98.291927592 -0.0152808589999722,98.369981592 -0.114999858999965,98.4960905920001 -0.291108858999962,98.504436592 -0.303335858999958),(98.7591815920001 0.0816641410000329,98.8053275920001 0.0942641410000533,98.837654592 0.0876371410000729,98.834745592 0.107782142000076,98.8230725920001 0.123610142000075,98.7918185920001 0.160282142000028,98.782245592 0.167082142000027,98.7627995920001 0.171664142000054,98.6119545920001 0.17694614200002,98.559736592 0.175555142000064,98.5495905920001 0.172219142000074,98.527654592 0.153055142000028,98.5143275920001 0.135555142000044,98.5153085920001 0.122782142000062,98.5194725920001 0.113337142000034,98.5298725920001 0.0980551410000317,98.637654592 0.0773641410000323,98.7591815920001 0.0816641410000329),(97.4824635910001 1.47000014300005,97.3963635910001 1.50139114300003,97.332409591 1.48791914300006,97.3155185910001 1.46721914300002,97.2517815910001 1.41597314300003,97.2235905910001 1.40833714300004,97.15774559 1.41166414300005,97.11468159 1.39333714300005,97.17080959 1.33305514300002,97.2505995910001 1.26028214300004,97.305236591 1.17250014200005,97.3455185910001 1.10333714200004,97.366636591 1.06305514200005,97.3921995910001 1.01305514200004,97.5837275910001 0.847637142000053,97.6121815910001 0.816946142000063,97.6210815910001 0.79861014200003,97.656081591 0.71694614200004,97.688990591 0.619928142000049,97.6798365910001 0.601946142000031,97.6992725910001 0.578055142000039,97.8107905910001 0.549719142000072,97.8189995910001 0.555282142000067,97.8703815910001 0.613610142000027,97.8864275910001 0.64257314200006,97.886918591 0.69111014200007,97.886918591 0.729446142000029,97.8876085910001 0.77319114200003,97.8953905910001 0.876391142000045,97.903308591 0.906110142000045,97.9200725910001 0.935537142000044,97.9361455910001 0.970346142000039,97.909345591 1.03923714200005,97.787608591 1.14805514200003,97.7355185910001 1.16500014200005,97.6850365910001 1.18395514300005,97.5427365910001 1.37889114300003,97.5338635910001 1.39721914300003,97.5239365910001 1.42333714300003,97.4824635910001 1.47000014300005),(98.5623635920001 1.62028214300005,98.5778185920001 1.62281914300007,98.581754592 1.62278214300005,98.602245592 1.62708214300005,98.5798455920001 1.66721914300007,98.555054592 1.68166414300003,98.4645545920001 1.70569114300002,98.453172592 1.70458214300004,98.4391365920001 1.69471914300004,98.4285725920001 1.68124614300007,98.4269085920001 1.66721914300007,98.4332995920001 1.65319114300007,98.4480085920001 1.64055514300003,98.489154592 1.62555514300004,98.500272592 1.62278214300005,98.5623635920001 1.62028214300005),(97.2845545910001 2.22576414300005,97.16538159 2.23361014300002,97.10830959 2.22194614300003,97.1021905900001 2.21305514300002,97.11607259 2.20416414300007,97.15025459 2.19861014300005,97.198854591 2.17750014300003,97.2071995910001 2.17194614300007,97.2338545910001 2.14389114300008,97.2796905910001 2.09389114300006,97.2913545910001 2.07805514300003,97.2960815910001 2.06916414300002,97.305236591 2.05221914300006,97.320818591 2.03028214300002,97.330809591 2.03597314300004,97.342745591 2.05363714300006,97.343581591 2.05611014300007,97.3441275910001 2.10611014300002,97.3283095910001 2.15361014300004,97.324418591 2.16305514300007,97.2845545910001 2.22576414300005),(95.9782995890001 2.79500014400003,95.9141365890001 2.88111014400005,95.9077455890001 2.89555514400007,95.8951095890001 2.91028214400006,95.8833185890001 2.91889114400004,95.8735815890001 2.92305514400005,95.790381589 2.93694614400005,95.7049725890001 2.83111014400004,95.6969185890001 2.81889114400002,95.6916905890001 2.80181014400006,95.695509589 2.78055514400006,95.7021905890001 2.76694614400003,95.818863589 2.65471914400007,95.861909589 2.64861014400003,95.8777455890001 2.64361014400004,96.0221995890001 2.59639114400005,96.031918589 2.59250014400004,96.0593995890001 2.57861014400004,96.2964995900001 2.42194614400006,96.29774559 2.40055514400007,96.3093995900001 2.37250014400007,96.31413659 2.36361014400006,96.3321275900001 2.35257314400008,96.4149815900001 2.33971914400007,96.4321905900001 2.34305514400006,96.47051859 2.35889114400004,96.48177259 2.36471914400005,96.4841275900001 2.37111014400006,96.47108159 2.40194614400002,96.4594095900001 2.43555514400003,96.4588635900001 2.46221914400007,96.4313545900001 2.50333714400006,96.40385459 2.51833714400004,96.3471995900001 2.53833714400002,96.2930275900001 2.57333714400005,96.2135905900001 2.63055514400003,96.1627545900001 2.68278214400004,96.1235815900001 2.73416414400003,96.1135905900001 2.74444614400005,96.1010725900001 2.75250014400007,96.0794185890001 2.76007314400005,96.0491365890001 2.76221914400003,96.0291455890001 2.76278214400003,96.0127545890001 2.76694614400003,95.9963545890001 2.77778214400007,95.9782995890001 2.79500014400003),(101.555799595 1.71111014300004,101.574145595 1.70916414300007,101.601636595 1.70916414300007,101.614145595 1.71028214300003,101.630527595 1.71444614300003,101.644127595 1.72139114300006,101.656627595 1.72944614300008,101.718154595 1.77889114300007,101.728163595 1.79291914300006,101.731918595 1.80639114300004,101.730527595 1.82555514300003,101.728445595 1.84055514300007,101.726354595 1.86250014300003,101.727754595 1.87471914300005,101.731081595 1.88500014300007,101.774290595 1.93950014300003,101.775181595 1.94131914300004,101.777472595 1.97444614300002,101.772472595 1.99333714300008,101.699690595 2.09194614300003,101.679836595 2.10971914300006,101.668027595 2.11528214300006,101.657199595 2.11778214300006,101.642054595 2.12000014300003,101.616072595 2.11528214300006,101.455808594 2.06861014300006,101.441354594 2.06250014300002,101.424554594 2.05181014300007,101.409699594 2.03221914300002,101.404418594 2.01721914300003,101.398445594 1.99221914300006,101.393308594 1.92555514300005,101.393718594 1.91555514300006,101.440936594 1.78458214300002,101.447463594 1.77069114300002,101.460536594 1.75278214300005,101.470108595 1.74181014300007,101.491908595 1.72944614300008,101.544690595 1.71389114300007,101.555799595 1.71111014300004),(102.195799595 1.43778214300005,102.215808595 1.43694614300006,102.249981595 1.43694614300006,102.262190595 1.43555514300004,102.273854595 1.43361014300007,102.289690595 1.42889114300004,102.308854595 1.42055514300006,102.333163595 1.40389114300007,102.349981595 1.38639114300003,102.378854595 1.35278214300007,102.423854595 1.30833714300007,102.461645595 1.27389114300007,102.480799595 1.26221914300004,102.491908595 1.25971914300004,102.502199595 1.26652814300007,102.505536595 1.28028214300002,102.504281595 1.29597314300003,102.496627595 1.35361014300003,102.495245595 1.43633714300006,102.495654595 1.44778214300004,102.489145595 1.47889114300006,102.483581595 1.49389114300004,102.478027595 1.50221914300005,102.466636595 1.51111014300005,102.458308595 1.51666414300007,102.444408595 1.52333714300005,102.434963595 1.52750014300005,102.343036595 1.55221914300006,102.332199595 1.55500014300003,102.288581595 1.55597314300007,102.243027595 1.56250014300002,102.196354595 1.57055514300004,102.163018595 1.57805514300003,102.131345595 1.58778214300003,102.119818595 1.59333714300004,102.080808595 1.61250014300003,102.066363595 1.61861014300007,102.056081595 1.62194614300006,102.036908595 1.62333714300007,102.009418595 1.61986414300003,101.994072595 1.60694614300007,101.999127595 1.59111014300004,102.003863595 1.58221914300003,102.013599595 1.56444614300005,102.024408595 1.54750014300004,102.044963595 1.52000014300006,102.058008595 1.50555514300004,102.088863595 1.47471914300007,102.100518595 1.46583714300004,102.118299595 1.45611014300005,102.137481595 1.44805514300003,102.147754595 1.44471914300004,102.171081595 1.44055514300004,102.195799595 1.43778214300005),(102.277472595 1.41166414300005,102.258872595 1.41389114300006,102.245799595 1.41305514300007,102.234127595 1.41111014300003,102.210945595 1.40361014300004,102.204418595 1.39083714300006,102.201372595 1.29194614300008,102.201918595 1.27889114300007,102.231354595 1.09916414200006,102.239272595 1.07639114200003,102.259408595 1.03833714200005,102.264418595 1.02944614200004,102.274690595 1.01916414200002,102.284972595 1.00889114200004,102.373290595 0.925282142000071,102.383590595 0.921946142000024,102.397608595 0.925000142000044,102.465108595 0.962982142000044,102.468854595 0.979164142000059,102.465808595 0.99305514200006,102.461636595 1.00278214200006,102.452754595 1.02805514200003,102.448581595 1.04444614200003,102.446618595 1.05611014200002,102.444827595 1.10652814200006,102.451372595 1.13083714200008,102.477436595 1.20605514300007,102.478027595 1.20833714300005,102.476281595 1.22528214300007,102.469127595 1.24055514300005,102.460254595 1.25221914300005,102.301908595 1.39528214300003,102.288990595 1.40624614300003,102.277472595 1.41166414300005),(102.712608596 1.15000014200007,102.700808596 1.13416414200003,102.657754596 1.05416414200005,102.692736596 1.02333714200006,102.727227596 1.03463714200007,102.761554596 1.02962814200004,102.816072596 1.00000014200003,102.944118596 0.935555142000055,103.083072596 0.837146142000051,103.085254596 0.836110142000052,103.101063596 0.83139114200003,103.113299596 0.830000142000074,103.126354596 0.830837142000064,103.137481596 0.833610142000055,103.148999596 0.838891142000023,103.165599596 0.853846142000066,103.168990596 0.861528142000054,103.170390596 0.879446142000063,103.165527596 0.891664142000025,103.156627596 0.903337142000055,103.094545596 0.978473142000041,103.051072596 1.02389114200003,103.037190596 1.03778214200003,102.970245596 1.08763714200006,102.956372596 1.09450014200007,102.886645596 1.12805514200005,102.867463596 1.13639114200004,102.822199596 1.15278214200004,102.811899596 1.15611014200005,102.800799596 1.15889114200007,102.783045596 1.16166414200006,102.741908596 1.16166414200006,102.730263596 1.15971914200003,102.712608596 1.15000014200007),(104.014427597 1.17194614200002,103.939699597 1.12471914200006,103.900881597 1.08958214200004,103.919963597 1.03971914200002,103.925518597 1.03139114200008,103.940518597 1.01916414200002,103.956936597 1.00805514200005,103.966663597 1.00416414200004,104.030963597 0.982219142000019,104.078327597 0.985555142000067,104.090254597 0.99069114200006,104.138863597 1.04763714200004,104.151645597 1.11639114200005,104.153054597 1.13536414200007,104.150818597 1.14666414200002,104.145263597 1.16166414200006,104.133036597 1.17666414300004,104.119418597 1.18361014300007,104.109127597 1.18694614300006,104.096072597 1.18778214300005,104.084408597 1.18555514300004,104.014427597 1.17194614200002),(104.278308597 1.00055514200005,104.300245597 0.998610142000075,104.316072597 1.00000014200003,104.371627597 1.01444614200005,104.423018597 0.974719142000026,104.488018597 0.919164142000056,104.482463597 0.856110142000034,104.525799597 0.837500142000067,104.535245597 0.833610142000055,104.560518597 0.824446142000056,104.583308597 0.819164142000034,104.595245597 0.824237142000072,104.623581597 0.908891142000073,104.645518597 0.98971914200007,104.666890597 1.02382814200007,104.669690597 1.03569114200008,104.667472597 1.05055514200006,104.662190597 1.06583714200002,104.649699597 1.09444614200004,104.642190597 1.10416414200006,104.534699597 1.17666414300004,104.408718597 1.19681014300005,104.335108597 1.17528214300006,104.242736597 1.09916414200006,104.231363597 1.08500014200007,104.238854597 1.01771014200006,104.251918597 1.00513714200002,104.278308597 1.00055514200005),(104.260827597 0.86597314200003,104.107745597 0.949864142000024,104.094708597 0.947219142000051,104.089154597 0.935555142000055,104.098036597 0.882219142000054,104.129699597 0.86833714200003,104.142345597 0.860555142000067,104.156936597 0.841110142000048,104.161099597 0.83139114200003,104.175536597 0.790837142000044,104.244827597 0.821110142000066,104.262836597 0.840346142000044,104.264981597 0.856391142000064,104.260827597 0.86597314200003),(103.425854596 0.830337142000076,103.389554596 0.888891142000034,103.373008596 0.888264142000025,103.343036596 0.832782142000042,103.340263596 0.821946142000058,103.338863596 0.80944614200007,103.339427596 0.789719142000024,103.344990596 0.767782142000044,103.353318596 0.748610142000075,103.402481596 0.660837142000048,103.413599596 0.65111014200005,103.426918596 0.647500142000069,103.439563596 0.64778214200004,103.451927596 0.652500142000065,103.461936596 0.659719142000029,103.474408596 0.678055142000062,103.497190596 0.71694614200004,103.506090596 0.735555142000067,103.506654596 0.740300142000024,103.506781596 0.749164142000041,103.501218596 0.760837142000071,103.466918596 0.80889114200005,103.425854596 0.830337142000076),(103.235236596 0.695000142000026,103.219972596 0.703610142000059,103.204418596 0.702500142000019,103.190245596 0.696391142000039,103.174418596 0.684719142000063,103.159972596 0.665000142000054,103.155245596 0.656110142000045,103.149699596 0.640837142000066,103.145518596 0.624446142000068,103.139972596 0.601946142000031,103.132890596 0.564446142000065,103.135245596 0.543610142000034,103.139418596 0.53333714200005,103.151081596 0.517637142000069,103.160381596 0.509719142000051,103.173572596 0.505837142000075,103.185245596 0.508055142000046,103.273036596 0.530000142000063,103.282754596 0.534164142000066,103.292190596 0.541528142000061,103.296218596 0.551110142000027,103.297736596 0.580555142000037,103.296890596 0.588946142000054,103.294127596 0.616946142000074,103.288854596 0.631946142000061,103.281354596 0.645000142000072,103.266645596 0.664582142000029,103.235236596 0.695000142000026),(103.023654596 0.696110142000066,103.038572596 0.710137142000065,103.048854596 0.734164142000054,103.052463596 0.758055142000046,103.053018596 0.771110142000055,103.052463596 0.784164142000066,103.051563596 0.786064142000043,103.048854596 0.79861014200003,103.042463596 0.815973142000075,103.030108596 0.834582142000045,103.011363596 0.850000142000056,102.924972596 0.914446142000031,102.888027596 0.939028142000041,102.783045596 0.998610142000075,102.760527596 1.01028214200005,102.714881596 1.01381014200007,102.646990596 0.990664142000071,102.624227596 0.994137142000056,102.604945596 1.01689114200002,102.614972596 1.04428214200004,102.578308596 1.09805514200002,102.554963596 1.12250014200004,102.538299595 1.13361014200007,102.521908595 1.13778214200005,102.508327595 1.13778214200005,102.486836595 1.13166414200003,102.473299595 1.11778214200007,102.469972595 1.10750014200005,102.467745595 1.09583714200005,102.466636595 1.08361014200005,102.467190595 1.05000014200004,102.474136595 1.03639114200007,102.491072595 0.998610142000075,102.497190595 0.984164142000054,102.501372595 0.967782142000033,102.500808595 0.954719142000044,102.497327595 0.940973142000075,102.486354595 0.931528142000047,102.449399595 0.93083714200003,102.436763595 0.924446142000022,102.410245595 0.887500142000022,102.406081595 0.878055142000051,102.412754595 0.867364142000042,102.461636595 0.822500142000024,102.480263595 0.806664142000045,102.500808595 0.793055142000071,102.543854596 0.774446142000045,102.554963596 0.771946142000047,102.574690596 0.772500142000069,102.619954596 0.781946142000038,102.630799596 0.784719142000029,102.654972596 0.795000142000049,102.672199596 0.79861014200003,102.692736596 0.79861014200003,102.855799596 0.794446142000027,102.874127596 0.792500142000051,102.889972596 0.787500142000056,102.909127596 0.77944614200004,102.926908596 0.769719142000042,102.935245596 0.764164142000027,102.942736596 0.757500142000026,103.006572596 0.692728142000021,103.008590596 0.692219142000056,103.023654596 0.696110142000066),(103.385745596 1.12507314200008,103.369963596 1.12916414200004,103.350518596 1.12471914200006,103.339827596 1.11805514200006,103.327754596 1.09916414200006,103.316936596 1.07611014200006,103.312945596 1.06208214200007,103.322754596 1.03652814200007,103.349399596 1.00500014200003,103.409690596 0.987219142000072,103.442181596 0.989791142000058,103.435527596 1.02521014200005,103.399699596 1.05402814200005,103.390808596 1.07611014200006,103.384699596 1.09721914200003,103.386918596 1.10889114200006,103.385745596 1.12507314200008),(104.691654598 0.0241641410000284,104.696927598 0.0227821410000502,104.703881598 0.0250001410000209,104.709990598 0.0386101410000492,104.705263598 0.0502821410000251,104.541218597 0.224719142000026,104.491908597 0.233682142000021,104.525799597 0.17694614200002,104.538018597 0.161946142000033,104.593154597 0.0972191410000391,104.673599597 0.0344461410000463,104.681927597 0.028891141000031,104.691654598 0.0241641410000284),(104.435254597 -0.213053858999956,104.442890597 -0.222499858999925,104.527490597 -0.273608858999978,104.542208597 -0.271944858999973,104.599154597 -0.249162858999966,104.647772597 -0.222499858999925,104.661372597 -0.215553858999954,104.683872597 -0.210835858999928,104.706927598 -0.210553858999958,104.739218598 -0.219862858999932,104.797208598 -0.264999858999943,104.847763598 -0.303335858999958,104.856090598 -0.308889858999976,104.929427598 -0.334162858999946,104.927199598 -0.278608858999974,104.919145598 -0.232217858999945,104.888890598 -0.193608858999937,104.820263598 -0.193608858999937,104.738863598 -0.134862858999952,104.671081597 -0.0519448589999456,104.653845597 -0.0347178589999544,104.623018597 -0.0108358589999398,104.614690597 -0.00528085899992448,104.604999597 1.41000043640815e-07,104.575808597 0.0125001410000323,104.538027597 0.0172191410000551,104.524981597 0.0104191410000567,104.517472597 -0.00610885899993718,104.514690597 -0.0169448589999774,104.513308597 -0.0361088589999667,104.513308597 -0.0497178589999407,104.515536597 -0.0752808589999745,104.514827597 -0.105280858999947,104.506636597 -0.121108858999946,104.480808597 -0.153608858999974,104.458445597 -0.17249985899997,104.448318597 -0.17583585899996,104.437336597 -0.178608858999951,104.431781597 -0.186944858999937,104.432481597 -0.20194485899998,104.435254597 -0.213053858999956),(103.730818597 -0.279444858999966,103.721154597 -0.272435858999927,103.633608597 -0.236944858999948,103.623308597 -0.233608858999958,103.557754596 -0.227635858999975,103.538308596 -0.232217858999945,103.529299596 -0.236944858999948,103.512490596 -0.250971858999947,103.496372596 -0.272499858999936,103.480554596 -0.298053858999936,103.453590596 -0.359862858999975,103.463608596 -0.367217858999936,103.535536596 -0.38166285899996,103.547208596 -0.383608858999935,103.616090597 -0.389999858999943,103.752781597 -0.353335858999969,103.761654597 -0.348608858999967,103.766108597 -0.335835858999928,103.763608597 -0.321944858999927,103.759718597 -0.312217858999929,103.751863597 -0.299371858999962,103.730818597 -0.279444858999966),(104.322218597 -0.373335858999951,104.286227597 -0.395553858999961,104.276927597 -0.410280858999954,104.250118597 -0.474717858999952,104.344708597 -0.58360885899998,104.493445597 -0.626944858999934,104.504436597 -0.621253858999978,104.593599597 -0.48444485899995,104.596363597 -0.469862858999932,104.592754597 -0.456108858999926,104.584718597 -0.443889858999967,104.527354597 -0.370835858999953,104.485208597 -0.348008858999947,104.476927597 -0.341662858999939,104.466090597 -0.338889858999949,104.322218597 -0.373335858999951),(109.492481602 -0.979717859999937,109.449418602 -1.04055385999993,109.451927602 -1.05166285999996,109.451927602 -1.06528085999997,109.448308602 -1.11971785999998,109.441090602 -1.17916285999996,109.436372602 -1.19471785999997,109.423308602 -1.22305385999994,109.416381602 -1.24360885999994,109.413599602 -1.25444485999998,109.418590602 -1.26333585999993,109.429427602 -1.27278085999995,109.445827602 -1.28388985999993,109.458327602 -1.29221785999994,109.467208602 -1.29694485999994,109.485954602 -1.30138985999997,109.502345602 -1.29721785999993,109.665818602 -1.21055385999995,109.775818602 -1.14236285999993,109.776090602 -1.12763585999994,109.762772602 -1.11291785999993,109.754718602 -1.09541785999994,109.756381602 -1.03251785999993,109.748027602 -1.01333585999993,109.738727602 -1.00194485999998,109.711645602 -0.98778085999993,109.673808602 -1.00824485999993,109.623790602 -0.984835859999976,109.583054602 -0.975553859999934,109.492481602 -0.979717859999937),(105.886927599 -1.49041785999998,105.744136598 -1.52916285999993,105.709154598 -1.54749985999996,105.750263598 -1.64221785999996,105.809699599 -1.79236285999997,105.781099599 -1.79499985999996,105.709563598 -1.77818985999994,105.685118598 -1.76471785999996,105.656372598 -1.73528085999993,105.650127598 -1.71298985999994,105.647490598 -1.63805385999996,105.604981598 -1.53597185999996,105.576663598 -1.52875385999994,105.455272598 -1.56708085999998,105.393336598 -1.60666285999997,105.345127598 -1.65610885999996,105.335890598 -1.70881785999995,105.362618598 -1.72471785999994,105.387763598 -1.74076285999996,105.401508598 -1.76818985999995,105.398745598 -1.79499985999996,105.385399598 -1.81568985999996,105.286799598 -1.88458085999997,105.261654598 -1.89778085999995,105.208881598 -1.91333585999996,105.178308598 -1.92402685999997,105.143054598 -1.95028085999996,105.122745598 -2.02652685999993,105.137554598 -2.07583586099997,105.342481598 -2.12694486099997,105.415818598 -2.12028086099997,105.480272598 -2.10110886099994,105.747345598 -2.13159986099993,105.792490599 -2.16444486099994,105.801090599 -2.18333586099993,105.807745599 -2.27221786099994,105.821872599 -2.38798986099994,105.855818599 -2.43110886099993,105.898736599 -2.44305386099995,105.918181599 -2.45444486099996,105.934290599 -2.47318986099998,105.941081599 -2.50055386099996,105.938727599 -2.52486286099997,105.925190599 -2.55242686099996,105.901027599 -2.61208086099992,105.900963599 -2.64666286099992,105.918872599 -2.72471786099993,105.929154599 -2.74860886099998,105.972618599 -2.81486286099994,105.996227599 -2.83221786099995,106.020963599 -2.83499986099997,106.092899599 -2.84236286099997,106.116090599 -2.84999986099996,106.145745599 -2.86847186099993,106.211381599 -2.88499986099993,106.281163599 -2.90763586099996,106.310808599 -2.92249986099995,106.406099599 -2.96971786099994,106.444427599 -2.98138986099997,106.457490599 -3.00944486099996,106.519399599 -3.10248986099998,106.717754599 -3.09833586099995,106.741508599 -3.07333586099998,106.741227599 -3.00215386099995,106.672199599 -2.97013586099996,106.659708599 -2.97444486099994,106.654163599 -2.97444486099994,106.608863599 -2.94791786099995,106.601363599 -2.92263586099995,106.608172599 -2.87458086099997,106.643881599 -2.77666286099998,106.648472599 -2.76600886099993,106.656936599 -2.74194486099998,106.667763599 -2.71166286099998,106.681499599 -2.68430886099998,106.718172599 -2.63888986099994,106.742481599 -2.61444486099992,106.781663599 -2.59194486099994,106.616381599 -2.52694486099995,106.386236599 -2.48444486099993,106.357408599 -2.47215386099992,106.315254599 -2.43208086099997,106.270408599 -2.37430886099997,106.253881599 -2.34278086099994,106.240818599 -2.31125386099995,106.187481599 -2.14763586099997,106.165963599 -2.03555385999994,106.162199599 -1.99499985999995,106.163308599 -1.96194485999996,106.166381599 -1.93055385999998,106.138045599 -1.84916285999998,106.090818599 -1.77166285999994,106.035945599 -1.68055385999998,106.027772599 -1.64749985999993,106.032627599 -1.61652685999996,106.043381599 -1.59909985999997,106.026790599 -1.57471785999996,105.910681599 -1.49555385999997,105.886927599 -1.49041785999998),(108.829427601 -1.66638985999992,108.839427601 -1.67028085999993,108.851790601 -1.67028085999993,108.931372601 -1.64360885999997,108.946636601 -1.63326285999995,108.958036601 -1.61555385999998,108.964990601 -1.59680885999995,108.963736601 -1.58152685999994,108.955899601 -1.57086285999998,108.932208601 -1.54583585999995,108.914145601 -1.53999985999997,108.896381601 -1.53749985999997,108.804554601 -1.56458085999998,108.795745601 -1.58208085999996,108.829427601 -1.66638985999992),(107.8327636 -2.53499986099996,107.7695636 -2.56173586099993,107.7086906 -2.55781786099993,107.6660906 -2.56437186099993,107.6497186 -2.58583586099996,107.6341366 -2.69888986099994,107.6356726 -2.75402686099994,107.6147996 -2.77874486099995,107.6113636 -2.91221786099993,107.5826276 -2.98347186099994,107.5791636 -3.00818986099995,107.6121276 -3.21208086199994,107.6444906 -3.22624486199993,107.8149816 -3.17097186199993,107.8374816 -3.15576286199996,107.8413726 -3.11180886099993,107.8217996 -3.08715386099993,107.8485996 -3.05999986099994,107.8697086 -3.05180886099993,107.8955456 -3.07416286099993,107.968863601 -3.16513586199994,107.971790601 -3.19152686199993,107.974490601 -3.23194486199998,107.984981601 -3.24902686199994,108.077381601 -3.22736286199995,108.104154601 -3.16194486199993,108.198027601 -3.11888986099996,108.205681601 -3.00666286099994,108.216381601 -2.97999986099995,108.260272601 -2.90749986099996,108.293318601 -2.85378986099994,108.291227601 -2.83625386099993,108.263045601 -2.75138986099995,108.084572601 -2.60528086099993,107.995245601 -2.57833586099997,107.8327636 -2.53499986099996),(106.821927599 -2.89721786099994,106.809008599 -2.89305386099994,106.742481599 -2.92263586099995,106.723872599 -2.96757186099995,106.821381599 -3.02388986099993,106.8544276 -3.03375386099998,106.8915186 -3.02347186099996,106.9147726 -2.95200886099997,106.9073456 -2.93528086099997,106.8966546 -2.92860886099993,106.825527599 -2.90055386099993,106.821927599 -2.89721786099994),(119.755545612 -5.70805386399996,119.771645612 -5.70847186399993,119.784418612 -5.70416286399995,119.826099612 -5.67749886399997,119.837754612 -5.66860886399996,119.844018612 -5.65778086399996,119.846099612 -5.63930886399993,119.852481612 -5.62528086399993,119.911099612 -5.57110886399994,119.927818612 -5.56221786399993,119.954990612 -5.56278086399993,119.976927612 -5.56833586399995,119.992754612 -5.57305386399997,120.024990612 -5.58194486399998,120.068045612 -5.59166286399994,120.083881612 -5.59416286399994,120.096099612 -5.59583586399998,120.108599612 -5.59416286399994,120.124154612 -5.58944486399997,120.144145612 -5.58194486399998,120.190808612 -5.56028086399994,120.209572612 -5.54818986399994,120.220836612 -5.54249886399998,120.314699612 -5.51444486399993,120.328881612 -5.51208086399993,120.341372612 -5.51638986399996,120.349718612 -5.52194486399998,120.358036612 -5.53416286399994,120.364699612 -5.54860886399996,120.368872612 -5.55805386399993,120.375672612 -5.57180886399993,120.408045612 -5.61471786399994,120.445536612 -5.62778086399993,120.455836612 -5.63110886399994,120.463463612 -5.61978986399993,120.429981612 -5.49610886399995,120.384299612 -5.35374486399996,120.329708612 -5.25999886299996,120.268881612 -5.16388986299995,120.266099612 -5.15278086299998,120.275545612 -5.12833586299996,120.292208612 -5.06278086299994,120.308027612 -4.99110886299997,120.308027612 -4.97749886299994,120.305818612 -4.96583586299994,120.303036612 -4.94249886299997,120.308590612 -4.85388986299995,120.319572612 -4.84430886299998,120.338590612 -4.83555386299997,120.390827612 -4.78360886299993,120.422208612 -4.67833586299997,120.416927612 -4.60471786299996,120.395536612 -4.49249886299998,120.386654612 -4.45499886299996,120.378308612 -4.44278086299994,120.368318612 -4.42555386299995,120.361927612 -4.41138986299995,120.356927612 -4.38638986299998,120.360527612 -4.37305386299994,120.374972612 -4.28471786299997,120.385272612 -4.18860886199997,120.386654612 -4.16944486199998,120.382618612 -4.15986286199995,120.360681612 -4.13721786199994,120.345545612 -4.11818986199995,120.342208612 -4.10791786199997,120.346936612 -3.94916286199998,120.347763612 -3.93638986199994,120.352481612 -3.91360886199993,120.371645612 -3.85694486199998,120.376372612 -3.84805386199997,120.406645612 -3.80221786199996,120.438872612 -3.74888986199994,120.444136612 -3.73388986199996,120.446508612 -3.71763586199995,120.427754612 -3.58833586199995,120.423999612 -3.57486286199997,120.408599612 -3.55278086199996,120.396381612 -3.52333586199995,120.394990612 -3.51083586199996,120.398327612 -3.36666286199994,120.399718612 -3.30778086199996,120.401090612 -3.28999886199995,120.408599612 -3.25860886199996,120.388736612 -3.21818986199997,120.378308612 -3.20778086199994,120.344990612 -3.19360886199996,120.268054612 -3.13749986199997,120.201936612 -2.96333586099996,120.373027612 -2.85610886099994,120.571108612 -2.71166286099998,120.677199612 -2.64805386099994,120.686918612 -2.64388986099993,120.771927612 -2.61249986099995,120.811654613 -2.61528086099997,120.991090613 -2.66028086099993,121.024563613 -2.67194486099993,121.067208613 -2.73360886099994,121.071927613 -2.74249986099994,121.076099613 -2.75888986099994,121.083054613 -2.90555386099993,121.083599613 -2.92528086099998,121.069572613 -3.20513586199996,121.020536613 -3.24694486199996,120.979845613 -3.26778086199994,120.895263613 -3.38221786199995,120.886936613 -3.39471786199994,120.882754613 -3.40416286199996,120.870527613 -3.43305386199995,120.865808613 -3.44860886199996,120.864990613 -3.48499886199994,120.867754613 -3.49583586199998,120.881099613 -3.53562686199996,120.905518613 -3.54719886199996,120.928036613 -3.57944486199995,120.941654613 -3.59305386199998,121.124690613 -3.75305386199994,121.213881613 -3.80360886199998,121.234990613 -3.80971786199996,121.251508613 -3.81721786199995,121.315808613 -3.89999886199996,121.323608613 -3.91360886199993,121.336381613 -3.94860886199996,121.350808613 -3.96833586199995,121.359836613 -3.97666286199996,121.376081613 -3.98416286199995,121.413308613 -3.98833586199993,121.478863613 -4.00471786199995,121.494708613 -4.00944486199995,121.573608613 -4.03333586199994,121.588045613 -4.03944486199993,121.604708613 -4.05083586199993,121.614699613 -4.06471786199995,121.619427613 -4.08055386199993,121.622208613 -4.10499886199995,121.623027613 -4.12833586199997,121.620245613 -4.15638986199997,121.613308613 -4.18360886199997,121.601090613 -4.21916286299995,121.581090613 -4.24736286299998,121.570118613 -4.25680886299995,121.496936613 -4.49805386299994,121.483045613 -4.56499886299997,121.476381613 -4.62638986299993,121.479972613 -4.66028086299997,121.533054613 -4.72555386299996,121.552408613 -4.74568986299994,121.701290613 -4.83478986299997,121.879963614 -4.85388986299995,121.971099614 -4.85721786299996,121.977763614 -4.85721786299996,122.078045614 -4.84360886299993,122.090545614 -4.83916286299996,122.110263614 -4.81416286299998,122.109418614 -4.79583586299998,122.088881614 -4.78221786299997,122.074436614 -4.76916286299996,122.064990614 -4.75833586299996,122.059418614 -4.74999886299997,122.049708614 -4.73221786299996,122.045818614 -4.72278086299997,122.043054614 -4.71194486299993,122.040263614 -4.68721786299994,122.041236614 -4.66444486299997,122.048599614 -4.64083586299995,122.060808614 -4.60528086299996,122.071108614 -4.58138986299997,122.080554614 -4.56360886299996,122.090954614 -4.54652686299994,122.104708614 -4.52610886299993,122.206645614 -4.49055386299995,122.294436614 -4.46721786299997,122.364990614 -4.44888986299998,122.471918614 -4.43249886299998,122.530818614 -4.42916286299993,122.543318614 -4.42083586299998,122.576663614 -4.39971786299998,122.595945614 -4.39388986299997,122.633036614 -4.40568986299996,122.667208614 -4.43249886299998,122.673727614 -4.44305386299993,122.671918614 -4.45778086299993,122.673308614 -4.46999886299994,122.679899614 -4.48236286299993,122.746645614 -4.48860886299997,122.758327614 -4.48638986299994,122.848036614 -4.43528086299995,122.893736614 -4.39805386299997,122.899299614 -4.38971786299993,122.903054614 -4.34221786299997,122.904981614 -4.31028086299995,122.907208614 -4.22958086299997,122.897490614 -4.16721786199997,122.879154614 -4.11666286199994,122.869981614 -4.09833586199994,122.857754614 -4.07638986199993,122.837199614 -4.05583586199998,122.818045614 -4.04778086199997,122.803872614 -4.04471786199997,122.781663614 -4.04555386199996,122.769436614 -4.05180886199997,122.780263614 -4.07638986199993,122.790672614 -4.08666286199997,122.801227614 -4.08971786199993,122.829154614 -4.11145386199996,122.835327614 -4.13568986199994,122.693863614 -4.14625386199998,122.683999614 -4.13902686199998,122.675536614 -4.12638986199994,122.611099614 -3.95944486199994,122.599427614 -3.88360886199996,122.478863614 -3.80360886199998,122.342418614 -3.72805386199997,122.246518614 -3.65805386199997,122.233463614 -3.64291786199993,122.223308614 -3.62583586199997,122.203327614 -3.59083586199995,122.198590614 -3.58138986199998,122.195399614 -3.56805386199994,122.199836614 -3.55888986199994,122.211645614 -3.55333586199993,122.249999614 -3.54388986199996,122.259427614 -3.53971786199998,122.268181614 -3.53125386199997,122.292354614 -3.45833586199996,122.284836614 -3.43916286199993,122.266654614 -3.42305386199996,122.248172614 -3.38860886199996,122.297899614 -3.28528086199998,122.341663614 -3.23333586199993,122.351927614 -3.22305386199997,122.356099614 -3.22027186199995,122.413036614 -3.23583586199993,122.435527614 -3.21749886199996,122.472763614 -3.17221786199997,122.476227614 -3.16089986199995,122.422408614 -3.12118086199996,122.403318614 -3.13055386199994,122.390827614 -3.13568986199994,122.376081614 -3.12721786199995,122.274427614 -3.03694486099994,122.265818614 -3.02791786099993,122.261936614 -3.01860886099996,122.267063614 -3.00666286099994,122.279708614 -2.99208086099998,122.293872614 -2.97194486099994,122.308445614 -2.94208086099997,122.312190614 -2.92860886099993,122.312190614 -2.91499986099996,122.307481614 -2.90263586099996,122.148608614 -2.78833586099995,122.131363614 -2.77805386099993,122.014163614 -2.68221786099997,121.968872614 -2.53444486099994,121.837908613 -2.30937186099993,121.716090613 -2.18333586099993,121.706381613 -2.17916286099995,121.671236613 -2.16986286099996,121.660681613 -2.17221786099998,121.644145613 -2.17971786099997,121.631090613 -2.18055386099996,121.618872613 -2.17916286099995,121.584163613 -2.16916286099996,121.569845613 -2.15958086099994,121.556372613 -2.14555386099994,121.550808613 -2.13721786099995,121.481654613 -2.02971785999995,121.428863613 -1.97166285999998,121.366236613 -1.97528085999994,121.344363613 -1.99278085999993,121.293872613 -1.84638985999993,121.293590613 -1.83638985999994,121.298718613 -1.80041785999993,121.303590613 -1.78805385999993,121.314563613 -1.77847185999997,121.333172613 -1.77312685999993,121.446090613 -1.82221785999997,121.509990613 -1.88721785999996,121.519718613 -1.89791785999995,121.530272613 -1.92221785999993,121.538663613 -1.93284485999993,121.603045613 -1.93610885999993,121.615254613 -1.93471785999998,121.644708613 -1.92971785999993,121.665536613 -1.92486285999996,121.693381613 -1.90986285999998,121.734708613 -1.86888985999997,121.742754613 -1.85986285999996,121.766518613 -1.80818985999997,121.769436613 -1.79416285999997,121.774990613 -1.77221785999996,121.780545613 -1.75721785999997,121.798654613 -1.72062685999992,121.836645613 -1.69138985999996,121.909990614 -1.67305385999993,121.939418614 -1.66805385999993,121.952472614 -1.66888985999998,122.010818614 -1.63055385999996,122.105263614 -1.61278085999993,122.162199614 -1.61055385999993,122.243872614 -1.56694485999998,122.345836614 -1.51083585999993,122.377063614 -1.48971785999993,122.391099614 -1.47305385999994,122.441654614 -1.40721785999995,122.561099614 -1.27833585999997,122.629436614 -1.22360885999996,122.687190614 -1.12278085999998,122.762218614 -1.04041785999993,122.769990614 -1.02778085999995,122.790545614 -0.986662859999967,122.793318614 -0.972217858999954,122.796654614 -0.944717858999979,122.806372614 -0.926944858999946,122.819990614 -0.913335858999972,122.829708614 -0.909162858999935,122.840554614 -0.906389858999944,123.068881615 -0.876944858999934,123.153054615 -0.896662858999946,123.172208615 -0.948889858999962,123.244845615 -1.03375385999993,123.267490615 -1.04555385999993,123.278590615 -1.04833585999995,123.317490615 -1.05721785999998,123.333745615 -1.05610885999994,123.352481615 -1.04416285999997,123.368872615 -1.02610885999997,123.377199615 -1.01388985999995,123.381363615 -1.00444485999998,123.392208615 -0.948635858999978,123.390536615 -0.932080858999939,123.401090615 -0.891389858999958,123.405963615 -0.882362858999954,123.418318615 -0.867217858999936,123.429154615 -0.857780858999945,123.446781615 -0.837635858999931,123.454990615 -0.765553858999965,123.411372615 -0.653608858999974,123.313599615 -0.600835858999972,123.299708615 -0.593889858999944,123.271654615 -0.580835858999933,123.261936615 -0.576662858999953,123.224427615 -0.566389858999969,123.212772615 -0.564444858999934,123.070827615 -0.559717858999932,123.057745615 -0.560280858999931,123.049972615 -0.569580858999927,123.046945615 -0.58360885899998,123.037272615 -0.598053858999947,123.008608615 -0.606944858999952,122.990808615 -0.609717858999943,122.976927615 -0.609717858999943,122.933036614 -0.606944858999952,122.903590614 -0.604999858999975,122.815808614 -0.617217858999936,122.730327614 -0.654162858999939,122.728590614 -0.66958085899995,122.755545614 -0.687217858999929,122.789145614 -0.694717858999979,122.822218614 -0.696108858999935,122.842754614 -0.696108858999935,122.870818614 -0.698753858999964,122.954018615 -0.728608858999962,122.957972615 -0.74375385899998,122.917627614 -0.764862858999948,122.766663614 -0.779717858999959,122.668590614 -0.780280858999959,122.583054614 -0.772780858999965,122.452763614 -0.749444858999937,122.226927614 -0.76083585899994,122.213045614 -0.76388985899996,122.198590614 -0.769999858999938,122.173454614 -0.786108858999967,122.158727614 -0.802217858999938,122.149145614 -0.841389858999946,122.148608614 -0.854162858999928,122.146381614 -0.872780858999931,122.142208614 -0.889162858999953,122.137499614 -0.898053858999958,122.129436614 -0.910553858999947,122.116381614 -0.924999858999968,122.105254614 -0.930971858999953,121.927754614 -0.963335858999926,121.749708613 -0.947499858999947,121.731090613 -0.945553858999972,121.720263613 -0.942780858999924,121.706790613 -0.935553858999924,121.663308613 -0.889999858999943,121.656099613 -0.879999858999952,121.654699613 -0.868335858999956,121.657763613 -0.847499858999925,121.660536613 -0.836389858999951,121.660681613 -0.82068985899997,121.654427613 -0.809717858999932,121.641727613 -0.803608858999951,121.622208613 -0.804999858999963,121.593181613 -0.813471858999947,121.501663613 -0.861108858999955,121.493318613 -0.866662858999973,121.473599613 -0.881108858999937,121.462618613 -0.890689858999963,121.202836613 -1.19888985999995,121.189699613 -1.22694485999995,121.182208613 -1.25360885999993,121.178863613 -1.27778085999995,121.172763613 -1.30583585999995,121.160263613 -1.33528085999995,121.142490613 -1.35916285999997,121.105263613 -1.40749985999997,121.080554613 -1.42458085999994,121.066381613 -1.42778085999993,121.026654613 -1.41944485999994,120.876645613 -1.39833585999997,120.841663613 -1.39221785999996,120.830399613 -1.38625385999995,120.826099613 -1.37360885999993,120.828327613 -1.35902685999997,120.830127613 -1.34416285999993,120.790745612 -1.34368085999995,120.738308612 -1.36666285999996,120.678599612 -1.39763585999998,120.664572612 -1.39388985999994,120.652481612 -1.37499985999995,120.647772612 -1.36610885999994,120.595836612 -1.25360885999993,120.569718612 -1.18805385999997,120.587490612 -1.13388985999995,120.586236612 -1.12291785999997,120.578599612 -1.10638985999998,120.573881612 -1.09749985999997,120.563599612 -1.08028085999996,120.513608612 -1.00028085999998,120.496654612 -0.979444859999944,120.421099612 -0.91471785899995,120.405818612 -0.905689858999949,120.389427612 -0.904999858999929,120.379154612 -0.908335858999976,120.365536612 -0.915280858999949,120.357208612 -0.920835858999965,120.346363612 -0.930280858999936,120.331518612 -0.939580858999932,120.316090612 -0.939999858999954,120.305254612 -0.937217858999929,120.290818612 -0.931108858999949,120.270545612 -0.916944858999955,120.257218612 -0.903053858999954,120.179699612 -0.808335858999953,120.157208612 -0.776108858999976,120.104427612 -0.69805385899997,120.096936612 -0.684999858999959,120.075545612 -0.637780858999975,120.066090612 -0.613053858999933,120.018599612 -0.363053858999933,120.001663612 -0.270553858999961,119.999418612 -0.245280858999934,119.998027612 -0.212217858999963,119.998872612 -0.199162858999955,120.019990612 -0.0752808589999745,120.027263612 -0.0618088589999388,120.044436612 -0.0481898589999332,120.059145612 -0.0388898589999371,120.071381612 -0.0273628589999362,120.076927612 -0.0155538589999651,120.093454612 0.0469461410000349,120.093318612 0.0694461410000713,120.094708612 0.0955551410000339,120.098327612 0.105837142000041,120.119981612 0.165282142000024,120.124154612 0.175000142000044,120.143336612 0.203610142000059,120.242199612 0.34500014200006,120.294145612 0.402500142000065,120.303172612 0.412082142000031,120.317490612 0.425000142000044,120.372618612 0.472782142000028,120.386108612 0.480000142000051,120.483318612 0.519719142000042,120.493590612 0.523055142000032,120.521099612 0.530000142000063,120.549145612 0.536110142000041,120.631927612 0.536664142000063,120.645827612 0.536664142000063,120.690263612 0.527219142000035,120.799990613 0.481946142000027,120.852072613 0.451810142000056,121.076663613 0.410000142000058,121.104854613 0.407219142000031,121.119981613 0.409164142000066,121.124108613 0.411910142000067,121.136645613 0.437082142000065,121.155545613 0.456664142000022,121.241363613 0.480000142000051,121.255681613 0.482500142000049,121.277481613 0.480555142000071,121.303590613 0.472219142000029,121.313027613 0.468337142000053,121.321927613 0.463337142000057,121.337199613 0.458055142000035,121.441645613 0.46931014200004,121.495390613 0.477082142000029,121.506381613 0.483337142000039,121.511936613 0.491664142000047,121.514708613 0.502500142000031,121.515963613 0.518337142000064,121.523463613 0.531391142000075,121.537336613 0.538055142000076,121.696372613 0.522500142000069,121.707208613 0.519719142000042,121.719436613 0.511391142000036,121.729708613 0.501110142000073,121.735263613 0.492782142000067,121.746936613 0.47028214200003,121.779918613 0.428891142000055,121.792481613 0.422637142000042,121.858599613 0.422219142000074,121.893599614 0.425837142000034,121.988027614 0.444310142000063,121.999154614 0.450555142000042,122.011381614 0.465555142000028,122.022490614 0.475000142000056,122.031936614 0.479164142000059,122.051927614 0.482500142000049,122.188872614 0.479164142000059,122.309418614 0.492219142000067,122.365808614 0.497782142000062,122.379436614 0.497782142000062,122.430263614 0.497782142000062,122.471363614 0.497782142000062,122.504172614 0.49639114200005,122.580836614 0.492219142000067,122.767208614 0.482500142000049,122.938027614 0.479164142000059,122.958327615 0.479164142000059,123.026381615 0.485282142000074,123.038036615 0.487500142000044,123.050263615 0.495555142000057,123.068036615 0.509582142000056,123.093599615 0.492219142000067,123.127481615 0.457637142000067,123.144145615 0.433337142000028,123.174427615 0.388055142000042,123.221645615 0.340837142000055,123.231936615 0.330555142000037,123.248318615 0.319446142000061,123.262772615 0.313337142000023,123.273036615 0.310000142000035,123.305818615 0.30166414200005,123.334718615 0.296110142000032,123.353863615 0.295000142000049,123.387499615 0.295555142000069,123.419708615 0.297500142000047,123.586927615 0.298891142000059,123.645827615 0.281110142000045,123.775272615 0.296110142000032,123.836927615 0.315282142000058,123.945827615 0.336664142000075,124.080272616 0.358610142000032,124.187763616 0.374446142000068,124.214427616 0.375000142000033,124.233599616 0.373610142000075,124.246090616 0.375000142000033,124.320399616 0.393191142000035,124.441363616 0.455282142000044,124.553036616 0.590837142000055,124.568045616 0.630555142000048,124.570263616 0.642219142000044,124.576927616 0.656110142000045,124.664699616 0.804719142000067,124.734290616 0.872782142000062,124.822354616 0.939028142000041,124.837490616 0.944446142000061,124.866927616 0.956110142000057,124.898736616 0.972219142000029,124.987490616 1.09583714200005,124.994981616 1.10889114200006,125.045818616 1.20221914300004,125.051372616 1.21721914300002,125.062190616 1.25416414300003,125.065263616 1.26819114300002,125.072490616 1.29861014300008,125.084154616 1.33500014300006,125.090272616 1.34944614300002,125.103863617 1.37000014300003,125.141663617 1.42139114300005,125.158454617 1.43541914300005,125.180818617 1.43694614300006,125.195818617 1.43902814300003,125.208327617 1.44389114300003,125.217208617 1.44861014300005,125.230536617 1.45931014300004,125.240536617 1.47333714300004,125.246645617 1.49444614300006,125.249008617 1.50861014300006,125.243172617 1.52000014300006,125.213608617 1.53833714300004,125.184981617 1.55778214300005,125.175527617 1.56555514300004,125.165818617 1.57944614300004,125.160954617 1.59194614300003,125.160808617 1.60750014300004,125.163599617 1.61861014300007,125.170536617 1.63916414300007,125.131363617 1.67139114300005,125.032763616 1.70000014300007,124.971099616 1.69471914300004,124.827763616 1.58444614300004,124.819718616 1.57541914300003,124.816508616 1.55861014300007,124.823036616 1.54111014300003,124.837490616 1.52139114300007,124.844436616 1.50778214300004,124.847763616 1.49750014300002,124.846372616 1.48305514300006,124.835818616 1.46611014300004,124.825818616 1.45889114300007,124.718872616 1.40000014300006,124.705536616 1.39624614300004,124.689418616 1.39528214300003,124.677754616 1.39721914300003,124.666927616 1.40000014300006,124.651654616 1.40555514300007,124.638045616 1.41250014300005,124.620954616 1.41791914300006,124.609990616 1.41166414300005,124.555818616 1.37000014300003,124.533863616 1.33694614300003,124.529018616 1.32471914300004,124.530545616 1.30361014300007,124.534290616 1.29013714300004,124.545536616 1.27750014300005,124.557890616 1.27263714300005,124.572218616 1.27389114300007,124.582218616 1.27916414300006,124.613590616 1.26076414300007,124.617199616 1.23944614300007,124.614154616 1.22528214300007,124.589708616 1.19139114300003,124.576663616 1.18389114300004,124.496936616 1.19111014300006,124.437336616 1.19528214300004,124.421654616 1.19389114300003,124.405818616 1.18916414300003,124.364563616 1.17034614200003,124.353318616 1.15583714200005,124.341372616 1.11639114200005,124.326927616 1.06916414200003,124.316672616 1.04528214200008,124.303590616 1.02389114200003,124.292618616 1.01431014200006,124.163308616 0.951946142000054,123.984418615 0.877219142000058,123.913036615 0.83471914200004,123.839154615 0.829446142000052,123.821927615 0.83139114200003,123.719145615 0.851946142000031,123.599845615 0.884446142000058,123.585536615 0.877364142000033,123.565818615 0.86471914200007,123.547763615 0.866946142000074,123.481372615 0.889719142000047,123.374418615 0.925282142000071,123.242199615 0.953337142000066,123.203045615 0.956664142000022,123.039981615 0.940282142000058,122.959436615 0.925691142000062,122.910545614 0.854719142000022,122.898881614 0.84583714200005,122.856372614 0.819719142000054,122.846308614 0.814673142000061,122.836381614 0.819164142000034,122.822772614 0.825837142000069,122.783599614 0.848610142000041,122.675536614 0.921110142000032,122.667199614 0.930137142000035,122.661654614 0.941664142000036,122.464427614 0.999164142000041,122.411654614 1.00666414200003,122.367754614 1.00944614200006,122.292072614 1.00916414200003,122.228318614 1.00639114200004,122.114154614 1.04666414200005,122.104708614 1.05055514200006,122.088299614 1.06166414200004,122.060390614 1.06263714200003,122.042208614 1.05000014200004,122.018336614 1.02611014200005,122.009990614 1.02055514200003,121.989708614 1.01562814200003,121.971372614 1.02291914200003,121.961381614 1.03694614200003,121.958036614 1.04721914200007,121.938036614 1.09236414200006,121.927199614 1.09861014200004,121.914699614 1.09721914200003,121.761936613 1.07611014200006,121.595545613 1.05333714200003,121.572772613 1.05833714200003,121.557208613 1.06305514200005,121.538036613 1.07111014200007,121.524145613 1.07805514200004,121.509163613 1.09041914200003,121.470836613 1.13416414200003,121.449418613 1.16111014200004,121.436490613 1.18291914300005,121.426372613 1.22389114300006,121.383881613 1.24721914300005,121.266663613 1.22944614300008,121.242481613 1.23278214300007,121.221363613 1.24583714300007,121.213045613 1.25139114300003,121.181508613 1.27471914300003,121.166654613 1.28694614300002,121.150818613 1.29861014300008,121.142490613 1.30416414300004,121.119981613 1.31583714300007,121.110263613 1.32000014300007,121.093872613 1.32416414300008,121.020536613 1.33694614300003,121.002772613 1.33971914300002,120.964427613 1.34250014300005,120.950545613 1.34250014300005,120.828599613 1.32381914300004,120.820408613 1.31305514300004,120.816936613 1.27889114300007,120.818327613 1.26639114300002,120.827236613 1.23405514300003,120.829436613 1.21931014300003,120.827208613 1.19721914300004,120.798599613 1.06500014200003,120.751227612 1.01431014200006,120.686299612 0.991873142000031,120.645827612 0.949310142000058,120.609418612 0.889719142000047,120.606645612 0.87861014200007,120.601927612 0.84500014200006,120.574845612 0.776946142000043,120.564427612 0.774164142000075,120.441363612 0.800000142000044,120.419708612 0.805282142000067,120.405818612 0.81221914200006,120.339427612 0.859446142000024,120.332636612 0.869719142000065,120.332218612 0.882500142000026,120.340818612 0.918337142000041,120.343599612 0.936391142000048,120.344990612 0.948610142000064,120.344990612 0.962219142000038,120.340045612 0.97798214200003,120.321654612 0.990419142000064,120.305818612 0.991664142000047,120.287199612 0.98971914200007,120.272972612 0.985282142000074,120.257218612 0.971946142000036,120.251663612 0.96361014200005,120.238590612 0.921946142000024,120.238590612 0.882219142000054,120.236499612 0.83416414200002,120.231936612 0.821946142000058,120.220263612 0.805282142000067,120.209990612 0.795000142000049,120.196927612 0.787500142000056,120.188027612 0.78278214200003,120.151090612 0.764164142000027,120.118872612 0.748610142000075,120.106372612 0.747219142000063,120.090127612 0.74971914200006,120.075263612 0.748891142000048,120.061099612 0.738891142000057,120.032763612 0.712573142000053,120.022072612 0.692219142000056,120.020827612 0.662782142000026,120.022772612 0.637500142000022,120.025545612 0.619719142000065,120.032490612 0.599164142000063,120.039427612 0.578610142000059,120.041363612 0.566946142000063,120.041363612 0.547782142000074,120.039981612 0.535282142000028,120.033390612 0.521319142000038,120.010536612 0.503055142000051,120.001663612 0.498337142000025,119.991363612 0.495000142000038,119.979708612 0.492782142000067,119.959154612 0.492782142000067,119.946636612 0.491664142000047,119.923445612 0.480555142000071,119.909145612 0.467500142000063,119.894708612 0.447782142000051,119.778054612 0.229719142000022,119.776090612 0.218055142000026,119.778872612 0.207219142000042,119.783599612 0.198337142000071,119.811099612 0.163891142000068,119.824708612 0.150282142000037,119.836381612 0.141391142000032,119.847490612 0.131946142000061,119.861099612 0.11805514200006,119.872208612 0.101664142000061,119.876918612 0.0927821410000433,119.880254612 0.0825001410000255,119.883045612 0.0713911410000492,119.882472612 0.0597191410000733,119.878863612 0.042782141000032,119.859154612 -0.0333358589999762,119.854981612 -0.0430538589999401,119.841927612 -0.0711088589999349,119.829990612 -0.0934718589999761,119.817899612 -0.0986088589999667,119.780127612 -0.0883358589999261,119.769990612 -0.0779178589999674,119.762499612 -0.0613898589999735,119.758327612 -0.0519448589999456,119.747763612 -0.0351358589999791,119.714681611 1.41000043640815e-07,119.699418611 0.0125001410000323,119.687190611 0.0208371410000723,119.676654611 0.0241641410000284,119.666381611 0.0208371410000723,119.625645611 0.000210141000025033,119.624563611 -0.0202808589999677,119.633608611 -0.0422178589999476,119.645827611 -0.0641628589999641,119.662763611 -0.0886088589999758,119.683590611 -0.10888985899993,119.696090611 -0.116944858999943,119.709718611 -0.123889858999974,119.723036612 -0.126944858999934,119.736927612 -0.123889858999974,119.763890612 -0.115553858999931,119.795881612 -0.115835858999958,119.809972612 -0.175971858999958,119.804981612 -0.192499858999952,119.789981612 -0.225280858999952,119.782208612 -0.23833585899996,119.775545612 -0.251944858999934,119.771381612 -0.268608858999926,119.762499612 -0.328053858999965,119.753599612 -0.428189858999929,119.754172612 -0.481662858999925,119.755545612 -0.493889858999978,119.760272612 -0.509717858999977,119.798863612 -0.63583585899994,119.802754612 -0.645280858999968,119.813027612 -0.662499858999979,119.830272612 -0.679444858999943,119.846099612 -0.69805385899997,119.849990612 -0.707780858999968,119.865808612 -0.801662858999975,119.867199612 -0.813889858999971,119.865254612 -0.832499858999938,119.863036612 -0.843889858999944,119.859154612 -0.853608858999962,119.846099612 -0.874717858999929,119.842290612 -0.878380858999947,119.834018612 -0.873053858999924,119.824154612 -0.85916285899998,119.805545612 -0.82971785899997,119.800808612 -0.820835858999942,119.796654612 -0.811108858999944,119.793872612 -0.80028085899994,119.793318612 -0.780280858999959,119.788590612 -0.76444485899998,119.780272612 -0.745280858999934,119.736363612 -0.652217858999961,119.718599611 -0.653608858999974,119.683590611 -0.687217858999929,119.676772611 -0.73444485899995,119.674981611 -0.744999858999961,119.638318611 -0.778335858999981,119.588318611 -0.817217858999925,119.556927611 -0.840553858999954,119.525290611 -0.863862858999937,119.517208611 -0.876389858999971,119.508881611 -0.895280858999968,119.478590611 -0.974999859999969,119.473308611 -1.01125385999995,119.471918611 -1.02694485999996,119.463608611 -1.05971785999998,119.453327611 -1.09083585999997,119.445254611 -1.10999985999996,119.432408611 -1.12368085999998,119.400690611 -1.13444485999997,119.351927611 -1.17833585999995,119.343599611 -1.19083585999994,119.316936611 -1.23944485999994,119.308872611 -1.26528085999996,119.291654611 -1.39902685999994,119.297763611 -1.47305385999994,119.306636611 -1.50499985999994,119.324436611 -1.60110885999995,119.314990611 -1.61749985999995,119.308872611 -1.63194485999998,119.299145611 -1.66333585999996,119.298181611 -1.69249985999994,119.325272611 -1.79278085999994,119.332072611 -1.80652685999996,119.347208611 -1.81888985999996,119.361781611 -1.82305385999996,119.369708611 -1.84068985999994,119.354008611 -1.93610885999993,119.347208611 -1.95305385999995,119.335818611 -1.97291785999994,119.320690611 -1.97138985999993,119.302063611 -1.95763585999993,119.259990611 -1.97166285999998,119.246372611 -1.97860885999995,119.233318611 -1.98610885999994,119.223036611 -1.99610885999994,119.211381611 -2.01194485999997,119.207490611 -2.02166285999994,119.138890611 -2.21416286099998,119.125263611 -2.28583586099995,119.123027611 -2.33305386099994,119.125263611 -2.34471786099994,119.140827611 -2.38388986099994,119.143599611 -2.39471786099995,119.144436611 -2.40778086099994,119.143527611 -2.45312686099993,119.005827611 -2.58999986099997,118.904845611 -2.65666286099997,118.889163611 -2.66208086099994,118.876372611 -2.66180886099994,118.864154611 -2.65694486099994,118.851645611 -2.64888986099993,118.823881611 -2.62409986099993,118.802463611 -2.63778086099995,118.791363611 -2.65416286099997,118.781099611 -2.67833586099994,118.778318611 -2.68916286099994,118.759163611 -2.77416286099998,118.760536611 -2.79305386099998,118.770136611 -2.86339986099995,118.786227611 -2.85652686099996,118.800263611 -2.84666286099997,118.811372611 -2.84388986099998,118.824154611 -2.84444486099994,118.866508611 -2.85375386099997,118.876363611 -2.86097186099994,118.883599611 -2.87097186099993,118.888599611 -2.89318986099994,118.853863611 -3.04778086099998,118.849981611 -3.06110886099998,118.835190611 -3.07555386099995,118.837199611 -3.34278086199993,118.842208611 -3.37610886199997,118.844990611 -3.38721786199994,118.925681611 -3.57318986199994,118.936645611 -3.57860886199995,118.946363611 -3.57180886199995,118.953045611 -3.55805386199995,118.963463611 -3.54444486199998,119.005827611 -3.52055386199993,119.016099611 -3.51694486199995,119.051936611 -3.50471786199995,119.134718611 -3.48778086199997,119.190945611 -3.49666286199994,119.206645611 -3.49528086199996,119.220127611 -3.49152686199994,119.231372611 -3.48555386199996,119.265545611 -3.45833586199996,119.293045611 -3.42763586199993,119.340272611 -3.43305386199995,119.351381611 -3.43583586199998,119.489418611 -3.48909886199993,119.506099611 -3.52721786199993,119.515827611 -3.56986286199998,119.510554611 -3.58180886199995,119.490818611 -3.60291786199997,119.479981611 -3.61971786199996,119.452763611 -3.68110886199997,119.448445611 -3.70236286199997,119.536927611 -3.87610886199997,119.598036611 -3.97528086199998,119.611645611 -4.04499886199994,119.626081611 -4.19138986199994,119.623308611 -4.32805386299998,119.621918611 -4.34028086299998,119.595263611 -4.56638986299993,119.590554611 -4.57528086299993,119.539145611 -4.66138986299995,119.495818611 -4.72749886299994,119.491654611 -4.73721786299996,119.492481611 -4.74999886299997,119.499999611 -4.80388986299994,119.502636611 -4.81833586299996,119.510272611 -4.83471786299998,119.516390611 -4.84916286299995,119.524699611 -4.87360886299996,119.520127611 -4.91805386299995,119.469708611 -5.04444486299997,119.411790611 -5.11916286299993,119.400545611 -5.13499886299996,119.378590611 -5.18138986299994,119.375808611 -5.19249886299997,119.351927611 -5.33638986399995,119.351927611 -5.34999886399993,119.354908611 -5.40007186399993,119.369136611 -5.42860886399995,119.377199611 -5.44083586399995,119.464999611 -5.56360886399995,119.545254611 -5.59416286399994,119.612490611 -5.61471786399994,119.624699611 -5.61944486399995,119.643881611 -5.64138986399996,119.640963611 -5.65749886399993,119.654708611 -5.68833586399995,119.663736611 -5.69666286399996,119.672618611 -5.70125386399997,119.687763611 -5.70333586399994,119.755545612 -5.70805386399996),(116.301372608 -3.66138986199996,116.293054608 -3.62166286199994,116.271654608 -3.53499886199995,116.256099608 -3.38110886199996,116.258045608 -3.36249886199994,116.271054608 -3.28525386199993,116.276654608 -3.24833586199998,116.273181608 -3.22778086199997,116.260127608 -3.22444486199993,116.118318608 -3.32638986199993,116.114154608 -3.33583586199995,116.072490608 -3.44471786199995,116.012772608 -3.63278086199995,116.008608608 -3.64916286199997,116.007218608 -3.66138986199996,116.006654608 -3.67444486199997,116.007218608 -3.68749886199993,116.011936608 -3.70999886199996,116.021654608 -3.73471786199997,116.031236608 -3.75568986199994,116.044290608 -3.77013586199996,116.066936608 -3.78999886199995,116.073727608 -3.80708086199996,116.075818608 -3.82888986199993,116.077208608 -3.91110886199994,116.065536608 -3.95528086199994,116.059981608 -3.96360886199994,116.054427608 -3.98555386199996,116.051090608 -4.01638986199993,116.051090608 -4.02999886199996,116.055263608 -4.04236286199995,116.086108608 -4.04555386199996,116.118318608 -4.03610886199994,116.145408608 -4.02541786199993,116.159990608 -4.01638986199993,116.305318608 -3.90721786199992,116.319154608 -3.76610886199995,116.301372608 -3.66138986199996),(116.316936608 -3.54097186199994,116.380672608 -3.64458086199994,116.390263608 -3.63278086199995,116.395263608 -3.61694486199997,116.403318608 -3.58416286199997,116.428036608 -3.45138986199993,116.429427608 -3.43916286199993,116.429527608 -3.40497186199997,116.425808608 -3.38916286199998,116.417890608 -3.37881786199995,116.404436608 -3.38208086199995,116.363599608 -3.43360886199997,116.354708608 -3.44528086199995,116.316936608 -3.54097186199994),(127.394990619 1.06166414200004,127.402763619 1.03874614200004,127.425954619 1.04000014200005,127.449008619 1.05139114200006,127.483590619 1.05416414200005,127.510545619 0.958891142000027,127.495745619 0.90208214200004,127.507218619 0.884719142000051,127.577845619 0.861182142000075,127.614354619 0.852782142000024,127.619145619 0.822364142000026,127.587772619 0.759373142000072,127.568881619 0.745837142000028,127.545390619 0.715346142000044,127.522627619 0.601528142000063,127.526790619 0.546110142000032,127.570972619 0.41139114200007,127.619008619 0.360000142000047,127.656372619 0.339028142000075,127.688027619 0.196110142000066,127.700818619 0.0656911410000589,127.673027619 -0.162217858999952,127.663936619 -0.215135858999929,127.700808619 -0.280417858999954,127.719008619 -0.299999858999968,127.776654619 -0.334999858999936,127.805954619 -0.346662858999935,127.825545619 -0.354444858999955,127.859008619 -0.379026858999964,127.886108619 -0.417217858999948,127.893881619 -0.436944858999937,127.901381619 -0.456944858999975,127.942327619 -0.518471858999931,127.991781619 -0.619999858999961,128.010254619 -0.663053858999945,128.021090619 -0.693189858999972,128.052181619 -0.718817858999955,128.138308619 -0.754162858999962,128.238145619 -0.831108858999926,128.230654619 -0.851453858999946,128.252772619 -0.872217858999932,128.282199619 -0.882008858999939,128.40179062 -0.888189858999965,128.36301862 -0.847553858999959,128.302763619 -0.795280858999945,128.213290619 -0.69986285899995,128.167754619 -0.621944858999939,128.137754619 -0.56999985899995,128.093845619 -0.511108858999933,128.070936619 -0.472217858999954,128.049990619 -0.431662858999971,128.036927619 -0.403335858999981,127.983599619 -0.271944858999973,127.893054619 -0.0319448589999638,127.885827619 -0.00541785899997649,127.882754619 0.0466641410000648,127.883736619 0.0733371410000245,127.894436619 0.100282141000037,127.915672619 0.116664142000047,127.923863619 0.139310142000056,127.906718619 0.277428142000019,127.879145619 0.299510142000031,127.906363619 0.435000142000035,127.921227619 0.454446142000052,127.957490619 0.476391142000068,127.991654619 0.473610142000041,128.073854619 0.466110142000048,128.160381619 0.450973142000066,128.180027619 0.422610142000053,128.213863619 0.403055142000028,128.279981619 0.385837142000071,128.32275462 0.390137142000071,128.35995462 0.397364142000072,128.45289962 0.396946142000047,128.47411862 0.384028142000034,128.49467262 0.356528142000059,128.54371862 0.319864142000029,128.57691862 0.310210142000074,128.63388162 0.303891142000055,128.71934562 0.282364142000063,128.75970862 0.271282142000075,128.81469962 0.255837142000075,128.85356362 0.24152814200005,128.87911862 0.217500142000063,128.90490862 0.203264142000023,128.87439062 0.262782142000049,128.82956362 0.300000142000044,128.78216362 0.315055142000062,128.72128162 0.329264142000056,128.68302762 0.357291142000065,128.68997262 0.387364142000024,128.69274562 0.408610142000043,128.67429962 0.552810142000055,128.63107262 0.56221914200006,128.58746362 0.560419142000057,128.49606362 0.588891142000023,128.36800862 0.638891142000034,128.34884562 0.64721914200004,128.32608162 0.658610142000043,128.298718619 0.676528142000052,128.236554619 0.730482142000028,128.212036619 0.779655142000024,128.212481619 0.805419142000062,128.298372619 0.891391142000032,128.32885462 0.901946142000043,128.36022762 0.904719142000033,128.39636362 0.914719142000024,128.41943662 0.922500142000047,128.44537262 0.934164142000043,128.66388162 1.06305514200005,128.69748162 1.10194614200003,128.72454562 1.55694614300006,128.70954562 1.57097314300006,128.68691862 1.57583714300006,128.65261862 1.57916414300007,128.62774562 1.57750014300007,128.54885462 1.56583714300007,128.46329062 1.54333714300003,128.44247262 1.53639114300006,128.41802762 1.52611014300004,128.37466362 1.50778214300004,128.211090619 1.39666414300007,128.188290619 1.37805514300004,128.166381619 1.34528214300002,128.130245619 1.28555514300007,128.142490619 1.23778214300006,128.167208619 1.23486414300004,128.186081619 1.21944614300003,128.194899619 1.19215514300004,128.189699619 1.17055514200007,128.166445619 1.13215514200004,128.133708619 1.11555514200006,128.088472619 1.12385514200002,128.037754619 1.11721914200007,127.973872619 1.06778214200006,127.927890619 0.990282142000069,127.922490619 0.932219142000065,127.916163619 0.857919142000071,127.869708619 0.817082142000061,127.843318619 0.802364142000044,127.813599619 0.794446142000027,127.793590619 0.795000142000049,127.753881619 0.811664142000041,127.656927619 0.881110142000068,127.632627619 0.922637142000042,127.626372619 0.958191142000032,127.629845619 0.982082142000024,127.652208619 1.01645514200004,127.834718619 1.14194614200005,127.908045619 1.20278214300004,127.924427619 1.22750014300004,127.989699619 1.34666414300006,128.037336619 1.52028214300003,128.012618619 1.71471914300002,127.997218619 1.74402814300004,127.980818619 1.76166414300008,127.941645619 1.79471914300007,127.917545619 1.80166414300004,127.898181619 1.79639114300005,127.870818619 1.80652814300004,127.850327619 1.82562814300007,127.855672619 1.91624614300002,127.895818619 1.94805514300003,127.922963619 1.95673714300005,127.947208619 1.98569114300005,128.029418619 2.11028214300006,128.040254619 2.12750014300002,128.048581619 2.14666414300007,128.054063619 2.19242814300003,127.947345619 2.19160014300007,127.909418619 2.15889114300006,127.691645619 1.92486414300004,127.674990619 1.90361014300004,127.653181619 1.87069114300004,127.568181619 1.73916414300004,127.524845619 1.52041914300003,127.533336619 1.49805514300004,127.530963619 1.46278214300003,127.526099619 1.44013714300007,127.517490619 1.41778214300007,127.472208619 1.33305514300002,127.453045619 1.29721914300006,127.431918619 1.26708214300004,127.412899619 1.23805514300005,127.401099619 1.21236414300006,127.398881619 1.18694614300006,127.394990619 1.06166414200004),(128.248018619 2.08916414300006,128.276645619 2.01730014300006,128.33080862 2.03221914300002,128.38720862 2.04471914300007,128.39940862 2.04611014300002,128.41165462 2.04721914300006,128.44525462 2.04666414300004,128.46217262 2.04458214300007,128.49801862 2.05000014300003,128.51214562 2.05660014300003,128.56857262 2.12194614300006,128.61996362 2.21528214300002,128.62634562 2.22944614300008,128.63998162 2.26361014400004,128.64553662 2.27889114400006,128.69192762 2.41500014400003,128.69411862 2.43361014400006,128.69411862 2.44721914400003,128.69274562 2.45944614400003,128.68524562 2.47944614400006,128.57641862 2.62910014400006,128.56191862 2.63208214400004,128.45969062 2.58694614400002,128.43359062 2.57111014400004,128.34661862 2.48639114400004,128.305545619 2.43833714400006,128.291927619 2.41778214400006,128.232181619 2.30611014400006,128.226627619 2.24583714300007,128.245236619 2.10000014300005,128.248018619 2.08916414300006),(125.415818617 2.63069114400002,125.426090617 2.64431014400003,125.421918617 2.65750014400004,125.413736617 2.66639114400004,125.403881617 2.67694614400006,125.400818617 2.69083714400006,125.402208617 2.70333714400005,125.406936617 2.71555514400006,125.426090617 2.73416414400003,125.445863617 2.75250014400007,125.448027617 2.75666414400007,125.450336617 2.77215514400007,125.443308617 2.78750014400003,125.422618617 2.80528214400005,125.411372617 2.80694614400005,125.391936617 2.80250014400002,125.380818617 2.79291914400005,125.356508617 2.73847314400007,125.354708617 2.72444614400007,125.356936617 2.71278214400007,125.376563617 2.63840014400006,125.389708617 2.62944614400004,125.403590617 2.62666414400007,125.415818617 2.63069114400002),(129.486908621 -0.162217858999952,129.536372621 -0.222499858999925,129.554690621 -0.213608858999976,129.568163621 -0.200626858999954,129.565799621 -0.182780858999934,129.543163621 -0.143053858999963,129.35745462 0.0077821410000638,129.33829062 0.0227821410000502,129.30456362 0.0450001410000596,129.28998162 0.0430551410000248,129.29192762 0.0313911410000287,129.36773662 -0.0436088589999599,129.486908621 -0.162217858999952),(130.751163622 -0.0322178589999567,130.768099622 -0.0478448589999516,130.719699622 -0.0519448589999456,130.698881622 -0.0366268589999663,130.655245622 -0.053335858999958,130.444227621 -0.087517858999945,130.359954621 -0.0874998589999336,130.283718621 -0.106253858999935,130.276172621 -0.139099858999941,130.296372621 -0.176526858999978,130.345518621 -0.187571858999945,130.338927621 -0.151735858999928,130.374008621 -0.14955385899998,130.400645621 -0.149844858999927,130.428436621 -0.197499858999947,130.385236621 -0.221253858999944,130.263445621 -0.210762858999942,130.239472621 -0.198680858999978,130.219327621 -0.211253858999953,130.243699621 -0.227635858999975,130.359954621 -0.26721785899997,130.428590621 -0.275280858999963,130.461772622 -0.265417858999967,130.512408622 -0.254235858999948,130.542772622 -0.366035858999965,130.589008622 -0.323662858999967,130.644481622 -0.314408858999968,130.680218622 -0.303426858999956,130.690736622 -0.333799858999953,130.709136622 -0.417499858999975,130.726763622 -0.440971858999944,130.759427622 -0.452780858999972,130.793027622 -0.450844858999972,130.818299622 -0.447217858999977,130.842863622 -0.441044858999931,130.848299622 -0.440835858999947,130.884981622 -0.426108858999953,130.915799622 -0.408889858999942,130.930818622 -0.391108858999928,130.943163622 -0.364444858999946,130.917754622 -0.321253858999967,130.883863622 -0.30028085899994,130.825527622 -0.29068985899994,130.728027622 -0.245280858999934,130.627163622 -0.137499858999945,130.614336622 -0.0890998589999299,130.688645622 -0.0804898589999539,130.710236622 -0.0972178589999544,130.791072622 -0.217780858999959,130.875308622 -0.251253858999974,130.901363622 -0.279999858999929,130.947054622 -0.344999858999927,130.977872622 -0.363889858999926,131.034972622 -0.360835858999963,131.106081622 -0.33360885899998,131.169554622 -0.339308858999971,131.251372622 -0.390280858999972,131.255554622 -0.387780858999975,131.283599622 -0.349999858999979,131.296627622 -0.328889858999958,131.311099622 -0.301944858999946,131.322208622 -0.273335858999928,131.313290622 -0.202499858999943,131.299836622 -0.167635858999972,131.262481622 -0.14221785899997,131.139708622 -0.0758358589999375,131.042481622 -0.066389858999969,130.877445622 -0.0191628589999482,130.847199622 -0.0115268589999573,130.824708622 -0.00867185899994638,130.783736622 -0.012499858999945,130.751163622 -0.0322178589999567),(130.624390622 -0.413608858999964,130.614136622 -0.410280858999954,130.479827622 -0.450689858999965,130.455808621 -0.468608858999971,130.465299622 -0.525280858999963,130.581908622 -0.543335858999967,130.594972622 -0.543889858999933,130.606081622 -0.541108858999962,130.637890622 -0.528471858999978,130.658872622 -0.518608858999926,130.668590622 -0.511389858999962,130.694408622 -0.467844858999968,130.693036622 -0.452917858999967,130.660245622 -0.426662858999975,130.637481622 -0.41917185899996,130.624390622 -0.413608858999964),(130.804690622 -0.811108858999944,130.727872622 -0.828335858999935,130.584136622 -0.827499858999943,130.486636622 -0.835280858999965,130.448299621 -0.865280858999938,130.397627621 -0.923889858999928,130.411372621 -0.928335858999958,130.421627621 -0.924999858999968,130.443027621 -0.911944858999959,130.477172622 -0.906389858999944,130.559963622 -0.909717858999954,130.583308622 -0.912499858999979,130.667754622 -0.903608858999974,130.796354622 -0.876389858999971,130.838290622 -0.863053858999933,130.866363622 -0.848889858999939,130.891099622 -0.835835858999928,130.917127622 -0.790971858999967,130.886654622 -0.770417858999963,130.841036622 -0.770535858999949,130.804690622 -0.811108858999944),(130.823854622 -0.908335858999976,130.664154622 -0.961108858999978,130.643245622 -0.972635859999968,130.639299622 -0.986944859999937,130.643581622 -0.999717859999976,130.654281622 -1.00610885999993,130.675945622 -1.01194485999997,130.697754622 -1.04888985999997,130.710236622 -1.07778085999996,130.713381622 -1.09152685999993,130.692990622 -1.12276285999997,130.705227622 -1.13999985999993,130.736081622 -1.18444485999993,130.745790622 -1.21888985999993,130.756436622 -1.24242685999997,130.836090622 -1.31333585999994,130.874663622 -1.34083585999997,130.961363622 -1.35694485999994,130.984272622 -1.34971785999994,130.996608622 -1.33471785999996,131.001372622 -1.32555385999996,131.034427622 -1.24888985999996,131.038299622 -1.23944485999994,131.067199622 -1.11333585999995,131.071899622 -1.08388985999994,131.074672622 -0.972780859999943,131.034763622 -0.912080858999957,131.015472622 -0.918271858999958,131.006099622 -0.923608858999955,130.996608622 -0.927499858999965,130.933299622 -0.936253858999976,130.899354622 -0.891444858999932,130.884154622 -0.893335858999933,130.860227622 -0.896662858999946,130.844418622 -0.901662858999941,130.823854622 -0.908335858999976),(127.681372619 -1.33721785999995,127.643599619 -1.32833585999992,127.628581619 -1.33041785999995,127.612199619 -1.33805385999995,127.586645619 -1.35388985999992,127.555254619 -1.37694485999998,127.460536619 -1.43535385999996,127.442199619 -1.42083585999995,127.424990619 -1.44083585999994,127.403736619 -1.48333585999995,127.390827619 -1.54416285999997,127.394672619 -1.57336285999997,127.382472619 -1.60721785999993,127.379154619 -1.62083585999994,127.378308619 -1.63388985999995,127.383327619 -1.64278085999996,127.394145619 -1.65944485999995,127.431927619 -1.69028085999997,127.440808619 -1.69499985999994,127.503881619 -1.72778085999994,127.533336619 -1.73944485999994,127.544145619 -1.74221785999993,127.557208619 -1.74138985999997,127.640272619 -1.72791785999993,127.655818619 -1.71971785999995,127.669708619 -1.70583585999998,127.678036619 -1.70028085999996,127.706236619 -1.68930885999993,127.861645619 -1.69638985999995,128.003327619 -1.71138985999994,128.058872619 -1.71749985999998,128.078854619 -1.71694485999996,128.089690619 -1.71416285999993,128.099118619 -1.70999985999993,128.124545619 -1.69778085999997,128.138308619 -1.68721785999998,128.146654619 -1.67847185999995,128.154145619 -1.66194485999995,128.159290619 -1.64318985999995,128.157627619 -1.61818985999997,128.152772619 -1.60583585999996,128.141108619 -1.58823585999994,128.110227619 -1.56194485999993,127.879436619 -1.42694485999994,127.721372619 -1.34860885999996,127.681372619 -1.33721785999995),(130.323027621 -1.68110885999994,130.048854621 -1.73860885999994,130.038027621 -1.74138985999997,130.013308621 -1.75110885999993,129.999999621 -1.75741785999998,129.987881621 -1.76680885999997,129.974972621 -1.77444485999996,129.955808621 -1.78333585999997,129.828308621 -1.83388985999994,129.791072621 -1.84499985999997,129.751772621 -1.85680885999994,129.741054621 -1.86333585999995,129.725099621 -1.87471785999998,129.717945621 -1.88818985999995,129.736908621 -1.91278085999994,129.861908621 -1.97860885999995,129.911927621 -2.00388985999996,130.120790621 -2.06610886099998,130.191772621 -2.06375386099995,130.228299621 -2.05583586099993,130.381499621 -2.01097185999993,130.430527621 -1.98333585999995,130.435672621 -1.97471785999994,130.436372621 -1.84194485999996,130.432208621 -1.82541785999996,130.426363621 -1.81416285999995,130.408018621 -1.78471785999994,130.402463621 -1.77638985999994,130.392208621 -1.76610885999997,130.355227621 -1.71055385999995,130.350554621 -1.68019985999996,130.323027621 -1.68110885999994),(125.954845617 -1.97597185999996,125.932754617 -1.97055385999994,125.920818617 -1.97152685999993,125.899990617 -1.98499985999996,125.885272617 -2.00805385999996,125.870245617 -2.04083585999996,125.863872617 -2.05528086099997,125.859990617 -2.07166286099994,125.861927617 -2.08666286099998,125.895818617 -2.21568986099993,125.907763617 -2.23471786099998,125.918054617 -2.24471786099997,125.930545617 -2.25999986099993,125.941363617 -2.27638986099993,125.947481617 -2.29083586099995,125.954436617 -2.31110886099998,125.957208617 -2.32221786099996,125.958599617 -2.33444486099995,125.959154617 -2.36138986099996,125.961927617 -2.38666286099993,125.967063617 -2.40541786099993,125.981936617 -2.42833586099994,125.998872617 -2.45221786099995,126.009163617 -2.46249986099997,126.039981617 -2.47971786099993,126.053454617 -2.48278086099998,126.069563617 -2.47492686099997,126.079990617 -2.45778086099995,126.086799617 -2.43388986099995,126.086799617 -2.42138986099997,126.016936617 -2.26194486099996,125.999708617 -2.23055386099998,125.986099617 -2.20999986099997,125.976927617 -2.19138986099995,125.973599617 -2.18110886099993,125.969154617 -2.16166286099997,125.968872617 -2.14499986099997,125.970836617 -2.12638986099995,125.978318617 -2.09971786099993,125.990808617 -2.07083586099998,125.998318617 -2.05110886099993,126.001663617 -2.04083585999996,126.002490617 -2.02778085999995,126.000263617 -2.01610885999997,125.990390617 -2.00208085999998,125.973036617 -1.98860885999994,125.959154617 -1.97854485999994,125.954845617 -1.97597185999996),(124.573608616 -2.00249985999994,124.691508616 -1.96958085999995,124.716099616 -1.94971785999996,124.786372616 -1.91305385999993,124.854354616 -1.89715385999995,124.928036616 -1.92083585999995,124.967754616 -1.93610885999993,124.999290616 -1.94507185999993,125.021099616 -1.93805385999997,125.029499616 -1.90430885999996,125.055254616 -1.89083585999992,125.159572617 -1.87499985999995,125.298036617 -1.87986285999995,125.319981617 -1.88742685999995,125.318454617 -1.79013585999996,125.290736617 -1.73326285999997,125.118699617 -1.69177185999996,125.011518616 -1.72097185999996,124.955254616 -1.70097185999992,124.656936616 -1.63778085999996,124.635272616 -1.63528085999997,124.608036616 -1.63528085999997,124.530545616 -1.63610885999998,124.424927616 -1.65711785999997,124.395127616 -1.66284485999995,124.376918616 -1.67708085999993,124.367481616 -1.69499985999994,124.326927616 -1.82028085999997,124.328318616 -1.88249985999994,124.405327616 -2.01610885999997,124.523608616 -2.01278085999996,124.573608616 -2.00249985999994),(125.347627617 -1.88360885999992,125.439699617 -1.93110885999994,125.466663617 -1.93999985999994,125.826927617 -1.91749985999996,125.980554617 -1.90778085999995,126.252490618 -1.87721785999997,126.264163618 -1.87499985999995,126.288036618 -1.86471785999993,126.334154618 -1.84221785999995,126.345827618 -1.82986285999993,126.348872618 -1.81986285999994,126.336927618 -1.81749985999994,126.271654618 -1.81555385999997,126.156645617 -1.80721785999998,126.050263617 -1.79278085999994,126.018881617 -1.78999985999997,125.988590617 -1.78888985999993,125.921654617 -1.78999985999997,125.760827617 -1.79597185999995,125.748318617 -1.80028085999993,125.729290617 -1.81471785999997,125.693308617 -1.82166285999995,125.653590617 -1.82444485999997,125.435672617 -1.80597185999994,125.420536617 -1.79694485999994,125.416381617 -1.78749985999997,125.415845617 -1.78388085999995,125.409990617 -1.77471785999995,125.376090617 -1.77986285999998,125.347208617 -1.80944485999993,125.339708617 -1.82221785999997,125.335399617 -1.84347185999997,125.340118617 -1.87068985999997,125.347627617 -1.88360885999992),(123.245527615 -1.54471785999993,123.252490615 -1.49694485999993,123.255254615 -1.48610885999994,123.267490615 -1.45028085999996,123.273036615 -1.43875385999996,123.288736615 -1.42360885999994,123.297763615 -1.41888985999998,123.309981615 -1.41749985999996,123.321936615 -1.42263585999996,123.350536615 -1.45638985999994,123.353863615 -1.46666285999993,123.356645615 -1.49833585999994,123.361363615 -1.51416285999994,123.410399615 -1.52263585999998,123.454008615 -1.50631785999997,123.525118615 -1.44208085999998,123.532345615 -1.43221785999998,123.552754615 -1.33110885999997,123.553863615 -1.31888985999996,123.553863615 -1.30499985999995,123.550254615 -1.28555385999994,123.538308615 -1.27694485999996,123.455263615 -1.23666285999997,123.404572615 -1.22360885999996,123.371227615 -1.22548985999993,123.353463615 -1.23360885999995,123.339427615 -1.25360885999993,123.333327615 -1.26805385999995,123.313599615 -1.30388985999997,123.259018615 -1.38278085999997,123.230554615 -1.39888985999994,123.194972615 -1.29749985999996,123.199218615 -1.26145385999996,123.218881615 -1.25388985999996,123.227763615 -1.24555385999997,123.239836615 -1.22666285999998,123.237490615 -1.21416285999993,123.231936615 -1.20583585999998,123.194836615 -1.15305385999994,123.183872615 -1.14680885999996,122.922208614 -1.17694485999994,122.908181614 -1.18013585999995,122.894427614 -1.19041785999997,122.848036614 -1.25444485999998,122.837199614 -1.27083585999998,122.833054614 -1.28055385999994,122.805818614 -1.35999985999996,122.803590614 -1.37916285999995,122.803590614 -1.40638985999993,122.803590614 -1.43249985999995,122.805672614 -1.45444485999997,122.859708614 -1.57916285999994,122.873445614 -1.59278085999995,122.888736614 -1.59576285999998,122.906781614 -1.59180885999996,122.916654614 -1.58471785999996,122.974990615 -1.53333585999997,122.988036615 -1.51888985999994,123.020263615 -1.48249985999996,123.030963615 -1.46423585999997,123.039008615 -1.43625385999997,123.088045615 -1.35860885999995,123.095545615 -1.34888985999993,123.129154615 -1.33110885999997,123.157381615 -1.36755385999993,123.181927615 -1.48249985999996,123.183318615 -1.49818985999997,123.178108615 -1.51368085999997,123.149018615 -1.53597185999996,123.133599615 -1.54458085999994,123.117063615 -1.55555385999998,123.109990615 -1.56555385999997,123.109154615 -1.57833585999992,123.118454615 -1.58971785999995,123.164008615 -1.62305385999997,123.181508615 -1.62402685999996,123.246936615 -1.58333585999998,123.244981615 -1.56471785999997,123.245527615 -1.54471785999993),(129.857727621 -1.14402685999994,129.765808621 -1.17221785999993,129.753599621 -1.18055385999998,129.744690621 -1.19194485999998,129.741481621 -1.21097185999997,129.832736621 -1.24236285999996,129.931363621 -1.21028085999995,129.959254621 -1.17347185999995,129.878299621 -1.14556285999993,129.869690621 -1.14305385999995,129.857727621 -1.14402685999994),(127.558308619 -1.17388985999997,127.547054619 -1.17166285999997,127.532490619 -1.17416285999997,127.522218619 -1.17778085999993,127.506527619 -1.18583585999994,127.456927619 -1.23208085999994,127.456927619 -1.24249985999995,127.486645619 -1.26416285999994,127.495527619 -1.26888985999994,127.614699619 -1.25778085999997,127.651090619 -1.21333585999997,127.628590619 -1.20860885999997,127.582354619 -1.18971785999997,127.571663619 -1.18305385999997,127.566099619 -1.17774485999996,127.558308619 -1.17388985999997),(127.753881619 -0.88860885899993,127.815254619 -0.871808858999941,127.826663619 -0.865280858999938,127.838318619 -0.856389858999933,127.892490619 -0.807780858999934,127.895754619 -0.777917858999956,127.861645619 -0.728889858999935,127.851236619 -0.718608858999971,127.787481619 -0.689999858999954,127.716381619 -0.700280858999975,127.702472619 -0.706944858999975,127.689136619 -0.717635858999927,127.680263619 -0.722362858999929,127.666090619 -0.719999858999927,127.649154619 -0.70430885899998,127.607208619 -0.637780858999975,127.602481619 -0.625417858999924,127.603863619 -0.609717858999943,127.608599619 -0.593889858999944,127.612763619 -0.58360885899998,127.617481619 -0.574717858999975,127.625808619 -0.562499858999956,127.635272619 -0.551389858999926,127.652481619 -0.534162858999935,127.666090619 -0.523335858999928,127.671654619 -0.511662858999955,127.683318619 -0.480835858999967,127.684145619 -0.467780858999959,127.679154619 -0.458889858999953,127.656645619 -0.423189858999933,127.571799619 -0.321453858999973,127.531299619 -0.31034485899994,127.480554619 -0.351944858999957,127.411927619 -0.367217858999936,127.401654619 -0.356944858999952,127.370127619 -0.330135858999938,127.359145619 -0.32875385899996,127.320127619 -0.343053858999951,127.289281619 -0.457844858999977,127.289981619 -0.478053858999942,127.302618619 -0.51680885899998,127.370536619 -0.592917858999954,127.402345619 -0.622780858999931,127.433872619 -0.747499858999959,127.435254619 -0.76666285899995,127.437472619 -0.778335858999981,127.441363619 -0.787780858999952,127.457208619 -0.813189858999976,127.471645619 -0.822635858999945,127.482899619 -0.82180885899993,127.533336619 -0.80028085899994,127.605263619 -0.769444858999975,127.653663619 -0.823953858999971,127.674990619 -0.854999858999975,127.739845619 -0.885417858999972,127.753881619 -0.88860885899993),(127.252899619 -0.619999858999961,127.238599619 -0.61440885899998,127.226927618 -0.614444858999946,127.214708618 -0.615835858999958,127.202354618 -0.620553858999926,127.188572618 -0.63430885899993,127.154981618 -0.74138985899998,127.151927618 -0.755280858999924,127.153590618 -0.769999858999938,127.161099618 -0.781317858999955,127.175536618 -0.78916285899993,127.186654618 -0.791944858999955,127.277618619 -0.808335858999953,127.318254619 -0.79458085899995,127.290399619 -0.690971858999944,127.252899619 -0.619999858999961),(121.696918613 -0.541453858999944,121.705818613 -0.524717858999963,121.710536613 -0.512217858999975,121.726381613 -0.483608858999958,121.838045613 -0.482217858999945,121.865536613 -0.491808858999946,121.874418614 -0.503608858999939,121.878163614 -0.516108858999928,121.890263614 -0.51388985899996,121.904154614 -0.503889858999969,121.911508614 -0.490553858999931,121.913308614 -0.475280858999952,121.912172614 -0.474217858999964,121.909990614 -0.464999858999931,121.907208614 -0.45416285899995,121.899718614 -0.441108858999939,121.890827614 -0.429444858999943,121.878590614 -0.421108858999958,121.851090613 -0.407499858999927,121.839427613 -0.408335858999976,121.741363613 -0.41860885899996,121.681090613 -0.461108858999978,121.640827613 -0.533608858999969,121.647208613 -0.551108858999953,121.666654613 -0.554308858999946,121.696918613 -0.541453858999944),(121.896945614 -0.412217858999952,121.916499614 -0.416808858999957,122.011381614 -0.414444858999957,122.033727614 -0.409235858999978,122.044699614 -0.396253858999955,122.048663614 -0.378617858999974,122.047618614 -0.338126858999942,121.947490614 -0.312635858999954,121.931927614 -0.313608858999942,121.921654614 -0.317217858999925,121.887499614 -0.329444858999977,121.875118614 -0.338335858999926,121.855536613 -0.36333585899996,121.855536613 -0.374999858999956,121.872336614 -0.395835858999931,121.896945614 -0.412217858999952),(127.105672618 -0.294444858999952,127.106936618 -0.499444858999937,127.116372618 -0.524999858999934,127.159145618 -0.532217858999957,127.183036618 -0.528889858999946,127.199708618 -0.524717858999963,127.209154618 -0.520553858999961,127.254018619 -0.497635858999956,127.263890619 -0.464999858999931,127.280818619 -0.381108858999937,127.259163619 -0.284162858999935,127.243272619 -0.267771858999936,127.235954618 -0.25749985899995,127.215272618 -0.25666285899996,127.196090618 -0.258053858999972,127.154427618 -0.26444485899998,127.143336618 -0.26721785899997,127.133881618 -0.27110885899998,127.105672618 -0.294444858999952),(129.36537262 -2.84555386099993,129.34648162 -2.86097186099994,129.21273662 -2.94638986099994,129.13302762 -2.96326286099998,129.10120862 -2.94458086099996,129.08413662 -2.92721786099997,129.06414562 -2.90055386099993,128.91329962 -2.85833586099994,128.87218162 -2.86513586099994,128.83941862 -2.86638986099996,128.56524562 -2.85555386099998,128.40164562 -2.86305386099997,128.263881619 -2.85610886099994,128.171918619 -2.85694486099993,128.073854619 -2.98138986099997,127.983599619 -3.08694486099995,127.888890619 -3.15528086199993,127.856090619 -3.18666286199993,127.882345619 -3.26638986199993,127.896381619 -3.28305386199997,127.921918619 -3.31944486199995,127.932408619 -3.34471786199992,127.933318619 -3.36944486199997,127.925327619 -3.41757186199993,127.912199619 -3.44388986199994,127.894990619 -3.48430886199998,127.897772619 -3.50471786199995,127.909145619 -3.54471786199997,127.918318619 -3.55944486199996,127.937199619 -3.47847186199994,127.991099619 -3.38173586199997,128.015808619 -3.37555386199995,128.042263619 -3.33833586199995,128.050945619 -3.31083586199998,128.051908619 -3.28110886199994,128.055545619 -3.25028086199995,128.061645619 -3.20860886199995,128.070236619 -3.17625386199995,128.079954619 -3.15166286199997,128.097199619 -3.12097186199998,128.142136619 -3.07520886099996,128.181872619 -3.07409986099998,128.197818619 -3.11610886099993,128.217745619 -3.21138986199998,128.302763619 -3.26888986199998,128.36022762 -3.35499886199995,128.40469062 -3.42041786199997,128.43309062 -3.44499886199998,128.47038162 -3.46068986199998,128.49746362 -3.46166286199997,128.61328162 -3.43638986199994,128.67198162 -3.38659886199997,128.68662762 -3.35923586199993,128.77179062 -3.27944486199993,128.88267262 -3.20937186199995,128.93331862 -3.21680886199994,128.95469962 -3.22597186199994,128.97343662 -3.24513586199993,128.97211862 -3.26895386199993,128.96829062 -3.35360886199993,129.00191862 -3.35028086199998,129.07439962 -3.34749886199995,129.10760862 -3.35020886199993,129.15122762 -3.37694486199996,129.20872762 -3.40152686199997,129.24539062 -3.41278086199998,129.30609062 -3.41721786199997,129.454127621 -3.44999886199997,129.479808621 -3.46208086199994,129.517818621 -3.46992686199997,129.544827621 -3.46278086199993,129.559281621 -3.42986286199994,129.548599621 -3.39736286199997,129.532199621 -3.37610886199997,129.506236621 -3.34736286199995,129.499345621 -3.31610886199996,129.516099621 -3.29749886199994,129.652190621 -3.31666286199993,129.818027621 -3.32888986199993,129.888581621 -3.33444486199994,129.911927621 -3.34194486199993,129.931636621 -3.35499886199995,129.957536621 -3.37839886199993,129.955654621 -3.40499886199996,129.958999621 -3.42749886199994,129.974408621 -3.45318986199993,129.991336621 -3.47055386199997,130.018036621 -3.48499886199994,130.134127621 -3.54375386199996,130.235227621 -3.57666286199998,130.314145621 -3.60055386199997,130.398318621 -3.63333586199997,130.443027621 -3.65528086199993,130.557972622 -3.72666286199996,130.593854622 -3.76430886199995,130.616072622 -3.78839886199995,130.799990622 -3.86166286199995,130.829954622 -3.87278086199996,130.821072622 -3.82555386199994,130.835445622 -3.67818986199995,130.855527622 -3.65194486199994,130.870090622 -3.62902686199993,130.873981622 -3.59298086199993,130.826645622 -3.45430886199995,130.789899622 -3.41721786199997,130.766390622 -3.40833586199994,130.741636622 -3.40555386199998,130.703308622 -3.40430886199994,130.671708622 -3.40763586199995,130.645808622 -3.37749886199992,130.636108622 -3.35305386199997,130.629954622 -3.32486286199997,130.630236622 -3.28888986199996,130.633745622 -3.26847186199996,130.629945622 -3.24555386199995,130.589063622 -3.14034486199995,130.399136621 -3.00333586099993,130.376063621 -2.98860886099993,130.338008621 -2.97860886099994,130.236636621 -2.98471786099998,130.164699621 -2.99221786099997,130.090663621 -3.00068986099996,130.057345621 -3.00097186099993,130.019990621 -2.99721786099997,129.987727621 -2.98833586099994,129.796081621 -2.90788086099997,129.770799621 -2.87416286099995,129.629390621 -2.81499986099993,129.526645621 -2.78360886099995,129.403318621 -2.79249986099995,129.37558162 -2.80492686099996,129.36537262 -2.84555386099993),(126.866654618 -3.78110886199994,126.987199618 -3.72221786199998,127.015827618 -3.70110886199996,127.105399618 -3.66374486199993,127.146999618 -3.65312686199997,127.185327618 -3.66360886199993,127.216718618 -3.65416286199996,127.236645618 -3.61749886199993,127.241363619 -3.59499886199995,127.260545619 -3.37749886199992,127.144772618 -3.33923586199995,127.126918618 -3.35839886199994,127.096227618 -3.37020886199997,127.053172618 -3.33068986199993,127.041854618 -3.28778086199998,127.054563618 -3.26708086199994,127.084427618 -3.27076286199997,127.113963618 -3.26999886199997,127.101718618 -3.21360886199994,127.084427618 -3.19833586199996,126.993872618 -3.14499986199996,126.826799618 -3.07444486099996,126.737354618 -3.05930886099998,126.641663618 -3.06138986099995,126.610263618 -3.06278086099996,126.416372618 -3.07180886099997,126.283736618 -3.10694486099993,126.244281618 -3.12916286199993,126.230554618 -3.14638986199998,126.212399618 -3.17270886199998,126.176845618 -3.17097186199993,126.144145617 -3.14360886199995,126.127899617 -3.11968086099995,126.119136617 -3.10847186099994,126.095545617 -3.10318986099998,126.070827617 -3.11610886099993,126.024572617 -3.15201786199998,126.008890617 -3.18430886199997,126.017208617 -3.35125386199996,126.044145617 -3.42680886199997,126.061918617 -3.44666286199993,126.242199618 -3.61555386199996,126.381927618 -3.70999886199996,126.508045618 -3.76888986199998,126.693036618 -3.83492686199997,126.728045618 -3.82749886199997,126.866654618 -3.78110886199994),(127.673036619 -3.25375386199994,127.695827619 -3.25499886199998,127.773463619 -3.25416286199993,127.787272619 -3.24548986199994,127.791654619 -3.21555386199998,127.789427619 -3.17965386199995,127.755954619 -3.15305386199998,127.714999619 -3.15805386199997,127.708072619 -3.16058986199994,127.699708619 -3.16694486199998,127.655263619 -3.20444486199995,127.638327619 -3.22458086199993,127.658045619 -3.24471786199996,127.673036619 -3.25375386199994),(127.524708619 -3.25818986199994,127.481090619 -3.29333586199994,127.488590619 -3.30638986199995,127.509163619 -3.32694486199995,127.520681619 -3.33278086199994,127.617199619 -3.36624486199997,127.632754619 -3.36528086199996,127.643054619 -3.36194486199997,127.650408619 -3.35360886199993,127.623872619 -3.31528086199995,127.573090619 -3.26674486199994,127.569718619 -3.26388986199993,127.551372619 -3.25818986199994,127.524708619 -3.25818986199994),(127.949999619 -3.65055386199998,127.936918619 -3.66471786199998,127.924427619 -3.67999886199993,127.916381619 -3.69221786199995,127.914145619 -3.70388986199993,127.915545619 -3.72971786199997,127.918318619 -3.74083586199993,127.926918619 -3.75958086199995,127.942463619 -3.77138986199998,127.956445619 -3.77625386199998,127.985536619 -3.77430886199994,128.001372619 -3.76610886199995,128.083590619 -3.71138986199998,128.197054619 -3.64215386199993,128.213363619 -3.64909886199996,128.210236619 -3.66416286199996,128.200808619 -3.67499886199994,128.139708619 -3.73055386199997,128.095990619 -3.77450886199995,128.117736619 -3.77694486199994,128.133608619 -3.77221786199993,128.234954619 -3.72971786199997,128.282199619 -3.68805386199995,128.33496362 -3.62583586199997,128.33969062 -3.61694486199997,128.34677262 -3.53278086199992,128.33822762 -3.51895386199993,128.298036619 -3.50971786199995,128.276090619 -3.51152686199993,128.236772619 -3.52778086199993,128.221890619 -3.53694486199993,128.202327619 -3.55166286199994,128.187745619 -3.56416286199993,128.084136619 -3.58610886199995,128.036372619 -3.59305386199998,128.030818619 -3.59444486199993,128.004699619 -3.60944486199998,127.968172619 -3.63444486199995,127.949999619 -3.65055386199998),(128.55566362 -3.50763586199997,128.55746362 -3.52589886199996,128.61523662 -3.60944486199998,128.62689062 -3.62347186199997,128.63970862 -3.62888986199994,128.72314562 -3.61631786199996,128.72689962 -3.59083586199995,128.72301862 -3.54721786199997,128.71664562 -3.51916286199997,128.71273662 -3.50971786199995,128.70636362 -3.50194486199996,128.69141862 -3.50013586199998,128.67803662 -3.52360886199995,128.67080862 -3.53798986199996,128.62342762 -3.52125386199998,128.58379962 -3.49443586199993,128.56850862 -3.49534486199997,128.55566362 -3.50763586199997),(128.50082762 -3.52249886199996,128.46120862 -3.51888986199998,128.44058162 -3.51995386199997,128.43109062 -3.52249886199996,128.41858162 -3.53068986199997,128.40969962 -3.54249886199995,128.38775462 -3.61916286199994,128.38588162 -3.63839886199997,128.40277262 -3.64083586199996,128.52276362 -3.61694486199997,128.54885462 -3.60194486199993,128.56219062 -3.59125386199997,128.56358162 -3.57971786199994,128.55831862 -3.56778086199995,128.53109962 -3.54028086199997,128.51052762 -3.52666286199997,128.50082762 -3.52249886199996),(123.008181615 -3.98645386199996,122.953599615 -4.04708086199997,122.954990615 -4.08944486199994,122.957763615 -4.10028086199998,122.965272615 -4.11680886199997,123.016381615 -4.18624486199997,123.033054615 -4.20360886299994,123.067490615 -4.23778086299995,123.079163615 -4.23971786299995,123.146236615 -4.24270886299996,123.160945615 -4.23541786299995,123.251590615 -4.11562686199994,123.258045615 -4.09278086199993,123.256654615 -4.07360886199996,123.253881615 -4.06278086199995,123.244981615 -4.04444486199998,123.236645615 -4.03194486199993,123.209018615 -3.99818986199995,123.194972615 -3.99166286199994,123.174427615 -3.99166286199994,123.142208615 -4.00055386199995,123.123599615 -4.00944486199995,123.109290615 -4.01221786199994,123.088590615 -4.00888986199993,123.079163615 -4.00471786199995,123.046099615 -3.97861786199996,123.039981615 -3.97721786199998,123.026927615 -3.97805386199997,123.008181615 -3.98645386199996),(133.429963624 -4.22138986299996,133.601345624 -4.29860886299997,133.615508624 -4.30055386299995,133.571781624 -4.24860886299996,133.552763624 -4.23360886299997,133.539427624 -4.22610886299998,133.515536624 -4.21583586299994,133.505245624 -4.21249886299995,133.418027624 -4.16971786199997,133.346208624 -4.11471786199996,133.329008624 -4.10785386199996,133.316927624 -4.10374486199993,133.315518624 -4.11666286199994,133.321627624 -4.15833586199994,133.326372624 -4.17068986199996,133.429963624 -4.22138986299996),(122.914290614 -4.47166286299995,122.900263614 -4.49221786299995,122.864154614 -4.57291786299993,122.854427614 -4.60055386299996,122.844018614 -4.64833586299994,122.843318614 -4.68528086299995,122.845263614 -4.72694486299997,122.849427614 -4.76360886299994,122.853181614 -4.81062686299992,122.818045614 -4.97138986299996,122.781099614 -5.12971786299994,122.734772614 -5.25450886299996,122.660263614 -5.36166286399992,122.568599614 -5.50694486399993,122.576663614 -5.53555386399995,122.603590614 -5.59778086399996,122.655445614 -5.68503586399993,122.803454614 -5.69194486399994,122.829090614 -5.67659886399997,122.902354614 -5.56013586399996,122.914636614 -5.52680886399997,122.901163614 -5.50749886399996,122.862063614 -5.50451786399998,122.875254614 -5.46430886399997,122.901236614 -5.43916286399997,122.997899615 -5.39496286399998,123.030599615 -5.42118086399995,123.050263615 -5.42638986399993,123.143181615 -5.38589886399996,123.165545615 -5.36360886399996,123.214636615 -5.29368086399995,123.212772615 -5.27236286399994,123.043308615 -5.13833586299995,123.021936615 -5.14305386299998,122.979708615 -5.10721786299996,122.983045615 -5.03416286299995,122.989963615 -4.94666286299997,123.014581615 -4.83541786299998,123.045536615 -4.75749886299997,123.135399615 -4.70958086299993,123.177754615 -4.77333586299994,123.186099615 -4.79916286299994,123.204118615 -4.84121786299994,123.215390615 -4.82180886299994,123.216927615 -4.78916286299994,123.216927615 -4.75499886299997,123.212772615 -4.69749886299996,123.200672615 -4.59944486299997,123.192745615 -4.57666286299997,123.135081615 -4.49520886299996,123.103863615 -4.48028086299996,123.076936615 -4.46249886299995,123.062818615 -4.41854486299997,123.075545615 -4.40350886299996,123.080054615 -4.38826286299997,123.059145615 -4.38055386299993,123.032481615 -4.38805386299993,123.009854615 -4.39971786299998,122.989963615 -4.41388986299995,122.939145614 -4.45221786299993,122.914290614 -4.47166286299995),(123.576936615 -5.37430886399994,123.605263615 -5.37666286399997,123.633108615 -5.37360886399995,123.636936615 -5.30360886399995,123.632754615 -5.29083586399997,123.627199615 -5.28249886399993,123.613599615 -5.26833586399994,123.598872615 -5.25902686299997,123.585536615 -5.25528086299994,123.539781615 -5.25121786299997,123.523181615 -5.25055386299994,123.519708615 -5.26068986299993,123.521654615 -5.27583586399993,123.528054615 -5.29694486399995,123.536099615 -5.31583586399995,123.547208615 -5.33916286399995,123.556636615 -5.35694486399996,123.565663615 -5.36847186399996,123.576936615 -5.37430886399994),(133.105808624 -5.32138986399997,133.017345624 -5.55194486399995,132.985881624 -5.62555386399993,132.975490624 -5.64055386399997,132.963272624 -5.64541786399997,132.951627624 -5.65778086399996,132.938018624 -5.67805386399993,132.931918624 -5.69249886399996,132.884399624 -5.83778086399997,132.871308624 -5.87916286399997,132.839145624 -5.98221786399995,132.839536624 -6.00028086399993,132.849399624 -6.00333586399995,132.955081624 -5.86568986399993,132.955781624 -5.84944486399996,132.953554624 -5.83778086399997,132.948136624 -5.82610886399993,132.947445624 -5.80971786399994,132.948818624 -5.79749886399998,132.957154624 -5.76471786399998,132.963836624 -5.75110886399995,133.003008624 -5.69316286399993,133.010345624 -5.68416286399997,133.031754624 -5.65833586399998,133.046054624 -5.64888986399995,133.068818624 -5.63721786399998,133.081054624 -5.62916286399997,133.098818624 -5.61278086399994,133.107181624 -5.60055386399995,133.111908624 -5.59166286399994,133.129118624 -5.54028086399995,133.186645624 -5.35138986399994,133.189836624 -5.33749886399994,133.188718624 -5.32555386399997,133.182490624 -5.30976286399994,133.170945624 -5.29694486399995,133.157199624 -5.29333586399997,133.138027624 -5.29221786399995,133.123290624 -5.29444486399996,133.114136624 -5.30221786399994,133.105808624 -5.32138986399997),(134.569063625 -5.42937186399996,134.516172625 -5.43643586399998,134.507199625 -5.43333586399996,134.493618625 -5.43728986399998,134.483036625 -5.49194486399995,134.407163625 -5.63305386399998,134.359927625 -5.70610886399993,134.317990625 -5.71360886399998,134.309663625 -5.70805386399996,134.283845625 -5.69305386399998,134.254390625 -5.68083586399996,134.240618625 -5.67749886399997,134.227490625 -5.68318986399993,134.209108625 -5.70402686399996,134.204099625 -5.72318986399995,134.206308625 -5.73486286399998,134.215208625 -5.74305386399993,134.255372625 -5.76778086399997,134.266908625 -5.76916286399995,134.283427625 -5.76583586399994,134.366027625 -5.78805386399995,134.380963625 -5.80673586399996,134.358554625 -5.85278086399995,134.317445625 -5.89778086399997,134.302154625 -5.90999886399993,134.302336625 -6.02278086399997,134.331081625 -6.02999886399994,134.344118625 -6.03055386399996,134.379654625 -6.02385386399993,134.396427625 -6.01876286399994,134.417772625 -6.01063586399994,134.437608625 -6.00148086399997,134.453872625 -5.99182686399996,134.466063625 -5.98368986399993,134.489454625 -5.97148986399998,134.512836625 -5.96233586399995,134.532008625 -5.95778086399997,134.630218625 -5.93486286399997,134.653427625 -5.93278086399994,134.663008625 -5.93694486399994,134.679690625 -5.95784486399998,134.714145625 -5.97875386399994,134.730236625 -5.97708086399996,134.760036626 -5.89333586399994,134.755245626 -5.86083586399997,134.735227625 -5.84666286399994,134.721072625 -5.73694486399995,134.679136625 -5.59278086399996,134.692745625 -5.53028086399996,134.631772625 -5.44888986399997,134.569063625 -5.42937186399996),(134.729963625 -6.03471786399996,134.642299625 -5.94965386399997,134.607145625 -5.95278086399998,134.526563625 -5.97047186399993,134.509281625 -5.97606286399997,134.489963625 -5.98368986399993,134.478272625 -5.98877186399994,134.445218625 -6.00758086399998,134.423872625 -6.01775386399993,134.366636625 -6.03666286399994,134.312763625 -6.04194486399996,134.292754625 -6.04888986399993,134.284427625 -6.06110886399995,134.271363625 -6.09999886399993,134.268527625 -6.11492686399993,134.287754625 -6.15860886399997,134.334545625 -6.22471786399996,134.397490625 -6.25958086399993,134.428318625 -6.26638986399996,134.493563625 -6.29416286399993,134.527772625 -6.32833586399994,134.538572625 -6.34471786499995,134.549008625 -6.35486286499997,134.605518625 -6.36958086499993,134.673581625 -6.33860886399998,134.693572625 -6.32416286399996,134.708008625 -6.31138986399998,134.718845625 -6.29499886399998,134.740781625 -6.24860886399995,134.744963625 -6.23916286399998,134.770263626 -6.10347186399997,134.766936626 -6.08999886399994,134.753872625 -6.06888986399997,134.748290625 -6.06055386399993,134.729963625 -6.03471786399996),(134.840790626 -6.29305386399994,134.793581626 -6.37805386499997,134.788727626 -6.39028086499997,134.792208626 -6.44610886499993,134.799899626 -6.45888986499995,134.816072626 -6.46999886499998,134.833218626 -6.46971786499995,134.886936626 -6.34388986499994,134.888881626 -6.32902686399996,134.885499626 -6.30849886399994,134.883708626 -6.30152686399992,134.872036626 -6.29263586399998,134.854536626 -6.28944486399996,134.840790626 -6.29305386399994),(134.557190625 -6.37249886499995,134.463863625 -6.30166286399998,134.453581625 -6.29166286399993,134.452790625 -6.28803586399994,134.447872625 -6.28478986399995,134.408599625 -6.29971786399994,134.378299625 -6.32138986399997,134.345518625 -6.35971786499994,134.361218625 -6.39270886499997,134.386245625 -6.39397186499997,134.436327625 -6.43231786499996,134.455654625 -6.42756286499997,134.485227625 -6.47138986499994,134.509563625 -6.51721786499996,134.527772625 -6.52999886499993,134.543872625 -6.53360886499996,134.599118625 -6.44278086499997,134.604127625 -6.42471786499993,134.597745625 -6.40721786499995,134.589145625 -6.39541786499996,134.573718625 -6.37999886499995,134.557190625 -6.37249886499995),(134.429354625 -6.44468086499995,134.394572625 -6.41375386499993,134.331418625 -6.38794486499995,134.304172625 -6.36449886499997,134.285245625 -6.33916286399995,134.300045625 -6.31854486399993,134.297499625 -6.30522686399996,134.276918625 -6.29694486399995,134.216899625 -6.23666286399992,134.191927625 -6.22416286399994,134.120945625 -6.17035386399994,134.104554625 -6.17305386399994,134.090381625 -6.19263586399995,134.093290625 -6.21110886399993,134.100781625 -6.22749886399993,134.111081625 -6.24778086399994,134.121890625 -6.28610886399997,134.124118625 -6.29778086399995,134.125518625 -6.34388986499994,134.123290625 -6.44138986499996,134.093845625 -6.52110886499997,134.051363625 -6.76194486499998,134.051499625 -6.77763586499998,134.068590625 -6.82875386499995,134.182618625 -6.92152686499998,134.200527625 -6.92083586499996,134.322754625 -6.85528086499994,134.361208625 -6.81847186499994,134.363572625 -6.80860886499994,134.353027625 -6.80555386499998,134.343708625 -6.80110886499995,134.405818625 -6.71833586499997,134.435790625 -6.68721786499998,134.459336625 -6.67131786499994,134.479418625 -6.65888986499994,134.493563625 -6.64221786499996,134.511936625 -6.60666286499998,134.515727625 -6.59249886499993,134.461363625 -6.45694486499997,134.454408625 -6.44680886499998,134.429354625 -6.44468086499995),(134.646499625 -6.76986286499994,134.667345625 -6.77444486499996,134.721618625 -6.69055386499997,134.741636625 -6.62860886499993,134.739408625 -6.61694486499994,134.730527625 -6.60555386499993,134.719699625 -6.59583586499997,134.710781625 -6.59110886499997,134.710081625 -6.59137186499993,134.708008625 -6.58971786499995,134.694972625 -6.58708086499996,134.685245625 -6.59458086499995,134.675808625 -6.61221786499993,134.626345625 -6.71555386499995,134.623990625 -6.75138986499996,134.646499625 -6.76986286499994),(138.618008629 -6.76888986499995,138.685245629 -6.85721786499994,138.702454629 -6.86749886499996,138.711908629 -6.87138986499997,138.728363629 -6.87326286499996,138.745508629 -6.86805386499998,138.785808629 -6.83770886499997,138.769436629 -6.80610886499994,138.748836629 -6.77833586499997,138.738554629 -6.76805386499996,138.728299629 -6.76471786499997,138.714690629 -6.76471786499997,138.690518629 -6.76138986499996,138.663299629 -6.75444486499993,138.654972629 -6.74888986499997,138.634154629 -6.72949886499993,138.637208629 -6.73055386499993,138.628299629 -6.72583586499997,138.617599629 -6.72888986499993,138.610790629 -6.73916286499997,138.611908629 -6.75444486499993,138.618008629 -6.76888986499995),(115.395263607 -6.84166286499993,115.349427607 -6.83944486499996,115.328872607 -6.83944486499996,115.316672607 -6.83944486499996,115.293327607 -6.83878986499997,115.271381607 -6.83471786499996,115.257490607 -6.83471786499996,115.247208607 -6.84152686499993,115.214427607 -6.89944486499996,115.211108607 -6.90971786499995,115.211645607 -6.92249886499997,115.214999607 -6.93278086499993,115.270754607 -6.99458086499993,115.295536607 -7.00826286499995,115.389572607 -6.98333586499996,115.394018607 -6.97221786499995,115.389436607 -6.96305386499995,115.374154607 -6.95444486499997,115.357754607 -6.95055386499996,115.348036607 -6.94638986499996,115.342072607 -6.93763586499995,115.386381607 -6.91221786499995,115.443590608 -6.91610886499996,115.465818608 -6.92471786499993,115.501663608 -6.93749886499995,115.546581608 -6.95068986499996,115.563881608 -6.93958086499993,115.570481608 -6.92110886499995,115.560118608 -6.90249886499993,115.535263608 -6.88638986499996,115.485808608 -6.86055386499993,115.461927608 -6.85055386499994,115.433036608 -6.84499886499998,115.395263607 -6.84166286499993),(113.971918606 -6.87221786499993,113.941099606 -6.86541786499993,113.906236606 -6.86541786499993,113.872754606 -6.87278086499998,113.766390606 -6.88721786499997,113.551936606 -6.89528086499996,113.312190606 -6.89249886499994,113.102481605 -6.88388986499996,113.001663605 -6.88721786499997,112.939418605 -6.89333586499993,112.921654605 -6.89333586499993,112.838808605 -6.90881786499995,112.813872605 -6.95166286499995,112.770127605 -7.00347186499994,112.743590605 -7.02486286499993,112.702963605 -7.03374486499996,112.687763605 -7.04763586499996,112.694136605 -7.09249886499993,112.716936605 -7.14875386499995,112.742408605 -7.16416286499998,112.786518605 -7.16249886499998,112.824999605 -7.16528086499994,112.854981605 -7.16944486499995,112.981936605 -7.19999886499994,113.105818605 -7.18999886499995,113.173590605 -7.22156286499995,113.401090606 -7.22916286499998,113.440808606 -7.22778086499994,113.503881606 -7.22528086499995,113.548872606 -7.18888986499996,113.560527606 -7.16971786499994,113.624554606 -7.12513586499995,113.677463606 -7.11305386499993,113.704708606 -7.11028086499994,113.749999606 -7.11305386499993,113.827472606 -7.12388986499997,113.859918606 -7.06534486499993,113.892490606 -7.03888986499993,113.985808606 -7.01916286499994,114.066236606 -7.00388986499996,114.127963606 -6.97326286499998,114.123454606 -6.94978986499996,114.104427606 -6.93138986499997,113.991363606 -6.88028086499997,113.971918606 -6.87221786499993),(120.633663612 -7.01604486499997,120.624836612 -7.08486286499993,120.637772612 -7.12208086499993,120.652481612 -7.13471786499997,120.673027612 -7.14680886499997,120.769708612 -7.13416286499995,120.781372612 -7.09805386499994,120.784145612 -7.08721786499996,120.783736612 -7.07055386499997,120.775545612 -7.06028086499998,120.763045612 -7.07221786499997,120.748881612 -7.07631786499996,120.684145612 -7.04430886499995,120.658072612 -7.02248086499998,120.633663612 -7.01604486499997),(128.52609062 -7.14013586499993,128.53921862 -7.16375386499993,128.62661862 -7.21805386499994,128.63720862 -7.21971786499995,128.65482762 -7.20833586499998,128.67969062 -7.17694486499994,128.70303662 -7.11971786499993,128.69871862 -7.10839886499997,128.62353662 -7.06526286499997,128.61829062 -7.06430886499993,128.59692762 -7.07360886499993,128.58440862 -7.08166286499994,128.54803662 -7.10694486499995,128.52955462 -7.12791786499997,128.52609062 -7.14013586499993),(131.916072623 -7.10416286499998,131.750545623 -7.11645386499993,131.733836623 -7.12791786499997,131.728572623 -7.13944486499997,131.728163623 -7.15555386499994,131.736081623 -7.16818986499993,131.765536623 -7.17416286499997,131.800263623 -7.16610886499996,131.821627623 -7.16138986499993,131.833308623 -7.15916286499993,131.879118623 -7.16666286499998,131.890254623 -7.16944486499995,131.899154623 -7.17763586499996,131.904418623 -7.18916286499996,131.905818623 -7.20805386499995,131.913863623 -7.22068986499994,131.962190623 -7.25444486499993,131.972599623 -7.25138986499996,131.988008623 -7.22131786499995,131.979127623 -7.18444486499993,131.974399623 -7.17555386499993,131.927181623 -7.10694486499995,131.916072623 -7.10416286499998),(131.640454623 -7.25180886499993,131.676008623 -7.22278086499995,131.698027623 -7.22694486499995,131.740018623 -7.20881786499996,131.710508623 -7.14416286499994,131.654008623 -7.11610886499994,131.645718623 -7.11665386499993,131.579127623 -7.12444486499993,131.535327623 -7.14818986499995,131.456908622 -7.28694486499995,131.385799622 -7.37278086499998,131.333436622 -7.42263586599995,131.306363622 -7.43305386599997,131.237045622 -7.49097186599994,131.199399622 -7.58610886599996,131.188290622 -7.61583586599994,131.176499622 -7.65555386599993,131.189699622 -7.68499886599994,131.084308622 -7.86593586599997,131.108563622 -7.99847186599993,131.136090622 -8.01208086599996,131.302608622 -8.02833586599996,131.329272622 -8.01430886599996,131.340527622 -7.99458086599998,131.344699622 -7.96499886599997,131.344118622 -7.92194486599993,131.376890622 -7.86388986599997,131.401227622 -7.82999886599993,131.488554622 -7.77083586599997,131.572208623 -7.70416286599993,131.630099623 -7.62916286599994,131.679136623 -7.48138986599997,131.679136623 -7.44055386599996,131.670672623 -7.40381786499995,131.640454623 -7.25180886499993),(137.862181628 -7.87528086599997,137.727754628 -8.13778086599996,137.708008628 -8.18610886599993,137.634281628 -8.38110886599998,137.630936628 -8.41083586599996,137.644908628 -8.43513586599994,137.673854628 -8.43138986599996,137.703354628 -8.41097186599995,137.803999628 -8.38194486599997,137.868290628 -8.37110886599993,138.182190629 -8.39083586599997,138.213008629 -8.39430886599996,138.250381629 -8.40471786599994,138.272754629 -8.42333586599995,138.299699629 -8.42638986599997,138.379545629 -8.41055386599993,138.407745629 -8.40110886599996,138.452899629 -8.37791786599996,138.603027629 -8.25528086599996,138.623563629 -8.23499886599996,138.647490629 -8.19749886599993,138.667345629 -8.16458086599994,138.708590629 -8.15610886599995,138.742754629 -8.15278086599994,138.782336629 -8.13944486599996,138.848845629 -8.07833586599997,138.881899629 -8.03610886599995,138.913299629 -7.87860886599998,138.981354629 -7.76944486599996,139.036654629 -7.61388986599997,139.001063629 -7.55749886599995,138.968290629 -7.55610886599993,138.924972629 -7.54291786599993,138.890827629 -7.50721786599996,138.880236629 -7.48708086599993,138.864608629 -7.45673586599997,138.828308629 -7.40249886499993,138.806918629 -7.38318986499996,138.761363629 -7.37055386499998,138.702472629 -7.36263586499996,138.638990629 -7.36416286499997,138.590518629 -7.37055386499998,138.559754629 -7.37908086499993,138.545536629 -7.38278086499997,138.512481629 -7.39110886499998,138.478299629 -7.39778086499996,138.454954629 -7.40194486499996,138.406918629 -7.40860886499996,138.362454629 -7.41541786599993,138.239681629 -7.46166286599993,138.221345629 -7.47110886599995,138.163027629 -7.50847186599998,138.105527629 -7.54721786599993,138.070527629 -7.57388986599995,138.048854629 -7.59208086599995,138.018245629 -7.62520886599998,137.905245628 -7.79583586599995,137.862181628 -7.87528086599997),(138.846927629 -8.41388986599998,138.870236629 -8.41471786599993,138.885254629 -8.41249886599996,138.898590629 -8.40534486599995,138.909972629 -8.38444486599997,138.908599629 -8.36499886599995,138.904418629 -8.35555386599998,138.896363629 -8.34333586599996,138.834690629 -8.20916286599993,138.823027629 -8.17305386599998,138.819063629 -8.15833586599996,138.805818629 -8.15541786599994,138.707181629 -8.18333586599994,138.549427629 -8.32097186599998,138.544708629 -8.33305386599994,138.544827629 -8.34736286599997,138.557054629 -8.36583586599994,138.577618629 -8.37597186599993,138.739963629 -8.40444486599995,138.795536629 -8.41055386599993,138.846927629 -8.41388986599998),(131.166654622 -8.12221786599997,131.032454622 -8.08483586599993,131.013518622 -8.09028086599994,130.961636622 -8.14749886599998,130.927463622 -8.20444486599996,130.868563622 -8.23416286599996,130.856627622 -8.24305386599997,130.840236622 -8.26055386599995,130.764981622 -8.34194486599995,130.765536622 -8.35499886599996,130.804136622 -8.35221786599993,130.821899622 -8.34944486599994,130.888308622 -8.30666286599995,130.895536622 -8.29625386599997,130.897218622 -8.28110886599995,130.959408622 -8.23694486599993,131.046627622 -8.20916286599993,131.141936622 -8.16694486599994,131.157745622 -8.15555386599993,131.178318622 -8.13124486599997,131.166654622 -8.12221786599997),(128.94552762 -8.18055386599997,128.89135462 -8.17999886599995,128.86883662 -8.18471786599997,128.85864562 -8.18889886599993,128.83719062 -8.19416286599994,128.83058162 -8.20215386599995,128.83996362 -8.22138986599998,128.84884562 -8.22610886599995,128.88470862 -8.24499886599995,128.91275462 -8.25805386599995,128.92499062 -8.26263586599993,129.00524562 -8.26944486599996,129.01539962 -8.26680886599996,129.03289962 -8.24333586599994,129.03469962 -8.22805386599993,129.02916362 -8.21318986599994,128.97912762 -8.18805386599996,128.96969962 -8.18388986599996,128.94552762 -8.18055386599997),(128.036227619 -8.26471786599996,128.121336619 -8.17916286599996,128.127727619 -8.16860886599994,128.126063619 -8.15416286599998,128.117036619 -8.14610886599996,128.100527619 -8.13860886599997,128.085236619 -8.13749886599993,128.067890619 -8.14242686599994,128.050536619 -8.14749886599998,127.968318619 -8.14055386599995,127.949999619 -8.13860886599997,127.927199619 -8.13388986599995,127.897218619 -8.12305386599996,127.881381619 -8.11471786599998,127.864990619 -8.10721786599993,127.843599619 -8.10110886599995,127.810808619 -8.10249886599996,127.797790619 -8.10385386599995,127.786927619 -8.10333586599995,127.774427619 -8.10471786599993,127.763318619 -8.11027186599995,127.802472619 -8.18597186599993,127.811508619 -8.19416286599994,127.829990619 -8.20305386599995,128.009427619 -8.26278086599996,128.025272619 -8.26749886599993,128.036227619 -8.26471786599996),(129.777208621 -8.05347186599994,129.846618621 -7.95278086599996,129.857727621 -7.93638986599996,129.862454621 -7.92416286599996,129.862727621 -7.91166286599997,129.842527621 -7.84125386599993,129.819972621 -7.82305386599995,129.701354621 -7.79110886599995,129.685672621 -7.78971786599993,129.670536621 -7.79166286599997,129.632172621 -7.79857186599997,129.619127621 -7.79930886599993,129.606899621 -7.80388986599996,129.596908621 -7.81110886599993,129.590518621 -7.82166286599994,129.584963621 -7.84333586599996,129.576081621 -7.88541786599995,129.584136621 -7.90778086599994,129.592472621 -7.91999886599996,129.610227621 -7.94305386599996,129.676090621 -8.02722686599998,129.694545621 -8.04291786599993,129.754836621 -8.06041786599997,129.767208621 -8.06041786599997,129.777208621 -8.05347186599994),(125.897490617 -7.94055386599996,125.928936617 -7.91381786599993,125.996372617 -7.89555386599994,126.061918617 -7.88610886599997,126.119708617 -7.88471786599996,126.131090617 -7.88694486599996,126.277772618 -7.91610886599995,126.418318618 -7.93221786599997,126.503327618 -7.88749886599993,126.508045618 -7.87860886599998,126.516390618 -7.86638986599996,126.525272618 -7.85499886599996,126.559345618 -7.81916286599994,126.611508618 -7.78221786599994,126.673308618 -7.76180886599997,126.708881618 -7.75305386599996,126.776654618 -7.74971786599997,126.790545618 -7.74971786599997,126.765827618 -7.67221786599993,126.734418618 -7.67360886599994,126.719281618 -7.67166286599996,126.635272618 -7.61221786599998,126.630390618 -7.60333586599995,126.632199618 -7.58860886599996,126.630390618 -7.57347186599998,126.618454618 -7.56499886599994,126.542481618 -7.58110886599997,126.485527618 -7.59833586599996,126.410808618 -7.63278086599996,126.383036618 -7.65291786599994,126.374145618 -7.67124486599994,126.351927618 -7.68721786599997,126.338881618 -7.69471786599996,126.185808618 -7.72138986599998,126.100536617 -7.70138986599994,126.014163617 -7.67444486599993,125.972208617 -7.65860886599995,125.914145617 -7.73694486599993,125.812618617 -7.85221786599993,125.772218617 -8.00625386599995,125.782763617 -8.02041786599995,125.800108617 -8.01708086599996,125.841372617 -7.98666286599996,125.897490617 -7.94055386599996),(114.584018607 -8.66318986699997,114.493736607 -8.62236286699994,114.473727607 -8.62736286699993,114.463727607 -8.62971786699995,114.372618607 -8.52347186699996,114.356790607 -8.43555386599996,114.366654607 -8.35694486599994,114.372208607 -8.32860886599997,114.379699607 -8.30194486599993,114.384427607 -8.28638986599998,114.387208607 -8.27555386599994,114.392208607 -8.25305386599996,114.401654607 -8.20778086599995,114.469154607 -7.87778086599997,114.466090607 -7.83055386599995,114.461927607 -7.82083586599992,114.448318607 -7.80055386599997,114.439972607 -7.79444486599994,114.382481607 -7.75986286599993,114.367481607 -7.75778086599996,114.313308606 -7.75028086599997,114.146099606 -7.70694486599996,114.137208606 -7.70221786599996,114.124690606 -7.69416286599994,114.097763606 -7.66999886599996,114.085127606 -7.65180886599995,114.076663606 -7.63999886599993,114.058727606 -7.62360886599993,114.038036606 -7.61194486599993,114.021381606 -7.61444486599993,113.988590606 -7.63694486599996,113.961108606 -7.66416286599997,113.939145606 -7.68318986599996,113.925536606 -7.68999886599994,113.782208606 -7.73138986599997,113.768599606 -7.73138986599997,113.681372606 -7.72249886599997,113.591663606 -7.71110886599996,113.569090606 -7.70722686599993,113.505254606 -7.69999886599993,113.493590606 -7.70221786599996,113.402481606 -7.74083586599994,113.388890606 -7.74778086599997,113.377199606 -7.75638986599995,113.366236606 -7.76597186599997,113.350536606 -7.77749886599997,113.340818606 -7.78166286599998,113.299145606 -7.79215386599998,113.172208605 -7.74499886599995,113.111363605 -7.71721786599994,113.093181605 -7.70444486599996,112.966663605 -7.64305386599995,112.847908605 -7.60068986599993,112.837199605 -7.59416286599998,112.818045605 -7.57916286599993,112.778318605 -7.54388986599997,112.763318605 -7.51249886599993,112.756999605 -7.45055386599995,112.761518605 -7.43694486599998,112.787199605 -7.42499886599995,112.806372605 -7.40999886499998,112.813308605 -7.40249886499993,112.828590605 -7.29249886499997,112.813308605 -7.25166286499996,112.808590605 -7.24278086499993,112.797490605 -7.22666286499998,112.782336605 -7.21083586499998,112.770827605 -7.20555386499996,112.759163605 -7.20333586499993,112.745118605 -7.20652686499994,112.731372605 -7.21666286499993,112.721363605 -7.23388986499998,112.715954605 -7.24555386499998,112.706381605 -7.25305386499997,112.694699605 -7.25499886499995,112.679699605 -7.24971786499998,112.665263605 -7.24360886499994,112.656372605 -7.23888986499998,112.617199605 -7.21638986499994,112.604772605 -7.20020886499998,112.615963605 -7.19249886499995,112.631090605 -7.19444486499998,112.651654605 -7.20138986499995,112.665536605 -7.20375386499995,112.674145605 -7.19860886499993,112.680399605 -7.18257186499994,112.676936605 -7.16528086499994,112.608318605 -7.04360886499995,112.560254605 -6.91221786499995,112.443590605 -6.87597186499994,112.345263605 -6.87221786499993,112.332763605 -6.87360886499994,112.274699605 -6.89055386499996,112.212199605 -6.90360886499997,112.182745604 -6.90833586499997,112.158863604 -6.91166286499993,112.126645604 -6.91360886499996,112.106645604 -6.91305386499994,112.094436604 -6.91166286499993,112.079918604 -6.90721786499995,112.064145604 -6.89388986499995,112.052463604 -6.87833586499994,112.044436604 -6.86610886499994,112.039699604 -6.85721786499994,112.025272604 -6.83749886499993,111.988172604 -6.79263586499997,111.969708604 -6.78388986499994,111.953872604 -6.78375386499994,111.935527604 -6.78916286499998,111.916090604 -6.79749886499997,111.753881604 -6.78528086499995,111.721618604 -6.77637186499993,111.716927604 -6.77416286499994,111.688027604 -6.75528086499997,111.669708604 -6.73944486499994,111.659990604 -6.72860886499996,111.648881604 -6.71221786499996,111.639708604 -6.70166286499995,111.623027604 -6.68499886499995,111.612763604 -6.67499886499996,111.587627604 -6.65541786499995,111.491218604 -6.63007186499993,111.475254604 -6.63499886499994,111.465263604 -6.64568986499995,111.455681604 -6.66666286499998,111.451099604 -6.67888986499997,111.441081604 -6.69291786499997,111.430545604 -6.69944486499998,111.410536604 -6.70694486499997,111.383045604 -6.71360886499997,111.364699604 -6.71555386499995,111.350808604 -6.71555386499995,111.200818604 -6.70416286499994,111.148736604 -6.69728986499996,111.130808603 -6.67416286499997,111.111645603 -6.63888986499995,111.102763603 -6.62055386499998,111.096099603 -6.60666286499998,111.089708603 -6.59249886499993,111.087772603 -6.58083586499993,111.088736603 -6.55888986499997,111.084990603 -6.54555386499993,111.058318603 -6.46652686499993,111.026090603 -6.44055386499997,110.927345603 -6.41118086499995,110.853308603 -6.41680886499995,110.768181603 -6.44097186499994,110.729845603 -6.45916286499994,110.701927603 -6.49444486499993,110.682208603 -6.52110886499997,110.662618603 -6.56083586499994,110.662199603 -6.57749886499994,110.662199603 -6.58971786499995,110.660263603 -6.61499886499996,110.649845603 -6.66805386499993,110.645827603 -6.68110886499994,110.628036603 -6.73138986499993,110.621645603 -6.74555386499998,110.579436603 -6.82583586499993,110.560536603 -6.85486286499997,110.507490603 -6.91778086499994,110.490808603 -6.93555386499997,110.475808603 -6.94778086499997,110.466381603 -6.95166286499995,110.393599603 -6.97902686499998,110.375118603 -6.98110886499995,110.349718603 -6.97555386499994,110.335399603 -6.96944486499996,110.211381603 -6.90221786499995,110.202472603 -6.89749886499993,110.149718603 -6.88999886499994,110.134845603 -6.89902686499994,110.122208603 -6.90360886499997,110.111927603 -6.90694486499996,110.095545603 -6.91110886499996,110.004436602 -6.92944486499994,109.991363602 -6.92999886499996,109.933872602 -6.92583586499995,109.866654602 -6.91778086499994,109.818599602 -6.90416286499993,109.776927602 -6.89055386499996,109.640545602 -6.85666286499998,109.521927602 -6.83138986499995,109.466381602 -6.84360886499996,109.459718602 -6.85110886499996,109.449008602 -6.85763586499996,109.432208602 -6.86333586499995,109.415818602 -6.86749886499996,109.404708602 -6.87028086499993,109.321108602 -6.88249886499995,109.308027602 -6.88305386499997,109.281372602 -6.88249886499995,108.993045602 -6.83944486499996,108.885327601 -6.80624486499994,108.829990601 -6.79388986499993,108.820827601 -6.79860886499995,108.786099601 -6.81833586499994,108.765545601 -6.81833586499994,108.737608601 -6.81541786499997,108.712772601 -6.80971786499993,108.630536601 -6.77833586499997,108.620818601 -6.77416286499994,108.603590601 -6.75722686499995,108.595545601 -6.74499886499996,108.590818601 -6.73610886499995,108.576927601 -6.70221786499997,108.572218601 -6.68638986499997,108.566090601 -6.65860886499996,108.562481601 -6.64166286499994,108.553036601 -6.56249886499995,108.547490601 -6.51360886499998,108.544145601 -6.50333586499994,108.535808601 -6.49110886499994,108.524145601 -6.48221786499994,108.503054601 -6.47194486499995,108.483872601 -6.46388986499994,108.467208601 -6.45278086499997,108.450272601 -6.43583586499994,108.423599601 -6.40805386499994,108.416654601 -6.40055386499995,108.407763601 -6.38888986499995,108.354981601 -6.31888986399997,108.329708601 -6.27930886399997,108.313181601 -6.26166286399996,108.299427601 -6.25805386399998,108.234981601 -6.25610886399994,108.211645601 -6.26638986399996,108.184290601 -6.30347186399996,108.193308601 -6.32278086399998,108.187890601 -6.33471786399997,108.171372601 -6.34194486499996,108.152208601 -6.34333586499997,108.125263601 -6.34388986499994,108.099427601 -6.34278086499995,108.087772601 -6.34055386399996,108.067754601 -6.33305386399996,107.8766456 -6.22958086399996,107.7412366 -6.24430886399995,107.7238726 -6.24944486399994,107.6944276 -6.25416286399997,107.6669276 -6.25416286399997,107.6505456 -6.24999886399996,107.6383186 -6.24194486399995,107.5497086 -6.17221786399995,107.4366546 -6.08305386399996,107.4080456 -6.03666286399994,107.3908276 -6.01278086399998,107.3683186 -5.98778086399994,107.3605276 -5.98138986399994,107.3319366 -5.96166286399995,107.3202546 -5.95625386399996,107.3058186 -5.95360886399993,107.2927636 -5.95278086399998,107.2791636 -5.95278086399998,107.2666636 -5.95416286399995,107.2227636 -5.97194486399997,107.1988636 -5.98221786399995,107.1880276 -5.98499886399998,107.1680546 -5.98555386399994,107.1572086 -5.98278086399995,107.1434546 -5.97610886399997,107.1249816 -5.95971786399997,107.1194276 -5.95138986399996,107.1116456 -5.94236286399996,107.1033086 -5.93680886399994,107.0385906 -5.91610886399997,107.0238816 -5.91444486399996,107.0135996 -5.92458086399995,107.0174906 -5.97138986399995,107.0180546 -6.03749886399993,107.0144276 -6.04749886399998,107.0040186 -6.07318986399997,106.9947086 -6.08110886399993,106.9835996 -6.08388986399996,106.9530456 -6.08721786399997,106.9274086 -6.08829886399997,106.9013816 -6.09055386399996,106.804154599 -6.09860886399997,106.755499599 -6.10079886399996,106.741508599 -6.09083586399993,106.731654599 -6.07694486399993,106.728045599 -6.06666286399997,106.719990599 -6.03388986399995,106.713045599 -6.02028086399997,106.702199599 -6.01430886399993,106.543872599 -6.00666286399996,106.527072599 -6.01721786399997,106.513045599 -6.03055386399996,106.493045599 -6.04291786399995,106.475272599 -6.04083586399997,106.465818599 -6.03666286399994,106.331381599 -5.97278086399996,106.290263599 -5.94528086399993,106.279981599 -5.94194486399994,106.264290599 -5.94055386399998,106.251099599 -5.94471786399993,106.239572599 -5.95360886399993,106.230554599 -5.96528086399996,106.217481599 -5.99305386399993,106.209990599 -6.00610886399994,106.201236599 -6.01416286399996,106.184008599 -6.01778086399997,106.163308599 -6.01416286399996,106.143054599 -6.00749886399996,106.128590599 -6.00138986399998,106.116918599 -5.99249886399997,106.108727599 -5.97680886399996,106.107208599 -5.96110886399993,106.109990599 -5.94333586399995,106.109990599 -5.92971786399994,106.107336599 -5.90860886399997,106.098108599 -5.89395386399997,106.075818599 -5.88194486399993,106.046927599 -5.88402686399996,106.033863599 -5.88888986399996,106.013318599 -5.90249886399994,106.002490599 -5.91194486399996,105.879699599 -6.07749886399995,105.874981599 -6.08638986399995,105.837199599 -6.20638986399996,105.831936599 -6.22805386399995,105.828327599 -6.25194486399994,105.828327599 -6.26555386399997,105.831936599 -6.28944486399996,105.832218599 -6.31221786399993,105.822627599 -6.41028086499995,105.814145599 -6.43916286499996,105.805818599 -6.45833586499998,105.801090599 -6.46721786499995,105.780545599 -6.48778086499993,105.768881599 -6.49638986499997,105.712563598 -6.52007186499998,105.693308598 -6.51138986499996,105.684418598 -6.49999886499995,105.679699598 -6.49110886499994,105.673036598 -6.46354486499996,105.659836598 -6.45278086499997,105.647490598 -6.45778086499996,105.637208598 -6.46778086499995,105.631654598 -6.47610886499996,105.627199598 -6.48860886499995,105.626081598 -6.56194486499993,105.629972598 -6.61736286499996,105.627199598 -6.62763586499995,105.614699598 -6.64555386499995,105.491363598 -6.80888986499997,105.482345598 -6.81778086499997,105.467208598 -6.82180886499998,105.456927598 -6.81499886499995,105.424699598 -6.77221786499996,105.406936598 -6.74221786499993,105.318599598 -6.72249886499998,105.274008598 -6.76333586499993,105.262499598 -6.76888986499995,105.250818598 -6.77083586499998,105.215954598 -6.77521786499995,105.243318598 -6.81028086499998,105.304836598 -6.81513586499995,105.320545598 -6.81499886499995,105.358872598 -6.81778086499997,105.370527598 -6.81971786499997,105.446636598 -6.84499886499998,105.473308598 -6.86194486499994,105.483445598 -6.86916286499996,105.548863598 -6.87360886499994,105.568045598 -6.86888986499997,105.592754598 -6.85916286499997,105.609154598 -6.85528086499994,105.684418598 -6.84305386499994,105.923027599 -6.82528086499997,105.936654599 -6.82528086499997,106.000545599 -6.82860886499998,106.018336599 -6.83138986499995,106.035681599 -6.83652686499994,106.076390599 -6.85444486499995,106.102481599 -6.86944486499993,106.127199599 -6.88583586499993,106.146945599 -6.90083586499998,106.171654599 -6.91721786499994,106.286099599 -6.98721786499993,106.325263599 -7.00208086499993,106.357481599 -7.00610886499993,106.369136599 -7.00416286499996,106.384718599 -6.99944486499993,106.414990599 -6.98860886499995,106.428663599 -6.97492686499993,106.444145599 -6.96638986499994,106.506799599 -6.97833586499996,106.527481599 -6.98860886499995,106.535536599 -6.99736286499996,106.539699599 -7.01028086499997,106.545818599 -7.04499886499997,106.545127599 -7.06805386499997,106.535536599 -7.08249886499993,106.525272599 -7.09249886499993,106.509427599 -7.10416286499998,106.489981599 -7.11597186499995,106.475272599 -7.12528086499998,106.464427599 -7.13471786499997,106.412199599 -7.19055386499997,106.401381599 -7.20666286499994,106.379699599 -7.24305386499998,106.384718599 -7.29666286499997,106.387908599 -7.31041786499998,106.406099599 -7.35028086499995,106.423308599 -7.37138986499997,106.567208599 -7.41694486599994,106.578045599 -7.41944486599994,106.591090599 -7.42028086599993,106.709718599 -7.41944486599994,107.0824906 -7.44805386599995,107.2016636 -7.47528086599993,107.3174906 -7.48833586599994,107.3966636 -7.49333586599994,107.4688636 -7.50458086599997,107.5533086 -7.54249886599996,107.5758186 -7.55416286599996,107.6202456 -7.57778086599996,107.6369366 -7.58860886599996,107.6824816 -7.62548086599998,107.7949816 -7.66944486599994,107.8060906 -7.67221786599993,107.8299906 -7.68916286599995,107.921099601 -7.71833586599996,108.070545601 -7.75916286599994,108.141099601 -7.77749886599997,108.163036601 -7.78305386599993,108.186918601 -7.78638986599998,108.381090601 -7.80471786599998,108.426936601 -7.80666286599995,108.460536601 -7.80749886599995,108.474572601 -7.80430886599993,108.500263601 -7.78568986599993,108.505827601 -7.76055386599995,108.503599601 -7.73888986599997,108.504854601 -7.72131786599994,108.516663601 -7.70416286599993,108.527908601 -7.69847186599998,108.563308601 -7.68916286599995,108.581099601 -7.68638986599996,108.685254601 -7.67971786599998,108.779699601 -7.68166286599995,108.809145601 -7.65666286599998,108.879963601 -7.64110886599997,108.882472601 -7.66555386599993,108.886654601 -7.68166286599995,108.894572601 -7.69263586599993,108.991654602 -7.71721786599994,109.042208602 -7.71221786599995,109.053863602 -7.70360886599997,109.071108602 -7.69999886599993,109.118318602 -7.69249886599994,109.157490602 -7.69055386599996,109.264999602 -7.69666286599994,109.289699602 -7.69944486599996,109.397754602 -7.72312686599997,109.509718602 -7.76721786599995,109.583599602 -7.77555386599994,109.702763602 -7.79778086599993,109.919436602 -7.85028086599993,110.037199602 -7.88944486599996,110.056399602 -7.89750886599995,110.084427603 -7.91805386599998,110.118045603 -7.93916286599995,110.214154603 -7.98055386599998,110.368172603 -8.06528086599997,110.379963603 -8.07416286599994,110.470263603 -8.10805386599998,110.718045603 -8.19721786599996,110.772490603 -8.19416286599994,110.785536603 -8.19499886599993,110.833599603 -8.20166286599994,110.915818603 -8.22194486599994,111.017763603 -8.25667186599998,111.045254603 -8.25667186599998,111.068599603 -8.25249886599994,111.078872603 -8.24916286599995,111.112490603 -8.24166286599996,111.385272604 -8.27749886599997,111.446927604 -8.31416286599995,111.651090604 -8.36249886599995,111.703045604 -8.35416286599997,111.694554604 -8.33763586599997,111.715399604 -8.29528086599993,111.786999604 -8.26068986599995,111.856645604 -8.26805386599995,111.947199604 -8.28360886599995,112.166381604 -8.31694486599997,112.291654605 -8.33110886599997,112.363872605 -8.34278086599994,112.523318605 -8.39610886599996,112.646654605 -8.43416286599995,112.901654605 -8.40110886599996,112.918872605 -8.39749886599998,112.932054605 -8.39055386599995,112.948872605 -8.37318986599996,112.959990605 -8.34999886599996,112.968463605 -8.33818986599994,112.988036605 -8.32360886599997,113.027418605 -8.30339886599995,113.079708605 -8.29249886599996,113.109154605 -8.28778086599993,113.158045605 -8.28028086599994,113.182481605 -8.27749886599997,113.201663605 -8.27749886599997,113.232754605 -8.28110886599995,113.277208605 -8.29110886599995,113.292208606 -8.29666286599996,113.316381606 -8.30749886599995,113.441654606 -8.37916286599994,113.556090606 -8.43555386599996,113.613599606 -8.44778086599996,113.640399606 -8.46194486599995,113.647345606 -8.47221786599994,113.651927606 -8.48444486599993,113.660945606 -8.49249886699994,113.721363606 -8.53110886699994,113.737072606 -8.53249886699996,113.871918606 -8.56166286699994,113.963881606 -8.60028086699998,114.061654606 -8.63610886699996,114.098036606 -8.64083586699996,114.215954606 -8.64638986699993,114.231090606 -8.63749886699998,114.246790606 -8.61916286699994,114.263890606 -8.60916286699995,114.279990606 -8.60874486699993,114.292763606 -8.61305386699996,114.353590607 -8.64083586699996,114.367808607 -8.64779886699995,114.379154607 -8.65638986699997,114.388599607 -8.66722686699995,114.393336607 -8.67610886699993,114.395536607 -8.68749886699993,114.391090607 -8.70694486699995,114.379154607 -8.71888986699997,114.420254607 -8.74583586699993,114.532490607 -8.77722686699997,114.555254607 -8.78194486699994,114.568327607 -8.78249886699996,114.590508607 -8.77785386699998,114.590818607 -8.77778086699993,114.609990607 -8.76971786699994,114.621654607 -8.74388986699995,114.623599607 -8.72221786699993,114.621227607 -8.70763586699996,114.609008607 -8.68930886699997,114.584018607 -8.66318986699997),(105.261108598 -6.53326286499993,105.254363598 -6.52875386499994,105.186372598 -6.55444486499994,105.164427598 -6.56666286499996,105.114418598 -6.61089886499997,105.117481598 -6.62624486499993,105.185245598 -6.68347186499994,105.195536598 -6.68347186499994,105.250408598 -6.63916286499995,105.261381598 -6.61249886499996,105.263608598 -6.54471786499994,105.261108598 -6.53326286499993),(120.535681612 -6.25444486399994,120.561372612 -6.02791786399996,120.559418612 -6.00610886399994,120.549145612 -5.96166286399995,120.521099612 -5.87305386399993,120.494427612 -5.82471786399998,120.495608612 -5.78719886399995,120.494427612 -5.77971786399996,120.487345612 -5.76958086399998,120.473872612 -5.77104486399998,120.462772612 -5.79055386399995,120.455263612 -5.81721786399993,120.449145612 -5.84528086399996,120.440263612 -5.91138986399994,120.440263612 -5.93166286399997,120.440808612 -6.03194486399997,120.444972612 -6.16083586399998,120.471645612 -6.30444486399995,120.471645612 -6.32499886399995,120.468872612 -6.34278086499995,120.459990612 -6.37805386499997,120.461381612 -6.39360886499998,120.473036612 -6.47471786499995,120.479908612 -6.48221786499994,120.503881612 -6.42708086499994,120.535681612 -6.25444486399994),(112.737199605 -5.77694486399997,112.721581605 -5.74138986399993,112.694672605 -5.73135386399997,112.694699605 -5.73055386399994,112.681663605 -5.72999886399998,112.637481605 -5.73847186399996,112.587772605 -5.78458086399996,112.584427605 -5.79833586399997,112.590327605 -5.84507186399998,112.619981605 -5.85944486399995,112.692745605 -5.85278086399995,112.724636605 -5.83986286399994,112.732481605 -5.82555386399997,112.737763605 -5.78999886399993,112.737199605 -5.77694486399997),(132.656372624 -5.71360886399998,132.669436624 -5.83833586399993,132.665799624 -5.86028086399995,132.665254624 -5.89778086399997,132.666654624 -5.90999886399993,132.691927624 -5.93528086399994,132.739454624 -5.95020886399993,132.774845624 -5.93583586399996,132.782072624 -5.92597186399996,132.804408624 -5.86305386399994,132.807736624 -5.84583586399998,132.809145624 -5.83360886399993,132.808727624 -5.80999886399997,132.804408624 -5.79749886399998,132.738554624 -5.67884486399993,132.735781624 -5.66305386399995,132.732181624 -5.65278086399996,132.699554624 -5.59763586399993,132.634981624 -5.61610886399995,132.628845624 -5.63444486399993,132.641081624 -5.67694486399995,132.656372624 -5.71360886399998),(134.130390625 -6.15125386399995,134.239963625 -6.25194486399994,134.333036625 -6.32638986399996,134.364681625 -6.30860886399995,134.404008625 -6.28166286399994,134.369963625 -6.25805386399998,134.337190625 -6.24194486399995,134.328308625 -6.23694486399995,134.231763625 -6.14097186399994,134.228145625 -6.12874486399994,134.241618625 -6.09763586399993,134.239963625 -6.07694486399993,134.222945625 -6.03041786399996,134.214508625 -6.02635386399993,134.189563625 -6.04666286399993,134.158581625 -6.04708086399995,134.152190625 -6.03471786399996,134.152027625 -6.01249886399995,134.127445625 -6.03388986399995,134.120927625 -6.04458086399995,134.112454625 -6.09388986399995,134.112727625 -6.11055386399994,134.119963625 -6.13416286399996,134.130390625 -6.15125386399995),(121.027481613 -7.28638986499993,120.995408613 -7.28068986499994,120.960963613 -7.28499886499998,120.931372613 -7.28360886499996,120.870527613 -7.27749886499993,120.838318613 -7.26860886499998,120.830799613 -7.26521786499995,120.828599613 -7.26333586499993,120.814636613 -7.25978986499996,120.799145613 -7.26666286499994,120.791090612 -7.27541786499995,120.791654612 -7.28916286499998,120.802618613 -7.29860886499995,120.816381613 -7.30555386499998,120.999418613 -7.33583586499998,121.013045613 -7.33583586499998,121.032208613 -7.33471786499996,121.043872613 -7.32916286499994,121.058872613 -7.31347186499994,121.063036613 -7.30208086499994,121.053308613 -7.29444486499995,121.027481613 -7.28638986499993),(130.995099622 -7.48694486599993,131.060245622 -7.51249886599993,131.072754622 -7.51138986599995,131.134427622 -7.46360886599996,131.171908622 -7.42638986599997,131.177263622 -7.41187186499997,131.165118622 -7.40388986499994,131.036927622 -7.41749886599996,131.030272622 -7.41749886599996,131.010254622 -7.42152686599997,130.999972622 -7.42847186599994,130.981763622 -7.45625386599994,130.984127622 -7.47388986599998,130.995099622 -7.48694486599993),(127.359281619 -7.65458086599995,127.379208619 -7.65854486599994,127.394145619 -7.65110886599996,127.453872619 -7.60971786599993,127.481090619 -7.58944486599995,127.485263619 -7.57999886599993,127.488036619 -7.56888986599995,127.488590619 -7.54916286599996,127.484981619 -7.53437186599996,127.416072619 -7.51254486599993,127.413308619 -7.50999886599993,127.387345619 -7.50249886599994,127.375527619 -7.50778086599996,127.366790619 -7.51597186599997,127.346936619 -7.61666286599996,127.345272619 -7.63110886599998,127.350254619 -7.64652686599993,127.359281619 -7.65458086599995),(115.240818607 -8.80721786699996,115.227927607 -8.76646286699997,115.220981607 -8.78803586699996,115.203763607 -8.77377186699994,115.205881607 -8.74091786699995,115.222681607 -8.72518086699995,115.267681607 -8.70404486699994,115.298036607 -8.64708086699994,115.338181607 -8.61541786699996,115.376081607 -8.59555386699998,115.395263607 -8.58749886699997,115.446636608 -8.56971786699995,115.502772608 -8.55083586699993,115.615254608 -8.49388986699995,115.692608608 -8.42818986599997,115.709845608 -8.40444486599995,115.714008608 -8.38471786599996,115.708881608 -8.36055386599998,115.561218608 -8.21528086599994,115.528872608 -8.19278086599996,115.502208608 -8.17860886599993,115.461108608 -8.15749886599997,115.394708607 -8.12833586599993,115.361099607 -8.11416286599996,115.195681607 -8.05805386599997,115.166436607 -8.05916286599995,115.145263607 -8.06860886599998,115.123308607 -8.08778086599995,115.099427607 -8.11221786599998,115.039708607 -8.16708086599994,115.016099607 -8.18097186599994,114.994018607 -8.18638986599996,114.878036607 -8.19083586599993,114.836927607 -8.18805386599996,114.767627607 -8.17180886599994,114.745263607 -8.15999886599997,114.717336607 -8.14305386599995,114.501636607 -8.09305386599993,114.478590607 -8.09003586599994,114.449836607 -8.10228986599998,114.455818607 -8.17791786599997,114.464990607 -8.20263586599998,114.484708607 -8.24083586599994,114.497618607 -8.26208086599996,114.528736607 -8.30818986599996,114.571663607 -8.35971786599993,114.609281607 -8.39568986599994,114.628872607 -8.39999886599998,114.653872607 -8.39749886599998,114.710399607 -8.39555386599994,114.753327607 -8.40222686599998,114.792208607 -8.41110886599995,114.884427607 -8.44666286599994,114.925808607 -8.46999886599997,114.966381607 -8.49666286699994,115.076099607 -8.59221786699993,115.145263607 -8.66055386699998,115.161945607 -8.67823586699996,115.175618607 -8.71279886699995,115.179045607 -8.75390886699995,115.173136607 -8.77514486699994,115.137818607 -8.79031786699994,115.091436607 -8.82721786699994,115.102618607 -8.84679886699996,115.135954607 -8.85458086699998,115.158336607 -8.85360886699993,115.220127607 -8.83652686699998,115.240818607 -8.80721786699996),(122.868036614 -8.07200886599998,122.800263614 -8.11083586599995,122.741808614 -8.22583586599995,122.792163614 -8.23110886599994,122.821090614 -8.20805386599994,122.889981614 -8.18437186599994,122.946508615 -8.20534486599996,122.890954614 -8.28478986599993,122.770954614 -8.35597186599995,122.683518614 -8.38528086599996,122.628308614 -8.38610886599997,122.604145614 -8.39291786599995,122.483936614 -8.48944486699997,122.482481614 -8.51326286699998,122.429145614 -8.60402686699996,122.363036614 -8.61638986699995,122.340272614 -8.62110886699998,122.288308614 -8.64444486699995,122.261936614 -8.64125386699993,122.236790614 -8.63221786699995,122.107481614 -8.53305386699998,122.039427614 -8.44360886599998,121.909418614 -8.48971786699997,121.883590614 -8.49416286699994,121.773036613 -8.48860886699993,121.637208613 -8.47499886599996,121.596927613 -8.53528086699993,121.568736613 -8.56971786699995,121.513599613 -8.60666286699995,121.406372613 -8.58805386699993,121.385818613 -8.57791786699994,121.341927613 -8.54333586699994,121.319781613 -8.52215386699993,121.302899613 -8.49318986699996,121.281927613 -8.47318986599993,121.203454613 -8.44236286599994,121.172345613 -8.44068986599996,121.102763613 -8.42528086599998,121.039427613 -8.40471786599994,121.018745613 -8.39110886599997,120.921918613 -8.34610886599995,120.854708613 -8.34055386599994,120.753327612 -8.33388986599994,120.660263612 -8.28110886599995,120.522490612 -8.25722686599994,120.265408612 -8.27013586599998,120.196227612 -8.30541786599997,120.083881612 -8.39610886599996,120.006945612 -8.41666286599997,119.909708612 -8.46416286599998,119.818599612 -8.54860886699993,119.803590612 -8.56778086699995,119.797763612 -8.59179886699997,119.802890612 -8.63083586699997,119.804772612 -8.67499886699994,119.796236612 -8.72034486699994,119.801372612 -8.74583586699993,119.811363612 -8.77541786699993,119.833599612 -8.79805386699996,119.893881612 -8.85028086699998,119.939145612 -8.85028086699998,120.068881612 -8.80360886699998,120.089154612 -8.79666286699995,120.201654612 -8.80305386699996,120.252772612 -8.83152686699998,120.323318612 -8.83097186699996,120.347908612 -8.81124486699997,120.381927612 -8.80083586699993,120.435254612 -8.79388986699996,120.538036612 -8.79333586699994,120.588181612 -8.79833586699993,120.618036612 -8.82471786699995,120.648463612 -8.84541786699998,120.733727612 -8.87284486699997,120.760054612 -8.87270886699997,120.858863613 -8.87124486699997,120.918454613 -8.92471786699997,121.004172613 -8.94833586699997,121.016390613 -8.94971786699995,121.032627613 -8.94875386699994,121.086381613 -8.93083586699993,121.117199613 -8.91388986699997,121.135536613 -8.90499886699996,121.177754613 -8.89583586699996,121.207899613 -8.89375386699993,121.257754613 -8.90576286699996,121.294427613 -8.92360886699993,121.318308613 -8.92444486699998,121.350054613 -8.90833586699995,121.373927613 -8.88236286699993,121.372054613 -8.85430886699993,121.368518613 -8.82089886699993,121.386363613 -8.79986286699994,121.564218613 -8.81541786699995,121.624972613 -8.84333586699995,121.764918613 -8.89104486699995,121.799008613 -8.88097186699997,121.905818614 -8.82638986699993,122.178590614 -8.73583586699993,122.222490614 -8.74666286699994,122.259427614 -8.75055386699995,122.380254614 -8.75360886699997,122.466381614 -8.73374486699993,122.512636614 -8.71847186699995,122.532627614 -8.70430886699995,122.558790614 -8.67562686699995,122.681663614 -8.63416286699993,122.739154614 -8.61916286699994,122.795390614 -8.61583586699993,122.828045614 -8.60402686699996,122.837772614 -8.59818086699994,122.846372614 -8.59152686699997,122.852618614 -8.56999886699998,122.847490614 -8.54528086699997,122.837908614 -8.52763586699996,122.819990614 -8.50471786699995,122.803590614 -8.48638986599997,122.795681614 -8.46708086599995,122.800045614 -8.43944486599997,122.896945614 -8.38555386599995,122.981990615 -8.35437186599995,123.023181615 -8.32471786599996,123.030399615 -8.29721786599993,122.979699615 -8.14736286599998,122.961927615 -8.12778086599997,122.868036614 -8.07200886599998),(124.509572616 -8.13278086599996,124.474990616 -8.13587186599995,124.467627616 -8.13568986599995,124.453599616 -8.15083586599997,124.398181616 -8.22541786599993,124.335272616 -8.40972686599997,124.335118616 -8.42541786599998,124.341927616 -8.44305386599996,124.349145616 -8.45278086599996,124.359154616 -8.45999886599998,124.422208616 -8.47152686599998,124.601645616 -8.43138986599996,124.816936616 -8.40028086599995,125.033599616 -8.37333586599993,125.051372616 -8.37055386599997,125.100536617 -8.35833586599995,125.126227617 -8.34978986599998,125.139708617 -8.32568986599995,125.138318617 -8.25194486599997,125.135745617 -8.22895386599993,125.097208617 -8.16291786599993,125.087490616 -8.15541786599994,124.930399616 -8.16471786599993,124.917763616 -8.17249886599996,124.855263616 -8.17722686599996,124.670254616 -8.17305386599998,124.578327616 -8.13708086599996,124.548318616 -8.13388986599995,124.509572616 -8.13278086599996),(124.282336616 -8.18471786599997,124.272490616 -8.18097186599994,124.255681616 -8.18402686599995,124.243872616 -8.19610886599997,124.208327616 -8.24249886599995,124.183036616 -8.28499886599997,124.153599616 -8.32375386599995,124.106372616 -8.37194486599998,124.077472616 -8.34055386599994,124.076927616 -8.32110886599997,124.071790616 -8.31249886599994,124.048599616 -8.30805386599997,124.037199616 -8.31028086599997,123.988308615 -8.33666286599993,123.980799615 -8.34278086599994,123.975272615 -8.34666286599997,123.964999615 -8.35694486599994,123.906863615 -8.44604486599997,123.911099615 -8.45860886599996,123.922899615 -8.46708086599995,123.934290615 -8.46818986599993,123.949708615 -8.45971786599995,123.964008615 -8.44666286599994,123.980818615 -8.43638986599996,123.991090615 -8.43278086599997,124.005827615 -8.43110886599993,124.017627616 -8.43666286599995,124.033054616 -8.45528086599995,124.050045616 -8.48402686599997,124.052199616 -8.50416286699993,124.049290616 -8.52499886699997,124.048863616 -8.54478986699996,124.069981616 -8.55791786699996,124.115254616 -8.55555386699996,124.125527616 -8.55222686699994,124.148036616 -8.54068986699997,124.162490616 -8.52778086699993,124.185808616 -8.49666286699994,124.290545616 -8.32916286599993,124.294708616 -8.31971786599996,124.296654616 -8.30805386599997,124.303036616 -8.22194486599994,124.299836616 -8.20818986599994,124.294008616 -8.19680886599997,124.282336616 -8.18471786599997),(123.536099615 -8.56694486699996,123.666927615 -8.43278086599997,123.764427615 -8.32721786599996,123.851927615 -8.29305386599998,123.899427615 -8.28583586599996,123.919145615 -8.27833586599996,123.936090615 -8.26778086599995,123.941508615 -8.25625386599995,123.932472615 -8.23548086599993,123.919145615 -8.22805386599993,123.797908615 -8.18138986599996,123.787618615 -8.18471786599997,123.777481615 -8.19221786599996,123.638318615 -8.29916286599996,123.596581615 -8.37368086599997,123.582208615 -8.37805386599996,123.556090615 -8.37666286599995,123.542627615 -8.37291786599997,123.524645615 -8.34759886599994,123.529763615 -8.33105386599993,123.542354615 -8.30194486599993,123.557345615 -8.28638986599998,123.561918615 -8.26778086599995,123.558872615 -8.25388986599995,123.549708615 -8.24778086599997,123.526372615 -8.24291786599997,123.414990615 -8.26999886599998,123.402481615 -8.27499886599998,123.390827615 -8.28360886599995,123.364154615 -8.30471786599998,123.361790615 -8.31583586599993,123.394990615 -8.31499886599994,123.406645615 -8.31278086599997,123.420254615 -8.31278086599997,123.467481615 -8.31888986599995,123.470745615 -8.33268986599995,123.475354615 -8.34536286599996,123.469890615 -8.35510886599997,123.456645615 -8.37333586599993,123.439418615 -8.38333586599998,123.407208615 -8.39222686599993,123.386936615 -8.39888986599993,123.366927615 -8.40694486599995,123.353863615 -8.41471786599993,123.219008615 -8.53200886699995,123.231572615 -8.55138986699995,123.286799615 -8.55694486699997,123.301654615 -8.55471786699997,123.375808615 -8.57249886699998,123.406099615 -8.59694486699993,123.453872615 -8.56971786699995,123.536099615 -8.56694486699996),(122.969436615 -8.57249886699998,123.068881615 -8.49721786699996,123.081099615 -8.49583586699993,123.147772615 -8.48166286599997,123.158599615 -8.47888986599997,123.169154615 -8.47249886599997,123.177763615 -8.46068986599994,123.180118615 -8.45013586599993,123.174281615 -8.43888986599995,123.156863615 -8.43068986599997,123.008608615 -8.44971786599996,122.997481615 -8.45249886599993,122.988036615 -8.45666286599993,122.918054614 -8.50944486699996,122.909181614 -8.51701786699994,122.900272614 -8.53110886699994,122.896099614 -8.54055386699997,122.888045614 -8.56638986699994,122.884427614 -8.58333586699996,122.892627614 -8.60221786699998,122.903563614 -8.61053586699995,122.925590614 -8.61191786699993,122.969436615 -8.57249886699998),(123.329163615 -8.36499886599995,123.346645615 -8.28347186599996,123.341163615 -8.26638986599994,123.259990615 -8.23902686599996,123.217490615 -8.23360886599994,123.158599615 -8.24249886599995,123.148881615 -8.24638986599996,123.090808615 -8.28573586599993,123.083327615 -8.28860886599995,123.068045615 -8.30055386599997,123.046945615 -8.32028086599996,123.038590615 -8.33249886599998,123.020827615 -8.36249886599995,123.016790615 -8.37528086599997,123.017554615 -8.40999886599997,123.088045615 -8.41528086599993,123.281099615 -8.40583586599996,123.293590615 -8.40444486599995,123.303863615 -8.40110886599996,123.316090615 -8.39278086599995,123.325408615 -8.37818986599996,123.329163615 -8.36499886599995),(117.166654609 -9.06749886699993,117.205472609 -9.03055386699998,117.243945609 -9.01721786699994,117.288872609 -9.02700886699995,117.307890609 -9.04180886699993,117.351508609 -9.04958086699997,117.405681609 -9.04944486699998,117.438872609 -9.04167186699993,117.538036609 -9.01471786699994,117.563599609 -9.00249886699993,117.63685461 -8.96152686699998,117.65150861 -8.94395386699995,117.71595461 -8.91625386699997,117.73887261 -8.91860886699993,117.79443661 -8.93555386699995,117.88416361 -8.93471786699996,117.94859061 -8.90222686699997,118.00888161 -8.86832686699995,118.02887261 -8.85416286699996,118.09644561 -8.84798086699993,118.11546361 -8.86437186699993,118.14873661 -8.87263586699993,118.16859061 -8.86513586699994,118.18858161 -8.85083586699994,118.22318161 -8.82068986699994,118.39526361 -8.63486286699998,118.40511861 -8.58958086699994,118.43109061 -8.63360886699996,118.44136361 -8.66388986699997,118.43136361 -8.72055386699998,118.41526361 -8.74528086699996,118.38408161 -8.78628086699996,118.39193661 -8.81416286699994,118.40832761 -8.84541786699998,118.42415461 -8.86041786699997,118.45720861 -8.87194486699997,118.46999061 -8.87249886699993,118.58388161 -8.83610886699995,118.64276361 -8.81916286699993,118.681927611 -8.81028086699996,118.722154611 -8.80836286699997,118.744236611 -8.80810886699993,118.798036611 -8.82478986699994,118.828881611 -8.85284486699993,118.912072611 -8.85236286699995,118.943172611 -8.84103586699996,118.932627611 -8.80749886699994,118.891781611 -8.78347186699995,118.840818611 -8.77778086699993,118.757645611 -8.77194486699995,118.737190611 -8.76536286699996,118.702899611 -8.74742686699994,118.750881611 -8.71520886699994,118.815399611 -8.71194486699994,118.900263611 -8.69118086699996,118.920254611 -8.69971786699995,118.938872611 -8.72221786699993,118.975681611 -8.75961786699997,119.105263611 -8.75944486699996,119.150545611 -8.75055386699995,119.176927611 -8.72263586699995,119.184508611 -8.70055386699994,119.175263611 -8.64972686699997,119.132336611 -8.63791786699994,119.058245611 -8.65125386699998,119.038036611 -8.63138986699994,119.021099611 -8.59138986699998,119.027899611 -8.55083586699993,119.040263611 -8.53249886699996,119.050118611 -8.47658986599993,118.999918611 -8.31576286599994,118.951508611 -8.29749886599996,118.929981611 -8.29194486599994,118.899145611 -8.28860886599995,118.879154611 -8.28916286599997,118.798799611 -8.29944486599993,118.773318611 -8.31318986599996,118.736990611 -8.34507186599996,118.713663611 -8.39152686599994,118.719154611 -8.42430886599993,118.723172611 -8.45944486599996,118.706381611 -8.49721786699996,118.664745611 -8.54528086699997,118.668045611 -8.48444486599993,118.682627611 -8.45110886599997,118.688027611 -8.41249886599996,118.687818611 -8.36215386599997,118.651727611 -8.29791786599998,118.58664561 -8.26999886599998,118.48553661 -8.24666286599995,118.46555461 -8.25068986599996,118.44359061 -8.26638986599994,118.41388161 -8.29528086599993,118.37456361 -8.33659886599997,118.31629961 -8.37465386599996,118.25527261 -8.34583586599996,118.19525461 -8.26610886599997,118.16637261 -8.20826286599993,118.15793661 -8.15093586599994,118.12749061 -8.12429886599995,118.09692761 -8.10868086599993,117.94553661 -8.08263586599998,117.92191861 -8.08555386599994,117.80275461 -8.11944486599998,117.73719961 -8.15215386599994,117.72249061 -8.17305386599998,117.71220861 -8.19694486599997,117.70574561 -8.23721786599998,117.82873661 -8.36986286599995,117.99261861 -8.47576286599997,118.01999061 -8.46805386599993,118.04497261 -8.45902686599993,118.07707261 -8.46221786599995,118.23165461 -8.55138986699995,118.27997261 -8.58833586699996,118.28810861 -8.61958086699997,118.28109961 -8.64222686699998,118.25699961 -8.66083586699995,118.21179961 -8.66528086699998,118.17748161 -8.65513586699996,118.15693661 -8.64833586699996,118.13080861 -8.64694486699995,118.07873661 -8.65638986699997,118.05886361 -8.66722686699995,118.03777261 -8.69028086699996,118.02109961 -8.70805386699993,117.97664561 -8.74528086699996,117.96638161 -8.74860886699997,117.95693661 -8.73778086699997,117.89777261 -8.70110886699996,117.84720861 -8.71055386699993,117.75804561 -8.64972686699997,117.64832761 -8.56221786699996,117.57922761 -8.50278086699996,117.565545609 -8.46818986599993,117.567763609 -8.43200886599993,117.563518609 -8.41221786599993,117.445245609 -8.40944486599994,117.425327609 -8.46194486599995,117.270263609 -8.39749886599998,117.192745609 -8.36360886599994,117.150272609 -8.36847186599994,117.119708609 -8.38236286599994,117.096790609 -8.42208086599993,117.079708609 -8.43888986599995,117.014708609 -8.48305386599998,116.932199609 -8.51951786699993,116.888454609 -8.52291786699993,116.858318609 -8.53444486699993,116.803308609 -8.59131786699993,116.779427609 -8.67333586699993,116.794708609 -8.82778086699994,116.755554609 -8.87965386699995,116.743590609 -8.98179886699995,116.752490609 -9.01166286699993,116.755708609 -9.01426286699996,116.804563609 -9.04347186699994,117.047763609 -9.11076286699995,117.099718609 -9.10333586699994,117.149845609 -9.09131786699993,117.166654609 -9.06749886699993),(116.382754608 -8.91666286699996,116.419145608 -8.86041786699997,116.443454608 -8.83694486699994,116.485572608 -8.84107186699993,116.477063608 -8.87818986699995,116.468518608 -8.91135386699995,116.545254609 -8.90972686699996,116.582836609 -8.89618086699994,116.601863609 -8.87200886699998,116.559418609 -8.85638986699996,116.549145609 -8.77499886699997,116.593872609 -8.70333586699996,116.677463609 -8.54860886699993,116.737063609 -8.39625386599994,116.734908609 -8.36548086599993,116.715808609 -8.33528086599995,116.658527609 -8.28673586599996,116.464427608 -8.22388986599998,116.376645608 -8.20597186599997,116.339808608 -8.21854486599995,116.309436608 -8.22736286599996,116.275890608 -8.24326286599995,116.102481608 -8.40638986599993,116.068881608 -8.52221786699994,116.081381608 -8.56444486699996,116.089854608 -8.59999886699995,116.090272608 -8.62333586699998,116.073036608 -8.73110886699993,115.970945608 -8.77513586699996,115.943799608 -8.77778086699993,115.887763608 -8.75166286699994,115.872863608 -8.73291786699997,115.844145608 -8.76347186699996,115.857754608 -8.82257186699997,116.001099608 -8.89694486699995,116.035472608 -8.87638986699994,116.057208608 -8.86305386699996,116.081381608 -8.85971786699997,116.164990608 -8.88138986699994,116.197063608 -8.91687186699994,116.259427608 -8.92333586699993,116.382754608 -8.91666286699996),(115.479708608 -8.74528086699996,115.503599608 -8.76888986699993,115.511936608 -8.77444486699994,115.546099608 -8.79528086699997,115.559708608 -8.80222686699994,115.569990608 -8.80555386699996,115.589981608 -8.80610886699998,115.598318608 -8.80089886699994,115.618736608 -8.76347186699996,115.619427608 -8.74721786699996,115.616654608 -8.72971786699998,115.602827608 -8.70270886699996,115.583881608 -8.68083586699993,115.567627608 -8.67145386699997,115.520408608 -8.66763586699994,115.510418608 -8.67138986699996,115.501663608 -8.68028086699996,115.472072608 -8.72221786699993,115.469708608 -8.73208086699998,115.479708608 -8.74528086699996),(117.476381609 -8.20028086599996,117.477199609 -8.24833586599993,117.483181609 -8.35152686599997,117.487763609 -8.36068986599997,117.526381609 -8.38666286599994,117.536099609 -8.39083586599997,117.543172609 -8.38916286599994,117.555818609 -8.37805386599996,117.57651861 -8.35083586599995,117.59499061 -8.30805386599997,117.62024561 -8.25194486599997,117.62719961 -8.23833586599994,117.63887261 -8.22263586599996,117.67928161 -8.19138986599995,117.69136361 -8.18375386599996,117.68887261 -8.17028086599993,117.67956361 -8.15916286599997,117.66359961 -8.15152686599993,117.57916361 -8.14528086599995,117.561790609 -8.14568986599994,117.545399609 -8.14971786599995,117.481372609 -8.19138986599995,117.476381609 -8.20028086599996),(119.092208611 -8.25999886599993,119.103318611 -8.25055386599996,119.127899611 -8.22402686599997,119.134718611 -8.20694486599996,119.136936611 -8.19221786599996,119.133736611 -8.17486286599996,119.122754611 -8.15860886599995,119.105263611 -8.14528086599995,119.088290611 -8.13631786599996,119.075127611 -8.13388986599995,119.060808611 -8.13638986599995,119.042208611 -8.14541786599995,119.027772611 -8.15833586599996,119.023881611 -8.16778086599993,119.014854611 -8.20305386599995,119.024427611 -8.24027186599994,119.036099611 -8.25583586599993,119.045127611 -8.26416286599994,119.058872611 -8.26749886599993,119.072490611 -8.26749886599993,119.083327611 -8.26471786599996,119.092208611 -8.25999886599993),(119.456099611 -8.60305386699997,119.491090611 -8.57638986699993,119.512136611 -8.57298086699996,119.524572611 -8.58597186699996,119.526654611 -8.59763586699995,119.537072611 -8.60083586699994,119.555536611 -8.59902686699996,119.570254611 -8.58986286699997,119.585263611 -8.55999886699993,119.566363611 -8.49458086699997,119.540545611 -8.48444486599993,119.521099611 -8.48444486599993,119.496645611 -8.48694486599993,119.461645611 -8.44028086599997,119.455463611 -8.42998986599997,119.446927611 -8.42847186599994,119.415681611 -8.44568986599995,119.397772611 -8.63805386699994,119.405263611 -8.65638986699997,119.404163611 -8.68083586699993,119.382754611 -8.71416286699997,119.377808611 -8.71819886699996,119.374563611 -8.72221786699993,119.376918611 -8.73971786699997,119.451436611 -8.75326286699993,119.464708611 -8.74291786699996,119.451654611 -8.72022686699995,119.444836611 -8.70818986699993,119.437763611 -8.67333586699993,119.456099611 -8.60305386699997),(119.661099611 -8.61777186699993,119.633054611 -8.60078986699995,119.644436611 -8.67083586699994,119.632181611 -8.72511786699994,119.615399611 -8.73736286699994,119.610263611 -8.75610886699997,119.609636611 -8.77666286699997,119.682681611 -8.80298986699995,119.716299611 -8.78270886699994,119.727199612 -8.75513586699998,119.721718611 -8.73812686699995,119.699418611 -8.72310886699995,119.719990611 -8.68694486699997,119.661099611 -8.61777186699993),(114.418454607 -7.16638986499993,114.407763607 -7.12388986499997,114.396099607 -7.10138986499993,114.379699607 -7.07694486499997,114.370245607 -7.06610886499993,114.357745607 -7.06124486499994,114.335818606 -7.06194486499993,114.326945606 -7.06397186499993,114.309208606 -7.06916286499995,114.292627606 -7.08513586499993,114.292627606 -7.09597186499997,114.297490606 -7.10833586499996,114.326236606 -7.16471786499994,114.389018607 -7.18402686499996,114.402481607 -7.18110886499994,114.418454607 -7.16638986499993),(122.048599614 -5.45028086399998,122.053581614 -5.42471786399994,122.059981614 -5.23194486299997,122.023881614 -5.15638986299996,121.981354614 -5.08110886299994,121.969981614 -5.07125386299998,121.910672614 -5.05930886299996,121.893599614 -5.06610886299995,121.869708614 -5.08333586299995,121.861372613 -5.09208086299998,121.855818613 -5.10360886299998,121.812336613 -5.22221786299997,121.808308613 -5.26916286399995,121.816090613 -5.28875386399994,121.864699613 -5.35971786399995,121.961799614 -5.47666286399993,122.019718614 -5.47347186399998,122.031936614 -5.46888986399995,122.043590614 -5.45999886399994,122.048599614 -5.45028086399998),(122.454708614 -5.40388986399995,122.548599614 -5.43749886399996,122.602763614 -5.42270886399996,122.643590614 -5.35236286399993,122.656372614 -5.30360886399995,122.657345614 -5.27610886399998,122.631654614 -5.21694486299998,122.604427614 -5.19555386299993,122.600199614 -5.16847186299998,122.646381614 -5.06757186299996,122.707763614 -5.01444486299994,122.775399614 -4.95555386299998,122.780272614 -4.89694486299993,122.768054614 -4.87499886299997,122.749418614 -4.74721786299995,122.733527614 -4.64333586299995,122.709154614 -4.61833586299997,122.698308614 -4.61187186299998,122.604145614 -4.65757186299993,122.590554614 -4.67278086299996,122.553172614 -4.70402686299997,122.521581614 -4.72242686299995,122.486927614 -4.73444486299996,122.455818614 -4.74083586299997,122.421236614 -4.74388986299994,122.396099614 -4.74360886299996,122.374218614 -4.75589886299997,122.331172614 -4.84902686299995,122.348318614 -4.88152686299998,122.357481614 -4.90305386299997,122.389708614 -4.98360886299997,122.396936614 -5.06847186299996,122.388045614 -5.08833586299994,122.365672614 -5.10374486299997,122.337627614 -5.11839886299992,122.322490614 -5.15360886299993,122.273736614 -5.32778086399998,122.284708614 -5.38173586399995,122.311918614 -5.39208086399998,122.454708614 -5.40388986399995),(120.724354612 -10.1995808679999,120.822208613 -10.096944868,120.833181613 -10.077362868,120.836518613 -10.054444868,120.826663613 -10.0102808679999,120.814290613 -9.98528086799996,120.785954612 -9.95249886799996,120.764981612 -9.93597186799997,120.741236612 -9.92555386799995,120.719290612 -9.91999886799994,120.668799612 -9.89221786799993,120.624418612 -9.81944486799995,120.619708612 -9.79555386799996,120.593318612 -9.74492686799994,120.455327612 -9.63068986799993,120.373590612 -9.64347186799995,120.354427612 -9.66097186799993,120.334163612 -9.67618086799996,120.261590612 -9.64687186799995,120.250263612 -9.61916286799993,120.249018612 -9.57999886799996,120.236718612 -9.50534486699996,120.186572612 -9.46749886699996,120.151645612 -9.48068986699997,120.122199612 -9.47736286699995,120.080890612 -9.45381786699994,120.055818612 -9.42471786699997,120.029163612 -9.38333586699997,120.007481612 -9.35666286699995,119.939836612 -9.28965386699997,119.906372612 -9.32110886699996,119.827490612 -9.37860886699997,119.805945612 -9.38778086699995,119.724690612 -9.38402686699993,119.675127611 -9.36888986699995,119.644218611 -9.34517186699998,119.593881611 -9.34486286699996,119.379963611 -9.37999886699993,119.322490611 -9.37333586699998,119.282145611 -9.36028086699997,119.145536611 -9.39499886699997,119.033527611 -9.43124486699998,119.005254611 -9.45028086699995,118.985681611 -9.47152686699997,118.933245611 -9.55944486699997,119.048045611 -9.69318986799993,119.065536611 -9.70638986799997,119.083881611 -9.71499886799995,119.120245611 -9.72666286799995,119.188163611 -9.74624486799996,119.200545611 -9.74749886799998,119.223172611 -9.74277186799998,119.480118611 -9.75028086799995,119.629836611 -9.77222686799996,119.682754611 -9.80715386799994,119.687063611 -9.83055386799998,119.700818611 -9.85631786799996,119.732208612 -9.87582686799993,119.784418612 -9.90555386799997,119.928590612 -9.97652686799995,119.955608612 -9.97541786799997,119.982481612 -10.0013898679999,120.017563612 -10.051944868,120.029163612 -10.0844448679999,120.042763612 -10.1180538679999,120.089981612 -10.172780868,120.162345612 -10.230417868,120.220263612 -10.248335868,120.391372612 -10.265835868,120.494427612 -10.2644448679999,120.627199612 -10.2388898679999,120.699845612 -10.2159718679999,120.724354612 -10.1995808679999),(123.506718615 -10.180417868,123.449499615 -10.1396538679999,123.428590615 -10.146389868,123.416354615 -10.153308868,123.394990615 -10.166108868,123.318881615 -10.259726868,123.309699615 -10.2759718679999,123.309418615 -10.313608868,123.312190615 -10.3244448679999,123.321245615 -10.3411088679999,123.407345615 -10.3393718679999,123.506718615 -10.180417868),(121.999436614 -10.4454178679999,121.990263614 -10.437635868,121.919708614 -10.420280868,121.906645614 -10.419444868,121.894990614 -10.4216628679999,121.877199614 -10.431108868,121.856236613 -10.444162868,121.840818613 -10.462780868,121.768881613 -10.519998868,121.726354613 -10.5446808679999,121.693590613 -10.562498868,121.694208613 -10.573126868,121.711381613 -10.586662868,121.736645613 -10.602217868,121.745527613 -10.606944868,121.846363613 -10.610280868,121.859990613 -10.610280868,121.871090614 -10.6074988679999,121.979008614 -10.537780868,121.994281614 -10.515971868,122.001936614 -10.467498868,122.003327614 -10.4552808679999,121.999436614 -10.4454178679999),(122.998599615 -10.8590268689999,123.134990615 -10.8193088689999,123.150272615 -10.8202808689999,123.164699615 -10.826389869,123.176372615 -10.8283358689999,123.188581615 -10.8269448689999,123.198318615 -10.823053869,123.218463615 -10.809162869,123.233599615 -10.787080869,123.269708615 -10.7313898689999,123.319718615 -10.6997178689999,123.394436615 -10.684162869,123.403872615 -10.596662868,123.397772615 -10.4497178679999,123.390963615 -10.4380538679999,123.376499615 -10.4377808679999,123.259990615 -10.5219448679999,123.182481615 -10.5858358679999,123.085272615 -10.670835869,123.075272615 -10.681244869,122.933036614 -10.737498869,122.856308614 -10.759744869,122.848872614 -10.7611088689999,122.839981614 -10.7658358689999,122.809281614 -10.787780869,122.809145614 -10.8069448689999,122.822218614 -10.911108869,122.830399614 -10.923335869,122.848863614 -10.9296538689999,122.954790615 -10.892217869,122.962627615 -10.877498869,122.998599615 -10.8590268689999),(135.368290626 -0.665344858999958,135.404163626 -0.742635858999961,135.424836626 -0.76666285899995,135.462036626 -0.797899858999926,135.486127626 -0.807217858999934,135.481608626 -0.775517858999933,135.519990626 -0.784444858999962,135.539981626 -0.798889858999928,135.606354626 -0.85555385899994,135.623563626 -0.872780858999931,135.728290626 -0.822635858999945,135.757199626 -0.825553858999967,135.766081626 -0.843889858999944,135.789899626 -0.897289858999955,135.788027626 -0.926389858999926,135.788027626 -0.950835858999938,135.833163627 -1.13486285999994,135.884281627 -1.18555385999997,135.918518627 -1.19249985999994,135.962054627 -1.17694485999994,135.992736627 -1.17360885999994,136.019836627 -1.17430885999994,136.047527627 -1.18298985999996,136.074981627 -1.20916285999994,136.097745627 -1.22083585999997,136.127163627 -1.22555385999993,136.158018627 -1.22221785999994,136.264845627 -1.19902685999995,136.314972627 -1.17360885999994,136.339418627 -1.15721785999995,136.386363627 -1.11520885999994,136.365663627 -1.09416285999993,136.266354627 -1.04937185999995,136.221499627 -1.06208085999998,136.193927627 -1.06221785999998,136.107999627 -0.942780858999924,136.064836627 -0.874162858999966,135.889545627 -0.725553858999945,135.851636627 -0.703471858999933,135.820254626 -0.707499858999938,135.795318626 -0.732153858999936,135.764436626 -0.750971858999947,135.670881626 -0.68868085899993,135.582736626 -0.674444858999948,135.546018626 -0.678189858999929,135.479127626 -0.672153858999934,135.460845626 -0.662426858999936,135.383090626 -0.636599858999944,135.368290626 -0.665344858999958),(134.888027626 -0.940553858999976,134.875245626 -0.939999858999954,134.840945626 -0.943335858999944,134.812054626 -0.982362859999967,134.799136626 -1.02555385999995,134.801090626 -1.04068985999993,134.866208626 -1.13721785999996,134.879945626 -1.14083585999992,134.922481626 -1.13805385999996,134.934690626 -1.13666285999994,134.945799626 -1.13388985999995,134.959408626 -1.12694485999998,134.987454626 -1.08666285999993,134.992054626 -1.07388985999995,134.992308626 -1.02589985999992,134.929981626 -0.961108858999978,134.894408626 -0.943317858999933,134.888027626 -0.940553858999976),(135.483581626 -1.68318985999997,135.604399626 -1.70305385999995,135.618008626 -1.70305385999995,135.630245626 -1.70166285999994,135.669436626 -1.69833585999993,135.728299626 -1.70999985999993,135.875927627 -1.75486285999995,135.935245627 -1.78110885999996,135.955227627 -1.79555385999993,135.986636627 -1.81888985999996,136.070254627 -1.84291785999994,136.218845627 -1.87444485999993,136.456636627 -1.89778085999995,136.543027627 -1.90375385999994,136.689699627 -1.85528085999994,136.839418627 -1.82666285999994,136.863008627 -1.82694485999997,136.876063627 -1.82305385999996,136.900663627 -1.79618085999994,136.895263627 -1.78666285999998,136.833036627 -1.75916285999995,136.813872627 -1.75110885999993,136.803590627 -1.74749985999995,136.706908627 -1.73666285999997,136.566372627 -1.72499985999997,136.487590627 -1.72083585999997,136.458863627 -1.72166285999998,136.293581627 -1.68860885999993,136.183318627 -1.66055385999994,136.090790627 -1.65305385999994,136.002472627 -1.64833585999997,135.898318627 -1.64416285999994,135.809145626 -1.63749985999993,135.542481626 -1.61471785999993,135.520808626 -1.60944485999994,135.505036626 -1.60039985999993,135.494690626 -1.59638985999993,135.475099626 -1.59249985999998,135.421218626 -1.60881785999993,135.483581626 -1.68318985999997),(125.729708617 3.72250014500003,125.685808617 3.72750014500002,125.673863617 3.72416414500003,125.660463617 3.71569114500005,125.648608617 3.70000014500005,125.643336617 3.68028214500004,125.645272617 3.65847314500007,125.666927617 3.63194614500003,125.735263617 3.52250014500004,125.791654617 3.41221914500005,125.866381617 3.37694614500003,125.880808617 3.36194614500005,125.885408617 3.36333714500006,125.896654617 3.37833714500005,125.919772617 3.42173714500007,125.912072617 3.48916414500007,125.789427617 3.68278214500003,125.778054617 3.69305514500007,125.761381617 3.70750014500004,125.751099617 3.71444614500007,125.729708617 3.72250014500003),(126.723108618 3.91215514500004,126.642763618 4.02055514500006,126.618854618 4.03819114500004,126.603172618 4.03687314500007,126.610808618 3.97681014500006,126.684418618 3.81444614500003,126.696372618 3.79721914500004,126.705263618 3.79444614500005,126.712908618 3.80000014500007,126.726645618 3.88555514500007,126.723108618 3.91215514500004),(126.699999618 3.99583714500005,126.749708618 3.98389114500003,126.762218618 3.98736414500007,126.796372618 4.02083714500003,126.803863618 4.04527314500007,126.870527618 4.20805514500006,126.912490618 4.26166414500005,126.915818618 4.27583714500003,126.860408618 4.48611014600004,126.815536618 4.52666414600003,126.774990618 4.53639114600003,126.741863618 4.53979114600003,126.725272618 4.51416414600004,126.721363618 4.50305514600007,126.690263618 4.35971914500004,126.692745618 4.32611014500003,126.709718618 4.27055514500006,126.719281618 4.26124614500003,126.738036618 4.25861014500003,126.776927618 4.24721914500003,126.788872618 4.23639114500003,126.789018618 4.21263714500003,126.732208618 4.10555514500004,126.711518618 4.08291914500006,126.690536618 4.07000014500005,126.699999618 3.99583714500005),(117.62526361 3.43416414500007,117.60872761 3.43471914500003,117.554690609 3.43334614500003,117.540672609 3.42701014500005,117.531372609 3.41416414500003,117.529163609 3.40250014500003,117.530545609 3.39028214500007,117.533336609 3.37944614500003,117.557618609 3.31805514400003,117.63192761 3.25889114400007,117.66414561 3.28416414400004,117.67942761 3.38278214500002,117.68137261 3.40111014500008,117.67803661 3.41139114500004,117.67249061 3.41971914500004,117.66249061 3.42694614500004,117.64914561 3.43055514500003,117.62526361 3.43416414500007),(117.390827609 3.56194614500004,117.273881609 3.59236414500003,117.253881609 3.58944614500007,117.244136609 3.58527314500003,117.235263609 3.57971914500007,117.221099609 3.57055514500007,117.216090609 3.55861014500005,117.216663609 3.54555514500004,117.229708609 3.52444614500007,117.239963609 3.51416414500005,117.252490609 3.50583714500004,117.266099609 3.49916414500007,117.276927609 3.49639114500008,117.289427609 3.49500014500006,117.323036609 3.49555514500003,117.334718609 3.49778214500003,117.348327609 3.49778214500003,117.360527609 3.49639114500008,117.388599609 3.49028214500004,117.399718609 3.48750014500007,117.415545609 3.48194614500005,117.434708609 3.47389114500004,117.453872609 3.46555514500005,117.465672609 3.45854614500007,117.486372609 3.44736414500005,117.497618609 3.45319114500006,117.517490609 3.47444614500006,117.517972609 3.48618214500004,117.390827609 3.56194614500004),(117.72859061 4.00028214500003,117.75054561 4.05027314500006,117.75069061 4.06583714500005,117.74498161 4.07750014500004,117.67248161 4.13624614500003,117.66081861 4.14181014500002,117.64401861 4.13931014500002,117.63136361 4.12805514500008,117.61219961 4.10611014500006,117.61079061 4.10215514500004,117.59915461 4.08986414500004,117.59499061 4.07694614500002,117.59636361 4.06444614500003,117.59915461 4.04666414500002,117.60580861 4.02603714500003,117.65999061 3.98444614500005,117.67484561 3.97527314500007,117.68650861 3.97389114500004,117.71970861 3.99194614500004,117.72859061 4.00028214500003),(105.739972598 2.83597314400004,105.762218598 2.84805514400006,105.812618599 2.89902814400006,105.848108599 2.97715514400005,105.838045599 2.98861014400006,105.700954598 3.05986414400007,105.690663598 3.05750014400007,105.683872598 3.00639114400002,105.703045598 2.85028214400006,105.706299598 2.84358214400004,105.718045598 2.83458214400002,105.739972598 2.83597314400004),(108.773463601 2.88750014400006,108.829436601 2.84458214400007,108.839427601 2.84833714400003,108.887281601 2.89201014400004,108.897772601 2.97847314400002,108.895263601 2.98971914400005,108.887354601 2.99889114400003,108.871645601 3.00361014400005,108.858599601 3.00305514400003,108.844154601 2.99361014400006,108.838045601 2.96889114400005,108.836799601 2.95305514400008,108.831936601 2.94083714400006,108.826390601 2.93250014400007,108.816090601 2.92221914400005,108.795536601 2.90861014400002,108.781772601 2.89980014400004,108.773463601 2.88750014400006),(108.251390601 4.18000014500007,108.181663601 4.19639114500006,108.163036601 4.17305514500003,108.068454601 4.07750014500004,108.058318601 4.07069114500007,108.034990601 4.07000014500005,108.025672601 4.06555514500008,107.991654601 4.02416414500004,108.004708601 3.95916414500005,108.031372601 3.90389114500005,108.053454601 3.86083714500006,108.061572601 3.85186414500004,108.165263601 3.81778214500002,108.201390601 3.79639114500003,108.187763601 3.78971914500005,108.171918601 3.77805514500005,108.128863601 3.74333714500006,108.099990601 3.70624614500002,108.094436601 3.69471914500002,108.117199601 3.67611014500005,108.178872601 3.64750014500004,108.311099601 3.67541914500003,108.321099601 3.68263714500006,108.384427601 3.80278214500004,108.390545601 3.81694614500003,108.393881601 3.82721914500007,108.406654601 3.87277314500005,108.397490601 3.97694614500006,108.390545601 3.99069114500003,108.363454601 4.01166414500005,108.270263601 4.10319114500004,108.257763601 4.13139114500007,108.254172601 4.14861014500002,108.251390601 4.18000014500007)))', 'Indonesian Exclusive Economic Zone', 'Indonesia', 'Indonesia', '', '216', '216', 'IDN', '8492', '2008-11-19', '5950482420000', '8492', 'Y'),('SRID=4326;MULTIPOLYGON(((124.468968302 -9.18302747599995,124.468812365 -9.18441444499996,124.462809083 -9.18440910099997,124.420536365 -9.18590000799998,124.290545458 -9.22166363299993,124.183036364 -9.26166363299996,124.170818177 -9.28000000799995,124.159145458 -9.29555453899997,124.150818177 -9.30166363299998,124.136381833 -9.30750000799998,124.066672739 -9.33333635199995,124.062076427 -9.33482513299998,124.06207636 -9.33482494999993,124.061282364 -9.33265094499995,124.059440053 -9.32770061699995,124.054699552 -9.31496278899994,124.036857536 -9.27727725099993,124.021840601 -9.24555878799993,124.021840364 -9.24555828899997,124.018718427 -9.22897222699993,123.999561224 -9.10996135599993,123.995943614 -9.08748756999995,123.99512202 -9.08571291399994,123.941526062 -8.96626193299994,123.929083645 -8.93853113299997,123.929083728 -8.93853111799996,123.97042685 -8.93132554699997,124.069529208 -8.91405328899998,124.113759567 -8.90470442199995,124.129023739 -8.90147806999994,124.213865758 -8.87754831199993,124.27670049 -8.85982572599994,124.33494599 -8.83704535099997,124.403296458 -8.82219828899997,124.42857476 -8.81965311899995,124.438675646 -8.81863610099998,124.441008418 -8.82389156999994,124.451693865 -8.84796466399996,124.466788456 -8.88113734299998,124.466795788 -8.88115345499995,124.473059396 -8.89491869499994,124.482497658 -8.91581583999994,124.482497677 -8.91581588199995,124.498325833 -8.95086081999995,124.501298118 -8.95751629399996,124.50607424 -8.96821088299993,124.485499333 -9.08667422599996,124.479375779 -9.12071634999995,124.47550174 -9.14225294499994,124.471268224 -9.16004076699994,124.470412583 -9.16363588299993,124.468968302 -9.18302747599995)))', 'Oecussi Ambeno Exclusive Economic Zone', 'Oecussi Ambeno', 'East Timor', '', '231', '237', 'TLS', '21791', '2008-11-19', '2269716144', '21791', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.72722170899993 40.722410075,-8.73099090899996 40.6861909090001,-8.70305454499993 40.7186090910001,-8.67833636399996 40.775836364,-8.66013636399998 40.691109091,-8.69166363599993 40.6611090910001,-8.69460449799993 40.6591450010001,-8.70064264999996 40.6551123470001,-8.72968181799996 40.6357181820001,-8.77126478299994 40.5699918,-8.77749999999998 40.5601363640001,-8.78249999999997 40.5377727270001,-8.78586363599993 40.5207090910001,-8.79028181799993 40.504163636,-8.79999999999995 40.4683272730001,-8.80089327299993 40.465401505,-8.80628050799993 40.4477565180001,-8.80639583099997 40.4473787960001,-8.80710950799994 40.4450412670001,-8.80712785899993 40.444981161,-8.81707950799995 40.412386198,-8.81738948599997 40.4113709170001,-8.81794515499996 40.409550917,-8.81850820099993 40.407706755,-8.81875050799994 40.406913117,-8.81923466999996 40.405327325,-8.81958050799994 40.40419459,-8.81959067299994 40.404161297,-8.82711050799998 40.379531334,-8.82763373499995 40.3778175900001,-8.82793950799993 40.3768160830001,-8.83167754399994 40.3645727730001,-8.83209695899995 40.363199046,-8.83242001899993 40.3621409190001,-8.83292984099995 40.3604710820001,-8.83351257299995 40.358562439,-8.83374950799993 40.3577863990001,-8.83387802599998 40.35736546,-8.84028181799994 40.336390909,-8.85055454499997 40.3069363640001,-8.85708050799997 40.293357282,-8.85714383599998 40.2932255100001,-8.86706495199996 40.272581867,-8.86716591799996 40.2723717800001,-8.86793950799995 40.2707621100001,-8.86864138599998 40.2693016590001,-8.86878050799993 40.269012176,-8.88139090899995 40.242772727,-8.88106030299997 40.240977221,-8.86376827099997 40.1470648800001,-8.86344909199994 40.1453314280001,-8.86236363599994 40.1394363640001,-8.86459905499993 40.131602538,-8.86491081799994 40.1305099900001,-8.86547436499995 40.128535088,-8.87120920099994 40.1084378640001,-8.87132137199995 40.1080447680001,-8.87354425199993 40.100254884,-8.87380950799997 40.099325315,-8.87388377599996 40.09906505,-8.87472727299996 40.0961090910001,-8.87627950799993 40.092181162,-8.87664212799996 40.091263553,-8.87710950799993 40.0900808490001,-8.87772382499998 40.0885263220001,-8.87792050799993 40.088028615,-8.88042877999993 40.081681438,-8.88046784199997 40.0815825920001,-8.88374828499997 40.073281437,-8.88374950799994 40.073278342,-8.88427075899995 40.071959318,-8.88457950799994 40.0711780280001,-8.88480143099997 40.0706164540001,-8.88630708299996 40.066806404,-8.88639943499993 40.066572706,-8.88710950799998 40.064775868,-8.88751780999996 40.0637426600001,-8.88794050799993 40.062673024,-8.88861279999998 40.060971792,-8.88875294999997 40.0606171420001,-8.89026058099995 40.056802084,-8.89041950799998 40.05639992,-8.89079489399995 40.055450007,-8.89097272699996 40.0550000000001,-8.89130950799995 40.054400269,-8.89165012799998 40.0537937020001,-8.89212315899994 40.0529513390001,-8.89271780099995 40.051892416,-8.89293950799993 40.0514976040001,-8.89636363599993 40.0454,-8.91169116099996 40.0104059380001,-8.91213950799994 40.0093823220001,-8.91235230699994 40.008896484,-8.91458050799997 40.003809308,-8.91492828799994 40.003015297,-8.91547602099996 40.001764774,-8.93194545499995 39.9641636360001,-8.93618497199998 39.9550383770001,-8.93628050799998 39.9548327430001,-8.93690097499996 39.9534972330001,-8.93710950799994 39.95304838,-8.93760175699998 39.9519888510001,-8.93799950799996 39.9511327180001,-8.94190110999995 39.9427348,-8.94217050799995 39.942154939,-8.94265184899996 39.9411188880001,-8.94717050799994 39.9313927960001,-8.94771856699998 39.930213139,-8.94797050799997 39.9296708540001,-8.94989572399993 39.925526964,-8.95044050799993 39.924354355,-8.95064942299996 39.9239046810001,-8.95541950799998 39.9136374130001,-8.95569694099993 39.9130402590001,-8.95631050799994 39.9117196,-8.96652582399997 39.8897318640001,-8.96716950799993 39.8883463780001,-8.96725274299996 39.8881672220001,-8.96963950799994 39.88302988,-8.97013926799997 39.8819541840001,-8.97124950799997 39.87956447,-8.97302496199995 39.875742933,-8.97630950799993 39.8686731820001,-8.97808430799995 39.864853053,-8.97877950799995 39.8633566830001,-8.97881777499998 39.8632743160001,-8.98211050799995 39.8561869440001,-8.98243321299998 39.8554923450001,-8.98299950799998 39.854273435,-8.98316544999994 39.853916258,-8.98381050799998 39.852527815,-8.98383482199995 39.852475482,-8.98472727299998 39.8505545450001,-8.98880950799997 39.843302512,-8.98883630999995 39.8432549,-8.98968950799997 39.8417392040001,-8.98987071199997 39.8414172990001,-8.99042050799994 39.840440593,-8.99100078499993 39.8394097400001,-8.99131050799997 39.8388595210001,-8.99206614299993 39.837517147,-8.99213950799998 39.8373868140001,-8.99315621099993 39.835580657,-8.99378050799993 39.8344716010001,-8.99419005799996 39.833744042,-8.99466950799996 39.832892305,-8.99526615499997 39.8318323710001,-8.99627950799993 39.8300321630001,-8.99639150899998 39.829833196,-8.99711050799993 39.8285559030001,-9.02694545499998 39.775554545,-9.02955234699994 39.7700582790001,-9.02964050799994 39.7698724040001,-9.03032784399994 39.768423254,-9.03207950799998 39.7647301160001,-9.03259573199995 39.7636417310001,-9.03297050799995 39.762851568,-9.04749999999996 39.7322181820001,-9.07944545499993 39.640272727,-9.08555454499998 39.6150000000001,-9.14371239299993 39.527064108,-9.14416363599997 39.5263818180001,-9.14505217699997 39.525407108,-9.15801409799997 39.511188153,-9.22721818199994 39.435272727,-9.22780933499996 39.434880386,-9.23128175599993 39.4325757840001,-9.23327762099996 39.4312511530001,-9.23350112899993 39.4311028130001,-9.29333636399997 39.3913909090001,-9.35958181799998 39.3566636360001,-9.33834545499997 39.2929727270001,-9.33820358799994 39.2886891520001,-9.33736363599996 39.2633272730001,-9.33759700499996 39.259514086,-9.33893809999995 39.237600899,-9.33900954299997 39.2364335390001,-9.33971818199996 39.224854545,-9.34792050899995 39.2045857640001,-9.34820369799996 39.2038859740001,-9.36472727299997 39.1630545450001,-9.39543576799997 39.119513694,-9.39666363599997 39.117772727,-9.40770828999996 39.098556101,-9.40878050899994 39.0966905440001,-9.40881405899995 39.096632169,-9.40958050899997 39.095298621,-9.40999950099996 39.0945696150001,-9.41917272699993 39.078609091,-9.41996097499998 39.071142491,-9.42624190899994 39.0116469710001,-9.42625050899994 39.01156551,-9.42625454499995 39.0115272730001,-9.42625050899994 39.011518283,-9.41736363599995 38.991727273,-9.41263636399998 38.9494363640001,-9.42194545499996 38.9180545450001,-9.44451818199997 38.8630545450001,-9.46249999999998 38.8395818180001,-9.49083636399996 38.793881818,-9.48462142999995 38.756649516,-9.47973368099997 38.7273680800001,-9.47604545499996 38.7052727270001,-9.42972727299997 38.6919363640001,-9.41986062799998 38.6905345910001,-9.35217949399993 38.6809190050001,-9.32222727299995 38.6766636360001,-9.31542097199997 38.677542196,-9.22176964499994 38.6896307440001,-9.21249999999998 38.690827273,-9.11847272699993 38.7172181820001,-9.09546634699996 38.7471147520001,-9.09528181799993 38.7473545450001,-9.09466807299998 38.7532688160001,-9.09461050799996 38.75382353,-9.09278181799993 38.771445455,-9.08916363599997 38.8050000000001,-9.08380097599996 38.8185196750001,-9.08068161599994 38.8263838190001,-9.08043950799993 38.826994192,-9.08010995899997 38.82782501,-9.07902727299995 38.830554545,-9.06528181799996 38.8550000000001,-9.06150336299993 38.859558152,-9.00547050799997 38.927153569,-8.99430909099993 38.940618182,-8.99372606799994 38.9358319410001,-8.99163847299997 38.918694155,-8.99042050799994 38.9086954630001,-8.98944545499995 38.900690909,-8.98645594099997 38.885422152,-8.98596587099996 38.8829191520001,-8.98417044999997 38.8737491520001,-8.98253401299996 38.865391152,-8.97954545499994 38.8501272730001,-8.95910472399993 38.842129749,-8.95672563999995 38.841198922,-8.95584545499997 38.8408545450001,-8.92944545499995 38.8004090910001,-8.91972727299998 38.7702727270001,-8.91974545499994 38.7658909090001,-8.92376822699993 38.7654603570001,-8.94149552399995 38.763563026,-8.94819999999993 38.762845455,-9.00813206299995 38.7331180510001,-9.00858950399993 38.732891152,-9.00976598399996 38.7323075960001,-9.01022855699995 38.732078152,-9.01141703699994 38.7314886440001,-9.01195833099996 38.731220152,-9.01309225099993 38.730657707,-9.01357319099998 38.730419152,-9.01555454499993 38.729436364,-9.02752452399994 38.7012481520001,-9.02805454499998 38.7,-9.03673270799993 38.6871111520001,-9.04006973599996 38.682154982,-9.04543950799996 38.6741797700001,-9.06707950799995 38.642039938,-9.06784667699998 38.6409005360001,-9.06797050799997 38.640716621,-9.07444545499993 38.6311000000001,-9.07971444399993 38.6339920190001,-9.08530065399998 38.6370581520001,-9.08652298999993 38.6377290620001,-9.08687113799994 38.637920152,-9.09105808499993 38.6402182640001,-9.10352336899996 38.6470601520001,-9.10830414199995 38.6496842,-9.11871067399994 38.6553960890001,-9.11987230699998 38.6560336810001,-9.12015983799995 38.6561915,-9.14128050899996 38.6677841160001,-9.14463950899994 38.6696277880001,-9.15207950899998 38.6737114210001,-9.15972727299993 38.6779090910001,-9.21294039799994 38.678309648,-9.21528181799994 38.678327273,-9.22821595499994 38.676225102,-9.23634615899994 38.674903708,-9.26543950899998 38.670175198,-9.27423636399993 38.6687454550001,-9.25355001999998 38.6520311520001,-9.25296950899997 38.651562106,-9.24846083099993 38.647919152,-9.24798627599995 38.647535717,-9.23986363599994 38.6409727270001,-9.22013636399993 38.6194454550001,-9.20541818199996 38.5954090910001,-9.18389090899996 38.5369454550001,-9.17889090899996 38.509163636,-9.18375454499994 38.4780545450001,-9.20028181799995 38.451663636,-9.18423065599995 38.4203803390001,-9.18389090899996 38.4197181820001,-9.08360909099997 38.4330545450001,-9.07192596099998 38.435390152,-9.06544050799994 38.4366866760001,-9.06278181799996 38.437218182,-9.05436574299995 38.4403911520001,-9.05277743699997 38.440989964,-9.03669402399993 38.447053619,-9.01926988299994 38.4536227460001,-9.01901152299996 38.4537201520001,-9.01794868499996 38.454120855,-9.01686570799995 38.4545291520001,-8.99923025799995 38.461177945,-8.99911830899993 38.4612201520001,-8.99790262999994 38.4616784780001,-8.99684252499998 38.4620781520001,-8.99652516299994 38.4621978010001,-8.99278181799997 38.4636090910001,-8.96206355299995 38.482891152,-8.92763510099996 38.504502121,-8.91889090899997 38.5099909090001,-8.89860909099997 38.5177727270001,-8.87986025899994 38.5176925760001,-8.78547767599997 38.5172890900001,-8.78312546899997 38.5172790350001,-8.77236834699994 38.517233048,-8.76889090899994 38.5172181820001,-8.76875599699997 38.517072295,-8.76096423299998 38.508646723,-8.76026364899997 38.5078891520001,-8.75792050799993 38.505355412,-8.73021028999995 38.475391152,-8.72636846899997 38.4712368240001,-8.72572151299994 38.470537242,-8.67397468299993 38.414581152,-8.67333636399997 38.413890909,-8.68053038899996 38.41428985,-8.72333636399998 38.4166636360001,-8.80249999999995 38.3744454550001,-8.79221818199994 38.3491636360001,-8.78639090899998 38.3288909090001,-8.77972727299993 38.3011090910001,-8.77721818199996 38.2563818180001,-8.77581818199997 38.2117636360001,-8.77916363599996 38.1805454550001,-8.78944545499996 38.139445455,-8.79610909099995 38.118327273,-8.80680909099993 38.0890272730001,-8.83944545499998 38.014718182,-8.81055454499995 37.9319363640001,-8.79930909099994 37.9140181820001,-8.79097272699994 37.829163636,-8.79186363599996 37.8190909090001,-8.80583636399996 37.7663909090001,-8.78749999999997 37.7222181820001,-8.78749985299993 37.722111151,-8.78749748299998 37.7203901510001,-8.78722727299993 37.524163636,-8.79586363599998 37.442509091,-8.80875050799995 37.418335121,-8.80875505399996 37.4183265950001,-8.80961050799993 37.416721882,-8.80966736599993 37.416615225,-8.81877950799998 37.39952212,-8.81920725499998 37.398719726,-8.82207950799994 37.393331781,-8.82208250399998 37.3933261620001,-8.82293950799993 37.391718541,-8.82299259799993 37.391618953,-8.82380950799995 37.3900865430001,-8.82394315799996 37.389835835,-8.82460950799998 37.388585855,-8.82583304499997 37.386290672,-8.82889090899994 37.3805545450001,-8.85805454499996 37.2727727270001,-8.90652727299994 37.1606181820001,-8.92444545499995 37.1301363640001,-8.92630950799997 37.12795751,-8.94909999999993 37.1013181820001,-8.95095532399995 37.0987201500001,-8.96127950799996 37.0842630810001,-8.98416363599995 37.052218182,-8.98696871799996 37.0378911500001,-8.98923636399996 37.026309091,-8.98293950799996 37.0252824890001,-8.96039552399998 37.021607053,-8.92677016699997 37.0161249770001,-8.92667272699993 37.016109091,-8.91356570799996 37.0220601500001,-8.91002454999995 37.023667964,-8.90990961099993 37.02372015,-8.90542050799996 37.0257583650001,-8.86814458799995 37.042682977,-8.86379845299996 37.044656278,-8.86224819799997 37.0453601500001,-8.86127440899998 37.045802286,-8.81998063099996 37.0645511500001,-8.81472727299996 37.0669363640001,-8.66024268399997 37.1085269820001,-8.65952889099998 37.1087191500001,-8.65903870099993 37.1088511200001,-8.65889090899998 37.108890909,-8.51110909099998 37.1030545450001,-8.45424005499996 37.0895817590001,-8.45404460199995 37.089535455,-8.45198372099998 37.0890472130001,-8.43958181799997 37.086109091,-8.40778181799993 37.090690909,-8.37375454499994 37.102081818,-8.17528181799997 37.0922181820001,-8.11083636399997 37.0743000000001,-8.06778181799996 37.054718182,-8.04458181799993 37.043045455,-8.03022882099998 37.033542723,-8.01414112299994 37.0228914940001,-8.01291818199996 37.0220818180001,-8.00461050699994 37.019215339,-7.99847654399997 37.0170988770001,-7.99590031899993 37.016209976,-7.99462128299996 37.0157686580001,-7.98718893799997 37.0132042020001,-7.98573997599993 37.012704252,-7.97653784599993 37.00952915,-7.97556783199997 37.009194457,-7.97305454499997 37.0083272730001,-7.96122344199995 37.008415863,-7.95692310699997 37.008448064,-7.95114076099998 37.008491361,-7.94900793599993 37.0085073320001,-7.94270338799993 37.00855454,-7.94106192699996 37.0085668310001,-7.94081627999998 37.00856867,-7.93768206699997 37.008592139,-7.93164467699995 37.008637347,-7.92670026999997 37.0086743700001,-7.92004112599994 37.0087242330001,-7.91836775199994 37.0087367630001,-7.90191251899995 37.0088599790001,-7.89778181799994 37.0088909090001,-7.89522551499994 37.009369539,-7.88966317599994 37.010411004,-7.88398323899997 37.011474488,-7.88094132899994 37.012044041,-7.87656612799998 37.012863232,-7.86631050699998 37.014783445,-7.86340293299997 37.0153278450001,-7.85802950699997 37.016333939,-7.85630950699993 37.0166559840001,-7.84407636899994 37.018946457,-7.83680977399996 37.020307019,-7.82631475399995 37.0222720560001,-7.80462023099994 37.0263340330001,-7.75889531299993 37.0348953450001,-7.75833636399994 37.035,-7.75046154699993 37.039538195,-7.74962455799994 37.0400205450001,-7.74900064999997 37.0403800980001,-7.74758651099995 37.041195056,-7.74754123099996 37.0412211500001,-7.74571611699997 37.0422729490001,-7.74035910999993 37.0453601500001,-7.64197498299995 37.1020581500001,-7.64137747399997 37.10240249,-7.61868181799997 37.115481818,-7.61550446899997 37.1178861560001,-7.60342193699995 37.1270291500001,-7.59349871199993 37.1345381720001,-7.58467871499994 37.141212368,-7.58041818199996 37.1444363640001,-7.55958181799997 37.153190909,-7.53667008599996 37.159617602,-7.53225552999993 37.160855876,-7.51353440099996 37.1661071140001,-7.51311613199994 37.166224438,-7.51012608999997 37.1670631380001,-7.51006710999997 37.1670796820001,-7.50776146399994 37.167726411,-7.50709572599993 37.1679131490001,-7.50430333499997 37.1686964090001,-7.50422117199997 37.168719455,-7.47194545499997 37.177772727,-7.44458181799996 37.1787454550001,-7.41902727299993 37.1805454550001,-7.43161971399996 37.251860972,-7.43185434299994 37.253189788,-7.40944593799998 37.2016641170001,-7.40760076699996 37.1989670570001,-7.40597975899993 37.1899235390001,-7.40597948799996 37.1899220270001,-7.39651986399997 37.137147283,-7.39651850099995 37.137139679,-7.38585477199996 37.077647299,-7.36654288199998 36.969907279,-7.36267154299998 36.8953840040001,-7.35753603399996 36.7965254470001,-7.49357357999997 35.999449025,-7.53142759299993 35.777653334,-7.53332999999998 35.76667,-7.54660621499994 35.758623648,-7.54861537499994 35.7574059510001,-7.55846988299993 35.7514334030001,-8.08332999999993 35.4333300000001,-8.34999999999997 35.31667,-8.88332999999994 35.1833300000001,-9.21666999999997 35.1166700000001,-10.4999999999999 35.01667,-11.66667 34.9166700000001,-12.0458829889999 34.9371649870001,-12.2052615109999 34.945779148,-12.211019511 34.9460901480001,-12.255529511 34.991220148,-12.3175195109999 35.0572401480001,-12.3775895119999 35.1244801490001,-12.435689512 35.192900149,-12.480729512 35.248460149,-12.524479512 35.3047301490001,-12.566899512 35.361690149,-12.607989512 35.419320149,-12.647719512 35.4776001490001,-12.6860795119999 35.5365001490001,-12.723039512 35.5960001490001,-12.7585995119999 35.656080149,-12.792739512 35.716720149,-12.825429512 35.777890149,-12.8566695119999 35.839580149,-12.886439512 35.9017501490001,-12.9145995119999 35.963970149,-12.9414595119999 36.027030149,-12.9667895119999 36.0905101490001,-12.990599512 36.154370149,-13.012869512 36.2186101500001,-13.0335895119999 36.2831801500001,-13.052739512 36.34808015,-13.0703295119999 36.4132701500001,-13.0863195119999 36.4787201500001,-13.100719512 36.5444201500001,-13.113509512 36.6103401500001,-13.124689512 36.6764401500001,-13.134239512 36.7427101500001,-13.142169512 36.80913015,-13.1484595119999 36.8756501500001,-13.1530995119999 36.94226015,-13.1560895119999 37.00893015,-13.1609295119999 37.08045015,-13.202119512 37.13843015,-13.2409895119999 37.19544015,-13.2795795119999 37.2545901500001,-13.316739512 37.314330151,-13.352449512 37.3746401510001,-13.386709512 37.4354901510001,-13.4194895119999 37.4968701510001,-13.4507795129999 37.558750151,-13.4805595129999 37.6211001510001,-13.508809513 37.6839101510001,-13.5355395129999 37.747150151,-13.5607095129999 37.810790151,-13.5843095129999 37.8748201510001,-13.606339513 37.939190151,-13.626779513 38.0039101510001,-13.645609513 38.068920151,-13.6628395129999 38.1342201510001,-13.678429513 38.1997701510001,-13.691809513 38.258940151,-13.706099513 38.3246801510001,-13.718749513 38.390630152,-13.729739513 38.456770152,-13.7390695129999 38.523060152,-13.746719513 38.5894801520001,-13.752699513 38.6560101520001,-13.756989513 38.722620152,-13.759589513 38.7892801520001,-13.768649513 38.853010152,-13.785459513 38.918390152,-13.800619513 38.9840301520001,-13.814119513 39.0498801520001,-13.825969513 39.115930152,-13.8361295129999 39.1821501520001,-13.8446195129999 39.2485101520001,-13.851409513 39.3149901520001,-13.856499513 39.3815601520001,-13.8598895129999 39.448190153,-13.861559513 39.514860153,-13.861519513 39.5815501530001,-13.859759513 39.6482201530001,-13.8562595129999 39.7148401530001,-13.8510395129999 39.781410153,-13.844089513 39.847870153,-13.835399513 39.9142101530001,-13.824979513 39.980410153,-13.8128095129999 40.0464301530001,-13.798909513 40.112250153,-13.783279513 40.177840153,-13.765899513 40.2431701530001,-13.746789513 40.308220153,-13.725959513 40.3729601530001,-13.7033895129999 40.437360153,-13.6790995129999 40.501410154,-13.653099513 40.565060154,-13.6253795129999 40.6282901540001,-13.595959513 40.6910901540001,-13.564839513 40.7534101540001,-13.5320295129999 40.815240154,-13.4975395129999 40.876550154,-13.4613795129999 40.9373201540001,-13.4235595129999 40.9975101540001,-13.3840895119999 41.0571001540001,-13.3429795119999 41.1160701540001,-13.300259512 41.1743801540001,-13.2583095119999 41.2419201540001,-13.2702748089999 41.2946856090001,-13.2734122529999 41.3086423410001,-13.2854691059999 41.3689906860001,-13.2855315039999 41.3693030110001,-13.2858122879999 41.3707084210001,-13.285988518 41.3715905110001,-13.28638 41.3735500000001,-13.286604731 41.37484642,-13.29784 41.4396600000001,-13.3017399999999 41.46626,-13.2988543289999 41.4665179090001,-13.2882065119999 41.4674691540001,-12.5561900819999 41.5328938760001,-12.5561896319999 41.532893916,-12.351526903 41.5511858580001,-12.09772 41.5738700000001,-10.8937 41.68129,-9.68967999999995 41.7885400000001,-9.55588059299993 41.8107794920001,-9.19009080699993 41.8715793050001,-8.87627924399993 41.8715793050001,-8.86782520499997 41.876379107,-8.86217050799996 41.8795895760001,-8.84582943699996 41.8888672670001,-8.83856467399994 41.8942489660001,-8.83265209699994 41.898683019,-8.83079067399996 41.9000789660001,-8.82366367399993 41.9046139660001,-8.81653767399996 41.9088249660001,-8.80973467399997 41.913359966,-8.80401515799997 41.915076351,-8.80325667399995 41.9153039660001,-8.80210718199993 41.915753674,-8.79580567399995 41.918218966,-8.79062195199998 41.919774563,-8.78932767399994 41.9201629660001,-8.78252467399994 41.9217829660001,-8.77604667399993 41.9250219670001,-8.76794867399997 41.9292329670001,-8.76345683999995 41.9315855180001,-8.76114567399998 41.9327959670001,-8.75563867399995 41.936358967,-8.75142767399996 41.942189967,-8.75046963999995 41.9437870190001,-8.74948467399997 41.9454289670001,-8.74502947199994 41.9524428830001,-8.74502056799997 41.952467321,-8.75241776999997 41.9317360430001,-8.78304548399996 41.9202778980001,-8.78621800799993 41.919090974,-8.81360884799994 41.9025001320001,-8.84445405499997 41.8781598510001,-8.84445414099997 41.878159844,-8.85645460099994 41.868690155,-8.86236363599994 41.864027273,-8.87017735999996 41.8538367040001,-8.87972727299996 41.8413818180001,-8.88077852599997 41.7563423620001,-8.88083636399995 41.751663636,-8.87402940699997 41.7277279580001,-8.87305454499995 41.7243,-8.87044698599993 41.719483622,-8.87006048399996 41.7187697200001,-8.86960950799994 41.7179367310001,-8.86906988699997 41.716940005,-8.86878050799993 41.7164054990001,-8.86705097099997 41.7132109,-8.86627950799993 41.711785945,-8.86608265099994 41.7114223340001,-8.86550050799997 41.710347068,-8.86509793599993 41.7096034840001,-8.82349350899995 41.632756661,-8.81509090899993 41.6172363640001,-8.81393414499996 41.6134308750001,-8.81381050799996 41.6130241400001,-8.81320525699994 41.611033005,-8.81297050799998 41.6102607340001,-8.81137242599993 41.6050034100001,-8.81130950799997 41.6047964270001,-8.81101603099995 41.6038309530001,-8.81048454399996 41.602082486,-8.80991558299996 41.600210733,-8.80966792099997 41.5993959840001,-8.79971818199994 41.566663636,-8.79414970799996 41.5420611540001,-8.79378050799994 41.5404299670001,-8.78110909099996 41.4844454550001,-8.78089577999998 41.4828554760001,-8.77884545499995 41.4675727270001,-8.78683589899993 41.433633382,-8.78716471299998 41.432236748,-8.78787304699995 41.429228102,-8.78796950799995 41.428818386,-8.78971818199994 41.421390909,-8.78894187199995 41.419011631,-8.78585445699997 41.409549145,-8.78544050799997 41.408280452,-8.78543987999996 41.4082785270001,-8.78475815999997 41.4061891540001,-8.78422665099993 41.4045601540001,-8.78302458999997 41.4008760090001,-8.78299928799993 41.4007984630001,-8.78213407499993 41.3981467070001,-8.78149569099998 41.3961901540001,-8.78095439399993 41.394531154,-8.78052738299994 41.3932224280001,-8.77987408199994 41.3912201540001,-8.77908497399994 41.3888016510001,-8.77878757099995 41.387890154,-8.77768668699997 41.3845161,-8.73211050799995 41.244831644,-8.73092301699995 41.241192154,-8.72983617999995 41.237861154,-8.72944545499996 41.2366636360001,-8.72896160299996 41.235359154,-8.72049950799993 41.2125450500001,-8.71554065699996 41.1991758120001,-8.71547050799995 41.198986688,-8.71504291399998 41.1978338810001,-8.71463950799995 41.196746283,-8.71454093199998 41.196480518,-8.71145187899998 41.1881523230001,-8.71032654699997 41.185118388,-8.65721818199995 41.041936364,-8.65132127899994 41.0301379650001,-8.64554545499993 41.018581818,-8.64555454499992 41.0026363640001,-8.66805454499996 40.9038818180001,-8.66960295899997 40.8983552830001,-8.67608586799997 40.8752167530001,-8.67632950799998 40.874347162,-8.67641195299996 40.8740529020001,-8.67708050799996 40.8716667240001,-8.67709108699995 40.8716289650001,-8.67778181799997 40.8691636360001,-8.69659999999993 40.8059000000001,-8.70460900099994 40.7858121890001,-8.70462832399994 40.7857637230001,-8.70543950799993 40.7837291480001,-8.70570855199998 40.783054345,-8.70627950799997 40.7816222980001,-8.70683462099993 40.780229988,-8.70711050799997 40.7795380220001,-8.70791073299995 40.777530933,-8.70794050799998 40.777456253,-8.70846904199993 40.7761306080001,-8.70878050799996 40.7753494040001,-8.70903811099993 40.774703297,-8.71045610599998 40.7711467450001,-8.71778181799993 40.752772727,-8.72519471399994 40.73190736,-8.72544050799996 40.731215514,-8.72611878499993 40.7293063430001,-8.72628311299997 40.7288438030001,-8.72666363599996 40.7277727270001,-8.72693275999995 40.725186652,-8.72714050799993 40.72319035,-8.72722170899993 40.722410075)))', 'Portuguese Exclusive Economic Zone', 'Portugal', 'Portugal', '', '183', '183', 'PRT', '5688', '', '311361688800', '5688', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.09450875657 47.9685803091363,-10.1240116480284 48.0805753675173,-10.1426016148803 48.166666666667,-10 48.166666666667,-10 48.3333333333335,-9.80000000000001 48.3333333333335,-9.80000000000001 48.5000000000002,-9.60000000000002 48.5000000000002,-9.60000000000002 48.8333333333336,-9.39999999999998 48.8333333333336,-9.39999999999998 49.0000000000003,-9.28333333333325 49.0000000000003,-9.28333333333325 49.166666666667,-9.19999999999999 49.166666666667,-9.19999999999999 49.3333333333335,-9.0499999999999 49.3333333333335,-9.0499999999999 49.5000000000002,-8.89999999999998 49.5000000000002,-8.89999999999998 49.6666666666669,-8.74999999999989 49.6666666666669,-8.74999999999989 49.8333333333335,-8.59999999999997 49.8333333333335,-8.59999999999997 50.0000000000002,-8.39999999999998 50.0000000000002,-8.39999999999998 50.1666666666669,-8.19999999999993 50.1666666666669,-8.19999999999993 50.3333333333334,-7.99999999999994 50.3333333333334,-7.99999999999989 50.4941553427943,-7.98891216541745 50.5000000000002,-7.59999999999991 50.5000000000002,-7.59999999999991 50.6666666666669,-7.19999999999993 50.6666666666669,-7.19999999999993 50.8333333333335,-7.05000000000001 50.8333333333335,-7.05000000000001 50.9355857704768,-6.9269669439999 50.9791993860003,-6.91821344399995 50.9823023870002,-6.90767872099997 50.9860368090003,-6.88983120199993 50.9923635930003,-6.86540979468174 51.0000000000002,-6.7999999999999 51.0000000000002,-6.7999999999999 51.0199127405743,-6.77638620199997 51.0264225930003,-6.74226920199993 51.0359488430002,-6.69999995199987 51.0500000930002,-6.59166670099989 51.0750000930003,-6.52342899699988 51.1914054400003,-6.44999999999982 51.3166666690001,-6.43340050199993 51.3332661670003,-6.41666670099988 51.3500000930002,-6.13333345099988 51.6416665940004,-6.11317209868167 51.666666666667,-6.10000000000002 51.666666666667,-6.09999999999985 51.6830000662835,-5.92499994899981 51.9000000930004,-5.86502795199993 51.9937063380003,-5.86100001012301 52.0000000000002,-5.8333333333332 52.0000000000002,-5.8333333333332 52.0432292018358,-5.8183333625559 52.0666666666669,-5.76666666666654 52.0666666666669,-5.76666666666654 52.1333333333335,-5.69999999999987 52.1333333333335,-5.69999999999987 52.2000000000003,-5.64999999999992 52.2000000000003,-5.64999999999992 52.266666666667,-5.58333333333326 52.266666666667,-5.58333333333309 52.3333333696301,-5.49444449241184 52.4000000000001,-5.38 52.4000000000001,-5.38 52.5333333333335,-5.40833337236643 52.5333333333335,-5.42499995399982 52.5666665930003,-5.4249999999999 52.5666666690003,-5.42729615799982 52.5896282580002,-5.43333344999991 52.6500000940003,-5.42051287779475 52.7333333333335,-5.4083333333333 52.7333333333335,-5.40833333333325 52.8083336616658,-5.38684215377617 52.8666666666668,-5.37499999999994 52.8666666666668,-5.37499999999983 52.8988095471274,-5.37212910799997 52.9066019420002,-5.34999999999991 52.9666666690002,-5.34444444552895 52.9833333333335,-5.31666666666661 52.9833333333335,-5.31666666666655 53.0666666745254,-5.29570432399987 53.1295537060003,-5.2916666989999 53.1416665950003,-5.30503548299993 53.1851153140003,-5.32499999999987 53.2499999990002,-5.32113311199993 53.2712678780003,-5.32113310299985 53.2712679280002,-5.30833344999985 53.3416665950002,-5.31430895199992 53.4791060380002,-5.3143089539999 53.4791060950003,-5.31666628899984 53.5333245560003,-5.31666657699986 53.5333311810002,-5.31666666666661 53.5333327585515,-5.31666666666661 53.5333333333335,-5.28333333333325 53.5333333333335,-5.28333333333308 53.6259259327454,-5.26574803199992 53.6747739940004,-5.24166669899995 53.7416665950002,-5.24170670199987 53.7416711020003,-5.26230409899989 53.7439597170002,-5.34986535899986 53.7536887450003,-5.34995755499995 53.7536989880002,-5.54166666999987 53.7749999990002,-5.61450958699993 53.7835697560002,-5.61450967799993 53.7835697670004,-5.68333345099995 53.7916665960001,-5.81376925499984 53.8242756440003,-5.84999999999997 53.8333333290002,-5.85807920799994 53.8387194700003,-5.86395720099989 53.8426380960003,-5.86635560599984 53.8442370690002,-5.87499999999983 53.8499999990003,-5.91580655799987 53.8719888670003,-5.94128470099992 53.8857178460003,-5.96362500499981 53.9032315960002,-5.98199342099986 53.9176315270002,-6.02520143299989 53.9515044750003,-6.05313873699987 53.9766759830002,-6.05313875999997 53.9766760040004,-6.08352495099996 54.0040538460002,-6.10093495099983 54.0172433460003,-6.10878964299985 54.0231920500003,-6.10878970199985 54.0231920950004,-6.12355883799989 54.0344522260002,-6.12795596899986 54.0377257510003,-6.13964536599997 54.0416516820003,-6.14059484799992 54.0419705650003,-6.14059494999987 54.0419705990003,-6.15058664199995 54.0452883070004,-6.15146226199982 54.0455819150001,-6.15769095099995 54.0476703460004,-6.1596193609999 54.0486922550003,-6.1604522959999 54.0491335800003,-6.16308135299983 54.0504982230003,-6.16752395099996 54.0528040960002,-6.17540945099989 54.0569170960002,-6.18860369999993 54.0638045980002,-6.18860373199993 54.0638046150003,-6.1994764509999 54.0694603460001,-6.20323670099998 54.0714910960003,-6.20584694099995 54.0726248650004,-6.20813415399994 54.0736183010004,-6.20895298699992 54.0739651680001,-6.2142664509999 54.0762158460002,-6.22339658699985 54.0801022270003,-6.22431898699995 54.0804948450003,-6.23645419299993 54.0857913390003,-6.24729995099983 54.0907605960003,-6.24730000199992 54.0907606190003,-6.24758270099994 54.0908900960002,-6.25114969399993 54.0925303380002,-6.26297079299997 54.0979659730003,-6.2644719079999 54.0986668830004,-6.26297070099986 54.0979660960002,-6.26695570099997 54.0998265960001,-6.19971845099985 54.0959725960001,-6.1890274509999 54.0904095960001,-6.17402745099992 54.0722185960001,-6.10833645099984 54.0363815960002,-6.08194545099991 54.0283275960001,-6.07139045099984 54.0276365960001,-6.04389045099992 54.0313905960002,-5.96833645099991 54.0638905960002,-5.92028145099982 54.0858275960002,-5.89999945099981 54.0967995960002,-5.88499945099994 54.1163905960002,-5.86458145099994 54.1669455960002,-5.86541845099993 54.1858275960002,-5.87194545099987 54.1974905960003,-5.87347245099983 54.2091635960001,-5.85972745099997 54.2259635960002,-5.82499945099983 54.2395815960002,-5.74610945099982 54.2480545960001,-5.73055445099993 54.2474995960002,-5.69208145099992 54.2447185960001,-5.66694545099989 54.2349905960003,-5.65555445099994 54.2270095960002,-5.60833645099984 54.2497185960001,-5.58666345099994 54.2649995960002,-5.56221845099992 54.2830545960002,-5.5591634509999 54.2908365960001,-5.56199945099991 54.3437815960002,-5.56817245099995 54.3668635960002,-5.57333645099993 54.3770365960001,-5.64501845099994 54.4926725960003,-5.67360945099989 54.5223545960001,-5.70471845099985 54.5336095960002,-5.69812745099995 54.5726275960002,-5.68055445099998 54.5730545960002,-5.65916345099987 54.5663815960002,-5.63944545099997 54.5591635960002,-5.59971845099983 54.5419365960001,-5.56805445099997 54.5244365960001,-5.56069945099989 54.5173545960001,-5.55097244999996 54.5008275960001,-5.54360944999985 54.4769455960002,-5.54215444999983 54.4490275960002,-5.5322184499999 54.4267725960001,-5.54397244999996 54.4174815960002,-5.54642744999995 54.4052725960001,-5.5177184499999 54.3691095960002,-5.50671844999988 54.3644365960001,-5.46110944999987 54.3855545960002,-5.4358364499999 54.4584635960002,-5.43131844999982 54.4859635960003,-5.4794454499999 54.5363815960002,-5.52778144999985 54.6299995960002,-5.53520944999991 54.6508995960003,-5.57430945099998 54.6772185960003,-5.59916345099992 54.6791635960003,-5.62916345099984 54.6794455960001,-5.73673645099996 54.6738275960002,-5.80305445099987 54.6613815960001,-5.8163904509999 54.6555455960003,-5.8558364509999 54.6374995960002,-5.87471845099998 54.6197185960001,-5.88257245099993 54.6065185960002,-5.90242745099988 54.6022905960002,-5.92444545099994 54.6317995960002,-5.88986345099994 54.6730545960002,-5.87805445099997 54.6824905960002,-5.86680945099982 54.6897185960001,-5.81902745099995 54.7097185960002,-5.78583645099997 54.7197185960002,-5.76705445099998 54.7241095960001,-5.74671845099994 54.7245185960002,-5.71110945099991 54.7391635960001,-5.69486345099989 54.7504095960002,-5.68774545099996 54.7633545960003,-5.69041845099997 54.8091635970002,-5.70930945099991 54.8316635970003,-5.73416345099986 54.8492995970002,-5.74694545099982 54.8536095970001,-5.77875445099994 54.8552725970002,-5.79139045099987 54.8513905970001,-5.84444545099984 54.8961095970002,-6.03610945099996 55.0577815970002,-6.04944545099983 55.0872185970001,-6.04249945099991 55.1027725970002,-6.03444545099984 55.1545815970002,-6.06375445099997 55.1915275970002,-6.10125445099982 55.2094455970002,-6.14583645099992 55.2206905970002,-6.16833645099996 55.2186095970001,-6.25499945099989 55.2119365970001,-6.3533364509999 55.2377815970002,-6.37639045099985 55.2391635970003,-6.5155544509999 55.2330545970002,-6.6133364509999 55.2072185970002,-6.73028145199982 55.1802725970002,-6.8247184519999 55.1680545970002,-6.88971845199984 55.1677725970003,-6.96694545199989 55.1561095970002,-6.99416345199995 55.1102725970001,-7.01971845199989 55.0702725970002,-7.02916345199986 55.0619455970001,-7.05139045199996 55.0467995970002,-7.06889045199983 55.0391635970002,-7.09499945199997 55.0369455970002,-7.25305445199996 55.0467995970002,-7.25250945199997 55.0705905970001,-7.25250986999993 55.0705907530001,-7.25250888199992 55.0705910920002,-7.25248521699984 55.0706129420003,-7.25248508299984 55.0706129580003,-7.17530886099996 55.0806519650004,-7.08286219799982 55.1050943460004,-7.00864945199993 55.1602710980004,-7.00864940399993 55.1602711420003,-6.9877080579999 55.1809420800004,-6.97697947799992 55.1950173540004,-6.97510532699994 55.1963276870004,-6.97058870199982 55.1994855970004,-6.96542345199981 55.2012723470004,-6.96233041399995 55.2008815920003,-6.95797300599986 55.2003311820004,-6.95313228999981 55.1990159050004,-6.95155495199987 55.1985873470003,-6.95155484899993 55.1985873040004,-6.93246666399995 55.1914973980003,-6.87475999499992 55.2039344130004,-6.87335379499984 55.2042339670003,-6.87106645199987 55.2047213470003,-6.86018433099991 55.2076102610004,-6.85600838699997 55.2087189120004,-6.83408255099994 55.2191494360003,-6.82099565199991 55.2268532130003,-6.81321974499991 55.2313971040003,-6.81110769899988 55.2324707810004,-6.80738195199996 55.2343648470004,-6.80699123899996 55.2346073240003,-6.8059083039999 55.2361393370003,-6.80561602799997 55.2365457760003,-6.80547795199982 55.2367378470003,-6.78841695099993 55.2602419230005,-6.78325499299996 55.2673532950004,-6.78325495499996 55.2673533490004,-6.78314894699997 55.2675242150003,-6.78256120199984 55.2684715970003,-6.77708475599997 55.2869652110003,-6.77326924299985 55.2998501580004,-6.76010773099983 55.3451158270003,-6.73596404199998 55.4065774430003,-6.73460447299982 55.4096345810003,-6.73372345199994 55.4116158470005,-6.72691695399988 55.4275807830003,-6.72076278999987 55.4420158200003,-6.72001292699991 55.4566727730003,-6.72001311299994 55.4566728470003,-6.72001345199988 55.4566728470003,-6.72014745199994 55.4567263470003,-6.72706082199988 55.4590227930004,-6.73000001899987 55.4599990840004,-6.79500055299997 55.4833335880004,-6.7999999999999 55.4880910726502,-6.7999999999999 55.5000000000004,-6.81251460708722 55.5000000000004,-6.84999999999997 55.5356711815064,-6.84999999999997 55.5833333333337,-6.90014331654487 55.5833333333337,-6.94999999999999 55.629280533486,-6.94999999999999 55.6666666666671,-6.99129044862048 55.6666666666671,-7.01091057799988 55.6831049990005,-7.03333333333325 55.7018913928844,-7.03333333333325 55.7500000000003,-7.10301725918026 55.7500000000003,-7.13333333333327 55.7700308439514,-7.13333333333327 55.8333333333338,-7.25 55.8333333333338,-7.25 55.916666666667,-7.38333333333333 55.916666666667,-7.38333333333333 56.0000000000005,-8.2166666666667 56.0000000000005,-8.2166666666667 56.0833333333337,-8.62520383084109 56.0833333333335,-8.65833333333319 56.0898074486851,-8.65833333333319 56.1666666666671,-9.11666666666656 56.1666666666671,-9.11666666666656 56.3583333333336,-10.4999999999999 56.3583333333336,-10.4999999999999 56.541666666667,-12.1999999999999 56.541666666667,-12.1999999999999 56.7000000000004,-14 56.7000000000004,-14 56.8166666666671,-14.4931827606295 56.8166666666671,-14.6191999589998 57.0000000990002,-14.8893999589999 57.5394000990001,-14.8160999589999 58.5000000900002,-14.5853000009998 59.0000000000002,-13.9693999999999 59.6817000000002,-13.5957105369999 59.9318583480001,-13.270069548 60.1498516170003,-13.2700695389999 60.1498516870003,-13.269674524 60.1501161210002,-13.2698854619999 60.1503897090002,-13.269983394 60.1505167210001,-13.269983333 60.1505166670003,-12.2936999999999 60.1217666670002,-11.2742999999999 60.0472166670001,-10.8462999999998 60.0356166670003,-10.3475499999998 60.0158500000002,-9.01099999999985 59.9408333330001,-5.40324999999984 60.3125666670002,-4.94453333299998 60.3516833330002,-4.73786666699988 60.4012833330002,-4.30901666699992 60.7952833330002,-4.23346666699996 60.8634833330001,-4.17494999999991 60.9163166670002,-4.0643166669999 61.0459500000002,-4.04041666699993 61.0741500000002,-3.99364999999989 61.1275166670002,-3.79829999999981 61.3601833330002,-3.19548333299997 61.8685666670001,-3.05541666699992 61.9872166670002,-0.795599999999865 63.6774833330002,-0.488763888999813 63.8874805550002,-0.429805555999906 63.8408027770002,-0.30231944399992 63.7368972210002,-0.183141666999916 63.6362999990002,0.470141667000121 63.0557527770002,0.558613889000128 62.9725166660003,0.64108611100022 62.8915249990002,0.791025000000047 62.7378638880002,0.858188889000189 62.6661083330002,0.912438889000157 62.6057638880001,0.963422222000133 62.5464694440002,1.00164444400019 62.5027305550001,1.03825000000012 62.4591166660003,1.07385000000011 62.4157444440002,1.10783611100004 62.3724999990002,1.14193333300022 62.3279777770002,1.17796111100012 62.2788694440001,1.56000000000017 61.7366666660001,1.79000000000013 61.3566666660001,2.07666666700015 59.8966666660002,1.71166666700015 59.2899999990002,1.48333333300019 58.4299999990002,1.96500000000009 57.9049999990002,2.61333333300024 56.5949999990003,3.25000000000011 56.0866666660002,3.35000000000008 55.9192777770002,3.40000000000015 55.8349999990002,3.37027777800012 55.7649999990002,3.37027770200024 55.7649998160001,2.8983333330001 54.6216666660002,2.76333333300022 54.3799999990002,2.86666666700012 53.9633333320002,2.95666666700009 53.6683333320001,2.98833333300024 53.5849999990002,3.0166666670001 53.4699999990003,3.05666666700017 53.3016666660002,3.17500000000013 52.8833333320002,3.20500000000021 52.7833333320001,3.18333333300012 52.6216666660002,3.18333331200023 52.6216666320003,3.05833333300023 52.4166666660002,3.02433969800018 52.3822197820002,2.93333333300018 52.2899999990001,2.8400000000002 52.2066666660002,2.71500000000015 52.0999999990003,2.70333333300016 52.0883333320001,2.67461518100009 52.0425970160002,2.67447429700013 52.0423726450002,2.65833333300009 52.0166666660002,2.65013438500011 52.0080361940002,2.62666666700011 51.9833333320002,2.53944400000017 51.8700000000002,2.53944356500023 51.8699995150002,2.48166700000024 51.8050000000001,2.25333304000003 51.6130560340001,2.25333300000023 51.6130560000001,2.23811860100022 51.5577691390002,2.23811855000008 51.5577689530002,2.23736945300021 51.5567108150003,2.12166666700023 51.5038888880002,2.03850647100023 51.3367368960002,2.03841979100019 51.3365626670002,1.9550000000001 51.2408333320003,1.72527777800019 51.0994444440002,1.54805555600024 51.0386111100001,1.35694444400002 50.9499999990002,1.28277777800008 50.8963888880001,1.2577777780001 50.7972222210001,1.12388888900011 50.6438888880002,0.777500000000089 50.3894444440001,0.60333333300008 50.3280555550002,0.0372222220001959 50.2366666660003,-0.258333332999882 50.2202777770003,-0.499999999999829 50.1247222210001,-0.550156027999833 50.1163421810001,-0.574279432999901 50.1210663970002,-0.592065607999928 50.1218423110003,-0.829620073999877 50.1310186500002,-0.858329771999877 50.1320310480001,-0.974790184999847 50.1359100780001,-0.975045609999938 50.1359132530002,-1.03753531899991 50.1363871590002,-1.14236288599994 50.1369137740002,-1.21080914899994 50.1359356300002,-1.22623944099996 50.1362038400002,-1.22699923299996 50.1362259380001,-1.30099185399985 50.1388088300001,-1.3095921339999 50.1390736540002,-1.42220746699985 50.1425923810001,-1.45078413599987 50.1437236240002,-1.60367109399994 50.1518101760001,-1.61308595399981 50.1542746970002,-1.66115983499992 50.1667608910001,-1.67962483499997 50.1658770820001,-1.6844940979999 50.1656365270002,-1.75325131399984 50.1621177090002,-1.79305691999991 50.1613882920001,-1.83532967599984 50.1606676450002,-1.84458239299988 50.1601421540001,-1.87538730999989 50.1585174050002,-2.02347716099996 50.1497664120003,-2.05653307299997 50.1518636950002,-2.10715026999992 50.1544173520002,-2.13463358799982 50.1502887910001,-2.14349516499993 50.1489193880002,-2.14878390999991 50.1481156200001,-2.25049076799985 50.1370775470002,-2.32984400299989 50.1284432330002,-2.39775576199997 50.1218950290002,-2.44723322299996 50.1172891860002,-2.45850977299995 50.1168510490001,-2.86229720699993 50.0998155520002,-2.87969397699987 50.0868372760002,-2.90885785499989 50.0640808950002,-2.96248750099988 50.0226393360003,-3.10477643299987 49.8750972700003,-3.11593667499983 49.8634305270001,-3.34630941899985 49.7431625650003,-3.39582889799993 49.7183163530003,-3.72248602799988 49.5520345000002,-3.79744311399998 49.5451136150002,-3.91232970999982 49.5404024790003,-4.23315923699994 49.5181093220002,-4.28599263099994 49.4878548400002,-4.33315680899995 49.4707916960002,-4.48380823999986 49.4159263280003,-4.62892366999984 49.3565805470005,-4.79707374599985 49.3246899060003,-5.13392477499991 49.2422022230003,-5.2060177059999 49.2267896170003,-5.21102955799978 49.2257097310003,-5.27116746799982 49.2163144280003,-5.4489523919998 49.2104930280001,-5.65943328499998 49.2028913340001,-5.66349426385113 49.2013522753354,-5.69166666666655 49.2000000000003,-9.60833333333329 48.1000000000004,-10.09450875657 47.9685803091363),(-5.05944544999988 50.1391635920002,-5.04805444999994 50.1711095920002,-4.95278144999986 50.1933275920002,-4.85749944999992 50.2316635920002,-4.76249944999989 50.3113815920001,-4.67860944999984 50.3258275920001,-4.64528144999997 50.3236095920003,-4.54333644999986 50.3222185920003,-4.51055444999986 50.3224905920002,-4.4827814489999 50.3258275920001,-4.46639044899996 50.3291635920001,-4.45208144899988 50.3355455920002,-4.44098144899982 50.3444365920003,-4.42971844899989 50.3513905920001,-4.37999944899997 50.3638815920001,-4.17499944899993 50.3777725920002,-4.16555444899996 50.3702815920001,-4.11139044899988 50.3302725920002,-4.0570814489999 50.2979095920001,-4.03083644899988 50.2929095920002,-4.01847244899989 50.2963905920002,-4.00833644899984 50.3036095920002,-3.98555444899984 50.3113815920001,-3.97583644899993 50.3138905920003,-3.95528144899987 50.3155545920003,-3.94389044899992 50.3134635920001,-3.87763644899997 50.2813905920001,-3.85194544899997 50.2516635920002,-3.84499944899989 50.2380545920002,-3.83652744899996 50.2297185920002,-3.81333644899996 50.2172185920002,-3.80305444899983 50.2141635920001,-3.78944544899991 50.2122185920002,-3.72889044899989 50.2063815920002,-3.71666344899995 50.2066635920001,-3.70666344899996 50.2097185920001,-3.67499944899993 50.2202725920002,-3.65194544899981 50.2311095920002,-3.55333644899986 50.4255545920002,-3.55139044899994 50.4383275920001,-3.50028144899989 50.5358275930002,-3.49416344899993 50.5463905930002,-3.46180944899993 50.5879185930001,-3.43721844899989 50.6049995930001,-3.41139044799991 50.6160995930002,-3.25416344799987 50.6719455930003,-3.24416344799988 50.6744365930001,-3.17347244799981 50.6883275930002,-3.09444544799987 50.6922185930002,-2.97805444799997 50.7063815930002,-2.95944544799983 50.7127725930002,-2.94444544799995 50.7233275930002,-2.92749944799982 50.7312455930001,-2.90694544799993 50.7333275930002,-2.88278144799989 50.7311095930002,-2.86389044799995 50.7283365930001,-2.82305444799988 50.7202725930002,-2.77139044799998 50.7086095930002,-2.72110944799994 50.6933275930002,-2.70055444799982 50.6869455930002,-2.66194544799981 50.6733365930002,-2.56305444799995 50.6322185930002,-2.49459944799997 50.5956545930002,-2.45823644799998 50.5617455930001,-2.45522744799996 50.5488995930002,-2.43445444799983 50.5417905930001,-2.42471844799985 50.5599995930002,-2.45860944799995 50.5749995930002,-2.46583644799989 50.5838815930002,-2.46597244799995 50.5941635930002,-2.44666344799981 50.6263905930002,-2.43110944799992 50.6349905930002,-2.39097244799996 50.6416635930003,-2.19721844699984 50.6261095930003,-2.14471844699989 50.6169455930002,-2.13389044699989 50.6133275930001,-2.12194544699992 50.6072185930003,-2.05444544699998 50.5856905930002,-1.9643724469999 50.5967365930002,-1.9355544469999 50.6394455930002,-1.95440944699982 50.6653545930002,-1.97471844699993 50.6702725930002,-2.08007244699985 50.6965905930001,-2.06680944699997 50.7142995930002,-2.03492744699986 50.7315275930001,-2.02402744699992 50.7199995930002,-2.00944544699991 50.7149995930002,-1.93416344699983 50.7127725930002,-1.81639044699989 50.7230545930002,-1.70139044699982 50.7369365930002,-1.68444544699986 50.7388815930002,-1.66799044699985 50.7378725930002,-1.61416344699995 50.7297185930002,-1.59278144699988 50.7241635930001,-1.40805444699981 50.7708275930002,-1.33139044699988 50.7913815930002,-1.14430944599991 50.7779095930002,-1.13159944599988 50.7831185930002,-1.11694544599993 50.8069455930003,-1.14666344599982 50.8311095930001,-1.15889044599993 50.8408275930003,-1.0944454459999 50.8458365930003,-0.939163445999839 50.8408275930003,-0.928418445999966 50.8396545930001,-0.871945445999813 50.8088815930003,-0.865836445999889 50.7996455930002,-0.892499445999931 50.7904095930002,-0.908263445999978 50.7739545930002,-0.799445445999879 50.7262455930001,-0.781872445999909 50.7272185930001,-0.767918445999896 50.7390185930002,-0.76736344599982 50.7497185930002,-0.746109445999934 50.7658275930002,-0.711390445999825 50.7738905930001,-0.675281445999872 50.7811095930003,-0.637499445999822 50.7872185930001,-0.577218445999904 50.7952725930003,-0.254999445999829 50.8263815930001,-0.206109445999857 50.8266635930001,-0.190836445999878 50.8258275930001,-0.156945444999963 50.8213905930002,-0.138054444999909 50.8183275930002,-0.0944454449998489 50.8102725930002,0.0569455550000839 50.7808275930002,0.0983365550001167 50.7677725930002,0.123336555000094 50.7594365930001,0.215281555000217 50.7416635930002,0.227781555000092 50.7394365930001,0.242218555000193 50.7380545930002,0.253890555000112 50.7386095930001,0.26360955500013 50.7413905930002,0.274027555000202 50.7487455930001,0.286945555000216 50.7649995930001,0.29639055500013 50.7733275930001,0.30721855500019 50.7805455930001,0.349445555000159 50.8086095930001,0.371945555000195 50.8163815930001,0.400554555000156 50.8244365930001,0.430836555000155 50.8311095930001,0.452781555000115 50.8338815930002,0.498609555000087 50.8380545930002,0.567218555000125 50.8477725930002,0.662218555000095 50.8694365930002,0.67889055500018 50.8768095930002,0.705836555000246 50.8977725930003,0.716390555000203 50.9049995930001,0.78139055500003 50.9355545930002,0.79333655500011 50.9360995930002,0.814163555000107 50.9344365930002,0.856663555000239 50.9255545930002,0.974999556000228 50.9319365930001,0.969999556000232 50.9452725930001,0.968054556000084 50.9683275930002,0.971245556000156 50.9811095930002,0.978890556000124 50.9966635930001,0.986109556000201 51.0072185930002,0.997781556000177 51.0190275930001,1.02999955600012 51.0408365930002,1.04555455600018 51.0494365930001,1.08694555600022 51.0685995930001,1.1002815560002 51.0736095930002,1.22055455600014 51.0997185930003,1.23194555600008 51.1008275930002,1.26249955600019 51.1016635930002,1.35583655600021 51.1276365930002,1.36889055600011 51.1358275930001,1.39028155600022 51.1541635930002,1.39833655600023 51.1638905930001,1.40763655600017 51.1838905930001,1.4111095560001 51.2011095930002,1.42749955600016 51.3311095930002,1.3855545560001 51.3877725930002,1.19194555600018 51.3786095930002,1.06624555600007 51.3691635930002,1.05278155600018 51.3672185930002,1.03333655600017 51.3619365930002,1.01221855600011 51.3519455930003,0.999163556000099 51.3477725930001,0.981390556000235 51.3455545930001,0.908054556000195 51.3406905930001,0.70416355500015 51.3774905930002,0.619718555000134 51.3830455930002,0.584027555000205 51.3876365930001,0.559445555000195 51.4059635930003,0.642363555000088 51.4404185930002,0.665836555000112 51.4391635930003,0.687499555000215 51.4354185930002,0.708890555000153 51.4360995930002,0.721599555000239 51.4404095930001,0.724718555000209 51.4541635930002,0.711945555000113 51.4654185930001,0.697499555000149 51.4708365930002,0.591945555000223 51.4877725930002,0.548890555000128 51.4880545930002,0.53610955500011 51.4880545930002,0.489163555000118 51.4844455930002,0.474999555000238 51.4801365930002,0.465972555000121 51.4712455930002,0.452154555000106 51.4556185930002,0.412218555000152 51.4469365930001,0.388936555000043 51.4482185930002,0.451663555000152 51.4980545930002,0.464999555000077 51.5030545930002,0.651945555000111 51.5367995930002,0.680554555000242 51.5322185930002,0.766945555000177 51.5213815930003,0.779163555000196 51.5219455930002,0.789445555000214 51.5241635930003,0.808054555000183 51.5299995930001,0.820836555000142 51.5355545930002,0.875281555000242 51.5610995930001,0.90999955600023 51.5813815940002,0.952499556000191 51.6092275940003,0.94694555600023 51.7255545940002,0.935690556000111 51.7365275940002,0.922499556000105 51.7404185940003,0.902572556000166 51.7346455940001,0.876390555000171 51.7169455940002,0.863054555000247 51.7116635940001,0.761399555000139 51.6916455940001,0.701109555000244 51.7184725940002,0.724163555000132 51.7266635940001,0.862109555000188 51.7736095940003,0.932363556000212 51.8058275940002,0.982781556000191 51.8252725940002,0.997499556000093 51.8108275940002,1.03569055600008 51.7741635940002,1.04999955600022 51.7705545940001,1.08833655600023 51.7705545940001,1.11166355600011 51.7733275940002,1.13221855600017 51.7769365940002,1.18139055600011 51.7897185940001,1.20402755600009 51.7980455940001,1.2236095560001 51.8088815940001,1.26610955600012 51.8391635940001,1.28333655600011 51.8523545940001,1.29326355600011 51.8740905940002,1.28097255600011 51.8809635940001,1.20833655600012 51.9508275940002,1.1634725560001 52.0236095940002,1.2647185560001 51.9924905940002,1.27749955600018 51.9855455940001,1.31778155600011 51.9435995940001,1.33124555600017 51.9287455940001,1.39028155600022 51.9699905940002,1.5797185560001 52.0763815940001,1.58736355600024 52.0838815940002,1.6263905560001 52.1780545940001,1.62999955600014 52.1952725940003,1.68575455600012 52.3262995940002,1.72666355600012 52.3816635940002,1.73305455600024 52.3930545940001,1.73028155600014 52.4113815940002,1.74944555600018 52.4558275940001,1.74898155600016 52.5291095940001,1.7458995560001 52.6202095940001,1.7211095560001 52.6766635950001,1.70721855600021 52.7061095950002,1.70249955600008 52.7158275950001,1.68639055600016 52.7366635950002,1.67528155600024 52.7480545950001,1.65694555600015 52.7641635950002,1.64528155600016 52.7711095950003,1.53083655600017 52.8252725950001,1.51721855600016 52.8313815950002,1.50360955600019 52.8374905950001,1.46860955600005 52.8544365950002,1.43221855600018 52.8747185950002,1.39333655600024 52.8936095950002,1.37278155600018 52.9024995950002,1.35249955600017 52.9097185950001,1.30583655600014 52.9216635950001,1.28221855600015 52.9274995950001,1.18389055600016 52.9388905950001,1.00583655600013 52.9527725950001,0.994718556000237 52.9511095950002,0.969718556000089 52.9499995950002,0.942218556000228 52.9508275950001,0.909581556000092 52.9526365950002,0.898609556000167 52.9577725950001,0.884718556000109 52.9663815950001,0.66721855500009 52.9761095950001,0.547781555000029 52.9661815950003,0.49139055500018 52.9342995950002,0.444309555000245 52.8656905950002,0.438336555000205 52.8455545950002,0.434999555000161 52.8329095950002,0.429027555000232 52.8240275950001,0.378890555000169 52.7813905950002,0.363336555000217 52.7802725950003,0.240072555000097 52.7961725950001,0.217781555000101 52.8069365950002,0.186945555000136 52.8377725950002,0.173890555000128 52.8520815950002,0.161245555000164 52.8624995950001,0.147499555000195 52.8686095950001,0.122218555000131 52.8774905950002,0.0863905550000936 52.8897185950001,0.0720815550002385 52.8909725950002,0.0577815550001333 52.8891635950002,0.0280545550002103 52.8808275950001,0.00210955500023147 52.8798545950003,0.0322185550001564 52.9172185950002,0.173336555000105 53.0091635950001,0.203890555000044 53.0280545950002,0.276663555000198 53.0669365950001,0.326663555000096 53.0831905950003,0.339163555000141 53.0923545950002,0.355418555000199 53.1440275950001,0.357781555000145 53.1608275950002,0.356390555000132 53.1763815950001,0.353890555000078 53.1872185950001,0.339581555000109 53.2347185950002,0.269999555000197 53.3463815950003,0.254999555000211 53.3677725950002,0.247499555000161 53.3805545950001,0.235554555000192 53.3994365950002,0.216945555000223 53.4169365950002,0.16860955500016 53.4599995950002,0.143472555000244 53.4752725950002,0.125690555000176 53.4744365950002,0.0852815550001651 53.4863815950001,0.0269455550001112 53.5097185950002,-0.10083644499997 53.5730545950001,-0.117218444999821 53.5819365950002,-0.207218445999956 53.6308275950001,-0.222781445999885 53.6444365950001,-0.230554445999871 53.6533275950002,-0.241563445999873 53.6680545950001,-0.264445445999968 53.6908275950001,-0.287781445999826 53.7086095950001,-0.301663445999907 53.7131905950002,-0.390218445999949 53.7079455950002,-0.457890445999908 53.6961095950002,-0.50489044599982 53.6864365950001,-0.519718445999843 53.6852725950002,-0.693054445999962 53.6860995950001,-0.716527445999873 53.6963815950002,-0.678754445999914 53.7174905950002,-0.654445445999954 53.7252725950001,-0.632218445999854 53.7291635960001,-0.619718445999979 53.7299995960002,-0.605836445999955 53.7297185960002,-0.58194544599985 53.7241635950003,-0.564999445999888 53.7113815950001,-0.549163445999966 53.7061095950002,-0.42260944599991 53.7175545950002,-0.380945445999828 53.7265545950002,-0.357281445999945 53.7305545960002,-0.293890445999978 53.7366635960002,-0.27249944599987 53.7355455960003,-0.249445445999925 53.7297185960002,-0.231390445999864 53.7216635950002,-0.171663444999865 53.6752815950002,-0.141945444999976 53.6480455950001,-0.129718444999867 53.6413905950001,-0.105836444999966 53.6316635950002,-0.085554444999957 53.6244455950002,-0.0751364449999414 53.6229185950002,-0.0516634449999742 53.6230545950002,-0.0347184449998394 53.6255455950002,5.55000212898449e-07 53.6355365950002,0.0140275550000979 53.6390275950002,0.0297185550002155 53.6399995950002,0.0441635550001251 53.6391635950003,0.0674995550002109 53.6333275950002,0.0891635550001979 53.6266635950002,0.109163555000123 53.6191635950001,0.130554555000231 53.6083275950001,0.137709555000185 53.5936095950002,0.123336555000094 53.5755545950003,0.116045555000085 53.5667995950002,0.142081555000118 53.5805545950002,0.149445555000113 53.5884725950002,0.153890555000203 53.6027725950002,0.149445555000113 53.6147185950002,0.141109555000128 53.6272185950001,0.126390555000171 53.6452725950002,0.0626365550002106 53.7038905950002,-0.0130544449998524 53.7686095960002,-0.0538904449999222 53.8030545960002,-0.0994454449999012 53.8397185960002,-0.112781444999939 53.8505545960002,-0.127499444999955 53.8638815960001,-0.169163444999867 53.9184725960002,-0.212218445999952 54.0083275960001,-0.215554445999828 54.0187455960003,-0.214581445999897 54.0312455960001,-0.205690445999835 54.0515275960001,-0.173890444999927 54.0816635960001,-0.161109444999965 54.0880545960001,-0.138754444999847 54.0948545960002,-0.112499444999969 54.0983275960001,-0.0793094449999785 54.1133995960002,-0.116945444999885 54.1322185960001,-0.151663444999826 54.1413905960001,-0.200527445999853 54.1517095960002,-0.262499445999822 54.1744365960002,-0.381945445999975 54.2555545960001,-0.393472445999976 54.2674995960001,-0.393336445999921 54.2727725960002,-0.421663445999911 54.3322185960002,-0.436109445999932 54.3502725960003,-0.457499445999872 54.3769365960002,-0.518472445999976 54.4474905960002,-0.564718445999915 54.4799995960001,-0.87583644599988 54.5702725960002,-1.04389044599992 54.6130545960001,-1.06139044599996 54.6172185960002,-1.16528144599982 54.6497185960002,-1.29749944699989 54.7636095960002,-1.30444544699986 54.7713815960003,-1.34555444699987 54.8713815970001,-1.36499944699989 54.9277725970001,-1.38139044699994 54.9763905970003,-1.41278144699993 54.9994455970002,-1.48291844699992 55.0862455970002,-1.51499944699992 55.1497185970002,-1.52055444699982 55.1641635970001,-1.56583644699987 55.2872185970002,-1.59742744699997 55.3853455970002,-1.58249944699992 55.3999905970001,-1.57444544699985 55.4152725970001,-1.58097244699997 55.4836095970002,-1.63597244699986 55.5819365970002,-1.68999944699993 55.6055545970001,-1.74694544699997 55.6249905970001,-1.79471844699998 55.6369365970002,-1.80499944699994 55.6311095970001,-1.81763644699987 55.6330545970001,-1.85139044699991 55.6572185970002,-1.97680944699982 55.7541635970001,-2.00083644699981 55.7802725970002,-2.01360944699991 55.7949995970001,-2.02166344699998 55.8061095970001,-2.06110944699998 55.8399995970002,-2.07055444699995 55.8505545970001,-2.07971844699995 55.8672185970003,-2.13028144699996 55.8858275980001,-2.26028144699984 55.9186095980002,-2.37528144799984 55.9569365980003,-2.50221844799995 56.0027725980002,-2.60055444799997 56.0433275980002,-2.6311094479999 56.0547185980001,-2.65721844799992 56.0597185980001,-2.78221844799998 56.0613815980003,-2.79416344799995 56.0602725980002,-2.82028144799995 56.0569365980002,-2.83389044799992 56.0511095980002,-2.86618144799996 56.0283995980001,-2.89555444799981 55.9886095980002,-2.90833644799983 55.9790185980002,-2.92444544799991 55.9724995980002,-2.93499944799987 55.9694455980002,-3.01805444799987 55.9494365980001,-3.05305444799995 55.9435995980002,-3.06749944799992 55.9444455980002,-3.08805444799998 55.9480545980002,-3.25471844799995 55.9716635980002,-3.45471844899993 55.9919455980002,-3.64610944899994 56.0049995980003,-3.66416344899989 56.0065185980002,-3.72375444899984 56.0273545980002,-3.7372184489999 56.0555455980002,-3.71971844899986 56.0566635980002,-3.5824994489999 56.0549905980003,-3.57139044899998 56.0535995980001,-3.49749944899992 56.0344365980001,-3.44110944899995 56.0191635980001,-3.40944544799993 56.0124995980001,-3.39583644799995 56.0108275980002,-3.34402744799996 56.0233275980003,-3.15305444799992 56.0885365980001,-3.13902744799998 56.1108365980002,-2.97610944799987 56.1947185980002,-2.95694544799983 56.2022185980002,-2.93166344799982 56.2052725980002,-2.91666344799995 56.2049905980001,-2.88778144799988 56.2019455980002,-2.87763644799998 56.1995815980002,-2.85778144799986 56.1902725980002,-2.84694544799981 56.1863815980001,-2.83444544799994 56.1836095980001,-2.81999944799998 56.1841635980001,-2.78805444799997 56.1874905980002,-2.67937244799992 56.2146455980001,-2.58347244799995 56.2685365980003,-2.58402744799986 56.2826365980002,-2.63742744799987 56.3142995980002,-2.67208144799991 56.3227725980001,-2.70416344799992 56.3247185980002,-2.72708144799998 56.3242995980002,-2.76860944799984 56.3317995980001,-2.80236344799988 56.3456905980001,-2.81333644799997 56.3627815980001,-2.81528144799995 56.3735995980003,-2.80944544799991 56.3966635980003,-2.79999944799994 56.4128455980001,-2.80416344799994 56.4327815980001,-2.81208144799996 56.4395815980002,-2.86999944799987 56.4494365980003,-2.88444544799989 56.4513815980002,-2.90083644799995 56.4522185980002,-2.9165274479999 56.4501365980001,-2.9322184479999 56.4427725980003,-2.99555444799984 56.4141635980001,-3.19041844799995 56.3595815980002,-3.25249944799987 56.3480545980001,-3.26471844799994 56.3461095980002,-3.27805444799998 56.3574995980002,-3.08083644799996 56.4486095980002,-3.07028144799989 56.4519455980002,-3.05194544799997 56.4549905980002,-3.04055444799991 56.4547185980001,-2.95860944799983 56.4561095980003,-2.89528144799988 56.4638815980001,-2.72083644799983 56.4888815980002,-2.64083644799985 56.5224995980002,-2.55139044799989 56.5638905980003,-2.53125444799986 56.5761095980002,-2.48860944799986 56.6141635980002,-2.44848144799994 56.6914365980001,-2.46278144799982 56.6963905980002,-2.47805444799997 56.7152725980002,-2.41528144799992 56.7586095980002,-2.38999944799991 56.7716635980001,-2.34805444799991 56.7844365980002,-2.31986344699993 56.7963815980002,-2.21971844699988 56.8677725980002,-2.19416344699994 56.9024995980002,-2.18583644699993 56.9201365980002,-2.18971844699996 56.9324905980003,-2.19708144699996 56.9438815980002,-2.19639044699983 56.9622185990002,-2.1902814469999 56.9747185990003,-2.16694544699988 57.0005455990002,-2.09333644699996 57.0702725990002,-2.06721844699996 57.1344365990001,-2.07430944699996 57.1476365990002,-2.06583644699992 57.1905545990002,-2.06166344699989 57.2041635990001,-2.05416344699984 57.2186095990001,-1.97486344699985 57.3170815990003,-1.95889044699993 57.3324995990002,-1.85583644699989 57.3988905990002,-1.77333644699991 57.4580545990002,-1.77416344699986 57.4908275990002,-1.78139044699998 57.5055545990001,-1.82194544699991 57.5786095990001,-1.85999944699989 57.6213815990002,-1.91833644699983 57.6705545990003,-1.92971844699986 57.6777725990001,-2.02221844699989 57.6938815990002,-2.07555444699995 57.6994365990003,-2.11999944699983 57.6974905990002,-2.13139044699989 57.6952725990001,-2.14028144699995 57.6905545990002,-2.1699994469999 57.6709725990002,-2.18610944699986 57.6686095990001,-2.39625444799992 57.6663815990001,-2.44444544799995 57.6683275990002,-2.50999944799997 57.6716635990002,-2.56999944799986 57.6797185990002,-2.64583644799984 57.6880455990001,-2.78639044799996 57.7022185990002,-2.85278144799997 57.7058275990002,-2.89805444799981 57.7069365990001,-2.92360944799992 57.6969365990002,-2.94249944799986 57.6894365990001,-2.9674994479999 57.6802725990002,-2.98944544799991 57.6741635990001,-3.02249944799996 57.6652725990002,-3.03847244799994 57.6624905990003,-3.08083644799996 57.6655545990001,-3.12333644799986 57.6716635990002,-3.22333644799983 57.6916635990002,-3.24610944799997 57.6983275990002,-3.26110944799984 57.7047185990001,-3.27805444799998 57.7180545990001,-3.28625444799997 57.7249905990002,-3.33971844799993 57.7233275990003,-3.48805444899995 57.7094455990001,-3.49805444899982 57.7027725990002,-3.49562744899993 57.6908275990001,-3.50486344899991 57.6748545990002,-3.52221844899987 57.6633275990002,-3.59541844899996 57.6366635990001,-3.62444544899995 57.6324995990002,-3.64062744899985 57.6388095990002,-3.75413644899993 57.6250365990002,-4.03986344899982 57.5556905990002,-4.15889044899996 57.4966635990003,-4.17916344899993 57.4894365990002,-4.19666344899997 57.4858365990003,-4.21305444899986 57.4861095990001,-4.22528144899997 57.4891635990002,-4.23778144899984 57.4966635990003,-4.22889044899989 57.5155455990002,-4.21083644899983 57.5361095990002,-4.1794454489999 57.5624905990001,-4.11139044899988 57.5983275990002,-4.04666344899988 57.6427725990002,-4.08078144899991 57.6653275990001,-4.19139044899987 57.6713905990002,-4.22778144899996 57.6649905990002,-4.24944544899984 57.6594365990002,-4.25944544899988 57.6552725990002,-4.31249944899997 57.6280545990001,-4.33028144899981 57.6188905990002,-4.34360944899981 57.6077725990001,-4.37833644899996 57.5897185990002,-4.41471844899991 57.5727725990002,-4.43152744899982 57.5727725990002,-4.41639044899989 57.6016635990002,-4.29666344899994 57.6744365990002,-4.09778144899991 57.7238815990001,-4.08528144899992 57.7261095990003,-4.03110944899993 57.7313815990002,-4.01944544899993 57.7280545990002,-4.01628144899996 57.7164635990002,-4.01908144899983 57.7022545990002,-4.0011094489999 57.6930545990002,-3.98889044899983 57.6952725990001,-3.97778144899991 57.6983275990002,-3.96860944899987 57.7024995990002,-3.94805444899993 57.7148545990001,-3.86555444899994 57.7686095990002,-3.81944544899994 57.8045815990003,-3.77778144899986 57.8436095990002,-3.77402744899985 57.8548545990002,-3.78833644899993 57.8611095990001,-3.8068094489999 57.8581905990002,-3.82347244899989 57.8483275990002,-3.83819044899997 57.8276365990002,-3.8505544489999 57.8199995990002,-3.87471844899994 57.8152725990003,-3.92639044899988 57.8074905990001,-4.04321844899994 57.8143815990002,-4.14972744899995 57.8252725990002,-4.28333644899993 57.8441635990002,-4.29749944899982 57.8463815990001,-4.34986344899983 57.8604095990001,-4.39166344899996 57.9013905990002,-4.37805444899982 57.9036095990001,-4.36249944899993 57.8977725990001,-4.24305444899994 57.8702815990001,-4.11999944899998 57.8508275990002,-4.10666344899994 57.8519455990002,-4.01499944899996 57.8677725990002,-3.99166344899993 57.9061095990002,-4.01166344899997 57.9269365990002,-3.9969454489999 57.9505545990002,-3.84499944899989 58.0199995990002,-3.6844454489999 58.0897186000002,-3.56610944899984 58.1391636000002,-3.51319044899992 58.1637456000002,-3.48333644899992 58.1827816000001,-3.45916344899985 58.2030546000001,-3.44430944899995 58.2230546000002,-3.42028144899996 58.2436096000003,-3.3819454479999 58.2647186000002,-3.36034544799998 58.2751366000003,-3.33749944799985 58.2769366000002,-3.20555444799987 58.3062456000001,-3.12194544799996 58.3694366000002,-3.10971844799985 58.3816636000003,-3.0579184479999 58.4508276000002,-3.01471844799988 58.6381906000002,-3.0226364479999 58.6465276000002,-3.17639044799984 58.6494366000003,-3.35389044799996 58.6605546000002,-3.37333644799992 58.6274906000002,-3.35299044799984 58.6164546000002,-3.35958144799991 58.5995816000001,-3.36930944799997 58.5955546000002,-3.55333644899986 58.6091636000002,-3.57610944899983 58.6219366000003,-3.66028144899985 58.6197186000002,-3.71166344899996 58.6037456000002,-3.73028144899996 58.5927726000002,-3.78263644899982 58.5674996000002,-3.84833644899987 58.5599996000001,-3.90333644899982 58.5583276000002,-4.08055444899998 58.5552726000002,-4.27721844899997 58.5336096000001,-4.42889044899994 58.5397186000002,-4.43652744899981 58.5490186000002,-4.47610944899986 58.5610996000002,-4.50666344999996 58.5677726000002,-4.56055444999993 58.5758366000001,-4.57833644999994 58.5744366000002,-4.58860944999986 58.5708276000001,-4.59736344999993 58.5615276000001,-4.59971844999984 58.5499996000002,-4.59909944999987 58.5302726000003,-4.66805444999994 58.4883276000002,-4.74139044999993 58.4483276000001,-4.76145444999986 58.4460366000002,-4.71778144999996 58.4944366000001,-4.70194544999993 58.5099906000003,-4.67666344999992 58.5244366000002,-4.70166344999996 58.5586096000002,-4.77013644999994 58.6026366000001,-5.00152744999991 58.6241636000001,-5.10944544999995 58.5083276000001,-5.16889044999982 58.3649996000001,-5.17471844999983 58.3499996000001,-5.16471844999995 58.3252726000002,-5.12639044999992 58.2874996000002,-5.08221844999997 58.2688816000002,-5.07555444999997 58.2672186000003,-5.0716634499999 58.2647186000002,-5.20360944999993 58.2508276000001,-5.36860944999989 58.2591636000003,-5.38944544999993 58.2602726000002,-5.39763644999988 58.2505456000002,-5.29416344999981 58.1498636000002,-5.27444544999992 58.1486096000002,-5.27389044999984 58.1172186000002,-5.28145444999996 58.0772186000002,-5.29333644999997 58.0684726000002,-5.3151364499999 58.0641636000002,-5.37194544999988 58.0761096000002,-5.38416344999996 58.0836096000001,-5.40833644999987 58.0941636000001,-5.42291844999988 58.0981906000002,-5.44236344999985 58.0936096000001,-5.45284544999981 58.0741636000001,-5.41694544999996 58.0427726000003,-5.39805444999985 58.0311096000002,-5.26278144999986 57.9711095990002,-5.20305444999985 57.9547185990003,-5.19333644999983 57.9506905990002,-5.09833644999998 57.8680455990003,-5.10278144999995 57.8508275990002,-5.11194544999995 57.8594455990003,-5.12749944999985 57.8694365990002,-5.21749944999982 57.9008365990002,-5.33860944999998 57.9208275990002,-5.42875444999987 57.9010365990002,-5.45749944999994 57.8588905990002,-5.61110945099995 57.9236095990002,-5.63180945099992 57.9115185990001,-5.64444545099997 57.8997185990002,-5.64412745099986 57.8805905990003,-5.63466345099982 57.8643905990002,-5.62555445099991 57.8522185990003,-5.59958145099995 57.8448545990002,-5.58166345099994 57.8316635990002,-5.58152745099989 57.8194455990002,-5.6067364509999 57.7661815990002,-5.64110945099998 57.7738905990002,-5.66305445099994 57.7888905990002,-5.6834454509999 57.8457635990001,-5.6936904509999 57.8519635990001,-5.71694545099996 57.8694365990002,-5.75499945099989 57.8674905990001,-5.76694545099986 57.8647185990001,-5.80139045099986 57.8538815990001,-5.81708145099998 57.8194365990001,-5.81083645099983 57.6395815990001,-5.69555445099985 57.5594365990002,-5.66999945099991 57.5466635990001,-5.65499945099987 57.5470815990003,-5.64360945099997 57.5522185990002,-5.53528144999984 57.5522185990002,-5.51971844999991 57.5484635990002,-5.51013644999989 57.5331905990002,-5.53083644999987 57.5283275990002,-5.61999945099984 57.5247185990002,-5.64278145099985 57.5086095990001,-5.65305445099995 57.5087455990002,-5.74999945099989 57.5483365990002,-5.7769454509999 57.5699995990001,-5.81569045099991 57.5792275990001,-5.8397184509999 57.5727725990002,-5.85041845099988 57.5497185990001,-5.8698634509999 57.4938815990003,-5.87139045099997 57.4791635990002,-5.86694545099988 57.4677725990002,-5.85999945099991 57.4508275990001,-5.81805445099991 57.3624995990001,-5.7886094509999 57.3438905990001,-5.77375445099995 57.3401365990002,-5.75110945099982 57.3433275990002,-5.63255445099992 57.3705545990003,-5.50333644999984 57.4011095990001,-5.46222744999983 57.4199995990002,-5.45125444999991 57.4180455990002,-5.45278144999986 57.3961095990001,-5.46083644999993 57.3884725990002,-5.49249944999997 57.3708275990001,-5.52055444999991 57.3591635990001,-5.57568145099998 57.3321455990002,-5.59884545099987 57.3304905990002,-5.5711634509999 57.2841095990001,-5.51266344999982 57.2774455990001,-5.40513644999987 57.2309725990002,-5.42513644999991 57.2188815990002,-5.44971844999992 57.2213815990001,-5.47680944999985 57.2295815990002,-5.49471844999988 57.2388815990002,-5.53966344999986 57.2475185990002,-5.54849944999989 57.2564365990002,-5.56066345099987 57.2547725990001,-5.61041845099982 57.2411905990003,-5.64610945099997 57.2349905990003,-5.64750945099991 57.1616095990001,-5.55028144999989 57.1163905990002,-5.48166344999993 57.1122185990002,-5.45721844999997 57.1166635990003,-5.44360944999983 57.1183275990003,-5.42083644999985 57.1177725990001,-5.4030544499999 57.1106185990001,-5.51805444999991 57.0880545990001,-5.5370814499999 57.0881905990002,-5.55944545099987 57.0924995990002,-5.57749945099994 57.0974995990002,-5.61160945099994 57.1034365990002,-5.62044545099997 57.1106095990001,-5.65110945099997 57.1161095990001,-5.69160945099992 57.1109365990001,-5.72471845099989 57.1130545990002,-5.7752814509999 57.0806905990001,-5.78583645099997 57.0680545990002,-5.78729045099993 57.0540905990001,-5.77360945099986 57.0455545990001,-5.65389045099994 56.9919455990002,-5.6313904509999 56.9849905990001,-5.61610945099994 56.9847185990002,-5.56916345099989 56.9897185990002,-5.55194544999989 56.9931905990002,-5.52402744999995 56.9973545990002,-5.53805444999995 56.9894365990002,-5.56610945099987 56.9822185990001,-5.57916345099994 56.9799995990002,-5.62971845099992 56.9730545990002,-5.64610945099997 56.9722185990001,-5.66110945099985 56.9761095990002,-5.67166345099992 56.9797185990002,-5.69721845099986 56.9891635990001,-5.72228145099996 56.9967185990003,-5.73373645099997 57.0090905990002,-5.75110945099982 57.0117185990002,-5.76344545099988 57.0102185990002,-5.79416345099997 57.0136095990002,-5.80610945099994 57.0113815990002,-5.82583645099987 57.0034635990002,-5.91958145099983 56.8870815980001,-5.88278145099991 56.8790275980002,-5.86528145099987 56.8794365980001,-5.81805445099991 56.8855545980002,-5.76749945099994 56.8924905980002,-5.74278145099981 56.8937455980001,-5.67249945099991 56.8761095980002,-5.66291845099994 56.8692365980001,-5.71805445099989 56.8394365980002,-5.73305445099993 56.8391635980002,-5.7491634509999 56.8422185980002,-5.78583645099997 56.8395545980002,-5.85312745099992 56.8278365980002,-5.85589945099997 56.8142995980001,-5.83944545099996 56.8035995980001,-5.80208145099982 56.7917995980003,-5.84958145099989 56.7444455980001,-5.8674994509999 56.7427725980003,-5.90499945099998 56.7566635980001,-5.94028145099998 56.7755545980002,-5.95110945099998 56.7808275980001,-5.9669454509999 56.7802725980002,-6.13999945099988 56.7577725980002,-6.19208145099998 56.7488815980001,-6.23451845099993 56.7167275980001,-6.22778145099983 56.6972185980002,-6.20916345099982 56.6841635980002,-6.19139045099985 56.6797185980001,-5.91916345099997 56.6738815980002,-5.84539045099996 56.6808815980003,-5.82621845099987 56.6915545980002,-5.79278145099994 56.7013815980002,-5.7794454509999 56.7077725980001,-5.76597245099981 56.7113815980002,-5.73944545099982 56.7116635980002,-5.55239944999983 56.6888545980002,-5.61249945099996 56.6819365980002,-5.64860945099997 56.6802725980001,-5.69916345099995 56.6827815980002,-5.88260945099989 56.6566635980002,-5.97471845099983 56.6513815980001,-5.98749945099996 56.6494365980001,-5.99680945099988 56.6452725980002,-6.00971845099986 56.6334725980001,-6.00930945099992 56.6224905980001,-5.99583645099983 56.6113815980002,-5.94278145099986 56.5766635980002,-5.93055445099992 56.5697185980002,-5.89555445099984 56.5569365980003,-5.88416345099995 56.5533275980002,-5.82666345099983 56.5422185980001,-5.79055445099982 56.5380545980001,-5.69360945099987 56.5113905980001,-5.67694545099988 56.4938905980002,-5.60194545099989 56.5194365980001,-5.59278145099989 56.5241635980002,-5.56389045099996 56.5405545980001,-5.36333644999996 56.6619455980002,-5.23416344999987 56.7433275980002,-5.18889044999986 56.7763815980002,-5.15444544999986 56.7991635980001,-5.12083644999984 56.8147185980002,-5.13236344999996 56.7940275980002,-5.17639044999981 56.7599905980002,-5.24221844999994 56.7122185980001,-5.31472744999991 56.6566635980002,-5.38305444999986 56.5830545980002,-5.37405444999985 56.5592455980002,-5.35380944999997 56.5463275980002,-5.3366364499999 56.5482455980002,-5.3182634499999 56.5563275980001,-5.25079944999993 56.5575275980001,-5.33684544999994 56.5165365980001,-5.36350944999998 56.5149545980001,-5.37718144999985 56.5211185980002,-5.39866344999996 56.4786635980001,-5.36833644999996 56.4743275980002,-5.23208144999984 56.4509725980001,-5.21444544999997 56.4519455980002,-5.20305444999985 56.4541635980002,-5.19110944999989 56.4619365980001,-5.11555444999988 56.5127725980001,-5.10389044999988 56.5294455980003,-5.09583644999998 56.5447185980001,-5.08416344999995 56.5570815980002,-5.07013644999995 56.5606905980002,-5.10778144999995 56.5077725980001,-5.12055444999987 56.4955545980002,-5.13555444999992 56.4849905980001,-5.19333644999983 56.4483275980002,-5.20610944999993 56.4409725980001,-5.22083644999987 56.4358275980002,-5.23875444999987 56.4359725980001,-5.30855444999986 56.4296635980002,-5.32763644999989 56.4357455980002,-5.42439044999992 56.4309095980001,-5.43721844999993 56.4223275980002,-5.5230544499999 56.3866635980001,-5.52610944999998 56.3735995980003,-5.57139045099996 56.3283275980002,-5.59652745099993 56.2569455980003,-5.59778145099995 56.1597185980001,-5.57389045099995 56.1599995980002,-5.55889044999998 56.1694455980002,-5.5322184499999 56.1824905980002,-5.51576344999989 56.1852725980002,-5.51999944999989 56.1648545980001,-5.56333645099994 56.1133275980002,-5.60139045099987 56.0763815980002,-5.63249945099983 56.0519365980002,-5.64221845099991 56.0430545980001,-5.67784545099983 55.9940095980003,-5.67595445099994 55.9741365980001,-5.66039045099996 55.9826275980001,-5.62555445099991 56.0205545980001,-5.59749945099998 56.0322185980001,-5.57805445099996 56.0375635980002,-5.58013645099982 56.0131905980001,-5.63360945099981 55.9661095980002,-5.65489045099997 55.9249455980002,-5.66439045099997 55.9192725980001,-5.67389045099998 55.9135275980001,-5.67789045099983 55.8994365980003,-5.67697245099981 55.8884365980002,-5.67319045099987 55.8052725970001,-5.64749945099987 55.7813905970002,-5.60986345099991 55.7592995970002,-5.66916345099992 55.6616635970001,-5.70166345099994 55.5886095970002,-5.71805445099989 55.5149995970002,-5.71763645099986 55.4445815970003,-5.7243094509999 55.4340275970001,-5.75916345099989 55.4174995970002,-5.78778145099989 55.3963815970001,-5.79430945099989 55.3881905970002,-5.79583645099996 55.3733275970002,-5.79528145099994 55.3602725970003,-5.78889045099987 55.3087455970002,-5.78166345099993 55.2990185970002,-5.76583645099993 55.2936095970001,-5.75249945099989 55.2919365970002,-5.73778145099982 55.2922185970002,-5.59583645099997 55.3058275970001,-5.56694545099987 55.3166635970002,-5.53528144999984 55.3405545970002,-5.5230544499999 55.3522185970002,-5.51528144999997 55.3634725970002,-5.53402744999983 55.3969455970002,-5.55519944999986 55.4143995970002,-5.48639044999987 55.6430545970001,-5.46889044999983 55.6686095970002,-5.45694544999986 55.6844365970002,-5.45333644999994 55.6869455970001,-5.44597244999994 55.7067995970002,-5.40416344999983 55.7363815970002,-5.37999944999996 55.7502725970003,-5.41889044999994 55.9066635980001,-5.42916344999986 56.0069365980001,-5.39923644999993 55.9997185980003,-5.35610944999985 56.0248905980002,-5.33894544999981 56.0345545980001,-5.31678144999995 56.0553815980001,-5.30594544999997 56.0692185980001,-5.28744544999989 56.0840545980002,-5.25889044999997 56.1069455980001,-5.23889044999993 56.1188905980002,-5.20583644999982 56.1372185980002,-5.0322184499999 56.2324995980002,-4.92229044999982 56.2711095980002,-4.94726344999992 56.2499995980002,-4.97416344999994 56.2333275980003,-5.07221844999998 56.1869455980003,-5.20069044999991 56.1186095980001,-5.27355444999984 56.0416635980002,-5.28105444999983 56.0344995980002,-5.30905444999991 56.0056995980001,-5.34083644999993 55.9261095980001,-5.33999944999988 55.9020095980002,-5.30528144999994 55.8522185970001,-5.29249944999998 55.8474995970003,-5.20749944999983 55.8287455970002,-5.20805444999991 55.8444455970002,-5.22960944999994 55.8740725970001,-5.22458144999985 55.9017545980002,-5.20611844999996 55.9218905980002,-5.17333644999997 55.9291635980002,-5.10999944999998 55.9030545980002,-5.02583644999987 55.8697185970001,-5.01221844999986 55.8669455970002,-4.98666344999992 55.8649275970002,-4.96194544999986 55.8799995980002,-4.92843644999994 55.9336275980002,-4.91333644999997 55.9613185980002,-4.8982364499999 55.9814455980002,-4.88145444999992 56.0712185980003,-4.86719944999987 56.1056095980002,-4.82860944999993 56.1131635980001,-4.84622744999996 56.0863185980001,-4.85964544999996 56.0703815980001,-4.86635444999985 56.0317815980002,-4.85460944999983 55.9864815980002,-4.81014544999988 55.9764185980001,-4.77659044999996 55.9797725980002,-4.62722744999991 55.9455455980003,-4.50110944999989 55.9291635980002,-4.48541844999994 55.9236095980002,-4.5230544499999 55.9186095980002,-4.57028144999987 55.9211095980001,-4.70971844999985 55.9340275980001,-4.75166344999985 55.9461095980002,-4.79039044999985 55.9508725980002,-4.82405444999989 55.9494995980002,-4.87826344999996 55.9365275980002,-4.91639044999988 55.7008275970001,-4.90389044999989 55.6897185970002,-4.87583644999995 55.6819365970002,-4.86083644999991 55.6722185970002,-4.81360944999994 55.6455545970002,-4.76916344999989 55.6286095970003,-4.72944544999996 55.6177725970001,-4.70778144999991 55.6111095970002,-4.69680944999988 55.6056905970002,-4.68721844999982 55.5974995970001,-4.65944544999985 55.5619455970002,-4.62291844999982 55.5138815970003,-4.6136094499999 55.4906905970003,-4.63958144999987 55.4426365970001,-4.65375444999989 55.4372185970002,-4.68249944999991 55.4338815970001,-4.71360944999992 55.4249995970003,-4.72889044999988 55.4202725970001,-4.74847244999995 55.4105545970002,-4.83715444999996 55.3188185970001,-4.84778144999984 55.2694365970002,-4.86541844999994 55.2233995970001,-4.93499944999985 55.1785995970001,-4.97389044999983 55.1549995970002,-4.99916344999997 55.1419365970001,-5.01249944999984 55.1334725970002,-5.05360944999984 55.0490185970001,-5.10499944999998 55.0238905970002,-5.15221844999996 55.0116635970002,-5.16221844999995 55.0088905970002,-5.17416344999992 55.0005455970003,-5.17833644999996 54.9888815970001,-5.18562744999997 54.9362185970001,-5.18444544999988 54.9216635970002,-5.17791844999994 54.9042995970002,-5.16999944999992 54.8911095970003,-5.14221844999992 54.8572185970001,-5.13194544999982 54.8452725970002,-5.11666344999998 54.8317995970002,-5.10249944999981 54.8216635970001,-5.07471844999998 54.8058275970002,-5.03528144999984 54.7822185960002,-5.00499944999996 54.7633275960002,-4.95847244999993 54.7241635960002,-4.95263644999994 54.6966635960001,-4.9622904499999 54.6812455960002,-4.95013644999995 54.6549905960002,-4.93680944999994 54.6466635960002,-4.92249944999998 54.6405455960001,-4.86416344999992 54.6272185960002,-4.85722744999981 54.6295815960002,-4.87089944999985 54.6853365960001,-4.88791844999997 54.6961095960001,-4.89999944999994 54.7011095960001,-4.91194544999996 54.7166635960003,-4.94472744999996 54.7674905960002,-4.96076344999994 54.7968725960001,-4.93555444999993 54.8297185970002,-4.9243094499999 54.8370815970002,-4.89389044999984 54.8519455970003,-4.85221844999995 54.8686095970002,-4.82555444999991 54.8644365970001,-4.81416344999997 54.8616635970002,-4.80125444999982 54.8555545970001,-4.74055444999993 54.8216635970001,-4.68083644999996 54.7997185960002,-4.59860944999991 54.7802725960001,-4.5608364499999 54.7499995960002,-4.55791844999987 54.7390275960002,-4.50610944999988 54.7027725960002,-4.49639044999998 54.6988815960001,-4.40221844899986 54.6769365960002,-4.38721844899982 54.6755545960003,-4.37583644899996 54.6766635960001,-4.36499944899992 54.6802725960002,-4.35583644899992 54.6880455960001,-4.34805444899996 54.6991635960002,-4.34569044899996 54.7091635960002,-4.35972744899982 54.7711095960001,-4.41110944899992 54.8258275970002,-4.4285454489999 54.8640905970001,-4.42444544899996 54.8815185970002,-4.39805444899986 54.9063905970002,-4.38479044899992 54.9055545970002,-4.38069044899987 54.8931905970002,-4.37847244899984 54.8819455970002,-4.35055444899996 54.8590275970002,-4.1358364489999 54.7747185960001,-4.09555444899985 54.7677725960002,-3.97944544899985 54.7652725960002,-3.96499944899989 54.7652725960002,-3.95360944899983 54.7674905960002,-3.86971844899995 54.8052725970002,-3.81221844899983 54.8488815970002,-3.69249944899991 54.8810995970002,-3.62889044899987 54.8774905970002,-3.61583644899997 54.8752725970002,-3.58069044899986 54.9694365970002,-3.57110944899983 54.9908275970001,-3.44528144899982 54.9863815970002,-3.39055444799982 54.9741635970002,-3.37639044799982 54.9724995970002,-3.36055444799996 54.9713815970002,-3.14694544799983 54.9649995970001,-3.06639044799994 54.9747185970001,-3.05102744799996 54.9798635970002,-3.0413904479999 54.9788815970001,-3.02708144799982 54.9729095970002,-3.02569044799992 54.9474905970002,-3.10333644799982 54.9338815970002,-3.13291844799988 54.9313905970002,-3.17889044799983 54.9405545970002,-3.18812744799993 54.9467275970001,-3.20860944799989 54.9494365970001,-3.26999944799991 54.9413815970001,-3.28930944799987 54.9379185970003,-3.3811094479999 54.8844365970002,-3.39166344799992 54.8763905970001,-3.42916344899982 54.8155545970002,-3.56916344899986 54.6424905960003,-3.6326364489999 54.5122185960003,-3.61305444899983 54.4886095960002,-3.55694544899984 54.4483275960002,-3.52471844899986 54.4261095960002,-3.49305444899983 54.4033275960001,-3.46610944899982 54.3786095960002,-3.43389044899988 54.3480545960002,-3.41221844899985 54.2911095960002,-3.41055444799986 54.2801365960001,-3.38055444799983 54.2444365960002,-3.22999944799983 54.1009725960003,-3.21471844799987 54.0955545960002,-3.15221844799993 54.0819365960002,-2.93097244799992 54.1533275960002,-2.81360944799991 54.2227725960001,-2.81749944799998 54.1427725960001,-2.83360944799995 54.0849995960001,-2.89694544799988 53.9988815960002,-2.93249944799982 53.9505545960001,-3.02499944799985 53.9261095960001,-3.04347244799993 53.9187455960001,-3.05263644799993 53.9076365960002,-3.05971844799996 53.7974905960001,-3.05889044799994 53.7848545960002,-3.05278144799985 53.7673545960001,-3.03708144799998 53.7494365960001,-3.02166344799997 53.7397185960002,-3.00639044799988 53.7349905960002,-2.9927814479999 53.7327725960001,-2.96610944799983 53.7336095960001,-2.93944544799996 53.7347185960002,-2.92444544799991 53.7344455960002,-2.90721844799998 53.7323635960001,-2.89979044799992 53.7249905950001,-2.94221844799989 53.7080545950002,-2.97729044799991 53.6938185950002,-3.07305444799994 53.5980545950003,-3.09360944799988 53.5763815950001,-3.10562744799995 53.5599275950001,-3.01328144799993 53.4250545950002,-3.00678144799991 53.4173815950002,-2.96389044799997 53.3677725950002,-2.95389044799992 53.3602725950001,-2.87833644799991 53.3256905950001,-2.85736344799983 53.3208275950001,-2.77778144799987 53.3327725950001,-2.76944544799983 53.3392995950002,-2.71749944799996 53.3524905950002,-2.70492744799998 53.3506185950002,-2.75319044799994 53.3042995950002,-2.77639044799997 53.2924995950002,-2.86221844799991 53.2827725950002,-2.88249944799992 53.2852725950002,-2.89971844799982 53.2891635950002,-2.92829044799981 53.3021635950003,-2.94249944799986 53.3105545950002,-2.98944544799991 53.3672185950002,-3.02889044799991 53.3819095950002,-3.04363644799992 53.4036185950001,-3.05813644799991 53.4101635950003,-3.07248144799985 53.4093635950001,-3.17083644799993 53.4002725950002,-3.1802814479999 53.3961095950002,-3.18971844799984 53.3883275950002,-3.18889044799982 53.3777725950002,-3.17639044799984 53.3627815950002,-3.16694544799986 53.3570815950002,-3.15416344799985 53.3483275950002,-3.12610944799997 53.3249995950002,-3.08257244799989 53.2685365950002,-3.08859944799985 53.2600095950001,-3.10221844799997 53.2477725950001,-3.12597244799991 53.2555545950001,-3.21166344799997 53.2974905950001,-3.31889044799988 53.3469455950002,-3.33639044799992 53.3472185950002,-3.36278144799985 53.3461095950001,-3.38805444799982 53.3436095950003,-3.46166344899984 53.3205455950003,-3.58944544899987 53.2822185950002,-3.60986344899993 53.2794365950003,-3.69249944899991 53.2855545950002,-3.73013644899987 53.2894365950002,-3.85444544899997 53.2844365950002,-4.00305444899988 53.2419455950001,-4.01860944899994 53.2374995950001,-4.06639044899981 53.2263905950002,-4.10528144899996 53.2274905950001,-4.13458144899988 53.2297185950002,-4.15333644899988 53.2255545950002,-4.19639044899986 53.2061095950001,-4.33028144899981 53.1122185950003,-4.34458144899986 53.0651365950002,-4.35263644899993 53.0380545950002,-4.36097244899997 53.0288815950002,-4.46249944899989 52.9702725950002,-4.50583644999995 52.9461095950002,-4.52666344999983 52.9358275950001,-4.54028144999995 52.9305455950003,-4.55278144999983 52.9288905950001,-4.58610944999987 52.9238815950003,-4.61889044999987 52.9091635950002,-4.65110944999998 52.8869365950002,-4.72194544999996 52.8361095950001,-4.74110944999995 52.8194455950001,-4.75222744999996 52.8069365950002,-4.75849044999984 52.7872635950001,-4.74416344999986 52.7812455950001,-4.72778144999995 52.7813905950002,-4.53944544999996 52.7930545950002,-4.50028144999993 52.8294365950002,-4.47721844899996 52.8549995950002,-4.44055444899993 52.8724995950002,-4.41416344899983 52.8847185950002,-4.31291844899982 52.9049905950002,-4.23333644899986 52.9149905950002,-4.13360944899995 52.9144455950002,-4.11833644899986 52.8944365950003,-4.12986344899997 52.8872185950001,-4.13569044899998 52.8788815950002,-4.14833644899988 52.8004095950002,-4.13055444899993 52.7777725950002,-4.06333644899991 52.7241635950001,-4.05333644899991 52.7166635950002,-4.10639044899989 52.6508365940002,-4.1259724489999 52.6037455940001,-4.08055444899998 52.5533275940002,-4.06110944899984 52.5060995940001,-4.05971844899994 52.4858365940001,-4.09194544899992 52.3977725940002,-4.09666344899995 52.3858275940001,-4.13083644899984 52.3347185940001,-4.14305444899992 52.3202725940002,-4.19360944899989 52.2763815940002,-4.23166344899983 52.2488815940002,-4.29194544899991 52.2224995940001,-4.49763644999985 52.1370815940002,-4.52721844999985 52.1308275940002,-4.59055444999984 52.1316635940003,-4.62666344999997 52.1341635940001,-4.64402744999995 52.1344455940002,-4.66944544999984 52.1302725940002,-4.72278144999996 52.1130545940003,-4.73694544999995 52.1036095940002,-4.74610944999995 52.0902725940002,-4.7591634499999 52.0730545940002,-4.76778144999986 52.0644365940001,-4.83028144999997 52.0162455940002,-4.84444544999997 52.0138815940002,-5.0766634499999 51.9961095940002,-5.08069044999985 51.9769365940001,-5.09944544999991 51.9605545940002,-5.23916344999986 51.9163815940001,-5.25889044999997 51.8705545940002,-5.21333644999987 51.8705545940002,-5.18499944999996 51.8695815940002,-5.13166344999985 51.8563815940001,-5.1209724499999 51.8472185940001,-5.11528144999994 51.8333275940003,-5.10257244999991 51.7789545940002,-5.10999944999998 51.7674905940002,-5.12416344999986 51.7652725940002,-5.14819044999996 51.7652725940002,-5.16110944999986 51.7622185940001,-5.24694544999983 51.7302725940001,-5.22860944999996 51.7230545940003,-5.19110944999989 51.7088815940002,-5.06505444999982 51.7049905940001,-5.00739044999989 51.7034905940002,-4.90875444999983 51.7124905940002,-4.89597244999987 51.7184635940002,-4.89028144999992 51.7287455940001,-4.88444544999987 51.7466635940003,-4.86721844999994 51.7227725940002,-4.86110944999984 51.7133365940002,-4.89416344999995 51.6994365940001,-4.90499944999982 51.6969365940002,-4.97060944999987 51.6757725940003,-5.02128144999995 51.6686095940001,-5.05139044999993 51.6202815940002,-5.04249944999987 51.6166635940002,-5.00528144999993 51.6063815940001,-4.94139044999991 51.5941635940002,-4.89028144999992 51.6269365940002,-4.86416344999992 51.6401365940002,-4.83569044999996 51.6453365940003,-4.80721844999988 51.6405455940002,-4.79062744999993 51.6333995940003,-4.71097244999987 51.6495815940002,-4.69028144999993 51.6666635940002,-4.68666344999991 51.6894365940001,-4.68430944999983 51.7098545940002,-4.67152744999987 51.7206905940002,-4.64583644999988 51.7266635940001,-4.62833644999984 51.7288815940001,-4.57444544999987 51.7341635940002,-4.43610944899996 51.7372185940002,-4.26221844899993 51.6769365940001,-4.19749944899996 51.6791635940002,-4.07471844899982 51.6772185940001,-4.06614544899998 51.6680365940002,-4.07652744899985 51.6473545940001,-4.11639044899988 51.6341635940003,-4.16249944899988 51.6233275940002,-4.17749944899992 51.6223545940002,-4.21139044899991 51.6266635940001,-4.23194544899997 51.6330455940001,-4.25055444899994 51.6286095940002,-4.29208144899997 51.6074275940002,-4.27778144899992 51.5566635930002,-4.24278144899984 51.5408365930002,-4.21722744899989 51.5327725930002,-4.20486344899996 51.5352725930001,-3.96555444899997 51.6097185940002,-3.94971844899993 51.6127815940002,-3.83791844899986 51.6199905940001,-3.78166344899989 51.5674995930001,-3.76110944899983 51.5444455930003,-3.75159944899991 51.5293095930002,-3.67194544899985 51.4738815930001,-3.56028144899983 51.4055455930001,-3.54249944899988 51.3977725930002,-3.48860944899985 51.3899995930001,-3.45110944899994 51.3847185930001,-3.41639044899989 51.3805545930002,-3.40333644799983 51.3797185930001,-3.35944544799986 51.3786095930002,-3.34610944799982 51.3786095930002,-3.27097244799995 51.3801365930001,-3.18110944799986 51.3973545930002,-3.16458144799992 51.4090905930001,-3.15889044799997 51.4305455930002,-3.15166344799985 51.4530455930002,-3.12778144799995 51.4788815930001,-3.11875444799983 51.4874995930001,-3.02110944799995 51.5252725930001,-2.96639044799997 51.5416635930003,-2.95471844799994 51.5397185930001,-2.9188904479999 51.5377725930002,-2.89278144799988 51.5386095930002,-2.84778144799998 51.5449995930002,-2.71471844799987 51.5808275940002,-2.69889044799982 51.5894365940002,-2.67471844799996 51.6069455940003,-2.66499944799989 51.6149995940002,-2.62916344799982 51.6441635940002,-2.57889044799981 51.6777725940001,-2.46055444799993 51.7466635940003,-2.39278144799988 51.7751275940001,-2.37999944799992 51.7617365940002,-2.3883364479999 51.7466635940003,-2.40389044799997 51.7404095940003,-2.42889044799989 51.7369365940001,-2.45486344799997 51.7316635940001,-2.4716634479999 51.7244455940001,-2.5530544479999 51.6572185940002,-2.63944544799995 51.5788905930003,-2.65333644799989 51.5638905930001,-2.77055444799993 51.4891635930001,-2.85278144799997 51.4447185930002,-2.95999944799991 51.3749905930002,-3.0069454479999 51.3072185930002,-3.01333644799996 51.2727725930001,-3.01278144799994 51.2563185930001,-3.02833644799983 51.2061095930002,-3.30139044799989 51.1811095930002,-3.3702814479999 51.1811095930002,-3.39360944799989 51.1813815930001,-3.40860944799994 51.1844365930002,-3.41999944899982 51.1905545930001,-3.43729044899982 51.2063815930001,-3.50721844899982 51.2233275930001,-3.57013644899996 51.2302725930001,-3.59221844899997 51.2217995930002,-3.61860944899991 51.2166635930001,-3.63221844899988 51.2180455930001,-3.70028144899993 51.2299995930001,-3.79249944899993 51.2391635930002,-3.88389044899998 51.2241635930002,-3.98471844899996 51.2169455930002,-4.07166344899991 51.2138815930002,-4.11666344899982 51.2122185930003,-4.19860944899989 51.1983275930002,-4.20860944899994 51.1958275930001,-4.2280544489999 51.1877725930001,-4.22028144899997 51.1105455930001,-4.21028144899992 51.0723545930001,-4.23701844899995 51.0465905930002,-4.30360944899991 51.0041635930002,-4.32471844899987 50.9952815930002,-4.33944544899981 50.9905545930002,-4.35778144899984 50.9894365930003,-4.37639044899981 50.9910995930002,-4.41194544899997 51.0027725930002,-4.42736344899981 51.0095815930001,-4.47444544899992 51.0141635930001,-4.52131844999991 51.0142365930002,-4.54333644999986 50.9269365930002,-4.54742744999993 50.8595095930002,-4.54736344999998 50.8206905930002,-4.54944544999984 50.8024995930001,-4.55360944999995 50.7852725930001,-4.56139044999998 50.7762455930002,-4.65139044999995 50.7152725930002,-4.70083644999983 50.6883275930002,-4.74360944999995 50.6674995930002,-4.75166344999985 50.6413905930002,-4.7616634499999 50.6147185930001,-4.77166344999989 50.6019455930002,-4.78360944999986 50.5936095930003,-4.80139044999987 50.5894365930001,-4.87389044999998 50.5788905930001,-4.89749944999994 50.5788905930001,-4.91583644999986 50.5772185930001,-5.01749944999983 50.5426365930002,-5.03916344999988 50.4980545920001,-5.02569044999996 50.4727095920002,-5.04729044999988 50.4274995920002,-5.15208144999991 50.3437455920001,-5.26805444999997 50.2738905920002,-5.43194544999983 50.1932635920002,-5.46923644999987 50.2005545920002,-5.48125444999982 50.2141635920001,-5.49583644999984 50.2169455920001,-5.51166344999984 50.2141635920001,-5.54639044999982 50.2052725920001,-5.69194545099992 50.1551365920002,-5.70999945099982 50.1291635920002,-5.7168094509999 50.0608275920002,-5.68749945099995 50.0419365920002,-5.67778145099987 50.0386095920002,-5.66173645099985 50.0363095920002,-5.5827814509999 50.0477725920002,-5.56721845099997 50.0511095920001,-5.55555444999982 50.0570815920002,-5.54166344999987 50.0705455920001,-5.53791844999989 50.0845815920002,-5.54166344999987 50.1038815920002,-5.53416344999988 50.1156905920002,-5.51139044999991 50.1238815920001,-5.50110944999994 50.1261095920001,-5.48597244999985 50.1270815920003,-5.47055444999984 50.1249905920002,-5.33360944999981 50.0913815920001,-5.28971844999984 50.0694455920002,-5.27666344999994 50.0597185920003,-5.25215444999986 50.0253365920001,-5.25673644999983 50.0051365920002,-5.23749944999986 49.9811095920003,-5.22860944999996 49.9733275920001,-5.20083644999983 49.9566635920002,-5.19305444999986 49.9552725920001,-5.17889044999987 49.9795815920002,-5.16069944999987 50.0031905920003,-5.08610944999987 50.0227725920003,-5.06555444999998 50.0374995920002,-5.05749944999991 50.0461095920001,-5.05416344999986 50.0601365920002,-5.07089944999984 50.0816635920002,-5.05944544999988 50.1391635920002),(-4.21805444899991 53.2002725950002,-4.10139044899989 53.2477725950001,-4.08999944899995 53.2549995950002,-4.04652744899983 53.3015275950002,-4.05999944899992 53.3055455950001,-4.11291844899984 53.3123545950002,-4.12458144899983 53.3112455950001,-4.22221844899991 53.3216635950002,-4.2699994489999 53.3886095950002,-4.27694544899987 53.3983275950002,-4.28805444899984 53.4054095950002,-4.31389044899987 53.4119455950002,-4.41610944899992 53.4249995950001,-4.42610944899997 53.4247185950002,-4.47471844899997 53.4186095950002,-4.55999944999991 53.3966635950002,-4.56805444999998 53.3897185950003,-4.5674994499999 53.2733275950002,-4.49444544999989 53.1894365950003,-4.47889044899983 53.1766635950002,-4.40221844899986 53.1258275950003,-4.35139044899995 53.1244455950001,-4.32555444899992 53.1449995950002,-4.21805444899991 53.2002725950002),(-4.77778144999991 54.0555455960002,-4.72083644999998 54.0761095960002,-4.70471844999986 54.0797185960001,-4.68749944999996 54.0776365960002,-4.62389044999992 54.0685995960001,-4.55055444999994 54.0977725960002,-4.4911094499999 54.1266635960002,-4.47055444899996 54.1374995960002,-4.39444544899993 54.1863815960002,-4.38610944899989 54.1955455960001,-4.32166344899997 54.2766635960002,-4.30868144899989 54.2960365960001,-4.35347244899998 54.4099995960003,-4.36416344899993 54.4163815960002,-4.44305444899993 54.3980455960003,-4.48499944899993 54.3872185960002,-4.52749944999982 54.3672185960001,-4.54139044999994 54.3561095960002,-4.55278144999983 54.3438905960001,-4.55402744999998 54.3331905960001,-4.57805444999997 54.2969455960002,-4.58805444999996 54.2836095960002,-4.59889044999983 54.2708275960002,-4.62152744999992 54.2515275960002,-4.64360944999981 54.2390275960001,-4.69889044999985 54.2191635960003,-4.71208144999997 54.2158275960001,-4.78715444999989 54.0616635960002,-4.77778144999991 54.0555455960002),(-5.25194544999988 55.7161095970001,-5.26555444999997 55.7172185970002,-5.29528144999995 55.7166635970001,-5.32778144999997 55.7008275970001,-5.37083644999996 55.6769365970002,-5.37958144999993 55.6701365970002,-5.3963904499999 55.6288815970002,-5.40028144999997 55.6177725970001,-5.4005544499999 55.6047185970002,-5.35721844999995 55.5041635970002,-5.34125444999989 55.4761095970002,-5.29278144999995 55.4511095970002,-5.28333644999998 55.4469365970001,-5.23229044999988 55.4310365970003,-5.1719454499999 55.4294455970003,-5.10360944999991 55.4386095970002,-5.09333644999998 55.4416635970002,-5.07597244999982 55.4574995970001,-5.08458144999992 55.5548635970002,-5.15472744999983 55.6733365970001,-5.16416344999993 55.6816635970002,-5.18528144999993 55.6927725970001,-5.19833644999983 55.6991635970001,-5.22833644999986 55.7102725970001,-5.23916344999986 55.7136095970002,-5.25194544999988 55.7161095970001),(-5.03639044999994 55.8377725970001,-5.08028144999992 55.8769365980002,-5.16055444999995 55.9152725980001,-5.17492744999981 55.9189545980001,-5.20631844999991 55.8966635980001,-5.19958144999981 55.8758275980001,-5.12041844999987 55.7787455970001,-5.03249944999988 55.7231905970002,-5.0230544499999 55.7213815970002,-5.0163904499999 55.7219365970001,-5.00805444999986 55.7287455970002,-5.00528144999993 55.7677725970001,-5.00721844999987 55.7795815970002,-5.03639044999994 55.8377725970001),(-6.08833645099998 55.7838815970002,-6.09541845099983 55.7933275970001,-6.10249945099997 55.8091635970002,-6.12166345099985 55.8788815980002,-6.12278145099998 55.8949995980001,-6.11860945099994 55.9216635980001,-6.12569945099983 55.9312455980001,-6.13930945099997 55.9340275980001,-6.16305445099982 55.9274995980002,-6.19221845099986 55.9163815980002,-6.30971845099987 55.8636095970002,-6.36971845099981 55.8694365970002,-6.44569045099985 55.8511095970002,-6.49528145099993 55.7336095970002,-6.49999945099984 55.7213815970002,-6.50958145099986 55.6863815970002,-6.50319045099991 55.6749995970002,-6.48819045099992 55.6690275970003,-6.47333645099997 55.6699995970002,-6.46249945099993 55.6738815970001,-6.44944545099986 55.6802725970002,-6.41083645099985 55.7038905970002,-6.3930544509999 55.7172185970002,-6.37971845099997 55.7280545970001,-6.36749945099996 55.7408275970002,-6.35847245099995 55.7541635970001,-6.35041845099994 55.7680545970002,-6.34166345099987 55.7776365970002,-6.32847245099993 55.7813905970002,-6.26221845099997 55.7772185970003,-6.25249945099989 55.7692365970001,-6.28583645099997 55.7072185970002,-6.3213904509999 55.6170815970002,-6.32444545099997 55.5867995970002,-6.30055445099987 55.5769455970002,-6.27444545099991 55.5727725970002,-6.22889045099993 55.5922185970002,-6.07666345099994 55.6499905970002,-6.03833645099991 55.6699995970002,-6.02610945099997 55.6792995970002,-6.03028145099984 55.7205545970002,-6.05291845099993 55.7669365970002,-6.07555445099985 55.7774995970001,-6.08833645099998 55.7838815970002),(-6.02986345099981 55.7923545970001,-5.9719454509999 55.7883275970001,-5.94694545099998 55.8299905970002,-5.90416345099982 55.8824995980001,-5.84583645099991 55.9494365980001,-5.74902745099985 56.0602725980002,-5.73028145099983 56.0780455980002,-5.71694545099996 56.0894365980002,-5.70528145099996 56.0974995980001,-5.69083645099994 56.1066635980002,-5.68499945099995 56.1195815980002,-5.69444545099992 56.1472185980002,-5.70847245099986 56.1505545980002,-5.7449994509999 56.1374995980002,-5.75499945099989 56.1333275980002,-5.80916345099996 56.1097185980002,-5.90402745099993 56.0595815980002,-5.95583645099993 56.0305455980002,-5.96805445099983 56.0236095980001,-6.07889045099984 55.9055455980002,-6.08444545099991 55.8941635980001,-6.08791845099995 55.8795815980002,-6.07916345099994 55.8266635970002,-6.07458145099992 55.8136095970002,-6.06680945099981 55.8061095970001,-6.05305445099998 55.8002815970002,-6.02986345099981 55.7923545970001),(-6.01610945099992 56.3047185980003,-5.98360945099989 56.3185995980002,-5.89278145099991 56.3491635980002,-5.88249945099994 56.3519455980002,-5.86402745099986 56.3522185980001,-5.8533364509999 56.3448545980003,-5.86278145099988 56.3298545980001,-5.87333645099994 56.3181905980001,-5.85999945099991 56.3105545980002,-5.84360945099996 56.3084635980002,-5.80860945099994 56.3174995980002,-5.7147184509999 56.3519455980002,-5.70194545099992 56.3591635980002,-5.66083645099991 56.3992995980002,-5.64860945099997 56.4398545980002,-5.65110945099997 56.4511095980003,-5.7147184509999 56.4788815980003,-5.7836094509999 56.5088905980002,-5.79721845099982 56.5131905980002,-5.85639045099981 56.5191635980002,-5.97278145099989 56.5476365980001,-5.99458145099982 56.5816635980001,-6.03944545099984 56.6227725980002,-6.05694545099988 56.6358275980002,-6.06889045099985 56.6388815980002,-6.11666345099985 56.6502725980002,-6.13721845099991 56.6530455980001,-6.18666345099996 56.6430545980002,-6.32152745099995 56.6015275980002,-6.33778145099984 56.5466635980002,-6.32528145099997 56.5394455980002,-6.12916345099984 56.4745815980001,-6.11805445099992 56.4733275980003,-6.09889045099987 56.4811095980002,-6.01769045099996 56.4965545980002,-6.00339945099989 56.4925635980002,-6.00625445099985 56.4759635980002,-6.01708145099985 56.4654185980001,-6.03194545099996 56.4594455980002,-6.07166345099995 56.4461095980001,-6.08305445099984 56.4427725980003,-6.14305445099996 56.4280545980001,-6.20166345099983 56.3823545980002,-6.19610945099993 56.3645815980002,-6.18499945099995 56.3566635980002,-6.16916345099992 56.3561095980002,-6.11583645099984 56.3599905980003,-6.10471845099988 56.3627815980001,-6.07889045099984 56.3711095980001,-6.03097245099991 56.3824995980002,-6.01937245099998 56.3759635980001,-6.0247184509999 56.3663815980001,-6.06583645099994 56.3549995980001,-6.23194545099983 56.3183275980003,-6.27499945099993 56.3304185980002,-6.2861094509999 56.3380545980002,-6.29778145099993 56.3408275980001,-6.33944545099985 56.3391635980001,-6.35028145099989 56.3369365980003,-6.36360945099989 56.3299905980002,-6.36625445099997 56.3109635980002,-6.34721845099995 56.2830545980001,-6.33944545099985 56.2763815980001,-6.3230544509999 56.2654095980002,-6.26471845099996 56.2588905980001,-6.01610945099992 56.3047185980003),(-6.87916345199994 56.4719455980001,-6.80389045199991 56.5122185980002,-6.79263645199984 56.5149995980001,-6.77416345199993 56.5158275980003,-6.75860945199986 56.5141635980002,-6.73916345199984 56.5158275980003,-6.73007245199983 56.5239545980002,-6.74860945199981 56.5448545980001,-6.76097245199998 56.5487455980002,-6.95805445199994 56.5130545980001,-6.97333645199996 56.5080455980003,-6.98971845199986 56.4962455980003,-6.97221845199982 56.4491635980002,-6.92499945199984 56.4399905980003,-6.89278145199995 56.4386095980002,-6.87916345199994 56.4719455980001),(-6.48499945099996 56.6386095980001,-6.45600945099994 56.6827725980002,-6.49333645099983 56.6872185980002,-6.50721845099991 56.6830545980003,-6.5458364509999 56.6661095980002,-6.57389045099984 56.6533275980002,-6.61389045099992 56.6344365980002,-6.69749945199982 56.5816635980001,-6.69444545199991 56.5694455980002,-6.68583645199982 56.5566635980002,-6.67833645199994 56.5555455980001,-6.58916345099982 56.5799905980001,-6.57666345099994 56.5844365980003,-6.49736345099996 56.6274905980003,-6.48499945099996 56.6386095980001),(-6.2474994509999 56.9955545990002,-6.24944545099987 57.0240275990001,-6.25791845099991 57.0348545990001,-6.27389045099983 57.0424995990002,-6.32610945099998 57.0541635990001,-6.34749945099992 57.0530545990002,-6.38416345099995 57.0480455990002,-6.39333645099981 57.0438815990001,-6.41555445099993 57.0327725990002,-6.45097245099981 57.0033275990002,-6.36194545099988 56.9463905980002,-6.3280544509999 56.9348635980002,-6.31749945099983 56.9341635980002,-6.31055445099992 56.9344365980002,-6.29860945099995 56.9372185980001,-6.27833645099997 56.9444455980002,-6.26666345099994 56.9516635990001,-6.25597245099982 56.9623545990002,-6.2474994509999 56.9955545990002),(-7.41666345199985 57.0426365990001,-7.44263645199993 57.0549995990002,-7.55360945199988 56.9663815990002,-7.56028145199991 56.9579095990002,-7.55486345199989 56.9494365990003,-7.53055445199993 56.9441635980001,-7.51528145199984 56.9430545980002,-7.47528145199993 56.9408275980002,-7.46694545199989 56.9408275980002,-7.43694545199986 56.9438815980002,-7.37708145199997 56.9804095990002,-7.41666345199985 57.0426365990001),(-5.99083645099995 57.1116635990003,-6.03312745099987 57.0521455990001,-6.01430945099992 57.0234635990002,-5.99833645099983 57.0236095990002,-5.97999945099997 57.0269365990001,-5.93944545099981 57.0355545990001,-5.92805445099992 57.0386095990002,-5.89110945099992 57.0624995990001,-5.85916345099992 57.0927725990002,-5.84749945099986 57.1052725990001,-5.82999945099988 57.1061095990001,-5.8163904509999 57.1102725990001,-5.80360945099994 57.1166635990003,-5.66423645099985 57.2057545990002,-5.64763645099993 57.2583275990001,-5.74680945099993 57.2759725990003,-5.76889045099983 57.2722185990002,-5.83333645099987 57.2536095990002,-5.88333645099993 57.2395815990002,-5.89916345099994 57.2419455990002,-6.12722745099995 57.3061095990001,-6.13471845099991 57.3130455990003,-6.14778145099984 57.4041635990002,-6.14666345099988 57.4191635990002,-6.13666345099989 57.4844455990003,-6.14499945099988 57.5715275990002,-6.16055445099983 57.5941635990001,-6.17791845099981 57.6115185990002,-6.2769454509999 57.6722185990001,-6.30416345099997 57.6860995990002,-6.34555445099994 57.6847185990002,-6.40721845099989 57.6488905990001,-6.42028145099982 57.6372185990002,-6.39583645099998 57.6027725990001,-6.37555445099986 57.5241635990003,-6.4299994509999 57.5049995990002,-6.46333645099998 57.5088905990001,-6.5623634509999 57.5525635990002,-6.56555445099997 57.5683275990001,-6.57528145099991 57.5804185990003,-6.58639045099989 57.5886095990001,-6.61152745099997 57.6026365990002,-6.62278145099998 57.6058275990001,-6.63749945199987 57.6055545990002,-6.74749945199989 57.4927725990002,-6.78528145199994 57.4480545990002,-6.77528145199989 57.4297185990002,-6.72444545199994 57.4036095990002,-6.72229045199987 57.3797185990002,-6.70971845199989 57.3680455990001,-6.69999945199982 57.3638815990003,-6.68916345199995 57.3608365990002,-6.62499945099989 57.3441635990002,-6.57916345099994 57.3336095990002,-6.56860945099987 57.3362455990002,-6.56395445099992 57.3508905990003,-6.57360945099992 57.3799995990001,-6.53013645099992 57.4074995990002,-6.31208145099987 57.2997815990001,-6.33236345099982 57.2977725990001,-6.34583645099991 57.3022185990002,-6.37389045099985 57.3144365990001,-6.39833645099998 57.3286095990002,-6.42173645099996 57.3338095990002,-6.48013645099985 57.3024995990003,-6.44971845099997 57.2663815990002,-6.3163904509999 57.1584635990002,-6.17666345099991 57.1705545990002,-6.09666345099981 57.1283275990002,-6.07749945099994 57.1254815990001,-6.03055445099994 57.1774995990002,-5.97416345099992 57.1302725990003,-5.99083645099995 57.1116635990003),(-7.25916345199994 57.1524995990002,-7.28805445199987 57.3224905990002,-7.28528145199994 57.3361095990003,-7.25402745199989 57.3272185990002,-7.23110945199983 57.3327725990002,-7.22375445199987 57.3395725990003,-7.26958145199995 57.3737455990001,-7.28583645199984 57.3810995990002,-7.33555445199994 57.3958275990003,-7.36805445199985 57.4013815990002,-7.41221845199988 57.3897185990002,-7.42360945199982 57.3837455990001,-7.42083645199989 57.2183275990002,-7.41819045199998 57.1845815990001,-7.3943094519999 57.1284635990001,-7.38402745199994 57.1116635990003,-7.35958145199993 57.0995815990001,-7.33360945199985 57.0999995990001,-7.30333645199988 57.1061095990001,-7.28721845199988 57.1061095990001,-7.26555445199983 57.1036095990002,-7.23028145199987 57.0947185990001,-7.2258364519999 57.0969365990002,-7.21528145199983 57.1102725990001,-7.21471845199989 57.1144365990002,-7.25916345199994 57.1524995990002),(-7.31694545199997 57.4005545990002,-7.28333645199996 57.3974995990002,-7.26889045199982 57.3988905990002,-7.24208145199992 57.4029185990002,-7.20333645199986 57.4169365990001,-7.20360945199997 57.4591635990002,-7.2441634519999 57.4763905990003,-7.2761094519999 57.4805545990002,-7.30055445199991 57.4836095990002,-7.35444545199988 57.4888815990001,-7.40278145199994 57.4681185990001,-7.40854545199988 57.4486725990001,-7.38805445199989 57.4238815990001,-7.37805445199984 57.4202725990001,-7.31694545199997 57.4005545990002),(-7.15069045199982 57.5122185990001,-7.06860945199986 57.6365905990001,-7.19291845199984 57.6870815990001,-7.24471845199997 57.6769365990002,-7.27305445199983 57.6579185990001,-7.43249945199989 57.6533275990002,-7.47278145199994 57.6549995990002,-7.48763645199989 57.6491635990002,-7.54083645199995 57.5901365990002,-7.48610945199994 57.5661095990002,-7.47236345199991 57.5622185990002,-7.45555445199983 57.5638905990002,-7.41166345199986 57.5680545990003,-7.34778145199988 57.5508275990002,-7.32528145199984 57.5441635990002,-7.32749945199987 57.5274995990002,-7.32208145199985 57.5062455990001,-7.23360945199983 57.5036095990001,-7.16833645199995 57.5080455990002,-7.15069045199982 57.5122185990001),(-6.06576345099995 57.3273545990001,-6.05110945099983 57.3244365990003,-6.02694545099996 57.3286095990002,-6.0063904509999 57.3349995990002,-5.99471845099987 57.3430545990001,-5.9775724509999 57.4912455990001,-6.00305445099985 57.5086095990001,-6.02971845099989 57.4931905990001,-6.06444545099987 57.4529185990001,-6.07305445099996 57.4305455990001,-6.07833645099981 57.3941635990003,-6.07958145099997 57.3509635990002,-6.06576345099995 57.3273545990001),(-6.73528145199998 57.8258275990001,-6.66139045199998 57.8826365990003,-6.66471845199993 57.9005545990001,-6.68180945199987 57.9306905990003,-6.70083645199998 57.9447185990001,-6.72333645199984 57.9522815990002,-6.76139045199983 57.9983275990002,-6.68680945199986 58.0562456000002,-6.6741634519999 58.0581906000002,-6.60402745099998 58.0542996000001,-6.59444545099996 58.0485366000002,-6.61847245099995 58.0469366000002,-6.62944545099998 58.0483366000002,-6.6593724519999 58.0459636000001,-6.69597245199986 58.0229095990002,-6.70652745199993 58.0031905990002,-6.70471845199984 57.9866635990002,-6.69860945199991 57.9674995990001,-6.69194545199991 57.9580545990002,-6.66430945199983 57.9255545990002,-6.65305445199994 57.9199995990002,-6.62458145099987 57.9148635990003,-6.57402745099989 57.9111095990002,-6.54110945099984 57.9156905990001,-6.47333645099997 57.9422185990002,-6.47389045099987 57.9483275990001,-6.4577814509999 57.9680455990002,-6.38610945099992 58.0091635990002,-6.35528145099988 58.0315276000001,-6.39333645099981 58.1016636000002,-6.40639045099988 58.1056906000001,-6.42028145099982 58.1022186000002,-6.49694545099993 58.0874906000003,-6.59471845099989 58.0783276000003,-6.61971845099993 58.0801366000002,-6.60110945099996 58.0849996000002,-6.54805445099981 58.0919456000001,-6.49721845099987 58.0974996000003,-6.37715445099991 58.1331906000001,-6.36666345099991 58.1586096000001,-6.32910945099997 58.1827726000002,-6.26378145099989 58.1766096000002,-6.22471845099989 58.1836096000002,-6.16833645099996 58.2095816000001,-6.15833645099991 58.2183276000003,-6.14749945099987 58.2544366000001,-6.16819045099987 58.2592276000002,-6.20860945099992 58.2408276000002,-6.22083645099985 58.2336096000001,-6.26952745099987 58.2255276000002,-6.28210945099988 58.2227276000002,-6.32702745099982 58.2353996000003,-6.32389045099995 58.2636096000002,-6.27972745099987 58.2877726000002,-6.23249945099985 58.3177726000001,-6.20416345099983 58.3561096000003,-6.16597245099996 58.4229186000002,-6.22333645099985 58.4963816000002,-6.23472745099997 58.5041636000002,-6.24875445099991 58.5101366000002,-6.26333645099993 58.5126366000001,-6.27458145099996 58.5094456000001,-6.29278145099994 58.4883276000002,-6.31055445099992 58.4791636000001,-6.35528145099988 58.4574996000001,-6.55028145099988 58.3633276000001,-6.56028145099992 58.3597186000001,-6.65395445199988 58.3473546000001,-6.67305445199997 58.3491636000002,-6.79778145199992 58.3022186000002,-6.81666345199983 58.2823636000001,-6.80805445199991 58.2597186000002,-6.78658145199995 58.2294186000001,-6.74472745199995 58.1971996000001,-6.75037245199991 58.1852366000002,-6.80518145199989 58.1958636000002,-6.8732814519999 58.1785906000001,-6.86097245199983 58.1059726000002,-6.87110945199987 58.1086096000003,-6.93610945199981 58.1880456000001,-6.92028145199981 58.2036096000002,-6.90749945199997 58.2103456000001,-6.91971845199987 58.2161096000001,-7.00458145199997 58.2348636000002,-7.03625445199992 58.2356906000002,-7.05736345199989 58.2217996000001,-7.09444545199995 58.1819366000002,-7.12742745199989 58.1279096000002,-7.09389045199987 58.0705456000001,-7.05778145199986 58.0363816000001,-7.05555445199997 58.0202725990001,-7.08416345199993 58.0080455990002,-7.11333645199989 57.9855545990002,-7.0752814519999 57.9624905990001,-7.03263645199991 57.9527725990002,-7.02194545199995 57.9519455990002,-6.98889045199985 57.9592995990002,-6.94610945199997 57.9527725990002,-6.93499945199989 57.9497185990001,-6.87944545199991 57.9324905990002,-6.83221845199989 57.9022185990001,-7.02889045199993 57.8322185990001,-7.06583645199993 57.8208275990002,-7.08360945199991 57.8247185990002,-7.09222745199992 57.8327725990001,-7.10389045199992 57.8366635990002,-7.12423645199982 57.8356185990002,-7.12187245199988 57.8166635990002,-6.98110945199988 57.7270815990002,-6.96492745199981 57.7263185990001,-6.73528145199998 57.8258275990001),(0.74889055500023 51.4435995930001,0.740554555000244 51.4297185930002,0.737918555000135 51.4043095930002,0.74528155500019 51.3944365930002,0.762781555000061 51.3783275930002,0.784309555000164 51.3699905930003,0.885281556000166 51.3583275930002,0.89916355600019 51.3572185930001,0.904718556000091 51.3580545930001,0.946181556000226 51.3733995930003,0.943890556000213 51.3849905930002,0.933609556000079 51.3962455930001,0.906527556000185 51.4179095930001,0.892218556000159 51.4213905930002,0.791109555000219 51.4399905930001,0.760281555000176 51.4447185930002,0.74889055500023 51.4435995930001),(-1.11597244599989 50.7363815930001,-1.2941634469999 50.7716635930001,-1.30889044699984 50.7711095930001,-1.52333644699996 50.6952725930001,-1.55083644699988 50.6752815930002,-1.56958144699985 50.6590275930002,-1.53805444699987 50.6636095930001,-1.52333644699996 50.6674995930002,-1.51221844699984 50.6688815930002,-1.49639044699995 50.6679185930003,-1.47305444699992 50.6608275930001,-1.36749944699989 50.6186095930002,-1.28249944699991 50.5788905930001,-1.24166344599985 50.5824995930003,-1.21528144599995 50.5872185930001,-1.19139044599984 50.5936095930003,-1.1683364459999 50.6019455930002,-1.05971844599992 50.6874905930002,-1.09389044599982 50.7205545930001,-1.11597244599989 50.7363815930001),(-2.89666344799991 58.8376366000001,-2.91610944799993 58.8388816000001,-2.97471844799998 58.8352726000003,-3.00721844799983 58.8323636000002,-3.03208144799981 58.8212456000002,-2.97999944799994 58.7502726000003,-2.97055444799997 58.7419456000002,-2.95778144799982 58.7347186000001,-2.94805444799994 58.7305546000002,-2.93944544799996 58.7299996000001,-2.91610944799993 58.7329186000002,-2.87721844799995 58.8222186000002,-2.88639044799982 58.8319366000001,-2.89666344799991 58.8376366000001),(-3.13555444799988 58.8024906000002,-3.21471844799987 58.8741636000003,-3.23069044799996 58.8861096000001,-3.33555444799993 58.9274996000001,-3.3491634479999 58.9269366000003,-3.39805444799987 58.9172186000001,-3.41513644899987 58.9073546000002,-3.43257244899996 58.8759636000001,-3.29659944799988 58.7769366000002,-3.2313904479999 58.7755546000003,-3.18083644799992 58.7791636000001,-3.16028144799986 58.7811096000002,-3.13930944799995 58.7856906000001,-3.13555444799988 58.8024906000002),(-3.30333644799981 58.9458276000001,-3.19166344799993 58.9105546000001,-3.17221844799997 58.9108276000002,-3.11971844799984 58.9212456000002,-3.11055444799985 58.9280546000002,-3.0572184479999 58.9358276000001,-3.00833644799997 58.9399906000001,-2.9699994479999 58.9394366000001,-2.86916344799988 58.8933276000001,-2.82444544799995 58.8788816000002,-2.75583644799991 58.9177726000001,-2.79305444799996 58.9513816000001,-2.85221844799992 58.9755546000002,-2.94721844799989 58.9983276000002,-2.99583644799998 59.0558276000002,-2.99680944799985 59.0681906000001,-3.07499944799991 59.1204186010002,-3.19916344799992 59.1479096010002,-3.21889044799991 59.1486096010002,-3.23889044799995 59.1461096010001,-3.2749994479999 59.1406906010001,-3.31749944799998 59.1294366010001,-3.35083644799988 59.1081906010001,-3.36805444799995 59.0120816000002,-3.36208144799991 58.9938816000002,-3.34555444799992 58.9658276000002,-3.31333644799997 58.9499996000001,-3.30333644799981 58.9458276000001),(-2.39721844799982 59.3033276010001,-2.40597244799983 59.3126366010001,-2.53444544799993 59.3049906010003,-2.5555544479999 59.3030546010001,-2.59278144799987 59.2905546010002,-2.68444544799985 59.2208366010001,-2.69152744799987 59.2123546010001,-2.69215444799988 59.1929096010001,-2.68583644799992 59.1841636010001,-2.68139044799995 59.1958276010001,-2.62278144799996 59.2348546010002,-2.57402744799987 59.2422186010002,-2.49555444799995 59.2449906010002,-2.39013644799996 59.2813816010001,-2.39721844799982 59.3033276010001),(-1.18721844599997 60.1272186010001,-1.16680944599995 60.1373546010001,-1.14986344599981 60.1324996010002,-1.12721844599986 60.1469456010002,-1.15749944599986 60.1947186020003,-1.18055444599997 60.2249996020002,-1.18555444599997 60.2305546020001,-1.19805444599984 60.2558276020002,-1.19534544599998 60.2679186020002,-1.16499944599991 60.2601366020003,-1.1011094459999 60.2758366020002,-1.06610944599981 60.3580546020002,-1.03854544599983 60.4427726020002,-1.16389044599993 60.4544366020002,-1.28666344699991 60.4711096020001,-1.29610944699988 60.4910996020002,-1.2874994469999 60.6133276020002,-1.29652744699985 60.6333996020002,-1.41333644699995 60.6059726020002,-1.54694544699993 60.5358276020001,-1.59305444699982 60.5077726020002,-1.61034544699982 60.4783996020003,-1.56049044699984 60.4736816020002,-1.50221844699996 60.4697186020002,-1.44583644699986 60.4605456020003,-1.3202814469999 60.3563816020002,-1.34583644699984 60.3399996020001,-1.42694544699992 60.3213906020001,-1.44583644699986 60.3185996020001,-1.47471844699993 60.3149906020001,-1.59319044699987 60.3072186020001,-1.62833644699981 60.3072186020001,-1.65528144699982 60.3030546020002,-1.66694544699982 60.2997186020002,-1.69215444699989 60.2850636020002,-1.67625444699991 60.2429096020002,-1.66471844699993 60.2308276020001,-1.65499944699985 60.2261096020002,-1.64778144699994 60.2247186020002,-1.58889044699981 60.2158276020002,-1.51971844699983 60.2011096020001,-1.52549044699992 60.1883996020002,-1.49055444699997 60.1677726010002,-1.45110944699996 60.1517996010002,-1.35833644699989 60.1924996020002,-1.35305444699992 60.2088816020002,-1.36360944699982 60.2297186020002,-1.38749944699993 60.2372186020001,-1.40950944699995 60.2530546020001,-1.29139044699997 60.2413906020001,-1.2849994469999 60.2199906020002,-1.26097244599993 60.1274906010002,-1.26208144599985 60.1113816010001,-1.26833644699985 60.0936096010001,-1.31041844699996 60.0092996010002,-1.3276454469999 60.0022186010002,-1.3779184469999 59.9043096010003,-1.37194544699997 59.8916636010002,-1.30694544699986 59.8574996010001,-1.26860944699996 59.8511096010002,-1.26139044599995 59.8602726010002,-1.22055444599988 60.0224996010001,-1.21221844599984 60.1027726010001,-1.18721844599997 60.1272186010001),(-1.12749944599983 60.4863816020002,-1.10471844599982 60.4855456020002,-1.02541844599983 60.5001996020001,-1.01847244599986 60.5172186020001,-0.982636445999958 60.6534636020002,-0.993890445999966 60.7223546020003,-1.05694544599982 60.7308276020002,-1.08860944599985 60.7315276020002,-1.0986094459999 60.7299996020002,-1.10999944599996 60.7258276020002,-1.17833644599995 60.6345816020002,-1.18139044599997 60.6235996020001,-1.18305444599997 60.5988816020002,-1.17028144599988 60.5272186020001,-1.14139044599989 60.4909636020003,-1.12749944599983 60.4863816020002),(-0.935554445999855 60.6744366020002,-0.834999445999813 60.6733366020003,-0.819718445999854 60.6888906020002,-0.763609445999975 60.7933276020001,-0.757636445999879 60.8158276020002,-0.770281445999842 60.8299996020002,-0.80610944599988 60.8405546020003,-0.880690445999846 60.8433276020002,-0.938890445999903 60.7944456020001,-0.959718445999897 60.7113906020001,-0.962081445999843 60.6852726020002,-0.935554445999855 60.6744366020002)))', 'United Kingdom Exclusive Economic Zone', 'United Kingdom', 'United Kingdom', '', '180', '180', 'GBR', '5696', '2014-02', '723192215300', '5696', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000805560004 83.3519444440004,34.9991879780005 80.3054801290004,34.9988888890003 79.2846583330004,37.9285173170004 78.6405766500003,38.0000000000004 78.6248611110004,38.0000000000004 78.6228964050003,38.0000000000004 75.8002055560004,37.0000000000005 75.1947222220003,37.0000000000005 74.9377055560004,36.7636673060003 74.8534967220003,36.5363547220003 74.7713641390004,36.4963147220003 74.7568639440003,36.4560523060003 74.7424135560003,36.4155688890003 74.7280132500003,36.3748658060004 74.7136633060002,36.3339444170003 74.6993640280003,36.2928061390004 74.6851156390002,36.2514523060003 74.6709184720004,36.2098842500004 74.6567727780004,36.1681033610002 74.6426788330003,36.1261109440005 74.6286369170002,36.0839083610005 74.6146472780003,36.0414969720002 74.6007101940003,35.9988780560004 74.5868259170004,35.9560530000003 74.5729947500002,35.9130231110003 74.5592169170002,35.8697896670003 74.5454927220002,35.8263540560003 74.5318223610003,35.7827175560003 74.5182061670004,35.7388814720003 74.5046443610004,35.6948471110003 74.4911371670003,35.6506157500004 74.4776848890003,35.6061887500003 74.4642877780002,35.5615673330004 74.4509460560003,35.5167528330003 74.4376599720002,35.4717465280004 74.4244298060003,35.4265496670002 74.4112557780003,35.3811635830004 74.3981381390004,35.3355894720003 74.3850771390004,35.2898286670003 74.3720730280003,35.2438824170002 74.3591260000004,35.1977519440003 74.3462363610004,35.1514385560003 74.3334042780004,35.1049434720003 74.3206300560004,35.0582679440004 74.3079138890003,35.0114132500003 74.2952560000003,34.9643805830004 74.2826566670003,34.9171711940004 74.2701160560003,34.8697863330004 74.2576344440003,34.8222272220004 74.2452120560003,34.7744950830004 74.2328490830003,34.7265911110003 74.2205457780004,34.6785165830004 74.2083023610004,34.6302726670004 74.1961190560003,34.5818605830004 74.1839960560004,34.5332815560004 74.1719336110003,34.4845367500003 74.1599319170003,34.4356274170003 74.1479912220003,34.3865546940003 74.1361116940004,34.3373198330003 74.1242935560004,34.2879239720004 74.1125370280004,34.2383683060003 74.1008423330003,34.1886540560002 74.0892096670002,34.1387823330002 74.0776392220002,34.0887543610003 74.0661312220004,34.0385713060003 74.0546858890003,33.9882343330004 74.0433033610003,33.9377445830003 74.0319838890004,33.8871032500003 74.0207276940003,33.8363114720003 74.0095349170003,33.7853703890003 73.9984057780003,33.7342811670003 73.9873404720004,33.7065941940004 73.9813989440003,33.6874782500004 73.9847666670004,33.6325282220004 73.9943157220004,33.5773287780004 74.0037687780004,33.5218820560003 74.0131253890002,33.4661901390003 74.0223851390002,33.4102551940003 74.0315475560002,33.3540793890003 74.0406122500003,33.2976648890003 74.0495788060004,33.2410139440004 74.0584467500003,33.1841287500003 74.0672156670003,33.1270115830003 74.0758851940004,33.0696647500004 74.0844548610003,33.0120905280003 74.0929243060003,32.9542912500004 74.1012931110003,32.8962692500004 74.1095608890003,32.8380269440004 74.1177271940003,32.7795667220004 74.1257916940004,32.7208909720003 74.1337539720004,32.6620021390004 74.1416136670002,32.6029026940004 74.1493703890004,32.5435951390004 74.1570237500003,32.4840819440004 74.1645734170003,32.4243656390003 74.1720189720002,32.3644487780005 74.1793601110004,32.3043339440003 74.1865964440002,32.2440237220004 74.1937276390004,32.1835206940003 74.2007533330003,32.1228275280003 74.2076731940003,32.0619468330003 74.2144868890003,32.0008812780005 74.2211940560002,31.9396336110003 74.2277943890004,31.8782064720004 74.2342875830003,31.8166026110003 74.2406733060002,31.7548248060003 74.2469512220003,31.6928757780003 74.2531210560005,31.6307583330003 74.2591824720003,31.5684752500003 74.2651351940003,31.5060293890003 74.2709789170004,31.4434235560004 74.2767133890003,31.3806606110003 74.2823382500003,31.3177434170003 74.2878532780002,31.2546748890003 74.2932581940003,31.1914579440003 74.2985527220004,31.1280954440005 74.3037366110004,31.0645903610003 74.3088095830004,31.0009456670004 74.3137713890004,30.9371643330003 74.3186217780004,30.9160032780003 74.3202096670004,30.8796860280003 74.3229132500003,30.8156840280004 74.3275823890004,30.7515532220003 74.3321394720002,30.6872966110003 74.3365843060003,30.6229172500003 74.3409166670004,30.5584181940004 74.3451363060004,29.9381060830004 74.3841855830002,29.9031803330003 74.3863133060003,29.8381955280004 74.3901799170002,29.7731034440004 74.3939329170004,29.7079072220004 74.3975721670002,29.6426100000003 74.4010974440004,29.5772149170004 74.4045085830004,29.5117251390003 74.4078054440002,29.4461438610003 74.4109878060003,29.3804742220003 74.4140555560003,29.3147194440003 74.4170085000004,29.2488827500003 74.4198465000002,29.1829673060004 74.4225694170003,29.1169763610004 74.4251771390003,29.0509131670003 74.4276695000003,28.9847808890004 74.4300463610003,28.9185828610003 74.4323076390003,28.8523222780004 74.4344531940003,28.4679500830003 74.4462212780004,27.8032808890003 74.4649868890004,27.1371385000003 74.4817896940003,26.4696815280004 74.4966232500003,26.4506182500003 74.4970136110003,26.3837825000003 74.4983068330004,26.3169114440004 74.4994835560004,26.2500084170003 74.5005436940003,26.1830767500005 74.5014871940004,26.1161197780003 74.5023140280002,26.0491408060004 74.5030241390003,25.9821431940002 74.5036175000002,25.9151302780004 74.5040940560004,25.8481054170003 74.5044538060004,25.7810719170002 74.5046967220004,25.7140331390003 74.5048227780003,25.6469924170004 74.5048320000004,25.5799531110004 74.5047243890003,25.5129185560003 74.5044998890003,25.4458921110004 74.5041585830003,25.3788770830004 74.5037004720004,25.3118768330003 74.5031255560004,25.2448946940003 74.5024338610003,25.1779340280002 74.5016254720003,25.1109981390003 74.5007003610002,25.0440903610004 74.4996586390004,24.9772140560003 74.4985003060003,24.9103725000003 74.4972254440004,24.8435690560003 74.4958341390003,24.7768070000003 74.4943264440003,24.7100896670004 74.4927024170003,24.6434203610004 74.4909621940003,24.5768023890003 74.4891058060004,24.5102390280003 74.4871333610004,24.4437335830003 74.4850449720003,24.3772893060003 74.4828407500003,24.3109095000003 74.4805208060004,24.2445974440004 74.4780852500003,24.1783563330003 74.4755342220003,24.1121895000003 74.4728678330004,24.0461001110003 74.4700861940004,23.9800914440003 74.4671895000003,23.9141667220003 74.4641778890003,23.8483291390004 74.4610514720003,23.7825819170004 74.4578104440004,23.7169282220003 74.4544549720004,23.6513712500004 74.4509852220004,23.5859141670003 74.4474013330004,23.5205601670003 74.4437035560002,23.4553123610004 74.4398920000003,23.3901738890003 74.4359669170002,23.3251478890002 74.4319284720003,23.2602374440004 74.4277768890004,23.1954456670003 74.4235123610003,23.1307756670004 74.4191351110004,23.0662304720004 74.4146453610003,22.9171170000004 74.4040766390004,22.8731491940003 74.4027211110003,22.8070160280003 74.4005844170003,22.7409450000003 74.3983320000003,22.6749393330003 74.3959640560004,22.6090022500003 74.3934806390003,22.5431370280003 74.3908818890004,22.4773468610003 74.3881679720003,22.4116349720003 74.3853390000003,22.3460045560003 74.3823951110004,22.2804587780004 74.3793364440003,22.2150008890002 74.3761631940004,22.1496340000003 74.3728755000003,22.0843613060003 74.3694735280004,21.9834826390004 74.3640991670004,21.9801795830003 74.3639222500002,21.9150530000004 74.3603710830003,21.8500278610003 74.3567060830005,21.7851072220004 74.3529273890003,21.7202942500003 74.3490351940004,21.6555920560003 74.3450297220004,21.5910036940004 74.3409111390002,21.5265322220004 74.3366796670003,21.4621807500004 74.3323355280003,21.3979523330003 74.3278789170004,21.3338499440004 74.3233100830004,21.2698766670003 74.3186292500002,21.2060355000004 74.3138366390003,21.1423293890004 74.3089324720003,21.0787613610003 74.3039170560003,21.0153343330005 74.2987905830004,20.9520513060004 74.2935533330003,20.8889151670004 74.2882055560003,20.8259288330003 74.2827475280004,20.7630952220004 74.2771795280003,20.7004171940003 74.2715018060003,20.6378976390004 74.2657146390004,20.5755393610003 74.2598183610003,20.5133452220003 74.2538132220004,20.4513180280003 74.2476995000004,20.3894605830003 74.2414775560004,20.3277756110003 74.2351476670002,20.2662659170004 74.2287101390003,20.2049342220004 74.2221652780003,20.1437832500004 74.2155134440002,20.0828156940004 74.2087549170003,20.0220342220003 74.2018900280003,19.9614415000003 74.1949191670004,19.9010401670003 74.1878426110004,19.8408328330004 74.1806607500002,19.7808221390004 74.1733738890003,19.7210106110005 74.1659824170004,19.6614008060002 74.1584866940004,19.6019953060004 74.1508870560002,19.5427966110003 74.1431838890003,19.4838071940003 74.1353775280004,19.4250295280003 74.1274684170003,19.3664660560003 74.1194568610003,19.3081192500005 74.1113433060004,19.2499914720004 74.1031281110002,19.1920851390003 74.0948116670003,19.1344025830004 74.0863943890004,19.0769461940004 74.0778766390002,19.0197182220004 74.0692588610003,18.9627210000004 74.0605414440003,18.9059567780003 74.0517248330002,18.8494278330003 74.0428093890003,18.7931363610003 74.0337955830004,18.7370846110003 74.0246838060003,18.6812746940005 74.0154745000003,18.625708833 74.0061680830003,18.570389111 73.9967650280004,18.5611080280003 73.9951754720003,18.5384563890002 73.9912833890003,18.4834981110004 73.9817423890004,18.4287910829999 73.9721058060004,18.3743373060002 73.9623740830003,18.3201388330003 73.9525476670003,18.2661976389999 73.9426270280003,18.2125157500001 73.9326126110004,18.1590950560004 73.9225048890004,18.1059375560002 73.9123043330004,18.0530451110004 73.9020113890003,18.0004195829999 73.8916265560004,17.9480628890003 73.8811502780004,17.8959768330003 73.8705830560004,17.8441631940004 73.8599253890005,17.7926238060001 73.8491776940003,17.7413603890004 73.8383405280004,17.6143607780004 73.8112285280003,17.1080526940003 73.7015230830003,16.6082930280003 73.5906518330003,16.2138555830003 73.5390290280003,15.6435203060003 73.4625379170003,15.6348556940003 73.4613575830003,15.250181222 73.4083797220003,14.6887458060004 73.3292135560003,14.6503031110004 73.3236861670002,14.5946590280003 73.3155753330003,14.5392209440004 73.3073635830003,14.4839910830003 73.2990513610004,14.4289717220003 73.2906390560004,14.3741649720004 73.2821270280002,14.3195730830003 73.2735156670003,14.2651981940004 73.2648054170003,14.2110424440004 73.2559966390003,14.1571079170003 73.2470897500004,14.1033967780004 73.2380851670003,14.0499110280004 73.2289833060003,13.9966527780004 73.2197845830003,13.9436240280004 73.2104894170004,13.8908268060003 73.2010982500004,13.838263083 73.1916115000004,13.7859348330002 73.1820296110003,13.7338440280004 73.1723529720003,13.6819925830002 73.1625820830004,13.2015919170003 73.0703799720004,13.1573073610004 73.0617323890003,13.1064487220003 73.0516700280003,13.0558357220002 73.0415152780002,13.0054701670003 73.0312686390004,12.9553538330004 73.0209305560002,12.9054884720004 73.0105015000003,12.8558758330003 72.9999819170004,12.806517639 72.9893722780004,12.7574155560003 72.9786730560002,12.7085712780003 72.9678847500002,12.6599864440001 72.9570078330003,12.6116626940004 72.9460427500003,12.5636016390004 72.9349900280002,12.5158048330004 72.9238501110004,12.4682738610003 72.9126235280003,12.4210102500003 72.9013107500003,12.3740155280004 72.8899122780003,12.3272911940003 72.8784286110002,12.2808386940005 72.8668602500002,12.2346595280004 72.8552076940003,12.1887550560004 72.8434714440002,12.1431267220004 72.8316520280003,12.0977759170003 72.8197499170003,12.0527040000004 72.8077656670002,12.0079122780003 72.7956997500003,11.9634021110004 72.7835527220003,11.9191747780004 72.7713251110004,11.8752315280004 72.7590173890004,11.8315736670004 72.7466301110002,11.7882023609999 72.7341637780004,11.7451188610003 72.7216189720003,11.7023243330001 72.7089961670004,11.6598199440004 72.6962959440003,11.6176068610004 72.6835188060005,11.5756861390002 72.6706652780002,11.534058944 72.6577359170003,11.4927263330003 72.6447312780003,11.4516893610004 72.6316518890004,11.4109490280004 72.6184982780003,11.370506389 72.6052710000003,11.3303624170003 72.5919706110004,11.2905180830003 72.5785976670003,11.2509743329999 72.5651526940003,11.211732083 72.5516362780002,11.1727922780004 72.5380489170004,11.1341557500003 72.5243912220003,11.0958234170004 72.5106637500003,11.0577960830003 72.4968670000002,11.0200745560004 72.4830015830003,10.9826596940001 72.4690680560004,10.9455522500003 72.4550669720003,10.9087529720003 72.4409988890004,10.8722626109999 72.4268643610003,10.836081861 72.4126640000003,10.8002114719999 72.3983983060003,10.7646521110004 72.3840679170003,10.7294044170004 72.3696733330003,10.6944690280004 72.3552151940003,10.6598465560003 72.3406940280004,10.6255376390001 72.3261104170003,10.5915428610004 72.3114649170004,10.5578627220003 72.2967581390003,10.5244978330003 72.2819906390004,10.4914486670003 72.2671630000002,10.4587157500003 72.2522757780004,10.4262995560003 72.2373295560004,10.3942005830003 72.2223249170003,10.3624192220001 72.2072624720003,10.3309559440003 72.1921427500004,10.2998111670004 72.1769663610003,10.2919598890002 72.1730895280004,10.2614921390003 72.1825296110003,10.2205438610003 72.1953419720003,10.1797649720003 72.2082132500003,10.1391566110001 72.2211432220004,10.1098213890003 72.2305544440003,9.85590777800007 72.3117389170003,9.81523163900027 72.3247158890004,9.77472858300013 72.3377510280004,9.7343997780003 72.3508440830003,9.69424636100041 72.3639948060002,9.65426947200035 72.3772029170004,9.614470278 72.3904681670003,9.57484994400028 72.4037902780003,9.53540958300039 72.4171690280004,9.49615036099993 72.4306041110003,9.45707344400029 72.4440952780004,9.41818002800028 72.4576422500004,9.37947122200029 72.4712447780004,9.34094825000039 72.4849025560003,9.30261222200011 72.4986153330002,9.26446436100042 72.5123828330003,9.22650580599986 72.5262048060003,9.18873775000026 72.5400809170002,9.15116138900027 72.5540109170003,9.11377788900029 72.5679945280003,9.07658844400032 72.5820314720003,9.0395942220004 72.5961214440003,9.00279644400024 72.6102641940004,8.96619627800027 72.6244593890003,8.92979494400004 72.6387067500003,8.8935936390003 72.6530060000003,8.85759355600032 72.6673568330003,8.82179588900038 72.6817590000003,8.78620186100017 72.6962121390004,8.75081269399993 72.7107159720003,8.71562958300041 72.7252702220003,8.68065372200027 72.7398745830003,8.64588636100035 72.7545287500004,8.61525113900024 72.7675564720004,8.52492800000027 72.8060222220003,8.4904051940004 72.8207535560003,8.4560943610004 72.8355339170002,8.42199675000029 72.8503629720002,8.38811361099994 72.8652403890002,8.35444613900034 72.8801658890003,8.32099561100017 72.8951391390003,8.28776322200042 72.9101598610004,8.25475027800042 72.9252276670003,8.22195797200038 72.9403423060003,8.18938758300033 72.9555034440002,8.15704033300034 72.9707107220003,8.12491750000015 72.9859638610003,8.09302033300037 73.0012625000004,8.06135011099991 73.0166063330003,8.02990805600012 73.0319950280004,7.99869547200041 73.0474282780003,7.96771361100036 73.0629056940003,7.93696372200026 73.0784270000004,7.90644708300033 73.0939918330003,7.87616500000041 73.1095998330003,7.84611869400038 73.1252507220004,7.81630949999987 73.1409441110003,7.78673869400029 73.1566796670003,7.75740750000028 73.1724570560003,7.7283172780003 73.1882759170004,7.69946927800032 73.2041359440004,7.67086477800001 73.2200367220004,7.64250511100039 73.2359779440003,7.6143915560001 73.2519592500003,7.58652538900026 73.2679802780003,7.55890791700028 73.2840406940003,7.5315404720003 73.3001401110004,7.50442433300032 73.3162781670003,7.47756080599993 73.3324545280002,7.45095119400042 73.3486688060003,7.42459683300041 73.3649206670003,7.39849902800012 73.3812097220003,7.37265905600032 73.3975355830003,7.34707827800031 73.4138979170003,7.32175802800032 73.4302963330003,7.29669955599996 73.4467304720002,7.27190425000026 73.4631999440003,7.24737341700035 73.4797043610003,7.2231083610003 73.4962433610002,7.19911044400038 73.5128165830004,7.17538094400021 73.5294235830004,7.15192127800037 73.5460640280003,7.12873269400001 73.5627375280004,7.10581658300009 73.5794436670004,7.0831742500003 73.5961820830003,7.06080705600039 73.6129523890003,7.0387163330002 73.6297541390003,7.01690341700038 73.6465870000004,6.99536963900033 73.6634505560003,6.97411638900041 73.6803443890002,6.9531449720003 73.6972681110004,6.93245672199987 73.7142213060004,6.91205305600027 73.7312035830003,6.89193525000036 73.7482145560003,6.87210469400037 73.7652537780002,6.85256274999995 73.7823208610002,6.83331075000007 73.7994153890003,6.81435002800032 73.8165369440002,6.79568200000028 73.8336851110004,6.77730794400037 73.8508595000002,6.75922930600041 73.8680596390003,6.74144736100038 73.8852851670003,6.72396352800035 73.9025356110004,6.70677913900039 73.9198105560004,6.68989555600029 73.9371095830003,6.6733141390003 73.9544322780004,6.65703625000037 73.9717782220003,6.64106325 73.9891469170003,6.62539652800029 74.0065380000003,6.6100374170004 74.0239510000004,6.59498727800008 74.0413855000003,6.58024747200034 74.0588410280002,6.56581938900035 74.0763171670004,6.55170436100042 74.0938134440004,6.53790377800033 74.1113294720003,6.52441897200032 74.1288647500003,6.51125133300036 74.1464188610003,6.49840222200027 74.1639913610003,6.48587300000025 74.1815817500002,6.47366500000038 74.1991896110002,6.46177961100028 74.2168145000002,6.45021819400034 74.2344559170004,6.43898208300033 74.2521134440002,6.42807266700027 74.2697865830003,6.41749130600039 74.2874748890003,6.40723933299989 74.3051778890003,6.3973181110004 74.3228951390003,6.39317169400027 74.3304851670004,6.3861896110003 74.3323842220002,6.37615000000034 74.3351361110003,6.3395542220004 74.3451301390003,6.29310000000027 74.3579339440004,6.24682822200009 74.3707954720003,6.20074013900035 74.3837144720004,6.15483702799986 74.3966906670003,6.10912011100027 74.4097238610003,6.06359069400037 74.4228137780002,6.01825002800035 74.4359602220003,5.97309938900031 74.4491628890003,5.94417808300028 74.4576790000003,5.73566511100034 74.5189053060004,5.69047786100026 74.5321565280003,5.64548355600039 74.5454635280003,5.60068344400031 74.5588260000004,5.556078861 74.5722437220003,5.51167111100028 74.5857164720004,5.46746147200031 74.5992439440004,5.42345125000043 74.6128259440002,5.37964175000008 74.6264621670002,5.33603433300038 74.6401523610004,5.29263030600032 74.6538963060003,5.24943097200037 74.6676936940004,5.2165295829999 74.6782823610003,5.16756866700001 74.6906791670003,5.11878405600027 74.7031349440004,5.07017702800033 74.7156495000002,5.0217488330004 74.7282226390004,4.97350072199987 74.7408540560004,4.92543397199989 74.7535435830004,4.87754986100038 74.7662910000004,4.82984963900037 74.7790960280003,4.79175558300022 74.7893996110002,4.5610449170004 74.8402357780003,4.50861747200031 74.8517711110002,4.456350611 74.8633681940003,4.40424555600032 74.8750268060004,4.35230352800033 74.8867467500004,4.30052572200026 74.8985278060003,4.24891338900028 74.9103698060002,4.19746772200023 74.9222725000002,4.14619002800032 74.9342357220003,4.0950814720004 74.9462592500004,4.04414333300042 74.9583428890004,3.99337688899999 74.9704863890004,3.94278330600031 74.9826895560004,3.8923639169999 74.9949521670004,3.84211994399999 75.0072740560004,3.79205266700035 75.0196549440004,3.742163361 75.0320946390003,3.69245325000003 75.0445929170002,3.64292369399999 75.0571495560002,3.59357588900036 75.0697643610003,3.54441116700031 75.0824370560003,3.4954308330004 75.0951674440003,3.44663613900042 75.1079553060003,3.39802844400037 75.1208004170003,3.34960897200034 75.1337025280003,3.3013791109999 75.1466613890003,3.25334011100028 75.1596768330003,3.20549333300039 75.1727485560003,3.15784005599988 75.1858763610004,3.11038166700024 75.1990600000003,3.06311944400034 75.2122992220004,3.01605475000031 75.2255938060003,2.96918894400039 75.2389435000003,2.92252333300007 75.2523480830004,2.8760592780003 75.2658072780002,2.82979813900022 75.2793208330003,2.78374127800038 75.2928885560003,2.73789005600003 75.3065101390004,2.6922458610004 75.3201853610003,2.64681005600005 75.3339139440003,2.60158400000029 75.3476956670003,2.55656911100033 75.3615302780004,2.51176677799998 75.3754174720003,2.46717836100032 75.3893570280002,2.42280527800034 75.4033486670003,2.37864894400042 75.4173921670004,2.33471075000028 75.4314872220004,2.29099213900008 75.4456335560004,2.24749450000041 75.4598309440004,2.20421925000005 75.4740791110004,2.16116786100037 75.4883777780003,2.1183417500003 75.5027266670003,2.07574233300016 75.5171255280004,2.03337108300036 75.5315740560004,1.99122944400028 75.5460720000004,1.94931886100028 75.5606190560003,1.90764080600036 75.5752149720003,1.86619674999997 75.5898594720003,1.82498813900037 75.6045522220003,1.78401647200042 75.6192930000003,1.74328325000027 75.6340815000003,1.70278988900031 75.6489174440004,1.66253794400041 75.6638005000003,1.62252888900036 75.6787304170004,1.58276425000031 75.6937069170004,1.54324550000007 75.7087296670002,1.53155075000041 75.7132022780004,1.13418216700029 75.8634611390004,1.04119194400027 75.8980758890003,1.0009646390003 75.9130749440004,0.960986306000336 75.9281200000004,0.921258500000363 75.9432108060004,0.881782778000343 75.9583470280003,0.842560667000384 75.9735283610004,0.803593750000232 75.9887545560003,0.79115341700026 75.9936462220002,0.736730222000404 76.0057918060003,0.682485722000138 76.0179962220004,0.628421389000323 76.0302592220004,0.574538500000244 76.0425805830003,0.558702500000209 76.0462208330002,0.0165825560003441 76.1692897780003,-0.279918388999988 76.2351863890004,-0.335035888999982 76.2473939440003,-0.389971860999992 76.2596598610003,-0.444724999999949 76.2719839170003,-0.499293916999932 76.2843659440003,-0.553677277999952 76.2968056940003,-0.607873721999965 76.3093030000004,-0.661881917000017 76.3218576390003,-0.715700499999912 76.3344693610003,-0.769328028000018 76.3471380000002,-0.822763221999992 76.3598633330004,-0.876004610999928 76.3726451390003,-0.929050860999894 76.3854831670004,-0.981900582999913 76.3983772500003,-1.03455233299991 76.4113271670004,-1.08700472200002 76.4243326670003,-1.13925636099987 76.4373935280004,-1.19130580599995 76.4505095280004,-1.24315163899996 76.4636804720004,-1.294792417 76.4769061110003,-1.34622674999997 76.4901861940004,-1.39745316699998 76.5035205280004,-1.44847019399992 76.5169088890003,-1.49927641699998 76.5303510000002,-1.54987036099999 76.5438466390003,-1.60025055599988 76.5573955830004,-1.65041555599993 76.5709976110003,-1.70036383299987 76.5846524440002,-1.7500939439999 76.5983598890003,-1.79960438899997 76.6121196390003,-1.84889363899993 76.6259315280003,-1.89796022199994 76.6397952780003,-1.94680263899994 76.6537106110004,-1.99541933299997 76.6676773330003,-2.0438088059999 76.6816951390003,-2.09196952799994 76.6957638330003,-2.13989997199991 76.7098831390003,-2.18759855599995 76.7240528060004,-2.23506374999999 76.7382725830004,-2.28229402799997 76.7525421940004,-2.32928777799998 76.7668613890002,-2.37604347199999 76.7812299440002,-2.42255952800002 76.7956475280004,-2.46883430599996 76.8101139440004,-2.51486630599999 76.8246288890003,-2.56065386099993 76.8391921390004,-2.60619538899988 76.8538033610003,-2.65148927799993 76.8684623330003,-2.69653391699995 76.8831687780004,-2.74132766700001 76.8979224440004,-2.78586891699996 76.9127230000004,-2.78971666699999 76.9140055560003,-2.83177872199991 77.0052204170003,-2.91564444400001 77.1833888890002,-2.96516249999991 77.2560896390003,-3.08818005599989 77.4331970560004,-3.21465555599991 77.6102444440003,-3.21583991699993 77.6172727500002,-3.24646122199994 77.7962967500004,-3.27797997200003 77.9753149170004,-3.31043683299993 78.1543271670003,-3.34387500000003 78.3333333330003,-3.28855555599995 78.3886287780003,-3.10939161099998 78.5641478060004,-2.92472108299989 78.7395524720002,-2.73428638899998 78.9148375000003,-2.72026113044836 78.9273413383945,-2.53781388900001 79.0899972220004,-2.355313889 79.2325666670002,-2.22630597199986 79.3554385560004,-2.03651530599996 79.5311513610004,-1.84032197199991 79.7067460560003,-1.63739722199995 79.8822166670004,-1.41407013899999 79.9770160830004,-1.01374169399986 80.1422578890003,-0.599923666999871 80.3070102500003,-0.171959527999945 80.4712479170004,0.270847250000372 80.6349439720003,0.729235778000259 80.7980695830002,1.20399083300009 80.9605940280002,1.69594577800041 81.1224844170002,2.20598611099996 81.2837055560003,2.46278086100028 81.3708928330003,2.95902624999991 81.5340979440003,3.47459347200038 81.6966513610003,4.01055544400037 81.8585141670002,4.56805833300018 82.0196444440004,4.61617830600039 82.0325134720002,5.22359297200035 82.1910211110003,5.85594166700042 82.3486250000004,6.04572655600037 82.4993158060003,6.27811708300038 82.6758791110002,6.52191933299997 82.8523159720003,6.77799061100029 83.0286169440002,7.04727533299996 83.2047715830004,7.33081605600034 83.3807683330002,7.6297666670003 83.5565944440003,7.98841666700037 83.7183138890003,8.08306108300025 83.7258206670002,8.0982883671785 83.7270103623121,8.21643100000011 83.73624075,8.35075430599994 83.7465481390001,8.48602525000018 83.7567419720001,8.57598359581766 83.7633986978784,8.62223788900013 83.7668214170001,8.75938611099991 83.7767856110002,8.89746350000013 83.7866337220001,9.0364635000002 83.7963649170001,9.1763793610001 83.8059783330001,9.31720411099997 83.8154731670002,9.45893052800011 83.8248485830002,9.60155122200007 83.8341037780001,9.74505861100016 83.8432379170001,9.88944486100019 83.8522502220002,10.0347019439999 83.8611398890002,10.1808216110001 83.8699061390003,10.3277953890002 83.8785481670001,10.4756146670002 83.8870651940001,10.6242705280001 83.8954564440002,10.7737539170001 83.9037211940001,10.9240555000001 83.911858667,11.0751658060001 83.9198681110002,11.2270750830001 83.9277487780002,11.3797734440002 83.9354999440001,11.5332506940001 83.9431208890002,11.6874965560001 83.9506109440002,11.8425004170001 83.9579693330002,11.9982515830001 83.9651953890001,12.1547390280002 83.9722884440002,12.3119516390002 83.9792478060002,12.4698780000001 83.9860728060002,12.6285065830002 83.9927628060001,12.787825611 83.9993171670002,12.9478231390001 84.0057352220002,13.1084869720002 84.0120163610001,13.2698047780002 84.0181599720001,13.4317640280001 84.0241654440001,13.5943519720001 84.0300321940001,13.7575557220002 84.0357596670002,13.9213621390002 84.0413472500002,14.0857580000002 84.0467944440002,14.2507298060002 84.0521006390002,14.4162639440001 84.0572653610001,14.5823466390002 84.0622880560002,14.7489638610001 84.0671682220002,14.9161015560001 84.0719053890002,15.0837453330002 84.0764990280002,15.2518808330001 84.0809487500001,15.4204933890002 84.0852540280002,15.5895682780002 84.0894144440002,15.7590905560001 84.0934296110001,15.9290452220002 84.0972990560001,16.0994170829999 84.1010224170003,16.2701908060002 84.1045993060001,16.4413509720001 84.1080293330002,16.6128819720003 84.1113121670002,16.7847681390002 84.1144474440002,16.9569936670001 84.1174348610002,17.1295426390001 84.1202740830001,17.3023990280003 84.1229648330001,17.4755466940002 84.125506806,17.6489694170002 84.1278997500002,17.8226509170001 84.1301434440002,17.9965747780003 84.1322375830002,18.170724528 84.1341820280002,18.3450835830001 84.1359765000001,18.5196353610001 84.1376208330003,18.5256073831598 84.1376718983526,18.6943631389999 84.139114889,18.8692501940002 84.1404584440001,19.0442796940001 84.1416514170001,19.2194348330002 84.1426936670002,19.3946986940002 84.1435850560002,19.5700543890002 84.1443255000002,19.7454848890002 84.1449149440001,19.9209732500001 84.1453533060001,20.0965024720002 84.1456405280001,20.2720555560001 84.145776611,20.4476154170001 84.1457615000001,20.6212021670001 84.1455979170001,20.6337669720002 84.1455806110002,20.8092885560001 84.1452610000001,20.9847656110002 84.1447902500002,21.1601811940001 84.1441684720001,21.3355182780001 84.1433956670002,21.5107599440001 84.1424719440001,21.6554783434805 84.1415840069306,21.6858892780001 84.1413974170001,21.8608893610001 84.1401721670001,22.0357433610001 84.1387963330001,22.2104345280002 84.1372700830001,22.3849460830001 84.1355935560001,22.5592613610001 84.1337669440001,22.7333637780001 84.1317904170001,22.90723675 84.1296642220001,23.0808638610002 84.1273885560001,23.2542287220001 84.1249636390002,23.4273150280002 84.1223897500003,23.6001065830001 84.119667194,23.7725872780002 84.1167961940002,23.9447411110001 84.1137770560001,24.1165521940001 84.1106101390002,24.2880047500001 84.1072957500002,24.4590830830001 84.1038342220001,24.6297716940001 84.1002259440002,24.8000551390001 84.0964712500002,24.9699181390001 84.0925705560002,25.139345528 84.08852425,25.3083223060001 84.0843327500002,25.4768335830002 84.0799965000002,25.6448646390002 84.0755159170001,25.8124009170002 84.070891472,25.9794280000001 84.0661236390002,26.145931583 84.0612128890001,26.3118976110002 84.0561597220002,26.4773121390002 84.0509646670002,26.6421614170001 84.0456281940001,26.8064318060002 84.0401509170002,26.9701099440002 84.0345333060002,27.1331825560001 84.0287759440002,27.2956366110001 84.0228794170002,27.4574591940002 84.0168443060001,27.6186376670001 84.0106711670002,27.7791595000002 84.0043606670001,27.9390123890001 83.9979133610001,28.0981842220001 83.9913299170001,28.2566630830001 83.9846109170001,28.4144372220002 83.9777570830001,28.5714951390002 83.9707690280001,28.7278255280002 83.9636474170001,28.8834172220001 83.9563929440002,29.0382593330001 83.9490063060001,29.1923411390002 83.941488167,29.3456521390002 83.9338392500002,29.4539424170001 83.9283339720001,29.6189793060001 83.9243674170001,29.7835921110001 83.9202568330002,29.9477666390002 83.9160026670001,30.1114888060002 83.9116053060001,30.2747446670001 83.9070652220002,30.4375204170002 83.9023828610001,30.5998024440001 83.8975586390001,30.7615771940002 83.8925931110001,30.9228313610001 83.8874866940001,31.0835516940001 83.882239917,31.2437252220002 83.8768533060002,31.4033389720002 83.8713273610001,31.5623803060001 83.8656626110001,31.7208366390002 83.8598596390001,31.8786956110001 83.853918972,32.0359449720002 83.8478411940002,32.1925727220002 83.841626917,32.3485669720002 83.8352766670001,32.5039160830002 83.8287910830001,32.6586085000002 83.822170778,32.8126329170001 83.8154163890001,32.9659782220002 83.8085285280002,33.1186334170002 83.8015078330002,33.2705877780002 83.7943549720002,33.4218307220002 83.7870706110001,33.5723518330001 83.7796554170001,33.7221409440002 83.7721100830002,33.8711880280002 83.7644352780002,34.0194832780002 83.7566316940002,34.1323705635892 83.7505627265104,34.1670171110001 83.7487000830002,34.1998744518058 83.7468974866866,34.2523955695805 83.7440161100755,35.0000805560004 83.3519444440004),(20.8063815710004 80.7016633480004,20.8336095710004 80.6741453480004,20.8730545710004 80.6816543480003,20.9397185710005 80.6913633480004,20.9708275710003 80.6930363480005,20.9941635710004 80.6958183480004,21.0044455710005 80.7041633480004,20.9930455710003 80.7119273480003,20.9794365710003 80.7160903480003,20.9608275710003 80.7199813480004,20.9316635710005 80.7213723480004,20.8819365710004 80.7174813480003,20.8191635710005 80.7191453480003,20.6836095710004 80.7391543480003,20.6647185710004 80.7427543480005,20.6649995710004 80.7552633480004,20.6555545710003 80.7602723480004,20.6322185710004 80.7633183480004,20.5897185710004 80.7641633480005,20.5191635700004 80.7612453480003,20.5183275700003 80.7474813480004,20.5274995700003 80.7424813480004,20.6633275710004 80.7105363480003,20.7505545710005 80.7066453480005,20.7877725710004 80.7052633480003,20.8063815710004 80.7016633480004),(21.1922185710003 80.7038723480003,21.1522185710004 80.6963633480004,21.0972185710004 80.6966363480004,21.0736095710004 80.6935903480003,21.0463905710004 80.6916543480003,21.0275635710003 80.6832453480004,21.0488815710004 80.6658183480003,21.0624995710004 80.6616543480004,21.0808275710004 80.6577633480003,21.0947185710004 80.6533183480004,21.1130545710004 80.6494273480004,21.1344455710004 80.6497183480005,21.1938815710004 80.6610993480003,21.2408275710004 80.6669273480004,21.2680545710004 80.6691453480003,21.3299995710004 80.6722093480005,21.3533275710004 80.6749903480003,21.3629095710004 80.6817813480004,21.3472185710005 80.6888723480004,21.3305545710003 80.6978993480005,21.3166635710003 80.7047093480003,21.2888905710004 80.7074903480004,21.2158275710003 80.7069363480003,21.1922185710003 80.7038723480003),(19.8480545700004 80.5049903480004,19.9149995700004 80.4810903480004,19.9333275700004 80.4774813480003,19.9663815700005 80.4769273480003,20.0005545700003 80.4852633480003,20.0805545700003 80.4997093480004,20.1281905700004 80.5092993480004,20.1024995700004 80.5213813480003,20.0699995700004 80.5294363480003,20.0513905700005 80.5333273480004,20.0236095700005 80.5358093480004,19.9866635700005 80.5371993480003,19.9519365700004 80.5349903480003,19.9099995700003 80.5280453480003,19.8480545700004 80.5049903480004),(22.8869365730004 80.4902633480003,22.8338815730003 80.4369183480004,22.8324995730004 80.4078993480005,22.7491635730004 80.3241543480004,22.7169365730005 80.3249993480003,22.6949995730004 80.3283273480004,22.6192365720003 80.3485903480004,22.6327725720004 80.3699813480003,22.6580545720003 80.3845633480005,22.6783995720003 80.4120723480004,22.6122185720005 80.4266543480004,22.4980545720005 80.4291543480003,22.4083275720004 80.4266543480004,22.3849905720003 80.4235993480004,22.3611095720004 80.4102633480003,22.3357635720005 80.3587363480004,22.3866635720004 80.3288723480003,22.4086095720004 80.3255453480004,22.5031905720005 80.3199093480004,22.5413905720005 80.3149903480003,22.5685365720004 80.2963723480003,22.4999995720003 80.2751633480003,22.4523545720004 80.2615183480004,22.4191635720004 80.1697093480005,22.3616635720005 80.0374903480003,22.3284725720005 80.0337363480004,22.3638815720003 80.0013903480004,22.3549995720005 79.9952543480005,22.2874995720003 79.9810903480005,22.2574995720004 79.9783183480004,22.2263815720003 79.9791543480003,22.1988815720003 79.9846993480004,22.1926365720003 80.0190093480003,22.1280545720005 80.0755453480002,22.0541635720003 80.1085993480004,21.8561095720004 80.1435993480004,21.8297185720004 80.1460993480005,21.7980545720005 80.1469453480003,21.7366635720003 80.1406813480003,21.6669365720005 80.1124903480003,21.6374995720004 80.1110993480003,21.6079815710003 80.1212993480004,21.6588815720003 80.1444363480003,21.6866635720004 80.1541633480003,21.7297185720003 80.1685903480005,21.7611095720004 80.1774723480003,21.8842995720003 80.2027633480003,21.8983275720005 80.2177543480004,21.8704095720003 80.2584633480004,21.8383275720004 80.2710993480003,21.8027725720004 80.2724903480003,21.6972185720005 80.2736093480004,21.4833275710005 80.2663903480004,21.3005545710004 80.2399723480004,21.1252725710004 80.2166633480004,21.0958275710004 80.2152723480004,20.9433275710003 80.2121993480004,20.8819365710004 80.2113813480004,20.8533275710003 80.2111093480004,20.8124275710004 80.2196993480004,20.7456905710005 80.2677723480004,20.7833365710003 80.2869273480004,20.8351365710005 80.3060183480003,20.8127725710003 80.3119183480003,20.7794455710005 80.3113723480004,20.7272185710003 80.3069273480004,20.6744365710003 80.2984543480005,20.6477725710005 80.2924813480004,20.6155545710004 80.2930453480005,20.5724995710003 80.3021993480003,20.5277725700004 80.3208273480004,20.4320275700004 80.3973093480003,20.4158275700003 80.4138813480003,20.3658275700004 80.4197093480003,20.3294455700004 80.4210993480003,20.2377725700003 80.4197093480003,20.2113815700004 80.4174813480005,20.1794365700003 80.4126183480005,20.1005545700004 80.4058183480004,20.0351365700005 80.4635993480003,20.0074995700003 80.4694363480003,19.7011095700004 80.4997093480004,19.6688815700003 80.5016633480005,19.6424905700004 80.4994183480003,19.4819365700004 80.4623453480003,19.4633275690003 80.4547093480003,19.4587455690003 80.4206813480004,19.4773545700004 80.3949903480005,19.5122185700004 80.3872093480004,19.5486095700003 80.3861093480003,19.5819365700004 80.3869363480004,19.6899905700004 80.3952633480003,19.7233275700004 80.3963813480003,19.9137455700004 80.3766453480003,19.8586095700003 80.3397093480004,19.8127725700004 80.2758183480003,19.8072185700004 80.2310903480004,19.8408275700004 80.2209633480004,19.8086095700004 80.2124903480005,19.6874995700003 80.2130453480004,19.6552725700004 80.2136093480003,19.6237455700004 80.2185993480003,19.6008275700004 80.2246993480004,19.4336095690003 80.2863723480005,19.4165185690003 80.2997093480004,19.3855545690004 80.3141453480004,19.3302725690003 80.3252723480003,19.2616635690005 80.3347183480003,19.2113815690004 80.3402723480003,19.1566635690003 80.3452633480005,19.0972185690004 80.3494273480003,19.0608275690003 80.3505363480003,19.0238905690003 80.3505363480003,18.9799995690004 80.3366543480004,19.0991635690004 80.2580453480005,19.2145815690004 80.1969183480004,19.3105545690004 80.1744273480004,19.3688815690004 80.1699813480004,19.4049905690005 80.1702543480005,19.4805455700005 80.1683183480003,19.5520815700004 80.1626183480003,19.5798545700004 80.1492903480003,19.3874995690004 80.1072093480004,19.3405545690003 80.0863813480003,19.3188815690004 80.0833273480004,19.2899995690004 80.0816633480003,19.2633365690003 80.0841543480004,19.2341635690004 80.0895723480003,19.2126365690004 80.1021993480003,19.1912455690005 80.1149813480004,18.9041635690003 80.1876183480005,18.760972569 80.1877633480004,18.7173545690005 80.1592903480003,18.6744365690004 80.1580363480003,18.6340275690004 80.1617993480004,18.6105545690003 80.1677543480004,18.5941635690003 80.1847093480005,18.4434635690001 80.1810903480003,18.4155545690004 80.1724813480004,18.2547185680004 80.1730363480004,18.2233275680003 80.1749903480004,18.2033275680004 80.1847093480005,18.1674995680003 80.1858093480004,18.0383275680004 80.1852543480004,17.8779095680005 80.1555363480004,17.7908275680002 80.1270633480003,17.9383275680001 80.1255363480004,18.0074995680004 80.1280363480004,18.0627725680002 80.1260813480004,18.3576995680004 80.0763813480003,18.2988815680004 80.0688813480004,18.2663905680004 80.0680543480002,18.2269365680003 80.0683273480004,18.1999995680004 80.0708273480003,18.1541635680004 80.0755453480002,18.2116635680005 80.0508093480003,18.2397185680005 80.0422093480003,18.3363815680001 80.0449813480004,18.5091635690004 80.0399813480004,18.5444455690005 80.0388813480003,18.5752725689999 80.0371993480004,18.7361095690005 80.0238813480004,18.8094365690004 79.9947093480004,18.8058275690002 79.9699813480004,18.7680545690004 79.9733093480004,18.6806905690004 79.9724903480003,18.6622185690003 79.9620723480004,18.6341635690004 79.9566453480004,18.5847185690005 79.9516633480003,18.5147185690004 79.9541633480004,18.4827725690004 79.9530453480004,18.3563815680005 79.9430363480004,18.2441635680004 79.9285903480003,18.1541635680004 79.9099903480003,18.2877725680004 79.8635993480003,18.4524995690003 79.7927543480004,18.471663569 79.7827633480004,18.5427725690003 79.7858093480004,18.5830545690001 79.7894273480004,18.6670365690004 79.7635993480004,18.7074995690002 79.7472093470004,18.7490275690001 79.7235903470003,18.7713815690003 79.7174813470004,18.8019365690001 79.7169363470005,18.8297185690004 79.7185993470004,19.0144455690003 79.7260903470004,19.4022185690004 79.7371993470003,19.4344365690004 79.7326273470004,19.4524995690005 79.7227633470005,19.4724905690003 79.7130543470004,19.5111095700005 79.7094273470003,19.5422185700003 79.7102633470004,19.5702725700004 79.7119273470004,19.9266635700004 79.7419273470003,20.0847185700004 79.7613813480003,20.1627725700004 79.7749903480003,20.2580545700004 79.7849903480003,20.3355545700005 79.7910903480004,20.3919455700005 79.7941453480004,20.4236095700004 79.7949813480004,20.4866635700004 79.7963723480004,20.5919455710005 79.7963723480004,20.6549905710004 79.7977633480004,20.7499995710003 79.7999903480004,20.8133275710004 79.8016543480005,21.1380545710003 79.8146993480005,21.4133275710003 79.8280453480004,21.6641635720003 79.8341543480005,21.6994365720003 79.8338813480004,21.8524995720005 79.8241543480003,21.8755545720004 79.8144273480004,21.8349995720004 79.8058183480003,21.7997185720005 79.8060903480003,21.7705545720003 79.8008183480004,21.7358275720004 79.7805363480003,21.7955545720004 79.7638813480004,21.9524995720004 79.7658273480003,22.0177725720005 79.7744273480005,22.0547185720005 79.7819363480004,22.0763815720003 79.7849903480003,22.1922185720004 79.7980363480004,22.2172185720003 79.7999903480004,22.2488815720004 79.8008093480004,22.3206905720003 79.7949903480005,22.3427725720004 79.7858183480004,22.3198545720004 79.7767903480004,22.2669455720003 79.7691453480004,22.1544455720004 79.7649993480004,22.0194455720003 79.7563813480003,21.9738815720003 79.7527723470004,21.8724995720004 79.7420633470004,21.8467275720004 79.7285273470004,21.8647185720004 79.7099903470004,21.8391635720003 79.7027723470003,21.7761095720004 79.7013813470004,21.7086095720005 79.7044363470004,21.6794365720004 79.7066453470003,21.5019455710005 79.7127723470003,21.3877725710004 79.7152723470005,21.2799995710004 79.7163813470004,21.1824995710005 79.7149993470004,21.0924905710003 79.7136093470003,21.0016635710003 79.7105363470002,20.4806185700004 79.6787273470004,20.6458275710004 79.6217903470005,20.6752725710004 79.6166543470005,20.7841635710004 79.6074813470003,20.8555545710004 79.6052543470004,20.9141635710004 79.6013813470004,21.0227725710004 79.5922093470004,21.1019365710005 79.5849903470003,21.1475635710004 79.5703363470004,21.1230545710004 79.5594183470005,21.0955545710004 79.5580273470003,21.0622185710005 79.5594183470005,21.0205545710003 79.5658093470004,20.9291635710004 79.5774813470004,20.9041635710003 79.5802723470004,20.8749995710004 79.5822183470003,20.8080545710004 79.5849903470003,20.6949995710003 79.5871993470005,20.6294365710004 79.5866543470003,20.5674995710003 79.5849903470003,20.4249995700003 79.5894273470004,20.3999995700004 79.5919363470004,20.3788815700005 79.5949813470004,20.3577725700004 79.5983273470004,20.2988815700003 79.6083183470005,20.2692995700005 79.6195633470005,20.2374995700003 79.6335903470003,20.2141635700004 79.6397093470004,20.1888815700004 79.6422093470003,20.1508275700004 79.6427633470005,20.1197185700003 79.6419363470005,19.9252725700005 79.6305363470003,19.8633275700004 79.6288633470004,19.7633365700003 79.6277633470003,19.7388815700003 79.6255363470003,19.6683275700003 79.6151273470004,19.6376365700004 79.6023363470004,19.6576365700004 79.5663723470003,19.6797185700003 79.5508183470004,19.7120815700004 79.5437273470004,19.8302725700003 79.5274813470003,19.9305455700004 79.5166633470004,20.0647185700003 79.4927543470004,20.1108275700005 79.4808183470003,20.2233275700003 79.4602633470005,20.2733275700003 79.4549903470003,20.5216635700003 79.4480273470004,20.5961095710003 79.4463633470004,20.6505545710003 79.4494183470004,20.6713815710003 79.4524813470003,20.7458275710003 79.4572093470003,20.7766635710003 79.4219183470004,20.7930545710004 79.3767813470003,20.9361095710003 79.3660903470004,20.9688815710004 79.3646993470004,21.0744365710004 79.3713723470004,21.1908275710003 79.3833273470003,21.3477725710003 79.3935993470004,21.3749995710005 79.3949903470004,21.4383275710004 79.3941453470003,21.5230545710003 79.3913723470004,21.5694455710004 79.3883183470005,21.6058275710004 79.3810903470003,21.6538815720003 79.3697093470005,21.6741635720003 79.3663813470003,21.6944365720003 79.3633093470003,21.7280545720005 79.3630363470004,21.7552725720003 79.3644273470002,21.8033275720005 79.3688633470003,21.8661095720003 79.3777633470004,21.9319365720004 79.3858183470004,22.0947185720004 79.4024813470004,22.1463815720005 79.4058183470003,22.1769365720004 79.4066453470003,22.2108275720004 79.4063723470003,22.2847185720004 79.4044363470004,22.3827725720005 79.3997183470003,22.4861095720003 79.3969453470003,22.6147185720004 79.3977633470004,22.6758275720003 79.3988813470003,22.8130545730003 79.4055453470003,22.8374995730004 79.4074813470004,22.7713815730004 79.3866543470004,22.7363815730005 79.3805363470003,22.6855545720005 79.3688633470003,22.6558275720004 79.3599813470003,22.6429095720004 79.3223453470004,22.6541635720004 79.2969273470003,22.6955455730003 79.2783183470004,22.7372185730005 79.2655453470005,22.7794455730004 79.2530543470004,22.8258275730004 79.2413633470003,22.8916635730004 79.2263813470004,22.9266635730004 79.2191453470003,22.9738815730004 79.2136093470004,23.2522185730003 79.1916543470003,23.3119455730003 79.1877633470003,23.4074995730003 79.1827543470005,23.5116635730003 79.1788633470004,23.6105545730003 79.1780363470003,23.6677725730004 79.1796993470005,23.7591635730004 79.1741453470003,23.7891635740004 79.1744273470003,23.9091635740004 79.1763723470003,24.0597185740004 79.1869183470004,24.1169365740005 79.1969273470004,24.2324905740004 79.2249903470005,24.2699275740005 79.2607543470003,24.2616635740005 79.2976183470005,24.2816635740004 79.3049813470004,24.3061095740003 79.3069273470003,24.3611095740004 79.3094183470004,24.3913815740004 79.3097093470004,24.4433275740004 79.3127633470004,24.4922185740003 79.3169363470003,24.5352725740004 79.3222183470004,24.5780545740004 79.3277723470003,24.6183275740003 79.3341543470003,24.7111095740003 79.3519273470004,24.7455455740004 79.3599813470003,24.7769455740004 79.3685903470005,24.7986095740004 79.3713723470004,24.8724995750004 79.3771993470004,24.9399905750003 79.3709453470004,24.9597185750004 79.3381813470004,24.9861095750005 79.3327633470003,25.0502725750003 79.3291633470004,25.1491635750003 79.3263813470004,25.1955455750004 79.3308273470004,25.2980545750004 79.3460993470005,25.3547185750003 79.3566453470003,25.3863815750003 79.3652633470003,25.4430545750004 79.3758093470004,25.5333365750005 79.3858183470004,25.5830545750005 79.3897093470005,25.6327725750003 79.3933273470005,25.6766635750004 79.3988813470003,25.7227725750004 79.4079093470003,25.8027725750004 79.4338723470004,25.9752725760004 79.5077633470004,25.9422185760004 79.5413633470004,25.9030455750004 79.5716543470004,25.8719365750003 79.5852633470004,25.8356905750004 79.5942903470005,25.8111095750003 79.6138723470005,26.0377725760003 79.6458273470003,26.1930545760004 79.6649903470003,26.4497185760004 79.7099903470004,26.4779095760005 79.7156813470003,26.5338815760003 79.7399183470004,26.6362455760005 79.7809633480003,26.6677725760005 79.7858093480004,26.7547185760003 79.7888813480004,26.7876365760005 79.7930363480004,26.8102725760004 79.8048453480004,26.8412455760003 79.8233273480005,26.8686095760003 79.8291633480004,26.9469455760005 79.8347183480004,27.0341635770004 79.8374903480004,27.0602725770004 79.8391543480005,27.1422185770005 79.8535903480005,27.1813815770004 79.8652543480005,27.2236095770004 79.8852723480003,27.2355455770004 79.9138993480003,27.1655545770004 79.9396993480004,27.1213815770004 79.9583273480005,27.1011095770003 79.9674813480003,27.1449995770004 80.0044363480003,27.1677725770004 80.0219273480003,27.2292995770005 80.0965183480004,27.1822185770004 80.1069363480003,27.1461095770004 80.1077543480004,26.9774905760004 80.1227543480003,26.9084725760004 80.1467993480005,26.7999995760004 80.1722093480004,26.6372185760005 80.1833183480003,26.5980545760003 80.1847093480005,26.2424905760003 80.1863723480004,26.0816635760005 80.1858093480004,25.8938905750003 80.1727633480004,25.8638815750004 80.1716453480003,25.7254545750005 80.1762273480003,25.6988815750004 80.2158183480005,25.5436095750005 80.2344183480004,25.5088905750004 80.2363723480003,25.4684635750003 80.2335993480003,25.4502725750004 80.2249903480003,25.2620815750005 80.2256813480003,25.2286095750003 80.2505453480003,25.2552725750004 80.2558273480004,25.3091635750005 80.2597183480003,25.3449995750005 80.2701993480003,25.2894365750004 80.2749903480004,25.1833275750005 80.2685993480004,25.1058275750003 80.2622093480003,24.9822185750004 80.2549903480003,24.8099995740004 80.2477543480003,24.7797185740003 80.2466453480005,24.8011095740004 80.2586093480004,24.8480545750004 80.2769273480004,24.8883275750005 80.3209723480003,24.8599995750004 80.3383183480003,24.8363815740005 80.3508183480004,24.8141635740003 80.3494273480003,24.7866635740003 80.3433183480004,24.7659725740004 80.3320723480004,24.7505545740003 80.3085903480003,24.7320815740003 80.2916453480003,24.5558275740004 80.2563813480004,24.5324995740004 80.2535993480005,24.5005545740003 80.2547183480003,24.4672185740004 80.2640183480003,24.4766635740003 80.2960993480004,24.5519365740003 80.3066363480003,24.5999995740004 80.3128993480003,24.5602725740005 80.3335993480005,24.5272185740005 80.3413723480004,24.5061095740004 80.3449813480004,24.3477725740004 80.3677543480005,24.3074995740004 80.3688633480004,24.2736095740003 80.3685903480003,24.2130545740004 80.3660903480005,24.1894365740004 80.3633093480004,24.1491635740005 80.3527633480003,24.1822185740004 80.3363813480004,24.2033275740004 80.3330543480003,24.2294365740003 80.3302723480003,24.2908365740004 80.3255453480004,24.3611095740004 80.3255453480004,24.3979095740004 80.3172093480004,24.3649995740004 80.2899813480003,24.3380545740004 80.2838723480004,24.3058275740003 80.2847183480004,24.2169365740004 80.2944363480003,23.9794365740003 80.3083183480003,23.9394365740004 80.3094183480004,23.9066635740004 80.3046993480002,23.9516635740005 80.2930453480005,23.9849905740003 80.2852633480004,24.0225635740003 80.2715183480004,23.9938815740004 80.2697183480005,23.8666635740003 80.2780453480004,23.8441635740004 80.2802723480003,23.8155545740003 80.2885903480004,23.7924995740004 80.3008183480005,23.7613905730004 80.3046993480002,23.7380545730003 80.2977633480003,23.7180545730004 80.2566543480003,23.7287455730003 80.2299813480005,23.7513905730003 80.2072183480004,23.6197185730005 80.1427723480003,23.5966635730003 80.1358183480003,23.5486095730005 80.1298363480004,23.4891635730003 80.1547093480003,23.4673545730004 80.1723453480005,23.4920725730003 80.1909453480004,23.4729095730003 80.2062363480005,23.4294365730003 80.2077633480003,23.2480545730004 80.1924723480004,23.2252725730005 80.1896993480003,23.0902725730004 80.1645633480003,23.1183275730004 80.1530453480003,23.1758275730003 80.1363813480003,23.2204815730004 80.1174813480005,23.1830545730004 80.1133093480004,23.1527725730004 80.1152633480004,23.1013905730003 80.1208183480003,23.0716635730005 80.1260903480003,23.0041635730004 80.1567903480004,23.0474995730004 80.2449813480004,23.0869365730005 80.2524903480004,23.1397185730003 80.2566543480003,23.1697185730004 80.2577633480004,23.1961095730003 80.2599903480004,23.2424905730005 80.2655453480003,23.3017995730003 80.2806813480004,23.3397185730004 80.3424183480004,23.3088905730003 80.3491543480004,23.2686095730004 80.3502633480005,23.2080455730004 80.3608093480003,23.1270815730005 80.3827633480004,23.1447185730003 80.3924903480004,23.1730455730004 80.3983273480004,23.2033275730004 80.3997183480004,23.2438815730005 80.3986093480004,23.2774995730004 80.3991543480004,23.3094455730004 80.4041543480004,23.3558275730005 80.4265183480003,23.3149995730004 80.4449813480003,23.2847185730003 80.4502723480004,23.2580545730004 80.4530453480003,23.1277725730004 80.4613813480003,22.9469365730004 80.4760993480004,22.8869365730004 80.4902633480003),(24.1656905740005 80.4405273480004,24.1315275740004 80.3947813480004,24.1619455740004 80.3849903480003,24.1977725740003 80.3833273480004,24.3088905740004 80.3821993480003,24.3358275740004 80.3841543480004,24.3822185740004 80.3924903480004,24.2544455740004 80.4491453480004,24.2327725740003 80.4524813480004,24.1969455740005 80.4541633480003,24.1797185740004 80.4497093480003,24.1656905740005 80.4405273480004),(33.2611095820004 80.2402633480003,33.0308185820005 80.2144273480003,32.8933275820004 80.1963633480003,32.7511095820004 80.1905363480005,32.5910995820003 80.1799813480004,32.3308275810003 80.1605363480004,32.1216545810003 80.1452633480004,31.7919455810004 80.1280363480004,31.4936095810004 80.1108093480003,31.4766635810004 80.1058183480004,31.4494365810004 80.0858183480004,31.5547185810004 80.0702633480004,31.5824995810004 80.0694453480004,31.6847185810003 80.0777723480003,31.7397185810003 80.0805543480004,32.0910995810003 80.0902723480004,32.1513815810004 80.0913723480004,32.2169365810003 80.0905453480004,32.2874995810004 80.0880453480003,32.3152725810004 80.0894273480004,32.3663905820003 80.0944363480003,32.4791545820004 80.1099813480004,32.5041635820003 80.1121993480002,32.5294365820005 80.1141543480003,32.6958275820004 80.1222093480004,32.8255545820005 80.1330453480004,32.8963815820005 80.1413723480003,32.9394275820004 80.1480363480003,33.2744365820004 80.1744273480004,33.5088905830004 80.1919273480003,33.5805545830004 80.1999993480004,33.6036095830003 80.2030453480004,33.6244365830003 80.2069363480005,33.6374995830004 80.2133183480004,33.6249905830003 80.2177543480004,33.6022185830004 80.2213723480003,33.5238815830003 80.2310903480004,33.4244365820003 80.2388723480004,33.3863815820004 80.2410903480003,33.3172185820004 80.2430453480003,33.2866635820004 80.2424813480004,33.2611095820004 80.2402633480003),(27.8781815770005 80.1660633480004,27.8219455770005 80.1758093480004,27.8008275770004 80.1724813480004,27.7191635770004 80.1580363480003,27.7011095770005 80.1538723480004,27.6767995770005 80.1201183480003,27.6991635770004 80.1138723480003,27.7330545770004 80.1116453480004,27.7719455770004 80.1102633480003,27.8377725770005 80.1102633480003,27.9822185770003 80.1255363480004,28.0458275770005 80.1355453480003,28.0706905780004 80.1415183480003,28.0597185770004 80.1483273480004,27.9863815770003 80.1577633480005,27.8781815770005 80.1660633480004),(19.7236095700005 79.1510903470003,19.3480545690005 79.1847093470004,19.3149995690005 79.1844183470005,19.2919455690005 79.1822093470003,19.2655545690004 79.1652633470005,19.2409635690003 79.1519273470005,19.1866635690005 79.1452633470005,19.1244365690004 79.1455363470004,18.9786095690003 79.1541633470004,18.9372185690004 79.1602633470005,18.9181905690004 79.1669273470005,18.8513905690003 79.2483183470004,18.8508275690003 79.2972093470004,18.8737455690004 79.3110903470003,18.8597185690005 79.4505453470003,18.7424905690005 79.5341453470003,18.7027725690004 79.5472093470003,18.6588815690005 79.5594183470005,18.3569455680004 79.6283093470004,18.3305545680003 79.6294273470003,18.264999568 79.6280363470004,18.2377725680004 79.6263723470004,18.1936095680005 79.6208183470004,18.1633275680005 79.6121993470004,18.0892995680002 79.5781813470004,18.0382635680004 79.5260993470004,18.0144455680004 79.4652633470002,17.9863815680005 79.4455273470003,17.9580455680002 79.4291543470002,17.9322185680004 79.4199813470003,17.8772185680003 79.4019273470004,17.8477725680002 79.3935993470004,17.8197185680004 79.3874993470004,17.6822185680001 79.3671993470005,17.6376995680005 79.3760903470003,17.6497185680004 79.3923543470004,17.7274905680005 79.4016543470004,17.7537455680001 79.4073453470004,17.7723635680001 79.4180453470004,17.7799995680004 79.4877633470003,17.7655545680002 79.5435903470004,17.7345815680004 79.5522093470003,17.7938905680005 79.6127633470004,17.8465275680002 79.6423453470003,17.8861095680004 79.6560993470004,17.914718568 79.6613723470005,17.9422185680002 79.6630363470005,17.9794365680001 79.6702543470005,18.0466635680004 79.6858093470004,18.0705545680004 79.6928903470004,18.0899995680005 79.7035993470004,18.0870095680005 79.7281723470004,18.0502725680004 79.7449813470004,17.8672185680005 79.8034543480003,17.5577725680004 79.8917903480003,17.3708275680004 79.9241453480004,17.2805545670004 79.9360993480004,17.2269365670005 79.9408093480004,17.0391635670004 79.9569363480003,16.9772185670004 79.9602633480005,16.956663567 79.9569363480003,16.9266635670004 79.9483183480003,16.8966635670005 79.9394183480004,16.867636567 79.9272093480004,16.8754095670001 79.9060993480003,16.9023545670004 79.8832453480005,16.8772185670005 79.8697093480005,16.8419455670003 79.8694273480004,16.8191635670004 79.8722093480004,16.7902725670004 79.8808183480004,16.7258275670005 79.9033183480004,16.5636725670003 80.0260903480003,16.5311095670004 80.0423453480004,16.3349995670004 80.0605273480004,16.3077725670004 80.0627633480003,16.2794455670001 80.0608093480005,16.0566635660004 80.0204093480003,16.0227725660004 80.0088813480004,15.9755545660003 79.9680453480004,15.9513905660004 79.9344273480004,15.9958275660005 79.9116543480004,16.0405545660003 79.8991543480003,16.096945566 79.8885993480004,16.1315275660005 79.8717093480004,16.1108275660004 79.8602633480003,16.0719455660004 79.8605363480004,16.0061095660003 79.8630363480004,15.8677725660004 79.8733093480004,15.8366635660004 79.8749813480004,15.7977815660004 79.8752633480003,15.7311095660004 79.8735993480005,15.7072185660004 79.8708183480004,15.6848635660003 79.8645633480003,15.6469455660003 79.8397813480003,15.6474995660004 79.7649993480004,15.691799566 79.6923453470004,15.7388815660004 79.6644273470005,15.7944455660004 79.6303993470003,15.8741635660004 79.5641453470004,15.8924995660003 79.4966453470003,15.9402725660003 79.3852723470003,15.9738815660004 79.3247093470004,16.0163905660004 79.2942903470003,16.0819365660004 79.2691453470004,16.1304095660004 79.2444273470003,16.1511095660003 79.2231723470003,16.1508275660003 79.1883093470004,16.1766635660005 79.1533183470003,16.1952725660004 79.1366543470003,16.2393725660001 79.1061543470004,16.2861095670001 79.0909543470004,16.3211095670004 79.0408183470003,16.3741635670004 78.9841453470004,16.4002725670004 78.9723453470003,16.4555455670003 78.9623453470003,16.4945095670003 78.9272723470004,16.4499995670004 78.9038723470003,16.4213815670001 78.9027723470003,16.3930545670004 78.9044363470003,16.3513905670005 78.9102633470003,16.3276365670004 78.9159633470003,16.1480545660003 78.9866453470003,16.1286095660003 79.0062363470003,16.1318725660001 79.0383813470004,16.0924905660002 79.0741543470004,15.9749995660004 79.1263723470003,15.9172185660003 79.1494273470004,15.8894455660004 79.1577633470004,15.8680545660005 79.1608093470003,15.8427725660005 79.1627633470004,15.8133275660005 79.1616543470004,15.7772185660004 79.1512363470003,15.7144455660005 79.1108093470004,15.7297185660004 79.1869183470004,15.7831275660005 79.2169363470003,15.7726365660002 79.2377633470003,15.6513905660004 79.2738813470004,15.5108275660003 79.3238813470003,15.4863905660005 79.3363813470003,15.4405365660002 79.3780183470004,15.2995815660004 79.5260993470004,15.2908365660002 79.5613723470003,15.2912455660004 79.5970723470004,15.2626365660003 79.6123453470004,15.1994455660004 79.6249813470004,15.1327725650004 79.6422093470003,15.0591635650004 79.6699813470003,15.0372185650004 79.6796993470003,15.0204185650002 79.7035903470004,14.8527725650004 79.7659723480004,14.7691635650004 79.7819363480004,14.5849995650001 79.8041543480003,14.5577725650003 79.8060903480003,14.5227725650004 79.8017903480003,14.4669455650003 79.7666633480004,14.4394455650003 79.7508273470004,14.3999995650004 79.7302723470004,14.1369455650004 79.6099813470004,14.1102725650004 79.6105363470003,14.0722185640003 79.6038633470005,14.0077725640003 79.5880453470003,13.9774995640001 79.5797093470003,13.930136564 79.5642903470003,13.8849995640005 79.5383183470003,13.9324995640001 79.4871993470003,13.9606905640005 79.4717903470005,14.0188905640004 79.4515183470004,14.153890565 79.3352633470004,14.0997185640005 79.2799813470003,14.0792995640003 79.2666543470004,14.0588905640005 79.2602723470004,14.0186095640004 79.2649993470004,13.8949275640003 79.2917183470004,13.9038905640003 79.3191543470003,13.9147185640004 79.3548543470004,13.8736095640004 79.3919363470003,13.7683275640004 79.4330453470003,13.5944455640004 79.4841453470003,13.5716635639999 79.4869273470004,13.4741635640003 79.4855363470004,13.4462455640005 79.4781813470003,13.4789545640004 79.4507093470004,13.4297185640005 79.4377633470004,13.2647185640001 79.4709543470004,13.2652725640003 79.5144363470005,13.2880545640004 79.5158273470005,13.3447185640005 79.5124993470004,13.3708275640004 79.5147093470003,13.4247185640003 79.5295723470003,13.4890275640004 79.5655453470005,13.4748545640005 79.5824903470004,13.3319455640004 79.5941453470004,13.2749995640003 79.5974903470004,13.0288905630001 79.5880453470003,12.9986095630004 79.5863813470003,12.7919455630004 79.5685993470004,12.6316635630005 79.5494273470003,12.6055545630001 79.5472093470003,12.5677725630003 79.5472093470003,12.5372185630004 79.5483273470003,12.5141635630005 79.5510903470005,12.4492995630004 79.5688813470005,12.467636563 79.5849903470003,12.4933275630004 79.5908183470004,12.5238905630004 79.5894273470004,12.5777725630003 79.5855363470004,12.6116635630003 79.5863813470003,12.6380545630004 79.5885903470003,12.6920815630004 79.5959543470003,12.8674995630004 79.6430543470004,13.0158365630001 79.6885813470004,13.0463905640004 79.6902633470003,13.3180545640004 79.6941363470003,13.5899995640004 79.6966363470004,13.6283275640002 79.6966363470004,13.7316635640003 79.7058273470004,13.8236095640002 79.7169363470005,13.8847185640003 79.7263813470003,13.9059725640001 79.7328993470003,13.9673545640005 79.7699903480003,13.9574995640004 79.8283273480004,13.9105545640005 79.8560903480004,13.875554564 79.8669273480003,13.8480545640004 79.8724813480003,13.8247185640003 79.8752633480003,13.7897185640005 79.8744183480003,13.7352725640005 79.8702543480005,13.641945564 79.8591453480004,13.5605545640004 79.8530453480003,13.5255545640003 79.8521993480003,13.4127725640004 79.8527633480005,13.3777725640003 79.8519273480003,13.3505545640004 79.8499903480003,13.0147185629999 79.8222183480004,12.9577725630003 79.8119183480004,12.9124995630004 79.7994273480004,12.8827725630005 79.7876183480003,12.8374995630002 79.7785903480005,12.7877725630004 79.7736093480003,12.5969455630004 79.7563813480003,12.5410365630003 79.7705453480004,12.4899995630004 79.8024723480003,12.4652725630003 79.8121903480003,12.4369455630005 79.8208273480004,12.4047185630005 79.8288723480004,12.3847185630003 79.8322183480003,12.3297185630005 79.8361093480004,12.2247185630004 79.8361093480004,12.2019455630001 79.8333273480004,12.1622185630004 79.8060903480003,12.1644455630005 79.7824813480004,12.204718563 79.7505453470004,12.2244455630001 79.7472093470004,12.2788905630005 79.7433183470004,12.3049995630003 79.7376183470004,12.3452725630004 79.7133183470004,12.3566635630004 79.6908093470003,12.3416635630005 79.6633183470004,12.3113905630003 79.6619273470004,12.2769455630003 79.6621993470003,12.1494455630003 79.6691453470004,12.106390563 79.6749903470005,12.0484725630004 79.6881723470003,11.9388905620004 79.7688723480004,11.8444455620004 79.8340183480004,11.8197185620005 79.8399813480003,11.7886095619999 79.8397093480004,11.6963905620002 79.8349903480004,11.6738905620002 79.8322183480003,11.5697185620004 79.8121903480003,11.5499635620002 79.7828633480003,11.5069455620004 79.7658273480003,11.4724995619999 79.7649993480004,11.4452725620003 79.7652723480004,11.3961095620004 79.7772093480004,11.3758275620004 79.7805453480004,11.341109562 79.7810993480004,11.2291635620002 79.7794363480003,11.1956905620005 79.7749903480003,11.2026365620002 79.7126273470004,11.2363815620005 79.6935903470004,11.2619455620004 79.6841453470003,11.3808275620004 79.6522093470005,11.3661095620005 79.6349903470004,11.1286095620004 79.6385993470004,11.1049995620004 79.6410993470005,11.0505545620004 79.6447183470004,11.0161095620004 79.6449903470004,10.9861095620003 79.6433273470004,10.9638905620004 79.6405453470005,10.8593725610003 79.5974183470003,10.8880545620002 79.5874903470004,10.9113905620005 79.5849903470003,10.9691635620001 79.5822183470003,11.0233365620005 79.5785993470004,11.1208275620004 79.5691543470003,11.180272562 79.5594183470005,11.1444455620004 79.5521993470004,11.1141635620004 79.5519273470005,11.0258275620003 79.5558183470004,10.9188905620005 79.5591453470004,10.7822185610004 79.5605273470004,10.7444455610004 79.5599813470004,10.6823545610004 79.5460903470005,10.7059725610004 79.5122183470003,10.7341635610003 79.5069453470005,10.8041635610004 79.4994183470004,10.8320815610003 79.4944183470002,10.8780545610005 79.4783183470004,10.9036095620004 79.4617903470003,10.9173635620001 79.4399813470005,10.9027725620001 79.4188723470004,10.8811095610005 79.4158183470005,10.8587455610003 79.4097093470004,10.8511095610003 79.3588723470003,10.8763905610004 79.3422093470003,10.9040275620005 79.3298453470005,11.0233365620005 79.2930453470003,11.1440275620003 79.2347093470003,11.1669455620003 79.1952543470003,11.1888905620004 79.1233093470003,11.2363815620005 79.0930453470004,11.4133275620004 79.1130363470003,11.6524995620002 79.1505453470003,11.687499562 79.1577633470004,11.709999562 79.1637363470004,11.7169455620004 79.1926183470003,11.6358275620003 79.2458183470004,11.5552725620004 79.2783183470004,11.6008275620004 79.3060903470004,11.6386095620005 79.3194453470005,11.6638905620004 79.3216543470004,11.6861095620001 79.3216543470004,11.7052725620004 79.3098543470003,11.7188905620002 79.2805363470004,11.7886095619999 79.2366453470004,11.8349995620005 79.2246993470004,11.8683275620004 79.2241543470004,11.9135995620004 79.2397093470004,11.9852725630002 79.2860993470004,12.0708275629999 79.3044273470004,12.0933275629999 79.3024813470003,12.1152725630002 79.2933183470003,12.1016635630004 79.2538723470004,12.0736095630004 79.2255363470003,12.0513905630004 79.2055543470003,12.0147185630003 79.2052633470004,11.9858275629999 79.2035993470005,11.9505545620004 79.1966363470003,11.9033275620003 79.1731723470004,11.8019455620004 79.1138723470004,11.7552815620005 79.0758183470004,11.7811095620004 79.0546993470004,11.8455545620005 79.0394273470003,11.8980545620005 79.0288723470004,11.9838905630004 78.9830363470005,12.0326365630003 78.9716453470003,12.0638905630004 78.9674813470004,12.0924995630004 78.9674813470004,12.1172185630003 78.9697093470003,12.2224995630004 78.9841453470004,12.2747185630004 78.9947093470005,12.3033275630004 78.9963723470004,12.3677725630005 78.9980273470004,12.4038905630003 78.9980273470004,12.4366635630002 78.9941453470004,12.5006905630004 78.9119903470004,12.4708275630004 78.9010903470004,12.3044455630005 78.8924903470004,12.2797185630004 78.8919363470004,12.2511095630005 78.8930543470004,12.2291635630004 78.8955363470004,11.9849995630004 78.9263723470004,11.8602725620004 78.9433183470004,11.8299995620005 78.9513813470003,11.6758275620004 78.9694363470003,11.602499562 78.9763813470005,11.5377725620004 78.9774813470004,11.4697185620004 78.9760903470004,11.4130545620004 78.9727633470005,11.3370095620004 78.9605363470004,11.4254185620003 78.9187363470004,11.5761095620003 78.8821993470003,11.6097185620005 78.8749813470004,11.6466635620004 78.8683183470004,11.6872185620002 78.8624903470003,11.7341635620004 78.8580363470004,11.7913905620005 78.8558183470004,11.8166635620005 78.8538633470004,11.8386095620002 78.8510903470003,11.8752725620004 78.8447093470003,11.9242995620004 78.8259183470004,11.8961095620005 78.8091453470004,11.8519455620003 78.8176273470004,11.8194455620005 78.8216543470003,11.7913905620005 78.8199903470003,11.7336095620004 78.8070633470003,11.7077725620003 78.7952543470004,11.6647185620001 78.7633183470003,11.6447905620003 78.7359543470004,11.9181905620001 78.6292813460005,11.9794455630005 78.6174813460004,12.0008275630004 78.6146993460005,12.0433275630004 78.6097093460004,12.153054563 78.5972183460004,12.3788815630004 78.5469363460004,12.4830545630005 78.5435903460003,12.6638905630005 78.5333273460004,12.809999563 78.5230363460004,12.8411095630003 78.5224903460003,12.8686095630003 78.5238813460003,12.9749995630004 78.5305453460003,13.0448545640004 78.5413723460003,13.0977725639999 78.5480363460003,13.1566635640004 78.5460993460005,13.1873635640005 78.5415723460004,13.1444455640004 78.5255453460003,13.1138815640003 78.5177633460003,13.0936095640001 78.5149993460004,12.9294455630005 78.4994183460004,12.9019455630004 78.4980273460004,12.7508275630003 78.4960903460004,12.7163905630004 78.4958183460004,12.5711095630001 78.5005453460004,12.5402725630001 78.4997093460003,12.3974995630004 78.4866453460003,12.3715905630004 78.4808903460004,12.5841635630001 78.3935993460004,12.6122185630001 78.3855453460005,12.7087455630004 78.3616453460002,12.7447185630004 78.3585993460005,12.8024995630003 78.3608093460003,12.8330545630004 78.3602633460005,12.8747185630004 78.3516543460003,12.9463905630004 78.2910903460003,12.9531185630004 78.2617903460004,12.9153455630005 78.2421993460003,12.9474995630005 78.2199813460003,12.9791635630004 78.2058273460004,13.0066635630005 78.1974813460005,13.0302815630005 78.1955273460003,13.0567995640004 78.2003993460003,13.0742995640004 78.2105363460005,13.1224995640002 78.2177543460003,13.149445564 78.2194363460004,13.1830545640003 78.2194363460004,13.2369455640005 78.2169363460005,13.3922185640005 78.2074903460003,13.5738905640002 78.1969273460003,13.6277725640005 78.1941363460003,13.7183275640003 78.1963633460003,13.7986095640004 78.2005453460004,13.8222185640004 78.2027723460004,13.8555545640004 78.2140093460004,13.8234725640004 78.2324813460004,13.7844455640004 78.2416543460004,13.7530545640004 78.2566633460004,13.9899995640004 78.2858093460003,14.0711095640004 78.2863723460003,14.0947185640003 78.2830453460004,14.1113905650004 78.2555543460005,14.1927725650003 78.2733183460003,14.3252725650004 78.3060903460004,14.2988905650004 78.3358183460004,14.3649995650005 78.3863813460003,14.4533275650003 78.3780363460003,14.5791635650004 78.3738723460003,14.6063905650001 78.3735993460004,14.637218565 78.3744183460005,14.6883275650003 78.3777633460003,14.7281905650004 78.3862363460004,14.7174995650003 78.4063723460005,14.6680545650003 78.4409543460004,14.6105545650004 78.4533273460003,14.5697185650004 78.4588813460005,14.5458275650004 78.4611093460004,14.4908275650001 78.4638813460004,14.4430545650001 78.4680453460003,14.4131905650004 78.4740813460004,14.3888905650003 78.4915093460004,14.4558275650004 78.5319363460005,14.5408365650004 78.5783273460003,14.5324995650004 78.6216453460003,14.526945565 78.6560993460004,14.5316635650003 78.6827543470004,14.6169455650002 78.7080363470004,14.6774995650004 78.7235993470004,14.6986095650004 78.7263813470004,14.8163905649999 78.7294273470003,14.8372185650004 78.7005453470003,14.8448545650003 78.6735903460004,14.8234725650004 78.6552633460005,14.8052725650004 78.6451363460005,14.8556905650002 78.6201273460005,14.9019455650004 78.6087363460003,14.9447185650004 78.5999903460004,14.9652725650004 78.5972183460004,14.9927725650004 78.5958273460004,15.0279185650003 78.5990183460004,15.2199995660004 78.6752633460002,15.1977725660004 78.7316453470003,15.2197185660004 78.7719273470003,15.2955545660003 78.8197183470004,15.3177725660004 78.8291633470004,15.3708275659999 78.8430363470004,15.4011095660001 78.8433183470003,15.4833275660001 78.8083093470004,15.5009725659999 78.7137363470003,15.4488905660004 78.6330453460003,15.4030545660003 78.6144273460003,15.3416635660005 78.6094183460003,15.2354185660004 78.6067903460005,15.1988905660005 78.5905453460003,15.2980545660005 78.5005453460004,15.3572185660001 78.4748453460004,15.4274545660003 78.4581723460004,15.4727725660001 78.4512363460003,15.5877725660005 78.4510993460003,15.6461095660005 78.4527723460004,15.6913905660005 78.4572183460003,15.7145815660003 78.4630453460003,15.7477725660003 78.4666633460004,15.9036095660005 78.4746993460004,15.9655545660005 78.4755363460004,15.993327566 78.4769273460004,16.0233275660003 78.4810903460004,16.0505545660005 78.4894273460004,16.0655095660005 78.5030903460004,16.1044455660004 78.5213813460004,16.1547185660003 78.5319363460005,16.2711095670003 78.5533183460004,16.3170815670003 78.5667903460003,16.4654815670003 78.6789363460004,16.4842995670005 78.7017903470003,16.513190567 78.7135993470004,16.5505545670005 78.7163813470004,16.5711095670005 78.7133183470004,16.6199275670001 78.6815453470003,16.6652725670005 78.6658183460004,16.7219365670004 78.6680453460004,16.786663567 78.6758093460003,16.8108275670004 78.6749903460004,16.8339545669999 78.6616543460003,16.8113905670003 78.6408273460003,16.6913815670005 78.6127633460003,16.5422185670001 78.5660813460003,16.464163567 78.5255453460003,16.3302725670004 78.4509543460004,16.4066635670002 78.4305453460004,16.4374995670004 78.4294273460004,16.5005545670004 78.4371903460004,16.5249995670001 78.4391453460003,16.5527725670003 78.4402633460004,16.5786095670004 78.4330273460004,16.5986095670004 78.4070633460004,16.8244365670004 78.3861093460004,16.8513905670002 78.3844273460003,16.8788815670003 78.3855453460005,16.9219365670004 78.3941543460004,17.1924905670002 78.4347093460004,17.2169365670005 78.4363723460004,17.2444365670003 78.4360993460003,17.2677725670004 78.4338723460003,17.2951995670005 78.4217903460004,17.0813905670004 78.3766453460004,17.045554567 78.3702543460004,16.8819365670004 78.3416633460004,16.8188815670003 78.3338813460004,16.7705545670005 78.3302723460004,16.7191635670005 78.3285993460003,16.5363815670004 78.3316633460004,16.4755545670005 78.3335993460003,16.2663905670005 78.3408183460004,16.2394365660005 78.3424813460003,16.1330545660004 78.3555453460003,16.1024995660003 78.3563723460004,15.9949995660003 78.3441453460003,15.7933275660005 78.3366543460003,15.7658365660003 78.3352633460003,15.5972905660004 78.2874183460002,15.6291635660002 78.2549903460005,15.7297185660004 78.2260273460004,15.6947185660003 78.2169363460005,15.6611095660002 78.2172093460005,15.6377815660005 78.2194363460004,15.5901365660005 78.2267903460003,15.5422185660004 78.2344183460003,15.5188905660003 78.2366453460003,15.4922185660004 78.2380363460003,15.4616635660004 78.2374903460004,15.4380545660004 78.2355363460002,15.3322185660004 78.2230363460004,15.2944455660004 78.2169363460005,15.2636095660005 78.2097183460003,15.2219455660004 78.1974813460005,15.056663565 78.1486093460003,15.0249275650003 78.1110183460004,14.9891635650004 78.1027633460004,14.9658275650003 78.1008183460004,14.909163565 78.1016543460003,14.8233275650003 78.1116453460004,14.7966635650004 78.1130363460005,14.763336565 78.1130363460005,14.7366635650004 78.1119273460004,14.6430545650004 78.1038633460003,14.6227725650004 78.1010903460004,14.5524995650003 78.0944363460003,14.472499565 78.0905453460002,14.4061095650004 78.0905453460002,14.3861095650001 78.0933183460004,14.3397185650004 78.0974903460003,14.3097185650005 78.0983273460004,14.2763905650003 78.0983273460004,14.2413905650004 78.0952723460004,14.2219455650004 78.0789453460004,14.2686095650005 78.0460993460003,14.3375635650004 78.0223453460003,14.3658275650002 77.9712273460005,14.3558275649999 77.9627723460004,14.3324995650003 77.9608183460004,14.3063905650001 77.9621993460003,14.2833365650004 77.9644273460004,14.2574995649999 77.9898453460003,14.2397185650003 78.0065183460005,14.1030545640005 78.0606723460003,14.0366635640003 78.0777723460004,13.9869455640001 78.0880453460003,13.9669455640004 78.0908183460003,13.9402725640002 78.0922093460005,13.8769455640004 78.0927543460004,13.6119455640005 78.0583183460004,13.5922185640003 78.0521993460004,13.6283275640002 77.9505453460004,13.6766635640004 77.8641543460004,13.7133275640002 77.8347183460003,13.7361095640005 77.8324903460003,13.7640275640001 77.8280453460004,13.8049275640004 77.8144273460004,13.8141635640002 77.7922723460003,13.7666635640004 77.7713813460003,13.7288905640004 77.7608903460005,13.7562455640005 77.7298453460004,13.9516635640003 77.7180453460003,14.0259725640004 77.7364993460004,14.0487455640004 77.7488813460003,14.1022185640002 77.7684633460003,14.1491635650004 77.7755453460005,14.2141635650004 77.7763813460003,14.2367995650004 77.7673453460004,14.4241635650005 77.7513903460004,14.4533275650003 77.7505453460003,14.6088905650004 77.7586093460004,14.7130545650004 77.7652723460005,14.7358275650005 77.7672093460003,14.8763905650005 77.7838723460004,15.048609565 77.7880363460003,15.0944455650004 77.7922093460004,15.1338905650004 77.7974813460004,15.1741635650003 77.8097093460003,15.2347185660004 77.8313723460004,15.3405545660004 77.8608183460003,15.3952815660004 77.8663813460003,15.6183275660003 77.8733093460003,15.6460365660001 77.8601183460003,15.7184725660004 77.8417993460003,15.7697185660003 77.8352633460004,15.8147185660004 77.8302723460005,15.8405545660004 77.8285993460004,15.8697185660005 77.8277723460004,15.9188905660004 77.8294363460004,15.9816635660004 77.8352633460004,16.1502725660005 77.8485993460004,16.2911095670003 77.8508183460003,16.4147185670004 77.8483273460004,16.4441635670004 77.8488723460004,16.6647185670003 77.8572093460003,16.7006905670004 77.8653903460004,16.7113185670004 77.8834543460004,16.7329095670004 77.8997093460005,16.8427725670003 77.9213723460003,16.8833275670002 77.9263723460003,16.953881567 77.9319273460004,16.9802725670001 77.9330453460004,17.0061095670004 77.9313633460005,16.9922185670005 77.9010903460003,16.9002725670003 77.8719183460003,16.8005545670004 77.8069273460004,16.6877725670004 77.7969363460004,16.2213815660001 77.7708273460004,16.005272566 77.7588813460003,15.7799995660005 77.7472093460004,15.7538905660005 77.7460903460003,15.6438905660002 77.7455273460005,15.4513905660002 77.7319363460003,15.4286095660003 77.7299813460004,15.203609566 77.7099903460003,15.1055545650001 77.6966363460003,14.8886095650004 77.6816543460004,14.8658275650004 77.6796993460003,14.7456275650004 77.6592903460003,14.8838905650001 77.6155363460005,14.9127725650004 77.6146993460005,14.9897185650003 77.6160903460004,15.1147185650004 77.6174813460004,15.1402725650003 77.6174813460004,15.1944455660004 77.6152633460004,15.226109566 77.6115093460003,15.6130545660005 77.5827633450003,15.7719455660004 77.5763813450004,15.9183275660004 77.5626183450004,15.9914995660005 77.5334813450003,16.0539995660004 77.5121633450004,16.0779095660004 77.5070543450003,16.2030455660005 77.4838723450005,16.2533275670004 77.4808183450004,16.3000635670004 77.4718633450004,16.2230455659999 77.4349813450005,16.1947185660002 77.4344183450003,16.1322185660003 77.4396993450004,16.1105545660005 77.4427453450004,16.0802725660004 77.4497093450003,16.0275545660004 77.4716633450003,16.0010545660004 77.4842093450005,15.9323905660004 77.5022093450003,15.872499566 77.5205363450004,15.8349995660004 77.5263813450003,15.7911095660003 77.5308183450005,15.7405545660003 77.5338723450004,15.6802725660004 77.5349903450003,15.6516635660003 77.5344273450004,15.6261095660003 77.5333273450004,15.5747185660005 77.5308183450005,15.4980545660001 77.5272093450004,15.4405545660003 77.5260903450004,15.4152725660003 77.5274813450004,15.2002725660003 77.5408183450004,15.1527725650004 77.5444363450005,15.1119455650004 77.5494273450004,15.0774995650002 77.5558183450004,14.9399995650004 77.5530363450004,14.8762095650005 77.5463363450003,14.7590275650003 77.5077633450003,14.7229185650003 77.4896993450003,14.5897185650003 77.4880363450004,14.5486095650003 77.4894273450004,14.5283275650005 77.4987363450003,14.5477725650002 77.5076273450004,14.5863185650004 77.5244633450004,14.5408275650004 77.5681723450004,14.504445565 77.5774813450004,14.479163565 77.5788723450004,14.3547185650004 77.5838813450005,14.3258275650003 77.5833273450003,14.1819455649999 77.5730453450004,14.1597185650004 77.5711093450004,14.1149995650002 77.5669363450003,14.0574995640005 77.5585903450004,13.9141635640005 77.5249903450003,13.9208275640003 77.4974813450004,13.9811095640004 77.4022093450004,14.0691635640001 77.3733093450003,14.1161095650004 77.3560903450004,14.1379185650001 77.3251273450004,14.1406905650005 77.2990093450003,14.3080545650005 77.2377633450004,14.3811095649999 77.1902543450004,14.467218565 77.1716453450004,14.494999565 77.1708183450004,14.5324995650004 77.1763723450004,14.5788905650004 77.1796993450003,14.6658365650003 77.1808183450004,14.7183275650004 77.1785903450004,14.7397185650004 77.1763723450004,15.0358275650003 77.1252633450004,15.0522185650004 77.0991543450003,15.1316635650005 77.0569273450004,15.2415275660005 77.0172093450004,15.3502725660005 77.0035993450003,15.3744455660005 77.0022093450004,15.4019455660004 77.0013903450003,15.5974995660005 77.0016633450003,15.7627815660003 77.0047183450005,15.8277725660003 77.0102723450003,15.8737455660004 77.0320633450003,15.8593725660003 77.0610993450005,15.9941635660005 77.0799903450003,16.015827566 77.0805543450004,16.0486095660003 77.0740093450003,16.067636566 77.0381813450003,16.0923635660003 77.0201273450004,16.3311095670002 77.0030543450004,16.3586095670004 77.0033273450003,16.4713815670003 77.0016633450003,16.4985995669999 77.0008273450005,16.5245095670004 76.9915723450003,16.4491635670004 76.9799813450003,16.3072185670005 76.9716453450004,16.176381566 76.9727633450003,16.1433275660004 76.9758183450003,16.0519365660005 76.9763813450003,16.0116635660003 76.9719273450004,15.9116635660004 76.9560993450003,15.8827725660004 76.9453993450003,15.7161095660005 76.9266543450003,15.577918566 76.9137453450003,15.5433275660005 76.9044363450005,15.5241635660005 76.8949903450004,15.5021545660004 76.8813723450003,15.5299995660005 76.8671993450004,15.5841635660001 76.8655363450003,15.6141635660005 76.8619273450003,15.7213905660004 76.8383183450003,15.7606905660003 76.8267903450004,15.835272566 76.7994273450004,15.9038905660003 76.7741543450004,15.9383275660003 76.7613813450003,15.9713905660004 76.7519363450004,16.0136095660004 76.7444273450003,16.2391635660004 76.7130453450005,16.294163567 76.7015093450004,16.3366635670004 76.6530453450004,16.5719455670004 76.5749993450004,16.612772567 76.5705453450003,16.7186095670004 76.5666633450003,16.7480545670005 76.5663723450004,16.7986095670004 76.5677633450003,16.8224995670004 76.5691543450004,16.8591635670003 76.5741543450004,16.9972185670005 76.5952633450004,17.2009635669999 76.6994273450004,17.1802725670004 76.7253993450003,17.1031905670004 76.7551363450003,17.0472185670004 76.7666633450004,17.026945567 76.7697183450003,16.9416635670004 76.7780453450003,16.9208995670004 76.7901903450003,16.9386095670005 76.8128993450004,17.048336567 76.8510903450004,17.2213815670004 76.9172093450004,17.2727725670004 76.9405363450003,17.2933275670005 76.9499993450003,17.3155545670004 76.9687993450004,17.2874995670003 76.9885903450003,17.2308275670003 77.0063813450003,17.1763815670005 77.0216543450005,17.1011815670004 77.0473363450003,17.1380545670004 77.0544273450003,17.2074995670004 77.0488723450004,17.2283275670002 77.0463723450004,17.2766635670005 77.0430453450004,17.3038905670003 77.0422093450003,17.3258275680004 77.0438723450004,17.3433995680005 77.0554633450004,17.4186095680005 77.1769273450005,17.4983275680004 77.2433183450003,17.5608275680004 77.3463723450005,17.6572185680005 77.4208183450003,17.7383275680004 77.4710993450004,17.7788815680003 77.4905363450005,17.9074995680002 77.5060993450003,17.9274905680003 77.5083273450002,17.9648545680001 77.5058273450003,17.9842995680005 77.4966543450004,18.0113905680004 77.4919273450004,18.2138815680004 77.4888723450005,18.2366635680003 77.4908183450003,18.2776365680004 77.4991543450003,18.2965275680004 77.5129093450005,18.3624995680004 77.6355453460004,18.4516635690004 77.7695723460004,18.4477725690003 77.8451273460004,18.4241635690004 77.8569363460005,18.3708275680004 77.8727543460004,18.3338815680004 77.8983273460003,18.4108275690004 78.0216543460003,18.4399905690004 78.0294363460005,18.5524995690004 78.0552543460004,18.579163569 78.0546993460003,18.6013905690004 78.0521993460004,18.6355545690004 78.0455363460003,18.6904095690002 78.0328993460005,18.7516635690004 78.0277723460005,18.7847185690003 78.0272093460004,18.8383275690004 78.0291633460004,18.8667995690002 78.0334633460004,19.0853455690004 78.0934543460004,19.0377725690004 78.1980273460004,18.9994365690003 78.2599903460003,19.0224995690004 78.3310993460004,19.0544455690004 78.3460993460004,19.0637455690003 78.3678993460004,19.0549995690004 78.3919363460004,19.0038905690004 78.4244273460004,18.9699275690005 78.4519993460003,19.0088905690004 78.4608183460003,19.1611095690005 78.4699813460003,19.2169365690004 78.4716453460003,19.3569455690003 78.4835993460003,19.3786095690004 78.4860993460004,19.4722185690004 78.5016633460003,19.4941635700005 78.5038723460003,19.5563815700003 78.5041633460004,19.6249995700004 78.5027723460004,19.6683995700004 78.5102723460003,19.6338815700004 78.5358093460005,19.5986095700004 78.5488723460004,19.5799275700004 78.5678273460004,19.6569365700004 78.6049813460003,19.6886095700003 78.6127633460003,19.7108275700005 78.6149903460004,19.7613905700004 78.6180453460004,20.0308275700003 78.6191363460004,20.1077725700005 78.6388813460004,20.2008275700004 78.6424903460004,20.2291635700004 78.6433273460004,20.3799995700004 78.6435993460003,20.4116635700004 78.6435993460003,20.4538815700005 78.6377723460005,20.4942995700005 78.6285903460003,20.5269455700005 78.6244183460004,20.5586095710004 78.6244183460004,20.5940275710004 78.6281723460004,20.6244365710004 78.6454813460004,20.6469455710003 78.6749903460004,20.6684725710003 78.6813723470003,20.7183275710003 78.6885813470004,20.7438815710004 78.6899723470004,20.7708365710005 78.6880363470004,20.8594365710004 78.6769273460004,20.9113815710004 78.6641543460004,20.9304095710003 78.6577723460004,21.0544455710004 78.6394363460005,21.0813905710004 78.6372093460004,21.1226365710004 78.6387363460003,21.2024995710003 78.6683183460003,21.3549995710003 78.6535903460003,21.3902725710003 78.6579633460004,21.3766635710005 78.6874813470004,21.4888815710003 78.7352633470004,21.5405545710004 78.7599183470004,21.5404185710003 78.8405363470004,21.3719365710004 78.8674813470004,21.2702725710004 78.8705273470004,21.2427725710004 78.8727543470005,21.1247185710004 78.8844273470003,21.0938905710003 78.8922093470005,21.0822185710004 78.8963813470003,21.0666635710003 78.9002723470004,20.9883275710004 78.9130363470005,20.9608275710003 78.9152633470003,20.9347185710005 78.9136093470004,20.8763815710004 78.9121993470005,20.8119455710003 78.9121993470005,20.7802815710003 78.9136093470004,20.7527815710005 78.9158183470004,20.5163905700005 78.9352543470004,20.4927725700005 78.9380363470004,20.4431905700004 78.9458093470005,20.3777725700004 78.9574903470003,20.3461095700005 78.9649993470004,20.3151995700004 78.9774813470004,20.2624995700004 78.9896993470003,20.0605545700004 79.0102723470003,19.9927725700004 79.0122093470004,19.9666635700003 79.0108183470003,19.9308275700004 79.0113813470004,19.9066635700003 79.0138813470003,19.8099995700005 79.0991543470003,19.7994455700003 79.1245633470003,19.7236095700005 79.1510903470003),(20.1383275700005 79.0205363470005,20.2060995700003 79.0183273470005,20.2386095700005 79.0183273470005,20.2624995700004 79.0158273470004,20.2905545700004 79.0077633470004,20.3424905700004 78.9908183470004,20.3719365700003 78.9916543470003,20.4177725700005 78.9960903470003,20.4972185700004 79.0083273470003,20.7072185710004 79.0141633470004,20.7238815710004 79.0177633470003,20.8311095710005 79.0569273470003,20.7894365710004 79.0724903470004,20.7419365710004 79.0838813470003,20.7258275710004 79.0874903470003,20.7058275710004 79.0908183470003,20.4969365700003 79.1138723470004,20.1997185700003 79.1246903470004,20.1402725700003 79.1230273470005,20.1172185700004 79.1208183470005,20.0972185700003 79.1177543470004,20.0476365700004 79.0401183470003,20.0583275700003 79.0330543470004,20.1383275700005 79.0205363470005),(28.3613815780004 78.9169273470003,28.3397185780004 78.9144273470004,28.3122185780003 78.9130363470005,28.2827725780004 78.9130363470005,28.2524995780005 78.9152633470003,28.2230455780004 78.9149903470005,28.1452725780005 78.9116543470005,28.0197185770003 78.8674813470004,28.0563815770003 78.8241543470004,28.0955545780005 78.8116453470003,28.1133275780004 78.8227723470003,28.1241635780004 78.8285993470003,28.1402725780005 78.8327633470004,28.1780545780003 78.8394273470004,28.3291635780005 78.8660903470005,28.4238815780005 78.8827543470005,28.4480545780004 78.8847183470004,28.4963815780005 78.8880453470003,28.6430545780004 78.8877723470003,28.7755545780005 78.9019273470004,28.8216635780003 78.9060993470004,28.8483275780004 78.9066453470003,28.8786095780004 78.9047093470003,28.9130545780004 78.8972183470003,28.9641635780004 78.8861093470004,28.9985995780004 78.8788633470004,29.0538905780003 78.8683183470004,29.1180545780005 78.8585993470005,29.2549995790004 78.8458273470004,29.2866635790004 78.8449813470004,29.3161095790003 78.8449813470004,29.3377725790003 78.8472183470004,29.4244365790004 78.8649903470004,29.5013905790004 78.8780363470003,29.5719455790005 78.8836093470003,29.6716635790004 78.8888813470004,29.6936095790004 78.8913723470005,29.7080455790004 78.8963813470003,29.7001365790004 78.9037363470005,29.6791635790004 78.9099903470005,29.6577725790003 78.9130363470005,29.6302725790005 78.9146993470004,29.6033275790003 78.9138813470004,29.5547185790005 78.9108093470004,29.4891635790003 78.9033183470003,29.4402725790004 78.9002723470004,29.4136095790003 78.8994273470003,29.3061095790003 78.8966543470003,29.1030545780004 78.8960993470004,29.0727725780004 78.8983273470004,29.0513905780005 78.9016543470003,29.0347185780004 78.9110993470004,29.0263905780003 78.9184543470004,28.9966635780004 78.9291543470003,28.9277725780003 78.9438633470004,28.8916635780003 78.9499993470004,28.8655545780005 78.9527723470003,28.7183275780004 78.9585993470004,28.6399995780004 78.9608183470003,28.6130545780004 78.9599903470004,28.4288815780004 78.9519363470005,28.4267995780004 78.9374723470004,28.3969455780004 78.9244273470004,28.3805545780003 78.9202543470004,28.3613815780004 78.9169273470003),(26.5436095760003 78.8124813470004,26.5088905760004 78.8138723470004,26.4852725760005 78.8121903470003,26.4641635760004 78.8094183470002,26.4485995760003 78.8052543470004,26.4202725760004 78.7958183470003,26.4102725760004 78.7899813470004,26.3980545760004 78.7740183470003,26.4662455760003 78.7016543470004,26.4863815760003 78.6955273470003,26.5858275760004 78.6785903460004,26.6816635760003 78.6619273460005,26.6949995760004 78.6577633460004,26.7358275760005 78.6238723460004,26.7436095760004 78.6341543460004,26.7641635760004 78.6366543460003,26.8719365760005 78.6402723460004,26.9188815760005 78.6438723460003,26.9394365760004 78.6466543460005,26.9524995760005 78.6516543460003,27.0151365770005 78.6956813470004,26.9852725760005 78.6994183470003,26.9563815760005 78.6994183470003,26.9041635760004 78.6972093470004,26.8474995760004 78.7074903470003,26.7841635760004 78.7216453470003,26.6524995760005 78.7741543470004,26.6313815760004 78.7859543470004,26.6254095760004 78.7967813470004,26.6136095760004 78.8038633470003,26.5999995760003 78.8080273470005,26.5436095760003 78.8124813470004),(21.0305545710005 78.5480363460003,20.9741635710005 78.5466453460005,20.9222185710004 78.5469363460004,20.7783275710003 78.5394273460003,20.5983275710004 78.5219273460004,20.2872185700004 78.4983183460003,20.1711095700004 78.4885903460005,20.1426635700004 78.4696093460004,20.1247185700003 78.4722183460005,20.1402095700004 78.4646273460003,20.1530455700004 78.4605363460004,20.2252725700005 78.4535993460004,20.2519455700004 78.4516633460004,20.3466635700003 78.4480273460003,20.5094455700003 78.4308183460004,20.5394365700004 78.4233093460005,20.6638815710004 78.3872093460005,20.6786095710004 78.3771993460004,20.6822185710004 78.3466453460005,20.6691635710005 78.3422093460004,20.6505545710003 78.3391543460004,20.6227725710004 78.3383183460003,20.5358275700004 78.3416633460004,20.5230545700005 78.3371993460003,20.4705545700005 78.3163723460003,20.4802725700004 78.3091453460004,20.5402725700004 78.3063633460005,20.6719365710004 78.3041543460005,20.7388815710004 78.2963723460003,20.7577725710003 78.2933183460004,20.7799995710005 78.2844273460004,20.7547185710004 78.2551453460003,20.7458905710004 78.2503183460003,20.7050545710004 78.2429813460004,20.6305545710003 78.1963633460003,20.6711095710004 78.1874813460004,20.6977725710004 78.1866453460003,20.7105545710004 78.1913633460004,20.7439635710005 78.2055093460004,20.7637185710004 78.2125903460004,20.7748905710004 78.2144273460004,20.7878905710004 78.2157633460004,20.8438905710004 78.2241543460003,20.8708275710003 78.2235993460004,20.9574995710005 78.2213723460004,20.9872185710003 78.2199813460003,21.0137905710004 78.2152633460004,21.0208365710004 78.2080363460004,21.0902725710005 78.1994183460004,21.1424905710004 78.2077633460004,21.2724995710003 78.2210993460003,21.4230455710003 78.2291543460003,21.6280545720003 78.2472093460004,21.7230455720004 78.2524903460004,21.7783275720004 78.2535993460003,21.8958275720004 78.2510993460004,21.9255545720005 78.2497093460003,21.9808275720004 78.2460903460004,21.9958275720005 78.2427543460004,22.0252725720003 78.2413633460004,22.1386095720003 78.2430453460003,22.1633275720004 78.2444273460005,22.2680545720003 78.2654093460003,22.2355455720004 78.2749903460003,22.2313815720005 78.2985993460004,22.2272185720005 78.3222183460003,22.2252725720004 78.3341543460004,22.2333275720004 78.4641543460003,22.2413815720003 78.4805453460004,22.2260995720005 78.4935903460004,22.1188815720003 78.5444363460003,22.0288815720003 78.5808273460004,21.8888815720003 78.5755453460004,21.8049995720003 78.5908183460003,21.7822185720004 78.5935993460004,21.7555545720003 78.5955363460005,21.7211095720003 78.5963723460004,21.6897185720004 78.5966453460004,21.6644365720004 78.5952633460004,21.6149995710003 78.5838813460003,21.6016635710005 78.5794363460004,21.5716635710004 78.5713813460005,21.5330545710003 78.5652633460003,21.5016635710004 78.5655363460003,21.4772185710004 78.5816543460004,21.4697185710003 78.5974903460003,21.4586095710004 78.6019273460004,21.4436095710004 78.6058183460003,21.4247185710004 78.6088723460004,21.3294455710004 78.6188633460004,21.3016635710003 78.6194273460003,21.2080455710003 78.6210903460004,21.1827725710003 78.6197093460004,21.1663815710004 78.6160903460004,21.1236095710005 78.6030453460004,21.1029095710003 78.5894273460004,21.1219365710004 78.5806813460004,21.1116635710004 78.5666633460003,21.1013905710004 78.5613723460004,21.0883275710003 78.5569273460004,21.0558275710005 78.5494273460005,21.0305545710005 78.5480363460003),(22.8349995730005 78.2502723460004,22.4993725720004 78.2220903460004,22.4747185720004 78.2084633460004,22.4480455720004 78.1992903460005,22.3991635720004 78.1924723460003,22.1466635720004 78.1997093460005,21.9461095720005 78.2088813460003,21.8652725720004 78.2097183460003,21.8374995720005 78.2091543460003,21.7116635720004 78.2027723460004,21.4686095710004 78.1877633460002,21.4252725710004 78.1833183460003,20.9741635710005 78.1277633460004,20.9341635710004 78.1224813460003,20.8966635710004 78.1126273460004,20.8687455710004 78.0901273460003,20.8830545710004 78.0738723460004,20.9719365710004 78.0483273460003,21.0290275710005 78.0370633460004,21.0816635710003 78.0302723460003,21.1188815710004 78.0252723460003,21.2088815710004 78.0027723460003,21.2663905710004 77.9874903460003,21.3236095710004 77.9722183460004,21.4461095710004 77.9552633460003,21.5397185710005 77.9458183460005,21.6449995720003 77.9124903460005,21.4591635710004 77.8294363460004,21.2526365710003 77.7235903460003,21.2399905710004 77.6963633460003,21.2374995710004 77.6638813460003,21.2422905710005 77.6301183460005,21.2247185710003 77.6135993460004,21.1927725710003 77.6026183450003,21.1291635710004 77.5924813450004,21.0680545710005 77.5871993450003,21.0158275710004 77.5858183450003,20.9608275710003 77.5852633450004,20.8787455710004 77.5645633450004,20.8438905710004 77.5419273450003,20.8672185710004 77.4545723450004,20.8927725710003 77.4430363450005,20.9519365710003 77.4408093450004,21.0891635710004 77.4358093450005,21.1205545710005 77.4349813450005,21.1666635710005 77.4380363450003,21.2074995710003 77.4424723450003,21.2686095710003 77.4491453450004,21.3094365710004 77.4535993450003,21.3472185710005 77.4588813450004,21.3858275710004 77.4647093450003,21.4388815710004 77.4735993450005,21.4594365710004 77.4758183450004,21.5958275710003 77.4852633450004,21.6191635710004 77.4866453450004,21.6477725720004 77.4863723450003,21.7330545720005 77.4847093450005,21.7886095720004 77.4816543450004,21.8405545720003 77.4830453450002,22.0869365720004 77.4930453450004,22.1336095720004 77.4958183450003,22.1836095720004 77.5016633450005,22.2105545720003 77.5060993450003,22.2472185720005 77.5155363450004,22.2669455720003 77.5260993450004,22.2830545720004 77.5458183450004,22.3067995720004 77.5551183450004,22.3505545720004 77.5627633450003,22.3711095720004 77.5649903450004,22.4127725720004 77.5691543450003,22.4361095720004 77.5705453450005,22.4649995720004 77.5702633450004,22.4930455720004 77.5688813450005,22.7731905730003 77.5461543450003,22.7124905730003 77.5035993450004,22.6924905720004 77.4930453450004,22.5844455720004 77.4758183450004,22.4156185720004 77.4116543450004,22.4916635720003 77.3678993450004,22.4978455720004 77.3298543450003,22.4558275720005 77.3184633450004,22.4123545720003 77.3149903450005,22.3867275720003 77.2985903450003,22.4236095720004 77.2572183450004,22.4483275720004 77.2566543450004,22.4711095720003 77.2580453450004,22.4956905720005 77.2606993450003,22.6199995720003 77.2544363450004,22.6411095720005 77.2530543450005,22.7797185730003 77.2648543450003,22.8694455730004 77.2830543450004,22.9031905730004 77.3000453450004,22.9022185730004 77.3236723450004,22.9202725730003 77.3383183450005,22.9580455730003 77.3516543450004,23.0919455730003 77.3816543450003,23.2038815730004 77.3933273450003,23.2349905730004 77.3922093450004,23.2927725730004 77.3819273450003,23.3241635730003 77.3705273450004,23.3488815730004 77.3697093450003,23.3812455730003 77.3722093450004,23.4183275730004 77.3816543450003,23.4438815730003 77.3905453450004,23.4708275730005 77.4033183450005,23.5547185730004 77.4235993450004,23.6272185730005 77.4349813450005,23.7108275730003 77.4435903450003,23.7419365730004 77.4510993450004,23.9023545740004 77.5046363450004,23.9386095740004 77.5385903450004,23.9627725740004 77.5646993450003,23.9854095740005 77.5913813450003,24.0027815740005 77.6030453450003,24.0824995740004 77.6377723460005,24.1758275740004 77.6683183460003,24.2077725740003 77.6755363460003,24.2636095740003 77.6838723460004,24.4797185740003 77.7113813460003,24.5224995740004 77.7152723460004,24.7544455740003 77.7294273460004,24.8502725750004 77.7338723460003,24.9022185750004 77.7470633460003,24.8827725750004 77.7633183460004,24.8494455750004 77.7702633460002,24.7616635740005 77.7869273460004,24.6438905740004 77.8110993460004,24.5642995740004 77.8319993460004,24.5494455740005 77.8474903460003,24.5277725740004 77.8533183460004,24.3349995740004 77.8841543460004,24.2277725740003 77.8908273460004,24.0763815740003 77.8847183460003,24.0480545740004 77.8803903460004,24.0262455740003 77.8699813460003,23.9736095740005 77.8560903460004,23.9361095740003 77.8505363460002,23.8902725740004 77.8474903460003,23.8672185740004 77.8474903460003,23.8388905740004 77.8491543460003,23.6574995730004 77.8624903460004,23.6366635730004 77.8652633460003,23.6048545730004 77.8755363460004,23.5744365730005 77.8919363460004,23.4219365730004 77.9394183460004,23.3872185730004 77.9460903460004,23.3449995730003 77.9519363460004,23.2813905730003 77.9602633460003,23.1652725730004 77.9785903460004,23.1127725730005 77.9885903460004,23.0799995730004 77.9987363460003,23.0584725730004 78.0188723460004,23.0538905730004 78.0488633460004,23.0948545730005 78.0833273460004,23.1217995730004 78.0922093460005,23.1858275730005 78.0947093460003,23.2161095730003 78.0944363460003,23.3388905730004 78.1008183460004,23.3676365730004 78.1049903460005,23.4597185730003 78.1558183460003,23.3361095730004 78.1974813460005,23.2549995730004 78.2155453460003,23.2191635730004 78.2222183460004,22.9827725730004 78.2469363460004,22.9494365730004 78.2480273460004,22.8655545730003 78.2499993460004,22.8349995730005 78.2502723460004),(25.1910995750004 76.5738813450003,25.1405545750004 76.5566363450004,25.0652725750004 76.5305453440004,24.9458275750005 76.4585993440004,24.9388815750004 76.4463633440004,24.9530455750005 76.4396993440004,24.9680545750005 76.4363723440004,24.9910995750005 76.4352543440003,25.0161095750004 76.4663813440004,25.0333275750003 76.4819273440004,25.2249905750004 76.5674903450005,25.3158275750005 76.5969363450004,25.4247185750003 76.6291543450004,25.5774995750004 76.6977543450004,25.5822185750004 76.7066453450004,25.5633275750005 76.7097183450003,25.5374995750003 76.7116543450005,25.4952725750003 76.7085993450003,25.4602725750004 76.7033273450003,25.4474905750005 76.6988633450003,25.4138815750003 76.6841453450004,25.4100905750004 76.6739633450005,25.3961095750004 76.6599903450004,25.3280545750005 76.6224813450003,25.3074995750003 76.6121993450003,25.2819365750005 76.6035903450003,25.1910995750004 76.5738813450003),(12.0074995630004 78.3319363460004,11.8958365620005 78.3861093460004,11.8724995620004 78.4022093460004,11.8776365620004 78.4113723460004,11.8211095620003 78.4410813460003,11.7624995620004 78.4427453460003,11.6847185620005 78.4544363460004,11.6280545620004 78.4636093460003,11.5841635620004 78.4763813460003,11.4916635620004 78.5066543460005,11.4731905620005 78.5204093460004,11.4669455620003 78.5334633460003,11.4530545620004 78.5410903460004,11.4383275620003 78.5452543460003,11.4138905620001 78.5469363460004,11.2672185620004 78.5380363460004,11.2694455620003 78.6099813460003,11.1544455620004 78.6608093460003,11.1183275620004 78.7072183470004,11.1836095620005 78.7269273470004,11.1702725620004 78.7385903470003,11.1525815620004 78.7499993470004,11.0061095620002 78.8291633470004,10.9941635620004 78.8338813470004,10.9091635620004 78.8588723470003,10.8938905620004 78.8630363470004,10.8633275610003 78.8708183470004,10.8258275610003 78.8774723470004,10.5947185610004 78.9002723470004,10.5658365610003 78.9013813470003,10.5372185609999 78.9010903470004,10.509163561 78.8994273470003,10.4879185610004 78.8933273470004,10.5261095610004 78.7860993470003,10.5366635610002 78.7738813470003,10.5455545610004 78.7685993470005,10.6497185610001 78.7258183470003,10.6616635610001 78.7210993470003,10.7274995610003 78.6991453470003,10.863609561 78.6372093460004,10.8963905620003 78.6190093460004,10.9224995620002 78.5994273460004,10.9386095620001 78.5847183460003,10.9472185620005 78.5649903460003,10.9955545620002 78.5183273460003,11.0649995619999 78.4613813460003,11.0733275620003 78.4558273460004,11.1074995620004 78.4419273460005,11.1222185620005 78.4377633460003,11.1647185620004 78.4327543460003,11.1916635620004 78.4344183460004,11.2369455620003 78.4458183460004,11.2947185620005 78.4483183460004,11.3224995620005 78.4472093460003,11.3436095620004 78.4446993460003,11.5280545620001 78.3988813460004,11.6130545620001 78.3671993460004,11.8208275620004 78.3113723460005,11.8352725620005 78.3072093460003,11.8461095620004 78.3024723460004,11.8527725620003 78.2940183460003,11.8186095620004 78.2687363460004,11.8641635619999 78.2394273460003,11.8752725620004 78.2347093460004,11.8894455619999 78.2308183460003,11.9241635620003 78.2241543460003,11.9447185620004 78.2213723460004,12.0230545630005 78.2172093460005,12.0641635629999 78.2119273460003,12.0783275630005 78.2080363460004,12.1205545630003 78.1958183460004,12.1472185630003 78.1960903460003,12.1637455630005 78.2042903460004,12.0991635630004 78.2877633460004,12.0074995630004 78.3319363460004),(10.9177725620004 79.7210993470005,10.8866635620004 79.7222183470003,10.7605545610004 79.7188723470004,10.7263905610002 79.7177543470003,10.712218561 79.7136093470003,10.7383275610005 79.6794273470004,10.7558365610004 79.6597183470004,10.7816635610004 79.6502723470004,10.9227725620004 79.6510903470002,10.9527725620003 79.6527723470003,11.0761095620005 79.6627633470004,11.0716635619999 79.6727633470004,11.0349995620003 79.7008183470003,10.9819455620004 79.7119273470004,10.9452725620004 79.7191453470003,10.9177725620004 79.7210993470005),(10.8677725610004 79.7719273480004,10.783890561 79.7816633480003,10.756109561 79.7833273480003,10.6933275610004 79.7738813480004,10.6611095610004 79.7658273480003,10.6511095610005 79.7611093480004,10.6420815610005 79.7469363470004,10.6688905610005 79.7413633470004,10.7552815610005 79.7366453470003,10.8247185610002 79.7358093470004,10.8630545610003 79.7363723470003,10.9252725620001 79.7341453470004,10.9730545620001 79.7291543470004,11.0033365620003 79.7308183470005,11.0136095620003 79.7355363470004,11.0005545620003 79.7402633470003,10.9011095620003 79.7641633480003,10.8677725610004 79.7719273480004),(19.7013815700004 79.3355363470004,19.7383275700004 79.3347183470004,19.7686095700004 79.3355363470004,19.7955545700003 79.3371993470004,19.8427725700004 79.3419363470005,19.8933275700003 79.3458273470003,20.0347185700003 79.3519273470004,20.0594365700004 79.3494273470005,20.1427725700004 79.3319363470005,20.1663815700005 79.3344273470003,20.1780545700004 79.3432543470004,20.1094365700005 79.3658183470004,20.0755545700005 79.3719183470005,20.0302815700004 79.3777633470004,19.8069455700004 79.4005453470003,19.7638815700003 79.4038723470004,19.7299995700004 79.4038723470004,19.6824995700003 79.3991543470003,19.6283275700004 79.3883183470005,19.6556905700003 79.3441543470004,19.6766635700005 79.3380453470004,19.7013815700004 79.3355363470004),(18.5880545690002 80.3385903480004,18.3797185680003 80.3583183480004,18.3522185680005 80.3608093480003,18.3202725680005 80.3624903480003,18.3019365680001 80.3585993480004,18.2191635680004 80.3377723480004,18.141663568 80.3083183480003,18.1194455680003 80.2847183480004,18.1383275680004 80.2810993480003,18.2149995680003 80.2794363480004,18.2466635680004 80.2777723480004,18.2741635680005 80.2752723480003,18.3477725680003 80.2669363480003,18.3708275680004 80.2638813480003,18.3894365680004 80.2599903480004,18.4566635690004 80.2380363480003,18.5533275690004 80.2455273480003,18.6041635690003 80.2505453480003,18.6327725690005 80.2597183480003,18.7586095689999 80.3019273480004,18.7488815690004 80.3069273480004,18.6066635690002 80.3349903480004,18.5880545690002 80.3385903480004),(19.0361095690005 74.3597093420004,19.0691635690005 74.3430453420004,19.1819365690003 74.3597093420004,19.1910995690005 74.3644273420005,19.2341635690004 74.3944363430003,19.2830545690004 74.4408093430003,19.2998635690005 74.4717903430004,19.2819365690004 74.4835993430003,19.1624905690004 74.5202633430004,19.1480545690004 74.5233183430004,19.1274905690003 74.5236093430003,18.9277725690005 74.5124993430003,18.8533275690004 74.5058273430004,18.8372185690005 74.5033273430003,18.8255545690003 74.4994183430003,18.7911095690003 74.4788723430004,18.8541635690004 74.4333183430005,18.8988815690001 74.4116543430003,18.9663815690004 74.3819273420003,19.0361095690005 74.3597093420004)))', 'Fisheries Zone around Svalbard', 'Svalbard', 'Norway', '', '223', '253', 'SJM', '33181', '2014-02', '789067504500', '33181', 'Y'),('SRID=4326;MULTIPOLYGON(((-66.9638891069999 44.8337672380001,-66.961502076 44.832220426,-66.956491951 44.830592176,-66.956008904 44.830398567,-66.951995857 44.830398567,-66.9486437159999 44.829948426,-66.944132748 44.829948426,-66.9421172629999 44.8286903950001,-66.941934482 44.8283834260001,-66.94049806 44.8263144840001,-66.9399923569999 44.825586098,-66.937597748 44.821556817,-66.933201873 44.816450113,-66.9299926699999 44.812793082,-66.901964302 44.7774904770001,-66.903034254 44.7765636180001,-66.9030365469999 44.776562578,-66.903124396 44.7764827030001,-66.903706686 44.775953267,-66.93805556 44.74472222,-66.94055556 44.73222222,-66.9580555599999 44.65361111,-67.0099999999999 44.6161111100001,-67.04916667 44.5575000000001,-67.04795007 44.546678672,-67.043888906 44.5105557050001,-67.0438888899999 44.5105555600001,-67.061666632 44.4841667260001,-67.06166667 44.48416667,-67.0377777799999 44.42416667,-67.042499984 44.3619446490001,-67.0425 44.3619444400001,-67.087875759 44.3051315060001,-67.14388889 44.2350000000001,-67.1684478459999 44.2262433230001,-67.27944444 44.1866666700001,-67.743055434 42.887222572,-67.74305556 42.8872222200001,-67.529346031 42.600980975,-67.46805556 42.51888889,-65.69972222 40.45138889,-65.70331111 40.4421444400001,-65.7134058679999 40.4152979880001,-65.713825 40.4141833300001,-65.714262208 40.413056532,-65.72464722 40.38629167,-65.73577778 40.3584722200001,-65.742522331 40.3421080420001,-65.74721389 40.330725,-65.750004437 40.32415058,-65.75895833 40.3030555600001,-65.7710055599999 40.27546389,-65.7833583299999 40.24795278,-65.7960111099999 40.2205222200001,-65.80896667 40.1931750000001,-65.82222222 40.1659166700001,-65.835774734 40.1387449690001,-65.835774999 40.13874444,-65.836112139 40.138085172,-65.8496249999999 40.1116611100001,-65.8637694399999 40.0846722200001,-65.8782111099999 40.057775,-65.8877322399999 40.0404509640001,-65.8877326909999 40.040450144,-65.88773251 40.0404509640001,-65.8877327279999 40.040450965,-65.887732364 40.040451626,-65.887732308 40.0404518830001,-65.892942019 40.0309721890001,-65.907967019 40.0042701890001,-65.9232810189999 39.977667189,-65.9388870189999 39.9511641890001,-65.954775019 39.924764189,-65.970953019 39.8984721890001,-65.987414019 39.872284189,-66.0041560189999 39.846206189,-66.021181019 39.8202391890001,-66.0384870189999 39.7943861890001,-66.0560700189999 39.768645189,-66.0739280189999 39.743022189,-66.089998019 39.7180721890001,-66.1081250189999 39.692567189,-66.126525019 39.6671811890001,-66.145198019 39.641917189,-66.1641420189999 39.6167751890001,-66.183353019 39.5917591890001,-66.202831019 39.566872189,-66.222575019 39.542111189,-66.2425840189999 39.5174841890001,-66.262853019 39.4929861890001,-66.283384019 39.468622189,-66.304173019 39.444397189,-66.325220019 39.420306189,-66.346520019 39.3963561890001,-66.3680749979999 39.3725472180001,-66.368075022 39.3725471910001,-66.389881019 39.3488781890001,-66.411939019 39.325356189,-66.434242019 39.3019781890001,-66.456795019 39.2787501890001,-66.4795890189999 39.2556671890001,-66.502628019 39.232739189,-66.525909019 39.2099611890001,-66.5494280189999 39.1873361880001,-66.5731840189999 39.1648671880001,-66.59717502 39.1425561880001,-66.62140002 39.1204031880001,-66.6458560199999 39.0984091880001,-66.67054202 39.076575188,-66.69545902 39.0549091880001,-66.72059802 39.0334031880001,-66.74596202 39.0120641880001,-66.77154802 38.990895188,-66.7973560199999 38.9698921880001,-66.82337802 38.949061188,-66.84962002 38.9284031880001,-66.87607502 38.9079171880001,-66.9027420199999 38.8876061880001,-66.92962002 38.867470188,-66.95670602 38.8475111880001,-66.9839980199999 38.8277341880001,-67.01149502 38.8081341880001,-67.03919202 38.7887171880001,-67.06709202 38.769484188,-67.09518902 38.750434188,-67.12348102 38.731567188,-67.15196702 38.7128891880001,-67.18064502 38.694400188,-67.20951402 38.6761001880001,-67.2385700199999 38.657989188,-67.26780902 38.640072188,-67.29723402 38.622347188,-67.32683902 38.604817188,-67.35662502 38.587481188,-67.38658702 38.570342188,-67.4167250199999 38.5534001880001,-67.4470340199999 38.536659188,-67.4775140199999 38.520117188,-67.50816402 38.5037751880001,-67.5389780199999 38.4876361880001,-67.5699590199999 38.4717001880001,-67.6010980199999 38.455970188,-67.63239802 38.4404451880001,-67.663856021 38.425125188,-67.6954700209999 38.410014188,-67.727237021 38.395111188,-67.759153021 38.3804201880001,-67.791220021 38.365936188,-67.823431021 38.3516671880001,-67.855787021 38.337609188,-67.8882870209999 38.323764188,-67.920923021 38.3101341880001,-67.953698021 38.2967201880001,-67.9866090209999 38.2835221880001,-68.019653021 38.270539188,-68.0528250209999 38.257775188,-68.086128021 38.245234188,-68.1195560209999 38.2329091880001,-68.153106021 38.220803188,-68.1867810209999 38.208920188,-68.220573021 38.197261188,-68.2544810209999 38.185822188,-68.2885030209999 38.174609188,-68.322639021 38.163620188,-68.356884021 38.152856188,-68.3912390209999 38.1423171880001,-68.425695021 38.132006188,-68.460256021 38.121922188,-68.494920021 38.112064187,-68.5296780209999 38.1024361870001,-68.564534021 38.093039187,-68.599484021 38.0838701870001,-68.634523021 38.0749341870001,-68.704867021 38.0577501870001,-68.740167022 38.0495091870001,-68.775548022 38.0414971870001,-68.811009022 38.0337221870001,-68.851814022 38.0248861870001,-68.887348022 38.0173421870001,-68.9229560219999 38.010034187,-68.9586370219999 38.002961187,-68.994387022 37.996122187,-69.030202781 37.9895222260001,-69.030203021 37.989522182,-69.066087022 37.9831561870001,-69.1020310219999 37.977025187,-69.1380370219999 37.9711341870001,-69.1741000219999 37.965478187,-69.2102170219999 37.9600611870001,-69.246389022 37.9548841870001,-69.282612022 37.949945187,-69.318884022 37.9452421870001,-69.355200022 37.940781187,-69.391562022 37.9365591870001,-69.427962022 37.9325751870001,-69.464400022 37.9288341870001,-69.5008780219999 37.925331187,-69.537387022 37.922067187,-69.573927779 37.919047214,-69.573928023 37.919047193,-69.5749061 37.918972839,-69.6105000219999 37.9162671870001,-69.647098022 37.9137281870001,-69.6837170219999 37.9114311870001,-69.720362022 37.9093751870001,-69.7570250219999 37.9075591870001,-69.793703022 37.9059861870001,-69.830398023 37.9046561870001,-69.867103023 37.9035671870001,-69.903820023 37.9027201870001,-69.940542023 37.9021141870001,-69.977270023 37.9017501870001,-70.0140000229999 37.901628187,-70.050731023 37.9017501870001,-70.087459023 37.9021141870001,-70.1241810229999 37.9027201870001,-70.160898023 37.9035671870001,-70.1976030229999 37.9046561870001,-70.234298023 37.9059861870001,-70.2540700229999 37.9065671870001,-70.290778023 37.907656187,-70.327473023 37.908989187,-70.364153023 37.910561187,-70.379818905 37.911325972,-70.3930555599999 37.9119722200001,-70.393055687 37.9119721710001,-70.393056023 37.9119721870001,-70.413728023 37.9039561870001,-70.4468640229999 37.891406187,-70.480128023 37.8790721870001,-70.513514023 37.8669611870001,-70.547023023 37.8550721870001,-70.580650023 37.843403187,-70.5936120229999 37.838945187,-70.6009060229999 37.8288701870001,-70.619292023 37.8036811870001,-70.6379390229999 37.7786201870001,-70.6568500229999 37.753684187,-70.676023023 37.728875187,-70.6954499989999 37.704197219,-70.695450024 37.7041971880001,-70.715137023 37.679653187,-70.735078023 37.6552421870001,-70.755273023 37.6309671870001,-70.775720023 37.6068281870001,-70.7964170229999 37.5828281870001,-70.817364023 37.5589701870001,-70.838559023 37.535250187,-70.859995023 37.511678187,-70.8816780239999 37.4882501870001,-70.9035999979999 37.4649722180001,-70.9036000259999 37.464972189,-70.925764024 37.441839187,-70.9481640239999 37.4188591870001,-70.970803024 37.3960311870001,-70.993675024 37.3733561870001,-71.016781024 37.350836187,-71.040120024 37.328472187,-71.0636840239999 37.3062701870001,-71.087478024 37.2842251870001,-71.089112024 37.282500187,-71.090337024 37.2796311870001,-71.1026120239999 37.2522251870001,-71.1151730239999 37.2249031870001,-71.128025024 37.197670187,-71.141162024 37.1705251870001,-71.154587024 37.143470187,-71.168295024 37.1165091870001,-71.182284024 37.089645187,-71.196556024 37.062875187,-71.2111090239999 37.0362031860001,-71.2259420239999 37.009634186,-71.2410500239999 36.9831671860001,-71.241242024 36.982434186,-71.254623024 36.955375186,-71.268287024 36.9284111860001,-71.2822340239999 36.901542186,-71.2964620239999 36.874767186,-71.310970024 36.848092186,-71.325756024 36.821520186,-71.340820024 36.795047186,-71.356159024 36.768681186,-71.3717730239999 36.7424201860001,-71.387659024 36.716267186,-71.403817024 36.6902251860001,-71.4202450239999 36.6642951860001,-71.440073024 36.633095186,-71.456209024 36.607050186,-71.4726140239999 36.5811201860001,-71.489289024 36.5553001860001,-71.502167024 36.535834186,-71.4966340239999 36.5162391860001,-71.488895024 36.4878061860001,-71.481470024 36.4593171860001,-71.474356024 36.4307751860001,-71.467556024 36.4021861860001,-71.461070024 36.373550186,-71.454898024 36.344867186,-71.4490370239999 36.316142186,-71.443489024 36.2873781860001,-71.4397420239999 36.269984186,-71.4335700239999 36.241303186,-71.427712024 36.212578186,-71.422167024 36.1838141860001,-71.4169370239999 36.155009186,-71.412020024 36.126170186,-71.4074140239999 36.0972951860001,-71.403123024 36.068389186,-71.3991450239999 36.0394531860001,-71.3954810239999 36.0104921860001,-71.392128024 35.9815031860001,-71.389092024 35.952495185,-71.386367024 35.9234611850001,-71.3839530239999 35.8944141850001,-71.381853024 35.8653471850001,-71.3808670239999 35.8571751850001,-71.378764024 35.8281111850001,-71.376978024 35.799031185,-71.375500019 35.769939186,-71.375500006 35.76993889,-71.3743370239999 35.740839185,-71.373487024 35.7117311850001,-71.372945024 35.682617185,-71.3727140239999 35.653500185,-71.372798024 35.6243841850001,-71.3731890239999 35.5952671850001,-71.3738890239999 35.5661561850001,-71.3749000239999 35.5370501850001,-71.376223024 35.5079531850001,-71.3778530239999 35.4788671850001,-71.3797890239999 35.449792185,-71.3820370239999 35.4207311850001,-71.384589024 35.3916891850001,-71.387450024 35.362664185,-71.3906170239999 35.333661185,-71.394089024 35.304684185,-71.397870024 35.275728185,-71.403139024 35.250292185,-71.407220024 35.2213671850001,-71.411603024 35.192470185,-71.416292024 35.163606185,-71.4212810239999 35.1347781850001,-71.4265730239999 35.1059841850001,-71.432167024 35.077228185,-71.438059024 35.048514185,-71.444253024 35.0198451850001,-71.450745024 34.991220185,-71.4565620239999 34.9668501850001,-71.461834024 34.9380561850001,-71.467406024 34.9093001850001,-71.473278024 34.880584184,-71.479450024 34.8519111840001,-71.4859200239999 34.823284184,-71.492689024 34.7947001840001,-71.499753024 34.766170184,-71.507114024 34.737689184,-71.514770024 34.7092611840001,-71.522720024 34.6808891840001,-71.529445024 34.6577781840001,-71.531975024 34.6468811840001,-71.539020024 34.6183471840001,-71.546362024 34.5898641840001,-71.553995024 34.5614361840001,-71.561923024 34.5330611840001,-71.5701450239999 34.5047451840001,-71.5786590239999 34.4764891840001,-71.5874620239999 34.4482951840001,-71.5965560239999 34.420164184,-71.605939024 34.3920971840001,-71.615612024 34.3641001840001,-71.6255730239999 34.3361721840001,-71.6358170239999 34.308320184,-71.646348024 34.280536184,-71.6571620239999 34.2528341840001,-71.6682620239999 34.2252061840001,-71.679639024 34.197659184,-71.691300024 34.1701951840001,-71.703242024 34.142814184,-71.715462024 34.115520184,-71.727956024 34.0883141840001,-71.740731024 34.061197184,-71.753778024 34.034175184,-71.7671000239999 34.0072451840001,-71.780695024 33.980411184,-71.794562024 33.9536781840001,-71.808698024 33.9270421840001,-71.823103024 33.900509184,-71.8377750239999 33.874078184,-71.852714024 33.8477531840001,-71.8679200239999 33.8215391840001,-71.8833870239999 33.7954311830001,-71.899117024 33.769436183,-71.9151090239999 33.7435531830001,-71.931362024 33.717786183,-71.947870025 33.6921361830001,-71.9646370249999 33.6666031830001,-71.9816590249999 33.641195183,-71.998934025 33.6159061830001,-72.016462025 33.590742183,-72.034242025 33.565703183,-72.052270025 33.5407951830001,-72.0705480249999 33.516014183,-72.089070025 33.491364183,-72.107839025 33.466847183,-72.126850025 33.4424671830001,-72.131589025 33.436311183,-72.150842025 33.412067183,-72.170337025 33.3879611830001,-72.190067025 33.363995183,-72.210037025 33.3401721830001,-72.2302390249999 33.316492183,-72.250678025 33.2929561830001,-72.2713500249999 33.269570183,-72.292250025 33.2463281830001,-72.313381025 33.223239183,-72.334739025 33.2003031830001,-72.3563230249999 33.1775201830001,-72.378131025 33.1548891830001,-72.400162025 33.132417183,-72.422412025 33.110103183,-72.444881025 33.087950183,-72.4675670249999 33.0659591830001,-72.490470025 33.0441281830001,-72.5135870249999 33.0224611830001,-72.5369120249999 33.0009641830001,-72.560450025 32.979631183,-72.584198025 32.958470183,-72.6081480249999 32.9374781830001,-72.6323060249999 32.916659183,-72.6566670249999 32.896011183,-72.6812250249999 32.8755391830001,-72.705987025 32.8552451830001,-72.730945025 32.8351281830001,-72.756098025 32.815189183,-72.7814420249999 32.7954341830001,-72.806981025 32.775856183,-72.832709025 32.756464183,-72.858623025 32.7372591820001,-72.884725025 32.7182361820001,-72.9110120249999 32.699403182,-72.937478025 32.680756182,-72.964125025 32.662300182,-72.990950025 32.644036182,-73.017953026 32.6259671820001,-73.045128026 32.6080891820001,-73.0724780259999 32.590406182,-73.099995026 32.5729201820001,-73.1276840259999 32.5556311820001,-73.1555370259999 32.5385421820001,-73.183553026 32.521650182,-73.211734026 32.504961182,-73.2400730259999 32.4884751820001,-73.268570026 32.4721921820001,-73.297223026 32.4561141820001,-73.326031026 32.440239182,-73.3549920259999 32.4245751820001,-73.3841000259999 32.4091141820001,-73.413359026 32.3938671820001,-73.442762026 32.3788251820001,-73.4723090259999 32.363997182,-73.501995026 32.3493811820001,-73.531823026 32.3349751820001,-73.561789026 32.3207861820001,-73.5918890259999 32.306811182,-73.6221230259999 32.2930531820001,-73.629945026 32.2893061820001,-73.6330450259999 32.286575182,-73.657012026 32.2657391820001,-73.6811780259999 32.245078182,-73.705548026 32.224589182,-73.730114026 32.2042781820001,-73.754875026 32.1841451820001,-73.7798340259999 32.1641921820001,-73.804981026 32.144417182,-73.830323026 32.124828182,-73.855850026 32.105420182,-73.881567026 32.086195182,-73.9074670259999 32.0671591820001,-73.933550026 32.048309182,-73.9598170259999 32.0296471820001,-73.986262026 32.011178182,-74.0128840259999 31.992897182,-74.0396780259999 31.9748111820001,-74.0666500259999 31.956920182,-74.0937920269999 31.939220182,-74.1211030269999 31.9217201820001,-74.148581027 31.904417182,-74.176225027 31.8873111820001,-74.204034027 31.8704061820001,-74.232000027 31.8537031820001,-74.260128027 31.8372001820001,-74.288414027 31.8209031820001,-74.316856027 31.804811182,-74.343551635 31.789977073,-74.34545 31.7889222200001,-74.3462499409999 31.788485839,-74.374195027 31.773242182,-74.403089027 31.7577701820001,-74.432131027 31.7425061820001,-74.4613200269999 31.727453182,-74.490648027 31.7126091820001,-74.520120027 31.697981182,-74.549728027 31.6835611820001,-74.5794750269999 31.6693591810001,-74.6093560269999 31.6553721810001,-74.639370027 31.6416001810001,-74.6695120269999 31.6280451810001,-74.699784027 31.614709181,-74.730181027 31.6015921810001,-74.760703027 31.5886921810001,-74.791348027 31.5760171810001,-74.822109027 31.5635611810001,-74.852989027 31.551328181,-74.883987027 31.5393171810001,-74.915095027 31.5275341810001,-74.946313892 31.515972225,-74.946314026 31.515972176,-74.9776450269999 31.504636181,-75.009081027 31.493528181,-75.040620027 31.4826471810001,-75.072262027 31.4719951810001,-75.104003027 31.4615701810001,-75.135842027 31.4513751810001,-75.167778028 31.441411181,-75.172362028 31.439945181,-75.1794560279999 31.434067181,-75.203995028 31.4139141810001,-75.228728028 31.3939421810001,-75.253653028 31.3741501810001,-75.2787670279999 31.3545391810001,-75.304070028 31.3351141810001,-75.3295590279999 31.315872181,-75.3552280279999 31.2968171810001,-75.381084028 31.2779471810001,-75.407117028 31.259270181,-75.4333280279999 31.240781181,-75.4597170279999 31.222484181,-75.486281028 31.204378181,-75.513014028 31.1864701810001,-75.539920028 31.1687531810001,-75.566995028 31.1512341810001,-75.594237028 31.1339141810001,-75.6216420279999 31.1167921810001,-75.649209028 31.099870181,-75.6769370279999 31.0831471810001,-75.704823028 31.0666281810001,-75.732867028 31.050314181,-75.761064028 31.0342061810001,-75.789414028 31.018300181,-75.817917028 31.002603181,-75.846564028 30.987114181,-75.875362028 30.9718341810001,-75.904300028 30.956764181,-75.933384028 30.941906181,-75.962606028 30.9272611810001,-75.991964028 30.9128281810001,-76.021462028 30.898609181,-76.051092028 30.884606181,-76.080853028 30.8708201810001,-76.1107450279999 30.857250181,-76.140764028 30.843900181,-76.170909028 30.8307671810001,-76.201178028 30.817856181,-76.231567028 30.8051641810001,-76.262073029 30.7926951810001,-76.292698029 30.7804471810001,-76.323439029 30.7684251810001,-76.354292029 30.7566251810001,-76.385253029 30.7450501810001,-76.416325029 30.7337031810001,-76.447500029 30.7225841810001,-76.4787810289999 30.7116891810001,-76.510164029 30.701025181,-76.5168725359999 30.698767493,-76.51775 30.69847222,-76.517750032 30.698472184,-76.529031029 30.6884451810001,-76.552759029 30.667745181,-76.576684029 30.6472201810001,-76.600806029 30.6268701810001,-76.625123029 30.6067001810001,-76.649628029 30.5867091800001,-76.674328029 30.5668971800001,-76.699214029 30.5472671800001,-76.724287029 30.52782218,-76.749545029 30.5085611800001,-76.774987029 30.4894891800001,-76.800609029 30.4706031800001,-76.8264090289999 30.45190318,-76.8523870289999 30.43339718,-76.878539029 30.4150811800001,-76.9048670289999 30.3969591800001,-76.931364029 30.37902818,-76.958034029 30.3612951800001,-76.967538538 30.355082602,-76.967539029 30.3550826800001,-76.967542365 30.355080098,-76.96754251 30.3550800040001,-76.9848632809999 30.3437500000001,-77.011863708 30.3264198300001,-77.039031982 30.309270859,-77.0663528439999 30.2923297880001,-77.0938415529999 30.275590897,-77.121482849 30.2590599060001,-77.149276733 30.24271965,-77.177230835 30.2265892030001,-77.205337524 30.2106800080001,-77.2111732449999 30.2074336520001,-77.233596802 30.194959641,-77.235243844 30.1940605120001,-77.257072449 30.1821441650001,-77.245456663 30.1647567630001,-77.2448577879999 30.1638603210001,-77.2282714839999 30.1385307310001,-77.211936951 30.1130790710001,-77.195892334 30.0875091550001,-77.180099487 30.061800003,-77.164581299 30.0359802250001,-77.1493225099999 30.010040283,-77.13432312 29.9839801790001,-77.1196136469999 29.9577903750001,-77.105163574 29.931520462,-77.0909728999999 29.9051208500001,-77.0770721439999 29.878620148,-77.063430786 29.852010727,-77.050079346 29.82529068,-77.036987305 29.7984790800001,-77.0241699219999 29.7715606690001,-77.0116424559999 29.7445392610001,-76.99936676 29.7174396510001,-76.98739624 29.6902294160001,-76.975692749 29.662929535,-76.964256287 29.6355400090001,-76.953132629 29.6080799100001,-76.942260742 29.58052063,-76.931671143 29.5528907780001,-76.92137146 29.525180817,-76.911346436 29.4973793030001,-76.9016113279999 29.4694995880001,-76.892173767 29.4415607450001,-76.883003235 29.413539886,-76.8740997309999 29.3854503630001,-76.865509033 29.357299805,-76.8571777339999 29.3290691380001,-76.849151611 29.300779343,-76.841400146 29.2724494930001,-76.8339462279999 29.2440299990001,-76.826766968 29.2155799870001,-76.819892883 29.187070847,-76.813338202 29.158703856,-76.813338157 29.1587036600001,-76.813314869 29.158602875,-76.813293457 29.1585102080001,-76.8132829319999 29.158462507,-76.813271462 29.1584105250001,-76.807688347 29.1331078220001,-76.8076729759999 29.1330381600001,-76.806976318 29.1298809050001,-76.806325691 29.1267881590001,-76.806311335 29.12671992,-76.801840402 29.105467424,-76.8018403949999 29.1054673900001,-76.801829385 29.1054150530001,-76.801829368 29.1054149720001,-76.801829343 29.1054148540001,-76.8009490969999 29.1012306210001,-76.7995113229999 29.09403315,-76.799493329 29.093943069,-76.797270264 29.0828144440001,-76.797270248 29.0828143630001,-76.797236103 29.0826434320001,-76.795211792 29.0725097660001,-76.792705632 29.0593016020001,-76.7926738959999 29.0591343420001,-76.79210534 29.056137892,-76.7920881599999 29.05604735,-76.7897567749999 29.0437603,-76.784606934 29.0149707790001,-76.779716492 28.986129761,-76.7751464839999 28.9572792050001,-76.7708435059999 28.928359985,-76.766853333 28.8994293210001,-76.763122559 28.870470047,-76.75969696 28.8414802550001,-76.756561279 28.8124504090001,-76.753707886 28.7834205630001,-76.75113678 28.7543601990001,-76.7488708499999 28.7252807620001,-76.746887207 28.696180344,-76.745178223 28.6670703890001,-76.7437667849999 28.6379508970001,-76.740351413 28.6159460040001,-76.740351093 28.615943945,-76.73979187 28.612340927,-76.7303771969999 28.5844001770001,-76.7212524409999 28.556379318,-76.717330933 28.5435905460001,-76.707366943 28.5158100130001,-76.697692871 28.487930298,-76.685089111 28.458019257,-76.6729278559999 28.4309196470001,-76.6610412599999 28.4037303920001,-76.649436951 28.376449585,-76.6381072999999 28.349079132,-76.627037048 28.3216094970001,-76.616271973 28.29406929,-76.6126512979999 28.28642483,-76.612651178 28.2864245760001,-76.612503052 28.2861118320001,-76.616862069 28.2861118320001,-76.6276491639999 28.2861118320001,-79.189988125 28.2861118320001,-79.1899999999999 28.28611111,-79.2334876159999 28.2247564910001,-79.47666667 27.8816666700001,-79.5272222199999 27.43333333,-79.57166667 27.27,-79.5822222199999 27.1980555600001,-79.58861111 27.0994444400001,-79.58805556 27.0075000000001,-79.577500041 26.920833675,-79.5774999939999 26.920833331,-79.5773101039999 26.9195990060001,-79.57416667 26.8991666700001,-79.54472222 26.7625,-79.53972222 26.7413888900001,-79.53888889 26.7275000000001,-79.53361111 26.68638889,-79.52583333 26.6366666700001,-79.5186111099999 26.60805556,-79.51388889 26.5888888900001,-79.51277778 26.5805555600001,-79.5105555599999 26.56944444,-79.50416667 26.5197222200001,-79.49805556 26.4844444400001,-79.4994444399999 26.4250000000001,-79.49861111 26.3911111100001,-79.49833333 26.38888889,-79.53194444 26.3155555600001,-79.55472222 26.25694444,-79.5563888899999 26.25333333,-79.59805556 26.1355555600001,-79.6025 26.12944444,-79.60972222 26.1161111100001,-79.63944444 26.0475000000001,-79.6675 25.9913888900001,-79.6688888899999 25.9875000000001,-79.67722222 25.96305556,-79.6849999999999 25.9380555600001,-79.69388889 25.9008333300001,-79.6961111099999 25.8897222200001,-79.69972222 25.86472222,-79.70444444 25.8255555600001,-79.70638889 25.8063888900001,-79.7066666699999 25.80527778,-79.7122222199999 25.77361111,-79.7125 25.7708333300001,-79.71638889 25.7275000000001,-79.71333333 25.7083333300001,-79.7075 25.67666667,-79.7075 25.6230555600001,-79.7075 25.6186111100001,-79.70333333 25.5172222200001,-79.7030555599999 25.46611111,-79.70333333 25.4008333300001,-79.7055555599999 25.37222222,-79.70222222 25.35777778,-79.69033268 25.282927704,-79.690000042 25.280833595,-79.6899999999999 25.2808333300001,-79.69194444 25.2655555600001,-79.69194444 25.17722222,-79.69333333 25.1638888900001,-79.69583333 25.15055556,-79.70833333 25.0647222200001,-79.71583333 25.0494444400001,-79.734619484 25.0086049880001,-79.735 25.00777778,-79.735370888 25.007027378,-79.7469444399999 24.98361111,-79.7661111099999 24.9238888900001,-79.8236111099999 24.73777778,-79.826482567 24.7226000790001,-79.827499979 24.717222329,-79.8275 24.7172222200001,-79.8275000249999 24.71722221,-79.829166733 24.7165740460001,-79.8475 24.70944444,-79.88277778 24.69583333,-79.99972222 24.6416666700001,-80.06444444 24.6069444400001,-80.2122222199999 24.5544444400001,-80.2227777799999 24.55083333,-80.25472222 24.5363888900001,-80.2822222199999 24.52361111,-80.29666667 24.5152777800001,-80.32277778 24.50333333,-80.32916667 24.5011111100001,-80.35166667 24.49333333,-80.41 24.47111111,-80.41972222 24.4677777800001,-80.45583333 24.4558333300001,-80.4919444399999 24.4411111100001,-80.53972222 24.41805556,-80.6027777799999 24.3911111100001,-80.6491666699999 24.37527778,-80.66444444 24.3680555600001,-80.7561111099999 24.3247222200001,-80.76333333 24.3205555600001,-80.78055556 24.3100000000001,-80.78194444 24.30916667,-80.99666667 24.16361111,-80.99777778 24.1627777800001,-81.01888889 24.14888889,-81.0327777799999 24.14,-81.0519444399999 24.12388889,-81.1516666699999 24.0383333300001,-81.18777778 23.99944444,-81.21527778 23.9250000000001,-81.32888889 23.8972222200001,-81.4999999999999 23.84722222,-81.66666667 23.8333333300001,-81.83333333 23.8175000000001,-82.00333333 23.8175000000001,-82.16666667 23.8277777800001,-82.386840864 23.8502844700001,-82.41666667 23.8533333300001,-82.66666667 23.8533333300001,-82.674899077 23.8519150130001,-82.8149999999999 23.8277777800001,-82.8533333299999 23.825,-82.9999999999999 23.82277778,-83.2499999999999 23.8305555600001,-83.43055556 23.85555556,-83.55055556 23.8736111100001,-83.69333333 23.90055556,-83.80333333 23.92916667,-83.9999999999999 23.97666667,-84.49111111 24.15972222,-84.64444444 24.22166667,-84.76888889 24.2775,-84.9999999999999 24.3911111100001,-85.10555556 24.4430555600001,-85.53194444 24.64861111,-85.72 24.7375000000001,-85.9999999999999 24.89861111,-86.55333333 25.20694444,-86.548612038 25.227778175,-86.546025038 25.2420721760001,-86.540331038 25.270772176,-86.5343560379999 25.2994251760001,-86.528106038 25.328031176,-86.521578038 25.3565841760001,-86.514773038 25.3850841760001,-86.507692038 25.4135281760001,-86.5003370379999 25.4419171760001,-86.4927030379999 25.470245176,-86.484798038 25.498509176,-86.476614038 25.526711176,-86.468159038 25.5548471760001,-86.4594280379999 25.582914176,-86.4504250379999 25.6109091760001,-86.4411480379999 25.6388311760001,-86.4315980379999 25.6666811760001,-86.421778038 25.694450176,-86.411687038 25.722142176,-86.401323038 25.7497531760001,-86.3906890379999 25.777278176,-86.379789038 25.804720176,-86.368617038 25.8320701760001,-86.357178038 25.8593341760001,-86.345473038 25.8865031760001,-86.333500038 25.913578176,-86.321262038 25.9405591760001,-86.308756038 25.967439176,-86.295989038 25.9942171760001,-86.2829590379999 26.0208951760001,-86.269664038 26.0474671760001,-86.256109038 26.073931176,-86.242289038 26.100289176,-86.228214038 26.1265341760001,-86.213878038 26.152664176,-86.199284038 26.1786811760001,-86.1844340379999 26.204581176,-86.174223038 26.221889176,-86.183884038 26.2416311760001,-86.196678038 26.268411176,-86.209220038 26.295289176,-86.221506038 26.3222641770001,-86.233537038 26.3493341770001,-86.245312038 26.376495177,-86.256831038 26.4037451770001,-86.258389038 26.407722177,-86.273575038 26.4110701770001,-86.304953038 26.4182751770001,-86.336264038 26.4257201770001,-86.3675030379999 26.4334001770001,-86.398673038 26.4413221770001,-86.429770038 26.4494811770001,-86.460792038 26.4578751770001,-86.4917340379999 26.466506177,-86.522598038 26.4753721770001,-86.5533780379999 26.484472177,-86.584073038 26.4938091770001,-86.610056038 26.501945177,-86.611998038 26.5004091770001,-86.636237038 26.481056177,-86.660653038 26.461895177,-86.6852480379999 26.442917177,-86.710017038 26.424131177,-86.7349590379999 26.405536177,-86.760070038 26.3871311770001,-86.785353038 26.3689201770001,-86.810800038 26.3509031770001,-86.836417038 26.333084177,-86.862195038 26.315461177,-86.888134038 26.298036176,-86.914234038 26.280811176,-86.940489038 26.2637861760001,-86.9669030379999 26.2469641760001,-86.993470039 26.2303451760001,-87.0201890389999 26.213928176,-87.047056039 26.1977201760001,-87.074073039 26.1817171760001,-87.101237039 26.165920176,-87.128545039 26.1503341760001,-87.1559950389999 26.1349591760001,-87.183584039 26.119795176,-87.2113120389999 26.104842176,-87.239175039 26.0901031760001,-87.2671750389999 26.0755781760001,-87.295306039 26.0612671760001,-87.323567039 26.0471721760001,-87.351956039 26.0332971760001,-87.380470039 26.0196391760001,-87.409109039 26.0062001760001,-87.437870039 25.9929841760001,-87.466750039 25.9799861760001,-87.495750039 25.967211176,-87.524864039 25.9546591760001,-87.554092039 25.942331176,-87.5834340389999 25.9302281760001,-87.6128840389999 25.918350176,-87.642439039 25.906697176,-87.672103039 25.895272176,-87.701870039 25.8840781760001,-87.7317370389999 25.8731111760001,-87.7617030389999 25.8623721760001,-87.791764039 25.851864176,-87.821923039 25.8415891760001,-87.852173039 25.8315451760001,-87.8825140389999 25.8217341760001,-87.912945039 25.812153176,-87.9434590389999 25.802809176,-87.9740590389999 25.7937001760001,-88.004739039 25.784825176,-88.0355000389999 25.7761861760001,-88.0663390399999 25.7677841760001,-88.0972530399999 25.7596171760001,-88.12824204 25.7516891760001,-88.1593000399999 25.744000176,-88.19042804 25.736547176,-88.2216230399999 25.7293361760001,-88.25288104 25.722364176,-88.28420004 25.715634176,-88.31558404 25.7091421760001,-88.34702304 25.702892176,-88.38487222 25.6990333300001,-90.49472222 25.78111111,-91.09024722 25.703625,-91.204925233 25.706199939,-91.232303042 25.708200176,-91.264364042 25.710789176,-91.2964000429999 25.7136251760001,-91.328409043 25.7167061760001,-91.3603890429999 25.7200341760001,-91.3923370429999 25.723606176,-91.424253043 25.7274221760001,-91.456134043 25.731484176,-91.487973043 25.735789176,-91.519775043 25.7403391760001,-91.5515340429999 25.7451341760001,-91.583248043 25.750172176,-91.6149140429999 25.7554531760001,-91.646534043 25.760975176,-91.678100043 25.766742176,-91.7096120429999 25.772750176,-91.741070043 25.7790001760001,-91.7724700429999 25.785492176,-91.8038090429999 25.7922221760001,-91.835087043 25.7991951760001,-91.866298043 25.8064061760001,-91.8974450429999 25.8138561760001,-91.928523043 25.821545176,-91.959528043 25.829472176,-91.990459043 25.837636176,-92.021317043 25.846039176,-92.0520980429999 25.8546751760001,-92.082798043 25.863550176,-92.113414043 25.8726591760001,-92.143948043 25.8820031760001,-92.1743950429999 25.891581176,-92.204756043 25.9013921760001,-92.235023043 25.9114361760001,-92.2652000429999 25.921711176,-92.295281043 25.9322171760001,-92.305356043 25.9355471760001,-92.3354420429999 25.9460531760001,-92.365431044 25.956789176,-92.395317044 25.967756176,-92.425106044 25.9789501760001,-92.4547890439999 25.9903721760001,-92.484367044 26.002022176,-92.513839044 26.0139001760001,-92.5432000439999 26.026000176,-92.5724500439999 26.0383281760001,-92.601587044 26.050878176,-92.630606044 26.0636531760001,-92.6595090439999 26.0766471760001,-92.688292044 26.089864176,-92.716953044 26.1033031760001,-92.745489044 26.116959176,-92.773898044 26.1308341760001,-92.802181044 26.1449251760001,-92.830331044 26.159234176,-92.858350044 26.173756176,-92.886237044 26.1884951760001,-92.913984044 26.2034471760001,-92.9415950439999 26.218609176,-92.9690640439999 26.233984176,-92.9963920439999 26.2495701760001,-93.016917044 26.261500176,-93.039245044 26.245620176,-93.064834044 26.227795176,-93.090587044 26.2101701760001,-93.116500044 26.192742176,-93.142575044 26.175517176,-93.168806044 26.158489176,-93.1951950439999 26.1416641760001,-93.221737044 26.1250421760001,-93.248428044 26.108625176,-93.275273044 26.092414176,-93.302264044 26.076409176,-93.3294030439999 26.0606111760001,-93.356684044 26.045025176,-93.384106044 26.029645176,-93.4116700439999 26.0144781760001,-93.439373045 25.9995251760001,-93.44505278 25.99674444,-95.6572222199999 26.00833333,-96.80805556 26.0086111100001,-96.92426944 25.9751583300001,-97.1388219999999 25.9561610000001,-97.138513409 25.9568646110001,-97.138617886 25.959326984,-97.140735826 25.966427127,-97.141035898 25.9797270280001,-97.146117846 26.0172181070001,-97.15055505 26.040273176,-97.15055506 26.040273201,-97.167882048 26.0701371760001,-97.1806550479999 26.027710176,-97.189272048 26.0171191760001,-97.189272515 26.0171174160001,-97.2093088459999 25.9924911580001,-97.240773002 25.9819359950001,-97.307217857 26.1227730910001,-97.317508991 26.1613821490001,-97.319454933 26.2133269820001,-97.3186179159999 26.246109108,-97.369435887 26.3651359890001,-97.3694365809999 26.3651360810001,-97.369437048 26.3651371770001,-97.401946048 26.369446177,-97.412781949 26.411945787,-97.417449185 26.4726994370001,-97.4230460479999 26.545555177,-97.477491048 26.7394371770001,-97.485675171 26.7682194700001,-97.491945951 26.79027316,-97.504026956 26.8070091390001,-97.504027384 26.8070092570001,-97.504028048 26.8070101770001,-97.5398550479999 26.816873177,-97.540741966 26.817960908,-97.560408834 26.842082207,-97.565554987 26.9818001510001,-97.557417836 27.0054822130001,-97.475008975 27.030827077,-97.444446041 27.1280539690001,-97.4293639799999 27.262291154,-97.429364052 27.262291147,-97.429364048 27.2622911770001,-97.4769460479999 27.257773177,-97.533891048 27.2352731770001,-97.633891048 27.2525001770001,-97.634414941 27.2529701390001,-97.660826884 27.276664107,-97.676699862 27.316982067,-97.723326881 27.3955449750001,-97.7693358179999 27.4497180540001,-97.723327113 27.432218237,-97.676937048 27.3855551780001,-97.676936948 27.3855551390001,-97.676935896 27.3855540820001,-97.638273027 27.3708820630001,-97.62851038 27.3521345770001,-97.62469104 27.3448001800001,-97.624690991 27.344800095,-97.525281954 27.377218111,-97.489999841 27.306245016,-97.412990938 27.327291137,-97.386946044 27.395273176,-97.386946021 27.395273235,-97.2797268909999 27.656109176,-97.2967333 27.6843214190001,-97.315555048 27.7155461780001,-97.392773048 27.7833371780001,-97.484718635 27.825827987,-97.492033226 27.83441192,-97.517090415 27.863818435,-97.492490943 27.878054094,-97.345273044 27.852500182,-97.226455035 27.8209000750001,-97.19450892 27.821800124,-97.022499861 28.031664205,-97.0258358579999 28.078609065,-97.025837022 28.0786098150001,-97.025837048 28.0786101780001,-97.0318635249999 28.082490691,-97.046108832 28.091664215,-97.046109601 28.0916638900001,-97.0461100479999 28.091664178,-97.098064048 28.0697191780001,-97.1441640479999 28.028055178,-97.1463209839999 28.0383610170001,-97.1466640099999 28.040000175,-97.182917921 28.0602731490001,-97.188918448 28.0618958480001,-97.2134725019999 28.0685370310001,-97.169372933 28.1618001250001,-97.028064018 28.186382054,-97.016110048 28.1358281780001,-97.016108962 28.13582769,-97.016108827 28.135827122,-96.983335921 28.1211091700001,-96.930972998 28.1270821150001,-96.8932692559999 28.1373987320001,-96.882764048 28.140273178,-96.882764018 28.1402732080001,-96.8827639789999 28.1402732190001,-96.780835845 28.2413821050001,-96.783817959 28.348953942,-96.783819038 28.3489548210001,-96.7838190479999 28.348955178,-96.8318092119999 28.3880454980001,-96.845217914 28.409854001,-96.8003358399999 28.471518154,-96.74694605 28.437773174,-96.7469459709999 28.43777311,-96.7313361449999 28.4220814350001,-96.707082042 28.397700145,-96.7022280479999 28.3699911780001,-96.697010048 28.3340911780001,-96.67887382 28.3250081520001,-96.659308978 28.31520907,-96.6247089839999 28.3241641280001,-96.399972893 28.441727026,-96.39997386 28.4417277530001,-96.3999730469999 28.4417281780001,-96.489991047 28.5094461790001,-96.583891047 28.566937179,-96.616544271 28.6243800830001,-96.6513178389999 28.685554075,-96.644726813 28.7119361160001,-96.594717864 28.7192270300001,-96.562564046 28.697564174,-96.562637047 28.6741641790001,-96.555200047 28.6477731790001,-96.552577124 28.6465276700001,-96.495546035 28.6194449990001,-96.443915035 28.6030938010001,-96.431937047 28.5993001790001,-96.431936396 28.5993002450001,-96.431935939 28.599300101,-96.411526843 28.6013821650001,-96.3755460149999 28.622009023,-96.3755472129999 28.6220095100001,-96.3755460469999 28.622010179,-96.408672993 28.6354821570001,-96.421502553 28.675499684,-96.437655047 28.7258821790001,-96.437846975 28.727138235,-96.442908754 28.7602725410001,-96.394110047 28.7361911790001,-96.3592040779999 28.7221308580001,-96.267363976 28.685135986,-96.192081984 28.695482095,-96.140800047 28.6272911790001,-96.183190963 28.6027732270001,-96.2072179529999 28.6032642380001,-96.207217992 28.6032641570001,-96.207219047 28.6032641790001,-96.2174280469999 28.5819461790001,-96.217426181 28.581946627,-96.217426943 28.581945035,-96.1336089169999 28.602082222,-96.106946083 28.6122181220001,-96.081391001 28.6227731180001,-96.059154986 28.634445085,-96.0297267939999 28.645000081,-95.990681877 28.6510360570001,-95.9816643029999 28.6323546880001,-95.9965190469999 28.603882179,-96.025282047 28.591946179,-96.045837047 28.5844461790001,-96.072364047 28.5738821790001,-96.1466640469999 28.5383281790001,-96.195619047 28.509791179,-96.212010047 28.488119179,-96.212007098 28.4881203680001,-96.212008881 28.4881180100001,-96.15639093 28.5105540180001,-96.131099878 28.521945025,-96.0641640109999 28.557500052,-96.059435779 28.560826997,-96.036117828 28.573609064,-96.000563974 28.5902731260001,-95.979026841 28.598473142,-95.9516730029999 28.6036090690001,-95.929446043 28.6102731820001,-95.895555047 28.6213821790001,-95.8580460479999 28.635273183,-95.858045969 28.635273215,-95.8272268859999 28.6483270260001,-95.765508921 28.692491106,-95.765510717 28.6924906990001,-95.765510047 28.6924911790001,-95.816982047 28.6808281790001,-95.847782047 28.6681911790001,-95.876100047 28.6502731790001,-95.896119047 28.640000179,-95.9415178149999 28.6263195500001,-95.9411089549999 28.686418082,-95.797226881 28.7369359800001,-95.7456729789999 28.7373000900001,-95.689890911 28.7381361010001,-95.618326892 28.755554031,-95.359726906 28.89610916,-95.331955047 28.91277318,-95.3319549779999 28.9127732220001,-95.303190969 28.9315270600001,-95.148608892 29.0512451130001,-95.08694608 29.181936083,-94.902790973 29.314445087,-94.893899953 29.337773097,-94.88750892 29.3852731750001,-94.897990992 29.4209001190001,-94.897991044 29.420900181,-95.0158358579999 29.565553999,-95.060063975 29.715064183,-95.007091018 29.716518111,-94.9555550539999 29.695827047,-94.840564059 29.749164115,-94.824308867 29.7619450080001,-94.7570185709999 29.7849998880001,-94.7204850099999 29.7625900740001,-94.711046053 29.756800029,-94.706664079 29.7111099950001,-94.7172280459999 29.6533281800001,-94.722082046 29.6337461800001,-94.730419046 29.61291018,-94.7658370459999 29.56805518,-94.765835178 29.568054863,-94.765835872 29.5680539850001,-94.675555063 29.552773105,-94.574027123 29.5731910440001,-94.476591045 29.5588821810001,-94.515419046 29.516528179,-94.612210046 29.494437179,-94.6920820459999 29.467491179,-94.781110046 29.397219179,-94.786946046 29.373537179,-94.786945751 29.3735371290001,-94.78694603 29.373535996,-94.754172956 29.3679090570001,-94.7337460909999 29.3806911240001,-94.733746044 29.3806911780001,-94.7080639389999 29.4094360230001,-94.683608898 29.4291641730001,-94.653608893 29.4470821680001,-94.619999976 29.4619360730001,-94.458890912 29.5275001580001,-94.317508824 29.5841641710001,-94.1342998659999 29.6536090770001,-94.0683460339999 29.674164182,-94.036390855 29.679164159,-93.920272997 29.6815181330001,-93.890908843 29.672144986,-93.8584358419999 29.681627097,-93.87551013 29.712734713,-93.890700045 29.74041018,-93.910797956 29.7614502710001,-93.914717807 29.765554088,-93.914718302 29.7655544020001,-93.914719045 29.76555518,-93.9474910449999 29.7863191800001,-93.9564645949999 29.8111145140001,-93.958473011 29.816664233,-93.957414822 29.8183387710001,-93.852008934 29.9851359800001,-93.796664065 29.9941641280001,-93.789726867 29.9948539580001,-93.7861229279999 29.9917695660001,-93.7680280449999 29.9762821800001,-93.773064045 29.9004101800001,-93.8118640449999 29.8338821830001,-93.86208197 29.8306911990001,-93.8620820419999 29.830691174,-93.892010045 29.81756418,-93.900982045 29.79111018,-93.900981792 29.791109428,-93.900981879 29.79110917,-93.890282644 29.7593199140001,-93.885555045 29.74527318,-93.8817091499999 29.741274827,-93.8504909709999 29.708818159,-93.823893485 29.708200952,-93.823473045 29.70819118,-93.823473021 29.708191195,-93.8234729119999 29.7081911930001,-93.794026951 29.7273540670001,-93.749999998 29.750000126,-93.719308822 29.759164228,-93.667773025 29.7638820660001,-93.421117069 29.7791611120001,-93.299991044 29.7866641800001,-93.298500813 29.7866793170001,-93.2722268219999 29.786945041,-93.240828044 29.7850001780001,-93.240828011 29.7850001740001,-93.231157158 29.7834349250001,-93.1447268429999 29.7694449680001,-93.118326865 29.7636091520001,-93.064595832 29.7473571460001,-93.037510044 29.73916418,-93.002926106 29.727150254,-92.9055639869999 29.693327061,-92.855272903 29.663053973,-92.8246176229999 29.6489544070001,-92.813610044 29.64389118,-92.751110044 29.6206911800001,-92.687773044 29.60027318,-92.685464759 29.599794031,-92.570008909 29.5758270270001,-92.337217809 29.5422181100001,-92.308335782 29.539718124,-92.2745285619999 29.540925766,-92.273200043 29.54097318,-92.27319991 29.540973228,-92.27319985 29.5409732300001,-92.137217887 29.590000155,-92.099726808 29.615554063,-92.175826945 29.6902731980001,-92.1486179459999 29.768891092,-91.89917301 29.8361090940001,-91.843860578 29.8289195780001,-91.8388190429999 29.8282641800001,-91.8282947339999 29.8051902720001,-91.823899999 29.7955540930001,-91.668536204 29.74988282,-91.6641730429999 29.74860018,-91.663011906 29.7482647620001,-91.631036351 29.739027164,-91.557146043 29.6304821800001,-91.551100042 29.58611018,-91.551100035 29.586110138,-91.5510998949999 29.5861091080001,-91.550808653 29.5844834930001,-91.543337043 29.54277318,-91.536746977 29.5393439540001,-91.523055053 29.532217997,-91.415009891 29.5402731040001,-91.3401623779999 29.5031304400001,-91.267226794 29.4669360460001,-91.126527838 29.347354808,-91.114437042 29.3254191790001,-91.1177100419999 29.262500179,-91.149237043 29.2494371780001,-91.173472666 29.273609804,-91.1630549929999 29.2931910950001,-91.162365189 29.320967452,-91.162146052 29.3297911810001,-91.223328042 29.3605551790001,-91.339310043 29.3247191790001,-91.322237043 29.295273179,-91.299437043 29.2713821790001,-91.2847471759999 29.2607699490001,-91.277917912 29.2558359700001,-91.25486399 29.2443001250001,-91.244140476 29.240473384,-91.2194550419999 29.2316641790001,-91.217752677 29.231338861,-91.194717967 29.2269360060001,-91.096954969 29.2022181090001,-91.077646081 29.1948539360001,-91.048326854 29.1941641060001,-91.0353459679999 29.213118104,-90.998890892 29.2192360550001,-90.9313281089999 29.1653592440001,-90.9300000379999 29.1643001850001,-90.929999865 29.1643000510001,-90.929209481 29.1637012,-90.9122178219999 29.150826984,-90.878326938 29.128745028,-90.765017856 29.1094359730001,-90.702017962 29.1158270060001,-90.6786089829999 29.129717999,-90.647226802 29.158054029,-90.589717894 29.2333270400001,-90.524446002 29.2897181380001,-90.4444459329999 29.326109176,-90.399817099 29.3185501190001,-90.393619042 29.317500179,-90.3450000409999 29.3091641830001,-90.337606621 29.3041021770001,-90.272781873 29.259718133,-90.255572988 29.1972181360001,-90.241244619 29.1404625690001,-90.235691042 29.1184641790001,-90.235973042 29.092219179,-90.2477730419999 29.0825001790001,-90.247772771 29.0825002080001,-90.2477729559999 29.0825000560001,-90.237499928 29.08360915,-90.2094460329999 29.0911091090001,-90.135835824 29.1263821690001,-90.1159640079999 29.1390271080001,-90.065826816 29.183327143,-90.051590991 29.221526996,-90.051591059 29.221528133,-90.0515910409999 29.2215281790001,-90.056945985 29.311945236,-90.026526922 29.425135998,-90.026528037 29.4251371830001,-90.0587459559999 29.4595820960001,-90.0587460409999 29.4595821790001,-90.0888400919999 29.46101077,-90.096664005 29.461382197,-90.0972900469999 29.4614808750001,-90.124864041 29.465828179,-90.172082041 29.4880551790001,-90.191100041 29.510828179,-90.203272736 29.54471833,-90.182499891 29.5698540830001,-90.1191549979999 29.5513910970001,-89.9852730379999 29.4863820620001,-89.831682042 29.443882176,-89.831682007 29.4438821620001,-89.828136677 29.442118339,-89.7733367979999 29.414854593,-89.750828041 29.3605551790001,-89.770564043 29.339164167,-89.70834602 29.300827009,-89.608399871 29.25110908,-89.478609451 29.2336092420001,-89.389582041 29.092082179,-89.389581961 29.0920821660001,-89.389581906 29.0920820800001,-89.3793444679999 29.0904585760001,-89.3554190409999 29.086664179,-89.355418809 29.086664324,-89.3554179399999 29.0866641860001,-89.331390879 29.1016641040001,-89.323754965 29.1218001180001,-89.325519409 29.1311659840001,-89.329654907 29.1531184670001,-89.3243088409999 29.178045035,-89.27201924 29.1496457310001,-89.301937041 29.0825001790001,-89.365828041 29.0036101790001,-89.3812460409999 28.9893001790001,-89.3975000409999 28.974582179,-89.413055041 28.931110179,-89.413054632 28.931109953,-89.4130549229999 28.9311091380001,-89.405785962 28.9270979720001,-89.4050000409999 28.9266641790001,-89.404999916 28.9266642200001,-89.3906267949999 28.9320821090001,-89.363055027 28.953609016,-89.338335789 28.9868001790001,-89.3258460819999 29.0183270320001,-89.306946064 29.0422181380001,-89.249435814 29.0961090820001,-89.153882042 29.040000176,-89.15388195 29.0400001190001,-89.042355029 29.1104091120001,-89.021663965 29.140273162,-89.0087549959999 29.174164214,-89.0093179249999 29.1963821250001,-89.0195210479999 29.2063745360001,-89.02917304 29.215828179,-89.187210041 29.339719179,-89.255846041 29.334719179,-89.317510041 29.350555179,-89.464173041 29.4030461790001,-89.5171940389999 29.460361617,-89.5191639509999 29.4624911230001,-89.519164011 29.462491147,-89.519164041 29.462491179,-89.566753358 29.4814527400001,-89.677781913 29.5256911760001,-89.752717804 29.632982219,-89.662508912 29.666382092,-89.5905640409999 29.7388821800001,-89.590564018 29.7388822,-89.476390931 29.832291137,-89.448046017 29.82138209,-89.429718426 29.808327546,-89.412219041 29.79027318,-89.404173041 29.7625001800001,-89.4041730069999 29.7625002350001,-89.404172956 29.7625000580001,-89.333754911 29.8781911090001,-89.346641081 29.9120559,-89.399446041 30.0508281800001,-89.476319041 30.07461018,-89.565828041 29.96111018,-89.5893000409999 29.89958218,-89.6256910389999 29.8734001820001,-89.658055041 29.8738821800001,-89.683610041 29.87902818,-89.810472075 29.941831672,-89.8178460359999 29.9454821910001,-89.818654008 29.9471076940001,-89.835555041 29.98111018,-89.841705056 30.00061063,-89.843745944 30.007082149,-89.827790991 30.0329180250001,-89.80569093 30.0443001470001,-89.769517821 30.0443001470001,-89.71916404 30.0580540120001,-89.642645981 30.133191068,-89.642646063 30.133191158,-89.642646041 30.13319118,-89.649568323 30.1408000650001,-89.673535809 30.1671449850001,-89.673535908 30.1671449350001,-89.673537041 30.16714618,-89.722310041 30.1427281800001,-89.811937041 30.0991641800001,-90.0340280409999 30.0366641800001,-90.1316730409999 30.02221918,-90.170135993 30.0234731460001,-90.3497269059999 30.0616640970001,-90.389807675 30.0847566850001,-90.412635994 30.0979095760001,-90.4251358719999 30.1234730900001,-90.430386541 30.150964872,-90.4305460429999 30.1518001800001,-90.4279089409999 30.178609081,-90.414999972 30.2034731590001,-90.236255048 30.376527106,-90.213755002 30.386944973,-90.1876276149999 30.3877730840001,-90.174640573 30.3848341940001,-90.089446013 30.365554021,-90.06479266 30.3591176140001,-90.063891041 30.35888218,-90.000828041 30.31916418,-89.9879190409999 30.30111018,-89.979582041 30.2663821800001,-89.9699864729999 30.2637976290001,-89.819735814 30.223327038,-89.703029051 30.1863192370001,-89.695000041 30.1837731800001,-89.5931280409999 30.1532641800001,-89.593127538 30.153264418,-89.5931268699999 30.1532642180001,-89.522063922 30.1868540240001,-89.500643609 30.1841399530001,-89.4986100409999 30.1838821800001,-89.498609239 30.1838821870001,-89.498608842 30.1838821360001,-89.4482550609999 30.1843000580001,-89.3117998559999 30.310553984,-89.2644459589999 30.3182641610001,-89.202354999 30.3270820910001,-88.984999844 30.3863822120001,-88.980835882 30.4183269860001,-88.832508885 30.4130540990001,-88.7881909129999 30.3776360320001,-88.76116616 30.3630449140001,-88.74471904 30.3541641800001,-88.7246730209999 30.3471432470001,-88.722499926 30.346382094,-88.696108833 30.3456910900001,-88.6144359039999 30.3636090840001,-88.559864014 30.3483270310001,-88.484445996 30.323054084,-88.46096449 30.318136257,-88.45792804 30.31750018,-88.457927893 30.3175002900001,-88.457926828 30.317500067,-88.4059729419999 30.356391092,-88.40219086 30.3876641410001,-88.353399969 30.4042271170001,-88.1923190859999 30.3599274090001,-88.19402804 30.3315281800001,-88.1940267419999 30.33152792,-88.1940267969999 30.3315270140001,-88.131455051 30.318953992,-88.111108819 30.36708221,-88.1072268249999 30.3975001360001,-88.102217799 30.4702731610001,-88.100972919 30.5126359700001,-88.0825089269999 30.5747180450001,-88.020282013 30.7011090990001,-87.9490274839999 30.670345302,-87.941110335 30.657821454,-87.930546028 30.6411090890001,-87.913840788 30.5960124010001,-87.913055039 30.5938911800001,-87.912011529 30.586823124,-87.909446079 30.5694460120001,-87.917782039 30.53388218,-87.934155039 30.49527318,-87.908410039 30.40971918,-87.908409034 30.4097184820001,-87.908408919 30.4097181010001,-87.874968754 30.386500278,-87.8718000389999 30.38430018,-87.871068373 30.3838721010001,-87.831681983 30.3608271310001,-87.7634099799999 30.303054967,-87.757710039 30.2824281800001,-87.778191039 30.26291918,-87.8713257639999 30.238206387,-87.873746061 30.237564203,-87.881356247 30.238924952,-87.915282039 30.2449911800001,-87.952500039 30.24832818,-88.020133883 30.2258873580001,-88.021355065 30.2254821930001,-88.0213549969999 30.2254821940001,-88.021355039 30.22548218,-87.9432665369999 30.2274595330001,-87.777217885 30.231664182,-87.733608854 30.2349911270001,-87.655972984 30.2519450340001,-87.568617963 30.2794450530001,-87.463335894 30.3597180370001,-87.422773015 30.4205540580001,-87.4088909069999 30.4527730880001,-87.411511015 30.459191667,-87.420390499 30.4809448570001,-87.355064001 30.4563090780001,-87.349759736 30.4482092530001,-87.340837039 30.4345821800001,-87.418055039 30.3383281800001,-87.458800039 30.30687318,-87.498546039 30.3033281800001,-87.522564039 30.27929118,-87.522563887 30.2792912050001,-87.522563931 30.2792911610001,-87.453064039 30.290554092,-87.334163893 30.314718113,-87.306654989 30.3213820620001,-87.30210898 30.3454449970001,-87.2661088739999 30.351109152,-87.1797179389999 30.4316641030001,-87.156672902 30.472145008,-87.1531999439999 30.498609023,-87.153200129 30.498609489,-87.153200039 30.4986101800001,-87.1549809969999 30.5030790160001,-87.160835858 30.5177732390001,-87.101945947 30.526664091,-87.046339871 30.522520888,-87.0125100389999 30.5200001800001,-86.96326697 30.47889016,-86.953609543 30.470827582,-86.936391038 30.4500001800001,-86.986255039 30.4172191800001,-87.009455039 30.4075001800001,-87.084864039 30.4008281800001,-87.115828039 30.3944371800001,-87.1755370389999 30.3698281800001,-87.175534135 30.3698278310001,-87.175535872 30.3698271150001,-87.1261000389999 30.3638821810001,-87.1260999099999 30.363882167,-87.098346087 30.3730539800001,-87.0722269029999 30.3786091710001,-86.970835882 30.3933271220001,-86.926663922 30.3991641120001,-86.780291038 30.4166641750001,-86.780290914 30.4166641850001,-86.7086184299999 30.419164154,-86.707113356 30.4190978830001,-86.664445971 30.417218061,-86.618326896 30.415000041,-86.598054928 30.415000041,-86.492908814 30.470000079,-86.438046072 30.4961090360001,-86.259999864 30.495827069,-86.197490982 30.473045056,-86.1227730209999 30.4261090810001,-86.1181280179999 30.4143274780001,-86.1042371249999 30.3790914030001,-86.115830413 30.3814262490001,-86.1625100379999 30.39082818,-86.337364038 30.3844371800001,-86.337361947 30.3844361770001,-86.337363992 30.3844361020001,-86.3124999139999 30.372500104,-86.25555494 30.358327144,-86.164717909 30.329436065,-86.085826933 30.3036090740001,-86.049618989 30.2906201980001,-86.030837038 30.28388218,-86.001294859 30.272409635,-85.929990924 30.2447181580001,-85.902499958 30.2322180580001,-85.872217818 30.216936004,-85.830290867 30.1955450520001,-85.781328582 30.1636389490001,-85.780000037 30.16277318,-85.778514055 30.16176483,-85.725554964 30.125827063,-85.7225819029999 30.162164122,-85.72664379 30.1712347180001,-85.739000037 30.1988281800001,-85.746512815 30.211268929,-85.7640268929999 30.240273234,-85.767047149 30.2403635040001,-85.803537037 30.2414551800001,-85.829727933 30.227637235,-85.845554984 30.2470821900001,-85.838681991 30.287427139,-85.746946083 30.2972180410001,-85.6636191869999 30.2461098430001,-85.6882460369999 30.1906641800001,-85.6473820319999 30.1460001790001,-85.647381982 30.1460001250001,-85.538188072 30.0970573910001,-85.442491037 30.05416418,-85.442490983 30.0541641820001,-85.4424908839999 30.054164138,-85.413190936 30.055409018,-85.393891864 30.041527747,-85.439436679 30.017673368,-85.446992327 30.0193154150001,-85.476955037 30.0258281800001,-85.521537037 30.0605551800001,-85.5367185859999 30.0679444620001,-85.5503178659999 30.0745641820001,-85.5685558499999 30.0850417140001,-85.598691037 30.1023551800001,-85.6293910369999 30.1046281800001,-85.629390509 30.104627022,-85.629390897 30.1046270510001,-85.6167055239999 30.076810186,-85.613600037 30.0700001800001,-85.6135999159999 30.070000115,-85.6135998939999 30.0700000680001,-85.5463909439999 30.0338821120001,-85.405826931 29.9336090680001,-85.362909718 29.8979097110001,-85.3072100369999 29.8159731800001,-85.302219037 29.74416418,-85.306591037 29.69999118,-85.347118238 29.6869734360001,-85.372217846 29.71388217,-85.3856999719999 29.741100052,-85.396664002 29.79166422,-85.3990268599999 29.8211091750001,-85.399199863 29.864682164,-85.399200035 29.864681546,-85.399200037 29.86468218,-85.413328037 29.8138821800001,-85.412228037 29.79374618,-85.4009802699999 29.7531971760001,-85.400555049 29.7516641010001,-85.3954660379999 29.7367439780001,-85.386673037 29.7109641800001,-85.374310037 29.6911101800001,-85.3743093319999 29.6911096330001,-85.374308963 29.6911090420001,-85.359819108 29.6798862110001,-85.357091037 29.67777318,-85.357090953 29.6777731720001,-85.3570908579999 29.677773098,-85.346247616 29.6767948950001,-85.341673037 29.6763821800001,-85.329513547 29.6796579040001,-85.2952729799999 29.6888821380001,-85.2088909299999 29.6994361270001,-85.059999831 29.7199910680001,-84.97778191 29.733609147,-84.915008831 29.779718164,-84.864155064 29.7955911170001,-84.885282037 29.7472191800001,-84.885281509 29.74721892,-84.885281908 29.747218005,-84.866653909 29.738041567,-84.865555037 29.73750018,-84.865554962 29.737500208,-84.865554932 29.7375001940001,-84.829999904 29.7511090520001,-84.752226906 29.7812450110001,-84.7227819509999 29.8008269810001,-84.651945984 29.8458270720001,-84.57471781 29.8869361170001,-84.550826872 29.899436049,-84.515835779 29.9147181020001,-84.449309522 29.920973127,-84.4450944229999 29.9205433330001,-84.409726919 29.916936122,-84.376555034 29.9048090160001,-84.348700137 29.894875735,-84.3472910359999 29.8943731800001,-84.347291012 29.89437323,-84.34729096 29.8943732120001,-84.334999905 29.9200000430001,-84.336735797 29.9414540270001,-84.336736975 29.941454422,-84.336737036 29.94145518,-84.3861280359999 29.9580461800001,-84.412364036 29.95555518,-84.437491036 29.9580461800001,-84.444856427 29.971396015,-84.459026927 29.997082204,-84.329181858 30.0708270260001,-84.264308945 30.0963821080001,-84.205554989 30.1056910500001,-84.0316819619999 30.1013911330001,-84.010982014 30.097636041,-83.937499881 30.0505540520001,-83.889308966 30.0176359710001,-83.824445944 29.9844360910001,-83.788739914 29.974247812,-83.7881910359999 29.9740911800001,-83.773313807 29.9677190200001,-83.737781926 29.952500034,-83.6694459459999 29.9061090500001,-83.631946039 29.875691176,-83.6319459859999 29.8756911190001,-83.631051307 29.8743996480001,-83.583264055 29.805418085,-83.578272967 29.76652706,-83.536664026 29.722636062,-83.4669460379999 29.6805449940001,-83.4280550129999 29.6683270290001,-83.407499904 29.5758270270001,-83.398063892 29.525409041,-83.3830921319999 29.51828384,-83.374437035 29.514164179,-83.352219035 29.505273179,-83.2225000349999 29.422773179,-83.2075755399999 29.404659318,-83.100281861 29.2744360840001,-83.0716729169999 29.22443602,-82.983746082 29.1797180630001,-82.962635924 29.1862450510001,-82.9330638979999 29.182773099,-82.831955012 29.1638821340001,-82.8027820149999 29.1549911290001,-82.799830987 29.147514519,-82.7694550149999 29.0705540000001,-82.765522752 29.0572374180001,-82.750837035 29.007500179,-82.6445820339999 28.894991179,-82.6297190349999 28.8801371770001,-82.628882034 28.849582179,-82.641110034 28.825828179,-82.675619034 28.804055179,-82.6541730339999 28.7677731790001,-82.636810034 28.752364179,-82.628600034 28.6963821790001,-82.641682034 28.5394371790001,-82.664028034 28.4369371780001,-82.716110035 28.3055551780001,-82.749728035 28.2305461780001,-82.7739000349999 28.070273178,-82.797500035 27.969719178,-82.809437035 27.9366641780001,-82.835726423 27.8971845990001,-82.827781998 27.9417270540001,-82.827782358 27.941726364,-82.827782035 27.9417281780001,-82.852291035 27.8948551780001,-82.8541640349999 27.858610178,-82.8541639869999 27.8586100590001,-82.854164038 27.8586090850001,-82.847166462 27.841011006,-82.843891035 27.832773178,-82.835010035 27.814446178,-82.802863322 27.766523212,-82.744445931 27.679436013,-82.725969568 27.6594014840001,-82.7247280349999 27.658055178,-82.724727988 27.6580551980001,-82.724726833 27.6580539460001,-82.636526915 27.6961091270001,-82.622772883 27.722500052,-82.597195732 27.8142580590001,-82.5950730339999 27.821873178,-82.59507304 27.8218732140001,-82.603608835 27.8730539540001,-82.603609885 27.8730542810001,-82.603610034 27.8730551780001,-82.6375100339999 27.883610178,-82.714926776 27.925618495,-82.691245991 28.0298540490001,-82.443326897 27.9308270600001,-82.424164022 27.919436053,-82.4074999599999 27.8805540810001,-82.388546183 27.821109812,-82.405010034 27.780691178,-82.4422190339999 27.7449911780001,-82.4658370339999 27.7329101780001,-82.534728034 27.656664178,-82.5475000339999 27.6405551780001,-82.616110034 27.553610178,-82.616108203 27.5536099890001,-82.6161089349999 27.553609061,-82.585640951 27.550467686,-82.583755034 27.5502731780001,-82.5908370339999 27.4969371780001,-82.646119034 27.4652731780001,-82.6552730339999 27.461664178,-82.639152311 27.4493593760001,-82.5872186129999 27.4097186810001,-82.571537034 27.3912461780001,-82.551406374 27.3369866240001,-82.544999885 27.3197180880001,-82.5383999749999 27.2885360670001,-82.509202441 27.2183797050001,-82.456119034 27.090828177,-82.4244370339999 27.0219461770001,-82.406827605 26.984530378,-82.396390921 26.9623539680001,-82.378881963 26.935409167,-82.32835223 26.869216098,-82.309437034 26.844437177,-82.309436347 26.8444366200001,-82.309435884 26.8444360130001,-82.30564874 26.8413665640001,-82.291110034 26.8295821770001,-82.158891034 26.782882177,-82.158891024 26.782882221,-82.158890867 26.782882166,-82.1508358579999 26.8188821050001,-82.164172975 26.874164109,-82.1919358499999 26.938045108,-82.100281918 26.9525000350001,-82.0172284229999 26.9647177630001,-82.0494370339999 26.8477731770001,-82.079728034 26.707773177,-82.080000034 26.683882177,-82.0701211049999 26.5858731220001,-82.0669460829999 26.554373212,-82.066946032 26.554373179,-82.023372927 26.529218115,-81.948745993 26.5408270510001,-81.920063958 26.5993000460001,-81.915617862 26.6280539970001,-81.891117894 26.6602731950001,-81.785937801 26.7068992050001,-81.922773034 26.5336101770001,-81.922772854 26.53360923,-81.922772989 26.5336090590001,-81.922162887 26.530400005,-81.918728034 26.512328177,-81.955246034 26.501200177,-81.969310034 26.4818281770001,-81.969308438 26.481827519,-81.9693088129999 26.481827002,-81.915433357 26.4596258810001,-81.881619034 26.4456911770001,-81.8411100339999 26.350000177,-81.819067438 26.1816852700001,-81.816954982 26.165553989,-81.816008332 26.1612350120001,-81.811110034 26.138882176,-81.800419034 26.100000176,-81.792001839 26.094462336,-81.7805639429999 26.086936096,-81.73659097 25.9594450010001,-81.6747088879999 25.914436025,-81.618326842 25.9305450370001,-81.5586089669999 25.9197181330001,-81.475934033 25.8822712420001,-81.4022190329999 25.8488821760001,-81.3796749429999 25.8371830890001,-81.376799955 25.835691062,-81.340909776 25.8097187560001,-81.3350816189999 25.800193203,-81.327655012 25.7880540240001,-81.256707852 25.643380478,-81.172228033 25.471110176,-81.1556800399999 25.4331436480001,-81.144863976 25.4083269870001,-81.1263909319999 25.379527103,-81.115802061 25.3715161260001,-81.107719033 25.365400176,-81.042500033 25.329582176,-81.0412651999999 25.329411183,-80.990835776 25.3224270640001,-80.9544549679999 25.299164094,-80.9395626049999 25.2778923590001,-80.917846041 25.246873156,-80.928891033 25.2198551750001,-80.977209612 25.2009003410001,-80.983161952 25.2032252860001,-81.003346033 25.211110175,-81.091664033 25.280273176,-81.1086730329999 25.2987191760001,-81.135610033 25.3205371760001,-81.1775000329999 25.2404821760001,-81.172660207 25.2279109040001,-81.1466729589999 25.1604090660001,-81.122372285 25.1413289070001,-81.1033370329999 25.1263821750001,-81.0973624709999 25.1221493150001,-81.0880549569999 25.1155539820001,-81.046663945 25.12777312,-80.827790995 25.1622180480001,-80.682217956 25.163609109,-80.652217951 25.1869361130001,-80.573964 25.2405450900001,-80.539990973 25.2455450630001,-80.517400381 25.236563049,-80.510910032 25.233982176,-80.504592831 25.2052790270001,-80.503155023 25.1987450410001,-80.48887293 25.2163270890001,-80.453546058 25.2419359830001,-80.425915125 25.2052797580001,-80.415310032 25.191210175,-80.415309593 25.191210063,-80.4153088209999 25.19120904,-80.397508844 25.186653978,-80.397510097 25.186655192,-80.397510032 25.1866551750001,-80.419446001 25.207910145,-80.4211089309999 25.249854031,-80.376099955 25.3197180330001,-80.3394460599999 25.502427094,-80.311935815 25.538054038,-80.313326876 25.5425001350001,-80.312908954 25.599373192,-80.255845963 25.68416419,-80.191235906 25.7431910610001,-80.136126904 25.9055540580001,-80.09472684 26.2005450830001,-80.067508957 26.3836090340001,-80.05082679 26.4924911300001,-80.046390919 26.51500006,-80.035208957 26.552982151,-80.0287460069999 26.6323540810001,-80.0287460449999 26.6323550180001,-80.028746032 26.6323551770001,-80.028853134 26.6350093510001,-80.035335859 26.7956910550001,-80.049184361 26.853996346,-80.051664032 26.8644371770001,-80.056637865 26.8839890530001,-80.082508875 26.985691199,-80.105272951 27.051664153,-80.150972931 27.1381910420001,-80.1509729859999 27.1381910900001,-80.150973032 27.1381911770001,-80.188258164 27.170458534,-80.215008828 27.1936091690001,-80.312072943 27.4299910770001,-80.349517922 27.538191053,-80.356035858 27.583327099,-80.371935825 27.6322180700001,-80.3815611049999 27.6579203330001,-80.3855640319999 27.6686101780001,-80.3899263439999 27.6786841860001,-80.397226877 27.6955450250001,-80.432499937 27.769164119,-80.441935781 27.7872180680001,-80.4608998369999 27.812564105,-80.4869358719999 27.854164161,-80.5462035479999 27.973232178,-80.576673033 28.0344461780001,-80.7138087599999 28.3266703040001,-80.718890962 28.3375000710001,-80.757235822 28.4206911310001,-80.823063937 28.6516641970001,-80.843608762 28.7809727920001,-80.813046033 28.771664179,-80.8116106959999 28.770733497,-80.7514549909999 28.73172713,-80.7450551539999 28.708119078,-80.770346033 28.687182179,-80.782491033 28.635691179,-80.7824909989999 28.6356911390001,-80.7553460349999 28.6043731710001,-80.6745729899999 28.5889539820001,-80.659299989 28.608327075,-80.6031999099999 28.6086090420001,-80.5886342379999 28.561698031,-80.584655033 28.548882179,-80.584310033 28.501664179,-80.591673033 28.468882179,-80.605282033 28.424855178,-80.6169460359999 28.4027731800001,-80.616946064 28.4027731370001,-80.618095167 28.384539794,-80.621655033 28.3280551780001,-80.621655018 28.328054002,-80.620282033 28.2179101780001,-80.6202819 28.2179096030001,-80.620281894 28.2179090880001,-80.618805741 28.211486603,-80.607228033 28.1611101780001,-80.600828033 28.137500178,-80.594605706 28.119372738,-80.593054958 28.114854091,-80.5613910289999 28.044582173,-80.561390977 28.044582059,-80.507782001 27.954717998,-80.44665496 27.8644360160001,-80.446135785 27.874473177,-80.460047652 27.9082972100001,-80.464173032 27.918328178,-80.470649223 27.9287861770001,-80.475008927 27.9358270320001,-80.4935140159999 27.9640855430001,-80.496655032 27.9688821780001,-80.5369460329999 28.0337461780001,-80.561391033 28.079437178,-80.573064033 28.111110178,-80.5743989759999 28.1164528730001,-80.580835819 28.142218155,-80.585755515 28.167492721,-80.5869460329999 28.173610178,-80.5876505589999 28.177432293,-80.590835765 28.1947180380001,-80.595259889 28.224146456,-80.595555033 28.2261101780001,-80.596843577 28.238002744,-80.5977820159999 28.246664213,-80.5977820159999 28.274164231,-80.5977820159999 28.3391642140001,-80.5969550519999 28.4022180870001,-80.559863962 28.4324911740001,-80.535172887 28.4493361180001,-80.5351731169999 28.449337121,-80.535173033 28.4493371780001,-80.5436851599999 28.486526988,-80.552490905 28.5250000610001,-80.565981913 28.5545821440001,-80.5872178 28.590554087,-80.638472975 28.6691640990001,-80.6384730349999 28.669164177,-80.6811729 28.715964123,-80.683668795 28.719621751,-80.702500033 28.7472191790001,-80.783759432 28.870167227,-80.829726879 28.9397180230001,-80.966108826 29.153045003,-80.9916476239999 29.201139572,-81.013900033 29.243046179,-81.159164033 29.55832818,-81.185273033 29.6197191800001,-81.248046033 29.7766641800001,-81.250117153 29.7823886680001,-81.255281972 29.796664193,-81.287217862 29.9038821460001,-81.304172943 29.9738821010001,-81.329726851 30.0744361060001,-81.3611179169999 30.1902731700001,-81.386126834 30.2611091370001,-81.390835787 30.283191093,-81.392760418 30.3575673560001,-81.3927730079999 30.3580540620001,-81.390699833 30.3850000360001,-81.412508874 30.46708217,-81.432623613 30.487538971,-81.453063899 30.5083280440001,-81.4441549169999 30.5730540700001,-81.43527295 30.639436061,-81.435273146 30.6394363360001,-81.435273033 30.6394371810001,-81.472782033 30.6919371810001,-81.492843202 30.704434844,-81.50733586 30.7134641920001,-81.49527296 30.7322180300001,-81.4872908729999 30.752009044,-81.48729109 30.7520100410001,-81.487291033 30.7520101810001,-81.4878088299999 30.754397721,-81.492908928 30.7779180100001,-81.510145976 30.8002732160001,-81.513238524 30.806714244,-81.533754669 30.849445422,-81.501390911 30.900691099,-81.473608925 30.927218146,-81.459590863 30.9422180650001,-81.419446073 31.0290270890001,-81.409881986 31.0897269880001,-81.4098822289999 31.089726941,-81.409882033 31.0897281810001,-81.435636244 31.0846913350001,-81.488435841 31.113473087,-81.444099932 31.207218137,-81.410041222 31.20515533,-81.408537033 31.2050641810001,-81.404209054 31.1784104330001,-81.404081876 31.1776270010001,-81.3860358059999 31.1624270900001,-81.2842359159999 31.221245084,-81.268955036 31.2671821050001,-81.2689550489999 31.2671821340001,-81.2689550329999 31.2671821810001,-81.29388174 31.3230545230001,-81.277499883 31.357218162,-81.204726858 31.474718028,-81.204728253 31.4747188260001,-81.204728033 31.4747191810001,-81.252064033 31.5018001810001,-81.284100033 31.4911101810001,-81.299340538 31.512712091,-81.3290267949999 31.554791187,-81.3024999149999 31.5677730790001,-81.285205049 31.5659310950001,-81.279028033 31.5652731810001,-81.276632003 31.5649412870001,-81.2417549209999 31.56010917,-81.165899871 31.5648539970001,-81.1369459269999 31.613327047,-81.126935923 31.6926361120001,-81.121935783 31.728609061,-81.0555549649999 31.792218151,-80.9777088769999 31.861935972,-80.934581974 31.894582144,-80.8547178589999 31.9719360460001,-80.8354178559999 32.0062820680001,-80.8486726639999 32.011250825,-80.8929640329999 32.0278551820001,-80.894795705 32.035770481,-80.896190846 32.041800047,-80.879164015 32.079436134,-80.8255639229999 32.156654082,-80.801100042 32.152491162,-80.819728033 32.1095821820001,-80.819726631 32.1095828480001,-80.819726934 32.109582152,-80.720699944 32.156654082,-80.6722909329999 32.217073187,-80.710345947 32.2588821200001,-80.710345977 32.2588821210001,-80.710346033 32.258882182,-80.7403459989999 32.2600641810001,-80.741191513 32.260864263,-80.766400033 32.2847191820001,-80.776203663 32.2996765520001,-80.7833268429999 32.310544986,-80.816254982 32.4191642260001,-80.827499975 32.4624911220001,-80.832363992 32.519991147,-80.806946032 32.5002731820001,-80.7980460329999 32.4613821820001,-80.7645190329999 32.3727001820001,-80.711119033 32.319719182,-80.7111189839999 32.319719197,-80.7111179199999 32.3197181410001,-80.6826088879999 32.32816425,-80.674708944 32.397218056,-80.67443587 32.450271646,-80.653610033 32.422764182,-80.641664033 32.342991182,-80.643073033 32.293782182,-80.631382033 32.256382182,-80.631381904 32.256382208,-80.631381881 32.256382134,-80.5744459589999 32.2680541020001,-80.533326857 32.286109056,-80.464999929 32.3174910700001,-80.442490998 32.351935998,-80.429508939 32.398045015,-80.4446825109999 32.420288532,-80.482091032 32.475128182,-80.530554961 32.491173157,-80.5305550319999 32.4911731820001,-80.5550000329999 32.485755182,-80.659434065 32.497792539,-80.6800088219999 32.5001642560001,-80.669299934 32.522909053,-80.6113908739999 32.520273113,-80.5369459949999 32.5150000570001,-80.431900027 32.498364172,-80.4307598839999 32.497024798,-80.409164048 32.471654051,-80.327717933 32.480409116,-80.222781869 32.5408361,-80.046955021 32.606100113,-79.98778197 32.6183271310001,-79.917217912 32.662491211,-79.9002819409999 32.673882217,-79.877981888 32.694854075,-79.8779820349999 32.69485518,-79.882391032 32.7277281820001,-79.9101910319999 32.745146182,-79.9501365639999 32.76332797,-79.9555742869999 32.7703495430001,-79.9691727109999 32.7879097680001,-79.942635866 32.8534641520001,-79.942139979 32.8534488770001,-79.895417923 32.8520090600001,-79.878400535 32.838809504,-79.893673032 32.8181911830001,-79.883973032 32.7908821830001,-79.878982295 32.7871042800001,-79.857335919 32.7707180100001,-79.81582689 32.767209178,-79.79472679 32.7752732390001,-79.732635831 32.804154092,-79.612217889 32.9175000550001,-79.627908812 32.939300044,-79.6024999099999 32.9865181540001,-79.5713909789999 33.01554502,-79.523190948 33.033400112,-79.494437032 33.0091641830001,-79.488939009 33.0086671880001,-79.445263956 33.004718116,-79.3883359129999 33.008191074,-79.371717952 33.058945006,-79.344355061 33.079754087,-79.297072913 33.099209155,-79.233064006 33.1411091150001,-79.205835897 33.165545045,-79.204726803 33.1855451050001,-79.2169939739999 33.2142990340001,-79.224782031 33.232555183,-79.2556100309999 33.2440461830001,-79.2825000349999 33.2663911810001,-79.294581979 33.284164231,-79.295690905 33.305136088,-79.289582006 33.3294360630001,-79.2713909289999 33.3733180090001,-79.226108871 33.413318127,-79.199682105 33.4302730800001,-79.237291031 33.377210183,-79.263482031 33.336937183,-79.2691000309999 33.3141641830001,-79.264351163 33.311861648,-79.196445986 33.278936102,-79.164172976 33.3144359770001,-79.14861784 33.3894360730001,-79.137645929 33.415682159,-78.9808357749999 33.5916642400001,-78.937499827 33.638044999,-78.917773024 33.657491183,-78.881381979 33.69193611,-78.861255018 33.707218164,-78.82749992 33.7302730910001,-78.60055503 33.870827047,-78.5820908709999 33.8793001450001,-78.57221794 33.8816641500001,-78.5466572129999 33.880874507,-78.518064027 33.879991149,-78.437208836 33.8980450980001,-78.237354927 33.9198539720001,-78.153890952 33.91470916,-78.1013909009999 33.9047090460001,-78.076747798 33.897150767,-78.0697370299999 33.895000184,-78.038073487 33.8909225,-78.025972883 33.8893641290001,-77.976108941 33.942764228,-77.952990982 33.992427004,-77.946246064 34.0287451200001,-77.946246029 34.0287461840001,-77.9449909579999 34.0649911520001,-77.9477729119999 34.091382077,-77.9508358269999 34.1194359720001,-77.9556269029999 34.149017933,-77.9344478579999 34.1255159630001,-77.927282028 34.1175641470001,-77.9206910299999 34.019300184,-77.92250003 33.9919371840001,-77.93443703 33.9269371840001,-77.934435305 33.9269386760001,-77.934435795 33.9269360100001,-77.922635919 33.937145,-77.8841728739999 34.032773128,-77.882145962 34.061664207,-77.869717947 34.1308180940001,-77.86221782 34.150827038,-77.835008821 34.191936082,-77.757235823 34.2852731,-77.7052728849999 34.341936107,-77.68221779 34.365545078,-77.664445976 34.379436071,-77.636672875 34.3980450700001,-77.614581866 34.4122180300001,-77.5736268809999 34.4369360950001,-77.455272899 34.5040270270001,-77.42124606 34.514445063,-77.381726895 34.5164540370001,-77.379046027 34.562936049,-77.379046075 34.5629364010001,-77.37904603 34.5629371840001,-77.379804393 34.5685812150001,-77.3857178549999 34.6126001660001,-77.409435791 34.6891541000001,-77.424435877 34.7130540910001,-77.428440581 34.7390688090001,-77.428881862 34.741936093,-77.388472986 34.733045098,-77.330973289 34.639918659,-77.35023703 34.6009911840001,-77.3339000299999 34.575991184,-77.332153741 34.574822683,-77.30958201 34.559718069,-77.2730550169999 34.584436134,-77.175555043 34.654709172,-77.123317849 34.6933180620001,-77.0942358299999 34.6774180940001,-76.7599358579999 34.7665911510001,-76.685870579 34.796437215,-76.683255026 34.7974911950001,-76.6824821989999 34.796114887,-76.660972907 34.7578090960001,-76.6605042209999 34.7552297340001,-76.6536100289999 34.7172821840001,-76.648488335 34.7159514750001,-76.626108883 34.710136015,-76.5006269309999 34.736173224,-76.481381913 34.7763822200001,-76.4113908419999 34.8477732360001,-76.3830459279999 34.86422708,-76.3432639069999 34.8819360300001,-76.2924999159999 34.936936067,-76.2718088519999 34.962627103,-76.312635762 35.0126360520001,-76.312636191 35.0126361580001,-76.312637029 35.0126371850001,-76.351246029 35.0222101850001,-76.3512450969999 35.022208801,-76.351245993 35.0222090240001,-76.3337549729999 34.9962450730001,-76.3245390989999 34.976426835,-76.323546027 34.9742911800001,-76.415328029 34.9411551850001,-76.453191029 34.9352371850001,-76.458339123 34.950917707,-76.46229984 34.96298216,-76.433954926 34.9878180750001,-76.432364035 35.042773185,-76.4535638849999 35.066764204,-76.453563952 35.066764097,-76.4535640289999 35.0667641850001,-76.489437029 35.009164185,-76.5291730289999 35.004437185,-76.6338190289999 34.982419185,-76.6972190289999 34.948873185,-76.738746029 34.918610185,-76.7526627459999 34.9056382260001,-76.7530640419999 34.9052642030001,-76.778882029 34.9266551850001,-76.816355029 34.939437185,-76.840691029 34.9435191850001,-76.890000029 34.9538821850001,-76.905083453 34.9595442420001,-76.9317999099999 34.969573186,-76.965008843 34.997773094,-77.068163921 35.1497820920001,-77.067682889 35.149353713,-76.976390965 35.0680540110001,-76.909490661 35.026351226,-76.867219029 35.000000185,-76.8616554609999 34.9986690710001,-76.8360639909999 34.992544965,-76.810245773 34.9867074000001,-76.8053100289999 34.985591185,-76.8053091899999 34.9855912260001,-76.805308944 34.9855911710001,-76.7613998419999 34.987773148,-76.7270819829999 35.001518128,-76.654173004 35.0433270610001,-76.604017874 35.0741642510001,-76.5655549969999 35.114854032,-76.552917937 35.1379091270001,-76.555366087 35.1406102610001,-76.573055029 35.1601281850001,-76.664889326 35.166937058,-76.563608887 35.2336091720001,-76.487499864 35.225818025,-76.468890866 35.2716641860001,-76.4738826569999 35.2769713500001,-76.502982029 35.307910185,-76.8325100289999 35.392219185,-77.023055029 35.486937185,-77.049580998 35.526935629,-76.9773082199999 35.4933801600001,-76.942637029 35.477282185,-76.912919029 35.4616641850001,-76.652500029 35.4149911850001,-76.652499975 35.414991206,-76.601391027 35.4313821810001,-76.601390986 35.4313821900001,-76.616108937 35.458882208,-76.631589474 35.5210589980001,-76.6319460189999 35.522491147,-76.6148638889999 35.5358270740001,-76.588199882 35.5510360370001,-76.5155655729999 35.5319364440001,-76.5637550289999 35.5088101850001,-76.5671100289999 35.484937185,-76.522510029 35.4041641850001,-76.502339784 35.38930773,-76.496108917 35.384718123,-76.461945956 35.3722091380001,-76.149172891 35.3369360780001,-76.133190949 35.3598540450001,-76.041108869 35.424164197,-76.002226897 35.4661002,-75.979582017 35.5166641910001,-75.8936178829999 35.5755539420001,-75.859999913 35.5847180440001,-75.8383358789999 35.5669360040001,-75.8169549849999 35.5661001610001,-75.7894459139999 35.571382101,-75.7477984669999 35.6116609430001,-75.7407640279999 35.6184641850001,-75.740764016 35.61846423,-75.740763988 35.618464257,-75.720835845 35.6926270010001,-75.720835845 35.8145090940001,-75.740243032 35.8579298870001,-75.749173028 35.8779101850001,-75.772461505 35.9064175170001,-75.7833267889999 35.9197180720001,-75.824726853 35.9649910790001,-75.850826926 35.975273159,-75.850827328 35.9752729100001,-75.850828028 35.975273186,-75.9433280279999 35.917773185,-75.970700028 35.8977731850001,-75.9894370279999 35.8805461850001,-75.995546028 35.813328185,-75.995545941 35.8133279090001,-75.995546017 35.813327078,-75.993910951 35.8081427810001,-75.9885370279999 35.7911001850001,-75.993882028 35.7102731850001,-76.0225394239999 35.6640928900001,-76.028746065 35.6540912020001,-76.029695439 35.6541717630001,-76.1032000279999 35.660410185,-76.1175339229999 35.6745464960001,-76.1356268979999 35.6923911370001,-76.1095819769999 35.6913090310001,-76.044754997 35.684364121,-76.041672971 35.7491641120001,-76.0438602839999 35.757705281,-76.053055028 35.793610185,-76.060272884 35.8469361190001,-76.05304604 35.8737450100001,-76.021808866 35.922773109,-76.026526872 35.9622180100001,-76.026527997 35.9622189250001,-76.026528028 35.962219185,-76.0511088109999 35.9822091890001,-76.051110028 35.982210186,-76.0655307659999 35.9882084480001,-76.07750896 35.993191154,-76.077510027 35.9931911840001,-76.174717915 35.995964223,-76.174718107 35.995964159,-76.174719028 35.995964186,-76.301737029 35.9540551850001,-76.267500075 35.9188822340001,-76.267934957 35.9188923570001,-76.2791730289999 35.9191551850001,-76.3798550289999 35.957628185,-76.391929848 35.9741214650001,-76.392772959 35.975273159,-76.392773022 35.975273176,-76.420137029 35.978737186,-76.4702730289999 35.964991185,-76.529728029 35.946100185,-76.553746029 35.939710185,-76.662219029 35.9330461850001,-76.729517974 35.9398460790001,-76.733917928 36.0476000990001,-76.753835844 36.0947731150001,-76.760281863 36.1451270630001,-76.757508962 36.2041541020001,-76.7460998509999 36.228182168,-76.704582537 36.2467268610001,-76.718891029 36.2094371860001,-76.7276370289999 36.1673551860001,-76.7102100289999 36.117519186,-76.697267177 36.086331107,-76.691172904 36.071645097,-76.6597908909999 36.033118014,-76.518617848 36.0069361340001,-76.495272906 36.009582133,-76.371382007 36.0769449750001,-76.367764042 36.118327101,-76.367764085 36.1183275430001,-76.3677640289999 36.118328186,-76.368045448 36.121227817,-76.370835802 36.149990675,-76.361217475 36.1459852460001,-76.3341640099999 36.13471808,-76.266702773 36.107464663,-76.235828028 36.0949911860001,-76.235039361 36.0949809520001,-76.214172874 36.0947090770001,-76.07097292 36.1493000770001,-76.075908855 36.1791000900001,-76.09114191 36.19643683,-76.092164028 36.197600186,-76.133998477 36.2411934100001,-76.1507729969999 36.2586731850001,-76.150773027 36.25867319,-76.183610028 36.269155186,-76.199079211 36.2784084730001,-76.222635914 36.2925002000001,-76.1996549149999 36.3173911000001,-76.1398639499999 36.288054103,-76.042746022 36.2197360600001,-76.037283066 36.210465438,-76.0324190279999 36.2022101860001,-76.0324179679999 36.2022093790001,-76.032417841 36.2022091650001,-76.011864013 36.1865814440001,-76.0046550279999 36.181100186,-76.004654967 36.181100176,-75.949437028 36.168600186,-75.949436518 36.1686002370001,-75.949435826 36.16860008,-75.9265357959999 36.1708911900001,-75.939485131 36.1814710090001,-75.9528730279999 36.1924101860001,-75.9973546099999 36.310827074,-75.976036892 36.311382085,-75.959286291 36.2989303420001,-75.9389460419999 36.2838091720001,-75.9128866039999 36.2314958220001,-75.8527100279999 36.1106911860001,-75.828692782 36.095832392,-75.793154906 36.0738450110001,-75.794482897 36.091983328,-75.796391028 36.1180461860001,-75.840867057 36.2088532660001,-75.883326918 36.2955450100001,-75.916399896 36.3513911160001,-75.916905659 36.351734557,-75.946655028 36.371937186,-75.966471193 36.3914803260001,-75.986935791 36.411664209,-76.034726888 36.4966540250001,-76.03889085 36.518191158,-76.028990984 36.5500001450001,-76.029585482 36.551096482,-76.04235434 36.5746449170001,-76.019581962 36.5667270710001,-76.012799829 36.5498450800001,-75.9862959439999 36.5140384960001,-75.9699370279999 36.491937186,-75.969936594 36.491937116,-75.9699357819999 36.491936019,-75.931872674 36.485788465,-75.9269370279999 36.4849911860001,-75.9269367479999 36.4849912660001,-75.9269357809999 36.4849911100001,-75.899582027 36.4927731830001,-75.8995819419999 36.4927732040001,-75.909235883 36.5500001450001,-75.912645977 36.573191195,-75.9126460259999 36.573191181,-75.9199651499999 36.570470916,-75.938255033 36.5636731970001,-75.938423262 36.5632078670001,-75.943300028 36.5497191860001,-75.949028028 36.542528186,-75.968846028 36.5497191860001,-75.97168557 36.556266969,-75.975826919 36.5658181370001,-75.9755550099999 36.6208270590001,-75.96666399 36.680827069,-75.945309084 36.712417873,-75.911391028 36.6652641860001,-75.9005852459999 36.634684685,-75.881946047 36.5819364070001,-75.882710028 36.5499461860001,-75.8791640279999 36.532773186,-75.8700000279999 36.498600186,-75.863891028 36.4763821860001,-75.854298356 36.4475573340001,-75.811663992 36.3194450010001,-75.798312542 36.289568897,-75.768337028 36.2224911860001,-75.7605635479999 36.2069388570001,-75.758199855 36.2022091650001,-75.75348844 36.1890238450001,-75.7512550279999 36.1827731860001,-75.738610028 36.1236371860001,-75.7286100279999 36.061100186,-75.700837028 36.0080461860001,-75.683319028 35.991664186,-75.666376982 35.9786874110001,-75.6608267829999 35.9744359750001,-75.63694607 35.9529090680001,-75.5897910269999 35.897491152,-75.589028028 35.8564551850001,-75.579402451 35.841931012,-75.556946001 35.80804497,-75.532646025 35.80151815,-75.532646438 35.801519295,-75.532646028 35.8015191850001,-75.537730038 35.815622261,-75.5533268619999 35.8588911040001,-75.575563884 35.908882116,-75.635835803 36.007773151,-75.6511151 36.0312447110001,-75.659164028 36.0436101860001,-75.700000028 36.0966551860001,-75.7120820279999 36.1165191860001,-75.785282028 36.283610186,-75.809155028 36.370828186,-75.827791028 36.440828186,-75.841047498 36.494132585,-75.844163984 36.5066641970001,-75.849445924 36.5316642290001,-75.8516818799999 36.549073107,-75.8610441339999 36.573739926,-75.886400028 36.6405461860001,-75.903078282 36.6871364900001,-75.96291795 36.854300112,-75.98157499 36.8963457580001,-75.987291028 36.9092281860001,-76.013400399 36.9198643190001,-76.013890985 36.9200641890001,-76.0138910269999 36.920064181,-76.057218604 36.9065823180001,-76.160835807 36.918882173,-76.168930233 36.9213634880001,-76.1952640279999 36.929437186,-76.235546028 36.950828186,-76.2551460289999 36.957910186,-76.314373029 36.9449191860001,-76.318064029 36.881100186,-76.293610029 36.843319186,-76.331682029 36.8636101860001,-76.463061732 36.9011420960001,-76.477490866 36.9052642620001,-76.479654906 36.957773198,-76.486769813 36.9620798600001,-76.575564029 37.0158281860001,-76.644863949 37.0468001510001,-76.716663948 37.147491206,-76.8649460239999 37.213382186,-77.027219029 37.2836101870001,-77.146119029 37.291937187,-77.2276714989999 37.2961555000001,-77.232226935 37.2963911910001,-77.238599865 37.3361091740001,-76.990272905 37.312909072,-76.975017296 37.299625226,-76.974164029 37.2988821870001,-76.974163893 37.298882124,-76.972610289 37.2981593260001,-76.9036819739999 37.266091117,-76.887464001 37.247882099,-76.7852269099999 37.235045047,-76.6783267989999 37.226100047,-76.653881984 37.226936058,-76.631390991 37.2162360560001,-76.625024235 37.2045509450001,-76.613610029 37.183600187,-76.613882029 37.1561001870001,-76.613119029 37.133946187,-76.6131179449999 37.1339452220001,-76.6131179389999 37.1339450450001,-76.55749982 37.0844359930001,-76.436390874 36.9972180990001,-76.389726808 36.9733181080001,-76.291455028 37.0053450250001,-76.2677178129999 37.0863091800001,-76.281766179 37.117351231,-76.2900000289999 37.135546187,-76.377210029 37.2141551870001,-76.442637029 37.2230461870001,-76.465564029 37.2297101870001,-76.5430640289999 37.268882187,-76.585555029 37.291937187,-76.606109408 37.305827768,-76.621477372 37.32510462,-76.670546029 37.386655187,-76.682772649 37.42971785,-76.57889094 37.323609074,-76.479517946 37.2688090290001,-76.454726791 37.2619360360001,-76.448335925 37.262773221,-76.376490944 37.2805091600001,-76.3764913369999 37.2805101110001,-76.376491029 37.2805101870001,-76.4034726909999 37.3458183700001,-76.3652819929999 37.383882166,-76.3651045559999 37.38376907,-76.2894460529999 37.3355450720001,-76.26369085 37.33428926,-76.261128029 37.3341641870001,-76.261127969 37.3341642950001,-76.261126787 37.334164237,-76.239435763 37.373464132,-76.236664033 37.4286731870001,-76.2366640339999 37.4286732140001,-76.2452729199999 37.4952731340001,-76.250068858 37.5030155370001,-76.2907000289999 37.568610187,-76.4213910289999 37.603328187,-76.499656525 37.616961137,-76.518617848 37.6202642420001,-76.538890989 37.6302732400001,-76.541104477 37.6329126320001,-76.564164029 37.660410187,-76.573773977 37.6852659130001,-76.576672921 37.6927641840001,-76.5897178449999 37.7274821950001,-76.6150088959999 37.7527732470001,-76.6241502299999 37.75638465,-76.636110029 37.761110187,-76.663746029 37.763610187,-76.718781723 37.7941632880001,-76.720273028 37.7949912170001,-76.848472896 37.927773136,-76.902917884 38.0061642160001,-76.923335864 38.0536000880001,-76.9479178079999 38.0769450290001,-76.9479190289999 38.076946187,-76.985973029 38.0933281870001,-77.0184790929999 38.096175638,-77.020835839 38.0963821600001,-77.0543713439999 38.1133837200001,-77.110691029 38.141937188,-77.1298902309999 38.169118058,-77.0558186649999 38.160828656,-77.054510029 38.1606821880001,-77.011791481 38.135945554,-76.9319459229999 38.0897091590001,-76.910972892 38.067636088,-76.88752665 38.027800305,-76.885991029 38.0251911870001,-76.8841129859999 38.022562582,-76.834445949 37.9530450770001,-76.702499873 37.833053942,-76.478881927 37.6783270270001,-76.369708846 37.6336090840001,-76.353610029 37.618600187,-76.3536093239999 37.61860054,-76.353608852 37.618600099,-76.337508892 37.626654102,-76.285555006 37.6969360250001,-76.228199822 37.8816641190001,-76.2436178299999 37.906100049,-76.266110053 37.9207675760001,-76.2815370289999 37.930828187,-76.349446029 37.956655187,-76.392623524 37.970578849,-76.4050088609999 37.9745731580001,-76.457456588 38.0013351220001,-76.501109684 38.0236100120001,-76.584390734 38.1155096860001,-76.590972947 38.1227730890001,-76.5909730289999 38.1227731880001,-76.608986462 38.128007043,-76.689435838 38.151382197,-76.7893097629999 38.1625773910001,-76.845555029 38.1688821880001,-76.876937029 38.1783281880001,-76.932500029 38.203046188,-77.0122880119999 38.296505509,-77.0233269399999 38.3094360580001,-77.0393357309999 38.333961559,-77.068746029 38.379019188,-77.166319029 38.3431821880001,-77.224164029 38.333600188,-77.246337029 38.332837188,-77.306879479 38.3430567510001,-77.32000893 38.34527322,-77.326399964 38.402491109,-77.304445915 38.4955449870001,-77.2488909959999 38.598600151,-77.134445999 38.6986001120001,-77.095835768 38.704709178,-77.042217906 38.7266181320001,-77.037217933 38.843318029,-77.050281968 38.8788732240001,-77.061690913 38.9045731430001,-77.053400029 38.901100188,-77.0168100289999 38.8643001880001,-77.021664029 38.808882188,-77.022782029 38.8030911880001,-77.0225447239999 38.802593254,-77.019455004 38.7961091390001,-77.016508061 38.7870257660001,-77.0061190289999 38.7550001880001,-77.0293730289999 38.698946188,-77.0640234969999 38.695038835,-77.0644460359999 38.6949911940001,-77.0647598049999 38.694862637,-77.087500029 38.685546188,-77.1805550289999 38.605828188,-77.234582029 38.550691188,-77.248046029 38.524164188,-77.263200029 38.4877731880001,-77.257216667 38.460240615,-77.243746017 38.398254057,-77.196772993 38.367945095,-77.075290885 38.416518056,-77.0444459839999 38.4383180450001,-77.0089796629999 38.4002058140001,-76.9701370289999 38.358464188,-76.919664263 38.3126306410001,-76.9158359049999 38.309154091,-76.8800804859999 38.281765546,-76.8706910289999 38.274573188,-76.865943374 38.2730930390001,-76.7392999479999 38.2336091700001,-76.702081951 38.2408269950001,-76.674435919 38.242491138,-76.653881984 38.241936088,-76.6299908779999 38.2394361020001,-76.6062459519999 38.233045068,-76.581955029 38.22123614,-76.560272889 38.2033270310001,-76.5560796999999 38.1972306980001,-76.548619029 38.186382188,-76.3386100289999 38.0588821870001,-76.315021508 38.0484800300001,-76.312345916 38.047300082,-76.317499948 38.1483181090001,-76.317499976 38.1483181610001,-76.317500029 38.1483191880001,-76.325159668 38.1624452560001,-76.3336178449999 38.1780450310001,-76.34778192 38.193882134,-76.35400184 38.1988316540001,-76.38040889 38.2198452810001,-76.391108816 38.2481180770001,-76.3711089239999 38.2883270730001,-76.371110468 38.2883273050001,-76.371110029 38.288328188,-76.448755029 38.3000001880001,-76.481946029 38.315546188,-76.594455029 38.4049911880001,-76.649446029 38.4533281880001,-76.663464029 38.4747101880001,-76.6791639269999 38.6625269720001,-76.675091014 38.654495185,-76.666119029 38.6368001880001,-76.6673328699999 38.6087040900001,-76.667355055 38.60819106,-76.665700035 38.585137188,-76.665699965 38.5851361320001,-76.636946033 38.490964187,-76.6369460129999 38.4909641090001,-76.57918196 38.4319360640001,-76.4457640219999 38.339535975,-76.40624603 38.3372091590001,-76.378573019 38.3652001880001,-76.3798435859999 38.368243502,-76.401391029 38.419855188,-76.441937029 38.4572191880001,-76.443364774 38.4585156900001,-76.478335762 38.490273105,-76.485725643 38.4985701100001,-76.491946029 38.5055551880001,-76.498002276 38.51740205,-76.505008822 38.531109067,-76.5102080089999 38.552711823,-76.511391029 38.5576281880001,-76.5139263949999 38.574520953,-76.537508814 38.73165398,-76.523617821 38.854709036,-76.4539549849999 38.913253947,-76.393890937 39.0110360570001,-76.393891186 39.011036932,-76.393891029 39.011037188,-76.399919417 39.0322590260001,-76.42152691 39.1083271540001,-76.431888439 39.128085696,-76.440973029 39.145410188,-76.478282029 39.177155188,-76.5194460289999 39.2048281890001,-76.582781986 39.2420731620001,-76.582782029 39.2420731890001,-76.584491901 39.242584849,-76.6105178729999 39.2503730880001,-76.576672921 39.2672091470001,-76.5494357589999 39.261109133,-76.514884676 39.2489950180001,-76.511400029 39.247773189,-76.5079522299999 39.2460065110001,-76.4894359159999 39.2365181370001,-76.487289988 39.2347302760001,-76.4733100289999 39.223082189,-76.46650765 39.220953729,-76.4385639669999 39.2122091090001,-76.416399868 39.209718008,-76.388608829 39.224709042,-76.386946027 39.2263820700001,-76.3869461099999 39.2263821070001,-76.3869460289999 39.226382189,-76.388599762 39.227122308,-76.3950089149999 39.2299911490001,-76.3994367189999 39.230379698,-76.407646029 39.2311001890001,-76.427364029 39.239155189,-76.4516730289999 39.2586101890001,-76.475424811 39.2950532890001,-76.4799999049999 39.30207317,-76.427781989 39.3169361280001,-76.35194605 39.375264116,-76.3519460639999 39.3752641620001,-76.351946029 39.3752641890001,-76.352222425 39.376142428,-76.3597268029999 39.399991066,-76.256954946 39.444709023,-76.228032275 39.4211248990001,-76.225282028 39.418882189,-76.229028028 39.3870101890001,-76.2228767729999 39.378891137,-76.212772929 39.3655540170001,-76.187908851 39.371935998,-76.09029086 39.431100165,-76.06332678 39.4580090910001,-76.063328321 39.4580098970001,-76.0633280279999 39.458010189,-76.082649551 39.468112691,-76.112008874 39.4834642610001,-76.08479099 39.5489540820001,-75.9408273019999 39.604163967,-75.914757529 39.5961990960001,-75.835346462 39.571936212,-75.851391028 39.535828189,-75.977782028 39.3899911890001,-76.0958370279999 39.3599371890001,-76.1683370279999 39.3165191890001,-76.2601460289999 39.153673188,-76.2208370279999 39.060819188,-76.2208364649999 39.0608195550001,-76.220835817 39.0608180240001,-76.141390965 39.1125001680001,-76.07246495 39.1416536570001,-76.1561100279999 39.0026371880001,-76.191937028 38.9845731880001,-76.2200000289999 38.9813731830001,-76.24208193 38.983882211,-76.255001963 38.990713885,-76.266255029 38.9966641880001,-76.296837029 39.0257551880001,-76.338891029 38.967073188,-76.3475000289999 38.9406911880001,-76.357773029 38.895273188,-76.3598640289999 38.8554101880001,-76.359863881 38.85541003,-76.359863931 38.8554090920001,-76.356849884 38.8521675150001,-76.356382029 38.851664188,-76.3563819519999 38.8516642590001,-76.35638192 38.851664226,-76.316954956 38.888045038,-76.296390963 38.92249114,-76.224655003 38.964091164,-76.2176524129999 38.957488154,-76.141954899 38.8861091540001,-76.1339028959999 38.867434125,-76.104437028 38.799091188,-76.132219028 38.7724911880001,-76.155964028 38.7631911880001,-76.171435607 38.769818564,-76.186099869 38.776100195,-76.19692199 38.784950844,-76.207509003 38.7936093490001,-76.215032573 38.8129002540001,-76.215146009 38.8131911240001,-76.2151460279999 38.8131911880001,-76.2551730289999 38.841037188,-76.300073029 38.818746188,-76.331955029 38.7605551880001,-76.342155029 38.688255188,-76.342154821 38.688255127,-76.342154981 38.688253994,-76.3208999829999 38.68200914,-76.204727647 38.739717623,-76.1911000279999 38.6838731880001,-76.0679190279999 38.6136731880001,-76.060255804 38.611417567,-76.032772899 38.603327042,-76.0021640319999 38.6070090440001,-75.979299877 38.634154005,-75.960973031 38.6515911910001,-75.9627820279999 38.613328188,-75.975491028 38.593673188,-76.002637028 38.580137188,-76.028473028 38.573746188,-76.0519370279999 38.5748551880001,-76.103746028 38.586237188,-76.131628028 38.5999371880001,-76.177572266 38.6116108910001,-76.177782016 38.611664186,-76.265291029 38.6197101880001,-76.2850000289999 38.570273188,-76.264937029 38.551591188,-76.264936088 38.5515912980001,-76.2649358589999 38.551591085,-76.224654947 38.5563090910001,-76.214172874 38.573609171,-76.1872178469999 38.579436103,-76.1664550629999 38.5681911250001,-76.1850000279999 38.534437188,-76.2083460279999 38.5230461880001,-76.246946029 38.510273188,-76.2975000289999 38.500546188,-76.3219460289999 38.4886001880001,-76.321945977 38.4886001100001,-76.3219460449999 38.4886000770001,-76.242490967 38.3669360810001,-76.225664309 38.347324423,-76.222228028 38.3433191880001,-76.222228021 38.3433193910001,-76.222226877 38.343318057,-76.22079089 38.384645031,-76.161117942 38.349436009,-76.0877820329999 38.2863821820001,-76.087781987 38.286382137,-76.086971649 38.285419394,-76.037510028 38.2266551880001,-76.037509916 38.226655312,-76.037508842 38.226654035,-76.021945994 38.243882199,-75.955393051 38.3025893940001,-75.8463550279999 38.3987731880001,-75.896119028 38.2502731880001,-75.912219028 38.145273188,-75.8844532269999 38.118936881,-75.853055301 38.089154224,-75.882219028 37.985964187,-75.878537028 37.9475641870001,-75.861505601 37.9357058480001,-75.85180895 37.928953979,-75.820699851 37.9481822330001,-75.8002818699999 37.96332699,-75.774445995 37.974709112,-75.75499998 37.979436003,-75.693181935 37.9791540350001,-75.670273024 37.973600187,-75.644046036 37.961173182,-75.6440706389999 37.9609777330001,-75.646119028 37.9447101870001,-75.662510028 37.840546187,-75.697219028 37.799164187,-75.781391028 37.7249911870001,-75.874719028 37.6566551870001,-75.916946028 37.608328187,-75.930555028 37.5761001870001,-75.956391028 37.4977731870001,-76.008200028 37.314719187,-76.016464028 37.2708911870001,-76.0027910279999 37.223873187,-76.0027909999999 37.2238731420001,-75.960828028 37.152210187,-75.960827654 37.1522104480001,-75.9608268329999 37.1522090440001,-75.8680549219999 37.216936113,-75.8511088929999 37.2761001120001,-75.84249984 37.3474911280001,-75.841672882 37.37249116,-75.803881898 37.4527731970001,-75.7329208039999 37.5336751310001,-75.720555028 37.5477731880001,-75.7010999829999 37.5524181000001,-75.6972751169999 37.5443116710001,-75.687637028 37.523882187,-75.660137028 37.4973191870001,-75.66013694 37.497319272,-75.660135778 37.4973181510001,-75.596526856 37.559018011,-75.600659542 37.5651152230001,-75.608954771 37.5773548080001,-75.570008861 37.6811091480001,-75.503346076 37.798336099,-75.490963994 37.814718026,-75.412217857 37.919445045,-75.3997358619999 37.988600105,-75.370035762 38.024382114,-75.3686088269999 38.0341641310001,-75.355826927 38.082636006,-75.329454945 38.1091642270001,-75.183535901 38.2243640990001,-75.154446003 38.241518167,-75.0949998689999 38.328809151,-75.079454959 38.445827057,-75.0794551289999 38.4458274240001,-75.0794550269999 38.4458281880001,-75.0824757629999 38.45234587,-75.082854992 38.4531642360001,-75.079418071 38.4575999040001,-75.075975876 38.456579859,-75.065309316 38.453418191,-75.063516271 38.450906145,-75.060482045 38.446654288,-75.061246027 38.408055188,-75.073300027 38.340964188,-75.0732999539999 38.3409642840001,-75.07329996 38.3409642510001,-75.0566638939999 38.362773125,-75.044581883 38.4172090600001,-75.0407818639999 38.4497181040001,-75.040782141 38.449718213,-75.040782027 38.4497191880001,-75.043681442 38.450854959,-75.0397178649999 38.457500198,-75.038463932 38.479709057,-75.038464061 38.479709599,-75.038464027 38.4797101880001,-75.063891027 38.586937188,-75.140419027 38.589437188,-75.1702730279999 38.578610188,-75.187208515 38.5892283900001,-75.200835814 38.5977731930001,-75.1399999609999 38.6949912000001,-75.1883268289999 38.8166642480001,-75.302217951 38.918882228,-75.3890268069999 39.0777731050001,-75.405481992 39.1574912070001,-75.3924358949999 39.2007540650001,-75.395417841 39.246245001,-75.432635838 39.3106911080001,-75.5272179039999 39.4166641800001,-75.547425743 39.4329632050001,-75.5721550279999 39.4529101890001,-75.576934045 39.476760713,-75.6044358519999 39.614018103,-75.588608807 39.648882126,-75.459446026 39.788327156,-75.421445997 39.8119540650001,-75.4097178709999 39.8219451260001,-75.361108867 39.8495091820001,-75.3094357749999 39.8638821340001,-75.221664005 39.8727641020001,-75.17721779 39.8955451090001,-75.138481998 39.9354091050001,-75.126381882 39.956664103,-75.111663931 39.9733181060001,-75.059999891 40.000545043,-75.038891028 40.0102731900001,-75.038642641 40.0103219710001,-75.0285202919999 40.0123085540001,-75.065555027 39.9644371890001,-75.1011100269999 39.9005461890001,-75.1375640269999 39.873946189,-75.196110028 39.8633281890001,-75.2842600079999 39.843849812,-75.2891730269999 39.842764264,-75.291896551 39.8421108470001,-75.344728028 39.829437189,-75.368328028 39.8180551890001,-75.400555028 39.799719189,-75.424310028 39.7827731890001,-75.4527820279999 39.756800189,-75.557219028 39.620410189,-75.5427730279999 39.500546189,-75.542773 39.5005461270001,-75.5427728729999 39.500545071,-75.5269459949999 39.465336048,-75.4156998669999 39.378045064,-75.378326805 39.3536091340001,-75.352570865 39.3383868770001,-75.311110028 39.313882189,-75.164446028 39.2327641890001,-75.086400027 39.207500189,-75.0863999859999 39.207500194,-75.0863998689999 39.207500156,-75.040836401 39.2138820590001,-75.0231982139999 39.210236357,-74.923890859 39.1897090640001,-74.894936886 39.169018866,-74.882637027 39.140900188,-74.892364027 39.1040191880001,-74.907773027 39.0716641880001,-74.931110027 39.0363821880001,-74.948473027 39.0093001880001,-74.957364027 38.9854101880001,-74.964446027 38.933319188,-74.964445882 38.9333191100001,-74.964446027 38.933318044,-74.9455685199999 38.9231415020001,-74.945273027 38.922982188,-74.945273 38.9229821910001,-74.945272927 38.922982152,-74.908335891 38.927353985,-74.876390949 38.9383270700001,-74.8467999809999 38.950827002,-74.82082681 38.9719359870001,-74.759172883 39.038045063,-74.711117923 39.0899910700001,-74.65139988 39.1930450610001,-74.599972881 39.25754498,-74.5999733209999 39.2575458200001,-74.599973027 39.257546189,-74.60338809 39.2640562350001,-74.6115268309999 39.2795731240001,-74.650108899 39.290200204,-74.5541729879999 39.334991083,-74.515564411 39.3366540320001,-74.522428027 39.3159641890001,-74.522426691 39.315964686,-74.5224268649999 39.315964163,-74.4204088769999 39.353991181,-74.427310087 39.384716156,-74.428746027 39.3911101890001,-74.447318412 39.400018894,-74.462590973 39.4210641770001,-74.441082003 39.4435270070001,-74.422473005 39.45893613,-74.394432289 39.4419883300001,-74.393264027 39.441282189,-74.3932640099999 39.441282222,-74.393263916 39.4412821650001,-74.376573032 39.474664101,-74.3765730549999 39.474664133,-74.3765730269999 39.4746641890001,-74.4055634649999 39.5161093850001,-74.319455056 39.561382098,-74.2111179509999 39.6436090710001,-74.181672996 39.670544987,-74.151317933 39.7037450350001,-74.156317906 39.7249911480001,-74.16789091 39.736245362,-74.178463729 39.7465278990001,-74.171108948 39.780545062,-74.100826857 39.9508271130001,-74.071599831 40.0478449610001,-74.0463356559999 40.0528265300001,-74.045546026 40.052982189,-74.0444460259999 39.9997191890001,-74.0519460259999 39.965828189,-74.066664026 39.9399911890001,-74.0829280259999 39.877073189,-74.0882640259999 39.7748551890001,-74.0882637879999 39.774856093,-74.088263893 39.7748540850001,-74.0211178069999 40.0294361220001,-73.952226777 40.3000001010001,-73.956390907 40.3981821950001,-73.96271541 40.407953542,-73.995655026 40.45884619,-74.0838910259999 40.4380461900001,-74.200000027 40.4376281900001,-74.244155027 40.45249119,-74.257374194 40.4622446000001,-74.262981983 40.4663822210001,-74.259172911 40.5222181010001,-74.25249991 40.552218107,-74.19929997 40.6410361060001,-74.133899835 40.700827071,-74.1086099939999 40.713390691,-74.1072820269999 40.6929821900001,-74.119782027 40.66339119,-74.1197818269999 40.6633912240001,-74.119781861 40.6633911440001,-74.086399925 40.669154038,-74.020981853 40.7173451200001,-73.928326786 40.9044360720001,-73.9041729909999 40.9594361100001,-73.9036088889999 40.9808180090001,-73.904345994 40.9895641900001,-73.913054959 41.145827006,-73.9130550259999 41.14582819,-73.918064026 41.1701281900001,-73.936100026 41.1876281900001,-73.960073026 41.20422819,-73.966173483 41.219261551,-73.986108945 41.268391218,-73.951281969 41.304436083,-73.9081875429999 41.2306135430001,-73.8779100259999 41.17874619,-73.873328026 41.15888219,-73.8661100259999 41.08915519,-73.8666730259999 41.06443719,-73.8729100259999 41.0266641900001,-73.883619026 40.9738731900001,-73.891682026 40.94360019,-73.903064026 40.91651919,-73.923328026 40.87054619,-73.934155026 40.79804619,-73.934154888 40.7980462250001,-73.934155059 40.798045078,-73.822781861 40.826100146,-73.781681869 40.87999109,-73.7486088909999 40.9252731490001,-73.7084818709999 40.9543001850001,-73.6772178749999 40.9539451250001,-73.646045912 40.983882098,-73.645508967 41.0075180590001,-73.559435874 41.01582704,-73.471935845 41.0511001,-73.433608922 41.06832709,-73.379163935 41.0947091310001,-73.3227818889999 41.118327155,-73.2766728719999 41.1358270600001,-73.177782005 41.170827038,-73.152720986 41.1588117410001,-73.150555026 41.1577731900001,-73.150554911 41.157773234,-73.1036088669999 41.177773121,-73.041381953 41.2141541010001,-72.936390904 41.2733181,-72.906390899 41.286109052,-72.890355024 41.254364191,-72.890354977 41.2543641030001,-72.818346047 41.258327066,-72.636126824 41.277491115,-72.606946066 41.2791641420001,-72.568073026 41.274164183,-72.568072977 41.274164173,-72.53139092 41.2636091740001,-72.388346031 41.271100081,-72.2548638869999 41.287082191,-72.235417872 41.3059641040001,-72.1833178049999 41.3261001180001,-71.9594460559999 41.34749107,-71.878608802 41.341027114,-71.845790969 41.318827141,-71.8083357639999 41.3216642470001,-71.782226806 41.3258270360001,-71.7330639259999 41.3377730920001,-71.671663971 41.353882104,-71.5897177909999 41.3733180610001,-71.5636088329999 41.3769360260001,-71.535281856 41.376800071,-71.511672884 41.3699911160001,-71.474717911 41.3930540900001,-71.428045966 41.4611091090001,-71.421808824 41.483882237,-71.413890943 41.605000068,-71.3894459649999 41.806691088,-71.307837024 41.664646191,-71.307836465 41.664646013,-71.307835895 41.6646450210001,-71.271390877 41.6530449700001,-71.234717871 41.6774911260001,-71.236538332 41.709103541,-71.236545962 41.709236075,-71.2161088729999 41.725264118,-71.114855898 41.789508476,-71.135564024 41.7488821910001,-71.156537024 41.719710191,-71.195982024 41.6712551910001,-71.1986100239999 41.667500191,-71.206255024 41.6405461910001,-71.207782024 41.5490191910001,-71.207781949 41.5490185100001,-71.207781955 41.5490181750001,-71.207550066 41.5469021230001,-71.202228024 41.498328191,-71.188328024 41.468319191,-71.188327542 41.4683194630001,-71.188326887 41.4683180490001,-71.142372935 41.494300105,-71.128054968 41.510827039,-71.065554972 41.5105539560001,-70.926390903 41.553882193,-70.813890843 41.6299912150001,-70.726109026 41.7277639050001,-70.634173023 41.7013821910001,-70.6511100229999 41.6416641910001,-70.658891023 41.6024911910001,-70.6486100229999 41.539437191,-70.6486091469999 41.5394373020001,-70.6486089319999 41.539435983,-70.4856177949999 41.560053956,-70.4394358549999 41.604164225,-70.4184639979999 41.6335360900001,-70.358046066 41.634718106,-70.232226826 41.64415395,-70.185408868 41.6555451240001,-70.0891728839999 41.6683270230001,-70.047226823 41.669991167,-70.017772983 41.669445001,-69.98782679 41.6684359880001,-69.9354088819999 41.6725002050001,-69.928326844 41.7199821780001,-69.9272179179999 41.832218041,-69.934717878 41.8566539710001,-69.952762536 41.9029065670001,-69.959591023 41.920410191,-69.964011225 41.928873971,-69.977217815 41.9541641710001,-69.9881845049999 41.972621184,-69.993055023 41.9808191910001,-70.005591664 41.994798132,-70.00750884 41.996936018,-70.007510022 41.9969371920001,-70.0333358299999 42.0226361060001,-70.033336777 42.0226369470001,-70.0333370229999 42.0226371910001,-70.0741729649999 42.058882139,-70.074173023 42.0588821910001,-70.112210023 42.0776371910001,-70.144164023 42.087491191,-70.2261100229999 42.090546191,-70.244019023 42.0739461910001,-70.2440177299999 42.0739451690001,-70.244017817 42.0739450890001,-70.187235787 42.029036025,-70.1726268 42.0558271020001,-70.134435832 42.058945002,-70.106946039 42.039436123,-70.010286088 41.9358562890001,-69.988610023 41.9126281910001,-69.990973023 41.8304101910001,-70.0193100229999 41.7925641910001,-70.0852820229999 41.7686001910001,-70.1119370229999 41.7619371910001,-70.146391023 41.7595821910001,-70.1722280229999 41.753328191,-70.204728023 41.743600191,-70.293609733 41.708882304,-70.3329177909999 41.713882164,-70.4519460129999 41.75548222,-70.526835804 41.8059642440001,-70.527353819 41.8390656230001,-70.5273640089999 41.839718265,-70.5213909189999 41.8654090370001,-70.521391083 41.865409932,-70.521391023 41.8654101910001,-70.5226148689999 41.872095196,-70.534026806 41.9344360210001,-70.5340278959999 41.9344364950001,-70.534028023 41.934437191,-70.556494318 41.944212819,-70.5736178879999 41.951664185,-70.573618691 41.9516640470001,-70.5736190229999 41.9516641910001,-70.594655023 41.9480461910001,-70.645072968 41.963882174,-70.6822178529999 41.9972181480001,-70.6517358839999 42.0572822,-70.7176459739999 42.2138821360001,-70.71764602 42.2138821770001,-70.757100023 42.2454101910001,-70.848891023 42.2744371910001,-70.867846023 42.257219191,-70.9573640039999 42.240682195,-70.9616324099999 42.244016683,-71.0395089099999 42.3048543210001,-71.044863908 42.3672181580001,-70.88806398 42.50777312,-70.868255029 42.540764123,-70.779173 42.560818162,-70.6288819549999 42.5954091030001,-70.5818088509999 42.6528360360001,-70.584677571 42.655865727,-70.617773023 42.690819192,-70.643064023 42.6805461920001,-70.664591023 42.6638821920001,-70.6624190329999 42.6416912880001,-70.746735872 42.654573102,-70.805972963 42.715900133,-70.807635763 42.743327063,-70.812908819 42.877582186,-70.8108178689999 42.8936090550001,-70.7902729859999 42.9388731770001,-70.75917294 42.9758180910001,-70.719446072 43.0230450870001,-70.70450885 43.0577000660001,-70.716217988 43.064894639,-70.7375905759999 43.078027917,-70.723399816 43.1199180950001,-70.6939550279999 43.1001270800001,-70.672845893 43.085642025,-70.671182023 43.0845001920001,-70.67118198 43.0845002500001,-70.6711819 43.084500195,-70.601672956 43.1777731760001,-70.571672951 43.2265181340001,-70.5716732339999 43.22651885,-70.571673023 43.2265191920001,-70.580776537 43.249558103,-70.583745909 43.257073189,-70.569590886 43.297627016,-70.54916402 43.3236090710001,-70.514026915 43.3542271580001,-70.4820819729999 43.356654054,-70.451517866 43.357773206,-70.393617858 43.4030450390001,-70.353881937 43.442764196,-70.345835813 43.4611091640001,-70.290699821 43.556664202,-70.191872991 43.5755451090001,-70.191873067 43.5755461840001,-70.191873023 43.575546193,-70.1965910229999 43.642910193,-70.2162460229999 43.6580461930001,-70.252789649 43.6522194120001,-70.231108848 43.674018055,-70.208345946 43.724991091,-70.172499898 43.780545004,-70.129990909 43.806382221,-70.0919459529999 43.827773173,-69.99159982 43.875336115,-69.9222269049999 43.8647180990001,-69.919014218 43.8615738670001,-69.8569460529999 43.8008270300001,-69.851672998 43.7594360190001,-69.8326865459999 43.7189367030001,-69.831391023 43.716173193,-69.8313910059999 43.7161732330001,-69.831390972 43.716173161,-69.800645983 43.788773183,-69.812717935 43.8662730980001,-69.8185549249999 43.902773101,-69.830408948 43.9276821060001,-69.8481698969999 43.9470554430001,-69.868046023 43.968737193,-69.873463782 43.992354144,-69.771600076 44.0743000100001,-69.7793820219999 44.047564193,-69.781919022 43.963019193,-69.752019022 43.830164193,-69.719300022 43.7920821930001,-69.7193 43.7920822510001,-69.719299948 43.7920821910001,-69.6999999449999 43.841100064,-69.6927179149999 43.8824360900001,-69.692719032 43.88243714,-69.6927190219999 43.882437193,-69.717263599 43.905518795,-69.6790549099999 43.967100185,-69.664445923 44.0086090460001,-69.643054971 44.0288821880001,-69.617328937 44.0388442920001,-69.6266640219999 44.019437193,-69.642363971 44.003464238,-69.642364022 44.0034641930001,-69.651200022 43.900837193,-69.651199741 43.9008371210001,-69.651199834 43.9008360440001,-69.601272464 43.8881073420001,-69.5870190219999 43.8844731930001,-69.587019063 43.8844735180001,-69.5870179249999 43.884473228,-69.591417921 43.919645034,-69.5889088819999 43.958264151,-69.5286119639999 44.0242608,-69.556446022 43.9756101930001,-69.556445889 43.975609246,-69.556445939 43.9756091580001,-69.551046062 43.937327565,-69.553555022 43.8978281930001,-69.5535549589999 43.897828078,-69.553555021 43.8978271080001,-69.549342455 43.8901962780001,-69.540719022 43.8745731930001,-69.5140288549999 43.858570351,-69.500417945 43.8504091730001,-69.486935822 43.869436093,-69.458890979 43.925273147,-69.36999989 44.046945022,-69.298045945 43.9972180400001,-69.254038207 43.944832815,-69.248337022 43.938046193,-69.248336955 43.9380462510001,-69.248335895 43.9380449880001,-69.1991549099999 43.9802731840001,-69.065563969 44.06610907,-69.05019994 44.1009642080001,-69.050200022 44.100964199,-69.081673022 44.0995101930001,-69.081723282 44.1002723190001,-69.083608866 44.128882149,-69.022508815 44.2569450570001,-68.980835836 44.4417180780001,-68.9022179419999 44.462209149,-68.8497267769999 44.473045106,-68.810946058 44.5222641450001,-68.8109460219999 44.5222641930001,-68.810094471 44.5254295990001,-68.796863957 44.5746091300001,-68.7315910199999 44.555891198,-68.751110022 44.5174911930001,-68.7938820219999 44.458046193,-68.813191022 44.330273193,-68.813190892 44.330273178,-68.8131908989999 44.3302731310001,-68.761271859 44.323988324,-68.615828021 44.306382193,-68.615827635 44.306382279,-68.615826918 44.3063821920001,-68.556058218 44.3196435510001,-68.549164021 44.3211731930001,-68.5491640239999 44.321173221,-68.5491639649999 44.3211732340001,-68.557043488 44.398232024,-68.559155016 44.4188820860001,-68.504181978 44.422491167,-68.463200021 44.399373193,-68.463199882 44.399373231,-68.4631998369999 44.3993732060001,-68.3788728609999 44.4222180830001,-68.3642549899999 44.4471180350001,-68.321154908 44.4658820990001,-68.270009504 44.4663821570001,-68.107919021 44.4549911930001,-68.096147045 44.409903845,-68.094790884 44.4047091250001,-68.066085089 44.361705752,-68.059473021 44.351800193,-68.059472935 44.3518002640001,-68.059472896 44.3518002050001,-68.0091729279999 44.3933270040001,-67.9736179 44.405818051,-67.93639085 44.426936089,-67.8650088859999 44.4938821820001,-67.775281954 44.5469449930001,-67.735835879 44.520127094,-67.716499972 44.5141629330001,-67.711110021 44.5125001930001,-67.71110966 44.512500291,-67.711108929 44.512500065,-67.562908834 44.5524911310001,-67.5613908719999 44.596936005,-67.564990899 44.6343001830001,-67.546036117 44.666863832,-67.533615642 44.6618941830001,-67.503481979 44.64983604,-67.4158357699999 44.6283270710001,-67.263755021 44.6430540750001,-67.18999092 44.660264134,-66.9969459659999 44.8036000430001,-66.9708358349999 44.8279090710001,-66.9725759139999 44.8333878720001,-66.971854279 44.833301551,-66.971821716 44.833301551,-66.968925118 44.833690446,-66.9672325289999 44.8339176920001,-66.9638891069999 44.8337672380001),(-68.245555021 44.446519193,-68.259173021 44.4520821930001,-68.298619021 44.4491551930001,-68.3502820209999 44.4402641930001,-68.365273021 44.4286001930001,-68.406110021 44.3694371930001,-68.427500021 44.321655193,-68.4274997799999 44.321654444,-68.42749997 44.32165402,-68.4236109249999 44.3095695100001,-68.4147190209999 44.281937193,-68.406255024 44.2713822060001,-68.4052621979999 44.270918024,-68.335555018 44.2383270060001,-68.323764027 44.236518023,-68.192763933 44.3252731580001,-68.1824999569999 44.332773118,-68.168881879 44.349364257,-68.174435896 44.364718059,-68.185545941 44.3824912150001,-68.1864302709999 44.38358858,-68.192491021 44.391110193,-68.241381984 44.4388821490001,-68.241382019 44.4388821950001,-68.245555021 44.446519193),(-68.659728018 44.2838821920001,-68.6711100209999 44.284300193,-68.720973021 44.2316551930001,-68.720972804 44.2316540690001,-68.720972864 44.2316540050001,-68.717161602 44.211925449,-68.710564021 44.1777731930001,-68.7105638899999 44.177773164,-68.710563882 44.17777312,-68.7005818339999 44.1755363730001,-68.6647190209999 44.1675001930001,-68.664718603 44.167500251,-68.664717889 44.1675000910001,-68.647781918 44.169854065,-68.615135914 44.188191155,-68.604717879 44.2249910620001,-68.604299957 44.251245027,-68.604300038 44.2512451320001,-68.604300021 44.251246193,-68.6127824229999 44.2621832520001,-68.615826918 44.2661091590001,-68.615827579 44.266109623,-68.615828021 44.266110193,-68.626100021 44.2733191930001,-68.632764021 44.2766551930001,-68.654094809 44.282372357,-68.659726801 44.283882147,-68.659728018 44.2838821920001),(-70.617217866 41.4738732390001,-70.617218193 41.4738731140001,-70.617219023 41.4738731910001,-70.656391023 41.458882191,-70.835000023 41.361173191,-70.811937023 41.3372101910001,-70.8119364039999 41.337209736,-70.811935847 41.3372091570001,-70.8024910249999 41.330273189,-70.8024909489999 41.3302731360001,-70.802198189 41.3300790770001,-70.7811100229999 41.31610019,-70.7740890119999 41.3128036910001,-70.765426846 41.3087360000001,-70.754308922 41.313044969,-70.7530640419999 41.3255539530001,-70.742490941 41.3356821420001,-70.728054957 41.341936048,-70.698004767 41.348575043,-70.6966550229999 41.3488731910001,-70.676391023 41.3516641910001,-70.674393149 41.351843483,-70.629990881 41.3558270410001,-70.601108854 41.3569450190001,-70.579726786 41.356382092,-70.548046042 41.353882104,-70.5191640209999 41.3527731820001,-70.509172954 41.3554091190001,-70.51028188 41.4080451240001,-70.510282004 41.408045284,-70.5102820229999 41.408046191,-70.53612386 41.441309555,-70.542217937 41.4491540010001,-70.549164022 41.457500194,-70.556945947 41.4652732390001,-70.56304596 41.468882152,-70.563046023 41.468882191,-70.5727349059999 41.4697748350001,-70.617217866 41.4738732390001),(-70.035282023 41.359164191,-70.109591023 41.29624619,-70.177491023 41.2958281900001,-70.197773023 41.29415519,-70.2322280229999 41.2816641900001,-70.140837023 41.25666419,-70.13260574 41.254588943,-70.107772998 41.248327121,-70.093608923 41.248044986,-70.0347268909999 41.2469360600001,-70.013628023 41.2477731930001,-70.013626791 41.247773244,-69.997373544 41.2498311360001,-69.993882023 41.25027319,-69.9938819229999 41.2502732250001,-69.993881878 41.2502732350001,-69.979446023 41.25527319,-69.974144012 41.258632628,-69.9625729539999 41.2659641540001,-69.959863922 41.282218173,-69.9598641439999 41.2822184620001,-69.959864023 41.28221919,-69.995000023 41.3280461900001,-70.014144845 41.3717579180001,-70.019454896 41.3838821090001,-70.01945495 41.3838820240001,-70.019455023 41.3838821910001,-70.035282023 41.359164191),(-71.2974998349999 41.45860007,-71.232772935 41.494709142,-71.2274909939999 41.539435983,-71.22055497 41.633327045,-71.220981944 41.6519360440001,-71.220981997 41.651936017,-71.220982024 41.6519371910001,-71.263191024 41.6304821910001,-71.3097190239999 41.561100191,-71.355619024 41.457628191,-71.355617444 41.457628217,-71.3556179399999 41.457627099,-71.2974998349999 41.45860007),(-72.285282025 41.1619371900001,-72.3508280249999 41.14082819,-72.4530640249999 41.08888219,-72.5279460249999 41.0452191900001,-72.5775000249999 41.0155461900001,-72.613610025 40.9901281900001,-72.637646025 40.98165519,-72.7583370249999 40.9637461900001,-72.7813910249999 40.9655461900001,-72.886881395 40.969715874,-72.893617884 40.9699822200001,-72.9091550159999 40.9698326720001,-73.0372190259999 40.9686001900001,-73.150419026 40.9430461900001,-73.198882026 40.9174911900001,-73.226673026 40.91054619,-73.354173026 40.9258281900001,-73.490555026 40.9341551900001,-73.589446026 40.92054619,-73.617628026 40.90901919,-73.731673026 40.8516641900001,-73.835555026 40.8049911900001,-73.9169460259999 40.7923551900001,-73.939991026 40.7730461900001,-74.002500026 40.69443719,-74.005010026 40.6799911900001,-74.031046026 40.6489461900001,-74.032500026 40.6258281900001,-74.032499878 40.62582795,-74.032499929 40.625827142,-74.004446034 40.580418014,-73.9433178199999 40.5852731480001,-73.8812459709999 40.6094359950001,-73.881246641 40.6094369510001,-73.881246026 40.6094371900001,-73.892747298 40.6258522050001,-73.899735779 40.635827088,-73.8597178909999 40.656800119,-73.8363908869999 40.659436059,-73.8127730309999 40.6566541060001,-73.7711101949999 40.635436629,-73.777282026 40.61489119,-73.797228026 40.59221919,-73.7972257599999 40.592219216,-73.797226779 40.592218057,-73.653610026 40.5938821890001,-73.653608903 40.5938822040001,-73.618055049 40.5944360770001,-73.587299835 40.6036001790001,-73.626887713 40.613508143,-73.652790951 40.619991171,-73.5611089019999 40.6452731580001,-73.438599843 40.6658270930001,-73.140290925 40.7188821930001,-73.095272897 40.730545109,-73.0109088729999 40.752909032,-72.8905549689999 40.7737451030001,-72.8696558409999 40.7575649340001,-72.867764025 40.75610019,-72.867763936 40.7561002160001,-72.867763904 40.75610019,-72.8194549729999 40.7699911830001,-72.698608883 40.7897181600001,-72.665835809 40.794445051,-72.542772874 40.825553981,-72.446654908 40.8555539860001,-72.3527819509999 40.8872181350001,-72.084163914 40.9816540200001,-71.866799874 41.0747821620001,-71.8668000329999 41.074782187,-71.9199999809999 41.0820732440001,-71.942183223 41.0735208470001,-72.000691025 41.0509641900001,-72.0213280249999 41.0333281900001,-72.053328025 41.0161101900001,-72.1099270939999 41.005482365,-72.1350088739999 41.035273223,-72.135009941 41.0352730910001,-72.135010025 41.0352731900001,-72.2636280249999 41.0194371900001,-72.345837025 40.9997191900001,-72.401946025 40.96471919,-72.4362460249999 40.9223551900001,-72.491245964 40.9045732050001,-72.491246025 40.9045731960001,-72.5847271759999 40.9061001760001,-72.617108956 40.9175911340001,-72.3883358049999 41.084991152,-72.2854819739999 41.1194360800001,-72.2576460079999 41.129154059,-72.241663898 41.1570731730001,-72.241664026 41.157073188,-72.285282025 41.1619371900001),(-74.0754851469999 40.6489311820001,-74.0783358639999 40.6502731310001,-74.0783367449999 40.650273057,-74.078337026 40.6502731900001,-74.173891027 40.64235519,-74.1833370269999 40.6345821900001,-74.232500027 40.5388911900001,-74.2352100269999 40.5147191900001,-74.235208792 40.5147189420001,-74.2352088819999 40.514718142,-74.219999918 40.5116641120001,-74.145008875 40.538891216,-74.12331785 40.5497181200001,-74.108608951 40.5597180660001,-74.0555459719999 40.602082216,-74.0554088439999 40.6198540300001,-74.060052667 40.6322023560001,-74.0627730259999 40.6394371900001,-74.068891026 40.64582819,-74.0754851469999 40.6489311820001),(-75.4650100279999 35.579991185,-75.491946028 35.4180551850001,-75.512510028 35.307773185,-75.517228028 35.289719185,-75.5219460279999 35.2780461850001,-75.534028028 35.2695731850001,-75.6536100279999 35.225546185,-75.653606726 35.225545932,-75.653608958 35.22554511,-75.6099999269999 35.2222091130001,-75.5272179039999 35.235545056,-75.5158357829999 35.2463821870001,-75.4888909809999 35.325273162,-75.483063882 35.345827098,-75.447490918 35.582500193,-75.4477728849999 35.6030539610001,-75.447773018 35.603054473,-75.447773028 35.6030551850001,-75.451673028 35.618046185,-75.476946028 35.7147101850001,-75.4827730279999 35.730819185,-75.4950000279999 35.7530551850001,-75.5122857599999 35.7730551270001,-75.514799947 35.775964242,-75.514800029 35.7759641870001,-75.526664028 35.7683911890001,-75.510837028 35.740273185,-75.5041820279999 35.727482185,-75.500284026 35.716965101,-75.48277303 35.669718087,-75.474163978 35.6347181090001,-75.472839579 35.6286026000001,-75.4647190279999 35.5911001850001,-75.4650100279999 35.579991185),(-80.629791892 28.591952662,-80.6430550329999 28.5976371790001,-80.695546033 28.575000179,-80.731655033 28.5391641790001,-80.736664033 28.5250001790001,-80.740282033 28.4783281790001,-80.740281895 28.4783273570001,-80.740281914 28.4783271090001,-80.739461964 28.473447826,-80.723619033 28.3791641780001,-80.659719033 28.2431911780001,-80.65972112 28.2431979180001,-80.65971791 28.2431910870001,-80.665699907 28.2625001430001,-80.669645939 28.2806910520001,-80.660554927 28.318882188,-80.6690177999999 28.3736091430001,-80.654172946 28.4472180110001,-80.646117937 28.473327136,-80.639999986 28.4869359940001,-80.633617837 28.5005540720001,-80.626935784 28.512500129,-80.6155550029999 28.533882196,-80.6105459779999 28.5483361170001,-80.610272896 28.560273121,-80.61389086 28.575000125,-80.624917925 28.5898640890001,-80.629791892 28.591952662),(-80.176813451 27.197259472,-80.1651460589999 27.186244996,-80.165146318 27.186246447,-80.1651460319999 27.186246177,-80.167500032 27.1994371770001,-80.223852221 27.3312893670001,-80.2377819559999 27.363882168,-80.242724761 27.3727610460001,-80.281391032 27.4422191780001,-80.28960834 27.4619417530001,-80.292499858 27.4688821020001,-80.328608929 27.593053963,-80.356352672 27.671468013,-80.371655032 27.7147191780001,-80.3919550319999 27.7497191780001,-80.394524955 27.754863943,-80.400835789 27.7675001440001,-80.404000461 27.774678115,-80.405000032 27.7769461780001,-80.413633763 27.7980022150001,-80.432217802 27.8433270310001,-80.432218787 27.8433275800001,-80.432219032 27.843328178,-80.444928032 27.8504101780001,-80.390000032 27.699164178,-80.352079015 27.59196114,-80.288890946 27.4133270150001,-80.221966369 27.2761009810001,-80.2063910319999 27.2441641770001,-80.1872100319999 27.207073177,-80.176813451 27.197259472),(-80.358891032 25.218882175,-80.387555032 25.1817911750001,-80.4102820319999 25.1508281750001,-80.455564032 25.091382175,-80.571673033 24.9666641750001,-80.6008640329999 24.9508101750001,-80.6008631559999 24.950809496,-80.600864042 24.9508090150001,-80.595146072 24.9463822000001,-80.5951460329999 24.9463821750001,-80.594744699 24.9463991480001,-80.5753550599999 24.9472180400001,-80.370273023 25.146109036,-80.364163957 25.1605540730001,-80.267772908 25.3283270850001,-80.256808876 25.3352731690001,-80.260310109 25.3459965660001,-80.260982032 25.3480551760001,-80.2738910319999 25.3487461760001,-80.2868100319999 25.341800176,-80.3313910319999 25.2911101760001,-80.341673032 25.2575001760001,-80.358891032 25.218882175),(-97.26139986 26.522500187,-97.286506819 26.5888917670001,-97.2894460479999 26.596664177,-97.3252910479999 26.696110177,-97.342846048 26.7746101770001,-97.355755048 26.823019177,-97.3583064919999 26.8372313680001,-97.35867302 26.8392730960001,-97.383899868 26.996109066,-97.3858359179999 27.0105539350001,-97.386672935 27.0513910700001,-97.38332688 27.135273134,-97.379717967 27.178609083,-97.383025201 27.201385687,-97.383191048 27.202528177,-97.397510048 27.149437177,-97.399446048 27.1349911770001,-97.3999910479999 27.1202731770001,-97.401110048 27.0525001770001,-97.400561598 27.0212019520001,-97.4005550429999 27.020827131,-97.385755043 26.83822817,-97.385754949 26.8382270340001,-97.366254953 26.801554029,-97.35824605 26.706964251,-97.358246048 26.706964177,-97.346119048 26.6841641770001,-97.304446048 26.576382177,-97.277791048 26.5041641770001,-97.2247190479999 26.343328177,-97.2078534619999 26.2400641900001,-97.206390979 26.2311092740001,-97.1994370479999 26.1400001760001,-97.1962490619999 26.1240684370001,-97.195546096 26.1205540660001,-97.190950091 26.1047472270001,-97.188600048 26.096664176,-97.176600051 26.0877731730001,-97.176599978 26.087773113,-97.171108825 26.101936015,-97.1722268029999 26.1177731180001,-97.179717878 26.165273196,-97.199155009 26.287773202,-97.201450783 26.300639888,-97.2063910479999 26.3283281770001,-97.2277820479999 26.410828177,-97.230208239 26.4191559560001,-97.248335826 26.4813820900001,-97.26139986 26.522500187),(-97.244999996 27.5480540390001,-97.1741640289999 27.6683271410001,-97.166655017 27.6805451060001,-97.117490964 27.7463821060001,-97.102217963 27.7652732400001,-97.0758359229999 27.7922180410001,-97.05109992 27.819718059,-97.043064022 27.829164129,-97.043190924 27.839854073,-97.043191035 27.8398540850001,-97.043191048 27.8398551780001,-97.063055048 27.8419461780001,-97.073891048 27.8354191780001,-97.153337048 27.7377731780001,-97.1627820479999 27.725555178,-97.281391048 27.551110178,-97.306664048 27.5129191780001,-97.3172280479999 27.4958281780001,-97.332228048 27.461637178,-97.336946048 27.4508281780001,-97.3702730479999 27.3625001770001,-97.3747100479999 27.3430551770001,-97.386255048 27.277500177,-97.387982048 27.222428177,-97.387981983 27.222428193,-97.387982021 27.22242699,-97.374854955 27.225545058,-97.368055057 27.2391641450001,-97.368055044 27.239164176,-97.3561088279999 27.2736090710001,-97.3447268739999 27.326382204,-97.337781965 27.350553936,-97.329455047 27.3725001060001,-97.3086089179999 27.4244360540001,-97.2944460159999 27.457218013,-97.26695505 27.509718064,-97.2463820039999 27.544444959,-97.244999996 27.5480540390001),(-97.025281982 27.8694450410001,-96.887790942 28.030553938,-96.848617949 28.083882121,-96.839172886 28.1063821660001,-96.836390932 28.1088912050001,-96.837439775 28.110439738,-96.8427820479999 28.1183281780001,-96.8704100479999 28.1347191780001,-96.921937048 28.0897191780001,-97.023900048 27.911664178,-97.035828048 27.875273178,-97.032138523 27.8732345980001,-97.025281982 27.8694450410001),(-96.817510048 28.1100001780001,-96.813610048 28.092491178,-96.813609114 28.092492049,-96.813608919 28.092491173,-96.805853368 28.0997220790001,-96.805555048 28.1000001780001,-96.804636361 28.1007273660001,-96.753617962 28.1411090620001,-96.736935795 28.153882077,-96.706664049 28.1736090530001,-96.6924909209999 28.1827731560001,-96.5519357919999 28.266664104,-96.5283358729999 28.2797180810001,-96.486391047 28.2977731770001,-96.486390985 28.297773201,-96.470000006 28.303327052,-96.449435845 28.3108270110001,-96.419446066 28.3250001390001,-96.407090973 28.3361091780001,-96.399735853 28.3505540470001,-96.400554932 28.3672181090001,-96.400555006 28.367218329,-96.400555047 28.367219178,-96.402750881 28.373776693,-96.409926906 28.3952091400001,-96.40992762 28.395208901,-96.4099280469999 28.3952101780001,-96.425137047 28.390137178,-96.430691047 28.3768001780001,-96.507237047 28.335000178,-96.644582048 28.2606911780001,-96.655000048 28.247219178,-96.663610048 28.2375001780001,-96.710973048 28.204437178,-96.756391048 28.194437178,-96.774172902 28.1913822060001,-96.7743035839999 28.191417702,-96.776646048 28.192055178,-96.782773048 28.1924911780001,-96.7944460479999 28.189437178,-96.803882048 28.178610178,-96.810828048 28.1652731780001,-96.817510048 28.1100001780001),(-86.9102819949999 30.3722181370001,-86.750563992 30.398054012,-86.625408934 30.3997181560001,-86.558881936 30.396664125,-86.527645935 30.3970449990001,-86.527650791 30.3970461220001,-86.5276460379999 30.3970461800001,-86.5854190379999 30.41041018,-86.6311000379999 30.41111018,-86.701400038 30.40861018,-86.734437038 30.40721918,-86.7625385759999 30.4050320760001,-86.7630639239999 30.404991211,-86.763270601 30.4049664350001,-86.7769460379999 30.4033281800001,-86.890564038 30.3886101800001,-87.021664039 30.37082818,-87.1450100389999 30.34611018,-87.285980127 30.3349284830001,-87.290345985 30.334582218,-87.29034596 30.334582187,-87.290346039 30.33458218,-87.283619039 30.3261101800001,-87.283618498 30.3261099600001,-87.283617831 30.3261091200001,-87.270008973 30.3205540970001,-87.251108955 30.3174271440001,-87.209726828 30.3225000400001,-87.1752819 30.3275001800001,-87.0891729319999 30.340000113,-87.066664002 30.345827044,-86.992490864 30.3586091110001,-86.9102819949999 30.3722181370001),(-95.112319046 29.101564179,-95.112317257 29.101565243,-95.112317934 29.1015641920001,-94.879164064 29.2402731230001,-94.869999962 29.2461091070001,-94.857226947 29.2550001270001,-94.841946067 29.2680539350001,-94.841946067 29.2680551610001,-94.841946046 29.268055179,-94.841946046 29.26944501,-94.7847268369999 29.308054054,-94.7815088569999 29.3183641300001,-94.796027346 29.3257323730001,-94.821400046 29.3386101790001,-94.956119046 29.237773179,-95.091382046 29.129437179,-95.100282046 29.120273179,-95.112319046 29.101564179),(-91.782917856 29.4876359950001,-91.7241639 29.5586090890001,-91.724164405 29.558609743,-91.724164043 29.5586101800001,-91.733749304 29.5710187760001,-91.738326802 29.576945005,-91.7383273409999 29.5769452700001,-91.738328043 29.5769461800001,-91.8398465229999 29.626860966,-91.856381885 29.6349911940001,-91.8639500529999 29.636794846,-91.868055043 29.6377731800001,-91.910555043 29.6452731800001,-91.922919043 29.64444618,-92.005973043 29.6179821800001,-92.0230550429999 29.60388218,-92.034437043 29.5916641800001,-92.0368100429999 29.58139118,-92.0318562579999 29.575920732,-92.027499948 29.571109022,-91.987781964 29.5508269950001,-91.85004428 29.48622168,-91.842091043 29.4824911790001,-91.842090908 29.4824911870001,-91.782917856 29.4876359950001)),((-67.18504481 45.164773192,-67.182933888 45.1643009260001,-67.1822807789999 45.1643009260001,-67.181562904 45.1640510510001,-67.181278092 45.1640510510001,-67.177993779 45.162368536,-67.1775188729999 45.1619655200001,-67.174931123 45.1637496920001,-67.171508795 45.1637496920001,-67.170526529 45.164247817,-67.1695098879999 45.164391692,-67.1686952009999 45.1646258640001,-67.165887138 45.1642537230001,-67.165492545 45.16444152,-67.163351092 45.164678457,-67.160938092 45.164150239,-67.156611842 45.164150239,-67.154559435 45.163799286,-67.1523055599999 45.163799286,-67.151644904 45.1618491290001,-67.150939232 45.160249707,-67.150868435 45.15964877,-67.150047092 45.1569681920001,-67.148349982 45.1537709570001,-67.147909138 45.152005676,-67.1459236539999 45.14770127,-67.145617482 45.1471157070001,-67.145397467 45.1460495040001,-67.1453131229999 45.145817036,-67.144597904 45.1448535980001,-67.1435660129999 45.1421865670001,-67.14331442 45.140928317,-67.1420603569999 45.1390436140001,-67.1408959039999 45.136585817,-67.139199888 45.1348166450001,-67.1387557479999 45.134140207,-67.1376487009999 45.132982473,-67.1327351699999 45.1286522070001,-67.1320364819999 45.1284368170001,-67.131952185 45.128391692,-67.130546388 45.1271534890001,-67.128198529 45.1222951450001,-67.128104842 45.122040692,-67.127419045 45.121329114,-67.125291623 45.1193674570001,-67.124715185 45.1186291920001,-67.1224685129999 45.116151051,-67.122316967 45.1160122860001,-67.1215935449999 45.1154452390001,-67.120985138 45.1151339730001,-67.119288857 45.114493114,-67.1183671379999 45.114254067,-67.11629942 45.1133554730001,-67.1155333729999 45.113073661,-67.1143164819999 45.1119060670001,-67.113222263 45.110397176,-67.113060138 45.110205895,-67.1126808879999 45.109649629,-67.112440826 45.1091128790001,-67.111932732 45.1081790980001,-67.1094904349999 45.105293067,-67.107655951 45.10092852,-67.106146482 45.099760598,-67.1060380919999 45.0995502540001,-67.105669232 45.0987510670001,-67.104021888 45.094552036,-67.1033006069999 45.0934141760001,-67.102145451 45.092045817,-67.101138342 45.0906210360001,-67.100085951 45.087638864,-67.100072529 45.0876217700001,-67.098638748 45.0863480200001,-67.0971485599999 45.085223473,-67.095672763 45.0822718790001,-67.095598638 45.0816001920001,-67.095183638 45.0769626920001,-67.0954320289999 45.074800989,-67.092175638 45.0679988790001,-67.0918953729999 45.067449567,-67.0918604349999 45.0673844730001,-67.091704576 45.0669994420001,-67.091343998 45.066148754,-67.088169154 45.059613848,-67.087459092 45.0590914100001,-67.08596956 45.0583522850001,-67.082779435 45.056398567,-67.081489201 45.0542492700001,-67.0811105129999 45.0537375980001,-67.078313545 45.0515630670001,-67.0780310449999 45.0513578170001,-67.0764800759999 45.0503731760001,-67.0709032949999 45.0458451920001,-67.07009242 45.0453330350001,-67.0674823259999 45.0434499570001,-67.066470263 45.042449504,-67.0652494669999 45.0415037230001,-67.062198732 45.038985692,-67.059370701 45.036378035,-67.058649513 45.035837395,-67.057144373 45.0348048320001,-67.0567095599999 45.0344590980001,-67.056262685 45.034026629,-67.055609842 45.0334454420001,-67.0465483259999 45.0260007850001,-67.0455017159999 45.02524902,-67.043568873 45.0238105350001,-67.041461716 45.023198989,-67.031029482 45.0199864100001,-67.0312747629999 45.0179788950001,-67.0307799509999 45.0076333170001,-67.0309295289999 45.0065322390001,-67.033263779 44.996189848,-67.0333830449999 44.995829723,-67.0337501069999 44.9939638010001,-67.0346892009999 44.9873246450001,-67.035693013 44.983400348,-67.035809748 44.9829006140001,-67.036531779 44.9795999420001,-67.034301802 44.974857613,-67.033363763 44.9728627540001,-67.032883935 44.972225473,-67.031320357 44.968749207,-67.030746326 44.967732551,-67.030077685 44.9656911600001,-67.027043138 44.9611789100001,-67.02528756 44.957351692,-67.024517201 44.9560012850001,-67.02395942 44.9550981290001,-67.023122326 44.9544822390001,-67.021995701 44.9541485820001,-67.021757244 44.9540667580001,-67.021329295 44.95391991,-67.018317888 44.953422442,-67.015856248 44.95044002,-67.015589904 44.9501797230001,-67.0152764819999 44.9497408010001,-67.0115285759999 44.947422723,-67.008276888 44.943812785,-67.006557701 44.942582348,-67.003292529 44.938501364,-67.002076076 44.937070567,-67.0018929509999 44.936594176,-67.001874873 44.9365005510001,-67.001541763 44.9357310820001,-67.001434102 44.9340652990001,-67.0013981069999 44.933508379,-66.9999984039999 44.931862676,-66.9986898729999 44.9293975040001,-66.9971400759999 44.9280157380001,-66.995384545 44.927238145,-66.994341076 44.9264421290001,-66.994105341 44.9262945200001,-66.9931109349999 44.9254573170001,-66.993046482 44.925442629,-66.991215826 44.9246718320001,-66.988878716 44.9228035510001,-66.987298063 44.9222544960001,-66.98711006 44.9221891920001,-66.9867832739999 44.921925763,-66.985915545 44.92122627,-66.9854852939999 44.9210969010001,-66.984495388 44.920799254,-66.983993529 44.920799254,-66.979419607 44.919605254,-66.979074451 44.9189159100001,-66.976106638 44.915735145,-66.97601592 44.915621613,-66.973870373 44.9137641450001,-66.973732186 44.913589664,-66.96989967 44.9087505350001,-66.96988956 44.90874266,-66.969910388 44.908118895,-66.97049667 44.904155098,-66.972073435 44.89889802,-66.972089185 44.89866127,-66.973644404 44.8935489730001,-66.973959732 44.8925815040001,-66.974257826 44.8924407540001,-66.979323154 44.889644473,-66.979425154 44.8892710040001,-66.9795122319999 44.8890058790001,-66.979995732 44.8793506600001,-66.979995732 44.8787002540001,-66.9800278879999 44.8782997070001,-66.979995732 44.877899176,-66.979995732 44.8774699260001,-66.9816540909999 44.8749507380001,-66.982250435 44.8743355670001,-66.983198107 44.872864285,-66.9835877949999 44.8724944100001,-66.983650701 44.872301098,-66.984357388 44.8697339730001,-66.9836442009999 44.869100567,-66.982773029 44.867900848,-66.9822483729999 44.8669029420001,-66.9820360539999 44.8667576720001,-66.980778513 44.8658972540001,-66.980399201 44.864950176,-66.9804909819999 44.8644008630001,-66.980567263 44.862100598,-66.9795444979999 44.8613546920001,-66.979492185 44.861249926,-66.979492185 44.8598003320001,-66.979538513 44.8592215510001,-66.975592123 44.856479848,-66.974225982 44.8523709880001,-66.97445956 44.8521424570001,-66.975045627 44.8513998970001,-66.977364031 44.848462424,-66.9830550199999 44.866382194,-67.05788202 44.9009371940001,-67.0614210809999 44.8980242150001,-67.0748910199999 44.886937194,-67.09159102 44.869310194,-67.12189102 44.8784371940001,-67.17861002 44.8991551940001,-67.19204602 44.9257191940001,-67.12675502 44.9314191940001,-67.083482793 44.9487598900001,-67.1685475529999 45.1443846980001,-67.1938429099999 45.1670017230001,-67.192052217 45.1670017230001,-67.192001342 45.1670513170001,-67.189890248 45.1670513170001,-67.189476435 45.166944426,-67.189130795 45.1667334420001,-67.1876913099999 45.166319473,-67.187044607 45.1655760360001,-67.186898732 45.165497848,-67.185501092 45.165146098,-67.185491123 45.165141082,-67.185088342 45.1647935820001,-67.18504481 45.164773192)),((-122.753618572 48.9938826980001,-122.734127572 48.9623556980001,-122.770345572 48.9640286980001,-122.809718572 48.942910698,-122.681108572 48.7955466970001,-122.649436572 48.764446697,-122.609027572 48.7527736970001,-122.587636572 48.7720736970001,-122.565836572 48.7751286970001,-122.521945572 48.7615286970001,-122.499999572 48.744855697,-122.436663572 48.590410697,-122.486245572 48.4527006970001,-122.517090572 48.453046697,-122.536108572 48.4673556970001,-122.550418572 48.4848556970001,-122.619718572 48.511246697,-122.698736572 48.4947826970001,-122.679581572 48.418328697,-122.658336572 48.404710697,-122.625827572 48.403182697,-122.607081572 48.411237697,-122.590945572 48.4257916970001,-122.392845571 48.3094376970001,-122.378190571 48.2847196970001,-122.397499571 48.2381826970001,-122.415699572 48.2470826970001,-122.434018572 48.2551376970001,-122.455699572 48.2550006970001,-122.498336572 48.250419697,-122.520690572 48.2360286970001,-122.531108572 48.2051286970001,-122.528463572 48.1829106970001,-122.500418572 48.1290826970001,-122.451399572 48.115000697,-122.429990572 48.1197106970001,-122.446799572 48.1336006970001,-122.469999572 48.1699196970001,-122.442627572 48.2255376970001,-122.374408571 48.213428697,-122.320554571 48.0741646970001,-122.291099571 47.9581916970001,-122.373599571 47.832355697,-122.418327572 47.6722196960001,-122.398618571 47.586382696,-122.385145571 47.5466646960001,-122.351390571 47.4852646960001,-122.309581571 47.4045736960001,-122.313536571 47.371800696,-122.416399572 47.3147106960001,-122.459163572 47.297773696,-122.527090572 47.2758286960001,-122.565272572 47.2244376960001,-122.591381572 47.1938826960001,-122.609999572 47.1727646960001,-122.639718572 47.151928696,-122.716945572 47.120273696,-122.792781572 47.1824916960001,-122.845136572 47.1749916960001,-122.885418572 47.156446696,-122.878599572 47.0641556960001,-122.900981572 47.0663826960001,-122.951399572 47.134991696,-123.025554572 47.124164696,-123.064854572 47.1138826960001,-123.062572572 47.1559646960001,-123.025281572 47.1697196960001,-122.980063572 47.180473696,-122.939572572 47.205691696,-122.926872572 47.2506646960001,-122.917008572 47.2845006960001,-122.902918572 47.300000696,-122.846499572 47.3131646960001,-122.812499572 47.3677646960001,-122.797499572 47.3952736960001,-122.770208572 47.372073696,-122.767572572 47.3204826960001,-122.795436572 47.292237696,-122.811245572 47.2705466960001,-122.790418572 47.2226286960001,-122.771118572 47.2016646960001,-122.748963572 47.189300696,-122.728608572 47.2119376960001,-122.714136572 47.252628696,-122.743045572 47.2907646960001,-122.709581572 47.355546696,-122.619163572 47.420546696,-122.613681572 47.3944376960001,-122.644854572 47.348882696,-122.672908572 47.3217646960001,-122.571108572 47.2787376960001,-122.547763572 47.288046696,-122.508618572 47.5005466960001,-122.536518572 47.593182696,-122.575099572 47.5786286960001,-122.602781572 47.561664696,-122.663327572 47.5456916960001,-122.680827572 47.639228696,-122.671108572 47.6586006960001,-122.655418572 47.638464696,-122.638472572 47.619573696,-122.598090572 47.6084376960001,-122.593390572 47.6403826960001,-122.598463572 47.706655696,-122.541672572 47.7422196960001,-122.460036572 47.7637376960001,-122.514099572 47.922073697,-122.565554572 47.9380466970001,-122.728754572 47.7477736960001,-122.736099572 47.7216646960001,-122.836118572 47.656655696,-122.903336572 47.634300696,-122.942490572 47.607910696,-122.999736572 47.545273696,-123.084163572 47.4430466960001,-123.097499572 47.4008286960001,-123.024990572 47.379991696,-122.995981572 47.3902736960001,-122.954727572 47.4099916960001,-122.918063572 47.426100696,-122.866099572 47.445264696,-122.840627572 47.4473196960001,-122.876108572 47.4149916960001,-122.904718572 47.403882696,-123.006663572 47.368464696,-123.103881572 47.356382696,-123.129718572 47.359437696,-123.147927572 47.3716556960001,-123.104445572 47.4694376960001,-123.017227572 47.5697196960001,-122.983890572 47.6030556960001,-122.966399572 47.618600696,-122.914718572 47.6586006960001,-122.893890572 47.6774916960001,-122.875408572 47.7037466960001,-122.851099572 47.751391696,-122.841945572 47.7830556970001,-122.849445572 47.806100697,-122.849299572 47.831382697,-122.794999572 47.860273697,-122.784727572 47.8325006970001,-122.779872572 47.812219697,-122.788063572 47.7655466960001,-122.747772572 47.763055696,-122.671663572 47.8569466970001,-122.630281572 47.9158286970001,-122.678681572 47.9872826970001,-122.713899572 48.0102736970001,-122.778063572 48.090273697,-122.777499572 48.1104826970001,-122.746999572 48.1278376970001,-122.749436572 48.153946697,-122.781681572 48.158046697,-122.825281572 48.145973697,-122.846527572 48.1359646970001,-122.868045572 48.1122826970001,-122.969999572 48.113328697,-123.051873039 48.157696636,-123.051874129 48.1576960080001,-123.113264014 48.1909641660001,-123.146664054 48.1794360310001,-123.187764046 48.1591540050001,-123.192314959 48.155582806,-123.209172935 48.1423539890001,-123.24270893 48.129436135,-123.354172988 48.1286001240001,-123.401390931 48.1319361210001,-123.49864413 48.1467634900001,-123.508899903 48.1483271010001,-123.673890962 48.1708271460001,-123.758346013 48.1666641900001,-123.786663938 48.1655450380001,-123.806955017 48.165827006,-123.897226941 48.1719360720001,-123.89984929 48.1722082360001,-123.934717852 48.1758271190001,-124.016955052 48.188882101,-124.020211972 48.189463334,-124.040282056 48.1930450570001,-124.085208889 48.211727146,-124.099299874 48.2320732100001,-124.145000022 48.2513911500001,-124.232226969 48.2758270800001,-124.309435864 48.283882089,-124.415835911 48.31638208,-124.478881905 48.3422181240001,-124.546664009 48.372218129,-124.566099966 48.3797180880001,-124.57923448 48.3834622300001,-124.6372179 48.399991062,-124.714308946 48.3970731540001,-124.705699893 48.371236105,-124.704812534 48.3667883470001,-124.704811798 48.366787865,-124.681954574 48.252219697,-124.687208574 48.1844376970001,-124.681381574 48.1263826970001,-124.672499574 48.064155697,-124.668190574 48.0398556970001,-124.655681574 47.9969376970001,-124.644727574 47.9733196970001,-124.618190574 47.925000697,-124.579027574 47.885128697,-124.548745573 47.8830466970001,-124.525563573 47.8712466970001,-124.498890573 47.8522196970001,-124.463199573 47.8243006970001,-124.394999573 47.7294286960001,-124.359290573 47.6672196960001,-124.327218573 47.5358286960001,-124.307218573 47.4330556960001,-124.300690573 47.3731196960001,-124.267227573 47.3419376960001,-124.227908573 47.3139466960001,-124.208890573 47.2794376960001,-124.183318573 47.2213736960001,-124.153063573 47.0911006960001,-124.148618573 47.0608196960001,-124.148899573 47.0330556960001,-124.152218573 47.0077736960001,-124.157499573 46.9766556960001,-124.164172573 46.9463826960001,-124.152563573 46.9416556960001,-124.110618573 46.975610696,-124.122499573 47.001391696,-124.133890573 47.042073696,-124.111599573 47.0595106960001,-124.074999573 47.0662466960001,-124.050818573 47.062073696,-124.021945573 47.0472196960001,-124.000418573 47.023882696,-123.989236573 47.000900696,-123.961945573 46.988600696,-123.909154573 46.9908286960001,-123.801245573 46.9767916960001,-123.871936573 46.953328696,-123.938890573 46.9374916960001,-123.971936573 46.932773696,-124.082227573 46.8861101960001,-124.097499573 46.8613826960001,-124.078118573 46.749228696,-124.053608573 46.735546696,-123.959308573 46.723046696,-123.902927573 46.740200696,-123.876527573 46.7548556960001,-123.846663573 46.7466556960001,-123.759463573 46.685628695,-123.789718573 46.677773695,-123.810281573 46.6974916950001,-123.830836573 46.7142286960001,-123.895236573 46.687364695,-123.940827573 46.6366556950001,-123.921799573 46.619300695,-123.906527573 46.6058286950001,-123.881999573 46.564164695,-123.879172573 46.532491695,-123.899436573 46.4430466950001,-123.941245573 46.3929826950001,-123.983463573 46.393819695,-124.013545573 46.498810695,-124.013636573 46.542219695,-124.005208573 46.574364695,-124.018336573 46.6562376950001,-124.038745573 46.656655695,-124.049990573 46.6251286950001,-124.038327573 46.409719695,-123.999999573 46.3236101950001,-123.892490573 46.265691695,-123.857981573 46.2605466950001,-123.822245573 46.272764695,-123.737208573 46.293882695,-123.693599573 46.300546695,-123.655699573 46.292219695,-123.620136573 46.2763826950001,-123.589590573 46.272628695,-123.548190573 46.274855695,-123.518336573 46.281382695,-123.487499573 46.287219695,-123.461399572 46.2894376950001,-123.430408572 46.2869376950001,-123.409236572 46.272700695,-123.393063572 46.2416646950001,-123.371372572 46.2227646950001,-123.295272572 46.1773556950001,-123.258327572 46.171519695,-123.163572572 46.1951916950001,-123.203890572 46.160819695,-123.241808572 46.145828695,-123.263472572 46.144855695,-123.367354572 46.1629106950001,-123.398618572 46.1750006950001,-123.416518572 46.1865196950001,-123.429790572 46.2086736950001,-123.474372572 46.2464556950001,-123.506254573 46.250137695,-123.535563573 46.2398556950001,-123.554027573 46.224855695,-123.595981573 46.202491695,-123.702208573 46.188046695,-123.828890573 46.190273695,-123.926936573 46.2144376950001,-123.951945573 46.181110195,-123.927354573 46.133328695,-123.916945573 46.0955466950001,-123.911527573 46.0656916950001,-123.909154573 46.0304106950001,-123.916599573 45.9975646950001,-123.936945573 45.894719695,-123.949999573 45.8061006950001,-123.951681573 45.765828695,-123.929718573 45.7319376950001,-123.904718573 45.709164695,-123.900281573 45.674710695,-123.931108573 45.5919376940001,-123.892418573 45.5726006940001,-123.871608573 45.528982694,-123.944099573 45.5205916940001,-123.944718573 45.4611101940001,-123.955981573 45.2155466940001,-123.944781573 45.179855694,-123.994999573 44.977764694,-124.003063573 44.9491556940001,-124.022508573 44.886937694,-124.054854573 44.836937694,-124.059436573 44.789991694,-124.049990573 44.769437694,-124.040972573 44.739155694,-124.047763573 44.625410694,-124.057908573 44.597355694,-124.068063573 44.522637693,-124.110281573 44.1516556930001,-124.131381573 43.920828693,-124.153881573 43.7938826930001,-124.134454573 43.754719693,-124.115827573 43.725264693,-124.187236573 43.674428693,-124.203745573 43.636382693,-124.212218573 43.5966556930001,-124.222227573 43.5627646930001,-124.277499573 43.439428692,-124.294727573 43.4094286920001,-124.302490573 43.400546692,-124.285099573 43.4031736920001,-124.263727573 43.415655692,-124.238063573 43.4384916920001,-124.196954573 43.4561006920001,-124.142781573 43.3716916920001,-124.188472573 43.3781826920001,-124.206663573 43.3923556920001,-124.248063573 43.3958286920001,-124.334163573 43.3551006920001,-124.378536573 43.319019692,-124.373318573 43.289164692,-124.369999573 43.264446692,-124.387508573 43.1888826920001,-124.426654573 43.0406916920001,-124.473054573 42.9647196920001,-124.488327573 42.941655692,-124.503890573 42.924991692,-124.514863573 42.905682692,-124.524436573 42.866100692,-124.521945573 42.828610192,-124.481372573 42.7480466920001,-124.433054573 42.694855692,-124.412218573 42.6826376920001,-124.392636573 42.666100692,-124.382218573 42.6288736920001,-124.384718573 42.554228692,-124.401118573 42.517010692,-124.419854573 42.4838826920001,-124.408618573 42.3747106910001,-124.396954573 42.316100691,-124.381099573 42.2430466910001,-124.355563573 42.1680556910001,-124.339445573 42.124991691,-124.327508573 42.1059646910001,-124.289718573 42.073055691,-124.252781573 42.055828691,-124.203608573 42.018882691,-124.185854573 41.9994646910001,-124.184154573 41.9941556910001,-124.175281573 41.949719691,-124.190272573 41.869437691,-124.197354573 41.848046691,-124.215563573 41.819991691,-124.181381573 41.754164691,-124.118608573 41.6830556910001,-124.063608573 41.5152736910001,-124.046799573 41.463182691,-124.039990573 41.427773691,-124.045836573 41.3944376910001,-124.061390573 41.344155691,-124.090972573 41.2498556900001,-124.122218573 41.15749169,-124.112499573 41.0574916900001,-124.099308573 41.0385376900001,-124.098890573 40.99193769,-124.143063573 40.81193769,-124.199436573 40.74554669,-124.229445573 40.7463826900001,-124.252918573 40.7243646900001,-124.275008573 40.6947196900001,-124.331945573 40.58166469,-124.352354573 40.53221969,-124.375827573 40.44770069,-124.354308573 40.4152646900001,-124.323345573 40.3362466900001,-124.324036573 40.31193769,-124.331181573 40.2724556900001,-124.297236573 40.238046689,-124.202218573 40.1741646890001,-124.152572573 40.1479106890001,-124.092772573 40.116310689,-124.062354573 40.091664689,-123.931108573 39.9497196890001,-123.867490573 39.869155689,-123.820281573 39.7916646890001,-123.772363573 39.7097106890001,-123.736872573 39.5549916890001,-123.763063573 39.5191556890001,-123.774172573 39.496519689,-123.795690573 39.3858286890001,-123.795699573 39.3533286890001,-123.754181573 39.259437689,-123.712645573 39.1780466880001,-123.686099573 39.1219376880001,-123.666936573 39.0255466880001,-123.674581573 39.004582688,-123.707263573 38.971100688,-123.701518573 38.9304106880001,-123.619999573 38.860828688,-123.536118573 38.7961101880001,-123.447499572 38.734019688,-123.353054572 38.6244376880001,-123.313063572 38.573882688,-123.266663572 38.5408376880001,-123.237208572 38.5227646880001,-123.171663572 38.4919376880001,-123.129027572 38.4729106880001,-123.107227572 38.462773688,-122.958618572 38.2852736880001,-122.830563572 38.1274916880001,-122.807772572 38.0949916870001,-122.803045572 38.0819376870001,-122.839999572 38.1077736870001,-122.926936572 38.162491688,-122.956390572 38.0580466870001,-122.928327572 38.053600687,-122.896663572 38.0544376870001,-122.816963572 38.020273687,-122.782290572 38.001319687,-122.656663572 37.9105466870001,-122.505481572 37.831037687,-122.456672572 37.8334646870001,-122.420136572 37.8831916870001,-122.443327572 37.906937687,-122.479863572 37.936655687,-122.478327572 38.1195736880001,-122.390836571 38.1474916880001,-122.365281571 38.1555466880001,-122.311390571 38.136110188,-122.292081571 38.1269376880001,-122.264181571 38.109991687,-122.109736571 38.061382687,-122.049999571 38.108782687,-122.018627571 38.148110688,-121.977781571 38.097210687,-121.905272571 38.0661006870001,-121.818681571 38.081155687,-121.722918571 38.0474646870001,-121.685218571 38.0664646870001,-121.662218571 38.0965916870001,-121.585008571 38.115691688,-121.553190571 38.1104106870001,-121.470554571 38.054991687,-121.427218571 38.012910687,-121.498045571 38.0488826870001,-121.591108571 38.1046466870001,-121.643490571 38.078991687,-121.654199571 38.048619687,-121.684854571 38.0181196870001,-121.833754571 38.036664687,-121.857227571 38.043055687,-121.915554571 38.054164687,-121.989436571 38.0655466870001,-122.015836571 38.0661006870001,-122.127727571 38.0352646870001,-122.163318571 38.0474376870001,-122.225272571 38.0641646870001,-122.352781571 37.990828687,-122.393408571 37.9591646870001,-122.299990571 37.826382687,-122.242763571 37.7666646870001,-122.174708571 37.714710687,-122.157227571 37.6947106870001,-122.138481571 37.6622196870001,-122.130827571 37.6322106870001,-122.125972571 37.602773687,-122.080836571 37.5102736870001,-122.029718571 37.4794286870001,-122.005836571 37.471373687,-122.023181571 37.457910687,-122.064299571 37.4593006870001,-122.357772571 37.615828687,-122.367354571 37.654437687,-122.356936571 37.687628687,-122.351390571 37.7316556870001,-122.359990571 37.786937687,-122.379636571 37.8138106870001,-122.448118572 37.810055687,-122.484308572 37.789928187,-122.490545572 37.752219687,-122.499445572 37.5899916870001,-122.495827572 37.5661006870001,-122.490281572 37.5299916870001,-122.480608572 37.512219687,-122.443327572 37.5043646870001,-122.425972572 37.4842916870001,-122.378045571 37.3744376870001,-122.373190571 37.329155687,-122.384454571 37.2897196870001,-122.393681571 37.2518646870001,-122.388345571 37.220273687,-122.379018571 37.1999916870001,-122.179581571 37.0176286860001,-122.147227571 36.995828686,-122.070972571 36.9623556860001,-122.041518571 36.954155686,-122.020290571 36.954855686,-121.978336571 36.9691556860001,-121.913599571 36.980337686,-121.879163571 36.9724916860001,-121.851108571 36.950691686,-121.799163571 36.884019686,-121.763899571 36.812491686,-121.774718571 36.7591646860001,-121.799308571 36.667910686,-121.809154571 36.6484646860001,-121.825563571 36.6270736860001,-121.844999571 36.615128686,-121.865618571 36.6198556860001,-121.899799571 36.641246686,-121.943254571 36.594573686,-121.921663571 36.518055686,-121.897645571 36.4673556860001,-121.884745571 36.433873686,-121.873463571 36.3938916860001,-121.864163571 36.342910686,-121.867627571 36.3153376860001,-121.796108571 36.241100686,-121.758063571 36.229437686,-121.665418571 36.1830466860001,-121.472081571 35.9977736860001,-121.460963571 35.979437686,-121.441799571 35.928046685,-121.434990571 35.8943006850001,-121.368054571 35.8291646850001,-121.32153657 35.7940286850001,-121.29639057 35.7661101850001,-121.26875457 35.700128685,-121.16665457 35.6491646850001,-121.04777257 35.524991685,-120.99945457 35.4791556850001,-120.97708157 35.4659646850001,-120.91999957 35.448873685,-120.84110857 35.355273685,-120.85916357 35.3074916850001,-120.86819057 35.279991685,-120.86972757 35.2572196850001,-120.85679957 35.228810685,-120.83139057 35.209991685,-120.73853657 35.164646685,-120.71868157 35.180546685,-120.68055457 35.171110185,-120.61819057 35.1394376850001,-120.60006357 35.1000646850001,-120.61374557 35.0186101850001,-120.62470857 34.8950006850001,-120.59806357 34.8608286840001,-120.59138157 34.7108196840001,-120.59417257 34.690273684,-120.60332757 34.6694376840001,-120.62389057 34.6411101840001,-120.62832757 34.6236006840001,-120.62596357 34.5844376840001,-120.60582757 34.5586006840001,-120.58319057 34.562210684,-120.55832757 34.561937684,-120.49534557 34.5304736840001,-120.48194557 34.509573684,-120.44902757 34.455691684,-120.42415457 34.456100684,-120.35499957 34.465828684,-120.244999569 34.4736006840001,-120.130827569 34.4787371840001,-120.003745569 34.4679106840001,-119.798608569 34.426382684,-119.624708569 34.424710684,-119.599727569 34.423610184,-119.577218569 34.420546184,-119.541672569 34.414155684,-119.446663569 34.3733196840001,-119.416108569 34.3575006840001,-119.312472569 34.2835196840001,-119.255845569 34.2234646840001,-119.219654569 34.164919184,-119.174299568 34.1361101840001,-119.129172568 34.113882684,-118.981108568 34.067500684,-118.961399568 34.062210684,-118.936108568 34.055546184,-118.836399568 34.0305461840001,-118.781108568 34.033191684,-118.752499568 34.039719684,-118.697772568 34.046110184,-118.654999568 34.0494376840001,-118.554445568 34.0556916840001,-118.530008568 34.047910684,-118.508899568 34.0311101840001,-118.471118568 33.987773684,-118.454454568 33.967764684,-118.432499568 33.9391556840001,-118.421108568 33.921246684,-118.386181568 33.840964684,-118.398618568 33.808046183,-118.417463568 33.781800183,-118.400018568 33.7498551830001,-118.318072568 33.720828683,-118.297772568 33.716100683,-118.272090568 33.7233196830001,-118.267127568 33.757773683,-118.222218568 33.784164183,-118.134745568 33.766664183,-118.108181567 33.756937683,-118.083072567 33.739719683,-118.045272567 33.709437683,-118.027081567 33.6940196830001,-117.994999567 33.662491183,-117.973618567 33.6455461830001,-117.954999567 33.6327646830001,-117.936108567 33.620546183,-117.910827567 33.606655683,-117.884018567 33.600555683,-117.863890567 33.5956821830001,-117.774436567 33.5394376830001,-117.672499567 33.4705461830001,-117.631945567 33.4427646830001,-117.494999567 33.3422196830001,-117.480827567 33.3274911830001,-117.409436567 33.244155683,-117.340290567 33.141664183,-117.329454567 33.1244376830001,-117.319736567 33.1052736830001,-117.269863567 32.9770736830001,-117.249999567 32.8897196830001,-117.249063567 32.871291683,-117.252918567 32.8608286830001,-117.280345567 32.8292196830001,-117.258763567 32.7704191830001,-117.266108567 32.7086006820001,-117.268481567 32.6884286820001,-117.254990567 32.657137682,-117.242045567 32.6625376820001,-117.240545567 32.6846466820001,-117.228808567 32.7156196820001,-117.202154567 32.727700682,-117.141390567 32.680619682,-117.116654567 32.6424911820001,-117.115627567 32.6213106820001,-117.147227567 32.6186006820001,-117.174081567 32.6749376820001,-117.200508567 32.6975911820001,-117.212381567 32.697055682,-117.212908567 32.683028682,-117.182708567 32.6592916820001,-117.133327567 32.5658286820001,-117.122372567 32.5353286820001,-117.123999567 32.5342196820001,-117.12400105 32.534219594,-117.124 32.5342190000001,-117.238191825 32.5274420100001,-117.238192 32.5274420000001,-117.262433 32.553344,-117.365999775 32.572480958,-117.366 32.572481,-117.4637278 32.5894750000001,-117.8252778 32.62694444,-118.605 31.13277778,-121.863398094 30.5425100910001,-121.863400261 30.542510319,-121.866213571 30.5420006800001,-121.868224434 30.5430190920001,-121.868227778 30.543019444,-121.868227169 30.543020477,-121.868227571 30.54302068,-121.870319571 30.54374568,-121.877413571 30.5484421800001,-121.881172571 30.5520591800001,-121.884930571 30.5549486800001,-121.889941571 30.5585646800001,-121.894119571 30.56181768,-121.898710571 30.5654316800001,-121.903305571 30.5686816800001,-121.908316571 30.57193468,-121.913741571 30.5755451800001,-121.920427571 30.57988168,-121.927522571 30.5842176800001,-121.934208571 30.5881926800001,-121.940885571 30.59217068,-121.947566571 30.5965031800001,-121.954249571 30.600114681,-121.960513571 30.6040896810001,-121.967194571 30.608062681,-121.973458571 30.6120346810001,-121.980558571 30.616370181,-121.986822571 30.6203451810001,-121.992663571 30.623595681,-121.997258571 30.6268456810001,-122.001855571 30.6304536810001,-122.006866571 30.634064181,-122.011038571 30.6373146810001,-122.016049571 30.6405646810001,-122.021060571 30.644537681,-122.026072571 30.6477871810001,-122.030666571 30.6513956810001,-122.035677571 30.654645681,-122.040266571 30.6582596810001,-122.045699571 30.661867181,-122.050710571 30.665117181,-122.054885571 30.6687256810001,-122.059894571 30.672337681,-122.064905571 30.675945181,-122.069502571 30.6791951810001,-122.073674571 30.6824426810001,-122.078685571 30.685689681,-122.082860571 30.688939181,-122.087872571 30.6921871810001,-122.092883571 30.6954346810001,-122.097894571 30.699406681,-122.102905571 30.7026531810001,-122.107499571 30.7059006810001,-122.112510571 30.709509681,-122.117105571 30.713114181,-122.121280571 30.7163626810001,-122.125452571 30.7196096810001,-122.129633571 30.7228566810001,-122.134222571 30.726467181,-122.138816571 30.7300736810001,-122.143410571 30.7333206810001,-122.148002571 30.7365671810001,-122.153013571 30.740173681,-122.158024571 30.743781681,-122.162619571 30.7473871810001,-122.167213571 30.7509926810001,-122.171388571 30.7538786810001,-122.175983571 30.7574841810001,-122.180158571 30.760731681,-122.184752571 30.763975681,-122.189341571 30.767220181,-122.193522571 30.7704676810001,-122.197694571 30.7737126810001,-122.202291571 30.7769566810001,-122.206463571 30.780564681,-122.211058571 30.783812681,-122.214816571 30.786692681,-122.220660571 30.7913816810001,-122.225255571 30.7949871810001,-122.229430571 30.7985896810001,-122.234024571 30.8021986810001,-122.238199571 30.8058006810001,-122.243208571 30.809045681,-122.247805571 30.812648181,-122.252399571 30.815892681,-122.256574571 30.819498181,-122.261583571 30.823100681,-122.264927571 30.825623681,-122.269516571 30.828864681,-122.275780571 30.8339126810001,-122.279958571 30.8375146810001,-122.284549571 30.8411206810001,-122.289980571 30.8447231810001,-122.294155571 30.8483236810001,-122.299166571 30.8522891810001,-122.303341571 30.8555316810001,-122.307519571 30.8587731810001,-122.312108571 30.8623756810001,-122.315866571 30.8659781810001,-122.320047571 30.8688596810001,-122.324222571 30.8721006810001,-122.330069571 30.8764236810001,-122.333405571 30.8803871810001,-122.339669571 30.8854316810001,-122.344263571 30.8890311810001,-122.348858571 30.8929926810001,-122.353449571 30.8969506810001,-122.358044571 30.9005566810001,-122.362638571 30.9037986810001,-122.366397571 30.907395681,-122.371408571 30.9113596810001,-122.375999571 30.914956181,-122.382683571 30.920359681,-122.386441571 30.924320681,-122.391030571 30.9282751810001,-122.395210571 30.9315176810001,-122.401474571 30.9362006810001,-122.405233571 30.9401561810001,-122.409822572 30.9437596810001,-122.414416572 30.947714181,-122.419010572 30.951317681,-122.425274572 30.9563536810001,-122.428613572 30.9592341810001,-122.433624572 30.9642736810001,-122.437383572 30.9678706810001,-122.442813572 30.972909681,-122.447824572 30.9768641810001,-122.451999572 30.9808236810001,-122.458677572 30.9858626810001,-122.464524572 30.990895681,-122.469122572 30.9948531810001,-122.473294572 30.9988126810001,-122.477891572 31.002767681,-122.481649572 31.005645181,-122.487491572 31.0103201810001,-122.491249572 31.0139206810001,-122.496260572 31.019314681,-122.502944572 31.024709681,-122.508788572 31.0301036810001,-122.515049572 31.035498681,-122.520483572 31.0405286810001,-122.523405572 31.044845681,-122.530505572 31.0502376810001,-122.535930572 31.0549146810001,-122.541780572 31.059945681,-122.547205572 31.0646206810001,-122.554722572 31.070370681,-122.559733572 31.0750426810001,-122.565160572 31.079717681,-122.570591572 31.0840311810001,-122.576019572 31.088700681,-122.581444572 31.0933706810001,-122.587294572 31.097325181,-122.593972572 31.1027141810001,-122.599405572 31.108825681,-122.605247572 31.113853681,-122.611094572 31.1192426810001,-122.616105572 31.124273681,-122.621952572 31.1296621810001,-122.627797572 31.134692181,-122.632808572 31.140081681,-122.636985572 31.1433121810001,-122.640324572 31.1465456810001,-122.645755572 31.1512126810001,-122.648260572 31.1540876810001,-122.652849572 31.1583986810001,-122.656194572 31.161267181,-122.662041572 31.1666536810001,-122.664963572 31.169887181,-122.670810572 31.1749146810001,-122.673730572 31.177787181,-122.679580572 31.183173681,-122.682499572 31.1864031810001,-122.686674572 31.190712181,-122.690016572 31.1935816810001,-122.695863572 31.1989671810001,-122.698785572 31.202198681,-122.703797572 31.2079426810001,-122.709644572 31.2136846810001,-122.715072572 31.2190671810001,-122.720497572 31.2248096810001,-122.725930572 31.2298346810001,-122.730941572 31.2352141810001,-122.736366572 31.240239681,-122.738872572 31.2431091810001,-122.743883572 31.2481346810001,-122.747227572 31.2517206810001,-122.751399572 31.256742681,-122.754322572 31.2596146810001,-122.759333572 31.2646346810001,-122.762674572 31.2682236810001,-122.767685572 31.2732421810001,-122.770608572 31.276470181,-122.774785572 31.2811371810001,-122.777708572 31.2840001810001,-122.783555572 31.2897426810001,-122.786060572 31.292970681,-122.791488572 31.2990641810001,-122.794408572 31.302650181,-122.799841572 31.308031681,-122.802763572 31.311256681,-122.807772572 31.316992181,-122.811116572 31.320575681,-122.816958572 31.326314681,-122.819885572 31.329898681,-122.824474572 31.335275681,-122.827816572 31.338142181,-122.833663572 31.344234181,-122.837002572 31.347820181,-122.841180572 31.352834681,-122.844102572 31.356059681,-122.849530572 31.3621536810001,-122.852455572 31.365737681,-122.856213572 31.3700346810001,-122.859972572 31.3743341810001,-122.864147572 31.378278181,-122.869572572 31.381500181,-122.873752572 31.3843706810001,-122.879177572 31.3879501810001,-122.883774572 31.3915311810001,-122.889199572 31.394756181,-122.893794572 31.397978181,-122.899222572 31.401564181,-122.904233572 31.4051456810001,-122.908827572 31.4080121810001,-122.914255572 31.4108731810001,-122.919266572 31.414098181,-122.924277572 31.417320181,-122.928872572 31.420542681,-122.933883572 31.4237646810001,-122.938472572 31.4269896810001,-122.943483572 31.4302126810001,-122.948494572 31.433795681,-122.953927572 31.4373736810001,-122.958935572 31.4409536810001,-122.963110572 31.444175681,-122.968122572 31.447398681,-122.972297572 31.450262681,-122.976891572 31.453842681,-122.981902572 31.457423181,-122.986497572 31.4606451810001,-122.991508572 31.4642236810001,-122.996097572 31.4674456810001,-123.000694572 31.4706676810001,-123.005288572 31.4738876810001,-123.010299572 31.4778256810001,-123.014472572 31.4810486810001,-123.019069572 31.4839061810001,-123.024080572 31.4874891810001,-123.028669572 31.4910646810001,-123.033263572 31.4946426810001,-123.037438572 31.4975066810001,-123.042033572 31.5007256810001,-123.046627572 31.5046641810001,-123.051219572 31.5075231810001,-123.055813572 31.5111031810001,-123.060824572 31.515037681,-123.065835572 31.518617681,-123.072513572 31.5239816810001,-123.077108572 31.527914181,-123.081705572 31.531495681,-123.086294572 31.535425681,-123.090474572 31.538289681,-123.095483572 31.5425816810001,-123.101747572 31.5468736810001,-123.106338572 31.551164681,-123.112185572 31.556170181,-123.117613572 31.560462681,-123.123460572 31.5647531810001,-123.128472572 31.569042681,-123.134319572 31.5736896810001,-123.140160572 31.577981181,-123.146008572 31.582625681,-123.151435572 31.5872756810001,-123.157283572 31.591920681,-123.163130572 31.5962126810001,-123.168141572 31.600500681,-123.186933572 31.6140816810001,-123.195280572 31.620870681,-123.201966572 31.626587681,-123.212819572 31.634806681,-123.220758572 31.6415926810001,-123.228688572 31.648023681,-123.236622572 31.6548126810001,-123.244558572 31.661598181,-123.251238572 31.666956681,-123.260844572 31.675170682,-123.267524572 31.6808846820001,-123.276708572 31.6894536820001,-123.282972572 31.695164682,-123.292577572 31.703023682,-123.298841572 31.708378182,-123.308447572 31.7169456820001,-123.314710572 31.722656182,-123.324313572 31.7312236820001,-123.331827572 31.7376456820001,-123.338513572 31.7433536820001,-123.348113572 31.7519176820001,-123.354377572 31.7576316820001,-123.363983572 31.7665486820001,-123.370247572 31.772614682,-123.379016572 31.7808176820001,-123.385280572 31.786167682,-123.394885572 31.795442682,-123.401566572 31.8011486820001,-123.411172572 31.8100646820001,-123.417435572 31.8157706820001,-123.427035572 31.8246816820001,-123.433299572 31.830745182,-123.442488572 31.8396561820001,-123.448752572 31.845362682,-123.457102572 31.853559682,-123.463363572 31.8592641820001,-123.472972572 31.868887682,-123.479649572 31.875300682,-123.487588573 31.8838536820001,-123.494266573 31.889553682,-123.502619573 31.8988176820001,-123.508883573 31.9045146820001,-123.518485573 31.913778682,-123.524333573 31.9201891820001,-123.533102573 31.929448682,-123.538949573 31.9358566820001,-123.548549573 31.9454706820001,-123.554397573 31.952239682,-123.563166573 31.961492682,-123.569013573 31.9679006820001,-123.577783573 31.9764456820001,-123.584463573 31.9828501820001,-123.593233573 31.992106682,-123.599497573 31.999225682,-123.607849573 32.008475182,-123.613691573 32.0148786820001,-123.622044573 32.024484682,-123.627894573 32.0312486820001,-123.637494573 32.0412061820001,-123.643758573 32.0486751820001,-123.652110573 32.057923682,-123.657958573 32.0646786820001,-123.665891573 32.073567682,-123.672155573 32.0799676820001,-123.680508573 32.0895676820001,-123.686772573 32.0966786820001,-123.694702573 32.105920682,-123.700552573 32.1119621820001,-123.706394573 32.119425182,-123.712658573 32.1268876820001,-123.718922573 32.134350682,-123.725185573 32.1418126820001,-123.731869573 32.1492736820001,-123.738133573 32.156734182,-123.744397573 32.1641926820001,-123.750660573 32.1716506820001,-123.757338573 32.179112682,-123.763188573 32.186567182,-123.769866573 32.1940256820001,-123.775713573 32.2014816820001,-123.784063573 32.211425682,-123.789910573 32.2181706820001,-123.797844573 32.228109182,-123.804105573 32.2355626820001,-123.809538573 32.243014182,-123.818724573 32.252598682,-123.824572573 32.2593426820001,-123.832088573 32.268923682,-123.837513573 32.2756626820001,-123.845866573 32.2855956820001,-123.851710573 32.2926891820001,-123.859647573 32.3026201820001,-123.865074573 32.309714682,-123.873427573 32.319289682,-123.878855573 32.326381682,-123.885955573 32.3359566820001,-123.891797573 32.343042682,-123.897230573 32.3504871820001,-123.905160573 32.3604141820001,-123.910588573 32.3671486820001,-123.918105573 32.3770706820001,-123.923535573 32.384512682,-123.928963573 32.3919506820001,-123.936480573 32.401875682,-123.941905573 32.4089566820001,-123.949422573 32.419231182,-123.954855573 32.426317682,-123.961949573 32.436231682,-123.967383573 32.4436676820001,-123.972394573 32.450750682,-123.977819573 32.458539182,-123.982830573 32.4656236820001,-123.988258573 32.4734091820001,-123.992852573 32.480489682,-123.997863573 32.4882751820001,-124.002458573 32.4953566820001,-124.007047573 32.503139682,-124.012480573 32.5102171820001,-124.017069573 32.518000682,-124.022080573 32.5250786820001,-124.027091573 32.532859682,-124.032102573 32.5399376820001,-124.036697573 32.547717182,-124.041294573 32.554792182,-124.046302573 32.5625706820001,-124.050894573 32.569645682,-124.055488573 32.5774231820001,-124.060083573 32.5844951820001,-124.065094573 32.592270682,-124.069685573 32.599342682,-124.074694573 32.607117682,-124.079291573 32.6141876820001,-124.083463573 32.6219621820001,-124.088060573 32.6290311820001,-124.092233573 32.6368031820001,-124.096413573 32.6438701820001,-124.101424573 32.651642682,-124.105183573 32.6587091820001,-124.109355573 32.666478682,-124.113530573 32.6735456820001,-124.117288573 32.6813126820001,-124.122299573 32.6883781820001,-124.126477573 32.6961451820001,-124.130652573 32.703209182,-124.135247573 32.710973182,-124.139422573 32.718037682,-124.143594573 32.7258006820001,-124.148191573 32.7328626820001,-124.152363573 32.740625682,-124.156544573 32.747684183,-124.160716573 32.7554481830001,-124.164891573 32.762506683,-124.168649573 32.7702646830001,-124.172830573 32.7773231830001,-124.176588573 32.785081683,-124.180344573 32.7921396830001,-124.184519573 32.799898683,-124.188694573 32.806950683,-124.192452573 32.814709683,-124.196210573 32.821762183,-124.200388573 32.8295176830001,-124.204563573 32.836570183,-124.208322573 32.8443256830001,-124.211241573 32.8513756830001,-124.214169573 32.8591281830001,-124.217505573 32.866178183,-124.221263573 32.873931183,-124.224191573 32.880978183,-124.227949573 32.8887316830001,-124.230869573 32.8957781830001,-124.234627573 32.9035256830001,-124.237549573 32.9105736830001,-124.241308573 32.918320683,-124.244649573 32.925367683,-124.247991573 32.933112183,-124.251749573 32.9401561830001,-124.255088573 32.9479036830001,-124.258430573 32.9549456830001,-124.261772573 32.9626891830001,-124.265110573 32.9697316830001,-124.268035573 32.977473683,-124.271794573 32.984514683,-124.275133573 32.9922561830001,-124.278058573 32.9992951830001,-124.281394573 33.007034683,-124.284322573 33.014073683,-124.287658573 33.0218126830001,-124.291002573 33.028848683,-124.294344573 33.0365876830001,-124.297263573 33.043620683,-124.300608573 33.0513566830001,-124.303527573 33.0583926830001,-124.306872573 33.0661256830001,-124.310208573 33.073159683,-124.313135573 33.0808926830001,-124.316055573 33.087925683,-124.318977573 33.0956596830001,-124.321902573 33.1026891830001,-124.325241573 33.110420683,-124.327747573 33.1174506830001,-124.331088573 33.1251786830001,-124.333594573 33.132209683,-124.336516573 33.139937683,-124.339441573 33.1469641830001,-124.342363573 33.1546891830001,-124.345283573 33.1617176830001,-124.348210573 33.169092683,-124.351133573 33.1764671830001,-124.353638573 33.1838426830001,-124.356980573 33.1912146830001,-124.359485573 33.198587683,-124.361991573 33.2059626830001,-124.364497573 33.213331683,-124.367002573 33.2207036830001,-124.369508573 33.228073683,-124.372013573 33.235445183,-124.374933573 33.2428141830001,-124.377024573 33.2501811830001,-124.380360573 33.257550183,-124.382449573 33.2649176830001,-124.384955573 33.2722846830001,-124.387044573 33.2796506830001,-124.389549573 33.287017683,-124.392055573 33.294381683,-124.394141573 33.301745683,-124.397066573 33.309109683,-124.399152573 33.316473183,-124.401658573 33.323834183,-124.403747573 33.331198683,-124.406252573 33.338559683,-124.408758573 33.345917683,-124.411263573 33.353278183,-124.413769573 33.3606376830001,-124.416274573 33.3679956830001,-124.418363573 33.3753531830001,-124.420869573 33.3827126830001,-124.423791573 33.390067683,-124.425880573 33.3974251830001,-124.427549573 33.4047816830001,-124.429638573 33.412134683,-124.431305573 33.4194896830001,-124.432974573 33.4268426830001,-124.435480573 33.434195183,-124.437155573 33.4415486830001,-124.438408573 33.448900183,-124.439238573 33.4562506830001,-124.441327573 33.463600683,-124.442997573 33.4709506830001,-124.445085573 33.478300683,-124.447177573 33.4856501830001,-124.448844573 33.4929986830001,-124.450933573 33.500345183,-124.453019573 33.5076926830001,-124.454691573 33.5150376830001,-124.456360573 33.522384683,-124.458449573 33.529728183,-124.459702573 33.5370736830001,-124.463041573 33.5444146830001,-124.465966573 33.5517596830001,-124.468472573 33.5591001830001,-124.471394573 33.566442683,-124.473899573 33.573784683,-124.476822573 33.581125683,-124.479747573 33.588464683,-124.482669573 33.595803683,-124.486010573 33.603142183,-124.488516573 33.6104781830001,-124.491022573 33.6178171830001,-124.493944573 33.6251531830001,-124.497285573 33.6324891830001,-124.499791573 33.639825183,-124.504380573 33.6489031830001,-124.509813573 33.6555426830001,-124.518160573 33.6646176830001,-124.524008573 33.6716031830001,-124.532360573 33.6803316830001,-124.537788573 33.6866146830001,-124.545722573 33.696039183,-124.551569573 33.7026736830001,-124.559922574 33.7117456830001,-124.565763574 33.718378183,-124.574533574 33.7278006830001,-124.579966574 33.7347756830001,-124.588733574 33.7445486830001,-124.594577574 33.751873683,-124.603347574 33.7616396830001,-124.609610574 33.7686146830001,-124.617963574 33.7780316830001,-124.623810574 33.784656183,-124.631744574 33.7944176830001,-124.637591574 33.8010421830001,-124.645938574 33.810456683,-124.651372574 33.817078683,-124.659302574 33.826489684,-124.665149574 33.833459684,-124.672666574 33.8428676840001,-124.678510574 33.8494876840001,-124.686024574 33.859242684,-124.691874574 33.8662126840001,-124.700227574 33.8759626840001,-124.706069574 33.882931684,-124.711916574 33.890245684,-124.719849574 33.8996456840001,-124.729455574 33.908350684,-124.739477574 33.9167066840001,-124.749499574 33.925412184,-124.759935574 33.933767184,-124.770380574 33.9424676840001,-124.780816574 33.951167684,-124.788333574 33.957431684,-124.796266574 33.964045684,-124.805035574 33.9706536840001,-124.814641574 33.9783061840001,-124.823824574 33.9852646840001,-124.833016574 33.9929171840001,-124.842616574 33.9998756840001,-124.851385574 34.0068311840001,-124.860574574 34.0141341840001,-124.872266574 34.022131184,-124.878530574 34.028389684,-124.888966574 34.037084684,-124.895652574 34.043339184,-124.905252574 34.0520281840001,-124.911516574 34.0579396840001,-124.921960574 34.0669736840001,-124.928638574 34.0732286840001,-124.938244574 34.082612684,-124.945341574 34.088864684,-124.955363574 34.0982451840001,-124.962463574 34.104848684,-124.971647574 34.1138756840001,-124.978333574 34.1201286840001,-124.987516574 34.1288146840001,-124.993780574 34.1347146840001,-125.002549574 34.1430481840001,-125.008813574 34.1486061840001,-125.017166574 34.157284684,-125.023430574 34.163187684,-125.032616574 34.1722096840001,-125.039294574 34.178112184,-125.047647574 34.186787684,-125.054327574 34.1930316840001,-125.063933574 34.2024006840001,-125.070197574 34.2089956840001,-125.078966574 34.218012184,-125.085230574 34.2242566840001,-125.093583574 34.2329316840001,-125.099424574 34.239173684,-125.108616574 34.248537184,-125.114880574 34.2551256840001,-125.122810574 34.2637926840001,-125.128658574 34.2696871840001,-125.137008574 34.278353684,-125.142855574 34.285287184,-125.151624574 34.2943001840001,-125.157888574 34.3012286840001,-125.167072574 34.3109346840001,-125.172505574 34.317862684,-125.181274574 34.3272176840001,-125.187116574 34.333800184,-125.195885574 34.3431536840001,-125.202149574 34.3497346840001,-125.210502574 34.359428184,-125.219272574 34.3684346840001,-125.225119574 34.375362684,-125.233466574 34.3843621840001,-125.239316574 34.390942184,-125.247247574 34.4006316840001,-125.253510574 34.4072066840001,-125.261027574 34.4165506840001,-125.266874574 34.422781184,-125.274391574 34.4317786840001,-125.280655574 34.4383506840001,-125.288588574 34.4473486840001,-125.294019574 34.453575184,-125.302788574 34.463259684,-125.308216574 34.4701786840001,-125.314063574 34.477439684,-125.320327574 34.4847036840001,-125.326591574 34.491964184,-125.333269574 34.4992236840001,-125.339116574 34.506484684,-125.345797574 34.5137421840001,-125.352060574 34.5210031840001,-125.360413574 34.5306781840001,-125.367508574 34.5375926840001,-125.373358574 34.544848684,-125.378369574 34.552103684,-125.384216574 34.5593591840001,-125.389227574 34.5666146840001,-125.393816574 34.5738671840001,-125.399247574 34.581123684,-125.405091574 34.588375184,-125.410102574 34.595625684,-125.415533574 34.6028781840001,-125.420960574 34.6101286840001,-125.425972574 34.6173786840001,-125.430983574 34.6246281840001,-125.435577574 34.6318786840001,-125.441005574 34.6391256840001,-125.446430574 34.646373184,-125.451024574 34.653620684,-125.456452574 34.660867684,-125.461463574 34.668114184,-125.466474574 34.6753596840001,-125.471485574 34.6826036840001,-125.476916574 34.689848684,-125.481508574 34.697089184,-125.486102574 34.7043341840001,-125.491949574 34.711575684,-125.496541574 34.718817684,-125.501135574 34.7260566840001,-125.506147574 34.733298684,-125.511158574 34.7405376840001,-125.515752574 34.747775684,-125.520341574 34.7550146840001,-125.525352574 34.762250684,-125.529947574 34.7694876840001,-125.534544574 34.776723684,-125.539552574 34.783959684,-125.544144574 34.7911956840001,-125.548738574 34.798428684,-125.553333574 34.805662684,-125.557924574 34.8128956840001,-125.562935574 34.8201286840001,-125.567530574 34.827359684,-125.572541574 34.834589684,-125.577135574 34.841820684,-125.581310574 34.8490506840001,-125.585905574 34.8562786840001,-125.590077574 34.8635096840001,-125.594674574 34.8707376840001,-125.598847574 34.8779646840001,-125.603022574 34.8851891840001,-125.607199574 34.8924146840001,-125.612210574 34.8996426850001,-125.616385574 34.9068646850001,-125.620144574 34.9140896850001,-125.624738574 34.921312685,-125.628913574 34.928537685,-125.633508575 34.9357596850001,-125.637683575 34.9429786850001,-125.641441575 34.950200685,-125.646035575 34.957420685,-125.650624575 34.9646396850001,-125.655219575 34.971859685,-125.659394575 34.9790756850001,-125.663988575 34.9862956850001,-125.668163575 34.993512685,-125.671505575 35.0007286850001,-125.675263575 35.007942685,-125.679022575 35.0151596850001,-125.683197575 35.022373685,-125.687374575 35.029587685,-125.691133575 35.0368006850001,-125.694891575 35.044012685,-125.699066575 35.051223685,-125.702824575 35.0584346850001,-125.706997575 35.0656456850001,-125.710755575 35.072856685,-125.714935575 35.080064685,-125.718272575 35.0872736850001,-125.721613575 35.0944816850001,-125.724958575 35.1016896850001,-125.728294575 35.1088956850001,-125.731635575 35.116100685,-125.734980575 35.123306685,-125.738316575 35.130512685,-125.741658575 35.137714685,-125.744999575 35.144920685,-125.748338575 35.152123685,-125.751680575 35.1593256850001,-125.755438575 35.1665256850001,-125.758360575 35.1737256850001,-125.762119575 35.180925685,-125.765877575 35.188125685,-125.769219575 35.1953256850001,-125.772560575 35.2025236850001,-125.775897575 35.209723685,-125.778824575 35.2169176850001,-125.782583575 35.223773685,-125.784666575 35.224800685,-125.793435575 35.230970685,-125.801788575 35.2367926850001,-125.810141575 35.242617685,-125.818491575 35.249125685,-125.826844575 35.254950685,-125.835197575 35.2607736850001,-125.843544575 35.266592685,-125.852735575 35.2720756850001,-125.861083575 35.277895685,-125.869022575 35.2837176850001,-125.877369575 35.2898816850001,-125.886138575 35.295703685,-125.894491575 35.3015206850001,-125.902844575 35.307339685,-125.911191575 35.3135006850001,-125.918708575 35.319323685,-125.927060575 35.3254816850001,-125.934994575 35.3323236850001,-125.943347575 35.338142685,-125.951699575 35.3439626850001,-125.960049575 35.350120685,-125.967985575 35.3562786850001,-125.975919575 35.362437685,-125.984272575 35.368248685,-125.992202575 35.374750685,-126.000135575 35.3809066850001,-126.008074575 35.387062685,-126.014752575 35.3925316850001,-126.023522575 35.3993736850001,-126.031455575 35.405867685,-126.041474575 35.4137316850001,-126.051497575 35.4219346850001,-126.061941575 35.430478685,-126.069872575 35.4369706850001,-126.077805575 35.443467685,-126.085741575 35.4496176850001,-126.092005575 35.454742685,-126.101608575 35.462600685,-126.107872575 35.4677231850001,-126.117477575 35.476606685,-126.124994575 35.4834396850001,-126.133347575 35.4895876850001,-126.140863575 35.4953926850001,-126.147541575 35.5011986850001,-126.157147575 35.508709185,-126.163410575 35.5141756850001,-126.171760575 35.523392685,-126.179274575 35.530217685,-126.190135575 35.5394346850001,-126.197235575 35.5459206850001,-126.208510575 35.555137685,-126.216024575 35.561956685,-126.225210575 35.570148685,-126.232727575 35.5759486850001,-126.241080575 35.584475685,-126.247344575 35.590614685,-126.256113575 35.5994846850001,-126.261955575 35.6056236850001,-126.270308575 35.613809685,-126.276158575 35.619262685,-126.284505575 35.627789185,-126.291188575 35.633581685,-126.299538575 35.642787685,-126.307891575 35.6516506850001,-126.317074575 35.660170685,-126.323338575 35.6656256850001,-126.332530575 35.674481685,-126.338794575 35.6806146850001,-126.346724575 35.6891346850001,-126.352572575 35.694923685,-126.361341575 35.703781685,-126.367185575 35.7095736850001,-126.375122575 35.7180876850001,-126.381385575 35.7238756850001,-126.388902575 35.732387685,-126.395166575 35.738178685,-126.403935575 35.7473706850001,-126.409777575 35.7538376850001,-126.418547575 35.7626876850001,-126.424394575 35.7684706850001,-126.432747575 35.7773206850001,-126.439010575 35.7837846850001,-126.447360575 35.7929706850001,-126.453208575 35.799437685,-126.461560575 35.808623685,-126.468238575 35.815423685,-126.476172575 35.824948685,-126.482435575 35.831748685,-126.490372575 35.8405896850001,-126.496216575 35.8467096850001,-126.504985575 35.8558896850001,-126.510833575 35.862348685,-126.519185575 35.871867185,-126.525449575 35.8783236850001,-126.533383575 35.8881786850001,-126.539230575 35.894973685,-126.545072575 35.902109685,-126.553008575 35.9112816850001,-126.558852575 35.9177376850001,-126.564283575 35.924870685,-126.573469575 35.9340426850001,-126.579316575 35.940831685,-126.586410575 35.949998685,-126.592674575 35.956792685,-126.600191575 35.966295685,-126.606038575 35.973087686,-126.611466575 35.9798756860001,-126.619405575 35.9890391860001,-126.625247575 35.995487186,-126.632347575 36.0046486860001,-126.638194575 36.011095686,-126.644038575 36.0182206860001,-126.651138575 36.0273786860001,-126.656985575 36.0338256860001,-126.662827575 36.046037686,-126.667008575 36.051123686,-126.671597575 36.056548686,-126.675777575 36.0619706860001,-126.680366575 36.067737686,-126.684547575 36.0731596860001,-126.690388575 36.080278686,-126.694983575 36.086042686,-126.699577575 36.0911256860001,-126.705005576 36.098581686,-126.709599576 36.104006186,-126.713774576 36.1094256860001,-126.719622576 36.1165426860001,-126.723797576 36.1216236860001,-126.727555576 36.127723186,-126.730897576 36.1317876860001,-126.734655576 36.1385646860001,-126.737991576 36.142964686,-126.742585576 36.149742686,-126.745930576 36.1544786860001,-126.750102576 36.1612536860001,-126.753860576 36.166334686,-126.758035576 36.1727646860001,-126.761377576 36.1775066860001,-126.766388576 36.184953686,-126.769730576 36.1900316860001,-126.773905576 36.1968031860001,-126.778080576 36.201878686,-126.782674576 36.2089876860001,-126.786016576 36.214062686,-126.789774576 36.2198176860001,-126.794363576 36.226581686,-126.798544576 36.2309816860001,-126.802302576 36.236731686,-126.805224576 36.2421456860001,-126.808980576 36.247220686,-126.813155576 36.2543236860001,-126.816497576 36.2587176860001,-126.820255576 36.264470686,-126.825266576 36.271228686,-126.828608576 36.2766426860001,-126.832783576 36.2823876860001,-126.836958576 36.289150686,-126.839883576 36.2942236860001,-126.844058576 36.2999706860001,-126.848233576 36.307067686,-126.851574576 36.312137686,-126.855747576 36.3188956860001,-126.859091576 36.3236256860001,-126.862433576 36.3290316860001,-126.866608576 36.3361286860001,-126.870780576 36.341537686,-126.873708576 36.346603686,-126.877044576 36.352006686,-126.880385576 36.357409686,-126.883730576 36.362475686,-126.887488576 36.367884686,-126.891660576 36.374634686,-126.895002576 36.380039686,-126.898760576 36.385106686,-126.901683576 36.390506686,-126.905024576 36.395906686,-126.907947576 36.4009706860001,-126.911705576 36.4080596860001,-126.915047576 36.4127876860001,-126.917552576 36.4178506860001,-126.921310576 36.4239256860001,-126.925069576 36.430334686,-126.927574576 36.435398686,-126.930910576 36.4411346860001,-126.933838576 36.4461956860001,-126.936760576 36.451592686,-126.940102576 36.456992686,-126.943438576 36.4644126860001,-126.946780576 36.4694706860001,-126.949702576 36.474531686,-126.953044576 36.4799256860001,-126.955966576 36.4853236860001,-126.958894576 36.490717686,-126.961813576 36.4961121860001,-126.965155576 36.501167686,-126.967660576 36.506564686,-126.970166576 36.5119566860001,-126.974341576 36.517014686,-126.977683576 36.5244286860001,-126.980605576 36.529484686,-126.983527576 36.5348786860001,-126.986869576 36.5402676860001,-126.989374576 36.5453236860001,-126.992716576 36.5507126860001,-126.994799576 36.5561066860001,-126.997727576 36.5614956860001,-127.000233576 36.566884686,-127.003155576 36.5719376860001,-127.006074576 36.577328686,-127.009002576 36.582714686,-127.011508576 36.5877676860001,-127.014427576 36.5931536860001,-127.017349576 36.598542686,-127.020277576 36.6039286860001,-127.024035576 36.6110006860001,-127.026955576 36.6160486860001,-127.029877576 36.621434686,-127.031966576 36.627156686,-127.034055576 36.6325426860001,-127.036141576 36.6379286860001,-127.038647576 36.6429756860001,-127.040735576 36.648359686,-127.042824576 36.653742186,-127.045330576 36.659128686,-127.047416576 36.664509686,-127.049505576 36.6695566860001,-127.051594576 36.6749376860001,-127.054099576 36.6806566860001,-127.056185576 36.6860376860001,-127.058688576 36.6914206860001,-127.060780576 36.6964646860001,-127.064122576 36.7018456860001,-127.066205576 36.7075626860001,-127.068297576 36.712939686,-127.070385576 36.718317686,-127.072469576 36.723359686,-127.075813576 36.7307596860001,-127.077902576 36.7358006860001,-127.079985576 36.7411756860001,-127.082491576 36.746550686,-127.084997576 36.751931686,-127.087085576 36.757306686,-127.089177576 36.7626816860001,-127.091260576 36.7680596860001,-127.093349576 36.773434686,-127.096272576 36.7788066860001,-127.097944576 36.7841846860001,-127.100449576 36.789556686,-127.102535576 36.795267686,-127.104624576 36.8006396860001,-127.107130576 36.806012686,-127.109635576 36.811048686,-127.111305576 36.8164236860001,-127.113810576 36.821795686,-127.115899576 36.8271641860001,-127.117569576 36.8325396860001,-127.119658576 36.837573686,-127.121747576 36.8429426860001,-127.123833576 36.848312686,-127.125505576 36.8533456860001,-127.128010576 36.858717686,-127.130094576 36.8640846860001,-127.132185576 36.8694506860001,-127.134274576 36.875156686,-127.135944576 36.8801891860001,-127.138033576 36.885556686,-127.140538576 36.8909256860001,-127.142208576 36.896289686,-127.144710576 36.901992686,-127.146380576 36.9070236860001,-127.148469576 36.912387686,-127.150560576 36.917750686,-127.152227576 36.9231171860001,-127.154733576 36.9288146860001,-127.156402576 36.933845686,-127.158077576 36.939209686,-127.160583576 36.9445736860001,-127.162249576 36.9499346860001,-127.164755576 36.9556316860001,-127.166844576 36.960659686,-127.168513576 36.966020686,-127.171019576 36.972050686,-127.173108576 36.977075686,-127.174777576 36.9824396860001,-127.177283576 36.9877986860001,-127.178952576 36.9928236860001,-127.180624576 36.9981816860001,-127.182710576 37.0035426860001,-127.184799576 37.0089006860001,-127.186469576 37.0142566860001,-127.188141576 37.0192816860001,-127.191899576 37.026312686,-127.196488576 37.0306676860001,-127.201922576 37.0376986860001,-127.206097576 37.042720687,-127.211108576 37.0484066870001,-127.214863576 37.052762687,-127.219874576 37.059117687,-127.223633576 37.0631346870001,-127.229483576 37.069492687,-127.233238576 37.0731736870001,-127.239083576 37.0805346870001,-127.242424576 37.0852206870001,-127.247435576 37.0915736870001,-127.251610576 37.096259687,-127.256622576 37.1019486870001,-127.260380576 37.1062926870001,-127.265388576 37.111981687,-127.268316576 37.1159926870001,-127.273744576 37.1220126870001,-127.276663576 37.125689687,-127.281674576 37.1320456870001,-127.285855576 37.1360566870001,-127.290866576 37.1427396870001,-127.294624576 37.1470896870001,-127.300049576 37.1534396870001,-127.304224576 37.1581206870001,-127.308819576 37.164800687,-127.312577576 37.1691486870001,-127.317588576 37.1751646870001,-127.320930576 37.1791736870001,-127.326358576 37.1855201870001,-127.330116576 37.1901986870001,-127.335127576 37.196545687,-127.339299576 37.200887687,-127.343480576 37.2062346870001,-127.346402576 37.2102426870001,-127.350997576 37.2159176870001,-127.354333576 37.2199256870001,-127.356008576 37.225270687,-127.360180576 37.2302786870001,-127.364355576 37.2356206870001,-127.368533576 37.240962687,-127.374377576 37.2483096870001,-127.378972576 37.2536486870001,-127.382730576 37.2589876870001,-127.386905576 37.264331687,-127.391083576 37.2693376870001,-127.395258576 37.2746756870001,-127.399852576 37.2803506870001,-127.404441576 37.2856876870001,-127.409038576 37.290023687,-127.413633576 37.2963646870001,-127.416969576 37.301034687,-127.421563576 37.3073736870001,-127.424908576 37.3117096870001,-127.428666576 37.3180456870001,-127.431172576 37.3220486870001,-127.436180576 37.3287176870001,-127.439519576 37.333720687,-127.444113576 37.340389687,-127.447455576 37.3450566870001,-127.451213576 37.351056687,-127.454552576 37.3550566870001,-127.459563576 37.361725687,-127.462905576 37.3657256870001,-127.467077576 37.3723926870001,-127.470835576 37.3770536870001,-127.475016576 37.383053187,-127.477522576 37.3877206870001,-127.482110576 37.393717687,-127.484616576 37.3977146870001,-127.489210576 37.404712687,-127.492555576 37.4093756870001,-127.496727576 37.4157036870001,-127.499649576 37.4200316870001,-127.504660576 37.4266956870001,-127.507166576 37.4316896870001,-127.512177576 37.4390146870001,-127.515519576 37.4440096870001,-127.519694576 37.4506706870001,-127.523872576 37.4556646870001,-127.526916576 37.4565456870001,-127.529413576 37.461195687,-127.533163576 37.467839687,-127.536497576 37.4724846870001,-127.539824576 37.4791256870001,-127.542324576 37.4837736870001,-127.546074576 37.489748687,-127.548994576 37.4943926870001,-127.552322576 37.5007006870001,-127.555655576 37.5056786870001,-127.558569576 37.510323687,-127.561488576 37.516295687,-127.564402576 37.5212736870001,-127.567316576 37.5262486870001,-127.570652576 37.5325566870001,-127.573566576 37.536867187,-127.576066576 37.541842687,-127.578983576 37.546817687,-127.582313576 37.5531171870001,-127.585233576 37.557762687,-127.587730576 37.562734687,-127.591060576 37.5683736870001,-127.593980576 37.572684687,-127.596058576 37.577325687,-127.600641576 37.584287687,-127.603141576 37.5885956870001,-127.607305576 37.595225687,-127.610224576 37.600198687,-127.613552576 37.6064926870001,-127.616472576 37.6111346870001,-127.618972576 37.6161066870001,-127.621885576 37.621075687,-127.625635576 37.6273706870001,-127.628549576 37.631675687,-127.630633576 37.6366456870001,-127.633133576 37.6412846870001,-127.635633576 37.6462506870001,-127.638966576 37.6515506870001,-127.641466576 37.6561876870001,-127.644380576 37.661484687,-127.647713576 37.668109687,-127.650627576 37.672745687,-127.653541576 37.6780426870001,-127.656460576 37.6836706870001,-127.659788576 37.688303687,-127.662288576 37.6932706870001,-127.664374576 37.6979036870001,-127.667288576 37.7025396870001,-127.669785576 37.7078346870001,-127.673122576 37.7131256870001,-127.675205576 37.7177626870001,-127.678533576 37.7230531870001,-127.680619576 37.7276876870001,-127.683116576 37.732650687,-127.685616576 37.7372846870001,-127.688530576 37.7425756870001,-127.691030576 37.7478646870001,-127.693949576 37.7524986870001,-127.696449576 37.7577876870001,-127.698527576 37.7627486870001,-127.701027576 37.7673786870001,-127.703527576 37.7726706870001,-127.706447576 37.777300687,-127.708944576 37.782587687,-127.711444576 37.7872176870001,-127.713944576 37.7925066870001,-127.716022576 37.797134687,-127.718108576 37.802092687,-127.721022576 37.807378687,-127.723519576 37.812337687,-127.726438576 37.817625687,-127.728519576 37.8222506870001,-127.731852576 37.8291896870001,-127.734352576 37.834145687,-127.737266576 37.840425687,-127.739766576 37.8453786870001,-127.742263576 37.850000687,-127.744763576 37.854956687,-127.747263576 37.860242687,-127.749347576 37.8648646870001,-127.751847576 37.870150687,-127.753930576 37.8747706870001,-127.756430576 37.880056687,-127.758930576 37.885009687,-127.761430576 37.889628687,-127.763927576 37.894912687,-127.766427576 37.899531687,-127.768508576 37.9048146870001,-127.770591576 37.9094316870001,-127.773505576 37.9147146870001,-127.775588576 37.9193341870001,-127.778088577 37.9242846870001,-127.780174577 37.929564187,-127.782252577 37.934181687,-127.784335577 37.9394626870001,-127.786422577 37.9440786870001,-127.788922577 37.949359687,-127.790999577 37.954306687,-127.793083577 37.958920687,-127.795583577 37.9642006870001,-127.797669577 37.9688146870001,-127.799747577 37.974095687,-127.801833577 37.9787066870001,-127.803916577 37.983987687,-127.806416577 37.988598687,-127.808494577 37.9935426870001,-127.810580577 37.9981596870001,-127.812244577 38.003431687,-127.814327577 38.0087091870001,-127.816413577 38.013320687,-127.818077577 38.0185956870001,-127.819741577 38.023539687,-127.821824577 38.0281486870001,-127.823491577 38.0327646870001,-127.825574577 38.038034687,-127.827238577 38.043306687,-127.828908577 38.0479176870001,-127.830988577 38.053189687,-127.832658577 38.0577986870001,-127.834322577 38.062739687,-127.836405577 38.067350687,-127.838072577 38.072617687,-127.840155577 38.077889687,-127.841819577 38.0824956870001,-127.843905577 38.0877676870001,-127.845569577 38.092706687,-127.847652577 38.0973126870001,-127.849316577 38.1025816870001,-127.851402577 38.1071876870001,-127.853066577 38.1124566870001,-127.854730577 38.117059688,-127.856816577 38.122328688,-127.858899577 38.1269316880001,-127.860563577 38.1318671880001,-127.862227577 38.1364756880001,-127.863897577 38.1414096880001,-127.866397577 38.1466736880001,-127.867647577 38.151278688,-127.869727577 38.1565391880001,-127.870974577 38.161148688,-127.873060577 38.1664066880001,-127.874310577 38.1710126880001,-127.875974577 38.1759456880001,-127.877644577 38.1808786880001,-127.879308577 38.1858096880001,-127.880558577 38.191067688,-127.882222577 38.1956736880001,-127.884308577 38.200931688,-127.885972577 38.2055346880001,-127.887641577 38.2104646880001,-127.889305577 38.215720688,-127.890555577 38.2203236880001,-127.892219577 38.225581688,-127.893469577 38.2301816880001,-127.895138577 38.235437688,-127.896388577 38.240039688,-127.898052577 38.244967688,-127.899716577 38.249895188,-127.900966577 38.2548206880001,-127.902635577 38.260075688,-127.903885577 38.2646756880001,-127.905135577 38.2699281880001,-127.906799577 38.274525688,-127.908049577 38.2794506880001,-127.908883577 38.284703688,-127.910549577 38.289300688,-127.912213577 38.2945536880001,-127.913463577 38.2991506880001,-127.914713577 38.304400188,-127.916383577 38.308998688,-127.917633577 38.3139206880001,-127.918880577 38.318517688,-127.920547577 38.323767688,-127.921794577 38.3286896880001,-127.923460577 38.3336121880001,-127.924710577 38.3388596880001,-127.925958577 38.3434536880001,-127.927627577 38.348373688,-127.928877577 38.352967688,-127.930127577 38.358214688,-127.931791577 38.363462688,-127.933041577 38.368053188,-127.934705577 38.373300688,-127.935127577 38.377892688,-127.936374577 38.3828096880001,-127.938041577 38.3874006880001,-127.939291577 38.3926456880001,-127.940124577 38.3942876880001,-127.939705577 38.395923688,-127.940538577 38.397564688,-127.943874577 38.401170688,-127.948872577 38.407070688,-127.952202577 38.4110036880001,-127.957619577 38.4172286880001,-127.960949577 38.421162688,-127.965947577 38.4264036880001,-127.969280577 38.4309926880001,-127.973444577 38.435909688,-127.976363577 38.4398396880001,-127.980527577 38.444753688,-127.983860577 38.4486846880001,-127.988024577 38.453273688,-127.991358577 38.4572036880001,-127.995108577 38.4617876880001,-127.998022577 38.4647346880001,-128.002185577 38.4703006880001,-128.005935577 38.4739066880001,-128.010102577 38.478817688,-128.013019577 38.4824176880001,-128.017602577 38.487984688,-128.020516577 38.490931688,-128.024680577 38.496498688,-128.028427577 38.5004256880001,-128.032177577 38.5053376880001,-128.035510577 38.5089346880001,-128.039260577 38.514173688,-128.042594577 38.517770688,-128.046758577 38.523334688,-128.050091577 38.5279176880001,-128.055505577 38.5341346880001,-128.058838577 38.5383846880001,-128.064666577 38.544928188,-128.068002577 38.5495126880001,-128.073413577 38.556050688,-128.077163577 38.5606316880001,-128.082160577 38.5668426880001,-128.085910577 38.5717486880001,-128.089660577 38.576328688,-128.094658577 38.5828706880001,-128.098408577 38.587773688,-128.103824577 38.5943096880001,-128.107574577 38.598887688,-128.112572577 38.6050986880001,-128.116322577 38.609675688,-128.121319577 38.6158846880001,-128.124649577 38.6207846880001,-128.127983577 38.6253626880001,-128.132147577 38.631898688,-128.135480577 38.636470688,-128.138813577 38.6413706880001,-128.143394577 38.647906688,-128.146727577 38.652478688,-128.150477577 38.6586846880001,-128.153810577 38.662603688,-128.157974577 38.6688066880001,-128.160888577 38.673706688,-128.163808577 38.678934688,-128.166722577 38.6825236880001,-128.170469577 38.688073688,-128.173805577 38.6923176880001,-128.178383577 38.6988486880001,-128.181302577 38.7034176880001,-128.185466577 38.709620688,-128.188799577 38.714189688,-128.192127577 38.719409688,-128.195047577 38.7230006880001,-128.198797577 38.7291986880001,-128.202124577 38.7337676880001,-128.205044577 38.7383346880001,-128.209208577 38.7448596880001,-128.212541577 38.7494286880001,-128.215872577 38.754645688,-128.218791577 38.759214688,-128.221288577 38.7637751880001,-128.225038577 38.7703006880001,-128.227952577 38.7745396880001,-128.231702577 38.7804096880001,-128.235035577 38.7852986880001,-128.237949577 38.7898646880001,-128.242113577 38.796387688,-128.245447577 38.8016006880001,-128.248360577 38.806164688,-128.252530577 38.8126816880001,-128.255858577 38.8172456880001,-128.258777577 38.822456688,-128.261691577 38.8263676880001,-128.264608577 38.8319096880001,-128.267941577 38.8364706880001,-128.270855577 38.8413566880001,-128.274602577 38.8472206880001,-128.277938577 38.851453688,-128.281272577 38.8573176880001,-128.284185577 38.8622036880001,-128.286685577 38.866764688,-128.290019577 38.873273688,-128.292933577 38.877509688,-128.296683577 38.883695688,-128.299597577 38.8882536880001,-128.302516577 38.8928096880001,-128.305844577 38.899320688,-128.308763577 38.9038786880001,-128.312510577 38.9103876880001,-128.315427577 38.9149426880001,-128.318341577 38.9198256880001,-128.321260577 38.9247066880001,-128.324174577 38.929587688,-128.327922577 38.9357676880001,-128.330835577 38.9406486880001,-128.333755577 38.945525688,-128.336669577 38.951381688,-128.339583577 38.9559376880001,-128.342083577 38.960814188,-128.345416577 38.967320688,-128.348752577 38.971870688,-128.351249577 38.977723188,-128.354163577 38.981953688,-128.357499577 38.9884536880001,-128.360413577 38.993006688,-128.362910577 38.997559688,-128.366247577 39.002756188,-128.369160577 39.0076316880001,-128.372494577 39.013806688,-128.374994577 39.018356688,-128.377908577 39.022909688,-128.380405577 39.028106688,-128.384569577 39.0346036880001,-128.387069577 39.0391506880001,-128.389155577 39.044023688,-128.391652577 39.048573688,-128.394566577 39.0537676880001,-128.397066577 39.0589676880001,-128.399566577 39.0635126880001,-128.402066577 39.0687091880001,-128.404983577 39.073581688,-128.407897577 39.0781236880001,-128.410397577 39.0833206880001,-128.412897577 39.087862688,-128.415810577 39.093059688,-128.418310577 39.0976006880001,-128.421230577 39.1027986880001,-128.423727577 39.107339688,-128.426227577 39.1122066880001,-128.428727577 39.117400688,-128.431641577 39.1222676880001,-128.433724577 39.127459188,-128.435805577 39.1320036880001,-128.438305577 39.137192688,-128.440388577 39.142056688,-128.442052577 39.146600688,-128.444138577 39.151464688,-128.446635577 39.1563316880001,-128.448722577 39.1615176880001,-128.451219577 39.1663816880001,-128.453299577 39.1712456880001,-128.455383577 39.1761096880001,-128.457469577 39.1806501880001,-128.459547577 39.185187688,-128.462047577 39.1903756890001,-128.464130577 39.195562689,-128.467466577 39.2017176890001,-128.470380577 39.206256689,-128.472044577 39.2107956890001,-128.474544577 39.2159786890001,-128.476627577 39.221162689,-128.478291577 39.2256986890001,-128.480377577 39.2308811890001,-128.482460577 39.2357426890001,-128.484541577 39.240278689,-128.487038577 39.245459689,-128.488708577 39.2499956890001,-128.491208577 39.2551756890001,-128.493288577 39.259712689,-128.495372577 39.264889689,-128.497455577 39.2694256890001,-128.499122577 39.2742816890001,-128.501205577 39.2794626890001,-128.502869577 39.284317689,-128.504955577 39.289498689,-128.507033577 39.2940286890001,-128.509116577 39.2992096890001,-128.511202577 39.304064689,-128.513280577 39.3085926890001,-128.514949577 39.313445689,-128.517030577 39.3183006890001,-128.519530577 39.3234786890001,-128.521613577 39.328331689,-128.523277577 39.3331846890001,-128.525363577 39.338037689,-128.527027577 39.342562689,-128.529527577 39.3470926890001,-128.530777577 39.352264689,-128.532860577 39.357442689,-128.534524577 39.361967689,-128.537024577 39.367142689,-128.539108577 39.3719926890001,-128.540772577 39.376517689,-128.542858577 39.3813676890001,-128.544522577 39.386214689,-128.546605577 39.3913896890001,-128.548272577 39.396237689,-128.549519577 39.4010846890001,-128.551605577 39.405934689,-128.552855577 39.4104536890001,-128.554938577 39.4149786890001,-128.556602577 39.419825689,-128.558269577 39.4249956890001,-128.559938577 39.4295176890001,-128.562016577 39.4346846890001,-128.563685577 39.439531689,-128.565349577 39.444375689,-128.567016577 39.4492206890001,-128.568685577 39.453742189,-128.570349577 39.4589096890001,-128.572013577 39.4634286890001,-128.573683577 39.468595689,-128.575347577 39.4731146890001,-128.577010577 39.478278689,-128.578260577 39.482800689,-128.579930577 39.487642689,-128.581597577 39.4928066890001,-128.583260577 39.497325689,-128.584930577 39.5024876890001,-128.586180577 39.507006689,-128.587844577 39.5121676890001,-128.589508577 39.517006689,-128.591177577 39.521525689,-128.592427577 39.526687689,-128.593677577 39.5312036890001,-128.595341577 39.536362689,-128.597005577 39.5408786890001,-128.598674577 39.5460396890001,-128.600341577 39.550553189,-128.601174577 39.555392689,-128.603255577 39.560548689,-128.604924577 39.5650646890001,-128.606588577 39.570223189,-128.608252577 39.5747376890001,-128.610335577 39.5798926890001,-128.612002577 39.584728689,-128.612835577 39.5892426890001,-128.614499577 39.5943956890001,-128.616169577 39.598909689,-128.617835577 39.604064689,-128.619919577 39.6085756890001,-128.621169577 39.6137316890001,-128.622833577 39.6182426890001,-128.624497577 39.6230736890001,-128.626166577 39.6275846890001,-128.627833577 39.6327376890001,-128.629497577 39.6378896890001,-128.631166577 39.6424006890001,-128.633244577 39.6475506890001,-128.634494577 39.652381689,-128.636163577 39.656889689,-128.637827577 39.6614006890001,-128.639077577 39.6665506890001,-128.640744577 39.671698689,-128.642827577 39.676206689,-128.644491577 39.681356689,-128.646160577 39.685862689,-128.647824577 39.6906896890001,-128.649491577 39.6951986890001,-128.651160577 39.7003456890001,-128.652824577 39.705492689,-128.654488577 39.709998689,-128.656158577 39.7151426890001,-128.658238577 39.719967689,-128.659485577 39.724473689,-128.661155577 39.7296176890001,-128.662822577 39.7341236890001,-128.664905577 39.739267689,-128.666985577 39.743770689,-128.668235577 39.7489146890001,-128.669905577 39.7534176890001,-128.671152577 39.7582396890001,-128.672402577 39.763381189,-128.674066577 39.7682036890001,-128.675733577 39.773350689,-128.676983577 39.7778486890001,-128.678652577 39.782992689,-128.680316577 39.7878126890001,-128.681566577 39.792309689,-128.682816577 39.797128689,-128.684480577 39.801948689,-128.685730577 39.8070926890001,-128.687399577 39.8119126890001,-128.689063577 39.8167316890001,-128.690313577 39.8215486890001,-128.691563577 39.8260426890001,-128.693647577 39.830539689,-128.695310577 39.8356786890001,-128.696974577 39.8408176890001,-128.698224577 39.845312689,-128.699474577 39.8504506890001,-128.700310577 39.8552676890001,-128.701558577 39.859759689,-128.702808577 39.8645736890001,-128.703644577 39.8693896890001,-128.704894577 39.8745256890001,-128.705722577 39.8793396890001,-128.706972577 39.8841536890001,-128.708222577 39.888967689,-128.709472577 39.8934596890001,-128.710308577 39.897950689,-128.711141577 39.902764689,-128.712391577 39.907895689,-128.713641577 39.9123876890001,-128.714891577 39.9175206890001,-128.716141577 39.922331689,-128.716969577 39.9271396890001,-128.718219577 39.9319506890001,-128.719469577 39.936442689,-128.720302577 39.9415706890001,-128.721138577 39.946062689,-128.721969577 39.951189689,-128.723219577 39.9556786890001,-128.724052577 39.960806689,-128.725302577 39.9652956890001,-128.726135577 39.970103689,-128.726966577 39.9752316890001,-128.728635577 39.979717689,-128.729466577 39.9848456890001,-128.731135577 39.989331689,-128.731966577 39.9944566890001,-128.732799577 39.999262689,-128.733635577 40.0037486890001,-128.734883577 40.008873689,-128.736133577 40.013359689,-128.737383577 40.0184816890001,-128.737799577 40.022967689,-128.739047577 40.0280896890001,-128.739883577 40.0325736890001,-128.741133577 40.037375689,-128.741960577 40.0424986890001,-128.743210577 40.0469816890001,-128.744047577 40.052103689,-128.745297577 40.056584689,-128.746130577 40.0617066890001,-128.746960577 40.0665061890001,-128.748210577 40.070987689,-128.749044577 40.076106689,-128.750294577 40.080587689,-128.751130577 40.0857066890001,-128.751544577 40.0901876890001,-128.752380577 40.095303689,-128.752794577 40.099784689,-128.753627577 40.104581689,-128.754458577 40.109062689,-128.754877577 40.114178689,-128.755294577 40.1192926890001,-128.756544577 40.1237736890001,-128.756958577 40.1288876890001,-128.757377577 40.1336846890001,-128.757791577 40.1381596890001,-128.758627577 40.142637689,-128.759458577 40.1477506890001,-128.759458577 40.1528646890001,-128.760291577 40.157339689,-128.760705577 40.1624536890001,-128.761127577 40.166928689,-128.761955577 40.171723689,-128.762791577 40.1761956890001,-128.763624577 40.1813066890001,-128.764041577 40.1864176890001,-128.764455577 40.1908926890001,-128.765291577 40.1960006890001,-128.765705577 40.200792689,-128.766124577 40.205267689,-128.766955577 40.210375689,-128.767788577 40.2148486890001,-128.768624577 40.2199566890001,-128.769038577 40.224425689,-128.769452577 40.229534689,-128.770288577 40.2340061890001,-128.770702577 40.238795689,-128.771124577 40.2432646890001,-128.771952577 40.2480531890001,-128.772372577 40.253159689,-128.773202577 40.2576286890001,-128.774038577 40.2627316890001,-128.774452577 40.26720069,-128.774872577 40.2723066900001,-128.775285577 40.27677369,-128.775285577 40.2815596900001,-128.776122577 40.2863456900001,-128.776535577 40.2911286900001,-128.776952577 40.2962316900001,-128.777785577 40.30069869,-128.778202577 40.3057986900001,-128.778622577 40.3102646900001,-128.779035577 40.31504869,-128.779449577 40.3201486900001,-128.779872577 40.32461469,-128.780285577 40.3297146900001,-128.781119577 40.33417869,-128.781119577 40.3392756900001,-128.781119577 40.3437396900001,-128.781949577 40.34852069,-128.782369577 40.35330069,-128.782785577 40.3580816900001,-128.783619577 40.36317869,-128.784035577 40.36764269,-128.784449577 40.3727376900001,-128.784449577 40.3771986900001,-128.785283577 40.38197869,-128.785699577 40.3870736900001,-128.786119577 40.3915346900001,-128.786533577 40.3966286900001,-128.786949577 40.4010876900001,-128.786949577 40.40618169,-128.786949577 40.41064269,-128.786949577 40.41541769,-128.787783577 40.41987369,-128.787783577 40.4249676900001,-128.788197577 40.4297426900001,-128.788197577 40.4345176900001,-128.788197577 40.4396096900001,-128.788619577 40.4440676900001,-128.788619577 40.4488396900001,-128.788619577 40.4532926900001,-128.789033577 40.4583876900001,-128.789033577 40.4634756900001,-128.789866577 40.4679316900001,-128.789866577 40.4730201900001,-128.789866577 40.4774756900001,-128.790283577 40.4822456900001,-128.790697577 40.48669569,-128.790697577 40.49146769,-128.790697577 40.49592069,-128.790283577 40.5010066900001,-128.790283577 40.50609869,-128.790283577 40.5105456900001,-128.790283577 40.51499869,-128.789866577 40.52008469,-128.789447577 40.5245346900001,-128.789447577 40.5293031900001,-128.789447577 40.5343876900001,-128.789447577 40.53883769,-128.789033577 40.5436036900001,-128.789033577 40.5480531900001,-128.789033577 40.55250069,-128.789033577 40.5572676900001,-128.789033577 40.5623506900001,-128.789033577 40.56711769,-128.788619577 40.5718816900001,-128.788619577 40.57632569,-128.788619577 40.5810896900001,-128.788197577 40.5861756900001,-128.787783577 40.59061719,-128.787783577 40.5957006900001,-128.787783577 40.60014569,-128.787783577 40.6045896900001,-128.786949577 40.60935369,-128.786949577 40.6137986900001,-128.786949577 40.61887569,-128.786533577 40.6239536900001,-128.786533577 40.62871469,-128.786533577 40.6334736900001,-128.786119577 40.63823469,-128.786119577 40.64299269,-128.785699577 40.6477536900001,-128.785283577 40.65283169,-128.785283577 40.6572706900001,-128.784869577 40.66234869,-128.784449577 40.66678769,-128.784449577 40.6712286900001,-128.783619577 40.6763036900001,-128.783619577 40.68105969,-128.783199577 40.68581419,-128.782785577 40.6905736900001,-128.782785577 40.6953286900001,-128.781949577 40.70008469,-128.781949577 40.70483969,-128.781535577 40.7095956900001,-128.781119577 40.7143486900001,-128.781119577 40.71942369,-128.780285577 40.72385669,-128.780285577 40.72892869,-128.779449577 40.73336469,-128.779449577 40.73780069,-128.778622577 40.7428706900001,-128.778202577 40.7473066900001,-128.777785577 40.7523736900001,-128.777372577 40.7571256900001,-128.776952577 40.7618756900001,-128.776535577 40.7666256900001,-128.776122577 40.7713786900001,-128.775285577 40.7761286900001,-128.775285577 40.7808786900001,-128.774872577 40.7856256900001,-128.774452577 40.7903756900001,-128.774038577 40.7954426900001,-128.773202577 40.79987369,-128.772788577 40.80430669,-128.771952577 40.80936719,-128.771952577 40.8138006900001,-128.770702577 40.8188646900001,-128.770288577 40.8236096900001,-128.770288577 40.8283566900001,-128.769452577 40.83310369,-128.768624577 40.83784869,-128.767788577 40.8425926900001,-128.767374577 40.8473396900001,-128.766955577 40.85208469,-128.766124577 40.85682869,-128.765705577 40.8618896900001,-128.765291577 40.86631469,-128.764455577 40.87074269,-128.764041577 40.8754871900001,-128.762791577 40.8799146900001,-128.762374577 40.88497069,-128.761955577 40.8897146900001,-128.761127577 40.89445669,-128.759877577 40.8991956900001,-128.759458577 40.9039376900001,-128.758627577 40.90867819,-128.758208577 40.9131036900001,-128.757377577 40.91815969,-128.756544577 40.9225846900001,-128.756127577 40.92763769,-128.755294577 40.9320626900001,-128.754458577 40.93711469,-128.753627577 40.9418536900001,-128.753208577 40.9462751900001,-128.751958577 40.95132869,-128.751544577 40.9560646900001,-128.750294577 40.96080069,-128.749880577 40.9655376900001,-128.749044577 40.9702736900001,-128.748210577 40.97500969,-128.747794577 40.9794316900001,-128.746960577 40.9844816900001,-128.746130577 40.98890069,-128.745297577 40.9939506900001,-128.744460577 40.9983706900001,-128.743633577 41.00341769,-128.742797577 41.00815019,-128.741960577 41.0125706900001,-128.741547577 41.0176176900001,-128.740713577 41.0223486900001,-128.739883577 41.02708169,-128.739047577 41.03181269,-128.738213577 41.03654569,-128.737383577 41.0412751900001,-128.736963577 41.0456926900001,-128.736133577 41.0507376900001,-128.735299577 41.0551506900001,-128.734049577 41.0601956900001,-128.733635577 41.06461269,-128.732385577 41.0696536900001,-128.731966577 41.0743816900001,-128.731135577 41.07879869,-128.729885577 41.08383969,-128.729466577 41.08825369,-128.728635577 41.0932926900001,-128.727802577 41.0980201900001,-128.726135577 41.1027486900001,-128.724466577 41.1074736900001,-128.723638577 41.1118846900001,-128.721969577 41.1169256900001,-128.720719577 41.1213376900001,-128.719469577 41.12637569,-128.717805577 41.13078469,-128.716555577 41.1358236900001,-128.714891577 41.1405486900001,-128.713641577 41.1449566900001,-128.711972577 41.14999219,-128.711141577 41.15440369,-128.709472577 41.1594396900001,-128.708222577 41.1641626900001,-128.706558577 41.16888169,-128.705722577 41.1736036900001,-128.704474577 41.1780126900001,-128.702808577 41.18241469,-128.701974577 41.1871346900001,-128.700310577 41.1921736900001,-128.698644577 41.19657569,-128.697397577 41.20161269,-128.696147577 41.2060146900001,-128.694477577 41.21104869,-128.693647577 41.2157676900001,-128.691977577 41.22016769,-128.690727577 41.2252036900001,-128.689477577 41.22960369,-128.687813577 41.2346376900001,-128.686563577 41.23903769,-128.685313577 41.2440706900001,-128.683649577 41.24910069,-128.682399577 41.2535006900001,-128.680730577 41.25853169,-128.679480577 41.2629316900001,-128.677816577 41.2679596900001,-128.676983577 41.27267369,-128.676152577 41.27361769,-128.675316577 41.2767596900001,-128.675316577 41.2770756900001,-128.675316577 41.2783316900001,-128.674902577 41.2789596900001,-128.674066577 41.2821006900001,-128.674902577 41.28681469,-128.676983577 41.2915286900001,-128.679480577 41.2965536900001,-128.681980577 41.30095069,-128.684063577 41.3056646900001,-128.686149577 41.3106876900001,-128.688649577 41.31508769,-128.691147577 41.32010969,-128.693227577 41.3245066900001,-128.696147577 41.3295316900001,-128.698644577 41.3358126900001,-128.701558577 41.340206691,-128.703644577 41.345228691,-128.705722577 41.349625691,-128.707808577 41.354645691,-128.710308577 41.3590426910001,-128.713222577 41.365003691,-128.715305577 41.369709691,-128.717805577 41.3744176910001,-128.719888577 41.3791236910001,-128.722388577 41.3838286910001,-128.724466577 41.3885346910001,-128.726135577 41.3929286910001,-128.729466577 41.3985736910001,-128.731966577 41.403278691,-128.735299577 41.409237191,-128.737799577 41.413628691,-128.739883577 41.418331691,-128.742383577 41.4242876910001,-128.744880577 41.428989691,-128.747380577 41.433692691,-128.749460577 41.438084191,-128.752380577 41.443098691,-128.754877577 41.4487396910001,-128.757377577 41.453439691,-128.759458577 41.457828691,-128.761955577 41.462528691,-128.764874577 41.468792691,-128.767374577 41.473181691,-128.769874577 41.4781926910001,-128.771952577 41.4825786910001,-128.774038577 41.486964691,-128.776952577 41.491662691,-128.779035577 41.4960456910001,-128.781119577 41.5010596910001,-128.784035577 41.505756691,-128.786119577 41.5104536910001,-128.788619577 41.515148691,-128.790697577 41.5198456910001,-128.793197577 41.524539691,-128.795280577 41.5289206910001,-128.797780577 41.5339316910001,-128.801113577 41.5398756910001,-128.803613577 41.544570691,-128.806113577 41.5489536910001,-128.808610577 41.553648691,-128.811110577 41.559589691,-128.813610577 41.5639731910001,-128.816110577 41.568975691,-128.818608577 41.5733566910001,-128.821522577 41.5789876910001,-128.824022577 41.583364691,-128.826522577 41.5877426910001,-128.829435577 41.593998691,-128.831935577 41.5980626910001,-128.834433577 41.6024426910001,-128.836519577 41.6071311910001,-128.839433577 41.611506191,-128.841933577 41.6177596910001,-128.844430577 41.621820691,-128.846516577 41.6265096910001,-128.849430577 41.6311986910001,-128.851930578 41.6371376910001,-128.854427578 41.6418256910001,-128.856927578 41.6465126910001,-128.859427578 41.651198691,-128.861924578 41.6577596910001,-128.864424578 41.6621286910001,-128.866924578 41.6668146910001,-128.869424578 41.6715006910001,-128.872758578 41.6774376910001,-128.875258578 41.6821206910001,-128.877341578 41.6864896910001,-128.879422578 41.6914896910001,-128.882755578 41.6977316910001,-128.885252578 41.7024126910001,-128.887752578 41.7074096910001,-128.890252578 41.7120926910001,-128.892752578 41.7167736910001,-128.895666578 41.722703691,-128.898163578 41.727073691,-128.900249578 41.7320641910001,-128.902749578 41.7364346910001,-128.905247578 41.7414236910001,-128.907333578 41.7457926910001,-128.909410578 41.750473691,-128.911910578 41.754837691,-128.914410578 41.7598286910001,-128.916494578 41.7648176910001,-128.918158578 41.7691876910001,-128.920658578 41.774173691,-128.922741578 41.7788506910001,-128.925241578 41.7832176910001,-128.927741578 41.788203691,-128.929824578 41.792570691,-128.931905578 41.7975566910001,-128.933988578 41.8019206910001,-128.936074578 41.8069066910001,-128.938572578 41.8112706910001,-128.940652578 41.815945691,-128.943152578 41.8209316910001,-128.945649578 41.825603691,-128.947735578 41.8305876910001,-128.949819578 41.8349506910001,-128.951899578 41.8399346910001,-128.954397578 41.8446066910001,-128.955233578 41.848967691,-128.957733578 41.8536396910001,-128.959397578 41.858312691,-128.961480578 41.863292691,-128.963144578 41.8679626910001,-128.964813578 41.872634691,-128.966480578 41.8773036910001,-128.968144578 41.881662691,-128.970227578 41.8860206910001,-128.972313578 41.891000691,-128.974391578 41.895978691,-128.976477578 41.9003376910001,-128.978141578 41.9053146910001,-128.980638578 41.909981691,-128.982310578 41.9143396910001,-128.983558578 41.9190061910001,-128.985638578 41.923673691,-128.987308578 41.928648691,-128.988558578 41.9333141910001,-128.990635578 41.9379816910001,-128.992722578 41.9426456910001,-128.993972578 41.947000691,-128.996055578 41.9513566910001,-128.997719578 41.956020691,-128.998969578 41.9609926910001,-129.000633578 41.965348691,-129.002302578 41.970320691,-129.004383578 41.974981691,-129.006052578 41.979645691,-129.007716578 41.984306691,-129.008966578 41.9886596910001,-129.010216578 41.9936316910001,-129.011880578 41.9979816910001,-129.013963578 42.0029506910001,-129.015630578 42.0073036910001,-129.017299578 42.0122736910001,-129.018963578 42.0166236910001,-129.020627578 42.0212816910001,-129.022297578 42.026250691,-129.023960578 42.0305986910001,-129.025210578 42.035567691,-129.026874578 42.039914691,-129.028544578 42.0448816910001,-129.030210578 42.0495396910001,-129.031874578 42.0538876910001,-129.032708578 42.058853691,-129.034374578 42.0632006910001,-129.036044578 42.0681646910001,-129.037294578 42.072512691,-129.038541578 42.0774756910001,-129.040208578 42.0818206910001,-129.041872578 42.086475691,-129.043122578 42.0914391910001,-129.044372578 42.0957846910001,-129.046041578 42.100745691,-129.047288578 42.105089691,-129.048538578 42.1100536910001,-129.049788578 42.114703691,-129.051038578 42.119048691,-129.052702578 42.124009691,-129.053538578 42.128350691,-129.055202578 42.1333126910001,-129.056866578 42.137653691,-129.058116578 42.1426126910001,-129.059366578 42.1469536910001,-129.060616578 42.151603691,-129.061866578 42.1559396910001,-129.063535578 42.1609006910001,-129.064363578 42.165859691,-129.066033578 42.1701986910001,-129.067283578 42.175156691,-129.068533578 42.1798036910001,-129.069783578 42.184142691,-129.071033578 42.1884756910001,-129.072283578 42.1934346910001,-129.073533578 42.198389691,-129.074780578 42.2027256910001,-129.076030578 42.2076816910001,-129.077280578 42.212017691,-129.078530578 42.2166626910001,-129.079780578 42.220995691,-129.081030578 42.225950691,-129.081858578 42.230903691,-129.083527578 42.2352396910001,-129.084777578 42.2401891910001,-129.085608578 42.2448346910001,-129.086858578 42.249167691,-129.087691578 42.254117691,-129.089358578 42.2584506910001,-129.090608578 42.2634006910001,-129.091441578 42.267734691,-129.092691578 42.2726816910001,-129.093941578 42.277014691,-129.095191578 42.281653691,-129.096438578 42.286603691,-129.097274578 42.291242191,-129.098524578 42.2961896910001,-129.099355578 42.300520191,-129.101024578 42.3054646910001,-129.101852578 42.3101036910001,-129.102688578 42.314434691,-129.103938578 42.319070691,-129.104772578 42.323706691,-129.106022578 42.3286506910001,-129.107685578 42.3332896910001,-129.108522578 42.3379236910001,-129.109772578 42.3425596910001,-129.111019578 42.3468876910001,-129.111849578 42.3512146910001,-129.113519578 42.3561566910001,-129.114349578 42.3610986910001,-129.115599578 42.365425691,-129.116849578 42.3703646910001,-129.118519578 42.374998691,-129.118933578 42.379323691,-129.119769578 42.383956691,-129.120597578 42.3885896910001,-129.121433578 42.393528691,-129.121847578 42.398159691,-129.122683578 42.4027891910001,-129.123516578 42.407420691,-129.123930578 42.4117456920001,-129.124766578 42.4160676920001,-129.125597578 42.420695692,-129.126016578 42.4256346920001,-129.126847578 42.429953692,-129.127680578 42.4348896920001,-129.128516578 42.439520692,-129.129344578 42.4441486920001,-129.130180578 42.448775192,-129.131013578 42.453095692,-129.131844578 42.458028692,-129.132263578 42.462348692,-129.133513578 42.467281692,-129.133927578 42.471600692,-129.134344578 42.476534692,-129.135177578 42.480850692,-129.135594578 42.4854756920001,-129.136013578 42.4904096920001,-129.136841578 42.494725692,-129.137677578 42.499656692,-129.138091578 42.503973192,-129.138927578 42.508903692,-129.139341578 42.513525692,-129.139760578 42.517842692,-129.140591578 42.5227706920001,-129.140591578 42.5270846920001,-129.141010578 42.5320146920001,-129.141841578 42.536328692,-129.142674578 42.541256692,-129.142674578 42.5455706920001,-129.143924578 42.5501891920001,-129.144341578 42.5551146920001,-129.144760578 42.559428692,-129.145174578 42.5643536920001,-129.145591578 42.568664692,-129.146010578 42.573589692,-129.146838578 42.578209692,-129.147260578 42.5825206920001,-129.147674578 42.5874456920001,-129.148508578 42.5917536920001,-129.149338578 42.5966786920001,-129.149758578 42.600987692,-129.150174578 42.6059096920001,-129.151008578 42.610217692,-129.151008578 42.614834692,-129.151422578 42.619139692,-129.151838578 42.624064692,-129.152258578 42.6289846920001,-129.152672578 42.6332926920001,-129.153088578 42.638212692,-129.153508578 42.642825692,-129.153508578 42.6471311920001,-129.154338578 42.6514346920001,-129.154758578 42.656356692,-129.155172578 42.6612736920001,-129.155172578 42.6655786920001,-129.156008578 42.670495692,-129.156008578 42.6748006920001,-129.156422578 42.679412692,-129.156422578 42.683712692,-129.156422578 42.6886316920001,-129.156835578 42.693548692,-129.156835578 42.697850692,-129.157255578 42.7027646920001,-129.157672578 42.707373692,-129.157672578 42.711675692,-129.158085578 42.7165896920001,-129.158505578 42.7208896920001,-129.158505578 42.7258036920001,-129.158922578 42.7301036920001,-129.159335578 42.7350146920001,-129.159335578 42.7393146920001,-129.159755578 42.7439206920001,-129.160172578 42.7488316920001,-129.160172578 42.753437692,-129.160172578 42.758348192,-129.160585578 42.762645692,-129.161005578 42.767556692,-129.161005578 42.7721596920001,-129.161005578 42.7764566920001,-129.161419578 42.781059692,-129.161419578 42.7856626920001,-129.161835578 42.7905706920001,-129.161835578 42.7951706920001,-129.161835578 42.799773692,-129.161835578 42.8043736920001,-129.161835578 42.8086706920001,-129.162255578 42.812964692,-129.162669578 42.817870692,-129.162669578 42.8227756920001,-129.163085578 42.827684692,-129.162669578 42.8325876920001,-129.163085578 42.8368816920001,-129.163085578 42.841170692,-129.163505578 42.846078692,-129.163505578 42.850675692,-129.163505578 42.8549646920001,-129.163505578 42.8598706920001,-129.162669578 42.862317692,-129.161835578 42.8641566920001,-129.161419578 42.868753692,-129.161419578 42.8730456920001,-129.161005578 42.877945692,-129.161005578 42.8822346920001,-129.161005578 42.8868286920001,-129.161005578 42.891423692,-129.160585578 42.8963236920001,-129.160585578 42.901225692,-129.160172578 42.9055126920001,-129.160172578 42.9104126920001,-129.160172578 42.9153096920001,-129.160172578 42.9195981920001,-129.159335578 42.924189692,-129.159335578 42.9284736920001,-129.159335578 42.9330646920001,-129.159335578 42.9373506920001,-129.158922578 42.942245692,-129.158922578 42.9465316920001,-129.158505578 42.951425692,-129.158505578 42.9563256920001,-129.158505578 42.9606066920001,-129.158085578 42.9651956920001,-129.158085578 42.9694786920001,-129.157672578 42.974373692,-129.157672578 42.9786566920001,-129.157672578 42.983242692,-129.157672578 42.9881346920001,-129.156835578 42.992723192,-129.156835578 42.9976176920001,-129.156835578 43.0022036920001,-129.156422578 43.0064816920001,-129.156422578 43.0113756920001,-129.156422578 43.0156501920001,-129.156422578 43.020545692,-129.156008578 43.024820692,-129.155585578 43.0294066920001,-129.155585578 43.0336846920001,-129.155585578 43.0385736920001,-129.155172578 43.0428506920001,-129.155172578 43.0474346920001,-129.155172578 43.0523206920001,-129.154758578 43.0565986920001,-129.154758578 43.0614846920001,-129.154338578 43.0657626920001,-129.153508578 43.0706486920001,-129.153088578 43.074923692,-129.152672578 43.0795036920001,-129.152672578 43.084084692,-129.151838578 43.0886646920001,-129.151422578 43.093242692,-129.151008578 43.0978236920001,-129.150174578 43.102706692,-129.150174578 43.106978692,-129.149338578 43.1115566920001,-129.148924578 43.116439192,-129.148508578 43.120712692,-129.148088578 43.1255926920001,-129.147674578 43.1298676920001,-129.146838578 43.1347456920001,-129.146424578 43.139017692,-129.146010578 43.1435956920001,-129.145174578 43.1481706920001,-129.144760578 43.1527456920001,-129.144341578 43.157317692,-129.143510578 43.161892692,-129.143091578 43.1667701920001,-129.142674578 43.1710396920001,-129.141841578 43.1756146920001,-129.141427578 43.180489692,-129.141010578 43.1847596920001,-129.140591578 43.189634692,-129.139760578 43.193903692,-129.139341578 43.1987786920001,-129.138927578 43.203045692,-129.138091578 43.207617692,-129.137263578 43.2118846920001,-129.136841578 43.2164536920001,-129.136013578 43.2210236920001,-129.135594578 43.2255926920001,-129.135177578 43.2304646920001,-129.134763578 43.234731692,-129.134344578 43.2396006920001,-129.133513578 43.243867692,-129.132680578 43.2481286920001,-129.131844578 43.2530006920001,-129.131013578 43.2575676920001,-129.130180578 43.2621346920001,-129.129763578 43.266700692,-129.129344578 43.271267692,-129.128094578 43.275834692,-129.127266578 43.2803986920001,-129.126847578 43.2849646920001,-129.125597578 43.289528692,-129.125180578 43.2943956920001,-129.123930578 43.2986566920001,-129.123516578 43.3035236920001,-129.123097578 43.307784692,-129.121847578 43.312039692,-129.121016578 43.3169096920001,-129.120183578 43.321470692,-129.119347578 43.3260316920001,-129.118519578 43.330592692,-129.117269578 43.3351536920001,-129.116019578 43.339714692,-129.115599578 43.3442756920001,-129.114349578 43.3488376920001,-129.113519578 43.353395692,-129.112269578 43.358259692,-129.111435578 43.362514692,-129.110185578 43.3673756920001,-129.109349578 43.3716316920001,-129.108102578 43.3758846920001,-129.106852578 43.3807486920001,-129.106022578 43.3849986920001,-129.105188578 43.3898621920001,-129.103938578 43.394417692,-129.103102578 43.398973192,-129.101852578 43.4035316920001,-129.101024578 43.408087692,-129.099774578 43.4126426920001,-129.098524578 43.4171956920001,-129.097688578 43.421750692,-129.096438578 43.426303692,-129.095191578 43.431162692,-129.094355578 43.4354126920001,-129.093105578 43.4396596920001,-129.091855578 43.444517692,-129.091027578 43.4487646920001,-129.089777578 43.4536236920001,-129.088527578 43.4581756920001,-129.087277578 43.462725692,-129.086027578 43.467278692,-129.085194578 43.471828692,-129.083944578 43.476378692,-129.082694578 43.4809286920001,-129.081030578 43.4854786930001,-129.080194578 43.4900286930001,-129.078944578 43.494878693,-129.077697578 43.4991256930001,-129.076030578 43.503367693,-129.075197578 43.5079176930001,-129.073947578 43.5121626930001,-129.072697578 43.517012693,-129.071033578 43.521559693,-129.069783578 43.526106693,-129.068533578 43.530650193,-129.067699578 43.535198693,-129.066449578 43.5397426930001,-129.064785578 43.5439876930001,-129.063535578 43.5488346930001,-129.062699578 43.553075693,-129.061035578 43.5579236930001,-129.059785578 43.5621641930001,-129.058116578 43.567009693,-129.057285578 43.5715536930001,-129.056035578 43.575795693,-129.054366578 43.580637693,-129.053119578 43.585181693,-129.051452578 43.5897236930001,-129.050205578 43.5942646930001,-129.048538578 43.598803693,-129.047288578 43.6033456930001,-129.045619578 43.607584693,-129.043955578 43.612425693,-129.042705578 43.6166646930001,-129.041041578 43.6215061930001,-129.039372578 43.6257426930001,-129.037708578 43.6305841930001,-129.036044578 43.635120693,-129.034794578 43.6393596930001,-129.033544578 43.6441986930001,-129.031874578 43.6487346930001,-129.030210578 43.653270693,-129.028544578 43.657809693,-129.026874578 43.6623456930001,-129.025627578 43.6668816930001,-129.023960578 43.6711146930001,-129.021877578 43.6759506930001,-129.020213578 43.6801846930001,-129.018127578 43.6850206930001,-129.016880578 43.6892536930001,-129.014380578 43.6940896930001,-129.013130578 43.6986236930001,-129.011049578 43.7028536930001,-129.008966578 43.7076891930001,-129.007716578 43.711920693,-129.005216578 43.716753693,-129.003969578 43.721284693,-129.001883578 43.7258176930001,-129.000633578 43.7303486930001,-128.998555578 43.7345786930001,-128.996885578 43.739409693,-128.995219578 43.743637693,-128.993135578 43.7484676930001,-128.991472578 43.7526986930001,-128.989808578 43.757528693,-128.987722578 43.762056693,-128.986058578 43.766284693,-128.984388578 43.7711121930001,-128.982310578 43.775339693,-128.980638578 43.7801676930001,-128.979391578 43.7846956930001,-128.976891578 43.7892206930001,-128.975227578 43.7937486930001,-128.973560578 43.7979736930001,-128.971477578 43.802198693,-128.969813578 43.806723693,-128.967727578 43.8115486930001,-128.966063578 43.815773693,-128.963980578 43.8205986930001,-128.962316578 43.824820693,-128.960230578 43.829645693,-128.958566578 43.834167693,-128.956483578 43.8383896930001,-128.954397578 43.8432146930001,-128.952733578 43.847434693,-128.950649578 43.8522566930001,-128.948985578 43.856478693,-128.947319578 43.861300693,-128.945235578 43.8655201930001,-128.943572578 43.8700426930001,-128.941485578 43.8748621930001,-128.939402578 43.879081693,-128.937322578 43.883900693,-128.936074578 43.8881206930001,-128.933574578 43.8929396930001,-128.931488578 43.8977561930001,-128.929824578 43.9019756930001,-128.928155578 43.906192693,-128.926905578 43.9083006930001,-128.926077578 43.9089036930001,-128.925241578 43.9107096930001,-128.922741578 43.914923693,-128.921908578 43.9194396930001,-128.920244578 43.9242596930001,-128.919408578 43.9284736930001,-128.918158578 43.932987193,-128.916908578 43.937806693,-128.916080578 43.942017693,-128.914410578 43.9468376930001,-128.913994578 43.9510486930001,-128.912330578 43.9558646930001,-128.911497578 43.9600756930001,-128.910247578 43.9645876930001,-128.908583578 43.968800693,-128.908160578 43.9733141930001,-128.906913578 43.9778256930001,-128.905663578 43.982337693,-128.904413578 43.9871486930001,-128.903583578 43.991362693,-128.902333578 43.9961706930001,-128.901083578 44.0003816930001,-128.899833578 44.0045926930001,-128.898585578 44.009400193,-128.897749578 44.0139126930001,-128.896499578 44.0184206930001,-128.895666578 44.022928693,-128.894416578 44.0274376930001,-128.893585578 44.0319456930001,-128.891916578 44.0364536930001,-128.891085578 44.040962693,-128.890252578 44.045467693,-128.888588578 44.0502736930001,-128.887338578 44.0544816930001,-128.886502578 44.059287693,-128.885252578 44.0634926930001,-128.884005578 44.0676986930001,-128.882755578 44.072503693,-128.881919578 44.077009693,-128.880669578 44.081512693,-128.879422578 44.086017693,-128.878172578 44.090520193,-128.876922578 44.095023693,-128.876091578 44.099525693,-128.874841578 44.104028693,-128.873591578 44.108531693,-128.871922578 44.1133316930001,-128.871094578 44.117534693,-128.869844578 44.122334693,-128.868594578 44.126537693,-128.867344578 44.1307376930001,-128.866094578 44.1355376930001,-128.864844578 44.139737693,-128.863594578 44.1445376930001,-128.861924578 44.149034693,-128.860677578 44.153534693,-128.859427578 44.1580316930001,-128.857760578 44.1625316930001,-128.856097578 44.1670286930001,-128.854847578 44.171525693,-128.853599578 44.176023693,-128.851930578 44.1805201930001,-128.850263577 44.1853146930001,-128.848599577 44.189512693,-128.847766577 44.1937091930001,-128.846099577 44.1985036930001,-128.844430577 44.2026986930001,-128.842766577 44.2074921930001,-128.841933577 44.211987693,-128.840266577 44.216481693,-128.838602577 44.2209736930001,-128.837352577 44.225467693,-128.835269577 44.2299591930001,-128.834019577 44.234453693,-128.832355577 44.2389456930001,-128.831105577 44.243437693,-128.829435577 44.2482256930001,-128.827355577 44.252420693,-128.826935577 44.2566126930001,-128.825272577 44.2611036930001,-128.823188577 44.2652891930001,-128.821108577 44.2700816930001,-128.819438577 44.274573693,-128.817358577 44.2790626930001,-128.815274577 44.2835506930001,-128.813191577 44.288037693,-128.811527577 44.2925251930001,-128.809860577 44.2967126930001,-128.807777577 44.301500693,-128.806113577 44.305687693,-128.804027577 44.3104756930001,-128.801944577 44.3146596930001,-128.800280577 44.319448693,-128.797780577 44.3239346930001,-128.796116577 44.328117193,-128.794030577 44.332903693,-128.792366577 44.337387693,-128.790283577 44.341873693,-128.788197577 44.3463566930001,-128.786533577 44.3508396930001,-128.784449577 44.3553236930001,-128.782785577 44.3595036930001,-128.781119577 44.364289693,-128.779035577 44.3684706930001,-128.776952577 44.373253693,-128.775285577 44.3774346930001,-128.773202577 44.382214693,-128.771124577 44.386695693,-128.769452577 44.3908756930001,-128.766955577 44.395656693,-128.765291577 44.400137693,-128.763205577 44.404617693,-128.761127577 44.409095693,-128.759041577 44.413573693,-128.758627577 44.415064693,-128.756958577 44.4162626930001,-128.756544577 44.418053193,-128.756127577 44.4222286930001,-128.755708577 44.4270096930001,-128.755708577 44.431184693,-128.755294577 44.4359626930001,-128.754877577 44.440139693,-128.754458577 44.444914693,-128.754458577 44.4493926930001,-128.754458577 44.453567693,-128.753627577 44.4583426930001,-128.753627577 44.4625176930001,-128.753208577 44.467292693,-128.752794577 44.4717676930001,-128.752794577 44.476239693,-128.752380577 44.480714693,-128.751958577 44.4848876930001,-128.751958577 44.4896596930001,-128.751544577 44.4938316930001,-128.751130577 44.4986036930001,-128.751130577 44.502775693,-128.750294577 44.507548693,-128.750294577 44.5120206930001,-128.749880577 44.5161896930001,-128.749460577 44.5209626930001,-128.749460577 44.525131693,-128.749044577 44.5299006930001,-128.748630577 44.5346676930001,-128.748630577 44.5388396930001,-128.748630577 44.543306693,-128.748630577 44.548073693,-128.748630577 44.552245693,-128.748630577 44.5570096930001,-128.748630577 44.561178194,-128.749044577 44.5659426940001,-128.749044577 44.570112694,-128.749460577 44.5745786940001,-128.749460577 44.5787456940001,-128.749460577 44.583512694,-128.749460577 44.5879756940001,-128.749460577 44.5924426940001,-128.749460577 44.597200694,-128.749880577 44.601370694,-128.749880577 44.6058346940001,-128.749880577 44.6099986940001,-128.750294577 44.614762694,-128.749880577 44.6195206940001,-128.750710577 44.6239816940001,-128.750294577 44.628739694,-128.750710577 44.633203694,-128.751130577 44.637367694,-128.751130577 44.6421256940001,-128.751130577 44.6462896940001,-128.751544577 44.6510456940001,-128.751544577 44.6552096940001,-128.751958577 44.6599646940001,-128.751958577 44.6641286940001,-128.751958577 44.668589694,-128.752380577 44.673342694,-128.752794577 44.677506694,-128.752794577 44.682259694,-128.753208577 44.686420694,-128.753208577 44.691175694,-128.753627577 44.695631694,-128.753627577 44.6997926940001,-128.754044577 44.704545694,-128.754458577 44.7087036940001,-128.754458577 44.7134566940001,-128.754458577 44.7176146940001,-128.754877577 44.7223646940001,-128.754877577 44.726525694,-128.754877577 44.730978694,-128.755294577 44.7351376940001,-128.755708577 44.7398876940001,-128.755708577 44.7446346940001,-128.756127577 44.748792694,-128.756544577 44.753539694,-128.756544577 44.7579926940001,-128.756958577 44.7621486940001,-128.756958577 44.766303694,-128.757377577 44.7710506940001,-128.757791577 44.7757986940001,-128.757791577 44.779953694,-128.758208577 44.784698694,-128.758627577 44.7888536940001,-128.758627577 44.793300694,-128.758627577 44.7974566940001,-128.759041577 44.802198694,-128.759458577 44.806942694,-128.759458577 44.8110956940001,-128.759458577 44.815839694,-128.759458577 44.8202876940001,-128.759458577 44.824437694,-128.759877577 44.8291786940001,-128.759877577 44.833331694,-128.760291577 44.8380706940001,-128.760291577 44.842223694,-128.760705577 44.8469626940001,-128.760705577 44.8511121940001,-128.761127577 44.855556694,-128.761127577 44.8602956940001,-128.761955577 44.864739694,-128.761955577 44.8694816940001,-128.761955577 44.8736256940001,-128.762374577 44.8783676940001,-128.762791577 44.8828096940001,-128.762791577 44.8869536940001,-128.763205577 44.891395694,-128.763624577 44.8958376940001,-128.764041577 44.9002786940001,-128.763624577 44.9044236940001,-128.763624577 44.909159694,-128.763624577 44.9138986940001,-128.762791577 44.9180396940001,-128.762791577 44.9221846940001,-128.762791577 44.9269176940001,-128.762791577 44.931356694,-128.762374577 44.935498694,-128.762374577 44.940231694,-128.762374577 44.9449676940001,-128.761955577 44.9491066940001,-128.761955577 44.9535426940001,-128.761955577 44.9576876940001,-128.761955577 44.9624176940001,-128.761541577 44.9665596940001,-128.761955577 44.9709926940001,-128.761127577 44.9754286940001,-128.760705577 44.9798646940001,-128.760291577 44.9842986940001,-128.759877577 44.9887316940001,-128.759458577 44.9931676940001,-128.759041577 44.997600694,-128.758627577 45.002034694,-128.758208577 45.006759694,-128.757791577 45.010898694,-128.757377577 45.0156256940001,-128.756958577 45.0197626940001,-128.756544577 45.0238986940001,-128.755708577 45.028625694,-128.755294577 45.032762694,-128.754877577 45.037487694,-128.754458577 45.0419146940001,-128.754044577 45.0463456940001,-128.753627577 45.050775694,-128.752794577 45.0552036940001,-128.752794577 45.0596311940001,-128.751958577 45.064062694,-128.751130577 45.0684896940001,-128.750710577 45.0729176940001,-128.750294577 45.077637694,-128.749460577 45.0817701940001,-128.749044577 45.0859036940001,-128.748630577 45.090623694,-128.747794577 45.0947566940001,-128.747794577 45.099475694,-128.746960577 45.1039006940001,-128.746960577 45.108325694,-128.746130577 45.1127486940001,-128.745710577 45.117173694,-128.745297577 45.1215986940001,-128.744460577 45.126020694,-128.743633577 45.1304456940001,-128.743210577 45.134867694,-128.742797577 45.1395846940001,-128.741960577 45.143712694,-128.741960577 45.147839694,-128.741133577 45.1522626940001,-128.740713577 45.1563846940001,-128.740297577 45.1611036940001,-128.739883577 45.1655236940001,-128.739047577 45.169942694,-128.738213577 45.1743626940001,-128.737799577 45.1787816940001,-128.737383577 45.1832006940001,-128.736963577 45.187323694,-128.736549577 45.1920376940001,-128.735713577 45.1961596940001,-128.735299577 45.2008736940001,-128.734463577 45.204995694,-128.733635577 45.209709694,-128.733213577 45.2144176940001,-128.732799577 45.2185396940001,-128.731966577 45.2232506940001,-128.731966577 45.227959694,-128.731966577 45.232081694,-128.731966577 45.236495694,-128.732385577 45.240617194,-128.732799577 45.245323694,-128.732799577 45.250031694,-128.732799577 45.254150694,-128.733213577 45.258856694,-128.733213577 45.263270694,-128.733635577 45.267389694,-128.733635577 45.272095694,-128.733635577 45.276214694,-128.734049577 45.280917694,-128.734463577 45.285037694,-128.734463577 45.289739694,-128.734463577 45.2938566940001,-128.734463577 45.2982676940001,-128.734463577 45.3023846940001,-128.734463577 45.3067926940001,-128.734883577 45.311495694,-128.734883577 45.315612694,-128.734883577 45.3203126940001,-128.734883577 45.3244286940001,-128.735299577 45.3291286940001,-128.735299577 45.333242694,-128.735299577 45.3376486940001,-128.735299577 45.3420566940001,-128.735713577 45.3464626940001,-128.736133577 45.351159694,-128.736133577 45.3552736940001,-128.736133577 45.359970694,-128.736133577 45.364084694,-128.736133577 45.3684876940001,-128.736133577 45.373184694,-128.736133577 45.3772956940001,-128.736133577 45.3819926940001,-128.736133577 45.386103694,-128.736133577 45.3907986940001,-128.736549577 45.394909694,-128.736963577 45.3993096940001,-128.736963577 45.403712694,-128.736963577 45.4081126940001,-128.736963577 45.412806694,-128.736963577 45.4169146940001,-128.736963577 45.421606694,-128.736963577 45.4257146940001,-128.736963577 45.4301146940001,-128.736963577 45.434806694,-128.736549577 45.4389126940001,-128.736963577 45.443603694,-128.736963577 45.447709694,-128.736549577 45.4524006940001,-128.736549577 45.456506194,-128.736549577 45.4609036940001,-128.736133577 45.4650036940001,-128.736133577 45.4696956940001,-128.736133577 45.474092694,-128.736133577 45.4784896940001,-128.736133577 45.4831756940001,-128.736133577 45.4875706940001,-128.736133577 45.491964694,-128.736133577 45.494603694,-128.734463577 45.496653694,-128.736133577 45.500753694,-128.737799577 45.5054396940001,-128.739047577 45.5095426940001,-128.741133577 45.5142256940001,-128.741960577 45.518620694,-128.744047577 45.522720694,-128.745710577 45.527403694,-128.746960577 45.531503694,-128.748630577 45.536187694,-128.750294577 45.540287694,-128.751958577 45.544967694,-128.752794577 45.549067694,-128.754877577 45.553456694,-128.756544577 45.558139694,-128.757791577 45.562237694,-128.759458577 45.566917694,-128.761127577 45.571014694,-128.762791577 45.5756926940001,-128.763624577 45.5800816940001,-128.765291577 45.5841786940001,-128.767374577 45.5888566940001,-128.768624577 45.5929506940001,-128.770288577 45.597628694,-128.771538577 45.601723694,-128.773202577 45.6064006940001,-128.774452577 45.6104956940001,-128.776122577 45.6148816940001,-128.777372577 45.618975694,-128.779035577 45.623650694,-128.780285577 45.6283256940001,-128.781949577 45.6324176950001,-128.783619577 45.637092695,-128.785283577 45.6414756950001,-128.786533577 45.6455676950001,-128.788197577 45.649659695,-128.789866577 45.6543316950001,-128.791116577 45.6590036950001,-128.792783577 45.663095695,-128.793616577 45.6677676950001,-128.795280577 45.671856695,-128.796116577 45.6762376950001,-128.797366577 45.6803256950001,-128.798194577 45.6849956950001,-128.799444577 45.689667695,-128.800280577 45.6937536950001,-128.801530577 45.698423695,-128.802777577 45.7028036950001,-128.804444577 45.706889695,-128.805277577 45.7115566950001,-128.806527577 45.715645695,-128.807363577 45.7203126950001,-128.808610577 45.724398695,-128.810277577 45.729064695,-128.811110577 45.7331501950001,-128.811941577 45.737525195,-128.813610577 45.742189695,-128.814441577 45.7465646950001,-128.816110577 45.7512346950001,-128.816938577 45.755314695,-128.818188577 45.7599816950001,-128.819438577 45.7643566950001,-128.820688577 45.7684346950001,-128.821938577 45.772806695,-128.822772577 45.777178695,-128.824438577 45.7818456950001,-128.825272577 45.7862176950001,-128.826522577 45.7905876950001,-128.827355577 45.794959195,-128.828185577 45.799037695,-128.828605577 45.803117195,-128.830269577 45.807775695,-128.831519577 45.8124396950001,-128.832769577 45.8165146950001,-128.833605577 45.8211781950001,-128.834855577 45.8255456950001,-128.836102577 45.8296206950001,-128.836933577 45.8339896950001,-128.838183577 45.8383566950001,-128.839433577 45.8430176950001,-128.840266577 45.8473846950001,-128.841516577 45.8517506950001,-128.842352577 45.8561176950001,-128.843180577 45.860189195,-128.844016577 45.864264695,-128.844430577 45.868628695,-128.845680577 45.8732846950001,-128.846930577 45.8773596950001,-128.847766577 45.8820126950001,-128.849013577 45.886375695,-128.849430577 45.890739695,-128.850680577 45.895103695,-128.852349578 45.8991756950001,-128.852763578 45.9038286950001,-128.854013578 45.9079006950001,-128.854847578 45.9125506950001,-128.855263578 45.9166236950001,-128.856097578 45.921273695,-128.856927578 45.925345695,-128.857760578 45.9297066950001,-128.858597578 45.934353695,-128.859427578 45.938425695,-128.860260578 45.9430736950001,-128.861097578 45.947142695,-128.861510578 45.9517926950001,-128.862347578 45.9561486950001,-128.863174578 45.960217695,-128.864424578 45.9648646950001,-128.864844578 45.968931695,-128.865674578 45.9735786950001,-128.866094578 45.977645695,-128.866924578 45.9822926950001,-128.867758578 45.986359695,-128.868594578 45.9907146950001,-128.869424578 45.995359695,-128.869844578 45.9994236950001,-128.871094578 46.0040676950001,-128.871508578 46.008131695,-128.871922578 46.0127756950001,-128.872758578 46.0171286950001,-128.873172578 46.0211926950001,-128.874422578 46.0258346950001,-128.874841578 46.029898695,-128.875258578 46.034537695,-128.876091578 46.0386006950001,-128.876505578 46.0432426950001,-128.876922578 46.047303695,-128.877341578 46.051653695,-128.878172578 46.0557146950001,-128.879005578 46.0603536950001,-128.879422578 46.0649921950001,-128.879422578 46.069053695,-128.880255578 46.073689695,-128.880669578 46.078039695,-128.881091578 46.0820981950001,-128.881919578 46.086159695,-128.881919578 46.0907956950001,-128.882755578 46.0954316950001,-128.883588578 46.099489695,-128.884005578 46.1041236950001,-128.884419578 46.108181695,-128.885252578 46.112525195,-128.885669578 46.116584695,-128.886088578 46.121217695,-128.886919578 46.1258506950001,-128.887338578 46.129906695,-128.887752578 46.1345396950001,-128.888588578 46.1388846950001,-128.889002578 46.1429376950001,-128.889416578 46.1475706950001,-128.890252578 46.1516236950001,-128.890666578 46.156253695,-128.891085578 46.1603096950001,-128.891916578 46.164937695,-128.892752578 46.168992695,-128.895249578 46.1733316950001,-128.897749578 46.1779626950001,-128.900249578 46.182300695,-128.902749578 46.186934695,-128.904413578 46.1909816950001,-128.907333578 46.1956126950001,-128.909410578 46.199950695,-128.911910578 46.2039986950001,-128.914410578 46.2083376950001,-128.916908578 46.2141206950001,-128.920244578 46.218459695,-128.922327578 46.2227956950001,-128.925241578 46.2268456950001,-128.927741578 46.230889695,-128.930655578 46.2355176950001,-128.933155578 46.240139695,-128.935238578 46.2441876950001,-128.937738578 46.248809695,-128.940235578 46.252856695,-128.942322578 46.2571926950001,-128.944399578 46.261234695,-128.946485578 46.2658596950001,-128.949399578 46.2704816950001,-128.951483578 46.2745256950001,-128.953569578 46.2791456950001,-128.956066578 46.283478695,-128.958147578 46.2875236950001,-128.961066578 46.2921426950001,-128.963566578 46.2961846950001,-128.966063578 46.3008036950001,-128.968563578 46.304845695,-128.971063578 46.309464695,-128.973560578 46.3135066950001,-128.976060578 46.317837695,-128.978560578 46.322453695,-128.980638578 46.3267816950001,-128.983558578 46.3313986950001,-128.985638578 46.3354376950001,-128.988138578 46.3400536950001,-128.990222578 46.344381695,-128.992722578 46.3484206950001,-128.995219578 46.3527486950001,-128.997719578 46.3573596950001,-129.000219578 46.361398695,-129.003133578 46.365725695,-129.006052578 46.368898695,-129.009380578 46.373223695,-129.012299578 46.3763926950001,-129.015630578 46.380717695,-129.017713578 46.3838896950001,-129.021463578 46.3887896950001,-129.024797578 46.392537695,-129.028960578 46.3974376950001,-129.031874578 46.401181695,-129.035622578 46.4057926950001,-129.038122578 46.4089626950001,-129.042705578 46.415014695,-129.045619578 46.4187566950001,-129.050205578 46.4242346950001,-129.052288578 46.427689195,-129.056452578 46.4325846950001,-129.059366578 46.4366176950001,-129.062699578 46.4409376950001,-129.065613578 46.4441066950001,-129.068947578 46.448425695,-129.071447578 46.4518786950001,-129.074360578 46.4561986950001,-129.077697578 46.459653695,-129.081030578 46.4642566950001,-129.083944578 46.467423695,-129.087691578 46.4726066950001,-129.090608578 46.4763456950001,-129.094774578 46.4812396950001,-129.097688578 46.484692695,-129.101438578 46.4892926950001,-129.103938578 46.492459195,-129.108102578 46.497637695,-129.110599578 46.5008006950001,-129.115183578 46.5059756950001,-129.117683578 46.509142695,-129.122266578 46.5146066950001,-129.124347578 46.5186316950001,-129.126847578 46.5220816950001,-129.1275 46.5297222200001,-128.8655556 46.70138889,-127.6897222 47.36666667,-127.1994444 47.6130555600001,-126.6825 47.82083333,-125.8966667 48.18472222,-125.4994444 48.3061111100001,-125.38 48.3377777800001,-125.1533333 48.44638889,-125.1402778 48.4527777800001,-125.0963889 48.4691666700001,-125.0016667 48.4955555600001,-124.990965569 48.498230832,-124.9872222 48.4991666700001,-124.9144444 48.50388889,-124.8391667 48.5061111100001,-124.803729749 48.504037678,-124.7869444 48.5030555600001,-124.751097048 48.497541707,-124.7258861 48.4936638900001,-124.725855641 48.4936894740001,-124.723310679 48.4929866940001,-124.678631951 48.4806488560001,-124.665775459 48.4770985910001,-124.659187878 48.475279459,-124.583480648 48.4543732340001,-124.048730008 48.306704149,-124.006770511 48.2951172150001,-123.869381811 48.2710099180001,-123.793538755 48.2577019010001,-123.531173061 48.2210559660001,-123.255689081 48.279199174,-123.185351796 48.3513600200001,-123.118543378 48.4199005090001,-123.163861088 48.4579894570001,-123.21871937 48.545960139,-123.247341082 48.6179657050001,-123.27238508 48.6914472230001,-123.009065329 48.7663977810001,-123.009065329 48.8297418450001,-123.323904162 49.0003063020001,-123.226354768 49.0003063020001,-123.213035672 49.0003063020001,-123.094203552 49.0003063020001,-123.093746698 48.999437717,-123.093745572 48.9994376980001,-123.086536572 48.972073698,-123.045863572 48.9774826980001,-123.034318572 48.9994376980001,-123.03504102 49.0003063020001,-122.767487447 49.0003063020001,-122.760299572 48.9994376980001,-122.753618572 48.9938826980001),(-123.023335916 48.624300179,-123.012499959 48.605827135,-123.000417948 48.59957323,-122.962688692 48.593904781,-122.962688543 48.5939052080001,-122.919999572 48.5874916970001,-122.899436572 48.586110197,-122.878327572 48.587910697,-122.807636572 48.6054106970001,-122.751108572 48.649019697,-122.748327572 48.6599916970001,-122.772833928 48.6727661510001,-122.772834218 48.6727652650001,-122.780835889 48.6769360170001,-122.844726946 48.701100205,-122.858608887 48.706100178,-122.883055043 48.711109036,-122.895554975 48.711109036,-122.926245984 48.7108270690001,-122.940272931 48.7044360350001,-123.020282053 48.635554058,-123.023335916 48.624300179),(-123.038326949 48.5613820930001,-123.099726905 48.6038821980001,-123.105900009 48.6114540740001,-123.141390999 48.6188821170001,-123.144508275 48.618221283,-123.15249987 48.616527137,-123.177281973 48.591727098,-123.176800014 48.5516540570001,-123.155563959 48.5111091140001,-123.148617876 48.501664218,-123.139446062 48.494154033,-123.121935931 48.484718022,-123.095281982 48.4749911580001,-123.01326227 48.4486060880001,-123.013262055 48.4486067070001,-123.004172572 48.4456826970001,-122.962636572 48.4526376970001,-122.964523444 48.4571318370001,-122.994999886 48.5297181130001,-123.013272012 48.54307162,-123.038326949 48.5613820930001),(-122.934863572 48.4552736970001,-122.860545572 48.4213826970001,-122.839172572 48.417773697,-122.827090572 48.4163826970001,-122.814436572 48.4179106970001,-122.807772572 48.4274916970001,-122.807499572 48.442491697,-122.808881572 48.4544376970001,-122.814727572 48.4672196970001,-122.832130572 48.4914878390001,-122.832130772 48.4914872300001,-122.855564076 48.524164264,-122.868054956 48.5524910730001,-122.870472968 48.560609114,-122.91610876 48.5366642750001,-122.936108572 48.491664697,-122.936663572 48.4749916970001,-122.934863572 48.4552736970001),(-122.756808572 48.231100697,-122.750290572 48.2191556970001,-122.741381572 48.210546697,-122.606654572 48.0874916970001,-122.561390572 48.022219697,-122.531681572 47.981100697,-122.423318572 47.925828697,-122.369999571 47.9213826970001,-122.342218571 47.9547106970001,-122.335136571 47.9674916970001,-122.338054571 47.9816556970001,-122.365281571 48.037500697,-122.486390572 48.101110197,-122.583327572 48.192764697,-122.592218572 48.2005466970001,-122.607227572 48.211110197,-122.624163572 48.219710697,-122.649308572 48.227210697,-122.663890572 48.2447106970001,-122.614718572 48.3007556970001,-122.584999572 48.3015196970001,-122.572499572 48.2961101970001,-122.562763572 48.285273697,-122.551108572 48.2833286970001,-122.526945572 48.290837697,-122.514445572 48.2961101970001,-122.505836572 48.307491697,-122.520281572 48.327219697,-122.588336572 48.392219697,-122.596390572 48.406246697,-122.661118572 48.377491697,-122.753754572 48.248600697,-122.756808572 48.231100697),(-119.917772569 34.065273684,-119.870972569 33.991519684,-119.836936569 33.9741641840001,-119.788327569 33.9672106840001,-119.772781569 33.9672106840001,-119.713336569 33.970819684,-119.589999569 33.9972196840001,-119.532990569 34.015137684,-119.515563569 34.044582684,-119.552781569 34.0658286840001,-119.563190569 34.0658286840001,-119.593608569 34.053882684,-119.698336569 34.0452736840001,-119.868054569 34.084164184,-119.914227569 34.082628684,-119.917772569 34.065273684),(-119.966390569 33.962491184,-119.969445569 33.9923551840001,-119.999999569 33.989628184,-120.035281569 34.0238826840001,-120.051936569 34.0361101840001,-120.135008569 34.026100684,-120.184718569 34.015828684,-120.226099569 34.006100684,-120.192208569 33.9594376840001,-120.172236569 33.9347196840001,-120.164436569 33.927773684,-120.145281569 33.9166641840001,-120.121654569 33.9080461840001,-120.107499569 33.9055461840001,-120.036527569 33.919155684,-119.966390569 33.962491184),(-118.449645568 33.328610183,-118.303745568 33.309855183,-118.293118568 33.328673183,-118.297236568 33.346100683,-118.349727568 33.398328683,-118.403345568 33.428046183,-118.445263568 33.4427646830001,-118.516663568 33.477764683,-118.528890568 33.486246683,-118.541799568 33.4894376830001,-118.581127568 33.4908286830001,-118.589927568 33.4838106830001,-118.449645568 33.328610183),(-118.477781568 32.8527736830001,-118.408608568 32.817082683,-118.369454568 32.832773683,-118.369163568 32.8547106830001,-118.413327568 32.8855556830001,-118.482227568 32.938046183,-118.504999568 32.9597196830001,-118.520281568 32.974991183,-118.526108568 32.9836101830001,-118.530290568 32.9933286830001,-118.554427568 33.043055683,-118.593890568 33.044582683,-118.594863568 33.033055683,-118.570554568 32.9841641830001,-118.533890568 32.927219683,-118.493881568 32.8666641830001,-118.486936568 32.858891683,-118.477781568 32.8527736830001),(-122.504181572 47.3530556960001,-122.494454572 47.3458286960001,-122.483890572 47.3473556960001,-122.410554572 47.387219696,-122.381099571 47.394719696,-122.415281572 47.423046696,-122.421945572 47.432210696,-122.442490572 47.491100696,-122.449436572 47.516319696,-122.496108572 47.4611101960001,-122.511127572 47.408882696,-122.518545572 47.3715196960001,-122.504181572 47.3530556960001)))', 'United States Exclusive Economic Zone', 'United States', 'United States', '', '163', '163', 'USA', '8456', '2009-08-11', '2451460176000', '8456', 'Y'),('SRID=4326;MULTIPOLYGON(((51.610039472 24.6263707750001,51.5935825430001 24.5802913740001,51.5688971490001 24.547377516,51.537628984 24.5095265790001,51.5195263620001 24.470029949,51.5096522040001 24.4469902480001,51.5080065120001 24.4338247050001,51.5112978970001 24.420659162,51.5178806690001 24.407493619,51.5178806690001 24.394328075,51.5192786060001 24.3887363280001,51.5211720550001 24.3811625320001,51.5236594350001 24.369969321,51.5244634410001 24.3663512960001,51.535983291 24.348248674,51.544211755 24.331791745,51.5540859130001 24.3153348160001,51.5623143770001 24.3005235800001,51.5705428420001 24.28900373,51.5771256140001 24.272546801,51.5842270950001 24.2604642360001,51.584227174 24.260464303,51.5842273820001 24.26046395,51.5772183820001 24.2552729500001,51.5501363820001 24.25139095,51.5295813820001 24.26055495,51.506036382 24.2933269500001,51.473327382 24.30985495,51.4416633820001 24.31555495,51.4072183820001 24.31971795,51.3845813820001 24.31416395,51.3526183820001 24.2921459500001,51.3079183820001 24.2912459500001,51.2823543820001 24.29999995,51.279027382 24.3373549500001,51.307081382 24.40486395,51.317500382 24.4236089500001,51.331936382 24.4386089500001,51.399282908 24.4914532970001,51.399282424 24.4914533,51.4080540740001 24.4983361110001,51.4872181320001 24.5833271010001,51.4387450830001 24.620136061,51.402500225 24.6137450270001,51.392218144 24.5955539500001,51.3458271600001 24.5412450850001,51.298927227 24.519673084,51.292773233 24.567354043,51.3061002920001 24.5933360990001,51.2577732550001 24.6158359770001,51.2223458450001 24.6200389900001,51.2151637920001 24.6208910500001,51.215163627 24.62089107,51.215163348 24.6208911030001,51.215163611 24.6208913410001,51.2213824990001 24.6265175450001,51.2274102650001 24.6298663040001,51.2421448060001 24.630536056,51.2689348810001 24.63187556,51.2910366930001 24.630536056,51.311129249 24.627187297,51.3158175120001 24.619150275,51.319166271 24.607764493,51.3198360230001 24.5950392070001,51.3184965190001 24.582983674,51.316487264 24.5702583880001,51.316487264 24.559542358,51.3205057750001 24.5535145920001,51.342607586 24.5602121100001,51.3586816310001 24.572937396,51.3727464200001 24.5863324330001,51.3868112100001 24.600397222,51.3941784800001 24.6131225080001,51.4042247580001 24.6198200260001,51.4149407880001 24.625847793,51.4330240880001 24.6312058080001,51.4524468920001 24.6345545670001,51.4680555480001 24.6388885260001,51.6123869560001 24.6697992420001,51.610039472 24.6263707750001)),((49.7 28.465,49.7900000000001 28.406666667,49.7966666670001 28.4116666670001,49.848333333 28.35,49.9366666670001 28.2933333330001,50.0788027400001 28.167756803,50.0147430850001 28.1299336290001,50.0140670770001 28.1290388460001,50.0135454900001 28.128730612,50.0097760260001 28.1237408540001,50.0048972050001 28.1206545220001,50.0042985110001 28.120052973,50.0036998240001 28.1194514210001,49.964545259 28.063823504,49.947600988 27.994585258,49.9475688370001 27.9937635140001,49.9475521050001 27.9933358650001,49.9475032230001 27.9920864710001,49.9479970880001 27.9896901590001,49.947655877 27.9881604990001,49.9476004970001 27.9879122300001,49.9474664320001 27.9873112010001,49.947698481 27.9862910000001,49.9473686760001 27.984812414,49.9647464230001 27.908354785,49.983928823 27.8812943570001,49.983923503 27.881286792,50.040161062 27.8811840430001,50.042268065 27.881189244,50.133435945 27.8809346690001,50.176649093 27.881205015,50.281419149 27.8804881780001,50.311105033 27.880327526,50.368984063 27.879908598,50.368984063 27.8799079560001,50.368984063 27.879537568,50.3689843810001 27.879537085,50.383375318 27.8576760390001,50.385951897 27.854254156,50.3860926070001 27.8536230870001,50.386118234 27.8535081540001,50.3861183720001 27.853507947,50.3861324060001 27.853486617,50.386746456 27.852553512,50.3944198090001 27.818112328,50.403793051 27.776041342,50.4029816180001 27.7724641450001,50.4026366940001 27.770943548,50.6166666670001 27.4416666670001,50.7583333330001 27.3083333330001,50.9 27.1666670000001,50.773333 26.9916670000001,50.5566670000001 26.6208330000001,50.3875 26.53,50.3766670000001 26.4075,50.341667 26.3733330000001,50.3166670000001 26.2522220000001,50.311111 26.1711110000001,50.2697220000001 26.0797220000001,50.293056 25.950833,50.3041670000001 25.8791670000001,50.366111 25.8188890000001,50.4166670000001 25.698333,50.4333330000001 25.6791670000001,50.529167 25.593889,50.5573955450001 25.568769795,50.565347574 25.548361013,50.5835357350001 25.5028906100001,50.6017238960001 25.457420207,50.615365017 25.4119498040001,50.6275352160001 25.371382473,50.6275404990001 25.371364865,50.6290061380001 25.366479401,50.6381002190001 25.316461958,50.6454168820001 25.27987864,50.647194299 25.270991555,50.65628838 25.230068192,50.66538246 25.19823891,50.6641150620001 25.194436716,50.664111388 25.194425693,50.6608354200001 25.1845977900001,50.660835551 25.1845974620001,50.6699295010001 25.1618625880001,50.6790235810001 25.130033306,50.683570622 25.1027510640001,50.6926647020001 25.070921782,50.7108528630001 25.02999842,50.7199469440001 25.007263218,50.7291888030001 24.9856988810001,50.733588065 24.9754339360001,50.748299585 24.946010895,50.756323266 24.929963533,50.7699643870001 24.889040171,50.7926995890001 24.8253816070001,50.8108877500001 24.779911204,50.8108858950001 24.7799146670001,50.810887381 24.779910951,50.830953708 24.7499639550001,50.775409273 24.7208270940001,50.7404543810001 24.767117951,50.740063381 24.794926951,50.7396634510001 24.797329925,50.7263912700001 24.8770821300001,50.6438823300001 24.9941642420001,50.6089264600001 25.0394342760001,50.606454381 25.042635951,50.606454173 25.042636042,50.6064541150001 25.0426361180001,50.573918249 25.0569091580001,50.5708271770001 25.0386091560001,50.5703652890001 25.0390741150001,50.560000266 25.0495091110001,50.5341632540001 25.2041638870001,50.53416322 25.2041641100001,50.5227732160001 25.2882641030001,50.482773266 25.4138910620001,50.4577001430001 25.4440910590001,50.3696451420001 25.458400129,50.368335641 25.4593755770001,50.346800188 25.475418087,50.312788244 25.5096467390001,50.3055453810001 25.5169359510001,50.148609381 25.698744951,50.1380543810001 25.7261089510001,50.163109381 25.7200089510001,50.233399381 25.676589951,50.234299381 25.652499951,50.2554093810001 25.6306909510001,50.2559633810001 25.665062951,50.2559633060001 25.6650630710001,50.255963324 25.6650641790001,50.210545143 25.7377822190001,50.1794911970001 25.765891099,50.1389013020001 25.8146376660001,50.1344363810001 25.819999952,50.1319716940001 25.8258971020001,50.11409123 25.8686820660001,50.108724615 25.9073029900001,50.10763638 25.9151359520001,50.0988004220001 25.9232819430001,49.993891218 26.0200000610001,49.981919131 26.110613077,49.9789543800001 26.1330539520001,50.02700938 26.1947899520001,50.0631182390001 26.1780540180001,50.1169451000001 26.090554061,50.1169452830001 26.09055411,50.1169453800001 26.0905539520001,50.1558273810001 26.1011089520001,50.208609381 26.1813909520001,50.2096928130001 26.185658502,50.2152732070001 26.207636005,50.2185631150001 26.28069372,50.2194453810001 26.300280952,50.2191223570001 26.3034345500001,50.2118002490001 26.374927058,50.1779390660001 26.4157753710001,50.1731183810001 26.421590952,50.1731181870001 26.421591021,50.1731181010001 26.4215911250001,50.1097182230001 26.444164093,50.0818002830001 26.447773173,50.0504093280001 26.4651360570001,50.00235438 26.5615269520001,49.9971628010001 26.592343199,49.9824911590001 26.6794360690001,49.9829410630001 26.695684075,49.9830453800001 26.6994449520001,49.9865002990001 26.710598826,49.9963818510001 26.7424986560001,50.0778217440001 26.691200709,50.08193607 26.6886090570001,50.158745149 26.642635994,50.1587451290001 26.642636103,50.1587453810001 26.642635952,50.1580021350001 26.6466870940001,50.1550002820001 26.663053975,50.1327733190001 26.687500131,49.951991257 26.850009141,49.902709187 26.856482149,49.86651814 26.8594360990001,49.8108182140001 26.887218085,49.786109202 26.9000001520001,49.703327179 26.9511091420001,49.6949107830001 26.957242663,49.6669273800001 26.9776359530001,49.6606738730001 26.988757224,49.6224912660001 27.056664126,49.543619639 27.1690985320001,49.54220938 27.171108953,49.5422093340001 27.171108975,49.54220923 27.1711091230001,49.521354925 27.1811438170001,49.5110363800001 27.186108953,49.5110363530001 27.1861089170001,49.5110360940001 27.1861090420001,49.49273622 27.1621820610001,49.4716540570001 27.143891072,49.4444822730001 27.132164119,49.4088732660001 27.1272181250001,49.40055406 27.15777318,49.2474912870001 27.340545105,49.1279742470001 27.442290316,49.16693638 27.4586089530001,49.2290903800001 27.450826953,49.30873638 27.4448539530001,49.3012453800001 27.4890269530001,49.2414240790001 27.540110778,49.2365183840001 27.5442999580001,49.2365182030001 27.5443001200001,49.1771451590001 27.5511090750001,49.076654186 27.5397180690001,49.0513822450001 27.5455540520001,49.0172514560001 27.5826871290001,49.0166633750001 27.583326949,49.016663226 27.5833270970001,48.980127183 27.61638214,48.958736231 27.624164235,48.9113181270001 27.599854028,48.838873339 27.6197181380001,48.788600192 27.744445048,48.7986000340001 27.8073634850001,48.8202093790001 27.824908953,48.8556903790001 27.802217953,48.846790379 27.732462953,48.854254041 27.740235102,48.8743002910001 27.7611091100001,48.8775001660001 27.833609052,48.8531002780001 27.8556090340001,48.650409263 28.038191193,48.644930469 28.047840083,48.6033273790001 28.1211089540001,48.5187453790001 28.334717954,48.5187123970001 28.353229738,48.518600147 28.4166641300001,48.5049718750001 28.4797724920001,48.5016543790001 28.495135954,48.4869759920001 28.504264102,48.4359771470001 28.5359794670001,48.5894440000001 28.6388890000001,48.663889 28.665556,48.6883330000001 28.696944,49.4450000000001 28.9350000000001,49.5248796160001 28.9350000000001,49.5296317470001 28.909422627,49.5340936860001 28.880738734,49.539830464 28.848867742,49.5555409890001 28.7709712880001,49.571666667 28.6883333330001,49.5583333330001 28.6816666670001,49.6033333330001 28.6200000000001,49.6616666670001 28.58,49.7 28.465)),((34.9577425000001 29.360553403,34.9577457890001 29.36055322,34.9613906380001 29.360836159,34.9508273660001 29.348471955,34.930731069 29.2904077320001,34.9094363660001 29.2288809550001,34.8980453660001 29.1919449550001,34.8833273660001 29.135826955,34.8794363660001 29.114999955,34.842536366 28.884517954,34.8408007620001 28.8769649970001,34.8363912400001 28.857773185,34.791382264 28.657500181,34.7967198110001 28.6342564220001,34.7967235 28.634240354,34.7983363660001 28.6272179540001,34.80042244 28.6054952270001,34.806800272 28.5390910460001,34.792277728 28.505205647,34.787218366 28.493399954,34.7821125460001 28.488024458,34.7727732660001 28.478191155,34.7450001650001 28.417773223,34.736382227 28.388882144,34.692500282 28.28721804,34.65190806 28.2115556630001,34.6519033010001 28.211546793,34.632145366 28.1747179540001,34.5886093660001 28.1294449540001,34.572145366 28.0958999540001,34.5737387450001 28.0937771540001,34.624791268 28.025764183,34.644163355 28.038191193,34.6442969570001 28.0394281430001,34.6469903660001 28.064371954,34.648890366 28.093608954,34.6697962960001 28.118703071,34.6698228340001 28.118734927,34.6787450750001 28.129444973,34.698947187 28.135930328,34.7062450940001 28.138273129,34.846527141 28.071391073,34.911109202 28.077918061,34.9264180850001 28.081554211,34.933881366 28.083326954,34.9727723660001 28.099444954,34.997081366 28.110835954,34.997082215 28.110835976,35.056109254 28.112782085,35.1605541380001 28.0566642370001,35.170296632 28.035288988,35.170296534 28.035288027,35.187772367 27.9969449540001,35.217218367 27.9766629540001,35.2324993670001 27.964162953,35.2949993670001 27.901390953,35.316663367 27.8788909530001,35.3329093670001 27.858744953,35.393054367 27.7758359530001,35.4955543670001 27.6330539530001,35.507499367 27.6024999530001,35.505272367 27.5655539530001,35.5080453670001 27.5427719530001,35.5224993670001 27.5144449530001,35.532490367 27.496108953,35.5658273670001 27.4430539530001,35.611381367 27.388335953,35.6370813670001 27.359644953,35.7249993670001 27.3063899530001,35.799718367 27.2099999530001,35.8113903670001 27.186108953,35.800272367 27.158053953,35.819163367 27.1001359530001,35.9061093670001 26.9994449530001,35.9355543670001 26.973053953,35.991945367 26.9266629530001,36.0317993670001 26.896526953,36.0433273670001 26.8708269520001,36.0519363670001 26.840826952,36.097081367 26.749580952,36.119999367 26.7294449520001,36.144299367 26.717362952,36.2117993680001 26.6462449520001,36.3080543680001 26.4956909520001,36.4816633680001 26.184444952,36.4936093680001 26.1356179520001,36.5124993680001 26.1076359520001,36.545345368 26.078398952,36.5866633680001 26.061108952,36.6085993680001 26.0583269520001,36.629999368 26.0566629520001,36.6655543680001 26.048889952,36.685827368 26.0345809520001,36.7001363680001 26.015835952,36.7092993680001 25.982217952,36.7052723680001 25.954299952,36.6789543680001 25.8989539520001,36.6551363680001 25.8659719520001,36.673881368 25.825835952,36.696936368 25.786390951,36.7241633680001 25.749853951,36.7958993680001 25.719026951,36.7989543680001 25.7565989510001,36.8280453680001 25.744026951,36.932499368 25.644998951,37.0774993680001 25.433817951,37.0786093680001 25.3916629510001,37.0861093680001 25.3611089510001,37.0958273680001 25.3365269510001,37.1287453680001 25.2884719510001,37.184163368 25.2286089510001,37.210618368 25.207498951,37.235545368 25.1824999510001,37.250827369 25.151662951,37.2580453690001 25.1327719510001,37.278609369 24.975826951,37.257218369 24.8702719510001,37.244163369 24.852635951,37.219718368 24.840971951,37.1972183680001 24.838471951,37.176245368 24.8420809510001,37.154509368 24.840135951,37.2412453690001 24.71624495,37.2649993690001 24.6999989500001,37.311099369 24.65694495,37.3274993690001 24.6374999500001,37.368890369 24.5794359500001,37.3786093690001 24.5602719500001,37.383418369 24.5389999500001,37.4499993690001 24.4541629500001,37.4602723690001 24.41416295,37.4423633690001 24.3751359500001,37.4886093690001 24.3174999500001,37.5273543690001 24.2773539500001,37.598881369 24.2499989500001,37.6197183690001 24.2509719500001,37.625899369 24.27034495,37.6748543690001 24.2981899500001,37.7548633690001 24.25888995,37.8786093690001 24.17082695,38.0136093690001 24.0897179500001,38.0808273690001 24.06805395,38.1366633690001 24.0405539500001,38.245827369 23.9544359500001,38.4468723700001 23.7890899500001,38.4844453700001 23.6899999500001,38.5536723700001 23.5251359490001,38.5831183700001 23.5151359490001,38.6444363700001 23.459717949,38.6745543700001 23.4226539490001,38.67832737 23.4133269490001,38.6836093700001 23.3911089490001,38.6891633700001 23.3336089490001,38.69221837 23.291380949,38.7081183700001 23.2428449490001,38.75860937 23.173335949,38.8680453700001 22.978608949,38.8948543700001 22.960826949,38.94110937 22.9038909490001,38.9605543700001 22.8655539490001,38.9466633700001 22.845617949,38.9130543700001 22.849717949,38.90110937 22.8769449490001,38.88610937 22.914444949,38.85103637 22.9250629490001,38.89638137 22.846108949,38.95277237 22.7677719490001,38.96860937 22.7480539490001,39.0627723700001 22.583326948,39.1052723700001 22.3772179480001,39.0308273700001 22.214717948,39.0172183700001 22.1222179480001,38.9930453700001 21.8369359480001,39.0180543700001 21.8113809480001,39.0336093700001 21.792217948,39.0666633700001 21.7202719480001,39.0866633700001 21.653326948,39.09360937 21.619444948,39.14603637 21.533326948,39.16332737 21.5008269470001,39.1694453700001 21.461390947,39.1722183700001 21.437217947,39.17082737 21.4102719470001,39.15867237 21.3746539470001,39.10582737 21.2799999470001,39.1563903700001 21.1480539470001,39.17485437 21.104026947,39.27110937 20.9494449470001,39.35013637 20.8673629470001,39.3807633700001 20.8493989470001,39.414927371 20.8470089470001,39.4473543710001 20.8244449470001,39.4570813710001 20.795826947,39.4480543710001 20.793326947,39.419163371 20.798053947,39.427081371 20.7655539470001,39.437490371 20.7474999470001,39.4863813710001 20.716389947,39.5444453710001 20.6144359470001,39.5683273710001 20.5680539470001,39.6002723710001 20.5187449470001,39.633045371 20.4708359470001,39.660690371 20.4379089460001,39.803054371 20.333880946,39.8799993710001 20.2877719460001,39.9069453710001 20.2847179460001,39.957499371 20.2822179460001,40.0551363710001 20.282635946,40.0969453710001 20.2719449460001,40.1281903710001 20.235553946,40.1602723710001 20.200271946,40.280136371 20.108053946,40.3355453710001 20.073608946,40.4433273710001 20.008608946,40.5113813720001 19.974162946,40.6583993720001 19.793262946,40.681109372 19.7952719460001,40.732218372 19.789026946,40.756936372 19.7641629460001,40.787081372 19.717362946,40.8005543720001 19.6802719460001,40.802772372 19.659162946,40.785554372 19.6154089460001,40.766663372 19.6022179460001,40.843681372 19.5338179460001,40.9561093720001 19.4522179460001,41.043609372 19.180826945,41.0633273720001 19.137217945,41.0873543720001 19.108190945,41.1194363720001 19.0980539450001,41.155690372 19.0880539450001,41.175345372 19.0649999450001,41.1486093720001 18.9877809450001,41.1345813720001 18.945208945,41.174854372 18.866390945,41.2055543720001 18.8647179450001,41.244781372 18.826453945,41.2133363720001 18.756380945,41.205827372 18.7002719450001,41.2622183720001 18.613053945,41.323463372 18.5816629450001,41.356245372 18.565417945,41.409718372 18.5036089450001,41.438472372 18.4622179450001,41.444163372 18.3974999450001,41.4438813720001 18.369717945,41.458054372 18.325971945,41.477218372 18.2905539440001,41.5130543720001 18.2291629440001,41.5366633730001 18.191662944,41.597145373 18.1213539440001,41.5966633730001 18.089508944,41.6788903730001 17.949444944,41.7266633730001 17.8983269440001,41.7438903730001 17.8802719440001,41.791109373 17.831944944,41.846109373 17.8079179440001,41.8765183730001 17.812498944,42.0938903730001 17.649717944,42.1944453730001 17.5422179440001,42.3070813730001 17.4476359440001,42.3211093730001 17.398053944,42.3247183730001 17.322217944,42.325827373 17.253326944,42.336390373 17.184162943,42.353336373 17.080826943,42.3705543730001 17.0399999430001,42.365272373 17.1105539430001,42.4083363730001 17.1213899430001,42.518054373 17.029444943,42.547909373 16.998262943,42.547772373 16.9386089430001,42.540345373 16.874508943,42.5830453730001 16.835062943,42.6252723740001 16.8252719430001,42.643745374 16.811798943,42.6722183740001 16.781944943,42.7377093740001 16.6632629430001,42.7319453740001 16.622499943,42.7259633740001 16.5998629430001,42.7206903740001 16.567499943,42.734509374 16.5249999430001,42.7893363740001 16.460826943,42.789682299 16.377500028,42.772139 16.4041110000001,42.7721387820001 16.4041110000001,42.15 16.4041110000001,42.149999816 16.404110943,41.783333 16.2900000000001,41.7833325570001 16.2900000000001,41.0820328940001 16.2900000000001,41.082032317 16.2900000000001,41.0820320550001 16.2900000000001,41.042087113 16.3312356970001,40.9626995090001 16.4276283090001,40.913602924 16.4714192330001,40.891980034 16.5246044260001,40.8886998040001 16.5302362210001,40.8391474250001 16.615671745,40.82630878 16.6476186950001,40.7707855310001 16.797320782,40.7119968260001 16.9563155720001,40.6800711320001 17.042187031,40.675338073 17.0549613810001,40.607262813 17.1020305480001,40.493766749 17.180744335,40.2297255130001 17.363213726,40.123594806 17.4385013200001,39.959283343 17.5000215060001,39.9299464220001 17.5547112690001,39.916516497 17.583333886,39.863008838 17.712967898,39.8353770050001 17.784205006,39.8267063440001 17.807011801,39.8235863640001 17.813399954,39.815593247 17.8298057490001,39.8132267930001 17.834725215,39.7936611210001 17.8771001640001,39.7608584480001 17.9504202750001,39.7279420360001 18.038168173,39.725473466 18.0450955520001,39.7154295340001 18.0733284030001,39.7169206570001 18.0954365330001,39.728802097 18.174295929,39.7281778760001 18.2266083390001,39.746759608 18.504953158,39.74687242 18.5066537440001,39.750667132 18.5651845830001,39.7475667900001 18.6154054940001,39.7459735410001 18.6421123910001,39.5116644670001 18.9434826500001,39.3941665300001 19.1452095440001,39.340348125 19.2433695570001,39.308682349 19.3011277000001,39.27850706 19.356449023,39.2446514850001 19.41242521,39.124189851 19.5478302820001,39.013483713 19.5969676620001,39.0116055570001 19.598037279,39.0104777080001 19.5986712700001,38.941016528 19.6377955150001,38.8017814200001 19.7946256160001,38.58660223 20.034387521,38.439498433 20.197229529,38.330756326 20.2664346830001,38.323715022 20.2791657180001,38.3290456830001 20.376633414,38.3325525060001 20.552492252,38.3374900580001 20.6734303980001,38.351846928 20.816211733,38.3438080510001 20.8938084600001,38.325643508 20.980362094,38.3213571920001 21.000999565,38.211513095 21.4307444460001,38.205596047 21.4531882310001,38.193662741 21.4709327960001,38.189136257 21.477167052,38.0499170740001 21.668744878,38.0037842690001 21.7216631850001,37.908917864 21.8986827050001,37.904135866 21.9076058540001,37.896542395 21.9217751750001,37.893138364 21.9281312750001,37.8931381670001 21.9281316440001,37.8931005530001 21.9307282890001,37.8930645560001 21.9332133080001,37.8930376800001 21.935068674,37.8931710750001 21.9895655830001,37.8933043910001 22.0440305060001,37.8933046430001 22.044285904,37.8933080840001 22.0477713280001,37.893349818 22.0695024390001,37.8933739880001 22.082087905,37.89343294 22.112784311,37.893894291 22.1654723560001,37.8940822440001 22.186937304,37.8944500530001 22.228942535,37.890766399 22.2494366560001,37.8857575060001 22.277303783,37.873275429 22.307556344,37.8557798160001 22.3499601130001,37.8136465630001 22.458710878,37.7735744140001 22.5621416970001,37.7735743920001 22.562141754,37.7355720530001 22.660230154,37.7347026590001 22.660944165,37.7290274490001 22.665605065,37.723871896 22.6698391850001,37.6631620920001 22.722988372,37.5985828520001 22.779525107,37.598582826 22.77952513,37.598582806 22.7795251480001,37.58755211 22.789182114,37.581179649 22.794770295,37.4503609440001 22.909488712,37.4503606210001 22.9094890870001,37.446077609 22.914461809,37.4154992470001 22.949964322,37.414735195 22.9508504560001,37.3887190350001 22.9808472600001,37.353682237 23.0214565910001,37.3253937490001 23.0542443050001,37.268141821 23.209298839,37.232964915 23.2999973070001,37.1311556740001 23.5123753290001,37.0813164800001 23.616341818,37.0741533500001 23.6273616120001,37.0621878680001 23.6457693670001,37.0275695350001 23.6781647330001,37.0275646970001 23.6781692600001,36.8498932900001 23.8444317500001,36.743547698 23.943328416,36.7314019770001 23.9555348710001,36.6966486160001 23.99048091,36.668842553 24.019085795,36.657084271 24.031141086,36.4855245160001 24.207184376,36.4794419580001 24.213495568,36.4418052790001 24.246766139,36.432017849 24.2695562230001,36.338926508 24.486771247,36.3376838840001 24.4896685570001,36.317448653 24.5366626950001,36.2986425550001 24.555581182,36.1658935950001 24.688780131,36.156022309 24.709085327,36.1123539600001 24.803694939,36.013108581 24.9097098,35.9698656590001 24.9559310930001,35.9611289700001 24.965257905,35.9554712 24.974699468,35.952014971 24.980564719,35.942307688 24.997079548,35.908467726 25.054779819,35.907040212 25.0572053720001,35.9070389290001 25.0572075530001,35.9068062630001 25.057602887,35.898120394 25.067455538,35.8626472380001 25.107693845,35.850846926 25.121234751,35.7786927290001 25.203640604,35.709957703 25.3622135470001,35.686553917 25.4149910730001,35.6304735640001 25.5387712260001,35.6262923570001 25.5571899560001,35.622022089 25.576001009,35.613741438 25.6136264140001,35.6071354470001 25.6436425430001,35.5819291980001 25.75646378,35.569995781 25.774443343,35.588247316 25.960996143,35.588247322 25.9609962050001,35.6001171790001 26.082320533,35.5997903520001 26.0834246320001,35.5958484060001 26.09674145,35.548753661 26.2268571130001,35.520907019 26.3030704130001,35.406735778 26.6167040720001,35.368752495 26.6525198630001,35.338447274 26.6806552940001,35.2780783530001 26.736815155,35.212205926 26.7941325030001,35.1545432030001 26.846379615,34.983069276 27.0017733500001,34.9804206540001 27.0031762460001,34.841205933 27.0404778000001,34.8242219590001 27.0450771230001,34.7781825920001 27.095236282,34.7749423880001 27.1024124800001,34.773633209 27.105311966,34.7710536610001 27.1109336700001,34.758963726 27.1372817110001,34.732778829 27.1880665890001,34.7258377310001 27.2015040810001,34.7194204480001 27.227918231,34.7255415760001 27.3357403300001,34.7086916530001 27.3691895690001,34.708009325 27.3705440750001,34.6854705910001 27.4152493180001,34.6166705050001 27.5517132620001,34.56711963 27.617227063,34.5346591470001 27.6592935260001,34.5112408630001 27.6902970900001,34.4952302880001 27.710591107,34.46592001 27.796063469,34.4615637700001 27.809061752,34.459909356 27.813477,34.458672818 27.8166635640001,34.4581770360001 27.818032198,34.458048671 27.823386828,34.456307479 27.84814299,34.456185631 27.848706862,34.449863276 27.8812647410001,34.4497059400001 27.8839359250001,34.4496847360001 27.884159551,34.448954869 27.898952842,34.4481999220001 27.9081067330001,34.450494022 27.916737826,34.4563774010001 27.9373908760001,34.458205197 27.9430511840001,34.4603228830001 27.9478974940001,34.4626803150001 27.9543174350001,34.4634411650001 27.9639602450001,34.4634496200001 27.964008064,34.4651178680001 27.9687446020001,34.466038665 27.9717721110001,34.466426487 27.972846572,34.4664280700001 27.972856118,34.4676024280001 27.982866147,34.468758543 27.98725804,34.469211805 27.9958477910001,34.469876051 28.003342645,34.4712167860001 28.0057424180001,34.4752143760001 28.015480301,34.477104357 28.022046108,34.4789004130001 28.0258484820001,34.4838355790001 28.03838792,34.484603527 28.0405857550001,34.484667662 28.040734162,34.4917930720001 28.0493954090001,34.497200359 28.056639708,34.5008432160001 28.060728324,34.509287439 28.0707854190001,34.5088020480001 28.07262983,34.5068374480001 28.0785203310001,34.506024677 28.081165146,34.506133204 28.0881938420001,34.5068655530001 28.0937644840001,34.50731647 28.0966337260001,34.507606235 28.0989644060001,34.5091302320001 28.10859385,34.510937944 28.11721421,34.5112307420001 28.121185747,34.5121703340001 28.129355081,34.5147717840001 28.1358888300001,34.517548715 28.1424030810001,34.519169511 28.1459035880001,34.5192918020001 28.146147576,34.524903839 28.1599291420001,34.525683116 28.1616983260001,34.529273806 28.1735735020001,34.5297395360001 28.1754474860001,34.5322173810001 28.1839300180001,34.5332803520001 28.187172407,34.533823614 28.1886712620001,34.5397705880001 28.208295052,34.539858979 28.209508366,34.5400997720001 28.2152290870001,34.5411621390001 28.22223052,34.5433688410001 28.2397060530001,34.543856744 28.244116589,34.543685356 28.2495702260001,34.543501629 28.260911477,34.544209075 28.2632485450001,34.5448072620001 28.274847659,34.5445315690001 28.284309787,34.5495052730001 28.2934985420001,34.5513017320001 28.2969167100001,34.55818881 28.3117508500001,34.5685863680001 28.3331312880001,34.5750472190001 28.3438395150001,34.576285784 28.3473110460001,34.5818413540001 28.3646969380001,34.5822765720001 28.366143105,34.5835099500001 28.3703666100001,34.5839866260001 28.372053653,34.584733387 28.3728214230001,34.596944696 28.3881588520001,34.598534821 28.3906079160001,34.6026735510001 28.39720864,34.6041894570001 28.399693857,34.6123262250001 28.412332344,34.6154521180001 28.4179118500001,34.6167716260001 28.42112752,34.6219137620001 28.4331437110001,34.623985238 28.438170202,34.6278821860001 28.447373278,34.6322475480001 28.4573142200001,34.6344400040001 28.4616542200001,34.6348007820001 28.462966636,34.638464706 28.475018424,34.641843098 28.486701951,34.6432414110001 28.4924219490001,34.6449904780001 28.5007418880001,34.647219122 28.5094668570001,34.6476195810001 28.5117047110001,34.6549913270001 28.523901015,34.6591824670001 28.5315063200001,34.6603493490001 28.5337396480001,34.663493999 28.539629786,34.6640785660001 28.5406296690001,34.6672352900001 28.544047345,34.6679531820001 28.544876511,34.6705087730001 28.5538278180001,34.6751214130001 28.568509224,34.6775583460001 28.577405345,34.680842237 28.5886569510001,34.6841757010001 28.604203252,34.6849562310001 28.607591665,34.6850179190001 28.6078254010001,34.685011441 28.6179337140001,34.6820266920001 28.6342217230001,34.681989322 28.6355203520001,34.682254476 28.6374545370001,34.687776549 28.6621620070001,34.6878269000001 28.6623741880001,34.688354917 28.6644684080001,34.690225845 28.6706139240001,34.691315569 28.6740186220001,34.692365533 28.6771544310001,34.6924916890001 28.6775142980001,34.6941084170001 28.681747251,34.6951925880001 28.6839863320001,34.6955184890001 28.684694656,34.696661023 28.6875660360001,34.6977632270001 28.690070545,34.7027251270001 28.7034460310001,34.704573328 28.708127511,34.704952646 28.70903371,34.708007256 28.716620977,34.711750362 28.727500621,34.712441508 28.7303492,34.7126399300001 28.7312218390001,34.713791062 28.738943842,34.714519146 28.744588435,34.716164082 28.7492752360001,34.7163278030001 28.749761215,34.719327805 28.7647340120001,34.7204221630001 28.769110115,34.721268288 28.779993145,34.721020674 28.7846014880001,34.7211107270001 28.7861685300001,34.721368033 28.7895682000001,34.7222745500001 28.798191236,34.7239099080001 28.805003809,34.729663499 28.8139755280001,34.7349316680001 28.8224006670001,34.7355473200001 28.8255703610001,34.7368808050001 28.8320182030001,34.7399964740001 28.8485398550001,34.7374685730001 28.8632723910001,34.736376835 28.8733963330001,34.736623545 28.881278922,34.736638715 28.883762661,34.737646107 28.8980249570001,34.738662725 28.9093455610001,34.738851767 28.912036664,34.739613433 28.9170706080001,34.739772954 28.917608452,34.741422233 28.9196125870001,34.741492728 28.9196975670001,34.7423382210001 28.920741068,34.7538401530001 28.9421456380001,34.7546388820001 28.943758315,34.7570901390001 28.948212305,34.760470239 28.9545589050001,34.761134392 28.955989646,34.7613703550001 28.9564799250001,34.7618433480001 28.957498828,34.764978007 28.977282179,34.7659617190001 28.9862260530001,34.7666804260001 28.9912286260001,34.7669802520001 28.993675549,34.768213057 28.999524642,34.769493073 29.005392278,34.7686330830001 29.0100757820001,34.7671615890001 29.024073801,34.7652962270001 29.0399210750001,34.7644793580001 29.0477844330001,34.7644044830001 29.0482168180001,34.765618854 29.0565685710001,34.7659003150001 29.058117069,34.7689093000001 29.065467901,34.7695543950001 29.067102248,34.772915798 29.0774137700001,34.7756605000001 29.086187324,34.776788889 29.0902444160001,34.7778374230001 29.0922692460001,34.77837463 29.093355338,34.78051098 29.1011574250001,34.7808856870001 29.103133907,34.780982045 29.1034541270001,34.781264548 29.104912042,34.781279372 29.104996149,34.7863596290001 29.115739767,34.792614262 29.1283339890001,34.795695994 29.1349362780001,34.7974670130001 29.139995481,34.7974891470001 29.1400561580001,34.7985023430001 29.1442775460001,34.8063179390001 29.1621611250001,34.8110629490001 29.1725956240001,34.811266313 29.173059849,34.8122652210001 29.1749104720001,34.8123674930001 29.17532549,34.8151354390001 29.188398525,34.8172952100001 29.195528073,34.8219443510001 29.214715531,34.8219858430001 29.2149268760001,34.822453948 29.216883006,34.8241496850001 29.2244582280001,34.8243463420001 29.2273856520001,34.824108009 29.234765494,34.8242284630001 29.2385286320001,34.826817082 29.2468597920001,34.830940078 29.259037248,34.833321454 29.2677935250001,34.834100403 29.270352046,34.8346217260001 29.2715239290001,34.8346875570001 29.2733353520001,34.836096277 29.276239058,34.8388975710001 29.2819656240001,34.85153238 29.3103536190001,34.8554846260001 29.318890805,34.855545642 29.3190599530001,34.860655079 29.3258905550001,34.8639057400001 29.3300468040001,34.866920926 29.33624975,34.8678264540001 29.3379494120001,34.869213293 29.340521046,34.8703569310001 29.3435009,34.8712687820001 29.3458768140001,34.8734858220001 29.3512506700001,34.873912369 29.3522404600001,34.8745831800001 29.3537970620001,34.877683743 29.36146747,34.8818915140001 29.3689694780001,34.884295992 29.375047555,34.884630965 29.3755262290001,34.930893521 29.364446786,34.940743346 29.3615384130001,34.9522596740001 29.3608580050001,34.9577425000001 29.360553403),(41.834718373 16.882498943,41.837218373 16.868608943,41.860272373 16.829717943,41.8836093730001 16.797771943,41.9291633730001 16.7644449430001,41.9758273730001 16.751662943,41.987909373 16.7553449430001,41.9395093730001 16.9757629430001,41.9213903730001 16.989435943,41.8861093730001 16.9994449430001,41.866309373 17.005062943,41.8513903730001 17.010826943,41.8425633730001 17.0031899430001,41.853336373 16.9922179430001,41.903881373 16.983608943,41.9156903730001 16.977353943,41.9270813730001 16.964444943,41.931245373 16.951526943,41.9283273730001 16.931798943,41.893327373 16.907080943,41.8705543730001 16.8986089430001,41.8426363730001 16.895417943,41.834718373 16.882498943),(42.0161093730001 16.753889943,42.015963373 16.7396539430001,42.0277723730001 16.728608943,42.0423543730001 16.7243719430001,42.0540273730001 16.7333269430001,42.069436373 16.710689943,41.9577723730001 16.7088809430001,41.944999373 16.710826943,41.9205543730001 16.7216629430001,41.8945723730001 16.735271943,41.873599373 16.7562449430001,41.8659633730001 16.7809719430001,41.861381373 16.7973629430001,41.841945373 16.8236089430001,41.8090183730001 16.8501359430001,41.774990373 16.8697179430001,41.7644453730001 16.873608943,41.7536093730001 16.8761089430001,41.754999373 16.859444943,41.770618373 16.778680943,41.8386093730001 16.718889943,41.893054373 16.681108943,41.931936373 16.655826943,41.9591633730001 16.6434719430001,41.971381373 16.642217943,41.9830543730001 16.647780943,41.9980543730001 16.6608269430001,42.0063813730001 16.666380943,42.016663373 16.6699989430001,42.036245373 16.6735539430001,42.0583273730001 16.673608943,42.0702723730001 16.6699989430001,42.085827373 16.6638899430001,42.0941633730001 16.658053943,42.1088903730001 16.6413809430001,42.102981373 16.6198539430001,42.0833993730001 16.6132629430001,42.1127813730001 16.5827719430001,42.121109373 16.5769449430001,42.1337453730001 16.571389943,42.1705543730001 16.562771943,42.178399373 16.5665899430001,42.177499373 16.5844449430001,42.1591633730001 16.653326943,42.142490373 16.715826943,42.075690373 16.810271943,42.056663373 16.8094449430001,42.0419363730001 16.8055539430001,42.0161093730001 16.753889943)))', 'Saudi Arabian Exclusive Economic Zone', 'Saudi Arabia', 'Saudi Arabia', '', '50', '50', 'SAU', '8356', '2011-03-30', '221265787100', '8356', 'Y'),('SRID=4326;MULTIPOLYGON(((180 -33.9344262299999,180 -36.885245902,180 -39.836065574,180 -42.7868852459999,180 -45.737704918,180 -48.68852459,180 -51.639344262,180 -52.9569885459999,179.983136047 -52.9595145389999,179.971003359 -52.961293719,179.958347594 -52.963149078,179.941014449 -52.965634945,179.933527046 -52.966708539,179.908676046 -52.970193539,179.888194353 -52.973001314,179.883794225 -52.9736044429999,179.85888282 -52.97694031,179.833942358 -52.9802014009999,179.823956559 -52.981475669,179.808973046 -52.983387539,179.783977046 -52.986498539,179.771796248 -52.987976843,179.758953165 -52.989535157,179.733903014 -52.992496294,179.70882708 -52.9953822419999,179.69790632 -52.996605089,179.683726046 -52.9981925389999,179.668047341 -52.999899812,179.658600501 -53.00092826,179.633451174 -53.003588184,179.611385651 -53.0058536339999,179.608279046 -53.006172539,179.597220619 -53.007273773,179.583083755 -53.008681505,179.577611471 -53.009209547,179.557867046 -53.0111145389999,179.54431232 -53.0123809639999,179.532629068 -53.013472344,179.50737066 -53.015754172,179.482092431 -53.0179601899999,179.456795047 -53.020090339,179.435222913 -53.021840782,179.431479046 -53.022144539,179.406145046 -53.024122539,179.380795046 -53.0260245389999,179.366894155 -53.027025679,179.35542733 -53.0278511459999,179.330044204 -53.0296011419999,179.317753354 -53.030411143,179.304646046 -53.031274539,179.279233046 -53.032872539,179.253807046 -53.034393539,179.228367046 -53.0358385389999,179.202915046 -53.037207539,179.177451046 -53.038499539,179.151976046 -53.039715539,179.14320551 -53.0401078639999,179.126490789 -53.0408551629999,179.100995673 -53.04191811,179.076966275 -53.042847508,179.075491046 -53.0429045389999,179.069826867 -53.0431065769999,179.049978911 -53.043814453,179.043130742 -53.0440380749999,179.024459046 -53.044647539,178.998931046 -53.0454045389999,178.973398046 -53.0460845389999,178.962978334 -53.046330957,178.947858228 -53.046688274,178.922313853 -53.0472151829999,178.896765152 -53.047665444,178.871212804 -53.048039043,178.857581246 -53.048197428,178.845657045 -53.0483355389999,178.83097849 -53.048462469,178.820099881 -53.0485562179999,178.805458487 -53.048638457,178.794541045 -53.048699539,178.768980045 -53.048766539,178.743420045 -53.048756539,178.728355621 -53.0487058529999,178.717860141 -53.048670331,178.692301272 -53.048507135,178.666744188 -53.048267255,178.650547003 -53.0480666129999,178.641190045 -53.0479505389999,178.62309156 -53.047672177,178.615638088 -53.0475574709999,178.599499493 -53.047260642,178.590090045 -53.047087539,178.588207123 -53.04704729,178.56454727 -53.046541055,178.549624929 -53.046176929,178.539009045 -53.045917539,178.527541883 -53.045603598,178.513477163 -53.0452181159999,178.49659988 -53.044704785,178.487952045 -53.0444415389999,178.462433045 -53.043588539,178.449186406 -53.043106135,178.436922697 -53.042659294,178.411420769 -53.041653265,178.396817693 -53.041033156,178.385928045 -53.040570539,178.360445045 -53.039411539,178.349691514 -53.038890158,178.33497314 -53.0381762929999,178.309512234 -53.036864443,178.284063271 -53.03547622,178.265744768 -53.034421488,178.258627045 -53.0340115389999,178.233204045 -53.032470539,178.207795045 -53.030853539,178.19557101 -53.030038603,178.182400332 -53.0291603709999,178.173211225 -53.028519686,178.157021045 -53.027390539,178.143001241 -53.026370686,178.131658026 -53.02554527,178.107533371 -53.023716225,178.106311514 -53.023623583,178.106311044 -53.023623545,178.080982045 -53.021625539,178.068340245 -53.020590161,178.055671121 -53.0195522189999,178.038042869 -53.018054018,178.030379045 -53.0174025389999,178.023147159 -53.0167658789999,178.005105359 -53.0151772089999,177.993711281 -53.014138912,177.979852045 -53.0128755389999,177.954620045 -53.010498539,177.935532954 -53.008642219,177.92940832 -53.008046395,177.904219063 -53.0055181609999,177.879052455 -53.0029143909999,177.85390916 -53.0002351539999,177.829027739 -52.997506609,177.828790044 -52.997480541,177.828789838 -52.997480518,177.803695151 -52.9946505569999,177.803695044 -52.994650545,177.778625755 -52.9917453589999,177.772111565 -52.990970117,177.753582044 -52.9887645389999,177.732289077 -52.986164306,177.728565473 -52.985709519,177.703575898 -52.982579043,177.682113867 -52.9798230389999,177.678614044 -52.9793735389999,177.670319017 -52.978282307,177.653681158 -52.976093399,177.628777296 -52.9727384019999,177.616086782 -52.970988615,177.603903044 -52.9693085389999,177.579060045 -52.965804535,177.579059846 -52.965804507,177.554248044 -52.962225539,177.529467044 -52.9585725389999,177.520522337 -52.9572254829999,177.50471908 -52.954845295,177.489429339 -52.952493467,177.480004044 -52.951043539,177.474154314 -52.950125111,177.455323041 -52.947168045,177.430676292 -52.943218389,177.42259877 -52.941897871,177.406065044 -52.939194539,177.385689161 -52.935797867,177.381488535 -52.93509754,177.367612006 -52.932738969,177.356949044 -52.930926539,177.332446044 -52.926681539,177.31963054 -52.924420164,177.307980809 -52.922364049,177.292208826 -52.9195286779999,177.283554044 -52.9179725389999,177.271347997 -52.915738334,177.259165662 -52.913508223,177.240918427 -52.910107673,177.234817044 -52.9089705389999,177.210508044 -52.904359539,177.186241044 -52.899676539,177.174001162 -52.8972737289999,177.162014041 -52.8949204049999,177.137829507 -52.890091631,177.137829044 -52.8900915369999,177.113687567 -52.8851903789999,177.109414699 -52.884308526,177.089589044 -52.8802165389999,177.065534044 -52.875170539,177.054820929 -52.87288746,177.041523484 -52.870053072,177.017558086 -52.864863229,176.993638358 -52.8596015749999,176.969764909 -52.854268249,176.945938347 -52.848863391,176.922159277 -52.843387144,176.900898614 -52.838417126,176.898428044 -52.837839539,176.896122962 -52.837292712,176.874746031 -52.8322210599999,176.851113049 -52.826531527,176.827529976 -52.8207711699999,176.80399739 -52.814940173,176.787173608 -52.8107119319999,176.780516044 -52.809038539,176.757086044 -52.803066539,176.733708044 -52.7970245389999,176.710384043 -52.790912539,176.687113043 -52.784730539,176.674863001 -52.78143245,176.663895315 -52.778479219,176.640732683 -52.772158052,176.617625234 -52.765767507,176.613163 -52.764517059,176.594574043 -52.759307539,176.571578043 -52.752778539,176.555428469 -52.748133899,176.548639738 -52.746181292,176.542911459 -52.7445123599999,176.525759043 -52.739514539,176.513851163 -52.7360010799999,176.50293583 -52.7327800419999,176.485432395 -52.727549051,176.480171043 -52.7259765389999,176.472061644 -52.723522467,176.457466352 -52.719105401,176.450281903 -52.716903819,176.434821043 -52.712165539,176.412236043 -52.705158539,176.389711043 -52.698083539,176.367249043 -52.6909415389999,176.356090406 -52.687350511,176.344847661 -52.6837321359999,176.322509211 -52.6764555249999,176.320115484 -52.675666389,176.300234043 -52.669111539,176.278022043 -52.661701539,176.255874043 -52.654224539,176.233601043 -52.646752539,176.211392043 -52.639213539,176.199504954 -52.6351309249999,176.189249012 -52.6316081909999,176.17839594 -52.6278364739999,176.167172043 -52.6239355389999,176.145161043 -52.6161965379999,176.136072505 -52.6129643589999,176.1232175 -52.608392054,176.101341479 -52.6005210989999,176.079534044 -52.592584535,176.079533584 -52.592584367,176.057794347 -52.5845820549999,176.036124291 -52.576514381,176.018233515 -52.569778258,176.014524043 -52.568381538,175.992994043 -52.5601835379999,175.983444371 -52.5565069589999,175.971534419 -52.5519212729999,175.950146284 -52.543594253,175.940316129 -52.5397245519999,175.928830043 -52.535202538,175.907586043 -52.5267475379999,175.90442077 -52.525473924,175.886414511 -52.5182282659999,175.865316483 -52.5096453589999,175.855528935 -52.505620181,175.844292043 -52.500998538,175.828233672 -52.494323009,175.823342277 -52.49228951,175.818805452 -52.4903829749999,175.802467043 -52.4835165379999,175.781667043 -52.474681538,175.760943043 -52.465783538,175.740295043 -52.456823538,175.719724043 -52.447801538,175.699230043 -52.4387175379999,175.678814043 -52.4295725379999,175.668493262 -52.4249005569999,175.658475467 -52.42036561,175.64900114 -52.416031458,175.638216042 -52.411097538,175.618035042 -52.4017685379999,175.614145114 -52.399951497,175.597934668 -52.3923792909999,175.577913832 -52.3829294029999,175.55797348 -52.37341936,175.538114068 -52.363849406,175.530760255 -52.360268945,175.518336042 -52.3542195379999,175.498640042 -52.344530538,175.479026042 -52.334782538,175.470373544 -52.330437904,175.459494835 -52.324975402,175.456191629 -52.3232997119999,175.440047042 -52.3151095379999,175.434683987 -52.312361128,175.420682496 -52.305185372,175.410645899 -52.299988919,175.401402042 -52.295202538,175.383267814 -52.285717872,175.382206347 -52.285162676,175.363095422 -52.275064715,175.34406983 -52.2649093539999,175.340832668 -52.2631638519999,175.325130042 -52.254696538,175.31393748 -52.2486004089999,175.306276337 -52.244427467,175.28750927 -52.234101461,175.268829209 -52.223719096,175.257781043 -52.217516329,175.250237042 -52.2132805379999,175.232828556 -52.20340836,175.231731739 -52.202786343,175.21331514 -52.192236484,175.194987167 -52.1816313269999,175.176748218 -52.170971138,175.158598686 -52.1602561879999,175.152284711 -52.156491015,175.140539042 -52.149486538,175.135663631 -52.146550168,175.122569433 -52.138663084,175.104690485 -52.1277854749999,175.086902498 -52.1168541929999,175.071512381 -52.107301225,175.069206042 -52.105869538,175.051601042 -52.0948315379999,175.045673732 -52.0910781059999,175.03408807 -52.0837410629999,175.025805041 -52.0784427,175.016668042 -52.072597538,175.004486915 -52.0647277479999,174.999340105 -52.0614023479999,174.994012691 -52.0579255709999,174.982106042 -52.050154538,174.964965042 -52.038855538,174.947918042 -52.027504538,174.939939449 -52.022138883,174.930965196 -52.0161030959999,174.914107085 -52.004650387,174.897343915 -51.99314709,174.880676031 -51.981593491,174.879531232 -51.980791922,174.864104042 -51.9699895379999,174.853554221 -51.9625284059999,174.847627469 -51.9583365409999,174.831247461 -51.946633768,174.8279903 -51.9442830359999,174.814964042 -51.934881538,174.804562976 -51.9272989,174.798777636 -51.923081081,174.782688468 -51.9112317509999,174.766696891 -51.899334154,174.750803221 -51.887388587,174.735008039 -51.8753955409999,174.735007773 -51.875395339,174.719311042 -51.863354538,174.703713042 -51.8512665379999,174.688214042 -51.8391325379999,174.681307573 -51.8336697,174.672814309 -51.826951548,174.657514537 -51.8147243889999,174.642510539 -51.8026093989999,174.64231504 -51.8024515399999,174.642314796 -51.802451342,174.62721537 -51.79013272,174.625492235 -51.788712296,174.612217042 -51.777768538,174.597319042 -51.765359538,174.582522043 -51.752906536,174.582521863 -51.752906384,174.567827041 -51.7404085379999,174.553233041 -51.7278665379999,174.549113959 -51.7242891999999,174.538741355 -51.715280755,174.532071675 -51.709426939,174.524352041 -51.7026515379999,174.52232084 -51.7008499419999,174.510065187 -51.689979261,174.495881145 -51.6772641169999,174.481800366 -51.664506182,174.481800964 -51.6645073729999,174.481800041 -51.664506538,174.489195041 -51.679245538,174.496485041 -51.6940065379999,174.500723934 -51.702726207,174.503669737 -51.708786593,174.510748548 -51.7235871839999,174.513740224 -51.729945731,174.517721041 -51.7384075379999,174.524588041 -51.753247538,174.528465964 -51.7617702479999,174.531348696 -51.768106302,174.533137034 -51.772104997,174.538002041 -51.7829845379999,174.544549041 -51.797880538,174.550989041 -51.8127955379999,174.555302257 -51.822965273,174.557321899 -51.827727727,174.563546893 -51.842677965,174.568816983 -51.855572826,174.569664041 -51.857645538,174.575673041 -51.872630538,174.581574041 -51.8876315379999,174.583722527 -51.893201355,174.58736667 -51.9026493329999,174.589501718 -51.9082966839999,174.593050042 -51.9176835379999,174.598625042 -51.932732538,174.604090929 -51.947798241,174.604091036 -51.94779854,174.609447042 -51.962878538,174.614694042 -51.977974538,174.615588096 -51.9806041419999,174.619830854 -51.993083978,174.624857741 -52.008208187,174.626398184 -52.0129511499999,174.629774042 -52.0233465379999,174.632411855 -52.031661109,174.634580596 -52.03849819,174.637802277 -52.048903232,174.639276042 -52.053663538,174.641116295 -52.0597554399999,174.64386082 -52.0688415609999,174.645482585 -52.074348549,174.648334042 -52.084032538,174.650623339 -52.09200966,174.652696754 -52.099235802,174.6569476 -52.114451216,174.661086765 -52.1296784049999,174.66366735 -52.139442958,174.665114042 -52.144917538,174.669029042 -52.1601665379999,174.672832042 -52.175427538,174.673860821 -52.1796839689999,174.676522648 -52.190698611,174.678549027 -52.1993535789999,174.680100042 -52.205979538,174.683565042 -52.2212715379999,174.686917042 -52.236571538,174.68898134 -52.246328997,174.690156013 -52.251881935,174.691297783 -52.257478447,174.693281042 -52.2672005379999,174.696001642 -52.28104561,174.696292994 -52.282528401,174.699190921 -52.297864217,174.701974899 -52.3132079929999,174.704644753 -52.328559409,174.705781992 -52.3353941469999,174.707200042 -52.343918538,174.709641042 -52.3592835379999,174.711161127 -52.369325773,174.711967841 -52.374656275,174.712647206 -52.379380279,174.714179042 -52.390034538,174.716276042 -52.4054195379999,174.716596708 -52.40790964,174.718257667 -52.4208102859999,174.720123892 -52.4362061429999,174.721874658 -52.451607054,174.723509806 -52.467012692,174.724533629 -52.477396658,174.725029042 -52.482422538,174.725336237 -52.4857951189999,174.726432631 -52.4978368449999,174.727720003 -52.5132547069999,174.728204113 -52.5196293179999,174.728891042 -52.528675538,174.729328241 -52.5350677719999,174.729945922 -52.5441003679999,174.730363876 -52.5509725329999,174.730884042 -52.5595275379999,174.731175026 -52.564989699,174.73170577 -52.574957092,174.732410564 -52.5903887809999,174.732737582 -52.598974262,174.732998042 -52.605822538,174.733469042 -52.621257538,174.733605903 -52.627225293,174.733822771 -52.636693209,174.734059004 -52.6521300379999,174.734177768 -52.667567327,174.734178937 -52.683004744,174.734152275 -52.686536108,174.734062042 -52.698441539,174.733855241 -52.71208418,174.733827994 -52.713878638,174.73347564 -52.7293144509999,174.733133089 -52.740553325,174.733005042 -52.7447495389999,174.732866169 -52.74839446,174.73241658 -52.7601821489999,174.731709645 -52.7756133669999,174.731194437 -52.785244613,174.730884042 -52.7910425389999,174.729940042 -52.806468539,174.729145306 -52.818010917,174.72887791 -52.821892503,174.727696668 -52.837312928,174.726396592 -52.8527298189999,174.724977582 -52.8681428419999,174.723439544 -52.8835516619999,174.722517198 -52.8921254159999,174.721782042 -52.898955539,174.720220828 -52.9124930849999,174.72000601 -52.9143553489999,174.719708237 -52.916773473,174.718110042 -52.9297495389999,174.716095042 -52.945138539,174.715175499 -52.951766655,174.71396074 -52.960520963,174.711706656 -52.975897512,174.709332942 -52.991267506,174.708894172 -52.9939709659999,174.706839042 -53.006630539,174.704226042 -53.021986539,174.701493042 -53.037334539,174.698640042 -53.0526755389999,174.695667042 -53.068007539,174.692574042 -53.083330539,174.689361042 -53.098645539,174.686028042 -53.113950539,174.682574042 -53.129246539,174.680038284 -53.140095011,174.679000788 -53.1445326579999,174.675306722 -53.15980826,174.672676068 -53.170335881,174.671492042 -53.175073539,174.667557042 -53.190327539,174.663728664 -53.20471865,174.663502154 -53.2055700409999,174.663101925 -53.207029872,174.659326042 -53.220801539,174.655675336 -53.233734521,174.655030064 -53.236020319,174.653006582 -53.242986974,174.650613042 -53.251227539,174.650084384 -53.252997965,174.646075744 -53.266421367,174.641417674 -53.281602581,174.636638963 -53.29677047,174.63173959 -53.311924693,174.629762502 -53.317887486,174.626719042 -53.3270645389999,174.622717981 -53.338838865,174.621578783 -53.3421907809999,174.620057139 -53.346561021,174.616317042 -53.3573015389999,174.611514552 -53.37077296,174.610935136 -53.372398128,174.610127022 -53.374612773,174.605432042 -53.387478539,174.602442566 -53.395487867,174.599808577 -53.4025440139999,174.594064196 -53.417593059,174.592697501 -53.421095983,174.588199042 -53.432625539,174.582213041 -53.447641539,174.579865734 -53.45340755,174.576106666 -53.46264052,174.572251639 -53.471915919,174.569880041 -53.477621539,174.566591265 -53.4855276609999,174.563684006 -53.492516123,174.557367948 -53.507392516,174.550932561 -53.5222510259999,174.544377862 -53.537091319,174.537703874 -53.5519130609999,174.530910621 -53.5667159189999,174.525982003 -53.577256679,174.523998041 -53.5814995389999,174.516966041 -53.5962635389999,174.512899271 -53.6046496179999,174.50981556 -53.611007843,174.502545551 -53.625731823,174.498285957 -53.634207897,174.495156041 -53.640435539,174.487648041 -53.6551175389999,174.482352807 -53.665296997,174.480021104 -53.6697791089999,174.475261763 -53.678773997,174.472275041 -53.684418539,174.464410039 -53.699036538,174.464409921 -53.6990367569999,174.456426015 -53.713632417,174.454284729 -53.717483624,174.448323041 -53.72820554,174.441434859 -53.740396642,174.440101871 -53.7427557509999,174.431761756 -53.757282758,174.423303033 -53.771786216,174.414725773 -53.786265793,174.406030048 -53.8007211569999,174.400862738 -53.809181284,174.397216041 -53.8151515399999,174.388283041 -53.8295575399999,174.380412685 -53.842064014,174.379232863 -53.8439386539999,174.376353514 -53.848446732,174.370064041 -53.85829354,174.362290607 -53.8702880819999,174.360777231 -53.872623177,174.35914428 -53.875106622,174.351372041 -53.8869265399999,174.3432498 -53.899103931,174.341849762 -53.9012028989999,174.340949386 -53.9025337639999,174.332209041 -53.9154525399999,174.323838666 -53.927652974,174.322451229 -53.9296751809999,174.31257557 -53.943870207,174.305617198 -53.953735051,174.302582041 -53.95803754,174.295739695 -53.9676066719999,174.292472007 -53.972176383,174.290240364 -53.9752552419999,174.282244041 -53.98628654,174.271899041 -54.00036854,174.261438041 -54.0144205399999,174.250859041 -54.02844354,174.245884316 -54.0349527779999,174.240163754 -54.042437219,174.229351776 -54.05640026,174.224049174 -54.063160495,174.218423041 -54.07033254,174.212488112 -54.077803328,174.207378545 -54.084234604,174.19621757 -54.098105253,174.184940548 -54.111944454,174.173547625 -54.1257518799999,174.162038952 -54.1395272079999,174.150414683 -54.153270113,174.138674976 -54.1669802709999,174.126819993 -54.180657359,174.114849896 -54.1943010539999,174.106427609 -54.203786097,174.102765041 -54.2079105399999,174.090565041 -54.2214865399999,174.084507364 -54.228148312,174.078250622 -54.235028556,174.065821784 -54.2485354569999,174.053278705 -54.2620073579999,174.040621571 -54.275443937,174.027850568 -54.288844876,174.021462934 -54.2954706209999,174.014966041 -54.30220954,174.010509842 -54.306779218,174.001967729 -54.3155385549999,173.9960592 -54.321528497,173.988856041 -54.32883054,173.975632041 -54.34208554,173.962294041 -54.35530354,173.950309471 -54.367048418,173.948844294 -54.368484221,173.935281772 -54.38162677,173.92160701 -54.394731141,173.9161659 -54.399887738,173.907820041 -54.4077965399999,173.901628715 -54.413600296,173.89392165 -54.420824091,173.879911501 -54.4338120419999,173.865790039 -54.446760538,173.865790011 -54.4467605629999,173.851557041 -54.4596695399999,173.849019005 -54.4619467479999,173.837213938 -54.472538051,173.822759835 -54.485366401,173.808195344 -54.498154073,173.793520712 -54.510900759,173.778736191 -54.5236061479999,173.772690287 -54.5287466889999,173.763842041 -54.53626954,173.748838041 -54.5488915399999,173.737800756 -54.5580795399999,173.733725844 -54.561471465,173.727032466 -54.566984439,173.718504041 -54.57400854,173.703175041 -54.58650254,173.699105613 -54.589864312,173.688211561 -54.598863203,173.677165565 -54.607893369,173.673143041 -54.61118154,173.657969041 -54.6234585399999,173.642690041 -54.63569354,173.632265567 -54.643956272,173.627306868 -54.647886445,173.611818985 -54.6600365039999,173.603990888 -54.666115006,173.596227041 -54.67214354,173.580531041 -54.6842075399999,173.577157413 -54.686774435,173.564731566 -54.696228264,173.548828766 -54.7082050889999,173.537557629 -54.716608045,173.532823041 -54.7201375399999,173.516714041 -54.7320265399999,173.500503376 -54.743870291,173.500503038 -54.743870537,173.48419022 -54.755669317,173.467775215 -54.7674231899999,173.451258663 -54.7791316249999,173.434640867 -54.790794342,173.417922137 -54.802411063,173.401102784 -54.8139815069999,173.384183125 -54.825505398,173.379289895 -54.828805108,173.36716304 -54.8369825409999,173.353260953 -54.846264675,173.350044162 -54.848412411,173.348984772 -54.849112732,173.33282504 -54.859794541,173.31550804 -54.871129541,173.29809104 -54.8824165409999,173.281014205 -54.8933750049999,173.28057696 -54.893655576,173.262799828 -54.905036098,173.250153446 -54.913051191,173.24492204 -54.9163665409999,173.236286093 -54.921785504,173.226944336 -54.927647098,173.208866548 -54.938877109,173.190689219 -54.950056425,173.190689037 -54.950056536,173.172413043 -54.9611845439999,173.172412704 -54.961184749,173.15403704 -54.972261541,173.143719822 -54.97841959,173.135563648 -54.9832873779999,173.11699185 -54.994261116,173.106640705 -55.000316545,173.09832204 -55.005182541,173.091247953 -55.0092801279999,173.079555626 -55.016052072,173.064271305 -55.024816308,173.06069204 -55.0268685409999,173.05078275 -55.032494258,173.041731817 -55.037632516,173.022675549 -55.04834312,173.003523571 -55.059000285,172.991899446 -55.065404093,172.98427604 -55.0696035409999,172.97375712 -55.075341035,172.964934097 -55.080153228,172.951797154 -55.087246797,172.94549704 -55.090648541,172.941574549 -55.0927455569999,172.925966656 -55.1010892159999,172.906342232 -55.11147519,172.886624564 -55.121806136,172.872608451 -55.129076262,172.86681404 -55.1320815409999,172.84691104 -55.1423015409999,172.833051623 -55.149347351,172.826916351 -55.152466191,172.806829976 -55.162574419,172.788752407 -55.171580209,172.78665204 -55.1726265409999,172.76638404 -55.1826215409999,172.757771697 -55.1868261819999,172.74602606 -55.1925601469999,172.725577969 -55.202441557,172.705040568 -55.212265631,172.684414309 -55.2220321189999,172.666562442 -55.230399023,172.66370004 -55.231740541,172.659507473 -55.233685571,172.642897052 -55.24139134,172.622007042 -55.250983546,172.622006977 -55.250983576,172.601029897 -55.2605172459999,172.579966279 -55.269992094,172.565089621 -55.276615147,172.55881704 -55.279407541,172.542672779 -55.28652102,172.537581328 -55.2887643679999,172.516260954 -55.298061312,172.494855958 -55.307298477,172.473367038 -55.316475538,172.473366828 -55.3164756269999,172.451794046 -55.325592531,172.451016448 -55.3259177099999,172.430138039 -55.334648541,172.413419826 -55.341567165,172.408399546 -55.343644618,172.386578812 -55.3525793549999,172.379005661 -55.355647549,172.364676039 -55.3614525409999,172.353862169 -55.3657878289999,172.3426929 -55.3702650549999,172.320628737 -55.3790155629999,172.298484453 -55.387704206,172.28006239 -55.3948550229999,172.276261039 -55.3963305409999,172.253958039 -55.404894541,172.231576039 -55.4133965409999,172.209116039 -55.421835541,172.186579039 -55.4302115409999,172.163965039 -55.4385245409999,172.141275039 -55.446773541,172.118508039 -55.4549595409999,172.104409282 -55.459972899,172.095666603 -55.463081568,172.072749999 -55.4711394669999,172.049759121 -55.479133114,172.026694519 -55.487062301,172.019718188 -55.489433553,172.003557039 -55.494926541,171.980346039 -55.502726541,171.957064039 -55.510460541,171.941633081 -55.515528429,171.933709963 -55.5181303329999,171.910285089 -55.525734148,171.886789852 -55.5332722869999,171.863224821 -55.540744552,171.851571517 -55.544396314,171.839591039 -55.548150541,171.815888039 -55.555490541,171.814631943 -55.5558749099999,171.792116718 -55.562764155,171.780570133 -55.566254914,171.768278039 -55.569970541,171.744373039 -55.577110541,171.720401039 -55.584183541,171.696364039 -55.5911895409999,171.689855819 -55.593063189,171.672261409 -55.5981280779999,171.661201493 -55.60127246,171.648094039 -55.604998541,171.623863039 -55.611801541,171.599569039 -55.618536541,171.575212039 -55.625203541,171.550793039 -55.631802541,171.526312039 -55.638332541,171.506835285 -55.643461052,171.501770657 -55.644794528,171.477168788 -55.6511873219999,171.452507245 -55.657511141,171.43616141 -55.66164688,171.427787039 -55.663765541,171.403008039 -55.6699515409999,171.378147039 -55.6763395409999,171.372476326 -55.6777771869999,171.353226142 -55.6826572419999,171.328245598 -55.688904494,171.303206168 -55.6950811789999,171.278108493 -55.701187131,171.252953216 -55.707222185,171.227740985 -55.71318618,171.217021402 -55.715686051,171.202472038 -55.7190785409999,171.182717536 -55.7236201109999,171.177148259 -55.7249003479999,171.151769068 -55.730650205,171.126335534 -55.736328371,171.120581883 -55.737593978,171.100848038 -55.741934541,171.075308038 -55.7474685409999,171.058657695 -55.7510226699999,171.049715466 -55.7529311919999,171.024071166 -55.758321076,170.998375839 -55.76363852,170.972630155 -55.76888338,170.946834785 -55.774055515,170.941790804 -55.775050726,170.920990038 -55.779154541,170.911700674 -55.7809580959999,170.895097691 -55.7841810479999,170.869157321 -55.789134173,170.858713229 -55.7910953429999,170.843170038 -55.794013541,170.818207316 -55.798622737,170.817136343 -55.7988204649999,170.791057102 -55.80355337,170.771191541 -55.807096389,170.764933038 -55.8082125409999,170.762800366 -55.808586297,170.738764552 -55.812798055,170.712552622 -55.817309584,170.686297846 -55.821747073,170.660000919 -55.8261104009999,170.633662538 -55.830399454,170.633662037 -55.830399535,170.607283399 -55.8346141009999,170.580864205 -55.838754243,170.564187002 -55.8413167969999,170.554406038 -55.842819542,170.527908038 -55.846810542,170.507257388 -55.849858137,170.501373318 -55.850726482,170.474800939 -55.8545674709999,170.448192033 -55.8583334049999,170.42154731 -55.862024181,170.405601101 -55.8641851319999,170.394867038 -55.8656395419999,170.368153038 -55.869179542,170.341405038 -55.8726445419999,170.314624038 -55.876033542,170.30157132 -55.8776468149999,170.287811424 -55.87934724,170.278173884 -55.880509644,170.260967037 -55.882584542,170.234091037 -55.8857465419999,170.220939722 -55.887255484,170.20718591 -55.8888330459999,170.180251069 -55.8918431119999,170.153287601 -55.894777104,170.138858606 -55.896304842,170.126296037 -55.8976345419999,170.101020918 -55.90023708,170.099277693 -55.900416548,170.096743193 -55.900670073,170.072233037 -55.903121542,170.045162037 -55.905750542,170.033665357 -55.9068337649999,170.018066336 -55.9083032199999,169.99094641 -55.9107791549999,169.96380297 -55.913178498,169.936636749 -55.915501182,169.909448484 -55.917747145,169.882238912 -55.919916324,169.863155349 -55.921382685,169.855009037 -55.922008542,169.850268378 -55.922359263,169.8277588 -55.9240240949999,169.800490037 -55.925962547,169.800489737 -55.9259625679999,169.773202325 -55.927824044,169.745897303 -55.9296084539999,169.739602422 -55.930001811,169.718575037 -55.9313155419999,169.691237037 -55.932945542,169.663884037 -55.934498542,169.636516037 -55.935974541,169.636515986 -55.935974544,169.636503917 -55.9359751599999,169.609134037 -55.9373725419999,169.596477304 -55.937983317,169.581739007 -55.9386940539999,169.56297416 -55.9395455919999,169.554332037 -55.9399375419999,169.544330726 -55.9403631989999,169.526912436 -55.94110413,169.499482421 -55.9421930469999,169.47204225 -55.9432045089999,169.444592672 -55.944138488,169.440987483 -55.94425094,169.417134037 -55.944994542,169.389668037 -55.945773542,169.37370769 -55.946181366,169.362194982 -55.9464752819999,169.334715266 -55.947099094,169.307229891 -55.947645317,169.297032374 -55.94781915,169.279740037 -55.948113542,169.252245037 -55.948504542,169.235024828 -55.948701179,169.224747312 -55.948818304,169.215881052 -55.948894305,169.197247036 -55.9490535419999,169.18222888 -55.949140364,169.169744392 -55.9492121279999,169.14397627 -55.949287494,169.142241036 -55.949292542,169.138488377 -55.949292951,169.114736856 -55.949295362,169.087233235 -55.9492205029999,169.085035651 -55.9492083169999,169.059731036 -55.949067542,169.032230036 -55.948837542,169.02161458 -55.9487190259999,169.004731979 -55.948530057,168.981717917 -55.9482074479999,168.977237036 -55.948144542,168.949747036 -55.9476815419999,168.922261036 -55.9471405419999,168.894781036 -55.946522542,168.867307036 -55.945826542,168.839840276 -55.9450535519999,168.839840036 -55.945053545,168.812381036 -55.944202542,168.805192899 -55.9439595329999,168.784931219 -55.943274253,168.757490347 -55.9422683619999,168.74976626 -55.941963307,168.730060036 -55.941184542,168.712769314 -55.94045306,168.702639657 -55.940024238,168.675231334 -55.938786067,168.647835356 -55.9374705339999,168.6430734 -55.9372283129999,168.620452036 -55.936077542,168.598883787 -55.934919102,168.593083419 -55.934607532,168.56572895 -55.9330601409999,168.539577529 -55.9315061249999,168.538390036 -55.931435542,168.511067036 -55.929733542,168.483760036 -55.927954542,168.456472036 -55.926098542,168.443445017 -55.925175649,168.429201367 -55.9241660499999,168.401949998 -55.922156147,168.374718406 -55.920069339,168.356682111 -55.918635205,168.347507036 -55.917905542,168.340546689 -55.917332126,168.320317509 -55.91566524,168.293149679 -55.91334807,168.266004576 -55.9109542369999,168.252746696 -55.909746616,168.238883036 -55.9084835419999,168.211785036 -55.9059365419999,168.192594588 -55.904077183,168.184712972 -55.9033134279999,168.168396807 -55.901684754,168.157666036 -55.900613542,168.130646036 -55.89783754,168.130645649 -55.8978375,168.103652303 -55.89498514,168.081952213 -55.8926284569999,168.076687035 -55.892056542,168.049750035 -55.8890515419999,168.028736994 -55.886646303,168.022842258 -55.885971427,168.016106168 -55.88518034,167.995965035 -55.8828145419999,167.969118035 -55.879582542,167.95685747 -55.878070088,167.942302424 -55.8762745079999,167.934988745 -55.875350516,167.915519035 -55.8728905419999,167.891037835 -55.8697249159999,167.888768941 -55.869431509,167.886306265 -55.869105686,167.862052035 -55.865896542,167.835370035 -55.8622865419999,167.824164425 -55.8607369229999,167.808722681 -55.858601301,167.79595737 -55.856797405,167.782111035 -55.854840542,167.772853486 -55.853504598,167.755536147 -55.851005172,167.731360888 -55.8474427639999,167.728998035 -55.847094542,167.726627141 -55.8467380129999,167.702498355 -55.843109214,167.676037005 -55.839049067,167.649614957 -55.8349142879999,167.640640059 -55.8334823279999,167.623233035 -55.8307045409999,167.604224942 -55.8276138589999,167.59689158 -55.826421287,167.570591648 -55.822063296,167.544333818 -55.8176311359999,167.53221867 -55.815548614,167.521586157 -55.813720625,167.519196741 -55.813309826,167.518119035 -55.813124541,167.491947035 -55.8085445409999,167.465820035 -55.803890541,167.453175373 -55.80159896,167.439737383 -55.799163242,167.413700446 -55.794362083,167.388590333 -55.7896526609999,167.387710035 -55.789487541,167.361766035 -55.784539541,167.335870035 -55.779518541,167.310022035 -55.774424541,167.284223035 -55.7692575409999,167.282293022 -55.768864853,167.27648324 -55.76768277,167.258473744 -55.7640180779999,167.244906778 -55.761213653,167.232775035 -55.758705541,167.219157498 -55.755846963,167.207126782 -55.7533211689999,167.181530438 -55.747864184,167.155986407 -55.742335043,167.138864335 -55.738572811,167.130495035 -55.736733541,167.105058035 -55.731060541,167.091209712 -55.7279267599999,167.079674816 -55.725316183,167.069696867 -55.7230248879999,167.054347034 -55.7194995409999,167.038294646 -55.715760357,167.029074089 -55.7136122809999,167.003857788 -55.7076534019999,166.978698395 -55.701623452,166.965779013 -55.6984834689999,166.953597034 -55.6955225409999,166.928553034 -55.689350541,166.903568034 -55.683108541,166.891828653 -55.680135664,166.878642798 -55.67679621,166.853777595 -55.670413375,166.828973143 -55.663960469,166.817442241 -55.660920677,166.804230034 -55.657437541,166.798616774 -55.655938307,166.779549013 -55.650845143,166.75493059 -55.6441830749999,166.730375427 -55.6374516449999,166.730375035 -55.6374515369999,166.705884034 -55.630650541,166.68995255 -55.626170525,166.681457365 -55.623781396,166.673645256 -55.6215564299999,166.657096034 -55.616842541,166.639873791 -55.611875622,166.632800034 -55.6098355409999,166.617173916 -55.6052728179999,166.608570155 -55.6027603489999,166.584407496 -55.5956165659999,166.569394503 -55.591123062,166.560312034 -55.5884045409999,166.536285034 -55.581124541,166.513116765 -55.574019721,166.512327208 -55.573777589,166.512327036 -55.573777536,166.488438034 -55.5663625409999,166.481886656 -55.5643046289999,166.464619405 -55.558880513,166.440870996 -55.551331246,166.4171937 -55.543715091,166.393588101 -55.5360322509999,166.3842176 -55.532946625,166.370055034 -55.528282541,166.355727376 -55.523509912,166.346594311 -55.520467332,166.326246138 -55.513609795,166.323207034 -55.512585541,166.321190419 -55.511898112,166.299894237 -55.504638143,166.288876998 -55.5008391379999,166.276656034 -55.496624541,166.262355041 -55.491637345,166.253492442 -55.488546361,166.234347162 -55.481793137,166.230405034 -55.4804025409999,166.207393438 -55.472193687,166.207393033 -55.472193542,166.184458878 -55.463920059,166.173253949 -55.4598325499999,166.161602034 -55.455581541,166.149301948 -55.451044872,166.138822413 -55.447179303,166.124849275 -55.441967764,166.121020371 -55.4405396,166.116122034 -55.438712541,166.093500034 -55.430181541,166.070958034 -55.421587541,166.048495034 -55.412929541,166.038316814 -55.408963942,166.026113837 -55.404209056,166.00381344 -55.395425095,165.981594723 -55.3865783639999,165.959458207 -55.3776690949999,165.937404415 -55.368697523,165.932606518 -55.366724817,165.915434033 -55.359663541,165.914694232 -55.3593586279999,165.914694031 -55.359358546,165.913686188 -55.358960289,165.892538371 -55.3506033749999,165.881271718 -55.346103139,165.870463033 -55.341785541,165.848470033 -55.3329065409999,165.826558033 -55.323965541,165.822673489 -55.322363605,165.804728663 -55.3149630949999,165.78298236 -55.305899423,165.763651342 -55.2977569679999,165.761319033 -55.2967745409999,165.739741033 -55.2875895409999,165.735897467 -55.285936244,165.718246208 -55.278343509,165.696836729 -55.269037365,165.675512688 -55.259671199,165.654274572 -55.250245255,165.64997172 -55.248315642,165.633123033 -55.2407595409999,165.612058033 -55.231214541,165.596269176 -55.223986606,165.59108058 -55.2216111829999,165.576189902 -55.2147234129999,165.575288413 -55.214306419,165.570191033 -55.211948541,165.549390033 -55.202227541,165.528677033 -55.192447541,165.508054035 -55.182610536,165.508053775 -55.182610411,165.487520157 -55.172715089,165.467076686 -55.162762227,165.446723817 -55.152752074,165.436662795 -55.147753205,165.426462033 -55.1426845409999,165.406292033 -55.132560541,165.391988313 -55.1253085929999,165.386213292 -55.122380444,165.368875648 -55.113500184,165.366227033 -55.112143541,165.356529957 -55.1071260969999,165.346334033 -55.101850541,165.330571833 -55.0936128009999,165.32653414 -55.091502495,165.316586737 -55.086250756,165.306828033 -55.081098541,165.287216033 -55.0706395409999,165.28383991 -55.0688208839999,165.267698019 -55.060125305,165.248275293 -55.049556536,165.228947918 -55.03893336,165.209716304 -55.028256047,165.198150618 -55.0217699959999,165.190581033 -55.0175245409999,165.181096486 -55.012152339,165.171541987 -55.006740088,165.161937088 -55.001244395,165.152600033 -54.995901541,165.133756033 -54.985010541,165.115009033 -54.974066541,165.100400117 -54.965452694,165.096360178 -54.9630704849999,165.089708072 -54.9591084099999,165.077810033 -54.952021541,165.068443365 -54.9463866149999,165.059358949 -54.940921244,165.052463414 -54.9367308889999,165.041007033 -54.929768541,165.027095048 -54.9212294239999,165.022754918 -54.918565343,165.015867159 -54.914294771,165.004603033 -54.907310541,164.986551033 -54.896004541,164.968600033 -54.8846485409999,164.957598091 -54.8776183919999,164.950750352 -54.8732425539999,164.933002062 -54.8617862209999,164.915355626 -54.8502802039999,164.897811397 -54.8387247869999,164.89781103 -54.8387245439999,164.89198653 -54.8348493239999,164.880369715 -54.827120269,164.878412835 -54.825805056,164.863031032 -54.815466541,164.845795032 -54.803764541,164.84579356 -54.8037635489999,164.842784602 -54.801737416,164.828632032 -54.792207541,164.814634223 -54.7826866999999,164.811570032 -54.780602541,164.794610032 -54.7689495399999,164.777752032 -54.75725054,164.769023177 -54.7511307039999,164.760997032 -54.74550354,164.744344032 -54.7337115399999,164.73702325 -54.7284741949999,164.727794032 -54.7218715399999,164.726018227 -54.7205883,164.711347032 -54.7099865399999,164.71086188 -54.709632391,164.709492016 -54.708632423,164.708967578 -54.708249595,164.707222374 -54.706975639,164.705916877 -54.706022656,164.704763027 -54.705180374,164.704474772 -54.704969954,164.702955363 -54.703860822,164.702082784 -54.70322386,164.700225696 -54.7018682309999,164.697963239 -54.700216691,164.695004032 -54.69805654,164.694796473 -54.697903474,164.69290843 -54.696511124,164.692908393 -54.6965111379999,164.691289027 -54.695317018,164.691223368 -54.695268601,164.691191431 -54.695209397,164.680538048 -54.675460831,164.677839913 -54.6704591989999,164.661485335 -54.639755642,164.650285471 -54.618729378,164.444850507 -54.233052399,164.438960582 -54.2217612759999,164.271373471 -53.900492868,164.245011723 -53.8499567819999,164.122632922 -53.764358683,164.053718848 -53.716156596,163.647106307 -53.4256069749999,163.428386069 -53.269317939,163.073463159 -53.015703732,163.07090019 -53.0138723329999,162.922706276 -52.9079786839999,162.764835443 -52.7951702829999,162.745212989 -52.780729095,162.636161843 -52.7001806439999,162.608411218 -52.679683199,162.391802801 -52.518125551,162.316523948 -52.461978728,162.055697539 -52.267498568,162.052063479 -52.264788901,161.992023409 -52.219843824,161.953098063 -52.190704905,161.736760646 -52.0262952739999,161.635761877 -51.949539387,161.51640862 -51.858834666,161.331147398 -51.7180419659999,161.079038089 -51.526446822,160.96302024 -51.4382769069999,160.942384178 -51.422309351,160.832256114 -51.337095612,160.752319524 -51.275243114,160.739441872 -51.265278779,160.729836463 -51.2578464069999,160.705440294 -51.238969394,160.694518178 -51.230518194,160.678552223 -51.218164224,160.66933693 -51.211033712,160.658756468 -51.2028468729999,160.641389276 -51.1894086689999,160.633584914 -51.183369891,160.625212205 -51.176891344,160.625202848 -51.176884104,160.625046047 -51.176762777,160.625036343 -51.176755268,160.625036028 -51.176750537,160.625029703 -51.176696991,160.624904292 -51.1756353919999,160.624902351 -51.175618963,160.624868492 -51.175332349,160.624847197 -51.1751520879999,160.624819037 -51.17491372,160.624783621 -51.174613926,160.624746634 -51.174300831,160.624740348 -51.1742476169999,160.624529608 -51.172463713,160.624021032 -51.1681586509999,160.623410028 -51.1629865369999,160.622069783 -51.150875948,160.621720028 -51.147715537,160.621005465 -51.140798579,160.620142028 -51.132440537,160.618677028 -51.117160537,160.617325028 -51.101876537,160.617011377 -51.098012635,160.616084028 -51.086588537,160.614956028 -51.071297537,160.614860299 -51.069854995,160.613941028 -51.056002537,160.613037028 -51.040705537,160.612245028 -51.025405537,160.611565028 -51.010103537,160.610997028 -50.9948005369999,160.610541055 -50.979495427,160.610541028 -50.9794945369999,160.610427915 -50.9744762399999,160.610196236 -50.9641884,160.609963042 -50.948881018,160.609963035 -50.948880537,160.609841266 -50.93357308,160.60983612 -50.9260598399999,160.609831028 -50.918264537,160.609865669 -50.912961816,160.609931487 -50.9029568299999,160.61014327 -50.887649164,160.610443052 -50.873431384,160.610466028 -50.872342537,160.610900028 -50.8570365369999,160.611444028 -50.8417315369999,160.612099028 -50.826429537,160.612412564 -50.8201584089999,160.612864298 -50.811128297,160.613740089 -50.795829687,160.6139085 -50.793112247,160.614693028 -50.780458537,160.615757028 -50.7650895369999,160.616932028 -50.749723537,160.617585681 -50.7419097229999,160.618217483 -50.73436205,160.619614226 -50.719003968,160.620162804 -50.7134164349999,160.621122028 -50.7036505369999,160.622740028 -50.688300537,160.624468028 -50.6729565369999,160.626307029 -50.657616537,160.627243269 -50.650246769,160.628255371 -50.64228294,160.630314078 -50.626954864,160.630754455 -50.623843326,160.632483029 -50.6116325369999,160.634761029 -50.5963175369999,160.635629434 -50.590748028,160.637148473 -50.5810086719999,160.639645516 -50.5657070189999,160.641491289 -50.554875422,160.642252029 -50.5504125369999,160.644967029 -50.5351265369999,160.645621179 -50.531587316,160.647791172 -50.519847758,160.650724026 -50.50457763,160.653765424 -50.489316177,160.656915198 -50.4740637149999,160.660173179 -50.458820561,160.663539195 -50.4435870299999,160.667013074 -50.428363438,160.667168599 -50.4277028179999,160.670595029 -50.4131505359999,160.674284029 -50.3979475359999,160.677456563 -50.385250711,160.678080126 -50.3827554329999,160.678845053 -50.3797806809999,160.681984029 -50.367574536,160.684406155 -50.358412135,160.685994217 -50.3524055409999,160.686986793 -50.3487514989999,160.690112029 -50.3372485359999,160.692364622 -50.3291694979999,160.694335446 -50.322102921,160.696862066 -50.313273368,160.698666029 -50.3069705359999,160.701830448 -50.296184688,160.70310232 -50.291850063,160.704722918 -50.2864605349999,160.707645029 -50.276743536,160.71001817 -50.269036953,160.712293317 -50.261649447,160.717047379 -50.2465695029999,160.720499713 -50.235866213,160.721907029 -50.2315035359999,160.726872029 -50.216451536,160.728596698 -50.2113353679999,160.731941451 -50.2014148229999,160.737116106 -50.18639267,160.742395405 -50.171385731,160.747779144 -50.156394312,160.753267116 -50.141418717,160.758147316 -50.128363419,160.758859029 -50.126459536,160.764555029 -50.111516536,160.76647191 -50.106582359,160.770354342 -50.096589915,160.77625715 -50.0816806509999,160.782263133 -50.066788727,160.788372033 -50.0519145379999,160.788372073 -50.05191444,160.794584029 -50.037058536,160.799665439 -50.025116337,160.800898017 -50.022219822,160.802893648 -50.0174414429999,160.807099029 -50.0073725359999,160.809908194 -50.000762997,160.813402309 -49.992542549,160.816605824 -49.985135197,160.819808029 -49.977731536,160.826315029 -49.962939536,160.827049203 -49.961298336,160.832924214 -49.9481659419999,160.835824677 -49.9417889499999,160.839635029 -49.9334125359999,160.844494255 -49.9229007399999,160.846446453 -49.9186780429999,160.853359184 -49.9039639339999,160.856072918 -49.8982784519999,160.860373029 -49.889270536,160.867487029 -49.874596536,160.873893548 -49.8615845699999,160.874701063 -49.859944503,160.882015477 -49.8453133039999,160.885977707 -49.837505751,160.889430029 -49.8307035359999,160.896944029 -49.816115536,160.904557029 -49.801549536,160.907400755 -49.796186575,160.912269114 -49.787006011,160.920080323 -49.772485016,160.927990169 -49.7579869309999,160.935997942 -49.743511756,160.942961175 -49.728813378,160.944092134 -49.726463258,160.950025029 -49.714135536,160.95531314 -49.703314951,160.957188372 -49.6994781019999,160.963253881 -49.6872558109999,160.964452029 -49.684841536,160.971815029 -49.670227536,160.979277029 -49.655634536,160.986839029 -49.6410625359999,160.994499029 -49.6265145359999,161.002258029 -49.611987536,161.010115029 -49.597484536,161.010866594 -49.5961164129999,161.018070505 -49.5830039749999,161.026123838 -49.568547031,161.030833791 -49.5602069449999,161.034275029 -49.5541135359999,161.0364475 -49.5503182959999,161.04252321 -49.539704527,161.045780514 -49.5340899989999,161.050869029 -49.525319536,161.059311029 -49.510959536,161.061394689 -49.5074613099999,161.067850308 -49.496623507,161.076485817 -49.482313034,161.085217477 -49.468027966,161.094045033 -49.453768585,161.098940131 -49.445960401,161.102968029 -49.4395355359999,161.105590976 -49.4354035,161.111986807 -49.425328007,161.121100509 -49.4111473689999,161.130309075 -49.3969935389999,161.139612245 -49.3828667939999,161.144504487 -49.375526807,161.149010029 -49.368767535,161.153496344 -49.362115821,161.158501341 -49.3546956659999,161.166440494 -49.343063797,161.168087029 -49.3406515349999,161.177766029 -49.326636535,161.184870656 -49.316466711,161.187537907 -49.312649022,161.19740314 -49.298690584,161.201747557 -49.29261352,161.207361029 -49.284761535,161.217412029 -49.2708605349999,161.223744854 -49.2621998879999,161.22755419 -49.256990421,161.230473832 -49.2530420259999,161.237789029 -49.243149535,161.242140214 -49.237329836,161.248114958 -49.22933898,161.252335257 -49.223756395,161.258533029 -49.215558535,161.262963762 -49.2097608029999,161.269041214 -49.20180899,161.274156016 -49.1951889709999,161.279641029 -49.188090535,161.290331029 -49.174402535,161.301111029 -49.1607465349999,161.302909873 -49.158491775,161.311981288 -49.147121909,161.322941245 -49.133529375,161.324000671 -49.132229196,161.333991029 -49.1199695349999,161.345129029 -49.1064415349999,161.352892481 -49.097109765,161.356356427 -49.092946153,161.361015552 -49.0874033659999,161.367672029 -49.0794845349999,161.371933791 -49.074466016,161.379076446 -49.066055268,161.387034658 -49.0567791239999,161.390569029 -49.052659535,161.3931031 -49.0497354729999,161.402148356 -49.039298485,161.411926511 -49.0281288739999,161.413816029 -49.0259705349999,161.417934114 -49.021313253,161.42556983 -49.0126778659999,161.42809689 -49.0098482879999,161.437411029 -48.999419535,161.442850275 -48.9933887989999,161.449338524 -48.9861954589999,161.461352341 -48.973006722,161.470311282 -48.9632676059999,161.473452029 -48.959853535,161.477715547 -48.955263562,161.485637431 -48.9467354459999,161.496639419 -48.9350059879999,161.497908029 -48.933653535,161.510264029 -48.9206075349999,161.515306171 -48.9153343629999,161.522704228 -48.907597799,161.535229068 -48.894624721,161.544492403 -48.8851209269999,161.547838029 -48.881688535,161.560531029 -48.868789535,161.573307029 -48.855927535,161.583906043 -48.845357368,161.586166556 -48.843103033,161.588581209 -48.8407174559999,161.599109029 -48.830316535,161.603460908 -48.826056873,161.612133973 -48.817567852,161.612133913 -48.817567649,161.612134029 -48.817567535,161.607643029 -48.802413535,161.605813418 -48.796082321,161.603260464 -48.787246147,161.59898712 -48.772064868,161.598987028 -48.772064535,161.594823029 -48.756870535,161.592801018 -48.7492894879999,161.59076727 -48.741663326,161.588894955 -48.734442814,161.586821029 -48.7264435349999,161.584677686 -48.717937735,161.582983164 -48.711212049,161.579254482 -48.695968603,161.577329155 -48.687854703,161.575635029 -48.6807135349999,161.572124029 -48.6654475349999,161.568722029 -48.650171535,161.567477371 -48.644394867,161.565428482 -48.6348839779999,161.562525611 -48.6209393459999,161.562244029 -48.6195865349999,161.561929481 -48.618021256,161.559168389 -48.60427988,161.55620147 -48.5889635629999,161.553343259 -48.5736381839999,161.551800596 -48.565034795,161.550594029 -48.5583045349999,161.547953029 -48.542961535,161.547215721 -48.538493439,161.545420497 -48.527611038,161.543922225 -48.5181171959999,161.542997029 -48.512252535,161.542064259 -48.506064274,161.540681466 -48.4968871299999,161.539402522 -48.487977971,161.538475029 -48.481514535,161.53731264 -48.472997914,161.536376252 -48.466135043,161.534386198 -48.450749273,161.532504441 -48.4353574639999,161.531208101 -48.424102766,161.530731029 -48.419959535,161.529066029 -48.404557535,161.528257766 -48.396564128,161.527508362 -48.3891491649999,161.526059194 -48.373736557,161.524882941 -48.360215463,161.524718029 -48.358319535,161.523485029 -48.342898535,161.522907284 -48.334984044,161.522359328 -48.3274738929999,161.521922989 -48.320858749,161.521342029 -48.3120455339999,161.52060899 -48.299615289,161.520432029 -48.296614534,161.520059957 -48.2894631409999,161.519629407 -48.281180983,161.519312153 -48.274132551,161.518935029 -48.265744534,161.518566411 -48.256066421,161.518347287 -48.2503066859999,161.517867328 -48.2348668299999,161.517704365 -48.228114633,161.517495029 -48.219425534,161.517307098 -48.208515631,161.517229182 -48.203983362,161.517162822 -48.1975123669999,161.517071029 -48.188540534,161.517053729 -48.183402696,161.517019459 -48.173097102,161.517075025 -48.157653754,161.517075027 -48.157653534,161.517237406 -48.142210701,161.517506511 -48.126768276,161.517882236 -48.111326807,161.518364476 -48.0958866249999,161.518953125 -48.08044806,161.519648077 -48.065011442,161.52044922 -48.049577099,161.521356443 -48.03414536,161.521866321 -48.026380956,161.522370029 -48.018716534,161.523489029 -48.003290534,161.52406057 -47.9960897719999,161.524713437 -47.9878690529999,161.525618436 -47.9773808319999,161.526044029 -47.972450534,161.527480029 -47.9570375339999,161.529021029 -47.941627534,161.529271858 -47.939280171,161.530667384 -47.926223653,161.532154598 -47.9131487239999,161.532419029 -47.910824534,161.532617807 -47.909175838,161.534275521 -47.895430978,161.535849427 -47.883083305,161.536237029 -47.880043534,161.537764694 -47.868669602,161.538303043 -47.8646617909999,161.538661531 -47.862122632,161.540474029 -47.8492865339999,161.542749029 -47.833918534,161.543486907 -47.829154119,161.545128301 -47.8185577259999,161.54666872 -47.8090348979999,161.547612029 -47.803204534,161.548348169 -47.79883778,161.550199489 -47.7878585999999,161.552233794 -47.776265968,161.552891029 -47.772521534,161.554107599 -47.7658488979999,161.555686143 -47.757192016,161.557685954 -47.746622772,161.558585029 -47.741871534,161.560551257 -47.7318432509999,161.561587075 -47.726560545,161.564692516 -47.71125878,161.567901066 -47.6959667529999,161.568470543 -47.6933387249999,161.571213029 -47.680684534,161.574627029 -47.665413534,161.578144029 -47.650152534,161.580520957 -47.6401364659999,161.581763205 -47.634902419,161.584829594 -47.622347088,161.585485029 -47.619663534,161.589309029 -47.6044365339999,161.593235029 -47.5892215339999,161.595898405 -47.5791672399999,161.597262227 -47.574019372,161.601391491 -47.558829309,161.605622214 -47.5436521569999,161.609954223 -47.5284882299999,161.614387341 -47.51333784,161.618921389 -47.498201302,161.623556188 -47.4830789279999,161.625783054 -47.475974251,161.628292029 -47.467970534,161.630410062 -47.461358855,161.633127309 -47.4528779199999,161.638063262 -47.437799909,161.64309923 -47.4227373059999,161.646867972 -47.411695618,161.648235029 -47.407690534,161.648730385 -47.406268242,161.653470452 -47.392659566,161.658805325 -47.3776450469999,161.664239449 -47.362647173,161.666240276 -47.3572299919999,161.669773029 -47.347666534,161.675405029 -47.332702534,161.67836188 -47.3249899529999,161.681135366 -47.3177564929999,161.686964527 -47.3028282669999,161.690835869 -47.2930901509999,161.692892029 -47.287918534,161.694828795 -47.2831314279999,161.698917426 -47.27302665,161.703604563 -47.261642195,161.70504103 -47.258153534,161.71126203 -47.243300533,161.715254202 -47.233926701,161.71758015 -47.228465866,161.720325737 -47.222125927,161.72399603 -47.213651533,161.726773113 -47.2073421109999,161.730508463 -47.198856635,161.735219026 -47.188326994,161.73711803 -47.184082533,161.743824004 -47.1693285819999,161.743824027 -47.169328532,161.750626447 -47.1545957449999,161.755751023 -47.143667315,161.75752503 -47.139884533,161.76452003 -47.125193533,161.77161003 -47.110525533,161.77879603 -47.095879533,161.78607703 -47.0812555329999,161.791619897 -47.07028252,161.793452909 -47.0666540249999,161.795737696 -47.0621837529999,161.80026903 -47.053318533,161.804282112 -47.045567707,161.807163397 -47.0400031789999,161.814137233 -47.026706997,161.820022966 -47.01562732,161.82119003 -47.013430533,161.826328891 -47.003877771,161.828321135 -47.000174401,161.835530034 -46.986938536,161.835530275 -46.986938105,161.831233166 -46.9758754979999,161.82981203 -46.9722165329999,161.82419503 -46.957476533,161.81867903 -46.9427185329999,161.81326503 -46.927943533,161.80795203 -46.913150533,161.80274103 -46.898341533,161.797631031 -46.883516533,161.797630973 -46.883516363,161.79262303 -46.8686745329999,161.791121537 -46.8641284399999,161.787716478 -46.8538174829999,161.785144048 -46.8458547769999,161.78291203 -46.838944533,161.77820903 -46.824056533,161.774801757 -46.813023249,161.773607075 -46.809154039,161.769107302 -46.794236816,161.764709232 -46.779305426,161.762670361 -46.772212902,161.76041303 -46.7643595329999,161.75614403 -46.749823533,161.755483371 -46.747520015,161.751971252 -46.735273465,161.749653987 -46.7269950529999,161.74789503 -46.7207105329999,161.74391503 -46.706135533,161.742933343 -46.70244865,161.740031286 -46.691548186,161.737224077 -46.680726906,161.73624403 -46.676948533,161.73255303 -46.662337533,161.732000672 -46.6600909209999,161.728958494 -46.6477158129999,161.725460259 -46.6330826139999,161.722058362 -46.6184387069999,161.720111039 -46.609805793,161.71875303 -46.603784533,161.71554403 -46.589119533,161.71243103 -46.574445533,161.70941403 -46.559761533,161.70649403 -46.5450685329999,161.704947118 -46.537018572,161.703669414 -46.530367089,161.700941512 -46.5156565689999,161.699207645 -46.505959198,161.698310029 -46.500937533,161.69697912 -46.493208704,161.695774306 -46.486210849,161.69362028 -46.4731997279999,161.693335029 -46.4714765329999,161.690992029 -46.456734533,161.690027042 -46.450402875,161.688744418 -46.4419848599999,161.687948342 -46.436725708,161.686779029 -46.428997533,161.685611873 -46.420982893,161.684887267 -46.416005043,161.683298157 -46.404639458,161.683070029 -46.4030075329999,161.681158416 -46.3918164739999,161.680456035 -46.3877045319999,161.680455956 -46.387704057,161.677946029 -46.372392533,161.675539029 -46.357072533,161.674569054 -46.350619921,161.673235514 -46.341745789,161.671781019 -46.331606473,161.671036029 -46.3264115329999,161.670294062 -46.320983176,161.668939507 -46.3110699439999,161.667922557 -46.3032377979999,161.666947029 -46.2957215329999,161.665659028 -46.2852580539999,161.665057228 -46.28036761,161.663271125 -46.26500734,161.661588316 -46.2496414469999,161.660732213 -46.241310466,161.660009029 -46.234270533,161.659429791 -46.2282404859999,161.658532379 -46.218894115,161.657159143 -46.203513341,161.65606547 -46.190265967,161.655889029 -46.1881285329999,161.654722029 -46.172739532,161.653658029 -46.157346532,161.653181359 -46.149717827,161.652696396 -46.141950601,161.652008108 -46.129604026,161.651838029 -46.126551532,161.651641914 -46.122556329,161.651082261 -46.111150084,161.650429269 -46.0957461959999,161.650060877 -46.085434235,161.649879029 -46.080340532,161.649531485 -46.068387473,161.649431074 -46.064932816,161.649393995 -46.0632784219999,161.649086029 -46.049523532,161.648843029 -46.0341145319999,161.648736819 -46.02250591,161.648702117 -46.018703683,161.648694057 -46.01547012,161.648664029 -46.0032925319999,161.64869222 -45.996397083,161.648727434 -45.987882062,161.648893226 -45.972471578,161.64911905 -45.9594753709999,161.649161029 -45.957061532,161.649531029 -45.941652532,161.649964934 -45.927458975,161.650002067 -45.926245378,161.650575195 -45.910839486,161.650982814 -45.901533585,161.651250029 -45.895435532,161.651590745 -45.888673035,161.652026146 -45.880033931,161.652350701 -45.874339199,161.652904029 -45.864634532,161.653883029 -45.849238532,161.654963029 -45.8338465319999,161.656144002 -45.818456872,161.656144029 -45.818456532,161.657426177 -45.8030716019999,161.65880922 -45.7876905799999,161.659990006 -45.775454216,161.660293029 -45.7723145319999,161.66046546 -45.7706411679999,161.661877456 -45.7569425799999,161.66356242 -45.74157625,161.664617897 -45.7324952439999,161.665348029 -45.726215532,161.666047422 -45.7205183579999,161.667233448 -45.7108605449999,161.669219293 -45.6955116359999,161.670370751 -45.684742614,161.670852029 -45.680242532,161.672584029 -45.664978532,161.673933246 -45.653729165,161.674414201 -45.649720363,161.674881 -45.646030254,161.676344029 -45.634468532,161.678372029 -45.619222532,161.679416743 -45.611733618,161.680498387 -45.6039827229999,161.682723497 -45.588750277,161.684371822 -45.577948958,161.685047029 -45.573525532,161.687469029 -45.558307532,161.689259095 -45.547498918,161.689988216 -45.543097652,161.691080305 -45.536755409,161.692606029 -45.5278965319999,161.694012362 -45.520026248,161.695321223 -45.5127029719999,161.698134286 -45.497518693,161.701045155 -45.482343385,161.703361131 -45.467051974,161.705775995 -45.4517679639999,161.705994054 -45.450442736,161.70829003 -45.4364915319999,161.71090203 -45.4212235319999,161.71164674 -45.4170303449999,161.713612452 -45.4059646059999,161.716421447 -45.3907141029999,161.717848715 -45.3832314549999,161.71932903 -45.3754725319999,161.72233403 -45.360240532,161.723773867 -45.3531773019999,161.725437039 -45.345018876,161.72863797 -45.3298069479999,161.731936528 -45.314605451,161.733739591 -45.3065402079999,161.73533303 -45.299414532,161.738659191 -45.284959585,161.73882594 -45.2842350129999,161.742416498 -45.269066699,161.745755567 -45.255342555,161.74610403 -45.253910532,161.74988903 -45.2387655319999,161.75377003 -45.223633532,161.755551618 -45.216860179,161.757747521 -45.208513442,161.76025938 -45.1991996469999,161.76182203 -45.193406532,161.765992029 -45.178313531,161.765992128 -45.1783131779999,161.77025903 -45.1632335319999,161.77462103 -45.1481675319999,161.775673558 -45.1446137729999,161.7790793 -45.1331152239999,161.783633106 -45.1180777939999,161.78828234 -45.103055156,161.790797823 -45.0950983069999,161.79302703 -45.088047531,161.794547728 -45.083336163,161.797866415 -45.073055482,161.800698735 -45.06445926,161.80280103 -45.058079531,161.805979865 -45.048622671,161.807830149 -45.0431186559999,161.811531093 -45.0323244849999,161.81295403 -45.0281745309999,161.81817203 -45.0132475309999,161.82348503 -44.998336531,161.82889103 -44.983443531,161.830978668 -44.97779704,161.834391241 -44.9685675759999,161.839985176 -44.9537096729999,161.842287765 -44.9477016929999,161.84567303 -44.938869531,161.848596222 -44.931373919,161.851453289 -44.9240485989999,161.857327093 -44.909246029,161.860505114 -44.901371957,161.86329403 -44.8944625309999,161.867156476 -44.8850508849999,161.869353314 -44.87969816,161.875509857 -44.864928941,161.875510029 -44.864928531,161.881759105 -44.850179543,161.88320116 -44.846830251,161.88810103 -44.8354505309999,161.89453503 -44.820741531,161.90106103 -44.806054531,161.90767903 -44.7913875309999,161.91237481 -44.781137166,161.914388027 -44.776742855,161.919987789 -44.7647023489999,161.92118903 -44.7621195309999,161.923674622 -44.7568536969999,161.928081084 -44.747518532,161.935064256 -44.732939771,161.942138245 -44.71838367,161.946413776 -44.709710898,161.94930303 -44.7038505309999,161.95655803 -44.689340531,161.96390303 -44.6748545309999,161.966869762 -44.669083469,161.971338169 -44.6603917149999,161.977010977 -44.649507012,161.97886303 -44.645953531,161.980217552 -44.6433892969999,161.98647752 -44.6315392889999,161.994181286 -44.6171499779999,162.001974153 -44.6027856549999,162.007392066 -44.592928994,162.00985603 -44.5884465309999,162.014910129 -44.5793700789999,162.017826308 -44.5741331209999,162.02588515 -44.5598454839999,162.034032203 -44.5455839809999,162.042267239 -44.5313488969999,162.050590031 -44.517140523,162.059000355 -44.502959123,162.067497976 -44.488805,162.070505561 -44.483855854,162.07608303 -44.4746785309999,162.081534997 -44.465813661,162.084754185 -44.460579691,162.093512026 -44.446509528,162.093512311 -44.4465090699999,162.10235703 -44.4324665309999,162.103691206 -44.430372936,162.111287412 -44.418453281,162.119684511 -44.4054293799999,162.12030403 -44.404468531,162.12940603 -44.390513531,162.13859403 -44.376587531,162.144590463 -44.367600642,162.147866398 -44.3626913419999,162.154351687 -44.353081558,162.15722403 -44.3488255309999,162.159041285 -44.3461625849999,162.166666428 -44.3349896129999,162.176193226 -44.32118452,162.185804217 -44.307410306,162.188375124 -44.303765915,162.19549903 -44.293667531,162.20527803 -44.279955531,162.21514003 -44.266275531,162.217562751 -44.2629507139999,162.22508515 -44.2526276679999,162.235113374 -44.2390119139999,162.24522429 -44.22542866,162.248817219 -44.220652416,162.25541803 -44.211878531,162.262541124 -44.202507243,162.265693177 -44.198360721,162.270309886 -44.192350328,162.27605103 -44.1848765309999,162.284562577 -44.173909118,162.286489763 -44.171425981,162.297010298 -44.1580092209999,162.301443692 -44.15241288,162.30761203 -44.144626531,162.31829503 -44.131278531,162.32905803 -44.117964531,162.333256155 -44.11282325,162.339901301 -44.1046857269999,162.345106447 -44.098375082,162.35082503 -44.091442531,162.355716656 -44.0855701789999,162.361828439 -44.0782337589999,162.372911489 -44.065061127,162.376030394 -44.0613905559999,162.38407403 -44.0519245309999,162.388505693 -44.046759579,162.395315212 -44.038823856,162.406635346 -44.025759729,162.413883246 -44.0174761279999,162.41803403 -44.0127325299999,162.429510811 -43.999741769,162.429511026 -43.999741527,162.44106603 -43.98678853,162.452211642 -43.974412609,162.452698036 -43.973872537,162.453499876 -43.972990706,162.46440803 -43.9609945299999,162.47619503 -43.94815453,162.486807068 -43.936702581,162.488058657 -43.935352009,162.492045271 -43.9310905259999,162.49999903 -43.92258853,162.51201603 -43.9098635299999,162.52035321 -43.9011168,162.524108342 -43.8971774139999,162.531425157 -43.889572986,162.53627703 -43.88453053,162.54787803 -43.8723965299999,162.55954803 -43.86029753,162.563643352 -43.8560895259999,162.57128703 -43.84823553,162.574232242 -43.845235943,162.583095279 -43.8362094669999,162.587310291 -43.83195452,162.59497203 -43.8242205299999,162.601128293 -43.818060144,162.606916998 -43.8122678829999,162.618930104 -43.800352585,162.631011039 -43.7884745649999,162.631531171 -43.787967619,162.64316003 -43.77663453,162.655220558 -43.764980793,162.655375033 -43.7648315329999,162.655375385 -43.7648311959999,162.667658028 -43.753066528,162.667658295 -43.7530662729999,162.68000803 -43.7413395299999,162.69040803 -43.73104153,162.70085903 -43.72077153,162.705114056 -43.716621452,162.711360447 -43.710529416,162.721912233 -43.70031569,162.732513944 -43.6901299899999,162.740792626 -43.680102924,162.74300903 -43.67741853,162.75357803 -43.66473953,162.759834513 -43.657304187,162.76421953 -43.652093313,162.774933918 -43.639480872,162.777399857 -43.636605295,162.785721031 -43.6269025299999,162.796580031 -43.61435753,162.807511031 -43.6018465299999,162.809363963 -43.599745372,162.818514358 -43.5893695349999,162.829064341 -43.576569568,162.836054199 -43.568170144,162.839689031 -43.56380253,162.850387031 -43.55106953,162.852185035 -43.548949684,162.861158462 -43.538370624,162.867403523 -43.5310775959999,162.872004031 -43.52570553,162.879253975 -43.517318092,162.882921994 -43.5130747929999,162.893913267 -43.500478614,162.902818863 -43.490367705,162.904977031 -43.4879175299999,162.916114031 -43.47539053,162.918828037 -43.4723658469999,162.927322166 -43.462899786,162.931273321 -43.458537033,162.938603031 -43.45044453,162.949955031 -43.43802453,162.956700666 -43.4307113949999,162.961378497 -43.425640323,162.972873319 -43.4132925329999,162.97834266 -43.4074705859999,162.984439031 -43.40098153,162.99031228 -43.394785747,162.996075524 -43.388706349,163.007782403 -43.376468404,163.019559461 -43.3642675209999,163.031406443 -43.352103922,163.043323094 -43.339977827,163.055309158 -43.3278894589999,163.056285081 -43.326913965,163.067365031 -43.3158395299999,163.074289515 -43.3087980509999,163.079439198 -43.303561838,163.085224057 -43.297732685,163.091585031 -43.2913235299999,163.099071667 -43.283846699,163.103801343 -43.279123548,163.116088028 -43.266963527,163.116088468 -43.2669630939999,163.128446031 -43.25484253,163.134698888 -43.248763265,163.140873459 -43.2427606799999,163.147017643 -43.2368405999999,163.153371031 -43.2307195299999,163.165938031 -43.2187175299999,163.178574031 -43.20675653,163.191279031 -43.19483653,163.204053031 -43.18295653,163.216894923 -43.1711176319999,163.216895033 -43.1711175309999,163.229805031 -43.1593205299999,163.242783605 -43.147563922,163.242784034 -43.147563534,163.255829496 -43.13584943,163.268108608 -43.124919264,163.268943031 -43.1241765299999,163.282123031 -43.11254653,163.288186239 -43.107242196,163.29537 -43.1009579679999,163.308683516 -43.089412207,163.313177734 -43.085548361,163.322063031 -43.0779095299999,163.335509031 -43.0664495299999,163.349020031 -43.0550325299999,163.362597031 -43.04365853,163.376238031 -43.03232853,163.390001031 -43.0206375299999,163.403832031 -43.0089915299999,163.417732031 -42.99739053,163.431699031 -42.98583553,163.445733031 -42.97432653,163.459835031 -42.9628635299999,163.474004031 -42.951446529,163.486282424 -42.941639341,163.488239525 -42.940076222,163.49054395 -42.938045011,163.500927031 -42.9288935289999,163.513676031 -42.9177495289999,163.526487031 -42.9066445289999,163.539358031 -42.895580529,163.552291031 -42.884555529,163.5578836 -42.879827263,163.565284187 -42.873570727,163.569456665 -42.870072345,163.578338031 -42.862626529,163.590851031 -42.851909529,163.602338416 -42.842150279,163.60342064 -42.8412308859999,163.616047723 -42.8305899109999,163.62873155 -42.819986937,163.628732035 -42.819986533,163.641472031 -42.809422529,163.647423667 -42.8045262439999,163.654268519 -42.798895698,163.667121192 -42.7884077649999,163.674245516 -42.78264072,163.680030031 -42.7779585289999,163.692994031 -42.767548529,163.701601571 -42.760691059,163.706013167 -42.757176745,163.719088195 -42.7468447159999,163.732192097 -42.735688443,163.732763743 -42.735201768,163.732764028 -42.735201526,163.746507016 -42.723603668,163.753234448 -42.7179759969999,163.760318031 -42.712050529,163.774195031 -42.700543529,163.779616248 -42.6960872769999,163.788139503 -42.689081367,163.79965646 -42.6796972619999,163.802150031 -42.677665529,163.816227031 -42.666295529,163.830370031 -42.654971529,163.844578031 -42.643694529,163.849403981 -42.639897133,163.858851101 -42.6324639809999,163.873189308 -42.621280423,163.887592099 -42.6101440049999,163.902059167 -42.59905494,163.916590204 -42.588013439,163.931184902 -42.577019713,163.945842951 -42.5660739699999,163.957464013 -42.5574712719999,163.960564032 -42.5551765289999,163.975348032 -42.5443275289999,163.984311305 -42.537806425,163.990194108 -42.533526724,164.005102459 -42.52277499,164.013745207 -42.5165959669999,164.020073032 -42.512072529,164.028952495 -42.5057787499999,164.035104232 -42.5014187739999,164.050197027 -42.490814697,164.05376257 -42.488331311,164.065351032 -42.480260529,164.080565032 -42.4697555289999,164.08140958 -42.469177439,164.095839263 -42.459301002,164.107089979 -42.451667347,164.111174032 -42.448896529,164.116691452 -42.4451852729999,164.126567465 -42.438542642,164.133336274 -42.4340295549999,164.142021032 -42.4282395289999,164.157532733 -42.417986732,164.157533034 -42.417986533,164.173103032 -42.407785529,164.174333577 -42.4069862929999,164.188732519 -42.3976348379999,164.204419553 -42.387535875,164.220164251 -42.37748849,164.235966293 -42.3674928739999,164.24894353 -42.3593561229999,164.251825032 -42.357549529,164.257266854 -42.354167366,164.267741112 -42.3476577,164.283713241 -42.337818517,164.299741418 -42.3280318509999,164.315825316 -42.318297886,164.331964609 -42.308616807,164.348158971 -42.298988795,164.364408217 -42.2894139799999,164.369882958 -42.284133858,164.377082032 -42.2771915289999,164.389826032 -42.2650105289999,164.391682414 -42.2632520719999,164.402641407 -42.252871909,164.411977229 -42.24410843,164.415527032 -42.240776529,164.428483032 -42.228723529,164.441509032 -42.2167135289999,164.454604032 -42.204747529,164.467769032 -42.192824529,164.4788158 -42.1829080649999,164.481002314 -42.180945368,164.483171924 -42.179015087,164.494305032 -42.169110529,164.50064111 -42.1635227429999,164.507675385 -42.157319727,164.521114249 -42.1455735399999,164.52478647 -42.1423921269999,164.534621032 -42.133872529,164.545314089 -42.124689608,164.548195157 -42.122215565,164.550615354 -42.120155541,164.561837032 -42.1106045289999,164.575545032 -42.099038529,164.580769399 -42.094669024,164.589320024 -42.0875179729999,164.603161388 -42.0760435,164.607241624 -42.0726905659999,164.617069032 -42.064615529,164.62600208 -42.057338288,164.631041934 -42.0532329659999,164.645080512 -42.0418973439999,164.659184224 -42.0306084429999,164.662076066 -42.028313925,164.673353032 -42.019366529,164.687585842 -42.0081716729999,164.68758603 -42.008171525,164.701883032 -41.9970245289999,164.712451114 -41.988856176,164.716244344 -41.985924368,164.72182552 -41.981648161,164.730669032 -41.974872529,164.745157032 -41.963868529,164.750367154 -41.959945631,164.759708413 -41.952912403,164.774322222 -41.9420049899999,164.788144795 -41.931777794,164.788998032 -41.9311465289999,164.803737032 -41.9203365289999,164.818537032 -41.9095755289999,164.822758424 -41.906500633,164.830949279 -41.900534949,164.839329881 -41.894475638,164.843405032 -41.891529529,164.855904032 -41.8825585279999,164.85956151 -41.879952335,164.868446273 -41.8736220119999,164.881031107 -41.8647209439999,164.89365877 -41.855855022,164.907348495 -41.8442709459999,164.92110499 -41.8327326159999,164.922980333 -41.831173463,164.934928033 -41.821240528,164.948817033 -41.8097945279999,164.953692225 -41.805811643,164.962771369 -41.798394956,164.976791456 -41.787042249,164.979095559 -41.785192821,164.990877033 -41.775736528,164.999970374 -41.7685010559999,165.005026751 -41.764477923,165.019241352 -41.753266738,165.028472847 -41.7460493039999,165.033520033 -41.742103528,165.047863033 -41.730987528,165.052913897 -41.727106995,165.062269298 -41.719919692,165.0696706 -41.7142831859999,165.076739033 -41.708900528,165.091272033 -41.697929528,165.100531384 -41.690999765,165.105867005 -41.6870068929999,165.113772338 -41.681142537,165.120525033 -41.676133528,165.135245033 -41.665309528,165.150026033 -41.6545345279999,165.163548707 -41.644762635,165.164869133 -41.643808497,165.179773275 -41.6331326659999,165.194738236 -41.622506753,165.2097637 -41.611930963,165.224849351 -41.601405498,165.235609956 -41.5939632549999,165.239995033 -41.5909305279999,165.255200033 -41.5805065279999,165.270464033 -41.570133528,165.275057421 -41.567038994,165.285787509 -41.55981091,165.297211158 -41.5521830559999,165.301169033 -41.549540528,165.306096322 -41.546279071,165.316609467 -41.5393207619999,165.323296965 -41.534933393,165.332108033 -41.5291535279999,165.345669613 -41.5203339239999,165.34766327 -41.519037474,165.363276311 -41.508973888,165.37894635 -41.498962596,165.394673062 -41.489003791,165.410456125 -41.479097662,165.425009998 -41.4700439119999,165.426295033 -41.4692445279999,165.442190033 -41.4594445279999,165.458140033 -41.4496975279999,165.464337783 -41.4459436399999,165.474145391 -41.44000367,165.490205333 -41.430363735,165.501760928 -41.423489509,165.506320033 -41.420777528,165.522488033 -41.4112455279999,165.538710033 -41.4017675279999,165.538710221 -41.401767418,165.554985776 -41.392343747,165.571314412 -41.382974593,165.576995306 -41.379744436,165.587696033 -41.373660528,165.604130033 -41.364400528,165.607941188 -41.362272431,165.620615497 -41.355196006,165.637153145 -41.3460466879999,165.653742216 -41.336952766,165.670382376 -41.327914413,165.687073291 -41.318931799,165.69353985 -41.3154837439999,165.703815033 -41.310005528,165.720606033 -41.301134528,165.737447033 -41.2923205279999,165.754338033 -41.2835625279999,165.76340681 -41.278903664,165.771277471 -41.274860748,165.779256232 -41.270800713,165.788266033 -41.266216528,165.805303033 -41.2576285279999,165.822388033 -41.2490975279999,165.839520033 -41.240624528,165.856700033 -41.2322085279999,165.864245722 -41.228547158,165.873927147 -41.223849769,165.891200877 -41.215548992,165.898992403 -41.211840879,165.908521033 -41.2073065279999,165.925887033 -41.199121528,165.943299033 -41.190994528,165.960756033 -41.1829265279999,165.978258033 -41.174916528,165.986281856 -41.171280269,165.995804937 -41.166964913,166.009134451 -41.160984438,166.013396034 -41.159072528,166.017554323 -41.15722529,166.031031083 -41.15123886,166.041013795 -41.146848801,166.048710034 -41.143464528,166.066432034 -41.135749528,166.084197034 -41.128093528,166.094927102 -41.1235157589999,166.102004032 -41.120496854,166.108841143 -41.117610003,166.119854034 -41.112960528,166.137745034 -41.105483528,166.155678034 -41.0980665279999,166.173653034 -41.0907095279999,166.189351997 -41.084350641,166.191667875 -41.0834126399999,166.203302226 -41.0787498299999,166.209723034 -41.076176528,166.216955254 -41.073308578,166.227819309 -41.069000462,166.229813935 -41.068217901,166.245955034 -41.0618855279999,166.257271281 -41.057492894,166.264129922 -41.0548307779999,166.271313606 -41.0520725,166.282344034 -41.0478375279999,166.296995866 -41.0422723519999,166.30059691 -41.040904653,166.305345783 -41.0391206639999,166.318888034 -41.034033528,166.337217034 -41.027223528,166.352721998 -41.02152619,166.355584446 -41.02047442,166.357396374 -41.0198160589999,166.373989034 -41.013787528,166.386023495 -41.009463449,166.392430062 -41.007161722,166.410907989 -41.0005979869999,166.421730966 -40.996797167,166.429422034 -40.9940965279999,166.447972034 -40.9876565279999,166.453854401 -40.985637926,166.466557995 -40.981278705,166.473847663 -40.978806372,166.485179034 -40.9749635279999,166.503835034 -40.968710528,166.514454846 -40.965192751,166.52252489 -40.962519829,166.541249374 -40.956391922,166.559857867 -40.95031798,166.578499721 -40.9443059509999,166.597174494 -40.938355977,166.608092229 -40.934919809,166.615882034 -40.932468528,166.628320216 -40.928601467,166.634621391 -40.9266426309999,166.646585221 -40.922969525,166.653393034 -40.9208795279999,166.660633525 -40.918684238,166.672195753 -40.915178805,166.691029855 -40.909540727,166.697795169 -40.90754129,166.709895034 -40.903965528,166.719289883 -40.90122439,166.728790142 -40.8984527599999,166.734765621 -40.8967320909999,166.747716034 -40.893003528,166.766671034 -40.887616528,166.772621662 -40.885947694,166.785655494 -40.882292806,166.801868321 -40.877807312,166.804669034 -40.877032528,166.823712034 -40.871835528,166.836700855 -40.8683386939999,166.842782273 -40.866701619,166.852685172 -40.864072651,166.861881034 -40.861631528,166.868055023 -40.860015238,166.881007312 -40.856624756,166.900160924 -40.8516817829999,166.914688904 -40.847985934,166.919341034 -40.846802528,166.919341434 -40.8468023519999,166.933165047 -40.840695615,166.947015037 -40.834625533,166.947015382 -40.834625382,166.960892181 -40.828591784,166.97479519 -40.822594581,166.989342269 -40.815864781,167.003920744 -40.8091759559999,167.013462548 -40.8048342009999,167.018530034 -40.8025285269999,167.033171034 -40.795921527,167.045645034 -40.7887705269999,167.05215313 -40.7850652229999,167.058149211 -40.781651637,167.07232945 -40.7710207539999,167.08656855 -40.760436993,167.100866103 -40.749900639,167.115221818 -40.739411888,167.129635407 -40.728970933,167.144106576 -40.7185779669999,167.147697766 -40.7160209109999,167.158635035 -40.7082335269999,167.164157335 -40.7043347869999,167.173220493 -40.697936769,167.187862654 -40.6876889169999,167.202561226 -40.6774898159999,167.217315914 -40.6673396539999,167.232126424 -40.657238617,167.24699246 -40.647186892,167.260445463 -40.638168889,167.261914035 -40.6371845269999,167.276890035 -40.6272325269999,167.291921035 -40.617329527,167.299101313 -40.6126396179999,167.307006116 -40.6074767809999,167.309986651 -40.6017906779999,167.314182035 -40.593787527,167.321434035 -40.580121527,167.32472811 -40.573989188,167.328762069 -40.566479761,167.335421644 -40.5542315669999,167.336166035 -40.5528625269999,167.343646035 -40.5392695269999,167.351298035 -40.525065527,167.359032035 -40.510888527,167.360148751 -40.5088666939999,167.366848435 -40.4967376669999,167.37020274 -40.49073949,167.374747035 -40.482614527,167.378864977 -40.4753390989999,167.38272648 -40.4685178189999,167.387209476 -40.460694028,167.390788035 -40.454449527,167.397160602 -40.44345994,167.39893031 -40.440408288,167.403143587 -40.433228991,167.407154035 -40.426395527,167.412336908 -40.417667528,167.415458239 -40.412411313,167.423843208 -40.3984557329999,167.426321562 -40.394378517,167.432309035 -40.384529527,167.43907117 -40.3735312649999,167.440854075 -40.370631772,167.444729724 -40.3644005909999,167.449480035 -40.3567635269999,167.458185035 -40.342925527,167.458807666 -40.341946783,167.466969434 -40.329117976,167.475833423 -40.3153403819999,167.484776477 -40.3015934119999,167.493798371 -40.287877341,167.498341189 -40.281046073,167.502899035 -40.274192527,167.510444459 -40.262968513,167.51207778 -40.260538975,167.513097151 -40.2590389709999,167.521335035 -40.2469175269999,167.530670035 -40.233327527,167.532982646 -40.2299962069999,167.540082534 -40.2197699239999,167.548917954 -40.20717804,167.549573035 -40.206244527,167.551660399 -40.2033007919999,167.559140117 -40.192752688,167.561831775 -40.18899637,167.568785035 -40.179293527,167.578506035 -40.1658675269999,167.582566233 -40.1603174439999,167.588303462 -40.152475362,167.598177495 -40.1391169199999,167.604675662 -40.13041512,167.608128035 -40.1257925269999,167.612365234 -40.120175332,167.618153514 -40.112502616,167.625514069 -40.102843994,167.628255035 -40.0992475269999,167.635831059 -40.089405469,167.638431873 -40.0860268289999,167.641126106 -40.082561708,167.648684035 -40.072841527,167.659011035 -40.059691527,167.669412035 -40.046577527,167.679888035 -40.0334995269999,167.688189279 -40.023236671,167.690437791 -40.020456996,167.692382302 -40.01807652,167.701062035 -40.0074515269999,167.711759035 -39.9944825269999,167.722530035 -39.981550527,167.733374035 -39.968655527,167.744291035 -39.955797527,167.755280035 -39.942978527,167.766342035 -39.930196527,167.770872714 -39.9250107029999,167.777475949 -39.9174529639999,167.788366038 -39.9050435299999,167.788366168 -39.905043382,167.799325035 -39.892670527,167.810351035 -39.8803345269999,167.821445035 -39.868035527,167.832607035 -39.8557735269999,167.843836035 -39.8435495269999,167.853912296 -39.832678476,167.855131672 -39.831362989,167.866494391 -39.8192147469999,167.875414381 -39.8097634869999,167.877924035 -39.807104527,167.889419035 -39.7950335269999,167.900981035 -39.783000527,167.906707621 -39.777093184,167.912608166 -39.7710066769999,167.924301105 -39.759051996,167.936059347 -39.747136693,167.947882644 -39.735260986,167.94893697 -39.73421129,167.959771035 -39.723425526,167.970584741 -39.7127529639999,167.971723402 -39.71162924,167.983740361 -39.699873635,167.995821371 -39.688158498,168.00142459 -39.6827722849999,168.007966035 -39.676484526,168.013356965 -39.671347069,168.020174532 -39.6648504889999,168.026955228 -39.6584450839999,168.032446035 -39.6532585259999,168.039910419 -39.646267966,168.044780852 -39.641706927,168.057178307 -39.6301973459999,168.069638283 -39.6187295129999,168.07463676 -39.6141686839999,168.082161035 -39.607303526,168.090110035 -39.593543526,168.098136035 -39.579810526,168.100804994 -39.575295829,168.106238504 -39.566105563,168.111604349 -39.5571330239999,168.114418035 -39.552428526,168.120828533 -39.5418297749999,168.122673909 -39.5387788589999,168.131006046 -39.52515791,168.1394142 -39.511565579,168.14472244 -39.5030792119999,168.147898036 -39.4980025259999,168.156458036 -39.4844675259999,168.165093036 -39.4709625259999,168.173803036 -39.457487526,168.182588036 -39.444042526,168.191448036 -39.430627526,168.195880982 -39.423986046,168.200382511 -39.417242315,168.209391371 -39.403888233,168.218474371 -39.390565086,168.225317846 -39.380631275,168.227631032 -39.377273524,168.227631304 -39.377273131,168.236862036 -39.364012526,168.238189032 -39.3621257199999,168.246166073 -39.350783791,168.255543487 -39.337586917,168.2623742 -39.328071612,168.264994036 -39.324422526,168.268075276 -39.320173242,168.274517276 -39.3112900099999,168.284113211 -39.298190478,168.287196541 -39.294023377,168.293782036 -39.285123526,168.301727052 -39.274109977,168.303507001 -39.271642668,168.313308932 -39.2581957369999,168.316147556 -39.254341483,168.323187036 -39.2447835259999,168.326800167 -39.2399275409999,168.333141095 -39.2314057519999,168.336744693 -39.2266119069999,168.343171036 -39.218063526,168.353276036 -39.204756526,168.35788607 -39.198746273,168.363456488 -39.191484472,168.373711889 -39.17824876,168.374870262 -39.17676862,168.384042036 -39.165049526,168.394447036 -39.1518855259999,168.395286461 -39.150833962,168.404925476 -39.1387594619999,168.415478309 -39.125669848,168.422738079 -39.116752796,168.426105036 -39.112617526,168.436805036 -39.099602526,168.447578036 -39.086625526,168.449590566 -39.084224443,168.458424517 -39.07368575,168.469343528 -39.060784605,168.480335015 -39.047921926,168.491398723 -39.035097966,168.502534395 -39.02231298,168.509132508 -39.014809177,168.513742036 -39.009567526,168.525021036 -38.996860526,168.536371036 -38.984194526,168.547792036 -38.9715675259999,168.555496406 -38.963128991,168.55928317 -38.9589814879999,168.570845183 -38.9464356309999,168.582477336 -38.9339305,168.594179364 -38.921466344,168.600248611 -38.9150612989999,168.605951036 -38.9090435259999,168.609544604 -38.905285772,168.617791983 -38.8966619349999,168.623779791 -38.890458091,168.629702036 -38.8843225259999,168.641681036 -38.872024526,168.646265065 -38.8673609699999,168.653728304 -38.859768743,168.665159873 -38.848245166,168.665844036 -38.847555526,168.678028036 -38.835385526,168.690279036 -38.823257526,168.692656025 -38.8209256869999,168.702597859 -38.811173023,168.714983871 -38.799131975,168.722160808 -38.79221755,168.727437036 -38.7871345259999,168.730208038 -38.784488583,168.739956323 -38.775180995,168.752542208 -38.763271533,168.765194035 -38.7514065239999,168.765194164 -38.751406404,168.77791191 -38.739585835,168.782519201 -38.7353416569999,168.790695036 -38.727810526,168.803544036 -38.7160795259999,168.812327382 -38.707888214,168.816199265 -38.704277404,168.828919862 -38.69251982,168.841705391 -38.680806945,168.854555572 -38.669139005,168.857430964 -38.6665512239999,168.867470036 -38.6575165249999,168.876921865 -38.649084961,168.880448773 -38.645938841,168.883383528 -38.643344014,168.893491036 -38.634407525,168.906597036 -38.622921525,168.915846687 -38.6148862909999,168.919766453 -38.611481262,168.92428459 -38.607590918,168.932999036 -38.6000875249999,168.936630425 -38.5969879789999,168.946293524 -38.588740591,168.952824861 -38.5832150259999,168.959651036 -38.5774405249999,168.96706868 -38.5712196329999,168.973070163 -38.566186822,168.986551354 -38.554980573,169.000094075 -38.543821704,169.013698038 -38.5327105269999,169.013698213 -38.5327103829999,169.026963036 -38.521660525,169.040288036 -38.5106555249999,169.053672036 -38.4996975249999,169.056195636 -38.49764906,169.067115479 -38.488785552,169.073527944 -38.4836254689999,169.080618036 -38.4779205249999,169.092011115 -38.4688310989999,169.094178888 -38.467101724,169.099355887 -38.463007256,169.107798036 -38.4563305249999,169.114793573 -38.450845284,169.121475809 -38.445605832,169.135211137 -38.4349288669999,169.147256563 -38.4256461429999,169.149004036 -38.424299525,169.150673392 -38.4230240649999,169.162854122 -38.413717902,169.17436754 -38.4049973319999,169.176761036 -38.403184525,169.179871247 -38.4008489719999,169.190724996 -38.39269888,169.204745182 -38.38226184,169.218821489 -38.3718733769999,169.22683401 -38.366011065,169.232954037 -38.361533525,169.235475703 -38.3597043519999,169.247141321 -38.3512429529999,169.261384273 -38.341001379,169.262530817 -38.340184069,169.275682037 -38.330809525,169.290035037 -38.320666525,169.304442037 -38.3105735249999,169.318903037 -38.3005305249999,169.333418037 -38.2905375249999,169.335982637 -38.2887871249999,169.347986332 -38.2805948719999,169.362608027 -38.270702699,169.365862819 -38.26851988,169.377283037 -38.2608615249999,169.392010037 -38.2510705249999,169.399287281 -38.2462748309999,169.406789597 -38.241330878,169.421621303 -38.231642445,169.425203874 -38.229322732,169.436505037 -38.2220055249999,169.445360689 -38.2163215419999,169.451439722 -38.2124199259999,169.456060068 -38.209480598,169.466426037 -38.2028865249999,169.481463037 -38.1934045249999,169.487223799 -38.1898038099999,169.496550426 -38.18397469,169.508602843 -38.1765086,169.511688037 -38.174597525,169.526876037 -38.165272525,169.534086295 -38.160884762,169.542113682 -38.155999934,169.547066885 -38.153012654,169.557401037 -38.1467805249999,169.572736614 -38.1376137839999,169.572737039 -38.137613529,169.588121414 -38.128500338,169.589059086 -38.1279498759999,169.603555037 -38.119440525,169.617231857 -38.111483215,169.619036157 -38.110433525,169.634565499 -38.1014804989999,169.639971127 -38.0983922729999,169.650143037 -38.092581525,169.657504623 -38.087770887,169.664474096 -38.083216943,169.678854021 -38.0739006439999,169.693282014 -38.0646326569999,169.6959078 -38.0629603149999,169.707758037 -38.0554135249999,169.722281037 -38.046242525,169.736852037 -38.037120525,169.751469037 -38.028047525,169.760297353 -38.022614484,169.766133592 -38.0190230159999,169.777025146 -38.0123782819999,169.780844037 -38.0100485249999,169.782691303 -38.008931178,169.795601279 -38.001122928,169.805193854 -37.9953712409999,169.810404037 -37.992247525,169.825253037 -37.983421525,169.828043752 -37.9782980589999,169.830518444 -37.973755426,169.835821212 -37.964102435,169.838436121 -37.9593816619999,169.841161037 -37.9544625249999,169.843082785 -37.9509739229999,169.848677364 -37.9408186169999,169.854224142 -37.930867204,169.856268037 -37.9272005249999,169.863932037 -37.913609525,169.866751316 -37.908666587,169.871669272 -37.900044959,169.878934238 -37.887453432,169.879480037 -37.886507525,169.880459548 -37.884828914,169.887364258 -37.872996612,169.895321307 -37.859513428,169.903351144 -37.846057909,169.906305967 -37.8411610859999,169.911454037 -37.832630525,169.91552549 -37.8259560119999,169.919628422 -37.8192308709999,169.927875482 -37.805859856,169.932668101 -37.7981733409999,169.936195037 -37.7925175249999,169.942403626 -37.782665922,169.944585484 -37.779204083,169.953048153 -37.7659196979999,169.956313288 -37.760747787,169.961257037 -37.7529175249999,169.965340899 -37.746515395,169.969533392 -37.7399435149999,169.977878366 -37.726997414,169.986291304 -37.7140796589999,169.993844826 -37.702599654,169.994772037 -37.701190525,170.000478985 -37.692604732,170.003320332 -37.6883301139999,170.011936052 -37.675498782,170.020618992 -37.662696715,170.022397466 -37.6601006289999,170.029369037 -37.649924525,170.038186037 -37.637181525,170.045134166 -37.627237636,170.047069256 -37.624468379,170.056019192 -37.611785644,170.0650354 -37.5991333069999,170.06789368 -37.5951610719999,170.074118037 -37.5865115239999,170.063885037 -37.5746935239999,170.05709438 -37.566775989,170.053718893 -37.562840114,170.04767481 -37.5557243879999,170.043620037 -37.550950524,170.03722164 -37.543344654,170.033589116 -37.539026528,170.03280232 -37.5380821159999,170.023626037 -37.527066524,170.013730037 -37.5150725239999,170.003902037 -37.503043524,169.998699528 -37.496613415,169.994142201 -37.490980441,169.984450719 -37.478883034,169.983377525 -37.477530116,169.974828037 -37.466751524,169.965273037 -37.454586524,169.963039884 -37.4517149239999,169.955787303 -37.4423883859999,169.951042258 -37.4365866109999,169.945199037 -37.429441524,169.934689037 -37.416454524,169.924258037 -37.4034285239999,169.919417577 -37.397319033,169.913906066 -37.390362453,169.911669934 -37.387509708,169.903634037 -37.377257524,169.899756693 -37.3722580209999,169.893441332 -37.364114268,169.88749583 -37.3563643539999,169.883329037 -37.350932524,169.88002275 -37.346575989,169.873296425 -37.33771211,169.862669493 -37.3254259089999,169.860568189 -37.322972146,169.852115037 -37.3131005239999,169.841633037 -37.3007375239999,169.835672614 -37.2936365479999,169.831223053 -37.28833536,169.820886427 -37.275895539,169.816776507 -37.27089906,169.810623037 -37.263417524,169.800433037 -37.250903524,169.790316037 -37.2383505239999,169.780272037 -37.225761524,169.773300037 -37.217017524,169.763376037 -37.2047165239999,169.753523037 -37.1923795239999,169.744692761 -37.1812112379999,169.743741065 -37.1800074989999,169.73254645 -37.167383746,169.727953048 -37.162150566,169.721429037 -37.154717524,169.710388037 -37.1420085239999,169.699425037 -37.129258524,169.688539037 -37.116466524,169.677731037 -37.103633524,169.667001037 -37.090759524,169.656349037 -37.0778445239999,169.645776037 -37.064889524,169.635281037 -37.051894524,169.624865037 -37.038859524,169.614528037 -37.025784524,169.607498594 -37.0167986509999,169.604270114 -37.012671349,169.601612018 -37.0092365739999,169.594092037 -36.9995185239999,169.583993037 -36.9863275239999,169.573974037 -36.973098524,169.564035037 -36.959831524,169.554176037 -36.946526524,169.544397037 -36.933183524,169.534699037 -36.919804524,169.531200675 -36.9149247129999,169.525081326 -36.906388401,169.521302747 -36.901058266,169.515545037 -36.8929355239999,169.509386112 -36.884150459,169.506089123 -36.879447211,169.502263266 -36.873927624,169.496715037 -36.865922524,169.487422037 -36.8523625239999,169.481173116 -36.8431404139999,169.478210285 -36.838767575,169.47542811 -36.8346139839999,169.469081037 -36.825137524,169.460033037 -36.811472524,169.451067037 -36.797773524,169.446326585 -36.7904462069999,169.442183184 -36.7840410919999,169.436069289 -36.7744780689999,169.433382037 -36.7702745239999,169.424663037 -36.7564745239999,169.418883246 -36.7524886109999,169.410045012 -36.74639316,169.395489079 -36.7362553519999,169.380995534 -36.7260615549999,169.376558831 -36.7229103729999,169.366565037 -36.7158115239999,169.352197037 -36.7055065239999,169.340938121 -36.697352566,169.337892395 -36.6951466359999,169.330216753 -36.689532895,169.323652037 -36.684731524,169.313959668 -36.677573514,169.309474674 -36.6742611949999,169.299873405 -36.66710095,169.295362037 -36.6637365239999,169.281314037 -36.6531575239999,169.267331037 -36.642524524,169.253413037 -36.6318375239999,169.239560037 -36.6210975239999,169.238097912 -36.6199529159999,169.225773518 -36.610304287,169.217584877 -36.603830984,169.212053036 -36.5994575239999,169.20496781 -36.593802314,169.198398487 -36.588558495,169.191483813 -36.582985212,169.184811036 -36.577606524,169.171290036 -36.566602524,169.157837036 -36.555546524,169.144451036 -36.5444385239999,169.132245624 -36.534212516,169.131132377 -36.533279735,169.117882271 -36.522069326,169.105724212 -36.511682525,169.104700036 -36.510807523,169.091587036 -36.499495523,169.087473807 -36.495912688,169.078543243 -36.488133514,169.072505786 -36.4828230689999,169.065568036 -36.476720523,169.052663036 -36.4652585229999,169.041039994 -36.454834368,169.039826931 -36.4537464049999,169.039098355 -36.453086566,169.027061036 -36.442184523,169.014366036 -36.430574523,169.001741036 -36.418915523,168.999327744 -36.416665039,168.989186431 -36.4072074489999,168.97670329 -36.395451398,168.964291462 -36.3836473709999,168.951951202 -36.371795643,168.950088386 -36.369988899,168.939683036 -36.359896523,168.936616139 -36.3568927389999,168.927486401 -36.347950189,168.917782487 -36.3383510209999,168.915362036 -36.3359565229999,168.908372417 -36.328973864,168.903310895 -36.323917259,168.891332245 -36.31183119,168.879426656 -36.299699093,168.86759437 -36.2875212499999,168.862620275 -36.282350639,168.855836036 -36.2752975229999,168.844151036 -36.2630295229999,168.835262876 -36.253603986,168.832539713 -36.250716079,168.821003013 -36.238358091,168.815990762 -36.232934754,168.809541036 -36.225955523,168.802697082 -36.2184757329999,168.798153279 -36.2135094389999,168.790864999 -36.20546253,168.786841036 -36.201019523,168.775603287 -36.188485805,168.775603036 -36.1884855229999,168.764441255 -36.175909094,168.756095942 -36.166409696,168.753355036 -36.1632895229999,168.749389071 -36.1587288979999,168.742344223 -36.1506273379999,168.738666998 -36.146354909,168.731410036 -36.1379225229999,168.724565096 -36.1298881179999,168.720551348 -36.1251764209999,168.709769505 -36.112388261,168.699064339 -36.0995586929999,168.695892828 -36.095718043,168.688436036 -36.086687523,168.677885036 -36.0737765229999,168.667411036 -36.060824523,168.657015036 -36.047832523,168.650633733 -36.039773493,168.64669588 -36.034800123,168.636455076 -36.021728351,168.626292363 -36.0086172589999,168.616207934 -35.9954671479999,168.60620198 -35.982278321,168.597273542 -35.970381959,168.596275033 -35.9690515259999,168.596274697 -35.969051076,168.586426255 -35.955785728,168.584060335 -35.952564015,168.576657036 -35.942482523,168.566967036 -35.9291415229999,168.559620398 -35.9189161589999,168.557355898 -35.9157640569999,168.552522447 -35.9089611869999,168.547825036 -35.9023495229999,168.538373036 -35.888897523,168.529002036 -35.875410523,168.522776271 -35.866349261,168.519710335 -35.861886817,168.5104992 -35.8483275909999,168.501368505 -35.834733017,168.492318419 -35.821103406,168.483349104 -35.807439067,168.47737653 -35.7982341489999,168.474461036 -35.7937405229999,168.47191437 -35.789769887,168.465653433 -35.780007455,168.456927395 -35.766240806,168.454090696 -35.7617123539999,168.448283036 -35.752440523,168.439720036 -35.738607523,168.43660462 -35.733514579,168.431238327 -35.724741251,168.425777901 -35.715705875,168.422839036 -35.7108425229999,168.418196537 -35.703067258,168.414521327 -35.696911686,168.411072195 -35.69106378,168.406286036 -35.6829485229999,168.398133036 -35.668954523,168.393842141 -35.66149769,168.390062317 -35.654928863,168.382074275 -35.6408722629999,168.374168943 -35.6267850309999,168.366346456 -35.612667485,168.36187205 -35.6044884369999,168.358607036 -35.5985195229999,168.350951036 -35.584342523,168.343377036 -35.570135523,168.335879036 -35.555926523,168.333637919 -35.5516237959999,168.328463514 -35.541688296,168.324548724 -35.5340708059999,168.321132036 -35.5274215229999,168.313883036 -35.513126523,168.311249307 -35.5078620049999,168.306718181 -35.498804373,168.30025154 -35.4856998459999,168.299637036 -35.484454523,168.292640036 -35.4700775229999,168.286403158 -35.4570841789999,168.285726132 -35.4556736329999,168.28474359 -35.453597568,168.278897036 -35.441243522,168.274741379 -35.432337753,168.272151416 -35.426786986,168.265490374 -35.4123047859999,168.26172157 -35.40399109,168.258914036 -35.397797522,168.257347706 -35.3942916739999,168.252421437 -35.3832642529999,168.248426156 -35.374187347,168.246014036 -35.368706522,168.239691036 -35.354124522,168.235565069 -35.3444646419999,168.233452383 -35.339517999,168.23105555 -35.3338193939999,168.227299036 -35.324887522,168.223351236 -35.315355301,168.221230353 -35.310233992,168.219864151 -35.3068828479999,168.215247036 -35.295556522,168.21247399 -35.2886467069999,168.209348367 -35.280857161,168.203786379 -35.266771118,168.203535036 -35.266134522,168.203076517 -35.2649542849999,168.19780711 -35.251390124,168.192164459 -35.2366235979999,168.186607232 -35.221835504,168.181135505 -35.2070261709999,168.175749351 -35.1921959279999,168.171500692 -35.180292145,168.170449036 -35.1773455219999,168.169454815 -35.174510422,168.165234053 -35.162474029,168.160105047 -35.147583031,168.157068608 -35.1386054989999,168.155062036 -35.132672522,168.150105036 -35.117742522,168.147102284 -35.1085290299999,168.145233383 -35.1027938079999,168.140448154 -35.087826424,168.137558999 -35.078612839,168.135749035 -35.072840522,168.133591452 -35.0658233469999,168.131136035 -35.05783718,168.126609255 -35.0428159799999,168.125633492 -35.039511417,168.122169035 -35.027777522,168.120724736 -35.022784658,168.117814513 -35.0127220859999,168.114814392 -35.002127109,168.113547035 -34.997650522,168.110437756 -34.986431985,168.109365185 -34.982561742,168.105270165 -34.9674574819999,168.104279562 -34.963721004,168.101262035 -34.9523375219999,168.097340035 -34.937202522,168.094745539 -34.9269557499999,168.093504178 -34.9220523389999,168.089755333 -34.906887613,168.086093121 -34.8917086019999,168.08566225 -34.8898777749999,168.082518035 -34.876515522,168.079029035 -34.8613095219999,168.075627035 -34.8460895219999,168.073561699 -34.836601803,168.072311224 -34.8308563759999,168.071328263 -34.82621484,168.069083035 -34.8156105219999,168.065941035 -34.800353522,168.062886035 -34.785083522,168.059918035 -34.769802522,168.058465791 -34.7620963539999,168.057036375 -34.7545096969999,168.054518763 -34.740722185,168.054242035 -34.739206522,168.054034286 -34.7380316799999,168.051534382 -34.723892045,168.0500739 -34.715351841,168.048914035 -34.708567522,168.046380035 -34.693233522,168.045424501 -34.6872418099999,168.043933079 -34.6778892949999,168.041573122 -34.662536041,168.03930008 -34.647173843,168.039300034 -34.6471735219999,168.037114035 -34.631803522,168.035015035 -34.6164235219999,168.033966729 -34.6084104609999,168.033002421 -34.6010369209999,168.031077041 -34.585642521,168.031077012 -34.5856422849999,168.029238511 -34.570240374,168.027873691 -34.558234136,168.027487035 -34.554831522,168.026743231 -34.547945188,168.025822159 -34.5394160659999,168.02424429 -34.5239943359999,168.022753275 -34.5085666689999,168.021349096 -34.493133396,168.021112996 -34.4903664669999,168.020032035 -34.477694522,168.019195884 -34.4672049329999,168.018801177 -34.4622513739999,168.017657396 -34.4468032899999,168.016600369 -34.4313509369999,168.015630072 -34.4158946479999,168.014746477 -34.400434756,168.014371402 -34.393156942,168.013950035 -34.3849715219999,168.013476974 -34.374681263,168.013239277 -34.3695054959999,168.013016745 -34.363986089,168.012616035 -34.354036521,168.012357212 -34.346593675,168.012078516 -34.338565823,168.011696576 -34.325449244,168.011628035 -34.323092521,168.011264035 -34.3076185209999,168.01118022 -34.3029526079999,168.01098632 -34.2921426099999,168.01079515 -34.276665883,168.010690357 -34.261188547,168.010677545 -34.25044852,168.010672035 -34.245710521,168.010740035 -34.2302335209999,168.010894035 -34.214756521,168.011134035 -34.1992795209999,168.011146792 -34.1986739609999,168.011460391 -34.1838043609999,168.011725067 -34.173874493,168.011873035 -34.168330521,168.012083666 -34.161786584,168.01237132 -34.1528580359999,168.012664315 -34.145102406,168.012956035 -34.1373875209999,168.013457923 -34.1258006539999,168.013626108 -34.1219198819999,168.014382299 -34.106454695,168.015224271 -34.090992542,168.015963144 -34.0786801429999,168.016152035 -34.075533521,168.016331972 -34.072788287,168.017165301 -34.0600786539999,168.018264223 -34.044627578,168.018682214 -34.039176379,168.019449035 -34.0291805209999,168.019957888 -34.02298848,168.020718535 -34.013738807,168.02165504 -34.003071452,168.022074035 -33.998301521,168.022786455 -33.9906672559999,168.023514316 -33.982870067,168.024954091 -33.9683133149999,168.025040035 -33.9674445209999,168.026651035 -33.9520235209999,168.028347035 -33.936610521,168.030128035 -33.9212035209999,168.031994035 -33.9058035209999,168.033296086 -33.8955253359999,168.033944286 -33.890410253,168.034591416 -33.8855186019999,168.035980035 -33.8750255209999,168.038100035 -33.8596475209999,168.039659996 -33.848769556,168.04030414 -33.844278871,168.042593116 -33.828918511,168.04496645 -33.813567077,168.047424046 -33.7982248929999,168.047967027 -33.794949484,168.049966035 -33.782892521,168.052592035 -33.767569521,168.054068829 -33.7592222869999,168.055301438 -33.7522570749999,168.058054708 -33.737176383,168.058095033 -33.73695552,168.058095106 -33.7369551259999,168.060972532 -33.72166404,168.062311457 -33.714754877,168.063934035 -33.706384521,168.065891915 -33.6965636049999,168.066978261 -33.6911157549999,168.070106346 -33.675859198,168.071818011 -33.667734034,168.073318035 -33.660614521,168.074372281 -33.655739517,168.076612411 -33.645382857,168.079990166 -33.6301637129999,168.082362367 -33.619740614,168.083451035 -33.614957521,168.086995035 -33.5997655209999,168.090621035 -33.5845865209999,168.094330035 -33.569421521,168.098122035 -33.554271521,168.099364206 -33.5494170169999,168.100324807 -33.54566291,168.101995533 -33.539135341,168.104670627 -33.528911206,168.105952035 -33.524014521,168.108745191 -33.513566129,168.109990186 -33.508909316,168.110793396 -33.5059678289999,168.114111035 -33.493819521,168.11815592 -33.479309148,168.118312946 -33.478745896,168.122597031 -33.463688519,168.12259705 -33.4636884509999,168.126963035 -33.4486475209999,168.130890934 -33.435377283,168.131410024 -33.4336236619999,168.131880152 -33.432065773,168.135939035 -33.4186165209999,168.137487696 -33.4135800989999,168.140548487 -33.4036277659999,168.145239435 -33.388656435,168.150011342 -33.373703264,168.154864069 -33.3587685649999,168.159797473 -33.343852649,168.164811412 -33.328955825,168.167819467 -33.3201711369999,168.169906036 -33.3140785209999,168.172469502 -33.3067171,168.175080315 -33.299220695,168.180334985 -33.284383007,168.181633638 -33.280775886,168.185670036 -33.26956552,168.189718644 -33.2585002719999,168.191084019 -33.254768922,168.194249711 -33.2462550779999,168.196578036 -33.23999352,168.202152036 -33.2252385199999,168.20447583 -33.219181114,168.207804523 -33.2105056309999,168.210931253 -33.202481013,168.213537036 -33.1957945199999,168.219348036 -33.18110552,168.225238036 -33.16643952,168.229521727 -33.1559283989999,168.23120632 -33.1517953649999,168.23725353 -33.1371747269999,168.24337912 -33.1225774669999,168.249582925 -33.108003885,168.250310883 -33.1063178379999,168.255865036 -33.09345452,168.258071648 -33.0884139089999,168.262224519 -33.0789289589999,168.267192419 -33.067738467,168.268662036 -33.06442852,168.275177036 -33.04995252,168.277082022 -33.0457764029999,168.281769335 -33.0355016579999,168.286334545 -33.0256278369999,168.288439036 -33.02107652,168.289761613 -33.018253349,168.2951855 -33.0066769979999,168.301611055 -32.993141764,168.302009036 -32.99230352,168.304578524 -32.9869608459999,168.308909065 -32.977956607,168.309807953 -32.976111529,168.315886036 -32.96363652,168.322939036 -32.94934252,168.330068036 -32.9350765199999,168.337273036 -32.92083852,168.341761688 -32.9120763999999,168.344553502 -32.9066272869999,168.3502539 -32.895637259,168.351910036 -32.89244452,168.359342036 -32.87829052,168.366849036 -32.86416452,168.374431036 -32.85006852,168.377428602 -32.8445604529999,168.382087534 -32.836001004,168.388764891 -32.823877259,168.389819036 -32.8219635199999,168.397625036 -32.80795552,168.399348149 -32.804898962,168.405505196 -32.7939777619999,168.413459471 -32.780030493,168.419077461 -32.7702918699999,168.421488036 -32.76611352,168.424424081 -32.761081179,168.429589427 -32.752228384,168.432491222 -32.747310848,168.437765036 -32.73837452,168.444155854 -32.7276640109999,168.44601327 -32.724551404,168.450810176 -32.7166018259999,168.454335036 -32.71076052,168.45586051 -32.7082600439999,168.462729399 -32.697001814,168.467197592 -32.6897583209999,168.471197036 -32.6832755199999,168.476058296 -32.675479513,168.479736192 -32.669581861,168.485693676 -32.6601317569999,168.488348036 -32.6559215199999,168.493163351 -32.648364735,168.497032006 -32.642293778,168.504510141 -32.6306834979999,168.505788036 -32.6286995199999,168.506324718 -32.6278750709999,168.514615182 -32.615139789,168.523514006 -32.601613771,168.526505744 -32.597113951,168.532484036 -32.58812252,168.541525036 -32.5746655199999,168.548016067 -32.5651035019999,168.55063688 -32.561242916,168.559819258 -32.547855942,168.567272191 -32.537101486,168.569072036 -32.53450452,168.578395036 -32.52118852,168.587788036 -32.5079085199999,168.596894336 -32.495163357,168.597250036 -32.49466552,168.606782036 -32.4814585199999,168.60678312 -32.481457033,168.61995021 -32.468201278,168.62954514 -32.4573053399999,168.64157946 -32.446246776,168.653125902 -32.4363265929999,168.665485474 -32.425918533,168.67779007 -32.4174552389999,170.550153889 -31.3166335989999,170.583487222 -31.299966927,170.766820556 -31.1833002129999,171.20114041 -30.919714929,171.201380251 -30.9200780969999,171.217817258 -30.910325166,171.23168968 -30.9032628429999,171.248336586 -30.8962005189999,171.26447904 -30.889642647,171.281125946 -30.883337,171.297016175 -30.87728358,171.313158629 -30.871482386,171.332262155 -30.865385868,171.332264038 -30.865385518,171.349827038 -30.862199518,171.362131047 -30.860016447,171.367405807 -30.85908074,171.373999797 -30.85793746,171.385000039 -30.856030518,171.3975536 -30.8539039199999,171.402608997 -30.853047647,171.420232876 -30.850133002,171.433935078 -30.84792161,171.437871039 -30.847286518,171.442677792 -30.846529779,171.455523494 -30.8445077989999,171.465960633 -30.842906461,171.469548387 -30.8423561229999,171.473190039 -30.841797518,171.490869039 -30.839155518,171.508561039 -30.8365815179999,171.526267039 -30.834075518,171.527248588 -30.833940449,171.535952585 -30.8327427099999,171.543984128 -30.831637784,171.561713648 -30.8292686959999,171.565189248 -30.8288179809999,171.579455039 -30.8269685179999,171.580829214 -30.8267956629999,171.590311805 -30.8256028599999,171.597207342 -30.824735811,171.604800755 -30.823810884,171.614971039 -30.822572518,171.624180537 -30.8214864879999,171.632744955 -30.820476938,171.646507561 -30.818908656,171.650529039 -30.818450518,171.668324039 -30.816492518,171.686128039 -30.814603518,171.703940963 -30.812782527,171.703941039 -30.8127825189999,171.721763124 -30.8110306739999,171.739593861 -30.809347588,171.742948124 -30.809044054,171.757433039 -30.807733518,171.765120626 -30.807067579,171.775279689 -30.806187854,171.785174422 -30.805369544,171.793134039 -30.804711518,171.809202467 -30.803444898,171.810995693 -30.803303571,171.828864152 -30.8019647949999,171.846739121 -30.800694963,171.856181347 -30.8000608419999,171.864620039 -30.799494518,171.882507039 -30.798362518,171.900400039 -30.7972995179999,171.9140843 -30.7965394939999,171.918297223 -30.796305558,171.936199581 -30.7953807929999,171.943139376 -30.795049169,171.954106039 -30.7945255179999,171.972017039 -30.793738514,171.972017282 -30.793738504,171.989931936 -30.7930210009999,172.007849997 -30.792372621,172.015274396 -30.7921326489999,172.025771039 -30.791793518,172.043695039 -30.7912835179999,172.061621039 -30.790842518,172.07913129 -30.790479186,172.079549039 -30.790470521,172.079549428 -30.7904705129999,172.097479356 -30.790167889,172.112015051 -30.789978644,172.115411039 -30.7899345179999,172.133343039 -30.789770518,172.151276039 -30.789675518,172.169209039 -30.789649518,172.187142039 -30.789692518,172.190587938 -30.7897140389999,172.20507493 -30.7898048869999,172.223006972 -30.7899865209999,172.223007039 -30.7899865219999,172.223661917 -30.789995685,172.240938039 -30.790237518,172.258867039 -30.790557518,172.276795039 -30.7909465179999,172.279389888 -30.7910128149999,172.294720894 -30.791404788,172.303740261 -30.791670219,172.312644039 -30.791932518,172.320909991 -30.792207435,172.330564477 -30.792528849,172.348481716 -30.793194577,172.355370598 -30.7934771669999,172.366395039 -30.793929518,172.384305039 -30.7947335179999,172.402211039 -30.7956065179999,172.420112039 -30.796548518,172.424081277 -30.7967727399999,172.438008584 -30.7975596369999,172.455899678 -30.798639814,172.473785208 -30.799789001,172.484316367 -30.8005065099999,172.49166504 -30.8010075179999,172.50953804 -30.8022945179999,172.52740504 -30.803650518,172.54526504 -30.805075518,172.56311704 -30.8065695179999,172.57026523 -30.80719521,172.580962247 -30.8081319779999,172.59879904 -30.8097635189999,172.598799183 -30.809763532,172.6166278 -30.811463879,172.634447755 -30.813232988,172.652258703 -30.8150708229999,172.66351563 -30.816276423,172.67006004 -30.8169775179999,172.68785204 -30.8189525139999,172.687852205 -30.818952533,172.70563404 -30.820996518,172.713853428 -30.821973299,172.723405562 -30.8231086929999,172.741166327 -30.825289599,172.758916026 -30.827538997,172.776654316 -30.8298568449999,172.784129252 -30.830863081,172.79438104 -30.832243518,172.807211932 -30.8340210389999,172.812095299 -30.8346977049999,172.829797307 -30.8372206239999,172.847486536 -30.839811804,172.855328069 -30.840991571,172.86516304 -30.842471518,172.875492705 -30.844066411,172.882825292 -30.845198744,172.893135449 -30.8468319199999,172.90047404 -30.847994518,172.91810904 -30.8508585179999,172.927962704 -30.8524976269999,172.935729043 -30.853789814,172.948068259 -30.8558921969999,172.95333404 -30.856789518,172.956717822 -30.8573794819999,172.97092464 -30.859856984,172.983045998 -30.862019448,172.98849904 -30.8629925179999,173.00605804 -30.866195518,173.02360104 -30.869466518,173.033699192 -30.871389811,173.041127002 -30.872804687,173.058636268 -30.8762106999999,173.063456205 -30.877167828,173.07612804 -30.879684518,173.09360304 -30.883225518,173.11105904 -30.8868335179999,173.12849804 -30.8905095179999,173.135779196 -30.892073588,173.145917675 -30.894251953,173.1633186 -30.898061952,173.171924471 -30.899981538,173.18070004 -30.9019395179999,173.19806204 -30.9058835179999,173.21540504 -30.9098945179999,173.223130992 -30.9117130449999,173.232726505 -30.913971982,173.250027845 -30.9181166119999,173.267308258 -30.922327932,173.284567405 -30.9266058599999,173.294492168 -30.92910724,173.30180504 -30.930950518,173.31902104 -30.935361518,173.33621404 -30.9398385179999,173.337069677 -30.940064897,173.35338463 -30.944381966,173.370532417 -30.9489916589999,173.378321292 -30.9511183819999,173.38765704 -30.953667518,173.40475804 -30.9584095179999,173.41048727 -30.960022238,173.421834777 -30.963216909,173.433294735 -30.9664920609999,173.43888704 -30.9680905179999,173.45591504 -30.973029518,173.461345327 -30.974627883,173.472918624 -30.978034463,173.48989646 -30.9831048249999,173.506848684 -30.988240612,173.523774966 -30.993441724,173.529580922 -30.995250961,173.540675041 -30.9987085179999,173.557548041 -31.004039518,173.560331924 -31.004931181,173.574394837 -31.009435993,173.587829154 -31.0137982709999,173.591214041 -31.0148975179999,173.598274233 -31.017220924,173.608005633 -31.020423572,173.617554185 -31.0236081319999,173.624769041 -31.026014518,173.628333243 -31.027218842,173.641504718 -31.0316699429999,173.658211547 -31.037389902,173.667561321 -31.040632643,173.674889041 -31.0431745179999,173.685342129 -31.0468461899999,173.691538131 -31.049022809,173.705191989 -31.05388056,173.708157041 -31.054935518,173.724746041 -31.060912518,173.734339082 -31.0644116409999,173.741305409 -31.0669529319999,173.754708989 -31.071903278,173.757834041 -31.0730575179999,173.774331041 -31.0792255179999,173.790798041 -31.0854575179999,173.807232041 -31.091752518,173.823635041 -31.0981105179999,173.840006041 -31.1045325179999,173.846351637 -31.1070507169999,173.856344552 -31.1110168929999,173.871650479 -31.1171631,173.872650041 -31.1175645179999,173.875033323 -31.1185326529999,173.888922305 -31.1241748419999,173.905161134 -31.130847891,173.917962681 -31.13616883,173.921366041 -31.1375835179999,173.937537041 -31.1443815179999,173.941543232 -31.145192707,173.955010117 -31.147919799,173.961432262 -31.1492462749999,173.972465041 -31.151525519,173.989902041 -31.155197519,174.007321041 -31.158936519,174.024720041 -31.1627425189999,174.036492622 -31.1653651199999,174.04210073 -31.166614647,174.059461569 -31.170553727,174.068440308 -31.172627736,174.076802041 -31.174559519,174.094123041 -31.178631519,174.102188441 -31.180560688,174.11142348 -31.1827698289999,174.128702799 -31.1869745559999,174.145960903 -31.191245489,174.14596104 -31.191245523,174.163197041 -31.195582519,174.168718078 -31.196994608,174.180412122 -31.199985673,174.197604572 -31.204454746,174.214774472 -31.208989693,174.218506872 -31.209991137,174.231921041 -31.213590519,174.239465042 -31.215646131,174.249045289 -31.218256857,174.26614554 -31.222988895,174.281114282 -31.2271943169999,174.283222041 -31.2277865189999,174.300274041 -31.2326495189999,174.304463331 -31.2338619229999,174.31730169 -31.2375777309999,174.325201488 -31.239897824,174.334304041 -31.242571519,174.341929502 -31.244843257,174.351281972 -31.247629946,174.368233976 -31.2527536609999,174.375320859 -31.254926123,174.385160041 -31.257942519,174.392631584 -31.260264886,174.402060062 -31.26319581,174.407400801 -31.264879126,174.418933041 -31.268514519,174.429286317 -31.271822011,174.435780055 -31.27389691,174.444720237 -31.276792421,174.452599041 -31.2793445189999,174.469391041 -31.284856519,174.486155041 -31.290432519,174.501323348 -31.295544209,174.502891251 -31.296072626,174.504662376 -31.296677347,174.519599041 -31.301777519,174.536277041 -31.307545519,174.538028693 -31.3081590699999,174.552926644 -31.313377848,174.569546604 -31.3192739369999,174.58613677 -31.325233678,174.602696816 -31.3312569559999,174.619226042 -31.337343517,174.619226416 -31.337343655,174.620768986 -31.3379186509999,174.63572525 -31.343493651,174.652192991 -31.3497068309999,174.658369341 -31.352065282,174.668629042 -31.3559835189999,174.685034042 -31.362322519,174.701406042 -31.368724519,174.708043084 -31.37134993,174.717746573 -31.3751889449999,174.728666695 -31.379559862,174.734054042 -31.381716519,174.743318218 -31.3854673879999,174.750328425 -31.3883059029999,174.766569492 -31.394957914,174.772648409 -31.39747621,174.782777042 -31.4016725189999,174.798950042 -31.4084485189999,174.815089042 -31.4152865189999,174.828781666 -31.4211529639999,174.831193898 -31.422186484,174.831904318 -31.4224942509999,174.847263042 -31.429148519,174.863298042 -31.436171519,174.874941326 -31.441327228,174.879296421 -31.443255742,174.8848162 -31.445726674,174.895259042 -31.450401519,174.911186042 -31.457608519,174.927076042 -31.464876519,174.934376956 -31.468251344,174.942929118 -31.472204851,174.949681224 -31.4753594649999,174.958745042 -31.4795945189999,174.974524042 -31.4870445189999,174.989087834 -31.4939928749999,174.990264592 -31.494554331,175.005967303 -31.502124845,175.021631601 -31.509755459,175.025052271 -31.5114390379999,175.037257042 -31.517446519,175.051948873 -31.5247514329999,175.052843714 -31.52519639,175.059822221 -31.5287019909999,175.068391042 -31.533006519,175.071163642 -31.5344134699999,175.083898438 -31.540875919,175.099366003 -31.5488047769999,175.11479329 -31.5567928249999,175.130179991 -31.564839907,175.145525797 -31.5729458669999,175.156910172 -31.579019187,175.160830042 -31.5811105189999,175.171643163 -31.58693613,175.176093377 -31.589333768,175.191418449 -31.5974938099999,175.206701913 -31.605712469,175.22194355 -31.613989632,175.229498832 -31.618132997,175.237143042 -31.622325519,175.246171857 -31.627325113,175.252300118 -31.6307188239999,175.260597278 -31.635358471,175.267414042 -31.6391705189999,175.282486042 -31.6476805189999,175.295804222 -31.6552728029999,175.297513619 -31.65624731,175.298823755 -31.6570014079999,175.312498042 -31.664872519,175.327438042 -31.6735545189999,175.342334042 -31.682293519,175.346634417 -31.6848403879999,175.357185657 -31.6910897179999,175.371992251 -31.699942834,175.386753676 -31.7088526109999,175.401469632 -31.7178188739999,175.416139819 -31.726841447,175.418784617 -31.728483347,175.430764042 -31.7359205189999,175.4361372 -31.7392871279999,175.445341695 -31.745054817,175.457489008 -31.7527375939999,175.459873042 -31.7542455189999,175.474357042 -31.763491519,175.478428604 -31.766114612,175.488793797 -31.7727927409999,175.499163154 -31.7795354319999,175.503183042 -31.782149519,175.517525042 -31.791561519,175.52039695 -31.793463533,175.531817941 -31.801027748,175.538177456 -31.805278438,175.546063042 -31.8105495189999,175.554175562 -31.816021298,175.560259026 -31.820124783,175.574406186 -31.829754849,175.578942301 -31.8328708239999,175.588504042 -31.8394395189999,175.602552042 -31.849177519,175.608683386 -31.853465824,175.616550648 -31.8589689629999,175.629893408 -31.868386997,175.630499042 -31.868814519,175.644396042 -31.878713519,175.657096356 -31.887840465,175.658243498 -31.8886649209999,175.66677121 -31.8948492339999,175.672039043 -31.898669519,175.685784043 -31.908727519,175.699476967 -31.9188374629999,175.699477043 -31.918837519,175.713118039 -31.928999962,175.726706927 -31.939214621,175.73036289 -31.941987464,175.740243043 -31.949481519,175.751331665 -31.957966568,175.75372702 -31.959799613,175.767157662 -31.970169539,175.780534992 -31.980590814,175.792379754 -31.9899007609999,175.793859043 -31.991063519,175.795004411 -31.991971787,175.807128596 -32.0015865839999,175.818445349 -32.0106412769999,175.820344043 -32.012160519,175.833505043 -32.022785519,175.846286035 -32.028466776,175.847425889 -32.0289735009999,175.858562205 -32.033959765,175.863044043 -32.0359665189999,175.878627043 -32.0430175189999,175.890320749 -32.0483631279999,175.894175592 -32.050125473,175.909688689 -32.0572913579999,175.909689042 -32.057291522,175.92516624 -32.064514655,175.927393539 -32.065564798,175.940608043 -32.071795519,175.944903811 -32.073841349,175.956013544 -32.079132935,175.971382715 -32.086527652,175.978387375 -32.089931921,175.986715043 -32.093979519,175.995899413 -32.098487642,176.002010646 -32.1014875559999,176.017268827 -32.109052468,176.032489435 -32.116673835,176.041810364 -32.121387285,176.047672043 -32.124351519,176.062816774 -32.1320853719999,176.062817046 -32.132085514,176.077923043 -32.1398755189999,176.092990043 -32.147721519,176.105457354 -32.154275796,176.1080188 -32.15562253,176.123007934 -32.163579636,176.126528097 -32.1654663479999,176.137957043 -32.1715925189999,176.152867043 -32.179660519,176.167737043 -32.1877835189999,176.182566043 -32.195961519,176.190516209 -32.200387119,176.197354233 -32.20419392,176.212101614 -32.212481334,176.212102042 -32.212481521,176.212245311 -32.2125450419999,176.228228043 -32.219631519,176.244319043 -32.2268425199999,176.260372043 -32.2341145199999,176.276388043 -32.24144752,176.287519051 -32.246598197,176.292366744 -32.2488414119999,176.294062072 -32.24963422,176.308308043 -32.25629652,176.324210043 -32.2638115199999,176.332139562 -32.267597596,176.340074741 -32.271386825,176.355900044 -32.279022519,176.355900329 -32.279022657,176.356226664 -32.279181744,176.371686854 -32.2867185879999,176.385086221 -32.293318127,176.387434043 -32.2944745199999,176.403141043 -32.3022905199999,176.417858633 -32.3096878279999,176.418808885 -32.3101654769999,176.421283511 -32.311421992,176.434436043 -32.31810052,176.450022043 -32.32609452,176.457744588 -32.330094883,176.465568009 -32.334147796,176.471450191 -32.337225555,176.481072043 -32.34226052,176.496535043 -32.35043152,176.511956043 -32.3586615199999,176.516803526 -32.3612740789999,176.527334407 -32.3669498199999,176.535509161 -32.371399031,176.542670043 -32.3752965199999,176.545637739 -32.376927452,176.557963827 -32.383701784,176.573214009 -32.392164935,176.588420763 -32.400685977,176.60358378 -32.409264745,176.612203231 -32.4141883849999,176.618703043 -32.4179015199999,176.630630233 -32.4247797909999,176.633777378 -32.4265947869999,176.648807348 -32.435345721,176.663792044 -32.4441535189999,176.663792357 -32.444153704,176.678732043 -32.4530185209999,176.678732105 -32.4530185579999,176.693626043 -32.4619405199999,176.708475043 -32.4709185199999,176.71012192 -32.4719236459999,176.723276726 -32.4799526419999,176.729174723 -32.4835862579999,176.738032044 -32.4890435199999,176.748408241 -32.4954954,176.752741272 -32.4981898619999,176.759146702 -32.5022102039999,176.767403044 -32.5073925199999,176.782017044 -32.5166505199999,176.792253172 -32.5231946989999,176.796584273 -32.525963866,176.811103058 -32.5353326549999,176.825573572 -32.5447565329999,176.831123407 -32.5484041459999,176.839995044 -32.55423552,176.84672868 -32.5587013439999,176.8543686 -32.5637688149999,176.868692042 -32.573356522,176.868692522 -32.5733568439999,176.882967044 -32.5829995199999,176.888243076 -32.5865957519999,176.897191707 -32.5926957419999,176.903767848 -32.5972193429999,176.911366044 -32.6024465199999,176.921738712 -32.6096460699999,176.925490722 -32.612250487,176.929577872 -32.6151133029999,176.939564044 -32.62210852,176.953587044 -32.63201952,176.955715409 -32.6335373439999,176.96755881 -32.641983952,176.980263637 -32.651126811,176.981479044 -32.6520015199999,176.995347044 -32.66207152,177.009163044 -32.6721945199999,177.022927044 -32.68236952,177.030676195 -32.6881495919999,177.036638456 -32.6925969329999,177.050296718 -32.702876321,177.063901756 -32.713207503,177.068257507 -32.7165447479999,177.077453044 -32.72359052,177.090951044 -32.7340245199999,177.092516733 -32.7352456039999,177.104394684 -32.74450977,177.117783904 -32.7550459879999,177.132507764 -32.7640314499999,177.134390575 -32.765191155,177.147185044 -32.77307252,177.156506242 -32.778866417,177.161817002 -32.782167892,177.176401889 -32.791318582,177.190939895 -32.800524015,177.205430727 -32.8097840139999,177.217296714 -32.8174362729999,177.219874044 -32.81909852,177.222455693 -32.820778493,177.234269702 -32.828466993,177.247652807 -32.8372562169999,177.248617044 -32.83788952,177.262916044 -32.84736652,177.277167044 -32.85689652,177.28299053 -32.8608259989999,177.291368747 -32.866479805,177.305521213 -32.876116699,177.319624186 -32.885806698,177.324808106 -32.88940065,177.333677044 -32.89554952,177.347680044 -32.90534552,177.361633044 -32.9151935199999,177.369052738 -32.92047729,177.375535402 -32.925093981,177.389386612 -32.9350466719999,177.403186615 -32.945051328,177.41693513 -32.955107754,177.430631874 -32.965215756,177.443325348 -32.974666892,177.444277044 -32.9753755199999,177.445385722 -32.976208334,177.457868925 -32.9855857009999,177.471408674 -32.9958472449999,177.471409041 -32.9958475239999,177.484895044 -33.00615952,177.498329044 -33.01652252,177.511709044 -33.0269355199999,177.525036044 -33.03739952,177.538308044 -33.04791252,177.540098168 -33.049342967,177.551526706 -33.058475981,177.564690048 -33.069088516,177.564690387 -33.0690887879999,177.565511529 -33.069756662,177.577799251 -33.0797509499999,177.584791631 -33.0854885759999,177.590853044 -33.09046252,177.603851044 -33.10122252,177.616794044 -33.11203152,177.629681044 -33.1228895199999,177.634350805 -33.1268583249999,177.642511659 -33.133794914,177.655285868 -33.144748861,177.665954792 -33.153978493,177.668003044 -33.15575052,177.680664044 -33.16680052,177.693267044 -33.1778975199999,177.704689283 -33.1880433379999,177.705812848 -33.1890413859999,177.718300798 -33.2002326219999,177.730730701 -33.211470665,177.736942106 -33.2171363379999,177.743102044 -33.22275552,177.755415044 -33.2340865199999,177.767669044 -33.2454635199999,177.774545392 -33.2519040349999,177.779864591 -33.2568864949999,177.785115945 -33.261849238,177.792000044 -33.2683555199999,177.804076044 -33.27986952,177.815619045 -33.2909135199999,177.820016741 -33.2951569589999,177.827107708 -33.3019993519999,177.833913435 -33.308622767,177.838541045 -33.313126521,177.843984418 -33.3184694189999,177.84991832 -33.324293906,177.854320874 -33.3286524069999,177.861240045 -33.335502521,177.869881684 -33.3441311199999,177.872506221 -33.3467517509999,177.875180718 -33.3494452809999,177.883716045 -33.358041521,177.889151629 -33.363562874,177.894869628 -33.3693712749999,177.905966592 -33.380741158,177.917006769 -33.39215085,177.924675982 -33.400145543,177.927990045 -33.4036005209999,177.931870028 -33.4076800779999,177.938915885 -33.4150888349999,177.946686866 -33.4233312539999,177.949784045 -33.426616521,177.963971045 -33.436024521,177.978110045 -33.445484521,177.992200045 -33.4549965209999,178.006242045 -33.464560521,178.020235045 -33.474175521,178.034179045 -33.4838425209999,178.035264338 -33.484601562,178.048073917 -33.493561002,178.061918916 -33.5033305169999,178.075713992 -33.5131509939999,178.086342054 -33.52078382,178.089459045 -33.523022521,178.103153045 -33.5329445209999,178.116797045 -33.5429165209999,178.118923166 -33.5444840919999,178.13038958 -33.552938786,178.141002534 -33.560833034,178.143931045 -33.563011521,178.148689565 -33.5665819979999,178.157420712 -33.5731335789999,178.17085866 -33.5833055329999,178.184244501 -33.593526937,178.197577965 -33.6037975959999,178.210858784 -33.614117317,178.210859045 -33.614117521,178.224086687 -33.624485904,178.230761544 -33.629763715,178.237261045 -33.634903521,178.243795908 -33.6401151759999,178.250382681 -33.645368887,178.263450238 -33.6558828889999,178.276463813 -33.6664449639999,178.289423142 -33.6770549129999,178.302327961 -33.687712534,178.315178007 -33.698417626,178.327973017 -33.709169984,178.340712728 -33.719969406,178.353396881 -33.7308156839999,178.364163089 -33.7401023849999,178.366025045 -33.741708521,178.370483606 -33.7455879509999,178.378597469 -33.752647988,178.382333627 -33.75592733,178.391113045 -33.763633521,178.403572712 -33.774665232,178.403573042 -33.7746655249999,178.415975179 -33.78574269,178.417915852 -33.787491212,178.428320045 -33.796865521,178.434422288 -33.8019907779999,178.441167684 -33.807656476,178.453959071 -33.8184945739999,178.458022948 -33.821968065,178.466694045 -33.829379521,178.467647577 -33.830201604,178.479373601 -33.840311987,178.491996218 -33.8512908829999,178.497921783 -33.856490042,178.504562045 -33.862316521,178.507858998 -33.865234465,178.51707085 -33.873388007,178.529522343 -33.88450581,178.530513725 -33.885398785,178.541916045 -33.8956695209999,178.554252045 -33.9068785219999,178.554252391 -33.906878837,178.566530045 -33.918133521,178.576551097 -33.927400123,178.578750136 -33.929433659,178.590911048 -33.9407785179999,178.59091125 -33.9407787069999,178.603013045 -33.952168521,178.60736722 -33.9563021669999,178.615056706 -33.963602968,178.624230796 -33.972390428,178.627040045 -33.9750815209999,178.631295918 -33.9791939259999,178.638964755 -33.986604674,178.648933214 -33.99632315,178.650829045 -33.998171521,178.662633045 -34.009782521,178.674377045 -34.0214365209999,178.683012351 -34.030081434,178.686060599 -34.0331333239999,178.697683051 -34.0448736079999,178.701067707 -34.0483231769999,178.709244045 -34.056656521,178.720744045 -34.068482521,178.731321626 -34.0794567959999,178.732182825 -34.080350338,178.733269059 -34.0814875139999,178.743559045 -34.092260521,178.753340559 -34.102592705,178.754873905 -34.104212444,178.756380203 -34.1058180009999,178.766126045 -34.116206521,178.776870129 -34.1277619319999,178.777315697 -34.128241166,178.77772955 -34.128690333,178.788442045 -34.1403175209999,178.799506045 -34.152434521,178.802014448 -34.1552067379999,178.81050675 -34.164592596,178.819024209 -34.174092464,178.821444045 -34.176791521,178.824059445 -34.179735259,178.832316906 -34.1890297159999,178.839580113 -34.19728035,178.843126045 -34.2013085209999,178.846734548 -34.2054452859999,178.853871079 -34.2136269019999,178.864551585 -34.225984925,178.873654675 -34.236616118,178.875167045 -34.2383825209999,178.893340046 -34.240826521,178.895532734 -34.2411295859999,178.911499904 -34.243336857,178.929647045 -34.245913526,178.929647134 -34.245913539,178.947781046 -34.248556521,178.965901046 -34.2512655209999,178.971329962 -34.252097534,178.984007949 -34.2540406909999,179.002100141 -34.256881934,179.012629455 -34.258575266,179.020178046 -34.259789521,179.038240046 -34.262762521,179.054001538 -34.265416509,179.056287759 -34.2658015,179.059046746 -34.266276579,179.074319046 -34.268906521,179.092335046 -34.272077521,179.105304599 -34.274409159,179.110334877 -34.2753136429999,179.128317793 -34.278615768,179.146283754 -34.281983496,179.164232426 -34.2854167639999,179.175669855 -34.28764846,179.182163046 -34.288915521,179.187321485 -34.2899417959999,179.200076559 -34.292479665,179.206638095 -34.293810504,179.217971046 -34.2961095209999,179.228064914 -34.298195377,179.235847515 -34.299803942,179.253704715 -34.3035639249999,179.263567842 -34.3056789519999,179.271543046 -34.3073895209999,179.289361046 -34.311279521,179.307159046 -34.315234521,179.315471693 -34.3171141949999,179.324937084 -34.319254695,179.328670922 -34.320030297,179.340748046 -34.322539521,179.356545046 -34.3258745209999,179.358561742 -34.326307227,179.372326202 -34.32926087,179.372324782 -34.3292602499999,179.372326046 -34.329260521,179.362820592 -34.325111933,179.355828711 -34.3220601689999,179.349548344 -34.3192867829999,179.339374046 -34.314793521,179.329668664 -34.3104580049999,179.32296343 -34.307462465,179.312426565 -34.302700601,179.306596046 -34.300065521,179.298929699 -34.2965611339999,179.29027382 -34.292604277,179.28682335 -34.291008909,179.273996046 -34.2850775209999,179.257763046 -34.277486521,179.241575046 -34.269831521,179.240178014 -34.2691634289999,179.225433588 -34.2621121179999,179.210749581 -34.2550111379999,179.209338046 -34.2543285209999,179.208669469 -34.254001627,179.193288898 -34.2464810389999,179.186429473 -34.2430898869999,179.177287046 -34.2385695209999,179.163951738 -34.231904793,179.161331742 -34.230595262,179.1454244 -34.22255733,179.129565031 -34.2144562899999,179.113753994 -34.206292333,179.108657887 -34.2036325729999,179.097992046 -34.1980655209999,179.088819904 -34.193227296,179.082278353 -34.1897764409999,179.072690666 -34.184664558,179.066614046 -34.1814245209999,179.062698581 -34.1793148249999,179.051000326 -34.173011217,179.035436303 -34.1645356,179.019922741 -34.155998245,179.004459991 -34.1473993549999,178.9890484 -34.138739131,178.97599893 -34.1313297309999,178.973688046 -34.130017521,178.962468649 -34.123581099,178.958380081 -34.121235504,178.943124043 -34.112392518,178.927920046 -34.103488521,178.920643735 -34.099183731,178.912769907 -34.0945252189999,178.897672494 -34.0855013359999,178.888693849 -34.080079868,178.882629046 -34.0764175209999,178.871882397 -34.069862711,178.867638656 -34.0672741609999,178.852702902 -34.058071297,178.837821701 -34.0488092049999,178.822995384 -34.0394881,178.808224279 -34.0301082039999,178.800532194 -34.02517455,178.793509045 -34.0206695209999,178.778849045 -34.0111725209999,178.764245045 -34.001617521,178.761771966 -33.999983422,178.749698505 -33.992005118,178.73520834 -33.9823345889999,178.720775325 -33.972606609,178.712039978 -33.966660599,178.706400045 -33.962821521,178.703714145 -33.9609752699999,178.692082018 -33.9529792079999,178.677822355 -33.943080247,178.667614264 -33.9359240759999,178.663621045 -33.933124521,178.649479045 -33.923112521,178.64043257 -33.916646257,178.635395067 -33.9130451029999,178.621371046 -33.9029215209999,178.621370902 -33.902921416,178.607406378 -33.892742136,178.596310511 -33.8845748859999,178.593502045 -33.882507521,178.584536855 -33.875844335,178.57965747 -33.872217749,178.565873686 -33.861873121,178.56333286 -33.859947679,178.552151045 -33.8514735209999,178.542637859 -33.8441948399999,178.538488954 -33.841020205,178.531437411 -33.835572097,178.524889045 -33.8305125209999,178.511350045 -33.819950521,178.506637813 -33.816238987,178.497873362 -33.8093353319999,178.485053078 -33.7991389929999,178.484459045 -33.798666521,178.482949561 -33.797454366,178.471107369 -33.7879446219999,178.468460437 -33.785798434,178.457819045 -33.777169521,178.447048505 -33.7683525969999,178.444592912 -33.766342263,178.436459072 -33.759618799,178.431431045 -33.755462521,178.429089574 -33.7535084049999,178.418332255 -33.7445302639999,178.405297802 -33.733546282,178.404483601 -33.732853521,178.392328045 -33.7225105209999,178.379422045 -33.711423521,178.37507042 -33.707649018,178.36658126 -33.700285471,178.361033293 -33.695426515,178.353806045 -33.689096521,178.341095045 -33.677856521,178.328451045 -33.6665665209999,178.315872045 -33.655226521,178.306061026 -33.646296008,178.303359354 -33.64383673,178.290913223 -33.632397221,178.281181334 -33.623365481,178.278534045 -33.6209085209999,178.273833016 -33.616503382,178.266221303 -33.609370554,178.262141045 -33.605509764,178.253976045 -33.5977835209999,178.241798045 -33.586148521,178.237115234 -33.581630826,178.229688124 -33.574465427,178.217645997 -33.562734091,178.205672087 -33.5509550579999,178.199592149 -33.544915459,178.193767045 -33.539128521,178.181930045 -33.527254521,178.171629182 -33.5168206079999,178.170162112 -33.515334501,178.158463517 -33.503367408,178.149094953 -33.4936892809999,178.146834045 -33.491353521,178.135275045 -33.4792945209999,178.132200438 -33.476055346,178.123785271 -33.467189258,178.115920215 -33.4588205269999,178.112366045 -33.4550385209999,178.101017045 -33.4428425209999,178.092539032 -33.433641407,178.089738261 -33.430601639,178.081029808 -33.421055639,178.078531045 -33.418316521,178.077402094 -33.417066636,178.067394011 -33.4059861389999,178.056329048 -33.393612517,178.056328688 -33.393612112,178.04533487 -33.381194271,178.04460471 -33.3803612089999,178.034413045 -33.368732521,178.023563045 -33.3562285209999,178.012785045 -33.343680521,178.002079045 -33.331090521,177.991446045 -33.318457521,177.980886045 -33.305783521,177.974868245 -33.2984867659999,177.970398365 -33.2930667479999,177.959984303 -33.28030875,177.958398763 -33.2783462359999,177.949644045 -33.26750952,177.939377045 -33.2546695199999,177.933823897 -33.247652639,177.92918339 -33.2417886119999,177.919064178 -33.228867495,177.909019175 -33.215906332,177.904897166 -33.210531541,177.899049045 -33.2029055199999,177.889153045 -33.18986552,177.886460315 -33.186279601,177.879331358 -33.176785524,177.869585119 -33.163667136,177.859914042 -33.150510186,177.852232992 -33.139947873,177.850318045 -33.13731452,177.840798045 -33.1240815199999,177.831354045 -33.11081052,177.821985045 -33.09750252,177.819543073 -33.093995783,177.8126925 -33.0841574799999,177.803476212 -33.0707754539999,177.794336344 -33.0573569699999,177.794336041 -33.057356522,177.785273053 -33.0439023389999,177.776286424 -33.030411726,177.767361448 -33.016885572,177.758513516 -33.0033239649999,177.751938265 -32.9931307369999,177.749743044 -32.98972752,177.741050044 -32.9760965199999,177.738872592 -32.972642821,177.732434097 -32.962430329,177.723896282 -32.948730538,177.715436389 -32.9349969739999,177.714717851 -32.9338167839999,177.707055044 -32.9212295199999,177.698751044 -32.9074295199999,177.690526044 -32.89359652,177.685560239 -32.885145447,177.682379094 -32.879731176,177.674311081 -32.865833398,177.67205497 -32.8618997209999,177.666322044 -32.85190352,177.658412044 -32.83794252,177.653879964 -32.8298453039999,177.6505805 -32.823949876,177.647340083 -32.8180878269999,177.642829044 -32.80992652,177.637829678 -32.800769594,177.635156051 -32.795872178,177.630323122 -32.786907459,177.627563044 -32.78178752,177.620050044 -32.76767352,177.612616044 -32.75352852,177.609217772 -32.746979198,177.605262237 -32.739355292,177.597988514 -32.725152607,177.590794934 -32.7109211719999,177.589617944 -32.7085616919999,177.583682044 -32.69666152,177.576649044 -32.6823735199999,177.572677403 -32.674196041,177.569696257 -32.6680575519999,177.562824447 -32.6537143049999,177.556033368 -32.6393439039999,177.549323134 -32.624946672,177.54899307 -32.624228532,177.542694044 -32.61052252,177.536146044 -32.59607252,177.529679044 -32.5815975199999,177.523293044 -32.56709552,177.520467797 -32.560586472,177.516988404 -32.5525692749999,177.510765475 -32.538017807,177.505137685 -32.524660674,177.504624044 -32.5234415199999,177.50425091 -32.52254255,177.49856443 -32.508841467,177.492586506 -32.494217244,177.486690436 -32.479569419,177.480876312 -32.464898316,177.475144222 -32.4502042619999,177.469494252 -32.435487582,177.463926487 -32.4207486019999,177.459362516 -32.408467345,177.458441044 -32.4059875199999,177.454365588 -32.394837531,177.453037899 -32.391205049,177.447717234 -32.37640113,177.442479093 -32.361576219,177.441336819 -32.358287,177.437324044 -32.3467305199999,177.432251044 -32.33186452,177.429640078 -32.3240771339999,177.427260543 -32.3169788129999,177.422353221 -32.302073214,177.419476016 -32.2931722669999,177.417529044 -32.28714852,177.415697186 -32.2813755779999,177.412787271 -32.272204293,177.41049702 -32.264848222,177.408129044 -32.25724152,177.405686656 -32.24924558,177.403553338 -32.242260604,177.399401958 -32.228399848,177.399061044 -32.22726152,177.394652044 -32.212244519,177.390326044 -32.197210519,177.389714569 -32.195041461,177.386083419 -32.182159476,177.381924165 -32.1670915889999,177.377848303 -32.152007322,177.375787967 -32.1442146269999,177.373856044 -32.136906519,177.369947044 -32.1217905189999,177.368779087 -32.117171501,177.366121538 -32.106659551,177.363586217 -32.096396892,177.362380044 -32.0915135189999,177.360910985 -32.085426098,177.358721479 -32.076351877,177.355833396 -32.064090731,177.355147044 -32.061176519,177.351656044 -32.0459865189999,177.348249044 -32.030783519,177.347399624 -32.0268949429999,177.344925436 -32.015566491,177.342991187 -32.006473389,177.341686044 -32.000336519,177.338853421 -31.98665628,177.338529987 -31.985094096,177.335458008 -31.969839137,177.334417607 -31.9645234719999,177.332470044 -31.954572519,177.329566044 -31.9392935189999,177.32817153 -31.9317351629999,177.326745345 -31.9240032069999,177.324909643 -31.913738423,177.324009044 -31.908701519,177.323372258 -31.9050264959999,177.321356507 -31.8933900399999,177.319012434 -31.879406431,177.318788044 -31.878067519,177.318560254 -31.8766620979999,177.316303511 -31.8627352789999,177.313903046 -31.847393519,177.313902986 -31.847393133,177.31158646 -31.832041588,177.310020669 -31.821268345,177.309354044 -31.8166805189999,177.308673451 -31.8118131259999,177.307205428 -31.801311637,177.305768427 -31.7906078899999,177.305141044 -31.785933519,177.304640299 -31.782044597,177.303160458 -31.770548091,177.301431909 -31.756517452,177.301264044 -31.755154519,177.299452044 -31.739753519,177.297993601 -31.7267565939999,177.297723146 -31.724345619,177.297380084 -31.721129746,177.296079044 -31.708930519,177.295196302 -31.700209979,177.294518333 -31.69350976,177.293507858 -31.682951164,177.293042044 -31.6780825189999,177.292744667 -31.674787894,177.291649506 -31.662649643,177.290341062 -31.6472113209999,177.290263517 -31.646233314,177.289117044 -31.6317675189999,177.287976044 -31.6163195189999,177.287920754 -31.615511254,177.286919435 -31.600867302,177.286375379 -31.592222009,177.285947044 -31.5854105189999,177.285058044 -31.569950519,177.284253044 -31.554486519,177.283532044 -31.539019519,177.282895044 -31.523550519,177.282420942 -31.510309902,177.282341116 -31.5080785,177.281871382 -31.4926045199999,177.281485376 -31.477128805,177.281183064 -31.461651686,177.280964412 -31.446173496,177.280829384 -31.4306945659999,177.280789911 -31.4188171449999,177.280778044 -31.415215519,177.280810042 -31.399735816,177.280810044 -31.3997355189999,177.280926044 -31.384256519,177.281125044 -31.3687785189999,177.281325074 -31.3577995479999,177.281407186 -31.353300437,177.281718655 -31.340124332,177.281773044 -31.337824519,177.28184527 -31.3353352089999,177.282222194 -31.3223492129999,177.282353396 -31.318536363,177.282755044 -31.306876519,177.283153442 -31.296854378,177.283370272 -31.291405632,177.284069081 -31.275937534,177.284383503 -31.269718709,177.284851044 -31.260472519,177.285716044 -31.2450105189999,177.286664044 -31.229551519,177.287695044 -31.2140975189999,177.288809044 -31.198647519,177.289878473 -31.184836144,177.290005113 -31.183201416,177.291284408 -31.1677605469999,177.292646373 -31.1523248839999,177.293827611 -31.1397075099999,177.294091044 -31.136894518,177.29561804 -31.121470518,177.295618043 -31.121470486,177.297228044 -31.106052518,177.298011918 -31.0989081819999,177.29891954 -31.090640843,177.300058375 -31.0807530549999,177.300694044 -31.0752365179999,177.301725801 -31.06667672,177.302550277 -31.0598385719999,177.303813368 -31.0498114119999,177.304489044 -31.044448518,177.306510044 -31.029066518,177.307871705 -31.019107348,177.308612331 -31.013692201,177.310190187 -31.0025942349999,177.310797044 -30.9983265179999,177.311252532 -30.995239613,177.313063374 -30.9829697769999,177.315411542 -30.9676220869999,177.317841357 -30.952283845,177.319144686 -30.944328812,177.320353044 -30.9369555179999,177.322946044 -30.921636518,177.325620044 -30.906329518,177.327186203 -30.897632932,177.328375259 -30.8910318279999,177.330504018 -30.879560426,177.331212044 -30.875745518,177.334130044 -30.8604705179999,177.335352155 -30.854248675,177.337128404 -30.8452078569999,177.340208016 -30.8299568309999,177.343368408 -30.814718155,177.346609475 -30.799492151,177.349776781 -30.784985959,177.349931044 -30.7842795179999,177.350326402 -30.7825130759999,177.353333208 -30.769079437,177.354225592 -30.765187978,177.356816044 -30.753893518,177.359084322 -30.7442320059999,177.360378349 -30.738721246,177.364021172 -30.7235633939999,177.365622777 -30.7170486009999,177.367744044 -30.708420518,177.371547044 -30.693291518,177.373356449 -30.6862473309999,177.375429278 -30.678178626,177.379391471 -30.663081023,177.383433212 -30.647999275,177.38755438 -30.632933696,177.390478026 -30.6224591079999,177.391755044 -30.617884518,177.393018746 -30.613445172,177.396034504 -30.6028523099999,177.40039321 -30.587837131,177.401173005 -30.585201678,177.404831044 -30.572839518,177.407366236 -30.564430048,177.409347277 -30.5578593719999,177.41394238 -30.5428974179999,177.41861602 -30.5279538299999,177.423368065 -30.5130289219999,177.428198381 -30.4981230029999,177.431437813 -30.488298275,177.433107044 -30.483236518,177.435972849 -30.474691407,177.438093281 -30.468369378,177.439418618 -30.464483872,177.443158044 -30.4535225179999,177.448300044 -30.438695518,177.453166825 -30.4248887429999,177.453519219 -30.4238891159999,177.458816258 -30.409103644,177.460591481 -30.404226765,177.464191044 -30.394339518,177.469642043 -30.379596517,177.469642061 -30.379596469,177.475170531 -30.364875379,177.478708136 -30.355598597,177.480776044 -30.350176518,177.486458044 -30.3354995179999,177.487393576 -30.333118606,177.492216434 -30.3208457659999,177.498051395 -30.3062147969999,177.500603706 -30.2999075609999,177.503963044 -30.291607518,177.509950044 -30.277023518,177.513969394 -30.267370581,177.516013097 -30.2624628369999,177.522152081 -30.247926842,177.52391662 -30.2438065229999,177.528367044 -30.233415518,177.534657044 -30.218928518,177.541022044 -30.2044675179999,177.542668569 -30.200776388,177.547462506 -30.1900308319999,177.552275457 -30.1793857549999,177.553978044 -30.175620518,177.55729792 -30.168373717,177.560568126 -30.161235801,177.565704396 -30.1501705909999,177.567233044 -30.1468775179999,177.568172669 -30.1448791949999,177.573972242 -30.132545926,177.577347102 -30.125460571,177.580786044 -30.1182415179999,177.583914158 -30.11175637,177.587673498 -30.1039635779999,177.594635123 -30.0897134639999,177.601670515 -30.0754911139999,177.608779498 -30.061296823,177.615961896 -30.0471308809999,177.616457324 -30.046165555,177.623218044 -30.032993517,177.626218044 -30.017797517,177.62842097 -30.0069345699999,177.629297239 -30.0026142419999,177.63245628 -29.9874430149999,177.63394058 -29.98049513,177.635695044 -29.9722845169999,177.638484027 -29.959550378,177.639012225 -29.9571390419999,177.641429731 -29.946369176,177.642409044 -29.942006517,177.645885044 -29.926888517,177.648919397 -29.9139929469999,177.649439233 -29.911784025,177.650075901 -29.909139828,177.653073044 -29.896693517,177.656785044 -29.8816185169999,177.658754506 -29.8737921169999,177.660575356 -29.866557696,177.664444458 -29.851512316,177.667222812 -29.8409337749999,177.668392044 -29.836482517,177.672418044 -29.821468517,177.674777163 -29.812845055,177.676521335 -29.806470743,177.680703091 -29.7914894479999,177.681188229 -29.789785106,177.684963044 -29.7765245169999,177.688548926 -29.7641661649999,177.689300073 -29.761577568,177.693715054 -29.746647604,177.698207527 -29.731735369,177.702777366 -29.716841174,177.707424443 -29.701965327,177.709247742 -29.6962311959999,177.712149044 -29.687108517,177.716950044 -29.672269517,177.721828044 -29.657450517,177.722703997 -29.654833798,177.726782513 -29.642651566,177.72956652 -29.634473503,177.731814044 -29.627872517,177.733890641 -29.6218708399999,177.736921537 -29.613112756,177.740224606 -29.6037217379999,177.742106044 -29.598373517,177.747366044 -29.583655517,177.750440087 -29.575188651,177.752701972 -29.568958998,177.758114047 -29.554283518,177.75811406 -29.554283482,177.763602044 -29.539629517,177.764702245 -29.536735732,177.769165358 -29.524997742,177.774662277 -29.5107110289999,177.780231231 -29.4964457249999,177.784157854 -29.4865306889999,177.785872044 -29.482202517,177.791585044 -29.4679805169999,177.797369044 -29.453781517,177.801439598 -29.443925981,177.803224133 -29.43960558,177.805073164 -29.4351900299999,177.809151045 -29.4254525169999,177.815149045 -29.411322517,177.821218045 -29.397215517,177.823735126 -29.391441276,177.827357512 -29.3831325429999,177.833567957 -29.369073725,177.833568048 -29.369073519,177.839849045 -29.355039517,177.843031335 -29.348019538,177.846200335 -29.341029356,177.849876577 -29.3330232399999,177.852622045 -29.3270445169999,177.859114045 -29.3130845169999,177.86482836 -29.3009486729999,177.865675308 -29.299150078,177.866468444 -29.297486556,177.872307045 -29.285241517,177.879008045 -29.271358517,177.885778043 -29.2575025159999,177.885778251 -29.257502092,177.892618045 -29.2436725169999,177.897126772 -29.234664198,177.899526975 -29.2298688829999,177.904299542 -29.22044663,177.906505045 -29.2160925169999,177.913552045 -29.202343517,177.920395296 -29.189146573,177.920666981 -29.188622648,177.920667049 -29.188622519,177.927851045 -29.174929517,177.933649045 -29.1605065169999,177.939520045 -29.146106517,177.945464045 -29.1317305169999,177.947613003 -29.1266047309999,177.951481269 -29.117378311,177.953633054 -29.112315942,177.957572045 -29.1030495169999,177.963735045 -29.088745517,177.969971045 -29.074465517,177.976279049 -29.0602115189999,177.976279167 -29.060211255,177.982660045 -29.045981517,177.989113045 -29.031777517,177.995638045 -29.017599517,178.002235045 -29.0034465169999,178.00468061 -28.9982656449999,178.008903393 -28.989320515,178.01271243 -28.981352511,178.015644045 -28.975220516,178.022455045 -28.961148516,178.02933791 -28.9471027819999,178.029338042 -28.947102515,178.036292045 -28.933084516,178.038807224 -28.9280749279999,178.043316503 -28.919094318,178.050411974 -28.905131942,178.057578069 -28.891197722,178.064740488 -28.8774129719999,178.07056906 -28.8663251359999,178.071972045 -28.8636565159999,178.07658075 -28.854989626,178.079272227 -28.849928355,178.083030872 -28.842940842,178.086641045 -28.8362295159999,178.088685438 -28.8324717039999,178.094078544 -28.822559054,178.101584241 -28.808918322,178.104506547 -28.803666579,178.109158045 -28.795307516,178.116800045 -28.7817265159999,178.123465231 -28.770010348,178.124509399 -28.768175024,178.125430622 -28.76657348,178.132287045 -28.754654516,178.138619492 -28.7437640639999,178.140131134 -28.74116458,178.148042952 -28.727705681,178.148043048 -28.7277055179999,178.156022045 -28.714278516,178.164068045 -28.700881516,178.172180043 -28.687517515,178.172180075 -28.6875174629999,178.180359045 -28.674185516,178.182737143 -28.670349121,178.188604368 -28.6608850059999,178.194567096 -28.651366734,178.196916045 -28.647617516,178.200447093 -28.6420387379999,178.205293241 -28.634382745,178.213736428 -28.621181088,178.222245195 -28.608012759,178.230819354 -28.5948780159999,178.235291869 -28.5880958029999,178.239459045 -28.5817775159999,178.248163045 -28.568710516,178.249738919 -28.56636836,178.25693226 -28.555677874,178.262233179 -28.547878237,178.265766045 -28.542680516,178.274664045 -28.5297175159999,178.283627045 -28.516789516,178.288988176 -28.509131521,178.292653223 -28.503896756,178.301743539 -28.491039906,178.310897487 -28.4782189329999,178.316456547 -28.4705083109999,178.320115045 -28.465434516,178.329396045 -28.452685516,178.331376075 -28.446003414,178.333847314 -28.437664215,178.338376373 -28.422660848,178.340968392 -28.4142290579999,178.342983045 -28.407676516,178.347667045 -28.392710516,178.352428045 -28.377763516,178.357266045 -28.362836516,178.36005074 -28.354388361,178.362180473 -28.347928628,178.367172134 -28.3330413039999,178.372240426 -28.318174416,178.377385214 -28.303328278,178.382606358 -28.2885031989999,178.384581932 -28.282982369,178.387904045 -28.273699516,178.392156273 -28.2620009419999,178.393277152 -28.258917465,178.398726516 -28.2441574279999,178.401951742 -28.23555449,178.404252045 -28.229419516,178.406602303 -28.2232437929999,178.409852458 -28.214704562,178.412915637 -28.206775981,178.415529045 -28.200012516,178.418884346 -28.191454193,178.42128037 -28.185343358,178.427107192 -28.170697897,178.431679639 -28.159369848,178.433009045 -28.1560765159999,178.438986045 -28.141478516,178.44056377 -28.137678782,178.445037297 -28.1269057489999,178.451163365 -28.1123574609999,178.454176079 -28.1053008649999,178.457364045 -28.097834516,178.463639045 -28.083336516,178.467897261 -28.073628749,178.469987466 -28.068864128,178.476410266 -28.054417869,178.482316283 -28.041308704,178.482907045 -28.039997516,178.489477045 -28.0256045159999,178.496121045 -28.0112375159999,178.502838045 -27.9968985159999,178.509628045 -27.982586516,178.516491045 -27.9683025159999,178.521175714 -27.95867243,178.523426455 -27.954046144,178.526501069 -27.9478043359999,178.530435045 -27.9398185159999,178.537516045 -27.925619516,178.544669045 -27.911448515,178.548043148 -27.904844614,178.551893884 -27.8973080069999,178.555904186 -27.889552672,178.559191045 -27.883196515,178.566560045 -27.869114515,178.574000045 -27.855063515,178.581512045 -27.841042515,178.589095045 -27.8270515149999,178.596749045 -27.8130925149999,178.603184637 -27.8014877859999,178.604473276 -27.799164286,178.606315016 -27.795881053,178.612269045 -27.7852675149999,178.615056897 -27.780352885,178.620134405 -27.7714029369999,178.628070448 -27.757570324,178.630402664 -27.7535502659999,178.636077045 -27.7437705149999,178.64053934 -27.7361622339999,178.644152544 -27.730002648,178.651711607 -27.7172572389999,178.652298045 -27.716268515,178.652912479 -27.7152436869999,178.660513373 -27.7025669409999,178.665663434 -27.6940703939999,178.668798045 -27.6888995149999,178.673263174 -27.681611408,178.677151386 -27.675265468,178.684634988 -27.6631817429999,178.685574045 -27.661665515,178.694065045 -27.648100515,178.702625045 -27.634569515,178.711253045 -27.621074515,178.719949045 -27.607613515,178.728713045 -27.5941885149999,178.729295565 -27.593305336,178.737544405 -27.5807998459999,178.743666174 -27.5716142589999,178.746444045 -27.567446515,178.755410045 -27.5541305149999,178.764444045 -27.5408505149999,178.77163773 -27.530380937,178.773543974 -27.527606917,178.782711039 -27.514400914,178.785560568 -27.510336998,178.791945045 -27.501232515,178.798663179 -27.491745925,178.801244301 -27.4881014869999,178.810610073 -27.4750086029999,178.816065777 -27.467457139,178.820042045 -27.4619535149999,178.827222921 -27.452111852,178.829538828 -27.448937841,178.839101379 -27.4359604979999,178.84515517 -27.427825049,178.848729045 -27.423022515,178.858422045 -27.410123515,178.864755532 -27.401775802,178.868179107 -27.3972638129999,178.873218356 -27.390686553,178.878001045 -27.3844445149999,178.882874774 -27.378144065,178.88788712 -27.3716647869999,178.897837318 -27.358925692,178.907851345 -27.346227223,178.917928976 -27.3335696419999,178.918894029 -27.3323690189999,178.928070046 -27.3209535149999,178.938274046 -27.308378515,178.941436927 -27.304517255,178.948541219 -27.2958448049999,178.955610485 -27.287296173,178.958871046 -27.2833535149999,178.969263046 -27.270904515,178.979718046 -27.2584975149999,178.990234046 -27.2461335149999,178.993995984 -27.241751344,179.000812344 -27.2338118229999,179.011452086 -27.221533775,179.017158585 -27.2150094699999,179.022153046 -27.2092995149999,179.032915046 -27.197108515,179.043738046 -27.1849615149999,179.054622046 -27.172858515,179.065565046 -27.1608005149999,179.068569127 -27.157520705,179.076569315 -27.1487863689999,179.087633081 -27.136817591,179.098756457 -27.1248939779999,179.1099392 -27.113015773,179.116722825 -27.10587571,179.121181046 -27.1011835149999,179.132482046 -27.089396515,179.143841046 -27.0776565149999,179.150930893 -27.0703946679999,179.155258924 -27.06596186,179.159035552 -27.062128736,179.166735046 -27.0543145149999,179.178269046 -27.0427135149999,179.18420154 -27.036799957,179.189859965 -27.0311599689999,179.198041817 -27.023078181,179.201509046 -27.019653515,179.213214645 -27.0081949,179.213215043 -27.0081945119999,179.224977417 -26.996783917,179.236796811 -26.985420953,179.239481582 -26.9828630169999,179.248673046 -26.974106515,179.254213258 -26.968874634,179.260604432 -26.9628399929999,179.272592146 -26.951622454,179.284635451 -26.9404538479999,179.295559633 -26.930413802,179.296734046 -26.9293345149999,179.308888046 -26.918264515,179.313719846 -26.9139025169999,179.321096318 -26.907243883,179.333359388 -26.896273261,179.3378289 -26.8923105929999,179.345677046 -26.885352515,179.358048046 -26.874482515,179.359678935 -26.873062295,179.370473263 -26.863662608,179.379330983 -26.8560183819999,179.382952046 -26.8528935149999,179.395484046 -26.842175514,179.408069046 -26.831508514,179.41626249 -26.824625425,179.420706084 -26.8208927649999,179.433396019 -26.81032872,179.446138048 -26.799816517,179.446138106 -26.799816469,179.458932046 -26.789356514,179.471778046 -26.778948514,179.484675046 -26.768592514,179.497623046 -26.758289514,179.503004432 -26.7540458459999,179.510621363 -26.748039567,179.517243375 -26.742864964,179.523671046 -26.737842514,179.5295937 -26.7332559509999,179.536770213 -26.7276987349999,179.543389213 -26.7226196249999,179.549920046 -26.7176085139999,179.558833689 -26.710830256,179.56311893 -26.7075717669999,179.576367546 -26.697588991,179.589098665 -26.688083363,179.589665046 -26.687660514,179.591543088 -26.6862710139999,179.603011901 -26.6777858629999,179.61640708 -26.667965911,179.624938179 -26.661768958,179.629851046 -26.6582005139999,179.643342046 -26.6484905139999,179.648402838 -26.644881163,179.656881251 -26.6388348739999,179.670467911 -26.629234787,179.673676138 -26.626988803,179.684102046 -26.619690514,179.697782046 -26.610201514,179.711510046 -26.600768514,179.719178782 -26.595546892,179.725283323 -26.591390895,179.739102941 -26.5820699879999,179.752968289 -26.5728054849999,179.766879081 -26.5635975719999,179.773395609 -26.55932458,179.780835046 -26.5544465139999,179.794836046 -26.5453525139999,179.808881046 -26.536315514,179.822971046 -26.527335514,179.829746056 -26.523058529,179.837104546 -26.5184133079999,179.851281902 -26.509548789,179.854673347 -26.507448536,179.865503046 -26.500742514,179.879640046 -26.492052514,179.893820046 -26.4834195139999,179.901093965 -26.4790329639999,179.908041298 -26.474843786,179.922304435 -26.466325903,179.936608892 -26.457865758,179.950954379 -26.449463518,179.955527022 -26.446811335,179.965341047 -26.441119514,179.97872026 -26.4334347669999,179.979767047 -26.432833514,179.994004047 -26.424710514,180 -26.42134454,180 -28.032786885,180 -30.983606557,180 -33.9344262299999),(173.166227281 -35.176391032,173.148881435 -35.190555107,173.131363425 -35.1893000009999,173.119109251 -35.185554966,173.095381424 -35.185554966,173.089691285 -35.214164078,173.103300311 -35.226099909,173.154145271 -35.2766640749999,173.237727262 -35.370282055,173.306918365 -35.4491639779999,173.381772448 -35.524717951,173.39276347 -35.482773063,173.395536204 -35.453891036,173.391354305 -35.4230550199999,173.413163346 -35.386673034,173.439700284 -35.376108986,173.563036302 -35.371245974,173.568027222 -35.361673002,173.566927349 -35.344164044,173.550809284 -35.3248640419999,173.549709243 -35.3027819179999,173.553863482 -35.2836089849999,173.564145227 -35.2780549679999,173.655545188 -35.317917958,173.629945179 -35.356663977,173.540254289 -35.430826888,173.50415427 -35.422499971,173.465791305 -35.429172971,173.446627257 -35.440282011,173.398863484 -35.553608862,173.397200347 -35.5706998979999,173.590518215 -35.7780551069999,173.727172406 -35.923617921,173.737454319 -35.933608982,173.826081379 -36.032500017,174.020536336 -36.27389095,174.031100384 -36.2930640499999,174.039700384 -36.323335964,174.044436327 -36.338890933,174.049136228 -36.353617937,174.057463481 -36.3747178689999,174.067609272 -36.39708196,174.080809261 -36.4094358799999,174.089963473 -36.4113819899999,174.115236252 -36.4036089479999,174.191927313 -36.3774999899999,174.198027327 -36.36860897,174.19941822 -36.348055035,174.178318288 -36.2797269339999,174.124391302 -36.263617922,173.990100305 -36.136946074,173.9808093 -36.1213820529999,173.921354281 -36.0030639459999,173.904418311 -35.8841639669999,173.911100364 -35.8720819559999,173.947327285 -35.91179994,173.947481344 -35.9238910029999,173.938563335 -35.934999875,173.931091371 -35.9819460759999,173.992736245 -36.1126358729999,173.999118227 -36.121108971,174.06580029 -36.168335966,174.255400281 -36.272782024,174.267209377 -36.2702820379999,174.313581418 -36.2402729799999,174.28775426 -36.2102820269999,174.24010029 -36.1818088699999,174.22231825 -36.182499874,174.194827284 -36.1781999579999,174.185791425 -36.171946052,174.188563488 -36.144164066,174.195254259 -36.1311089169999,174.229127206 -36.112499918,174.239409286 -36.1113909919999,174.27887246 -36.11971791,174.307736214 -36.176946025,174.335100278 -36.230972923,174.345245231 -36.229717985,174.358854257 -36.222217858,174.371627271 -36.2097269779999,174.395245295 -36.155555073,174.396091365 -36.1444460339999,174.442200382 -36.169726859,174.365236238 -36.2599999569999,174.305236228 -36.2875088599999,174.336363431 -36.2988909819999,174.346618355 -36.2980549709999,174.364681356 -36.294164091,174.378300272 -36.286663964,174.41330025 -36.263064045,174.505245202 -36.23138196,174.51934524 -36.253335841,174.506927282 -36.267217949,174.421245289 -36.3106088829999,174.372863435 -36.331255019,174.330109358 -36.331255019,174.3040004 -36.315555044,174.292209242 -36.316946104,174.268581327 -36.3458358419999,174.269991331 -36.357781898,174.276918303 -36.370555081,174.285245221 -36.3824999629999,174.300400373 -36.393473048,174.381072335 -36.400272951,174.391936288 -36.3949998959999,174.420536347 -36.3684730159999,174.442472458 -36.414717988,174.465518334 -36.532217854,174.465518334 -36.58278202,174.454700314 -36.6479179569999,174.426518344 -36.667635882,174.369327277 -36.6308358059999,174.348845259 -36.601946068,174.300263412 -36.515835927,174.254836347 -36.445826918,174.243836272 -36.44083583,174.200945236 -36.428199944,174.187191371 -36.433754966,174.179981425 -36.4462460139999,174.177900366 -36.462917954,174.187745247 -36.4969459669999,174.208863452 -36.535281942,174.2369093 -36.568064068,174.267491344 -36.599163947,174.284972474 -36.6127820249999,174.301091377 -36.6272178419999,174.344300255 -36.679335845,174.390536342 -36.7402820039999,174.407900293 -36.7681999449999,174.416654185 -36.7841730019999,174.422763419 -36.79805511,174.427763392 -36.812773062,174.433872458 -36.8355550749999,174.436645192 -36.8522268479999,174.439145178 -36.868608942,174.44302734 -36.893617859,174.446927272 -36.909163943,174.451909308 -36.923890947,174.459227212 -36.94402696,174.484681376 -37.005564044,174.49078139 -37.019164017,174.500245229 -37.0347268639999,174.51207243 -37.043755012,174.524691385 -37.04555511,174.600527325 -37.022226932,174.618145247 -36.992500009,174.622463436 -36.9822179289999,174.641663359 -36.960826977,174.656372425 -36.949446028,174.686100354 -36.94083597,174.696627354 -36.9397179919999,174.770263379 -36.936663961,174.823436329 -36.942217978,174.83107241 -36.951808887,174.824981449 -36.960826977,174.804409241 -36.972217983,174.795536326 -37.0230550639999,174.887481446 -37.059163968,174.879118318 -37.08889089,174.720109256 -37.1522178449999,174.733854236 -37.196109011,174.703854231 -37.197772986,174.648936336 -37.0998639749999,174.664154184 -37.083055074,174.663181381 -37.0687459919999,174.644136188 -37.061108905,174.568845239 -37.0613910389999,174.555818253 -37.064863997,174.550809395 -37.077226969,174.555545171 -37.087499997,174.569972438 -37.103617894,174.578309246 -37.115555066,174.599972443 -37.153881989,174.63970937 -37.224446046,174.645809383 -37.236390929,174.660191388 -37.2733088539999,174.694427272 -37.336946107,174.701627327 -37.349726833,174.714281318 -37.362917937,174.728854263 -37.3687460419999,174.742736203 -37.3619459719999,174.753036221 -37.333754949,174.766081312 -37.3211090039999,174.801227303 -37.298335876,174.817318378 -37.292646072,174.829954265 -37.2905549549999,174.840654267 -37.2941729199999,174.831636345 -37.308055028,174.770263379 -37.374026976,174.760527296 -37.380282055,174.744418284 -37.385835904,174.722454177 -37.391809016,174.714691361 -37.404026981,174.717472476 -37.4250000119999,174.724972436 -37.447217923,174.744418284 -37.487500008,174.764163365 -37.5277819259999,174.828309232 -37.710826934,174.848300407 -37.7697178509999,174.866209349 -37.784026933,174.906918241 -37.774173,174.930818232 -37.752499913,174.947891331 -37.744026982,174.970654233 -37.7404179019999,174.974972422 -37.749999927,174.971500302 -37.8077819169999,174.945254216 -37.8105549859999,174.903045299 -37.80749995,174.883327207 -37.8049999639999,174.872745222 -37.806108889,174.841336219 -37.818608989,174.823163414 -37.827226927,174.793309254 -37.8498639329999,174.788454288 -37.864163963,174.783736283 -37.9762461019999,174.788727203 -37.990972938,174.800672421 -38.000146093,174.818727208 -38.001109006,174.828581309 -37.99499994,174.829145243 -37.9729089309999,174.834691381 -37.963617926,174.858154172 -37.9423550499999,174.868281355 -37.9436089819999,174.8930363 -37.973190898,174.87716349 -38.064164052,174.898591323 -38.075000009,174.940245191 -38.101108967,174.929554241 -38.1137550789999,174.852191286 -38.15555496,174.838563485 -38.1572179299999,174.724400287 -38.1858268739999,174.681091329 -38.379164021,174.642491323 -38.59083591,174.625518304 -38.6777820629999,174.608581328 -38.763064072,174.603300394 -38.7861179939999,174.594418258 -38.815835864,174.587736205 -38.828891014,174.568027333 -38.850281966,174.5577362 -38.860554994,174.546081331 -38.8719359419999,174.456363451 -38.9402819809999,174.388736245 -38.9758269499999,174.375245236 -38.9791639539999,174.351345245 -38.9794358619999,174.313291404 -38.972500005,174.293027315 -38.969990966,174.281372447 -38.969990966,174.259981327 -38.970272934,174.248018339 -38.970555068,174.226627219 -38.972500005,174.209136199 -38.9772178429999,174.187745247 -38.9886090169999,174.11468137 -39.0244460119999,174.011109377 -39.073335809,173.892763442 -39.120555093,173.868009335 -39.128882011,173.844418301 -39.1383359599999,173.829954153 -39.145835919,173.800536188 -39.169164097,173.783581441 -39.188191017,173.751645217 -39.2699999009999,173.751918299 -39.2886088999999,173.754427338 -39.304999879,173.762209265 -39.354717976,173.769718277 -39.376946113,173.77581829 -39.390835932,173.786654247 -39.4099999809999,173.795254248 -39.4219460369999,173.810791279 -39.437499999,173.839963487 -39.461390938,173.851900323 -39.47055504,173.871063365 -39.483326881,173.966627288 -39.543473072,173.986909314 -39.550555109,173.997745271 -39.551390953,174.040800258 -39.552782013,174.213027246 -39.57847305,174.312472325 -39.6120910189999,174.336636346 -39.625555038,174.351209291 -39.6372179539999,174.376063478 -39.678608965,174.410518296 -39.7169461139999,174.421354253 -39.7269460599999,174.523863421 -39.805000019,174.545809255 -39.820417859,174.558018335 -39.8247179429999,174.576081336 -39.829172925,174.729672337 -39.8658358719999,174.740509299 -39.866664004,174.751372413 -39.8655550779999,174.781100342 -39.8530549779999,174.790800383 -39.854717948,174.832472356 -39.8637549809999,174.923036305 -39.895835877,174.938872403 -39.902217858,174.960781357 -39.912773021,174.974118306 -39.9208359089999,174.986354208 -39.9300000119999,175.02221836 -39.95805508,175.05554531 -39.987782002,175.071627333 -40.003064056,175.155545271 -40.095835966,175.178318231 -40.134172948,175.196345191 -40.1669460209999,175.201627298 -40.181673025,175.231354221 -40.280826917,175.238009285 -40.3297269399999,175.187472443 -40.5308269029999,175.171909261 -40.609726931,175.169709346 -40.616946097,175.164154156 -40.631946015,175.12774518 -40.713617939,175.120791386 -40.726946003,175.112727324 -40.738891054,175.098572469 -40.755835909,175.014981425 -40.848608993,174.946363477 -40.9659730719999,174.941654189 -40.9763909399999,174.932191355 -40.9874999789999,174.904709274 -41.0083358809999,174.887600301 -41.014035911,174.874391427 -41.0180550329999,174.844418244 -41.041673057,174.800809381 -41.100282007,174.715654274 -41.197081925,174.694700354 -41.213617911,174.681363405 -41.2219359439999,174.666927253 -41.2297178709999,174.648591337 -41.2344449289999,174.632618279 -41.2347178429999,174.612181355 -41.2347178429999,174.601072484 -41.2508359079999,174.592881353 -41.2676359239999,174.591918272 -41.278609009,174.629672376 -41.31499988,174.651509245 -41.3308358099999,174.671909289 -41.338335937,174.700527286 -41.3444448349999,174.744691366 -41.347499871,174.811491279 -41.3349999389999,174.823991379 -41.326108919,174.83107241 -41.313055111,174.83136343 -41.2979178959999,174.821072465 -41.2869448119999,174.796081317 -41.2869448119999,174.774845263 -41.279717935,174.776227271 -41.2590268709999,174.787472432 -41.244444874,174.82301824 -41.220408929,174.891236203 -41.226244913,174.8988634 -41.2344449289999,174.901918268 -41.254726955,174.898881337 -41.278755022,174.894436246 -41.290000015,174.881500287 -41.312217926,174.8707914 -41.3272268969999,174.862745276 -41.343890959,174.863572402 -41.4223640129999,174.872463422 -41.429444877,174.913591409 -41.448191004,174.93928144 -41.44055509,174.947481456 -41.4283359519999,174.96050928 -41.415272923,174.972745182 -41.4058268539999,174.989536314 -41.3952819159999,175.027191343 -41.3816730579999,175.049281346 -41.37860897,175.06301828 -41.3802819979999,175.080263375 -41.385563938,175.188581369 -41.4277819079999,175.193436335 -41.4419359249999,175.188563432 -41.4611088579999,175.1810913 -41.500835894,175.181918259 -41.519444892,175.184691328 -41.535835872,175.219554178 -41.61555498,175.230809397 -41.6208359139999,175.318163413 -41.615417852,175.427463431 -41.5644448159999,175.471072462 -41.541390894,175.557736312 -41.4849999639999,175.739963413 -41.3941729909999,175.819118251 -41.3472179039999,175.955227284 -41.255282005,175.984681459 -41.231382014,176.062191265 -41.1519358199999,176.080809316 -41.129164034,176.087463374 -41.116108884,176.098300336 -41.087217972,176.113009235 -41.035282024,176.120791329 -41.013617989,176.134154262 -40.9874999789999,176.142209271 -40.975272961,176.155681337 -40.962363992,176.172763488 -40.9522269189999,176.195527228 -40.9416640439999,176.22079129 -40.9316729829999,176.239136259 -40.90889097,176.288572389 -40.7938909229999,176.352309386 -40.6911090089999,176.386109243 -40.6749999959999,176.405245296 -40.6438908979999,176.441927354 -40.600282035,176.500827323 -40.5349999169999,176.521363489 -40.513890932,176.539981373 -40.494999966,176.628300313 -40.42194598,176.644136243 -40.3799999189999,176.687191397 -40.32139097,176.796936326 -40.2263909819999,176.80831828 -40.2166639509999,176.834136219 -40.181673025,176.874118232 -40.121381996,176.894009327 -40.086526857,176.890254234 -40.0538909109999,176.894718268 -40.0347268629999,177.021927228 -39.771390934,177.030963422 -39.76000898,177.054981431 -39.7502819489999,177.070800261 -39.743746076,177.082736259 -39.7299910369999,177.117445217 -39.6793088539999,177.118854215 -39.665408976,177.107181409 -39.660826925,177.010800251 -39.654999994,176.946627227 -39.664446063,176.898591378 -39.442218005,176.898863454 -39.4122179999999,176.90387248 -39.3980550979999,176.933581465 -39.3527819239999,177.054963493 -39.204446042,177.149136188 -39.164999968,177.206081329 -39.1436179,177.246918297 -39.128335847,177.387754219 -39.077781906,177.426091368 -39.0641639959999,177.628845248 -39.071108905,177.680263363 -39.07528192,177.821136333 -39.1039460169999,177.822018277 -39.1144460269999,177.841645174 -39.152782002,177.825100303 -39.180555103,177.824127332 -39.193055036,177.83941827 -39.236946034,177.844972454 -39.251399955,177.864963461 -39.288064076,177.874972459 -39.2861179659999,177.898863398 -39.267499915,177.909972437 -39.256954978,177.998000358 -39.123890923,177.991336242 -39.1150089559999,177.967745208 -39.098335842,177.942200352 -39.091945981,177.923036304 -39.089164028,177.906709362 -39.064282013,177.893863425 -39.06478191,177.897709378 -39.0479460189999,177.909700361 -38.969717884,177.917781354 -38.942799905,177.92385421 -38.918335811,177.941072483 -38.793617953,177.928863403 -38.722217884,178.047618375 -38.7192999759999,178.064272379 -38.719435931,178.074981434 -38.713890966,178.158872382 -38.649172951,178.29844532 -38.5391730439999,178.302463437 -38.528881911,178.320800359 -38.3986088629999,178.317745322 -38.259726929,178.319972394 -38.248054962,178.353854226 -38.1855549649999,178.378018247 -38.094300011,178.375791343 -38.072772937,178.362181312 -38.0405639649999,178.351900405 -38.0299999169999,178.347336291 -38.0154179199999,178.350527281 -38.004717918,178.419981407 -37.887781987,178.429691339 -37.8769460299999,178.452609307 -37.862499987,178.483309368 -37.826390916,178.564000274 -37.716664092,178.557618293 -37.6956908939999,178.550536255 -37.6874999299999,178.500809273 -37.648326938,178.488863385 -37.644163982,178.468018262 -37.6469461029999,178.452745261 -37.645972964,178.367736334 -37.630826865,178.349700323 -37.626946044,178.336363373 -37.6183269329999,178.321072435 -37.602499888,178.309691319 -37.581246064,178.309418237 -37.570699953,178.281918386 -37.560826909,178.187745189 -37.546955027,178.06039139 -37.5424998779999,178.018009302 -37.550826963,178.009427239 -37.5858269409999,178.00000028 -37.59222686,177.871900324 -37.652917874,177.854127337 -37.656935823,177.791927245 -37.6669459949999,177.742891267 -37.67680898,177.732181374 -37.6824999569999,177.646945297 -37.8049999639999,177.60134523 -37.875273002,177.571627359 -37.902217971,177.549136199 -37.9170819349999,177.473572335 -37.962499948,177.415254238 -37.9825000069999,177.159427321 -38.013335856,177.107463376 -37.987217845,177.082736259 -37.967217954,176.943845273 -37.932499943,176.917754253 -37.92610891,176.838291296 -37.9074999109999,176.819700402 -37.904446048,176.80303634 -37.9033268969999,176.784145207 -37.900273034,176.759154227 -37.892773075,176.686645233 -37.868326919,176.671081379 -37.862499987,176.656645228 -37.855563962,176.549709242 -37.793335875,176.537472334 -37.7844460279999,176.524700325 -37.7716639609999,176.488281458 -37.756672927,176.267491399 -37.676390891,176.242191295 -37.7094461,176.144991393 -37.675281965,176.071900359 -37.655273021,175.994418381 -37.6388909259999,175.953581413 -37.558891025,175.943572415 -37.5254178939999,175.955536241 -37.521108926,176.010754207 -37.5243909439999,176.020918271 -37.5271358489999,176.062472394 -37.5466730599999,176.090518242 -37.5767359289999,176.066772478 -37.579309006,176.059145281 -37.5887460229999,176.066927208 -37.5963909889999,176.082454181 -37.602499888,176.165600313 -37.6210359639999,176.090791324 -37.5283359699999,176.059418364 -37.502499927,176.031245278 -37.4851909619999,175.976072406 -37.45305508,175.974400384 -37.418063987,175.94009141 -37.299717884,175.93637236 -37.278881981,175.929000309 -37.2593088959999,175.921081422 -37.2516729829999,175.889709299 -37.246946092,175.88374524 -37.1729179609999,175.898318352 -37.115008901,175.916363416 -37.079445994,175.918309359 -37.067499938,175.879818318 -36.918054963,175.847318327 -36.842917906,175.833591284 -36.8308358959999,175.812609368 -36.824999912,175.760954213 -36.829026913,175.75110028 -36.839308994,175.751081337 -36.8545910469999,175.758945239 -36.8711820189999,175.739809354 -36.892635835,175.71760938 -36.8830549849999,175.708709308 -36.872635944,175.70162727 -36.8441639599999,175.733581432 -36.805826979,175.840791339 -36.754172997,175.763609265 -36.713617997,175.631072432 -36.710555082,175.604945202 -36.622772918,175.540391304 -36.517363948,175.356900379 -36.479990885,175.35244523 -36.4899998839999,175.353854228 -36.525000029,175.356627296 -36.541672976,175.364000354 -36.5590268679999,175.378300384 -36.5705550019999,175.463591278 -36.6213820249999,175.48635418 -36.679726945,175.509427212 -36.776108941,175.466918223 -36.809999993,175.43524519 -36.8669459729999,175.464418236 -36.908891028,175.480381403 -36.9190269279999,175.498563428 -36.927226944,175.524991401 -36.9616730459999,175.536100272 -36.980826868,175.542481415 -36.99444612,175.547481388 -37.0091729559999,175.551636298 -37.0247178659999,175.589145314 -37.169446009,175.579127264 -37.2444461059999,175.404972438 -37.228054959,175.385254178 -37.2258268809999,175.373291358 -37.216663952,175.328854195 -37.1688909599999,175.318436328 -37.148326966,175.319427237 -37.0952730389999,175.321900401 -37.064717985,175.330400321 -37.0398639649999,175.328854195 -37.026946111,175.321918338 -37.009026943,175.310518279 -36.9949999959999,175.27831836 -36.9652819579999,175.225663412 -36.938608898,175.16165417 -36.955555095,175.091645329 -36.9255639749999,175.084963444 -36.8980550709999,175.076627305 -36.890835906,175.05554531 -36.8802819159999,175.016236196 -36.872773072,174.896636328 -36.8783358059999,174.854400253 -36.8477819249999,174.808318226 -36.8052729349999,174.774418289 -36.7302820589999,174.715945294 -36.5994460819999,174.708163367 -36.537499961,174.710781371 -36.525835872,174.76830939 -36.3463908919999,174.812745212 -36.3391640149999,174.781100342 -36.2669460399999,174.708863424 -36.2055549689999,174.634981306 -36.124717883,174.616363422 -36.100863993,174.629254286 -36.070417903,174.622191359 -36.053054958,174.609818329 -36.039864021,174.592181464 -36.0377819569999,174.57400933 -36.038064092,174.514163379 -36.00860891,174.496763387 -35.991390972,174.487181362 -35.914999983,174.499145188 -35.8927730199999,174.522891288 -35.8588910199999,174.522627258 -35.84694597,174.486354236 -35.824718001,174.476072323 -35.8241730089999,174.437472318 -35.8227730639999,174.394972381 -35.8227819489999,174.385527317 -35.828891015,174.38302733 -35.8479179349999,174.358000309 -35.847217879,174.348727241 -35.83625502,174.348572344 -35.73472687,174.359681383 -35.723472992,174.491054305 -35.7694460549999,174.521518332 -35.7934729479999,174.53857232 -35.819455004,174.557872322 -35.845555077,174.577754197 -35.852226904,174.59303625 -35.85055505,174.602445272 -35.844445983,174.583863431 -35.7647268759999,174.55802722 -35.751673067,174.52067243 -35.726799937,174.476700295 -35.6462459919999,174.509281424 -35.643755058,174.520263393 -35.64860885,174.530272391 -35.649446035,174.566636273 -35.6498639559999,174.57716344 -35.614046072,174.57580926 -35.6019461239999,174.491909259 -35.4852730489999,174.461636339 -35.445272931,174.383881446 -35.337773011,174.319972452 -35.2327730769999,174.247745257 -35.2786090119999,174.218018334 -35.322226927,174.208009336 -35.3233358529999,174.143581334 -35.328608908,174.097181465 -35.227081932,174.018309265 -35.2249998679999,174.009709264 -35.218190912,174.008027351 -35.207499963,174.021909292 -35.1641640139999,174.056636187 -35.155554961,174.09497233 -35.159855045,174.098572358 -35.170835842,174.101072344 -35.1211088599999,173.839145245 -35.0041729279999,173.589418342 -34.9286088969999,173.575809316 -34.9295820359999,173.566927349 -34.936108857,173.562054278 -34.9548640359999,173.541654234 -34.988608907,173.493281433 -34.995281908,173.471500387 -34.990281935,173.454127216 -34.9816639979999,173.441654273 -34.9733268539999,173.429272358 -34.960555013,173.419127238 -34.9458268349999,173.411591404 -34.9317819509999,173.400954266 -34.9101358529999,173.402481449 -34.8948640259999,173.413027224 -34.8888909139999,173.433318303 -34.890555057,173.447872472 -34.888754959,173.498027266 -34.868817932,173.450809323 -34.807781919,173.426091426 -34.819999884,173.400818312 -34.863335832,173.372254294 -34.9321090129999,173.364681412 -34.972217928,173.358854313 -34.9811089479999,173.328581393 -35.009445983,173.317472354 -35.018891047,173.266918246 -35.01709095,173.259427339 -34.9788820439999,173.261091315 -34.9629089859999,173.271091428 -34.943608984,173.242736288 -34.8847269519999,173.213591404 -34.871935832,173.151918367 -34.839999943,173.135800302 -34.8302819639999,173.128572419 -34.8224998699999,173.120791331 -34.810554988,173.110500365 -34.7913909389999,173.057736285 -34.6802819389999,173.053318351 -34.665555103,172.973018377 -34.5811179899999,172.936100285 -34.5672179439999,172.923854157 -34.558891026,172.910536318 -34.546945976,172.958572335 -34.467082029,172.984127249 -34.472773006,172.99746336 -34.4983359669999,173.012072347 -34.527781928,173.028872363 -34.526808956,173.04164521 -34.520000001,173.038881361 -34.4369460689999,173.020809307 -34.4222269439999,172.911927211 -34.414717933,172.90081834 -34.414717933,172.739136288 -34.435555009,172.722472394 -34.495281936,172.812472409 -34.568890972,172.828036263 -34.584446108,172.947209324 -34.7169460599999,173.137754291 -34.9299999579999,173.151091408 -34.94666402,173.159145244 -34.9583358199999,173.177609235 -34.990135923,173.189418331 -35.0127819809999,173.193845317 -35.027217965,173.198581428 -35.0511089039999,173.198581428 -35.07889089,173.19691829 -35.100417964,173.191927202 -35.128335904,173.187472388 -35.143335823,173.180818331 -35.156109005,173.166227281 -35.176391032),(175.523036238 -36.348309007,175.542481415 -36.350555022,175.559554179 -36.3187550869999,175.529418219 -36.1786089949999,175.413454253 -36.0683358379999,175.388881363 -36.065835851,175.375781454 -36.069173022,175.364681467 -36.078755046,175.359545205 -36.092500027,175.3588542 -36.22943585,175.464281444 -36.3205550169999,175.513181467 -36.3470820639999,175.523036238 -36.348309007),(175.088863375 -36.833608964,175.164700321 -36.833882047,175.169436264 -36.829181978,175.185809306 -36.8211088649999,175.212054218 -36.756526971,175.189272373 -36.7284640239999,175.013872332 -36.7690269029999,175.00247244 -36.792782055,175.007336291 -36.802772948,175.088863375 -36.833608964),(174.11468137 -41.5138910429999,174.104554187 -41.507364055,174.096772428 -41.515281936,174.084136206 -41.5261090079999,174.063872452 -41.493054973,174.04999135 -41.4663909659999,174.045118279 -41.4466639889999,174.05094521 -41.424444905,174.111636225 -41.336664082,174.151645228 -41.306800032,174.193572346 -41.320281988,174.208591375 -41.3294449169999,174.231900275 -41.328055029,174.24537234 -41.324308989,174.288572334 -41.276944866,174.323854279 -41.2215269069999,174.303591363 -41.2297178709999,174.291654192 -41.2388910249999,174.210663382 -41.268055019,174.053863454 -41.2541730789999,174.026645235 -41.236117957,174.052181374 -41.234999978,174.11468137 -41.231382014,174.157072343 -41.2261089579999,174.209963493 -41.197490961,174.322736301 -41.0144461209999,174.31954531 -41.001946021,174.299409296 -41.003617876,174.258327242 -41.035282024,174.246336259 -41.04472692,174.089263416 -41.02235495,174.032745249 -40.9997268289999,173.900118227 -41.130973016,173.888027331 -41.154164066,173.886509369 -41.165691027,173.893581348 -41.1927729559999,173.904018326 -41.198744894,173.932736235 -41.1999999999999,173.981900289 -41.1994358979999,173.993009328 -41.198335857,174.000827297 -41.1905551039999,174.004854298 -41.177082033,174.130527358 -41.1797908959999,174.099700394 -41.198335857,174.037200398 -41.2183268639999,173.806363454 -41.289444798,173.788027203 -41.290555065,173.77581829 -41.2897269329999,173.7620542 -41.270281923,173.820527362 -41.2458359349999,173.848845287 -41.144163952,173.887481334 -41.103335869,173.917754254 -41.0874999399999,173.949827271 -41.058190939,173.930818288 -41.049446099,173.84149134 -41.054026977,173.821900318 -41.06221794,173.822209275 -41.080835824,173.794436341 -41.109446109,173.778591359 -41.114446082,173.769718277 -41.0986089789999,173.780400342 -41.012364056,173.821072353 -40.994164095,173.832181393 -40.994999938,173.929963334 -40.992226869,174.025818276 -40.945417963,174.03040938 -40.930555005,174.025272447 -40.91583588,173.989545255 -40.8968089599999,173.913300278 -40.9316729829999,173.800263441 -40.9691640629999,173.75137247 -40.9769459889999,173.696627242 -41.0002820459999,173.678318316 -41.0144550059999,173.674136249 -41.024999943,173.679136222 -41.0387549819999,173.693863394 -41.0359730279999,173.723145237 -41.020972942,173.738281446 -41.01860891,173.743991366 -41.028335941,173.739963358 -41.0472269059999,173.724136313 -41.0583359459999,173.672763461 -41.070555084,173.639709258 -41.073617999,173.602327311 -41.053055011,173.426091426 -41.1502730189999,173.377163407 -41.1780550039999,173.351627269 -41.195544851,173.340518229 -41.205835817,173.326081407 -41.222499878,173.275272321 -41.272082021,173.203018304 -41.309999907,173.188872334 -41.3133268519999,173.168027211 -41.316108973,173.105527215 -41.3133268519999,173.085781462 -41.302226865,173.077745229 -41.2943089839999,173.031645264 -41.02749993,173.05609142 -40.978608959,173.05969128 -40.9673550799999,173.05109128 -40.8694460689999,173.020536225 -40.809717968,173.013309348 -40.7966730439999,173.005263391 -40.7888909499999,172.980927206 -40.7815269449999,172.932754229 -40.7994461129999,172.907200321 -40.828890901,172.875245321 -40.8511089789999,172.860654271 -40.8530550899999,172.701354189 -40.74833595,172.656918368 -40.6533269089999,172.735791406 -40.518335855,172.797209299 -40.516108951,172.895263485 -40.524446095,172.945254161 -40.5308269029999,172.978027235 -40.533890991,172.988218288 -40.531035947,172.86135416 -40.507782033,172.817745297 -40.504172954,172.71219132 -40.495555016,172.661372343 -40.5027820609999,172.630245308 -40.510563987,172.589845205 -40.541173021,172.582136201 -40.554999976,172.593354205 -40.556081912,172.604963476 -40.5579178849999,172.631618263 -40.559999949,172.629818334 -40.570555112,172.596345203 -40.6013909609999,172.571900388 -40.6177730549999,172.529845195 -40.6320819699999,172.520127216 -40.628190923,172.520191422 -40.603146131,172.478300346 -40.613890893,172.426909389 -40.657773006,172.382718318 -40.6983358849999,172.34830038 -40.727490995,172.299409241 -40.7549998979999,172.271363393 -40.770555034,172.25956335 -40.775555007,172.224700332 -40.7811088559999,172.218563438 -40.785835914,172.186645318 -40.81332688,172.113863409 -40.879999891,172.107609336 -40.889309,172.106081315 -40.9113819039999,172.105227199 -41.153054972,172.111636337 -41.236117957,172.122191333 -41.27778205,172.064972438 -41.4036090019999,172.053863399 -41.417499995,172.022763353 -41.4430550769999,171.942200355 -41.550281914,171.886654153 -41.6300000159999,171.855227213 -41.652782029,171.790527302 -41.696390892,171.685791398 -41.7469448329999,171.663027323 -41.757781963,171.650818242 -41.7613910429999,171.569118323 -41.766108881,171.557736202 -41.766664098,171.533054179 -41.7663910159999,171.510800394 -41.764454964,171.46163634 -41.859726861,171.36108133 -42.0677819589999,171.343845287 -42.11083594,171.329127336 -42.155826979,171.326354267 -42.172226843,171.324400277 -42.1897178629999,171.322754239 -42.207217936,171.321072327 -42.224717841,171.316654225 -42.2497269259999,171.309691378 -42.28194495,171.304409271 -42.29667296,171.297763427 -42.310281986,171.270536323 -42.3549999419999,171.260254243 -42.366108981,171.247463459 -42.3750000009999,171.235781432 -42.394164049,171.230254238 -42.4088910529999,171.225800262 -42.4336089509999,171.196072334 -42.476663937,171.151654282 -42.560417926,171.108309281 -42.608054964,171.065800291 -42.648055082,170.794127218 -42.9013908979999,170.7811004 -42.910555001,170.750545177 -42.9247179019999,170.704409338 -42.945826887,170.674345295 -42.958735857,170.583036195 -42.99055507,170.527481443 -43.009308908,170.418027198 -43.0525000169999,170.288300315 -43.1077820209999,170.111354315 -43.2541729659999,170.049409368 -43.306944926,170.035945182 -43.339308963,170.025254232 -43.3501358669999,169.961636257 -43.3719358559999,169.884154279 -43.3977819579999,169.871063423 -43.406664093,169.790527247 -43.49666394,169.767491263 -43.522773066,169.73913629 -43.558055011,169.72496333 -43.5711089869999,169.660518229 -43.601944835,169.648881297 -43.6072269429999,169.626618292 -43.613890892,169.539154305 -43.633608984,169.491318281 -43.64346409,169.38748142 -43.679173009,169.27163631 -43.722499905,169.224400262 -43.743326923,169.142209331 -43.794164004,169.080763442 -43.848473037,168.961918281 -43.903608861,168.882463371 -43.961808941,168.862472364 -43.9749909929999,168.824400251 -43.988335821,168.764163368 -44.008608962,168.753872403 -44.010000023,168.719127235 -44.012364055,168.68664518 -44.0002820449999,168.674563337 -43.99070002,168.402772415 -44.0297268319999,168.383027333 -44.034444838,168.372327331 -44.040555078,168.336363434 -44.094444848,168.336072414 -44.105972982,168.338300324 -44.120273012,168.291072323 -44.1701359479999,168.169709238 -44.2447179549999,168.153591341 -44.251400009,168.14330926 -44.2530639839999,168.124100285 -44.251400009,168.144136219 -44.2925,168.143191411 -44.304444883,168.128018322 -44.3169448149999,168.034972323 -44.353617989,167.963591365 -44.394999948,167.949981334 -44.403609001,167.850254287 -44.488054999,167.838863449 -44.4986089879999,167.743009345 -44.6116729839999,167.599700258 -44.683881906,167.45859142 -44.7836180049999,167.450809326 -44.792090935,167.459654246 -44.8411909509999,167.460827209 -44.8586999079999,167.464327324 -44.872190917,167.479081318 -44.903444855,167.511109241 -44.9869448709999,167.50619141 -45.00014486,167.459691294 -44.9947179129999,167.441927359 -44.9449999839999,167.4403814 -44.933055101,167.419300243 -44.9103269,167.422381431 -44.89641797,167.400272317 -44.8628729229999,167.316772468 -44.8731910459999,167.264009226 -44.9052819999999,167.24105421 -44.921391012,167.228300306 -44.930826856,167.201491292 -44.9536088689999,167.146363347 -45.001673049,166.996918371 -45.1458359169999,167.002200312 -45.2011088679999,167.093218225 -45.270235933,167.138291406 -45.268944952,167.194636236 -45.2714449389999,167.304000292 -45.316526837,167.305663429 -45.327782057,167.270809296 -45.334444832,167.260254301 -45.33582684,167.24856339 -45.334164038,167.235927335 -45.32917295,167.215791322 -45.3158358329999,167.177563473 -45.313835911,167.170863482 -45.305290896,167.114227298 -45.3103359639999,167.09481833 -45.3154998869999,167.082745204 -45.32349991,167.051091282 -45.3333268539999,167.061645272 -45.344999995,167.087463378 -45.363617878,167.097745291 -45.36610898,167.115509226 -45.3722178789999,167.132045212 -45.3837550649999,167.158018216 -45.40666398,167.173581398 -45.422772992,167.209409341 -45.4613909349999,167.213027305 -45.471244868,167.205227274 -45.47777303,167.168854172 -45.472499974,167.146945219 -45.427226968,167.03830033 -45.357782062,167.008327315 -45.341663997,166.880800346 -45.279164001,166.868836185 -45.2797269289999,166.821627295 -45.3205550119999,166.801363373 -45.353617932,166.757472375 -45.4252820309999,166.698163369 -45.550690893,166.707454206 -45.5769448579999,166.780927287 -45.571391009,166.794036248 -45.570055102,166.891691288 -45.544726834,166.989681436 -45.519164041,167.041354193 -45.501399938,167.032472393 -45.5277819789999,167.005827329 -45.5716729759999,166.995954285 -45.5784730469999,166.98025431 -45.578609001,166.912872357 -45.5909448159999,166.898281308 -45.586355053,166.884181438 -45.585691039,166.869691307 -45.5887819499999,166.81299142 -45.611190968,166.77581835 -45.662773033,166.78747238 -45.6899909159999,166.809418214 -45.721381982,166.825809361 -45.7147178659999,166.854127286 -45.707782009,166.887481393 -45.704999887,166.912472373 -45.70527297,166.923036253 -45.705835898,166.98718145 -45.7097269449999,166.974118254 -45.734999892,166.886081448 -45.7788910579999,166.699981404 -45.7988909499999,166.652191312 -45.8002820099999,166.613863384 -45.801108969,166.537472394 -45.7988909499999,166.476900403 -45.809717854,166.470654209 -45.8194448849999,166.464691323 -45.839435892,166.466218338 -45.986808861,166.474972398 -46.002781918,166.488436249 -46.013755003,166.625791335 -45.9672180059999,166.661654146 -45.9919449559999,166.640809358 -46.015008936,166.619263341 -46.056108928,166.614681457 -46.088608919,166.670536281 -46.087217858,166.739381378 -46.066308866,166.76144523 -46.045635907,166.78110029 -46.016390944,166.788572421 -46.007644931,166.832200395 -45.982917981,166.929691317 -45.947217947,166.944627198 -45.949235974,166.886936234 -45.990281986,166.854672445 -45.994163981,166.829954212 -46.0038910119999,166.804745303 -46.0332819879999,166.784909362 -46.064944962,166.7612273 -46.093608892,166.738863377 -46.1191639739999,166.709409369 -46.135272986,166.689136227 -46.143890923,166.670536281 -46.157635903,166.705227302 -46.20110898,166.721909301 -46.212499986,166.768036255 -46.223609025,166.82302724 -46.2316640339999,166.836363351 -46.2324998779999,166.88302725 -46.229991006,166.915254159 -46.226099959,166.94998139 -46.22388194,166.966063412 -46.2247179509999,167.001372347 -46.229164048,167.086636252 -46.240555054,167.238554224 -46.263890943,167.261109255 -46.267772938,167.280272465 -46.273055046,167.356627244 -46.2544448739999,167.415527213 -46.204717892,167.446072377 -46.159999935,167.456072323 -46.1530550259999,167.471072409 -46.149990937,167.483036235 -46.1497269069999,167.53442736 -46.152781943,167.546354305 -46.154163952,167.556636218 -46.156391023,167.596927357 -46.166390969,167.701909353 -46.20944495,167.778045197 -46.28417297,167.782481403 -46.294591005,167.779145238 -46.309582039,167.753872459 -46.333882014,167.828291354 -46.3965268499999,167.850800285 -46.3994449259999,167.893036192 -46.387217908,167.955536188 -46.371381979,168.063872455 -46.351672939,168.116363453 -46.3436088779999,168.174991346 -46.340281933,168.190109281 -46.3440269669999,168.208591378 -46.353335909,168.250272403 -46.400835819,168.35496338 -46.416255,168.371336255 -46.4190268959999,168.394136205 -46.470273014,168.395809233 -46.4813909379999,168.389572426 -46.4949999639999,168.339418302 -46.539172929,168.324963375 -46.538608994,168.318572342 -46.524999969,168.307736217 -46.520555045,168.281372449 -46.524582047,168.26871829 -46.532363973,168.275272435 -46.557781927,168.351409286 -46.603164066,168.364381454 -46.6019999869999,168.362163435 -46.5892449099999,168.350572436 -46.5833358359999,168.362727202 -46.583882,168.351900297 -46.560273029,168.357745166 -46.546118006,168.391354251 -46.539999887,168.546236232 -46.5690269209999,168.563872427 -46.5846549789999,168.551636189 -46.594444875,168.50330932 -46.581108931,168.490509316 -46.573063981,168.454409297 -46.574444816,168.442200385 -46.575000033,168.446627203 -46.584000018,168.43937233 -46.600581937,168.49273622 -46.613335841,168.516936283 -46.614163973,168.568845242 -46.615008868,168.593018316 -46.614163973,168.614681345 -46.611117989,168.637072426 -46.6051358249999,168.733309247 -46.577500019,168.823854254 -46.561108872,168.840381355 -46.562082011,168.864681331 -46.6075000239999,168.862181344 -46.623891004,168.880818338 -46.6648640929999,169.008027298 -46.680826925,169.057891408 -46.676808976,169.067200349 -46.6350000429999,169.084409235 -46.657499921,169.097200354 -46.6669448169999,169.107727354 -46.66916401,169.133027291 -46.670835864,169.266391417 -46.656390995,169.458009268 -46.623326902,169.631345182 -46.5819449429999,169.70190924 -46.55805501,169.845245317 -46.469991047,169.852327355 -46.4611089109999,169.851072416 -46.437082018,169.848018218 -46.416944831,169.849400394 -46.389444813,169.860791401 -46.374026972,169.911927213 -46.340281933,170.067745284 -46.2466639529999,170.16943621 -46.1986089929999,170.193845318 -46.1880449449999,170.214418364 -46.174717887,170.226627277 -46.164999908,170.239254279 -46.150555039,170.253600409 -46.1118090209999,170.252763392 -46.0865268539999,170.256381357 -46.0655549969999,170.26360924 -46.051935913,170.281645251 -46.0294449199999,170.294436203 -46.0138909579999,170.312472383 -45.994163981,170.342472388 -45.9736088719999,170.382718264 -45.956108967,170.424409347 -45.939435852,170.452454189 -45.9319449459999,170.484409357 -45.9269448049999,170.550536203 -45.919164052,170.573300279 -45.916664066,170.664427325 -45.908335974,170.699981346 -45.911664093,170.779709339 -45.880554994,170.78888132 -45.8638909319999,170.790800273 -45.846391027,170.790800273 -45.806944953,170.777209352 -45.784582035,170.721345309 -45.815281929,170.658600393 -45.858608992,170.608581386 -45.888054954,170.595791272 -45.892917966,170.555545228 -45.896108957,170.556636217 -45.8848639629999,170.616909309 -45.839435892,170.67468141 -45.7450000059999,170.75027243 -45.619717878,170.857881315 -45.4906999359999,170.871336281 -45.424172938,170.876891304 -45.373890906,170.873427231 -45.362635854,170.921627198 -45.243055097,170.963991348 -45.166108891,170.975527361 -45.151108972,171.026645236 -45.103335979,171.079954308 -45.067217855,171.14971823 -44.9966640229999,171.163300266 -44.9783358189999,171.164700379 -44.970272931,171.166672473 -44.963217883,171.175018334 -44.949899877,171.182127361 -44.9417268509999,171.185245262 -44.938326983,171.197191318 -44.9237448179999,171.207181373 -44.851108922,171.214691391 -44.743326867,171.204954301 -44.7002819379999,171.193027356 -44.663326965,171.192200397 -44.6458359449999,171.196072334 -44.560282026,171.200527315 -44.5411179779999,171.211636187 -44.5352819939999,171.25497247 -44.478335847,171.263309279 -44.465554953,171.269991332 -44.4519449219999,171.275545181 -44.4372179179999,171.277891276 -44.424863998,171.277345279 -44.399164077,171.270518219 -44.3874999879999,171.278591332 -44.369991031,171.285518305 -44.3563908899999,171.293581361 -44.3436089909999,171.319972453 -44.316390939,171.344463369 -44.293872956,171.355563355 -44.2854910529999,171.538481461 -44.178772997,171.547209369 -44.1738910409999,171.583591356 -44.153881929,171.654691352 -44.122499916,171.782472461 -44.0769550009999,171.941072319 -44.015008881,171.955227341 -44.0066730779999,171.978572451 -43.995835948,172.050809369 -43.965282067,172.189700355 -43.9091640509999,172.275545293 -43.8838909369999,172.286927246 -43.8830550929999,172.297209327 -43.8811089829999,172.367463422 -43.86777304,172.38693626 -43.8633358279999,172.394009245 -43.854444808,172.384018352 -43.816672935,172.382445236 -43.7950089,172.384981432 -43.7786088679999,172.390254152 -43.763890917,172.413300363 -43.7436179429999,172.424991274 -43.733608944,172.472200332 -43.723608999,172.483581448 -43.722772988,172.495236316 -43.723881913,172.513027241 -43.72943593,172.642763345 -43.7722268869999,172.715236297 -43.8083359579999,172.736909384 -43.825835863,172.743281307 -43.8349999659999,172.808163441 -43.8802729719999,172.866209294 -43.902917857,172.938563391 -43.8942999189999,172.934327345 -43.8846359199999,172.920581359 -43.872555083,172.920536264 -43.8287551129999,172.924545328 -43.76889089,172.939972389 -43.75610899,172.951354175 -43.755282032,172.960118293 -43.760699926,172.965236283 -43.802226892,172.990909382 -43.8496729899999,173.00169136 -43.86745503,173.058591407 -43.8711088699999,173.091645274 -43.8563909179999,173.111481383 -43.829163982,173.116909336 -43.766255116,173.11440935 -43.741391039,173.103027228 -43.700417949,173.05969128 -43.6530549989999,172.90554523 -43.620835969,172.894136286 -43.619717991,172.775818347 -43.6122178639999,172.726763426 -43.419444819,172.759418315 -43.242917914,172.772218319 -43.21971798,172.797763343 -43.183064085,172.818027264 -43.160826895,172.838009386 -43.1480550539999,172.920254297 -43.105835911,172.935518245 -43.098335951,172.953036256 -43.0927730499999,172.975800331 -43.091108907,173.026363492 -43.0819448039999,173.090518243 -43.064444899,173.103145245 -43.059582054,173.28551836 -42.958055078,173.32580933 -42.913608863,173.328036234 -42.902635946,173.351627269 -42.840835839,173.387754277 -42.7936178959999,173.448854161 -42.690281937,173.459963367 -42.670835922,173.466063381 -42.656944929,173.480809328 -42.6219358989999,173.500827325 -42.599726873,173.53262726 -42.528608939,173.541354162 -42.511944877,173.558591378 -42.487782029,173.568572381 -42.4769448989999,173.798172323 -42.295282067,173.83469127 -42.271381908,173.866763449 -42.253755101,173.881091307 -42.245835879,173.930818288 -42.199717977,173.956363479 -42.166391027,173.953581358 -42.133326933,173.953854273 -42.119717908,173.959136213 -42.100835827,173.965236227 -42.086944834,173.979672379 -42.061108958,174.009154215 -42.027499873,174.08856336 -41.957782052,174.143581334 -41.9158358239999,174.160945285 -41.905417956,174.181091357 -41.892782069,174.201354272 -41.875555079,174.212191403 -41.865282051,174.23635425 -41.83721793,174.283327274 -41.762218001,174.289154205 -41.7483358929999,174.28970037 -41.737635891,174.193027354 -41.685555103,174.160245228 -41.620963989,174.174136221 -41.6083358139999,174.179554283 -41.598608951,174.177472386 -41.582363984,174.151091352 -41.5513910079999,174.125791415 -41.5238909889999,174.11468137 -41.5138910429999),(177.638334105 -44.5429799999999,177.634622812 -44.555634045,177.638796847 -44.554755953,177.6594683 -44.5504770169999,177.68016413 -44.546262537,177.700883964 -44.5421125839999,177.721627425 -44.5380272359999,177.742394138 -44.5340065679999,177.763183726 -44.53005065,177.783995816 -44.526159556,177.804830027 -44.522333353,177.825685988 -44.5185721129999,177.846563318 -44.514875902,177.86746164 -44.511244787,177.888380584 -44.5076788339999,177.909319765 -44.5041781049999,177.930278808 -44.5007426679999,177.95125734 -44.4973725799999,177.972254976 -44.494067904,177.993271345 -44.490828699,178.014306066 -44.4876550229999,178.03535876 -44.484546935,178.056429051 -44.481504488,178.07751656 -44.4785277399999,178.098620906 -44.4756167419999,178.119741717 -44.4727715449999,178.140878605 -44.469992205,178.162031199 -44.467278769,178.183199117 -44.464631287,178.20438198 -44.4620498039999,178.225579408 -44.459534369,178.246791021 -44.4570850269999,178.268016443 -44.4547018219999,178.289255291 -44.452384797,178.310507188 -44.450133992,178.33177175 -44.447949449,178.353048602 -44.445831207,178.374337361 -44.4437793019999,178.395637649 -44.4417937769999,178.416949082 -44.4398746599999,178.438271283 -44.43802199,178.459603934 -44.4362359959999,178.456793283 -44.420876318,178.454083569 -44.405507164,178.451474803 -44.390129058,178.448966963 -44.374742339,178.446560024 -44.359347343,178.444253961 -44.343944408,178.442048744 -44.328533873,178.439944342 -44.3131160739999,178.437940721 -44.2976913489999,178.436037844 -44.28226004,178.434235678 -44.26682248,178.432534178 -44.2513790049999,178.430933305 -44.235929958,178.429433014 -44.220475671,178.428033258 -44.205016486,178.426733986 -44.189552734,178.425535152 -44.1740847529999,178.424436703 -44.1586128819999,178.42343858 -44.143137456,178.422540729 -44.127658814,178.421743088 -44.112177284,178.421455317 -44.1060421459999,178.405100254 -44.114390027,178.388690734 -44.122684415,178.372226965 -44.1309251929999,178.355709275 -44.139112183,178.339137998 -44.147245208,178.322513463 -44.155324095,178.305836004 -44.1633486709999,178.289105957 -44.1713187629999,178.272323697 -44.179234056,178.257274021 -44.187423404,178.242174131 -44.1955665519999,178.227024168 -44.2036634149999,178.211824394 -44.211713839,178.196575082 -44.219717671,178.181276494 -44.2276747609999,178.1659289 -44.235584956,178.150532693 -44.243448052,178.133665586 -44.2528002829999,178.116733742 -44.262094197,178.099737422 -44.271329642,178.082676994 -44.280506396,178.065552842 -44.289624236,178.048365344 -44.2986829449999,178.031114883 -44.3076823019999,178.013801845 -44.316622093,177.996426619 -44.325502101,177.978989592 -44.334322115,177.961491152 -44.343081916,177.943931699 -44.351781296,177.926311623 -44.3604200459999,177.908631324 -44.368997957,177.890891201 -44.377514818,177.873091654 -44.385970427,177.855233086 -44.394364578,177.837315904 -44.402697066,177.819340513 -44.410967693,177.801307326 -44.419176255,177.783216752 -44.4273225539999,177.765069203 -44.4354063919999,177.746865095 -44.443427576,177.728604845 -44.451385908,177.710288873 -44.459281195,177.691917597 -44.467113244,177.673491441 -44.4748818689999,177.655010755 -44.482586603,177.650990771 -44.497705847,177.646871347 -44.512811293,177.642652455 -44.5279027889999,177.638334105 -44.5429799999999),(166.74914529 -45.723608886,166.753327356 -45.701944851,166.751918358 -45.6772269539999,166.748018259 -45.6622179829999,166.741636278 -45.6480550809999,166.736054265 -45.63779999,166.728163374 -45.624444936,166.7152363 -45.6159730109999,166.616618348 -45.627499972,166.576627282 -45.6380549679999,166.565654197 -45.6438909519999,166.526918237 -45.686944933,166.508327343 -45.7119447969999,166.504700326 -45.722773043,166.652463389 -45.7458358489999,166.716372383 -45.741673061,166.741054238 -45.731944856,166.74914529 -45.723608886),(166.990236318 -45.310281984,167.005263394 -45.3113909099999,167.029981459 -45.300554953,167.008454217 -45.24486408,166.988009246 -45.231381956,166.971772327 -45.189581908,166.971345185 -45.16666394,166.971618267 -45.164717997,166.958709298 -45.1554179409999,166.906372359 -45.211808871,166.891081421 -45.24610896,166.913027255 -45.2716640419999,166.922609279 -45.2784729969999,166.990236318 -45.310281984),(173.82205421 -40.766108937,173.80914524 -40.816109002,173.799136242 -40.879717924,173.784700258 -40.9113819039999,173.783600385 -40.912217915,173.77746349 -40.9233358389999,173.783718234 -40.9324999419999,173.805818295 -40.927781936,173.923445231 -40.865972944,173.959409295 -40.795146029,173.96719139 -40.739726897,173.966372478 -40.7180549829999,173.960118237 -40.7097268919999,173.829127362 -40.7577820189999,173.82205421 -40.766108937),(167.522336297 -47.276526941,167.536372465 -47.2794448499999,167.605809324 -47.274172968,167.678591401 -47.261390901,167.701081389 -47.249444845,167.711227347 -47.242635889,167.719272465 -47.212635884,167.689145223 -47.216944853,167.648036179 -47.225272944,167.636936192 -47.226664005,167.619754296 -47.2232639699999,167.693027218 -47.172226897,167.724400346 -47.1549999059999,167.769291305 -47.140972959,167.778045197 -47.1572179249999,167.782472351 -47.167500006,167.879118209 -47.1897179169999,167.891081364 -47.1911089779999,167.904418314 -47.1866640539999,167.956363482 -47.153326878,168.001354186 -47.1243088969999,168.042209258 -47.1116730099999,168.05303633 -47.1102819499999,168.101900312 -47.106663985,168.113863467 -47.106108935,168.144436291 -47.113617947,168.156372456 -47.115009008,168.217745255 -47.072500018,168.242736234 -47.0438909059999,168.259427286 -47.003335906,168.225527349 -46.9716640459999,168.048309272 -46.9358268839999,168.159427325 -46.909717926,168.172763436 -46.910282028,168.191927316 -46.9052730029999,168.182891289 -46.866526985,168.09551833 -46.819173087,168.054691421 -46.79194481,168.011654204 -46.730608892,167.998581452 -46.717782066,167.921909334 -46.682217986,167.798309286 -46.6883268839999,167.772900385 -46.702917934,167.757472319 -46.756390956,167.75638133 -46.8083359569999,167.766391334 -46.8238909249999,167.779145238 -46.833608904,167.792754264 -46.8468088929999,167.80218139 -46.8627819499999,167.81164523 -46.8916730299999,167.813309373 -46.90375504,167.809127306 -46.9200000069999,167.796218337 -46.9391640549999,167.740236276 -47.002499895,167.624118251 -47.1124999689999,167.543309328 -47.18721793,167.529981431 -47.201244878,167.521909323 -47.2294359009999,167.518581372 -47.265835824,167.522336297 -47.276526941),(173.563039724 -50.522972609,173.577720498 -50.5352728409999,173.592319267 -50.547614466,173.606835697 -50.559997251,173.621269447 -50.572420958,173.635620183 -50.584885357,173.649887572 -50.5973902069999,173.664071273 -50.609935271,173.678170959 -50.6225203119999,173.692186293 -50.635145091,173.706116943 -50.647809369,173.71996258 -50.660512904,173.733722873 -50.673255453,173.747397494 -50.686036771,173.760986111 -50.6988566209999,173.774489127 -50.7117142669999,173.768079256 -50.6970286289999,173.761779058 -50.682323986,173.755588648 -50.6676008319999,173.749508054 -50.65285949,173.74353731 -50.638100285,173.737676439 -50.623323544,173.731925468 -50.6085295889999,173.726284422 -50.5937187499999,173.720753314 -50.578891347,173.715332166 -50.564047708,173.710020992 -50.5491881579999,173.7048198 -50.534313023,173.699728605 -50.519422624,173.694747412 -50.5045172919999,173.68987622 -50.489597351,173.685115039 -50.474663124,173.680463861 -50.459714939,173.675922685 -50.44475312,173.671491507 -50.429777992,173.667170316 -50.4147898799999,173.662959103 -50.3997891129999,173.658857853 -50.384776011,173.654866552 -50.3697509039999,173.650985179 -50.354714115,173.647213716 -50.339665966,173.643552138 -50.3246067859999,173.64000042 -50.3095369019999,173.636558533 -50.2944566319999,173.633226447 -50.279366308,173.630004129 -50.2642662489999,173.626891545 -50.2491567819999,173.623888656 -50.2340382319999,173.62099542 -50.218910923,173.618211798 -50.2037751789999,173.615537746 -50.188631323,173.612973212 -50.1734796809999,173.610518152 -50.1583205749999,173.608172509 -50.1431543309999,173.605936234 -50.127981271,173.603809267 -50.112801718,173.60179155 -50.097615995,173.599883035 -50.082424245,173.597815429 -50.067125296,173.595858591 -50.051820124,173.594012482 -50.036509241,173.592277033 -50.0211929769999,173.590652177 -50.005871661,173.589137843 -49.9905456239999,173.58773396 -49.975215194,173.586440449 -49.959880702,173.585257236 -49.9445424749999,173.584184238 -49.9292008429999,173.583221375 -49.913856134,173.582368562 -49.8985086769999,173.581625712 -49.8831587999999,173.580992738 -49.8678068309999,173.580469546 -49.852453096,173.580056044 -49.8370979229999,173.579752138 -49.821741639,173.57955773 -49.8063845729999,173.579472718 -49.79102705,173.579497003 -49.7756693929999,173.579630478 -49.7603119299999,173.579873039 -49.744954991,173.580224576 -49.7295988929999,173.580684978 -49.714243965,173.581254136 -49.698890534,173.581931931 -49.683538921,173.58271825 -49.6681894499999,173.583612972 -49.652842446,173.584615976 -49.637498229,173.585727138 -49.6221571259999,173.586946335 -49.606819456,173.588273441 -49.5914855419999,173.589708324 -49.5761557079999,173.591250853 -49.560830272,173.592900896 -49.5455095569999,173.59465832 -49.530193883,173.596522984 -49.514883571,173.598494752 -49.499578938,173.600573478 -49.484280305,173.602759027 -49.468987993,173.605051248 -49.453702317,173.607449996 -49.438423594,173.609955123 -49.423152149,173.612566476 -49.4078882909999,173.615283904 -49.39263234,173.618107253 -49.3773846139999,173.621036367 -49.3621454239999,173.624071087 -49.34691509,173.627211253 -49.331693926,173.630456703 -49.316482246,173.633807273 -49.3012803619999,173.637262798 -49.28608859,173.640823111 -49.27090724,173.644488043 -49.255736629,173.648257421 -49.2405770669999,173.652131074 -49.2254288619999,173.656108828 -49.21029233,173.660190504 -49.1951677769999,173.664375927 -49.180055518,173.668664918 -49.164955858,173.673057291 -49.149869108,173.677552867 -49.134795574,173.682151457 -49.119735568,173.686852879 -49.104689395,173.691656941 -49.0896573589999,173.696563457 -49.074639772,173.70157223 -49.059636934,173.706683072 -49.044649152,173.711895783 -49.029676732,173.71721017 -49.014719977,173.722626035 -48.999779189,173.728143174 -48.984854672,173.733761388 -48.969946727,173.739480476 -48.955055656,173.74530023 -48.940181762,173.751220447 -48.925325342,173.757240916 -48.910486697,173.763361427 -48.8956661289999,173.769581773 -48.880863932,173.77590174 -48.866080406,173.782321111 -48.851315847,173.788839674 -48.836570555,173.795457211 -48.82184482,173.8021735 -48.807138945,173.808988326 -48.792453219,173.815901465 -48.777787937,173.822912693 -48.7631433939999,173.830021789 -48.748519883,173.837228521 -48.733917693,173.844532668 -48.7193371189999,173.851933998 -48.7047784489999,173.859432279 -48.6902419739999,173.867027283 -48.6757279839999,173.874718775 -48.6612367669999,173.882506519 -48.6467686129999,173.890390281 -48.6323238059999,173.898369824 -48.6179026359999,173.906444908 -48.6035053859999,173.914615293 -48.5891323449999,173.922880738 -48.5747837929999,173.931241 -48.560460017,173.939695836 -48.546161298,173.948244998 -48.531887921,173.95688824 -48.517640166,173.965625314 -48.5034183139999,173.974455973 -48.4892226439999,173.983379963 -48.475053439,173.992397033 -48.4609109739999,174.001506932 -48.446795531,174.010709402 -48.4327073819999,174.020004189 -48.4186468079999,174.029391035 -48.404614083,174.038869684 -48.390609484,174.048439871 -48.376633281,174.058101342 -48.362685749,174.06785383 -48.348767165,174.077697074 -48.3348777959999,174.087630811 -48.321017915,174.097654772 -48.307187792,174.107768576 -48.2933874779999,174.107180631 -48.2903547999999,174.098047719 -48.2964217379999,174.081718945 -48.3071634149999,174.065309631 -48.3178526459999,174.048820115 -48.328489169,174.032250746 -48.3390727299999,174.015601871 -48.349603068,173.998873844 -48.360079933,173.982067018 -48.3705030679999,173.965181748 -48.3808722219999,173.948218394 -48.391187148,173.931177322 -48.401447587,173.914058892 -48.411653298,173.896863474 -48.421804031,173.879591437 -48.431899535,173.862243154 -48.4419395699999,173.844819 -48.451923888,173.827319349 -48.4618522489999,173.809744588 -48.47172441,173.792095093 -48.4815401279999,173.774371252 -48.491299167,173.756573455 -48.5010012889999,173.738702088 -48.510646251,173.720757545 -48.520233826,173.702740222 -48.529763773,173.684650519 -48.539235861,173.666488834 -48.548649859,173.64825557 -48.558005535,173.629951234 -48.5673025679999,173.615822058 -48.57927798,173.601604173 -48.591208615,173.58729771 -48.603094304,173.572902945 -48.614934773,173.558420148 -48.626729742,173.543849597 -48.638478929,173.529191576 -48.650182064,173.514446363 -48.661838871,173.499614246 -48.6734490699999,173.484695511 -48.685012392,173.469690453 -48.696528562,173.454599361 -48.707997308,173.439422533 -48.719418361,173.424160267 -48.730791449,173.408812867 -48.7421163019999,173.393380636 -48.753392654,173.37786388 -48.764620238,173.36226291 -48.7757987849999,173.346578038 -48.786928033,173.330809579 -48.7980077129999,173.314957853 -48.809037566,173.299023175 -48.8200173279999,173.283005872 -48.8309467359999,173.266906271 -48.841825533,173.250724698 -48.852653459,173.234461486 -48.863430254,173.218116964 -48.874155658,173.201691476 -48.8848294219999,173.185185355 -48.895451285,173.168598943 -48.906020998,173.151932587 -48.9165383009999,173.135186636 -48.9270029469999,173.118361433 -48.937414685,173.101457333 -48.947773264,173.084474694 -48.9580784349999,173.06741387 -48.9683299509999,173.050275224 -48.978527566,173.033059112 -48.9886710329999,173.015765907 -48.998760111,172.998395974 -49.0087945569999,172.980949681 -49.018774123,172.963427403 -49.028698574,172.945829517 -49.0385676719999,172.928156397 -49.048381174,172.910408427 -49.058138844,172.892585987 -49.067840447,172.874689468 -49.077485748,172.856719253 -49.0870745139999,172.838675733 -49.0966065119999,172.820559304 -49.1060815119999,172.802370358 -49.115499281,172.784109786 -49.124859828,172.770843354 -49.1320688499999,172.757536052 -49.139246703,172.744188182 -49.1463934139999,172.728187676 -49.154924561,172.712129044 -49.1634106289999,172.696012575 -49.171851647,172.679838782 -49.1802474689999,172.661801378 -49.1900572769999,172.643688223 -49.199809578,172.625499585 -49.209504207,172.607235864 -49.219140922,172.588897467 -49.2287194849999,172.570484803 -49.2382396579999,172.551998284 -49.247701207,172.533438325 -49.257103899,172.514805338 -49.266447494,172.496099747 -49.275731766,172.477321971 -49.2849564809999,172.458472436 -49.2941214099999,172.439551567 -49.303226326,172.420559793 -49.312271004,172.401497547 -49.3212552169999,172.382365264 -49.3301787409999,172.363163381 -49.339041352,172.343892334 -49.3478428299999,172.324552569 -49.356582955,172.305144526 -49.365261512,172.285668655 -49.37387828,172.266125405 -49.3824330429999,172.246515227 -49.3909255899999,172.226838573 -49.399355707,172.207095903 -49.407723184,172.187287672 -49.416027807,172.167414348 -49.424269373,172.147476387 -49.4324476699999,172.127474258 -49.440562498,172.10740843 -49.448613651,172.087279371 -49.456600924,172.067087561 -49.46452412,172.046833467 -49.4723830359999,172.02651757 -49.480177477,172.006140352 -49.487907247,171.985702289 -49.495572147,171.965203873 -49.503171989,171.944645588 -49.510706577,171.92402792 -49.518175721,171.903351361 -49.5255792369999,171.882616408 -49.532916932,171.861823553 -49.5401886239999,171.840973295 -49.5473941289999,171.820066133 -49.554533262,171.805413594 -49.559476719,171.825960373 -49.56667687,171.846835889 -49.574067649,171.867664822 -49.5815175339999,171.888446785 -49.589026385,171.909181383 -49.596594075,171.929868228 -49.60422046,171.95050693 -49.611905409,171.971097096 -49.61964878,171.991638336 -49.627450434,172.012130266 -49.635310233,172.03257249 -49.6432280339999,172.052964625 -49.6512036939999,172.073306281 -49.659237069,172.093597068 -49.667328014,172.113836602 -49.675476385,172.134024492 -49.683682034,172.154160356 -49.691944811,172.174243803 -49.700264569,172.194274449 -49.7086411569999,172.214251908 -49.717074421,172.234175795 -49.725564214,172.254045727 -49.7341103759999,172.273861317 -49.7427127569999,172.293622182 -49.7513711999999,172.313327936 -49.760085546,172.3329782 -49.768855639,172.352572588 -49.777681319,172.372110721 -49.786562428,172.391592213 -49.7954988029999,172.411016688 -49.804490282,172.430383758 -49.813536702,172.449693047 -49.822637895,172.468944174 -49.831793702,172.48813676 -49.8410039519999,172.507270424 -49.850268475,172.52634479 -49.859587108,172.545359477 -49.8689596799999,172.564314108 -49.878386016,172.583208307 -49.887865948,172.602041696 -49.897399304,172.620813897 -49.9069859049999,172.639524536 -49.916625579,172.658173239 -49.9263181489999,172.676759628 -49.936063438,172.695283331 -49.9458612679999,172.713743973 -49.95571146,172.73214118 -49.965613831,172.750474583 -49.975568202,172.768743803 -49.9855743919999,172.786948475 -49.995632214,172.805088223 -50.005741483,172.82316268 -50.015902017,172.841171473 -50.026113626,172.859114233 -50.036376122,172.876990593 -50.046689321,172.894800181 -50.057053028,172.912542632 -50.0674670559999,172.930217575 -50.0779312079999,172.947824647 -50.088445296,172.965363481 -50.099009124,172.982833714 -50.109622497,173.000234974 -50.12028522,173.017566901 -50.130997093,173.034829132 -50.141757921,173.052021304 -50.152567505,173.06914305 -50.1634256419999,173.086194013 -50.1743321339999,173.103173829 -50.1852867759999,173.120082138 -50.196289368,173.136918579 -50.207339702,173.153682796 -50.218437577,173.170374427 -50.2295827839999,173.186993114 -50.2407751179999,173.203538501 -50.2520143679999,173.220010232 -50.2633003249999,173.236407946 -50.274632782,173.252731294 -50.2860115249999,173.268979917 -50.297436343,173.285153462 -50.308907023,173.301251577 -50.320423349,173.317273909 -50.331985107,173.333220105 -50.343592079,173.349089814 -50.355244054,173.364882685 -50.3669408059999,173.38059837 -50.37868212,173.396236519 -50.390467777,173.411796783 -50.4022975519999,173.427278816 -50.414171228,173.442682271 -50.426088577,173.4580068 -50.438049378,173.47325206 -50.450053408,173.488417706 -50.462100435,173.503503396 -50.4741902379999,173.518508783 -50.4863225829999,173.533433529 -50.498497249,173.548277289 -50.510713999,173.563039724 -50.522972609),(178.736909382 -49.7180549789999,178.80523631 -49.72609993,178.816372339 -49.723881911,178.824691377 -49.7158269019999,178.83328132 -49.669455028,178.836763497 -49.6609730449999,178.841063414 -49.633608981,178.835800417 -49.6229178629999,178.814972393 -49.613617974,178.802463408 -49.615008867,178.778591413 -49.627217947,178.754009302 -49.6430550499999,178.739136286 -49.656109026,178.727445207 -49.666664022,178.716354273 -49.6815269799999,178.71719129 -49.703608937,178.723163396 -49.713755063,178.736909382 -49.7180549789999),(166.188018277 -50.526944848,166.133881408 -50.526109004,166.123563453 -50.528055115,166.108309227 -50.536664,166.106763437 -50.5483359679999,166.116363398 -50.564164018,166.117736186 -50.5761179529999,166.089536279 -50.6656909939999,166.057191353 -50.695826954,166.039836287 -50.70777301,166.012209366 -50.711672942,166.001645318 -50.7138909609999,165.983581311 -50.720272942,165.908018286 -50.7627819319999,165.899136318 -50.771117902,165.887072413 -50.808608982,165.893036305 -50.847635961,166.000827244 -50.847500007,166.011381402 -50.845272935,166.021500371 -50.83805511,166.154418245 -50.838890954,166.20135422 -50.855564068,166.212463427 -50.858055002,166.225527294 -50.85778192,166.237872328 -50.851808975,166.247881327 -50.8395819579999,166.250545263 -50.822917896,166.229400404 -50.7541730469999,166.171354215 -50.7233269719999,166.14135421 -50.698055031,166.198854234 -50.628335869,166.242191356 -50.5994449579999,166.291927222 -50.5683358589999,166.281918224 -50.554999916,166.223572466 -50.5294448339999,166.199400399 -50.5272179299999,166.188018277 -50.526944848),(166.107727356 -50.855564068,165.927472348 -50.8543089619999,165.933027203 -50.872364084,165.973572313 -50.905272945,166.005827217 -50.9113820109999,166.086363393 -50.923617914,166.096618316 -50.923054985,166.166900239 -50.903108905,166.215381335 -50.8881269239999,166.194427248 -50.8761089509999,166.107727356 -50.855564068),(169.124663493 -52.576108956,169.161654173 -52.5780550659999,169.185518289 -52.576955025,169.226209244 -52.5652820509999,169.238163347 -52.5543089669999,169.236209357 -52.539035966,169.21691824 -52.528335963,169.209691363 -52.485835858,169.2093814 -52.4657910399999,169.212327304 -52.4581909999999,169.208009282 -52.444164053,169.174136335 -52.443326869,169.163609335 -52.445826855,169.00332723 -52.504172948,169.000109249 -52.518890899,169.007754216 -52.53611789,169.017209338 -52.548055061,169.028318377 -52.5591641,169.113009294 -52.574173071,169.124663493 -52.576108956)),((-177.864540287 -34.596823522,-177.882685287 -34.600603522,-177.900852287 -34.6043115219999,-177.919041287 -34.607946522,-177.937252287 -34.6115095219999,-177.955484287 -34.6149995219999,-177.973737287 -34.618417522,-177.992010287 -34.621763522,-178.010304287 -34.625035522,-178.028617287 -34.628235522,-178.046949287 -34.631362522,-178.065300287 -34.634416522,-178.083669287 -34.637397522,-178.102055287 -34.6403055219999,-178.120460287 -34.643140522,-178.138881287 -34.645902522,-178.157318287 -34.6485905219999,-178.175772287 -34.6512055219999,-178.194241287 -34.6537475219999,-178.212725287 -34.656215522,-178.231224287 -34.6586095219999,-178.249737287 -34.6609305219999,-178.268264287 -34.663178522,-178.286804287 -34.665351522,-178.305358287 -34.667451522,-178.323923287 -34.669477522,-178.342501287 -34.671430522,-178.361091287 -34.673308522,-178.379691287 -34.6751125219999,-178.398302287 -34.676843522,-178.416924287 -34.678499522,-178.435555287 -34.680081522,-178.454196287 -34.681589522,-178.472845287 -34.6830235219999,-178.491503287 -34.684383522,-178.510169287 -34.685669522,-178.528843287 -34.686880522,-178.547523287 -34.6880175219999,-178.566211287 -34.689080522,-178.584904287 -34.6900695219999,-178.603604287 -34.690983522,-178.622308287 -34.6918235219999,-178.641018287 -34.6925885219999,-178.659731287 -34.693279522,-178.678449288 -34.6938955219999,-178.697170288 -34.694438522,-178.715895288 -34.6949055219999,-178.734622288 -34.695298522,-178.753351288 -34.695617522,-178.772082288 -34.695861522,-178.790814288 -34.6960315219999,-178.809547288 -34.6961265219999,-178.828280288 -34.6961475219999,-178.847013288 -34.696093522,-178.865746288 -34.6959655219999,-178.884477288 -34.6957625219999,-178.903207288 -34.695485522,-178.921936288 -34.6951335219999,-178.940662288 -34.6947075219999,-178.959385288 -34.6942065219999,-178.978104288 -34.693631522,-178.996821288 -34.692982522,-179.015533288 -34.692258522,-179.034240288 -34.6914595219999,-179.052942288 -34.6905865219999,-179.071639288 -34.6896395219999,-179.090330288 -34.688618522,-179.109014288 -34.6875225219999,-179.127692288 -34.6863525219999,-179.146362288 -34.685108522,-179.165024288 -34.683789522,-179.183679288 -34.682396522,-179.202324288 -34.6809295219999,-179.220961288 -34.679388522,-179.239588288 -34.6777735219999,-179.258205288 -34.6760845219999,-179.276811288 -34.674321522,-179.295407288 -34.6724845219999,-179.313991288 -34.670573522,-179.332564288 -34.6685885219999,-179.351124288 -34.666529522,-179.369672288 -34.6643965219999,-179.388206288 -34.6621905219999,-179.406727288 -34.659910522,-179.425234288 -34.6575565219999,-179.443727288 -34.655129522,-179.462204288 -34.6526285219999,-179.480666288 -34.6500545219999,-179.499113288 -34.647407522,-179.517543288 -34.644686522,-179.535957288 -34.641892522,-179.554353288 -34.6390245219999,-179.572732288 -34.636084522,-179.591093288 -34.633071522,-179.609435288 -34.629984522,-179.627759288 -34.6268255219999,-179.646063288 -34.623593522,-179.664348288 -34.620288522,-179.682613288 -34.616910522,-179.700856288 -34.613460522,-179.719079288 -34.6099375219999,-179.737280288 -34.606342522,-179.755460289 -34.602675522,-179.773617289 -34.598935522,-179.757668289 -34.6057015219999,-179.741752288 -34.6125235219999,-179.725871288 -34.619401522,-179.710024288 -34.626335522,-179.694212288 -34.633325522,-179.678435288 -34.640371522,-179.662693288 -34.647473522,-179.646986288 -34.6546305219999,-179.631316288 -34.661843522,-179.615681288 -34.669111522,-179.600083288 -34.676435522,-179.584522288 -34.683813522,-179.568998288 -34.691246522,-179.553511288 -34.6987355219999,-179.538061288 -34.7062775219999,-179.522650288 -34.713875522,-179.507276288 -34.721527522,-179.491941288 -34.729233522,-179.476645288 -34.736993522,-179.462081288 -34.743686522,-179.447549288 -34.7504265219999,-179.433048288 -34.757214522,-179.418579288 -34.7640505219999,-179.404142288 -34.770933522,-179.389736288 -34.777863522,-179.375363288 -34.784840522,-179.358979288 -34.7923985219999,-179.342634288 -34.800016522,-179.326329288 -34.807694522,-179.310064288 -34.815432522,-179.293840288 -34.823230522,-179.277657288 -34.831087522,-179.261514288 -34.839005522,-179.245414288 -34.846981522,-179.229355288 -34.855017522,-179.213339288 -34.8631135219999,-179.197365288 -34.871267522,-179.181434288 -34.8794805219999,-179.165546288 -34.887751522,-179.149702288 -34.896081522,-179.133901288 -34.9044695219999,-179.118145288 -34.9129165219999,-179.102433288 -34.9214205219999,-179.086766288 -34.9299835219999,-179.071144288 -34.9386035219999,-179.055567288 -34.947280522,-179.040036288 -34.956015522,-179.024551288 -34.9648075219999,-179.009112288 -34.9736565219999,-178.993720288 -34.982562522,-178.978374288 -34.991525522,-178.963077288 -35.0005435219999,-178.947826288 -35.009619522,-178.932624288 -35.0187505219999,-178.917470288 -35.0279375219999,-178.902364288 -35.037180522,-178.887307288 -35.046479522,-178.872299288 -35.0558335219999,-178.857341288 -35.0652425219999,-178.842432288 -35.074707522,-178.827574288 -35.0842265219999,-178.812765288 -35.093799522,-178.798008288 -35.1034285219999,-178.783301288 -35.1131105219999,-178.768646288 -35.122847522,-178.754042288 -35.132637522,-178.739490288 -35.142482522,-178.724990288 -35.1523795219999,-178.710543288 -35.1623315219999,-178.696149288 -35.172335522,-178.681807288 -35.1823925219999,-178.667519287 -35.192502522,-178.653285287 -35.202664522,-178.639104287 -35.212879522,-178.624978287 -35.223146522,-178.610906287 -35.233465522,-178.596890287 -35.243836522,-178.582928287 -35.2542585219999,-178.569022287 -35.264731522,-178.555171287 -35.275256522,-178.541377287 -35.285832522,-178.527639287 -35.296458522,-178.513957287 -35.307135522,-178.500332287 -35.317862522,-178.486765287 -35.3286395219999,-178.473255287 -35.339466522,-178.459803287 -35.3503435219999,-178.446408287 -35.3612695219999,-178.433073287 -35.372244522,-178.419795287 -35.383268522,-178.406577287 -35.3943415219999,-178.393418287 -35.4054635219999,-178.380318287 -35.416633522,-178.367278287 -35.427851522,-178.354298287 -35.4391185219999,-178.341378287 -35.450431523,-178.328519287 -35.461793523,-178.315721287 -35.4732015229999,-178.302984287 -35.484657523,-178.290308287 -35.496159523,-178.277694287 -35.507708523,-178.265142287 -35.519303523,-178.252652287 -35.530944523,-178.240225287 -35.542632523,-178.227860287 -35.5543645229999,-178.215559287 -35.5661435229999,-178.203321287 -35.5779665229999,-178.191146287 -35.589834523,-178.179035287 -35.601748523,-178.166989287 -35.613705523,-178.155006287 -35.625707523,-178.143089287 -35.637753523,-178.131236287 -35.649842523,-178.119449287 -35.661975523,-178.107726287 -35.674151523,-178.096070287 -35.6863715229999,-178.084480287 -35.698633523,-178.072956287 -35.710938523,-178.061498287 -35.723285523,-178.050107287 -35.7356745229999,-178.038783287 -35.7481045229999,-178.027526287 -35.7605775229999,-178.016337287 -35.773090523,-178.005216287 -35.785645523,-177.994162287 -35.7982415229999,-177.983177287 -35.8108775229999,-177.972260287 -35.8235535229999,-177.961412287 -35.8362705229999,-177.950633287 -35.849026523,-177.939924287 -35.8618225229999,-177.929284287 -35.8746575229999,-177.918713287 -35.887531523,-177.908213287 -35.900444523,-177.897783287 -35.913395523,-177.887423287 -35.926385523,-177.877134287 -35.9394125229999,-177.866916287 -35.952478523,-177.856769287 -35.965581523,-177.846694287 -35.9787215229999,-177.836690287 -35.991898523,-177.826758287 -36.005111523,-177.816899287 -36.018361523,-177.807112287 -36.0316475229999,-177.797397287 -36.044969523,-177.787755287 -36.0583275229999,-177.778186287 -36.071720523,-177.768691287 -36.0851485229999,-177.759269287 -36.0986115229999,-177.749921287 -36.112108523,-177.740646287 -36.125640523,-177.731446287 -36.1392055229999,-177.722321287 -36.152805523,-177.713270287 -36.166437523,-177.704294287 -36.180103523,-177.695393287 -36.1938025229999,-177.686567287 -36.2075335229999,-177.677817287 -36.221297523,-177.669142287 -36.2350935229999,-177.660544287 -36.248920523,-177.652022287 -36.2627795229999,-177.643576287 -36.276669523,-177.635206287 -36.2905905229999,-177.626914287 -36.304542523,-177.618698287 -36.318524523,-177.610560287 -36.3325365229999,-177.602499286 -36.3465785229999,-177.594515286 -36.3606505229999,-177.586610286 -36.3747505229999,-177.578782286 -36.388880523,-177.571033286 -36.403038523,-177.563362286 -36.417224523,-177.555770286 -36.4314395229999,-177.548257286 -36.445681523,-177.540822286 -36.459951523,-177.533467286 -36.474248523,-177.526191286 -36.488572523,-177.518995286 -36.5029225229999,-177.511879286 -36.517299524,-177.504842286 -36.531702524,-177.497886286 -36.546130524,-177.491010286 -36.560584524,-177.484215286 -36.575063524,-177.477500286 -36.589567524,-177.470867286 -36.6040955239999,-177.464314286 -36.618648524,-177.457842286 -36.633225524,-177.451452286 -36.647825524,-177.445144286 -36.662448524,-177.438918286 -36.677095524,-177.432773286 -36.691764524,-177.426710286 -36.706456524,-177.420730286 -36.7211705239999,-177.414833286 -36.735905524,-177.409018286 -36.7506625239999,-177.403285286 -36.765441524,-177.397636286 -36.780240524,-177.392070286 -36.795060524,-177.386587286 -36.8099005239999,-177.381188286 -36.8247605239999,-177.375872286 -36.8396405239999,-177.370640286 -36.854539524,-177.365492286 -36.869457524,-177.360428286 -36.884394524,-177.355449286 -36.8993495239999,-177.350553286 -36.9143235239999,-177.345743286 -36.9293145239999,-177.341017286 -36.944323524,-177.336375286 -36.9593495239999,-177.331819286 -36.9743925239999,-177.327348286 -36.9894525239999,-177.322962286 -37.004527524,-177.318662286 -37.019619524,-177.314447286 -37.034726524,-177.310318286 -37.049849524,-177.306275286 -37.0649875239999,-177.302317286 -37.0801395239999,-177.298446286 -37.095306524,-177.294661286 -37.110486524,-177.290963286 -37.125681524,-177.287350286 -37.1408895239999,-177.283825286 -37.156110524,-177.280386286 -37.171343524,-177.277034286 -37.1865905239999,-177.273769286 -37.201848524,-177.270592286 -37.2171185239999,-177.267501286 -37.232400524,-177.264498286 -37.2476925239999,-177.261582286 -37.262996524,-177.258754286 -37.2783105239999,-177.256014286 -37.293634524,-177.253361286 -37.308969524,-177.250796286 -37.3243135239999,-177.248319286 -37.3396665239999,-177.245931286 -37.355027524,-177.243630286 -37.3703985239999,-177.241418286 -37.3857775239999,-177.239295286 -37.401163524,-177.237260286 -37.416558524,-177.235313286 -37.431959524,-177.233455286 -37.447368524,-177.231686286 -37.462783524,-177.230006286 -37.478205524,-177.228415286 -37.493632524,-177.226913286 -37.5090655239999,-177.225501286 -37.524504524,-177.224177286 -37.539947524,-177.222943286 -37.5553955239999,-177.221798286 -37.570848524,-177.220743286 -37.586304524,-177.219777286 -37.601764525,-177.218901286 -37.617228525,-177.218115286 -37.632694525,-177.217418286 -37.648163525,-177.216812286 -37.663635525,-177.216295286 -37.6791085249999,-177.215869286 -37.694583525,-177.215532286 -37.710060525,-177.215285286 -37.7255385249999,-177.215129286 -37.741016525,-177.215063286 -37.7564955249999,-177.215088286 -37.771973525,-177.215202286 -37.7874525249999,-177.215407286 -37.802930525,-177.215703286 -37.8184065249999,-177.216089286 -37.833882525,-177.216566286 -37.849356525,-177.217133286 -37.864828525,-177.217791286 -37.8802985249999,-177.218540286 -37.8957655249999,-177.219379286 -37.911229525,-177.220310286 -37.926689525,-177.221331286 -37.9421475249999,-177.222443286 -37.957600525,-177.223646286 -37.973049525,-177.224939286 -37.988493525,-177.226324286 -38.003932525,-177.227800286 -38.019366525,-177.229366286 -38.0347955249999,-177.231024286 -38.0502175249999,-177.232773286 -38.065633525,-177.234613286 -38.0810425249999,-177.236544286 -38.096445525,-177.238566286 -38.1118405249999,-177.240679286 -38.127228525,-177.242884286 -38.142607525,-177.245179286 -38.157978525,-177.247566286 -38.173341525,-177.250044286 -38.188694525,-177.252613286 -38.204039525,-177.255273286 -38.219373525,-177.258024286 -38.2346985249999,-177.260866286 -38.2500125249999,-177.263800286 -38.2653165249999,-177.266825286 -38.2806085249999,-177.269941286 -38.2958905249999,-177.273148286 -38.3111595249999,-177.276446286 -38.326417525,-177.279835286 -38.3416625249999,-177.283315286 -38.356895525,-177.286887286 -38.372114525,-177.290549286 -38.3873215249999,-177.294303286 -38.402513525,-177.298147286 -38.417692525,-177.302083286 -38.432856525,-177.306109286 -38.448005525,-177.310226286 -38.463140525,-177.314434286 -38.4782595249999,-177.318733286 -38.493363525,-177.323123286 -38.5084505249999,-177.327604286 -38.523521525,-177.332175286 -38.5385765249999,-177.336837286 -38.5536135249999,-177.341589286 -38.5686335249999,-177.346433286 -38.583635525,-177.351366286 -38.5986205249999,-177.356390286 -38.613586525,-177.361505286 -38.628533525,-177.366710286 -38.643461525,-177.372005286 -38.658370525,-177.377391286 -38.673259526,-177.382867286 -38.688129526,-177.388432286 -38.702978526,-177.394088286 -38.7178065259999,-177.399834286 -38.732613526,-177.405670286 -38.747399526,-177.411596286 -38.7621635259999,-177.417611286 -38.776905526,-177.420038286 -38.792097526,-177.422555286 -38.8072805259999,-177.425163286 -38.8224545259999,-177.427860286 -38.837618526,-177.430647286 -38.852772526,-177.433525286 -38.8679155259999,-177.435759286 -38.8830165259999,-177.438082286 -38.8981085259999,-177.440494286 -38.9131925259999,-177.442995286 -38.928267526,-177.445585286 -38.9433335259999,-177.448263286 -38.958390526,-177.451031286 -38.9734365259999,-177.453887286 -38.988473526,-177.456832286 -39.003499526,-177.459866286 -39.0185155259999,-177.462989286 -39.033519526,-177.466201286 -39.048512526,-177.469502286 -39.0634935259999,-177.472891286 -39.078463526,-177.476369286 -39.0934205259999,-177.479936286 -39.1083645259999,-177.483592286 -39.1232965259999,-177.487337286 -39.138214526,-177.491170286 -39.153118526,-177.495092286 -39.1680095259999,-177.499103286 -39.1828865259999,-177.503202286 -39.1977475259999,-177.507390286 -39.212595526,-177.511667286 -39.2274265259999,-177.516032286 -39.242243526,-177.520486286 -39.257043526,-177.525028286 -39.271828526,-177.529659286 -39.286596526,-177.534378286 -39.301347526,-177.539185286 -39.3160815259999,-177.544081286 -39.330798526,-177.549064286 -39.345497526,-177.554137286 -39.360178526,-177.559297286 -39.374841526,-177.564545286 -39.3894855259999,-177.569882286 -39.404110526,-177.575306286 -39.418716526,-177.580818286 -39.433302526,-177.586418286 -39.447868526,-177.592106286 -39.462414526,-177.597882286 -39.476940526,-177.603745287 -39.491445526,-177.608941287 -39.505909526,-177.614222287 -39.5203555259999,-177.619589287 -39.534782526,-177.625043287 -39.549190526,-177.630582287 -39.563579526,-177.636207287 -39.5779485259999,-177.641917287 -39.592297526,-177.647714287 -39.606625526,-177.653596287 -39.6209335259999,-177.659563287 -39.635220526,-177.665616287 -39.649486526,-177.671755287 -39.6637305259999,-177.677979287 -39.677952526,-177.684288287 -39.692152526,-177.690682287 -39.7063305259999,-177.697161287 -39.7204855259999,-177.703725287 -39.734617526,-177.710375287 -39.748726527,-177.717108287 -39.7628115269999,-177.723927287 -39.776872527,-177.730831287 -39.7909095269999,-177.737818287 -39.804921527,-177.744891287 -39.818908527,-177.752047287 -39.832871527,-177.759288287 -39.846807527,-177.766613287 -39.860719527,-177.774023287 -39.874604527,-177.781516287 -39.8884635269999,-177.789093287 -39.902295527,-177.796753287 -39.916100527,-177.804497287 -39.929878527,-177.812442287 -39.944110527,-177.820476287 -39.958312527,-177.828598287 -39.9724865269999,-177.836809287 -39.9866295269999,-177.841332287 -40.0004925269999,-177.845151287 -40.015053527,-177.849056287 -40.029600527,-177.853046287 -40.044134527,-177.857122287 -40.0586535269999,-177.861284287 -40.073159527,-177.865532287 -40.0876505269999,-177.869866287 -40.1021265269999,-177.874285287 -40.116587527,-177.878790287 -40.1310335269999,-177.883380287 -40.145462527,-177.888056287 -40.1598765269999,-177.892817287 -40.174273527,-177.897664287 -40.188654527,-177.902596287 -40.203018527,-177.907614287 -40.217365527,-177.912717287 -40.2316945269999,-177.917905287 -40.246005527,-177.923179287 -40.260298527,-177.903508287 -40.256969527,-177.883818287 -40.253706527,-177.864111287 -40.250510527,-177.844387287 -40.247380527,-177.824646287 -40.244317527,-177.804888287 -40.241320527,-177.785114287 -40.238390527,-177.765325287 -40.2355265269999,-177.745520287 -40.2327305269999,-177.725700287 -40.230000527,-177.705865287 -40.227337527,-177.686016287 -40.2247405269999,-177.666153287 -40.222211527,-177.646277287 -40.219749527,-177.626387287 -40.2173535269999,-177.606484287 -40.215025527,-177.586569286 -40.2127645269999,-177.566642286 -40.210570527,-177.546703286 -40.2084435269999,-177.526752286 -40.206384527,-177.506791286 -40.204392527,-177.486819286 -40.202467527,-177.466836286 -40.200609527,-177.446844286 -40.198819527,-177.426842286 -40.197096527,-177.406831286 -40.195441527,-177.386811286 -40.1938535269999,-177.366783286 -40.192333527,-177.346747286 -40.1908805269999,-177.326702286 -40.189495527,-177.306651286 -40.1881775269999,-177.286593286 -40.186927527,-177.266527286 -40.1857445269999,-177.246456286 -40.184630527,-177.226379286 -40.1835835269999,-177.206296286 -40.182603527,-177.186208286 -40.1816915269999,-177.166116286 -40.180847527,-177.146019286 -40.1800715269999,-177.125918286 -40.179363527,-177.105813286 -40.1787225269999,-177.085705286 -40.178149527,-177.065594286 -40.177644527,-177.045481286 -40.177207527,-177.025365286 -40.176837527,-177.005247286 -40.1765365269999,-176.985128286 -40.176302527,-176.965008286 -40.176136527,-176.944888286 -40.1760385269999,-176.924767286 -40.176007527,-176.904645286 -40.176045527,-176.884525286 -40.1761505269999,-176.864405286 -40.176324527,-176.844286286 -40.176565527,-176.824169286 -40.1768735269999,-176.804053286 -40.177250527,-176.783940286 -40.177694527,-176.763829286 -40.178207527,-176.743722286 -40.1787875269999,-176.723617286 -40.179435527,-176.703517286 -40.180150527,-176.683420286 -40.180934527,-176.663328286 -40.1817855269999,-176.643241286 -40.1827045269999,-176.623158286 -40.183690527,-176.603082286 -40.184745527,-176.583011286 -40.185867527,-176.562947286 -40.187056527,-176.542889286 -40.1883135269999,-176.522838285 -40.1896385269999,-176.502795285 -40.191031527,-176.482760285 -40.192491527,-176.462732285 -40.194018527,-176.442713285 -40.195613527,-176.422703285 -40.197276527,-176.402702285 -40.1990065269999,-176.382711285 -40.2008035269999,-176.362730285 -40.202668527,-176.342759285 -40.204600527,-176.322798285 -40.206599527,-176.302849285 -40.2086665269999,-176.282911285 -40.2108005269999,-176.262985285 -40.213001527,-176.243071285 -40.215269527,-176.223170285 -40.2176045269999,-176.203282285 -40.220007527,-176.183407285 -40.222476527,-176.163545285 -40.2250125269999,-176.143697285 -40.227616527,-176.123864285 -40.230286527,-176.104046285 -40.2330235269999,-176.084243285 -40.235827527,-176.064455285 -40.2386975269999,-176.044683285 -40.241635527,-176.024927285 -40.244638527,-176.005187285 -40.247709527,-175.985465285 -40.250846527,-175.965760285 -40.254049527,-175.946072285 -40.2573195269999,-175.926403285 -40.260655527,-175.906752285 -40.264057527,-175.887119285 -40.267526527,-175.867506285 -40.271061527,-175.847912285 -40.274662527,-175.828338285 -40.278328527,-175.808785285 -40.2820615269999,-175.789251285 -40.285860527,-175.769739285 -40.289724527,-175.750248285 -40.2936545269999,-175.730779285 -40.297650527,-175.711331285 -40.301711527,-175.691906285 -40.3058385269999,-175.672504285 -40.310031527,-175.653125285 -40.314288527,-175.633769285 -40.318611527,-175.614437285 -40.322999527,-175.595130285 -40.3274535269999,-175.575846285 -40.331971527,-175.556588285 -40.336554527,-175.537355285 -40.341202527,-175.518148285 -40.3459155269999,-175.498966285 -40.350693527,-175.479811285 -40.355535527,-175.460682285 -40.360442527,-175.441581284 -40.3654135269999,-175.422507284 -40.370448527,-175.403461284 -40.375548527,-175.384443284 -40.380712527,-175.365453284 -40.3859395269999,-175.346492284 -40.3912315269999,-175.327561284 -40.396587527,-175.308659284 -40.402006527,-175.289787284 -40.4074895269999,-175.270945284 -40.413036527,-175.252133284 -40.418646527,-175.233353284 -40.424319527,-175.214604284 -40.430055527,-175.195887284 -40.4358555269999,-175.177202284 -40.441718527,-175.158549284 -40.447643527,-175.139929284 -40.453632527,-175.121342284 -40.459683527,-175.102788284 -40.465796527,-175.084269284 -40.4719725269999,-175.065783284 -40.478211527,-175.047332284 -40.4845115269999,-175.028916284 -40.490874527,-175.010535284 -40.4972995269999,-174.992189284 -40.5037855269999,-174.973880284 -40.5103345269999,-174.955607284 -40.516943527,-174.937370284 -40.5236155269999,-174.919170284 -40.5303475269999,-174.899737284 -40.534702527,-174.880328284 -40.539122527,-174.860943284 -40.5436075269999,-174.841583284 -40.5481575269999,-174.822248284 -40.5527735269999,-174.802939284 -40.557453527,-174.783656284 -40.562198527,-174.764399284 -40.567008527,-174.745168284 -40.571883527,-174.725965284 -40.5768225269999,-174.706789284 -40.581826527,-174.687640284 -40.586894527,-174.668520284 -40.592027527,-174.649428284 -40.597223527,-174.630364284 -40.6024845269999,-174.611330284 -40.607809527,-174.592326284 -40.613198527,-174.573351284 -40.6186515269999,-174.554406284 -40.6241685269999,-174.535492284 -40.6297485269999,-174.516609284 -40.635391527,-174.497757284 -40.6410995269999,-174.478937284 -40.646869527,-174.460149284 -40.652703527,-174.441393284 -40.658599527,-174.422670284 -40.6645595269999,-174.403980284 -40.670582527,-174.385323284 -40.676667527,-174.366700283 -40.6828155269999,-174.348112283 -40.689026527,-174.329557283 -40.695299527,-174.311038283 -40.701634527,-174.292554283 -40.7080325269999,-174.274105283 -40.7144925269999,-174.255692283 -40.721013527,-174.237316283 -40.7275975269999,-174.218976283 -40.7342425269999,-174.200673283 -40.7409485269999,-174.182407283 -40.747716527,-174.164179283 -40.7545465269999,-174.145989283 -40.7614375269999,-174.127837283 -40.768388527,-174.109724283 -40.775401527,-174.091651283 -40.782475527,-174.073616283 -40.789609527,-174.055621283 -40.796803527,-174.037667283 -40.8040585269999,-174.019752283 -40.8113745279999,-174.001879283 -40.818749528,-173.984047283 -40.8261855279999,-173.966256283 -40.8336805279999,-173.948507283 -40.841235528,-173.930800283 -40.848850528,-173.913136283 -40.856524528,-173.895515283 -40.8642575279999,-173.877936283 -40.8720505279999,-173.860402283 -40.8799015279999,-173.842911283 -40.887812528,-173.825465283 -40.8957815279999,-173.808063283 -40.903808528,-173.790706283 -40.9118945279999,-173.773394283 -40.920038528,-173.756128283 -40.9282415279999,-173.738908283 -40.936501528,-173.721734283 -40.944819528,-173.704606283 -40.953194528,-173.687526283 -40.961627528,-173.670493283 -40.9701185279999,-173.653508283 -40.978665528,-173.636570283 -40.987270528,-173.619681283 -40.995931528,-173.602841283 -41.004649528,-173.586049283 -41.013423528,-173.569307283 -41.022254528,-173.552615283 -41.031141528,-173.535972283 -41.040084528,-173.519380283 -41.049083528,-173.502839283 -41.058137528,-173.486348283 -41.0672475279999,-173.469909283 -41.0764125279999,-173.453521283 -41.085632528,-173.437186283 -41.094907528,-173.420902283 -41.1042375279999,-173.404672283 -41.113622528,-173.388494283 -41.1230615279999,-173.372370283 -41.132554528,-173.356299283 -41.142102528,-173.340282283 -41.151703528,-173.324320283 -41.1613585279999,-173.308412282 -41.171066528,-173.292558282 -41.180828528,-173.276761282 -41.190643528,-173.261018282 -41.2005105279999,-173.245332282 -41.210431528,-173.229702282 -41.220404528,-173.214128282 -41.2304305279999,-173.198612282 -41.240507528,-173.183152282 -41.250637528,-173.167750282 -41.260818528,-173.152406282 -41.271052528,-173.135660282 -41.280036528,-173.118964282 -41.289077528,-173.102320282 -41.2981745279999,-173.085728282 -41.307327528,-173.069187282 -41.316535528,-173.052699282 -41.3257995279999,-173.036263282 -41.335118528,-173.019880282 -41.3444925279999,-173.003550282 -41.3539215279999,-172.987274282 -41.3634055279999,-172.971052282 -41.372943528,-172.954884282 -41.3825355279999,-172.938770282 -41.392182528,-172.922712282 -41.401883528,-172.906708282 -41.411637528,-172.890760282 -41.4214455279999,-172.874868282 -41.4313075279999,-172.859032282 -41.441222528,-172.843253282 -41.4511895279999,-172.827531282 -41.461210528,-172.811865282 -41.471283528,-172.796257282 -41.481409528,-172.780707282 -41.491587528,-172.765216282 -41.5018175279999,-172.749782282 -41.512099528,-172.734407282 -41.522433528,-172.719092282 -41.532818528,-172.703836282 -41.543254528,-172.688639282 -41.5537415279999,-172.673503282 -41.564280528,-172.658427282 -41.574869528,-172.643412282 -41.5855085279999,-172.628458282 -41.5961985279999,-172.613565282 -41.6069385279999,-172.598734282 -41.6177275279999,-172.583965282 -41.628567528,-172.569258282 -41.639455528,-172.554613282 -41.6503935279999,-172.540032282 -41.6613805279999,-172.525514282 -41.672416528,-172.511059282 -41.683500528,-172.496668282 -41.6946335279999,-172.482341282 -41.705814528,-172.468079282 -41.717042528,-172.453882282 -41.7283195279999,-172.439749282 -41.7396435279999,-172.425682282 -41.751014528,-172.411681282 -41.762432528,-172.397746282 -41.773898528,-172.383877282 -41.7854095279999,-172.370074282 -41.796967528,-172.356339282 -41.808572528,-172.342670282 -41.8202225279999,-172.329070282 -41.831918528,-172.315536282 -41.8436595279999,-172.302072282 -41.855446528,-172.288675282 -41.867278528,-172.275347282 -41.879154528,-172.262088282 -41.891076529,-172.248899282 -41.903041529,-172.235779282 -41.915050529,-172.222729281 -41.927104529,-172.209749281 -41.9392015289999,-172.196839281 -41.9513415289999,-172.184001281 -41.963525529,-172.171233281 -41.975751529,-172.158537281 -41.988020529,-172.145912281 -42.0003325289999,-172.133359281 -42.012686529,-172.120878281 -42.025081529,-172.108470281 -42.037519529,-172.096135281 -42.0499985289999,-172.083872281 -42.0625185289999,-172.071683281 -42.0750795289999,-172.059568281 -42.087681529,-172.047526281 -42.100323529,-172.035559281 -42.113005529,-172.023666281 -42.125728529,-172.011848281 -42.138490529,-172.000105281 -42.1512925289999,-171.988437281 -42.164133529,-171.976844281 -42.177012529,-171.965328281 -42.189931529,-171.953887281 -42.2028885289999,-171.942523281 -42.2158835289999,-171.931236281 -42.2289165289999,-171.920025281 -42.241987529,-171.908892281 -42.255095529,-171.897836281 -42.268241529,-171.886858281 -42.2814235289999,-171.875958281 -42.2946425289999,-171.865136281 -42.3078975289999,-171.854392281 -42.321189529,-171.843727281 -42.334516529,-171.833141281 -42.347879529,-171.822635281 -42.3612775289999,-171.812208281 -42.374711529,-171.801861281 -42.388179529,-171.791594281 -42.401681529,-171.781407281 -42.415218529,-171.771301281 -42.428789529,-171.761275281 -42.442393529,-171.751331281 -42.456031529,-171.741468281 -42.469702529,-171.731687281 -42.483406529,-171.721987281 -42.497143529,-171.712369281 -42.5109125289999,-171.702834281 -42.5247135289999,-171.693381281 -42.538546529,-171.684011281 -42.552410529,-171.674724281 -42.566306529,-171.665521281 -42.5802325289999,-171.656400281 -42.5941895289999,-171.647364281 -42.6081775289999,-171.638411281 -42.622194529,-171.629543281 -42.636242529,-171.620759281 -42.6503195289999,-171.612060281 -42.664425529,-171.603446281 -42.678561529,-171.594917281 -42.692724529,-171.586474281 -42.706917529,-171.578116281 -42.721137529,-171.569843281 -42.735386529,-171.561657281 -42.749661529,-171.553557281 -42.763964529,-171.545544281 -42.7782955289999,-171.537617281 -42.792651529,-171.529778281 -42.807034529,-171.522025281 -42.821443529,-171.514360281 -42.835878529,-171.506782281 -42.8503395289999,-171.499293281 -42.864825529,-171.491891281 -42.8793355289999,-171.484577281 -42.893870529,-171.477352281 -42.9084305289999,-171.470216281 -42.9230135289999,-171.463169281 -42.937621529,-171.456210281 -42.952251529,-171.449341281 -42.96690553,-171.442561281 -42.98158253,-171.435871281 -42.99628153,-171.429271281 -43.01100253,-171.422761281 -43.0257465299999,-171.416341281 -43.0405105299999,-171.410012281 -43.05529753,-171.403773281 -43.07010453,-171.397625281 -43.0849325299999,-171.391569281 -43.09978053,-171.385603281 -43.11464953,-171.379729281 -43.1295375299999,-171.373947281 -43.14444553,-171.368256281 -43.15937253,-171.362657281 -43.1743175299999,-171.357151281 -43.18928253,-171.351736281 -43.2042645299999,-171.346415281 -43.21926553,-171.341186281 -43.23428353,-171.336050281 -43.24931853,-171.331007281 -43.2643715299999,-171.326057281 -43.2794405299999,-171.321200281 -43.29452653,-171.316437281 -43.3096275299999,-171.311768281 -43.32474553,-171.307193281 -43.33987753,-171.302712281 -43.35502553,-171.298325281 -43.37018853,-171.294032281 -43.3853655299999,-171.289834281 -43.40055753,-171.285731281 -43.4157625299999,-171.281723281 -43.4309815299999,-171.277809281 -43.44621353,-171.273991281 -43.46145853,-171.270268281 -43.47671653,-171.266640281 -43.49198553,-171.263108281 -43.50726753,-171.259672281 -43.52256153,-171.256332281 -43.53786553,-171.253088281 -43.55318153,-171.249940281 -43.56850753,-171.246888281 -43.58384453,-171.243933281 -43.59919153,-171.241075281 -43.61454753,-171.238313281 -43.62991353,-171.235648281 -43.64528853,-171.233080281 -43.6606715299999,-171.230609281 -43.67606353,-171.228235281 -43.69146353,-171.225959281 -43.7068715299999,-171.223780281 -43.72228653,-171.221699281 -43.73770853,-171.219716281 -43.7531375299999,-171.217830281 -43.76857353,-171.216043281 -43.78401453,-171.214353281 -43.79946253,-171.212762281 -43.81491553,-171.211269281 -43.83037253,-171.209874281 -43.8458355299999,-171.208578281 -43.8613025299999,-171.207381281 -43.87677453,-171.206282281 -43.89224953,-171.205282281 -43.9077275299999,-171.204381281 -43.92320953,-171.203579281 -43.93869453,-171.202877281 -43.95418153,-171.202273281 -43.96967053,-171.201769281 -43.98516153,-171.201364281 -44.00065353,-171.201058281 -44.01614753,-171.200852281 -44.0316415309999,-171.200746281 -44.047136531,-171.200739281 -44.062631531,-171.200833281 -44.078126531,-171.201026281 -44.0936205309999,-171.201319281 -44.1091145309999,-171.201712281 -44.124606531,-171.202205281 -44.140097531,-171.202798281 -44.155586531,-171.203492281 -44.1710725309999,-171.204285281 -44.186556531,-171.205180281 -44.202038531,-171.206174281 -44.2175165309999,-171.207269281 -44.232990531,-171.208465281 -44.248461531,-171.209761281 -44.263927531,-171.211158281 -44.2793895309999,-171.212655281 -44.294846531,-171.214253281 -44.3102985309999,-171.215952281 -44.3257445309999,-171.217751281 -44.341185531,-171.217219281 -44.356315531,-171.216782281 -44.3714475309999,-171.216441281 -44.3865815309999,-171.216196281 -44.401715531,-171.216046281 -44.416849531,-171.215992281 -44.431984531,-171.216034281 -44.4471195309999,-171.216171281 -44.462254531,-171.216405281 -44.477388531,-171.216734281 -44.492521531,-171.217160281 -44.507653531,-171.217682281 -44.522783531,-171.218300281 -44.537912531,-171.219014281 -44.553038531,-171.219824281 -44.5681615309999,-171.220731281 -44.583282531,-171.221735281 -44.598400531,-171.222835281 -44.613514531,-171.224031281 -44.628625531,-171.225324281 -44.643731531,-171.226714281 -44.658833531,-171.228200281 -44.6739305309999,-171.229783281 -44.689022531,-171.231463281 -44.704109531,-171.233240281 -44.719190531,-171.235148281 -44.7346075309999,-171.237157281 -44.750016531,-171.239268281 -44.765419531,-171.241480281 -44.780815531,-171.243793281 -44.7962035309999,-171.246208281 -44.8115835309999,-171.248725281 -44.826955531,-171.251343281 -44.8423195309999,-171.254062281 -44.8576735309999,-171.256883281 -44.873018531,-171.259806281 -44.8883545309999,-171.262830281 -44.903680531,-171.265956281 -44.918995531,-171.269184281 -44.934300531,-171.272513281 -44.9495945309999,-171.275943281 -44.964877531,-171.279476281 -44.9801485309999,-171.283110281 -44.995407531,-171.286846281 -45.0106545309999,-171.290683281 -45.025888531,-171.294622281 -45.041109531,-171.298663281 -45.0563175309999,-171.302805281 -45.0715115309999,-171.307049281 -45.086691531,-171.311395281 -45.101857531,-171.315842281 -45.1170095319999,-171.320390281 -45.132145532,-171.325041281 -45.1472665319999,-171.329793281 -45.1623725319999,-171.334646281 -45.1774615319999,-171.339601281 -45.192534532,-171.344657281 -45.207590532,-171.349815281 -45.222630532,-171.355074281 -45.237652532,-171.360434281 -45.2526565319999,-171.365896281 -45.267642532,-171.371459281 -45.282610532,-171.377123281 -45.297560532,-171.382889281 -45.312490532,-171.388755281 -45.327401532,-171.394723281 -45.3422925319999,-171.400791281 -45.357163532,-171.406961281 -45.372014532,-171.413231281 -45.3868445319999,-171.419603281 -45.401653532,-171.426075281 -45.416440532,-171.432648281 -45.431206532,-171.439321281 -45.445950532,-171.446095281 -45.4606715319999,-171.452970281 -45.4753705319999,-171.459945281 -45.490046532,-171.467020281 -45.504698532,-171.474196281 -45.519327532,-171.481471281 -45.5339315319999,-171.488847281 -45.548511532,-171.496323281 -45.5630675319999,-171.503899281 -45.577597532,-171.511574281 -45.592102532,-171.519349281 -45.606581532,-171.527224281 -45.621034532,-171.535199281 -45.635461532,-171.543272281 -45.6498615319999,-171.551446281 -45.664234532,-171.559718281 -45.678580532,-171.568089281 -45.692898532,-171.576559281 -45.707188532,-171.585129281 -45.7214505319999,-171.593796281 -45.7356835319999,-171.602563281 -45.7498875319999,-171.611428281 -45.764061532,-171.620391281 -45.778206532,-171.629452281 -45.792321532,-171.638612281 -45.806406532,-171.647869281 -45.820460532,-171.657225281 -45.834483532,-171.666678281 -45.848475532,-171.676228281 -45.8624355319999,-171.685876281 -45.876363532,-171.695621281 -45.890259532,-171.705463281 -45.904122532,-171.715402281 -45.917952532,-171.725438281 -45.931749532,-171.735570281 -45.945513532,-171.745799281 -45.959243532,-171.756124281 -45.9729385319999,-171.766545281 -45.986599532,-171.777062281 -46.0002255319999,-171.787675281 -46.013816532,-171.798383281 -46.027372532,-171.809187281 -46.0408925319999,-171.820086281 -46.0543755319999,-171.831080281 -46.067822532,-171.842168281 -46.0812335319999,-171.853352281 -46.0946065319999,-171.864630281 -46.107942532,-171.876002281 -46.1212415319999,-171.887468281 -46.1345015319999,-171.899028281 -46.1477235319999,-171.910682281 -46.160906532,-171.922429281 -46.174051532,-171.934269281 -46.187156533,-171.946202281 -46.2002225329999,-171.958229281 -46.213247533,-171.970347281 -46.226233533,-171.982559281 -46.239178533,-171.994862281 -46.252082533,-172.007257281 -46.2649465329999,-172.019744281 -46.277767533,-172.032322281 -46.2905485329999,-172.044992281 -46.3032865329999,-172.057752281 -46.315982533,-172.070604281 -46.328635533,-172.083546281 -46.3412455329999,-172.096578281 -46.3538125329999,-172.109700281 -46.366336533,-172.122912281 -46.378815533,-172.136213281 -46.3912515329999,-172.149604281 -46.403642533,-172.163083281 -46.415989533,-172.176652281 -46.4282905329999,-172.190309281 -46.440546533,-172.204054281 -46.452757533,-172.217887281 -46.4649225329999,-172.231807281 -46.477040533,-172.245815282 -46.489112533,-172.259910282 -46.501137533,-172.274092282 -46.513116533,-172.288361282 -46.525046533,-172.302716282 -46.536930533,-172.317156282 -46.5487655329999,-172.331683282 -46.560552533,-172.346295282 -46.5722915329999,-172.360992282 -46.583981533,-172.375773282 -46.595621533,-172.390640282 -46.6072135329999,-172.405590282 -46.618755533,-172.420624282 -46.6302475329999,-172.435742282 -46.641688533,-172.450943282 -46.653080533,-172.466227282 -46.6644205329999,-172.481594282 -46.675710533,-172.497043282 -46.686948533,-172.512574282 -46.698135533,-172.528186282 -46.7092705329999,-172.543880282 -46.720353533,-172.559655282 -46.731383533,-172.575511282 -46.742361533,-172.591446282 -46.7532865329999,-172.607462282 -46.7641575329999,-172.623558282 -46.774976533,-172.639733282 -46.785740533,-172.655986282 -46.796451533,-172.672319282 -46.807107533,-172.688729282 -46.817709533,-172.705218282 -46.8282565329999,-172.721784282 -46.8387485329999,-172.738427282 -46.849185533,-172.755147282 -46.859566533,-172.771943282 -46.869892533,-172.788816282 -46.880161533,-172.805764282 -46.8903745329999,-172.822788282 -46.9005315329999,-172.839886282 -46.910631533,-172.857059282 -46.920673533,-172.874307282 -46.930659533,-172.891628282 -46.940587533,-172.909022282 -46.950457533,-172.926490282 -46.960269533,-172.944030282 -46.970023533,-172.961643282 -46.979718533,-172.979327282 -46.989355533,-172.997083282 -46.998932533,-173.014910282 -47.008451533,-173.032807282 -47.017910533,-173.050775282 -47.0273095329999,-173.068813282 -47.0366485329999,-173.086920282 -47.0459275329999,-173.105096282 -47.055146533,-173.123341282 -47.064304533,-173.141654282 -47.073401533,-173.160035282 -47.082437533,-173.178483282 -47.091412533,-173.196998282 -47.1003255329999,-173.215579282 -47.109176533,-173.234227282 -47.117966533,-173.252940282 -47.126693533,-173.271718282 -47.1353585329999,-173.290561282 -47.143960533,-173.309469283 -47.152500533,-173.328440283 -47.1609765329999,-173.347475283 -47.169389533,-173.366573283 -47.177739533,-173.385733283 -47.186024533,-173.404956283 -47.194246533,-173.424240283 -47.2024045329999,-173.443585283 -47.210498533,-173.462991283 -47.218527533,-173.482458283 -47.2264915329999,-173.501984283 -47.234390533,-173.521569283 -47.242225533,-173.541214283 -47.249993533,-173.560917283 -47.2576975339999,-173.580677283 -47.265334534,-173.600496283 -47.272906534,-173.620371283 -47.2804125339999,-173.640303283 -47.287851534,-173.660291283 -47.2952245339999,-173.680334283 -47.302530534,-173.700433283 -47.3097705339999,-173.720586283 -47.316942534,-173.740793283 -47.3240475339999,-173.761054283 -47.331085534,-173.781368283 -47.338055534,-173.801735283 -47.3449585339999,-173.822154283 -47.351792534,-173.842624283 -47.3585595339999,-173.863146283 -47.365257534,-173.883718283 -47.3718875339999,-173.904341283 -47.378448534,-173.925013283 -47.384940534,-173.945734283 -47.3913645339999,-173.966504283 -47.397718534,-173.987322283 -47.404003534,-174.008188283 -47.410219534,-174.029101283 -47.416365534,-174.050060283 -47.422441534,-174.071066283 -47.428447534,-174.092117283 -47.4343845339999,-174.113213283 -47.440250534,-174.134354283 -47.4460465339999,-174.155539283 -47.4517715339999,-174.176767283 -47.457426534,-174.198038283 -47.463010534,-174.219352283 -47.468523534,-174.240707283 -47.4739655339999,-174.262104283 -47.479335534,-174.283542283 -47.4846355339999,-174.305019283 -47.4898635339999,-174.326537283 -47.4950195339999,-174.348094283 -47.5001035339999,-174.369690283 -47.505116534,-174.391324284 -47.5100575339999,-174.412995284 -47.514925534,-174.434042284 -47.520971534,-174.455134284 -47.5269465339999,-174.476272284 -47.532851534,-174.497455284 -47.538686534,-174.518683284 -47.544449534,-174.539954284 -47.550143534,-174.561269284 -47.5557655339999,-174.582626284 -47.561316534,-174.604026284 -47.5667965339999,-174.625468284 -47.572205534,-174.646951284 -47.577542534,-174.668475284 -47.582808534,-174.690038284 -47.5880025339999,-174.711642284 -47.593124534,-174.733285284 -47.598174534,-174.754966284 -47.6031525339999,-174.776685284 -47.608058534,-174.798442284 -47.612891534,-174.820235284 -47.6176525339999,-174.842065284 -47.6223405339999,-174.863931284 -47.6269565339999,-174.885832284 -47.6314985339999,-174.907768284 -47.635968534,-174.929738284 -47.640364534,-174.951741284 -47.644688534,-174.973778284 -47.648937534,-174.995847284 -47.6531145339999,-175.017948284 -47.657217534,-175.040080284 -47.661246534,-175.062244284 -47.6652025339999,-175.084437284 -47.669084534,-175.106660284 -47.672891534,-175.128913284 -47.676625534,-175.151194284 -47.680285534,-175.173502284 -47.6838705339999,-175.195839284 -47.6873815339999,-175.218202284 -47.690817534,-175.240591284 -47.6941795339999,-175.263006284 -47.6974675339999,-175.285447284 -47.700680534,-175.307912284 -47.7038185339999,-175.330400284 -47.7068815339999,-175.352913284 -47.7098695339999,-175.375448284 -47.712782534,-175.398005284 -47.715620534,-175.420584284 -47.7183835339999,-175.443184284 -47.721071534,-175.465805285 -47.723683534,-175.488446285 -47.7262205339999,-175.511106285 -47.728682534,-175.533785285 -47.731068534,-175.556482285 -47.7333795339999,-175.579196285 -47.735613534,-175.601928285 -47.737773534,-175.624676285 -47.739856534,-175.647440285 -47.7418645339999,-175.670219285 -47.743796534,-175.693013285 -47.7456525339999,-175.715821285 -47.747432534,-175.738643285 -47.7491365339999,-175.761477285 -47.750764534,-175.784324285 -47.7523165339999,-175.807182285 -47.753792534,-175.830052285 -47.7551925339999,-175.852932285 -47.756515534,-175.875823285 -47.7577625339999,-175.898722285 -47.7589345339999,-175.921631285 -47.760028534,-175.944548285 -47.7610475339999,-175.967472285 -47.761989534,-175.990403285 -47.762854534,-175.989742285 -47.777926534,-175.989182285 -47.7930005339999,-175.988722285 -47.808075534,-175.988364285 -47.823152534,-175.988107285 -47.8382295339999,-175.987950285 -47.853307534,-175.987895285 -47.868385534,-175.987941285 -47.883463534,-175.988089285 -47.8985415339999,-175.988338285 -47.913619534,-175.988689285 -47.928695534,-175.989141285 -47.943770534,-175.989695285 -47.958843534,-175.990351285 -47.973915534,-175.991109285 -47.9889845339999,-175.991969285 -48.004051534,-175.992930285 -48.019115534,-175.993994285 -48.034176534,-175.995160285 -48.0492345339999,-175.996428285 -48.064288534,-175.997799285 -48.0793375339999,-175.999272285 -48.094383534,-176.000847285 -48.109423534,-176.002525285 -48.124459534,-176.004305285 -48.1394905339999,-176.006188285 -48.154514534,-176.008173285 -48.169533534,-176.010261285 -48.1845465339999,-176.012452285 -48.199552534,-176.014746285 -48.214551534,-176.017142285 -48.229543534,-176.019642285 -48.244528534,-176.022244285 -48.259505534,-176.024949285 -48.274473534,-176.027757285 -48.289434534,-176.030668285 -48.3043855339999,-176.033682285 -48.319327534,-176.036871285 -48.334608535,-176.040168285 -48.349878535,-176.043573285 -48.365137535,-176.047086285 -48.380386535,-176.050706285 -48.395624535,-176.054435285 -48.410850535,-176.058272285 -48.426065535,-176.062217285 -48.441267535,-176.066269285 -48.456457535,-176.070430285 -48.471633535,-176.074699285 -48.4867975349999,-176.079076285 -48.5019475349999,-176.083561285 -48.517084535,-176.088154285 -48.5322065349999,-176.092855285 -48.5473145349999,-176.097665285 -48.562407535,-176.102582285 -48.5774855349999,-176.107607285 -48.5925475349999,-176.112740285 -48.607593535,-176.117982285 -48.6226235349999,-176.123331285 -48.637637535,-176.128788285 -48.6526345349999,-176.134353285 -48.6676135349999,-176.140026285 -48.682575535,-176.145807285 -48.697520535,-176.151696285 -48.712446535,-176.157692285 -48.727353535,-176.163796285 -48.7422425349999,-176.170008285 -48.757111535,-176.176328285 -48.7719615349999,-176.182755285 -48.786791535,-176.189290285 -48.801601535,-176.195932285 -48.816390535,-176.202682285 -48.831158535,-176.209539285 -48.845905535,-176.216503285 -48.860631535,-176.223575285 -48.875334535,-176.217989285 -48.8890385349999,-176.212489285 -48.902757535,-176.207075285 -48.916491535,-176.201746285 -48.9302405349999,-176.196504285 -48.944004535,-176.191347285 -48.957782535,-176.186277285 -48.9715735349999,-176.181293285 -48.9853795349999,-176.176396285 -48.9991985349999,-176.171586285 -49.013031535,-176.166862285 -49.026877535,-176.161798285 -49.0419795349999,-176.156839285 -49.057095535,-176.151982285 -49.072227535,-176.147230285 -49.087373535,-176.142582285 -49.102532535,-176.138039285 -49.117706535,-176.133599285 -49.1328935349999,-176.129265285 -49.148094535,-176.125035285 -49.1633075349999,-176.120911285 -49.1785325349999,-176.116892285 -49.1937705349999,-176.112978285 -49.209020535,-176.109169285 -49.2242815349999,-176.105467285 -49.239554535,-176.101871285 -49.254837535,-176.098380285 -49.270131535,-176.094996285 -49.285436535,-176.091719285 -49.300750535,-176.088548285 -49.316074535,-176.085484285 -49.331407535,-176.082527285 -49.346750535,-176.079677285 -49.362101535,-176.076934285 -49.377460535,-176.074299285 -49.392827535,-176.071771285 -49.408202536,-176.069351285 -49.423585536,-176.067039285 -49.4389745359999,-176.064835285 -49.4543715359999,-176.062740285 -49.4697735359999,-176.060752285 -49.485182536,-176.058874285 -49.500597536,-176.057103285 -49.5160175359999,-176.055442285 -49.531442536,-176.053899285 -49.5465925359999,-176.052461285 -49.561747536,-176.051129285 -49.576905536,-176.049902285 -49.5920685359999,-176.048780285 -49.607233536,-176.047764285 -49.622402536,-176.046854285 -49.6375745359999,-176.046050285 -49.6527485359999,-176.045351285 -49.6679245359999,-176.044759285 -49.683102536,-176.044273285 -49.698282536,-176.043893285 -49.7134635359999,-176.043620285 -49.7286455359999,-176.043453285 -49.743827536,-176.043393285 -49.7590105359999,-176.043439285 -49.774193536,-176.043593285 -49.789375536,-176.043853285 -49.8045575359999,-176.044220285 -49.8197385359999,-176.044695285 -49.834918536,-176.045276285 -49.850096536,-176.045965285 -49.865272536,-176.046761285 -49.880445536,-176.047665285 -49.895617536,-176.048676285 -49.9107855359999,-176.049795285 -49.925950536,-176.051022285 -49.9411125359999,-176.052356285 -49.956270536,-176.053798285 -49.971423536,-176.055348285 -49.986573536,-176.057006285 -50.0017175359999,-176.058773285 -50.016857536,-176.060647285 -50.031991536,-176.062629285 -50.047119536,-176.064720285 -50.0622415359999,-176.066919285 -50.077357536,-176.069227285 -50.092466536,-176.071643285 -50.107569536,-176.074167285 -50.1226635359999,-176.076799285 -50.1377505359999,-176.079288285 -50.1530805359999,-176.081889285 -50.168402536,-176.084602285 -50.183716536,-176.087426285 -50.199022536,-176.090363285 -50.2143195359999,-176.093412285 -50.2296075359999,-176.096573285 -50.244886536,-176.099846285 -50.260155536,-176.103232285 -50.275414536,-176.106729285 -50.290662536,-176.110339285 -50.305900536,-176.114061285 -50.3211275359999,-176.117896285 -50.336343536,-176.121843285 -50.3515475359999,-176.125902285 -50.366739536,-176.130074285 -50.3819185359999,-176.134358285 -50.397085536,-176.138754285 -50.412239536,-176.143263285 -50.4273805359999,-176.147885285 -50.4425065359999,-176.152619285 -50.457619536,-176.157465285 -50.4727175359999,-176.162423285 -50.4878015369999,-176.167495285 -50.502870537,-176.172678285 -50.5179235369999,-176.177913285 -50.532813537,-176.183258285 -50.5476885369999,-176.188713285 -50.5625465369999,-176.194278285 -50.5773885369999,-176.199953285 -50.592213537,-176.205739285 -50.607022537,-176.211634285 -50.621813537,-176.217640285 -50.636586537,-176.223756285 -50.6513425369999,-176.229982285 -50.666079537,-176.236318285 -50.6807975369999,-176.242764285 -50.6954965369999,-176.249319285 -50.7101765369999,-176.255985285 -50.724837537,-176.262760285 -50.739477537,-176.269646285 -50.7540985369999,-176.276641285 -50.768697537,-176.283746285 -50.7832765369999,-176.290960285 -50.797833537,-176.298284285 -50.8123695369999,-176.305717285 -50.826883537,-176.313260285 -50.841375537,-176.320913285 -50.8558445369999,-176.328674285 -50.870291537,-176.336545285 -50.884714537,-176.344525285 -50.8991135369999,-176.352615285 -50.913489537,-176.360813285 -50.9278415369999,-176.369120285 -50.942168537,-176.377536285 -50.956470537,-176.386061285 -50.970747537,-176.394694285 -50.984999537,-176.403436285 -50.999225537,-176.412287285 -51.0134255369999,-176.421246285 -51.027598537,-176.430313285 -51.0417445369999,-176.439488285 -51.0558645369999,-176.448772285 -51.0699565369999,-176.458163285 -51.084021537,-176.467662285 -51.0980575369999,-176.477269285 -51.112065537,-176.486984285 -51.126044537,-176.496806285 -51.1399955369999,-176.506735285 -51.153916537,-176.516771285 -51.1678075369999,-176.526915285 -51.1816695369999,-176.537166286 -51.195500537,-176.547523286 -51.2093015369999,-176.557987286 -51.223071537,-176.568558286 -51.2368095369999,-176.579133286 -51.250672537,-176.589816286 -51.2645035369999,-176.600607286 -51.2783025369999,-176.611506286 -51.292068537,-176.622513286 -51.305802537,-176.633627286 -51.3195025369999,-176.644848286 -51.3331705369999,-176.656177286 -51.346803537,-176.667612286 -51.360403537,-176.679155286 -51.3739685369999,-176.690804286 -51.3874995369999,-176.702559286 -51.400994537,-176.714421286 -51.414455537,-176.726389286 -51.427879537,-176.738463286 -51.441268537,-176.750643286 -51.454621537,-176.762928286 -51.467937537,-176.775319286 -51.481216537,-176.787814286 -51.494458537,-176.800415286 -51.507663537,-176.813120286 -51.5208295369999,-176.825930286 -51.5339585369999,-176.838845286 -51.547048537,-176.851863286 -51.560100538,-176.864985286 -51.573112538,-176.878211286 -51.586085538,-176.891540286 -51.5990185379999,-176.904973286 -51.611912538,-176.918509286 -51.624765538,-176.932147286 -51.637577538,-176.945887286 -51.6503495379999,-176.959730286 -51.663079538,-176.973676286 -51.6757685379999,-176.987722286 -51.688415538,-177.001871286 -51.701020538,-177.016120286 -51.713582538,-177.030471286 -51.726102538,-177.044922286 -51.738579538,-177.059474286 -51.7510125379999,-177.074126286 -51.763402538,-177.088878286 -51.775748538,-177.103729286 -51.7880495379999,-177.118680286 -51.800306538,-177.133731286 -51.8125195379999,-177.148880286 -51.824686538,-177.164127286 -51.836808538,-177.179473286 -51.8488845379999,-177.194917286 -51.860914538,-177.210458286 -51.872897538,-177.226097286 -51.884834538,-177.241833286 -51.8967255379999,-177.257665286 -51.9085685379999,-177.273594286 -51.9203635379999,-177.289620286 -51.932111538,-177.305741286 -51.943811538,-177.321957286 -51.9554625379999,-177.338269286 -51.967065538,-177.354676286 -51.978619538,-177.371177286 -51.990124538,-177.387772286 -52.0015795379999,-177.404461286 -52.012985538,-177.421244286 -52.0243405379999,-177.438120286 -52.035646538,-177.455089286 -52.0469005379999,-177.472150286 -52.058104538,-177.489304286 -52.0692575379999,-177.506549286 -52.080358538,-177.523886286 -52.0914085379999,-177.541314286 -52.102406538,-177.558832286 -52.113351538,-177.576441286 -52.124244538,-177.594140286 -52.1350845379999,-177.611929287 -52.1458715379999,-177.629807287 -52.156605538,-177.647774287 -52.1672855379999,-177.665829287 -52.177912538,-177.683972287 -52.188484538,-177.702203287 -52.1990025379999,-177.720522287 -52.209465538,-177.738927287 -52.2198745379999,-177.757419287 -52.230227538,-177.775997287 -52.240525538,-177.794660287 -52.2507675379999,-177.813410287 -52.260953538,-177.832244287 -52.271083538,-177.851162287 -52.2811575379999,-177.870165287 -52.291174538,-177.889251287 -52.301134538,-177.908420287 -52.3110375379999,-177.927673287 -52.320882538,-177.947008287 -52.3306705379999,-177.966424287 -52.340400538,-177.985923287 -52.350071538,-178.005502287 -52.359685538,-178.025162287 -52.3692395379999,-178.044903287 -52.3787355379999,-178.064723287 -52.3881715379999,-178.084622287 -52.397548538,-178.104601287 -52.406866538,-178.124657287 -52.416123538,-178.144792287 -52.4253215379999,-178.165005287 -52.4344585379999,-178.185294287 -52.4435355379999,-178.205660287 -52.452551538,-178.226102287 -52.461506538,-178.246620287 -52.470399538,-178.267213287 -52.479231538,-178.287880287 -52.4880025379999,-178.308622287 -52.4967105379999,-178.329438287 -52.5053575379999,-178.350326287 -52.513941538,-178.371288287 -52.522462538,-178.392322287 -52.530921538,-178.413428287 -52.539316538,-178.434604287 -52.547649538,-178.455852287 -52.555918538,-178.477170287 -52.5641235379999,-178.498558287 -52.572264538,-178.520078287 -52.580405538,-178.541668287 -52.5884815379999,-178.563327287 -52.596492538,-178.585055287 -52.604438538,-178.606851287 -52.612318538,-178.628714287 -52.6201335379999,-178.650644287 -52.627882539,-178.672641287 -52.635565539,-178.694704288 -52.643182539,-178.716832288 -52.650733539,-178.739024288 -52.658217539,-178.761282288 -52.6656345389999,-178.783603288 -52.672984539,-178.805987288 -52.6802675389999,-178.828433288 -52.687483539,-178.850942288 -52.6946315389999,-178.873513288 -52.701712539,-178.896144288 -52.7087245389999,-178.918836288 -52.715669539,-178.941588288 -52.722545539,-178.964399288 -52.7293535389999,-178.987269288 -52.736092539,-179.010197288 -52.742762539,-179.033182288 -52.7493645389999,-179.056225288 -52.7558965389999,-179.079324288 -52.7623595389999,-179.102479288 -52.7687535389999,-179.125689288 -52.7750765389999,-179.148954288 -52.781330539,-179.172274288 -52.787514539,-179.195646288 -52.7936285389999,-179.219072288 -52.799672539,-179.242550288 -52.805645539,-179.266080288 -52.8115475389999,-179.289661288 -52.8173795389999,-179.313293288 -52.823140539,-179.336974288 -52.828830539,-179.360705288 -52.8344485389999,-179.384485288 -52.839995539,-179.408313288 -52.845471539,-179.432188288 -52.850874539,-179.456111288 -52.856206539,-179.480080288 -52.8614675389999,-179.504094288 -52.866655539,-179.528154288 -52.871770539,-179.552258288 -52.876814539,-179.576406288 -52.881784539,-179.600598288 -52.8866835389999,-179.624832288 -52.891508539,-179.649108288 -52.896261539,-179.673425288 -52.900940539,-179.697783288 -52.9055475389999,-179.722102288 -52.9101395389999,-179.746461288 -52.914658539,-179.770859289 -52.9191035389999,-179.795296289 -52.923476539,-179.819771289 -52.927775539,-179.844283289 -52.9320015389999,-179.868832289 -52.936153539,-179.893417289 -52.940231539,-179.918038289 -52.944236539,-179.942694289 -52.9481675389999,-179.967384289 -52.952023539,-179.992107289 -52.955806539,-180 -52.956988496,-180 -51.639344262,-180 -48.68852459,-180 -45.737704918,-180 -42.7868852459999,-180 -39.836065574,-180 -36.885245902,-180 -33.9344262299999,-180 -30.983606557,-180 -28.032786885,-180 -26.4213443519999,-179.991259289 -26.4164365139999,-179.976713289 -26.408326514,-179.962127289 -26.4002755139999,-179.947503289 -26.3922825139999,-179.932839289 -26.384349514,-179.918138289 -26.3764765139999,-179.903398289 -26.3686615139999,-179.888621289 -26.360907514,-179.873806289 -26.3532125139999,-179.858953289 -26.345577514,-179.844064289 -26.338002514,-179.829138289 -26.330488514,-179.814176289 -26.323034514,-179.799178289 -26.3156415139999,-179.784145289 -26.308308514,-179.769075289 -26.301036514,-179.738832288 -26.286675514,-179.723659288 -26.279587514,-179.708451288 -26.272560514,-179.693209288 -26.265595514,-179.677934288 -26.258691514,-179.662625288 -26.251849514,-179.647178288 -26.2449875139999,-179.631697288 -26.2381895139999,-179.616183288 -26.231454514,-179.600637288 -26.224781514,-179.585058288 -26.2181735139999,-179.569447288 -26.211628514,-179.553805288 -26.205146514,-179.538131288 -26.198729514,-179.522425288 -26.1923755139999,-179.506689288 -26.186085514,-179.490923288 -26.179860514,-179.475126288 -26.173699514,-179.459300288 -26.167602514,-179.443443288 -26.1615705139999,-179.427558288 -26.1556035139999,-179.411644288 -26.149700514,-179.395701288 -26.143863514,-179.379730288 -26.1380905139999,-179.363731288 -26.132383514,-179.347704288 -26.1267415139999,-179.331651288 -26.1211645139999,-179.315570288 -26.115653514,-179.299462288 -26.110207514,-179.283328288 -26.104827514,-179.267168288 -26.099513514,-179.250983288 -26.094265514,-179.234772288 -26.089083514,-179.218536288 -26.0839675139999,-179.202275288 -26.078917514,-179.185990288 -26.073934514,-179.169681288 -26.0690175139999,-179.153348288 -26.064166514,-179.136992288 -26.0593835139999,-179.120613288 -26.054666514,-179.104211288 -26.0500155139999,-179.087786288 -26.045432514,-179.071340288 -26.0409165139999,-179.054871288 -26.036467514,-179.038381288 -26.032084514,-179.021870288 -26.0277705139999,-179.005339288 -26.023522514,-178.988787288 -26.019342514,-178.972214288 -26.0152305139999,-178.955622288 -26.011185514,-178.939011288 -26.007208514,-178.922380288 -26.0032995139999,-178.905730288 -25.999457514,-178.889062288 -25.995683514,-178.872376288 -25.991978514,-178.855672288 -25.988340514,-178.838951288 -25.9847715139999,-178.822212288 -25.981270514,-178.805457288 -25.9778375139999,-178.788685288 -25.974472514,-178.771897288 -25.971176514,-178.755093288 -25.9679495139999,-178.738274288 -25.964790514,-178.721440288 -25.961699514,-178.704590288 -25.9586775139999,-178.687727288 -25.9557245139999,-178.670849287 -25.9528405139999,-178.653957287 -25.9500245139999,-178.637052287 -25.9472785139999,-178.620134287 -25.9446005139999,-178.603203287 -25.9419925139999,-178.586259287 -25.939452514,-178.569303287 -25.936982514,-178.552336287 -25.9345815139999,-178.535357287 -25.932249514,-178.518367287 -25.929986514,-178.501366287 -25.927793514,-178.484354287 -25.9256695139999,-178.467333287 -25.923614514,-178.450302287 -25.921629514,-178.433261287 -25.919713514,-178.416211287 -25.917867514,-178.399152287 -25.916090514,-178.382085287 -25.914383514,-178.365010287 -25.9127455139999,-178.347927287 -25.911177514,-178.330837287 -25.9096795139999,-178.313740287 -25.908250514,-178.296636287 -25.9068925139999,-178.279525287 -25.9056035139999,-178.262408287 -25.904383514,-178.245286287 -25.903234514,-178.228158287 -25.902154514,-178.211025287 -25.901145514,-178.193888287 -25.9002055139999,-178.176746287 -25.899335514,-178.160008287 -25.898164514,-178.143264287 -25.897060514,-178.126515287 -25.896023514,-178.109761287 -25.8950525139999,-178.093003287 -25.8941495139999,-178.076240287 -25.8933125139999,-178.059474287 -25.892542514,-178.042705287 -25.891839514,-178.025635287 -25.891169514,-178.008563287 -25.8905685139999,-177.991489287 -25.890037514,-177.974411287 -25.8895755139999,-177.957332287 -25.889182514,-177.940251287 -25.8888595139999,-177.923169287 -25.888604514,-177.906085287 -25.888420514,-177.889001287 -25.888304514,-177.871916287 -25.888258514,-177.854832287 -25.888281514,-177.837747287 -25.888374514,-177.820664287 -25.888536514,-177.803581287 -25.8887675139999,-177.786499287 -25.889068514,-177.769419287 -25.8894385139999,-177.752341287 -25.889877514,-177.735266287 -25.8903855139999,-177.718193287 -25.890963514,-177.701123287 -25.891610514,-177.684056287 -25.8923275139999,-177.666993287 -25.8931135139999,-177.649933287 -25.8939675139999,-177.632878287 -25.8948925139999,-177.615828287 -25.8958855139999,-177.598783286 -25.896947514,-177.581742286 -25.898079514,-177.564708286 -25.8992805139999,-177.547679286 -25.900550514,-177.530657286 -25.9018895139999,-177.513642286 -25.903297514,-177.496633286 -25.9047745139999,-177.479631286 -25.906321514,-177.462638286 -25.907936514,-177.445652286 -25.909620514,-177.428674286 -25.9113735139999,-177.411705286 -25.9131955139999,-177.394745286 -25.9150865139999,-177.377795286 -25.9170455139999,-177.360854286 -25.9190745139999,-177.343922286 -25.921171514,-177.327001286 -25.923337514,-177.310091286 -25.925571514,-177.293192286 -25.9278745139999,-177.276304286 -25.930246514,-177.259427286 -25.932686514,-177.242563286 -25.9351945139999,-177.225710286 -25.937771514,-177.208871286 -25.9404175139999,-177.192044286 -25.943131514,-177.175230286 -25.945913514,-177.158431286 -25.948763514,-177.141644286 -25.951681514,-177.124873286 -25.9546675139999,-177.108115286 -25.957722514,-177.091373286 -25.960844514,-177.074646286 -25.9640355139999,-177.057934286 -25.9672935139999,-177.041239286 -25.970619514,-177.024559286 -25.974012514,-177.007896286 -25.9774745139999,-176.991250286 -25.981003514,-176.974622286 -25.984599514,-176.958010286 -25.988263514,-176.941417286 -25.9919945139999,-176.924842286 -25.995793514,-176.908285286 -25.999658514,-176.891747286 -26.0035915139999,-176.875228286 -26.007591514,-176.858729286 -26.011658514,-176.842249286 -26.0157925139999,-176.825790286 -26.019993514,-176.809351286 -26.0242605139999,-176.792933286 -26.028594514,-176.776536286 -26.0329955139999,-176.760160286 -26.037462514,-176.743806286 -26.0419965139999,-176.727475286 -26.0465965139999,-176.711165286 -26.051262514,-176.694878286 -26.055994514,-176.678615286 -26.060792514,-176.662375286 -26.065657514,-176.646158286 -26.070587514,-176.629965286 -26.075583514,-176.613797286 -26.080644514,-176.597654286 -26.0857715139999,-176.581535286 -26.090964514,-176.565442286 -26.096221514,-176.549374286 -26.101544514,-176.533332286 -26.1069335139999,-176.517317285 -26.112386514,-176.501327285 -26.117904514,-176.485365285 -26.123487514,-176.469430285 -26.129135514,-176.453523285 -26.1348475139999,-176.437643285 -26.140624514,-176.421792285 -26.1464655139999,-176.405969285 -26.152370514,-176.390175285 -26.158340514,-176.374410285 -26.164373514,-176.358674285 -26.1704705139999,-176.342968285 -26.1766325139999,-176.327292285 -26.182856514,-176.311646285 -26.189145514,-176.296031285 -26.195497514,-176.280447285 -26.201912514,-176.264895285 -26.208390514,-176.249373285 -26.2149315139999,-176.233884285 -26.221535514,-176.218427285 -26.228202514,-176.203003285 -26.234932514,-176.187611285 -26.2417245139999,-176.172252285 -26.248578514,-176.156927285 -26.255495514,-176.141636285 -26.262473514,-176.126379285 -26.269514514,-176.111156285 -26.276616514,-176.095968285 -26.2837805139999,-176.080814285 -26.2910065139999,-176.065696285 -26.298293514,-176.050614285 -26.3056425139999,-176.035567285 -26.3130515139999,-176.020557285 -26.320521514,-176.005583285 -26.328052514,-175.990646285 -26.335644514,-175.975746285 -26.343297514,-175.960884285 -26.3510095139999,-175.946059285 -26.358782514,-175.931272285 -26.3666155139999,-175.916524285 -26.374508514,-175.901814285 -26.3824605139999,-175.887143285 -26.390472514,-175.872511285 -26.398544514,-175.857919285 -26.406675514,-175.843366285 -26.4148655139999,-175.828854285 -26.423113514,-175.814382285 -26.431421514,-175.799951285 -26.4397875139999,-175.785560285 -26.448212514,-175.771211285 -26.4566955139999,-175.756903285 -26.465236514,-175.742638285 -26.473835514,-175.728414285 -26.4824915139999,-175.714233285 -26.4912065139999,-175.700094285 -26.499977514,-175.685999285 -26.508806514,-175.671947285 -26.517692514,-175.657938285 -26.526635514,-175.643974285 -26.535635514,-175.630053285 -26.544691514,-175.616177285 -26.553803514,-175.602346285 -26.562972514,-175.588559285 -26.572196514,-175.574818285 -26.581477514,-175.561123285 -26.5908135139999,-175.547473285 -26.600204514,-175.533870285 -26.609651514,-175.520313285 -26.6191535139999,-175.506802285 -26.628709514,-175.493339285 -26.6383205139999,-175.479923285 -26.647986514,-175.466554285 -26.657706514,-175.453234284 -26.667480514,-175.439961284 -26.6773085139999,-175.426737284 -26.687190514,-175.413516284 -26.697156514,-175.400345284 -26.707176514,-175.387223284 -26.7172505139999,-175.374151284 -26.727376514,-175.361129284 -26.7375565139999,-175.348157284 -26.747789514,-175.335236284 -26.7580745139999,-175.322366284 -26.768412514,-175.309547284 -26.7788025139999,-175.296780284 -26.789243514,-175.284064284 -26.799737514,-175.271400284 -26.8102825139999,-175.258788284 -26.820879514,-175.246229284 -26.831527514,-175.233723284 -26.8422265139999,-175.221269284 -26.852976515,-175.208869284 -26.863776515,-175.196523284 -26.8746265149999,-175.184230284 -26.885527515,-175.171991284 -26.896477515,-175.159807284 -26.907477515,-175.147677284 -26.9185265149999,-175.135602284 -26.9296255149999,-175.123583284 -26.9407735149999,-175.111618284 -26.951969515,-175.099710284 -26.9632145149999,-175.087857284 -26.974507515,-175.076060284 -26.9858485149999,-175.064320284 -26.9972375149999,-175.052636284 -27.0086745149999,-175.041010284 -27.0201585149999,-175.029408284 -27.031601515,-175.017864284 -27.043091515,-175.006376284 -27.0546285149999,-174.994946284 -27.066211515,-174.983573284 -27.0778405149999,-174.972258284 -27.089515515,-174.961001284 -27.101236515,-174.949803284 -27.1130035149999,-174.938663284 -27.124815515,-174.927581284 -27.1366715149999,-174.916559284 -27.148573515,-174.905596284 -27.160519515,-174.894692284 -27.1725095149999,-174.883848284 -27.184544515,-174.873064284 -27.1966225149999,-174.862340284 -27.208744515,-174.851676284 -27.220909515,-174.841074284 -27.2331175149999,-174.830532284 -27.2453685149999,-174.820051284 -27.2576615149999,-174.809631284 -27.2699975149999,-174.799273284 -27.282375515,-174.788977284 -27.294795515,-174.778743284 -27.3072565149999,-174.768571284 -27.3197595149999,-174.758462284 -27.332303515,-174.748415284 -27.344887515,-174.738431284 -27.3575135149999,-174.728510284 -27.370178515,-174.718653284 -27.3828845149999,-174.708859284 -27.3956295149999,-174.699130284 -27.4084145149999,-174.689464284 -27.421238515,-174.679862284 -27.434101515,-174.670325284 -27.4470035149999,-174.660852284 -27.459943515,-174.651445284 -27.4729225149999,-174.642102284 -27.4859395149999,-174.632825284 -27.4989935149999,-174.623614284 -27.512085515,-174.614468284 -27.525213515,-174.605388284 -27.538379515,-174.596374284 -27.551582515,-174.587426284 -27.564820515,-174.578545284 -27.578095515,-174.569731284 -27.591406515,-174.560984284 -27.604752515,-174.552304284 -27.618134515,-174.543691284 -27.631550515,-174.535146284 -27.6450015149999,-174.526669284 -27.6584875149999,-174.518260284 -27.672007515,-174.509919284 -27.685561515,-174.501646284 -27.6991485149999,-174.493441284 -27.7127695149999,-174.485306284 -27.726423515,-174.477239284 -27.740109515,-174.469242284 -27.753829515,-174.461314284 -27.767580515,-174.453455284 -27.781363515,-174.445666284 -27.795178515,-174.437947284 -27.809025515,-174.430298284 -27.822902515,-174.422719284 -27.836810515,-174.415210284 -27.850749515,-174.407772284 -27.8647185149999,-174.400405284 -27.8787175149999,-174.393109284 -27.8927465149999,-174.385884284 -27.906804515,-174.378730283 -27.9208915149999,-174.371648283 -27.9350075159999,-174.364637283 -27.949152516,-174.357699283 -27.9633245159999,-174.350832283 -27.977525516,-174.344037283 -27.991753516,-174.337315283 -28.0060095159999,-174.330665283 -28.020292516,-174.324088283 -28.034601516,-174.317584283 -28.048937516,-174.311152283 -28.063299516,-174.304794283 -28.077687516,-174.298509283 -28.092100516,-174.292298283 -28.1065395159999,-174.286160283 -28.121003516,-174.280096283 -28.1354915159999,-174.274106283 -28.150004516,-174.268170283 -28.1644915159999,-174.262308283 -28.179002516,-174.256520283 -28.1935375159999,-174.250806283 -28.208094516,-174.245166283 -28.222675516,-174.239600283 -28.2372785159999,-174.234109283 -28.251903516,-174.228693283 -28.2665515159999,-174.223352283 -28.281220516,-174.218085283 -28.2959105159999,-174.212894283 -28.310622516,-174.207777283 -28.3253545159999,-174.202736283 -28.3401075159999,-174.197771283 -28.354880516,-174.192881283 -28.369673516,-174.188067283 -28.384485516,-174.183329283 -28.3993175159999,-174.178666283 -28.414168516,-174.174080283 -28.4290375159999,-174.169570283 -28.443925516,-174.165137283 -28.458830516,-174.160780283 -28.4737545159999,-174.156499283 -28.488694516,-174.152296283 -28.5036525159999,-174.148169283 -28.518627516,-174.144119283 -28.5336185159999,-174.140147283 -28.548625516,-174.136251283 -28.5636485159999,-174.132433283 -28.5786875159999,-174.128660283 -28.593813516,-174.124965283 -28.608954516,-174.121349283 -28.624110516,-174.117811283 -28.639281516,-174.114352283 -28.654465516,-174.110972283 -28.669664516,-174.107670283 -28.684876516,-174.104447283 -28.700101516,-174.101304283 -28.715339516,-174.098239283 -28.730590516,-174.095254283 -28.745852516,-174.092348283 -28.7611275159999,-174.089522283 -28.7764145159999,-174.086775283 -28.791711516,-174.084108283 -28.807020516,-174.081520283 -28.8223395159999,-174.079012283 -28.8376695159999,-174.076585283 -28.8530085159999,-174.074237283 -28.8683575159999,-174.071969283 -28.8837165159999,-174.069781283 -28.899083516,-174.067674283 -28.914459516,-174.065647283 -28.9298445159999,-174.063700283 -28.945236516,-174.061834283 -28.960637516,-174.060048283 -28.9760445159999,-174.058343283 -28.991459516,-174.056718283 -29.006880517,-174.055175283 -29.0223085169999,-174.053712283 -29.037742517,-174.052330283 -29.053182517,-174.051029283 -29.068627517,-174.049809283 -29.084077517,-174.048670283 -29.0995315169999,-174.047612283 -29.114991517,-174.046636283 -29.130454517,-174.045740283 -29.145921517,-174.044926283 -29.161392517,-174.044194283 -29.176865517,-174.043542283 -29.1923425169999,-174.042973283 -29.207820517,-174.042484283 -29.223301517,-174.042078283 -29.2387845169999,-174.041753283 -29.254268517,-174.041509283 -29.269754517,-174.041348283 -29.285240517,-174.041268283 -29.3007265169999,-174.041270283 -29.3162135169999,-174.041353283 -29.3316995169999,-174.041519283 -29.347185517,-174.041766283 -29.362670517,-174.042095283 -29.3781545169999,-174.042506283 -29.3936365169999,-174.043000283 -29.409117517,-174.043575283 -29.4245955169999,-174.044232283 -29.440071517,-174.044971283 -29.455544517,-174.045793283 -29.471013517,-174.046696283 -29.486479517,-174.047681283 -29.501941517,-174.048749283 -29.5173995169999,-174.049899283 -29.532853517,-174.051131283 -29.548302517,-174.052445283 -29.563745517,-174.053841283 -29.5791835169999,-174.055320283 -29.594615517,-174.056880283 -29.610041517,-174.058523283 -29.625460517,-174.060248283 -29.6408725169999,-174.062055283 -29.656277517,-174.063945283 -29.671675517,-174.065916283 -29.687065517,-174.067970283 -29.7024475169999,-174.070106283 -29.717820517,-174.072324283 -29.733184517,-174.074624283 -29.748539517,-174.077006283 -29.763884517,-174.079471283 -29.7792205169999,-174.082018283 -29.794545517,-174.084646283 -29.8098605169999,-174.087357283 -29.825164517,-174.090150283 -29.8404575169999,-174.093025283 -29.855738517,-174.095982283 -29.871007517,-174.099021283 -29.886265517,-174.102141283 -29.901509517,-174.105344283 -29.9167415169999,-174.108629283 -29.9319605169999,-174.111995283 -29.947165517,-174.115444283 -29.9623565169999,-174.118974283 -29.977533517,-174.122586283 -29.992696517,-174.126279283 -30.007843517,-174.130054283 -30.022976517,-174.133911283 -30.0380935169999,-174.137850283 -30.053194517,-174.141870283 -30.068279517,-174.145971283 -30.083347518,-174.150154283 -30.098399518,-174.154418283 -30.113433518,-174.158763283 -30.128450518,-174.163190283 -30.143449518,-174.167698283 -30.1584305179999,-174.172287283 -30.173392518,-174.176957283 -30.188336518,-174.181708283 -30.203260518,-174.186540283 -30.218165518,-174.191453283 -30.233050518,-174.196447283 -30.247915518,-174.201521283 -30.2627605179999,-174.206676283 -30.277584518,-174.211912283 -30.2923865179999,-174.217228283 -30.307168518,-174.222625283 -30.3219275179999,-174.228102283 -30.336665518,-174.233659283 -30.3513805179999,-174.239296283 -30.366072518,-174.245013283 -30.380741518,-174.250810283 -30.395387518,-174.256688283 -30.410009518,-174.262645283 -30.424607518,-174.268681283 -30.4391805179999,-174.274798283 -30.4537295179999,-174.280993283 -30.468253518,-174.287268283 -30.482752518,-174.293623283 -30.4972255179999,-174.300056283 -30.511672518,-174.306568283 -30.526144518,-174.313159283 -30.5405895179999,-174.319829283 -30.555007518,-174.326578283 -30.569397518,-174.333407283 -30.583761518,-174.340315283 -30.598096518,-174.347301283 -30.612402518,-174.354367283 -30.6266815179999,-174.361511283 -30.6409305179999,-174.368733283 -30.655150518,-174.376034283 -30.669340518,-174.383414284 -30.683501518,-174.390871284 -30.697631518,-174.398407284 -30.711730518,-174.406020284 -30.725799518,-174.413711284 -30.7398375179999,-174.421480284 -30.7538435179999,-174.429326284 -30.767817518,-174.437250284 -30.7817605179999,-174.445250284 -30.795669518,-174.453328284 -30.8095465179999,-174.461483284 -30.8233905179999,-174.469714284 -30.837201518,-174.478022284 -30.850978518,-174.486407284 -30.864721518,-174.494867284 -30.878429518,-174.503404284 -30.8921035179999,-174.512017284 -30.905742518,-174.520705284 -30.9193465179999,-174.529470284 -30.932914518,-174.538309284 -30.946447518,-174.547224284 -30.9599435179999,-174.556215284 -30.9734035179999,-174.565280284 -30.9868265179999,-174.574419284 -31.000211518,-174.583634284 -31.013560518,-174.592923284 -31.026871518,-174.602286284 -31.040144518,-174.611723284 -31.0533785179999,-174.621234284 -31.066574518,-174.630819284 -31.079731518,-174.640478284 -31.092849518,-174.650209284 -31.1059275179999,-174.660014284 -31.118966518,-174.669892284 -31.131964518,-174.679843284 -31.1449225179999,-174.689866284 -31.1578405189999,-174.699961284 -31.1707165189999,-174.704651284 -31.185274519,-174.709418284 -31.199814519,-174.714263284 -31.214335519,-174.719186284 -31.228837519,-174.724187284 -31.243319519,-174.729265284 -31.2577825189999,-174.734421284 -31.272224519,-174.739655284 -31.2866465189999,-174.744965284 -31.301047519,-174.750353284 -31.315427519,-174.755819284 -31.329786519,-174.761361284 -31.3441245189999,-174.766981284 -31.3584395189999,-174.772677284 -31.372733519,-174.778451284 -31.387003519,-174.784301284 -31.401251519,-174.790228284 -31.415476519,-174.796232284 -31.4296775189999,-174.802312284 -31.443855519,-174.808469284 -31.458009519,-174.814702284 -31.4721385189999,-174.821011284 -31.486243519,-174.827397284 -31.5003235189999,-174.833859284 -31.5143775189999,-174.840396284 -31.5284065189999,-174.847010284 -31.5424095189999,-174.853699284 -31.5563875189999,-174.860463284 -31.570337519,-174.865528284 -31.5844435189999,-174.870667284 -31.598529519,-174.875881284 -31.612596519,-174.881168284 -31.626642519,-174.886529284 -31.640668519,-174.891964284 -31.654673519,-174.897473284 -31.668657519,-174.903056284 -31.682620519,-174.908623284 -31.696373519,-174.914262284 -31.710104519,-174.919972284 -31.723813519,-174.925754284 -31.737501519,-174.931607284 -31.751167519,-174.937531284 -31.764811519,-174.943526284 -31.778433519,-174.949593284 -31.792031519,-174.955731284 -31.805607519,-174.957903284 -31.820993519,-174.960160284 -31.836371519,-174.962501284 -31.851739519,-174.964926284 -31.867098519,-174.967435284 -31.882446519,-174.970028284 -31.897785519,-174.972706284 -31.913113519,-174.975468284 -31.928431519,-174.978314284 -31.943737519,-174.981244284 -31.959031519,-174.984258284 -31.974314519,-174.987356284 -31.9895855189999,-174.990538284 -32.004843519,-174.993804284 -32.020088519,-174.997155284 -32.035320519,-175.000589284 -32.050539519,-175.004107284 -32.065743519,-175.007709284 -32.080934519,-175.011395284 -32.096110519,-175.015164284 -32.111271519,-175.019018284 -32.126417519,-175.022955284 -32.141547519,-175.026976284 -32.156662519,-175.031080284 -32.171760519,-175.035268284 -32.186842519,-175.039540284 -32.201907519,-175.043895284 -32.216955519,-175.048333284 -32.23198552,-175.052855284 -32.24699852,-175.057460284 -32.26199252,-175.062149284 -32.27696852,-175.066920284 -32.29192552,-175.071775284 -32.30686352,-175.076713284 -32.3217815199999,-175.081734284 -32.33667952,-175.086837284 -32.35155852,-175.092024284 -32.36641652,-175.097293284 -32.38125352,-175.102645284 -32.39606852,-175.108080284 -32.41086352,-175.113597284 -32.42563652,-175.119197284 -32.4403865199999,-175.124879284 -32.4551145199999,-175.130643284 -32.4698195199999,-175.136490284 -32.48450152,-175.142419284 -32.49916052,-175.148429284 -32.51379552,-175.154522284 -32.52840652,-175.160697284 -32.54299252,-175.166953284 -32.5575545199999,-175.173291284 -32.57209152,-175.179710284 -32.5866025199999,-175.186211284 -32.60108852,-175.192793284 -32.61554752,-175.199457284 -32.6299805199999,-175.206201284 -32.64438752,-175.213027284 -32.65876652,-175.219933284 -32.6731185199999,-175.226921284 -32.6874435199999,-175.233989284 -32.7017405199999,-175.241137284 -32.7160085199999,-175.248366284 -32.73024752,-175.255675284 -32.74445852,-175.263065284 -32.75864052,-175.270534284 -32.7727925199999,-175.278083284 -32.78691452,-175.285713284 -32.8010055199999,-175.293421284 -32.81506752,-175.301210284 -32.8290975199999,-175.309077284 -32.84309752,-175.317024284 -32.8570645199999,-175.325050284 -32.8710015199999,-175.333155284 -32.88490552,-175.341339284 -32.89877652,-175.349602284 -32.91261552,-175.357943284 -32.92642152,-175.366362284 -32.94019352,-175.374860284 -32.95393252,-175.383436284 -32.96763752,-175.392089284 -32.98130852,-175.400820284 -32.9949445199999,-175.409629284 -33.00854552,-175.418516284 -33.02211152,-175.427479284 -33.03564152,-175.436520284 -33.0491365199999,-175.445638284 -33.0625945199999,-175.454832284 -33.0760165199999,-175.464103285 -33.08940152,-175.473450285 -33.10275052,-175.482874285 -33.11606152,-175.492373285 -33.1293345199999,-175.501949285 -33.1425695199999,-175.511600285 -33.1557665199999,-175.521327285 -33.16892552,-175.531129285 -33.18204552,-175.541006285 -33.19512552,-175.550958285 -33.20816652,-175.560985285 -33.2211685199999,-175.571086285 -33.23412952,-175.581262285 -33.24705052,-175.591511285 -33.25993052,-175.601835285 -33.2727705199999,-175.612233285 -33.28556852,-175.622704285 -33.298324521,-175.633248285 -33.3110395209999,-175.643866285 -33.3237125209999,-175.654556285 -33.3363425209999,-175.665319285 -33.3489305209999,-175.676155285 -33.3614755209999,-175.687063285 -33.373976521,-175.698043285 -33.386434521,-175.709095285 -33.3988485209999,-175.720218285 -33.411218521,-175.731413285 -33.4235445209999,-175.742679285 -33.435825521,-175.754016285 -33.4480615209999,-175.765423285 -33.460251521,-175.776901285 -33.4723975209999,-175.788450285 -33.484496521,-175.800068285 -33.496549521,-175.811756285 -33.5085565209999,-175.823514285 -33.5205165209999,-175.835317285 -33.5324225209999,-175.847190285 -33.544281521,-175.859131285 -33.556093521,-175.871141285 -33.567857521,-175.883218285 -33.5795735209999,-175.895364285 -33.591241521,-175.907577285 -33.602861521,-175.919858285 -33.614432521,-175.932206285 -33.625954521,-175.944621285 -33.637427521,-175.957102285 -33.6488505209999,-175.969650285 -33.660224521,-175.982264285 -33.671547521,-175.994944285 -33.6828215209999,-176.007690285 -33.694044521,-176.020500285 -33.705216521,-176.033376285 -33.716337521,-176.046317285 -33.727407521,-176.059322285 -33.738425521,-176.072391285 -33.749391521,-176.085524285 -33.760305521,-176.098721285 -33.7711675209999,-176.111982285 -33.7819775209999,-176.125305285 -33.7927335209999,-176.138691285 -33.803437521,-176.152140285 -33.814087521,-176.165651285 -33.8246845209999,-176.179224285 -33.835226521,-176.192859285 -33.8457155209999,-176.206555285 -33.856150521,-176.220312285 -33.866529521,-176.234130285 -33.876854521,-176.248008285 -33.887124521,-176.261946285 -33.8973395209999,-176.275945285 -33.907498521,-176.290003285 -33.9176025209999,-176.304120285 -33.927649521,-176.318296285 -33.9376415209999,-176.332531285 -33.947575521,-176.346824285 -33.9574535209999,-176.361175285 -33.967275521,-176.375584285 -33.9770395209999,-176.390050285 -33.9867455209999,-176.404573285 -33.996394521,-176.419153285 -34.005985521,-176.433790285 -34.0155195209999,-176.448482285 -34.0249935209999,-176.463230285 -34.034410521,-176.478034285 -34.043767521,-176.492893285 -34.0530665209999,-176.507806285 -34.062305521,-176.522775285 -34.0714855209999,-176.537797286 -34.0806065209999,-176.552873286 -34.089667521,-176.568002286 -34.098667521,-176.583185286 -34.107608521,-176.598420286 -34.116488521,-176.613708286 -34.125307521,-176.629048286 -34.134065521,-176.644439286 -34.1427635209999,-176.659882286 -34.151399521,-176.675376286 -34.159973521,-176.690921286 -34.168486521,-176.706516286 -34.176937521,-176.722161286 -34.185326521,-176.737856286 -34.1936525209999,-176.753600286 -34.2019165209999,-176.769392286 -34.210118521,-176.785234286 -34.2182565209999,-176.801124286 -34.226332521,-176.817061286 -34.234344521,-176.833046286 -34.242293521,-176.849078286 -34.250178521,-176.865157286 -34.2579995209999,-176.881283286 -34.265757521,-176.897454286 -34.273450521,-176.913671286 -34.281078521,-176.929933286 -34.288643521,-176.946240286 -34.296142521,-176.962592286 -34.303576521,-176.978988286 -34.3109465209999,-176.995428286 -34.318250521,-177.011911286 -34.325489521,-177.028437286 -34.332662521,-177.045005286 -34.3397695209999,-177.061616286 -34.346810521,-177.078269286 -34.353786521,-177.094964286 -34.360695521,-177.111699286 -34.367537521,-177.128475286 -34.374313522,-177.145292286 -34.381022522,-177.162148286 -34.387664522,-177.179044286 -34.394239522,-177.195979286 -34.400747522,-177.212953286 -34.407187522,-177.229966286 -34.413560522,-177.247016286 -34.419865522,-177.264104286 -34.4261035219999,-177.281229286 -34.4322725219999,-177.298391286 -34.4383735219999,-177.315589286 -34.444406522,-177.332823286 -34.450370522,-177.350093286 -34.456266522,-177.367398286 -34.462093522,-177.384737286 -34.4678515219999,-177.402111286 -34.473540522,-177.419519286 -34.479160522,-177.436961286 -34.4847115219999,-177.454435286 -34.490192522,-177.471943286 -34.495604522,-177.489482286 -34.5009465219999,-177.507054286 -34.506218522,-177.524657286 -34.511421522,-177.542291286 -34.516553522,-177.559956286 -34.5216155219999,-177.577651286 -34.5266075219999,-177.595376286 -34.531528522,-177.613130287 -34.5363795219999,-177.630913287 -34.5411595219999,-177.648725287 -34.545869522,-177.666565287 -34.550507522,-177.684433287 -34.555075522,-177.702328287 -34.5595725219999,-177.720250287 -34.563997522,-177.738198287 -34.5683515219999,-177.756172287 -34.5726335219999,-177.774172287 -34.5768445219999,-177.792197287 -34.5809845219999,-177.810247287 -34.585051522,-177.828321287 -34.5890475219999,-177.846419287 -34.592971522,-177.864540287 -34.596823522),(-176.848755096 -43.815973046,-176.83375501 -43.842091056,-176.792264086 -43.840844835,-176.683226925 -43.8309820169999,-176.663482011 -43.8106999899999,-176.654191006 -43.8001448269999,-176.631408993 -43.801663963,-176.618055113 -43.805009013,-176.579863977 -43.8226448729999,-176.564455021 -43.834726883,-176.553644881 -43.845835923,-176.532408994 -43.8737448109999,-176.517790954 -43.9077820429999,-176.517117888 -43.9187549599999,-176.523372967 -43.9361090199999,-176.563326985 -43.97471791,-176.630864002 -44.006817917,-176.645044841 -44.0111180009999,-176.655064065 -44.011982008,-176.62889107 -44.042781982,-176.608918 -44.082226883,-176.610290956 -44.094026926,-176.602082055 -44.120282065,-176.577482007 -44.123326875,-176.545017891 -44.1249999029999,-176.533355143 -44.1249999029999,-176.522281978 -44.123064018,-176.512264095 -44.120554979,-176.377226941 -44.056117925,-176.354735947 -44.012508894,-176.451944902 -43.954999986,-176.498082082 -43.8699908909999,-176.532808978 -43.7839000279999,-176.535555057 -43.771673011,-176.527217913 -43.7555730509999,-176.511418026 -43.7494448739999,-176.435026869 -43.7550089489999,-176.424473047 -43.75610899,-176.397826977 -43.763073011,-176.371945001 -43.770844879,-176.36182687 -43.7775089949999,-176.351944941 -43.790563977,-176.313664119 -43.796390908,-176.269199966 -43.763890917,-176.330599922 -43.748890998,-176.374417997 -43.748890998,-176.385835993 -43.748890998,-176.452235922 -43.736117983,-176.463344961 -43.730555082,-176.479190949 -43.72402692,-176.557799958 -43.7175089849999,-176.604735933 -43.7288909389999,-176.749173057 -43.772499969,-176.842517954 -43.8030550239999,-176.848755096 -43.815973046)))', 'New Zealand Exclusive Economic Zone', 'New Zealand', 'New Zealand', '', '162', '162', 'NZL', '8455', '2012-10', '4098906808000', '8455', 'Y'),('SRID=4326;MULTIPOLYGON(((34.1341632690001 27.7958271210001,34.1879361960001 27.7871449780001,34.216382196 27.7652732400001,34.2544362040001 27.7286091190001,34.2558270970001 27.7647180220001,34.258891186 27.7902731040001,34.272218244 27.818054084,34.29416324 27.8544449550001,34.3272181140001 27.868891165,34.4311091220001 27.974444975,34.4419361940001 27.996945021,34.4461092080001 28.021109042,34.4516632250001 28.1741641030001,34.4301002760001 28.200900027,34.4141632600001 28.2304180730001,34.4091632870001 28.31874506,34.4566633650001 28.4352731280001,34.5247182160001 28.5619449750001,34.5486091550001 28.6050001300001,34.5855451850001 28.6622180190001,34.6052731680001 28.691664148,34.627427208 28.7354180180001,34.622500158 28.7594450780001,34.622491273 28.839300141,34.6655541390001 29.0391641080001,34.6899912430001 29.1355539830001,34.744163315 29.2913821130001,34.7613822590001 29.334718061,34.8587451060001 29.4722181540001,34.8829091270001 29.4845090420001,34.902429711 29.486564797,34.904195573 29.486131211,34.9126672250001 29.4698250160001,34.921211 29.45338,34.918790304 29.4455431660001,34.918094416 29.443290276,34.90857806 29.431557001,34.9085118260001 29.428057214,34.90848472 29.426624922,34.906773571 29.4202679380001,34.905933712 29.4188872240001,34.9041613320001 29.41597346,34.9038723690001 29.415464978,34.903423936 29.4146758790001,34.9019196610001 29.411837706,34.9009576660001 29.409784497,34.900098379 29.4079505010001,34.9000070610001 29.407768348,34.8999358730001 29.4076263490001,34.8974974550001 29.4023836040001,34.892955204 29.3926174900001,34.8923022290001 29.3911328350001,34.8922190920001 29.3909553600001,34.8918829020001 29.390237686,34.890326761 29.3863450740001,34.8897986370001 29.3853846210001,34.8890903080001 29.3840964460001,34.888836601 29.3834824080001,34.8886327450001 29.3829890230001,34.884630965 29.3755262290001,34.884295992 29.375047555,34.8818915140001 29.3689694780001,34.877683743 29.36146747,34.8745831800001 29.3537970620001,34.873912369 29.3522404600001,34.8734858220001 29.3512506700001,34.8712687820001 29.3458768140001,34.8703569310001 29.3435009,34.869213293 29.340521046,34.8678264540001 29.3379494120001,34.866920926 29.33624975,34.8639057400001 29.3300468040001,34.860655079 29.3258905550001,34.855545642 29.3190599530001,34.8554846260001 29.318890805,34.85153238 29.3103536190001,34.8388975710001 29.2819656240001,34.836096277 29.276239058,34.8346875570001 29.2733353520001,34.8346217260001 29.2715239290001,34.834100403 29.270352046,34.833321454 29.2677935250001,34.830940078 29.259037248,34.826817082 29.2468597920001,34.8242284630001 29.2385286320001,34.824108009 29.234765494,34.8243463420001 29.2273856520001,34.8241496850001 29.2244582280001,34.822453948 29.216883006,34.8219858430001 29.2149268760001,34.8219443510001 29.214715531,34.8172952100001 29.195528073,34.8151354390001 29.188398525,34.8123674930001 29.17532549,34.8122652210001 29.1749104720001,34.811266313 29.173059849,34.8110629490001 29.1725956240001,34.8063179390001 29.1621611250001,34.7985023430001 29.1442775460001,34.7974891470001 29.1400561580001,34.7974670130001 29.139995481,34.795695994 29.1349362780001,34.792614262 29.1283339890001,34.7863596290001 29.115739767,34.781279372 29.104996149,34.781264548 29.104912042,34.780982045 29.1034541270001,34.7808856870001 29.103133907,34.78051098 29.1011574250001,34.77837463 29.093355338,34.7778374230001 29.0922692460001,34.776788889 29.0902444160001,34.7756605000001 29.086187324,34.772915798 29.0774137700001,34.7695543950001 29.067102248,34.7689093000001 29.065467901,34.7659003150001 29.058117069,34.765618854 29.0565685710001,34.7644044830001 29.0482168180001,34.7644793580001 29.0477844330001,34.7652962270001 29.0399210750001,34.7671615890001 29.024073801,34.7686330830001 29.0100757820001,34.769493073 29.005392278,34.768213057 28.999524642,34.7669802520001 28.993675549,34.7666804260001 28.9912286260001,34.7659617190001 28.9862260530001,34.764978007 28.977282179,34.7618433480001 28.957498828,34.7613703550001 28.9564799250001,34.761134392 28.955989646,34.760470239 28.9545589050001,34.7570901390001 28.948212305,34.7546388820001 28.943758315,34.7538401530001 28.9421456380001,34.7423382210001 28.920741068,34.741492728 28.9196975670001,34.741422233 28.9196125870001,34.739772954 28.917608452,34.739613433 28.9170706080001,34.738851767 28.912036664,34.738662725 28.9093455610001,34.737646107 28.8980249570001,34.736638715 28.883762661,34.736623545 28.881278922,34.736376835 28.8733963330001,34.7374685730001 28.8632723910001,34.7399964740001 28.8485398550001,34.7368808050001 28.8320182030001,34.7355473200001 28.8255703610001,34.7349316680001 28.8224006670001,34.729663499 28.8139755280001,34.7239099080001 28.805003809,34.7222745500001 28.798191236,34.721368033 28.7895682000001,34.7211107270001 28.7861685300001,34.721020674 28.7846014880001,34.721268288 28.779993145,34.7204221630001 28.769110115,34.719327805 28.7647340120001,34.7163278030001 28.749761215,34.716164082 28.7492752360001,34.714519146 28.744588435,34.713791062 28.738943842,34.7126399300001 28.7312218390001,34.712441508 28.7303492,34.711750362 28.727500621,34.708007256 28.716620977,34.704952646 28.70903371,34.704573328 28.708127511,34.7027251270001 28.7034460310001,34.6977632270001 28.690070545,34.696661023 28.6875660360001,34.6955184890001 28.684694656,34.6951925880001 28.6839863320001,34.6941084170001 28.681747251,34.6924916890001 28.6775142980001,34.692365533 28.6771544310001,34.691315569 28.6740186220001,34.690225845 28.6706139240001,34.688354917 28.6644684080001,34.6878269000001 28.6623741880001,34.687776549 28.6621620070001,34.682254476 28.6374545370001,34.681989322 28.6355203520001,34.6820266920001 28.6342217230001,34.685011441 28.6179337140001,34.6850179190001 28.6078254010001,34.6849562310001 28.607591665,34.6841757010001 28.604203252,34.680842237 28.5886569510001,34.6775583460001 28.577405345,34.6751214130001 28.568509224,34.6705087730001 28.5538278180001,34.6679531820001 28.544876511,34.6672352900001 28.544047345,34.6640785660001 28.5406296690001,34.663493999 28.539629786,34.6603493490001 28.5337396480001,34.6591824670001 28.5315063200001,34.6549913270001 28.523901015,34.6476195810001 28.5117047110001,34.647219122 28.5094668570001,34.6449904780001 28.5007418880001,34.6432414110001 28.4924219490001,34.641843098 28.486701951,34.638464706 28.475018424,34.6348007820001 28.462966636,34.6344400040001 28.4616542200001,34.6322475480001 28.4573142200001,34.6278821860001 28.447373278,34.623985238 28.438170202,34.6219137620001 28.4331437110001,34.6167716260001 28.42112752,34.6154521180001 28.4179118500001,34.6123262250001 28.412332344,34.6041894570001 28.399693857,34.6026735510001 28.39720864,34.598534821 28.3906079160001,34.596944696 28.3881588520001,34.584733387 28.3728214230001,34.5839866260001 28.372053653,34.5835099500001 28.3703666100001,34.5822765720001 28.366143105,34.5818413540001 28.3646969380001,34.576285784 28.3473110460001,34.5750472190001 28.3438395150001,34.5685863680001 28.3331312880001,34.55818881 28.3117508500001,34.5513017320001 28.2969167100001,34.5495052730001 28.2934985420001,34.5445315690001 28.284309787,34.5448072620001 28.274847659,34.544209075 28.2632485450001,34.543501629 28.260911477,34.543685356 28.2495702260001,34.543856744 28.244116589,34.5433688410001 28.2397060530001,34.5411621390001 28.22223052,34.5400997720001 28.2152290870001,34.539858979 28.209508366,34.5397705880001 28.208295052,34.533823614 28.1886712620001,34.5332803520001 28.187172407,34.5322173810001 28.1839300180001,34.5297395360001 28.1754474860001,34.529273806 28.1735735020001,34.525683116 28.1616983260001,34.524903839 28.1599291420001,34.5192918020001 28.146147576,34.519169511 28.1459035880001,34.517548715 28.1424030810001,34.5147717840001 28.1358888300001,34.5121703340001 28.129355081,34.5112307420001 28.121185747,34.510937944 28.11721421,34.5091302320001 28.10859385,34.507606235 28.0989644060001,34.50731647 28.0966337260001,34.5068655530001 28.0937644840001,34.506133204 28.0881938420001,34.506024677 28.081165146,34.5068374480001 28.0785203310001,34.5088020480001 28.07262983,34.509287439 28.0707854190001,34.5008432160001 28.060728324,34.497200359 28.056639708,34.4917930720001 28.0493954090001,34.484667662 28.040734162,34.484603527 28.0405857550001,34.4838355790001 28.03838792,34.4789004130001 28.0258484820001,34.477104357 28.022046108,34.4752143760001 28.015480301,34.4712167860001 28.0057424180001,34.469876051 28.003342645,34.469211805 27.9958477910001,34.468758543 27.98725804,34.4676024280001 27.982866147,34.4664280700001 27.972856118,34.466426487 27.972846572,34.466038665 27.9717721110001,34.4651178680001 27.9687446020001,34.4634496200001 27.964008064,34.4634411650001 27.9639602450001,34.4626803150001 27.9543174350001,34.4603228830001 27.9478974940001,34.458205197 27.9430511840001,34.4563774010001 27.9373908760001,34.450494022 27.916737826,34.4481999220001 27.9081067330001,34.448954869 27.898952842,34.4496847360001 27.884159551,34.4497059400001 27.8839359250001,34.449863276 27.8812647410001,34.456185631 27.848706862,34.456307479 27.84814299,34.458048671 27.823386828,34.4581770360001 27.818032198,34.458672818 27.8166635640001,34.459909356 27.813477,34.4615637700001 27.809061752,34.46592001 27.796063469,34.4952302880001 27.710591107,34.5112408630001 27.6902970900001,34.5346591470001 27.6592935260001,34.56711963 27.617227063,34.6166705050001 27.5517132620001,34.6854705910001 27.4152493180001,34.708009325 27.3705440750001,34.7086916530001 27.3691895690001,34.7255415760001 27.3357403300001,34.7194204480001 27.227918231,34.7258377310001 27.2015040810001,34.732778829 27.1880665890001,34.758963726 27.1372817110001,34.7710536610001 27.1109336700001,34.773633209 27.105311966,34.7749423880001 27.1024124800001,34.7781825920001 27.095236282,34.8242219590001 27.0450771230001,34.841205933 27.0404778000001,34.9804206540001 27.0031762460001,34.983069276 27.0017733500001,35.1545432030001 26.846379615,35.212205926 26.7941325030001,35.2780783530001 26.736815155,35.338447274 26.6806552940001,35.368752495 26.6525198630001,35.406735778 26.6167040720001,35.520907019 26.3030704130001,35.548753661 26.2268571130001,35.5958484060001 26.09674145,35.5997903520001 26.0834246320001,35.6001171790001 26.082320533,35.588247322 25.9609962050001,35.588247316 25.960996143,35.569995781 25.774443343,35.5819291980001 25.75646378,35.6071354470001 25.6436425430001,35.613741438 25.6136264140001,35.622022089 25.576001009,35.6262923570001 25.5571899560001,35.6304735640001 25.5387712260001,35.686553917 25.4149910730001,35.709957703 25.3622135470001,35.7786927290001 25.203640604,35.850846926 25.121234751,35.8626472380001 25.107693845,35.898120394 25.067455538,35.9068062630001 25.057602887,35.9070389290001 25.0572075530001,35.907040212 25.0572053720001,35.908467726 25.054779819,35.942307688 24.997079548,35.952014971 24.980564719,35.9554712 24.974699468,35.9611289700001 24.965257905,35.9698656590001 24.9559310930001,36.013108581 24.9097098,36.1123539600001 24.803694939,36.156022309 24.709085327,36.1658935950001 24.688780131,36.2986425550001 24.555581182,36.317448653 24.5366626950001,36.3376838840001 24.4896685570001,36.338926508 24.486771247,36.432017849 24.2695562230001,36.4418052790001 24.246766139,36.4794419580001 24.213495568,36.4855245160001 24.207184376,36.657084271 24.031141086,36.668842553 24.019085795,36.6966486160001 23.99048091,36.7314019770001 23.9555348710001,36.743547698 23.943328416,36.8498932900001 23.8444317500001,37.0275646970001 23.6781692600001,35.999727249 23.3792514800001,35.9987201690001 23.3789558410001,35.9882469180001 23.375549316,35.939693451 23.3536930080001,35.7517757420001 23.235603333,35.6563949580001 23.1739940640001,35.624790451 23.1423895570001,35.62482915 23.1423287390001,35.624829053 23.142328702,35.601391284 23.1791641900001,35.578891239 23.2158271370001,35.569300162 23.2387451050001,35.5549912480001 23.3094449500001,35.5522181790001 23.3383360290001,35.5524912610001 23.3700001770001,35.5401361680001 23.4106270940001,35.4991632460001 23.4713821460001,35.4918731700001 23.49458208,35.503882258 23.5930540200001,35.5122182280001 23.671944996,35.514236087 23.720064161,35.5000002630001 23.7440270170001,35.475827189 23.811945075,35.4858361880001 23.9429180130001,35.5044361340001 23.9680539990001,35.5211092480001 23.980273138,35.543045191 23.984309024,35.552845145 23.962082061,35.6125001560001 23.933191149,35.811173222 23.907009101,35.7830541160001 23.95694496,35.759027223 23.982500042,35.7268182510001 24.004582166,35.7030540470001 24.015000033,35.5991632070001 24.0766641860001,35.483600231 24.15000014,35.448054088 24.181945081,35.430273222 24.2252731510001,35.4194451440001 24.2427732240001,35.383045053 24.2905540950001,35.3369362030001 24.332500156,35.2900002280001 24.36680913,35.2349911380001 24.4072181180001,35.2213822800001 24.4222180360001,35.1386091420001 24.5175001590001,35.141936087 24.5413822130001,35.0883271110001 24.7181910850001,34.9863822130001 24.923882151,34.936391201 25.011109097,34.9141632320001 25.045554026,34.8802731860001 25.0961091400001,34.8494450490001 25.1408270960001,34.8194450440001 25.194444957,34.7708271550001 25.2844449720001,34.669163219 25.4872181310001,34.634436156 25.562773109,34.625273227 25.581109025,34.5504821750001 25.724718017,34.5312452040001 25.7454181320001,34.5091632480001 25.7605540060001,34.490409243 25.777773117,34.438045146 25.8452730860001,34.3241632450001 26.026109127,34.222773229 26.20277316,34.214163339 26.2216641260001,34.2011091950001 26.250554032,34.181936094 26.2997180850001,34.143054122 26.372218027,34.074436174 26.5116642300001,34.0099912410001 26.613891095,33.9905541100001 26.6309730790001,33.95374515 26.6411091460001,33.938327142 26.6552732220001,33.9323540300001 26.684164133,33.947773211 26.8188821050001,33.943473295 26.935691134,33.8356912400001 27.1176361010001,33.829991211 27.1611090100001,33.8383271810001 27.1994449850001,33.8373540420001 27.2366641560001,33.8287451570001 27.255409109,33.770827212 27.282500091,33.7380541380001 27.293891097,33.719991136 27.3061090620001,33.704163253 27.320000055,33.6888822060001 27.34055399,33.684163362 27.3725731960001,33.668054182 27.424236062,33.6330451520001 27.4900001390001,33.5611002590001 27.568336065,33.4947181000001 27.643891044,33.4747182090001 27.8275001540001,33.4947181000001 27.8373540870001,33.515273209 27.830973111,33.550827231 27.8122181000001,33.579718142 27.790554066,33.5816632470001 27.8163911140001,33.571109257 27.8547180370001,33.5588822400001 27.883054067,33.516663264 27.9444449700001,33.4851360760001 27.9838910450001,33.469445153 27.9963911450001,33.432500239 28.0186090550001,33.410827151 28.0291642180001,33.334445047 28.0750001530001,33.2250001900001 28.1822181060001,33.1791632490001 28.228882173,33.1261091550001 28.283609128,33.076663302 28.367773159,33.0158271130001 28.459718111,32.999163219 28.48444506,32.935273168 28.545136074,32.860836168 28.6263910820001,32.8372181440001 28.701664093,32.8294362170001 28.7244451,32.820000206 28.7480540720001,32.8041632700001 28.7769449830001,32.7886091400001 28.791800063,32.757518147 28.801309164,32.7369362160001 28.816109091,32.688609179 28.867773131,32.618745178 28.9840271100001,32.634227224 29.0612450580001,32.662636176 29.093682186,32.662218087 29.113891122,32.6575912760001 29.119464249,32.6469450860001 29.1736091650001,32.6308271890001 29.2365270830001,32.59638226 29.340554045,32.5672180990001 29.3825001060001,32.43781811 29.492164234,32.401109229 29.5119450230001,32.3682541800001 29.544509052,32.3408270840001 29.5948641730001,32.360836196 29.6830540330001,32.409163232 29.7555539750001,32.4469361110001 29.795273132,32.481945142 29.869300089,32.459027174 29.8975001640001,32.4776361730001 29.9368000590001,32.563254129 29.956835992,32.575618107 30.0027091430001,32.5777732620001 29.9513822230001,32.57666333 29.9200000430001,32.6079092210001 29.823609162,32.6490271500001 29.7883540390001,32.6747181870001 29.7583270440001,32.6943633560001 29.723473079,32.6831181950001 29.6693001680001,32.6897181050001 29.61639108,32.7222180970001 29.5108270440001,32.741391197 29.4547180810001,32.89082712 29.233191085,32.928891187 29.209854023,32.9487450660001 29.2068090450001,33.1725633390001 28.9950642330001,33.167218199 28.974309132,33.165836191 28.9533270490001,33.167773249 28.8611090150001,33.199582236 28.662291109,33.221109143 28.6080539930001,33.2427731770001 28.554445016,33.286945137 28.505000169,33.306109185 28.48500011,33.411382201 28.3800001760001,33.433882247 28.3608361280001,33.5204822270001 28.3132641330001,33.5634002530001 28.2947179990001,33.5991633200001 28.2394359950001,33.6269360850001 28.1933360300001,33.7124911770001 28.0816641010001,33.7633270850001 28.021945053,33.805545055 27.9888911850001,33.8255541660001 27.975000192,33.9730540370001 27.8877730790001,34.1341632690001 27.7958271210001)),((31.1166666670001 33.3555555560001,31.6083333330001 33.1916666670001,32.022222222 33.1222222220001,32.516666667 33.011111111,32.9676483710001 32.8901160200001,32.967665073 32.890111539,32.972222222 32.888888889,32.9909814230001 32.8849555670001,33.0342572500001 32.829211892,33.7227879920001 31.785865658,33.7512430080001 31.7460381220001,33.8913224630001 31.5858245700001,34.2186510970001 31.322977886,34.216528393 31.3231948530001,34.2097185320001 31.3165271710001,34.108054532 31.2527721710001,34.0469365320001 31.2256911700001,33.9852725320001 31.20138117,33.9319365320001 31.1822181700001,33.871381532 31.16527217,33.806663531 31.1488911700001,33.743890531 31.13332717,33.6730455310001 31.12000017,33.6366635310001 31.1155541700001,33.604163531 31.1136091700001,33.5841635310001 31.11443617,33.5295815310001 31.11750017,33.4844455310001 31.1275001700001,33.454372531 31.1417361700001,33.412499531 31.1548631700001,33.3103635310001 31.11437217,33.251390531 31.08944517,33.206109531 31.06805417,33.143609531 31.05832717,33.1497185310001 31.1016631700001,33.1156185310001 31.1925001700001,33.028609531 31.1538911700001,32.781109531 31.0461091700001,32.7117995300001 31.03353617,32.6697185300001 31.05166317,32.5993455300001 31.0601451700001,32.5522185300001 31.07145417,32.49979053 31.1159721700001,32.48110953 31.1425001700001,32.46249053 31.1605541700001,32.40221853 31.21471817,32.32958153 31.2693001710001,32.27610953 31.278609171,32.25628153 31.2817181710001,32.2147545300001 31.2824271710001,32.24749953 31.271109171,32.2564275300001 31.2697181710001,32.2743725300001 31.266736171,32.2986095300001 31.2091631700001,32.29110953 31.1694451700001,32.28810953 31.1689721700001,32.2797905300001 31.12430017,32.25300953 31.10748117,32.23004553 31.10326317,32.1920095300001 31.12485417,32.1374995300001 31.0933271700001,32.1415545300001 31.0873181700001,32.14624553 31.0786091700001,32.1430635300001 31.0741631700001,32.0780455300001 31.0825001700001,32.05193653 31.1288811700001,32.03608153 31.1432001700001,32.03568153 31.17486317,32.0430545300001 31.1936091700001,32.0279185300001 31.2156911700001,32.00609953 31.2175001700001,31.95520953 31.2018001700001,31.9272905300001 31.1820091700001,31.8369365300001 31.2461091710001,31.7982275300001 31.2846911710001,31.77746353 31.277391171,31.8605545300001 31.514509171,31.9096545300001 31.5275631710001,31.9333365300001 31.513472171,31.9779185300001 31.433191171,31.99236353 31.402636171,32.01721853 31.380554171,32.06422753 31.3563181710001,32.0780455300001 31.356390171,32.0899995300001 31.343609171,32.11263653 31.3274991710001,32.1672185300001 31.300554171,32.20249053 31.2909361710001,32.1034635300001 31.354027171,32.08662753 31.3607541710001,32.06179953 31.3702721710001,32.04138153 31.382218171,32.00916353 31.4163811710001,31.98499953 31.4458271710001,31.9631905300001 31.4756911710001,31.9505455300001 31.505163171,31.9214815300001 31.5298811710001,31.8935185300001 31.5391091710001,31.8716995300001 31.5349181710001,31.8402725300001 31.5205541710001,31.80916353 31.5036091710001,31.75555453 31.479163171,31.666945529 31.4558271710001,31.598472529 31.4433271710001,31.571099529 31.441945171,31.5569455290001 31.442218171,31.5209725290001 31.448609171,31.433609529 31.4847181710001,31.3496365290001 31.5295631710001,31.3386095290001 31.534163171,31.267918529 31.560827171,31.2258275290001 31.574445171,31.188327529 31.585000171,31.133327529 31.597772171,31.0983275290001 31.601663171,31.0122185290001 31.597009171,30.977845529 31.583536171,31.033881529 31.5708271710001,31.0655545290001 31.5652721710001,31.1072185290001 31.545136171,31.1264545290001 31.4966631710001,31.0999995290001 31.4902721710001,31.0072185290001 31.480272171,30.9641635290001 31.4477721710001,30.9024995290001 31.4202721710001,30.743609529 31.408609171,30.5938815280001 31.3802721710001,30.5441635280001 31.3931911710001,30.567772528 31.423572171,30.7036095290001 31.4658271710001,30.9561045290001 31.5756901710001,30.8458365290001 31.5488811710001,30.8070455290001 31.538554171,30.770554529 31.525000171,30.7255545290001 31.509581171,30.691390529 31.4991631710001,30.597218528 31.4722181710001,30.5744455280001 31.4669451710001,30.499999528 31.452354171,30.4792995280001 31.452218171,30.445272528 31.461109171,30.4116635280001 31.475000171,30.3919455280001 31.4936091710001,30.3554455280001 31.502845171,30.375409528 31.4555541710001,30.389435528 31.4418911710001,30.354445528 31.4483271710001,30.3019365280001 31.3352811710001,30.300281528 31.2688911710001,30.289718528 31.2373541700001,30.213054528 31.21291817,30.143190528 31.22194517,30.096009528 31.278381171,30.0644455280001 31.3202721710001,30.0458275280001 31.307218171,29.999445528 31.273609171,29.8038905280001 31.13555417,29.7452815280001 31.10360917,29.6883275280001 31.06805417,29.6347185280001 31.03444517,29.600554528 31.0111091700001,29.598054528 31.0086091700001,29.575272528 30.9936091700001,29.524999527 30.9613911700001,29.483327527 30.9377721700001,29.3372185270001 30.8769451700001,29.2524995270001 30.85027217,29.2249995270001 30.84221817,29.1799995270001 30.8302721700001,29.1477815270001 30.82389117,29.1213905270001 30.82139117,29.069445527 30.8216631700001,29.034999527 30.8241631700001,28.981390527 30.8391631700001,28.8953455270001 30.8735361700001,28.8270815270001 30.9208271700001,28.8150635270001 30.9477091700001,28.755272527 30.97500017,28.718327527 30.9880541700001,28.5599995270001 31.0322181700001,28.429718526 31.0788911700001,28.403472526 31.0838911700001,28.356663526 31.0736091700001,28.2730545260001 31.0688811700001,28.1877725260001 31.0727721700001,27.921390526 31.0980541700001,27.902636526 31.1097181700001,27.8933275260001 31.13971817,27.883609526 31.18139117,27.8645815260001 31.23000017,27.844163526 31.2437451710001,27.800763526 31.2131911700001,27.655063526 31.1729181700001,27.571109526 31.1886091700001,27.458881526 31.21721817,27.438890526 31.22277217,27.4122185260001 31.2361091700001,27.395272526 31.249718171,27.3774995250001 31.2715271710001,27.368190525 31.295691171,27.359163525 31.3288911710001,27.3454185250001 31.368891171,27.323190525 31.3761091710001,27.2798635250001 31.377918171,27.2483365250001 31.3752721710001,27.165136525 31.3793001710001,27.0627725250001 31.3991631710001,26.893054525 31.433891171,26.7744365250001 31.4605541710001,26.644718525 31.484163171,26.5044455250001 31.4986091710001,26.373054525 31.513609171,26.351109525 31.517772171,26.309163525 31.527500171,26.173336524 31.563054171,26.093054524 31.5913911710001,26.0086095240001 31.610554171,25.9855545240001 31.614163171,25.9472185240001 31.6177721710001,25.8811095240001 31.6200001710001,25.8480545240001 31.617218171,25.8111095240001 31.6108361710001,25.6844455240001 31.5775001710001,25.5672185240001 31.5413811710001,25.481109524 31.518609171,25.4002725240001 31.5016631710001,25.3144455240001 31.501454171,25.1738905230001 31.540763171,25.152218523 31.6351361710001,25.151663523 31.646945171,25.1612885230001 31.648559171,25.161288971 31.648559409,25.1612881890001 31.648559274,25.537632536 31.848798237,25.548522991 31.917011529,25.5608764190001 31.978285747,25.6680980030001 32.201566929,25.713049416 32.2937995560001,25.780590954 32.429734776,26.0631851150001 32.9919810870001,26.2072094320001 33.264417097,26.207209951 33.2644180790001,26.252170157 33.2620845960001,26.940077396 33.2756996850001,27.3237921640001 33.3137498070001,27.8025918390001 33.392287073,27.853551587 33.4040524010001,28.0405818180001 33.4097676270001,28.320854997 33.4176794260001,28.8018108300001 33.471373332,29.248916364 33.726132078,29.5604190780001 33.7645966590001,29.9522837120001 33.811342376,30.083333333 33.7500000000001,30.4750000000001 33.5666666670001,30.6111111110001 33.511111111,31.1166666670001 33.3555555560001)))', 'Egyptian Exclusive Economic Zone', 'Egypt', 'Egypt', '', '214', '214', 'EGY', '8490', '2012-10', '236580643800', '8490', 'Y'),('SRID=4326;MULTIPOLYGON(((139.201140838 -10.831851915,139.3844528 -11.148475,140.0011194 -10.9818083,141.660231832 -9.97407469899997,141.945360958 -9.79938431199997,142.001125 -9.76516939999993,142.0594583 -9.75516939999994,142.251024088 -9.72177789199998,142.351937521 -9.70418784299994,142.3844583 -9.69850279999997,142.403852188 -9.69747541499993,142.437924875 -9.69567042499995,142.596690001 -9.68715135799994,142.8511028 -9.67349999999993,142.950799629 -9.66796862599995,143.0011028 -9.66516669999993,143.008601967 -9.65467193299997,143.040918113 -9.60943776699997,143.0844361 -9.54849999999993,143.195723972 -9.54852218099995,143.248464917 -9.54852025199995,143.33071422 -9.54850131999996,143.3344361 -9.54849999999993,143.5011028 -9.39849999999996,143.8011028 -9.36516669999997,144.2511111 -9.49851939999996,144.252321268 -9.49937812099995,144.656780978 -9.79237275599996,144.7344444 -9.84851939999993,146.5010778 -12.3318194,147.1427444 -12.6401528,147.667727853 -12.9381987199999,148.0844111 -13.1734860999999,152.1177333 -14.6318082999999,154.2510667 -14.7484749999999,156.6177333 -14.0818083,157.038333333 -14.0677777779999,157.716820647 -14.683294662,158.760987648 -15.735239663,158.380431648 -16.424406663,158.274042647 -16.5807956639999,157.642098647 -17.5077396639999,157.366542647 -17.9110736649999,156.945709646 -18.5402406649999,156.624875646 -18.9316296659999,156.255709646 -19.286629666,156.826264646 -20.1410736669999,157.052653646 -20.541074667,157.076264646 -20.7144076669999,157.107098646 -20.8924636679999,157.171542646 -21.2157966679999,157.243487646 -21.7891306679999,157.217931646 -22.1752416689999,157.312098647 -22.5271856689999,157.801264647 -23.2482976699999,158.547354648 -24.9983666709999,158.595187648 -25.110174671,158.595070648 -25.110338671,158.586055648 -25.122876671,158.576976648 -25.135378671,158.567834648 -25.147842671,158.558629648 -25.1602676709999,158.549361648 -25.172655672,158.540031648 -25.1850046719999,158.530443648 -25.197574672,158.520790648 -25.2101046719999,158.511073648 -25.222592672,158.501291648 -25.235040672,158.491444648 -25.247446672,158.481534648 -25.259810672,158.471559648 -25.2721326719999,158.461520648 -25.284412672,158.451418648 -25.2966506719999,158.441252648 -25.308844672,158.431023648 -25.320996672,158.420731648 -25.3331046719999,158.410376648 -25.3451686719999,158.399959648 -25.3571896719999,158.389479648 -25.369165672,158.378937648 -25.381097672,158.368333647 -25.392985672,158.357667647 -25.404827672,158.346939647 -25.416624672,158.336150647 -25.428376672,158.325300647 -25.440082672,158.314389647 -25.451742672,158.303418647 -25.463356672,158.292386647 -25.4749236719999,158.281294647 -25.4864446719999,158.270141647 -25.497917672,158.258929647 -25.5093436719999,158.247657647 -25.520722672,158.236327647 -25.532053672,158.224936647 -25.543336672,158.213488647 -25.554571672,158.201980647 -25.565757672,158.190414647 -25.576895672,158.178790647 -25.587983672,158.167108647 -25.5990226719999,158.155411647 -25.609977672,158.143656647 -25.6208836719999,158.131845647 -25.631739672,158.119977647 -25.642545672,158.108052647 -25.6533016719999,158.096072647 -25.664007672,158.084036647 -25.674662672,158.071944647 -25.685266672,158.059797647 -25.695819672,158.047595647 -25.7063216719999,158.035338647 -25.7167726719999,158.023027647 -25.7271716719999,158.010661647 -25.737517672,157.998241647 -25.747812672,157.985768647 -25.758054672,157.973240647 -25.768243672,157.960660647 -25.778380672,157.948026647 -25.788463672,157.935340647 -25.7984946719999,157.922602647 -25.8084706719999,157.909811647 -25.818393672,157.896968647 -25.8282626719999,157.884074647 -25.8380766719999,157.871128647 -25.847837672,157.858131647 -25.857542672,157.845083647 -25.8671936719999,157.831984647 -25.876789672,157.818836647 -25.8863296719999,157.805637647 -25.895814672,157.792389647 -25.905243672,157.779091647 -25.914616672,157.765744647 -25.923933672,157.752348647 -25.933194672,157.738903647 -25.942398672,157.725410647 -25.9515466719999,157.711869647 -25.960636672,157.698281647 -25.969670672,157.684644647 -25.978646672,157.670961647 -25.987564672,157.657231647 -25.9964256719999,157.643454647 -26.0052286719999,157.629631647 -26.013973672,157.615762647 -26.022659672,157.602467647 -26.030908672,157.589130647 -26.039103672,157.575752647 -26.047245672,157.562333647 -26.055332672,157.548874647 -26.063366672,157.535374647 -26.071345672,157.521833647 -26.079270672,157.508253647 -26.087140672,157.494633647 -26.094955672,157.480974647 -26.1027156719999,157.467276647 -26.110421672,157.453539647 -26.1180716719999,157.439146647 -26.126006672,157.424711647 -26.133880672,157.410234647 -26.141693672,157.395716647 -26.149445672,157.381158647 -26.157137672,157.366558647 -26.1647666719999,157.351919647 -26.172335672,157.337240647 -26.179841672,157.322521647 -26.187286672,157.307763647 -26.194669672,157.292966646 -26.201990672,157.278130646 -26.2092486719999,157.263257646 -26.216444672,157.248345646 -26.223577672,157.233395646 -26.230648672,157.218409646 -26.237655672,157.203385646 -26.244599673,157.188325646 -26.2514806729999,157.173228646 -26.258298673,157.158095646 -26.265052673,157.142927646 -26.2717426729999,157.127723646 -26.2783686729999,157.131472646 -26.293308673,157.135145646 -26.3082646729999,157.138743646 -26.3232346729999,157.142266646 -26.338219673,157.145714646 -26.353218673,157.149086646 -26.368231673,157.152383646 -26.3832586729999,157.155605646 -26.3982986729999,157.158750646 -26.413351673,157.161820646 -26.428417673,157.164815646 -26.443495673,157.167733646 -26.458585673,157.170575646 -26.473687673,157.173341646 -26.488800673,157.176032646 -26.503925673,157.178645646 -26.519060673,157.181183646 -26.534206673,157.183644646 -26.549363673,157.197000646 -26.5426216729999,157.210386646 -26.5359286729999,157.223801646 -26.529282673,157.237244646 -26.522686673,157.250716646 -26.5161386729999,157.264217646 -26.509638673,157.279141646 -26.5023206729999,157.294101646 -26.495062673,157.309096647 -26.4878636729999,157.324125647 -26.4807256729999,157.339189647 -26.473647673,157.354286647 -26.4666306729999,157.369417647 -26.4596736729999,157.384581647 -26.452776673,157.399779647 -26.4459416729999,157.415009647 -26.4391666729999,157.430272647 -26.4324536729999,157.445567647 -26.425800673,157.460825647 -26.419231673,157.476115647 -26.412723673,157.491436647 -26.406276673,157.506788647 -26.399890673,157.522170647 -26.393566673,157.537582647 -26.387303673,157.553024647 -26.3811016729999,157.568496647 -26.374961673,157.583997647 -26.368883673,157.599527647 -26.362867673,157.615085647 -26.356913673,157.630672647 -26.3510206729999,157.646286647 -26.3451916729999,157.661929647 -26.3394236729999,157.677599647 -26.333718673,157.693296647 -26.3280766729999,157.709020647 -26.3224966729999,157.724770647 -26.3169796729999,157.740547647 -26.3115256729999,157.756349647 -26.306134673,157.772177647 -26.300806673,157.788030647 -26.2955426729999,157.803909647 -26.2903406729999,157.819812647 -26.285202673,157.835739647 -26.280128673,157.851691647 -26.275117673,157.867666647 -26.2701706729999,157.883665647 -26.2652866729999,157.899687647 -26.2604676729999,157.915731647 -26.255711673,157.931799647 -26.251020673,157.947888647 -26.2463936729999,157.964000647 -26.241830673,157.979978647 -26.237311672,157.995978647 -26.232855672,158.011999647 -26.228462672,158.028041647 -26.2241326719999,158.044102647 -26.219866672,158.060184647 -26.2156646719999,158.076286647 -26.2115256719999,158.092407647 -26.2074506719999,158.108547647 -26.2034396719999,158.124706647 -26.199492672,158.140883647 -26.1956086719999,158.157079647 -26.191789672,158.173292647 -26.188034672,158.189523647 -26.184343672,158.205771647 -26.180717672,158.222037647 -26.177155672,158.238319647 -26.1736576719999,158.254617647 -26.170224672,158.270931647 -26.1668556719999,158.287261647 -26.163551672,158.303607647 -26.160312672,158.319968647 -26.157137672,158.336343647 -26.154027672,158.352733647 -26.1509826719999,158.369138647 -26.148002672,158.385556648 -26.1450876719999,158.401988648 -26.142236672,158.418433648 -26.139451672,158.434891648 -26.1367316719999,158.451362648 -26.1340766719999,158.467845648 -26.1314876719999,158.484340648 -26.1289626719999,158.500847648 -26.126503672,158.517764648 -26.124050672,158.534693648 -26.1216656719999,158.551633648 -26.1193496719999,158.568585648 -26.1171026719999,158.585547648 -26.114923672,158.602519648 -26.112813672,158.619501648 -26.1107726719999,158.636493648 -26.108800672,158.653494648 -26.1068966719999,158.670505648 -26.105062672,158.687524648 -26.1032976719999,158.704551648 -26.101600672,158.721587648 -26.099973672,158.738630648 -26.0984156719999,158.755680648 -26.0969266719999,158.772738648 -26.0955066719999,158.789802648 -26.0941556719999,158.806873648 -26.0928736719999,158.823949648 -26.0916616719999,158.841031648 -26.090518672,158.858119648 -26.089444672,158.875212648 -26.0884396719999,158.892309648 -26.087504672,158.909411648 -26.0866386719999,158.926516648 -26.085841672,158.943626648 -26.085114672,158.960738648 -26.0844566719999,158.977854648 -26.0838686719999,158.994972648 -26.0833496719999,159.012093648 -26.0828996719999,159.029216648 -26.0825196719999,159.046340648 -26.082208672,159.063466648 -26.081966672,159.080593648 -26.0817956719999,159.097720648 -26.081692672,159.114848648 -26.0816596719999,159.130642648 -26.0816876719999,159.146435648 -26.0817736719999,159.162229648 -26.081919672,159.178021648 -26.082124672,159.193812648 -26.082388672,159.209602648 -26.082711672,159.225391648 -26.083093672,159.241177648 -26.0835346719999,159.256962648 -26.084034672,159.272744648 -26.084593672,159.288524648 -26.085211672,159.304300648 -26.085888672,159.321458648 -26.0866866719999,159.338611648 -26.087555672,159.355760648 -26.088493672,159.372905648 -26.089501672,159.390044648 -26.0905796719999,159.407178648 -26.0917266719999,159.424306648 -26.0929436719999,159.441428648 -26.094230672,159.458544649 -26.095587672,159.475653649 -26.0970126719999,159.492755649 -26.098508672,159.509849649 -26.100073672,159.526936649 -26.101708672,159.544015649 -26.1034126719999,159.561085649 -26.1051856719999,159.578147649 -26.107028672,159.595199649 -26.108940672,159.612242649 -26.110921672,159.629275649 -26.112972672,159.646298649 -26.1150926719999,159.663311649 -26.1172826719999,159.680313649 -26.119540672,159.697304649 -26.1218686719999,159.714283649 -26.124264672,159.731250649 -26.126730672,159.748206649 -26.129264672,159.765149649 -26.1318686719999,159.782079649 -26.134540672,159.798996649 -26.137281672,159.815900649 -26.140091672,159.832790649 -26.1429706719999,159.849665649 -26.1459176719999,159.866527649 -26.1489336719999,159.883373649 -26.1520186719999,159.900204649 -26.1551716719999,159.917020649 -26.1583926719999,159.933820649 -26.161682672,159.950604649 -26.165040672,159.967372649 -26.168466672,159.984123649 -26.171960672,160.000856649 -26.1755226719999,160.017573649 -26.1791536719999,160.034271649 -26.182851672,160.050951649 -26.186617672,160.067613649 -26.1904516719999,160.084256649 -26.194353672,160.100880649 -26.198322672,160.117485649 -26.2023596719999,160.131753649 -26.2058776719999,160.146006649 -26.209446672,160.160244649 -26.213064672,160.174467649 -26.216731672,160.188674649 -26.220449672,160.202866649 -26.224216672,160.219350649 -26.2286576719999,160.235813649 -26.2331656719999,160.252254649 -26.237739672,160.268672649 -26.242381673,160.285068649 -26.2470896729999,160.301440649 -26.2518646729999,160.317789649 -26.2567056729999,160.334114649 -26.2616136729999,160.350416649 -26.2665886729999,160.366693649 -26.271628673,160.382945649 -26.276735673,160.399173649 -26.281907673,160.415375649 -26.2871466729999,160.431551649 -26.292450673,160.447701649 -26.2978206729999,160.463825649 -26.303256673,160.479923649 -26.3087576729999,160.495993649 -26.3143236729999,160.512037649 -26.319955673,160.52805265 -26.325652673,160.54404065 -26.331415673,160.56001565 -26.337225673,160.57596165 -26.343100673,160.59187965 -26.3490396729999,160.60776765 -26.355044673,160.62362665 -26.361113673,160.63945565 -26.367247673,160.65525465 -26.3734446729999,160.67102365 -26.3797066729999,160.68676165 -26.3860326729999,160.70246865 -26.3924226729999,160.71814465 -26.398876673,160.73378865 -26.4053946729999,160.74940065 -26.411975673,160.76497965 -26.418619673,160.78052765 -26.425327673,160.79604165 -26.4320986729999,160.81152265 -26.438932673,160.82696965 -26.4458296729999,160.84238365 -26.452789673,160.85776265 -26.4598116729999,160.87310765 -26.466896673,160.88841865 -26.474043673,160.90369365 -26.481252673,160.91893365 -26.488523673,160.93413765 -26.4958566729999,160.94930565 -26.503251673,160.96443665 -26.510708673,160.97953165 -26.518226673,160.99458965 -26.525805673,161.00961065 -26.533445673,161.02459365 -26.541147673,161.03953965 -26.548909673,161.05444665 -26.5567326729999,161.06931565 -26.5646156729999,161.08414565 -26.5725596729999,161.09893665 -26.580563673,161.11368765 -26.588627673,161.12839965 -26.596751673,161.14307165 -26.6049356729999,161.15770365 -26.6131796729999,161.17229465 -26.6214816729999,161.18684465 -26.629843673,161.20135365 -26.638264673,161.21582065 -26.6467446729999,161.23024665 -26.6552836729999,161.24463065 -26.6638806729999,161.25897165 -26.672536673,161.27326965 -26.681249673,161.28752565 -26.6900216729999,161.30173765 -26.698851673,161.31590665 -26.7077386729999,161.32949765 -26.716302673,161.34304765 -26.7249186729999,161.35655765 -26.7335876729999,161.37002565 -26.742308673,161.38345265 -26.7510826729999,161.39683865 -26.759909673,161.41018165 -26.768787673,161.42348365 -26.777718673,161.43674265 -26.7867006729999,161.44995965 -26.795735673,161.46313265 -26.8048206729999,161.47626365 -26.8139576729999,161.48935065 -26.8231456729999,161.50239365 -26.832385673,161.51539365 -26.8416756729999,161.52834865 -26.8510156729999,161.54125965 -26.8604066729999,161.55412665 -26.869848673,161.56737165 -26.8796336729999,161.58056865 -26.8894726729999,161.59371765 -26.899363673,161.606817651 -26.9093086729999,161.619868651 -26.9193056729999,161.632870651 -26.929354673,161.645823651 -26.9394566729999,161.658726651 -26.9496106729999,161.671580651 -26.959816673,161.684383651 -26.9700746729999,161.697135651 -26.9803836729999,161.709837651 -26.9907436729999,161.722488651 -27.001154673,161.735088651 -27.0116176729999,161.747636651 -27.0221306729999,161.760133651 -27.032693673,161.772486651 -27.0432256729999,161.784787651 -27.0538066729999,161.797037651 -27.0644366729999,161.809235651 -27.075115673,161.821380651 -27.0858426729999,161.833473651 -27.096618673,161.845513651 -27.107442673,161.857500651 -27.118315673,161.869434651 -27.129235673,161.881315651 -27.140203673,161.893141651 -27.151218673,161.904914651 -27.1622806729999,161.916632651 -27.173389673,161.928296651 -27.1845456729999,161.939905651 -27.195747673,161.951460651 -27.2069966729999,161.962959651 -27.218291673,161.974402651 -27.229632673,161.985790651 -27.2410186729999,161.997122651 -27.2524506729999,162.008398651 -27.263926673,162.019617651 -27.275448673,162.030780651 -27.2870156729999,162.041886651 -27.2986266729999,162.052934651 -27.310281673,162.063926651 -27.321980674,162.074859651 -27.3337236739999,162.082937651 -27.3424786739999,162.085735651 -27.345510674,162.096553651 -27.3573406739999,162.107313651 -27.369213674,162.118014651 -27.381129674,162.128656651 -27.393088674,162.139239651 -27.405089674,162.149376651 -27.416683674,162.159457651 -27.428315674,162.169483651 -27.439986674,162.179453651 -27.4516966739999,162.189368651 -27.463444674,162.199226651 -27.4752306739999,162.209029651 -27.487054674,162.218776651 -27.4989156739999,162.228466651 -27.510814674,162.238099651 -27.522750674,162.247676651 -27.534723674,162.257195651 -27.5467336739999,162.266657651 -27.5587796739999,162.276062651 -27.570861674,162.285409651 -27.5829796739999,162.294699651 -27.595134674,162.303735651 -27.607055674,162.312716651 -27.619010674,162.321640651 -27.630999674,162.331039651 -27.643711674,162.340375651 -27.656461674,162.349648651 -27.669248674,162.358858651 -27.6820716739999,162.368004651 -27.694931674,162.377086651 -27.7078276739999,162.386105651 -27.720760674,162.395059651 -27.733728674,162.403950651 -27.7467326739999,162.412776651 -27.759770674,162.421537651 -27.7728446739999,162.430233651 -27.785953674,162.438864651 -27.7990966739999,162.447430651 -27.812273674,162.455931651 -27.8254856739999,162.464366651 -27.838730674,162.472735651 -27.8520086739999,162.481038651 -27.865320674,162.489275651 -27.8786646739999,162.497445651 -27.892041674,162.505549651 -27.9054516739999,162.513587651 -27.9188926739999,162.521557651 -27.932366674,162.529460651 -27.9458716739999,162.537296651 -27.959407674,162.545065651 -27.9729756739999,162.552765651 -27.9865736739999,162.560398651 -28.000202674,162.567963651 -28.0138606739999,162.575460651 -28.0275496739999,162.582889651 -28.041268674,162.590248651 -28.0550166739999,162.597629651 -28.0689356739999,162.604939651 -28.082884674,162.612178651 -28.096862674,162.619347651 -28.110869674,162.626445651 -28.1249056739999,162.633472651 -28.138969674,162.640428651 -28.153061674,162.647312651 -28.1671826739999,162.654125651 -28.181329674,162.660866651 -28.1955046739999,162.667536651 -28.209706674,162.674133652 -28.223934674,162.680658652 -28.238189674,162.687111652 -28.2524706739999,162.693492652 -28.266777674,162.699799652 -28.2811096739999,162.706034652 -28.295466674,162.712196652 -28.309849674,162.718285652 -28.324255674,162.724300652 -28.338687674,162.730243652 -28.353142674,162.736111652 -28.367621674,162.741906652 -28.382123674,162.747627652 -28.3966496749999,162.753274652 -28.411197675,162.758846652 -28.425768675,162.764333652 -28.4403036749999,162.769745652 -28.454859675,162.775083652 -28.4694376749999,162.780347652 -28.484035675,162.785537652 -28.498655675,162.790652652 -28.5132966749999,162.795693652 -28.527957675,162.800659652 -28.542637675,162.805550652 -28.557338675,162.810366652 -28.5720586749999,162.815108652 -28.586797675,162.819774652 -28.6015556749999,162.824365652 -28.616331675,162.828880652 -28.631126675,162.833319652 -28.645938675,162.837683652 -28.6607686749999,162.841972652 -28.675616675,162.846184652 -28.6904806749999,162.850320652 -28.7053616749999,162.854380652 -28.720259675,162.858297652 -28.734911675,162.862140652 -28.749578675,162.865910652 -28.7642616749999,162.869605652 -28.778958675,162.873227652 -28.7936696749999,162.876774652 -28.8083956749999,162.880247652 -28.8231346749999,162.883646652 -28.8378876749999,162.886970652 -28.8526536749999,162.890220652 -28.867432675,162.893394652 -28.882223675,162.896495652 -28.8970276749999,162.899520652 -28.9118436749999,162.901785652 -28.923164675,162.904006652 -28.9344936749999,162.906644652 -28.9482096749999,162.909218652 -28.961934675,162.911728652 -28.975668675,162.914173652 -28.989412675,162.916554652 -29.0031646749999,162.918871652 -29.0169246749999,162.921123652 -29.030693675,162.923311652 -29.044470675,162.925433652 -29.0582556749999,162.927647652 -29.073076675,162.929786652 -29.0879056749999,162.931850652 -29.1027436749999,162.933839652 -29.117588675,162.935753652 -29.1324416749999,162.937592652 -29.1473016749999,162.939356652 -29.162169675,162.941044652 -29.1770436749999,162.942657652 -29.1919236749999,162.944195652 -29.2068106749999,162.945658652 -29.221702675,162.947045652 -29.236600675,162.948357652 -29.251503675,162.949593652 -29.266411675,162.950754652 -29.281324675,162.951838652 -29.296241675,162.952847652 -29.3111626749999,162.953791652 -29.326116675,162.954659652 -29.341072675,162.955451652 -29.3560326749999,162.956167652 -29.370995675,162.956806652 -29.385960675,162.957369652 -29.4009286749999,162.957855652 -29.4158986749999,162.958266652 -29.4308706749999,162.958599652 -29.4458436749999,162.958856652 -29.4608176749999,162.959037652 -29.475791676,162.959141652 -29.490767676,162.959169652 -29.505743676,162.959119652 -29.5207186759999,162.958994652 -29.5356936759999,162.958791652 -29.5506686759999,162.958512652 -29.5656416759999,162.958156652 -29.580614676,162.957723652 -29.5955846759999,162.957213652 -29.6105536759999,162.956627652 -29.625520676,162.955964652 -29.640484676,162.955223652 -29.6554456759999,162.954406652 -29.670403676,162.953512652 -29.685358676,162.952541652 -29.700309676,162.951493652 -29.715256676,162.950605652 -29.7272026759999,162.949667652 -29.739145676,162.951000652 -29.753710676,162.952260652 -29.768279676,162.953448652 -29.7828536759999,162.954563652 -29.797431676,162.955605652 -29.8120146759999,162.956575652 -29.8266006759999,162.957472652 -29.8411906759999,162.958296652 -29.8557836759999,162.959047652 -29.870379676,162.959725652 -29.8849776759999,162.960330652 -29.899578676,162.960660652 -29.9079226759999,162.961210652 -29.923215676,162.961680652 -29.938510676,162.962069652 -29.9538066759999,162.962379652 -29.969104676,162.962607652 -29.9844036759999,162.962756652 -29.999703676,162.962824652 -30.0150036759999,162.962812652 -30.030303676,162.962720652 -30.0456036759999,162.962546652 -30.060902676,162.962293652 -30.076201676,162.961959652 -30.091498676,162.961544652 -30.1067946759999,162.961049652 -30.122088676,162.960473652 -30.137379676,162.959816652 -30.152669676,162.959079652 -30.167955676,162.958261652 -30.183238676,162.957362652 -30.1985186759999,162.956383652 -30.213794676,162.955323652 -30.2290666759999,162.954182652 -30.2443346759999,162.952960652 -30.2595966759999,162.951658652 -30.274854676,162.950294652 -30.290009676,162.948850652 -30.305159676,162.947327652 -30.320302676,162.945724652 -30.335440676,162.944041652 -30.350571676,162.942278652 -30.365695676,162.940436652 -30.3808126759999,162.938513652 -30.3959216759999,162.936511652 -30.411023676,162.934429652 -30.4261176759999,162.932268652 -30.4412026759999,162.930026652 -30.456278676,162.927705652 -30.4713456759999,162.925304652 -30.486403676,162.922824652 -30.5014526759999,162.920263652 -30.5164906759999,162.917623652 -30.531518676,162.914903652 -30.546535677,162.907122652 -30.587325677,162.913795652 -30.601715677,162.920393652 -30.6161316769999,162.926915652 -30.630573677,162.933362652 -30.6450416769999,162.939733652 -30.659534677,162.946028652 -30.674052677,162.952247652 -30.688595677,162.958390652 -30.703163677,162.964457652 -30.717754677,162.970446652 -30.7323706769999,162.976360652 -30.7470086769999,162.982196652 -30.761671677,162.987956652 -30.776356677,162.993638652 -30.791063677,162.999243652 -30.8057936769999,163.004770652 -30.820545677,163.010220652 -30.835319677,163.015592652 -30.850114677,163.020886652 -30.864930677,163.026103652 -30.879767677,163.031241652 -30.894624677,163.036300652 -30.909501677,163.041281652 -30.9243996769999,163.046184652 -30.939315677,163.051008652 -30.9542516769999,163.055752652 -30.9692066769999,163.060418652 -30.984180677,163.065005652 -30.9991726769999,163.069512652 -31.014181677,163.073940652 -31.029209677,163.078289652 -31.044254677,163.082557652 -31.059315677,163.086746652 -31.0743946769999,163.090855652 -31.089489677,163.094884652 -31.104600677,163.098833652 -31.119726677,163.102701652 -31.1348686769999,163.106489652 -31.150025677,163.110197652 -31.165197677,163.113823652 -31.180384677,163.117369652 -31.1955856769999,163.120834652 -31.210799677,163.124219652 -31.2260276769999,163.127522652 -31.2412686769999,163.130743652 -31.256522677,163.133884652 -31.271789677,163.136943652 -31.287068677,163.139920652 -31.302358677,163.142816652 -31.3176616769999,163.145631652 -31.332974677,163.148363652 -31.3482996769999,163.151013652 -31.3636346769999,163.153582652 -31.378980677,163.156068652 -31.394335677,163.158472652 -31.4097006769999,163.160794652 -31.4250746769999,163.163033652 -31.440458677,163.165190652 -31.4558506769999,163.167264652 -31.4712506769999,163.169256652 -31.486658677,163.171165652 -31.5020746769999,163.172991652 -31.5174986769999,163.174735652 -31.532928677,163.176395652 -31.5483656769999,163.177972652 -31.5638096769999,163.179466652 -31.579258677,163.180877652 -31.594713677,163.182205652 -31.610174677,163.183449652 -31.625640678,163.184610652 -31.641110678,163.185688652 -31.6565856779999,163.186682652 -31.672064678,163.187592652 -31.6875466779999,163.188419652 -31.7030326779999,163.189162652 -31.7185216779999,163.189821652 -31.7340136779999,163.190396652 -31.7495076779999,163.190888652 -31.765003678,163.191296652 -31.780501678,163.191619652 -31.796001678,163.191859652 -31.811501678,163.192014652 -31.8270026779999,163.192086652 -31.842504678,163.192073652 -31.858006678,163.191976652 -31.873507678,163.191795652 -31.889008678,163.191529652 -31.904508678,163.191179652 -31.9200066779999,163.190745652 -31.935504678,163.190226652 -31.950999678,163.189623652 -31.966492678,163.188936652 -31.981982678,163.188164652 -31.997469678,163.187307652 -32.012953678,163.186366652 -32.0284346779999,163.185341652 -32.043911678,163.184231652 -32.059383678,163.183036652 -32.074851678,163.181757652 -32.090313678,163.180393652 -32.1057716779999,163.178944652 -32.121223678,163.177411652 -32.136669678,163.175793652 -32.1521096779999,163.174090652 -32.167542678,163.172303652 -32.182968678,163.170431652 -32.198387678,163.168475652 -32.2137986779999,163.166433652 -32.229202678,163.164307652 -32.2445976779999,163.162097652 -32.259983678,163.159801652 -32.275361678,163.157421652 -32.2907296779999,163.154957652 -32.306087678,163.152407652 -32.3214366779999,163.149773652 -32.336774678,163.147055652 -32.3521026779999,163.144252652 -32.367419678,163.141364652 -32.3827246779999,163.138391652 -32.398018678,163.135335652 -32.413300678,163.132193652 -32.428570678,163.128967652 -32.4438276779999,163.125657652 -32.4590716779999,163.122262652 -32.474301678,163.118783652 -32.489518678,163.115219652 -32.504721678,163.111572652 -32.519910678,163.107839652 -32.535084678,163.104023652 -32.550243678,163.100122652 -32.565387678,163.096137652 -32.580515678,163.092068652 -32.595628678,163.087915652 -32.6107246779999,163.083678652 -32.625803678,163.079357652 -32.640865678,163.074952652 -32.6559106779999,163.070463652 -32.670938678,163.065890652 -32.685947679,163.061234652 -32.7009386789999,163.056494652 -32.7159116789999,163.051670652 -32.730864679,163.046762652 -32.745799679,163.041771652 -32.7607136789999,163.036697652 -32.775608679,163.031539652 -32.790482679,163.026298652 -32.8053366789999,163.020974652 -32.8201696789999,163.015566652 -32.834981679,163.010076652 -32.849771679,163.004502652 -32.864539679,162.998846652 -32.879285679,162.993106652 -32.894008679,162.987284652 -32.908708679,162.981380652 -32.923385679,162.975393652 -32.9380396789999,162.969323652 -32.9526696789999,162.963171652 -32.967274679,162.956936652 -32.981855679,162.950620652 -32.9964116789999,162.944221652 -33.010942679,162.937741652 -33.025447679,162.931178652 -33.039927679,162.924534652 -33.054380679,162.917808652 -33.068807679,162.911000652 -33.0832076789999,162.904111652 -33.097580679,162.897141652 -33.111925679,162.890089652 -33.126243679,162.882957652 -33.1405326789999,162.875743652 -33.154793679,162.868449652 -33.169026679,162.861074652 -33.183229679,162.853618652 -33.1974036789999,162.846082652 -33.211547679,162.838465652 -33.225662679,162.830768652 -33.239746679,162.822991652 -33.2537996789999,162.815134652 -33.267821679,162.807198652 -33.281812679,162.799181652 -33.295772679,162.791086652 -33.3096996789999,162.782910652 -33.3235946789999,162.774656652 -33.337457679,162.766322652 -33.3512876789999,162.757910652 -33.3650846789999,162.749418652 -33.3788476789999,162.740848652 -33.3925766789999,162.732200652 -33.406272679,162.723473652 -33.4199336789999,162.714668652 -33.433559679,162.705786652 -33.4471506789999,162.696825652 -33.4607066789999,162.687786652 -33.474226679,162.678671652 -33.487710679,162.669477651 -33.501158679,162.660207651 -33.514570679,162.650860651 -33.527944679,162.641435651 -33.5412826789999,162.631935651 -33.554581679,162.622357651 -33.567843679,162.612704651 -33.5810676789999,162.602974651 -33.594253679,162.593169651 -33.607400679,162.583287651 -33.620508679,162.573331651 -33.6335766789999,162.563299651 -33.6466066789999,162.553192651 -33.6595956789999,162.543009651 -33.6725446789999,162.532753651 -33.685452679,162.522421651 -33.6983206789999,162.512016651 -33.711147679,162.501536651 -33.723932679,162.490982651 -33.736675679,162.480354651 -33.749377679,162.469653651 -33.7620376799999,162.458879651 -33.77465368,162.448032651 -33.7872276799999,162.437112651 -33.79975868,162.426119651 -33.8122466799999,162.415053651 -33.8246906799999,162.403916651 -33.83709068,162.392706651 -33.84944568,162.381425651 -33.86175768,162.370073651 -33.8740236799999,162.358648651 -33.8862446799999,162.347153651 -33.89842068,162.335587651 -33.91055068,162.323951651 -33.9226346799999,162.312244651 -33.9346726799999,162.300467651 -33.94666368,162.288620651 -33.9586086799999,162.276704651 -33.97050668,162.264718651 -33.98235668,162.252663651 -33.9941586799999,162.240539651 -34.0059136799999,162.228346651 -34.0176206799999,162.216086651 -34.0292786799999,162.203756651 -34.04088768,162.191360651 -34.0524486799999,162.178895651 -34.06395968,162.166363651 -34.07542168,162.153764651 -34.0868326799999,162.141098651 -34.0981946799999,162.128366651 -34.10950668,162.115567651 -34.12076768,162.102703651 -34.13197768,162.089772651 -34.1431366799999,162.076777651 -34.15424468,162.063716651 -34.16530068,162.050590651 -34.1763046799999,162.037399651 -34.18725668,162.024144651 -34.19815668,162.010825651 -34.20900368,161.997442651 -34.2197986799999,161.983996651 -34.2305396799999,161.970486651 -34.24122668,161.956914651 -34.2518606799999,161.943279651 -34.2624416799999,161.929582651 -34.27296768,161.915822651 -34.28343868,161.902001651 -34.29385568,161.888118651 -34.30421768,161.874175651 -34.31452468,161.860170651 -34.32477668,161.846105651 -34.33497268,161.831980651 -34.3451126799999,161.817794651 -34.3551976799999,161.803550651 -34.36522468,161.789245651 -34.3751966799999,161.774882651 -34.38511068,161.760461651 -34.39496868,161.745980651 -34.40476868,161.731442651 -34.41451168,161.716847651 -34.42419668,161.702193651 -34.4338236799999,161.687483651 -34.4433926799999,161.672716651 -34.45290268,161.657893651 -34.46235468,161.643013651 -34.47174768,161.628078651 -34.4810816799999,161.613088651 -34.4903566799999,161.59804265 -34.49957168,161.58294165 -34.5087276799999,161.56778765 -34.5178226799999,161.55257865 -34.52685868,161.53731565 -34.5358336799999,161.52199965 -34.5447476799999,161.50663065 -34.5536016799999,161.49120965 -34.56239468,161.47573565 -34.57112568,161.46020965 -34.57979568,161.44463165 -34.5884046799999,161.42900265 -34.59695068,161.41332265 -34.60543568,161.39759265 -34.61385768,161.38181165 -34.6222176799999,161.36598165 -34.63051568,161.35010165 -34.6387496799999,161.33417265 -34.6469216799999,161.31819465 -34.65502968,161.30216865 -34.66307468,161.28609365 -34.6710556799999,161.26997165 -34.67897368,161.25380265 -34.68682668,161.23758665 -34.69461568,161.22132365 -34.70234068,161.20501465 -34.7100016799999,161.18865965 -34.71759768,161.17225965 -34.72512868,161.15581365 -34.73259368,161.13932365 -34.7399946799999,161.12278965 -34.74732968,161.10621165 -34.75459868,161.08958965 -34.76180268,161.07292465 -34.76894068,161.05621665 -34.77601268,161.03946665 -34.7830176799999,161.02267465 -34.7899566799999,161.00584065 -34.79682868,160.98896565 -34.80363468,160.97204965 -34.8103726799999,160.95509365 -34.81704468,160.93809765 -34.82364868,160.92106165 -34.8301846799999,160.90398665 -34.836653681,160.88687265 -34.843055681,160.86972065 -34.8493886809999,160.85253065 -34.855654681,160.83530165 -34.861851681,160.81803665 -34.8679806809999,160.80073465 -34.8740406809999,160.78339665 -34.8800326809999,160.76602165 -34.885955681,160.74861165 -34.891809681,160.73116665 -34.8975946809999,160.71368565 -34.9033106809999,160.69617165 -34.908956681,160.67862365 -34.914533681,160.66104165 -34.9200406809999,160.64342565 -34.925478681,160.62577865 -34.9308466809999,160.60809765 -34.936143681,160.59038565 -34.941371681,160.57264265 -34.946528681,160.55486765 -34.951615681,160.53706265 -34.956632681,160.519227649 -34.9615776809999,160.501362649 -34.966452681,160.483467649 -34.9712576809999,160.465544649 -34.975990681,160.447592649 -34.980652681,160.429612649 -34.9852436809999,160.411604649 -34.9897626809999,160.393569649 -34.994211681,160.375507649 -34.9985876809999,160.357419649 -35.0028926809999,160.339305649 -35.0071256809999,160.321166649 -35.0112876809999,160.303001649 -35.015376681,160.284812649 -35.0193946809999,160.266599649 -35.023339681,160.248362649 -35.027212681,160.230101649 -35.0310136809999,160.211818649 -35.034741681,160.193512649 -35.0383976809999,160.175184649 -35.041980681,160.156835649 -35.0454906809999,160.138600649 -35.048904681,160.120344649 -35.0522456809999,160.102069649 -35.055515681,160.083774649 -35.058712681,160.065459649 -35.061838681,160.047127649 -35.0648916809999,160.028776649 -35.067872681,160.010407649 -35.070782681,159.992021649 -35.073618681,159.973617649 -35.076383681,159.955198649 -35.0790756809999,159.936762649 -35.0816946809999,159.918311649 -35.084241681,159.899844649 -35.0867156809999,159.881363649 -35.0891176809999,159.862867649 -35.091446681,159.844358649 -35.093702681,159.825835649 -35.095885681,159.807299649 -35.0979956809999,159.788751649 -35.100032681,159.770190649 -35.1019976809999,159.751618649 -35.1038886809999,159.733035649 -35.105706681,159.714441649 -35.1074516809999,159.695836649 -35.109123681,159.677222649 -35.110722681,159.658598649 -35.1122476809999,159.639965649 -35.113699681,159.621324649 -35.1150786809999,159.602674649 -35.1163836809999,159.584017649 -35.117615681,159.565352649 -35.1187746809999,159.546681649 -35.119859681,159.528003649 -35.1208706809999,159.509320649 -35.1218096809999,159.490631649 -35.122673681,159.471937649 -35.123464681,159.453238649 -35.124182681,159.434535648 -35.1248266809999,159.415829648 -35.125396681,159.397119648 -35.125893681,159.378407648 -35.1263166809999,159.359692648 -35.126665681,159.340975648 -35.1269416809999,159.322257648 -35.127143681,159.303538648 -35.127271681,159.284819648 -35.1273266809999,159.266099648 -35.1273086809999,159.247379648 -35.1272156809999,159.228661648 -35.127049681,159.209943648 -35.1268096809999,159.191228648 -35.1264966809999,159.172514648 -35.1261096809999,159.153803648 -35.125648681,159.135095648 -35.125114681,159.116390648 -35.124506681,159.097690648 -35.123824681,159.078993648 -35.1230696809999,159.060302648 -35.1222416809999,159.041615648 -35.1213386809999,159.022935648 -35.120363681,159.004260648 -35.1193146809999,158.985592648 -35.118191681,158.966932648 -35.1169956809999,158.948278648 -35.115725681,158.929633648 -35.1143836809999,158.910996648 -35.1129666809999,158.892367648 -35.1114776809999,158.873748648 -35.109914681,158.855139648 -35.1082786809999,158.836539648 -35.1065696809999,158.817951648 -35.104786681,158.799373648 -35.102931681,158.780807648 -35.101002681,158.762252648 -35.0990016809999,158.743710648 -35.096926681,158.725181648 -35.094779681,158.706665648 -35.092558681,158.688163648 -35.0902656809999,158.669674648 -35.087899681,158.651201648 -35.085460681,158.632742648 -35.0829496809999,158.614298648 -35.0803656809999,158.595871648 -35.0777086809999,158.577460648 -35.0749796809999,158.559065648 -35.072178681,158.540688648 -35.0693046809999,158.522328648 -35.0663586809999,158.503986648 -35.0633406809999,158.485663648 -35.060250681,158.467358648 -35.057087681,158.449073648 -35.053853681,158.430808648 -35.050547681,158.412563648 -35.047169681,158.394338648 -35.043719681,158.375970647 -35.040166681,158.357624647 -35.036540681,158.339300647 -35.032841681,158.320998647 -35.029070681,158.302720647 -35.0252266809999,158.284466647 -35.0213096809999,158.266235647 -35.0173206809999,158.248029647 -35.013259681,158.229848647 -35.0091256809999,158.211693647 -35.0049206809999,158.193563647 -35.0006426809999,158.175459647 -34.9962936809999,158.157383647 -34.991871681,158.139333647 -34.9873786809999,158.121311647 -34.982813681,158.103316647 -34.978177681,158.085350647 -34.973470681,158.067413647 -34.9686916809999,158.049506647 -34.963841681,158.031628647 -34.9589206809999,158.013780647 -34.953928681,157.995962647 -34.948865681,157.978176647 -34.943732681,157.960420647 -34.938528681,157.942697647 -34.9332536809999,157.925006647 -34.927909681,157.907347647 -34.9224946809999,157.889722647 -34.917009681,157.872130647 -34.911454681,157.854572647 -34.9058306809999,157.837048647 -34.9001366809999,157.819559647 -34.8943726809999,157.802105647 -34.8885396809999,157.784687647 -34.8826376809999,157.767304647 -34.876666681,157.749958647 -34.870626681,157.732649647 -34.8645176809999,157.715377647 -34.858339681,157.698142647 -34.8520936809999,157.680945647 -34.845779681,157.663787647 -34.839396681,157.646668647 -34.832945681,157.629588647 -34.8264276799999,157.612547647 -34.81984168,157.595546647 -34.8131876799999,157.578586647 -34.80646668,157.561667647 -34.7996776799999,157.544788647 -34.79282268,157.527952647 -34.7859006799999,157.511157647 -34.77891068,157.494405647 -34.7718556799999,157.477695647 -34.7647336799999,157.461029647 -34.75754468,157.444406647 -34.75029068,157.427827647 -34.7429706799999,157.411292647 -34.7355846799999,157.394802647 -34.7281326799999,157.378357647 -34.72061568,157.361957647 -34.71303368,157.345604647 -34.7053866799999,157.329296647 -34.69767468,157.313035647 -34.6898976799999,157.296821646 -34.68205768,157.280654646 -34.67415168,157.264535646 -34.66618268,157.248464646 -34.65814968,157.232442646 -34.6500526799999,157.216468646 -34.64189268,157.200543646 -34.63366868,157.184668646 -34.62538168,157.168843646 -34.61703168,157.153068646 -34.6086196799999,157.137344646 -34.60014468,157.121670646 -34.59160768,157.106048646 -34.58300868,157.090478646 -34.57434768,157.074959646 -34.5656246799999,157.059493646 -34.5568396799999,157.044080646 -34.5479946799999,157.028720646 -34.53908768,157.013413646 -34.53012068,156.998160646 -34.52109168,156.982961646 -34.51200368,156.967817646 -34.50285468,156.952727646 -34.4936456799999,156.937693646 -34.48437768,156.922714646 -34.47504968,156.907790646 -34.46566168,156.892923646 -34.45621568,156.878112646 -34.44670968,156.863359646 -34.43714568,156.848662646 -34.42752368,156.834022646 -34.41784268,156.819642646 -34.4085156799999,156.805316646 -34.39913268,156.791044646 -34.3896956799999,156.776827646 -34.38020268,156.762666646 -34.37065468,156.748560646 -34.3610516799999,156.734510646 -34.3513946799999,156.720515646 -34.34168368,156.706578646 -34.3319176799999,156.692696646 -34.32209868,156.678872646 -34.31222568,156.665105646 -34.30229968,156.651396646 -34.2923206799999,156.637744646 -34.28228768,156.624151646 -34.27220268,156.610616646 -34.26206568,156.597140646 -34.25187568,156.583722646 -34.24163368,156.570220646 -34.23122868,156.556778646 -34.2207706799999,156.543398646 -34.21026068,156.530079646 -34.19969868,156.516821646 -34.18908368,156.503626646 -34.1784176799999,156.490493646 -34.1677006799999,156.477422646 -34.15693168,156.464414646 -34.1461116799999,156.451468646 -34.13524068,156.438587646 -34.1243196799999,156.425768646 -34.1133486799999,156.413014646 -34.10232668,156.400323646 -34.09125568,156.387697646 -34.08013468,156.375136646 -34.06896468,156.362639646 -34.05774568,156.350208646 -34.04647868,156.337841646 -34.0351616799999,156.325541646 -34.02379768,156.313306646 -34.01238468,156.301138646 -34.00092468,156.289035646 -33.98941668,156.277000646 -33.9778616799999,156.265031646 -33.9662606799999,156.253130646 -33.95461168,156.241295646 -33.9429166799999,156.229529646 -33.93117568,156.217830645 -33.9193886799999,156.206199645 -33.90755568,156.194636645 -33.8956776799999,156.183142645 -33.88375468,156.171717645 -33.87178668,156.160360645 -33.8597746799999,156.153399645 -33.87290768,156.146369645 -33.88601668,156.139269645 -33.89909868,156.132100645 -33.91215568,156.124861645 -33.92518568,156.117553645 -33.9381896799999,156.110175645 -33.95116568,156.102729645 -33.96411568,156.095214645 -33.97703868,156.087112645 -33.99081068,156.078931645 -34.00455168,156.070673645 -34.01825968,156.062336645 -34.0319366799999,156.053921645 -34.0455796799999,156.045429645 -34.05919068,156.036859645 -34.07276868,156.028211645 -34.0863126799999,156.019486645 -34.0998226799999,156.010684645 -34.11329868,156.001805645 -34.12674068,155.992848645 -34.14014768,155.983816645 -34.1535196799999,155.974706645 -34.16685668,155.965521645 -34.18015768,155.956259645 -34.19342268,155.946921645 -34.2066516799999,155.937507645 -34.2198446799999,155.928017645 -34.23299968,155.918452645 -34.2461186799999,155.908812645 -34.2592006799999,155.899096645 -34.27224368,155.889305645 -34.2852496799999,155.879440645 -34.2982176799999,155.869500645 -34.31114668,155.859485645 -34.3240366799999,155.849397645 -34.33688768,155.839234645 -34.34969968,155.828997645 -34.3624706799999,155.818687645 -34.37520268,155.808303645 -34.3878946799999,155.797846645 -34.4005456799999,155.787316645 -34.4131566799999,155.776713645 -34.42572568,155.766038645 -34.4382536799999,155.755290645 -34.45073968,155.744470645 -34.4631836799999,155.733577645 -34.4755856799999,155.722613645 -34.4879456799999,155.711578645 -34.5002616799999,155.700470645 -34.5125356799999,155.689292645 -34.52476568,155.678043645 -34.53695268,155.666723645 -34.5490946799999,155.655333645 -34.56119368,155.643872645 -34.57324768,155.632341645 -34.5852566799999,155.620671645 -34.59729368,155.608931645 -34.60928368,155.597120645 -34.6212286799999,155.585239645 -34.63312668,155.573289645 -34.64497868,155.561269645 -34.6567836799999,155.549180645 -34.66854068,155.537022645 -34.68025068,155.524796645 -34.69191268,155.512501645 -34.70352768,155.500137645 -34.7150936799999,155.487706645 -34.72661068,155.475207645 -34.7380796799999,155.462640645 -34.7494996799999,155.450007645 -34.76086968,155.437306645 -34.7721906799999,155.424539645 -34.78346168,155.411705645 -34.7946816799999,155.398806645 -34.8058526799999,155.385840645 -34.8169726799999,155.372809645 -34.82804168,155.359713645 -34.839058681,155.346551645 -34.850025681,155.333325645 -34.8609396809999,155.320034645 -34.871802681,155.306680645 -34.882613681,155.293261645 -34.893371681,155.279778645 -34.9040776809999,155.266233645 -34.914729681,155.252624645 -34.9253296809999,155.238953645 -34.935875681,155.225219645 -34.946368681,155.211423645 -34.9568066809999,155.197565645 -34.967191681,155.187079645 -34.977168681,155.176542645 -34.9871106809999,155.165955645 -34.9970166809999,155.155318644 -35.006887681,155.144631644 -35.016723681,155.132229644 -35.0280376809999,155.119761644 -35.039302681,155.107227644 -35.050520681,155.094627644 -35.061689681,155.081963644 -35.072810681,155.069234644 -35.083882681,155.063819644 -35.097150681,155.058336644 -35.1103996809999,155.052783644 -35.123629681,155.047161644 -35.136840681,155.041469644 -35.150030681,155.035709644 -35.163201681,155.029533644 -35.177589681,155.023274644 -35.191953681,155.016933644 -35.206293681,155.010511644 -35.220609681,155.004006644 -35.2349016809999,154.997420644 -35.249167681,154.990752644 -35.2634086809999,154.984003644 -35.277624681,154.977172644 -35.2918146809999,154.970260644 -35.3059786809999,154.963267644 -35.3201156809999,154.956193644 -35.334226681,154.949037644 -35.3483096809999,154.941801644 -35.362365681,154.934484644 -35.376394681,154.927086644 -35.390394681,154.919608644 -35.4043666809999,154.912050644 -35.418310681,154.904411644 -35.432225681,154.896692644 -35.4461106809999,154.888893644 -35.459966681,154.881014644 -35.473792681,154.879045644 -35.488532681,154.876995644 -35.503264681,154.874865644 -35.517989681,154.872654644 -35.532706681,154.870363644 -35.547415681,154.867991644 -35.562115681,154.865538644 -35.5768066809999,154.863004644 -35.591489681,154.860390644 -35.6061616809999,154.857695644 -35.6208246809999,154.854920644 -35.6354776809999,154.852064644 -35.650120681,154.849468644 -35.663268681,154.846807644 -35.6764086809999,154.844082644 -35.6895386809999,154.841291644 -35.7026606809999,154.838435644 -35.715772681,154.835514644 -35.728875681,154.832065644 -35.744014681,154.828528644 -35.759141681,154.824905644 -35.7742536809999,154.821195644 -35.789352681,154.817398644 -35.804437681,154.813515644 -35.8195076809999,154.809544644 -35.834561681,154.805531644 -35.849446681,154.801433644 -35.8643166809999,154.797250644 -35.879169681,154.792982644 -35.8940076809999,154.788629644 -35.908829682,154.784192644 -35.9236346819999,154.779670644 -35.938423682,154.775064644 -35.9531946819999,154.770294644 -35.968196682,154.765437644 -35.983179682,154.760493644 -35.998144682,154.755461644 -36.0130896819999,154.750343644 -36.0280166819999,154.745137644 -36.042922682,154.739844644 -36.057809682,154.734464644 -36.072675682,154.728997644 -36.0875206819999,154.723444644 -36.102345682,154.717804644 -36.1171486819999,154.712077644 -36.131929682,154.706263644 -36.1466886819999,154.700363644 -36.161425682,154.694377644 -36.176140682,154.688304644 -36.190831682,154.682145644 -36.205499682,154.675984644 -36.219999682,154.669738644 -36.234476682,154.663408644 -36.248929682,154.656993644 -36.2633586819999,154.650495644 -36.2777636819999,154.644009644 -36.2920846819999,154.637440644 -36.3063806819999,154.630788644 -36.3206516819999,154.624053644 -36.334897682,154.617235644 -36.349118682,154.610335644 -36.363313682,154.603352644 -36.3774826819999,154.596287644 -36.3916246819999,154.589139644 -36.4057406819999,154.581909644 -36.4198296819999,154.574597644 -36.433890682,154.567203644 -36.447924682,154.559727644 -36.4619306819999,154.552170644 -36.475908682,154.544531644 -36.489857682,154.536810644 -36.503778682,154.529008644 -36.517669682,154.521124644 -36.531531682,154.513159644 -36.545363682,154.505114644 -36.559165682,154.496987644 -36.572937682,154.488780644 -36.586678682,154.480492644 -36.600388682,154.472124644 -36.6140666819999,154.463675644 -36.627714682,154.455147644 -36.6413296819999,154.446538644 -36.654912682,154.437849644 -36.668463682,154.429080644 -36.681981682,154.420232644 -36.695466682,154.411305644 -36.7089176819999,154.402298644 -36.7223356819999,154.393212644 -36.735719682,154.384047644 -36.749069682,154.374804644 -36.7623846819999,154.365481644 -36.775664682,154.356081644 -36.7889096819999,154.346601644 -36.802119682,154.337044644 -36.8152936819999,154.327409644 -36.828431682,154.317696644 -36.841533682,154.307905644 -36.854598682,154.298037644 -36.867626682,154.295032644 -36.882152682,154.291946644 -36.8966666819999,154.288779644 -36.911170682,154.285531644 -36.9256626819999,154.282202644 -36.940143682,154.278793644 -36.954611682,154.275303644 -36.9690676819999,154.271733644 -36.983511683,154.268081644 -36.997941683,154.264349644 -37.0123596829999,154.260537644 -37.026762683,154.256644644 -37.0411536829999,154.252670644 -37.055529683,154.248616644 -37.069890683,154.244481644 -37.084237683,154.240266644 -37.0985696829999,154.235970644 -37.1128866829999,154.231594644 -37.1271886829999,154.227441644 -37.140520683,154.223219644 -37.1538396829999,154.224205644 -37.1689256829999,154.225106644 -37.1840146829999,154.225922644 -37.199106683,154.226653644 -37.2142016829999,154.227299644 -37.229299683,154.227860644 -37.2443986829999,154.228336644 -37.2594996829999,154.228726644 -37.274602683,154.229031644 -37.289706683,154.229251644 -37.304811683,154.229385644 -37.319917683,154.229434644 -37.335023683,154.229397644 -37.350129683,154.229275644 -37.365234683,154.229067644 -37.3803396829999,154.228773644 -37.3954436829999,154.228394644 -37.410545683,154.227922644 -37.4258856829999,154.227361644 -37.441223683,154.226711644 -37.456558683,154.225973644 -37.471891683,154.225146644 -37.487221683,154.224231644 -37.5025486829999,154.223227644 -37.517871683,154.222134644 -37.5331906829999,154.220952644 -37.548505683,154.219681644 -37.563816683,154.218322644 -37.579122683,154.216873644 -37.5944226829999,154.215336644 -37.6097176829999,154.213710644 -37.625006683,154.211995644 -37.6402896829999,154.210191644 -37.655566683,154.208297644 -37.670835683,154.206315644 -37.686098683,154.204244644 -37.701353683,154.202084644 -37.716600683,154.199835644 -37.731839683,154.197497644 -37.7470706829999,154.195070644 -37.7622926829999,154.192553644 -37.777504683,154.189948644 -37.7927086829999,154.187254644 -37.807901683,154.184470644 -37.8230856829999,154.181598644 -37.8382586829999,154.178636644 -37.853420683,154.175586644 -37.868572683,154.172446644 -37.8837126829999,154.169218644 -37.8988406829999,154.165900644 -37.913956683,154.162494644 -37.9290606829999,154.158999644 -37.944151683,154.155414644 -37.9592296829999,154.151741644 -37.974294683,154.147979644 -37.989345683,154.144128644 -38.004382683,154.140188644 -38.0194046829999,154.136160644 -38.034413683,154.132042644 -38.049406683,154.127836644 -38.0643836839999,154.123542644 -38.079346684,154.119158644 -38.094292684,154.114687644 -38.109222684,154.111685644 -38.123698684,154.108602644 -38.1381636839999,154.105437644 -38.1526176839999,154.102191644 -38.167061684,154.098863644 -38.181492684,154.095454644 -38.195912684,154.091962644 -38.210319684,154.088390644 -38.2247156839999,154.084736644 -38.2390976839999,154.081426643 -38.251848684,154.078052643 -38.2645886839999,154.074614643 -38.277318684,154.071113643 -38.290037684,154.066989643 -38.304713684,154.062780643 -38.319375684,154.058485643 -38.3340216839999,154.054105643 -38.3486526839999,154.049640643 -38.3632676839999,154.045089643 -38.377865684,154.040453643 -38.3924476839999,154.035732643 -38.4070136839999,154.030926643 -38.421561684,154.026035643 -38.436092684,154.021058643 -38.450605684,154.015997643 -38.4651006839999,154.010851643 -38.4795776839999,154.005619643 -38.494035684,154.000303643 -38.508474684,153.994902643 -38.5228946839999,153.989417643 -38.537295684,153.983847643 -38.551675684,153.978192643 -38.566036684,153.972453643 -38.5803766839999,153.966629643 -38.5946956839999,153.960721643 -38.608994684,153.954745643 -38.623234684,153.948686643 -38.637452684,153.942543643 -38.6516496839999,153.936316643 -38.665824684,153.930006643 -38.6799766839999,153.923612643 -38.694105684,153.917135643 -38.7082126839999,153.910574643 -38.722295684,153.903930643 -38.7363546839999,153.897204643 -38.750390684,153.890394643 -38.7644016839999,153.883501643 -38.7783886839999,153.876525643 -38.792350684,153.869467643 -38.806287684,153.862326643 -38.8201986839999,153.855103643 -38.8340846839999,153.847797643 -38.847944684,153.842326643 -38.858209684,153.836809643 -38.868459684,153.831248643 -38.878695684,153.829033643 -38.882748684,153.821266643 -38.896846684,153.813413643 -38.910915684,153.805474643 -38.9249566839999,153.797449643 -38.938967684,153.789339643 -38.952949684,153.781144643 -38.9669016839999,153.778494643 -38.9713576839999,153.772863643 -38.980823684,153.764497643 -38.994714684,153.756046643 -39.0085756839999,153.747510643 -39.022404684,153.738890643 -39.0362026839999,153.730185643 -39.049969684,153.721396643 -39.063703684,153.712522643 -39.077405684,153.703564643 -39.091074684,153.694522643 -39.1047106839999,153.685397643 -39.1183136839999,153.676187643 -39.1318836849999,153.666895643 -39.145418685,153.657518643 -39.1589206849999,153.648059643 -39.1723876849999,153.638517643 -39.185819685,153.628891643 -39.199216685,153.619184643 -39.212578685,153.609393643 -39.2259046849999,153.599520643 -39.239193685,153.589566643 -39.2524476849999,153.579529643 -39.2656646849999,153.569410643 -39.278844685,153.559210643 -39.291987685,153.548928643 -39.305093685,153.538565643 -39.318160685,153.528243643 -39.3310406849999,153.517842643 -39.343881685,153.507363643 -39.3566856849999,153.496804643 -39.3694516849999,153.486168643 -39.382179685,153.475453643 -39.3948686849999,153.464660643 -39.407518685,153.453789643 -39.420128685,153.442840643 -39.4327006849999,153.431814643 -39.445231685,153.420927643 -39.458121685,153.409960643 -39.4709716849999,153.398911643 -39.4837806849999,153.387783643 -39.4965496849999,153.376575643 -39.509276685,153.365287643 -39.5219626849999,153.353919643 -39.534607685,153.342472643 -39.547210685,153.330946643 -39.5597706849999,153.319341643 -39.5722886849999,153.307658643 -39.584764685,153.295896643 -39.597196685,153.284056643 -39.609585685,153.272137643 -39.6219306849999,153.260141643 -39.634232685,153.248068643 -39.6464896849999,153.235917643 -39.658702685,153.223689643 -39.670869685,153.211384643 -39.6829926849999,153.199003643 -39.695070685,153.186546643 -39.7071026849999,153.174012643 -39.719088685,153.161403643 -39.731028685,153.148718643 -39.7429216849999,153.135958643 -39.7547686849999,153.123123643 -39.766568685,153.110213643 -39.778320685,153.097228643 -39.7900256849999,153.084169643 -39.8016826849999,153.071037643 -39.813291685,153.057830643 -39.8248526849999,153.044550643 -39.836363685,153.031197643 -39.847827685,153.017771643 -39.859240685,153.004272642 -39.8706056849999,152.990701642 -39.881919685,152.977058642 -39.8931846849999,152.963344642 -39.9043996849999,152.949557642 -39.9155636849999,152.935700642 -39.926676685,152.921771642 -39.9377386849999,152.907772642 -39.9487496849999,152.893703642 -39.959708685,152.879563642 -39.970616685,152.865354642 -39.981471685,152.851076642 -39.992274685,152.836728642 -40.003025685,152.822311642 -40.0137236849999,152.825200642 -40.028480685,152.828005642 -40.043247685,152.830725642 -40.058024685,152.833360642 -40.072809685,152.833833642 -40.075558685,152.835910642 -40.087603685,152.838375642 -40.1024066849999,152.840755642 -40.117217685,152.843050642 -40.1320366849999,152.845259642 -40.146863685,152.847383642 -40.161697685,152.849422642 -40.176538685,152.851375642 -40.1913866849999,152.853242642 -40.2062406859999,152.855023642 -40.2211006859999,152.856719642 -40.235967686,152.858328642 -40.2508396859999,152.859852642 -40.265716686,152.861289642 -40.280598686,152.862640642 -40.295485686,152.863905642 -40.310377686,152.865083642 -40.3252726859999,152.866175642 -40.340172686,152.867181642 -40.355074686,152.868124642 -40.370386686,152.868976642 -40.385700686,152.869737642 -40.4010176859999,152.870406642 -40.416337686,152.870983642 -40.4316596859999,152.871468642 -40.446982686,152.871862642 -40.462307686,152.872163642 -40.4776346859999,152.872373642 -40.4929616859999,152.872490642 -40.508289686,152.872516642 -40.523616686,152.872449642 -40.538944686,152.872290642 -40.5542716859999,152.872038642 -40.5695986859999,152.871694642 -40.584924686,152.871258642 -40.6002486859999,152.870729642 -40.615570686,152.870108642 -40.6308906859999,152.869394642 -40.646208686,152.868587642 -40.661523686,152.867688642 -40.6768356859999,152.866696642 -40.6921446859999,152.865611642 -40.707449686,152.864434642 -40.722751686,152.863163642 -40.738047686,152.861800642 -40.7533396859999,152.860343642 -40.7686276859999,152.858794642 -40.783909686,152.857152642 -40.7991856859999,152.855416642 -40.814455686,152.853588642 -40.829719686,152.851667642 -40.8449766859999,152.849652642 -40.860227686,152.847544642 -40.875470686,152.845344642 -40.8907066859999,152.843050642 -40.905933686,152.840662642 -40.921153686,152.838182642 -40.9363646859999,152.835608642 -40.951566686,152.832942642 -40.9667596859999,152.830182642 -40.981942686,152.827329642 -40.997115686,152.824382642 -41.0122786859999,152.821342642 -41.0274316859999,152.818210642 -41.042573686,152.814984642 -41.057703686,152.811664642 -41.0728226859999,152.808252642 -41.0879306859999,152.804746642 -41.103025686,152.801147642 -41.118108686,152.797455642 -41.133177686,152.793670642 -41.148234686,152.789791642 -41.163277686,152.785820642 -41.178307686,152.786948642 -41.193466686,152.787985642 -41.2086286859999,152.788931642 -41.223794686,152.789786642 -41.238963686,152.790550642 -41.2541346859999,152.791223642 -41.2693086859999,152.791805642 -41.284484687,152.792295642 -41.299662687,152.792694642 -41.314842687,152.793002642 -41.3300226869999,152.793218642 -41.345204687,152.793343642 -41.360385687,152.793376642 -41.3755686869999,152.793318642 -41.390750687,152.793168642 -41.405931687,152.792926642 -41.4211126869999,152.792592642 -41.4362926869999,152.792167642 -41.451471687,152.791649642 -41.466648687,152.791039642 -41.481823687,152.790338642 -41.496996687,152.789544642 -41.5121666869999,152.788658642 -41.527333687,152.787680642 -41.542497687,152.786609642 -41.557657687,152.785447642 -41.5728146869999,152.784192642 -41.5879666869999,152.782844642 -41.603114687,152.781405642 -41.618257687,152.779872642 -41.633395687,152.778248642 -41.648527687,152.781378642 -41.662685687,152.784427642 -41.6768536869999,152.787397642 -41.691030687,152.790287642 -41.705216687,152.793096642 -41.7194126869999,152.795825642 -41.7336166869999,152.798474642 -41.747829687,152.801043642 -41.7620506869999,152.803530642 -41.7762796869999,152.805938642 -41.790516687,152.808264642 -41.8047616869999,152.810345642 -41.817940687,152.812357642 -41.8311256869999,152.814300642 -41.8443156869999,152.816174642 -41.8575126869999,152.817978642 -41.870713687,152.819712642 -41.8839206869999,152.821558642 -41.8985976869999,152.823318642 -41.9132806869999,152.824993642 -41.927968687,152.826581642 -41.9426616869999,152.828083642 -41.9573606869999,152.829498642 -41.9720636869999,152.830828642 -41.9867716869999,152.832070642 -42.001483687,152.833227642 -42.016199687,152.834296642 -42.0309196869999,152.835279642 -42.0456426869999,152.836175642 -42.0603676869999,152.836984642 -42.075096687,152.837707642 -42.089827687,152.838342642 -42.1045616869999,152.838890642 -42.119296687,152.839351642 -42.1340336869999,152.839725642 -42.148771687,152.840403642 -42.163786687,152.840989642 -42.178803687,152.841485642 -42.193822687,152.841891642 -42.208843687,152.842205642 -42.2238656869999,152.842429642 -42.2388876869999,152.842562642 -42.253910687,152.842603642 -42.268934687,152.842554642 -42.2839576869999,152.842414642 -42.298980687,152.842182642 -42.314002687,152.841860642 -42.329023687,152.841446642 -42.344043687,152.841899642 -42.3583436879999,152.842270642 -42.372644688,152.842559642 -42.386945688,152.842764642 -42.401248688,152.842888642 -42.4155516879999,152.842928642 -42.429854688,152.842880642 -42.445353688,152.842736642 -42.4608516879999,152.842493642 -42.476349688,152.842154642 -42.491846688,152.841717642 -42.5073426879999,152.841182642 -42.522836688,152.840550642 -42.538327688,152.839821642 -42.553817688,152.838994642 -42.5693036879999,152.838069642 -42.5847876879999,152.837046642 -42.600267688,152.835926642 -42.615744688,152.834707642 -42.6312166879999,152.833391642 -42.6466846879999,152.831977642 -42.6621476879999,152.830465642 -42.677606688,152.828855642 -42.6930596879999,152.827146642 -42.7085066879999,152.825340642 -42.723947688,152.823436642 -42.739381688,152.821433642 -42.754809688,152.819332642 -42.770230688,152.817133642 -42.7856436879999,152.814836642 -42.801048688,152.812440642 -42.816446688,152.809946642 -42.831835688,152.807354642 -42.8472156879999,152.804664642 -42.862586688,152.801875642 -42.8779476879999,152.798988642 -42.893299688,152.796002642 -42.9086416879999,152.792918642 -42.9239726879999,152.789736642 -42.939292688,152.786455642 -42.954601688,152.783076642 -42.9698996879999,152.779599642 -42.9851856879999,152.776023642 -43.000458688,152.772349642 -43.0157196879999,152.768576642 -43.030968688,152.764705642 -43.0462036879999,152.760736642 -43.0614246879999,152.756668642 -43.076632688,152.752503642 -43.091826688,152.748238642 -43.107005688,152.743876642 -43.122169688,152.739415642 -43.1373186879999,152.734856642 -43.152451688,152.730199642 -43.167568688,152.725444642 -43.182670688,152.720591642 -43.197754688,152.715639642 -43.212822688,152.710590642 -43.2278736879999,152.705442642 -43.242905688,152.700197642 -43.257920688,152.694853642 -43.272917688,152.689412642 -43.2878956879999,152.683873642 -43.302855688,152.678236642 -43.3177956879999,152.672501642 -43.332715688,152.666669642 -43.347616688,152.660739642 -43.362496688,152.654712642 -43.377355688,152.648587642 -43.392194688,152.642364642 -43.407011688,152.636045642 -43.4218076879999,152.629918642 -43.4359206889999,152.623702642 -43.4500126889999,152.617397642 -43.4640846889999,152.611004642 -43.4781346889999,152.604523642 -43.4921646889999,152.597953642 -43.506172689,152.591295642 -43.520158689,152.589291642 -43.5355296889999,152.587188642 -43.550892689,152.584987642 -43.566248689,152.582687642 -43.581597689,152.580288642 -43.596937689,152.577790642 -43.612269689,152.575193642 -43.627593689,152.572497642 -43.642907689,152.569702642 -43.658212689,152.566809642 -43.673508689,152.563816642 -43.688793689,152.560725642 -43.7040686889999,152.557534642 -43.7193336889999,152.554245642 -43.734586689,152.550856642 -43.749828689,152.547369642 -43.7650596889999,152.543783642 -43.7802776889999,152.540097642 -43.795483689,152.536313642 -43.8106776889999,152.532430642 -43.825857689,152.528448642 -43.8410246889999,152.524367642 -43.8561786889999,152.520187642 -43.871317689,152.515908642 -43.886442689,152.511530642 -43.901552689,152.507053642 -43.9166486889999,152.502478642 -43.931728689,152.497803642 -43.9467926889999,152.493030642 -43.961840689,152.488158642 -43.9768726889999,152.483188642 -43.991887689,152.478118642 -44.0068856889999,152.472950642 -44.021866689,152.467684642 -44.0368296889999,152.462319642 -44.051774689,152.458096642 -44.065348689,152.453793642 -44.0789086889999,152.449410642 -44.092455689,152.444947642 -44.105989689,152.440403642 -44.119508689,152.435779642 -44.1330146889999,152.430633642 -44.147800689,152.425392642 -44.162568689,152.420054642 -44.1773186889999,152.414620642 -44.192050689,152.409090642 -44.206764689,152.403463642 -44.221460689,152.397741642 -44.236136689,152.391922642 -44.250793689,152.386008642 -44.265431689,152.379997642 -44.280049689,152.373891642 -44.2946466889999,152.367688642 -44.309223689,152.361391642 -44.3237796889999,152.354997642 -44.338314689,152.348508642 -44.352827689,152.341923642 -44.3673186889999,152.335243642 -44.381788689,152.328467642 -44.396234689,152.321596642 -44.4106586889999,152.314630642 -44.425059689,152.307569642 -44.4394376889999,152.300412642 -44.453791689,152.293161642 -44.4681206889999,152.285815642 -44.482426689,152.278374642 -44.4967066899999,152.270838642 -44.51096269,152.263207642 -44.52519269,152.255483642 -44.5393976899999,152.247663642 -44.5535766899999,152.239750642 -44.56772869,152.231742642 -44.5818546899999,152.223640642 -44.5959536899999,152.215444642 -44.6100256899999,152.207155642 -44.6240696899999,152.198771642 -44.63808569,152.190294642 -44.65207369,152.181723642 -44.6660336899999,152.173060642 -44.67996469,152.164455642 -44.69362969,152.155760642 -44.70726569,152.146975642 -44.72087269,152.138101642 -44.73445069,152.129137642 -44.74799969,152.120083642 -44.7615196899999,152.110940642 -44.7750086899999,152.101708642 -44.7884686899999,152.092387642 -44.80189769,152.082977642 -44.81529569,152.073478642 -44.82866369,152.063891642 -44.84199969,152.054215642 -44.85530369,152.044451642 -44.8685766899999,152.034599642 -44.8818166899999,152.024658642 -44.89502469,152.014630642 -44.9081996899999,152.004514642 -44.92134169,151.994310642 -44.9344506899999,151.984019642 -44.94752569,151.973641642 -44.96056669,151.962889642 -44.97395469,151.952045642 -44.98730569,151.941109642 -45.0006206899999,151.930081641 -45.01389769,151.918962641 -45.02713769,151.907751641 -45.0403406899999,151.896450641 -45.05350469,151.885058641 -45.06663069,151.873575641 -45.0797186899999,151.862001641 -45.09276669,151.850338641 -45.10577669,151.838584641 -45.11874669,151.826741641 -45.1316766899999,151.814808641 -45.14456669,151.802785641 -45.1574156899999,151.790674641 -45.1702246899999,151.778473641 -45.1829926899999,151.766184641 -45.19571869,151.753806641 -45.20840369,151.741340641 -45.22104669,151.728786641 -45.2336466899999,151.716145641 -45.24620469,151.703415641 -45.25871969,151.690599641 -45.27119269,151.677695641 -45.28362069,151.664705641 -45.29600569,151.651628641 -45.30834669,151.638464641 -45.3206436899999,151.625215641 -45.3328956899999,151.611880641 -45.34510269,151.598459641 -45.35726469,151.584953641 -45.36938169,151.571362641 -45.3814526899999,151.557686641 -45.3934776899999,151.543926641 -45.4054556899999,151.530081641 -45.4173876899999,151.516153641 -45.4292726899999,151.502141641 -45.44111069,151.488045641 -45.45290069,151.473867641 -45.4646436899999,151.459605641 -45.47633869,151.445261641 -45.48798469,151.430835641 -45.49958269,151.416327641 -45.51113169,151.401737641 -45.52263169,151.387066641 -45.5340826899999,151.372314641 -45.54548269,151.357481641 -45.55683369,151.342568641 -45.56813469,151.327575641 -45.579384691,151.312502641 -45.5905836909999,151.297349641 -45.6017326909999,151.282117641 -45.6128296909999,151.266806641 -45.623874691,151.251417641 -45.634868691,151.235949641 -45.645810691,151.220404641 -45.656699691,151.204781641 -45.667536691,151.189081641 -45.678319691,151.173304641 -45.689050691,151.157450641 -45.699727691,151.141520641 -45.710351691,151.125514641 -45.7209206909999,151.109433641 -45.7314366909999,151.093276641 -45.741897691,151.077045641 -45.752303691,151.060739641 -45.762655691,151.044359641 -45.7729516909999,151.027905641 -45.783192691,151.011377641 -45.7933776909999,150.994777641 -45.8035066909999,150.978104641 -45.813579691,150.961358641 -45.823595691,150.944541641 -45.833555691,150.927652641 -45.843458691,150.910691641 -45.8533046909999,150.893660641 -45.863092691,150.876559641 -45.872823691,150.85938764 -45.882496691,150.84214564 -45.892111691,150.82483464 -45.9016676909999,150.80745464 -45.911165691,150.79000664 -45.9206046909999,150.77249064 -45.929984691,150.75490564 -45.939305691,150.73725364 -45.9485666909999,150.71953564 -45.957768691,150.70174964 -45.966909691,150.68389864 -45.9759916909999,150.66598064 -45.985012691,150.64799864 -45.993972691,150.62995064 -46.0028726909999,150.61183864 -46.011710691,150.59366264 -46.020487691,150.57542264 -46.029203691,150.56120864 -46.041114691,150.54690964 -46.052977691,150.53252564 -46.064791691,150.51805664 -46.0765586909999,150.50350364 -46.088275691,150.48886564 -46.099943691,150.47414464 -46.111563691,150.45933964 -46.123132691,150.44445164 -46.134652691,150.42948064 -46.146121691,150.41442664 -46.157540691,150.39929064 -46.168909691,150.38407164 -46.180226691,150.36877264 -46.191492691,150.35339064 -46.2027076909999,150.33792864 -46.213870691,150.32238564 -46.224980691,150.30676164 -46.236039691,150.29105864 -46.247044691,150.27527464 -46.257997691,150.25941164 -46.268897691,150.24347064 -46.279743691,150.22744964 -46.2905356909999,150.21135064 -46.3012746909999,150.19517364 -46.311958691,150.17891864 -46.322588691,150.16258664 -46.333163691,150.14617764 -46.343683691,150.12969164 -46.354148691,150.11313064 -46.364557691,150.09666964 -46.374804691,150.08013464 -46.384995691,150.06352564 -46.395131691,150.04684364 -46.405212691,150.03008964 -46.415237691,150.01326264 -46.425207691,149.99636264 -46.435120691,149.97939164 -46.444977691,149.96234864 -46.4547786909999,149.94523564 -46.464522691,149.92805064 -46.4742086909999,149.91079664 -46.483838691,149.89347164 -46.493410691,149.87607764 -46.502924691,149.85861464 -46.512380691,149.84108164 -46.5217796909999,149.82348164 -46.531118691,149.80581264 -46.5403996909999,149.78807664 -46.549622691,149.770273639 -46.558785691,149.752403639 -46.5678896909999,149.734467639 -46.576933691,149.716464639 -46.585917691,149.698396639 -46.5948426909999,149.680263639 -46.603706691,149.662065639 -46.612510691,149.643802639 -46.6212536909999,149.625476639 -46.629936691,149.607086639 -46.638557691,149.588633639 -46.6471176919999,149.570117639 -46.655616692,149.551539639 -46.664053692,149.532899639 -46.672428692,149.514198639 -46.680741692,149.495435639 -46.6889926919999,149.476612639 -46.697180692,149.457729639 -46.705306692,149.438787639 -46.713368692,149.419784639 -46.7213686919999,149.400724639 -46.729304692,149.381604639 -46.7371776919999,149.362427639 -46.7449866919999,149.343193639 -46.7527316919999,149.323901639 -46.7604126919999,149.304553639 -46.768029692,149.285148639 -46.7755816919999,149.265688639 -46.783069692,149.246173639 -46.7904926919999,149.226602639 -46.7978506919999,149.206978639 -46.8051426919999,149.187300639 -46.8123706919999,149.167568639 -46.8195316919999,149.147783639 -46.8266276919999,149.127946639 -46.833658692,149.108057639 -46.840622692,149.088116639 -46.8475206919999,149.068125639 -46.854351692,149.048083639 -46.8611166919999,149.027990639 -46.867814692,149.008002639 -46.8744886919999,148.987964639 -46.881096692,148.967878639 -46.8876376919999,148.947743639 -46.894112692,148.927561639 -46.9005206919999,148.907331639 -46.906861692,148.887055639 -46.913135692,148.866732639 -46.9193426919999,148.846363639 -46.9254826919999,148.825949639 -46.931554692,148.805490639 -46.937558692,148.784987639 -46.9434956919999,148.764440639 -46.949364692,148.743849639 -46.955165692,148.723215639 -46.9608976919999,148.702539638 -46.966561692,148.681821638 -46.9721576919999,148.661062638 -46.977684692,148.640262638 -46.9831426919999,148.619421638 -46.988531692,148.598540638 -46.993851692,148.577620638 -46.999102692,148.556661638 -47.0042846919999,148.535664638 -47.0093966919999,148.514628638 -47.0144396919999,148.493555638 -47.0194126919999,148.472446638 -47.024315692,148.451300638 -47.029148692,148.430118638 -47.0339116919999,148.408901638 -47.038604692,148.387648638 -47.043227692,148.366362638 -47.0477796919999,148.345042638 -47.0522616919999,148.323688638 -47.056672692,148.302302638 -47.061013692,148.280883638 -47.065282692,148.259433638 -47.069481692,148.237952638 -47.0736086919999,148.216440638 -47.077664692,148.194897638 -47.081650692,148.173326638 -47.0855636919999,148.151725638 -47.089406692,148.130095638 -47.093176692,148.108438638 -47.096875692,148.086753638 -47.100502692,148.069355638 -47.1034356919999,148.051941638 -47.1063216919999,148.029916638 -47.1099036919999,148.007865638 -47.1134116919999,147.985787638 -47.116845692,147.963683638 -47.120205692,147.941554638 -47.123491692,147.919401638 -47.126702692,147.897223638 -47.129839692,147.875021638 -47.132901692,147.852797638 -47.135889692,147.830549638 -47.138802692,147.808280638 -47.141641692,147.785990638 -47.144404692,147.763679638 -47.1470936919999,147.741347638 -47.1497076919999,147.718996638 -47.1522466919999,147.696626638 -47.154710692,147.674237638 -47.157099692,147.651831638 -47.1594126919999,147.629406637 -47.161651692,147.606966637 -47.163814692,147.584509637 -47.165901692,147.562036637 -47.167914692,147.539548637 -47.169851692,147.517046637 -47.171712692,147.494529637 -47.173498692,147.472000637 -47.175208692,147.449457637 -47.176842692,147.426903637 -47.178401692,147.404336637 -47.179884692,147.381759637 -47.1812916919999,147.359171637 -47.1826236919999,147.336574637 -47.1838796919999,147.313967637 -47.185058692,147.291351637 -47.186162692,147.268727637 -47.1871906919999,147.246096637 -47.188142692,147.223457637 -47.1890186919999,147.200812637 -47.189818692,147.178162637 -47.190542692,147.155506637 -47.191190692,147.132845637 -47.1917626919999,147.110181637 -47.1922586919999,147.087513637 -47.192678692,147.064841637 -47.1930216919999,147.042168637 -47.193289692,147.019493637 -47.193480692,146.996817637 -47.193595692,146.974140637 -47.1936356919999,146.951463637 -47.193598692,146.928786637 -47.193485692,146.906111637 -47.1932956919999,146.883438637 -47.193030692,146.860766637 -47.1926896919999,146.838098637 -47.192271692,146.815433637 -47.191778692,146.792773637 -47.191208692,146.770117637 -47.190562692,146.747466637 -47.189840692,146.724821637 -47.189043692,146.702182637 -47.188169692,146.679551637 -47.187219692,146.656927637 -47.186193692,146.634311637 -47.185091692,146.611703637 -47.183914692,146.589106637 -47.182660692,146.566517637 -47.181331692,146.543940636 -47.179926692,146.521373636 -47.178445692,146.498818636 -47.176888692,146.476276636 -47.1752566919999,146.453745636 -47.1735486919999,146.431229636 -47.171765692,146.408726636 -47.169906692,146.386238636 -47.167971692,146.363765636 -47.1659616919999,146.341307636 -47.163875692,146.318866636 -47.161714692,146.296441636 -47.1594786919999,146.274034636 -47.157167692,146.251645636 -47.154780692,146.229274636 -47.1523196919999,146.206922636 -47.149782692,146.184590636 -47.147170692,146.162278636 -47.1444836919999,146.139987636 -47.141722692,146.117718636 -47.138885692,146.095470636 -47.1359746919999,146.073245636 -47.132989692,146.051042636 -47.129928692,146.028864636 -47.126794692,146.006709636 -47.1235856919999,145.984580636 -47.1203016919999,145.962475636 -47.1169446919999,145.940397636 -47.113512692,145.918344636 -47.110006692,145.896319636 -47.106426692,145.874322636 -47.102772692,145.852352636 -47.0990456919999,145.830411636 -47.0952436919999,145.808499636 -47.0913696919999,145.786617636 -47.087420692,145.764766636 -47.0833996919999,145.742945636 -47.0793046919999,145.721156636 -47.0751356919999,145.699398636 -47.070894692,145.677673636 -47.0665806919999,145.655981636 -47.0621936919999,145.634323636 -47.0577336919999,145.612699636 -47.053201692,145.591109636 -47.0485966919999,145.569555636 -47.043918692,145.548036636 -47.039169692,145.526554636 -47.034347692,145.505108636 -47.0294536919999,145.483700635 -47.024487692,145.462330635 -47.019450692,145.440998635 -47.014340692,145.419705635 -47.009160692,145.398452635 -47.003908692,145.378059635 -47.000846692,145.357687635 -46.997722692,145.337338635 -46.9945346919999,145.317012635 -46.991283692,145.296708635 -46.987969692,145.276428635 -46.984591692,145.256172635 -46.981151692,145.235940635 -46.9776486919999,145.215733635 -46.974082692,145.195551635 -46.970453692,145.175394635 -46.966762692,145.155264635 -46.963008692,145.133867635 -46.9589446919999,145.112501635 -46.954810692,145.091166635 -46.950605692,145.069862635 -46.9463296919999,145.048590635 -46.941983692,145.027351635 -46.937567692,145.006146635 -46.933080692,144.984973635 -46.9285246919999,144.963835635 -46.923897692,144.942732635 -46.9192016919999,144.921664635 -46.914435692,144.900632635 -46.909599692,144.879635635 -46.904694692,144.858676635 -46.899719692,144.837753635 -46.894676692,144.816869635 -46.889563692,144.796022635 -46.884381692,144.775215635 -46.8791306919999,144.754446635 -46.873810692,144.733717635 -46.868422692,144.713029635 -46.8629656919999,144.692381635 -46.857440692,144.671774635 -46.851847692,144.651209635 -46.8461866919999,144.630686635 -46.840456692,144.610206635 -46.8346596919999,144.589769635 -46.828795692,144.569376635 -46.8228626919999,144.549027635 -46.816863692,144.528722635 -46.8107966919999,144.508462635 -46.804662692,144.488248635 -46.7984626919999,144.468080635 -46.792194692,144.447959635 -46.785860692,144.427884635 -46.7794596919999,144.407857634 -46.7729926919999,144.387878634 -46.766459692,144.367948634 -46.759860692,144.348066634 -46.753195692,144.328233634 -46.746465692,144.308451634 -46.739669692,144.288718634 -46.7328086919999,144.269037634 -46.725881692,144.249406634 -46.7188906919999,144.229827634 -46.711834692,144.210300634 -46.704713692,144.190826634 -46.6975276919999,144.171405634 -46.6902786919999,144.152037634 -46.682964692,144.132723634 -46.675586692,144.113463634 -46.6681446919999,144.094258634 -46.660639692,144.074809634 -46.652953692,144.055417634 -46.6452016919999,144.036083634 -46.637385691,144.016807634 -46.629503691,143.997590634 -46.621557691,143.978432634 -46.613547691,143.959334634 -46.6054726909999,143.940296634 -46.597334691,143.921319634 -46.589131691,143.902402634 -46.580865691,143.883547634 -46.572536691,143.864754634 -46.564143691,143.846023634 -46.5556876909999,143.827356634 -46.547169691,143.808751634 -46.538588691,143.790210634 -46.529944691,143.771733634 -46.5212396909999,143.753320634 -46.512471691,143.734973634 -46.503642691,143.716691634 -46.494751691,143.698474634 -46.485799691,143.680324634 -46.476786691,143.662240634 -46.467713691,143.644224634 -46.458578691,143.626274634 -46.449384691,143.608393634 -46.440129691,143.590580634 -46.430814691,143.572835634 -46.4214396909999,143.555160634 -46.4120056909999,143.537554634 -46.402512691,143.520017634 -46.392960691,143.502551634 -46.383349691,143.485156634 -46.373679691,143.466724634 -46.365116691,143.448355634 -46.356491691,143.430049634 -46.347805691,143.411807634 -46.3390586909999,143.393629634 -46.3302496909999,143.375516634 -46.3213806909999,143.357468634 -46.312450691,143.339485633 -46.3034606909999,143.321568633 -46.2944096909999,143.303717633 -46.285299691,143.285933633 -46.2761296909999,143.268216633 -46.2669006909999,143.250567633 -46.257611691,143.232985633 -46.248263691,143.215472633 -46.238857691,143.198027633 -46.2293926909999,143.180651633 -46.2198686909999,143.163345633 -46.210287691,143.146108633 -46.200648691,143.128942633 -46.190951691,143.111846633 -46.181196691,143.094821633 -46.171385691,143.077868633 -46.161516691,143.060986633 -46.151591691,143.044176633 -46.141610691,143.027438633 -46.131572691,143.010773633 -46.1214796909999,142.994182633 -46.111329691,142.977664633 -46.1011256909999,142.961220633 -46.090865691,142.944850633 -46.080550691,142.928554633 -46.070180691,142.912333633 -46.059756691,142.896188633 -46.049278691,142.880118633 -46.038745691,142.864125633 -46.028159691,142.848207633 -46.017520691,142.832366633 -46.006827691,142.816603633 -45.996082691,142.800916633 -45.9852846909999,142.785307633 -45.9744336909999,142.769776633 -45.963530691,142.754323633 -45.9525766909999,142.738949633 -45.941569691,142.723654633 -45.9305126909999,142.708438633 -45.919403691,142.693302633 -45.9082446909999,142.678245633 -45.8970346909999,142.663269633 -45.8857736909999,142.648373633 -45.874463691,142.633558633 -45.8631036909999,142.618824633 -45.851693691,142.604171633 -45.840234691,142.589600633 -45.828726691,142.575111633 -45.8171706909999,142.560705633 -45.805565691,142.546381633 -45.7939126909999,142.532140633 -45.7822116909999,142.517981633 -45.770463691,142.503907633 -45.758668691,142.489916633 -45.746825691,142.476009633 -45.734936691,142.462186633 -45.723000691,142.448448633 -45.7110186909999,142.434795633 -45.6989906909999,142.421226633 -45.686917691,142.407743633 -45.674798691,142.394346633 -45.6626356909999,142.381034633 -45.650426691,142.367809633 -45.638174691,142.354670633 -45.625877691,142.341617633 -45.613536691,142.328652633 -45.601152691,142.315773633 -45.588724691,142.302982633 -45.576253691,142.290279633 -45.56374069,142.277663633 -45.55118569,142.265135632 -45.53858769,142.252696632 -45.52594769,142.240345632 -45.51326669,142.228083632 -45.50054469,142.215910632 -45.48778169,142.203826632 -45.4749776899999,142.191831632 -45.46213369,142.179926632 -45.4492496899999,142.168111632 -45.4363256899999,142.156386632 -45.42336269,142.144752632 -45.41035969,142.133208632 -45.39731869,142.121754632 -45.38423869,142.110749632 -45.37153769,142.099829632 -45.35880069,142.088995632 -45.34602769,142.078246632 -45.33322069,142.067584632 -45.32037869,142.057007632 -45.30750269,142.046517632 -45.2945916899999,142.036113632 -45.2816466899999,142.025796632 -45.26866869,142.015566632 -45.25565769,142.005422632 -45.24261369,141.995366632 -45.22953569,141.985397632 -45.2164266899999,141.975515632 -45.20328469,141.965721632 -45.19011069,141.956015632 -45.17690569,141.946396632 -45.16366869,141.936865632 -45.15040069,141.927423632 -45.1371026899999,141.918069632 -45.12377369,141.908803632 -45.11041469,141.899206632 -45.0991946899999,141.889676632 -45.08794769,141.880212632 -45.07667269,141.870813632 -45.06537069,141.857851632 -45.05320569,141.844973632 -45.04099669,141.832179632 -45.0287446899999,141.819470632 -45.0164496899999,141.806845632 -45.0041126899999,141.794306632 -44.9917336899999,141.781851632 -44.97931169,141.769482632 -44.9668486899999,141.757199632 -44.95434469,141.745002632 -44.94179969,141.732890632 -44.92921369,141.720866632 -44.91658669,141.708927632 -44.90391969,141.697076632 -44.89121369,141.685311632 -44.87846769,141.673634632 -44.86568169,141.662044632 -44.85285769,141.650542632 -44.83999369,141.639128632 -44.82709269,141.627801632 -44.81415269,141.616563632 -44.80117469,141.605414632 -44.7881596899999,141.594353632 -44.77510669,141.583380632 -44.7620176899999,141.572497632 -44.7488916899999,141.561703632 -44.73572969,141.550998632 -44.72253069,141.540383632 -44.70929669,141.529858632 -44.6960266899999,141.519422632 -44.6827226899999,141.509077632 -44.66938269,141.498822632 -44.65600869,141.488657632 -44.6426006899999,141.478583632 -44.6291576899999,141.468599632 -44.61568169,141.458707632 -44.60217269,141.448905632 -44.5886306899999,141.439195632 -44.5750556899999,141.429576632 -44.56144769,141.420049632 -44.54780869,141.410613632 -44.53413669,141.401269632 -44.5204346899999,141.392018632 -44.5067006899999,141.382858632 -44.492935689,141.373790632 -44.479139689,141.364815632 -44.465313689,141.355933632 -44.4514586889999,141.347143632 -44.437573689,141.338446632 -44.423658689,141.329842632 -44.4097146889999,141.320960632 -44.396461689,141.312164632 -44.383179689,141.303454632 -44.3698686889999,141.294829632 -44.356530689,141.286291632 -44.3431636889999,141.277838632 -44.3297696889999,141.269471632 -44.3163486889999,141.261191632 -44.302900689,141.252997632 -44.289426689,141.244889632 -44.275924689,141.236868632 -44.262397689,141.228934632 -44.248844689,141.221087632 -44.235265689,141.213326632 -44.221661689,141.205653632 -44.2080326889999,141.198066632 -44.194378689,141.190567631 -44.1807006889999,141.183155631 -44.166998689,141.175830631 -44.1532726889999,141.168226631 -44.138828689,141.160720631 -44.124358689,141.153310631 -44.109863689,141.145996631 -44.0953426889999,141.138780631 -44.080797689,141.131660631 -44.066228689,141.124638631 -44.051634689,141.117713631 -44.037017689,141.110885631 -44.0223776889999,141.104154631 -44.007713689,141.097521631 -43.993027689,141.090985631 -43.9783176889999,141.084524631 -43.966939689,141.078123631 -43.955544689,141.071783631 -43.944131689,141.065504631 -43.9327016889999,141.057629631 -43.918311689,141.049851631 -43.903895689,141.042169631 -43.8894526889999,141.034583631 -43.874984689,141.027094631 -43.860489689,141.019701631 -43.845969689,141.012405631 -43.831424689,141.005206631 -43.816853689,140.998103631 -43.802259689,140.991098631 -43.7876406889999,140.984190631 -43.772997689,140.977378631 -43.7583316889999,140.970664631 -43.743642689,140.964047631 -43.728930689,140.957528631 -43.714195689,140.951106631 -43.699439689,140.944781631 -43.6846606889999,140.938555631 -43.669860689,140.932425631 -43.655039689,140.926394631 -43.6401976889999,140.920460631 -43.6253346889999,140.914624631 -43.6104516889999,140.908886631 -43.5955496889999,140.903246631 -43.580627689,140.897704631 -43.565686689,140.892260631 -43.5507256889999,140.886914631 -43.5357476889999,140.881666631 -43.520750689,140.876516631 -43.5057366889999,140.871465631 -43.490704689,140.866511631 -43.475655689,140.861657631 -43.460589689,140.856900631 -43.445506689,140.852242631 -43.4304086889999,140.847682631 -43.415293688,140.843221631 -43.400164688,140.838858631 -43.3850196879999,140.834594631 -43.369859688,140.830428631 -43.354685688,140.826360631 -43.3394966879999,140.822392631 -43.324294688,140.818521631 -43.3090796879999,140.814749631 -43.293850688,140.811076631 -43.278609688,140.807502631 -43.2633556879999,140.803548631 -43.248728688,140.799684631 -43.234089688,140.795912631 -43.219437688,140.792232631 -43.2047726879999,140.788642631 -43.190096688,140.785144631 -43.1754086879999,140.781738631 -43.1607086879999,140.778422631 -43.145997688,140.775198631 -43.131276688,140.772066631 -43.116544688,140.769024631 -43.101801688,140.766074631 -43.087049688,140.763216631 -43.072287688,140.760448631 -43.057516688,140.757772631 -43.0427366879999,140.755188631 -43.027947688,140.752694631 -43.0131506879999,140.750292631 -42.998344688,140.747981631 -42.983531688,140.745762631 -42.9687106879999,140.738432631 -42.954268688,140.731196631 -42.9398006879999,140.724055631 -42.925308688,140.717008631 -42.910791688,140.710056631 -42.896250688,140.703198631 -42.8816856879999,140.696435631 -42.8670966879999,140.689767631 -42.8524856879999,140.683194631 -42.8378506879999,140.676715631 -42.8231936879999,140.670332631 -42.8085136879999,140.662148631 -42.794349688,140.654057631 -42.780156688,140.646058631 -42.765936688,140.638152631 -42.7516886879999,140.630339631 -42.7374126879999,140.622618631 -42.723110688,140.614991631 -42.7087816879999,140.607457631 -42.694426688,140.600016631 -42.680044688,140.592669631 -42.6656376879999,140.585415631 -42.6512056879999,140.578254631 -42.636748688,140.571188631 -42.622266688,140.564215631 -42.6077596879999,140.557335631 -42.593229688,140.550550631 -42.578675688,140.543859631 -42.5640976879999,140.537262631 -42.549496688,140.530759631 -42.5348736879999,140.524351631 -42.520227688,140.518042631 -42.505574688,140.511827631 -42.490900688,140.505707631 -42.4762046879999,140.499681631 -42.461487688,140.493750631 -42.446749688,140.487913631 -42.431990688,140.482170631 -42.417212688,140.476522631 -42.402414688,140.470969631 -42.387596688,140.465511631 -42.372760688,140.460147631 -42.357904688,140.454878631 -42.343031687,140.449704631 -42.328139687,140.444625631 -42.3132296869999,140.439641631 -42.2983026869999,140.434752631 -42.283357687,140.429959631 -42.2683966869999,140.425260631 -42.253418687,140.420656631 -42.238425687,140.416147631 -42.2234156869999,140.411734631 -42.208390687,140.407416631 -42.193350687,140.403193631 -42.1782946869999,140.390980631 -42.166127687,140.378845631 -42.1539186869999,140.366790631 -42.1416666869999,140.354815631 -42.1293726869999,140.342920631 -42.1170366869999,140.331104631 -42.104659687,140.319369631 -42.092241687,140.307715631 -42.079782687,140.296141631 -42.067283687,140.284649631 -42.054743687,140.273237631 -42.042164687,140.261907631 -42.0295446869999,140.250658631 -42.016885687,140.239491631 -42.004187687,140.228406631 -41.9914506869999,140.217404631 -41.978675687,140.206483631 -41.965861687,140.195646631 -41.953010687,140.184891631 -41.9401206869999,140.174219631 -41.9271936869999,140.163630631 -41.9142296869999,140.153124631 -41.901229687,140.142702631 -41.888191687,140.132364631 -41.8751186869999,140.12211063 -41.862008687,140.11193963 -41.8488636869999,140.10185363 -41.835683687,140.09185263 -41.822467687,140.08193463 -41.8092176869999,140.07210263 -41.7959326869999,140.06235563 -41.782613687,140.05269263 -41.769260687,140.04311563 -41.755873687,140.03362363 -41.742454687,140.02421763 -41.7290016869999,140.01489663 -41.7155156869999,140.00566163 -41.701997687,139.99689563 -41.689065687,139.98820763 -41.676104687,139.97959763 -41.663115687,139.97106763 -41.650096687,139.96261563 -41.6370496869999,139.95424363 -41.623975687,139.94594963 -41.610872687,139.93773563 -41.5977426869999,139.92960063 -41.584584687,139.92154563 -41.5714006869999,139.91418963 -41.5592226869999,139.90690163 -41.547021687,139.89968063 -41.534798687,139.89252863 -41.522553687,139.89114763 -41.522155687,139.87563363 -41.517685687,139.85876763 -41.512762687,139.84193163 -41.507786687,139.82512463 -41.5027566869999,139.80834763 -41.497672687,139.79160063 -41.4925346869999,139.77488463 -41.487343687,139.75615463 -41.4815636869999,139.73746263 -41.4757156869999,139.71881063 -41.469801687,139.70019663 -41.463820687,139.68162363 -41.4577726869999,139.66309063 -41.451657687,139.64459863 -41.4454766869999,139.62614763 -41.439229687,139.60773763 -41.4329156869999,139.58937063 -41.426535687,139.57104563 -41.420090687,139.55276363 -41.413579687,139.53452463 -41.4070026869999,139.51632963 -41.4003596869999,139.49817863 -41.393652687,139.48007163 -41.386879687,139.46201063 -41.380041687,139.44399463 -41.3731396869999,139.42602463 -41.366172687,139.40810063 -41.359140687,139.39022363 -41.3520446869999,139.37239263 -41.3448846869999,139.35460963 -41.337660687,139.33687463 -41.330372687,139.31918763 -41.3230216869999,139.30154963 -41.315606687,139.28396063 -41.308128687,139.26642063 -41.300587687,139.24893163 -41.2929836869999,139.23149163 -41.285316687,139.21410263 -41.2775876869999,139.19676463 -41.269796686,139.17947863 -41.2619426859999,139.16224363 -41.254026686,139.14506063 -41.2460486859999,139.12793063 -41.2380096859999,139.11085363 -41.229909686,139.09383063 -41.221747686,139.07686063 -41.213524686,139.05994463 -41.205240686,139.043082629 -41.1968966859999,139.026276629 -41.188491686,139.009524629 -41.180026686,138.992829629 -41.1715016859999,138.976189629 -41.162916686,138.959606629 -41.154271686,138.943079629 -41.1455676859999,138.926609629 -41.136803686,138.910197629 -41.1279816859999,138.893842629 -41.119100686,138.877546629 -41.110160686,138.866936629 -41.104281686,138.861308629 -41.101162686,138.845129629 -41.092105686,138.829009629 -41.082991686,138.812531629 -41.076950686,138.796088629 -41.070855686,138.779682629 -41.064707686,138.763313629 -41.0585046859999,138.746982629 -41.052248686,138.730688629 -41.0459386859999,138.714431629 -41.039575686,138.698213629 -41.033158686,138.682033629 -41.0266896859999,138.664378629 -41.0199166859999,138.646766629 -41.013081686,138.629198629 -41.0061826859999,138.611675629 -40.9992226859999,138.594197629 -40.9921996859999,138.576765629 -40.985115686,138.559379629 -40.9779686859999,138.542039629 -40.9707606859999,138.524745629 -40.9634906859999,138.507499629 -40.956159686,138.490300629 -40.9487676859999,138.473149629 -40.9413146859999,138.456046629 -40.933800686,138.438991629 -40.926225686,138.421986629 -40.918590686,138.405030629 -40.9108946859999,138.388123629 -40.903138686,138.371267629 -40.8953226859999,138.354460629 -40.887447686,138.337106629 -40.879432686,138.319805629 -40.871355686,138.302557629 -40.8632146859999,138.285364629 -40.855010686,138.268224629 -40.846743686,138.251140629 -40.838414686,138.234110629 -40.830022686,138.217136629 -40.821568686,138.200218629 -40.8130526859999,138.183356629 -40.8044756859999,138.166551629 -40.795836686,138.149803629 -40.7871366859999,138.133112629 -40.778374686,138.116479629 -40.7695526859999,138.099905629 -40.760669686,138.083388629 -40.751726686,138.066931629 -40.742722686,138.050533629 -40.733658686,138.034195629 -40.724535686,138.017916629 -40.715351686,138.001698629 -40.7061096859999,137.985541629 -40.6968076859999,137.969445628 -40.6874466859999,137.953411628 -40.678027686,137.937438628 -40.6685496859999,137.921527628 -40.659013686,137.905679628 -40.6494196859999,137.889894628 -40.639767686,137.874172628 -40.6300576859999,137.858514628 -40.620290686,137.842919628 -40.6104666859999,137.827001628 -40.601138686,137.811143628 -40.5917536859999,137.795346628 -40.582310686,137.779611628 -40.572810686,137.763937628 -40.5632526859999,137.748325628 -40.5536386859999,137.732776628 -40.543968686,137.717289628 -40.534241686,137.701866628 -40.5244586859999,137.686506628 -40.5146196859999,137.671209628 -40.504724686,137.655977628 -40.494774686,137.640809628 -40.4847696859999,137.625706628 -40.474709686,137.610668628 -40.4645946859999,137.595695628 -40.454424686,137.580788628 -40.4442006859999,137.565947628 -40.433923686,137.551172628 -40.423591686,137.536464628 -40.413206686,137.521823628 -40.4027686859999,137.507249628 -40.3922776859999,137.492743628 -40.381733686,137.478305628 -40.3711366859999,137.463935628 -40.3604876859999,137.449633628 -40.349786686,137.435400628 -40.3390336859999,137.421236628 -40.3282296859999,137.407141628 -40.3173736859999,137.393116628 -40.306466686,137.379161628 -40.2955096859999,137.365277628 -40.2845016859999,137.351463628 -40.273442686,137.337719628 -40.262334686,137.324047628 -40.251176686,137.310446628 -40.2399686859999,137.296917628 -40.2287116859999,137.283460628 -40.217405686,137.270075628 -40.206050686,137.256762628 -40.194647685,137.243522628 -40.183196685,137.230355628 -40.171697685,137.217262628 -40.160150685,137.204242628 -40.148555685,137.191295628 -40.136914685,137.178423628 -40.125225685,137.165626628 -40.1134906849999,137.152902628 -40.1017096849999,137.140254628 -40.089882685,137.127643628 -40.078225685,137.115105628 -40.0665226849999,137.102641628 -40.054775685,137.090251628 -40.042983685,137.077935628 -40.031146685,137.065693628 -40.0192666849999,137.053525628 -40.007341685,137.041433628 -39.9953736849999,137.029415628 -39.983361685,137.017472628 -39.9713076849999,137.005605628 -39.959209685,136.993814628 -39.947069685,136.982098628 -39.934887685,136.970459628 -39.922663685,136.958895628 -39.910397685,136.947409628 -39.8980896849999,136.935999628 -39.885741685,136.924666628 -39.8733516849999,136.913410628 -39.8609216849999,136.902231628 -39.8484506849999,136.891131627 -39.835940685,136.880107627 -39.8233896849999,136.869958627 -39.811936685,136.859874627 -39.8004496849999,136.849854627 -39.788930685,136.839901627 -39.777377685,136.830013627 -39.765792685,136.820190627 -39.754174685,136.810434627 -39.742524685,136.800743627 -39.730842685,136.794837627 -39.723667685,136.788955627 -39.716480685,136.769095627 -39.7147596849999,136.749246627 -39.712963685,136.729410627 -39.711093685,136.709585627 -39.7091486849999,136.689774627 -39.707130685,136.669976627 -39.705037685,136.650193627 -39.7028716849999,136.630423627 -39.700630685,136.610669627 -39.698316685,136.590930627 -39.695928685,136.571207627 -39.693465685,136.551500627 -39.690930685,136.531810627 -39.688320685,136.512138627 -39.685637685,136.492483627 -39.682881685,136.472847627 -39.680050685,136.453229627 -39.677147685,136.433631627 -39.674170685,136.414052627 -39.6711206849999,136.394493627 -39.6679976849999,136.374956627 -39.6648006849999,136.355439627 -39.6615316849999,136.335944627 -39.658189685,136.316471627 -39.654773685,136.297021627 -39.6512856849999,136.277593627 -39.647725685,136.258189627 -39.644091685,136.238810627 -39.640386685,136.219454627 -39.6366076849999,136.200124627 -39.6327576849999,136.180819627 -39.628834685,136.161539627 -39.624839685,136.142287627 -39.620772685,136.123060627 -39.616633685,136.103862627 -39.612422685,136.084691627 -39.608139685,136.065548627 -39.6037856849999,136.046433627 -39.599359685,136.027348627 -39.594862685,136.008292627 -39.5902946849999,135.989267627 -39.585654685,135.970272627 -39.580943685,135.951308627 -39.5761626849999,135.932375627 -39.571309685,135.913474627 -39.5663866849999,135.894605627 -39.5613926849999,135.875769627 -39.556327685,135.856966627 -39.5511926849999,135.838197627 -39.5459876849999,135.819462626 -39.540712685,135.800762626 -39.535367685,135.782097626 -39.529952685,135.763467626 -39.5244676849999,135.744873626 -39.518912685,135.726315626 -39.513289685,135.707794626 -39.507595685,135.689310626 -39.501833685,135.670864626 -39.496002685,135.652456626 -39.490101685,135.634086626 -39.484132685,135.615756626 -39.478094685,135.597464626 -39.471988685,135.579213626 -39.4658146849999,135.561002626 -39.459571685,135.542832626 -39.453260685,135.524702626 -39.4468826849999,135.506614626 -39.440436685,135.488569626 -39.433922685,135.470565626 -39.4273416849999,135.452605626 -39.4206926849999,135.434687626 -39.413977685,135.416814626 -39.407194685,135.398984626 -39.4003456849999,135.381199626 -39.3934296849999,135.363459626 -39.386447685,135.345764626 -39.379399685,135.328115626 -39.372284685,135.310512626 -39.3651046849999,135.292955626 -39.3578586849999,135.275446626 -39.350546685,135.257984626 -39.343169685,135.240569626 -39.3357276849999,135.223203626 -39.328220685,135.205886626 -39.320648685,135.188617626 -39.3130116849999,135.171398626 -39.3053106849999,135.154229626 -39.2975456849999,135.137110626 -39.289715685,135.120041626 -39.281822685,135.103023626 -39.273864685,135.086057626 -39.2658446849999,135.069142626 -39.2577606849999,135.052280626 -39.2496126849999,135.035470626 -39.241402685,135.018713626 -39.2331296849999,135.002010626 -39.2247946849999,134.985360626 -39.216396685,134.968764626 -39.2079366849999,134.952222626 -39.199415685,134.935735626 -39.190831685,134.919304626 -39.182186685,134.902928626 -39.173480685,134.886608626 -39.164712685,134.870344626 -39.1558846849999,134.854137626 -39.146995685,134.837987626 -39.138045685,134.821894626 -39.129035685,134.805859626 -39.119965684,134.789882626 -39.1108356839999,134.773963626 -39.1016466839999,134.758104626 -39.0923976839999,134.742303625 -39.083089684,134.726562625 -39.073723684,134.710881625 -39.0642976839999,134.695260625 -39.054813684,134.679700625 -39.0452716839999,134.664201625 -39.035670684,134.648763625 -39.026012684,134.633386625 -39.0162966839999,134.618072625 -39.0065236839999,134.602819625 -38.996693684,134.587630625 -38.9868056839999,134.572503625 -38.976861684,134.557439625 -38.966861684,134.542440625 -38.956805684,134.527504625 -38.946692684,134.513297625 -38.9391626839999,134.499133625 -38.931585684,134.485010625 -38.9239636839999,134.470930625 -38.916294684,134.456893625 -38.908580684,134.442758625 -38.9013856839999,134.428663625 -38.894145684,134.412363625 -38.8856946839999,134.396118625 -38.8771826839999,134.379925625 -38.868611684,134.363788625 -38.8599796839999,134.347704625 -38.8512876839999,134.331676625 -38.842536684,134.315703625 -38.8337256839999,134.299786625 -38.8248556839999,134.283925625 -38.815926684,134.268120625 -38.8069386839999,134.252372625 -38.797891684,134.236681625 -38.7887866839999,134.221047625 -38.7796236839999,134.205471625 -38.770402684,134.189953625 -38.7611226839999,134.174494625 -38.751786684,134.159093625 -38.742392684,134.143752625 -38.732941684,134.128470625 -38.7234336839999,134.113248625 -38.713868684,134.098085625 -38.7042476839999,134.082984625 -38.694570684,134.067942625 -38.6848366839999,134.052962625 -38.6750476839999,134.038044625 -38.665202684,134.023187625 -38.6553026839999,134.008392625 -38.6453476839999,133.993660625 -38.635337684,133.978990625 -38.625272684,133.964383625 -38.6151536839999,133.949840625 -38.6049806839999,133.935360625 -38.594753684,133.920944625 -38.5844726839999,133.906592625 -38.5741376839999,133.892305625 -38.563750684,133.878082625 -38.5533096839999,133.863925625 -38.5428166839999,133.849833625 -38.532270684,133.835806625 -38.521672684,133.821846625 -38.511022684,133.807952625 -38.500320684,133.794125625 -38.489567684,133.780364625 -38.4787636839999,133.766671625 -38.467907684,133.753045625 -38.457001684,133.739487625 -38.446044684,133.726002625 -38.4350456839999,133.712586625 -38.423996684,133.699238625 -38.412897684,133.685959625 -38.401749684,133.672748624 -38.3905526839999,133.659607624 -38.379305684,133.646536624 -38.368010684,133.633534624 -38.3566676839999,133.620603624 -38.3452756839999,133.607742624 -38.3338366839999,133.594951624 -38.322349684,133.582231624 -38.310814684,133.569583624 -38.2992336839999,133.557005624 -38.287604684,133.544500624 -38.2759296839999,133.532066624 -38.264208684,133.519705624 -38.252441684,133.507415624 -38.2406276839999,133.495199624 -38.2287696839999,133.483055624 -38.216865684,133.470984624 -38.204916684,133.458987624 -38.1929236839999,133.447063624 -38.180885684,133.435213624 -38.168803684,133.423438624 -38.1566776839999,133.411736624 -38.144507684,133.400109624 -38.1322946839999,133.388556624 -38.1200396839999,133.377079624 -38.107740684,133.365677624 -38.095399684,133.354350624 -38.083015684,133.343098624 -38.070590684,133.331923624 -38.058123684,133.320823624 -38.0456156829999,133.309800624 -38.033066683,133.298853624 -38.020476683,133.287983624 -38.007845683,133.277189624 -37.995174683,133.266473624 -37.9824636829999,133.255834624 -37.969713683,133.247186624 -37.9592526829999,133.238590624 -37.948766683,133.230045624 -37.938253683,133.221553624 -37.927715683,133.203436624 -37.9219866829999,133.185355624 -37.916189683,133.167311624 -37.9103226829999,133.149305624 -37.904386683,133.131336624 -37.898382683,133.113406624 -37.892309683,133.095514624 -37.8861686829999,133.077661624 -37.879959683,133.059848624 -37.873681683,133.042074624 -37.867336683,133.024341624 -37.860922683,133.006648624 -37.8544426829999,132.988997624 -37.8478936829999,132.971387624 -37.841278683,132.953819624 -37.834595683,132.936293624 -37.827845683,132.918810624 -37.8210296829999,132.901371624 -37.8141456829999,132.883975624 -37.807196683,132.866622624 -37.800179683,132.849315624 -37.793097683,132.832052624 -37.785949683,132.814834624 -37.778735683,132.797662624 -37.7714556829999,132.780535624 -37.764110683,132.763456624 -37.756700683,132.746422624 -37.749224683,132.729437624 -37.741684683,132.712498624 -37.7340796829999,132.695608624 -37.7264096829999,132.678766624 -37.718675683,132.661973624 -37.710876683,132.645228624 -37.7030146829999,132.628534624 -37.6950886829999,132.611889624 -37.6870986829999,132.595294623 -37.679044683,132.578750623 -37.6709286829999,132.562258623 -37.662748683,132.545816623 -37.654506683,132.529426623 -37.646201683,132.513089623 -37.6378336829999,132.496804623 -37.629403683,132.480572623 -37.620911683,132.464393623 -37.612358683,132.448268623 -37.603742683,132.432196623 -37.595065683,132.416179623 -37.586327683,132.400217623 -37.577528683,132.384310623 -37.5686686829999,132.368459623 -37.559748683,132.352663623 -37.5507676829999,132.336923623 -37.541725683,132.321240623 -37.5326246829999,132.305613623 -37.5234636829999,132.290044623 -37.514243683,132.274532623 -37.504963683,132.259079623 -37.495625683,132.243683623 -37.486227683,132.228346623 -37.476771683,132.213068623 -37.467256683,132.197849623 -37.457683683,132.182690623 -37.448052683,132.167591623 -37.438363683,132.152552623 -37.428617683,132.137574623 -37.4188146829999,132.122656623 -37.4089536829999,132.107800623 -37.399036683,132.093005623 -37.389062683,132.078273623 -37.3790326829999,132.063602623 -37.3689456829999,132.048994623 -37.358803683,132.034449623 -37.348605683,132.019967623 -37.338352683,132.005549623 -37.328043683,131.991194623 -37.3176806829999,131.976904623 -37.307262683,131.962678623 -37.296790683,131.948516623 -37.286263683,131.934420623 -37.275683683,131.920389623 -37.265049683,131.906424623 -37.254361683,131.892524623 -37.243620683,131.878691623 -37.232827683,131.864925623 -37.221980683,131.851225623 -37.211082683,131.837592623 -37.2001316829999,131.824027623 -37.189128683,131.810529623 -37.178073683,131.797100623 -37.1669686829999,131.783738623 -37.155811683,131.770446623 -37.144603683,131.757222623 -37.133345683,131.744067623 -37.122036683,131.730981623 -37.1106776829999,131.717965623 -37.0992696829999,131.705020623 -37.087811683,131.692144623 -37.0763036829999,131.679339623 -37.064747683,131.666604623 -37.053142683,131.653940623 -37.041488683,131.641348623 -37.0297866829999,131.628827623 -37.0180376829999,131.616378623 -37.0062396829999,131.604001623 -36.9943956829999,131.591697623 -36.9825036829999,131.579464623 -36.970564682,131.567305623 -36.9585796819999,131.555218623 -36.946548682,131.543205623 -36.934471682,131.531266622 -36.922347682,131.519400622 -36.910179682,131.507608622 -36.8979656819999,131.495890622 -36.885707682,131.484247622 -36.8734046819999,131.472678622 -36.861057682,131.461184622 -36.8486656819999,131.449766622 -36.836230682,131.438423622 -36.823752682,131.427155622 -36.811230682,131.415963622 -36.798666682,131.404847622 -36.786059682,131.393808622 -36.773409682,131.382845622 -36.7607186819999,131.371959622 -36.747985682,131.361175622 -36.735253682,131.350467622 -36.722481682,131.339837622 -36.709668682,131.329284622 -36.696814682,131.318807622 -36.6839216819999,131.308409622 -36.670988682,131.298087622 -36.658015682,131.287844622 -36.645004682,131.277679622 -36.631953682,131.267591622 -36.618864682,131.257583622 -36.605737682,131.247652622 -36.592572682,131.237801622 -36.5793696819999,131.228028622 -36.5661296819999,131.218335622 -36.552852682,131.208721622 -36.5395386819999,131.199186622 -36.5261886819999,131.189731622 -36.512802682,131.180356622 -36.499379682,131.171061622 -36.485922682,131.161846622 -36.472429682,131.152711622 -36.458901682,131.143657622 -36.4453386819999,131.134683622 -36.4317426819999,131.125791622 -36.418111682,131.116979622 -36.404447682,131.108248622 -36.390749682,131.099599622 -36.377018682,131.091031622 -36.3632546819999,131.082544622 -36.349458682,131.074140622 -36.3356306819999,131.065817622 -36.321770682,131.057576622 -36.307879682,131.049417622 -36.2939566819999,131.041341622 -36.280002682,131.033347622 -36.266018682,131.025435622 -36.2520046819999,131.017607622 -36.2379606819999,131.009861622 -36.2238866819999,131.002198622 -36.209782682,130.994618622 -36.195650682,130.987121622 -36.1814896819999,130.979708622 -36.167300682,130.972378622 -36.1530826819999,130.965131622 -36.138837682,130.957968622 -36.124565682,130.950890622 -36.110265682,130.943894622 -36.0959396819999,130.936983622 -36.081586682,130.930156622 -36.0672076819999,130.923414622 -36.0528026819999,130.916755622 -36.0383726819999,130.910181622 -36.0239166819999,130.903691622 -36.0094366819999,130.897287622 -35.994931682,130.890966622 -35.980402682,130.884731622 -35.9658496819999,130.878580622 -35.951272682,130.872515622 -35.9366726819999,130.866534622 -35.922049682,130.860639622 -35.9074046819999,130.854829622 -35.892736681,130.849104622 -35.8780476809999,130.843465622 -35.863336681,130.837911622 -35.8486036809999,130.832442622 -35.8338506809999,130.827060622 -35.819075681,130.821762622 -35.804281681,130.811923622 -35.791137681,130.802161622 -35.777955681,130.792477622 -35.7647366809999,130.782870622 -35.751480681,130.773342622 -35.7381876809999,130.763893622 -35.7248586809999,130.754522622 -35.711493681,130.745229622 -35.6980926809999,130.736016622 -35.684655681,130.726882622 -35.6711836809999,130.717826622 -35.6576766809999,130.708851622 -35.644135681,130.699954622 -35.630559681,130.691138622 -35.6169506809999,130.682401622 -35.6033076809999,130.673744622 -35.589630681,130.665168622 -35.575920681,130.656671622 -35.562178681,130.648256622 -35.548403681,130.639920622 -35.534595681,130.631666622 -35.520757681,130.623492622 -35.506886681,130.615400622 -35.4929846809999,130.607388622 -35.479052681,130.599458622 -35.4650896809999,130.591610622 -35.451095681,130.583843622 -35.437072681,130.576157622 -35.423018681,130.568554622 -35.4089366809999,130.561032622 -35.3948256809999,130.553593622 -35.3806846809999,130.546236622 -35.366516681,130.538961622 -35.352319681,130.531768622 -35.338095681,130.524658622 -35.323843681,130.517631622 -35.309564681,130.510686622 -35.295258681,130.503825622 -35.280926681,130.497046622 -35.266567681,130.490351622 -35.252183681,130.483738622 -35.237773681,130.477209622 -35.223338681,130.470764622 -35.2088786809999,130.464402622 -35.194393681,130.458123621 -35.179884681,130.441557621 -35.1734796809999,130.425028621 -35.167010681,130.408538621 -35.160478681,130.392086621 -35.153882681,130.375673621 -35.147224681,130.359300621 -35.140503681,130.342966621 -35.1337206809999,130.326672621 -35.1268746809999,130.310419621 -35.1199666809999,130.294206621 -35.112995681,130.278035621 -35.1059626809999,130.261905621 -35.0988686809999,130.245817621 -35.0917126809999,130.229771621 -35.084494681,130.213767621 -35.077215681,130.197806621 -35.0698756809999,130.181889621 -35.062474681,130.166015621 -35.0550116809999,130.150184621 -35.0474896809999,130.134399621 -35.0399056809999,130.118657621 -35.032261681,130.102961621 -35.024557681,130.087310621 -35.016793681,130.071704621 -35.0089696809999,130.056144621 -35.0010866809999,130.040631621 -34.9931426809999,130.027112621 -34.998088681,130.011485621 -35.0042876809999,129.995823621 -35.010428681,129.980128621 -35.0165136809999,129.964398621 -35.022540681,129.948635621 -35.0285106809999,129.931780621 -35.034824681,129.914888621 -35.0410736809999,129.897958621 -35.047255681,129.880992621 -35.053372681,129.863990621 -35.0594236809999,129.846952621 -35.065408681,129.829878621 -35.071326681,129.812770621 -35.077178681,129.796503621 -35.0828186809999,129.780204621 -35.0883986809999,129.763874621 -35.0939176809999,129.747512621 -35.099376681,129.731120621 -35.104774681,129.714697621 -35.110111681,129.698244621 -35.115388681,129.681761621 -35.120603681,129.665249621 -35.125758681,129.648661621 -35.1312226809999,129.632042621 -35.1366256809999,129.615391621 -35.1419656809999,129.598711621 -35.147243681,129.582000621 -35.152458681,129.565259621 -35.1576106809999,129.553056621 -35.161674681,129.540835621 -35.165704681,129.528597621 -35.1697006809999,129.511913621 -35.175220681,129.495198621 -35.180677681,129.478450621 -35.1860706809999,129.461672621 -35.1914016809999,129.444863621 -35.1966686809999,129.428024621 -35.2018726809999,129.411155621 -35.207013681,129.394256621 -35.212090681,129.37743162 -35.2172696809999,129.36057662 -35.2223846809999,129.34369162 -35.227436681,129.32677862 -35.2324246809999,129.30983662 -35.237349681,129.29286562 -35.242210681,129.27586762 -35.247007681,129.25884062 -35.2517406809999,129.24178762 -35.256409681,129.22470762 -35.2610146809999,129.20747462 -35.2655896809999,129.19021562 -35.270099681,129.17293062 -35.274543681,129.15561962 -35.278922681,129.13828362 -35.283235681,129.12092262 -35.287482681,129.10353662 -35.2916636809999,129.08612662 -35.2957796809999,129.06869162 -35.299828681,129.05123462 -35.303812681,129.03402762 -35.3097646809999,129.01678462 -35.315648681,129.00147762 -35.320801681,128.99950662 -35.321465681,128.98219362 -35.327215681,128.96484662 -35.332897681,128.94746562 -35.3385116809999,128.93005062 -35.344058681,128.91260262 -35.349537681,128.89512162 -35.3549476809999,128.87760862 -35.360290681,128.86006362 -35.365564681,128.84248662 -35.370770681,128.82487862 -35.3759076809999,128.80724062 -35.3809756809999,128.78957162 -35.3859756809999,128.77187262 -35.3909066809999,128.75414462 -35.3957676809999,128.73638662 -35.4005606809999,128.71860062 -35.405283681,128.70078562 -35.409937681,128.68294362 -35.4145216809999,128.66507362 -35.419036681,128.64717662 -35.4234816809999,128.62925362 -35.427856681,128.61130362 -35.432162681,128.59332762 -35.436397681,128.57532662 -35.440562681,128.55730162 -35.444657681,128.53925062 -35.448682681,128.52117662 -35.4526366809999,128.50307762 -35.456520681,128.48588462 -35.460141681,128.46866962 -35.463698681,128.45143462 -35.467192681,128.43418062 -35.470622681,128.41690662 -35.473988681,128.39961362 -35.4772916809999,128.38230162 -35.480529681,128.36497062 -35.483703681,128.34713262 -35.487935681,128.32926962 -35.492098681,128.311381619 -35.496192681,128.293469619 -35.500217681,128.275533619 -35.5041736809999,128.257573619 -35.508059681,128.239590619 -35.5118766809999,128.221585619 -35.515623681,128.203557619 -35.5193016809999,128.185507619 -35.5229086809999,128.167436619 -35.526446681,128.149344619 -35.529914681,128.131231619 -35.533312681,128.113098619 -35.5366416809999,128.094945619 -35.539898681,128.076773619 -35.543086681,128.058581619 -35.5462046809999,128.040372619 -35.5492516809999,128.022144619 -35.552227681,128.003898619 -35.555133681,127.985635619 -35.557969681,127.967356619 -35.5607346809999,127.949060619 -35.5634286809999,127.930748619 -35.566052681,127.912420619 -35.568604681,127.894077619 -35.5710866809999,127.875719619 -35.5734976809999,127.857348619 -35.5758376809999,127.838962619 -35.578105681,127.820563619 -35.580303681,127.802151619 -35.5824306809999,127.783726619 -35.5844856809999,127.765289619 -35.586469681,127.746840619 -35.588382681,127.728380619 -35.5902236809999,127.709909619 -35.591993681,127.691428619 -35.5936926809999,127.672937619 -35.595319681,127.654436619 -35.596875681,127.635926619 -35.598359681,127.621460619 -35.600258681,127.606986619 -35.6021146809999,127.592504619 -35.603925681,127.583202619 -35.6167886809999,127.573827619 -35.629615681,127.564379619 -35.6424086809999,127.554858619 -35.655165681,127.545264619 -35.667886681,127.535598619 -35.6805726809999,127.525859619 -35.693221681,127.516048619 -35.7058346809999,127.506165619 -35.718410681,127.496209619 -35.730949681,127.486183619 -35.743451681,127.475715619 -35.756373681,127.465171619 -35.7692566809999,127.454550619 -35.782097681,127.443853619 -35.794897681,127.433080619 -35.807655681,127.422230619 -35.820372681,127.411306619 -35.833046681,127.400305619 -35.845678681,127.389230619 -35.858268681,127.378079619 -35.870814681,127.366854619 -35.8833176809999,127.355554619 -35.895777681,127.344179619 -35.9081936819999,127.332731619 -35.920565682,127.321208619 -35.9328926819999,127.309612619 -35.945174682,127.297942619 -35.957412682,127.286200619 -35.969604682,127.274384619 -35.981751682,127.262495619 -35.993852682,127.250534619 -36.0059076819999,127.238501618 -36.017915682,127.226395618 -36.0298776819999,127.214218618 -36.0417926819999,127.201970618 -36.0536606819999,127.189650618 -36.0654806819999,127.177259618 -36.0772526819999,127.164797618 -36.088976682,127.152265618 -36.100652682,127.139663618 -36.112279682,127.129468618 -36.123501682,127.119212618 -36.1346876819999,127.108896618 -36.145837682,127.098520618 -36.1569526819999,127.088084618 -36.1680306819999,127.077588618 -36.179072682,127.067032618 -36.190077682,127.056417618 -36.201046682,127.045743618 -36.2119786819999,127.034343618 -36.2236656819999,127.022876618 -36.235310682,127.011341618 -36.246912682,126.999739618 -36.2584716819999,126.988070618 -36.269987682,126.976335618 -36.2814596819999,126.964533618 -36.292888682,126.952665618 -36.304273682,126.940731618 -36.3156146819999,126.928730618 -36.3269116819999,126.916665618 -36.338162682,126.904534618 -36.349369682,126.892338618 -36.3605316819999,126.880077618 -36.3716486819999,126.867751618 -36.382719682,126.855361618 -36.393744682,126.842907618 -36.4047226819999,126.834700618 -36.4119096819999,126.821801618 -36.423134682,126.808835618 -36.4343096819999,126.795802618 -36.445434682,126.782702618 -36.4565096819999,126.769536618 -36.4675356819999,126.756304618 -36.478510682,126.743006618 -36.489434682,126.729642618 -36.500308682,126.716213618 -36.5111306819999,126.702719618 -36.521901682,126.689161618 -36.532621682,126.675537618 -36.543289682,126.661850618 -36.5539046819999,126.648098618 -36.5644676819999,126.634283618 -36.5749786819999,126.620405618 -36.585436682,126.606463618 -36.595841682,126.592459618 -36.606192682,126.578393618 -36.6164906819999,126.564264618 -36.6267346819999,126.550073618 -36.636924682,126.535822618 -36.647060682,126.523234618 -36.658269682,126.510580618 -36.6694296819999,126.497860618 -36.680542682,126.485073618 -36.691607682,126.472222618 -36.702625682,126.459304618 -36.713593682,126.446322618 -36.7245146819999,126.433275618 -36.735385682,126.420163618 -36.746207682,126.406986618 -36.7569806819999,126.393746618 -36.7677036819999,126.380442618 -36.778377682,126.367074618 -36.7890016819999,126.353642618 -36.799574682,126.340148618 -36.8100976819999,126.326591618 -36.8205686819999,126.312972618 -36.8309896819999,126.299290618 -36.841359682,126.285547618 -36.8516786819999,126.271742618 -36.8619446819999,126.257875618 -36.872159682,126.243948618 -36.8823216819999,126.229959618 -36.8924326819999,126.215910618 -36.902489682,126.201801618 -36.9124946819999,126.187633618 -36.9224466819999,126.173202618 -36.9325086819999,126.158711617 -36.942516682,126.144158617 -36.952469682,126.129545617 -36.962365682,126.114872617 -36.972206682,126.100138617 -36.9819916829999,126.085346617 -36.991720683,126.070493617 -37.0013936829999,126.055582617 -37.0110086829999,126.040612617 -37.020567683,126.025584617 -37.030068683,126.010498617 -37.0395136829999,125.995354617 -37.0488996829999,125.980153617 -37.058228683,125.964895617 -37.0674996829999,125.949580617 -37.076711683,125.934209617 -37.085865683,125.918781617 -37.094961683,125.903299617 -37.1039976829999,125.887760617 -37.1129756829999,125.872167617 -37.1218936829999,125.856519617 -37.130751683,125.840817617 -37.139550683,125.825061617 -37.148289683,125.809252617 -37.1569686829999,125.793389617 -37.165586683,125.777473617 -37.174144683,125.761505617 -37.182642683,125.745485617 -37.1910786829999,125.729413617 -37.1994536829999,125.713289617 -37.2077676829999,125.697114617 -37.216019683,125.680889617 -37.224209683,125.664613617 -37.232338683,125.648287617 -37.240404683,125.631912617 -37.248408683,125.615487617 -37.2563506829999,125.599014617 -37.2642296829999,125.582491617 -37.2720456829999,125.565921617 -37.279798683,125.549303617 -37.2874886829999,125.532638617 -37.2951156829999,125.515925617 -37.302677683,125.499166617 -37.310176683,125.482361617 -37.3176126829999,125.465510617 -37.324983683,125.448613617 -37.3322896829999,125.431672617 -37.339531683,125.414685617 -37.346709683,125.397654617 -37.353822683,125.380580617 -37.360869683,125.363461617 -37.367852683,125.346300617 -37.374769683,125.329096617 -37.3816216829999,125.312190617 -37.3882856829999,125.295243617 -37.394885683,125.278256617 -37.401421683,125.261230617 -37.4078956829999,125.244164617 -37.414304683,125.227060617 -37.420650683,125.209916617 -37.426931683,125.192735617 -37.433149683,125.175516617 -37.4393026829999,125.158260617 -37.445391683,125.140967617 -37.4514156829999,125.123637617 -37.457375683,125.106270617 -37.463270683,125.088868616 -37.469099683,125.071431616 -37.474864683,125.053634616 -37.480671683,125.035801616 -37.486410683,125.017932616 -37.492081683,125.000028616 -37.4976846829999,124.982090616 -37.5032186829999,124.964117616 -37.508685683,124.946110616 -37.514082683,124.928070616 -37.519412683,124.909997616 -37.5246726829999,124.891891616 -37.529864683,124.873753616 -37.5349866829999,124.855583616 -37.540040683,124.837382616 -37.545024683,124.819150616 -37.5499396829999,124.800887616 -37.554785683,124.782594616 -37.559560683,124.764272616 -37.564267683,124.745921616 -37.568903683,124.727540616 -37.573469683,124.709132616 -37.5779666829999,124.690695616 -37.582392683,124.672231616 -37.5867486829999,124.653740616 -37.591034683,124.635222616 -37.595249683,124.616679616 -37.599394683,124.598109616 -37.603468683,124.579514616 -37.607471683,124.560894616 -37.6114046829999,124.542250616 -37.615265683,124.523582616 -37.6190566829999,124.504891616 -37.6227756829999,124.486176616 -37.626423683,124.467438616 -37.6300006829999,124.448679616 -37.633506683,124.429898616 -37.636940683,124.411095616 -37.640302683,124.392271616 -37.6435936829999,124.373427616 -37.646812683,124.354563616 -37.649960683,124.335680616 -37.653035683,124.316777616 -37.656039683,124.297856616 -37.658970683,124.278917616 -37.6618306829999,124.259960616 -37.664617683,124.240986616 -37.667332683,124.221994616 -37.669975683,124.202987616 -37.672546683,124.183963616 -37.675044683,124.164924616 -37.677470683,124.145871616 -37.6798236829999,124.126802616 -37.682103683,124.107719616 -37.684311683,124.088623616 -37.686447683,124.069514616 -37.688509683,124.050392616 -37.690499683,124.031257616 -37.692416683,124.012111615 -37.694260683,123.992953615 -37.6960316829999,123.973785615 -37.697729683,123.954606615 -37.699354683,123.935417615 -37.700907683,123.916218615 -37.7023866829999,123.897011615 -37.703792683,123.877794615 -37.705124683,123.858570615 -37.706384683,123.839338615 -37.707570683,123.820099615 -37.7086836829999,123.800853615 -37.7097236829999,123.781600615 -37.7106906829999,123.762342615 -37.711583683,123.743079615 -37.7124036829999,123.723810615 -37.713150683,123.704537615 -37.7138236829999,123.685260615 -37.714423683,123.665980615 -37.7149496829999,123.646696615 -37.715402683,123.627410615 -37.7157826829999,123.608236615 -37.716103683,123.589061615 -37.716351683,123.569885615 -37.716527683,123.550707615 -37.7166316829999,123.531530615 -37.716661683,123.512352615 -37.716620683,123.493175615 -37.716505683,123.473998615 -37.7163186829999,123.454824615 -37.716059683,123.435651615 -37.715727683,123.416480615 -37.715322683,123.397312615 -37.714845683,123.378147615 -37.7142956829999,123.358986615 -37.713673683,123.339829615 -37.712978683,123.320677615 -37.712210683,123.301529615 -37.711371683,123.282387615 -37.710458683,123.263251615 -37.7094746829999,123.244122615 -37.7084176829999,123.224999615 -37.7072876829999,123.205884615 -37.706085683,123.186776615 -37.7048116829999,123.167676615 -37.7034646829999,123.148585615 -37.7020466829999,123.129504615 -37.7005556829999,123.110431615 -37.698991683,123.091369615 -37.697356683,123.072317615 -37.6956486829999,123.053607615 -37.699734683,123.034872615 -37.703748683,123.016111615 -37.707690683,122.997326615 -37.711561683,122.978516615 -37.715359683,122.959683615 -37.7190866829999,122.940826614 -37.722741683,122.921946614 -37.726323683,122.903044614 -37.729833683,122.884121614 -37.7332716829999,122.865175614 -37.736636683,122.846209614 -37.739929683,122.827222614 -37.743149683,122.808215614 -37.746296683,122.789188614 -37.7493716829999,122.770142614 -37.752373683,122.751077614 -37.755302683,122.731994614 -37.758158683,122.712893614 -37.7609406829999,122.693775614 -37.763650683,122.674639614 -37.766287683,122.655488614 -37.768850683,122.636320614 -37.7713406829999,122.617137614 -37.7737576829999,122.597939614 -37.776100683,122.578726614 -37.7783706829999,122.559499614 -37.780567683,122.540258614 -37.7826896829999,122.521004614 -37.7847386829999,122.501738614 -37.786714683,122.482459614 -37.7886156829999,122.463756614 -37.7903926829999,122.445042614 -37.7920996829999,122.426318614 -37.793737683,122.407584614 -37.795306683,122.388840614 -37.7968056829999,122.370088614 -37.798234683,122.351327614 -37.799594683,122.332558614 -37.8008846829999,122.313781614 -37.802105683,122.294997614 -37.803256683,122.276206614 -37.804337683,122.257409614 -37.805348683,122.238606614 -37.8062906829999,122.219797614 -37.8071626829999,122.200983614 -37.807964683,122.182164614 -37.8086976829999,122.163341614 -37.809359683,122.144514614 -37.8099526829999,122.125684614 -37.8104756829999,122.106850614 -37.8109286829999,122.088014614 -37.8113116829999,122.069176614 -37.8116246829999,122.050337614 -37.8118676829999,122.031496614 -37.812041683,122.012654614 -37.812145683,121.993811614 -37.812178683,121.974397614 -37.8121436829999,121.954983614 -37.812033683,121.935570614 -37.8118496829999,121.916159614 -37.811591683,121.896749614 -37.8112596829999,121.877342614 -37.8108536829999,121.857937613 -37.810372683,121.838536613 -37.8098176829999,121.819139613 -37.8091886829999,121.799745613 -37.808485683,121.780357613 -37.8077086829999,121.760973613 -37.806857683,121.741596613 -37.805932683,121.722224613 -37.8049326829999,121.702859613 -37.803859683,121.683501613 -37.802711683,121.664150613 -37.8014906829999,121.644807613 -37.800195683,121.625473613 -37.798825683,121.606148613 -37.797382683,121.586832613 -37.7958656829999,121.567526613 -37.794274683,121.548230613 -37.792610683,121.528945613 -37.790871683,121.509671613 -37.7890596829999,121.490409613 -37.7871746829999,121.471159613 -37.7852146829999,121.451922613 -37.783182683,121.432698613 -37.781075683,121.413487613 -37.778896683,121.394291613 -37.776642683,121.375109613 -37.7743166829999,121.355941613 -37.771916683,121.336790613 -37.769443683,121.317654613 -37.766897683,121.298534613 -37.7642786829999,121.279431613 -37.761585683,121.260346613 -37.758820683,121.241278613 -37.755982683,121.222228613 -37.753070683,121.203197613 -37.7500876829999,121.184186613 -37.7470306829999,121.165193613 -37.7439016829999,121.146221613 -37.7406996829999,121.128637613 -37.737667683,121.111072613 -37.734573683,121.093525613 -37.731416683,121.075997613 -37.728198683,121.058488613 -37.7249176829999,121.040998613 -37.721574683,121.023528613 -37.718169683,121.006077613 -37.714702683,120.991194613 -37.711698683,120.976325613 -37.708649683,120.957805613 -37.704797683,120.939309613 -37.7008766829999,120.920837613 -37.6968856829999,120.902391613 -37.692824683,120.883970613 -37.6886936829999,120.865575613 -37.684493683,120.847206613 -37.680223683,120.831475613 -37.689158683,120.815689613 -37.6980336829999,120.799848613 -37.706848683,120.783952612 -37.715603683,120.768002612 -37.724298683,120.751998612 -37.7329326829999,120.735940612 -37.741506683,120.719830612 -37.750018683,120.703666612 -37.7584696829999,120.687450612 -37.766859683,120.671182612 -37.775187683,120.654862612 -37.7834546829999,120.638491612 -37.791659683,120.622069612 -37.7998016829999,120.605596612 -37.8078816829999,120.589073612 -37.8158996829999,120.572501612 -37.823854683,120.555878612 -37.8317466829999,120.539207612 -37.839575683,120.522487612 -37.847340683,120.505718612 -37.855043683,120.488902612 -37.8626816829999,120.472038612 -37.870256683,120.455126612 -37.8777676829999,120.438168612 -37.885213683,120.421164612 -37.892595683,120.404113612 -37.899913683,120.387017612 -37.907166683,120.369875612 -37.9143546829999,120.352689612 -37.921477683,120.335458612 -37.928535683,120.318183612 -37.935527683,120.300865612 -37.9424546829999,120.283503612 -37.949315683,120.266098612 -37.956110683,120.248651612 -37.962839683,120.231162612 -37.969502683,120.213631612 -37.976099683,120.196058612 -37.982629683,120.178445612 -37.989092683,120.160792612 -37.995489683,120.143098612 -38.001818683,120.129052612 -38.006786683,120.114981612 -38.0117116829999,120.100886612 -38.0165956829999,120.086767612 -38.0214356829999,120.070223612 -38.0297666829999,120.053628612 -38.038034683,120.036980612 -38.046238683,120.020281612 -38.054379684,120.003530612 -38.062456684,119.986728612 -38.0704686839999,119.969876612 -38.0784176839999,119.952974612 -38.086301684,119.936022612 -38.094121684,119.919020612 -38.1018766839999,119.901970612 -38.109566684,119.884871612 -38.117191684,119.867724612 -38.1247516839999,119.850529612 -38.1322456839999,119.833287612 -38.1396736839999,119.815997612 -38.1470366839999,119.798662612 -38.1543326839999,119.781280612 -38.1615626839999,119.763852612 -38.168726684,119.746379612 -38.175823684,119.728861612 -38.1828546839999,119.711298611 -38.1898186839999,119.693692611 -38.196714684,119.676042611 -38.203543684,119.658348611 -38.2103056839999,119.640612611 -38.216999684,119.622833611 -38.223626684,119.605012611 -38.2301856839999,119.587149611 -38.236675684,119.569246611 -38.243097684,119.551301611 -38.249451684,119.533317611 -38.2557376839999,119.515292611 -38.2619536839999,119.497228611 -38.2681016839999,119.479125611 -38.2741806839999,119.460983611 -38.2801906839999,119.442803611 -38.2861306839999,119.424586611 -38.292001684,119.406479611 -38.297757684,119.388336611 -38.3034446839999,119.370157611 -38.309062684,119.351942611 -38.3146126839999,119.333693611 -38.320092684,119.315409611 -38.325503684,119.297091611 -38.3308456839999,119.278739611 -38.336118684,119.260354611 -38.341321684,119.241936611 -38.346454684,119.223486611 -38.351518684,119.205004611 -38.3565126839999,119.186490611 -38.361436684,119.167945611 -38.366289684,119.149369611 -38.371073684,119.130764611 -38.3757866839999,119.112128611 -38.380428684,119.093463611 -38.385000684,119.074769611 -38.389502684,119.056047611 -38.3939326839999,119.037297611 -38.398292684,119.018519611 -38.4025806839999,118.999715611 -38.406798684,118.980883611 -38.410944684,118.962026611 -38.415019684,118.943142611 -38.419022684,118.924233611 -38.4229546839999,118.905300611 -38.426814684,118.886342611 -38.4306036839999,118.867360611 -38.4343206839999,118.848355611 -38.4379656839999,118.829326611 -38.441538684,118.810276611 -38.4450386839999,118.791202611 -38.448467684,118.772108611 -38.451824684,118.752992611 -38.455108684,118.733855611 -38.4583196839999,118.714698611 -38.461459684,118.695522611 -38.464525684,118.676325611 -38.467520684,118.658047611 -38.4703016839999,118.63975361 -38.473016684,118.62144261 -38.475666684,118.60311561 -38.4782496839999,118.58477361 -38.4807666839999,118.56641561 -38.483218684,118.54804361 -38.485603684,118.52965761 -38.487922684,118.51125661 -38.490175684,118.49284261 -38.4923626839999,118.47441561 -38.4944826839999,118.45597661 -38.496536684,118.43752461 -38.498523684,118.41906061 -38.5004446839999,118.40058461 -38.502299684,118.38109561 -38.5042716839999,118.36159361 -38.5061696839999,118.34207961 -38.507994684,118.32255361 -38.5097446839999,118.30301761 -38.511420684,118.28347061 -38.513022684,118.26391361 -38.514549684,118.24434761 -38.5160026839999,118.22477161 -38.5173816839999,118.20518761 -38.5186856839999,118.18559461 -38.519915684,118.16599461 -38.5210716839999,118.14638761 -38.5221526839999,118.12677361 -38.523159684,118.10715361 -38.524091684,118.08752761 -38.524948684,118.06789661 -38.5257316839999,118.04826061 -38.526439684,118.02861961 -38.527073684,118.00897561 -38.527632684,117.98932861 -38.5281176839999,117.96967761 -38.528527684,117.95002461 -38.5288626839999,117.93037061 -38.529122684,117.91071461 -38.5293086839999,117.89105761 -38.5294196839999,117.87139961 -38.529456684,117.85206361 -38.5294216839999,117.83272861 -38.529314684,117.81339461 -38.529135684,117.79406061 -38.5288836839999,117.77472961 -38.528559684,117.75540061 -38.5281636839999,117.73607461 -38.527694684,117.71675161 -38.527154684,117.69743261 -38.5265416839999,117.67811661 -38.525856684,117.65880661 -38.5250996839999,117.63950061 -38.5242706839999,117.62020061 -38.5233696839999,117.60090661 -38.5223956839999,117.58161861 -38.521349684,117.562337609 -38.520232684,117.543063609 -38.5190426839999,117.523797609 -38.5177806839999,117.504539609 -38.516447684,117.485290609 -38.515041684,117.466050609 -38.513564684,117.446819609 -38.512014684,117.427599609 -38.510393684,117.408389609 -38.508700684,117.389190609 -38.506935684,117.370002609 -38.505099684,117.350826609 -38.5031916839999,117.331662609 -38.5012116839999,117.312512609 -38.4991606839999,117.293374609 -38.497037684,117.274250609 -38.4948426839999,117.255140609 -38.492576684,117.236044609 -38.490239684,117.216964609 -38.487831684,117.197899609 -38.485351684,117.178850609 -38.482800684,117.159817609 -38.480178684,117.140801609 -38.4774846839999,117.121802609 -38.474720684,117.102821609 -38.471885684,117.083857609 -38.468979684,117.064913609 -38.4660026839999,117.045987609 -38.462954684,117.027081609 -38.459836684,117.008725609 -38.456738684,116.990387609 -38.4535746839999,116.972070609 -38.450343684,116.953772609 -38.4470466839999,116.934867609 -38.443566684,116.915985609 -38.4400156839999,116.897125609 -38.4363936839999,116.878289609 -38.4327016839999,116.859476609 -38.4289386839999,116.840687609 -38.425104684,116.821923609 -38.4211996839999,116.803183609 -38.417224684,116.784469609 -38.4131806839999,116.765498609 -38.413388684,116.746527609 -38.413527684,116.727555609 -38.413596684,116.708582609 -38.413596684,116.689610609 -38.413525684,116.670638609 -38.4133856839999,116.651668609 -38.413175684,116.632699609 -38.412895684,116.613732609 -38.412545684,116.594767609 -38.4121266839999,116.575806609 -38.411637684,116.556847609 -38.411078684,116.537892609 -38.410449684,116.518941609 -38.409751684,116.499995608 -38.408983684,116.481054608 -38.408146684,116.462118608 -38.4072386839999,116.443188608 -38.406262684,116.424264608 -38.405215684,116.404875608 -38.404072684,116.385492608 -38.402855684,116.366118608 -38.4015656839999,116.346752608 -38.400203684,116.327395608 -38.3987676839999,116.308047608 -38.3972596839999,116.288709608 -38.395677684,116.269381608 -38.3940236839999,116.250064608 -38.392295684,116.230759608 -38.390495684,116.211465608 -38.388623684,116.192183608 -38.3866776839999,116.172913608 -38.384659684,116.153657608 -38.382568684,116.134414608 -38.380405684,116.115042608 -38.378154684,116.095684608 -38.3758296839999,116.076342608 -38.373430684,116.057015608 -38.370958684,116.037704608 -38.368413684,116.018409608 -38.365795684,115.999131608 -38.363103684,115.979871608 -38.3603386839999,115.960629608 -38.3575006839999,115.941405608 -38.354589684,115.922200608 -38.3516056839999,115.903014608 -38.348548684,115.883848608 -38.345418684,115.864703608 -38.3422166839999,115.845373608 -38.3408436839999,115.826052608 -38.3393976839999,115.806741608 -38.337878684,115.787440608 -38.336286684,115.768149608 -38.334622684,115.748868608 -38.332885684,115.729599608 -38.331075684,115.710342608 -38.329193684,115.691097608 -38.327238684,115.671864608 -38.325211684,115.652644608 -38.323112684,115.633438608 -38.3209396839999,115.614246608 -38.318695684,115.595069608 -38.316378684,115.575906608 -38.313989684,115.556759608 -38.3115286839999,115.537627608 -38.308995684,115.518512608 -38.306390684,115.499414608 -38.3037126839999,115.480332608 -38.300963684,115.461269608 -38.298142684,115.442223608 -38.2952496839999,115.423196607 -38.292284684,115.404188607 -38.289248684,115.385199607 -38.286140684,115.366231607 -38.2829606839999,115.347282607 -38.279709684,115.328354607 -38.276387684,115.309448607 -38.272994684,115.290563607 -38.269529684,115.271701607 -38.265993684,115.252861607 -38.262386684,115.234044607 -38.2587086839999,115.215250607 -38.254959684,115.196481607 -38.2511406839999,115.177735607 -38.2472506839999,115.159015607 -38.2432896839999,115.140320607 -38.2392586839999,115.121650607 -38.2351566839999,115.103006607 -38.230984684,115.084390607 -38.2267426839999,115.065800607 -38.222430684,115.047237607 -38.2180476839999,115.028702607 -38.213595684,115.010196607 -38.209073684,114.991719607 -38.204482684,114.973270607 -38.199820684,114.954851607 -38.195090684,114.936462607 -38.1902906839999,114.918104607 -38.1854216839999,114.899777607 -38.180482684,114.881480607 -38.1754756839999,114.863216607 -38.170399684,114.844984607 -38.1652546839999,114.826784607 -38.160040684,114.808617607 -38.1547586839999,114.790484607 -38.149407684,114.772385607 -38.143989684,114.754201607 -38.138467684,114.736052607 -38.1328766839999,114.717939607 -38.127216684,114.699862607 -38.121488684,114.681821607 -38.115691684,114.663817607 -38.109826684,114.645850607 -38.103893684,114.627921607 -38.0978916839999,114.610030607 -38.091822684,114.592178607 -38.0856856839999,114.574365607 -38.079480684,114.556591607 -38.073208684,114.538857607 -38.066869684,114.521163607 -38.060462684,114.503509607 -38.0539886839999,114.485897607 -38.047448683,114.468326607 -38.0408416829999,114.450797607 -38.034167683,114.433310607 -38.027427683,114.415866607 -38.0206206829999,114.398465607 -38.013748683,114.381107607 -38.006809683,114.363793607 -37.999805683,114.346524606 -37.992735683,114.329299606 -37.985600683,114.312119606 -37.978400683,114.294985606 -37.9711346829999,114.277896606 -37.963804683,114.260854606 -37.9564096829999,114.243858606 -37.948949683,114.226910606 -37.941426683,114.210009606 -37.933838683,114.193155606 -37.926185683,114.176350606 -37.918470683,114.159593606 -37.910690683,114.142886606 -37.9028476829999,114.126227606 -37.894941683,114.109619606 -37.886972683,114.093060606 -37.8789396829999,114.076552606 -37.870845683,114.060094606 -37.8626876829999,114.043688606 -37.8544686829999,114.027334606 -37.846186683,114.011031606 -37.837842683,113.994781606 -37.829437683,113.978583606 -37.820970683,113.962439606 -37.812442683,113.946348606 -37.8038526829999,113.930310606 -37.795202683,113.914327606 -37.786491683,113.898398606 -37.777720683,113.882524606 -37.7688886829999,113.866706606 -37.7599966829999,113.850943606 -37.751044683,113.835235606 -37.7420336829999,113.819584606 -37.732962683,113.803990606 -37.723832683,113.788452606 -37.714643683,113.772972606 -37.7053966829999,113.757550606 -37.696089683,113.742185606 -37.686724683,113.726879606 -37.6773026829999,113.711631606 -37.6678216829999,113.696443606 -37.658282683,113.681313606 -37.6486866829999,113.666244606 -37.639033683,113.651234606 -37.6293236829999,113.636285606 -37.619556683,113.621396606 -37.6097326829999,113.606568606 -37.5998526829999,113.591801606 -37.589916683,113.577096606 -37.5799256829999,113.562453606 -37.569877683,113.547873606 -37.5597746829999,113.533354606 -37.549616683,113.518899606 -37.5394036829999,113.504507606 -37.5291366829999,113.490178606 -37.518813683,113.475913606 -37.508437683,113.461712606 -37.498007683,113.447576606 -37.4875236829999,113.433504606 -37.476986683,113.419497606 -37.466395683,113.405556606 -37.455752683,113.391680606 -37.445055683,113.377870606 -37.4343066829999,113.364127606 -37.423505683,113.350449606 -37.412652683,113.333225606 -37.4055996829999,113.316046606 -37.3984806829999,113.298911606 -37.391295683,113.281821606 -37.384044683,113.264776605 -37.376728683,113.247778605 -37.3693476829999,113.230826605 -37.3619006829999,113.213920605 -37.354389683,113.197062605 -37.3468136829999,113.180251605 -37.339172683,113.163488605 -37.331468683,113.146773605 -37.323699683,113.130106605 -37.315866683,113.113489605 -37.307969683,113.096921605 -37.3000086829999,113.080403605 -37.291984683,113.063935605 -37.283897683,113.047517605 -37.275747683,113.031150605 -37.267534683,113.014835605 -37.259259683,112.998571605 -37.2509216829999,112.982359605 -37.242521683,112.966199605 -37.2340586829999,112.950093605 -37.225534683,112.934039605 -37.2169496829999,112.918038605 -37.2083016829999,112.902092605 -37.1995936829999,112.886200605 -37.190824683,112.870362605 -37.181993683,112.854579605 -37.173103683,112.838851605 -37.1641516829999,112.823179605 -37.155140683,112.807563605 -37.146069683,112.792003605 -37.136938683,112.776500605 -37.1277476829999,112.761054605 -37.1184976829999,112.745665605 -37.109188683,112.730333605 -37.099820683,112.715060605 -37.0903946829999,112.699845605 -37.080909683,112.684689605 -37.071365683,112.669592605 -37.061764683,112.654554605 -37.052105683,112.639576605 -37.042389683,112.624658605 -37.032615683,112.609800605 -37.0227856829999,112.595003605 -37.0128976829999,112.580267605 -37.0029536829999,112.565592605 -36.9929526829999,112.550979605 -36.982896683,112.536428605 -36.9727836819999,112.521939605 -36.962615682,112.507512605 -36.952392682,112.493149605 -36.942113682,112.478848605 -36.931779682,112.464612605 -36.921391682,112.450439605 -36.910948682,112.436330605 -36.900451682,112.422286605 -36.889900682,112.408306605 -36.879296682,112.394392605 -36.868638682,112.380542605 -36.857926682,112.366571605 -36.847858682,112.352659605 -36.837738682,112.338809605 -36.8275656819999,112.325019605 -36.8173416819999,112.311290605 -36.807065682,112.297623605 -36.796738682,112.284018605 -36.786360682,112.270475605 -36.775931682,112.256994605 -36.7654516819999,112.243575605 -36.754921682,112.230220605 -36.744341682,112.216928605 -36.733711682,112.203699604 -36.7230316819999,112.190534604 -36.712302682,112.177432604 -36.701524682,112.164395604 -36.690696682,112.151423604 -36.679820682,112.138515604 -36.668896682,112.125672604 -36.6579236819999,112.112894604 -36.646902682,112.100182604 -36.6358346819999,112.087536604 -36.624718682,112.074955604 -36.613555682,112.062441604 -36.602345682,112.049993604 -36.591088682,112.037612604 -36.579784682,112.024907604 -36.568320682,112.012271604 -36.5568076819999,111.999704604 -36.545246682,111.987290604 -36.5337276819999,111.974945604 -36.5221616819999,111.962668604 -36.510548682,111.950462604 -36.498889682,111.938325604 -36.487183682,111.926258604 -36.475432682,111.914261604 -36.463635682,111.902335604 -36.451792682,111.890479604 -36.439905682,111.878695604 -36.427973682,111.866981604 -36.415996682,111.855339604 -36.403975682,111.843769604 -36.3919096819999,111.832271604 -36.3798016819999,111.820844604 -36.367648682,111.809490604 -36.355453682,111.798209604 -36.3432146819999,111.787000604 -36.330933682,111.775864604 -36.318610682,111.764802604 -36.3062446819999,111.753813604 -36.2938376819999,111.742897604 -36.2813886819999,111.732055604 -36.2688986819999,111.721288604 -36.256367682,111.710594604 -36.243795682,111.699975604 -36.2311826819999,111.689431604 -36.2185306819999,111.678961604 -36.205838682,111.668567604 -36.193106682,111.658247604 -36.180335682,111.648003604 -36.167525682,111.637835604 -36.1546766819999,111.627743604 -36.141789682,111.617726604 -36.128864682,111.607786604 -36.115901682,111.597922604 -36.102900682,111.588134604 -36.0898626819999,111.578274604 -36.0767816819999,111.568490604 -36.063663682,111.558785604 -36.0505086819999,111.549156604 -36.037316682,111.539606604 -36.024087682,111.530134604 -36.010822682,111.520740604 -35.997521682,111.511424604 -35.984184682,111.502187604 -35.970813682,111.493028604 -35.9574066819999,111.483948604 -35.9439646819999,111.474948604 -35.930488682,111.466026604 -35.916978682,111.457184604 -35.903433681,111.448421604 -35.889856681,111.439738604 -35.8762456809999,111.431135604 -35.8626016809999,111.422612604 -35.848925681,111.414169604 -35.835216681,111.405806604 -35.821475681,111.397523604 -35.807703681,111.389321604 -35.793899681,111.381200604 -35.7800646809999,111.373159604 -35.7661986809999,111.365199604 -35.7523026809999,111.357321604 -35.738375681,111.349523604 -35.724419681,111.341807604 -35.710433681,111.334173604 -35.696418681,111.326620604 -35.6823746809999,111.319148604 -35.6683016809999,111.311759604 -35.654200681,111.304451604 -35.6400716809999,111.297226604 -35.625914681,111.290083604 -35.611730681,111.283022604 -35.5975196809999,111.276043604 -35.583281681,111.269147604 -35.5690176809999,111.262334604 -35.554727681,111.255603604 -35.540410681,111.248955604 -35.526069681,111.242390604 -35.511702681,111.235908604 -35.4973106809999,111.229509604 -35.482893681,111.223193604 -35.468453681,111.216961604 -35.4539886809999,111.210812604 -35.439500681,111.204747604 -35.4249896809999,111.198765604 -35.410455681,111.192867604 -35.3958986809999,111.187053604 -35.381318681,111.181322604 -35.366717681,111.175675604 -35.352094681,111.170113604 -35.337450681,111.164634604 -35.322784681,111.159240604 -35.3080986809999,111.153929604 -35.2933926809999,111.148703604 -35.278665681,111.143562604 -35.2639196809999,111.138504604 -35.2491536809999,111.133532604 -35.234368681,111.128305603 -35.219493681,111.123164603 -35.2045986809999,111.118109603 -35.189684681,111.113139603 -35.174750681,111.108257603 -35.1597976809999,111.103460603 -35.144826681,111.098749603 -35.129836681,111.094125603 -35.1148286809999,111.089587603 -35.099803681,111.085135603 -35.084760681,111.080770603 -35.069701681,111.076492603 -35.054624681,111.072299603 -35.039532681,111.068194603 -35.024423681,111.064175603 -35.009299681,111.060242603 -34.9941596809999,111.056397603 -34.9790056809999,111.052638603 -34.963836681,111.048966603 -34.9486526809999,111.045380603 -34.9334556809999,111.041882603 -34.918244681,111.038470603 -34.9030196809999,111.035145603 -34.887782681,111.031907603 -34.8725326809999,111.028756603 -34.8572696809999,111.025692603 -34.841995681,111.022715603 -34.82670968,111.019825603 -34.8114116799999,111.017022603 -34.7961036799999,111.014306603 -34.78078468,111.011676603 -34.7654556799999,111.009134603 -34.75011668,111.006679603 -34.7347676799999,111.004311603 -34.71940868,111.002030603 -34.7040416799999,110.999836603 -34.6886656799999,110.997729603 -34.6732816799999,110.995709603 -34.65788968,110.993777603 -34.64248968,110.991931603 -34.6270826799999,110.990172603 -34.61166868,110.988500603 -34.59624868,110.986915603 -34.5808216799999,110.985417603 -34.56538868,110.984006603 -34.5499496799999,110.982682603 -34.5345066799999,110.981445603 -34.5190576799999,110.980297603 -34.5036406799999,110.979234603 -34.4882186799999,110.978258603 -34.4727936799999,110.977369603 -34.45736468,110.976565603 -34.44193268,110.975849603 -34.42649668,110.975218603 -34.4110586799999,110.974674603 -34.39561868,110.974216603 -34.38017668,110.973844603 -34.36473368,110.973559603 -34.34928768,110.973360603 -34.33384168,110.973247603 -34.31839568,110.971677603 -34.30327168,110.970190603 -34.28814268,110.968786603 -34.27300768,110.967466603 -34.25786668,110.966229603 -34.2427216799999,110.965075603 -34.22757268,110.964004603 -34.21241868,110.963017603 -34.1972606799999,110.962112603 -34.18209868,110.961291603 -34.1669346799999,110.960553603 -34.15176668,110.959899603 -34.13659668,110.959327603 -34.12142368,110.958838603 -34.10624868,110.958432603 -34.09107268,110.958110603 -34.07589468,110.957870603 -34.0607156799999,110.957713603 -34.0455356799999,110.957639603 -34.03035568,110.957647603 -34.01517468,110.957739603 -33.9999946799999,110.957913603 -33.9848146799999,110.958170603 -33.96963568,110.958509603 -33.95445768,110.958931603 -33.93928068,110.959436603 -33.92410668,110.960023603 -33.90893368,110.960692603 -33.89376268,110.961381603 -33.8797906799999,110.962139603 -33.86582068,110.962967603 -33.85185368,110.963865603 -33.8378896799999,110.964832603 -33.8239286799999,110.965869603 -33.8099716799999,110.966976603 -33.79601768,110.967690603 -33.7814416799999,110.968480603 -33.76686768,110.969345603 -33.752296679,110.970286603 -33.7377286789999,110.971303603 -33.723164679,110.972396603 -33.708604679,110.973564603 -33.6940486789999,110.974808603 -33.679496679,110.976128603 -33.664949679,110.977523603 -33.650406679,110.978993603 -33.6358696789999,110.980539603 -33.621337679,110.981368603 -33.606077679,110.982280603 -33.5908206789999,110.983275603 -33.575566679,110.984353603 -33.560316679,110.985514603 -33.5450716789999,110.986757603 -33.5298306789999,110.988083603 -33.514594679,110.989440603 -33.4997726789999,110.990874603 -33.4849546789999,110.992387603 -33.4701426789999,110.993978603 -33.455336679,110.995646603 -33.4405356789999,110.997393603 -33.4257426789999,110.999218603 -33.4109546789999,111.001120603 -33.396174679,111.003100603 -33.381400679,111.005157603 -33.366634679,111.007292603 -33.3518766789999,111.009505603 -33.3371266789999,111.011794603 -33.322385679,111.014161603 -33.3076516789999,111.016606603 -33.2929276789999,111.019016603 -33.2788326789999,111.021497603 -33.264746679,111.024048603 -33.2506696789999,111.026670603 -33.2366016789999,111.029362603 -33.222542679,111.032125603 -33.208493679,111.034958603 -33.1944546789999,111.037861603 -33.1804256789999,111.040834603 -33.166406679,111.043877603 -33.1523986789999,111.046991603 -33.138401679,111.050174603 -33.124415679,111.052953603 -33.112449679,111.055784603 -33.100491679,111.058665603 -33.0885426789999,111.061458603 -33.0733936789999,111.064331603 -33.058255679,111.067287603 -33.0431286789999,111.070323603 -33.028013679,111.073427603 -33.012957679,111.076612603 -32.997913679,111.079877603 -32.9828816789999,111.083223603 -32.967862679,111.086649603 -32.952856679,111.090155603 -32.937863679,111.093741603 -32.9228836789999,111.097407603 -32.907918679,111.101152603 -32.892966679,111.104978603 -32.878029679,111.108883603 -32.8631076789999,111.112867603 -32.8482006789999,111.116931603 -32.833308679,111.121074603 -32.818432679,111.125296603 -32.803571679,111.129597603 -32.788727679,111.133977604 -32.773900679,111.138435604 -32.7590906789999,111.142972604 -32.7442966789999,111.147588604 -32.729520679,111.152282604 -32.7147626789999,111.157054604 -32.700022679,111.161904604 -32.685301679,111.166832604 -32.670598678,111.171838604 -32.6559146779999,111.176921604 -32.641249678,111.182082604 -32.626604678,111.187320604 -32.611978678,111.192636604 -32.5973736779999,111.198028604 -32.582789678,111.203498604 -32.568225678,111.209044604 -32.553682678,111.214667604 -32.539160678,111.220366604 -32.524660678,111.226142604 -32.510182678,111.231994604 -32.495726678,111.237921604 -32.4812936779999,111.243925604 -32.4668836779999,111.250004604 -32.4524956779999,111.256159604 -32.4381316779999,111.262390604 -32.4237916779999,111.268695604 -32.409474678,111.275076604 -32.395182678,111.281531604 -32.380914678,111.288062604 -32.3666716779999,111.294667604 -32.352454678,111.301346604 -32.338261678,111.308099604 -32.3240956779999,111.314927604 -32.3099546779999,111.321828604 -32.2958396779999,111.328803604 -32.281751678,111.335852604 -32.267690678,111.342974604 -32.253656678,111.350170604 -32.239649678,111.357438604 -32.225670678,111.364759604 -32.2117516779999,111.372152604 -32.197860678,111.379617604 -32.183997678,111.387154604 -32.1701636779999,111.394763604 -32.1563586779999,111.402444604 -32.1425826779999,111.410196604 -32.128835678,111.418019604 -32.1151196779999,111.425913604 -32.101432678,111.433878604 -32.087775678,111.441914604 -32.074149678,111.450021604 -32.060553678,111.458197604 -32.0469896779999,111.466444604 -32.0334566779999,111.474761604 -32.019955678,111.483147604 -32.0064856779999,111.491603604 -31.993048678,111.500128604 -31.9796436779999,111.508723604 -31.9662716779999,111.501806604 -31.9525826779999,111.494962604 -31.938867678,111.488193604 -31.925125678,111.481497604 -31.9113586779999,111.474875604 -31.897565678,111.468327604 -31.883746678,111.461853604 -31.869903678,111.455454604 -31.856034678,111.449129604 -31.842141678,111.442878604 -31.828224678,111.436702604 -31.814282678,111.430601604 -31.8003176779999,111.424574604 -31.786329678,111.418105604 -31.7722246779999,111.411712604 -31.758093678,111.405396604 -31.743938678,111.399158604 -31.7297586779999,111.392996604 -31.7155536779999,111.386912604 -31.7013256779999,111.380905604 -31.6870726779999,111.374975604 -31.6727976779999,111.369123604 -31.6584986779999,111.363348604 -31.644176678,111.357651604 -31.629832678,111.352032604 -31.615466678,111.346491604 -31.601078677,111.341027604 -31.586668677,111.335642604 -31.572237677,111.330334604 -31.557784677,111.325105604 -31.543312677,111.319954604 -31.5288186769999,111.314881604 -31.514305677,111.309887604 -31.499772677,111.304971604 -31.485220677,111.300133604 -31.4706486769999,111.295374604 -31.4560576769999,111.290694604 -31.441448677,111.286091604 -31.426821677,111.272919604 -31.416258677,111.259807604 -31.4056416769999,111.246755604 -31.3949706769999,111.233764604 -31.384247677,111.220834604 -31.3734716769999,111.207965604 -31.3626436769999,111.195157604 -31.351762677,111.182411604 -31.3408296769999,111.169727604 -31.329844677,111.157730604 -31.319365677,111.145789604 -31.308838677,111.133904604 -31.298266677,111.122076603 -31.2876486769999,111.110306603 -31.276984677,111.098593603 -31.266275677,111.086937603 -31.2555216769999,111.075339603 -31.244721677,111.063799603 -31.233877677,111.059909603 -31.230241677,111.047997603 -31.219041677,111.036147603 -31.207793677,111.024360603 -31.196499677,111.012635603 -31.185157677,111.000972603 -31.1737696769999,110.989373603 -31.1623346769999,110.977837603 -31.1508536769999,110.966364603 -31.1393266769999,110.954955603 -31.1277536769999,110.943610603 -31.1161356769999,110.932329603 -31.1044726769999,110.921112603 -31.0927646769999,110.909960603 -31.0810116769999,110.898873603 -31.0692146769999,110.887851603 -31.0573736769999,110.876894603 -31.045488677,110.866003603 -31.033559677,110.855177603 -31.021587677,110.844417603 -31.0095726769999,110.833723603 -30.997513677,110.824097603 -30.986570677,110.814525603 -30.975591677,110.805007603 -30.964578677,110.795545603 -30.9535316769999,110.786837603 -30.9434466769999,110.778176603 -30.933332677,110.769560603 -30.923190677,110.760991603 -30.913019677,110.752032603 -30.902326677,110.743124603 -30.891602677,110.734267603 -30.880848677,110.725461603 -30.870062677,110.716706603 -30.8592466769999,110.708003603 -30.848400677,110.700989603 -30.839615677,110.694008603 -30.8308096769999,110.687061603 -30.8219846769999,110.676442603 -30.809544677,110.665893603 -30.7970616769999,110.655413603 -30.784535677,110.645004603 -30.771967677,110.634664603 -30.759356677,110.624394603 -30.746704677,110.614195603 -30.734009677,110.604067603 -30.7212746769999,110.594010603 -30.708497677,110.584023603 -30.695680677,110.574108603 -30.6828226769999,110.564264603 -30.6699236769999,110.554492603 -30.656985677,110.544792603 -30.6440076769999,110.535164603 -30.6309906769999,110.525608603 -30.6179346769999,110.516124603 -30.604839677,110.506713603 -30.5917056769999,110.498320603 -30.579878677,110.489986603 -30.5680206769999,110.481711603 -30.5561316769999,110.473494603 -30.544212677,110.465337603 -30.532263676,110.457240603 -30.520285676,110.449201603 -30.508277676,110.441223603 -30.496240676,110.433304603 -30.484173676,110.424788603 -30.4711006759999,110.416342603 -30.4579936759999,110.407966603 -30.444852676,110.399626603 -30.431626676,110.391357603 -30.4183676759999,110.383159603 -30.405075676,110.375032603 -30.391750676,110.366977603 -30.378394676,110.358994603 -30.365005676,110.351083603 -30.351586676,110.343243603 -30.338134676,110.335476603 -30.324652676,110.327781603 -30.311139676,110.320158603 -30.297596676,110.312608603 -30.2840236759999,110.305130603 -30.270419676,110.297726603 -30.2567876759999,110.290394603 -30.243124676,110.283135603 -30.2294336759999,110.275949603 -30.2157146759999,110.268836603 -30.2019656759999,110.261797603 -30.188189676,110.254831603 -30.1743856759999,110.247939603 -30.1605546759999,110.241120603 -30.146695676,110.235295603 -30.135282676,110.229521603 -30.123851676,110.223797603 -30.1124006759999,110.218123603 -30.100931676,110.212500603 -30.089443676,110.205598603 -30.075176676,110.198774603 -30.0608826759999,110.192028603 -30.046560676,110.185360603 -30.032210676,110.178770603 -30.017834676,110.172259603 -30.0034306759999,110.165826603 -29.9890006759999,110.159472603 -29.9745456759999,110.153197603 -29.9600636759999,110.147000603 -29.945556676,110.140883603 -29.9310246759999,110.134844603 -29.916466676,110.128884603 -29.9018856759999,110.123004603 -29.8872796759999,110.117203603 -29.872650676,110.111482603 -29.857997676,110.105840603 -29.843320676,110.100277603 -29.828621676,110.094795603 -29.8139006759999,110.089392603 -29.7991566759999,110.084068603 -29.7843906759999,110.078825603 -29.769603676,110.073662603 -29.754794676,110.068579603 -29.7399656759999,110.063576603 -29.725115676,110.058653603 -29.7102446759999,110.053811602 -29.695354676,110.049049602 -29.680444676,110.044367602 -29.665515676,110.039766602 -29.650567676,110.035246602 -29.635600676,110.030806602 -29.6206156759999,110.026447602 -29.605612676,110.022169602 -29.590591676,110.017971602 -29.575554676,110.013855602 -29.5604996759999,110.009819602 -29.545427676,110.005864602 -29.530339676,110.001990602 -29.515235676,109.998198602 -29.5001166759999,109.994486602 -29.484981676,109.990856602 -29.469831676,109.987307602 -29.4546666749999,109.983839602 -29.439488675,109.980452602 -29.4242956749999,109.977147602 -29.409088675,109.973923602 -29.393868675,109.970781602 -29.3786356749999,109.967720602 -29.3633906749999,109.964740602 -29.3481326749999,109.961842602 -29.3328626749999,109.959026602 -29.3175806749999,109.954482602 -29.304122675,109.950003602 -29.2906476749999,109.945589602 -29.277155675,109.941242602 -29.263647675,109.936960602 -29.2501236749999,109.932744602 -29.236583675,109.928594602 -29.223028675,109.924510602 -29.209457675,109.920397602 -29.195567675,109.916354602 -29.1816616749999,109.912379602 -29.1677406749999,109.908473602 -29.1538046749999,109.904637602 -29.139853675,109.900870602 -29.1258886749999,109.897172602 -29.1119086749999,109.893543602 -29.097915675,109.889984602 -29.083908675,109.886303602 -29.069317675,109.882697602 -29.054712675,109.879166602 -29.040093675,109.875711602 -29.025460675,109.872331602 -29.010813675,109.869026602 -28.996153675,109.865797602 -28.9814816749999,109.862644602 -28.966795675,109.859566602 -28.9520976749999,109.856563602 -28.937388675,109.853636602 -28.922666675,109.850785602 -28.907933675,109.848009602 -28.893189675,109.845309602 -28.8784346749999,109.842684602 -28.863669675,109.840136602 -28.8488936749999,109.837662602 -28.8341076749999,109.835265602 -28.8193116749999,109.832910602 -28.8043606749999,109.830632602 -28.789400675,109.828432602 -28.774430675,109.826309602 -28.759452675,109.824263602 -28.744465675,109.822294602 -28.729470675,109.820436602 -28.714764675,109.818652602 -28.7000496749999,109.816943602 -28.6853286749999,109.815308602 -28.6706016749999,109.813747602 -28.655867675,109.812260602 -28.641127675,109.810848602 -28.6263816749999,109.809510602 -28.611630675,109.808246602 -28.596874675,109.807057602 -28.582113675,109.805942602 -28.567347675,109.805041602 -28.555337675,109.804189602 -28.543324675,109.803386602 -28.5313086749999,109.802632602 -28.519289675,109.801762602 -28.5043606749999,109.800967602 -28.4894276749999,109.800249602 -28.474491675,109.799606602 -28.4595526749999,109.799038602 -28.444611675,109.798546602 -28.429668675,109.798130602 -28.4147236749999,109.797790602 -28.3997776749999,109.797525602 -28.3848296739999,109.797336602 -28.3698806739999,109.797222602 -28.3549316739999,109.797184602 -28.3399816739999,109.797222602 -28.3250316739999,109.797335602 -28.3100826739999,109.797523602 -28.2951336739999,109.797787602 -28.2801856739999,109.798126602 -28.2652386739999,109.798540602 -28.250293674,109.799030602 -28.235349674,109.799562602 -28.221187674,109.800161602 -28.207026674,109.800828602 -28.192868674,109.801563602 -28.1787136739999,109.802364602 -28.164560674,109.803234602 -28.1504116739999,109.804171602 -28.136265674,109.805175602 -28.122122674,109.806246602 -28.107983674,109.807384602 -28.093849674,109.808590602 -28.0797186739999,109.809814602 -28.066105674,109.811100602 -28.0524966739999,109.812448602 -28.038892674,109.813859602 -28.025293674,109.815332602 -28.0116996739999,109.816866602 -27.998110674,109.818463602 -27.9845276739999,109.820122602 -27.9709506739999,109.821801602 -27.957680674,109.823540602 -27.944415674,109.825337602 -27.931157674,109.827194602 -27.9179056739999,109.829109602 -27.904660674,109.831084602 -27.891422674,109.833118602 -27.8781906739999,109.835390602 -27.8638256739999,109.837732602 -27.849468674,109.840144602 -27.8351216739999,109.842625602 -27.820783674,109.845175602 -27.806454674,109.847794602 -27.792135674,109.850482602 -27.777827674,109.853239602 -27.763529674,109.856066602 -27.749241674,109.858961602 -27.734965674,109.861925602 -27.7207006739999,109.854056602 -27.7070106739999,109.846260602 -27.693288674,109.838537602 -27.679534674,109.830887602 -27.6657486739999,109.823310602 -27.651930674,109.815806602 -27.638081674,109.808376602 -27.6242026739999,109.801019602 -27.6102916739999,109.793736602 -27.596350674,109.786527602 -27.582379674,109.779391602 -27.568378674,109.772330602 -27.554348674,109.765343602 -27.540288674,109.758431602 -27.5262006739999,109.751592602 -27.5120836739999,109.744829602 -27.497938674,109.738140602 -27.483765674,109.731526602 -27.469565674,109.724986602 -27.455337674,109.718522602 -27.441082674,109.712133602 -27.4268006739999,109.705819602 -27.412493674,109.699581602 -27.3981596739999,109.693417602 -27.3837996739999,109.687330602 -27.369414674,109.681318602 -27.3550046739999,109.675381602 -27.3405696739999,109.670027602 -27.329885674,109.664714602 -27.319185674,109.659445602 -27.3084676729999,109.651964602 -27.2948466729999,109.644554602 -27.281195673,109.637214602 -27.2675136729999,109.629946602 -27.2538016729999,109.622750602 -27.240060673,109.615625602 -27.2262896729999,109.608572602 -27.2124896729999,109.601590602 -27.1986606729999,109.594680602 -27.184803673,109.587828602 -27.170962673,109.581047602 -27.157093673,109.574338602 -27.143196673,109.567701602 -27.1292726729999,109.561136602 -27.1153206729999,109.554644602 -27.101343673,109.548223602 -27.087338673,109.541875602 -27.0733076729999,109.535600602 -27.0592516729999,109.529397602 -27.045169673,109.523268602 -27.031062673,109.517210602 -27.0169296729999,109.511226602 -27.002772673,109.505315602 -26.988591673,109.499477602 -26.974386673,109.493712602 -26.960156673,109.488021602 -26.945904673,109.482403602 -26.931628673,109.476858602 -26.917329673,109.471388602 -26.9030086729999,109.465990602 -26.8886646729999,109.460667602 -26.8742996729999,109.455417602 -26.8599116729999,109.450242602 -26.8455036729999,109.445140602 -26.8310736729999,109.440099602 -26.816649673,109.435133602 -26.8022056729999,109.430241602 -26.787741673,109.425422602 -26.7732566729999,109.420678602 -26.7587526729999,109.416008602 -26.744229673,109.411413602 -26.7296876729999,109.406891602 -26.7151266729999,109.402444602 -26.700547673,109.398072602 -26.685950673,109.393774602 -26.6713356729999,109.389551602 -26.656702673,109.385402602 -26.642053673,109.381328602 -26.6273866729999,109.377329602 -26.6127036729999,109.373405602 -26.5980046729999,109.369556602 -26.583289673,109.365781602 -26.5685586729999,109.362082602 -26.553812673,109.358457602 -26.539051673,109.354908602 -26.524275673,109.351434602 -26.509485673,109.348035602 -26.4946816729999,109.344711602 -26.479863673,109.341462602 -26.4650326729999,109.338290602 -26.450187673,109.336056602 -26.441583673,109.333848602 -26.4329746729999,109.330653602 -26.420399673,109.327513602 -26.407813673,109.324427602 -26.3952156729999,109.321397602 -26.3826076729999,109.317920602 -26.367865673,109.314518602 -26.353108673,109.311191602 -26.338338673,109.307938602 -26.3235546729999,109.304761602 -26.3087576729999,109.301657602 -26.2939486729999,109.298629602 -26.279125673,109.295676602 -26.2642916729999,109.292797602 -26.249444673,109.289993602 -26.234586672,109.287265602 -26.2197176719999,109.284611602 -26.2048366719999,109.281848602 -26.1895996719999,109.279164602 -26.1743506719999,109.276558602 -26.1590906719999,109.274032602 -26.1438206719999,109.271584602 -26.1285386719999,109.269215602 -26.1132476719999,109.266924602 -26.097946672,109.264713602 -26.082636672,109.262580602 -26.0673166719999,109.260526602 -26.0519886719999,109.258550602 -26.0366516719999,109.256654602 -26.021306672,109.254837602 -26.005954672,109.253098602 -25.9905946719999,109.251438602 -25.975226672,109.249857602 -25.959852672,109.248355602 -25.944472672,109.246932602 -25.9290856719999,109.245588602 -25.913693672,109.244322602 -25.898295672,109.243136602 -25.882891672,109.242028602 -25.8674836719999,109.240999602 -25.852071672,109.240100602 -25.838877672,109.239260602 -25.825680672,109.238477602 -25.8124806719999,109.237751602 -25.799278672,109.237084602 -25.7860726719999,109.236474602 -25.772865672,109.235836602 -25.757671672,109.235274602 -25.742474672,109.234789602 -25.727276672,109.234380602 -25.712075672,109.234047602 -25.696873672,109.233791602 -25.6816706719999,109.233611602 -25.666465672,109.233507602 -25.651261672,109.233479602 -25.6360556719999,109.233528602 -25.620850672,109.233653602 -25.605645672,109.233854602 -25.5904416719999,109.234131602 -25.575238672,109.234484602 -25.560036672,109.234913602 -25.544835672,109.235418602 -25.529636672,109.235971602 -25.514563672,109.236599602 -25.499492672,109.237302602 -25.4844246719999,109.238079602 -25.4693586719999,109.238931602 -25.4542966719999,109.239857602 -25.4392376719999,109.240858602 -25.424183672,109.241933602 -25.4091326719999,109.243083602 -25.394086672,109.244307602 -25.379045672,109.245605602 -25.364009672,109.246978602 -25.3489796719999,109.248424602 -25.3339546719999,109.249945602 -25.318935672,109.251540602 -25.3039236719999,109.253208602 -25.288917672,109.254951602 -25.273918672,109.256768602 -25.258926672,109.258658602 -25.2439426719999,109.260622602 -25.228966672,109.262660602 -25.2139986719999,109.264771602 -25.199038672,109.266704602 -25.183704672,109.268713602 -25.168378672,109.270800602 -25.1530616709999,109.272964602 -25.1377536709999,109.275205602 -25.122454671,109.277523602 -25.107164671,109.279917602 -25.0918846709999,109.282388602 -25.076614671,109.284936602 -25.0613556709999,109.287561602 -25.046107671,109.290262602 -25.0308696709999,109.293049602 -25.0155836709999,109.295914602 -25.000308671,109.298855602 -24.985045671,109.301873602 -24.9697956709999,109.304968602 -24.954557671,109.308139602 -24.9393336709999,109.311387602 -24.924122671,109.314711602 -24.908925671,109.318112602 -24.8937426709999,109.321588602 -24.878574671,109.325141602 -24.863420671,109.328770602 -24.8482816709999,109.332474602 -24.833158671,109.336254602 -24.818050671,109.340110602 -24.8029586709999,109.344042602 -24.787883671,109.348049602 -24.772824671,109.352131602 -24.757782671,109.356289602 -24.7427576709999,109.360521602 -24.727750671,109.364829602 -24.712761671,109.369212602 -24.6977916709999,109.373669602 -24.682838671,109.378201602 -24.667905671,109.382807602 -24.6529906709999,109.387488602 -24.638096671,109.392243602 -24.623221671,109.397072602 -24.6083666709999,109.401975602 -24.5935316709999,109.406953602 -24.5787176709999,109.412003602 -24.5639246709999,109.417128602 -24.5491536709999,109.422326602 -24.534403671,109.427597602 -24.519675671,109.432942602 -24.504970671,109.438359602 -24.490287671,109.443850602 -24.4756266709999,109.449414602 -24.4609896709999,109.455050602 -24.4463766709999,109.460758602 -24.4317866709999,109.466539602 -24.4172216709999,109.472393602 -24.4026806709999,109.478318602 -24.388163671,109.484315602 -24.373672671,109.489763602 -24.360672671,109.495270602 -24.3476936709999,109.500834602 -24.334735671,109.506455602 -24.321797671,109.512134602 -24.3088816709999,109.517871602 -24.295987671,109.523664602 -24.283114671,109.524751602 -24.277773671,109.526654602 -24.268521671,109.528586602 -24.259273671,109.530996602 -24.2478226709999,109.533450602 -24.236379671,109.535946602 -24.2249446709999,109.538989602 -24.211224671,109.542093602 -24.197516671,109.545259602 -24.183819671,109.548487602 -24.170135671,109.551777602 -24.156463671,109.555128602 -24.142804671,109.558540602 -24.129158671,109.562014602 -24.1155256709999,109.565550602 -24.1019056709999,109.569111602 -24.0874556699999,109.572740602 -24.07301967,109.576439602 -24.05859867,109.580206602 -24.04419267,109.584041602 -24.02980267,109.587945602 -24.01542767,109.591917602 -24.0010686699999,109.595958602 -23.9867256699999,109.600067602 -23.97239967,109.604243602 -23.9580896699999,109.608488602 -23.94379667,109.612800602 -23.9295216699999,109.617181602 -23.9152636699999,109.621628602 -23.90102267,109.626144602 -23.88680067,109.630726602 -23.87259667,109.635377602 -23.85841167,109.640094602 -23.84424567,109.644878602 -23.8300986699999,109.649729602 -23.81597067,109.654648602 -23.8018626699999,109.659750602 -23.7873386699999,109.664924602 -23.7728356699999,109.670168602 -23.75835467,109.675483602 -23.74389567,109.680869602 -23.7294586699999,109.686324602 -23.7150446699999,109.691850602 -23.70065267,109.697445602 -23.68628367,109.703111602 -23.67193867,109.708846602 -23.65761767,109.714650602 -23.64331967,109.720524602 -23.62904667,109.726468602 -23.61479867,109.732480602 -23.60057467,109.738562602 -23.5863756699999,109.744712602 -23.57220267,109.750931602 -23.5580556699999,109.757219602 -23.5439336699999,109.763575602 -23.5298386699999,109.770000602 -23.5157706699999,109.776492602 -23.50172867,109.783052602 -23.4877136699999,109.789681602 -23.47372667,109.796377602 -23.45976767,109.803140602 -23.44583567,109.809683602 -23.4322206699999,109.816291602 -23.41863067,109.822963602 -23.4050686699999,109.829698602 -23.3915336699999,109.836497602 -23.3780266699999,109.843361602 -23.36454667,109.850287602 -23.35109467,109.857277602 -23.33767167,109.864330602 -23.32427667,109.871446602 -23.3109096699999,109.878625602 -23.29757267,109.885867602 -23.28426467,109.889773602 -23.2697356699999,109.893749602 -23.25522267,109.897794602 -23.24072567,109.901908602 -23.22624567,109.906092602 -23.2117826699999,109.910344602 -23.19733667,109.914666602 -23.18290867,109.919056602 -23.16849767,109.923515602 -23.15410567,109.928042602 -23.1397316699999,109.932638602 -23.12537667,109.937302602 -23.11104067,109.942035602 -23.09672367,109.946835602 -23.08242667,109.951704602 -23.06814967,109.956641602 -23.0538916699999,109.961645602 -23.0396546699999,109.966717602 -23.02543867,109.971553602 -23.012073669,109.976450602 -22.9987276689999,109.981406602 -22.9854006689999,109.986421602 -22.9720926689999,109.991496602 -22.958803669,109.993297602 -22.953371669,109.996761602 -22.9429886689999,110.000261602 -22.932616669,110.003798602 -22.9222536689999,110.007805602 -22.910641669,110.011858602 -22.8990416689999,110.015956602 -22.887455669,110.020098602 -22.875883669,110.019237602 -22.860893669,110.018449602 -22.8458996689999,110.017733602 -22.830902669,110.017090602 -22.815902669,110.016516602 -22.8008306689999,110.016015602 -22.785754669,110.015588602 -22.770677669,110.015234602 -22.7555996689999,110.014953602 -22.740519669,110.014745602 -22.725437669,110.014611602 -22.710356669,110.014550602 -22.695273669,110.014562602 -22.680191669,110.014647602 -22.6651086689999,110.014806602 -22.6500276689999,110.015037602 -22.6349466689999,110.015342602 -22.619866669,110.015720602 -22.604787669,110.016171602 -22.5897106689999,110.016695602 -22.574636669,110.017292602 -22.5595636689999,110.017962602 -22.544493669,110.018704602 -22.529426669,110.019520602 -22.514362669,110.020409602 -22.499302669,110.021370602 -22.484246669,110.022404602 -22.4691946689999,110.023511602 -22.454146669,110.024690602 -22.439103669,110.025942602 -22.424065669,110.027267602 -22.4090326689999,110.028664602 -22.394005669,110.030133602 -22.378984669,110.031675602 -22.363970669,110.033289602 -22.3489616689999,110.034976602 -22.333960669,110.036735602 -22.318966669,110.038506602 -22.3039776689999,110.040349602 -22.288996669,110.042265602 -22.274023669,110.044252602 -22.259058669,110.046311602 -22.244101669,110.048442602 -22.229153669,110.050645602 -22.2142146689999,110.052920602 -22.199284669,110.055267602 -22.1843646689999,110.057685602 -22.1694546689999,110.060174603 -22.1545546689999,110.062735603 -22.139665669,110.065368603 -22.1247866689999,110.068071603 -22.109919669,110.070846603 -22.095063669,110.073693603 -22.080218669,110.076610603 -22.065386669,110.079598603 -22.050566669,110.082657603 -22.035759669,110.085787603 -22.020964669,110.088988603 -22.0061836689999,110.092260603 -21.9914156689999,110.095602603 -21.976661669,110.099014603 -21.9619216689999,110.102497603 -21.9471966689999,110.106050603 -21.932485668,110.109674603 -21.917789668,110.113368603 -21.903109668,110.116864603 -21.8890906679999,110.120424603 -21.8750856679999,110.124048603 -21.861095668,110.127735603 -21.8471196679999,110.131486603 -21.833158668,110.135300603 -21.819212668,110.139178603 -21.805282668,110.143119603 -21.791366668,110.147124603 -21.7774676679999,110.151191603 -21.763584668,110.155322603 -21.749717668,110.159516603 -21.735867668,110.163772603 -21.7220346679999,110.168290603 -21.707586668,110.172876603 -21.693158668,110.177531603 -21.678748668,110.182254603 -21.664358668,110.187045603 -21.6499896679999,110.191905603 -21.635639668,110.196832603 -21.621309668,110.201827603 -21.607000668,110.206890603 -21.5927136679999,110.212021603 -21.578446668,110.217219603 -21.564201668,110.222484603 -21.5499786679999,110.227817603 -21.535777668,110.233216603 -21.521598668,110.238683603 -21.507442668,110.244217603 -21.4933086679999,110.249817603 -21.479198668,110.255484603 -21.465112668,110.261217603 -21.4510496679999,110.267017603 -21.437010668,110.272883603 -21.4229966679999,110.278815603 -21.409006668,110.284813603 -21.395041668,110.290877603 -21.381102668,110.297007603 -21.3671876679999,110.303202603 -21.353298668,110.309113603 -21.339136668,110.315093603 -21.324998668,110.321139603 -21.310886668,110.327253603 -21.2968006679999,110.333433603 -21.282739668,110.339681603 -21.2687056679999,110.345995603 -21.2546976679999,110.352376603 -21.2407166679999,110.358824603 -21.2267626679999,110.365337603 -21.212835668,110.371917603 -21.1989366679999,110.378563603 -21.1850646679999,110.385274603 -21.1712216679999,110.392052603 -21.157406668,110.398895603 -21.143620668,110.405803603 -21.1298636679999,110.412776603 -21.116135668,110.419815603 -21.1024376679999,110.426918603 -21.0887696679999,110.434086603 -21.0751306679999,110.441319603 -21.061522668,110.448192603 -21.0485806679999,110.455124603 -21.035664668,110.462113603 -21.0227776679999,110.469160603 -21.009918668,110.476266603 -20.9970876679999,110.483429603 -20.9842856679999,110.490649603 -20.9715116679999,110.497927603 -20.958767668,110.505263603 -20.9460526679999,110.510266603 -20.9315336679999,110.515339603 -20.917035668,110.520481603 -20.902559668,110.525693603 -20.888104668,110.530973603 -20.8736726679999,110.536323603 -20.8592636669999,110.541741603 -20.8448766669999,110.547228603 -20.8305136669999,110.552783603 -20.8161736669999,110.558407603 -20.801857667,110.564099603 -20.787565667,110.569859603 -20.773297667,110.575687603 -20.7590546669999,110.581583603 -20.744836667,110.587546603 -20.7306426669999,110.593577603 -20.7164756669999,110.599676603 -20.7023336669999,110.605842603 -20.6882176669999,110.612075603 -20.6741286669999,110.618375603 -20.660065667,110.624742603 -20.6460296669999,110.630953603 -20.632306667,110.637228603 -20.6186096669999,110.643566603 -20.6049396669999,110.649968603 -20.5912956669999,110.656433603 -20.5776776669999,110.662961603 -20.564087667,110.669553603 -20.5505246669999,110.676207603 -20.5369886669999,110.682924603 -20.5234806669999,110.689703603 -20.510001667,110.696546603 -20.496549667,110.703450603 -20.483126667,110.710416603 -20.469732667,110.717445603 -20.4563676669999,110.724535603 -20.443031667,110.731688603 -20.429725667,110.738901603 -20.4164486669999,110.746176603 -20.403202667,110.753727603 -20.389517667,110.761343603 -20.375864667,110.769025603 -20.362244667,110.776771603 -20.3486586669999,110.784583603 -20.3351046669999,110.792459603 -20.321585667,110.800400603 -20.308099667,110.808405603 -20.2946486669999,110.816474603 -20.2812316669999,110.824607603 -20.267849667,110.832449603 -20.255071667,110.840350603 -20.2423266669999,110.848308603 -20.229613667,110.856325603 -20.216933667,110.864399603 -20.204286667,110.872531603 -20.191673667,110.880721603 -20.179093667,110.888968603 -20.166546667,110.897272603 -20.154034667,110.905633603 -20.141556667,110.914028603 -20.129063667,110.922479603 -20.1166046669999,110.930986603 -20.104180667,110.939551603 -20.0917926669999,110.948172603 -20.079439667,110.956849603 -20.067121667,110.965583603 -20.054839667,110.974372603 -20.0425946669999,110.983218603 -20.030385667,110.992118603 -20.0182126669999,111.001075603 -20.0060766669999,111.010086603 -19.993977667,111.019153603 -19.981916667,111.028274603 -19.969892667,111.037878603 -19.957347667,111.047542603 -19.9448436669999,111.057265603 -19.932381667,111.067047603 -19.9199616669999,111.076888603 -19.907583667,111.086788603 -19.895248667,111.096747603 -19.882956667,111.106765603 -19.870707667,111.116840603 -19.8585016669999,111.126974603 -19.8463396669999,111.137165604 -19.834221667,111.147414604 -19.822147667,111.157720604 -19.8101186669999,111.168083604 -19.798132666,111.178503604 -19.786192666,111.188980604 -19.7742976659999,111.199513604 -19.762447666,111.210103604 -19.750643666,111.220748604 -19.7388856659999,111.231449604 -19.7271726659999,111.242206604 -19.715506666,111.253018604 -19.703887666,111.263885604 -19.692314666,111.274807604 -19.680789666,111.285783604 -19.6693106659999,111.296814604 -19.657880666,111.307899604 -19.646496666,111.319038604 -19.6351616659999,111.330230604 -19.6238746659999,111.341476604 -19.612636666,111.352775604 -19.601446666,111.364126604 -19.5903056659999,111.375531604 -19.5792136659999,111.386318604 -19.568791666,111.397151604 -19.558413666,111.408031604 -19.548079666,111.418957604 -19.537790666,111.429928604 -19.527545666,111.440945604 -19.517345666,111.452008604 -19.5071906659999,111.463115604 -19.4970806659999,111.474268604 -19.4870156659999,111.485599604 -19.476528666,111.496977604 -19.466089666,111.508403604 -19.4556986659999,111.519877604 -19.445355666,111.531397604 -19.435059666,111.542965604 -19.424812666,111.554580604 -19.414614666,111.566242604 -19.404464666,111.577950604 -19.3943646659999,111.589704604 -19.384312666,111.601503604 -19.3743106659999,111.613349604 -19.3643576659999,111.625240604 -19.354454666,111.637176604 -19.344601666,111.649158604 -19.3347986659999,111.661184604 -19.3250456659999,111.673254604 -19.3153436659999,111.685369604 -19.305691666,111.697527604 -19.2960916659999,111.709730604 -19.2865416659999,111.721976604 -19.2770426659999,111.734265604 -19.267595666,111.746598604 -19.2581996659999,111.758973604 -19.2488556659999,111.771391604 -19.239563666,111.783851604 -19.2303236659999,111.796353604 -19.221136666,111.808898604 -19.2120016659999,111.821761604 -19.202714666,111.834668604 -19.193482666,111.847617604 -19.1843066659999,111.860609604 -19.1751856659999,111.873644604 -19.1661206659999,111.886721604 -19.1571116659999,111.899840604 -19.148158666,111.913000604 -19.139261666,111.926202604 -19.130420666,111.939444604 -19.121637666,111.952728604 -19.1129106659999,111.966052604 -19.104240666,111.979416604 -19.0956276659999,111.992821604 -19.0870716659999,112.006265604 -19.078573666,112.019748604 -19.0701336659999,112.033271604 -19.061751666,112.046833604 -19.053426666,112.057966604 -19.0466366659999,112.069126604 -19.039885666,112.080311604 -19.033173666,112.091522604 -19.0265016659999,112.102759604 -19.019868666,112.109010604 -19.005759666,112.115329604 -18.9916776659999,112.121714604 -18.9776226659999,112.128165604 -18.9635956659999,112.134754604 -18.9494376659999,112.141410604 -18.935308666,112.148133604 -18.9212086659999,112.154924604 -18.907138666,112.161782604 -18.893097666,112.168707604 -18.879087666,112.175698604 -18.865106666,112.182757604 -18.8511576659999,112.189882604 -18.837238666,112.197073604 -18.823350666,112.204330604 -18.809494666,112.211653605 -18.795670666,112.219042605 -18.781878666,112.226497605 -18.768118666,112.234017605 -18.7543916659999,112.241602605 -18.740697666,112.249253605 -18.7270366659999,112.256968605 -18.713408665,112.264749605 -18.699814665,112.272594605 -18.686255665,112.280503605 -18.672729665,112.288477605 -18.659239665,112.296514605 -18.645783665,112.304616605 -18.632362665,112.312781605 -18.6189776649999,112.321010605 -18.6056286649999,112.329302605 -18.5923146649999,112.337657605 -18.5790376649999,112.346075605 -18.5657976649999,112.354556605 -18.552593665,112.363100605 -18.5394276649999,112.371706605 -18.526297665,112.380374605 -18.5132066649999,112.389104605 -18.500152665,112.397896605 -18.487137665,112.406728605 -18.4741866649999,112.415622605 -18.461274665,112.424576605 -18.448400665,112.433591605 -18.435565665,112.442667605 -18.422770665,112.451803605 -18.4100156649999,112.460999605 -18.3972996649999,112.470255605 -18.3846246649999,112.479571605 -18.3719886649999,112.488947605 -18.359394665,112.498382605 -18.3468416649999,112.507876605 -18.3343286649999,112.517429605 -18.321858665,112.527041605 -18.309429665,112.536711605 -18.2970416649999,112.546440605 -18.284697665,112.556227605 -18.272394665,112.566072605 -18.260134665,112.575974605 -18.2479186649999,112.585934605 -18.235744665,112.595951605 -18.223614665,112.606025605 -18.2115286649999,112.616156605 -18.1994866649999,112.626344605 -18.1874886649999,112.636588605 -18.1755346649999,112.646888605 -18.1636256649999,112.657245605 -18.151762665,112.667656605 -18.139943665,112.678124605 -18.128170665,112.688647605 -18.116442665,112.699224605 -18.104761665,112.709857605 -18.0931256649999,112.720544605 -18.0815366649999,112.731286605 -18.069994665,112.742081605 -18.0584996649999,112.752931605 -18.047050665,112.763834605 -18.0356496649999,112.774791605 -18.024296665,112.785801605 -18.012990665,112.796864605 -18.001733665,112.807979605 -17.990524665,112.819148605 -17.9793636649999,112.830368605 -17.968251665,112.841641605 -17.9571886649999,112.852965605 -17.9461756649999,112.864341605 -17.9352106649999,112.875768605 -17.9242966649999,112.887246605 -17.913431665,112.898775605 -17.902616665,112.910355605 -17.8918526649999,112.921751605 -17.881240665,112.933196605 -17.870676665,112.944689605 -17.860161665,112.956231605 -17.849696665,112.967821605 -17.8392806649999,112.979459605 -17.828914665,112.991144605 -17.818599665,113.002877605 -17.808333665,113.014658605 -17.7981186649999,113.026485605 -17.787954665,113.038359605 -17.7778406649999,113.050279605 -17.767778665,113.062246605 -17.757766665,113.074259605 -17.747807665,113.086318605 -17.7378986649999,113.098422605 -17.728042665,113.110571605 -17.7182386649999,113.122766605 -17.708486665,113.135005605 -17.6987866649999,113.147289605 -17.689139665,113.159617605 -17.679545665,113.171989605 -17.670004665,113.184405605 -17.6605166649999,113.196864605 -17.6510816639999,113.209367605 -17.6417006639999,113.221912605 -17.6323736639999,113.234501605 -17.6230996639999,113.247132605 -17.613880664,113.259805605 -17.604715664,113.272520605 -17.5956056639999,113.285277606 -17.586549664,113.298076606 -17.5775486639999,113.310916606 -17.568602664,113.323797606 -17.559711664,113.336718606 -17.5508766639999,113.349680606 -17.5420966639999,113.362682606 -17.533372664,113.375724606 -17.524704664,113.387887606 -17.516691664,113.400083606 -17.5087276639999,113.413331606 -17.500137664,113.426619606 -17.491604664,113.439946606 -17.4831296639999,113.453312606 -17.474712664,113.466717606 -17.4663536639999,113.480160606 -17.458051664,113.493642606 -17.4498086639999,113.507162606 -17.441624664,113.520719606 -17.433498664,113.534314606 -17.425430664,113.547946606 -17.417422664,113.561614606 -17.409472664,113.575320606 -17.4015826639999,113.589062606 -17.393752664,113.602839606 -17.3859806639999,113.616653606 -17.378269664,113.630502606 -17.370617664,113.644386606 -17.363026664,113.658305606 -17.3554946639999,113.672259606 -17.348023664,113.686247606 -17.3406126639999,113.700269606 -17.333262664,113.714325606 -17.3259736639999,113.728415606 -17.318744664,113.742537606 -17.311577664,113.756693606 -17.3044716639999,113.770881606 -17.2974266639999,113.785102606 -17.290442664,113.799354606 -17.283520664,113.813639606 -17.276660664,113.827955606 -17.269862664,113.842302606 -17.263126664,113.856680606 -17.2564526639999,113.871089606 -17.249840664,113.885528606 -17.243291664,113.899997606 -17.236804664,113.914496606 -17.2303806639999,113.929024606 -17.224019664,113.943581606 -17.217721664,113.958168606 -17.2114866639999,113.972783606 -17.205314664,113.987426606 -17.199205664,114.002097606 -17.1931606639999,114.016796606 -17.1871786639999,114.031522606 -17.181260664,114.046276606 -17.175406664,114.061056606 -17.1696166639999,114.075863606 -17.163889664,114.090696606 -17.158227664,114.105554606 -17.152629664,114.120439606 -17.1470966639999,114.135349606 -17.1416276639999,114.150284606 -17.1362226639999,114.165243606 -17.130883664,114.180227606 -17.125608664,114.195235606 -17.1203986639999,114.210267606 -17.115253664,114.225401606 -17.110143664,114.240557606 -17.105098664,114.255737606 -17.100120664,114.270940606 -17.0952076639999,114.286165606 -17.0903616639999,114.301413606 -17.085581664,114.316682606 -17.080868664,114.331973606 -17.0762216639999,114.347286606 -17.071641664,114.362619607 -17.0671276639999,114.377974607 -17.062680664,114.393348607 -17.0583006639999,114.408743607 -17.053987664,114.424157607 -17.049741664,114.439591607 -17.0455626639999,114.455044607 -17.041451664,114.470516607 -17.0374066639999,114.486007607 -17.033429664,114.501515607 -17.029520664,114.517042607 -17.0256776639999,114.532586607 -17.021903664,114.548148607 -17.018196664,114.563726607 -17.0145576639999,114.579321607 -17.010986664,114.594933607 -17.0074836639999,114.610560607 -17.004048664,114.626203607 -17.000681664,114.641862607 -16.9973816639999,114.657535607 -16.994150664,114.673224607 -16.9909886639999,114.688927607 -16.987893664,114.704643607 -16.984867664,114.720374607 -16.9819106639999,114.736118607 -16.979021664,114.751876607 -16.976200664,114.767646607 -16.9734496639999,114.783429607 -16.9707656639999,114.799224607 -16.9681516639999,114.815031607 -16.965605664,114.830850607 -16.963128664,114.846680607 -16.960720664,114.862520607 -16.9583816639999,114.878372607 -16.9561116639999,114.894234607 -16.953910664,114.910105607 -16.951778664,114.925987607 -16.9497156639999,114.941878607 -16.947721664,114.957777607 -16.9457966639999,114.973686607 -16.943941664,114.989603607 -16.9421556639999,115.005528607 -16.9404386639999,115.021461607 -16.938790664,115.037401607 -16.937212664,115.053348607 -16.935703664,115.069302607 -16.934264664,115.085263607 -16.9328946639999,115.101230607 -16.9315946639999,115.117203607 -16.930363664,115.133181607 -16.9292026639999,115.149164607 -16.928110664,115.165152607 -16.9270886639999,115.181145607 -16.926135664,115.196532607 -16.925281664,115.211923607 -16.924491664,115.227317607 -16.923766664,115.242714607 -16.9231056639999,115.258114607 -16.922508664,115.273517607 -16.9219766639999,115.288921607 -16.9215096639999,115.304328607 -16.921106664,115.319736607 -16.920767664,115.335146607 -16.9204936639999,115.350556607 -16.920284664,115.365968607 -16.920139664,115.381380607 -16.920059664,115.396792607 -16.9200436639999,115.412204607 -16.9200916639999,115.427616608 -16.920205664,115.443027608 -16.9203826639999,115.458437608 -16.9206256639999,115.473846608 -16.920931664,115.477287608 -16.905891664,115.480799608 -16.8908656639999,115.484382608 -16.875855664,115.488037608 -16.860861664,115.491762608 -16.845884664,115.495558608 -16.830923664,115.499425608 -16.8159786639999,115.503327608 -16.801133664,115.507299608 -16.7863056639999,115.511340608 -16.7714956639999,115.515451608 -16.7567026639999,115.519632608 -16.7419286639999,115.523882608 -16.727172664,115.528201608 -16.7124346639999,115.532590608 -16.6977166639999,115.537047608 -16.683017664,115.541574608 -16.668338664,115.546169608 -16.653679664,115.550833608 -16.6390406639999,115.555566608 -16.624422664,115.560367608 -16.609824664,115.565237608 -16.5952486639999,115.570175608 -16.580693664,115.575181608 -16.5661606629999,115.580255608 -16.551649663,115.585397608 -16.537160663,115.590607608 -16.522694663,115.595885608 -16.508251663,115.601230608 -16.493832663,115.606642608 -16.4794366629999,115.612122608 -16.465063663,115.617670608 -16.450715663,115.623284608 -16.4363916629999,115.628965608 -16.4220926629999,115.634713608 -16.4078186629999,115.640528608 -16.3935706629999,115.646409608 -16.379347663,115.652357608 -16.365150663,115.658371608 -16.350979663,115.664451608 -16.3368356629999,115.670597608 -16.3227176629999,115.676809608 -16.3086266629999,115.683087608 -16.294563663,115.689430608 -16.2805286629999,115.695839608 -16.2665206629999,115.698424608 -16.260900663,115.703777608 -16.249104663,115.709176608 -16.237327663,115.714622608 -16.2255706629999,115.720114608 -16.2138336629999,115.725651608 -16.202116663,115.732372608 -16.1880346629999,115.739158608 -16.1739836629999,115.746011608 -16.1599616629999,115.752931608 -16.145970663,115.759916608 -16.132010663,115.766966608 -16.1180816629999,115.774083608 -16.104184663,115.781265608 -16.0903186629999,115.788512608 -16.076485663,115.795824608 -16.062683663,115.803201608 -16.0489146629999,115.810644608 -16.035178663,115.818150608 -16.0214766629999,115.825721608 -16.0078066629999,115.833357608 -15.994171663,115.841056608 -15.9805696629999,115.848820608 -15.967002663,115.856647608 -15.953469663,115.864538608 -15.9399726629999,115.872492608 -15.9265096629999,115.880172608 -15.9129976629999,115.887915608 -15.899518663,115.895721608 -15.8860746629999,115.903590608 -15.872665663,115.911522608 -15.859290663,115.919516608 -15.8459506629999,115.927572608 -15.8326466629999,115.935690608 -15.819378663,115.943871608 -15.8061456629999,115.952113608 -15.7929496629999,115.960416608 -15.779790663,115.968781608 -15.766667663,115.977207608 -15.753581663,115.985694608 -15.740533663,115.994242608 -15.7275226629999,116.002851608 -15.714549663,116.011520608 -15.7016156629999,116.020249608 -15.688718663,116.029039608 -15.675861663,116.037888608 -15.6630426629999,116.046797608 -15.650263663,116.055765608 -15.637523663,116.064793608 -15.624822663,116.073880608 -15.6121626629999,116.083026608 -15.599542663,116.092230608 -15.5869636629999,116.101493608 -15.5744246629999,116.110814608 -15.561926663,116.120194608 -15.549470663,116.129631608 -15.5370556629999,116.139126608 -15.524682663,116.148679608 -15.5123526629999,116.158288608 -15.5000636619999,116.167955608 -15.4878176619999,116.177679608 -15.4756146619999,116.187459608 -15.4634546619999,116.197301608 -15.451308662,116.207200608 -15.4392066619999,116.217155608 -15.427148662,116.227165608 -15.415134662,116.237232608 -15.4031646619999,116.247354608 -15.391239662,116.257532608 -15.379360662,116.267765608 -15.3675256619999,116.278053608 -15.355735662,116.288395608 -15.3439926619999,116.298792608 -15.332294662,116.309244608 -15.320642662,116.319749608 -15.309037662,116.330308608 -15.2974786619999,116.340921608 -15.285966662,116.351588608 -15.274501662,116.362307608 -15.2630846619999,116.373080608 -15.2517146619999,116.383905608 -15.240392662,116.394782608 -15.229118662,116.405712608 -15.2178926619999,116.416694608 -15.206715662,116.427728608 -15.195586662,116.438813608 -15.1845066619999,116.449950608 -15.1734766619999,116.459275608 -15.1642596619999,116.468637608 -15.1550766619999,116.478034608 -15.145927662,116.489197608 -15.135124662,116.500409608 -15.1243706619999,116.511671609 -15.113665662,116.522982609 -15.103009662,116.534341609 -15.092403662,116.545750609 -15.081848662,116.557206609 -15.071342662,116.568711609 -15.060886662,116.580264609 -15.050482662,116.591864609 -15.040128662,116.603512609 -15.029825662,116.615207609 -15.019573662,116.626949609 -15.009372662,116.638932609 -14.9990496619999,116.650964609 -14.988778662,116.663043609 -14.9785616619999,116.675170609 -14.968399662,116.687344609 -14.958290662,116.699565609 -14.9482366619999,116.711833609 -14.9382376619999,116.724147609 -14.9282926619999,116.736507609 -14.9184036619999,116.748914609 -14.9085696619999,116.761366609 -14.898790662,116.773864609 -14.8890676619999,116.786407609 -14.879399662,116.798994609 -14.869788662,116.811627609 -14.8602336619999,116.824304609 -14.850735662,116.837024609 -14.8412936619999,116.849789609 -14.8319086619999,116.862597609 -14.822580662,116.875449609 -14.8133096619999,116.888344609 -14.8040966619999,116.901281609 -14.7949406619999,116.914261609 -14.7858426619999,116.927283609 -14.776802662,116.940347609 -14.767821662,116.953453609 -14.758897662,116.966600609 -14.750033662,116.979788609 -14.741227662,116.993017609 -14.7324806619999,117.006287609 -14.7237926619999,117.019596609 -14.715163662,117.032946609 -14.7065946619999,117.046336609 -14.6980856619999,117.059765609 -14.6896356619999,117.073233609 -14.681245662,117.086739609 -14.672916662,117.100285609 -14.6646476619999,117.113869609 -14.656438662,117.127491609 -14.648291662,117.141150609 -14.640204662,117.154847609 -14.6321786619999,117.168581609 -14.6242136619999,117.182352609 -14.6163106619999,117.195422609 -14.6088816619999,117.208525609 -14.601508662,117.221661609 -14.594190662,117.234828609 -14.5869276619999,117.248027609 -14.5797216619999,117.260831609 -14.5704056619999,117.273678609 -14.5611456619999,117.286336609 -14.552084662,117.299036609 -14.543079662,117.311777609 -14.5341306619999,117.324558609 -14.5252366619999,117.337381609 -14.516399662,117.350243609 -14.507618662,117.363145609 -14.4988946619999,117.376088609 -14.4902276619999,117.389069609 -14.481616662,117.402090609 -14.473063662,117.415150609 -14.464567662,117.428248609 -14.456128662,117.441385609 -14.4477476619999,117.454560609 -14.439424662,117.467773609 -14.431158662,117.481023609 -14.422951661,117.494311609 -14.414802661,117.507636609 -14.406712661,117.520998609 -14.398680661,117.534396609 -14.390707661,117.547831609 -14.3827936609999,117.561301609 -14.3749386609999,117.574807609 -14.3671436609999,117.58834961 -14.359406661,117.60192661 -14.351730661,117.61553861 -14.3441136609999,117.62918461 -14.336555661,117.64286461 -14.329058661,117.65657961 -14.3216216609999,117.67032861 -14.314245661,117.68411061 -14.306929661,117.69792561 -14.2996736609999,117.71177361 -14.292478661,117.72565461 -14.285345661,117.73956761 -14.278272661,117.75351261 -14.2712606609999,117.76748961 -14.264310661,117.78149861 -14.257421661,117.79553861 -14.250594661,117.80953961 -14.2438586609999,117.82357161 -14.237184661,117.83763361 -14.2305716609999,117.85172561 -14.2240196609999,117.86584761 -14.217529661,117.87999861 -14.2111016609999,117.89417761 -14.204735661,117.90838661 -14.198430661,117.92262361 -14.1921896609999,117.93688861 -14.186009661,117.95118161 -14.1798926609999,117.96550161 -14.1738376609999,117.97984961 -14.1678456609999,117.99422461 -14.161916661,118.00862561 -14.1560506609999,118.02305361 -14.150247661,118.03750761 -14.144507661,118.05198761 -14.1388306609999,118.06649361 -14.1332176609999,118.08102461 -14.127667661,118.09557961 -14.122180661,118.11016061 -14.1167586609999,118.12476561 -14.111399661,118.13939461 -14.106104661,118.15404761 -14.100874661,118.16872361 -14.0957076609999,118.18342361 -14.0906056609999,118.19814561 -14.085566661,118.21289061 -14.080593661,118.22765861 -14.075684661,118.24244861 -14.070839661,118.25725961 -14.0660606609999,118.27209261 -14.061345661,118.28694661 -14.0566946609999,118.28748261 -14.0418166609999,118.28808661 -14.026940661,118.28875861 -14.0120666609999,118.28949761 -13.997196661,118.29030361 -13.9823296609999,118.29116161 -13.9669936609999,118.29209061 -13.9516616609999,118.29309161 -13.9363326609999,118.29416361 -13.921009661,118.29530861 -13.9056906609999,118.29652461 -13.8903776609999,118.29766261 -13.876639661,118.29885861 -13.862906661,118.30011261 -13.8491776609999,118.30142461 -13.835454661,118.30279261 -13.8217366609999,118.30421961 -13.8080236609999,118.30570361 -13.794317661,118.30724461 -13.780616661,118.30875561 -13.7675226609999,118.31031861 -13.7544346609999,118.31193361 -13.741352661,118.31360161 -13.7282766609999,118.31532161 -13.715206661,118.31733761 -13.700258661,118.31942261 -13.6853186609999,118.32157661 -13.6703886609999,118.32379861 -13.6554686609999,118.32608861 -13.6405576609999,118.32844761 -13.6256576609999,118.33087361 -13.610767661,118.33336861 -13.5958876609999,118.33593161 -13.581019661,118.33856261 -13.566163661,118.34126161 -13.551318661,118.34402861 -13.536485661,118.34686261 -13.5216646609999,118.34728961 -13.519485661,118.34976561 -13.506856661,118.35273561 -13.492060661,118.35577361 -13.477278661,118.35887861 -13.462509661,118.36205161 -13.447754661,118.36529161 -13.433014661,118.36859861 -13.418287661,118.37197361 -13.4035756609999,118.37538961 -13.388472661,118.37887661 -13.3733846609999,118.38243361 -13.358312661,118.38606161 -13.34325666,118.38976061 -13.32821666,118.39352961 -13.31319466,118.39736861 -13.2981886599999,118.40127761 -13.28320066,118.40506461 -13.26895466,118.451263889 -13.248613889,119.401263889 -12.8319472219999,119.85125 -12.631938889,120.267916667 -12.581938889,121.334583333 -12.398605556,121.934583333 -11.715272222,122.00125 -11.6652722219999,122.034583333 -11.6652722219999,122.45125 -11.6318277779999,122.717916667 -11.6152722219999,123.234572222 -11.548602778,123.279035183 -11.5374870369999,123.301238889 -11.5319361109999,123.347478696 -11.520376159,123.367905556 -11.515269444,123.707108217 -11.5352225419999,123.934572222 -11.548602778,123.955565399 -11.5590993659999,123.967905556 -11.565269444,124.434572222 -11.515269444,124.451238889 -11.515269444,124.567905556 -11.565269444,124.951238889 -11.6652694439999,125.082662363 -11.7052678919999,125.334572222 -11.7819361109999,125.417905556 -11.748602778,125.574448211 -11.685985715,125.751238889 -11.615269444,125.788579998 -11.600330926,125.788655714 -11.6003006349999,126.001225 -11.515261111,126.201225 -11.4319277779999,126.34637776 -11.3865675399999,126.467891667 -11.348594444,126.497610911 -11.33868803,126.497620345 -11.338684885,126.517891667 -11.331927778,126.519012847 -11.331861826,126.519013061 -11.3318618129999,126.519013099 -11.3318616999999,126.531079383 -11.3311520299999,126.535542173 -11.3308895129999,126.53625328 -11.3308476829999,126.539593852 -11.330651179,126.801225 -11.3152611109999,126.951225 -11.281927778,127.517855556 -11.231919444,127.531855153 -11.2153179549999,127.784522222 -10.915252778,127.967855556 -10.748586111,128.201188889 -10.465252778,128.20282573 -10.4647071639999,128.226511082 -10.456812047,128.230945525 -10.455333899,128.26398026 -10.444322321,128.301188889 -10.431919444,129.017855556 -9.98191944399997,129.160536885 -9.91303880199996,129.160707917 -9.91295623499997,129.501188889 -9.74858611099995,130.101188889 -9.64858611099993,130.418976891 -9.70011833299998,130.419120327 -9.70014159199997,130.71785 -9.74858333299994,130.91784979 -9.78191663199993,130.91785 -9.78191666699996,131.027845369 -9.76525070199995,131.46785 -9.69858333299993,131.473296596 -9.69495226899994,131.473299338 -9.69495044099995,131.51785 -9.66524999999996,131.658318901 -9.61842703299993,131.71785 -9.59858333299997,131.86785 -9.54858333299995,131.903936009 -9.53414892899997,131.90395406 -9.53414170899993,131.951183333 -9.51524999999998,132.00736923 -9.48528410499995,132.201172222 -9.38192222199996,132.334505556 -9.33192222199995,132.501172222 -9.26525555599994,132.551172222 -9.23192222199998,132.688291096 -9.14754137699998,132.688315457 -9.14752638499994,132.767838889 -9.09858888899993,133.384511949 -8.88188107499997,134.834502944 -9.41521395499996,134.977238223 -9.38227487499995,135.051171062 -9.36521336299995,135.081104249 -9.35024567799996,135.217839444 -9.28187309099997,135.484496786 -9.13187275099995,135.662486672 -9.19600117899995,135.66446866 -9.19671527499997,137.751150673 -9.94853123699994,138.096924688 -10.0967182109999,138.097413955 -10.096927894,138.217817261 -10.148528653,138.345743246 -10.224121464,138.345852937 -10.2241862819999,138.584484752 -10.365196333,138.607495037 -10.3805349359999,138.634484421 -10.398525997,139.201140838 -10.831851915),(136.643036627 -11.216390659,136.507199627 -11.4098636589999,136.498981627 -11.450554659,136.503327627 -11.456390659,136.540190627 -11.452218659,136.562190627 -11.432499659,136.724972627 -11.2069456579999,136.728572627 -11.1963906579999,136.777954627 -11.034718658,136.773863627 -11.0212456579999,136.764163627 -11.0186096579999,136.736636627 -11.0358366579999,136.728699627 -11.0451366579999,136.643036627 -11.216390659),(131.874118623 -11.1772276579999,131.772763623 -11.295281659,131.764263623 -11.306690659,131.770954623 -11.317636659,131.797054623 -11.321663659,131.830381623 -11.3132096589999,131.865245623 -11.309163659,131.902772623 -11.322772659,131.970581623 -11.364372659,131.990236623 -11.4297186589999,132.062608623 -11.510554659,132.086772623 -11.524727659,132.105808623 -11.526390659,132.162472623 -11.492081659,132.229536623 -11.461254659,132.372745623 -11.4377816589999,132.396363623 -11.440836659,132.448436623 -11.451390659,132.489963623 -11.476945659,132.540254623 -11.547499659,132.658036624 -11.635690659,132.691499624 -11.658190659,132.646363624 -11.728336659,132.634981624 -11.744999659,132.624663624 -11.8088906589999,132.627590624 -12.032781659,132.638454624 -12.0786091589999,132.709827624 -12.130627659,132.748990624 -12.135418659,132.716281624 -12.1459726589999,132.682736624 -12.140554659,132.601336623 -12.1172906589999,132.578154623 -12.102918659,132.444354623 -12.150281659,132.424563623 -12.1855546589999,132.427354623 -12.228390659,132.434354623 -12.253309159,132.444699623 -12.3020816599999,132.437618623 -12.32555466,132.406218623 -12.35999966,132.383608623 -12.37999966,132.384018623 -12.35874566,132.396227623 -12.33381866,132.417345623 -12.30715466,132.384154623 -12.2313906589999,132.360927623 -12.202363659,132.223572623 -12.199999659,132.062663623 -12.30909966,131.975254623 -12.2866636599999,131.931499623 -12.268054659,131.774427623 -12.274727659,131.736499623 -12.2824996589999,131.675536623 -12.28833666,131.492599622 -12.2972186599999,131.459972622 -12.29513666,131.436354622 -12.2891636599999,131.414554622 -12.278190659,131.370790622 -12.2477816589999,131.344118622 -12.223608659,131.213290622 -12.2174996589999,131.172763622 -12.193336659,131.114063622 -12.153681659,131.024318622 -12.149581659,130.998454622 -12.1868091589999,131.003018622 -12.2077091589999,131.026363622 -12.2406906589999,131.036099622 -12.32666366,131.026918622 -12.35833666,130.979399622 -12.3552816599999,130.926090622 -12.3481906599999,130.885799622 -12.3541636599999,130.847181622 -12.37305466,130.825808622 -12.4063906599999,130.815799622 -12.44472766,130.847672622 -12.4624276599999,130.954127622 -12.5363906599999,130.896636622 -12.60749966,130.896363622 -12.64028166,130.770399622 -12.4295816599999,130.656099622 -12.38916366,130.628445622 -12.3851366599999,130.594272622 -12.3898636599999,130.579272622 -12.4046546599999,130.609327622 -12.4271546599999,130.602327622 -12.5068091599999,130.591063622 -12.5347276599999,130.575518622 -12.57089966,130.586963622 -12.62983666,130.604127622 -12.67666366,130.644436622 -12.6811096599999,130.688827622 -12.70107266,130.627445622 -12.7108366599999,130.600799622 -12.7073636599999,130.554718622 -12.6633456599999,130.508999622 -12.60444566,130.354418621 -12.67263666,130.343981621 -12.7061091599999,130.353854621 -12.7397906599999,130.353008621 -12.83874566,130.340790621 -12.8761091599999,130.327608621 -12.8940276599999,130.294981621 -12.92013666,130.263181621 -12.93875466,130.225727621 -12.9467366599999,130.195999621 -12.93333666,130.182190621 -12.90791866,130.140699621 -12.92592766,130.124545621 -12.97027266,130.115508621 -13.06666366,130.115781621 -13.1476366599999,130.124036621 -13.16923666,130.157881621 -13.17639066,130.192045621 -13.20402766,130.254699621 -13.2880546599999,130.264436621 -13.32528166,130.164154621 -13.429163661,130.114963621 -13.462499661,130.041172621 -13.5098636609999,129.993045621 -13.526263661,129.963863621 -13.530836661,129.944136621 -13.527363661,129.909499621 -13.507918661,129.899899621 -13.445036661,129.828854621 -13.516945661,129.788572621 -13.6680546609999,129.782336621 -13.6984726609999,129.787472621 -13.744163661,129.746608621 -13.9641636609999,129.732727621 -13.994718661,129.713854621 -14.0133366609999,129.696363621 -14.0231906609999,129.581081621 -14.086108661,129.492463621 -14.1422276609999,129.430545621 -14.2222186609999,129.37023662 -14.333336661,129.35850862 -14.4136816609999,129.454954621 -14.503054662,129.540118621 -14.550281662,129.590518621 -14.568054662,129.659899621 -14.5721816619999,129.712463621 -14.558890662,129.772754621 -14.5355906619999,129.768736621 -14.5573636619999,129.703427621 -14.6019456619999,129.670245621 -14.6092186619999,129.647581621 -14.6090546619999,129.623781621 -14.6103906619999,129.586563621 -14.628054662,129.603572621 -14.674445662,129.675381621 -14.766045662,129.718854621 -14.7968096619999,129.765827621 -14.822709662,129.805545621 -14.8149996619999,129.944427621 -14.7677816619999,129.928863621 -14.789999662,129.864681621 -14.8430546619999,129.801572621 -14.863954662,129.697208621 -14.853890662,129.647336621 -14.837772662,129.643808621 -14.8727456619999,129.636445621 -14.905018662,129.613918621 -14.946945662,129.626481621 -15.021663662,129.663454621 -15.095499662,129.695799621 -15.130972662,129.731963621 -15.182190662,129.676608621 -15.203227662,129.668590621 -15.154727662,129.631299621 -15.107499662,129.486772621 -14.9490276619999,129.462036621 -14.930554662,129.33274562 -14.867218662,129.22961862 -14.839236662,129.21842762 -14.861390662,129.23774562 -15.0015276619999,129.25638162 -15.104163662,129.19107262 -15.1824996619999,129.17440862 -15.162499662,129.18552762 -14.979999662,129.08941862 -14.8994456619999,129.06387262 -14.887499662,128.99997262 -14.8710816619999,128.90277262 -14.840272662,128.65801862 -14.782499662,128.53596362 -14.758472662,128.51025462 -14.7641636619999,128.38768162 -14.7999996619999,128.40942762 -14.9045816619999,128.41858162 -14.931945662,128.42989962 -14.958336662,128.45823662 -15.0016636619999,128.44829062 -15.047081662,128.35300862 -15.0442366619999,128.34038162 -15.0191636619999,128.32844562 -14.9481906619999,128.32628162 -14.916463662,128.306290619 -14.9127816619999,128.220790619 -15.014863662,128.204681619 -15.038054662,128.192108619 -15.065209162,128.224408619 -15.190554662,128.246381619 -15.2225996619999,128.284972619 -15.281109162,128.291918619 -15.303754662,128.292754619 -15.3422186619999,128.287181619 -15.4006906619999,128.264572619 -15.3511816619999,128.257618619 -15.3059726619999,128.222027619 -15.272908662,128.181718619 -15.2334086619999,128.132136619 -15.214054662,128.118136619 -15.248663662,128.118836619 -15.290554662,128.113863619 -15.3430546619999,128.105808619 -15.4027816619999,128.097045619 -15.434309162,128.086072619 -15.4531906619999,128.068981619 -15.471799662,128.043581619 -15.491390662,128.020845619 -15.498227662,128.031781619 -15.472636662,128.053318619 -15.451945662,128.063172619 -15.4316636619999,128.073027619 -15.3965276619999,128.079727619 -15.206081662,128.069881619 -15.136245662,128.069408619 -15.1008366619999,128.087736619 -15.0252816619999,128.139981619 -14.8677726619999,128.188290619 -14.800281662,128.182736619 -14.741663662,128.169436619 -14.702781662,128.123427619 -14.656254662,128.031372619 -14.5830546619999,128.000118619 -14.560690662,127.982618619 -14.5738906619999,127.957199619 -14.5816636619999,127.873308619 -14.473336662,127.779163619 -14.335281661,127.760536619 -14.300554661,127.731654619 -14.267781661,127.658036619 -14.1759726609999,127.521099619 -14.086108661,127.451236619 -13.9933366609999,127.425254619 -13.9540276609999,127.355554619 -13.9294456609999,127.241927619 -13.8963906609999,127.154163618 -13.899999661,127.153590618 -13.932781661,127.128418618 -13.971490661,127.057545618 -13.886318661,127.074745618 -13.8485726609999,127.017763618 -13.7763906609999,126.955836618 -13.7282086609999,126.857899618 -13.7509726609999,126.745954618 -13.7954186609999,126.761936618 -13.839445661,126.789145618 -13.9713906609999,126.703881618 -14.1237456609999,126.600536618 -14.2297186609999,126.568327618 -14.2205546609999,126.455336618 -14.077536661,126.491090618 -14.0091636609999,126.502490618 -13.9647186609999,126.431372618 -13.974999661,126.334154618 -14.050418661,126.309136618 -14.089445661,126.294572618 -14.140554661,126.313308618 -14.1936091609999,126.287772618 -14.2330546609999,126.280208618 -14.215136661,126.234136618 -14.179718661,126.191645618 -14.168399661,126.157272617 -14.0590996609999,126.184427618 -14.048336661,126.208863618 -14.0372906609999,126.217481618 -13.961945661,126.148036617 -13.927499661,126.067490617 -13.9155546609999,126.017590617 -13.926527661,126.053590617 -13.9516636609999,126.081508617 -13.965899661,126.146654617 -14.1299996609999,126.143318617 -14.1924996609999,126.066381617 -14.344163661,126.037618617 -14.515208662,125.990954617 -14.547218662,125.923863617 -14.6174996619999,125.908863617 -14.6452816619999,125.902772617 -14.643608662,125.843881617 -14.607363662,125.824990617 -14.5724996619999,125.843036617 -14.464863662,125.722790617 -14.404309161,125.713045617 -14.438054662,125.705127617 -14.483190662,125.660808617 -14.611663662,125.642245617 -14.630099662,125.706790617 -14.339581661,125.728672617 -14.2731906609999,125.618318617 -14.2224276609999,125.592754617 -14.241663661,125.584718617 -14.261109161,125.579990617 -14.308890661,125.599427617 -14.4269456609999,125.594708617 -14.4924996619999,125.588881617 -14.549445662,125.553027617 -14.5559726619999,125.388318617 -14.544999662,125.336108617 -14.5230546619999,125.264999617 -14.577218662,125.243318617 -14.598054662,125.136027617 -14.747427662,125.201099617 -14.8534726619999,125.243045617 -14.9019456619999,125.216099617 -14.910554662,125.182890617 -14.948336662,125.281099617 -14.995554662,125.364990617 -15.052781662,125.389972617 -15.070836662,125.360190617 -15.0987456619999,125.386999617 -15.1218726619999,125.417136617 -15.1191636619999,125.434772617 -15.1331276619999,125.414836617 -15.151527662,125.321654617 -15.1560456619999,125.281790617 -15.137081662,125.279290617 -15.1011816619999,125.249154617 -15.0797186619999,125.221099617 -15.0624996619999,125.161654617 -15.033890662,125.161927617 -15.0797186619999,125.174563617 -15.119445662,125.164708617 -15.162363662,125.147218617 -15.1513906619999,125.078327616 -14.999718662,125.018336616 -15.0408366619999,125.032899616 -15.074718662,124.980272616 -15.1108366619999,124.959154616 -15.117218662,124.900536616 -15.100418662,124.856936616 -15.120281662,124.824854616 -15.1602816619999,124.854427616 -15.2361091619999,124.881772616 -15.237354662,124.930118616 -15.201945662,125.012772616 -15.153609662,125.044254616 -15.1615636619999,125.004363616 -15.228127662,124.975818616 -15.210627662,124.937472616 -15.2283366619999,124.900754616 -15.278890662,124.912099616 -15.336009162,124.961236616 -15.321245662,124.986363616 -15.309445662,125.011381616 -15.300554662,125.097345617 -15.301809662,125.118599617 -15.3231906619999,125.096299617 -15.345072662,125.071099616 -15.4077816619999,125.076372616 -15.430418662,125.101381617 -15.4505546619999,125.119708617 -15.4627816619999,125.176990617 -15.506945663,125.181808617 -15.5206816629999,124.993727616 -15.431808662,124.941781616 -15.379581662,124.912490616 -15.3561086619999,124.705272616 -15.253336662,124.663318616 -15.2630546619999,124.660808616 -15.3427816619999,124.674145616 -15.454999662,124.656372616 -15.479718662,124.606645616 -15.507499663,124.581790616 -15.5168086629999,124.538663616 -15.4908366619999,124.488936616 -15.465208662,124.457263616 -15.478263662,124.371927616 -15.6683366629999,124.377472616 -15.731945663,124.400199616 -15.8642996629999,124.487763616 -15.937218663,124.534708616 -15.9363906629999,124.550808616 -15.8994456629999,124.560808616 -15.880836663,124.577208616 -15.854718663,124.616218616 -15.802290663,124.670118616 -15.7869456629999,124.697745616 -15.7936096629999,124.726718616 -15.808954663,124.665263616 -15.863054663,124.614699616 -15.9186091629999,124.601645616 -15.956109163,124.585272616 -16.0227816629999,124.593045616 -16.1141636629999,124.518736616 -16.1636086629999,124.499708616 -16.143890663,124.470836616 -16.0933366629999,124.430545616 -16.1024996629999,124.391936616 -16.1723636629999,124.376081616 -16.2219456629999,124.382199616 -16.282499663,124.400545616 -16.3294456629999,124.417899616 -16.347499663,124.479981616 -16.347499663,124.502490616 -16.3354186629999,124.562345616 -16.324163663,124.615254616 -16.3277816629999,124.697345616 -16.3468726629999,124.749154616 -16.3758276629999,124.815263616 -16.399999663,124.840818616 -16.403818663,124.893045616 -16.4066996629999,124.847490616 -16.4288906629999,124.835818616 -16.4299996629999,124.762272616 -16.3896546629999,124.729145616 -16.384863663,124.664699616 -16.393890663,124.578599616 -16.405554663,124.475808616 -16.395836663,124.414990616 -16.366108663,124.384363616 -16.352781663,124.343863616 -16.3920816629999,124.333027616 -16.409863663,124.229845616 -16.4042366629999,124.202554616 -16.385208663,124.182481616 -16.3386091629999,124.166372616 -16.3024996629999,124.139972616 -16.285281663,124.113036616 -16.273336663,124.086245616 -16.262499663,123.964427615 -16.245554663,123.892772615 -16.339863663,123.891372615 -16.3788906629999,123.839154615 -16.368054663,123.732699615 -16.2595186629999,123.783863615 -16.246109163,123.806399615 -16.198990663,123.726236615 -16.138608663,123.603181615 -16.156254663,123.570899615 -16.1716636629999,123.557199615 -16.2005546629999,123.560254615 -16.2883366629999,123.595745615 -16.319099663,123.679427615 -16.3327816629999,123.707481615 -16.340136663,123.717481615 -16.3788906629999,123.708881615 -16.430281663,123.641099615 -16.5294456629999,123.617336615 -16.531390663,123.563027615 -16.5155546629999,123.493318615 -16.497218663,123.425181615 -16.499509163,123.458881615 -16.537781663,123.501372615 -16.565972663,123.544563615 -16.568336663,123.613599615 -16.5641636629999,123.607754615 -16.673336664,123.717754615 -16.788054664,123.754172615 -16.8697186639999,123.766372615 -16.888190664,123.782208615 -16.898890664,123.858318615 -16.8763906639999,123.891663615 -16.8933366639999,123.836927615 -16.943890664,123.796372615 -16.997981664,123.803036615 -17.039445664,123.831927615 -17.1361816639999,123.877563615 -17.190963664,123.916027615 -17.208263664,123.891445615 -17.221245664,123.855818615 -17.206390664,123.782490615 -17.142499664,123.764981615 -17.118609164,123.727481615 -17.066663664,123.655754615 -16.9947906639999,123.592618615 -16.996663664,123.576518615 -17.0300726639999,123.574008615 -17.0729186639999,123.619008615 -17.2061091639999,123.563599615 -17.367218664,123.559981615 -17.445827664,123.568172615 -17.4699996639999,123.594018615 -17.509727664,123.583736615 -17.5865996639999,123.575272615 -17.5974996639999,123.553445615 -17.514999664,123.535808615 -17.4941636639999,123.478045615 -17.4091636639999,123.434708615 -17.342781664,123.374418615 -17.246945664,123.307745615 -17.137499664,123.204708615 -16.9522186639999,123.116381615 -16.792781664,123.096099615 -16.7161091639999,123.068308615 -16.6955546639999,123.019708615 -16.670272664,122.977208615 -16.6280546639999,122.956227615 -16.5868091639999,122.989490615 -16.4759726629999,123.011936615 -16.475418663,123.039081615 -16.481318663,123.060245615 -16.4555546629999,122.991654615 -16.3897186629999,122.920254614 -16.414581663,122.899427614 -16.4472906629999,122.894427614 -16.4761091629999,122.894290614 -16.5023636629999,122.841372614 -16.5587546629999,122.817208614 -16.5687546629999,122.788663614 -16.569236663,122.760554614 -16.600554664,122.736572614 -16.697427664,122.762208614 -16.733609164,122.752208614 -16.7622186639999,122.676654614 -16.788054664,122.639708614 -16.7997276639999,122.616154614 -16.799718664,122.593936614 -16.7793086639999,122.566508614 -16.7898636639999,122.523881614 -16.844718664,122.527063614 -16.8647276639999,122.574290614 -16.953327664,122.524427614 -16.956663664,122.447408614 -16.954163664,122.399427614 -16.981945664,122.379154614 -16.996108664,122.362490614 -17.010836664,122.284699614 -17.0808366639999,122.256654614 -17.107781664,122.174990614 -17.2433276639999,122.143881614 -17.3630546639999,122.138599614 -17.5184726639999,122.140827614 -17.5580546639999,122.146790614 -17.5826366639999,122.176372614 -17.6630546649999,122.191363614 -17.685972665,122.199845614 -17.704581665,122.211099614 -17.8936091649999,122.252772614 -17.9583366649999,122.332208614 -17.979445665,122.350963614 -17.988609665,122.361654614 -18.005554665,122.369708614 -18.038336665,122.367618614 -18.0605546649999,122.355263614 -18.1005546649999,122.337490614 -18.131390665,122.314281614 -18.1565276649999,122.128590614 -18.288608665,122.111645614 -18.299445665,122.091936614 -18.310690665,122.066672614 -18.317499665,122.043054614 -18.354999665,122.028590614 -18.3761091649999,122.013599614 -18.392218665,121.992754614 -18.4099996649999,121.939699614 -18.448054665,121.889845614 -18.473745665,121.848872613 -18.470272665,121.824145613 -18.458363665,121.800536613 -18.480281665,121.764999613 -18.556109165,121.764154613 -18.6024276649999,121.777345613 -18.636799665,121.639427613 -18.813890666,121.557208613 -18.9936091659999,121.503599613 -19.095836666,121.488590613 -19.123054666,121.333881613 -19.332218666,121.320263613 -19.3472186659999,121.276654613 -19.3949996659999,121.233599613 -19.4384726659999,121.208036613 -19.4591636659999,121.130672613 -19.518054666,121.076099613 -19.557781666,121.027481613 -19.5922276659999,120.993599613 -19.611254666,120.911099613 -19.6505546659999,120.878590613 -19.665272666,120.559418612 -19.7919456659999,120.337208612 -19.878472667,120.239563612 -19.908754667,120.203872612 -19.9147186669999,120.164008612 -19.916663667,120.022490612 -19.933054667,119.785536612 -19.971663667,119.720836611 -19.998054667,119.692745611 -20.018336667,119.601381611 -20.066108667,119.581790611 -20.070836667,119.552627611 -20.0666636669999,119.434145611 -20.016945667,119.365808611 -19.999445667,119.188872611 -19.959445667,119.168872611 -19.956945667,119.080272611 -19.968745667,118.979881611 -20.0413186669999,118.962199611 -20.093609167,118.949981611 -20.116945667,118.820545611 -20.273336667,118.801090611 -20.285836667,118.657763611 -20.331108667,118.54525461 -20.325281667,118.39749061 -20.349727667,118.23499061 -20.374172667,118.19219961 -20.3734726669999,118.17851861 -20.3486816669999,118.13845461 -20.364581667,118.06915461 -20.409999667,118.00054561 -20.4680546669999,117.93372761 -20.529863667,117.92191861 -20.554581667,117.85027261 -20.6083366669999,117.83151861 -20.618190667,117.73776361 -20.656390667,117.68539061 -20.676390667,117.481936609 -20.7163906669999,117.406236609 -20.7298546669999,117.380536609 -20.731390667,117.342336609 -20.730554667,117.317208609 -20.728054667,117.295390609 -20.724027667,117.267908609 -20.717636667,117.197554609 -20.688190667,117.165263609 -20.6538186669999,117.066672609 -20.621663667,117.045399609 -20.627918667,116.993318609 -20.6522186669999,116.950118609 -20.6770086669999,116.925818609 -20.696945667,116.898327609 -20.711108667,116.875745609 -20.717499667,116.831927609 -20.705972667,116.788508609 -20.665627667,116.707490609 -20.649163667,116.606299609 -20.730063667,116.475536608 -20.8061086669999,116.309418608 -20.861663667,116.248872608 -20.868890667,116.185527608 -20.9019456679999,116.171918608 -20.945281668,116.159854608 -20.965836668,116.129154608 -20.984445668,116.008608608 -21.029999668,115.987490608 -21.036390668,115.954436608 -21.0522276679999,115.925254608 -21.0690276679999,115.910545608 -21.082636668,115.877763608 -21.1249996679999,115.862490608 -21.1455546679999,115.836927608 -21.1905546679999,115.822218608 -21.219999668,115.806508608 -21.236527668,115.786372608 -21.247772668,115.736645608 -21.267499668,115.679981608 -21.287499668,115.635272608 -21.319445668,115.619427608 -21.3319456679999,115.549427608 -21.4044456679999,115.521099608 -21.440281668,115.496372608 -21.472499668,115.469708608 -21.503608668,115.451927608 -21.5177816679999,115.336645607 -21.5663906679999,115.245527607 -21.5919456679999,115.159708607 -21.6305546679999,115.052754607 -21.681108668,115.023872607 -21.690345668,114.981090607 -21.687781668,114.942754607 -21.688681668,114.839708607 -21.748054668,114.738872607 -21.8008366679999,114.696090607 -21.813336668,114.651090607 -21.839999668,114.636227607 -21.859163668,114.630108607 -21.900136668,114.625399607 -21.922918668,114.518054607 -22.087227669,114.460818607 -22.1902816689999,114.408336607 -22.314163669,114.399990607 -22.335554669,114.390336607 -22.364509169,114.372481607 -22.442499669,114.197745606 -22.508890669,114.153872606 -22.527781669,114.137218606 -22.521454669,114.110263606 -22.4865276689999,114.118099606 -22.3969456689999,114.141936606 -22.3013906689999,114.121372606 -22.2733366689999,114.086108606 -22.2005546689999,114.077763606 -22.174236669,114.126645606 -21.910281668,114.135945606 -21.878609168,114.155399606 -21.846527668,114.175954606 -21.8227816679999,114.162972606 -21.798818668,114.089290606 -21.810836668,114.030272606 -21.841663668,114.013045606 -21.8568091679999,113.996372606 -21.880281668,113.933318606 -21.976109169,113.894990606 -22.055281669,113.863036606 -22.153890669,113.837772606 -22.2316636689999,113.820263606 -22.280554669,113.799708606 -22.334163669,113.733318606 -22.475281669,113.692508606 -22.5378186689999,113.656372606 -22.604718669,113.671099606 -22.686109169,113.710399606 -22.7383276689999,113.736581606 -22.767290669,113.753045606 -22.793890669,113.766108606 -22.8181906689999,113.800808606 -22.9133366689999,113.807481606 -22.9333276689999,113.818327606 -23.03055467,113.813181606 -23.0555546699999,113.799145606 -23.0849996699999,113.782490606 -23.1055546699999,113.760272606 -23.19389067,113.781999606 -23.32666367,113.768336606 -23.44166367,113.763045606 -23.47277267,113.743036606 -23.52721867,113.671290606 -23.58639067,113.635408606 -23.5990276699999,113.601245606 -23.6302816699999,113.532208606 -23.75722767,113.488036606 -23.87805467,113.446372606 -24.01139067,113.424427606 -24.134445671,113.384081606 -24.230763671,113.389708606 -24.4294456709999,113.394436606 -24.451945671,113.400272606 -24.472499671,113.425672606 -24.525281671,113.459436606 -24.562227671,113.484418606 -24.5841636709999,113.504436606 -24.6063906709999,113.551654606 -24.659999671,113.574999606 -24.6919456709999,113.604154606 -24.733327671,113.614145606 -24.7537456709999,113.614981606 -24.813199671,113.602763606 -24.844581671,113.611099606 -24.8891636709999,113.651645606 -25.015281671,113.701081606 -25.122427671,113.745527606 -25.141109671,113.790818606 -25.167499671,113.806645606 -25.1812456719999,113.836927606 -25.2486091719999,113.868872606 -25.325554672,113.915118606 -25.431663672,113.951663606 -25.495554672,114.034290606 -25.633754672,114.053036606 -25.6522186719999,114.139427606 -25.7319456719999,114.258108606 -25.8478456719999,114.256945606 -25.9705546719999,114.239699606 -26.001390672,114.206381606 -25.989163672,114.195536606 -26.031109172,114.171854606 -26.1826366719999,114.182745606 -26.2302816719999,114.191227606 -26.253609173,114.210127606 -26.2670906729999,114.221445606 -26.292499673,114.194908606 -26.372918673,114.069290606 -26.461663673,113.958881606 -26.3277816729999,113.931236606 -26.263609173,113.926936606 -26.209445672,113.905254606 -26.121945672,113.878863606 -26.0288906719999,113.863308606 -26.055690672,113.820827606 -26.1341636719999,113.798590606 -26.168327672,113.764845606 -26.201181672,113.714008606 -26.196945672,113.684281606 -26.119581672,113.681918606 -26.034863672,113.709845606 -26.007572672,113.734081606 -25.8890276719999,113.697408606 -25.7952091719999,113.651654606 -25.7638906719999,113.591090606 -25.7122186719999,113.529708606 -25.6236091719999,113.497754606 -25.560281672,113.469436606 -25.540836672,113.419708606 -25.6097186719999,113.408599606 -25.628190672,113.398036606 -25.654999672,113.392490606 -25.6783366719999,113.391108606 -25.7104186719999,113.403599606 -25.737363672,113.446636606 -25.793890672,113.492763606 -25.8587456719999,113.532208606 -25.989436672,113.551227606 -26.0749996719999,113.652208606 -26.1694456719999,113.743590606 -26.226663672,113.789145606 -26.250554673,113.828799606 -26.284863673,113.861372606 -26.336527673,113.864699606 -26.459163673,113.863872606 -26.484718673,113.855818606 -26.507499673,113.815263606 -26.5738906729999,113.784008606 -26.6034726729999,113.741927606 -26.594163673,113.677463606 -26.6341636729999,113.674427606 -26.659999673,113.666654606 -26.6594456729999,113.643454606 -26.6543086729999,113.569718606 -26.569718673,113.546372606 -26.5080546729999,113.539699606 -26.4005546729999,113.534572606 -26.3379186729999,113.514299606 -26.284163673,113.365536606 -26.118890672,113.357754606 -26.186390672,113.334154606 -26.278618673,113.304154606 -26.222499672,113.303308606 -26.1672186719999,113.301654606 -26.1261091719999,113.287654606 -26.027772672,113.267899605 -26.039999672,113.264163605 -26.064027672,113.270263605 -26.1002816719999,113.273608605 -26.1283366719999,113.270472605 -26.1564546719999,113.253599605 -26.195827672,113.224427605 -26.239163672,113.281090606 -26.3994456729999,113.446636606 -26.555554673,113.498381606 -26.5963186729999,113.535536606 -26.6333276729999,113.585818606 -26.690836673,113.687763606 -26.815836673,113.787199606 -26.9505546729999,113.799145606 -26.967499673,113.936918606 -27.1988906729999,114.027208606 -27.3638906739999,114.072772606 -27.451109174,114.093318606 -27.5055546739999,114.121372606 -27.6033366739999,114.135272606 -27.6624996739999,114.140963606 -27.7072186739999,114.125263606 -27.735690674,114.107481606 -27.777227674,114.096508606 -27.819999674,114.094699606 -27.851527674,114.116654606 -27.947772674,114.145827606 -28.069172674,114.154290606 -28.0909726739999,114.197199606 -28.150554674,114.210127606 -28.166245674,114.231654606 -28.1888906739999,114.261518606 -28.208263674,114.307481606 -28.229927674,114.369708607 -28.320836674,114.502772607 -28.4880546749999,114.514163607 -28.505836675,114.529981607 -28.531945675,114.584145607 -28.633054675,114.591927607 -28.681109175,114.596508607 -28.725281675,114.592208607 -28.767781675,114.591663607 -28.797499675,114.596645607 -28.8283366749999,114.619281607 -28.871109175,114.656018607 -28.9188906749999,114.691090607 -28.944163675,114.719990607 -28.968054675,114.834854607 -29.0965276749999,114.887345607 -29.2058366749999,114.903108607 -29.2586091749999,114.902772607 -29.2991636749999,114.928236607 -29.335554675,114.978045607 -29.4877816759999,114.979427607 -29.508190676,114.973445607 -29.537636676,114.961236607 -29.5670816759999,114.947063607 -29.629299676,114.941936607 -29.6705546759999,114.939145607 -29.736799676,114.937190607 -30.0602816759999,114.957199607 -30.075627676,114.985263607 -30.145554676,115.023608607 -30.274172676,115.054490607 -30.477218676,115.047272607 -30.504718676,115.081099607 -30.5888906769999,115.167481607 -30.771945677,115.209354607 -30.847363677,115.246936607 -30.891945677,115.310245607 -30.986663677,115.368590607 -31.1022186769999,115.375263607 -31.122218677,115.394990607 -31.184163677,115.437754608 -31.279581677,115.451099608 -31.301663677,115.567208608 -31.4836091769999,115.639427608 -31.5952816769999,115.681663608 -31.660554678,115.693590608 -31.683609178,115.705818608 -31.716390678,115.739981608 -31.868054678,115.743308608 -31.893336678,115.743999608 -31.934309178,115.737763608 -32.095272678,115.755254608 -32.1917996779999,115.734981608 -32.264863678,115.732481608 -32.320836678,115.743872608 -32.448881678,115.761936608 -32.5724996779999,115.733599608 -32.644445678,115.715990608 -32.7156636789999,115.718245608 -32.7703456789999,115.700254608 -32.7811086789999,115.672708608 -32.7457816789999,115.632063608 -32.648609178,115.633727608 -32.607781678,115.652772608 -32.586109678,115.691154608 -32.554063678,115.694499608 -32.5222186779999,115.617618608 -32.6028456779999,115.594363608 -32.670690678,115.619418608 -32.8066636789999,115.635536608 -32.8674996789999,115.653054608 -32.924445679,115.669436608 -32.981945679,115.714290608 -33.242218679,115.712627608 -33.264027679,115.704427608 -33.286390679,115.690254608 -33.302781679,115.667754608 -33.310272679,115.429699608 -33.6051366789999,115.396945607 -33.621381679,115.363599607 -33.6330546789999,115.315536607 -33.645972679,115.282490607 -33.650554679,115.261654607 -33.6522186789999,115.220536607 -33.653263679,115.155818607 -33.635563679,115.101299607 -33.611181679,115.081863607 -33.5756906789999,115.039708607 -33.5337456789999,114.997099607 -33.5241091789999,114.953745607 -33.692363679,114.957763607 -33.86610918,114.976645607 -34.0186091799999,115.010272607 -34.1758996799999,115.007208607 -34.20319068,115.004572607 -34.2248636799999,115.008945607 -34.26243668,115.073881607 -34.32389068,115.122208607 -34.36278168,115.146654607 -34.3439636799999,115.168308607 -34.31277268,115.204427607 -34.3012546799999,115.241018607 -34.29791868,115.313999607 -34.30486368,115.386099607 -34.33389068,115.495672608 -34.38360968,115.648036608 -34.4677726799999,115.788463608 -34.58471868,115.814145608 -34.60778168,115.913318608 -34.70319068,115.943863608 -34.75110918,115.952472608 -34.7694456799999,115.973599608 -34.81945468,116.092481608 -34.838054681,116.178863608 -34.854445681,116.216927608 -34.866109681,116.246372608 -34.8777816809999,116.268599608 -34.887781681,116.324708608 -34.918336681,116.375527608 -34.948054681,116.460536608 -34.999590681,116.601927609 -35.033054681,116.658045609 -35.032218681,116.724427609 -35.016945681,116.814699609 -35.0397276809999,116.838054609 -35.049027681,116.873027609 -35.056663681,116.895681609 -35.056109681,116.915327609 -35.041736681,116.948381609 -35.015763681,117.183872609 -35.0119456809999,117.332490609 -35.018890681,117.355127609 -35.0247276809999,117.533336609 -35.0883366809999,117.554154609 -35.098609681,117.60970861 -35.1383366809999,117.61956361 -35.090836681,117.63276361 -35.0694456809999,117.66408161 -35.0512546809999,117.72664561 -35.0480546809999,117.74872761 -35.051799681,117.78414561 -35.0652816809999,117.80941861 -35.0791726809999,117.85844561 -35.1140636809999,117.93414561 -35.1253456809999,117.99588161 -35.0969091809999,117.94914561 -35.0923636809999,117.88304561 -35.0826366809999,117.85775461 -35.0719456809999,117.83380861 -35.050627681,117.83797261 -35.0301366809999,118.08167261 -34.993890681,118.28166361 -34.905554681,118.38761861 -34.8402726809999,118.39971861 -34.80110918,118.41805461 -34.7741726799999,118.44455461 -34.74354568,118.47706361 -34.72374568,118.51833661 -34.70749968,118.58207261 -34.6906906799999,118.61219961 -34.6855546799999,118.63789061 -34.68048168,118.699145611 -34.6502726799999,118.719145611 -34.63972768,118.735681611 -34.62597268,118.754172611 -34.60694568,118.719436611 -34.57499968,118.721645611 -34.56945468,118.739699611 -34.54999068,118.764854611 -34.53305468,118.890263611 -34.46221868,118.911654611 -34.45305468,118.935254611 -34.4494456799999,119.078872611 -34.4661096799999,119.111363611 -34.47471868,119.185254611 -34.49499968,119.208599611 -34.5044456799999,119.325545611 -34.4469456799999,119.467481611 -34.3318091799999,119.480945611 -34.27041868,119.563590611 -34.14972768,119.616090611 -34.0999996799999,119.644145611 -34.08971868,119.672763611 -34.07889068,119.707772611 -34.06402768,119.738872612 -34.04583668,119.754572612 -34.0322276799999,119.770263612 -34.01056368,119.788863612 -33.9915276799999,119.812908612 -33.97805468,119.979981612 -33.93443668,120.004990612 -33.9288906799999,120.028318612 -33.9255546799999,120.229981612 -33.93749968,120.253054612 -33.9397186799999,120.288036612 -33.94554568,120.369136612 -33.96361868,120.416990612 -33.9739186799999,120.485527612 -33.9488816799999,120.540263612 -33.91721868,120.693863612 -33.8958366799999,120.722763612 -33.8944456799999,120.791372612 -33.88805468,120.809699613 -33.8795816799999,120.834718613 -33.86694568,120.862481613 -33.85667268,120.884845613 -33.85680968,120.929699613 -33.86278168,121.051654613 -33.85694568,121.219708613 -33.83889068,121.336099613 -33.8155546799999,121.370818613 -33.8152816799999,121.461108613 -33.81749968,121.522618613 -33.82153668,121.672490613 -33.86028168,121.780954613 -33.8995096799999,121.834708613 -33.8919456799999,121.861645613 -33.8805546799999,121.886018614 -33.85874568,121.916790614 -33.83639068,121.993863614 -33.82472768,122.013736614 -33.8311096799999,122.037199614 -33.85305468,122.052199614 -33.86860918,122.071518614 -33.89319968,122.086381614 -33.9272276799999,122.100918614 -33.98020918,122.079708614 -34.01777268,122.118318614 -34.0286096799999,122.251372614 -34.01673668,122.262272614 -33.96589968,122.298236614 -33.9315906799999,122.354427614 -33.91291868,122.377063614 -33.91235468,122.433308614 -33.92583668,122.575681614 -33.91332768,122.593799614 -33.89805468,122.730272614 -33.8933366799999,122.817472614 -33.9067996799999,122.844981614 -33.9069366799999,122.914990614 -33.88556368,123.017827615 -33.85757268,123.080272615 -33.8758276799999,123.100681615 -33.8869456799999,123.139427615 -33.94916368,123.168054615 -34.0186091799999,123.236363615 -33.99999968,123.282690615 -33.9711726799999,123.305254615 -33.94166368,123.342754615 -33.90381868,123.368999615 -33.89514568,123.405545615 -33.8958366799999,123.429427615 -33.8969456799999,123.451508615 -33.9002726799999,123.470127615 -33.9084726799999,123.540818615 -33.90582768,123.648881615 -33.84694568,123.690808615 -33.8205546799999,123.734990615 -33.77972768,123.735881615 -33.752409179,123.752490615 -33.714163679,123.769708615 -33.695272679,123.789981615 -33.6772276789999,123.859990615 -33.615836679,123.918318615 -33.583063679,123.939145615 -33.573336679,123.955945615 -33.559581679,123.964708615 -33.538890679,124.002490615 -33.3936186789999,124.090954616 -33.162081679,124.106372616 -33.1394456789999,124.141090616 -33.096390679,124.157763616 -33.079727679,124.190118616 -33.0491636789999,124.281936616 -32.985554679,124.301654616 -32.974999679,124.328872616 -32.9647186789999,124.352763616 -32.957499679,124.402772616 -32.945545679,124.453327616 -32.940836679,124.497481616 -32.936945679,124.580554616 -32.928054679,124.664699616 -32.916390679,124.704990616 -32.910281679,124.746645616 -32.8977816789999,124.879563616 -32.829863679,124.896663616 -32.813336679,124.927199616 -32.785554679,124.995536616 -32.7422276789999,125.246372617 -32.624445678,125.302336617 -32.598754678,125.336927617 -32.5905546779999,125.377763617 -32.584163678,125.398881617 -32.582499678,125.444290617 -32.573336678,125.514990617 -32.5468096779999,125.540818617 -32.5305546779999,125.559972617 -32.5163906779999,125.582836617 -32.494518678,125.617754617 -32.467772678,125.806508617 -32.343609678,125.972272617 -32.266736678,126.012499617 -32.274172678,126.045254617 -32.284727678,126.069290617 -32.284999678,126.091790617 -32.278472678,126.130808617 -32.254581678,126.152899617 -32.2434726779999,126.179699618 -32.2384726779999,126.208599618 -32.2408366779999,126.239154618 -32.246945678,126.261381618 -32.251399678,126.283054618 -32.2563906779999,126.303036618 -32.262218678,126.328599618 -32.272227678,126.399427618 -32.292227678,126.458881618 -32.299727678,126.573608618 -32.3091636779999,126.638599618 -32.3141636779999,126.687190618 -32.315836678,126.990536618 -32.3049996779999,127.023036618 -32.3036096779999,127.124972618 -32.298490678,127.164990618 -32.293890678,127.267763619 -32.278336678,127.334718619 -32.266945678,127.538590619 -32.202781678,127.628863619 -32.1708366779999,127.737490619 -32.1347276779999,127.828327619 -32.119445678,127.949418619 -32.1011096779999,128.012345619 -32.0895816779999,128.182736619 -32.031672678,128.55440862 -31.888336678,128.70412762 -31.8163906779999,128.77331862 -31.779163678,128.79302762 -31.769445678,128.95245462 -31.7033276779999,128.97870862 -31.696109678,129.00027262 -31.6926096779999,129.02941862 -31.6874996779999,129.06024562 -31.6824996779999,129.23189962 -31.658336678,129.475527621 -31.638609678,129.701081621 -31.6216636779999,129.838290621 -31.614445678,129.885072621 -31.603018677,129.935790621 -31.593336677,130.148863621 -31.5791636769999,130.236354621 -31.5763906769999,130.263308621 -31.576109677,130.644436622 -31.603890677,130.703036622 -31.608890677,130.732181622 -31.6108366779999,130.763736622 -31.612081678,130.793581622 -31.6102816769999,130.843990622 -31.604727677,131.012481622 -31.548890677,131.041227622 -31.533336677,131.069427622 -31.5083366769999,131.090236622 -31.491390677,131.115172622 -31.477499677,131.148590622 -31.474027677,131.174145622 -31.478472677,131.276918622 -31.511672677,131.364963622 -31.543336677,131.469118622 -31.585836677,131.492463622 -31.5955546769999,131.666654623 -31.670554678,131.769136623 -31.7222186779999,131.815799623 -31.7477726779999,132.026918623 -31.881945678,132.137481623 -31.970836678,132.154690623 -31.9899996779999,132.172763623 -32.0088906779999,132.195936623 -32.0269456779999,132.264981623 -32.0416726779999,132.327745623 -32.0377816779999,132.414154623 -32.011672678,132.455381623 -31.969999678,132.488863623 -31.952499678,132.518308623 -31.944718678,132.549136623 -31.938890678,132.584408623 -31.9358366779999,132.764436624 -31.950836678,132.785245624 -31.956245678,132.832881624 -31.977918678,132.859408624 -32.006109178,132.973572624 -32.091663678,133.026227624 -32.101390678,133.065518624 -32.1198636779999,133.084827624 -32.1379186779999,133.135954624 -32.184445678,133.166654624 -32.190836678,133.226072624 -32.197490678,133.417208624 -32.213336678,133.485108624 -32.209863678,133.566699624 -32.165690678,133.581345624 -32.114927678,133.605863624 -32.098054678,133.673690624 -32.115690678,133.662827624 -32.152427678,133.694972625 -32.181118678,133.725527625 -32.2005546779999,133.756654625 -32.213890678,133.826354625 -32.2508366779999,133.873563625 -32.2991726779999,133.901918625 -32.329445678,133.950790625 -32.398263678,133.934127625 -32.4216726779999,133.902818625 -32.4156186779999,133.883299625 -32.4047186779999,133.854399625 -32.4604186779999,133.852872625 -32.5418091779999,133.890654625 -32.548190678,133.955536625 -32.4958366779999,134.114118625 -32.453472678,134.143036625 -32.457499678,134.184145625 -32.486663678,134.205536625 -32.503618678,134.223018625 -32.522499678,134.276363625 -32.5885456779999,134.297072625 -32.6774996779999,134.276518625 -32.7287456789999,134.224118625 -32.783890679,134.208190625 -32.807636679,134.193999625 -32.756872679,134.154690625 -32.725827679,134.074508625 -32.7208636789999,134.129390625 -32.842772679,134.195663625 -32.9544456789999,134.269290625 -33.1199996789999,134.268718625 -33.1455546789999,134.329545625 -33.2027816789999,134.387754625 -33.182218679,134.408663625 -33.1645096789999,134.593563625 -33.139999679,134.689281625 -33.167081679,134.707472625 -33.1772276789999,134.808590626 -33.352781679,134.828036626 -33.3947186789999,134.857999626 -33.471936679,134.863281626 -33.496109179,134.868427626 -33.5414636789999,134.862590626 -33.5680546789999,134.848163626 -33.5958366789999,134.840663626 -33.6377816789999,134.930799626 -33.702499679,134.981627626 -33.734445679,135.033599626 -33.7686096799999,135.057463626 -33.79055468,135.193845626 -33.91944568,135.261081626 -34.00652768,135.272627626 -34.12027268,135.309963626 -34.1938816799999,135.349118626 -34.28917268,135.393108626 -34.49534568,135.376827626 -34.5259726799999,135.382190626 -34.5522276799999,135.394854626 -34.5836091799999,135.441081626 -34.60458168,135.495863626 -34.61708168,135.396518626 -34.64402768,135.344418626 -34.6141636799999,135.213227626 -34.4980546799999,135.210445626 -34.4719366799999,135.208508626 -34.4358276799999,135.151645626 -34.50389068,135.112318626 -34.5947546799999,135.147127626 -34.58812768,135.215863626 -34.56506368,135.248027626 -34.57319968,135.326354626 -34.6248546799999,135.474672626 -34.75110968,135.582454626 -34.865836681,135.606081626 -34.893054681,135.619418626 -34.920836681,135.643581626 -34.952781681,135.665254626 -34.958054681,135.679699626 -34.953818681,135.701081626 -34.910281681,135.705654626 -34.8881996809999,135.723981626 -34.867772681,135.755108626 -34.8580546809999,135.786654626 -34.8602816809999,135.815108626 -34.8702816809999,135.846618627 -34.890281681,135.930118627 -34.9667366809999,135.956408627 -35.008236681,136.004636627 -34.991799681,136.019990627 -34.79514568,136.006663627 -34.74259968,135.953854627 -34.7672186799999,135.902208627 -34.80694568,135.872881627 -34.81986368,135.829127627 -34.8247186799999,135.803790626 -34.81520868,135.874972627 -34.63833668,135.936908627 -34.5368726799999,135.967190627 -34.51556368,136.040254627 -34.48360918,136.125872627 -34.36208168,136.148727627 -34.34652768,136.184963627 -34.3377726799999,136.206572627 -34.33215468,136.241336627 -34.2972276799999,136.256927627 -34.27736368,136.306090627 -34.1988816799999,136.318172627 -34.19013668,136.351345627 -34.1221546799999,136.356554627 -34.0902096799999,136.413454627 -34.04098168,136.579954627 -33.93194568,136.661099627 -33.89055468,136.863863627 -33.80694568,136.902772628 -33.77305468,136.884281627 -33.76249968,136.949718628 -33.6810366789999,136.978427628 -33.688545679,137.020281628 -33.717263679,137.142063628 -33.713754679,137.165263628 -33.703327679,137.209963628 -33.6661091789999,137.226899628 -33.643336679,137.279436628 -33.561809179,137.361127628 -33.429372679,137.379408628 -33.383336679,137.375381628 -33.351663679,137.378572628 -33.320836679,137.385254628 -33.300281679,137.443027628 -33.194445679,137.488281628 -33.127781679,137.595518628 -33.029727679,137.722745628 -32.995281679,137.774845628 -32.992772679,137.807618628 -32.847918679,137.801227628 -32.740972679,137.791918628 -32.722354679,137.778454628 -32.706663679,137.755108628 -32.695763679,137.754427628 -32.576109178,137.755245628 -32.5511091779999,137.762972628 -32.532499678,137.816281628 -32.566872678,137.829954628 -32.631381678,137.843845628 -32.688045679,137.896363628 -32.787227679,137.954127628 -33.009172679,137.977736629 -33.021663679,138.008927629 -33.028818679,138.039427629 -33.0780546789999,138.046863629 -33.129436679,138.019563629 -33.148054679,137.954954628 -33.1494456789999,137.901918628 -33.1674996789999,137.844972628 -33.2019456789999,137.828308628 -33.223190679,137.814345628 -33.278054679,137.847472628 -33.322772679,137.916072628 -33.441381679,137.941654628 -33.5102816789999,137.948581628 -33.5592996789999,137.932190628 -33.5952726789999,137.910663628 -33.598054679,137.890118628 -33.6051366789999,137.777754628 -33.697363679,137.632172628 -33.8491636799999,137.602890628 -33.88402768,137.594972628 -33.9558366799999,137.555545628 -34.06499968,137.543872628 -34.09555468,137.514845628 -34.1433366799999,137.503327628 -34.15055468,137.466136628 -34.1435456799999,137.451708628 -34.16041868,137.469699628 -34.19249968,137.487181628 -34.24249968,137.493290628 -34.28639068,137.481081628 -34.4716636799999,137.498563628 -34.6586091799999,137.454127628 -34.896945681,137.447054628 -34.917081681,137.434145628 -34.938890681,137.406372628 -34.956663681,137.384690628 -34.960827681,137.298645628 -34.928890681,137.281490628 -34.906454681,137.193308628 -34.9106906809999,137.135236628 -34.928199681,137.107745628 -34.9295816809999,137.079408628 -34.922499681,137.052181628 -34.9091636809999,137.024081628 -34.902009181,136.977036628 -34.958890681,136.956636628 -35.059654681,136.960390628 -35.0997906809999,136.936645628 -35.1472276809999,136.894145627 -35.1898546809999,136.868363627 -35.202363681,136.831499627 -35.251799681,136.859681627 -35.2911186809999,136.892336627 -35.304027681,136.949827628 -35.2866636809999,136.966899628 -35.269445681,137.007199628 -35.2405546809999,137.027636628 -35.2306906809999,137.053863628 -35.2280546809999,137.076781628 -35.232081681,137.114136628 -35.2447186809999,137.137208628 -35.2486096809999,137.166836628 -35.248190681,137.191081628 -35.235136681,137.205245628 -35.214445681,137.216627628 -35.191099681,137.233563628 -35.178199681,137.421081628 -35.1199906809999,137.459827628 -35.1138906809999,137.532199628 -35.1288816809999,137.566908628 -35.137499681,137.595790628 -35.1497276809999,137.631054628 -35.172572681,137.674408628 -35.181663681,137.748172628 -35.132781681,137.753736628 -35.0941636809999,137.749118628 -35.049727681,137.809690628 -34.8736091809999,137.826908628 -34.8391636809999,137.875518628 -34.7111091799999,137.886654628 -34.6574996799999,137.887281628 -34.6001996799999,137.889145628 -34.52528168,137.924427628 -34.42541868,137.940672628 -34.40721868,137.972745628 -34.38639068,137.989963629 -34.3730546799999,138.019008629 -34.34416368,138.033718629 -34.30187268,138.019618629 -34.28451868,138.006927629 -34.2571546799999,138.068027629 -34.13965468,138.092254629 -34.13492768,138.151918629 -34.2069456799999,138.219681629 -34.31486368,138.235508629 -34.35694568,138.242463629 -34.3830546799999,138.265536629 -34.4586091799999,138.274981629 -34.4801366799999,138.290118629 -34.50069968,138.403045629 -34.6138906799999,138.419981629 -34.6274906799999,138.435245629 -34.64222768,138.496063629 -34.72888168,138.504527629 -34.77326368,138.481081629 -34.8629186809999,138.486354629 -34.893890681,138.498290629 -34.934436681,138.511654629 -35.004999681,138.514163629 -35.0249996809999,138.509154629 -35.045699681,138.491481629 -35.070281681,138.475799629 -35.0891636809999,138.464963629 -35.1130546809999,138.455090629 -35.176936681,138.467472629 -35.2116636809999,138.438781629 -35.343818681,138.285536629 -35.4790276809999,138.258327629 -35.4944456809999,138.216372629 -35.5133366809999,138.194118629 -35.5211086809999,138.153027629 -35.532918681,138.128572629 -35.553609181,138.093154629 -35.619163681,138.137481629 -35.653054681,138.150127629 -35.6608276809999,138.174972629 -35.6695906809999,138.202181629 -35.6713906809999,138.536281629 -35.653472681,138.591081629 -35.622772681,138.610381629 -35.603472681,138.626890629 -35.581390681,138.650545629 -35.563054681,138.721499629 -35.5387546809999,138.777190629 -35.535836681,138.807890629 -35.538336681,138.835508629 -35.5452816809999,138.900545629 -35.5547186809999,138.965518629 -35.5605546809999,138.991136629 -35.557427681,139.035808629 -35.509863681,139.016918629 -35.4902816809999,138.987318629 -35.484999681,138.959472629 -35.475590681,138.949554629 -35.448890681,138.955381629 -35.4279186809999,138.969954629 -35.408472681,138.989818629 -35.3974996809999,139.020672629 -35.390690681,139.05859063 -35.392781681,139.07956363 -35.392781681,139.13469063 -35.379027681,139.18920863 -35.3324996809999,139.21246363 -35.316663681,139.23718163 -35.322227681,139.35660863 -35.3744456809999,139.37308163 -35.470409181,139.36135463 -35.6038906809999,139.33582763 -35.691390681,139.24169963 -35.699927681,139.22607263 -35.682636681,139.23788163 -35.597018681,139.23513663 -35.557254681,139.15969963 -35.503890681,139.13370863 -35.5050726809999,139.09759963 -35.524027681,139.09956363 -35.612509181,139.12324563 -35.637718681,139.15423663 -35.657054681,139.18624563 -35.676554681,139.29580863 -35.7727726809999,139.44802763 -35.8841726809999,139.48855463 -35.9194456819999,139.53888163 -35.967499682,139.56649963 -35.995418682,139.58856363 -36.020836682,139.60412763 -36.0413906819999,139.64971863 -36.146945682,139.66329963 -36.187218682,139.66039963 -36.216245682,139.64303663 -36.1852726819999,139.61218163 -36.125827682,139.58399963 -36.088472682,139.47620863 -35.9597276819999,139.40387263 -35.887218681,139.34329063 -35.839718681,139.13143663 -35.6925546809999,139.10961863 -35.6813366809999,139.08259963 -35.6797636809999,139.18932763 -35.7506366809999,139.28935463 -35.8384456809999,139.32452763 -35.8677816809999,139.37184563 -35.910609682,139.40700863 -35.9436096819999,139.42292763 -35.959190682,139.49435463 -36.0357816819999,139.50869963 -36.0561091819999,139.64803663 -36.2097276819999,139.67358163 -36.254718182,139.82349963 -36.5545816819999,139.82690863 -36.577781682,139.85439963 -36.6349996819999,139.86079063 -36.6608276819999,139.86496363 -36.7322181819999,139.86509963 -36.762218182,139.86175463 -36.794727682,139.85467263 -36.826109182,139.84567263 -36.8440276819999,139.82289063 -36.874581682,139.79318163 -36.8991636819999,139.75191863 -36.921672682,139.73371863 -37.014309183,139.78027263 -37.107781683,139.78303663 -37.1479906829999,139.76380863 -37.1679816829999,139.75137263 -37.199718183,139.79776363 -37.273609183,139.81441863 -37.299727683,139.84133663 -37.3313906829999,139.99383663 -37.4924996829999,140.02546363 -37.489863683,140.04983663 -37.490418683,140.08053663 -37.504445683,140.12135463 -37.530699683,140.238281631 -37.6719456829999,140.335236631 -37.819309183,140.355927631 -37.861663683,140.529972631 -38.000281683,140.586090631 -38.0322186829999,140.671645631 -38.067636684,140.698581631 -38.071945684,140.771790631 -38.0738906839999,140.822327631 -38.0573636839999,140.850645631 -38.054718684,140.939281631 -38.0592996839999,140.968045631 -38.064218684,141.001918631 -38.074172684,141.025818631 -38.0827816839999,141.103572631 -38.113890684,141.125518631 -38.1238906839999,141.146363631 -38.134999684,141.193027631 -38.160554684,141.239681632 -38.1930546839999,141.289427632 -38.2283366839999,141.367463632 -38.2894456839999,141.392627632 -38.3148636839999,141.454127632 -38.3724996839999,141.571345632 -38.417218684,141.650218632 -38.399863684,141.635799632 -38.3674996839999,141.619754632 -38.352981684,141.620163632 -38.321872684,141.679408632 -38.282918684,141.721618632 -38.2705546839999,141.750945632 -38.2670816839999,141.821345632 -38.267499684,141.964690632 -38.292090684,141.987745632 -38.310554684,142.062472632 -38.3555636839999,142.088290632 -38.369718684,142.160381632 -38.400136684,142.227754632 -38.4027816839999,142.250381632 -38.401663684,142.268936632 -38.3846546839999,142.379336633 -38.363890684,142.535245633 -38.4127726839999,142.612181633 -38.455272684,142.741636633 -38.5316726839999,142.758881633 -38.545554684,142.803318633 -38.575972684,142.859954633 -38.5983366839999,142.971636633 -38.6292996839999,143.017627633 -38.6290276839999,143.048172633 -38.637081684,143.096345633 -38.658890684,143.133163633 -38.678472684,143.179963633 -38.7161096839999,143.338854633 -38.757781684,143.387481634 -38.768336684,143.443863634 -38.794445684,143.484127634 -38.834999684,143.505463634 -38.8512456839999,143.542954634 -38.8592366839999,143.673154634 -38.783954684,143.683872634 -38.7538906839999,143.695172634 -38.7402726839999,143.731899634 -38.720272684,143.769436634 -38.714163684,143.842327634 -38.6965276839999,143.905745634 -38.642563684,143.998781634 -38.537154684,144.061645634 -38.484581684,144.363281634 -38.324445684,144.395127634 -38.309581684,144.548599635 -38.283754684,144.570390635 -38.2851456839999,144.599536635 -38.297781684,144.633881635 -38.2997276839999,144.658872635 -38.284999684,144.710508635 -38.222499684,144.721208635 -38.178054684,144.706345635 -38.149163684,144.679290635 -38.136108684,144.637127635 -38.1339546839999,144.609954635 -38.1494456839999,144.590790635 -38.160554684,144.547054635 -38.176108684,144.513027635 -38.1815276839999,144.396227634 -38.1702726839999,144.374545634 -38.162781684,144.362872634 -38.145836684,144.368563634 -38.1265276839999,144.385936634 -38.113054684,144.526918635 -38.1011096839999,144.661099635 -38.0233276829999,144.691227635 -38.003890683,144.746918635 -37.962772683,144.824690635 -37.902499683,144.917681635 -37.868545683,144.948299635 -37.875690683,144.975508635 -37.891945683,145.099254635 -38.043063683,145.114681635 -38.070281684,145.131272635 -38.137009184,145.119127635 -38.1676366839999,144.985018635 -38.3404816839999,144.941072635 -38.3608366839999,144.910799635 -38.369717684,144.880390635 -38.377781684,144.838863635 -38.3838906839999,144.813872635 -38.3830546839999,144.790390635 -38.376945684,144.761108635 -38.377781684,144.901363635 -38.505836684,144.941654635 -38.510836684,145.030399635 -38.497390684,145.213008635 -38.349163684,145.255463635 -38.2376366839999,145.444272635 -38.226936684,145.485518635 -38.248190684,145.555254636 -38.374309184,145.520327636 -38.423117684,145.495527636 -38.4299996839999,145.432190635 -38.452227684,145.416381635 -38.523609184,145.416072635 -38.5458366839999,145.566208636 -38.6651366839999,145.607463636 -38.683609684,145.658527636 -38.6772276839999,145.681918636 -38.6619456839999,145.727872636 -38.6413906839999,145.753599636 -38.639727684,145.784699636 -38.6436186839999,145.816145636 -38.652290684,145.847472636 -38.698609184,145.843018636 -38.705272684,145.834408636 -38.7047181839999,145.823581636 -38.7286091839999,145.904418636 -38.856945684,146.002681636 -38.8633996839999,146.016099636 -38.8322186839999,146.038318636 -38.8212546839999,146.065245636 -38.819999684,146.089145636 -38.8252816839999,146.120654636 -38.8355546839999,146.142345636 -38.8459726839999,146.165799636 -38.862781684,146.193027636 -38.886945684,146.209136636 -38.901936684,146.226627636 -38.9216726839999,146.247054636 -38.9488906839999,146.268581636 -38.981945684,146.319545636 -39.0975726839999,146.346908636 -39.129999685,146.385527636 -39.146663685,146.394136636 -39.147227685,146.407472636 -39.1444456849999,146.425108636 -39.134727685,146.483718636 -39.0762546839999,146.469272636 -38.8056276839999,146.432954636 -38.7926366839999,146.419127636 -38.8252816839999,146.412063636 -38.853117684,146.296490636 -38.916563684,146.184690636 -38.757436684,146.219272636 -38.715972684,146.236908636 -38.706109684,146.261108636 -38.702227684,146.352736636 -38.697845684,146.431090636 -38.7172186839999,146.501645636 -38.7005546839999,146.649845637 -38.673745684,146.835727637 -38.660136684,146.873563637 -38.651663684,146.969418637 -38.585272684,146.988145637 -38.569581684,147.114408637 -38.4547186839999,147.185590637 -38.388263684,147.213008637 -38.3630636839999,147.372463637 -38.238054684,147.429690637 -38.194718684,147.541072637 -38.1133366839999,147.587736637 -38.083063684,147.654690638 -38.042499683,147.734127638 -37.996390683,147.759154638 -37.982499683,147.846345638 -37.945272683,147.936918638 -37.911109683,147.963990638 -37.902363683,148.206908638 -37.8397186829999,148.281372638 -37.826109683,148.309145638 -37.821672683,148.493836638 -37.811672683,148.658599638 -37.8166636829999,148.753054639 -37.811945683,148.774845639 -37.805690683,148.826218639 -37.797781683,149.080263639 -37.7927816829999,149.254699639 -37.793618683,149.309418639 -37.795281683,149.457181639 -37.783336683,149.505245639 -37.758609683,149.562763639 -37.737227683,149.578645639 -37.7355726829999,149.672818639 -37.6963906829999,149.746608639 -37.5988816829999,149.785518639 -37.560418683,149.82358164 -37.5583366829999,149.89941864 -37.552081683,149.97163664 -37.522218183,149.97775464 -37.5126726829999,149.97953664 -37.501109183,149.97649964 -37.4737456829999,149.95621864 -37.4293091829999,149.94941864 -37.398336683,149.94789064 -37.281872683,149.98980864 -37.256809683,150.01913664 -37.2644546829999,150.01971864 -37.2313816829999,150.00651864 -37.161799683,149.94669964 -37.1165996829999,149.90664564 -37.069172683,149.90246364 -36.923336682,149.93856364 -36.857227682,149.96637264 -36.794727682,149.97967264 -36.7609726819999,150.02331864 -36.628054682,150.05163664 -36.501663682,150.06579964 -36.4277816819999,150.07719064 -36.388890682,150.09843664 -36.3605546819999,150.13559064 -36.3281276819999,150.14420864 -36.258054682,150.13748164 -36.1116726819999,150.16247264 -35.940554682,150.27527264 -35.735836681,150.35580864 -35.5949996809999,150.40664564 -35.527781681,150.48023664 -35.3531906809999,150.48579064 -35.310836681,150.54025464 -35.2266636809999,150.55656364 -35.2124996809999,150.61719064 -35.188327681,150.64749064 -35.178609681,150.70330864 -35.1269456809999,150.67746364 -35.0758366809999,150.68518164 -35.042190681,150.74864564 -35.009863681,150.77539064 -35.012018681,150.78935464 -35.058327681,150.77691864 -35.078399681,150.80970864 -35.107636681,150.83676364 -35.0883996809999,150.85196364 -35.021563681,150.78191864 -34.961672681,150.74689964 -34.877499681,150.75609964 -34.8377726809999,150.76693664 -34.8195816799999,150.78248164 -34.80471868,150.80094564 -34.7962546799999,150.83134564 -34.7859726799999,150.873563641 -34.66110918,150.881345641 -34.5991636799999,150.875245641 -34.58416368,150.84051864 -34.55833668,150.934145641 -34.3316726799999,150.959963641 -34.29833668,150.976345641 -34.2774996799999,151.023799641 -34.22194568,151.063872641 -34.19249968,151.085099641 -34.17999968,151.114118641 -34.1663906799999,151.195263641 -34.0568186799999,151.155045641 -34.0257276799999,151.099718641 -34.0137906799999,151.178318641 -33.9874996799999,151.236636641 -33.99266368,151.272763641 -33.96944568,151.296936641 -33.89749968,151.340236641 -33.628609179,151.454699641 -33.500699679,151.486818641 -33.3935456789999,151.467390641 -33.375136679,151.444745641 -33.362218679,151.454563641 -33.316809679,151.501918641 -33.285281679,151.528736641 -33.276799679,151.552418641 -33.282363679,151.574127641 -33.2672186789999,151.593845641 -33.2347276789999,151.630527641 -33.164445679,151.668990641 -33.069999679,151.812136641 -32.8887546789999,151.837599641 -32.872218679,151.952754642 -32.8270816789999,151.996608642 -32.8130546789999,152.144718642 -32.7705546789999,152.119418642 -32.7252726789999,152.127445642 -32.682218678,152.227445642 -32.631381678,152.280818642 -32.601390678,152.327754642 -32.552781678,152.355808642 -32.528336678,152.377163642 -32.5113906779999,152.396945642 -32.5008366779999,152.529690642 -32.403609178,152.541354642 -32.2636186779999,152.511854642 -32.131045678,152.557463642 -32.029163678,152.593563642 -31.984163678,152.624663642 -31.9488906779999,152.649990642 -31.922499678,152.664699642 -31.907499678,152.684418642 -31.889999678,152.760254642 -31.810554678,152.828308642 -31.704445678,152.848845642 -31.656663678,152.861636642 -31.606663677,152.886381642 -31.539172677,152.954127642 -31.3594456769999,152.973018642 -31.243327677,153.052463643 -31.034999677,153.074981643 -30.948609177,153.057063643 -30.8876366769999,153.021636643 -30.883890677,153.005554642 -30.835281677,153.003872642 -30.8136091769999,153.003736642 -30.784445677,153.005245642 -30.720836677,153.013308643 -30.609163677,153.018581643 -30.5686091769999,153.032627643 -30.514027676,153.138027643 -30.258890676,153.170254643 -30.2049996759999,153.204954643 -30.114727676,153.253872643 -29.9524996759999,153.292208643 -29.7813906759999,153.346618643 -29.5291636759999,153.365508643 -29.3983366749999,153.359618643 -29.3780546749999,153.341281643 -29.3565276749999,153.337618643 -29.3283366749999,153.345245643 -29.3004186749999,153.356081643 -29.271945675,153.434145643 -29.075554675,153.448027643 -29.0437546749999,153.475936643 -29.002363675,153.491908643 -28.9824996749999,153.518581643 -28.950272675,153.532745643 -28.935272675,153.561918643 -28.912781675,153.579127643 -28.897363675,153.605999643 -28.8621546749999,153.624190643 -28.6610366749999,153.606899643 -28.634999675,153.591354643 -28.621808675,153.578445643 -28.605554675,153.570663643 -28.583890675,153.562745643 -28.5299996749999,153.559690643 -28.491663675,153.562190643 -28.459445675,153.569427643 -28.437499675,153.576918643 -28.406945675,153.584408643 -28.362081674,153.591490643 -28.273890674,153.577608643 -28.207918674,153.555736643 -28.1830546739999,153.526308643 -28.1766636739999,153.505954643 -28.150109174,153.489118643 -28.139163674,153.460236643 -28.092781674,153.450236643 -28.074863674,153.410245643 -27.981945674,153.423872643 -27.913745674,153.432736643 -27.8483366739999,153.403318643 -27.777227674,153.377445643 -27.7527816739999,153.318727643 -27.671245674,153.312190643 -27.6461091739999,153.304690643 -27.6049996739999,153.268308643 -27.502499674,153.256099643 -27.479718674,153.174681643 -27.388890674,153.090236643 -27.333336674,153.064836643 -27.313336673,153.034563643 -27.176663673,153.039981643 -27.164999673,153.055818643 -27.1377816729999,153.070527643 -27.1198636729999,153.095654643 -27.100418673,153.157199643 -27.0827816729999,153.155818643 -26.955272673,153.143036643 -26.729999673,153.131072643 -26.6841636729999,153.115154643 -26.6694456729999,153.104127643 -26.5063906729999,153.090299643 -26.373336673,153.076218643 -26.347636673,153.072054643 -26.308472673,153.090518643 -26.2183276719999,153.100527643 -26.179163672,153.137481643 -26.067781672,153.185518643 -25.973327672,153.181918643 -25.949445672,153.099699643 -25.9097186719999,153.064699643 -25.9005546719999,153.037890643 -25.890554672,153.023027643 -25.836809172,152.984027642 -25.771809172,152.953508642 -25.7641636719999,152.920536642 -25.735418672,152.898590642 -25.679163672,152.893327642 -25.5623636719999,152.934281642 -25.524727672,152.946627642 -25.436390672,152.907818642 -25.288890672,152.854127642 -25.2822186719999,152.809008642 -25.282636672,152.722472642 -25.261108672,152.671490642 -25.2451366719999,152.561099642 -25.0874996709999,152.526090642 -25.0355546709999,152.507754642 -24.997772671,152.497590642 -24.972636671,152.493563642 -24.9358366709999,152.496899642 -24.9116636709999,152.497727642 -24.877363671,152.487590642 -24.842081671,152.468018642 -24.812218671,152.445527642 -24.784581671,152.418308642 -24.760281671,152.390118642 -24.7445816709999,152.345381642 -24.737636671,152.311645642 -24.726945671,152.277190642 -24.7099996709999,152.203563642 -24.6672186709999,152.131772642 -24.6081906709999,152.052463642 -24.5036091709999,152.024690642 -24.453890671,152.009981642 -24.426390671,152.001354642 -24.4073636709999,151.987727642 -24.364999671,151.981218642 -24.3372276709999,151.944427642 -24.2355546709999,151.933445641 -24.217918671,151.906099641 -24.194445671,151.880799641 -24.1811086709999,151.788027641 -24.0988906709999,151.683872641 -23.9888906699999,151.639845641 -23.9773636699999,151.616072641 -23.99826367,151.614136641 -24.0527816699999,151.565518641 -24.096808671,151.537963641 -24.08631867,151.531372641 -24.05847267,151.540254641 -24.04583667,151.546572641 -24.03597267,151.492763641 -23.99736367,151.462799641 -23.9954186699999,151.424136641 -23.97860867,151.396945641 -23.94889067,151.318299641 -23.85833667,151.271654641 -23.8276366699999,151.238981641 -23.82791867,151.168045641 -23.7924996699999,151.155454641 -23.7717366699999,151.142345641 -23.70639067,151.120236641 -23.66513667,151.052136641 -23.61722767,151.041445641 -23.5826366699999,151.023181641 -23.55652767,150.948436641 -23.54618167,150.867190641 -23.50499967,150.80039964 -23.38069067,150.79748164 -23.33555467,150.80496364 -23.3077816699999,150.81219064 -23.2380546699999,150.75575464 -23.1303456699999,150.77136364 -22.976109169,150.79107264 -22.856945669,150.80440864 -22.781390669,150.81911864 -22.731945669,150.74219064 -22.6288906689999,150.68359064 -22.553609169,150.67580864 -22.5048996689999,150.70553664 -22.4413906689999,150.63455464 -22.343054669,150.56191864 -22.3311091689999,150.53442764 -22.383472669,150.53532764 -22.4586816689999,150.59301864 -22.5861086689999,150.55773664 -22.5769456689999,150.47994564 -22.5386086689999,150.41899064 -22.5005546689999,150.39442764 -22.473890669,150.32189964 -22.437499669,150.23751864 -22.409299669,150.20038164 -22.391663669,150.18580864 -22.3747186689999,150.18711864 -22.3424996689999,150.15524564 -22.272227669,150.07899064 -22.162781669,150.04372764 -22.149027669,149.99955464 -22.160281669,149.97552764 -22.1817996689999,149.95996364 -22.2083366689999,149.92137264 -22.303336669,149.92080864 -22.350554669,149.95330864 -22.410827669,149.98635464 -22.475554669,150.01220864 -22.545836669,150.03829964 -22.641008669,149.97689964 -22.5861086689999,149.97717264 -22.570836669,149.96772764 -22.547154669,149.81465464 -22.383918669,149.78942764 -22.4223636689999,149.736354639 -22.4633366689999,149.712736639 -22.4784726689999,149.669481639 -22.4951726689999,149.699481639 -22.452499669,149.703172639 -22.3804186689999,149.696636639 -22.350554669,149.653318639 -22.3180546689999,149.589963639 -22.2333276689999,149.520808639 -22.077227669,149.469972639 -21.912218668,149.429963639 -21.7731906679999,149.441654639 -21.629445668,149.443027639 -21.582499668,149.385527639 -21.531390668,149.328581639 -21.437781668,149.294436639 -21.3397186679999,149.289427639 -21.318609168,149.239963639 -21.278618668,149.204954639 -21.1544456679999,149.214690639 -21.079999668,149.160518639 -21.0152816679999,149.028318639 -20.9186086679999,148.921354639 -20.8830546679999,148.849699639 -20.836108667,148.729127639 -20.717499667,148.691654638 -20.624445667,148.667208638 -20.561672667,148.741054639 -20.475827667,148.790254639 -20.456945667,148.830536639 -20.474999667,148.855808639 -20.508054667,148.878572639 -20.5213906669999,148.909145639 -20.5344456669999,148.934418639 -20.534727667,148.904008639 -20.4547906669999,148.890808639 -20.453608667,148.866672639 -20.444827667,148.835999639 -20.388336667,148.803318639 -20.276672667,148.768890639 -20.2324636669999,148.673036638 -20.216108667,148.637481638 -20.182781667,148.564145638 -20.1211086669999,148.522218638 -20.0880546669999,148.452990638 -20.063609167,148.439272638 -20.0985456669999,148.470445638 -20.1256276669999,148.466354638 -20.1845086669999,148.413454638 -20.2063906669999,148.333863638 -20.1452816669999,148.274690638 -20.0766636669999,148.266590638 -20.049790667,148.298781638 -20.0379186669999,148.269718638 -19.9911091669999,148.219972638 -19.947218667,148.096927638 -19.913054667,148.002918638 -19.9195816669999,147.971772638 -19.9186086669999,147.942608638 -19.9118086669999,147.911927638 -19.8938906669999,147.863572638 -19.850836667,147.851345638 -19.816245667,147.851136638 -19.740136666,147.821836638 -19.7106906659999,147.761363638 -19.7099996659999,147.754154638 -19.744999666,147.762208638 -19.8036091669999,147.770108638 -19.8262546669999,147.724136638 -19.836945667,147.669554638 -19.824718667,147.618563637 -19.7731906659999,147.594972637 -19.7272186659999,147.587736637 -19.676390666,147.576081637 -19.621390666,147.565799637 -19.5758366659999,147.555254637 -19.5354186659999,147.458863637 -19.369999666,147.427181637 -19.3249996659999,147.401490637 -19.3079546659999,147.421908637 -19.341945666,147.438308637 -19.363472666,147.446499637 -19.3827091659999,147.431918637 -19.412363666,147.253327637 -19.425827666,147.139436637 -19.402781666,147.117736637 -19.390281666,147.072208637 -19.342781666,146.953581637 -19.3058366659999,146.885790637 -19.302990666,146.814699637 -19.243054666,146.763599637 -19.1868091659999,146.737745637 -19.1811816659999,146.699127637 -19.1935366659999,146.654418637 -19.183890666,146.634427637 -19.1752816659999,146.565245636 -19.143608666,146.448027636 -19.0711086659999,146.423581636 -19.0255546659999,146.379672636 -18.998054666,146.335663636 -18.960418666,146.277618636 -18.887018666,146.268172636 -18.853609166,146.281081636 -18.747218666,146.290799636 -18.710554665,146.304408636 -18.681390665,146.326218636 -18.6473636649999,146.332181636 -18.617499665,146.337463636 -18.5669456649999,146.333572636 -18.5356276649999,146.293308636 -18.514445665,146.257199636 -18.5111086649999,146.228299636 -18.504999665,146.211908636 -18.491663665,146.023318636 -18.268890665,146.009427636 -18.2380546649999,146.001372636 -18.176109165,146.001645636 -18.142218665,146.037199636 -18.050836665,146.063154636 -18.005418665,146.079054636 -17.986799665,146.093990636 -17.9558366649999,146.100799636 -17.889718665,146.086090636 -17.7872276649999,146.104263636 -17.691663665,146.085508636 -17.552781664,146.031918636 -17.364445664,145.953854636 -17.188609164,145.882808636 -17.071736664,145.878154636 -17.040418664,145.896090636 -16.9980546639999,145.911099636 -16.9716636639999,145.955445636 -16.899090664,145.931836636 -16.871036664,145.838854636 -16.8862456639999,145.806090636 -16.913054664,145.773454636 -16.885136664,145.728299636 -16.816390664,145.668308636 -16.736945664,145.616363636 -16.6986086639999,145.509427636 -16.561109163,145.464418635 -16.5022276629999,145.411499635 -16.4702086629999,145.402054635 -16.440972663,145.408863635 -16.338190663,145.418990635 -16.3202816629999,145.446208635 -16.2874996629999,145.462327635 -16.0830546629999,145.449827635 -16.037918663,145.409972635 -15.9647186629999,145.395108635 -15.944445663,145.376345635 -15.9312546629999,145.359190635 -15.915418663,145.353027635 -15.885836663,145.357181635 -15.8188906629999,145.361636635 -15.7622186629999,145.359545635 -15.734309163,145.304963635 -15.554718663,145.277772635 -15.489445662,145.248563635 -15.4463906619999,145.289427635 -15.331109162,145.285518635 -15.304445662,145.276918635 -15.256945662,145.237727635 -15.193054662,145.233990635 -15.159727662,145.234272635 -15.134445662,145.243008635 -15.104999662,145.254972635 -15.0827816619999,145.271363635 -15.056390662,145.284699635 -15.034999662,145.309708635 -15.004445662,145.315799635 -14.945554662,145.206363635 -14.8624996619999,145.075863635 -14.803172662,144.995508635 -14.768608662,144.959336635 -14.7537546619999,144.940245635 -14.7334726619999,144.932327635 -14.689718662,144.896608635 -14.618227662,144.849818635 -14.616527662,144.828172635 -14.613890662,144.783599635 -14.598054662,144.676772635 -14.5573636619999,144.614545635 -14.484718662,144.566927635 -14.358472661,144.567608635 -14.303890661,144.578581635 -14.263190661,144.559145635 -14.229999661,144.515945635 -14.171663661,144.476208635 -14.1630546609999,144.471072635 -14.188890661,144.462327635 -14.2115276609999,144.449127635 -14.236663661,144.435108635 -14.254027661,144.389163634 -14.2805546609999,144.341918634 -14.301390661,144.153590634 -14.3799996609999,144.092327634 -14.437218662,144.011854634 -14.4877086619999,143.963290634 -14.4936086619999,143.934418634 -14.491945662,143.887618634 -14.487218662,143.860381634 -14.4783366619999,143.816072634 -14.449445662,143.797763634 -14.4324996619999,143.782199634 -14.413336661,143.773036634 -14.395281661,143.737045634 -14.3191636609999,143.711908634 -14.2394456609999,143.698499634 -14.185381661,143.703308634 -14.1424996609999,143.693845634 -14.0699996609999,143.685727634 -14.0232636609999,143.669281634 -14.002918661,143.639972634 -13.9802816609999,143.616054634 -13.955836661,143.601345634 -13.9361091609999,143.545536634 -13.802227661,143.530808634 -13.756390661,143.553318634 -13.641672661,143.578036634 -13.561390661,143.586636634 -13.526109161,143.594681634 -13.4320091609999,143.568590634 -13.3774996609999,143.544845634 -13.3645086609999,143.528590634 -13.34055466,143.521636634 -13.30416366,143.516936634 -13.2691636599999,143.498290634 -13.09860916,143.500654634 -13.07312766,143.505554634 -13.04444566,143.509981634 -13.00166366,143.514163634 -12.87916366,143.504427634 -12.85916366,143.475527634 -12.8627816599999,143.405818634 -12.8704186599999,143.362318634 -12.8488906599999,143.360227634 -12.82805466,143.366481634 -12.78028166,143.375108634 -12.7427816599999,143.391508634 -12.71374566,143.411099634 -12.6777816599999,143.429981634 -12.6168091599999,143.413181634 -12.59333666,143.361545634 -12.5661816599999,143.323854633 -12.56291866,143.279345633 -12.5176366599999,143.271927633 -12.48986366,143.276990633 -12.4590996599999,143.275818633 -12.4130546599999,143.248581633 -12.38312766,143.222472633 -12.3769456599999,143.211763633 -12.36416366,143.160190633 -12.3407636599999,143.128981633 -12.3490276599999,143.077472633 -12.3342996599999,143.074981633 -12.29222766,143.081908633 -12.2249996589999,143.102172633 -12.140281659,143.147218633 -12.0672186589999,143.161099633 -12.045836659,143.199127633 -11.987499659,143.131499633 -11.9148636589999,143.103299633 -11.9036086589999,143.082608633 -11.906390659,143.060672633 -11.918472659,143.037472633 -11.9327816589999,143.014281633 -11.936527659,142.988281633 -11.9355546589999,142.968718633 -11.927363659,142.878018633 -11.858608659,142.859818633 -11.833190659,142.860508633 -11.778054659,142.866363633 -11.7422186589999,142.867463633 -11.7158366589999,142.856354633 -11.6230546589999,142.840099633 -11.511254659,142.865936633 -11.391254659,142.860781633 -11.3616636589999,142.804136633 -11.1672276579999,142.788299633 -11.0805546579999,142.744827633 -10.9865276579999,142.724408633 -10.962918658,142.608981633 -10.872499658,142.572681633 -10.870209158,142.554136633 -10.8902816579999,142.530608633 -10.935481658,142.509290633 -10.9502816579999,142.516299633 -10.8582636579999,142.582263633 -10.7984186579999,142.613145633 -10.7507636579999,142.556636633 -10.721663658,142.518863633 -10.706663658,142.444427633 -10.7097186579999,142.423999633 -10.740972658,142.416927633 -10.768890658,142.411927633 -10.7959726579999,142.399554633 -10.8219456579999,142.343018633 -10.8954186579999,142.304408633 -10.907781658,142.211499632 -10.9233366579999,142.184672632 -10.922918658,142.147690632 -10.949163658,142.138172632 -10.9736091579999,142.147418632 -11.024727658,142.152890632 -11.051245658,142.156918632 -11.092499658,142.158872632 -11.1238906579999,142.158872632 -11.1494456579999,142.129118632 -11.336945659,142.122863632 -11.372636659,142.100254632 -11.4469456589999,142.081908632 -11.4855546589999,142.055818632 -11.550281659,141.968854632 -11.808472659,141.957736632 -11.850836659,141.946627632 -11.924445659,141.950518632 -11.965399659,141.978572632 -11.981245659,142.031645632 -12.043545659,142.023663632 -12.0677816589999,141.916927632 -12.088890659,141.891081632 -11.994445659,141.892436632 -11.968999659,141.849118632 -11.988472659,141.820118632 -12.028190659,141.805390632 -12.0516636589999,141.759981632 -12.1788906589999,141.775818632 -12.2136091589999,141.753054632 -12.246663659,141.688290632 -12.33194566,141.668854632 -12.3819456599999,141.660245632 -12.4013906599999,141.621890632 -12.48249966,141.606690632 -12.50929066,141.594118632 -12.5316636599999,141.592390632 -12.5545186599999,141.626890632 -12.5695816599999,141.685245632 -12.55166366,141.661436632 -12.53194566,141.653736632 -12.50971866,141.662199632 -12.4511096599999,141.728027632 -12.45555466,141.747608632 -12.46971866,141.717745632 -12.49332766,141.727754632 -12.51278166,141.768863632 -12.56999966,141.839354632 -12.67249966,141.883863632 -12.7041636599999,141.940308632 -12.86499966,141.931918632 -12.90721866,141.889981632 -12.84360916,141.891099632 -12.82139066,141.892763632 -12.79652766,141.889418632 -12.7634726599999,141.856763632 -12.70933666,141.822872632 -12.69174566,141.796918632 -12.6912456599999,141.790681632 -12.71958166,141.766863632 -12.7930546599999,141.747745632 -12.82444566,141.723018632 -12.8552816599999,141.708590632 -12.87097266,141.642118632 -12.91104566,141.606763632 -12.9345816599999,141.593845632 -12.9574996599999,141.585663632 -12.9863906599999,141.630918632 -13.15944566,141.650799632 -13.19319066,141.677272632 -13.21007266,141.686627632 -13.2329186599999,141.688718632 -13.25402766,141.683163632 -13.28097266,141.612454632 -13.4147186609999,141.561008632 -13.492290661,141.541927632 -13.5327816609999,141.517763632 -13.6043091609999,141.504699632 -13.650281661,141.497463632 -13.679999661,141.479672632 -13.7672276609999,141.473845632 -13.7969456609999,141.468845632 -13.828054661,141.465790632 -13.868327661,141.465790632 -13.897081661,141.469545632 -13.9258366609999,141.477463632 -13.9484726609999,141.501918632 -13.985554661,141.522627632 -14.009445661,141.551636632 -14.0322186609999,141.578172632 -14.065418661,141.593018632 -14.1044456609999,141.600108632 -14.1437546609999,141.599118632 -14.1924996609999,141.593172632 -14.255554661,141.586345632 -14.2797186609999,141.566072632 -14.3233366609999,141.545254632 -14.3736091609999,141.536099632 -14.398609161,141.522063632 -14.4491636619999,141.520954632 -14.4812456619999,141.566499632 -14.763609162,141.595245632 -14.861663662,141.606763632 -14.894445662,141.618008632 -14.914163662,141.632445632 -14.938054662,141.658736632 -14.9934726619999,141.665527632 -15.026527662,141.634563632 -15.149309162,141.571627632 -15.278609162,141.471618632 -15.504445663,141.460508632 -15.5361091629999,141.435790632 -15.654999663,141.431636632 -15.6791636629999,141.422763632 -15.741945663,141.400545632 -15.9058366629999,141.426572632 -16.074372663,141.413299632 -16.1072276629999,141.350254632 -16.2563906629999,141.326908632 -16.3319456629999,141.315518632 -16.3574996629999,141.298199632 -16.4486816629999,141.286099632 -16.503336663,141.268863632 -16.543054663,141.214281632 -16.667781664,141.194427631 -16.703890664,141.178863631 -16.7249996639999,141.051090631 -16.883890664,140.972472631 -16.9813906639999,140.956908631 -17.001109164,140.947754631 -17.023190664,140.954818631 -17.059509164,140.952454631 -17.096945664,140.942199631 -17.1511091639999,140.885799631 -17.359718664,140.877445631 -17.378336664,140.859681631 -17.411109164,140.833299631 -17.4519456639999,140.810945631 -17.4583366639999,140.785808631 -17.4634726639999,140.758027631 -17.4777726639999,140.661099631 -17.548336664,140.637754631 -17.5669456639999,140.619963631 -17.579999664,140.534145631 -17.624445664,140.494963631 -17.6408366639999,140.396636631 -17.673336665,140.374390631 -17.6797186649999,140.132172631 -17.7191636649999,140.05858163 -17.718472665,140.01858163 -17.7127726649999,139.97933663 -17.697218665,139.95190863 -17.665972665,139.88271863 -17.6141636639999,139.81414563 -17.5752816639999,139.78027263 -17.570881664,139.74633663 -17.5638906639999,139.69247263 -17.5497276639999,139.66498163 -17.541945664,139.64166363 -17.534581664,139.61648163 -17.5208366639999,139.58871863 -17.4891636639999,139.53546363 -17.441736664,139.43719063 -17.379163664,139.41212763 -17.3713186639999,139.37383663 -17.371663664,139.33663663 -17.367772664,139.28359963 -17.354172664,139.26052763 -17.3424996639999,139.24410863 -17.329163664,139.21300863 -17.2971546639999,139.16275463 -17.203054664,139.15081863 -17.1688906639999,139.14582763 -17.147218664,139.14303663 -17.1237546639999,139.14135463 -17.0741726639999,139.031081629 -16.9148636639999,139.010545629 -16.899163664,138.987454629 -16.8902816639999,138.934145629 -16.885272664,138.906918629 -16.884999664,138.867736629 -16.8805546639999,138.843290629 -16.875836664,138.687336629 -16.812636664,138.658999629 -16.788054664,138.639545629 -16.7793086639999,138.589690629 -16.7836086639999,138.514163629 -16.7883366639999,138.486908629 -16.787781664,138.466918629 -16.785281664,138.435245629 -16.778890664,138.290799629 -16.742499664,138.194827629 -16.707363664,138.147490629 -16.6758276639999,138.118836629 -16.654718664,138.066654629 -16.6147276639999,138.000272629 -16.554718663,137.971345628 -16.527227663,137.933872628 -16.493608663,137.886654628 -16.456663663,137.858836628 -16.4380546629999,137.816227628 -16.3740276629999,137.791499628 -16.327636663,137.773863628 -16.300554663,137.737672628 -16.251736663,137.646636628 -16.2080546629999,137.585236628 -16.187781663,137.543727628 -16.1748636629999,137.512618628 -16.175690663,137.488299628 -16.176390663,137.434145628 -16.156390663,137.369127628 -16.127636663,137.339145628 -16.1074996629999,137.302063628 -16.0802816629999,137.281372628 -16.061945663,137.136654628 -15.9686086629999,137.030545628 -15.914718663,136.920536628 -15.906390663,136.860781627 -15.912218663,136.765808627 -15.9044456629999,136.717472627 -15.863190663,136.671081627 -15.800281663,136.598299627 -15.7391636629999,136.568572627 -15.7183366629999,136.457454627 -15.658054663,136.341063627 -15.611945663,136.319963627 -15.603054663,136.279636627 -15.567363663,136.265118627 -15.540418663,136.252772627 -15.4752816619999,136.241072627 -15.4184726619999,136.212190627 -15.394445662,136.056636627 -15.315554662,135.944545627 -15.259445662,135.936918627 -15.253608662,135.915408627 -15.226799662,135.882172627 -15.196945662,135.851899627 -15.1774996619999,135.670536626 -15.064445662,135.608581626 -15.044999662,135.588290626 -15.039163662,135.542890626 -15.019308662,135.476408626 -14.9645816619999,135.451354626 -14.932781662,135.434008626 -14.902363662,135.412199626 -14.8508366619999,135.405545626 -14.8302816619999,135.372745626 -14.728890662,135.413299626 -14.7294456619999,135.505827626 -14.6694456619999,135.538299626 -14.646663662,135.531372626 -14.6192366619999,135.540527626 -14.573609162,135.551363626 -14.549163662,135.561372626 -14.530836662,135.621354626 -14.4374996619999,135.752772626 -14.271109161,135.773727626 -14.249718661,135.803863626 -14.230836661,135.869127627 -14.194581661,135.896945627 -14.142781661,135.908327627 -14.0674996609999,135.924681627 -13.961945661,135.988554627 -13.866663661,136.020263627 -13.7624996609999,136.025818627 -13.687781661,136.008045627 -13.7155546609999,135.982608627 -13.735836661,135.960236627 -13.746663661,135.927399627 -13.748954661,135.888990627 -13.7286816609999,135.845790627 -13.603890661,135.844272627 -13.581109161,135.864136627 -13.491663661,135.908599627 -13.455836661,135.934963627 -13.396945661,135.894636627 -13.366036661,135.891508627 -13.33847266,135.927263627 -13.27784566,135.993290627 -13.22471866,136.097199627 -13.1847186599999,136.145599627 -13.2034726599999,136.159699627 -13.2420816599999,136.200236627 -13.23916366,136.243563627 -13.20528166,136.286099627 -13.1663906599999,136.309018627 -13.1004186599999,136.325454627 -13.0613186599999,136.356627627 -13.05375466,136.371827627 -13.06916366,136.371063627 -13.1744456599999,136.367736627 -13.2472186599999,136.408445627 -13.2393096599999,136.448854627 -13.22048166,136.458008627 -13.25249966,136.476627627 -13.21221866,136.528318627 -13.1499996599999,136.545254627 -13.05499966,136.546081627 -12.95805466,136.484345627 -12.8459456599999,136.494418627 -12.7791636599999,136.620790627 -12.82528166,136.643581627 -12.7041636599999,136.745236627 -12.54416366,136.803863627 -12.47749966,136.957454628 -12.38166366,136.978363628 -12.3581636599999,136.931090628 -12.28360916,136.876399627 -12.222709159,136.775408627 -12.171736659,136.693999627 -12.191527659,136.688308627 -12.2108996589999,136.722736627 -12.2159726589999,136.754054627 -12.2342996589999,136.757199627 -12.256254659,136.718563627 -12.2833996599999,136.673236627 -12.2845186599999,136.615781627 -12.206663659,136.601899627 -12.1830546589999,136.539154627 -12.009727659,136.562190627 -11.9344456589999,136.451081627 -11.954163659,136.281645627 -12.0655546589999,136.177745627 -12.166945659,136.181918627 -12.191527659,136.242954627 -12.217154659,136.290390627 -12.2134726589999,136.312618627 -12.206390659,136.337463627 -12.205690659,136.363918627 -12.2397186589999,136.349118627 -12.29110916,136.293727627 -12.41430866,136.240154627 -12.4549996599999,136.171018627 -12.46118166,136.156845627 -12.43763666,136.081081627 -12.44555466,136.049136627 -12.4599996599999,136.039699627 -12.4716636599999,136.034145627 -12.46971866,136.010527627 -12.44472766,135.983154627 -12.37791866,136.063472627 -12.2641276589999,136.045945627 -12.2340276589999,136.015681627 -12.245836659,135.998718627 -12.264163659,135.971836627 -12.2677086589999,135.938090627 -12.2172546589999,136.023036627 -12.111945659,135.883572627 -12.1518086589999,135.801227626 -12.2183366589999,135.786363626 -12.258754659,135.735508626 -12.2808366589999,135.688718626 -12.237499659,135.674699626 -12.214581659,135.669145626 -12.190836659,135.673445626 -12.159509159,135.788299626 -12.043609159,135.745999626 -11.994509659,135.855527627 -11.8944456589999,135.916381627 -11.8524996589999,135.946627627 -11.8041636589999,135.935390627 -11.7848636589999,135.912754627 -11.765554659,135.876345627 -11.764790659,135.882263627 -11.794581659,135.880463627 -11.8349996589999,135.838008627 -11.872499659,135.753536626 -11.9350546589999,135.733154626 -11.940836659,135.708454626 -11.935972659,135.685790626 -11.933336659,135.593227626 -11.9577091589999,135.572399626 -12.033054659,135.582536626 -12.0577816589999,135.612181626 -12.039718659,135.639281626 -12.024654659,135.662754626 -12.037218659,135.586090626 -12.0983366589999,135.437808626 -12.1152816589999,135.419490626 -12.102008659,135.379672626 -12.0902726589999,135.328308626 -12.1116636589999,135.266936626 -12.171945659,135.241908626 -12.2238906589999,135.226072626 -12.275554659,135.231354626 -12.29444566,135.192472626 -12.276945659,135.083863626 -12.266663659,134.997190626 -12.196390659,134.906918626 -12.141390659,134.870654626 -12.131663659,134.801363626 -12.043336659,134.771381626 -11.995836659,134.672681625 -12.0011816589999,134.598572625 -12.0563906589999,134.516081625 -12.066663659,134.494554625 -12.067499659,134.421081625 -12.0587546589999,134.394718625 -12.050281659,134.369963625 -12.037781659,134.206636625 -12.061663659,134.187745625 -12.046108659,134.173854625 -11.9658366589999,134.185518625 -11.946390659,134.050399625 -11.844445659,134.027345625 -11.847918659,134.015118625 -11.8642996589999,133.998090625 -11.886454659,133.942672625 -11.912290659,133.871063625 -11.882772659,133.839399625 -11.8541636589999,133.834881625 -11.829790659,133.850099625 -11.806109659,133.919436625 -11.767227659,133.908327625 -11.736109159,133.832181625 -11.7174996589999,133.799427625 -11.7183366589999,133.783599625 -11.748608659,133.762208625 -11.7676366589999,133.665254624 -11.8194456589999,133.616772624 -11.834581659,133.548854624 -11.832781659,133.407199624 -11.7741726589999,133.356690624 -11.701418659,133.307463624 -11.6994456589999,133.251372624 -11.736945659,133.238281624 -11.734999659,133.204408624 -11.7249996589999,133.183045624 -11.7166636589999,133.161908624 -11.7036086589999,133.146236624 -11.6877816589999,133.099118624 -11.610836659,133.073227624 -11.559863659,133.051908624 -11.502499659,132.996508624 -11.419718659,132.942472624 -11.361945659,132.918027624 -11.336945659,132.874681624 -11.3333636589999,132.834136624 -11.400281659,132.772490624 -11.4838906589999,132.726345624 -11.519518659,132.671981624 -11.508127659,132.649699624 -11.4902816589999,132.513599623 -11.308472659,132.503445623 -11.2644456589999,132.458590623 -11.218054659,132.340518623 -11.130136658,132.276090623 -11.1636086579999,132.181227623 -11.131799658,132.146681623 -11.139999658,132.170254623 -11.1913906579999,132.192472623 -11.222218659,132.235508623 -11.355281659,132.204954623 -11.4097276589999,132.165936623 -11.406454659,132.090236623 -11.2299996589999,132.005245623 -11.135836658,131.984327623 -11.1274276579999,131.874118623 -11.1772276579999),(132.502199623 -11.0513906579999,132.512481623 -11.1430546579999,132.531645623 -11.218054659,132.566654623 -11.313609659,132.578308623 -11.3283366589999,132.591336623 -11.342781659,132.596072623 -11.344718659,132.624545624 -11.276254659,132.626063624 -11.2249996589999,132.626345624 -11.177781658,132.613590624 -11.114445658,132.595245623 -11.064999658,132.578854623 -11.022499658,132.502199623 -11.0513906579999),(136.178318627 -11.6877816589999,136.182736627 -11.690836659,136.197208627 -11.6852816589999,136.266663627 -11.6533366589999,136.343290627 -11.609718659,136.373290627 -11.5924996589999,136.472045627 -11.517218659,136.475936627 -11.5069456589999,136.481218627 -11.467218659,136.449127627 -11.490272659,136.428590627 -11.5111096589999,136.417481627 -11.520281659,136.348845627 -11.5686096589999,136.289763627 -11.572154659,136.273745627 -11.5722186589999,136.182618627 -11.6444456589999,136.178318627 -11.6877816589999),(136.678863627 -13.6580546609999,136.594972627 -13.7269456609999,136.624954627 -13.778336661,136.623990627 -13.7895816609999,136.592190627 -13.8136096609999,136.554136627 -13.821390661,136.457181627 -13.8388906609999,136.428318627 -13.886945661,136.405399627 -13.9705546609999,136.413027627 -14.0444456609999,136.378018627 -14.2163906609999,136.632172627 -14.278609661,136.700808627 -14.268054661,136.710781627 -14.2649996609999,136.734408627 -14.261945661,136.750672627 -14.261672661,136.865581627 -14.282572661,136.874254627 -14.295136661,136.889163627 -14.2977816609999,136.899990627 -14.294999661,136.926090628 -14.286109661,136.941654628 -14.2777816609999,136.967318628 -14.1516636609999,136.924136628 -14.154445661,136.911372628 -14.1727816609999,136.908781628 -14.1792636609999,136.902481628 -14.191945661,136.895808627 -14.199718661,136.883027627 -14.208336661,136.870372627 -14.2116636609999,136.777772627 -14.198054661,136.736636627 -14.191663661,136.720518627 -14.1858366609999,136.708018627 -14.1677816609999,136.699263627 -14.1177726609999,136.706081627 -14.075554661,136.767336627 -13.941663661,136.774990627 -13.931663661,136.789981627 -13.919163661,136.805254627 -13.9102816609999,136.819972627 -13.908336661,136.873836627 -13.859163661,136.918454628 -13.809581661,136.910672628 -13.7731276609999,136.898036627 -13.7616636609999,136.881363627 -13.752781661,136.848572627 -13.761390661,136.830536627 -13.786109661,136.835999627 -13.8020096609999,136.841081627 -13.8200726609999,136.833436627 -13.8355546609999,136.824981627 -13.8438906609999,136.808008627 -13.854163661,136.792481627 -13.854999661,136.712890627 -13.8379186609999,136.676636627 -13.750554661,136.675663627 -13.7330546609999,136.684963627 -13.7220816609999,136.706908627 -13.713609661,136.714418627 -13.7066636609999,136.724118627 -13.6808366609999,136.721836627 -13.6605546609999,136.713290627 -13.651945661,136.678863627 -13.6580546609999),(136.244554627 -13.6720816609999,136.201763627 -13.6645816609999,136.183318627 -13.676390661,136.114045627 -13.7319456609999,136.105099627 -13.815281661,136.120654627 -13.834581661,136.153736627 -13.8388906609999,136.162627627 -13.8341636609999,136.158581627 -13.821254661,136.150272627 -13.806390661,136.146636627 -13.7863906609999,136.157745627 -13.771109661,136.172481627 -13.7691636609999,136.183163627 -13.775972661,136.188563627 -13.7869456609999,136.204408627 -13.8241636609999,136.201354627 -13.859999661,136.210236627 -13.858890661,136.241908627 -13.846663661,136.274845627 -13.7943096609999,136.288863627 -13.7302816609999,136.283445627 -13.710136661,136.244554627 -13.6720816609999),(136.516390627 -15.644163663,136.524690627 -15.6461096629999,136.529972627 -15.6452816629999,136.587736627 -15.634727663,136.598436627 -15.613054663,136.610227627 -15.543054663,136.605518627 -15.524863663,136.576908627 -15.5119456629999,136.519436627 -15.549718663,136.498836627 -15.633336663,136.516390627 -15.644163663),(136.994690628 -15.597781663,136.953036628 -15.647499663,136.935672628 -15.6837546629999,136.934418628 -15.6988906629999,136.940799628 -15.719163663,136.997190628 -15.789163663,137.004427628 -15.7966636629999,137.041072628 -15.828336663,137.054408628 -15.829999663,137.067199628 -15.8294456629999,137.092318628 -15.7876366629999,137.093018628 -15.766390663,137.072754628 -15.6927816629999,137.055545628 -15.647499663,137.010190628 -15.593054663,136.994690628 -15.597781663),(139.14150863 -16.7570816639999,139.14831863 -16.760836664,139.18524563 -16.7349996639999,139.23080863 -16.728881664,139.33026363 -16.708890664,139.44192763 -16.667781664,139.45178163 -16.6599996639999,139.50359963 -16.569172663,139.48913663 -16.538054663,139.58080863 -16.502499663,139.62383663 -16.5358366629999,139.68914563 -16.522499663,139.73288163 -16.502781663,139.73787263 -16.480827663,139.73358163 -16.455836663,139.72732763 -16.444299663,139.53442763 -16.413890663,139.47967263 -16.4422186629999,139.45135463 -16.4472186629999,139.36468163 -16.4619456629999,139.31884563 -16.4619456629999,139.30663663 -16.462499663,139.28942763 -16.472499663,139.27746363 -16.481390663,139.22247263 -16.523890663,139.16498163 -16.600554664,139.16079963 -16.6105546639999,139.13858163 -16.702499664,139.13858163 -16.715554664,139.14150863 -16.7570816639999),(139.42330863 -17.1436096639999,139.42831863 -17.1461096639999,139.42969963 -17.1319456639999,139.43441863 -17.119445664,139.44384563 -17.108336664,139.45275463 -17.102781664,139.46760863 -17.099718664,139.51749063 -17.110836664,139.56079063 -17.109445664,139.57025463 -17.1049996639999,139.57608163 -17.0958366639999,139.55413663 -17.0318726639999,139.53802763 -17.0186096639999,139.50277263 -16.996663664,139.40011863 -17.088754664,139.40801863 -17.115836664,139.41498163 -17.129999664,139.42330863 -17.1436096639999),(142.259018632 -10.7209726579999,142.265808632 -10.683609658,142.216918632 -10.610281658,142.175808632 -10.618609658,142.123354632 -10.6453456579999,142.115799632 -10.6574996579999,142.115781632 -10.7052816579999,142.120654632 -10.720554658,142.150818632 -10.754999658,142.183318632 -10.7702816579999,142.190799632 -10.757499658,142.198854632 -10.7463906579999,142.211363632 -10.7331276579999,142.259018632 -10.7209726579999),(146.233018636 -18.4766636649999,146.289981636 -18.493890665,146.299408636 -18.489436665,146.323027636 -18.477499665,146.352190636 -18.4229186649999,146.269718636 -18.308336665,146.224972636 -18.280554665,146.127445636 -18.244999665,146.114681636 -18.245827665,146.085999636 -18.2543726649999,146.096345636 -18.278618665,146.111081636 -18.2980546649999,146.118281636 -18.304999665,146.127445636 -18.3094456649999,146.157545636 -18.3193726649999,146.193299636 -18.364163665,146.201627636 -18.376663665,146.205808636 -18.386390665,146.207599636 -18.4016636649999,146.204127636 -18.422772665,146.206081636 -18.4344456649999,146.208863636 -18.444999665,146.214963636 -18.4586096649999,146.220518636 -18.4683276649999,146.233018636 -18.4766636649999),(151.217327641 -23.78430967,151.227172641 -23.7866636699999,151.272354641 -23.7799996699999,151.299072641 -23.7505546699999,151.287063641 -23.67249967,151.222472641 -23.55860967,151.203036641 -23.52889067,151.130245641 -23.4855546699999,151.062745641 -23.4470816699999,151.018463641 -23.45639067,151.027772641 -23.5258366699999,151.038299641 -23.55610967,151.047481641 -23.57528167,151.066072641 -23.60528167,151.133572641 -23.66124567,151.159990641 -23.7090366699999,151.172481641 -23.74027267,151.178863641 -23.7480546699999,151.217327641 -23.78430967),(153.063599643 -25.2522276719999,153.064281643 -25.338609672,153.054981643 -25.3608366719999,153.032627643 -25.399999672,153.015808643 -25.4155546719999,153.008881643 -25.423054672,152.996608642 -25.439445672,152.991908642 -25.448336672,152.943027642 -25.5583366719999,152.942199642 -25.571390672,152.943572642 -25.5830546719999,152.954127642 -25.6152726719999,152.994108642 -25.7280546719999,152.997745642 -25.737781672,153.038036643 -25.787363672,153.053590643 -25.7977816719999,153.074399643 -25.7995816719999,153.081636643 -25.795836672,153.086363643 -25.793054672,153.091645643 -25.784172672,153.096345643 -25.767781672,153.097472643 -25.7486096719999,153.095245643 -25.730827672,153.087463643 -25.7063906719999,153.081908643 -25.6874996719999,153.082736643 -25.6677816719999,153.085781643 -25.656663672,153.127163643 -25.536390672,153.184963643 -25.409999672,153.236636643 -25.304718672,153.254972643 -25.266945672,153.301090643 -25.171390672,153.366363643 -25.0305546709999,153.371063643 -25.0141636709999,153.368836643 -25.002499671,153.361072643 -24.978745671,153.349063643 -24.9706906709999,153.328854643 -24.963336671,153.320527643 -24.9577726709999,153.313018643 -24.9502726709999,153.295536643 -24.921663671,153.289981643 -24.9041636709999,153.284145643 -24.8808366709999,153.281918643 -24.8622186709999,153.281372643 -24.8491636709999,153.282199643 -24.816390671,153.283054643 -24.803336671,153.283872643 -24.784172671,153.284145643 -24.7583366709999,153.283599643 -24.7247186709999,153.281645643 -24.699163671,153.249690643 -24.7108276709999,153.236081643 -24.7188906709999,153.219418643 -24.731109671,153.196072643 -24.7508366709999,153.189145643 -24.7583366709999,153.173036643 -24.784999671,153.158599643 -24.814999671,153.169127643 -24.8191726709999,153.178036643 -24.824718671,153.184145643 -24.833054671,153.189972643 -24.8413906709999,153.231899643 -24.905281671,153.237727643 -24.914163671,153.244845643 -24.931999671,153.248154643 -24.948890671,153.246608643 -24.9641636709999,153.240236643 -24.993054671,153.237181643 -25.0033366709999,153.231081643 -25.018890671,153.218845643 -25.0427816709999,153.211090643 -25.056390671,153.194427643 -25.075554671,153.171627643 -25.096109671,153.134981643 -25.1244456709999,153.090790643 -25.152218671,153.049408643 -25.230827672,153.060672643 -25.2377726719999,153.063599643 -25.2522276719999),(153.405545643 -27.301390673,153.425263643 -27.362781674,153.414981643 -27.248054673,153.413608643 -27.2219456729999,153.414427643 -27.2088906729999,153.416072643 -27.197218673,153.418581643 -27.185554673,153.421627643 -27.174718673,153.445254643 -27.105554673,153.451354643 -27.0902816729999,153.459136643 -27.069999673,153.463863643 -27.054172673,153.466372643 -27.0341726729999,153.459608643 -27.0213186729999,153.444427643 -27.019309673,153.368281643 -27.051663673,153.358354643 -27.0615276729999,153.358718643 -27.1966636729999,153.367463643 -27.226663673,153.376618643 -27.245281673,153.388027643 -27.2630546729999,153.405545643 -27.301390673),(153.397890643 -27.7284726739999,153.406918643 -27.731109674,153.453990643 -27.726390674,153.460781643 -27.6865276739999,153.465518643 -27.653054674,153.474972643 -27.6138906739999,153.489963643 -27.5652816739999,153.511936643 -27.494718674,153.525272643 -27.4652726739999,153.540799643 -27.431109674,153.540936643 -27.418054674,153.472199643 -27.407499674,153.433590643 -27.416109674,153.408327643 -27.521118674,153.396945643 -27.599163674,153.395263643 -27.6113906739999,153.389436643 -27.696527674,153.391663643 -27.711663674,153.397890643 -27.7284726739999),(145.293027635 -38.455272684,145.282899635 -38.452499684,145.264708635 -38.454172684,145.202454635 -38.463618684,145.190245635 -38.4669456839999,145.179408635 -38.471663684,145.161654635 -38.4841726839999,145.120236635 -38.5205546839999,145.117054635 -38.5311096839999,145.182463635 -38.5294456839999,145.228572635 -38.525836684,145.241054635 -38.522499684,145.254972635 -38.5205546839999,145.271363635 -38.520836684,145.298581635 -38.5277816839999,145.310245635 -38.532499684,145.319972635 -38.537781684,145.336090635 -38.5522276839999,145.354127635 -38.569999684,145.362745635 -38.566809684,145.309690635 -38.465972684,145.293027635 -38.455272684),(145.421354635 -38.3774996839999,145.462463635 -38.374718684,145.485508635 -38.3766636839999,145.494672636 -38.3724996839999,145.496490636 -38.3623636839999,145.486908635 -38.352227684,145.455581635 -38.3247906839999,145.305818635 -38.296954684,145.295672635 -38.298754684,145.271090635 -38.3633366839999,145.273590635 -38.374445684,145.283863635 -38.409027684,145.331908635 -38.4274996839999,145.355808635 -38.431118684,145.363281635 -38.4233366839999,145.408327635 -38.384445684,145.421354635 -38.3774996839999),(137.601408628 -35.940690682,137.619690628 -35.919999682,137.760954628 -35.8660456809999,137.792754628 -35.866109681,137.823581628 -35.8680546809999,137.921081628 -35.875554681,137.956363628 -35.8899996809999,137.979945629 -35.9062546819999,138.040308629 -35.9227096819999,138.112727629 -35.8697186809999,138.111908629 -35.817499681,138.062763629 -35.763190681,138.028445629 -35.748190681,137.962190628 -35.734445681,137.910945628 -35.729381681,137.889845628 -35.769027681,137.869399628 -35.794309681,137.850663628 -35.806663681,137.829681628 -35.8119456809999,137.791499628 -35.803199681,137.693299628 -35.7575096809999,137.597881628 -35.7469456809999,137.583863628 -35.7316636809999,137.584963628 -35.6508366809999,137.526090628 -35.604718681,137.337599628 -35.588745681,137.317199628 -35.590690681,137.227172628 -35.6247186809999,137.120508628 -35.662218681,137.066654628 -35.6752816809999,137.026090628 -35.6802816809999,137.004008628 -35.678472681,136.947481628 -35.680827681,136.910518628 -35.688890681,136.581145627 -35.769445681,136.533872627 -35.882218681,136.538508627 -35.917499682,136.580536627 -35.944163682,136.612181627 -35.9608276819999,136.680254627 -36.013190682,136.712190627 -36.056663682,136.744690627 -36.0611096819999,136.899718627 -36.052227682,137.031645628 -36.035563682,137.150118628 -36.044172682,137.178508628 -36.0305546819999,137.189518628 -35.9939906819999,137.226072628 -35.984027682,137.357527628 -36.004445682,137.393999628 -36.0401456819999,137.455445628 -36.085345682,137.491054628 -36.075281682,137.586363628 -36.0330546819999,137.614472628 -36.009581682,137.610518628 -35.975063682,137.601408628 -35.940690682),(113.206936605 -26.0427816719999,113.196927605 -26.0188906719999,113.190263605 -26.005281672,113.182481605 -25.998054672,113.159145605 -25.977772672,113.105263605 -25.876390672,113.099427605 -25.8494456719999,113.076099605 -25.785836672,113.026927605 -25.654445672,112.987199605 -25.5708366719999,112.983463605 -25.558054672,112.983045605 -25.5436096719999,112.987208605 -25.5287546719999,112.997481605 -25.513336672,113.003254605 -25.499027672,112.953872605 -25.4877726719999,112.943308605 -25.495281672,112.919708605 -25.526945672,112.913881605 -25.5397186719999,112.908336605 -25.5647276719999,112.907490605 -25.5838906719999,112.907208605 -25.6274996719999,112.952490605 -25.7844456719999,113.027481605 -25.920272672,113.176090605 -26.123054672,113.205554605 -26.144718672,113.209154605 -26.140836672,113.227072605 -26.1088186719999,113.206936605 -26.0427816719999),(115.449990608 -20.673681667,115.438172608 -20.6672186669999,115.427618608 -20.669999667,115.405254607 -20.686109667,115.341090607 -20.7647276669999,115.312763607 -20.8011096669999,115.302763607 -20.815972667,115.299990607 -20.831672667,115.298027607 -20.856663667,115.301936607 -20.8686096669999,115.310054607 -20.876045668,115.334981607 -20.853536667,115.357345607 -20.8609726669999,115.368872607 -20.880836668,115.378036607 -20.876109668,115.401927607 -20.8577726669999,115.454990608 -20.782499667,115.459718608 -20.7727816669999,115.463045608 -20.7605636669999,115.464154608 -20.742218667,115.449990608 -20.673681667),(124.646518616 -15.4006906619999,124.559708616 -15.2599996619999,124.542208616 -15.2616636619999,124.494281616 -15.2861816619999,124.469154616 -15.324718662,124.460536616 -15.3691636619999,124.513890616 -15.417227662,124.522490616 -15.445281662,124.626227616 -15.410554662,124.646518616 -15.4006906619999),(125.185254617 -14.598890662,125.208036617 -14.489163662,125.173308617 -14.445836662,125.162199617 -14.4390276619999,125.152208617 -14.4416636619999,125.115263617 -14.486663662,125.092481617 -14.5444456619999,125.086108616 -14.6036096619999,125.085963616 -14.6209726619999,125.132754617 -14.648609662,125.138318617 -14.648609662,125.149081617 -14.615690662,125.185254617 -14.598890662),(130.678027622 -11.784718659,130.818299622 -11.850418659,130.861345622 -11.858745659,130.881618622 -11.870836659,130.958863622 -11.938890659,130.968854622 -11.936109659,131.047763622 -11.8786096589999,131.126345622 -11.813336659,131.249499622 -11.7354186589999,131.281918622 -11.730836659,131.457454622 -11.559999659,131.522199622 -11.4822906589999,131.537063623 -11.466945659,131.536099623 -11.427227659,131.528590622 -11.3919456589999,131.418381622 -11.248336659,131.271518622 -11.1902816579999,131.250654622 -11.1970816579999,131.226627622 -11.214718659,131.205108622 -11.242081659,131.193572622 -11.2922276589999,131.211363622 -11.3424996589999,131.227963622 -11.376345659,131.223508622 -11.4020096589999,131.171918622 -11.329027659,131.162763622 -11.2963906589999,131.151718622 -11.260763659,131.121472622 -11.2634726589999,131.058299622 -11.307636659,131.004154622 -11.352218659,130.966063622 -11.327499659,130.899563622 -11.3077816589999,130.865099622 -11.344309659,130.845090622 -11.357781659,130.812745622 -11.3683276589999,130.704954622 -11.390281659,130.573299622 -11.349445659,130.531918622 -11.2833366589999,130.392681621 -11.1633996579999,130.371608621 -11.179445658,130.365099621 -11.215554659,130.364681621 -11.2530546589999,130.418581621 -11.4486096589999,130.493436622 -11.6420096589999,130.511654622 -11.662781659,130.678027622 -11.784718659),(130.040527621 -11.822918659,130.096345621 -11.8336096589999,130.124118621 -11.830554659,130.174681621 -11.817499659,130.184690621 -11.813890659,130.202754621 -11.804999659,130.226072621 -11.795281659,130.236354621 -11.7924996589999,130.311645621 -11.776390659,130.327745621 -11.7758996589999,130.493563622 -11.8386096589999,130.568845622 -11.8319456589999,130.613845622 -11.822499659,130.630245622 -11.7924996589999,130.636581622 -11.772918659,130.626345622 -11.7552816589999,130.615508622 -11.744999659,130.604127622 -11.7355546589999,130.579127622 -11.717781659,130.561645622 -11.706663659,130.491054622 -11.688609659,130.432190621 -11.556109659,130.398181621 -11.4477816589999,130.398181621 -11.435836659,130.343990621 -11.325554659,130.255672621 -11.3441636589999,130.173854621 -11.484999659,130.190799621 -11.528054659,130.196927621 -11.6558366589999,130.193572621 -11.6672276589999,130.185245621 -11.678336659,130.169963621 -11.694863659,130.156645621 -11.702918659,130.118990621 -11.700690659,130.108581621 -11.693336659,130.097199621 -11.6838906589999,130.083163621 -11.673472659,130.072599621 -11.6737546589999,130.017490621 -11.7724996589999,130.024699621 -11.798472659,130.040527621 -11.822918659),(143.913881634 -40.134727685,143.921627634 -40.136390685,143.957736634 -40.1099996849999,144.008881634 -40.0877726849999,144.106063634 -40.036390685,144.136918634 -39.984309685,144.146454634 -39.929436685,144.122190634 -39.824999685,144.122190634 -39.8122186849999,144.112181634 -39.673054685,144.108581634 -39.6624996849999,144.066790634 -39.616109685,143.987727634 -39.576954685,143.977463634 -39.573890685,143.935454634 -39.583054685,143.931918634 -39.5983366849999,143.935518634 -39.608609685,143.943845634 -39.628881685,143.945527634 -39.640836685,143.941636634 -39.655690685,143.933590634 -39.666945685,143.925808634 -39.674172685,143.916654634 -39.6805546849999,143.899718634 -39.688609685,143.871063634 -39.7002816849999,143.855236634 -39.7119456849999,143.837736634 -39.8730546849999,143.834827634 -39.9274996849999,143.840381634 -39.936799685,143.851627634 -39.945272685,143.870508634 -39.9569456849999,143.885545634 -39.9701366849999,143.891936634 -39.984718685,143.892345634 -40.0542996849999,143.873563634 -40.064999685,143.886308634 -40.116736685,143.913881634 -40.134727685),(147.903872638 -39.975554685,148.018308638 -40.1402096849999,148.013181638 -40.161390685,148.038590638 -40.236245686,148.049136638 -40.2455546859999,148.064418638 -40.253890686,148.101072638 -40.267218686,148.115236638 -40.271663686,148.128845638 -40.274445686,148.177463638 -40.256954686,148.303318638 -40.2390276859999,148.321345638 -40.231945686,148.331363638 -40.2191636859999,148.335236638 -40.1922186849999,148.288027638 -39.994718685,148.279418638 -39.9658366849999,148.243854638 -39.9620816849999,148.202754638 -39.9502816849999,148.186781638 -39.9444456849999,148.174408638 -39.936109685,148.165527638 -39.929445685,148.069427638 -39.838890685,147.978299638 -39.744718685,147.971072638 -39.7363906849999,147.967745638 -39.725554685,147.925808638 -39.7374996849999,147.881899638 -39.754172685,147.783872638 -39.850281685,147.760745638 -39.877981685,147.773863638 -39.8947186849999,147.809618638 -39.913818685,147.903872638 -39.975554685),(148.288027638 -40.324718686,148.202608638 -40.3612546859999,148.187745638 -40.362499686,148.148318638 -40.347218686,148.133027638 -40.3449996859999,148.116908638 -40.343609686,148.099118638 -40.343327686,148.083590638 -40.344718686,148.065245638 -40.348190686,148.008045638 -40.379163686,147.998563638 -40.389727686,147.995518638 -40.401390686,147.993563638 -40.417081686,147.997036638 -40.428199686,148.068572638 -40.454718686,148.086636638 -40.458054686,148.103854638 -40.454445686,148.114681638 -40.4488816859999,148.129945638 -40.447218686,148.292208638 -40.434436686,148.318299638 -40.435272686,148.329972638 -40.442918686,148.336090638 -40.454718686,148.339690638 -40.466945686,148.339145638 -40.503336686,148.358308638 -40.4905546859999,148.407608638 -40.461945686,148.463227638 -40.4420816859999,148.477190638 -40.441390686,148.479145638 -40.4306906859999,148.354672638 -40.315554686,148.343018638 -40.306663686,148.329127638 -40.305136686,148.308872638 -40.314163686,148.288027638 -40.324718686),(144.878572635 -40.726245686,144.888881635 -40.729436686,144.926363635 -40.7224996859999,145.016081635 -40.6955456859999,144.993281635 -40.6666636859999,144.926227635 -40.6172186859999,144.865936635 -40.6711186859999,144.870945635 -40.7194366859999,144.878572635 -40.726245686),(144.985990635 -40.7486816859999,144.762208635 -40.728054686,144.701354635 -40.7591726859999,144.708590635 -40.825563686,144.699690635 -40.8754816859999,144.680663635 -40.896118686,144.648863635 -40.901245686,144.618708635 -40.931109686,144.637208635 -41.031945686,144.653590635 -41.0469546859999,144.667754635 -41.0752096859999,144.695390635 -41.181109686,144.685790635 -41.216590686,144.731627635 -41.3061096869999,144.781645635 -41.390554687,144.858581635 -41.544445687,144.954954635 -41.713336687,145.054963635 -41.8466636869999,145.184554635 -41.938327687,145.247881635 -42.034863687,145.262772635 -42.0799996869999,145.265118635 -42.111390687,145.260681635 -42.1399996869999,145.280272635 -42.181118687,145.458308635 -42.326390687,145.499681636 -42.3234726869999,145.552045636 -42.351109688,145.475254635 -42.520281688,145.469418635 -42.5230546879999,145.459063635 -42.5056276879999,145.445663635 -42.4573636879999,145.439754635 -42.398745688,145.426363635 -42.374581688,145.378018635 -42.349163688,145.323027635 -42.319999687,145.250108635 -42.2748636869999,145.223845635 -42.239163687,145.205227635 -42.256954687,145.197618635 -42.3134726869999,145.231354635 -42.4563906879999,145.259981635 -42.612427688,145.310518635 -42.6236096879999,145.353854635 -42.658536688,145.397763635 -42.7755546879999,145.423154635 -42.846663688,145.459690635 -42.904445688,145.511581636 -42.965654688,145.547472636 -42.9613906879999,145.573772636 -42.9638186879999,145.595245636 -42.979163688,145.726899636 -43.133327688,145.758881636 -43.1844366879999,145.836908636 -43.297227688,145.858854636 -43.308754688,146.124681636 -43.333336688,146.139708636 -43.314718688,146.163236636 -43.282363688,146.234545636 -43.325145688,146.232527636 -43.390972688,146.156645636 -43.379718688,146.102599636 -43.357918688,145.991908636 -43.345836688,145.932681636 -43.376318688,146.038299636 -43.498054689,146.110363636 -43.5154186889999,146.231472636 -43.488890689,146.260272636 -43.4951366889999,146.275172636 -43.5237546889999,146.296081636 -43.534727689,146.514436636 -43.542781689,146.599545637 -43.556109689,146.686372637 -43.6033366889999,146.770399637 -43.610690689,146.815172637 -43.6179096889999,146.833590637 -43.6480546889999,146.863281637 -43.6363906889999,146.916699637 -43.617845689,146.937472637 -43.600627689,146.952181637 -43.5280546889999,147.002208637 -43.4226366889999,147.054963637 -43.362499688,147.095336637 -43.288718688,147.061099637 -43.258336688,147.019436637 -43.237781688,146.993990637 -43.223745688,146.969272637 -43.2042996879999,146.964145637 -43.184309688,146.964418637 -43.164163688,146.970090637 -43.137081688,146.991290637 -43.112427688,147.012072637 -43.118754688,147.022763637 -43.138336688,147.025745637 -43.1818726879999,147.041354637 -43.199718688,147.098299637 -43.244445688,147.178163637 -43.2822186879999,147.213290637 -43.285627688,147.247454637 -43.269172688,147.263318637 -43.224863688,147.262481637 -43.2038906879999,147.240308637 -43.1554906879999,147.241908637 -43.133609688,147.268190637 -43.060436688,147.292754637 -43.0280546879999,147.326081637 -43.008609688,147.340790637 -42.951109688,147.348572637 -42.9047186879999,147.317472637 -42.846663688,147.351627637 -42.861390688,147.408018637 -42.8897276879999,147.423018637 -42.9911096879999,147.403736637 -43.0000726879999,147.427127637 -43.041736688,147.476627637 -43.034172688,147.525608637 -43.018336688,147.552745637 -42.9789546879999,147.535945637 -42.9490276879999,147.521363637 -42.928890688,147.502118637 -42.860763688,147.557463637 -42.830554688,147.591627637 -42.826736688,147.825808638 -42.931945688,147.899418638 -43.026872688,147.867872638 -43.046527688,147.808872638 -43.054718688,147.781781638 -43.0511096879999,147.759981638 -43.039863688,147.719890638 -43.0024996879999,147.735790638 -42.9788816879999,147.730790638 -42.954718688,147.706499638 -42.938327688,147.673918638 -42.9451366879999,147.618972637 -43.017709688,147.631618637 -43.065554688,147.697208638 -43.163609688,147.789699638 -43.246945688,147.827181638 -43.206109688,147.899418638 -43.183436688,147.970790638 -43.229090688,147.995527638 -43.227590688,148.004699638 -43.170836688,147.979127638 -43.126663688,147.951490638 -43.0822906879999,147.967008638 -42.995445688,148.004772638 -42.976863688,147.999690638 -42.9070816879999,147.974199638 -42.8695096879999,147.910872638 -42.8408276879999,147.881836638 -42.857227688,147.899799638 -42.886627688,147.856418638 -42.8888906879999,147.842881638 -42.872918688,147.883181638 -42.772218688,147.898863638 -42.756536688,147.924836638 -42.7411096879999,147.954954638 -42.717499688,147.955518638 -42.666527688,147.943845638 -42.613890688,147.958727638 -42.556390688,148.004008638 -42.522499688,148.079118638 -42.1172186869999,148.195263638 -41.945445687,148.238845638 -41.998190687,148.309690638 -42.140554687,148.297763638 -42.206245687,148.270808638 -42.231663687,148.275272638 -42.2555636869999,148.302763638 -42.2763906869999,148.311099638 -42.277781687,148.324554638 -42.270690687,148.346618638 -42.2491726869999,148.363845638 -42.2224276869999,148.358718638 -42.1086816869999,148.333981638 -42.087636687,148.311490638 -42.0634726869999,148.298036638 -42.034999687,148.264708638 -41.814590687,148.270963638 -41.782645687,148.292208638 -41.728881687,148.314281638 -41.6129186869999,148.312190638 -41.591245687,148.296354638 -41.5658366869999,148.280399638 -41.539236687,148.273799638 -41.4541636869999,148.287472638 -41.423890687,148.316927638 -41.3347276869999,148.313563638 -41.2593096859999,148.271999638 -41.218463686,148.264345638 -41.167218686,148.279845638 -41.130836686,148.290254638 -41.107781686,148.302181638 -41.075563686,148.328308638 -40.9954186859999,148.318863638 -40.972354686,148.307418638 -40.9574816859999,148.273318638 -40.901109686,148.221072638 -40.8490276859999,148.079408638 -40.768890686,148.014163638 -40.745972686,147.971836638 -40.7447906859999,147.951154638 -40.761318686,147.944136638 -40.795272686,147.933590638 -40.822090686,147.921627638 -40.8408366859999,147.901781638 -40.8631906859999,147.876081638 -40.8787456859999,147.838163638 -40.891254686,147.803163638 -40.892781686,147.698790638 -40.857363686,147.674836638 -40.8308366859999,147.611618637 -40.842354686,147.589127637 -40.853054686,147.573163637 -40.879027686,147.541654637 -40.924172686,147.517490637 -40.953327686,147.488372637 -40.984999686,147.461918637 -41.001399686,147.416499637 -41.0177726859999,147.356081637 -40.9763906859999,147.199127637 -41.002227686,147.171781637 -41.008890686,147.147354637 -41.008890686,147.124663637 -41.004999686,147.105808637 -40.9977816859999,147.086090637 -40.991945686,147.017063637 -40.976109686,146.863772637 -41.0283996859999,146.818727637 -41.059790686,146.823018637 -41.1081276859999,146.843018637 -41.1230546859999,146.879836637 -41.126799686,146.912963637 -41.134790686,146.942808637 -41.166872686,146.859127637 -41.168336686,146.806454637 -41.148363686,146.801090637 -41.107509686,146.784408637 -41.082290686,146.764163637 -41.073063686,146.731490637 -41.069727686,146.660381637 -41.088745686,146.581908637 -41.151527686,146.586090637 -41.186663686,146.564699636 -41.1752816859999,146.499145636 -41.1501366859999,146.450381636 -41.1648636859999,146.405408636 -41.171672686,146.369690636 -41.170836686,146.229127636 -41.160554686,146.193172636 -41.1569366859999,146.169436636 -41.149990686,145.872190636 -41.042781686,145.751372636 -40.9877816859999,145.539154636 -40.8927726859999,145.335663635 -40.842081686,145.274990635 -40.8027816859999,145.116345635 -40.822363686,145.080381635 -40.810272686,145.036099635 -40.7791636859999,144.985990635 -40.7486816859999),(148.009981638 -42.7311096879999,148.014163638 -42.7530636879999,148.041654638 -42.7322186879999,148.097745638 -42.6661096879999,148.154981638 -42.668890688,148.168163638 -42.6655546879999,148.172899638 -42.6552816879999,148.128008638 -42.590272688,148.076490638 -42.586945688,148.018736638 -42.619718688,148.012636638 -42.628609688,148.011108638 -42.6522186879999,148.009981638 -42.7311096879999),(147.396518637 -43.119718688,147.357181637 -43.0749996879999,147.329127637 -43.102636688,147.293027637 -43.1570816879999,147.361636637 -43.2630636879999,147.429690637 -43.253618688,147.432736637 -43.2419456879999,147.431636637 -43.2138906879999,147.396518637 -43.119718688),(147.307736637 -43.270281688,147.300263637 -43.262781688,147.289563637 -43.2640276879999,147.190245637 -43.3544456879999,147.123018637 -43.421945689,147.175536637 -43.501672689,147.239136637 -43.491672689,147.302763637 -43.513336689,147.310518637 -43.511945689,147.320663637 -43.502918689,147.362727637 -43.3980546879999,147.364963637 -43.385836688,147.362454637 -43.3741726879999,147.307736637 -43.270281688),(142.316927633 -10.151663658,142.284145633 -10.1356906569999,142.228572632 -10.145554658,142.212890632 -10.1569456579999,142.189418632 -10.204163658,142.201354632 -10.225554658,142.210527632 -10.2367996579999,142.279972633 -10.2655546579999,142.288863633 -10.261109658,142.338563633 -10.2027816579999,142.339963633 -10.1913906579999,142.330536633 -10.171945658,142.316927633 -10.151663658)))', 'Australian Exclusive Economic Zone', 'Australia', 'Australia', '', '16', '0', 'AUS', '8323', '2008-11-19', '6944401037000', '8323', 'Y'),('SRID=4326;MULTIPOLYGON(((-77.3558367379998 6.39139093300025,-77.3852817379998 6.28166293300046,-77.4072997379998 6.23992693300045,-77.4758457379997 6.28305393300047,-77.4888907379998 6.18534493300052,-77.4756997379998 6.15833593300044,-77.4543187379999 6.13069093300049,-77.4080637379998 6.08055393300049,-77.3388997379999 5.98749993300044,-77.2450097379997 5.78833593300044,-77.2408457379998 5.75819093300021,-77.2505637379998 5.70902693300042,-77.3268817379999 5.6163909330001,-77.3591727379997 5.60423593300038,-77.3825097379999 5.61777193299997,-77.4205637379997 5.62402693300044,-77.5045187379997 5.58416293300041,-77.5322277379998 5.51889093300042,-77.4806997379998 5.50423593300042,-77.3968097379999 5.45624493300051,-77.3599997379998 5.29833593200004,-77.3477817379999 5.24055393200041,-77.3537187379996 5.20280893200038,-77.3712637379996 5.15486293200007,-77.3722187379997 5.08277193200024,-77.3616817379997 4.9405539320004,-77.3534817379999 4.86749993200044,-77.3477817379999 4.84249993200052,-77.3397367379999 4.8163909320001,-77.3216727379998 4.71944493200044,-77.3166817379997 4.64805393200044,-77.313063738 4.54652693200046,-77.3341637379999 4.4711089320005,-77.342509738 4.44944493200035,-77.3466727379998 4.44291793200051,-77.3824367379997 4.3421539310005,-77.3373637379999 4.26930893100047,-77.2898727379999 4.27110893100053,-77.242299738 4.26089893100021,-77.2481817379999 4.2453809310004,-77.276118738 4.21499993100036,-77.3373997379999 4.21715393100044,-77.4255637379997 4.1786809310002,-77.4370907379998 4.14208093100024,-77.4344457379999 4.03139093100043,-77.4224997379998 3.99860893100038,-77.3662547379998 3.92597193100011,-77.344381738 3.95113593100029,-77.3290907379997 3.98639093100053,-77.3126457379997 4.04083593100052,-77.2947277379999 4.06333593100038,-77.2605637379999 4.0955539310005,-77.2105547379998 4.07694493100053,-77.1872277379999 4.0602719310005,-77.2144547379997 3.97194493100039,-77.2600907379999 3.96669993100039,-77.2859457379997 3.95075393100052,-77.2976727379999 3.91586293099999,-77.2869547379998 3.8519449310005,-77.2654187379998 3.84013593100042,-77.2370907379997 3.83888993100038,-77.188609738 3.84360893100018,-77.1597277379999 3.86249893100052,-77.1126367379999 3.89444493100052,-77.0830727379997 3.90666293100048,-77.032718738 3.91839893100041,-77.1256997379998 3.76874493100041,-77.1284907379998 3.70889093100038,-77.1411097379999 3.66583593100012,-77.2116727379998 3.57528093100024,-77.244172738 3.56639093100046,-77.3638907379999 3.41249993100001,-77.4500097379998 3.35749993100052,-77.4681277379999 3.33007193100042,-77.4316367379998 3.30117193100017,-77.4083277379996 3.28809893100049,-77.4176457379997 3.26069093000052,-77.5477907379997 3.0595809300001,-77.5661187379998 3.0502809300005,-77.7141727389998 2.86666293000053,-77.7811097389999 2.75639093000046,-77.7645907389999 2.64263593000038,-77.7454187389999 2.61041793000044,-77.7876547389997 2.56944493000049,-77.8610457389997 2.5599999300004,-77.8973637389998 2.57798093000048,-77.9036187389999 2.60430893000051,-77.937472739 2.65089893000032,-77.9411457389999 2.61061793000044,-77.950290739 2.55778093000049,-77.9869547389997 2.52249993000044,-78.122509739 2.48736293000053,-78.1444457389998 2.49083593000046,-78.2650187389999 2.51916293000016,-78.346454739 2.43784493000038,-78.3686187389998 2.4580539300004,-78.3891727389999 2.47860893000046,-78.4279907389997 2.50833593000033,-78.4555637389999 2.5041629300004,-78.4652997389999 2.44315393000016,-78.5228907389997 2.43418093000025,-78.5410637389996 2.4223809300002,-78.5567637389997 2.39063593000049,-78.5652907389997 2.42916293000002,-78.5825097389998 2.40139093000005,-78.642499739 2.28944493000023,-78.6868727389996 2.19347192900051,-78.6805547389998 2.15471792900013,-78.6541727389997 2.06389092900048,-78.6194457389999 2.02992692900051,-78.5962637389999 2.01791792900019,-78.5461097389999 1.91708092900046,-78.5497277389998 1.88221792900032,-78.5874997389999 1.76715392900047,-78.6211277389998 1.76471792899997,-78.73250974 1.80569092900009,-78.76132774 1.82083592900051,-78.8449367399999 1.83652692900046,-78.8806997399997 1.82555392900008,-78.9720907399999 1.75236292900019,-79.0502817399999 1.6318089290001,-79.0307727399999 1.59881792900052,-78.9854187399999 1.58541792900041,-78.9486277399997 1.58444492900037,-78.9282097399999 1.58055392900047,-78.8586817399997 1.54784492900041,-78.8097178799997 1.43778218000017,-78.8572846289998 1.44965671000017,-83.4576477879999 1.44965671000017,-83.7652591639996 1.44965671000017,-83.7652746709999 1.44965671000017,-84.1537386499998 1.83544390600048,-84.4886728219999 2.30959052200052,-84.73648743 2.8344470920004,-84.7539677239998 2.95929738600051,-84.7666667449999 3.04999993000052,-84.316666745 3.53333293100047,-84.316666745 4.99999993200043,-79.8666667409998 4.99999993200043,-79.2333337399998 5.99999993300048,-79.04999974 6.26666593300041,-78.7833337399997 6.46666593300046,-78.2999997389998 6.73333293400037,-77.8891667389998 7.21083293400022,-77.8897277389997 7.22888993399999,-77.7933367389999 7.15194493400037,-77.6808367389999 7.05597193400018,-77.6563997389999 7.00083593400046,-77.6529277389998 6.97721793400046,-77.6663997389998 6.87666293400042,-77.4665367379998 6.71430893400037,-77.4437547379998 6.71194493400031,-77.4081997379997 6.69055393400038,-77.3404277379998 6.56736293400024,-77.3558367379998 6.39139093300025),(-77.5386187379998 4.23249893100052,-77.548545738 4.19618093100007,-77.5001817379997 4.20968093100009,-77.3330727379999 4.23944493100004,-77.3197367379997 4.2516629310004,-77.3562097379997 4.26297193100049,-77.376318738 4.30902693100046,-77.3994457379998 4.32221793100052,-77.4102817379999 4.3297179310004,-77.4229187379997 4.33430893100046,-77.433209738 4.33166293100038,-77.5386187379998 4.23249893100052),(-78.2148637389997 2.57638993000046,-78.1340367389997 2.5011089300005,-78.1255637389999 2.4994449300001,-78.1193187389997 2.50208093000043,-78.0952907389997 2.5258359300002,-78.0920907389999 2.53638993000038,-78.1015367389999 2.58652693000039,-78.1055637389998 2.59597193000047,-78.1330637389999 2.64610893000048,-78.1494457389999 2.64860893000042,-78.161118739 2.6466629300005,-78.1912637389998 2.63916293000045,-78.2049997389999 2.62083593000051,-78.2129187389999 2.60618093000051,-78.2155637389998 2.58999893000043,-78.2148637389997 2.57638993000046)),((-71.4052779999998 15.0628267790003,-71.4052779999998 14.9644440000005,-71.3693628059999 14.0644830720005,-71.3693628029996 14.0644829930002,-71.3640937179998 13.9324505600005,-71.3535347359997 13.816676993,-71.3535347319999 13.816676945,-71.3535347279996 13.8166769070002,-71.3535347219997 13.8166768390004,-71.3197111679998 13.4458197150001,-71.2987687729999 13.2351486600004,-71.2886874309997 13.1337349020004,-71.2763190429999 13.0093144890002,-71.273668705 12.9879439790004,-71.271273686 12.9686321900001,-71.2691053189999 12.951147969,-71.2672952809999 12.938268551,-71.2651598319997 12.9230736470005,-71.2651597309999 12.9230729400005,-71.2650789589996 12.9225062320005,-71.259234915 12.8815036000004,-71.2588030209999 12.8785196460004,-71.2576727649998 12.8707107190001,-71.2560653129999 12.8596048480004,-71.2527531929996 12.8360272750004,-71.250427967 12.8194749810005,-71.2483550449998 12.8047187290005,-71.2453693349999 12.793843581,-71.2365254409997 12.7616305860004,-71.2324403989999 12.7467512290002,-71.2311842299999 12.7422222530004,-71.228444978 12.7323461840005,-71.2259800549996 12.7234591790005,-71.2201802839999 12.7076905650005,-71.2121844659999 12.6859512640001,-71.2050014559999 12.6664218510005,-71.1956234119998 12.6419081930001,-71.1940481389997 12.6378323880004,-71.1881305549997 12.6225214460005,-71.1840439519998 12.6119479170004,-71.1820758419998 12.6069714020005,-71.179817607 12.6012612840004,-71.1721746159998 12.5821609750004,-71.163220053 12.5597829690005,-71.1612672959997 12.5553124290004,-71.1590358639998 12.5502039050005,-71.1581764349996 12.5482363740005,-71.13608214 12.4996289870003,-71.1348405389999 12.4972036740004,-71.1339549509996 12.4954737900003,-71.1271247689996 12.4819725520003,-71.1271009529997 12.4819266120005,-71.1161213909998 12.4632728530004,-71.0997723329999 12.4354965740002,-71.0992391029999 12.4346834320004,-71.0807472709997 12.4076154150005,-71.0806954499996 12.4073613810003,-71.0744225759998 12.3780007980004,-71.0618647649997 12.319223165,-71.0615905239999 12.3185862240005,-71.0614991409998 12.3183776460001,-71.060664334 12.3164722210005,-71.0583681119999 12.3115727320003,-71.0498722819999 12.2937430620004,-71.0474232039999 12.2894177830004,-71.0452714139999 12.2860127980005,-71.0418005659998 12.2811273640002,-71.0418004399999 12.2811271880001,-71.0146225709998 12.2436942300004,-71.0139646919999 12.2427720760004,-71.0103553399998 12.2377128160002,-70.9983075759997 12.2254731830002,-70.9940345779999 12.2211321340005,-70.9922950119998 12.2193855570005,-70.9909920209998 12.2181515730004,-70.98782327 12.2151506400005,-70.9849483589999 12.2124900860005,-70.9829675409999 12.2106569610002,-70.9797169039997 12.20775067,-70.9723193399998 12.2018097480005,-70.9555821849998 12.1881965750005,-70.9543494449998 12.1872616950005,-70.9538887939999 12.1869123490004,-70.9394380099997 12.1760743150004,-70.9394379819998 12.1760742940003,-70.926167605 12.1661215620005,-70.9236242159998 12.1642407070004,-70.9149046179997 12.1578827300004,-70.9107239629996 12.1548343650005,-70.8364423609996 12.0998371460004,-70.823295156 12.0901031110005,-70.8219053749999 12.0890770470003,-70.8143560639999 12.0835034560004,-70.7763224869996 12.0584030790004,-70.7751049459996 12.0576015230005,-70.7743821409999 12.0571269100003,-70.7699942629996 12.0542457120001,-70.7650949899999 12.0510898600004,-70.6946088409996 12.0057278110002,-70.6946088849998 12.0057275690005,-70.6946089719999 12.0057270930005,-70.6977487409996 11.9885521030005,-70.6987836879998 11.982890792,-70.7008743489997 11.9714545680002,-70.7021143329999 11.964946324,-70.7023533569998 11.9639756150004,-70.7079694899998 11.9398922290005,-70.7104856249999 11.9291024100004,-70.7259559359998 11.8627618350004,-70.7267229159999 11.8594288570005,-70.72686156 11.8588263620003,-70.7268615859997 11.8588262510004,-70.7272331129999 11.8572268640005,-70.7281416399996 11.8531621280004,-70.7282564239998 11.8526485860004,-70.7283096379999 11.8524105060004,-70.7291330749999 11.8486255140004,-70.7311743529999 11.8392426250002,-70.7422391739999 11.7883823230004,-70.7426313689996 11.7864408980003,-70.7461243439997 11.7689516800004,-70.7471055779999 11.7640386740005,-70.7492677439997 11.7532127750001,-70.7583096389999 11.7050426940002,-70.8070446129997 11.6798300890002,-70.8517503959999 11.6567019500001,-70.8668275419998 11.6489019230004,-70.8733882519997 11.6459222860005,-70.8856941919999 11.6403333750005,-70.8931958989996 11.6369018950001,-70.9335801359999 11.6228232520004,-70.9364059699997 11.6218051560002,-70.9364060519997 11.6218051270001,-70.948840646 11.6332272360003,-70.9937286419996 11.6744602330005,-71.0296239359998 11.7037663550004,-71.2450665749999 11.8220600820001,-71.2604946529996 11.8286452380005,-71.2778042049999 11.8359829820005,-71.2960657929999 11.843136139,-71.318632168 11.8519755020005,-71.3247178859997 11.8530539580004,-71.319454733 11.8652719390004,-71.2824997329998 11.9186089390004,-71.231945733 11.9513899390004,-71.1736187319999 11.9844449390005,-71.1312547319999 12.0173629390001,-71.1141817319999 12.0488909390005,-71.1108367319997 12.0755539390004,-71.1148727319997 12.0986089390005,-71.2208367329996 12.3020809390004,-71.2430547329997 12.3216629390004,-71.2756997329999 12.3461089390004,-71.5286277329997 12.4461089390001,-71.5636097329999 12.4536089390004,-71.6615367329997 12.4638909390004,-71.6908457329996 12.4593089390004,-71.7243097329999 12.4409719390005,-71.7365367329999 12.4141629390001,-71.7043817329997 12.4344809390001,-71.6550097329999 12.4388899390004,-71.6313917329999 12.421598939,-71.6929277329999 12.3663909390004,-71.8097187329997 12.3133269390001,-71.8642457329999 12.2107629390005,-71.9377907329999 12.1627719390004,-71.963054733 12.1536089390004,-71.986045733 12.1570809390004,-72.0118097329997 12.1926359390004,-71.9825097329997 12.2256909390005,-71.964763733 12.2519809390004,-72.0286277329999 12.2577719390005,-72.1386277329999 12.2494449390004,-72.1579187329997 12.2411089390004,-72.1688547329999 12.2215629390004,-72.1458367329997 12.2072899390005,-72.1388997329998 12.1269449390004,-72.1387187329998 12.1063909390004,-72.2327097329998 11.9152089390004,-72.2586187329998 11.8891629390005,-72.2797277329997 11.8758269390005,-72.4162547339996 11.7977809380005,-72.4575097339997 11.7849999380004,-72.4873637339999 11.7840999380004,-72.5176457339999 11.7874999380005,-72.7308997339998 11.7068089380003,-72.7687637339998 11.6877719380005,-73.0347277339997 11.502771938,-73.1430637339998 11.4244449380001,-73.1958457339999 11.3765269380002,-73.2062637339997 11.3490269380005,-73.267499734 11.3063909380004,-73.2844547339997 11.2955539380001,-73.3169547339999 11.2858269380004,-73.3449997339998 11.2794449380004,-73.3843187349999 11.2738909380004,-73.5088997349999 11.2697179380005,-73.5372457349999 11.271326938,-73.5572367349997 11.2738909380004,-73.5947277349997 11.2730539380001,-73.6313907349998 11.2712449380003,-73.6724997349998 11.2652719380005,-73.7908367349997 11.2656909380004,-73.8669547349999 11.2847179380003,-73.9512547349998 11.3191629380003,-73.9695907349998 11.3390269380005,-74.0127907349996 11.3552719380001,-74.037227735 11.3563909380005,-74.155009735 11.3313909380002,-74.1888997349998 11.3097179380004,-74.2155637349998 11.269162938,-74.2369547349998 11.2349999380004,-74.238890735 11.1966629380005,-74.2298727349999 11.1186089380004,-74.2636187349997 11.0169449380001,-74.2905547349999 10.9674999380005,-74.3322277349998 10.8636089380004,-74.3582727349997 10.7833999370005,-74.375418735 10.7554179370003,-74.3950097349997 10.7421539370005,-74.4577817359999 10.7424999370002,-74.4652907359999 10.7659719370005,-74.5191817359998 10.8127719380004,-74.5933097359998 10.7832999370004,-74.6075097359999 10.8236089380005,-74.5917457359997 10.8776359380004,-74.4652907359999 10.971317938,-74.419027735 10.9658269380004,-74.3547367349999 10.9711089380004,-74.3272277349997 10.9748629380004,-74.3048727349996 10.9834719380004,-74.2922277349999 10.9990269380004,-74.315981735 10.9918089380004,-74.3416727349998 10.9866629380005,-74.3797277349999 10.9830539380004,-74.4236187349999 10.9830539380004,-74.4508367359999 10.9838909380004,-74.4761187359999 10.9872179380005,-74.5050097359997 10.9933269380005,-74.8345907359999 11.1055539380004,-74.8608097359999 11.1254909380005,-74.8680547359999 11.1197179380005,-74.9211097359998 11.0688909380004,-75.0230547359999 10.9665269380004,-75.0317727359998 10.9360089380004,-75.0394547359998 10.9058359380004,-75.2227817359997 10.8055539380004,-75.2440277359997 10.8003179380004,-75.2641367359998 10.798990938,-75.2681997359999 10.7530539370005,-75.2508367359997 10.7461089370004,-75.2356277359998 10.7620089370005,-75.2266097359997 10.7291629370001,-75.2518457359998 10.7064539370004,-75.2613997359996 10.7213909370005,-75.2880727359997 10.7244449370004,-75.4088907359999 10.6586089370003,-75.4761187359998 10.5927809370005,-75.5040367359999 10.5501359370001,-75.4866727359999 10.4909719370004,-75.4852907359999 10.446662937,-75.5470727369999 10.4178909370004,-75.5316817369997 10.2369449370004,-75.5340367369999 10.1823629370004,-75.571672737 10.1344449370005,-75.5825187369998 10.0886359370005,-75.579999737 10.0719449370004,-75.5801457369999 10.0456909370001,-75.590290737 9.97944493699998,-75.596118737 9.95749993700042,-75.6352817369996 9.8247179370004,-75.660845737 9.76027193700037,-75.626809737 9.6988909360004,-75.6013907369999 9.66555393600038,-75.5913997369997 9.63471793600002,-75.5852817369999 9.60639093600031,-75.5855547369999 9.58305393600051,-75.5911187369998 9.5469449360001,-75.5980727369997 9.5227719360002,-75.6200097369999 9.4722179360005,-75.6343187369997 9.4481909360004,-75.656681737 9.42583593600028,-75.6879187369998 9.41139093600043,-75.7252187369999 9.42124493600039,-75.8160457369999 9.43860893600038,-75.9186277369999 9.42221793600044,-76.0713997369999 9.34555393600044,-76.089736737 9.33583593600014,-76.1105637369997 9.3155539360003,-76.1726457369998 9.2358359360004,-76.1805547369997 9.19194493600043,-76.2641727369999 8.99527193600045,-76.3175097369998 8.93860893600049,-76.3736097369999 8.91610893600046,-76.398899737 8.91055393600038,-76.4188997369998 8.90666293600049,-76.426754737 8.90639093600038,-76.4324367369997 8.8765999360005,-76.6738997379998 8.67659993600023,-76.8180727379998 8.63389093500047,-76.8847277379999 8.62221793500044,-76.928345738 8.5683359350005,-76.9281997379999 8.53721793500046,-76.8766727379999 8.521389935,-76.8218187379996 8.48221793500039,-76.773827738 8.41124493500052,-76.765290738 8.34069093500051,-76.7533457379998 8.19749993500005,-76.7389637379999 8.09062693500005,-76.7319457379999 8.03916293500038,-76.7444547379998 7.93583593500011,-76.7579187379997 7.91916293500049,-76.8169547379999 7.90499993500049,-76.8719457379997 7.90944493500001,-76.923890738 7.93603593500052,-76.9275097379998 7.9855539350005,-76.9167457379997 8.03152693500004,-76.8929187379999 8.04666293500043,-76.8705637379998 8.03465393500051,-76.836681738 8.02645393500023,-76.8325097379999 8.0863909350004,-76.8341097379997 8.12909993500045,-76.8385817379998 8.13320893500043,-76.8877907379997 8.12166293500007,-76.948627738 8.15916293500044,-76.9555637379997 8.18999993500051,-76.9686097379998 8.23833593500041,-77.0816817379998 8.32610893500049,-77.1188997379997 8.38639093500041,-77.1345187379997 8.41020893500024,-77.1638907379997 8.43416293500053,-77.1994457379998 8.4436089350005,-77.2199997379999 8.45110893500038,-77.2409727379997 8.46471793500052,-77.2846637379998 8.51652693500051,-77.3002907379999 8.5783359350005,-77.3469547379998 8.66221793600045,-77.3666727379999 8.67499993600001,-77.3641667379998 8.68527693600038,-77.2166667379999 9.14999993600014,-77.0499997379999 9.44999993600015,-77.2499997379998 10.4666659370002,-77.5666667379997 11.4499999380005,-77.7166667389999 11.9999999390005,-77.8166667389999 12.3166659390005,-77.9999997389997 12.4999999390004,-78.028079921017 12.4999999390004,-78.9999997399997 12.4999999390004,-78.9999997399997 11.8333329380004,-79.5914164166949 11.8333329380004,-79.5876103234576 11.8603759099205,-79.5829168642218 11.8966113515329,-79.5786231563335 11.9328948214392,-79.574729862593 11.9692220343696,-79.5712375990358 12.0055886987597,-79.568146937631 12.0419905149506,-79.5654584035823 12.0784231805855,-79.5631724753294 12.1148823852142,-79.5612895854459 12.1513638156875,-79.5598101197411 12.1878631525627,-79.5587344172595 12.2243760736969,-79.5580627702806 12.2608982542513,-79.5577954252186 12.297425364889,-79.5579325799246 12.3339530762736,-79.5584743872831 12.3704770545727,-79.5593476192799 12.4041640332766,-79.5593476801599 12.4041638895411,-80.7706837456298 12.4030284326938,-81.2455277777777 12.4025833333334,-81.2462267422571 12.4025613815835,-81.2461147471759 12.3989953522635,-81.2462122568207 12.3905192176919,-81.2466731600019 12.3820546531542,-81.2474966023161 12.3736167063484,-81.2486810852696 12.365220376237,-81.2502244691872 12.3568805864069,-81.2521239772537 12.3486121585705,-81.2543762006824 12.3404297862583,-81.2569771049966 12.3323480087501,-81.2599220374146 12.3243811852857,-81.2632057353212 12.3165434696068,-81.2668223358102 12.3088487848713,-81.2707653862801 12.3013107989847,-81.2750278560616 12.2939429003908,-81.2796021490572 12.2867581743673,-81.2844801173673 12.2797693798628,-81.2896530758801 12.2729889269214,-81.2951118177957 12.2664288547289,-81.3008466310602 12.2601008103226,-81.3068473156758 12.2540160279998,-81.3131032018605 12.2481853094614,-81.3196031690197 12.2426190047253,-81.3263356655017 12.2373269938428,-81.3332887290975 12.2323186694484,-81.3404500082508 12.2276029201746,-81.3478067839421 12.2231881149609,-81.3553459922049 12.2190820882819,-81.3630542472389 12.215292126322,-81.3709178650768 12.2118249541199,-81.3789228877657 12.2086867237049,-81.3870551080187 12.205883003246,-81.3953000942973 12.2034187672314,-81.4036432162777 12.2012983876974,-81.41206967066 12.1995256265188,-81.4205645072748 12.1981036287776,-81.4291126554399 12.1970349172175,-81.4376989505274 12.1963213877976,-81.4463081606885 12.1959643063505,-81.4549250136967 12.1959643063505,-81.4635342238578 12.1963213877976,-81.4719843735926 12.1970236034072,-81.4721205189452 12.1970349172175,-81.4749616691855 12.1973901251581,-81.4806686671105 12.1981036287776,-81.4813479423624 12.1982173364236,-81.6379444444444 12.1981944444444,-81.6386022890034 12.1971602675089,-81.6383543604433 12.1956680212067,-81.6379509870874 12.1930770972968,-81.6377001740761 12.1913406100667,-81.6371777778746 12.1874330816734,-81.6370966471869 12.1867839787194,-81.6369481385684 12.1855103635127,-81.6368790450401 12.1848729741563,-81.6366233819163 12.1823217311759,-81.6365646277886 12.1816833392133,-81.6364574729418 12.1804057135901,-81.6364090723209 12.1797664818093,-81.6360635530147 12.174653148852,-81.6360255190538 12.1740132389082,-81.6359598258726 12.1727329012213,-81.6359321667095 12.1720924753578,-81.6358423051058 12.1695303873983,-81.6358250277657 12.1688896087585,-81.6358008588831 12.1676078605851,-81.6357939673147 12.1669668925042,-81.6357850335062 12.1635942366138,-81.635779633581 12.1621016361711,-81.6357841337355 12.1609902532876,-81.6358085685973 12.1589950529829,-81.6358712268095 12.1562523031874,-81.6359449818582 12.1540794908825,-81.6360882782622 12.1508783573132,-81.6361882014839 12.1490999153364,-81.6363663039762 12.1464604577266,-81.6365045342295 12.1447035295784,-81.6367087970024 12.1424307171679,-81.6368843636716 12.1406928119033,-81.6371764129983 12.1380893811276,-81.6373902667298 12.1363558157739,-81.6377864694916 12.1334117383901,-81.6380393626277 12.1316778073765,-81.6384436204165 12.1291040212378,-81.6386772070683 12.1277048621195,-81.6388000683356 12.1269993138984,-81.6391492510325 12.1250718520024,-81.6394765530906 12.1233630420265,-81.6399999442908 12.1207839900576,-81.6403678960932 12.1190684587354,-81.6410231172044 12.1161702036309,-81.6414277493455 12.1144679007827,-81.642062814414 12.1119212679371,-81.6425049785388 12.1102278984251,-81.6431072409459 12.1080212824404,-81.6435900938973 12.1063263349326,-81.6443426445946 12.1037917023683,-81.6448632114088 12.1021071115445,-81.6457791368849 12.0992558014544,-81.6463454765235 12.0975584501034,-81.6472156061479 12.0950443617209,-81.6477027897087 12.0936801211371,-81.6479526215549 12.0929959898369,-81.6486754359114 12.0910616934781,-81.6491812186237 12.0897435668841,-81.6494288652501 12.089056876172,-81.6496003924058 12.088588452878,-81.6500296637566 12.0874497986325,-81.6506545398121 12.0858431437503,-81.6510229902142 12.0849196838128,-81.6520836468091 12.0823224171069,-81.6523384129746 12.0817134464778,-81.6528580430476 12.0804996914668,-81.6531229064097 12.0798949082534,-81.654202263828 12.0774847932015,-81.6544771507318 12.07688435896,-81.6550368771557 12.0756879998842,-81.6553217160942 12.075092076199,-81.6565537268149 12.072569925764,-81.6569957932788 12.0716830450583,-81.6577448201782 12.070210934754,-81.6582045927998 12.0693256102584,-81.6601366455135 12.0656824424348,-81.6609723082773 12.0641461855371,-81.6622543197287 12.0618494344741,-81.6630106820082 12.0605260053349,-81.6632468372611 12.0601191488282,-81.6637123700468 12.0593317182701,-81.6644961547869 12.0580331909643,-81.6658784643512 12.0557944397026,-81.6668199567897 12.0543061343829,-81.6690958378601 12.0507926369095,-81.6698306009711 12.0496856986875,-81.6710694998732 12.0478631934443,-81.6718249407761 12.0467776827883,-81.6741265770535 12.0435465130077,-81.6749058722951 12.0424774722002,-81.6762242909021 12.0407098655581,-81.6770310508384 12.0396527167932,-81.6796095309105 12.0363511313201,-81.680703721337 12.0349804713127,-81.6823719708645 12.0329366232845,-81.683351412497 12.0317610216469,-81.6836562104133 12.0314001038714,-81.684252589691 12.030705226249,-81.685252478778 12.0295613673653,-81.6870076547594 12.0275936472265,-81.6881967841689 12.0262892321598,-81.6910573212472 12.023217970394,-81.6919760382361 12.0222533581193,-81.6935173632236 12.0206701593059,-81.6944526644199 12.0197301785097,-81.6972888649952 12.0169412459131,-81.6982447487474 12.0160215599865,-81.6998546894951 12.0145060108559,-81.7008355235706 12.013602724775,-81.7039568798339 12.0107916147393,-81.7052766028578 12.0096281823363,-81.7072809322302 12.0078993466157,-81.7084545386417 12.0069073934226,-81.7088190533527 12.0066034292401,-81.7095275271996 12.0060220892321,-81.7107125048431 12.0050675041916,-81.7127866608844 12.0034304274762,-81.7141870076747 12.0023494274872,-81.7175451947275 11.999813569796,-81.7186199440602 11.999020548711,-81.7204168576002 11.9977246887819,-81.7215035990947 11.9969587553619,-81.7247881898865 11.9946966702024,-81.7258916210643 11.9939542399749,-81.7277441745704 11.9927367253906,-81.7288692891424 11.9920147053481,-81.7324387773357 11.9897793809945,-81.7339442280979 11.9888586054428,-81.7362243290655 11.9874975153051,-81.7375573183707 11.9867197504641,-81.7379731816934 11.9864808049686,-81.7387849394489 11.986022952302,-81.7401463959677 11.985271305617,-81.7425295020788 11.9839868921213,-81.7441415760502 11.9831407661591,-81.7480692085602 11.9811324083752,-81.7491101576184 11.9806070509946,-81.7502526256338 11.9800442269143,-81.7521375379881 11.9791396701536,-81.7532726216601 11.9786090750924,-81.7566641914839 11.9770653882348,-81.7577996442149 11.9765623014583,-81.759700537231 11.9757428242055,-81.7606547854968 11.9753416402918,-81.7622454772556 11.9747132416492,-81.7646048212222 11.9738372932538,-81.7661452516867 11.9731843752643,-81.7682828418133 11.9723360718693,-81.7693829679322 11.9719039256214,-81.7697973449961 11.9717413084311,-81.7709530331446 11.97130761931,-81.7721260742165 11.970907101974,-81.7725568698804 11.9707671980148,-81.7736940729377 11.9703983404642,-81.7758915287159 11.9696945797928,-81.7775029294784 11.969219236315,-81.7798827665395 11.968397943026,-81.7815457004266 11.9678631300472,-81.7826118304471 11.9675462117623,-81.7847501993061 11.9669330324841,-81.7860372757213 11.9665789016412,-81.7899090081935 11.9655582731825,-81.7912036120387 11.9652318465801,-81.7933670768797 11.9647110182726,-81.7946749874824 11.9644110663264,-81.7988056532496 11.9635113542261,-81.8005419457113 11.9631522091378,-81.8031611252985 11.9626395959696,-81.8046899806019 11.9623561512107,-81.8051634980601 11.9622715948475,-81.8060656879902 11.9621177396386,-81.8073716912006 11.9619059500739,-81.8103319958025 11.9615639407103,-81.8110609844514 11.9614549015839,-81.8123977710231 11.9612288876484,-81.8138601866114 11.9610017556615,-81.8157893392647 11.9607373136905,-81.8173722575555 11.9605512536072,-81.819752318404 11.9603177702869,-81.8216523286801 11.9601753533232,-81.8244333306776 11.9600310337931,-81.8250623603273 11.9599967901875,-81.8264288952817 11.9598546973389,-81.8271640607256 11.9597868673999,-81.8283615239096 11.9598029209701,-81.8293572683597 11.9596954839942,-81.830613357144 11.9595674895416,-81.8329621844223 11.9594097611595,-81.833582030086 11.9593787040077,-81.8347662335763 11.9593389530397,-81.8352941397803 11.9593229500472,-81.8370898608701 11.959340737666,-81.8377640264348 11.9593493550965,-81.8388827644984 11.9593239372035,-81.8396608185693 11.9593638409387,-81.8419268010077 11.959262014142,-81.842865045245 11.9592800035088,-81.8441681363238 11.9593155263203,-81.8447166115018 11.9593098867267,-81.8454900988532 11.9593026747465,-81.8460716152812 11.9593067509433,-81.8472345303173 11.959323052487,-81.8478159281737 11.9593352778127,-81.8510299633666 11.9594253851154,-81.8516295965604 11.959446533954,-81.8528284845205 11.9594974999962,-81.8534277379508 11.9595273171459,-81.8558235023752 11.9596638911675,-81.8564222527305 11.9597023680427,-81.85761911635 11.9597879756234,-81.8582172282008 11.9598351062239,-81.8619880576837 11.9601608817888,-81.8633179999657 11.9602897518893,-81.865531959053 11.9605283034897,-81.8668652371439 11.9606865351058,-81.8710599592418 11.9612310668332,-81.8728184920843 11.9614781458392,-81.8754401399723 11.9618749365154,-81.8769444481895 11.9621177396373,-81.8778466381239 11.9622715948468,-81.878320155592 11.9623561512119,-81.8798490108928 11.9626395959704,-81.8824681904747 11.9631522091376,-81.8842044829362 11.9635113542257,-81.8883351487013 11.9644110663257,-81.8896430593068 11.9647110182724,-81.8918065241565 11.9652318465823,-81.893101127997 11.9655582731836,-81.8969728604617 11.9665789016402,-81.8982599368717 11.9669330324815,-81.9003983057338 11.9675462117604,-81.901683502437 11.967929830584,-81.9057189776207 11.9691828412027,-81.9074083323366 11.969726946773,-81.9099222598201 11.970566298192,-81.9113631982159 11.9710632290196,-81.9122268099722 11.9713697043984,-81.9126770382932 11.9715334592524,-81.9141297116035 11.9720727183924,-81.9166168847851 11.9730243098356,-81.9182626212702 11.9736742757228,-81.9221719638792 11.9752659639674,-81.9234072101285 11.9757848179306,-81.9254461435931 11.9766673709073,-81.9266636270606 11.9772100273368,-81.9302968975986 11.9788766545243,-81.9315020873672 11.9794453090005,-81.933500035152 11.980414524711,-81.9346981840728 11.9810119018748,-81.9384519890979 11.9829354740878,-81.9400207579865 11.9837604170954,-81.9423503762351 11.9850174679696,-81.9436838373862 11.9857541383274,-81.9444822680821 11.9862046196861,-81.9448957666334 11.9864422279902,-81.9462287547718 11.987219992972,-81.9485088535218 11.988581083229,-81.9500143027972 11.9895018588487,-81.9535837873368 11.9917371832903,-81.9547089007496 11.9924592033564,-81.9565614523556 11.9936767179871,-81.9576648823997 11.9944191482416,-81.9609494698074 11.9966812334781,-81.9620362101857 11.9974471669266,-81.9638331218696 11.9987430268974,-81.9649078700879 11.9995360480045,-81.9660555555554 12.0012500000001,-82.1243611111111 12.1246666666668,-81.9896111111111 12.836888888889,-81.7729722222222 13.0543055555556,-81.7665 13.5188888888889,-81.4929722222222 13.7765833333335,-80.7706837456298 13.7769301779013,-79.358032720346 13.7776085361332,-79.3546314946477 13.7953729551979,-79.3499360209305 13.8209894080349,-79.3454430790348 13.8466405567163,-79.3411530035082 13.8723248678986,-79.3370661154088 13.8980408064382,-79.3331827241033 13.9237868326964,-79.329503129066 13.9495614061343,-79.3260276171807 13.9753629853137,-79.2677624834518 14.4195501525177,-79.2619448689603 14.4663237248602,-79.256799870018 14.5131720209722,-79.2523289147475 14.5600858362926,-79.2485333026697 14.6070559491729,-79.2454142056011 14.6540731208779,-79.2429726649563 14.7011280991824,-79.2412095935478 14.7482116156738,-79.240125772886 14.7953143938443,-79.2397533960023 14.8318332711886,-79.2397897915656 14.8683538122787,-79.2402351610238 14.9048716859797,-79.241089658161 14.9413825593578,-79.2491705712197 14.9528532123354,-79.2419406835051 14.9659621665801,-79.2419442489535 14.9660651450906,-78.6333333329999 14.4936112590004,-78.6333331889999 14.4936111470004,-78.6333329999998 14.4936110000005,-78.3512010555245 14.2707012072582,-78.3249999999998 14.2500000000003,-77.6666669999998 14.0833330000005,-74.5138889999997 14.7361110000004,-73.458333 15.033333,-71.675 15.0111110000003,-71.5770209619999 15.02989724,-71.4052779999998 15.0628267790003)))', 'Colombian Exclusive Economic Zone', 'Colombia', 'Colombia', '', '132', '132', 'COL', '8426', '2014-02', '722399084600', '8426', 'Y'),('SRID=4326;MULTIPOLYGON(((68.4085275480001 23.6081188790001,68.4041540110001 23.512636177,68.4330454670001 23.4299999240001,68.543045702 23.2691632200001,68.6590092120001 23.1482637890001,68.7524904310001 23.089164297,68.9027723990001 23.0047193780001,68.9427458260001 22.988044702,68.9655454620001 22.978609712,69.0548369220001 22.9386101750001,69.1135999890001 22.8949993310001,69.1424914450001 22.8719365800001,69.21581824 22.840272371,69.2694365 22.8291632850001,69.4074816030001 22.8091635170001,69.6833187350001 22.753327858,69.710262938 22.7427721180001,69.7502634790001 22.801736035,69.7994278620001 22.8365274990001,69.841654841 22.856390688,70.2271999690001 22.957499236,70.2919273150001 22.947772007,70.338873295 22.934018714,70.3938724080001 22.9400633340001,70.4024818990001 22.9747182180001,70.4081810550001 23.017636125,70.400545692 23.041799542,70.4015188170001 23.066936083,70.4144275300001 23.0890277180001,70.481890471 23.125936154,70.5097184200001 23.098190554,70.527900484 23.041799542,70.5224905540001 23.014717756,70.503046139 22.974645912,70.4785904840001 22.96054615,70.4408093500001 22.961590577,70.381091235 22.905554067,70.3674815510001 22.888609246,70.32192747 22.814309327,70.2136093650001 22.6213816050001,70.1844276790001 22.5659717510001,70.169981449 22.550827563,70.1441549840001 22.5434723880001,70.0969368500001 22.5497188640001,70.0385192480001 22.5565909910001,70.007490734 22.5449998620001,69.984145787 22.533881738,69.940810109 22.508890815,69.8708184500001 22.4655460980001,69.7005457510001 22.4055548260001,69.465545707 22.333882042,69.2912278630001 22.281663715,69.2663905900001 22.2775000680001,69.22039062 22.2739540380001,69.170336466 22.3107901670001,69.176509631 22.357909884,69.151654282 22.4033273850001,69.0713820490001 22.480754559,69.0059637740001 22.4438812720001,68.9863727380001 22.418326961,68.9663719650001 22.38540944,68.9435904050001 22.324999393,68.9459544250001 22.2893000820001,68.962772709 22.2477730700001,68.976927705 22.227217948,68.9983183690001 22.199719395,69.0177637880001 22.176936832,69.1155361960001 22.062499792,69.1935910300001 21.98332722,69.229427924 21.9472181720001,69.330681085 21.863881952,69.4369183700001 21.771664088,69.5552549380001 21.6586089050001,69.578327732 21.639999027,69.5958279060001 21.633327751,69.6206089400001 21.623537254,69.6480361900001 21.6011091930001,69.7885909300001 21.4663811500001,69.827480764 21.416109073,69.856091028 21.3772182340001,69.8952640630001 21.326109611,70.015828072 21.1861102250001,70.045535988 21.1580543110001,70.0608097260001 21.144436592,70.1930361660001 21.033881004,70.2744281450001 20.968055001,70.3288729080001 20.9280544590001,70.522763712 20.8138905770001,70.57581758 20.789163773,70.7183185690001 20.734435809,70.825127276 20.6959627410001,70.9633179960001 20.7023538300001,71.1347184750001 20.760000163,71.1819275700001 20.7799989280001,71.2235991950001 20.799445351,71.375264024 20.855272976,71.441654419 20.8744361990001,71.4763725710001 20.892845225,71.5680541630001 20.9749903960001,71.7935900940001 21.0505536700001,72.0033280660001 21.134718402,72.0488721040001 21.1608280670001,72.1081001410001 21.204090434,72.0980364860001 21.2519452660001,72.1035900250001 21.307080958,72.1762279000001 21.399164252,72.1991550760001 21.418054317,72.2380368760001 21.4592991330001,72.2485996460001 21.478609982,72.289154538 21.6108283880001,72.2513904750001 21.68916341,72.213318106 21.704990493,72.2149911970001 21.7334631740001,72.1665820160001 21.7883990190001,72.0777725980001 21.784163065,72.0224902850001 21.773327137,71.9917811240001 21.7920816280001,71.998308792 21.853881566,72.022899017 21.846799549,72.0832548340001 21.8290904890001,72.163180599 21.8373545160001,72.1470723240001 21.927145092,72.116090006 21.9188810650001,72.038898832 21.9390184170001,72.1255360430001 21.9727724840001,72.1763735170001 21.969718539,72.24581886 22.003053831,72.2652723130001 22.016109166,72.3026909120001 22.0620097140001,72.3254102070001 22.1515271330001,72.32192845 22.174999621,72.3000457000001 22.2271456410001,72.2620727520001 22.227217948,72.172481019 22.251936718,72.155190734 22.281245945,72.214154652 22.2947180460001,72.24970935 22.2977719900001,72.3758088210001 22.299162885,72.3893552370001 22.252218914,72.4683189240001 22.2280544930001,72.504299427 22.2416631730001,72.5538725420001 22.2772188760001,72.583881735 22.2858273630001,72.6760905610001 22.2672184890001,72.7851277140001 22.2551362790001,72.818054273 22.2722186830001,72.9147722110001 22.271109983,72.9165818810001 22.2195092740001,72.886790611 22.2133993780001,72.84872728 22.2347187400001,72.813110318 22.2362462140001,72.788881625 22.215272316,72.7690184350001 22.1867996350001,72.7510271790001 22.1667988620001,72.679355399 22.1793721540001,72.644990745 22.202081407,72.616099289 22.208326878,72.5806821740001 22.1983285000001,72.5638719240001 22.1847188150001,72.5366545640001 22.1377718310001,72.5199899310001 22.0859722800001,72.501654215 21.974927618,72.5389362340001 21.9107536170001,72.5740088900001 21.9224281,72.601099714 21.946246052,72.6227544970001 21.9602725030001,72.7226278090001 21.9901270410001,72.705554444 21.9513818200001,72.6776903420001 21.9304099300001,72.648599039 21.9396450730001,72.6246997420001 21.926381857,72.566372523 21.845972041,72.558028155 21.8094371890001,72.5558177870001 21.7886089090001,72.5503998230001 21.7426360530001,72.5291638140001 21.703881794,72.526172134 21.6820000480001,72.54602729 21.663882256,72.5809543280001 21.672772939,72.6178276150001 21.684854145,72.7429097740001 21.68527292,72.774290782 21.6707634220001,72.9366459220001 21.681663622,72.970545606 21.6926361290001,73.026518847 21.717490474,73.058871976 21.739854263,73.1271272750001 21.7578455180001,73.1174823950001 21.7351372700001,72.901381454 21.643745908,72.8778989240001 21.6370816620001,72.845536757 21.6363816950001,72.8176907320001 21.634163293,72.666091179 21.521382272,72.631363988 21.494436061,72.6128997280001 21.473464171,72.592000145 21.418018164,72.659145741 21.4433274370001,72.6864273740001 21.4642270200001,72.715272634 21.474990641,72.74973671 21.4641275980001,72.6649905140001 21.4155537190001,72.608872659 21.4002719470001,72.58777323 21.3938909010001,72.5648460530001 21.3750631,72.5960995200001 21.2794458270001,72.6155278670001 21.252427309,72.6447185920001 21.259162858,72.7145726670001 21.2015185330001,72.682209496 21.1644363610001,72.627345958 21.1299994,72.6129730390001 21.1067368020001,72.626635949 21.085554019,72.721972029 21.0821455720001,72.7558275260001 21.10916409,72.806227144 21.1256911400001,72.852763387 21.06513648,72.8467910730001 21.0354185200001,72.8405456020001 20.910272089,72.8474910400001 20.842909574,72.8858184910001 20.809435695,72.9218632660001 20.8135370790001,72.934419485 20.7747185470001,72.9341453230001 20.7533268780001,72.883318896 20.5086096470001,72.852763387 20.463327721,72.8295730950001 20.4406907740001,72.8200637900001 20.3790906830001,72.8038721620001 20.357354555,72.784991135 20.3502725380001,72.7816630290001 20.3463820480001,72.7508182940001 20.2855542300001,72.739699166 20.220827888,72.7285910840001 20.142773054,72.7274542660001 20.1321811600001,72.7238720830001 20.096381423,72.6987285120001 19.9806900670001,72.666091179 19.9186099410001,72.6641539680001 19.8708274150001,72.67220911 19.816390686,72.6771992610001 19.793610131,72.6997096710001 19.7636089710001,72.7033270030001 19.697772926,72.7076272290001 19.5902722860001,72.7537457020001 19.372772415,72.8019279220001 19.328472651,72.879427402 19.3233278450001,72.9613807600001 19.309853735,73.000463412 19.2873634100001,73.033054549 19.251945291,73.0426281260001 19.2110449350001,73.0169995000001 19.2072900200001,72.9930359300001 19.2540281190001,72.8499815960001 19.3189543080001,72.7790178170001 19.3105547060001,72.766590143 19.2320720590001,72.7858186430001 19.1502723510001,72.8158911040001 19.168018569,72.824018552 19.0454098930001,72.7997637490001 18.987636019,72.7732192400001 18.9459362760001,72.8230454280001 18.912490516,72.8880449270001 18.9966632810001,72.9322091170001 19.061109436,72.9697100640001 19.078881763,73.0541820980001 19.004718423,72.9755357560001 18.946663357,72.911927152 18.9174997480001,72.9447000590001 18.8522180520001,72.9930459730001 18.790553688,72.9874904260001 18.7277725910001,72.971509692 18.781246239,72.927064311 18.820554848,72.8598363660001 18.7963914320001,72.85093564 18.746272001,72.8538640520001 18.660554689,72.902772349 18.5188902460001,72.8895724020001 18.4770810380001,72.8940815130001 18.4172183110001,72.9130358510001 18.37555472,72.9319269210001 18.3488816670001,72.9672094650001 18.3016635330001,72.9713731130001 18.1805451750001,73.0113816890001 17.990827057,73.0560901850001 17.886663561,73.10109092 17.7916639060001,73.1091450580001 17.7697178880001,73.1211629950001 17.715127508,73.1054724910001 17.6934626820001,73.1170636200001 17.631109398,73.131363229 17.6058272400001,73.1785914050001 17.471109239,73.185808997 17.440272538,73.1981814370001 17.3686630220001,73.2477545520001 17.174163639,73.25888071 17.145273187,73.274699759 17.081936736,73.2744266010001 17.060828268,73.2715192790001 17.033882057,73.2530550180001 16.998880704,73.269717643 16.85332778,73.312481898 16.606382104,73.3605365770001 16.5122179910001,73.3388807900001 16.513336732,73.3260996170001 16.4858281370001,73.3441451020001 16.429163967,73.4080369070001 16.2344366180001,73.447481091 16.058609376,73.4855373920001 15.9913904700001,73.4994192300001 15.9758265020001,73.527627791 15.949163491,73.5499905760001 15.9338907580001,73.5902632710001 15.896245197,73.6110995860001 15.863882027,73.6377636010001 15.8142366050001,73.6499904240001 15.777290007,73.6438734970001 15.739582183,73.6705365080001 15.7216632340001,73.6972095620001 15.721936392,73.6831098000001 15.705136184,73.7655452020001 15.4877718880001,73.793727652 15.449864217,73.8195822370001 15.446663652,73.8438731940001 15.444718407,73.919009659 15.418054392,73.9494988870001 15.3985447000001,73.9597814700001 15.3652726770001,73.94219995 15.3827095830001,73.9172100310001 15.3998632890001,73.8316634430001 15.4061097640001,73.788599919 15.39899059,73.8106724730001 15.372909044,73.8655360110001 15.3504629060001,73.905818749 15.3013899110001,73.95166306 15.162499224,73.9583273060001 15.0658365200001,74.071654643 14.906390711,74.1013635640001 14.8670901360001,74.097973193 14.7874636400001,74.1760902920001 14.7416635170001,74.225254674 14.737218678,74.2472087260001 14.7223546770001,74.27096341 14.680000158,74.2830546590001 14.6055546210001,74.3031729300001 14.5204177700001,74.335262943 14.521245277,74.3475450010001 14.5629811740001,74.3752634850001 14.541662817,74.411927887 14.483327563,74.3958899100001 14.4554815380001,74.3752634850001 14.4483272150001,74.4019275000001 14.3616638930001,74.42998241 14.279163215,74.450818725 14.2461091160001,74.478318281 14.1313818460001,74.497754662 14.046390612,74.565263799 13.9375000800001,74.602763742 13.8674993830001,74.6191361360001 13.8324990350001,74.670254802 13.618054113,74.67539057 13.5158278280001,74.730272185 13.2672191030001,74.771654584 13.0563905080001,74.8168541620001 12.8570817410001,74.8377728250001 12.8461102380001,74.8552539190001 12.7550000690001,74.8619282070001 12.747499277,74.8816548180001 12.714446181,74.923599601 12.6119457350001,75.021381046 12.411110497,75.1274717100001 12.2080538440001,75.1763729780001 12.067499104,75.1938721480001 12.0101359710001,75.248590069 12.008054148,75.2744095040001 12.0077729560001,75.3774723350001 11.8605539700001,75.5285898450001 11.700272619,75.5561637160001 11.632563636,75.5649911310001 11.589719039,75.579989702 11.5469447410001,75.6179636540001 11.4708271170001,75.6466542590001 11.4647182250001,75.6837273930001 11.440554809,75.7177546170001 11.3652727260001,75.861645497 10.9805541010001,75.8931901990001 10.855273099,75.9074807690001 10.8033269260001,75.9241454020001 10.7555544430001,76.0233187470001 10.53832773,76.0813728080001 10.4066636740001,76.164154678 10.1877729080001,76.183591059 10.086663356,76.1963631940001 10.0652726920001,76.2042998330001 10.035419158,76.2370727410001 9.98416391400002,76.2385911760001 10.0130543650001,76.22803644 10.0691631820001,76.2129725920001 10.095137273,76.211728319 10.1284996790001,76.240118651 10.1108277770001,76.2778365170001 9.96859894200003,76.3202633430001 9.94389021400002,76.3574730560001 9.91179919700005,76.384154143 9.86027280300004,76.3962373580001 9.82208092700006,76.415818352 9.68194596700005,76.424426839 9.59791881900003,76.469981923 9.55250031300005,76.498873379 9.53041872000006,76.4763730120001 9.49756346400005,76.3924904770001 9.50360908800008,76.352899672 9.52639064700003,76.362764483 9.59694569400006,76.3788727580001 9.64013675900003,76.356936783 9.77666342500004,76.3263812740001 9.76971798700004,76.286273276 9.83105496300004,76.2622193240001 9.87652769900006,76.2603363430001 9.90450929900004,76.287754555 9.91097269400007,76.244417873 9.96120962200007,76.245527576 9.90221858900003,76.2625999370001 9.82905448400004,76.288317943 9.67971852600004,76.294145643 9.59305420000004,76.297208626 9.56860959200003,76.3005367320001 9.54444517100006,76.3038638340001 9.52027271700007,76.307755328 9.49694584600007,76.315810469 9.46360955000006,76.330272768 9.41624580000007,76.340818466 9.38527252000006,76.380263653 9.28139122000005,76.3952632290001 9.24805492500008,76.4424733280001 9.14332804100007,76.534145881 8.96500020100007,76.559009265 8.99152763700005,76.6637361480001 9.00381772800006,76.6602634290001 8.96666325000007,76.6365097490001 8.96485458400002,76.6057453550001 8.97152786800007,76.5712461300001 8.93700956300006,76.568327761 8.90666293900006,76.575819515 8.87694598400003,76.668318571 8.78194532500004,76.8121903700001 8.59249936100002,76.8416642940001 8.55277298100003,76.95027263 8.41832813800005,76.9591552790001 8.40860894300005,76.964427625 8.40055380200005,76.9985994620001 8.36527326600003,77.0430368090001 8.32985414200004,77.0813732980001 8.30221901100003,77.0927906910001 8.29474533400003,77.165671595 8.22916437000004,77.2277637720001 8.18027214100005,77.2991453220001 8.13305400700006,77.4510903390001 8.08541810300005,77.4860997260001 8.07805489400005,77.53609965 8.07194600200006,77.558727558 8.09950983100003,77.5790818300001 8.12895463200005,77.606645659 8.14277320200006,77.6502715660001 8.15444567500003,77.7880364810001 8.19610926600006,77.9510996220001 8.30582730500004,77.9969369030001 8.33832805900005,78.0024904420001 8.33944479200005,78.0269280200001 8.34944517800005,78.062062939 8.36624538600006,78.1298462380001 8.48152801000003,78.142909607 8.57916383800006,78.1399811950001 8.61721813100007,78.1751191260001 8.86389064900004,78.192472679 8.90416334500003,78.2116539790001 8.93444569600007,78.229572928 8.96166406100002,78.3902640150001 9.08568974200006,78.4099906260001 9.09694544900003,78.429153849 9.10582709400006,78.4613814460001 9.11499997300007,78.6621986070001 9.17666433700003,78.7663032900001 9.21344836400004,78.8099822460001 9.22888207000005,78.82892717 9.23523773300008,78.856372611 9.24444562700006,78.877472041 9.25110987300008,78.9678993150001 9.27332704000003,78.9679001980001 9.27332708200004,78.9679003190001 9.27332711200006,78.9974822350001 9.27471800500007,79.0161644820001 9.27343628900007,79.176372928 9.26244592100005,79.221709085 9.25594536800003,79.2831578730001 9.24810337000002,79.2944361340001 9.24666411000004,79.2944363390001 9.24666403000003,79.316080216 9.23823245600005,79.316080259 9.23823200600003,79.332218233 9.23194498500004,79.3519272730001 9.22027318500005,79.3766451700001 9.19555394600008,79.4124912170001 9.16860914500006,79.4462272040001 9.15992700200007,79.331663351 9.26416418300005,79.3131130410001 9.26909106800002,79.313113086 9.26909060100007,79.286943308 9.27604164000007,79.2278182760001 9.29174500300007,79.2042361270001 9.28850003300005,79.1817643700001 9.28961325900002,79.1234897840001 9.29249930200007,79.1033283300001 9.29966366800005,79.1033275620001 9.29966410800006,79.1033272320001 9.29966422500007,79.100072126 9.30153059800006,79.080654226 9.31266376900004,79.0265572050001 9.32703959400004,79.009154203 9.33166415200003,79.007582949 9.33320747900007,78.977480927 9.36277215200005,78.9432782440001 9.40662934400007,78.9410822520001 9.40944502900004,78.9410816450001 9.40944597600003,78.9166542010001 9.44721807500002,78.909009235 9.47389113500003,78.943309157 9.59832702600005,78.9819361520001 9.66416419400002,79.035263328 9.74416409500003,79.1341541960001 9.87694500900005,79.1541633080001 9.90360901700006,79.1791541200001 9.93416423900004,79.1958181810001 9.95250015500005,79.2194362050001 9.97832697800004,79.2262276650001 9.98696871000004,79.249999996 10.017218013,79.259299411 10.046245044,79.241509007 10.083472833,79.235672268 10.147772366,79.2356723300001 10.1477727160001,79.2356722870001 10.1477731860001,79.241927198 10.1830539580001,79.2419277710001 10.1830548510001,79.2419277820001 10.1830549110001,79.2719359710001 10.229854269,79.30247051 10.2590222800001,79.3243541640001 10.2799269660001,79.3243551480001 10.279927507,79.3936723360001 10.318264115,79.481281816 10.3084970850001,79.492754909 10.3072181750001,79.5181638380001 10.3030321530001,79.565263305 10.295273057,79.619543702 10.2844701940001,79.7112550190001 10.266218398,79.736693458 10.2650721910001,79.7675541670001 10.263682165,79.7497361210001 10.282882027,79.683654033 10.3052729300001,79.6836549980001 10.305272889,79.683654168 10.3052731710001,79.7196959220001 10.303736315,79.7480539910001 10.302527293,79.7548949150001 10.2993212980001,79.778645103 10.2881911870001,79.7786453630001 10.288190663,79.7786456540001 10.288190527,79.7831844400001 10.279028238,79.7879001040001 10.269509359,79.809221816 10.2706272200001,79.8263822210001 10.271527125,79.8334282000001 10.2747028590001,79.858109261 10.285827421,79.864427177 10.3855540340001,79.862763369 10.407773118,79.854732524 10.544357324,79.8530449940001 10.5730549210001,79.851747877 10.6075126760001,79.8478610830001 10.710749402,79.8478616580001 10.7107496140001,79.8455371730001 10.772499263,79.842482224 10.806390913,79.8408181710001 10.8177821940001,79.8476902990001 10.848399968,79.8473448340001 10.894581708,79.8419359090001 10.92194569,79.8410913290001 10.943609512,79.8527638030001 10.9883280510001,79.8535903060001 11.003891014,79.854710052 11.080690528,79.853319157 11.145690028,79.830272473 11.3418725450001,79.7834640770001 11.428054828,79.7511099440001 11.5547186910001,79.7642998490001 11.656245009,79.7816644490001 11.739718812,79.7866546000001 11.758327685,79.7860279440001 11.7763179360001,79.8035180750001 11.798127375,79.8044640850001 11.818136183,79.8048457020001 11.832290174,79.8152628550001 11.8474906010001,79.816081324 11.863054569,79.827481645 11.894717773,79.8450812400001 11.938790575,79.858036149 11.9736101570001,79.85919004 11.990027743,79.8655359370001 12.0283270740001,79.8707721310001 12.0385373500001,79.8794278180001 12.052498524,79.9335903850001 12.138609505,79.951662986 12.1658359040001,79.981654103 12.2072183020001,80.0336002760001 12.27860889,80.1022000350001 12.3780543890001,80.137636231 12.4299995580001,80.160264139 12.473055048,80.227199845 12.6711094990001,80.256381531 12.772918014,80.2619370790001 12.825272919,80.261381725 12.8633272120001,80.2635991230001 12.9541632190001,80.2806825310001 13.0480541750001,80.3052546800001 13.134445343,80.3216551930001 13.173336181,80.3487369790001 13.3426367600001,80.3344905960001 13.3991191590001,80.3138722050001 13.4222190680001,80.261381725 13.4652725500001,80.2240193650001 13.48152845,80.118854625 13.4997275870001,80.11220946 13.507081758,80.0844267030001 13.548336616,80.0585912000001 13.587498603,80.049427359 13.6205547110001,80.0908177920001 13.6884725800001,80.1524811510001 13.718054965,80.239699826 13.5919464560001,80.250545797 13.573609736,80.2816636900001 13.5072183360001,80.309145169 13.4380551890001,80.3137988940001 13.4571179870001,80.2838730540001 13.526109406,80.2683281670001 13.554718666,80.228318587 13.6704180560001,80.2256814090001 13.701799065,80.2322100810001 13.738881237,80.2483183560001 13.7673639610001,80.2485995480001 13.800000289,80.2430460090001 13.8199990540001,80.2251190260001 13.862772348,80.1824813060001 13.9558277620001,80.1513814900001 14.0358278410001,80.139710021 14.1049990230001,80.126081255 14.200272839,80.1384547000001 14.2597901030001,80.1749001740001 14.3486818690001,80.194972249 14.5558278550001,80.181363569 14.602218481,80.1472098080001 14.6807633930001,80.1085991580001 14.760000237,80.08749069 14.845553855,80.0490808900001 15.0555539380001,80.0558094090001 15.110555059,80.0938817780001 15.315690524,80.111098752 15.352218346,80.1363809100001 15.397781465,80.2091543600001 15.530836417,80.233036584 15.607499352,80.2627726200001 15.6756903790001,80.2794362490001 15.6991628660001,80.3069267670001 15.7270822020001,80.331099221 15.7486094450001,80.367199231 15.774162753,80.3949910260001 15.7908364240001,80.557062966 15.8779094820001,80.684709996 15.899999108,80.7294275310001 15.8957631540001,80.7770724740001 15.878054095,80.8059548910001 15.8426359750001,80.812763751 15.821945278,80.8148455740001 15.7795817210001,80.8252727700001 15.751945585,80.8881904460001 15.8777729030001,80.8967999370001 15.919717685,80.8891635700001 15.971380658,80.8826188310001 16.0119445880001,80.9035907200001 16.0080540980001,80.9080365630001 15.977772751,80.9122002110001 15.932218671,80.901636436 15.863327677,81.0133368770001 15.7834370620001,81.003581529 15.818118057,81.000036504 15.839855189,81.0380907970001 15.886318122,81.1047643920001 15.9380544050001,81.1503275100001 15.969999805,81.163928157 16.066110168,81.247945262 16.3142991140001,81.2653178960001 16.332219067,81.3210179800001 16.367081833,81.341290906 16.374162846,81.4122637240001 16.385272935,81.4300370560001 16.3680539530001,81.4939278560001 16.3547194350001,81.5717185710001 16.342490603,81.650745526 16.3348542360001,81.7139273210001 16.316937296,81.7272638480001 16.3108273990001,81.770872684 16.3258279790001,81.9408722250001 16.386663831,81.9889188700001 16.405544858,82.0867183920001 16.4522186840001,82.1742092200001 16.496380865,82.1989269860001 16.5091630420001,82.301699587 16.583055233,82.3464362020001 16.7047189030001,82.3646273050001 16.7847189830001,82.3711368960001 16.845272639,82.369454766 16.869299476,82.3657450430001 16.8308274130001,82.274299452 16.860827568,82.253464142 16.882354811,82.2483815990001 16.9119371950001,82.2952633070001 17.0201367980001,82.313309797 17.0455545310001,82.3620724770001 17.0983272070001,82.4752632340001 17.2022185490001,82.5091548840001 17.2266641620001,82.5441542280001 17.249999067,82.6149904660001 17.2911093120001,82.777482186 17.372219095,82.8066357530001 17.382499669,82.8841553180001 17.40805398,83.0102718620001 17.4872185180001,83.1611001460001 17.5484631030001,83.216381455 17.58055412,83.2341457480001 17.5924907130001,83.3422097760001 17.7144365790001,83.3863820000001 17.766390787,83.5174907030001 17.9333273450001,83.5812358860001 18.0152726690001,83.772446329 18.139690011,83.884154804 18.1888815080001,83.978591071 18.227772347,84.076727019 18.266589874,84.1158819770001 18.302082308,84.134154424 18.341663071,84.2873186090001 18.504672987,84.3494278580001 18.5688811320001,84.4944274370001 18.735272379,84.6130361580001 18.889718999,84.6358177180001 18.91540989,84.658872435 18.926663589,84.6763726090001 18.9419363220001,84.7081814310001 18.9851364250001,84.7599900210001 19.0613815890001,84.7649279500001 19.094854463,84.7423371990001 19.0755536570001,84.7179729320001 19.104853846,84.7265814190001 19.1239989920001,84.7656811420001 19.112499251,84.790263334 19.117636023,84.8288729800001 19.168609071,84.8805369570001 19.2283271860001,85.099718958 19.4122186070001,85.1576545170001 19.459828401,85.1818279760001 19.4791633520001,85.2727463320001 19.539999204,85.2904182340001 19.5510641020001,85.3298192350001 19.571163293,85.302672172 19.579691439,85.2927722110001 19.597426609,85.3318628970001 19.599973404,85.3616451280001 19.600828026,85.3824914850001 19.6124994960001,85.4078991760001 19.661336491,85.380355432 19.676427453,85.3443186900001 19.660181596,85.30882726 19.641872995,85.28455438 19.640381674,85.2494455720001 19.649536476,85.2322727850001 19.600789864,85.191935818 19.5724095750001,85.1878193700001 19.542155343,85.1605548100001 19.504990821,85.1251909200001 19.507281531,85.1284899030001 19.5486910440001,85.1437546020001 19.603036386,85.1703362680001 19.6249723620001,85.2036364100001 19.682790423,85.238827568 19.74060045,85.3267994350001 19.7927545040001,85.353199331 19.8291999780001,85.43488154 19.887010005,85.4587547260001 19.9033452420001,85.5341633450001 19.880727376,85.575009471 19.8354816020001,85.5592998860001 19.801544762,85.5605552060001 19.751281722,85.549245269 19.73242781,85.51970908 19.726145181,85.4895462360001 19.72237219,85.4612723970001 19.7135819320001,85.4311095520001 19.6941003600001,85.4471374870001 19.6733634670001,85.4513814750001 19.6602719790001,85.4833188410001 19.6659631000001,85.634154155 19.7277720770001,85.7413635600001 19.7597184810001,85.8713726020001 19.7977717700001,85.928318968 19.813054546,85.9541635100001 19.8197187920001,86.0185996220001 19.831390261,86.158036624 19.871381765,86.2720810000001 19.9106903740001,86.3552545300001 19.96582707,86.2972095060001 20.0044457550001,86.2452542950001 20.023327786,86.1963630700001 20.074999797,86.28959925 20.060109686,86.310527957 20.0307361870001,86.3770639690001 19.9805544920001,86.4212271540001 19.984927025,86.4856813420001 20.1449904520001,86.4878284420001 20.177081469,86.5419990440001 20.206036194,86.5983277930001 20.226110277,86.6313728540001 20.236799584,86.651654819 20.2438816010001,86.710345579 20.282563554,86.762772791 20.3361095080001,86.801654591 20.383891029,86.807481287 20.404162951,86.8021366340001 20.434227379,86.771927593 20.4011090070001,86.7278276760001 20.370000153,86.7176184040001 20.3927726740001,86.7278367150001 20.4540895650001,86.7558273530001 20.4913816270001,86.7880368720001 20.523054873,86.808727569 20.538890995,86.866928252 20.5711095520001,87.001098933 20.657772874,87.025554588 20.674827158,86.9869278690001 20.677772643,86.9389987220001 20.698191186,86.891371856 20.7594458130001,86.961235974 20.785272279,86.961936946 20.8170811000001,86.949144726 20.8461091350001,86.8832815660001 20.969054236,86.835963007 21.102771997,86.8280454480001 21.152499768,86.835681815 21.194581129,86.846646288 21.222772618,86.8799825830001 21.2804089090001,86.9633188030001 21.3819372360001,87.006799093 21.4270815790001,87.043317878 21.4594357120001,87.0674812940001 21.478881131,87.1145638530001 21.509854411,87.2072095300001 21.5492995990001,87.3291634300001 21.5616630010001,87.4549907480001 21.6065271570001,87.480899562 21.611781427,87.5216543010001 21.617499664,87.6790092480001 21.645827732,87.796372691 21.6988816000001,87.829436833 21.719163565,87.869709528 21.752499861,87.9662356530001 21.834027414,87.9863730050001 21.859446151,88.0366541210001 21.95082747,88.084572221 22.019445306,88.1162364300001 22.039999424,88.16651855 22.0897181560001,88.1745726870001 22.111109825,88.170818776 22.1308273970001,88.130454694 22.1782182630001,88.1002637300001 22.1847188150001,88.0705457700001 22.18777276,88.001590504 22.204855163,87.9819362000001 22.223045262,87.9519280100001 22.263190416,87.943862826 22.281663715,87.906099768 22.4204097890001,87.9348365690001 22.41728153,87.945953688 22.370691057,87.9681808980001 22.2923550300001,87.992064127 22.25263568,88.0074905110001 22.2352720850001,88.0310995780001 22.2200003560001,88.080272999 22.208610078,88.1458278530001 22.193609499,88.1699812260001 22.1833279200001,88.1992553040001 22.1519097550001,88.2187368770001 22.0767994,88.212210213 22.054026879,88.195945275 22.031945287,88.1769276690001 22.014999462,88.1435994070001 21.9582901000001,88.1541551480001 21.877637254,88.1670728990001 21.857636481,88.1860995440001 21.833609644,88.2064096280001 21.7919460530001,88.2028364830001 21.712144816,88.1805369670001 21.6775632430001,88.2011633920001 21.6097186850001,88.257490132 21.548745249,88.3045274990001 21.567145237,88.290681814 21.6877735190001,88.274699072 21.725827812,88.2591541850001 21.7731905580001,88.2612098980001 21.796919131,88.295473122 21.7765899660001,88.3010909330001 21.74638193,88.3077551800001 21.6941636030001,88.308872917 21.657772359,88.3063371690001 21.610590379,88.402636332 21.5837445940001,88.4503997770001 21.6113807290001,88.4638819210001 21.637772591,88.4733811830001 21.6740905240001,88.4683187260001 21.7830553700001,88.4716458280001 21.8886097610001,88.500264126 21.9480456790001,88.5122187960001 21.931108893,88.5319373730001 21.831663394,88.5255462840001 21.655828119,88.5117277150001 21.5917997350001,88.4917821760001 21.577908859,88.4831807190001 21.5538910600001,88.494428392 21.5241640620001,88.4980276470001 21.5205547640001,88.5119366000001 21.52194566,88.538272223 21.5258451880001,88.5722181020001 21.5599999520001,88.601653866 21.6097186850001,88.62802765 21.722637289,88.62802765 21.752499861,88.6043914690001 21.7777368270001,88.5657818220001 21.768745719,88.5577638380001 21.818609064,88.5747187010001 21.8787449490001,88.5885995350001 21.8933277580001,88.603591076 21.936936594,88.596590404 21.988381643,88.6258092480001 22.039718232,88.6217902130001 22.066800018,88.6131817260001 22.0983276480001,88.6402725500001 22.160827553,88.676781292 22.1971454860001,88.679555049 22.1686095370001,88.65650937 22.1469366760001,88.6447183940001 22.1219357100001,88.637771952 22.0966635950001,88.6506545540001 22.047417867,88.658736811 22.0169637880001,88.6244183530001 21.961663398,88.6356087830001 21.9411725480001,88.6844899650001 21.9331184100001,88.7277643830001 22.023054604,88.7130460000001 22.061945442,88.752572532 22.0436900670001,88.765617825 22.005163774,88.746981836 21.9846548470001,88.723981349 21.963527298,88.7140452350001 21.9312093190001,88.696636448 21.842972327,88.6834545770001 21.6862450410001,88.7120096070001 21.5622906610001,88.7362362910001 21.550271719,88.7784542320001 21.5549997590001,88.852481997 21.628880903,88.9208186420001 21.633881097,88.9846930690001 21.61018202,88.9846931230001 21.6101820690001,88.9894812080001 21.608405496,89.009709404 21.6009003080001,89.0603992520001 21.608609985,89.0742782460001 21.6182176250001,89.0843632830001 21.625200073,89.0880451180001 21.656244966,89.0754767240001 21.6931101660001,89.075476774 21.693110212,89.017490384 21.8631910240001,89.0055547950001 21.903609336,89.028302898 21.915960871,89.0582451220001 21.932218596,89.06366409 22.0075639470001,89.0535994310001 22.034582464,89.042345733 22.057081828,89.03720896 22.088746036,89.051396217 22.1221971630001,89.054455058 22.1294093870001,89.0629978680001 22.1154746060001,89.0629992600001 22.115472335,89.055278548 22.110969229,89.05282873 22.1048448920001,89.0493604640001 22.0961745220001,89.0493604640001 22.078419266,89.0582370880001 22.048829852,89.062413221 22.0416712300001,89.0685949900001 22.0310745960001,89.074911075 22.017388436,89.0774715570001 22.0118401940001,89.077121887 22.007469262,89.074512069 21.9748522990001,89.0715535290001 21.937863522,89.0704395010001 21.9343355350001,89.0715535830001 21.937863523,89.062676906 21.9097523740001,89.0557107170001 21.902786657,89.0478811950001 21.894957666,89.0567578180001 21.853530076,89.0700742600001 21.81358276,89.0833886930001 21.782512067,89.107062032 21.7588387280001,89.1216897880001 21.7455521150001,89.1217010350001 21.7455419,89.1273038260001 21.740452799,89.12730385 21.7404526920001,89.156228142 21.6022560320001,89.1585863080001 21.5919869620001,89.169784614 21.5459733380001,89.1715247930001 21.5389021070001,89.184581661 21.483218102,89.1944218250001 21.447716574,89.230757661 21.2957954820001,89.2345069880001 21.2797693520001,89.2383058140001 21.2631009150001,89.2420549720001 21.2463060370001,89.2457544590001 21.2293234640001,89.3163192250001 20.8983091200001,89.3163823720001 20.898052765,89.3921262950001 20.67911444,89.4550004560001 20.4985105810001,89.5374951210001 20.260892278,89.647402808 19.9443132860001,89.7098772630001 19.7634365640001,89.9033382280001 19.2033262680001,89.949027404 19.069922552,89.708948885 18.5651937600001,89.6103300360001 18.3578625390001,89.436020317 18.138194673,89.42634531 18.1295891990001,89.4230091700001 18.1253673040001,89.0706627540001 17.81092153,89.0702198770001 17.810357137,89.0658292670001 17.8064274820001,89.0641099800001 17.804238202,89.0538253890001 17.7950291700001,89.0276886090001 17.761721998,89.0264523690001 17.760615307,89.026392113 17.760536975,88.5830018090001 17.3618029460001,88.0757156830001 17.041048432,88.0632699320001 17.035851404,88.062484603 17.035351285,88.0615134870001 17.034945565,88.060909929 17.034562943,88.060081417 17.0342164750001,88.059228804 17.03367518,87.5030203210001 16.800232738,87.4609419720001 16.7903448280001,87.3693728580001 16.75168296,87.36888278 16.7515684750001,87.3537215200001 16.745161318,87.353145076 16.745025743,87.3513645300001 16.7442725510001,87.3461303450001 16.74303832,87.337384274 16.7393406470001,87.336053635 16.7390273190001,87.334928867 16.73855331,87.3335711120001 16.738232952,87.3324664300001 16.737765973,87.331646957 16.7375721510001,87.330003993 16.7368762020001,87.3229129380001 16.7352051190001,87.3210560680001 16.7344197900001,87.316855262 16.733428589,87.3152464440001 16.732748707,87.310755408 16.7316882120001,87.3095402580001 16.7311750370001,87.3053545170001 16.7301868490001,87.3037386680001 16.7295039540001,87.302387943 16.7291856050001,87.3012752270001 16.7287146090001,87.299915463 16.7283942510001,87.2988137940001 16.727927272,87.2980083800001 16.7277374670001,87.2963573820001 16.7270395090001,87.293196987 16.726293346,87.2931076080001 16.726256189,87.2899733240001 16.725516052,87.289865868 16.72547086,87.2892432290001 16.7253232350001,87.205372745 16.6154465230001,87.2015354810001 16.6119145530001,87.200765216 16.610904271,87.1613431260001 16.5746104400001,87.0932314360001 16.485182401,87.0929090690001 16.4848841360001,87.0928337500001 16.4847857190001,87.0696354240001 16.4633910380001,87.010364204 16.385443659,87.010013718 16.385120289,87.009958484 16.3850479820001,86.8474215740001 16.2347609920001,86.7782021880001 16.1433726440001,86.775731717 16.141081935,86.7752988820001 16.140508504,86.3412511770001 15.736771269,86.3389554460001 15.735274927,86.338763633 15.735096169,85.840140224 15.408756985,85.8387031330001 15.408132337,85.8384560860001 15.4079706520001,85.837766162 15.4076693750001,85.8368713690001 15.407081885,85.8363702450001 15.4068639610001,85.8342964550001 15.4055021890001,85.834207076 15.405463023,85.529427271 15.1183932820001,85.525372083 15.115716938,85.4326139290001 15.0280855130001,85.432462286 15.027985088,85.4313134170001 15.026899486,85.4292898400001 15.025560812,85.428930316 15.025222378,85.3444853970001 14.969371655,85.3186478850001 14.917214588,85.31666247 14.914532219,85.3126333930001 14.906396737,85.3118289830001 14.905311136,85.3066158880001 14.8947794970001,84.957983212 14.422261737,84.955314903 14.419718959,84.9550778980001 14.419396593,84.5285882270001 14.0118301270001,84.5270015020001 14.01076662,84.5216116570001 14.0055997200001,84.5210613240001 14.0052301530001,84.5203111450001 14.0045111060001,84.0288500930001 13.6738767160001,84.0277444070001 13.6733806130001,84.027164951 13.6729889530001,84.0256143780001 13.6722930030001,84.0254808120001 13.6722026200001,83.7513539290001 13.5489954080001,83.76777051 13.3609323050001,83.7677413870001 13.3606139560001,83.7684473790001 13.3525196480001,83.768360009 13.3515826770001,83.7698774410001 13.334190962,83.7694847760001 13.3299349230001,83.7697669720001 13.3266901700001,83.7694616780001 13.323399221,83.7696806060001 13.32088858,83.7692819160001 13.316576303,83.7695701380001 13.313287362,83.768408213 13.300740181,83.7684734900001 13.29999904,83.7151173410001 12.7215422580001,83.7145931190001 12.7196522470001,83.7142356030001 12.715752719,83.713525594 12.713190861,83.7133759600001 12.711562961,83.7125735590001 12.7086656810001,83.71253841 12.708275025,83.6752453440001 12.5735570250001,83.671755552 12.535495702,83.671253424 12.5336820150001,83.670879841 12.529605738,83.6344735330001 12.3978854430001,83.618237718 12.2202254330001,83.6175839470001 12.2178533790001,83.6174905510001 12.2168350630001,83.4631182460001 11.655926659,83.462476526 11.6545849730001,83.4621893080001 11.6535375330001,83.4619061080001 11.6529410050001,83.4613567800001 11.6509485600001,83.4607160640001 11.6496048650001,83.4604308550001 11.6485604380001,83.4602310080001 11.6481436710001,83.4587587680001 11.642778933,83.458733662 11.6427267120001,83.4578177800001 11.639389567,83.4577585280001 11.6392660440001,83.4543731800001 11.626929756,83.4529551690001 11.6239561530001,83.4526237650001 11.622752049,83.4494844590001 11.616169148,83.4492444420001 11.6152944400001,83.4463471620001 11.609217684,83.4457486250001 11.607038447,83.4448227 11.6050972200001,83.4439901710001 11.602061352,83.4438766900001 11.601822339,83.443258068 11.5995687870001,83.4418400580001 11.596595184,83.441509658 11.5953900760001,83.4408860140001 11.5940845420001,83.440589759 11.59300095,83.4386846840001 11.589008026,83.436337737 11.580453769,83.4362503660001 11.580268985,83.435398757 11.577164828,83.4352601690001 11.5768725900001,83.4337266700001 11.5712839020001,83.432263468 11.5682158990001,83.431987297 11.567205616,83.4311989560001 11.5655526100001,83.3666666670001 11.4433333330001,82.4066666670001 11.266666667,81.9333333330001 11.0450000000001,81.0416666670001 10.6950000000001,80.766666667 10.5500000000001,80.158333333 10.14,80.083333333 10.096666667,80.0500000000001 10.083333333,79.583333333 9.95000000000005,79.3766666670001 9.66916666700007,79.511666667 9.36333333300007,79.5184222870001 9.31760298400008,79.533333333 9.21666666700003,79.533333333 9.10000000000002,79.521666667 9.00000000000006,79.4883333330001 8.89666666700003,79.3033333330001 8.66666666700007,79.2166666670001 8.62000000000006,79.078333333 8.52000000000004,78.9233333330001 8.37000000000006,78.895 8.20333333300005,78.761666667 7.58833333300004,78.646666667 7.35000000000002,78.203333333 6.51333333300005,77.8450000000001 5.89833333300004,77.1766666670001 5.00000000000006,77.023333 4.78400000000005,76.946666667 4.87083333300006,76.925991384 4.89117801500004,76.720833333 5.09305555600002,76.634195322 5.20521484100004,76.6133333330001 5.23222222200008,76.6001938430001 5.24989749300005,75.6927777780001 6.47055555600002,75.641944444 6.55583333300007,75.4294444440001 6.85166666700007,75.271944444 7.25750000000005,75.201666667 7.40000000000003,75.1883333330001 7.42194444400008,74.9358333330001 7.85833333300008,74.4958333330001 7.80833333300006,73.642777778 7.69722222200005,73.327222222 7.65055555600003,73.0563888890001 7.68111111100006,72.825 7.70527777800004,72.707222222 7.71500000000003,72.0625000000001 7.81805555600005,70.2522222220001 8.09388888900003,69.595833333 7.95750000000004,69.3664778080001 8.34956769800004,69.365788889 8.35099273800006,69.3656673730001 8.35115944400007,69.1120905910001 8.87452873900003,69.1111315260001 8.87792111700003,69.1095377710001 8.88120202300007,68.95099981 9.44001153000005,68.89270071 10.0174670690001,68.8927358590001 10.017928022,68.8926916720001 10.0183668830001,68.895854076 10.0596950510001,68.8439882430001 10.2410296360001,68.8439691620001 10.241223457,68.8430542840001 10.2444169930001,68.842873518 10.24619754,68.842210709 10.248506326,68.8417708440001 10.25282965,68.84135207 10.2542958650001,68.838427675 10.28299852,68.7546997950001 10.574942923,68.695217681 11.1523251510001,68.6952518250001 11.1527891170001,68.695206634 11.153222956,68.738588507 11.7319478740001,68.7417227920001 11.744074272,68.7417468940001 11.744374545,68.8159714940001 12.031360933,68.825418535 12.157556813,68.971137162 12.720097133,69.2153934390001 13.249234877,69.5513031890001 13.728695063,69.5525414370001 13.729929294,69.5525966710001 13.7300066220001,69.9703131570001 14.1449373,70.3761362330001 14.4261773330001,70.2170981520001 14.751263205,70.0572636960001 15.3110408160001,70.047918085 15.405518257,70.047322561 15.4075950600001,70.0450800560001 15.430237028,69.9010425550001 15.93100352,69.8995652930001 15.9457359630001,69.8963938510001 15.956728555,69.863891089 16.280086102,69.8551500400001 16.310286105,69.847189298 16.389186523,69.8320260290001 16.441508288,69.8274496320001 16.4867731430001,69.7613002590001 16.7145224560001,69.756635487 16.7603617450001,69.7395189390001 16.8191579520001,69.7376229020001 16.8377477440001,69.7303922550001 16.862567945,69.7244400270001 16.8744673800001,69.718314062 16.895487474,69.7122172210001 16.9076670970001,69.683849987 17.004899214,69.6512377600001 17.069959973,69.651210645 17.0700543730001,69.6504102530001 17.0716491330001,69.492111305 17.6113627020001,69.4642210920001 17.62337361,69.4401259650001 17.629231438,68.8840400020001 17.86742301,68.883532852 17.867748389,68.8824572930001 17.868207335,68.88231971 17.868294705,68.8576963450001 17.8787891860001,68.856728241 17.8794138330001,68.85611464 17.879675944,68.8554869800001 17.880079655,68.8124947580001 17.898390265,68.8117104340001 17.8988944010001,68.8108216670001 17.8992740100001,68.8033540150001 17.904083395,68.7936358250001 17.9082209320001,68.790452332 17.9102706190001,68.7894812160001 17.910683369,68.7783460190001 17.917855769,68.7681477940001 17.922193153,68.767818398 17.9224060550001,68.766468677 17.922979486,68.765672302 17.9234926610001,68.764795586 17.9238662440001,68.7626253870001 17.925262161,68.741011778 17.9344551250001,68.7329044150001 17.9396712340001,68.722047398 17.9442857920001,68.7217250320001 17.9444926690001,68.720368281 17.9450711210001,68.7158551520001 17.9479734220001,68.7129598810001 17.9492046410001,68.6445921050001 17.993161953,68.6339017940001 17.99769818,68.6314785230001 17.9992537730001,68.63142831 17.9992768710001,68.622107805 18.005263244,68.620653642 18.0058798580001,68.5941874650001 18.022877904,68.593571856 18.0231390110001,68.086445407 18.347413444,68.0860507340001 18.3477709590001,68.07890344 18.3523232540001,68.0743421070001 18.356482885,68.073125953 18.3572571660001,68.070884452 18.35929882,68.048312782 18.373666718,68.047981378 18.3739689990001,68.045829256 18.3753378010001,68.0421456430001 18.3786950310001,68.026864876 18.388417238,68.011236635 18.4026525740001,67.993664155 18.4138249280001,67.9923003740001 18.415068198,67.99038124 18.416288369,67.984621829 18.4215325970001,67.9837149850001 18.4221090400001,67.9705080080001 18.434131999,67.9663021810001 18.4368043260001,67.963753378 18.4391231540001,67.9621305000001 18.44015553,67.9619236230001 18.4403433260001,67.9597443860001 18.441727192,67.957200604 18.4440430070001,67.9555706960001 18.445078396,67.952367118 18.4479937520001,67.950594605 18.449119524,67.9502421110001 18.449440886,67.9481181080001 18.450789602,67.946746294 18.4520368890001,67.9448341900001 18.4532510350001,67.9339922360001 18.4631168510001,67.9339801850001 18.4631238810001,67.929720129 18.466999307,67.9215645610001 18.472178258,67.865557175 18.5230870340001,67.8602526920001 18.526451294,67.8599062230001 18.526765626,67.8577671570001 18.5281233810001,67.41435978 18.929337924,67.414201108 18.929539779,67.401752344 18.9407583290001,67.3956324050001 18.9486116150001,67.3746956640001 18.967469544,67.370993975 18.972218673,67.3671697660001 18.975661265,67.3632722460001 18.980659449,67.358741041 18.984739744,67.357565057 18.9862481370001,67.3533280980001 18.990061299,67.352865136 18.9906568230001,67.351227194 18.9921310720001,67.3474501850001 18.9969705840001,67.344600105 18.9995364590001,67.3440276790001 19.0002715750001,67.340794977 19.0031809060001,67.340120116 19.0040465750001,67.328277923 19.0147027410001,67.3276392160001 19.01552121,67.3253726090001 19.017559851,67.318781674 19.0260046440001,67.3153250230001 19.0291148270001,67.311031826 19.03461514,67.3052985250001 19.039769989,67.3023118670001 19.0435952020001,67.301074623 19.044708922,67.288491288 19.060821214,67.2734866910001 19.0743103880001,67.2699205760001 19.0788747340001,67.2667621900001 19.081712763,67.2603379610001 19.089934611,67.25761743 19.0923789710001,67.2556561170001 19.094889612,67.2487960400001 19.1010527350001,67.24791129 19.102184532,67.245989143 19.1039118530001,67.239210412 19.1125816000001,67.234246372 19.117040499,67.2307997630001 19.1214481810001,67.2292180590001 19.122868199,67.2261932390001 19.1267355910001,67.225001186 19.127807133,67.2176480200001 19.1372089830001,67.2107507860001 19.1434002240001,67.2076827820001 19.14732285,67.207427701 19.147551821,67.2008468080001 19.155962469,67.1977858340001 19.1587101150001,67.196257356 19.16066239,67.1898682760001 19.1663976990001,67.186451795 19.170762197,67.183947179 19.1730107280001,67.171781616 19.188549589,67.1702631800001 19.189911361,67.1692518930001 19.191203839,67.1647618630001 19.1952319120001,67.1607127 19.200401825,67.157233956 19.2035230540001,67.1459913040001 19.217874884,67.136350441 19.2265185200001,67.1280070780001 19.237164643,67.1270952130001 19.2379831120001,67.1225429180001 19.243793741,67.1206348310001 19.2449857930001,67.1201999880001 19.245374441,67.118151304 19.246656876,67.1173006990001 19.2474201110001,67.1040686150001 19.2556911680001,67.0960315500001 19.262891687,67.0957132010001 19.2630915340001,67.095028298 19.2637031260001,67.093334117 19.264762617,67.08333373 19.273719581,67.0792142700001 19.276293491,67.0676954480001 19.2866082090001,67.065889795 19.287734985,67.0503931120001 19.301607785,67.050171171 19.301746372,67.0441727470001 19.3071141230001,67.0436083550001 19.3074686260001,66.5957501130001 19.7066224340001,66.5946353890001 19.708031406,66.583244107 19.718142261,66.5827178760001 19.71880507,66.5811351680001 19.720210025,66.5778532580001 19.724352583,66.5765135790001 19.725541623,66.5757623960001 19.7264906460001,66.5736092700001 19.7284007420001,66.5660622820001 19.7379281230001,66.560561969 19.742806801,66.5596059170001 19.7440139180001,66.556855258 19.746453257,66.5534277300001 19.7507795940001,66.5355358960001 19.7666418260001,66.535030755 19.7672805330001,66.5335263790001 19.768614186,66.5240210910001 19.7806040040001,66.5221692420001 19.7822449600001,66.5220567650001 19.782388568,66.52177256 19.782639632,66.5189174590001 19.786240896,66.5188561990001 19.786295126,66.5187869060001 19.786382497,66.5175496620001 19.7874771360001,66.511508054 19.7950974350001,66.5034137470001 19.8022698350001,66.496082674 19.811512008,66.49247438 19.8147075520001,66.4890719590001 19.8189957270001,66.4874490810001 19.820433823,66.4867983220001 19.8212522920001,66.4779437930001 19.8290945310001,66.476760778 19.8305848480001,66.4724354460001 19.8344150820001,66.4708145760001 19.8364577400001,66.466221106 19.8405239750001,66.4656647480001 19.84122595,66.4641212060001 19.8425917390001,66.4571094870001 19.851423171,66.4544803430001 19.853750033,66.4521795910001 19.8566493220001,66.4457674130001 19.862322367,66.4416770770001 19.867474203,66.438242519 19.870513083,66.4347758260001 19.874878586,66.4340186160001 19.8755474210001,66.430581046 19.8798767710001,66.4290003460001 19.881273692,66.4257867260001 19.8853188370001,66.424777448 19.886211621,66.4213137670001 19.8905721030001,66.420658992 19.89114955,66.4201307530001 19.8918163770001,66.401854288 19.9079778770001,66.40154799 19.908362507,66.4006481760001 19.909159887,66.396210366 19.914741545,66.3909239600001 19.9194153550001,66.389650563 19.9210171440001,66.3802105510001 19.9293605070001,66.378796558 19.9311390450001,66.3730070190001 19.9362547280001,66.365612679 19.9455511310001,66.363058854 19.947806691,66.3585778620001 19.9534405700001,66.3542354560001 19.9572758260001,66.352806399 19.9590734450001,66.3479247080001 19.963384718,66.34599754 19.965807989,66.3417103690001 19.969594036,66.3407161550001 19.9708413230001,66.338003658 19.973237479,66.3360724730001 19.9756637630001,66.3308965350001 19.98023313,66.3281950850001 19.983626513,66.320878071 19.9900878990001,66.320092743 19.991073075,66.3179737620001 19.9929430010001,66.3133471520001 19.998755637,66.3096464660001 20.0020214800001,66.304080877 20.009009097,66.3037143230001 20.009331463,66.2995295860001 20.014585733,66.2969837960001 20.0168322550001,66.278561714 20.039954257,66.2777793980001 20.040643177,65.905919274 20.5052885710001,65.6234319550001 21.0226383520001,65.622038047 21.02686125,65.6207084110001 21.029284521,65.6064077980001 21.0591440810001,65.6718602170001 21.1080995780001,65.8860560840001 21.268275482,66.1690284590001 21.478299667,66.4885818820001 21.719066152,66.6143117870001 21.8138087180001,67.067582971 22.152622777,67.158143812 22.219658909,67.3016731590001 22.4213788960001,67.363521302 22.520934863,67.4022072720001 22.582915568,67.5472148850001 22.8864531080001,67.5728415030001 22.9418137530001,67.6464725880001 23.094908644,67.692676422 23.18505071,67.7222889340001 23.2443831900001,67.9045514520001 23.4341967120001,67.909621943 23.4394359190001,67.997204159 23.5293088440001,68.001836794 23.5341604070001,68.0083182660001 23.541010441,68.0513546750001 23.5880257150001,68.060860968 23.5987310890001,68.081746491 23.6208749460001,68.0908912510001 23.631282056,68.092180716 23.6319117250001,68.0922148610001 23.631927793,68.110937215 23.640295258,68.1142844020001 23.641876962,68.121522079 23.6451156900001,68.1314722530001 23.649223099,68.1437944800001 23.655646324,68.149911407 23.658131859,68.155474988 23.6608453600001,68.158713715 23.6620856170001,68.1659323110001 23.6662311870001,68.175427557 23.672255722,68.179108157 23.674745274,68.1825417100001 23.6769385710001,68.1839587160001 23.6779197290001,68.1838040600001 23.6813201420001,68.1827023910001 23.686729067,68.1823569270001 23.6920435930001,68.182239429 23.692784734,68.181409913 23.6998235680001,68.181292415 23.7005255440001,68.181084534 23.7013590770001,68.1810262870001 23.703398722,68.181040346 23.7039580920001,68.181017248 23.7048558980001,68.1807681930001 23.706509908,68.1807059290001 23.7071877810001,68.1806205670001 23.7096723120001,68.18050809 23.7105249260001,68.178949484 23.718747778,68.1788530760001 23.7192489020001,68.177194044 23.7242671720001,68.1774200020001 23.727131312,68.177753415 23.7279507850001,68.1790137570001 23.732632629,68.17909008 23.7328133950001,68.1798723960001 23.7342494820001,68.18023895 23.7351051090001,68.180673793 23.735899476,68.1824242120001 23.738193198,68.1836453880001 23.740757064,68.183906495 23.74116178,68.184520095 23.7419501210001,68.18479024 23.7424783600001,68.184907738 23.742647075,68.185951161 23.7444667880001,68.186114855 23.744820286,68.1879034360001 23.747555881,68.1882478960001 23.7483090740001,68.1885260750001 23.7487931250001,68.1887630790001 23.7490974150001,68.1903929870001 23.7516271370001,68.1907645620001 23.752438576,68.190851933 23.752591223,68.1911050050001 23.753140552,68.193772311 23.7568221560001,68.194632959 23.757544217,68.1953891640001 23.758582618,68.197220928 23.7616998300001,68.1972852000001 23.761790213,68.1978003840001 23.766680943,68.1988628870001 23.662910111,68.1442273150001 23.609089995,68.1784553900001 23.590972203,68.2556817130001 23.5795809210001,68.3295729000001 23.584927583,68.3572100390001 23.6102720050001,68.3635991200001 23.640554357,68.3847095960001 23.6777721030001,68.4498456740001 23.7281908030001,68.6099814080001 23.807499953,68.741363268 23.8441633510001,68.720828231 23.8161094450001,68.6080361630001 23.7474906040001,68.4085275480001 23.6081188790001),(72.771172565 11.192427122,72.7769269550001 11.1855539910001,72.7783178510001 11.1888901310001,72.788445778 11.2512454230001,72.778045697 11.2308268790001,72.771172565 11.192427122),(72.1758091250001 10.838890662,72.1708099360001 10.812428503,72.1799808060001 10.8174989940001,72.195526697 10.8480545030001,72.198863842 10.863609433,72.1960187830001 10.870618139,72.1805451990001 10.8480545030001,72.1758091250001 10.838890662),(72.626290484 10.5511099070001,72.6333273100001 10.550682094,72.637354379 10.5538906940001,72.649990938 10.5669460280001,72.652072762 10.573536964,72.626290484 10.5511099070001),(73.6302638130001 10.068891029,73.6360372840001 10.0531181750001,73.645264393 10.0686098370001,73.646655288 10.084718111,73.6426904830001 10.096799317,73.6302638130001 10.068891029),(88.1416632010001 21.871109587,88.129699493 21.874999072,88.119982307 21.8666637430001,88.0999905720001 21.83249994,88.092481746 21.8194456100001,88.053036558 21.720827618,88.0455367700001 21.671382044,88.0449824200001 21.660827308,88.0462357330001 21.645827732,88.0509547340001 21.6362461210001,88.0649811850001 21.6297184530001,88.132345709 21.620554612,88.165409851 21.726109003,88.166654124 21.7697178390001,88.166090737 21.78221782,88.1646998410001 21.811663626,88.1569369380001 21.8430546760001,88.1497183420001 21.8586086010001,88.146345045 21.8655540400001,88.1416632010001 21.871109587)))', 'Indian Exclusive Economic Zone', 'India', 'India', '', '203', '203', 'IND', '8480', '', '1635912245000', '8480', 'Y');

INSERT INTO eez (geom, name, country, sovereign, remarks, sov_id, eez_id, code, mrgid, date_chang, area_m2, mrgid_eez, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((103.625385942 7.32065304600007,103.40479211 7.50180355100002,103.196732208 7.67266125900005,103.133228143 7.72481046600006,103.041667 7.80000000000007,102.203237 8.78188200000005,102.605756774 9.13437908100008,102.792873185 9.28587209000005,102.795182484 9.28774162300004,102.797473052 9.28960586300008,102.926858708 9.39492544600006,102.976578144 9.43513055700004,103.070275443 9.50584508700007,103.155498603 9.56963181400005,103.160834082 9.57177348900007,103.183380778 9.58143282300006,103.355313662 9.65647046900006,103.391483501 9.67210380100005,103.402378793 9.67689878400006,103.432799121 9.69981212200003,103.471183415 9.72898710600003,103.562640371 9.79884437300007,103.571842666 9.96512523300004,103.573876744 9.99867570400005,103.578804868 10.0091465830001,103.567353556 10.1076049370001,103.558767364 10.1556015150001,103.603500228 10.232065398,103.658255053 10.324289591,103.723669036 10.3515404340001,103.725970013 10.3524374460001,103.730960903 10.3544377580001,103.773223878 10.36753071,103.783932854 10.373747956,103.785019784 10.374398474,103.789820344 10.37731158,103.801502238 10.384101109,103.80345107 10.3851671150001,103.81049729 10.3873990710001,103.81900024 10.389195294,103.821003723 10.3897593900001,103.828075855 10.391188847,103.837764605 10.401152484,103.843502045 10.402910408,103.849147182 10.4052574,103.853194558 10.4068093760001,103.856002813 10.4083969270001,103.87492464 10.4198846370001,103.880357485 10.424545821,103.885955304 10.429117789,103.894051576 10.4371372630001,103.897713548 10.454418886,103.899360286 10.4634668140001,103.898347087 10.4791210330001,103.898313013 10.4797382470001,103.897987408 10.4846247470001,103.897597983 10.4890322420001,103.897907652 10.4894611600001,103.905997338 10.5009086800001,103.914857207 10.5029831420001,103.945198915 10.5114216480001,103.946498611 10.5118264340001,103.946592222 10.511852278,103.951168696 10.5124832230001,103.951283274 10.512496608,103.951345139 10.512498023,103.957792254 10.512498716,103.977352762 10.511091064,103.9833493 10.5108495750001,103.985738679 10.5108496780001,103.986642507 10.5107976530001,103.990536895 10.5100505350001,103.998001349 10.5083972620001,104.011482955 10.505649631,104.016789874 10.5037768070001,104.016904344 10.503733955,104.018729024 10.5031075430001,104.024120582 10.5010225890001,104.024782355 10.5007810330001,104.026093563 10.5003706050001,104.031027379 10.4982885970001,104.032969729 10.4975123290001,104.051651165 10.489628038,104.056609547 10.4871830700001,104.061932035 10.4839894830001,104.072997606 10.477904831,104.074818624 10.476868944,104.085370846 10.474513792,104.086298323 10.4742531740001,104.089214114 10.473081875,104.102500377 10.469979305,104.130635862 10.4616679440001,104.130723711 10.46143734,104.133154881 10.4549989390001,104.14339314 10.4286620140001,104.151816102 10.4152599350001,104.15344369 10.412806076,104.161755041 10.400602018,104.181096939 10.3731710910001,104.20150014 10.371214992,104.220500502 10.369494198,104.434866116 10.4064995750001,104.445327255 10.422735989,104.445327597 10.4227365130001,104.498018597 10.3886095130001,104.5681956 10.2899883640001,104.5819273 10.270691114,104.581927408 10.2706907780001,104.581927597 10.270690513,104.594690597 10.231245512,104.610236597 10.1688905120001,104.687181597 10.2038815120001,104.723508598 10.232354512,104.745799598 10.2299995120001,104.801490598 10.207427512,104.825108598 10.170418512,104.853299598 10.134999512,104.897390598 10.094654512,104.928581598 10.097918512,104.981772598 10.104445512,105.055527598 10.033890512,105.073299598 10.011663512,105.087481598 9.98971851200002,105.107463598 9.94527251200003,105.112745598 9.85479051200002,105.102745598 9.87416351200005,105.097608598 9.89694551200006,105.072718598 9.93749951200004,105.038854598 9.92721851200002,104.899218598 9.81069051200006,104.880527598 9.76444551200007,104.860527598 9.69249951200004,104.837208598 9.56179951200005,104.834718598 9.53374551200005,104.834990598 9.44499951200004,104.828599598 9.31971851200007,104.824154598 9.26027251200003,104.808590598 9.01333651100003,104.803981063 8.90775839800006,104.801425378 8.84922224400003,104.798936598 8.79221851100004,104.820336598 8.76902751100005,104.842627598 8.77179951100004,104.892490598 8.79430951100005,104.916381598 8.80221851100004,104.922545598 8.74520951100004,104.890827598 8.69389051100006,104.838881598 8.66194551100006,104.742754598 8.60499951100007,104.766936598 8.58555451100005,104.864636598 8.55923651100005,105.021099598 8.59277251100002,105.121299598 8.62506351100006,105.305399598 8.77541851100005,105.335681598 8.81110951100004,105.354418598 8.84666351100003,105.390827598 8.94221851100002,105.407345598 8.99777251100005,105.449708598 9.04902751100008,105.516799598 9.11639051100008,105.533872598 9.12944551100003,105.561372598 9.14027251100003,105.619136598 9.15889051100004,105.824999599 9.23416351200007,105.843372599 9.24096351200006,105.864436599 9.25139051200006,105.995527599 9.30416351200006,106.136072599 9.35055451200003,106.172881599 9.35589951200006,106.194545599 9.36847251200004,106.210663599 9.50152751200005,106.206090599 9.52277251200007,106.185790599 9.55833651200004,106.078854599 9.72805451200003,106.057245599 9.75965451200005,106.014972599 9.80805451200007,105.965527599 9.85999951200006,105.917608599 9.90860951200006,105.898918599 9.92405451200005,105.884408599 9.93582751200006,105.842745599 9.97471851200004,105.820536599 10.0006275120001,105.823718599 10.0042275120001,105.829963599 10.004863512,105.910808599 9.96639051200003,105.955108599 9.92949051200003,105.977199599 9.91110951200005,106.008327599 9.86999951200005,106.023854599 9.84555451200004,106.035518599 9.82860951200007,106.071636599 9.78708151200004,106.234972599 9.63916351200004,106.256363599 9.62305451200007,106.398454599 9.53236351200007,106.418445599 9.53139051200003,106.504136599 9.55069051200007,106.525527599 9.56666351200005,106.543027599 9.58360951200007,106.572608599 9.63652751200004,106.579845599 9.66347251200006,106.577608599 9.72221851200004,106.570672599 9.74139051200007,106.504154599 9.81944551200007,106.453036599 9.87639051200006,106.324418599 9.99777251200004,106.308627599 10.010490512,106.304408599 10.0211095120001,106.290799599 10.039581512,106.273036599 10.0580545120001,106.164408599 10.1641635120001,106.114808599 10.234063513,106.120863599 10.237981513,106.147754599 10.221663512,106.165527599 10.2072185120001,106.212754599 10.161945512,106.230799599 10.143890512,106.254963599 10.1116635120001,106.293581599 10.064999512,106.385245599 9.97555451200003,106.439490599 9.93926351200003,106.486854599 9.91764551200004,106.607118599 9.81086351200003,106.674408599 9.84221851200004,106.693427599 9.87221851200007,106.688436599 9.89389051200004,106.672745599 9.91027251200006,106.566936599 9.97471851200004,106.521645599 9.99208151200003,106.496563599 10.003472512,106.446908599 10.0524995120001,106.386645599 10.121936512,106.296627599 10.254999513,106.331918599 10.242499513,106.364618599 10.2086815120001,106.381636599 10.1766635120001,106.396636599 10.149718512,106.466372599 10.0555545120001,106.484554599 10.037081512,106.603854599 9.97409051200003,106.650463599 9.96979051200003,106.778027599 10.082363512,106.802463599 10.124236512,106.793163599 10.1570095120001,106.696081599 10.2087455120001,106.653581599 10.2202725120001,106.603572599 10.2355545130001,106.578854599 10.243609513,106.486354599 10.273890513,106.466372599 10.2824995130001,106.431918599 10.3044455130001,106.424318599 10.3113815130001,106.457745599 10.3080545130001,106.495427599 10.3011635130001,106.535927599 10.3052815130001,106.573863599 10.2888905130001,106.651218599 10.2801365130001,106.687618599 10.2908725130001,106.784236599 10.279790513,106.794690599 10.310272513,106.791418599 10.3895815130001,106.732463599 10.470481513,106.616908599 10.4372185130001,106.591554599 10.429690513,106.631345599 10.4599995130001,106.662308599 10.4907995130001,106.682672599 10.4977095130001,106.735245599 10.5120815130001,106.736481599 10.550972513,106.749572599 10.577336513,106.770527599 10.5892995130001,106.757472599 10.635827513,106.754008599 10.6398455130001,106.741663599 10.6608995130001,106.763027599 10.6805545130001,106.792736599 10.669718513,106.8789816 10.6459725130001,106.9041366 10.6313815130001,106.9427366 10.5924275130001,106.9415276 10.5855455130001,106.9339186 10.574163513,106.9402456 10.5299995130001,106.9604636 10.5075275130001,106.9671456 10.4746185130001,106.9796906 10.4980545130001,106.9939816 10.520554513,106.9819276 10.558036513,106.9816366 10.5654185130001,106.9936086 10.614827513,106.9943276 10.576454513,107.0153906 10.537918513,107.0212276 10.5899995130001,107.0100816 10.6213365130001,106.9985816 10.6550635130001,107.0232816 10.630336513,107.0280186 10.606672513,107.0349726 10.531109513,107.0535726 10.495272513,107.1327816 10.4675455130001,107.1721726 10.4757185130001,107.2121906 10.437499513,107.2290366 10.397309513,107.2661906 10.376127513,107.2877546 10.4054905130001,107.3288546 10.445827513,107.4409366 10.4667995130001,107.4596996 10.4741635130001,107.5174816 10.5030545130001,107.5388546 10.5199995130001,107.5866366 10.5723905130001,107.7560906 10.639163513,107.7834456 10.6567995130001,107.7988546 10.669718513,107.8253816 10.694790513,107.8838546 10.7165275130001,107.9099726 10.7184725130001,107.937745601 10.7140275130001,107.955945601 10.705690513,107.999690601 10.7042365130001,108.017199601 10.736381513,108.032754601 10.769718513,108.043299601 10.807499513,108.054963601 10.844718513,108.076636601 10.883890513,108.091918601 10.900827513,108.113163601 10.915972513,108.135527601 10.9258275130001,108.220390601 10.9472185130001,108.244972601 10.949027513,108.490318601 11.095690513,108.508863601 11.1263815130001,108.532472601 11.149445513,108.583590601 11.181663513,108.664554601 11.1886095130001,108.764690601 11.2824995130001,108.809836601 11.317218514,108.854154601 11.3324995140001,108.867999601 11.3347095140001,108.905254601 11.3186095140001,108.934008601 11.308327514,108.962145601 11.311454514,109.021681602 11.362254514,109.016518602 11.3933365140001,109.017763602 11.4449995140001,109.021927602 11.514718514,109.037490602 11.578054514,109.052554602 11.5935365140001,109.072690602 11.5800635140001,109.134281602 11.567354514,109.180672602 11.629718514,109.209154602 11.701945514,109.221099602 11.7561095140001,109.193308602 11.792772514,109.123363602 11.848227514,109.123863602 11.8608275140001,109.139563602 11.8940995140001,109.161372602 11.900418514,109.187899602 11.9245815140001,109.199563602 11.945554514,109.209154602 11.978609514,109.203245602 12.0165275140001,109.179972602 12.044999514,109.183108602 12.1169455140001,109.225463602 11.9822185140001,109.225808602 11.934999514,109.269990602 11.8924995140001,109.205263602 12.0992995140001,109.211645602 12.278609514,109.216090602 12.3236095140001,109.171372602 12.4008275150001,109.146999602 12.4320815150001,109.176572602 12.4569095150001,109.220818602 12.430827515,109.249418602 12.398609515,109.272618602 12.362009514,109.301718602 12.3456905140001,109.336381602 12.372636514,109.346927602 12.3949275150001,109.299145602 12.4605545150001,109.252772602 12.502218515,109.206381602 12.545272515,109.196090602 12.5774995150001,109.197336602 12.6315275150001,109.228581602 12.681663515,109.370527602 12.8213905150001,109.415545602 12.8622185150001,109.432336602 12.8431905150001,109.461863602 12.8609725150001,109.464845602 12.9005545150001,109.432063602 12.9549995150001,109.413318602 12.9708275150001,109.399008602 12.984999515,109.373599602 13.020272515,109.313590602 13.1084725150001,109.301090602 13.138054515,109.228863602 13.408609515,109.229981602 13.441945515,109.243236602 13.4862455160001,109.256654602 13.5552725160001,109.236645602 13.638336516,109.234508602 13.6970455160001,109.227618602 13.716527516,109.224154602 13.737218516,109.242954602 13.766918516,109.218045602 13.816109516,109.250190602 13.8849995160001,109.265690602 13.8172905160001,109.268181602 13.753472516,109.302618602 13.751590516,109.306372602 13.8255545160001,109.304427602 13.864445516,109.257481602 14.0229185160001,109.214154602 14.1202725160001,109.204436602 14.2377725160001,109.187199602 14.290827516,109.157208602 14.330272516,109.123872602 14.405836516,109.078599602 14.5483365170001,109.080272602 14.641390517,109.091790602 14.6724995170001,109.078736602 14.723190517,109.012081602 14.819299517,109.001663602 14.8363815170001,108.986099602 14.8652725170001,108.970545601 14.898054517,108.948318601 14.9522185170001,108.928590601 15.0008275170001,108.894145601 15.132772517,108.882754601 15.281390517,108.829163601 15.421945517,108.800263601 15.427218517,108.758899601 15.3959545170001,108.732754601 15.4111095170001,108.624981601 15.482218517,108.525818601 15.6377815180001,108.422763601 15.806109518,108.305818601 15.948327518,108.287899601 15.9751365180001,108.268018601 16.034718518,108.263927601 16.061218518,108.263454601 16.0976365180001,108.306018601 16.1074995180001,108.341027601 16.1320815180001,108.330827601 16.1504095180001,108.246572601 16.1543725180001,108.232208601 16.1338815180001,108.233645601 16.0743275180001,108.236754601 16.032109518,108.201163601 15.9994455180001,108.221454601 16.055209518,108.137908601 16.127772518,108.143108601 16.155554518,108.164872601 16.184299518,108.188581601 16.199163518,108.087199601 16.2488815180001,108.048027601 16.311663518,108.026654601 16.324163518,107.969708601 16.3338815180001,107.932536601 16.3088815180001,107.9065816 16.2815995180001,107.8827546 16.278054518,107.8369276 16.2938905180001,107.8115086 16.312009518,107.7906726 16.3747185180001,107.8174906 16.3820815180001,107.6995726 16.514163518,107.5941456 16.580554518,107.5485996 16.5949995180001,107.5051276 16.6040905180001,107.4484456 16.638327518,107.4444366 16.6444815180001,107.4491086 16.6552905180001,107.4682546 16.6529095180001,107.5163906 16.631663518,107.5401186 16.6290185180001,107.4697086 16.689163519,107.3427546 16.7891635190001,107.1916546 16.8747185190001,107.1791546 16.8966635190001,107.1299636 17.0119455190001,107.1163636 17.081836519,107.0833276 17.106381519,107.0789636 17.1080365190001,107.0599816 17.116527519,107.0180546 17.1449995190001,106.9399726 17.2002725190001,106.821663599 17.2888905190001,106.753872599 17.3433275190001,106.698863599 17.399718519,106.642763599 17.4669365190001,106.586645599 17.552772519,106.494981599 17.6911095190001,106.424990599 17.741663519,106.444699599 17.84499952,106.453736599 17.8729095200001,106.509918599 17.95610952,106.491372599 17.97416352,106.462345599 18.00958152,106.443863599 18.0380545200001,106.270263599 18.1994365200001,106.252490599 18.2147185200001,106.162072599 18.2616635200001,106.142208599 18.2649995200001,106.113036599 18.27027252,106.083054599 18.29416352,106.056090599 18.3161095200001,105.908863599 18.4722185200001,105.883608599 18.49916352,105.870245599 18.51860952,105.841090599 18.56305452,105.826099599 18.59277252,105.813308599 18.6213815200001,105.794145599 18.6711095200001,105.771381599 18.67249952,105.749708598 18.6624905200001,105.757490598 18.68325452,105.756508598 18.7652725200001,105.746372598 18.7858275200001,105.695954598 18.856663521,105.638563598 18.890654521,105.613872598 18.9772185210001,105.610527598 19.0038905210001,105.643736598 19.064718521,105.742754598 19.2263815210001,105.806427599 19.2742275210001,105.789145599 19.3563815210001,105.784845599 19.3981905210001,105.804154599 19.4558275210001,105.817972599 19.5658995210001,105.808590599 19.6011095210001,105.912772599 19.793054521,105.956790599 19.9230455220001,106.025272599 19.9908275220001,106.033999599 19.990890522,106.039145599 19.9855455220001,106.077136599 19.961727522,106.111899599 20.0288815220001,106.105808599 19.9707545220001,106.156518599 19.977218522,106.174572599 19.986381522,106.207490599 20.0094455220001,106.324999599 20.1283275220001,106.341936599 20.156936522,106.461090599 20.2086095220001,106.481372599 20.2152725220001,106.504708599 20.225554522,106.527627599 20.2401365220001,106.557345599 20.2712455220001,106.535263599 20.297218522,106.495508599 20.2996635220001,106.523199599 20.3119545220001,106.567081599 20.2870095220001,106.584018599 20.342499522,106.623027599 20.590827522,106.597208599 20.632590522,106.647899599 20.626036522,106.680818599 20.6384635220001,106.776927599 20.699163522,106.779981599 20.740554522,106.725272599 20.799718522,106.743045599 20.8402725220001,106.695872599 20.876672522,106.741618599 20.8865275220001,106.758881599 20.933881522,106.707836599 20.9442275220001,106.679699599 20.954081522,106.667018599 20.9822275230001,106.670963599 21.007563523,106.643572599 21.0174815230001,106.646654599 21.021663523,106.791372599 21.0261095230001,106.809708599 21.011663523,106.823036599 20.969927522,106.800608599 20.9606185220001,106.775390599 20.9357815220001,106.835918599 20.9167815220001,106.8626276 20.871181522,106.8823546 20.9027095220001,106.9428726 20.904818522,106.9210546 20.934381522,106.8907996 20.9498545220001,106.8703906 20.9604095220001,106.8767276 20.988209523,106.9083906 20.9667455220001,106.9414636 20.9533725220001,106.9777636 20.945545522,107.0146456 20.950563522,107.0371996 20.9966635230001,107.1465086 21.0361455230001,107.1171996 21.014299523,107.0842996 20.986245523,107.0742186 20.950409522,107.0788996 20.9452635220001,107.1544276 20.9249995220001,107.2322086 20.993881523,107.2587456 21.0015275230001,107.3110996 21.004163523,107.3499816 21.0088185230001,107.3706726 21.025690523,107.3626636 21.0576995230001,107.3702276 21.0950185230001,107.3824726 21.134999523,107.3628276 21.1823545230001,107.3669276 21.2652725230001,107.4165086 21.325963523,107.4663086 21.3056185230001,107.4808186 21.2899995230001,107.5947816 21.2927725230001,107.7044366 21.391936523,107.7944366 21.477218523,107.8548456 21.525554523,107.8919366 21.532154523,107.915399601 21.5201365230001,107.926781601 21.4842275230001,107.915463601 21.4582545230001,107.931436601 21.4390275230001,108.064290601 21.4866635230001,108.033599601 21.5213815230001,107.997845601 21.5393455230001,107.990018601 21.5424095230001,107.994694283 21.5430497620001,108.049705692 21.52671825,108.1011944 21.47013889,108.1004444 21.4671388900001,108.0993611 21.4639166700001,108.0976389 21.46097222,108.0944167 21.45783333,108.0941111 21.4564166700001,108.0954722 21.45227778,108.1347222 21.27555556,108.2086111 21.2097222200001,108.3791667 20.4013888900001,107.9297222 19.9591666700001,107.5277778 19.65916667,107.35 19.4794444400001,107.2119444 19.4238888900001,107.1897222 19.2677777800001,107.1594444 19.2152777800001,107.1594444 18.71444444,107.5666667 18.2302777800001,107.6261111 18.1188888900001,107.6525 18.07027778,108.442952554 17.366958825,108.462916601 17.3415695190001,108.470994601 17.3381995190001,108.548738601 17.305767519,108.596171601 17.281199519,108.761516601 17.1953155190001,108.851065601 17.1581755190001,108.985246602 17.1027365190001,109.085024602 17.0677705190001,109.151422602 17.036377519,109.286839602 16.959631519,109.597126602 16.8264455190001,109.917355602 16.714740519,109.95092858 16.7014481360001,109.950290398 16.646496122,109.990378723 16.430418049,110.001280026 16.3793096260001,110.061812398 16.0926520090001,110.127256328 15.782866547,110.210811388 15.3833299630001,110.211211534 15.381428579,110.244572105 15.2229813430001,110.306086471 14.934787898,110.324196428 14.902680117,110.324992588 14.9016406210001,110.42950188 14.7651895130001,110.492638467 14.697567512,110.518253935 14.67006602,110.84219775 14.320502827,111.198124179 13.9929254740001,111.310097247 13.8893391340001,111.310750548 13.8887345900001,111.359794622 13.8433460100001,111.687146515 13.5838240780001,111.689055047 13.582308288,111.690902644 13.580842591,111.766096426 13.521172141,112.054990745 13.3537533860001,112.239892644 13.2470677100001,112.17378202 13.037041066,112.120480094 12.865602145,112.061699051 12.6414809840001,112.000967731 12.4093241200001,111.914615199 12.051334486,111.799744424 11.708622119,111.559822535 11.3033605140001,111.398015721 10.956631626,111.247766536 10.644575628,111.178420759 10.5636722200001,110.964474469 10.241265286,111.911175952 8.97065706600006,111.917001015 8.96272509300007,111.992648262 8.86032591200006,112.058064859 8.77072059600005,112.079930878 8.74142686400006,112.163030557 8.62905434900006,112.24540726 8.51997867700004,112.514843105 8.16045802800005,112.545247766 8.11992342400004,112.475564055 7.85123737600003,112.196290367 6.77565659300006,112.035649273 6.15349601100007,111.918753352 6.09458453600007,111.82414057 6.04671135700005,111.215098129 5.74007531800004,111.000039051 5.67345856000003,110.73991098 5.93594530800004,110.130265411 6.54864336700007,109.77752987 6.90232513000007,109.315949775 7.36252375600003,109.165050026 7.31450112100003,109.126872349 7.30235138100005,108.615197019 7.13834661600004,107.815054223 6.88022630400008,107.745054869 6.85770760200006,107.6702706 6.83364950900005,107.3625606 6.72851850900003,107.198716144 6.67022557900003,107.006342185 6.60178208400004,106.723567737 6.50120919900007,106.62911908 6.46578609500006,106.594642599 6.45285550900007,106.582602138 6.44833125500003,106.569285125 6.44332718500004,106.179303829 6.24704509000003,106.02021813 6.17219412500003,105.82 6.09666666700002,105.422285999 6.24251471300005,105.382154685 6.25645612100004,105.040402988 6.37516251500006,104.882969343 6.47353446600005,104.731675669 6.56787980700005,104.520179985 6.69978853700007,104.369012276 6.80392199500005,104.295646537 6.85447995700002,104.091239123 6.99512835700006,103.897807733 7.13404769700003,103.625385942 7.32065304600007),(107.5236086 21.2244365230001,107.4719456 21.271418523,107.4446996 21.235272523,107.3755366 21.0812455230001,107.3792186 21.0481905230001,107.4038726 21.052218523,107.4630456 21.0894365230001,107.5017816 21.1293365230001,107.5114366 21.149699523,107.5404086 21.1556995230001,107.5849906 21.191109523,107.6002726 21.2052725230001,107.6040816 21.2169365230001,107.5236086 21.2244365230001),(107.0333906 20.855690522,107.0144276 20.8574995220001,106.9636086 20.8511095220001,106.9173456 20.838190522,106.9105996 20.8343995220001,106.9079636 20.8265185220001,106.9205366 20.794445522,106.9722086 20.7474905220001,106.9917906 20.733745522,107.0477636 20.7038815220001,107.0688816 20.7286095220001,107.1015186 20.7994365220001,107.0877726 20.814445522,107.0333906 20.855690522),(106.8699276 10.456072513,106.8651996 10.470436513,106.8723456 10.502927513,106.8524726 10.5340725130001,106.8375636 10.5731545130001,106.8582906 10.5838815130001,106.8564726 10.603881513,106.8451996 10.6126095130001,106.827190599 10.6205545130001,106.781718599 10.6631725130001,106.752299599 10.6589635130001,106.764845599 10.644972513,106.778027599 10.624163513,106.778663599 10.610427513,106.783754599 10.5926095130001,106.784663599 10.574609513,106.756627599 10.5679185130001,106.749836599 10.558609513,106.752618599 10.4944455130001,106.755536599 10.4813905130001,106.761363599 10.471109513,106.775527599 10.453054513,106.787190599 10.4405545130001,106.825945599 10.404718513,106.8419186 10.402218513,106.8573276 10.4067365130001,106.8593816 10.4402545130001,106.8699276 10.456072513),(104.026382299 10.0802732170001,104.0783273 10.221664189,104.086627228 10.247354052,104.082882362 10.3648539180001,104.075254159 10.3775000310001,104.064682232 10.3911090560001,104.055236163 10.4016642190001,104.012391226 10.439436093,103.976909289 10.433609161,103.853463301 10.373609151,103.838382245 10.367709129,103.858872311 10.31082702,103.865954181 10.299582194,103.876500291 10.3005539920001,103.917900188 10.2850000290001,103.92860019 10.275691087,103.949418155 10.2438911520001,103.963045118 10.2130539630001,104.026382299 10.0802732170001)))', 'Vietnamese Exclusive Economic Zone', 'Vietnam', 'Vietnam', '', '207', '207', 'VNM', '8484', '', '648936423600', '8484', 'Y'),('SRID=4326;MULTIPOLYGON(((121.558936613 40.841309541,121.614699613 40.8335995410001,121.673599613 40.8341635410001,121.728863613 40.837772541,121.751390613 40.8408275410001,121.939418614 40.7783275410001,122.052127614 40.7387455410001,122.131363614 40.6799905410001,122.282490614 40.533609541,122.298663614 40.505618541,122.287772614 40.4719275410001,122.195536614 40.354436541,122.105818614 40.2438815400001,121.998599614 40.13026354,121.880954614 40.0030545400001,121.781372613 39.92054554,121.757281613 39.9120725400001,121.716936613 39.92027254,121.696918613 39.9256905400001,121.539981613 39.86124554,121.468318613 39.8113815400001,121.455408613 39.74359954,121.503881613 39.68443654,121.534208613 39.68571854,121.533008613 39.62321854,121.461927613 39.6266545400001,121.299145613 39.5816635400001,121.228345613 39.5284635400001,121.309699613 39.49777254,121.332490613 39.5120815400001,121.353590613 39.5220725400001,121.379154613 39.51999054,121.431663613 39.51166354,121.463808613 39.46442754,121.475272613 39.4266545400001,121.483872613 39.39249054,121.509154613 39.3673545400001,121.533863613 39.35943654,121.639972613 39.3572185400001,121.662490613 39.35749954,121.751099613 39.3516635400001,121.599427613 39.218599539,121.596099613 39.183809539,121.643881613 39.1577725390001,121.687899613 39.1183275390001,121.679427613 39.090127539,121.651508613 39.0736095390001,121.615536613 39.0663815390001,121.601927613 39.064709539,121.540263613 39.047218539,121.439699613 39.012499539,121.218518613 38.9341545390001,121.186099613 38.947772539,121.127481613 38.943672539,121.088672613 38.9122095390001,121.121645613 38.762772539,121.138281613 38.7321815390001,121.187336613 38.7190815390001,121.239836613 38.7715185390001,121.262772613 38.7841635390001,121.336090613 38.8124905390001,121.363590613 38.8158275390001,121.387208613 38.807209539,121.411927613 38.803318539,121.447745613 38.806381539,121.474990613 38.810545539,121.698181613 38.8610995390001,121.710399613 38.890136539,121.676927613 38.9170725390001,121.654854613 38.925681539,121.643599613 38.9522185390001,121.648036613 38.996381539,121.724018613 39.0302725390001,121.913599614 39.047218539,121.946718614 39.0351995390001,122.131363614 39.1411095390001,122.233872614 39.2694365400001,122.281518614 39.33096354,122.287772614 39.3458275400001,122.352763614 39.3847185400001,122.398608614 39.4116635400001,122.424427614 39.4085995400001,122.458454614 39.4099905400001,122.586927614 39.4669365400001,122.774427614 39.5522185400001,122.814418614 39.5819365400001,122.965554615 39.6091635400001,122.995808615 39.6356815400001,123.145472615 39.6585275400001,123.216663615 39.67388154,123.263799615 39.6992905400001,123.248454615 39.72318154,123.209990615 39.7488815400001,123.242199615 39.81429954,123.378036615 39.77749054,123.406936615 39.73443654,123.551090615 39.76859954,123.698036615 39.83165454,123.739699615 39.8238815400001,123.775399615 39.8213815400001,123.985263615 39.8099905400001,124.013608615 39.8130455400001,124.128027616 39.8277725400001,124.218858685 39.8832835920001,124.21886318 39.8832872840001,124.218865071 39.883287495,124.291654616 39.92777254,124.344436616 39.98193654,124.362754616 40.0095815400001,124.364563616 40.0352725400001,124.356854616 40.0696455400001,124.367963616 40.0944365400001,124.373599616 40.0936185400001,124.373599319 40.0936174620001,124.373600339 40.0936180310001,124.373600361 40.0936176440001,124.37019445 40.0812669650001,124.368821397 40.0675395980001,124.368820106 40.0675266970001,124.368459616 40.06392054,124.376265616 40.0361665400001,124.37366345 40.0127499650001,124.355449616 39.98239454,124.36088745 39.9914571,124.35544945 39.982393965,124.32769645 39.944232965,124.315204669 39.929243308,124.327695616 39.94423254,124.30167645 39.9130099650001,124.284696307 39.893651015,124.281777834 39.890323788,124.281777936 39.8903238,124.236101555 39.8446474190001,124.236101501 39.8446473650001,124.235275498 39.842995359,124.220876022 39.814196408,124.205650544 39.768519972,124.194231435 39.69239258,124.186618696 39.585814231,124.148555 39.365044793,124.106684934 39.1100180290001,124.071747096 38.9465208190001,123.861888786 38.545718821,123.825871593 38.4765901750001,123.742038392 38.395244135,123.714893387 38.368932246,123.569518193 38.2272536030001,123.547708292 38.2047340120001,123.460927018 38.1305569680001,123.532661226 37.965204584,123.532941324 37.9645567480001,123.576543832 37.863404544,123.614370689 37.7742315950001,123.638123447 37.723000267,123.662433731 37.670212303,123.752446904 37.401610901,123.753996463 37.3969970900001,123.755416129 37.3928364110001,123.755999859 37.3911319440001,123.756569595 37.389475277,123.756984856 37.388271979,123.757296451 37.387370934,123.757522513 37.38671858,123.775090811 37.3360319610001,123.78963364 37.29124089,123.873433012 36.9877319030001,123.897481822 36.928682268,124.007629568 36.6597721380001,124.017495082 36.6351875120001,124.0122769 36.602417948,124.012109421 36.601367086,124.011941023 36.6003162120001,123.913519068 35.981821616,123.891183105 35.835507738,123.595783853 35.598536903,123.132844136 35.223276368,123.100334679 35.169879227,122.804078126 34.6948779960001,122.782247458 34.6595876870001,122.747280808 34.61868868,122.714251427 34.565633189,122.724498094 34.4847066620001,122.773714642 34.160465704,122.785841519 34.1023485810001,122.786069492 34.101254571,122.81944327 33.9403273460001,122.833599945 33.9044824260001,122.909256902 33.704360842,122.914602114 33.6961376030001,122.915494501 33.6947730030001,122.987724373 33.58441127,123.017699651 33.5386689520001,123.153975683 33.327159631,123.157067374 33.3223728680001,123.392051327 33.049640084,123.62466368 32.797365277,123.73333038 32.680609184,124.002029652 32.4741857760001,124.217299632 32.307832214,124.224756445 32.301954714,124.271671787 32.2550705560001,124.300957888 32.2245642010001,124.416815941 32.1186563040001,124.617354551 31.9072777690001,124.779953424 31.739258933,124.888352673 31.614599797,125.034691659 31.462840849,125.218970382 31.294822013,125.489968504 31.0726035530001,125.925 30.77,125.925000607 30.7699985240001,126.013333333 30.5550000000001,126.091666667 30.3033333330001,126.245706739 30.13313987,126.244728308 30.131468956,126.244094565 30.130384663,126.243144687 30.128759152,126.242080869 30.1269362840001,125.966239247 29.6515482780001,125.431288292 28.7167707020001,125.413722428 28.703264888,125.344124013 28.649664241,125.133020238 28.4886595900001,125.024977916 28.3419316390001,124.904928185 28.2716094130001,124.567597132 28.0740090510001,124.212755313 27.8646557270001,124.202267406 27.85846796,123.761740917 27.700330589,123.679250726 27.654624029,123.365423965 27.480140679,123.338842433 27.465351372,123.068496092 27.3142637020001,122.997724824 27.274376956,122.840097947 27.1853721630001,122.838520429 27.1843399310001,122.749922781 27.1142784310001,122.607522531 26.950310319,122.446578174 26.8960156370001,122.078487258 26.7457304070001,122.009942127 26.717625099,121.960284439 26.683875384,121.615304255 26.450057121,121.510718202 26.378980928,121.506824428 26.372418656,121.353969851 26.113542341,121.333497405 26.0788489500001,121.21019872 25.984348273,121.17547856 25.9585675120001,121.033788 25.8122373790001,121.016721722 25.7954935760001,120.93666578 25.720387573,120.879883183 25.685066792,120.857361796 25.672995144,120.786041772 25.6355133810001,120.721973089 25.6025922630001,120.710279005 25.58305935,120.708211573 25.5795993180001,120.694090456 25.5576684170001,120.665750083 25.5138931000001,120.652761019 25.4940368800001,120.579562526 25.382756279,120.566275311 25.36316937,120.562413645 25.357220888,120.557658522 25.346226329,120.551338772 25.3317313580001,120.53535037 25.295661667,120.527219736 25.2777309700001,120.50271466 25.2241716510001,120.470400317 25.168309374,120.453214522 25.1387132340001,120.41008974 25.079265933,120.403013553 25.069776029,120.401667441 25.0679778360001,120.379395276 25.038336314,120.337671486 25.0009546000001,120.244883453 24.9292727960001,120.212112113 24.903994062,120.180823835 24.8797982250001,120.149882171 24.8448098900001,120.086084892 24.774732934,120.077982339 24.76623333,120.077556532 24.765786851,120.046611232 24.7153778210001,119.977441085 24.6117444980001,119.946071419 24.5642788270001,119.902470401 24.509679992,119.879123248 24.4842950550001,119.838021062 24.445232462,119.816607412 24.4249275290001,119.789119805 24.403118541,119.717972634 24.397333346,119.592591034 24.3824452480001,119.328765912 24.3509693340001,119.278009969 24.327867097,119.074531446 24.1329006080001,119.046781407 24.1073907850001,119.046125416 24.106785277,118.989452131 24.029999189,118.958040457 23.9913837490001,118.879340406 23.9060607160001,118.877882949 23.9044735640001,118.865273893 23.8912229060001,118.853414716 23.8833067420001,118.689564329 23.6850717510001,118.50376188 23.462422298,118.478804824 23.4022129320001,118.478181514 23.400709632,118.449930951 23.332885665,118.44602364 23.324675923,118.439459696 23.310903071,118.432601262 23.292317138,118.318334088 22.955758444,118.328066631 22.571504669,118.323469858 22.479882768,118.320570962 22.413782509,118.304119133 22.0430495700001,118.301129376 21.7304468350001,118.191846795 21.7522049450001,118.054835586 21.779483811,117.921690889 21.8053024640001,117.451784123 21.8962770380001,117.393139387 21.8915596050001,117.063510609 21.8652601520001,117.003735577 21.860487248,116.75042815 21.8404034230001,116.676961452 21.834389108,116.570073291 21.807941624,116.345475256 21.7520072770001,116.202871867 21.7165028580001,115.570996765 21.3969599330001,115.491423336 21.356304977,115.470459494 21.324129526,115.114111498 20.7641803540001,115.088111779 20.7084427670001,115.087245173 20.706584854,114.887922077 20.2792086330001,114.778808981 20.0390023960001,114.697750333 19.8599035550001,114.324549306 19.0279199400001,114.073256228 19.118174266,113.882374319 19.1001172370001,113.355687079 18.9448301960001,113.112419111 18.874674978,112.738524313 18.7556248220001,112.482228052 18.6514360950001,112.265488677 18.5628400030001,112.251948244 18.5573076320001,112.205000106 18.537993226,112.165135901 18.521593141,112.142750447 18.512383793,112.117616369 18.502043665,111.984023773 18.391985909,111.820900726 18.256567451,111.814820204 18.2510249430001,111.737469811 18.1803080720001,111.644731766 18.0955415920001,111.342344226 17.818743254,111.180256842 17.668813609,111.150333324 17.653179521,111.121532503 17.638089269,111.101360849 17.627520287,111.06532034 17.608818661,111.000707393 17.5752906330001,110.975028369 17.55610483,110.748142495 17.3974994650001,110.724159775 17.3791496590001,110.700684552 17.3611881530001,110.679606975 17.3467349700001,110.635856191 17.316734458,110.560897964 17.265233844,110.534024277 17.2468017350001,109.95092858 16.7014481360001,109.917355602 16.714740519,109.597126602 16.8264455190001,109.286839602 16.959631519,109.151422602 17.036377519,109.085024602 17.0677705190001,108.985246602 17.1027365190001,108.851065601 17.1581755190001,108.761516601 17.1953155190001,108.596171601 17.281199519,108.548738601 17.305767519,108.470994601 17.3381995190001,108.462916601 17.3415695190001,108.442952554 17.366958825,107.6525 18.07027778,107.6261111 18.1188888900001,107.5666667 18.2302777800001,107.1594444 18.71444444,107.1594444 19.2152777800001,107.1897222 19.2677777800001,107.2119444 19.4238888900001,107.35 19.4794444400001,107.5277778 19.65916667,107.9297222 19.9591666700001,108.3791667 20.4013888900001,108.2086111 21.2097222200001,108.1347222 21.27555556,108.0954722 21.45227778,108.0941111 21.4564166700001,108.0944167 21.45783333,108.0976389 21.46097222,108.0993611 21.4639166700001,108.1004444 21.4671388900001,108.1011944 21.47013889,108.049705692 21.52671825,107.994694283 21.5430497620001,107.990018601 21.5424095230001,107.991534064 21.5439879520001,107.996372601 21.5490275230001,108.016663601 21.553609523,108.077472601 21.534445523,108.134718601 21.559999523,108.204436601 21.5944365230001,108.235808601 21.554445523,108.207972601 21.4991635230001,108.244708601 21.5144455230001,108.283872601 21.5398635230001,108.311227601 21.582499523,108.319990601 21.623609523,108.313899601 21.6783905230001,108.333599601 21.6899905230001,108.438318601 21.6567995230001,108.416090601 21.6241635230001,108.385472601 21.5911095230001,108.394354601 21.5555545230001,108.405254601 21.552218523,108.466236601 21.558745523,108.512499601 21.5901365230001,108.559108601 21.6837095230001,108.493045601 21.767499523,108.442890601 21.8656905230001,108.452481601 21.9076365230001,108.469218601 21.9356185230001,108.604708601 21.910827523,108.630836601 21.884209523,108.606236601 21.838054523,108.650272601 21.7230455230001,108.708599601 21.6530455230001,108.740254601 21.598881523,108.740672601 21.6133275230001,108.793945601 21.639790523,108.825254601 21.625199523,108.852618601 21.630063523,108.842036601 21.667399523,108.831708601 21.7015815230001,108.848327601 21.761390523,108.810327601 21.8033275230001,108.792481601 21.814999523,108.813872601 21.8155545230001,108.870245601 21.798881523,108.920818601 21.7564545230001,108.885890601 21.742072523,108.866381601 21.722218523,108.856508601 21.6817995230001,108.910954601 21.616109523,108.974008601 21.603609523,109.041372602 21.6158275230001,109.102763602 21.596945523,109.137499602 21.583054523,109.149918602 21.5334725230001,109.141518602 21.5069455230001,109.113799602 21.4875635230001,109.093045602 21.4819365230001,109.068045602 21.4322185230001,109.142763602 21.396663523,109.164699602 21.4116635230001,109.243318602 21.429999523,109.338881602 21.4486095230001,109.362199602 21.4488815230001,109.399145602 21.4488815230001,109.426790602 21.450827523,109.513881602 21.482354523,109.534427602 21.4949905230001,109.554427602 21.520554523,109.574845602 21.577290523,109.503881602 21.676381523,109.573318602 21.723327523,109.556508602 21.7024905230001,109.561090602 21.6734635230001,109.610527602 21.574999523,109.660472602 21.5056905230001,109.732481602 21.469718523,109.770290602 21.4869275230001,109.756527602 21.5112455230001,109.749418602 21.532218523,109.742336602 21.5729185230001,109.743636602 21.5793995230001,109.763427602 21.579818523,109.787199602 21.5394365230001,109.796372602 21.5136095230001,109.822772602 21.460554523,109.862763602 21.479718523,109.924145602 21.4741635230001,109.941090602 21.4469455230001,109.904708602 21.3880455230001,109.856645602 21.3594365230001,109.827472602 21.3513905230001,109.769145602 21.334718523,109.673863602 21.1288815230001,109.691654602 21.018327523,109.675263602 20.981109523,109.662899602 20.9241635220001,109.665954602 20.865690522,109.700545602 20.8172185220001,109.742199602 20.659718522,109.751099602 20.641109522,109.850808602 20.504445522,109.950399602 20.4483275220001,109.984008602 20.4480545220001,110.006863602 20.4317995220001,110.009145602 20.406663522,109.977899602 20.3577725220001,109.951236602 20.3823545220001,109.882754602 20.3599995220001,109.924427602 20.2336095220001,109.959990602 20.276390522,109.979845602 20.2919365220001,110.041927602 20.2977725220001,110.060190603 20.281799522,110.114981603 20.2404095220001,110.149145603 20.239990522,110.169436603 20.2408275220001,110.278872603 20.246109522,110.308872603 20.257499522,110.405254603 20.3032635220001,110.440808603 20.339999522,110.514499603 20.429645522,110.527354603 20.4861725220001,110.507218603 20.5277725220001,110.473527603 20.5707635220001,110.443263603 20.5662815220001,110.410263603 20.5805545220001,110.387490603 20.6042995220001,110.393599603 20.613609522,110.323881603 20.639999522,110.309427603 20.743609522,110.342427603 20.7975455220001,110.347899603 20.7645815220001,110.353318603 20.7354095220001,110.378936603 20.710272522,110.400818603 20.7342995220001,110.401099603 20.783190522,110.393599603 20.809718522,110.375536603 20.840827522,110.317672603 20.853845522,110.286927603 20.8422185220001,110.240527603 20.8322185220001,110.196372603 20.834999522,110.159354603 20.843818522,110.149145603 20.932218522,110.153590603 20.985272523,110.200272603 21.047772523,110.308590603 21.103609523,110.330272603 21.1119365230001,110.390599603 21.162981523,110.408872603 21.2279095230001,110.375527603 21.2777725230001,110.372481603 21.3180545230001,110.394354603 21.373218523,110.424563603 21.3722185230001,110.421099603 21.341527523,110.420536603 21.3147185230001,110.420254603 21.2630545230001,110.432745603 21.217490523,110.453599603 21.2086095230001,110.483518603 21.2207905230001,110.532763603 21.2113815230001,110.635463603 21.239018523,110.622208603 21.2720815230001,110.616090603 21.2941635230001,110.612072603 21.3272185230001,110.627745603 21.369445523,110.660536603 21.3886095230001,110.761827603 21.426172523,110.744563603 21.403327523,110.712763603 21.3976365230001,110.688581603 21.390554523,110.632445603 21.3585725230001,110.647908603 21.255972523,110.651090603 21.2544455230001,110.666372603 21.288745523,110.692890603 21.3326365230001,110.718736603 21.3605545230001,110.736099603 21.3722185230001,110.798181603 21.3995815230001,110.822218603 21.389163523,110.843045603 21.384163523,110.876854603 21.383672523,111.000263603 21.4255545230001,111.059627603 21.4796815230001,111.018318603 21.467290523,110.999845603 21.444372523,110.978036603 21.4456185230001,110.992554603 21.5139545230001,111.028454603 21.5252725230001,111.074645603 21.504027523,111.095545603 21.467081523,111.146663604 21.4651365230001,111.296945604 21.4983275230001,111.379154604 21.529445523,111.473454604 21.5127095230001,111.643954604 21.526799523,111.674908604 21.5836815230001,111.699208604 21.611381523,111.749290604 21.613609523,111.783172604 21.612636523,111.770399604 21.707699523,111.750818604 21.7269365230001,111.701436604 21.752009523,111.676227604 21.778190523,111.795818604 21.7369365230001,111.823881604 21.719990523,111.833663604 21.682981523,111.858518604 21.6732635230001,111.887218604 21.6823545230001,111.966927604 21.7513905230001,111.974427604 21.7713815230001,111.929699604 21.793054523,111.909145604 21.808472523,111.899018604 21.8259725230001,111.892208604 21.851109523,111.892136604 21.916109523,111.913736604 21.911318523,111.952072604 21.8527725230001,112.070827604 21.7888905230001,112.247208605 21.7062455230001,112.281936605 21.7013815230001,112.335399605 21.7180455230001,112.362490605 21.7333275230001,112.385554605 21.747072523,112.478045605 21.8024995230001,112.566654605 21.7636815230001,112.592754605 21.769999523,112.611099605 21.779718523,112.630954605 21.791381523,112.671099605 21.849718523,112.693308605 21.8849905230001,112.753318605 21.9381905230001,112.824018605 21.964718523,112.846090605 21.950963523,112.865745605 21.896936523,112.891918605 21.859581523,112.940045605 21.8692995230001,112.978599605 21.8963815230001,113.004436605 21.9388815230001,113.002208605 21.971381523,112.993872605 22.008890523,112.987336605 22.0892995240001,112.996936605 22.1088905240001,113.012763605 22.1294455240001,113.046654605 22.1674995240001,113.084845605 22.204854524,113.106781605 22.212354524,113.125599605 22.152218524,113.115963605 22.090118524,113.222618605 22.040690523,113.252554605 22.062499524,113.249008605 22.097418524,113.255827605 22.124163524,113.302690606 22.1772905240001,113.335054606 22.179509524,113.356372606 22.166518524,113.386790606 22.179645524,113.359990606 22.230272524,113.295254606 22.3316635240001,113.234572605 22.4172185240001,113.186990605 22.4604095240001,113.159981605 22.478672524,113.154708605 22.5063815240001,113.168727605 22.5670095240001,113.213318605 22.496936524,113.247481605 22.4241635240001,113.267490605 22.3827725240001,113.288590606 22.3549995240001,113.433445606 22.178472524,113.456654606 22.167909524,113.514645606 22.1788815240001,113.531663606 22.1947365240001,113.552681606 22.1870095240001,113.554427606 22.2127275240001,113.579427606 22.2498545240001,113.589854606 22.3581905240001,113.571654606 22.3698545240001,113.538099606 22.391318524,113.533390606 22.422454524,113.558308606 22.4783275240001,113.564772606 22.5494455240001,113.541654606 22.616936524,113.499999606 22.678536524,113.470836606 22.7086725240001,113.437781606 22.737836524,113.491736606 22.7708815240001,113.453327606 22.7916635240001,113.362899606 22.8798545240001,113.378008606 22.9103815240001,113.421254606 22.9288455240001,113.480254606 22.917145524,113.495672606 23.004163524,113.493872606 23.0241635240001,113.479281606 23.0508275240001,113.683590606 23.152709525,113.712199606 23.155272525,113.821899606 23.1172365240001,113.802208606 23.123327525,113.706372606 23.1312455250001,113.612272606 23.103199524,113.547127606 23.0752725240001,113.525272606 23.050272524,113.523336606 23.0166455240001,113.546299606 22.9832545240001,113.602481606 22.9912455240001,113.590618606 22.8802725240001,113.605954606 22.834581524,113.754436606 22.751799524,113.798863606 22.657218524,113.837490606 22.5611095240001,113.860808606 22.4744365240001,113.924908606 22.5127725240001,113.948863606 22.521945524,114.001099606 22.520827524,114.030545606 22.512218524,114.033690606 22.508736524,113.949418606 22.4463815240001,113.896927606 22.405345524,113.905608606 22.3673545240001,113.932208606 22.354445524,114.025545606 22.3519365240001,114.198027606 22.318054524,114.296108606 22.2605635240001,114.306572606 22.2854275240001,114.274290606 22.324254524,114.262081606 22.3595905240001,114.292608606 22.3818365240001,114.329699606 22.3770365240001,114.382472607 22.3713815240001,114.388527607 22.4299275240001,114.312481606 22.474581524,114.239436606 22.4308275240001,114.219436606 22.4744365240001,114.222263606 22.550045524,114.239772606 22.565899524,114.266099606 22.5802725240001,114.301654606 22.593609524,114.365954607 22.6092995240001,114.391654607 22.609999524,114.416381607 22.593609524,114.467336607 22.550899524,114.474699607 22.5249995240001,114.518336607 22.4744365240001,114.613590607 22.5042365240001,114.597827607 22.5385365240001,114.525818607 22.5849995240001,114.500972607 22.6533275240001,114.520827607 22.699718524,114.559427607 22.7341635240001,114.689699607 22.784718524,114.778181607 22.814027524,114.812399607 22.783954524,114.783736607 22.756799524,114.744290607 22.7456185240001,114.723872607 22.724854524,114.718872607 22.7036095240001,114.718045607 22.6402725240001,114.738727607 22.5866635240001,114.771518607 22.5851365240001,114.848736607 22.587218524,114.879354607 22.570063524,114.872208607 22.533054524,114.877763607 22.534445524,114.900963607 22.5463905240001,114.936654607 22.6499995240001,114.888890607 22.7027725240001,114.943308607 22.7438815240001,115.048027607 22.778609524,115.161372607 22.808327524,115.240536607 22.8274995240001,115.223045607 22.7865275240001,115.375945607 22.681799524,115.536654608 22.658881524,115.562481608 22.681936524,115.535536608 22.8327725240001,115.564990608 22.8547185240001,115.640263608 22.884163524,115.669436608 22.877772524,115.783863608 22.7972185240001,115.797763608 22.739163524,115.843736608 22.779445524,115.862199608 22.7891635240001,116.050263608 22.8524995240001,116.077936608 22.8324995240001,116.132554608 22.847354524,116.177754608 22.8863815240001,116.226927608 22.9308275240001,116.325272608 22.938327524,116.350954608 22.929299524,116.379145608 22.9263815240001,116.481718608 22.9390185240001,116.536927609 23.006527524,116.535808609 23.032218524,116.513890609 23.2108275250001,116.748799609 23.2240185250001,116.780263609 23.2092995250001,116.787072609 23.236663525,116.741508609 23.3183995250001,116.623099609 23.320554525,116.591308609 23.311318525,116.550945609 23.3366635250001,116.529018609 23.3638815250001,116.522218609 23.3866635250001,116.532199609 23.4202365250001,116.558590609 23.3949275250001,116.604599609 23.3701185250001,116.632472609 23.361663525,116.760327609 23.354999525,116.806927609 23.399718525,116.824708609 23.4183275250001,116.859154609 23.4644365250001,116.879554609 23.551663525,116.874845609 23.597463525,116.917936609 23.659190525,117.034154609 23.6567995250001,117.056990609 23.634581525,117.124418609 23.591381525,117.174236609 23.616681525,117.195681609 23.6243725250001,117.255254609 23.664436525,117.266863609 23.7297185250001,117.304699609 23.758327525,117.365808609 23.790836525,117.477199609 23.840272525,117.61469961 23.8636095250001,117.65165461 23.933327525,117.70971861 24.041663525,117.76262761 24.059999525,117.79483661 24.0037455250001,117.77039961 23.9882545250001,117.72804561 23.941518525,117.73525461 23.900272525,117.76331861 23.9172185250001,117.86469961 24.0369455250001,117.95999061 24.153609525,118.02303661 24.2049905260001,118.12372761 24.258745526,118.11942761 24.292499526,118.09499061 24.342772526,118.03713661 24.4034635260001,117.93441861 24.3866635260001,117.89665461 24.383609526,117.83456361 24.418054526,117.79472761 24.460181526,117.82360861 24.479163526,117.84921861 24.4851365260001,117.89277261 24.4795815260001,117.92205461 24.466245526,117.96053661 24.450272526,118.01988161 24.440236526,118.05136361 24.5172185260001,118.02623661 24.5290275260001,117.97817261 24.5413185260001,117.98248161 24.5642995260001,118.04359061 24.615827526,118.16879961 24.6819365260001,118.19303661 24.6497185260001,118.19497261 24.610554526,118.23969961 24.5363815260001,118.32692761 24.583881526,118.41665461 24.620554526,118.43997261 24.6283275260001,118.47469961 24.615554526,118.52026361 24.5980545260001,118.55970861 24.576109526,118.55324561 24.5452725260001,118.55345461 24.5123635260001,118.59526361 24.528609526,118.62275461 24.543890526,118.657490611 24.5749995260001,118.750263611 24.7247185260001,118.763118611 24.7567365260001,118.707763611 24.802354526,118.651381611 24.7802815260001,118.62650861 24.7711815260001,118.57290861 24.882909526,118.666790611 24.947218526,118.706245611 24.9313815260001,118.725536611 24.8874905260001,118.705690611 24.8736095260001,118.693999611 24.851736526,118.717208611 24.8430545260001,118.984990611 24.9269365260001,119.011445611 24.9476365260001,118.986645611 24.971936526,118.868590611 25.043890526,118.847063611 25.082981526,118.860263611 25.1012455260001,118.891863611 25.102427526,118.939145611 25.106281526,118.967763611 25.1772545260001,118.912627611 25.218609526,118.882372611 25.219299526,118.874872611 25.242599526,118.945254611 25.269999527,118.992899611 25.281663527,119.061372611 25.2730545270001,119.068599611 25.2059635260001,119.055045611 25.174927526,119.031863611 25.164436526,119.035054611 25.1269365260001,119.092072611 25.105554526,119.146099611 25.118327526,119.272627611 25.1720815260001,119.352554611 25.253190526,119.281099611 25.3242995270001,119.242481611 25.3247185270001,119.169981611 25.344163527,119.106436611 25.3971455270001,119.105263611 25.420963527,119.169154611 25.4549905270001,119.222072611 25.4727365270001,119.256099611 25.5008275270001,119.302199611 25.564718527,119.314945611 25.6064905270001,119.350954611 25.6029095270001,119.379154611 25.585827527,119.423308611 25.5108275270001,119.504708611 25.4747185270001,119.580690611 25.418190527,119.582490611 25.3980545270001,119.591663611 25.360554527,119.601381611 25.340272527,119.614154611 25.3380545270001,119.619136611 25.339999527,119.645399611 25.353327527,119.644572611 25.4165185270001,119.552890611 25.563609527,119.505463611 25.557354527,119.480263611 25.572772527,119.457627611 25.6169365270001,119.453327611 25.6522185270001,119.452208611 25.682218527,119.513318611 25.6866635270001,119.580745611 25.679963527,119.621090611 25.7566635270001,119.600336611 25.8090275270001,119.591372611 25.8636095270001,119.611099611 25.8755545270001,119.672208611 25.9294365270001,119.696918611 25.970136527,119.705827611 25.990690527,119.682827611 26.013472527,119.572072611 26.043127527,119.516936611 26.0402095270001,119.501099611 26.022499527,119.491718611 25.994718527,119.464708611 25.971936527,119.447481611 25.960272527,119.354008611 25.937872527,119.256654611 25.9630545270001,119.097490611 26.140409527,119.198590611 26.108327527,119.341372611 26.044163527,119.405118611 26.0106905270001,119.425263611 25.9969365270001,119.507490611 26.0558275270001,119.593045611 26.173881527,119.635408611 26.2565275270001,119.668872611 26.281799527,119.767972612 26.2896455270001,119.792763612 26.280554527,119.793245612 26.303318527,119.816927612 26.322636527,119.850118612 26.322772527,119.884145612 26.3105545270001,119.933863612 26.3487455280001,119.948863612 26.367772528,119.818736612 26.418609528,119.788308612 26.398054528,119.756381612 26.3658275280001,119.737363612 26.332027527,119.689418611 26.3179185270001,119.658045611 26.3386095270001,119.565536611 26.4433275280001,119.577472611 26.473881528,119.653045611 26.492772528,119.734418612 26.435272528,119.766099612 26.407563528,119.788590612 26.4091635280001,119.820399612 26.4422185280001,119.780272612 26.572772528,119.737072612 26.608054528,119.665681611 26.6101365280001,119.621090611 26.5899995280001,119.599718611 26.573890528,119.552618611 26.6174995280001,119.533872611 26.6477725280001,119.550263611 26.7562455280001,119.576663611 26.785554528,119.618381611 26.7938905280001,119.626727611 26.7745365280001,119.630808611 26.751109528,119.685390611 26.705827528,119.703745611 26.694299528,119.728427612 26.7112455280001,119.708318611 26.7266635280001,119.687481611 26.740272528,119.676208611 26.772063528,119.687963611 26.8126995280001,119.787899612 26.796109528,119.791508612 26.6920815280001,119.866781612 26.6488815280001,119.892590612 26.6693725280001,119.892208612 26.6969455280001,119.922963612 26.789790528,119.964708612 26.7949995280001,120.073308612 26.7882275280001,119.975963612 26.652218528,119.947899612 26.626172528,119.902690612 26.6214545280001,119.854154612 26.5929815280001,119.832908612 26.5598545280001,119.835681612 26.527290528,119.860263612 26.517772528,119.886645612 26.520554528,119.937190612 26.556945528,119.993445612 26.5992995280001,120.096863612 26.621872528,120.127963612 26.6446455280001,120.104154612 26.7938905280001,120.058527612 26.819027528,120.033599612 26.8188815280001,120.019427612 26.8399995280001,120.033181612 26.898054528,120.137072612 26.9255545280001,120.204163612 26.9161095280001,120.235808612 26.9819365280001,120.235263612 27.0324995280001,120.236363612 27.061109528,120.253254612 27.129163528,120.277354612 27.1102725280001,120.330554612 27.0991635280001,120.385263612 27.094718528,120.421099612 27.1476365280001,120.328872612 27.2294365280001,120.254436612 27.2519455280001,120.222899612 27.245409528,120.202545612 27.2202725280001,120.176090612 27.222809528,120.189563612 27.2827725280001,120.210872612 27.2976095280001,120.269290612 27.318609528,120.310245612 27.311109528,120.317481612 27.2874995280001,120.338318612 27.241381528,120.422245612 27.174509528,120.416363612 27.2086995280001,120.419699612 27.214163528,120.451090612 27.221727528,120.462418612 27.2029815280001,120.471190612 27.1790545280001,120.507490612 27.2077725280001,120.525545612 27.2291635280001,120.543872612 27.2833365280001,120.549427612 27.324163528,120.583327612 27.389436528,120.632145612 27.3714545280001,120.665545612 27.450827529,120.639708612 27.4959635290001,120.608736612 27.504436529,120.586108612 27.537218529,120.580272612 27.557772529,120.581163612 27.593190529,120.620954612 27.597145529,120.655254612 27.6166635290001,120.674490612 27.6453455290001,120.694699612 27.722218529,120.795263612 27.8465275290001,120.839990613 27.8722905290001,120.839636613 27.948399529,120.719145612 27.988045529,120.613308612 28.0186095290001,120.590818612 28.0794365290001,120.678308612 28.039718529,120.831936613 27.994436529,120.935254613 27.9822185290001,120.954154613 27.9924905290001,121.081936613 28.173881529,121.103863613 28.2061095290001,121.114845613 28.241245529,121.102199613 28.290836529,121.165118613 28.3827725290001,121.185536613 28.3797185290001,121.209718613 28.3574995290001,121.248172613 28.275418529,121.250263613 28.249999529,121.260345613 28.204790529,121.283599613 28.176936529,121.341927613 28.1388815290001,121.374418613 28.188327529,121.386936613 28.2372185290001,121.408336613 28.303609529,121.455272613 28.338054529,121.498027613 28.338327529,121.525681613 28.3313815290001,121.573954613 28.302909529,121.579990613 28.275554529,121.641663613 28.347218529,121.592754613 28.3927725290001,121.523608613 28.5002725300001,121.522490613 28.5488815300001,121.506663613 28.61443653,121.497754613 28.64221853,121.484427613 28.6699275300001,121.465408613 28.6822185300001,121.409990613 28.6902725300001,121.290818613 28.73527253,121.159008613 28.8064545300001,121.146381613 28.84214553,121.301090613 28.7432545300001,121.350254613 28.71730953,121.373754613 28.7102725300001,121.501090613 28.69429953,121.528872613 28.69832753,121.611299613 28.7279815300001,121.659418613 28.79666353,121.659572613 28.83194553,121.588145613 28.8895095300001,121.534145613 28.8977725300001,121.512208613 28.9094365300001,121.490818613 28.93589953,121.502627613 28.9529095300001,121.539418613 28.95075453,121.588045613 28.9349905300001,121.682208613 28.9164545300001,121.713318613 28.9486095300001,121.691363613 29.02194553,121.627763613 29.10110953,121.563872613 29.11416353,121.537336613 29.11277253,121.496099613 29.1041635300001,121.468318613 29.0958275300001,121.439145613 29.10777253,121.424990613 29.12555453,121.413518613 29.16339953,121.460818613 29.1863815300001,121.504990613 29.20555453,121.561099613 29.29110953,121.596363613 29.2477725300001,121.657208613 29.1886095300001,121.676790613 29.18346353,121.744354613 29.19729053,121.769218613 29.27305453,121.764018613 29.36347253,121.796918613 29.3723545300001,121.810254613 29.2708275300001,121.802690613 29.2041635300001,121.811918613 29.1838815300001,121.847545613 29.1622185300001,121.933590614 29.1952725300001,121.986927614 29.2549995300001,121.967899614 29.28097253,121.944008614 29.2660365300001,121.911927614 29.2708275300001,121.897490614 29.2920815300001,121.889299614 29.3866635300001,121.912063614 29.4200635300001,121.974354614 29.5891635310001,121.938581614 29.6238815310001,121.905818614 29.6352725310001,121.790054613 29.604163531,121.738272613 29.55006353,121.803445613 29.5445815300001,121.823599613 29.54360953,121.848727613 29.5288905300001,121.798799613 29.4774275300001,121.746708613 29.47124553,121.749290613 29.4997185300001,121.756527613 29.5240275300001,121.711790613 29.5344365300001,121.467481613 29.4594365300001,121.439699613 29.41693653,121.436372613 29.4208275300001,121.428863613 29.46151853,121.448318613 29.5116635300001,121.472899613 29.5358275300001,121.502136613 29.5453455300001,121.523036613 29.5169365300001,121.651927613 29.54999953,121.691790613 29.56082753,121.793590613 29.671663531,121.867127613 29.764854531,121.956645614 29.8127725310001,121.984981614 29.8240275310001,122.028263614 29.8373815310001,122.057590614 29.8473815310001,122.119563614 29.882109531,122.104499614 29.9008275310001,122.074854614 29.8900635310001,122.026627614 29.881636531,121.938999614 29.881381531,121.854427613 29.9205545310001,121.800808613 29.946945531,121.728036613 29.9559635310001,121.677754613 29.9630545310001,121.635118613 29.9912455310001,121.612490613 30.013609531,121.529427613 30.1219365310001,121.505254613 30.161663531,121.483599613 30.1852725310001,121.406372613 30.2479095310001,121.350536613 30.278609531,121.301372613 30.2998545310001,121.280808613 30.3045815310001,121.220399613 30.305418531,121.199418613 30.304718531,121.170536613 30.3012455310001,121.140263613 30.2911095310001,121.072145613 30.259109531,120.838881613 30.129718531,120.776090612 30.091109531,120.791581612 30.0646455310001,120.674990612 30.0824995310001,120.615108612 30.1104815310001,120.599427612 30.126945531,120.577763612 30.165136531,120.566936612 30.203881531,120.538036612 30.2772185310001,120.525827612 30.299999531,120.508190612 30.3102725310001,120.478327612 30.312218531,120.454845612 30.306527531,120.406154612 30.2847185310001,120.305254612 30.2222185310001,120.149990612 30.1969365310001,120.391872612 30.371663531,120.458590612 30.392981531,120.649218612 30.3975635310001,120.691227612 30.3876365310001,120.714708612 30.374854531,120.751018612 30.3382635310001,120.795536612 30.328745531,120.814418613 30.3355545310001,120.875263613 30.3638815310001,120.936854613 30.4188095310001,120.931854613 30.449090531,120.932208613 30.4708275310001,120.944145613 30.503190531,120.960963613 30.5379185310001,120.991508613 30.568881531,121.219981613 30.6717995320001,121.256236613 30.6833275320001,121.275418613 30.6880635320001,121.334436613 30.702772532,121.354427613 30.716936532,121.393045613 30.767909532,121.436781613 30.8001365320001,121.469145613 30.8163905320001,121.559418613 30.8436095320001,121.634427613 30.8549995320001,121.698318613 30.863054532,121.733599613 30.8627725320001,121.760972613 30.8594455320001,121.792763613 30.851527532,121.846927613 30.853054532,121.874699614 30.870690532,121.891654614 30.9279095320001,121.882763614 30.979854532,121.869708613 31.0083275320001,121.805254613 31.126109532,121.780272613 31.1713815320001,121.756518613 31.2112455320001,121.741363613 31.232218532,121.709845613 31.2737455320001,121.694563613 31.2887455320001,121.668054613 31.3088905320001,121.644427613 31.3254185320001,121.601654613 31.3479095320001,121.451099613 31.4186095320001,121.362490613 31.4738815320001,121.325145613 31.492218532,121.265263613 31.5781905320001,121.225399613 31.620690532,121.084018613 31.7072185320001,120.961790613 31.754372533,120.930536613 31.751945533,120.879281613 31.7492995330001,120.854008613 31.754445533,120.748872612 31.7991635330001,120.719636612 31.819436533,120.721090612 31.8529095330001,120.738308612 31.832499533,120.768945612 31.8167995330001,120.789699612 31.8742995330001,120.732472612 31.9701365330001,120.702618612 31.9883275330001,120.499154612 32.021099533,120.433590612 32.0157545330001,120.377763612 31.9547185330001,120.272772612 31.9177725330001,120.225536612 31.903190533,120.181927612 31.899436533,120.136372612 31.9038815330001,120.102199612 31.913327533,119.995818612 31.945545533,119.885045612 31.9919365330001,119.870245612 32.0055545330001,119.872599612 32.066845533,119.806636612 32.105554533,119.768008612 32.1198365330001,119.764527612 32.1560905330001,119.787199612 32.188045533,119.728272612 32.210472533,119.694108611 32.236272533,119.674581611 32.2258185330001,119.649154611 32.192836533,119.613108611 32.1906455330001,119.631654611 32.262772533,119.680818611 32.303045533,119.715554611 32.315545533,119.761790612 32.3272905330001,119.796372612 32.3180545330001,119.826663612 32.306381533,119.861718612 32.2746455330001,119.900272612 32.1952635330001,119.904636612 32.1472815330001,119.918054612 32.109718533,119.964154612 32.0458275330001,120.018108612 31.9824275330001,120.056090612 31.961936533,120.099008612 31.9455545330001,120.188308612 31.933881533,120.217481612 31.933609533,120.239418612 31.9373545330001,120.272699612 31.9467275330001,120.307618612 31.9711095330001,120.331090612 31.998118533,120.354427612 32.017209533,120.441090612 32.076099533,120.472027612 32.0924365330001,120.507418612 32.1017995330001,120.601927612 32.0936095330001,120.641372612 32.0861095330001,120.707763612 32.0658275330001,120.737018612 32.0559635330001,120.789427612 32.0305455330001,120.812763613 32.0174905330001,120.836090613 31.9983275330001,120.855554613 31.979718533,120.883608613 31.9483275330001,120.898527613 31.928654533,120.944427613 31.8663905330001,121.070190613 31.8599275330001,121.291518613 31.870272533,121.431354613 31.8337455330001,121.482054613 31.812909533,121.576663613 31.7580545330001,121.612199613 31.737218533,121.646999613 31.712836533,121.714708613 31.696381532,121.827472613 31.678327532,121.873727614 31.6783995320001,121.893463614 31.6931905320001,121.896518614 31.7415275330001,121.890263614 31.7619455330001,121.840272613 31.8897185330001,121.829018613 31.9162455330001,121.738872613 31.9985995330001,121.706645613 32.021663533,121.678318613 32.044018533,121.660808613 32.0544365330001,121.560254613 32.103054533,121.519981613 32.1160365330001,121.473872613 32.113881533,121.441227613 32.1133275330001,121.380254613 32.233118533,121.419418613 32.243809533,121.407063613 32.3669365330001,121.334845613 32.4295725330001,121.294836613 32.4538815330001,121.260818613 32.466936533,121.178308613 32.4902725330001,121.100272613 32.5161095330001,120.930818613 32.5888815330001,120.837490613 32.6388815330001,120.827618613 32.6572095330001,120.826372613 32.6965185330001,120.836108613 32.7147095330001,120.879154613 32.796945534,120.894990613 32.8952725340001,120.885818613 32.974990534,120.803172613 33.1362455340001,120.786518612 33.165681534,120.734418612 33.231654534,120.661999612 33.3295095340001,120.656372612 33.370272534,120.649018612 33.420681534,120.636108612 33.455827534,120.611918612 33.487072534,120.591927612 33.499163534,120.548036612 33.557909534,120.498318612 33.6572095340001,120.480818612 33.761936534,120.393336612 33.9594365350001,120.368045612 34.041936535,120.340818612 34.1233185350001,120.314990612 34.181663535,120.248736612 34.3114545350001,119.986927612 34.430272535,119.924281612 34.456381535,119.893390612 34.460681535,119.856236612 34.4586095350001,119.832627612 34.461654535,119.794999612 34.4717995350001,119.651981611 34.5280635350001,119.534908611 34.6074905350001,119.462345611 34.6841545350001,119.477054611 34.704018535,119.457627611 34.7334635350001,119.437763611 34.746099535,119.368318611 34.763327535,119.328881611 34.758327535,119.308590611 34.747772535,119.285808611 34.747772535,119.261108611 34.750827535,119.223308611 34.7577725350001,119.197481611 34.769718535,119.176090611 34.884990535,119.200390611 35.029572536,119.211799611 35.0540185360001,119.234908611 35.0663815360001,119.280299611 35.0681545360001,119.349154611 35.0940185360001,119.370254611 35.112499536,119.375672611 35.134718536,119.380808611 35.1805455360001,119.390127611 35.224299536,119.401381611 35.2488815360001,119.423863611 35.2830545360001,119.451663611 35.309990536,119.514708611 35.333045536,119.549708611 35.3772095360001,119.594436611 35.4594365360001,119.620818611 35.5086095360001,119.634163611 35.5397185360001,119.647454611 35.578927536,119.725681612 35.6179095360001,119.828599612 35.6216545360001,119.902899612 35.6495725360001,119.906654612 35.7427725360001,120.055254612 35.869990536,120.099290612 35.900272536,120.152208612 35.9191545360001,120.237763612 35.9594365360001,120.180254612 35.979709536,120.090927612 36.108172537,120.083954612 36.1345185370001,120.088854612 36.199981537,120.115245612 36.207209537,120.161908612 36.208881537,120.272399612 36.2027455370001,120.287008612 36.261854537,120.307808612 36.2634455370001,120.353245612 36.196063537,120.354708612 36.1729275370001,120.316090612 36.091663537,120.291890612 36.0606545370001,120.343590612 36.0418995370001,120.417918612 36.055190537,120.695627612 36.140745537,120.671236612 36.262481537,120.682899612 36.3808275370001,120.706236612 36.4227725370001,120.754572612 36.4565185370001,120.779708612 36.4626275370001,120.818245613 36.4592275370001,120.843599613 36.4205455370001,120.864699613 36.372763537,120.875263613 36.3758275370001,120.898036613 36.4019275370001,120.959990613 36.5263815370001,120.940563613 36.550663537,120.858318613 36.6002725370001,120.835890613 36.600063537,120.806990613 36.573118537,120.795327612 36.5479095370001,120.773463612 36.536663537,120.738236612 36.5554095370001,120.752490612 36.594436537,120.776381612 36.616654537,120.820545613 36.645272537,120.842899613 36.6473545370001,120.875808613 36.6391635370001,120.930672613 36.6192995370001,120.952181613 36.596436537,121.015745613 36.580999537,121.070127613 36.604572537,121.089981613 36.6202725370001,121.111099613 36.6391635370001,121.134718613 36.6549905370001,121.175536613 36.677490537,121.204708613 36.686790537,121.286654613 36.7047185370001,121.341372613 36.7124905370001,121.372754613 36.722763537,121.448436613 36.772663537,121.489436613 36.821109537,121.551090613 36.8374905370001,121.585263613 36.8442275370001,121.606572613 36.8360995370001,121.544708613 36.7915185370001,121.511172613 36.779281537,121.522490613 36.749790537,121.594436613 36.7588905370001,121.737199613 36.8388815370001,121.938308614 36.9335365370001,121.919081614 36.978527537,121.956645614 37.0002725370001,122.044981614 36.984990537,122.164699614 36.944154537,122.175263614 36.8735995370001,122.192336614 36.842972537,122.312472614 36.8233275370001,122.354427614 36.827772537,122.504708614 36.893609537,122.523318614 36.9099185370001,122.539154614 37.019781537,122.433590614 37.0049995370001,122.410408614 36.9995725370001,122.400545614 37.0258275370001,122.452381614 37.1436365380001,122.467481614 37.105827538,122.477408614 37.131172538,122.497899614 37.148672538,122.534708614 37.1499905380001,122.597208614 37.2099905380001,122.558581614 37.3962455380001,122.181372614 37.418327538,122.161790614 37.4259635380001,122.135272614 37.464436538,122.126963614 37.4933275380001,122.150054614 37.5120815380001,122.128172614 37.5525635380001,122.067754614 37.536663538,122.018881614 37.512772538,121.975808614 37.4744365380001,121.940536614 37.4611095380001,121.821663613 37.4605455380001,121.694699613 37.4580455380001,121.669408613 37.439618538,121.633327613 37.429718538,121.579990613 37.4245725380001,121.478463613 37.4665185380001,121.382754613 37.5535995380001,121.161099613 37.579163538,121.138527613 37.596727538,121.127481613 37.6533185380001,120.960272613 37.756945538,120.935154613 37.780963538,120.932399613 37.8114545380001,120.878036613 37.8283275380001,120.737072612 37.8349905380001,120.710818612 37.826109538,120.684908612 37.8063095380001,120.660954612 37.788054538,120.580272612 37.766936538,120.506654612 37.7483275380001,120.405254612 37.7080455380001,120.348872612 37.6852635380001,120.309418612 37.662490538,120.321999612 37.6438815380001,120.307818612 37.6029095380001,120.194008612 37.5116635380001,120.141663612 37.476099538,120.058872612 37.4319365380001,120.036918612 37.4258275380001,119.994708612 37.4163815380001,119.852908612 37.3522815380001,119.861236612 37.3233275380001,119.887081612 37.2865185380001,119.894018612 37.2631905380001,119.886090612 37.239990538,119.861363612 37.216936538,119.767208612 37.1513815380001,119.744418612 37.1430545380001,119.712199611 37.138045538,119.642763611 37.132209538,119.587772611 37.1363815380001,119.546654611 37.137772538,119.514299611 37.1365185380001,119.482763611 37.1274905380001,119.453045611 37.1235995380001,119.395827611 37.122772538,119.297763611 37.1316635380001,119.253599611 37.139436538,119.232754611 37.1436095380001,119.158863611 37.1711095380001,119.127199611 37.1874905380001,118.971099611 37.270827538,118.956645611 37.3005455380001,118.940808611 37.3424905380001,118.937763611 37.381381538,118.953799611 37.539990538,118.963318611 37.5758275380001,118.970681611 37.594436538,118.983318611 37.616245538,119.006099611 37.6408275380001,119.037899611 37.666518538,119.049145611 37.7622185380001,119.035536611 37.878318538,119.026381611 37.9049905380001,118.951654611 38.038463538,118.837763611 38.1529095390001,118.794436611 38.158881539,118.712199611 38.1424905380001,118.59915461 38.1108275380001,118.48359961 38.1005455380001,118.45213661 38.1133995380001,118.35720861 38.1291545380001,118.18580861 38.145272538,118.11052761 38.1463815380001,118.02805461 38.1672095390001,117.88388161 38.244436539,117.82651861 38.2638995390001,117.80317261 38.2738815390001,117.73664561 38.3269455390001,117.71081861 38.348327539,117.69525461 38.3633275390001,117.67220861 38.3866545390001,117.65442761 38.413609539,117.63997261 38.4360995390001,117.62137261 38.465827539,117.553590609 38.592490539,117.546099609 38.612772539,117.545581609 38.6166635390001,117.540672609 38.640827539,117.536372609 38.6755545390001,117.571927609 38.7752725390001,117.58527261 38.802772539,117.60457261 38.8355455390001,117.65081861 38.898327539,117.72317261 39.0244365390001,117.72748161 39.0699905390001,117.74387261 39.1049995390001,117.79942761 39.1533185390001,117.81971861 39.1655455390001,117.85248161 39.182209539,117.88899961 39.198463539,118.00999061 39.2169365390001,118.02360861 39.220827539,118.05526361 39.2230455390001,118.12359961 39.201663539,118.15005461 39.191099539,118.17789961 39.1719365390001,118.21666361 39.1327635390001,118.23519061 39.107009539,118.24163661 39.0738185390001,118.32728161 39.0408275390001,118.36942761 39.0535995390001,118.39777261 39.065545539,118.50811861 39.123045539,118.52596361 39.1472095390001,118.54414561 39.1620725390001,118.60914561 39.1892905390001,118.661927611 39.176654539,118.718399611 39.1495095390001,118.755127611 39.1440185390001,118.784708611 39.153599539,118.840818611 39.1791635390001,118.967481611 39.1901275390001,118.942754611 39.161518539,118.915545611 39.148463539,118.899008611 39.123945539,118.971518611 39.1569365390001,119.009163611 39.188045539,119.055354611 39.24321854,119.132754611 39.31859954,119.176372611 39.3472095400001,119.236099611 39.38499054,119.255681611 39.4067275400001,119.255827611 39.5510995400001,119.339499611 39.7120725400001,119.526445611 39.8724185400001,119.589708611 39.9052635400001,119.657490611 39.9299905400001,119.812481612 39.97304554,119.851381612 39.98220954,119.925808612 40.0285995400001,119.946372612 40.0405545400001,120.024427612 40.06666354,120.152481612 40.10777254,120.280818612 40.1486095400001,120.426372612 40.1880455400001,120.446781612 40.19609954,120.498027612 40.2385995400001,120.503527612 40.2586725400001,120.540118612 40.3925635410001,120.679427612 40.5124995410001,120.825818613 40.6610995410001,120.844427613 40.6711095410001,120.895536613 40.676099541,120.928599613 40.674999541,121.032418613 40.7110365410001,120.996090613 40.730199541,120.952472613 40.7275545410001,120.936363613 40.750199541,120.969845613 40.8153455410001,121.001645613 40.8293725410001,121.081672613 40.8394275410001,121.108872613 40.871372541,121.177463613 40.921936541,121.197745613 40.924436541,121.363736613 40.9313815410001,121.523881613 40.8880455410001,121.542127613 40.8660275410001,121.558936613 40.841309541),(121.255827613 39.40942754,121.259018613 39.3804095400001,121.282490613 39.3805455400001,121.298027613 39.38999054,121.381927613 39.3691545400001,121.409418613 39.36138154,121.421372613 39.36554554,121.434981613 39.3887455400001,121.451518613 39.44463654,121.442890613 39.46249054,121.430545613 39.4708275400001,121.414018613 39.47665454,121.393054613 39.47915454,121.337199613 39.4785995400001,121.263327613 39.43596354,121.255827613 39.40942754),(121.333054613 31.8183275330001,121.311654613 31.819999533,121.275818613 31.819999533,121.239154613 31.8170815330001,121.219990613 31.810272533,121.203854613 31.8005365330001,121.217754613 31.765272533,121.298599613 31.6688815320001,121.316090613 31.655272532,121.351381613 31.6283275320001,121.361099613 31.6219365320001,121.381090613 31.6099995320001,121.401927613 31.598327532,121.546372613 31.5311095320001,121.707490613 31.4777725320001,121.749708613 31.4647185320001,121.784708613 31.4566635320001,121.818599613 31.4506905320001,121.831099613 31.452772532,121.866654613 31.4869365320001,121.873599614 31.499718532,121.875527614 31.512772532,121.873599614 31.523609532,121.867199613 31.534999532,121.854290613 31.5452725320001,121.814699613 31.5608275320001,121.801372613 31.564718532,121.785808613 31.5663905320001,121.763608613 31.5674995320001,121.748599613 31.570272532,121.676090613 31.594163532,121.612199613 31.616390532,121.564699613 31.6358275320001,121.493590613 31.6749995320001,121.466654613 31.705545532,121.473872613 31.7147185330001,121.486636613 31.715827533,121.478045613 31.736109533,121.467208613 31.7483275330001,121.458599613 31.755272533,121.427336613 31.775554533,121.333054613 31.8183275330001),(119.780272612 32.289718533,119.763890612 32.2919365330001,119.750545612 32.2908365330001,119.734154612 32.2844365330001,119.718172611 32.2737455330001,119.712736611 32.266736533,119.718508611 32.2460365330001,119.746399612 32.2292995330001,119.788227612 32.2069905330001,119.819599612 32.192345533,119.785327612 32.128809533,119.897345612 32.071109533,119.834990612 32.250272533,119.825672612 32.265972533,119.815263612 32.2747095330001,119.800263612 32.2838815330001,119.780272612 32.289718533),(122.174145614 30.3354185310001,122.117199614 30.318881531,122.107208614 30.3141635310001,122.088590614 30.3027725310001,122.086699614 30.3008455310001,122.078881614 30.294999531,122.076381614 30.285136531,122.098599614 30.271381531,122.130536614 30.254718531,122.142490614 30.2499995310001,122.184708614 30.239436531,122.199708614 30.2377725310001,122.213190614 30.2429095310001,122.235263614 30.3111095310001,122.219154614 30.3342995310001,122.209836614 30.3395815310001,122.174145614 30.3354185310001),(121.969836614 30.056390531,122.008045614 30.004445531,122.046236614 30.009581531,122.059981614 30.0149995310001,122.070272614 30.0151365310001,122.175808614 29.9938815310001,122.237199614 29.971109531,122.246372614 29.9647185310001,122.256381614 29.9524995310001,122.278118614 29.9312455310001,122.293872614 29.9326365310001,122.326381614 30.0101365310001,122.324018614 30.0208275310001,122.286927614 30.0674995310001,122.163181614 30.119854531,122.106372614 30.1324995310001,122.044436614 30.1402725310001,121.980263614 30.146381531,121.963672614 30.1390275310001,121.969990614 30.0666635310001,121.969836614 30.056390531),(122.030818614 29.7280545310001,122.033672614 29.713536531,122.065681614 29.725272531,122.100745614 29.7149275310001,122.123263614 29.6863545310001,122.121918614 29.683054531,122.127345614 29.665409531,122.168454614 29.653881531,122.179354614 29.6682545310001,122.184708614 29.6877725310001,122.181927614 29.698054531,122.109281614 29.7886095310001,122.058454614 29.776245531,122.035536614 29.739436531,122.030818614 29.7280545310001),(121.238036613 28.2011095290001,121.200954613 28.204090529,121.121090613 28.135827529,121.121081613 28.1080545290001,121.129963613 28.098609529,121.128308613 28.0594455290001,121.147208613 28.0472185290001,121.170818613 28.046945529,121.189418613 28.0491635290001,121.204990613 28.055272529,121.239436613 28.0869365290001,121.265399613 28.1823545290001,121.238036613 28.2011095290001),(119.691918611 25.5987455270001,119.669708611 25.4819365270001,119.691654611 25.4369365270001,119.696372611 25.428054527,119.700563611 25.426090527,119.712199611 25.4202725270001,119.743590612 25.4049905270001,119.760336612 25.403672527,119.764718612 25.415963527,119.805327612 25.5279095270001,119.825336612 25.5444455270001,119.842627612 25.5419455270001,119.826663612 25.582772527,119.779636612 25.6555455270001,119.756936612 25.660827527,119.723036612 25.638881527,119.691918611 25.5987455270001),(118.43776361 24.495827526,118.40373661 24.5206905260001,118.39305461 24.5158275260001,118.33027261 24.4633275260001,118.29970861 24.4336095260001,118.29337261 24.4198455260001,118.27859061 24.4054815260001,118.28713661 24.390345526,118.42095461 24.397636526,118.44469061 24.427699526,118.45033661 24.4633275260001,118.43776361 24.495827526),(118.18851861 24.4919365260001,118.17830861 24.529163526,118.09684561 24.552154526,118.06526361 24.4874995260001,118.06302761 24.4547185260001,118.06902761 24.4466635260001,118.07855461 24.4391455260001,118.09583661 24.430827526,118.11054561 24.4259725260001,118.13012761 24.4263815260001,118.14595461 24.432081526,118.18851861 24.4919365260001),(117.338881609 23.6949995250001,117.310527609 23.581945525,117.356790609 23.569854525,117.394145609 23.5852725250001,117.414427609 23.6022185250001,117.506654609 23.7256905250001,117.507899609 23.740272525,117.499418609 23.749718525,117.486645609 23.7559725250001,117.470836609 23.7563815250001,117.467145609 23.755618525,117.401372609 23.771809525,117.381372609 23.772354525,117.369845609 23.762218525,117.338881609 23.6949995250001),(117.033599609 23.403881525,117.104427609 23.3991635250001,117.121654609 23.400754525,117.129690609 23.4477725250001,117.115490609 23.473854525,117.113599609 23.4772185250001,117.100536609 23.489299525,116.965399609 23.458045525,116.952899609 23.449018525,116.945118609 23.4345095250001,116.953599609 23.4205545250001,117.033599609 23.403881525),(114.234963606 22.2660815240001,114.197781606 22.2912095240001,114.144527606 22.286181524,114.123418606 22.2761275240001,114.150554606 22.249999524,114.189745606 22.2409635240001,114.200799606 22.1947365240001,114.218890606 22.231918524,114.244008606 22.200763524,114.248027606 22.2439725240001,114.234963606 22.2660815240001),(113.993727606 22.264027524,114.026654606 22.3069455240001,114.049699606 22.3288815240001,114.047963606 22.337981524,113.897772606 22.2880545240001,113.885408606 22.2826365240001,113.842481606 22.251390524,113.834990606 22.244436524,113.825272606 22.2322185240001,113.822772606 22.219990524,113.832172606 22.200418524,113.843045606 22.1936095240001,113.896654606 22.195827524,113.909418606 22.1969455240001,113.964999606 22.218054524,113.992199606 22.236381524,113.993727606 22.264027524),(113.476927606 22.9032635240001,113.425808606 22.9083275240001,113.410263606 22.906381524,113.389208606 22.894227524,113.423863606 22.8499995240001,113.450545606 22.8263815240001,113.459154606 22.8202725240001,113.551936606 22.755554524,113.561918606 22.7505545240001,113.576099606 22.7488815240001,113.588045606 22.7505545240001,113.603190606 22.758327524,113.604763606 22.766772524,113.598599606 22.7749995240001,113.559708606 22.825827524,113.492199606 22.8944365240001,113.476927606 22.9032635240001),(112.779018605 21.768327523,112.733045605 21.7224995230001,112.726381605 21.714718523,112.702763605 21.6847185230001,112.728727605 21.6147185230001,112.756945605 21.583054523,112.767345605 21.5761095230001,112.787772605 21.574436523,112.793590605 21.574163523,112.805818605 21.653327523,112.863390605 21.749436523,112.868872605 21.763190523,112.833599605 21.774163523,112.779018605 21.768327523),(112.007490604 21.6347185230001,112.000818604 21.6537455230001,111.933318604 21.6524995230001,111.863036604 21.648327523,111.850536604 21.6469455230001,111.838599604 21.6413815230001,111.805818604 21.5638905230001,111.816381604 21.556945523,111.836108604 21.565272523,111.950672604 21.600690523,111.985808604 21.6105545230001,111.995245604 21.615272523,112.004718604 21.623609523,112.007490604 21.6347185230001),(110.442481603 21.157081523,110.536936603 21.0974995230001,110.556918603 21.103745523,110.567208603 21.116109523,110.611499603 21.1938185230001,110.531372603 21.198599523,110.508745603 21.186109523,110.490536603 21.181381523,110.465054603 21.180481523,110.465890603 21.1904815230001,110.485263603 21.191109523,110.498308603 21.195199523,110.483036603 21.208463523,110.454708603 21.2013815230001,110.444699603 21.186381523,110.442481603 21.157081523),(110.513736603 21.081390523,110.491354603 21.075690523,110.455563603 21.057418523,110.418590603 21.052772523,110.379154603 21.079999523,110.329163603 21.0755545230001,110.273881603 21.0541635230001,110.247754603 21.0227725230001,110.248454603 20.980554523,110.254718603 20.970690522,110.277481603 20.9702725220001,110.288036603 20.9724995230001,110.309145603 20.9844365230001,110.331099603 20.9991635230001,110.343599603 21.0033275230001,110.406099603 21.004999523,110.445254603 21.0019455230001,110.458736603 20.9984635230001,110.469981603 20.9908275230001,110.484990603 20.974990523,110.498027603 20.9558275220001,110.519436603 20.971381523,110.546372603 21.0361095230001,110.548445603 21.0606905230001,110.542072603 21.0686095230001,110.513736603 21.081390523),(110.570972603 20.089027522,110.569572603 20.0320815220001,110.513318603 20.0147185220001,110.369981603 20.0524995220001,110.153254603 20.0599995220001,110.142627603 20.039990522,110.131099603 20.0123545220001,110.093872603 19.9730455220001,110.016936602 19.9485995220001,109.976927602 19.9472185220001,109.936645602 19.9917995220001,109.833054602 19.9744365220001,109.785808602 19.9655455220001,109.735808602 19.9752725220001,109.718699602 20.003090522,109.659708602 20.0024995220001,109.610808602 19.993881522,109.584590602 19.9845095220001,109.526227602 19.9447185220001,109.516790602 19.9084725220001,109.517763602 19.880554521,109.465818602 19.828609521,109.455954602 19.8604815210001,109.300254602 19.919227522,109.257208602 19.8997185220001,109.169145602 19.806945521,109.160245602 19.785063521,109.165263602 19.7236095210001,109.205554602 19.737218521,109.224708602 19.757709521,109.272754602 19.7870815210001,109.301018602 19.783536521,109.293872602 19.7599995210001,109.160263602 19.6495815210001,109.087408602 19.611590521,109.025681602 19.6036095210001,109.008045602 19.594163521,108.938445601 19.5174275210001,108.764436601 19.3884635210001,108.723736601 19.3745095210001,108.694145601 19.378881521,108.643054601 19.308890521,108.628308601 19.2802815210001,108.617618601 19.0887455210001,108.654427601 18.9374995210001,108.693299601 18.7149905200001,108.699145601 18.66360952,108.696372601 18.62832752,108.690254601 18.60777252,108.673590601 18.5633995200001,108.687054601 18.50561852,108.711927601 18.4938815200001,108.741663601 18.4940185200001,108.774572601 18.48846352,108.804154601 18.4780545200001,108.829163601 18.46554552,108.849154601 18.4524995200001,108.957763601 18.39471852,109.055818602 18.36999952,109.222763602 18.30305452,109.288308602 18.30499952,109.329018602 18.30319052,109.436645602 18.2844455200001,109.463045602 18.2767995200001,109.501099602 18.2549995200001,109.544708602 18.22110952,109.566672602 18.1688815200001,109.602763602 18.20777252,109.629554602 18.22666352,109.677272602 18.2373545200001,109.703599602 18.1977725200001,109.708327602 18.20110952,109.722208602 18.21610952,109.738027602 18.2454815200001,109.703872602 18.25971852,109.759436602 18.3915275200001,109.785408602 18.4009635200001,109.914990602 18.4194455200001,109.968390602 18.3958995200001,109.999145602 18.3736725200001,110.050254602 18.3851995200001,110.069445603 18.4427725200001,110.076099603 18.46944552,110.083463603 18.4970815200001,110.094990603 18.52556352,110.107199603 18.54222752,110.206936603 18.62721852,110.245390603 18.6506905200001,110.281372603 18.66749952,110.396381603 18.70360952,110.503054603 18.77610952,110.525545603 18.80082752,110.503599603 18.8533455210001,110.489099603 18.910827521,110.565808603 19.083609521,110.579472603 19.1392905210001,110.543999603 19.140163521,110.523236603 19.123772521,110.498790603 19.1345635210001,110.483218603 19.167609521,110.522554603 19.148490521,110.562290603 19.1573725210001,110.583599603 19.1562725210001,110.668590603 19.356663521,110.727481603 19.410827521,110.822072603 19.546663521,110.854981603 19.5288815210001,110.871499603 19.539027521,110.936918603 19.599999521,110.967754603 19.6316635210001,111.021545603 19.638290521,110.968045603 19.890272521,110.942481603 19.9786095220001,110.926027603 20.003745522,110.896654603 19.9999995220001,110.870945603 19.9902725220001,110.850818603 19.988881522,110.778590603 20.0095815220001,110.715827603 20.068881522,110.701654603 20.0912455220001,110.665545603 20.133609522,110.597890603 20.109718522,110.570972603 20.089027522)))', 'Chinese Exclusive Economic Zone', 'China', 'China', '', '209', '209', 'CHN', '8486', '', '883194819600', '8486', 'Y'),('SRID=4326;MULTIPOLYGON(((-93.552791753 25.075608951,-93.6646017529999 24.73423595,-93.2706907529999 24.995760951,-92.694393753 25.249945951,-92.693226753 25.2502449510001,-92.691343753 25.251070951,-92.073249752 25.408471951,-91.646309752 25.4457619510001,-91.623553752 25.4603969510001,-91.623440752 25.4604449510001,-91.622563752 25.4610089510001,-91.09024722 25.703625,-90.49472222 25.78111111,-88.38487222 25.6990333300001,-87.911948748 25.4480599510001,-87.9100097479999 25.446785951,-87.906872748 25.4454009510001,-87.388734748 25.1030019510001,-87.209824747 24.932916951,-87.0967037469999 24.941632951,-87.0922867469999 24.941266951,-87.087477747 24.941630951,-86.937969444 24.9413416670001,-86.404083333 23.5087500000001,-86.376055556 23.4484166670001,-86.115277778 22.759111111,-86.0097777779999 22.3155,-85.878722222 21.692083333,-85.855055556 21.600027778,-85.53975 20.8267777780001,-85.123402778 20.2963055560001,-84.965638889 20.0769722220001,-84.7129166669999 19.6546111110001,-84.64185 19.5405000000001,-84.668826473 19.516972519,-84.741339355 19.4537305420001,-84.759585149 19.4389121720001,-84.7633844759999 19.4358265380001,-84.7888311299999 19.4150586270001,-84.875715559 19.3438895350001,-84.882878255 19.338022402,-84.884404821 19.336765923,-84.964087625 19.271180998,-84.9841897859999 19.2546086310001,-85.012060178 19.231370692,-85.047754094 19.2016408160001,-85.1737989869999 19.0949886810001,-85.174447814 19.094406232,-85.17572606 19.0932587560001,-85.183443322 19.075899958,-85.185345592 19.071621093,-85.185345653 19.0716209550001,-85.202097317 19.033940654,-85.2317263259999 18.967712921,-85.278321417 18.863725151,-85.329894452 18.7486279450001,-85.330021256 18.7483444850001,-85.330027736 18.7483299990001,-85.332781456 18.7421651820001,-85.3906617339999 18.6125872420001,-85.41737131 18.552791886,-85.517610382 18.295657605,-85.522932501 18.281906141,-85.549591623 18.2130234370001,-85.902248306 17.989591911,-86.112897185 17.856131799,-86.99407079 18.041068582,-87.1568869929999 18.0749886240001,-87.346499974 18.122008109,-87.403133272 18.1752607600001,-87.412387149 18.18396224,-87.41875506 18.18984562,-87.419696228 18.190715176,-87.424818933 18.1913404700001,-87.4284174429999 18.1917797150001,-87.43665498 18.192761471,-87.4507485349999 18.1944411530001,-87.4639069689999 18.194113993,-87.477143656 18.193784888,-87.540263693 18.1956403740001,-87.5939048879999 18.197217218,-87.6295336649999 18.1986651400001,-87.645894997 18.1988670800001,-87.655699786 18.198604302,-87.665509121 18.198341403,-87.666941991 18.1983030010001,-87.6688899229999 18.1982155050001,-87.676878244 18.1978566920001,-87.702124918 18.196133816,-87.731061687 18.1930597590001,-87.753055194 18.1907233090001,-87.767929841 18.188221361,-87.792274709 18.1841265,-87.79305684 18.1839949430001,-87.802939263 18.183996752,-87.8107657149999 18.1839981850001,-87.818606373 18.183530064,-87.8261975569999 18.183076838,-87.826400591 18.18304972,-87.8301987519999 18.1830498680001,-87.8373119089999 18.183050145,-87.8518541509999 18.1843833630001,-87.866544205 18.1857301330001,-87.867938098 18.1858579240001,-87.894904352 18.189551898,-87.896711141 18.1899534070001,-87.9134725819999 18.193678172,-87.9141263929999 18.193823464,-87.914126583 18.193823514,-87.946163129 18.202366592,-87.961113605 18.202366592,-87.96111364 18.2023669440001,-87.961287415 18.204104687,-87.963249388 18.223724416,-87.966647925 18.2441156420001,-87.9684824189999 18.2551226040001,-87.9696567349999 18.262168499,-87.969861553 18.264626321,-87.9709790049999 18.2780357390001,-87.971792517 18.2877978870001,-87.984607212 18.324106188,-87.9898978209999 18.332923871,-87.9974219059999 18.345464012,-88.005279102 18.3598688710001,-88.0102366 18.368957618,-88.0358659889999 18.3945870060001,-88.048667687 18.4017879620001,-88.0700385069999 18.4138090480001,-88.100387364 18.4251898690001,-88.104211025 18.4266237420001,-88.15333402 18.445845784,-88.167367811 18.4493542320001,-88.221679056 18.462932043,-88.260123138 18.4714751720001,-88.299499366 18.4829268140001,-88.299499973 18.4829269910001,-88.299499507 18.482927273,-88.299499582 18.48292752,-88.2994992549999 18.4829274260001,-88.2994988359999 18.4829276790001,-88.284172992 18.492217995,-88.267226796 18.5130540650001,-88.239961551 18.55882963,-88.1694460269999 18.6772179980001,-88.16944625 18.677218103,-88.169445748 18.6772189450001,-88.21315014 18.69781321,-88.2177906479999 18.700000012,-88.1885151289999 18.7195173690001,-88.161117936 18.7377821100001,-88.116387838 18.78579061,-88.089172748 18.8149999450001,-88.0800659989999 18.8277131670001,-88.0611178079999 18.854164165,-88.039727604 18.868190622,-88.002509748 18.7844459450001,-88.002709748 18.675899945,-88.049077876 18.5790165760001,-88.066954965 18.541664183,-88.079590852 18.525273204,-88.079206782 18.523328985,-88.073336748 18.4936099450001,-88.0733358479999 18.4936094380001,-88.0733357729999 18.493609056,-88.042954326 18.4764923380001,-88.033899748 18.4713909450001,-88.022258768 18.466884485,-87.973617947 18.4480540820001,-87.927449517 18.421363163,-87.925563978 18.420273078,-87.893064001 18.364164139,-87.8907358659999 18.3593074180001,-87.8768187479999 18.330272945,-87.87283652 18.301683084,-87.8716728809999 18.293326999,-87.864742929 18.263942044,-87.8474999749999 18.190827052,-87.847499845 18.190828357,-87.84004666 18.26566504,-87.840046491 18.265665052,-87.839863748 18.2674999440001,-87.828064018 18.3108359570001,-87.8232062559999 18.3210909380001,-87.816681748 18.3348639450001,-87.790845748 18.3724999450001,-87.778175048 18.3885640890001,-87.762363979 18.408609013,-87.7623637999999 18.408609879,-87.762363748 18.408609945,-87.7620411729999 18.410169481,-87.755008859 18.4441642090001,-87.748335858 18.5200001480001,-87.7413174009999 18.5880517260001,-87.739454748 18.6061099450001,-87.7297997479999 18.664299945,-87.7105547479999 18.6977729450001,-87.665554748 18.7427729450001,-87.663024609 18.7466194950001,-87.654317894 18.759854008,-87.623608947 18.8758270270001,-87.6201302379999 18.9176087990001,-87.619445748 18.925827945,-87.6156997479999 18.9613909450001,-87.596045897 19.05034527,-87.5483357689999 19.139445091,-87.488617894 19.291382174,-87.499137371 19.3217825190001,-87.500272748 19.3250639450001,-87.5002728439999 19.325063933,-87.5002729299999 19.3250641810001,-87.547373023 19.318891077,-87.575290964 19.300973082,-87.577404969 19.297355037,-87.586818748 19.281245945,-87.590935857 19.2632414010001,-87.59209098 19.2581911780001,-87.635081929 19.2147911920001,-87.6411054659999 19.216911548,-87.672372748 19.2279189450001,-87.687781748 19.2501369450001,-87.676945748 19.3149999450001,-87.674104976 19.322105811,-87.662508857 19.3511091010001,-87.648444933 19.3723304850001,-87.645572748 19.3766639460001,-87.628763748 19.396872946,-87.612810543 19.4032950000001,-87.5411188479999 19.4321536950001,-87.543409748 19.4036099460001,-87.563063748 19.3944459460001,-87.563060255 19.394446771,-87.5630639459999 19.3944450490001,-87.5272267839999 19.402909095,-87.471264001 19.442218042,-87.443335835 19.471664171,-87.4276549699999 19.505836017,-87.4276548079999 19.505836813,-87.427654748 19.505836946,-87.4270152509999 19.508980208,-87.412226904 19.5816642450001,-87.424025731 19.604231366,-87.42409975 19.604372944,-87.42409987 19.6043731680001,-87.448024504 19.599788726,-87.526672748 19.5847189460001,-87.612509748 19.549718946,-87.632645748 19.5244459460001,-87.6577181979999 19.5055553600001,-87.665160369 19.541745517,-87.6663997479999 19.5477729460001,-87.66639987 19.5477730270001,-87.6663999039999 19.5477731930001,-87.669343746 19.5497370640001,-87.6913907479999 19.564445946,-87.713263 19.5828821640001,-87.733408862 19.5998642070001,-87.7400089399999 19.6369450760001,-87.737017728 19.6725931030001,-87.7365997479999 19.6775729460001,-87.660563748 19.678890946,-87.5809817479999 19.799581946,-87.571308334 19.8023161470001,-87.5404549359999 19.8110360320001,-87.518963694 19.822573468,-87.5105817479999 19.827072946,-87.49520108 19.8463312230001,-87.475854937 19.8705540830001,-87.475854888 19.8705547700001,-87.475854748 19.870554946,-87.472781748 19.9136099460001,-87.476636742 19.9294594890001,-87.481808938 19.9507269870001,-87.449481949 19.926444948,-87.4495225599999 19.921544301,-87.449718748 19.8979819460001,-87.458036649 19.887978811,-87.463855069 19.880982176,-87.469055034 19.8490270080001,-87.444808871 19.9001911510001,-87.4467358699999 19.933118117,-87.4571817729999 19.949282867,-87.459172748 19.952363946,-87.4691727479999 19.983190946,-87.469586243 19.997102527,-87.472226914 20.085973186,-87.458478237 20.145621681,-87.454172748 20.164299946,-87.451192406 20.1706765930001,-87.4372269359999 20.20055397,-87.428363024 20.2174407850001,-87.4255637479999 20.2227729460001,-87.362281143 20.316806625,-87.306672927 20.399436081,-87.286444457 20.4265409720001,-87.276399747 20.4399999460001,-87.226390747 20.5038909470001,-87.218592659 20.5111949000001,-87.204454947 20.5244360740001,-87.1568088559999 20.561945091,-87.139585392 20.566185869,-87.1370907469999 20.5667999470001,-87.119786343 20.578634106,-87.069455008 20.613054081,-86.913073002 20.801936079,-86.8527819719999 20.928336017,-86.8420756639999 20.9524603310001,-86.826399747 20.987781947,-86.79253045 21.0970100660001,-86.775281889 21.1526360820001,-86.775281991 21.15263616,-86.775281747 21.1526369470001,-86.811190747 21.180209947,-86.826190713 21.2937456920001,-86.8171350389999 21.3252857140001,-86.811954747 21.343327947,-86.811488117 21.3493605470001,-86.810008952 21.3684731070001,-86.813874025 21.39639886,-86.8155637469999 21.4086099470001,-86.826607452 21.4246928690001,-86.829726877 21.4292360380001,-86.829727201 21.429236152,-86.8297277469999 21.429236947,-86.854344512 21.4379449790001,-86.8711269409999 21.4438820720001,-86.872485866 21.4437678520001,-86.894172747 21.441945947,-86.9885280459999 21.558791146,-87.0054268229999 21.5797180220001,-87.005427109 21.5797181570001,-87.0054277469999 21.5797189480001,-87.022303998 21.58768353,-87.027790914 21.5902731850001,-87.030849412 21.591371661,-87.049454747 21.598054948,-87.054836747 21.599536948,-87.078609747 21.606109948,-87.148472747 21.604445948,-87.2398727469999 21.5679189480001,-87.272226937 21.5613821110001,-87.2778440289999 21.5616521690001,-87.3041727469999 21.5629189480001,-87.3287547479999 21.568327948,-87.370009748 21.560836948,-87.4107727479999 21.5286099480001,-87.410772589 21.528609341,-87.4107729789999 21.5286090320001,-87.4056999159999 21.509236107,-87.248335886 21.5298540800001,-87.225639464 21.5407338480001,-87.221954747 21.5424999480001,-87.1993907469999 21.5565909480001,-87.173668334 21.563924555,-87.161127538 21.5674998690001,-87.147907758 21.5625213870001,-87.133827745 21.5572184810001,-87.133618747 21.512499947,-87.1427846509999 21.491398529,-87.146045989 21.4838910760001,-87.160998761 21.475312784,-87.201254747 21.4522189470001,-87.238927611 21.4437060340001,-87.249172903 21.441391138,-87.262652305 21.4425098500001,-87.329454748 21.4480549470001,-87.456180656 21.4724935150001,-87.476390876 21.4763911160001,-87.48421396 21.4787661560001,-87.539181748 21.495454947,-87.605281748 21.5122189470001,-87.6525097479999 21.505836947,-87.6717510029999 21.50336824,-87.6763909649999 21.502773157,-87.748208956 21.5043001720001,-87.765273943 21.5080532220001,-87.806945748 21.5172189470001,-87.851325644 21.5426357420001,-87.8184477199999 21.53599332,-87.802509748 21.5327729480001,-87.714654748 21.527599948,-87.7146557789999 21.5276002310001,-87.714655024 21.527600186,-87.9650088939999 21.596382084,-87.994172888 21.602773117,-88.119445963 21.6100001620001,-88.125266935 21.6096005050001,-88.147790748 21.6080549480001,-88.183336748 21.597218948,-88.224727748 21.580827948,-88.2414637479999 21.5689549480001,-88.241462154 21.568955299,-88.24146401 21.568953982,-88.209601552 21.575978175,-88.206036748 21.5767639480001,-88.205274099 21.5770079860001,-88.143617863 21.5967359680001,-88.103734657 21.5891656920001,-88.090218748 21.5865999480001,-88.140393962 21.5773642630001,-88.2679178 21.5538911990001,-88.277097242 21.5542140950001,-88.309245748 21.555345948,-88.34766431 21.5670233820001,-88.351746052 21.5682641510001,-88.425563965 21.571391104,-88.45139984 21.568882065,-88.594654948 21.5359732050001,-88.620846048 21.52139104,-88.62906329 21.512089819,-88.640972749 21.498609947,-88.6691008079999 21.4765525020001,-88.68667299 21.4627732060001,-88.694778705 21.457300312,-88.708472749 21.4480549470001,-88.8433367489999 21.4136099470001,-89.102509749 21.362354947,-89.241117948 21.342782066,-89.3180730399999 21.3341641330001,-89.3380549949999 21.3327730720001,-89.501108828 21.317500071,-89.7044549729999 21.296391086,-89.7693804199999 21.2838060720001,-89.77611875 21.2824999470001,-89.779027319 21.281923293,-89.805554975 21.276664109,-89.828063906 21.270273076,-89.868054972 21.2550000750001,-89.903599404 21.2412424130001,-89.9197277499999 21.2349999470001,-89.970381682 21.214722581,-90.106399921 21.1602731690001,-90.239454923 21.086664134,-90.246211368 21.082703055,-90.27972775 21.0630549470001,-90.323627458 21.0335592340001,-90.332645929 21.027500135,-90.351254927 21.0052731710001,-90.365674552 20.9729821780001,-90.37556375 20.950836947,-90.38583675 20.9258279470001,-90.4057187499999 20.863227947,-90.41833675 20.838054947,-90.428206941 20.798616457,-90.43094604 20.787673097,-90.430945579 20.78767363,-90.43094575 20.787672947,-90.421604773 20.798495078,-90.3854178879999 20.840418067,-90.3789639939999 20.8632270700001,-90.377035263 20.8695445290001,-90.35196375 20.951663947,-90.344441573 20.962004553,-90.340146056 20.967909161,-90.338899834 20.941664249,-90.35122527 20.9017520780001,-90.35305475 20.895827947,-90.37336375 20.8459099470001,-90.38555475 20.815209947,-90.394360677 20.803747147,-90.4055639599999 20.789164237,-90.4394550119999 20.751391191,-90.4461202429999 20.743654034,-90.45590975 20.732290947,-90.48472775 20.549445947,-90.487342935 20.3602127610001,-90.488064016 20.308054058,-90.496945983 20.1944450710001,-90.4997909689999 20.0810449620001,-90.480564057 20.0430539860001,-90.47031581 20.0243049790001,-90.4658367499999 20.016109946,-90.457932246 19.9860774700001,-90.455273005 19.975973111,-90.464069158 19.9622370340001,-90.50223675 19.902636946,-90.52826375 19.8774279460001,-90.553775889 19.865934549,-90.561399969 19.862500079,-90.566218788 19.8596397430001,-90.579181751 19.8519459460001,-90.600572751 19.8380549460001,-90.646954751 19.8026369460001,-90.676672751 19.7683279460001,-90.7122277509999 19.6704099460001,-90.7069642019999 19.656903153,-90.700699992 19.640827071,-90.713481891 19.4791641300001,-90.73167288 19.3615277050001,-90.743164136 19.340190422,-90.753890879 19.3202730850001,-90.913072944 19.182500078,-90.9416570559999 19.1626838,-91.0216637509999 19.1072189450001,-91.134736751 19.0294459450001,-91.260009751 18.974999945,-91.304736751 18.9558279450001,-91.3533241069999 18.9261545890001,-91.362955002 18.920273074,-91.3688801709999 18.9168122090001,-91.3850727509999 18.9073549450001,-91.428609751 18.8517729450001,-91.424463401 18.8521084110001,-91.398154972 18.8542360820001,-91.342171959 18.8868089010001,-91.330000123 18.8938907290001,-91.3591729199999 18.8583001320001,-91.370685028 18.8440422780001,-91.387263751 18.8235099450001,-91.38726363 18.8235095270001,-91.38726403 18.8235090310001,-91.372090941 18.771391195,-91.3720908179999 18.771391174,-91.372090751 18.7713909450001,-91.341290751 18.766181945,-91.3272454029999 18.775829892,-91.316118515 18.783472805,-91.289599751 18.767772945,-91.278613969 18.7563794050001,-91.263626931 18.740835976,-91.186190949 18.650073177,-91.225752149 18.6318329970001,-91.3116727509999 18.5922189450001,-91.437499751 18.5411099450001,-91.469618865 18.5086425430001,-91.488681874 18.4893731770001,-91.487985991 18.487280931,-91.475009751 18.4482639450001,-91.4957097509999 18.435554945,-91.621260471 18.442957171,-91.636946006 18.443882074,-91.6413153409999 18.444450111,-91.6797367519999 18.449445945,-91.7736187519999 18.445554945,-91.79656378 18.3949557820001,-91.8033460629999 18.3800000690001,-91.8038767199999 18.380143081,-91.813127752 18.3826369450001,-91.852875113 18.421729643,-91.855626845 18.424436057,-91.8515802379999 18.441378517,-91.850699752 18.4450639450001,-91.844059323 18.455392223,-91.832790851 18.4729179920001,-91.828896229 18.483228524,-91.8252907519999 18.4927729450001,-91.825290936 18.492773094,-91.8252908919999 18.492773212,-91.834145661 18.499928955,-91.897645752 18.5512459450001,-91.965072752 18.5867999450001,-91.9650727439999 18.586799904,-91.965073042 18.5868000610001,-91.957646005 18.5491641420001,-91.967368968 18.545008921,-91.993554752 18.5338189450001,-92.041954753 18.559999944,-92.03584592 18.592636047,-91.9567429529999 18.595035319,-91.9414187519999 18.595499945,-91.9329816709999 18.594543786,-91.9038819629999 18.5912449840001,-91.8586178419999 18.61569114,-91.951259276 18.7122909610001,-91.956254752 18.717499945,-91.956254856 18.7174999920001,-91.956254944 18.7175000840001,-91.9784819069999 18.7275000290001,-91.9810080349999 18.727376635,-92.004172752 18.7262459450001,-92.119604566 18.7022332810001,-92.153064043 18.69527312,-92.180011744 18.693564241,-92.312918752 18.6851369450001,-92.405290752 18.6811099450001,-92.460009752 18.6644459450001,-92.477605046 18.6580223070001,-92.4804549789999 18.6569820720001,-92.495895103 18.652218111,-92.5886187519999 18.6236099450001,-92.680009394 18.517773359,-92.73985013 18.5589400750001,-92.7413907599999 18.559999939,-92.7413910019999 18.560000099,-92.8052818909999 18.507500049,-92.8227819639999 18.4966640920001,-92.83257385 18.4910445720001,-92.884736753 18.461109945,-92.917186903 18.4488293630001,-92.92069986 18.447500038,-92.954999949 18.4391642360001,-92.9925105889999 18.429119961,-93.0877817529999 18.403609945,-93.087781819 18.4036090540001,-93.087781869 18.403609041,-93.089590781 18.3792369170001,-93.114360614 18.3548471840001,-93.129864052 18.339582197,-93.130910561 18.3403618340001,-93.171254753 18.370418945,-93.171533282 18.3808978380001,-93.1722359139999 18.407364133,-93.180595811 18.4352927320001,-93.181672753 18.438890945,-93.181672869 18.4388909460001,-93.181672931 18.438891153,-93.4297358589999 18.441664222,-93.433390725 18.44146406,-93.450009753 18.440554945,-93.568903753 18.4239334970001,-93.5870910039999 18.421391081,-93.628818661 18.405632849,-93.780563754 18.3483279450001,-93.826127754 18.3224999450001,-93.8458367539999 18.306454945,-93.845834659 18.3064550180001,-93.8458358299999 18.306454065,-93.8136036939999 18.307587321,-93.808063754 18.307781945,-93.7787907539999 18.3265999450001,-93.730956841 18.348746007,-93.613064008 18.4033270730001,-93.5929268199999 18.4083360990001,-93.5765390829999 18.4089787400001,-93.571809753 18.409163945,-93.576809753 18.3559729450001,-93.631003123 18.3325566940001,-93.792990947 18.2625642410001,-93.812800645 18.2601456560001,-93.874309754 18.2526369440001,-93.99457652 18.2463626090001,-94.015290923 18.2452820980001,-94.137599989 18.2088731220001,-94.14568891 18.2061477930001,-94.1680637539999 18.1986099440001,-94.2677817539999 18.1737459440001,-94.395707295 18.152588458,-94.4180640019999 18.148891049,-94.424035451 18.148581951,-94.469181754 18.146245944,-94.499263425 18.1508081370001,-94.5122179209999 18.1527732110001,-94.522942852 18.1560216280001,-94.536527754 18.160136944,-94.570090754 18.1809099440001,-94.734172754 18.391945945,-94.754799754 18.436181945,-94.7823727539999 18.507709945,-94.808063754 18.524445945,-94.852224145 18.5314272320001,-94.854581954 18.5318000240001,-94.8567374949999 18.5318842500001,-94.886672755 18.5330549450001,-94.935009755 18.535409945,-95.00921212 18.559655988,-95.025872825 18.5651000890001,-95.031019079 18.5756365550001,-95.045426826 18.605135977,-95.0454275229999 18.60513647,-95.045427755 18.605136945,-95.083910475 18.632328869,-95.1822268619999 18.701800108,-95.1921159349999 18.704567135,-95.215981755 18.711245945,-95.3150097549999 18.7105549450001,-95.341379229 18.7073153760001,-95.346681982 18.7066641270001,-95.3557885499999 18.706027862,-95.400427755 18.702909945,-95.5333367549999 18.711936945,-95.737403036 18.7371329750001,-95.8011179279999 18.7450001020001,-95.9113907459999 18.8252729610001,-95.906095251 18.834185758,-95.899172952 18.845836074,-95.899173052 18.845836445,-95.8991727549999 18.845836945,-95.902870229 18.859507589,-95.908335881 18.879718074,-95.93031304 18.9162680360001,-95.936399756 18.926390945,-95.9415299039999 18.9407566990001,-95.958617912 18.988609055,-95.9957437319999 19.035776974,-96.013063756 19.057781945,-96.013063833 19.0577819590001,-96.013063906 19.0577820520001,-96.041117968 19.06277314,-96.058545668 19.078036087,-96.079181756 19.096109945,-96.0945907559999 19.124718945,-96.118737827 19.180745051,-96.139726868 19.2294451060001,-96.1397275369999 19.229445438,-96.139727756 19.2294459450001,-96.1850097559999 19.251945945,-96.205145906 19.2630560920001,-96.2091640629999 19.265273216,-96.228055019 19.2763911340001,-96.2450097559999 19.2886099450001,-96.276945756 19.314718945,-96.295290756 19.341109945,-96.330863219 19.4437287110001,-96.367508943 19.5494450470001,-96.383351046 19.6136656190001,-96.387790756 19.6316639460001,-96.394172756 19.6931909460001,-96.396254756 19.724863946,-96.4074997559999 19.7622189460001,-96.444454756 19.8549999460001,-96.445997916 19.8572320960001,-96.460008945 19.8775001660001,-96.480835795 19.8991642,-96.578335937 20.0252731190001,-96.666767901 20.1443696640001,-96.674863756 20.155272946,-96.7444457559999 20.225554946,-96.767332484 20.2454651470001,-96.7872268789999 20.262773173,-97.05833585 20.5402731770001,-97.082330342 20.5654927460001,-97.085554757 20.568881947,-97.143890757 20.6411099470001,-97.175354757 20.6839549470001,-97.192154757 20.732081947,-97.1873847539999 20.7405962610001,-97.181881918 20.750418052,-97.18188202 20.7504184760001,-97.181881757 20.7504189470001,-97.185605464 20.765844584,-97.19250883 20.7944450040001,-97.198887982 20.808959696,-97.2005637569999 20.812772947,-97.213199757 20.837499947,-97.213199893 20.8375001590001,-97.2491727569999 20.893890947,-97.289407981 20.9571920660001,-97.2927817519999 20.9624999500001,-97.338345757 21.0574999470001,-97.34171661 21.0645658080001,-97.355835913 21.0941640930001,-97.374979836 21.136257598,-97.376681757 21.139999947,-97.3900245519999 21.170678153,-97.454726948 21.3194450080001,-97.5011088799999 21.426391052,-97.52542986 21.449594769,-97.555554757 21.4783369470001,-97.572790757 21.493609947,-97.620563757 21.565827948,-97.651672757 21.6297189480001,-97.670699757 21.6739549480001,-97.6886087569999 21.7736099480001,-97.691800283 21.7944974550001,-97.7033358739999 21.870000094,-97.70583586 21.892500139,-97.712746985 21.9226667080001,-97.714172757 21.9288909480001,-97.722781757 21.9594459480001,-97.731672757 21.9897189480001,-97.735139596 21.9971950990001,-97.7422341989999 22.0124967410001,-97.7019214169999 21.961969073,-97.696746021 21.955482095,-97.682490919 21.9158641920001,-97.622299969 21.7923539980001,-97.522781967 21.675282112,-97.488063957 21.638609106,-97.4627819569999 21.6130540250001,-97.44584272 21.5989363190001,-97.431118757 21.586663948,-97.417601729 21.5787145580001,-97.398055057 21.56721809,-97.3729187439999 21.543536826,-97.3692964319999 21.5090468930001,-97.368272981 21.4993000310001,-97.373676389 21.4917017710001,-97.388618715 21.470691006,-97.418899844 21.4677820640001,-97.436100774 21.4593079690001,-97.4702187569999 21.442499947,-97.464039035 21.400031287,-97.4627819569999 21.3913910740001,-97.413472897 21.271736053,-97.3438999159999 21.4297179970001,-97.328608977 21.4677820640001,-97.318072925 21.503609168,-97.318072844 21.503609651,-97.318072757 21.503609947,-97.317882904 21.504744556,-97.3136088909999 21.53028206,-97.3150088359999 21.5565271400001,-97.324487087 21.580721366,-97.3252907569999 21.5827729480001,-97.325290848 21.5827730510001,-97.325290917 21.582773226,-97.338617976 21.5977731450001,-97.388637172 21.633040282,-97.403627757 21.6436099480001,-97.503440535 21.726147204,-97.519181901 21.739164085,-97.519181939 21.7391641180001,-97.5358457569999 21.754999948,-97.538530285 21.757648325,-97.5561179699999 21.7750001060001,-97.5725089489999 21.7938910720001,-97.5925858319999 21.818572622,-97.612499757 21.843054948,-97.627499757 21.8630549480001,-97.641399757 21.8836099480001,-97.678181578 21.942902486,-97.697917812 21.97471806,-97.717447141 22.0118363330001,-97.7400087569999 22.0547189480001,-97.754047922 22.0852542540001,-97.768617824 22.116945044,-97.776978502 22.1492847120001,-97.779172757 22.1577729480001,-97.7816817569999 22.1984729480001,-97.776872757 22.268054948,-97.7944457569999 22.3017999480001,-97.803472757 22.325827948,-97.870281757 22.582563948,-97.87028192 22.5825640960001,-97.8702819279999 22.582564125,-97.8706788119999 22.5829228700001,-97.8882637569999 22.5988189490001,-97.8878945769999 22.6023150140001,-97.884735849 22.6322180170001,-97.877226838 22.6555540730001,-97.8350088669999 22.738053961,-97.805846047 22.7736091560001,-97.7874358669999 22.8158090220001,-97.752017968 22.8580539810001,-97.741390888 22.9058271420001,-97.741390885 22.9058273740001,-97.741390757 22.9058279490001,-97.740281757 23.0036099490001,-97.740845757 23.0274999490001,-97.742645757 23.0595819490001,-97.749454757 23.0883369490001,-97.756390757 23.125827949,-97.761945757 23.194718949,-97.7655637569999 23.270827949,-97.766399757 23.3008279490001,-97.766152355 23.307497056,-97.765017964 23.338054062,-97.763478508 23.3724123490001,-97.7630637569999 23.381663949,-97.7625858229999 23.387208592,-97.7608358969999 23.4075001410001,-97.755828459 23.456621908,-97.754181757 23.472772949,-97.7400087569999 23.5888909490001,-97.724454757 23.82082795,-97.724526252 23.8413431270001,-97.7247268259999 23.8991641430001,-97.722847728 23.9465097940001,-97.722499757 23.9552729500001,-97.715563757 24.0749999500001,-97.7111021219999 24.1190239950001,-97.69723586 24.2558360840001,-97.6901633909999 24.3072412700001,-97.688063757 24.3224999500001,-97.680281757 24.37028195,-97.679580147 24.3745873390001,-97.676117822 24.3958271110001,-97.656980973 24.493250903,-97.651672757 24.52027295,-97.6419293389999 24.5586663620001,-97.609726946 24.685553966,-97.584283665 24.784253822,-97.5841639829999 24.784718082,-97.584163753 24.784718949,-97.513063989 25.0442360550001,-97.47472684 25.1338910710001,-97.458073004 25.1705540190001,-97.450689004 25.1855769360001,-97.442781757 25.2016639510001,-97.417212176 25.242684254,-97.388063996 25.2894451130001,-97.336117821 25.3650000910001,-97.3179594439999 25.389562031,-97.312090757 25.397499951,-97.301127172 25.415814572,-97.288064035 25.4376359880001,-97.2711178389999 25.474164155,-97.25445495 25.5108271020001,-97.188608898 25.67471812,-97.160281921 25.772218094,-97.16028184 25.772218663,-97.160281757 25.7722189510001,-97.159064552 25.7808231980001,-97.13750896 25.933191204,-97.138386305 25.95386884,-97.1388219999999 25.9561610000001,-96.92426944 25.9751583300001,-96.80805556 26.0086111100001,-95.6572222199999 26.00833333,-93.44505278 25.99674444,-93.440259753 25.920332952,-93.4405167529999 25.918366952,-93.440385753 25.9163369520001,-93.440769753 25.9133869520001,-93.440573753 25.9103419520001,-93.440624753 25.909948952,-93.440598753 25.909542952,-93.440894753 25.907268952,-93.4400857529999 25.894729952,-93.440098753 25.8946329520001,-93.440091753 25.894531952,-93.442602753 25.8752629520001,-93.441317753 25.8553639520001,-93.4426097529999 25.845444952,-93.442606753 25.845398952,-93.443457753 25.8388599520001,-93.443021753 25.8321099520001,-93.517551753 25.2556289510001,-93.524049753 25.2049929510001,-93.5251477529999 25.201668951,-93.525153753 25.2016189510001,-93.5258657529999 25.199462951,-93.526328753 25.1958489510001,-93.5270407529999 25.1936919510001,-93.527503753 25.190077951,-93.527657753 25.1896119510001,-93.530050753 25.170941951,-93.5308907529999 25.168393951,-93.5312017529999 25.1659719510001,-93.5321707529999 25.163033951,-93.5323287529999 25.161799951,-93.532990753 25.159790951,-93.533472753 25.1560279510001,-93.533549753 25.1557949510001,-93.536072753 25.136092951,-93.536913753 25.133541951,-93.537223753 25.1311229510001,-93.538014753 25.128722951,-93.5383437529999 25.1261499510001,-93.540282753 25.1202679510001,-93.540597753 25.117805951,-93.5413107529999 25.115641951,-93.541772753 25.1120349510001,-93.542692753 25.1092439510001,-93.5428687529999 25.1078619510001,-93.545810753 25.098936951,-93.5462437529999 25.0955459510001,-93.5484057529999 25.088983951,-93.548416753 25.088899951,-93.552790753 25.0756199510001,-93.552791753 25.075608951),(-91.646118752 18.7536099450001,-91.809718752 18.676663945,-91.833345752 18.6647189450001,-91.8436187519999 18.657363945,-91.841809752 18.6415279450001,-91.8418090069999 18.641527593,-91.841808941 18.6415270160001,-91.8344549939999 18.638054058,-91.82900367 18.6390892050001,-91.828609752 18.6391639450001,-91.827124098 18.6394493920001,-91.801117818 18.6444450920001,-91.571117891 18.7363821650001,-91.5229179249999 18.750691079,-91.5215359169999 18.762635962,-91.525008874 18.7729180420001,-91.525662616 18.773627683,-91.539463751 18.7886099450001,-91.5533457509999 18.788327945,-91.564999751 18.7858279450001,-91.646118752 18.7536099450001),(-86.7711187469999 20.5647189470001,-86.784181747 20.556109947,-86.793336747 20.551109947,-86.833272747 20.542218947,-86.868618747 20.552218947,-86.878618747 20.556945947,-86.882335874 20.559267897,-86.8897357709999 20.563891201,-86.892673571 20.563920511,-86.9033457469999 20.5640279470001,-86.916672747 20.5597189470001,-86.935572747 20.543054947,-86.9711187469999 20.4933279470001,-86.9958367469999 20.453327947,-87.001685921 20.44186431,-87.003063964 20.4391641230001,-87.005350328 20.433213865,-87.0150187469999 20.4080549460001,-87.0204541689999 20.3889942120001,-87.020564037 20.388609009,-87.022781889 20.3513911800001,-87.022740078 20.349391111,-87.022509747 20.338336946,-87.021747926 20.329826874,-87.021390996 20.325836098,-87.020145398 20.3165921660001,-87.017236747 20.2949999460001,-87.000782973 20.2581366960001,-86.9999998759999 20.256382139,-86.999999831 20.256382134,-86.9999997469999 20.256381946,-86.998971807 20.2562541880001,-86.993345986 20.2555540070001,-86.984454966 20.2605539800001,-86.9761178219999 20.2663911380001,-86.945290858 20.2894450590001,-86.932508959 20.301664198,-86.903054273 20.3344272470001,-86.8855637469999 20.3538819460001,-86.836539874 20.424228289,-86.791673036 20.4886091380001,-86.738617936 20.5889539300001,-86.738619972 20.5889526290001,-86.738618747 20.588954947,-86.756118747 20.577772947,-86.7711187469999 20.5647189470001)),((-117.262433 32.553344,-117.238192 32.5274420000001,-117.238191825 32.5274420100001,-117.124 32.5342190000001,-117.124000043 32.5342189420001,-117.123999775 32.5342189580001,-117.122504787 32.534062959,-117.126955017 32.4913910860001,-117.124164011 32.4643001040001,-117.108067244 32.435970803,-117.065845775 32.3616629580001,-117.032711857 32.3095061970001,-117.026672922 32.3000000490001,-117.010273058 32.2794451080001,-117.010272778 32.2794449530001,-117.009832609 32.279189462,-116.991118775 32.268326958,-116.954172775 32.2551359570001,-116.926608775 32.2445089570001,-116.922522027 32.239837929,-116.90625498 32.2212450280001,-116.904460459 32.216964252,-116.894727775 32.193744957,-116.880586142 32.14655393,-116.876955031 32.1344360030001,-116.873899995 32.109445024,-116.87417291 32.086518004,-116.87098192 32.0420821820001,-116.870981847 32.0420819620001,-116.870981775 32.0420809570001,-116.864172775 32.0213809570001,-116.846870627 31.996174748,-116.843199934 31.9908270120001,-116.833456418 31.983743245,-116.729736775 31.9083359570001,-116.663408775 31.8688899570001,-116.627790775 31.8602719570001,-116.608127775 31.8445089570001,-116.601019988 31.826071884,-116.598546093 31.8196539640001,-116.605008876 31.775554089,-116.649172956 31.6044450790001,-116.665842245 31.57692064,-116.675627775 31.5607629570001,-116.597244992 31.474567661,-116.594099997 31.471109116,-116.594099774 31.4711089570001,-116.479736775 31.390271957,-116.352227775 31.2344449570001,-116.333054775 31.2070809570001,-116.315290775 31.171662956,-116.308627775 31.150271956,-116.303696114 31.124631761,-116.303072942 31.1213911360001,-116.29807324 31.1016874430001,-116.262227774 30.9604179560001,-116.08006065 30.8160047540001,-116.055490967 30.7965270080001,-116.038063984 30.7244449880001,-116.030008976 30.596945008,-116.030290943 30.570554083,-116.03389097 30.532500075,-116.035623047 30.5202917660001,-116.042227774 30.4737449560001,-116.039027774 30.4505539560001,-116.006382269 30.389201627,-116.004199922 30.385100116,-116.004199905 30.385100202,-116.004199774 30.385099956,-115.999181774 30.4105539560001,-116.001577179 30.415405553,-116.011317834 30.435136055,-115.979718189 30.4944445020001,-115.931399774 30.456944956,-115.931362929 30.4569059350001,-115.849036774 30.369717956,-115.836536774 30.350135956,-115.824908804 30.3281987670001,-115.823063976 30.3247180590001,-115.818425734 30.3137377580001,-115.811681774 30.2977719560001,-115.804736774 30.2763909560001,-115.798898831 30.2539797740001,-115.79750001 30.2486090370001,-115.7967182 30.2443410220001,-115.793327774 30.225826956,-115.784303705 30.1217030110001,-115.78307291 30.1075000320001,-115.735573 29.938891176,-115.696672923 29.774236064,-115.696672776 29.7742359530001,-115.695902493 29.773634685,-115.505836774 29.6252719550001,-115.351976785 29.549823137,-115.339582054 29.5437449570001,-115.305919568 29.529655878,-115.278199774 29.518053955,-115.232508773 29.489162955,-115.216945773 29.475271955,-115.20681176 29.462706064,-115.204181963 29.459444972,-115.189873048 29.437636098,-115.18987284 29.437636056,-115.189872773 29.4376359550001,-115.097781773 29.419162955,-114.977772773 29.3911089550001,-114.945981773 29.373889955,-114.701399773 29.1299989550001,-114.557508773 28.9752719540001,-114.504245773 28.939162954,-114.440846046 28.9133270660001,-114.426963954 28.8850001210001,-114.426963867 28.885000146,-114.426963773 28.8849999540001,-114.412299773 28.889162954,-114.36884143 28.8332029430001,-114.361390984 28.8236090500001,-114.351101981 28.807098007,-114.314999773 28.749162954,-114.261672773 28.7136089540001,-114.214036773 28.685135954,-114.167718773 28.671871954,-114.091891544 28.5684970520001,-114.080564034 28.5530539550001,-114.077862924 28.5480744010001,-114.061318772 28.5175719540001,-114.065660088 28.4857966860001,-114.067364046 28.473327136,-114.084455082 28.429164229,-114.097500005 28.398891142,-114.109999937 28.3752731180001,-114.145845985 28.3105540970001,-114.128346079 28.2177821860001,-114.128345946 28.2177818750001,-114.128345772 28.217780954,-114.121774675 28.202432211,-114.112646104 28.181109013,-114.113345993 28.144164098,-114.119455059 28.1072180100001,-114.135008854 28.0597181000001,-114.128554956 28.023653955,-114.136126618 28.0202070460001,-114.153636772 28.0122359540001,-114.157833958 28.0036474930001,-114.159346035 28.0005539540001,-114.161581773 28.0005539540001,-114.150972772 28.019580954,-114.151162684 28.0239746880001,-114.152017915 28.04378209,-114.184517907 28.0168731630001,-114.207672914 28.0002731390001,-114.257639222 27.9658456290001,-114.278618773 27.951390953,-114.288426811 27.938596224,-114.291399913 27.934718107,-114.293972536 27.923817973,-114.307636773 27.865926953,-114.249727773 27.8393719530001,-114.220408798 27.806162982,-114.220321278 27.8048892050001,-114.217227773 27.7598539530001,-114.168991728 27.7241943490001,-114.158055065 27.716109019,-114.158054924 27.7161090650001,-114.158054772 27.7161089530001,-114.115008772 27.7304089530001,-114.074308772 27.752635953,-114.030272815 27.7687449380001,-114.027811767 27.767176181,-113.984736772 27.739717953,-113.97443202 27.725248219,-113.973063947 27.723327011,-113.985008997 27.7008360180001,-114.005982027 27.686800186,-114.175417842 27.695000034,-114.271925178 27.731361185,-114.287299773 27.7371539530001,-114.291362825 27.7402642060001,-114.317499986 27.7602730990001,-114.33364828 27.78522437,-114.334308785 27.7862449560001,-114.334308887 27.7862450970001,-114.433899979 27.8050001080001,-114.460282019 27.7877731180001,-114.484455093 27.775000103,-114.508346031 27.769026991,-114.613617874 27.767218009,-114.681945975 27.783191066,-114.790008992 27.8127731500001,-114.833890937 27.8213910870001,-114.924999878 27.8361090390001,-115.020573021 27.8466642020001,-115.043899857 27.8177731230001,-115.043899503 27.8177722880001,-115.043899773 27.817771953,-115.028121073 27.780541763,-115.023063955 27.768609069,-114.988890922 27.7211091550001,-114.988890773 27.7211089530001,-114.960658633 27.705764592,-114.928073019 27.688053951,-114.928072828 27.688053983,-114.928072773 27.6880539530001,-114.889181851 27.69471794,-114.776399966 27.5947181060001,-114.776399773 27.594717954,-114.668618773 27.510271953,-114.609863822 27.487917972,-114.515908855 27.4151359970001,-114.486045978 27.3618001030001,-114.484968263 27.3550397700001,-114.479736773 27.3222179530001,-114.478629364 27.281969894,-114.478346026 27.271664134,-114.475490982 27.238054043,-114.472884067 27.23669755,-114.330290773 27.1624989530001,-114.281627773 27.1480899530001,-114.247090773 27.1649989530001,-114.222499773 27.1636089530001,-114.191963772 27.1558269540001,-114.165145773 27.144998953,-114.131170627 27.1250395210001,-114.12779103 27.1230539960001,-114.123946759 27.120566953,-114.091945772 27.0998629530001,-114.076118772 27.083190953,-114.063667569 27.058168719,-114.06209099 27.0550001500001,-114.060408908 27.051280229,-114.049027772 27.0261089530001,-113.998754772 26.9816629530001,-113.976190772 26.981944953,-113.954445772 26.998471953,-113.904872772 27.000135953,-113.883899772 26.995135953,-113.842227772 26.978608953,-113.815418772 26.957917953,-113.772508772 26.9141629530001,-113.75810318 26.8969021070001,-113.755355075 26.8936091190001,-113.748210929 26.874921591,-113.741390772 26.857080952,-113.725761057 26.827851867,-113.724308841 26.8251360100001,-113.72430877 26.8251359560001,-113.598827772 26.739580952,-113.536390772 26.7540909520001,-113.476118772 26.830971952,-113.451808772 26.843189952,-113.431390772 26.844162952,-113.402927772 26.831735952,-113.296731034 26.789828861,-113.275255083 26.781353977,-113.275254989 26.7813540380001,-113.275254772 26.7813539520001,-113.206390772 26.8263809520001,-113.196681184 26.8496049660001,-113.183626967 26.880827052,-113.183206295 26.897023146,-113.183063772 26.9024999530001,-113.183690964 26.910112692,-113.186117901 26.939582181,-113.178579232 26.9523980880001,-113.167572772 26.9711089530001,-113.130981768 26.959998953,-113.130735064 26.9579377950001,-113.124090979 26.902427049,-113.132508924 26.874164109,-113.183064038 26.8194450330001,-113.200846078 26.800826982,-113.213681957 26.7749180170001,-113.222646067 26.729353991,-113.21500898 26.70333606,-113.215008783 26.70333599,-113.215008772 26.703335952,-113.186954772 26.693335952,-113.116672943 26.6722180040001,-113.104445977 26.6547180040001,-113.079999989 26.631109033,-113.002614375 26.5706675480001,-112.977572771 26.5511089520001,-112.947645771 26.5472179540001,-112.892718771 26.5219449520001,-112.853618771 26.481390952,-112.782499771 26.4177719520001,-112.684610282 26.3396591850001,-112.673199907 26.330553933,-112.470781974 26.2649269840001,-112.470781948 26.2649270090001,-112.470781771 26.2649269520001,-112.466640364 26.2689806160001,-112.45062685 26.2846539610001,-112.426318752 26.2895089420001,-112.400690881 26.276109009,-112.399649414 26.2751251500001,-112.378345771 26.2549989520001,-112.369832722 26.2406700500001,-112.367781963 26.2372180880001,-112.358608975 26.2183271230001,-112.356577816 26.2093392030001,-112.346118771 26.163053952,-112.328226644 26.092182988,-112.32529091 26.0805539470001,-112.248055025 26.0412450010001,-112.22278191 26.0061090680001,-112.205563972 25.980827069,-112.193072925 25.958327023,-112.170329078 25.9057501510001,-112.109863771 25.765971951,-112.105543845 25.74911633,-112.100145949 25.7280540140001,-112.102508976 25.691391067,-112.103791326 25.686315307,-112.108336771 25.668326951,-112.110994859 25.5830631380001,-112.111955045 25.552273099,-112.111954765 25.5522721360001,-112.111954771 25.552271951,-112.102781771 25.5207629510001,-112.086954771 25.5591629510001,-112.085934963 25.5709657200001,-112.083336299 25.6010310830001,-112.060836771 25.3686089510001,-112.065837014 25.299860199,-112.067373043 25.278745111,-112.070556035 25.2656045140001,-112.078718771 25.231908951,-112.085325348 25.227371589,-112.105564012 25.213473219,-112.126399914 25.1729180510001,-112.132943909 25.1403392340001,-112.169727771 24.9572179510001,-112.174092148 24.906425767,-112.174999865 24.8958641310001,-112.174999667 24.8958641620001,-112.174999771 24.895862951,-112.150981771 24.8995809510001,-112.142790771 24.9311089510001,-112.134454771 24.973326951,-112.126988184 24.9872106280001,-112.107227582 25.0239526010001,-112.09719948 24.9522554930001,-112.095290983 24.9386091550001,-112.10185654 24.9156175730001,-112.115836771 24.866662951,-112.08908239 24.7622502200001,-112.087508889 24.756109139,-112.087508818 24.7561091370001,-112.087508771 24.756108951,-111.97812777 24.7535359510001,-111.97812774 24.753536082,-111.978126896 24.753536062,-111.969317992 24.791944346,-111.92389077 24.7566629510001,-111.865961253 24.6979993200001,-111.863681899 24.6956910390001,-111.843063926 24.66860911,-111.826946029 24.642500152,-111.82163257 24.629745846,-111.79361877 24.5624999500001,-111.68695477 24.56388995,-111.65363677 24.54916295,-111.642641027 24.5238032990001,-111.641681996 24.5215911980001,-111.616672911 24.4808269860001,-111.602781918 24.4597180010001,-111.601680707 24.458725701,-111.57611877 24.43568995,-111.56000877 24.4294449500001,-111.53583677 24.4262449500001,-111.50139977 24.3924989500001,-111.47243677 24.3446539500001,-111.221945958 24.203054062,-111.22194577 24.20305395,-111.09668177 24.13971795,-111.04680877 24.11499895,-111.01639977 24.0938899500001,-110.810008769 23.90999895,-110.706358292 23.8065933500001,-110.694455018 23.7947180850001,-110.687831759 23.787757718,-110.634454769 23.73166295,-110.570490769 23.6879809500001,-110.520572769 23.668608949,-110.458890769 23.6474989490001,-110.404863902 23.6329179850001,-110.403572338 23.632078086,-110.373899769 23.6127809490001,-110.311190769 23.5606899490001,-110.171745769 23.3268719490001,-110.151007787 23.269984145,-110.133899986 23.2230540140001,-110.126399859 23.1933270920001,-110.120008993 23.150000028,-110.119251736 23.144706345,-110.115836769 23.120826949,-110.103660519 23.0628456210001,-110.100146062 23.0461090200001,-110.090008988 23.0122181360001,-110.086966978 23.003987883,-110.080563769 22.986662949,-110.034708596 22.9157398350001,-110.028481963 22.9061091090001,-110.028481767 22.90610895,-109.998190939 22.8819450870001,-109.998190769 22.8819449490001,-109.978764032 22.8712450890001,-109.978763997 22.871245075,-109.978763769 22.8712449490001,-109.955281966 22.864445011,-109.955281769 22.8644449490001,-109.923063769 22.866662949,-109.854172768 22.894717949,-109.842575852 22.9011239450001,-109.819726808 22.913745023,-109.743386369 22.9636406880001,-109.717508768 22.9805539490001,-109.701254768 22.998262949,-109.699883412 23.006827452,-109.697017925 23.024718068,-109.686537709 23.0344355140001,-109.665554768 23.0538899490001,-109.636399768 23.074717949,-109.617433035 23.084522275,-109.603335907 23.0918091680001,-109.59655422 23.094126596,-109.576945768 23.1008269490001,-109.543608768 23.1104179490001,-109.518754768 23.1245809490001,-109.485145768 23.1594359490001,-109.438899768 23.2258269490001,-109.400845768 23.3974999490001,-109.407499768 23.461244949,-109.478345768 23.575553949,-109.520845768 23.599444949,-109.543763768 23.609999949,-109.543763992 23.610000025,-109.543764046 23.610000046,-109.57500893 23.6205540390001,-109.596245991 23.625827094,-109.65807292 23.6438911010001,-109.68250885 23.6566641160001,-109.690408837 23.672290242,-109.694163768 23.6797179500001,-109.700008768 23.7008359500001,-109.704999768 23.7397179500001,-109.700563768 23.7683269500001,-109.699955789 23.7737802770001,-109.697635839 23.794582131,-109.720563345 23.8225276320001,-109.721681768 23.8238909500001,-109.750072768 23.8479179500001,-109.780929392 23.868820853,-109.783890766 23.8708269530001,-109.783890984 23.870827111,-109.81249977 23.893053948,-109.81340411 23.895296554,-109.824317912 23.922364245,-109.823617855 23.945000077,-109.814127102 23.9800354610001,-109.811954768 23.9880539500001,-109.809218654 23.993461284,-109.799726917 24.01221808,-109.860394778 24.031821447,-109.871945769 24.0355539500001,-109.885924913 24.0438725380001,-109.974164036 24.0963821080001,-109.981672766 24.1291629510001,-109.981673057 24.1291642370001,-110.003345977 24.164164215,-110.018335837 24.1780540340001,-110.039162113 24.191158494,-110.040845769 24.19221795,-110.16528177 24.293608948,-110.197035283 24.3323589290001,-110.210008841 24.3481910790001,-110.231808998 24.3559731730001,-110.289581936 24.3422910570001,-110.294830263 24.329426057,-110.305418769 24.3034719500001,-110.286402586 24.261719939,-110.285490897 24.259718079,-110.270281933 24.225000068,-110.270363783 24.219919201,-110.270836769 24.19061795,-110.28523012 24.1787316680001,-110.310863923 24.1575641370001,-110.324173045 24.1254091440001,-110.354172978 24.115836028,-110.354881055 24.1160996730001,-110.3765358 24.1241640960001,-110.395517533 24.181389917,-110.356890948 24.1803449550001,-110.340008974 24.160000085,-110.340008917 24.160000129,-110.340008769 24.15999995,-110.306454769 24.1854809500001,-110.306455965 24.185481376,-110.306455042 24.1854820770001,-110.339672768 24.197326952,-110.339673028 24.197327047,-110.420563925 24.208882171,-110.449173037 24.2091641390001,-110.495081895 24.2172910640001,-110.523323234 24.2335868660001,-110.614581769 24.28624495,-110.657508769 24.3338909500001,-110.661639298 24.340389913,-110.691181885 24.386873227,-110.69165094 24.3909021530001,-110.695845769 24.42693595,-110.695008769 24.45374495,-110.706346755 24.490026389,-110.714455077 24.515973144,-110.719586738 24.5252020950001,-110.721945769 24.52944495,-110.723615522 24.531893197,-110.730563878 24.542082038,-110.734172769 24.5783269500001,-110.733754769 24.6340269500001,-110.732610371 24.642214041,-110.729735789 24.662773126,-110.725342873 24.677387706,-110.723890769 24.6822179500001,-110.698054769 24.7180539500001,-110.691634847 24.729810534,-110.686526911 24.7391641150001,-110.68244205 24.7495650450001,-110.675290769 24.767771951,-110.667781769 24.803890951,-110.671108769 24.833608951,-110.686254769 24.8963909510001,-110.746672769 25.0197179510001,-110.746672897 25.0197180750001,-110.746672934 25.0197181500001,-110.770426912 25.0429090320001,-110.793326942 25.0536090350001,-110.825699826 25.0633270020001,-110.859872769 25.094099951,-110.866391251 25.104142885,-110.911117828 25.173054005,-110.948055031 25.254164174,-111.017499937 25.414164144,-111.021535824 25.436382055,-111.017806474 25.4675918500001,-111.01695477 25.4747179510001,-111.01895477 25.521799951,-111.018955031 25.521800081,-111.018955036 25.5218001870001,-111.064208931 25.5442001530001,-111.118472983 25.547009093,-111.167090772 25.579299947,-111.174013466 25.5897897130001,-111.299726832 25.7802821560001,-111.321924368 25.8368563330001,-111.32500877 25.8447179520001,-111.331720654 25.8656151280001,-111.361117903 25.9571450070001,-111.343335863 26.026944971,-111.349447765 26.127312913,-111.35000877 26.1365269520001,-111.350008861 26.136527125,-111.38305477 26.201108952,-111.389530511 26.220336665,-111.397790909 26.244864228,-111.408472723 26.2909719940001,-111.39215477 26.305553952,-111.39806377 26.3386089520001,-111.49930877 26.5297179520001,-111.55278177 26.5583999520001,-111.56029077 26.584999952,-111.56249977 26.6255539520001,-111.55944577 26.6658359520001,-111.56188177 26.719653952,-111.59805477 26.739444952,-111.644454772 26.760690948,-111.69750877 26.809444952,-111.721689177 26.830224924,-111.748899949 26.853609168,-111.809726917 26.8933269840001,-111.844990925 26.902082217,-111.848696087 26.8859146680001,-111.85622777 26.853053952,-111.835711971 26.7738801530001,-111.831681972 26.758327045,-111.827821123 26.7508297800001,-111.80382777 26.704235952,-111.764453297 26.677369997,-111.754464024 26.6705539340001,-111.747093767 26.6667754420001,-111.72222777 26.654026952,-111.687508904 26.600591158,-111.710008924 26.569164254,-111.735072994 26.552500192,-111.765563847 26.5675000300001,-111.85860877 26.6619449520001,-111.866887761 26.672777067,-111.908072961 26.7266642380001,-111.913612537 26.740307526,-111.91667277 26.747844952,-111.91419643 26.7514990180001,-111.902926808 26.7681269990001,-111.908658768 26.8177843300001,-111.90919977 26.8224719520001,-111.909199933 26.822472573,-111.909199992 26.8224730800001,-111.910917908 26.829012296,-111.91494577 26.844344952,-111.97168177 26.9174999530001,-111.987207098 26.9412357530001,-112.029163548 27.0053814880001,-112.014181771 27.041380953,-112.014182233 27.0413814840001,-112.014181988 27.041382072,-112.094726881 27.133891126,-112.230008955 27.2327731090001,-112.317435893 27.502845071,-112.346672978 27.541382212,-112.493617967 27.615835976,-112.53722683 27.627773147,-112.572772923 27.6305540910001,-112.666457061 27.715174495,-112.670490771 27.718817954,-112.753063771 27.8374999530001,-112.747848303 27.874020246,-112.732226946 27.9834000330001,-112.72521503 27.996205692,-112.723281771 27.9997359540001,-112.723281947 27.9997360250001,-112.757781829 28.0136090020001,-112.759885524 28.015396896,-112.77861793 28.0313180320001,-112.790059622 28.0919981060001,-112.791672771 28.1005539540001,-112.794590771 28.127771954,-112.793469721 28.142314131,-112.790635903 28.1790641640001,-112.818986578 28.225283088,-112.820981771 28.2285359540001,-112.823671758 28.2305657110001,-112.860835851 28.258609096,-112.866615406 28.263331604,-112.866954771 28.2636089540001,-112.867787419 28.2660286130001,-112.874026955 28.284164177,-112.870585594 28.3505398550001,-112.870008771 28.3616629540001,-112.863199771 28.4185089540001,-112.863199899 28.418509026,-112.863199883 28.418509154,-112.91819992 28.4494450820001,-112.9572269 28.4408271460001,-112.957226946 28.4408271360001,-112.982508899 28.4361091390001,-113.011126896 28.436527061,-113.039308866 28.443327131,-113.11590877 28.486453957,-113.124958943 28.534999059,-113.129463949 28.5591641950001,-113.138899773 28.6238809540001,-113.138899958 28.623882211,-113.152176251 28.679047602,-113.176672772 28.7808359540001,-113.179768404 28.7864289510001,-113.194926946 28.813818149,-113.227923693 28.828604237,-113.229799772 28.8294449540001,-113.229799813 28.8294449410001,-113.229800022 28.8294450340001,-113.290281881 28.8097180930001,-113.299393097 28.821235643,-113.348072782 28.882772898,-113.348345772 28.908608954,-113.350007948 28.9124048250001,-113.362635921 28.941245038,-113.409308872 28.9641641790001,-113.45166397 28.952773173,-113.456632944 28.940208179,-113.462018772 28.9265909540001,-113.45771602 28.8970077920001,-113.457090917 28.8927091250001,-113.508754873 28.8962451090001,-113.511623713 28.900620502,-113.5447269 28.9511090300001,-113.540469182 29.0215363950001,-113.539308772 29.040726955,-113.545145772 29.1029179550001,-113.567062563 29.1358335740001,-113.650845986 29.261664243,-113.667917911 29.2841641210001,-113.785807651 29.4071033870001,-113.794172772 29.4158269550001,-113.799773222 29.4207709360001,-113.84861783 29.4638910690001,-113.88639977 29.47944496,-113.887175823 29.479932697,-113.91402685 29.4968091490001,-114.033617833 29.5877730830001,-114.064726931 29.6152731020001,-114.095911757 29.648382348,-114.096390772 29.6488909550001,-114.212154773 29.761944955,-114.212155052 29.7619450130001,-114.255281957 29.7716641600001,-114.300354973 29.762845053,-114.375763852 29.797427075,-114.396390773 29.8286089550001,-114.458890773 29.925826955,-114.458890922 29.925827086,-114.458890958 29.9258271420001,-114.48169445 29.945696243,-114.545290773 30.0011089550001,-114.556399773 30.018608955,-114.561580564 30.027257166,-114.62861796 30.13916418,-114.659726891 30.19860914,-114.642226818 30.273609069,-114.634192666 30.3487507350001,-114.632781773 30.3619449560001,-114.63162464 30.3810864480001,-114.625417917 30.4837450590001,-114.646390948 30.564164223,-114.663746014 30.5863821340001,-114.674131121 30.6006744320001,-114.677372773 30.605135956,-114.692508777 30.6456909550001,-114.695699773 30.6695809560001,-114.694323365 30.6889852690001,-114.691117957 30.7341641400001,-114.686690248 30.788417372,-114.685563773 30.8022179560001,-114.689181773 30.8388909560001,-114.706390773 30.9274999560001,-114.720145773 30.942917956,-114.720145914 30.9429180290001,-114.720145996 30.942918121,-114.762508973 30.96471811,-114.786263957 30.9686091570001,-114.824790805 30.9920090430001,-114.826740339 30.9972649700001,-114.874735951 31.126664191,-114.880699767 31.1516632,-114.880183473 31.1709608190001,-114.878617946 31.2294451000001,-114.866949884 31.388401135,-114.864181773 31.4261089570001,-114.855290773 31.501944957,-114.854572789 31.506152016,-114.851117928 31.52639112,-114.845326604 31.549119144,-114.843899773 31.554717957,-114.840287106 31.564185568,-114.832926941 31.5834729860001,-114.808327773 31.613889957,-114.785836773 31.631871957,-114.785836784 31.6318724020001,-114.78583581 31.6318731810001,-114.786562568 31.6602112960001,-114.786663773 31.664162957,-114.78666392 31.6641632930001,-114.786663942 31.664164128,-114.820008997 31.7402731500001,-114.910354216 31.856631555,-114.922081773 31.8717359570001,-114.931643669 31.879494563,-114.9445909 31.890000092,-114.975835953 31.906182195,-115.013335918 31.9103449830001,-115.031145526 31.9599988580001,-115.017246077 31.954427084,-115.017246016 31.9544270550001,-115.013851669 31.9524856090001,-114.928890773 31.903889957,-114.825008973 31.8355540950001,-114.825008888 31.8355540330001,-114.824665117 31.8352743360001,-114.808618773 31.8222179570001,-114.716470475 31.7849921210001,-114.711673066 31.7830540480001,-114.711672935 31.783054023,-114.711672773 31.7830539570001,-114.633899773 31.767635957,-114.584518773 31.760408957,-114.518054773 31.7113899570001,-114.502499773 31.6941629570001,-114.482227773 31.6774989570001,-114.431536773 31.644862957,-114.254999773 31.541662957,-114.217508773 31.5222179570001,-114.169727773 31.504444957,-114.130836772 31.495280957,-114.050145772 31.4926359570001,-114.020845772 31.4976359570001,-113.990572772 31.517771957,-113.975572772 31.5322179570001,-113.947354772 31.566944957,-113.947355045 31.566945026,-113.947354973 31.5669451150001,-113.970345836 31.5727731700001,-113.974690772 31.6556899570001,-113.821954993 31.58082706,-113.821954771 31.580826959,-113.806270057 31.574256738,-113.667781956 31.516244994,-113.665351925 31.5148095610001,-113.644036772 31.502217957,-113.629036772 31.481390957,-113.625418772 31.455408957,-113.62766334 31.438966957,-113.628754977 31.43097321,-113.628754774 31.4309719560001,-113.628732909 31.4308358160001,-113.622218772 31.390271957,-113.613618772 31.3486089570001,-113.589736772 31.331662957,-113.510836772 31.295826957,-113.47720404 31.2844850050001,-113.475846096 31.284027048,-113.475845995 31.284027032,-113.475845772 31.284026957,-113.327790772 31.2605539570001,-113.137218772 31.233053957,-113.137218061 31.233054039,-113.137217877 31.233054012,-113.130974285 31.2337772280001,-113.116808772 31.235417957,-113.091672947 31.229717996,-113.084891139 31.221371699,-113.039027771 31.164926956,-113.038052624 31.1180267460001,-113.037782019 31.1050001570001,-113.049454992 31.0538911670001,-113.061127891 31.0100562310001,-113.095836772 30.879717956,-113.103190199 30.8597727690001,-113.109455002 30.842782206,-113.116191035 30.8145821310001,-113.116190732 30.814581123,-113.116190772 30.814580956,-113.09700596 30.750802482,-113.081390882 30.6988910790001,-113.072772944 30.679445064,-113.071663144 30.6774151160001,-113.061536771 30.6588909560001,-113.042508771 30.631380956,-113.002781771 30.577771956,-112.928072771 30.491662956,-112.86381122 30.409819869,-112.858063956 30.4025001090001,-112.765555069 30.227500052,-112.759900184 30.2152595580001,-112.754454983 30.203472414,-112.748899893 30.161945019,-112.749454942 30.1352731330001,-112.751682014 30.0461091290001,-112.735573002 29.9711090330001,-112.732599874 29.9661655240001,-112.705836771 29.921662955,-112.587455661 29.729785985,-112.576745994 29.712427071,-112.493899934 29.6130540770001,-112.493109807 29.6122787570001,-112.471536771 29.591108955,-112.444004373 29.5718514770001,-112.44056404 29.5694450460001,-112.425563953 29.5544449600001,-112.376181971 29.4949270770001,-112.377508994 29.460000189,-112.380598972 29.450503827,-112.389936771 29.4218089550001,-112.340561799 29.3449300620001,-112.32945504 29.3276360240001,-112.329454839 29.3276360610001,-112.329454771 29.3276359550001,-112.288618771 29.335280955,-112.249663861 29.3320449620001,-112.213482021 29.3061091170001,-112.201400011 29.283054022,-112.196955087 29.260273182,-112.195587915 29.2440909740001,-112.189727771 29.1747179550001,-112.178120209 29.0736650630001,-112.176390926 29.0586091170001,-112.161946057 28.9713910560001,-112.161945783 28.971391027,-112.161945771 28.9713909540001,-112.115008771 28.9663899540001,-112.037227771 28.883890954,-111.91771877 28.787217954,-111.928385421 28.7779861920001,-111.947245953 28.761664103,-111.947245466 28.761663218,-111.94724577 28.761662954,-111.937039059 28.743113045,-111.934790948 28.7390270970001,-111.847499964 28.6583360240001,-111.82224596 28.639445058,-111.821329752 28.6388089550001,-111.79583677 28.6211089540001,-111.768177106 28.5937082080001,-111.766672936 28.5922180630001,-111.738063992 28.5555539420001,-111.736619886 28.553241519,-111.72583677 28.535971954,-111.713172314 28.505220169,-111.71250891 28.503609109,-111.696946063 28.4686091310001,-111.696945769 28.468608956,-111.66972777 28.4527719540001,-111.640554965 28.443336017,-111.640554772 28.4433359500001,-111.61530952 28.434007638,-111.578899866 28.420553999,-111.578899768 28.4205539600001,-111.53472777 28.403608954,-111.46334577 28.374998954,-111.370551461 28.2439938750001,-111.341945976 28.203609058,-111.338374279 28.1979761490001,-111.32556377 28.177771954,-111.310191255 28.153262883,-111.306400001 28.1472181280001,-111.302693028 28.1416389130001,-111.26791877 28.0892999540001,-111.24973677 28.0680539540001,-111.21613677 28.0355539540001,-111.10333677 27.9369449530001,-111.103335847 27.936945032,-111.103335823 27.936945011,-111.098313289 27.9373733140001,-111.08222777 27.938744953,-111.082227526 27.93874505,-111.082226838 27.938745108,-111.078447745 27.940237649,-111.05584577 27.949162953,-110.96085477 27.9074989530001,-110.871672769 27.842780953,-110.789463813 27.9169449140001,-110.782224336 27.915839184,-110.596681769 27.887498953,-110.511365742 27.8549993240001,-110.555008982 27.832773209,-110.605291014 27.7575000300001,-110.634590962 27.6623642550001,-110.634501021 27.657930134,-110.634036769 27.634999953,-110.622218769 27.601944953,-110.529718769 27.371108953,-110.446399769 27.3116629530001,-110.348825659 27.200225017,-110.335009001 27.1844450670001,-110.301964019 27.162218103,-110.301963968 27.162218087,-110.301963769 27.162217953,-110.239560575 27.1417239510001,-110.225008927 27.136944989,-110.225008769 27.1369449520001,-110.224913495 27.1369229090001,-110.051808769 27.0968719530001,-110.023818769 27.1117989530001,-109.976254769 27.1107629530001,-109.949045769 27.0934719530001,-109.920908769 27.0566629530001,-109.898355055 26.974163999,-109.887508913 26.910553974,-109.880282036 26.870827106,-109.875554978 26.8486090270001,-109.86667301 26.8233270280001,-109.822091008 26.751527142,-109.821133737 26.750677125,-109.772508768 26.707498952,-109.754894191 26.69672282,-109.753890982 26.696109016,-109.717508996 26.679718037,-109.717508918 26.6797180200001,-109.717508768 26.679717952,-109.691818768 26.6741629520001,-109.677227768 26.6724989520001,-109.647354768 26.6973539520001,-109.554172768 26.7508269520001,-109.519927768 26.764298952,-109.445029931 26.7160188230001,-109.444308908 26.7155540250001,-109.431480685 26.7011095550001,-109.264718768 26.513335952,-109.154518768 26.367980952,-109.143718768 26.338308952,-109.103899865 26.2836090760001,-109.096046027 26.2147911330001,-109.12306392 26.224445071,-109.173899768 26.262499952,-109.160172768 26.304717952,-109.164799768 26.3239539520001,-109.164799928 26.323954024,-109.205008768 26.3423539520001,-109.205008804 26.342353921,-109.205008924 26.3423539770001,-109.231664047 26.3194450620001,-109.23121026 26.306173658,-109.229736768 26.2630539520001,-109.269444795 26.1893918050001,-109.283999932 26.162391251,-109.288015081 26.169706627,-109.30555505 26.2016642340001,-109.402790994 26.064445103,-109.421808862 26.03527323,-109.43249998 26.0056911460001,-109.442781893 25.94652698,-109.437499953 25.820273222,-109.437499815 25.82027307,-109.437499768 25.820271952,-109.381881768 25.759062951,-109.307508768 25.738326951,-109.28222383 25.7210393330001,-109.169172935 25.6437449760001,-109.153899934 25.613191095,-109.14104595 25.5830539620001,-109.141045791 25.5830540050001,-109.141045768 25.5830539510001,-109.076972768 25.6004179510001,-109.041599768 25.6096629510001,-108.897854768 25.6992999510001,-108.876399768 25.7436089510001,-108.863757772 25.758850555,-108.834928317 25.79360739,-108.85779326 25.7286552160001,-108.87834604 25.670273197,-108.901955011 25.6393000530001,-108.970290992 25.564444963,-108.99125497 25.559164197,-109.018235813 25.5601641580001,-109.057599913 25.5638270490001,-109.084726937 25.538664241,-109.10890001 25.5261091560001,-109.107896993 25.5251475110001,-109.068336768 25.487217951,-109.031327768 25.4621539510001,-108.920008768 25.456108951,-108.907732194 25.4647657090001,-108.886126961 25.480000138,-108.881083662 25.4961693610001,-108.879454768 25.5013909510001,-108.877081768 25.522499951,-108.896081768 25.549408951,-108.837781768 25.5616629510001,-108.765290893 25.5392989900001,-108.76375503 25.4925641080001,-108.763414011 25.479669685,-108.762218767 25.434444951,-108.728618767 25.3966629510001,-108.616672767 25.339998951,-108.558327767 25.314717951,-108.455836767 25.2738899510001,-108.437755444 25.2635134430001,-108.436955018 25.26305402,-108.43505991 25.261576307,-108.420563767 25.2502719510001,-108.406818767 25.231799951,-108.394297812 25.204094603,-108.39250897 25.200136102,-108.394181998 25.141109063,-108.39418176 25.1411092120001,-108.394181767 25.141108951,-108.352508767 25.1672179510001,-108.243054767 25.159162951,-108.125836767 25.123880951,-108.095836767 25.108889951,-108.060281767 25.088471951,-108.042508767 25.073608951,-108.021390983 25.0513911780001,-108.00778196 25.0333270080001,-108.006658649 25.0292399000001,-108.00083681 25.00805411,-108.096308939 25.012982118,-108.130146012 24.972364253,-108.178199843 24.981736035,-108.221263767 25.0294449510001,-108.221263603 25.029444568,-108.221264005 25.029445014,-108.202714479 24.9861409440001,-108.181399767 24.936380951,-108.135482448 24.8541864750001,-108.127790865 24.8404180090001,-108.104173009 24.8219449650001,-108.104172805 24.8219449810001,-108.104172767 24.821944951,-108.047499767 24.8263449510001,-108.028190767 24.919999951,-108.028190883 24.920000159,-108.044308767 24.9508269510001,-108.041854773 24.9919538410001,-108.039100237 24.991083174,-108.011945767 24.982498951,-107.991671821 24.9612518340001,-107.990008973 24.959509096,-107.996946003 24.751109166,-108.016682033 24.735000154,-108.006673034 24.6725001570001,-107.995490905 24.649100063,-107.99549077 24.649099947,-107.941964071 24.6011091410001,-107.941357028 24.6006737380001,-107.916399767 24.5827719500001,-107.817267767 24.52750195,-107.817268802 24.5275027920001,-107.817263983 24.5275001050001,-107.84917957 24.5534432420001,-107.851608767 24.55541795,-107.894181767 24.58610895,-107.897301819 24.5898393800001,-107.931116311 24.630271249,-107.872790767 24.6136089500001,-107.808327767 24.58721795,-107.748899983 24.5374991310001,-107.748364068 24.5169181200001,-107.748363766 24.516917951,-107.681827766 24.4797449500001,-107.681827084 24.479745184,-107.681826844 24.4797450500001,-107.67646754 24.4815814190001,-107.653118766 24.4895809500001,-107.653118176 24.489582097,-107.653117819 24.4895822190001,-107.650395726 24.4948651830001,-107.642081766 24.51099895,-107.618820678 24.5170064930001,-107.61803675 24.5172089110001,-107.593253028 24.4586589030001,-107.590572896 24.4523270060001,-107.59640888 24.4282449610001,-107.630955062 24.432000053,-107.653063866 24.4319360150001,-107.675754766 24.44672695,-107.675754993 24.446727057,-107.727726816 24.471127112,-107.727725406 24.471125842,-107.727727767 24.47112695,-107.675281766 24.42389895,-107.650008766 24.4016629500001,-107.589455083 24.3723540980001,-107.58779771 24.371338527,-107.566118766 24.3580539500001,-107.548072766 24.34638095,-107.523776266 24.328962629,-107.522508992 24.3280540590001,-107.516598555 24.323588892,-107.422499766 24.2524989500001,-107.388636766 24.2247179500001,-107.071118766 23.9994449500001,-107.043063766 23.98277195,-107.026983541 23.9695635140001,-107.025145967 23.9680539990001,-107.022479433 23.96552683,-107.001108766 23.9452719500001,-106.965719296 23.9096416560001,-106.958346054 23.9022180050001,-106.915699937 23.8651359630001,-106.913422044 23.8620466130001,-106.899318766 23.8429179500001,-106.874456388 23.793750817,-106.868064072 23.7811090590001,-106.86240527 23.7694918760001,-106.841136766 23.7258269500001,-106.810128313 23.6631520760001,-106.803482011 23.6497180330001,-106.800498822 23.646400429,-106.784999766 23.629162949,-106.676722016 23.5360089330001,-106.661664064 23.5230540650001,-106.643985867 23.5077191130001,-106.527645765 23.4067989490001,-106.515005382 23.3894061670001,-106.511400009 23.3844450460001,-106.506343499 23.3759640660001,-106.493345765 23.3541629490001,-106.478618765 23.3261089490001,-106.372757493 23.182075824,-106.370008869 23.1783360580001,-106.370008803 23.1783360000001,-106.370008765 23.178335949,-106.226672843 23.053609017,-106.139446014 22.9563911400001,-106.136960261 22.9534303390001,-106.110290765 22.9216629490001,-106.082221098 22.8905186010001,-106.07999988 22.888053986,-106.075028393 22.883535861,-106.000836765 22.8161089490001,-105.975480754 22.7994730180001,-105.974163935 22.7986090210001,-105.970907731 22.7961995220001,-105.919727765 22.758326949,-105.820427765 22.6640269490001,-105.801477209 22.6388737120001,-105.799181983 22.6358270960001,-105.744746048 22.5438911970001,-105.730564036 22.5130540070001,-105.721204496 22.486897044,-105.714572765 22.468362948,-105.698149091 22.4423807750001,-105.690846052 22.4308270340001,-105.66014599 22.369445016,-105.658758038 22.3658931780001,-105.649727765 22.342780948,-105.644181957 22.3152729010001,-105.640290934 22.286664167,-105.638064034 22.2569449550001,-105.637721159 22.2493717340001,-105.636536765 22.223190948,-105.638481408 22.1931300410001,-105.638899877 22.186664206,-105.645573046 22.134718031,-105.655563939 22.056109023,-105.655666762 22.0460823930001,-105.656118765 22.0020809480001,-105.65098358 21.983778397,-105.650272947 21.9812450480001,-105.62848201 21.950836006,-105.60945509 21.927500117,-105.607217528 21.92498356,-105.596118765 21.9124999480001,-105.579299925 21.8978741450001,-105.576946046 21.8958270840001,-105.575418241 21.893989339,-105.558536764 21.8736809480001,-105.508618764 21.791944948,-105.466880998 21.7153150090001,-105.457782037 21.6986091160001,-105.441399942 21.6575000720001,-105.442499983 21.634444977,-105.438940822 21.6198380770001,-105.436390764 21.609371948,-105.276808764 21.520826947,-105.24584588 21.5137449740001,-105.189455019 21.4375000910001,-105.228055025 21.3116640870001,-105.213481913 21.2336091230001,-105.225155054 21.111109116,-105.232508833 21.085282125,-105.241390968 21.0647181320001,-105.258826835 21.04298218,-105.292364004 21.0377731630001,-105.307309456 21.026771266,-105.312927764 21.022635947,-105.396573154 20.9364425650001,-105.536190885 20.792573157,-105.536189878 20.7925728600001,-105.536190764 20.7925719470001,-105.407718764 20.754644947,-105.407718252 20.754645139,-105.407717935 20.7546450460001,-105.400279786 20.757441409,-105.367236764 20.769862947,-105.343345764 20.773326947,-105.321808764 20.7654809470001,-105.270768878 20.703736421,-105.266890897 20.6990450320001,-105.266838691 20.699003724,-105.263881764 20.6966629470001,-105.244093271 20.6514912750001,-105.235073025 20.6309001590001,-105.23771788 20.615488138,-105.244727764 20.574644947,-105.266102639 20.5615592130001,-105.335354953 20.5191641920001,-105.450564045 20.491527046,-105.496672894 20.49416416,-105.551399849 20.4912450790001,-105.594872925 20.4756911160001,-105.620008912 20.462218045,-105.675364006 20.4241642040001,-105.676187286 20.4127757480001,-105.678336765 20.3830539460001,-105.662227765 20.3497179460001,-105.606104162 20.260136576,-105.595572982 20.2433269900001,-105.57489911 20.1792727970001,-105.546399764 20.090971946,-105.528945428 20.046812259,-105.527790877 20.0438911700001,-105.527790759 20.0438909490001,-105.515290764 20.021662946,-105.497790876 19.9911091500001,-105.497790759 19.991108949,-105.494364709 19.985330409,-105.456946026 19.9222181220001,-105.437646023 19.899236117,-105.436423154 19.898194045,-105.414581764 19.879580946,-105.39062585 19.8539390330001,-105.38694607 19.8500001470001,-105.382660678 19.8446811950001,-105.329318764 19.778471946,-105.318481764 19.758471946,-105.302854764 19.725062946,-105.268336764 19.677917946,-105.209172764 19.6202719460001,-105.169727764 19.6069449460001,-105.117654872 19.5815269980001,-105.099173037 19.5581910610001,-105.090067809 19.530336795,-105.078608764 19.495280946,-105.038052666 19.4061182570001,-105.022508965 19.3719450040001,-104.983608888 19.3394450120001,-104.982827321 19.338853289,-104.951681764 19.3152719450001,-104.899036764 19.285135945,-104.805845764 19.2516629450001,-104.691921903 19.186516129,-104.675900001 19.177353924,-104.657165818 19.170754281,-104.592418764 19.1479449450001,-104.513063764 19.127217945,-104.371118763 19.1087449450001,-104.327790763 19.095271945,-104.319145991 19.0811015310001,-104.316400006 19.0766000950001,-104.329799987 19.039373213,-104.329799617 19.039372352,-104.329799763 19.039371945,-104.32161038 19.020302009,-104.317572969 19.010900056,-104.317572778 19.01089998,-104.317572763 19.0108999450001,-104.205290763 18.9666629450001,-104.136945763 18.9441629450001,-104.047236763 18.9136089450001,-104.025281763 18.9052809450001,-104.004463763 18.896380945,-103.971946026 18.8772180930001,-103.97099308 18.876479865,-103.943618763 18.855271945,-103.839736763 18.7663899450001,-103.777079813 18.709229341,-103.776399915 18.708609064,-103.77639976 18.7086089490001,-103.773444297 18.7065420380001,-103.755146091 18.6937450990001,-103.754799889 18.693541908,-103.745481763 18.688071945,-103.726555723 18.6744494110001,-103.725008958 18.673336003,-103.705563948 18.65055399,-103.57584595 18.4972181360001,-103.575532177 18.496811656,-103.560836763 18.477771945,-103.540811738 18.441779641,-103.538890977 18.438327051,-103.519445967 18.4033270730001,-103.516471593 18.3966522170001,-103.509172763 18.3802719450001,-103.501775433 18.3620289470001,-103.496673007 18.349445014,-103.493871712 18.3463675470001,-103.478336763 18.3292999450001,-103.45075456 18.3140220450001,-103.45000894 18.3136090260001,-103.450008762 18.313608946,-103.357508762 18.272780944,-103.102927762 18.200062944,-103.061399762 18.1969449440001,-103.038336762 18.1926359440001,-102.954727762 18.160271944,-102.934454762 18.1477719440001,-102.903899762 18.1308359440001,-102.824308762 18.095271944,-102.750418762 18.0677719440001,-102.720290762 18.059162944,-102.682059706 18.0509683980001,-102.681399984 18.050826973,-102.681399861 18.050826966,-102.681399762 18.0508269440001,-102.637508762 18.048335944,-102.607927762 18.0479179440001,-102.574445762 18.0445809440001,-102.455836762 18.011389944,-102.293271169 17.9641257110001,-102.290555023 17.9633359960001,-102.289113918 17.9628926820001,-102.229590761 17.9445809440001,-102.180999761 17.9208269440001,-102.170290761 17.9183269440001,-102.145008761 17.9194449440001,-102.119454761 17.935553944,-102.095699761 17.9616629440001,-102.067363761 17.9822179440001,-102.038199761 17.9904179440001,-102.000699761 17.9886089440001,-101.952790761 17.978471944,-101.921399761 17.9619359440001,-101.917524516 17.959647456,-101.898355043 17.948327025,-101.888801977 17.942603492,-101.818618761 17.900553944,-101.792090861 17.8797180230001,-101.788025112 17.874846486,-101.672236761 17.736108944,-101.653327761 17.710417944,-101.638818761 17.6780539440001,-101.581824194 17.631613477,-101.577790999 17.628327083,-101.549099096 17.609421803,-101.445008761 17.540835944,-101.341399761 17.4897179440001,-101.26639976 17.459717945,-101.13583676 17.379162944,-101.10444576 17.3588899440001,-101.08639976 17.3416629440001,-101.069583901 17.3233973270001,-101.066264067 17.3197910710001,-101.049445945 17.2955539590001,-101.046979337 17.2936047750001,-101.01112776 17.2652719440001,-100.90999976 17.2174989430001,-100.88863676 17.2086089430001,-100.797099865 17.181944973,-100.797099761 17.181944942,-100.795732968 17.181512345,-100.67861876 17.1444449430001,-100.51167276 17.0883359430001,-100.44971876 17.0672179430001,-100.353385372 17.032033531,-100.321955086 17.0205539410001,-100.284446069 17.0055540230001,-100.28142909 17.004186863,-100.22805476 16.9799989430001,-99.979445759 16.9008359430001,-99.872927759 16.8679179430001,-99.857372759 16.8549989430001,-99.841127759 16.8180539430001,-99.850418759 16.7950359430001,-99.738618759 16.7290269430001,-99.689074547 16.7082424130001,-99.685982036 16.7069450330001,-99.685981929 16.706945014,-99.685981759 16.7069449430001,-99.5580639679999 16.684444984,-99.558063759 16.6844449430001,-99.537227759 16.681662943,-99.440563759 16.6722179430001,-99.2330637589999 16.628889943,-99.041382809 16.5976662460001,-99.036955011 16.596944959,-98.9988115689999 16.590372641,-98.782227758 16.5530539430001,-98.753481837 16.5405539770001,-98.752444004 16.539620456,-98.729236758 16.5187449430001,-98.705712019 16.478977758,-98.7041818869999 16.4763910630001,-98.657372981 16.419026994,-98.616391006 16.3880540170001,-98.606486865 16.382256457,-98.593608758 16.3747179430001,-98.5787547579999 16.360971943,-98.5670579919999 16.34534116,-98.562646075 16.339445014,-98.5546909779999 16.3193450420001,-98.554253623 16.3189901270001,-98.544027758 16.3106899430001,-98.450529789 16.2770403270001,-98.446399974 16.2755539570001,-98.441377002 16.2739956390001,-98.408336758 16.2637449430001,-98.215290758 16.2227719430001,-98.1255637579999 16.2088809430001,-98.090008758 16.186108943,-97.9300087569999 16.082498942,-97.860563757 16.027498942,-97.842671482 16.0110241200001,-97.839446079 16.0080540660001,-97.83594831 16.0050288570001,-97.812790757 15.9849989420001,-97.7927817569999 15.972080942,-97.754727757 15.9602809420001,-97.6726457569999 15.9503449420001,-97.6448637569999 15.959026941,-97.644607429 15.9589985750001,-97.520572757 15.945271942,-97.231399757 15.9183359420001,-97.196672757 15.91332694,-97.194688442 15.9127930380001,-97.135281757 15.8968089420001,-97.1030547569999 15.877771942,-97.070281909 15.8530540630001,-97.070281757 15.853053942,-96.839309756 15.727708942,-96.5577817559999 15.656389942,-96.4761187559999 15.6436089420001,-96.47611854 15.6436091730001,-96.476117957 15.6436090820001,-96.451077615 15.6704749080001,-96.436954756 15.6856269420001,-96.372790756 15.676944942,-96.2863907559999 15.674444942,-96.2638997559999 15.677217942,-96.214445756 15.6855539420001,-96.1777817559999 15.693471942,-96.062790756 15.753608942,-95.9512637559999 15.815135942,-95.746672755 15.892498942,-95.7163997549999 15.901662942,-95.609999755 15.932780942,-95.589445755 15.938608942,-95.521954755 15.956526942,-95.4827907549999 15.9619449420001,-95.4202907549999 15.978053942,-95.395490755 15.9899269420001,-95.371945755 16.0080539420001,-95.3654907549999 16.0459719420001,-95.285546035 16.106836475,-95.25110884 16.1330540590001,-95.23837694 16.139700638,-95.2133367549999 16.1527719420001,-95.113075635 16.179804146,-95.1000089409999 16.1833270380001,-95.093439442 16.1844882290001,-94.9270907549999 16.213889943,-94.8577907549999 16.215826943,-94.857791012 16.2158270250001,-94.857790882 16.215827029,-94.9052909599999 16.231109083,-95.0021748999999 16.251569908,-95.039463755 16.2594449430001,-95.060494675 16.270928628,-95.062672753 16.272117947,-95.056163362 16.28236171,-95.0308357759999 16.3222180230001,-94.9491897139999 16.38161711,-94.9105637549999 16.409717943,-94.859172755 16.427080943,-94.836254922 16.4197179970001,-94.805145992 16.3936090400001,-94.7954464429999 16.3748212410001,-94.772091189 16.3295817850001,-94.784590883 16.3080539480001,-94.78800455 16.305130805,-94.806736754 16.2890909430001,-94.791536754 16.260062943,-94.75427558 16.2843306660001,-94.72083578 16.306109011,-94.680008871 16.3375000770001,-94.664318168 16.359644755,-94.602781754 16.3399989430001,-94.578827754 16.3152089430001,-94.586118754 16.288608943,-94.605431615 16.268758151,-94.615846072 16.258054051,-94.631954917 16.246109001,-94.655290974 16.236109055,-94.691954927 16.22750017,-94.723745977 16.207773193,-94.7237447649999 16.2077725560001,-94.7237457539999 16.2077719430001,-94.6912547539999 16.1906899430001,-94.6038997539999 16.1947179430001,-94.477509754 16.1883269430001,-94.4411187539999 16.1813899430001,-94.3955727539999 16.170271943,-94.374727754 16.1627719430001,-94.2349997539999 16.103880942,-94.0891727539999 16.0449989420001,-94.065045754 16.041498942,-94.052645754 16.0476359420001,-94.055554754 16.0744449420001,-94.072299754 16.090690942,-94.072299824 16.090690974,-94.0722999339999 16.090691082,-94.0923460939999 16.0998181360001,-94.129454959 16.1061090900001,-94.17053584 16.1193731160001,-94.231004651 16.1583586620001,-94.2331547539999 16.1597449430001,-94.233154896 16.1597449710001,-94.233155027 16.1597450560001,-94.298290964 16.17300003,-94.3326460389999 16.1754820790001,-94.33264365 16.175480791,-94.3326457539999 16.175480943,-94.2729937189999 16.1433004630001,-94.325282035 16.150000085,-94.378064052 16.1763911800001,-94.416117892 16.2005540280001,-94.431893911 16.2141292360001,-94.433063754 16.2151359430001,-94.433869318 16.218827941,-94.438608885 16.240553979,-94.4197268039999 16.284027055,-94.4068139949999 16.2916853720001,-94.400290754 16.2955539430001,-94.364381754 16.2874989430001,-94.348080926 16.2647617800001,-94.346954953 16.263191152,-94.346954872 16.2631911070001,-94.346954754 16.263190943,-94.308265406 16.2415997270001,-94.268354997 16.219326976,-94.263661323 16.2180865020001,-94.214936754 16.2052089430001,-94.111954754 16.1752809430001,-94.0853457539999 16.145580942,-94.077927754 16.1395809420001,-94.023899754 16.1091629420001,-93.938609754 16.093889942,-93.876109754 15.999999942,-93.788890754 15.922780942,-93.698627753 15.865271942,-93.6499584159999 15.8311054860001,-93.6491729109999 15.8305540220001,-93.568346051 15.773053998,-93.4744549869999 15.6954181310001,-93.474454757 15.6954179370001,-93.473915856 15.6949524140001,-93.412227753 15.641662942,-93.283063753 15.5402719420001,-93.206809753 15.491244942,-93.1500097529999 15.4274999420001,-93.113646085 15.382977,-93.1091729889999 15.3775000840001,-93.092015579 15.358446664,-93.0877817529999 15.353744942,-92.9797367529999 15.262498942,-92.895814783 15.21576471,-92.88944609 15.2122180050001,-92.884621766 15.211110084,-92.861181753 15.2057269420001,-92.770490753 15.1715989420001,-92.7604547349999 15.146682738,-92.754181954 15.13110901,-92.746991019 15.092009478,-92.773963753 15.1462449420001,-92.773963856 15.14624493,-92.773963916 15.1462450510001,-92.810135846 15.142191052,-92.8101367529999 15.1421909420001,-92.761820818 15.0669695170001,-92.753063975 15.053336013,-92.7461420079999 15.04594124,-92.696118753 14.9924999410001,-92.632509752 14.9261089410001,-92.601118752 14.894162941,-92.5838907519999 14.8799989410001,-92.557389123 14.857400167,-92.555554988 14.855836078,-92.553277146 14.853646084,-92.527236752 14.828608941,-92.384445752 14.6841629410001,-92.289172752 14.587499941,-92.255709752 14.5549719410001,-92.247036752 14.550670941,-92.2481137519999 14.548499941,-92.263161752 14.537740941,-92.409031752 14.3928529410001,-92.424459752 14.377327941,-93.140926753 13.62136494,-93.852878754 12.8632579390001,-94.5606507539999 12.1030739390001,-94.572372754 12.114634939,-94.5759607539999 12.1171979390001,-94.594088754 12.1356269390001,-94.596000754 12.136991939,-94.596598754 12.137599939,-94.6009957539999 12.1407389390001,-94.603960754 12.143752939,-94.6059687539999 12.145186939,-94.6096147539999 12.1488919390001,-94.609970754 12.149146939,-94.611901754 12.151108939,-94.613996754 12.1526039390001,-94.614305754 12.1529189390001,-94.614971754 12.1533939390001,-94.6246137539999 12.1631919390001,-94.625998754 12.1641809390001,-94.631887754 12.1701649390001,-94.635001754 12.172386939,-94.641532754 12.179022939,-94.644980754 12.181482939,-94.645456754 12.1819669390001,-94.6469917539999 12.183061939,-94.667783754 12.204181939,-94.668015754 12.2043469390001,-94.669805754 12.2061649390001,-94.670031754 12.2063259390001,-94.6750417539999 12.2114139390001,-94.678026754 12.213542939,-94.679948754 12.2154959390001,-94.683025754 12.217690939,-94.686065754 12.2207769390001,-94.691012754 12.224305939,-94.695565754 12.2289289390001,-94.696022754 12.229254939,-94.702335754 12.2356639390001,-94.704995754 12.237560939,-94.7075977539999 12.240202939,-94.709023754 12.2412199390001,-94.723993754 12.256414939,-94.725032754 12.257154939,-94.727291754 12.259448939,-94.730032754 12.2614029390001,-94.7354737539999 12.266924939,-94.7370247539999 12.268029939,-94.741533754 12.2726049390001,-94.747999754 12.277214939,-94.759913754 12.289301939,-94.7600387539999 12.289391939,-94.762304754 12.291689939,-94.765039754 12.2936389390001,-94.767048754 12.295677939,-94.7700087539999 12.297786939,-94.771375754 12.2991729390001,-94.774000754 12.3010439390001,-94.779054754 12.306170939,-94.7810217539999 12.3075719390001,-94.800193754 12.327015939,-94.803041754 12.329043939,-94.8033537539999 12.329360939,-94.804016754 12.329832939,-94.804832754 12.330659939,-94.806028754 12.3315119390001,-94.816066754 12.341689939,-94.818029754 12.343087939,-94.818516754 12.343581939,-94.820040754 12.344666939,-94.8303287539999 12.355095939,-94.8330467549999 12.357031939,-94.8336077549999 12.3575999390001,-94.8350277549999 12.3586109390001,-94.8467147549999 12.3704569390001,-94.851051755 12.3735449390001,-94.857098755 12.379672939,-94.8590497549999 12.3810619390001,-94.8606737549999 12.3827069390001,-94.8640477549999 12.385107939,-94.8643647549999 12.3854299390001,-94.865022755 12.3858979390001,-94.865593755 12.386476939,-94.8660297549999 12.386786939,-94.870945755 12.391768939,-94.871039755 12.391835939,-94.874396755 12.395236939,-94.875039755 12.3956949390001,-94.876186755 12.396856939,-94.877053755 12.3974729390001,-94.886796755 12.407343939,-94.889052755 12.408948939,-94.9066017549999 12.4267249390001,-94.907077755 12.4270639390001,-94.915103755 12.435191939,-94.920074755 12.438726939,-94.920393755 12.439050939,-94.921049755 12.439516939,-94.925644755 12.4441699390001,-94.926058755 12.4444649390001,-94.935586755 12.454111939,-94.936078755 12.4544619390001,-95.028860755 12.5483459390001,-95.105507755 12.515056939,-95.106153755 12.514899939,-95.106471755 12.514761939,-95.682641755 12.373888939,-95.913405756 12.357520939,-95.9397577559999 12.3510029390001,-96.531904756 12.307737939,-96.537052756 12.308235939,-96.539778756 12.308032939,-96.593675756 12.313238939,-96.596915756 12.3129969390001,-96.597331756 12.313036939,-96.5978777559999 12.3129959390001,-97.1890337569999 12.369166939,-97.1919177569999 12.369947939,-97.192012757 12.3699569390001,-97.460300757 12.4423679390001,-97.4710267569999 12.4433569390001,-98.044323757 12.5967689390001,-98.044818757 12.5969969390001,-98.047276757 12.5976509390001,-98.0477347569999 12.597861939,-98.050259757 12.598533939,-98.051634757 12.599166939,-98.052219757 12.599321939,-98.053038758 12.5996989390001,-98.054208758 12.6000109390001,-98.056098758 12.600880939,-98.056169758 12.600899939,-98.164079758 12.650542939,-98.2970987579999 12.6623149390001,-98.2971687579999 12.6623329390001,-98.298060758 12.662411939,-98.299477758 12.6627869390001,-98.302991758 12.6630969390001,-98.3030457579999 12.663110939,-98.303983758 12.6631939390001,-98.3070497579999 12.6640049390001,-98.307922758 12.664081939,-98.3079727579999 12.6640949390001,-98.308914758 12.6641779390001,-98.310846758 12.664688939,-98.312853758 12.664865939,-98.314786758 12.6653769390001,-98.316792758 12.6655539390001,-98.3198607579999 12.6663659390001,-98.320732758 12.666442939,-98.3227207579999 12.6669689390001,-98.325663758 12.667227939,-98.3276527579999 12.667753939,-98.330594758 12.6680129390001,-98.330665758 12.6680319390001,-98.331556758 12.668109939,-98.335410758 12.6691289390001,-98.339464758 12.669485939,-98.3430967579999 12.670446939,-98.343404758 12.670473939,-98.352562758 12.6728959390001,-98.354230758 12.673041939,-98.3562247579999 12.6735689390001,-98.359161758 12.673826939,-98.360677758 12.674227939,-98.374913758 12.6754779390001,-98.3758317579999 12.675720939,-98.380835758 12.6761599390001,-98.382392758 12.676571939,-98.406447758 12.6786809390001,-98.980900758 12.829518939,-98.981083758 12.829600939,-98.981894758 12.829812939,-99.521884759 13.07435094,-99.6244547589999 13.1438909400001,-99.626015759 13.1442929400001,-99.626935759 13.14470694,-99.628003759 13.14498194,-99.628964759 13.14541494,-99.629961759 13.1456709400001,-99.630566759 13.1459439400001,-99.6329427589999 13.14655494,-99.633804759 13.14694294,-99.641824759 13.1490059400001,-99.6425787589999 13.14934494,-99.642788759 13.14939994,-99.645469759 13.15060594,-99.645772759 13.15068394,-99.652651759 13.15378094,-99.653667759 13.1540419400001,-99.7076917589999 13.17834894,-99.721790759 13.18196994,-100.23013276 13.4096679400001,-100.23575476 13.4110959400001,-100.23844376 13.41130694,-100.24176176 13.4121489400001,-100.24238076 13.4121969400001,-100.24433076 13.4126919400001,-100.24775976 13.41356094,-100.24926076 13.4136789400001,-100.25579076 13.41533594,-100.25614176 13.41536294,-100.26162476 13.41675494,-100.26404376 13.4169439400001,-100.26735376 13.41778394,-100.26797976 13.41783294,-100.27040076 13.41844694,-100.27386776 13.41871794,-100.85149076 13.5642969400001,-100.85249276 13.56473994,-100.85347776 13.56498694,-100.85504576 13.5656799400001,-100.85543576 13.56577794,-100.85875976 13.5672479400001,-100.86037276 13.5676519400001,-100.86137476 13.56809494,-100.86235976 13.56834094,-100.86753376 13.5706289400001,-100.86826176 13.5708109400001,-100.87134076 13.57217194,-100.87220676 13.5723889400001,-100.89720176 13.5834359400001,-100.89885776 13.58385094,-101.442886761 13.82322894,-101.443512761 13.8236429400001,-101.453784761 13.8281429400001,-101.456029761 13.8296299400001,-101.458708761 13.8308029400001,-101.459315761 13.8312049400001,-101.462664761 13.8326719400001,-101.463491761 13.83321994,-101.472566761 13.8371939400001,-101.512186761 13.86341894,-101.552741761 13.88116094,-101.553000761 13.8813329400001,-101.553737761 13.88165494,-101.593240761 13.90777394,-101.616100761 13.91776294,-101.647224761 13.93832494,-101.648801761 13.9387129400001,-101.649898761 13.9391909400001,-101.650757761 13.93940294,-101.651560761 13.9397529400001,-101.653736761 13.9402879400001,-101.654059761 13.9404289400001,-101.656684761 13.94107394,-101.659878761 13.94246794,-101.660626761 13.9426519400001,-101.661998761 13.94325094,-101.663575761 13.94363794,-101.664104761 13.9438689400001,-101.665560761 13.94422694,-101.666933761 13.94482594,-101.668509761 13.94521294,-101.669039761 13.9454449400001,-101.670495761 13.94580194,-101.671858761 13.9463969400001,-101.673443761 13.94678694,-101.678239761 13.94887894,-101.679372761 13.9491579400001,-101.682122761 13.9503579400001,-101.687255761 13.9516179400001,-101.690983761 13.95324494,-101.691198761 13.95329794,-101.693093761 13.95412494,-101.694147761 13.9543829400001,-101.699784761 13.9568429400001,-101.703024761 13.95763794,-101.704085761 13.9581009400001,-101.705010761 13.9583279400001,-101.706630761 13.95903494,-101.706967761 13.9591169400001,-101.707295761 13.95925994,-101.709914761 13.9599029400001,-101.711495761 13.96059294,-101.711901761 13.9606919400001,-101.713521761 13.96139894,-101.713857761 13.9614819400001,-101.715514761 13.9622039400001,-101.719783761 13.9632519400001,-101.723516761 13.9648799400001,-101.723726761 13.96493094,-101.723803761 13.9649649400001,-101.727667761 13.9659129400001,-101.733566761 13.9684849400001,-101.735551761 13.9689719400001,-101.737222761 13.9697009400001,-101.811436761 13.9878859400001,-101.814343761 13.9891519400001,-101.814415761 13.9891699400001,-101.815215761 13.98951794,-101.815409761 13.98956594,-101.816517761 13.9900479400001,-101.817364761 13.9902559400001,-101.818222761 13.99062894,-101.820312761 13.99114094,-101.823540761 13.9925459400001,-101.824255761 13.99272094,-101.825844761 13.99341294,-101.826241761 13.99351094,-101.827100761 13.99388494,-101.829189761 13.9943959400001,-101.830779761 13.9950879400001,-101.831175761 13.9951849400001,-101.834934761 13.9968209400001,-101.835118761 13.9968669400001,-101.835220761 13.9969109400001,-101.841043761 13.9983359400001,-101.841904761 13.99870994,-101.843991761 13.99922094,-101.844852761 13.9995959400001,-101.846939761 14.00010594,-101.848530761 14.00079894,-101.848925761 14.00089494,-101.850566761 14.00160894,-101.850882761 14.0016869400001,-101.853583761 14.0028629400001,-101.854824761 14.00316594,-101.863161761 14.0067949400001,-101.865687761 14.0074119400001,-101.866518761 14.007773941,-101.866650761 14.0078059410001,-101.871205761 14.0097879410001,-101.871586761 14.0098809410001,-101.875350761 14.0115189410001,-101.875529761 14.011562941,-101.878626761 14.012909941,-101.886388761 14.0148079410001,-101.915180761 14.0273299410001,-101.918921761 14.028243941,-101.919477761 14.028485941,-101.920906761 14.0288349410001,-101.921775761 14.029211941,-101.923854761 14.0297199410001,-101.925450761 14.0304139410001,-101.925840761 14.0305089410001,-101.929603761 14.0321449410001,-101.929783761 14.0321889410001,-101.930105761 14.0323289410001,-101.930746761 14.0324849410001,-101.933666761 14.033754941,-101.933725761 14.0337689410001,-101.943731761 14.0381189410001,-101.946544761 14.038804941,-101.947236761 14.0391059410001,-101.952439761 14.040375941,-101.953792761 14.040963941,-101.955418761 14.0413599410001,-101.955769761 14.0415129410001,-101.958365761 14.0421469410001,-101.965900761 14.045420941,-101.966250761 14.045505941,-101.978892761 14.050997941,-101.979071761 14.0510419410001,-101.979346761 14.051160941,-101.980064761 14.051335941,-101.981713761 14.0520529410001,-101.982020761 14.052127941,-101.982570761 14.0523669410001,-101.984005761 14.052716941,-101.984880761 14.053095941,-101.986953761 14.0536019410001,-101.990967761 14.055344941,-102.000760761 14.057731941,-102.004013761 14.0591449410001,-102.004702761 14.059312941,-102.006314761 14.060012941,-102.006688761 14.060103941,-102.008432761 14.060861941,-102.012584761 14.061872941,-102.014544761 14.0627239410001,-102.017517761 14.063448941,-102.019826761 14.0644509410001,-102.025398761 14.0658089410001,-102.026746761 14.0663939410001,-102.065817761 14.075906941,-102.066412761 14.0761649410001,-102.067772761 14.0764959410001,-102.068655761 14.0768789410001,-102.070720761 14.0773809410001,-102.073944761 14.0787799410001,-102.074692761 14.078961941,-102.075929761 14.0794979410001,-102.080587761 14.080631941,-102.081796761 14.0811559410001,-102.086512761 14.082302941,-102.089768761 14.083714941,-102.090454761 14.0838819410001,-102.092390761 14.0847219410001,-102.093403761 14.0849679410001,-102.095618761 14.085927941,-102.097344761 14.086347941,-102.098191761 14.086714941,-102.100322761 14.087233941,-102.101970761 14.087947941,-102.102278761 14.0880229410001,-102.107685761 14.0903669410001,-102.108206761 14.090493941,-102.121004761 14.0960419410001,-102.158465761 14.1051429410001,-102.172243761 14.111110941,-102.211672761 14.1206779410001,-102.758724762 14.356410941,-103.135504762 14.6009779410001,-103.180287762 14.620051941,-103.501782763 14.827500941,-103.502397763 14.8276449410001,-103.504930763 14.828716941,-103.511263763 14.830202941,-103.511543763 14.830321941,-103.518144763 14.831869941,-103.519181763 14.8323089410001,-103.521089763 14.8327559410001,-103.521399763 14.832887941,-103.555555763 14.840894941,-103.556753763 14.8414009410001,-103.557539763 14.8415859410001,-103.557908763 14.8417419410001,-103.558501763 14.8418799410001,-103.558743763 14.841982941,-103.644168763 14.8619779410001,-103.656754763 14.8672929410001,-103.658958763 14.867807941,-103.664029763 14.8699489410001,-103.809585763 14.9039059410001,-103.810434763 14.9042639410001,-103.819440763 14.9063609410001,-103.823816763 14.9082039410001,-103.850930763 14.9145139410001,-103.858870763 14.917855941,-103.868661763 14.9201329410001,-103.873960763 14.9223619410001,-103.889335763 14.925935941,-103.889650763 14.926068941,-103.893301763 14.9269179410001,-103.957110763 14.953743941,-103.958288763 14.9540169410001,-103.960596763 14.9549869410001,-103.963217763 14.9555949410001,-103.964299763 14.9560499410001,-103.966162763 14.9564819410001,-103.969716763 14.957974941,-103.970099763 14.958063941,-103.973644763 14.959552941,-103.974037763 14.959643941,-103.983258763 14.963516941,-103.984887763 14.963894941,-103.985232763 14.9640399410001,-103.985878763 14.964189941,-103.986080763 14.964274941,-103.987831763 14.964679941,-103.988351763 14.9648989410001,-103.990806763 14.965467941,-103.991699763 14.9658429410001,-103.994742763 14.966547941,-103.994955763 14.966637941,-103.996695763 14.9670409410001,-103.997568763 14.967406941,-103.997687763 14.967434941,-103.998426763 14.967745941,-103.999640763 14.9680269410001,-104.000869763 14.9685429410001,-104.001623763 14.968717941,-104.008909763 14.971776941,-104.011481763 14.9723729410001,-104.011685763 14.9724579410001,-104.013434763 14.9728629410001,-104.016364763 14.974092941,-104.221148763 15.021413941,-104.250000763 15.033482941,-104.264480763 15.036816941,-104.316814763 15.0586879410001,-104.320618763 15.059561941,-104.328782763 15.0629719410001,-104.345225763 15.0667509410001,-104.347978763 15.0678999410001,-104.373763763 15.0738219410001,-104.376333763 15.074894941,-104.380673763 15.0758909410001,-104.382216763 15.076534941,-104.387553763 15.0777599410001,-104.388114763 15.077993941,-104.400350763 15.0808019410001,-104.403751763 15.0822199420001,-104.471213763 15.0976839420001,-104.471310763 15.0977249420001,-104.477130763 15.0990569420001,-104.611484764 15.154966942,-104.614005764 15.1555429420001,-105.167188764 15.3843549420001,-105.672257765 15.7007769420001,-106.114353765 16.095552942,-106.117480765 16.099511942,-106.129335765 16.110055942,-106.178630765 16.172431943,-106.460679765 16.2858299430001,-106.569596765 16.352794943,-106.601826765 16.3656869430001,-107.112656766 16.677954943,-107.561015766 17.068941943,-107.561629766 17.069699943,-107.562008766 17.0700289430001,-107.562313766 17.070405943,-107.563014766 17.071014943,-107.614353766 17.1343969430001,-107.637078766 17.154105943,-107.763967767 17.3100949440001,-107.924104767 17.0042479430001,-107.924398767 17.003868943,-107.925130767 17.0024639430001,-108.285143767 16.535819943,-108.285175767 16.5357899430001,-108.286140767 16.534534943,-108.723390767 16.133824942,-108.723509767 16.1337479420001,-108.724392767 16.1329359420001,-108.725174767 16.132433942,-108.725378767 16.1322469420001,-109.226734768 15.8091829420001,-109.777422768 15.5731869420001,-109.785570768 15.571218942,-109.802048768 15.564120942,-109.804613768 15.5635009420001,-109.804991768 15.563337942,-110.388905769 15.4211939420001,-110.389735769 15.421133942,-110.389894769 15.421094942,-110.99019777 15.3770209420001,-110.99166277 15.3771579420001,-110.99216077 15.377120942,-110.99259677 15.377161942,-110.99314977 15.377119942,-110.99357877 15.377160942,-110.99412377 15.377119942,-111.59349377 15.4324059420001,-112.174621771 15.5854849420001,-112.538712771 15.7500629420001,-112.941678771 15.4782489420001,-112.942437771 15.4779069420001,-112.942660771 15.477756942,-113.487606772 15.231045942,-114.067643772 15.0777139410001,-114.068962772 15.077592941,-114.069609772 15.0774209410001,-114.082267772 15.076265941,-114.108950772 15.0691629410001,-114.109888772 15.069076941,-114.109925772 15.0690669410001,-114.112764772 15.068806941,-114.112880772 15.0687759410001,-114.711135773 15.013111941,-114.714445773 15.013357941,-114.732748773 15.011625941,-115.331987774 15.055285941,-115.332144774 15.055324941,-115.332962774 15.0553829410001,-115.915884774 15.197143942,-116.465602775 15.4328759420001,-116.966084775 15.7557109420001,-117.402565776 16.1562359430001,-117.761942776 16.6227319430001,-117.765963776 16.6304539430001,-117.767043776 16.6318499430001,-118.038270776 17.150598943,-118.212591776 17.7062779440001,-118.283945776 18.2823379440001,-118.283932776 18.2825629440001,-118.283953776 18.2827379440001,-118.283916776 18.283356944,-118.283976776 18.283834944,-118.283962776 18.284060944,-118.283984776 18.284234944,-118.283733776 18.288404944,-118.284135776 18.291627944,-118.284097776 18.2922469440001,-118.284157776 18.292724944,-118.284140776 18.2930079440001,-118.284167776 18.293225944,-118.284127776 18.293901944,-118.284192776 18.2944249440001,-118.283409776 18.3074369450001,-118.283458776 18.307827945,-118.283451776 18.307940945,-118.283462776 18.308027945,-118.283445776 18.3083099450001,-118.283472776 18.308526945,-118.283451776 18.308865945,-118.283484776 18.3091279450001,-118.283474776 18.309295945,-118.283490776 18.309426945,-118.283480776 18.3095949450001,-118.283496776 18.309725945,-118.248747776 18.888857945,-118.107831776 19.453490946,-117.863968776 19.9863049460001,-117.523675776 20.4707709470001,-117.096698775 20.891686947,-116.595821775 21.235703947,-116.595489775 21.2358569470001,-116.594819775 21.236314947,-116.035513774 21.4924099470001,-115.483162774 21.6395989480001,-115.783628774 21.618498948,-116.404898775 21.6733969480001,-117.007704775 21.8253459480001,-117.574925776 22.0700579480001,-118.090252776 22.4005879480001,-118.538584777 22.807503949,-118.906407777 23.279109949,-119.182179777 23.80172995,-119.356687777 24.3600499500001,-119.423402777 24.937512951,-119.423385777 24.937734951,-119.423418777 24.9380119510001,-119.423363777 24.938722951,-119.423466777 24.9396109510001,-119.423453777 24.939788951,-119.423478777 24.940009951,-119.378871777 25.519257951,-119.339059777 25.663334951,-119.515427777 25.7027699510001,-119.515856777 25.7029409510001,-119.516394777 25.7030609510001,-119.517093777 25.703339951,-119.519325777 25.703836951,-120.109679778 25.9377379520001,-120.648835779 26.258132952,-120.649604779 26.258784952,-120.650815779 26.2594999520001,-121.123147779 26.6572989520001,-121.514520779 27.121154953,-121.518852779 27.1287019530001,-121.525804779 27.136891953,-121.82409478 27.6534219530001,-122.01923578 28.207624954,-122.02269878 28.231337954,-122.09028778 28.4215899540001,-122.17567078 28.9970789540001,-122.17560978 28.998261954,-122.17574678 28.9991759540001,-122.17484378 29.0168249540001,-122.18349978 29.074648955,-122.18345378 29.075551955,-122.18355778 29.076247955,-122.15402478 29.6559349550001,-122.00838378 30.222209956,-121.86822778 30.543018956,-121.866213876 30.542000004,-121.86621378 30.541999956,-121.863397862 30.542510066,-121.863398094 30.5425100910001,-118.605 31.13277778,-117.8252778 32.62694444,-117.4637278 32.5894750000001,-117.366 32.572481,-117.365999775 32.572480958,-117.262433 32.553344),(-118.304005353 28.909930914,-118.302227776 28.8811089540001,-118.289172776 28.881662954,-118.265699776 28.8852719540001,-118.249194721 28.914228371,-118.244717851 28.9220821640001,-118.239895345 28.941213057,-118.237645776 28.9501359540001,-118.238345776 29.030280954,-118.240572776 29.0419449550001,-118.242213096 29.047811192,-118.249735929 29.0747181300001,-118.306117974 29.193882139,-118.34279098 29.1900001440001,-118.365008891 29.186109097,-118.371665048 29.1838009910001,-118.379036776 29.1812449550001,-118.387297446 29.1745753490001,-118.389181964 29.173053947,-118.404163946 29.1505540690001,-118.400555034 29.0938910630001,-118.400554824 29.093890694,-118.400554776 29.0938899550001,-118.392790776 29.0802719550001,-118.38528387 29.07357246,-118.38500895 29.0733270690001,-118.385008845 29.0733270160001,-118.385008776 29.073326955,-118.373187482 29.0673602200001,-118.355290912 29.058326983,-118.354646928 29.0577536810001,-118.347499776 29.051389955,-118.337508776 29.0327719540001,-118.334103714 29.025968312,-118.332781982 29.0233270050001,-118.314446066 28.9719451,-118.30584607 28.9363821920001,-118.305845985 28.9363818160001,-118.305747635 28.93592155,-118.302227776 28.919444954,-118.303659204 28.918013527,-118.304455005 28.917218145,-118.304005353 28.909930914),(-115.263345774 28.072498954,-115.179454773 28.024717954,-115.176336537 28.0273676850001,-115.170135846 28.0326360030001,-115.148508293 28.130166635,-115.143063773 28.154717954,-115.143505908 28.158216248,-115.146117837 28.178891161,-115.178890911 28.308891127,-115.205150939 28.3472269700001,-115.210854773 28.3555539540001,-115.211553961 28.356275055,-115.222435904 28.3675000760001,-115.240835858 28.370553939,-115.240836102 28.370553842,-115.240836774 28.3705539540001,-115.24384111 28.369364024,-115.254172975 28.3652731720001,-115.266108972 28.3519451080001,-115.269332401 28.345867717,-115.278636774 28.328326954,-115.279168819 28.3126070770001,-115.279308961 28.308473205,-115.27930875 28.3084726370001,-115.279308774 28.308471954,-115.264718774 28.269162954,-115.249936774 28.2331269540001,-115.252548178 28.224914326,-115.254463994 28.2188911120001,-115.263345962 28.2061090450001,-115.298890931 28.161664171,-115.303576883 28.156983328,-115.306118774 28.154444954,-115.324318774 28.139717954,-115.310008774 28.1002719540001,-115.263345774 28.072498954),(-112.133617906 25.281109143,-112.133618133 25.2811076730001,-112.133618771 25.2811089510001,-112.142219362 25.225265633,-112.145555078 25.2036090600001,-112.151399946 25.1766640910001,-112.170121079 25.115332311,-112.198627771 25.021944951,-112.211936771 24.984162951,-112.240471316 24.849495614,-112.248899921 24.8097181150001,-112.248899742 24.809718085,-112.248899771 24.809717951,-112.222645771 24.8052719510001,-112.198054771 24.795826951,-112.187790771 24.7913809510001,-112.180554771 24.784162951,-112.165308341 24.760178334,-112.161663922 24.7544449960001,-112.15749996 24.7447181320001,-112.155008859 24.733609093,-112.1548823 24.731043147,-112.153618771 24.70540895,-112.156577393 24.6945075580001,-112.15749996 24.691109156,-112.165121349 24.6867797240001,-112.174736771 24.6813179500001,-112.177817148 24.671946975,-112.180146019 24.6648642430001,-112.180145566 24.6648635720001,-112.180145771 24.66486295,-112.156108771 24.62916295,-112.087508876 24.534718092,-112.087508771 24.5347179500001,-112.070554771 24.5242989500001,-112.049172771 24.51860895,-112.041263771 24.52527195,-112.041306376 24.525708202,-112.042917835 24.542218056,-112.14864372 24.748180775,-112.171108771 24.7919449510001,-112.17503109 24.7963712550001,-112.194735895 24.818609135,-112.198626942 24.828327114,-112.202508809 24.8449995120001,-112.202585983 24.8461383870001,-112.203335895 24.8572180250001,-112.202643753 24.8688444100001,-112.202508771 24.8711089510001,-112.175290771 25.0616629510001,-112.174347308 25.067327435,-112.172235849 25.0800001270001,-112.159448257 25.130214165,-112.156108771 25.1433269510001,-112.140972771 25.175417951,-112.134454771 25.193880951,-112.126663771 25.233053951,-112.126534905 25.2366464560001,-112.125835812 25.2561091100001,-112.129463767 25.2727809520001,-112.129464003 25.272782057,-112.133617906 25.281109143),(-112.015908771 24.5281899500001,-112.00723677 24.51721795,-111.93583677 24.4869449500001,-111.83500877 24.42749895,-111.75611877 24.3738809500001,-111.74305477 24.36499895,-111.73250877 24.35416295,-111.710096794 24.3304669350001,-111.70807304 24.328327142,-111.708073008 24.328327201,-111.70807277 24.3283269500001,-111.70487277 24.3342989500001,-111.69555477 24.3647179500001,-111.695371524 24.37075409,-111.694735923 24.3916641550001,-111.700290945 24.400273208,-111.839163994 24.542500024,-112.015908996 24.528191109,-112.015908121 24.5281900030001,-112.015908771 24.5281899500001),(-106.645846072 21.688327036,-106.642790868 21.6244450310001,-106.642620265 21.6234748250001,-106.640836765 21.6133269480001,-106.628345765 21.572498948,-106.621556469 21.565778815,-106.621081907 21.5653090280001,-106.620714828 21.5650221230001,-106.597227765 21.5466629480001,-106.588899765 21.5402719480001,-106.527227765 21.509998947,-106.515008765 21.5130539470001,-106.497790765 21.5966629480001,-106.497933148 21.59772787,-106.500835794 21.6194450580001,-106.528617947 21.6886091710001,-106.539726819 21.6958269950001,-106.585563927 21.715827054,-106.634172931 21.6941641930001,-106.645846072 21.688327036),(-106.471682026 21.5105540770001,-106.47889985 21.5033270330001,-106.485573019 21.4955539910001,-106.499454959 21.473327028,-106.509455072 21.4548539840001,-106.50891473 21.450627997,-106.507227765 21.4374269470001,-106.468336765 21.4266629470001,-106.399172765 21.419717947,-106.382990765 21.4224269470001,-106.367756465 21.435228948,-106.328617858 21.4681180100001,-106.339517852 21.5005539640001,-106.445554963 21.5116641770001,-106.459726917 21.512218053,-106.459727764 21.5122179410001,-106.460579407 21.5120993990001,-106.471682026 21.5105540770001),(-110.975563254 18.7166185150001,-110.975008885 18.7161090230001,-110.975008858 18.716109026,-110.97500877 18.716108945,-110.922645769 18.722771945,-110.910281769 18.7377809450001,-110.910281991 18.7377821010001,-110.917235946 18.7733270790001,-110.920642246 18.7818819730001,-110.921108769 18.7830539450001,-110.927237984 18.797902573,-110.939455031 18.8275001580001,-110.950759219 18.8364298860001,-110.95139977 18.8369359450001,-110.953469077 18.838541257,-110.985417867 18.8633270940001,-111.000699921 18.8662450030001,-111.050845998 18.8208269890001,-111.056400015 18.8122181040001,-111.060989871 18.801914045,-111.07291877 18.775135945,-111.065858491 18.761229311,-111.064173056 18.757909071,-111.064172767 18.757908951,-111.05111877 18.7527719450001,-111.02944577 18.7516629450001,-111.01722777 18.749162945,-111.00334577 18.741389945,-110.99556377 18.734998945,-110.975563254 18.7166185150001),(-109.883345957 24.3300001700001,-109.91722695 24.3666641230001,-109.917227348 24.3666624950001,-109.917227769 24.36666295,-109.920631328 24.3527090910001,-109.924173034 24.3381911330001,-109.924172713 24.338190178,-109.924172769 24.3381899500001,-109.900554769 24.2677719500001,-109.890057865 24.237448495,-109.883054937 24.217218142,-109.880431548 24.210529018,-109.871399769 24.1874989500001,-109.86426903 24.176565893,-109.86306393 24.174718037,-109.86170518 24.1730698490001,-109.850008768 24.15888095,-109.841490789 24.150150082,-109.839446074 24.148054029,-109.788355019 24.1319450230001,-109.788354768 24.13194495,-109.783054768 24.1390989500001,-109.783144991 24.142086056,-109.783617905 24.157773181,-109.789463947 24.172500185,-109.796387669 24.186589031,-109.798608768 24.1911089500001,-109.803351942 24.19913373,-109.860835853 24.296391085,-109.869172996 24.309164099,-109.883345957 24.3300001700001),(-110.299181769 24.4616629500001,-110.299999769 24.4844449500001,-110.368054769 24.57971795,-110.368723824 24.5801281720001,-110.379381959 24.5866641040001,-110.402499918 24.577636124,-110.403899864 24.5630539590001,-110.389048876 24.5214525100001,-110.357790769 24.43388995,-110.345290769 24.40499895,-110.335452692 24.4007458620001,-110.335009001 24.400554002,-110.335008898 24.4005540060001,-110.335008769 24.4005539500001,-110.328054769 24.40083595,-110.310699769 24.43041795,-110.299181769 24.4616629500001),(-110.573335846 25.0252731730001,-110.578899921 25.0338820580001,-110.5886179 25.039164166,-110.603617986 25.0397180420001,-110.626945996 25.0438910560001,-110.641108898 25.048609062,-110.666945947 25.060273151,-110.691739482 25.0845714060001,-110.696090769 25.0888359510001,-110.696090968 25.088835966,-110.696090998 25.0888359950001,-110.704935917 25.0895090610001,-110.704935941 25.0895088880001,-110.704936769 25.089508951,-110.708618769 25.0624989510001,-110.707918769 25.040135951,-110.649357082 24.9425260670001,-110.641673 24.929718135,-110.641672808 24.929718015,-110.641672769 24.929717951,-110.580290769 24.8913899510001,-110.559260581 24.883761103,-110.558064018 24.8833269830001,-110.558063843 24.883326977,-110.558063769 24.8833269510001,-110.539245769 24.882708951,-110.530281769 24.893744951,-110.536921831 24.9140294100001,-110.573335846 25.0252731730001),(-111.20612777 25.8027719510001,-111.206127325 25.802774132,-111.206126957 25.8027731490001,-111.200684973 25.829437801,-111.19750877 25.844998952,-111.17736377 25.9009719520001,-111.13889977 25.9827719520001,-111.09945477 26.004444952,-111.095422124 26.0173837360001,-111.082226838 26.0597180450001,-111.085762813 26.070988603,-111.08590877 26.0714539520001,-111.085908808 26.071453949,-111.08590884 26.0714540500001,-111.149599905 26.066245033,-111.19236404 26.0362450280001,-111.223346069 25.8488910510001,-111.223345736 25.8488901580001,-111.22334577 25.848889952,-111.20612777 25.8027719510001),(-112.268564039 29.2236187840001,-112.290008965 29.2375000540001,-112.345835793 29.233609175,-112.345836388 29.233608981,-112.345836771 29.2336089550001,-112.346662155 29.2333407360001,-112.356946006 29.230000095,-112.431300303 29.2007173590001,-112.447227771 29.1944449550001,-112.453985182 29.188648518,-112.456945967 29.186109097,-112.463055033 29.1766642010001,-112.470587025 29.1623749840001,-112.476818771 29.1505539550001,-112.563618771 28.8811089540001,-112.551579738 28.8666195060001,-112.550000012 28.8647180940001,-112.549999774 28.8647179500001,-112.549916497 28.8646651340001,-112.538618771 28.8574989540001,-112.445845771 28.806662954,-112.386401496 28.7797123460001,-112.383345983 28.7783269920001,-112.38188665 28.7779276970001,-112.304172771 28.756662954,-112.296399771 28.7563809540001,-112.261945771 28.773326954,-112.250145771 28.7799989540001,-112.203054771 28.969444954,-112.200845771 28.9816629540001,-112.200290771 28.9952809540001,-112.202790771 29.032217954,-112.203593878 29.0349365370001,-112.212226915 29.0641641400001,-112.258765983 29.199945224,-112.266399771 29.2222179550001,-112.268564039 29.2236187840001),(-113.195845772 29.228335955,-113.206719112 29.240000147,-113.260835862 29.29805394,-113.276399883 29.298609158,-113.310008968 29.3005540940001,-113.35838458 29.3123564690001,-113.368063772 29.314717955,-113.379024027 29.3202974550001,-113.383063774 29.3223539890001,-113.384745772 29.3438899550001,-113.382975389 29.351939331,-113.380835882 29.3616642040001,-113.379402286 29.3651153870001,-113.376681772 29.371662955,-113.370563772 29.3802719550001,-113.366054772 29.395553955,-113.371579612 29.4154606390001,-113.373609005 29.4227731400001,-113.396663933 29.4700001350001,-113.40723586 29.48430905,-113.469726971 29.535827076,-113.500290911 29.557500164,-113.527665255 29.57187902,-113.527790773 29.5719449530001,-113.52779093 29.5719450330001,-113.582435909 29.5859731530001,-113.582436095 29.5859717810001,-113.582436772 29.585971955,-113.595750097 29.4877854480001,-113.600573007 29.452218095,-113.599173061 29.436664132,-113.599172848 29.4366638000001,-113.599172772 29.436662955,-113.592218772 29.425826955,-113.525008772 29.3449989550001,-113.432153916 29.2433443250001,-113.410573031 29.219718014,-113.401585022 29.211480631,-113.357227772 29.1708269550001,-113.240572772 29.0677719550001,-113.231399772 29.0619449550001,-113.223322611 29.0571943470001,-113.207781935 29.0480539540001,-113.182508988 29.035554022,-113.181909407 29.0353048800001,-113.139718772 29.0177719540001,-113.135554772 29.019717954,-113.130572772 29.0291629540001,-113.126954772 29.039717954,-113.125145772 29.056798955,-113.125146184 29.0567992700001,-113.125146093 29.0568001350001,-113.144061658 29.0712292960001,-113.144999772 29.071944955,-113.144999894 29.0719450010001,-113.144999972 29.0719450610001,-113.158763851 29.077218035,-113.159958793 29.078432171,-113.167791037 29.086391103,-113.186955037 29.1302731070001,-113.189454772 29.1411089550001,-113.190563772 29.153608955,-113.195845772 29.228335955)))', 'Mexican Exclusive Economic Zone', 'Mexico', 'Mexico', '', '135', '135', 'MEX', '8429', '', '3279348079000', '8429', 'Y'),('SRID=4326;MULTIPOLYGON(((-87.4576124749999 13.1012998080001,-87.4245243769999 13.0476660480001,-87.4143463369999 13.0401807310001,-87.403369378 13.0291055740001,-87.3898091559998 12.9956533750001,-87.329800404 13.001325778,-87.302458825 12.9869215220001,-87.3025041059999 12.9869169900001,-87.302429199 12.9868774410001,-87.30142406 12.9867000640001,-87.301718178 12.9875891860001,-87.3017179559999 12.987589293,-87.3013907639999 12.9866000960001,-87.3013909859999 12.986600083,-87.3102908909999 12.9763910920001,-87.326946068 12.9269450720001,-87.2977828799999 12.9221182630001,-87.371945581 12.9061095430002,-87.3817508069999 12.907259692,-87.39209089 12.9084732010002,-87.404758241 12.9120641440002,-87.418063581 12.9158365430001,-87.4625089689999 12.942636174,-87.467708901 12.970900108,-87.4924965339999 13.0003769890001,-87.5102815809999 13.021527543,-87.5194973309999 13.0287154560001,-87.531108946 13.037773111,-87.546052703 13.0454015190001,-87.5574995809999 13.0512455430001,-87.5858365809999 13.0505545430001,-87.6607725809999 12.984027543,-87.660772722 12.9840272220001,-87.660772965 12.9840270060001,-87.6646154319999 12.97525624,-87.689827581 12.917709543,-87.6400185809999 12.8702815430001,-87.5983586949999 12.8416061140001,-87.5972269069999 12.840827051,-87.5864248539999 12.8333370970001,-87.5864247839999 12.833337048,-87.4413905809998 12.7327725430001,-87.3568095809999 12.6315275430001,-87.347929059 12.6242519300001,-87.196945935 12.5005539680002,-87.1574012499999 12.474385574,-87.1419545809999 12.464163543,-87.122082334 12.4573728000001,-87.1397268729999 12.4438911290001,-87.1397268429998 12.443891106,-87.139727581 12.4438905430001,-87.104805886 12.4161223190001,-87.0827818989999 12.3986090700001,-87.020846004 12.35305393,-86.966946008 12.3194450120001,-86.945652685 12.3069279060001,-86.9211095809998 12.2924995430001,-86.7798726329999 12.2061815750001,-86.778821264 12.2043583720002,-86.76653658 12.1830545420002,-86.7511095799999 12.1463905420001,-86.7279839379999 12.0951315350002,-86.7241640139999 12.0866641380001,-86.706390859 12.0530540470002,-86.683170997 12.017148552,-86.6763905799999 12.0066635420001,-86.67139958 11.9999995420001,-86.668825404 11.997764638,-86.6608459439998 11.990836018,-86.639645708 11.9697620750001,-86.63785487 11.9679818310001,-86.5884586919999 11.8987599430001,-86.55029058 11.8452725420001,-86.5191818499999 11.7999999350001,-86.51696684 11.7945650930002,-86.50463658 11.764309542,-86.504438857 11.7641844960002,-86.4969460409999 11.7594450300001,-86.4537579719999 11.7268975650001,-86.4000095799999 11.6863905420001,-86.390707698 11.677907208,-86.3826460509999 11.670553941,-86.2652908559999 11.580827008,-86.203940884 11.5384789050001,-86.1755635799999 11.5188905420002,-86.1411095799999 11.4658275420002,-86.1170019209999 11.4492273940002,-86.048335853 11.4019449570001,-85.92097258 11.299863542,-85.822509579 11.1901365420001,-85.8002095789999 11.1535365410001,-85.7903905859999 11.1268168930001,-85.785564026 11.113682086,-85.7855637229999 11.1136819330001,-85.7855635789999 11.1136815410001,-85.7346545789999 11.0879815410001,-85.6936024779999 11.0764082060001,-85.6923819049999 11.0760641040001,-85.6929302799999 11.0737510750001,-85.694544036 11.0713043000001,-85.696132689 11.0688955860001,-85.696656809 11.0674006640002,-85.6977532039999 11.0642734720001,-85.6977535189999 11.064273585,-85.7018567739999 11.0657496410001,-85.7044643969999 11.0657496550001,-85.7055279309999 11.0658683940001,-85.7080520029999 11.0661501970002,-85.711664309 11.0661501700001,-85.7204748759999 11.0668124070001,-85.72259574 11.0681079480001,-85.7225959249998 11.068108061,-85.723902836 11.068765203,-85.725088033 11.0693611430001,-85.7253660489999 11.0693923500001,-85.725366079 11.069392355,-85.728668925 11.0699547850001,-85.7286689549999 11.0699547860001,-85.7295440669999 11.0699790990001,-85.734194288 11.069594149,-85.7343994229999 11.0695303090001,-85.7379526239999 11.0689420900002,-85.740075502 11.0685906570001,-85.7444522769999 11.0676192660001,-85.7446427739999 11.0675717980001,-85.7447876809999 11.0675356900002,-85.7496567009999 11.0664723030002,-85.763230267 11.065801552,-85.7632302969999 11.06580155,-85.7652613719999 11.0657526110002,-85.7706112649999 11.0656237030001,-85.7857933309999 11.060568771,-85.7875143549999 11.0604769340002,-85.7885369349999 11.060422369,-85.815992405 11.052879322,-85.8164425829999 11.0527637380001,-85.8361074339999 11.0473375110001,-85.8482167519999 11.0429960340001,-85.865508694 11.050367656,-85.876006718 11.0551534940001,-85.8865141239999 11.0609380930001,-85.9603706239999 11.0942946040001,-85.976118324 11.0968140310001,-85.9956073279999 11.096938632,-86.006533174 11.0970084850001,-86.006533205 11.0970084860002,-86.075196493 11.097888183,-86.0960854129999 11.1017455680001,-86.1173236559999 11.1056674630001,-86.123671872 11.105022323,-86.128931549 11.104487809,-86.1443708469999 11.103097158,-86.216109474 11.0951942550001,-86.263632693 11.0898556630002,-86.293737119 11.0864738380002,-86.369167078 11.073612709,-86.423519003 11.0613959,-86.475894766 11.043543703,-86.6851407309999 10.971852079,-86.7477246749999 10.9520883550001,-86.7503741019999 10.9508508530002,-86.8417094429999 10.9070274710001,-86.860255146 10.898129103,-86.8659985729999 10.895366687,-86.891320988 10.8831873680002,-86.891321018 10.883187353,-86.9500681479999 10.8543038510001,-87.3718635609999 10.6468696470001,-87.4195300079999 10.6196735800001,-87.4427484499999 10.6064263090001,-88.0112068869999 10.2699328730001,-88.4009981149999 10.1001852720001,-89.204881566 9.75010738600002,-89.2069850199999 9.75214135300018,-89.2726963329999 9.84277122800012,-89.3460125829999 9.89226666500008,-89.3585902079999 9.90440835300018,-89.35898077 9.90467185300014,-89.4223427069999 9.97292643500015,-89.1804949379999 10.4059122430002,-88.581739198 11.5770411880001,-88.5063976819999 11.7865663250001,-88.4223503169999 12.0205778380001,-88.3719798609999 12.1674363970001,-88.3372965629999 12.270263351,-88.3111296539998 12.3230645600001,-88.223500881 12.499450786,-88.2204946789999 12.505485756,-88.2175037439999 12.5114333390002,-88.2042581929999 12.537720167,-88.1419169179999 12.6596651640002,-88.076922371 12.7648739880001,-88.0705595269999 12.7752460560002,-88.052636215 12.797491125,-88.0003561949999 12.8530702490002,-87.9556334069999 12.9002857350001,-87.9436364429999 12.9110796600001,-87.9334406709999 12.9203802100001,-87.9228319819999 12.9295852370001,-87.920408714 12.9316514290002,-87.914174836 12.9367362620002,-87.8853821859999 12.9614868260001,-87.858930588 12.9856902790001,-87.847973364 12.9959216700001,-87.8371674859999 13.0061862720002,-87.8327016769999 13.0106397750001,-87.825691063 13.0184425380001,-87.7913540499999 13.0561071210001,-87.7455712549999 13.1053210080001,-87.733327155 13.1182401690001,-87.7236130539999 13.1244776020001,-87.71812636 13.1313641350001,-87.6507385219999 13.1954446080002,-87.5747799779999 13.1719537350001,-87.5608916679998 13.1692940020001,-87.501425244 13.1241941650002,-87.460815708 13.1024871600001,-87.4576124749999 13.1012998080001)),((-79.2402351610238 14.9048716859797,-79.2397897915656 14.8683538122787,-79.2397533960023 14.8318332711886,-79.240125772886 14.7953143938443,-79.2412095935478 14.7482116156738,-79.2429726649563 14.7011280991824,-79.2454142056011 14.6540731208779,-79.2485333026697 14.6070559491729,-79.2523289147475 14.5600858362926,-79.256799870018 14.5131720209722,-79.2619448689603 14.4663237248602,-79.2677624834518 14.4195501525177,-79.3260276171807 13.9753629853137,-79.329503129066 13.9495614061343,-79.3331827241033 13.9237868326964,-79.3370661154088 13.8980408064382,-79.3411530035082 13.8723248678986,-79.3454430790348 13.8466405567163,-79.3499360209305 13.8209894080349,-79.3546314946477 13.7953729551979,-79.358032720346 13.7776085361332,-80.7706837456298 13.7769301779013,-80.7707123107658 13.7769301664704,-81.4929722222221 13.7765833333336,-81.7665 13.5188888888891,-81.7729722222221 13.0543055555557,-81.9896111111109 12.8368888888891,-81.9999999999998 12.7819783320737,-82.1243611111111 12.1246666666668,-82.0049948653806 12.0316074931662,-81.9660555555554 12.0012500000001,-81.9649078700879 11.9995360480045,-81.9638331218696 11.9987430268974,-81.9620362101857 11.9974471669266,-81.9609494698074 11.9966812334781,-81.9576648823997 11.9944191482416,-81.9565614523556 11.9936767179871,-81.9547089007496 11.9924592033564,-81.9535837873368 11.9917371832903,-81.9500143027972 11.9895018588487,-81.9485088535218 11.988581083229,-81.9462287547718 11.987219992972,-81.9448957666334 11.9864422279902,-81.9444822680821 11.9862046196861,-81.9436838373862 11.9857541383274,-81.9423503762351 11.9850174679696,-81.9400207579865 11.9837604170954,-81.9384519890979 11.9829354740878,-81.9346981840728 11.9810119018748,-81.933500035152 11.980414524711,-81.9315020873672 11.9794453090005,-81.9302968975986 11.9788766545243,-81.9266636270606 11.9772100273368,-81.9254461435931 11.9766673709073,-81.9234072101285 11.9757848179306,-81.9221719638792 11.9752659639674,-81.9182626212702 11.9736742757228,-81.9166168847851 11.9730243098356,-81.9141297116035 11.9720727183924,-81.9126770382932 11.9715334592524,-81.9122268099722 11.9713697043984,-81.9113631982159 11.9710632290196,-81.9099222598201 11.970566298192,-81.9074083323366 11.969726946773,-81.9057189776207 11.9691828412027,-81.901683502437 11.967929830584,-81.9003983057338 11.9675462117604,-81.8982599368717 11.9669330324815,-81.8969728604617 11.9665789016402,-81.893101127997 11.9655582731836,-81.8918065241565 11.9652318465823,-81.8896430593068 11.9647110182724,-81.8883351487013 11.9644110663257,-81.8842044829362 11.9635113542257,-81.8824681904747 11.9631522091376,-81.8798490108928 11.9626395959704,-81.878320155592 11.9623561512119,-81.8778466381239 11.9622715948468,-81.8769444481895 11.9621177396373,-81.8754401399723 11.9618749365154,-81.8728184920843 11.9614781458392,-81.8710599592418 11.9612310668332,-81.8668652371439 11.9606865351058,-81.865531959053 11.9605283034897,-81.8633179999657 11.9602897518893,-81.8619880576837 11.9601608817888,-81.8582172282008 11.9598351062239,-81.85761911635 11.9597879756234,-81.8564222527305 11.9597023680427,-81.8558235023752 11.9596638911675,-81.8534277379508 11.9595273171459,-81.8528284845205 11.9594974999962,-81.8516295965604 11.959446533954,-81.8510299633666 11.9594253851154,-81.8478159281737 11.9593352778127,-81.8472345303173 11.959323052487,-81.8460716152812 11.9593067509433,-81.8454900988532 11.9593026747465,-81.8447166115018 11.9593098867267,-81.8441681363238 11.9593155263203,-81.842865045245 11.9592800035088,-81.8419268010077 11.959262014142,-81.8396608185693 11.9593638409387,-81.8388827644984 11.9593239372035,-81.8377640264348 11.9593493550965,-81.8370898608701 11.959340737666,-81.8352941397803 11.9593229500472,-81.8347662335763 11.9593389530397,-81.833582030086 11.9593787040077,-81.8329621844223 11.9594097611595,-81.830613357144 11.9595674895416,-81.8293572683597 11.9596954839942,-81.8283615239096 11.9598029209701,-81.8271640607256 11.9597868673999,-81.8264288952817 11.9598546973389,-81.8250623603273 11.9599967901875,-81.8244333306776 11.9600310337931,-81.8216523286801 11.9601753533232,-81.819752318404 11.9603177702869,-81.8173722575555 11.9605512536072,-81.8157893392647 11.9607373136905,-81.8138601866114 11.9610017556615,-81.8123977710231 11.9612288876484,-81.8110609844514 11.9614549015839,-81.8103319958025 11.9615639407103,-81.8073716912006 11.9619059500739,-81.8060656879902 11.9621177396386,-81.8051634980601 11.9622715948475,-81.8046899806019 11.9623561512107,-81.8031611252985 11.9626395959696,-81.8005419457113 11.9631522091378,-81.7988056532496 11.9635113542261,-81.7946749874824 11.9644110663264,-81.7933670768797 11.9647110182726,-81.7912036120387 11.9652318465801,-81.7899090081935 11.9655582731825,-81.7860372757213 11.9665789016412,-81.7847501993061 11.9669330324841,-81.7826118304471 11.9675462117623,-81.7815457004266 11.9678631300472,-81.7798827665395 11.968397943026,-81.7775029294784 11.969219236315,-81.7758915287159 11.9696945797928,-81.7736940729377 11.9703983404642,-81.7725568698804 11.9707671980148,-81.7721260742165 11.970907101974,-81.7709530331446 11.97130761931,-81.7697973449961 11.9717413084311,-81.7693829679322 11.9719039256214,-81.7682828418133 11.9723360718693,-81.7661452516867 11.9731843752643,-81.7646048212222 11.9738372932538,-81.7622454772556 11.9747132416492,-81.7606547854968 11.9753416402918,-81.759700537231 11.9757428242055,-81.7577996442149 11.9765623014583,-81.7566641914839 11.9770653882348,-81.7532726216601 11.9786090750924,-81.7521375379881 11.9791396701536,-81.7502526256338 11.9800442269143,-81.7491101576184 11.9806070509946,-81.7480692085602 11.9811324083752,-81.7441415760502 11.9831407661591,-81.7425295020788 11.9839868921213,-81.7401463959677 11.985271305617,-81.7387849394489 11.986022952302,-81.7379731816934 11.9864808049686,-81.7375573183707 11.9867197504641,-81.7362243290655 11.9874975153051,-81.7339442280979 11.9888586054428,-81.7324387773357 11.9897793809945,-81.7288692891424 11.9920147053481,-81.7277441745704 11.9927367253906,-81.7258916210643 11.9939542399749,-81.7247881898865 11.9946966702024,-81.7215035990947 11.9969587553619,-81.7204168576002 11.9977246887819,-81.7186199440602 11.999020548711,-81.7175451947275 11.999813569796,-81.7141870076747 12.0023494274872,-81.7127866608844 12.0034304274762,-81.7107125048431 12.0050675041916,-81.7095275271996 12.0060220892321,-81.7088190533527 12.0066034292401,-81.7084545386417 12.0069073934226,-81.7072809322302 12.0078993466157,-81.7052766028578 12.0096281823363,-81.7039568798339 12.0107916147393,-81.7008355235706 12.013602724775,-81.6998546894951 12.0145060108559,-81.6982447487474 12.0160215599865,-81.6972888649952 12.0169412459131,-81.6944526644199 12.0197301785097,-81.6935173632236 12.0206701593059,-81.6919760382361 12.0222533581193,-81.6910573212472 12.023217970394,-81.6881967841689 12.0262892321598,-81.6870076547594 12.0275936472265,-81.685252478778 12.0295613673653,-81.684252589691 12.030705226249,-81.6836562104133 12.0314001038714,-81.683351412497 12.0317610216469,-81.6823719708645 12.0329366232845,-81.680703721337 12.0349804713127,-81.6796095309105 12.0363511313201,-81.6770310508384 12.0396527167932,-81.6762242909021 12.0407098655581,-81.6749058722951 12.0424774722002,-81.6741265770535 12.0435465130077,-81.6718249407761 12.0467776827883,-81.6710694998732 12.0478631934443,-81.6698306009711 12.0496856986875,-81.6690958378601 12.0507926369095,-81.6668199567897 12.0543061343829,-81.6658784643512 12.0557944397026,-81.6644961547869 12.0580331909643,-81.6637123700468 12.0593317182701,-81.6632468372611 12.0601191488282,-81.6630106820082 12.0605260053349,-81.6622543197287 12.0618494344741,-81.6609723082773 12.0641461855371,-81.6601366455135 12.0656824424348,-81.6582045927998 12.0693256102584,-81.6577448201782 12.070210934754,-81.6569957932788 12.0716830450583,-81.6565537268149 12.072569925764,-81.6553217160942 12.075092076199,-81.6550368771557 12.0756879998842,-81.6544771507318 12.07688435896,-81.654202263828 12.0774847932015,-81.6531229064097 12.0798949082534,-81.6528580430476 12.0804996914668,-81.6523384129746 12.0817134464778,-81.6520836468091 12.0823224171069,-81.6510229902142 12.0849196838128,-81.6506545398121 12.0858431437503,-81.6500296637566 12.0874497986325,-81.6496003924058 12.088588452878,-81.6494288652501 12.089056876172,-81.6491812186237 12.0897435668841,-81.6486754359114 12.0910616934781,-81.6479526215549 12.0929959898369,-81.6477027897087 12.0936801211371,-81.6472156061479 12.0950443617209,-81.6463454765235 12.0975584501034,-81.6457791368849 12.0992558014544,-81.6448632114088 12.1021071115445,-81.6443426445946 12.1037917023683,-81.6435900938973 12.1063263349326,-81.6431072409459 12.1080212824404,-81.6425049785388 12.1102278984251,-81.642062814414 12.1119212679371,-81.6414277493455 12.1144679007827,-81.6410231172044 12.1161702036309,-81.6403678960932 12.1190684587354,-81.6399999442908 12.1207839900576,-81.6394765530906 12.1233630420265,-81.6391492510325 12.1250718520024,-81.6388000683356 12.1269993138984,-81.6386772070683 12.1277048621195,-81.6384436204165 12.1291040212378,-81.6380393626277 12.1316778073765,-81.6377864694916 12.1334117383901,-81.6373902667298 12.1363558157739,-81.6371764129983 12.1380893811276,-81.6368843636716 12.1406928119033,-81.6367087970024 12.1424307171679,-81.6365045342295 12.1447035295784,-81.6363663039762 12.1464604577266,-81.6361882014839 12.1490999153364,-81.6360882782622 12.1508783573132,-81.6359449818582 12.1540794908825,-81.6358712268095 12.1562523031874,-81.6358085685973 12.1589950529829,-81.6357841337355 12.1609902532876,-81.635779633581 12.1621016361711,-81.6357850335062 12.1635942366138,-81.6357939673147 12.1669668925042,-81.6358008588831 12.1676078605851,-81.6358250277657 12.1688896087585,-81.6358423051058 12.1695303873983,-81.6359321667095 12.1720924753578,-81.6359598258726 12.1727329012213,-81.6360255190538 12.1740132389082,-81.6360635530147 12.174653148852,-81.6364090723209 12.1797664818093,-81.6364574729418 12.1804057135901,-81.6365646277886 12.1816833392133,-81.6366233819163 12.1823217311759,-81.6368790450401 12.1848729741563,-81.6369481385684 12.1855103635127,-81.6370966471869 12.1867839787194,-81.6371777778746 12.1874330816734,-81.6377001740761 12.1913406100667,-81.6379509870874 12.1930770972968,-81.6383543604433 12.1956680212067,-81.6386022890034 12.1971602675089,-81.6379444444444 12.1981944444444,-81.4813479423624 12.1982173364236,-81.4806686671105 12.1981036287776,-81.4749616691855 12.1973901251581,-81.4721205189452 12.1970349172175,-81.4719843735926 12.1970236034072,-81.4635342238578 12.1963213877976,-81.4549250136967 12.1959643063505,-81.4463081606885 12.1959643063505,-81.4376989505274 12.1963213877976,-81.4291126554399 12.1970349172175,-81.4205645072748 12.1981036287776,-81.41206967066 12.1995256265188,-81.4036432162777 12.2012983876974,-81.3953000942973 12.2034187672314,-81.3870551080187 12.205883003246,-81.3789228877657 12.2086867237049,-81.3709178650768 12.2118249541199,-81.3630542472389 12.215292126322,-81.3553459922049 12.2190820882819,-81.3478067839421 12.2231881149609,-81.3404500082508 12.2276029201746,-81.3332887290975 12.2323186694484,-81.3263356655017 12.2373269938428,-81.3196031690197 12.2426190047253,-81.3131032018605 12.2481853094614,-81.3068473156758 12.2540160279998,-81.3008466310602 12.2601008103226,-81.2951118177957 12.2664288547289,-81.2896530758801 12.2729889269214,-81.2844801173673 12.2797693798628,-81.2796021490572 12.2867581743673,-81.2750278560616 12.2939429003908,-81.2707653862801 12.3013107989847,-81.2668223358102 12.3088487848713,-81.2632057353212 12.3165434696068,-81.2599220374146 12.3243811852857,-81.2569771049966 12.3323480087501,-81.2543762006824 12.3404297862583,-81.2521239772537 12.3486121585705,-81.2502244691872 12.3568805864069,-81.2486810852696 12.365220376237,-81.2474966023161 12.3736167063484,-81.2466731600019 12.3820546531542,-81.2462122568207 12.3905192176919,-81.2461147471759 12.3989953522635,-81.2462267422571 12.4025613815835,-81.2455277777777 12.4025833333334,-80.7706837456298 12.4030284326938,-79.5593476801599 12.4041638895411,-79.55934761928 12.4041640332766,-79.5584743872831 12.3704770545727,-79.5579325799246 12.3339530762736,-79.5577954252186 12.297425364889,-79.5580627702806 12.2608982542513,-79.5587344172595 12.2243760736969,-79.5598101197411 12.1878631525627,-79.5612895854459 12.1513638156875,-79.5631724753294 12.1148823852142,-79.5654584035823 12.0784231805855,-79.568146937631 12.0419905149506,-79.5712375990358 12.0055886987597,-79.574729862593 11.9692220343696,-79.5786231563335 11.9328948214392,-79.5829168642218 11.8966113515329,-79.5876103234576 11.8603759099205,-79.5914164166949 11.8333329380004,-79.9999997409999 11.8333329380004,-79.9999997409999 10.9999999380005,-80.7706837456298 10.9999999380005,-81.2500283071371 10.9999999380005,-81.4333613071369 10.8166669380003,-82.2333613081369 10.8184059380005,-82.2333613081369 10.9833709380003,-82.233361565131 11.7675452438688,-82.6979382079999 11.4586291130001,-83.1291601539999 11.2076193240002,-83.637515316 10.9312672000002,-83.6395238979999 10.9297101580001,-83.6457999259999 10.9248450150002,-83.6543088989999 10.9297730710001,-83.679512003 10.9350930400001,-83.717226817 10.9430540290001,-83.742508817 10.973609084,-83.7611268679999 10.996391097,-83.7880730099999 11.0388910340001,-83.8119550639998 11.0805539540001,-83.8475089179998 11.1745821440001,-83.8558358359999 11.21610911,-83.871399857 11.314164134,-83.8716729389999 11.337218056,-83.866954933 11.3636091490001,-83.857790999 11.39250006,-83.841672934 11.4208270380001,-83.758681866 11.5544449680002,-83.679308931 11.6004180310002,-83.653446066 11.6028090530001,-83.655008956 11.662218138,-83.670835833 11.7433269660001,-83.6763908549999 11.7655539290002,-83.6979908519999 11.842153963,-83.7280550629999 11.8611091340002,-83.7461267809999 11.831944973,-83.7423358139999 11.8070820680002,-83.7758357669999 11.8026359720002,-83.801390848 11.8327731050002,-83.828090898 11.8758270860001,-83.800417877 11.8958360300001,-83.7645089659999 11.9318731840002,-83.749726809 12.0138911130001,-83.739181872 12.044718077,-83.7224998729998 12.068053966,-83.676954958 12.0505540610001,-83.668063938 12.234164176,-83.6697269069999 12.278327083,-83.7063908599999 12.328336032,-83.735835816 12.4811091260001,-83.6962549599999 12.55278211,-83.591399866 12.624718118,-83.594181987 12.6854180170001,-83.6209088589999 12.7391641210002,-83.6457088989999 12.7502091230001,-83.6440358709999 12.7970091440002,-83.602917942 12.8181910510001,-83.558890989 12.805827074,-83.5406999129999 12.7909731680001,-83.5370909999999 12.7706911410002,-83.561808898 12.5851360890001,-83.5750088859999 12.5654822020001,-83.624135892 12.556691094,-83.635008896 12.5100000380002,-83.6327089019999 12.4795821110002,-83.6002820009999 12.411109003,-83.571117839 12.3900000180001,-83.4950730229999 12.3909361090002,-83.4784818829999 12.4238910700001,-83.4828460049999 12.465900163,-83.5044550539999 12.4980539820001,-83.521117943 12.5266641000001,-83.5329178179999 12.5584730870001,-83.5394550319999 12.6018090350001,-83.539463917 12.6530539800001,-83.521117943 12.812773157,-83.516399937 12.832217999,-83.505499942 12.8586090910002,-83.5019550679999 12.9034730610002,-83.532790916 13.043609094,-83.557235899 13.1672180270002,-83.560290935 13.1883270120001,-83.563899847 13.2293091540001,-83.5649998879999 13.276109008,-83.5630640039999 13.356245031,-83.5580640309999 13.397782056,-83.5511179479998 13.450554015,-83.5133358489999 13.635554018,-83.493899891 13.7266641320002,-83.4777819939999 13.79694505,-83.4727820219999 13.8183360020001,-83.4444550439999 13.9216640810002,-83.4261179549999 13.9676359700001,-83.3983358009999 14.0076360890001,-83.376399858 14.0244449900001,-83.344726825 14.053744938,-83.2577820139999 14.1786091450001,-83.2143178219998 14.251664136,-83.1923639409999 14.2995821360001,-83.1869549309999 14.3238911640001,-83.1877818899999 14.353191112,-83.194455058 14.3875000860001,-83.2073640279999 14.4461090360002,-83.2408460429999 14.5522180630001,-83.2780640399999 14.6466641750001,-83.3250088999999 14.741809002,-83.342154922 14.730900122,-83.3738909859999 14.746945097,-83.41910884 14.8094450930001,-83.4016729719999 14.8416641230002,-83.3688998979999 14.882218118,-83.349455056 14.901109084,-83.3259818719999 14.9126360450001,-83.19667291 14.9566641700002,-83.1318549819999 14.9929821190001,-83.099496197 15.014452786,-83.0877130569999 15.0185633420001,-82.8807994719999 15.0907452770001,-82.880791511 15.0907480550002,-82.880846638 15.0890337790001,-82.880857051 15.0889841810001,-82.880873827 15.0883560790001,-82.8808886309999 15.0877279280001,-82.8809014599999 15.0870997330001,-82.8809123159999 15.0864715010002,-82.8809211989999 15.0858432380002,-82.880928108 15.08521495,-82.880933042 15.0845866440001,-82.8809360029999 15.0839583250001,-82.88093699 15.08333,-82.8809360029999 15.0827016750002,-82.880933042 15.0820733560001,-82.880928108 15.08144505,-82.8809211989999 15.0808167620001,-82.8809123159999 15.0801884990001,-82.8809014599999 15.0795602670001,-82.8808886309999 15.0789320720001,-82.880873827 15.0783039210001,-82.880857051 15.077675819,-82.8808383009999 15.0770477730001,-82.8808175779999 15.0764197890002,-82.880794883 15.0757918740002,-82.880770215 15.0751640320001,-82.8807435749998 15.0745362710001,-82.8807149629999 15.0739085980001,-82.8806843789999 15.0732810170002,-82.8806518229999 15.0726535350001,-82.880617296 15.072026158,-82.8805807989999 15.071398893,-82.880542331 15.0707717460001,-82.880501893 15.070144723,-82.880459486 15.0695178300001,-82.8804151089999 15.068891073,-82.880368763 15.068264459,-82.8803204499999 15.067637994,-82.880270168 15.0670116830001,-82.880217919 15.0663855340001,-82.8801637029999 15.0657595510001,-82.880107521 15.0651337420001,-82.880049373 15.0645081130001,-82.879989259 15.0638826690001,-82.879927182 15.0632574180001,-82.8798631399999 15.0626323640001,-82.8797971349999 15.0620075150002,-82.8797291669999 15.0613828760001,-82.8796592369999 15.0607584540001,-82.8795873459999 15.0601342540002,-82.8795134939999 15.0595102840001,-82.8794376819999 15.058886549,-82.879359912 15.0582630540001,-82.8792801819999 15.057639808,-82.879198496 15.0570168140001,-82.879114852 15.0563940810001,-82.8790292529998 15.055771613,-82.8789416979999 15.055149418,-82.878852189 15.0545275000001,-82.878760727 15.053905867,-82.8786673119999 15.053284524,-82.8785719459999 15.052663478,-82.8784746289999 15.0520427340002,-82.878375362 15.0514222990001,-82.878274147 15.0508021790001,-82.878170984 15.0501823800001,-82.8780658749999 15.0495629080002,-82.8779588199999 15.0489437700001,-82.8778498199999 15.0483249710001,-82.8777388769999 15.0477065170001,-82.8776259919999 15.0470884150001,-82.877511165 15.0464706710002,-82.877394398 15.04585329,-82.877275692 15.0452362800001,-82.8771550489999 15.0446196450002,-82.877032468 15.044003392,-82.8769079529999 15.0433875280001,-82.8767815029999 15.042772057,-82.87665312 15.0421569870002,-82.8765228059999 15.041542324,-82.8763905609999 15.0409280720002,-82.8762563869999 15.04031424,-82.8761202849999 15.0397008320001,-82.875982257 15.0390878540001,-82.8758423039999 15.0384753130002,-82.8757004269999 15.0378632150001,-82.8755566279999 15.0372515650002,-82.8754109079999 15.036640371,-82.875263269 15.0360296370001,-82.8751137119999 15.0354193700002,-82.8749622379999 15.0348095750001,-82.87480885 15.03420026,-82.874653548 15.0335914300001,-82.8744963329999 15.03298309,-82.8743372089999 15.0323752470001,-82.8741761759999 15.0317679080001,-82.874013235 15.031161077,-82.873848389 15.0305547610001,-82.8736816389999 15.0299489660002,-82.8735129869999 15.0293436970001,-82.8733424339999 15.0287389620001,-82.873169982 15.0281347650001,-82.8729956329998 15.0275311130001,-82.872819388 15.0269280120002,-82.8726412489999 15.026325468,-82.872461218 15.0257234860001,-82.872279297 15.025122073,-82.872095488 15.0245212340001,-82.8719097919999 15.0239209750001,-82.87172221 15.023321303,-82.871532746 15.0227222230001,-82.8713414009999 15.0221237420002,-82.871148177 15.0215258640001,-82.8709530749999 15.020928597,-82.8707560979999 15.0203319450002,-82.870557247 15.0197359150001,-82.870356525 15.019140513,-82.870153933 15.0185457440001,-82.869949474 15.0179516150001,-82.8697431499999 15.01735813,-82.8695349609999 15.0167652970001,-82.869324912 15.0161731210002,-82.8691130029999 15.0155816080002,-82.8688992369999 15.0149907640001,-82.8686836159999 15.0144005930001,-82.8684661409999 15.013811104,-82.868246816 15.0132223000002,-82.868025642 15.0126341880002,-82.8678026219999 15.0120467740001,-82.8675777569999 15.011460064,-82.8673510509999 15.0108740630001,-82.8671225039999 15.010288777,-82.8668921199999 15.009704212,-82.8666598999998 15.0091203730001,-82.8664258479999 15.008537267,-82.8661899649999 15.007954899,-82.865952253 15.0073732750002,-82.865712715 15.0067924010001,-82.865471354 15.0062122820001,-82.865228171 15.0056329240002,-82.8649831689999 15.0050543330001,-82.8647363509999 15.0044765150001,-82.864487719 15.003899475,-82.8642372749999 15.0033232190001,-82.8639850229999 15.0027477520002,-82.863730963 15.0021730810001,-82.8634750989999 15.0015992110001,-82.8632174339999 15.0010261470001,-82.86295797 15.0004538960001,-82.8626967089999 14.9998824620001,-82.8624336539999 14.999311853,-82.8621688079999 14.998742072,-82.861902174 14.998173126,-82.861633753 14.997605021,-82.8613635489999 14.997037762,-82.8610915639999 14.9964713540001,-82.8608178009999 14.9959058040002,-82.8605422619999 14.9953411170001,-82.860264951 14.9947772980001,-82.8599858699999 14.9942143530001,-82.8597050219999 14.9936522880001,-82.859422409 14.9930911070001,-82.8591380349999 14.9925308170001,-82.8588519019999 14.9919714240001,-82.8585640129999 14.9914129320001,-82.8582743709999 14.990855347,-82.857982979 14.9902986750001,-82.857689839 14.9897429210002,-82.8573949549999 14.9891880910001,-82.8570983289999 14.98863419,-82.8567999639999 14.9880812240001,-82.8564998639999 14.9875291970002,-82.8561980309999 14.9869781160001,-82.8558944679999 14.9864279860001,-82.8555891789999 14.9858788130001,-82.8552821659999 14.9853306010002,-82.854973432 14.984783357,-82.8546629799998 14.9842370850001,-82.8543508129999 14.9836917910001,-82.8540369359999 14.9831474800001,-82.8537213489999 14.9826041590002,-82.8534040569999 14.9820618310001,-82.8530850639999 14.981520503,-82.8527643709999 14.9809801800002,-82.8524419819999 14.9804408660002,-82.8521178999999 14.9799025690001,-82.851792129 14.9793652920001,-82.851464672 14.9788290410001,-82.8511355309999 14.9782938220001,-82.850804711 14.9777596390001,-82.850472214 14.9772264980001,-82.8501380439999 14.9766944040001,-82.8498022039999 14.9761633630001,-82.849464697 14.9756333800001,-82.849125527 14.9751044590001,-82.848784697 14.9745766070001,-82.8484422109999 14.9740498280001,-82.8480980709999 14.9735241270001,-82.8477522809999 14.9729995100001,-82.847404845 14.9724759820002,-82.8470557659999 14.971953549,-82.8467050469999 14.9714322140001,-82.8463526929999 14.9709119840001,-82.8459987049999 14.970392863,-82.845643089 14.9698748570002,-82.845285847 14.969357971,-82.8449269829999 14.96884221,-82.8445664999999 14.9683275780001,-82.8442044019998 14.9678140820001,-82.8438406929999 14.9673017260001,-82.8434753759999 14.9667905140001,-82.8431084549999 14.9662804540002,-82.8427399339999 14.9657715480002,-82.842369815 14.9652638020001,-82.841998103 14.9647572220001,-82.8416248009999 14.964251812,-82.8412499139999 14.963747578,-82.8408734439999 14.9632445230001,-82.8404953959999 14.962742654,-82.8401157729999 14.9622419750001,-82.8397345789999 14.9617424910002,-82.839351817 14.9612442070001,-82.8389674919999 14.9607471280001,-82.8385816079999 14.9602512580001,-82.8381941669999 14.9597566040001,-82.837805174 14.9592631690002,-82.837414633 14.9587709590001,-82.8370225479999 14.9582799780001,-82.836628922 14.9577902310002,-82.83623376 14.9573017230001,-82.8358370639999 14.956814459,-82.8354388399999 14.9563284440001,-82.8350390909999 14.9558436820001,-82.834637822 14.9553601780001,-82.8342350349999 14.9548779380002,-82.8338307349999 14.9543969650001,-82.8334249259999 14.953917265,-82.8330176119999 14.9534388420001,-82.8328387289999 14.953230062,-82.566322649 14.9460656510001,-82.5555079319999 14.9431817270001,-82.495867741 14.8920874570001,-82.4958887949999 14.8921713590001,-82.49063047 14.8907788020001,-82.490017493 14.8906407740002,-82.4894040849999 14.8905046720001,-82.4887902519999 14.890370498,-82.4881760009999 14.8902382530002,-82.487561337 14.8901079390001,-82.4869462669999 14.8899795560002,-82.4863307969999 14.889853106,-82.485714932 14.88972859,-82.485098679 14.88960601,-82.4844820449999 14.8894853660001,-82.483865034 14.889366661,-82.4832476539999 14.889249894,-82.482629909 14.889135067,-82.4820118069998 14.8890221810001,-82.481393353 14.8889112380001,-82.4807745539999 14.888802239,-82.4801554159999 14.8886951840001,-82.479535944 14.8885900740001,-82.4789161449999 14.888486911,-82.478296025 14.8883856960001,-82.4776755899999 14.8882864300001,-82.4770548469999 14.8881891130001,-82.4764337999999 14.888093747,-82.4758124579999 14.888000332,-82.475190824 14.8879088700001,-82.4745689069999 14.8878193610001,-82.4739467109999 14.887731806,-82.473324243 14.8876462070001,-82.47270151 14.8875625630001,-82.4720785169999 14.887480876,-82.47145527 14.8874011470001,-82.4708317759999 14.8873233760002,-82.47020804 14.887247565,-82.4695840699999 14.8871737130001,-82.4689598699999 14.8871018220001,-82.4683354479999 14.887031892,-82.467710809 14.8869639240001,-82.46708596 14.886897919,-82.4664609069999 14.8868338770001,-82.465835655 14.8867717990001,-82.4652102109998 14.8867116860002,-82.4645845819999 14.8866535380001,-82.4639587729999 14.8865973560001,-82.4633327909999 14.8865431400001,-82.4627066409999 14.8864908910001,-82.4620803309999 14.886440609,-82.461453865 14.8863922950001,-82.4608272509999 14.8863459500001,-82.4602004939999 14.8863015730001,-82.459573601 14.8862591650001,-82.4589465779998 14.8862187270001,-82.4583194309999 14.8861802600001,-82.457692166 14.8861437620001,-82.4570647899999 14.886109236,-82.4564373079999 14.88607668,-82.455809727 14.886046096,-82.455182053 14.8860174840001,-82.454554292 14.885990844,-82.4539264509999 14.8859661760001,-82.4532985349999 14.88594348,-82.4526705509999 14.8859227580001,-82.452042505 14.8859040080001,-82.4514144029999 14.8858872310001,-82.4507862519998 14.885872428,-82.4501580569999 14.885859598,-82.449529825 14.8858487420002,-82.4489015619999 14.8858398600001,-82.4482732739999 14.885832951,-82.447644968 14.8858280160001,-82.4470166489999 14.8858250550001,-82.4463883239999 14.8858240680001,-82.445759999 14.8858250550001,-82.445131681 14.8858280160001,-82.4445033739999 14.885832951,-82.4438750859999 14.8858398600001,-82.443246823 14.8858487420002,-82.4426185909999 14.885859598,-82.441990397 14.885872428,-82.4413622449999 14.8858872310001,-82.440734144 14.8859040080001,-82.4401060979999 14.8859227580001,-82.4394781139999 14.88594348,-82.438850198 14.8859661760001,-82.438222357 14.885990844,-82.4375945959999 14.8860174840001,-82.436966922 14.886046096,-82.436339341 14.88607668,-82.4357118589999 14.886109236,-82.435084483 14.8861437620001,-82.4344572179999 14.8861802600001,-82.433830071 14.8862187270001,-82.4332030469999 14.8862591650001,-82.4325761539999 14.8863015730001,-82.4319493979999 14.8863459500001,-82.4313227839999 14.8863922950001,-82.4306963179999 14.886440609,-82.4300700069999 14.8864908910001,-82.4294438579999 14.8865431400001,-82.4288178749999 14.8865973560001,-82.4281920669999 14.8866535380001,-82.4275664369999 14.8867116860002,-82.4269409939999 14.8867717990001,-82.426315742 14.8868338770001,-82.425690688 14.886897919,-82.425065839 14.8869639240001,-82.4244412 14.887031892,-82.4238167779999 14.8871018220001,-82.4231925789999 14.8871737130001,-82.4225686079999 14.887247565,-82.4219448729999 14.8873233760002,-82.4213213789999 14.8874011470001,-82.420698132 14.887480876,-82.4200751389999 14.8875625630001,-82.419452405 14.8876462070001,-82.4188299379999 14.887731806,-82.4182077419999 14.8878193610001,-82.417585824 14.8879088700001,-82.4169641909999 14.888000332,-82.4163428479999 14.888093747,-82.4157218019999 14.8881891130001,-82.4151010579999 14.8882864300001,-82.414480623 14.8883856960001,-82.4138605029999 14.888486911,-82.413240704 14.8885900740001,-82.412621233 14.8886951840001,-82.4120020939999 14.888802239,-82.411383295 14.8889112380001,-82.4107648409999 14.8890221810001,-82.4101467389999 14.889135067,-82.4095289949999 14.889249894,-82.408911615 14.889366661,-82.4082946039998 14.8894853660001,-82.407677969 14.88960601,-82.4070617159999 14.88972859,-82.406445852 14.889853106,-82.4058303819999 14.8899795560002,-82.4052153119999 14.8901079390001,-82.404600648 14.8902382530002,-82.403986397 14.890370498,-82.4033725639999 14.8905046720001,-82.4027591559999 14.8906407740002,-82.402146178 14.8907788020001,-82.4015336369999 14.890918755,-82.400921539 14.8910606310002,-82.40030989 14.8912044300001,-82.3996986949999 14.8913501500001,-82.3990879609999 14.89149779,-82.3984776939999 14.8916473470001,-82.3978678999999 14.8917988200001,-82.397258584 14.8919522090001,-82.3966497539999 14.8921075110001,-82.3960414139999 14.8922647250002,-82.3954335719999 14.8924238500001,-82.3948262319998 14.892584883,-82.394219401 14.892747823,-82.3936130849999 14.8929126690001,-82.39300729 14.8930794190001,-82.3924020219999 14.8932480720001,-82.3917972859999 14.8934186250001,-82.3911930899999 14.8935910770001,-82.3905894379999 14.8937654260001,-82.3899863369999 14.893941671,-82.389383792 14.8941198100001,-82.38878181 14.8942998400001,-82.388180397 14.8944817610001,-82.3875795579999 14.894665571,-82.3869793 14.8948512670001,-82.3863796279999 14.8950388480001,-82.385780548 14.8952283120001,-82.385182066 14.8954196570001,-82.3845841879999 14.895612882,-82.383986921 14.8958079840002,-82.383390269 14.8960049610002,-82.382794239 14.8962038110001,-82.382198837 14.8964045340001,-82.3816040679999 14.8966071250001,-82.3810099389999 14.896811584,-82.3804164549999 14.8970179090002,-82.3798236219999 14.8972260970002,-82.3792314459999 14.8974361470001,-82.3786399319999 14.897648056,-82.3780490879999 14.8978618220001,-82.3774589179999 14.8980774430001,-82.3768694279999 14.8982949170002,-82.3762806239999 14.8985142420001,-82.375692513 14.8987354160001,-82.3751050989999 14.8989584370001,-82.3745183879999 14.8991833010001,-82.3739323869999 14.8994100080001,-82.373347101 14.8996385550001,-82.3727625359999 14.8998689390002,-82.3721786969999 14.9001011580001,-82.3715955909999 14.900335211,-82.371013223 14.9005710940001,-82.3704316 14.900808806,-82.3698507249999 14.9010483430001,-82.3692706059999 14.9012897050001,-82.3686912489999 14.9015328880001,-82.368112658 14.9017778890002,-82.3675348389999 14.9020247070002,-82.366957799 14.9022733390001,-82.366381543 14.9025237830001,-82.365806076 14.9027760360001,-82.3652314049999 14.9030300960001,-82.3646575349999 14.9032859590001,-82.3640844709999 14.9035436240002,-82.3635122199999 14.9038030890001,-82.362940787 14.9040643490002,-82.3623701769999 14.9043274040002,-82.3618003959999 14.9045922500001,-82.3612314509999 14.904858885,-82.360663345 14.9051273060001,-82.3600960859999 14.9053975100001,-82.3595296789999 14.9056694950002,-82.3589641289999 14.9059432580002,-82.3583994409999 14.9062187960002,-82.357835622 14.9064961080001,-82.3572726769999 14.9067751890001,-82.356710612 14.9070560370001,-82.3561494309999 14.9073386490001,-82.355589142 14.907623024,-82.3550297479999 14.9079091570002,-82.354471256 14.9081970450002,-82.353913671 14.9084866880001,-82.353356999 14.90877808,-82.3528012459999 14.9090712200001,-82.3522464149999 14.9093661040002,-82.351692514 14.90966273,-82.3511395479999 14.909961094,-82.350587521 14.910261194,-82.3500364409999 14.910563027,-82.349486311 14.9108665900002,-82.3489371369998 14.91117188,-82.3483889249999 14.9114788930001,-82.347841681 14.9117876270001,-82.347295409 14.912098079,-82.346750115 14.9124102450001,-82.346205805 14.9127241230001,-82.345662483 14.91303971,-82.345120155 14.9133570010001,-82.3445788269999 14.9136759950002,-82.344038504 14.9139966880002,-82.3434991909999 14.9143190770001,-82.3429608929999 14.9146431590001,-82.3424236159998 14.9149689300002,-82.3418873649999 14.9152963870001,-82.3413521459999 14.915625527,-82.3408179629999 14.9159563480001,-82.3402848219999 14.916288845,-82.3397527289999 14.9166230150001,-82.339221687 14.916958855,-82.338691704 14.9172963610001,-82.3381627829999 14.9176355310001,-82.3376349309999 14.917976361,-82.3371081519999 14.918318848,-82.336582451 14.9186629880001,-82.3360578349999 14.919008777,-82.3355343069999 14.9193562140001,-82.335011873 14.9197052930001,-82.3344905379999 14.9200560110002,-82.3339703079999 14.9204083660001,-82.333451188 14.9207623530002,-82.3329331819999 14.9211179700002,-82.332416295 14.9214752120001,-82.3319005339999 14.9218340760001,-82.3313859029999 14.9221945590002,-82.330872406 14.922556656,-82.3303600499999 14.922920365,-82.3298488389999 14.9232856820001,-82.329338778 14.923652603,-82.328829872 14.9240211250001,-82.328322127 14.9243912440001,-82.3278155459999 14.9247629560001,-82.327310137 14.9251362570002,-82.3268059019999 14.9255111450001,-82.326302847 14.9258876140001,-82.3258009779999 14.926265663,-82.3253002989999 14.9266452860001,-82.3248008149999 14.92702648,-82.3243025309999 14.9274092410001,-82.323805452 14.927793566,-82.3233095829999 14.9281794510001,-82.322814928 14.9285668920001,-82.3223214929999 14.9289558840001,-82.3218292829999 14.929346425,-82.321338302 14.9297385110002,-82.3208485549999 14.9301321360001,-82.320360047 14.930527299,-82.3198727829999 14.9309239940001,-82.319386768 14.9313222180002,-82.3189020059999 14.9317219670001,-82.318418503 14.9321232370001,-82.3179362619999 14.9325260240001,-82.317455289 14.932930324,-82.316975589 14.9333361330001,-82.316497166 14.933743447,-82.3160200249999 14.934152262,-82.3155441699999 14.934562574,-82.3150696069998 14.934974378,-82.3145963399999 14.9353876720001,-82.314124374 14.9358024500002,-82.3136537129999 14.9362187100001,-82.3131843629999 14.9366364450001,-82.312716326 14.9370556530002,-82.31224961 14.9374763300001,-82.311784217 14.93789847,-82.3113201519998 14.9383220710001,-82.310857421 14.9387471270002,-82.3103960269999 14.9391736350001,-82.309935975 14.9396015910002,-82.3094772709999 14.9400309890001,-82.3090199169999 14.9404618270001,-82.3085639189999 14.9408940990002,-82.308109282 14.941327802,-82.307656009 14.94176293,-82.307204105 14.9421994810002,-82.3067535759999 14.9426374490002,-82.306304424 14.9430768310001,-82.305856655 14.9435176210002,-82.305410273 14.9439598160001,-82.3049652819999 14.9444034110001,-82.304521687 14.9448484010001,-82.304079492 14.9452947840001,-82.3036387019999 14.9457425530001,-82.30319932 14.9461917040002,-82.3027613519999 14.9466422340001,-82.3023248019999 14.9470941380001,-82.3018896729999 14.9475474110002,-82.3014559699999 14.948002048,-82.3010236979999 14.9484580460001,-82.3005928599999 14.9489154000001,-82.3001634619999 14.9493741040001,-82.299735506 14.9498341560001,-82.2993089979999 14.9502955500001,-82.298883942 14.9507582810001,-82.298460341 14.951222346,-82.2980382009998 14.951687738,-82.2976175239999 14.9521544550001,-82.2971983159999 14.9526224910002,-82.296780581 14.9530918420002,-82.296364322 14.9535625030001,-82.2959495429999 14.9540344690001,-82.295536249 14.9545077360001,-82.2951244449999 14.9549822990002,-82.294714133 14.955458154,-82.2943053179999 14.9559352950001,-82.2938980039999 14.956413718,-82.2934921949998 14.9568934180001,-82.2930878949999 14.957374391,-82.2926851079999 14.9578566320001,-82.2922838379999 14.9583401350002,-82.2918840889999 14.9588248970002,-82.2914858649999 14.9593109120001,-82.29108917 14.9597981760001,-82.2906940079999 14.960286684,-82.2903003819999 14.9607764310002,-82.289908296 14.961267412,-82.289517755 14.961759622,-82.289128763 14.9622530570001,-82.2887413219999 14.9627477120001,-82.2883554379999 14.963243581,-82.287971113 14.96374066,-82.2875883509998 14.964238944,-82.2872071569999 14.9647384280001,-82.2868275339999 14.9652391070001,-82.2864494859999 14.9657409760001,-82.2860730159999 14.9662440310001,-82.2856981279999 14.9667482650001,-82.285324827 14.9672536750002,-82.284953115 14.9677602560001,-82.2845829959999 14.9682680010001,-82.2842144739998 14.9687769070001,-82.2838475529999 14.9692869680001,-82.2834822359998 14.9697981790002,-82.2831185269999 14.9703105350001,-82.2827564299999 14.9708240320001,-82.2823959469999 14.9713386630001,-82.282037083 14.9718544240001,-82.2816798409999 14.9723713110001,-82.2813242239999 14.9728893170001,-82.2809702369999 14.9734084370001,-82.2806178819999 14.9739286670002,-82.2802671639999 14.974450002,-82.279918085 14.9749724360001,-82.2795706489999 14.9754959640001,-82.2792248589999 14.9760205800001,-82.2788807189999 14.976546281,-82.278538232 14.9770730600002,-82.278197402 14.9776009120002,-82.277858232 14.9781298330001,-82.2775207259999 14.978659816,-82.277184886 14.9791908580001,-82.276850716 14.9797229510002,-82.276518219 14.9802560920001,-82.2761873989999 14.9807902750002,-82.275858258 14.9813254940001,-82.2755308009999 14.981861745,-82.2752050299999 14.9823990220002,-82.2748809479999 14.9829373200001,-82.2745585589999 14.9834766330001,-82.2742378659999 14.9840169560001,-82.2739188719999 14.9845582840001,-82.2736015809999 14.9851006120001,-82.2732859939999 14.9856439340001,-82.2729721159998 14.9861882440001,-82.2726599499999 14.9867335380001,-82.272349498 14.98727981,-82.2720407639999 14.987827054,-82.2717337509999 14.9883752660001,-82.2714284609999 14.9889244400001,-82.2711248989999 14.9894745700001,-82.2708230659999 14.9900256500001,-82.2705229649999 14.9905776770001,-82.2702246009999 14.9911306430001,-82.2699279749999 14.9916845440002,-82.2696330909999 14.9922393740001,-82.2693399509999 14.992795128,-82.2690485589998 14.9933518000001,-82.2687589169998 14.9939093850001,-82.2684710279999 14.9944678770001,-82.2681848949999 14.9950272710001,-82.26790052 14.9955875600002,-82.2676179079999 14.9961487410001,-82.26733706 14.9967108060002,-82.267057979 14.9972737510001,-82.2667806679999 14.9978375700002,-82.2665051289999 14.9984022570001,-82.2662313659999 14.9989678080001,-82.2659593809998 14.9995342150001,-82.265689177 15.0001014740001,-82.265420756 15.00066958,-82.2651541209999 15.0012385250001,-82.2648892749999 15.0018083060001,-82.264626221 15.0023789150001,-82.26436496 15.0029503490002,-82.2641054959998 15.0035226000002,-82.2638478299999 15.0040956640001,-82.263591967 15.004669534,-82.2633379069999 15.0052442050001,-82.2630856539998 15.0058196720001,-82.262835211 15.0063959280001,-82.2625865779999 15.0069729680002,-82.2623397599999 15.0075507870001,-82.262094759 15.008129377,-82.261851576 15.008708735,-82.261610215 15.0092888540001,-82.2613706769999 15.0098697280001,-82.2611329649998 15.010451352,-82.2608970819999 15.0110337200001,-82.2606630289999 15.011616826,-82.2604308099999 15.0122006650001,-82.2602004259999 15.0127852300001,-82.2599718789999 15.0133705160002,-82.259745172 15.0139565170001,-82.2595203079999 15.014543228,-82.259297287 15.0151306420001,-82.259076114 15.015718753,-82.2588567879999 15.0163075570001,-82.2586393139999 15.016897047,-82.2584236929999 15.0174872170002,-82.2582099269998 15.018078061,-82.257998018 15.0186695750001,-82.2577879679999 15.0192617510001,-82.2575797799999 15.019854584,-82.257373456 15.0204480680001,-82.257168996 15.0210421970002,-82.256966405 15.0216369660001,-82.256765683 15.0222323680001,-82.2565668319999 15.0228283980001,-82.2563698549999 15.02342505,-82.2561747529999 15.0240223170002,-82.2559815289999 15.0246201950001,-82.255790183 15.0252186770001,-82.2556007189999 15.0258177560002,-82.2554131379999 15.0264174290001,-82.255227442 15.027017687,-82.255043632 15.0276185260001,-82.254861711 15.028219939,-82.2546816809999 15.0288219210001,-82.254503542 15.0294244660001,-82.2543272969999 15.030027567,-82.254152948 15.030631219,-82.2539804959998 15.0312354150001,-82.2538099429999 15.031840151,-82.2536412899999 15.0324454190001,-82.25347454 15.0330512140002,-82.2533096939999 15.0336575300001,-82.2531467539999 15.0342643610001,-82.252985721 15.0348717010001,-82.2528265959999 15.0354795430001,-82.252669382 15.0360878830002,-82.25251408 15.0366967130001,-82.252360691 15.037306029,-82.2522092179999 15.037915823,-82.252059661 15.03852609,-82.2519120209999 15.0391368240001,-82.2517663019999 15.0397480180001,-82.2516225019999 15.040359668,-82.2514806259999 15.040971766,-82.251340673 15.041584307,-82.2512026449999 15.0421972850001,-82.2510665429999 15.042810693,-82.2509323689999 15.0434245260001,-82.2508001239999 15.0440387770001,-82.25066981 15.0446534410001,-82.2505414269999 15.0452685110002,-82.2504149769999 15.0458839810001,-82.250290461 15.0464998450001,-82.2501678809999 15.0471160980001,-82.250047237 15.047732733,-82.249928532 15.0483497430001,-82.2498117649999 15.0489671240001,-82.2496969379999 15.049584868,-82.2495840529999 15.05020297,-82.2494731089999 15.050821424,-82.2493641099999 15.0514402230002,-82.249257055 15.0520593620001,-82.2491519449999 15.0526788330001,-82.249048782 15.0532986320002,-82.248947567 15.0539187520001,-82.2488483009999 15.054539187,-82.2487509839999 15.055159931,-82.2486556179999 15.0557809770001,-82.2485622029999 15.0564023200001,-82.2484707409999 15.0570239530001,-82.248381232 15.057645871,-82.2482936769999 15.0582680660001,-82.2482080779999 15.0588905340001,-82.248124434 15.0595132680001,-82.2480427469999 15.0601362610001,-82.247963018 15.060759508,-82.2478852469999 15.0613830020001,-82.2478094359998 15.0620067370001,-82.2477355839999 15.0626307080001,-82.2476636929999 15.0632549070002,-82.2475937629999 15.0638793290001,-82.2475257949999 15.0645039680001,-82.2474597899999 15.0651288170001,-82.247395748 15.065753871,-82.24733367 15.066379123,-82.2472735569999 15.067004566,-82.247215409 15.0676301950002,-82.2471592269999 15.0682560040001,-82.247105011 15.0688819870002,-82.247052762 15.069508136,-82.2470024799999 15.070134447,-82.246954166 15.0707609120001,-82.2469078209999 15.0713875270002,-82.246863444 15.0720142830002,-82.246821036 15.0726411760001,-82.246780599 15.0732682000001,-82.2467421309999 15.0738953470002,-82.246705633 15.0745226120001,-82.2466711069999 15.0751499880002,-82.2466385509999 15.07577747,-82.246607967 15.076405051,-82.2465793549999 15.0770327250001,-82.246552715 15.077660485,-82.246528047 15.0782883270001,-82.2465053509999 15.0789162430002,-82.2464846289999 15.0795442260002,-82.246465879 15.0801722720001,-82.246449102 15.0808003740001,-82.2464342989999 15.0814285260001,-82.2464214699999 15.08205672,-82.2464106129999 15.0826849520001,-82.2464017309999 15.0833132150001,-82.246394822 15.0839415030001,-82.246389887 15.084569809,-82.2463869269999 15.0851981280001,-82.2463859399999 15.0858264530001,-82.2463869269999 15.0864547780001,-82.246389887 15.0870830970001,-82.246394822 15.0877114030001,-82.2464017309999 15.088339691,-82.2464106129999 15.0889679540001,-82.2464214699999 15.0895961860002,-82.2464342989999 15.090224381,-82.246449102 15.090852532,-82.246465879 15.0914806340001,-82.2464846289999 15.09210868,-82.2465053509999 15.0927366640001,-82.246528047 15.09336458,-82.246552715 15.093992421,-82.2465793549999 15.094620182,-82.246607967 15.0952478560001,-82.2466385509999 15.095875437,-82.2466711069999 15.0965029180002,-82.246705633 15.0971302950001,-82.2467421309999 15.09775756,-82.246780599 15.098384707,-82.246821036 15.0990117300001,-82.246863444 15.099638623,-82.2469078209999 15.1002653800001,-82.246954166 15.1008919940001,-82.2470024799999 15.1015184590001,-82.247052762 15.1021447700002,-82.247105011 15.1027709200001,-82.2471592269999 15.103396902,-82.247215409 15.104022711,-82.2472735569999 15.10464834,-82.24733367 15.1052737840001,-82.247395748 15.1058990360001,-82.2474597899999 15.106524089,-82.2475257949999 15.1071489380001,-82.2475937629999 15.107773577,-82.2476636929999 15.108397999,-82.2477355839999 15.1090221990002,-82.2478094359998 15.1096461690001,-82.2478852469999 15.1102699050002,-82.247963018 15.1108933990001,-82.2480427469999 15.111516646,-82.248124434 15.1121396390001,-82.2482080779999 15.1127623720001,-82.2482936769999 15.11338484,-82.248381232 15.114007036,-82.2484707409999 15.1146289530001,-82.2485622029999 15.1152505860001,-82.2486556179999 15.115871929,-82.2487509839999 15.1164929760002,-82.2488483009999 15.1171137190001,-82.248947567 15.117734154,-82.249048782 15.1183542740002,-82.2491519449999 15.1189740730001,-82.249257055 15.1195935450002,-82.2493641099999 15.120212683,-82.2494731089999 15.1208314820001,-82.2495840529999 15.121449936,-82.2496969379999 15.1220680380001,-82.2498117649999 15.1226857820001,-82.249928532 15.1233031630001,-82.250047237 15.1239201740001,-82.2501678809999 15.1245368080001,-82.250290461 15.125153061,-82.2504149769999 15.1257689260001,-82.2505414269999 15.126384396,-82.25066981 15.1269994660001,-82.2508001239999 15.12761413,-82.2509323689999 15.1282283810002,-82.2510665429999 15.128842214,-82.2512026449999 15.129455622,-82.251340673 15.130068599,-82.2514806259999 15.1306811400001,-82.2516225019999 15.1312932380001,-82.2517663019999 15.1319048880001,-82.2519120209999 15.1325160830002,-82.252059661 15.1331268170001,-82.2522092179999 15.1337370840002,-82.252360691 15.134346878,-82.25251408 15.1349561930001,-82.252669382 15.1355650240001,-82.2528265959999 15.1361733630001,-82.252985721 15.136781206,-82.2531467539999 15.1373885460002,-82.2533096939999 15.137995377,-82.25347454 15.1386016920002,-82.2536412899999 15.139207488,-82.2538099429999 15.139812756,-82.2539804959998 15.1404174910001,-82.254152948 15.141021688,-82.2543272969999 15.1416253400001,-82.254503542 15.1422284410002,-82.2546816809999 15.1428309850001,-82.254861711 15.1434329670001,-82.255043632 15.144034381,-82.255227442 15.1446352190001,-82.2554131379999 15.1452354780002,-82.2556007189999 15.14583515,-82.255790183 15.1464342300001,-82.2559815289999 15.1470327110001,-82.2561747529999 15.1476305890002,-82.2563698549999 15.1482278570001,-82.2565668319999 15.1488245080001,-82.256765683 15.1494205380001,-82.256966405 15.150015941,-82.257168996 15.150610709,-82.257373456 15.1512048390002,-82.2575797799999 15.151798323,-82.2577879679999 15.152391156,-82.257998018 15.1529833320001,-82.2582099269998 15.1535748450002,-82.2584236929999 15.1541656900001,-82.2586393139999 15.1547558600001,-82.2588567879999 15.1553453500002,-82.259076114 15.1559341530001,-82.259297287 15.1565222650001,-82.2595203079999 15.157109679,-82.259745172 15.1576963890001,-82.2599718789999 15.1582823900002,-82.2602004259999 15.158867677,-82.2604308099999 15.1594522420002,-82.2606630289999 15.1600360800002,-82.2608970819999 15.1606191860001,-82.2611329649998 15.1612015540001,-82.2613706769999 15.1617831780001,-82.261610215 15.162364052,-82.261851576 15.1629441710002,-82.262094759 15.1635235290001,-82.2623397599999 15.1641021200001,-82.2625865779999 15.1646799380002,-82.262835211 15.1652569780001,-82.2630856539998 15.1658332350001,-82.2633379069999 15.1664087010001,-82.263591967 15.1669833720001,-82.2638478299999 15.1675572430001,-82.2641054959998 15.168130306,-82.26436496 15.1687025580001,-82.264626221 15.1692739910001,-82.2648892749999 15.169844601,-82.2651541209999 15.1704143810001,-82.265420756 15.1709833270001,-82.265689177 15.1715514320001,-82.2659593809998 15.172118691,-82.2662313659999 15.172685099,-82.2665051289999 15.1732506490001,-82.2667806679999 15.1738153360002,-82.267057979 15.1743791550001,-82.26733706 15.1749421000002,-82.2676179079999 15.1755041660001,-82.26790052 15.176065346,-82.2681848949999 15.176625636,-82.2684710279999 15.177185029,-82.2687589169998 15.177743521,-82.2690485589998 15.1783011060001,-82.2693399509999 15.1788577780001,-82.2696330909999 15.1794135320001,-82.2699279749999 15.1799683620002,-82.2702246009999 15.1805222630001,-82.2705229649999 15.1810752300001,-82.2708230659999 15.1816272560001,-82.2711248989999 15.1821783370002,-82.2714284609999 15.182728467,-82.2717337509999 15.1832776400001,-82.2720407639999 15.1838258520002,-82.272349498 15.184373097,-82.2726599499999 15.184919368,-82.2729721159998 15.185464662,-82.2732859939999 15.186008973,-82.2736015809999 15.1865522950001,-82.2739188719999 15.1870946220001,-82.2742378659999 15.1876359500001,-82.2745585589999 15.1881762740001,-82.2748809479999 15.1887155870002,-82.2752050299999 15.189253884,-82.2755308009999 15.1897911610001,-82.275858258 15.190327412,-82.2761873989999 15.1908626320001,-82.276518219 15.191396814,-82.276850716 15.191929955,-82.277184886 15.192462049,-82.2775207259999 15.1929930900001,-82.277858232 15.1935230740001,-82.278197402 15.1940519940002,-82.278538232 15.1945798460002,-82.2788807189999 15.195106626,-82.2792248589999 15.195632326,-82.2795706489999 15.1961569430002,-82.279918085 15.1966804710002,-82.2802671639999 15.197202905,-82.2806178819999 15.197724239,-82.2809702369999 15.198244469,-82.2813242239999 15.1987635900001,-82.2816798409999 15.1992815960002,-82.282037083 15.1997984820001,-82.2823959469999 15.2003142430001,-82.2827564299999 15.2008288750002,-82.2831185269999 15.2013423710001,-82.2834822359998 15.2018547280001,-82.2838475529999 15.2023659390002,-82.2842144739998 15.202876,-82.2845829959999 15.2033849050001,-82.284953115 15.203892651,-82.285324827 15.204399231,-82.2856981279999 15.2049046410001,-82.2860730159999 15.2054088760001,-82.2864494859999 15.20591193,-82.2868275339999 15.2064137990001,-82.2872071569999 15.206914478,-82.2875883509998 15.2074139630001,-82.287971113 15.2079122470001,-82.2883554379999 15.2084093260001,-82.2887413219999 15.2089051950002,-82.289128763 15.2093998490001,-82.289517755 15.2098932840001,-82.289908296 15.210385494,-82.2903003819999 15.2108764760001,-82.2906940079999 15.2113662220002,-82.29108917 15.21185473,-82.2914858649999 15.212341994,-82.2918840889999 15.2128280090002,-82.2922838379999 15.2133127710002,-82.2926851079999 15.2137962750001,-82.2930878949999 15.2142785150002,-82.2934921949998 15.214759488,-82.2938980039999 15.215239189,-82.2943053179999 15.2157176120001,-82.294714133 15.2161947530001,-82.2951244449999 15.216670607,-82.295536249 15.2171451700001,-82.2959495429999 15.2176184370001,-82.296364322 15.2180904030001,-82.296780581 15.218561064,-82.2971983159999 15.2190304150002,-82.2976175239999 15.219498451,-82.2980382009998 15.219965168,-82.298460341 15.2204305610001,-82.298883942 15.2208946250001,-82.2993089979999 15.221357357,-82.299735506 15.2218187500001,-82.3001634619999 15.2222788020001,-82.3005928599999 15.2227375070001,-82.3010236979999 15.2231948600001,-82.3014559699999 15.2236508580002,-82.3018896729999 15.2241054960001,-82.3023248019999 15.2245587690001,-82.3027613519999 15.2250106720001,-82.30319932 15.2254612020002,-82.3036387019999 15.2259103540001,-82.304079492 15.2263581230001,-82.304521687 15.226804505,-82.3049652819999 15.2272494960002,-82.305410273 15.227693091,-82.305856655 15.2281352850002,-82.306304424 15.228576076,-82.3067535759999 15.2290154570002,-82.307204105 15.229453425,-82.307656009 15.2298899760002,-82.308109282 15.2303251050002,-82.3085639189999 15.230758807,-82.3090199169999 15.23119108,-82.3094772709999 15.231621917,-82.309935975 15.2320513160001,-82.3103960269999 15.2324792710001,-82.310857421 15.2329057790002,-82.3113201519998 15.233330835,-82.311784217 15.233754436,-82.31224961 15.234176577,-82.312716326 15.2345972530002,-82.3131843629999 15.235016461,-82.3136537129999 15.2354341970001,-82.314124374 15.235850456,-82.3145963399999 15.2362652340001,-82.3150696069998 15.236678528,-82.3155441699999 15.237090333,-82.3160200249999 15.2375006450001,-82.316497166 15.23790946,-82.316975589 15.2383167740002,-82.317455289 15.2387225830001,-82.3179362619999 15.2391268820001,-82.318418503 15.2395296690001,-82.3189020059999 15.239930939,-82.319386768 15.240330688,-82.3198727829999 15.2407289120001,-82.320360047 15.2411256070001,-82.3208485549999 15.2415207700001,-82.321338302 15.2419143960001,-82.3218292829999 15.2423064810001,-82.3223214929999 15.242697022,-82.322814928 15.2430860150002,-82.3233095829999 15.2434734550001,-82.323805452 15.2438593400001,-82.3243025309999 15.244243665,-82.3248008149999 15.244626426,-82.3253002989999 15.2450076210002,-82.3258009779999 15.245387244,-82.326302847 15.245765292,-82.3268059019999 15.2461417620002,-82.327310137 15.2465166490002,-82.3278155459999 15.2468899510001,-82.328322127 15.2472616630001,-82.328829872 15.2476317810001,-82.329338778 15.248000303,-82.3298488389999 15.248367224,-82.3303600499999 15.248732541,-82.330872406 15.2490962500002,-82.3313859029999 15.2494583480001,-82.3319005339999 15.2498188300001,-82.332416295 15.250177695,-82.3329331819999 15.2505349370001,-82.333451188 15.250890553,-82.3339703079999 15.2512445400001,-82.3344905379999 15.251596895,-82.335011873 15.2519476140002,-82.3355343069999 15.252296693,-82.3360578349999 15.252644129,-82.336582451 15.2529899190002,-82.3371081519999 15.2533340590001,-82.3376349309999 15.2536765450001,-82.3381627829999 15.2540173750001,-82.338691704 15.2543565450001,-82.339221687 15.254694052,-82.3397527289999 15.2550298920002,-82.3402848219999 15.2553640620001,-82.3408179629999 15.2556965590001,-82.3413521459999 15.2560273790002,-82.3418873649999 15.256356519,-82.3424236159998 15.2566839770001,-82.3429608929999 15.257009748,-82.3434991909999 15.2573338290001,-82.344038504 15.257656218,-82.3445788269999 15.2579769110002,-82.345120155 15.2582959050001,-82.345662483 15.258613197,-82.346205805 15.258928783,-82.346750115 15.2592426610001,-82.347295409 15.2595548280001,-82.347841681 15.2598652790001,-82.3483889249999 15.260174013,-82.3489371369998 15.260481027,-82.349486311 15.2607863160002,-82.3500364409999 15.2610898790002,-82.350587521 15.261391712,-82.3511395479999 15.2616918120002,-82.351692514 15.261990177,-82.3522464149999 15.2622868030001,-82.3528012459999 15.2625816870001,-82.353356999 15.2628748270001,-82.353913671 15.263166219,-82.354471256 15.2634558610002,-82.3550297479999 15.2637437500001,-82.355589142 15.264029883,-82.3561494309999 15.2643142570001,-82.356710612 15.2645968700002,-82.3572726769999 15.2648777180002,-82.357835622 15.265156799,-82.3583994409999 15.2654341100002,-82.3589641289999 15.265709648,-82.3595296789999 15.265983411,-82.3600960859999 15.2662553960001,-82.360663345 15.2665256010001,-82.3612314509999 15.2667940210001,-82.3618003959999 15.2670606560001,-82.3623701769999 15.2673255020002,-82.362940787 15.2675885570002,-82.3635122199999 15.267849818,-82.3640844709999 15.2681092820002,-82.3646575349999 15.2683669470001,-82.3652314049999 15.2686228110001,-82.365806076 15.2688768700001,-82.366381543 15.2691291230001,-82.366739858 15.269284849,-79.873871428 16.258191422,-79.871884017 16.2594723650001,-79.8716270609999 16.2589996340001,-79.8705274719999 16.2569766850002,-79.8701577449999 16.2562964860001,-79.7693477629999 16.0708330690001,-79.8422219999999 16.070833,-79.9444439999999 15.9777780000001,-80.0652779999999 15.7666670000001,-79.9333329999999 15.5027780000003,-79.2419442489535 14.9660651450906,-79.2419406835051 14.9659621665801,-79.2491705712197 14.9528532123354,-79.241089658161 14.9413825593578,-79.2402351610238 14.9048716859797),(-81.2694148675142 13.8424781973173,-81.2684643146342 13.842475688873,-81.2572538458072 13.8425593497095,-81.2546170790308 13.8425060264026,-81.2533123450671 13.8424925530122,-81.2525291398894 13.8424952300527,-81.2513977807 13.842510427085,-81.2508170464738 13.8425222326933,-81.249661412199 13.8425540220993,-81.2474188425271 13.8426274783994,-81.2463099597865 13.8426691529224,-81.245295334511 13.8427197914625,-81.243292422542 13.8428439851266,-81.242291957014 13.8429179922971,-81.2412316080113 13.8430091430356,-81.2406610422892 13.8430706973811,-81.2382231886226 13.843136602795,-81.2359982605708 13.8432612000732,-81.2348635858997 13.84334012586,-81.2335095060258 13.8434527095404,-81.2326211570268 13.8435360579711,-81.2317346526534 13.8436287217177,-81.2311753718577 13.8436909640154,-81.2292935692321 13.8439134300943,-81.2283315006079 13.844193966918,-81.2264850703537 13.8443630511409,-81.2252249490929 13.844452824681,-81.2236097726023 13.8446285575014,-81.2223046563377 13.8447952416902,-81.2212209816353 13.8449577026511,-81.219712148633 13.8452347010841,-81.2182349317796 13.8455126808145,-81.2175257316534 13.8456294203342,-81.2170301590422 13.8457697239575,-81.2158331070869 13.8458386787553,-81.213855005951 13.8462117881635,-81.2124975416281 13.8464793677274,-81.2103818314933 13.8469141732443,-81.2097776830173 13.8470373371069,-81.2092852783403 13.8471135350164,-81.2078908554029 13.847337623972,-81.2073814346898 13.8474227248627,-81.2064019909841 13.8475947181637,-81.2047566586116 13.8478998127075,-81.2018873256572 13.8484634968909,-81.1999630156991 13.8488647615167,-81.1954081271829 13.8498686837497,-81.1944200713876 13.8500929464044,-81.1925981251435 13.8504938880926,-81.1913933807155 13.850769917528,-81.1892452034819 13.8512844871334,-81.1879525521959 13.8516085524449,-81.1840864941346 13.852621372496,-81.1828012784886 13.8529726506922,-81.1806659447315 13.8535806658813,-81.1793824794272 13.8539609408724,-81.1753184531306 13.8552130919427,-81.1736160569482 13.8557571646975,-81.1710825792191 13.8565965192859,-81.1696300685186 13.8570935838418,-81.1687592257124 13.8574002490122,-81.1683060128345 13.8575638235528,-81.1675111300739 13.8579869449016,-81.1668741512098 13.8582023716642,-81.1643421414403 13.8590719907133,-81.1626822554042 13.8597079532991,-81.1601965828474 13.8607452529774,-81.1587920192694 13.8613917693922,-81.1575412665819 13.8619148677124,-81.1554427781862 13.8626956780175,-81.1542161142542 13.8632381970842,-81.1505554396699 13.864904402431,-81.1493411572594 13.865472913001,-81.1473281325185 13.8664418844689,-81.1461209369966 13.867039113288,-81.1423386804649 13.8689622600443,-81.1407576199643 13.8697872333685,-81.1384095564122 13.8710444428659,-81.1372474661938 13.8716802981719,-81.1368459158236 13.8718932335662,-81.1358802057775 13.8723390609689,-81.134153770406 13.8731546374592,-81.1331226179733 13.8736533885895,-81.1320203141414 13.8741960813041,-81.1310076859799 13.8746896856252,-81.1300340375458 13.8751676275253,-81.1287777442132 13.8757932480848,-81.1247475232925 13.8778355988533,-81.1231109154998 13.8786874069287,-81.1206911801806 13.8799809148755,-81.1193335074629 13.8807241764951,-81.1184738853215 13.8812049154511,-81.1173934427792 13.8818232961631,-81.1158794425608 13.8827048812445,-81.1148221826941 13.8833309840441,-81.1127637928976 13.8845714087099,-81.1087066822944 13.8870611963908,-81.1074849279544 13.8878305891627,-81.105483704592 13.8891236332126,-81.1042932201034 13.8899124706231,-81.1007685557478 13.8923069458032,-81.0996031946759 13.8931183540327,-81.0976771864981 13.8944925199324,-81.0965261052227 13.8953340314463,-81.0931309056793 13.8978776120281,-81.0917193588404 13.89895875103,-81.0896106013972 13.9006104599366,-81.0883835653975 13.9015918119824,-81.0879982154787 13.9019043715704,-81.0872655286432 13.9025086153596,-81.0860334564519 13.9035442246525,-81.0844843719408 13.9048165195623,-81.0833076032283 13.9053667234364,-81.0812461205246 13.9063575546064,-81.0800101543351 13.9069685175432,-81.0762225110211 13.9088939955732,-81.0746411692252 13.9097189693919,-81.0722727376055 13.9109871275499,-81.070892728642 13.9117439996895,-81.0704592292258 13.9119856033122,-81.069630735705 13.9124561553274,-81.068236187689 13.9132654009172,-81.0658035211195 13.9147111671354,-81.0641609703078 13.9157131142669,-81.0600552173064 13.9182821673108,-81.0595214230512 13.9186207730544,-81.0570798795292 13.9201399282973,-81.0559514715352 13.9208583778357,-81.0540842908219 13.9220757320146,-81.0529721428197 13.9228180689249,-81.0496615538598 13.9250799061257,-81.048566207469 13.9258457584949,-81.0467550634244 13.9271414857438,-81.0456717983778 13.9279344304398,-81.0422873537662 13.930469783854,-81.0408755989423 13.9315509251064,-81.038766526065 13.9332026413937,-81.0375392897656 13.9341840115977,-81.0371539060826 13.9344965530668,-81.0364213091954 13.9351006327493,-81.0351894392214 13.9361359134186,-81.033048919978 13.9379735447575,-81.0316241878306 13.9392254053636,-81.0281566568279 13.9423437649105,-81.0268562309689 13.9435390823982,-81.0249266424315 13.9453516179147,-81.0236761245908 13.9465515718402,-81.0229947602697 13.9472166620043,-81.022676530347 13.9475275326205,-81.0222599601128 13.9479344673251,-81.021704461879 13.9484771123836,-81.0211347885266 13.9490336150064,-81.0202999208691 13.9498517985343,-81.0192019582367 13.9509454779704,-81.017550305257 13.9526223301237,-81.0164585372414 13.9537523889222,-81.0132153701695 13.957176172922,-81.0118894779246 13.9586094861718,-81.0099393698294 13.960768757264,-81.0088349235643 13.9620189968928,-81.0081875682571 13.9627663229353,-81.0078731082364 13.9631355863276,-81.0068875671798 13.9643090737238,-81.0052072296928 13.9663512442324,-81.0041049202449 13.9677209930595,-81.0015062420932 13.9710216911878,-81.0006931236672 13.9720786003755,-80.9993643019497 13.9738458158282,-80.9986610436903 13.9748010044135,-80.9984163649234 13.9751364904247,-80.9978299131998 13.9757452008894,-80.9947670471034 13.9789765136625,-80.9937655738652 13.9800589674598,-80.9921228911742 13.9818782363832,-80.9911442246696 13.9829889930285,-80.99062680188 13.9835943284995,-80.9899176751061 13.9844423240069,-80.9895583266846 13.9848781978008,-80.9883321049948 13.9863869070458,-80.9873312250976 13.9875560134426,-80.9866456948486 13.9883684822996,-80.9854719439996 13.9897846360986,-80.9847708603984 13.9906464579232,-80.9833479304403 13.9924291724556,-80.9825421276694 13.9934553255733,-80.9818795383871 13.9943122329987,-80.9813599000018 13.9949949402327,-80.9805198557983 13.9961150183934,-80.9800205819885 13.9967904594515,-80.9787416990701 13.9985461216017,-80.9782160347369 13.9992791512048,-80.9773492462393 14.0005071525214,-80.9768347712406 14.0012477148529,-80.9750406652669 14.0038719711086,-80.9745205674612 14.0046454758581,-80.9741974430812 14.0051330727005,-80.9726468701905 14.0073762956604,-80.9718874869943 14.0085006472139,-80.9705400831642 14.0105453556876,-80.9698721112626 14.0115836535932,-80.9695940311381 14.0120233279921,-80.9683683603182 14.0139912601258,-80.9675369249287 14.0153553425778,-80.9670444679385 14.0161808038192,-80.9668031165325 14.0165931311335,-80.9660420844916 14.0179138841377,-80.9647506458491 14.0202085768797,-80.9639086659659 14.0217437345369,-80.9619356775216 14.025434640955,-80.9613226037002 14.0266133233343,-80.9603278082984 14.0285789439224,-80.959744107851 14.0297646558798,-80.9580332671497 14.0333392804129,-80.9574761754243 14.0345371363187,-80.9565700795447 14.0365432357074,-80.9560398705302 14.0377526679435,-80.9545250399476 14.0413128732364,-80.9542262230467 14.0420284650233,-80.9537360380086 14.0432241852279,-80.9534466508554 14.0439434124522,-80.9531170579442 14.0447770885604,-80.9525072455567 14.0462352333172,-80.9517798975891 14.0479831073952,-80.9512180407851 14.0493667573512,-80.9503951328177 14.0514493206146,-80.949921948094 14.0526784217888,-80.9497704226487 14.0530793330333,-80.9494753013227 14.0538780908676,-80.9489765080075 14.0552649048208,-80.9481200626253 14.0577226735983,-80.9475638860703 14.0593767180464,-80.946276903415 14.0633458430846,-80.9458826408318 14.0646105293546,-80.9452523327765 14.0667149024649,-80.9448882570778 14.0679815361521,-80.9438388091517 14.0717918355779,-80.9435031109688 14.0730659182523,-80.9429895294629 14.0751056094745,-80.9427038382573 14.0760438511767,-80.9420406999218 14.0782352297506,-80.9416581285562 14.0795544592578,-80.9405568712174 14.0835234897654,-80.9402051091369 14.0848508656551,-80.939644662781 14.087069407717,-80.9393224530633 14.0884105902719,-80.9383940066682 14.0924869205596,-80.9380227109272 14.0942037716696,-80.9374962525998 14.0967756410125,-80.9372076215767 14.0982632813722,-80.9370415955953 14.0991636595002,-80.9369607199607 14.0996232367746,-80.9367084820012 14.101115767531,-80.9362986439746 14.1037015297686,-80.9360450770101 14.1054243822042,-80.9354833950048 14.1095516254612,-80.9353197617271 14.1108661597398,-80.9350729115615 14.113049134966,-80.9349394660423 14.1143604823019,-80.9345832840144 14.1182975188231,-80.9344792268059 14.1196113982094,-80.9343303303585 14.1218028131709,-80.9342554202751 14.1231250891764,-80.9340667457691 14.1273006135938,-80.9340067028289 14.1290568159267,-80.9339461710801 14.1316810145243,-80.9339271558501 14.1331202815612,-80.9339227430707 14.1338528535064,-80.9339221392103 14.1436135407664,-80.9339411079847 14.1453590064591,-80.9339987663766 14.1479804137864,-80.9340563914008 14.1497211490773,-80.9342388844399 14.1538679417383,-80.9343117857197 14.1551834915907,-80.9344571109472 14.1573638561622,-80.9345588814916 14.1586711328378,-80.9349077837446 14.1625884686265,-80.9350156374863 14.1636759244298,-80.9354385900699 14.1667147304464,-80.9355927917105 14.1682115125297,-80.9359114937317 14.1708151597248,-80.9360481683386 14.1718232612566,-80.9362424708776 14.1731291445287,-80.9364654611296 14.174467022333,-80.9368956546011 14.1767580012686,-80.936992224001 14.1772559013736,-80.9373137820396 14.1795133147854,-80.9374745840672 14.1803518126769,-80.9379538630205 14.1827060584608,-80.938319461862 14.1844096315838,-80.9390124900532 14.187848155081,-80.9388781892063 14.1884481493424,-80.938553089525 14.1899562463342,-80.9380220461775 14.1925505648603,-80.9377255662569 14.1940805231149,-80.9376262137604 14.1946158586853,-80.9374947736679 14.1953601850096,-80.9373881583441 14.1959217203736,-80.9371841114663 14.1969806284022,-80.9370104469118 14.1979215453901,-80.9367945417544 14.1991622250478,-80.9364934494704 14.2009717184228,-80.9361335536728 14.2031705641305,-80.936008458943 14.2039682104913,-80.9358094222448 14.2052967131848,-80.9356954734029 14.2060944780672,-80.9351762187247 14.2099220330095,-80.9350133667537 14.2112302214832,-80.9348677738059 14.2125061601991,-80.9344217345499 14.2131862476163,-80.9333946224471 14.2147872317736,-80.9319058319837 14.2171690348906,-80.9310647502686 14.2185474436827,-80.9305679724043 14.2193795805687,-80.9303206263679 14.2198019769912,-80.9295343445733 14.2211665121549,-80.9282010827322 14.2235373280201,-80.9274858756824 14.2248401993404,-80.9272588202584 14.2252284240276,-80.9264724593469 14.2265930652133,-80.9251373678201 14.2289671609605,-80.9242591669213 14.2305714372929,-80.9221036741376 14.2346154293866,-80.9214967706255 14.2357730961184,-80.9209277842514 14.2368856505909,-80.9200273837739 14.2386924760577,-80.9194997156511 14.2397788120609,-80.917982569107 14.2429842570525,-80.9174880748843 14.2440563835667,-80.916681834401 14.2458509436864,-80.9162062969016 14.2469382684714,-80.9145789019924 14.2507653110442,-80.91390747935 14.2523929344595,-80.9129310159635 14.2548360834743,-80.9123819437227 14.2562517102908,-80.9120582312538 14.2571097705845,-80.911896614189 14.2575489304922,-80.9113820908808 14.2589767154765,-80.9105177342497 14.2614541687171,-80.9099610739397 14.2631080823747,-80.9086845752313 14.2670398081298,-80.9083577130731 14.2680800443788,-80.9078321237415 14.2698082102575,-80.9075263043662 14.2708478580536,-80.906636203791 14.2739796172156,-80.9063408449363 14.2750573623969,-80.905863834302 14.276865057835,-80.905575993218 14.2780012594249,-80.9051189962149 14.2798848542133,-80.9045151314963 14.2824681577778,-80.9038975323171 14.2846650658248,-80.9035122610048 14.2861008367802,-80.9029004008607 14.288501215586,-80.9026080978173 14.2897047087502,-80.9024919271878 14.2901996340999,-80.901616262692 14.2940467991608,-80.9012445949174 14.2957637199343,-80.9007176002298 14.2983357390269,-80.90042865367 14.2998235830195,-80.9002624296861 14.300724177167,-80.9001815014441 14.3011836171878,-80.8999290807649 14.3026757961825,-80.899518883595 14.3052612978399,-80.8992650858515 14.3069840142194,-80.898702867269 14.3111110611178,-80.8985391358376 14.3124250039397,-80.8982921237022 14.3146069930001,-80.898158581229 14.3159177475814,-80.8978021089781 14.3198530049067,-80.8976979552507 14.3211662902107,-80.89754889834 14.323356714584,-80.8974738918779 14.3246783903098,-80.8972849882097 14.3288503459008,-80.8972248350715 14.3306050087317,-80.8971638387506 14.3332492099338,-80.8971430100344 14.3349964929333,-80.8971400724028 14.3363566328164,-80.8971437497761 14.3370813860477,-80.8971610959854 14.3385024687012,-80.8972182194419 14.3411043775876,-80.89727570446 14.3428466813999,-80.8974579769746 14.3469970333475,-80.8975308468611 14.3483137080158,-80.8976761832208 14.3504959370874,-80.8977779982051 14.3518043323515,-80.8981271467938 14.3557250192137,-80.8982581450574 14.3570309440369,-80.8985007458314 14.3592049396117,-80.8986617292377 14.3605142054767,-80.8992161280286 14.3646348001502,-80.8994686122574 14.3663676933206,-80.8996929441292 14.3678314731717,-80.8996687296614 14.3683036056378,-80.8994912991058 14.3722500683514,-80.8994311306905 14.3740048917124,-80.8993701223282 14.3766493663838,-80.8993492715517 14.3784154199611,-80.8993446503181 14.3835675433982,-80.8993483497589 14.3842803720961,-80.8993657110911 14.3857013052978,-80.8994228613329 14.3883028983565,-80.8994803641115 14.3900449992231,-80.8995795804278 14.3923313766086,-80.899438335534 14.3939036802683,-80.8993341402423 14.3952169944588,-80.8991850235047 14.3974074671236,-80.8991099884688 14.3987291328996,-80.8989210498519 14.402899914298,-80.8988609940102 14.4046492844225,-80.8987999491045 14.4072876480328,-80.8987803283757 14.4088412013593,-80.8987777485392 14.4093792583367,-80.898783559148 14.4105414103521,-80.8988087634172 14.4121964827041,-80.8988313489498 14.4131478286388,-80.8989264055159 14.4160987830863,-80.8989390582049 14.4168621740789,-80.898965035545 14.4181263727978,-80.8989831245522 14.4187583719356,-80.8990758624255 14.421285346676,-80.8991041481003 14.4219169894589,-80.8991709091807 14.4231797644736,-80.8992093845349 14.42381089485,-80.8995577002535 14.428854160659,-80.8996063575664 14.4294846227526,-80.8997138411762 14.4307447255164,-80.8997726673818 14.4313743643328,-80.9000282515024 14.4338906537603,-80.9000972330212 14.4345193130069,-80.9002453339554 14.4357754975331,-80.9003244549553 14.436403034046,-80.9004980052394 14.4377222911476,-80.9005533228565 14.438676651629,-80.9006966692771 14.4408223778214,-80.9007985201783 14.44213063885,-80.9011271607839 14.4458331765662,-80.901322731316 14.4475828468513,-80.9017922850317 14.4510721686862,-80.9019182443445 14.4519316424697,-80.9021850048571 14.4542376639569,-80.9023242046864 14.4553032401381,-80.9024568181849 14.4562202662788,-80.9027238050974 14.4580491370425,-80.9028579227062 14.458961854945,-80.9029565667093 14.4595969157409,-80.9031641336206 14.460864670666,-80.9032743775205 14.4615047461274,-80.9033908161405 14.4621207547615,-80.9036982612391 14.4632557721044,-80.9037904035158 14.4642160821567,-80.9038894788201 14.464874134292,-80.9037601521795 14.4692831748008,-80.9037638633912 14.4699969214107,-80.9037812513397 14.4714177640015,-80.9038384528522 14.4740190159018,-80.9038959925517 14.4757608874601,-80.9040784080723 14.4799103713202,-80.9041513266309 14.4812267758383,-80.9042967488219 14.4834085580387,-80.9043986183326 14.4847166853727,-80.9047479396078 14.4886365700532,-80.9048789984773 14.4899422276925,-80.9051217053183 14.4921157788728,-80.9052827558135 14.493424777851,-80.9058373782755 14.4975445496502,-80.9060899706518 14.4992771598799,-80.9064962443836 14.5018628266035,-80.9067462120753 14.5033536228331,-80.9069057442643 14.5042536725588,-80.9069908362749 14.5047119578782,-80.9072772076329 14.5061980633086,-80.9077990252156 14.5087642521764,-80.9081650831148 14.5104676189417,-80.9090851112863 14.5145329145938,-80.909392004039 14.5158205600085,-80.9099249991405 14.5179505818675,-80.9102591077315 14.5192251791272,-80.9113039383832 14.5230370862796,-80.9116665256112 14.5243042772128,-80.9122831798534 14.5263726006421,-80.9126230841436 14.5279351980724,-80.9130400682237 14.5298431286296,-80.9141680496161 14.5347157416154,-80.9146318806641 14.5366363883928,-80.9149255089831 14.5377991152804,-80.9154116517435 14.5396452316122,-80.9157128707781 14.5407456230947,-80.9165684323766 14.5437598920798,-80.9167276230413 14.5443051274446,-80.9170538842333 14.5453933584369,-80.9172209544314 14.5459363528317,-80.9179048644348 14.5481034195958,-80.918079788213 14.5486440810632,-80.9184374483949 14.5497229481966,-80.9186601146835 14.5503760328799,-80.9189728896612 14.5513516299862,-80.9194509562439 14.5528334499223,-80.9200398355482 14.5545957039943,-80.9205542786425 14.5560827386623,-80.9208455768372 14.556902295574,-80.9214056716009 14.5584388577847,-80.9216972163258 14.5592159540302,-80.9226262036148 14.56163098886,-80.9233233934743 14.5633837228507,-80.9241899621888 14.5654953035631,-80.9244116550922 14.5660237344293,-80.9248412443973 14.5670272935041,-80.9250595240982 14.5675276575586,-80.9259464283177 14.5695230900827,-80.9261716604574 14.5700205749724,-80.9266526564472 14.5710628917346,-80.926838143173 14.5715050518594,-80.9277178272766 14.5735524875688,-80.9281721861358 14.5745702890238,-80.9300462342408 14.5786145899725,-80.9305292720895 14.5796197451345,-80.9315236682958 14.5816166847721,-80.9320411780376 14.5826199949658,-80.9339088081377 14.5861156170019,-80.9347566463268 14.587663034367,-80.9360494242194 14.5899621718888,-80.936794327343 14.5912564769885,-80.9372783457492 14.5920801035379,-80.937899393346 14.5931132030995,-80.9387847332012 14.5945613955893,-80.9393878217231 14.595532267737,-80.940468633677 14.5972447215984,-80.9411626384511 14.5983288760377,-80.9437384666201 14.6022956444374,-80.9445462029921 14.6035199813317,-80.9453678592717 14.6047467281255,-80.9459878420656 14.605654404528,-80.9469986458704 14.6071056995812,-80.9476110083268 14.6079686035209,-80.9494711548383 14.6105416109966,-80.9501006112698 14.6113963432086,-80.9511629261848 14.612812571058,-80.9518117214823 14.6136617616312,-80.9528859174359 14.6150432071819,-80.9555815097712 14.6184795903592,-80.9567432669662 14.6199274139988,-80.9585002649116 14.6220665442788,-80.9595276620742 14.6232907961389,-80.9601573598831 14.6240266868849,-80.9604882174833 14.6244067992205,-80.9615757758872 14.6256384873187,-80.9634760026257 14.6277443534403,-80.9647561240349 14.6291302717918,-80.9677955809993 14.6323470167592,-80.968661648905 14.6332445129133,-80.9701124269033 14.6347174770385,-80.970992110042 14.6355926347132,-80.9736578388604 14.6381912695503,-80.9745556209814 14.6390488397705,-80.9760667079132 14.6404631920475,-80.9769875017134 14.6413075792784,-80.9802879815096 14.6442711397084,-80.9817157656228 14.6455242740194,-80.9838711210533 14.6473724400538,-80.9851201205461 14.6484206052108,-80.9858699682936 14.6490378962673,-80.9862470066586 14.6493431198124,-80.9874540982093 14.650306888233,-80.9895529038437 14.651948550461,-80.9909604600089 14.6530252919659,-80.9943510648155 14.655562628667,-80.9954367410343 14.6563564935365,-80.9972520666777 14.6576538106975,-80.9983499798421 14.6584206165612,-81.0016684710364 14.6606852920149,-81.0027833351483 14.6614285766608,-81.004655141163 14.6626475098302,-81.0057920249394 14.6633704077478,-81.0094003056669 14.6656092564767,-81.0109275022897 14.666534631772,-81.0132439092989 14.6679043087291,-81.014609840431 14.6686935070923,-81.0150387836417 14.6689374934103,-81.0158521934662 14.6693916871035,-81.0172284127896 14.6701438774121,-81.0196526583226 14.6714372847006,-81.0213034868894 14.6722947246969,-81.0254601410933 14.6743966361672,-81.026650263432 14.674988498129,-81.0277931984133 14.6755429649946,-81.0296491361905 14.6764202394996,-81.0307649891998 14.67693432612,-81.0340571721234 14.6784121689482,-81.0351583068391 14.6788938213666,-81.0370014223716 14.6796790878881,-81.0381181414097 14.680142221828,-81.0420491013135 14.681727244435,-81.0437172560534 14.6823797355614,-81.0462194338883 14.6833279963957,-81.047664592371 14.6838595421988,-81.04853682854 14.6841716165843,-81.0489931726659 14.6843309020685,-81.0504731111728 14.6848366156808,-81.0530270834159 14.6856812573793,-81.0547305862167 14.6862246240721,-81.0588095839743 14.6874789911981,-81.0601089892282 14.687863121228,-81.0622710799017 14.68847714292,-81.0635724517107 14.6888317664112,-81.0674872516749 14.6898538067138,-81.0687962769388 14.6901806818974,-81.070983867437 14.6907022352918,-81.072306395504 14.6910026144573,-81.076483810268 14.6919037031074,-81.078241899708 14.6922637984162,-81.0808729892851 14.6927738790737,-81.0823883000395 14.6930523732683,-81.0833001703672 14.6932116768523,-81.0837795900953 14.6932916214883,-81.0853312993401 14.6935399538952,-81.0879998884745 14.6939400893331,-81.0897758083912 14.6941871740017,-81.0940178117961 14.6947324800893,-81.0953700801363 14.6948913565117,-81.0976156503686 14.6951308169491,-81.0989645920609 14.6952601318451,-81.1030144727767 14.6956048189159,-81.1043660035544 14.6957053423808,-81.1066202000342 14.695848859005,-81.1079803300254 14.6959208338615,-81.1122796502298 14.6961014047866,-81.1140847006074 14.6961583263192,-81.1168029665561 14.6962150693531,-81.1186153784613 14.6962335231196,-81.1220255968608 14.696231820894,-81.1238220863155 14.6962118651563,-81.1265159898845 14.6961533872469,-81.1283048503556 14.6960956562683,-81.1325662752866 14.695913921763,-81.1339181787768 14.6958415991014,-81.1361587700513 14.6956977940295,-81.1375021418882 14.6955972704822,-81.1415275898086 14.6952531005217,-81.1428683919572 14.695124131085,-81.1451004216174 14.6948855335514,-81.1464445613064 14.6947273488236,-81.1506729319224 14.6941832353013,-81.1524434219066 14.6939367311491,-81.1551038608475 14.6935376417408,-81.1566508297092 14.6932900129718,-81.1571291593644 14.6932102403211,-81.1580403539002 14.6930510454302,-81.1595554029553 14.6927725966611,-81.1621864925208 14.6922625160029,-81.1639445819423 14.6919024206957,-81.1681219966731 14.6910013320477,-81.1694445247411 14.6907009528802,-81.1716321152248 14.6901793994859,-81.1729411404757 14.6898525243037,-81.1768559404259 14.6888304839989,-81.1781573122319 14.6884758605059,-81.180319402889 14.6878618388149,-81.1816188081332 14.6874777087864,-81.1856978058628 14.6862233416616,-81.1874013086468 14.6856799749704,-81.1899552808735 14.6848353332732,-81.1914352193743 14.6843296196598,-81.1918915635069 14.6841703341726,-81.192763799669 14.6838582597878,-81.1942089581487 14.6833267139824,-81.1967111359737 14.6823784531454,-81.1983792906951 14.6817259620226,-81.202280452825 14.6801532722838,-81.2032190744598 14.6797656927907,-81.204767723125 14.6791115145211,-81.2056936038312 14.6787116097334,-81.2083071884375 14.6775584753376,-81.2089474206055 14.6772693660955,-81.2102227119221 14.6766805325844,-81.2108577698 14.6763808089094,-81.2133869086879 14.675161030128,-81.2140166030489 14.6748507762629,-81.2152704488885 14.6742198319035,-81.2158945990775 14.6738991420664,-81.218605756893 14.6724765160362,-81.2194112108814 14.6720465143714,-81.2206146886192 14.6713933004042,-81.2211008945959 14.6711253723202,-81.2224650916472 14.6703961467869,-81.2233848770878 14.6698982194565,-81.2244464113755 14.6693554233115,-81.2256435209044 14.6687336069382,-81.2274909092226 14.6677499139306,-81.22797379978 14.6674883177004,-81.2289181796809 14.6669686269375,-81.2293777629167 14.6667116067553,-81.2303963442952 14.6661293302472,-81.2319146799263 14.6652469860603,-81.2329746091719 14.6646205299749,-81.2350456520784 14.6633748414961,-81.239127336489 14.6608740097937,-81.2403541339179 14.6601026160061,-81.2423629846727 14.6588065505815,-81.2435579277471 14.6580158862307,-81.2470950288942 14.6556162302635,-81.2477482547573 14.6551727590852,-81.2481841104942 14.6549058329787,-81.2516068996503 14.6527806228496,-81.2527437290815 14.6520577246989,-81.2546154456636 14.6508387911172,-81.2557302565219 14.6500955062164,-81.2590485892551 14.6478308299805,-81.2601464500035 14.6470640238565,-81.261961689024 14.6457667062336,-81.2630473134807 14.644972841055,-81.2664377573232 14.6424355028802,-81.2678452492868 14.6413587587192,-81.2699439607443 14.6397170911461,-81.2711510036588 14.6387533150531,-81.2715281924009 14.6384479530601,-81.2722789220724 14.63782989254,-81.2735297539298 14.6367800926823,-81.2756884399685 14.6349288388382,-81.2771229753168 14.6336694798922,-81.2805991257102 14.6305456277405,-81.2817449501879 14.6294946501959,-81.2821505102983 14.6291173160817,-81.2827045691686 14.6286307501146,-81.2840788191089 14.6274231498031,-81.2875503104777 14.6243033238223,-81.2888509823936 14.6231085722491,-81.2907807788699 14.6212970383237,-81.2920492732873 14.6200802860422,-81.2931167168187 14.6190348391331,-81.2941753459571 14.6179779934355,-81.2957414843909 14.6163854709135,-81.2967775643032 14.6153124119228,-81.3000095414922 14.6119014180085,-81.301329611721 14.6104750016226,-81.303268386334 14.6083294556353,-81.3043580358077 14.6070969471598,-81.3049899975788 14.6063681294569,-81.3053141555777 14.6059879279425,-81.3063239262177 14.6047866118925,-81.3080210815706 14.6027247847433,-81.309131675434 14.6013449302208,-81.3117345554425 14.5980386866453,-81.3125484297929 14.5969806418922,-81.3138783142174 14.5952116631482,-81.31466433509 14.5941418094763,-81.3169856515053 14.5909082245529,-81.317747489817 14.58982191669,-81.3189967909439 14.5879981023315,-81.3197376239835 14.5868904553586,-81.3220306797435 14.5833769816581,-81.3229736058967 14.5818976832107,-81.3243664830693 14.5796587580426,-81.3251590793528 14.5783554450764,-81.3254007564111 14.5779519568227,-81.3258668054609 14.5771594309968,-81.3266263483407 14.5758401722636,-81.32791903937 14.5735410438404,-81.3287668216198 14.5719936309801,-81.3307401049821 14.5682971352329,-81.331352770096 14.5671174791619,-81.3323246019935 14.5651946531105,-81.3330835287915 14.5639729308556,-81.334567035038 14.5615954385605,-81.3354105591516 14.560210566673,-81.3356658436256 14.5597846782356,-81.3361502962844 14.5589607877928,-81.3369354898678 14.5575956464943,-81.338270791217 14.5552163483705,-81.3391545120531 14.5535984780627,-81.3413115042637 14.5495415731721,-81.3419229224436 14.548371961658,-81.3424122158816 14.5474142882049,-81.3435755244656 14.5449221901705,-81.3442236471831 14.543627092157,-81.3445189747085 14.5430282820333,-81.3449126231684 14.5424847849823,-81.3455825764195 14.5415436284457,-81.3466837722985 14.5399648253036,-81.3473352488339 14.5390114253036,-81.3477203075707 14.5384377971824,-81.348631504993 14.5370891724445,-81.3491087709916 14.5363722564213,-81.3498954761691 14.5351719654234,-81.3502928373809 14.534557058691,-81.3507723721885 14.5338177154811,-81.3510803482468 14.5333612566537,-81.3521668990135 14.5317970869888,-81.352773078625 14.53091063777,-81.3538173853702 14.5293536884436,-81.3544382082691 14.5284091195012,-81.3562726806495 14.5255599562747,-81.3568728369645 14.5246083494843,-81.357760178966 14.5231733733995,-81.3580260666834 14.522736664874,-81.3585828000982 14.5218083255372,-81.3588716458734 14.5213162587316,-81.3596525852135 14.5199604532712,-81.3609563336443 14.5176415787617,-81.3618038950652 14.5160941836982,-81.3637832528444 14.5123850324509,-81.3644342563378 14.5111290478615,-81.3654894450617 14.5090327800522,-81.3661096025727 14.5077635333308,-81.3679516145556 14.5038797296039,-81.3694461574812 14.5006851135042,-81.3698991780976 14.4996935177351,-81.3706348969972 14.4980433136485,-81.3710695358098 14.4970438796436,-81.3726844877716 14.4932322501338,-81.3733487564336 14.4916163845467,-81.374320343008 14.4891768174165,-81.3748676507084 14.4877607187672,-81.3750334047024 14.4873230725667,-81.3753512979333 14.4864626733609,-81.3758641898274 14.4850338905263,-81.3767271547542 14.4825500722353,-81.3772860026895 14.480882259406,-81.3784572093 14.4775757705373,-81.3789403485616 14.4771407170721,-81.3797602014456 14.4763899634673,-81.3813846063881 14.4748729072734,-81.3823490356289 14.4739523205049,-81.3852104337399 14.4711606833445,-81.3861539912234 14.4702198003605,-81.3877088486744 14.4686351059595,-81.38863553762 14.4676696495678,-81.3915191399467 14.4645974493491,-81.3927115397087 14.4632995928548,-81.394482793644 14.461329147891,-81.3954969355869 14.460177851665,-81.3958073949616 14.4598206264055,-81.3964062268697 14.4591203617493,-81.3973878641322 14.4579510355916,-81.3990691441121 14.4559067702536,-81.4001789776028 14.4545269531237,-81.4027801571867 14.4512206989106,-81.4035935028415 14.4501626473177,-81.4049225242899 14.44839365642,-81.4057080354032 14.4473237952999,-81.40802784744 14.4440901876114,-81.4087891923795 14.4430038720257,-81.4100376849718 14.441180044521,-81.4107780391305 14.4400723890597,-81.4130696220012 14.436558875339,-81.4140119751722 14.4350795081582,-81.4153288634786 14.4327926998542,-81.4161498819801 14.4315066614771,-81.4164202738384 14.4311040115623,-81.4168831487366 14.4303277079563,-81.4173109658443 14.429631589296,-81.4176586724402 14.4290198470898,-81.4188098809121 14.4268972425172,-81.4190699963726 14.4264109759394,-81.4196941540659 14.4251302674254,-81.4217765370047 14.4214729392264,-81.4224070300811 14.4202571599751,-81.4234293360693 14.4182292338101,-81.4240286672033 14.4170057717494,-81.4257837977069 14.4133166897267,-81.4263554028103 14.4120788968108,-81.4272843296833 14.4100052382276,-81.4278286713559 14.4087516872778,-81.4294616221412 14.4048721598215,-81.4302551495709 14.4029596764041,-81.4308077391369 14.4015941343062,-81.431612733853 14.3995505101477,-81.4320666906193 14.3983686263231,-81.4322150235229 14.397975264456,-81.4325409360025 14.3970898013768,-81.4330910606067 14.3955506094718,-81.4340274542859 14.392836373051,-81.4346352901389 14.3910025564031,-81.4360614307972 14.3865220683953,-81.4370238057213 14.3835458453244,-81.437424802344 14.3822607271607,-81.4380729745702 14.3800964972867,-81.4383546773599 14.3791180152965,-81.4386906161936 14.3779823617811,-81.4390459831116 14.3767386880872,-81.4400902073176 14.3729266165342,-81.4404241216338 14.3716519661636,-81.4409568071541 14.3695218551277,-81.4412635219379 14.3682341552312,-81.44218299341 14.3641687923267,-81.4425488437388 14.3624653327864,-81.4430703733801 14.3598989629201,-81.4433566133916 14.3584126060906,-81.4434417283034 14.3579538945843,-81.4436014424679 14.3570521606916,-81.4438518196092 14.3555576739207,-81.4442587800352 14.3529650136548,-81.4445117450539 14.3512276829858,-81.4450675083264 14.3470928537768,-81.4452311293281 14.3457584425178,-81.4454771807847 14.3435424767594,-81.4456096835145 14.3422113185507,-81.4459616398638 14.3382148766049,-81.4460638244855 14.3368811800032,-81.4462088296641 14.3346567542542,-81.4462808942268 14.3333153743532,-81.4464606779495 14.3290488216086,-81.446513741635 14.3273671150922,-81.4465663976321 14.3248391661462,-81.4465823542478 14.3233783348423,-81.4465843180109 14.3229283049967,-81.4465811912077 14.3220439370454,-81.4465628540269 14.3205815020849,-81.446505906746 14.3180497963613,-81.4464496186981 14.3163561336712,-81.4462602790338 14.3120399733023,-81.4461892859712 14.3107501252414,-81.4460479985579 14.3086114250952,-81.4459491615254 14.307328706251,-81.4456423889448 14.3038320087973,-81.445290725403 14.2999129684275,-81.4451540029466 14.2985601006094,-81.4449001660491 14.2963086642146,-81.4447314006363 14.2949532164797,-81.4441704577158 14.2908425958423,-81.4439178511863 14.2891301902272,-81.4435097910603 14.2865601602528,-81.4432588008623 14.2850769640603,-81.4431782232568 14.284619589697,-81.4430122336228 14.2837202975817,-81.442723402832 14.2822329627512,-81.4421964512727 14.2796609556134,-81.4418248134161 14.2779440404016,-81.4408977226231 14.2738767697699,-81.4406182385811 14.2727090719097,-81.4406465490935 14.2721751862416,-81.4408778380952 14.2700895148394,-81.4410091244155 14.2687763485387,-81.4413586657254 14.2648339545308,-81.4414604561115 14.2635183110519,-81.4416054915058 14.2613239952894,-81.4416780220877 14.2600000367267,-81.4418591723319 14.2558162896906,-81.4419158241528 14.2540629655448,-81.4419713278264 14.25144642739,-81.4419876148052 14.2500226630178,-81.4419907192736 14.2493052635847,-81.4419852748538 14.2475717135456,-81.4419625347704 14.2458426676219,-81.4418992788329 14.2432268531626,-81.4418380176159 14.2414900577156,-81.441647087715 14.2373535266094,-81.4415715802569 14.2360412876627,-81.4414220485943 14.2338664583752,-81.4413178240089 14.2325625264169,-81.4409617790092 14.2286552821858,-81.4408285929625 14.2273538610155,-81.4405825301018 14.22518740057,-81.4404195850487 14.2238827950008,-81.4398598443242 14.2197800882632,-81.4396072931638 14.2180674072127,-81.4391993129207 14.2154969439264,-81.4389483557415 14.2140134250823,-81.4388677890194 14.2135559565139,-81.438701864523 14.2126567122764,-81.4384128498434 14.2111680051286,-81.4378850090861 14.2085911000981,-81.4377526107778 14.2079726654947,-81.4376365646377 14.2071980318297,-81.4373622498147 14.2054635174537,-81.4379438295798 14.2048811929347,-81.43949687951 14.2032964819767,-81.4404224921627 14.2023310147968,-81.443302763728 14.1992587619374,-81.4444938522242 14.1979608104014,-81.4462631969898 14.1959901754438,-81.447276383623 14.1948386074276,-81.447586569766 14.1944812747061,-81.4481845460806 14.1937811855526,-81.449164886209 14.1926120298434,-81.4508440834708 14.1905679002647,-81.4519525637551 14.1891881509329,-81.4545507188768 14.1858818783509,-81.45536312422 14.1848238147009,-81.4566906108653 14.1830548023135,-81.4574752153798 14.1819849280173,-81.4597923519018 14.1787512800887,-81.4605528194038 14.1776649508335,-81.4617998740568 14.175841100077,-81.4625393765491 14.1747334295999,-81.4648283401972 14.1712198445878,-81.4657696751842 14.169740353781,-81.4671602546904 14.1675010470807,-81.4679517318334 14.1661971927112,-81.4681930938621 14.1657934908237,-81.4686580865194 14.1650013135548,-81.4694160515737 14.1636823920591,-81.4707062468431 14.1613835296899,-81.4715524223659 14.1598362483938,-81.4735221640329 14.1561397107669,-81.4741337370193 14.1549600291588,-81.4751259173208 14.1529929072993,-81.4757080151309 14.1518063107346,-81.477413926993 14.1482290769405,-81.4779693353396 14.1470303660926,-81.4788725733175 14.1450228707844,-81.479403542248 14.1438066997212,-81.4810318658389 14.1399586761569,-81.4816951970935 14.1383426123843,-81.4826654463353 14.1359026551845,-81.4832121204931 14.1344860080965,-81.4833776991266 14.1340481459352,-81.4836949717583 14.1331880976877,-81.4842069539297 14.1317596528699,-81.4850685088161 14.1292760981832,-81.4856264635879 14.1276084143259,-81.4869080688326 14.1236340762118,-81.48730028964 14.1223686622013,-81.4879271264361 14.1202632679144,-81.4882890982739 14.1189960428539,-81.4893321604531 14.1151840320168,-81.4896657052004 14.1139093997481,-81.4901978035666 14.1117793187893,-81.4905041820466 14.1104916358518,-81.4914226843883 14.1064261744518,-81.4917881753468 14.1047225521921,-81.4923092066765 14.1021558646271,-81.4925952200526 14.1006690659983,-81.4926802737902 14.1002101809635,-81.4928397647946 14.0993087271088,-81.4930898281439 14.0978145085556,-81.4934963262318 14.0952220544241,-81.4937490132955 14.0934848233234,-81.4943038633648 14.089352797815,-81.4944654192332 14.0880354891697,-81.4947087043031 14.085848088277,-81.4948399516211 14.084534104836,-81.4951893606685 14.0805892269062,-81.4952911008534 14.0792727530453,-81.4954360422023 14.0770770520481,-81.4955085098952 14.0757522550944,-81.4956895424395 14.0715634785442,-81.4957461124878 14.0698081822668,-81.4958014496407 14.0671889222181,-81.495817625357 14.0657641885445,-81.4958206456923 14.0650404650619,-81.4958160189222 14.063827561805,-81.4957930285013 14.062107551779,-81.495729419502 14.0594934443925,-81.4956679754588 14.0577580777291,-81.4954767930525 14.0536264836056,-81.4954012563442 14.0523158634641,-81.4952517566538 14.0501437264154,-81.4951475990649 14.0488414091392,-81.4947918979574 14.0449390007736,-81.4946588743348 14.0436391907974,-81.4944131615293 14.0414754109559,-81.4942504755052 14.0401724179938,-81.4936917006465 14.0360747558802,-81.493439602079 14.0343641022815,-81.4930323846143 14.0317966308546,-81.4927818864215 14.0303146698477,-81.4927014391047 14.0298575091128,-81.4925357394822 14.0289587294562,-81.4922473231185 14.0274717439256,-81.491721047467 14.0248999261235,-81.4913498784179 14.0231830990062,-81.4904249200812 14.0191200437162,-81.4901228443518 14.0178584032217,-81.4895989486511 14.0157716845936,-81.4892709122973 14.0145229491002,-81.4882546608901 14.0108180753051,-81.488048241141 14.0100892448251,-81.487813292531 14.0091811178495,-81.4866680746396 14.00493763957,-81.4862677304939 14.003524008678,-81.4855712475117 14.0011761890083,-81.4851338474584 13.9997663755663,-81.4838397392621 13.995773113705,-81.4832837121245 13.9941190285269,-81.4824203103081 13.9916412505698,-81.4819062631231 13.9902130356178,-81.4817447817873 13.9897737086942,-81.4814215622845 13.9889159064401,-81.4808732563397 13.9875005201423,-81.4798980622457 13.9850575422898,-81.4792274983645 13.9834299962293,-81.477592691701 13.9795814303758,-81.4770600702587 13.9783659892435,-81.4761542094708 13.9763598772019,-81.4755972621265 13.9751620136925,-81.4738868643071 13.9715873663476,-81.4733033147904 13.9704016467794,-81.47230877637 13.9684360135039,-81.4716958606839 13.9672573233048,-81.4697233777459 13.9635663870353,-81.4688816015769 13.9620311959609,-81.4675904674588 13.9597364407953,-81.4668295880707 13.958415607083,-81.4665921496465 13.9580097536671,-81.4661220148617 13.9572207985742,-81.4653311427942 13.9559208665281,-81.4639372097654 13.9536811481807,-81.4629879311515 13.952192419498,-81.4606942362369 13.9486794833191,-81.4599537605447 13.9475727745468,-81.4587052418593 13.9457506575487,-81.4579439391086 13.944665379417,-81.455624457128 13.9414349048882,-81.4548391241966 13.9403660951219,-81.4535104973701 13.9385988725534,-81.4526974980759 13.9375419590157,-81.4500991984694 13.9342412448487,-81.448997041676 13.9328714798594,-81.4473169318142 13.9308292796832,-81.4463315067969 13.9296557551097,-81.4460249895176 13.9292956343231,-81.445422899938 13.9285995876909,-81.4444141885589 13.9274546742134,-81.4426445176659 13.925486276695,-81.4414457159815 13.9241815849886,-81.4385630346232 13.9211108822101,-81.4376372472277 13.9201464860722,-81.4360770637189 13.9185566656158,-81.4351774339734 13.9176590828844,-81.4345414350349 13.917015483163,-81.4326654540083 13.9149354277592,-81.4313731657008 13.9135356033185,-81.4281279885316 13.9101025394552,-81.4267270117663 13.9086565465863,-81.4247932070786 13.9067067480885,-81.4240079826694 13.9059301929981,-81.4227040276302 13.9046637574159,-81.4219061104353 13.9039026685145,-81.4201724338979 13.9022799966914,-81.4189072012767 13.9011193853056,-81.4155257842488 13.8980828288714,-81.4141251574001 13.8968534142995,-81.4120212046767 13.8950483133215,-81.4108094928879 13.8940302626812,-81.4100867249992 13.8934343194867,-81.409703174633 13.8931232284776,-81.4084761906083 13.8921418811554,-81.4063675150109 13.8904901741759,-81.4049560221257 13.8894090357566,-81.4015949148284 13.8868903365239,-81.4006492815612 13.8861960166498,-81.3990709186841 13.885060063849,-81.3981172701411 13.8843873098581,-81.3952344946287 13.8823941928463,-81.394250497067 13.8817277382463,-81.3925955238104 13.880629940877,-81.3915675161541 13.8799625580008,-81.3901404069285 13.8790557270852,-81.3864017316895 13.8767152759955,-81.3857174893359 13.876293143908,-81.3845861377198 13.8756052593455,-81.3838978514605 13.8751928412832,-81.3818071193803 13.8739582841671,-81.3803022428643 13.8730785505094,-81.3788328950851 13.8722167113034,-81.3777067779484 13.8715674783077,-81.3773315124445 13.8713540684041,-81.3765150582194 13.8708979278993,-81.3750964724584 13.8701219506831,-81.3725870654503 13.8687830548692,-81.3708840146129 13.8678993089105,-81.3667021733186 13.8657883735096,-81.3650627203709 13.8649739352701,-81.3639597539686 13.8644391582588,-81.3621443714988 13.8635808580892,-81.3610516330536 13.8630770663514,-81.3577891528334 13.8616108587499,-81.3566972325768 13.8611326015807,-81.35486961898 13.8603527981209,-81.3537623415969 13.859892842027,-81.34984662208 13.8583111538258,-81.3481888188505 13.857661475355,-81.345704313447 13.8567179924683,-81.34429013136 13.8561965003431,-81.3434719091326 13.8559024737978,-81.3430764940022 13.8557635422329,-81.3418698064867 13.855347285976,-81.339807633977 13.8546544966109,-81.3384904587105 13.8542241520129,-81.336873312595 13.8537082707179,-81.3363587179954 13.8535393887016,-81.3344691224403 13.8529329570735,-81.3301498229877 13.851592005358,-81.3290301467064 13.8512560047749,-81.3272013645276 13.8507256636364,-81.3261033425563 13.8504180291521,-81.3227960536246 13.8495237179073,-81.3216607477899 13.8492280334166,-81.3197569673492 13.8487511781894,-81.3185641291115 13.8484646781098,-81.3166401639962 13.8480226493177,-81.3117195693545 13.8469367518443,-81.3097761883497 13.8465315753209,-81.3069188228473 13.8459706127198,-81.3052873814958 13.8456681930609,-81.3043232842484 13.8454987850464,-81.3038315814539 13.8454164931389,-81.3022776537792 13.8451671860826,-81.2996137219288 13.8447668633004,-81.2978418281147 13.8445198240097,-81.2936148793127 13.8439753437202,-81.2922672201916 13.8438166847651,-81.2900293408063 13.8435775711931,-81.2886850258117 13.8434484541596,-81.2846490601212 13.8431042990758,-81.283302180034 13.843003932377,-81.2810557482878 13.8428606595303,-81.2797003054972 13.8427888209795,-81.2754147208461 13.8426085661594,-81.2736152223749 13.8425517487049,-81.2709280985488 13.8424953991551,-81.2694148675142 13.8424781973173),(-80.4115898320671 14.0628686760353,-80.3946886198199 14.0628246298032,-80.3939469212353 14.0628276511981,-80.3924643977375 14.0628438737584,-80.3897516941267 14.0628991973475,-80.3879345294335 14.0629556797055,-80.3836039864929 14.0631361051197,-80.382206951336 14.063210009334,-80.3798914158472 14.0633581760566,-80.378503138499 14.0634623496753,-80.3743432711452 14.0638205283967,-80.3729573425011 14.0639552317989,-80.3706501838296 14.0642051280272,-80.3692667028599 14.0643704096913,-80.3651989475857 14.0649006666853,-80.3627695535307 14.0652249875375,-80.361175660533 14.0654522306647,-80.3587785054129 14.0658173825299,-80.3573800430933 14.0660431823297,-80.3569349692667 14.0661178309539,-80.3560537163793 14.0662723295881,-80.3545568856936 14.0665479109193,-80.3519378631392 14.0670562817448,-80.350187070185 14.0674152851876,-80.3460214923627 14.0683147241566,-80.3447025123775 14.0686145876243,-80.3425207328872 14.0691352636628,-80.34121516843 14.06946159531,-80.3373106513599 14.0704819261136,-80.3360126746505 14.0708359534516,-80.3338561935278 14.0714489543766,-80.3325601070923 14.0718324629049,-80.3284903497205 14.0730851387678,-80.3267863124348 14.0736292070882,-80.3242503757112 14.0744685611141,-80.3227964123893 14.0749656407262,-80.3219246641736 14.0752723277122,-80.3214710717869 14.0754358810218,-80.3200072170442 14.0759745877693,-80.3174996910579 14.0769256412529,-80.3158403534706 14.0775752852082,-80.3118979266459 14.0791664837314,-80.3106521988146 14.0796851881644,-80.3085959565068 14.0805674896502,-80.3073681355743 14.0811099920836,-80.3049162531005 14.0822235963005,-80.3039237185454 14.0825532191675,-80.3024839822398 14.0830452635273,-80.3016495826877 14.0833382677988,-80.3012785761813 14.0834714233397,-80.3002760143688 14.0838367636679,-80.2995108667232 14.0841147272047,-80.2990347590041 14.0842852490993,-80.297841078523 14.0847216449755,-80.2958479724945 14.0854682052467,-80.2952671879929 14.0856855247705,-80.2938125080474 14.0862213412577,-80.2913256127818 14.0871647658784,-80.2896662028872 14.0878144082153,-80.2857385718203 14.0893993765108,-80.2845822095343 14.0898797945388,-80.2826735099051 14.0906952408477,-80.2815333684162 14.0911958060709,-80.2781671699303 14.092713302711,-80.2773222313415 14.093101911296,-80.2759190812906 14.0937599429412,-80.2750802582073 14.0941609635879,-80.2745056382379 14.0944403072471,-80.2740867636937 14.0946431332086,-80.2735296871228 14.0949128773601,-80.2729255022613 14.0952054691672,-80.2718857001309 14.0957115242733,-80.2703358025043 14.0964789089215,-80.266194522891 14.0985730031579,-80.2645413384995 14.0994320616628,-80.2621022354283 14.1007341570497,-80.2607090735329 14.1014962588642,-80.2598801975109 14.1019595901714,-80.2594597858596 14.102199031007,-80.2581169229602 14.1029757197334,-80.2558182942328 14.1043358618589,-80.2543004285467 14.1052560950254,-80.2507004594086 14.1074907282904,-80.2495656996443 14.1082125464354,-80.2476972545778 14.1094297256219,-80.2465843551446 14.1101719521975,-80.2432715693591 14.1124334179144,-80.2421754956018 14.1131991419758,-80.2403631463842 14.11449464923,-80.2392791578422 14.1152874584213,-80.2358919605713 14.1178227383673,-80.234479000155 14.1189038924578,-80.2323859162975 14.1205414085879,-80.2311894940389 14.1214967697342,-80.2304736747696 14.1220789996236,-80.2301067238234 14.1223823227522,-80.2289247655982 14.1233725885369,-80.2269043082903 14.1251000266845,-80.2255737583564 14.1262626830322,-80.2224256150568 14.1290729370768,-80.2216710881377 14.1297167868393,-80.221187502167 14.1299839445256,-80.2205636521871 14.1303337548035,-80.2201471848308 14.1305709547387,-80.2188041759147 14.1313476287662,-80.2165052750046 14.1327077578413,-80.2149872271168 14.133627983522,-80.2114031302737 14.1358522376569,-80.2103654708163 14.1365108431023,-80.2086565818344 14.1376193885847,-80.2076380423619 14.1382944715863,-80.2066534797745 14.138959890119,-80.2052253363941 14.1390503969715,-80.2038516000986 14.1391512586948,-80.19973504205 14.1394985275825,-80.1983638991162 14.1396292221952,-80.1963095210518 14.1398463571447,-80.1958000560974 14.1399036465561,-80.1954301782484 14.1399428997628,-80.1914188843076 14.1402816444133,-80.1902750793743 14.1403879997142,-80.1892035598783 14.1404710203998,-80.1851368574826 14.140817794304,-80.1837318429316 14.1409534342342,-80.1819013075653 14.1411482146669,-80.181238831765 14.1412145193147,-80.1803041394898 14.1413137263383,-80.1785030165566 14.1411597201223,-80.1772170587747 14.1410621534066,-80.1750722667392 14.1409213696581,-80.1737780054319 14.1408497050247,-80.1696068783862 14.1406622873815,-80.1678495156098 14.1406012593508,-80.1652007313443 14.1405368828341,-80.1634380734223 14.1405124238402,-80.161447337875 14.1405041319762,-80.1607007579368 14.140506790044,-80.1592141161105 14.1405224555113,-80.1564886090702 14.1405770277089,-80.1546616775774 14.1406332226797,-80.1503113675903 14.1408132091069,-80.1489441944137 14.1408848247057,-80.1466783910259 14.141028077943,-80.1453198964622 14.141128643638,-80.1423253629974 14.1414818331245,-80.1412511852654 14.1415435341983,-80.1399438200257 14.1416267994449,-80.13763676339 14.1418499576229,-80.1362858867051 14.1420205104961,-80.1351770898436 14.1421681900089,-80.132373272482 14.1425629924358,-80.1316108575343 14.1427242905271,-80.1302755550866 14.1427950253556,-80.1294927801324 14.1429104508466,-80.127341231037 14.1432410814684,-80.125425813337 14.1435393113715,-80.1242261513757 14.1437347354843,-80.1238154619323 14.1438039991076,-80.1229055620505 14.1439642795657,-80.1213025998772 14.1442610462047,-80.1184649538443 14.1448168504141,-80.1165414181291 14.1452167223852,-80.1117163843511 14.1462775278702,-80.1098570504483 14.1467018349903,-80.1086802805905 14.146982328627,-80.106789316548 14.1474522002559,-80.1056608969533 14.1477437202985,-80.1023549518827 14.1486304018645,-80.1013433421442 14.1489109142117,-80.100765489306 14.1490742401043,-80.099963939314 14.1492924665817,-80.0994698363155 14.1494302339325,-80.0974918163779 14.1499960852334,-80.0961727264431 14.1503881999215,-80.0920735069599 14.1516547390564,-80.0905408154635 14.1521376810123,-80.0890768467581 14.1526127420098,-80.0869139354277 14.1533365585714,-80.0856550507611 14.1537696973051,-80.08522223355 14.153921654905,-80.0848544353054 14.1540535882827,-80.0842481368257 14.1542535941967,-80.0821965352387 14.1549406965906,-80.0809729494318 14.1553613352658,-80.0802456894393 14.1556173500705,-80.0798780876734 14.1557494135473,-80.0787069596258 14.1561771941437,-80.0766932539687 14.156930874587,-80.0753403498854 14.1574505931288,-80.0733385128689 14.1582387204298,-80.0692685012047 14.1598674707842,-80.0679739539745 14.1604020734018,-80.0658350980673 14.1613134405475,-80.0645585492036 14.1618742545335,-80.0607562680117 14.1635954152212,-80.059495329126 14.1641831752791,-80.0574053393314 14.1651858318864,-80.0561524374247 14.165804231966,-80.0523579341361 14.1677309196883,-80.0507747480015 14.1685558965639,-80.0484234968043 14.1698131294719,-80.0470770794847 14.1705502321653,-80.0462704318019 14.1710012406405,-80.0458539020328 14.1712384326947,-80.044510683191 14.1720150856448,-80.0422113910465 14.1733751960031,-80.0406930812769 14.1742954109432,-80.0370920243977 14.1765300206023,-80.036144509776 14.1771311033667,-80.0356447396796 14.1774536988024,-80.0347665397782 14.1778402038115,-80.0335202739838 14.178358900887,-80.0314631433481 14.1792411899873,-80.0302347918833 14.1797836848344,-80.0265690800526 14.1814498157942,-80.0253531263156 14.1820183009889,-80.023337330314 14.1829872293789,-80.0221284720275 14.1835844320161,-80.0183409874355 14.1855075033403,-80.0167576732945 14.1863324804174,-80.0143862521688 14.1876006640814,-80.0130043758146 14.1883576224193,-80.012571752205 14.1885984266812,-80.0117506410037 14.1890641162581,-80.0103716490933 14.1898630289573,-80.0079696605209 14.1912877861598,-80.0063580357666 14.1922684672309,-80.0024058955516 14.194733654487,-80.0010449758575 14.1955946763179,-80.0001093806617 14.1961982506492,-79.9985954224305 14.1971942662172,-79.9976943269876 14.1977984812078,-79.995043265419 14.1996099323199,-79.9941655530383 14.2002208635645,-79.9927118921577 14.2012514519738,-79.9918452408993 14.2018772055897,-79.9910450929712 14.2024645842586,-79.9896051425389 14.203514697134,-79.9855744023494 14.2065087125308,-79.9840312498264 14.2076832614917,-79.9817950735284 14.2094269050423,-79.9805194470067 14.2104435522531,-79.9797532159999 14.211066419912,-79.9793547265431 14.2113960206592,-79.9780633153094 14.2124799160303,-79.9758586543256 14.2143717509388,-79.9744052004652 14.2156490804131,-79.9709212069163 14.218783215326,-79.9698449161916 14.2197694011472,-79.9682474298971 14.221259623624,-79.9672058406546 14.2222485670732,-79.9664794517184 14.2229485817998,-79.965756473067 14.2236484490194,-79.964440433507 14.2249457317075,-79.9624523194277 14.2269505241716,-79.9611426122567 14.2283021283175,-79.957913997528 14.2317121962298,-79.9566154021707 14.2331164672724,-79.9547070798103 14.2352291203412,-79.9536246163588 14.2364537116732,-79.9529874008251 14.2371886475672,-79.9526745859234 14.2375555585302,-79.9516880801622 14.2387287405347,-79.9500058530919 14.2407706671085,-79.9489022766383 14.242140283049,-79.946322660128 14.245412076713,-79.9456399873921 14.246295025103,-79.9445226218853 14.2477680804051,-79.9438604630937 14.2486578643845,-79.941895950109 14.2513490117087,-79.9412304031964 14.2522790712764,-79.9401319749922 14.2538453382828,-79.9394537137384 14.2548331518716,-79.9384422704698 14.2563385084756,-79.9357347976165 14.2604447133683,-79.9346873781382 14.2620751754029,-79.9331782556723 14.2644873945434,-79.9323274934176 14.2658808384597,-79.9318269218754 14.2667189415141,-79.9315802168643 14.2671400745191,-79.9307999167077 14.2684936342219,-79.9294730974427 14.2708516405468,-79.9285931191998 14.2724582286822,-79.9263696620476 14.2766284694064,-79.9256253859376 14.2780507600706,-79.925125536807 14.2790278592818,-79.9243397181143 14.2805992886371,-79.923878298574 14.2815427374115,-79.9222097318527 14.2850327780977,-79.9216623079676 14.286210244194,-79.9207715867421 14.2881820215646,-79.920247604661 14.2893766607669,-79.918612022254 14.2932216565486,-79.9179404616868 14.2948492922192,-79.9169637944696 14.2972924683823,-79.9164221782664 14.2986880131415,-79.916074665248 14.299609154855,-79.9156065240184 14.3008914188172,-79.9149585097241 14.3027142781818,-79.9145401894347 14.3039217933788,-79.9141590115839 14.3050493344617,-79.9139245564158 14.3056491607849,-79.9132157297971 14.3074436737948,-79.9127361087537 14.3087000098486,-79.9125460435963 14.3092142464282,-79.9120314268966 14.3106419481413,-79.9111668833385 14.3131193384363,-79.9106100991039 14.3147732188398,-79.9093216201721 14.3187422099429,-79.9089268954679 14.3200068623462,-79.908295846658 14.322111180897,-79.907931342152 14.3233777819693,-79.9068806551539 14.3271879839119,-79.9065445595683 14.3284620342035,-79.9060082059659 14.3305911823161,-79.9056992381297 14.3318784225046,-79.9047718926255 14.3359456772915,-79.9044001468477 14.3376626125189,-79.903868703818 14.3402570494731,-79.903571974008 14.3417872237824,-79.9034876368299 14.3422381593114,-79.9027050631319 14.3456710326239,-79.9023379589779 14.3473645005459,-79.90181544256 14.349909992484,-79.901490528978 14.3515849623439,-79.9012785404277 14.3527351372686,-79.9011642936864 14.3533813415962,-79.9009485230123 14.3546496867087,-79.900575693261 14.3569631094811,-79.900383621047 14.3582228711286,-79.9002664331624 14.3589263365021,-79.9000115221484 14.3604640430224,-79.8998639901529 14.3614000560237,-79.8994451795436 14.3641993242843,-79.8993537011216 14.364848770902,-79.8991816179418 14.3661490330675,-79.8991010134156 14.3667998473381,-79.8988004241731 14.3694051508033,-79.8987307144063 14.3700571595891,-79.8986022091755 14.3713621996928,-79.8985434138989 14.3720152297535,-79.8983220475095 14.3747357004614,-79.8982515450747 14.3756965704087,-79.89814716852 14.37729884474,-79.8980921140377 14.3782669955929,-79.8978983026984 14.382281003769,-79.8978338950504 14.3839894361667,-79.897764978887 14.3865628581283,-79.8977378178042 14.3882787933782,-79.8977002671572 14.3957101420053,-79.8977022422737 14.3964209235369,-79.8977168365499 14.3978704521393,-79.8977702088758 14.4005314925479,-79.8978261770416 14.4023159465183,-79.8980070517577 14.4065670653463,-79.8980793450885 14.4079022741861,-79.8982244180123 14.4101151245982,-79.8983264910913 14.4114418810094,-79.8986776579869 14.4154175448951,-79.8988097453297 14.4167417825471,-79.8990548519491 14.4189462384189,-79.8992177548685 14.4202737591156,-79.8997735399969 14.4244074288542,-79.9000265849731 14.4261447877317,-79.9004336783539 14.4287375064612,-79.9006841456504 14.4302320694191,-79.900843923872 14.4311338828876,-79.9009290564757 14.4315925450272,-79.9012153619429 14.4330787761623,-79.9017370351514 14.4356450555463,-79.9021029889818 14.4373484687113,-79.9030227372778 14.4414137946342,-79.9033295357102 14.4427014469212,-79.9038623663521 14.4448314796085,-79.9041963715391 14.4461060832844,-79.9052408778763 14.4499180094385,-79.9056033522535 14.4511852066291,-79.9062310614166 14.4532905550751,-79.9066238296708 14.4545559429295,-79.9079072395419 14.458530234754,-79.9084660302588 14.460198039453,-79.9093289048651 14.4626818410769,-79.9098417397325 14.4641106057589,-79.9101595965221 14.4649709911737,-79.9103253445181 14.4654086646643,-79.9108712330561 14.466821335292,-79.9118049134132 14.4691685831352,-79.9122024430703 14.4701456134475,-79.9123543628455 14.4705135522686,-79.9129055302955 14.4718848849328,-79.9135951218114 14.4735648347437,-79.9152269085193 14.4774172106258,-79.9156882405103 14.4784765660248,-79.9164693248431 14.4802235878108,-79.9169481766363 14.4812674594865,-79.9180342600816 14.4833740056912,-79.9184704919857 14.4843695035622,-79.9189403310469 14.4854425682714,-79.9198213637308 14.4872399546719,-79.9203976514874 14.4883420699941,-79.9210562418617 14.489580275765,-79.923237732048 14.4937571309811,-79.9241301709112 14.4953924039006,-79.9254734540778 14.4977873659187,-79.9262622517492 14.4991594061555,-79.926747522359 14.4999850443231,-79.9270013406638 14.5004086745187,-79.9278368421869 14.5017810934794,-79.9293072290312 14.504139257522,-79.9303116500564 14.5057091784436,-79.9328388824619 14.5095625590221,-79.933732459484 14.5109054595499,-79.9344220615307 14.5119198284822,-79.935564660751 14.5135642907851,-79.9362589613447 14.5145425711183,-79.9383464142595 14.517422664753,-79.9390514739255 14.5183755763879,-79.9402423663128 14.5199524737835,-79.9409704153798 14.5208969702684,-79.9435579416103 14.5241844386154,-79.9446681348243 14.5255642734966,-79.9463646661681 14.527626058427,-79.9473740253555 14.5288273036561,-79.9476939523188 14.5292027414515,-79.9483025470871 14.5299053140617,-79.9493428031191 14.5310838852795,-79.9511883529225 14.5331315871079,-79.9524450721891 14.5344945711562,-79.9555380577726 14.5377738576814,-79.9566569071994 14.5389364391212,-79.9582303010765 14.5405404682213,-79.9590092332972 14.5413197935061,-79.9601759588743 14.542467355931,-79.9605213954407 14.5428075967558,-79.9621461156098 14.544772068744,-79.9632699806453 14.5461080654686,-79.9638156070716 14.5467461239136,-79.9645439249889 14.5476111301518,-79.9648628806721 14.5479852724874,-79.9654914697839 14.5487104593121,-79.9665739694643 14.5499354264604,-79.9684992267865 14.5520672508038,-79.9698096088356 14.5534842499307,-79.9730126204352 14.5568680192198,-79.973967593778 14.5578593733635,-79.9754093063706 14.5593308542304,-79.9763873976205 14.5603122695359,-79.9774539387401 14.5613628897228,-79.9788012440496 14.562661758727,-79.9808579528241 14.5645994511303,-79.9822445762753 14.5658759257021,-79.985745309947 14.5690245589206,-79.9871864072178 14.5702904739869,-79.9893542101922 14.5721504987051,-79.990610037375 14.5732049327039,-79.9913631374001 14.5738251657077,-79.9917407066923 14.5741309312914,-79.9929474537724 14.575094754167,-79.9950455922754 14.5767364543414,-79.9964526936408 14.5778132147063,-79.9998126882087 14.5803289678261,-80.0007198542106 14.5809950027319,-80.0022333249378 14.5820851011114,-80.0031475318515 14.5827310823495,-80.005907714695 14.5846442101275,-80.0068338905991 14.5852738281887,-80.0083926833556 14.5863129496577,-80.0093714431941 14.5869522065286,-80.0106462839615 14.587767858073,-80.0119997123599 14.5886199081955,-80.0163105073601 14.5912859655722,-80.0181400183875 14.5923920617383,-80.0194163223305 14.5931486316753,-80.0202381526227 14.5936429824379,-80.021301985092 14.5942735478368,-80.0229229241425 14.5952180469555,-80.0238788014498 14.5957660501591,-80.0242112606658 14.5959543327221,-80.0249605161411 14.5963719441399,-80.0263035603977 14.5971061454732,-80.0287109368423 14.5983914828175,-80.0303663581716 14.5992518896078,-80.0347091458416 14.6014482732783,-80.0360780546014 14.60212737605,-80.0366611850014 14.6024144720411,-80.0373730501963 14.6027654995839,-80.0383070495876 14.6032175150996,-80.0398701296503 14.6039580469667,-80.0408118168647 14.6043946653384,-80.0443900682282 14.6060173488506,-80.0455988329915 14.6065503791311,-80.0476230220294 14.6074176392877,-80.0488493900859 14.6079277846118,-80.0527974806452 14.6095204609256,-80.0544650781263 14.6101729485343,-80.0569664143966 14.6111212024271,-80.05839035207 14.6116453365952,-80.0592070531939 14.6119383922169,-80.059573526189 14.6120670633334,-80.0606658354777 14.6124440739077,-80.0625685627189 14.6130851376439,-80.0639135649343 14.613525823766,-80.0656164955599 14.6140679833179,-80.0699387661028 14.6154093358245,-80.0710089112884 14.6157310587341,-80.0727790889515 14.6162462111089,-80.073843088472 14.6165457703835,-80.0770246765064 14.6174115481148,-80.0780876364816 14.6176908920866,-80.0798679541232 14.6181422067887,-80.0809705716829 14.6184112434616,-80.0818963758012 14.6187023988451,-80.0836517254227 14.6203654356055,-80.0842318417982 14.620907850629,-80.0852047018589 14.6218057255117,-80.0857973518724 14.6223455550524,-80.0890479433926 14.6252652046261,-80.0904833754981 14.6265256600442,-80.0926504282289 14.6283845124705,-80.0939058742593 14.629438339577,-80.0946588421586 14.6300583000125,-80.0950364245184 14.6303639971725,-80.0962434289333 14.6313277793416,-80.0983420658445 14.6329694511522,-80.0997495069869 14.634046197418,-80.1031398233991 14.6365835367552,-80.1042254068677 14.6373774021694,-80.106040577309 14.6386747201543,-80.1071383965772 14.6394415264949,-80.1104566038738 14.6417062033526,-80.1115713725743 14.6424494884554,-80.113443018359 14.6436684223632,-80.1145798047615 14.6443913206941,-80.1181877753525 14.6466301700956,-80.1197148366948 14.6475555433216,-80.1220112763717 14.6489138041701,-80.1233435757115 14.6496841124357,-80.1241540176927 14.6501430062676,-80.12458166753 14.650380700067,-80.1259804008269 14.6511459016656,-80.1284038681236 14.6524398124795,-80.1300387045291 14.6532895769598,-80.134210606796 14.6554000598538,-80.1354643914497 14.6560217015589,-80.1365723337576 14.6565703006845,-80.1376260947426 14.6570808127816,-80.1393905230957 14.6579153347234,-80.1404540619979 14.6584062424434,-80.1438280870671 14.659925403846,-80.1449616125585 14.6604224164593,-80.1459695834201 14.6608576933033,-80.1465170936751 14.6611019958387,-80.1474620833109 14.6615152341328,-80.1493594327248 14.6623249489709,-80.1505089718846 14.6628021156646,-80.1544451304243 14.6643894245113,-80.1561131510804 14.6650419147923,-80.1586151264269 14.6659901739598,-80.1600601645087 14.6665217176325,-80.1609323252662 14.6668337898188,-80.1613886372488 14.6669930767464,-80.1628684689057 14.6674987939837,-80.1654222465594 14.668343438216,-80.1671256184429 14.6688868061394,-80.1709828517432 14.6700743933067,-80.1721799101263 14.6704232675935,-80.1745589109055 14.6710785758122,-80.1757240643652 14.6713816946731,-80.1793436835645 14.6722715709672,-80.1807879898725 14.6726521454779,-80.1818470541505 14.6729214490198,-80.1836161172199 14.6733550638235,-80.1846799103922 14.673606093587,-80.1876837790127 14.6742879795232,-80.188466481814 14.6744603548603,-80.1896421212562 14.6747119115672,-80.1904786636549 14.6748817866051,-80.1921551845618 14.6752046397793,-80.1929964467386 14.6753578383046,-80.194230384008 14.6755509847827,-80.1950348393003 14.6756647706152,-80.1963514890726 14.6759117622812,-80.1978669173694 14.6761866916606,-80.1984187090683 14.6762824972418,-80.1997067681071 14.6764935023787,-80.2002835018366 14.6765835786672,-80.2018180339833 14.6768124149704,-80.2024967292626 14.6769080139611,-80.2038936894402 14.6770932644804,-80.2045609246046 14.6771763605931,-80.20531161939 14.6772638048722,-80.2066421718071 14.6773975474032,-80.2084042682854 14.677546617178,-80.2090305028922 14.6776242870592,-80.2111689989491 14.6778762253421,-80.212145390566 14.6779795390037,-80.2127875753193 14.6780399734594,-80.2151279132028 14.678351239658,-80.217927415015 14.6786293337971,-80.2199109827237 14.6787589169296,-80.2212407596234 14.6788325799226,-80.2254328432754 14.679020034913,-80.2271938431193 14.6790807902539,-80.2298458555028 14.6791446936419,-80.231615292898 14.6791688527488,-80.2359453886184 14.6791824417923,-80.2378473262892 14.6791672026484,-80.240701142627 14.6791123113592,-80.242595976482 14.6790546610111,-80.2469664705215 14.6788738112843,-80.2483362131977 14.6788020182589,-80.2506054689873 14.6786585125298,-80.2519660286329 14.6785578005067,-80.2560429402287 14.6782119645504,-80.2567815039762 14.678147508177,-80.2572891242648 14.6781407601173,-80.2599181410533 14.6780889072436,-80.261812426712 14.6780312268239,-80.2661806032939 14.6778503749775,-80.2675499897586 14.6777785746627,-80.2698186718097 14.6776350682932,-80.2711788874731 14.6775343631207,-80.275254769216 14.6771885693452,-80.2766123708626 14.6770586975851,-80.2788723436165 14.6768179973581,-80.2802332338545 14.6766581901133,-80.2844763429239 14.6761127130807,-80.2862521186925 14.6758656280687,-80.2889204921466 14.6754654919027,-80.2904720792492 14.6752171584751,-80.2909514616765 14.6751372134266,-80.2918632533508 14.6749779103814,-80.2933784359165 14.674699416692,-80.2960093062471 14.6741893363828,-80.2977672496908 14.6738292412442,-80.3019443211686 14.6729281523097,-80.3032667406921 14.6726277730249,-80.3054541516743 14.672106219415,-80.3067630695243 14.6717793440933,-80.3106775483291 14.6707573033581,-80.3117622674866 14.6704629357757,-80.3147815226736 14.6695203807701,-80.3162580942385 14.6691136680379,-80.31884726422 14.6683496504781,-80.3198392428017 14.6680435881946,-80.3211190526468 14.6676313652915,-80.3224245502044 14.6671867865569,-80.3248375584325 14.6663107389301,-80.3255383403848 14.6660507080622,-80.3273675878425 14.6654947690342,-80.3282191448223 14.6651825866311,-80.3305311202739 14.6643052681645,-80.3321991352321 14.6636527779206,-80.3361518689112 14.6620585739926,-80.3374004831967 14.6615390240248,-80.3394613883741 14.6606553222357,-80.3406919662719 14.6601119673013,-80.3443642139489 14.6584431951451,-80.3455822988128 14.6578738091994,-80.3476015787186 14.6569033608648,-80.3488124503248 14.6563052539667,-80.3526046255324 14.6543800480648,-80.3541839208203 14.6535573205508,-80.3565457662033 14.652294649793,-80.3579094674105 14.6515480995282,-80.3583290903775 14.6513147761471,-80.3591345669753 14.6508586071217,-80.3604649608933 14.6500893791176,-80.3627614132951 14.6487311180122,-80.3642884830161 14.6478057446549,-80.3678964727936 14.6455668953015,-80.3690332652227 14.6448439969969,-80.3709049209255 14.6436250631344,-80.3720196955315 14.6428817780606,-80.3753379204007 14.6406171012899,-80.3764357454797 14.6398502949797,-80.3782509255286 14.6385529770455,-80.3793365147424 14.6377591116623,-80.3827268490081 14.6352217724866,-80.3841248429295 14.634152417746,-80.3853865376677 14.6331679962008,-80.3858246251119 14.6328441317964,-80.3891425097428 14.6303599566012,-80.3905499285712 14.629283209406,-80.392648532738 14.6276415357376,-80.3938555202388 14.6266777509038,-80.3942349271936 14.6263705494609,-80.3949981538126 14.6257419783723,-80.3962746797172 14.6246699123429,-80.3984799061603 14.6227766595189,-80.3999435970114 14.6214896577632,-80.4025314601759 14.6191613027387,-80.4030943649623 14.6187384338466,-80.4044987945803 14.6176638690191,-80.4065972956091 14.6160221894865,-80.4078042298529 14.6150583962379,-80.4081747473058 14.6147584790199,-80.4088883047875 14.6141714791772,-80.410062818116 14.6131873730527,-80.4120831461953 14.6114599446907,-80.4134224002745 14.6102895995879,-80.4165755635681 14.6074742164009,-80.4175658739637 14.6065699810252,-80.419191221374 14.6050529324105,-80.4201562099469 14.6041323503159,-80.4230192667529 14.6013407274642,-80.4239633709259 14.6003998493496,-80.4255191288662 14.5988151632764,-80.4264463540107 14.5978497123073,-80.4293316158241 14.5947775383206,-80.4305246692892 14.5934797286859,-80.4322968752326 14.5915093773345,-80.4333114944108 14.5903582148227,-80.4336781342415 14.5899354072693,-80.4344058450122 14.5890801131434,-80.4347399484253 14.5886819757106,-80.435843852532 14.587347742248,-80.4365716089081 14.5864518397479,-80.4387207628297 14.5837539517142,-80.4394284021778 14.5828480858002,-80.4398862592876 14.5822518377292,-80.4411509752349 14.5809617695836,-80.4420781265266 14.5799963178643,-80.4449631597599 14.5769241402652,-80.4461561231658 14.575626324198,-80.4474354018141 14.5742056829823,-80.4482551587935 14.5734245282048,-80.4490814983106 14.5726259319025,-80.4496526425339 14.5720723375737,-80.4502108849975 14.5715312333781,-80.4507691064049 14.5709901458366,-80.451187794551 14.5705843061009,-80.4515843070826 14.5701999587898,-80.4523517126905 14.5694548595463,-80.4534188184131 14.5684025161227,-80.4552623734914 14.5665522358879,-80.4558142273369 14.5659907256476,-80.456718529886 14.5650586348349,-80.4572623074812 14.5644908622987,-80.4602518595691 14.5613260440484,-80.4615364313493 14.5599352365456,-80.4634432138399 14.5578218188822,-80.4645345391294 14.5565855984463,-80.4648653875778 14.5562054141424,-80.4654907237448 14.5554745148493,-80.4665083839653 14.5542618294145,-80.4682473120271 14.5521450696881,-80.4693961788994 14.5507139380347,-80.4720346167385 14.5473529719258,-80.4730999449138 14.5459855413966,-80.4738703881229 14.5449760807329,-80.4751327943134 14.5432854697366,-80.4757963406511 14.5423783818662,-80.545494237375 14.4734941459182,-80.5471985434217 14.472338163924,-80.547706205541 14.4719882622331,-80.5487160560171 14.4712810391658,-80.5492182433683 14.470923718506,-80.5512155845401 14.4694799180742,-80.5517199756583 14.4691094411657,-80.5527228737539 14.4683610023341,-80.5532214339062 14.467982999445,-80.5541305833149 14.4672827295256,-80.5546690465112 14.4668956958957,-80.5553844479796 14.4663745400706,-80.5564763983641 14.4655676872777,-80.556905643993 14.4652518961948,-80.5582706830118 14.4642361840772,-80.559029763483 14.4636620904112,-80.5612876488734 14.4619266737166,-80.5621220457041 14.4612739345629,-80.5634937948421 14.4601816397088,-80.564237005026 14.459579899499,-80.5645357371386 14.4593344250074,-80.5655313041713 14.4585073836671,-80.5680856585739 14.4563573697777,-80.5698292779434 14.4550561047884,-80.5713168838012 14.4539214872841,-80.5735195934669 14.4522017694184,-80.5747657613752 14.4512078525041,-80.5754967001882 14.4506136921635,-80.5758785441025 14.450298139514,-80.5770848969063 14.4492871884386,-80.5791370574975 14.4475312538196,-80.580525638652 14.4463158512833,-80.5830566296622 14.4440547577986,-80.5833643635272 14.4437852852288,-80.5842356349975 14.4430137402372,-80.587424217938 14.4401469703224,-80.5883419325818 14.4393048153807,-80.5898518607347 14.4378906295079,-80.5907489568743 14.4370331577461,-80.5934126565529 14.434434814135,-80.5942916726877 14.4335597521722,-80.5957413549137 14.4320869451992,-80.5964592826512 14.4313440832233,-80.5966882593318 14.430848015537,-80.5989650240785 14.4286408092642,-80.5996261585041 14.4279501539643,-80.6009256166187 14.4265769684955,-80.601709696132 14.4257091323871,-80.6027709068446 14.424449158418,-80.6038102364615 14.4232018819059,-80.6044094474682 14.4225111065724,-80.6046851560027 14.4221127620673,-80.6058309893486 14.4209880055888,-80.6075266640855 14.4189262790453,-80.6086363073625 14.4175464713447,-80.6112370616744 14.4142402145027,-80.6120502751066 14.4131821612069,-80.6133790807365 14.4114131672735,-80.6141644643642 14.4103433042948,-80.6164839001697 14.407109690934,-80.6172451217266 14.4060233734168,-80.6184934121172 14.4041995426297,-80.6192301197142 14.403097291744,-80.6212828083908 14.3999537449876,-80.62175250865 14.3992164510703,-80.6226754620768 14.3977321474793,-80.623125526721 14.3969905238725,-80.6235268049088 14.3962970419528,-80.6238278004951 14.3957810753147,-80.6241282634201 14.3952996202761,-80.6248431837323 14.3941365141364,-80.6255396500176 14.3929872203335,-80.6258247254384 14.3925082486133,-80.6264654047994 14.3914070281701,-80.6267510518895 14.3909071881966,-80.6272816323936 14.3899610998138,-80.6278488721596 14.3889279487521,-80.6285623721398 14.3875956597956,-80.6297713052929 14.3852866643682,-80.6301293119698 14.3845855103804,-80.6308130681467 14.3832130071052,-80.6311619547694 14.382494695646,-80.6318332607414 14.3810762389219,-80.6324504581191 14.3799150206577,-80.6330502171208 14.3787426447478,-80.6342101354033 14.3763796118042,-80.6347703344714 14.3751888809239,-80.6355829140493 14.3733816872739,-80.6361144004071 14.3721655331445,-80.6377442988302 14.368317587324,-80.6384082328623 14.3667016514829,-80.6393793419504 14.3642619461373,-80.6399264231198 14.3628456532797,-80.6400921143593 14.3624079306098,-80.6404097865142 14.3615476555629,-80.6409223541602 14.3601189922709,-80.6417848162554 14.3576352671147,-80.6423433456347 14.3559674998231,-80.6436261911002 14.3519931934254,-80.6440187881274 14.3507277973869,-80.6446462244305 14.3486224346079,-80.6450085416203 14.3473552287032,-80.6460525962369 14.3435432760688,-80.6463864573994 14.3422686634528,-80.6469190589818 14.3401386156722,-80.6472257260476 14.3388509538038,-80.6481450845617 14.3347855856307,-80.6485108935134 14.3330821074981,-80.6490323657681 14.3305157013417,-80.6493185796363 14.3290292940744,-80.6494033968362 14.3285721929503,-80.6495615420044 14.3276796610278,-80.649808946805 14.3262043210711,-80.6502111064584 14.3236470566924,-80.6504613812344 14.3219335005012,-80.6510115281442 14.3178590334809,-80.6511714954245 14.3165644475529,-80.651412957758 14.3144148401097,-80.6515435995273 14.3131235717235,-80.6518926621056 14.3092468692734,-80.6519947751643 14.3079531581341,-80.6521411544849 14.3057954094365,-80.652214985404 14.3044934709783,-80.6524013757654 14.3003886444889,-80.6524610901853 14.298661998507,-80.652522362143 14.2960602640219,-80.6525439864491 14.2943440455587,-80.6525477489913 14.2930909941754,-80.6525439475663 14.2923412214312,-80.6525258664472 14.2908912119216,-80.6524665155039 14.2882434770314,-80.6524068584743 14.2864705955409,-80.6522181325942 14.2822538133215,-80.652143307914 14.2809246213678,-80.6519942795778 14.2787217835652,-80.6518899789232 14.2774010558439,-80.6515325756397 14.2734435171354,-80.6513985587306 14.2721253415541,-80.6511504836937 14.2699310104254,-80.6509859514346 14.2686096784798,-80.6504236961226 14.2644813808976,-80.6501699473382 14.2627586357836,-80.6497598263721 14.2601730790948,-80.6495074445003 14.258680825842,-80.6494265274403 14.2582213568572,-80.6492603454159 14.2573208082782,-80.6489714657434 14.2558330072253,-80.6484445847881 14.2532610196964,-80.6480729959064 14.2515441135988,-80.6471460206874 14.247476835776,-80.6468371751104 14.2461895851729,-80.6463010329999 14.2440604192132,-80.6459650695846 14.2427863581713,-80.6449147946874 14.2389761238645,-80.6445504327992 14.2377095119631,-80.6439196303609 14.2356051752984,-80.643525059358 14.2343405116511,-80.6422370781059 14.2303714761173,-80.641680496057 14.228717541406,-80.6408162574674 14.2262400483215,-80.6403017931068 14.2248122106084,-80.6401401928607 14.2243730302201,-80.6398165412133 14.2235150015457,-80.6392675635624 14.2220994041897,-80.6382912569179 14.2196562761048,-80.6376199403327 14.21802866214,-80.6359833959414 14.2141801668672,-80.6354502123525 14.2129647558477,-80.634543397124 14.2109586950593,-80.6339858636046 14.2097608623418,-80.6322736677204 14.2061863073922,-80.6316895054285 14.2050006186365,-80.6306939236705 14.203035036744,-80.6300803659558 14.2018563782136,-80.628105830608 14.1981655627907,-80.6272632270806 14.1966305067262,-80.6259708559768 14.1943360036692,-80.625209355891 14.1930154957839,-80.624971739744 14.1926097682363,-80.6245009931785 14.1918206236488,-80.6237091743789 14.190520517632,-80.6223136821886 14.1882806811665,-80.6213633581011 14.1867919013938,-80.6190672630607 14.1832790395881,-80.6183260173588 14.1821723608194,-80.6170762018933 14.1803502945239,-80.6163141089134 14.179265046754,-80.6139922210509 14.1760346629898,-80.6132060740994 14.1749658833735,-80.611876070919 14.1731987109223,-80.6110622303241 14.1721418280516,-80.6084612572251 14.1688412267225,-80.6073580219423 14.167471575206,-80.6056763037661 14.1654295833538,-80.6046900580635 14.1642563196688,-80.6043833034128 14.1638962989239,-80.6037804534536 14.163200107093,-80.6027705619699 14.1620550632217,-80.6009989446434 14.1600865834647,-80.5997988429164 14.1587818587757,-80.5969131758489 14.1557112295421,-80.5959864347883 14.1547468615713,-80.5944316610265 14.1531640729085,-80.5934882025933 14.1522243368098,-80.5906272794467 14.1494361325318,-80.5896630678576 14.1485166875142,-80.5880391069572 14.1470015372666,-80.5870497387331 14.1460984935181,-80.5839013602487 14.1432882466784,-80.5825707149723 14.1421255967421,-80.5805501154506 14.140398170108,-80.5793680829156 14.1394079181301,-80.5790011110962 14.1391046009844,-80.5784471757902 14.1386530109274,-80.5780852450284 14.1383612503905,-80.5572920043043 14.1193430100385,-80.5564521214195 14.1185844511559,-80.5551685787755 14.1174412339622,-80.5543070948028 14.1166846889865,-80.5521399886915 14.1148082708694,-80.5512709036985 14.1140663085093,-80.5499613218651 14.1129639601404,-80.5490212404082 14.1121843721242,-80.5482766366064 14.1115790858848,-80.5471029877135 14.1106422197628,-80.5450100000143 14.1090047056329,-80.5435971037301 14.1079235522204,-80.5402377112557 14.1054085311102,-80.5393209559413 14.1047356548341,-80.5377913998867 14.1036345280112,-80.5368674345633 14.102982120264,-80.5340734271526 14.1010473855884,-80.5331114739939 14.1003945327242,-80.5314921272442 14.0993176722167,-80.5304752640258 14.0986556840436,-80.5289611436338 14.0976910834054,-80.5247984849548 14.0950867231908,-80.5231450293362 14.0940785171226,-80.5206984016594 14.0926252374241,-80.5192963203767 14.0918121490756,-80.5184641078008 14.0913398264862,-80.5180296508383 14.0910978772984,-80.5166484353025 14.0903409492649,-80.514278072449 14.0890727745298,-80.5126954565447 14.0882477985647,-80.5089280350701 14.0863338292862,-80.5078309272668 14.0857902442152,-80.5060032510469 14.0849068985409,-80.5049012858889 14.0843874916232,-80.5015801245655 14.0828614419282,-80.5004656527894 14.0823624607126,-80.4985992512112 14.0815485945222,-80.4974696245106 14.0810691220979,-80.4952037479562 14.0801326364501,-80.4909841881257 14.0784107378051,-80.489164730436 14.0776919584727,-80.4864435740201 14.0766532723239,-80.4849043511884 14.0760841557139,-80.4840347589221 14.0757712632533,-80.4836460678241 14.0756346009535,-80.4825148535666 14.0752440120707,-80.4805735773372 14.0745901726875,-80.4792585142697 14.0741592781955,-80.4769793512791 14.0734327120413,-80.4726833688882 14.0720914989583,-80.4712696951877 14.0716679561578,-80.4689155646649 14.0709926028185,-80.4674986887018 14.0706039601204,-80.463243422461 14.0694899164018,-80.461816887779 14.0691341580453,-80.4594313827316 14.0685687109117,-80.4579886831443 14.06824454042,-80.4535865642781 14.0673085588485,-80.4514930163809 14.0668772726178,-80.4501120280189 14.0666044893752,-80.4480789703961 14.0662204675498,-80.4468978080941 14.0660066301255,-80.4465058494429 14.0659378560306,-80.4456571626374 14.0657949453084,-80.4441801219747 14.0655585248243,-80.4415744145153 14.065166736305,-80.4398266709189 14.0649224774702,-80.4356581719872 14.0643834414487,-80.4343332799841 14.0642265315977,-80.4321332658741 14.0639894750535,-80.4308117097601 14.0638610854642,-80.4268440498736 14.0635175865204,-80.4255199766544 14.0634169315579,-80.4233115701085 14.0632723304327,-80.4219790825671 14.0631991781344,-80.4177787665022 14.0630136722219,-80.4160153921312 14.0629538868085,-80.4133597381455 14.062891619659,-80.4115898320671 14.0628686760353)))', 'Nicaraguan Exclusive Economic Zone', 'Nicaragua', 'Nicaragua', '', '131', '131', 'NIC', '8425', '2014-02', '223568570000', '8425', 'Y'),('SRID=4326;MULTIPOLYGON(((-87.556826804 13.3641640860001,-87.531399966 13.346391098,-87.487694609 13.3571119850001,-87.471374512 13.3610839840001,-87.474422375 13.387661356,-87.449308947 13.414582072,-87.3983359109999 13.41236422,-87.3805639299999 13.3902090060001,-87.38001374 13.373898062,-87.4348208599999 13.353442983,-87.444308974 13.3499270880001,-87.50056395 13.2980540040001,-87.5118089429999 13.2772911910001,-87.442508876 13.195000013,-87.360564038 13.109164127,-87.34139999 13.0897181120001,-87.315563947 13.029445019,-87.301718178 12.987589186,-87.30142406 12.986700064,-87.302429199 12.986877441,-87.302504106 12.9869169900001,-87.302458825 12.986921522,-87.329800404 13.001325778,-87.389809156 12.9956533750001,-87.403369378 13.029105574,-87.414346337 13.040180731,-87.424524377 13.0476660480001,-87.457612475 13.101299808,-87.460815708 13.1024871600001,-87.501425244 13.1241941650001,-87.560891668 13.1692940020001,-87.574779978 13.171953735,-87.650738522 13.1954446080001,-87.651841608 13.215117638,-87.677110156 13.23800192,-87.728100737 13.29991992,-87.768870786 13.3303660490001,-87.7833725739999 13.3343594420001,-87.813417436 13.3616695050001,-87.833253118 13.379453219,-87.828465194 13.393132999,-87.81752137 13.404076823,-87.815582023 13.4053820950001,-87.7713109749999 13.3741929830001,-87.764099121 13.3690795900001,-87.7582326089999 13.366036679,-87.738064003 13.3554180730001,-87.710554932 13.3536090900001,-87.681054992 13.362582085,-87.680974477 13.362669307,-87.680969238 13.362670898,-87.675542029 13.3685543080001,-87.6599999859999 13.3853910880001,-87.659996024 13.3854070780001,-87.6599121089999 13.3854980470001,-87.651184082 13.4208984370001,-87.63759207 13.459053593,-87.614726812 13.4403091500001,-87.614026923 13.405745031,-87.606655039 13.3794270290001,-87.556826804 13.3641640860001)),((-83.597222 19.465833,-82.35 17.584167,-80.8330559999999 17.584167,-80.591886328 17.584084139,-79.8728308509999 16.261214286,-79.8722632069999 16.2601699730001,-79.871884017 16.259472365,-79.873871428 16.258191422,-82.366739858 15.269284849,-82.366381543 15.269129123,-82.365806076 15.26887687,-82.365231405 15.2686228110001,-82.3646575349999 15.2683669470001,-82.364084471 15.2681092820001,-82.36351222 15.2678498180001,-82.362940787 15.2675885570001,-82.3623701769999 15.2673255020001,-82.361800396 15.2670606560001,-82.361231451 15.2667940210001,-82.360663345 15.2665256010001,-82.3600960859999 15.2662553960001,-82.3595296789999 15.265983411,-82.358964129 15.265709648,-82.358399441 15.2654341100001,-82.357835622 15.2651567990001,-82.357272677 15.264877718,-82.356710612 15.26459687,-82.3561494309999 15.264314257,-82.355589142 15.264029883,-82.3550297479999 15.2637437500001,-82.354471256 15.2634558610001,-82.353913671 15.263166219,-82.353356999 15.2628748270001,-82.352801246 15.262581687,-82.352246415 15.2622868030001,-82.351692514 15.261990177,-82.3511395479999 15.261691812,-82.350587521 15.261391712,-82.350036441 15.2610898790001,-82.349486311 15.2607863160001,-82.348937137 15.260481027,-82.3483889249999 15.260174013,-82.347841681 15.2598652790001,-82.347295409 15.259554828,-82.346750115 15.259242661,-82.346205805 15.258928783,-82.345662483 15.258613197,-82.345120155 15.2582959050001,-82.344578827 15.2579769110001,-82.344038504 15.257656218,-82.343499191 15.2573338290001,-82.3429608929999 15.257009748,-82.342423616 15.256683977,-82.3418873649999 15.2563565190001,-82.341352146 15.256027379,-82.3408179629999 15.2556965590001,-82.3402848219999 15.2553640620001,-82.3397527289999 15.255029892,-82.339221687 15.254694052,-82.338691704 15.2543565450001,-82.338162783 15.254017375,-82.337634931 15.2536765450001,-82.337108152 15.2533340590001,-82.336582451 15.2529899190001,-82.336057835 15.252644129,-82.335534307 15.2522966930001,-82.335011873 15.2519476140001,-82.334490538 15.251596895,-82.3339703079999 15.2512445400001,-82.333451188 15.250890553,-82.332933182 15.2505349370001,-82.332416295 15.250177695,-82.3319005339999 15.24981883,-82.331385903 15.2494583480001,-82.330872406 15.24909625,-82.33036005 15.248732541,-82.329848839 15.248367224,-82.329338778 15.248000303,-82.328829872 15.2476317810001,-82.328322127 15.2472616630001,-82.327815546 15.2468899510001,-82.327310137 15.2465166490001,-82.326805902 15.246141762,-82.326302847 15.245765292,-82.325800978 15.245387244,-82.3253002989999 15.2450076210001,-82.3248008149999 15.244626426,-82.3243025309999 15.2442436650001,-82.323805452 15.24385934,-82.323309583 15.2434734550001,-82.322814928 15.2430860150001,-82.3223214929999 15.2426970220001,-82.3218292829999 15.2423064810001,-82.321338302 15.241914396,-82.3208485549999 15.24152077,-82.320360047 15.2411256070001,-82.3198727829999 15.2407289120001,-82.319386768 15.240330688,-82.318902006 15.239930939,-82.318418503 15.239529669,-82.317936262 15.2391268820001,-82.317455289 15.238722583,-82.316975589 15.2383167740001,-82.316497166 15.23790946,-82.3160200249999 15.2375006450001,-82.31554417 15.237090333,-82.3150696069999 15.236678528,-82.31459634 15.236265234,-82.314124374 15.235850456,-82.313653713 15.2354341970001,-82.3131843629999 15.235016461,-82.312716326 15.2345972530001,-82.31224961 15.234176577,-82.311784217 15.233754436,-82.311320152 15.2333308350001,-82.310857421 15.2329057790001,-82.310396027 15.232479271,-82.309935975 15.232051316,-82.3094772709999 15.231621917,-82.3090199169999 15.23119108,-82.3085639189999 15.230758807,-82.308109282 15.2303251050001,-82.307656009 15.229889976,-82.307204105 15.229453425,-82.3067535759999 15.2290154570001,-82.306304424 15.228576076,-82.305856655 15.2281352850001,-82.305410273 15.227693091,-82.304965282 15.2272494960001,-82.304521687 15.2268045050001,-82.304079492 15.2263581230001,-82.3036387019999 15.2259103540001,-82.30319932 15.2254612020001,-82.3027613519999 15.2250106720001,-82.302324802 15.2245587690001,-82.3018896729999 15.2241054960001,-82.30145597 15.223650858,-82.3010236979999 15.22319486,-82.3005928599999 15.222737507,-82.3001634619999 15.2222788020001,-82.299735506 15.2218187500001,-82.299308998 15.221357357,-82.298883942 15.220894625,-82.298460341 15.2204305610001,-82.2980382009999 15.219965168,-82.297617524 15.219498451,-82.2971983159999 15.2190304150001,-82.296780581 15.218561064,-82.296364322 15.2180904030001,-82.2959495429999 15.2176184370001,-82.295536249 15.21714517,-82.2951244449999 15.216670607,-82.294714133 15.216194753,-82.2943053179999 15.215717612,-82.293898004 15.215239189,-82.2934921949999 15.214759488,-82.293087895 15.214278515,-82.2926851079999 15.2137962750001,-82.2922838379999 15.2133127710001,-82.291884089 15.2128280090001,-82.291485865 15.212341994,-82.29108917 15.21185473,-82.2906940079999 15.211366222,-82.2903003819999 15.2108764760001,-82.289908296 15.210385494,-82.289517755 15.209893284,-82.289128763 15.209399849,-82.288741322 15.2089051950001,-82.2883554379999 15.208409326,-82.287971113 15.207912247,-82.287588351 15.207413963,-82.287207157 15.206914478,-82.2868275339999 15.2064137990001,-82.286449486 15.2059119300001,-82.286073016 15.205408876,-82.285698128 15.204904641,-82.285324827 15.204399231,-82.284953115 15.203892651,-82.284582996 15.2033849050001,-82.284214474 15.2028760000001,-82.283847553 15.2023659390001,-82.2834822359999 15.2018547280001,-82.2831185269999 15.2013423710001,-82.2827564299999 15.2008288750001,-82.2823959469999 15.200314243,-82.282037083 15.1997984820001,-82.281679841 15.199281596,-82.2813242239999 15.1987635900001,-82.280970237 15.198244469,-82.2806178819999 15.197724239,-82.280267164 15.197202905,-82.279918085 15.196680471,-82.2795706489999 15.1961569430001,-82.279224859 15.1956323260001,-82.278880719 15.195106626,-82.278538232 15.1945798460001,-82.278197402 15.1940519940001,-82.277858232 15.193523074,-82.277520726 15.1929930900001,-82.277184886 15.192462049,-82.276850716 15.191929955,-82.276518219 15.191396814,-82.276187399 15.1908626320001,-82.275858258 15.190327412,-82.2755308009999 15.1897911610001,-82.2752050299999 15.189253884,-82.274880948 15.188715587,-82.274558559 15.1881762740001,-82.274237866 15.1876359500001,-82.273918872 15.1870946220001,-82.273601581 15.1865522950001,-82.2732859939999 15.1860089730001,-82.2729721159999 15.1854646620001,-82.2726599499999 15.1849193680001,-82.272349498 15.184373097,-82.2720407639999 15.183825852,-82.2717337509999 15.18327764,-82.271428461 15.1827284670001,-82.271124899 15.182178337,-82.2708230659999 15.1816272560001,-82.2705229649999 15.18107523,-82.2702246009999 15.1805222630001,-82.269927975 15.1799683620001,-82.2696330909999 15.1794135320001,-82.2693399509999 15.1788577780001,-82.2690485589999 15.178301106,-82.268758917 15.177743521,-82.268471028 15.177185029,-82.268184895 15.176625636,-82.26790052 15.176065346,-82.267617908 15.1755041660001,-82.26733706 15.1749421000001,-82.267057979 15.1743791550001,-82.266780668 15.1738153360001,-82.2665051289999 15.1732506490001,-82.2662313659999 15.172685099,-82.265959381 15.172118691,-82.265689177 15.1715514320001,-82.265420756 15.170983327,-82.265154121 15.1704143810001,-82.264889275 15.169844601,-82.264626221 15.1692739910001,-82.26436496 15.1687025580001,-82.264105496 15.168130306,-82.26384783 15.167557243,-82.263591967 15.1669833720001,-82.2633379069999 15.166408701,-82.263085654 15.165833235,-82.262835211 15.1652569780001,-82.262586578 15.1646799380001,-82.26233976 15.1641021200001,-82.262094759 15.163523529,-82.261851576 15.162944171,-82.261610215 15.162364052,-82.2613706769999 15.1617831780001,-82.2611329649999 15.1612015540001,-82.260897082 15.1606191860001,-82.2606630289999 15.1600360800001,-82.2604308099999 15.159452242,-82.260200426 15.158867677,-82.259971879 15.1582823900001,-82.259745172 15.157696389,-82.2595203079999 15.157109679,-82.259297287 15.156522265,-82.259076114 15.155934153,-82.2588567879999 15.1553453500001,-82.2586393139999 15.15475586,-82.2584236929999 15.1541656900001,-82.2582099269999 15.153574845,-82.257998018 15.1529833320001,-82.2577879679999 15.152391156,-82.25757978 15.151798323,-82.257373456 15.1512048390001,-82.257168996 15.150610709,-82.256966405 15.150015941,-82.256765683 15.1494205380001,-82.256566832 15.1488245080001,-82.2563698549999 15.1482278570001,-82.256174753 15.1476305890001,-82.2559815289999 15.1470327110001,-82.255790183 15.1464342300001,-82.255600719 15.14583515,-82.2554131379999 15.1452354780001,-82.255227442 15.1446352190001,-82.255043632 15.144034381,-82.254861711 15.143432967,-82.254681681 15.142830985,-82.254503542 15.142228441,-82.254327297 15.1416253400001,-82.254152948 15.141021688,-82.2539804959999 15.1404174910001,-82.253809943 15.139812756,-82.25364129 15.1392074880001,-82.25347454 15.1386016920001,-82.2533096939999 15.137995377,-82.2531467539999 15.1373885460001,-82.252985721 15.136781206,-82.252826596 15.1361733630001,-82.252669382 15.1355650240001,-82.25251408 15.1349561930001,-82.252360691 15.134346878,-82.252209218 15.1337370840001,-82.252059661 15.1331268170001,-82.251912021 15.132516083,-82.251766302 15.1319048880001,-82.251622502 15.1312932380001,-82.251480626 15.13068114,-82.251340673 15.130068599,-82.251202645 15.129455622,-82.251066543 15.128842214,-82.2509323689999 15.128228381,-82.250800124 15.12761413,-82.25066981 15.126999466,-82.250541427 15.126384396,-82.2504149769999 15.125768926,-82.250290461 15.125153061,-82.250167881 15.1245368080001,-82.250047237 15.123920174,-82.249928532 15.1233031630001,-82.2498117649999 15.1226857820001,-82.2496969379999 15.1220680380001,-82.249584053 15.121449936,-82.249473109 15.120831482,-82.24936411 15.120212683,-82.249257055 15.119593545,-82.2491519449999 15.1189740730001,-82.249048782 15.1183542740001,-82.248947567 15.1177341540001,-82.248848301 15.117113719,-82.248750984 15.1164929760001,-82.248655618 15.115871929,-82.2485622029999 15.1152505860001,-82.2484707409999 15.114628953,-82.248381232 15.114007036,-82.2482936769999 15.11338484,-82.2482080779999 15.1127623720001,-82.248124434 15.1121396390001,-82.2480427469999 15.111516646,-82.247963018 15.1108933990001,-82.2478852469999 15.1102699050001,-82.247809436 15.109646169,-82.2477355839999 15.109022199,-82.2476636929999 15.108397999,-82.2475937629999 15.107773577,-82.2475257949999 15.107148938,-82.2474597899999 15.1065240890001,-82.247395748 15.105899036,-82.24733367 15.1052737840001,-82.247273557 15.10464834,-82.247215409 15.104022711,-82.2471592269999 15.103396902,-82.247105011 15.1027709200001,-82.247052762 15.1021447700001,-82.2470024799999 15.101518459,-82.246954166 15.1008919940001,-82.246907821 15.1002653800001,-82.246863444 15.099638623,-82.246821036 15.09901173,-82.246780599 15.098384707,-82.246742131 15.09775756,-82.246705633 15.0971302950001,-82.2466711069999 15.0965029180001,-82.246638551 15.0958754370001,-82.246607967 15.0952478560001,-82.2465793549999 15.094620182,-82.246552715 15.0939924210001,-82.246528047 15.0933645800001,-82.2465053509999 15.092736664,-82.246484629 15.09210868,-82.246465879 15.0914806340001,-82.246449102 15.090852532,-82.246434299 15.090224381,-82.24642147 15.0895961860001,-82.246410613 15.0889679540001,-82.2464017309999 15.088339691,-82.246394822 15.0877114030001,-82.246389887 15.0870830970001,-82.2463869269999 15.0864547780001,-82.24638594 15.085826453,-82.2463869269999 15.0851981280001,-82.246389887 15.0845698090001,-82.246394822 15.0839415030001,-82.2464017309999 15.083313215,-82.246410613 15.082684952,-82.24642147 15.08205672,-82.246434299 15.081428526,-82.246449102 15.080800374,-82.246465879 15.080172272,-82.246484629 15.0795442260001,-82.2465053509999 15.078916243,-82.246528047 15.0782883270001,-82.246552715 15.077660485,-82.2465793549999 15.077032725,-82.246607967 15.0764050510001,-82.246638551 15.07577747,-82.2466711069999 15.0751499880001,-82.246705633 15.0745226120001,-82.246742131 15.0738953470001,-82.246780599 15.0732682,-82.246821036 15.072641176,-82.246863444 15.072014283,-82.246907821 15.0713875270001,-82.246954166 15.070760912,-82.2470024799999 15.070134447,-82.247052762 15.069508136,-82.247105011 15.0688819870001,-82.2471592269999 15.068256004,-82.247215409 15.067630195,-82.247273557 15.067004566,-82.24733367 15.066379123,-82.247395748 15.065753871,-82.2474597899999 15.0651288170001,-82.2475257949999 15.0645039680001,-82.2475937629999 15.063879329,-82.2476636929999 15.063254907,-82.2477355839999 15.062630708,-82.247809436 15.062006737,-82.2478852469999 15.0613830020001,-82.247963018 15.060759508,-82.2480427469999 15.060136261,-82.248124434 15.059513268,-82.2482080779999 15.0588905340001,-82.2482936769999 15.058268066,-82.248381232 15.057645871,-82.2484707409999 15.0570239530001,-82.2485622029999 15.0564023200001,-82.248655618 15.055780977,-82.248750984 15.055159931,-82.248848301 15.054539187,-82.248947567 15.0539187520001,-82.249048782 15.0532986320001,-82.2491519449999 15.0526788330001,-82.249257055 15.052059362,-82.24936411 15.051440223,-82.249473109 15.050821424,-82.249584053 15.05020297,-82.2496969379999 15.0495848680001,-82.2498117649999 15.0489671240001,-82.249928532 15.0483497430001,-82.250047237 15.047732733,-82.250167881 15.0471160980001,-82.250290461 15.046499845,-82.2504149769999 15.045883981,-82.250541427 15.0452685110001,-82.25066981 15.044653441,-82.250800124 15.044038777,-82.2509323689999 15.043424526,-82.251066543 15.042810693,-82.251202645 15.042197285,-82.251340673 15.0415843070001,-82.251480626 15.040971766,-82.251622502 15.0403596680001,-82.251766302 15.0397480180001,-82.251912021 15.039136824,-82.252059661 15.0385260900001,-82.252209218 15.037915823,-82.252360691 15.037306029,-82.25251408 15.036696713,-82.252669382 15.0360878830001,-82.252826596 15.0354795430001,-82.252985721 15.034871701,-82.2531467539999 15.0342643610001,-82.2533096939999 15.03365753,-82.25347454 15.0330512140001,-82.25364129 15.0324454190001,-82.253809943 15.031840151,-82.2539804959999 15.031235415,-82.254152948 15.030631219,-82.254327297 15.030027567,-82.254503542 15.029424466,-82.254681681 15.028821921,-82.254861711 15.0282199390001,-82.255043632 15.027618526,-82.255227442 15.0270176870001,-82.2554131379999 15.026417429,-82.255600719 15.025817756,-82.255790183 15.0252186770001,-82.2559815289999 15.0246201950001,-82.256174753 15.0240223170001,-82.2563698549999 15.0234250500001,-82.256566832 15.0228283980001,-82.256765683 15.0222323680001,-82.256966405 15.0216369660001,-82.257168996 15.021042197,-82.257373456 15.0204480680001,-82.25757978 15.019854584,-82.2577879679999 15.019261751,-82.257998018 15.018669575,-82.2582099269999 15.018078061,-82.2584236929999 15.0174872170001,-82.2586393139999 15.016897047,-82.2588567879999 15.0163075570001,-82.259076114 15.015718753,-82.259297287 15.015130642,-82.2595203079999 15.014543228,-82.259745172 15.0139565170001,-82.259971879 15.0133705160001,-82.260200426 15.0127852300001,-82.2604308099999 15.012200665,-82.2606630289999 15.011616826,-82.260897082 15.0110337200001,-82.2611329649999 15.0104513520001,-82.2613706769999 15.0098697280001,-82.261610215 15.009288854,-82.261851576 15.008708735,-82.262094759 15.008129377,-82.26233976 15.0075507870001,-82.262586578 15.0069729680001,-82.262835211 15.0063959280001,-82.263085654 15.005819672,-82.2633379069999 15.0052442050001,-82.263591967 15.0046695340001,-82.26384783 15.004095664,-82.264105496 15.0035226000001,-82.26436496 15.0029503490001,-82.264626221 15.0023789150001,-82.264889275 15.001808306,-82.265154121 15.0012385250001,-82.265420756 15.00066958,-82.265689177 15.0001014740001,-82.265959381 14.999534215,-82.2662313659999 14.998967808,-82.2665051289999 14.9984022570001,-82.266780668 14.9978375700001,-82.267057979 14.997273751,-82.26733706 14.9967108060001,-82.267617908 14.9961487410001,-82.26790052 14.99558756,-82.268184895 14.995027271,-82.268471028 14.994467877,-82.268758917 14.9939093850001,-82.2690485589999 14.9933518,-82.2693399509999 14.9927951280001,-82.2696330909999 14.9922393740001,-82.269927975 14.9916845440001,-82.2702246009999 14.9911306430001,-82.2705229649999 14.990577677,-82.2708230659999 14.9900256500001,-82.271124899 14.98947457,-82.271428461 14.9889244400001,-82.2717337509999 14.988375266,-82.2720407639999 14.987827054,-82.272349498 14.9872798100001,-82.2726599499999 14.9867335380001,-82.2729721159999 14.9861882440001,-82.2732859939999 14.9856439340001,-82.273601581 14.9851006120001,-82.273918872 14.9845582840001,-82.274237866 14.9840169560001,-82.274558559 14.9834766330001,-82.274880948 14.9829373200001,-82.2752050299999 14.982399022,-82.2755308009999 14.9818617450001,-82.275858258 14.981325494,-82.276187399 14.9807902750001,-82.276518219 14.980256092,-82.276850716 14.979722951,-82.277184886 14.979190858,-82.277520726 14.9786598160001,-82.277858232 14.978129833,-82.278197402 14.9776009120001,-82.278538232 14.9770730600001,-82.278880719 14.976546281,-82.279224859 14.9760205800001,-82.2795706489999 14.9754959640001,-82.279918085 14.974972436,-82.280267164 14.974450002,-82.2806178819999 14.9739286670001,-82.280970237 14.973408437,-82.2813242239999 14.9728893170001,-82.281679841 14.9723713110001,-82.282037083 14.9718544240001,-82.2823959469999 14.971338663,-82.2827564299999 14.9708240320001,-82.2831185269999 14.9703105350001,-82.2834822359999 14.9697981790001,-82.283847553 14.9692869680001,-82.284214474 14.9687769070001,-82.284582996 14.9682680010001,-82.284953115 14.9677602560001,-82.285324827 14.9672536750001,-82.285698128 14.966748265,-82.286073016 14.966244031,-82.286449486 14.9657409760001,-82.2868275339999 14.9652391070001,-82.287207157 14.964738428,-82.287588351 14.964238944,-82.287971113 14.96374066,-82.2883554379999 14.963243581,-82.288741322 14.9627477120001,-82.289128763 14.9622530570001,-82.289517755 14.961759622,-82.289908296 14.961267412,-82.2903003819999 14.9607764310001,-82.2906940079999 14.960286684,-82.29108917 14.959798176,-82.291485865 14.959310912,-82.291884089 14.9588248970001,-82.2922838379999 14.9583401350001,-82.2926851079999 14.9578566320001,-82.293087895 14.957374391,-82.2934921949999 14.9568934180001,-82.293898004 14.956413718,-82.2943053179999 14.9559352950001,-82.294714133 14.955458154,-82.2951244449999 14.9549822990001,-82.295536249 14.954507736,-82.2959495429999 14.954034469,-82.296364322 14.9535625030001,-82.296780581 14.953091842,-82.2971983159999 14.9526224910001,-82.297617524 14.952154455,-82.2980382009999 14.951687738,-82.298460341 14.9512223460001,-82.298883942 14.950758281,-82.299308998 14.95029555,-82.299735506 14.9498341560001,-82.3001634619999 14.9493741040001,-82.3005928599999 14.9489154,-82.3010236979999 14.948458046,-82.30145597 14.948002048,-82.3018896729999 14.9475474110001,-82.302324802 14.9470941380001,-82.3027613519999 14.946642234,-82.30319932 14.9461917040001,-82.3036387019999 14.9457425530001,-82.304079492 14.9452947840001,-82.304521687 14.9448484010001,-82.304965282 14.9444034110001,-82.305410273 14.9439598160001,-82.305856655 14.9435176210001,-82.306304424 14.943076831,-82.3067535759999 14.9426374490001,-82.307204105 14.942199481,-82.307656009 14.94176293,-82.308109282 14.941327802,-82.3085639189999 14.940894099,-82.3090199169999 14.940461827,-82.3094772709999 14.940030989,-82.309935975 14.939601591,-82.310396027 14.939173635,-82.310857421 14.9387471270001,-82.311320152 14.9383220710001,-82.311784217 14.9378984700001,-82.31224961 14.93747633,-82.312716326 14.9370556530001,-82.3131843629999 14.936636445,-82.313653713 14.93621871,-82.314124374 14.93580245,-82.31459634 14.935387672,-82.3150696069999 14.934974378,-82.31554417 14.934562574,-82.3160200249999 14.9341522620001,-82.316497166 14.933743447,-82.316975589 14.9333361330001,-82.317455289 14.932930324,-82.317936262 14.932526024,-82.318418503 14.932123237,-82.318902006 14.931721967,-82.319386768 14.931322218,-82.3198727829999 14.9309239940001,-82.320360047 14.9305272990001,-82.3208485549999 14.9301321360001,-82.321338302 14.929738511,-82.3218292829999 14.9293464250001,-82.3223214929999 14.9289558840001,-82.322814928 14.928566892,-82.323309583 14.9281794510001,-82.323805452 14.927793566,-82.3243025309999 14.9274092410001,-82.3248008149999 14.9270264800001,-82.3253002989999 14.9266452860001,-82.325800978 14.926265663,-82.326302847 14.925887614,-82.326805902 14.925511145,-82.327310137 14.9251362570001,-82.327815546 14.9247629560001,-82.328322127 14.924391244,-82.328829872 14.924021125,-82.329338778 14.9236526030001,-82.329848839 14.923285682,-82.33036005 14.922920365,-82.330872406 14.922556656,-82.331385903 14.922194559,-82.3319005339999 14.921834076,-82.332416295 14.9214752120001,-82.332933182 14.9211179700001,-82.333451188 14.920762353,-82.3339703079999 14.9204083660001,-82.334490538 14.920056011,-82.335011873 14.9197052930001,-82.335534307 14.9193562140001,-82.336057835 14.919008777,-82.336582451 14.9186629880001,-82.337108152 14.9183188480001,-82.337634931 14.9179763610001,-82.338162783 14.917635531,-82.338691704 14.9172963610001,-82.339221687 14.9169588550001,-82.3397527289999 14.916623015,-82.3402848219999 14.9162888450001,-82.3408179629999 14.9159563480001,-82.341352146 14.915625527,-82.3418873649999 14.9152963870001,-82.342423616 14.91496893,-82.3429608929999 14.914643159,-82.343499191 14.9143190770001,-82.344038504 14.9139966880001,-82.344578827 14.9136759950001,-82.345120155 14.9133570010001,-82.345662483 14.9130397100001,-82.346205805 14.912724123,-82.346750115 14.912410245,-82.347295409 14.912098079,-82.347841681 14.911787627,-82.3483889249999 14.911478893,-82.348937137 14.91117188,-82.349486311 14.9108665900001,-82.350036441 14.910563027,-82.350587521 14.910261194,-82.3511395479999 14.909961094,-82.351692514 14.90966273,-82.352246415 14.9093661040001,-82.352801246 14.90907122,-82.353356999 14.90877808,-82.353913671 14.908486688,-82.354471256 14.9081970450001,-82.3550297479999 14.9079091570001,-82.355589142 14.907623024,-82.3561494309999 14.9073386490001,-82.356710612 14.9070560370001,-82.357272677 14.906775189,-82.357835622 14.9064961080001,-82.358399441 14.9062187960001,-82.358964129 14.905943258,-82.3595296789999 14.905669495,-82.3600960859999 14.9053975100001,-82.360663345 14.9051273060001,-82.361231451 14.9048588850001,-82.361800396 14.9045922500001,-82.3623701769999 14.9043274040001,-82.362940787 14.9040643490001,-82.36351222 14.9038030890001,-82.364084471 14.9035436240001,-82.3646575349999 14.9032859590001,-82.365231405 14.9030300960001,-82.365806076 14.902776036,-82.366381543 14.902523783,-82.366957799 14.902273339,-82.367534839 14.9020247070001,-82.368112658 14.9017778890001,-82.3686912489999 14.9015328880001,-82.369270606 14.9012897050001,-82.3698507249999 14.9010483430001,-82.3704316 14.900808806,-82.371013223 14.900571094,-82.371595591 14.900335211,-82.372178697 14.900101158,-82.372762536 14.899868939,-82.373347101 14.899638555,-82.373932387 14.8994100080001,-82.374518388 14.8991833010001,-82.3751050989999 14.898958437,-82.375692513 14.898735416,-82.3762806239999 14.898514242,-82.376869428 14.898294917,-82.3774589179999 14.898077443,-82.378049088 14.897861822,-82.3786399319999 14.897648056,-82.3792314459999 14.8974361470001,-82.3798236219999 14.897226097,-82.380416455 14.8970179090001,-82.381009939 14.896811584,-82.3816040679999 14.8966071250001,-82.382198837 14.8964045340001,-82.382794239 14.8962038110001,-82.383390269 14.8960049610001,-82.383986921 14.895807984,-82.384584188 14.895612882,-82.385182066 14.895419657,-82.385780548 14.895228312,-82.386379628 14.8950388480001,-82.3869793 14.894851267,-82.387579558 14.8946655710001,-82.388180397 14.8944817610001,-82.38878181 14.89429984,-82.389383792 14.8941198100001,-82.389986337 14.8939416710001,-82.3905894379999 14.8937654260001,-82.3911930899999 14.8935910770001,-82.391797286 14.893418625,-82.3924020219999 14.8932480720001,-82.39300729 14.8930794190001,-82.393613085 14.8929126690001,-82.394219401 14.892747823,-82.394826232 14.892584883,-82.3954335719999 14.8924238500001,-82.396041414 14.8922647250001,-82.396649754 14.8921075110001,-82.397258584 14.8919522090001,-82.3978678999999 14.8917988200001,-82.398477694 14.8916473470001,-82.399087961 14.8914977900001,-82.399698695 14.8913501500001,-82.40030989 14.8912044300001,-82.400921539 14.8910606310001,-82.4015336369999 14.890918755,-82.402146178 14.8907788020001,-82.4027591559999 14.8906407740001,-82.4033725639999 14.8905046720001,-82.403986397 14.890370498,-82.404600648 14.8902382530001,-82.4052153119999 14.8901079390001,-82.405830382 14.8899795560001,-82.406445852 14.889853106,-82.407061716 14.8897285900001,-82.407677969 14.88960601,-82.4082946039999 14.889485366,-82.408911615 14.8893666610001,-82.409528995 14.889249894,-82.410146739 14.889135067,-82.4107648409999 14.889022181,-82.411383295 14.888911238,-82.4120020939999 14.888802239,-82.412621233 14.888695184,-82.413240704 14.888590074,-82.413860503 14.888486911,-82.414480623 14.8883856960001,-82.4151010579999 14.8882864300001,-82.415721802 14.8881891130001,-82.4163428479999 14.888093747,-82.416964191 14.888000332,-82.417585824 14.88790887,-82.4182077419999 14.887819361,-82.418829938 14.887731806,-82.419452405 14.887646207,-82.4200751389999 14.8875625630001,-82.420698132 14.887480876,-82.4213213789999 14.887401147,-82.421944873 14.887323376,-82.4225686079999 14.8872475650001,-82.423192579 14.887173713,-82.4238167779999 14.887101822,-82.4244412 14.887031892,-82.425065839 14.886963924,-82.425690688 14.886897919,-82.426315742 14.8868338770001,-82.4269409939999 14.886771799,-82.4275664369999 14.8867116860001,-82.4281920669999 14.8866535380001,-82.4288178749999 14.886597356,-82.429443858 14.8865431400001,-82.430070007 14.8864908910001,-82.4306963179999 14.886440609,-82.431322784 14.8863922950001,-82.431949398 14.8863459500001,-82.4325761539999 14.886301573,-82.4332030469999 14.8862591650001,-82.433830071 14.886218727,-82.434457218 14.8861802600001,-82.435084483 14.8861437620001,-82.435711859 14.886109236,-82.436339341 14.88607668,-82.436966922 14.886046096,-82.4375945959999 14.886017484,-82.438222357 14.885990844,-82.438850198 14.8859661760001,-82.4394781139999 14.88594348,-82.4401060979999 14.885922758,-82.440734144 14.8859040080001,-82.4413622449999 14.885887231,-82.441990397 14.885872428,-82.442618591 14.885859598,-82.443246823 14.8858487420001,-82.4438750859999 14.88583986,-82.444503374 14.8858329510001,-82.445131681 14.8858280160001,-82.445759999 14.8858250550001,-82.4463883239999 14.885824068,-82.447016649 14.8858250550001,-82.447644968 14.8858280160001,-82.448273274 14.8858329510001,-82.4489015619999 14.88583986,-82.449529825 14.8858487420001,-82.450158057 14.885859598,-82.4507862519999 14.885872428,-82.4514144029999 14.885887231,-82.452042505 14.8859040080001,-82.452670551 14.885922758,-82.453298535 14.88594348,-82.453926451 14.8859661760001,-82.454554292 14.885990844,-82.455182053 14.886017484,-82.455809727 14.886046096,-82.456437308 14.88607668,-82.4570647899999 14.886109236,-82.457692166 14.8861437620001,-82.458319431 14.8861802600001,-82.4589465779999 14.886218727,-82.459573601 14.8862591650001,-82.4602004939999 14.886301573,-82.460827251 14.8863459500001,-82.461453865 14.8863922950001,-82.462080331 14.886440609,-82.462706641 14.8864908910001,-82.463332791 14.8865431400001,-82.4639587729999 14.886597356,-82.464584582 14.8866535380001,-82.4652102109999 14.8867116860001,-82.465835655 14.886771799,-82.4664609069999 14.8868338770001,-82.46708596 14.886897919,-82.467710809 14.886963924,-82.4683354479999 14.887031892,-82.4689598699999 14.887101822,-82.4695840699999 14.887173713,-82.47020804 14.8872475650001,-82.470831776 14.887323376,-82.47145527 14.887401147,-82.4720785169999 14.887480876,-82.47270151 14.8875625630001,-82.473324243 14.887646207,-82.4739467109999 14.887731806,-82.4745689069999 14.887819361,-82.475190824 14.88790887,-82.475812458 14.888000332,-82.4764337999999 14.888093747,-82.477054847 14.8881891130001,-82.47767559 14.8882864300001,-82.478296025 14.8883856960001,-82.478916145 14.888486911,-82.479535944 14.888590074,-82.4801554159999 14.888695184,-82.4807745539999 14.888802239,-82.481393353 14.888911238,-82.4820118069999 14.889022181,-82.482629909 14.889135067,-82.483247654 14.889249894,-82.483865034 14.8893666610001,-82.4844820449999 14.889485366,-82.485098679 14.88960601,-82.485714932 14.8897285900001,-82.4863307969999 14.889853106,-82.486946267 14.8899795560001,-82.487561337 14.8901079390001,-82.4881760009999 14.8902382530001,-82.4887902519999 14.890370498,-82.489404085 14.8905046720001,-82.490017493 14.8906407740001,-82.49063047 14.8907788020001,-82.495888795 14.892171359,-82.495867741 14.8920874570001,-82.555507932 14.943181727,-82.566322649 14.946065651,-82.8328387289999 14.953230062,-82.8330176119999 14.953438842,-82.833424926 14.953917265,-82.8338307349999 14.9543969650001,-82.8342350349999 14.954877938,-82.834637822 14.955360178,-82.8350390909999 14.955843682,-82.8354388399999 14.9563284440001,-82.835837064 14.956814459,-82.83623376 14.9573017230001,-82.836628922 14.957790231,-82.8370225479999 14.9582799780001,-82.837414633 14.958770959,-82.837805174 14.9592631690001,-82.838194167 14.9597566040001,-82.838581608 14.960251258,-82.8389674919999 14.960747128,-82.839351817 14.9612442070001,-82.839734579 14.9617424910001,-82.840115773 14.962241975,-82.8404953959999 14.9627426540001,-82.840873444 14.9632445230001,-82.8412499139999 14.963747578,-82.841624801 14.964251812,-82.841998103 14.9647572220001,-82.842369815 14.965263802,-82.842739934 14.9657715480001,-82.8431084549999 14.9662804540001,-82.843475376 14.966790514,-82.8438406929999 14.9673017260001,-82.8442044019999 14.9678140820001,-82.8445665 14.9683275780001,-82.8449269829999 14.96884221,-82.845285847 14.969357971,-82.845643089 14.969874857,-82.8459987049999 14.970392863,-82.846352693 14.9709119840001,-82.8467050469999 14.9714322140001,-82.847055766 14.971953549,-82.847404845 14.972475982,-82.8477522809999 14.97299951,-82.848098071 14.9735241270001,-82.848442211 14.974049828,-82.848784697 14.9745766070001,-82.849125527 14.975104459,-82.849464697 14.97563338,-82.849802204 14.9761633630001,-82.8501380439999 14.9766944040001,-82.850472214 14.9772264980001,-82.850804711 14.9777596390001,-82.851135531 14.9782938220001,-82.851464672 14.978829041,-82.851792129 14.9793652920001,-82.8521178999999 14.979902569,-82.852441982 14.980440866,-82.852764371 14.9809801800001,-82.853085064 14.9815205030001,-82.853404057 14.9820618310001,-82.853721349 14.9826041590001,-82.8540369359999 14.9831474800001,-82.8543508129999 14.9836917910001,-82.8546629799999 14.9842370850001,-82.854973432 14.984783357,-82.8552821659999 14.985330601,-82.8555891789999 14.9858788130001,-82.855894468 14.986427986,-82.856198031 14.986978116,-82.8564998639999 14.9875291970001,-82.8567999639999 14.988081224,-82.8570983289999 14.98863419,-82.857394955 14.9891880910001,-82.857689839 14.9897429210001,-82.857982979 14.9902986750001,-82.8582743709999 14.990855347,-82.858564013 14.9914129320001,-82.858851902 14.991971424,-82.8591380349999 14.992530817,-82.859422409 14.9930911070001,-82.859705022 14.993652288,-82.8599858699999 14.9942143530001,-82.860264951 14.994777298,-82.860542262 14.9953411170001,-82.8608178009999 14.9959058040001,-82.8610915639999 14.9964713540001,-82.861363549 14.997037762,-82.861633753 14.997605021,-82.861902174 14.998173126,-82.862168808 14.998742072,-82.862433654 14.9993118530001,-82.862696709 14.9998824620001,-82.86295797 15.0004538960001,-82.863217434 15.0010261470001,-82.863475099 15.001599211,-82.863730963 15.002173081,-82.8639850229999 15.0027477520001,-82.8642372749999 15.003323219,-82.864487719 15.003899475,-82.864736351 15.004476515,-82.864983169 15.005054333,-82.865228171 15.0056329240001,-82.865471354 15.006212282,-82.865712715 15.006792401,-82.865952253 15.0073732750001,-82.866189965 15.007954899,-82.8664258479999 15.0085372670001,-82.8666598999999 15.009120373,-82.86689212 15.009704212,-82.867122504 15.010288777,-82.867351051 15.0108740630001,-82.8675777569999 15.0114600640001,-82.8678026219999 15.0120467740001,-82.868025642 15.0126341880001,-82.868246816 15.0132223000001,-82.8684661409999 15.0138111040001,-82.8686836159999 15.0144005930001,-82.8688992369999 15.0149907640001,-82.8691130029999 15.015581608,-82.869324912 15.0161731210001,-82.8695349609999 15.0167652970001,-82.86974315 15.01735813,-82.869949474 15.0179516150001,-82.870153933 15.0185457440001,-82.870356525 15.019140513,-82.870557247 15.0197359150001,-82.870756098 15.0203319450001,-82.870953075 15.020928597,-82.871148177 15.0215258640001,-82.8713414009999 15.0221237420001,-82.871532746 15.0227222230001,-82.87172221 15.023321303,-82.8719097919999 15.0239209750001,-82.872095488 15.0245212340001,-82.872279297 15.025122073,-82.872461218 15.0257234860001,-82.872641249 15.026325468,-82.872819388 15.026928012,-82.872995633 15.0275311130001,-82.873169982 15.0281347650001,-82.8733424339999 15.028738962,-82.873512987 15.0293436970001,-82.873681639 15.0299489660001,-82.873848389 15.0305547610001,-82.874013235 15.031161077,-82.8741761759999 15.0317679080001,-82.874337209 15.0323752470001,-82.874496333 15.0329830900001,-82.874653548 15.0335914300001,-82.87480885 15.03420026,-82.874962238 15.0348095750001,-82.875113712 15.0354193700001,-82.875263269 15.0360296370001,-82.8754109079999 15.036640371,-82.875556628 15.0372515650001,-82.875700427 15.0378632150001,-82.8758423039999 15.038475313,-82.875982257 15.0390878540001,-82.876120285 15.0397008320001,-82.876256387 15.04031424,-82.8763905609999 15.040928072,-82.876522806 15.041542324,-82.87665312 15.0421569870001,-82.876781503 15.042772057,-82.8769079529999 15.043387528,-82.877032468 15.044003392,-82.877155049 15.0446196450001,-82.877275692 15.04523628,-82.877394398 15.04585329,-82.877511165 15.0464706710001,-82.8776259919999 15.0470884150001,-82.877738877 15.0477065170001,-82.8778498199999 15.0483249710001,-82.8779588199999 15.0489437700001,-82.8780658749999 15.049562908,-82.878170984 15.05018238,-82.878274147 15.0508021790001,-82.878375362 15.051422299,-82.878474629 15.0520427340001,-82.878571946 15.0526634780001,-82.8786673119999 15.053284524,-82.878760727 15.053905867,-82.878852189 15.0545275000001,-82.8789416979999 15.055149418,-82.8790292529999 15.055771613,-82.879114852 15.0563940810001,-82.879198496 15.0570168140001,-82.8792801819999 15.057639808,-82.879359912 15.0582630540001,-82.8794376819999 15.058886549,-82.879513494 15.0595102840001,-82.8795873459999 15.060134254,-82.8796592369999 15.0607584540001,-82.8797291669999 15.061382876,-82.879797135 15.0620075150001,-82.8798631399999 15.062632364,-82.879927182 15.063257418,-82.879989259 15.0638826690001,-82.880049373 15.064508113,-82.880107521 15.0651337420001,-82.8801637029999 15.065759551,-82.880217919 15.0663855340001,-82.880270168 15.067011683,-82.8803204499999 15.0676379940001,-82.880368763 15.068264459,-82.880415109 15.068891073,-82.880459486 15.0695178300001,-82.880501893 15.0701447230001,-82.880542331 15.070771746,-82.880580799 15.071398893,-82.880617296 15.072026158,-82.8806518229999 15.072653535,-82.8806843789999 15.0732810170001,-82.8807149629999 15.0739085980001,-82.8807435749999 15.0745362710001,-82.880770215 15.075164032,-82.880794883 15.0757918740001,-82.8808175779999 15.0764197890001,-82.880838301 15.0770477730001,-82.880857051 15.077675819,-82.880873827 15.078303921,-82.8808886309999 15.078932072,-82.88090146 15.079560267,-82.880912316 15.080188499,-82.8809211989999 15.080816762,-82.880928108 15.0814450500001,-82.880933042 15.082073356,-82.880936003 15.0827016750001,-82.88093699 15.08333,-82.880936003 15.083958325,-82.880933042 15.0845866440001,-82.880928108 15.08521495,-82.8809211989999 15.0858432380001,-82.880912316 15.0864715010001,-82.88090146 15.0870997330001,-82.8808886309999 15.087727928,-82.880873827 15.0883560790001,-82.880857051 15.0889841810001,-82.880846638 15.089033779,-82.880791511 15.0907480550001,-82.880799472 15.0907452770001,-83.087713057 15.0185633420001,-83.099496197 15.014452786,-83.1318549819999 14.992982119,-83.190307617 15.015930176,-83.231994629 15.0327148440001,-83.266784668 15.053527832,-83.282592773 15.0656738280001,-83.307495117 15.0958862300001,-83.325500488 15.139282227,-83.3330078119999 15.1730957030001,-83.356506348 15.22467041,-83.393493652 15.2565307620001,-83.4374999999999 15.2761230470001,-83.5056152339999 15.301086426,-83.6166992189999 15.347290039,-83.56628418 15.3082885740001,-83.532775879 15.296691895,-83.507202148 15.2807006840001,-83.496398926 15.232299805,-83.496887207 15.2031250000001,-83.570373535 15.158081055,-83.6162109369999 15.1701049800001,-83.623413086 15.18927002,-83.58972168 15.232727051,-83.563110352 15.221313477,-83.5468749999999 15.1984863280001,-83.5280761719999 15.2172851560001,-83.519897461 15.247924805,-83.531311035 15.268920898,-83.579223633 15.2609252930001,-83.628723145 15.267883301,-83.744689941 15.2006835940001,-83.7583007809999 15.1967163090001,-83.771118164 15.2802734380001,-83.819274902 15.321899414,-83.923278809 15.3878784180001,-83.963928223 15.4077148440001,-83.998596191 15.414672852,-84.027709961 15.4008789060001,-84.00567627 15.3646850590001,-83.983093262 15.347290039,-83.95300293 15.343322754,-83.893493652 15.319702148,-83.8300781249999 15.271118164,-83.911315918 15.2395019530001,-84.074401855 15.3493041990001,-84.100769043 15.374084473,-84.200012207 15.518676758,-84.2094726559999 15.545715332,-84.16192627 15.5502929690001,-84.010803223 15.535705566,-83.942810059 15.5106811520001,-83.910583496 15.477905273,-83.85559082 15.460083008,-84.037780762 15.6311035160001,-84.11529541 15.702514648,-84.260070801 15.8261108400001,-84.479675293 15.8500976560001,-84.525512695 15.8461303710001,-84.441101074 15.8259277340001,-84.511108398 15.7824707030001,-84.599182129 15.775695801,-84.621276855 15.8004760740001,-84.627380371 15.8291015630001,-84.677612305 15.877075195,-84.920593262 15.9774780270001,-84.996887207 15.991271973,-85.026916504 15.984924316,-85.050476074 15.974487305,-85.07220459 15.9606933590001,-85.088012695 15.9453125000001,-85.109680176 15.926330566,-85.177185059 15.9088745120001,-85.245788574 15.8989257810001,-85.3999023439999 15.890686035,-85.4960937499999 15.8890991210001,-85.558227539 15.9064941410001,-85.5988769529999 15.9218750000001,-85.62902832 15.936096191,-85.6582031249999 15.956115723,-85.764282227 15.996704102,-85.841918945 16.0106811520001,-85.92388916 16.020080566,-86.01159668 16.0217285160001,-85.96862793 16.001098633,-85.937927246 16.002075195,-85.906799316 15.9921264650001,-85.910095215 15.955871582,-85.9243164059999 15.9387207030001,-85.9519042969999 15.917114258,-85.991394043 15.89831543,-86.020202637 15.895080566,-86.044372559 15.895080566,-86.1027832029999 15.897094727,-86.1245117189999 15.8955078120001,-86.186401367 15.88067627,-86.229187012 15.8566894530001,-86.249206543 15.8278808590001,-86.2714843749999 15.8112792970001,-86.357788086 15.7694702150001,-86.403381348 15.767700195,-86.41809082 15.7714843750001,-86.434997559 15.780090332,-86.4882812499999 15.801086426,-86.7277832029999 15.7883300780001,-86.797485352 15.784301758,-86.818481445 15.7714843750001,-86.897521973 15.75567627,-86.938903809 15.7565307620001,-86.96472168 15.758911133,-87.163269043 15.7994995120001,-87.2863769529999 15.8278808590001,-87.313293457 15.8361206050001,-87.382507324 15.8214721680001,-87.445007324 15.786499023,-87.47442627 15.784484863,-87.5253906249999 15.8029174800001,-87.594177246 15.8624877930001,-87.628601074 15.882873535,-87.707702637 15.9213256840001,-87.727172852 15.91809082,-87.7478027339999 15.897521973,-87.804992676 15.9000854490001,-87.864685059 15.8878784180001,-87.916381836 15.8646850590001,-88.0319824219999 15.786499023,-88.110412598 15.695922852,-88.136901855 15.682922363,-88.169616699 15.6876831050001,-88.196105957 15.7053222660001,-88.2114257809999 15.7207031250001,-88.21472168 15.724487305,-88.2147431719999 15.7244776700001,-88.216736748 15.7346339420001,-88.208915748 15.748426942,-88.1992775589999 15.7662827980001,-88.185819191 15.791215333,-88.174387473 15.8119832890001,-88.164795256 15.8294094290001,-88.164808685 15.829503763,-88.1665121029999 15.841470089,-88.1763911959999 15.8714284490001,-88.1788929799999 15.879015113,-88.17908956 15.883081707,-88.179089941 15.883089576,-88.179090375 15.8830985480001,-88.179575222 15.8931284280001,-88.180022 15.9015644130001,-88.180094745 15.9029379420001,-88.1800947579999 15.9029382300001,-88.1805880699999 15.917679338,-88.1805880969999 15.917680139,-88.180728233 15.92298965,-88.1209465009999 15.9631465590001,-88.114011515 15.971535841,-88.101867839 15.98610589,-88.082727296 16.009251207,-88.075829076 16.017149771,-88.063191699 16.031897826,-88.0497146609999 16.046842977,-88.028058465 16.068053487,-88.025177404 16.0698273030001,-87.9792108029999 16.0988620090001,-87.9337586 16.13900754,-87.932034111 16.140048934,-87.925849681 16.143847328,-87.90545224 16.1583807580001,-87.869732954 16.184122062,-87.867404552 16.185896846,-87.8453392059999 16.1962552430001,-87.809068353 16.220255674,-87.802158549 16.2248748960001,-87.762769577 16.247102872,-87.675980927 16.2949241310001,-87.60775917 16.348123215,-87.604281325 16.3488996990001,-87.467536796 16.3790325200001,-87.418466291 16.3894832940001,-87.41826338 16.3897208990001,-87.363167472 16.4512323120001,-87.210589286 16.6180346900001,-87.145387318 16.6964093080001,-87.1211988699999 16.7083020040001,-87.108329703 16.714706232,-87.0943539 16.727708826,-87.065487395 16.754387034,-87.0290823559999 16.7881595120001,-87.0127026769999 16.8033547260001,-87.011094038 16.804885852,-87.007952094 16.8078764000001,-86.9643521519999 16.8495288130001,-86.912778865 16.899313765,-86.911634312 16.9004430470001,-86.8677140729999 16.946750077,-86.858161708 16.9571763870001,-86.785169836 17.036926699,-86.7757846499999 17.0483993890001,-86.677980357 17.178926033,-86.677494525 17.179573491,-86.6770073929999 17.180221897,-86.66122724 17.2012120380001,-86.6309805659999 17.2415869010001,-86.580088114 17.290858825,-86.5732535609999 17.2975998740001,-86.546069345 17.325475754,-86.4325855819999 17.441844272,-86.307469996 17.569575399,-86.281714754 17.597219234,-86.162847142 17.7843868410001,-86.112897185 17.856131799,-85.902248306 17.989591911,-85.549591623 18.2130234370001,-85.522932501 18.281906141,-85.517610382 18.295657605,-85.41737131 18.552791886,-85.3906617339999 18.6125872420001,-85.332781456 18.7421651820001,-85.330027736 18.7483299990001,-85.330021256 18.7483444850001,-85.329894452 18.7486279450001,-85.278321417 18.863725151,-85.2317263259999 18.967712921,-85.202097317 19.033940654,-85.185345653 19.0716209550001,-85.185345592 19.071621093,-85.183443322 19.075899958,-85.17572606 19.0932587560001,-85.174447814 19.094406232,-85.1737989869999 19.0949886810001,-85.047754094 19.2016408160001,-85.012060178 19.231370692,-84.9841897859999 19.2546086310001,-84.964087625 19.271180998,-84.884404821 19.336765923,-84.882878255 19.338022402,-84.875715559 19.3438895350001,-84.7888311299999 19.4150586270001,-84.7633844759999 19.4358265380001,-84.759585149 19.4389121720001,-84.741339355 19.4537305420001,-84.668826473 19.516972519,-84.64185 19.5405000000001,-84.247615265 19.5818224400001,-83.930898218 19.5230018820001,-83.597222 19.465833),(-86.633911133 16.273498535,-86.6267089839999 16.270324707,-86.598693848 16.2968750000001,-86.5747070309999 16.310119629,-86.5161132809999 16.323120117,-86.3740234379999 16.3999023440001,-86.315307617 16.4130859380001,-86.279418945 16.41607666,-86.263305664 16.4232788090001,-86.303283691 16.4318847660001,-86.337219238 16.435913086,-86.40612793 16.422912598,-86.445983887 16.40612793,-86.586608887 16.3422851560001,-86.596374512 16.3378906250001,-86.608093262 16.3283081050001,-86.621887207 16.3104858400001,-86.634399414 16.29309082,-86.633911133 16.273498535)))', 'Honduran Exclusive Economic Zone', 'Honduras', 'Honduras', '', '133', '133', 'HND', '8427', '2008-11-19', '219795730900', '8427', 'Y'),('SRID=4326;MULTIPOLYGON(((7.53193605399997 43.7820450290001,7.53170252200005 43.7737070760001,7.53170250800002 43.7737065680002,7.53170210800016 43.7737065630001,7.53364357200007 43.7601163200002,7.53734539100003 43.745015452,7.57056196900015 43.7031265220002,7.61052619800006 43.6532269040001,7.67057521400005 43.4347781520001,7.70458098300003 43.3708347950001,7.8411644360001 43.1287690950001,7.84230177500012 43.1273455990002,7.90883673900015 43.0450241470002,8.06864176699997 43.1188894090001,8.14383037200002 43.1474973570001,8.18858506700019 43.1644049380001,8.19264326100006 43.1659707480001,8.22445457599997 43.1782517130001,8.23403135600012 43.181602315,8.2418575210001 43.1841575940002,8.25688502200012 43.1890135100002,8.40783752600004 43.2377368260001,8.43401916699997 43.2460903010002,8.44302024900009 43.2486778860001,8.45412286400006 43.2516636220001,8.45494644100012 43.2519467070001,8.45542070900007 43.2523066200002,8.50940305000006 43.2935930670002,8.70422371400002 43.4397097620001,8.82959880600004 43.5204999400002,8.92649205200013 43.5839401240001,8.99351659000018 43.6304893610002,9.01102233500006 43.6319047380001,9.46036853900017 43.346838665,9.47339888100004 43.3260475380001,9.6288996350001 43.1700790020001,9.63667279300006 43.0434126010001,9.70499555800012 42.8695001070002,9.7799620450001 42.7851634950001,9.80772505400012 42.5575068230002,9.84544570000008 42.4599015950001,9.86833577400006 42.1754708850001,9.87880361000003 42.1611379320001,9.89183977000005 42.1441649070001,9.91228657199997 42.117604138,9.92087340400013 42.1069219540001,9.92119472900015 42.1065287140001,9.92241988200016 42.105054658,9.95385829600008 42.0674809010002,9.95456576999999 42.0666644930001,9.97431624900003 42.044246791,9.9910886190001 42.0238270690001,9.99513992200002 42.0189476160001,10.019970401 41.986762836,10.043833115 41.9527548030001,10.0618663280001 41.925254817,10.0783291020001 41.8987327270001,10.1011410400002 41.8622188290001,10.1234053750002 41.818563588,10.1418802040001 41.7823434390002,10.1430111510002 41.780133906,10.1796499500001 41.7469818310001,10.2016054320002 41.7265573930001,10.2073283480001 41.7214531500001,10.3758560600001 41.5778026560002,10.3578396160001 41.5756736660001,10.3483348160001 41.57455049,10.343209094 41.5739418020001,10.332185072 41.5726326800001,10.1481991370001 41.5461569930001,9.70858641500013 41.447948863,9.63166666700005 41.4346666660002,9.45100000000014 41.4074999990001,9.31750000000005 41.3371666660001,9.27083333299998 41.2928333320002,9.13586111100011 41.3191666660001,8.81366666700012 41.2586666660001,8.61727243200005 41.2912483840001,8.60806452600008 41.3007160240001,8.30717536100013 41.4810671770001,8.2594319210001 41.4953226210001,7.96223385399998 41.584185866,7.86691527700009 41.615091755,7.73685345200016 41.6436130120001,6.92746718200004 41.818351308,6.81023632400013 41.753341845,6.68121220200015 41.6857529240002,6.43806549500016 41.5571838240002,6.3128800500001 41.4831111880002,5.935 41.150833332,5.92302854500008 41.1636296920001,5.83384236900014 41.2589613300001,5.33750018000006 41.497222133,5.33750000000009 41.497222219,5.25138888900011 41.587499999,5.15576395000005 41.7080213710001,5.01666666699998 41.8833333290001,4.98750000000018 41.947222219,4.55833333300006 42.4499999990001,4.53561935199997 42.4657735970001,4.20833333300016 42.6930555590001,4.16168877500007 42.7158595610001,4.14583333300004 42.7236111090002,3.86805555600006 42.759722219,3.41166666700002 42.544999999,3.3742645690001 42.5225447970001,3.3457662830001 42.5067124160001,3.30776856800003 42.4877135590002,3.27610380600004 42.4687147010001,3.23177313800011 42.4528823200001,3.20327485200005 42.4433828910001,3.18293795200015 42.43795003,3.17765433700004 42.436808967,3.17444550300007 42.4455451810001,3.16000050300005 42.478336181,3.14139150300008 42.5177731810001,3.13324401000017 42.5200110570001,3.11028212400009 42.5263180810001,3.08956202800005 42.5334079490002,3.05812750300004 42.5441641810002,3.04139150300011 42.612636181,3.03805450300007 42.7283361810001,3.01221850300004 42.7980451810001,2.97916350300011 42.806664181,2.97723987900014 42.8083382350001,2.97278219900005 42.8122180930002,2.96584672200009 42.8303673070001,2.96131850300014 42.8422181810001,3.00360950300006 42.8811001810001,3.01573508900003 42.9023601110002,3.04528214099997 42.9541641150001,3.0777821320001 43.0413821760002,3.08027253500018 43.0607466780002,3.08139150300002 43.0694451820001,3.141109503 43.138882182,3.2580545030001 43.2274911820001,3.31305450300016 43.2552731820001,3.33500050300017 43.2652731820001,3.39376229300007 43.2815756780002,3.41410013100011 43.2872180330001,3.5466632830001 43.3197180240001,3.5891641020001 43.3419419460001,3.72250050300005 43.4116641820001,3.73737553800009 43.4195115000001,3.84360913500001 43.475554033,3.90239841900006 43.514158061,3.91319150400005 43.521245182,3.94731457700016 43.534219062,3.964718081 43.5408359830001,4.04568165400008 43.5602412600002,4.05624511300005 43.5627730950001,4.10450911600009 43.5556181400001,4.13041808100019 43.5398539600001,4.1323271440001 43.5085001100001,4.1622181840001 43.47110911,4.1782985480001 43.466587616,4.19778150400009 43.4611091820001,4.19778226400013 43.4611091600001,4.203708232 43.4609119720001,4.28986333799998 43.4580450760002,4.28986313200016 43.458045194,4.28986350400004 43.458045182,4.24143706500001 43.485954858,4.24741320900011 43.4912410700001,4.24930950400011 43.4929181820001,4.25211639500009 43.493882059,4.28610908300016 43.505554038,4.3145680830001 43.5023340150001,4.31687250400012 43.5020731820002,4.31828060900017 43.4769148950002,4.31889121000012 43.4660001720001,4.4219450330001 43.4538911720001,4.42194521500011 43.453891216,4.42194550400001 43.4538911820001,4.4462451760001 43.4597181030002,4.47389120800011 43.461936123,4.50610923200009 43.4627731400001,4.53555402000006 43.4583270430002,4.57471812700004 43.4466641280002,4.59610893900015 43.4281541570002,4.57368150400015 43.3874911820002,4.58379063600006 43.3763106050001,4.5926361220001 43.3665270980001,4.61305410199998 43.3615180730001,4.65278150400007 43.359718177,4.65278214400013 43.3597181430001,4.75896325600013 43.374145075,4.75896319500004 43.3741451400001,4.75896350400012 43.3741451820001,4.73671850400007 43.3981091820002,4.73444550400012 43.4274271820001,4.70750058900006 43.5720817290001,4.74660011600002 43.5218731010002,4.75041807300016 43.4911091690001,4.74291811400019 43.4414541040001,4.78863603100007 43.4118820790001,4.81505411400002 43.3992180290002,4.83516330500004 43.4003360070001,4.83845074800013 43.4026512950002,4.85360950500018 43.413327182,4.87610947500002 43.4238821680001,4.87610950500004 43.4238821780001,4.92471822100009 43.4347911180001,4.94386806700004 43.429120391,4.95778150500018 43.4250001820001,4.95778180000013 43.425000202,4.95778216700006 43.4250000930001,4.99084508700008 43.4272269970002,5.01090173600005 43.4280174640001,5.01739150500009 43.4282731820002,5.03911850500015 43.4431181820001,5.05500050500007 43.474164182,5.028191505 43.484091182,5.02163408500013 43.4952014490001,5.0102822180001 43.514436006,5.02220047200018 43.547234378,5.02416343600004 43.5526359930001,5.22902709300013 43.4931910660001,5.23152707900005 43.4658270020001,5.18860921999999 43.4338822280001,5.14680011900009 43.416664123,5.13945064000012 43.4151401070002,5.08428150500004 43.4037001820002,5.04807250500005 43.3913271820002,5.03958150500006 43.3479091820001,5.03958216700011 43.3479090500001,5.09639118600001 43.33693613,5.21805400800002 43.3390270790001,5.21805441500015 43.33902718,5.21805450500011 43.3390271820001,5.25763650500011 43.3488181820001,5.27080299500005 43.3529965040001,5.31278207100013 43.3663179950001,5.34208150500018 43.356664182,5.3627815050001 43.3318001820002,5.37347250500005 43.2717361820002,5.35868150500016 43.2487451820002,5.36136071699997 43.233505859,5.36291810600017 43.2246451140001,5.40694505800019 43.2172180770001,5.52000016800008 43.2100000850001,5.62619833800005 43.1969204620002,5.67847250500006 43.1904821820002,5.74980732500006 43.1528417030001,5.8165270930001 43.117636038,5.81174781600015 43.1149719150001,5.78257250500013 43.0987091820001,5.80883258000017 43.0796830490001,5.83389121100009 43.0615270750001,5.86680912500003 43.0586091670001,5.86680922000011 43.0586092070001,5.86680950500005 43.0586091820001,5.93333650600005 43.0863181820001,5.95555437100012 43.1183269880001,6.06221811000012 43.1013910710001,6.11555400400016 43.064436098,6.13146558900013 43.058273473,6.13778150600018 43.0558271820001,6.13778206900014 43.055827074,6.13778214100017 43.055827046,6.16528216000006 43.05055399,6.16414147 43.0529111800002,6.15721850600011 43.067218182,6.16975450600012 43.1153451830001,6.40610915800011 43.1630540510001,6.52116652500007 43.1878018570002,6.52750050600002 43.1891641820002,6.59944520100009 43.192500167,6.64166326899999 43.1850000530002,6.64166336100004 43.185000207,6.6416635060001 43.1850001820001,6.69576350600011 43.2760731820002,6.63750050600009 43.2877731800002,6.636391506 43.3111001820002,6.79416350600002 43.4227731820002,6.84639150600003 43.4241641820001,6.88819150600006 43.4345821820001,7.07471850700011 43.5722181820001,7.10008255400004 43.599888934,7.15569119399999 43.660554036,7.23069599200005 43.6943943730002,7.24680950700002 43.7016641820001,7.29217468000002 43.706752916,7.3186092410001 43.7097180900002,7.39160908000008 43.727545059,7.41958333299999 43.7258055550002,7.49666666700006 43.529444444,7.72469072500019 42.9485788320001,7.75694444400017 42.966388888,7.52833333300003 43.5524999990001,7.45350000000008 43.743194444,7.43948333300006 43.7504138880001,7.43948379799997 43.7504140320002,7.43948350700003 43.7504141820002,7.43929150700012 43.7575181820001,7.47136557900006 43.775570212,7.47136552300009 43.7755703560001,7.47136581800004 43.7755703470002,7.48416350700012 43.782773182,7.51583612100006 43.7909730820001,7.53193605399997 43.7820450290001),(9.34680015100008 43.0004090870002,9.31256326200014 42.8293000770001,9.33631807800009 42.7977001340002,9.34200922300016 42.7381911360001,9.31479117099997 42.6935360440002,9.28889125800009 42.6750001350001,9.27389117200016 42.696382203,9.25319122399998 42.719864104,9.15083611600005 42.7333271170001,9.11763606800002 42.7294360700001,9.08555416600018 42.7119359970001,9.05742718100004 42.6840271100002,8.88694513700017 42.6280541010001,8.71819127399999 42.5705540780001,8.66528218600013 42.511109117,8.57583604800016 42.3836091380002,8.58944507300004 42.3506910570001,8.61152719700016 42.3497180860002,8.63166321100016 42.3369360190001,8.68454514100011 42.2688181350001,8.64889120700008 42.25832701,8.6183271000001 42.2530539550001,8.57055410700002 42.22166423,8.58721816899998 42.1697180560001,8.60832715400016 42.1327731410001,8.63889126100014 42.120282093,8.68110923100005 42.106382216,8.7431911380001 42.0493732040001,8.65944502900004 42.0083270240001,8.66639111200004 41.9846449620001,8.64055406300002 41.9687449950001,8.61360909400003 41.9708361120001,8.59097326200009 41.9635359770002,8.62721812000018 41.9066642610002,8.66860913100015 41.908336116,8.71221816200017 41.9116642340001,8.74187316800015 41.9294360480002,8.78062706500003 41.9263821860001,8.80236318400006 41.9004180670001,8.78889111900008 41.853336079,8.74777318999998 41.8105540060001,8.70500017000012 41.7594361320001,8.72582718800015 41.729436127,8.79694512200012 41.710273252,8.85118223800009 41.6989539940001,8.87889113400018 41.6980539460001,8.91711814400009 41.6856911410001,8.87513604100008 41.6480540490001,8.80698228300002 41.6338820950001,8.78555411500002 41.6133271540002,8.79041813400005 41.557844989,8.91750019200009 41.4997181670001,8.94110916300014 41.4894360860002,8.97597318600009 41.477354076,9.02695869700005 41.4607974350002,9.11583613800013 41.4319360630001,9.13221806500013 41.3941641900001,9.18256329600007 41.3649271050002,9.21965405600014 41.3672911370002,9.25110915900012 41.4212090710002,9.24194505700001 41.4519450070001,9.27166326200017 41.5205540700001,9.29782738000017 41.5644030660001,9.32055406500007 41.6024911970002,9.37791813400003 41.652073172,9.39889116500012 41.698882078,9.404300175 41.8237451100001,9.40055413400012 41.8455539840002,9.39692711700013 41.8693540630001,9.40832717600006 41.9445821470001,9.42555399900016 41.975000074,9.44805404499999 41.9994450570002,9.55257319200001 42.1183270980002,9.56000022900002 42.192218101,9.56221808100003 42.27277322,9.53277329300005 42.5455540460001,9.52028224600008 42.5724911350001,9.50027330099999 42.5986091460001,9.48583614400019 42.6152732080002,9.46152711600001 42.6370820820001,9.48028212700007 42.61513608,9.49597321800013 42.602218058,9.50832713700009 42.5704451130001,9.47597315800016 42.579164136,9.45013610900014 42.639853977,9.44750016800009 42.6830539710002,9.45500012800017 42.7186091660001,9.46750022800006 42.7655540260002,9.48840016800006 42.807009076,9.45958217900011 42.9880451090002,9.42124503000002 43.0104180850001,9.38333619700006 43.008609103,9.34680015100008 43.0004090870002)),((2.54361100000011 51.0936110000001,2.54166319900014 51.0911090430001,2.54166312500013 51.0911090630001,2.51666350200014 51.0827731890002,2.49221850200013 51.0761091890002,2.41513650200017 51.0565181890001,2.38471850200011 51.0519361890001,2.35944550200014 51.054445189,2.23528150200013 51.0380541890001,1.94333650200008 50.9952821890001,1.79278150200003 50.9627731890001,1.76889050199998 50.955827189,1.73958150200002 50.945273189,1.62499950200009 50.8777731890001,1.59860950100011 50.8091631890002,1.56444550100014 50.7058271890001,1.56416350100005 50.6847181890002,1.577218501 50.5280541880001,1.55979050100007 50.4018731880002,1.60385450100017 50.368791188,1.59180950100006 50.3704181880001,1.55437250100016 50.3600631880001,1.53444550099999 50.2904091880001,1.50555450100018 50.2019451880001,1.46110950100018 50.1241631880001,1.43874550100003 50.1008271880002,1.40166350099997 50.078882188,1.372427501 50.0657821880001,1.23249950100012 49.9816631880001,1.21097250100007 49.9729091880001,1.07110950100002 49.9266631880001,0.713336501000015 49.8755451880001,0.689027501000055 49.8743001880001,0.640281501000004 49.8661001880002,0.585836501000074 49.8527731880001,0.563336501000038 49.8447181880001,0.426945500000102 49.7886091880002,0.3111095000001 49.744991188,0.266945500000134 49.7336091880001,0.21110950000002 49.7188821880002,0.185972500000105 49.7040271880001,0.169718500000101 49.6888911880001,0.0758365000000936 49.522563188,0.113190500000087 49.4877731870002,0.160836500000073 49.4688911870002,0.256109500000093 49.4572181870001,0.315836500000103 49.4531911870002,0.353609500000118 49.4541631870001,0.379863500000056 49.4566631870001,0.441390500000125 49.471663187,0.488190500000144 49.486245187,0.465763500000094 49.4688181870002,0.42471850000004 49.4516631870001,0.376663500000177 49.4408271870002,0.295236500000044 49.431454187,0.270281500000067 49.430273187,0.235281499999985 49.4272181870001,0.169445500000052 49.414163187,0.140554500000064 49.4059631870002,0.113609500000109 49.3913911870001,0.092081500000063 49.371527187,0.0706905000001257 49.3554181870001,-4.99999941894202e-07 49.3287731870001,-0.0394454999999425 49.314718187,-0.0733364999998685 49.3055451870001,-0.0987544999999272 49.3001361870002,-0.228336499999955 49.2836091870002,-0.29430949999994 49.3020821870001,-0.367990499999962 49.3252731870001,-0.41750049999996 49.3413821870001,-0.503054499999962 49.3461091870001,-0.580554500999938 49.345273187,-0.621945500999914 49.3449911870002,-0.725554500999976 49.3516631870001,-0.827218500999948 49.3616631870001,-0.859718500999918 49.366800187,-0.896663500999921 49.3779181870001,-0.924581500999977 49.3943001870001,-0.976945500999875 49.3966631870002,-1.07923650099997 49.389782187,-1.10958150099992 49.3694361870002,-1.16528150099987 49.4066631870002,-1.24471850099991 49.4752731870001,-1.26041850099989 49.492218187,-1.29118150099993 49.5273541880001,-1.30402750099989 49.5555451880001,-1.29854550099992 49.5774271880002,-1.25916350099988 49.598327188,-1.22895450099998 49.6188091880001,-1.23860950099993 49.6558271880002,-1.26416350099987 49.6841631880001,-1.28860950099988 49.6944451880001,-1.32278150099995 49.700827188,-1.37652750099988 49.706800188,-1.41083650099995 49.7049911880001,-1.47549050099997 49.6847911880001,-1.50110950099992 49.6644451880002,-1.52801850099991 49.6575091880001,-1.62055450199995 49.6552731880001,-1.66520950199987 49.6609731880001,-1.71528150199993 49.6802731880001,-1.84471850199998 49.7138821880002,-1.92200950199998 49.7264541880002,-1.94208150199995 49.7215911880002,-1.94486350199998 49.6769361880002,-1.91305450199997 49.6677731880002,-1.89208150199988 49.664718188,-1.85652750199995 49.6486091880001,-1.84194550199993 49.6136091880001,-1.8407635019999 49.5828451880001,-1.84555450199991 49.499718188,-1.80910050199998 49.3763181870001,-1.78375450199991 49.3743001870001,-1.74541850199995 49.3555541870002,-1.70583650199995 49.3183271870002,-1.68110950199997 49.2944451870001,-1.60971850099997 49.2150001870002,-1.61000050099995 49.0894361870002,-1.59750050099996 49.040273187,-1.58299050099987 49.009718187,-1.55639050099995 49.0158271870001,-1.56416350099988 48.9144451870001,-1.57555450099994 48.8627821870001,-1.57860950099996 48.8377731870001,-1.56257250099998 48.7489541870002,-1.49430950099998 48.6875001870001,-1.44971850099989 48.6755541870002,-1.36889050099995 48.6436091870001,-1.46500050099991 48.6372181870001,-1.5211095009999 48.636382187,-1.58862750099996 48.6396821870001,-1.61513650199993 48.6241631870001,-1.64110950199995 48.616527187,-1.72278150199992 48.6111091870001,-1.78721850199992 48.6105451870001,-1.81221850199995 48.6105451870001,-1.83291850199993 48.6134731870001,-1.85041850199997 48.624718187,-1.86708150199991 48.657636187,-1.84069050199992 48.6839541870001,-1.84750050199995 48.7091631870001,-1.93250050199993 48.6972181870001,-1.98805450199995 48.6869451870001,-2.01419050199991 48.6431091870001,-1.99110950199997 48.5970821870001,-1.96028150199993 48.5840911870001,-1.94536350199996 48.5287181870001,-1.97610950199987 48.513045187,-2.03944550199992 48.5982181870002,-2.12833650199997 48.6386091870001,-2.28444550199987 48.672218187,-2.30721850199996 48.6761091870001,-2.41833650199993 48.653609187,-2.46590050199995 48.6306911870001,-2.68528150299989 48.5016631870001,-2.69555450299993 48.5130541870001,-2.72055450299996 48.5330541870001,-2.81194550299989 48.6141631870001,-2.87916350299992 48.678891187,-3.06083650299991 48.8263821870001,-3.12444550299995 48.8650001870001,-3.22610950299992 48.8695821870001,-3.37319050299988 48.8243001870002,-3.47471850299996 48.8408271870002,-3.51250050299996 48.8372181870002,-3.53666350299989 48.8258271870002,-3.57875450299997 48.7859731870001,-3.57215450299998 48.7656911870001,-3.53194550299997 48.739163187,-3.58242750299996 48.6777731870001,-3.63860950299994 48.6819361870001,-3.67833650299997 48.694718187,-3.72291850299996 48.7115271870001,-3.81055450399998 48.7261091870001,-3.83194550399992 48.7152731870001,-3.86069050399993 48.6820821870001,-3.85110950399996 48.655545187,-3.85750050399992 48.6361091870002,-3.94944550399993 48.6561091870001,-3.96416350399988 48.6852731870002,-3.97152750399988 48.711936187,-3.99360950399989 48.722773187,-4.17194550399989 48.687491187,-4.35416350399987 48.674163187,-4.53930950399996 48.6358271870001,-4.56458150399993 48.622354187,-4.58694550399991 48.5738821870001,-4.58971850399996 48.5600001870001,-4.59958150399996 48.5693731870001,-4.62875450399991 48.5798541870002,-4.69971850399997 48.5708271870001,-4.72889050399993 48.5588821870001,-4.75097250399995 48.539436187,-4.77666350399994 48.5111091870001,-4.79028150399995 48.4237451870001,-4.78215450399989 48.3645181860002,-4.7606275039999 48.3350001860002,-4.71139050399989 48.3347181860001,-4.60528150399995 48.3447181860001,-4.44046350399992 48.3462001860001,-4.40221850399996 48.3283271860001,-4.30000050399997 48.3205451860002,-4.19215450399992 48.299373186,-4.26333650399994 48.2847181860002,-4.40833650399998 48.2836091860001,-4.53291850399989 48.2906911860001,-4.54736350399997 48.3064541860001,-4.53736350399993 48.3405451860001,-4.56652750399996 48.3320731860001,-4.62173650399995 48.2796541860001,-4.54660050399997 48.174436186,-4.51110950399993 48.2000001860001,-4.49278150399994 48.2299631860002,-4.46833650399992 48.2423541860001,-4.44139050399991 48.2383271860002,-4.31326350399991 48.2027731860001,-4.27625450399995 48.1484001860002,-4.28291850399995 48.116527186,-4.29812750399998 48.0992271860002,-4.33194550399998 48.104436186,-4.35389050399993 48.1129091860001,-4.70590050399994 48.0680541860002,-4.72223650399997 48.0391731860001,-4.69180950399988 48.0306911860001,-4.59110950399992 48.0169361860001,-4.53450950399991 48.0195091860001,-4.49034550399995 48.0029181860001,-4.44347250399994 47.9766631860001,-4.41944550399995 47.9608271860002,-4.39221850399997 47.9344361860001,-4.36389050399993 47.8988911860002,-4.35000050399992 47.8719361860001,-4.34430950399997 47.8457631860001,-4.36458150399989 47.8300631860001,-4.36736350399997 47.808745186,-4.26944550399998 47.7950001860002,-4.25583650399989 47.7947181860001,-4.21221850399996 47.7990181860001,-4.18278150399988 47.8041631860002,-4.16750050399992 47.8172181860002,-4.15549050399989 47.837009186,-4.10139050399988 47.8749911860001,-3.98221850399995 47.889718186,-3.90444550399991 47.8527731860002,-3.88645450399991 47.8326361860001,-3.84097250399992 47.803191186,-3.79278150399989 47.793882186,-3.63326350299991 47.7774541860001,-3.50889050299998 47.7586091860001,-3.21694550299992 47.6505541860001,-3.19055450299993 47.6286091860001,-3.1537545029999 47.6118001860002,-3.13451850299992 47.5808271860002,-3.13347250299989 47.5509731860001,-3.14402750299996 47.5313181860001,-3.1326365029999 47.4766631860001,-3.09875450299995 47.4757631860001,-3.12028150299994 47.5005451860001,-3.12778150299994 47.5254091860002,-3.12507250299996 47.595409186,-3.09347250299993 47.5859631860001,-2.92533650299987 47.5810541860001,-2.88883650299994 47.5997181860002,-2.70028150299987 47.6370821860002,-2.68083650199992 47.6151361860001,-2.68610950299995 47.5956911860001,-2.73937250299997 47.5447181860002,-2.77528150299997 47.5472181860001,-2.81078150299993 47.5449361860001,-2.86175450299987 47.5464631860001,-2.83187250299994 47.4972821860001,-2.79305450299995 47.488882186,-2.66360950199987 47.5127731860001,-2.58083650199995 47.537773186,-2.50944550199989 47.5291631860001,-2.38833650199996 47.5102731860002,-2.36708150199991 47.501527186,-2.42278150199996 47.4994451860001,-2.48347250199993 47.4975631860002,-2.48267250199996 47.4504451860001,-2.45960050199994 47.4529911860001,-2.40847250199988 47.415273186,-2.44402750199993 47.4061091860001,-2.47319050199997 47.415273186,-2.52750050199995 47.3861091860002,-2.53965450199996 47.2980541850001,-2.48028150199991 47.2772181850001,-2.43360950199997 47.2625001850002,-2.28125450199991 47.2402731850001,-2.19113650199995 47.2800181850001,-2.12944550199995 47.3097181850001,-2.03416350199996 47.3202731850001,-2.01278150199994 47.3198541850001,-1.92139050199989 47.2977731850001,-1.89041850199993 47.2887451850001,-1.73500050199993 47.2086731850002,-1.77305450199992 47.2080541850002,-1.80250050199993 47.2119361850002,-1.8975005019999 47.2515181850001,-1.91902750199989 47.2680541850002,-1.93833650199997 47.2741631850001,-1.99889050199994 47.282218185,-2.04360950199992 47.287218185,-2.13416350199998 47.2780541850001,-2.15929050199998 47.2371451850001,-2.17083650199993 47.1266631850002,-2.11263650199987 47.117773185,-2.06389050199994 47.1020821850001,-2.02416350199996 47.079163185,-2.00430950199996 47.0631911850001,-1.98587250199989 47.0369271850002,-2.03471850199998 46.9816631850001,-2.08778150199987 46.941663185,-2.12819050199994 46.8995091850001,-2.13333650199996 46.8497181850001,-2.12541850199995 46.8309731850001,-2.10471850199997 46.8113821850002,-2.08278150199988 46.7986091850001,-2.05889050199994 46.7869451850001,-2.03333650199994 46.7763821850001,-2.00721850199994 46.7616631850001,-1.91680950199998 46.6911091850001,-1.8605545019999 46.6377731850001,-1.82471850199988 46.5750001850001,-1.78639050199996 46.4883271850001,-1.6543005019999 46.445354185,-1.46971850099993 46.3927731850001,-1.26583650099991 46.3049911850001,-1.21778150099993 46.2976361850002,-1.20631850099988 46.3147181850001,-1.16895450099997 46.3263821850001,-1.11463650099995 46.3165821850001,-1.10583650099994 46.2586091840002,-1.14860950099995 46.153327184,-1.12000050099994 46.1258271840002,-1.0524275009999 46.038609184,-1.05333650099988 46.0122181840001,-1.07097250099991 45.9039451840001,-1.14805450099988 45.8677731840002,-1.14593650099994 45.8029451840002,-1.1889095009999 45.799891184,-1.22902750099991 45.7879181840001,-1.23885450099993 45.7062181840001,-1.16583650099989 45.6874911840002,-1.08569050099987 45.657491184,-1.0002815009999 45.6144361840002,-0.862500500999886 45.5288821840002,-0.803609500999869 45.4872181840001,-0.781527500999971 45.4665181840001,-0.747781500999963 45.4231911840001,-0.717781500999877 45.357218184,-0.706036500999915 45.3220541840002,-0.670690500999967 45.131109183,-0.651663500999973 45.0920821830001,-0.638054500999885 45.0748541830002,-0.612363500999891 45.0561091830002,-0.554163500999948 45.0233271830001,-0.540418500999976 44.9869361830002,-0.539927500999966 44.8956181830001,-0.702918500999942 45.1050001830001,-0.714718500999936 45.1305541830001,-0.73060950099989 45.1913271830001,-0.734318500999905 45.2252451840001,-0.759163500999875 45.304445184,-0.771109500999955 45.321936184,-0.801318500999969 45.360900184,-0.918890500999964 45.450136184,-0.942081500999961 45.461800184,-0.977218500999925 45.4687451840002,-0.995418500999904 45.4772181840001,-1.05631850099996 45.5226361840001,-1.05416350099995 45.5505541840001,-1.06410050099993 45.569163184,-1.08944550099989 45.5586091840001,-1.14000050099997 45.4938821840001,-1.14860950099995 45.4275001840001,-1.15221850099988 45.3922181840001,-1.15194550099994 45.3713821840001,-1.16833650099989 45.2086091840002,-1.20721850099994 45.0133271830001,-1.24750050099988 44.7577731830002,-1.24583650099987 44.675345183,-1.22986350099995 44.7063821830001,-1.17013650099994 44.7738821830001,-1.12778150099996 44.7593001830001,-1.05986350099994 44.710827183,-1.04062750099996 44.6749271830001,-1.09000050099991 44.6537451830002,-1.12610950099992 44.6511091830001,-1.15139050099992 44.6570821830001,-1.2086095009999 44.6258271830001,-1.23378150099995 44.558109183,-1.24969050099992 44.5102731830002,-1.25860950099997 44.4522181830001,-1.26416350099987 44.3933271830002,-1.30500050099994 44.1955451830001,-1.32895450099994 44.091036182,-1.34444550099994 44.0618001820001,-1.42471819699995 43.7847192310001,-1.42471776799988 43.784718018,-1.42471871199996 43.7847169200001,-1.44028150099996 43.6913821820001,-1.44250050099987 43.6655541820001,-1.44389050099988 43.640545182,-1.4866635009999 43.570545182,-1.53000050099996 43.5125001820001,-1.59013650099996 43.4376361820002,-1.66694550199998 43.3852731820002,-1.73000050199994 43.378882182,-1.78087288199987 43.35992702,-1.76718269499992 43.3860816940001,-1.76716188099988 43.3861218270001,-1.76206384899996 43.3950433840001,-1.75961702299992 43.4056462990002,-1.75961398699997 43.4056594560001,-1.75834933599992 43.4111396090001,-1.75824032499997 43.4116119880001,-1.75824032499997 43.4230825600002,-1.75951483299991 43.4320041160001,-1.75951483299991 43.440925672,-1.76078934099991 43.4536707520001,-1.7633383569999 43.479160913,-1.76716188099988 43.5033765650001,-1.7722599139999 43.5250432010001,-1.77863245399993 43.5441608220002,-1.78500499399991 43.5620039340001,-1.79392654999998 43.5811215540001,-1.8022222219999 43.5952777770001,-1.85833333299996 43.6611111100001,-1.92499999999995 43.729166666,-2.04444444399991 43.7999999990001,-2.19027777799994 43.8902777770002,-2.26666666699992 43.999999999,-2.34166666699991 44.1083333320001,-2.42499999999995 44.216666666,-2.51666666699987 44.319444443,-2.60527777799996 44.4111111100001,-2.70833333299993 44.4999999990001,-2.84083333299998 44.595833332,-2.94999999999987 44.6638888880001,-3.06388888899988 44.7569444430002,-3.1722222219999 44.8666666660001,-4.99999999999989 45.1832463350001,-5.6666666669999 45.2987161230002,-6.68444444399995 45.4749999990001,-8.51870857299997 45.792703134,-8.63713437599989 45.8791312910001,-8.83111255099988 46.0384344960002,-9.0115212099999 46.2055879740001,-9.17760816799989 46.3800072480001,-9.26978933999987 46.4905133530001,-9.32865150899994 46.561077185,-9.46396150899994 46.748154185,-9.58288650899988 46.9405671850001,-9.67677901599995 47.1220812120002,-9.68206429899993 47.1322988260001,-9.68206438199991 47.1322989390002,-9.68206450899993 47.1322991850002,-9.68454150899987 47.1356711850001,-9.6859695089999 47.1379531850001,-9.7411383779999 47.2257555960001,-9.80527552799998 47.3278315900002,-9.85556568299995 47.4233373900003,-9.90997743531204 47.456039512148,-9.99593679693567 47.6681821618301,-9.99602429255958 47.6683944208316,-10.0431054877633 47.7812776645114,-10.0908071700749 47.9545288255313,-10.09450875657 47.9685803091365,-9.60833333333329 48.1000000000005,-5.69166666666655 49.2000000000004,-5.66349426385102 49.2013522753354,-5.65943328499998 49.202891334,-5.44895239199991 49.210493028,-5.27116746799993 49.2163144280001,-5.21102955799995 49.2257097310001,-5.20601770599995 49.226789617,-5.13392477499997 49.242202223,-4.79707374599991 49.3246899060001,-4.62892366999989 49.3565805470002,-4.48380823999992 49.4159263280002,-4.33315680899995 49.4707916960001,-4.28599263099994 49.4878548400001,-4.23315923699994 49.5181093220001,-3.91232970999988 49.5404024790002,-3.79744311399998 49.545113615,-3.72248602799993 49.5520345000001,-3.43998477699995 49.3783612660001,-3.23740242099996 49.2625607430002,-3.23366886699995 49.2611893400001,-2.99951756399992 49.1977631260001,-2.98741570999994 49.1944553710001,-2.7114011079999 49.1151053290002,-2.70232026699989 49.1060202040002,-2.68090606699997 49.0848925660002,-2.66234175199997 49.0415793650001,-2.6622432499999 49.0413495450001,-2.64287601699994 48.9961630220001,-2.64259920099994 48.995513562,-2.64234500799995 48.9949136140002,-2.6346394979999 48.9766655150001,-2.62567684299989 48.9556380480001,-2.60949706199995 48.9176783340001,-2.60530976299992 48.9087230850002,-2.59649280799988 48.8898665290001,-2.57821195699989 48.8843996120002,-2.56990240499988 48.882420848,-2.51626304599989 48.8657901990001,-2.49116808499991 48.8612760270001,-2.39607289799989 48.8442394500001,-2.37510377099994 48.8376706060002,-2.32850364599989 48.8228694890001,-2.32349884099989 48.821288403,-2.31849403399991 48.8197980500001,-2.24952622099988 48.7993697190001,-2.18655374699995 48.778404924,-2.15600675199994 48.7832671840001,-2.14766819699997 48.7845600660002,-2.09500155899997 48.786688616,-2.07603782599995 48.7873727410001,-2.05853263299991 48.7882474460001,-2.0359611799999 48.7942626710001,-1.99986719599991 48.8050098030001,-1.98621694299987 48.8395110480001,-1.96821613999987 48.8841072770001,-1.95576364299995 48.9166061210001,-1.95428402999988 48.9202627620001,-1.97010575899998 48.9430687180001,-1.97007681899993 48.9501177770002,-1.95442330199995 48.968778943,-1.94091281299995 48.9852124000002,-1.91902417299997 49.0067681510002,-1.91273380499996 49.0130788570001,-1.91233296499996 49.013477241,-1.91126852099995 49.0145256070001,-1.91016097099993 49.015575842,-1.90946952099989 49.0162257970001,-1.90876458499991 49.0168757390002,-1.88349964999998 49.0399593140001,-1.88277731299991 49.0406254710001,-1.8664588819999 49.0412173300001,-1.85562496499995 49.0777429840001,-1.85449903399996 49.110394174,-1.85448707299997 49.1114411100002,-1.85447544799996 49.1118912400001,-1.85428757099987 49.1169185690001,-1.85674493099998 49.1232478680001,-1.85658008099995 49.1255934480001,-1.85654169499998 49.1262438680001,-1.85651978099992 49.126894281,-1.85649292499994 49.1280919110002,-1.85647775799993 49.1285420400001,-1.85276656999997 49.2061312650001,-1.84943231799997 49.214629191,-1.83278183799996 49.219191497,-1.81838492399987 49.2230855800001,-1.81678758699996 49.2605427300001,-1.81856422399989 49.283580438,-1.82518885999991 49.2932618240001,-1.84307370999994 49.3203139090001,-1.85280099699997 49.3262490540001,-1.86988251299988 49.3363781680001,-1.88035005199993 49.3426762830001,-1.88658189999995 49.346425865,-1.9005084499999 49.354596777,-1.91353068899991 49.3622371170002,-1.92199700299994 49.3664809850001,-1.92542952099996 49.3682339530002,-1.92867218999987 49.3697733990001,-1.93136506399992 49.37144234,-1.93184096999994 49.371767074,-1.93734741099991 49.3752835810001,-1.9649962549999 49.3914397040001,-1.98904786399993 49.4056794130001,-2.00316004299992 49.4132876990001,-2.07317200399996 49.4336130970001,-2.09125404599996 49.4361868810001,-2.11042659099991 49.474086965,-2.13356271799995 49.5276409290001,-2.13482765599997 49.5305374240001,-2.1385681619999 49.5386180730001,-2.13142491599996 49.5451514370002,-2.12235430999988 49.5727877240002,-2.10636438499989 49.6112323150001,-2.10413676699989 49.6155178500001,-2.09099341799987 49.6404947690001,-2.08554069299993 49.6483799080002,-2.08494941099991 49.6497811000001,-2.07277739699992 49.6765665720002,-2.07153139399992 49.6786449620002,-2.06176650799989 49.6951960070001,-2.05912584099997 49.7047051140001,-2.05893562199998 49.7054052780001,-2.0587793549999 49.7060043220001,-2.05315631499997 49.7278548360001,-2.04921524399992 49.7426056240002,-2.04862774499998 49.7548694530001,-2.04833684799991 49.7763504240002,-2.04282105599998 49.8567450080001,-2.04096994699995 49.8821500660002,-2.02347716299994 50.1497663470001,-2.02347716099996 50.1497664120002,-1.87538730999989 50.1585174050001,-1.84458239299988 50.160142154,-1.8353296759999 50.160667645,-1.79305691999997 50.1613882920001,-1.7532513139999 50.1621177090001,-1.68449409799996 50.1656365270001,-1.67962483499997 50.1658770820001,-1.66115983499992 50.1667608910001,-1.61308595399987 50.1542746970001,-1.60367109399994 50.151810176,-1.45078413599987 50.1437236240001,-1.42220746699991 50.142592381,-1.3095921339999 50.1390736540001,-1.3009918539999 50.1388088300001,-1.22699923299996 50.1362259380001,-1.22623944099996 50.1362038400002,-1.21080914899994 50.1359356300002,-1.14236288599994 50.1369137740001,-1.03753531899997 50.1363871590002,-0.975045609999938 50.1359132530002,-0.974790184999904 50.135910078,-0.858329771999877 50.132031048,-0.829620073999934 50.1310186500001,-0.592065607999928 50.1218423110002,-0.574279432999958 50.1210663970001,-0.55015602799989 50.116342181,-0.499999999999886 50.1247222210001,-0.258333332999882 50.2202777770001,0.0372222220000822 50.2366666660002,0.603333333000023 50.328055555,0.777500000000032 50.389444444,1.123888889 50.6438888880002,1.25777777800005 50.797222221,1.28277777800002 50.896388888,1.35694444399996 50.9499999990002,1.54805555600018 51.0386111100001,1.72527777800013 51.0994444440001,1.95500000000004 51.2408333320001,2.03841979100014 51.3365626670001,2.03850647100018 51.3367368960001,2.12166666700017 51.5038888880001,2.23736945300016 51.5567108150001,2.23811855000002 51.5577689530002,2.23972762000011 51.5547170180001,2.39027800000002 51.269167,2.54298266600017 51.0943304000001,2.54361100000011 51.0936110000001),(-3.58278150299992 48.807218187,-3.58221850299998 48.8038911870001,-3.57666350299991 48.8038911870001,-3.56610950299995 48.8058271870001,-3.5633365029999 48.8086091870001,-3.56528150299988 48.8116631870001,-3.57083650299995 48.8127731870001,-3.57555450299998 48.8124911870001,-3.57971850299998 48.8097181870002,-3.58278150299992 48.807218187),(-3.21944550299992 47.304582185,-3.20819050299991 47.3005541850002,-3.18889050299987 47.3027731850001,-3.16680950299997 47.3034631850002,-3.11833650299997 47.298045185,-3.10833650299998 47.2955541850002,-3.08583650299994 47.2877731850002,-3.0816635029999 47.2894451850001,-3.06360950299995 47.314436185,-3.24694550299995 47.3916631860001,-3.25958150299988 47.3717271860002,-3.23833650299997 47.3169361850001,-3.21944550299992 47.304582185),(-1.29944550099992 46.1566631840002,-1.28416350099991 46.1555451840001,-1.25799050099994 46.1596821840001,-1.2916635009999 46.1980541840001,-1.4773635009999 46.2562451840002,-1.49221850099997 46.2566631840002,-1.50305450099995 46.2555541840001,-1.5513905009999 46.2460361840002,-1.53291850099987 46.2165181840001,-1.52055450099988 46.2091631840001,-1.5069455009999 46.2041631840002,-1.31860950099991 46.1608271840001,-1.29944550099992 46.1566631840002),(-1.23971850099991 45.8588911840001,-1.21194550099989 45.8069361840002,-1.19118150099996 45.826173184,-1.18194550099997 45.847773184,-1.17124550099987 45.8913181840002,-1.23305450099991 45.9647181840001,-1.2733365009999 45.9958271840001,-1.36139050099996 46.043882184,-1.38471850099995 46.049436184,-1.3992365009999 46.0498541840001,-1.37486350099988 45.9616631840001,-1.36555450099991 45.9502731840001,-1.33916350099997 45.9358271840001,-1.31666350099994 45.9236091840001,-1.28402750099997 45.9066631840001,-1.25083650099998 45.8736001840002,-1.23971850099991 45.8588911840001)))', 'French Exclusive Economic Zone', 'France', 'France', '', '179', '179', 'FRA', '5677', '2014-02', '344440740300', '5677', 'Y'),('SRID=4326;MULTIPOLYGON(((103.757851114903 1.44583283691787,103.757718626506 1.44578254435828,103.756963791435 1.44590197289557,103.756562587189 1.44597947060566,103.75633954702 1.44599634499662,103.755731194728 1.44608621254702,103.754865272566 1.44624838664726,103.752079856303 1.4465509271102,103.751521571525 1.44664954197259,103.750942864027 1.44667937445342,103.750686307427 1.44679055895733,103.750594147948 1.44682531136044,103.750267831197 1.44689785300727,103.750105400836 1.44695595143588,103.748884362665 1.44744234388685,103.748112396171 1.44774985161564,103.747938039662 1.44782651849948,103.746975825658 1.44820550512361,103.746280829353 1.44844585091647,103.746062246713 1.44851129278584,103.743490891744 1.44879765824982,103.743335026279 1.44880936172797,103.743167768008 1.44882724712835,103.742668188155 1.44916927025889,103.741497026797 1.4496666556289,103.740797593704 1.4500208706155,103.740529853409 1.45016859748836,103.73910266325 1.45102068978059,103.738710232975 1.45132350821115,103.738291744595 1.45156271584835,103.738276323453 1.45157408255875,103.738233162789 1.4516019683644,103.737773187188 1.45197850856681,103.737429828063 1.45224241103239,103.737299897158 1.4523291144626,103.735260820371 1.45332533870203,103.735069657459 1.45345266997964,103.732691664315 1.45483739321332,103.732476398112 1.45494622894631,103.732004555572 1.45525500988151,103.731677448819 1.45544361196517,103.731395613722 1.45562759758337,103.731146039226 1.45577276023715,103.731108771798 1.45579726125459,103.790463893409 1.46856539072172,103.790374782226 1.4683871818454,103.79016787344 1.46814430383938,103.78866173703 1.46657587716993,103.788316284003 1.4662441986062,103.788253767949 1.46618794443935,103.787668710393 1.46551590173789,103.787251614349 1.46508804471625,103.78624445269 1.46454254679048,103.785517411885 1.46418924909665,103.784992204091 1.46396212337788,103.784915867349 1.46393315109339,103.784051848289 1.46365344909952,103.783713515859 1.46320171456694,103.783617716743 1.46308692913419,103.782682010225 1.46220879716191,103.782517402514 1.46203584044292,103.781838015827 1.46149364759339,103.78014857996 1.46033153819747,103.779870663698 1.46016689777809,103.779832533874 1.46015053856564,103.779476649175 1.46002316783017,103.779309860337 1.45997399578079,103.779224324067 1.45990528241691,103.778776275374 1.45961788305181,103.778493044687 1.45934202544197,103.777750296822 1.45869329058058,103.777317596832 1.45835740369324,103.776855797584 1.45808047798653,103.775666285551 1.457280440744,103.775317715248 1.45701528217086,103.775167002605 1.4568532508099,103.774884191765 1.45658255197645,103.774745383808 1.45641236525449,103.774622555461 1.45623968681264,103.774057543043 1.45554021738872,103.773950120268 1.45542408008913,103.773946033 1.4554202347976,103.77386078816 1.45535075803565,103.773689141073 1.45519106220485,103.773402963217 1.4550439661511,103.772944760565 1.45477085639726,103.772047029772 1.45416213541131,103.771999529379 1.45413433142818,103.771970989609 1.45411540161348,103.771732066157 1.45393892137758,103.771679107913 1.45389570773085,103.771587747605 1.45386345102082,103.770973205499 1.45355616099897,103.769728405898 1.45299269045069,103.768501344314 1.45223424206802,103.766788435608 1.4516863554548,103.766256728966 1.45146239761925,103.765547782885 1.45138006856916,103.765519935207 1.45136562109428,103.765298523529 1.45122948920118,103.765207570683 1.45115337210666,103.764980672491 1.45094614029432,103.764640696511 1.45062191278691,103.764437413818 1.45044516566526,103.76321141184 1.44937920024603,103.762962320315 1.44910717006331,103.762638639822 1.44868226296734,103.76196551397 1.44794368791304,103.761667658904 1.44769622626399,103.759874044237 1.44688613067569,103.758698779978 1.44619535475869,103.757851114903 1.44583283691787)),((103.924933179227 1.42812034529584,103.923700279604 1.42708849845661,103.920763163473 1.42436467301388,103.920413970778 1.42411786314091,103.919430401719 1.42330716377478,103.918056703748 1.42433524716279,103.917161027581 1.42487542690247,103.916292845468 1.42548431160674,103.916267445256 1.42549992149043,103.915839505498 1.42571594534598,103.914215660869 1.42622047308521,103.914202541424 1.42622216110664,103.913635255428 1.42633311356008,103.91222423787 1.42669510947297,103.911374278845 1.42683162851438,103.910983687378 1.42691522289681,103.910861025647 1.42691717370559,103.909030791664 1.42685500899898,103.909011013487 1.42685243566615,103.908470153825 1.42691891754566,103.908297725007 1.42694447236011,103.907942039396 1.42694422811388,103.905868770391 1.42688024026864,103.905260372529 1.42684754331952,103.905208859228 1.42684733814247,103.904613012906 1.42675065678765,103.903293833383 1.42660134668756,103.903290591327 1.42660141466126,103.902461194575 1.42656170929553,103.902137668333 1.42651127330714,103.90126002851 1.42656636068409,103.900869090874 1.42679214450845,103.899832671184 1.42727002378308,103.899620033672 1.4272601093881,103.897745426042 1.42730531755916,103.897706096971 1.42730826114251,103.895421122921 1.42766831580701,103.895275115954 1.42771838230408,103.894767387266 1.42786340139253,103.892996589778 1.42863701804862,103.892443300613 1.42892232571074,103.891907863027 1.42924342587162,103.89186550436 1.42927263372889,103.891232787211 1.42961964095133,103.891194740126 1.42964966964411,103.89104681315 1.42977563474341,103.890465190358 1.4300017977551,103.89007286745 1.43017618338672,103.889744259809 1.43036598757601,103.888247765667 1.43134408199018,103.887899387093 1.431601978179,103.887141374155 1.43199757604776,103.887064047967 1.43205074325709,103.886880565833 1.43214928107142,103.886840034567 1.43217416043649,103.886434535762 1.43238646023292,103.886200024849 1.43252683546007,103.88569119071 1.43287150542676,103.885492893118 1.43297630659362,103.885148740829 1.43318374574392,103.884870268055 1.43339743278852,103.884308423773 1.43387933004061,103.884222688858 1.43391778855926,103.88375861972 1.43415760568274,103.883350014864 1.43439808678022,103.883283749044 1.43444201974484,103.883176097697 1.43450315113137,103.882803880288 1.43466845630269,103.882024909195 1.43506446267776,103.881000156156 1.4356517900373,103.880471283548 1.43603005267011,103.879281336838 1.436671717948,103.87834672836 1.43723192723354,103.878334368593 1.4372400683659,103.878265672248 1.43729421376412,103.87805889229 1.43747154763173,103.876799262602 1.43843831329548,103.875798145776 1.43926517209451,103.874584197803 1.44033556988984,103.874584197803 1.44055604912256,103.874564126873 1.44116774845514,103.874494376544 1.44141664534067,103.874217116974 1.44199003652568,103.874107261112 1.44220122151182,103.874022465998 1.4423522885109,103.873491209002 1.44322801844692,103.873258746094 1.44355757543963,103.873030225212 1.44385995567586,103.872407653715 1.44487304031463,103.872171966405 1.44523023069041,103.872022309766 1.44544259758231,103.871610046488 1.44599375217268,103.871012567186 1.44675101247572,103.870694452441 1.44706523310316,103.870066247319 1.44765792795937,103.869915820802 1.44778630805206,103.869809452757 1.44785719709267,103.868638061949 1.44951235281928,103.866312178662 1.45243894816116,103.866193809189 1.45276798628004,103.865416578816 1.45458191569776,103.865191610266 1.45485812466205,103.864579271498 1.45556719047329,103.862672145358 1.45761156093891,103.861141356073 1.45951371992425,103.860615814986 1.45992622545549,103.860399872892 1.46002910069257,103.85962246462 1.46010669491,103.859488507599 1.46011684150221,103.858752648835 1.46054021691907,103.857835849801 1.46109772624379,103.857413435725 1.46133910379837,103.856767888428 1.46172914908334,103.856090533111 1.46208176143972,103.855636234069 1.46227712079224,103.854637050229 1.46273872569424,103.85459695467 1.46275872381528,103.85378244311 1.46308913472228,103.853660164783 1.46314340598497,103.852879236268 1.46339566019321,103.851831923331 1.46377216960957,103.850939321514 1.46405938466756,103.850811761509 1.46410924194106,103.850716838297 1.46414304540173,103.850603723416 1.46418684187591,103.850514328069 1.46421419022488,103.849929321527 1.46445582587859,103.84916331793 1.46494596837817,103.848872857309 1.46514717294991,103.847281616775 1.46612379249501,103.84681375221 1.46631228661823,103.845806542789 1.46676291682354,103.845418994851 1.46695408484686,103.844872798598 1.46739322435491,103.844222902731 1.46795934399745,103.843416705456 1.46872512777389,103.84302524027 1.46896859609336,103.842330226181 1.46944536706752,103.842180704312 1.46955803900988,103.841602954587 1.4698726898003,103.841420475692 1.46996335286048,103.840789307992 1.47032814043837,103.840293747041 1.47059027487927,103.840052653998 1.47070683959947,103.83943849593 1.47093442753373,103.839384876513 1.47095082950136,103.839103672716 1.47112873713701,103.838946723274 1.4712341559989,103.837595064691 1.4720273503811,103.836944196929 1.47276306205953,103.836236337589 1.47351465095039,103.835165925161 1.47402001470408,103.846072306 1.47194497300006,103.869182155 1.45856398700033,103.872463399 1.45666409300031,103.876876661 1.45331520200028,103.904763398 1.43215406700023,103.924933179227 1.42812034529584)),((103.824098898717 1.47554203807613,103.823560448032 1.47534635848854,103.823460404912 1.47538064570659,103.822991738263 1.47556259180175,103.824900289 1.47597314800038,103.825233419446 1.47590976683375,103.825230898618 1.47590904925096,103.824098898717 1.47554203807613)),((104.055265259 1.45575814600022,104.06600654091 1.43702177483243,104.065276618084 1.43714441813188,104.06523256257 1.4371500475188,104.064720153962 1.43715971676909,104.064582824788 1.43713866142389,104.063813125763 1.43714047697034,104.061878710787 1.43753512215318,104.061270389977 1.43776538482626,104.060576844436 1.43806275546694,104.060559938697 1.43807035117197,104.059960663375 1.43827860957043,104.058944510608 1.4385169204142,104.056684106115 1.4388249973257,104.056647277941 1.4388303149849,104.056458758674 1.43886491986797,104.055997787106 1.43901613096727,104.054728692749 1.43934963538868,104.053422435048 1.43977773886417,104.049171496626 1.44094756705636,104.047239999543 1.44237587131204,104.046736785927 1.44248800748562,104.046685574554 1.44249806427496,104.046595028972 1.44251018167807,104.046214520685 1.44257353096106,104.045582074647 1.44265592414058,104.044456482131 1.44287673544568,104.044314280475 1.44291053274077,104.043814393615 1.44299872631518,104.043373107983 1.44306109084062,104.043020362507 1.44312723805581,104.042198054978 1.4432528210645,104.04037371517 1.44355543581338,104.037529422795 1.44396043847678,104.033218772928 1.44442445711331,104.032948646858 1.44445035248236,104.030519352512 1.44475097138439,104.029559228272 1.44521148113063,104.029059958736 1.44541716979211,104.027069909232 1.44627197506082,104.025364955152 1.44474399159463,104.024962097025 1.44436475643244,104.022342341429 1.44163229352245,104.021325841465 1.44060686005173,104.020929119035 1.44019161265754,104.020852189409 1.44014915846645,104.019306182984 1.43925790690554,104.014983241601 1.43681747653716,104.013209661429 1.4355806579735,104.012251565129 1.43487396841579,104.011168854379 1.43399627062598,104.010219331834 1.43228140764955,104.010075270989 1.43202752555663,104.008319036337 1.42908031537189,104.006017972777 1.42505761841414,104.004948776787 1.42386655008181,104.003717181784 1.42244124830052,104.001874798225 1.42301706754563,104.001020821401 1.42334662775903,103.997524022624 1.42461732286961,103.996227723405 1.42514781293107,103.994834492851 1.42567720547385,103.994197498029 1.42563704671363,103.993765140296 1.42559678103339,103.992746802229 1.42553974982235,103.991199897279 1.42540186289381,103.990469289429 1.42542418747155,103.987781524698 1.42541187701846,103.986667632955 1.42545332940455,103.986207954795 1.42552807142476,103.985103607146 1.42532977725079,103.985022026825 1.42532427214189,103.983834391276 1.42670214183488,103.998509286 1.43569106200005,104.010527259 1.4619450270003,104.010527263 1.46194556200027,104.010527431 1.46194592900036,104.010615182 1.47351735300032,104.011082308 1.53500001900028,103.993709305 1.56520906900028,103.971009267 1.59048218300029,103.958509168 1.64430908900027,103.980245119 1.63305403700036,104.029050258 1.56803313200027,104.077590431 1.50336392900016,104.060229566 1.48331699700026,104.047736203 1.46889111000007,104.055265259 1.45575814600022)),((99.9579294270004 6.4735109330004,99.9807994270005 6.4577879330003,99.9993814270003 6.4292009330004,100.015104427 6.39632593300007,100.047979427 6.38489093300041,100.073707427 6.38489093300041,100.092289427 6.39346693300013,100.112300427 6.41204893300039,100.127108427 6.4249459330004,100.127664847 6.41655786200033,100.12785418 6.41370001900037,100.134098525 6.39530860600019,100.160799427 6.31666393300037,100.171908427 6.28666393300023,100.181757851 6.27129614200032,100.188018308 6.26152707000028,100.191606245 6.2584241060004,100.194408427 6.25599993300028,100.201030158 6.2518296800003,100.212754142 6.24444508600033,100.226238185 6.23469508300036,100.238299427 6.22597293300004,100.250808427 6.20833693300028,100.265996615 6.17701309900025,100.28663626 6.13444501200041,100.307685727 6.09028442300041,100.337481427 6.02777293300022,100.344242841 6.00816695000032,100.348018279 5.9972180020003,100.35552729 5.96389105200029,100.356408614 5.95882096800034,100.363590427 5.91749993300027,100.368151201 5.88488899200041,100.369418283 5.87582708900015,100.371096215 5.86142034200037,100.375790427 5.82110993300006,100.3744338 5.70871871600031,100.374127239 5.68333620600032,100.368581427 5.66194593300037,100.353949537 5.6198058960004,100.350254235 5.60916421400026,100.349136257 5.56916409600035,100.354067689 5.5633660390003,100.372881427 5.54124593300025,100.381490427 5.51889093300031,100.387717567 5.48903756200036,100.430799427 5.28249993200006,100.433581427 5.19416393200032,100.424681427 5.16805493200025,100.412754427 5.13805493200033,100.407490465 5.12630844500035,100.404663348 5.12000003200041,100.362318308 5.08437308700036,100.373579618 5.05392463700031,100.379963427 5.03666393200041,100.402190427 4.98389093200041,100.446208427 4.91368193200032,100.479812572 4.89933731000025,100.510800203 4.88610905800033,100.605527198 4.79833601900032,100.602009428 4.78431349100021,100.593645258 4.75097316500012,100.588863382 4.5863911430003,100.583036115 4.3991640680004,100.58001938 4.38269253100026,100.572199427 4.33999993100031,100.580808427 4.30277293100033,100.601908428 4.22166393100025,100.623990428 4.16263693100007,100.623990911 4.16263693500025,100.623991268 4.16263598000029,100.653582236 4.16284502400032,100.690800233 4.15541798800007,100.739690267 4.11881318400026,100.868508428 4.02236393100037,100.778581428 3.98374593100027,100.750945428 3.98374593100027,100.733696681 3.99105842200015,100.724400266 3.99500009500025,100.724399772 3.9949997850004,100.724399428 3.99499993100022,100.704827428 3.98270993100033,100.704827343 3.98270914200037,100.704827181 3.98270904000015,100.697045254 3.91041797500037,100.703718255 3.89000016100033,100.703718431 3.8899999330003,100.720799428 3.86847293100033,100.739399428 3.8524999310003,100.757199428 3.84249993100013,100.782054428 3.83916393100037,100.792614468 3.84004397700033,100.844126545 3.84433600100039,100.825381428 3.82458193100035,100.812872718 3.80406141500032,100.808363299 3.79666414900038,100.814272373 3.77603595000039,100.849000274 3.77041806300036,100.868582244 3.76555404500027,100.87311204 3.76233267100037,100.884981428 3.75389093100034,100.947679567 3.69873606400034,101.028027165 3.62805395200041,101.046413526 3.60607638900035,101.047199428 3.6051369310004,101.053097668 3.59210987800037,101.05996339 3.57694496200025,101.064972415 3.5547179980004,101.067559925 3.54725786500035,101.071908428 3.53471893100027,101.091081428 3.49916393100028,101.108990428 3.46902793100026,101.127845823 3.44491990600034,101.193445198 3.36104507300007,101.235245247 3.33874501900027,101.260597731 3.30922593000025,101.290108428 3.27486393100025,101.296344317 3.26230356900038,101.30024523 3.25444503400036,101.30523615 3.23221807000039,101.305387844 3.22519707400033,101.305799428 3.20610993000003,101.314156255 3.15727719700038,101.319418163 3.12652696500038,101.335418546 3.10839963000035,101.350799428 3.09097293000036,101.366290428 3.06360993000027,101.371081428 3.03305493000028,101.36638888 2.99337741600039,101.366145369 2.99131889400041,101.335381428 2.97236393000026,101.322515199 2.96005475600037,101.316072275 2.95389110700029,101.310232693 2.94463480600029,101.294690428 2.91999993000036,101.286556313 2.90424160600037,101.281354096 2.89416418000036,101.285736155 2.84354502800039,101.301664997 2.83443299000038,101.313290428 2.82778193000036,101.327616972 2.82670605300041,101.36884524 2.82360900600025,101.396918245 2.8133359780004,101.413590884 2.80221837100027,101.438299425 2.77194592800026,101.438299449 2.77194589300035,101.457608428 2.73673693000006,101.467974265 2.72196686400031,101.481636153 2.70250006100014,101.511145146 2.67629102300037,101.51457913 2.67438028700036,101.549408428 2.65499993000026,101.620918725 2.62599110000025,101.698009284 2.59471800600033,101.715286784 2.5922273470004,101.720518429 2.59147293000041,101.725452772 2.59164502100037,101.741909167 2.59221801900037,101.759456694 2.58823950200025,101.767608429 2.58639093000039,101.775379197 2.58072707700029,101.785518198 2.57333610600028,101.813528588 2.5293291950004,101.849699429 2.47249993000025,101.931354429 2.4152729300003,101.936674989 2.41282315600029,101.986163358 2.39003595300039,102.01302719 2.35610902600035,102.104145184 2.26860899800027,102.167709933 2.22085968500039,102.168854429 2.21999993000037,102.170192157 2.21927201200037,102.189536158 2.20874494200029,102.287853263 2.17103685100039,102.292736429 2.16916392900032,102.433581429 2.11527292900041,102.446700039 2.10957585100027,102.467472356 2.10055401800031,102.487518181 2.09089102400014,102.48906639 2.09004314100025,102.495236429 2.08666392900028,102.49970513 2.08381017100038,102.512191319 2.07583595300036,102.553300111 2.04805402400035,102.681772429 1.87736392900041,102.699272429 1.85736392900026,102.720372429 1.84708192900041,102.77997243 1.85249992900037,102.81122743 1.8527819290004,102.83163643 1.84528192900035,102.85219043 1.83139092900029,103.01191843 1.72778192900034,103.02012811 1.72260899200035,103.191354136 1.61471812100041,103.215809177 1.60444492500039,103.249310008 1.59146304400036,103.25343643 1.58986392900027,103.28775443 1.57889092900007,103.292014784 1.57694397300031,103.316936168 1.56555406800032,103.335658954 1.55569860300034,103.34859043 1.54889092900032,103.374545318 1.53347299500041,103.392618216 1.51374502100026,103.398178478 1.5035530000003,103.40579943 1.48958192900028,103.417987451 1.45030291500035,103.419545248 1.44528213900003,103.440245196 1.37389112200032,103.454563331 1.32750013800006,103.454563407 1.32750000200025,103.45456343 1.32749992900034,103.456368409 1.32429474100036,103.46441827 1.31000006500028,103.46441843 1.3099999290003,103.512136277 1.26952704000041,103.579972361 1.34555391900039,103.683491212 1.44555404800025,103.702300940869 1.44960028776734,103.702152240164 1.44940301907809,103.702094635954 1.44933280966399,103.702019287849 1.44923288327789,103.70190622288 1.44909522634691,103.701703251731 1.44886889502681,103.701553800518 1.44871644886376,103.701074283789 1.44818590229971,103.700810424531 1.44786789247519,103.700732854331 1.44776571690124,103.699791080175 1.44664047933253,103.699508909358 1.44633496107315,103.699336248376 1.44616478816801,103.69927547161 1.44609952871718,103.699085889586 1.44592946947478,103.698953927491 1.44582118682973,103.698384575168 1.44549725843558,103.69799865342 1.44525507132255,103.697355525245 1.44489734624489,103.697128056981 1.44474333039256,103.696770616416 1.44447947889773,103.696707456766 1.44441988760514,103.696258679412 1.44404421621744,103.696119261533 1.44390053446472,103.696035998121 1.44382473009716,103.695851097908 1.44364185030923,103.695533852033 1.443364058979,103.695094038357 1.44294097435477,103.695086049512 1.44293408464392,103.694764002703 1.44262997331316,103.694722589132 1.44259463470786,103.694702271659 1.44256016919547,103.693990482439 1.44124697723055,103.693681959727 1.44073640096093,103.693252162678 1.44009561995574,103.693044110274 1.4398443645162,103.692871980401 1.43965841113624,103.692807385069 1.43960770257104,103.692806177363 1.43960685214125,103.692453665888 1.4393358215687,103.692024670217 1.43904030035071,103.69175037177 1.43887105239907,103.691638204954 1.43880921162105,103.691306272482 1.43864631900965,103.691088381015 1.43855218777742,103.690972512216 1.4385152557964,103.690869945307 1.43848814916106,103.689840411085 1.43816076136045,103.689813228417 1.43815651955163,103.689474383076 1.43808501922842,103.688277742175 1.43840438865124,103.686709647208 1.43889316665314,103.686294245221 1.43899444884255,103.685571457095 1.439124004061,103.685440063458 1.43912362173961,103.685080901055 1.43913511771001,103.683384945875 1.43794706290294,103.683196140671 1.4378507235279,103.682872579435 1.43766030085811,103.682155794553 1.43728322154846,103.681126121933 1.43666684006234,103.6808823941 1.43650411467092,103.6806753035 1.43633512060671,103.680370424935 1.43606090966739,103.67905840257 1.43464626451117,103.678672327992 1.43446236117381,103.678611755328 1.43446105239263,103.678427622244 1.43446662232827,103.677953096496 1.43446593905014,103.677697358918 1.43432024873414,103.677118157616 1.43395621349913,103.677023533647 1.43388536478807,103.676115696094 1.43314812814583,103.676032224494 1.43307437904565,103.675608752293 1.43274915610249,103.675094138163 1.43188936924713,103.674907290593 1.43152391704047,103.674448075531 1.43072829351837,103.674397336302 1.43062474393827,103.673729001261 1.42899709193881,103.673517368378 1.42886964851641,103.672873128834 1.42842809154388,103.67242652363 1.42807559127067,103.672257163028 1.42792043324448,103.672113889653 1.42776653201372,103.671886409637 1.42748736923284,103.671769919166 1.42733813742086,103.67141493205 1.4266380587556,103.671362385469 1.42649948276102,103.671150611672 1.42606802950706,103.671119969224 1.42601348973972,103.671045140249 1.42504502700359,103.671033752547 1.42497067816788,103.671018888272 1.42481791385819,103.670992988886 1.42466633374693,103.670966296021 1.4240251493132,103.670968302742 1.42396870970055,103.670957161983 1.42368695232079,103.670766352406 1.42262056355435,103.67076357881 1.42258993976179,103.670743114869 1.4224642611922,103.670609998157 1.42205124635689,103.670489294423 1.42154270637519,103.670483268228 1.42150456129968,103.670442767437 1.42133690373271,103.670374320202 1.42112789294043,103.670178639918 1.42065957923791,103.670030196746 1.42042488566045,103.669962549426 1.4203360905571,103.66994763557 1.42030936544307,103.669594615117 1.41952747645132,103.669568545482 1.41948089156301,103.669403988849 1.41902478684597,103.669141770284 1.41844667329144,103.669037014481 1.41827993873744,103.668750960647 1.4175774994913,103.668547702784 1.41716064504789,103.667874350761 1.41617271526673,103.667586684449 1.415808318269,103.667549272801 1.41578168249094,103.667006714816 1.41472349981188,103.666610865337 1.41405080931872,103.66629208091 1.41357948970921,103.665811355876 1.41341515704937,103.665366326648 1.41329596723813,103.665068136365 1.41319019612411,103.663938436436 1.41254183057339,103.66366023301 1.41240629085843,103.662905625971 1.41170475512439,103.661849723863 1.41084372700806,103.661811945328 1.41075784458883,103.661780600806 1.41067247096953,103.6612406896 1.40943214484594,103.661136021042 1.40922705599002,103.661126180981 1.40921739547991,103.66099236718 1.40905250902523,103.660645225739 1.4085761432338,103.660632415952 1.4085565818695,103.659933440104 1.40766159612036,103.659515257175 1.40706268685187,103.659329590729 1.40684117308791,103.658625427842 1.4058967865634,103.658096465455 1.40510070736207,103.656869796606 1.40352849061736,103.656827076163 1.40346867723787,103.656621222663 1.40321282524798,103.656593201751 1.40316352081811,103.656449918056 1.40305716874053,103.656342626788 1.40283825384262,103.656179875688 1.4024596053203,103.656127229787 1.40231883542356,103.655844146466 1.40142237368991,103.655645998518 1.40089598449015,103.655556284489 1.40069238139063,103.655538606814 1.40064510061274,103.655131363286 1.39933821032326,103.654833402227 1.3979159592044,103.654573366768 1.39680941678279,103.654492020173 1.39640382686719,103.654639162076 1.39471511746518,103.654691713088 1.39411200315152,103.65478355945 1.39338684112528,103.654744814274 1.39328356180255,103.654647460595 1.3926000166324,103.654637155461 1.39255192902544,103.654603612743 1.39242711892257,103.654589180468 1.39239304318284,103.654160882764 1.39121750088748,103.653926712427 1.39065440716405,103.653803170226 1.39021763317675,103.65373097439 1.38999897182532,103.653695927373 1.38981827303496,103.653627752887 1.38962083059357,103.652962470462 1.38790513276496,103.652668269335 1.38723865387846,103.652506497653 1.38691678934805,103.652377424745 1.38660171647683,103.651871144805 1.38553288104316,103.651563006678 1.38477885853064,103.651304147921 1.38424681032177,103.649927310162 1.38245290156618,103.649847748253 1.38227386555542,103.6493168936 1.38156974338972,103.648473918387 1.38019173841951,103.648324995183 1.38008648434061,103.647932569116 1.3796803669058,103.647480217165 1.37916275823488,103.646877778358 1.37851314451189,103.646657204173 1.37814339138475,103.646464083394 1.37784162888994,103.646244295928 1.37752293952383,103.645678427504 1.37676777765336,103.644924282891 1.3758536721208,103.64492151046 1.37585064282928,103.644775266162 1.37567910558283,103.644293955996 1.37377042334549,103.643830551263 1.37228916004204,103.643494799431 1.37094788718161,103.643176906125 1.36989428249598,103.642878456044 1.3679268501852,103.641583724136 1.36710719643236,103.639778955935 1.36512532057907,103.63954353299 1.36476546696741,103.638285824319 1.36305294326218,103.637884448783 1.36278577727097,103.63689700398 1.36184828632389,103.635972085571 1.36088141446947,103.635012300297 1.35998775417067,103.634309915083 1.35927057444707,103.634252992878 1.35920710370482,103.634241076712 1.35919121762726,103.633779882442 1.35891118751687,103.633086173356 1.35869888031664,103.632784433479 1.35859122673884,103.63245263496 1.358455932612,103.632026364078 1.35826106592992,103.631616185822 1.35801254803124,103.630285389941 1.35713751036258,103.629815561753 1.35682858442692,103.629641655625 1.35670486465028,103.629513889301 1.35659752736274,103.629066610126 1.35618592455796,103.62868824331 1.35576686080378,103.627541647548 1.35464018448886,103.626836081653 1.35366269101706,103.625470496245 1.35164002351212,103.62494860004 1.35075003021069,103.62492211636 1.35069501416365,103.624631623175 1.35011703633182,103.624027758918 1.34868244037301,103.624012623283 1.34864261783201,103.623706223622 1.34773870164588,103.623560941703 1.34731010235254,103.623314132589 1.34701424167332,103.622946202483 1.34654067168725,103.62281421224 1.34635832473919,103.622366505246 1.34569403425365,103.622226263545 1.34547058937699,103.621993568697 1.34507167466347,103.621247346825 1.34369388379525,103.620963441114 1.34291601156497,103.620707182342 1.34228406721462,103.619754257252 1.3397709888921,103.619184547509 1.33900062658267,103.619028009578 1.33878020799102,103.618950343319 1.33867910476408,103.618734126502 1.3383360944664,103.618592941921 1.33810620371503,103.618038055107 1.33719428874178,103.617354296786 1.33584390661764,103.617178599158 1.33557218563112,103.616550812946 1.33456807573276,103.616083427035 1.33397425246272,103.615514997212 1.33342538175526,103.614490140482 1.33240544294472,103.613361606655 1.33124792065797,103.613047558896 1.33093894274379,103.606432563 1.31959894900029,103.596043282 1.2884311060003,103.596043282 1.2693840910004,103.599506375 1.25033707600033,103.602969469 1.23302160800029,103.612539504 1.21181997600019,103.594014203 1.20024166400037,103.594014109 1.20024160500009,103.593231731 1.1993027510004,103.582435738 1.18634755900035,103.568541692 1.17245351300039,103.559278995 1.16319081600039,103.529175229 1.13540272400036,103.512965509 1.1516124450003,103.49212444 1.17013783900029,103.489985074 1.17356082500038,103.480546069 1.18866323300028,103.480545668 1.18866354800019,103.448126628 1.21413565100039,103.429677781 1.22520495900039,103.424969885 1.22802969600025,103.424969521 1.22802987400007,103.424969425 1.22802992100037,103.386814115 1.2466709240004,103.38 1.25000000000034,103.379999388 1.25000014600033,103.065 1.32500000000033,102.583333333 1.68666666700034,102.223333433 1.91999993500031,102.223333333 1.92000000000036,101.775 2.25666666700027,101.388161444 2.55016917600028,101.201666667 2.69166666700033,100.972842366 2.88725060200034,99.9166666670004 3.7900000000003,99.8238599400003 3.88931948000021,99.7266666670003 3.99333333300035,98.6916666670004 4.92833333300013,98.5209708480004 5.1509491310004,98.2916666670003 5.45000000000033,98.2916665890003 5.45000014500005,98.0250000000004 5.95000000000039,99.1116666850003 6.29999989800029,99.3216664260003 6.27166693300035,99.3216667950004 6.27166702800025,99.3216670000003 6.27166700000026,99.4583330000004 6.30666700000035,99.5116670000004 6.4816670000003,99.5566666970004 6.50333285400023,99.6533324270003 6.47499993300033,99.6792034270003 6.47208193300031,99.7106494270004 6.46922293300037,99.7392364270003 6.4735109330004,99.7535304270003 6.4878049330004,99.7649654270003 6.50924593400032,99.7849764270003 6.52782693400042,99.8035584270004 6.53497393400028,99.8278574270004 6.53068593400036,99.8535854270003 6.51782193400038,99.8864614270004 6.50352793400003,99.9179074270004 6.49066393300035,99.9579294270004 6.4735109330004),(99.8167103340004 6.43180958600033,99.7941362480003 6.41166422300034,99.7494182910004 6.40777317600038,99.7457543370003 6.40889749600029,99.7322087840003 6.41305482400037,99.7274823480004 6.42221804500031,99.7274818140004 6.42221818200039,99.7274814270004 6.42221893300018,99.7192592470005 6.42433262200041,99.7166633220003 6.42500016600036,99.7139069940004 6.42522936100022,99.7033274270003 6.42610993300025,99.6490525810004 6.42253299200036,99.6422092230003 6.42208209000034,99.6422092210005 6.42208198600031,99.6422084270004 6.42208193300041,99.6420056480004 6.4110014280003,99.6419361410004 6.40721812600026,99.6469451660004 6.38500004800028,99.6487638210003 6.37972026600039,99.6522084270004 6.3697189330004,99.6534483530003 6.3673896130004,99.6569362270004 6.36083602700012,99.7302655010004 6.26148809400041,99.7395634270003 6.24889093300038,99.8716274270005 6.28819093300029,99.8865352950003 6.30136640100028,99.9230182350003 6.33360909000004,99.9230181510003 6.33360968900035,99.9230184270003 6.33360993300039,99.9154544270003 6.38708193300033,99.9154542460004 6.38708205800026,99.9154542380004 6.38708211200026,99.9143958970005 6.38781066300038,99.8938634270003 6.40194593300038,99.8695454270003 6.41930993300036,99.8591274270004 6.43639093300038,99.8529544270004 6.46415493300026,99.8167103340004 6.43180958600033),(100.203854237 5.27110915000031,100.28704513 5.25444508800035,100.317618289 5.33541812900029,100.317618405 5.33541887400025,100.317618427 5.33541893200027,100.317710987 5.33601325300032,100.324691274 5.38082709000037,100.321093942 5.41888856900016,100.320254427 5.4277729330002,100.308272427 5.44611893300026,100.305254427 5.4519459330001,100.294127427 5.45805493300037,100.272754427 5.46471893300037,100.261090427 5.46694593300026,100.250138753 5.46671450700029,100.247745235 5.46666414900039,100.185800288 5.46229114200031,100.185800262 5.46229099100003,100.185799427 5.46229093300042,100.179690427 5.42749993300038,100.196081427 5.29332793200035,100.200581952 5.2804638310003,100.203854237 5.27110915000031)),((105.422285999 6.24251471300039,105.82 6.09666666700036,105.785 5.67666666700029,105.48 5.07833333300033,104.865 4.05000000000041,104.775 3.83500000000038,104.84686046 3.0459721470001,104.858333333 2.92000000000036,104.877109991 2.85670137100033,104.932799246 2.66896542900014,105.02 2.3750000000004,105.086666599 1.90666714300022,105.086666667 1.90666666700037,104.883333333 1.63333333300017,104.523854565 1.41764607200003,104.491666667 1.39833333300038,104.457760623 1.36002313100033,104.427656857 1.33918206300041,104.404500115 1.32760369100038,104.403885695 1.32711215600011,104.381343371 1.30907829700021,104.346608256 1.28592155400031,104.316007657 1.27164127400039,104.311873142 1.26971183400025,104.310938908 1.26932257000038,104.28408505 1.25813346200005,104.25166561 1.25581778800012,104.21924617 1.25813346200005,104.184511056 1.25581778800012,104.152091615 1.25813346200005,104.117356501 1.26508048500028,104.10307207338 1.26712111814703,104.10305568856 1.26717506072384,104.101823806763 1.27123069763212,104.093149185181 1.2993869781497,104.091470718384 1.3045902252199,104.091469730316 1.30459039074918,104.089994556454 1.31064179010002,104.087666989418 1.31464882361195,104.087351074894 1.31507489531077,104.083997749284 1.31875002399465,104.069533934353 1.33487538256679,104.069351393837 1.33555180942778,104.06705176931 1.34650371338932,104.064615030308 1.35708296295866,104.064511749822 1.35754258027475,104.069054137436 1.36847198004807,104.07016290637 1.37119582366256,104.070373031038 1.37145156904012,104.071942832082 1.37318142887614,104.072579339409 1.37393293865676,104.072638744122 1.37399701084092,104.076503753995 1.3763434419684,104.07945595882 1.37801399491894,104.07956042371 1.37809422651844,104.080620287793 1.3789526499109,104.083010882854 1.38166852679461,104.085617945467 1.3839031092117,104.086459030809 1.38471882019257,104.086902697241 1.38511569498377,104.087000918415 1.3852003431366,104.087912373155 1.3863642415738,104.089253775707 1.38798860351972,104.090851205657 1.39048410587327,104.091572938588 1.39141291395418,104.09186124952 1.39192255659947,104.104908431 1.36916392900025,104.119899843 1.36172274900025,104.152472275 1.34555391900039,104.175656977 1.3403476740001,104.180927431 1.33916392900034,104.188919078 1.33954491700041,104.211636274 1.34062703700039,104.264582819 1.36350021600032,104.277545431 1.3690999290003,104.281335867 1.38562492200037,104.293300319 1.43778218000023,104.25359122 1.63333600500039,104.223309248 1.71791812500027,104.188291332 1.8050000640003,104.115800275 1.9661091290003,104.058300251 2.05916418000015,104.019700246 2.13666409500036,103.992760716 2.20452160500037,103.977463431 2.24305493000031,103.898318431 2.38583693000032,103.836363431 2.45513693000032,103.827063432 2.47639093000032,103.833863431 2.51736393000027,103.833863392 2.51736409800026,103.820245431 2.57589993000011,103.76525443 2.62583693000011,103.729367121 2.63939084900028,103.727754199 2.64000006400011,103.721155704 2.64184687500006,103.65330843 2.66083693000041,103.640288726 2.66343767400031,103.637018253 2.66409116300025,103.6359147 2.66509136100041,103.61885443 2.68055493000031,103.593844901 2.70452427200041,103.592191332 2.70610914100035,103.575029589 2.72359110700035,103.55469043 2.74430993000033,103.52246343 2.78083693000031,103.50164543 2.80805493000025,103.483599766 2.83496914100039,103.482463334 2.83666415600038,103.474170743 2.85008861200038,103.46941843 2.85778193000027,103.45135443 2.88819093000029,103.43801843 2.92583693000012,103.43246343 2.96221893000035,103.432756511 2.97413735000026,103.434691347 3.05278214200041,103.445509199 3.12652696500038,103.45137234 3.14860908900027,103.451372414 3.14860986900015,103.451372425 3.14860993100035,103.45441843 3.18097293000034,103.45137243 3.21833693000025,103.449584184 3.2286083060003,103.444409326 3.25833608100038,103.439409185 3.28055399100032,103.435056337 3.29503906300033,103.43064543 3.30971893100025,103.429401357 3.3169205140004,103.42719122 3.32971804500033,103.425800327 3.3716641060002,103.426357933 3.39229684100019,103.426363426 3.39249993100032,103.431656639 3.40901936100039,103.441627204 3.44013604100036,103.44868757 3.45443242200031,103.45774543 3.47277293100035,103.47642743 3.49868193100036,103.46302743 3.53180993100028,103.44829943 3.54805493100002,103.442315304 3.55439820200041,103.424972363 3.57278217300035,103.384982303 3.62221813500025,103.371082257 3.64278212900035,103.336363441 3.74409996400033,103.36860342 3.83999920800028,103.376354139 3.86305401900029,103.382119878 3.87778926200031,103.41385443 3.95889093100038,103.40912743 4.03221893100027,103.406341439 4.04106720600026,103.401082262 4.05777317400032,103.394764047 4.08250738600032,103.39412743 4.08499993100037,103.39595443 4.1113909310003,103.41413643 4.15076393100037,103.423395862 4.15523930900031,103.446563307 4.16643599900038,103.466372259 4.23444508600039,103.486500226 4.28055393500028,103.493709166 4.30874495800037,103.486974 4.34259341800026,103.48552743 4.34986393200035,103.47635443 4.37471893200035,103.472161367 4.38834002700037,103.464982372 4.4116641680003,103.453800242 4.48479107600036,103.454898684 4.6180087120004,103.45497243 4.62694593200035,103.44107243 4.76527293200036,103.40997243 4.8580549320003,103.387711686 4.89568930700028,103.356082339 4.94916410400037,103.311740833 5.02808091800006,103.27913643 5.08610993200028,103.26553643 5.11333693200027,103.24801843 5.15749993200018,103.24024543 5.17694593200031,103.22802743 5.20555493200027,103.212421714 5.23325410800027,103.208309218 5.24055392800028,103.188261969 5.27262471200032,103.18191843 5.28277293200028,103.178999364 5.28737412100025,103.12190923 5.37736419000038,103.096072349 5.41028210300038,103.094177223 5.41254350000037,103.06441843 5.44805493300004,103.03775443 5.47694593300025,102.96087243 5.53700993300026,102.92135443 5.54742793300034,102.87690843 5.56833693300035,102.84219043 5.58930993300038,102.665727429 5.72986393300039,102.663009612 5.73451551600027,102.646091216 5.76347320800028,102.626933698 5.79072802500036,102.623445429 5.79569093300029,102.605236429 5.81221893300039,102.581363429 5.82860993300034,102.560141916 5.84112489700038,102.541472165 5.85213501000038,102.539727212 5.85316409800026,102.501654429 5.88208193300005,102.488027429 5.90263693300028,102.432745429 6.01999993300012,102.411936429 6.07083693300035,102.393670202 6.10228744200032,102.385400281 6.1165270180004,102.358600319 6.15166412300039,102.335629219 6.17386562000036,102.333881429 6.1755549330004,102.316901638 6.18686529500025,102.31689954 6.18686580900032,102.31302724 6.18944504900037,102.221645217 6.21750011700033,102.20895803 6.21332470300035,102.208957813 6.21332475600042,102.185872429 6.20572793300028,102.166654429 6.19360993300035,102.123018429 6.21805493300042,102.095227174 6.23613610600029,102.093332429 6.24166693300026,102.093333 6.24166700000035,102.166667 6.45833300000038,102.16 6.46333300000038,102.353333 6.83333300000038,102.566667 6.88333300000028,103.1 7.05000000000013,103.625385942 7.32065304600042,103.897807733 7.13404769700031,104.091239123 6.99512835700034,104.295646537 6.85447995700031,104.369012276 6.80392199500005,104.520179985 6.69978853700042,104.731675669 6.56787980700017,104.882969343 6.47353446600033,105.040402988 6.37516251500034,105.382154685 6.25645612100016,105.422285999 6.24251471300039),(104.169482342 2.89250003700005,104.169482059 2.89249935900017,104.169481431 2.89249993000033,104.123290431 2.78166393000032,104.12472897 2.77168823000039,104.124972256 2.77000003000035,104.125572062 2.76782241400031,104.129408431 2.7538909300003,104.136735919 2.74008624700036,104.141645203 2.73083609000037,104.155536196 2.71055406400035,104.166471811 2.70583200000004,104.167745431 2.70528193000018,104.211908431 2.71139093000028,104.211908475 2.7113909820003,104.211909189 2.71139108100039,104.217682274 2.7182535480004,104.220727431 2.72187293000036,104.2205867 2.72907006000025,104.219700335 2.77444495300034,104.217191296 2.7855539920003,104.20676356 2.8184133610003,104.204145431 2.82666393000039,104.199127431 2.84194593000024,104.19585965 2.85016497600031,104.189409311 2.86639107900038,104.188014031 2.86771670600018,104.187945431 2.86778193000026,104.183854431 2.87944593000026,104.175898872 2.88667141300027,104.169482342 2.89250003700005)),((110.73991098 5.93594530800033,111.000039051 5.67345856000031,111.215098129 5.74007531800038,111.82414057 6.04671135700028,111.918753352 6.09458453600013,112.035649273 6.15349601100007,112.476444746001 6.22955792000027,112.497029644 6.23307919200033,114.071036337001 4.70326769400032,114.066672406001 4.59555493400029,114.018420706 4.59845196400033,114.011109238 4.59889107500032,114.008668565001 4.59899441000027,113.99988144 4.59936693200035,113.99802744 4.59944593200032,113.99802744 4.59944493800026,113.998027266 4.59944495100035,113.986363345001 4.59750001400027,113.984863502 4.59677665900017,113.974845440001 4.59194593200027,113.971504440001 4.58781293200025,113.96720844 4.5824999320003,113.96597321 4.57866567400032,113.963045225 4.56958207400032,113.965818294 4.55527315900025,113.974154097001 4.53610911100014,113.984418240001 4.51139104600037,113.989154183 4.49583607800031,113.991927252 4.48471798600036,113.993318313 4.47250002100031,113.993475820001 4.47032985300012,113.993943440001 4.46388193200033,113.994708440001 4.45333693200041,113.994708440001 4.4397189320004,113.991868657001 4.4285668590004,113.990536191 4.4233359680004,113.964427234 4.32139107000029,113.944878462 4.27676234700027,113.943863440001 4.27444593100029,113.943246614 4.27328390800034,113.934418176 4.25666417000031,113.931488985001 4.25226696300035,113.928635440001 4.24798393100036,113.926090440001 4.24416393100029,113.776654440001 4.04471893100032,113.758396440001 4.02350993100015,113.756903495 4.0217757020003,113.735527180001 3.99694503200033,113.669709291001 3.93250009900032,113.638033976001 3.90616043700038,113.55011844 3.83305493100028,113.51776344 3.80805493100013,113.414990439 3.6919459310003,113.396381439 3.65555493100004,113.393548316 3.65126016300036,113.38831824 3.64333600500032,113.298318225 3.51750016900041,113.287244950001 3.50259890400037,113.284839439 3.49936193100029,113.274990439 3.48610993100039,113.082490439 3.25278193000025,113.076390439001 3.2383369300004,113.069286439 3.22760793000032,113.068940981 3.2270862430002,113.065536177 3.22194504200036,113.058004287 3.21172689300039,113.053863439001 3.20610993000003,113.042208439001 3.19055493000036,113.029163439001 3.17610993000028,113.017770439 3.16659593000037,113.010536439001 3.16055493000022,112.998318439 3.15221893000029,112.981090439 3.14194593000025,112.976488509001 3.13959606700024,112.973305449 3.13797169900033,112.967481439 3.13499993000039,112.961557505 3.13249305100015,112.953045168 3.12889116400032,112.939857143 3.1246113080004,112.932481439 3.12221893000014,112.864699439 3.10083693000024,112.687190439 3.05221893000032,112.676372439 3.04944593000039,112.660281439001 3.04650293000026,112.654539504 3.04545294300033,112.647491269001 3.0441642050003,112.582014041001 3.02936513900022,112.517208439 3.01471893000013,112.325607438 2.96797893000036,112.264427438 2.95305493000029,112.217754438 2.93805493000031,112.133323398 2.91553889500028,112.109418178001 2.9091640980003,112.093045136 2.90528210400026,111.965000333 2.88250009100028,111.953139086 2.88059854800025,111.950254438 2.88013693000039,111.892208438 2.87971893000031,111.878804623 2.87845327700029,111.842209307 2.87500013100038,111.838569459 2.87461929800003,111.823609438 2.87305493000031,111.823608438 2.87305493000031,111.794232952 2.86898005800026,111.793591251 2.8688910650003,111.793590438 2.86889092900026,111.792884688 2.86877204600029,111.740809233 2.86000004500039,111.684395849 2.85030412600008,111.668872438 2.84763693000002,111.663914438 2.84571093000039,111.66162818 2.84482304200026,111.656372287 2.84278210700023,111.647636299 2.8370204780004,111.644145438 2.83471893000041,111.617577805 2.81577560900018,111.520263423 2.7463910590003,111.488371455 2.72344205600035,111.477559438 2.71566193000035,111.448454438 2.69471893000036,111.446775057 2.69260304600027,111.43941829 2.68333601200038,111.436654106 2.67250005600033,111.41805416 2.57805394400037,111.403054241 2.48083610400039,111.426845267 2.41368214000033,111.426845433 2.41368192700037,111.428936857 2.41088480500025,111.442472384 2.3927820010004,111.450272115 2.3686098580003,111.394145438 2.35610993000023,111.384392123 2.34973413200009,111.368109258 2.33909108700033,111.319576437 2.38382893000028,111.315672437 2.38742793000034,111.244708437 2.42930993000016,111.234029287 2.42554293500035,111.225400306 2.42250007000035,111.225400168 2.42249993000036,111.225399437 2.42249993000036,111.216663437 2.4136099300004,111.211108437 2.39860993000025,111.202763437 2.3658369300004,111.202249042 2.36313488900038,111.183036155 2.26221813200033,111.172754242 2.14597320400026,111.172754457 2.14597315000026,111.172754437 2.14597292900032,111.179433437 2.14427892900034,111.191936437 2.14110892900038,111.224854437 2.14539892900007,111.270827437 2.15139092900029,111.284480273 2.15328325400026,111.35498235 2.16305401400007,111.371927205 2.15812696400008,111.371422848 2.15515446400036,111.370855438 2.1518119290003,111.369981438 2.14666392900028,111.356647304 2.12929272900027,111.348872278 2.11916419000039,111.344325426 2.11511746400021,111.336236438 2.10791892900033,111.329152978 2.1064468540003,111.32690997 2.10598098800028,111.324854437 2.10555492900028,111.296402406 2.11198950400041,111.294145155 2.11250007400037,111.293659855 2.11270108000031,111.274700437 2.12055492900026,111.259989819 2.12273278800041,111.254991274 2.1234731590003,111.254990777 2.1234728790003,111.254990437 2.12347292900029,111.24796426 2.11951874100032,111.239563375 2.11479118300031,111.205554138 2.06639105700032,111.200440535 2.04207362900036,111.196090437 2.0213909290004,111.173308437 1.94805492900002,111.170730388 1.94158330600004,111.169436182 1.93833602800032,111.064418311 1.68221809100032,111.061054056 1.68107704300041,111.041499437 1.67444592900011,111.029154437 1.66610992900036,111.028841295 1.66538771700027,111.021927259 1.64944501700029,111.018317683 1.63860662500025,111.009949437 1.61348092900039,111.001390437 1.5877819290003,110.999999437 1.57208192900015,111.003599437 1.55139092900026,111.009476317 1.53982424600002,111.012772376 1.53333604400018,111.012772437 1.5333359950003,111.012772437 1.53333592900026,111.024145146 1.52416416400035,111.026214959 1.52034897300041,111.028334437 1.51644192900028,111.057899437 1.46194592900036,111.057899859 1.46194567000026,111.057900208 1.4619450270003,111.159709319 1.39944503100037,111.16826588 1.3960769770004,111.172063437 1.39458192900031,111.188181437 1.39589992900028,111.188181758 1.39590011100012,111.188182308 1.39590015600021,111.196010164 1.40035591200029,111.200272437 1.40278192900041,111.201564543 1.40335151700026,111.209718268 1.40694499000034,111.224700249 1.41250001300034,111.240999507 1.41565635500035,111.241927437 1.41583592900031,111.262500437 1.41583592900031,111.263826165 1.41568667600029,111.287200246 1.41305405600025,111.301654167 1.40694499000034,111.331898198 1.3828887280003,111.378308438 1.34597292900025,111.366654438 1.34055492900029,111.359314438 1.33823792900029,111.350808438 1.3355549290003,111.333054438 1.33305492900041,111.319445437 1.33305492900041,111.183585768 1.35861544600027,111.155545189 1.36389117700026,111.063027359 1.40500000500026,111.056161948 1.4116829710004,111.052754222 1.41500016700041,111.036372437 1.43305492900038,111.017209437 1.45499992900028,111.017209254 1.45500011900032,110.994896437 1.4784689290002,110.990536437 1.48305492900022,110.977298031 1.49564926400018,110.976518298 1.49639112900019,110.955904018 1.50899810300041,110.942463437 1.51721892900025,110.896193437 1.53707092900021,110.855311736 1.55461185900009,110.836927256 1.56250003800039,110.836197108 1.56277038600041,110.823752437 1.56737892900026,110.821927437 1.5680549290002,110.809080437 1.56861092900039,110.789836437 1.56944592900038,110.789836437 1.56944493300028,110.789836215 1.56944494700031,110.782527042 1.56631213000037,110.774290437 1.56278192900038,110.773283437 1.56113592900027,110.770349257 1.55633942100042,110.769018249 1.55416406700039,110.76833613 1.53778214000039,110.770536212 1.51916408900007,110.770536212 1.50555405800031,110.769145151 1.49333609300038,110.768632669 1.49230969200028,110.768414437 1.49187292900029,110.762208437 1.47944592900041,110.746645437 1.46110992900032,110.741004437 1.45734892900032,110.737827548 1.45523084800033,110.734154226 1.4527820980004,110.728470579 1.45027331200026,110.724699437 1.44860992900021,110.713155347 1.44701897300041,110.700545141 1.44528213900003,110.691696597 1.44490002600031,110.687481437 1.44471892900015,110.685508111 1.44569287400037,110.675809527 1.45048199500042,110.682098449 1.45511348900027,110.696091333 1.46541798500039,110.709309437 1.4738639280003,110.714999869 1.47749992900032,110.715000437 1.47749992900032,110.724700437 1.48833592900019,110.726587792 1.49085937800038,110.734982358 1.50208210600027,110.739418285 1.5178197070004,110.740463437 1.52152692900017,110.740463437 1.52152792900029,110.73819658 1.52774758000038,110.733682325 1.54013594600025,110.72249131 1.54944505600025,110.716958285 1.55154853800025,110.710803437 1.55388892900032,110.702763437 1.55694592900034,110.695652437 1.55926692900033,110.651199023 1.57377810400027,110.635536273 1.57889118500009,110.617775829 1.58371564300012,110.564990437 1.59805492900034,110.527209437 1.6083359290003,110.524921378 1.60910274900033,110.479982231 1.62416419100038,110.477638835 1.64031364400034,110.477200437 1.64333592900039,110.342209437 1.79736392900026,110.342209409 1.79736393900026,110.342209224 1.79736415000036,110.337913847 1.79889718600037,110.335600437 1.79972292900038,110.330545437 1.80152792900032,110.317481437 1.79402792900027,110.309409437 1.78090992900042,110.303036437 1.77055492900035,110.300684108 1.76612200100038,110.298318226 1.76166411600025,110.277754872 1.73617345000036,110.253054436 1.70555492900036,110.019718146 1.68554867800032,109.981827284 1.68230006600027,109.928027247 1.6904821370004,109.899427436 1.7219459290003,109.820560971 1.77920309800032,109.765013946 1.81953115400034,109.760536436 1.82278192900031,109.760536291 1.82278200500031,109.760536155 1.8227821040004,109.74699555 1.82990175300034,109.733600436 1.83694492900031,109.72074784 1.84494788600034,109.710400301 1.85139104600034,109.699145389 1.86069099200012,109.671372436 1.89805492900035,109.660263436 1.91444492900018,109.651509436 1.93639092900025,109.651216506 1.93944307400028,109.649991257 1.95221813600034,109.652279698 1.9730521980004,109.653797436 1.98686492900026,109.655545436 2.00278192900026,109.655245059 2.00672815500042,109.651382318 2.05750003700041,109.648838782 2.07185446300025,109.648563436 2.07340892900027,109.648563436 2.07340992900015,109.648562818 2.07340847600034,109.626768987 2.04799948300035,109.626770223 2.0480016770004,109.646666436 2.08333292900033,109.646666667 2.08333333300038,109.908333333 3.00000000000034,110.033333333 4.66666666700036,109.983333333 5.52000000000032,109.810234727 5.9188056130003,109.643333436 6.30333293300026,109.424285533 6.86899674900042,109.315949775 7.36252375600003,109.77752987 6.90232513000012,110.130265411 6.54864336700035,110.73991098 5.93594530800033),(111.303936224 2.45000008800019,111.316785248 2.42860333700025,111.350808438 2.37194593000027,111.350808988 2.37194553500035,111.350809335 2.37194495600039,111.366985653 2.36033604500022,111.368036438 2.35958193000027,111.411518438 2.37639093000035,111.405818438 2.3938909300004,111.399427438 2.40805493000011,111.391548799 2.43550620800039,111.381091308 2.47194508400014,111.378309186 2.4827820470004,111.377107617 2.49358067100036,111.376918438 2.49528193000032,111.376918438 2.53610993000035,111.380254438 2.61499993000035,111.381252852 2.62532266500028,111.383882314 2.65250016400017,111.383882314 2.6800000150003,111.382220613 2.69367506900039,111.381654438 2.69833693000038,111.377763438 2.70805493000012,111.354427438 2.75999993000039,111.353573091 2.76111754600009,111.345400326 2.77180901200029,111.345400016 2.77180917300041,111.345399438 2.77180993000036,111.328945438 2.78034593000035,111.312481437 2.77583693000031,111.303590437 2.76763693000021,111.295399437 2.74847293000033,111.293597333 2.7353654570004,111.293318197 2.73333607700033,111.295254249 2.68083602600029,111.297961304 2.65679571800035,111.304981437 2.5944459300004,111.309801603 2.52607973800036,111.311836168 2.49721803100039,111.305545214 2.46639106800035,111.303936224 2.45000008800019)),((116.229133875 7.64875937100027,116.676519568 7.5924366630004,116.788267555001 7.59499967200026,116.908813574001 7.58822780700029,116.968492148 7.58298216100042,116.973929965 7.58251571800031,117.008006485001 7.57921076400038,117.013508751001 7.57909012600038,117.01650715 7.57901780400005,117.019505552001 7.57891270500033,117.046353691 7.5779120170003,117.080938009001 7.60283483300026,117.184285896 7.55857490000039,117.187650424 7.55712034800013,117.190881743001 7.55567576600015,117.234027904001 7.53627151300037,117.236856759 7.53503073400032,117.253095494 7.52023567600025,117.254224108 7.51919571500025,117.255538945 7.51792568000042,117.256406848 7.51706571600033,117.256498284 7.51697277600027,117.270387890001 7.50327201600015,117.277013457 7.49734985600026,117.284432132001 7.48168807700034,117.288921098 7.47299390000035,117.302983415001 7.44454477300036,117.304003681 7.4448735990004,117.314648477 7.44769907900042,117.330618577 7.45210633100038,117.33749516 7.45393033000039,117.366496742001 7.46244575400027,117.406362888001 7.47447784000036,117.416613196001 7.47738129700036,117.444236363001 7.47243039300031,117.843878346001 7.3968119200004,117.933467789 7.37988974200039,117.933437281 7.37980361200016,117.929846095 7.21340719900041,117.926431769 7.07230568900036,117.933736260001 7.0214063420002,117.937814605001 6.99260208500039,117.93781462 6.99260198100035,117.937691366 6.98521993000037,117.937148534 6.95270811300037,117.974971167 6.87559906900032,118.014101851 6.7953812250002,118.028750359001 6.76549831300036,118.07075313 6.67877669800032,118.007501168 6.60300040800041,117.961675929001 6.54827071800014,117.937608613001 6.51931635400041,117.925974758001 6.49215298600035,117.894998602 6.42036084200038,117.880203832 6.38364834700042,117.876720561 6.37516814000037,117.872860291001 6.36451776400037,117.869745339 6.35513454200009,117.867722771 6.34878214900039,117.867430568001 6.3431271270004,117.867307099 6.33907099400005,117.867500285001 6.30746274800032,117.867500291 6.3049571220003,117.867525943 6.30287715800034,117.867570273001 6.29998227600026,117.868578845 6.27000182200032,117.871759616001 6.25288043600034,117.879533623 6.21531462000041,117.880586698001 6.2113844480001,117.929796821001 6.21165058000031,117.945509745 6.21250967700041,117.95522205 6.21320870800025,117.958779224 6.2145610380004,117.998458504 6.21023003200037,118.031578468001 6.20711700900029,118.04529278 6.20553064400036,118.057498387 6.20434433400027,118.062500547 6.20395530300033,118.068795742 6.20334234300003,118.082914862001 6.20225054000002,118.085349103001 6.18665505000035,118.086561104 6.18623495800023,118.103584505 6.1800255320004,118.108001483 6.17787289700033,118.112336849 6.17636364300034,118.114875557001 6.17567596400039,118.123129547001 6.17231535300022,118.129668777 6.16832902600038,118.152036748001 6.15595815100022,118.162033927 6.14978312600027,118.178246848 6.1321279150003,118.201216009 6.10670692800039,118.186930202001 6.07580816000035,118.186039231 6.07394809200031,118.178849256 6.05901250100004,118.176243788 6.05346943900025,118.177655812001 6.04359924700037,118.178655583 6.04226935300028,118.200950532 6.01340299900016,118.223141688 5.98597173500036,118.240446114 5.9712544970003,118.241266011 5.9708644340003,118.246564719001 5.96866549500032,118.266026198001 5.96087732600012,118.284977193001 5.95576006700031,118.29924202 5.95262574900033,118.308003356 5.95097713200005,118.314854693 5.9496305820004,118.329306469 5.95185558700035,118.348495493 5.95433407700028,118.366755176 5.9569130580004,118.401438468 5.96151420600023,118.408161079 5.9591445400003,118.42305719 5.95402063200038,118.43620863 5.94966935000002,118.447003120001 5.94628803400042,118.461069464001 5.94167673900034,118.463561104001 5.94091677400041,118.479510062 5.93749760200012,118.484800567001 5.93642482800038,118.503534299001 5.93560112900036,118.52680427 5.93487304900032,118.590091815001 5.93620568300025,118.623079851 5.93842104600014,118.623789192 5.93851376200035,118.637780491001 5.94110879400034,118.644679742 5.94243816800036,118.663224222001 5.94594939300038,118.692266229 5.95171784700034,118.735151275 5.96213620600037,118.768883207001 5.97279453200031,118.806401279001 5.98099772500035,118.859626341001 5.99840998700029,118.989542963001 6.04230919800028,119.078341544001 6.07253965300038,119.082912730001 6.05024968100031,119.103239146001 6.02278025500033,119.141717414001 5.97256673700036,119.252226422 5.8303153670002,119.280223996 5.79456244000028,119.317279873 5.74752333100031,119.335429065001 5.72472534600041,119.345943498001 5.71375880400041,119.36160087 5.69782041700034,119.399676224001 5.64942719600026,119.414796985 5.63005228900039,119.446132967 5.59181436500029,119.448670757 5.58893179000023,119.461522775001 5.57492929300031,119.488955472001 5.54628734500028,119.502154535 5.53275215300039,119.502911715 5.53198064900033,119.513341524 5.5214210980003,119.530392165 5.50427408300027,119.530736948 5.50391962500026,119.533376241 5.50124703600034,119.559159891 5.47607208700026,119.606978098 5.42921842900029,119.606843138001 5.42869414000035,119.604006668 5.42125749700006,119.599067316001 5.40602035500041,119.57912309 5.35158689300033,119.566959981 5.31662767000029,119.565645837 5.31288337700039,119.564381707001 5.3091638810003,119.563614861001 5.30726090200034,119.560146602 5.29889422200029,119.558425416 5.29480100700027,119.546351695001 5.25337146700025,119.54281785 5.24241545700039,119.54191688 5.23953097900028,119.541258514 5.23741124200029,119.540689425001 5.23553656100034,119.529045433001 5.19708180800035,119.526788068001 5.19106927100012,119.525414862001 5.18683412200028,119.515976336 5.15883500300026,119.455731913 5.12142545700027,119.454541436001 5.12070601400035,119.410161137 5.09354979200037,119.403094047001 5.08891847200033,119.399120379 5.08710531900033,119.397496340001 5.0862304510004,119.394972842001 5.0848802150004,119.377903437 5.07551925200028,119.347479997001 5.05720671800032,119.339706352 5.05196381200034,119.337027604001 5.05011978100026,119.330860048 5.04564995400034,119.316472911 5.03500981400032,119.313063124001 5.03257052800029,119.3004434 5.02369290100035,119.280573335001 5.00603412400039,119.27419182 5.00011854100023,119.272701043 4.99861591000035,119.260044834 4.98563761600036,119.257808901001 4.98325238500041,119.256622749001 4.98201885400022,119.245476266001 4.96996132000038,119.227403424 4.94982552000039,119.227180616001 4.94957402200015,119.22526802 4.9473866590003,119.223138894 4.94491984600018,119.201393133 4.91939739500026,119.200164248001 4.91779006200005,119.192310022 4.91559612000026,119.182819468 4.91235831400041,119.177441129001 4.91188398200023,119.147503499001 4.90749177500038,119.144240783 4.90702221900023,119.123873282 4.90391073100039,119.121388751 4.90344342400033,119.108397873001 4.89952636300035,119.072524373001 4.88847050700002,119.045577022 4.88932026700036,119.042777552001 4.88919115700014,119.031498137001 4.88850660400027,119.025895042 4.88818267800031,119.013629884 4.88641948700035,119.013500866 4.88639297600037,119.002236944 4.88389837700026,119.000106797 4.88340622000032,118.993916980001 4.88191631900025,118.987509796001 4.87976977600039,118.967622037 4.86820580300019,118.951493819 4.85889752300028,118.927044668 4.84431145200034,118.876092218001 4.81345142900039,118.869710152 4.80678601700032,118.890391971001 4.74355864100039,118.910977942001 4.7149597340001,118.920200304 4.7019485270003,118.960776174001 4.66267589100039,118.987285246001 4.62821409700041,118.995237967 4.6123086540004,119.003190689 4.59905411800025,119.013794318 4.58314867500042,119.024397946 4.56326687100028,119.033676122 4.53410689200012,119.048256111 4.47976329500034,119.054883379 4.43734878000038,119.061510647001 4.39360881200031,119.066812461 4.36312337900006,119.069463368 4.34324157500032,119.072114276001 4.32998703900034,119.075254351 4.31451839200025,119.202150171 3.85107405000036,119.289776432 3.54651733000026,119.467490771 3.18288175600031,119.004645705 3.20003917400027,118.748495742001 3.20930200600037,118.627504208 3.35170866100032,118.301917694 3.73411764400004,118.293973305 3.84241331200036,118.289484199001 3.90207995700024,118.232573079 3.97506521000025,118.228809549 3.97986010000034,118.141963607 4.04737426600036,118.123314844001 4.06151014700015,118.122628960001 4.06202159800029,118.106467867001 4.07201484700033,118.088163588001 4.08318116800029,118.083510674001 4.08569391000015,118.06175116 4.09648457600036,118.055033538 4.09975131700037,118.052926485 4.10075532600041,118.001508006 4.14325052600037,117.988472936001 4.15362524800025,117.981279339 4.15872200900037,117.980569382001 4.1591570480004,117.951455534001 4.17525851300042,117.943005025001 4.17973386100016,117.9109656 4.17573425100016,117.910965444001 4.17573393100014,117.903554772 4.17404600600037,117.903554444 4.17404593100031,117.785536444001 4.23944593100038,117.770192673 4.25075283700011,117.769709321001 4.25110905400038,117.769708444 4.25110993100037,117.768560524 4.25161709400032,117.760272345 4.25528216200036,117.755598691001 4.2562886270004,117.748150443001 4.25789293100024,117.746090443001 4.25833693100003,117.742395443001 4.25861293100013,117.737107202 4.25900891400033,117.723872421001 4.26000016700016,117.685809193 4.25988215000029,117.685808831 4.25988193100034,117.685808443001 4.25988193100034,117.649718443 4.23805493100019,117.645313443001 4.2342119310004,117.638890443 4.22860993100034,117.641612443001 4.2198309310001,117.643090133 4.2150660090004,117.643736230001 4.21298204900029,117.686918287 4.16833600900037,117.686918381001 4.16833593200028,117.679800443001 4.16838493100033,117.597984443 4.16966393100029,117.592054443 4.16981793100041,117.592054443 4.16981872700029,117.601091286001 4.19971802200035,117.647082286 4.25791810300041,117.649933613 4.26323066200041,117.649987438 4.26333093400035,117.651927193001 4.26694507700034,117.651927213 4.26694550300039,117.651927443001 4.26694593100041,117.652627443 4.28180993100028,117.629154443 4.35360893200038,117.693036443001 4.37471793200029,117.740937443 4.35174193200027,117.775272444 4.33527293100036,117.803089544 4.32004188600018,117.863036154 4.28721805100031,117.873308712 4.27721856300036,117.888599444 4.25624593100025,117.888599836 4.25624569500042,117.888600289 4.25624507500032,117.89475389 4.25254468800034,117.905681444 4.24597293100021,117.995890444001 4.22416393100036,117.995891108 4.22416423300035,117.995891332 4.22416417800008,118.013045232001 4.23194493100038,118.073882259 4.26694507700034,118.125000301001 4.29048213200031,118.183590702 4.30777298000027,118.404427444001 4.3488909320003,118.418177385001 4.34987562400039,118.497482356001 4.35555403100011,118.521691828 4.35511121000036,118.527763444 4.3549999320004,118.534513444 4.35271793200042,118.538036182001 4.35152702500034,118.538036444001 4.35152693200024,118.543089444 4.3512839320004,118.549572444 4.35097293200027,118.564918273 4.36323789600038,118.624231208001 4.41064192300036,118.629854444001 4.41513593200028,118.640818444 4.42819093200029,118.642961757001 4.43321842800003,118.644845267001 4.43763599800036,118.644845216 4.43763639700029,118.644845444 4.43763693200026,118.643454444001 4.44860993200024,118.594845444001 4.5212459320004,118.583953077 4.52215122800038,118.544027232001 4.52547314700013,118.524972851 4.51181785300025,118.509282045001 4.50057336300034,118.467263451 4.53844494100036,118.468070018 4.5395276780003,118.48134923 4.55735230500011,118.486972444001 4.56489993200034,118.485263444001 4.59278193200032,118.485263399001 4.59278195200034,118.485263386001 4.59278217600036,118.440536209 4.61319110500028,118.429982387001 4.61139117500039,118.429982321 4.61139108100025,118.429981444 4.61139093200029,118.428808444001 4.60973193200033,118.417208444 4.59333693200023,118.361942444 4.62919093200031,118.282336444001 4.68083693200032,118.230818444 4.7355549320003,118.132345444 4.85360993200038,118.133045442001 4.86860989600035,118.133045447001 4.86860993100026,118.135818321001 4.8794449420003,118.140545211 4.88833596200038,118.183174304001 4.9352172570002,118.207354444 4.96180893200034,118.321434444 5.02127093200028,118.341372444 5.03166393200041,118.345133444 5.03287893200041,118.352138803 5.03514334500028,118.354282022001 5.03583593200028,118.394709444001 5.03583593200028,118.395681568001 5.03555990700028,118.413309273 5.03055406000027,118.415708434 5.02872833500027,118.424990444 5.02166393200025,118.445557642001 5.00029919000036,118.446781444 4.99902786300026,118.446781444 4.99902693200028,118.549709444001 4.9586089320004,118.675004444 4.94578293200038,118.676953987 4.94558343700032,118.701663339 4.94305403200036,118.707781394001 4.94630800200031,118.710536444 4.94777293200036,118.748872444 4.96499993200018,118.766170444 4.97197693200036,118.779163444 4.97721793200037,118.797732444001 4.9845929320004,118.818327444 4.99277293200026,118.88677292 5.01799473100033,118.913309245001 5.02777311300008,118.921596949001 5.03033249600037,118.939418445 5.03583593200028,118.939418445 5.03583606600029,118.972088381001 5.04471908700032,118.977200445001 5.0461089320001,118.986467444 5.04755893400016,118.994981445 5.04889093200006,119.034145445001 5.05777293200026,119.069718445 5.06999993200031,119.128036445001 5.09389093200014,119.151089445001 5.10370193200032,119.171100445001 5.11221793200025,119.175331389 5.11441409900033,119.19359137 5.12389107900037,119.206443721 5.13228562600028,119.214427445 5.13749993200025,119.220324445001 5.14443593200036,119.223872445001 5.14860893200034,119.231837445 5.15937393200034,119.244427445001 5.1763909320004,119.255545445 5.19277293200031,119.260625445001 5.20047493200025,119.263609445001 5.20499993200036,119.265892871 5.20978456000029,119.272491231 5.22360907200033,119.274753358 5.30614786000041,119.275818445001 5.34499993200041,119.270470445001 5.35772493200039,119.267763446 5.36416393300016,119.267763335 5.36416420100039,119.267563635 5.3645228570004,119.264709445001 5.3696499320003,119.261654445001 5.37513693200026,119.238872445 5.40360993200034,119.228508445001 5.41364293200019,119.221509445 5.42041793300041,119.217840445001 5.42345493300036,119.210272445001 5.42971893300029,119.198590445 5.43860993300035,119.191405849 5.44242205200038,119.189700323 5.44332708600029,119.189700285001 5.44332709300039,119.189699445 5.44332793300026,119.185326445 5.44405693300035,119.183421778 5.44437463800028,119.178036234 5.44527319600036,119.131382394001 5.43569117200036,119.131382295 5.43569110700025,119.131381445 5.43569093300022,119.122446445 5.42976793300028,119.116927445001 5.4261099330003,119.114415708 5.42386714500037,119.102618216 5.41333596600037,119.102095287 5.41313843500029,119.098385445 5.41173793200034,119.082763445 5.4058369320004,119.070263445 5.40444593200021,119.056636445001 5.40444593200021,118.934708445001 5.42971893300029,118.785263444001 5.52721893300031,118.759295444001 5.54512493300041,118.702634079001 5.5841963200001,118.692200337 5.59139105800034,118.663000302001 5.6250001440003,118.648882327 5.6377820440004,118.584966394 5.68454567300029,118.579027444001 5.68889093300027,118.576330868 5.69069377200032,118.535909277 5.71771910800032,118.495527444 5.74471893300029,118.478127150001 5.75625665000018,118.474991363001 5.75833610700039,118.470084164001 5.76093736400026,118.466090444001 5.76305493300038,118.447923444001 5.77235593300026,118.443308444 5.77471893300037,118.441221444 5.77578393300041,118.432558075001 5.78020547700032,118.429700252001 5.78166411700039,118.373600342001 5.80750016100041,118.362491302001 5.81027306200025,118.258736249 5.8275000520004,118.176654115 5.80389108100036,118.171871751001 5.80198675100036,118.167406444 5.80020893300036,118.161654444001 5.7979189330004,118.156372444 5.78694593300025,118.146165444 5.75468193300037,118.125527444 5.68944593300017,118.094782444 5.68865493300029,118.00333319 5.68630354900023,117.955472365 5.6850730790004,117.938309035 5.71690049900036,117.917763444 5.75500011000031,117.912231633001 5.77955480600036,117.908172444 5.7975729330002,117.914867444 5.8041499330003,117.916320592 5.80557766500033,117.92110028 5.81027306200025,117.921693339001 5.81046566700024,117.923521444 5.81105893300031,117.931372444001 5.8136089330003,117.93690825 5.81315560100023,117.982209216 5.80944493000027,117.997189136001 5.80787624600032,118.040545444 5.80333593300026,118.052915444001 5.80549593300032,118.080272444001 5.81027293300031,118.084869202001 5.81263151800033,118.091382332001 5.81597309100033,118.119136154 5.85305396000035,118.124691344001 5.86402704500028,118.076139063 5.96890689300039,118.073318444 5.97499993300005,118.072188387001 5.97703180000025,118.056470957001 6.00529287900025,118.048600444001 6.01944493300039,118.036927444 6.03499993300028,118.036927351 6.03500001400039,118.036927286 6.03500010100032,118.036011335 6.03579970000027,118.006863444001 6.06124593300029,118.003118444001 6.06030793300033,117.991482277 6.05739341700041,117.986645254 6.05618217600028,117.981302076 6.04855106500025,117.976090444 6.04110993300026,117.963441401 6.02800196600026,117.945936194 6.00986411400038,117.886927261 5.95263600000038,117.878036241 5.94777315500028,117.782209294001 5.91500008100041,117.550536172001 5.89750000800024,117.544858199 5.89733368300028,117.523178443 5.89669893300032,117.503056820001 5.89610997300025,117.534892444 5.90653492900003,117.564991267 5.91639114100019,117.572787298 5.91913010200028,117.590272443 5.92527293300037,117.629963443001 5.94027293300036,117.632875856001 5.94212775600028,117.638403137001 5.94564738200035,117.643054443 5.94860893300034,117.663465443 5.96765293300041,117.667763443 5.97166393300029,117.674836443 5.98236393300027,117.675195443 5.9950739330003,117.675263443 5.99749993300009,117.675263417001 5.99750013000039,117.662772443001 6.08889093300041,117.655388443001 6.10434393300039,117.653945443001 6.10736393300033,117.634718441 6.12916393100033,117.601927443 6.17805493300011,117.601649629 6.18068086900036,117.600684126001 6.18981482700025,117.600400443 6.19249993300036,117.60320188 6.19892531300036,117.612482292 6.22020914800038,117.629859249001 6.23388764200041,117.642209443001 6.24360893300036,117.656217440001 6.24916240800019,117.663488496 6.25204490000033,117.671654443 6.25528193300039,117.688872443 6.25166393300032,117.695207443001 6.25094793300025,117.709709443 6.24930893300035,117.722618443001 6.25700893300007,117.722618443001 6.25700932400036,117.725531419001 6.26338713200033,117.728045443 6.26889093300036,117.734154443001 6.31721793300017,117.734154443001 6.31721893300028,117.734723443 6.32493893300023,117.736336857001 6.34684418800038,117.739291268001 6.38694498400025,117.734949117001 6.3975757530003,117.732734443 6.40299893300011,117.724427443001 6.42333693300031,117.694776443 6.46557593300003,117.676654443001 6.49139093300028,117.659834443001 6.50530993400025,117.648463443 6.51471893400014,117.605943443 6.5256259340004,117.593621674 6.52878671600007,117.558591349 6.53777314200039,117.476100345 6.5427731140004,117.474245609 6.54212891000037,117.466518443 6.53944593400041,117.463327615 6.54056679400026,117.453872376 6.54389109300041,117.395151086 6.57566078500025,117.326030443 6.61305693400027,117.301654443001 6.62624593400011,117.289017786 6.63888259000032,117.288036375 6.63986409800032,117.284788082 6.64772311500036,117.277072424 6.66639101600032,117.253054443 6.76778193400025,117.252084443 6.77906793400041,117.249196916001 6.81264504000035,117.244982273 6.86166413000024,117.247344055001 6.86647498600041,117.250046443 6.87197793400026,117.251663443 6.87527293400041,117.251779843 6.8771115390004,117.252491285 6.88833601700026,117.252811743001 6.91110678000041,117.252963443001 6.92185793400034,117.253054443 6.9283369340003,117.252146443 6.93239093400035,117.251074767 6.9371733240003,117.249291242 6.94513598400027,117.178309262 6.99027320300041,117.168872443001 6.99444503100028,117.168872443001 6.99444593400028,117.145136443001 7.00152793400036,117.108463443 6.99594993400035,117.089427443001 6.99305493400027,117.080883962 6.98903298200037,117.077627182 6.98750013400041,117.071471984001 6.98200757400031,117.068599443 6.9794459340003,117.031090443 6.93486393400036,117.029708443 6.91083693400026,117.032608443 6.90108493400038,117.034131258001 6.89596541500038,117.034418303 6.89500013300005,117.034581789001 6.89463006500034,117.036041443 6.89132493400035,117.038590443001 6.88555493400025,117.047908443001 6.87097293400041,117.050782954001 6.85878841700026,117.054427247 6.84333609300035,117.048811516001 6.82773330900005,117.048027443 6.82555493400002,116.981654443 6.7419459340004,116.862490443001 6.59639093400028,116.859860391001 6.5946381400002,116.855655533001 6.59183631000019,116.854154443001 6.59083693400032,116.845263443 6.58610993400032,116.836157443 6.58347393400038,116.833230276001 6.58262673100035,116.824154238 6.58000016400035,116.799991223 6.5766641670001,116.783800445001 6.58423593900028,116.780978443001 6.59116393400035,116.776927443001 6.60110993400031,116.776495443001 6.61130193400038,116.776425727001 6.61294310100033,116.776091232001 6.62083595800033,116.778072845001 6.63026812500033,116.778226443 6.63099893400027,116.779750198001 6.63825205800038,116.78081829 6.64333600400039,116.784652225 6.65202981700037,116.789145443001 6.66221793400035,116.789145443001 6.66221855100031,116.809709201 6.70305404700025,116.820545158 6.7194450260003,116.835400058001 6.73208193400029,116.835400443 6.73208193400029,116.83802318 6.73580759600037,116.846645231001 6.7480539700004,116.851382348001 6.75694499000031,116.853693161001 6.76217723800033,116.855554443001 6.76639093400041,116.858104101001 6.77774020000032,116.858736294 6.78055396200023,116.858736311001 6.78055434700036,116.858736443 6.78055493400035,116.858843395001 6.78306170100035,116.859416137 6.79647240400016,116.859709443001 6.80333593400036,116.858175017 6.82019859100035,116.851091328 6.89805399500034,116.846442016001 6.91902722600025,116.841985443001 6.93913393400032,116.839854443001 6.94874593400016,116.832354443001 6.96513693400033,116.796786844 6.99640071000033,116.766382306 7.0231270790004,116.766381608001 7.0231267890004,116.766381443 7.02312693400029,116.766381443 7.0231279340004,116.754172443 7.01805493400042,116.751902443001 7.01515793400034,116.751550802 7.01470925800032,116.745245157 7.00666418300017,116.715818307 6.96778204200029,116.671434520001 6.87742883800041,116.661099442 6.85639093400039,116.659508442 6.85267293400028,116.658844196 6.85112104600029,116.656936275 6.84666421200029,116.643336134 6.7733359700004,116.642997805 6.76810872100037,116.642953442 6.76742393400031,116.642490442 6.76028193400015,116.644630042 6.75157114400008,116.646654194 6.74332708000009,116.648036203 6.73110911500038,116.647627166 6.71444505300042,116.646829995001 6.71160622800028,116.645928442 6.70839693400029,116.643881442 6.70110993400027,116.639163442001 6.69221893400038,116.626781442 6.67736393400031,116.581181714 6.62809017800032,116.561100276 6.6063910890004,116.561100141001 6.60639093400027,116.561099442001 6.60639093400027,116.523220423001 6.56274650800026,116.507218217 6.54430901400031,116.502772288 6.53236413200034,116.503473643 6.52912262800015,116.507490442 6.51055493400025,116.500681442 6.49347293400012,116.491090442001 6.48277293300026,116.445899141 6.45101057500034,116.414427196001 6.42889104600027,116.379005494001 6.40358814500019,116.370958442 6.39783993300028,116.358036442 6.38860993300028,116.328599442001 6.36333693300031,116.109990442 6.12777293300036,116.092969641001 5.99829123300037,116.090272345 5.97777316000031,116.082651624 5.96179671800036,116.053308442001 5.90028193300031,116.055374442001 5.8645789330003,116.055766032001 5.8578162850003,116.055945266 5.85471810400037,116.055144916 5.85242913800016,116.051090442 5.84083693300016,116.038463442 5.82610993300023,116.014163442 5.80944593300029,116.008419442001 5.80650693300026,116.002726244 5.80359457700035,115.991363373001 5.79778218200039,115.94413621 5.77000002900036,115.930691431 5.75999424400038,115.928463442001 5.75833693300029,115.925079441001 5.75451293300006,115.918872315 5.74750015100034,115.915045444 5.73800991900026,115.915045138001 5.73800915400028,115.909145117001 5.71610908500026,115.904427278001 5.68000001400031,115.895263344 5.64486408100026,115.886654123001 5.62889102400032,115.869293878 5.59793780900031,115.857208442 5.57639093300025,115.852579442 5.56944993300027,115.849841653001 5.56534435700041,115.848872359 5.5638910410002,115.838311038 5.55194645200038,115.829708442001 5.5422189330003,115.820615442001 5.53602093300032,115.817490442 5.53389093300029,115.80952591 5.5305197550004,115.803036257 5.52777308400027,115.792209185001 5.52500001600032,115.7625002 5.5202731250003,115.760221642 5.52017425000037,115.757235442 5.52004493300041,115.749708442 5.51971893300026,115.70216943 5.51990145700029,115.605818289 5.5202731250003,115.528318206 5.51750005600042,115.380254233001 5.4009731620003,115.371227259001 5.38250011700029,115.369310792001 5.37274830600035,115.365490441 5.3533109320004,115.359708441001 5.32389093200032,115.359708441001 5.30958193200036,115.433546692 5.25733074700025,115.485118212 5.22083600400038,115.492848775001 5.21711735500031,115.510536441 5.20860893200035,115.519686441 5.20463493200037,115.529708441001 5.20028193200005,115.541927441 5.19889093200027,115.55914529 5.20249990100035,115.574154141 5.17916419800036,115.572020751 5.15878424100032,115.568599441001 5.12610993200036,115.564699441 5.08916393200036,115.563657072001 5.08510409000036,115.561918239 5.0783361050004,115.559215962 5.07203727000029,115.557745441 5.06860993200041,115.546099441001 5.05305493200035,115.528872441001 5.04194593200026,115.507626792 5.03366001900031,115.479709203 5.02277314000037,115.479709042001 5.02277293200035,115.479708441001 5.02277293200035,115.465283441 5.00406993200028,115.463872004001 5.00223960600033,115.461927163001 4.99971804400042,115.457984491 4.99532547200005,115.452208441 4.9888909320004,115.392490441 4.92527293200033,115.383329980001 4.91612457100018,115.37886334 4.91166414000037,115.370067661 4.90566440700036,115.366654441 4.9033369320004,115.359592441 4.90050893200038,115.357584116001 4.89970439200022,115.356936281 4.89944500100034,115.354090661001 4.89888778100027,115.327827441001 4.89374593200034,115.322981441 4.89621893200035,115.31155123 4.9020515060003,115.310672367001 4.90250003700038,115.308986082 4.90411880300036,115.288758441 4.92353693200039,115.286372441 4.9258279320004,115.220536441 4.95805493200038,115.209945449001 4.95549435300035,115.207900343 4.95500008800042,115.200150729 4.94854219800004,115.189953441001 4.94004493200026,115.145781441 4.90323693200031,115.133590546 4.85763732500027,115.115373741001 4.89014907600028,115.126531022001 4.9169265510003,115.148845584 4.94593548300031,115.157771409 4.96155567700026,115.146614128 4.96601858900038,115.137688303 4.97940732700027,115.144382672001 4.9927960640004,115.258186941 5.0887486830004,115.119836653 5.11998907100008,115.003800928 5.20478440800031,114.845367534001 5.26503372700006,114.762803652 5.34982906500034,113.817794942001 6.3264822850004,113.920864526001 6.37643468400034,113.94240672 6.38688356300025,113.950763192001 6.39092394100004,113.986244883 6.40824947400034,114.422341872 6.80408297300005,114.627878438 6.99016931500034,114.86190442 7.20205996600026,114.994202119001 7.22325633900033,115.121338691 7.24336926700039,115.142950882 7.24680625400026,115.156180087001 7.24892256500033,115.189139156001 7.25165796800042,115.371114114 7.26639308200032,115.496327513 7.33352972100033,115.984346228 7.62242622100035,116.018445001 7.64472157300031,116.041076109001 7.6624377480004,116.041076195001 7.66243774300034,116.162668189001 7.65348975500035,116.229133875 7.64875937100027),(116.856936201001 7.18389115300039,116.856936443001 7.18389093400026,116.860698408001 7.19192166900029,116.874700300001 7.22180903000037,116.908182091 7.23347304100031,116.958036443001 7.24166393400026,116.971959181 7.24748114200037,117.018045261001 7.26673603100039,117.018045250001 7.26673685400016,117.018045443 7.26673693400016,117.017933082 7.27515889600033,117.017491217 7.30833608700033,117.013139056 7.3266221480003,117.009427443 7.3422189340003,117.002293355 7.35115115200017,117.000882308 7.3529180890003,117.000882182001 7.35291800900029,117.000881443 7.35291893400029,116.911625787 7.29616122300035,116.886654235 7.28028219200041,116.878727301 7.27416407400028,116.85782232 7.20617059900007,116.852336443 7.18832793400037,116.852336480001 7.18832789800018,116.852336208 7.1883270150002,116.856936201001 7.18389115300039),(117.222209312 7.35277308200028,117.222208589001 7.35277290600027,117.222208443 7.35277293400026,117.145127443 7.3340279340004,117.093263443 7.29345493400035,117.088837713 7.29405628400036,117.088045217 7.29416413300032,117.084649355 7.29218151400033,117.070681443 7.28402793400033,117.062481443 7.27166393400034,117.052929955001 7.18041437000039,117.051927261001 7.1708359940003,117.066445220001 7.10507309100029,117.066445409 7.10507308900031,117.066445443 7.10507293400036,117.079281443 7.10499993400038,117.079281616 7.10500017200019,117.079282272 7.1050001680004,117.085694913 7.11378068700026,117.089427443001 7.11889093400004,117.093402525001 7.1272220160003,117.0981724 7.13721802500004,117.120818291001 7.15555394100033,117.149427235 7.16860909000042,117.159991283001 7.1719450880002,117.172209248 7.17333598100026,117.192745246 7.17333598100026,117.241766979 7.17827971900022,117.250536443 7.17916393400031,117.264217531 7.20906349700016,117.273036167001 7.22833601800005,117.276382391 7.23860904600025,117.278035514001 7.24833625000002,117.278318443 7.24999993400019,117.27906381 7.26110066800032,117.282982301001 7.31944495900041,117.280503448001 7.32704518900022,117.278318443 7.33374593400015,117.273248553 7.33881982500031,117.268182375 7.34389111500036,117.222209312 7.35277308200028),(117.467900329 6.76139108700039,117.467899513001 6.76139088400026,117.467899443 6.76139093400025,117.435696228 6.75337583900028,117.410409191 6.74708217300036,117.41040912 6.74708210200009,117.410408443001 6.74708193400028,117.400118443 6.73680993400035,117.400118552 6.73680947000031,117.400118225 6.73680914400029,117.403318268 6.72312702800031,117.418485793 6.72200129100031,117.423027443 6.72166393400039,117.427453912 6.72071766000028,117.438590794001 6.71833621500031,117.441134292 6.71312170200025,117.444554116001 6.70610928500025,117.437763443 6.69263693400012,117.427199443 6.68610993400029,117.414852782001 6.68088098100026,117.412772384 6.68000012500039,117.410414731001 6.67949189400036,117.398599443 6.6769459340004,117.342745443001 6.67252793400041,117.338436203001 6.66466427800026,117.335272302 6.65889114000026,117.335604315001 6.65794623000039,117.338590443001 6.64944593400037,117.338591267 6.64944535600029,117.338591368 6.6494450700003,117.341192737 6.64762232600026,117.350681443001 6.64097293400005,117.369555525001 6.6363373610003,117.412345243001 6.62582704600027,117.433318273 6.62833608500034,117.444136293001 6.63110915400034,117.452415049 6.63441763500026,117.453872443 6.6349999340004,117.466927443 6.64249993400028,117.478975413 6.64992330400025,117.500745152 6.66333606300026,117.512772345 6.67860906400034,117.515545246 6.68944502100027,117.515545241 6.68944514400039,117.515545443 6.68944593400028,117.514854443 6.70583693400039,117.491918443 6.74430993400023,117.478310212 6.75398736400035,117.467900329 6.76139108700039),(118.471351407 4.62356337200026,118.529708444 4.60027293200039,118.535348279001 4.60015167200027,118.56817231 4.59944495100035,118.596027219 4.63833597600041,118.596026904 4.63833617700033,118.596027444001 4.6383369320003,118.576390444001 4.6508369320004,118.503905751 4.67932259000025,118.4788633 4.68916417200006,118.460199759 4.68625776300041,118.394618444 4.67604593200036,118.349872444 4.67204593200034,118.349874389001 4.67204515600031,118.349872347001 4.67204497300037,118.471351407 4.62356337200026)))', 'Malaysian Exclusive Economic Zone', 'Malaysia', 'Malaysia', '', '206', '206', 'MYS', '8483', '2014-02', '451895128000', '8483', 'Y'),('SRID=4326;MULTIPOLYGON(((127.833333333 32.2,128.233333333 31.783333333,128.833333333 31.783333333,129.066666667 30.9,129.15 30.3166666670001,128.633333333 29.716666667,128 29.3166666670001,127.633333333 28.6,126.245706739 30.13313987,126.091666667 30.3033333330001,126.013333333 30.5550000000001,125.925000607 30.7699985240001,125.925 30.77,126.858333333 32.1750000000001,127.218333333 32.5600000000001,127.463333333 32.77,127.605 32.89,127.685 32.95,128.3 32.95,128.3 32.45,127.933333333 32.45,127.833333333 32.2)))', 'Joint Japan - Korea', 'Japan - Korea', 'Joint Regime', 'Japan / Korea', '0', '211', '-', '21796', '', '83419264120', '21796', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.91466387199995 35.273669786,-2.91466388799995 35.273669752,-2.91543810399997 35.2747426350001,-2.91568184999994 35.2749450540001,-2.91596462099994 35.2753368780001,-2.93055484099995 35.295553951,-2.94694538099998 35.3291629650001,-2.94694542699995 35.3291630580001,-2.94694544299995 35.3291630900001,-2.94694598799992 35.3291642090001,-2.94424394699996 35.3302758780001,-2.93130661099997 35.3376032400001,-2.89964041099995 35.346135105,-2.89450823699997 35.3473999140001,-2.85211129499993 35.358353886,-2.82116397499993 35.3710647930001,-2.80752407399996 35.3745463650001,-2.75779008099994 35.383733109,-2.63058404899994 35.400165762,-2.63479193699993 35.387844801,-2.66533018799993 35.370482114,-2.66922668399997 35.3683323230001,-2.69580826699996 35.3544339170001,-2.72803194999995 35.3373234590001,-2.81220468399994 35.3028230570001,-2.84064117199995 35.29295984,-2.84604140799996 35.2911735010001,-2.86213621599995 35.285753502,-2.87743706099997 35.282001114,-2.89649060699998 35.279768774,-2.90425314199996 35.278295471,-2.91423499499996 35.2741457120001,-2.91466387199995 35.273669786)),((4.55833333300006 42.4499999990001,4.98750000000007 41.947222219,5.01666666700004 41.883333329,5.15576395000005 41.708021371,5.25138888900005 41.587499999,5.33750000000003 41.497222219,5.33750018000006 41.497222133,5.83384236900002 41.25896133,5.92302854500002 41.163629692,5.93500000000006 41.150833332,5.95166666700004 41.101388888,6.11888888900006 40.585277777,6.13583333300005 40.5186111100001,6.16694444400002 40.4508333320001,6.18583333300006 40.351388888,6.30000000000007 40.0186111100001,6.30000000000007 39.6180555550001,6.21666666700003 39.335555555,6.08555555600003 38.916666666,6.05555555600006 38.797222219,5.83611111100004 38.6874999990001,5.30000000000007 38.452777779,4.73888888900007 38.384722219,4.57083333300005 38.3874999990001,4.41805555600007 38.338888889,4.34027777800003 38.304166669,4.24166666700006 38.254166669,4.13472222200005 38.2208333290001,3.37638888900005 38.026388889,3.24444444400007 37.997222219,3.14722222200004 37.991666669,2.91944444400002 37.984722219,2.76805555600004 37.984722219,2.64305555600004 37.9166666690001,2.18611111100006 37.7263888890001,1.87083333300006 37.640277779,1.63888888900004 37.6138888890001,1.53333333300003 37.6069444390001,1.49444444400007 37.6013888890001,0.786111111000025 37.605555559,0.600000000000023 37.4388888890001,0.298611111000071 37.1777777790001,0.00694444400005523 37.008333329,-0.333333332999928 36.8347222190001,-0.380555555999933 36.8236111090001,-0.479166666999959 36.769444439,-0.627777777999938 36.747222219,-0.720833332999973 36.723611109,-0.866666666999947 36.7041666690001,-1.00277777799994 36.593055559,-1.04027777799996 36.5680555590001,-1.20833333299993 36.4722222190001,-1.26805555599998 36.4486111090001,-1.36666666699995 36.390277779,-1.54722222199996 36.287499999,-1.85833333299996 36.0916666690001,-2.05555555599994 35.9611111090001,-2.06944444399994 35.9444444390001,-2.10138888899996 35.905555559,-2.37026065399994 35.7489675520001,-2.51933009199996 35.7351965180001,-2.63879348299997 35.7239755370001,-2.71423327999997 35.7167106410001,-2.75133092999994 35.7134318330001,-2.78372434599993 35.7103690590001,-2.87811851699996 35.7016291730001,-2.94744212599994 35.694965424,-2.98001096799993 35.6923365430001,-3.02307909399997 35.6889571580001,-3.04048750099997 35.68759119,-3.05962595999995 35.6860551280001,-3.09778285599998 35.6829926360001,-3.17969880499993 35.678274824,-3.19179251499997 35.6775888450001,-3.22021960899997 35.675976405,-3.35827295899998 35.6676445910001,-3.43932772899996 35.6627527630001,-3.45200423599994 35.670921686,-3.61201525999996 35.774231205,-3.64207434999997 35.7941251460001,-3.71001653699994 35.839774795,-3.85322495399993 35.9362800170001,-3.94243003399993 35.9961521170001,-3.94935232299997 35.995366287,-3.98947637799995 35.9949089770001,-4.50082125499995 35.875919395,-4.54408249399995 35.861089097,-4.78034063299998 35.799091011,-4.78850758499993 35.797617814,-5.01077140699994 35.7955751640001,-5.06278162899997 35.7948750680001,-5.07694151099997 35.794587746,-5.18760670199993 35.792609725,-5.18773280999994 35.7926074710001,-5.19648548499993 35.792451026,-5.19834069599995 35.793110245,-5.20321354499993 35.794841734,-5.22433073799994 35.801842966,-5.23622496599995 35.806489437,-5.24279986299996 35.809538343,-5.24624203599996 35.8110973300001,-5.25153303099995 35.8134354790001,-5.25516767399995 35.8153596330001,-5.25984784199994 35.8178638420001,-5.27270878799993 35.8251583220001,-5.27562873799997 35.8266191590001,-5.28697548699995 35.8318717500001,-5.29230680199993 35.835437755,-5.30797678499994 35.8385298420001,-5.32339658899997 35.8412529920001,-5.34172848899993 35.8420131990001,-5.34172819199995 35.8420129830001,-5.34172866099993 35.842013002,-5.34189359899995 35.8419989490001,-5.34583667099997 35.8416639610001,-5.30764567099993 35.8857909610001,-5.30764599199995 35.885791146,-5.36028182899997 35.916245115,-5.39555488999997 35.916335975,-5.39543312999996 35.916794155,-5.39461862399997 35.9176684620001,-5.39424740999993 35.9180669290001,-5.39424739399993 35.918066971,-5.39391720799995 35.9187505570001,-5.39391718899998 35.9187505940001,-5.39214854899996 35.9218410870001,-5.39214852999993 35.921841124,-5.39213929299996 35.921864058,-5.39213928099997 35.9218640980001,-5.39192481299995 35.923853648,-5.39192480799994 35.92385369,-5.39178688899995 35.925133122,-5.39178688499993 35.925133164,-5.39175370599997 35.926111185,-5.39175010199995 35.9262174240001,-5.39175010099996 35.926217466,-5.39173656399993 35.926616494,-5.39173656299994 35.926616536,-5.39173655599996 35.926616719,-5.39173655199994 35.926616761,-5.39165190599994 35.9270614540001,-5.39165189799996 35.9270614960001,-5.39104035199995 35.9302742940001,-5.39104034199994 35.930274336,-5.38785473899998 35.940261159,-5.38785472599994 35.9402612000001,-5.38567430399996 35.947096791,-5.38421467599994 35.951672704,-5.38421466199998 35.9516727450001,-5.38415436999998 35.95185099,-5.38399863799998 35.952311389,-5.38399862499995 35.9523114290001,-5.38369117499997 35.9532203540001,-5.37884000799994 35.9774343820001,-5.37882042599995 35.977532125,-5.37710885499996 35.9860752290001,-5.37506800199998 35.9962619070001,-5.37506799299996 35.996261949,-5.37506790199996 35.9962624130001,-5.38638888899993 35.9944444440001,-5.41333333299997 35.9886111110001,-5.48333333299996 35.9716666670001,-5.58277777799998 35.9422222220001,-5.64944444399993 35.9361111110001,-5.88833333299993 35.952222222,-5.98055555599996 35.958888889,-6.05388888899995 35.958888889,-6.60267912699993 35.8872998890001,-6.62302088499996 35.88476867,-6.64061413199994 35.882654615,-6.67159846899995 35.8792477220001,-6.71504555599995 35.874470484,-6.75464210799993 35.8704966830001,-6.76629890799995 35.8693268390001,-6.78446175199997 35.8676716730001,-6.80016242599993 35.866377491,-6.89256156899995 35.8448106070001,-6.91391345799997 35.8400243680001,-6.95466072199997 35.8312494470001,-7.05005464099997 35.81148326,-7.06737185099996 35.8082845220001,-7.07600301999997 35.807245553,-7.25253679299993 35.786673314,-7.52094696499995 35.7600532220001,-7.54861537499994 35.7574059510001,-7.54660621499994 35.758623648,-7.53332999999998 35.76667,-7.53142759299993 35.777653334,-7.49357357999997 35.999449025,-7.35753603399996 36.7965254470001,-7.36267154299998 36.8953840040001,-7.36654288199998 36.969907279,-7.38585477199996 37.077647299,-7.39651850099995 37.137139679,-7.39651986399997 37.137147283,-7.40597948799996 37.1899220270001,-7.40597975899993 37.1899235390001,-7.40760076699996 37.1989670570001,-7.39139081999997 37.1752731890001,-7.39139067299993 37.1752729620001,-7.35639067299996 37.175826962,-7.35255639199994 37.178166785,-7.33749987199997 37.1873540290001,-7.29297788899993 37.202230984,-7.28471767299993 37.2049909620001,-7.28177880099997 37.205335851,-7.25860889599994 37.2080539770001,-7.18343363399993 37.216132982,-7.17333667299994 37.2172179620001,-7.16796692099996 37.217606582,-7.12722675399993 37.220554077,-7.08398884499996 37.217741205,-7.08028167299994 37.217499962,-7.07906050599996 37.217298511,-7.05333675699995 37.2130539500001,-7.00868323399993 37.1956820080001,-6.99683667299996 37.1910729620001,-6.97222767299996 37.1777449620001,-6.97222778699995 37.177745574,-6.97222675599994 37.177745015,-6.97765138499994 37.206880911,-6.97871767299995 37.212608962,-6.97279956799997 37.2155151010001,-6.95992742299995 37.221835707,-6.90472767799997 37.165554958,-6.90472678699996 37.1655540400001,-6.73664006399997 37.0963903370001,-6.72583667199996 37.0919449620001,-6.66250621399996 37.060695196,-6.57889086099993 37.01943601,-6.35555488299997 36.8608359840001,-6.43944599899993 36.7415271360001,-6.44360878699996 36.718891136,-6.43249991599993 36.69235403,-6.39520882899996 36.629644989,-6.38726770999995 36.626217135,-6.36513667199995 36.6166639620001,-6.36177362999996 36.6171328290001,-6.33722684499998 36.620553977,-6.30396995799993 36.614968758,-6.29749967199996 36.6138819620001,-6.23444582599996 36.5781910490001,-6.17471783599996 36.514436065,-6.21763669999996 36.46889115,-6.23721783199994 36.463809036,-6.26221767199996 36.4758269610001,-6.26221764199994 36.4758269000001,-6.26221786399998 36.4758270070001,-6.22694597699996 36.404718126,-6.18181368499995 36.3393016090001,-6.15833667199996 36.3052729610001,-6.08119268799993 36.2247566770001,-6.04416382599993 36.186109038,-6.04416366999993 36.1861089650001,-6.03267290699995 36.1811539920001,-6.02688521499994 36.183822655,-6.02555467199994 36.1844359610001,-5.91486367199997 36.1801359610001,-5.88180887599998 36.162354054,-5.84925941399996 36.129942145,-5.84721767199994 36.1279089610001,-5.84369102499994 36.124042499,-5.83278194999997 36.1120820800001,-5.81666388599996 36.0916640990001,-5.80221784299994 36.077218057,-5.80221772199997 36.0772180110001,-5.80221767199993 36.077217961,-5.61360867099995 36.0060999610001,-5.44889067099996 36.0522179610001,-5.42604567099994 36.075344961,-5.44458167099998 36.138744961,-5.42549067099998 36.1737449610001,-5.38833667099993 36.178890961,-5.35579985799995 36.1633090880001,-5.35668150499993 36.162864386,-5.36094450499996 36.159484386,-5.36608850499994 36.155515386,-5.37225950499993 36.1526993860001,-5.37340550499994 36.1525403860001,-5.37414950499993 36.1523743860001,-5.37744950499996 36.1514603860001,-5.38325850499996 36.150137386,-5.38354850499996 36.150052386,-5.39177150499995 36.1473173860001,-5.39227450499993 36.147124386,-5.39945350499994 36.1441123860001,-5.39876750499997 36.1420433860001,-5.39819350499994 36.1399933860001,-5.39768650499997 36.1379423860001,-5.39580350499995 36.128345386,-5.39563350499998 36.1268953860001,-5.39549450499993 36.1257843860001,-5.39551950499992 36.1250453860001,-5.39535050499995 36.119726386,-5.39454950499993 36.117244386,-5.39155950499998 36.1093963860001,-5.39150750499994 36.1092243860001,-5.39121350499994 36.106194386,-5.39052450499997 36.1000603860001,-5.38552450499998 36.0915223860001,-5.38385650499993 36.089307386,-5.37484050499995 36.0762403860001,-5.37438050499998 36.075592386,-5.36656550499993 36.064692386,-5.34649750499995 36.034827385,-5.33113950499995 36.0116623850001,-5.30859495599998 36.009871962,-5.29299850499996 36.0125003850001,-5.23738650499996 36.022219385,-5.19922450499996 36.0292113850001,-5.15438650499993 36.0372163860001,-5.10271550499994 36.0473533860001,-5.09641750499998 36.048552386,-5.08594950499997 36.050489386,-5.00470850499994 36.0650713860001,-4.89237450499996 36.084418386,-5.04195550499998 36.119768386,-5.10271150499995 36.1361173860001,-5.13728950499996 36.140117386,-5.14106250499998 36.1403833860001,-5.25924550499997 36.153696386,-5.33316550499995 36.1624233860001,-5.33450867599993 36.1625633,-5.33450867099998 36.162563961,-5.33333668199998 36.1719449620001,-5.32610867099993 36.197490961,-5.31249967099996 36.2311089610001,-5.27772538399995 36.2830624970001,-5.21916393999993 36.3705539910001,-5.18514201899995 36.4007676680001,-5.17263667099996 36.411872961,-5.08013667099993 36.446517961,-4.93999967099995 36.491663961,-4.91389067099993 36.4988819610001,-4.87805467099997 36.500826961,-4.85249967099998 36.500826961,-4.82291767099997 36.4976359610001,-4.78791767099995 36.4887449610001,-4.75778167099998 36.485690961,-4.71152767099994 36.488190961,-4.71152705299994 36.488191134,-4.71152671299996 36.4881911530001,-4.67306625799995 36.498975796,-4.63971767099997 36.5083269610001,-4.49013666999997 36.6152729620001,-4.46194566999998 36.655826962,-4.43555466999993 36.697081962,-4.42619340499994 36.7034746690001,-4.39986391499997 36.7214539870001,-4.36629038799992 36.718146652,-4.35972766999993 36.717499962,-4.32471766999993 36.710544962,-4.23971766999995 36.713335962,-4.17049066999994 36.719863962,-4.02472766999995 36.741390962,-3.84889066999995 36.752490962,-3.81639066999998 36.7499999620001,-3.78555466999995 36.742490962,-3.72555466999995 36.7286089620001,-3.69444566999994 36.7283359620001,-3.67249966999998 36.7320819620001,-3.66815195499993 36.733205694,-3.63971783099993 36.7405539970001,-3.60219768999997 36.7462797310001,-3.60152766999994 36.746381962,-3.52944584999995 36.715827043,-3.52944566799994 36.7158269650001,-3.48319081799997 36.695554073,-3.46291682899994 36.6923911900001,-3.45999966899996 36.6919359620001,-3.42555466899995 36.693608962,-3.39558105699996 36.705438187,-3.35992671699995 36.7195090500001,-3.34534722899997 36.7307440590001,-3.33694566899993 36.737217962,-3.25916366899997 36.7469359620001,-3.25853666799998 36.7469607300001,-3.23083669099998 36.748053956,-3.14198302399996 36.7499170460001,-3.12499966899998 36.7502729620001,-3.09073303899993 36.7497768000001,-2.92347280299992 36.7473540680001,-2.89405394599993 36.7303068910001,-2.89208180199995 36.7291640390001,-2.87347290699995 36.706591196,-2.87347284899994 36.70659118,-2.87347266899997 36.7065909620001,-2.76889066899997 36.678326962,-2.72249966899994 36.6816639620001,-2.69249966899997 36.6852729620001,-2.64486366899996 36.697772962,-2.61110866899998 36.7295819620001,-2.59833666899993 36.758608962,-2.58430866899994 36.786526962,-2.57818141399997 36.792686024,-2.55791772099997 36.813054107,-2.49616240099994 36.8268217080001,-2.48194566799998 36.8299909620001,-2.34708166799993 36.840544962,-2.29131779999994 36.8256179970001,-2.23110881899993 36.7644451080001,-2.21721783099997 36.7455539700001,-2.19208184399997 36.7204090990001,-2.19208181099998 36.720409105,-2.19208166799996 36.7204089620001,-2.12291766799996 36.733463962,-2.09685924099995 36.753124724,-2.06152682899994 36.779782142,-2.05922457499997 36.8032638780001,-2.05875474199996 36.808054203,-2.01552755499995 36.8616295680001,-1.99263666799993 36.889999962,-1.93208166799997 36.939308962,-1.90221766799993 36.9722179620001,-1.84666366799996 37.081935962,-1.82666366799998 37.1249999620001,-1.82360866799996 37.150835962,-1.81326366799993 37.190417962,-1.79458166799998 37.227490962,-1.75932751699997 37.265273243,-1.68402686299993 37.345973165,-1.66173232899996 37.3607559870001,-1.64360866799996 37.3727729620001,-1.63341766799994 37.3768639620001,-1.56778166799995 37.3997179620001,-1.50944566799996 37.4219449620001,-1.48471766799997 37.438608962,-1.47766442399995 37.452324462,-1.46736388599993 37.4723539930001,-1.45412059999995 37.485307096,-1.44833666799997 37.4909639620001,-1.35083666699995 37.5494359620001,-1.34874232499993 37.5502094610001,-1.32749976099996 37.5580540920001,-1.26027485199995 37.5710762670001,-1.23860866699994 37.575272962,-1.04833666699994 37.5791639620001,-0.977917666999929 37.5748639620001,-0.956438639999931 37.558777085,-0.952499781999961 37.55582702,-0.952499737999972 37.555827015,-0.952499666999927 37.555826962,-0.918336666999949 37.5517999620001,-0.744163666999953 37.593890962,-0.723472666999953 37.6022179620001,-0.702499666999927 37.624444962,-0.704414837999934 37.6259396130001,-0.721626795999953 37.6393731370001,-0.786945963999926 37.6477731420001,-0.809445666999977 37.6609729630001,-0.858336666999946 37.7155449630001,-0.841945666999948 37.748881963,-0.801390666999964 37.801381963,-0.791100695999944 37.8127423990001,-0.761017717999948 37.8459540270001,-0.760902516999977 37.847479854,-0.759999666999931 37.8594359630001,-0.75055466699996 37.8897179630001,-0.656663666999975 38.046944963,-0.600281666999933 38.185272963,-0.511663666999937 38.324999963,-0.379308666999975 38.436244963,-0.319999665999944 38.471526963,-0.294581665999942 38.4840269630001,-0.145136665999928 38.5369449630001,-0.0527816659999303 38.593326963,-0.0399760669999409 38.6034669840001,-0.0120819269999402 38.625554005,0.0350027440000531 38.636497084,0.0416633340000203 38.638044963,0.144163334000041 38.684708963,0.164163334000023 38.6974909630001,0.207218334000061 38.7322089640001,0.215282334000051 38.7580449640001,0.214055024000061 38.761381554,0.19847315800007 38.8037450530001,0.148377486000072 38.828038346,0.147782333000066 38.8283269620001,0.147782257000074 38.828326996,0.0770822450000423 38.8576271110001,0.0485450500000297 38.859709176,0.00889110400004256 38.862209163,-0.0411178449999738 38.8892091170001,-0.0507632699999476 38.895583092,-0.0649996659999488 38.904990964,-0.0922176659999536 38.9297179640001,-0.109772048999957 38.946413498,-0.143336662999957 38.978336073,-0.182499663999977 39.0291639660001,-0.194999665999944 39.0535999640001,-0.241108665999946 39.1438819640001,-0.337636574999976 39.438054687,-0.331433515999947 39.4685449940001,-0.326108665999925 39.4947179640001,-0.32369964999998 39.500443927,-0.317636663999963 39.5148539850001,-0.228223497999977 39.6577205130001,-0.179163665999965 39.736108964,-0.15697092399995 39.7648194870001,-0.111526837999975 39.823609101,-0.0938045259999285 39.841790202,-0.0844456659999651 39.8513909650001,-0.0372176659999468 39.893326965,0.0327823340000464 40.007763965,0.0475003340000626 40.0337359650001,0.213054334000049 40.183599965,0.231649685000036 40.198215911,0.280554119000044 40.2366540360001,0.341571243000033 40.2882864520001,0.356391334000023 40.3008269650001,0.458336334000023 40.4472179650001,0.518936334000045 40.5287359650001,0.519163334000041 40.533881965,0.541945334000047 40.569163965,0.589163334000034 40.6127819650001,0.61013633400006 40.624999965,0.69666333400005 40.6374999650001,0.734718066000028 40.639999947,0.709163242000045 40.5958360220001,0.621427179000023 40.5843730990001,0.636391223000032 40.561800131,0.636391334000052 40.561799965,0.664309334000052 40.5627729650001,0.68971833400002 40.571663965,0.857918335000022 40.680272965,0.885282335000056 40.7027729650001,0.896600335000073 40.7257639650001,0.896600095000053 40.725764026,0.896600199000034 40.7257642390001,0.870282196000062 40.7324912190001,0.848054156000046 40.7294360290001,0.806788081000036 40.7440716130001,0.730554189000031 40.7711091040001,0.712849703000074 40.788037602,0.703609361000019 40.7968729900001,0.899445335000053 40.980272966,0.924718335000023 40.991099966,0.939863335000041 41.012081966,0.96444533500005 41.032772966,0.993054335000068 41.0480449660001,1.03944533500004 41.062490966,1.20500033500002 41.1013909660001,1.32250033500003 41.1294359660001,1.49833633500003 41.178599966,1.53194533500005 41.1849999660001,1.61639133500006 41.195826966,1.65139133500003 41.1991639660001,1.67583633500004 41.2016639660001,1.68261251700005 41.202695706,1.70139114900007 41.2055541010001,1.75301286700005 41.2167354060001,1.76166333500004 41.218608966,1.89000033600007 41.2511089660001,2.00513633600002 41.263190966,2.05416333600004 41.268608966,2.07833633600006 41.275272966,2.11736333600004 41.289299966,2.15124533600005 41.3119449660001,2.16471833600002 41.342499966,2.24708233600006 41.442426966,2.25005059000006 41.445013503,2.26708227600005 41.459854003,2.47939344400004 41.5464562510001,2.53778233600002 41.5702729660001,2.55778233600006 41.577217966,2.60583633600004 41.5908269660001,2.67666333600005 41.6127819660001,2.71750033600006 41.627490966,2.93742733700003 41.7190909660001,3.01194533700004 41.773044966,3.12360933700006 41.848608966,3.17528233700006 41.867490966,3.20166333700007 41.8927729660001,3.22055433700007 41.9469359670001,3.21110933700004 42.066517967,3.18848262400007 42.0944017910001,3.17910023100006 42.1059641260001,3.14687315500004 42.1165912060001,3.11833571800003 42.14326442,3.11708233700006 42.144435967,3.11145433700005 42.198817967,3.11805433700005 42.2251269670001,3.15471831000002 42.260135941,3.16077169800008 42.2585549,3.18555433700004 42.252081967,3.20613941900007 42.2386922800001,3.21374516400005 42.2337450690001,3.21374533700003 42.2337449670001,3.26458233700004 42.242081967,3.28319133700006 42.262908967,3.31799133700002 42.320481967,3.31799114700004 42.320482058,3.31799121700004 42.3204821750001,3.27548913700002 42.3407820470001,3.27305433500004 42.3419449630001,3.27305415800004 42.3419450440001,3.22610913000005 42.349582131,3.20030912900006 42.344927157,3.16847315200005 42.3597180310001,3.16006774300007 42.3786533580001,3.15916333700005 42.3806909670001,3.16916333700004 42.4261089670001,3.17765433700004 42.436808967,3.18293795200003 42.43795003,3.20327485200005 42.4433828910001,3.23177313800005 42.4528823200001,3.27610380600004 42.4687147010001,3.30776856800003 42.487713559,3.34576628300005 42.506712416,3.37426456900005 42.5225447970001,3.41166666700002 42.544999999,3.86805555600006 42.759722219,4.14583333300004 42.723611109,4.16168877500007 42.7158595610001,4.20833333300004 42.6930555590001,4.53561935200003 42.4657735970001,4.55833333300006 42.4499999990001),(3.82666333700007 39.9224909650001,3.88298233700004 39.920272965,3.91110933700003 39.9258269650001,3.92416333700004 39.929163965,3.93833633700007 39.9324909650001,3.96555433800006 39.9336089650001,3.98471833800005 39.930272965,4.02860933800002 39.919999965,4.02994622700004 39.9195245670001,4.04110923800005 39.9155540530001,4.08221811500005 39.8973540910001,4.08958211900006 39.887636113,4.10083616300005 39.877773124,4.10083633800002 39.8777729650001,4.11088565000006 39.8716703740001,4.11639113400003 39.868327057,4.11639133900007 39.868326967,4.23833633800007 39.8161089650001,4.25986333800006 39.8097179650001,4.27639133800005 39.806390965,4.29340033800003 39.809926965,4.31389133800008 39.8319359650001,4.31694533800004 39.846108965,4.31555433800003 39.8788819650001,4.27333633800004 39.9613909650001,4.24422651000003 39.9907495640001,4.24139134000006 39.9936089670001,4.24139112700004 39.993609185,4.22606319000005 40.006584978,4.17444533800006 40.0502819650001,4.17444514700003 40.0502819860001,4.17444503400003 40.0502820830001,4.12250020000005 40.0561091820001,3.93750019700002 40.0588820830001,3.93017968200007 40.0587944310001,3.86833633700007 40.0580549650001,3.84006601300007 40.0552165720001,3.83374514400003 40.054582167,3.79694506800007 40.0172181570001,3.82666327400005 39.9224910840001,3.82666330000006 39.9224910830001,3.82666333700007 39.9224909650001),(3.07506446500003 39.9175473940001,3.07139126700002 39.9219450860001,2.98778228500004 39.9111091300001,2.77778225000003 39.8447180860001,2.68389118800008 39.793882178,2.53860916800005 39.7002732510001,2.38610915700002 39.612782107,2.36416332300007 39.555827075,2.36416336100007 39.5558270280001,2.36416333600005 39.5558269640001,2.37707407400006 39.539902344,2.38916318700007 39.5249910590001,2.38916326300006 39.5249910540001,2.38916333600002 39.524990964,2.43694533600006 39.521663964,2.54444533600002 39.5224999640001,2.66729133600006 39.5617269640001,2.68272698900006 39.556161284,2.69444501000004 39.5519360280001,2.72209384400003 39.5336035120001,2.73402725900007 39.5256910150001,2.74778224500005 39.4992001110001,2.74206086300006 39.4917205680001,2.72778233600008 39.473054964,2.72778248000003 39.47305449,2.72778218600007 39.4730541050001,2.74979121900003 39.400753987,2.79166318500006 39.363745034,2.79166328800005 39.363745006,2.79166333600006 39.363744964,2.82971833600004 39.3533359640001,2.98555416400006 39.318600003,3.02916323800002 39.2830539610001,3.06028222700007 39.2633360360001,3.06028233700005 39.2633359640001,3.08194533700004 39.2730449640001,3.24194533700006 39.3644359640001,3.26694533700004 39.4127729640001,3.28805433700006 39.4674999640001,3.30555433700005 39.5022179640001,3.31050413100007 39.508380673,3.32028215900004 39.5205540150001,3.32902825500003 39.5249245480001,3.33194533700004 39.5263819640001,3.37458233700005 39.550972964,3.44750033700007 39.6402729640001,3.46360933700004 39.661381964,3.48000033700004 39.7163819640001,3.48000016600002 39.7163821,3.43971833700004 39.750272964,3.43971825700004 39.750272997,3.43971807700007 39.7502731480001,3.38278215500003 39.7733270700001,3.33110923100003 39.7652001440001,3.29333618400005 39.745827051,3.26791806300002 39.735691151,3.24458217400007 39.7354091830001,3.18083612400005 39.759991126,3.17595951600003 39.7632041890001,3.13992733700007 39.786944965,3.12444533700005 39.8122179650001,3.09180933700003 39.8974999650001,3.07506446500003 39.9175473940001),(1.22250033500006 38.874163964,1.25055433500006 38.8608269640001,1.27389133500003 38.8788819640001,1.34958227100003 38.869717972,1.35659159300008 38.864850034,1.35958218900004 38.8627730650001,1.36805409100003 38.8511091760001,1.37194513800006 38.8308271490001,1.37194528700007 38.8308272140001,1.37194533500002 38.830826964,1.37969048800005 38.8341927720001,1.40583619000006 38.845553986,1.52631652600007 38.9474240980001,1.53166333500008 38.9519449640001,1.61500033500005 39.028326964,1.60916333500006 39.0813819640001,1.60916322400004 39.0813821850001,1.60291833500003 39.093881964,1.60291826500003 39.093881993,1.60291820400005 39.0938821170001,1.57441527500004 39.1059474040001,1.54583633500005 39.118044964,1.54583610200007 39.1180449660001,1.51971809100007 39.1183271,1.47278228300007 39.1052731240001,1.36250024200007 39.0727731320001,1.32916323300003 39.055273227,1.30360915800003 39.038609165,1.29416325600005 39.031391173,1.24250022200005 38.9680451070001,1.23842025900007 38.962503401,1.22778233500003 38.9480549640001,1.21999562400003 38.9236047790001,1.21194516700007 38.898327119,1.22250016200007 38.874164104,1.22250030300006 38.8741640370001,1.22250033500006 38.874163964),(1.38639118000003 38.6477730890001,1.39028222800005 38.643326992,1.39028227700004 38.643327029,1.39028233500005 38.6433269630001,1.44389133500005 38.682781963,1.45986333500002 38.686244963,1.46097057100008 38.685902694,1.49444514400005 38.675554069,1.50528227300003 38.669445001,1.50528233300003 38.6694449610001,1.52270910200002 38.6556911370001,1.52270933500006 38.655690963,1.55639133500006 38.654163963,1.55867281900004 38.654260144,1.57278224400005 38.654853953,1.58736323500005 38.6698540400001,1.58736292900005 38.6698545450001,1.58736333500002 38.669854963,1.57541833000005 38.6895819600001,1.57541818500005 38.6895821900001,1.44528226500006 38.7411000490001,1.39916318900003 38.737782157,1.39273574500004 38.7299107700001,1.38305433500005 38.718054964,1.38305433500005 38.718054405,1.38305400900003 38.718054006,1.38305400900003 38.693882106,1.38360922700002 38.6830540280001,1.38555399600006 38.658053996,1.38639118000003 38.6477730890001)),((-2.04444444399996 43.7999999990001,-1.92499999999995 43.729166666,-1.85833333299996 43.66111111,-1.80222222199995 43.595277777,-1.79392654999998 43.581121554,-1.78500499399996 43.5620039340001,-1.77863245399993 43.544160822,-1.77225991399996 43.5250432010001,-1.76716188099994 43.5033765650001,-1.76333835699995 43.479160913,-1.76078934099996 43.4536707520001,-1.75951483299997 43.440925672,-1.75951483299997 43.432004116,-1.75824032499997 43.4230825600001,-1.75824032499997 43.4116119880001,-1.75834933599998 43.411139609,-1.75961398699997 43.4056594560001,-1.75961702299998 43.4056462990001,-1.76206384899996 43.3950433840001,-1.76716188099994 43.3861218270001,-1.76718269499997 43.386081694,-1.78087288199993 43.35992702,-1.78574861299995 43.3886585000001,-1.79135617899993 43.3894238070001,-1.83916366799997 43.3805549680001,-1.97471866799998 43.332499968,-2.12194566799997 43.2966639680001,-2.16333666799994 43.2911089680001,-2.29555466799997 43.2961089680001,-2.35097266799994 43.3051359680001,-2.45847266799996 43.3379179680001,-2.48763666799994 43.358881968,-2.51055466899993 43.3776359680001,-2.56528166899994 43.390272968,-2.73555466899995 43.426381968,-2.80778166899995 43.4302729680001,-2.85639066899995 43.432781968,-2.93458166899995 43.4356909680001,-3.00249966899997 43.3833269680001,-3.02221866899993 43.3574999680001,-3.15059066899994 43.3535639680001,-3.22471866899997 43.3969449680001,-3.32528166899993 43.418326968,-3.45139066899998 43.465554968,-3.54986366899993 43.5069359680001,-3.58555466999997 43.510272968,-3.76639066999996 43.469990968,-3.78749966999993 43.489581968,-3.81028166999994 43.492490968,-3.94471866999993 43.4677729680001,-4.05139066999993 43.4424999680001,-4.12194566999995 43.4163819680001,-4.21833666999993 43.3969449680001,-4.27305466999997 43.390544968,-4.31555466999993 43.390544968,-4.38999966999995 43.397772968,-4.42471866999995 43.401663968,-4.50110866999995 43.4011089680001,-4.51455466999994 43.3963449680001,-4.59471866999996 43.403054968,-4.64708167099997 43.4076359680001,-4.73333667099996 43.4191639680001,-4.75375467099997 43.425690968,-4.88194567099993 43.448608968,-4.97999967099997 43.4611089680001,-5.05639067099997 43.469990968,-5.20257267099993 43.4783999680001,-5.23444567099995 43.4955549680001,-5.25916367099995 43.5183269680001,-5.27986367099993 43.529435968,-5.39805467099995 43.5524999680001,-5.45971867099996 43.5538909680001,-5.54889067099998 43.552217968,-5.60999967099997 43.550281968,-5.64583667099993 43.544990968,-5.67749967099996 43.544854968,-5.73333667199995 43.5763819680001,-5.75360867199993 43.5904089680001,-5.77860867199996 43.617217968,-5.85416367199997 43.6480449680001,-5.88333667199993 43.6233269680001,-5.94472767199994 43.593890968,-6.07583667199998 43.5658269680001,-6.10180867199995 43.5617999680001,-6.29583667199995 43.569444968,-6.34278167199994 43.5569359680001,-6.48139067199998 43.554990968,-6.60083667199996 43.5583269680001,-6.76666367199994 43.567772968,-6.94333667299998 43.577772968,-6.99944567299997 43.5608269680001,-7.01916367299998 43.539717968,-7.04481867299995 43.4903999680001,-7.03847267299994 43.5502729680001,-7.20471867299995 43.5648549680001,-7.24736367299994 43.562217968,-7.29597267299994 43.5961089680001,-7.33347267299996 43.638608968,-7.36360867299993 43.6741639680001,-7.46360867299995 43.726390968,-7.51666367299993 43.734444968,-7.68555467299996 43.7485999680001,-7.72444567299993 43.7474999680001,-7.80249967299994 43.7269359680001,-7.85055467299998 43.7147179680001,-7.85826367299995 43.764299968,-7.89805467399998 43.764163968,-8.00667267399996 43.7038909680001,-8.26555467399993 43.5527729680001,-8.32972767399997 43.4038819680001,-8.40555467399997 43.3847179680001,-8.65749967399995 43.3033269680001,-8.68944567399996 43.292217968,-8.70139067399998 43.2872179680001,-8.72416367399995 43.2911089680001,-8.78278167399998 43.303054968,-8.82444567399995 43.3272179680001,-8.87639067399994 43.3197179680001,-8.95028167499993 43.2936089680001,-8.97749967499993 43.2786089680001,-8.94402767499997 43.2349999680001,-9.03528167499996 43.2038909680001,-9.08944567499998 43.1905549680001,-9.13208167499994 43.196172968,-9.16972767499993 43.1858269680001,-9.20819967499995 43.155135968,-9.25916367499997 43.047217968,-9.29333667499998 42.922490967,-9.26389067499997 42.9137449670001,-9.18819967499996 42.951244967,-9.16278167499996 42.925826967,-9.14389067499997 42.8933269670001,-9.12444567499995 42.839999967,-9.13238167499998 42.799790967,-9.12333667499996 42.768881967,-9.10583667499998 42.752490967,-9.08667267499993 42.7402729670001,-9.00860867499995 42.7763819670001,-8.91583667399993 42.789026967,-9.00639067499998 42.720835967,-9.02249967499995 42.699581967,-9.03472767499994 42.670826967,-9.05666367499998 42.609990967,-9.06139067499993 42.5794359670001,-9.02937267499993 42.5241639670001,-8.99555467499994 42.5324909670001,-8.93742767499998 42.6003449670001,-8.92083667399993 42.6267999670001,-8.85139067399996 42.6611089670001,-8.72049967399994 42.6984909670001,-8.71971867399998 42.675281967,-8.74694567399996 42.6380549670001,-8.77889067399997 42.5961089670001,-8.81180867399996 42.5760359670001,-8.83187267399995 42.549163967,-8.80971867399995 42.519435967,-8.81444567399996 42.4916639670001,-8.83610867399995 42.461935967,-8.86860867399997 42.4597909670001,-8.86072767399997 42.4874179670001,-8.88875467399993 42.4984729670001,-8.90610867399994 42.475135967,-8.88055467399994 42.421663967,-8.84083667399995 42.3913909670001,-8.78041867399998 42.3969549670001,-8.74694567399996 42.412635967,-8.69610867399996 42.4376359670001,-8.65610867399994 42.4277729670001,-8.67194567399997 42.4144449670001,-8.69221867399995 42.400835967,-8.79360867399993 42.337772967,-8.82194567399995 42.3283269670001,-8.85278167399997 42.2961089670001,-8.86486367399993 42.2496449670001,-8.79410867399997 42.2533819670001,-8.76083667399996 42.2591639670001,-8.68360867399997 42.2797179670001,-8.65329967399998 42.302735967,-8.62597267399997 42.345272967,-8.59999967399995 42.3536089670001,-8.57986367399997 42.3490179670001,-8.64416367399997 42.288326967,-8.72278167399998 42.2402729670001,-8.76639067399998 42.2162729670001,-8.81083667399997 42.186944967,-8.89749967399996 42.110554967,-8.88833667399996 41.9336089670001,-8.87513667399998 41.8795089660001,-8.84804567399993 41.899581966,-8.83208428899997 41.9099917180001,-8.81644567399997 41.9201909660001,-8.78389067399996 41.922772966,-8.76499967399997 41.9349999670001,-8.74500903099994 41.9524996540001,-8.74502056799997 41.952467321,-8.74502947199994 41.9524428830001,-8.74948467399997 41.9454289670001,-8.75046963999995 41.9437870190001,-8.75142767399996 41.942189967,-8.75563867399995 41.936358967,-8.76114567399998 41.9327959670001,-8.76345683999995 41.9315855180001,-8.76794867399997 41.9292329670001,-8.77604667399993 41.9250219670001,-8.78252467399994 41.9217829660001,-8.78932767399994 41.9201629660001,-8.79062195199998 41.919774563,-8.79580567399995 41.918218966,-8.80210718199993 41.915753674,-8.80325667399995 41.9153039660001,-8.80401515799997 41.915076351,-8.80973467399997 41.913359966,-8.81653767399996 41.9088249660001,-8.82366367399993 41.9046139660001,-8.83079067399996 41.9000789660001,-8.83265209699994 41.898683019,-8.83856467399994 41.8942489660001,-8.84582943699996 41.8888672670001,-8.86217050799996 41.8795895760001,-8.86782520499997 41.876379107,-8.87627924399993 41.8715793050001,-9.19009080699993 41.8715793050001,-9.55588059299993 41.8107794920001,-9.68967999999995 41.7885400000001,-10.8937 41.68129,-12.09772 41.5738700000001,-12.351526903 41.5511858580001,-12.5561896319999 41.532893916,-12.5561900819999 41.5328938760001,-13.2882065119999 41.4674691540001,-13.2988543289999 41.4665179090001,-13.3017399999999 41.46626,-13.29784 41.4396600000001,-13.286604731 41.37484642,-13.28638 41.3735500000001,-13.285988518 41.3715905110001,-13.2858122879999 41.3707084210001,-13.2855315039999 41.3693030110001,-13.2854691059999 41.3689906860001,-13.296564679 41.3831959660001,-13.3016206789999 41.393498966,-13.320995679 41.418419966,-13.3261126789999 41.4288299660001,-13.345428679 41.4536429660001,-13.350606679 41.4641609660001,-13.3698646789999 41.488865966,-13.3751036789999 41.4994919660001,-13.394302679 41.5240889660001,-13.396505679 41.5285509660001,-13.4044936789999 41.5387759660001,-13.6757856789999 42.0822619670001,-13.678505679 42.093155967,-13.6847936789999 42.1056169670001,-13.6856536789999 42.1090579670001,-13.6876346789999 42.1129819670001,-13.8317486789999 42.6829749670001,-13.8321056789999 42.707189967,-13.8347816789999 42.7176459670001,-13.835223679 42.7473239670001,-13.8385036789999 42.7601259670001,-13.8389496789999 42.789812967,-13.8422326789999 42.802604967,-13.842311679 42.807826967,-13.8428886789999 42.810075967,-13.852086679 43.389868968,-13.8508146789999 43.3954879680001,-13.8508576789999 43.398086968,-13.720446679 43.9702119680001,-13.4504906789999 44.5169049690001,-13.4380996789999 44.532466969,-13.4350886789999 44.5385079690001,-13.415401679 44.5632119690001,-13.410554679 44.572923969,-13.390930679 44.5975189690001,-13.386022679 44.6073389690001,-13.374595679 44.621646969,-13.371703679 44.6274289690001,-12.965632678 45.130970969,-12.434442678 45.5749389700001,-12.422431678 45.58193097,-12.419209678 45.5845969700001,-12.3987526779999 45.59649797,-12.393205678 45.6010829700001,-11.751438677 45.9702439700001,-11.749883677 45.9708499700001,-11.740307677 45.9762979700001,-11.7350296769999 45.9783549700001,-11.7018496769999 45.9972149700001,-11.6967146769999 45.99921297,-11.6633896769999 46.0181319700001,-11.658398677 46.0200709700001,-11.624927677 46.0390479700001,-11.620080677 46.04092897,-11.586464677 46.0599629700001,-11.581760677 46.0617859700001,-11.547999677 46.0808779700001,-11.543439677 46.0826429700001,-11.509532677 46.1017929700001,-11.5051166769999 46.10349897,-11.471064677 46.1227069700001,-11.4667926769999 46.1243549700001,-11.4325936769999 46.14362097,-11.4311336769999 46.14418397,-11.4191336769999 46.15093797,-11.3943246769999 46.1604889700001,-11.392505677 46.16151197,-11.3544446769999 46.17614697,-11.3515456769999 46.17777497,-11.3136056769999 46.1923439700001,-11.310584677 46.1940379700001,-11.2727636769999 46.2085399700001,-11.269620677 46.2102999700001,-11.2319206769999 46.224734971,-11.2286556769999 46.2265619710001,-11.191075677 46.2409299710001,-11.1876886769999 46.2428229710001,-11.1657784139999 46.251188024,-8.51870857299997 45.7927031340001,-6.68444444399995 45.474999999,-5.66666666699996 45.2987161230001,-4.99999999999994 45.183246335,-3.17222222199996 44.8666666660001,-3.06388888899994 44.7569444430001,-2.94999999999993 44.663888888,-2.84083333299998 44.595833332,-2.70833333299993 44.4999999990001,-2.60527777799996 44.41111111,-2.51666666699992 44.3194444430001,-2.42499999999995 44.216666666,-2.34166666699997 44.108333332,-2.26666666699992 43.9999999990001,-2.19027777799994 43.8902777770001,-2.04444444399996 43.7999999990001)))', 'Spanish Exclusive Economic Zone', 'Spain', 'Spain', '', '182', '182', 'ESP', '5693', '2012-10', '554721777400', '5693', 'Y'),('SRID=4326;MULTIPOLYGON(((-63.102816315 17.8120769130001,-63.110196273 17.8157460090001,-63.131722 17.8248610000001,-63.138111 17.8276670000001,-63.157833 17.8343330000001,-63.167806 17.8378060000001,-63.177306 17.8406670000001,-63.183778 17.842944,-63.1910999999999 17.844867,-63.196583 17.846306,-63.203853 17.8484310000001,-63.284350917 17.8719395320001,-63.290176065 17.8732417630001,-63.2487271369999 17.920329006,-63.244301268 17.925287439,-63.234853242 17.9362507500001,-63.1844466219999 18.0033161120001,-63.162104803 18.0349699920001,-63.153877833 18.0479774450001,-63.148599697 18.0531684600001,-63.144970042 18.0557499020001,-63.010531058 18.0565499740001,-62.9973607169999 18.0565495060001,-62.975959454 18.0472900350001,-62.928999155 18.0510832790001,-62.9501057209999 18.022693605,-62.950697745 18.0218936260001,-62.9553303179999 18.0154347430001,-62.973877445 17.990227224,-63.000331596 17.9717801,-63.00404249 17.9680718930001,-63.011614359 17.9560406420001,-63.0125679079999 17.954540217,-63.013534286 17.9530903290001,-63.021983741 17.940505995,-63.0440059479999 17.9060861610001,-63.102816315 17.8120769130001)))', 'Sint-Maarten Exclusive Economic Zone', 'Sint-Maarten', 'Netherlands', '', '177', '220', 'SXM', '21803', '2012-10', '536400494', '21803', 'Y'),('SRID=4326;MULTIPOLYGON(((114.324549306 19.0279199400001,114.600525607 18.785526369,114.646751607 18.7448073690001,115.447483608 18.035608369,115.475284608 18.010734369,115.768374608 17.748402368,116.006309608 17.534741368,116.105702608 17.4376033680001,116.133428608 17.4065283680001,116.165958608 17.251349368,116.195547608 17.042916368,116.211426608 16.8331153680001,116.213580608 16.6227833670001,116.213500608 16.6213183670001,116.213518608 16.619484367,116.213508608 16.6192953670001,116.213510608 16.619084367,116.201982608 16.4090503670001,116.176864608 16.2001423670001,116.138304608 15.993178367,116.086499608 15.7889683670001,116.021692608 15.588306366,115.944180608 15.3919693660001,115.854299608 15.2007153660001,115.752435608 15.0152773660001,115.639010608 14.836368366,115.514492608 14.6646713660001,115.480290608 14.6231983660001,114.799897607 14.422377365,114.359206607 14.2857023650001,113.713634606 14.084056365,113.648574606 14.063590365,112.948820605 13.691903365,112.681575605 13.5492403650001,112.644457605 13.5236623650001,112.353527605 13.3249053640001,112.314027605 13.2978963640001,112.239892644 13.2470677100001,112.054990745 13.3537533860001,111.766096426 13.521172141,111.690902644 13.580842591,111.689055047 13.582308288,111.687146515 13.5838240780001,111.359794622 13.8433460100001,111.310750548 13.8887345900001,111.310097247 13.8893391340001,111.198124179 13.9929254740001,110.84219775 14.320502827,110.518253935 14.67006602,110.492638467 14.697567512,110.42950188 14.7651895130001,110.324992588 14.9016406210001,110.324196428 14.902680117,110.306086471 14.934787898,110.244572105 15.2229813430001,110.211211534 15.381428579,110.210811388 15.3833299630001,110.127256328 15.782866547,110.061812398 16.0926520090001,110.001280026 16.3793096260001,109.990378723 16.430418049,109.950290398 16.646496122,109.95092858 16.7014481360001,110.534024277 17.2468017350001,110.560897964 17.265233844,110.635856191 17.316734458,110.679606975 17.3467349700001,110.700684552 17.3611881530001,110.724159775 17.3791496590001,110.748142495 17.3974994650001,110.975028369 17.55610483,111.000707393 17.5752906330001,111.06532034 17.608818661,111.101360849 17.627520287,111.121532503 17.638089269,111.150333324 17.653179521,111.180256842 17.668813609,111.342344226 17.818743254,111.644731766 18.0955415920001,111.737469811 18.1803080720001,111.814820204 18.2510249430001,111.820900726 18.256567451,111.984023773 18.391985909,112.117616369 18.502043665,112.142750447 18.512383793,112.165135901 18.521593141,112.205000106 18.537993226,112.251948244 18.5573076320001,112.265488677 18.5628400030001,112.482228052 18.6514360950001,112.738524313 18.7556248220001,113.112419111 18.874674978,113.355687079 18.9448301960001,113.882374319 19.1001172370001,114.073256228 19.118174266,114.324549306 19.0279199400001)))', 'Paracel Islands Exclusive Economic Zone', 'Paracel Islands', 'Disputed', 'China / Taiwan / Vietnam', '22', '22', '-', '8329', '', '294012981500', '8329', 'Y'),('SRID=4326;MULTIPOLYGON(((-79.326877542 -29.645940862,-79.99463321 -29.67532263,-79.9964023549999 -29.675126968,-80.0008364969999 -29.675310762,-80.66379575 -29.6002839889999,-80.665320062 -29.5998644409999,-80.6689163679999 -29.599448246,-80.8014549709999 -29.5628871959999,-80.8643611339999 -29.5555263049999,-81.4998757179999 -29.3777551699999,-82.087483467 -29.10420378,-82.107113881 -29.090703294,-82.114837504 -29.087080363,-82.1158596249999 -29.0863771409999,-82.1178721849999 -29.0854329729999,-82.6385575199999 -28.7250856149999,-83.076391809 -28.289893203,-83.4184926819999 -27.793924599,-83.655501737 -27.2529561489999,-83.6586097429999 -27.2389811189999,-83.661869786 -27.2315078639999,-83.7880354549999 -26.6624536539999,-83.8012989679999 -26.082821737,-83.8012547099999 -26.082566067,-83.8012696929998 -26.0819231369999,-83.702957488 -25.509248226,-83.4975875659999 -24.960593081,-83.1925720109999 -24.4520827439999,-83.185702441 -24.4442332969999,-83.1834151209999 -24.4403959279999,-82.788807396 -23.9867670789999,-82.7809999139999 -23.9804264519999,-82.7808253259999 -23.9802245349999,-82.3087741749999 -23.5945219989999,-81.7799950799999 -23.2916585519998,-81.7664609079999 -23.2843459539999,-81.1848127009999 -23.0659734819999,-80.569888175 -22.94080013,-80.565497305 -22.9406171439999,-80.5640389229999 -22.9403164309999,-79.9350091829999 -22.912577991,-79.309500526 -22.983130068,-78.7050913789999 -23.150038761,-78.7022156629998 -23.1513608949999,-78.699234992 -23.1521761669999,-78.5596848929999 -23.216225471,-78.489611934 -23.235282207,-77.922637729 -23.4929767889999,-77.9211564979999 -23.4939711479999,-77.9196885699999 -23.4946338679999,-77.407095058 -23.836818179,-77.406678846 -23.8372118369999,-77.4060919859999 -23.8376014079999,-77.401373741 -23.842063652,-77.400120078 -23.8428957509999,-76.9569509639999 -24.2598469929998,-76.5967089 -24.7396482639999,-76.3308525599999 -25.2684072189999,-76.1684629289999 -25.83062588,-76.1158811349999 -26.4095993609999,-76.1159338469999 -26.4101061439998,-76.115825006 -26.4112989629999,-76.1158498529999 -26.4115378459999,-76.1157985469999 -26.412100122,-76.1158264699999 -26.4123685769999,-76.1157688099999 -26.413000473,-76.115818444 -26.413477652,-76.1157159489999 -26.4146008829999,-76.1762104319999 -26.9928686539999,-76.349686554 -27.552716623,-76.6324680779999 -28.0767157609999,-77.0171919709999 -28.5482916089999,-77.4928438859998 -28.9523024069999,-77.4942557779999 -28.953134796,-77.4948488739999 -28.9536354459999,-77.4951583429999 -28.9538178889999,-77.4968790659999 -28.9552703479999,-78.0490342069999 -29.2785525039999,-78.0564686559999 -29.281373956,-78.6601752889999 -29.5104869319999,-78.9319131979998 -29.5660298139999,-79.3103897069999 -29.64338993,-79.3111521199999 -29.6434254929999,-79.315518318 -29.6443058569999,-79.3197416729999 -29.644502635,-79.326877542 -29.645940862)),((-70.3358455659999 -23.0055540939999,-70.3474995659999 -23.0230540939999,-70.3647275659999 -23.041809094,-70.3843185659999 -23.0580540939999,-70.4164635659999 -23.0727810939999,-70.4766725659998 -23.0833990939999,-70.496118566 -23.059172094,-70.5036185659999 -23.015172094,-70.5394635659999 -23.0299990939999,-70.5747185659998 -23.0669450939999,-70.5941725659999 -23.2320900939999,-70.599727566 -23.3786090939999,-70.6220905659999 -23.4996540939999,-70.536845566 -23.5138180939999,-70.509454566 -23.458054094,-70.487372566 -23.4495810939999,-70.4594455659999 -23.463054094,-70.425981566 -23.4847270939999,-70.4125095659999 -23.499581094,-70.4000095659999 -23.5308360939999,-70.391109566 -23.5619450939999,-70.3904275659999 -23.6036090949999,-70.396663566 -23.626663095,-70.4063995659999 -23.6541630949999,-70.4262545659999 -23.7002810949999,-70.442645566 -23.727781095,-70.4686185659999 -23.7464630949999,-70.498609566 -23.783472095,-70.511945566 -23.852218095,-70.521954566 -23.976672095,-70.5216095659999 -24.010899095,-70.5045905659999 -24.046599095,-70.4994545659999 -24.1063900949999,-70.5072905659999 -24.175763095,-70.5183365659999 -24.194999095,-70.534181566 -24.2455540949999,-70.5515995659998 -24.328190095,-70.5387545659999 -24.3491630949999,-70.5474995659999 -24.3972270949999,-70.5669545659999 -24.5577810949999,-70.5833455659999 -24.716109096,-70.5469545659999 -24.8422270959999,-70.5287545659999 -24.8973630959999,-70.496945566 -24.9558360959999,-70.502499566 -25.0886090959999,-70.455563566 -25.1472270959999,-70.4327815659998 -25.2026360959999,-70.4336275659999 -25.2602810959999,-70.450563566 -25.3654900959999,-70.5366725659999 -25.470972096,-70.573627566 -25.4958360959999,-70.6333455659999 -25.5669450959999,-70.6825095659999 -25.664172096,-70.6991725659999 -25.710281096,-70.7312545659999 -25.8158990969999,-70.6976455659999 -25.8887540969999,-70.6781995659999 -25.909027097,-70.6501455659999 -25.9356990969999,-70.630563566 -25.990490097,-70.6268185659998 -26.022781097,-70.6309815659999 -26.0427810969999,-70.6583365659999 -26.0872270969999,-70.6683365659999 -26.166390097,-70.668209566 -26.2001360969999,-70.638063566 -26.3013900969999,-70.6825095659999 -26.4361090969999,-70.693072566 -26.5619450969999,-70.7025095659999 -26.5963900969999,-70.7555725659999 -26.714727097,-70.823690566 -26.8671540979999,-70.8179275659999 -26.8934720979999,-70.800981566 -26.926945098,-70.7853545659999 -26.988818098,-70.813899566 -27.0391720979999,-70.8638905659999 -27.1008360979999,-70.9231995659999 -27.1121900979999,-70.9452815659999 -27.128054098,-70.9583455659999 -27.154999098,-70.9666725659999 -27.179172098,-70.936109566 -27.333890098,-70.9090365659999 -27.4344450979999,-70.892154566 -27.487990098,-70.913890566 -27.6244450979999,-70.9650095659999 -27.6588900979999,-71.008063566 -27.6768090979999,-71.0452905659999 -27.723054098,-71.082090566 -27.784863098,-71.105281566 -27.843890098,-71.1401455659999 -27.961390099,-71.156681566 -28.154163099,-71.157499566 -28.2349990989999,-71.1629275659998 -28.349163099,-71.2299365659998 -28.4749270989999,-71.2583455659999 -28.5141630989999,-71.283063566 -28.557781099,-71.2877095659999 -28.6174990989999,-71.295981566 -28.6709720989999,-71.3769545659999 -28.758336099,-71.467509567 -28.8358360989999,-71.5020905669999 -28.8697270989999,-71.5102815669998 -28.8949990989999,-71.5078095669999 -28.9750361,-71.4780545669999 -29.1080631,-71.493409567 -29.1837720999999,-71.4908455669999 -29.1997180999999,-71.4797275669999 -29.2223630999999,-71.4583365669999 -29.2363900999998,-71.434172567 -29.2488901,-71.3808455659999 -29.2827811,-71.3559815659999 -29.3033360999999,-71.3416725659999 -29.3241720999999,-71.3094545659999 -29.4187540999999,-71.3088905659999 -29.4416720999999,-71.3211185659999 -29.4752811,-71.3360455659999 -29.5511090999999,-71.3400995659999 -29.7472270999999,-71.321963566 -29.8066630999999,-71.292154566 -29.8346540999999,-71.2896455659999 -29.9096540999999,-71.3396905659999 -29.9539810999999,-71.3858455659999 -30.155281101,-71.4058365669999 -30.1858361009999,-71.510699567 -30.2772271009999,-71.5461095669999 -30.2924991009999,-71.5702815669999 -30.2911181009999,-71.6030545669999 -30.2803451009999,-71.615281567 -30.2638901009999,-71.6455725669999 -30.273609101,-71.678336567 -30.3422271009999,-71.6958455669999 -30.5066721009999,-71.6986275669999 -30.5597181009999,-71.702518567 -30.6580541009999,-71.7033365669999 -30.7616721009999,-71.681672567 -30.9047271009998,-71.6762635669999 -30.927636101,-71.660709567 -30.9506991009999,-71.6493185669999 -30.9862541009999,-71.6538995669999 -31.077781101,-71.661118567 -31.108054102,-71.6669545669999 -31.131390102,-71.666672567 -31.1626361019999,-71.659454567 -31.181663102,-71.6211275669999 -31.315554102,-71.569454567 -31.523472102,-71.5655635669999 -31.5502811019999,-71.564999567 -31.6119451019999,-71.540418567 -31.713472102,-71.5255635669999 -31.744381102,-71.511399567 -31.7726361019999,-71.5052815669999 -31.8938901019999,-71.506536567 -31.980136102,-71.514454567 -32.0205631019999,-71.520981567 -32.0434721019999,-71.5319545669999 -32.091809102,-71.5383635669999 -32.1869541029999,-71.5111275669999 -32.247509103,-71.4697275669999 -32.3005631029999,-71.4063905669999 -32.3939631029999,-71.441681567 -32.4911091029999,-71.4425095669999 -32.6343091029999,-71.446672567 -32.6649991029999,-71.457645567 -32.6940361029999,-71.498899567 -32.762781103,-71.5233455669999 -32.8999991029999,-71.569518567 -33.0094451029999,-71.698199567 -33.0893091029999,-71.746181567 -33.0868811029999,-71.756254567 -33.105418103,-71.706118567 -33.254999104,-71.694454567 -33.3713901039999,-71.6583365669999 -33.4924991039999,-71.639727567 -33.5547271039999,-71.6486185669999 -33.6305631039999,-71.655009567 -33.6625091039999,-71.6605725669999 -33.6824991039999,-71.679172567 -33.721954104,-71.714227567 -33.7479181039999,-71.7433455669999 -33.7600091039999,-71.778690567 -33.7659091039999,-71.8053545669999 -33.774027104,-71.839736567 -33.8422271039999,-71.8638905669999 -33.914454104,-71.869999567 -33.9338991039999,-71.8975095669999 -33.9633361039999,-72.0168095669999 -34.1443811039999,-72.020427567 -34.177509104,-72.0125095669999 -34.1973631039999,-71.9913905669999 -34.2208361039999,-71.984999567 -34.2947271039999,-71.9843095669999 -34.345981105,-71.9943815669999 -34.3720811049999,-72.0315365669999 -34.3892361049999,-72.052509567 -34.4181991049999,-72.0494545669999 -34.4566721049999,-72.0419455669999 -34.5158361049999,-72.0569455669999 -34.6487541049999,-72.0669365669999 -34.687545105,-72.0908365669999 -34.7470901049999,-72.1102905669999 -34.772227105,-72.1325095669999 -34.7914631049999,-72.1872995669999 -34.8921541049999,-72.195699567 -34.946118105,-72.1977815669998 -34.9755631049998,-72.198899567 -35.010836105,-72.2015365669999 -35.0405541049999,-72.2108365669999 -35.0852811049999,-72.2309455669999 -35.1220181049999,-72.288072567 -35.1677811049999,-72.3266725669999 -35.1862541049999,-72.3588905669999 -35.2036091049999,-72.4011185669999 -35.244863105,-72.416263567 -35.2691721049999,-72.4513995669999 -35.353054105,-72.515354568 -35.4850721059999,-72.584172568 -35.533199106,-72.6257725679999 -35.552227106,-72.6477815679999 -35.574027106,-72.6506995679999 -35.6017361059999,-72.608899568 -35.6869541059999,-72.584654568 -35.7345181059999,-72.5829275679999 -35.7708361059999,-72.5913995679999 -35.802499106,-72.603899568 -35.8233361059998,-72.711945568 -35.912509106,-72.762218568 -35.9499991059999,-72.7812635679999 -35.960727106,-72.7960545679999 -35.9750721059999,-72.815563568 -36.121118106,-72.8363995679999 -36.325281106,-72.8788905679999 -36.4144541059999,-72.9238905679999 -36.511672107,-72.961954568 -36.6238181069999,-72.981536568 -36.6990271069999,-72.9957095679999 -36.713199107,-73.0154185679999 -36.7201451069999,-73.0397365679999 -36.7205541069999,-73.070709568 -36.7143091069999,-73.0937545679999 -36.6955631069999,-73.1294545679999 -36.682499107,-73.145009568 -36.8758361069999,-73.1643185679999 -37.057781107,-73.188899568 -37.1347271069999,-73.2037545679999 -37.161809107,-73.2272365679999 -37.187645107,-73.2516725679999 -37.2026361069999,-73.2933365679999 -37.2180541069999,-73.347781568 -37.2308361069999,-73.3736095679999 -37.2341721069999,-73.394181568 -37.2349991069999,-73.436954568 -37.2352811069998,-73.517227568 -37.206118107,-73.5429185679999 -37.1927811069999,-73.586872569 -37.152572107,-73.6280635689998 -37.1769451069999,-73.6395905689999 -37.199454107,-73.6770905689999 -37.3472901069999,-73.6668185689999 -37.366390107,-73.6406995689999 -37.385009107,-73.6175095689999 -37.408336107,-73.5986185689999 -37.4393811069999,-73.593899569 -37.4768091069999,-73.6052815689998 -37.5151361069999,-73.635772569 -37.539654108,-73.6730545689999 -37.5773631079999,-73.685909569 -37.603890108,-73.6679185689998 -37.7268091079999,-73.606399569 -37.780836108,-73.535427568 -37.877645108,-73.4904275679999 -37.9637541079999,-73.4675095679999 -38.016109108,-73.4549365679999 -38.0571541079999,-73.472781568 -38.206945108,-73.485563568 -38.2277811079998,-73.505281568 -38.244445108,-73.520627568 -38.269309108,-73.5050095679999 -38.3213091079999,-73.5231995679999 -38.3279181079999,-73.5405635679999 -38.385836108,-73.5422365679999 -38.4183361079999,-73.523054568 -38.5166721079999,-73.5186185679999 -38.537227108,-73.4930545679999 -38.6047271079999,-73.4600095679999 -38.690836109,-73.3588995679999 -38.917227109,-73.2833365679999 -39.0852811089999,-73.2272365679999 -39.2408361089999,-73.2202815679999 -39.351318109,-73.2459725679998 -39.385836109,-73.2240365679999 -39.4168811089999,-73.2547275679999 -39.4963901089999,-73.290563568 -39.5681991089999,-73.3059815679998 -39.590418109,-73.379727568 -39.7363901099999,-73.378063568 -39.8547271099999,-73.4041725679999 -39.88499911,-73.4911185679999 -39.87333611,-73.6791725689999 -39.94389011,-73.6944545689998 -39.95722711,-73.714863569 -39.98167211,-73.7012635689999 -40.00360911,-73.674863569 -40.0280541099999,-73.664454569 -40.05417211,-73.6597275689999 -40.11278111,-73.674663569 -40.1270181099999,-73.7273725689999 -40.17541811,-73.781399569 -40.41778111,-73.752918569 -40.4723631099999,-73.745418569 -40.50965411,-73.7861185689998 -40.57695411,-73.831681569 -40.62250911,-73.9463995689999 -40.8577811109999,-73.994318569 -40.9669451109999,-73.9722275689999 -41.0794451109999,-73.9520905689999 -41.1752811109999,-73.936954569 -41.2005541109999,-73.920563569 -41.2155631109999,-73.905009569 -41.2308361109999,-73.870563569 -41.3041721109999,-73.8583455689999 -41.3427091109999,-73.8548635689999 -41.410145111,-73.873063569 -41.442227111,-73.871118569 -41.479172111,-73.778627569 -41.5644451109999,-73.7175725689999 -41.593890111,-73.597572569 -41.6028451109999,-73.5688905689999 -41.5962541109999,-73.5492365679999 -41.5761811109999,-73.528754568 -41.5420901109999,-73.4977185679999 -41.519927111,-73.5628545689999 -41.611181111,-73.600154569 -41.6195901109999,-73.633345569 -41.6158361109999,-73.666536569 -41.616945111,-73.684727569 -41.6266721109999,-73.729872569 -41.6780541109999,-73.7455635689999 -41.754372111,-73.6933455689999 -41.7566721109999,-73.5746635689999 -41.774581111,-73.510563568 -41.8052811109998,-73.493899568 -41.804727111,-73.4672275679999 -41.7977811109999,-73.4187545679999 -41.7805631109999,-73.3988995679998 -41.774172111,-73.332509568 -41.772781111,-73.2999995679999 -41.7805541109999,-73.2294545679999 -41.792645111,-73.1954185679999 -41.788199111,-73.129181568 -41.7511091109999,-73.059172568 -41.6957631109999,-73.0734815679999 -41.637090111,-73.0927905679999 -41.624027111,-73.1066725679999 -41.5843091109999,-73.0450725679999 -41.510981111,-73.0122185679999 -41.5005541109999,-72.935836568 -41.4832721109999,-72.843754568 -41.500563111,-72.8050095679999 -41.5168091109999,-72.7386185679999 -41.576118111,-72.704727568 -41.611945111,-72.675490568 -41.6786811109999,-72.6352905679999 -41.702227111,-72.611954568 -41.709445111,-72.5784725679999 -41.708890111,-72.4758455669999 -41.683336111,-72.404027567 -41.656254111,-72.3813905669999 -41.6244541109999,-72.3463905669998 -41.4458361109999,-72.310009567 -41.435836111,-72.3327815669999 -41.6361181109999,-72.3505725669999 -41.6524991109999,-72.4058365669999 -41.689936111,-72.476109567 -41.716536111,-72.5791725679999 -41.7349991109999,-72.6131275679999 -41.7295181109999,-72.654872568 -41.7281991109999,-72.8059815679999 -41.8436181119999,-72.8594545679999 -41.9069541119999,-72.8680545679999 -41.9324991119999,-72.8265275679998 -41.976672112,-72.7488995679999 -42.0080541119999,-72.6227905679999 -42.0222271119999,-72.5572275679999 -41.9933361119998,-72.5229185679999 -41.9637541119999,-72.4801455679999 -41.963054112,-72.4616725669999 -41.973472112,-72.464863567 -42.0055541119999,-72.4743095669999 -42.030563112,-72.481672568 -42.057227112,-72.4883455679999 -42.095281112,-72.4905725679999 -42.122781112,-72.4780545679999 -42.1961091119999,-72.4647365669999 -42.2391721119999,-72.4297365669999 -42.3716721119998,-72.4214635669999 -42.4459721119998,-72.435590567 -42.463999112,-72.4534725669999 -42.4543721119999,-72.544099568 -42.2589631119999,-72.543472568 -42.2368091119999,-72.572499568 -42.1976361119999,-72.6043815679999 -42.1843721119999,-72.751254568 -42.219309112,-72.800699568 -42.2459721119999,-72.8490275679999 -42.2888181119999,-72.6843815679999 -42.478409112,-72.644454568 -42.5026361119999,-72.612227568 -42.513890112,-72.564799568 -42.5232631119999,-72.5397905679999 -42.5541721119999,-72.5525095679999 -42.5666721119999,-72.5823635679999 -42.5602811119999,-72.6600725679999 -42.5220901119999,-72.681118568 -42.5019451119999,-72.7097275679999 -42.497781112,-72.799309568 -42.4940361119999,-72.821681568 -42.5008361119999,-72.8569455679999 -42.5668091119999,-72.861954568 -42.707781112,-72.860836568 -42.7609721119999,-72.846672568 -42.819727112,-72.8313995679999 -42.8486091119999,-72.8029275679999 -42.870490112,-72.7733455679999 -42.8841721119999,-72.742709568 -42.9128451129999,-72.7452815679999 -43.0483361129999,-72.815490568 -43.0133361129999,-72.8488275679999 -43.0124991129999,-72.8850095679999 -43.042499113,-72.9252815679999 -43.097363113,-72.9332725679999 -43.122218113,-72.915390568 -43.1645541129999,-72.914099568 -43.2377091129999,-72.9494455679999 -43.2491721129999,-72.9699995679998 -43.2544451129999,-72.9933455679999 -43.2641631129999,-73.0219545679999 -43.2772271129999,-73.0609725679999 -43.2963901129999,-73.081745568 -43.314309113,-73.1161185679999 -43.442918113,-73.106399568 -43.465836113,-73.0395905679999 -43.5818091129999,-73.0463995679999 -43.6991721129999,-73.042099568 -43.7338361129999,-72.9461185679999 -43.7561091129999,-72.8828545679999 -43.752290113,-72.868372568 -43.7419811129999,-72.8526455679999 -43.7079181129999,-72.852390568 -43.749090113,-72.845836568 -43.7766721129999,-72.9463995679999 -43.8016721129999,-72.9916725679999 -43.809718113,-73.0174995679999 -43.8091721129999,-73.1016725679999 -43.9324991129999,-73.1361275679999 -43.985281114,-73.1369815679999 -44.0233181139998,-73.2102815679999 -44.068336114,-73.2793815679999 -44.1147901139999,-73.2893815679999 -44.1468811139999,-73.2820905679999 -44.1780631139999,-73.1841725679999 -44.2524991139999,-73.1566815679999 -44.2638901139999,-73.1150095679999 -44.269999114,-73.083618568 -44.2727811139999,-73.0194545679999 -44.2875091139999,-72.9267095679999 -44.3187541139999,-72.9266815679999 -44.3469451139999,-72.8466815679998 -44.3988901139999,-72.741672568 -44.4561181139999,-72.6622275679999 -44.414727114,-72.607227568 -44.378336114,-72.6138905679999 -44.472781114,-72.697781568 -44.6391631139999,-72.7269635679999 -44.693609114,-72.7661095679999 -44.753336114,-72.8877905679998 -44.831672114,-72.9422275679999 -44.8651451139999,-73.1424995679999 -44.9444541139999,-73.2313275679999 -44.9668091139999,-73.262509568 -44.9669451139999,-73.2961185679999 -44.9618091139999,-73.3248635679999 -44.956954114,-73.3455635679999 -44.9586181139999,-73.3752815679999 -44.967918114,-73.3967905679999 -44.994518114,-73.403754568 -45.0311811139999,-73.3747365679999 -45.074590115,-73.334172568 -45.1179271149999,-73.305490568 -45.147745115,-73.341672568 -45.188199115,-73.361536568 -45.194445115,-73.421672568 -45.1966721149999,-73.4472275679999 -45.2012541149999,-73.4618095679999 -45.2528541149999,-73.4573635679999 -45.2755541149999,-73.4393095679999 -45.2870901149999,-73.414463568 -45.291118115,-73.3675095679999 -45.2948631149999,-73.330418568 -45.2914631149999,-73.311399568 -45.2733361149999,-73.2816725679999 -45.2494451149999,-73.259863568 -45.245009115,-73.2272365679999 -45.254172115,-73.147509568 -45.299445115,-73.0997275679999 -45.334727115,-73.0465275679999 -45.3796541149999,-72.947090568 -45.4127811149999,-72.9202815679999 -45.4099991149999,-72.898690568 -45.394099115,-72.837436568 -45.4029181149999,-72.827227568 -45.4224991149999,-72.8594545679999 -45.470418115,-72.874999568 -45.472781115,-72.9509815679999 -45.464454115,-73.014736568 -45.448754115,-73.1033365679999 -45.402781115,-73.1454275679998 -45.376945115,-73.1766725679999 -45.3542361149999,-73.1839995679999 -45.322436115,-73.214936568 -45.3014631149999,-73.2941815679999 -45.3254181149999,-73.397090568 -45.3779181149999,-73.5146635679999 -45.455699115,-73.570281569 -45.686109115,-73.579872569 -45.778263115,-73.559718569 -45.7749991149999,-73.4795905679999 -45.7208361149999,-73.4656995679999 -45.705981115,-73.4377815679999 -45.669036115,-73.4029905679999 -45.648754115,-73.359999568 -45.6386181149999,-73.3213995679999 -45.635836115,-73.1842455679999 -45.6683361149999,-73.2055635679999 -45.6841721149999,-73.237227568 -45.688472115,-73.2925095679999 -45.6841721149999,-73.343336568 -45.684036115,-73.3638905679999 -45.686109115,-73.390281568 -45.694445115,-73.422227568 -45.7136181149999,-73.4411185679999 -45.7277811149999,-73.5430635679999 -45.8102811149999,-73.6651455689999 -45.980490115,-73.645009569 -46.0247271149999,-73.6199995689999 -46.0843091149999,-73.6226545689998 -46.1173631149999,-73.6347365689999 -46.1599991159999,-73.650009569 -46.1991721159999,-73.6726455689999 -46.2334811159999,-73.6844455689999 -46.2505541159999,-73.6916815689999 -46.2708361159999,-73.687854569 -46.3149991159999,-73.6540275689999 -46.3069451159999,-73.627227569 -46.283890116,-73.5972275689999 -46.2413901159999,-73.5797275689999 -46.2074991159999,-73.5393095679999 -46.1581991159999,-73.4430725679999 -46.0633361149999,-73.425563568 -46.0744451149999,-73.5326455679999 -46.1895181159999,-73.5719455689999 -46.2736091159999,-73.7011275689999 -46.3849991159999,-73.7436905689999 -46.421745116,-73.7661095689999 -46.4750091159999,-73.778627569 -46.4977811159999,-73.831254569 -46.578063116,-73.8465455689999 -46.592090116,-73.874454569 -46.6036181159999,-73.9120905689999 -46.602572116,-73.9938275689998 -46.5593091159999,-73.911263569 -46.471945116,-73.879581569 -46.448754116,-73.8079185689999 -46.3866721159999,-73.7912635689999 -46.362645116,-73.7763995689999 -46.3333361159999,-73.766818569 -46.2962541159999,-73.762581569 -46.2413181159999,-73.8922995689999 -46.138754116,-73.960709569 -46.1431991159999,-73.984036569 -46.1581991159999,-74.0173635689999 -46.213509116,-73.9366725689999 -46.2812541159999,-73.904445569 -46.2974991159999,-73.8795905689999 -46.308609116,-73.8521995689999 -46.337463116,-73.8630635689999 -46.3474991159999,-73.8719455689999 -46.3463901159999,-73.900981569 -46.3377811159999,-74.004727569 -46.2899991159999,-74.046463569 -46.1978451159999,-74.070281569 -46.201390116,-74.122218569 -46.219172116,-74.1538995689999 -46.2313901159998,-74.2336095689999 -46.2475091159998,-74.3326455689999 -46.265418116,-74.3597275689999 -46.264454116,-74.378618569 -46.2563901159999,-74.4011185689999 -46.244172116,-74.484509569 -46.1840091159999,-74.440290569 -46.2044451159999,-74.4161185689999 -46.2190361159999,-74.3727905689998 -46.241672116,-74.342509569 -46.2508991159999,-74.3116725689999 -46.249172116,-74.1944545689999 -46.2245901159999,-74.128345569 -46.203054116,-74.0755635689999 -46.1813901159999,-74.025554569 -46.1508361159999,-73.9994545689999 -46.130836116,-73.986118569 -46.1152811149999,-73.972645569 -46.0886181149999,-73.969872569 -46.0595901149999,-73.976818569 -46.0380631149999,-74.0550095689999 -45.9847901149999,-74.0676455689999 -46.003545115,-74.059454569 -46.025554115,-74.0575095689999 -46.0468091149999,-74.0761455689999 -46.099136115,-74.139309569 -46.135418116,-74.161536569 -46.137499116,-74.1448635689999 -46.126390116,-74.1231995689999 -46.110418115,-74.100154569 -46.0802811149999,-74.0850095689999 -46.0513901149999,-74.0577815689999 -45.9461811149999,-74.1106995689999 -45.835836115,-74.136254569 -45.8095901149999,-74.155836569 -45.798754115,-74.2633995689999 -45.810709115,-74.3156635689999 -45.8354721149998,-74.334918569 -45.8006271149999,-74.368618569 -45.7923631149999,-74.4569545689999 -45.8074991149999,-74.67486357 -45.8268091149999,-74.6894545699998 -45.841118115,-74.7236185699999 -45.923336115,-74.7888905699999 -46.056945115,-74.82167257 -46.1127811149999,-74.9563905699999 -46.2155631159998,-75.0463905699999 -46.2129181159999,-75.0879185699999 -46.215627116,-75.1993185699998 -46.300563116,-75.21459057 -46.3490271159999,-75.2188995699999 -46.408890116,-75.2211185699999 -46.396945116,-75.26569957 -46.3679901159999,-75.33250957 -46.392645116,-75.3561275699998 -46.4074991159999,-75.40159957 -46.4444451159999,-75.3944545699999 -46.479445116,-75.4475095699999 -46.5119451159999,-75.5191815699998 -46.554999116,-75.56528157 -46.5720901159999,-75.5977815699999 -46.5688901159999,-75.6222275699999 -46.567499116,-75.6422275699999 -46.5700091159999,-75.7045905709999 -46.6344451159999,-75.7175095709999 -46.7252811159999,-75.710563571 -46.793609116,-75.64146357 -46.8809091159999,-75.56757257 -46.9418091159999,-75.50667257 -46.9558361159999,-75.4966725699999 -46.9566721159999,-75.48834557 -46.9558361159999,-75.46694557 -46.950281116,-75.4130725699999 -46.9338901159999,-75.35195457 -46.903890116,-75.3426545699999 -46.8788181159999,-75.4197275699999 -46.7152091159999,-75.4466815699999 -46.703754116,-75.4738905699999 -46.7025091159999,-75.5837545699999 -46.7543091159999,-75.63250957 -46.7824991159999,-75.6529635699999 -46.7668811159999,-75.5980725699999 -46.703054116,-75.57055457 -46.6877811159999,-75.50500957 -46.665836116,-75.4319455699999 -46.6499991159999,-75.3920185699999 -46.6524271159999,-75.3509725699999 -46.658618116,-75.1887545699999 -46.6268091159999,-75.12000957 -46.5958361159999,-75.0816815699999 -46.5741721159999,-74.9843095699999 -46.5002811159999,-74.9679275699999 -46.4681271159999,-74.9452905699999 -46.4427091159999,-74.94049057 -46.509727116,-75.0102815699999 -46.5586181159999,-75.0645905699999 -46.606109116,-75.07819957 -46.629172116,-75.0753545699999 -46.6581991159999,-75.0086185699999 -46.7519451159999,-74.8875095699999 -46.7941721159999,-74.6461185699999 -46.8733361159999,-74.5676455689999 -46.897645116,-74.5040365689999 -46.903054116,-74.4770905689999 -46.9022271159999,-74.4488185689999 -46.8869451159999,-74.4371545689999 -46.8597901159999,-74.5502815689999 -46.836118116,-74.5908365689999 -46.8369451159999,-74.6219455689999 -46.8422271159999,-74.6186185689999 -46.7855631159999,-74.3394455689999 -46.7661091159999,-74.2657725689999 -46.787572116,-74.2645905689999 -46.8123631159999,-74.247090569 -46.871527116,-74.1380635689999 -46.9865271159999,-74.1088275689999 -46.9934091159999,-74.0795905689999 -46.981109116,-74.0598725689999 -46.974036116,-74.037227569 -46.9754181159999,-74.0150185689999 -46.981945116,-73.9382725689999 -47.0344451159999,-74.0461095689999 -47.149445116,-74.1190365689999 -47.1981991169999,-74.131672569 -47.214309117,-74.141254569 -47.248054117,-74.1411095689999 -47.273609117,-74.113890569 -47.3333361169999,-74.1052815689999 -47.347499117,-74.113890569 -47.3416631169999,-74.1612545689999 -47.2761811169999,-74.162372569 -47.2418091169999,-74.1725095689999 -47.2139541169999,-74.1937545689999 -47.2061181169999,-74.3195995689998 -47.2198631169999,-74.3327905689999 -47.243336117,-74.347090569 -47.2655631169999,-74.3697995689999 -47.2964631169999,-74.473063569 -47.3669451169999,-74.5281275689999 -47.4343091169999,-74.516672569 -47.452918117,-74.3050095689999 -47.603336117,-74.2849995689999 -47.6065361169999,-74.1676365689999 -47.589445117,-74.1309815689999 -47.5638901169999,-74.061954569 -47.5397271169999,-74.046672569 -47.6202091169999,-74.0895905689999 -47.632363117,-74.1152905689999 -47.632363117,-74.167990569 -47.6173631169999,-74.257154569 -47.632918117,-74.298618569 -47.6808361169999,-74.2823725689998 -47.7187541169999,-74.254863569 -47.738336117,-74.204309569 -47.7491721169999,-74.1759095689999 -47.7485451169999,-74.2000095689999 -47.7555541169999,-74.2375095689998 -47.7520901169999,-74.272781569 -47.7400091169999,-74.3137185689999 -47.7073181169999,-74.349109569 -47.6438901169999,-74.3716725689999 -47.5927811169999,-74.426536569 -47.561527117,-74.4538995689999 -47.5547271169999,-74.5402815689999 -47.548336117,-74.560563569 -47.5509721169999,-74.6043815689999 -47.5708361169999,-74.74139057 -47.7114631169999,-74.71376357 -47.741254117,-74.6463905699999 -47.7650091169999,-74.6188995689999 -47.771809117,-74.547499569 -47.7791631169999,-74.4991725689999 -47.7734721169999,-74.474163569 -47.7633361169999,-74.3881995689999 -47.746736117,-74.309109569 -47.7589181169999,-74.140836569 -47.7819541169999,-74.0916725689999 -47.7833361169999,-74.060009569 -47.786945117,-74.0345185689999 -47.8290361169999,-74.0155635689998 -47.835836117,-73.9344455689999 -47.846945117,-73.8155635689999 -47.812090117,-73.7911185689999 -47.8012541169999,-73.7712545689998 -47.7865361169999,-73.7281995689999 -47.6363901169999,-73.733890569 -47.614036117,-73.7722275689999 -47.595145117,-73.7262905689999 -47.5313901169999,-73.676881569 -47.567227117,-73.6579185689999 -47.6332631169999,-73.686527569 -47.662363117,-73.717509569 -47.6831991169998,-73.7375725689999 -47.7034721169999,-73.742927569 -47.7297271169999,-73.7136185689999 -47.780145117,-73.516254568 -47.9441721169999,-73.4729905679999 -47.9658361169999,-73.4351455679999 -47.970699117,-73.399736568 -47.964445117,-73.373899568 -47.9622271169999,-73.3393185679999 -47.9633361169999,-73.2700095679999 -47.9780541169999,-73.226599568 -48.0030271169999,-73.436954568 -47.9944451169999,-73.4877815679998 -47.9849991169999,-73.5097365679999 -47.9783361169999,-73.528336568 -47.969999117,-73.5616095689999 -47.9408361169998,-73.5703545689999 -47.9088901169998,-73.654209569 -47.909099117,-73.6452905689999 -47.9852811169999,-73.5791815689999 -48.050699117,-73.4865365679998 -48.122918117,-73.4011185679999 -48.160563117,-73.3750095679999 -48.1680541169999,-73.3550095679998 -48.1649991169999,-73.314318568 -48.144027117,-73.2952095679999 -48.1251451169999,-73.290145568 -48.0911181169999,-73.2872275679999 -48.0713271169999,-73.2737545679999 -48.0933361169999,-73.2768095679999 -48.1268091169999,-73.2848635679999 -48.154036117,-73.3007095679999 -48.1677811169998,-73.3491635679999 -48.197499117,-73.3944545679999 -48.195554117,-73.4202905679999 -48.1844451169999,-73.443618568 -48.178609117,-73.492227568 -48.175772117,-73.5390275679999 -48.208545117,-73.553345569 -48.2458361169999,-73.589445569 -48.1852811169999,-73.5933365689999 -48.1374991169999,-73.7718095689999 -48.0297271169999,-73.8575095689999 -48.0466721169999,-73.9626455689999 -48.0477811169999,-74.019181569 -48.033336117,-74.050218569 -48.007918117,-74.0758455689999 -47.9956991169999,-74.1986275689999 -47.9924991169999,-74.3020905689999 -47.9951451169999,-74.3277815689999 -48.004999117,-74.322509569 -48.0244451169999,-74.2611275689999 -48.098336117,-74.1846635689999 -48.225699117,-74.2152095689999 -48.2318091169999,-74.2772275689999 -48.1891721169999,-74.2849995689999 -48.155281117,-74.296672569 -48.1044451169999,-74.3152815689999 -48.0669451169998,-74.329172569 -48.0461181169999,-74.349590569 -48.0224991169999,-74.414936569 -47.987709117,-74.5263995689999 -47.957081117,-74.63180957 -48.000554117,-74.6568815699998 -48.0297271169999,-74.6463905699999 -48.076809117,-74.620418569 -48.084445117,-74.582781569 -48.0849991169999,-74.489181569 -48.1311091169999,-74.3986185689999 -48.201390117,-74.264454569 -48.2827811179998,-74.1191725689999 -48.3197271179999,-74.2072275689999 -48.3338901179999,-74.232545569 -48.3517721179999,-74.175872569 -48.357163118,-74.1533455689999 -48.3598991179999,-74.135927569 -48.371845118,-74.109727569 -48.394445118,-74.0211185689999 -48.4136091179999,-74.0272365689999 -48.5336181179999,-74.046672569 -48.5477811179999,-74.150281569 -48.497509118,-74.2012455689999 -48.4768091179999,-74.253754569 -48.5009721179999,-74.3525095689999 -48.568609118,-74.397572569 -48.6119451179999,-74.3715365689998 -48.6769451179999,-74.3141725689999 -48.7272271179999,-74.2775095689999 -48.729172118,-74.2558455689999 -48.723336118,-74.234999569 -48.7169451179999,-74.1983365689999 -48.7077811179999,-74.1708365689998 -48.706672118,-74.1161185689999 -48.714172118,-74.0673995689999 -48.7344451179999,-74.064654569 -48.7436811179999,-74.1304275689999 -48.726672118,-74.212509569 -48.721672118,-74.2437635689999 -48.728781118,-74.2833815689999 -48.7487451179998,-74.306972569 -48.7526811179999,-74.337209569 -48.745418118,-74.3783365689999 -48.7272271179999,-74.439590569 -48.7937541179999,-74.4501455689999 -48.8156991179999,-74.4501455689999 -48.847499118,-74.432309569 -48.897918118,-74.4113905689999 -48.929999118,-74.395845569 -48.9633361179999,-74.3991725689999 -49.161663118,-74.3969545689999 -49.341945118,-74.3738995689999 -49.427509119,-74.264872569 -49.5234811189999,-74.2393095689999 -49.534863119,-74.2159815689998 -49.5322181189999,-74.1943725689999 -49.511045119,-74.159999569 -49.3747271189999,-74.150009569 -49.319172118,-74.1086095689998 -49.234999118,-74.0418185689999 -49.1534721179999,-74.0513995689999 -49.0629181179999,-74.043336569 -49.021945118,-73.892854569 -49.0106991179999,-73.831181569 -49.0322271179999,-73.8281995689999 -49.0543811179999,-73.8627815689999 -49.051527118,-73.8827905689998 -49.037090118,-73.911263569 -49.024172118,-73.9429275689999 -49.025281118,-73.9670905689999 -49.0330541179999,-73.9849995689999 -49.045563118,-74.0169545689999 -49.0736181179999,-74.0288995689999 -49.0930541179999,-73.9989635689999 -49.254309118,-73.9429275689999 -49.3151451179999,-73.9248725689999 -49.3243091179999,-73.8930365689999 -49.329281118,-73.8478545689999 -49.3465991189999,-73.8863995689999 -49.353618119,-73.9174995689999 -49.3472271189999,-73.968199569 -49.3273631179999,-73.9895185689999 -49.3054901179999,-74.0012545689999 -49.2848631179999,-74.037509569 -49.2631991179999,-74.0683365689999 -49.262781118,-74.0833455689999 -49.2777811179999,-74.1218095689998 -49.413754119,-74.110836569 -49.483054119,-74.094727569 -49.496809119,-73.990563569 -49.519172119,-73.9593095689999 -49.516672119,-73.914599569 -49.5126451189999,-73.874027569 -49.531872119,-73.8776455689999 -49.589027119,-73.8520185689999 -49.6576451189999,-73.8229185689999 -49.659727119,-73.7763995689999 -49.6622991189999,-73.7572365689999 -49.674027119,-73.7327905689999 -49.7119451189999,-73.712509569 -49.7572271189999,-73.7236185689999 -49.7891721189999,-73.7498635689999 -49.729790119,-73.8152905689999 -49.6858361189999,-73.845009569 -49.6797271189999,-73.8812545689999 -49.667645119,-73.9083365689999 -49.637781119,-73.9300725689999 -49.5808361189999,-73.947718569 -49.5592361189999,-74.087781569 -49.5375091189999,-74.111681569 -49.5419451189999,-74.2432725689999 -49.571181119,-74.3213995689999 -49.6226451189999,-74.3277905689999 -49.646663119,-74.3215365689999 -49.6974991189999,-74.299099569 -49.7390991189999,-74.2791725689999 -49.742781119,-74.1905635689999 -49.7272271189999,-74.0633365689998 -49.7155541189999,-74.0729275689999 -49.746536119,-74.113481569 -49.752781119,-74.1445905689999 -49.7450091189999,-74.1933455689999 -49.7505541189999,-74.2463995689999 -49.763063119,-74.3488995689999 -49.8011181189999,-74.3248725689999 -49.867781119,-74.2970905689999 -49.894172119,-74.0986185689999 -49.961109119,-74.008345569 -49.9858361189999,-73.9000095689999 -50.0168091189999,-73.8868095689999 -50.0447991189999,-73.890145569 -50.074863119,-74.1244545689999 -50.012218119,-74.172790569 -49.977227119,-74.2211185689999 -49.9429181189999,-74.268336569 -49.9333361189999,-74.3371545689999 -49.927509119,-74.3606905689999 -49.9508361189999,-74.3708455689999 -49.9920811189999,-74.207509569 -50.1808361189999,-74.1766725689999 -50.202499119,-74.1537635689999 -50.2093091189999,-74.132090569 -50.208336119,-73.867336569 -50.288890119,-73.8813905689999 -50.2972271189999,-73.899736569 -50.296954119,-73.963481569 -50.2881991189999,-74.203609569 -50.2177811189999,-74.272781569 -50.1669451189999,-74.293063569 -50.1347271189999,-74.3487545689998 -50.0886181189999,-74.4321995689999 -50.095136119,-74.491390569 -50.0819451189999,-74.585845569 -50.1023631189999,-74.6352815699999 -50.1249991189999,-74.67029057 -50.1513901189999,-74.6933365699999 -50.1774361189998,-74.6887545699999 -50.207090119,-74.4738905689999 -50.3463901189999,-74.2916725689999 -50.42958112,-74.120145569 -50.4393091199999,-74.0766725689999 -50.4733361199999,-73.9915365689999 -50.5136181199999,-73.9405635689999 -50.5244451199999,-73.890909569 -50.5468361199999,-74.021254569 -50.5334721199999,-74.050845569 -50.5241721199999,-74.0748635689999 -50.5115271199999,-74.097227569 -50.4977811199999,-74.122790569 -50.4861181199999,-74.2140365689999 -50.46389012,-74.289236569 -50.4804901199999,-74.232790569 -50.6036181199999,-74.1608455689999 -50.7061181199999,-74.119809569 -50.7714631199999,-74.0434815689999 -50.8280631199999,-73.947509569 -50.8352811199999,-73.9286815689998 -50.8285451199999,-73.8231995689999 -50.7636181199999,-73.8129185689999 -50.7451361199999,-73.8190365689999 -50.7163901199999,-73.8272365689999 -50.69180912,-73.799454569 -50.6069451199999,-73.7737545689999 -50.5433361199999,-73.757654569 -50.5216721199999,-73.5717365689999 -50.404345119,-73.603063569 -50.48860912,-73.620281569 -50.5020901199999,-73.646263569 -50.5129181199999,-73.6800095689999 -50.5177811199999,-73.703899569 -50.5225091199999,-73.7225815689999 -50.5456991199999,-73.7195905689999 -50.5679181199999,-73.6530635689999 -50.61674512,-73.6119545689999 -50.6247271199999,-73.563827569 -50.6305541199999,-73.5026455679999 -50.6698631199999,-73.533136568 -50.71423612,-73.562509569 -50.7010451199999,-73.576045569 -50.6697271199999,-73.6333365689999 -50.64479012,-73.6655545689999 -50.64499912,-73.7516725689999 -50.6617361199999,-73.781245569 -50.68868112,-73.7800095689999 -50.7908361199999,-73.851390569 -50.9166721199999,-73.8858455689999 -50.8806991199999,-73.9086185689999 -50.87069912,-74.138345569 -50.8712541199999,-74.1801455689999 -50.8815361199999,-74.2233455689999 -50.9022271199999,-74.247363569 -50.92770912,-74.2357725689999 -51.03465412,-74.2128545689998 -51.04631812,-74.1522365689999 -51.0738901199999,-74.1284095689999 -51.18667212,-74.0837545689999 -51.2090271199999,-73.900554569 -51.2424991199999,-73.8800095689999 -51.23889012,-73.8555635689999 -51.22695412,-73.7586815689999 -51.1534721199999,-73.734090569 -51.1433901199999,-73.7116725689999 -51.15972712,-73.6910815689999 -51.2695811199999,-73.701527569 -51.2413901199999,-73.7392455689999 -51.20396312,-73.7793815689999 -51.22104512,-73.695281569 -51.4197271199999,-73.613063569 -51.5747181209999,-73.5986185689999 -51.6024991209999,-73.6049455689998 -51.6284091209999,-73.618054569 -51.6338901209999,-73.631390569 -51.5898631209999,-73.682781569 -51.5094451209999,-73.7102905689999 -51.4694451199999,-73.8131995689999 -51.3954181199999,-73.9047995689999 -51.3772901199999,-73.924727569 -51.4108361199998,-73.928890569 -51.4347181199999,-73.9058365689999 -51.6225091209999,-73.8550095689998 -51.6338901209999,-73.791399569 -51.6438901209999,-73.762509569 -51.7141721209999,-73.700354569 -51.789172121,-73.6158455689999 -51.7197271209999,-73.471318568 -51.694136121,-73.5161185679999 -51.730836121,-73.5486185679999 -51.744863121,-73.5867095689999 -51.756354121,-73.4766725679999 -51.9116631209999,-73.3994545679999 -52.0172271209999,-73.431672568 -52.0240991209999,-73.5075095679999 -51.9470901209999,-73.588199569 -51.838818121,-73.598899569 -51.8154181209999,-73.649136569 -51.8345181209999,-73.6064545689999 -51.907554121,-73.5752905689999 -51.9733361209999,-73.579445569 -52.0116721209998,-73.564863569 -52.0409721209999,-73.545290568 -52.056399121,-73.3494545679999 -52.1591721209999,-73.3168095679999 -52.170418121,-73.286945568 -52.1599991209999,-73.277854568 -52.1252091209998,-73.329181568 -51.796672121,-73.3401455679999 -51.746109121,-73.3708455679999 -51.6934811209999,-73.3806725679999 -51.669890121,-73.3351545679999 -51.7019451209999,-73.320009568 -51.7261091209999,-73.3001455679999 -51.8122271209999,-73.293063568 -51.9213901209999,-73.275281568 -52.0330541209999,-73.2407725679999 -52.0872271209999,-73.2069545679999 -52.0933361209999,-73.1844455679999 -52.094454121,-73.1563905679999 -51.9661181209999,-73.1400635679999 -51.940490121,-73.0895275679999 -51.919945121,-73.0286185679999 -51.9007811209999,-72.9597275679999 -51.8827811209999,-72.9269545679999 -51.8611181209999,-72.937790568 -51.8345901209999,-72.9718815679998 -51.819927121,-73.0081995679999 -51.8337541209999,-73.070445568 -51.865390121,-73.190709568 -51.8764901209999,-73.1225095679999 -51.8624991209999,-73.0829275679999 -51.8573631209999,-73.0594455679999 -51.8479271209999,-72.997363568 -51.7833361209999,-73.0302905679999 -51.748063121,-73.0568095679999 -51.7299991209999,-73.092572568 -51.716118121,-73.1275725679999 -51.7268811209998,-73.155009568 -51.7274991209998,-73.193618568 -51.7224991209999,-73.2267455679999 -51.709790121,-73.283899568 -51.613545121,-73.2420185679999 -51.6101451209999,-73.1783455679999 -51.636118121,-72.9791725679999 -51.728618121,-72.8144545679999 -51.7746541209999,-72.789690568 -51.8073901209999,-72.719736568 -51.837227121,-72.6265365679999 -51.8319451209999,-72.5660455679999 -51.7889631209999,-72.550209568 -51.7393811209999,-72.571181568 -51.721881121,-72.6319545679999 -51.7113901209999,-72.6866725679999 -51.7016721209999,-72.709309568 -51.694590121,-72.851672568 -51.6047271209999,-72.978481568 -51.5348631209999,-73.065845568 -51.5052811209999,-73.153754568 -51.48861812,-73.193199568 -51.5065271209999,-73.217509568 -51.511254121,-73.2568095679999 -51.5008991209999,-73.2700095679999 -51.4834811199999,-73.2425095679999 -51.4629901199999,-73.1595905679999 -51.44806312,-73.116390568 -51.4433361199999,-73.0763905679999 -51.4637541199999,-73.054454568 -51.4873631199999,-72.916399568 -51.5455631209999,-72.829590568 -51.5694541209999,-72.7824995679999 -51.5702811209999,-72.7386185679999 -51.5752811209999,-72.712645568 -51.583890121,-72.658618568 -51.6159811209999,-72.5066725679999 -51.728336121,-72.4688995669999 -51.789172121,-72.4568185669999 -51.9200091209999,-72.4706995669999 -51.9359721209999,-72.4926455679999 -51.9499991209999,-72.5186185679999 -51.957781121,-72.6340365679999 -51.9465361209999,-72.6665635679999 -51.9652451209999,-72.6491095679999 -52.0510451209999,-72.549999568 -52.131109121,-72.4825095679999 -52.182227121,-72.467990567 -52.2036091209999,-72.4910545679999 -52.3167451209999,-72.5808365679999 -52.374172121,-72.635009568 -52.3955631209999,-72.820554568 -52.4408361209999,-72.899445568 -52.4586181209999,-72.928890568 -52.451599121,-72.741672568 -52.379172121,-72.609727568 -52.345909121,-72.575627568 -52.321527121,-72.5344545679999 -52.2002811209999,-72.553890568 -52.1702811209999,-72.6020995679999 -52.111945121,-72.620136568 -52.100836121,-72.6594545679999 -52.0883361209999,-72.6985095679999 -52.0458091209999,-72.694236568 -51.989099121,-72.8020185679999 -51.939863121,-72.861463568 -51.959099121,-72.943345568 -52.0877811209999,-72.9425095679999 -52.173336121,-72.875499568 -52.203054121,-72.846672568 -52.1611901209999,-72.8483995679999 -52.1359091209998,-72.8169455679999 -52.082854121,-72.7847275679999 -52.062227121,-72.773618568 -52.0994901209999,-72.832227568 -52.2397271209999,-72.8663905679999 -52.263890121,-72.911263568 -52.2495901209999,-72.9866815679999 -52.187499121,-72.983199568 -52.141454121,-72.9862545679999 -52.0706271209999,-73.0244545679999 -52.067090121,-73.097781568 -52.0897271209999,-73.1650095679999 -52.111672121,-73.2155725679999 -52.1606991209999,-73.2405635679999 -52.204236121,-73.2633365679998 -52.2158361209999,-73.3218185679999 -52.2237541209999,-73.3452905679999 -52.2199991209998,-73.464736568 -52.1724991209999,-73.512018568 -52.1952811209999,-73.542499568 -52.1926451209999,-73.661954569 -52.0777811209999,-73.6777815689999 -52.041118121,-73.7036185689998 -52.0233361209999,-73.731672569 -52.0375091209999,-73.7391725689999 -52.070427121,-73.7229185689999 -52.0972271209999,-73.644427569 -52.1692811209999,-73.583618569 -52.2349991209999,-73.565009569 -52.328618121,-73.5911185689999 -52.381599121,-73.620281569 -52.3786091209999,-73.6495185689999 -52.3738181209999,-73.665427569 -52.3925091209999,-73.6662635689999 -52.422781121,-73.6152815689999 -52.5138901209999,-73.598072569 -52.533054121,-73.5499365679999 -52.542572121,-73.562918569 -52.559581121,-73.5893815689999 -52.5513181209998,-73.629727569 -52.5586181209999,-73.683063569 -52.5994451219999,-73.693609569 -52.7220901219999,-73.611681569 -52.7458361219999,-73.595563569 -52.725836122,-73.5590365689999 -52.688054122,-73.5024995679999 -52.652781122,-73.389727568 -52.593336122,-73.3650095679999 -52.5869451219999,-73.3377815679999 -52.5969451219999,-73.335209568 -52.640763122,-73.3276545679999 -52.660699122,-73.3036185679999 -52.6706991219999,-73.2659725679999 -52.669799122,-73.170290568 -52.5791631219999,-73.161672568 -52.5599991209999,-73.1763905679999 -52.5066721209999,-73.1497365679999 -52.4897271209999,-73.0738995679999 -52.480418121,-73.044172568 -52.4788901209998,-73.013063568 -52.481672121,-72.918063568 -52.494445121,-72.8906275679999 -52.5176361209999,-72.9209815679998 -52.5127811209999,-72.9733455679999 -52.5030631209999,-73.059209568 -52.4930091209999,-73.101109568 -52.507499121,-73.2563905679999 -52.7186091219999,-73.252790568 -52.7566721219999,-73.2318815679999 -52.7876451219999,-73.3886275679999 -52.799172122,-73.4130725679999 -52.7822271219999,-73.5056995679999 -52.7777811219999,-73.556454569 -52.802327122,-73.3572275679999 -52.8791721219999,-73.234999568 -52.8897271219999,-73.311390568 -52.9388901219999,-73.4493455679999 -53.002045122,-73.3184725679999 -53.076881122,-73.203481568 -53.1062541219999,-73.1250095679999 -53.1018091219999,-73.0916725679999 -53.090836122,-73.0855545679999 -53.0874991219999,-72.9804185679999 -53.064727122,-72.9507635679998 -53.026118122,-72.9472275679999 -52.9830541219999,-72.9736185679999 -52.9161181219999,-73.0058455679999 -52.8541721219999,-72.981127568 -52.8283361219999,-72.951254568 -52.8048631219999,-72.9258455679999 -52.8002811219999,-72.8655725679999 -52.792781122,-72.7991815679999 -52.7575091219999,-72.754181568 -52.7297271219999,-72.6783455679999 -52.6621541219999,-72.6808995679999 -52.638954122,-72.8097185679999 -52.6088901219999,-72.881118568 -52.637781122,-72.8988995679999 -52.6255541219999,-72.7897905679999 -52.5428541209999,-72.6294545679999 -52.5433361209999,-72.5454185679999 -52.5370901209999,-72.524318568 -52.5258361209999,-72.416399567 -52.5045811209999,-72.3952455669998 -52.521890121,-72.4405635669999 -52.536536121,-72.4717365669999 -52.5352091209999,-72.4991725679999 -52.5474991209999,-72.5468725679999 -52.5904901219999,-72.420772567 -52.6556991219999,-72.3691725669999 -52.5852811219999,-72.3441455669999 -52.547390121,-72.3114635669999 -52.5219451209999,-72.2766725669999 -52.517227121,-72.1311185669999 -52.5127811209999,-71.917236567 -52.5291631209999,-71.7683365669999 -52.5497271209999,-71.6388995669998 -52.5624991209999,-71.6077905669999 -52.5629181209999,-71.5830725669999 -52.5579181209999,-71.543899567 -52.5588901209999,-71.5183365669999 -52.571390122,-71.475281567 -52.6333361219999,-71.6179275669999 -52.676390122,-71.650845567 -52.683336122,-71.6794545669999 -52.6861091219999,-71.7183365669999 -52.6888991219999,-71.7913995669999 -52.690836122,-71.846954567 -52.6886091219999,-71.8945185669999 -52.6818091219999,-71.9319455669999 -52.6654181219999,-72.006954567 -52.6325091219999,-72.170836567 -52.6468811219999,-72.1847185669999 -52.666672122,-72.302509567 -52.751118122,-72.421672567 -52.8127811219999,-72.466672567 -52.820281122,-72.5833455679999 -52.796672122,-72.7194545679999 -52.746118122,-72.915845568 -52.8247181219999,-72.958345568 -52.857509122,-72.949590568 -52.9363901219999,-72.919172568 -52.994999122,-72.8781635679998 -53.0287181219999,-72.8997275679999 -53.073890122,-72.9116635679999 -53.084163122,-72.937499568 -53.1029901219999,-72.8511905679999 -53.1483361219999,-72.825009568 -53.1433361219999,-72.799936568 -53.1255541219999,-72.771954568 -53.120563122,-72.7038995679999 -53.128618122,-72.655836568 -53.1490991219999,-72.712781568 -53.148890122,-72.7577095679999 -53.1427091219999,-72.7922185679999 -53.184099122,-72.7505635679999 -53.211672122,-72.6943815679999 -53.2418811219999,-72.710281568 -53.294036122,-72.753890568 -53.297499122,-72.776672568 -53.283618122,-72.8474995679999 -53.211945122,-72.943890568 -53.164172122,-72.9975095679999 -53.1590271219999,-73.0761275679999 -53.169172122,-73.2988905679999 -53.1607631219999,-73.212509568 -53.234727122,-73.1444455679999 -53.273472122,-73.1190365679999 -53.2794451219999,-73.0887545679999 -53.280418122,-73.068618568 -53.2861181219999,-72.962918568 -53.3374991219999,-72.9404905679999 -53.3564631219999,-72.863890568 -53.388618122,-72.730009568 -53.433618122,-72.5344545679999 -53.5298631219998,-72.506954568 -53.549727122,-72.496399568 -53.5494451219999,-72.400281567 -53.5402811219999,-72.383063567 -53.521945122,-72.3975095669999 -53.4972181219999,-72.4992455679999 -53.4042361219999,-72.5283365679999 -53.4079901219999,-72.5557725679999 -53.4227811219999,-72.639590568 -53.363890122,-72.6477815679999 -53.3259721219999,-72.6305725679999 -53.3383361219999,-72.6010455679999 -53.363336122,-72.5493095679998 -53.373336122,-72.5173725679999 -53.3654901219999,-72.4191095669999 -53.2495901219999,-72.4501455669999 -53.2400091219999,-72.4712635669999 -53.239727122,-72.5079275679999 -53.229863122,-72.533481568 -53.2037181219999,-72.484736568 -53.188336122,-72.412090567 -53.2020181219999,-72.3736185669999 -53.222781122,-72.341254567 -53.226945122,-72.2014635669999 -53.2013901219999,-72.1895185669999 -53.1827091219999,-72.2104185669999 -53.1563901219999,-72.364245567 -53.076390122,-72.4644455669999 -53.0758361219999,-72.5455275679999 -53.0823271219999,-72.5170905679999 -53.0623631219999,-72.3034815669999 -53.029445122,-72.2213995669999 -53.046809122,-72.201399567 -53.058890122,-72.1830635669999 -53.0783361219999,-72.1626545669999 -53.1015991219999,-72.1413995669999 -53.1180541219999,-72.105145567 -53.132781122,-72.076127567 -53.133890122,-72.019590567 -53.1243091219999,-71.9148725669999 -53.026390122,-71.898827567 -52.9990271219999,-71.8169545669999 -52.9574991219999,-71.604445567 -52.875554122,-71.3497275659999 -52.7911181219999,-71.2541815659999 -52.795009122,-71.1665365659999 -52.8106901219999,-71.1178545659999 -52.8639631219999,-71.128345566 -52.888890122,-71.3286185659999 -53.100009122,-71.3477815659999 -53.112499122,-71.3680545659999 -53.1216721219999,-71.389454566 -53.1294451219999,-71.4201545669998 -53.1344451219999,-71.4472365669999 -53.134727122,-71.477509567 -53.1329181219999,-71.7390275669999 -53.215209122,-71.7675095669999 -53.2866631219999,-71.7741725669999 -53.348199122,-71.7605635669999 -53.3963901219999,-71.755290567 -53.462436122,-71.797372567 -53.512781122,-71.8284725669999 -53.524872122,-71.9472365669999 -53.5519451219999,-71.996399567 -53.5702811219999,-72.0058455669999 -53.565418122,-72.004936567 -53.536599122,-71.970009567 -53.521390122,-71.9427815669999 -53.514163122,-71.8486185669999 -53.4819451219999,-71.817227567 -53.4661181219999,-71.797645567 -53.453754122,-71.786045567 -53.4295181219999,-71.8368185669999 -53.2445181219999,-71.8665995669999 -53.2228541219999,-71.9904275669999 -53.2230541219999,-72.0143815669999 -53.241809122,-72.0231995669999 -53.2740361219999,-72.020563567 -53.2955541219999,-72.011399567 -53.336390122,-72.0058365669999 -53.3693091219998,-72.012309567 -53.3904721219999,-72.070554567 -53.4163901219999,-72.105281567 -53.429727122,-72.188899567 -53.4449991219999,-72.2273635669999 -53.4355271219999,-72.1580545669999 -53.4134721219999,-72.094318567 -53.3875721219999,-72.0808365669999 -53.3637541219999,-72.076954567 -53.3270901219999,-72.083618567 -53.3044451219999,-72.1120905669999 -53.257636122,-72.283409567 -53.2450091219999,-72.4227905669999 -53.3191721219999,-72.4525095669999 -53.4043091219999,-72.420009567 -53.4549991219999,-72.395981567 -53.4812541219999,-72.3480725669999 -53.527781122,-72.2883455669999 -53.5808361219999,-72.115009567 -53.687645123,-72.0505635669999 -53.7088901229999,-71.935009567 -53.7297271229999,-71.853618567 -53.7424991229999,-71.6986275669999 -53.810418123,-71.634172567 -53.821945123,-71.5938995669999 -53.8249991229999,-71.571672567 -53.8249991229999,-71.5261185669999 -53.826954123,-71.4830635669999 -53.830281123,-71.4526545669999 -53.835563123,-71.284727566 -53.8863901229998,-71.2349995659999 -53.8752811229999,-71.046954566 -53.8233361229999,-70.9977905659999 -53.786672123,-70.9765995659999 -53.7609091229999,-70.9411185659999 -53.6333361219999,-70.9362545659999 -53.601536122,-70.940845566 -53.5641721219999,-70.9486185659999 -53.535563122,-70.9616725659999 -53.5027811219999,-70.976909566 -53.477163122,-70.9883455659999 -53.444027122,-70.9919545659999 -53.419445122,-70.9930545659999 -53.387218122,-70.9555635659999 -53.2175091219999,-70.946809566 -53.1873631219999,-70.9304275659999 -53.1656901219999,-70.9088995659999 -53.150281122,-70.8900185659999 -53.1299991219999,-70.8123725659999 -52.993199122,-70.8115995659999 -52.9202811219999,-70.830427566 -52.906945122,-70.8436095659999 -52.8786181219999,-70.8116725659999 -52.7325091219999,-70.684445566 -52.718336122,-70.528263566 -52.7063181219999,-70.4969545659999 -52.7044451219999,-70.171118565 -52.5850721219999,-70.141399565 -52.5758361219999,-69.9144635649999 -52.5147271209999,-69.811118565 -52.5005541209999,-69.7820185649999 -52.5183361209999,-69.6756995649999 -52.528263121,-69.6522365649999 -52.518618121,-69.6346275649999 -52.503318121,-69.5825095649998 -52.471390121,-69.5580635649999 -52.451527121,-69.4909815649999 -52.383263121,-69.4859815649999 -52.314036121,-69.4828455649999 -52.2856271209999,-69.469999565 -52.268890121,-69.4448725649999 -52.2568091209999,-69.2684815649999 -52.2080541209999,-69.2105545639999 -52.2047271209999,-69.1880635639999 -52.204999121,-69.1520905639999 -52.207363121,-69.1169545639999 -52.217227121,-69.0684815639999 -52.2358361209999,-69.0440365639999 -52.248472121,-69.020845564 -52.2616721209999,-69.0030635639999 -52.271390121,-68.982790564 -52.280009121,-68.942509564 -52.2898631209999,-68.818890564 -52.3044541209999,-68.798618564 -52.303336121,-68.679454564 -52.3072271209999,-68.5088995639999 -52.324999121,-68.4780545639999 -52.3337541209999,-68.441754905 -52.3777820619999,-68.6175819209999 -52.6415089229999,-68.695009564 -52.605281122,-68.8113995639999 -52.576390122,-68.8252905639999 -52.5886181219999,-68.8377815639999 -52.5947271219999,-68.851390564 -52.600281122,-68.9680635639999 -52.646945122,-69.081118564 -52.6811181219999,-69.108481564 -52.688336122,-69.1244545639999 -52.6888991219999,-69.151672564 -52.6844451219999,-69.178345564 -52.673336122,-69.1908455639999 -52.6669451219998,-69.2086185639998 -52.6572271219999,-69.2199995639999 -52.650281122,-69.2330815639999 -52.6394631219999,-69.3308365649999 -52.557636121,-69.3394455649998 -52.5458361209999,-69.341399565 -52.5333361209999,-69.3458365649999 -52.522227121,-69.3519635649999 -52.512499121,-69.3608365649999 -52.5041721209998,-69.417227565 -52.4594451209999,-69.4525185649998 -52.4661181209999,-69.5656995649999 -52.503199121,-69.5875095649999 -52.5138901209999,-69.608909565 -52.5290451209999,-69.6033455649999 -52.6094541219999,-69.6047365649999 -52.6225091219999,-69.6140365649999 -52.6412541219999,-69.7044545649998 -52.7352811219999,-69.7230725649998 -52.7516721219999,-69.7438995649999 -52.7630631219999,-69.9172365649999 -52.8258361219999,-69.9413905649999 -52.831672122,-69.9619455649999 -52.832781122,-69.982509565 -52.831118122,-70.007236565 -52.825281122,-70.031681565 -52.812499122,-70.047227565 -52.8011181219999,-70.081127565 -52.7704181219999,-70.0958365649999 -52.7486091219999,-70.1091725649999 -52.7361181219998,-70.1200095649999 -52.7291721219999,-70.1452905649999 -52.7200091219999,-70.1697275649999 -52.7172271219999,-70.1888995649999 -52.7188901219999,-70.372372566 -52.739309122,-70.400418566 -52.749727122,-70.4236185659998 -52.7702811219999,-70.4180635659999 -52.779172122,-70.403899566 -52.7811091219999,-70.3761095659999 -52.7774991219999,-70.356672566 -52.7758361219999,-70.345563566 -52.7758361219999,-70.3149995649999 -52.7786181219999,-70.2913995649999 -52.7852811219999,-70.2730635649999 -52.7976451219999,-70.264036565 -52.811954122,-70.262509565 -52.8243091219999,-70.215563565 -52.869727122,-70.195281565 -52.871672122,-70.111818565 -52.8808361219999,-70.1016725649999 -52.8916721219999,-70.0998725649999 -52.9076451219999,-70.102781565 -52.9200091219999,-70.1166725649999 -52.9499991219999,-70.1294545649999 -52.9772271219999,-70.136672565 -52.9869451219999,-70.1461185649999 -52.994999122,-70.156681565 -53.0022271219999,-70.168627565 -53.0088901219999,-70.1897275649999 -53.016945122,-70.2058365649999 -53.0208361219999,-70.231127565 -53.025836122,-70.321399565 -53.043472122,-70.338481566 -53.0411181219999,-70.3581995659999 -52.9922271219999,-70.3558365659999 -52.976672122,-70.3494545659999 -52.9666631219999,-70.3413275659999 -52.9529181219999,-70.354181566 -52.9458361219999,-70.430281566 -53.000836122,-70.4444545659999 -53.012781122,-70.450836566 -53.0230541219999,-70.4568095659998 -53.0372271219999,-70.4866815659999 -53.2172271219999,-70.4872275659999 -53.2308361219999,-70.4808365659999 -53.280554122,-70.4688995659999 -53.313899122,-70.4527905659999 -53.358063122,-70.446672566 -53.3680541219999,-70.4341725659999 -53.3744541219999,-70.2833365649998 -53.4499991219999,-70.264172565 -53.4594451219999,-70.2438995649999 -53.468054122,-70.227781565 -53.4724991219999,-70.2175095649999 -53.473336122,-70.2029275649999 -53.471809122,-70.073627565 -53.436390122,-70.0545095649999 -53.429099122,-70.0319545649999 -53.406109122,-70.0193185649998 -53.3963901219999,-69.9975095649999 -53.3852811219999,-69.9788995649999 -53.3761091219999,-69.943345565 -53.3627811219999,-69.902118565 -53.3535541219999,-69.8922275649999 -53.3519541219999,-69.853054565 -53.3483361219999,-69.6033455649999 -53.3255631219999,-69.5711185649999 -53.3247181219999,-69.3801455649999 -53.334445122,-69.3611185649999 -53.345481122,-69.3519545649999 -53.3588901219999,-69.3383455649999 -53.443063122,-69.3355545649999 -53.461390122,-69.335699565 -53.471809122,-69.340772565 -53.4914541219999,-69.3538995649998 -53.5061091219999,-69.366954565 -53.511945122,-69.767790565 -53.645281123,-69.8194545649999 -53.6555541229999,-69.8400095649999 -53.6566721229999,-69.8519635649999 -53.6563901229999,-69.8738995649999 -53.6555541229999,-69.9050095649999 -53.653063123,-69.918481565 -53.655136123,-70.1461185649999 -53.7424991229999,-70.163890565 -53.7524991229999,-70.1833455649999 -53.7741631229999,-70.186954565 -53.7947271229999,-70.184445565 -53.8136091229999,-70.1783455649999 -53.836945123,-70.1500095649999 -53.9227811229999,-70.071672565 -54.076390123,-70.0631995649999 -54.088336123,-70.045981565 -54.0993091229999,-69.8819545649999 -54.1669541229999,-69.793063565 -54.1877811229999,-69.7661095649999 -54.1930631229999,-69.7463995649999 -54.195281123,-69.723890565 -54.1963901229999,-69.7041815649999 -54.198618123,-69.676118565 -54.2030541229999,-69.583072565 -54.2250091229999,-69.566681565 -54.2291721229999,-69.5466725649999 -54.248481123,-69.5333365649999 -54.2577811229999,-69.5194545649999 -54.2636181229999,-69.5030635649999 -54.2677811229999,-69.4366725649999 -54.284445123,-69.409999565 -54.289999123,-69.2730545649998 -54.327781123,-69.087781564 -54.3913901229999,-69.0222275639999 -54.4152811229999,-69.0080545639999 -54.4208361229999,-68.993199564 -54.4310451229999,-68.9948725639998 -54.4676451229999,-69.0080545639999 -54.4763901229999,-69.0212635639999 -54.4777811229999,-69.0584815639999 -54.458336123,-69.087781564 -54.4511181229999,-69.0983455639999 -54.4502811229999,-69.143345564 -54.4499991229999,-69.154727564 -54.4536181229999,-69.168627564 -54.469727123,-69.1755635639999 -54.4847271229999,-69.174454564 -54.505281123,-69.164172564 -54.5197271229999,-69.1490365639999 -54.5540361229999,-69.172790564 -54.5780541229998,-69.1775095639999 -54.580836123,-69.1933455639999 -54.5558361229999,-69.2069545639999 -54.5366631229999,-69.216399564 -54.5283361229999,-69.228063564 -54.5254181229999,-69.2494545639999 -54.5291631229999,-69.2801545649999 -54.5425091229999,-69.2927815649999 -54.552227123,-69.3038905649999 -54.566390123,-69.329727565 -54.6000091229999,-69.365845565 -54.6522271229999,-69.3763995649999 -54.6866721229999,-69.3868095649999 -54.6801451229999,-69.4183365649999 -54.626390123,-69.406109565 -54.609454123,-69.3658365649999 -54.560145123,-69.3519635649999 -54.550836123,-69.3149995649999 -54.5383361229999,-69.3045995649999 -54.5338901229999,-69.2304185639999 -54.480136123,-69.227227564 -54.4688901229999,-69.2319455639999 -54.4547271229998,-69.2411185639999 -54.446390123,-69.2552815639999 -54.4405631229999,-69.3884725649999 -54.394372123,-69.6347995649999 -54.3586811229999,-69.6611185649999 -54.3380541229999,-69.684172565 -54.323890123,-69.7965365649999 -54.289172123,-69.836672565 -54.282781123,-69.8591725649999 -54.2830541229999,-69.868618565 -54.2877811229999,-69.8845185649999 -54.312990123,-69.8626365649999 -54.325981123,-69.845836565 -54.3333361229999,-69.807781565 -54.384172123,-69.7414635649999 -54.478336123,-69.7552905649999 -54.550763123,-69.7736185649999 -54.5561181229999,-69.7983365649999 -54.537990123,-69.8711275649999 -54.4277811229999,-69.9727815649999 -54.2972271229999,-70.0069545649999 -54.269172123,-70.0552815649999 -54.2491721229999,-70.065845565 -54.2483361229999,-70.0800095649999 -54.250145123,-70.096954565 -54.257509123,-70.121945565 -54.2702811229999,-70.134172565 -54.2769451229999,-70.1988905649999 -54.3137541229999,-70.2007095649999 -54.3247271229999,-70.1913905649999 -54.3363901229999,-70.1683365649999 -54.3502811229999,-70.1508455649999 -54.354172123,-70.079036565 -54.3644451229999,-70.0668095649999 -54.371390123,-70.0702905649999 -54.381809123,-70.139172565 -54.4277811229999,-70.156681565 -54.4227811229998,-70.211945565 -54.3930541229999,-70.344727566 -54.3205541229999,-70.6475095659999 -54.219999123,-70.7569545659999 -54.1866721229999,-70.7800095659999 -54.179454123,-70.8555635659999 -54.1466631229999,-70.880281566 -54.133890123,-70.9183365659999 -54.141109123,-70.8794545659999 -54.2345811229999,-70.8652905659999 -54.2485451229999,-70.846390566 -54.2597271229999,-70.8325095659999 -54.265554123,-70.813899566 -54.268618123,-70.778627566 -54.2694451229999,-70.6925095659999 -54.266390123,-70.6491725659999 -54.2694451229999,-70.629763566 -54.2715991229999,-70.5706995659999 -54.2830631229999,-70.5458365659999 -54.2927811229999,-70.5300095659999 -54.3038901229999,-70.5175095659999 -54.3138901229999,-70.5030635659999 -54.3291721229999,-70.4993095659999 -54.344172123,-70.5084725659999 -54.3636811229998,-70.4586185659999 -54.4152811229999,-70.446672566 -54.4254181229999,-70.406954566 -54.441890123,-70.3852815659999 -54.450390123,-70.3671185659999 -54.4565541229999,-70.317509565 -54.472227123,-70.293063565 -54.478890123,-70.251118565 -54.492499123,-70.2269635649999 -54.502499123,-70.1344545649999 -54.543472123,-70.245709565 -54.571672123,-70.2658455649999 -54.5705631229999,-70.286954565 -54.5652811229999,-70.3002905649999 -54.5527811229999,-70.311399565 -54.5388901229999,-70.320554565 -54.5305541229999,-70.3308365659999 -54.522781123,-70.3836635659999 -54.497109123,-70.394836566 -54.491118123,-70.407581566 -54.486118123,-70.4423365659999 -54.4770271229999,-70.5469545659999 -54.4243091229999,-70.5609095659999 -54.4102811229999,-70.5733455659999 -54.3920901229999,-70.589999566 -54.392509123,-70.628345566 -54.4147271229999,-70.6419545659999 -54.4240361229999,-70.663345566 -54.442781123,-70.6708365659999 -54.4522271229999,-70.702790566 -54.511390123,-70.707027566 -54.5279901229999,-70.696945566 -54.550563123,-70.6891815659999 -54.559718123,-70.6436185659999 -54.609454123,-70.7194545659999 -54.5708361229999,-70.7541815659998 -54.5947271229999,-70.7338995659999 -54.5150091229999,-70.7125095659999 -54.455554123,-70.6724995659999 -54.399445123,-70.613890566 -54.3469451229999,-70.6198725659999 -54.3383361229999,-70.6586185659999 -54.3297271229999,-70.669172566 -54.328609123,-70.7772365659999 -54.3222271229999,-70.811399566 -54.3208361229999,-70.855009566 -54.321945123,-70.8944455659999 -54.329309123,-70.936672566 -54.3449991229999,-70.9469545659999 -54.356390123,-70.938063566 -54.3813901229999,-70.935009566 -54.3930541229999,-70.9336275659999 -54.4055541229999,-70.9344455659999 -54.4191721229999,-70.967790566 -54.4726451229999,-71.186109566 -54.433890123,-71.352790566 -54.3747271229999,-71.3680545659999 -54.374454123,-71.406109567 -54.3905541229999,-71.424863567 -54.4062541229999,-71.377790566 -54.4227811229998,-71.4488995669999 -54.442218123,-71.5891725669999 -54.406109123,-71.602645567 -54.406945123,-71.619099567 -54.4191721229999,-71.6083365669999 -54.441390123,-71.592227567 -54.4591631229999,-71.5808365669999 -54.4661181229999,-71.5647275669999 -54.470836123,-71.5436275669999 -54.4727811229999,-71.5052815669999 -54.4755631229999,-71.487918567 -54.485836123,-71.492781567 -54.4958361229998,-71.5647275669999 -54.512781123,-71.6019635669999 -54.5075091229999,-71.6180545669999 -54.5030631229999,-71.6348725669999 -54.495418123,-71.703899567 -54.4366721229999,-71.714809567 -54.4106901229999,-71.7327905669999 -54.399445123,-71.7430545669999 -54.398336123,-71.765290567 -54.3972271229999,-71.791118567 -54.3987541229999,-71.8477815669999 -54.418063123,-71.8401635669999 -54.449227123,-71.827545567 -54.459645123,-71.7838905669999 -54.4755631229999,-71.7679275669998 -54.474999123,-71.7333365669999 -54.4647271229999,-71.720145567 -54.462918123,-71.6977815669999 -54.4701451229999,-71.5816815669999 -54.5486181229999,-71.6752905669999 -54.576954123,-71.6872275669999 -54.5766631229999,-71.749999567 -54.5638991229999,-71.8244455669999 -54.546672123,-71.8433365669999 -54.5401451229999,-71.8565365669999 -54.5274991229999,-71.860281567 -54.516390123,-71.8741815669999 -54.4950991229999,-71.9213905669999 -54.4645901229999,-71.9747275669999 -54.4527811229999,-71.9895905669999 -54.4540271229999,-72.0015365669998 -54.460836123,-72.0093095669999 -54.5073631229999,-72.0016815669999 -54.5661181229999,-71.978618567 -54.6244541229999,-71.967781567 -54.643272123,-71.952090567 -54.6530541229999,-71.9280725669999 -54.6569541229999,-71.917236567 -54.6577811229999,-71.9063995669999 -54.6574991229999,-71.8219455669999 -54.6538901229999,-71.803063567 -54.6492451229999,-71.781954567 -54.632227123,-71.739727567 -54.6102811229999,-71.7105545669999 -54.6041721229999,-71.6825095669999 -54.6063901229999,-71.6702905669999 -54.615563123,-71.5111275669999 -54.685281123,-71.495836567 -54.6905631229999,-71.4852905669999 -54.6913901229999,-71.478045567 -54.669463123,-71.4027905659999 -54.5551451229999,-71.3547275659999 -54.5237541229999,-71.3356995659999 -54.5229181229999,-71.2650185659999 -54.578336123,-71.261127566 -54.615563123,-71.2752815659999 -54.6466631229999,-71.2900095659999 -54.648063123,-71.3025095659999 -54.6545901229999,-71.3020905659999 -54.6655631229999,-71.2924995659999 -54.673754123,-71.2727815659999 -54.6797271229999,-71.1805545659999 -54.703336123,-71.1647365659999 -54.6988901229999,-71.058345566 -54.663336123,-71.043345566 -54.6512541229999,-71.037790566 -54.6402811229999,-71.0411185659999 -54.6261091229999,-71.0141725659999 -54.6144451229999,-70.9705635659999 -54.620281123,-70.9686095659999 -54.6416721229999,-70.995281566 -54.7063901229999,-71.003063566 -54.7163901239999,-71.0122185659999 -54.7252811239999,-71.0272365659999 -54.737227124,-71.0361185659999 -54.7458361239999,-71.0452905659999 -54.758054124,-71.046254566 -54.7702811239999,-71.0366725659999 -54.7777811239999,-71.011399566 -54.7736181239999,-70.9930545659999 -54.7599991239999,-70.934845566 -54.716863124,-70.870281566 -54.6863901229999,-70.8258365659999 -54.678336123,-70.808063566 -54.6752811229999,-70.7974995659999 -54.674999123,-70.7826455659999 -54.6769451229999,-70.771672566 -54.683754123,-70.7822275659999 -54.6906991229999,-70.8609815659999 -54.705836123,-70.9051455659999 -54.7055541229999,-70.919036566 -54.710981123,-70.8967455659998 -54.7422091239999,-70.8000635659999 -54.7446721239999,-70.728318566 -54.7335811239999,-70.638063566 -54.7152811239999,-70.591399566 -54.6980631229999,-70.5844455659999 -54.6895901229998,-70.6099995659999 -54.6802811229999,-70.625145566 -54.6711811229999,-70.558063566 -54.6283361229999,-70.545009566 -54.6258361229999,-70.484454566 -54.6241721229999,-70.4644455659999 -54.625281123,-70.4556995659999 -54.630690123,-70.4616725659999 -54.6424991229999,-70.5202815659998 -54.6916721229999,-70.538890566 -54.7013901229999,-70.6249995659999 -54.7341721239999,-70.6855635659999 -54.7550631239999,-70.7160545659999 -54.7617271239999,-70.7562275659999 -54.7667271239998,-70.7715635659999 -54.770054124,-70.7883095659999 -54.777854124,-70.8362545659999 -54.8133361239999,-70.822509566 -54.8269541239999,-70.801390566 -54.8355541239999,-70.762790566 -54.8411181239999,-70.750836566 -54.841390124,-70.7369545659999 -54.839309124,-70.628063566 -54.806945124,-70.432236566 -54.814172124,-70.394209566 -54.820318124,-70.364018566 -54.8136811239999,-70.363345566 -54.8033451239999,-70.353345566 -54.7872271239999,-70.326399565 -54.7536181239999,-70.2398725649999 -54.6891721229999,-70.2281995649999 -54.694727123,-70.232509565 -54.708336123,-70.2852815649999 -54.7611181239999,-70.306118565 -54.7763901239999,-70.3223725649999 -54.791390124,-70.3189815649999 -54.8244091239999,-70.3050095649999 -54.843890124,-70.2797275649999 -54.853481124,-70.2461275649999 -54.8586091239999,-70.2127815649998 -54.857781124,-70.089736565 -54.8527811239999,-69.740845565 -54.808618124,-69.7223095649999 -54.786727124,-69.7150095649999 -54.727227124,-69.638063565 -54.696672123,-69.627781565 -54.6956991229999,-69.6237545649999 -54.757918124,-69.6286185649999 -54.7687541239999,-69.6579905649999 -54.787590124,-69.6634095649999 -54.798627124,-69.6534815649999 -54.8213901239999,-69.5486185649999 -54.8541721239999,-69.480009565 -54.8699991239999,-69.111118564 -54.9483361239999,-69.090836564 -54.950563124,-69.066954564 -54.9508361239999,-69.0561185639999 -54.9502811239999,-68.9605545639999 -54.9441721239999,-68.8025095639999 -54.926118124,-68.770009564 -54.917227124,-68.7486725639999 -54.9007361239999,-68.7588995639999 -54.880836124,-68.8013905639999 -54.8705631239999,-68.8256995639999 -54.8602811239999,-68.8391725639999 -54.8511091239998,-68.849727564 -54.8433361239999,-68.8900095639999 -54.802918124,-68.7555725639999 -54.840563124,-68.735563564 -54.8494451239999,-68.7163905639999 -54.8625811239999,-68.6998095639999 -54.873499124,-68.678890564 -54.8855631239999,-68.6669545639999 -54.8890271239999,-68.6502815639999 -54.8897271239999,-68.6431088389999 -54.8886089929999,-68.6423305639999 -54.893038124,-68.6417525639999 -54.899400124,-68.640595564 -54.9098111239999,-68.625557564 -54.9103901239999,-68.6018445639999 -54.9098111239999,-68.5711905639999 -54.907498124,-68.5390905639999 -54.9063411239999,-68.408667564 -54.8944841239999,-68.3078855639999 -54.870771124,-68.183389564 -54.870771124,-68.070751563 -54.882628124,-67.910686563 -54.8885561239999,-67.756549563 -54.900413124,-67.620197563 -54.900413124,-67.495702563 -54.900413124,-67.412705563 -54.9063411239999,-67.288210563 -54.9122691239999,-67.1992855629999 -54.9300541239999,-67.062933562 -54.9478391239999,-66.9265815619999 -54.971553124,-66.831727562 -54.989338124,-66.7546595619999 -55.0367641239999,-66.6835195619999 -55.0723351239999,-66.6123795619999 -55.1019761239999,-66.5293825619999 -55.1138331239999,-66.4166665619998 -55.1216661239999,-66.0783325619999 -55.1833321239999,-65.7266665609999 -55.3816661239999,-65.7266665609999 -55.3816665489999,-65.726667 -56.3799991659999,-65.726667 -56.3799999999999,-67.266667 -56.3799999999999,-67.2666665629999 -58.3761471269999,-67.2666665629999 -58.376147514,-67.2666665629999 -59.7780791279998,-67.3238415629999 -59.7877561279999,-68.4637855639999 -59.8639221279999,-68.4639485639999 -59.863918128,-68.465458564 -59.8640131279999,-68.4670355639999 -59.8639721279999,-68.4817805639999 -59.8648951279999,-69.630801565 -59.830217128,-70.7433555659999 -59.6861831279999,-71.776457567 -59.4384431279999,-72.6923495679999 -59.096561128,-73.460501568 -58.6733911269999,-74.0587005689999 -58.1843091269999,-74.1896165689998 -58.0161951269999,-74.5861345689999 -57.8529021259999,-75.3767905699999 -57.7147101259999,-76.3221505709999 -57.4350401259999,-77.1467555719998 -57.065715126,-77.8243565719999 -56.620323125,-78.3364415729999 -56.1146851249999,-78.672234573 -55.5660651239999,-78.6722418859999 -55.5660398599999,-78.672245381 -55.566027154,-78.672272348 -55.5659825,-78.6723415729999 -55.565867124,-78.6736685729999 -55.561043124,-78.6859465729999 -55.5406981239999,-78.687253573 -55.535937124,-78.6995555729998 -55.515529124,-78.7002878659999 -55.5128580749999,-78.7008433939999 -55.5108315059999,-78.70084353 -55.5108312799998,-78.700843573 -55.5108311239999,-78.701713573 -55.5093861239999,-78.7188745729999 -55.491747124,-78.721873573 -55.4896401239999,-78.739690573 -55.471306124,-78.7427635729999 -55.4691451239999,-78.7605085729999 -55.4508651239999,-78.7636545729999 -55.448650124,-78.7813265729999 -55.430424124,-78.7845475729999 -55.4281551239999,-78.8021465729999 -55.409983124,-78.8054405729999 -55.407660124,-78.8140117269999 -55.3988004439999,-78.8229672979999 -55.3895430689999,-78.8243178889999 -55.388589441,-78.8263345729998 -55.387165124,-78.835674239 -55.3775001339999,-78.8437892429999 -55.369102149,-78.845135009 -55.3681509319999,-78.8472295729999 -55.3666701239999,-78.8585860009999 -55.354904726,-78.8646122929999 -55.348661224,-78.865635372 -55.3479373329999,-78.8681255729999 -55.346175124,-78.8854365729999 -55.3282201239999,-78.889022573 -55.325680124,-78.9062615729999 -55.307779124,-78.909920573 -55.3051841239999,-78.927087574 -55.287338124,-78.9308195739999 -55.2846891239999,-78.947915574 -55.2668971239999,-78.9517195739999 -55.2641941239999,-78.9595675739999 -55.256019124,-78.9613445739999 -55.254756124,-79.443614574 -54.7454551239999,-79.445696993 -54.741821563,-79.447224231 -54.7391565,-79.4472245689999 -54.739156136,-79.4529725739999 -54.7330011239999,-79.4596305739999 -54.721373124,-79.470320574 -54.7099171229999,-79.476934574 -54.698351123,-79.4876705739999 -54.686833123,-79.4942415739999 -54.675329123,-79.503613278 -54.6652646669999,-79.505023407 -54.663750239,-79.506405964 -54.6613265459999,-79.511550574 -54.652307123,-79.522378574 -54.6406661229999,-79.528862574 -54.6292851229999,-79.539736574 -54.617582123,-79.5461765739999 -54.6062631229999,-79.5553119999998 -54.5964216259999,-79.557096208 -54.5944993619999,-79.559201147 -54.590795311,-79.5634935739999 -54.5832411229999,-79.5744585739999 -54.571415123,-79.5806955579999 -54.5604270389999,-79.5808131069999 -54.5602199369999,-79.580813574 -54.560219123,-79.5918235739999 -54.5483321229999,-79.5936921929999 -54.5450359889999,-79.5981350969999 -54.537198103,-79.6014082699999 -54.5336604729999,-79.6091905739999 -54.525248123,-79.6154595739999 -54.5141761229999,-79.6265605739999 -54.5021651229998,-79.632786574 -54.4911541229999,-79.6388663579999 -54.484569826,-79.6439331369999 -54.479082111,-79.6485480439999 -54.470909966,-79.650116574 -54.468132123,-79.661307574 -54.4559981229999,-79.6666608399999 -54.4465076489999,-79.6674484449999 -54.4451111889999,-79.668423664 -54.4440527209999,-79.678684574 -54.4329151229999,-79.6830806229999 -54.4251119369999,-79.6847831009999 -54.422089564,-79.6921435939999 -54.414092335,-79.696064512 -54.4098321899999,-79.6967627339999 -54.4085910909999,-79.7021205739999 -54.399067123,-79.7102376829999 -54.390239068,-79.713446397 -54.3867491039999,-79.7149366869999 -54.384096756,-79.719459574 -54.376046123,-79.730830574 -54.3636651229999,-79.7368025739999 -54.3530241229998,-79.7482175739999 -54.3405821229999,-79.7541465739999 -54.3300031229999,-79.7656065739999 -54.3174991229999,-79.7714935739999 -54.306982123,-79.7829985739999 -54.294416123,-79.7888435739999 -54.283960123,-79.8003925479999 -54.2713331509999,-79.80039257 -54.2713331209999,-79.804164574 -54.2645771229999,-79.8116865739999 -54.256346123,-79.9592175739999 -53.990375123,-80.121904292 -53.8096122099999,-80.1296155769999 -53.8010440719999,-80.177268555 -53.712546053,-80.4268845749999 -53.2489751219999,-80.508811753 -52.8791468639999,-80.554209461 -52.6742163699999,-80.5537744219999 -52.668047405,-80.553926912 -52.6673520319999,-80.5546735749999 -52.663945122,-80.5534325749999 -52.6463271219999,-80.5560055749999 -52.6345901219999,-80.555886129 -52.6328922189999,-80.5547671639999 -52.6169920699999,-80.5573431269999 -52.6052355749999,-80.5561074949999 -52.587656532,-80.5561075769999 -52.5876561549999,-80.5561075799999 -52.5876561229999,-80.5586864599999 -52.5758806639999,-80.5583015879999 -52.570400255,-80.5580025749999 -52.566144122,-80.561890575 -52.5586991209999,-80.5644321199999 -52.5470833179999,-80.5655354799999 -52.5420400999999,-80.5664427669999 -52.5403012149999,-80.5711605749999 -52.5312581209999,-80.574790575 -52.5146451209999,-80.580435575 -52.5038171209999,-80.5840505749999 -52.487251121,-80.589714575 -52.4763761209999,-80.5913665749999 -52.468795121,-80.5934123289999 -52.4648661739999,-80.5939712249999 -52.463792455,-80.717987189 -51.8890291469999,-80.6907979819999 -51.5003182169999,-80.687131575 -51.44790212,-80.7586005749999 -51.1111051199999,-80.7580165749999 -51.1026451199999,-80.7614515749999 -51.0863641199999,-80.7607665749999 -51.07643712,-80.764809575 -51.05726512,-80.764526411 -51.05315426,-80.764127219 -51.0473642389999,-80.7659974669999 -51.0384889529998,-80.7681725749999 -51.02816512,-80.7676662169999 -51.020811758,-80.7674924839999 -51.018290507,-80.7674925709999 -51.018290119,-80.7715405749999 -50.9990651199999,-80.7708625749999 -50.98921612,-80.773309592 -50.977590375,-80.7749142549999 -50.969965573,-80.7742381309999 -50.9601428709999,-80.778292461 -50.940865655,-80.7781852969999 -50.939308417,-80.7781555749999 -50.93887712,-80.7789775749999 -50.9349661199999,-80.7520881319999 -50.5355039409999,-80.7399824489999 -50.3556671349999,-80.7391881209999 -50.3533680099999,-80.7377891449999 -50.3320933589999,-80.7367932949999 -50.329208622,-80.7355348889999 -50.3100273499999,-80.7350425779999 -50.302525163,-80.7350425699998 -50.302525121,-80.7340474669999 -50.2996397049999,-80.732301374 -50.272957699,-80.7313066979999 -50.2700706419999,-80.7313066839999 -50.270070435,-80.7313065749999 -50.270070119,-80.7295645749999 -50.2433891189999,-80.7285705749999 -50.2405011189999,-80.7276589849999 -50.2264963099999,-80.727011357 -50.2165509309999,-80.7290662939999 -50.206755104,-80.7286633209999 -50.2005603699999,-80.7329153969999 -50.180280142,-80.73343146 -50.1778186669999,-80.733030478 -50.1716533209999,-80.7378012949999 -50.1488823779999,-80.737402292 -50.142746229,-80.7393537029999 -50.1334254229999,-80.7421755749999 -50.119945119,-80.741778575 -50.113839119,-80.7465545749999 -50.091009119,-80.746159575 -50.084931119,-80.750938575 -50.0620731189999,-80.7507113089999 -50.0585750699999,-80.750545568 -50.0560246939999,-80.7505456019999 -50.0560245339999,-80.7505455749999 -50.056024119,-80.7553265749999 -50.0331361189999,-80.7549355749999 -50.027117119,-80.759719575 -50.004200119,-80.7593305749999 -49.998210119,-80.764117524 -49.9752633609999,-80.7637303919999 -49.969302776,-80.7644037599999 -49.9660724079998,-80.768519575 -49.9463261189998,-80.7683384639999 -49.9435360739999,-80.76813452 -49.940395386,-80.768134575 -49.9403951199999,-80.7729264279999 -49.9173903049999,-80.7725432249999 -49.9114879539999,-80.7744210399999 -49.902466359,-80.7773375749999 -49.8884531189999,-80.777127666 -49.88521743,-80.7769564979999 -49.8825804799999,-80.7769565739999 -49.8825801189999,-80.7817535509999 -49.8595162349999,-80.781374328 -49.853672966,-80.7819928259999 -49.850697198,-80.786173575 -49.8305801189999,-80.7857965749999 -49.8247651189999,-80.790598575 -49.8016431189999,-80.7902236219999 -49.795857812,-80.790223575 -49.7958571189999,-80.7950284519999 -49.772706711,-80.794935977 -49.771281006,-80.7946545749999 -49.7669501189999,-80.7985635379999 -49.748104493,-80.7994624689999 -49.7437700689999,-80.799274342 -49.7408694319999,-80.799903059 -49.7378362699999,-80.801706575 -49.729133119,-80.801255575 -49.722180119,-80.8028165749999 -49.7146481189999,-80.802547751 -49.710496123,-80.801906088 -49.700593102,-80.805066101 -49.6853373019999,-80.804157511 -49.6713020399999,-80.8041576049998 -49.6713015859999,-80.804157575 -49.671301119,-80.807319575 -49.6560261189999,-80.8067325749999 -49.6469511189999,-80.808781575 -49.6370521189999,-80.808696638 -49.6357378209999,-80.808513508 -49.6329058059999,-80.808513593 -49.6329053969999,-80.8085135749999 -49.6329051189999,-80.808690605 -49.6320498219999,-80.8097880919998 -49.6267451919999,-80.809029226 -49.615003407,-80.812645108 -49.597519399,-80.811888228 -49.5858000609999,-80.814087775 -49.5751584939999,-80.815506575 -49.5682931189999,-80.8147515749998 -49.5565961189999,-80.818372575 -49.5390671189999,-80.817619575 -49.5273931189999,-80.821243575 -49.509841119,-80.8204925749999 -49.498189119,-80.8241185749999 -49.4806151189999,-80.823369575 -49.468986119,-80.8269985749998 -49.4513891189999,-80.8262515749998 -49.439782119,-80.8286335879999 -49.428226864,-80.829883261 -49.4221637669999,-80.8291382049999 -49.4105788839999,-80.832772205 -49.3929376849999,-80.8324039829999 -49.387208233,-80.832033575 -49.3814511189999,-80.8352586199998 -49.3657891669999,-80.8356464819998 -49.363905238,-80.7992334419999 -48.7846476569999,-80.799213133 -48.7845865469999,-80.7992080349999 -48.784503628,-80.799204575 -48.7844521179999,-80.7982229959999 -48.781497133,-80.796139405 -48.775226021,-80.7950325609999 -48.7571839959999,-80.7948975849999 -48.7549842829999,-80.7918322449999 -48.745748529,-80.7910952999999 -48.7336992159999,-80.7905945749998 -48.7255161179999,-80.7892789119999 -48.7215472359999,-80.787529557 -48.7162708939999,-80.7862964889999 -48.696047957,-80.78323133 -48.6867931149998,-80.782002602 -48.666579524,-80.7789375569999 -48.6573151939999,-80.7777131619999 -48.637110946,-80.7746482259999 -48.6278371299999,-80.773428152 -48.6076422229999,-80.7703633299998 -48.5983589229999,-80.769147564 -48.578173356,-80.7679147489999 -48.5744352219999,-80.7660825749999 -48.5688801179999,-80.7654005089999 -48.557516489,-80.7648713899998 -48.5487043439999,-80.7632743219999 -48.5438565979999,-80.761806575 -48.5394021179999,-80.760599575 -48.5192351179999,-80.7604739149999 -48.518853216,-80.7575351519999 -48.5099234509999,-80.7563322459999 -48.489765888,-80.7538612739999 -48.482249622,-80.7532675749999 -48.480444118,-80.7527125469999 -48.4711096399999,-80.7520692579999 -48.4602964439999,-80.7501320519999 -48.4543975779999,-80.7490045749999 -48.4509651179999,-80.747810613 -48.430826754,-80.7447465469999 -48.421486707,-80.743556403 -48.4013571259999,-80.7404924299998 -48.3920075099999,-80.7393065179999 -48.3718872529999,-80.737591349 -48.3666479529999,-80.7362425749999 -48.3625281179999,-80.7350605749999 -48.342417118,-80.7337565559999 -48.338428429,-80.7319972679999 -48.333048697,-80.731274333 -48.3207069599999,-80.7308195749999 -48.3129471179999,-80.7296379609999 -48.309329364,-80.7277562049999 -48.3035690799999,-80.7271195279999 -48.292666071,-80.7265825749998 -48.283476118,-80.7252261149999 -48.2793190529999,-80.723519475 -48.2740893239999,-80.7223503829999 -48.254006338,-80.721119061 -48.250229181,-80.719286575 -48.244609117,-80.718692056 -48.234356213,-80.7181221549999 -48.2245357539999,-80.716081448 -48.218269177,-80.7150585749999 -48.2151291169999,-80.7144834689999 -48.2051812649999,-80.713898232 -48.1950650299999,-80.7108351959999 -48.1856492219999,-80.7097560589999 -48.166937203,-80.7096785749999 -48.165594117,-80.7093433539999 -48.164562517,-80.7066157099999 -48.15616891,-80.7066156829999 -48.1561684499999,-80.7066155749999 -48.1561681169999,-80.7063599059999 -48.15171943,-80.7054632649998 -48.1361231569999,-80.7024005119999 -48.1266884599999,-80.7012522029999 -48.1066520099999,-80.698189594 -48.0972078729999,-80.6970454089999 -48.0771807229999,-80.6955128769999 -48.0724499199999,-80.6939825749999 -48.0677271169999,-80.692842575 -48.0477091169998,-80.6904503359999 -48.040315988,-80.689780561 -48.038246284,-80.6886445939999 -48.018237729,-80.685582429 -48.0087652839999,-80.6844505549999 -47.9887660229999,-80.6813885409999 -47.9792841469999,-80.681194876 -47.9758514499999,-80.680260575 -47.9592941169999,-80.6771985749999 -47.9498021169999,-80.676750452 -47.9418292729999,-80.676075171 -47.9298221929999,-80.673013464 -47.9203214629999,-80.672613194 -47.9131818209999,-80.671893575 -47.900350117,-80.6709732289999 -47.897490461,-80.668832257 -47.8908399169999,-80.6678230269999 -47.872781236,-80.6677166059999 -47.870877664,-80.6646552589999 -47.861358234,-80.6638157329999 -47.846288535,-80.6635435749999 -47.841405117,-80.6631917229999 -47.8403097889999,-80.6604824629999 -47.8318764159999,-80.6601593559999 -47.8260581659999,-80.6593745749999 -47.811932117,-80.6577785749998 -47.806960117,-80.657202575 -47.7965641169998,-80.6103744759999 -47.648666851,-80.477703278 -47.229652072,-80.4711451929999 -47.218633182,-80.4694095749999 -47.2157171169999,-80.4949455749999 -47.0933101159999,-80.4886495279998 -46.9646713989999,-80.4665781729999 -46.5137253649999,-80.4662266289999 -46.512578602,-80.466226611 -46.512578235,-80.466226575 -46.5125781159999,-80.465944575 -46.506684116,-80.4653693349999 -46.5048064019999,-80.4644684579999 -46.501866782,-80.464150924 -46.4952094239999,-80.4632875749999 -46.4771171159999,-80.4625122619999 -46.474583985,-80.461880422 -46.472520349,-80.4615835909999 -46.466279758,-80.4607575749999 -46.4489231159998,-80.391791385 -46.220608273,-80.2893422249999 -45.8814488939999,-80.2893196969999 -45.8814096099999,-80.288935307 -45.880120744,-80.288441513 -45.8792596019999,-80.280172754 -45.8515148729999,-80.279662948 -45.8506249509999,-80.279662833 -45.850624566,-80.2796625749999 -45.850624115,-80.277805916 -45.8443858839999,-80.271413359 -45.8229088269999,-80.2708875769999 -45.8219901219999,-80.2626571189999 -45.7943026039999,-80.2626276789998 -45.7942511169999,-80.2626235749999 -45.7942441149999,-80.2621115749999 -45.7925211149999,-80.254936575 -45.7799681149999,-80.2509926639999 -45.7666764139999,-80.2449673199998 -45.7561249149999,-80.2427343999999 -45.7485909599999,-80.2416725749999 -45.745009115,-80.177483292 -45.631214282,-79.9376304889999 -45.2060038209999,-79.935083999 -45.203073869,-79.9350835819999 -45.203073122,-79.9338405739999 -45.2008441149999,-79.925626638 -45.1913883139999,-79.921908574 -45.1871083729999,-79.9161206619999 -45.1767146529999,-79.904151428 -45.162922608,-79.8998182359999 -45.1551319039999,-79.8984015739999 -45.152585115,-79.896224753 -45.15007422,-79.888614224 -45.141296274,-79.8936571899999 -45.117912631,-79.883195923 -44.797835369,-79.874695574 -44.537765114,-79.8178658749999 -44.332856334,-79.716916145 -43.9688676499999,-79.5047101869999 -43.5706503229999,-79.448936574 -43.4659881129999,-79.4466235739999 -43.360307113,-79.2972635739999 -42.7903791119999,-79.2908765949999 -42.7780213189999,-79.2840035119999 -42.7647232049999,-79.2839772349999 -42.764621592,-79.283900574 -42.7643261119999,-79.277840748 -42.7525887429999,-79.270331539 -42.7380445579999,-79.2703067859999 -42.737948691,-79.270238574 -42.7376861119999,-79.26791287 -42.7331774409999,-79.264633451 -42.72682092,-79.2646062159999 -42.7267153709999,-79.264598712 -42.7266866419999,-78.98766518 -42.1839715779999,-78.630456252 -41.731103973,-78.6261693849999 -41.7133363949999,-78.622638864 -41.7061779149999,-78.6226387639999 -41.706177499,-78.6226385729999 -41.7061771109999,-78.617485573 -41.684794111,-78.6172802839999 -41.6843774459999,-78.613944203 -41.6776071229999,-78.608804412 -41.656252051,-78.6078822769999 -41.654378965,-78.605251573 -41.6490361109999,-78.6015529319999 -41.6336477139999,-78.600125551 -41.62770965,-78.5965622079999 -41.6204651109999,-78.5914491 -41.599167098,-78.5878748669999 -41.5918938899999,-78.5878747819999 -41.5918935359999,-78.5878745729999 -41.5918931109999,-78.5827745729999 -41.570624111,-78.579189573 -41.5633221109999,-78.5765263269998 -41.5521994179999,-78.5741034159999 -41.5420815369999,-78.5705074759999 -41.5347510189999,-78.5654341729999 -41.513538529,-78.5618274189999 -41.50617937,-78.5567673259999 -41.4849953689999,-78.554896621 -41.481175256,-78.554896599 -41.4811751629999,-78.554896573 -41.481175111,-78.5539540579999 -41.4772258489999,-78.5522826229999 -41.4702224189999,-78.5508943169999 -41.467385915,-78.5488865729999 -41.463284111,-78.547410567 -41.457094287,-78.5473166899999 -41.456700622,-78.540269187 -41.4422929579999,-78.5380392 -41.4329307289999,-78.5370245729999 -41.4286721109999,-78.5299665729999 -41.4142291109999,-78.52881655 -41.4093933899999,-78.5267353759999 -41.400643998,-78.522188596 -41.3913311029999,-78.5196665729999 -41.386166111,-78.5184332759999 -41.3809726979999,-78.5164480919999 -41.372615453,-78.5093692029999 -41.3581024739999,-78.5074934639998 -41.3501951909999,-78.5061625729999 -41.344586111,-78.5018250689999 -41.335684714,-78.4990737529999 -41.330038692,-78.499073655 -41.3300382799999,-78.4990735729999 -41.3300381109999,-78.4988317359999 -41.329017063,-78.4958802439999 -41.3165579,-78.488780569 -41.3019747669999,-78.485599674 -41.2885288929999,-78.4784896479999 -41.2739106989999,-78.4753213349999 -41.2604997319999,-78.4703201059999 -41.2502075099999,-78.468200573 -41.2458461109999,-78.466833731 -41.240051222,-78.4650452229999 -41.232470416,-78.457914576 -41.217782122,-78.4547713339999 -41.2044409479999,-78.4476304199999 -41.1897176369999,-78.4449091639999 -41.178151774,-78.444499584 -41.1764111589999,-78.444499568 -41.1764111129999,-78.437348512 -41.161652997,-78.434230212 -41.14838155,-78.4290759709999 -41.1377343609999,-78.4270685729999 -41.1335881109999,-78.423962573 -41.1203511109999,-78.4211574559999 -41.114550766,-78.416791422 -41.1055232899999,-78.4154958299999 -41.0999942159999,-78.4136975729999 -41.0923211109999,-78.4116048879999 -41.0879897409999,-78.4065162329999 -41.0774582239999,-78.4034351159999 -41.0642913029999,-78.3962432779999 -41.049393015,-78.3931744929999 -41.0362609149999,-78.388147756 -41.0258388499999,-78.3881475929999 -41.0258381529999,-78.388147578 -41.0258381099999,-78.3860123009999 -41.016691298,-78.355514748 -40.9527775889999,-78.350569573 -40.9424141109999,-78.296365083 -40.594141093,-78.2676825679999 -40.4098519669999,-78.193209086 -40.218684814,-78.137944573 -40.07682611,-78.1376126229999 -40.0746311509999,-78.137165125 -40.071675705,-78.065922384 -39.887353058,-78.0473980889998 -39.763542249,-78.0470051669998 -39.762520229,-78.0467525729999 -39.7618641099999,-78.0444036549999 -39.7461266609999,-78.03737346 -39.727817713,-78.021096573 -39.68542811,-78.0209395649999 -39.684370072,-78.020874459 -39.6839323949999,-78.0154457659999 -39.669775731,-78.010980573 -39.658132109,-78.005590733 -39.621810979,-78.001906473 -39.5969847489999,-77.9736015589999 -39.5229713449999,-77.9736016049999 -39.5229711929999,-77.9736015729999 -39.522971109,-78.004229419 -39.4228736759999,-78.142459258 -38.971112282,-78.1453574129999 -38.9325545249999,-78.1454167799999 -38.9323590729999,-78.146207573 -38.9297541089999,-78.1474935549999 -38.9126383979999,-78.147493573 -38.9126381089999,-78.158362573 -38.8768281089999,-78.183472931 -38.5402158809999,-78.2017212059999 -38.2955871099999,-78.2016233279999 -38.2949241219999,-78.2015745729999 -38.2945951079999,-78.2016265729999 -38.2938911079999,-78.142041836 -37.8867178319999,-78.116975456 -37.715427554,-77.9096171389999 -37.1570315829999,-77.8215691789999 -37.0148752609999,-77.8125750229999 -36.95034049,-77.806351572 -36.9056881069999,-78.3373105729999 -37.0088301069999,-78.3431835729999 -37.009117107,-78.350824573 -37.0105841069999,-79.075736574 -37.04393111,-79.615533574 -36.990472107,-80.2300985749999 -37.1008441079999,-80.9567735749998 -37.1242131069999,-80.9586705749999 -37.124002107,-80.9650950949999 -37.1241920979999,-81.0334202029999 -37.116431414,-81.684306576 -37.0425001069999,-81.684451576 -37.0424621069999,-81.6988475759999 -37.040787107,-82.3860475769999 -36.8568721069999,-82.387639577 -36.856174107,-82.3881175769999 -36.8560441069999,-83.0203225769999 -36.5762911069999,-83.5770365779999 -36.2101781059999,-83.577397578 -36.209838106,-83.5860835779999 -36.204086106,-84.0499925779999 -35.763779106,-84.4077305789999 -35.2637081049999,-84.4078208729999 -35.263506756,-84.4080910959999 -35.262903153,-84.409128627 -35.2614443109999,-84.409618579 -35.2607551049999,-84.410088579 -35.2597051049999,-84.4103673889999 -35.2593133749999,-84.410567262 -35.259032324,-84.41066129 -35.258822268,-84.410914579 -35.2582551049999,-84.4114794559999 -35.2574618529999,-84.4115201319999 -35.2574046549999,-84.4706537339999 -35.1246088379999,-84.653674579 -34.7135991049999,-84.6537232219999 -34.7133733159999,-84.653741404 -34.713288142,-84.654039972 -34.712614155,-84.6554855789999 -34.7093491049999,-84.6556352329999 -34.7086507189999,-84.6556862039999 -34.708411917,-84.655800687 -34.7081534679999,-84.6563885109999 -34.70682626,-84.6564504769999 -34.706535926,-84.6569975789999 -34.7039711049998,-84.6572485789999 -34.7034041049999,-84.6588145789999 -34.6960681049999,-84.6589064869999 -34.6958613129999,-84.6589595959999 -34.6956124459999,-84.659671579 -34.692273105,-84.660673579 -34.6900111049999,-84.7819695789998 -34.1195611039999,-84.7819635289999 -34.116309084,-84.781960348 -34.114723705,-84.783421314 -34.1078286229999,-84.78342107 -34.107706403,-84.7834205789998 -34.1075891039999,-84.784243438 -34.1037067789999,-84.7834673319999 -33.5241733999999,-84.663028318 -32.95303991,-84.656129202 -32.9370943989999,-84.655389579 -32.9353851029999,-84.6540825789999 -32.9291231029999,-84.5445866479999 -32.67395205,-84.4198625819999 -32.3832934439999,-84.418964005 -32.3819672949999,-84.418823579 -32.3817601029999,-84.4188085789999 -32.381725103,-84.2880375289998 -32.1873115059999,-84.0793847849999 -31.877113885,-84.075766292 -31.8733923689999,-84.075393578 -31.8730091019999,-84.074795708 -31.8721133719999,-84.074281442 -31.8713431249999,-83.640929727 -31.4224384439999,-83.1269688869999 -31.042011471,-83.1256936859999 -31.041353678,-83.1250152549999 -31.040847888,-82.545586543 -30.739607156,-81.9171747509999 -30.526000769,-81.914379798 -30.5255001919999,-81.9133032719999 -30.525130743,-81.906612197 -30.5239320389999,-81.9064505759999 -30.5239031009999,-81.90558247 -30.523604989,-81.895859383 -30.5202669289999,-81.2360398029999 -30.4001630159999,-80.5628668249999 -30.377044831,-80.5613298729999 -30.3772202869999,-80.5590089199999 -30.37713465,-80.0952239729999 -30.4292480909999,-80.0952238999999 -30.4292480639999,-80.095223575 -30.4292481009999,-80.093711242 -30.4287036799999,-80.0919594699999 -30.4280732409999,-79.4354434219999 -30.299018436,-78.763817342 -30.266827421,-78.7615986009999 -30.2670508329999,-78.758987286 -30.2669189879999,-78.7580790209999 -30.2670104159999,-78.7541579999999 -30.2668123199999,-78.75227752 -30.2670015379999,-78.7483565049999 -30.2668032719999,-78.080008974 -30.332329839,-78.0774056309999 -30.3329873759999,-78.075196709 -30.3331982679999,-77.428454272 -30.494726995,-77.426754994 -30.495440941,-77.4264929939999 -30.4955056429999,-77.4253838179998 -30.4959716399999,-77.420650686 -30.4971403659999,-77.4197785279999 -30.4975067329999,-77.4196996259999 -30.4975262139999,-77.3644419219999 -30.5207214069999,-77.3583314629999 -30.52222685,-76.750791471 -30.775027805,-76.750461889 -30.7752310229999,-76.7488478449999 -30.775897302,-76.1979479019999 -31.113286025,-75.719704081 -31.5258298219998,-75.719139137 -31.5265216679999,-75.717668959 -31.527781831,-75.7142167069999 -31.5320091109999,-75.710588506 -31.535118487,-75.6990302419999 -31.5492667969999,-75.6983648729999 -31.5498367879999,-75.524381068 -31.7621805269999,-75.5243811869999 -31.7621793489999,-75.5243805699999 -31.7621801019999,-75.5789665699999 -31.2227871019999,-75.5788445699999 -31.2216131019999,-75.5788975509999 -31.221087288,-75.577972643 -31.2121868159999,-75.5779725699999 -31.212186102,-75.5782212229999 -31.2097164409999,-75.5790920719999 -31.2010620349999,-75.5790346109999 -31.200509025,-75.5790346379999 -31.200508752,-75.57903457 -31.200508102,-75.579057033 -31.2002861699999,-75.579059563 -31.2002611,-75.579058305 -31.2002490629999,-75.57903057 -31.199985102,-75.5790404219998 -31.1998918859999,-75.579043375 -31.199862535,-75.5724761539999 -31.1366154789999,-75.5724046429999 -31.1359267889999,-75.5724045699999 -31.1359261019998,-75.5788872459999 -31.0713122719999,-75.6009920819999 -30.850985105,-75.600897743 -30.850075795,-75.6008635699999 -30.8497481009999,-75.6008811409999 -30.8495742379999,-75.6009200899999 -30.8491848969999,-75.5876665709999 -30.7212641429999,-75.5876665709999 -30.721264101,-75.5899380749999 -30.698554997,-75.5898245229999 -30.6974575189999,-75.5898245679999 -30.6974571009999,-75.589874535 -30.6969564479999,-75.589571753 -30.694029509,-75.5881305699999 -30.6801011009999,-75.591042557 -30.6509782319999,-75.5910294179999 -30.6508512,-75.59098557 -30.6504281009999,-75.59101057 -30.6501771009999,-75.53154657 -30.0717821009999,-75.520841606 -30.037321611,-75.517859529 -30.0277220949999,-75.5099155719999 -29.9497891679999,-75.4987043889999 -29.9136311739999,-75.4961044559999 -29.8880583469999,-75.4952995819999 -29.8801422189999,-75.4942381939999 -29.8767160969998,-75.4941706289999 -29.8760512069999,-75.4941215699999 -29.8755710999999,-75.4920735699999 -29.8689591,-75.4917355699998 -29.8656301,-75.4897585699999 -29.8592470999999,-75.4880657859999 -29.842569451,-75.4861452679999 -29.8236517559999,-75.485472482 -29.8214781149999,-75.4850815699999 -29.8202161,-75.485039096 -29.8197933489998,-75.485017382 -29.8195793519999,-75.4772319429999 -29.7944134589999,-75.47132957 -29.7753350999999,-75.4708954859999 -29.7710466599999,-75.469813148 -29.760359002,-75.3986603069999 -29.529500163,-75.37730857 -29.4602240999999,-75.37248257 -29.4119570999999,-75.40429857 -29.0957380999999,-75.4041205699999 -29.0939551,-75.4042025209999 -29.093138591,-75.404092185 -29.0920345319999,-75.40381157 -29.0892291,-75.403918676 -29.0881645819999,-75.403991305 -29.087440451,-75.4038130989999 -29.0856571599999,-75.403853597 -29.0852533739999,-75.40389457 -29.0848400999999,-75.34641157 -28.5063730989999,-75.1767096009999 -27.9452731999999,-74.9015061269999 -27.4181743739998,-74.9009294639999 -27.4174363579999,-74.9004941509999 -27.41659806,-74.8988681 -27.414516931,-74.8984165219999 -27.413647248,-74.8626685529999 -27.367868781,-74.823666701 -27.2926089769999,-74.818793356 -27.286355925,-74.8149983759999 -27.279025652,-74.7418043539999 -27.030675893,-74.7408951579999 -27.0289128549999,-74.7037571449998 -26.9024287399999,-74.6960945979999 -26.8763321919999,-74.6957559689999 -26.8756740099999,-74.6957558759999 -26.875673692,-74.6957555699999 -26.8756730979998,-74.6955105069999 -26.8748368129999,-74.6949893019998 -26.8730591359999,-74.687639179 -26.8587701179999,-74.6871715699999 -26.8578610979999,-74.6871715639999 -26.857861047,-74.67024255 -26.672208713,-74.6669216589999 -26.6608517889999,-74.6669216079998 -26.660851227,-74.6669215699999 -26.6608510969999,-74.6669152279999 -26.660781121,-74.666861345 -26.660189067,-74.5033476189999 -26.0980952889999,-74.4342637959999 -25.9621698219999,-74.4342638199999 -25.9621695909999,-74.4342635689999 -25.962169097,-74.444920569 -25.8614950969999,-74.444906787 -25.861338533,-74.4448955379999 -25.8612114789999,-74.4448955729999 -25.8612111469999,-74.4448955739999 -25.861211098,-74.444907569 -25.861095097,-74.444868825 -25.860654967,-74.4448575599999 -25.8605277269999,-74.4448575949999 -25.860527395,-74.4448575689999 -25.8605270969999,-74.444881569 -25.8602960969999,-74.4448565689999 -25.860011097,-74.444862792 -25.859955565,-74.4448691479999 -25.8598954669999,-74.404397467 -25.40074406,-74.393819569 -25.2807390959999,-74.352679661 -25.1365194379999,-74.2494594149999 -24.774672279,-74.2456251839999 -24.730184858,-74.2386505689999 -24.649264096,-74.2402955669999 -24.633761106,-74.239940485 -24.6296377219999,-74.2401184029999 -24.6279603479999,-74.2400694729999 -24.627392125,-74.240073251 -24.6273565019999,-74.240093569 -24.6271600949999,-74.240038569 -24.6265200949999,-74.240064085 -24.6262831569999,-74.2400664849999 -24.6262605319999,-74.2281930079999 -24.4879184349999,-74.1995835689999 -24.1545830949999,-74.258338569 -23.5964880949999,-74.2581815689999 -23.5946600949999,-74.2582625689999 -23.5938880949998,-74.2580256019999 -23.5911212999999,-74.2580095989999 -23.5909346869999,-74.2580096099999 -23.5909345759999,-74.2580095689999 -23.5909340949999,-74.258037573 -23.5906675249999,-74.2581402169999 -23.589687237,-74.257941118 -23.587365564,-74.257998825 -23.5868144309999,-74.2580435689998 -23.586384095,-74.2452912089998 -23.4370929749999,-74.208524164 -23.0066689649998,-74.203721408 -22.989505489,-74.2021985689998 -22.9840640939999,-74.2020383239999 -22.9821768719999,-74.2017271959999 -22.9785176679999,-74.1957604839999 -22.957184656,-74.193569569 -22.9493520939999,-74.193284607 -22.945994769,-74.1925981209999 -22.937912657,-74.192378407 -22.9371268259999,-74.1922915689999 -22.9368170939999,-74.1866945689999 -22.870885094,-74.1857327249999 -22.8674419849999,-74.1835324919999 -22.859566684,-74.1813362079999 -22.833656645,-74.174292569 -22.750566094,-74.1694434199999 -22.7331858979999,-74.1693386009999 -22.7328102179999,-74.1693385689999 -22.7328100939999,-74.1692749119999 -22.7320579029999,-74.168532375 -22.723286421,-74.1561280939999 -22.6788036529999,-74.1504354049998 -22.61143048,-74.1496562919999 -22.608633626,-74.148768208 -22.5981160709999,-74.1476915689999 -22.5853700939999,-74.055731684 -22.2537270719999,-73.9914285219999 -22.0218257179999,-73.7452492389999 -21.514609723,-73.736869075 -21.4110324499999,-73.7259203499999 -21.3708984909999,-73.775118391 -20.9058630929999,-73.7598001819999 -20.7161489259999,-73.728226569 -20.325118091,-73.7253853949999 -20.3146266019999,-73.7229815269999 -20.305750679,-73.7208054109999 -20.2786849199999,-73.7153223679844 -20.2104915810531,-73.7153225850068 -20.2104914903805,-73.7153225459554 -20.2104910030034,-73.7153603621118 -20.2103679872124,-73.7153683994972 -20.2103418416334,-73.7153064528015 -20.2102908437706,-73.7429115801353 -19.9809188020257,-73.74406541 -19.9770239179999,-73.748434854081 -19.935025711128,-73.4763347157487 -19.7574307978316,-73.310088769551 -19.6453114387681,-72.9698645075653 -19.4017417966647,-72.8190833005489 -19.2818900680106,-72.3938029730667 -18.9030039580719,-72.0071844935374 -18.5782444352673,-71.8091718701836 -18.3522222222222,-70.4027744545132 -18.351038210569,-70.398246336081 -18.3510343984566,-70.3963905659999 -18.3516720899999,-70.3838295713794 -18.3609370807936,-70.3838291819999 -18.360937368,-70.3630635659999 -18.3762540899999,-70.338054566 -18.4008360899999,-70.312018565 -18.43749909,-70.3397365659999 -18.57639009,-70.349590566 -18.63402709,-70.3394455659999 -18.82958109,-70.3233365649999 -18.8705540899999,-70.3188905649999 -18.8922270899999,-70.271663565 -19.1413900899999,-70.2687635649999 -19.18333609,-70.280699565 -19.2083990899999,-70.2841815649999 -19.2919450909999,-70.2630635649999 -19.3297270909999,-70.2405725649999 -19.368618091,-70.205290565 -19.4902810909999,-70.174999565 -19.644445091,-70.1544455649999 -19.7977810909999,-70.138899565 -19.9077810909999,-70.124736565 -19.9744450909999,-70.1244545649999 -20.0027810909999,-70.126399565 -20.080145091,-70.1359815649998 -20.1094450909999,-70.149727565 -20.1387540909999,-70.1605635649999 -20.214445091,-70.1343725649999 -20.2769450909999,-70.139727565 -20.3038900909999,-70.1688995649999 -20.3949990919999,-70.2104275649999 -20.8016720919999,-70.1733365649999 -20.8327810919999,-70.156681565 -20.8452810919999,-70.140009565 -20.873054092,-70.132927565 -20.925690092,-70.1511185649999 -20.9574990919999,-70.167581565 -21.012709092,-70.1461185649999 -21.055554092,-70.122218565 -21.1063900919999,-70.0669455649999 -21.302290092,-70.0907635649999 -21.3359360919999,-70.0855545649999 -21.366945092,-70.053345565 -21.4256540919999,-70.0855545649999 -21.5322180929999,-70.091399565 -21.5823630929999,-70.1367815649999 -21.619272093,-70.1543095649999 -21.6734720929999,-70.1530635649999 -21.7405540929999,-70.1486185649999 -21.771390093,-70.186672565 -22.024999093,-70.2075095649999 -22.0988900929999,-70.2227815649999 -22.162227093,-70.2419545649999 -22.313609093,-70.2577815649999 -22.4519450929999,-70.2830635649999 -22.6458360939999,-70.3098635649998 -22.790554094,-70.3001365649999 -22.8361090939999,-70.2913995649999 -22.8577810939999,-70.286118565 -22.8868810939999,-70.3066725649999 -22.9424990939999,-70.3358455659999 -23.0055540939999),(-73.9018815689999 -43.378654113,-73.866463569 -43.398199113,-73.7340365689999 -43.3763901129999,-73.714736569 -43.370281113,-73.694245569 -43.281463113,-73.712645569 -43.2454901129999,-73.740981569 -43.2312541129999,-73.7651455689999 -43.2110451129999,-73.780209569 -43.127427113,-73.7392455689999 -43.1157271129999,-73.515009568 -43.1302811129999,-73.4916095679999 -43.1158361129999,-73.503481568 -43.0851361129999,-73.529172568 -43.0583361129999,-73.563754569 -43.0097271129999,-73.5697365689999 -42.9941721129999,-73.621127569 -42.9638901129999,-73.6520905689999 -42.9354181129999,-73.643054569 -42.8963901119999,-73.6099995689999 -42.882781112,-73.5719455689999 -42.8855631119999,-73.4943095679999 -42.8763901119999,-73.4868185679999 -42.8538901119999,-73.5006365679999 -42.800354112,-73.517227568 -42.786663112,-73.5722365689999 -42.757509112,-73.620981569 -42.7451451119999,-73.8091725689999 -42.6057631119999,-73.8209725689999 -42.514309112,-73.7939635689999 -42.474372112,-73.7619455689999 -42.4672901119999,-73.7809185689999 -42.5070901119999,-73.7250725689999 -42.544036112,-73.6167455689999 -42.5106991119999,-73.6329455689999 -42.4973091119999,-73.6593095689999 -42.4869181119998,-73.6906995689999 -42.4624991119999,-73.683618569 -42.3780541119999,-73.6672275689999 -42.358754112,-73.6447275689999 -42.348336112,-73.5766635689999 -42.321390112,-73.552790569 -42.319727112,-73.498063568 -42.3256991119999,-73.3929995679999 -42.3074361119999,-73.380281568 -42.284999112,-73.369236568 -42.2490271119999,-73.3947995679999 -42.191318112,-73.420836568 -42.1866721119999,-73.488063568 -42.152918112,-73.499654568 -42.125354112,-73.4929275679999 -42.1034811119999,-73.4655635679999 -42.0955541119999,-73.4492725679999 -42.062645112,-73.525845568 -41.9730631119999,-73.503345568 -41.8415361119999,-73.5730635689999 -41.8061181109999,-73.602236569 -41.803609111,-73.700909569 -41.813472111,-73.806118569 -41.862227112,-73.847227569 -41.8830541119999,-73.8729275689999 -41.8981991119999,-73.9613995689999 -41.874454112,-73.995518569 -41.8459361119999,-73.9797275689999 -41.8248631109999,-73.959036569 -41.829445112,-73.933545569 -41.8432631119999,-73.905699569 -41.8433361119999,-73.8860455689999 -41.822781111,-73.9120905689999 -41.781945111,-74.0286905689999 -41.7743091109999,-74.0618095689999 -41.813472111,-74.0626455689999 -41.8336181119999,-74.0512275689999 -41.8549991119999,-74.0127905689999 -41.9133361119999,-74.0463995689999 -42.0644451119999,-74.0775095689999 -42.142918112,-74.101390569 -42.159999112,-74.1244545689999 -42.177090112,-74.145009569 -42.1963901119999,-74.164036569 -42.2173631119999,-74.173899569 -42.2349991119999,-74.1944545689999 -42.416945112,-74.211672569 -42.5018091119999,-74.1868095689999 -42.5148631119999,-74.168899569 -42.5258361119999,-74.150281569 -42.577918112,-74.1448635689999 -42.648336112,-74.178063569 -42.8870901119999,-74.2215365689999 -42.9694451129999,-74.252499569 -42.9916721129999,-74.2387635689998 -43.024309113,-74.333618569 -43.1091721129999,-74.4058365689999 -43.246045113,-74.3891725689999 -43.2672271129999,-74.3708365689999 -43.278336113,-74.2818185689999 -43.3130631129999,-74.1527905689999 -43.3402811129999,-74.0475095689998 -43.350627113,-73.954454569 -43.353890113,-73.9281995689999 -43.359863113,-73.9018815689999 -43.378654113),(-73.445845568 -42.5286181119999,-73.436509568 -42.5549361119999,-73.4177815679999 -42.5573631119999,-73.4158365679999 -42.5230631119998,-73.533763568 -42.386945112,-73.5527815689999 -42.3766721119999,-73.576672569 -42.3725091119999,-73.611118569 -42.3727811119999,-73.6344455689999 -42.374999112,-73.650418569 -42.379863112,-73.653209569 -42.3899991119999,-73.6256995689999 -42.447918112,-73.6119545689999 -42.4552811119999,-73.5797275689999 -42.460281112,-73.566118569 -42.4644451119999,-73.472781568 -42.5011091119999,-73.456954568 -42.510281112,-73.4505635679999 -42.518890112,-73.445845568 -42.5286181119999),(-74.79389957 -43.647781113,-74.7855725699999 -43.6488901129999,-74.74945457 -43.6272271129999,-74.73749957 -43.622509113,-74.7177905699999 -43.6166721129999,-74.70306357 -43.6141721129999,-74.67611857 -43.6166721129999,-74.65382757 -43.6149991129999,-74.6345185699998 -43.6018091129999,-74.6441815699999 -43.5836181129999,-74.6666725699999 -43.5655631129999,-74.6763905699999 -43.5588901129999,-74.76112757 -43.5277811129999,-74.7733455699999 -43.527090113,-74.8573725699999 -43.5576361129999,-74.85999957 -43.5738901129999,-74.8555635699999 -43.5836181129999,-74.8500095699999 -43.5930541129999,-74.8436095699999 -43.6016721129999,-74.80944557 -43.6412541129999,-74.79389957 -43.647781113),(-73.915427569 -43.799727113,-74.047499569 -43.8141721129999,-74.0636095689999 -43.8111091129999,-74.1240365689999 -43.8054181129999,-74.1400185689999 -43.8108361129999,-74.1529905689999 -43.820354113,-74.1730545689999 -43.8749991129999,-74.1652815689999 -43.8829181129999,-74.1188995689999 -43.8961181129999,-74.0998725689999 -43.9002811129999,-74.019181569 -43.9177811129999,-73.992781569 -43.9399991129999,-73.9783455689999 -43.939172113,-73.9616815689999 -43.9347271129999,-73.9299815689999 -43.906354113,-73.9543455689999 -43.8959991129999,-73.958072569 -43.8847271129999,-73.9700815689999 -43.874581113,-73.9643815689998 -43.8527091129999,-73.9058365689999 -43.842227113,-73.8791815689999 -43.844999113,-73.8644455689999 -43.852572113,-73.8741725689999 -43.8618091129999,-73.889018569 -43.8703901129999,-73.8838995689999 -43.8805631129999,-73.8672275689999 -43.885727113,-73.8538995689999 -43.8947271129999,-73.764036569 -43.889309113,-73.7697275689999 -43.866954113,-73.789736569 -43.821672113,-73.860072569 -43.7641631129999,-73.915427569 -43.799727113),(-73.190563568 -43.882781113,-73.256954568 -43.908890113,-73.269454568 -43.920836113,-73.2865275679999 -43.9474991129999,-73.2891725679999 -43.9638901129999,-73.283899568 -43.9830541139999,-73.2720275679999 -43.9965991139999,-73.1944545679999 -44.0244451139999,-73.165281568 -44.0291631139999,-73.1520905679999 -44.0196541139999,-73.1369455679999 -43.9136091129999,-73.1400185679998 -43.8961181129999,-73.148054568 -43.8883361129999,-73.1588905679999 -43.8822271129999,-73.1712545679999 -43.880281113,-73.190563568 -43.882781113),(-73.7062545689999 -43.939309113,-73.7286185689999 -43.9388991129999,-73.7369545689999 -43.946672113,-73.7505635689999 -43.964999113,-73.756327569 -43.980627114,-73.7554275689998 -43.996945114,-73.726672569 -44.046390114,-73.6563995689999 -44.1374991139999,-73.646118569 -44.1313901139999,-73.6181995689999 -44.1062541139999,-73.6125725689998 -44.079999114,-73.6344455689999 -44.0099991139999,-73.7062545689999 -43.939309113),(-73.9155545689999 -44.101390114,-73.926390569 -44.0983361139999,-73.9481995689999 -44.1015361139999,-73.974454569 -44.116945114,-74.0115365689999 -44.144727114,-74.007236569 -44.157499114,-74.000563569 -44.166118114,-73.9916725689999 -44.173618114,-73.9776455689999 -44.1809721139999,-73.943345569 -44.188609114,-73.8666725689999 -44.1991721139999,-73.8527815689999 -44.1958361139999,-73.841672569 -44.1916721139999,-73.835009569 -44.1822271139999,-73.828209569 -44.1633361139999,-73.872790569 -44.1229181139999,-73.9155545689999 -44.101390114),(-74.0484815689999 -44.1540271139999,-74.0633365689998 -44.1515271139999,-74.1244545689999 -44.199936114,-74.092227569 -44.286327114,-74.0755635689999 -44.3030631139999,-74.0366635689999 -44.327509114,-74.0247365689999 -44.331672114,-74.007236569 -44.3324991139999,-74.0116725689999 -44.2841721139999,-74.012218569 -44.271663114,-74.008609569 -44.255836114,-73.950836569 -44.2405631139999,-73.9858365689999 -44.2083361139999,-74.0484815689999 -44.1540271139999),(-73.955009569 -44.324863114,-73.855836569 -44.338336114,-73.8469545689999 -44.3380541139998,-73.8236275689999 -44.3352811139999,-73.8088995689999 -44.3324991139999,-73.7950095689999 -44.3254181139999,-73.793063569 -44.310009114,-73.800981569 -44.273336114,-73.817509569 -44.269999114,-73.972363569 -44.280418114,-73.9672275689999 -44.3148631139999,-73.955009569 -44.324863114),(-73.9311905689999 -44.3572991139998,-74.0891725689999 -44.321672114,-74.106527569 -44.326809114,-74.0858365689999 -44.3832631139999,-74.0713995689999 -44.3949991139999,-73.967281569 -44.4348271139999,-73.952372569 -44.445136114,-73.932927569 -44.4488901139999,-73.9265365689999 -44.439172114,-73.9311905689999 -44.3572991139998),(-73.237509568 -44.427509114,-73.2572365679999 -44.4669451139999,-73.2605635679999 -44.4791721139999,-73.2584815679999 -44.4940271139999,-73.262790568 -44.533336114,-73.275281568 -44.5797271139999,-73.373199568 -44.5926451139999,-73.3844455679999 -44.5913901139999,-73.415009568 -44.596118114,-73.4236185679999 -44.603890114,-73.462990568 -44.6461181139999,-73.445009568 -44.709727114,-73.4319455679999 -44.733890114,-73.3998635679999 -44.7815361139998,-73.3891725679999 -44.791118114,-73.373754568 -44.797781114,-73.3616815679999 -44.797227114,-73.3511185679999 -44.7908361139999,-73.3401455679999 -44.7815361139998,-73.298899568 -44.763199114,-73.2338995679999 -44.7830541139999,-73.2069545679999 -44.8004181139999,-73.216254568 -44.8055631139999,-73.258199568 -44.812645114,-73.274445568 -44.800281114,-73.285281568 -44.7941721139999,-73.3025095679999 -44.7891721139999,-73.4011185679999 -44.8145901139999,-73.408063568 -44.8238901139998,-73.405699568 -44.8352811139999,-73.397781568 -44.8463901139999,-73.291399568 -44.9338901139999,-73.276954568 -44.9411091139999,-73.260699568 -44.9431991139999,-73.2247275679999 -44.939172114,-73.1966725679999 -44.9322271139999,-73.1352815679999 -44.9118091139999,-73.068618568 -44.873609114,-73.059172568 -44.8663901139999,-73.0480635679999 -44.8533361139999,-73.0377815679999 -44.8376451139999,-72.9704275679999 -44.7862541139999,-72.9238905679999 -44.7688901139999,-72.8747275679999 -44.741954114,-72.870409568 -44.738054114,-72.8579185679999 -44.7291721139999,-72.8423725679999 -44.712227114,-72.8283365679999 -44.690563114,-72.836881568 -44.674790114,-72.8766815679999 -44.6688901139999,-72.9072275679999 -44.6619451139999,-72.9679275679999 -44.6320901139999,-72.976963568 -44.621672114,-72.9786815679999 -44.608054114,-72.9258455679999 -44.6219451139999,-72.9122275679999 -44.6327811139999,-72.9011185679998 -44.6388901139999,-72.8380635679999 -44.643472114,-72.8191725679999 -44.6405541139999,-72.8077815679999 -44.634999114,-72.7986185679999 -44.6277811139999,-72.7211185679999 -44.546809114,-72.7183365679999 -44.5352811139999,-72.7255725679999 -44.5236091139999,-72.7694455679999 -44.470418114,-72.7883455679999 -44.4594451139999,-72.8677815679999 -44.4394451139999,-72.9866815679999 -44.3697271139999,-72.998063568 -44.3672271139999,-73.087236568 -44.382781114,-73.193618568 -44.408054114,-73.214445568 -44.413063114,-73.2272365679999 -44.417227114,-73.237509568 -44.427509114),(-73.770281569 -44.902227114,-73.8336185689999 -44.7869451139999,-73.843336569 -44.7768091139999,-73.864036569 -44.7701451139999,-73.8855635689999 -44.7711181139999,-73.900281569 -44.773609114,-73.9151455689999 -44.7801451139999,-73.930554569 -44.7933361139999,-73.9368725689999 -44.808890114,-73.9300095689999 -44.8830541139999,-73.924181569 -44.892227114,-73.913890569 -44.9052811139999,-73.8825095689999 -44.931118114,-73.872509569 -44.9380541139998,-73.844436569 -44.9574361139999,-73.8388995689999 -44.9605541139999,-73.8258365689999 -44.9652811139999,-73.813481569 -44.967363114,-73.7936275689999 -44.964999114,-73.7780635689999 -44.9555541139999,-73.771118569 -44.9461091139999,-73.765281569 -44.932509114,-73.770281569 -44.902227114),(-74.150281569 -44.8672271139999,-74.1683365689998 -44.866672114,-74.186390569 -44.8705631139999,-74.2008365689999 -44.878063114,-74.351672569 -44.9816721139999,-74.3658365689999 -45.0073631139999,-74.360699569 -45.0162541139999,-74.287227569 -45.0302811139999,-74.277236569 -45.030836114,-74.220563569 -45.003063114,-74.208345569 -44.9983361139999,-74.190281569 -44.9945901139999,-74.1386275689999 -44.997509114,-74.0588995689999 -44.9977811139998,-74.0419455689999 -44.996945114,-73.9802815689999 -44.9844541139999,-73.9588905689999 -44.9794451139999,-73.923336569 -44.9641721139999,-73.9120905689999 -44.9554181139998,-73.918899569 -44.9436091139999,-73.9569545689999 -44.9091721139999,-73.969872569 -44.9008361139999,-74.150281569 -44.8672271139999),(-73.9119455689998 -44.994445114,-73.9239545689999 -45.000972114,-73.9488995689999 -45.0124991139999,-73.9613995689999 -45.0177811139999,-73.9833365689999 -45.022227114,-74.0613995689999 -45.0322271139999,-74.1069455689999 -45.0352811139999,-74.124999569 -45.030836114,-74.1347275689999 -45.0269451139999,-74.157790569 -45.0261181139999,-74.1766725689999 -45.0291721139999,-74.1902905689999 -45.0372271139999,-74.2244545689999 -45.061672115,-74.239036569 -45.0755541149999,-74.2458365689999 -45.096118115,-74.2468095689999 -45.106109115,-74.240845569 -45.1377811149999,-74.234590569 -45.162781115,-74.224727569 -45.1695901149999,-74.208345569 -45.1719541149999,-74.140836569 -45.1608361149999,-74.1099995689999 -45.148890115,-74.0197275689998 -45.2230631149998,-74.009445569 -45.236118115,-73.9983365689999 -45.2422271149999,-73.9849995689999 -45.2469451149999,-73.946118569 -45.249172115,-73.928345569 -45.2488901149999,-73.871836569 -45.238499115,-73.8296545689999 -45.239418115,-73.7925095689999 -45.270563115,-73.7313995689998 -45.284445115,-73.7049995689999 -45.1863901149999,-73.7022275689999 -45.1588901149999,-73.7016725689999 -45.145836115,-73.7033365689999 -45.133890115,-73.718899569 -45.1049991149999,-73.7588995689999 -45.0586181149999,-73.766954569 -45.0505631149999,-73.7758455689999 -45.0433361139999,-73.785572569 -45.036390114,-73.8466815689999 -45.0027811139999,-73.857045569 -44.9990271139999,-73.874999569 -44.994445114,-73.896536569 -44.992090114,-73.9119455689998 -44.994445114),(-73.8311185689999 -45.2630631149999,-73.8580635689999 -45.2602811149999,-73.8863995689999 -45.2630541149999,-73.9219545689999 -45.2677811149999,-73.939454569 -45.268336115,-73.9766725689999 -45.267499115,-73.9941725689999 -45.2652811149999,-74.0105635689999 -45.2622181149999,-74.022509569 -45.256672115,-74.0313995689999 -45.249172115,-74.0368095689998 -45.2365271149999,-74.0438995689999 -45.2216721149999,-74.0529275689998 -45.2143091149999,-74.0666725689999 -45.209727115,-74.082372569 -45.210836115,-74.143472569 -45.2297271149998,-74.1661185689999 -45.2505541149999,-74.1438905689999 -45.313899115,-74.1331995689999 -45.323472115,-74.0140365689999 -45.3558361149998,-74.000563569 -45.3572271149999,-73.961672569 -45.351954115,-73.874999569 -45.3497271149999,-73.802227569 -45.3494451149999,-73.7925095689999 -45.346254115,-73.782236569 -45.3306991149999,-73.7844545689999 -45.3119541149999,-73.793899569 -45.291945115,-73.807781569 -45.2747271149999,-73.8177815689999 -45.2680541149999,-73.8311185689999 -45.2630631149999),(-74.360290569 -45.3102811149999,-74.377227569 -45.2950091149999,-74.390554569 -45.2868091149999,-74.4102815689999 -45.2824991149999,-74.4552905689999 -45.2824991149999,-74.4727815689999 -45.2830541149999,-74.488890569 -45.284727115,-74.5091725689999 -45.290281115,-74.522845569 -45.2997901149999,-74.5301545689999 -45.3136181149999,-74.5261185689999 -45.323890115,-74.507509569 -45.341663115,-74.493054569 -45.3522271149999,-74.482227569 -45.358336115,-74.3877905689999 -45.3977811149999,-74.382990569 -45.402427115,-74.3575095689999 -45.408054115,-74.337781569 -45.405281115,-74.3211185689999 -45.400281115,-74.3106995689999 -45.3925091149999,-74.3484815689999 -45.3255541149999,-74.360290569 -45.3102811149999),(-74.023899569 -45.4033361149999,-74.018054569 -45.412645115,-73.9916725689999 -45.419172115,-73.920563569 -45.434172115,-73.905009569 -45.435009115,-73.893481569 -45.433336115,-73.823345569 -45.4083361149999,-73.8213995689999 -45.3900091149999,-73.824309569 -45.3755631149999,-73.8368185689999 -45.3705631149999,-73.9384725689998 -45.3693091149999,-73.9588905689999 -45.3713901149999,-74.0041725689999 -45.3826451149999,-74.0180635689999 -45.3900091149999,-74.023899569 -45.4033361149999),(-73.9652905689998 -45.437227115,-73.976818569 -45.4344451149999,-73.9994545689999 -45.434718115,-74.0177905689999 -45.433063115,-74.0313995689999 -45.4280631149999,-74.0457095689999 -45.421390115,-74.0601455689999 -45.422918115,-74.071945569 -45.4319451149999,-74.0772275689999 -45.4427811149999,-74.0872275689999 -45.455836115,-74.1008455689999 -45.4688901149999,-74.1092455689999 -45.4823631149999,-74.109936569 -45.5038181149998,-74.1244545689999 -45.5118091149999,-74.1331995689999 -45.5195811149999,-74.1380635689999 -45.5347271149999,-74.140836569 -45.550972115,-74.1430545689998 -45.5615271149999,-74.1444545689999 -45.5729181149999,-74.139172569 -45.5794451149999,-74.1298725689999 -45.5758361149999,-74.1205635689998 -45.564445115,-74.1100095689999 -45.5451451149999,-74.0944545689999 -45.5336181149999,-74.072236569 -45.529163115,-74.056399569 -45.519727115,-74.045699569 -45.5173631149999,-74.0127815689999 -45.5226451149999,-73.9990365689999 -45.527090115,-73.9808365689999 -45.532499115,-73.9613995689999 -45.5333361149999,-73.9411185689999 -45.5373631149999,-73.9336185689999 -45.5455541149998,-73.923336569 -45.5555541149999,-73.908063569 -45.559172115,-73.898054569 -45.5597181149999,-73.877781569 -45.5697271149999,-73.864590569 -45.567081115,-73.858618569 -45.5474991149999,-73.8486185689999 -45.535145115,-73.840845569 -45.5265271149999,-73.8338905689999 -45.513336115,-73.8230635689998 -45.4961181149999,-73.815845569 -45.4758361149999,-73.819927569 -45.460490115,-73.835563569 -45.4522271149999,-73.8522365689999 -45.4566721149998,-73.8765365689999 -45.470418115,-73.8909725689999 -45.472781115,-73.9043185689998 -45.467918115,-73.9177815689999 -45.4600091149999,-73.945009569 -45.450836115,-73.9541815689999 -45.443336115,-73.9652905689998 -45.437227115),(-73.714863569 -45.450836115,-73.7691815689999 -45.507227115,-73.779445569 -45.5211181149999,-73.7847275689999 -45.531954115,-73.7875095689999 -45.5484811149999,-73.7872275689999 -45.564445115,-73.7819545689998 -45.670281115,-73.678754569 -45.7526451149999,-73.6613905689999 -45.759999115,-73.652509569 -45.7611181149999,-73.6455725689999 -45.7594451149999,-73.6348635689999 -45.7493091149999,-73.618899569 -45.713890115,-73.6119545689999 -45.697227115,-73.5791815689999 -45.506109115,-73.5820275689999 -45.470981115,-73.5925095689999 -45.4597271149999,-73.6658455689999 -45.4430631149999,-73.6833365689999 -45.4422181149999,-73.704036569 -45.4447271149999,-73.714863569 -45.450836115),(-73.9655635689999 -45.754172115,-74.034172569 -45.7369451149999,-74.0484815689999 -45.739581115,-74.085281569 -45.7613901149999,-74.093899569 -45.7691721149999,-74.105136569 -45.786945115,-74.093063569 -45.8119541149999,-74.069454569 -45.841663115,-74.023054569 -45.918890115,-74.0150185689999 -45.9177811149999,-73.9843095689999 -45.9023631149999,-73.9704275689999 -45.876809115,-73.965836569 -45.861945115,-73.9625095689998 -45.7880631149999,-73.9655635689999 -45.754172115),(-73.9366725689999 -45.9130631149999,-73.945554569 -45.9286091149999,-73.944172569 -45.9438901149999,-73.928890569 -45.9758361149999,-73.9198725689999 -45.9862541149999,-73.9086185689999 -45.9891721149999,-73.8536815689999 -45.975909115,-73.8216725689999 -45.932499115,-73.8031995689998 -45.8854181149999,-73.783199569 -45.879309115,-73.7406995689999 -45.876399115,-73.724727569 -45.879036115,-73.715563569 -45.886390115,-73.7000095689999 -45.8937541149999,-73.703899569 -45.8427811149999,-73.7088905689999 -45.826663115,-73.713899569 -45.816672115,-73.726672569 -45.8012541149999,-73.740845569 -45.799309115,-73.8868095689999 -45.860281115,-73.902509569 -45.873609115,-73.9300095689999 -45.903890115,-73.9366725689999 -45.9130631149999),(-73.8275185689999 -45.9847271149999,-73.8199365689998 -45.9975721149999,-73.795563569 -46.010563115,-73.6983365689999 -46.0294451149999,-73.6886095689999 -46.030009115,-73.6795185689999 -46.0244451149999,-73.7086185689999 -45.9252811149999,-73.7530635689999 -45.8952811149999,-73.7643095689999 -45.8976451149999,-73.7780635689999 -45.905009115,-73.8261275689999 -45.9708361149999,-73.8275185689999 -45.9847271149999),(-73.829181569 -46.0155541149998,-73.8477815689999 -46.013890115,-73.895145569 -46.0151451149999,-73.9094545689999 -46.0186091149999,-73.920836569 -46.0280631149999,-73.9338995689999 -46.0549991149999,-73.9348635689999 -46.071663115,-73.8149995689999 -46.1836181159999,-73.8055545689999 -46.1908361159999,-73.7730545689999 -46.211945116,-73.7650185689999 -46.2111091159999,-73.753345569 -46.205554116,-73.739181569 -46.186954116,-73.684727569 -46.1120901149999,-73.6779275689999 -46.0940361149999,-73.6833365689999 -46.076663115,-73.697236569 -46.065563115,-73.7400095689999 -46.042781115,-73.829181569 -46.0155541149998),(-74.391681569 -45.7663901149999,-74.236954569 -45.6816721149999,-74.2288995689999 -45.6730541149999,-74.210009569 -45.6361181149999,-74.2219455689999 -45.595281115,-74.2452815689999 -45.543618115,-74.255009569 -45.5236091149999,-74.2608365689999 -45.5144541149999,-74.275145569 -45.4941721149999,-74.2858455689999 -45.4847271149999,-74.3025095689999 -45.475281115,-74.3947275689999 -45.4440271149999,-74.417090569 -45.449999115,-74.433627569 -45.4683361149999,-74.446672569 -45.4874991149999,-74.4572275689999 -45.509172115,-74.4616725689999 -45.520563115,-74.4666725689999 -45.5388901149998,-74.468609569 -45.552509115,-74.4683455689999 -45.5684811149999,-74.458618569 -45.600281115,-74.4488995689999 -45.6427811149999,-74.449381569 -45.6813271149999,-74.4666725689999 -45.699172115,-74.489727569 -45.7177811149999,-74.4981995689999 -45.7297271149999,-74.4958365689999 -45.7430541149999,-74.4849995689999 -45.7616721149999,-74.473899569 -45.7750721149999,-74.458618569 -45.7791631149998,-74.4033365689999 -45.7719451149999,-74.391681569 -45.7663901149999),(-74.5523725689999 -45.576536115,-74.576527569 -45.576118115,-74.63250957 -45.5949991149999,-74.64500957 -45.6000091149999,-74.65583657 -45.6061181149999,-74.6691725699999 -45.6177811149999,-74.6763905699999 -45.6269451149999,-74.6825095699999 -45.6369451149999,-74.68860957 -45.6544451149999,-74.7008365699999 -45.689727115,-74.7044545699999 -45.7019541149999,-74.70389957 -45.720554115,-74.70135457 -45.732127115,-74.69903657 -45.7405541149999,-74.68903657 -45.7473631149999,-74.63806357 -45.755836115,-74.6247365689999 -45.756954115,-74.6052815689999 -45.754445115,-74.593609569 -45.7488901149999,-74.580554569 -45.7405541149999,-74.550418569 -45.6881271149999,-74.537090569 -45.593063115,-74.5412635689999 -45.5827811149998,-74.5523725689999 -45.576536115),(-74.048336569 -45.7177811149999,-73.9958365689999 -45.7247271149999,-73.986954569 -45.7247271149999,-73.924727569 -45.7022901149999,-73.905009569 -45.664172115,-73.8963905689999 -45.6336091149999,-73.896809569 -45.6177811149999,-73.9172365689999 -45.5883361149999,-73.9637635689999 -45.555418115,-74.011945569 -45.537509115,-74.0288995689999 -45.5386091149999,-74.0622365689999 -45.552918115,-74.1122185689999 -45.5966721149999,-74.111399569 -45.6172271149999,-74.0925095689999 -45.6538901149999,-74.061254569 -45.7094451149999,-74.048336569 -45.7177811149999),(-74.3255635689999 -45.3041721149999,-74.3131995689999 -45.305972115,-74.302227569 -45.2999991149999,-74.2722275689999 -45.212090115,-74.3530545689999 -45.1581991149999,-74.366118569 -45.1533361149999,-74.3923635689999 -45.154590115,-74.405145569 -45.171945115,-74.4188995689999 -45.224727115,-74.4201545689999 -45.2402811149999,-74.412227569 -45.2513991149999,-74.4033365689999 -45.258890115,-74.3880635689999 -45.268618115,-74.336409569 -45.298272115,-74.3255635689999 -45.3041721149999),(-75.02306357 -44.894454114,-75.02306357 -44.847918114,-75.0772275699999 -44.7833361139999,-75.0923725699999 -44.776536114,-75.11535457 -44.7808361139999,-75.13721857 -44.8022271139999,-75.14778157 -44.8158361139999,-75.1502815699999 -44.8288901139999,-75.1480545699999 -44.839999114,-75.1436185699999 -44.8500091139999,-75.11042757 -44.919727114,-75.0952905699999 -44.926672114,-75.0855545699999 -44.9272271139999,-75.0694545699999 -44.9255631139999,-75.02306357 -44.894454114),(-74.4033365689999 -44.8583361139999,-74.3850095689999 -44.860281114,-74.376954569 -44.859454114,-74.313481569 -44.8480631139999,-74.3130635689998 -44.8375091139999,-74.4272275689999 -44.721390114,-74.446818569 -44.714727114,-74.506390569 -44.7286181139999,-74.5174995689999 -44.7341721139999,-74.5281275689999 -44.7461091139999,-74.526672569 -44.7605631139999,-74.464999569 -44.830209114,-74.4033365689999 -44.8583361139999),(-74.281399569 -44.805554114,-74.2630635689999 -44.8074991139999,-74.2097275689999 -44.7844451139999,-74.1852905689999 -44.7747271139999,-74.0158365689999 -44.7211181139999,-73.8740995689999 -44.693481114,-73.8800095689999 -44.6783361139999,-73.8947275689999 -44.661663114,-73.906109569 -44.649172114,-73.9194455689999 -44.6380631139999,-73.9291725689999 -44.6313901139998,-73.953336569 -44.6202811139999,-73.9663995689999 -44.6155631139998,-74.000145569 -44.6074991139999,-74.1594545689999 -44.6011091139999,-74.1863995689999 -44.6008361139999,-74.247509569 -44.600563114,-74.2630635689999 -44.6024991139999,-74.3991725689999 -44.628336114,-74.4109815689999 -44.637081114,-74.414172569 -44.6797271139999,-74.4136185689999 -44.692218114,-74.3741725689999 -44.753545114,-74.352236569 -44.7738901139999,-74.337781569 -44.7844451139999,-74.3272275689999 -44.7905541139999,-74.308627569 -44.7986181139999,-74.281399569 -44.805554114),(-74.5783365689999 -44.6199991139999,-74.592509569 -44.6194451139999,-74.612499569 -44.6219451139999,-74.6274995699999 -44.628336114,-74.66778157 -44.658618114,-74.67361857 -44.668618114,-74.67445457 -44.6816721139999,-74.62889057 -44.6983361139999,-74.5044545689999 -44.6977811139998,-74.4666725689999 -44.699445114,-74.4538275689999 -44.6899991139999,-74.4613995689999 -44.642090114,-74.4775095689999 -44.635836114,-74.5527815689999 -44.623609114,-74.5783365689999 -44.6199991139999),(-74.74195457 -44.671954114,-74.7277815699999 -44.611390114,-74.7261185699999 -44.597781114,-74.72972757 -44.5838901139999,-74.7386185699999 -44.573336114,-74.79222757 -44.550418114,-74.80722757 -44.550418114,-74.81639957 -44.557781114,-74.8236275699999 -44.570836114,-74.82556357 -44.6099991139999,-74.82500957 -44.6286181139999,-74.82000957 -44.651118114,-74.8155635699998 -44.661118114,-74.7954185699999 -44.684036114,-74.7858455699999 -44.687781114,-74.77723657 -44.6874991139999,-74.7650185699999 -44.682781114,-74.74195457 -44.671954114),(-74.5130725689999 -44.5319451139999,-74.4016725689999 -44.5508361139999,-74.412509569 -44.5127811139999,-74.399445569 -44.5088901139999,-74.3316815689998 -44.4983361139999,-74.243345569 -44.482227114,-74.219599569 -44.4761091139999,-74.2188905689999 -44.465554114,-74.2302815689999 -44.449999114,-74.2649365689999 -44.4089541139999,-74.315145569 -44.3969451139999,-74.5065365689999 -44.4386091139999,-74.5205725689999 -44.4455541139998,-74.5425815689999 -44.462572114,-74.549036569 -44.4772181139999,-74.5361185689999 -44.5108361139999,-74.5305635689999 -44.5202811139999,-74.5130725689999 -44.5319451139999),(-74.129454569 -44.448336114,-74.134172569 -44.5194541139999,-74.129454569 -44.532499114,-74.1205635689998 -44.5397271139999,-74.1011185689999 -44.5472271139999,-74.069736569 -44.5538901139999,-74.045290569 -44.5580631139999,-74.0197275689998 -44.556672114,-73.9777815689999 -44.554172114,-73.9613995689999 -44.5530631139999,-73.947509569 -44.5458361139999,-73.943345569 -44.530554114,-73.9452815689999 -44.5124991139999,-73.9511275689999 -44.496945114,-73.9577905689999 -44.4849991139999,-73.968336569 -44.475281114,-73.9791725689999 -44.4691721139999,-73.9994545689999 -44.462499114,-74.0252815689999 -44.459163114,-74.129454569 -44.448336114),(-73.7095905689999 -44.542645114,-73.806399569 -44.559581114,-73.821254569 -44.5693091139999,-73.8255635689999 -44.584727114,-73.822236569 -44.6799991139999,-73.758618569 -44.743054114,-73.7455635689999 -44.743618114,-73.711399569 -44.741954114,-73.602363569 -44.7177811139999,-73.591399569 -44.7120811139999,-73.5895905689999 -44.7013901139999,-73.627927569 -44.6183361139999,-73.6594545689999 -44.5603541139999,-73.6755635689999 -44.5494451139999,-73.692363569 -44.5436091139999,-73.7095905689999 -44.542645114),(-73.6340365689999 -44.7356991139999,-73.7466725689999 -44.756318114,-73.753754569 -44.7702811139999,-73.7462635689998 -44.810690114,-73.7275095689999 -44.821672114,-73.692181569 -44.8370811139999,-73.6809725689999 -44.841390114,-73.6555635689999 -44.844590114,-73.6363995689999 -44.841663114,-73.6187545689999 -44.828336114,-73.6034815689999 -44.754172114,-73.6066725689999 -44.7433361139999,-73.620281569 -44.735554114,-73.6340365689999 -44.7356991139999),(-74.189727569 -44.5605631139999,-74.139172569 -44.5505631139999,-74.1925095689999 -44.4966721139999,-74.2923725689999 -44.5029181139999,-74.362499569 -44.5265271139999,-74.3687635689999 -44.536254114,-74.367781569 -44.5483361139999,-74.359999569 -44.559445114,-74.3455545689999 -44.573199114,-74.3341635689999 -44.5802811139999,-74.3255635689999 -44.5816721139999,-74.2952905689999 -44.5772271139999,-74.189727569 -44.5605631139999),(-74.166399569 -44.806945114,-74.184581569 -44.8158361139999,-74.1708365689998 -44.827227114,-74.0672275689999 -44.857509114,-74.0419455689999 -44.8588901139999,-74.0226545689999 -44.8561091139999,-73.986954569 -44.8447271139999,-73.9747275689999 -44.8397271139999,-73.963336569 -44.8304181139999,-73.9568095689999 -44.7908361139999,-73.965572569 -44.778618114,-74.0055635689999 -44.771527114,-74.023899569 -44.774999114,-74.0413995689999 -44.783618114,-74.0658455689999 -44.7933361139999,-74.0797275689999 -44.7966721139999,-74.1102905689999 -44.8011181139999,-74.1261095689999 -44.8030631139999,-74.166399569 -44.806945114),(-74.7974995699999 -45.823336115,-74.88278157 -45.878063115,-74.9444545699999 -45.9024991149999,-74.9613995699999 -45.893054115,-74.9747275699999 -45.888063115,-75.06598157 -45.8624991149999,-75.0879275699999 -45.866945115,-75.10418157 -45.876109115,-75.1099995699999 -45.8858361149999,-75.07362757 -45.9758361149999,-75.0646635699998 -45.9902631149999,-75.0483635699999 -45.9933811149999,-75.0119545699999 -45.9912991149999,-74.98456357 -45.984018115,-74.95959057 -45.988527115,-74.9519545699999 -46.0098631149999,-74.96625457 -46.0055541149999,-75.08430957 -46.028618115,-75.0956995699999 -46.0344451149999,-75.1011185699999 -46.0451451149999,-75.0898725699999 -46.0766721149999,-75.08307257 -46.0886181149999,-75.07139957 -46.0974541149999,-75.0572365699999 -46.104172115,-75.02167257 -46.1122271149999,-74.9975095699999 -46.114172115,-74.9265275699999 -46.110418115,-74.9105725699999 -46.1044451149999,-74.80334557 -46.032499115,-74.7766725699999 -46.009172115,-74.7686185699999 -46.0005541149999,-74.7622185699999 -45.9905631149999,-74.71556357 -45.851954115,-74.7116815699999 -45.836254115,-74.71167257 -45.8202811149999,-74.7223095699998 -45.8034091149999,-74.7452815699999 -45.8058361149999,-74.7974995699999 -45.823336115),(-74.195281569 -47.038336116,-74.211399569 -47.0705541159999,-74.2275095689999 -47.103054116,-74.229172569 -47.116672116,-74.2276455689999 -47.129863116,-74.1836275689999 -47.1688901159999,-74.171109569 -47.174445116,-74.154445569 -47.1724991159999,-74.104172569 -47.160281116,-74.0916725689999 -47.155281116,-74.0805635689999 -47.1491721159999,-74.058345569 -47.133054116,-73.9766725689999 -47.0536181159999,-74.033336569 -47.0236091159999,-74.1636185689999 -47.0186181159999,-74.1751455689999 -47.0208361159999,-74.185981569 -47.0272271159999,-74.195281569 -47.038336116),(-74.342509569 -47.0541721159999,-74.3725095689999 -47.0525091159999,-74.406399569 -47.0552811159999,-74.4211095689999 -47.0586181159998,-74.4815365689998 -47.0818091159999,-74.4891725689999 -47.0906991159999,-74.4894545689999 -47.1261091159999,-74.4652905689999 -47.1605631159999,-74.467572569 -47.1665271159999,-74.4594545689999 -47.177509116,-74.443345569 -47.1708361159999,-74.3327815689999 -47.1086091159999,-74.324172569 -47.0998631159999,-74.315290569 -47.080554116,-74.3123725689999 -47.065563116,-74.3209725689998 -47.0579181159999,-74.342509569 -47.0541721159999),(-75.0766725699999 -47.697227117,-75.0530725699999 -47.755563117,-75.0447275699999 -47.763618117,-75.0055725699999 -47.7861181169999,-74.9972185699999 -47.7866631169999,-74.9547275699999 -47.7830541169999,-74.91555457 -47.772645117,-74.9045905699999 -47.7588901169999,-74.9105725699999 -47.7469451169999,-74.9327815699999 -47.7213901169999,-74.9513995699999 -47.706390117,-74.9611185699999 -47.7023631169999,-75.0427815699999 -47.690281117,-75.06598157 -47.690563117,-75.0766725699999 -47.697227117),(-75.1219455699999 -47.703890117,-75.1391635699999 -47.6983361169999,-75.26333657 -47.7447271169999,-75.30098157 -47.7720901169999,-75.28889057 -47.7838901169999,-75.27166357 -47.787227117,-75.2511095699999 -47.788609117,-75.2330635699999 -47.7911181169999,-75.19028157 -47.8020811169999,-75.1809725699999 -47.809727117,-75.17848157 -47.8208361169999,-75.1830095699999 -47.8378451169999,-75.2010455699999 -47.8577811169999,-75.1319545699999 -47.8488901169999,-75.1029185699999 -47.837918117,-75.08973657 -47.829172117,-75.08056357 -47.8216721169999,-75.0658455699999 -47.8047901169999,-75.06070957 -47.7895811169999,-75.07889957 -47.7497271169999,-75.0916725699999 -47.7313901169999,-75.1219455699999 -47.703890117),(-74.293063569 -47.804727117,-74.3880635689999 -47.8388901169999,-74.406399569 -47.846672117,-74.416672569 -47.8536181169999,-74.4975095689999 -47.914172117,-74.4969545689999 -47.9252811169999,-74.4777815689999 -47.9366721169999,-74.462781569 -47.941118117,-74.3550095689999 -47.9705541169999,-74.317509569 -47.9838901169999,-74.3025095689999 -47.980563117,-74.287509569 -47.977227117,-74.1258365689999 -47.9461091169999,-74.1125095689999 -47.945009117,-74.0908365689999 -47.947781117,-74.076954569 -47.952781117,-74.0538905689999 -47.958890117,-74.0344545689999 -47.9605541169999,-73.9269545689999 -47.960836117,-73.8900185689999 -47.9600091169999,-73.8761095689999 -47.9593091169999,-73.843336569 -47.9513901169999,-73.825009569 -47.9433361169999,-73.806118569 -47.905554117,-73.8002815689999 -47.891254117,-73.8043095689999 -47.8806991169999,-73.8202815689999 -47.8674991169999,-73.8330725689999 -47.8619451169999,-73.843336569 -47.8613901169999,-73.856127569 -47.8663901169999,-73.8695905689999 -47.8744541169999,-73.886118569 -47.8840361169999,-73.900981569 -47.8873631169999,-73.927927569 -47.8848631169999,-74.048336569 -47.8519541169998,-74.2734725689999 -47.8012541169999,-74.293063569 -47.804727117),(-74.8155635699998 -47.814999117,-74.8302905699999 -47.8079181169999,-74.8886275699999 -47.8277811169999,-74.9575095699999 -47.8936181169999,-75.04779057 -47.9350091169999,-75.0675095699999 -47.9344451169999,-75.0991635699999 -47.9394451169999,-75.1672365699999 -47.9530541169999,-75.1794545699998 -47.958618117,-75.20750957 -47.9741631169999,-75.2649365699999 -48.030136117,-75.2509725699999 -48.0393091169999,-75.2297365699999 -48.041945117,-75.19500957 -48.0394541169999,-75.17056357 -48.0361181169999,-75.15583657 -48.032781117,-75.13887257 -48.015463117,-75.1162185699999 -47.9972901169999,-75.0964635699999 -47.989390117,-75.07011857 -47.987809117,-75.0435185699999 -47.9920271169999,-75.02277257 -48.0036091169999,-75.0373275699999 -48.023372117,-75.02972757 -48.035281117,-75.0161095699999 -48.040281117,-74.95529057 -48.058618117,-74.90139057 -48.069727117,-74.8875095699999 -48.070281117,-74.86973657 -48.0691721169999,-74.86000957 -48.0654181169999,-74.80722757 -48.0387541169999,-74.80528157 -47.898054117,-74.8063995699998 -47.8605541169999,-74.80778157 -47.8488901169999,-74.8155635699998 -47.814999117),(-75.1550095699999 -48.0791721169999,-75.2197365699999 -48.0699991169999,-75.2537635699999 -48.072227117,-75.25723657 -48.1015271169999,-75.19500957 -48.229172117,-75.0531995699999 -48.439590118,-75.03959057 -48.444172118,-75.0255545699999 -48.4447271179999,-74.9936185699999 -48.425836118,-74.9655635699999 -48.4102811179999,-74.94195457 -48.398609118,-74.8898725699999 -48.3754181179999,-74.86181857 -48.376527118,-74.8472275699999 -48.3729181179999,-74.8387545699999 -48.3643091179999,-74.80528157 -48.219999117,-74.80222757 -48.1994451169999,-74.80396357 -48.1827811169999,-74.81500957 -48.1733361169999,-74.92750957 -48.154036117,-74.9991725699999 -48.1147271169999,-75.0111275699999 -48.108336117,-75.0386185699999 -48.098336117,-75.1550095699999 -48.0791721169999),(-74.5663905689999 -48.1209721169999,-74.6006995689999 -48.1547271169999,-74.601963569 -48.192499117,-74.6011185689999 -48.217509117,-74.5994545689999 -48.2355541169999,-74.5966815689999 -48.2466721169999,-74.5348635689999 -48.335836118,-74.525554569 -48.340281118,-74.4188995689999 -48.304727118,-74.4077905689999 -48.298336118,-74.3666725689999 -48.2584721169999,-74.3902905689999 -48.2261091169999,-74.4983365689999 -48.152781117,-74.5088995689999 -48.1458361169999,-74.529727569 -48.1322271169999,-74.549590569 -48.1211091169999,-74.5663905689999 -48.1209721169999),(-74.361954569 -48.288609118,-74.491527569 -48.354163118,-74.4870905689999 -48.3644451179999,-74.4722275689999 -48.378618118,-74.458199569 -48.3865271179999,-74.407227569 -48.3994451179999,-74.3861275689999 -48.4069541179999,-74.3161185689999 -48.4383361179999,-74.2974995689999 -48.4472271179999,-74.286954569 -48.4538901179999,-74.2730545689999 -48.4677811179999,-74.2606995689999 -48.4661181179998,-74.232790569 -48.454172118,-74.2213905689998 -48.447781118,-74.2167455689999 -48.4340361179999,-74.230427569 -48.4241721179999,-74.2513995689999 -48.4136091179999,-74.270572569 -48.3988901179999,-74.299181569 -48.3694451179999,-74.311254569 -48.3538901179999,-74.3106995689999 -48.341536118,-74.2968095689999 -48.312918118,-74.2958365689999 -48.2966721179999,-74.310009569 -48.2855541179999,-74.3316815689998 -48.2819541179999,-74.3451455689999 -48.2829181179999,-74.361954569 -48.288609118),(-74.1801455689999 -48.4431991179999,-74.0952905689999 -48.482227118,-74.074172569 -48.4911091179999,-74.0658455689999 -48.491390118,-74.0486185689999 -48.4426451179999,-74.0526545689999 -48.4319451179999,-74.062790569 -48.4216721179999,-74.0747185689999 -48.4155541179998,-74.1718095689999 -48.3706991179999,-74.1936185689999 -48.366954118,-74.204181569 -48.3663901179999,-74.2227815689999 -48.366954118,-74.2427815689999 -48.371945118,-74.2493095689999 -48.3861181179999,-74.2403545689999 -48.4020181179999,-74.1801455689999 -48.4431991179999),(-74.301399569 -48.478618118,-74.3094455689999 -48.4672271179999,-74.326954569 -48.457781118,-74.377227569 -48.435009118,-74.451954569 -48.406672118,-74.4780545689999 -48.3988901179999,-74.4940365689999 -48.3983361179999,-74.511672569 -48.410836118,-74.510009569 -48.421390118,-74.505009569 -48.4313991179999,-74.4977905689999 -48.4399991179999,-74.4547275689999 -48.492227118,-74.434618569 -48.5255631179999,-74.4280725689999 -48.529163118,-74.4156995689999 -48.5304181179999,-74.3905635689999 -48.5236091179999,-74.336118569 -48.5052811179999,-74.316390569 -48.4980631179999,-74.3027815689999 -48.489727118,-74.301399569 -48.478618118),(-74.5877815689998 -48.4086181179999,-74.67902757 -48.299727118,-74.69111857 -48.229445117,-74.69639957 -48.190563117,-74.6966725699999 -48.1716721169999,-74.7008365699999 -48.1550091169999,-74.7080725699998 -48.146118117,-74.7269545699999 -48.1280631169999,-74.73875457 -48.1238901169999,-74.7516815699999 -48.132509117,-74.75917257 -48.141672117,-74.7686185699999 -48.1569541169999,-74.8113995699999 -48.305554118,-74.8133365699999 -48.319172118,-74.8130635699998 -48.331672118,-74.8014635699999 -48.369290118,-74.7936725699999 -48.3811721179999,-74.75938157 -48.424790118,-74.7302815699999 -48.4291721179999,-74.7201455699998 -48.4333361179999,-74.7077905699999 -48.4455631179999,-74.71042757 -48.4563901179999,-74.75840957 -48.4954901179999,-74.80278157 -48.4708361179999,-74.8109725699999 -48.459445118,-74.8149995699999 -48.4458361179999,-74.83600957 -48.4226991179999,-74.8440635699999 -48.4091181179999,-74.8563095699999 -48.4070361179999,-74.9219545699999 -48.412227118,-74.9377905699999 -48.418472118,-75.0094455699999 -48.471945118,-75.01806357 -48.480563118,-75.02709057 -48.4923631179999,-75.0313995699999 -48.5111091179999,-75.0148725699999 -48.5845901179999,-75.0093185699999 -48.594172118,-74.99528157 -48.602227118,-74.93029057 -48.626809118,-74.81360957 -48.6430541179999,-74.79472757 -48.642781118,-74.77944557 -48.6397271179999,-74.7626455699999 -48.634036118,-74.7451455699999 -48.6340271179999,-74.6230185689999 -48.692181118,-74.6069455689999 -48.6974991179999,-74.585845569 -48.696672118,-74.5675095689999 -48.6920811179999,-74.516399569 -48.6708361179999,-74.505009569 -48.664454118,-74.4966725689999 -48.656109118,-74.4902815689999 -48.638336118,-74.4823725689999 -48.610418118,-74.484727569 -48.595836118,-74.4941725689999 -48.5883361179999,-74.505845569 -48.5822271179999,-74.5165365689999 -48.5791721179999,-74.529036569 -48.5829181179999,-74.5295905689999 -48.5945811179999,-74.5240365689999 -48.6043091179999,-74.5237545689999 -48.6143091179999,-74.5330545689999 -48.622081118,-74.5473725689999 -48.6198631179999,-74.5968815689999 -48.575690118,-74.6033455689999 -48.558618118,-74.6081995689999 -48.513618118,-74.608336569 -48.455836118,-74.5877815689998 -48.4086181179999),(-74.541218569 -48.711981118,-74.7415365699999 -48.680281118,-74.83972757 -48.6969451179999,-74.9766725699999 -48.7599991179999,-75.0490365699999 -48.796390118,-75.0609815699999 -48.8404181179998,-75.0238995699999 -48.9088901179999,-74.9697275699999 -48.988890118,-74.94903657 -49.011254118,-74.92668157 -49.0213901179999,-74.8900185699999 -49.046954118,-74.8272275699999 -49.095836118,-74.8891725699999 -49.289999118,-74.91806357 -49.336109118,-74.9766725699999 -49.285563118,-75.05667257 -49.2211181179999,-75.09056357 -49.2047271179999,-75.0675095699999 -49.246118118,-75.0777905699999 -49.265554118,-75.1119545699999 -49.2961091179999,-75.1630725699999 -49.3413901179999,-75.1941725699999 -49.334445118,-75.24861857 -49.2754181179999,-75.27014557 -49.2584721179999,-75.31746357 -49.266318118,-75.32083657 -49.3141721179999,-75.2781275699999 -49.3807631189999,-75.25723657 -49.4027811189999,-75.2391815699999 -49.4183361189999,-75.20360957 -49.4511181189999,-75.1662635699999 -49.4941721189999,-75.1675095699999 -49.5024991189999,-75.1758455699999 -49.500554119,-75.2043185699999 -49.4873631189999,-75.2841815699999 -49.4197271189999,-75.3198725699999 -49.3708361189999,-75.3316815699999 -49.3438901189999,-75.38403657 -49.282081118,-75.40583657 -49.2788901179999,-75.4280725699999 -49.2844451179999,-75.4658455699999 -49.3161811179999,-75.46473657 -49.3722181189999,-75.45959057 -49.403063119,-75.4347995699998 -49.4568811189999,-75.40369057 -49.445072119,-75.3689635699999 -49.434381119,-75.3269545699999 -49.4627811189999,-75.2925095699999 -49.5036181189999,-75.2730545699999 -49.5741721189999,-75.29709057 -49.6330631189999,-75.2163995699999 -49.754445119,-75.14417257 -49.849099119,-75.05111857 -49.894590119,-75.01722757 -49.8994451189999,-74.98611857 -49.809172119,-74.9641725699998 -49.676945119,-74.9894545699999 -49.6538901189999,-75.0061185699999 -49.6281991189999,-75.00834557 -49.589727119,-75.0094455699999 -49.538336119,-75.00598157 -49.5111091189999,-74.97049057 -49.4818721189999,-74.9625815699999 -49.5225631189999,-74.94729957 -49.5432631189999,-74.86695457 -49.508472119,-74.75583657 -49.423299119,-74.6950095699999 -49.3699991189999,-74.65562757 -49.3607631189999,-74.78445457 -49.477781119,-74.8431995699999 -49.5088901189998,-74.88487257 -49.5372271189999,-74.9198725699999 -49.6861181189999,-74.8849995699999 -49.7884721189999,-74.9050095699999 -49.8819541189999,-74.91139057 -49.929245119,-74.8860455699999 -49.9579181189999,-74.8518095699999 -49.9534721189999,-74.7691815699999 -49.9097271189999,-74.74070957 -49.9015271189999,-74.71430957 -49.904999119,-74.6665995699999 -49.946945119,-74.7007635699999 -49.9313901189999,-74.7226455699998 -49.922081119,-74.7483365699999 -49.929172119,-74.8113995699999 -49.9563901189999,-74.84209057 -49.9751451189999,-74.8700725699999 -50.010209119,-74.85042757 -50.0266721189998,-74.77487257 -50.0537541189999,-74.7627905699999 -50.055554119,-74.65945457 -50.053481119,-74.6279275699999 -50.047363119,-74.5425095689999 -49.9980631189999,-74.4788905689999 -49.9483361189999,-74.465572569 -49.9322271189999,-74.414172569 -49.7390361189999,-74.4200095689999 -49.6759721189999,-74.4433365689999 -49.644027119,-74.467645569 -49.625418119,-74.530281569 -49.6340271189999,-74.533136569 -49.654999119,-74.5287545689999 -49.674590119,-74.5950365689999 -49.718336119,-74.5974995689999 -49.689172119,-74.5484815689999 -49.620345119,-74.4988995689998 -49.584727119,-74.5219545689999 -49.5397271189999,-74.5127905689999 -49.501399119,-74.488890569 -49.4744451189998,-74.4700095689999 -49.4284721189999,-74.443345569 -49.3066721179999,-74.442790569 -49.2215271179999,-74.447509569 -49.1999991179999,-74.478899569 -49.092227118,-74.4710455689999 -48.9670901179999,-74.475572569 -48.9463901179999,-74.4991725689999 -48.902227118,-74.523472569 -48.7530631179999,-74.541218569 -48.711981118),(-74.4287455689999 -49.6145181189999,-74.415836569 -49.628336119,-74.291818569 -49.558618119,-74.2870905689999 -49.5495901189999,-74.3316815689998 -49.487227119,-74.341536569 -49.4766721189999,-74.3666725689999 -49.461109119,-74.4261185689999 -49.426809119,-74.4377815689999 -49.4298631189999,-74.442509569 -49.445281119,-74.4497185689999 -49.4849991189999,-74.4383365689999 -49.575563119,-74.4287455689999 -49.6145181189999),(-75.1436185699999 -50.0261181189999,-75.30194557 -50.000836119,-75.31889957 -50.0022271189999,-75.40049057 -50.044027119,-75.3830635699999 -50.0802811189999,-75.3036185699999 -50.1236091189999,-75.22834557 -50.154727119,-75.1597275699999 -50.168890119,-75.1483455699999 -50.199718119,-75.1450095699998 -50.2490271189999,-75.19814557 -50.2542091189999,-75.27806357 -50.2416721189999,-75.3202815699999 -50.2272271189999,-75.33500957 -50.219036119,-75.34959057 -50.2013901189999,-75.3434815699999 -50.1931991189999,-75.30334557 -50.1930631189999,-75.27514557 -50.1894451189999,-75.2652905699999 -50.1855631189999,-75.2545905699999 -50.174727119,-75.25861857 -50.164863119,-75.32556357 -50.146663119,-75.3422275699999 -50.1427811189999,-75.3608365699999 -50.1436181189998,-75.3744545699998 -50.1483361189999,-75.3861185699999 -50.1583361189999,-75.3941815699999 -50.171390119,-75.4211095699999 -50.2201451189999,-75.4458455699999 -50.2755541189999,-75.4505635699999 -50.2994451189999,-75.4588905699999 -50.3452811189998,-75.4597275699999 -50.3615361189999,-75.4488905699999 -50.3684721189999,-75.43529057 -50.3683361189999,-75.3333455699998 -50.339999119,-75.28445457 -50.3194541189999,-75.2170365699999 -50.307199119,-75.2026545699999 -50.3157721189999,-75.2469455699999 -50.357227119,-75.2752815699999 -50.379718119,-75.31048157 -50.394099119,-75.32167257 -50.4102811189999,-75.3213995699999 -50.42528112,-75.31726357 -50.43449012,-75.3066725699999 -50.4372271199999,-75.23389057 -50.4405631199999,-75.2112545699999 -50.4351451199999,-75.1986275699999 -50.42583612,-75.07639957 -50.320836119,-75.05508157 -50.299454119,-75.0169545699999 -50.290554119,-75.0030635699999 -50.285836119,-74.8108365699999 -50.213336119,-74.7933365699999 -50.1819451189999,-74.79056357 -50.1482631189999,-74.8006995699999 -50.126672119,-74.8152815699999 -50.115418119,-74.8572995699998 -50.127781119,-74.84583657 -50.139309119,-74.8633455699999 -50.164727119,-75.0280635699999 -50.1902811189999,-75.07069957 -50.188754119,-75.0633365699999 -50.1783361189999,-75.04861857 -50.1669451189999,-74.9997275699999 -50.135836119,-75.1313905699998 -50.032499119,-75.1436185699999 -50.0261181189999),(-74.75590957 -50.3918091189998,-74.7865365699998 -50.4880631199999,-74.7795905699999 -50.49583612,-74.75778157 -50.5002811199999,-74.73834557 -50.4999991199999,-74.7233455699999 -50.49583612,-74.6411095699999 -50.4522271199999,-74.5575095689999 -50.4055541189999,-74.5437635689999 -50.389727119,-74.546536569 -50.3794451189999,-74.6094545689999 -50.366390119,-74.6700095699999 -50.361945119,-74.68860957 -50.3616721189999,-74.6997275699999 -50.364309119,-74.75590957 -50.3918091189998),(-74.66758157 -50.47848112,-74.5613995689999 -50.51333612,-74.5463905689999 -50.5134811199999,-74.530709569 -50.5101451199999,-74.5113995689999 -50.50556312,-74.5008365689999 -50.5061091199999,-74.4255635689999 -50.52625412,-74.495563569 -50.57222712,-74.571109569 -50.6188901199999,-74.5754275689999 -50.63069912,-74.5705545689999 -50.6505541199999,-74.562790569 -50.66528112,-74.5150185689998 -50.7330631199999,-74.505009569 -50.7405631199999,-74.406109569 -50.7908361199999,-74.3194545689999 -50.81167212,-74.314590569 -50.80083612,-74.2694545689999 -50.78555412,-74.247790569 -50.7958361199999,-74.2361185689999 -50.8052811199999,-74.2091635689999 -50.8516721199999,-74.2005635689999 -50.8508361199999,-74.190981569 -50.8463901199999,-74.1788905689999 -50.8138991199999,-74.176536569 -50.79014512,-74.181118569 -50.7702811199999,-74.236954569 -50.67860912,-74.274445569 -50.6222181199998,-74.3638905689999 -50.4913901199999,-74.5313995689999 -50.4202811199999,-74.5444455689999 -50.41875412,-74.5624995689998 -50.4238901199999,-74.5819545689999 -50.43194512,-74.594727569 -50.43749912,-74.6075095689999 -50.44360912,-74.66758157 -50.47848112),(-74.4094545689999 -50.8305541199999,-74.4898725689999 -50.7793091199999,-74.5527815689999 -50.75249912,-74.6219455689999 -50.73194512,-74.65749957 -50.7266721199999,-74.67945457 -50.7349991199998,-74.68458157 -50.7455541199999,-74.6783455699999 -50.75486312,-74.6613905699999 -50.7616721199999,-74.6497275699999 -50.7651451199999,-74.623199569 -50.7827811199999,-74.613627569 -50.79680912,-74.610836569 -50.8163901199999,-74.6161185689999 -50.89499912,-74.69111857 -50.9211091199999,-74.7463995699999 -50.90695412,-74.86306357 -50.8872181199999,-74.92084557 -50.88402712,-74.9330635699999 -50.8898631199999,-74.9600095699999 -50.9341721199999,-74.96445457 -50.94986312,-74.96473657 -50.9658361199999,-74.9605545699999 -50.97639012,-74.8851365699999 -51.0624991199999,-74.72056357 -51.1119451199999,-74.7127815699999 -51.11167212,-74.63014557 -51.09375412,-74.6223635689999 -51.0851451199999,-74.6027815689999 -51.04361812,-74.488890569 -50.99999912,-74.4777815689999 -50.99791812,-74.462372569 -51.0018091199999,-74.4344455689999 -51.02861812,-74.418627569 -51.06472712,-74.414172569 -51.08472712,-74.4015365689999 -51.08889012,-74.391109569 -51.0815271199999,-74.371045569 -51.0238901199999,-74.3966635689999 -50.86055412,-74.400845569 -50.8436091199999,-74.4094545689999 -50.8305541199999),(-74.3236275689999 -51.0850091199999,-74.2819095689999 -51.2182181199999,-74.283063569 -51.2213901199999,-74.284863569 -51.2380541199999,-74.2770905689999 -51.24680912,-74.263336569 -51.24778112,-74.249454569 -51.24305412,-74.192363569 -51.1986091199999,-74.2002905689999 -51.16194512,-74.235836569 -51.07222712,-74.2902815689998 -50.9602811199999,-74.295563569 -50.9502811199999,-74.3148635689999 -50.9238271199999,-74.3409815689999 -50.9245901199999,-74.348336569 -50.9343091199999,-74.337781569 -51.0288901199999,-74.3236275689999 -51.0850091199999),(-74.107927569 -51.23694512,-74.1188995689999 -51.28499912,-74.1198725689999 -51.2949991199999,-74.1019635689999 -51.3622271199999,-74.0902905689999 -51.37221812,-74.0780815689998 -51.37763612,-74.0498635689999 -51.3799991199999,-73.955009569 -51.3294451199999,-73.9525185689999 -51.3063991199999,-73.9650095689999 -51.2552811199999,-73.9712635689999 -51.2410451199999,-73.9965365689999 -51.2305631199999,-74.0700095689999 -51.2230631199999,-74.0891725689999 -51.22416312,-74.1001455689999 -51.2274991199998,-74.107927569 -51.23694512),(-73.859590569 -51.3623631199999,-73.7871725689999 -51.37235412,-73.781399569 -51.3713901199999,-73.774736569 -51.36139012,-73.759590569 -51.32360912,-73.757509569 -51.3023631199999,-73.764172569 -51.28499912,-73.7719545689999 -51.27639012,-73.781109569 -51.26833612,-73.7944455689999 -51.2595901199999,-73.812227569 -51.25306312,-73.8297275689998 -51.2494541199999,-73.8463905689999 -51.25222712,-73.8858365689999 -51.27583612,-73.908899569 -51.2927811199999,-73.9152905689999 -51.3030541199999,-73.8941725689999 -51.3424991199999,-73.8694455689999 -51.3580631199999,-73.859590569 -51.3623631199999),(-74.1691725689999 -51.2880631199999,-74.182227569 -51.2827811199999,-74.2597995689999 -51.2999361199999,-74.2638995689999 -51.31833612,-74.2611275689999 -51.34889012,-74.2472275689999 -51.4022271199999,-74.235290569 -51.41166312,-74.195554569 -51.4297271199999,-74.134963569 -51.45138112,-74.127790569 -51.4544451199999,-74.1152905689999 -51.4524991199999,-74.1094545689999 -51.4416721199999,-74.111390569 -51.38833612,-74.1166725689999 -51.37833612,-74.1691725689999 -51.2880631199999),(-74.78361857 -51.4322271199999,-74.74000957 -51.3736091199999,-74.71889957 -51.3436091199999,-74.6783455699999 -51.32999912,-74.6431995699999 -51.4033361199999,-74.63070957 -51.4094451199999,-74.6075095689999 -51.4094451199999,-74.597509569 -51.40541812,-74.556118569 -51.3755541199999,-74.543754569 -51.36194512,-74.5361185689999 -51.2791631199999,-74.5611095689999 -51.2347271199999,-74.568618569 -51.2261091199999,-74.6136185689999 -51.19249912,-74.71556357 -51.1952811199999,-74.79389957 -51.2094451199999,-74.95319957 -51.3172271199999,-74.9612545699999 -51.32652712,-74.96473657 -51.3384721199999,-74.9605545699999 -51.35222712,-74.94903657 -51.3635451199999,-74.9286185699999 -51.36791812,-74.90722757 -51.3572271199999,-74.79972757 -51.3191721199998,-74.78889957 -51.32083612,-74.79722757 -51.33306312,-74.8711275699999 -51.38417212,-74.89222757 -51.39139012,-74.94417257 -51.4058361199999,-75.0147365699999 -51.4404181199999,-75.0202815699999 -51.46639012,-74.9977905699999 -51.4761091199999,-74.98889057 -51.47639012,-74.9513905699999 -51.4551451199999,-74.9338995699999 -51.4491721199999,-74.87889057 -51.44472712,-74.84083657 -51.44278112,-74.7977905699999 -51.4369541199999,-74.78361857 -51.4322271199999),(-75.13833657 -51.494727121,-75.0766725699999 -51.4083361199999,-75.06708157 -51.4040361199999,-75.0490365699999 -51.40625412,-75.03418157 -51.41445412,-75.0208455699999 -51.41444512,-75.0052815699999 -51.40695412,-75.0002905699999 -51.3955631199999,-74.99653657 -51.3663901199999,-75.0047275699999 -51.3358361199999,-75.1302815699999 -51.2655541199999,-75.1431995699999 -51.26583612,-75.1591815699999 -51.2727811199999,-75.2052905699999 -51.29917212,-75.2133455699999 -51.30833612,-75.21833657 -51.3197271199999,-75.2205635699999 -51.33361812,-75.2189725699999 -51.35014512,-75.22168157 -51.4205631199999,-75.2305635699999 -51.47055412,-75.2736185699998 -51.5130631209999,-75.3149995699999 -51.5412541209999,-75.3177815699999 -51.619172121,-75.31029057 -51.6341721209999,-75.3002905699999 -51.6338901209999,-75.2887545699999 -51.631254121,-75.1538905699999 -51.5773631209999,-75.1416815699999 -51.5597181209999,-75.1345905699999 -51.545836121,-75.13250957 -51.5297271209999,-75.13417257 -51.5116721209999,-75.13833657 -51.494727121),(-74.0886185689998 -51.6147271209999,-74.1402905689999 -51.6702811209999,-74.1838995689999 -51.670009121,-74.230427569 -51.676109121,-74.2382095689999 -51.6854181209999,-74.236681569 -51.703890121,-74.2202905689999 -51.717509121,-74.1994545689999 -51.7287541209999,-74.060290569 -51.7930631209999,-74.045290569 -51.798054121,-74.022463569 -51.8020271209999,-74.0091725689999 -51.803336121,-73.9988995689999 -51.8030631209999,-73.9779185689999 -51.7997271209999,-73.9527905689999 -51.7913901209999,-73.939999569 -51.7858361209999,-73.9257725689999 -51.7754901209999,-73.9252815689999 -51.759727121,-74.058209569 -51.5504901209999,-74.074036569 -51.5412541209999,-74.088899569 -51.5394541209999,-74.0983455689999 -51.5438901209999,-74.104727569 -51.5541721209999,-74.0886185689998 -51.6147271209999),(-73.9426455689999 -51.690972121,-73.8569455689999 -51.8011181209999,-73.849163569 -51.8097181209999,-73.8308365689999 -51.8161181209999,-73.8066725689999 -51.8191721209998,-73.7966725689999 -51.8191721209998,-73.7673635689999 -51.7809721209999,-73.7658455689999 -51.7686181209999,-73.7952815689998 -51.726536121,-73.847227569 -51.6836181209999,-73.9130725689999 -51.661390121,-73.9359725689998 -51.6620901209999,-73.943754569 -51.6713901209999,-73.9426455689999 -51.690972121),(-73.9041725689999 -51.796672121,-73.9170905689999 -51.795554121,-73.9295995689999 -51.801672121,-73.9601455689999 -51.839581121,-73.951536569 -51.8861181209999,-73.940145569 -51.893054121,-73.8597275689999 -51.9024991209999,-73.8455635689999 -51.897509121,-73.8242455689999 -51.884799121,-73.819727569 -51.870563121,-73.863618569 -51.826118121,-73.882781569 -51.810836121,-73.8927905689999 -51.803336121,-73.9041725689999 -51.796672121),(-74.171954569 -51.842227121,-74.3738995689999 -51.7397271209999,-74.503345569 -51.7126451209999,-74.4280635689999 -51.8490271209999,-74.3743095689999 -51.891254121,-74.231463569 -51.9452091209999,-74.163072569 -51.9530541209999,-74.1447275689999 -51.951390121,-74.1338995689999 -51.9441721209999,-74.091809569 -51.888336121,-74.0902905689999 -51.877227121,-74.171954569 -51.842227121),(-74.0952905689999 -51.922781121,-74.113890569 -51.9633361209999,-74.1127905689999 -51.9986091209999,-74.0952905689999 -52.008336121,-74.081390569 -52.0138901209999,-74.0169545689999 -52.037781121,-73.9525185689999 -52.061672121,-73.8919545689999 -52.087499121,-73.872790569 -52.096672121,-73.803618569 -52.141527121,-73.7577815689999 -52.1847181209999,-73.7300095689999 -52.2158361209999,-73.7244275689999 -52.224409121,-73.7091725689999 -52.2385451209999,-73.6933455689999 -52.2388901209999,-73.687918569 -52.2205541209999,-73.6883365689999 -52.2047271209999,-73.710009569 -52.150145121,-73.7611275689999 -52.0777811209999,-73.7705635689999 -52.0665361209999,-73.8066725689999 -52.0438901209999,-73.847499569 -52.0197271209999,-73.8588995689999 -52.0130631209999,-74.028336569 -51.916945121,-74.047499569 -51.907781121,-74.0598725689999 -51.906118121,-74.0952905689999 -51.922781121),(-74.037227569 -52.1416721209999,-74.048336569 -52.141390121,-74.0797275689999 -52.1524991209999,-74.0942455689999 -52.1661181209999,-74.0858455689999 -52.1877811209999,-74.0780635689999 -52.196390121,-74.000563569 -52.258336121,-73.9147365689998 -52.3030631209999,-73.881672569 -52.3613901209999,-73.8402905689999 -52.393618121,-73.8329275689999 -52.3966721209998,-73.808063569 -52.3972271209999,-73.7652905689999 -52.3827811209999,-73.751745569 -52.3718721209999,-73.747509569 -52.3558361209999,-73.772781569 -52.2877811209999,-73.777236569 -52.2772271209998,-73.7891725689999 -52.2641631209999,-73.8097185689999 -52.249454121,-73.886790569 -52.2232451209998,-73.9484905689999 -52.2022631209999,-73.990154569 -52.161254121,-74.037227569 -52.1416721209999),(-74.127790569 -52.1786091209999,-74.1941725689999 -52.1366721209999,-74.2425095689999 -52.110836121,-74.2730545689999 -52.0947271209999,-74.285572569 -52.0886181209999,-74.300563569 -52.0836181209999,-74.3108365689999 -52.083890121,-74.330418569 -52.0883361209999,-74.348072569 -52.094454121,-74.4155545689999 -52.1336091209999,-74.4134815689999 -52.1465361209999,-74.3855635689999 -52.1608361209999,-74.3659815689999 -52.166672121,-74.342509569 -52.1677811209999,-74.3261275689999 -52.1644541209999,-74.2691815689999 -52.1591721209999,-74.1816725689999 -52.177509121,-74.1563995689999 -52.189727121,-74.1458455689998 -52.1972271209999,-74.1057095689999 -52.250972121,-74.1177815689999 -52.253472121,-74.1430635689999 -52.244445121,-74.154445569 -52.237499121,-74.1783455689999 -52.2299991209999,-74.199718569 -52.228336121,-74.2112545689999 -52.2312541209999,-74.226963569 -52.2386181209999,-74.2338995689999 -52.248609121,-74.226672569 -52.327227121,-74.189518569 -52.371463121,-74.144672569 -52.392836121,-74.135845569 -52.3976451209999,-74.1033455689999 -52.3969451209999,-73.9769635689999 -52.3566721209999,-73.935009569 -52.337227121,-73.9343095689999 -52.3232631209999,-74.086399569 -52.2083361209999,-74.127790569 -52.1786091209999),(-74.68903657 -52.2998631209999,-74.6176455689999 -52.216254121,-74.622509569 -52.2059721209999,-74.6461185699999 -52.2022271209999,-74.6633455699999 -52.2047271209999,-74.82055457 -52.229445121,-74.80971857 -52.2797271209999,-74.7486095699999 -52.3177811209999,-74.73945457 -52.3169451209999,-74.71959957 -52.312363121,-74.68903657 -52.2998631209999),(-74.6830635699999 -52.169172121,-74.5996635689999 -52.080554121,-74.612227569 -52.0604181209999,-74.7888905699999 -52.1245181209999,-74.80201857 -52.146190121,-74.80334557 -52.1669451209999,-74.7994545699999 -52.177509121,-74.7902815699998 -52.1855631209999,-74.77278157 -52.1886091209999,-74.7625095699999 -52.188336121,-74.7452815699999 -52.185836121,-74.6830635699999 -52.169172121),(-74.7800095699999 -52.091390121,-74.7697275699999 -52.0836181209999,-74.6050095689999 -51.8588901209999,-74.6008365689999 -51.8434721209999,-74.73083657 -51.8319451209999,-74.7434725699999 -51.832781121,-74.75500957 -51.8430541209999,-74.76610957 -51.857781121,-74.78722757 -51.8877811209999,-74.7948725699999 -51.901118121,-74.89757257 -52.1163901209999,-74.8772275699999 -52.1400091209999,-74.8705635699999 -52.1416721209999,-74.86361857 -52.139163121,-74.7800095699999 -52.091390121),(-74.8313905699998 -51.9438901209999,-74.78110957 -51.8216721209999,-74.76542757 -51.7799991209999,-74.77028157 -51.7475091209999,-74.7852815699999 -51.658890121,-74.7894635699999 -51.6483361209999,-74.8058365699999 -51.6345901209999,-74.8688995699999 -51.6195901209999,-74.8894545699999 -51.6227811209999,-74.9033365699999 -51.6272271209999,-74.92249957 -51.6358361209999,-74.9334815699999 -51.6466721209999,-74.9312635699998 -51.657645121,-74.9169455699999 -51.6661181209999,-74.89028157 -51.6744451209998,-74.8608365699998 -51.724445121,-74.8306995699999 -51.8447181209999,-74.8538995699999 -51.861945121,-74.8747275699999 -51.866109121,-74.9077905699999 -51.869172121,-74.93250957 -51.8661181209999,-74.93430957 -51.8550091209999,-74.92209057 -51.841118121,-74.9256995699999 -51.8308361209999,-74.95612757 -51.8104181209999,-74.9727815699999 -51.8247181209999,-75.0597185699999 -51.970554121,-74.9869545699999 -52.0977811209999,-74.9697275699999 -52.1180541209999,-74.9616725699998 -52.117781121,-74.9494455699999 -52.111672121,-74.9344455699999 -52.100009121,-74.88444557 -52.045563121,-74.8313905699998 -51.9438901209999),(-74.99057257 -51.8230631209999,-74.9733455699999 -51.7824991209999,-74.96444557 -51.744999121,-74.9681905699999 -51.7294541209999,-74.9891725699999 -51.7165361209999,-75.0144545699999 -51.713618121,-75.03403657 -51.7180631209999,-75.0555545699999 -51.728618121,-75.0708455699999 -51.740281121,-75.0769545699999 -51.7508361209999,-75.0952905699999 -51.790554121,-75.1218185699999 -51.884590121,-75.1166725699999 -51.8944451209999,-75.10855457 -51.899809121,-75.09473657 -51.9016721209999,-75.0716725699999 -51.896254121,-75.0272365699999 -51.8722181209999,-75.0158365699999 -51.865009121,-75.00625457 -51.8531991209999,-74.99057257 -51.8230631209999),(-74.7323725699999 -52.082227121,-74.7219455699999 -52.087645121,-74.6783365699999 -52.0740271209999,-74.5594455689999 -52.028618121,-74.501809569 -52.0045181209999,-74.490427569 -51.9845901209999,-74.4895905689999 -51.9550091209999,-74.5093185689999 -51.9394451209999,-74.544172569 -51.9260451209998,-74.6979185699999 -52.0219451209999,-74.7094545699999 -52.0322271209999,-74.71556357 -52.0430631209999,-74.7244545699999 -52.0652811209999,-74.7323725699999 -52.082227121),(-74.4280725689999 -51.20667212,-74.421672569 -51.20833612,-74.409172569 -51.20639012,-74.385145569 -51.17139012,-74.385281569 -51.1433361199999,-74.3880635689999 -51.1319541199999,-74.3933365689999 -51.1222181199999,-74.4549995689998 -51.04139012,-74.4666725689999 -51.0283361199999,-74.4776455689999 -51.02459012,-74.4948635689998 -51.02611812,-74.6011095689998 -51.0752811199999,-74.6051455689998 -51.1034811199999,-74.5757095689999 -51.1579181199999,-74.5613995689999 -51.16639012,-74.4280725689999 -51.20667212),(-74.77902757 -50.88680912,-74.69889957 -50.8911091199999,-74.6868095699999 -50.88889012,-74.6729275699999 -50.8688901199999,-74.6623725699999 -50.83152712,-74.6644635699998 -50.81999912,-74.74709057 -50.70417212,-74.8086185699999 -50.66680912,-74.82306357 -50.66361812,-74.8923725699999 -50.67930912,-74.9526455699999 -50.72875412,-74.9580635699999 -50.7398631199999,-74.9627815699999 -50.7736091199998,-74.9373635699999 -50.84319912,-74.9248725699999 -50.8556991199999,-74.81917257 -50.8794451199999,-74.77902757 -50.88680912),(-74.9783455699999 -50.67639012,-74.98098157 -50.6620901199999,-74.98972757 -50.65402712,-75.06598157 -50.65222712,-75.0791815699999 -50.65722712,-75.11188157 -50.71791812,-75.10972757 -50.7363901199999,-75.0855545699999 -50.7808361199999,-75.0777905699999 -50.78972712,-75.0650095699999 -50.79875412,-75.0309815699999 -50.8121541199999,-74.99834557 -50.8143091199999,-74.98611857 -50.80847212,-74.9783455699999 -50.67639012),(-75.2733455699999 -50.67750912,-75.27779057 -50.6127811199999,-75.27473657 -50.58472712,-75.2575095699999 -50.59472712,-75.24195457 -50.59916312,-75.22389057 -50.6022271199999,-75.2127815699999 -50.60305412,-75.19639957 -50.6005631199999,-75.09639057 -50.51639012,-75.0901455699999 -50.50306312,-75.1000095699999 -50.4962541199999,-75.1866725699999 -50.49305412,-75.3902905699999 -50.4644451199999,-75.4127815699999 -50.46639012,-75.46077257 -50.4940991199998,-75.4629185699999 -50.5081991199999,-75.42861857 -50.5238901199999,-75.3995905699999 -50.53944512,-75.3687545699999 -50.58709012,-75.3744545699998 -50.61583612,-75.3994545699999 -50.6048631199999,-75.41389057 -50.60305412,-75.4276455699999 -50.60389012,-75.46014557 -50.6170901199999,-75.50584557 -50.64722712,-75.5144545699999 -50.65972712,-75.4562635699999 -50.7630541199999,-75.44583657 -50.7704181199999,-75.42529057 -50.77555412,-75.3281275699999 -50.79267212,-75.3186185699999 -50.79389012,-75.3027815699999 -50.79055412,-75.2853455699999 -50.7828451199999,-75.26930957 -50.75110912,-75.2733455699999 -50.67750912),(-75.1794545699998 -49.904727119,-75.17319057 -49.8986181189999,-75.1936185699999 -49.8263901189999,-75.1986275699999 -49.8163901189999,-75.30875457 -49.669727119,-75.34529057 -49.6355631189999,-75.3597275699999 -49.624172119,-75.3716725699999 -49.6177811189999,-75.3833365699999 -49.615418119,-75.5627905699999 -49.6263901189999,-75.60348157 -49.6615361189999,-75.5919455699999 -49.783890119,-75.58723657 -49.793890119,-75.5595905699999 -49.834445119,-75.5398725699999 -49.8395811189999,-75.4277815699999 -49.7702811189999,-75.37098157 -49.798754119,-75.3750095699999 -49.810972119,-75.3745995699999 -49.823336119,-75.34861857 -49.8569451189999,-75.3294545699999 -49.871945119,-75.2981995699999 -49.8926451189998,-75.2745905699999 -49.8986091189999,-75.26111857 -49.8938901189998,-75.2618095699999 -49.8833361189999,-75.2691815699999 -49.865281119,-75.27757257 -49.8347271189999,-75.2537545699998 -49.839999119,-75.19639957 -49.885418119,-75.1794545699998 -49.904727119),(-75.51417257 -49.271945118,-75.47472757 -49.249727118,-75.3319545699999 -49.147781118,-75.32250957 -49.140281118,-75.3052815699999 -49.1233361179999,-75.2854275699999 -49.096809118,-75.2894635699999 -49.0827811179999,-75.3277905699999 -49.011672118,-75.3422275699999 -48.988063118,-75.3541815699999 -48.9854181179999,-75.37194557 -48.9902811179999,-75.3894545699999 -48.999454118,-75.4367725699999 -49.039572118,-75.44573657 -49.055899118,-75.4646995699999 -49.090145118,-75.51527257 -49.121745118,-75.5342365699999 -49.1159541179999,-75.54846357 -49.1180631179999,-75.6016725699999 -49.1422271179999,-75.65639957 -49.2138901179999,-75.6504185699999 -49.223336118,-75.63528157 -49.230836118,-75.60722757 -49.2411091179999,-75.5233455699998 -49.2708361179999,-75.51417257 -49.271945118),(-75.4224365699999 -48.9872901179999,-75.32250957 -48.954445118,-75.3130635699999 -48.9688901179999,-75.25778157 -49.0819451179999,-75.2511095699999 -49.079445118,-75.2397275699999 -49.0733361179999,-75.2019545699999 -49.0459721179999,-75.2020905699999 -49.0334721179999,-75.28139957 -48.890009118,-75.3027815699999 -48.8699991179999,-75.31445457 -48.863618118,-75.3527815699999 -48.8527811179999,-75.3691725699999 -48.849163118,-75.5450095699999 -48.8411181179999,-75.6222275699999 -48.858199118,-75.6333455699998 -48.868618118,-75.6508455699999 -48.9005541179999,-75.6547275699999 -48.9127811179999,-75.65695457 -48.9266721179998,-75.6566815699999 -48.9388991179999,-75.6530635699999 -48.9558361179999,-75.6472275699999 -48.965281118,-75.6400185699999 -48.9741631179999,-75.62834557 -48.9802811179999,-75.4999995699999 -49.0463901179999,-75.4780545699999 -49.0447271179999,-75.4636185699998 -49.0369451179999,-75.45499957 -49.0286181179999,-75.4224365699999 -48.9872901179999),(-75.2065275699999 -48.9946631179999,-75.19014557 -48.999309118,-75.17222757 -48.998890118,-75.0700095699999 -48.970009118,-75.0618095699999 -48.961109118,-75.05902757 -48.9495901179999,-75.0772275699999 -48.899172118,-75.0822275699999 -48.8891631179999,-75.09639057 -48.8716721179999,-75.1050095699999 -48.863618118,-75.1170995699998 -48.8545901179999,-75.1505545699999 -48.837781118,-75.18444557 -48.8238901179999,-75.21250957 -48.8138991179999,-75.2275095699999 -48.8094451179999,-75.2775095699999 -48.798890118,-75.30951857 -48.8000721179999,-75.22639057 -48.966945118,-75.2065275699999 -48.9946631179999),(-75.13612757 -48.831945118,-75.12918157 -48.834445118,-75.11764557 -48.8320901179999,-75.10722757 -48.8211091179999,-75.08278157 -48.7756901179999,-75.05667257 -48.702509118,-75.0547365699999 -48.6886091179999,-75.0538905699999 -48.675563118,-75.05778157 -48.6586181179998,-75.0613995699999 -48.6480541179999,-75.0683455699999 -48.635972118,-75.0816815699999 -48.6376451179999,-75.1869545699999 -48.7177811179999,-75.2475725699999 -48.770072118,-75.24459057 -48.7852811179999,-75.13612757 -48.831945118),(-75.2812545699999 -48.7098631179999,-75.2833365699999 -48.6952811179999,-75.28722757 -48.684445118,-75.2919455699999 -48.6744451179998,-75.30098157 -48.657363118,-75.3480725699999 -48.6355631179999,-75.42639057 -48.6811181179999,-75.4861185699999 -48.717509118,-75.49750957 -48.7236181179999,-75.51362757 -48.7261091179999,-75.53333657 -48.724163118,-75.57860957 -48.7169451179999,-75.6238995699999 -48.7036091179999,-75.6476365699999 -48.7054901179999,-75.65444557 -48.7662541179999,-75.6493185699999 -48.7808361179999,-75.63417257 -48.792227118,-75.6219455699999 -48.795836118,-75.61279057 -48.7969541179999,-75.49139057 -48.7808361179999,-75.3180725699999 -48.738618118,-75.3011185699999 -48.7294451179999,-75.2812545699999 -48.7098631179999),(-75.38889957 -48.642781118,-75.36611857 -48.630281118,-75.32000957 -48.602227118,-75.3149995699999 -48.591672118,-75.3344545699999 -48.450281118,-75.34020957 -48.435909118,-75.38889957 -48.429454118,-75.60196357 -48.4430631179999,-75.6213995699999 -48.4465271179999,-75.6505545699999 -48.4819451179998,-75.6695905699999 -48.5886181179999,-75.64973657 -48.6186181179999,-75.61745457 -48.629199118,-75.6025275699999 -48.634363118,-75.53418157 -48.6394541179999,-75.5201455699999 -48.6393091179999,-75.4991725699999 -48.636945118,-75.4861185699999 -48.6322271179999,-75.46889957 -48.622218118,-75.45069957 -48.6106991179999,-75.44125457 -48.6168091179999,-75.44694557 -48.6305631179999,-75.4661275699999 -48.6461181179999,-75.4775095699999 -48.6522271179999,-75.50418157 -48.6613901179999,-75.52000957 -48.6638901179999,-75.54779057 -48.669390118,-75.57869957 -48.665181118,-75.5898545699999 -48.675472118,-75.60471857 -48.6888811179999,-75.5975095699999 -48.6931991179999,-75.5777905699999 -48.6983361179999,-75.54195457 -48.7002811179999,-75.51167257 -48.6977811179999,-75.4963995699999 -48.6944541179999,-75.48306357 -48.6899991179999,-75.4525185699999 -48.6758361179999,-75.38889957 -48.642781118),(-75.2974995699999 -48.589727118,-75.2824995699999 -48.638336118,-75.23736357 -48.7098631179999,-75.2133455699999 -48.7052811179999,-75.2009995699999 -48.699790118,-75.1905635699999 -48.6927811179999,-75.0880545699999 -48.6216721179999,-75.0797275699999 -48.6130631179999,-75.0725815699998 -48.5945811179999,-75.0836185699999 -48.5083361179999,-75.1355635699999 -48.4094451179999,-75.17222757 -48.3663901179999,-75.18903657 -48.3534811179999,-75.2011275699999 -48.3444541179999,-75.2250095699999 -48.300563118,-75.23945457 -48.270563118,-75.26112757 -48.2236181169999,-75.2679185699999 -48.1649991169999,-75.2750095699999 -48.147781117,-75.3358455699999 -48.018618117,-75.3476455699999 -48.0090361169999,-75.36487257 -48.0066721169999,-75.5102905699999 -48.0340271169999,-75.5388905699999 -48.049027117,-75.5805545699999 -48.084445117,-75.5869455699998 -48.0955541169999,-75.55056357 -48.3130631179999,-75.5393095699999 -48.3245901179999,-75.40722757 -48.3138991179999,-75.3608365699999 -48.2952811179999,-75.3472275699999 -48.2979901179999,-75.35945457 -48.3141721179999,-75.37639957 -48.3311181179999,-75.3924995699999 -48.3411181179999,-75.41222757 -48.3480631179999,-75.42750957 -48.3513901179999,-75.4527905699998 -48.3538901179999,-75.4886185699999 -48.355563118,-75.5169545699999 -48.3633361179999,-75.53499957 -48.371945118,-75.5543095699999 -48.383054118,-75.55903657 -48.3945811179999,-75.5570905699999 -48.4061181179999,-75.5501455699999 -48.414999118,-75.53125457 -48.4234721179998,-75.5177905699999 -48.425836118,-75.4988995699999 -48.4255631179999,-75.4752815699998 -48.4216721179999,-75.4605545699999 -48.418336118,-75.44694557 -48.413890118,-75.3963905699999 -48.3963901179999,-75.2950095699999 -48.4366721179999,-75.31668157 -48.478890118,-75.31959957 -48.495009118,-75.2974995699999 -48.589727118),(-75.02987257 -48.7429271179999,-75.00584557 -48.7444451179999,-74.9794455699999 -48.742499118,-74.9488995699999 -48.736118118,-74.9358365699999 -48.7313901179999,-74.91862757 -48.721945118,-74.8270275699999 -48.6635451179999,-74.8569455699999 -48.6536181179999,-74.90668157 -48.6491721179999,-74.99139057 -48.6488901179999,-75.00834557 -48.664454118,-75.0443095699999 -48.7230541179999,-75.04320957 -48.735836118,-75.02987257 -48.7429271179999),(-75.1863995699999 -49.078054118,-75.19971857 -49.090563118,-75.21139957 -49.104172118,-75.22696357 -49.122781118,-75.23632757 -49.136109118,-75.23861857 -49.152499118,-75.1937545699999 -49.1726451179999,-75.0458365699999 -49.2052811179999,-74.9522365699999 -49.278018118,-74.9402905699999 -49.2905541179999,-74.9263185699999 -49.297918118,-74.89056357 -49.132781118,-74.8900185699999 -49.1197271179999,-74.8941815699999 -49.0841631179999,-74.90389957 -49.0766631179999,-74.9488995699999 -49.043618118,-74.9759725699999 -49.029863118,-75.1209815699999 -49.0236091179999,-75.1863995699999 -49.078054118),(-73.949718569 -52.714172122,-73.940290569 -52.720836122,-73.9261185689999 -52.7263901219999,-73.9169455689999 -52.7269541219999,-73.8858365689999 -52.7130541219999,-73.8522365689999 -52.7008361219999,-73.8418095689998 -52.699999122,-73.825145569 -52.703618122,-73.8075095689999 -52.6983361219999,-73.7933365689999 -52.685836122,-73.7852815689999 -52.676390122,-73.7294455689999 -52.602499122,-73.6716725689998 -52.4776451209999,-73.714736569 -52.4222271209999,-73.7254185689999 -52.411118121,-73.738345569 -52.4048631209999,-73.7522275689999 -52.4024991209999,-73.7663995689999 -52.403618121,-73.828472569 -52.4283361209999,-73.988063569 -52.520563121,-74.045836569 -52.5619541209999,-74.055845569 -52.569727122,-74.0777905689999 -52.606672122,-74.078618569 -52.616672122,-74.0705545689999 -52.6283361219999,-73.949718569 -52.714172122),(-74.6427905699999 -52.738063122,-74.6891725699999 -52.7190271219999,-74.7016725699999 -52.7197271219999,-74.7441095699999 -52.7585451219999,-74.69307257 -52.8002811219999,-74.6788905699999 -52.805836122,-74.6319545699999 -52.8200091219999,-74.6065365689999 -52.8231991219999,-74.5963905689999 -52.8275091219999,-74.5687545689999 -52.8541631219999,-74.5877815689998 -52.9022271219999,-74.5959815689999 -52.919445122,-74.587509569 -52.9308361219999,-74.574445569 -52.937227122,-74.5069545689999 -52.9695811219999,-74.444172569 -52.979172122,-74.4244545689999 -52.9794451219999,-74.3508455689999 -53.0349991219999,-74.3261185689999 -53.0938901219999,-74.302927569 -53.1022271219999,-74.067781569 -53.1075091219999,-74.020009569 -53.0894451219999,-73.9775095689999 -53.0761181219999,-73.8933365689999 -53.064727122,-73.8311185689999 -53.1129181219999,-73.7344545689999 -53.170836122,-73.7186185689999 -53.168336122,-73.6030545689999 -53.2344541219999,-73.574172569 -53.2711181219999,-73.505563568 -53.2901451219999,-73.4991725679999 -53.301736122,-73.4900095679999 -53.3291721219999,-73.2408455679998 -53.3686181219999,-73.126681568 -53.3727811219999,-73.116390568 -53.3725091219999,-73.1019635679999 -53.367499122,-73.0912545679999 -53.3531901219998,-73.102509568 -53.341945122,-73.2158365679999 -53.2938901219999,-73.2891725679999 -53.264309122,-73.3011185679999 -53.261945122,-73.3677815679999 -53.2697271219998,-73.312227568 -53.2402811219999,-73.316681568 -53.2288901219999,-73.426672568 -53.146527122,-73.4555635679999 -53.138890122,-73.4736185679999 -53.135563122,-73.488063568 -53.136390122,-73.5006275679999 -53.1468811219999,-73.4908455679999 -53.181672122,-73.480845568 -53.2040361219999,-73.4704905679999 -53.222781122,-73.5086185679999 -53.2641721219999,-73.523754568 -53.2590271219999,-73.5344545679999 -53.2486091219999,-73.5713185689999 -53.188890122,-73.562499569 -53.175563122,-73.5472275679999 -53.1638901219999,-73.5376455679999 -53.151945122,-73.555554569 -53.109172122,-73.562499569 -53.1011091219999,-73.6048725689999 -53.067227122,-73.6527905689999 -53.059936122,-73.654172569 -53.0791721219999,-73.7169455689998 -53.0777811219999,-73.792236569 -53.0549991219999,-73.8336185689999 -53.0391721219999,-73.8961185689998 -53.0061091219999,-74.024172569 -52.960554122,-74.1286185689999 -52.9361091219999,-74.1961185689999 -52.943890122,-74.236681569 -52.950554122,-74.249454569 -52.9641721219999,-74.3605635689999 -52.948890122,-74.404172569 -52.9188901219999,-74.442509569 -52.863890122,-74.4988995689998 -52.823618122,-74.6427905699999 -52.738063122),(-73.7522275689999 -52.8933361219999,-73.7416725689999 -52.900836122,-73.7202905689999 -52.8933361219999,-73.6319545689999 -52.882227122,-73.6133455689999 -52.8802811219999,-73.5327905679999 -52.8844451219999,-73.493063568 -52.892918122,-73.458072568 -52.9068091219999,-73.4677905679998 -52.910418122,-73.4844545679999 -52.9115271219999,-73.4952815679999 -52.924863122,-73.4877815679998 -52.9337541219999,-73.4541725679999 -52.9548631219999,-73.4405635679999 -52.9561181219999,-73.4116635679999 -52.953890122,-73.388063568 -52.951945122,-73.3752815679999 -52.9072271219999,-73.4156995679999 -52.8768091219998,-73.4286185679999 -52.870836122,-73.575836569 -52.845281122,-73.6991725689999 -52.8633361219999,-73.7522275689999 -52.8933361219999),(-74.0933365689999 -53.2283361219999,-74.105563569 -53.228199122,-74.147781569 -53.2472181219999,-74.1899995689999 -53.2699991219999,-74.2447275689999 -53.3027811219999,-74.2422275689999 -53.3136091219999,-74.2244545689999 -53.326954122,-74.214172569 -53.3312541219999,-74.1962545689999 -53.3323631219999,-74.1334725689999 -53.320281122,-74.105563569 -53.3091721219999,-74.061118569 -53.2640991219999,-74.056118569 -53.252227122,-74.0580635689999 -53.245563122,-74.0791815689999 -53.2338901219999,-74.0933365689999 -53.2283361219999),(-73.564999569 -53.3933361219999,-73.5788995689999 -53.431399122,-73.5636095689999 -53.4361091219999,-73.547790568 -53.441118122,-73.5384815679999 -53.4459721219999,-73.537372568 -53.456390122,-73.6225095689999 -53.475836122,-73.664172569 -53.4738901219999,-73.674454569 -53.4727811219999,-73.6913905689999 -53.4686091219999,-73.712236569 -53.460009122,-73.7450095689998 -53.444727122,-73.780836569 -53.4213901219999,-73.7975095689999 -53.4208361219999,-73.8007095689999 -53.431527122,-73.7830635689999 -53.451390122,-73.767372569 -53.4656991219999,-73.6444545689999 -53.5216631219999,-73.5102815679999 -53.569454122,-73.4898725679999 -53.573890122,-73.3954275679999 -53.542363122,-73.4027905679999 -53.5272271219999,-73.466536568 -53.4731991219999,-73.3952905679999 -53.415699122,-73.4077905679999 -53.4030631219999,-73.4298095679999 -53.397054122,-73.439181568 -53.3955631219999,-73.4505635679999 -53.3949991219999,-73.564999569 -53.3933361219999),(-73.129727568 -53.4594451219999,-73.103199568 -53.5106991219999,-73.2872275679999 -53.489445122,-73.3430635679999 -53.4724991219999,-73.378063568 -53.4649991219999,-73.421672568 -53.4680631219999,-73.399445568 -53.5066721219999,-73.2767365679999 -53.6250721219999,-73.2454185679999 -53.6379181219999,-73.1736185679999 -53.6491721229999,-73.1413995679999 -53.651945123,-73.0754275679999 -53.6565361229999,-73.0072365679998 -53.6533361229999,-72.9859815679999 -53.641809123,-72.9558365679999 -53.641181123,-72.9544455679999 -53.6672901229999,-73.045290568 -53.676390123,-73.1383365679999 -53.6780631229998,-73.1668095679999 -53.6766721229999,-73.2538905679999 -53.6602811229999,-73.2826545679999 -53.649445123,-73.3082095679999 -53.624027122,-73.3211095679999 -53.604863122,-73.3402905679999 -53.5888901219999,-73.417227568 -53.5643091219999,-73.437499568 -53.563054122,-73.4693635679999 -53.581245122,-73.4921725679999 -53.5913541219999,-73.5129455679999 -53.5901991219999,-73.5392095679999 -53.5774991219999,-73.581945569 -53.581881122,-73.5995905689999 -53.5920901219999,-73.6131995689998 -53.612499122,-73.614318569 -53.6527091229999,-73.592372569 -53.6655541229999,-73.5616725689998 -53.668063123,-73.521954568 -53.6654181229999,-73.4924995679999 -53.666809123,-73.483690568 -53.707290123,-73.5024995679999 -53.7205541229999,-73.5313995679999 -53.730563123,-73.576954569 -53.7527451229999,-73.490563568 -53.7516721229999,-73.4608455679999 -53.746118123,-73.424590568 -53.7356271229999,-73.3816725679999 -53.716672123,-73.2498635679999 -53.712254123,-73.259654568 -53.8085451229999,-73.3086275679999 -53.828890123,-73.3142455679999 -53.840145123,-73.2925095679999 -53.879718123,-73.258345568 -53.935563123,-73.223345568 -53.9872271229999,-73.132509568 -54.011672123,-73.102227568 -53.9424991229999,-73.1011185679999 -53.918199123,-73.059036568 -53.813827123,-73.0227095679999 -53.8228451229999,-73.0191725679999 -53.848827123,-73.0127095679999 -53.8717361229999,-72.9251455679999 -53.875145123,-72.893890568 -53.8666721229999,-72.8294545679999 -53.832781123,-72.8020905679999 -53.8223631229999,-72.7279905679999 -53.8456271229999,-72.776945568 -54.0172271229999,-72.891954568 -54.062227123,-73.0058365679999 -54.0634721229999,-73.0263275679999 -54.080345123,-72.9958365679999 -54.1002811229999,-72.875418568 -54.1358361229999,-72.823890568 -54.136390123,-72.7097275679999 -54.092509123,-72.6248725679999 -54.065981123,-72.5834725679999 -54.0962541229998,-72.5616725679999 -54.101954123,-72.536399568 -54.1018091229999,-72.4305545669999 -54.048054123,-72.3279185669999 -54.0416631229999,-72.3236185669999 -53.9952091229999,-72.355836567 -53.9894451229999,-72.3969545669999 -53.978336123,-72.415845567 -53.9686091229999,-72.4169545669999 -53.8970901229998,-72.351963567 -53.8641721229999,-72.2722275669999 -53.8744451229999,-72.2466815669999 -53.8761091229999,-72.2137545669999 -53.863190123,-72.194736567 -53.821945123,-72.1772275669999 -53.819172123,-72.142299567 -53.8045181229999,-72.238063567 -53.730699123,-72.261127567 -53.719999123,-72.3713905669999 -53.6934721229999,-72.4079995669999 -53.720145123,-72.441672567 -53.749445123,-72.483963568 -53.6825721229999,-72.4658455669999 -53.6619451229999,-72.4368095669998 -53.655699123,-72.4062545669999 -53.6579181229999,-72.401809567 -53.6301451219999,-72.4406995669999 -53.590281122,-72.4866815679999 -53.5727811219999,-72.5883455679999 -53.5641721219999,-72.6738905679999 -53.604999122,-72.734727568 -53.521390122,-72.7868095679999 -53.4824361219999,-72.8598995679999 -53.4665721219999,-72.835845568 -53.504718122,-72.808618568 -53.5420811219999,-72.816681568 -53.5736181219999,-72.876254568 -53.6786811229998,-72.9081365679999 -53.622227122,-72.889727568 -53.5838901219999,-72.8732725679999 -53.538681122,-72.9111185679999 -53.429454122,-72.9995905679999 -53.407781122,-73.0751185679999 -53.4026901219999,-73.1723995679999 -53.4219091219999,-73.129727568 -53.4594451219999),(-71.9919545669999 -53.8645811229999,-72.0077815669999 -53.8924991229999,-72.0600095669998 -53.965836123,-72.1019635669999 -53.9661181229999,-72.1141815669999 -53.946390123,-72.127927567 -53.937227123,-72.1891815669999 -53.921954123,-72.1994455669999 -53.9208361229999,-72.210281567 -53.921109123,-72.252499567 -53.926118123,-72.2570995669999 -53.9424361229999,-72.2530635669999 -53.9647271229999,-72.2244545669999 -54.0708361229999,-72.2183365669999 -54.080554123,-72.2087635669999 -54.0918091229999,-72.1955545669999 -54.1013901229999,-72.104736567 -54.159172123,-72.0288995669999 -54.204172123,-71.9472365669999 -54.2527811229999,-71.9505635669999 -54.265009123,-71.960554567 -54.3066721229999,-71.942227567 -54.3272271229999,-71.8572275669999 -54.3386181229999,-71.8423725669999 -54.3388901229999,-71.8319545669999 -54.3347271229999,-71.752499567 -54.258609123,-71.7431995669999 -54.2465361229999,-71.743690567 -54.2313901229999,-71.8417455669999 -54.1588181229999,-71.8659815669999 -54.1511181229999,-71.8797275669999 -54.145981123,-71.9161185669999 -54.1193091229999,-71.9505635669999 -54.0491721229999,-71.9555635669999 -54.0355541229999,-71.954454567 -54.0224991229999,-71.9432095669999 -54.0080541229999,-71.9273725669999 -54.0074991229999,-71.919309567 -54.0163901229999,-71.9235455669999 -54.037990123,-71.921399567 -54.0536091229999,-71.9083365669999 -54.066390123,-71.836945567 -54.133054123,-71.821672567 -54.144445123,-71.8091725669999 -54.1511181229999,-71.7941725669999 -54.1563901229999,-71.7572365669999 -54.163063123,-71.7469455669999 -54.1638901229998,-71.733063567 -54.1619451229999,-71.714736567 -54.1483361229999,-71.6564635669999 -54.097572123,-71.6530635669999 -54.0813901229999,-71.688609567 -53.9991721229999,-71.7105545669999 -53.9861181229999,-71.721390567 -53.974727123,-71.6711095669999 -53.943890123,-71.661118567 -53.9361091229999,-71.6565365669999 -53.920072123,-71.7247275669999 -53.899172123,-71.9456995669999 -53.8511181229999,-71.9661275669999 -53.8561181229999,-71.9919545669999 -53.8645811229999),(-70.8991725659999 -53.9361091229999,-70.8977815659999 -53.9486181229999,-70.878827566 -54.049236123,-70.8194545659999 -54.1138901229999,-70.8002905659999 -54.1266721229999,-70.709454566 -54.1766721229999,-70.696945566 -54.1830631229999,-70.658890566 -54.1955541229999,-70.618345566 -54.206672123,-70.533890566 -54.226954123,-70.5244455659998 -54.2286181229999,-70.515563566 -54.2183361229999,-70.5313995659999 -54.1433361229999,-70.5386185659999 -54.127227123,-70.5813995659999 -54.0449991229999,-70.6008455659999 -54.0258361229999,-70.610836566 -54.017781123,-70.628063566 -54.0072271229999,-70.648054566 -53.9916721229999,-70.6555635659999 -53.9827811229999,-70.6622275659999 -53.9727811229999,-70.6741815659999 -53.939727123,-70.674454566 -53.9266721229999,-70.6679275659998 -53.915699123,-70.573627566 -53.970972123,-70.560836566 -53.9805631229999,-70.534181566 -54.0058361229999,-70.5033455659999 -54.0222271229999,-70.476118566 -54.0336181229999,-70.4600095659999 -54.038063123,-70.4413905659999 -54.0411181229999,-70.430845566 -54.0419451229999,-70.393336566 -54.0406901229999,-70.3719455659999 -54.0363901229999,-70.3513275659999 -54.0226361229999,-70.347645566 -54.0074991229999,-70.384172566 -53.947781123,-70.4419545659999 -53.860554123,-70.491118566 -53.7213901229999,-70.494172566 -53.709445123,-70.494736566 -53.6963901229999,-70.4933455659999 -53.675836123,-70.490572566 -53.663609123,-70.4849995659999 -53.6524991229999,-70.4808365659999 -53.641109123,-70.4758365659999 -53.567290122,-70.491536566 -53.5574991219999,-70.5380635659999 -53.562090122,-70.5536185659999 -53.5700091219999,-70.5622275659999 -53.5788901219998,-70.570009566 -53.5918091219999,-70.577790566 -53.6116721219999,-70.585845566 -53.628063122,-70.5936095659999 -53.6374991219999,-70.6077905659999 -53.649445123,-70.618899566 -53.6569541229999,-70.630009566 -53.664172123,-70.6477815659999 -53.6741721229999,-70.660845566 -53.679999123,-70.6749995659999 -53.6852811229999,-70.705563566 -53.6908361229999,-70.711118566 -53.7049991229999,-70.706954566 -53.7705631229999,-70.701254566 -53.7840271229999,-70.691945566 -53.7922271229999,-70.648345566 -53.8047271229999,-70.6347365659998 -53.810563123,-70.6169545659999 -53.824027123,-70.607372566 -53.8386181229999,-70.6080635659999 -53.850972123,-70.6211185659999 -53.8641721229999,-70.639727566 -53.8702811229999,-70.6500095659999 -53.8694451229999,-70.6626545659999 -53.866390123,-70.684172566 -53.854727123,-70.701399566 -53.851109123,-70.7705725659999 -53.8372271229999,-70.786663566 -53.835554123,-70.8363995659998 -53.8466721229999,-70.890290566 -53.8702811229999,-70.8980545659999 -53.879718123,-70.8991725659999 -53.9361091229999),(-70.3130635649999 -54.039727123,-70.4822275659999 -54.058890123,-70.492236566 -54.0633361229999,-70.4991725659999 -54.0730631229999,-70.494172566 -54.0869451229999,-70.4808365659999 -54.099445123,-70.452518566 -54.117227123,-70.3780635659999 -54.149445123,-70.364181566 -54.1552811229999,-70.3538995659999 -54.156109123,-70.3372365659998 -54.1524991229999,-70.325009565 -54.1458361229999,-70.3100095649999 -54.1266721229999,-70.2869455649999 -54.0873631229999,-70.292781565 -54.067218123,-70.304027565 -54.0481991229999,-70.3130635649999 -54.039727123),(-70.4683365659999 -54.1491721229999,-70.4883455659999 -54.1466631229999,-70.5019545659998 -54.1488901229999,-70.5111275659999 -54.160836123,-70.517227566 -54.1786091229999,-70.515290566 -54.1908361229999,-70.5075095659999 -54.1999991229999,-70.467927566 -54.234863123,-70.4486275659999 -54.2411091229999,-70.314181565 -54.2736091229999,-70.293063565 -54.2755541229999,-70.281399565 -54.2755541229999,-70.2708455649999 -54.2752811229999,-70.257509565 -54.2726451229999,-70.2319455649999 -54.2566721229999,-70.219727565 -54.2448631229998,-70.217227565 -54.229027123,-70.234727565 -54.212499123,-70.292918565 -54.1905631229999,-70.4683365659999 -54.1491721229999),(-71.018890566 -54.0912541229999,-71.086818566 -54.063054123,-71.1763905659999 -54.0863901229999,-71.257509566 -54.076118123,-71.2813995659999 -54.013618123,-71.2904275659999 -53.9968091229999,-71.2994545659999 -53.991954123,-71.376109566 -53.967227123,-71.4688995669999 -53.9433361229999,-71.569172567 -53.941945123,-71.611536567 -53.947090123,-71.6274995669999 -53.9547271229999,-71.6486185669999 -53.9699991229999,-71.660418567 -53.992427123,-71.6352815669999 -54.1080631229999,-71.6941725669999 -54.1502811229999,-71.698618567 -54.1638901229998,-71.6908455669999 -54.1827811229999,-71.685836567 -54.1930631229999,-71.6805545669999 -54.2036091229999,-71.6593185669999 -54.234863123,-71.641681567 -54.2419541229999,-71.5402815669999 -54.2556991229999,-71.5372275669999 -54.233609123,-71.531681567 -54.2227811229999,-71.4936185669999 -54.156672123,-71.4112545669999 -54.116527123,-71.3726455659999 -54.153472123,-71.3794545659998 -54.161399123,-71.3945905659999 -54.1661181229999,-71.425845567 -54.1676451229999,-71.4380545669999 -54.1743091229999,-71.445836567 -54.1908361229999,-71.4407095669999 -54.207781123,-71.344999566 -54.3126451229999,-71.2511095659999 -54.3380541229999,-71.1938905659999 -54.3458361229999,-71.155845566 -54.3748631229999,-71.1381995659999 -54.385281123,-71.1199995659999 -54.3859721229999,-71.1077905659999 -54.3794451229999,-70.986954566 -54.2702811229999,-70.9913905659999 -54.178890123,-71.009736566 -54.1027811229999,-71.018890566 -54.0912541229999),(-72.294309567 -54.3456901229998,-72.299036567 -54.335145123,-72.4063995669998 -54.3094451229999,-72.428345567 -54.308063123,-72.540418568 -54.3455541229999,-72.525145568 -54.3873631229999,-72.4754185669998 -54.4265361229999,-72.4633455669999 -54.4299991229999,-72.385563567 -54.3844451229999,-72.373899567 -54.3849991229999,-72.304236567 -54.3664541229999,-72.294309567 -54.3456901229998),(-72.305699567 -54.0705631229999,-72.3319545669999 -54.069172123,-72.366536567 -54.0794451229999,-72.3869455669999 -54.0913901229999,-72.5111275679999 -54.202781123,-72.5011095679999 -54.243054123,-72.4900095679999 -54.250281123,-72.4683365669999 -54.258609123,-72.430009567 -54.2619451229999,-72.3222365669999 -54.258054123,-72.301809567 -54.2533361229999,-72.251954567 -54.2005631229999,-72.2081275669999 -54.1454181229999,-72.2386185669999 -54.1088901229999,-72.294190567 -54.0788991229999,-72.296399567 -54.0752811229999,-72.305699567 -54.0705631229999),(-73.3197365679999 -54.029445123,-73.3525095679998 -54.028063123,-73.3895905679999 -54.029036123,-73.468199568 -54.071809123,-73.457509568 -54.0822271229999,-73.3347275679999 -54.115563123,-73.2725095679999 -54.1355631229999,-73.1941725679999 -54.128890123,-73.1763905679999 -54.1263991229999,-73.161945568 -54.1160451229999,-73.1786185679998 -54.0669451229999,-73.1833365679999 -54.0563991229998,-73.238890568 -54.0383361229999,-73.251254568 -54.0349991229999,-73.3197365679999 -54.029445123),(-73.8008455689999 -53.5822271219999,-73.699309569 -53.5411181219999,-73.691118569 -53.531945122,-73.6890365689998 -53.5191721219999,-73.7102815689998 -53.507781122,-73.8397365689999 -53.4536091219999,-73.8530545689999 -53.4524991219999,-73.8627815689999 -53.4606991219999,-73.8741725689999 -53.5388901219999,-73.853199569 -53.5876451219999,-73.841672569 -53.5913901219999,-73.8319545689999 -53.590281122,-73.8155635689999 -53.5869451219999,-73.8008455689999 -53.5822271219999),(-71.406954567 -54.943754124,-71.3401455659999 -54.954727124,-71.324309566 -54.9502811239999,-71.2049995659999 -54.9066721239999,-71.1497365659999 -54.9341721239999,-71.076954566 -54.954309124,-71.0602905659999 -54.9552811239999,-70.9688995659999 -54.931945124,-70.935563566 -54.9313991239999,-70.9154275659999 -54.9261091239999,-70.946672566 -54.8788901239998,-70.998609566 -54.8566721239999,-71.010699566 -54.8583361239999,-71.0262545659999 -54.870009124,-71.048336566 -54.8776451239999,-71.0730635659999 -54.8802811239999,-71.106945566 -54.8719451239999,-71.1347365659999 -54.8602811239999,-71.199445566 -54.8483361239999,-71.353345566 -54.829445124,-71.4013275659999 -54.8268811239999,-71.4543095669999 -54.8836091239999,-71.406954567 -54.943754124),(-70.697090566 -54.8523631239999,-70.7308365659999 -54.863890124,-70.7448635659999 -54.872090124,-70.7308365659999 -54.8863901239999,-70.6788905659999 -54.9041721239998,-70.604318566 -54.9041721239998,-70.4202905659999 -54.8822271239999,-70.407781566 -54.8798631239999,-70.3970185659999 -54.868890124,-70.420981566 -54.849863124,-70.440845566 -54.844172124,-70.4656995659999 -54.8399631239999,-70.4705635659999 -54.8386181239999,-70.5150185659999 -54.8297271239999,-70.5894455659999 -54.834445124,-70.697090566 -54.8523631239999),(-69.9294545649999 -54.8970901239999,-69.951890565 -54.9598631239999,-69.9465365649999 -54.974727124,-69.917018565 -54.9803541239999,-69.899454565 -55.0024991239999,-69.898199565 -55.0145901239999,-69.906109565 -55.043063124,-69.762218565 -55.0386091239999,-69.651672565 -55.0277811239999,-69.5038905649999 -55.012499124,-69.406399565 -54.9955631239999,-69.2191815639999 -54.9686091239999,-69.1866725639999 -54.9669451239999,-69.168754564 -54.959936124,-69.206399564 -54.939445124,-69.3749995649999 -54.9080541239999,-69.403627565 -54.9038901239999,-69.6863995649999 -54.8688991239999,-69.739727565 -54.8674991239999,-69.849727565 -54.878336124,-69.8597275649998 -54.879718124,-69.919727565 -54.892499124,-69.9294545649999 -54.8970901239999),(-68.7663275639999 -54.9613181239999,-68.808209564 -54.980136124,-68.8315365639999 -54.983054124,-68.991118564 -54.9794451239999,-69.1933455639999 -54.9894451239999,-69.362790565 -55.0147271239999,-69.6427905649999 -55.0450091239999,-69.7508365649999 -55.051945124,-69.792781565 -55.054727124,-69.895145565 -55.068472124,-69.9310455649999 -55.0786811239998,-70.009445565 -55.1299991239999,-70.0312545649999 -55.1586811239999,-70.0141725649999 -55.1693091239999,-69.9033365649999 -55.172499124,-69.8419455649999 -55.2104901239999,-69.863345565 -55.2205541239999,-69.9183455649999 -55.226118124,-69.8568185649999 -55.2602811239999,-69.8313905649999 -55.2594451239999,-69.6814635649999 -55.234727124,-69.589736565 -55.1944541239999,-69.5456995649999 -55.178618124,-69.5051455649999 -55.1788181239999,-69.528899565 -55.198336124,-69.561809565 -55.2069541239998,-69.5888995649999 -55.2116721239999,-69.6661185649999 -55.2466721239999,-69.6963995649999 -55.2802811239999,-69.702236565 -55.311118124,-69.6118095649999 -55.3349271239999,-69.573336565 -55.377781124,-69.492918565 -55.3377811239999,-69.465836565 -55.339172124,-69.394872565 -55.3615271239999,-69.413199565 -55.3709721239999,-69.466127565 -55.378336124,-69.492509565 -55.413063124,-69.4271635649999 -55.4999991239999,-69.3236275649999 -55.4888901239999,-69.168627564 -55.511809124,-69.1506995639999 -55.5012541239999,-69.1424995639999 -55.4420901239999,-69.211872564 -55.439445124,-69.2997275649999 -55.4276361239999,-69.302781565 -55.366390124,-69.388336565 -55.290554124,-69.372509565 -55.2491721239999,-69.266672565 -55.226390124,-69.295009565 -55.1665271239999,-69.363890565 -55.162227124,-69.427154565 -55.1653901239998,-69.4044455649999 -55.1561091239999,-69.3780635649999 -55.150836124,-69.2490365639999 -55.1372271239999,-69.2209815639999 -55.203199124,-69.1987635639999 -55.224727124,-69.1713995639999 -55.2400091239999,-69.1459815639998 -55.248890124,-69.0327905639999 -55.269172124,-68.9699365639999 -55.260136124,-68.812372564 -55.1900721239999,-68.8220905639999 -55.209163124,-68.862918564 -55.2345811239999,-68.8933455639999 -55.2852811239999,-68.9125095639999 -55.342227124,-68.8975095639999 -55.361390124,-68.769381564 -55.3354901239999,-68.783336564 -55.386118124,-68.8172185639999 -55.390699124,-68.841809564 -55.3847271239999,-68.8677815639999 -55.386945124,-68.9346635639999 -55.398409124,-68.967754564 -55.426981124,-68.939181564 -55.459727124,-68.8941815639999 -55.490281124,-68.8496545639999 -55.5097271239999,-68.8241725639999 -55.5099991239999,-68.7694455639999 -55.4965361239999,-68.7291725639999 -55.4680541239999,-68.608063564 -55.467227124,-68.5394635639999 -55.469454124,-68.472081564 -55.5040271239999,-68.414318564 -55.501672124,-68.3804275639999 -55.477918124,-68.360563564 -55.4816721239998,-68.2507995639999 -55.5343811239999,-68.262509564 -55.5713901239999,-68.2233455639999 -55.6205631239999,-68.1447275629999 -55.671954124,-68.111954563 -55.7013901239999,-68.0986905629999 -55.7161811239999,-68.0713995629999 -55.7195811239999,-68.0665995629998 -55.7182451239999,-68.0536185629999 -55.7124991239999,-67.9794455629999 -55.671954124,-67.967509563 -55.5919451239999,-68.016109563 -55.588336124,-68.0463635629999 -55.5813451239999,-68.108409563 -55.5222991239999,-68.0665995629998 -55.469663124,-68.1261095629999 -55.473890124,-68.1683725629999 -55.466145124,-68.152509563 -55.4458361239999,-68.145009563 -55.417781124,-68.163063563 -55.3972271239999,-68.343899564 -55.3469451239999,-68.4111185639999 -55.3302811239998,-68.4605545639999 -55.325281124,-68.491254564 -55.328199124,-68.516109564 -55.334727124,-68.5452905639999 -55.3455541239999,-68.6005725639999 -55.354727124,-68.740145564 -55.2688271239999,-68.7051455639999 -55.252918124,-68.675418564 -55.252645124,-68.6505545639999 -55.265836124,-68.6317455639999 -55.2926451239999,-68.6115365639999 -55.308609124,-68.5880545639999 -55.3124991239999,-68.566390564 -55.3138991239999,-68.5122185639999 -55.3133361239999,-68.2145185639999 -55.288127124,-68.2086095639999 -55.2688901239999,-68.2777905639999 -55.2250091239999,-68.3809725639999 -55.1856991239999,-68.446945564 -55.1827811239999,-68.5972275639999 -55.1813991239999,-68.776536564 -55.1768091239999,-68.8941815639999 -55.137218124,-68.964172564 -55.1120901239999,-69.059790564 -55.0504181239999,-69.0409815639999 -55.0260451239999,-69.0197275639999 -55.0261181239999,-68.906954564 -55.0713901239998,-68.886672564 -55.080281124,-68.8547365639999 -55.0963901239999,-68.8191725639999 -55.117227124,-68.767918564 -55.135981124,-68.6447275639999 -55.1552811239999,-68.585418564 -55.1463181239999,-68.567509564 -55.1308361239999,-68.338063564 -55.0699991239999,-68.3263275639998 -55.0438271239999,-68.342227564 -55.004172124,-68.404863564 -54.955345124,-68.5106995639999 -54.9312541239999,-68.6576545639999 -54.940145124,-68.737781564 -54.948609124,-68.7663275639999 -54.9613181239999),(-68.348063564 -54.972499124,-68.3177905639998 -54.9941721239999,-68.2263905639999 -54.9913901239999,-68.2069545639999 -54.988618124,-68.184309564 -55.0836181239999,-68.190845564 -55.100418124,-68.151672563 -55.207499124,-68.1444545629999 -55.2169451239999,-68.126399563 -55.227227124,-68.111954563 -55.232781124,-68.0952905629998 -55.2369451239999,-68.0736275629999 -55.2383361239999,-68.0665995629998 -55.2377991239999,-68.0338905629999 -55.2266721239999,-67.9027905629998 -55.1861091239999,-67.8838995629999 -55.1819451239999,-67.8536185629999 -55.2127811239999,-67.8522365629998 -55.230563124,-67.8655635629999 -55.2306991239998,-67.8804905629999 -55.2416721239999,-67.8269545629998 -55.2599991239999,-67.8091725629999 -55.2636181239999,-67.7980635629999 -55.2641631239999,-67.6658455629999 -55.2694451239999,-67.650145563 -55.2679181239999,-67.6387545629999 -55.260836124,-67.6413995629999 -55.2361181239999,-67.631390563 -55.211109124,-67.620563563 -55.196672124,-67.6111185629999 -55.1883361239998,-67.5991635629999 -55.1813991239999,-67.5655635629998 -55.173054124,-67.546399563 -55.1702811239999,-67.526118563 -55.1708361239999,-67.4969455629999 -55.174999124,-67.470836563 -55.1802811239999,-67.4502905629999 -55.189172124,-67.4295905629999 -55.2015271239999,-67.4222275629999 -55.2109721239999,-67.4250095629999 -55.2216721239999,-67.436399563 -55.232227124,-67.4567455629999 -55.2465361239999,-67.459309563 -55.262918124,-67.452645563 -55.2729181239999,-67.4391815629999 -55.282499124,-67.4175095629999 -55.290554124,-67.4005545629999 -55.2944451239999,-67.299454563 -55.311954124,-67.287227563 -55.311954124,-67.243899563 -55.3088901239999,-67.2338905629999 -55.3043091239999,-67.102781562 -55.204445124,-67.0933365619998 -55.1961091239999,-67.0798725619999 -55.1799991239999,-67.0594455619999 -55.1466631239999,-67.0536185619999 -55.1363901239999,-67.0556995619999 -55.0720901239999,-67.1574995629999 -54.981390124,-67.1672365629998 -54.9730631239999,-67.185290563 -54.9630541239999,-67.2238905629999 -54.9508361239999,-67.2477905629999 -54.9441721239999,-67.2813995629999 -54.936109124,-67.318618563 -54.9299991239999,-67.3866725629999 -54.9208361239999,-67.4297365629999 -54.9183361239999,-67.441681563 -54.9183361239999,-67.5561185629999 -54.918618124,-67.5788995629999 -54.9194451239999,-67.6422275629999 -54.9230541239999,-67.7805635629999 -54.9194451239999,-67.8677815629999 -54.9147271239999,-67.970563563 -54.9077811239999,-68.0665995629998 -54.9072271239999,-68.2005635639999 -54.908336124,-68.2113995639999 -54.9091721239999,-68.333345564 -54.9211091239999,-68.344727564 -54.924863124,-68.3611185639999 -54.9377091239999,-68.348063564 -54.972499124),(-66.8408365619999 -55.1133361239999,-66.821399562 -55.118618124,-66.8066725619998 -55.1140361239998,-66.846390562 -55.0377811239999,-66.859172562 -55.0280541239999,-66.9680635619999 -55.0047181239999,-67.016327562 -54.997127124,-67.022227562 -54.9955631239999,-67.041399562 -54.992781124,-67.0613995619998 -54.9949991239999,-67.0698725619999 -55.0006991239999,-67.0750095619998 -55.011109124,-67.0640365619999 -55.0250091239999,-66.8408365619999 -55.1133361239999),(-66.6277815619999 -55.202081124,-66.644727562 -55.243054124,-66.6440365619999 -55.253054124,-66.638063562 -55.2704181239999,-66.6282095619999 -55.2786181239999,-66.581954562 -55.2855631239999,-66.5713995619999 -55.2847271239999,-66.5116725619999 -55.268336124,-66.4206275619999 -55.202081124,-66.4327815619999 -55.184581124,-66.501954562 -55.1661181239999,-66.517499562 -55.164999124,-66.540554562 -55.165836124,-66.6277815619999 -55.202081124),(-66.8955725619999 -55.224727124,-66.914736562 -55.222227124,-66.9425095619999 -55.2237541239999,-67.0208455619999 -55.2412541239999,-67.043481562 -55.248890124,-67.072090562 -55.275345124,-67.061672562 -55.324718124,-67.0520815619999 -55.3295901239999,-67.002499562 -55.331945124,-66.9166725619999 -55.334727124,-66.8938905619999 -55.3352811239999,-66.874727562 -55.332227124,-66.8428455619999 -55.317781124,-66.8275095619999 -55.2941721239999,-66.850009562 -55.244590124,-66.8696635619999 -55.2323451239999,-66.8786185619999 -55.228890124,-66.8955725619999 -55.224727124),(-67.738618563 -55.616809124,-67.7286185629999 -55.6244541239999,-67.6897275629999 -55.6188991239999,-67.6630725629999 -55.6133361239999,-67.6413995629999 -55.6044451239999,-67.5905635629999 -55.5822271239999,-67.5879275629999 -55.548054124,-67.5983455629999 -55.531672124,-67.6080635629999 -55.523609124,-67.623899563 -55.511945124,-67.6347365629998 -55.504445124,-67.651809563 -55.4941721239999,-67.6663995629999 -55.493618124,-67.6880635629999 -55.501672124,-67.7025185629999 -55.5141631239999,-67.738618563 -55.616809124),(-67.4291725629999 -55.5927811239999,-67.543063563 -55.663754124,-67.556399563 -55.712227124,-67.5525095629999 -55.7377811239999,-67.460009563 -55.7563901239998,-67.400281563 -55.747509124,-67.3466815629999 -55.7552811239999,-67.3374995629999 -55.760418124,-67.338899563 -55.7908361249999,-67.301127563 -55.787918125,-67.279172563 -55.7830541239999,-67.256390563 -55.7720901239999,-67.251681563 -55.7609811239999,-67.2680635629998 -55.721390124,-67.353063563 -55.575281124,-67.3706995629999 -55.5756901239999,-67.4291725629999 -55.5927811239999),(-70.4391725659999 -55.133609124,-70.4483455659999 -55.125281124,-70.445009566 -55.102154124,-70.4111725659999 -55.0862271239999,-70.4005095659999 -55.0885631239999,-70.380281566 -55.090836124,-70.3549995659999 -55.1070901239999,-70.3461185659999 -55.1223631239999,-70.333890566 -55.128890124,-70.3202815649998 -55.1316721239999,-70.2938905649999 -55.1299991239999,-70.264172565 -55.1133361239999,-70.2791725649998 -55.0527811239999,-70.2857095649999 -55.0330541239999,-70.295563565 -55.0300091239999,-70.347227566 -55.031109124,-70.362918566 -55.0320901239999,-70.490572566 -55.0441721239999,-70.6527815659999 -55.0320901239999,-70.732509566 -55.0128451239999,-70.7208365659999 -54.9958361239998,-70.708618566 -54.991954124,-70.6863995659999 -54.9999991239999,-70.659454566 -55.005281124,-70.6247275659999 -55.006672124,-70.604172566 -55.0049991239998,-70.5141725659999 -54.9963901239999,-70.5052095659998 -54.9871181239999,-70.5087545659999 -54.9700541239999,-70.5061815659999 -54.9539631239999,-70.4862185659999 -54.9442991239999,-70.4434095659999 -54.941727124,-70.3130635649999 -54.9068091239999,-70.323063565 -54.900836124,-70.350845566 -54.898609124,-70.4372275659999 -54.9052811239999,-70.498209566 -54.9068091239999,-70.511399566 -54.9091721239999,-70.6125095659999 -54.9429181239999,-70.619809566 -54.9528541239999,-70.5897365659999 -54.9605541239999,-70.5646635659999 -54.966809124,-70.581954566 -54.972499124,-70.7063905659999 -54.969999124,-70.753063566 -54.956672124,-70.7955635659999 -54.9488901239999,-70.877499566 -54.938054124,-70.987781566 -54.951809124,-71.0025095659999 -54.9569541239999,-71.0158365659999 -54.9666631239999,-71.008063566 -55.0450091239999,-70.9372275659998 -55.078336124,-70.7208365659999 -55.125281124,-70.6991725659999 -55.1279181239999,-70.6066725659999 -55.0830631239999,-70.5499995659999 -55.121945124,-70.567227566 -55.144172124,-70.567509566 -55.1697271239998,-70.564999566 -55.1880541239999,-70.559172566 -55.201672124,-70.549309566 -55.2097271239999,-70.5308365659999 -55.211109124,-70.3830635659999 -55.1719451239999,-70.3727815659999 -55.1577811239999,-70.3793185659999 -55.1481991239999,-70.3905635659999 -55.144172124,-70.412227566 -55.142227124,-70.4391725659999 -55.133609124),(-70.1888995649999 -55.003618124,-70.1738905649999 -55.008609124,-70.1630725649999 -55.009445124,-70.1077905649999 -55.0022271239999,-70.0133365649999 -54.9802811239999,-69.978681565 -54.9499991239999,-69.979454565 -54.935145124,-69.991672565 -54.9244451239999,-70.001399565 -54.919727124,-70.016399565 -54.9191721239999,-70.033336565 -54.9230541239999,-70.177781565 -54.9680541239999,-70.1899995649999 -54.974727124,-70.2036185649998 -54.9840271239999,-70.2036185649998 -54.9947271239999,-70.1888995649999 -55.003618124),(-67.5681995629999 -55.8134721249999,-67.6063995629999 -55.829727125,-67.7113995629999 -55.8283361249999,-67.751681563 -55.8238901249999,-67.7711185629999 -55.821109125,-67.797790563 -55.8155631249999,-67.808899563 -55.8163901249999,-67.8405635629999 -55.821109125,-67.8554185629999 -55.841799125,-67.8543185629999 -55.8577811249999,-67.8447275629999 -55.8659811249999,-67.831681563 -55.869172125,-67.7830635629999 -55.861390125,-67.713618563 -55.849727125,-67.655009563 -55.8494451249999,-67.644036563 -55.8536181249999,-67.611954563 -55.9022271249999,-67.5938905629999 -55.875972125,-67.581681563 -55.8752811249999,-67.5345905629999 -55.884445125,-67.5234725629999 -55.8768091249999,-67.4942365629999 -55.830345125,-67.5113995629999 -55.817781125,-67.556672563 -55.810281125,-67.5681995629999 -55.8134721249999),(-67.349727563 -55.8636181249999,-67.2469455629998 -55.894999125,-67.2088905629999 -55.8910451249999,-67.2122365629999 -55.8558361249999,-67.2469455629998 -55.8280541249999,-67.320281563 -55.8147271249999,-67.3761095629999 -55.8122271249999,-67.394454563 -55.815836125,-67.4050095629999 -55.820281125,-67.4113905629999 -55.8343091249999,-67.349727563 -55.8636181249999),(-72.9898725679998 -52.0433361209999,-72.8930635679999 -51.917781121,-72.8883365679999 -51.8855631209998,-72.9675095679999 -51.9038901209999,-73.047499568 -51.9288901209999,-73.056954568 -51.9333361209999,-73.0988905679999 -51.9888901209999,-73.105563568 -51.9988901209999,-73.112636568 -52.012363121,-73.118063568 -52.0308361209999,-73.113590568 -52.051654121,-73.105563568 -52.0602811209999,-73.0947275679999 -52.064309121,-73.0733365679999 -52.062227121,-73.0169545679999 -52.050281121,-72.9898725679998 -52.0433361209999)))', 'Chilean Exclusive Economic Zone', 'Chile', 'Chile', '', '224', '224', 'CHL', '8465', '2014-02', '2938397730000', '8465', 'Y'),('SRID=4326;MULTIPOLYGON(((-65.6470333167909 15.857790883743,-65.6481941906632 15.8608057204567,-65.8280566335811 16.327915808214,-65.7909852580924 16.5111297032183,-65.757225641901 16.6498632641238,-65.7400360282304 16.7095315302614,-65.6351785195642 17.0626898919822,-65.602055327987 17.1734436680669,-65.5442170423227 17.3547383382162,-65.5441979374692 17.3547991295989,-65.5334791479979 17.3847476051524,-65.5323600769044 17.3865040388765,-65.4481136372162 17.5182667307844,-65.3286676424669 17.6787490844728,-65.3283571660601 17.6791667938232,-65.3281503253676 17.6794452667236,-65.3279450401334 17.6797218322756,-65.3277384807776 17.680000305176,-65.3170722771724 17.6943898095914,-65.3055974823653 17.7091729859805,-65.3044098341461 17.7105136637255,-65.2861149860304 17.7293401101434,-65.2727469913119 17.7429666714792,-65.2262675494301 17.7570192535045,-65.0717883515685 17.8215956283658,-65.0429875801442 17.8347502775583,-65.0406727425219 17.8358126681276,-64.9999999999999 17.8546608539966,-64.989308822972 17.8596029825632,-64.9781292572358 17.8647897526462,-64.9541739887655 17.87696817662,-64.9522766823058 17.8779418544256,-64.9070015225779 17.9018375990868,-64.872360229492 17.9209243153531,-64.8580205395484 17.9289992035871,-64.8574888000529 17.9294595549102,-64.8573910104139 17.9295446929524,-64.8560501773714 17.9307185761837,-64.8302873816643 17.9535247514535,-64.8234746087253 17.9601804751879,-64.7844125945921 17.9999990463257,-64.7797241210938 18.0047721945408,-64.778751373291 18.0057687766487,-64.7783355712889 18.006195841005,-64.770372056149 18.0143852020011,-64.8509712219238 18.0669496428511,-64.9499404644015 18.1305391949388,-64.9519291636752 18.1318129982257,-64.9522262167279 18.1320026847777,-64.9757548772645 18.1469341442904,-64.9883857467259 18.1516882447093,-64.9999999999999 18.1516669006225,-65.0013885498045 18.1516656072411,-65.0914318537038 18.1510059659436,-65.1002073789144 18.164852229131,-65.1314562526345 18.1933005657038,-65.1517487100458 18.3113889694216,-65.1535836730608 18.322752525926,-65.1546170287767 18.3341665267944,-65.1571605594604 18.3604676373566,-65.1571286549047 18.3621027293912,-65.1572738997391 18.3728346297906,-65.1574816609056 18.3944052616699,-65.1576743593832 18.400752567578,-65.1589644429794 18.4040269851685,-65.1605809306034 18.4080616598378,-65.167720359523 18.4259859216523,-65.222567312829 18.5710619090779,-65.2584724426268 18.6831288993733,-65.2622485882322 18.6952196348278,-65.2647702764936 18.7081946746637,-65.3382577887944 19.0808524365858,-65.3430289690286 19.4215622715038,-65.3456842904946 19.6188483792993,-65.340519561 19.61013637,-65.3318745609998 19.5955493700001,-65.3232315609999 19.5809623700001,-65.3145895609999 19.5663743700001,-65.3059485609999 19.5517863700001,-65.2973095609999 19.5371983700001,-65.2886725609999 19.5226093700001,-65.2800365609999 19.5080203700002,-65.2714025609999 19.49343037,-65.262769561 19.4788403700001,-65.2541385609999 19.4642493700002,-65.2455085609999 19.4496583700001,-65.2368805609999 19.4350673700001,-65.228254561 19.4204753700001,-65.219629561 19.4058823700001,-65.211005561 19.3912903700001,-65.202383561 19.3766963700002,-65.193763561 19.3621033700001,-65.185144561 19.3475093700002,-65.1765275609999 19.3329143700001,-65.1679115609999 19.3183193700001,-65.1592975609999 19.3037243700001,-65.1506845609999 19.2891283700001,-65.142073561 19.27453237,-65.133463561 19.2599353700001,-65.1248555609999 19.2453383700002,-65.116248561 19.23074137,-65.1076435609999 19.2161433700001,-65.102222561 19.2069443700001,-65.0987335609999 19.1905453700001,-65.095246561 19.1741463700001,-65.0917595609999 19.1577463700002,-65.0882735609999 19.1413473700001,-65.0847875609999 19.1249473700001,-65.081302561 19.1085473700001,-65.0778185609998 19.09214837,-65.0743355609999 19.07574837,-65.070852561 19.0593483700001,-65.0673705609999 19.0429483700001,-65.0638885609999 19.02654737,-65.060407561 19.01014737,-65.056927561 18.9937473700001,-65.053448561 18.9773463700001,-65.0499695609999 18.96094637,-65.046491561 18.9445453700001,-65.0430145609999 18.92814437,-65.039537561 18.9117443700001,-65.0360615609999 18.89534337,-65.032586561 18.8789423700001,-65.0291115609999 18.86254137,-65.0256375609999 18.8461393690002,-65.022164561 18.8297383690001,-65.0186915609999 18.813337369,-65.015220561 18.796935369,-65.0117485609999 18.7805343690002,-65.0082785609999 18.764132369,-65.0061115609999 18.7538883690001,-65.002756561 18.7374653690002,-64.9994035609999 18.7210413690001,-64.9960505609999 18.7046173690001,-64.9926985609999 18.688194369,-64.9924995609999 18.6872223690001,-64.9851675609999 18.672019369,-64.9778365609999 18.656817369,-64.9705065609999 18.6416143690001,-64.963178561 18.626410369,-64.95585156 18.6112063690001,-64.94852556 18.5960023690001,-64.94120056 18.5807983690001,-64.93387756 18.5655943690001,-64.9265555599999 18.5503893690001,-64.91923456 18.5351833690001,-64.91191556 18.5199783690001,-64.9045975599999 18.5047723690001,-64.89728056 18.4895663690002,-64.8972225599999 18.4894443690002,-64.8929365599999 18.4732193690001,-64.8894445599999 18.4600003690001,-64.88430956 18.444001369,-64.87917656 18.428002369,-64.8774995599999 18.4227773690001,-64.8719445599999 18.408611369,-64.86388856 18.3975003690001,-64.85638856 18.395277369,-64.83894356 18.3936673690001,-64.8383335599999 18.393611369,-64.82833356 18.3966663690001,-64.81694456 18.403055369,-64.80013156 18.4077843690002,-64.7991665599999 18.408055369,-64.78333356 18.405000369,-64.7776455599999 18.389173369,-64.7769445599999 18.3872223690001,-64.7612445599999 18.3797863690002,-64.7558335599999 18.3772223690001,-64.7449995599999 18.3777773690002,-64.7433335599999 18.3783333690002,-64.7399995599999 18.3769443690002,-64.7283335599998 18.3777773690002,-64.72666656 18.3750003690001,-64.7161115599999 18.3736113690001,-64.70777756 18.374166369,-64.70083356 18.371111369,-64.6834225599999 18.373015369,-64.68305556 18.3730553690001,-64.6708335599999 18.366111369,-64.6533465599999 18.3650283690001,-64.63944456 18.364166369,-64.63777756 18.3561113690001,-64.6422225599999 18.3441663690001,-64.6384805599999 18.3278203690001,-64.63694456 18.3211113690001,-64.63777756 18.3186113690001,-64.6482995599999 18.3052333690002,-64.65881956 18.291854369,-64.6602775599998 18.2900003690001,-64.66138856 18.2786113690001,-64.6590795599999 18.2620243690001,-64.65677156 18.2454383690001,-64.6544625599999 18.2288523690002,-64.65215556 18.2122653690001,-64.64984756 18.1956783690001,-64.6494445599999 18.1927773690001,-64.64765156 18.1761333690002,-64.64585956 18.1594883690001,-64.6440675599999 18.142844369,-64.64227556 18.1261993690001,-64.64048356 18.109554369,-64.63869256 18.092909369,-64.63690256 18.0762643690001,-64.63511156 18.0596203690001,-64.63416656 18.0508333690001,-64.61667556 18.050632369,-64.5991845599999 18.0504293690001,-64.5816935599999 18.0502253690001,-64.5642025599999 18.0500193690001,-64.5467115599999 18.0498123690001,-64.5292205599999 18.0496033690002,-64.5117295599999 18.049393369,-64.4942385599999 18.0491813690001,-64.49305556 18.049166369,-64.47557356 18.0485923690002,-64.4580915599999 18.048017369,-64.4508335599999 18.0477773690001,-64.4333775599999 18.0466993690001,-64.41592256 18.0456203690001,-64.39846656 18.0445383690001,-64.3810115599999 18.0434563690001,-64.36355656 18.0423713690001,-64.3522225599999 18.0416663690002,-64.3355555599999 18.0419443690001,-64.3181815599999 18.0400093690002,-64.3008075599998 18.0380733690001,-64.2834345599998 18.036134369,-64.26606156 18.034195369,-64.2608335599999 18.033611369,-64.2435205599999 18.0312313690001,-64.22620856 18.0288513690002,-64.2088965599999 18.0264683690002,-64.19158456 18.0240843690001,-64.17427356 18.0216993690001,-64.1569635599999 18.0193123690001,-64.1396535599999 18.016923369,-64.1223435599999 18.0145333690001,-64.1050345599999 18.0121413690001,-64.08772556 18.009748369,-64.0704175599999 18.007353369,-64.0531095599999 18.0049573690001,-64.0413885599999 18.0033333690002,-64.0241435599999 18.0005583690001,-64.0172225599999 17.9994443690001,-64.00050256 17.9945413690001,-63.9837835599999 17.9896373690001,-63.96706656 17.9847313690001,-63.95034956 17.9798243690001,-63.94999956 17.9797223690001,-63.9333125599999 17.9747263690001,-63.9166255599999 17.9697293690001,-63.8999395599999 17.9647313690001,-63.8980555479999 17.964166664,-63.8911924149999 17.948776901,-63.888888935 17.943611069,-63.890215591 17.929076795,-63.890217954 17.929050905,-63.890410488 17.9269415950001,-63.8907623109999 17.9230864370002,-63.891931757 17.9102720680001,-63.8925661649999 17.9033191330001,-63.8934527429999 17.8936024930001,-63.8946311249999 17.8806861850001,-63.89497354 17.876932959,-63.8951649399999 17.8748344730001,-63.8964939599999 17.8602632890002,-63.8972141339999 17.852365951,-63.8980140959999 17.8435936650001,-63.8983259069999 17.8401737200002,-63.898860465 17.8343106840002,-63.8995339489999 17.826923908,-63.9008413749999 17.812581415,-63.901053519 17.810254199,-63.9013377919999 17.8071351090001,-63.9025728049999 17.7935843610001,-63.9040918079999 17.7769145760001,-63.9056105289999 17.7602446650001,-63.9056105559998 17.7602443680001,-63.9056233589999 17.7601038090002,-63.9071290589999 17.7435748090002,-63.9080988219998 17.7329263880001,-63.9086472119999 17.726904831,-63.9101650819999 17.7102348210001,-63.911299539 17.6977733020001,-63.911682669 17.6935647830001,-63.9120501679999 17.6895274600001,-63.9132000669999 17.676894717,-63.9146111429999 17.6613888610001,-63.9164601589999 17.644749545,-63.9174720469999 17.6356421460001,-63.918308892 17.6281102120001,-63.9188241339999 17.6234722070001,-63.9193333009999 17.618888898,-63.9212145149999 17.6022529460001,-63.9230954469999 17.585616891,-63.9235789969998 17.5813392070001,-63.924976 17.5689807360001,-63.9260653259999 17.559342218,-63.9268561759999 17.552344663,-63.9287360689999 17.5357084930001,-63.9306155669999 17.5190723690001,-63.9306155829999 17.5190722270001,-63.930640519 17.5188514910001,-63.9321110749999 17.5058333360001,-63.9334410389999 17.4936900130001,-63.9339337469999 17.489191309,-63.9357560409999 17.47254919,-63.9375780509998 17.455906982,-63.9393997789999 17.439264775,-63.9401134439999 17.4327438030002,-63.9412211279999 17.422622572,-63.9430421 17.405980284,-63.9443587799999 17.3939449050001,-63.944862789 17.3893379130001,-63.945389996 17.38451787,-63.9466830999999 17.3726955500001,-63.948503127 17.3560531080001,-63.949542321 17.3465491850001,-63.9503228719999 17.3394106770001,-63.951236918 17.331049519,-63.952142238 17.3227681700002,-63.9539612269999 17.306125588,-63.9548447049999 17.2980410400001,-63.955779933 17.2894829320001,-63.956882408 17.2793928180001,-63.9575983559999 17.2728402960001,-63.9594163999998 17.2561976800001,-63.9612341619999 17.239554905,-63.963051546 17.2229121540001,-63.9636105149999 17.2177925540001,-63.964868646 17.2062693390002,-63.9662777399999 17.19336107,-63.9669294539999 17.187219472,-63.968044323 17.1767132040001,-63.9694996819999 17.1629960010001,-63.9698106229999 17.1600652770001,-63.9715765479999 17.1434173800001,-63.973342185 17.1267693380001,-63.9751075409999 17.1101213280002,-63.97687252 17.0934732640001,-63.9779444239999 17.0833611400001,-63.9789218229999 17.0752220800001,-63.9799407419999 17.0667372670001,-63.981936682 17.0501132570001,-63.9824383169999 17.0459343980001,-63.983932244 17.0334892940002,-63.9859275229999 17.0168651980001,-63.987922425 17.0002411520001,-63.9885605919999 16.9949220820001,-63.989916948 16.9836169760002,-63.9908141889999 16.9761371220002,-63.9919110939999 16.9669927630002,-63.9928985369999 16.958759795,-63.993904957 16.9503686040001,-63.995451709 16.9374697690001,-63.9958984419999 16.9337443210001,-63.99789155 16.9171199140001,-63.9998843739999 16.900495568,-64.0006883889999 16.8937871040001,-64.0018768199998 16.8838711920001,-64.0038688889998 16.8672466990001,-64.0058605569999 16.850622367,-64.0058605799999 16.850622179,-64.0078519869999 16.8339976350001,-64.0098430169999 16.8173729780001,-64.011833764 16.800748392,-64.013824039 16.7841236950002,-64.0148447769999 16.7755966360002,-64.015814125 16.7674988890001,-64.0173302149999 16.7548308090002,-64.0178037379999 16.7508741590001,-64.0185000229999 16.7450555890001,-64.0352281309999 16.7405532510001,-64.039623631 16.7393698180001,-64.043559193 16.738310218,-64.0519554839999 16.7360496230002,-64.0686819859998 16.7315446130001,-64.0854075579999 16.7270383640002,-64.0854077339999 16.7270383170001,-64.1021326319999 16.72253054,-64.10367718 16.7221141580001,-64.108222241 16.7208888910002,-64.1129191479999 16.7188759410001,-64.1159999679999 16.7175555960002,-64.126407376 16.712895675,-64.131748896 16.7105040070002,-64.1346110849999 16.709222235,-64.1413183279998 16.70606308,-64.1502125219999 16.701873857,-64.163232047 16.6957400200001,-64.1658127329999 16.6945241920001,-64.1682222509999 16.6933889200001,-64.182606048 16.6865974970001,-64.1838152849999 16.6860265470001,-64.1852939789999 16.6853282140002,-64.1994071859999 16.678663068,-64.2118707479999 16.67277553,-64.2149979539998 16.6712983000002,-64.228772606 16.6647899010002,-64.2305873999998 16.6639324270001,-64.2337669189999 16.6624297790001,-64.2338185179999 16.662405393,-64.246175713 16.6565653560001,-64.253206936 16.6532416240001,-64.2617627979998 16.6491971800001,-64.264038194 16.6481213100001,-64.2773487499999 16.6418277150001,-64.2870773929999 16.6372266930001,-64.292933475 16.6344571440001,-64.3085170659999 16.627085376,-64.3240993359999 16.61971241,-64.3396805669998 16.6123383390001,-64.3552604759999 16.604963071,-64.3674816869999 16.5991763940001,-64.3708392519999 16.5975866050001,-64.3748536479999 16.5956853640001,-64.386416895 16.5902089420001,-64.393777738 16.5867221920001,-64.408988071 16.5786650800001,-64.4209872119999 16.5723074780001,-64.424197176 16.5706067170001,-64.439405053 16.562547374,-64.4449225159999 16.5596227450001,-64.454611609 16.5544868700001,-64.468675046 16.547030621,-64.4698169369999 16.546425205,-64.4850209429999 16.5383624710001,-64.500223722 16.5302986670001,-64.5154252729999 16.5222337020001,-64.530625502 16.5141675760001,-64.5458245029999 16.5061004720002,-64.5482233959999 16.5048269220001,-64.561022277 16.4980321160002,-64.568495981 16.494063526,-64.5762187289999 16.4899626910001,-64.591413954 16.481892196,-64.606607857 16.4738205410002,-64.6218005319999 16.4657478170001,-64.6336787309999 16.4594349140002,-64.636991979 16.457674023,-64.6521822 16.4495990690002,-64.6673710979999 16.4415229540001,-64.675896989 16.4369886720001,-64.682558768 16.4334457710002,-64.6967987409998 16.425870982,-64.6968039549999 16.425868209,-64.697745212 16.4253675180001,-64.712930333 16.4172881960001,-64.7225136389999 16.4121882050001,-64.7281142269999 16.409207715,-64.7371173029999 16.4044154310002,-64.743296893 16.4011260730001,-64.7584783309999 16.3930434540001,-64.7595151519998 16.392491352,-64.7646110929999 16.3897777890002,-64.779340523 16.3809515210002,-64.7857221419999 16.3771266640001,-64.7940685359999 16.3721242100001,-64.8008901949999 16.3680347210001,-64.8087952269999 16.363295765,-64.8235206909998 16.3544663690001,-64.8264324849999 16.3527200820001,-64.8382447389999 16.3456359310001,-64.847875942 16.339858715,-64.852967559 16.336804542,-64.862083446 16.331335207,-64.867688962 16.3279720190001,-64.8709365199999 16.3260231500001,-64.882409044 16.3191384540001,-64.897127898 16.3103038470002,-64.9083565879999 16.3035627460001,-64.9118453359999 16.3014682890001,-64.919013492 16.2971640030001,-64.9265615469999 16.2926315990001,-64.930861195 16.2900492490001,-64.9412763399998 16.2837939580001,-64.9533881509999 16.2765181920001,-64.9534031369999 16.276509189,-64.9559899069999 16.274955275,-64.9707020569999 16.2661155510001,-64.98541298 16.2572747850001,-64.9948280369999 16.2516154800001,-65.00012258 16.2484329790001,-65.014830764 16.2395901310001,-65.0243118759999 16.233888813,-65.0243392589999 16.2338723460001,-65.0295377209999 16.230746333,-65.0357104189999 16.2270336690002,-65.0357621649999 16.2270025460002,-65.0442433559999 16.2219014040002,-65.0483703239999 16.219418686,-65.058947669 16.2130555240001,-65.0736506599999 16.2042086040001,-65.0883524229999 16.1953606440001,-65.10305277 16.1865117340001,-65.1177518899999 16.1776616930002,-65.1324495929999 16.1688107020001,-65.1471460669999 16.159958669,-65.1471465629999 16.1599583710002,-65.161841222 16.1511056010001,-65.1765350539999 16.1422514900001,-65.1912275639999 16.1333964310002,-65.2059188459999 16.1245402410001,-65.2090124919998 16.1226749520001,-65.2206087119999 16.115683103,-65.2352973509999 16.1068250160001,-65.242503492 16.102478356,-65.249984667 16.0979657990001,-65.264670662 16.089105634,-65.2786101379999 16.0806941590001,-65.279355429 16.0802444290001,-65.2940387789999 16.0713821860002,-65.3087209029999 16.0625189950002,-65.31308025 16.0598868050002,-65.3234017039999 16.0536546740001,-65.334365546 16.047033405,-65.3380812769999 16.0447894050001,-65.3527594349999 16.0359231890002,-65.358852198 16.0322421310001,-65.3674363649999 16.0270558440001,-65.3821119719999 16.018187551,-65.392447849 16.0119405160002,-65.3967863529999 16.0093183110001,-65.4114593169999 16.0004479420001,-65.418895614 15.99595156,-65.4261310529999 15.9915766260001,-65.4376775459999 15.9845935540002,-65.440801468 15.9827042730001,-65.4554706549998 15.9738309720001,-65.4640051549999 15.968667437,-65.4701385199999 15.9649566350001,-65.475599675 15.961651848,-65.4848050629998 15.9560812590001,-65.492518261 15.951412725,-65.4994703789999 15.9472048460001,-65.51235273 15.9394060160002,-65.512364201 15.9393990720002,-65.514134278 15.938327487,-65.5188381049999 15.93547932,-65.5188474659998 15.9354736520001,-65.528797044 15.929449182,-65.5434583939999 15.920569749,-65.556977715 15.9123804120002,-65.5581185159999 15.91168937,-65.572777317 15.9028080460001,-65.580463976 15.8981499500001,-65.5874348899999 15.8939255930001,-65.5947550399999 15.8894887280001,-65.602091141 15.8850421950001,-65.612271682 15.8788703860001,-65.61674607 15.8761578520002,-65.6313997709999 15.8672724730001,-65.635715799 15.864654876,-65.6460521509999 15.8583860570001,-65.6470333167909 15.857790883743),(-64.8961185599999 17.6766633680002,-64.8748635599999 17.6862453680002,-64.8652815599999 17.6894453680001,-64.8554185599999 17.6851363680001,-64.84306356 17.688890368,-64.8296545599999 17.6836813680001,-64.8155635599999 17.6916633680001,-64.80445456 17.6936093680002,-64.7886185599999 17.6977723680002,-64.7769455599999 17.699163368,-64.7604185599999 17.6987453680001,-64.7416725599999 17.7073633680001,-64.7263905599999 17.7052723680001,-64.7141725599998 17.704163368,-64.6919545599999 17.7083273680001,-64.6683365599999 17.710827368,-64.6441815599999 17.7216633680001,-64.6280635599999 17.7258273680001,-64.61487256 17.7331903680001,-64.59688156 17.7483273680002,-64.57806356 17.7463903680001,-64.56257256 17.7511813680001,-64.5734815599998 17.7601363680001,-64.59029056 17.761945368,-64.6099995599999 17.762218368,-64.63806356 17.7652723680001,-64.66042756 17.7684723680001,-64.6744545599999 17.7580543680001,-64.6855635599999 17.751945368,-64.6931995599999 17.7451363680001,-64.70916356 17.7549993680001,-64.72195456 17.7580543680001,-64.7297365599999 17.7644453680001,-64.73861856 17.7731903680001,-64.75598156 17.7723543680001,-64.76417256 17.7786093680002,-64.77139956 17.7884723690001,-64.7869545599999 17.792499369,-64.79695456 17.7888903690001,-64.81424556 17.7723543680001,-64.82945456 17.7615273680001,-64.8412545599999 17.7609723680001,-64.8647995599999 17.7727093680002,-64.8811185599999 17.7673633680001,-64.88820956 17.7602723680001,-64.8912545599999 17.7495813680002,-64.8830545599999 17.7338903680001,-64.88000956 17.7238903680001,-64.8819545599999 17.7102813680001,-64.8913995599999 17.6839543680002,-64.8961185599999 17.6766633680002),(-64.84248156 18.3389903690001,-64.9383275599998 18.387672369,-64.982436561 18.3785453690001,-65.023509561 18.3663723690001,-64.95657256 18.332909369,-64.90333656 18.3192183690002,-64.8348725599998 18.313136369,-64.84248156 18.3389903690001)))', 'Virgin Islander Exclusive Economic Zone', 'Virgin Islands of the United States', 'United States', '', '163', '256', 'VIR', '33180', '2014-02', '36024232730', '33180', 'Y'),('SRID=4326;MULTIPOLYGON(((36.47622092 73.38441786,36.2165540560001 73.2301740560001,35.949893833 73.0685093330001,35.8941399720001 73.0342808890001,35.688133694 72.9065024720001,35.4311455000001 72.744162917,35.178805056 72.581499917,34.9309921390001 72.418522333,34.687590333 72.255238722,34.448486806 72.091657306,34.213572222 71.9277861390001,33.9827407220001 71.763632861,33.755889639 71.5992049440001,33.5329195 71.434509556,33.313733944 71.2695536670001,33.0982394440001 71.1043439720001,32.8863453890001 70.9388869439999,32.6779639439999 70.773188917,32.473009833 70.607255917,32.3223067800001 70.4833286400001,32.271400444 70.4410938330001,32.0730555560001 70.2747083330001,31.7759916670001 70.1976888890002,31.585588972 70.143751056,31.5053972220001 70.1208888890001,31.4672306670001 70.1075367500001,31.4448 70.099677778,31.225306722 70.022309472,31.105086306 69.979573222,31.1043277780001 69.979302778,31.0630232500001 69.9529528890002,30.8890758060001 69.841144389,30.8196360242345 69.7961246817071,30.8194025290001 69.7961499920002,30.8194027570001 69.7961501390001,30.8194024650001 69.7961500860002,30.81940208 69.7961498380001,30.8194018890001 69.7961498040002,30.8194018030001 69.796149789,30.7880000800002 69.790572838,30.7166635800002 69.8045728380002,30.6344455800001 69.8130453380001,30.5872180800001 69.8152728380002,30.55694558 69.8155543380002,30.4533273300002 69.8097183380002,30.4523635800002 69.7658453380001,30.4681905800001 69.744236338,30.4563500800001 69.7124273380002,30.4445090800002 69.6806183380002,30.4174998300001 69.6669273380001,30.35069258 69.667490838,30.3912455800001 69.677490338,30.4140275800002 69.6935993380002,30.4197185800001 69.7213723380001,30.4186620800001 69.7434633380002,30.4175000800001 69.767772838,30.4016635800002 69.8249995880001,30.3254183300002 69.8730453380001,30.3013908300001 69.879718338,30.1724998290002 69.8754093380002,30.1580545790001 69.8519453380001,30.160136579 69.8029363380002,30.1901815790002 69.7644543380001,30.1290365790001 69.7618183380001,30.1430545790001 69.7235995880001,30.184027079 69.6907453380001,30.1413910790002 69.6924908380001,30.0261093290002 69.7319363380002,29.948327079 69.7538728380001,29.7166635790001 69.7385998380001,29.6897183290001 69.7358273380001,29.6591635790001 69.7298543380002,29.5677725790002 69.6917273380002,29.5513908290001 69.6777635880002,29.5324998290001 69.6680453380001,29.4919465790001 69.660199838,29.6426365790001 69.768599338,29.6830545790002 69.7780453380002,29.7413908290002 69.8049905880001,29.771527329 69.8345815880002,29.7348635790001 69.9074905880001,29.7133270790002 69.9142998380001,29.5342998290001 69.9078363380002,29.4766635790001 69.8848453380002,29.4287455790002 69.8540183380001,29.4086093290002 69.8516543380002,29.3716000790001 69.8571453380001,29.4324998290001 69.894436338,29.5019455790001 69.9130543380001,29.5613908290001 69.9272183380002,29.5872185790001 69.9324903380001,29.6662455790002 69.9641635880001,29.6402725790001 69.9735998380001,29.5247183290002 69.9872093380001,29.3947180790001 70.0016638380001,29.2630545790001 70.0127728380002,29.2011090790002 70.0138818380001,29.0019455780001 70.052763838,28.8327725780002 70.0744363380002,28.6164735780002 70.1101638390002,28.6444455780002 70.1194273390001,28.6688908280002 70.1249815890001,28.7480545780001 70.1587363390001,28.704445578 70.1631818390002,28.6561090780001 70.1585998390001,28.5990910780001 70.1607543390001,28.616663578 70.1710993390001,28.6563905780001 70.1763723390002,28.7002725780001 70.1783273390001,28.7401365780001 70.177081339,28.8166635780001 70.1683183390001,29.0355545780001 70.1283273390001,29.2636095790002 70.1163813390002,29.5149998290002 70.0969363390001,29.7713815790001 70.0683273380001,29.7969455790001 70.0658273380002,29.876390579 70.0627723380002,29.9066635790002 70.0627723380002,29.9336093290001 70.0630453380001,30.0944455790001 70.068599338,30.1149998290001 70.0705453380001,30.3199998300002 70.1155543390001,30.3487455800001 70.123881339,30.3811093300002 70.1431815890001,30.3566275800001 70.1689453390001,30.5291635800002 70.2417993390002,30.7330545800001 70.2574903390001,30.8890275800001 70.2581903390001,30.9111095800002 70.2588813390001,31.0735365800001 70.2855453390001,31.0408365800001 70.3463725890002,31.0086093300002 70.3958273390002,30.9384725800001 70.449772839,30.8258365800002 70.4324908390001,30.6377725800001 70.4902638390001,30.5977725800002 70.5351905890001,30.4738908300001 70.5554093390001,30.4347183300001 70.5558273390002,30.4055545800002 70.5541543390001,30.36278158 70.5508273390002,30.3366635800002 70.5466638390001,30.3074998300002 70.5383183390001,30.2729183300002 70.5276363390002,30.2136090800001 70.518599839,30.1655545790002 70.5131908390001,30.1427725790001 70.5127728390001,30.0462455790002 70.5227638390001,30.0080545790001 70.5364453390001,30.0663905790001 70.536099339,30.2349998300002 70.5544453390001,30.2977725800002 70.5758183390001,30.3417365800001 70.5997093390001,30.1952725790002 70.6794453390002,30.1086093290001 70.7073543390001,30.0790270790001 70.7113818390001,30.0091635790002 70.710827339,29.9808273290001 70.7083273390001,29.9494455790002 70.7016638390002,29.8640908290002 70.6538815890001,29.841245579 70.6373543390001,29.7969455790001 70.6285998390001,29.6923545790001 70.6228363390002,29.7404185790001 70.6467993390001,29.7613908290002 70.6591543390001,29.7795815790001 70.6797183390001,29.785827579 70.7010993390002,29.773472579 70.7331815890001,29.685554579 70.742627339,29.6608270790001 70.7367998390001,29.6247183290001 70.720827339,29.5788910790001 70.7066638390002,29.3469455790001 70.664154339,29.3475000790002 70.690272839,29.3188815790002 70.7933183390001,29.250554579 70.8428363390002,29.0361090780001 70.8741638390002,28.9491635780001 70.8805543390001,28.891245578 70.8822183390001,28.8538815780001 70.8805543390001,28.8286090780002 70.8766638390001,28.803336578 70.8713818390002,28.7483365780002 70.8573543390001,28.5436090780001 70.7391638390001,28.5315350780001 70.7249188390001,28.5249995780001 70.7172093390001,28.509163578 70.6752815890001,28.480272578 70.6297183390001,28.3319455780001 70.4741543390002,28.2283270780001 70.3949998390002,28.1909725780002 70.282627339,28.198890578 70.2130453390001,28.2073590780001 70.1985998390001,28.2158270780002 70.1841543390001,28.229718078 70.1639453390001,28.1980545780002 70.1302638390001,28.1597180780002 70.0988728390001,28.1286090780002 70.0802728380001,28.1019455780001 70.0708273380002,28.073891078 70.0645728380001,28.0388910770002 70.0619363380001,28.0886095780002 70.0813723380001,28.106663578 70.0908183390002,28.1327725780002 70.1069363390001,28.1617998280001 70.1273543390002,28.1727045780002 70.145895339,28.1836095780001 70.1644363390001,28.1630545780001 70.2033273390001,28.1591635780002 70.2288815890002,28.1540275780001 70.3642993390002,28.1691635780001 70.387209339,28.1924998280001 70.4063905890001,28.2541635780001 70.4472183390002,28.305827578 70.4813813390001,28.3302725780002 70.5021453390002,28.3113910780001 70.5109638390001,28.2319455780001 70.5058273390001,28.1783365780001 70.4733273390002,28.1520545780001 70.4559363390002,28.127218328 70.4381093390001,28.0488545770002 70.4487363390001,28.0874998280001 70.4733273390002,28.1099998280002 70.4805453390001,28.1344455780001 70.4860993390001,28.1769441110001 70.4988819230001,28.147781578 70.5005453390001,28.1055545780001 70.496654339,28.0652815780002 70.4910998390002,27.9741635770001 70.4763818390001,27.9013908270002 70.4419363390001,27.879054577 70.4481638390001,27.8543000770002 70.4819363390001,27.8752725770001 70.4927633390001,27.9174995770001 70.5038723390001,27.9419455770002 70.5094273390001,27.974999827 70.518327339,27.9972183270001 70.5255453390002,28.1299995780001 70.5699903390002,28.1511093280001 70.5783273390001,28.1924998280001 70.5955543390001,28.222772578 70.6088903390002,28.246390828 70.6216543390001,28.2842998280001 70.6501273390002,28.2912495780001 70.6667248390002,28.3011093280002 70.6902725890002,28.287918328 70.7134635890002,28.2079183280001 70.697909339,28.1911090780001 70.6860998390002,28.1708270780001 70.6770818390002,28.1280545780001 70.666927339,27.8369365770002 70.6152638390001,27.7966635770001 70.6094363390001,27.740836577 70.6038818390001,27.710827077 70.6027638390001,27.6571560770001 70.6063818390001,27.8424998270001 70.6505453390001,28.0377725770002 70.6947183390001,28.0805545780001 70.7048543390002,28.1194093280001 70.7327995890001,27.9216635770002 70.7613818390001,27.8866635770001 70.7638818390002,27.828327077 70.7674908390001,27.7713190770001 70.7858993390001,27.8002815770001 70.791654339,28.0108273270001 70.7926363390001,28.1377725780001 70.7802723390001,28.2324998280002 70.7841543390002,28.2579185780001 70.7892993390001,28.364436578 70.8244363390001,28.4436095780002 70.8602723390001,28.5205545780002 70.9235995890001,28.5338815780001 70.9410995890001,28.544372578 70.973954339,28.517499828 70.9847093390001,28.4773635780001 70.992490839,28.3777815780002 71.0016638390002,28.3436093280001 71.0033273390001,28.2612455780001 71.0479093390001,28.2495815780002 71.0647093390001,28.2299998280001 71.0751273390001,28.2077725780001 71.0799908390001,28.0308273270002 71.0697183390001,28.0080545770002 71.062481839,27.9720815770002 71.0466638390001,27.8780545770001 71.0322093390001,27.7675000770001 71.0516638390002,27.7308273270002 71.0872183390002,27.6516635770001 71.113054339,27.5652815770002 71.0927728390001,27.5231908270001 71.0749995890001,27.467218077 71.0052638390001,27.2656908270001 71.0297183390001,27.228327327 71.0212363390001,27.136109327 70.9583273390001,27.1287455770002 70.9165905890002,27.168890827 70.897354339,27.2052725770001 70.8891633390001,27.2673545770001 70.8822093390001,27.3091635770001 70.8808273390002,27.3827725770001 70.8785993390002,27.459999827 70.8758273390002,27.5102725770001 70.8619363390001,27.565554577 70.804718339,27.514718327 70.8069273390002,27.4241635770002 70.8152728390001,27.3434725770002 70.8242908390002,27.3091635770001 70.8180453390002,27.2817998270002 70.7713815890001,27.2550000770001 70.7491638390001,27.1395093270002 70.740618339,27.0906908270001 70.7058183390002,27.1463815770002 70.6233183390001,27.209999827 70.6061093390002,27.2322185770001 70.5988723390001,27.2660355770002 70.5817908390001,27.2347183270002 70.5822183390001,27.0938908270001 70.6004093390001,27.0648635770002 70.6104093390001,27.0119455770001 70.5880453390001,26.9749998260002 70.5652725890001,26.9905545770001 70.5197183390002,27.0294455770001 70.4741543390002,26.9738910760001 70.456663839,26.9263908260001 70.4761093390001,26.8416635760001 70.4805453390001,26.800972576 70.4729093390002,26.798681576 70.4465183390001,26.7580545760001 70.4216638390001,26.6272180760001 70.3727728390001,26.5665270760001 70.3509638390001,26.5372183260002 70.3493093390001,26.507636576 70.3634638390001,26.5131910760001 70.4291543390001,26.5555545760001 70.4983183390002,26.6020815760001 70.5359635890002,26.6506273260001 70.6365815890001,26.544718076 70.658599839,26.5061090760001 70.6574908390001,26.4455545760002 70.6491543390001,26.408054576 70.6413908390001,26.3531910760001 70.639636339,26.3708275760001 70.654999339,26.4566635760002 70.6738723390002,26.4822185760002 70.678881339,26.5391635760002 70.684154339,26.5658273260001 70.6880453390001,26.603336576 70.6955453390001,26.627781576 70.7013813390003,26.6497185760001 70.708599339,26.6680545760001 70.7188903390002,26.687772576 70.7327725890001,26.7344455760002 70.8960995890001,26.7247183260002 70.9237453390001,26.6866635760001 70.9530453390002,26.570272576 70.9388908390002,26.5455545760002 70.933045339,26.5233273260001 70.925827339,26.3697180760001 70.8610998390002,26.351390826 70.850827339,26.2424998260002 70.7894453390001,26.025409326 70.6455543390001,26.0045815760001 70.6072728390001,25.9556270760001 70.585263839,25.7980545750002 70.5172093390001,25.582218325 70.4083273390001,25.5122180750001 70.3741638390001,25.458327325 70.3523453390002,25.4441635750002 70.3377998390001,25.4299998250002 70.3232543390001,25.4538908250001 70.3122093390002,25.4891635750002 70.307218339,25.5306180750001 70.2965813390001,25.5239530750002 70.2811688390001,25.519299575 70.2704093390002,25.395836575 70.1986093390001,25.260272575 70.0998543390002,25.234718325 70.0897183390001,25.150690825 70.0769453380001,25.1119455750001 70.0766638380001,25.0958910750001 70.092490839,25.0894435750002 70.1116718390001,25.0846185750001 70.1260273390002,25.088559075 70.136622839,25.0924998250001 70.1472183390001,25.0652365750001 70.1415363390001,25.0334725750001 70.1114905890001,25.053890575 70.0890273380001,25.0399995750001 70.061654338,25.0119455750001 70.0592998380001,24.9916635750001 70.0642363380002,24.9430545750002 70.091799839,24.9448635750001 70.1469453390001,24.964163575 70.1938815890001,24.9840275750001 70.2261093390001,25.0194455750002 70.2402633390001,25.1338908250002 70.2794363390001,25.1322935750002 70.2989163390001,25.130827325 70.3167995890002,25.106391075 70.3172183390002,25.086663575 70.3584633390001,25.1416635750001 70.3813813390001,25.193881575 70.3930543390001,25.2359725750001 70.3867903390002,25.267636575 70.3959543390002,25.268609575 70.4088723390001,25.2591635750001 70.488599589,25.1883273250002 70.5136093390001,25.152772575 70.5049908390002,25.0898545750001 70.506554339,25.2126365750001 70.5544453390001,25.3563908250001 70.6061093390002,25.5272183250001 70.671936339,25.6351365750001 70.7154093390001,25.653263575 70.7307543390002,25.6872185750001 70.7738813390001,25.7738908250001 70.8019363390001,25.8567998250001 70.8291543390001,25.9220093260001 70.8601995890001,25.9033273250002 70.8887363390002,25.8622183250001 70.8937363390001,25.6377725750001 70.891936339,25.5379180750001 70.9095728390002,25.5194455750002 70.9227728390001,25.4633365750001 70.9461093390001,25.442772575 70.953599839,25.4008270750001 70.965963839,25.3661090750001 70.9695728390001,25.3411815750002 70.9567905890001,25.3534725750002 70.929427339,25.3786090750001 70.9119453390001,25.3923545750002 70.8795093390002,25.3455545750001 70.8141638390002,25.2652725750002 70.812627339,25.2573545750001 70.8373453390001,25.243054575 70.856654339,25.2197183250001 70.8797183390001,25.161109325 70.9158363390001,25.0633270750001 70.954163839,25.0252725750002 70.966936339,24.9940273250001 70.9735543390001,24.9754815750002 70.9645635890002,24.9898545750002 70.947345339,24.9780545750001 70.9105453390002,24.8794455750001 70.9074728390002,24.8556545750002 70.928345339,24.7838815740001 70.9663818390002,24.7075000740001 70.973599839,24.6676365740001 70.9727728390001,24.5884725740002 70.9609635890001,24.574718074 70.9347093390001,24.6080545740002 70.8563815890001,24.6431270740002 70.7963093390001,24.626245574 70.7761093390001,24.5916635740001 70.7830543390001,24.4730545740001 70.8151273390001,24.4113908240001 70.8535273390002,24.3933273240002 70.8656905890002,24.2638180740002 70.834499839,24.2563815740002 70.7708995890002,24.3991635740001 70.7502633390001,24.4799995740001 70.743881339,24.5388908240001 70.7426363390001,24.5622185740002 70.7388723390002,24.6991635740002 70.6738723390002,24.724299574 70.6563813390002,24.7350635740002 70.6321363390002,24.7137455740001 70.6156908390001,24.6875000740001 70.6113818390001,24.6466635740001 70.6141638390001,24.6236093240002 70.6211093390001,24.508327324 70.6669363390002,24.4761090740001 70.6777638390001,24.363054574 70.6885998390001,24.327499824 70.6797183390001,24.2958273240001 70.6683183390002,24.155281574 70.5680543390001,24.2194455740002 70.521099339,24.2567995740002 70.5109633390002,24.353399574 70.457836339,24.320554574 70.4574998390001,24.3033365740002 70.4680453390001,24.2802815740001 70.4749908390001,24.2522183240002 70.4811093390001,24.021245574 70.5079093390001,23.9786093240001 70.5094273390001,23.8941635740002 70.5008273390001,23.854163574 70.4952728390001,23.8138908240002 70.4844363390002,23.6561093230001 70.4172183390002,23.6458365730002 70.4077728390001,23.5855545730001 70.383609339,23.4649998230001 70.3113815890001,23.4091635730001 70.2738815890001,23.4247183230002 70.2494363390002,23.4554185730001 70.2502633390001,23.5179815730001 70.2396453390001,23.3783270730001 70.220272839,23.3311093230002 70.2197093390001,23.3275000730002 70.2051318390002,23.3238905730001 70.1905543390001,23.3577725730001 70.1463815890001,23.3436635730001 70.1145363390001,23.271945573 70.1077728390001,23.1787455730002 70.0910995890002,23.239718323 70.056654338,23.2602725730002 70.0494363380001,23.3319455730001 70.0320723380001,23.3644455730001 70.0273543380001,23.3897185730001 70.0263813380001,23.4338908230002 70.0286093380001,23.4669455730001 70.0277723380001,23.5099995730001 70.025272338,23.534717573 70.0192903380001,23.469718073 69.9838818380002,23.3176365730001 69.942354338,23.1666635730001 69.9577638380001,23.0455545730001 70.0227638380001,22.9916635730001 70.0883363380001,22.873054573 70.1024908390002,22.8136090730002 70.094163839,22.6508365720001 70.0752728380001,22.5952725720001 70.0697183380001,22.5661090720001 70.0677638380002,22.4951365720001 70.0654363380002,22.4486090720001 70.0610998380002,22.3830545720002 70.0516638380001,22.3580545720001 70.0472093380002,22.3181910720001 70.036663838,22.2966635720002 70.0412363380001,22.3286095720001 70.0538813380001,22.4197185720001 70.0777723380002,22.444718322 70.0822183380001,22.4801365720001 70.0852633380002,22.529718572 70.084299338,22.569163572 70.0847183380002,22.7208365730002 70.098599339,22.796109323 70.1069363390001,22.826945573 70.1129093390001,22.890272573 70.1397093390001,22.9710365730002 70.1894363390002,22.9575000730001 70.2041638390002,22.931109073 70.2077638390001,22.8558273230001 70.2097093390001,22.6675000720002 70.222490839,22.5922908220001 70.2349273390002,22.5097183220001 70.2508273390002,22.407218072 70.2545818390001,22.380890822 70.2513453390001,22.3364545720001 70.1643635890001,22.3877725720001 70.1577723390001,22.4940273220001 70.141754339,22.5188905720001 70.1374993390001,22.542009072 70.1225998390001,22.344163572 70.1444363390001,22.2786095720002 70.1813813390002,22.310418322 70.2777725890002,22.2611093220001 70.2869453390001,22.2277725720002 70.2874908390001,22.1538908220001 70.283054339,21.986736572 70.3186728390001,21.8408273220001 70.2716543390002,21.8089910720001 70.245090839,21.7300000720002 70.237490839,21.6211815720001 70.262772839,21.5864545710002 70.2935998390002,21.516391071 70.303881839,21.299999821 70.2469363390001,21.2452180710002 70.2177998390001,21.2127365710002 70.2082635890001,21.276663571 70.1716633390001,21.302636571 70.162763339,21.329163571 70.1594363390001,21.4333275710001 70.1416633390002,21.4699273210002 70.101727339,21.7254183220001 70.056518338,21.7502725720001 70.0561093380001,21.9613905720001 70.0816633380001,21.986381572 70.086109338,22.0526365720002 70.1002633390001,22.0933270720001 70.1082543390001,22.0181183220001 70.060127338,21.9816635720001 70.0552638380001,21.890554572 70.0538818380002,21.8491635720001 70.0497093380001,21.8083998220001 70.0402635880001,21.9047183220001 69.940272588,22.0152725720002 69.8422093380001,22.099581572 69.7437453380001,22.0686090720001 69.7313818380001,22.0347180720001 69.7327728380001,21.9798545720001 69.740827338,21.9644455720001 69.770263588,21.9227815720002 69.806518338,21.8911093220001 69.828045338,21.7841635720001 69.8741638380001,21.7444455720001 69.8833273380002,21.7027725720001 69.8844363380001,21.679718072 69.8877728380001,21.6241635720001 69.9049998380002,21.5829185710001 69.9220723380001,21.6002725710002 69.9451273380001,21.5549998210001 69.9833183380001,21.4427725710001 70.0174908380001,21.4144455710002 70.023327338,21.3775000710001 70.0263818380001,21.3472180710001 70.024990838,21.3133270710001 70.0209638380001,21.2482635710002 69.9977635880002,21.2274995710001 69.9730543380001,21.1369455710001 69.8688818380001,21.0483365710001 69.7890183380002,21.0002093210001 69.7856183380001,20.9452725710001 69.8124818380002,20.8945820710001 69.8517993380001,20.9880545710001 69.904436338,21.0066635710001 69.9130543380001,21.0286093210001 69.9194363380002,21.0587455710001 69.9256903380002,21.0844455710001 69.9421453380001,21.059445571 69.9461093380002,20.9019455710001 69.904163838,20.7969725710001 69.8640905880001,20.8240995710001 69.8378363380002,20.8049995710001 69.8054093380001,20.7708365710001 69.7933183380002,20.7097180710001 69.7813908380001,20.6202815710002 69.7674908380001,20.5658270710002 69.761381838,20.4849273200001 69.6313093380001,20.5105545700002 69.6169453380001,20.6713905710002 69.5535993380002,20.8238908210001 69.505554338,20.8490270710001 69.492290838,20.697636571 69.510272838,20.6113815710001 69.529436338,20.5558270710002 69.546390838,20.5215273200002 69.5617995880001,20.49027257 69.575272838,20.4663908200002 69.5731905880002,20.3561090700001 69.4713728380002,20.3236090700001 69.4355453380002,20.3066635700002 69.4163818380002,20.2043000700002 69.3770728380001,20.1783365700001 69.3686093380002,20.0320815700001 69.3106908380001,19.9469455700001 69.2560998380001,19.9196545700001 69.2703093380001,19.98582757 69.3380453380001,20.0041635700002 69.346236338,20.0572185700002 69.3574993380002,20.0994455700002 69.3705453380002,20.1719455700001 69.3941633380001,20.1905545700002 69.4022183380001,20.2637455700001 69.4569363380001,20.2819455700002 69.4788815880001,20.2936095700002 69.5747093380001,20.3172185700001 69.6738723380001,20.3333365700001 69.7133273380002,20.3516635700001 69.7530543380001,20.39139082 69.8252725880001,20.4206275700001 69.8755453380001,20.3872183200002 69.9122183380002,20.3112455700001 69.9640183380001,20.2884725700001 69.9729093380002,20.1547180700001 69.935263838,20.0780545700001 69.8427725880002,20.0461090700001 69.7997093380001,19.9727725700001 69.784718338,19.9397183200002 69.7869453380001,19.8280545700001 69.7144273380001,19.71666357 69.5148543380002,19.7148545700001 69.4752725880001,19.6830545700001 69.4319363380002,19.53353657 69.3966543380002,19.6275000700002 69.510818338,19.6993000700001 69.5880453380001,19.7168000700001 69.6094453380001,19.7228455700001 69.6511725880002,19.6793000700001 69.671518338,19.7074998200001 69.7038905880001,19.77278157 69.7805453380001,19.7727093200001 69.8048453380002,19.7397183200001 69.8119363380002,19.7069455700001 69.812209338,19.2722183190002 69.7758363380002,19.2466635690001 69.7719453380001,19.1777725690001 69.7455453380002,19.1083273190001 69.7122183380001,18.994999819 69.6494273380002,18.9449270690002 69.6125638380001,18.9449635690002 69.5959678379999,18.9449995690001 69.5792993380001,18.9555545690002 69.5591543380001,18.9955545690001 69.5363813380002,19.021799819 69.5323543380002,19.055063569 69.545890338,19.0880545690001 69.5549903380002,19.2062455690001 69.5659633380002,19.2266635690002 69.5644363380001,19.2514545690001 69.5229728380001,19.2158270690001 69.536372838,19.1899998190001 69.5451363380002,19.1680545690002 69.5455453380001,19.0911090690001 69.534163838,19.004581569 69.505545338,18.9980545690002 69.4591543380001,19.1244455690002 69.381381338,19.161245569 69.375690338,19.2124998190001 69.3783273380001,19.2595815690001 69.383745338,19.2924995690001 69.3820723380002,19.3583275690001 69.3731813380001,19.4174995690002 69.3488723380001,19.4519455690001 69.3167993380001,19.451663569 69.251663588,19.4405545690001 69.225827338,19.3438910690002 69.2191638380002,19.3116635690002 69.221372838,19.1737455690001 69.2591183380001,19.2031908190002 69.2757543380001,19.277772569 69.2761093380001,19.3149995690001 69.2777723380001,19.3575635690001 69.2879815880002,19.3761093190002 69.3179815880001,19.3488908190002 69.3347183380002,19.325554569 69.3411093380001,19.2927725690001 69.3455543380001,19.247218319 69.349154338,19.1706908190001 69.3472183380001,19.1455545690001 69.3497183380002,19.1172180690002 69.3552728380002,19.0961093190001 69.3619363380001,19.010618069 69.396172838,18.913400069 69.4646453380001,18.8818045690001 69.507490838,18.8502093190001 69.5503363380002,18.668054569 69.5411093380001,18.4952815690002 69.519436338,18.4650635690002 69.5080453380001,18.4572905690002 69.4495723380001,18.616663569 69.3808273380002,18.6372183190002 69.3733183380001,18.674999569 69.3641633380002,18.756109569 69.3485993380001,18.7924998190001 69.3422183380001,18.8341635690001 69.340272338,18.9163815690001 69.3294363380002,18.9587455690001 69.3213813380002,19.006945069 69.2870818380001,18.9747180690002 69.2852638380002,18.9466635690001 69.2908363380001,18.893236569 69.3103998380001,18.8694455690001 69.319445338,18.7711093190002 69.3247093380002,18.6750000690001 69.3050273380001,18.701318069 69.2824908380001,18.6934725690001 69.2616543380001,18.5394455690002 69.299163838,18.5116635690001 69.3480543380002,18.4972183190002 69.3733183380001,18.3492998180002 69.4630453380002,18.3015273180001 69.4840183380002,18.2769455680001 69.4888728380002,18.2569455680001 69.4863728380001,18.2044455680002 69.462772838,18.1736093180001 69.432218338,18.1765270680002 69.4072093380001,18.1722180680001 69.386381838,18.1319455680002 69.3391543380001,18.0812455680002 69.3174908380001,18.030272568 69.3097183380001,18.0104183180001 69.2980453380001,17.9963908180001 69.2802725880002,17.9959140680001 69.2556223380002,17.9954183180001 69.2299995880001,18.0202725680001 69.2269453380001,18.147918068 69.1501273380002,18.1174998180001 69.1447183380001,17.9038908180001 69.1269363380002,17.7163910680001 69.115263838,17.687499818 69.113327338,17.6364545680002 69.1036728380002,17.487781818 68.9899905870001,17.4318725680001 68.8983905870002,17.4676365680002 68.9015183370001,17.4944455680002 68.9113723370001,17.5186093180001 68.915545337,17.5727725680002 68.9210993370002,17.6286093180001 68.9255543370001,17.6858365680001 68.9291543370001,17.7186095680001 68.9285993370001,17.844372068 68.872499837,17.8198545680001 68.8633273370002,17.7547183180001 68.869854337,17.7346455680002 68.882490837,17.7152725680001 68.8899998370001,17.6466635680001 68.8747093370001,17.4913908180001 68.8363815870002,17.4713818180001 68.8277725870001,17.6330545680001 68.792772337,17.6608275680001 68.787763337,17.6995818180002 68.7844363370001,17.7436095680001 68.7863723370002,17.7800635680001 68.7797093370001,17.7924995680002 68.7569453370001,17.7677725680001 68.754718337,17.5758365680002 68.7858273370001,17.5225000680001 68.7963908370001,17.482772568 68.8076363370001,17.4502725680002 68.8098543370002,17.430272568 68.8074908370002,17.2390998170002 68.7534635870001,17.2959725670001 68.7312453370001,17.4872183180001 68.6844363370001,17.5449998180001 68.681927337,17.5970815680001 68.6835993370001,17.6286093180001 68.6798543370001,17.6690625680001 68.657563837,17.4727725680002 68.662772837,17.4299998180001 68.670136337,17.4019455680001 68.680963837,17.382563568 68.6994363370001,17.3566635680002 68.7106818370001,17.2574998170001 68.7205543370002,17.1700000670002 68.707490837,16.9729093170002 68.701518337,16.8427818170001 68.6811093370002,16.7711090670002 68.667772837,16.6245818170001 68.6387363370002,16.566318317 68.6028363370001,16.5673545670002 68.571027337,16.585554567 68.5597093370001,16.631936567 68.5397093370001,16.6076365670001 68.5284638370001,16.5766820670001 68.5308818370002,16.5395820670001 68.5384638370001,16.4670093170001 68.5117273370002,16.5047183170001 68.4359543370002,16.527218567 68.4338813370001,16.6591635670001 68.4374813370001,16.8436093170001 68.4486093370001,16.8686093170001 68.4522093370001,16.9124998170002 68.472909337,16.9427093170002 68.489436337,16.9680545670001 68.4997093370002,16.9986093170001 68.502918337,17.0633275670001 68.486372337,17.0875630670002 68.4626998370001,17.048472567 68.4524998370001,17.0161455670001 68.4392543370002,17.0566635670001 68.4341543370001,17.113890817 68.4372093370001,17.1836093170002 68.4419363370001,17.2255545670001 68.4449903370001,17.2619455670002 68.451109337,17.2961093170001 68.4658273370001,17.3231183170001 68.4864543370001,17.353054568 68.4961093370001,17.5254185680002 68.5260993370001,17.5481905680002 68.5256903370002,17.5719455680001 68.4502725870001,17.5708270680001 68.424436337,17.4891635680002 68.4222093370001,17.402499818 68.4183183370001,17.3737455680001 68.4090093370001,17.4822183180002 68.3805543370001,17.5233275680002 68.3727723370001,17.5715270680001 68.3599183370001,17.543890818 68.3523543370001,17.4830545680001 68.363599837,17.418945568 68.3828543370001,17.3866635680001 68.3927728370001,17.3327818180001 68.3998453370002,17.252363567 68.4010998370001,17.202499817 68.3695725870001,17.2176365670001 68.3334543370001,17.2802093170002 68.3032543370001,17.320972567 68.2937453370002,17.3436093180001 68.2858273370002,17.3956905680002 68.2608273370002,17.415199568 68.2370093370002,17.3580545680002 68.1763728370001,17.3236820670001 68.1657543370001,17.330072568 68.1879093370002,17.3270818180002 68.252909337,17.1584725670002 68.3597093370002,17.1326365670001 68.3674908370001,17.0536090670001 68.3627818370001,17.0180545670001 68.3562363370001,16.9869455670001 68.3426363370002,16.8934725670001 68.3245818370002,16.8305550670002 68.3234638370001,16.8516635670001 68.3388813370001,16.8760365670001 68.3535273370001,16.8565273170001 68.3710995870001,16.7313910670002 68.3978998370001,16.706390817 68.4008363370001,16.5894455670001 68.3994273370001,16.5475000670002 68.3963818370001,16.3172183170001 68.3669453370001,16.2922183170002 68.3630543370001,16.2227725660001 68.3474905870002,16.2449998160001 68.3251363370001,16.4138908170001 68.296936337,16.4655545670001 68.2941543370001,16.592699817 68.2340183370002,16.6420815670001 68.1966633370001,16.7333273170001 68.171936337,16.8000635670001 68.130336337,16.7683273170001 68.131654337,16.7218000670001 68.140681837,16.6327725670001 68.1741638370001,16.5663910670002 68.2145728370001,16.5438908170001 68.2397183370002,16.516800067 68.2534638370001,16.183745566 68.3154093370001,16.1376365660001 68.3060995870001,16.1057635660002 68.271099587,16.2614995670001 68.247490337,16.2882365670002 68.244045337,16.3132180670001 68.2322728370002,16.2494455660001 68.2172093370001,16.2106908160002 68.218745337,16.1787455660001 68.2208273370001,16.165554566 68.2022815870001,16.1899998160001 68.192218337,16.2344455660001 68.1891633370002,16.2924455670001 68.1957723370001,16.3179455670001 68.2027633370001,16.3492725670002 68.2060993370001,16.4211095670001 68.2099903370002,16.458054567 68.208599337,16.4838905670001 68.1812453370002,16.4091635670001 68.1527728370002,16.307781817 68.1199905870001,16.2999998170001 68.0997183370001,16.3424998170001 68.0716543370002,16.4097275670002 68.0898723370001,16.4455455670001 68.1113903370001,16.5134815670001 68.114863337,16.5388908170002 68.0897183370001,16.7152715670001 68.066663337,16.6713183170002 68.0467183370002,16.5422180670001 68.0627728370002,16.5101365670002 68.0724908370001,16.4667998170002 68.0937453370001,16.3952725670002 68.0619363370001,16.3672908170001 68.0326995870001,16.3883365670001 68.0233273370001,16.4227725670001 68.0210993370002,16.489581567 68.0128363370002,16.5266635670001 67.9554093370001,16.4794455670002 67.9545728370002,16.4509725670001 67.9620728370001,16.4277725670001 67.9738728370001,16.408054567 67.9922183370001,16.348890817 68.0066543370002,16.2454180660001 68.0109638370002,16.2074998160001 67.9999905870002,16.2588908170001 67.8910273360002,16.3205545670001 67.8727723360001,16.3722185670002 67.8624903360001,16.4263905670001 67.8524903360001,16.4533275670001 67.8474903360001,16.5019455670002 67.8049903360002,16.4958270670001 67.7941543360001,16.4688910670001 67.7991638360002,16.4236090670002 67.8113818360002,16.3938910670001 67.8213818360001,16.2120095660001 67.9006903360001,16.2215275660001 67.924436336,16.2098545660001 67.9622093370002,16.192772566 67.9783363370001,16.0925000660001 68.068054337,16.104582066 68.1576273370002,16.0725000660001 68.1965183370002,16.0404183160002 68.2354093370001,16.0137455660001 68.2434638370001,15.951836566 68.2336363370002,15.933890566 68.1824903370002,15.897781566 68.1272093370001,15.8763908160001 68.108463587,15.8592998160001 68.0961093370001,15.6490273160001 68.0451273370002,15.6224275660001 68.0547093370002,15.6305590660002 68.069918337,15.638691066 68.0851273370001,15.6990273160002 68.087909337,15.735072566 68.0909635870001,15.7211093160001 68.1407543370001,15.665836566 68.146654337,15.6179725660001 68.1243908370001,15.592390816 68.113936337,15.5267635660001 68.1004183370001,15.494509316 68.1256815870002,15.432781816 68.1177635870002,15.3509725660001 68.076236337,15.2883275660002 68.0305453370001,15.3227725660001 67.9988093370001,15.4077725660002 67.9881903370001,15.4388908160001 68.0045815870001,15.4403265660001 68.0150678370001,15.4422185660001 68.0288813370001,15.519499566 68.0464903370001,15.599445566 68.032772337,15.633890816 68.030818337,15.762781816 68.0266543370001,15.8044455660001 68.0347183370001,15.8477725660001 68.0386093370002,15.9611090660002 68.0130453370001,15.9558270660002 67.9930453370004,15.9066635660002 67.947218337,15.8711093160001 67.9233273360001,15.822709066 67.9300638360001,15.804718316 67.9416635860001,15.7738910660001 67.9484638370001,15.735836566 67.948881837,15.708609316 67.9469273370001,15.525272566 67.9205453360001,15.330827316 67.8866543360002,15.2619455660002 67.8608273360002,15.2300000660002 67.8709638360001,15.182218316 67.8794363360001,15.0312455650001 67.8929093360001,14.9922183150002 67.8930543360001,14.9680545650002 67.8891638360001,14.8892998150002 67.8688815860001,14.8502725650001 67.842218336,14.8722183150001 67.837909336,14.9066635650001 67.8402723360001,14.9430545650002 67.8460993360002,15.0091635650002 67.8527633360002,15.0572183150001 67.8562453360001,15.101663565 67.8522093360002,15.0763908150001 67.835127336,15.0541635650001 67.838881836,15.002499815 67.839154336,14.7931908150001 67.8204093360001,14.756799815 67.8026273360001,14.7688908150002 67.7840183360001,14.8424995650002 67.7666633360001,14.869445565 67.7688723360001,14.9858365650001 67.776654336,15.0336090650002 67.7761093360001,15.0361090650001 67.740263836,14.9838908150002 67.7280453360002,14.899163565 67.7283363360001,14.7831908150001 67.7212453360001,14.7582590650002 67.6865908360002,14.7333273150002 67.6519363360001,14.7616635650001 67.643054336,14.8127725650001 67.6388813360001,14.8438908150002 67.6386093360001,14.9186095650002 67.648881336,15.0011093150001 67.6630543360002,15.072772565 67.6811093360001,15.1774998150001 67.7098543360001,15.3720818160002 67.7924183360002,15.5891635660001 67.7666633360001,15.6319455660002 67.7599903360001,15.6838908160001 67.7497093360001,15.7811095660001 67.7277633360001,15.8268725660001 67.6765908360002,15.7886093160002 67.6794453360001,15.7634725660001 67.6876273360001,15.6458910660001 67.7166638360001,15.607718066 67.7315728360002,15.5769725660001 67.7352363360001,15.5383908160001 67.7336543360001,15.480891066 67.7294908360002,15.4019468780001 67.735689839,15.4857185660001 67.7039633360001,15.5108905660001 67.7012903360001,15.540472566 67.7028813360001,15.5716818160002 67.6990093360001,15.6038908160001 67.6887183360001,15.6519435660002 67.6752818360001,15.5086090660001 67.676099836,15.4547183160002 67.6858183360002,15.3572180660001 67.7077638360002,15.306872566 67.7167273360002,15.1824273160001 67.6195725860001,15.2386815660001 67.528463336,15.2788908160002 67.5183273360002,15.3599998160001 67.5122093360002,15.5461818160001 67.5078453360001,15.6108365660002 67.5263813360001,15.6380545660001 67.536945336,15.658054566 67.543045336,15.700281566 67.5538813360001,15.7227725660002 67.5583183360001,15.839027316 67.5662363360001,15.8874635660002 67.5564453360001,15.8529455660002 67.5521093360002,15.794163566 67.5508273360002,15.7612455660001 67.547763836,15.7047180660001 67.5363728360001,15.6191635660001 67.5111093360002,15.5884908160001 67.5006905860002,15.5474998160001 67.482081586,15.5313908160002 67.4649995860001,15.516663566 67.4255543360001,15.614999816 67.3516543360001,15.6916630660001 67.2956818360001,15.6444455660001 67.268054336,15.6252725660001 67.2660998360001,15.588054566 67.3172183360002,15.5302820660001 67.3958273360002,15.4652725660002 67.4609635860001,15.4352725660001 67.4737363360002,15.395554566 67.4783363360001,15.3266635660002 67.482772836,15.1088908150001 67.4930453360002,15.0355545650001 67.4738728360001,14.9951545650001 67.4686363360001,14.9342820650002 67.4731093360002,14.9589455650002 67.4762723360001,14.9861093150001 67.481109336,15.0069455650001 67.486663336,15.1465998150002 67.541099586,15.0736090650001 67.569163836,15.0358273150001 67.5705453360001,14.9719455650001 67.563327336,14.9173635650001 67.5548543360001,14.8191635650001 67.5280453360001,14.7316000650001 67.4906183360001,14.8290273150001 67.4416635860002,14.8845545650001 67.4301633360002,14.9208905650001 67.4274093360001,14.8830545650002 67.4047093360001,14.812363565 67.3995728360001,14.7988908150001 67.4148543360001,14.7611093150001 67.419709336,14.6563910650002 67.4249908360002,14.6230545650001 67.4162453360001,14.5755545650001 67.3929093360002,14.560272565 67.3491543360001,14.4644455650001 67.295272836,14.328900065 67.2392093360001,14.5398635650002 67.2463723360002,14.6296545650001 67.208881336,14.6686095650001 67.207490336,14.6922185650002 67.2113813360001,14.7127725650001 67.2169363360002,14.8305275650001 67.2516813360002,14.8591635650001 67.2736093360001,15.0383273150002 67.295545336,15.1538905650002 67.3055453360001,15.1406905650001 67.269718336,15.0974998150002 67.257627336,15.0711825650001 67.2508908360001,15.0711815650002 67.2508903360001,15.1961095660002 67.2299993360001,15.2297183160002 67.2323543360001,15.2554183160001 67.240136336,15.275836566 67.2413813360002,15.4138905660002 67.2352723359999,15.6961095660001 67.2066633360002,15.7355545660001 67.1757543360002,15.7133365660002 67.1702728360002,15.6187455660001 67.1815183360001,15.5919455660001 67.1904728360001,15.5338908160001 67.2008183360001,15.4830545660001 67.2074908360001,15.4165090660001 67.2072638360001,15.384927316 67.1940905860001,15.472218066 67.1397093360001,15.4955545660002 67.0652728360002,15.4538908160001 67.0719273360001,15.3891635660001 67.1147183360002,15.3951365660001 67.1425635860001,15.3788910660001 67.1588728360001,15.354445566 67.1641543360001,15.2516635660001 67.1858183360001,15.059236565 67.2090183360002,15.0209725650001 67.2027728360001,14.9644455650002 67.1735998360001,14.9336095650002 67.1437453360001,14.9605545650001 67.1361093360002,14.9867995650002 67.1254093360002,15.0063180650001 67.0988818360001,14.9746545650002 67.0931818360002,14.8932640650001 67.148881836,14.9297183150002 67.174709336,14.9330545650001 67.2042905860001,14.7958365650002 67.2113818360002,14.5808365650001 67.1952728360001,14.5522180650001 67.1899908360001,14.527572565 67.1776995860002,14.6056905650001 67.1752723360001,14.704863565 67.1640273360001,14.7251365650001 67.1577723360001,14.7515270650001 67.1411093360001,14.742636565 67.1178363360001,14.7257635650001 67.1333908360001,14.709445565 67.151099586,14.6763910650001 67.1563818360001,14.598609315 67.162218336,14.4483273150001 67.1644453360001,14.3505545650001 67.1511093360001,14.3255545650001 67.1437453360001,14.2688908150001 67.0766543360001,14.2977818150001 67.070827336,14.3711093150001 67.0705453360002,14.424999815 67.0711093360001,14.5780545650002 67.0515183360001,14.5944455650001 67.0329093360001,14.5550998150002 67.0224543360001,14.5325000650001 67.0438818360001,14.4037455650002 67.0599908360002,14.3041635650002 67.0535998360002,14.2715998150001 67.0255453360001,14.222499565 66.976245336,14.1984725650001 66.9726273360002,14.1225000650001 66.9802728360002,13.950554564 66.9197183360001,13.9283365640001 66.9197093360001,13.7561090640002 66.9374818360001,13.597500064 66.9366638360002,13.571527314 66.9341543359999,13.5513908140002 66.9284635860002,13.5258998140001 66.8997815860001,13.6922183140001 66.829990585,13.8242998140001 66.8030453350001,13.8447185640002 66.8010993350002,13.9263905640001 66.801799335,13.9591635640002 66.796099335,13.9908350640001 66.7852728350001,13.7463910640001 66.794999835,13.616663564 66.8063818350001,13.5694455640001 66.7991638350001,13.5123275640001 66.7814183350002,13.539718314 66.768599585,13.568336564 66.7713813350002,13.5986093140002 66.7719453350001,13.6435545640001 66.7669903350001,13.6801180640001 66.7589453350001,13.6295818140001 66.7608363350002,13.602500064 66.7599908350001,13.5709725640002 66.7565183350001,13.5437455640002 66.7410995850002,13.5567998140001 66.7103363350001,13.5858365640001 66.7080543350002,13.6230545640002 66.712490335,13.6899183140001 66.721618335,13.7394998140001 66.7266543350001,13.887216564 66.7279723350001,13.8641635640001 66.7194363350001,13.6999270640001 66.6904728350002,13.5705818140002 66.6907453350001,13.5441183140001 66.6981093350001,13.4938910640001 66.7095818350001,13.4025000640001 66.7166638350002,13.2870820640001 66.7209638350002,13.2290273140001 66.710272585,13.2972185640002 66.689572335,13.3216635640002 66.6869363350001,13.4015273140001 66.6822093350001,13.490663564 66.6610453350002,13.5155815640001 66.6474633350001,13.5358270640001 66.6347183350002,13.4833270640002 66.6435998350001,13.3905545640001 66.6533183350001,13.191527314 66.6611093350001,13.1730545640002 66.6480453350001,13.207918314 66.5541543350002,13.2341635640001 66.545545335,13.2690273140001 66.5405543350001,13.4174273140001 66.5558273350001,13.4480545640001 66.5755453350002,13.4720818140001 66.5915183350002,13.5214905640001 66.6056723350001,13.6463908140001 66.6116543350002,13.713609064 66.6015273350002,13.6601365640001 66.600681835,13.6288910640001 66.601381835,13.5663910640002 66.5985998350002,13.545000064 66.5935998350001,13.4888908140002 66.578890585,13.4569455640001 66.5588818350001,13.2838910640002 66.5213818350001,13.2109725640001 66.509436335,13.130554564 66.5313908350001,13.1083273140001 66.5369453350001,13.0855545640001 66.5369453350001,12.9756908130002 66.5172815850001,13.0273635630001 66.496099335,13.0780545640002 66.4950633350001,13.1551365640001 66.4333273350001,13.1612455640001 66.3971363350001,13.076109064 66.3674908350002,13.0422180640002 66.3613728350002,13.006454563 66.3529725850001,13.020836563 66.3244363350001,13.0436095640002 66.3160993350001,13.1488905640001 66.2974813350001,13.192218314 66.293318335,13.2188905640001 66.2949993350001,13.2541635640001 66.3005543350001,13.3269455640001 66.3180543350002,13.4741635640001 66.3133273350001,13.5274270640002 66.3051273350001,13.491391064 66.2952728350001,13.4136090640002 66.2963908350001,13.3423635640002 66.3002728350001,13.2112455640001 66.273609335,13.028400063 66.188945335,13.0662455640001 66.1756903350001,13.1419455640001 66.1877723350001,13.1738908140001 66.1947183350001,13.1949998140001 66.1997093350001,13.3672185640002 66.2413813350001,13.4822183140001 66.251936335,13.5894455640002 66.2436093350001,13.6190273140001 66.237636335,13.6394455640001 66.238872335,13.7201365640001 66.2538723350002,13.7472183140002 66.2766543350001,13.967218314 66.3008273350002,14.1131908150001 66.3366543350001,14.1382635650002 66.3202363350001,13.9988910640001 66.2488818350002,13.8777820640001 66.2252638350001,13.8552725640002 66.2210998350002,13.8065273140001 66.2305543350001,13.7674998140001 66.2366543350002,13.7458365640002 66.2363728350002,13.705000064 66.2341638350002,13.6629818140001 66.2257543350001,13.613054564 66.1916543350001,13.5497180640002 66.1005543350003,13.531736564 66.1104728350001,13.5272185640002 66.1933273350002,13.5765998140002 66.2143635850001,13.559654564 66.234018335,13.3513910640002 66.2235998350002,13.304299814 66.2188815850001,13.2654180640001 66.1990908350001,13.2272183140001 66.1808273350001,13.1627725640001 66.1669273350002,13.0686093140001 66.1466543350001,12.9840273130002 66.1348453350001,12.9552725630001 66.1336093350002,12.9230545630001 66.1349908350001,12.8950000630001 66.1338818350002,12.8394455630001 66.1276273350001,12.6737455630001 66.064436335,12.7209725630001 66.0394363350001,12.7422183130001 66.039154335,12.8852725630002 66.0502813350001,12.9055545630001 66.0538813350001,12.9573635630001 66.0391633350002,12.9256908130001 65.985690585,12.9408365630001 65.971518335,12.9874995630001 65.9552723350002,13.0705545640001 65.9402723350002,13.117218564 65.9413813350001,13.1481905640001 65.9091543350002,13.1694455640002 65.8498453350001,13.055554564 65.9013818350001,12.9174998130002 65.9466543350001,12.897782063 65.9527728350001,12.8348635630001 65.967218335,12.8090270630002 65.9666638350002,12.782772563 65.9605363350001,12.7444455630002 65.9491543350002,12.6949998130002 65.9312453350001,12.670836563 65.9191543350001,12.6473635630001 65.8994363350001,12.6091635630001 65.8427725850002,12.5533998130001 65.7479093340001,12.5822183130001 65.7274905840001,12.6663905630002 65.6802633340001,12.7838180630002 65.6347093340001,12.754027063 65.6270728340001,12.6472183130002 65.6369363340002,12.6113545630002 65.6609273340001,12.5721545630002 65.7138183340001,12.5313908130001 65.7269363340001,12.4942998130001 65.7267183340002,12.4347183130002 65.7005453340002,12.3549273130001 65.6407543340002,12.3555545630001 65.590272584,12.3929183130002 65.544154334,12.421109313 65.5285995840002,12.4766635630001 65.513045334,12.5054183130001 65.5108273340002,12.5311093130001 65.516936334,12.5619455630002 65.5044363340002,12.607499563 65.4591543340002,12.6210045630002 65.437590834,12.6345090630002 65.4160273340002,12.6083273130001 65.4244363340002,12.551527063 65.4460998340001,12.4804183130001 65.4412453340001,12.5380090630001 65.3778818340001,12.5091908130001 65.366609334,12.4780545630001 65.3599818340002,12.335836563 65.2922183340001,12.2490273130001 65.231799584,12.259445563 65.2261093340002,12.339445563 65.2624903340001,12.3677725630001 65.2694363340002,12.431109563 65.2720813340002,12.6486093130001 65.264436334,12.6753905630002 65.2517183340002,12.6175000630001 65.2427638340002,12.5102725630001 65.2402638340001,12.4222183130001 65.2305453340002,12.3683273130002 65.1577725840001,12.3904183130001 65.1406815840002,12.4797905630001 65.1342993340002,12.674609563 65.200381334,12.7029455630001 65.213799334,12.8208365630002 65.2708273340002,12.9392335630001 65.3208803340002,12.6247183130001 65.1336093340001,12.4205545630002 65.0844453340001,12.254445563 65.0530543340002,12.1488908130001 65.0391543340001,12.0447908130002 65.052845334,12.0231545630002 65.0268818340001,12.0111820630001 65.037354334,12.0097545630001 65.051699584,12.0042998130002 65.0597183340002,11.9749998130001 65.0658273340001,11.9671455630001 65.0642093340002,11.943054562 65.0591543340001,11.878609312 65.0386093340002,11.8031270620001 64.9993638340001,11.7800000620001 64.973599834,11.713718312 64.9587183340001,11.682809312 64.9560453340001,11.6317998120001 64.9611093340001,11.5472183120002 64.949436334,11.4275000620001 64.923599834,11.351945562 64.9013818340002,11.3018093120001 64.8851273340002,11.2531910620001 64.8555453340002,11.3099998120001 64.8558183340002,11.6269455620001 64.896381334,11.6747093120001 64.9033183340002,11.6959715620002 64.8988813340001,11.5497180620002 64.8638728340002,11.4769455620001 64.8561093340001,11.4347183120001 64.857209334,11.3744455620001 64.852218334,11.2727818120001 64.8405453340001,11.2377093120001 64.8194995840001,11.3297183120002 64.8080453340002,11.3747180620001 64.8055453340001,11.2924998120002 64.7505453340001,11.241528863 64.7336004320001,11.2415273120001 64.733599584,11.2415290740001 64.733599372,11.3016635620001 64.7351273340001,11.3536093120001 64.7422183340001,11.3864545620002 64.7499183340001,11.4447183120001 64.7794363340001,11.7472185620001 64.8927723340001,11.893609312 64.9397093340001,11.9133275620001 64.9449903340001,12.0412455630001 64.9709723340001,12.0886095630002 64.9727633340001,12.128054563 64.9702723340001,12.1563908130001 64.9644273340002,12.1863908130001 64.9555543340002,12.217080563 64.9406818340001,12.175554563 64.9381908340001,12.1464545630001 64.9517908340002,12.0879180630002 64.958463834,12.066009063 64.9558908340001,11.9527725620001 64.9299908340001,11.7333273120001 64.8755453340002,11.6549998120001 64.8427635840001,11.6430545620002 64.8180543340001,11.6912725620001 64.808818334,11.742499562 64.8027633340001,11.7933365620001 64.8031813340001,11.8395815620001 64.794854334,11.7949998120002 64.7780453340001,11.7386093120001 64.7694363340001,11.668890812 64.7716543340001,11.6425000620001 64.774990834,11.5981910620002 64.7717998340001,11.551663562 64.7616543340001,11.4383273120001 64.7111093330002,11.4177725620001 64.6977725830002,11.397081562 64.6696453330001,11.460554562 64.6049995830001,11.4777725620002 64.592209333,11.508609312 64.5716543330001,11.5382183120001 64.563518333,11.5902725620002 64.5785993330001,11.6874998120002 64.5897183330001,11.7280545620002 64.5797093330002,11.6205545620002 64.5519363330001,11.580463562 64.5493363330001,11.5588910620002 64.5513728330002,11.5313908120001 64.5508273330001,11.5080545620002 64.5438728330001,11.4461818120002 64.4909635830001,11.4435000620002 64.4817678330002,11.4386090620002 64.4649998330001,11.3447180620001 64.3891638330002,11.2588908120001 64.333599583,11.221664562 64.3161003330002,11.285554562 64.3744363330001,11.2733365620001 64.4516635830001,11.065554562 64.5195728330002,11.0609725620001 64.542772583,11.0631908120002 64.5637453330002,11.035272562 64.5791638330001,10.9656908120002 64.6009635830001,10.9365273120002 64.5733273330002,10.9011090620001 64.4899908330002,10.8349545610002 64.5051543330002,10.8086093110002 64.5069363330002,10.6955545610001 64.4688908330002,10.6626365610001 64.4431183330001,10.6888908110001 64.4337363330001,10.7152725610001 64.4334633330002,10.7474995610002 64.4392903330001,10.786245561 64.4394363330001,10.8069455610001 64.4247093330001,10.8494455610002 64.370554333,10.8080545610001 64.3658273330001,10.7622180610001 64.3799908330001,10.6722180610001 64.4138818330001,10.6513910610001 64.4252818330001,10.5886090610001 64.4313818330002,10.519718061 64.4288908330003,10.495290811 64.4238093330001,10.460736561 64.402818333,10.4894905610001 64.401081333,10.566181811 64.3897453330002,10.652081561 64.3555453330002,10.590136561 64.3449908330002,10.5584000610001 64.3620728330001,10.512500061 64.367490833,10.4780545610001 64.3558183330001,10.4619455610001 64.3427725830001,10.4472180610001 64.3241543330001,10.3491635610002 64.2741543330001,10.254163561 64.2288818330002,10.1661093110001 64.1897093330002,10.0202818110002 64.066372583,9.98221831100011 63.990554333,10.054445561 63.9816633330001,10.1199995610001 63.9852723330001,10.173336561 63.9522183330001,10.1927815610002 63.9329093330002,10.1644455610002 63.9348543330001,10.1369455610001 63.9394363330002,9.86194556100003 63.886109333,9.82528181100014 63.8644363330002,9.70083656000008 63.823609333,9.63097256000009 63.8074998330001,9.57889081000013 63.7856905830002,9.54527256000011 63.7661093330001,9.54666356000013 63.6623543330002,9.57027256000003 63.6613813330001,9.73277256000011 63.7011093330001,9.90555456100014 63.7497183330001,10.0052815610001 63.7724993330002,10.094581561 63.7596453330002,10.0638908110001 63.7433273330002,10.004999811 63.7205543330001,9.91528206100014 63.6999998330001,9.857363561 63.6892998330001,9.80826356000006 63.688609333,9.78916356000013 63.6624995830001,9.8083365600001 63.6222183320001,9.92215456100013 63.5067273320001,9.99999981100001 63.4952543320001,10.0477818110001 63.4961093320001,10.0927818110001 63.502218332,10.1687635610002 63.527281332,10.2166635610001 63.5499993320001,10.2527725610001 63.557218332,10.3149995610002 63.5574903320002,10.3927725610001 63.5688813320002,10.546945561 63.6155543320001,10.6158365610002 63.6397183320001,10.6337455610001 63.6624273330002,10.8074995610002 63.7113903330002,10.8477725610001 63.720272333,10.8805545610002 63.7255543330001,10.9197183120001 63.7308273330001,10.9419455620001 63.7380543330002,11.074718062 63.8397183330001,11.0222183120001 63.8757543330001,10.9020090620001 63.8934728330001,10.8597180610001 63.8795818330001,10.7519455610001 63.8455543330002,10.6394455610001 63.8141638330001,10.5799295610001 63.8047913330002,10.6956273110001 63.8570093330001,10.732218561 63.8660993330001,10.764999811 63.8697183330002,10.8063908110001 63.8780543330002,10.9130545620001 63.9148543330002,10.9452725620002 63.9344363330002,11.0066635620001 63.955272333,11.0519455620002 63.9694453330001,11.0924998120001 63.9783363330002,11.130281812 63.988609333,11.180272562 64.008045333,11.2041635620001 64.0223543330002,11.2127725620001 64.043881333,11.313054562 64.1162453330001,11.357636562 64.1084633330001,11.3188908120001 64.0322093330001,11.4236093120002 64.0269273330002,11.4879180620001 64.0055453330001,11.420900062 63.9767998330001,11.347218062 63.9727728330001,11.2647183120002 63.9608273330001,11.0954818120001 63.886245333,11.1006235620001 63.8652013330001,11.1045093120001 63.8492995830001,11.1369455620002 63.8431903330002,11.1929183120001 63.8511093330002,11.2336093120001 63.863745333,11.274999812 63.8679093330001,11.2949998120001 63.8655543330001,11.427563562 63.8409723330001,11.4599270620001 63.7982638330001,11.4216635620002 63.7830543330002,11.3374998120001 63.7755543330002,11.2794455620001 63.7729093330001,11.2536090620001 63.7677728330001,11.222772562 63.7442998330002,11.183054562 63.7141638330002,11.1555545620001 63.7058273330002,11.0776365620001 63.6995818330001,11.0468000620001 63.7120818330001,10.965972562 63.7005453330002,10.9244455620002 63.686945333,10.7424998110002 63.6163905820002,10.720554561 63.6049995820001,10.6662455610001 63.5454093320001,10.6877725610001 63.5477723320001,10.726945561 63.5651363320001,10.8788905610002 63.6013813320002,10.9131270620001 63.5999273320001,10.9151045620001 63.576177332,10.9170815620001 63.5524273320002,10.8900000620002 63.546390832,10.8084725610002 63.5415273320001,10.7797908110001 63.5322183320001,10.7616635610002 63.5057635820001,10.7783365610002 63.4822183320002,10.812081811 63.4754093320001,10.8765998110002 63.4710363320002,10.9117995620002 63.4580453320002,10.8891635620001 63.4472183320001,10.8553725610001 63.4436998320002,10.7377820610001 63.4388908320002,10.577500061 63.4316638320001,10.5508365610001 63.4308273320002,10.5255545610001 63.4341638320002,10.4433365610001 63.4524998320002,10.300272561 63.463327332,10.2730545610001 63.4629183320001,10.146391061 63.4441638320002,10.1252725610001 63.4402728320001,10.0873635610002 63.4302728320001,10.064445561 63.4197183320001,10.0458998110001 63.3835363320001,10.0748635610001 63.3615183320002,10.1224995610002 63.347499332,10.1647185610002 63.3438903320002,10.2284725610002 63.3426363320002,10.2608365610001 63.3352723320002,10.2783270610001 63.316663832,10.269795061 63.2874388320001,10.2631905610002 63.2648193320001,10.2581085610001 63.2800863320002,10.2547183110001 63.2902725820001,10.1524998110001 63.319718332,10.0405545610002 63.3480543320001,9.97610956100004 63.3561093320001,9.94333656100019 63.3930543320002,9.95815456100001 63.4337453320001,9.71750006000019 63.6302728320001,9.64750005999997 63.6238818320001,9.53458206000005 63.6045818320001,9.49499981000002 63.5883273320001,9.4691635600002 63.5669363320002,9.41666356000007 63.5338818320001,9.32777256000003 63.5394453320002,9.2476365600001 63.5352728320001,9.15280906000004 63.4857638320001,9.16486356000001 63.389299582,9.21659956000019 63.3683993320002,9.39499956000009 63.3827723320001,9.46854356000023 63.3959718320002,9.41805456000003 63.374718332,9.37333656000021 63.3683273320001,9.23139106000014 63.3538818320002,9.14610906000007 63.3741638320002,9.11416356000012 63.4129183320001,9.06889081000003 63.4404093320001,9.00097256000015 63.464645332,8.96778181000019 63.444718332,8.74597256000004 63.4191638320001,8.73729981000008 63.4159183320001,8.67221805900016 63.4138908320001,8.6411818090001 63.395581582,8.70874555899996 63.3506183320001,8.75853656000004 63.3429183320001,8.67194555900016 63.3183273320002,8.65110930900011 63.3144363320001,8.62610905900016 63.3127728320002,8.58444555900007 63.3122183320001,8.53999980900022 63.3094363320001,8.47971830900002 63.2917995820001,8.61839955900018 63.1999993320001,8.82460956000006 63.2074993320002,8.87139081000009 63.209445332,8.94013656000004 63.207909332,8.80416356000012 63.195545332,8.76784556000024 63.192845332,8.72277255900008 63.1863818320001,8.63139105900001 63.182490832,8.57639080900015 63.1649995820002,8.57387055900017 63.1570133320002,8.56902705900012 63.1416638320001,8.53194555900012 63.1358273320002,8.30833655900011 63.1505543320001,8.24555455900008 63.1463818320002,8.16097255900007 63.1180453320001,8.22639055900004 63.027772332,8.38194555900014 62.970827332,8.43055455900003 62.9786093320001,8.5152725590001 62.9830543320002,8.65683455900006 62.971690332,8.59750005900003 62.9602728320002,8.57166355900017 62.9594453320001,8.51666355900011 62.958609332,8.47139080900001 62.9605453320002,8.4452725590001 62.9594453320001,8.41757255900006 62.9513093320002,8.51055455900018 62.870554332,8.53177255900022 62.8472183320001,8.49694555900004 62.8461093320002,8.35777255900007 62.8805543320002,8.33333655900003 62.8966638320001,8.30750005900018 62.9377728320001,8.12910005900011 63.048190832,8.1300725590001 63.0776995820002,8.09805455899999 63.1037453320001,8.07055455900013 63.1084638320001,8.03832705900015 63.1031908320001,7.97486355900003 63.0805543320001,7.88089980900003 63.0025635820001,7.90083655900008 62.994718332,7.94610930900018 62.9969363320001,7.96778155900012 63.0041633320001,8.00610930900001 62.9958273320001,8.15360905900008 62.9440903320001,8.15934505900003 62.9300268320001,8.17298155899999 62.8965903320001,8.18368155899998 62.8438813320001,8.24541830900017 62.816527332,8.30083655900006 62.8094363320001,8.32708155900013 62.803463332,8.56007255900016 62.709263332,8.56971805900014 62.6755453320001,8.54833655900006 62.6538818320002,8.54110930900021 62.6797183320001,8.52624555900013 62.6931908320001,8.49277255900006 62.715272832,8.3069455590001 62.7766638320001,8.28666355900009 62.781663832,8.21444555900024 62.791936332,8.17986355900013 62.8006908320002,8.14979105900022 62.8210363320001,8.10937255900012 62.9040183320001,8.08389105900017 62.9406908320001,8.05639105900013 62.951663832,8.01097255900004 62.9669453320002,7.98458180900013 62.9726363320002,7.96416355900004 62.9730543320001,7.94360905900004 62.968890832,7.89541805900012 62.9534728320001,7.73000005900019 62.9174998320001,7.67368205900016 62.9133273320001,7.70444555900019 62.928054332,7.74041855900015 62.938881332,7.77795455900014 62.9651995820001,7.74749980900003 62.9769453320001,7.71860930900004 62.9772183320002,7.68166355900007 62.9744453320001,7.64889105800017 62.969163832,7.60589980800023 62.9546453320002,7.57555455800014 62.933327332,7.52083655800016 62.9174998320001,7.46736355800016 62.9112453320001,7.44513655800017 62.9147183320001,7.38110930800013 62.957218332,7.29805455799999 63.0019363320001,7.26513655800022 63.0113818320002,7.11055455800016 62.988054332,7.09028205800007 62.9838908320002,7.03639080800008 62.9674995820002,6.94944555800009 62.9313905820002,6.938336558 62.9061093320001,6.99199055800005 62.856545332,6.9743455580001 62.7988905820001,6.95458180800017 62.7240273320002,6.97902730800024 62.7215273320001,7.2033365580001 62.7355453320001,7.32666355800012 62.7447183320001,7.40528180800021 62.7555543320001,7.42930930800014 62.7651363320002,7.45805455800019 62.775972332,7.61971830800013 62.7948543320001,7.64083655800005 62.7947183320002,7.68110755900011 62.7913813320001,7.6459725580001 62.7838818320001,7.59000005800004 62.779999832,7.5411093080001 62.7758363320002,7.49110905800006 62.7652728320001,7.45360905800021 62.7552728320001,7.36777255800013 62.7261093320001,7.38999980800014 62.6833273320001,7.48486355800003 62.6796453320001,7.53166355799999 62.6902723320001,7.55639080800012 62.6994363320001,7.66944555900011 62.7288813320001,7.69249955900017 62.7316633320001,7.99971855900009 62.7638813320001,8.04639055900009 62.7538813320001,8.12180930900013 62.7192995820001,8.13798155900008 62.6936453320001,8.11500005900018 62.6974908320001,8.07569105900006 62.7141638320001,7.99679980900015 62.7360363320001,7.86305455900003 62.7319453320002,7.82499980900013 62.7297183320001,7.78569080900019 62.7247183320001,7.6302820580002 62.6991638320001,7.60194555800007 62.6919363320001,7.52278180799999 62.6666635820001,7.41194555800018 62.6170093320001,7.41889080800019 62.5955543320002,7.45374555800015 62.5740273320002,7.47444555800013 62.5661093310001,7.49777255800018 62.5624903310001,7.52444555799997 62.5602723310001,7.55166355800014 62.560827331,7.58389080800015 62.5661093310001,7.60666355800021 62.568599331,7.7306905590001 62.5792993320001,7.77263655900009 62.574854332,7.68139080900011 62.5572183310002,7.5809725580001 62.5474273310001,7.5391635580001 62.499163831,7.5168725580001 62.5372815810001,7.36333655800007 62.5861093320001,7.09000005800016 62.6477728320001,6.96416355800017 62.6499908320001,6.75721805800009 62.6527728320001,6.73583655800024 62.6494363320001,6.70416355800006 62.6363818320002,6.60166355800004 62.583881832,6.55242730700019 62.6109725820001,6.33236355700024 62.6077728320002,6.29763655699998 62.5997183320001,6.25298180700008 62.5777725820001,6.26749980700009 62.5294453310001,6.31471855700011 62.5241633310001,6.45889055700019 62.5302723310002,6.49944555700017 62.5311093310002,6.54944555700024 62.5302723310002,6.63194555800004 62.5127723310001,6.64683655800002 62.4957543310002,6.61883655800023 62.4942183310002,6.58889105800017 62.4924908310001,6.50513655700013 62.4970818310002,6.43666355700014 62.493327331,6.37000005699997 62.484163831,6.25569105700004 62.4561093310001,6.38389080700017 62.4194453310002,6.51583655700011 62.4299903310002,6.54778180700004 62.4355543310001,6.65599980800005 62.4605273310001,6.67766355800018 62.4690273310001,6.78652730800007 62.4772183310002,6.85528180800003 62.4494363310001,6.908054558 62.4188813310003,6.96778155800018 62.3728453310001,6.92257255800007 62.3627725810001,6.96770930800011 62.3143725810001,7.17833655800018 62.279445331,7.21166355800005 62.279445331,7.23444555800012 62.2822183310001,7.28291830800015 62.2897183310002,7.31694555800004 62.2886093310001,7.33860930800017 62.2844363310001,7.36249980800011 62.276109331,7.39652705800006 62.2537453310001,7.41513655800003 62.2297183310001,7.39236355800017 62.2315273310001,7.36249980800011 62.2547183310001,7.33242730800009 62.270063581,7.29971805800017 62.2777728310002,7.10416355800004 62.2738908310001,7.0277818080001 62.2665273310002,7.03416355800016 62.2179183310001,7.0373635580001 62.1867995810001,7.02680905800008 62.1627728310001,6.99860930800008 62.1447183310001,6.97013655800021 62.122981581,6.98221830800009 62.1061093310001,7.01083655800011 62.0983273310001,7.03889080800019 62.0983273310001,7.06458155800004 62.1031903310001,7.08749955800022 62.104445331,7.06874555800016 62.0912453310002,7.04305455800005 62.0863908310001,7.01778205800014 62.0849998310001,7.00305455800014 62.0855453310002,6.97416355800016 62.0898543310002,6.94465455799997 62.1089543310001,6.94145455800009 62.1351993310002,6.98110955800001 62.1642993310001,7.00757255800005 62.1899905810002,6.99833655800023 62.259718331,6.98541830800002 62.2804183310002,6.96721830800016 62.2922183310001,6.93305455800015 62.3042998310002,6.87541855800015 62.3522183310001,6.87510805800019 62.3668903310002,6.87479105800008 62.3818728310002,6.87798205800016 62.4125638310002,6.70333655800005 62.4448543310002,6.42028180700009 62.3897183310001,6.39513655700023 62.3772183310001,6.38645455700004 62.354018331,6.41833655700009 62.3050635810001,6.44583655700012 62.2897183310002,6.48013655700021 62.264718331,6.57221805700004 62.1672183310002,6.58673655700017 62.134372831,6.53326355700017 62.110409331,6.56179980700011 62.141663581,6.55454005700005 62.156019831,6.54971830700003 62.1655543310002,6.47069080700004 62.2405543310002,6.32041830700024 62.3676363310002,6.29242705700005 62.3700638310002,6.05166355700015 62.306663831,6.01639080700005 62.2956905810001,5.97694555700002 62.2724998310002,5.94916355700013 62.2540273310001,5.92013655700009 62.2067273310001,6.09257255700015 62.103818331,6.12305455700016 62.0966633310001,6.17583655700003 62.0941633310002,6.26673655700017 62.0863903310001,6.36041705700006 62.0608998310001,6.2925000570001 62.0591638310001,6.26826355700024 62.0731183310001,6.0422183070001 62.0986093310001,5.95028205700015 62.1066638310001,5.92000005700015 62.1136093310001,5.92368205700012 62.1600638310001,5.91444555700008 62.1792995810002,5.88624555700005 62.1936093310001,5.85194555700014 62.1981908309999,5.68333655700019 62.1722183310002,5.48360905600003 62.184163831,5.4555545560001 62.184163831,5.42104555600014 62.178118331,5.38721830600008 62.1209635810001,5.42249980600002 62.1047183310001,5.46305455600003 62.095836331,5.51110955600006 62.0899993310001,5.54833655700014 62.0783273310001,5.49639980600017 62.0252635810001,5.46889105600013 62.006799831,5.46271855600008 62.0093723310001,5.4650540560001 62.0247593310001,5.46708180600018 62.0381183310002,5.44666355600009 62.0574908310001,5.24777255600009 62.1716638310002,5.19389105600004 62.2016638310001,5.15847255600016 62.2124908310001,5.08013655600018 62.1766635810001,5.07360905600007 62.1530543310001,5.09583655600011 62.110136331,5.11583655600009 62.1036093310001,5.18639080600013 62.1011093310001,5.20666355600008 62.0966633310001,5.27889080599999 62.0747183310002,5.39909955600012 62.018818331,5.22027255600005 61.9613908310002,5.18778205600012 61.9563818310002,5.14583655600001 61.9694093310002,5.1034725560001 61.9142273310002,5.1545815560001 61.8924993310001,5.28971855600008 61.9077723310001,5.32083655600013 61.9136093310001,5.39305455600015 61.9304183310001,5.43360955600002 61.9349993310001,5.53416355700006 61.9269363310001,5.78221855700002 61.9152723310002,5.83428155700022 61.9118813310001,5.87958805700009 61.9061728310001,5.83652730700004 61.9037183310001,5.80271805700005 61.9011908310002,5.76139080700011 61.8955543310001,5.72847255700015 61.8886093310001,5.75736355700013 61.8688813310001,5.80257255700013 61.8563813310001,5.90586355700003 61.862609331,5.94294555700009 61.8695183310002,6.21944555700009 61.8538813310001,6.34916355700011 61.8369363310002,6.38360930699997 61.831936331,6.42278155700012 61.8288903310001,6.50429980700017 61.8306905810002,6.52645455700008 61.8574903310002,6.54541830700009 61.873054331,6.5674998070001 61.879718331,6.60444555800018 61.8822183310002,6.65166355800011 61.884990331,6.68778180800018 61.8819453310001,6.76360905800004 61.868045331,6.73889105799998 61.8577728310001,6.71749980800001 61.8619363310002,6.68305455800004 61.8669453310002,6.65833655800014 61.8697183310001,6.62416355800008 61.8709638310001,6.58874555800003 61.8676363310001,6.55257255700013 61.8495725810001,6.54319055700012 61.8259633310002,6.51374555700011 61.8072183310002,6.46916355700017 61.8008273310002,6.40083655700005 61.8038908310002,6.34833655700004 61.811109331,6.32805455700003 61.8188818310001,6.29929980700012 61.8294363310001,6.25319080700012 61.8361093310002,6.23221830700015 61.8369363310002,6.061945557 61.8305543310001,5.98750005700009 61.8302728310002,5.74471830700014 61.8422183310001,5.70166355700007 61.868609331,5.67652730700007 61.8806905810001,5.5958365570001 61.8952728310001,5.41721830600005 61.911245331,5.35958180600016 61.9045815810001,5.28110930600008 61.8555543310002,5.06778180600003 61.7680543310001,4.98291805600013 61.739990831,4.96555455600003 61.719163581,4.93944555600018 61.6752093310001,4.97194555600015 61.632145331,4.99749955600009 61.627772331,5.11777255600003 61.6272183310001,5.19166355600015 61.6269363310001,5.23347255600015 61.6247183310001,5.11805741399996 61.6099911950002,5.1948365560001 61.607499331,5.23499955600016 61.6084993310002,5.27483655600008 61.6061633310002,5.2963365560002 61.6036633310001,5.32033655600014 61.598327331,5.33867255600012 61.5924813310002,5.34058155600013 61.586581831,5.28530955600013 61.5895363310001,5.33229055600015 61.592709331,5.2736093060002 61.5980543310002,5.20694555600016 61.5991638310001,5.15340005600018 61.588818331,5.21278155600004 61.5774993310001,5.24855455600016 61.568936331,5.27389005600014 61.5577723310002,5.25000005600003 61.5513818310001,5.14278180600002 61.5519363310001,5.13958180600014 61.5188453310001,5.18833655600019 61.4988813300002,5.45805455600004 61.4504093300001,5.56263655700008 61.4587453300001,5.5838908070001 61.4655543300001,5.62152730700001 61.4838183300001,5.6438908070001 61.4919453300001,5.68027255699997 61.4947183300002,5.71139080700004 61.4944453300001,5.7391635570001 61.4899993300002,5.76778155700009 61.47958133,5.79624555700008 61.4479818300001,5.76805455700008 61.4504093300001,5.62166355700009 61.4516638300001,5.53333655699998 61.4292998300002,5.33639080600011 61.4522183300002,5.18360930600005 61.4533273300001,5.07090005600014 61.4449908300001,4.96805455600008 61.4208273300001,4.94944555600011 61.4104093300002,5.0036093060001 61.3480543300001,5.04694555599997 61.3173543300002,5.07805455600004 61.3220813300002,5.12013655600009 61.3397183300002,5.14583655600001 61.3477723300001,5.16639055600018 61.3516633300001,5.25778155600011 61.3652723300001,5.40666355600018 61.37639033,5.44694555600012 61.3758273300002,5.59610955700015 61.3702813300001,5.62708155700005 61.3613093300002,5.56221830700014 61.3605453300002,5.52249980700009 61.3655543300002,5.4897183060001 61.37082733,5.45110905600018 61.3735998300001,5.41499980600014 61.37082733,5.17083655600015 61.3336093300001,4.95250005600008 61.2561093300002,4.99152730599997 61.2176363300001,5.01944555600016 61.2147183300001,5.08860955600011 61.2227723300002,5.11305455600012 61.22444533,5.13583655600002 61.2241633300002,5.20652730600017 61.2026363300002,5.24305455600017 61.18235433,5.21874555600004 61.1619453300001,5.19749980600005 61.16444533,5.16624555600004 61.1770818300002,5.12333655599997 61.1877728300001,5.09124555600005 61.1891638300001,5.04895455600013 61.1649543300002,5.11583655600009 61.1416633300001,5.15944555599998 61.1327723300002,5.27778180600006 61.1108363300002,5.32528180600008 61.0961093300002,5.3972185560001 61.0685993300002,5.40721830600023 61.0705453300001,5.46860930600008 61.0886093300001,5.50555455599999 61.10527233,5.52360930700002 61.1172183300001,5.55833655700013 61.13152733,5.74916355700009 61.1527723300002,5.96528155700008 61.1563903300002,6.23749955700015 61.1349903300001,6.31874555700023 61.1147183300002,6.3461095570002 61.11027233,6.42847255700013 61.11319033,6.50139080700018 61.1323543300001,6.53857255700012 61.2043183300001,6.52040955700011 61.2461993300002,6.59139080800003 61.2686093300001,6.71263655800016 61.39479033,6.69499955800018 61.3430543300001,6.63944555800009 61.2741638300001,6.62083655800012 61.2622183300001,6.58374555700016 61.2455543300001,6.56558155700003 61.2271183300001,6.57902730700016 61.2116635800001,6.72999980800012 61.1776363300002,6.77444555800014 61.1808273300001,6.81444555800005 61.18110933,6.84527255800003 61.1747183300002,6.906390558 61.1616633300001,6.91868155800017 61.1345093300001,6.93069080800012 61.1155543300002,6.96124555800014 61.1098543300001,7.14860955800009 61.1427723300002,7.27805455800024 61.1586093300002,7.35389080800013 61.1899905800001,7.297782058 61.2505453300001,7.27305455800007 61.2788815800002,7.27944555800002 61.3255543300001,7.30916355800008 61.36249933,7.32833655800016 61.3758273300002,7.42444555800023 61.4327813300001,7.45583655800016 61.4449993300001,7.56246355800005 61.4703363300002,7.52687255800009 61.45172733,7.47569080800014 61.4370815800001,7.45528180800005 61.4261093300001,7.36416355800014 61.3649995800001,7.30416355800008 61.2912453300002,7.35333655800014 61.21179958,7.37097255800006 61.1997183300002,7.40305455800012 61.1938813300002,7.42860905800012 61.18139083,7.31305455800015 61.1235998300002,7.17249980800005 61.1080543300002,7.08305455800013 61.1013908300002,7.05860905800006 61.0999998300002,7.02583655800009 61.1009728300001,6.99805455799998 61.0878363300001,7.01889055800018 61.0363813300001,7.0719455580001 60.9747183300001,7.10479080800008 60.9562453300001,7.1607635580001 60.9445723300002,7.167918058 60.9151363300001,7.16270905800013 60.90319083,7.15749955800004 60.89124533,7.1362455580001 60.8698543300001,7.11389105800004 60.8602728300001,7.10389105800022 60.85999083,7.11930955800017 60.8815183300002,7.12847255800017 60.9151995800001,7.00916355800024 61.0158273300002,6.95874555800003 61.07874533,6.83763655800004 61.1367998300002,6.81819105799997 61.1416638300001,6.6550000580001 61.1516638300001,6.59055455800012 61.15138183,6.51305455700015 61.0969363300001,6.40694555700009 61.0666638300002,6.3722183070002 61.0619453300002,6.32139080700006 61.0661093300002,6.26721805700009 61.0861728300001,6.24889080700012 61.09471833,6.11639080700019 61.1161093300001,5.92083655700009 61.1230543300001,5.8294455570001 61.1077728300002,5.79194555700013 61.1030543300002,5.72583655699998 61.0974998300001,5.62528205699999 61.0891638300002,5.47874555600015 61.0554093300001,5.4590270560002 61.0406908300001,5.41944555600008 61.0255543300001,5.29666355600006 61.0273543300002,5.26721805599999 61.0341638300001,5.24278180600015 61.0546453300001,5.169300056 61.06846383,5.12833655600014 61.0719363300001,5.10416355600006 61.07305433,5.05541805600006 61.06249983,5.01229080600007 61.0402725800002,5.00397255600012 60.9999995800002,4.98347255600004 60.9506905800002,5.04576355600005 60.8413093300001,5.07013655600019 60.8297183300001,5.10409980600014 60.82985433,5.11982705600002 60.8345633300001,5.11777255600003 60.8152725800002,5.14555455600015 60.8077813300001,5.25389080600007 60.8105543300001,5.3106908060002 60.8299905800001,5.32347255600013 60.85540933,5.34402730600016 60.8733273300001,5.46055455600009 60.8980453300001,5.53208155700008 60.8711093300002,5.50513655600008 60.8616638300001,5.47805455600013 60.8595818300001,5.43874555600024 60.8646543300001,5.37028205600018 60.8559728300001,5.35055455600002 60.8483273300001,5.23750005600016 60.7706183300001,5.25471830600014 60.7546453300001,5.32624555600023 60.73889033,5.36416355600016 60.72833633,5.40847255600011 60.6998633300001,5.43694555600013 60.65985433,5.42805455600012 60.6272183300001,5.35971830600005 60.6326363300001,5.33528205600004 60.64471833,5.32160005600008 60.66857283,5.30791855600012 60.69242733,5.28381830600006 60.7183995800002,5.21805455600003 60.7349908300001,5.10194555600003 60.7686093300002,5.00471830600003 60.8015273300001,4.93110955600002 60.80054533,5.02694555600021 60.74360933,5.08666355600019 60.7297183300002,5.11028180600005 60.7236093300001,5.13610905600001 60.7108273300001,5.16429655600007 60.67815233,5.21679855600024 60.6172913300002,5.17708205600013 60.6309638300001,5.13541830600008 60.6584635800001,5.09600955600024 60.6546453300002,5.19860930599998 60.5774995800001,5.24139080600003 60.5572183300001,5.26833655600018 60.55291833,5.31916355600009 60.5583273300001,5.36028180600016 60.56499058,5.53444555700008 60.6391635800001,5.56249955700014 60.6902723300001,5.62778180700025 60.71305433,5.66110930700017 60.70944533,5.70083655700006 60.6941633300002,5.71999955700005 60.6744363300002,5.71555455700013 60.4908273300001,5.70645455700003 60.45950933,5.63721830700013 60.4169453290002,5.60721805700018 60.4149908290001,5.52639080700015 60.4156183290002,5.48708180600011 60.4226363290001,5.45944555599999 60.43666383,5.39000005600025 60.47777283,5.36471830600004 60.4927725800001,5.3474998060002 60.5047183300002,5.31236355600004 60.52194533,5.28555455600014 60.5216638300001,5.25944555600012 60.5069453300001,5.23110905600015 60.4780543300002,5.24180455600015 60.4530543300001,5.25249955600003 60.42805433,5.20389080600017 60.3922183290002,5.14492730600011 60.3610363290002,5.16430930600006 60.2820815790002,5.31183655600012 60.2612453290001,5.22274555600006 60.2066905790002,5.30609955600011 60.189481329,5.36110930600006 60.146381579,5.40166355600019 60.1319453290001,5.41110930600013 60.1297183290001,5.45083655600018 60.179163329,5.54444555700007 60.2580453290003,5.62534555700012 60.3579183290001,5.72809055700014 60.3837453290001,5.7223895570001 60.3779188290002,5.71110905700004 60.3663908290001,5.67721830700003 60.359718329,5.63333655700012 60.3119453290003,5.54874555700025 60.1490905790001,5.57305455700003 60.1406903290002,5.60416355700005 60.1411093290002,5.64180905699999 60.1458273290001,5.68492705700015 60.0446543290001,5.70805455700008 60.0051363290001,5.74721830700008 59.986663579,5.75666355700014 59.9858363290002,5.80694555700006 60.0015183290001,5.85916355700016 60.0234635790002,5.87958205700011 60.0447183290001,5.88878155700013 60.0934498290002,5.89971855700014 60.1513813290001,5.98221855700007 60.2361093290002,6.12534555700017 60.241245329,6.15528180700016 60.272772579,6.18778180700002 60.3477725790002,6.22131855700019 60.4073543290001,6.25319080700012 60.3924273290002,6.28499955700016 60.3859633290002,6.30791855700005 60.3909723290002,6.34444555700014 60.407218329,6.37499980700011 60.419445329,6.46694555700014 60.44193633,6.56805455700004 60.4597183300001,6.59270930800005 60.44617258,6.62194555800005 60.4300633300001,6.6640275580001 60.4316633300002,6.68889055800008 60.4399903300001,6.81194555800016 60.4886093300001,6.87583655800006 60.5177725800001,6.89000005800011 60.5319453300002,6.90833655800009 60.5438813300001,6.95249980800003 60.5708273300001,6.97610955800002 60.5802723300002,7.00992705800019 60.5838093300001,6.97333655800009 60.54610933,6.97944555800001 60.5058273300001,7.10200905800008 60.49610933,7.07736355800017 60.4783273300002,7.04986355800014 60.4715273300002,7.01694555800003 60.4759638300001,6.97916355800015 60.4822183300001,6.93402730800017 60.4848543300001,6.83389080800009 60.4736093300002,6.79333655800002 60.4669453300002,6.77194555800008 60.4569363300001,6.74166355800008 60.4369453300002,6.6523635580001 60.3730543290002,6.61541805800016 60.3240183290001,6.57833655700006 60.2549995790001,6.53389055700018 60.1658363290001,6.52555455700002 60.1411093290002,6.52333655700016 60.120554329,6.52194555700004 60.0834638290001,6.50597255700001 60.1076363290002,6.50889105700008 60.1533273290002,6.53166355700012 60.2588905790002,6.58486355700006 60.3497183290001,6.60749980800011 60.3774905790001,6.63492730799999 60.4061093290001,6.60847255800013 60.4220818290001,6.56471805700016 60.4288908300001,6.52416355700024 60.4294453300001,6.50416355700008 60.4258273300001,6.47458180700011 60.416518329,6.3319455570001 60.3558273290002,6.20471830700012 60.2955543290001,6.07354555700022 60.1809995790001,6.10833655700009 60.1063818290001,6.03055455700013 60.0652728290001,6.00333655700013 60.0477728290001,5.98249980700007 60.0302725790002,5.95360930700008 60.0027725790001,5.979654557 59.970481829,5.9569455570001 59.9515183290002,5.89805455699997 59.9497183290001,5.87583655700018 59.9472183290001,5.82416355700008 59.9394363290001,5.77083655700005 59.9255543290001,5.73499980700001 59.909163579,5.70528180700018 59.8663905790002,5.69833655700018 59.832772579,5.79805455700006 59.7802723290002,5.84055455700019 59.766936329,5.98013655700009 59.7529183290001,6.04860930700005 59.761936329,6.10639080700003 59.7877725790001,6.12971855700016 59.8023633290001,6.16499980700007 59.8190183290001,6.20666355700018 59.8319363290001,6.30364405700021 59.8444723290001,6.06180930700015 59.7429183290002,5.94069105700009 59.736381829,5.89027255700017 59.7405543290001,5.81208180699997 59.7233273290001,5.74360930700004 59.6801363290002,5.67778180700014 59.668054329,5.56847255700018 59.6756183290001,5.54152730700002 59.6580543290001,5.52534555700015 59.6163815790001,5.53881805700024 59.5824908290002,5.5258365570001 59.5533273290002,5.51779980700002 59.5427635790001,5.49965455600017 59.5302728290001,5.45973655600011 59.5192183290001,5.45360955600012 59.548609329,5.46805455600003 59.5779138290002,5.48250005600011 59.6072183290001,5.50680005600003 59.6677728290002,5.51166355600009 59.7037453290001,5.48118180600011 59.7279093290002,5.43083655600009 59.6997183290002,5.30416355600011 59.623599829,5.17889080600008 59.5067995790002,5.18664555600009 59.4918905790001,5.20389055600015 59.4308273290002,5.28208155600004 59.350963328,5.38902730600023 59.2908273280001,5.46444555599999 59.2794453280001,5.48555455600007 59.2763813280001,5.5165273070001 59.2755543280001,5.53610955700009 59.2827723280001,5.57291855700015 59.3214543280002,5.57750005700012 59.3487408280001,5.58208205700021 59.3760273290002,5.60183655700007 59.3705903290001,5.61233655700005 59.352390579,5.62652730700017 59.3288815780001,5.68749980700022 59.308609328,5.85249980700019 59.3441635780001,5.85909980700006 59.3789543290001,5.79347255699997 59.4273543290001,5.77139105700013 59.429581829,5.73236355700004 59.4259728290002,5.70055455699998 59.4184728290001,5.66765605700004 59.4090643290002,5.71305455700008 59.4366633290001,5.80778155700017 59.4691633290001,5.89528155700003 59.476663329,6.12374555700012 59.486518329,6.14555355700014 59.4792998290002,5.98721830700003 59.4455453290001,5.94221830700013 59.4419363290001,5.90298180700017 59.4450635790002,5.88347255700012 59.4363815790001,5.88083655700018 59.4071453290001,5.94017255700015 59.3532273290002,6.08194555700015 59.4152723290001,6.10889080700014 59.4288905790002,6.12889080700006 59.439436329,6.15041855700014 59.4527723290001,6.16916355700016 59.4712453290002,6.22763655700015 59.534718329,6.25319105700015 59.5740273290002,6.42749980700012 59.5633273290002,6.46888905700018 59.555272829,6.44666355700014 59.5530543290001,6.41889080700008 59.546945329,6.39110930700008 59.5408363290002,6.23242730700008 59.5013183290001,6.21471805700008 59.4730543290001,6.10278180700004 59.407218329,6.07305455700009 59.3947183290002,6.03118180700017 59.373054329,6.01385455700017 59.3529818290001,5.99652730700001 59.3329093280001,6.12708155700011 59.2591633280001,6.25110930700021 59.2876363280002,6.28902730700014 59.3101363280002,6.32236355700007 59.320136328,6.37583655700007 59.3263813280002,6.40666355700006 59.3263813280002,6.45978905700008 59.3204813280001,6.42999980700017 59.3161093280001,6.4044455570002 59.317499828,6.36777255700008 59.3163818280003,6.33652730700015 59.3123543280001,6.31027255700013 59.3055453280002,6.16778180700004 59.2547183280001,6.14666355700012 59.2449908280001,6.06471830700013 59.2044363280001,6.00698180700016 59.149436328,5.95583655700017 59.1155543280001,5.89555455700008 59.0988818280001,5.87569080700001 59.0866635780001,5.86986355700014 59.0655543280002,5.93636355700011 59.0125993280002,5.96388155700004 59.0129363280001,5.96925005700012 58.9874318280001,5.97461830700007 58.9619273280002,6.03639080700003 58.9045093280001,6.09999980700007 58.966663578,6.12416355700009 58.9819453280001,6.16360930700012 58.9958273280002,6.21055455700002 59.0052723280001,6.37778180700008 59.033054328,6.39944555700021 59.0361093280002,6.50389055700003 59.0488813280002,6.61708055800023 59.0534633280002,6.58889105800017 59.0424998280001,6.48555455700011 59.0288818280001,6.40416355700012 59.0172183280002,6.2561093070002 58.9930453280001,6.21805455700013 58.9858363280001,6.19194555700005 58.9788818280001,6.11916355700009 58.9570093280001,6.09055455700013 58.9352725780001,6.05833655700019 58.8940273280001,6.07055455700021 58.8774905780001,6.10236355700005 58.859509328,6.13874555700011 58.8472183280002,6.17013655700021 58.8422183280001,6.20028155700021 58.842499328,6.22721805700019 58.8371453280001,6.16860930700011 58.8322183280001,6.13028205700004 58.8338818280002,6.11055455700011 58.8377728280001,6.06124555700001 58.857354328,6.00889080700017 58.8886093280001,5.93874555700023 58.9312453280002,5.88278180700019 58.9540273280001,5.84291830700022 58.9626363280001,5.81673655700018 58.9380183280001,5.79374555700002 58.9241728280001,5.74441805700019 58.9281998280002,5.70582755700019 58.941963828,5.71230930700023 58.9728815780001,5.55860905700013 59.0302728280001,5.54013655700004 58.9904093280001,5.55194555700012 58.9674995780001,5.55389055700016 58.909163328,5.54333655700015 58.874718328,5.51833655700005 58.8258273280001,5.46039055600005 58.7500543280001,5.50847255600002 58.667636328,5.62333655700013 58.5576363280001,5.64471830700001 58.5447183280001,5.75333655700018 58.488054328,5.77805455700025 58.4833273280001,5.85333655700015 58.4733273280001,5.89555455700008 58.4744453280001,5.93110955700007 58.4756903280002,5.96249955700011 58.4660363280001,5.96649255700009 58.4452578280002,5.96971805700014 58.4284728280002,5.97295705700009 58.419975828,5.978190557 58.4062453280001,5.99305455700011 58.3902725780001,6.01194555700016 58.3797183280001,6.14305455700014 58.3377723280001,6.22416355700005 58.3240273280001,6.28416355700006 58.3066633280001,6.34759055700016 58.2707813270002,6.36028180700004 58.2708273270002,6.61666355800003 58.258609327,6.75999955800017 58.2440183270002,6.68416355800014 58.2072183270002,6.61278180799997 58.1749995770002,6.58721830700006 58.1536093270001,6.57180455700012 58.137218327,6.55639055700004 58.120827327,6.5588905570001 58.0974993270001,6.60291830800014 58.0694363270002,6.72833655800014 58.064163577,6.7313910580001 58.1163903270001,6.78166355800016 58.1113813270001,6.90278180800021 58.0561093270001,6.93610930800014 58.0391635770001,7.00791830800006 57.9879183270002,7.04916355800015 57.9961093270002,7.07795455800004 58.0193363270002,7.15139055800017 58.047772327,7.22360955800008 58.043881327,7.25110930800008 58.0347183270001,7.36278155800017 58.0127723270001,7.48389080800018 58.0055543270001,7.52833655800004 58.008045327,7.55971830800007 58.0108273270001,7.62166355800014 58.0194363270001,7.66055455800011 58.0441633270002,7.80944555900015 58.0674993270001,7.93471830900017 58.0794363270002,8.12749980900003 58.098881577,8.15519105900006 58.140009327,8.21357255900011 58.1203453270001,8.24389105900013 58.1672183270001,8.24639105900002 58.1999993270001,8.40277255900014 58.2544363270001,8.51027255900016 58.2702723270002,8.69194555900009 58.3772183280001,8.71353655900009 58.417972578,8.71264555900007 58.441936328,8.73926356000021 58.4487453280001,8.79694556000015 58.4647183280001,8.83110931000016 58.480827328,8.95166356000004 58.573054328,8.99944556000008 58.599854328,9.03055456000016 58.607218328,9.06416356000005 58.6163903280001,9.18389081000015 58.6552815780001,9.33999981000022 58.7508273280001,9.3487095600002 58.7586903280002,9.40944556000005 58.8413813280001,9.50749981000013 58.891936328,9.60569081000011 58.9251363280002,9.69305456000012 58.9830543280002,9.68416356000023 59.0319453280001,9.62639106000012 59.0577818280001,9.55160006000017 59.114018328,9.61416356000001 59.1177723280001,9.78694556000016 59.0361093280002,9.82160931100003 59.0170635780001,9.82555456100016 59.0144453280001,9.8469455610001 58.991318328,9.83889056100008 58.9668723280001,9.87749956100004 58.9549903280002,9.95471831100014 58.9519453280001,10.025036561 58.9778363280001,10.0266635610001 59.0067363280001,10.1424995610001 59.0456903280001,10.1674270610001 59.0394363280001,10.1541635610001 59.0222183280002,10.2311093110002 59.0386093280001,10.3272185610001 59.205272328,10.3696545610001 59.2654813280001,10.4370815610002 59.2509723280001,10.459999811 59.245136328,10.515691061 59.3062453280002,10.4791635610002 59.4197183290001,10.4236093110002 59.4444453290002,10.3474998110002 59.4758273290001,10.2633365610002 59.5258363290002,10.245272561 59.5532543290002,10.2976365610001 59.5415183290001,10.3340273110001 59.5276363290001,10.3791635610001 59.5311725790001,10.397636561 59.5957635790001,10.380972561 59.6540905790002,10.3238908110001 59.6815183290001,10.3055090610002 59.6852638290001,10.2660365610001 59.6946453290002,10.2309005610001 59.729090329,10.2783365610001 59.7349993290001,10.3776365610001 59.7008273290001,10.4133270610001 59.667081829,10.4260365610001 59.5731183290001,10.4221545610001 59.5265273290001,10.4515273110001 59.5134725790001,10.4787455610001 59.5156903290002,10.513054561 59.5249903290002,10.5580545610001 59.543054329,10.589299811 59.5622183290001,10.6098635610001 59.591872579,10.6015275610002 59.6347183290001,10.5822183110001 59.6548543290002,10.5555725610001 59.6668908290001,10.5228455610002 59.6779183290001,10.4926365610002 59.7324995790002,10.4916635610001 59.763054329,10.492500061 59.7802908290001,10.4820820610001 59.7997183290001,10.473263561 59.8440903290001,10.4990273110001 59.8658273290001,10.5324995610001 59.875972329,10.5597183110001 59.8780543290001,10.5830545610001 59.8774903290001,10.6602725610001 59.8824993290002,10.6705545610001 59.8871633290001,10.6886093110001 59.9030453290002,10.7411815610001 59.8903453290001,10.760781561 59.8365723290001,10.7386455610001 59.8037728290002,10.6962455610002 59.7965273290002,10.6645820610001 59.8459728290001,10.6394455610001 59.8545815790001,10.6005545610001 59.8113815790001,10.5844455610002 59.7899905790001,10.5595815610002 59.724790329,10.6198995610001 59.6411093290001,10.639590561 59.6107093290001,10.6421635610001 59.5563273290001,10.6576365610001 59.5136093290001,10.6738905610001 59.4952813290001,10.6914635610001 59.4792633290002,10.6913905610002 59.464227329,10.6620818110001 59.4355815790001,10.6591635610002 59.3638815790001,10.764718311 59.2202725780002,10.797499561 59.1863813280002,10.9002725620002 59.1424903280002,10.9408365620002 59.164990328,11.0338908120001 59.125545328,11.064163562 59.1166633280002,11.203336562 59.1069453280001,11.2983365620001 59.113881328,11.3549273120002 59.106727328,11.3858270620001 59.0761093280001,11.4327725620001 58.9951363280001,11.4291906470001 58.9876370050001,11.4291904870001 58.9876372390002,11.4242793440001 58.9948339820001,11.4162703440002 59.0075549820002,11.4092030620002 59.0188618280001,11.401665344 59.0306399820001,11.3979718730002 59.0360709070001,11.3936555620002 59.0424183280001,11.3823485620001 59.0593788280001,11.371984062 59.0730418280002,11.361619344 59.0857619820001,11.3616190620002 59.0857623280002,11.347956062 59.0980113280002,11.3384437130001 59.1009381850002,11.3295823440001 59.1036649820001,11.3178043440001 59.105549983,11.3008435620001 59.1060208280002,11.2948512610002 59.105534933,11.2834115620002 59.1046073280001,11.2626823440001 59.101780982,11.2490193440001 59.0998959820002,11.245534779 59.0992951160002,11.2353565620001 59.0975403280002,11.2122710620001 59.0937713280001,11.188714614 59.0890600140002,11.1765339340001 59.0866013280001,11.15605276 59.0844825850002,11.1419278120001 59.0795388540002,11.1341590910001 59.0745951220001,11.1313341010002 59.0597639270001,11.1292153590002 59.0470514740002,11.1235653800001 59.0293952900001,11.1157966590001 59.0159765900001,11.1073216900001 59.0075016210001,11.0953154850001 58.9969079100001,11.0756855910001 58.9820830210002,11.0420757830001 58.9720000790001,11.0084659750001 58.9720000790001,10.9647732240001 58.9585561550002,10.9244414540001 58.9484732130002,10.8706657600001 58.9350292890002,10.8202510480002 58.9249463470002,10.7578055560001 58.913944444,10.6402777780002 58.8927777770001,10.5944444440002 58.761472221,10.450858163 58.681351949,10.146361111 58.5114444440002,10.1463610580001 58.5114443300002,10.030027778 58.2614444440001,9.38333333300017 57.9883333320001,8.88833333300011 57.6966666660002,8.45833333300004 57.6183333320001,7.98333333300008 57.498333332,6.93666666700011 57.1749999990001,5.03333333300003 56.5916666660002,3.25000000000006 56.0866666660001,2.61333333300013 56.5949999990002,1.96500000000003 57.9049999990002,1.48333333300013 58.4299999990001,1.71166666700003 59.2899999990001,2.0766666670001 59.8966666660001,1.79000000000008 61.356666666,1.56000000000006 61.7366666660001,1.17796111100023 62.2788694440001,1.14193333300017 62.3279777770001,1.10783611100015 62.3724999990001,1.07385000000005 62.4157444440002,1.03825000000023 62.4591166660002,1.00164444400014 62.502730555,0.963422222000077 62.5464694440001,0.9124388890001 62.6057638880001,0.858188889000076 62.6661083330001,0.791024999999991 62.7378638880002,0.641086111000163 62.8915249990001,0.558613889000071 62.9725166660002,0.470141667000064 63.0557527770001,-0.183141666999916 63.6362999990002,-0.302319443999977 63.7368972210002,-0.429805555999963 63.8408027770001,-0.48876388899987 63.8874805550001,-0.486727777999931 64.4331999990001,-0.103910214999928 64.6358319060001,-0.0974944489998393 64.6392278330001,-0.0577054489999114 64.6700618330001,0.809285552000119 65.1193223340002,0.812539380000032 65.1204841050001,0.816411823000237 65.121866616,0.94440476900013 65.1863150410001,1.08636305200008 65.2577953340002,1.38985755300013 65.3639678340001,1.53474208100022 65.4668050610001,1.71747970600006 65.596509763,1.72983776600012 65.6024904860001,1.74881805299998 65.6116758340002,2.08525826700009 65.8437713940002,2.30488852900004 65.9952846410002,2.31121286900003 65.9982471690002,2.31393271000007 66.0000913380001,3.26539129200006 66.4354461930001,3.27695033000009 66.4390797620001,3.27695055400011 66.439079835,3.30572433100008 66.4941903260001,3.33260779799997 66.5456799700001,3.34381861900005 66.6908025840002,3.34739105400013 66.7370463350002,3.37130559800016 66.782168433,3.39574167200016 66.8282743560001,3.34372362400012 66.890164369,3.27785198700013 67.0629709310001,3.12499255400007 67.4639803360001,3.16466255400024 68.0436663370001,3.16467428500005 68.0436880980002,3.16469725300016 68.0437302780001,3.16471176800002 68.0439405550001,3.18322527300018 68.0778942280002,3.18472065100008 68.099311097,3.43079425800016 68.5392393860001,3.50232305500009 68.6671178370002,3.55649010300016 68.7151697950002,4.10789564500004 69.2043251430002,4.64713230300015 69.5018129270002,5.08381251600002 69.858551721,5.15321855600007 69.9152518380002,5.22675555600017 69.9536803380003,5.2267556490001 69.9536804150002,5.23577505600002 69.9608618380001,5.89792316 70.2988978720001,5.94467123600015 70.3227634090002,6.15652210900009 70.481554192,6.27379950400007 70.569458299,6.93919208800008 70.888580307,6.95788030500012 70.9017706500001,7.04374955800017 70.9623778390002,8.08527055900009 71.4349553400002,8.78922328200014 71.6477099590001,8.97133482400017 71.702749209,8.97239777800019 71.703197543,8.97867706000017 71.7058458400001,9.2874299770001 71.7951491210002,9.93363780300012 71.9820570920001,10.1202894050001 72.0921343300002,10.2919598890001 72.173089528,10.2998111670001 72.1769663610001,10.3309559440001 72.19214275,10.3624192220001 72.2072624720001,10.3942005830001 72.2223249170002,10.4262995560001 72.2373295560001,10.4587157500001 72.252275778,10.4914486670001 72.267163,10.5244978330001 72.2819906390001,10.5578627220002 72.2967581390001,10.5915428610001 72.311464917,10.6255376390001 72.3261104169999,10.6598465560001 72.340694028,10.6944690280001 72.355215194,10.7294044170001 72.3696733330002,10.764652111 72.3840679170001,10.8002114720001 72.398398306,10.836081861 72.4126640000001,10.8722626110001 72.4268643610001,10.9087529720002 72.4409988890001,10.9455522500001 72.4550669720001,10.9826596940001 72.469068056,11.020074556 72.4830015830001,11.0577960830001 72.4968670000001,11.0958234170001 72.5106637499999,11.1341557500001 72.5243912220001,11.1727922780002 72.538048917,11.211732083 72.551636278,11.2509743330001 72.565152694,11.2905180830001 72.578597667,11.3303624170001 72.591970611,11.370506389 72.6052710000001,11.4109490280001 72.6184982780001,11.451689361 72.631651889,11.4927263330001 72.6447312780001,11.534058944 72.6577359170001,11.575686139 72.6706652780001,11.6176068610001 72.6835188060001,11.659819944 72.696295944,11.7023243330001 72.708996167,11.7451188610002 72.721618972,11.7882023610001 72.734163778,11.831573667 72.7466301110001,11.875231528 72.759017389,11.919174778 72.771325111,11.9634021110001 72.7835527220001,12.007912278 72.79569975,12.0527040000001 72.8077656670001,12.0977759170001 72.8197499170001,12.143126722 72.831652028,12.188755056 72.843471444,12.234659528 72.8552076939999,12.2808386940001 72.8668602500001,12.3272911940001 72.8784286110001,12.374015528 72.8899122780001,12.4210102500001 72.90131075,12.4682738610002 72.912623528,12.515804833 72.923850111,12.5636016390001 72.9349900280001,12.611662694 72.9460427500001,12.6599864440001 72.9570078330001,12.7085712780001 72.9678847500001,12.7574155560001 72.978673056,12.806517639 72.989372278,12.8558758330001 72.9999819170001,12.905488472 73.0105015000001,12.9553538330001 73.0209305560001,13.0054701669999 73.031268639,13.0558357220002 73.0415152780001,13.106448722 73.051670028,13.1573073610001 73.061732389,13.2015919170001 73.0703799720001,13.681992583 73.1625820830001,13.7338440280001 73.172352972,13.785934833 73.1820296110001,13.838263083 73.1916115000001,13.890826806 73.20109825,13.943624028 73.210489417,13.9966527780001 73.2197845830001,14.0499110280001 73.2289833060001,14.103396778 73.2380851670001,14.1571079170001 73.24708975,14.211042444 73.2559966390001,14.265198194 73.2648054170001,14.3195730830001 73.273515667,14.3741649720001 73.282127028,14.4289717220001 73.290639056,14.4839910830001 73.299051361,14.5392209440001 73.3073635830001,14.5946590280001 73.3155753330001,14.6503031110001 73.3236861670001,14.688745806 73.3292135560001,15.250181222 73.408379722,15.6348556940001 73.461357583,15.6435203060001 73.4625379170001,16.2138555830001 73.5390290280001,16.6082930280002 73.5906518330001,17.1080526940001 73.7015230830002,17.614360778 73.8112285280001,17.7413603890001 73.8383405280001,17.7926238060001 73.849177694,17.844163194 73.8599253890001,17.8959768330001 73.870583056,17.9480628889999 73.8811502780001,18.0004195830001 73.891626556,18.053045111 73.9020113889999,18.105937556 73.912304333,18.159095056 73.922504889,18.2125157500001 73.9326126110001,18.2661976390001 73.9426270280001,18.3201388330002 73.9525476670001,18.374337306 73.962374083,18.4287910829999 73.9721058060001,18.4834981110001 73.9817423890001,18.538456389 73.9912833890001,18.5611080280001 73.995175472,18.570389111 73.996765028,18.625708833 74.0061680830001,18.6812746940001 74.0154745000002,18.7370846110001 74.0246838060001,18.7931363609999 74.033795583,18.8494278330001 74.0428093890001,18.9059567780001 74.051724833,18.9627210000001 74.0605414440001,19.0197182220001 74.0692588610001,19.076946194 74.0778766390001,19.134402583 74.086394389,19.192085139 74.0948116670001,19.2499914720001 74.103128111,19.3081192500001 74.111343306,19.3664660560001 74.119456861,19.425029528 74.1274684170001,19.4838071940001 74.135377528,19.5427966110001 74.1431838890001,19.601995306 74.150887056,19.6614008060001 74.158486694,19.7210106110001 74.165982417,19.780822139 74.1733738889999,19.840832833 74.1806607500001,19.901040167 74.187842611,19.9614415000001 74.1949191670001,20.0220342219999 74.201890028,20.082815694 74.208754917,20.1437832500002 74.2155134440001,20.204934222 74.2221652780001,20.2662659170001 74.2287101389999,20.3277756110001 74.235147667,20.3894605830001 74.241477556,20.4513180280001 74.2476995000001,20.513345222 74.253813222,20.5755393609999 74.2598183610001,20.6378976390001 74.265714639,20.7004171940001 74.271501806,20.7630952220001 74.2771795279999,20.8259288330001 74.282747528,20.888915167 74.2882055560001,20.9520513060001 74.293553333,21.0153343330001 74.298790583,21.078761361 74.3039170560001,21.142329389 74.3089324720002,21.2060355 74.3138366390001,21.269876667 74.3186292500001,21.3338499440001 74.323310083,21.397952333 74.327878917,21.46218075 74.3323355280001,21.526532222 74.3366796670001,21.5910036940001 74.3409111390001,21.6555920560001 74.345029722,21.72029425 74.3490351940002,21.785107222 74.3529273890001,21.8500278609999 74.3567060830001,21.915053 74.3603710830001,21.9801795829999 74.36392225,21.983482639 74.364099167,22.0843613060001 74.369473528,22.1496340000002 74.3728755000001,22.2150008890001 74.376163194,22.2804587780001 74.3793364440002,22.3460045560001 74.3823951110001,22.4116349720001 74.3853390000002,22.4773468610001 74.3881679720001,22.543137028 74.390881889,22.6090022500001 74.3934806390001,22.6749393330001 74.395964056,22.7409450000001 74.3983320000002,22.8070160280001 74.4005844170001,22.8731491940001 74.4027211110001,22.9171170000001 74.404076639,23.0662304720001 74.414645361,23.130775667 74.4191351110001,23.1954456670001 74.423512361,23.260237444 74.4277768890001,23.3251478890001 74.4319284719999,23.3901738890001 74.435966917,23.455312361 74.439892,23.520560167 74.4437035560001,23.5859141670002 74.447401333,23.6513712500001 74.450985222,23.716928222 74.4544549720001,23.782581917 74.457810444,23.848329139 74.4610514720001,23.9141667220002 74.4641778890001,23.9800914440002 74.4671895000001,24.046100111 74.470086194,24.1121895000001 74.472867833,24.1783563330001 74.4755342220001,24.2445974440001 74.4780852500002,24.3109095000001 74.4805208060001,24.3772893060001 74.4828407500002,24.4437335830002 74.4850449720001,24.5102390280001 74.487133361,24.5768023890001 74.489105806,24.643420361 74.4909621940001,24.710089667 74.4927024170001,24.7768070000001 74.4943264440001,24.8435690560001 74.4958341390001,24.9103725000001 74.497225444,24.9772140560001 74.4985003060002,25.044090361 74.499658639,25.110998139 74.500700361,25.177934028 74.5016254720001,25.2448946940001 74.5024338610001,25.3118768330001 74.503125556,25.3788770830001 74.503700472,25.445892111 74.504158583,25.5129185560001 74.504499889,25.5799531110002 74.5047243890001,25.646992417 74.504832,25.7140331389999 74.504822778,25.7810719170001 74.504696722,25.8481054169999 74.504453806,25.9151302780001 74.5040940560001,25.9821431940001 74.5036175000001,26.049140806 74.5030241390001,26.116119778 74.5023140280001,26.1830767500001 74.501487194,26.250008417 74.5005436940002,26.316911444 74.499483556,26.3837825000001 74.4983068330001,26.45061825 74.497013611,26.4696815280001 74.4966232499999,27.1371385000002 74.481789694,27.8032808890002 74.464986889,28.467950083 74.446221278,28.852322278 74.4344531940001,28.9185828610002 74.432307639,28.984780889 74.4300463610001,29.0509131670001 74.4276695,29.116976361 74.4251771390001,29.182967306 74.4225694170001,29.2488827500001 74.4198465,29.3147194440001 74.4170085,29.3804742220001 74.4140555560001,29.446143861 74.410987806,29.5117251390001 74.4078054440001,29.577214917 74.4045085830001,29.6426099999999 74.401097444,29.7079072220001 74.3975721670001,29.773103444 74.3939329170001,29.838195528 74.3901799170001,29.9031803330001 74.3863133060001,29.9381060830001 74.384185583,30.558418194 74.345136306,30.6229172500002 74.340916667,30.6872966110001 74.3365843059999,30.751553222 74.3321394720001,30.815684028 74.327582389,30.8796860280001 74.3229132499999,30.9160032780001 74.320209667,30.9371643330001 74.318621778,31.0009456670001 74.313771389,31.064590361 74.308809583,31.1280954440001 74.303736611,31.1914579440001 74.298552722,31.254674889 74.2932581940001,31.3177434170001 74.2878532780001,31.3806606110001 74.2823382500001,31.443423556 74.276713389,31.5060293890001 74.270978917,31.5684752500001 74.2651351940001,31.6307583330001 74.2591824720001,31.6928757780001 74.2531210560001,31.7548248059999 74.2469512220001,31.8166026110001 74.2406733060001,31.878206472 74.2342875830001,31.939633611 74.2277943890001,32.0008812780001 74.2211940560001,32.0619468330001 74.2144868890001,32.1228275280001 74.2076731940001,32.1835206940001 74.2007533330001,32.244023722 74.1937276390001,32.3043339440002 74.186596444,32.3644487780001 74.1793601110001,32.4243656390001 74.172018972,32.484081944 74.1645734169999,32.5435951390002 74.1570237500001,32.602902694 74.1493703890001,32.6620021390001 74.1416136670001,32.7208909720001 74.133753972,32.779566722 74.125791694,32.838026944 74.117727194,32.8962692500001 74.1095608890001,32.9542912500001 74.1012931110001,33.0120905280001 74.092924306,33.06966475 74.0844548610001,33.1270115830001 74.0758851940001,33.18412875 74.0672156670001,33.241013944 74.0584467500001,33.2976648890001 74.0495788060001,33.354079389 74.0406122500002,33.4102551940001 74.0315475560001,33.4661901390001 74.0223851390001,33.521882056 74.013125389,33.577328778 74.0037687780001,33.6325282220001 73.9943157220001,33.6874782500001 73.984766667,33.706594194 73.9813989440001,33.742176806 73.9751220560002,33.7966218610001 73.965382361,33.8508113610001 73.955548,33.9047433330002 73.945619472,33.9584157780001 73.9355971670001,34.0118267500001 73.925481611,34.0649743330001 73.9152732500001,34.1178566110001 73.9049725560001,34.1704716940001 73.8945800000001,34.2228177500001 73.8840960280001,34.274892944 73.8735211670001,34.326695472 73.8628558610001,34.3782235280001 73.852100611,34.4294753610001 73.8412559170001,34.4804492780002 73.8303222500001,34.5311435280001 73.8193000830001,34.5815564440001 73.8081899720001,34.6316863610001 73.796992361,34.681531667 73.7857077779999,34.731090722 73.774336722,34.780361944 73.7628797220001,34.8293438060001 73.7513372500001,34.878034722 73.7397098330001,34.9264332220001 73.727998,34.9745378059999 73.71620225,35.0223470000001 73.704323111,35.04284175 73.699182556,35.455634333 73.5943146670001,35.6132245000001 73.565119472,35.6660118610001 73.555233833,35.71854825 73.545254583,35.7708317780002 73.535182194,35.8228605280001 73.5250171110001,35.874632694 73.5147597780001,35.926146389 73.5044106670001,35.9773998330001 73.493970278,36.028391194 73.483439056,36.07911875 73.4728175000001,36.1295806940001 73.462106056,36.179775361 73.451305222,36.2297010280001 73.4404155,36.279356 73.429437333,36.328738667 73.41837125,36.3778473610001 73.4072177220002,36.4266805000001 73.39597725,36.4752365000001 73.3846503330001,36.47622092 73.38441786),(25.6158365750002 71.1072093390001,25.5834275750001 71.0924903390001,25.5111095750001 71.0899993390001,25.3905545750001 71.0824903390002,25.3341635750001 71.0761093390001,25.3173635750001 71.071799339,25.2944455750001 71.0422183390001,25.2895095750002 71.017345339,25.3074995750001 71.008045339,25.3433275750002 71.0060993390002,25.3699995750001 71.0102723390001,25.3944455750002 71.0160993390002,25.4347185750001 71.0222183390002,25.4627725750001 71.0252723390003,25.531390575 71.018599339,25.5483365750001 71.015827339,25.5602725750002 71.0097093390001,25.5497185750002 71.0033273390001,25.5216635750001 71.0002723390002,25.4411095750001 70.9880543390001,25.4277725750001 70.9858273390001,25.4166635750001 70.9822093390001,25.522772575 70.9317993390002,25.5388905750001 70.9260993390002,25.5519365750002 70.9238723390001,25.5852815750002 70.9222093390002,25.5999995750001 70.9233273390001,25.6133275750001 70.925281339,25.6255545750001 70.9280543390001,25.7205545750001 70.9552723390001,25.8430545750001 70.963045339,25.9038905750002 70.9613813390001,25.9197185760002 70.961654339,26.0716635760002 70.971663339,26.0838815760001 70.9744453390002,26.1769365760001 70.9985993390001,26.2002725760002 71.0052633390001,26.2112455760001 71.013736339,26.2170815760001 71.0371363390001,26.1972185760001 71.0449993390002,26.181109576 71.0447093390002,26.1674995760002 71.0427723390001,26.1430545760001 71.0372183390001,26.109718576 71.0258363390002,26.0999995760001 71.0213813390002,26.091390576 71.015827339,26.0780545760001 71.004163339,26.068336576 70.9997093390001,26.0561095760002 70.9966543390001,26.0241635760001 70.9963813390001,25.956663576 70.9980453390001,25.9397185760001 71.0008273390001,25.9283365760002 71.0044363390001,25.9241635760002 71.0513723390001,25.9622185760001 71.059154339,26.0113905760001 71.070545339,26.0224995760001 71.074436339,26.0322185760002 71.0788903390002,26.042981576 71.0887453390001,26.0380545760002 71.1052723390001,26.0238905760002 71.1163903390002,26.0036095760002 71.1202723390002,25.988890576 71.1191543390001,25.9791635760001 71.114718339,25.9461095760001 71.1055453390001,25.9036095750002 71.0938903390002,25.8865275750001 71.0909633390001,25.8280545750002 71.0985993390002,25.796663575 71.123045339,25.8036095750001 71.1505543390001,25.784718575 71.1547093390001,25.6736095750002 71.1383183390001,25.6158365750002 71.1072093390001),(24.2224995740001 70.9947183390001,24.078609574 71.0222183390002,24.0627725740001 71.0238813390001,23.9886095740001 71.0269273390001,23.9738905740001 71.0258363390002,23.9341635740001 71.019436339,23.923336574 71.0155453390001,23.8801365740001 70.9908273390001,23.9094455740002 70.9508183390001,24.0263905740001 70.9105543390002,24.0461095740002 70.908327339,24.0619455740001 70.9088723390001,24.0922185740001 70.912490339,24.1677725740001 70.925827339,24.243890574 70.9519363390001,24.2224995740001 70.9947183390001),(24.7374995740001 71.0280453390002,24.768890574 71.0222183390002,24.7994455740002 71.0238813390001,24.8112455740001 71.030409339,24.8474995750001 71.0738633390001,24.8511095750001 71.0916453390002,24.7705545740001 71.1038813390001,24.753327574 71.1044273390002,24.7386095740001 71.1030453390002,24.7263905740001 71.0999903390002,24.6445815740001 71.0697093390001,24.6399995740001 71.0583273390002,24.651527574 71.0494273390001,24.6677725740001 71.0438813390001,24.7374995740001 71.0280453390002),(23.339581573 70.7958273390002,23.3441635730001 70.7863723390002,23.2986095730002 70.7702633390001,23.2827725730001 70.7719453390002,23.1599995730001 70.7886093390002,23.1063905730002 70.7341633390001,22.9922185730001 70.6616543390002,22.9805545730001 70.658599339,22.9636095730001 70.6588723390002,22.944999573 70.6666543390002,22.8965275730001 70.6915183390002,22.8644365730002 70.7288813390001,22.7836095730001 70.7552633390001,22.7185365730001 70.739572339,22.7292995730002 70.7248543390001,22.762218573 70.7060993390002,22.7959725730001 70.692909339,22.828327573 70.6466543390002,22.8194455730002 70.6419363390001,22.805272573 70.6405453390001,22.7077725730002 70.6358183390001,22.6244455720001 70.6347183390001,22.6015275720002 70.6377633390002,22.5933365720001 70.6472183390002,22.6116635720002 70.6597183390001,22.659854572 70.6779813390002,22.6177725720001 70.6933273390001,22.5508275720001 70.7094453390001,22.533881572 70.7119273390001,22.5208365720002 70.7119273390001,22.3991635720001 70.7116543390001,22.384027572 70.7056903390001,22.3730545720001 70.6908273390001,22.3780545720002 70.675281339,22.2724455720002 70.6528813390001,22.2102725720001 70.6460453390001,22.1744455720001 70.6448813390001,22.163445572 70.6455453390001,22.1481095720001 70.6527093390001,21.9774995720002 70.657481339,21.9567995720002 70.654999339,21.9505545720002 70.6434633390002,22.0147185720002 70.604427339,22.0844455720002 70.596099339,22.0958365720001 70.5991543390001,22.1424455720001 70.5928813390001,22.2263545720002 70.5990453390001,22.2633995720001 70.5931723390001,22.2522185720001 70.5544453390001,22.2258275720001 70.5399903390001,22.1648635720001 70.5216543390001,22.1552815720001 70.5124993390001,22.1384725720002 70.4755453390001,22.1448545720001 70.4662363390001,22.1638905720001 70.463609339,22.2499995720001 70.5060993390001,22.2941635720002 70.4969363390001,22.3094455720002 70.491381339,22.3249995720001 70.489990339,22.340554572 70.490263339,22.4513815720002 70.4944273390001,22.4655545720001 70.4958183390002,22.621109572 70.515272339,22.633190572 70.5224903390002,22.630272572 70.5408363390001,22.6287455720001 70.5597093390001,22.6408275720001 70.5655543390001,22.7319455730001 70.5597093390001,22.7463905730002 70.556654339,22.7698635730002 70.5435993390001,22.764854573 70.5236723390001,22.7841635730002 70.5197183390002,22.8988905730002 70.536099339,23.0888905730001 70.5810993390001,23.1808275730002 70.6508363390002,23.300827573 70.7088813390001,23.3736095730002 70.7360993390001,23.3869455730002 70.7341633390001,23.3999995730001 70.7363723390001,23.4516635730001 70.783599339,23.4411095730001 70.8122093390001,23.3774995730002 70.8536093390002,23.3680545730001 70.8574993390002,23.3563905730001 70.8608273390002,23.3430545730002 70.8630543390001,23.3299995730002 70.8630543390001,23.3161095730001 70.8569363390001,23.322081573 70.8145723390001,23.339581573 70.7958273390002),(23.6888905730002 70.739718339,23.6334725730002 70.693463339,23.7077095730001 70.5490183390001,23.7274995730001 70.5347183390002,23.7533365730002 70.5206903390001,23.7713815740001 70.5160993390002,23.8049995740002 70.5130453390001,23.8399995740002 70.5113813390001,23.8711095740001 70.5122093390001,23.8997185740001 70.5147093390001,23.9397185740002 70.5202633390002,23.9527725740002 70.5224903390002,24.1055545740002 70.5872183390001,24.1149995740001 70.5922093390001,24.1222185740002 70.6013813390001,24.1238905740001 70.6176273390001,24.039999574 70.6819273390001,24.0308275740002 70.6860993390002,23.9736095740001 70.702499339,23.8369365740002 70.7413813390002,23.8263815740002 70.7441543390001,23.8080545740001 70.745272339,23.7399995730001 70.7472093390001,23.7026365730001 70.7459633390002,23.6888905730002 70.739718339),(23.4877815730002 70.6197183390001,23.4683275730001 70.6216543390001,23.4033275730001 70.6216543390001,23.387981573 70.6165903390001,23.400836573 70.6016543390001,23.4066635730001 70.5552633390001,23.2572185730001 70.5337453390001,23.2355545730002 70.543609339,23.2238905730002 70.5472093390002,23.2044455730002 70.5491633390002,23.189999573 70.5477723390001,23.1786095730001 70.5447093390001,22.9063905730001 70.452209339,22.8961095730002 70.4483183390001,22.8511095730001 70.4058183390002,23.087354573 70.286936339,23.1202815730001 70.2788813390001,23.1563905730001 70.2744273390001,23.2177815730001 70.2761093390002,23.2305545730002 70.2783183390002,23.3452725730002 70.3088813390002,23.5397185730001 70.389436339,23.6438905730002 70.438327339,23.656945573 70.4511093390001,23.6594455730001 70.4624903390002,23.6530545730002 70.5013903390002,23.593890573 70.5805543390001,23.5386095730001 70.6119363390002,23.4877815730002 70.6197183390001),(22.9480545730002 70.3191543390002,22.906945573 70.323045339,22.8913905730001 70.3224903390001,22.8347185730001 70.3322183390002,22.6980545730001 70.3610993390002,22.6933365720001 70.3766633390002,22.6844455720002 70.388736339,22.664445572 70.3913903390001,22.4863815720001 70.3763903390001,22.4722185720001 70.3749813390001,22.3794455720002 70.3460993390001,22.3705545720001 70.332072339,22.4191635720001 70.2997093390001,22.437772572 70.2919273390002,22.4686095720001 70.2866543390002,22.5733275720002 70.269163339,22.6388815720002 70.2622093390002,22.7788905730001 70.2485993390001,22.7955545730001 70.2483183390001,22.8416635730001 70.249709339,22.8697185730002 70.2524903390001,22.922218573 70.249709339,22.9761095730001 70.245818339,23.0091635730002 70.2494363390002,23.0206185730001 70.2576993390002,23.0136095730002 70.2741543390001,22.9480545730002 70.3191543390002),(21.7358365720001 70.3866543390001,21.7202725720002 70.3880453390001,21.7020815720002 70.3842993390001,21.6863905720001 70.3358273390002,21.6841635720002 70.3191543390002,21.691109572 70.298327339,21.6972185720001 70.2886093390001,21.7141635720002 70.2697183390001,21.732218572 70.2613813390002,21.7502725720001 70.2602723390001,21.776390572 70.269436339,21.8297185720001 70.3208273390001,21.8430545720002 70.3369363390001,21.8413905720002 70.3502633390002,21.8319455720001 70.3541543390001,21.747772572 70.3833273390002,21.7358365720001 70.3866543390001),(19.5799995700002 70.2669363390001,19.5359725700001 70.2455453390002,19.5452725700001 70.2333183390001,19.56944557 70.2269453390002,19.62778157 70.2161093390002,19.63999957 70.2127723390001,19.6591635700001 70.2055543390001,19.6808275700002 70.193054339,19.7069455700001 70.1758273390002,19.7499275700002 70.1298543390001,19.7479185700001 70.1141543390001,19.7469455700002 70.094436339,19.7511815700002 70.0797813380001,19.76999957 70.0652723380001,19.78444557 70.0624813380001,19.8024995700001 70.0616633380001,19.83416357 70.0624813380001,19.9152725700001 70.054990338,19.9322185700001 70.0524903380002,19.9883275700001 70.0580453380001,20.0144455700002 70.0619363380001,20.1127815700002 70.1047183390001,20.1197185700001 70.1180453390002,20.0688815700001 70.1249813390001,19.9844455700001 70.141936339,19.8463815700002 70.1730453390001,19.7966635700002 70.1944453390002,19.7901365700002 70.2070723390001,19.6833275700001 70.2838723390002,19.6736095700001 70.2877633390001,19.59082757 70.2702633390001,19.5799995700002 70.2669363390001),(20.4674995700001 70.0591543380002,20.4994455700001 70.0574903380002,20.5158275700002 70.0574903380002,20.5269455700002 70.0605453380001,20.5627725710002 70.076381338,20.6094455710002 70.0422183380001,20.6505545710002 70.0466633380001,20.7383275710001 70.0544453380001,20.7838815710002 70.0563813380001,20.7947185710001 70.0597093380001,20.8322185710001 70.196654339,20.8201365710001 70.2109633390002,20.8072185710001 70.216936339,20.7788905710002 70.2283363390002,20.7669455710001 70.2313813390001,20.7524995710001 70.234163339,20.7163905710001 70.236372339,20.6847185710002 70.2358273390001,20.5777725710001 70.2311093390001,20.554163571 70.225554339,20.4266635700001 70.1812453390002,20.4069455700001 70.1585993390001,20.4011095700002 70.1463813390001,20.3855545700001 70.101654339,20.38944557 70.0886093380001,20.3983275700002 70.0791633380001,20.4244455700001 70.0674903380001,20.4361095700001 70.0641633380002,20.4505545700002 70.0613813380002,20.4674995700001 70.0591543380002),(20.8077815710002 70.0427723380001,20.7940275710001 70.036372338,20.7774995710002 70.0216543380001,20.7595815710002 69.9988813380001,20.7587455710001 69.9874903380001,20.7727815710001 69.970827338,20.7999995710002 69.9461093380002,20.8238905710001 69.9374813380002,20.8391635710001 69.9358183380001,20.8722185710002 69.9355453380001,20.8872185710001 69.9360993380001,20.928336571 69.9408273380001,20.9527725710002 69.945545338,21.1002725710001 70.0070723380001,21.0434725710002 70.005463338,20.9474995710002 70.0018363380001,20.8925635710001 70.0308183380001,20.8380545710002 70.0441543380002,20.8213905710002 70.0441543380002,20.8077815710002 70.0427723380001),(19.8336095700002 69.9985993380002,19.8144455700001 70.0005453380001,19.79805457 70.0005453380001,19.5408365700001 69.8924903380002,19.5222185700001 69.884154338,19.4617995690001 69.8467993380001,19.4738905700001 69.8397183380001,19.5672185700001 69.8516543380002,19.7274995700001 69.862490338,19.7724995700002 69.8647183380002,19.78736357 69.8705453380001,19.89548157 69.9654093380001,19.8647185700002 69.9880543380001,19.8455545700002 69.9955453380001,19.8336095700002 69.9985993380002),(19.69083657 69.9972183380002,19.6780545700001 70.0086093380001,19.6613905700002 70.0163903380002,19.6519455700001 70.0202633380002,19.5616635700002 70.0480453380001,19.5472185700002 70.0508273380002,19.52777257 70.0524903380002,19.5127725700001 70.0519363380001,19.4991635700001 70.0502813380002,19.4869455700001 70.0477723380001,19.449445569 70.0313903380001,19.4187455690001 70.0158273380001,19.4120815690001 70.0042993380002,19.4224995690001 69.9895813380001,19.4086095690002 69.9860993380001,19.3941635690001 69.9888723380001,19.363054569 69.9994363380002,19.3341635690001 70.0105453380001,19.2970815690002 70.0283273380002,19.2901365690002 70.0438813380002,19.3016635690002 70.0599993380002,19.2313905690002 70.0930453390001,19.2191635690001 70.0963723390002,19.1574995690001 70.0844453380002,19.1111095690001 70.0599993380002,19.0544455690001 70.0202633380002,19.0099995690002 70.0272183380001,18.9463905690001 70.0277723380001,18.8769455690002 70.0202633380002,18.855554569 70.0136093380001,18.8355545690001 70.0060993380001,18.7230545690001 69.9411723380002,18.7344455690001 69.9229093380001,18.7574995690001 69.9136093380002,18.769445569 69.9102633380001,18.848890569 69.8930543380001,18.8880545690001 69.8847183380001,18.9313905690001 69.8766633380002,18.9552725690001 69.8702723380002,19.032218569 69.8411093380001,19.0416635690001 69.8372183380002,19.0642995690002 69.8222093380002,19.0899995690002 69.7949993380001,19.0997185690001 69.7913813380001,19.1188905690001 69.7894453380002,19.1349995690001 69.7894453380002,19.1797185690001 69.7919273380002,19.2877725690001 69.8049903380001,19.3494455690001 69.816372338,19.3949995690002 69.827772338,19.4111095690001 69.8355363380001,19.5094455700001 69.9022183380002,19.6840275700001 69.979163338,19.69083657 69.9972183380002),(18.8044455690001 69.8827633380002,18.693054569 69.8844273380001,18.668054569 69.8752723380002,18.6606905690001 69.8637363380001,18.6859725690002 69.8294363380002,18.734163569 69.8083183380001,18.7533275690001 69.801099338,18.7663905690002 69.7655453380001,18.755836569 69.6848543380002,18.7394365690002 69.6802633380001,18.7216635690001 69.6811093380001,18.7097185690001 69.6841543380002,18.6705545690002 69.7033273380001,18.6561095690001 69.7113813380001,18.6476365690002 69.7238723380001,18.6344455690002 69.763318338,18.4819455690001 69.7608183380001,18.3994365690001 69.7911093380002,18.3872185680002 69.7944363380001,18.3530545680002 69.7860993380001,18.3281905680001 69.7766543380002,18.3231905680001 69.7655453380001,18.3480545680002 69.7254093380001,18.3636095680001 69.7202723380002,18.436390569 69.7141543380001,18.4838905690002 69.714999338,18.5222185690001 69.7116543380002,18.6108365690002 69.7019363380001,18.6268725690001 69.6926993380002,18.5891635690002 69.6919363380001,18.3961095680001 69.6999993380001,18.3144995680001 69.7033813380001,18.298336568 69.705272338,18.1972185680001 69.708881338,18.1865275680001 69.7038813380001,18.2799995680002 69.6358183380001,18.2686095680001 69.6191543380001,18.162772568 69.6386093380001,18.1463815680001 69.6386093380001,18.0319455680001 69.6222093380001,17.9997905680002 69.5904093380001,18.025836568 69.5719273380001,18.045272568 69.5647093380002,18.1597185680001 69.5347183380001,18.1905545680001 69.5299993380001,18.2266635680001 69.529709338,18.241390568 69.5305453380001,18.3441635680001 69.5366543380001,18.397218568 69.5433183380001,18.409163569 69.5458183380001,18.5372185690001 69.556109338,18.6108365690002 69.560272338,18.7044455690001 69.5586093380001,18.7236095690002 69.556927338,18.7383275690001 69.5577723380001,18.7622185690001 69.5627723380001,18.7830545690002 69.569154338,18.8463815690001 69.6011093380001,18.8238905690001 69.6245813380001,18.8061095690001 69.6294363380002,18.7897185690002 69.6294363380002,18.770972569 69.6340903380001,18.774581569 69.6504183380002,18.794163569 69.6719363380001,18.8899995690001 69.6919363380001,18.9124995690001 69.6974903380001,18.9336095690001 69.7041633380001,19.0180545690001 69.7363723380002,19.044163569 69.7497093380001,19.059718569 69.7594273380002,19.064718569 69.7688723380001,19.057781569 69.7872183380001,19.0436095690002 69.801099338,19.0149995690001 69.8177633380002,18.9958275690001 69.8249993380001,18.8336095690001 69.877490338,18.821390569 69.8805543380001,18.8044455690001 69.8827633380002),(18.933754569 69.6859813380001,18.920809569 69.623872338,18.9560095690002 69.639918338,19.0258815690001 69.7072093380001,18.933754569 69.6859813380001),(17.8441635680001 69.5891543380002,17.6624995680001 69.5974903380002,17.6520815680001 69.5913813380002,17.6686095680001 69.546390338,17.695554568 69.5167993380002,17.6861095680001 69.509154338,17.636609568 69.5160453380001,17.6169455680002 69.5282183380002,17.5944455680001 69.5507183380002,17.5677725680002 69.5644363380001,17.5533365680001 69.5727723380001,17.5386095680002 69.5808273380002,17.5288905680002 69.5844453380001,17.4852725680001 69.5977633380002,17.4691635680002 69.5977633380002,17.4592995680001 69.5676273380002,17.473609568 69.5405453380001,17.485836568 69.5374903380001,17.5024995680001 69.5352633380001,17.5199995680002 69.5347183380001,17.5526635680002 69.5159993380001,17.561499568 69.5111633380001,17.6060365680002 69.4742813380001,17.5899995680002 69.4552723380001,17.5719455680001 69.4626273380001,17.5454185680001 69.4848453380001,17.457218568 69.512209338,17.4141635680002 69.5199903380001,17.3397185680001 69.5322093380001,17.3236095670001 69.5319363380001,17.3052725670001 69.524509338,17.3436095680001 69.5010993380002,17.3612185680001 69.4781093380001,17.3133275670002 69.4605363380001,17.2958275670002 69.4613813380002,17.2838815670002 69.4644273380001,17.2541635670001 69.4834633380001,17.2247185670001 69.4972093380001,17.2127725670002 69.5002723380002,17.1966635670001 69.4999993380001,17.1866635670002 69.4937453380001,17.2379185670001 69.4536093380001,17.2611095670001 69.4444453380001,17.319999567 69.4369363380002,17.3856905680001 69.4338543380001,17.4062725680001 69.4360993380002,17.4530545680001 69.4352723380001,17.4816635680001 69.4302633380001,17.4908275680002 69.4242993380001,17.480827568 69.4197093380001,17.3899995680001 69.4124903380001,17.2911095670001 69.4074813380002,17.2030545670001 69.4041633380001,17.0438275670001 69.3988183380002,16.9351365670001 69.394572338,16.8754185670002 69.358190338,16.890554567 69.3536093380001,16.909445567 69.351945338,16.963336567 69.349154338,16.977772567 69.3502633380001,17.018190567 69.344654338,17.0302725670002 69.3487363380001,17.0442725670002 69.349154338,17.077609567 69.3452363380001,17.0891095670001 69.3426543380001,17.0987095670002 69.3150813380001,17.0836275670002 69.314827338,17.0144455670002 69.3135993380002,16.9280545670002 69.314990338,16.9133275670001 69.3138903380001,16.8990275670001 69.3083273380001,16.9004095670001 69.2976273380001,16.9136095670002 69.292218338,17.0392725670002 69.268490338,17.0703185670001 69.2758633380002,17.1427725670002 69.2494363380001,17.1220815670001 69.229436338,17.1083275670002 69.223599338,17.0722185670002 69.2255543380002,17.0391635670002 69.2297183380001,17.001390567 69.2327723380002,16.9405545670001 69.2305453380001,16.9116635670001 69.2283363380001,16.8858275670001 69.2249903380001,16.8758275670001 69.221372338,16.9402815670001 69.1947183380001,17.0324995670001 69.1811093380002,17.069999567 69.178054338,17.0858275670001 69.178327338,17.111945567 69.181927338,17.123336567 69.1844363380001,17.1536095670001 69.1947183380001,17.169445567 69.1965273380001,17.1647185670002 69.187490338,17.1412455670001 69.1734723380001,17.004445567 69.1299903380001,16.9191635670002 69.1227723380001,16.8299995670001 69.1186093380001,16.814163567 69.118327338,16.7970815670001 69.1142993380001,16.7751365670002 69.0995813380001,16.7674995670001 69.090272338,16.7740275670001 69.0670813380002,16.8116635670002 69.0497093380001,16.889163567 69.051372338,16.9005545670002 69.054154338,16.9561095670002 69.0677633380002,17.1097185670001 69.0810993380001,17.1261095670001 69.0788903380001,17.135827567 69.0724903380001,17.1288905670002 69.0647093380001,17.0822185670002 69.0494363380001,17.0388185670001 69.0209633380002,17.041945567 69.006945337,17.045554567 69.003327337,17.0927815670001 69.0035993370001,17.1672185670001 69.0160993380001,17.2056905670001 69.0259633380002,17.2142995670001 69.0363723380001,17.2016635670001 69.0444363380001,17.182363567 69.0435993380001,17.1641635670001 69.0456813380001,17.1656905670002 69.0574903380002,17.173336567 69.0666633380001,17.1947185670001 69.0819363380001,17.2119365670001 69.090272338,17.4069455680001 69.161654338,17.5222185680001 69.1902723380002,17.583881568 69.1569363380001,17.8624995680001 69.1627633380001,17.9013905680001 69.1680453380002,17.9991635680002 69.188190338,18.0020815680001 69.1984633380002,17.981109568 69.2013813380001,17.9680545680002 69.1997093380001,17.9522185680001 69.1994363380001,17.8758275680001 69.2397183380002,17.9067995680002 69.318736338,17.9174995680002 69.3255453380001,17.9572185680001 69.3405453380002,17.9688905680001 69.3430453380001,18.0563905680002 69.3483273380002,18.0869365680001 69.3494453380001,18.0999275680001 69.3595093380001,18.0851365680001 69.4188813380002,18.074163568 69.4308273380001,17.9644455680002 69.5230363380002,17.8597185680001 69.5840183380001,17.8441635680001 69.5891543380002),(17.3888815680002 69.0563813380001,17.3602725680002 69.036099338,17.3527725680001 69.0241543380001,17.3563185680001 68.9934633370001,17.3727725680001 68.9847093370002,17.4169455680001 68.9958183370001,17.4427725680001 69.0083273370001,17.5263905680001 69.0499903380001,17.5626365680001 69.0923543380002,17.4145815680001 69.0735993380001,17.3888815680002 69.0563813380001),(16.3299995670002 68.9908273370001,16.3127725670001 68.9913813370001,16.2983365670001 68.9902633370002,16.2844455670001 68.984718337,16.2630545670002 68.9699903370002,16.2676365670002 68.959436337,16.3761095670001 68.9066633370002,16.4188905670002 68.8935993370002,16.4916635670002 68.8819453370002,16.5080545670001 68.879990337,16.521381567 68.8794363370002,16.5372185670001 68.8797183370001,16.5627725670001 68.8833273370001,16.5890275670001 68.889990337,16.6072185670002 68.9352723370001,16.5980545670001 68.9476273370001,16.5724995670001 68.961654337,16.5627725670001 68.9652723370001,16.5486095670001 68.9677723370002,16.3299995670002 68.9908273370001),(17.0808275670001 68.901109337,17.1942995670001 68.7952723370001,17.2097185670001 68.7905453370001,17.226109567 68.7886093370002,17.241663567 68.7886093370002,17.2544455670001 68.7905453370001,17.308327567 68.804990337,17.417363568 68.8470723370001,17.4361095680002 68.8626273370002,17.431663568 68.8726273370001,17.3644365680001 68.9066633370002,17.354999568 68.9099903370001,17.3313905680002 68.9163813370001,17.2966635670001 68.9197093370001,17.1005545670001 68.9188813370002,17.0872185670001 68.9127633370001,17.0808275670001 68.901109337),(17.0130545670002 68.8527633370001,17.0005545670001 68.8544273370001,16.9877815670002 68.8527633370001,16.9708365670001 68.8441633370001,16.8394455670002 68.765545337,16.8133275670002 68.7255453370001,16.8252725670001 68.7197093370001,16.9338905670001 68.7391633370002,16.9591635670002 68.7427633370001,17.0144455670002 68.7474993370001,17.0299995670001 68.7474993370001,17.0824995670001 68.7447183370001,17.095272567 68.7463813370002,17.1163905670001 68.7524903370001,17.1446545670001 68.7684633370001,17.0130545670002 68.8527633370001),(16.4363905670001 68.847490337,16.3547185670001 68.8572093370002,16.2041635660001 68.8552723370001,16.1788905660002 68.8516543370001,16.1188905660001 68.831663337,16.0994455660001 68.8247093370002,16.087218566 68.8138903370001,16.0886095660001 68.8024903370001,16.096381566 68.792772337,16.1126365660001 68.7820813370003,16.090827566 68.7322093370001,15.9763905660002 68.665836337,15.8466635660002 68.6230453370001,15.8369455660001 68.6197183370002,15.815836566 68.6091633370001,15.8091635660002 68.5972183370001,15.8130545660001 68.5835993370002,15.8181905660001 68.5702633370001,15.8112455660001 68.5574903370002,15.8019455660001 68.5494363370001,15.7424995660001 68.5291633370001,15.7642995660001 68.618190337,15.7776365660002 68.6284723370001,15.800836566 68.6374993370002,15.8119455660001 68.6402723370001,15.8541635660001 68.6435993370002,15.8638905660002 68.6469453370001,15.936245566 68.6817993370001,15.9536095660002 68.694154337,15.965690566 68.7087363370002,15.9877725660001 68.754718337,15.9817995660001 68.7763813370001,15.9566635660001 68.7849903370001,15.9397185660001 68.785554337,15.8731905660002 68.7892993370001,15.9284725660001 68.8891633370002,15.908754566 68.956699337,15.8988905660001 68.9605363370001,15.8869455660001 68.9636093370002,15.8697185660001 68.9641543370001,15.6841635660001 68.9558273370002,15.6586095660002 68.9522093370002,15.6327815660001 68.9441633370002,15.4572185660001 68.8060993370001,15.453190566 68.7595723370002,15.4622185660001 68.7530543370002,15.4972185660002 68.739436337,15.5091635660002 68.7363723370001,15.526109566 68.7358273370002,15.5372185660001 68.7385993370002,15.5497185660001 68.7405543370002,15.5652815660002 68.7408273370002,15.6136095660001 68.7408273370002,15.645554566 68.7391633370002,15.6587455660001 68.733745337,15.713609566 68.6986093370001,15.6966635660002 68.6991543370002,15.6744455660002 68.7041633370001,15.652218566 68.716381337,15.6349995660001 68.7238723370001,15.623336566 68.7269453370001,15.6069455660001 68.7286093370002,15.589999566 68.7291543370001,15.4619455660001 68.7313813370002,15.449027566 68.7270723370002,15.4355545660001 68.7038903370002,15.4372185660001 68.6927633370001,15.4461095660002 68.6772183370001,15.4583365660001 68.6569363370001,15.3616635660001 68.5877723370002,15.3491635660002 68.5858273370002,15.2227725660001 68.5605453370002,15.2133365660001 68.5569273370001,15.1877725660002 68.5218633370002,15.2177815660002 68.521654337,15.248609566 68.5222183370001,15.262499566 68.5199903370002,15.3322185660001 68.483890337,15.243609566 68.4730543370001,15.0841635650002 68.3641633370002,14.9974995650002 68.3001363370001,14.9849995650001 68.2630453370001,14.9866635650001 68.247499337,15.0011095650001 68.2463813370001,15.0149995650002 68.247499337,15.0272185650001 68.2494363370001,15.1019455650001 68.2777723370002,15.111390565 68.2813903370001,15.1972185660002 68.319154337,15.227709566 68.3423543370001,15.2569455660002 68.3647183370001,15.3433365660001 68.3952633370001,15.420554566 68.4085993370001,15.4316635660001 68.4113723370002,15.441109566 68.4149903370001,15.5111095660002 68.4461093370001,15.5586095660002 68.4737453370001,15.5511095660002 68.4905453370001,15.5414545660001 68.503599337,15.5583365660002 68.505827337,15.5677815660002 68.5022093370001,15.5891635660001 68.478336337,15.5702725660001 68.4608273370001,15.5169455660001 68.4219363370001,15.5011095660001 68.4133273370001,15.4394455660002 68.3941633370001,15.3877815660001 68.3788723370002,15.3215275660001 68.3431813370001,15.3313905660001 68.3281903370002,15.3488905660001 68.3236093370001,15.3641635660001 68.324154337,15.4261095660001 68.3335993370001,15.5208365660002 68.3335993370001,15.5324995660001 68.3308273370002,15.5888905660001 68.3049903370002,15.6972185660001 68.3411093370001,15.7886095660002 68.3902723370002,15.855554566 68.431927337,15.8697185660001 68.3994273370001,15.8694455660001 68.364436337,15.8833365660001 68.3622093370001,15.911109566 68.3641633370002,15.9330545660001 68.3694273370001,15.9562455660001 68.3787453370002,16.0499995660001 68.4630453370002,16.0722185660001 68.485827337,16.0827725660001 68.4974993370002,16.1336095660001 68.5169363370001,16.221945566 68.5472093370002,16.2330545660001 68.5499903370001,16.3494455670001 68.5555453370002,16.3647185670001 68.555827337,16.5011455670001 68.5524633370001,16.4869455670001 68.5958273370002,16.4930545670002 68.604718337,16.5094455670001 68.613327337,16.5274995670002 68.6211093370002,16.5372185670001 68.6244363370001,16.5565275670002 68.6359633370001,16.564027567 68.648745337,16.5680545670002 68.6963813370001,16.544445567 68.7641633370001,16.490272567 68.8105453370001,16.4461095670001 68.8438903370001,16.4363905670001 68.847490337),(16.1130545660001 68.3788723370002,16.121109566 68.376390337,16.1911095660001 68.398881337,16.203327566 68.4008363370001,16.2716635670001 68.4069363370002,16.2994455670002 68.4088723370003,16.3147185670001 68.4091633370001,16.3497185670001 68.4069363370002,16.3805545670002 68.4074813370001,16.3944455670002 68.4085993370001,16.4055545670001 68.4110993370002,16.4645815670001 68.4654093370002,16.4144455670001 68.5127723370002,16.3999995670002 68.5208273370001,16.3841635670001 68.5263813370001,16.372499567 68.5294363370002,16.3424995670001 68.5338723370002,16.3269455670001 68.5335993370002,16.2349995660001 68.5230363370001,16.2155545660001 68.5160993370001,16.1799995660001 68.500827337,16.144027566 68.481099337,16.0952725660001 68.3997093370001,16.1130545660001 68.3788723370002),(15.1688905650001 68.4505453370001,15.1586095650002 68.4524993370001,15.1447185650001 68.4513813370002,14.9183365650002 68.4322183370002,14.8958365650001 68.4288813370001,14.8549995650001 68.398272337,14.8605815650002 68.381936337,14.7946635650001 68.3633453370001,14.7527815650001 68.348736337,14.7665545650001 68.3678813370001,14.7760545650002 68.3732183370001,14.7985545650002 68.3817183370001,14.8072995650001 68.3911093370002,14.804718565 68.4177723370002,14.7852725650002 68.4247093370001,14.7749995650001 68.4269363370001,14.7588905650002 68.428599337,14.6397185650001 68.4255543370002,14.6274995650002 68.423599337,14.605554565 68.4180453370001,14.542218565 68.4008363370001,14.4852815650001 68.3813813370001,14.4311095650002 68.3558183370001,14.4722185650002 68.3391543370001,14.5006275650001 68.3047903370001,14.483054565 68.2958183370001,14.4136095650001 68.2927723370001,14.3708995650002 68.3075543370002,14.3555545650001 68.3169363370002,14.341663565 68.319154337,14.3217995650002 68.3170813370001,14.3047185650001 68.3049903370002,14.2042995650002 68.2031813370001,14.1997185650002 68.1522183370001,14.2058275650001 68.1491543370001,14.2408365650002 68.1558183370001,14.3927725650002 68.1833183370001,14.5080545650002 68.196654337,14.5324995650002 68.2005453370001,14.771390565 68.2574903370001,14.7819455650001 68.2602723370001,14.8130545650002 68.2691633370002,14.8424995650002 68.2791633370002,15.030418565 68.3572183370002,15.1141635650001 68.4110993370002,15.1561095650001 68.4402723370001,15.1688905650001 68.4505453370001),(13.9374995640002 68.171936337,14.010272564 68.1755543370001,14.028609564 68.1744363370001,14.039163564 68.1772183370001,14.1286095650001 68.2280453370001,14.1354185650002 68.2362453370001,14.1299995650002 68.2466543370001,14.0941635640001 68.2580453370001,14.0638905640001 68.2622093370002,14.0486095640002 68.2616543370001,14.0340275640002 68.2584633370002,14.0266635640002 68.2451363370001,14.0033365640001 68.2366633370002,13.9683365640001 68.238327337,13.9522185640001 68.2399903370001,13.9102725640001 68.2469363370002,13.888609564 68.2530543370001,13.803890564 68.2688723370001,13.676390564 68.2858273370002,13.6597185640001 68.2863723370002,13.5681905640002 68.2626273370001,13.517081564 68.2324903370002,13.5344455640002 68.2291543370001,13.5361095640002 68.203599337,13.529445564 68.1260993370001,13.4662455640001 68.088181337,13.4527725640002 68.0638723370002,13.4736095640001 68.049990337,13.4894455640001 68.0436093370002,13.5030545640001 68.0405453370001,13.5211095640001 68.0394453370001,13.561945564 68.0733183370002,13.624718564 68.083881337,13.6447185640001 68.066663337,13.6855545640001 68.0619363370001,13.6977725640001 68.0641633370001,13.708336564 68.0669363370001,13.8355545640001 68.1047183370001,13.8462455640001 68.1116543370001,13.8480545640002 68.1241633370001,13.836663564 68.1361093370002,13.860281564 68.1588723370002,13.9374995640002 68.171936337),(13.357499564 68.1511093370002,13.3233275640002 68.153881337,13.3097185640002 68.1524993370001,13.2954185640001 68.1474903370001,13.1622185640001 68.0440183370001,13.1638905640001 68.0129813370002,13.180554564 68.0038813370001,13.190554564 68.0185993370001,13.1941635640002 68.0340183370001,13.213609564 68.0338813370001,13.2252725640001 68.0172093370001,13.2391635640001 67.9852723370001,13.2511095640002 67.9872093370001,13.2616635640002 67.9899903370002,13.3405545640002 68.013881337,13.3824995640001 68.028609337,13.4373635640001 68.115690337,13.4202725640001 68.1319453370001,13.3974995640001 68.143872337,13.3855545640001 68.146654337,13.357499564 68.1511093370002),(15.5026365660001 67.9895093370001,15.5155545660001 67.979999337,15.6138905660001 67.9755543370001,15.6713905660002 67.9783363370001,15.862218566 67.9758273370002,15.903327566 67.9788813370001,15.9217995660001 67.989018337,15.8991635660001 68.002490337,15.8647185660001 68.0113813370001,15.8511095660002 68.013609337,15.7433275660001 68.0149993370001,15.7116635660001 68.0152723370002,15.6519455660002 68.015545337,15.6216635660002 68.0149993370001,15.608054566 68.013881337,15.5549995660001 68.0086093370001,15.5288905660001 68.0058273370001,15.518327566 68.0030543370002,15.5026365660001 67.9895093370001),(13.1358275640002 67.955827337,13.151663564 68.0824903370002,13.103890564 68.0947093370001,13.0683365640001 68.1030453370001,13.0547185640001 68.1019453370002,12.9409725630001 68.0034633370001,12.8955545630001 67.951936337,12.7852815630001 67.8115183360001,12.7972185630002 67.8069273360002,12.841945563 67.8086093360001,13.0099995630001 67.876663336,13.1358275640002 67.955827337),(15.0111095650001 67.9041633360001,15.1436095650002 67.8983273360002,15.2022185660002 67.9002723360002,15.2277725660001 67.9033183360002,15.266390566 67.9097183360001,15.301109566 67.9190183360001,15.089999565 67.9535993370002,15.038327565 67.9580543370001,14.9633365650002 67.951936337,14.9348635650002 67.9254723360002,14.9608365650001 67.9077723360001,14.9766635650001 67.905818336,15.0111095650001 67.9041633360001),(14.0523635640001 68.289299337,14.1611095650001 68.2447183370002,14.1705545650001 68.2413813370001,14.1883275650002 68.2385993370002,14.2036095650001 68.2391633370001,14.2180545650001 68.2441633370001,14.2426365650001 68.2661093370001,14.239445565 68.281109337,14.229163565 68.2930453370002,14.214163565 68.3010993370001,14.1327725650001 68.3202633370001,14.114718565 68.3216543370001,14.0688905640001 68.3202633370001,14.0490275640001 68.300272337,14.0523635640001 68.289299337),(15.4030545660001 68.7077633370002,15.3790275660002 68.8473543370001,15.2927725660001 68.8794363370002,15.206663566 68.8994273370001,15.1701365650002 68.976663337,15.1658365650002 68.9902633370002,15.1444455650001 69.0083273370001,15.1322185650001 69.0113813370001,15.087772565 69.0080453370001,15.044718565 68.9963813370001,15.0349995650002 68.9930453370001,15.021663565 68.9824993370001,15.011663565 68.9708273370002,15.004863565 68.9544363370001,15.0141635650002 68.9387363370003,15.0311095650002 68.9248543370001,15.0788905650002 68.8922093370001,15.1423635650002 68.8404093370002,15.1548635650002 68.8259543370002,15.1517995650001 68.814709337,15.133609565 68.813045337,15.1194455650001 68.8220093370001,15.106390565 68.834445337,15.0888905650001 68.8419363370001,15.067218565 68.848327337,15.0508365650001 68.8502633370001,14.951663565 68.8605453370002,14.9422185650001 68.8569363370002,14.9080545650001 68.839718337,14.9437455650002 68.8191633370001,14.949999565 68.8090183370001,14.9469455650001 68.799436337,14.9391635650002 68.7880543370001,14.9062455650002 68.7565183370001,14.886663565 68.7541633370001,14.6894455650001 68.804990337,14.6794455650001 68.823054337,14.6624995650001 68.8274993370001,14.6452815650001 68.8280453370002,14.6327725650002 68.826109337,14.5294455650001 68.804990337,14.5199995650001 68.801372337,14.4836095650001 68.7863723370002,14.4424995650002 68.765545337,14.373609565 68.6866633370002,14.3830545650001 68.6572093370002,14.4183365650001 68.6199903370001,14.4329185650001 68.6090183370002,14.448609565 68.6041543370001,14.501109565 68.6019453370001,14.5497185650001 68.6191543370001,14.6636095650001 68.6666543370002,14.731945565 68.6619453370001,14.743890565 68.6591633370002,14.8227725650001 68.6669273370001,14.8941635650001 68.6752813370001,14.9066635650001 68.6772183370001,14.9963905650002 68.6983183370002,15.0394455650002 68.7183183370001,15.0649995650001 68.7397183370001,15.0466635650002 68.7508273370001,15.0063905650001 68.7583273370002,14.9966635650001 68.7619363370001,15.0091635650002 68.763881337,15.0591635650002 68.759718337,15.1358275650001 68.7516633370002,15.1499995650001 68.7491633370001,15.1611095650002 68.697490337,15.1436095650002 68.693881337,15.0583365650002 68.6808273370002,14.9169455650002 68.6563903370001,14.8561095650001 68.645827337,14.8183275650002 68.6358273370003,14.8040275650001 68.6152633370002,14.8502725650001 68.586381337,14.8644455650002 68.5838813370001,14.9013905650001 68.5813723370002,15.043890565 68.5722183370002,15.0591635650002 68.5724903370001,15.0702725650001 68.5752723370001,15.3224995660002 68.6469453370001,15.3622185660001 68.6602633370001,15.3854185660002 68.6694453370002,15.3976365660002 68.6801363370001,15.4022185660002 68.6958273370001,15.4030545660001 68.7077633370002),(15.4533365660002 68.8752723370001,15.4680545660001 68.8741633370002,15.5224995660001 68.9060993370001,15.6380545660001 68.9816543370002,15.7113905660001 68.9944273370001,15.7355545660001 68.998881337,15.8541635660001 69.0224903380001,15.8680545660001 69.0281903380001,15.873472566 69.039299338,15.8720815660001 69.0505453380002,15.9444455660001 69.0949813380001,15.969445566 69.1077723380001,15.997499566 69.119154338,16.0172185660002 69.1260993380002,16.0286095660002 69.1285993380001,16.0580545660002 69.139163338,16.0851365660001 69.1552723380001,16.1549995660001 69.2649993380002,16.153890566 69.2761093380001,16.1480545660002 69.286372338,16.126390566 69.3102723380001,16.1119455660001 69.3127723380002,15.9944455660001 69.287763338,15.974718566 69.2808183380002,15.863609566 69.238599338,15.848327566 69.2222183380002,15.809999566 69.1794453380002,15.7888905660002 69.1558183380001,15.7777815660001 69.148609338,15.763890566 69.1430543380001,15.751109566 69.1410993380002,15.7366635660001 69.1399993380001,15.6905545660001 69.138609338,15.6452815660002 69.1277723380002,15.6227725660001 69.122209338,15.6130545660002 69.1188813380002,15.5644455660001 69.0967903380001,15.4219455660001 68.9762453370001,15.4167995660002 68.8991543370001,15.4398635660002 68.880681337,15.4533365660002 68.8752723370001),(18.789163569 70.0242993380002,18.8286095690002 70.0441543380002,18.8391635690001 70.0474813380001,18.8799995690001 70.0524903380002,18.9088815690001 70.054990338,18.943336569 70.0541543380002,18.9583365690002 70.054990338,18.9705545690002 70.057218338,18.9970815690002 70.0751363380002,19.000418569 70.0865183380001,18.9406905690001 70.1188813390001,18.7972185690001 70.1024903390001,18.7849995690001 70.1113723390001,18.7533275690001 70.1274903390001,18.7436095690002 70.1310993390001,18.7280545690001 70.1324903390001,18.7123635690002 70.1281903390001,18.6588815690001 70.0438813380002,18.6808275690001 70.0033273380001,18.688054569 69.9945723380002,18.708609569 69.990263338,18.7355545690002 69.9936093380002,18.746390569 69.9969363380001,18.7686095690001 70.0077633380001,18.789163569 70.0242993380002),(19.0386095690002 70.1629723390001,19.1413905690002 70.1194273390001,19.1852725690001 70.1224993390001,19.2124995690001 70.1258273390001,19.223327569 70.1291633390001,19.2352815690001 70.1365183390001,19.2594455690001 70.1749993390001,19.2480545690001 70.2461093390001,19.2336095690001 70.2544363390001,19.2188905690001 70.257218339,19.202218569 70.257218339,19.1352725690001 70.2461093390001,19.0386095690002 70.1629723390001),(19.3641635690001 70.1230453390002,19.50194557 70.1022183390002,19.5319455700002 70.0983273390001,19.5816635700002 70.0980543390001,19.61152757 70.1044363390002,19.6172185700001 70.1156903390002,19.60777257 70.1248543390001,19.5947185700001 70.1308273390001,19.4433365690001 70.1747093390001,19.431390569 70.1777633390001,19.4133275690001 70.1785993390001,19.396945569 70.1738813390001,19.3655545690001 70.149154339,19.3556905690002 70.1404093390001,19.352081569 70.1290183390002,19.3641635690001 70.1230453390002),(14.0194455640001 67.0697183360002,14.035554564 67.069154336,14.063054564 67.070827336,14.0802725640002 67.0697183360002,14.0897185640002 67.066372336,14.1259725650002 67.0494273360001,14.1495815650002 67.0262453360001,14.1644455650001 66.997772336,14.1788905650001 66.9980453360001,14.1919455650001 66.9994363360001,14.2042995650002 67.0049993360001,14.2577725650002 67.1330453360001,14.2080545650002 67.1377723360001,14.0586095640002 67.1172183360001,13.9941635640001 67.0810993360001,13.9992995640002 67.0723453360001,14.0194455640001 67.0697183360002),(12.2924995630001 66.0127723350001,12.3002815630001 66.010272335,12.3524995630001 66.022490335,12.4074995630002 66.0330543350001,12.4574995630001 66.0383273350001,12.531945563 66.0547183350001,12.6433365630001 66.0862453350001,12.6558365630002 66.1013903350001,12.6038905630001 66.1905543350001,12.576109563 66.2155453350001,12.5633275630001 66.2177723350002,12.5536095630002 66.2147183350001,12.4858365630001 66.1904093350001,12.4319455630001 66.1634633350001,12.481390563 66.1316543350001,12.3433365630001 66.0777723350001,12.2924995630001 66.0127723350001),(12.5738905630001 66.0105453350001,12.5533365630002 66.0055543350001,12.5341635630001 65.9997093350002,12.506663563 65.9902633350001,12.4730545630001 65.9774903350001,12.4620815630001 65.9712363350001,12.4244455630002 65.9241633350001,12.414999563 65.8935993350001,12.4399995630002 65.896099335,12.453609563 65.8966543350001,12.4796545630002 65.8894363350001,12.4386095630001 65.8641633350001,12.4647185630001 65.8660993350001,12.4866635630001 65.870272335,12.5316635630002 65.8863813350001,12.5458365630001 65.8991633350002,12.564163563 65.909436335,12.5886095630001 65.9205453350001,12.674718563 65.9547093350001,12.6844455630001 65.957763335,12.7880545630001 65.9833183350001,12.8099995630002 65.9874903350001,12.8349995630002 65.9899903350002,12.8791635630001 65.998318335,12.8986815630002 66.0111093350002,12.8824995630001 66.0205543350001,12.867218563 66.0208273350001,12.6349995630001 66.0177723350001,12.6211095630001 66.0172093350001,12.596109563 66.0147093350002,12.5738905630001 66.0105453350001),(11.7783275620002 65.604718334,11.7913905620002 65.6038813340002,11.8041635620001 65.6091633340001,11.863054562 65.6116633340002,11.8997185620001 65.5980453340001,11.900554562 65.5830543340001,11.9741635630001 65.6269363340002,12.0067365630001 65.6774183340002,11.9972185630001 65.6966633340002,11.9080545620001 65.7049903340001,11.8944455620001 65.704436334,11.830554562 65.6908273340001,11.8147185620002 65.6833183340001,11.8027725620001 65.6735993340001,11.7924995620001 65.663054334,11.7786095620002 65.6463813340002,11.7697185620001 65.6349903340001,11.761181562 65.6131903340002,11.7783275620002 65.604718334),(12.0802725630002 65.2311093340002,12.0630545630002 65.2099903340002,12.075281563 65.2113813340001,12.0858365630001 65.2136093340001,12.149027563 65.2309633340001,12.188054563 65.2455453340002,12.2427725630001 65.2760993340001,12.3736095630001 65.338045334,12.4884725630002 65.3795813340002,12.502781563 65.3919363340002,12.4419455630001 65.4694363340001,12.3961095630001 65.5055543340001,12.2869455630001 65.5722093340001,12.2716635630001 65.576663334,12.2580545630001 65.5761093340001,12.2473635630001 65.5695813340001,12.222499563 65.5419273340002,12.199718563 65.4716633340001,12.174163563 65.4030453340002,12.1224995630001 65.296936334,12.1124995630001 65.276654334,12.0961095630001 65.2533273340001,12.0802725630002 65.2311093340002),(12.012218563 65.0691543340001,12.129718563 65.0502813340001,12.1563905630001 65.0513723340001,12.1988905630001 65.0599993340002,12.2188905630001 65.0649903340001,12.2663905630002 65.0788903340001,12.284999563 65.0844453340001,12.3008365630001 65.0919363340001,12.3136815630002 65.1029723340002,12.2619455630002 65.1661093340001,12.2499995630001 65.1744363340001,12.209999563 65.198318334,12.1961095630002 65.2060993340001,12.1836095630002 65.208327334,12.1716635630001 65.2069363340001,12.157636563 65.2026363340001,12.0954185630001 65.1805453340002,11.9844455630002 65.0748543340001,12.012218563 65.0691543340001),(10.730836561 64.8637453340001,10.7397185610001 64.8494453340001,10.7636095610001 64.852490334,10.8155545610002 64.8635993340001,11.113336562 64.9684633340001,11.1070815620001 64.9774903340001,11.092781562 64.9822093340001,11.0549995620001 64.9869363340001,11.0419455620001 64.9877813340001,11.0275455620002 64.9818453340002,11.0205545620001 64.9652723340001,11.0002725620001 64.957763334,10.9702725620002 64.9505453340001,10.866945561 64.9274903340002,10.7941635610002 64.919581334,10.7777725610001 64.918881334,10.7533365610001 64.908327334,10.7455545610001 64.9008273340002,10.730836561 64.8637453340001),(10.841390561 64.8566543340001,10.8248635610001 64.8474903340002,10.8394455610002 64.8435993340001,10.8958365620001 64.852490334,10.9061095620001 64.8547183340002,10.951390562 64.8697183340001,11.062772562 64.848327334,11.128890562 64.8294363340002,11.1408365620001 64.8310993340001,11.1861095620002 64.8458273340001,11.2173635620001 64.8573543340001,11.2633995620001 64.887772334,11.110972562 64.9499903340002,10.9094455620001 64.883045334,10.841390561 64.8566543340001),(11.0380545620002 64.616381333,11.0398635620001 64.600127333,11.1755545620001 64.506945333,11.1861095620002 64.5041633330002,11.1986095620001 64.5035993330001,11.2116635620001 64.5041633330002,11.2324995620002 64.508609333,11.2558365620002 64.5116543330001,11.2705545620001 64.5113813330001,11.282772562 64.5094273330001,11.4072185620001 64.4780453330002,11.4180545620002 64.4719363330001,11.4524995620002 64.5184633330001,11.2499995620002 64.5994453330001,11.0869455620002 64.6499903330001,11.0738905620001 64.6491543330001,11.0409725620002 64.6315183330001,11.0380545620002 64.616381333),(8.3069455590001 63.6608273330001,8.31944555900003 63.6602723330002,8.3391635590001 63.6652723330002,8.35860955900017 63.6699993330001,8.36971855900009 63.6716633330001,8.45360955900014 63.677499333,8.45929955900004 63.6661093330002,8.47416355900009 63.6622183330001,8.65666355900015 63.6794453330001,8.75221856000007 63.6894363330001,8.77471856000011 63.6927723330002,8.79874556000021 63.6990273330001,8.81694556000008 63.7083273330001,8.82471856000018 63.7148543330001,8.82763656000003 63.7255543330001,8.8083365600001 63.810272333,8.79778156000003 63.8127723330001,8.78666356000008 63.8110993330001,8.73374555900011 63.8017993330001,8.6807275590001 63.7696453330001,8.67389055900014 63.756945333,8.53860955900012 63.7219363330001,8.52889055900016 63.7194453330002,8.45444555900002 63.7058273330002,8.40027255900003 63.7008273330002,8.36110955900011 63.6988813330001,8.34832755900015 63.6980543330001,8.32583655900015 63.6947183330001,8.28389055899999 63.6866633330001,8.27326355899999 63.6804093330001,8.3069455590001 63.6608273330001),(8.28624555900018 63.4863813320002,8.27999955900009 63.4647183320002,8.28179955900021 63.4495813320001,8.29527255900013 63.4386093320002,8.41221855900011 63.4280543320001,8.42610955900011 63.4269363320001,8.45527255900009 63.4263813320001,8.49416355900007 63.4283273320001,8.50555455900019 63.4299903320002,8.52499955900009 63.4347183320001,8.54513655900018 63.443054332,8.57360955900003 63.4544363320002,8.60416355899997 63.4608273320001,8.65999955900008 63.4688903320002,8.70610955900003 63.4747183320002,8.71860955900024 63.4755543320002,8.77444556000012 63.4761093320001,8.78694556000016 63.4769453320002,8.87499956000005 63.4833273320002,8.9311095600001 63.4910993320002,8.96166356000003 63.4974993320002,9.05139056000019 63.5180543320001,9.08916356000003 63.5283273320001,9.16499956000007 63.5555453320002,9.17486356000018 63.5616633320001,8.97110956 63.6536093330001,8.95721856000017 63.6547183330002,8.94471856000007 63.653881333,8.81528156000007 63.6391633320001,8.61471855900004 63.6091633319999,8.61444555900005 63.5683273320001,8.48944555900016 63.564163332,8.46277255900014 63.5630453320001,8.45166355900005 63.5613813320001,8.43194555899998 63.5566633320001,8.36527255900012 63.5313903320002,8.33471855900018 63.5174903320001,8.29444555900005 63.4970813320001,8.28624555900018 63.4863813320002),(8.07610955900003 63.4672183320001,8.01583655899998 63.4674993320001,7.98805455900009 63.4669453320001,7.77944555900001 63.4081903320002,7.7838905590001 63.3841633320001,7.79416355900008 63.3719363320002,7.80333655900006 63.3627813320001,7.87778155900014 63.3552723320001,7.92416355899996 63.3572183320002,7.98278155900005 63.347499332,7.99319055900014 63.3420813320001,7.98528155900016 63.3088813320001,8.08333655900009 63.3247183320001,8.093054559 63.3272183320001,8.13110955900009 63.3416633320001,8.15958155900006 63.3590273320001,8.18360955900005 63.3861093320002,8.17679955900007 63.3994363320001,8.09513655900014 63.4648543320001,8.07610955900003 63.4672183320001),(8.47083655900019 63.3213903320001,8.49805455900014 63.3191633320002,8.51194555900003 63.3191633320002,8.56277255900011 63.3191633320002,8.63499955900016 63.3261093320002,8.64610955900014 63.3277723320001,8.66833655900018 63.3348543320002,8.67270955900011 63.3502723320001,8.62028155900009 63.3770813320002,8.59194555900018 63.3824993320001,8.54194555900011 63.3863813320002,8.52916355900015 63.3855543320001,8.50833655899999 63.3816633320002,8.48847255900012 63.3733273320001,8.43534555900015 63.3338183320001,8.47083655900019 63.3213903320001),(8.26916355900005 63.2633273320001,8.26902755900016 63.2294453320002,8.3480545590001 63.1672183320001,8.35929955900008 63.161799332,8.37721855899997 63.1591633320001,8.39110955900003 63.1591633320001,8.48778155900015 63.160272332,8.52360955899997 63.1638903320001,8.55249955900007 63.1711093320001,8.56749955900005 63.1766633320001,8.57541855900018 63.1859633320001,8.57221855900008 63.2005543320002,8.55778155900015 63.2144363320002,8.45139055900006 63.2766633320001,8.43749955900017 63.2838813320001,8.42528155900021 63.2844363320002,8.26916355900005 63.2633273320001),(8.09832755900004 63.2358363320001,8.08610955900002 63.2361093320002,8.07360955900015 63.2352723320002,8.06277255900022 63.2336093320001,8.0477815590001 63.2277723320001,7.93513655900017 63.1786093320001,7.92736355900007 63.1691633320001,7.97916355900003 63.141109332,8.00528155900008 63.1408273320002,8.06027255900011 63.1416633320001,8.08666355900021 63.1427723320002,8.13610955900009 63.1466633320001,8.17666355900019 63.1505543320001,8.18597255899999 63.155418332,8.17124555900006 63.1926363320002,8.14194555900013 63.221663332,8.12221855900003 63.2322183320001,8.11194555900005 63.2344453320002,8.09832755900004 63.2358363320001),(7.81999955900011 63.0941633320001,7.72610955900018 63.0897183320002,7.71180955900019 63.086109332,7.6794455590001 63.0561093320001,7.68679955900012 63.0492993320001,7.7074995590001 63.0413813320001,7.75944555900008 63.0230453320001,7.77833655900008 63.0174903320002,7.80971855900015 63.0233273320002,7.83833655900014 63.030545332,7.88860955900003 63.0488813320001,7.902218559 63.0566633320001,7.91471855900011 63.0763813320002,7.90208155900024 63.0881903320001,7.84610955900007 63.095272332,7.81999955900011 63.0941633320001),(7.64999955800005 63.081109332,7.60444555800018 63.0930453320001,7.39916355800023 63.0574903320001,7.36513655800019 62.9936093320001,7.3722185580001 62.9840273320001,7.4042995580001 62.9709723319999,7.41889055800016 62.9669453320002,7.44610955799999 62.9647183320001,7.45778155800014 62.9630543320001,7.46805455800012 62.9605453320002,7.48041855800011 62.9556903320001,7.51028155800009 62.9386093320001,7.54833655800019 62.948327332,7.69999955900005 62.9952813320001,7.71013655900015 63.0004093320002,7.64999955800005 63.081109332),(6.66749955800015 62.6561093320001,6.67778155800016 62.653609332,6.73666355800009 62.6672183320002,6.74721855800016 62.669163332,6.79028155800017 62.6761093320001,6.86055455800005 62.6838813320001,6.89278155800019 62.6891633320001,6.91139055800016 62.6941633320001,6.91986355800009 62.7059633320002,6.90166355800005 62.7344453320001,6.89277255800016 62.740690332,6.87583655800006 62.7436093320002,6.7058365580001 62.732772332,6.68958155800004 62.730272332,6.67721855800011 62.7219363320002,6.6499995580001 62.6781903320001,6.66749955800015 62.6561093320001),(6.02513655700017 62.4330543310002,6.06027255700013 62.4049993310001,6.07749955700018 62.3991633310002,6.09639055700001 62.3938813310002,6.119718557 62.3905453310002,6.14805455700008 62.3905453310002,6.21360955700004 62.3905453310002,6.22833655700015 62.3902723310001,6.25389055700009 62.3916633310001,6.28694555700002 62.396381331,6.30833655700013 62.399990331,6.33034555700004 62.4105543310001,6.31805455700004 62.4197183310002,6.18916355700009 62.4422183310001,6.17749955700015 62.4424993310002,6.02513655700017 62.4330543310002),(6.02666355700006 62.3527723310002,5.97471855700019 62.4131903310001,5.95778155699998 62.4224903310001,5.93721855700016 62.426936331,5.92694555700018 62.4280543310002,5.91360955700003 62.4274993310001,5.89221855700009 62.4238813310001,5.86471855700006 62.416109331,5.84597255700015 62.4074903310001,5.82805455700014 62.3913903310001,5.80402755700004 62.3638903310001,5.80257255700013 62.3397903310001,5.83569055700008 62.3305543310001,5.85139055700006 62.2765273310001,5.82721855700009 62.2397183310001,5.84055455700019 62.2399993310001,5.86624555700013 62.245136331,5.90028155700003 62.2602723310002,5.92833655700014 62.274718331,5.94221855700016 62.2822183310001,6.02389055700013 62.327218331,6.02666355700006 62.3527723310002),(5.70166355700007 62.2938813310002,5.686945557 62.2941633310001,5.5769455570001 62.2894453310001,5.56499955700002 62.2883273310002,5.54569055700006 62.2799903310001,5.51694555700004 62.246381331,5.50583655600008 62.2217993310001,5.53569055700007 62.1888813310001,5.5516635570001 62.1858273310002,5.60916355700004 62.1852723310002,5.64778155699997 62.1874903310001,5.69833655700018 62.1905543310001,5.74471855700017 62.1958273310001,5.75528155700022 62.1977723310001,5.77333655700016 62.2027723310001,5.79215455700017 62.213190331,5.80860955700012 62.2706903310002,5.70166355700007 62.2938813310002),(4.88541855600016 61.7851363310002,4.9224995560001 61.7730453310001,4.9341635560001 61.7741633310001,4.99610955600002 61.7855543310002,5.17499955600016 61.8222183310001,5.22110955600022 61.8391633310001,5.20221855600022 61.8541633310001,4.94916355600009 61.8958273310001,4.93778155600012 61.8974993310001,4.92610955600003 61.8988903310001,4.91416355600018 61.8977723310001,4.88333655600019 61.8919363310001,4.86805455600017 61.8852723310001,4.80749955600004 61.8418723310002,4.88541855600016 61.7851363310002),(4.79589955599999 61.0553363300001,4.80471855600013 61.0444453299999,4.81624555600018 61.0688813300001,4.85249955600011 61.09305433,4.86749955600004 61.09444533,4.87499955600015 61.0877723300001,4.90999955600006 61.0655543300002,4.95360955600006 61.0788903300001,4.96805455600008 61.0855453300001,4.97999955600005 61.0936093300001,4.98639055600006 61.1094363300001,4.96097255600017 61.1736093300001,4.94236355600003 61.1866633300002,4.92778155600018 61.1899903300001,4.849999556 61.1799903300001,4.78958155600003 61.1491633300002,4.79589955599999 61.0553363300001),(5.00778155600017 60.6199903300002,5.06249955600015 60.5983273300001,5.07221855600017 60.59555433,5.14805455600003 60.5772183300001,5.15916355600012 60.5769453300001,5.15708155600015 60.5844453300001,5.14027255600007 60.6069453300001,5.12971855600011 60.6158273300002,4.98347255600004 60.7129183300002,4.95110955600012 60.7213813300001,4.87166355600016 60.7349903300001,4.85736355600005 60.7344363300001,4.87694555600024 60.7066633300002,4.90610955600005 60.6799903300001,4.91694555600014 60.6716633300001,4.99416355600016 60.6269363300001,5.00778155600017 60.6199903300002),(5.01083655600013 60.6005543300002,4.9274995560001 60.6029093300002,4.98721855600019 60.5610993300001,5.02971855600015 60.5466633300002,5.0772185560001 60.5416633300001,5.10166355600018 60.5330543300001,5.17249955600005 60.5058273300001,5.18527255600014 60.50609933,5.19610955600012 60.5112453300002,5.1980545560001 60.5299993300001,5.1865275560001 60.5448543300001,5.1636095560001 60.5574903300001,5.1216635560001 60.5780453300001,5.10847255600009 60.58221833,5.02194555600005 60.59916333,5.01083655600013 60.6005543300002),(5.35999955600005 60.52389033,5.45305455600021 60.46139033,5.46499955600018 60.4536093300002,5.48360955600003 60.4422183300001,5.51013655600002 60.4311093300001,5.52749955700006 60.4291633300001,5.54999955700009 60.4313903300001,5.60610955700014 60.4372183300001,5.67944555700012 60.4704093300001,5.693609557 60.64332733,5.68916355700003 60.6744363300002,5.67916355700004 60.6812453300001,5.62999955700008 60.6888903300002,5.61889055700016 60.6902723300001,5.60860955700002 60.6886093300002,5.59110955700015 60.67950933,5.59083655700016 60.6591633300001,5.58833655700005 60.6461093300002,5.58291855700014 60.63110933,5.55971855700005 60.6147183300001,5.53028155700019 60.6052723300001,5.45360955600012 60.5758273300001,5.39583655600012 60.5522183300001,5.35999955600005 60.52389033),(5.08639055600014 60.5133273300002,5.00083655600002 60.5311093300001,5.02083655600012 60.4922183300001,5.11194555600002 60.4158363290002,5.13860955600018 60.3961093290001,5.19528155600017 60.4088813290002,5.20791855600004 60.4201363290001,5.2004185560001 60.4624903300001,5.18999955600009 60.4744453300002,5.17610955600014 60.4845813300001,5.15639055600019 60.4922183300001,5.08639055600014 60.5133273300002),(5.07249955600014 60.344990329,4.96999955600012 60.4411093300001,4.94249955600009 60.42749933,4.9324995560001 60.2840273290001,4.94889055600004 60.2466633290001,4.96139055600008 60.2358363290001,4.99499955600021 60.2180453290002,5.10360955600004 60.1833273290001,5.11194555600002 60.185827329,5.11278155600007 60.1983273290001,5.11139055600012 60.216109329,5.10110955600015 60.2913813290002,5.09860955600004 60.3069453290001,5.08749955600007 60.3284723290001,5.07249955600014 60.344990329),(5.36020955600003 59.9883273290001,5.50333655599997 59.8952723290001,5.51278155600005 59.8930543290001,5.52929955700012 59.8947183290001,5.59499955700016 59.9272183290001,5.66124555700009 59.9966633290002,5.66389055700006 60.0130543290001,5.66360955700009 60.0263813290001,5.66083655700015 60.058054329,5.65805455700018 60.0752723290002,5.64555455700014 60.0747183290002,5.5258365570001 60.0594363290002,5.50610955600007 60.0555453290001,5.44930955600017 60.0424993290002,5.36020955600003 59.9883273290001),(5.33528155600021 59.9711093290001,5.28777255600016 59.9715273290002,5.27486355600001 59.964163329,5.25166355600015 59.9088813290001,5.26360955600006 59.8810993290002,5.30839955600015 59.7895093290001,5.35860955600015 59.7569453290001,5.37139055600022 59.7527723290002,5.40055455600009 59.751390329,5.41305455600013 59.7516633290002,5.42805455600012 59.7542993290002,5.46916355600013 59.7713813290001,5.49055455600006 59.7918093290002,5.4949995560001 59.805827329,5.49471855600012 59.8191633290002,5.49236355600016 59.8427813290002,5.48416355600006 59.860545329,5.46652755600013 59.8891633290002,5.43958155600012 59.9233273290002,5.42528155600019 59.9333273290002,5.41194555600021 59.940272329,5.33528155600021 59.9711093290001),(5.14763655600007 59.8704093290001,5.13139055600004 59.8730543290001,5.11889055600017 59.872499329,5.10902755600017 59.867218329,5.07020955600018 59.7814543290001,5.11166355600011 59.6366633290002,5.14889055600008 59.5811093290002,5.15555455600008 59.5816633290001,5.16971855600019 59.5883363290001,5.18249955600004 59.5955543290002,5.19715455600004 59.6072183290001,5.20069055600004 59.6341543290002,5.19528155600017 59.6641633290002,5.18203655600013 59.6703633290002,5.17221855600008 59.6880453290001,5.18708155600007 59.735209329,5.21958155600009 59.7515183290001,5.29173655600005 59.7470813290002,5.30944555600018 59.7005543290001,5.28694555600015 59.6913813290001,5.27389055599997 59.6842273290001,5.28971855600008 59.6806903290002,5.31139055600016 59.6869453290003,5.34305455600014 59.701799329,5.32194555600023 59.7397183290001,5.31444555600018 59.7494453290002,5.2606905560001 59.8006903290001,5.14763655600007 59.8704093290001),(5.15528155600009 59.1469453280002,5.16055455600008 59.142772328,5.19028155600017 59.147772328,5.2227815560002 59.1511093280001,5.2333365560001 59.1511093280001,5.25597255600019 59.1472183280001,5.28777255600016 59.218890328,5.2933365560001 59.240690328,5.29305455600007 59.2572183280001,5.28666355600006 59.3186093280002,5.22194555600009 59.3974993290001,5.208472556 59.4076363290002,5.19444555600012 59.4130543290001,5.18083655600009 59.4098543290002,5.13833655600013 59.2665273280002,5.13194555600018 59.2208363280001,5.13221855600017 59.2044363280001,5.15528155600009 59.1469453280002),(20.5733275710001 69.798327338,20.6044455710002 69.796099338,20.6802725710002 69.8086093380001,20.717218571 69.8155543380002,20.7322185710001 69.8202723380001,20.7378455710002 69.903536338,20.6233365710002 69.9049993380001,20.6111095710002 69.902772338,20.601390571 69.898609338,20.5899995710002 69.8908273380001,20.557845571 69.8527633380001,20.5634725710002 69.8104093380001,20.5733275710001 69.798327338),(29.7305545790001 69.7594273380002,29.7933275790001 69.7544363380001,29.8266635790002 69.7569453380002,29.838609579 69.7594273380002,29.9599995790002 69.7880543380002,30.0424995790001 69.8083183380001,30.0480545790002 69.8274993380002,30.0027815790001 69.8847183380001,29.9780545790002 69.8908273380001,29.8933275790002 69.904436338,29.8752725790001 69.9072093380001,29.841945579 69.9102633380001,29.8308275790001 69.9066633380001,29.8216635790002 69.901381338,29.8101275790002 69.8651363380001,29.8085455790002 69.8219183380001,29.7700635790001 69.8013543380002,29.7162455790001 69.764436338,29.7305545790001 69.7594273380002)))', 'Norwegian Exclusive Economic Zone', 'Norway', 'Norway', '', '223', '223', 'NOR', '5686', '2014-02', '929933639400', '5686', 'Y'),('SRID=4326;MULTIPOLYGON(((-81.2474188425273 13.842627478399,-81.249661412199 13.842554022099,-81.2508170464738 13.842522232693,-81.2513977807 13.8425104270846,-81.2525291398894 13.8424952300524,-81.2533123450671 13.8424925530122,-81.2546170790308 13.8425060264023,-81.2572538458075 13.8425593497095,-81.2684643146343 13.8424756888728,-81.2694148675142 13.842478197317,-81.2709280985491 13.8424953991549,-81.2736152223749 13.8425517487045,-81.2754147208462 13.8426085661591,-81.2797003054974 13.8427888209795,-81.2810557482879 13.8428606595303,-81.2833021800342 13.843003932377,-81.2846490601214 13.8431042990754,-81.2886850258117 13.8434484541596,-81.2900293408063 13.8435775711931,-81.2922672201918 13.8438166847648,-81.2936148793128 13.8439753437202,-81.2978418281148 13.8445198240097,-81.299613721929 13.8447668633,-81.3022776537792 13.8451671860826,-81.3038315814539 13.8454164931385,-81.3043232842485 13.845498785046,-81.305287381496 13.8456681930606,-81.3069188228474 13.8459706127198,-81.3097761883498 13.8465315753205,-81.3117195693546 13.8469367518439,-81.3166401639964 13.8480226493176,-81.3185641291117 13.8484646781095,-81.3197569673493 13.8487511781894,-81.3216607477901 13.8492280334162,-81.3227960536246 13.849523717907,-81.3261033425566 13.8504180291518,-81.3272013645276 13.8507256636362,-81.3290301467065 13.8512560047749,-81.3301498229877 13.8515920053576,-81.3344691224406 13.8529329570733,-81.3363587179956 13.8535393887016,-81.3368733125951 13.8537082707179,-81.3384904587107 13.8542241520126,-81.3398076339772 13.8546544966106,-81.341869806487 13.855347285976,-81.3430764940022 13.8557635422325,-81.3434719091326 13.8559024737978,-81.34429013136 13.8561965003427,-81.3457043134471 13.8567179924681,-81.3481888188505 13.8576614753546,-81.34984662208 13.8583111538255,-81.3537623415969 13.859892842027,-81.3548696189803 13.8603527981209,-81.3566972325768 13.8611326015804,-81.3577891528336 13.8616108587495,-81.3610516330538 13.8630770663511,-81.3621443714988 13.8635808580892,-81.3639597539687 13.8644391582584,-81.365062720371 13.8649739352697,-81.3667021733187 13.8657883735092,-81.3708840146131 13.8678993089101,-81.3725870654503 13.8687830548689,-81.3750964724584 13.8701219506828,-81.3765150582194 13.870897927899,-81.3773315124447 13.8713540684037,-81.3777067779485 13.8715674783077,-81.3788328950854 13.8722167113031,-81.3803022428643 13.8730785505094,-81.3818071193803 13.8739582841671,-81.3838978514607 13.8751928412829,-81.3845861377198 13.8756052593455,-81.3857174893362 13.8762931439078,-81.3864017316895 13.8767152759952,-81.3901404069286 13.8790557270848,-81.3915675161543 13.8799625580004,-81.3925955238105 13.8806299408767,-81.3942504970672 13.881727738246,-81.3952344946287 13.8823941928459,-81.3981172701411 13.8843873098578,-81.3990709186843 13.8850600638486,-81.4006492815614 13.8861960166494,-81.4015949148285 13.8868903365236,-81.4049560221257 13.8894090357562,-81.4063675150109 13.8904901741757,-81.4084761906086 13.8921418811552,-81.409703174633 13.8931232284772,-81.4100867249992 13.8934343194867,-81.4108094928882 13.8940302626812,-81.4120212046767 13.8950483133211,-81.4141251574003 13.8968534142993,-81.4155257842491 13.8980828288712,-81.418907201277 13.9011193853054,-81.4201724338979 13.9022799966911,-81.4219061104353 13.9039026685143,-81.4227040276304 13.9046637574157,-81.4240079826695 13.9059301929981,-81.4247932070788 13.9067067480884,-81.4267270117666 13.908656546586,-81.4281279885316 13.9101025394549,-81.4313731657009 13.9135356033185,-81.4326654540083 13.9149354277588,-81.434541435035 13.9170154831626,-81.4351774339734 13.9176590828844,-81.436077063719 13.9185566656158,-81.4376372472278 13.9201464860719,-81.4385630346234 13.9211108822097,-81.4414457159818 13.9241815849882,-81.4426445176661 13.9254862766947,-81.4444141885591 13.9274546742131,-81.445422899938 13.9285995876905,-81.4460249895176 13.9292956343231,-81.4463315067969 13.9296557551095,-81.4473169318142 13.9308292796828,-81.4489970416762 13.9328714798591,-81.4500991984695 13.9342412448484,-81.4526974980759 13.9375419590157,-81.4535104973701 13.938598872553,-81.4548391241967 13.9403660951215,-81.4556244571282 13.9414349048881,-81.4579439391088 13.9446653794167,-81.4587052418594 13.9457506575487,-81.459953760545 13.9475727745468,-81.4606942362371 13.9486794833188,-81.4629879311517 13.9521924194977,-81.4639372097656 13.9536811481804,-81.4653311427945 13.9559208665279,-81.4661220148619 13.9572207985738,-81.4665921496465 13.9580097536669,-81.4668295880707 13.9584156070827,-81.4675904674588 13.9597364407953,-81.4688816015769 13.9620311959605,-81.4697233777459 13.9635663870349,-81.4716958606842 13.9672573233048,-81.4723087763702 13.9684360135035,-81.4733033147905 13.9704016467794,-81.4738868643074 13.9715873663473,-81.4755972621265 13.9751620136922,-81.4761542094708 13.9763598772015,-81.4770600702587 13.9783659892435,-81.4775926917013 13.9795814303758,-81.4792274983645 13.9834299962293,-81.4798980622459 13.9850575422894,-81.4808732563399 13.9875005201423,-81.4814215622846 13.9889159064397,-81.4817447817873 13.9897737086939,-81.4819062631231 13.9902130356175,-81.4824203103083 13.9916412505695,-81.4832837121246 13.9941190285265,-81.4838397392622 13.9957731137047,-81.4851338474587 13.9997663755659,-81.4855712475117 14.0011761890079,-81.4862677304941 14.003524008678,-81.4866680746397 14.00493763957,-81.4878132925312 14.0091811178492,-81.488048241141 14.0100892448251,-81.4882546608901 14.0108180753051,-81.4892709122975 14.0145229491001,-81.4895989486512 14.0157716845932,-81.4901228443521 14.0178584032213,-81.4904249200814 14.0191200437158,-81.4913498784179 14.0231830990059,-81.4917210474671 14.0248999261232,-81.4922473231185 14.0274717439253,-81.4925357394823 14.0289587294559,-81.4927014391049 14.0298575091126,-81.4927818864215 14.0303146698477,-81.4930323846143 14.0317966308542,-81.4934396020792 14.0343641022815,-81.4936917006468 14.0360747558798,-81.4942504755052 14.0401724179935,-81.4944131615296 14.0414754109555,-81.494658874335 14.0436391907974,-81.4947918979576 14.0449390007736,-81.4951475990649 14.0488414091388,-81.4952517566539 14.0501437264151,-81.4954012563443 14.0523158634641,-81.4954767930527 14.0536264836052,-81.495667975459 14.0577580777288,-81.4957294195022 14.0594934443922,-81.4957930285015 14.062107551779,-81.4958160189224 14.0638275618047,-81.4958206456925 14.0650404650616,-81.4958176253571 14.0657641885442,-81.4958014496409 14.0671889222178,-81.4957461124878 14.0698081822668,-81.4956895424396 14.0715634785439,-81.4955085098952 14.075752255094,-81.4954360422026 14.0770770520479,-81.4952911008537 14.079272753045,-81.4951893606685 14.0805892269062,-81.4948399516211 14.0845341048356,-81.4947087043031 14.0858480882766,-81.4944654192335 14.0880354891696,-81.494303863365 14.0893527978147,-81.4937490132956 14.0934848233233,-81.4934963262319 14.0952220544239,-81.4930898281439 14.0978145085553,-81.4928397647946 14.0993087271085,-81.4926802737903 14.1002101809631,-81.4925952200526 14.1006690659981,-81.4923092066767 14.1021558646267,-81.491788175347 14.1047225521921,-81.4914226843884 14.1064261744514,-81.4905041820466 14.1104916358515,-81.4901978035668 14.1117793187893,-81.4896657052006 14.1139093997477,-81.4893321604534 14.1151840320164,-81.4882890982739 14.1189960428539,-81.4879271264361 14.1202632679144,-81.48730028964 14.1223686622009,-81.4869080688329 14.1236340762114,-81.4856264635882 14.1276084143256,-81.4850685088164 14.1292760981832,-81.48420695393 14.1317596528699,-81.4836949717586 14.1331880976873,-81.4833776991269 14.1340481459349,-81.4832121204933 14.1344860080961,-81.4826654463354 14.1359026551845,-81.4816951970935 14.1383426123843,-81.4810318658389 14.1399586761565,-81.479403542248 14.1438066997209,-81.4788725733177 14.1450228707841,-81.4779693353397 14.1470303660922,-81.4774139269932 14.1482290769401,-81.475708015131 14.1518063107346,-81.4751259173208 14.1529929072993,-81.4741337370194 14.1549600291588,-81.4735221640332 14.1561397107665,-81.4715524223661 14.1598362483936,-81.4707062468433 14.1613835296898,-81.4694160515737 14.1636823920587,-81.4686580865195 14.1650013135545,-81.4681930938623 14.1657934908233,-81.4679517318334 14.166197192711,-81.4671602546907 14.1675010470804,-81.4657696751843 14.1697403537808,-81.4648283401973 14.1712198445878,-81.4625393765492 14.1747334295996,-81.4617998740568 14.1758411000767,-81.4605528194041 14.1776649508333,-81.459792351902 14.1787512800883,-81.4574752153798 14.1819849280171,-81.4566906108656 14.1830548023131,-81.4553631242201 14.1848238147006,-81.4545507188768 14.1858818783506,-81.4519525637551 14.1891881509325,-81.4508440834708 14.1905679002644,-81.4491648862092 14.192612029843,-81.4481845460809 14.1937811855522,-81.447586569766 14.1944812747061,-81.4472763836232 14.1948386074272,-81.4462631969898 14.1959901754438,-81.4444938522243 14.1979608104012,-81.4433027637282 14.199258761937,-81.440422492163 14.2023310147964,-81.43949687951 14.2032964819764,-81.43794382958 14.2048811929347,-81.4373622498148 14.2054635174537,-81.4376365646377 14.2071980318295,-81.4377526107778 14.2079726654943,-81.4378850090861 14.2085911000981,-81.4384128498436 14.2111680051283,-81.4387018645233 14.2126567122762,-81.4388677890195 14.2135559565137,-81.4389483557416 14.214013425082,-81.4391993129209 14.2154969439261,-81.4396072931639 14.2180674072124,-81.4398598443244 14.2197800882632,-81.440419585049 14.2238827950004,-81.4405825301018 14.2251874005696,-81.4408285929625 14.2273538610152,-81.4409617790095 14.2286552821855,-81.4413178240092 14.2325625264165,-81.4414220485943 14.2338664583752,-81.4415715802569 14.2360412876624,-81.441647087715 14.2373535266094,-81.4418380176161 14.2414900577156,-81.4418992788331 14.2432268531623,-81.4419625347704 14.2458426676217,-81.4419852748538 14.2475717135453,-81.4419907192736 14.2493052635847,-81.4419876148052 14.2500226630174,-81.4419713278266 14.2514464273896,-81.4419158241528 14.2540629655448,-81.441859172332 14.2558162896902,-81.441678022088 14.2600000367264,-81.4416054915058 14.261323995289,-81.4414604561115 14.2635183110517,-81.4413586657257 14.2648339545308,-81.4410091244156 14.2687763485384,-81.4408778380952 14.2700895148391,-81.4406465490937 14.2721751862416,-81.4406182385814 14.2727090719095,-81.4408977226232 14.2738767697697,-81.4418248134162 14.2779440404013,-81.4421964512727 14.2796609556132,-81.4427234028321 14.2822329627512,-81.4430122336229 14.2837202975817,-81.4431782232568 14.284619589697,-81.4432588008625 14.28507696406,-81.4435097910603 14.2865601602528,-81.4439178511865 14.2891301902269,-81.444170457716 14.2908425958419,-81.4447314006364 14.2949532164797,-81.4449001660491 14.2963086642142,-81.4451540029467 14.2985601006092,-81.445290725403 14.2999129684275,-81.445642388945 14.3038320087973,-81.4459491615254 14.3073287062506,-81.446047998558 14.3086114250949,-81.4461892859715 14.310750125241,-81.4462602790338 14.312039973302,-81.4464496186981 14.316356133671,-81.4465059067463 14.3180497963609,-81.446562854027 14.3205815020846,-81.4465811912078 14.3220439370451,-81.446584318011 14.3229283049967,-81.4465823542479 14.3233783348419,-81.4465663976321 14.3248391661459,-81.446513741635 14.3273671150919,-81.4464606779495 14.3290488216086,-81.446280894227 14.333315374353,-81.4462088296643 14.3346567542542,-81.4460638244857 14.3368811800029,-81.4459616398638 14.3382148766045,-81.4456096835146 14.3422113185503,-81.4454771807847 14.3435424767594,-81.4452311293283 14.3457584425175,-81.4450675083264 14.3470928537765,-81.4445117450539 14.3512276829858,-81.4442587800354 14.3529650136548,-81.4438518196092 14.3555576739203,-81.4436014424679 14.3570521606912,-81.4434417283034 14.357953894584,-81.4433566133919 14.3584126060904,-81.4430703733804 14.3598989629197,-81.442548843739 14.362465332786,-81.4421829934103 14.3641687923264,-81.4412635219379 14.3682341552312,-81.4409568071541 14.3695218551276,-81.4404241216338 14.3716519661632,-81.4400902073176 14.3729266165342,-81.4390459831116 14.3767386880872,-81.4386906161936 14.3779823617811,-81.43835467736 14.3791180152961,-81.4380729745704 14.3800964972863,-81.4374248023441 14.3822607271604,-81.4370238057214 14.3835458453244,-81.4360614307972 14.3865220683949,-81.4346352901389 14.3910025564031,-81.4340274542862 14.3928363730506,-81.4330910606068 14.3955506094718,-81.4325409360027 14.3970898013768,-81.4322150235229 14.397975264456,-81.4320666906194 14.3983686263231,-81.4316127338532 14.3995505101477,-81.4308077391372 14.4015941343058,-81.4302551495711 14.4029596764037,-81.4294616221414 14.4048721598215,-81.4278286713559 14.4087516872778,-81.4272843296833 14.4100052382274,-81.4263554028105 14.4120788968104,-81.4257837977071 14.4133166897266,-81.4240286672035 14.4170057717494,-81.4234293360695 14.4182292338098,-81.4224070300813 14.4202571599747,-81.4217765370047 14.421472939226,-81.4196941540661 14.4251302674254,-81.4190699963728 14.4264109759391,-81.4188098809124 14.426897242517,-81.4176586724405 14.4290198470895,-81.4173109658445 14.4296315892957,-81.4168831487369 14.4303277079563,-81.4164202738385 14.4311040115619,-81.4161498819802 14.4315066614771,-81.4153288634789 14.4327926998539,-81.4140119751723 14.4350795081579,-81.4130696220012 14.4365588753386,-81.4107780391305 14.4400723890593,-81.4100376849721 14.4411800445207,-81.4087891923797 14.4430038720253,-81.4080278474401 14.4440901876114,-81.4057080354032 14.4473237952996,-81.4049225242902 14.4483936564196,-81.4035935028418 14.4501626473177,-81.4027801571867 14.4512206989102,-81.4001789776028 14.4545269531234,-81.3990691441122 14.4559067702536,-81.3973878641325 14.4579510355916,-81.39640622687 14.4591203617489,-81.3958073949618 14.4598206264053,-81.395496935587 14.460177851665,-81.394482793644 14.461329147891,-81.3927115397087 14.4632995928545,-81.3915191399468 14.4645974493491,-81.3886355376202 14.4676696495674,-81.3877088486747 14.4686351059595,-81.3861539912237 14.4702198003603,-81.38521043374 14.4711606833443,-81.3823490356291 14.4739523205045,-81.3813846063883 14.4748729072731,-81.3797602014459 14.4763899634673,-81.3789403485619 14.4771407170717,-81.3784572093002 14.4775757705369,-81.3772860026895 14.4808822594056,-81.3767271547544 14.4825500722353,-81.3758641898274 14.4850338905263,-81.3753512979333 14.4864626733606,-81.3750334047027 14.4873230725663,-81.3748676507084 14.4877607187668,-81.3743203430083 14.4891768174162,-81.3733487564336 14.4916163845464,-81.3726844877716 14.4932322501336,-81.37106953581 14.4970438796433,-81.3706348969973 14.4980433136482,-81.3698991780977 14.4996935177348,-81.3694461574812 14.500685113504,-81.3679516145557 14.5038797296035,-81.3661096025727 14.5077635333305,-81.3654894450617 14.5090327800521,-81.3644342563379 14.5111290478613,-81.3637832528445 14.5123850324506,-81.3618038950654 14.5160941836982,-81.3609563336445 14.5176415787614,-81.3596525852137 14.5199604532712,-81.3588716458734 14.5213162587316,-81.3585828000985 14.5218083255369,-81.3580260666836 14.5227366648737,-81.357760178966 14.5231733733992,-81.3568728369645 14.524608349484,-81.3562726806495 14.5255599562743,-81.3544382082692 14.5284091195009,-81.3538173853704 14.5293536884432,-81.3527730786253 14.5309106377697,-81.3521668990135 14.5317970869888,-81.3510803482471 14.5333612566537,-81.3507723721887 14.5338177154807,-81.3502928373812 14.5345570586906,-81.3498954761691 14.5351719654234,-81.3491087709918 14.5363722564209,-81.3486315049932 14.5370891724443,-81.3477203075707 14.5384377971821,-81.3473352488341 14.5390114253033,-81.3466837722988 14.5399648253033,-81.3455825764198 14.5415436284457,-81.3449126231687 14.5424847849819,-81.3445189747085 14.5430282820332,-81.3442236471834 14.543627092157,-81.3435755244656 14.5449221901705,-81.3424122158816 14.5474142882046,-81.3419229224436 14.5483719616577,-81.341311504264 14.5495415731721,-81.3391545120532 14.5535984780627,-81.3382707912172 14.5552163483705,-81.3369354898679 14.5575956464942,-81.3361502962844 14.5589607877928,-81.3356658436256 14.5597846782353,-81.3354105591516 14.5602105666729,-81.334567035038 14.5615954385601,-81.3330835287915 14.5639729308552,-81.3323246019937 14.5651946531102,-81.3313527700962 14.5671174791616,-81.3307401049823 14.5682971352326,-81.3287668216198 14.5719936309797,-81.32791903937 14.57354104384,-81.3266263483407 14.5758401722634,-81.3258668054609 14.5771594309968,-81.3254007564112 14.5779519568227,-81.3251590793528 14.5783554450764,-81.3243664830694 14.5796587580426,-81.3229736058968 14.5818976832103,-81.3220306797438 14.583376981658,-81.3197376239835 14.5868904553586,-81.3189967909439 14.5879981023311,-81.3177474898171 14.5898219166899,-81.3169856515053 14.5909082245529,-81.3146643350903 14.5941418094759,-81.3138783142176 14.5952116631479,-81.3125484297929 14.5969806418918,-81.3117345554425 14.5980386866449,-81.3091316754343 14.6013449302208,-81.3080210815706 14.6027247847433,-81.3063239262178 14.6047866118925,-81.3053141555777 14.6059879279424,-81.3049899975788 14.6063681294565,-81.3043580358078 14.6070969471594,-81.3032683863341 14.6083294556352,-81.3013296117211 14.6104750016224,-81.3000095414924 14.6119014180081,-81.2967775643034 14.6153124119227,-81.2957414843911 14.6163854709135,-81.2941753459573 14.6179779934351,-81.2931167168188 14.6190348391327,-81.2920492732876 14.6200802860419,-81.2907807788701 14.6212970383235,-81.2888509823939 14.6231085722487,-81.2875503104777 14.6243033238219,-81.2840788191089 14.6274231498031,-81.2827045691686 14.6286307501143,-81.2821505102983 14.6291173160813,-81.2817449501882 14.6294946501955,-81.2805991257104 14.6305456277402,-81.2771229753169 14.6336694798919,-81.2756884399685 14.6349288388379,-81.2735297539298 14.6367800926819,-81.2722789220727 14.6378298925397,-81.2715281924009 14.6384479530598,-81.2711510036588 14.6387533150527,-81.2699439607443 14.6397170911459,-81.2678452492869 14.6413587587189,-81.2664377573234 14.6424355028799,-81.2630473134809 14.644972841055,-81.2619616890242 14.6457667062332,-81.2601464500036 14.6470640238562,-81.2590485892553 14.6478308299802,-81.2557302565219 14.650095506216,-81.2546154456639 14.6508387911169,-81.2527437290817 14.6520577246985,-81.2516068996506 14.6527806228493,-81.2481841104945 14.6549058329786,-81.2477482547575 14.6551727590848,-81.2470950288945 14.6556162302635,-81.2435579277473 14.6580158862303,-81.2423629846728 14.6588065505815,-81.2403541339179 14.6601026160058,-81.2391273364893 14.6608740097937,-81.2350456520786 14.6633748414961,-81.232974609172 14.6646205299746,-81.2319146799264 14.6652469860603,-81.2303963442953 14.6661293302469,-81.229377762917 14.6667116067553,-81.2289181796809 14.6669686269371,-81.2279737997803 14.6674883177001,-81.2274909092229 14.6677499139306,-81.2256435209044 14.6687336069382,-81.2244464113757 14.6693554233113,-81.2233848770879 14.6698982194561,-81.2224650916475 14.6703961467866,-81.2211008945959 14.6711253723202,-81.2206146886194 14.6713933004042,-81.2194112108816 14.672046514371,-81.218605756893 14.6724765160362,-81.2158945990777 14.673899142066,-81.2152704488887 14.6742198319032,-81.2140166030489 14.6748507762625,-81.2133869086879 14.6751610301276,-81.2108577698003 14.6763808089091,-81.2102227119221 14.6766805325844,-81.2089474206055 14.6772693660953,-81.2083071884375 14.6775584753373,-81.2056936038314 14.6787116097331,-81.2047677231253 14.6791115145211,-81.2032190744598 14.6797656927907,-81.2022804528253 14.6801532722835,-81.1983792906951 14.6817259620224,-81.1967111359739 14.6823784531454,-81.1942089581487 14.683326713982,-81.192763799669 14.6838582597874,-81.1918915635069 14.6841703341726,-81.1914352193745 14.6843296196597,-81.1899552808738 14.6848353332729,-81.1874013086469 14.6856799749702,-81.1856978058628 14.6862233416613,-81.1816188081333 14.6874777087861,-81.1803194028891 14.6878618388147,-81.1781573122319 14.6884758605058,-81.1768559404262 14.6888304839985,-81.172941140476 14.6898525243033,-81.171632115225 14.6901793994855,-81.1694445247411 14.6907009528798,-81.1681219966734 14.6910013320473,-81.1639445819424 14.6919024206953,-81.1621864925208 14.6922625160025,-81.1595554029555 14.6927725966609,-81.1580403539003 14.6930510454302,-81.1571291593645 14.6932102403207,-81.1566508297095 14.6932900129716,-81.1551038608477 14.6935376417405,-81.1524434219066 14.6939367311488,-81.1506729319226 14.694183235301,-81.1464445613066 14.6947273488232,-81.1451004216175 14.6948855335511,-81.1428683919573 14.6951241310848,-81.1415275898088 14.6952531005217,-81.1375021418882 14.6955972704822,-81.1361587700516 14.6956977940292,-81.1339181787771 14.6958415991014,-81.1325662752869 14.6959139217627,-81.1283048503557 14.696095656268,-81.1265159898846 14.6961533872465,-81.1238220863157 14.6962118651563,-81.122025596861 14.6962318208938,-81.1186153784615 14.6962335231192,-81.1168029665563 14.6962150693531,-81.1140847006077 14.6961583263188,-81.11227965023 14.6961014047866,-81.1079803300255 14.6959208338611,-81.1066202000344 14.6958488590046,-81.1043660035544 14.6957053423805,-81.1030144727767 14.6956048189159,-81.0989645920611 14.6952601318451,-81.0976156503688 14.6951308169488,-81.0953700801363 14.6948913565113,-81.0940178117961 14.6947324800889,-81.0897758083914 14.6941871740017,-81.0879998884747 14.6939400893327,-81.0853312993401 14.6935399538952,-81.0837795900955 14.693291621488,-81.0833001703674 14.6932116768519,-81.0823883000396 14.6930523732681,-81.0808729892854 14.6927738790733,-81.0782418997082 14.6922637984158,-81.076483810268 14.691903703107,-81.0723063955043 14.6910026144573,-81.070983867437 14.6907022352914,-81.0687962769391 14.6901806818971,-81.067487251675 14.6898538067134,-81.0635724517108 14.6888317664109,-81.0622710799017 14.6884771429196,-81.0601089892284 14.6878631212276,-81.0588095839744 14.6874789911981,-81.0547305862169 14.6862246240721,-81.0530270834161 14.6856812573791,-81.0504731111728 14.6848366156808,-81.0489931726659 14.6843309020682,-81.04853682854 14.6841716165843,-81.0476645923712 14.6838595421988,-81.0462194338884 14.6833279963953,-81.0437172560534 14.682379735561,-81.0420491013138 14.6817272444346,-81.0381181414099 14.680142221828,-81.0370014223717 14.6796790878877,-81.0351583068393 14.6788938213662,-81.0340571721234 14.6784121689478,-81.0307649892001 14.6769343261196,-81.0296491361907 14.6764202394994,-81.0277931984135 14.6755429649943,-81.026650263432 14.6749884981286,-81.0254601410936 14.6743966361669,-81.0213034868894 14.6722947246965,-81.0196526583226 14.6714372847006,-81.0172284127896 14.6701438774121,-81.0158521934664 14.6693916871035,-81.015038783642 14.6689374934103,-81.0146098404311 14.6686935070921,-81.0132439092989 14.6679043087287,-81.0109275022897 14.6665346317716,-81.009400305667 14.6656092564763,-81.0057920249396 14.6633704077478,-81.0046551411631 14.6626475098298,-81.0027833351484 14.6614285766606,-81.0016684710367 14.6606852920149,-80.9983499798424 14.6584206165608,-80.997252066678 14.6576538106972,-80.9954367410346 14.6563564935361,-80.9943510648156 14.6555626286666,-80.990960460009 14.6530252919655,-80.9895529038437 14.6519485504606,-80.9874540982094 14.6503068882328,-80.9862470066589 14.649343119812,-80.9858699682939 14.6490378962673,-80.9851201205461 14.6484206052104,-80.9838711210533 14.6473724400535,-80.9817157656228 14.6455242740192,-80.9802879815097 14.644271139708,-80.9769875017136 14.6413075792784,-80.9760667079132 14.6404631920472,-80.9745556209814 14.6390488397701,-80.9736578388604 14.63819126955,-80.970992110042 14.635592634713,-80.9701124269033 14.6347174770382,-80.9686616489052 14.6332445129129,-80.9677955809995 14.6323470167592,-80.9647561240352 14.6291302717914,-80.9634760026257 14.62774435344,-80.9615757758872 14.6256384873183,-80.9604882174835 14.6244067992201,-80.9601573598832 14.6240266868847,-80.9595276620742 14.6232907961385,-80.9585002649118 14.6220665442788,-80.9567432669665 14.6199274139985,-80.9555815097714 14.6184795903588,-80.952885917436 14.6150432071815,-80.9518117214824 14.613661761631,-80.9511629261849 14.612812571058,-80.95010061127 14.6113963432082,-80.9494711548384 14.6105416109966,-80.947611008327 14.6079686035206,-80.9469986458707 14.6071056995808,-80.9459878420658 14.6056544045276,-80.9453678592718 14.6047467281253,-80.9445462029921 14.6035199813314,-80.9437384666203 14.6022956444371,-80.9411626384511 14.5983288760373,-80.940468633677 14.597244721598,-80.9393878217234 14.5955322677366,-80.9387847332013 14.5945613955893,-80.9378993933462 14.5931132030992,-80.9372783457495 14.5920801035377,-80.9367943273432 14.5912564769881,-80.9360494242196 14.5899621718884,-80.934756646327 14.5876630343666,-80.9339088081379 14.5861156170017,-80.9320411780376 14.5826199949656,-80.9315236682961 14.5816166847717,-80.9305292720898 14.5796197451341,-80.9300462342408 14.5786145899722,-80.928172186136 14.5745702890235,-80.9277178272766 14.5735524875684,-80.9268381431731 14.5715050518594,-80.9266526564474 14.5710628917342,-80.9261716604574 14.5700205749723,-80.9259464283179 14.5695230900824,-80.9250595240982 14.5675276575582,-80.9248412443973 14.5670272935041,-80.9244116550922 14.5660237344291,-80.9241899621889 14.5654953035628,-80.9233233934746 14.5633837228505,-80.9226262036148 14.5616309888599,-80.921697216326 14.5592159540298,-80.921405671601 14.5584388577843,-80.9208455768374 14.5569022955737,-80.9205542786428 14.5560827386621,-80.9200398355484 14.5545957039939,-80.9194509562439 14.552833449922,-80.9189728896612 14.5513516299862,-80.9186601146836 14.5503760328799,-80.918437448395 14.5497229481963,-80.918079788213 14.5486440810629,-80.9179048644351 14.5481034195958,-80.9172209544314 14.5459363528314,-80.9170538842333 14.5453933584365,-80.9167276230416 14.5443051274443,-80.9165684323767 14.5437598920795,-80.9157128707781 14.5407456230947,-80.9154116517437 14.5396452316119,-80.9149255089833 14.5377991152801,-80.9146318806641 14.5366363883925,-80.9141680496162 14.5347157416151,-80.913040068224 14.5298431286292,-80.9126230841436 14.5279351980722,-80.9122831798536 14.5263726006418,-80.9116665256112 14.5243042772124,-80.9113039383835 14.5230370862796,-80.9102591077318 14.5192251791269,-80.9099249991405 14.5179505818671,-80.909392004039 14.5158205600081,-80.9090851112863 14.5145329145938,-80.9081650831151 14.5104676189413,-80.9077990252157 14.5087642521762,-80.9072772076331 14.5061980633082,-80.906990836275 14.504711957878,-80.9069057442644 14.5042536725588,-80.9067462120756 14.5033536228331,-80.9064962443837 14.5018628266035,-80.9060899706518 14.4992771598796,-80.9058373782755 14.4975445496499,-80.9052827558137 14.4934247778506,-80.9051217053186 14.4921157788724,-80.9048789984775 14.4899422276922,-80.9047479396079 14.4886365700529,-80.9043986183326 14.4847166853726,-80.9042967488219 14.4834085580383,-80.904151326631 14.4812267758379,-80.9040784080723 14.4799103713199,-80.9038959925518 14.4757608874597,-80.9038384528525 14.4740190159014,-80.90378125134 14.4714177640012,-80.9037638633915 14.4699969214105,-80.9037601521796 14.4692831748008,-80.9038894788201 14.4648741342916,-80.9037904035159 14.4642160821565,-80.9036982612391 14.463255772104,-80.9033908161406 14.4621207547612,-80.9032743775205 14.461504746127,-80.9031641336206 14.4608646706656,-80.9029565667095 14.4595969157406,-80.9028579227062 14.4589618549446,-80.9027238050975 14.4580491370425,-80.9024568181849 14.4562202662785,-80.9023242046864 14.4553032401381,-80.9021850048572 14.4542376639569,-80.9019182443446 14.4519316424695,-80.9017922850317 14.4510721686858,-80.901322731316 14.4475828468509,-80.9011271607839 14.4458331765659,-80.9007985201785 14.4421306388496,-80.9006966692771 14.4408223778211,-80.9005533228565 14.4386766516286,-80.9004980052395 14.4377222911473,-80.9003244549555 14.4364030340458,-80.9002453339554 14.4357754975328,-80.9000972330215 14.4345193130068,-80.9000282515024 14.4338906537603,-80.899772667382 14.4313743643328,-80.8997138411762 14.4307447255162,-80.8996063575666 14.4294846227522,-80.8995577002538 14.4288541606587,-80.8992093845351 14.4238108948496,-80.8991709091807 14.4231797644732,-80.8991041481004 14.4219169894589,-80.8990758624255 14.4212853466756,-80.8989831245524 14.4187583719352,-80.898965035545 14.4181263727978,-80.8989390582049 14.4168621740786,-80.8989264055161 14.4160987830863,-80.89883134895 14.4131478286386,-80.8988087634172 14.412196482704,-80.8987835591481 14.4105414103518,-80.8987777485393 14.4093792583366,-80.8987803283759 14.4088412013591,-80.8987999491046 14.4072876480328,-80.8988609940103 14.4046492844222,-80.8989210498519 14.402899914298,-80.899109988469 14.3987291328992,-80.8991850235047 14.3974074671233,-80.8993341402426 14.3952169944588,-80.899438335534 14.393903680268,-80.8995795804278 14.3923313766086,-80.8994803641118 14.3900449992227,-80.8994228613329 14.3883028983561,-80.8993657110912 14.3857013052974,-80.8993483497591 14.3842803720958,-80.8993446503181 14.3835675433982,-80.8993492715517 14.3784154199608,-80.8993701223283 14.3766493663838,-80.8994311306907 14.374004891712,-80.899491299106 14.3722500683514,-80.8996687296616 14.3683036056375,-80.8996929441292 14.3678314731714,-80.8994686122574 14.3663676933205,-80.8992161280286 14.3646348001498,-80.8986617292379 14.3605142054764,-80.8985007458317 14.3592049396113,-80.8982581450575 14.3570309440365,-80.8981271467941 14.3557250192137,-80.8977779982052 14.3518043323512,-80.8976761832209 14.3504959370871,-80.8975308468612 14.3483137080155,-80.8974579769746 14.3469970333474,-80.89727570446 14.3428466813995,-80.8972182194422 14.3411043775872,-80.8971610959857 14.3385024687012,-80.8971437497764 14.3370813860477,-80.8971400724029 14.336356632816,-80.8971430100346 14.3349964929333,-80.8971638387509 14.3332492099338,-80.8972248350718 14.3306050087313,-80.8972849882099 14.3288503459004,-80.897473891878 14.3246783903095,-80.89754889834 14.3233567145836,-80.897697955251 14.3211662902104,-80.8978021089782 14.3198530049067,-80.898158581229 14.3159177475814,-80.8982921237024 14.3146069929998,-80.8985391358377 14.3124250039397,-80.898702867269 14.3111110611178,-80.8992650858515 14.3069840142193,-80.899518883595 14.3052612978398,-80.899929080765 14.3026757961822,-80.9001815014441 14.3011836171874,-80.9002624296861 14.3007241771667,-80.9004286536702 14.2998235830191,-80.90071760023 14.2983357390266,-80.9012445949176 14.2957637199339,-80.9016162626922 14.2940467991604,-80.9024919271878 14.2901996340996,-80.9026080978176 14.2897047087498,-80.9029004008607 14.2885012155857,-80.9035122610048 14.2861008367799,-80.9038975323173 14.2846650658244,-80.9045151314963 14.2824681577775,-80.9051189962149 14.2798848542133,-80.9055759932183 14.2780012594249,-80.9058638343022 14.2768650578347,-80.9063408449363 14.2750573623965,-80.906636203791 14.2739796172153,-80.9075263043665 14.2708478580532,-80.9078321237415 14.2698082102573,-80.9083577130734 14.2680800443785,-80.9086845752314 14.2670398081298,-80.9099610739399 14.2631080823744,-80.9105177342497 14.2614541687168,-80.911382090881 14.2589767154765,-80.911896614189 14.2575489304919,-80.9120582312538 14.2571097705845,-80.9123819437229 14.2562517102904,-80.9129310159638 14.2548360834741,-80.91390747935 14.2523929344591,-80.9145789019927 14.2507653110439,-80.9162062969016 14.2469382684714,-80.916681834401 14.245850943686,-80.9174880748844 14.2440563835663,-80.9179825691072 14.2429842570522,-80.9194997156512 14.2397788120609,-80.9200273837739 14.2386924760577,-80.9209277842517 14.2368856505905,-80.9214967706258 14.235773096118,-80.9221036741376 14.2346154293866,-80.9242591669216 14.2305714372929,-80.9251373678202 14.2289671609602,-80.9264724593469 14.226593065213,-80.9272588202584 14.2252284240276,-80.9274858756824 14.2248401993401,-80.9282010827324 14.2235373280197,-80.9295343445733 14.2211665121545,-80.9303206263681 14.2198019769912,-80.9305679724043 14.2193795805683,-80.9310647502689 14.2185474436823,-80.9319058319837 14.2171690348903,-80.9333946224472 14.2147872317732,-80.9344217345502 14.2131862476159,-80.9348677738062 14.2125061601988,-80.9350133667539 14.2112302214828,-80.9351762187248 14.2099220330092,-80.9356954734031 14.206094478067,-80.9358094222451 14.2052967131845,-80.9360084589431 14.203968210491,-80.9361335536728 14.2031705641301,-80.9364934494706 14.2009717184225,-80.9367945417545 14.1991622250478,-80.9370104469118 14.1979215453898,-80.9371841114664 14.1969806284018,-80.9373881583441 14.1959217203732,-80.9374947736679 14.1953601850094,-80.9376262137604 14.1946158586853,-80.937725566257 14.1940805231146,-80.9380220461775 14.1925505648599,-80.938553089525 14.1899562463342,-80.9388781892063 14.188448149342,-80.9390124900533 14.1878481550808,-80.9383194618623 14.1844096315834,-80.9379538630207 14.1827060584607,-80.9374745840673 14.1803518126769,-80.9373137820397 14.179513314785,-80.9369922240011 14.1772559013734,-80.9368956546011 14.1767580012683,-80.9364654611299 14.1744670223326,-80.9362424708779 14.1731291445287,-80.9360481683386 14.1718232612566,-80.9359114937319 14.1708151597248,-80.9355927917106 14.1682115125295,-80.9354385900699 14.166714730446,-80.9350156374866 14.1636759244294,-80.9349077837446 14.1625884686262,-80.9345588814919 14.1586711328376,-80.9344571109474 14.1573638561619,-80.9343117857197 14.1551834915905,-80.9342388844399 14.153867941738,-80.934056391401 14.1497211490769,-80.9339987663768 14.1479804137861,-80.9339411079847 14.1453590064591,-80.9339221392103 14.1436135407664,-80.9339227430709 14.1338528535062,-80.9339271558503 14.1331202815609,-80.9339461710803 14.131681014524,-80.9340067028292 14.1290568159263,-80.9340667457691 14.1273006135938,-80.9342554202751 14.123125089176,-80.9343303303585 14.1218028131707,-80.934479226806 14.119611398209,-80.9345832840145 14.1182975188228,-80.9349394660423 14.1143604823018,-80.9350729115615 14.1130491349657,-80.9353197617271 14.1108661597394,-80.935483395005 14.1095516254609,-80.9360450770102 14.1054243822039,-80.9362986439747 14.1037015297682,-80.9367084820012 14.1011157675306,-80.9369607199607 14.0996232367746,-80.9370415955953 14.0991636594998,-80.9372076215767 14.0982632813722,-80.9374962525999 14.0967756410125,-80.9380227109272 14.0942037716692,-80.9383940066683 14.0924869205596,-80.9393224530636 14.0884105902716,-80.9396446627812 14.087069407717,-80.940205109137 14.0848508656551,-80.9405568712174 14.0835234897651,-80.9416581285565 14.0795544592575,-80.942040699922 14.0782352297503,-80.9427038382573 14.0760438511767,-80.9429895294629 14.0751056094741,-80.9435031109691 14.073065918252,-80.9438388091517 14.0717918355776,-80.9448882570778 14.0679815361517,-80.9452523327768 14.0667149024645,-80.9458826408321 14.0646105293546,-80.9462769034152 14.0633458430844,-80.9475638860703 14.0593767180461,-80.9481200626256 14.0577226735979,-80.9489765080078 14.0552649048208,-80.9494753013229 14.0538780908672,-80.9497704226487 14.0530793330329,-80.949921948094 14.0526784217886,-80.9503951328178 14.0514493206146,-80.9512180407851 14.0493667573509,-80.9517798975894 14.0479831073952,-80.9525072455569 14.0462352333168,-80.9531170579443 14.0447770885601,-80.9534466508557 14.043943412452,-80.9537360380086 14.0432241852275,-80.954226223047 14.042028465023,-80.9545250399476 14.0413128732361,-80.9560398705302 14.0377526679433,-80.956570079545 14.036543235707,-80.9574761754244 14.0345371363185,-80.95803326715 14.0333392804127,-80.9597441078512 14.0297646558798,-80.9603278082985 14.0285789439224,-80.9613226037003 14.0266133233339,-80.9619356775217 14.0254346409547,-80.9639086659661 14.0217437345365,-80.9647506458492 14.0202085768793,-80.9660420844917 14.0179138841374,-80.9668031165326 14.0165931311335,-80.9670444679388 14.0161808038188,-80.9675369249289 14.0153553425774,-80.9683683603182 14.0139912601255,-80.9695940311381 14.0120233279921,-80.9698721112629 14.0115836535928,-80.9705400831645 14.0105453556876,-80.9718874869944 14.0085006472136,-80.9726468701905 14.00737629566,-80.9741974430813 14.0051330727001,-80.9745205674615 14.0046454758581,-80.9750406652671 14.0038719711083,-80.9768347712406 14.0012477148525,-80.9773492462396 14.0005071525211,-80.9782160347369 13.9992791512046,-80.9787416990701 13.9985461216014,-80.9800205819888 13.9967904594512,-80.9805198557985 13.996115018393,-80.9813599000018 13.9949949402325,-80.9818795383871 13.9943122329985,-80.9825421276695 13.9934553255733,-80.9833479304405 13.9924291724553,-80.9847708603987 13.9906464579232,-80.9854719439997 13.9897846360984,-80.9866456948488 13.9883684822996,-80.9873312250978 13.9875560134422,-80.988332104995 13.9863869070458,-80.9895583266847 13.9848781978008,-80.9899176751063 13.9844423240065,-80.99062680188 13.9835943284991,-80.9911442246697 13.9829889930281,-80.9921228911743 13.9818782363829,-80.9937655738654 13.9800589674598,-80.9947670471036 13.9789765136621,-80.9978299131998 13.975745200889,-80.9984163649234 13.9751364904247,-80.9986610436905 13.9748010044135,-80.9993643019499 13.9738458158279,-81.0006931236675 13.9720786003753,-81.0015062420932 13.9710216911874,-81.0041049202449 13.9677209930591,-81.005207229693 13.966351244232,-81.0068875671799 13.9643090737234,-81.0078731082364 13.9631355863273,-81.0081875682574 13.9627663229353,-81.0088349235645 13.9620189968925,-81.0099393698295 13.960768757264,-81.0118894779249 13.9586094861716,-81.0132153701695 13.957176172922,-81.0164585372416 13.9537523889221,-81.017550305257 13.9526223301237,-81.0192019582367 13.9509454779704,-81.0202999208692 13.9498517985339,-81.0211347885266 13.9490336150061,-81.021704461879 13.9484771123833,-81.0222599601131 13.9479344673248,-81.022676530347 13.9475275326202,-81.0229947602699 13.9472166620043,-81.023676124591 13.9465515718399,-81.0249266424315 13.9453516179144,-81.0268562309691 13.943539082398,-81.0281566568279 13.9423437649103,-81.0316241878308 13.9392254053632,-81.0330489199782 13.9379735447571,-81.0351894392217 13.9361359134183,-81.0364213091956 13.9351006327493,-81.0371539060826 13.9344965530665,-81.0375392897656 13.9341840115973,-81.0387665260653 13.9332026413933,-81.0408755989424 13.9315509251061,-81.0422873537662 13.9304697838537,-81.045671798378 13.9279344304395,-81.0467550634244 13.9271414857438,-81.048566207469 13.9258457584947,-81.0496615538598 13.9250799061253,-81.0529721428198 13.9228180689249,-81.0540842908219 13.9220757320143,-81.0559514715352 13.9208583778354,-81.0570798795295 13.9201399282973,-81.0595214230512 13.918620773054,-81.0600552173064 13.9182821673105,-81.0641609703078 13.9157131142666,-81.0658035211197 13.9147111671352,-81.0682361876892 13.9132654009168,-81.0696307357053 13.9124561553271,-81.070459229226 13.9119856033119,-81.070892728642 13.9117439996891,-81.0722727376058 13.9109871275499,-81.0746411692255 13.9097189693919,-81.0762225110211 13.908893995573,-81.0800101543353 13.9069685175429,-81.0812461205246 13.9063575546061,-81.0833076032284 13.9053667234361,-81.0844843719408 13.904816519562,-81.0860334564522 13.9035442246522,-81.0872655286434 13.9025086153593,-81.0879982154787 13.90190437157,-81.0883835653975 13.9015918119821,-81.0896106013975 13.9006104599366,-81.0917193588406 13.8989587510297,-81.0931309056795 13.8978776120277,-81.0965261052228 13.8953340314463,-81.0976771864982 13.894492519932,-81.0996031946759 13.8931183540327,-81.1007685557478 13.8923069458029,-81.1042932201036 13.8899124706228,-81.1054837045922 13.8891236332123,-81.1074849279545 13.8878305891623,-81.1087066822945 13.8870611963904,-81.1127637928976 13.8845714087095,-81.1148221826942 13.8833309840439,-81.1158794425609 13.8827048812441,-81.1173934427792 13.8818232961627,-81.1184738853217 13.8812049154508,-81.1193335074629 13.8807241764948,-81.1206911801809 13.8799809148755,-81.1231109154999 13.8786874069287,-81.1247475232925 13.8778355988529,-81.1287777442132 13.8757932480844,-81.130034037546 13.875167627525,-81.1310076859802 13.8746896856251,-81.1320203141414 13.8741960813039,-81.1331226179733 13.8736533885895,-81.134153770406 13.8731546374592,-81.1358802057775 13.8723390609689,-81.1368459158238 13.8718932335658,-81.1372474661939 13.8716802981716,-81.1384095564122 13.8710444428659,-81.1407576199646 13.8697872333685,-81.142338680465 13.868962260044,-81.1461209369966 13.8670391132877,-81.1473281325186 13.8664418844685,-81.1493411572595 13.8654729130007,-81.1505554396701 13.8649044024309,-81.1542161142545 13.8632381970842,-81.1554427781863 13.8626956780172,-81.1575412665822 13.8619148677121,-81.1587920192696 13.8613917693922,-81.1601965828474 13.8607452529774,-81.1626822554043 13.8597079532989,-81.1643421414404 13.8590719907132,-81.16687415121 13.8582023716642,-81.1675111300739 13.8579869449012,-81.1683060128345 13.8575638235526,-81.1687592257125 13.857400249012,-81.1696300685188 13.8570935838414,-81.1710825792191 13.8565965192859,-81.1736160569483 13.8557571646972,-81.1753184531306 13.8552130919427,-81.1793824794273 13.8539609408721,-81.1806659447318 13.8535806658813,-81.1828012784886 13.8529726506922,-81.1840864941347 13.8526213724957,-81.187952552196 13.8516085524449,-81.1892452034819 13.8512844871331,-81.1913933807155 13.8507699175277,-81.1925981251436 13.8504938880922,-81.1944200713877 13.8500929464041,-81.1954081271829 13.8498686837494,-81.1999630156991 13.8488647615167,-81.2018873256575 13.8484634968908,-81.2047566586116 13.8478998127075,-81.2064019909841 13.8475947181634,-81.2073814346898 13.8474227248624,-81.2078908554032 13.8473376239716,-81.2092852783404 13.8471135350164,-81.2097776830173 13.8470373371067,-81.2103818314934 13.846914173244,-81.2124975416282 13.8464793677271,-81.2138550059512 13.8462117881635,-81.215833107087 13.8458386787553,-81.2170301590422 13.8457697239572,-81.2175257316536 13.8456294203342,-81.2182349317799 13.8455126808145,-81.2197121486332 13.8452347010837,-81.2212209816353 13.8449577026511,-81.2223046563379 13.84479524169,-81.2236097726023 13.8446285575011,-81.2252249490931 13.8444528246806,-81.2264850703539 13.8443630511409,-81.2283315006079 13.8441939669177,-81.2292935692321 13.843913430094,-81.2311753718579 13.8436909640152,-81.2317346526534 13.8436287217173,-81.232621157027 13.8435360579709,-81.2335095060258 13.8434527095402,-81.2348635859 13.8433401258597,-81.2359982605709 13.8432612000732,-81.2382231886226 13.8431366027946,-81.2406610422893 13.8430706973807,-81.2412316080113 13.8430091430356,-81.2422919570141 13.8429179922971,-81.2432924225421 13.8428439851262,-81.245295334511 13.8427197914622,-81.2463099597868 13.8426691529224,-81.2474188425273 13.842627478399)))', 'Colombian Exclusive Economic Zone (Quitasueño)', 'Colombia', 'Colombia', '', '132', '258', 'COL', '33183', '2014-02', '4645350207', '33183', 'Y'),('SRID=4326;MULTIPOLYGON(((171.79980466 -28.995222675,171.80022266 -29.0106196749999,171.80056066 -29.0260186749999,171.80081866 -29.0414196749999,171.80099466 -29.056820675,171.80109166 -29.072221675,171.80110666 -29.087623675,171.80104166 -29.103025675,171.80089566 -29.118426675,171.80066866 -29.133826675,171.80036066 -29.149226675,171.79997266 -29.164624675,171.79950266 -29.180020675,171.79895266 -29.1954146749999,171.79832166 -29.210805675,171.79760966 -29.2261946749999,171.79681566 -29.241580675,171.79594166 -29.256962675,171.79498666 -29.272341675,171.79400566 -29.287786675,171.79294266 -29.303226675,171.79179866 -29.3186626749999,171.79057266 -29.334093675,171.78926466 -29.349520675,171.78787466 -29.364940675,171.78640266 -29.380355675,171.78486766 -29.3955936749999,171.78325266 -29.410824675,171.78155766 -29.4260496749999,171.77978166 -29.4412676749999,171.77792666 -29.456477675,171.77599166 -29.4716806759999,171.77397666 -29.486875676,171.77188166 -29.502061676,171.76970566 -29.517239676,171.76745066 -29.5324086759999,171.76511566 -29.547568676,171.76270066 -29.562718676,171.76020566 -29.5778596759999,171.75763066 -29.5929896759999,171.75497566 -29.608108676,171.75224066 -29.623217676,171.74942566 -29.6383146759999,171.74653166 -29.6534006759999,171.74355666 -29.668475676,171.74050266 -29.683537676,171.73736866 -29.6985866759999,171.73415566 -29.7136236759999,171.73086166 -29.728647676,171.72748866 -29.7436576759999,171.72403666 -29.7586546759999,171.72050366 -29.773636676,171.71689266 -29.788604676,171.71320066 -29.803558676,171.70943066 -29.8184966759999,171.70557966 -29.8334196759999,171.70165066 -29.8483266759999,171.69764166 -29.863218676,171.69355366 -29.8780936759999,171.68938566 -29.8929526759999,171.68513966 -29.907793676,171.68081366 -29.922618676,171.67640866 -29.937424676,171.67192566 -29.9522136759999,171.66736266 -29.966984676,171.66272066 -29.981736676,171.65800066 -29.9964696759999,171.65320166 -30.011184676,171.64832366 -30.0258786759999,171.64346266 -30.040385676,171.63852466 -30.0548726759999,171.63351066 -30.069339676,171.62841966 -30.0837866759999,171.62325166 -30.0982136759999,171.61800766 -30.112619676,171.61268766 -30.127004676,171.60729066 -30.141368676,171.60181866 -30.155710676,171.59652466 -30.1705326759999,171.59114966 -30.185331676,171.58569366 -30.200109676,171.58015766 -30.2148646759999,171.57454166 -30.229596676,171.56884466 -30.244306676,171.56306766 -30.2589926759999,171.55721066 -30.273654676,171.55127366 -30.288292676,171.54525666 -30.302906676,171.53915966 -30.317495676,171.53298266 -30.332060676,171.52672566 -30.3465986759999,171.52038966 -30.361111676,171.51397466 -30.375599676,171.50747966 -30.390059676,171.50090566 -30.404494676,171.49425266 -30.418901676,171.48752066 -30.433281676,171.48070966 -30.447633676,171.47381966 -30.4619576759999,171.46685066 -30.4762546759999,171.45980366 -30.490521676,171.45267866 -30.5047606759999,171.44547466 -30.518969676,171.43819266 -30.5331496759999,171.43083266 -30.547299677,171.42339466 -30.5614196769999,171.41587866 -30.575509677,171.40828566 -30.5895686769999,171.40061466 -30.6035956769999,171.39286666 -30.617591677,171.38504166 -30.6315566769999,171.37713866 -30.6454886769999,171.36915966 -30.659388677,171.36110266 -30.6732556769999,171.35303366 -30.6869836769999,171.34488966 -30.7006776769999,171.33667066 -30.7143396769999,171.32837566 -30.727967677,171.32000666 -30.7415616769999,171.31156266 -30.755122677,171.30304366 -30.7686486769999,171.29445066 -30.782139677,171.28578366 -30.7955966769999,171.27704166 -30.8090176769999,171.26822666 -30.822403677,171.259337659 -30.835753677,171.250374659 -30.8490676769999,171.241338659 -30.862345677,171.232229659 -30.8755866769999,171.223047659 -30.888790677,171.213791659 -30.9019566769999,171.204463659 -30.915086677,171.201140659 -30.9197146769999,171.201140534 -30.9197147529999,171.20114041 -30.919714929,170.766820556 -31.1833002129999,170.583487222 -31.299966927,170.550153889 -31.3166335989999,168.67779007 -32.4174552389999,168.667769492 -32.419110481,168.665394639 -32.419502769,168.665373846 -32.4195060289999,168.647455657 -32.4223906779999,168.629499657 -32.4252056779999,168.611527657 -32.427946678,168.593540657 -32.430615678,168.575536657 -32.433210678,168.557518657 -32.435731678,168.539486657 -32.438180678,168.521439657 -32.440555678,168.503378657 -32.4428566779999,168.485304657 -32.4450846779999,168.467217657 -32.447239678,168.449118657 -32.4493196779999,168.431007657 -32.4513266779999,168.412885657 -32.4532606779999,168.394751657 -32.455119678,168.376606657 -32.4569056779999,168.358452657 -32.4586166779999,168.340287657 -32.460254678,168.322113657 -32.4618186779999,168.303930657 -32.463308678,168.285739657 -32.464723678,168.267540657 -32.466065678,168.249332657 -32.4673336779999,168.231118657 -32.4685266779999,168.212897657 -32.4696456779999,168.194670657 -32.470691678,168.176436657 -32.471661678,168.158197657 -32.472558678,168.139953657 -32.473380678,168.121705657 -32.4741296779999,168.103452657 -32.4748026779999,168.085196657 -32.475402678,168.066936657 -32.4759276779999,168.048673657 -32.4763786779999,168.030408656 -32.476754678,168.012141656 -32.4770566779999,167.993873656 -32.4772846779999,167.975603656 -32.4774386779999,167.957333656 -32.477517678,167.939062656 -32.477521678,167.920792656 -32.477451678,167.902522656 -32.4773076779999,167.884253656 -32.477089678,167.865986656 -32.476796678,167.847721656 -32.4764296779999,167.829458656 -32.475987678,167.811198656 -32.475471678,167.792941656 -32.474881678,167.774688656 -32.4742166779999,167.756439656 -32.4734776779999,167.738194656 -32.4726646779999,167.719955656 -32.471777678,167.701721656 -32.470815678,167.683492656 -32.469779678,167.665271656 -32.468669678,167.647055656 -32.4674856779999,167.628847656 -32.4662266779999,167.610647656 -32.464894678,167.592454656 -32.463487678,167.574270656 -32.462006678,167.556095656 -32.460452678,167.537930656 -32.4588236779999,167.519774656 -32.457121678,167.501628656 -32.455344678,167.483493656 -32.453494678,167.465369656 -32.4515706779999,167.447256656 -32.449572678,167.429156656 -32.447500678,167.411067656 -32.4453556779999,167.392992656 -32.443136678,167.374930656 -32.440844678,167.356881656 -32.438478678,167.338847656 -32.4360396779999,167.320827656 -32.433526678,167.302822656 -32.430940678,167.284832656 -32.428281678,167.266858656 -32.425548678,167.248900656 -32.422742678,167.230959656 -32.419864678,167.213035656 -32.416912678,167.195129656 -32.413887678,167.177240656 -32.410790678,167.159370656 -32.4076196779999,167.141518656 -32.4043766779999,167.123686656 -32.401061678,167.105874656 -32.3976736779999,167.088081656 -32.394212678,167.070309656 -32.390679678,167.052558656 -32.387074678,167.034828656 -32.3833966779999,167.017119656 -32.379646678,166.999433656 -32.375825678,166.981770656 -32.371931678,166.964413655 -32.368030678,166.947080655 -32.3640606779999,166.929769655 -32.360021678,166.912482655 -32.355912678,166.895218655 -32.351734678,166.877979655 -32.3474876779999,166.860764655 -32.343170678,166.843575655 -32.338785678,166.826411655 -32.334332678,166.809272655 -32.3298096779999,166.792160655 -32.3252186779999,166.775074655 -32.3205596779999,166.758015655 -32.3158316779999,166.740984655 -32.3110346779999,166.723980655 -32.3061706779999,166.707005655 -32.3012386779999,166.690058655 -32.296237678,166.673139655 -32.291169678,166.656250655 -32.286033678,166.639391655 -32.280830678,166.622562655 -32.275559678,166.605763655 -32.270221678,166.588995655 -32.2648166779999,166.572258655 -32.2593436779999,166.555553655 -32.2538046779999,166.538879655 -32.2481986779999,166.522238655 -32.2425256779999,166.505629655 -32.2367856779999,166.489054655 -32.230979678,166.472512655 -32.225107678,166.456004655 -32.219168678,166.439530655 -32.2131646779999,166.423090655 -32.207093678,166.406686655 -32.200957678,166.390316655 -32.194755678,166.373983655 -32.1884886779999,166.357685655 -32.182155678,166.341424655 -32.175758678,166.325199655 -32.169295678,166.309012655 -32.162767678,166.292862655 -32.156174678,166.276874655 -32.149570678,166.260925655 -32.142902678,166.245013655 -32.136171678,166.229140655 -32.129376678,166.213305655 -32.1225196779999,166.197509655 -32.115599678,166.181753655 -32.108616678,166.166036655 -32.101571678,166.150359655 -32.094463678,166.134723655 -32.087293678,166.119127655 -32.0800616779999,166.103573655 -32.0727676779999,166.088059655 -32.065411678,166.072588655 -32.0579946779999,166.057158655 -32.050516678,166.041771655 -32.0429766779999,166.026426655 -32.035375678,166.011125655 -32.0277136779999,165.995867655 -32.0199916779999,165.980653655 -32.012208678,165.965482655 -32.0043656779999,165.950356655 -31.9964616779999,165.935275655 -31.9884986779999,165.920239655 -31.9804756779999,165.905248655 -31.9723926779999,165.890303654 -31.9642496779999,165.875404654 -31.9560486779999,165.860551654 -31.9477876779999,165.845744654 -31.939467678,165.830985654 -31.931089678,165.816273654 -31.922652678,165.801608654 -31.914157678,165.786992654 -31.905603678,165.772423654 -31.8969926779999,165.757684654 -31.8881926779999,165.742996654 -31.879333678,165.728358654 -31.870414678,165.713771654 -31.861437678,165.699236654 -31.852401678,165.684752654 -31.843307678,165.670320654 -31.8341546779999,165.667550654 -31.832387678,165.655940654 -31.824943678,165.641612654 -31.8156746779999,165.627338654 -31.8063486779999,165.613116654 -31.7969646779999,165.598948654 -31.787523678,165.584834654 -31.7780256779999,165.570774654 -31.768470678,165.556768654 -31.758859678,165.542817654 -31.7491916779999,165.528921654 -31.739467678,165.515080654 -31.7296876779999,165.501295654 -31.7198516779999,165.487566654 -31.709960678,165.473893654 -31.7000146779999,165.460276654 -31.690013678,165.446716654 -31.6799566779999,165.433213654 -31.6698466779999,165.419767654 -31.659681678,165.406380654 -31.649462678,165.393049654 -31.639189678,165.379778654 -31.628862678,165.366564654 -31.618482678,165.353409654 -31.6080496769999,165.340314654 -31.597563677,165.327277654 -31.5870246769999,165.314301654 -31.576433677,165.301384654 -31.5657906769999,165.288527654 -31.5550946769999,165.275730654 -31.544347677,165.262995654 -31.5335496769999,165.250320654 -31.5226996769999,165.237706654 -31.5117996769999,165.225154654 -31.500847677,165.212664654 -31.4898456769999,165.200235654 -31.4787936769999,165.187869654 -31.4676916769999,165.175565654 -31.456539677,165.163324654 -31.4453386769999,165.151146654 -31.434087677,165.139032654 -31.422788677,165.126980654 -31.411439677,165.114993654 -31.4000436769999,165.103070654 -31.3885986769999,165.091210654 -31.377105677,165.079416654 -31.365564677,165.067686654 -31.3539776769999,165.056021654 -31.342341677,165.044421654 -31.330659677,165.032887654 -31.318931677,165.021418654 -31.307156677,165.010015654 -31.295335677,164.998679654 -31.283468677,164.987409654 -31.271555677,164.976205654 -31.2595986769999,164.965068654 -31.2475956769999,164.953998654 -31.2355476769999,164.942996654 -31.2234556769999,164.932061654 -31.2113196769999,164.921194654 -31.1991396769999,164.910394654 -31.1869156769999,164.899663654 -31.1746476769999,164.889000654 -31.162337677,164.878406654 -31.149984677,164.867881654 -31.1375886769999,164.857424654 -31.125150677,164.847037654 -31.112670677,164.836719654 -31.1001486769999,164.826471654 -31.0875846769999,164.816292653 -31.0749806769999,164.806253653 -31.062423677,164.796284653 -31.0498276769999,164.786384653 -31.037190677,164.776553653 -31.024514677,164.766792653 -31.0117996769999,164.757102653 -30.999045677,164.747481653 -30.986252677,164.737931653 -30.973421677,164.728451653 -30.960552677,164.719042653 -30.947645677,164.709703653 -30.934701677,164.700436653 -30.9217196769999,164.691240653 -30.908700677,164.682116653 -30.8956456769999,164.673063653 -30.882553677,164.664081653 -30.869425677,164.655172653 -30.856261677,164.646335653 -30.843062677,164.637569653 -30.829828677,164.628877653 -30.8165586769999,164.620256653 -30.803254677,164.611709653 -30.789916677,164.603234653 -30.7765446769999,164.594833653 -30.763137677,164.586504653 -30.749698677,164.578249653 -30.7362256769999,164.570067653 -30.7227196769999,164.561959653 -30.7091806769999,164.553925653 -30.6956106769999,164.545956653 -30.681996677,164.538061653 -30.668351677,164.530240653 -30.6546746769999,164.522494653 -30.6409656769999,164.514822653 -30.627226677,164.507225653 -30.6134576769999,164.499703653 -30.599657677,164.492256653 -30.5858276769999,164.484884653 -30.571967677,164.477587653 -30.558078677,164.470366653 -30.544160677,164.463220653 -30.530213676,164.456149653 -30.5162386759999,164.449154653 -30.5022356759999,164.442236653 -30.488203676,164.435393653 -30.474144676,164.428626653 -30.460058676,164.421935653 -30.445945676,164.415321653 -30.431805676,164.408783653 -30.417639676,164.402321653 -30.4034466759999,164.395936653 -30.389228676,164.389628653 -30.3749856759999,164.383397653 -30.360716676,164.377242653 -30.346423676,164.371165653 -30.332105676,164.365165653 -30.317763676,164.359241653 -30.303397676,164.353396653 -30.289007676,164.347627653 -30.2745946759999,164.341936653 -30.2601586759999,164.336323653 -30.245700676,164.330787653 -30.231219676,164.325329653 -30.216716676,164.319949653 -30.202191676,164.314647653 -30.1876456759999,164.309423653 -30.1730786759999,164.304276653 -30.1584906759999,164.299208653 -30.143882676,164.294218653 -30.129253676,164.289307653 -30.1146056759999,164.284473653 -30.099937676,164.279719653 -30.0852506759999,164.274565653 -30.0705666759999,164.269490653 -30.0558626759999,164.264495653 -30.0411386759999,164.259579653 -30.0263946759999,164.254742653 -30.011630676,164.249984653 -29.996846676,164.245306653 -29.9820446759999,164.240707653 -29.9672236759999,164.236188653 -29.952383676,164.231748653 -29.937525676,164.227388653 -29.9226506759999,164.223107653 -29.907757676,164.218907653 -29.892847676,164.214786653 -29.877920676,164.210745653 -29.862977676,164.206784653 -29.848018676,164.202903653 -29.8330426759999,164.199102653 -29.818051676,164.195381653 -29.803045676,164.191740653 -29.788025676,164.188180653 -29.772989676,164.184699653 -29.757939676,164.181299653 -29.742876676,164.177979653 -29.727799676,164.174739653 -29.712708676,164.171580653 -29.697605676,164.168501653 -29.6824896759999,164.165502653 -29.6673616759999,164.162584653 -29.652221676,164.159746653 -29.637069676,164.156989653 -29.621906676,164.154312653 -29.606732676,164.151716653 -29.5915476759999,164.149200653 -29.5763526759999,164.146764653 -29.561147676,164.144410653 -29.545932676,164.142136653 -29.530708676,164.139942653 -29.5154756759999,164.137829653 -29.5002336759999,164.135797653 -29.484983676,164.133845653 -29.4697246759999,164.131974653 -29.454458675,164.130184653 -29.439185675,164.128474653 -29.423904675,164.126845653 -29.408617675,164.125296653 -29.393323675,164.123828653 -29.378023675,164.122441653 -29.3627176749999,164.121134653 -29.3474066749999,164.119908653 -29.332090675,164.118762653 -29.3167696749999,164.117697653 -29.301443675,164.116744653 -29.286631675,164.115866653 -29.271816675,164.115063653 -29.256997675,164.114336653 -29.2421756749999,164.113683653 -29.227351675,164.113106653 -29.2125246749999,164.112603653 -29.197695675,164.112176653 -29.182864675,164.111824653 -29.1680326749999,164.111547653 -29.1531986749999,164.111345653 -29.1383646749999,164.111218653 -29.1235286749999,164.111166653 -29.108693675,164.111189653 -29.093857675,164.111286653 -29.079021675,164.111459653 -29.064186675,164.111488653 -29.048659675,164.111599653 -29.0331316749999,164.111793653 -29.017605675,164.112068653 -29.0020796749999,164.112425653 -28.986554675,164.112864653 -28.9710316749999,164.113385653 -28.955510675,164.113988653 -28.9399926749999,164.114672653 -28.9244756749999,164.115438653 -28.9089626749999,164.116285653 -28.8934526749999,164.117214653 -28.877946675,164.118225653 -28.862443675,164.119317653 -28.846945675,164.120490653 -28.831451675,164.121744653 -28.815963675,164.123080653 -28.800479675,164.124497653 -28.7850016749999,164.125995653 -28.7695296749999,164.127574653 -28.7540636749999,164.129234653 -28.738604675,164.130974653 -28.7231526749999,164.132796653 -28.7077076749999,164.134699653 -28.692269675,164.136682653 -28.6768406749999,164.138745653 -28.6614186749999,164.140889653 -28.646005675,164.143114653 -28.630601675,164.145419653 -28.615206675,164.147804653 -28.5998216749999,164.150269653 -28.584446675,164.152815653 -28.569080675,164.155440653 -28.553726675,164.158146653 -28.538382675,164.160931653 -28.523049675,164.163796653 -28.507728675,164.166740653 -28.492418675,164.169764653 -28.477121675,164.172868653 -28.461836675,164.176051653 -28.4465646749999,164.179313653 -28.431305675,164.182654653 -28.416060675,164.186074653 -28.400828675,164.189573653 -28.385610674,164.193151653 -28.370407674,164.196808653 -28.355218674,164.200543653 -28.340045674,164.204357653 -28.324887674,164.208249653 -28.3097446739999,164.212220653 -28.2946186739999,164.216268653 -28.2795086739999,164.220395653 -28.264414674,164.224599653 -28.2493386739999,164.228882653 -28.2342786739999,164.233241653 -28.2192376739999,164.237679653 -28.204213674,164.242194653 -28.1892076739999,164.246786653 -28.174220674,164.251455653 -28.159252674,164.256202653 -28.144303674,164.261025653 -28.129373674,164.265925653 -28.114464674,164.270901653 -28.0995746739999,164.275954653 -28.084705674,164.281084653 -28.0698566739999,164.286290653 -28.055029674,164.291571653 -28.0402236739999,164.296929653 -28.025439674,164.302362653 -28.010676674,164.307872653 -27.995936674,164.313456653 -27.9812196739999,164.319116653 -27.966524674,164.324851653 -27.9518536739999,164.330662653 -27.937205674,164.336547653 -27.922581674,164.342507653 -27.9079816739999,164.348541653 -27.893405674,164.354650653 -27.878854674,164.360834653 -27.864329674,164.367091653 -27.849828674,164.373422653 -27.835354674,164.379828653 -27.820905674,164.386307653 -27.8064826739999,164.392859653 -27.792086674,164.399485653 -27.777717674,164.406183653 -27.763375674,164.412955653 -27.749061674,164.419800653 -27.7347746739999,164.426717653 -27.720515674,164.433578653 -27.706389674,164.440510653 -27.6922916739999,164.447513653 -27.6782216739999,164.454587653 -27.664179674,164.461731653 -27.6501666739999,164.468946653 -27.6361826739999,164.476231653 -27.6222286739999,164.483587653 -27.608303674,164.491012653 -27.594408674,164.498507653 -27.580543674,164.506072653 -27.566708674,164.513706653 -27.5529046739999,164.521409653 -27.539131674,164.529181653 -27.5253896739999,164.537022653 -27.5116796739999,164.544932653 -27.498001674,164.552910653 -27.484355674,164.560957653 -27.470741674,164.569072653 -27.457160674,164.577254653 -27.443611674,164.585505653 -27.430096674,164.593823653 -27.416615674,164.602208653 -27.403167674,164.610661653 -27.389753674,164.619263653 -27.376243674,164.627933653 -27.3627686739999,164.636671653 -27.3493296739999,164.645477653 -27.335925674,164.654350653 -27.3225586739999,164.663290653 -27.309227673,164.672298653 -27.295932673,164.681372653 -27.282675673,164.690513653 -27.2694546729999,164.699721653 -27.256271673,164.708995653 -27.2431266729999,164.718334653 -27.230019673,164.727740653 -27.2169506729999,164.737211653 -27.203919673,164.746747653 -27.190928673,164.756349653 -27.1779756729999,164.766016653 -27.165062673,164.775747653 -27.152188673,164.785543653 -27.139354673,164.795403653 -27.126560673,164.805327653 -27.1138076729999,164.815315653 -27.101094673,164.825366654 -27.088422673,164.835481654 -27.075792673,164.836313654 -27.074758673,164.845659654 -27.063202673,164.855900654 -27.0506556729999,164.866204654 -27.038149673,164.876570654 -27.0256866729999,164.886998654 -27.013265673,164.897488654 -27.000887673,164.908040654 -26.988551673,164.918654654 -26.976259673,164.929329654 -26.964011673,164.940065654 -26.951806673,164.950861654 -26.939645673,164.961719654 -26.927528673,164.972636654 -26.9154566729999,164.983614654 -26.903428673,164.994651654 -26.891445673,165.005749654 -26.879508673,165.016905654 -26.8676166729999,165.028121654 -26.8557706729999,165.039395654 -26.8439696729999,165.050729654 -26.832215673,165.062120654 -26.820507673,165.073570654 -26.8088466729999,165.085077654 -26.7972326729999,165.096643654 -26.7856646729999,165.108265654 -26.774145673,165.119945654 -26.7626726729999,165.131681654 -26.751248673,165.143475654 -26.739871673,165.155324654 -26.7285436729999,165.167230654 -26.7172646729999,165.179191654 -26.706033673,165.191209654 -26.694851673,165.203281654 -26.6837186729999,165.215409654 -26.6726356729999,165.227591654 -26.6616026729999,165.239828654 -26.6506186729999,165.252119654 -26.639684673,165.264464654 -26.6288016729999,165.276863654 -26.617968673,165.289316654 -26.6071866729999,165.301821654 -26.596455673,165.314380654 -26.5857756729999,165.326992654 -26.5751476729999,165.339655654 -26.5645706729999,165.352371654 -26.554045673,165.365139654 -26.543572673,165.377959654 -26.533152673,165.390829654 -26.5227846729999,165.403751654 -26.5124686729999,165.416724654 -26.5022066729999,165.429747654 -26.491996673,165.442821654 -26.481840673,165.455944654 -26.4717386729999,165.469117654 -26.461689673,165.482340654 -26.451694673,165.495612654 -26.4417536729999,165.508932654 -26.4318676729999,165.522301654 -26.422035673,165.535719654 -26.4122576729999,165.549184654 -26.4025356729999,165.562698654 -26.392868673,165.576258654 -26.3832566729999,165.589866654 -26.373700673,165.603521654 -26.364199673,165.617222654 -26.3547556729999,165.630970654 -26.3453666729999,165.644763654 -26.336034673,165.658603654 -26.326758673,165.667514654 -26.3208316729999,165.672488654 -26.3175396729999,165.686418654 -26.3083766729999,165.700393654 -26.299271673,165.714412654 -26.290223673,165.728476654 -26.281232673,165.742584654 -26.272299673,165.756735654 -26.263423673,165.770930654 -26.254606673,165.785168654 -26.245847673,165.799449654 -26.2371456719999,165.813772654 -26.2285036719999,165.828138654 -26.2199196719999,165.842545654 -26.211394672,165.856995654 -26.2029276719999,165.860106654 -26.201115672,165.860431654 -26.2010756719999,168.738487657 -25.8449646719999,169.431684658 -25.930781672,169.439041658 -25.933579672,169.454625658 -25.939580672,169.470180658 -25.945644672,169.485706658 -25.951771672,169.501203658 -25.957960672,169.516669658 -25.964212672,169.532106658 -25.970525672,169.547512658 -25.9769016719999,169.562887658 -25.9833396719999,169.578231658 -25.989839672,169.593544658 -25.9964016719999,169.608825658 -26.003024672,169.624074658 -26.0097096719999,169.639291658 -26.016455672,169.654476658 -26.0232626719999,169.669627658 -26.0301306719999,169.684745658 -26.0370606719999,169.699830658 -26.044050672,169.714881658 -26.051101672,169.729898658 -26.058213672,169.744881658 -26.0653846719999,169.759829658 -26.072617672,169.774742658 -26.0799096719999,169.789619658 -26.087261672,169.804462658 -26.0946746719999,169.819268658 -26.1021466719999,169.834038658 -26.109677672,169.848772658 -26.117268672,169.863469658 -26.124918672,169.878129658 -26.132628672,169.892752658 -26.140396672,169.907337658 -26.148223672,169.921885658 -26.156109672,169.936394658 -26.164054672,169.950864658 -26.1720566719999,169.965296658 -26.1801176719999,169.979689658 -26.188236672,169.994043658 -26.1964136719999,170.008357658 -26.204648672,170.022832658 -26.2128316719999,170.037268658 -26.2210736719999,170.051663658 -26.229373672,170.066018658 -26.2377316719999,170.080333658 -26.2461476729999,170.094606658 -26.254621673,170.108838658 -26.263153673,170.123028658 -26.2717436729999,170.137176658 -26.2803906729999,170.151282658 -26.289094673,170.165346658 -26.297855673,170.179367658 -26.306674673,170.193345659 -26.315548673,170.207279659 -26.324480673,170.221170659 -26.333468673,170.235017659 -26.3425126729999,170.248819659 -26.351612673,170.262578659 -26.3607676729999,170.276291659 -26.3699796729999,170.289959659 -26.379246673,170.303582659 -26.388568673,170.317160659 -26.397945673,170.330691659 -26.4073776729999,170.344177659 -26.416864673,170.357616659 -26.426405673,170.371008659 -26.436001673,170.384353659 -26.4456516729999,170.397651659 -26.4553556729999,170.410902659 -26.465113673,170.424104659 -26.474924673,170.437259659 -26.484788673,170.450365659 -26.4947066729999,170.463422659 -26.5046776729999,170.476431659 -26.5147006729999,170.489391659 -26.524776673,170.502301659 -26.534905673,170.515161659 -26.545086673,170.527971659 -26.5553186729999,170.540731659 -26.5656036729999,170.553441659 -26.5759396729999,170.566100659 -26.586326673,170.578708659 -26.5967656729999,170.591264659 -26.6072546729999,170.603769659 -26.6177946729999,170.616222659 -26.628385673,170.628623659 -26.6390266729999,170.640972659 -26.6497176729999,170.653268659 -26.6604586729999,170.665511659 -26.671249673,170.677701659 -26.682089673,170.689838659 -26.692979673,170.701921659 -26.703917673,170.713950659 -26.714904673,170.725925659 -26.725940673,170.737845659 -26.7370256729999,170.749711659 -26.748157673,170.761522659 -26.7593376729999,170.773278659 -26.770566673,170.784979659 -26.781841673,170.796624659 -26.793164673,170.808213659 -26.804534673,170.819745659 -26.815950673,170.831222659 -26.827414673,170.842642659 -26.838923673,170.854005659 -26.8504796729999,170.865310659 -26.862080673,170.876559659 -26.873727673,170.887750659 -26.8854206729999,170.898882659 -26.897158673,170.909957659 -26.908941673,170.920974659 -26.9207686729999,170.931932659 -26.932640673,170.942831659 -26.944556673,170.953671659 -26.956516673,170.964452659 -26.9685206729999,170.975173659 -26.9805686729999,170.985835659 -26.9926586729999,170.996436659 -27.0047926729999,171.006978659 -27.016968673,171.017459659 -27.029187673,171.027879659 -27.0414496729999,171.038239659 -27.053752673,171.048537659 -27.0660976729999,171.058774659 -27.0784846729999,171.068949659 -27.0909126729999,171.079063659 -27.1033816729999,171.089114659 -27.115891673,171.099104659 -27.1284416729999,171.109031659 -27.141032673,171.118895659 -27.153663673,171.128696659 -27.1663336729999,171.138434659 -27.179043673,171.148109659 -27.191793673,171.157720659 -27.204581673,171.167268659 -27.217408673,171.176752659 -27.2302746729999,171.186171659 -27.2431786729999,171.195526659 -27.2561196729999,171.204816659 -27.269099673,171.214042659 -27.282116673,171.223203659 -27.295170673,171.232298659 -27.3082616729999,171.241328659 -27.3213896739999,171.250292659 -27.3345536739999,171.259190659 -27.3477536739999,171.26802366 -27.3609896739999,171.27672466 -27.3741606739999,171.28536166 -27.387364674,171.29393266 -27.400604674,171.30243766 -27.4138776739999,171.31087566 -27.4271856739999,171.31924866 -27.440527674,171.32755466 -27.453901674,171.33579466 -27.467310674,171.34396766 -27.480751674,171.35207366 -27.494224674,171.36011266 -27.507730674,171.36808366 -27.5212696739999,171.37598766 -27.534839674,171.38382366 -27.5484406739999,171.39159266 -27.562073674,171.39929266 -27.575737674,171.40692466 -27.589432674,171.41448866 -27.6031576739999,171.42198366 -27.6169136739999,171.42940966 -27.630698674,171.43676666 -27.6445136739999,171.44405466 -27.6583586739999,171.45127366 -27.6722316739999,171.45842366 -27.686134674,171.46550266 -27.700065674,171.47251266 -27.714024674,171.47945366 -27.728011674,171.48632266 -27.7420266739999,171.49312266 -27.7560686739999,171.49985166 -27.770138674,171.50651066 -27.7842346739999,171.51309866 -27.7983576739999,171.51961466 -27.812506674,171.52606066 -27.8266816739999,171.53243566 -27.8408826739999,171.53873866 -27.855108674,171.54496966 -27.869360674,171.55112966 -27.8836366739999,171.55721766 -27.8979376739999,171.56323366 -27.912262674,171.56917766 -27.926611674,171.57504866 -27.9409846739999,171.58084766 -27.955380674,171.58657366 -27.9697996739999,171.59222766 -27.984242674,171.59780766 -27.9987066739999,171.60331566 -28.013193674,171.60875066 -28.027702674,171.61411166 -28.0422326739999,171.61944766 -28.0568916739999,171.62470966 -28.071571674,171.62989666 -28.0862726739999,171.63500866 -28.1009946739999,171.64004466 -28.1157366739999,171.64500666 -28.130499674,171.64989266 -28.1452816739999,171.65470366 -28.160083674,171.65943866 -28.1749056739999,171.66409766 -28.1897456739999,171.66868166 -28.2046046739999,171.67318866 -28.219481674,171.67762066 -28.234377674,171.68197566 -28.249290674,171.68625466 -28.2642206739999,171.69045666 -28.2791686739999,171.69458166 -28.294132674,171.69863066 -28.3091136739999,171.70260266 -28.3241116739999,171.70649766 -28.3391246739999,171.71031566 -28.354152674,171.71405666 -28.369196674,171.71772066 -28.384255674,171.72130666 -28.3993286749999,171.72481466 -28.414416675,171.72824566 -28.4295186749999,171.73159966 -28.444633675,171.73487466 -28.459762675,171.73807266 -28.4749046749999,171.74119166 -28.4900586749999,171.74423366 -28.505225675,171.74719666 -28.520404675,171.75008166 -28.535595675,171.75288766 -28.550798675,171.75561566 -28.566011675,171.75826466 -28.581236675,171.76083566 -28.596471675,171.76332766 -28.611716675,171.76574066 -28.6269716749999,171.76807466 -28.6422356749999,171.77032966 -28.657509675,171.77250566 -28.672792675,171.77460266 -28.688083675,171.77662066 -28.7033836749999,171.77855866 -28.7186906749999,171.78041766 -28.7340066749999,171.78219766 -28.749328675,171.78389666 -28.764658675,171.78551766 -28.779994675,171.78705766 -28.7953376749999,171.78851866 -28.8106856749999,171.78989966 -28.8260396749999,171.79120066 -28.8413996749999,171.79242166 -28.856764675,171.79356266 -28.872134675,171.79462366 -28.8875076749999,171.79560466 -28.9028856749999,171.79650566 -28.918267675,171.79732566 -28.933653675,171.79806566 -28.9490416749999,171.79872566 -28.964432675,171.79930566 -28.979826675,171.79980466 -28.995222675),(167.923581656 -29.056663675,167.964963656 -29.0811096749999,167.983308656 -29.066109675,167.998872656 -29.0274996749999,167.947345656 -29.0030546749999,167.930545656 -29.0005546749999,167.910945656 -29.007363675,167.916072656 -29.043054675,167.923581656 -29.056663675)))', 'Norfolk Island Exclusive Economic Zone', 'Norfolk Island', 'Australia', '', '16', '3', 'NFK', '8310', '', '431625335800', '8310', 'Y'),('SRID=4326;MULTIPOLYGON(((160.625212205 -51.176891344,160.633584914 -51.183369891,160.641389276 -51.1894086689999,160.658756468 -51.2028468729999,160.66933693 -51.211033712,160.678552223 -51.218164224,160.694518178 -51.230518194,160.705440294 -51.238969394,160.729836463 -51.2578464069999,160.739441872 -51.265278779,160.752319524 -51.275243114,160.832256114 -51.337095612,160.942384178 -51.422309351,160.96302024 -51.4382769069999,161.079038089 -51.526446822,161.331147398 -51.7180419659999,161.51640862 -51.858834666,161.635761877 -51.949539387,161.736760646 -52.0262952739999,161.953098063 -52.190704905,161.992023409 -52.219843824,162.052063479 -52.264788901,162.055697539 -52.267498568,162.316523948 -52.461978728,162.391802801 -52.518125551,162.608411218 -52.679683199,162.636161843 -52.7001806439999,162.745212989 -52.780729095,162.764835443 -52.7951702829999,162.922706276 -52.9079786839999,163.07090019 -53.0138723329999,163.073463159 -53.015703732,163.428386069 -53.269317939,163.647106307 -53.4256069749999,164.053718848 -53.716156596,164.122632922 -53.764358683,164.245011723 -53.8499567819999,164.271373471 -53.900492868,164.438960582 -54.2217612759999,164.444850507 -54.233052399,164.650285471 -54.618729378,164.661485335 -54.639755642,164.677839913 -54.6704591989999,164.680538048 -54.675460831,164.691191431 -54.695209397,164.691223368 -54.695268601,164.691289027 -54.695317018,164.690952653 -54.698570699,164.689256653 -54.713791699,164.687439653 -54.729007699,164.685500653 -54.744218699,164.683439653 -54.759424699,164.681256653 -54.774624699,164.678951653 -54.789818699,164.677068653 -54.801676699,164.675111653 -54.813530699,164.673079653 -54.8253806989999,164.670489653 -54.8401516989999,164.667783653 -54.8549156989999,164.664961653 -54.869672699,164.662023653 -54.884422699,164.658968653 -54.899164699,164.655798653 -54.913897699,164.652511653 -54.928622699,164.649107653 -54.943339699,164.646941653 -54.956082699,164.644690653 -54.9688206989999,164.642351653 -54.981552699,164.640140653 -54.9946166989999,164.637838653 -55.0076746989999,164.635445653 -55.020726699,164.633017653 -55.035523699,164.630472653 -55.050314699,164.627811653 -55.065097699,164.625032653 -55.079874699,164.622137653 -55.094643699,164.619125653 -55.109404699,164.615995653 -55.124158699,164.612748653 -55.138903699,164.609385653 -55.1536396989999,164.605903653 -55.168367699,164.602766653 -55.1820776989999,164.599527653 -55.195779699,164.596186653 -55.2094736989999,164.592744653 -55.223159699,164.589200653 -55.2368367,164.586630653 -55.2519027,164.583938653 -55.2669617,164.581125653 -55.2820136999999,164.578189653 -55.2970577,164.575131653 -55.3120936999999,164.571951653 -55.3271207,164.568649653 -55.3421407,164.565225653 -55.3571507,164.561678653 -55.3721527,164.558009653 -55.3871447,164.554217653 -55.4021266999999,164.550303653 -55.4170986999999,164.546266653 -55.4320597,164.542107653 -55.4470107,164.537825653 -55.4619506999999,164.533420653 -55.4768787,164.528893653 -55.4917947,164.524242653 -55.5066997,164.519469653 -55.5215916999999,164.514573653 -55.5364706999999,164.509554653 -55.5513377,164.504412653 -55.5661906999999,164.499147653 -55.5810296999999,164.493759653 -55.5958557,164.488248653 -55.6106667,164.482614653 -55.6254627,164.476857653 -55.6402447,164.470976653 -55.6550106999999,164.464973653 -55.6697617,164.458847653 -55.6844967,164.452597653 -55.6992147,164.446225653 -55.7139167,164.442556653 -55.7284167,164.438772653 -55.7429066999999,164.434872653 -55.7573877,164.430857653 -55.7718586999999,164.426725653 -55.7863187,164.422478653 -55.8007686999999,164.418114653 -55.8152077,164.413635653 -55.8296357,164.409040653 -55.8440517,164.404328653 -55.8584567,164.399500653 -55.8728497,164.394293653 -55.8880057,164.388956653 -55.9031487,164.383489653 -55.9182767,164.377894653 -55.9333907,164.372170653 -55.9484887,164.366316653 -55.9635716999999,164.360334653 -55.9786397,164.354222653 -55.9936906999999,164.347981653 -56.0087257,164.341611653 -56.0237447,164.335111653 -56.0387456999999,164.328483653 -56.0537297,164.321725653 -56.0686957,164.314838653 -56.0836437,164.307821653 -56.0985727,164.300676653 -56.1134837,164.293401653 -56.1283746999999,164.285997653 -56.1432477,164.278464653 -56.1580997,164.270802653 -56.1729316999999,164.263010653 -56.1877436999999,164.255090653 -56.2025336999999,164.247041653 -56.2173036999999,164.238862653 -56.2320516999999,164.230555653 -56.2467776999999,164.222119653 -56.2614816999999,164.213553653 -56.2761637,164.204859653 -56.2908227,164.196037653 -56.3054577,164.187085653 -56.320069701,164.178005653 -56.334657701,164.168796653 -56.349220701,164.159459653 -56.3637597009999,164.149993653 -56.378273701,164.140399653 -56.392762701,164.130677653 -56.407225701,164.120826653 -56.4216637009999,164.110848653 -56.4360747009999,164.100741653 -56.4504587009999,164.090506653 -56.464815701,164.080144653 -56.4791457009999,164.069653653 -56.493448701,164.059035653 -56.507722701,164.048290653 -56.5219687009999,164.037417653 -56.536186701,164.026416653 -56.550374701,164.015289653 -56.564533701,164.004034653 -56.578662701,163.992653653 -56.592762701,163.981144653 -56.606831701,163.969509653 -56.6208697009999,163.957747653 -56.6348767009999,163.945859653 -56.648852701,163.934213653 -56.662402701,163.922448653 -56.6759217009999,163.910563653 -56.6894097009999,163.898560653 -56.7028677009999,163.886439653 -56.716294701,163.874199653 -56.729689701,163.861840653 -56.743053701,163.849364653 -56.7563847009999,163.836769653 -56.769684701,163.824057653 -56.7829517009999,163.811227653 -56.796185701,163.798279653 -56.8093857009999,163.785214653 -56.8225537009999,163.772032653 -56.835686701,163.758733653 -56.8487857009999,163.745317652 -56.861850701,163.731785652 -56.8748807009999,163.717888652 -56.888112701,163.703870652 -56.901306701,163.689732652 -56.914464701,163.675474652 -56.9275857009999,163.661096652 -56.9406687009999,163.646599652 -56.953713701,163.631982652 -56.966720701,163.617246652 -56.979688701,163.602391652 -56.992618701,163.587417652 -57.0055087009999,163.572325652 -57.018359701,163.557115652 -57.031170701,163.541786652 -57.0439427009999,163.526340652 -57.056673701,163.510776652 -57.069363701,163.495095652 -57.0820127009999,163.479297652 -57.0946207009999,163.463382652 -57.107187701,163.447351652 -57.119711701,163.431203652 -57.1321937009999,163.414940652 -57.144633701,163.398561652 -57.1570307009999,163.382066652 -57.169384701,163.365457652 -57.181694701,163.348733652 -57.193961701,163.331894652 -57.206184701,163.314941652 -57.2183627009999,163.297874652 -57.2304967009999,163.280694652 -57.2425857009999,163.263400652 -57.2546287009999,163.245994652 -57.266626701,163.228474652 -57.278579701,163.210843652 -57.290485701,163.193099652 -57.302345701,163.175244652 -57.3141587009999,163.157277652 -57.325924701,163.139200652 -57.3376427009999,163.121012652 -57.349314701,163.102713652 -57.360937701,163.084305652 -57.3725127009999,163.065787652 -57.3840397019999,163.047159652 -57.395517702,163.028423652 -57.406946702,163.009783652 -57.418203702,162.991038652 -57.429411702,162.972186652 -57.4405717019999,162.953230652 -57.451682702,162.934169652 -57.462743702,162.915004652 -57.4737557019999,162.895735652 -57.484717702,162.876362652 -57.495629702,162.856885652 -57.506490702,162.837306652 -57.5173017019999,162.817625652 -57.5280607019999,162.797841652 -57.538769702,162.777956652 -57.5494267019999,162.757969652 -57.5600317019999,162.737882652 -57.570584702,162.717694652 -57.5810857019999,162.697406652 -57.5915337019999,162.677019652 -57.601929702,162.656532651 -57.612271702,162.635947651 -57.622560702,162.615263651 -57.632796702,162.594481651 -57.6429777019999,162.573602651 -57.6531057019999,162.552625651 -57.663178702,162.531553651 -57.673197702,162.510383651 -57.683161702,162.489119651 -57.6930707019999,162.467582651 -57.703058702,162.445948651 -57.712990702,162.424216651 -57.722864702,162.402389651 -57.732682702,162.380466651 -57.7424427019999,162.358448651 -57.752144702,162.336335651 -57.761789702,162.314128651 -57.7713757019999,162.291827651 -57.7809037019999,162.269433651 -57.790372702,162.246946651 -57.799782702,162.224367651 -57.8091347019999,162.201697651 -57.818425702,162.178935651 -57.827658702,162.156083651 -57.836830702,162.133140651 -57.8459427019999,162.110108651 -57.8549947019999,162.086987651 -57.863985702,162.063777651 -57.8729167019999,162.040479651 -57.8817857019999,162.017094651 -57.890594702,161.993621651 -57.899340702,161.970063651 -57.908025702,161.946418651 -57.916648702,161.922688651 -57.925209702,161.898874651 -57.9337087019999,161.874975651 -57.942143702,161.850993651 -57.950516702,161.826928651 -57.958826702,161.802780651 -57.9670737019999,161.778550651 -57.975256702,161.754239651 -57.9833757019999,161.729847651 -57.9914317019999,161.705375651 -57.9994227019999,161.680824651 -58.0073497019999,161.656193651 -58.0152117019999,161.631485651 -58.023009702,161.606698651 -58.0307417019999,161.58183465 -58.038409702,161.55689465 -58.0460107019999,161.53187865 -58.0535477019999,161.50678665 -58.061017702,161.48161965 -58.068422702,161.45637965 -58.075760702,161.43106565 -58.083032702,161.40567865 -58.090238702,161.38021965 -58.097377702,161.35468865 -58.104448702,161.32908665 -58.1114537019999,161.30341465 -58.1183907019999,161.27767265 -58.1252607019999,161.25186165 -58.132062702,161.22598265 -58.138796702,161.20003465 -58.145462702,161.17402065 -58.152060702,161.14793965 -58.158589702,161.12179365 -58.165050702,161.09558165 -58.171442702,161.06930565 -58.1777657019999,161.04296565 -58.1840197019999,161.01656165 -58.190204702,160.99009665 -58.196319702,160.96356865 -58.202365702,160.93697965 -58.208341702,160.91033065 -58.214247702,160.88362165 -58.220083702,160.85685365 -58.225848702,160.83002765 -58.231544702,160.80314365 -58.237168702,160.77583765 -58.242797702,160.74847565 -58.248354702,160.72105465 -58.2538377019999,160.69357865 -58.259247702,160.66604665 -58.264584702,160.63845965 -58.2698487019999,160.61081865 -58.275038702,160.58312365 -58.2801547019999,160.55537565 -58.2851977019999,160.52757665 -58.290165702,160.499725649 -58.2950607019999,160.471824649 -58.2998807019999,160.443873649 -58.304626702,160.415874649 -58.309297702,160.387826649 -58.313894702,160.359730649 -58.318416702,160.331588649 -58.322863702,160.303400649 -58.3272357019999,160.275167649 -58.3315327019999,160.246889649 -58.335753702,160.218568649 -58.339900702,160.190203649 -58.343970702,160.161797649 -58.347966702,160.133350649 -58.3518857019999,160.104861649 -58.355729702,160.076334649 -58.3594967019999,160.047767649 -58.3631887019999,160.019162649 -58.366804702,159.990519649 -58.370343702,159.961840649 -58.373806702,159.933125649 -58.3771927019999,159.904375649 -58.3805027019999,159.875591649 -58.383736702,159.846773649 -58.386892702,159.817923649 -58.389972702,159.789041649 -58.3929757019999,159.760128649 -58.3959017019999,159.731184649 -58.398750702,159.702211649 -58.401522702,159.673209649 -58.404216702,159.644180649 -58.406833702,159.615123649 -58.409373702,159.586040649 -58.411835702,159.556932649 -58.414220702,159.527799649 -58.4165287019999,159.498643649 -58.4187577019999,159.469463649 -58.420909702,159.440261648 -58.422983702,159.411038648 -58.424980702,159.381794648 -58.426898702,159.352530648 -58.428739702,159.323247648 -58.430501702,159.293947648 -58.432186702,159.264629648 -58.4337927019999,159.235294648 -58.435321702,159.205944648 -58.436771702,159.176579648 -58.4381437019999,159.147200648 -58.439436702,159.117808648 -58.440652702,159.088403648 -58.4417897019999,159.058987648 -58.4428477019999,159.029560648 -58.443828702,159.000123648 -58.444730702,158.970677648 -58.445553702,158.941223648 -58.446298702,158.911761648 -58.4469657019999,158.882293648 -58.4475527019999,158.852819648 -58.448062702,158.823340648 -58.448493702,158.793857648 -58.448845702,158.764371648 -58.449119702,158.734882648 -58.449314702,158.705392648 -58.449431702,158.675900648 -58.449469702,158.646409648 -58.449429702,158.616919648 -58.4493107019999,158.587430648 -58.449112702,158.557944648 -58.4488367019999,158.528461648 -58.448481702,158.498982648 -58.4480487019999,158.469508648 -58.447536702,158.440040648 -58.4469467019999,158.410579648 -58.446277702,158.381125648 -58.445530702,158.351679647 -58.444704702,158.322243647 -58.443800702,158.292816647 -58.442817702,158.263400647 -58.441756702,158.234239647 -58.440628702,158.205091647 -58.4394227019999,158.175955647 -58.4381397019999,158.146834647 -58.436779702,158.117726647 -58.435342702,158.088635647 -58.433829702,158.059559647 -58.432238702,158.030500647 -58.430571702,158.001460647 -58.428827702,157.972437647 -58.427006702,157.943435647 -58.425109702,157.914452647 -58.423135702,157.885490647 -58.421084702,157.856550647 -58.4189577019999,157.827633647 -58.4167547019999,157.798739647 -58.414474702,157.769869647 -58.412118702,157.741024647 -58.409686702,157.712205647 -58.407177702,157.683412647 -58.4045937019999,157.654646647 -58.401932702,157.625909647 -58.399195702,157.597200647 -58.396383702,157.568521647 -58.3934957019999,157.539873647 -58.390531702,157.511256647 -58.387491702,157.482670647 -58.3843767019999,157.454118647 -58.381185702,157.425598647 -58.377919702,157.397114647 -58.374578702,157.368664647 -58.3711617019999,157.340250647 -58.3676697019999,157.311873647 -58.364103702,157.283533646 -58.360461702,157.255231646 -58.356745702,157.226968646 -58.352954702,157.198745646 -58.349088702,157.170562646 -58.345148702,157.142420646 -58.341133702,157.114321646 -58.337044702,157.086264646 -58.332881702,157.058250646 -58.328644702,157.030280646 -58.3243337019999,157.002356646 -58.319948702,156.974477646 -58.315490702,156.946645646 -58.3109587019999,156.918859646 -58.306352702,156.891122646 -58.301673702,156.863433646 -58.296921702,156.835794646 -58.292096702,156.808204646 -58.287198702,156.780666646 -58.2822277019999,156.753179646 -58.2771837019999,156.725744646 -58.272067702,156.698362646 -58.266879702,156.671034646 -58.261618702,156.643761646 -58.256285702,156.616542646 -58.250881702,156.589380646 -58.245404702,156.562274646 -58.2398567019999,156.535225646 -58.234236702,156.508234646 -58.228545702,156.481302646 -58.222783702,156.454430646 -58.216950702,156.427617646 -58.211046702,156.400865646 -58.2050717019999,156.374175646 -58.199025702,156.347547646 -58.192909702,156.320981646 -58.1867237019999,156.294479646 -58.180467702,156.268042646 -58.174141702,156.241669646 -58.1677467019999,156.215362645 -58.1612807019999,156.189121645 -58.154746702,156.162946645 -58.148142702,156.136840645 -58.1414697019999,156.110773645 -58.134721702,156.084776645 -58.127905702,156.058849645 -58.121019702,156.032991645 -58.1140667019999,156.007205645 -58.1070447019999,155.981490645 -58.0999547019999,155.955848645 -58.092796702,155.930278645 -58.085571702,155.904782645 -58.078278702,155.879360645 -58.070918702,155.854014645 -58.063490702,155.828742645 -58.055996702,155.803547645 -58.0484357019999,155.778428645 -58.0408087019999,155.753386645 -58.033114702,155.728423645 -58.025355702,155.703538645 -58.0175297019999,155.678732645 -58.009638702,155.654006645 -58.001682702,155.629361645 -57.9936607019999,155.604796645 -57.985573702,155.580313645 -57.977422702,155.555912645 -57.969206702,155.531594645 -57.9609257019999,155.507359645 -57.952580702,155.483208645 -57.9441727019999,155.459142645 -57.935700702,155.435161645 -57.927164702,155.411265645 -57.918565702,155.387456645 -57.909903702,155.363733645 -57.901179702,155.340097645 -57.8923917019999,155.316550645 -57.8835427019999,155.293091645 -57.8746307019999,155.269721645 -57.865657702,155.246440645 -57.856622702,155.223250645 -57.847525702,155.200150645 -57.838368702,155.177142645 -57.8291497019999,155.154225644 -57.8198707019999,155.131400644 -57.8105317019999,155.108668644 -57.801131702,155.086029644 -57.791672702,155.063484644 -57.782153702,155.041034644 -57.772574702,155.018678644 -57.7629367019999,154.996417644 -57.753240702,154.974253644 -57.7434847019999,154.952184644 -57.733671702,154.930213644 -57.723799702,154.908338644 -57.713869702,154.886562644 -57.703882702,154.864883644 -57.6938377019999,154.843304644 -57.683735702,154.821823644 -57.6735777019999,154.800443644 -57.663361702,154.779162644 -57.653090702,154.757982644 -57.642762702,154.736903644 -57.632379702,154.715926644 -57.621940702,154.695050644 -57.611446702,154.674277644 -57.6008977019999,154.653607644 -57.5902937019999,154.633040644 -57.579634702,154.612577644 -57.568922702,154.592218644 -57.558156702,154.571964644 -57.5473367019999,154.551815644 -57.5364637019999,154.531771644 -57.525537702,154.511833644 -57.5145587019999,154.492001644 -57.5035267019999,154.472276644 -57.4924427019999,154.452657644 -57.481307702,154.433147644 -57.470119702,154.413744644 -57.458881702,154.394449644 -57.447591702,154.375264644 -57.4362517019999,154.356187644 -57.4248607019999,154.337219644 -57.4134197019999,154.318362644 -57.401928702,154.299614644 -57.3903877019999,154.280977644 -57.3787977009999,154.262451644 -57.3671587009999,154.244036644 -57.3554707009999,154.225733644 -57.343734701,154.207541644 -57.331950701,154.189462644 -57.320118701,154.171496644 -57.3082387009999,154.153642644 -57.296311701,154.135902644 -57.284337701,154.118275644 -57.272316701,154.100763644 -57.260249701,154.083365644 -57.248136701,154.066081643 -57.235977701,154.048912643 -57.223773701,154.031859643 -57.211524701,154.014921643 -57.199230701,153.998099643 -57.186891701,153.981393643 -57.174508701,153.964803643 -57.162081701,153.948330643 -57.149611701,153.931975643 -57.137097701,153.915736643 -57.1245407009999,153.899615643 -57.111940701,153.883612643 -57.099299701,153.867727643 -57.086615701,153.851961643 -57.073889701,153.836313643 -57.0611227009999,153.820847643 -57.048367701,153.805499643 -57.035571701,153.790269643 -57.0227357009999,153.775158643 -57.009859701,153.760166643 -56.996943701,153.745293643 -56.983989701,153.730539643 -56.9709957009999,153.715906643 -56.957963701,153.701392643 -56.944893701,153.686998643 -56.931784701,153.672724643 -56.918638701,153.658571643 -56.9054557009999,153.644539643 -56.8922357009999,153.630627643 -56.8789787009999,153.616837643 -56.865684701,153.603168643 -56.852355701,153.589621643 -56.8389897009999,153.576195643 -56.825589701,153.562891643 -56.8121537009999,153.549710643 -56.798682701,153.536650643 -56.785177701,153.523713643 -56.771638701,153.510899643 -56.758065701,153.498208643 -56.744459701,153.485639643 -56.730819701,153.473194643 -56.7171467009999,153.460872643 -56.703441701,153.448673643 -56.689704701,153.436598643 -56.675935701,153.424647643 -56.662134701,153.412819643 -56.648302701,153.401116643 -56.634440701,153.389537643 -56.620546701,153.378082643 -56.6066237009999,153.366752643 -56.592669701,153.355546643 -56.578686701,153.344464643 -56.5646737009999,153.333508643 -56.550632701,153.322676643 -56.536562701,153.311970643 -56.5224647009999,153.301389643 -56.508338701,153.290932643 -56.4941847009999,153.280602643 -56.480003701,153.270396643 -56.4657957009999,153.260316643 -56.4515607009999,153.250362643 -56.437299701,153.240534643 -56.4230127009999,153.230831643 -56.4086997009999,153.221254643 -56.394361701,153.211803643 -56.379998701,153.202479643 -56.365611701,153.193280643 -56.351199701,153.184207643 -56.3367637009999,153.175261643 -56.322303701,153.166441643 -56.307820701,153.157747643 -56.2933146999999,153.149180643 -56.2787857,153.140749643 -56.2642667,153.132445643 -56.2497256999999,153.124266643 -56.2351616999999,153.116213643 -56.2205777,153.108287643 -56.2059727,153.100486643 -56.1913466999999,153.092812643 -56.1767007,153.085264643 -56.1620346999999,153.077842643 -56.1473487,153.070546643 -56.1326437,153.063377643 -56.1179197,153.056334643 -56.1031766999999,153.049417643 -56.0884157,153.042626643 -56.0736367,153.035962643 -56.0588407,153.029424643 -56.0440267,153.023012643 -56.0291956999999,153.016727643 -56.0143487,153.010568643 -55.9994847,153.004535642 -55.9846047,152.998628642 -55.9697097,152.992848642 -55.9547987,152.987194642 -55.9398727,152.981666642 -55.9249326999999,152.976264642 -55.9099777,152.970989642 -55.8950086999999,152.965839642 -55.8800267,152.960816642 -55.8650307,152.955919642 -55.8500217,152.951148642 -55.8349997,152.946502642 -55.8199667,152.941983642 -55.8049207,152.937590642 -55.7898627,152.933322642 -55.7747937,152.929180642 -55.7597137,152.925164642 -55.7446227,152.921274642 -55.7295217,152.917509642 -55.7144107,152.913870642 -55.6992897,152.910356642 -55.6841597,152.906967642 -55.6690207,152.903704642 -55.6538717,152.900566642 -55.6387157,152.897554642 -55.6235507,152.894666642 -55.6083786999999,152.891904642 -55.5931987,152.889266642 -55.5780116999999,152.886753642 -55.5628187,152.884365642 -55.5476187,152.882102642 -55.5324117,152.879963642 -55.5171996999999,152.877923642 -55.5017817,152.876009642 -55.4863577,152.874224642 -55.4709286999999,152.872566642 -55.4554947,152.871035642 -55.4400567,152.869631642 -55.4246156999999,152.868355642 -55.4091697,152.867205642 -55.3937217,152.866183642 -55.3782697,152.865287642 -55.3628156999999,152.864517642 -55.3473597,152.863875642 -55.3319016999999,152.863358642 -55.3164417,152.862968642 -55.3009807,152.862704642 -55.2855187,152.862565642 -55.2700556999999,152.862553642 -55.2545937,152.862666642 -55.2391307,152.862905642 -55.223668699,152.863269642 -55.208206699,152.863758642 -55.1927466989999,152.864372642 -55.177287699,152.865111642 -55.161830699,152.865975642 -55.146375699,152.866963642 -55.1309226989999,152.868076642 -55.115472699,152.869313642 -55.100025699,152.870673642 -55.084581699,152.872158642 -55.0691426989999,152.873767642 -55.053706699,152.875499642 -55.0382756989999,152.877354642 -55.022848699,152.879333642 -55.0074276989999,152.881434642 -54.9920106989999,152.883659642 -54.976600699,152.886005642 -54.961195699,152.888475642 -54.945797699,152.891066642 -54.9304066989999,152.893780642 -54.915021699,152.896615642 -54.899644699,152.899572642 -54.8842756989999,152.902651642 -54.868913699,152.905850642 -54.853560699,152.909171642 -54.8382156989999,152.912613642 -54.8228806989999,152.916175642 -54.807553699,152.919857642 -54.7922366989999,152.923660642 -54.7769296989999,152.927583642 -54.761632699,152.931625642 -54.746346699,152.935787642 -54.731071699,152.940069642 -54.715806699,152.944469642 -54.700554699,152.948988642 -54.6853136989999,152.953626642 -54.670084699,152.958383642 -54.654867699,152.963257642 -54.639663699,152.968250642 -54.624473699,152.973360642 -54.609295699,152.978588642 -54.5941326989999,152.983933642 -54.5789826989999,152.989394642 -54.563846699,152.994973642 -54.548726699,153.000668642 -54.533620699,153.006480642 -54.5185296989999,153.012408643 -54.503454699,153.018451643 -54.488394699,153.024610643 -54.473351699,153.030595643 -54.4590056989999,153.036685643 -54.444675699,153.042880643 -54.430359699,153.049180643 -54.416060699,153.055583643 -54.401777699,153.062090643 -54.387510699,153.068702643 -54.373259699,153.075416643 -54.359026699,153.082234643 -54.3448096989999,153.089155643 -54.330610699,153.096179643 -54.316429699,153.103305643 -54.302265699,153.110534643 -54.2881196989999,153.115141643 -54.273788699,153.119852643 -54.259468699,153.124667643 -54.2451616989999,153.129585643 -54.2308656989999,153.134607643 -54.216582699,153.139732643 -54.2023126989999,153.145173643 -54.1873406989999,153.150727643 -54.172382699,153.156395643 -54.157440698,153.162175643 -54.142512698,153.168068643 -54.127600698,153.174073643 -54.112703698,153.180191643 -54.097823698,153.186420643 -54.082959698,153.192761643 -54.0681126979999,153.199213643 -54.053281698,153.205776643 -54.038468698,153.212450643 -54.023672698,153.219235643 -54.0088946979999,153.226129643 -53.994133698,153.231655643 -53.980017698,153.237282643 -53.9659156979999,153.243010643 -53.9518276979999,153.248837643 -53.9377536979999,153.254763643 -53.923694698,153.260789643 -53.909650698,153.266915643 -53.895622698,153.273140643 -53.881609698,153.279463643 -53.867611698,153.285885643 -53.853630698,153.292406643 -53.839665698,153.297846643 -53.8268226979999,153.303369643 -53.8139916979999,153.308975643 -53.801173698,153.315580643 -53.7863206979999,153.322296643 -53.7714846979999,153.329123643 -53.7566676979999,153.336060643 -53.741867698,153.343107643 -53.7270876979999,153.350264643 -53.712325698,153.357531643 -53.697583698,153.364907643 -53.682860698,153.372392643 -53.668158698,153.379986643 -53.653475698,153.387688643 -53.638812698,153.395499643 -53.6241716979999,153.403418643 -53.609550698,153.411444643 -53.5949516979999,153.419578643 -53.580373698,153.427819643 -53.5658176979999,153.436167643 -53.551283698,153.444622643 -53.5367726979999,153.453183643 -53.522283698,153.461851643 -53.5078186979999,153.470624643 -53.493376698,153.479503643 -53.4789576979999,153.488487643 -53.464562698,153.497576643 -53.450191698,153.506770643 -53.435845698,153.516068643 -53.421524698,153.525470643 -53.407227698,153.534977643 -53.392956698,153.544586643 -53.378710698,153.554299643 -53.3644906979999,153.564116643 -53.350296698,153.574034643 -53.336129698,153.584056643 -53.321988698,153.594179643 -53.307874698,153.604404643 -53.293787698,153.614731643 -53.279728698,153.625159643 -53.2656966979999,153.635688643 -53.2516936979999,153.646317643 -53.237717698,153.657047643 -53.223771698,153.667877643 -53.209853698,153.678807643 -53.195964698,153.689836643 -53.182105698,153.700964643 -53.1682756979999,153.712191643 -53.1544756979999,153.723516643 -53.140705698,153.734940643 -53.1269666979999,153.746462643 -53.113257698,153.758081643 -53.099579698,153.769797643 -53.085933698,153.781610643 -53.072318697,153.793520643 -53.058734697,153.805527643 -53.045183697,153.817629643 -53.0316646969999,153.829827643 -53.0181776969999,153.842120643 -53.004723697,153.854508643 -52.991302697,153.866991643 -52.977915697,153.879569643 -52.964561697,153.892240643 -52.9512406969999,153.905005643 -52.937954697,153.917864643 -52.924702697,153.930816643 -52.9114846969999,153.943860643 -52.898302697,153.956997643 -52.885154697,153.970226643 -52.872041697,153.983547643 -52.858964697,153.996959643 -52.8459236969999,154.010463643 -52.832918697,154.024057643 -52.819949697,154.037741643 -52.8070176969999,154.051516643 -52.794121697,154.065381643 -52.7812626969999,154.078169643 -52.768016697,154.091049644 -52.7548046969999,154.104022644 -52.741627697,154.117087644 -52.7284856969999,154.130243644 -52.7153786969999,154.143491644 -52.702306697,154.156830644 -52.689271697,154.170260644 -52.6762716969999,154.183780644 -52.6633076969999,154.197390644 -52.6503796969999,154.211090644 -52.637489697,154.224879644 -52.624635697,154.238758644 -52.6118186969999,154.252725644 -52.599039697,154.266780644 -52.586297697,154.280924644 -52.573593697,154.295155644 -52.560927697,154.309474644 -52.5483006969999,154.323880644 -52.535711697,154.338372644 -52.523161697,154.352951644 -52.510649697,154.367616644 -52.498178697,154.382366644 -52.485745697,154.397202644 -52.4733536969999,154.412123644 -52.461000697,154.427128644 -52.448688697,154.442218644 -52.436415697,154.457391644 -52.424184697,154.472649644 -52.411993697,154.487989644 -52.3998446969999,154.503412644 -52.387736697,154.518918644 -52.375669697,154.534507644 -52.363644697,154.550177644 -52.3516616969999,154.565928644 -52.339721697,154.581761644 -52.327823697,154.597674644 -52.315967697,154.613668644 -52.3041546969999,154.629742644 -52.2923846969999,154.645896644 -52.280658697,154.662129644 -52.268975697,154.678441644 -52.257336697,154.694832644 -52.245741697,154.711301644 -52.234190697,154.727848644 -52.222683697,154.744472644 -52.211221697,154.761174644 -52.1998036969999,154.777953644 -52.1884316969999,154.794808644 -52.1771046969999,154.811739644 -52.165822697,154.828746644 -52.154586697,154.845829644 -52.143395697,154.862986644 -52.132251697,154.880218644 -52.121153697,154.897525644 -52.1101016969999,154.914905644 -52.0990966969999,154.932360644 -52.088138697,154.949887644 -52.077226697,154.967487644 -52.0663626969999,154.985160644 -52.055546697,155.002904644 -52.044777697,155.020721644 -52.034055697,155.038609644 -52.0233826969999,155.056567644 -52.012757697,155.074597644 -52.002180696,155.092697644 -51.991652696,155.110866644 -51.981173696,155.129106644 -51.9707426959999,155.147418644 -51.960354696,155.165799645 -51.950015696,155.184248645 -51.939725696,155.202766645 -51.929486696,155.221351645 -51.9192966959999,155.240004645 -51.909156696,155.258724645 -51.899066696,155.277510645 -51.889027696,155.296362645 -51.879039696,155.315281645 -51.869101696,155.334265645 -51.859215696,155.353313645 -51.849379696,155.372427645 -51.8395956959999,155.391605645 -51.829863696,155.410847645 -51.820182696,155.430152645 -51.8105536959999,155.449521645 -51.800976696,155.468952645 -51.791451696,155.488446645 -51.781979696,155.508001645 -51.772559696,155.527619645 -51.763192696,155.547297645 -51.753878696,155.567037645 -51.744617696,155.586837645 -51.735409696,155.606697645 -51.726254696,155.626617645 -51.717153696,155.646596645 -51.708106696,155.666634645 -51.699112696,155.686731645 -51.6901736959999,155.706886645 -51.681288696,155.727099645 -51.672457696,155.747369645 -51.663680696,155.767696645 -51.6549596959999,155.788080645 -51.6462926959999,155.808520645 -51.637680696,155.829016645 -51.629123696,155.849567645 -51.6206216959999,155.870173645 -51.612175696,155.890834645 -51.6037846959999,155.911550645 -51.5954496959999,155.932319645 -51.5871706959999,155.953142645 -51.5789476959999,155.974017645 -51.570780696,155.994946645 -51.5626706959999,156.015927645 -51.554616696,156.036960645 -51.5466186959999,156.058044645 -51.538677696,156.079179645 -51.5307936959999,156.100366645 -51.522966696,156.121602645 -51.515196696,156.142889645 -51.5074846959999,156.164225645 -51.499828696,156.185611645 -51.492231696,156.207045645 -51.484691696,156.228527645 -51.4772086959999,156.250058646 -51.469784696,156.271636646 -51.462418696,156.293261646 -51.455110696,156.314933646 -51.447860696,156.336652646 -51.440669696,156.358416646 -51.433536696,156.380227646 -51.4264626959999,156.402082646 -51.419447696,156.423982646 -51.412491696,156.445927646 -51.405594696,156.467915646 -51.398756696,156.489948646 -51.391977696,156.512023646 -51.3852586959999,156.534142646 -51.378598696,156.556302646 -51.3719986959999,156.578505646 -51.365458696,156.600749646 -51.358978696,156.623035646 -51.352558696,156.645361646 -51.3461976959999,156.667728646 -51.339897696,156.690135646 -51.333658696,156.712582646 -51.327478696,156.735067646 -51.3213606959999,156.757592646 -51.3153026959999,156.780155646 -51.309305696,156.802756646 -51.303368696,156.825394646 -51.2974936959999,156.848070646 -51.291678696,156.870783646 -51.2859256959999,156.893532646 -51.280233696,156.916317646 -51.274603696,156.939137646 -51.2690346959999,156.961993646 -51.263526696,156.984884646 -51.258080696,157.007809646 -51.252696696,157.030768646 -51.247374696,157.053760646 -51.2421136959999,157.076786646 -51.236915696,157.099844646 -51.2317796959999,157.122935646 -51.226705696,157.146058646 -51.2216936959999,157.169212646 -51.216744696,157.192398646 -51.211857696,157.215614646 -51.2070336959999,157.238861646 -51.202271696,157.262137646 -51.197572696,157.285443646 -51.1929366959999,157.308779647 -51.188363696,157.332142647 -51.183853696,157.355535647 -51.1794056959999,157.378955647 -51.1750216959999,157.402402647 -51.170700696,157.425877647 -51.1664436959999,157.449378647 -51.1622486959999,157.472906647 -51.158117696,157.496460647 -51.154050696,157.520039647 -51.1500466959999,157.543643647 -51.1461066959999,157.567271647 -51.142229696,157.590924647 -51.138416696,157.614601647 -51.134667696,157.638146647 -51.130993696,157.661714647 -51.127381696,157.685304647 -51.123833696,157.708916647 -51.120348696,157.732550647 -51.116926696,157.756205647 -51.113568696,157.779881647 -51.110273696,157.803577647 -51.107042696,157.827293647 -51.1038746959999,157.851029647 -51.100770696,157.874784647 -51.0977296959999,157.898558647 -51.0947526959999,157.922350647 -51.091839696,157.946160647 -51.0889906959999,157.969988647 -51.086204696,157.993833647 -51.083482696,158.017695647 -51.080825696,158.041573647 -51.0782316959999,158.065467647 -51.075701696,158.089377647 -51.073235696,158.113302647 -51.070834696,158.137359647 -51.068485696,158.161430647 -51.066200696,158.185515647 -51.063981696,158.209615647 -51.061826696,158.233727647 -51.059737696,158.257853647 -51.057712696,158.281990647 -51.055752696,158.306140647 -51.053857696,158.330302647 -51.052028696,158.354475647 -51.0502636959999,158.378658648 -51.048564696,158.402853648 -51.0469306959999,158.427057648 -51.045361696,158.451270648 -51.043857696,158.475493648 -51.042418696,158.499725648 -51.041045696,158.523965648 -51.039737696,158.548213648 -51.038494696,158.572469648 -51.0373176959999,158.596732648 -51.036205696,158.621001648 -51.0351586959999,158.645277648 -51.034177696,158.669559648 -51.033261696,158.693847648 -51.0324106959999,158.718139648 -51.0316256959999,158.742436648 -51.0309056959999,158.766738648 -51.0302516959999,158.791043648 -51.0296626959999,158.815352648 -51.029139696,158.839664648 -51.028681696,158.863978648 -51.0282896959999,158.888295648 -51.027962696,158.912614648 -51.027701696,158.936934648 -51.0275056959999,158.961255648 -51.027375696,158.985577648 -51.027310696,159.009899648 -51.027311696,159.034220648 -51.027378696,159.058542648 -51.027509696,159.082862648 -51.0277076959999,159.107180648 -51.027970696,159.131497648 -51.028298696,159.155812648 -51.028692696,159.180123648 -51.029151696,159.204432648 -51.029676696,159.228737648 -51.030266696,159.253039648 -51.0309226959999,159.277336648 -51.0316436959999,159.301628648 -51.0324306959999,159.325916648 -51.033282696,159.350197648 -51.034200696,159.374473648 -51.0351836959999,159.398742648 -51.036231696,159.423005648 -51.0373456959999,159.447261648 -51.038524696,159.471509649 -51.039768696,159.495748649 -51.0410786959999,159.519980649 -51.0424536959999,159.544203649 -51.0438936959999,159.568416649 -51.045398696,159.592620649 -51.046969696,159.616814649 -51.048605696,159.640997649 -51.050306696,159.665170649 -51.052072696,159.689331649 -51.053903696,159.713481649 -51.055799696,159.737618649 -51.0577616959999,159.761744649 -51.0597876959999,159.785856649 -51.061878696,159.810169649 -51.064053696,159.834468649 -51.0662956959999,159.858752649 -51.068602696,159.883022649 -51.0709756959999,159.907277649 -51.073414696,159.931516649 -51.075919696,159.955739649 -51.078490696,159.979945649 -51.081127696,160.004135649 -51.083829696,160.028307649 -51.086597696,160.052462649 -51.089431696,160.076598649 -51.092331696,160.100716649 -51.0952966959999,160.124815649 -51.098326696,160.148895649 -51.101422696,160.172954649 -51.104583696,160.196994649 -51.1078106959999,160.221012649 -51.1111026959999,160.245010649 -51.114459696,160.268986649 -51.117882696,160.292941649 -51.1213696959999,160.316873649 -51.1249226959999,160.340782649 -51.128539696,160.364668649 -51.1322216959999,160.388530649 -51.135969696,160.412369649 -51.1397816959999,160.436183649 -51.1436586959999,160.459972649 -51.147599696,160.483736649 -51.1516056959999,160.507475649 -51.1556766959999,160.53118765 -51.159811696,160.55487365 -51.1640106959999,160.57853165 -51.168274696,160.60216365 -51.172602696,160.625212205 -51.176891344),(158.835118648 -54.751109699,158.879672648 -54.753890699,158.882172648 -54.7113906989999,158.884708648 -54.6991636989999,158.888308648 -54.6874996989999,158.906099648 -54.663327699,158.931090648 -54.6161096989999,158.937190648 -54.602363699,158.941927648 -54.5880546989999,158.945527648 -54.5763906989999,158.951908648 -54.549163699,158.960372648 -54.4763816989999,158.910127648 -54.493327699,158.891081648 -54.519999699,158.848299648 -54.623609699,158.833863648 -54.668890699,158.829954648 -54.7105546989999,158.828854648 -54.7361096989999,158.835118648 -54.751109699)))', 'Australian Exclusive Economic Zone (Macquarie Island)', 'Macquarie Island', 'Australia', '', '16', '4', 'AUS', '8311', '2012-10', '474231819800', '8311', 'Y'),('SRID=4326;MULTIPOLYGON(((164.154639779491 -15.7097668722105,164.547929526284 -16.2428226853958,164.550275287802 -16.244528001624,164.806499033274 -16.4309508079048,165.698977286018 -17.180152913708,166.103882063039 -17.8310738063121,166.169702209266 -17.9300013314414,166.362916716936 -18.0457030521256,166.512229375213 -18.2376737486853,166.811643684047 -18.5642106673288,166.845588004316 -18.601270554679,166.854754238886 -18.6114241663519,166.902136992601 -18.6639385759399,167.11915604278 -18.904572007224,167.463115801972 -19.1079611163834,167.532447978166 -19.2174113842505,167.857523108172 -19.5386939769119,167.953484730582 -19.6263953893978,168.146591891931 -19.9225373347573,168.1813951458 -19.9759458017355,168.186627422293 -19.9841832010351,168.194547513085 -19.9968790591165,168.270038402282 -20.0657340500208,168.369972060768 -20.1571777779812,168.512518149026 -20.2965760483584,168.709599699104 -20.4824221354346,168.764703271104 -20.6067570204142,168.888775815095 -20.7806544261264,168.905276417442 -20.8037813150301,168.948354657 -20.8556976669999,168.960091657 -20.8698076669999,169.441972658001 -21.4441926679999,169.471476658 -21.479043668,169.907704658 -21.6127676679999,169.933342658 -21.6208126679998,169.959004658 -21.6290856679999,169.995513658 -21.6411426679998,170.267115659001 -21.4768036679998,170.977719659 -21.0419296679998,170.993860659001 -21.032069668,171.016881659001 -21.0182786679999,171.038147659 -21.0057866679998,171.30396566 -20.8518146669999,171.33970966 -20.8309686669999,171.35503266 -20.8220546669999,171.38151166 -20.8069236669999,171.40825366 -20.791907667,171.43525866 -20.7770086669998,171.46252566 -20.7622256669998,171.49005666 -20.747558667,171.51784966 -20.7330086669999,171.54590466 -20.7185736669998,171.57422166 -20.7042546669999,171.602800660001 -20.6900506669999,171.63164166 -20.675963667,171.66074466 -20.6619916669999,171.69010866 -20.648134667,171.719733660001 -20.6343936669998,171.74962066 -20.6207676669999,171.779767660001 -20.6072566669999,171.81017566 -20.5938606669999,171.84084366 -20.5805796669999,171.86621866 -20.5697786669998,171.87057266 -20.5668916669998,171.89501666 -20.5509076669999,171.91965966 -20.5350116669999,171.94450166 -20.5192036669998,171.96954266 -20.503484667,171.99478266 -20.4878536669999,171.996400660001 -20.4868646669999,172.02019166 -20.472297667,172.045796660001 -20.4568286669999,172.071600660001 -20.4414476669999,172.097602660001 -20.4261546669998,172.12380266 -20.410949667,172.14353566 -20.3996496669998,172.764876111 -20.0224629729998,174.275709444001 -25.0730201499998,173.924212662 -25.2685946719998,173.347865661 -25.5243276719999,172.729271661001 -25.6834606719999,172.25227666 -25.7263536719998,172.08850966 -25.7407626719998,172.08800866 -25.7407276719999,172.08645966 -25.7408626719999,171.44451666 -25.6944236719999,171.332721660001 -25.6679036719998,171.32444766 -25.6685896719997,171.32283366 -25.6684686719998,171.32136566 -25.6685906719999,171.29630366 -25.666708672,170.680119659001 -25.6192336719998,170.570216659 -25.5924556719999,170.196042659 -25.7563326719998,169.575150658 -25.9130546719998,169.431684658 -25.9307816719999,168.738487657 -25.8449646719998,166.075781973885 -26.174429693713,165.86865339118 -26.2000583703749,165.861249436017 -26.1978513948454,165.856654242644 -26.1964816567658,165.818412776661 -26.1846518268443,165.780324251511 -26.1724368687704,165.74239350343 -26.1598383536778,165.704625343427 -26.1468579014245,165.667024556543 -26.1334971803307,165.629595901137 -26.1197579069065,165.592344108159 -26.1056418455734,165.555273880451 -26.09115080838,165.51838989204 -26.076286654707,165.481696787444 -26.0610512909688,165.445199180994 -26.0454466703061,165.408901656152 -26.0294747922717,165.372808764845 -26.0131377025101,165.336925026807 -25.9964374924299,165.301254928929 -25.9793762988702,165.265802924617 -25.9619563037598,165.230573433163 -25.9441797337697,165.195570839118 -25.9260488599609,165.160799491684 -25.907565997424,165.116489255097 -25.8833161949784,165.072576593619 -25.8584948210271,165.029070453865 -25.8331070931638,164.98597967899 -25.8071583440882,164.943313006745 -25.7806540202327,164.901079067575 -25.7535996803659,164.897725507866 -25.7513850860541,164.86463662576 -25.7319248254159,164.831111598229 -25.7117200071012,164.797842851084 -25.6911780079578,164.764834465955 -25.6703014397373,164.732090484653 -25.6490929551273,164.699614908639 -25.6275552473414,164.667411698515 -25.6056910497028,164.63548477352 -25.5835031352256,164.603838011034 -25.5609943161881,164.5724752461 -25.5381674437041,164.541400270953 -25.515025407287,164.510616834553 -25.4915711344116,164.480128642139 -25.4678075900688,164.456428613067 -25.4489577122495,164.432914150659 -25.4299209490475,164.409586984371 -25.4106987777427,164.386448826552 -25.391292689192,164.363501372318 -25.3717041876918,164.340746299433 -25.3519347908403,164.318185268203 -25.3319860293981,164.295819921355 -25.3118594471495,164.27365188393 -25.2915566007601,164.251682763178 -25.2710790596369,164.229914148451 -25.2504284057852,164.208347611099 -25.2296062336668,164.186984704373 -25.2086141500546,164.165826963327 -25.187453773889,164.144875904719 -25.1661267361328,164.124133026925 -25.144634679625,164.109569289342 -25.129387634533,164.083206727561 -25.1087899729842,164.053098537816 -25.0847268780369,164.023291693174 -25.0603605578784,163.993789755241 -25.0356940835925,163.964596240514 -25.0107305619613,163.935714619995 -24.9854731350014,163.907148318796 -24.9599249794987,163.878900715767 -24.9340893065383,163.850975143126 -24.9079693610303,163.823374886111 -24.8815684212336,163.796103182627 -24.8548897982749,163.769163222918 -24.8279368356656,163.742558149239 -24.8007129088146,163.716291055544 -24.7732214245383,163.690364987184 -24.7454658205691,163.664782940611 -24.7174495650576,163.639547863098 -24.6891761560768,163.636187237963 -24.6853243884536,163.619225318256 -24.6690774394903,163.591994492738 -24.6424027297771,163.565094679051 -24.6154536639306,163.538529015371 -24.5882336151819,163.512300591759 -24.5607459881788,163.486412449858 -24.5329942184949,163.472958431321 -24.5182405707769,163.448085353886 -24.5069023111042,163.405405056829 -24.4867847560352,163.363030490598 -24.466144796927,163.320969298667 -24.4449862429931,163.279229054564 -24.4233129968686,163.203683476924 -24.3823221053028,163.16978552522 -24.3631681951509,163.136127584456 -24.343669753865,163.102713797321 -24.3238292544324,163.069548269418 -24.303649211852,163.036635068722 -24.2831321827482,163.00397822505 -24.2622807649786,162.971581729531 -24.2410975972371,162.939449534096 -24.2195853586505,162.907585550973 -24.1977467683722,162.875993652192 -24.1755845851682,162.844677669097 -24.1531016070003,162.813641391876 -24.1303006706039,162.782888569093 -24.1071846510608,162.75242290723 -24.0837564613676,162.722248070249 -24.0600190519995,162.698766038012 -24.0411697575341,162.683115554448 -24.0284787079011,162.65279861365 -24.007539890471,162.62266530898 -23.9862597560346,162.592784991172 -23.9646863514895,162.563160970908 -23.9428221685203,162.533796524006 -23.9206697309162,162.50469489106 -23.8982315942249,162.475859277079 -23.8755103454031,162.468975546673 -23.8699648639313,162.468972991984 -23.8699628528541,162.468794209124 -23.8701899622948,162.467875458214 -23.8713536696596,162.46762922328 -23.8716655555071,162.467564714463 -23.8717470241868,162.467233668139 -23.8721651051266,162.466649432255 -23.8729029411034,162.46598079128 -23.8737473729169,162.465349387218 -23.8745447779474,162.464714530473 -23.8753465433966,162.463557582192 -23.8768076622503,162.462977337137 -23.8775404581782,162.462957767217 -23.8775651731796,162.462512172579 -23.8781262705922,162.461891006323 -23.878908449615,162.461788284441 -23.8790377980788,162.461532765478 -23.8793586180792,162.460589812584 -23.8805425542675,162.460574467147 -23.8806067260949,162.46056706698 -23.880571112792,162.459444245654 -23.8819808850188,162.458270645557 -23.8834501490264,162.448854746941 -23.895203109736,162.447676564967 -23.896669348758,162.445314500641 -23.8996004356974,162.445190653452 -23.8997536743801,162.444131579147 -23.9010640888693,162.439388408311 -23.9069158295314,162.438201023165 -23.9083764688408,162.436249467803 -23.9107702285201,162.43582120383 -23.9112955331317,162.434629740102 -23.9127527699017,162.425070930313 -23.9244092366575,162.423874917452 -23.9258634019124,162.421477206139 -23.9287702834798,162.420276483079 -23.930221814888,162.419951988105 -23.930612955892,162.415462135522 -23.9360249517168,162.414256982721 -23.9374734240448,162.411841652998 -23.9403681030782,162.410632460998 -23.9418131315147,162.402006215828 -23.9520914966311,162.400931826099 -23.953371656156,162.399718118305 -23.9548135669788,162.397285032725 -23.9576958819083,162.396066644749 -23.9591351111109,162.394487172169 -23.9609955065944,162.391181668468 -23.9648889228096,162.389958885305 -23.966325048033,162.387508320347 -23.9691949819464,162.386694031062 -23.9701459115448,162.386281537809 -23.970627622468,162.37644018402 -23.9820867676088,162.375621230887 -23.9830384535323,162.373980074028 -23.9849419997275,162.373158761551 -23.9858928242722,162.369867411841 -23.9896959154432,162.369044052144 -23.9906454773633,162.36739497601 -23.9925437296594,162.367388651565 -23.9925509959996,162.366569931792 -23.9934916471791,162.359954991238 -24.0010769858208,162.358711609436 -24.0024986666191,162.356219652052 -24.0053399076308,162.354971864778 -24.0067585682095,162.349969796178 -24.0124293950017,162.349414977648 -24.0130565964895,162.348717551654 -24.013845010354,162.346208105109 -24.0166738383163,162.344951471368 -24.018086409499,162.341578923866 -24.0218667349448,162.341156815122 -24.0223394203234,162.340311660327 -24.0232849460009,162.339888957148 -24.0237574024604,162.338209317445 -24.0256329478885,162.33778961897 -24.0261011543998,162.3369495231 -24.0270374688328,162.336529892974 -24.0275047227211,162.326391784184 -24.0387816553476,162.325116547647 -24.040196000641,162.323827766943 -24.0416213210794,162.322597739563 -24.0429816635786,162.322050540034 -24.0435860925842,162.321336519241 -24.0443726127643,162.316243043895 -24.0499741775907,162.314968217745 -24.0513721953598,162.312413647427 -24.0541657630476,162.311134944857 -24.0555601759355,162.300878268265 -24.066712673362,162.299595190107 -24.0681037875162,162.297023433534 -24.0708842798164,162.295735801431 -24.0722725245195,162.290573988166 -24.0778219358949,162.28928210526 -24.0792069006039,162.286693449592 -24.0819743123206,162.285397732315 -24.0833556329522,162.276507447498 -24.0928059758228,162.27500495826 -24.0944031168317,162.273704902091 -24.0957810943666,162.271099208837 -24.0985352565079,162.269794631906 -24.0999103183755,162.264565077873 -24.1054068839354,162.259936482877 -24.1099883879119,162.254088788763 -24.1162033932343,162.248150195762 -24.1224355116688,162.245484315049 -24.1251982184593,162.244828388758 -24.1258770158762,162.239547067925 -24.1313346747141,162.237487488849 -24.1334537775857,162.234835132543 -24.1361710217671,162.232149952618 -24.1389065539379,162.226487425395 -24.1446429293865,162.222314056124 -24.1488344022749,162.217233318779 -24.1538933671962,162.210197651889 -24.1611193831275,162.207508557506 -24.1638062672276,162.20616270599 -24.1651472829703,162.195368940771 -24.1758715030774,162.19401886446 -24.1772090448285,162.191313193169 -24.1798821660752,162.189958699105 -24.1812166558094,162.18452960186 -24.1865505912931,162.183171010986 -24.1878816311373,162.18044905876 -24.1905409965096,162.179086807127 -24.1918682397431,162.168161875937 -24.2024820056274,162.166795438797 -24.2038057320598,162.164057068111 -24.2064511666183,162.162686248796 -24.2077717962641,162.157191895348 -24.2130501784436,162.155817019237 -24.2143673166868,162.153062527952 -24.2169988305292,162.151684035746 -24.2183121351835,162.140629218879 -24.2288141184966,162.139246581132 -24.23012386391,162.136475832213 -24.2327412806208,162.13508884849 -24.234047884825,162.129529883656 -24.2392700528123,162.128138883665 -24.2405731245748,162.125352176811 -24.2431764573262,162.123957606006 -24.2444756588815,162.112774202795 -24.2548645440728,162.111375527032 -24.2561601443749,162.108572725756 -24.2587492153264,162.107169740751 -24.2600416304245,162.101546818725 -24.265206929881,162.100139858643 -24.2664957718392,162.097321264339 -24.2690705972731,162.095910779165 -24.2703555329285,162.084600107292 -24.280630017967,162.083185558398 -24.2819113107537,162.080351035314 -24.2844717113325,162.078932214551 -24.2857497752557,162.073245998797 -24.290857558527,162.071823244703 -24.292132009051,162.068973095703 -24.2946780042823,162.067546862689 -24.2959485129219,162.056110258626 -24.3061073089443,162.054680003818 -24.3073741334703,162.05181409403 -24.3099055424889,162.050379605285 -24.3111690949032,162.044630768471 -24.3162187211042,162.043192388699 -24.3174786202994,162.040311022379 -24.3199954658119,162.038869210421 -24.3212513879522,162.027308028686 -24.3312932199971,162.025862237407 -24.3325454172777,162.022965280612 -24.3350475169524,162.021515293985 -24.3362963991977,162.015704517935 -24.3412872342912,162.014250683166 -24.3425324239194,162.011338441473 -24.3450198036274,162.009881221705 -24.3462609815419,161.998196835295 -24.3561845882209,161.996735679325 -24.3574220009435,161.993808019768 -24.3598944769442,161.992342707586 -24.3611285321342,161.986470683152 -24.3660599490626,161.985001566236 -24.3672902727085,161.982058795577 -24.3697478740642,161.980586341414 -24.3709741517512,161.968780141099 -24.3807782859147,161.967303794473 -24.382000758515,161.964345780903 -24.3844433000243,161.96286531773 -24.3856623730355,161.956932744763 -24.390533751777,161.9554485209 -24.391749054695,161.952475572205 -24.3941765686502,161.950988059236 -24.3953877919281,161.949936920801 -24.3962412304037,161.93906145395 -24.4050712203866,161.938108684454 -24.4058433337619,161.936200023591 -24.4073873342132,161.935245201175 -24.4081583549694,161.931420210334 -24.4112414717735,161.930463718931 -24.4120110565486,161.928548719317 -24.4135490987065,161.9275909915 -24.4143169300386,161.919915100299 -24.420459511629,161.918525417469 -24.4215686657785,161.91574188495 -24.4237845546987,161.914348934845 -24.4248905726992,161.908768266423 -24.4293100916257,161.907259557574 -24.4305015152661,161.904237755476 -24.4328811465671,161.902702544954 -24.4340866702943,161.902039957887 -24.4346054716609,161.897458133907 -24.4381904384803,161.896909501727 -24.4386192514608,161.895816825054 -24.4394724243608,161.895265606521 -24.439902382502,161.892972985562 -24.4416888134255,161.892384301933 -24.4421470165933,161.891395054356 -24.4429161629303,161.890895471187 -24.4433042334928,161.87873235296 -24.4527426091,161.877838083211 -24.4534353287772,161.877211500585 -24.4539193459946,161.874164561798 -24.4562702549795,161.87263971542 -24.4574434684656,161.866529784609 -24.4621310843518,161.865001312847 -24.4633004149221,161.861939979771 -24.4656358484541,161.860408366275 -24.4668010012031,161.848129175039 -24.4761150589471,161.846593850155 -24.4772762515354,161.843517996524 -24.4795960188044,161.841978719602 -24.4807536475567,161.835811127873 -24.4853788174751,161.834268271745 -24.4865325266325,161.831178208291 -24.4888366728656,161.829632260473 -24.4899861724822,161.817238475075 -24.4991747377521,161.811685500241 -24.5032500857877,161.8004837761 -24.5113876720923,161.797977627488 -24.5132283285935,161.794486456442 -24.5157773041626,161.786777676417 -24.5213698449583,161.785557530119 -24.5222530208532,161.783114088572 -24.5240177241721,161.781891742051 -24.5248985660671,161.775619504782 -24.5294082144152,161.773861329637 -24.5306682473532,161.770339825285 -24.533183945918,161.768577164315 -24.5344391332638,161.765002453719 -24.5369765321928,161.762534601741 -24.5387204588528,161.757590105537 -24.5421988968252,161.755104136852 -24.543939906205,161.752497377138 -24.5457578347523,161.741239639453 -24.5537066333675,161.735607236416 -24.5576430547245,161.72287871006 -24.566448247495,161.721287365876 -24.5675458174618,161.718099601416 -24.5697381302005,161.71650447859 -24.5708319789312,161.710113762914 -24.5752016070363,161.708515250877 -24.5762913942127,161.705314035022 -24.5784675225553,161.703712635935 -24.5795529784493,161.701682562531 -24.5809248839095,161.690875598896 -24.588228133333,161.689270728033 -24.5893094458896,161.686055943898 -24.5914691923122,161.684447339098 -24.5925467453916,161.678002764052 -24.5968510871394,161.676390818836 -24.5979245443868,161.673162777944 -24.6000679704192,161.671547997909 -24.6011370672636,161.658604012123 -24.6096810870247,161.656985809964 -24.6107460053661,161.653744397574 -24.6128729122318,161.652122506672 -24.6139340333387,161.645624857235 -24.6181725441063,161.643999675223 -24.6192295355961,161.640745202628 -24.6213399880908,161.639117238431 -24.6223925906,161.62606788226 -24.6308043937241,161.624436546188 -24.6318527830469,161.621168900989 -24.6339465811004,161.619533921896 -24.6349911358876,161.612983991084 -24.6391632790374,161.611345770634 -24.6402036709574,161.608065263713 -24.6422808826632,161.606424314223 -24.6433168574998,161.59327118161 -24.6515953787899,161.591626910938 -24.6526271063373,161.588333432286 -24.6546875303923,161.586685564873 -24.6557153865435,161.580084153547 -24.6598206335661,161.578433095086 -24.6608442940675,161.575126955115 -24.6628880018118,161.573473221007 -24.6639072177668,161.560217921891 -24.6720514081039,161.557102014581 -24.6739549752509,161.550857494487 -24.6777484191693,161.547730632074 -24.6796372320301,161.535196128351 -24.6871655828112,161.532055645418 -24.6890409833693,161.525762222058 -24.6927778826465,161.522604326059 -24.6946422789202,161.518214217704 -24.6972193424147,161.517156774984 -24.6978494096658,161.507005592241 -24.7038506614169,161.505136375398 -24.7049673746329,161.493371643861 -24.7119579112368,161.490427244441 -24.7136980487326,161.484527516755 -24.7171662000815,161.481574592059 -24.718892805833,161.457920446765 -24.7326471287097,161.454961290948 -24.7343582787078,161.450669768292 -24.7368265507408,161.449030597904 -24.7377693206499,161.446061473771 -24.7394678195828,161.434160142122 -24.7462388674564,161.431181414842 -24.7479242888676,161.425213311522 -24.7512828421093,161.422225669537 -24.7529549986438,161.408577060504 -24.7605517743633,161.407539478639 -24.761128126398,161.405461387801 -24.7622802665277,161.404422087472 -24.7628553831657,161.400259725286 -24.765154276523,161.399219153034 -24.7657278834744,161.39713637435 -24.766873810702,161.396095016524 -24.7674456646666,161.387751070232 -24.7720186438763,161.386324340156 -24.7727984896973,161.383467759225 -24.7743558021967,161.382038862885 -24.7751327479823,161.376316573765 -24.7782359234355,161.374597362943 -24.7791652818525,161.371155319365 -24.7810200779334,161.369432953256 -24.7819452630589,161.368134674052 -24.7826404104441,161.367265941519 -24.7831050912091,161.361516924368 -24.7861767658312,161.360766620997 -24.786577072284,161.359619663013 -24.7871881599479,161.359028163232 -24.787502961422,161.356326301469 -24.7889393244818,161.355651375906 -24.7892976764392,161.354300407519 -24.7900140795416,161.353625700746 -24.7903714231828,161.339790991289 -24.7976885963284,161.337505834659 -24.7988920054485,161.332928780041 -24.8012921932695,161.330638443611 -24.802488151632,161.321462947028 -24.8072588213713,161.319167845333 -24.8084469973251,161.314571594794 -24.8108163419252,161.312272319267 -24.8119965475685,161.293841717733 -24.8214150441586,161.291537419168 -24.8225873794178,161.286921580586 -24.8249256410269,161.284611919302 -24.82609061289,161.275358727113 -24.8307374561662,161.273044121264 -24.8318947356216,161.268408974892 -24.8342022056329,161.26609001677 -24.835351609785,161.252025166283 -24.8422918527901,161.249886128633 -24.8433429975432,161.245602229818 -24.8454396609437,161.243458905755 -24.846484425779,161.234873491895 -24.8506522507137,161.232726090765 -24.8516904357817,161.228426256842 -24.8537607789532,161.226275131666 -24.8547923079605,161.215397806668 -24.8599865587443,161.214232822593 -24.8605420021849,161.212286424725 -24.8614686275993,161.21110610073 -24.8620297006209,161.207105416962 -24.8639285635394,161.200172727666 -24.8672519814689,161.197334121896 -24.868605395321,161.191626293632 -24.8712043803187,161.188777681032 -24.8725602976312,161.181668251388 -24.8759350377699,161.180780116079 -24.8763562535898,161.17900251932 -24.8771986003258,161.178113781672 -24.8776193880617,161.174556167256 -24.879302356397,161.173664104993 -24.8797165588338,161.171873801765 -24.8805335729784,161.170978536293 -24.8809417773031,161.169900220226 -24.881433020027,161.16900726669 -24.8818394672397,161.16722084483 -24.8826518911815,161.166327692314 -24.8830577244195,161.162753219027 -24.884680479457,161.161859897506 -24.885085677687,161.160072404868 -24.8858957557391,161.159178961784 -24.8863003058111,161.154743863604 -24.8883067085579,161.152015266121 -24.8895062717394,161.151125968907 -24.8899190388829,161.149325551746 -24.8906957056506,161.148497170177 -24.8912630567281,161.14492063848 -24.8928835674394,161.144026880863 -24.8932878146879,161.142238260848 -24.8940954038933,161.1413445414 -24.8944982308139,161.128076388919 -24.9004674530474,161.127179479817 -24.9008702097225,161.125383241657 -24.9016753999206,161.124485057013 -24.9020773194164,161.120888284588 -24.9036839498278,161.119989264364 -24.9040848175195,161.118190119602 -24.9048856357404,161.11729072803 -24.9052852603971,161.113424057476 -24.9070002040152,161.110085363947 -24.9084809795505,161.109185116923 -24.9088795292893,161.107383032193 -24.909675925073,161.106481928222 -24.9100734464762,161.102874312453 -24.9116620969347,161.101972378167 -24.9120585615199,161.10016741028 -24.9128505668855,161.09926469549 -24.9132459675075,161.098174014357 -24.9137228542911,161.097273019195 -24.9141161070309,161.0954702777 -24.9149015421671,161.094568850212 -24.9152935859069,161.090960791391 -24.9168599572117,161.090058959472 -24.9172507651596,161.088254206633 -24.9180314575323,161.087352020843 -24.9184210243328,161.080126013125 -24.9215354739814,161.079223405249 -24.9219237836415,161.077416613262 -24.9226996885045,161.076513164916 -24.9230869673638,161.072896201474 -24.9246346259256,161.071992357399 -24.9250206677775,161.070183586533 -24.9257918234466,161.069279815148 -24.9261764456772,161.055868372721 -24.9318729945517,161.054961793121 -24.9322573207182,161.053146222716 -24.9330256010202,161.052238388651 -24.9334090646519,161.048603045891 -24.9349417904494,161.047694402563 -24.935324185987,161.045876034637 -24.9360880380482,161.04496705082 -24.9364691837624,161.037684984757 -24.9395168647239,161.036775172768 -24.9398969187712,161.034953975806 -24.9406562914259,161.034043332354 -24.9410353004694,161.030397595628 -24.9425498373631,161.029486148483 -24.9429277733387,161.027662178007 -24.9436826997776,161.026749977033 -24.9440595565567,161.025645020262 -24.9445152078379,161.024734215226 -24.944890107447,161.022911879794 -24.9456388209626,161.022000671899 -24.9460125026276,161.018353534966 -24.9475053776284,161.017441952876 -24.9478778151254,161.015617722158 -24.9486217442281,161.01470581657 -24.9489929331904,161.007402101511 -24.9519601857672,161.00648980491 -24.9523301088163,161.004663652697 -24.9530692081745,161.00375054074 -24.9534380831309,161.000094958504 -24.9549120610382,160.999181481149 -24.9552796907676,160.997353466281 -24.9560139999635,160.996440096089 -24.9563802115214,160.982891698982 -24.9618014708441,160.981975903507 -24.9621671793445,160.980141911176 -24.9628981756979,160.979224882837 -24.9632629967965,160.97555279253 -24.9647210718464,160.974634981775 -24.9650848090635,160.972798302492 -24.9658113231536,160.971880182205 -24.9661738044243,160.964525066085 -24.9690719638793,160.963606145271 -24.9694333373452,160.961766749432 -24.9701553173537,160.960847023332 -24.9705156295628,160.957164994325 -24.9719553159058,160.956244491643 -24.9723145393286,160.954402433723 -24.9730320194536,160.953481204177 -24.9733901490387,160.952362918382 -24.9738240528082,160.951442760591 -24.9741803985281,160.949601745741 -24.9748919894947,160.948681214617 -24.9752471090172,160.944996830626 -24.9766656879526,160.944075956092 -24.9770195554521,160.942233163571 -24.9777263226533,160.941311996203 -24.9780789348387,160.933934242362 -24.9808974000478,160.933012715409 -24.9812487381788,160.931168120497 -24.9819506358084,160.930245803716 -24.9823009091014,160.926553439651 -24.9837004160457,160.925630788051 -24.9840494365311,160.923784447936 -24.9847465054465,160.922861938091 -24.9850941098739,160.909182997797 -24.9902375730757,160.908258446819 -24.9905844858447,160.906406954452 -24.9912778423663,160.905481192792 -24.991623843332,160.901774200891 -24.9930065578477,160.900847684069 -24.9933514597055,160.8989936168 -24.9940402821907,160.898066821682 -24.9943839225664,160.890642353603 -24.9971311499938,160.88971478614 -24.9974736669694,160.887858116435 -24.9981579029622,160.886929770204 -24.9984993429977,160.88321330062 -24.999863478234,160.882284205054 -25.0002038144305,160.880424985853 -25.0008834992644,160.879495191087 -25.0012227274186,160.878364540057 -25.0016344111382,160.877435492319 -25.0019720118665,160.875576724578 -25.0026460984312,160.874647333724 -25.0029824651554,160.870927556794 -25.0043259867979,160.869997853262 -25.0046610943973,160.868137426421 -25.0053303203767,160.867207460891 -25.005664166536,160.859759382779 -25.0083323312406,160.858829089386 -25.0086648958585,160.856966980704 -25.0093292148482,160.856035923715 -25.0096606983254,160.852308637651 -25.0109849826171,160.851377276671 -25.0113152063382,160.849513541529 -25.0119746604555,160.848582356836 -25.0123034709613,160.834779358408 -25.0171667428299,160.83384651775 -25.0174946910397,160.831978458373 -25.0181500702535,160.831044430041 -25.0184770826431,160.827304404658 -25.0197837637216,160.826369648732 -25.0201096623707,160.824499127861 -25.0207604580791,160.823564124926 -25.0210850903831,160.816074047002 -25.0236800491772,160.81513830044 -25.0240035430377,160.813265292805 -25.0246497021529,160.812328794373 -25.0249721039423,160.808579757724 -25.0262600245572,160.808406617748 -25.0263193777537,160.807642537899 -25.0265813079121,160.805767094859 -25.0272228668532,160.804814108061 -25.0275481707679,160.803401851425 -25.0280291908221,160.802305703363 -25.0284021173854,160.800702185469 -25.0289469581386,160.79941210814 -25.0293844653924,160.797487920183 -25.0300358166008,160.796549684943 -25.0303527084279,160.794672495095 -25.0309853880392,160.79373080514 -25.0313020934925,160.791607085233 -25.0320148053243,160.79106289225 -25.0321972059816,160.789883585355 -25.0325919073713,160.783079054094 -25.034864778112,160.782444274617 -25.0350763472449,160.780843801383 -25.0356089506294,160.780043607438 -25.0358747511264,160.776840385284 -25.0369367957454,160.776040091223 -25.0372016455066,160.774438721518 -25.0377306306864,160.773638807762 -25.0379943831714,160.759718307034 -25.0425751815438,160.758777647904 -25.0428840056582,160.756893965125 -25.0435010887713,160.75595214197 -25.043808953518,160.75218097241 -25.0450389656309,160.751238449525 -25.0453457026009,160.749352420063 -25.0459581550334,160.748409681784 -25.0462636213674,160.740857778202 -25.0487050498162,160.73991432525 -25.0490093633214,160.73802592595 -25.0496171314809,160.737081748494 -25.0499203383095,160.733302039095 -25.0511314183191,160.732357168504 -25.0514334927204,160.730466449208 -25.0520366140237,160.729520935155 -25.0523375539228,160.728368505634 -25.0527035385002,160.727423088644 -25.0530031147169,160.725531637271 -25.0536011252137,160.724585937942 -25.0538994538113,160.72080102444 -25.0550907330956,160.719855075074 -25.0553877901154,160.717962205566 -25.0559808735993,160.717016056398 -25.0562766588578,160.709438645527 -25.0586399956467,160.70849223299 -25.0589344862899,160.706597926388 -25.0595225954362,160.705650803763 -25.0598159740758,160.701859338601 -25.0609877144807,160.700911974479 -25.0612798213287,160.699016282457 -25.0618630005776,160.698069163879 -25.0621537019193,160.684037784541 -25.0664498593298,160.683089783303 -25.0667394092281,160.681191430816 -25.0673178963656,160.680242289564 -25.0676064639118,160.676441885162 -25.0687592094384,160.675492072591 -25.0690466356883,160.673591489428 -25.0696204473391,160.672641493051 -25.0699065993533,160.665031587794 -25.0721933116725,160.664080906342 -25.0724782969967,160.662178071827 -25.073047379021,160.661226693559 -25.0733312436428,160.65741822566 -25.0744648950198,160.656466182791 -25.0747476138324,160.654561144844 -25.0753120047115,160.653608486984 -25.0755935766223,160.652446670495 -25.0759361616189,160.651493784187 -25.0762164780713,160.649587422323 -25.0767759563214,160.64863428449 -25.0770550192527,160.644819667601 -25.0781691924318,160.643866311368 -25.0784469785303,160.641958653567 -25.0790015002347,160.641005129001 -25.0792780103376,160.633368789782 -25.081486977783,160.632415034362 -25.0817621877661,160.630506063662 -25.0823117052009,160.629551625789 -25.0825857885093,160.62573094335 -25.0836802867858,160.624776295438 -25.0839530932784,160.622866061305 -25.0844976520457,160.621911693448 -25.0847690579579,160.607776124026 -25.088778523235,160.606821261618 -25.0890486584277,160.604909202512 -25.089588268915,160.603953224719 -25.0898573992549,160.60012551359 -25.090932318998,160.599168893296 -25.0912002950923,160.5972547208 -25.0917351876354,160.596297948342 -25.0920018865497,160.588633902757 -25.0941327738909,160.587676475084 -25.0943982929036,160.585760170729 -25.0949284129684,160.584802074291 -25.0951927978194,160.580966780464 -25.0962484711146,160.580008048607 -25.0965116972799,160.578089658887 -25.0970370842062,160.577130340748 -25.0972991516784,160.575960153721 -25.09761802349,160.575000281197 -25.0978789284504,160.573079975721 -25.0983995714919,160.572119882908 -25.0986592176,160.568277497799 -25.0996956811275,160.5673172183 -25.099954045829,160.56539574011 -25.1004697052852,160.564435323995 -25.1007267903781,160.556743931425 -25.1027801912979,160.555783317248 -25.1030359714204,160.553860651282 -25.1035465992539,160.552899382481 -25.1038012386609,160.549051422183 -25.1048179012894,160.548089975114 -25.1050712594655,160.546166168745 -25.1055769023325,160.545205036268 -25.1058288655275,160.530972026967 -25.10954970533,160.530010788871 -25.1098002949919,160.528085995268 -25.1103007675204,160.527123667003 -25.1105503303318,160.523270595202 -25.1115469038822,160.522307653422 -25.111795300137,160.520380864767 -25.112291014683,160.519417802766 -25.1125381313994,160.51170351375 -25.1145121626147,160.510739826711 -25.1147580868473,160.508811027047 -25.1152489884671,160.507846699789 -25.1154937656158,160.503986530327 -25.1164709502458,160.503021596774 -25.1167145565385,160.501090830612 -25.1172006855288,160.500125339847 -25.1174431219103,160.498947808003 -25.117738006719,160.497981437044 -25.1179793584144,160.49604816353 -25.1184608833835,160.495081603359 -25.118700971625,160.49121340213 -25.1196591622796,160.49024668743 -25.1198979651216,160.48831236518 -25.1203744820282,160.487345545456 -25.1206120023658,160.47960300834 -25.1225087202405,160.478636023634 -25.1227449314088,160.476700639667 -25.1232163919092,160.47573302859 -25.1234514488854,160.471859746621 -25.1243897227073,160.470891989221 -25.1246234946863,160.468955588798 -25.1250899464283,160.467988180468 -25.1253223297207,160.453664539918 -25.1287527300124,160.452697415791 -25.1289836531163,160.450760868126 -25.1294447460019,160.44979267956 -25.129674620787,160.447409683607 -25.1302387901569,160.445916209794 -25.1305923669977,160.445061462708 -25.1307941456613,160.433948284079 -25.133698899864,160.432022993703 -25.1341994199361,160.428168783133 -25.1351961521728,160.426241432304 -25.1356919570636,160.418524761614 -25.1376664319491,160.416595857552 -25.1381573321653,160.412735493736 -25.1391345383832,160.41080560666 -25.1396204476918,160.395345782429 -25.1434912952226,160.393414313597 -25.143972196372,160.389547799702 -25.1449296540877,160.387614329031 -25.1454058193735,160.379873288799 -25.1473016623827,160.377938326387 -25.1477729074639,160.374065902997 -25.1487107776864,160.372130019598 -25.1491770221588,160.356622435539 -25.1528903409035,160.354685034135 -25.153351561392,160.350806709236 -25.1542696216448,160.348867364958 -25.1547260861716,160.341102941066 -25.1565430538289,160.339162166768 -25.1569945832517,160.335278177088 -25.157892997014,160.333336543976 -25.15833951676,160.317783175707 -25.1618948298032,160.31584008869 -25.1623363103735,160.31195044707 -25.16321485523,160.310005476299 -25.1636515603716,160.302218658371 -25.1653894192652,160.300272319561 -25.1658211750259,160.296377258654 -25.1666800169152,160.294430123334 -25.1671067545675,160.278832954107 -25.1705036050907,160.276884429213 -25.1709252890367,160.272983966889 -25.1717642056263,160.271033617709 -25.1721810952628,160.263225398923 -25.1738396220898,160.261273743873 -25.174251548709,160.257368108651 -25.1750707083483,160.255415719544 -25.1754776090589,160.239776739272 -25.1787155605658,160.237823025164 -25.1791173936987,160.233912239914 -25.1799165742084,160.231956761253 -25.1803135947573,160.224128138244 -25.1818925763474,160.222171416052 -25.182284620885,160.218255705084 -25.1830639929789,160.216298311458 -25.183451004435,160.20061951711 -25.1865296406713,160.199597073541 -25.1867290136028,160.198660863261 -25.186911571344,160.194740254491 -25.1876709130478,160.192779896072 -25.1880480134731,160.184931868711 -25.1895472468376,160.182970329324 -25.1899193588893,160.179045042808 -25.1906588432296,160.177082894705 -25.1910259156691,160.161366289244 -25.1939448408427,160.159402945939 -25.1943068199523,160.155473014673 -25.1950262252143,160.153508027015 -25.1953833570266,160.1456415983 -25.1968026493824,160.143675492452 -25.1971547810926,160.139741132092 -25.1978542825835,160.1377744803 -25.1982013687996,160.122022073109 -25.2009602075026,160.120964588735 -25.2011446195147,160.118847176666 -25.2015123840414,160.117788605407 -25.2016954998714,160.113550416795 -25.2024256326811,160.112491289052 -25.2026073425333,160.110372157404 -25.2029694260519,160.109313016695 -25.2031496526305,160.10082962166 -25.2045870763339,160.099615451229 -25.2047918041117,160.097185570706 -25.2051995688188,160.0959707662 -25.2054024533867,160.091108297985 -25.2062105914564,160.089573698822 -25.2064640765621,160.086503234303 -25.2069681473187,160.084545914202 -25.2072869564126,160.083484225879 -25.2074584760385,160.080315976141 -25.2079687364477,160.07957517579 -25.2080876691994,160.078093035065 -25.2083248989057,160.077352382298 -25.2084430860792,160.07018306057 -25.2095834715008,160.069287779298 -25.2097253353086,160.067496045511 -25.2100081942526,160.066600322737 -25.2101490739008,160.06301508612 -25.2107108297189,160.062119446572 -25.2108506315183,160.060327485626 -25.2111292881357,160.059432462607 -25.2112679419991,160.043881939617 -25.213667099083,160.041939452775 -25.2139642365741,160.038051472372 -25.2145540237709,160.036107562092 -25.2148464319636,160.02832592516 -25.2160069650701,160.026381115463 -25.2162945104651,160.022489572963 -25.2168649410805,160.020544425364 -25.2171475952721,160.004965106947 -25.219391061467,160.003019055305 -25.2196687510358,159.999124000453 -25.2202196125779,159.997176583417 -25.2204925588904,159.989381032484 -25.2215751850206,159.987432776313 -25.2218432598147,159.98353439806 -25.2223747302727,159.981585863949 -25.2226379107785,159.965979679296 -25.224725406995,159.964030303833 -25.2249836141054,159.960128656847 -25.2254954814784,159.958177974215 -25.2257489319581,159.950369474731 -25.2267535164337,159.948418013334 -25.2270020872843,159.944513282188 -25.2274945314593,159.942561602969 -25.227738205524,159.926930485133 -25.2296694720761,159.924978027365 -25.2299081646078,159.921070271658 -25.2303809741285,159.919116565098 -25.2306148972419,159.911296084567 -25.2315413150686,159.90934165979 -25.231770351042,159.905431059569 -25.232223707658,159.90347647705 -25.2324478449602,159.8878223633 -25.2342226415191,159.885867065172 -25.2344417897818,159.881953685056 -25.2348754826243,159.879997196753 -25.2350898492587,159.872165704499 -25.2359379851566,159.870208558584 -25.236147457754,159.866292574057 -25.2365616703858,159.864335330538 -25.2367662430259,159.848660161377 -25.2383843487433,159.846702265342 -25.2385839254668,159.842783746026 -25.2389784476633,159.840824718531 -25.2391732311434,159.832983185632 -25.2399429795556,159.831023561306 -25.2401328627025,159.827102678068 -25.2405078797916,159.825143016246 -25.2406928623031,159.80944873578 -25.2421540757699,159.807488484614 -25.2423340561256,159.80356531208 -25.2426893585795,159.801603988409 -25.2428645346572,159.793753387455 -25.2435557997767,159.791791527729 -25.2437260698438,159.787866232119 -25.2440618447053,159.785904395093 -25.2442272140544,159.770192950083 -25.2455313533989,159.768230587016 -25.2456917149862,159.764303248001 -25.2460077534749,159.762339871487 -25.2461633003442,159.754481176529 -25.2467759961187,159.752517324798 -25.2469266319115,159.748588103865 -25.2472231227388,159.746624335095 -25.2473688583301,159.730897675302 -25.2485157611875,159.728933443834 -25.2486564840509,159.725002425718 -25.2489332192365,159.72303724001 -25.2490691175339,159.717513500158 -25.2494441523655,159.71517142633 -25.2496031676863,159.713205826359 -25.2497341504481,159.709273167751 -25.2499913203226,159.707307710936 -25.2501174040078,159.691567788153 -25.2511069276014,159.689601932081 -25.251227994228,159.68566772278 -25.2514653916645,159.683700971797 -25.2515816244711,159.675829015798 -25.2520369625091,159.673861911599 -25.2521482759309,159.669926303526 -25.2523660928248,159.667959402665 -25.2524725088982,159.652208171114 -25.2533045300103,159.650240934508 -25.2534059253322,159.646304022483 -25.2536039554665,159.644335950428 -25.2537005083084,159.636458829482 -25.2540770775351,159.634490465316 -25.2541687077558,159.630552396435 -25.2543471445406,159.628584295714 -25.254433879746,159.612823711032 -25.2551082947838,159.610855338176 -25.2551900061817,159.606916212276 -25.2553486443626,159.604947063527 -25.2554255052174,159.597065755795 -25.2557232587426,159.595096376028 -25.2557951943547,159.591156335368 -25.2559342288042,159.589187279246 -25.2560012723318,159.573419298831 -25.2565179973075,159.571450034171 -25.2565800146132,159.567509183597 -25.2566992410929,159.565539202697 -25.25675640039,159.557654686983 -25.2569753011348,159.555684536239 -25.2570275331788,159.551743013153 -25.257127147972,159.547582711248 -25.2572214741175,159.533460852019 -25.2575043900956,159.53174809264 -25.2575484982748,159.528808780635 -25.2576106267309,159.527836580292 -25.2576305791049,159.519950213639 -25.2577874578591,159.516405557606 -25.2578500665906,159.512463223763 -25.2579109620609,159.508768198657 -25.2579595042798,159.498520940354 -25.2580702480066,159.490964311964 -25.2581161789041,159.485435730703 -25.2581237266006,159.48420667851 -25.2581243156585,159.475308308331 -25.258276992718,159.471121274771 -25.2583102806732,159.470944749419 -25.2583115777745,159.469661694522 -25.2583210056115,159.463337598977 -25.2583635766081,159.462547684852 -25.2583687447755,159.461216228458 -25.258377232451,159.460417547432 -25.2583821882966,159.457896156776 -25.2583973727843,159.457111981928 -25.25840188089,159.455077924083 -25.2584109549073,159.451062784609 -25.2584237394957,159.44905524161 -25.2584276013005,159.448380499605 -25.2584280337637,159.447572398934 -25.2584283056606,159.44555667931 -25.2584261300552,159.441794625332 -25.2584172907507,159.439906204472 -25.2584106147817,159.439251285469 -25.2584075254109,159.438591027299 -25.2584043202825,159.438018206586 -25.2584013307532,159.4368872357 -25.2583950215449,159.436322023917 -25.2583916678784,159.432063094553 -25.2583647667686,159.430582524237 -25.2583545102459,159.42206434454 -25.2582900273803,159.420580034825 -25.2582778350767,159.417382593966 -25.2582496423871,159.415480198503 -25.2582280269144,159.403903369881 -25.2581510789931,159.400480976787 -25.2581208981441,159.393646280436 -25.2580459370784,159.390229575817 -25.2580011320462,159.382207044322 -25.2578786809798,159.38020254122 -25.257845534937,159.376192556618 -25.2577741772918,159.374188708308 -25.257735996116,159.358143512016 -25.2574094327708,159.356139797735 -25.2573660491584,159.352130333781 -25.2572741892358,159.35012621715 -25.2572257489759,159.342105747937 -25.2570216813966,159.340101792348 -25.2569681428849,159.336092966127 -25.2568559906713,159.334089728191 -25.2567974240101,159.318049687979 -25.2563076315922,159.3160466511 -25.2562438642076,159.31203860575 -25.2561112163582,159.310035229751 -25.2560423885564,159.302017853515 -25.2557567307565,159.300014702961 -25.2556828066749,159.29600755027 -25.2555298743347,159.29400518014 -25.2554509297262,159.277972357043 -25.2547979713363,159.27597025497 -25.2547138284034,159.271964143266 -25.2545404097255,159.26996176535 -25.25445120325,159.261948512331 -25.254083992035,159.259946424157 -25.2539896919054,159.255941459912 -25.2537959991357,159.253940214928 -25.2536966867456,159.237916669201 -25.2528806465176,159.235982688902 -25.2527797154543,159.232112862761 -25.2525730328609,159.230178397459 -25.2524673531357,159.225736876874 -25.2522192798022,159.217529134659 -25.2517605635958,159.215478592751 -25.2516432786634,159.211376783279 -25.2514033538907,159.209327157319 -25.2512808114528,159.193285071597 -25.2503002706501,159.191281879685 -25.2501752117385,159.187273714477 -25.2499199045691,159.185270373759 -25.2497897589296,159.177253527739 -25.249258679125,159.175250605798 -25.2491234279736,159.171244101007 -25.248847799483,159.169242147814 -25.2487075356242,159.153243364309 -25.2475656684103,159.151245613482 -25.2474204744495,159.147248397831 -25.2471248984559,159.145250561142 -25.2469746354487,159.137255868469 -25.2463630899936,159.135258514268 -25.246207745153,159.131263209271 -25.2458919418427,159.129266885579 -25.2457316133543,159.113283549104 -25.2444270426751,159.111287760745 -25.2442615322943,159.107294534932 -25.2439253063548,159.10529872401 -25.2437547263797,159.097312267095 -25.2430618797156,159.09531700276 -25.2428862231558,159.091325941431 -25.2425297906703,159.089331769799 -25.2423491612724,159.073365932587 -25.2408820551709,159.071372362867 -25.2406962496902,159.067383639518 -25.2403194171154,159.065390110606 -25.2401285421448,159.057412914654 -25.2393544835041,159.055419996306 -25.2391585378479,159.051433690956 -25.2387615220856,159.049441927361 -25.2385606150348,159.033495638496 -25.2369311624395,159.03150454331 -25.2367250857981,159.027520834353 -25.2363076951256,159.02552984326 -25.2360965497375,159.017562932015 -25.2352413788041,159.015572615431 -25.235025169288,159.011591577601 -25.2345876213682,159.00960247761 -25.2343664625275,158.993677783398 -25.2325748732881,158.991689418198 -25.2323485520282,158.987711234751 -25.2318906570127,158.985723036962 -25.231659268401,158.977767432537 -25.2307230952946,158.977353650641 -25.230673868187,158.975779973009 -25.2304866497544,158.971804713403 -25.2300086260108,158.969818532192 -25.2297672438515,158.95391747508 -25.2278137486268,158.951932094909 -25.2275672118971,158.947959947188 -25.2270688715008,158.945974797654 -25.2268172694525,158.938031520281 -25.2258002147003,158.936047172683 -25.225543563578,158.932078201053 -25.2250251255446,158.930095193318 -25.2247635511372,158.914219812307 -25.2226484014402,158.912237671694 -25.2223816809839,158.908272068944 -25.2218429593663,158.90629022217 -25.2215711762717,158.898360290143 -25.2204733708004,158.896379308878 -25.2201965471385,158.892417133981 -25.2196377615455,158.890437553861 -25.2193560285488,158.874589883472 -25.2170794966171,158.872611236467 -25.2167926267764,158.868652686901 -25.216213593288,158.866674396839 -25.2159216641271,158.858758826284 -25.2147432492343,158.856781465164 -25.2144462886604,158.852826594643 -25.2138472274164,158.85085069577 -25.2135453720836,158.835032766423 -25.2111077509305,158.834121066741 -25.2109666638228,158.832295723383 -25.2106830970521,158.831383400752 -25.2105408216314,158.827731392151 -25.2099690855879,158.826818989102 -25.2098256928145,158.824993892962 -25.2095377678091,158.824081943197 -25.2093933531391,158.816779161842 -25.2082323804256,158.816021843779 -25.2081115919108,158.814506360491 -25.2078691248482,158.813748896436 -25.2077475581955,158.810497242778 -25.2072240018683,158.809402280862 -25.2070471302406,158.807428304371 -25.20672562899,158.804357858762 -25.206221560409,158.802823269096 -25.2059680764113,158.79796082142 -25.2051599403084,158.796746022051 -25.2049570562378,158.794316151799 -25.2045492925328,158.793101986488 -25.2043445652584,158.784618615425 -25.2029071431064,158.783559477731 -25.2027269167271,158.781440352109 -25.2023648336088,158.780381227386 -25.2021831239596,158.776143050745 -25.2014529919481,158.775084482453 -25.2012698763152,158.772967076328 -25.2009021121864,158.771909594918 -25.2007177003739,158.756157218761 -25.1979588623731,158.754190570866 -25.1976117762497,158.750256218263 -25.1969122749391,158.748290116259 -25.1965601433133,158.740423703022 -25.195140851316,158.738458719251 -25.1947837195978,158.734528795705 -25.1940643145147,158.732565456241 -25.1937023354923,158.716848881706 -25.1907834110582,158.714886737466 -25.1904163387127,158.710961458662 -25.1896768545583,158.708999923121 -25.1893047425989,158.701151911202 -25.1878055096147,158.699191556661 -25.1874284092892,158.695270955618 -25.1866690677804,158.693312305615 -25.1862871372027,158.677633542092 -25.1832085017458,158.675676152329 -25.1828214903912,158.671760449054 -25.1820421184946,158.66980373069 -25.1816500740523,158.661975123068 -25.1800710928621,158.660019648251 -25.1796740724141,158.656108870691 -25.1788748921069,158.654155160428 -25.1784730590767,158.638516210879 -25.1752351083891,158.636563825617 -25.1748282077842,158.632658198067 -25.1740090483532,158.630706546822 -25.173597121832,158.622898343362 -25.1719385954233,158.620947998034 -25.1715217058969,158.617047543353 -25.1706827895159,158.61509902227 -25.1702611056728,158.606120632356 -25.1683057315801,158.560100086427 -25.1582830678171,158.567834655 -25.1478422382735,158.576976586 -25.1353785142737,158.586055275 -25.122877081274,158.595070552 -25.1103382022743,158.59518718 -25.1101751392743,158.595187146194 -25.1101750602521,158.595187648 -25.1101746709999,158.547354648 -24.9983666709999,158.45835445082 -24.7896030017917,157.801264647 -23.2482976699999,157.312098647 -22.5271856689999,157.217931646 -22.1752416689999,157.243487646 -21.7891306679999,157.171542646 -21.2157966679999,157.107098646 -20.8924636679998,157.076264646 -20.7144076669998,157.052653646 -20.5410746669999,156.826264646 -20.1410736669998,156.255709646 -19.286629666,156.624875646001 -18.9316296659999,156.945709646 -18.5402406649998,157.366542647 -17.9110736649999,157.642098647 -17.5077396639999,158.274042647001 -16.5807956639999,158.380431648 -16.424406663,158.760987648 -15.735239663,160.248332649 -16.1269436629999,161.922547799921 -15.3830475478873,162.319088802996 -15.1946201015164,162.585389899155 -15.0680797560648,163.179550274898 -14.7931268735214,163.343319713023 -14.7173411413806,163.431668328673 -14.8226654420088,164.082819510692 -15.6018278852638,164.154639779491 -15.7097668722105),(165.562190654 -21.7138906679999,165.619418654 -21.7333276679999,165.682463654 -21.7308276679997,165.722199654 -21.7244456679998,165.758027654 -21.7769456679999,165.830263654001 -21.8444456679999,165.968018655 -21.9327816679998,166.064699655 -21.9186096679998,166.116363655001 -21.9463906679998,166.138872655 -21.9634726689998,166.151918655 -22.033890669,166.151363655001 -22.0730546689998,166.216372655 -22.1436096689998,166.283872655 -22.164718669,166.381618655 -22.179999669,166.432190655001 -22.2874996689998,166.451908655 -22.3166636689999,166.505481655 -22.2407906689999,166.634154655 -22.2805546689999,166.681227655 -22.3099996689999,166.733581655 -22.3699996689998,166.815799655 -22.3624996689999,166.819272655 -22.324027669,166.831218655 -22.2998636689999,166.874663655 -22.3258366689999,166.921354655 -22.3738906689999,166.916927655 -22.3988906689999,166.929408655001 -22.3974996689998,166.998563656 -22.3411096689997,167.016299656001 -22.3174996689999,167.023590656001 -22.2830546689999,167.028045656 -22.2327726689998,166.950945655 -22.0936096689999,166.870790655 -22.0361096689998,166.845518655 -22.0249996689997,166.743563655 -21.9869456689999,166.619690655001 -21.9069456679998,166.546936655 -21.8436096679999,166.474972655 -21.7761096679999,166.453854655 -21.7466636679998,166.429963655001 -21.7272186679999,166.337736655001 -21.6680546679999,166.293854655 -21.6424996679999,166.233308655 -21.611109668,165.963863655 -21.4069456679999,165.760954654 -21.3051366679999,165.713863654 -21.2972186679999,165.630799654 -21.2797276679999,165.612454654 -21.2558366679999,165.600063654 -21.216981668,165.603027654 -21.1808276679999,165.541927654 -21.1349996679999,165.469972654 -21.106527668,165.443027654001 -21.099163668,165.420945654 -21.0786096679999,165.401090654001 -21.0558366679999,165.260272654 -20.8566636669999,165.261108654 -20.823609667,165.246899654 -20.7919456669999,165.223299654 -20.7652816669999,165.157745654001 -20.7513906669998,165.135099654 -20.7486096669999,165.111827654 -20.7518726669999,165.062190654 -20.7377816669999,165.033872654 -20.7222186669999,164.855590654 -20.6220816669999,164.823227654 -20.5758996669999,164.740236653 -20.488327667,164.658599653 -20.4449996669999,164.581772653 -20.4023636669998,164.568163653001 -20.3697906669998,164.509854653 -20.3091636669998,164.347199653001 -20.2427726669998,164.308245653 -20.2367366669998,164.301772653 -20.2597276669998,164.313308653 -20.2826366669998,164.325672653001 -20.3246546669998,164.252472653 -20.2958366669998,164.213008653 -20.2731906669999,164.117463653001 -20.1741636669999,164.057463653 -20.119445667,164.036790653 -20.1020816669998,164.018036653 -20.0886096669999,163.995518653 -20.0879186669999,163.982745653001 -20.1105546669999,163.992190653 -20.1558366669999,164.154163653 -20.321109667,164.166781653 -20.3430546669999,164.168027653001 -20.3711096669999,164.155745653 -20.3954186669998,164.153590653 -20.4316636669997,164.172608653 -20.5034726669999,164.206908653 -20.5369456669998,164.230945653 -20.5590276669999,164.251372653001 -20.5716636669999,164.349699653 -20.6880546669998,164.385099653 -20.7718096669998,164.463290653 -20.8558366669999,164.514163653 -20.8969456679999,164.576063653 -20.9243726679997,164.623836653 -20.9408366679999,164.698299653 -21.0533366679999,164.717190653 -21.0661096679999,164.747481653 -21.0823636679999,164.800808653001 -21.0944456679999,164.829681654 -21.194999668,164.904145654 -21.2686096679999,164.945527654 -21.2997276679999,165.154690654 -21.4666636679999,165.259981654 -21.5580546679998,165.276918654 -21.5702816679999,165.297336654 -21.582499668,165.521790654 -21.6983276679998,165.562190654 -21.7138906679999),(166.563172655 -20.3995096669998,166.560518655 -20.4113906669999,166.574263655001 -20.4087546669999,166.598299655 -20.436945667,166.601345655 -20.4474996669998,166.596927655 -20.4797186669998,166.593845655001 -20.4913906669997,166.580472655001 -20.5035546669999,166.559718655 -20.5401546669999,166.558627655 -20.594781667,166.554563655 -20.6299996669999,166.548581655 -20.6419456669998,166.542208655 -20.6499996669999,166.509154655 -20.6811096669999,166.499118655 -20.7177816669998,166.505827655 -20.7174996669999,166.515808655 -20.7133366669999,166.565245655 -20.6919456669999,166.574399655 -20.6869456669999,166.581363655 -20.6797186669999,166.624408655 -20.6027816669998,166.610790655001 -20.5983366669998,166.594127655 -20.6034726669999,166.581363655 -20.597363667,166.576627655 -20.584999667,166.576081655 -20.5594456669999,166.584118655 -20.5240546669999,166.588008655 -20.5116726669999,166.612045655 -20.4744456669999,166.636108655001 -20.4669456669999,166.651508655001 -20.4663906669998,166.648318655 -20.438609667,166.624663655 -20.406109667,166.609127655 -20.389581667,166.594118655001 -20.3897186669998,166.563172655 -20.3995096669998),(167.073718656 -20.706945667,167.051363656 -20.7201366669999,167.039627656001 -20.7682636669997,167.049136656001 -20.7713906669999,167.064418656 -20.7652816669999,167.092745656 -20.7586096669999,167.108445656 -20.7581906669997,167.157472656 -20.7769456669999,167.184772656 -20.7935456669997,167.189972656 -20.8104186669999,167.185518656001 -20.8238906669999,167.169554656 -20.853336667,167.136936656001 -20.8894456679999,167.125245656001 -20.899163668,167.111354656 -20.906663668,167.096927656 -20.9133366679998,167.076627656 -20.9213906679999,167.062472656001 -20.9211096679999,167.051636656 -20.9419456679998,167.059690656 -20.9886096679999,167.064972656001 -20.9972186679998,167.093845656001 -21.0313906679999,167.100799656 -21.0386096679998,167.122190656001 -21.059718668,167.133608656 -21.0699996679999,167.141936656 -21.0761096679999,167.154418656001 -21.0819456679999,167.329127656 -21.165554668,167.362727656001 -21.1833276679999,167.368008656 -21.1830546679998,167.394990656 -21.178327668,167.421781656 -21.155136668,167.463581656001 -21.0573636679999,167.383990656 -20.9462456679997,167.368854656 -20.9392996679999,167.330263656 -20.938054668,167.320254656 -20.9333276679998,167.277545656 -20.8995816679998,167.278872656001 -20.8049996669998,167.283036656 -20.7630546669998,167.289836656 -20.755554667,167.305172656 -20.7442366669999,167.306218656 -20.7222186669999,167.245790656001 -20.6877816669998,167.229945656001 -20.6813906669998,167.211090656001 -20.677499667,167.192199656 -20.6799996669999,167.073718656 -20.706945667),(167.985654656 -21.658754668,167.994690656 -21.6608276679999,168.046081657 -21.6588906679999,168.085508657 -21.6444456679999,168.120236657 -21.6311096679999,168.130508657 -21.616109668,168.128572657001 -21.5205546679999,168.095245657 -21.4555546679998,168.031645656 -21.4629186679999,168.002199656 -21.4519456679999,167.992036656 -21.4442996679999,167.984127656001 -21.4344456679999,167.966372656 -21.410281668,167.962463656001 -21.4002726679999,167.962463656001 -21.3872186679998,167.933590656001 -21.3774996679998,167.835663656 -21.375418668,167.809690656 -21.3838906679999,167.814972656 -21.4069456679999,167.840236656001 -21.4888906679999,167.883327656001 -21.5688906679997,167.970245656 -21.6486096679997,167.985654656 -21.658754668),(167.488863656 -22.6736096689999,167.496336656 -22.6738906689999,167.501645656 -22.6722186689998,167.519427656 -22.6496726689998,167.550381656 -22.6393096689998,167.554699656 -22.6149996689999,167.541227656001 -22.5937546689999,167.504972656 -22.560209669,167.455654656001 -22.540554669,167.437327656 -22.5420816689999,167.425245656 -22.5513906689998,167.420536656 -22.5611096689999,167.419127656001 -22.646390669,167.454681656001 -22.6658366689998,167.488863656 -22.6736096689999)))', 'New Caledonian Exclusive Economic Zone', 'New Caledonia', 'France', '', '179', '5', 'NCL', '8312', '2014-02', '1373337096000', '8312', 'Y'),('SRID=4326;MULTIPOLYGON(((163.343319713022 -14.7173411413806,163.458856529589 -14.3454679560821,163.566726482194 -13.9884405085298,163.574747582391 -13.7054218366782,163.857099381784 -13.1981516139136,163.955900676955 -13.0184673426039,164.15479670266 -12.6457725213467,164.279375061864 -12.6026959486193,164.812146758775 -12.4181470228735,164.820412272777 -12.4161141385483,164.869859227924 -12.4043588556032,164.885715488694 -12.4007220778684,164.918849654 -12.3931226599998,164.967382652857 -12.3824056548234,164.967382813389 -12.3824056200754,165.015459052976 -12.3722087469581,165.039461458753 -12.3673313812081,165.063077654 -12.3625326599999,165.110239654 -12.35337766,165.156943654 -12.3447436599999,165.179580562963 -12.3407728392516,165.203189110956 -12.3366318511185,165.248976915857 -12.3290427775921,165.294306442402 -12.3219767280273,165.297306836998 -12.321539246143,165.339177654 -12.3154346599999,165.383589654 -12.3094156599999,165.427543654 -12.3039216599999,165.456485144019 -12.3006145554476,165.471037813952 -12.2989518442824,165.514072653778 -12.2945076578455,165.514072986675 -12.2945076253361,165.55664869661 -12.290589025312,165.583840350202 -12.2883986554051,165.598764654 -12.28719666,165.640420654 -12.28433066,165.665107455883 -12.2829284087839,165.681617096315 -12.2819908785315,165.717600976045 -12.2803900209515,165.722352654 -12.2801786589999,165.729743471841 -12.2799428560174,165.762628472786 -12.2788938248594,165.802443314079 -12.2781368528993,165.841797335227 -12.2779080197216,165.878716418449 -12.2781924307926,165.880690654 -12.278207659,165.882255223815 -12.2782413669457,165.919122157196 -12.2790360053661,165.941856799335 -12.2798487474383,165.957092655 -12.280393659,165.969587475543 -12.2810219143931,165.994601431462 -12.282280134189,166.020302319497 -12.2839564083126,166.031648655 -12.28469666,166.068233655 -12.2876426599999,166.085177091344 -12.2892730723336,166.104356698442 -12.2911187709296,166.112472874152 -12.2920306279801,166.140017655 -12.2951256599999,166.175215655 -12.29966266,166.191290304404 -12.3020074967263,166.209951240239 -12.3047300280226,166.241356621475 -12.3098602741249,166.244223655 -12.31032866,166.278033655 -12.3164586599999,166.304770655 -12.32179966,166.484811312337 -12.3597392492484,166.519127267757 -12.366970610009,166.530766470531 -12.3695151024157,166.608796571615 -12.3871921480779,166.644848655 -12.3953596599999,166.651714952228 -12.3970053265543,166.653902445085 -12.3975296805801,166.662422910438 -12.3995705240264,166.666009655 -12.4004296599999,166.666464593898 -12.4005303273305,166.668124562087 -12.4008977604033,166.673935918128 -12.4023111493807,166.686115655 -12.40527366,166.690032655 -12.4062476599999,166.696970853153 -12.4078457227569,166.714102234139 -12.4117920028147,166.738245558435 -12.4169126768368,166.74347953955 -12.417927796298,166.762462655 -12.4216096599999,166.786752655 -12.42588266,166.811115655 -12.4297316599998,166.832355989119 -12.4327086270726,166.835552299622 -12.4331566471338,166.860062388627 -12.4361580954576,166.884645857075 -12.4387357654487,166.909302654834 -12.4408896619044,166.909302714601 -12.4408896666054,166.934032970456 -12.4426198136838,166.939760439293 -12.4429214747907,166.958836655 -12.4439266599998,166.976918070773 -12.4445677263691,166.983713719163 -12.444808833938,167.008664233013 -12.4452677022869,167.033688187905 -12.4453027972011,167.058785595343 -12.444914103927,167.080823312024 -12.4442027396276,167.083956656 -12.4441016599999,167.109200656 -12.4428656599999,167.121187195899 -12.4420792770798,167.134518654016 -12.4412050805522,167.152736260522 -12.4397100053619,167.154239656 -12.43958666,167.159895656 -12.4392056599999,167.180867656 -12.4374506599999,167.185278656 -12.4371676599999,167.210662655501 -12.4351256537955,167.210663052322 -12.4351256186683,167.21131512014 -12.4350626821907,167.230840894378 -12.4335550754882,167.233357490201 -12.4333742626352,167.236030656 -12.4331826599999,167.253935618568 -12.4316103313832,167.261447576298 -12.4309508619816,167.268270145303 -12.4302434915454,167.286936656 -12.42830866,167.299762647781 -12.4267756029598,167.312496128921 -12.4252541372539,167.338127460063 -12.4217886871736,167.338127655876 -12.4217886591723,167.363830181414 -12.4179117820937,167.366644913661 -12.4174434541782,167.389604656 -12.4136236599999,167.415449656 -12.4089236599999,167.416755704347 -12.4086658872998,167.419021422049 -12.4082191209556,167.441313805369 -12.404117950761,167.442423600477 -12.4038969481058,167.467176118623 -12.3993227366572,167.481613197191 -12.3964373789181,167.493105656 -12.3941406599999,167.502859258609 -12.3920450553929,167.519105150251 -12.3885547792216,167.532048852169 -12.3855810201513,167.545174656 -12.38256566,167.571314656 -12.3761726599999,167.597524656 -12.3693756599999,167.623804656 -12.3621746599999,167.626314557443 -12.3614502652952,167.650154293082 -12.3545700959634,167.664107362752 -12.3503405428285,167.676574656 -12.3465616599999,167.701075941467 -12.338780258919,167.70306499267 -12.3381485768484,167.707602192158 -12.3366424118802,167.729625656 -12.3293316599999,167.73603422894 -12.3271124470655,167.756256548207 -12.3201101356777,167.771409619729 -12.3146474197884,167.782957656 -12.3104846599998,167.789938278155 -12.3078690996393,167.798618692264 -12.3046170594995,167.807702386753 -12.301191794843,168.089411776272 -12.6238111476016,168.238470657 -12.7945166599999,168.474563657 -13.0646836599999,168.515564657 -13.1117486599999,168.533284657 -13.1316016599999,168.553132656348 -13.1532146605989,168.553132722396 -13.1532147315243,168.573463657 -13.1747446599999,168.594277657 -13.19619066,168.600798675324 -13.202731273834,168.615575416443 -13.2175530951988,168.637356321492 -13.238831669288,168.645449397973 -13.2465358301816,168.659620657 -13.2600266599999,168.671108945249 -13.2706872501328,168.682369468013 -13.2811370423384,168.705602160253 -13.3021636784435,168.72433418529 -13.3187043016064,168.729319657 -13.3231066599999,168.731633544313 -13.3251008589408,168.745532309895 -13.337080144925,168.767327585618 -13.3514771097716,168.792321295045 -13.3675748393213,168.813855382462 -13.3810995482816,168.817692657 -13.3835096609999,168.826683842284 -13.3890168056326,168.84344251414 -13.3992817019698,168.850282774668 -13.403368289943,168.863129657 -13.4110436609999,168.869562657 -13.414893661,168.875732207258 -13.4184958469514,168.89603957254 -13.4303528658255,168.922894204497 -13.4456489438276,168.950127247756 -13.460782029479,168.977738909116 -13.4757520449462,169.005729397992 -13.4905589093688,169.022578658298 -13.4992560692627,169.034098657 -13.5052026609999,169.051874053652 -13.5141555895717,169.062847709099 -13.5196828464297,169.083150572923 -13.5296619540262,169.091975657 -13.5339996609999,169.096632737036 -13.5362333485256,169.121483909279 -13.5481531328301,169.151371769561 -13.5621429224275,169.18163976968 -13.5759690116723,169.192148009397 -13.5806533257459,169.212287658 -13.5896316609999,169.218066658 -13.592145661,169.243278658 -13.6031466609998,169.274641658 -13.6165016609999,169.306383658 -13.6296926609999,169.328717146959 -13.6387496718851,169.338507056167 -13.642719912682,169.367552671628 -13.654214905115,169.369741765995 -13.6550872558315,169.370999658 -13.655588661,169.403771658 -13.6683366609998,169.425940244708 -13.6767515227016,169.436924109917 -13.6809210076224,169.454630842683 -13.6874804495479,169.461120658 -13.689884661,169.463815584476 -13.6908889256842,169.470429219839 -13.6933536592083,169.494641893839 -13.7021609745628,169.504243658 -13.7056536609999,169.509861878776 -13.7076477744572,169.538436107228 -13.7177901520647,169.561420683343 -13.7257505164162,169.573007658 -13.7297636609998,169.607958658 -13.741573661,169.616793841672 -13.7444860670225,169.63889240928 -13.7517709695072,169.653245984108 -13.7564150977636,169.665513658 -13.7603846609999,169.754974114679 -13.7895188796458,169.920400194679 -13.8433931249086,170.055218300601 -13.9465267004032,170.098962658 -13.9799906609999,170.312065659 -14.142664661,170.317117279849 -14.1465036368163,170.329428647032 -14.1558601094641,170.357513849663 -14.1769539080212,170.385879232655 -14.1980083848563,170.38823026955 -14.1997331532574,170.414524659 -14.2190236609999,170.424493788172 -14.2262522876937,170.44345116522 -14.2399990774597,170.47265803004 -14.2609351424607,170.49227761842 -14.2748385640108,170.502145659 -14.2818316609999,170.531914659 -14.3026886609999,170.561963659 -14.323505661,170.590953734556 -14.343363461337,170.592295204708 -14.3442823822345,170.596636853192 -14.3472234470952,170.622907659 -14.365019661,170.653801659 -14.3857166609999,170.684977659 -14.4063736609999,170.716435659 -14.4269906609999,170.727654670278 -14.4342635780532,170.748175735811 -14.4475670572829,170.759057143447 -14.4545453968095,170.780197659 -14.4681036619999,170.805050729822 -14.4838709948119,170.812502801237 -14.4885989530281,170.845090192478 -14.5090541259588,170.877960384474 -14.5294686614628,170.896820195411 -14.5410586898956,170.911113659 -14.5498426619999,170.944549659 -14.5701756619999,170.978269659 -14.5904676619999,171.012272659 -14.610718662,171.046559659 -14.630928662,171.081129659 -14.6510976619999,171.115984659 -14.6712246619999,171.140790043401 -14.6854038062864,171.151123689103 -14.6913107020618,171.152370741005 -14.6920163548768,171.186546659 -14.711355662,171.209621163247 -14.7242809514012,171.222254857577 -14.7313581177476,171.242682236502 -14.7426869566432,171.258247659 -14.751319662,171.29452466 -14.771238662,171.307435976516 -14.7782577315071,171.331087768537 -14.7911161085551,171.354622187519 -14.8037847590436,171.36793566 -14.8109516619999,171.38378607188 -14.8194001782475,171.405069315007 -14.8307447720174,171.442488533959 -14.8504957779232,171.459083420393 -14.8591700057892,171.48019366 -14.8702046619999,171.51818466 -14.8898706619999,171.525345707866 -14.893541732648,171.55646266 -14.9094936619999,171.59502666 -14.9290746619999,171.61669766 -14.9399746619999,171.62035566 -14.9595556619999,171.62220866 -14.9658526619999,171.62412966 -14.9839206619999,171.62598166 -14.9902126619999,171.62790466 -15.0082846619999,171.62975566 -15.0145726619999,171.63167966 -15.0326486619999,171.63352966 -15.0389316619999,171.63545466 -15.0570126619999,171.63730466 -15.0632916619999,171.63923166 -15.0813766619999,171.64108066 -15.0876516619999,171.64300766 -15.1057406619999,171.64485566 -15.1120116619998,171.64678566 -15.1301046619999,171.64863266 -15.1363706619999,171.65056266 -15.1544686619999,171.65240966 -15.1607306619999,171.65253566 -15.161913662,171.65539966 -15.167606662,171.66034266 -15.1843666619999,171.66360166 -15.190842662,171.66854966 -15.2076116619999,171.67180366 -15.214078662,171.67675666 -15.2308566619999,171.68000666 -15.2373136619999,171.68496366 -15.2541016619999,171.68820966 -15.2605486619999,171.69317166 -15.277346662,171.69641366 -15.2837836619999,171.70137966 -15.3005916619999,171.70461766 -15.307018662,171.70958766 -15.323835662,171.71282166 -15.330253662,171.71779666 -15.3470806619998,171.72102666 -15.353488662,171.72600566 -15.370324662,171.72923166 -15.376723662,171.73421566 -15.3935696619999,171.73743766 -15.399957662,171.74242566 -15.4168136619999,171.74564366 -15.4231926619999,171.75063566 -15.4400576619999,171.75384966 -15.4464266619999,171.75884666 -15.4633016619999,171.76205666 -15.4696606619999,171.76705766 -15.4865456619999,171.77026366 -15.492894662,171.77526966 -15.5097896629999,171.77847066 -15.516128663,171.78348166 -15.5330326629999,171.78667866 -15.5393626629999,171.79169366 -15.5562766629999,171.79488666 -15.5625956629999,171.79990666 -15.5795196629999,171.80309566 -15.5858296629999,171.80811966 -15.602762663,171.81130466 -15.609062663,171.81633366 -15.6260066629999,171.81951366 -15.632295663,171.82454766 -15.649249663,171.82772366 -15.6555286629999,171.83276166 -15.672491663,171.83593366 -15.6787616629999,171.84097666 -15.6957346629999,171.84414366 -15.7019946629999,171.84919166 -15.718977663,171.85235466 -15.7252276629999,171.85740666 -15.7422206629999,171.86056666 -15.7484596629999,171.86562266 -15.7654626629999,171.86877766 -15.771692663,171.87383966 -15.7887046629999,171.87698966 -15.794924663,171.88205566 -15.8119476629999,171.88520266 -15.8181566629999,171.89027266 -15.8351896629999,171.89341566 -15.8413886629999,171.89355966 -15.8418736629999,171.89364866 -15.8420496629998,172.06039066 -16.3998916629998,172.06499766 -16.4415866629999,172.07126266 -16.4498336629999,172.08085366 -16.458691663,172.08786666 -16.4679216629999,172.09744466 -16.4767636629999,172.10447166 -16.486008663,172.11403566 -16.4948356629999,172.12107566 -16.5040956629999,172.13062566 -16.512907663,172.13767966 -16.5221816629999,172.14721666 -16.5309796629999,172.15428366 -16.5402686629999,172.16380766 -16.5490516629999,172.17088766 -16.5583556629999,172.18039766 -16.5671236629999,172.18749166 -16.576441663,172.19698866 -16.585194664,172.20409566 -16.5945286639999,172.21357866 -16.6032666639998,172.22069966 -16.6126146639999,172.23016866 -16.621337664,172.23730366 -16.630701664,172.24675966 -16.639408664,172.25390766 -16.6487876639999,172.26334966 -16.6574796639999,172.27051066 -16.666873664,172.27993966 -16.6755506639999,172.28711466 -16.6849596639999,172.29652966 -16.6936216639999,172.30371866 -16.7030456639999,172.31311966 -16.7116926639999,172.32032166 -16.7211316639998,172.32970966 -16.7297636639998,172.336925661 -16.739216664,172.346299661 -16.7478336639999,172.353528661 -16.7573026639999,172.362889661 -16.7659046639999,172.370132661 -16.7753876639999,172.379478661 -16.783974664,172.386735661 -16.793473664,172.396068661 -16.8020446639999,172.403339661 -16.811558664,172.412658661 -16.820115664,172.419942661 -16.8296436639999,172.429247661 -16.8381856639999,172.436545661 -16.8477296639999,172.445837661 -16.8562556639999,172.453149661 -16.865814664,172.462426661 -16.874324664,172.469752661 -16.883898664,172.479015661 -16.8923946639998,172.486355661 -16.9019836639999,172.495605661 -16.910464664,172.502958661 -16.9200686639999,172.512194661 -16.9285336639999,172.519561661 -16.938153664,172.528783661 -16.946603664,172.536164661 -16.956237664,172.545372661 -16.9646726639999,172.552767661 -16.9743226639999,172.561961661 -16.9827416639999,172.569370661 -16.9924066639999,172.578550661 -17.000810664,172.585973661 -17.0104906639999,172.595139661 -17.0188796639999,172.602576661 -17.028574664,172.611728661 -17.036948664,172.619179661 -17.0466596639999,172.628317661 -17.0550176639999,172.635782661 -17.0647426639999,172.644906661 -17.0730866639999,172.652384661 -17.0828266639999,172.661494661 -17.0911546639999,172.668987661 -17.1009106639999,172.678083661 -17.109222664,172.685590661 -17.118994664,172.694671661 -17.1272916639998,172.702192661 -17.1370776639999,172.711260661 -17.145359664,172.718795661 -17.1551616639999,172.727848661 -17.1634276639999,172.735397661 -17.1732446639999,172.744437661 -17.1814956639999,172.752000661 -17.1913286639999,172.761025661 -17.199563664,172.768602661 -17.209411664,172.777613661 -17.217631664,172.785204661 -17.2274946639999,172.794201661 -17.235699664,172.801807661 -17.2455776639998,172.810789661 -17.253766664,172.818409661 -17.2636606639999,172.827377661 -17.2718346639999,172.835011661 -17.2817436639999,172.843965661 -17.2899016639999,172.851613661 -17.2998256639999,172.860553661 -17.3079686639999,172.868215661 -17.317908664,172.877141661 -17.326035664,172.878711661 -17.3280716639999,172.880535661 -17.3297336639999,173.242174661 -17.7969766649999,173.581944444 -18.3136111109999,173.56 -18.5433333329999,172.764876111 -20.022462973,172.14353566 -20.3996496669999,172.12380266 -20.410949667,172.09760266 -20.4261546669999,172.07160066 -20.441447667,172.04579666 -20.4568286669999,172.02019166 -20.472297667,171.99640066 -20.4868646669999,171.99478266 -20.4878536669999,171.96954266 -20.503484667,171.94450166 -20.5192036669999,171.91965966 -20.5350116669999,171.89501666 -20.5509076669999,171.87057266 -20.5668916669998,171.86621866 -20.5697786669999,171.84084366 -20.5805796669999,171.81017566 -20.5938606669999,171.77976766 -20.6072566669999,171.74962066 -20.6207676669999,171.71973366 -20.6343936669999,171.69010866 -20.648134667,171.66074466 -20.6619916669999,171.63164166 -20.675963667,171.60280066 -20.690050667,171.57422166 -20.7042546669999,171.54590466 -20.7185736669999,171.51784966 -20.7330086669999,171.49005666 -20.747558667,171.46252566 -20.7622256669998,171.43525866 -20.777008667,171.40825366 -20.791907667,171.38151166 -20.806923667,171.35503266 -20.8220546669999,171.33970966 -20.8309686669999,171.30396566 -20.8518146669999,171.038147659 -21.0057866679999,171.016881659 -21.0182786679999,170.993860659 -21.032069668,170.977719659 -21.0419296679999,170.267115659 -21.4768036679999,169.995513658 -21.6411426679999,169.959004658 -21.6290856679999,169.933342658 -21.6208126679999,169.907704658 -21.6127676679999,169.471476658 -21.479043668,169.441972658 -21.444192668,168.960091657 -20.869807667,168.948354657 -20.8556976669999,168.905276417442 -20.8037813150301,168.888775815095 -20.7806544261264,168.764703271104 -20.6067570204142,168.709599699104 -20.4824221354346,168.512518149026 -20.2965760483584,168.369972060768 -20.1571777779812,168.270038402282 -20.0657340500208,168.194547513085 -19.9968790591165,168.186627422293 -19.9841832010351,168.1813951458 -19.9759458017355,168.146591891931 -19.9225373347573,167.953484730582 -19.6263953893978,167.857523108172 -19.5386939769119,167.532447978166 -19.2174113842505,167.463115801972 -19.1079611163834,167.119156042779 -18.9045720072241,166.902136992601 -18.6639385759399,166.854754238886 -18.6114241663519,166.845588004316 -18.601270554679,166.811643684047 -18.5642106673288,166.512229375213 -18.2376737486853,166.362916716936 -18.0457030521256,166.169702209266 -17.9300013314414,166.103882063039 -17.8310738063121,165.698977286018 -17.180152913708,164.806499033274 -16.4309508079048,164.550275287802 -16.244528001624,164.547929526283 -16.2428226853959,164.154639779491 -15.7097668722105,164.082819510692 -15.6018278852638,163.431668328673 -14.8226654420088,163.343319713022 -14.7173411413806),(167.188872656 -15.7552816629999,167.195527656 -15.756109663,167.209136656 -15.7555546629999,167.220245656 -15.752781663,167.229127656 -15.747781663,167.235518656 -15.736245663,167.234818656 -15.652499663,167.225099656 -15.6362546629998,167.210236656 -15.632499663,167.142763656 -15.6244456629999,167.128572656 -15.6236096629999,167.109681656 -15.6252726629999,167.088990656 -15.6313906629999,167.077454656 -15.6402816629999,167.070781656 -15.6531906629999,167.070254656 -15.6759726629999,167.077590656 -15.6927816629999,167.091645656 -15.7072186629999,167.105527656 -15.714999663,167.162199656 -15.745281663,167.177463656 -15.7516636629998,167.188872656 -15.7552816629999),(166.839536655 -15.628745663,166.909908655 -15.5813186629999,166.941345655 -15.5799996629999,166.982454656 -15.5805546629999,167.033063656 -15.5880906629999,167.076908656 -15.596181663,167.151154656 -15.5203456629999,167.194972656 -15.5169456629999,167.233363656 -15.5253456629998,167.237745656 -15.493509662,167.205518656 -15.4598816619999,167.171354656 -15.3402726619999,167.187472656 -15.3022276619998,167.162581656 -15.2703546619999,167.149518656 -15.2445456619998,167.156581656 -15.203563662,167.131363656 -15.1281906619999,167.107818656 -15.1236996619999,167.098081656 -15.1367366619999,167.065245656 -15.0849996619999,167.050108656 -14.9576366619999,167.040799656 -14.9327816619999,167.005327656 -14.9257636619998,166.970027656 -14.9457636619999,166.962736655 -15.020836662,166.967527656 -15.0720096619999,166.958163655 -15.1112456619999,166.922472655 -15.1593726619998,166.835508655 -15.1649996619999,166.802763655 -15.157499662,166.794690655 -15.1347186619998,166.787472655 -15.0916636619999,166.788299655 -15.0688906619999,166.786099655 -15.032499662,166.761108655 -14.905836662,166.749690655 -14.8697186619999,166.732727655 -14.8316636619999,166.718845655 -14.8108366619999,166.693027655 -14.7869456619998,166.675536655 -14.768609662,166.639436655 -14.7141636619999,166.624118655 -14.6699996619998,166.599181655 -14.6260366619999,166.552745655 -14.6568096619999,166.530536655 -14.7240276619999,166.521636655 -14.8213906619998,166.525254655 -14.8543096619999,166.534272655 -14.8891636619999,166.578308655 -15.0152816619999,166.650545655 -15.229163662,166.649154655 -15.2556906619999,166.639908655 -15.3180546619998,166.629118655 -15.3452816619999,166.618427655 -15.3873636619999,166.636654655 -15.4333366619999,166.763599655 -15.6445816629999,166.784699655 -15.6558366629999,166.805390655 -15.6611096629999,166.831418655 -15.6538186629999,166.839536655 -15.628745663),(168.102890657 -14.920554662,168.094272657 -14.9259726619999,168.088863657 -14.951945662,168.106627657 -15.078609662,168.130527657 -15.352772662,168.135799657 -15.3966636619999,168.171627657 -15.3955546619999,168.191636657 -15.3737456619999,168.193299657 -15.2516636619998,168.193299657 -15.2386096619999,168.190245657 -15.2147186619999,168.138581657 -14.9627816619999,168.126618657 -14.9338906619999,168.118636657 -14.922499662,168.102890657 -14.920554662),(167.987454656 -15.2830546619999,167.971345656 -15.2811096619999,167.922481656 -15.286390662,167.904972656 -15.2897186619999,167.813290656 -15.315836662,167.803036656 -15.3194456619999,167.791354656 -15.329445662,167.728299656 -15.3863906619999,167.691654656 -15.420554662,167.669281656 -15.4443096619999,167.672336656 -15.461736662,167.722608656 -15.4865276619998,167.846927656 -15.4908366619999,167.855808656 -15.4858366619999,167.906645656 -15.4447276619999,167.924136656 -15.4269456619999,167.930545656 -15.4188906619999,168.000827656 -15.303054662,168.003445656 -15.292227662,167.987454656 -15.2830546619999),(168.153318657 -15.492218662,168.125518657 -15.597781663,168.114963657 -15.645836663,168.112045657 -15.6787546629999,168.123290657 -15.7383366629998,168.133999657 -15.771663663,168.141936657 -15.7816636629999,168.153045657 -15.7983366629999,168.156918657 -15.808054663,168.170254657 -15.8908366629999,168.183045657 -15.9783366629999,168.204408657 -15.9983366629999,168.210781657 -15.9980546629999,168.239545657 -15.9956906629998,168.263027657 -15.9730546629999,168.268863657 -15.932918663,168.268308657 -15.906390663,168.266663657 -15.8708366629999,168.264436657 -15.8597186629999,168.245236657 -15.785281663,168.237727657 -15.768609663,168.228290657 -15.753745663,168.222745657 -15.7422186629998,168.191790657 -15.620554663,168.194136657 -15.6015276629998,168.199708657 -15.5891636629999,168.203308657 -15.5783366629999,168.204272657 -15.5308366629999,168.176908657 -15.4983366619999,168.153318657 -15.492218662),(167.247745656 -15.8774996629999,167.222199656 -15.8730546629999,167.211090656 -15.876109663,167.184690656 -15.8919456629999,167.176518656 -15.9015276629999,167.172481656 -15.915554663,167.143581656 -16.0555546629999,167.144436656 -16.0744456629999,167.146636656 -16.085836663,167.151090656 -16.094999663,167.178999656 -16.1468096629999,167.226363656 -16.1684726629999,167.240781656 -16.1683276629998,167.250545656 -16.163890663,167.280181656 -16.142572663,167.289563656 -16.128745663,167.316363656 -16.1206906629999,167.326627656 -16.125281663,167.376063656 -16.1905546629999,167.381618656 -16.267227663,167.372190656 -16.3474996629998,167.417481656 -16.5322186629999,167.427181656 -16.5422276629999,167.462463656 -16.5777816629999,167.494963656 -16.5933366639999,167.600254656 -16.497772663,167.664981656 -16.5022276629999,167.717190656 -16.516663663,167.724672656 -16.523336663,167.731899656 -16.5369456629999,167.772490656 -16.534999663,167.837527656 -16.4614546629999,167.824008656 -16.4261096629999,167.746981656 -16.339163663,167.621608656 -16.259163663,167.416654656 -16.1099996629999,167.399718656 -16.0916636629999,167.378845656 -16.0574996629999,167.393036656 -16.0333996629999,167.389827656 -16.0155546629999,167.329545656 -15.9131906629999,167.247745656 -15.8774996629999),(168.084408657 -16.177218663,168.059281657 -16.1941636629999,168.033054656 -16.1949996629999,168.002045656 -16.1931906629999,167.920454656 -16.2178456629999,167.912890656 -16.2334726629999,167.918727656 -16.2627816629998,168.025118656 -16.3262546629999,168.039981656 -16.3238906629999,168.062190657 -16.329999663,168.103299657 -16.3447186629999,168.144136657 -16.3622186629999,168.166654657 -16.3494456629999,168.220790657 -16.3462546629999,168.240645657 -16.3483366629999,168.251772657 -16.3522186629999,168.267208657 -16.3513906629999,168.284145657 -16.3472186629999,168.306072657 -16.3377816629999,168.321781657 -16.317636663,168.324827657 -16.3069456629999,168.321781657 -16.290554663,168.310518657 -16.277227663,168.301636657 -16.2716636629999,168.258027657 -16.2499996629999,168.215236657 -16.1741636629999,168.192745657 -16.101390663,168.184554657 -16.0918096629999,168.167481657 -16.0861096629998,168.140808657 -16.090554663,168.132718657 -16.1002816629999,168.129527657 -16.115418663,168.125245657 -16.1288906629999,168.119690657 -16.1377816629999,168.084408657 -16.177218663),(168.148318657 -16.5805546639999,168.117463657 -16.659445664,168.116054657 -16.6724996639999,168.118281657 -16.7094456639999,168.146090657 -16.7783366639999,168.170672657 -16.806809664,168.190245657 -16.817499664,168.223572657 -16.8311096639999,168.244945657 -16.826663664,168.251372657 -16.8152816639999,168.287472657 -16.7947276639998,168.297763657 -16.791109664,168.309418657 -16.7891726639999,168.329127657 -16.788054664,168.344608657 -16.788890664,168.381899657 -16.804718664,168.471345657 -16.8488906639999,168.474963657 -16.8438906639999,168.475799657 -16.7986096639999,168.455108657 -16.7734726639999,168.439563657 -16.7670816639999,168.427045657 -16.7677816639999,168.413181657 -16.777781664,168.402054657 -16.7829186639999,168.362590657 -16.7709726639999,168.272218657 -16.6802816639998,168.198163657 -16.5934726639999,168.184345657 -16.5778456629999,168.148318657 -16.5805546639999),(168.161927657 -17.7419456649999,168.170808657 -17.7513906649999,168.184418657 -17.7438906649999,168.192318657 -17.7265276649999,168.215790657 -17.703890665,168.224118657 -17.698054665,168.242599657 -17.6936096649999,168.276918657 -17.707218665,168.284427657 -17.7138906649998,168.369108657 -17.796672665,168.384154657 -17.8299996649999,168.431918657 -17.8222276649999,168.475527657 -17.821663665,168.492054657 -17.8220816649999,168.538572657 -17.8019456649999,168.546236657 -17.7915276649999,168.579408657 -17.7124996649999,168.574672657 -17.6927726649998,168.437954657 -17.539654664,168.392490657 -17.534172664,168.311099657 -17.5313906639999,168.275818657 -17.546109664,168.238863657 -17.5816726639999,168.176363657 -17.6547186649999,168.148454657 -17.7166636649999,168.161927657 -17.7419456649999),(169.236908658 -18.9830546659999,169.271090658 -18.999999666,169.305236658 -18.978881666,169.324399658 -18.9624996659999,169.334136658 -18.9436096659999,169.336499658 -18.9283366659998,169.329563658 -18.9013906659999,169.323299658 -18.889718666,169.316372658 -18.8824996659999,169.309418658 -18.875281666,169.294127658 -18.8619456659998,169.248563658 -18.8374996659999,169.233718658 -18.833745666,169.219545658 -18.826254666,169.204681658 -18.809163666,169.194827658 -18.7944456659999,169.184418658 -18.7397186659999,169.164699658 -18.6722186649999,169.146636658 -18.6397906649999,169.133881658 -18.6324996649998,169.093290657 -18.619863665,169.051090657 -18.6230546649999,169.039981657 -18.625827665,169.018581657 -18.6399996649999,169.000272657 -18.657218665,168.987727657 -18.6730546649999,168.982745657 -18.686390665,168.979536657 -18.8531906659999,168.986499657 -18.8766636659999,168.994418657 -18.8833276659999,169.107181657 -18.931663666,169.123018658 -18.9380546659999,169.236908658 -18.9830546659999),(169.424136658 -19.657772666,169.431363658 -19.6580546659999,169.498290658 -19.5449996659999,169.497745658 -19.531109666,169.479399658 -19.517781666,169.418854658 -19.482499666,169.354127658 -19.3341636659999,169.335781658 -19.3199996659999,169.301363658 -19.3205546659999,169.263608658 -19.3316726659999,169.248290658 -19.3380546659999,169.232254658 -19.3520816659999,169.203308658 -19.4592996659999,169.219972658 -19.499999666,169.224399658 -19.5091636659999,169.233854658 -19.527499666,169.279690658 -19.5844456659999,169.349699658 -19.636945666,169.397763658 -19.6549996659999,169.424136658 -19.657772666),(169.770263658 -20.2405546669999,169.826908658 -20.2541726669999,169.846072658 -20.2522276669999,169.862808658 -20.2472906669999,169.879672658 -20.231663667,169.886108658 -20.2236096669999,169.890254658 -20.213609667,169.893863658 -20.1991636669999,169.888808658 -20.1736096669999,169.869418658 -20.158609667,169.847472658 -20.1458366669999,169.832454658 -20.1422186669999,169.793027658 -20.1383366669999,169.756790658 -20.142781667,169.744945658 -20.1507636669999,169.735227658 -20.1677816669999,169.733172658 -20.1831906669999,169.737045658 -20.2061096669999,169.761936658 -20.2344456669999,169.770263658 -20.2405546669999),(167.585936656 -14.171663661,167.527190656 -14.153336661,167.446345656 -14.159309661,167.412354656 -14.1812456609999,167.405818656 -14.2002816609999,167.401645656 -14.232499661,167.394427656 -14.3004186609999,167.421018656 -14.3231276609999,167.521090656 -14.3269456609999,167.527463656 -14.3266636609999,167.539154656 -14.3244456609999,167.549836656 -14.3191636609999,167.558018656 -14.309718661,167.588008656 -14.261109661,167.591645656 -14.250281661,167.597181656 -14.2230546609999,167.598572656 -14.1941636609999,167.585936656 -14.171663661),(167.487727656 -13.7099996609999,167.472045656 -13.707218661,167.431636656 -13.7241636609999,167.416645656 -13.733336661,167.407745656 -13.742218661,167.388599656 -13.7693096609999,167.386718656 -13.831181661,167.413027656 -13.8561096609999,167.447208656 -13.886390661,167.455936656 -13.8954186609999,167.468290656 -13.9511096609999,167.481981656 -13.9458366609998,167.572754656 -13.8608366609998,167.577754656 -13.8472186609999,167.524418656 -13.7469456609999,167.506654656 -13.7186096609999,167.487727656 -13.7099996609999)))', 'Vanuatu Exclusive Economic Zone', 'Vanuatu', 'Vanuatu', '', '6', '6', 'VUT', '8313', '2014-02', '621022665200', '8313', 'Y'),('SRID=4326;MULTIPOLYGON(((165.496460654 -6.22607965399988,165.812852654 -6.66911765399993,165.908804655 -6.62483365399987,166.473070655 -6.47491265399992,167.054749656 -6.42377165399995,167.636575656 -6.47292565399988,168.201285657 -6.62090365399985,168.206035657 -6.62307865399987,168.208009657 -6.62359365399993,168.209102657 -6.62409365399992,168.209556657 -6.6242126539999,168.740384657 -6.86659265399982,169.221516658 -7.19616865499989,169.228589658 -7.20308365499989,169.241458658 -7.2118796549999,169.337909658 -7.3061256549999,169.345406658 -7.31124465499988,169.347739658 -7.31352165499993,169.348306658 -7.31390965499997,169.365735658 -7.33092865499992,169.369968658 -7.3338186549999,169.387411658 -7.35084765499988,169.391630658 -7.35372765499989,169.397929658 -7.35987565499994,169.399448658 -7.36091265499994,169.816910658 -7.76759365499987,170.157733658 -8.23955165599995,170.175397658 -8.27596565599987,170.427095659 -8.29720365599997,170.994292659 -8.44518065599988,171.52758566 -8.68743965599992,172.01115166 -9.01679765599994,172.430554661 -9.42347965699997,172.431072661 -9.42419565699987,172.431563661 -9.42467065699992,172.774160661 -9.89658765699988,172.811646661 -9.9735566569999,173.028299661 -10.270666658,173.284528661 -10.7934546579999,173.445379662 -11.351878659,173.574722222 -11.9544444439998,173.525833333 -12.535833333,173.316962661 -13.07393666,173.072631661 -13.6033146609999,172.736384661 -14.0830906609999,172.736114661 -14.083359661,172.735383661 -14.0843996609999,172.31705866 -14.4996796619999,171.82925166 -14.8374806619999,171.61669766 -14.9399746619999,171.59502666 -14.9290746619999,171.55646266 -14.9094936619999,171.51818466 -14.8898706619999,171.48019366 -14.8702046619999,171.459083420393 -14.8591700057892,171.442488533959 -14.8504957779232,171.405069315007 -14.8307447720174,171.383786073515 -14.8194001791188,171.36793566 -14.8109516619999,171.354622187519 -14.8037847590436,171.331087768537 -14.7911161085551,171.307435978501 -14.7782577325859,171.29452466 -14.771238662,171.258247659 -14.751319662,171.242682236502 -14.7426869566432,171.222254857578 -14.7313581177476,171.209621165068 -14.7242809524213,171.186546659 -14.7113556619999,171.152370741005 -14.6920163548767,171.151123689103 -14.6913107020618,171.140790048276 -14.6854038090729,171.115984659 -14.6712246619999,171.081129659 -14.6510976619999,171.046559659 -14.6309286619999,171.012272659 -14.610718662,170.978269659 -14.5904676619999,170.944549659 -14.5701756619999,170.911113659 -14.5498426619999,170.896820195411 -14.5410586898955,170.877960384474 -14.5294686614627,170.845090192478 -14.5090541259588,170.812502801237 -14.488598953028,170.80505073206 -14.4838709962316,170.780197659 -14.4681036619999,170.759057143447 -14.4545453968095,170.748175735812 -14.4475670572828,170.727654672807 -14.4342635796928,170.716435659 -14.4269906609999,170.684977659 -14.4063736609999,170.653801659 -14.3857166609999,170.622907659 -14.365019661,170.596636853192 -14.3472234470951,170.592295204708 -14.3442823822345,170.590953734556 -14.343363461337,170.561963659 -14.3235056609998,170.531914659 -14.3026886609999,170.502145659 -14.2818316609999,170.49227761842 -14.2748385640108,170.47265803004 -14.2609351424607,170.44345116522 -14.2399990774597,170.424493789122 -14.2262522883829,170.414524659 -14.2190236609999,170.388230269551 -14.1997331532574,170.385879232655 -14.1980083848562,170.357513849663 -14.1769539080212,170.329428647032 -14.1558601094641,170.317117279849 -14.1465036368163,170.312065659 -14.142664661,170.098962658 -13.9799906609999,170.055218300601 -13.9465267004032,169.920400194679 -13.8433931249085,169.754974142317 -13.7895188886466,169.754974114679 -13.7895188796457,169.665513658 -13.7603846609999,169.653245984108 -13.7564150977637,169.63889240928 -13.7517709695072,169.616793841672 -13.7444860670224,169.607958658 -13.741573661,169.573007658 -13.7297636609997,169.561420683343 -13.7257505164162,169.538436107228 -13.7177901520647,169.509861881537 -13.7076477754372,169.504243658 -13.7056536609999,169.494641893839 -13.7021609745627,169.470429219839 -13.6933536592083,169.463815584476 -13.6908889256841,169.461120658 -13.689884661,169.454630842683 -13.6874804495479,169.436924109917 -13.6809210076224,169.425940244708 -13.6767515227016,169.403771658 -13.6683366609997,169.370999658 -13.6555886609999,169.369741765995 -13.6550872558315,169.367552671628 -13.6542149051149,169.338507056167 -13.642719912682,169.328717149134 -13.6387496727669,169.306383658 -13.6296926609998,169.274641658 -13.6165016609999,169.243278658 -13.6031466609998,169.218066658 -13.592145661,169.212287658 -13.5896316609998,169.192148009397 -13.5806533257459,169.18163976968 -13.5759690116723,169.151371769561 -13.5621429224274,169.121483909279 -13.5481531328301,169.096632738561 -13.5362333492573,169.091975657 -13.5339996609999,169.083150572923 -13.5296619540262,169.062847709099 -13.5196828464297,169.051874060312 -13.5141555929264,169.034098657 -13.5052026609999,169.022578658298 -13.4992560692628,169.005729397992 -13.4905589093688,168.977738909116 -13.4757520449462,168.950127247756 -13.460782029479,168.922894204497 -13.4456489438275,168.89603957254 -13.4303528658255,168.875732210629 -13.4184958489197,168.869562657 -13.4148936609999,168.863129657 -13.4110436609998,168.850282774668 -13.403368289943,168.84344251414 -13.3992817019698,168.826683847288 -13.3890168086978,168.817692657 -13.3835096609999,168.813855382462 -13.3810995482815,168.792321295045 -13.3675748393213,168.767327585618 -13.3514771097716,168.745532309896 -13.337080144925,168.731633545048 -13.3251008595738,168.729319657 -13.3231066599999,168.72433418529 -13.3187043016064,168.705602160253 -13.3021636784435,168.682369468013 -13.2811370423384,168.671108945773 -13.2706872506186,168.659620657 -13.2600266599999,168.645449397973 -13.2465358301816,168.637356321492 -13.2388316692879,168.615575416443 -13.2175530951988,168.600798676037 -13.2027312745493,168.594277657 -13.1961906599999,168.573463657 -13.1747446599999,168.553132657 -13.1532146599999,168.533284657 -13.1316016599999,168.515564657 -13.1117486599999,168.474563657 -13.0646836599999,168.238470657 -12.7945166599999,168.089411776272 -12.6238111476016,167.807702386753 -12.3011917948429,167.798618692264 -12.3046170594995,167.789938278155 -12.3078690996393,167.782957656 -12.3104846599997,167.771409619729 -12.3146474197883,167.756256548207 -12.3201101356777,167.73603422894 -12.3271124470655,167.729625656 -12.3293316599999,167.707602192158 -12.3366424118802,167.70306499267 -12.3381485768484,167.701075941467 -12.3387802589189,167.676574656 -12.3465616599997,167.664107362752 -12.3503405428283,167.650154293082 -12.3545700959634,167.626314557443 -12.3614502652951,167.623804656 -12.3621746599999,167.597524656 -12.3693756599999,167.571314656 -12.3761726599999,167.545174656 -12.38256566,167.532048852169 -12.3855810201513,167.519105150251 -12.3885547792216,167.50285925861 -12.3920450553929,167.493105656 -12.3941406599999,167.481613197191 -12.3964373789181,167.467176118623 -12.3993227366572,167.442423600477 -12.4038969481058,167.441313805369 -12.404117950761,167.419021422049 -12.4082191209556,167.416755704347 -12.4086658872998,167.415449656 -12.4089236599999,167.389604656 -12.4136236599999,167.366644913662 -12.4174434541781,167.363830181414 -12.4179117820937,167.338127655938 -12.4217886595861,167.338127460017 -12.4217886868365,167.312496128921 -12.4252541372538,167.299762647781 -12.4267756029598,167.286936656 -12.4283086599999,167.268270145303 -12.4302434915452,167.261447576298 -12.4309508619816,167.253935618568 -12.4316103313831,167.236030656 -12.4331826599999,167.233357490201 -12.4333742626351,167.230840894378 -12.4335550754881,167.211315120141 -12.4350626821907,167.210663052467 -12.435125620173,167.210662656 -12.4351256599999,167.185278656 -12.4371676599999,167.180867656 -12.4374506599999,167.159895656 -12.4392056599998,167.154239656 -12.43958666,167.152736260522 -12.4397100053619,167.134518654016 -12.441205080552,167.121187195899 -12.4420792770798,167.109200656 -12.4428656599999,167.083956656 -12.4441016599999,167.080823312024 -12.4442027396276,167.058785595343 -12.444914103927,167.033688187906 -12.4453027972011,167.008664233013 -12.4452677022869,166.983713719163 -12.4448088339379,166.976918073627 -12.4445677264704,166.958836655 -12.4439266599998,166.939760439293 -12.4429214747907,166.934032970456 -12.4426198136838,166.909302714686 -12.4408896653932,166.909302654917 -12.4408896609522,166.884645857076 -12.4387357654487,166.860062388627 -12.4361580954576,166.835552299622 -12.4331566471337,166.832355989119 -12.4327086270726,166.811115655 -12.4297316599998,166.786752655 -12.42588266,166.762462655 -12.4216096599999,166.74347953955 -12.417927796298,166.738245558435 -12.4169126768368,166.714102234139 -12.4117920028147,166.69697085341 -12.407845722816,166.690032655 -12.4062476599999,166.686115655 -12.40527366,166.673935918129 -12.4023111493806,166.668124562087 -12.4008977604032,166.666464594741 -12.4005303275169,166.666009655 -12.4004296599999,166.662422910438 -12.3995705240263,166.653902445085 -12.3975296805801,166.651714952797 -12.3970053266908,166.644848655 -12.3953596599999,166.608796571615 -12.3871921480778,166.530766470531 -12.3695151024157,166.519127267757 -12.366970610009,166.484811312337 -12.3597392492484,166.304770655 -12.32179966,166.278033655 -12.3164586599999,166.244223655 -12.3103286599999,166.241356621475 -12.3098602741248,166.209951240239 -12.3047300280226,166.191290304824 -12.3020074967875,166.175215655 -12.2996626599999,166.140017655 -12.2951256599999,166.112472874152 -12.2920306279801,166.104356698442 -12.2911187709295,166.085177091344 -12.2892730723336,166.068233655 -12.2876426599998,166.031648655 -12.28469666,166.020302319497 -12.2839564083125,165.994601431462 -12.282280134189,165.969587475543 -12.2810219143931,165.957092655 -12.280393659,165.941856799335 -12.2798487474383,165.919122157196 -12.2790360053661,165.882255225167 -12.2782413669748,165.880690654 -12.2782076589999,165.878716418449 -12.2781924307926,165.841797335227 -12.2779080197216,165.802443314079 -12.2781368528993,165.762628472786 -12.2788938248594,165.729743471841 -12.2799428560174,165.722352654 -12.2801786589999,165.717600976045 -12.2803900209514,165.681617096315 -12.2819908785314,165.665107455884 -12.2829284087839,165.640420654 -12.2843306599999,165.598764654 -12.2871966599998,165.583840350202 -12.2883986554051,165.55664869661 -12.2905890253119,165.514072986859 -12.2945076273402,165.514072653889 -12.2945076589226,165.471037813952 -12.2989518442824,165.456485144019 -12.3006145554476,165.427543654 -12.3039216599999,165.383589654 -12.3094156599999,165.339177654 -12.3154346599999,165.297306836998 -12.3215392461431,165.294306442402 -12.3219767280272,165.248976915857 -12.3290427775921,165.203189110956 -12.3366318511185,165.179580562963 -12.3407728392515,165.156943654 -12.3447436599999,165.110239654 -12.35337766,165.063077654 -12.3625326599999,165.039461458753 -12.367331381208,165.015459052976 -12.3722087469581,164.967382814011 -12.3824056230025,164.967382654 -12.38240566,164.918849654 -12.3931226599998,164.885715488694 -12.4007220778682,164.869859227924 -12.4043588556031,164.820412272777 -12.4161141385482,164.812146758776 -12.4181470228734,164.279375061864 -12.6026959486193,164.15479670266 -12.6457725213467,163.955900676955 -13.0184673426039,163.857099381785 -13.1981516139136,163.574747582391 -13.7054218366782,163.566726482194 -13.9884405085298,163.458856529589 -14.3454679560821,163.343319713023 -14.7173411413806,163.179550801927 -14.7931266296341,163.179550274898 -14.7931268735214,162.585389899155 -15.0680797560648,162.319088802996 -15.1946201015164,161.922547799921 -15.3830475478873,160.248332649 -16.1269436629999,158.760987648 -15.735239663,157.716820647 -14.6832946619999,157.038333333 -14.0677777779999,157.600833647 -12.43638866,157.161110646 -11.3738886589999,154.585555644 -8.13499965599988,155.112222644 -7.2466666549999,155.508333645 -6.95829365499992,155.693610645 -6.92583365499985,155.923055645 -6.84722265399984,156.039722645 -6.65833365399993,156.035833645 -6.54999965399992,158.235277647 -4.87166665299992,160.480277649 -4.75138865199995,162.801944652 -4.14222265199993,162.847043652 -4.23695965199988,163.000659652 -4.79676365299991,163.022242652 -5.02739965299997,163.446600652 -5.0641496529999,164.009747653 -5.21340065299995,164.062405653 -5.23770765299986,164.067404653 -5.23902765299988,164.596482653 -5.48272065299983,164.599608653 -5.48488365299988,164.600462653 -5.48527665299991,165.079614654 -5.81619165299998,165.080543654 -5.81710765299982,165.081609654 -5.8178426529999,165.496460654 -6.22607965399988),(156.683654646 -6.90166365399989,156.812745646 -7.06555465499997,156.861354646 -7.13278165499986,156.890536646 -7.17569065499987,156.932063646 -7.21639065499994,157.146363646 -7.33055465499996,157.261108646 -7.36860965499989,157.358854647 -7.39666365499988,157.384281647 -7.40069065499995,157.441836647 -7.41839965499997,157.443845647 -7.43389065499997,157.464418647 -7.39999965499987,157.502472647 -7.38009965499992,157.526508647 -7.37791865499997,157.535108647 -7.35916365499992,157.532272647 -7.3166636549999,157.499263647 -7.3015996549999,157.455936647 -7.31541865499992,157.433445647 -7.32465465499985,157.319272647 -7.28375465499988,157.188290646 -7.17833665499995,157.146227646 -7.1249996549999,157.125445646 -7.05965465499986,157.123290646 -7.02944565499985,157.126345646 -6.99652765499991,157.116345646 -6.9743096549999,157.042481646 -6.90166365399989,156.984127646 -6.86680965399989,156.863590646 -6.81444565399988,156.779845646 -6.77847265399987,156.756654646 -6.76416365399996,156.709963646 -6.73152765399988,156.689418646 -6.70278165399998,156.674408646 -6.68389065399992,156.651508646 -6.65889065399989,156.534836646 -6.60930965399996,156.486454646 -6.60551865399992,156.441636646 -6.6398636539999,156.438999646 -6.66110965399992,156.465236646 -6.73694565399984,156.507754646 -6.78333665399998,156.558590646 -6.82805465399997,156.617799646 -6.86833665399996,156.646363646 -6.87583665399984,156.683654646 -6.90166365399989),(155.803318645 -7.10916365499997,155.830090645 -7.10166365499987,155.853363645 -7.10492765499987,155.868972645 -7.06270965499994,155.859681645 -7.0436096549999,155.849399645 -7.03360965499996,155.742736645 -6.96860965499991,155.729945645 -6.96749965499993,155.709408645 -6.99610965499994,155.691072645 -7.02944565499985,155.671299645 -7.09152765499994,155.726627645 -7.12333665499989,155.769136645 -7.12944565499981,155.786372645 -7.11916365499991,155.803318645 -7.10916365499997),(158.487454648 -7.55416365499991,158.522508648 -7.62455465499994,158.548008648 -7.64576365499988,158.574581648 -7.66240965499992,158.588808648 -7.6900636549999,158.579881648 -7.72142765499996,158.605990648 -7.76979065499995,158.675945648 -7.80610965499983,158.823299648 -7.92305465499993,158.844054648 -7.9465276549999,158.842181648 -7.97145465499995,159.013881648 -8.08721865599989,159.202181648 -8.18471865599992,159.524990649 -8.3394456559999,159.561372649 -8.35374565599994,159.593290649 -8.35360965599989,159.622463649 -8.36055465599998,159.699127649 -8.41139065599992,159.802463649 -8.52166365599987,159.810790649 -8.52722765599998,159.844418649 -8.54749965599996,159.890018649 -8.55757265599993,159.876618649 -8.52110965599985,159.864136649 -8.51971865599995,159.865508649 -8.48860965599994,159.851208649 -8.3319456559999,159.533327649 -8.10694565599982,159.502472649 -8.07749965599982,159.388027648 -7.99416365599996,159.242736648 -7.94721865499997,159.119963648 -7.91805465499993,159.078581648 -7.90430965499996,159.022218648 -7.84971865499983,158.921908648 -7.75583665499994,158.761654648 -7.6249996549999,158.645808648 -7.56791865499997,158.487454648 -7.55416365499991),(160.70996365 -8.52305465599994,160.71752765 -8.5649276559999,160.68191865 -8.58889065599993,160.65727265 -8.60694565599988,160.65859965 -8.62694565599992,160.69003665 -8.7555546559999,160.70440865 -8.77528165599995,160.72218165 -8.80555465599991,160.75638165 -8.89639065599994,160.76470865 -8.9477816559999,160.78665465 -9.00610965599998,160.80816365 -9.06263665699981,160.88552765 -9.18430965699991,160.92260865 -9.19007265699997,161.19372765 -9.39639065699993,161.21968165 -9.42805465699996,161.23412765 -9.45778165699994,161.24399065 -9.49208165699986,161.25747265 -9.51610965699984,161.29358165 -9.56805465699989,161.37899965 -9.63187265699992,161.39072765 -9.59839965699996,161.38693665 -9.5530546569999,161.37731865 -9.50791865699989,161.36690865 -9.48277265699994,161.28888165 -9.35721865699998,161.24219065 -9.21110965699995,161.20821865 -9.13507265699991,161.22662765 -9.11777265699982,161.22161865 -9.09666365699985,161.16316365 -8.96971865599988,161.14956365 -8.9522186559999,161.11787265 -8.9224996559999,161.02095465 -8.84152765599987,160.98832765 -8.84954565599998,160.94429065 -8.81652765599989,160.93747265 -8.79610965599994,160.93054565 -8.76360965599991,160.94970865 -8.71028165599989,160.97161865 -8.68305465599991,161.00609065 -8.6561096559999,161.00998165 -8.63555465599995,160.98356365 -8.59055465599988,160.96884565 -8.5747186559999,160.91469965 -8.52639065599982,160.85891865 -8.46881865599994,160.82371865 -8.41180965599995,160.81289965 -8.37013665599983,160.75512765 -8.31499965599988,160.71523665 -8.30610965599982,160.58024565 -8.33499965599992,160.58914565 -8.38499965599988,160.61613665 -8.41757265599989,160.64206365 -8.43444565599992,160.70996365 -8.52305465599994),(161.39879965 -9.55509965699991,161.39303665 -9.65999965699996,161.39721865 -9.66944565699993,161.43956365 -9.73221865699998,161.45301865 -9.73041865699992,161.50054565 -9.73221865699998,161.55609065 -9.79916365699989,161.56441865 -9.79360965699982,161.57189965 -9.77417265699984,161.56911865 -9.72416365699991,161.55691865 -9.64305465699988,161.55413665 -9.63221865699995,161.53775465 -9.59583665699989,161.45190865 -9.4511096569999,161.41498165 -9.39291865699988,161.35189965 -9.34159965699985,161.34997265 -9.35777265699988,161.37189065 -9.41944565699987,161.39106365 -9.43956365699989,161.40516365 -9.4723186569999,161.39333665 -9.49005465699992,161.38743665 -9.52099065699991,161.39879965 -9.55509965699991),(160.82025465 -9.82944565699989,160.78011865 -9.73194565699987,160.71705465 -9.69944565699984,160.65719965 -9.62944565699985,160.64249065 -9.60152765699996,160.58303665 -9.54971865699997,160.386381649 -9.42666365699989,160.356899649 -9.41528165699987,160.158036649 -9.41645465699992,160.130999649 -9.43139065699995,159.998563649 -9.43749965699993,159.933445649 -9.43152765699989,159.906490649 -9.41583665699989,159.884154649 -9.38889065699993,159.873854649 -9.36860965699992,159.846772649 -9.34110965699989,159.808872649 -9.30778165699985,159.775799649 -9.28208165699988,159.723008649 -9.25499965699993,159.698018649 -9.25736365699993,159.665527649 -9.27194565699995,159.647763649 -9.28139065699992,159.626345649 -9.2941636569999,159.601836649 -9.32055465699995,159.602445649 -9.42889065699995,159.616908649 -9.53749965699996,159.732727649 -9.71194565699989,159.834336649 -9.79916365699989,160.006381649 -9.82430965699984,160.071781649 -9.82889065699987,160.146636649 -9.82471865699995,160.195036649 -9.81742765699994,160.235508649 -9.81249965699988,160.317472649 -9.8195816569999,160.345245649 -9.8261096569999,160.489963649 -9.89139065699993,160.59884565 -9.92333665699994,160.65027265 -9.92999965699994,160.78690865 -9.88916365699987,160.82523665 -9.86659965699988,160.82025465 -9.82944565699989),(160.243836649 -9.19610965699997,160.264190649 -9.18705465699986,160.284863649 -9.18524565699983,160.285799649 -9.16583665699983,160.304263649 -9.16042765699984,160.330263649 -9.18139065699989,160.351136649 -9.19013665699987,160.387418649 -9.17278165699992,160.408036649 -9.13291865699989,160.381808649 -9.12061865699991,160.358808649 -9.11777265699982,160.347427649 -9.09243665699989,160.322054649 -9.06028165599992,160.309281649 -9.06666365699994,160.302445649 -9.08287265699983,160.304518649 -9.09786365699995,160.298572649 -9.11880965699993,160.284608649 -9.13534565699996,160.271427649 -9.15421865699983,160.255145649 -9.16352765699992,160.235490649 -9.16352765699992,160.222045649 -9.16379065699994,160.213436649 -9.17291865699997,160.228718649 -9.19416365699988,160.243836649 -9.19610965699997),(160.289154649 -9.1088906569999,160.299408649 -9.05805465599991,160.296081649 -9.04805465599986,160.290527649 -9.03971865599988,160.243145649 -9.00458165599986,160.190108649 -8.99694565599998,160.163027649 -9.00667265599992,160.077054649 -9.04430965599988,160.109272649 -9.09028165699993,160.120518649 -9.09610965699994,160.133590649 -9.09736365699996,160.146927649 -9.09028165699993,160.193863649 -9.0884726569999,160.227036649 -9.10139065699991,160.264436649 -9.1319456569999,160.281508649 -9.12166365699989,160.289154649 -9.1088906569999),(159.147490648 -9.1088906569999,159.163299648 -9.08528165699994,159.168027648 -9.07639065699988,159.189954648 -9.02868165599983,159.135118648 -8.99374565599987,159.094954648 -8.99749965599989,159.031781648 -9.06291865699995,159.033054648 -9.07694565699995,159.065799648 -9.10139065699991,159.099399648 -9.11971865699991,159.147490648 -9.1088906569999),(157.651227647 -8.77417265599991,157.633881647 -8.74805465599985,157.596772647 -8.71360965599985,157.559008647 -8.69319065599996,157.447481647 -8.71139065599994,157.445918647 -8.72200965599995,157.459690647 -8.73860965599988,157.493281647 -8.75833665599987,157.525545647 -8.7669456559999,157.551499647 -8.76625465599989,157.577454647 -8.77528165599995,157.608699647 -8.78833665599984,157.619963647 -8.80083665599989,157.626063647 -8.80028165599998,157.644008647 -8.79416365599991,157.651227647 -8.77417265599991),(157.384427647 -8.73444565599988,157.339672647 -8.68583665599988,157.332736647 -8.66889065599992,157.327045647 -8.64416365599993,157.337599647 -8.57534565599991,157.351345647 -8.5747186559999,157.360227647 -8.58278165599995,157.370927647 -8.58110965599991,157.409008647 -8.49673665599994,157.402772647 -8.45610965599991,157.386363647 -8.42819065599997,157.359890647 -8.4108366559999,157.343018647 -8.41389065599992,157.300945646 -8.44694565599991,157.235508646 -8.51360965599997,157.212599646 -8.53847265599995,157.201908646 -8.55499965599995,157.198854646 -8.56889065599989,157.202745646 -8.58347265599991,157.307463647 -8.69444565599997,157.343018647 -8.71971865599994,157.384427647 -8.73444565599988),(157.687190647 -8.51639065599994,157.700254647 -8.51694565599985,157.729827647 -8.51381865599984,157.753054647 -8.52999965599992,157.774136647 -8.55444565599993,157.800808647 -8.58944565599995,157.811918647 -8.62083665599994,157.822208647 -8.59555465599993,157.876345647 -8.5663906559999,157.906154647 -8.48312765599985,157.870790647 -8.40583665599991,157.777690647 -8.24826365599984,157.734408647 -8.22471865599994,157.724972647 -8.2208366559999,157.699827647 -8.22479065599987,157.672763647 -8.23694565599988,157.633027647 -8.23847265599994,157.611908647 -8.15833665599996,157.614408647 -8.14083665599992,157.611499647 -8.06028165599992,157.597472647 -8.02610965599996,157.583590647 -8.01110965599997,157.500536647 -7.96597265499992,157.485781647 -7.96778165499995,157.436372647 -7.98666365499997,157.424836647 -7.99208165599987,157.383027647 -8.03278165599988,157.354672647 -8.07277265599987,157.327454647 -8.12721865599991,157.235718646 -8.19757265599998,157.218563646 -8.22360965599984,157.214690646 -8.23833665599994,157.214963646 -8.25610965599992,157.227445646 -8.29416365599997,157.236354646 -8.31221865599991,157.261108646 -8.33389065599982,157.293590646 -8.33999965599992,157.330381647 -8.31749965599988,157.334963647 -8.30833665599988,157.362454647 -8.2744456559999,157.532336647 -8.25528165599991,157.555545647 -8.26889065599988,157.578854647 -8.29875465599991,157.628299647 -8.38749965599987,157.628145647 -8.40319065599994,157.619890647 -8.41416365599991,157.580108647 -8.38875465599983,157.575527647 -8.35444565599988,157.572754647 -8.34360965599984,157.561908647 -8.32749965599987,157.559145647 -8.3394456559999,157.561781647 -8.39986365599998,157.574672647 -8.43110965599988,157.580245647 -8.44249965599994,157.617327647 -8.48389065599991,157.656918647 -8.5055546559999,157.676363647 -8.51360965599997,157.687190647 -8.51639065599994),(156.618008646 -8.1625726559999,156.614681646 -8.11028165599987,156.608581646 -8.07083665599987,156.603854646 -8.04833665599995,156.590790646 -8.00694565599997,156.586090646 -7.99278165599998,156.573581646 -7.97110965499991,156.557190646 -7.94666365499995,156.545536646 -7.94430965499987,156.526654646 -7.95444565499992,156.531099646 -8.07889065599989,156.532899646 -8.09430965599989,156.584545646 -8.20180965599991,156.594118646 -8.20528165599995,156.600781646 -8.19992765599989,156.618008646 -8.1625726559999),(156.565245646 -7.75805465499985,156.703036646 -7.95083665499982,156.706636646 -7.8972186549999,156.708590646 -7.88555465499991,156.715518646 -7.86528165499993,156.726763646 -7.84236365499987,156.749690646 -7.82444565499986,156.772336646 -7.81291865499992,156.790799646 -7.79055465499988,156.803863646 -7.76944565499991,156.807890646 -7.75930965499992,156.808299646 -7.7287456549999,156.779145646 -7.7030546549999,156.623699646 -7.58889065499989,156.583845646 -7.57055465499991,156.554408646 -7.57860965499992,156.518172646 -7.60312765499992,156.498154646 -7.63430965499998,156.496063646 -7.6527816549999,156.497463646 -7.68721865499992,156.500272646 -7.69833665499988,156.507199646 -7.71180965499997,156.545536646 -7.75194565499987,156.565245646 -7.75805465499985),(158.479945648 -7.65139065499989,158.524418648 -7.65889065499988,158.527690648 -7.65041865499995,158.486208648 -7.6133366549999,158.458008648 -7.59833665499991,158.377454648 -7.56721865499998,158.360781647 -7.56860965499993,158.314136647 -7.57944565499992,158.320254647 -7.59360965499997,158.359408647 -7.64055465499996,158.396363648 -7.64472765499988,158.418308648 -7.64583665499993,158.479945648 -7.65139065499989),(156.964145646 -7.92221865499994,156.947208646 -7.96639065499988,156.944972646 -7.97778165499994,156.951908646 -8.00778165599996,156.967745646 -8.04639065599997,156.991636646 -8.07694565599991,157.029008646 -8.11860965599988,157.043581646 -8.12639065599996,157.144436646 -8.15083665599997,157.150545646 -8.15166365599993,157.159836646 -8.14721865599995,157.183581646 -8.11958165599992,157.199127646 -8.08444565599996,157.204127646 -8.05944565599987,157.196918646 -7.98166365499998,157.183590646 -7.93166365499991,157.176908646 -7.91944565499989,157.155545646 -7.8930546549999,157.121890646 -7.85916365499997,157.093845646 -7.85305465499988,157.080245646 -7.85194565499989,157.027681646 -7.86534565499989,156.981354646 -7.89639065499995,156.964145646 -7.92221865499994),(159.549008649 -8.48055465599992,159.635254649 -8.53749965599991,159.647763649 -8.54208165599994,159.677763649 -8.54833665599995,159.684981649 -8.54528165599987,159.701218649 -8.51499965599987,159.644290649 -8.39639065599994,159.630527649 -8.38610965599992,159.605227649 -8.37749965599983,159.568845649 -8.3788906559999,159.539427649 -8.40389065599993,159.533172649 -8.4126366559999,159.531099649 -8.45333665599998,159.537472649 -8.46833665599996,159.549008649 -8.48055465599992),(158.094972647 -8.5245816559999,158.007472647 -8.50778165599985,157.995927647 -8.50847265599992,157.968845647 -8.52055465599994,157.951081647 -8.52999965599992,157.896090647 -8.56916365599994,157.875518647 -8.6099996559999,157.874818647 -8.68166365599984,157.912754647 -8.72221865599994,157.951554647 -8.75666365599994,157.991336647 -8.77305465599989,158.003054647 -8.77110965599991,158.036790647 -8.76166365599994,158.073027647 -8.73055465599998,158.104672647 -8.69854565599991,158.140536647 -8.57013665599987,158.123899647 -8.53999965599991,158.094972647 -8.5245816559999),(161.28512765 -10.3337456579999,161.34683665 -10.3461096579999,161.37009965 -10.3299996579999,161.40054565 -10.333336658,161.46637265 -10.3508366579998,161.49856365 -10.3677726579999,161.54136365 -10.5088906579999,161.53803665 -10.5326366579998,161.636381651 -10.6252726579999,161.778318651 -10.7208366579999,161.882172651 -10.7686096579999,162.117463651 -10.8277816579999,162.305818651 -10.8419456579999,162.382936651 -10.829463658,162.339963651 -10.8202816579999,162.263308651 -10.7855546579999,162.292754651 -10.7294456579999,162.292818651 -10.7053456579999,162.286654651 -10.684445658,162.264708651 -10.6736096579999,162.179836651 -10.5423636579999,162.132445651 -10.4736096579999,162.106490651 -10.449299658,162.075999651 -10.447427658,162.054927651 -10.4790636579999,162.005599651 -10.4799996579999,161.839145651 -10.4480546579998,161.723499651 -10.4027096579999,161.711090651 -10.3813906579998,161.692608651 -10.3623636579999,161.54525465 -10.276663658,161.50609965 -10.2544456579999,161.44372765 -10.2215276579999,161.40609965 -10.2113906579998,161.38332765 -10.2080546579999,161.34579065 -10.2033366579999,161.29698165 -10.2118726579999,161.27969065 -10.3033366579999,161.28512765 -10.3337456579999),(165.780818654 -10.8149996579999,165.804136654 -10.8510366579999,165.830808654 -10.8480546579999,165.883027654 -10.873609658,165.896636655 -10.8533366579999,165.955536655 -10.7799996579999,165.971281655 -10.771663658,166.006927655 -10.788190658,166.061099655 -10.7954186579999,166.112454655 -10.7752816579999,166.141863655 -10.7579906579999,166.165799655 -10.6991636579999,166.157345655 -10.6780546579999,166.047481655 -10.6649996579999,165.905808655 -10.6736816579999,165.886936654 -10.6824996579999,165.808872654 -10.7349996579999,165.779708654 -10.763609658,165.777463654 -10.8049996579999,165.780818654 -10.8149996579999),(160.153581649 -11.6515996589999,160.208281649 -11.6572186589999,160.222381649 -11.6381906589999,160.237454649 -11.6294456589999,160.263045649 -11.633054659,160.278181649 -11.6411096589999,160.360508649 -11.7183366589999,160.376481649 -11.746799659,160.380245649 -11.7597276589999,160.381927649 -11.7816636589998,160.401363649 -11.7994456589999,160.417208649 -11.8108366589999,160.472381649 -11.8416636589999,160.497463649 -11.8458366589999,160.52746365 -11.8080546589999,160.518036649 -11.7505546589999,160.437054649 -11.6799996589999,160.396090649 -11.6572186589999,160.080808649 -11.4980546589999,159.999972649 -11.4698636589999,159.967327649 -11.5044456589999,159.962190649 -11.5263906589998,159.986908649 -11.5672186589999,160.009427649 -11.5922186589999,160.019718649 -11.6022186589998,160.028590649 -11.6074996589998,160.153581649 -11.6515996589999),(166.833308655 -11.694727659,166.844418655 -11.6974996589999,166.850527655 -11.6969456589999,166.879390655 -11.6927816589998,166.913454655 -11.6854186589999,166.931836655 -11.671109659,166.921081655 -11.6477816589999,166.864272655 -11.5866636589999,166.838008655 -11.5752816589999,166.826627655 -11.5733366589998,166.806090655 -11.5733366589998,166.787472655 -11.5752816589999,166.772336655 -11.5756276589999,166.759708655 -11.5811096589999,166.742172655 -11.6065276589998,166.789427655 -11.6738906589998,166.797745655 -11.6812546589999,166.833308655 -11.694727659)))', 'Solomon Islands Exclusive Economic Zone', 'Solomon Islands', 'Solomon Islands', '', '7', '7', 'SLB', '8314', '2014-02', '1606705524000', '8314', 'Y'),('SRID=4326;MULTIPOLYGON(((116.574688785 14.108131595,116.599013179 14.0767597120001,116.759913764 13.8692415090001,116.978488542 13.5865385130001,116.980505068 13.5839284900001,117.17993527 13.325559444,117.31488413 12.9593604790001,117.5007637 11.3777549430001,117.502400402 11.363367489,117.494836782 11.303485176,117.475603276 11.217709545,117.35427257 10.8362840670001,117.316266889 10.716106305,117.306340172 10.6941110060001,117.256805893 10.5745288090001,117.234795633 10.5344252190001,117.084824848 10.320299764,116.894677298 10.0729029020001,116.789398581 9.96121244100004,116.774669236 9.92581904300005,116.76973656 9.91393046300004,116.737050505 9.83692412000005,116.633576537 9.62804875700004,116.59909736 9.56471294400006,116.527436477 9.45708559700006,116.511410625 9.41198484000006,116.501365412 9.38363852800006,116.484114727 9.33634939700005,116.464294967 9.28521442800007,116.445112489 9.24256901500007,116.322394994 8.97005413800002,116.299402597 8.91913234600003,116.279072849 8.87651875200004,116.279976217 8.86891835700004,116.280561868 8.86169185600005,116.281242119 8.85300075100002,116.269581095 8.74978564400004,116.229309894 8.39579765100007,116.22118288 8.35751991200004,116.215710485 8.33153973900005,116.207539572 8.29306686500007,116.188166311 8.19767018700003,116.117030054 7.93715686900003,116.041076109 7.66243774800006,116.018445001 7.64472157300003,115.984346228 7.62242622100007,115.496327513 7.33352972100005,115.371114114 7.26639308200004,115.189139156 7.25165796800007,115.156180087 7.24892256500004,115.142950882 7.24680625400003,115.121338691 7.24336926700005,114.994202119 7.22325633900005,114.86190442 7.20205996600004,114.627878438 6.99016931500006,114.422341872 6.80408297300005,113.986244883 6.40824947400006,113.950763192 6.39092394100004,113.94240672 6.38688356300003,113.920864526 6.37643468400006,113.817794942 6.32648228500005,113.774623754 6.30555948400007,113.762615948 6.30253061700006,112.928615982 6.29101991200002,112.827419938 6.28959606300003,112.497029644 6.23307919200005,112.476444746 6.22955792000005,112.035649273 6.15349601100007,112.196290367 6.77565659300006,112.475564055 7.85123737600003,112.545247766 8.11992342400004,112.514843105 8.16045802800005,112.24540726 8.51997867700004,112.163030557 8.62905434900006,112.079930878 8.74142686400006,112.058064859 8.77072059600005,111.992648262 8.86032591200006,111.917001015 8.96272509300007,111.911175952 8.97065706600006,110.964474469 10.241265286,111.178420759 10.5636722200001,111.247766536 10.644575628,111.398015721 10.956631626,111.559822535 11.3033605140001,111.799744424 11.708622119,111.914615199 12.051334486,112.000967731 12.4093241200001,112.061699051 12.6414809840001,112.120480094 12.865602145,112.17378202 13.037041066,112.239892644 13.2470677100001,112.314027605 13.2978963640001,112.353527605 13.3249053640001,112.644457605 13.5236623650001,112.681575605 13.5492403650001,112.948820605 13.691903365,113.648574606 14.063590365,113.713634606 14.084056365,114.359206607 14.2857023650001,114.799897607 14.422377365,115.480290608 14.6231983660001,115.622149608 14.5729633660001,115.819668608 14.488819365,115.820318608 14.4884923650001,115.821683608 14.4879113650001,116.013263608 14.3917253650001,116.198132608 14.2838873650001,116.375552608 14.1648313650001,116.406569608 14.141046365,116.482679608 14.1288303650001,116.574688785 14.108131595)))', 'Spratly Islands Exclusive Economic Zone', 'Spratly Islands', 'Disputed', 'China / Philippines / Viet Nam / Taiwan / Malaysia', '23', '23', '-', '8330', '', '440757934900', '8330', 'Y'),('SRID=4326;MULTIPOLYGON(((-58.82 10.1745939081819,-58.82 10.2669444444445,-57.1175 10.9765000000002,-56.8462536383061 10.949674590512,-56.8486725529999 10.9473453620002,-56.8488885529998 10.947049362,-56.849264553 10.9466863620002,-56.8559395529998 10.9375183620003,-56.860881553 10.9327603620003,-56.8609495529999 10.9326673620002,-56.8644495529998 10.929298362,-56.8649535529999 10.9286053620002,-57.1057620059998 10.6933123830003,-57.2869162519999 10.6837774650002,-57.3098742609999 10.6747573070001,-57.7591700999999 10.4982298300002,-57.8147025559999 10.4791455560002,-57.8734314669999 10.4591531670002,-57.9363802569998 10.4377242540002,-57.9635344919998 10.4285240520002,-57.9943344709999 10.4180886270001,-58.0966072219999 10.3833360560002,-58.129787936 10.3720611550002,-58.163994607 10.3605577580002,-58.2650354379999 10.3265786310001,-58.3288470849999 10.3073882960001,-58.374841133 10.2935563190002,-58.5026936749999 10.2589949270002,-58.7536159709999 10.1922310090002,-58.8010637469999 10.1796063870001,-58.82 10.1745939081819)))', 'Disputed Trinidad and Tobago/Venezuela/Guyana', 'Trinidad and Tobago/Venezuela/Guyana', 'Disputed', '', '0', '260', '-', '33185', '2014-02', '4352368847', '33185', 'Y'),('SRID=4326;MULTIPOLYGON(((135.274677626 11.3766033630001,135.543287626 11.7502773630001,135.543844626 11.750833363,135.547263626 11.7557273630001,135.962388627 12.1701903630001,136.445926627 12.507216364,136.447116627 12.5077693640001,136.449946627 12.509737364,136.987087628 12.758777364,137.561148628 12.912007364,137.906021628 12.942718364,138.411230629 13.173982364,138.414308629 13.174792364,138.425349629 13.179834364,138.451855629 13.1868013640001,138.471785629 13.1958983640001,138.475992629 13.1970043640001,138.480871629 13.1992303640001,138.492924629 13.202397364,138.508114629 13.209327364,138.530873629 13.2153043640001,138.545465629 13.221959364,139.12133963 13.3725513640001,139.71565363 13.422360364,139.71713663 13.422230364,139.71869463 13.422359364,140.312725631 13.369817364,140.887766631 13.216598364,140.893520631 13.2139413640001,140.915010631 13.2081933640001,141.214722632 13.108889364,141.321388632 12.959444364,141.359166632 12.9047223640001,141.363333632 12.9000003640001,142.257777632 11.875833363,143.052499633 10.9583333620001,143.448055634 10.950833362,144.941388635 11.223055362,144.957222635 11.225555362,145.377222635 11.291944362,145.876666636 11.3702773630001,146.426110636 11.4541663630001,146.921944637 11.5300003630001,147.517499637 11.6147223630001,147.744999638 11.6402773630001,147.861315638 11.4890853630001,147.867540638 11.4953213630001,148.349289638 11.8329063630001,148.387302638 11.850679363,148.407597638 11.8648713630001,148.942971639 12.114570363,149.515284639 12.2686093630001,150.10665664 12.322129363,150.10982464 12.3218713630001,150.11273064 12.322131363,150.70460164 12.2734183630001,151.278384641 12.1239963630001,151.513447641 12.0168483630001,151.612839641 12.042937363,151.637654641 12.0450613630001,151.677455641 12.055496363,152.268709642 12.105539363,152.269208642 12.105495363,152.269727642 12.105539363,152.280575642 12.1045903630001,152.281842642 12.1046963630001,152.287554642 12.104196363,152.293973642 12.104734363,152.294464642 12.104691363,152.294975642 12.104734363,152.886005642 12.052517363,153.458266643 11.899735363,153.463341643 11.8973853630001,153.467340643 11.896314363,154.002942643 11.647763363,154.004090643 11.6469643630001,154.004951643 11.646563363,154.197604644 11.5123023630001,154.308033644 11.520984363,154.310366644 11.5207673630001,154.313087644 11.520980363,154.902780644 11.465634363,155.473155645 11.309907362,156.006430645 11.058719362,156.486123646 10.7199553620001,156.486566646 10.7195083620001,156.487116646 10.7191193620001,156.490117646 10.716091362,156.491129646 10.715375362,156.500519646 10.705898362,156.540108646 10.694934362,157.071870646 10.4424883620001,157.072919646 10.4417443620001,157.073877646 10.441288362,157.188426646 10.359962362,157.228919646 10.369981362,157.472641647 10.402441362,157.763411647 10.093016361,158.009249647 9.83086136100007,158.029955647 9.80873636100006,158.384720648 9.43152136100002,159.082333648 8.81839136000002,159.395942648 8.54807136000005,159.776070649 8.42723236000006,159.874072649 8.39607436000006,159.920620649 8.38123136000007,160.165669649 8.30385236000006,160.335577649 8.24101736000006,160.480733649 8.18716336000006,160.501651649 8.17929536000003,160.63185365 8.13015036000007,160.82453265 8.05707035900002,160.97837065 7.99819335900003,161.01627965 7.98361335900006,161.54543565 7.93833135900007,161.695968651 7.92555135900005,161.796939651 7.91733235900006,162.621836651 7.84887735900003,162.701252652 7.88410435900005,162.890280652 7.96816935900006,162.918155652 7.98053635900004,163.002906652 8.01813935900003,163.017656652 8.02474335900007,163.073531652 8.04966835900007,164.370569653 7.15950935900003,164.669818653 6.93275135800008,164.855610654 6.79211635800004,165.515262654 6.29183935800006,165.523040654 6.14439035800007,165.553813654 5.62790635700003,165.560385654 5.51678635700006,165.572636654 5.31818835700005,165.572727654 5.31671935700007,165.572818654 5.31526135700005,165.590490654 5.03153935700004,165.590981654 5.02236235700002,165.595459654 4.94126135700003,165.642247654 4.13296535600006,165.656110654 3.89146035600004,165.667320654 3.70073135500007,165.667460654 3.69836035500003,165.671196654 3.63543635500002,165.674719654 3.57584035500003,165.635850654 3.24322135500006,165.632144654 3.21136735500005,165.577718654 3.13273635500002,165.577068654 3.13209535500005,165.575718654 3.13019435500007,165.574519654 3.12901235500004,165.572727654 3.12648735500005,165.159688654 2.71859435400006,165.157951654 2.71739335400002,165.153702654 2.71319235400006,165.153444654 2.71301435400005,165.150701654 2.71030135400002,165.146547654 2.70742935400006,165.142721654 2.70364635400006,164.665403653 2.37320335400005,164.138138653 2.13019135400003,163.576774652 1.98194935400005,163.574889652 1.98179135400005,163.571791652 1.98097135400008,162.993209652 1.93198535400006,162.989824652 1.93229035400003,162.988225652 1.93215435400003,162.409828651 1.98392335400007,162.407331651 1.98459635400008,162.405845651 1.98472835400003,162.403296651 1.98541635400005,162.401863651 1.98554335400007,162.394514651 1.98752535400007,162.352064651 1.99130435400002,161.791246651 2.14224135400002,161.791028651 2.14234335400005,161.788266651 2.14308535400005,161.787435651 2.14347435400003,161.767329651 2.14887535400004,161.24096865 2.39447635400006,160.76492265 2.72737035400007,160.76454165 2.72775135400002,160.76393165 2.72817735400002,160.76015865 2.73194335400007,160.75892965 2.73280135400006,160.61347865 2.87790535500005,160.118475649 2.92036735500005,159.556716649 3.06928935500002,159.353066648 3.16333035500003,159.017304648 2.93035235500003,158.489693648 2.68644635400005,158.489117648 2.68629335400004,158.487701648 2.68563835400005,158.464414648 2.67946735400005,158.450835648 2.67318235400006,158.078258647 2.57434835400005,157.923804647 2.24488535400008,157.934555647 2.22176135400002,158.084161647 1.66065735300003,158.084960647 1.65139835300005,158.085150647 1.65068635300003,158.135090647 1.07215135300004,158.134680647 1.06751935300002,158.135075647 1.06295235300007,158.134778647 1.05959935300007,158.135064647 1.05629335300006,158.083938647 0.477876352000067,158.083031647 0.474499352000066,158.082925647 0.473298352000029,158.080141647 0.462939352000035,158.079917647 0.460396352000032,157.929341647 -0.100379647999944,157.683884647 -0.62653064899996,157.683210647 -0.627493648999973,157.682876647 -0.62820864899993,157.349955647 -1.10379664899995,157.274430646 -1.18021664899993,156.824362646 -1.16757264899996,155.847690645 -1.14097364899993,155.637883645 -1.12318064899995,153.920269643 -0.985276648999957,153.598081643 -0.80620364899994,152.915090642 -0.426841647999936,152.680823642 -0.247478647999969,151.853225641 1.02212035300005,151.480530641 1.57843135300004,151.486904641 1.66967435300006,151.635585641 2.23078435400004,151.778233641 2.53895335400006,151.326232641 2.86101835500006,150.917624641 3.27545335500002,150.66479464 3.64145435500006,150.43404464 3.53660935500005,149.87108064 3.39108635500003,149.291322639 3.34471435500006,149.290872639 3.34475635500007,149.290335639 3.34471335500007,148.711150638 3.39893235500006,148.149906638 3.55216235500006,147.623454637 3.79983835500002,147.281984637 4.04010735600002,147.025274637 4.01844835600002,147.024798637 4.01849035600003,147.024288637 4.01844735600002,146.444645636 4.07030435600007,146.365288636 4.09165335600005,146.170481636 4.07489035600003,146.169502636 4.07497635600004,146.168495636 4.07488935600003,145.631570636 4.12207735600003,145.608433636 4.11131035600005,145.608242636 4.11125935600006,145.606428636 4.11041535600003,145.044408635 3.95979535600003,144.977091635 3.95384135600005,144.766319635 3.80610335500006,144.239540634 3.55955235500005,143.678163634 3.40752035500003,143.099035633 3.35454935500007,143.097801633 3.35465135500004,143.097032633 3.35458035500005,143.095455633 3.35471135500006,143.094058633 3.35458235500005,143.093004633 3.35467035500005,143.092070633 3.35458435500004,142.512552633 3.40222735500004,141.950006632 3.54902635500002,141.920985632 3.56230335500004,141.908216632 3.56562635500006,141.379455632 3.80709335500006,140.900347631 4.13599735600008,140.485262631 4.54244535600003,140.484747631 4.54316435600003,140.484270631 4.54363035600005,140.299942631 4.80067235600006,139.87711363 4.83292335600004,139.31205163 4.97643835700006,138.780235629 5.21466035700007,138.777037629 5.21682235700007,138.776259629 5.21717035700004,138.771446629 5.22042435700007,138.771283629 5.22049735700006,138.766180629 5.22394635700005,138.660456629 5.17209335700005,138.650039629 5.16930235700005,138.643560629 5.16628335700005,138.080996629 5.01508135700004,137.500830628 4.96277535700006,137.499617628 4.96287735700002,137.498846628 4.96280735700003,136.975509628 5.00835035700004,136.642795627 6.01413235800004,136.355613627 6.88770735800006,136.233065627 7.31640535900004,136.186722627 7.47797735900002,136.182220627 7.49670835900002,136.168496627 7.54602235900006,136.148458627 7.61767435900003,136.119093627 7.86558735900007,136.084539627 8.07776135900002,136.018368627 8.49493736000005,136.018271627 8.49554736000005,136.018171627 8.49617136000006,136.003945627 8.58537536000006,135.928823627 9.06181136000004,135.726043626 10.3454913620001,135.501782626 10.863790362,135.363374626 11.1777163620001,135.290519626 11.341208363,135.274677626 11.3766033630001),(158.127745647 6.93639035800004,158.120099647 6.92694535800007,158.120163647 6.90610935800004,158.155245647 6.81944535800005,158.175808647 6.79833635800003,158.184690647 6.79360935800003,158.227754647 6.78055435800007,158.299836647 6.78749935800005,158.317336647 6.82041835800004,158.335099647 6.87471835800005,158.320663647 6.92860935800007,158.295808647 6.94860935800006,158.264845647 6.96236335800006,158.182327647 6.97763635800004,158.127745647 6.93639035800004),(162.973299652 5.36805435700006,162.905672652 5.30777235700003,162.916427652 5.27909935700006,163.001918652 5.26166335700003,163.007472652 5.26305435700004,163.022618652 5.27874535700005,163.032199652 5.29305435700007,163.042890652 5.31999935700003,163.021636652 5.37492735700005,162.984954652 5.37347235700003,162.973299652 5.36805435700006)))', 'Micronesian Exclusive Economic Zone', 'Micronesia', 'Micronesia', '', '9', '9', 'FSM', '8316', '', '3005498043000', '8316', 'Y'),('SRID=4326;MULTIPOLYGON(((165.954234655 2.67833035400002,166.148882655 2.61286635400006,166.681926655 2.42990035400004,166.937356655 2.34183135400002,167.619732656 2.10778335400005,167.733006656 2.06877635400002,167.934040656 1.99942235400005,168.019619656 1.96992435400006,168.413648657 1.83418235400006,168.59810512 1.77028029500002,168.548172999 1.42753262100007,168.531385607 1.31191417600007,168.511867241 1.17748691900005,168.501523122 1.10566024600007,168.48762044 1.00912389700005,168.424688469 0.577270264000049,168.39491038 0.372926182000072,168.394120195 0.367484596000054,168.394120186 0.367484534000027,168.39360081 0.363907865000044,168.392655824 0.357400252000048,168.387852059 0.324049229000025,168.383120476 0.291199338000069,168.328284785 -0.0857538049999675,168.26731833 -0.504851236999968,168.267248661 -0.505330846999925,168.267197616 -0.505682252999975,168.266776491 -0.508587620999947,168.25687525 -0.577820433999932,168.212599359 -0.88370550999997,168.203036799 -0.949588006999932,168.202581672 -0.952723650999928,168.202581632 -0.952723926999965,168.174971741 -1.15615577099993,168.155905767 -1.29462428799997,168.153561678 -1.31164846399997,168.134771546 -1.44811363499997,168.134771539 -1.44811368099994,168.109845552 -1.62664266099995,168.10329933 -1.67382822799993,168.093677613 -1.74362107699994,168.090611785 -1.76585960899996,168.090449604 -1.76703083699994,168.090182874 -1.76895708699993,168.076398302 -1.86804002499997,168.052102948 -2.04267403699993,168.018395536 -2.28383657299997,167.968259189 -2.64254131799993,167.948754847 -2.78456814099997,167.932153602 -2.90545517299995,167.930982613 -2.91398209099998,167.92678665 -2.94456396599998,167.880157648 -3.28441494899994,167.815832191 -3.75324484899994,167.788264656 -3.78019565199997,167.771293656 -3.79320665199998,167.758027656 -3.80108365199993,167.744138656 -3.80458365199996,167.730360656 -3.80805565199995,167.716555656 -3.81141665199993,167.702833656 -3.81472265199994,167.689083656 -3.81794465199994,167.675333656 -3.82113865199995,167.661555656 -3.82427765199998,167.647777656 -3.82733365199994,167.633972656 -3.83033365199998,167.620166656 -3.83327765199994,167.606194656 -3.83616665199997,167.590277656 -3.83947265199993,167.574194656 -3.84266665199993,167.558083656 -3.84580565199997,167.541972656 -3.84883365199994,167.525833656 -3.85180565199994,167.509694656 -3.85469465199998,167.493527656 -3.85749965199994,167.477333656 -3.86022265199995,167.461166656 -3.86286065199994,167.444944656 -3.86544465199995,167.428749656 -3.86791665199996,167.412527656 -3.87033365199994,167.396277656 -3.87263865199998,167.380027656 -3.87488865199992,167.363777656 -3.87705565199997,167.347499656 -3.87913865199994,167.331222656 -3.88113865199995,167.314944656 -3.88305565199994,167.298638656 -3.88491665199996,167.282333656 -3.88666665199997,167.265999656 -3.88836065199996,167.249694656 -3.88994465199994,167.233360656 -3.89147265199995,167.217027656 -3.89288865199995,167.200666656 -3.89424965199993,167.184305656 -3.89552765199994,167.167972656 -3.89672265199994,167.151583656 -3.89783365199997,167.135222656 -3.89886065199994,167.118860656 -3.89983365199993,167.103972656 -3.90063865199994,167.089083656 -3.90136065199994,167.074277656 -3.90202765199996,167.059305656 -3.90263865199995,167.044416656 -3.90316665199992,167.029527656 -3.90363865199993,167.014610656 -3.90402765199997,166.999722656 -3.90436065199998,166.984805656 -3.90463865199996,166.969916656 -3.90483365199998,166.954999655 -3.90494465199993,166.940110655 -3.90502765199994,166.925194655 -3.90502765199994,166.910305655 -3.90494465199993,166.896860655 -3.90483365199998,166.883416655 -3.90466665199995,166.869944655 -3.90444465199994,166.856499655 -3.90416665199996,166.843055655 -3.90383365199995,166.829610655 -3.90344465199996,166.814027655 -3.90291665199993,166.798416655 -3.90233365199992,166.782833655 -3.90166665199996,166.767222655 -3.90094465199996,166.751638655 -3.90011065199997,166.736055655 -3.89922265199993,166.720499655 -3.89827765199993,166.704916655 -3.89724965199997,166.689333655 -3.89613865199993,166.673777655 -3.89497265199998,166.658222655 -3.89372265199995,166.642666655 -3.89238865199997,166.627138655 -3.89099965199995,166.611583655 -3.88952765199997,166.596055655 -3.88797265199997,166.580527655 -3.88636065199995,166.564444655 -3.88461065199994,166.563694655 -3.88452765199997,166.553083655 -3.88333365199998,166.542305655 -3.88208365199995,166.531472655 -3.88077765199995,166.516610655 -3.87894465199997,166.501694655 -3.87705565199997,166.486777655 -3.87508365199994,166.471888655 -3.87588865199996,166.456999655 -3.87094465199993,166.442110655 -3.86874965199996,166.427222655 -3.86652765199995,166.412388655 -3.86422265199997,166.397527655 -3.86183365199997,166.382694655 -3.85938865199995,166.367860655 -3.85688865199995,166.353027655 -3.85430565199994,166.338222655 -3.85166665199995,166.323416655 -3.84894465199994,166.310222655 -3.84647265199993,166.297027655 -3.84394465199995,166.283805655 -3.84136065199993,166.270638655 -3.83872265199994,166.257305655 -3.83602765199993,166.242499655 -3.83291665199994,166.227527655 -3.82972265199993,166.212610655 -3.82647265199995,166.197666655 -3.82313865199995,166.182777655 -3.81974965199993,166.167888655 -3.81627765199994,166.152999655 -3.81274965199998,166.138138655 -3.80913865199994,166.123305655 -3.80547265199993,166.108472655 -3.80172265199997,166.093666655 -3.79791665199997,166.078972655 -3.79405565199994,166.063555655 -3.78994465199997,166.048222655 -3.78577765199998,166.032944655 -3.78155565199995,166.017666655 -3.77722265199998,166.002388655 -3.77283365199997,165.987166655 -3.76838865199994,165.971944655 -3.76386065199995,165.956749655 -3.75924965199994,165.941583655 -3.75455565199997,165.926444655 -3.74980565199996,165.911333655 -3.74499965199993,165.896222655 -3.74011065199994,165.881138654 -3.73513865199993,165.866083654 -3.73008365199996,165.851055654 -3.72497265199996,165.836055654 -3.71980565199993,165.820944654 -3.71449965199997,165.805888654 -3.70913865199998,165.790833654 -3.70369465199997,165.775833654 -3.69819465199993,165.760833654 -3.69261065099994,165.745860654 -3.68694465099998,165.730944654 -3.68122265099993,165.716027654 -3.67541665099998,165.701138654 -3.66955565099994,165.686277654 -3.66361065099994,165.671472654 -3.65758365099992,165.656666654 -3.65149965099994,165.641916654 -3.64533365099993,165.627166654 -3.63911065099995,165.612472654 -3.63280565099996,165.597777654 -3.62644465099993,165.583138654 -3.61999965099994,165.568527654 -3.61347265099994,165.553944654 -3.60688865099996,165.539388654 -3.60024965099996,165.524888654 -3.59352765099993,165.510388654 -3.58672265099995,165.495944654 -3.57986065099993,165.481527654 -3.57291665099996,165.467138654 -3.56591665099995,165.453305654 -3.55913865099996,165.439527654 -3.55227765099994,165.425749654 -3.54536065099995,165.411944654 -3.53838865099993,165.398333654 -3.53133365099995,165.384666654 -3.52422265099995,165.371027654 -3.51705565099996,165.357416654 -3.50980565099997,165.343860654 -3.50252765099998,165.330305654 -3.49516665099998,165.316833654 -3.48772265099996,165.303360654 -3.48024965099995,165.289916654 -3.47269465099993,165.276527654 -3.46508365099993,165.263166654 -3.45741665099996,165.249833654 -3.44966665099997,165.236555654 -3.44177765099994,165.223138654 -3.43399965099997,165.210194654 -3.42616665099996,165.197110654 -3.41824965099994,165.184055654 -3.41027765099994,165.171027654 -3.40224965099998,165.158055654 -3.39416665099998,165.145110654 -3.38599965099996,165.132222654 -3.37780565099996,165.119360654 -3.36952765099994,165.106527654 -3.36119465099995,165.093749654 -3.35280565099993,165.080999654 -3.34436065099993,165.068277654 -3.33586065099996,165.055610654 -3.32730565099996,165.042860654 -3.31866665099994,165.030110654 -3.30980565099998,165.017305654 -3.30088865099998,165.004499654 -3.29188865099997,164.991777654 -3.28283365099998,164.979083654 -3.27374965099995,164.966416654 -3.26458365099995,164.953805654 -3.25530565099996,164.941194654 -3.24605565099995,164.928666654 -3.23669465099994,164.916138654 -3.22727765099995,164.903666654 -3.21780565099994,164.891249654 -3.20824965099996,164.878860654 -3.19866665099994,164.866527654 -3.18899965099996,164.854222654 -3.17927765099995,164.841972654 -3.16952765099995,164.829777654 -3.15969465099994,164.817610653 -3.14980565099995,164.805499653 -3.13986065099994,164.793444653 -3.12986065099994,164.781416653 -3.11980565099998,164.769444653 -3.10969465099993,164.757527653 -3.09949965099997,164.745638653 -3.08927765099997,164.733805653 -3.07899965099995,164.722027653 -3.06866665099994,164.710305653 -3.05827765099997,164.698638653 -3.04780565099998,164.686999653 -3.03730565099994,164.675416653 -3.02674965099993,164.651388653 -3.01613865099995,164.652388653 -3.00547265099993,164.643444653 -2.99711065099996,164.634555653 -2.98869465099995,164.625666653 -2.98027765099994,164.614388653 -2.96944465099995,164.603138653 -2.95858365099997,164.591944653 -2.94766665099996,164.580805653 -2.93669465099993,164.569694653 -2.92563865099993,164.558666653 -2.91458365099993,164.547666653 -2.90344465099997,164.536722653 -2.89224965099993,164.525860653 -2.88102765099995,164.515027653 -2.86972265099996,164.504166653 -2.85833365099995,164.493388653 -2.84691665099996,164.482666653 -2.83541665099995,164.471972653 -2.82388865099995,164.461360653 -2.81230565099997,164.450805653 -2.80066665099997,164.440277653 -2.78897265099994,164.429833653 -2.77724965099998,164.419416653 -2.76547265099993,164.409083653 -2.75363865099996,164.399166653 -2.74219465099998,164.389277653 -2.73069465099996,164.379472653 -2.71916665099997,164.369694653 -2.70758365099994,164.359999653 -2.69594465099993,164.350333653 -2.68427765099995,164.340722653 -2.67258365099997,164.331166653 -2.66083365099996,164.321666653 -2.64902765099993,164.312222653 -2.63716665099997,164.302833653 -2.62530565099996,164.293499653 -2.61336064999995,164.284194653 -2.60138864999993,164.274972653 -2.57272264999995,164.265638653 -2.57733364999996,164.256222653 -2.56461064999996,164.246694653 -2.55186064999998,164.237222653 -2.53905564999997,164.227833653 -2.52622264999997,164.218472653 -2.51333364999994,164.209194653 -2.50038864999993,164.199972653 -2.48741664999994,164.190833653 -2.47438864999998,164.181722653 -2.46133364999997,164.172694653 -2.44822264999993,164.163722653 -2.43505564999992,164.154833653 -2.42186064999993,164.145972653 -2.40863864999994,164.137194653 -2.39536064999993,164.128472653 -2.38202764999994,164.119805653 -2.36866664999997,164.111222653 -2.35524964999996,164.102694653 -2.34180564999997,164.094222653 -2.32833364999993,164.085833653 -2.31480564999993,164.077499653 -2.30122264999994,164.069222653 -2.28761064999998,164.060999653 -2.27397264999996,164.052860653 -2.26027764999998,164.044805653 -2.24655564999995,164.036777653 -2.23280564999993,164.028833653 -2.21899964999994,164.020944653 -2.20516664999997,164.013138653 -2.19127764999996,164.005360653 -2.17736064999997,163.997388653 -2.16288864999996,163.989499653 -2.14836064999997,163.981638653 -2.13383364999993,163.973888653 -2.11924964999997,163.966194653 -2.10461064999993,163.958555653 -2.08994464999995,163.950999653 -2.07524964999993,163.943527653 -2.06049964999994,163.936110653 -2.04572264999996,163.928777653 -2.03091664999994,163.921527653 -2.01608364999993,163.914333653 -2.00119464999995,163.907222653 -1.98624964999993,163.900166653 -1.97130564999998,163.893222653 -1.95630564999993,163.886305653 -1.94127764999996,163.879499653 -1.92622264999994,163.872749653 -1.91113864999994,163.866083653 -1.89599964999996,163.859472653 -1.88086064999993,163.852944653 -1.86566664999998,163.846499653 -1.85044464999993,163.840138653 -1.83516664999996,163.833833653 -1.81988864999994,163.827610653 -1.80455564999994,163.821472653 -1.78922264999994,163.815388653 -1.77383364999997,163.809388653 -1.75841664999996,163.803472653 -1.74299964999994,163.797638653 -1.72752764999996,163.791860653 -1.71202764999993,163.786166653 -1.69649964999996,163.780555653 -1.68094464999996,163.774999653 -1.66536064999997,163.769555653 -1.64974964999993,163.764166653 -1.63411064999997,163.758833653 -1.61844464999996,163.753610653 -1.60274964999996,163.748444653 -1.58705564999997,163.743360652 -1.57130564999994,163.739833652 -1.56024964999995,163.736360652 -1.54916664999996,163.732860652 -1.53808364899993,163.728083652 -1.52238864899994,163.723333652 -1.50666664899995,163.718666652 -1.49091664899993,163.714083652 -1.47516664899996,163.709555652 -1.45938864899995,163.705110652 -1.44358364899995,163.700749652 -1.42774964899996,163.696472652 -1.41188864899993,163.692277652 -1.39602764899996,163.688138652 -1.38013864899995,163.684083652 -1.36422264899994,163.680110652 -1.34830564899994,163.676222652 -1.33236064899995,163.672388652 -1.31638864899998,163.668666652 -1.30038864899996,163.664999652 -1.28438864899994,163.661416652 -1.26836064899993,163.657916652 -1.25233364899998,163.654472652 -1.23624964899994,163.651110652 -1.22019464899995,163.647860652 -1.20408364899993,163.644666652 -1.18799964899995,163.641555652 -1.17186064899994,163.638499652 -1.15572264899993,163.635555652 -1.13958364899997,163.632666652 -1.12341664899998,163.629860652 -1.10722264899994,163.627138652 -1.09102764899995,163.624499652 -1.07483364899997,163.621944652 -1.05861064899995,163.619444652 -1.04236064899993,163.617055652 -1.02613864899996,163.614805652 -1.00986064899996,163.613555652 -1.00158364899994,163.612416652 -0.993277648999936,163.610222652 -0.976972648999947,163.608083652 -0.960638648999975,163.606055652 -0.944277648999957,163.604083652 -0.927944648999926,163.602222652 -0.911583648999965,163.600416652 -0.895194648999961,163.598694652 -0.878833648999944,163.597055652 -0.86244464899994,163.595499652 -0.846055648999936,163.593999652 -0.829638648999946,163.592610652 -0.813222648999954,163.591277652 -0.796805648999964,163.590055652 -0.780388648999974,163.588888652 -0.763972648999925,163.587805652 -0.747527648999949,163.586805652 -0.73108364899997,163.585888652 -0.714638648999937,163.585055652 -0.698194648999959,163.584305652 -0.681749648999926,163.583610652 -0.665277648999961,163.583027652 -0.648833648999926,163.582499652 -0.632360648999963,163.582055652 -0.615888648999942,163.581694652 -0.599444648999963,163.581416652 -0.582972648999942,163.581222652 -0.566499648999979,163.581110652 -0.550027648999958,163.581083652 -0.533555648999936,163.581110652 -0.517083648999972,163.581249652 -0.500610648999952,163.581444652 -0.484138648999931,163.581749652 -0.467666647999977,163.582110652 -0.451222647999941,163.582555652 -0.434749647999979,163.583083652 -0.418277647999957,163.583694652 -0.401833647999979,163.584360652 -0.38536064799996,163.585138652 -0.368916647999924,163.585972652 -0.352472647999946,163.586833652 -0.337027647999946,163.587777652 -0.321583647999944,163.588777652 -0.306138647999944,163.589860652 -0.290722647999928,163.590999652 -0.275277647999928,163.592194652 -0.259860647999972,163.593499652 -0.244444647999956,163.594833652 -0.229055647999928,163.596277652 -0.213638647999971,163.597777652 -0.198249647999944,163.599333652 -0.182860647999973,163.600972652 -0.167472647999944,163.602666652 -0.152110647999962,163.604472652 -0.136499647999926,163.606333652 -0.120888647999948,163.608277652 -0.105277647999969,163.610305652 -0.089694647999977,163.612388652 -0.0741386479999733,163.614555652 -0.0585556479999241,163.616805652 -0.0429996479999772,163.619110652 -0.0274726479999572,163.621472652 -0.0119166479999535,163.623916652 0.00358335200002102,163.626444652 0.0190553520000663,163.629027652 0.034472352000023,163.631666652 0.0499163520000252,163.634416652 0.0653333520000388,163.637194652 0.0807223520000662,163.640083652 0.0961113520000367,163.643027652 0.111472352000021,163.646027652 0.126833352000062,163.649110652 0.142194352000047,163.652277652 0.157527352000045,163.655499652 0.172833352000055,163.658777652 0.188139352000064,163.662166652 0.203416352000033,163.665583652 0.218694352000057,163.669110652 0.233944352000037,163.672222652 0.247222352000051,163.675388652 0.260500352000065,163.678583652 0.273750352000036,163.681860652 0.287000352000064,163.685194652 0.300222352000048,163.688583652 0.313444352000033,163.692333652 0.327972352000074,163.696194652 0.342472352000073,163.700083652 0.356944352000028,163.704055652 0.37141635200004,163.708083652 0.385861352000063,163.712194652 0.400305352000032,163.716333652 0.414694352000026,163.720555652 0.429083352000021,163.724860652 0.443472352000072,163.729222652 0.457889352000052,163.733610652 0.472139352000056,163.738110652 0.486472352000021,163.743055652 0.50205535200007,163.748055653 0.517611352000074,163.753138653 0.533139352000035,163.758305653 0.548639352000066,163.763555653 0.564111352000054,163.768860653 0.579583352000043,163.774249653 0.595000352000056,163.779722653 0.610416353000062,163.785249653 0.625777353000046,163.790860653 0.641139353000028,163.796555653 0.65644435300004,163.802333653 0.67175035300005,163.808166653 0.68700035300003,163.814055653 0.702250353000068,163.820055653 0.717444353000076,163.826110653 0.732611353000038,163.832249653 0.74777735300006,163.838444653 0.762889353000048,163.844722653 0.777972353000052,163.851055653 0.79302735300007,163.857499653 0.808055353000043,163.863999653 0.823027353000043,163.870555653 0.838000353000041,163.877194653 0.852916353000069,163.883916653 0.867805353000051,163.890694653 0.882666353000047,163.897555653 0.897500353000055,163.904472653 0.912305353000022,163.911472653 0.927055353000071,163.918555653 0.94177735300002,163.925638653 0.956333353000048,163.932777653 0.970861353000032,163.939999653 0.98536135300003,163.947277653 0.999805353000056,163.954638653 1.01422235300004,163.962055653 1.02861135300003,163.969527653 1.04294435300005,163.977110653 1.05727735300007,163.984722653 1.07152735300002,163.992416653 1.08577735300003,164.000194653 1.09997235300006,164.008027653 1.11413935300004,164.015916653 1.12825035300006,164.023888653 1.14233335300003,164.031944653 1.15638935300007,164.040055653 1.17038935300008,164.048222653 1.18436135300004,164.056444653 1.19827735300004,164.064749653 1.21216635300004,164.073138653 1.22600035300007,164.081583653 1.23980535300007,164.090083653 1.25358335300007,164.098638653 1.26730535300004,164.107277653 1.28097235300004,164.115999653 1.29461135300005,164.124749653 1.30822235300008,164.133583653 1.32175035300003,164.142499653 1.33527735300004,164.151444653 1.34875035300007,164.160472653 1.36216635300002,164.169583653 1.37552735300005,164.178722653 1.38886135300004,164.187944653 1.40216635300004,164.197249653 1.41538935300002,164.206583653 1.42858335300002,164.215999653 1.44175035300003,164.225472653 1.45486135300007,164.235027653 1.46791635300002,164.244360653 1.48061135300003,164.253777653 1.49325035300006,164.263277653 1.50586135300006,164.272805653 1.51841635300002,164.282388653 1.53094435300005,164.292055653 1.54341635300005,164.301749653 1.55583335300003,164.311527653 1.56822235300007,164.321360653 1.58052735300004,164.331249653 1.59283335300006,164.341166653 1.60505535300007,164.351166653 1.61725035300003,164.361222653 1.62938935300002,164.371360653 1.64150035300003,164.381527653 1.65352735300007,164.390805653 1.66444435300002,164.400138653 1.67527735300007,164.409527653 1.68613935400003,164.418944653 1.69691635400005,164.428416653 1.70763935400004,164.437916653 1.71836135400002,164.445749653 1.72711135400004,164.453638653 1.73583335400002,164.461527653 1.74452735400007,164.469860653 1.75363935400003,164.478249653 1.76275035400005,164.486666653 1.77180535400004,164.495110653 1.78083335400004,164.503583653 1.78983335400005,164.513749653 1.80069435400003,164.523916653 1.81147235400005,164.534166653 1.82222235400008,164.544472653 1.83294435400006,164.554805653 1.84358335400003,164.565166653 1.85419435400007,164.575610653 1.86477735400007,164.586083653 1.87527735400005,164.596610653 1.88575035400004,164.607166653 1.89616635400006,164.617777653 1.90655535400003,164.628444653 1.91688935400003,164.639138653 1.92716635400006,164.648388653 1.93597235400006,164.657638653 1.94472235400002,164.666944653 1.95344435400006,164.676277653 1.96213935400004,164.688444653 1.97336135400008,164.700666653 1.98452735400002,164.712944653 1.99563935400005,164.725305653 2.00669435400005,164.737666653 2.01766635400003,164.750110653 2.02861135400002,164.762610653 2.03947235400005,164.775166653 2.05027735400006,164.787749653 2.06100035400004,164.800416653 2.07166635400006,164.813110653 2.08227735400004,164.825888654 2.09283335400005,164.838694654 2.10333335400003,164.851555654 2.11375035400005,164.864472654 2.12408335400005,164.877444654 2.13438935400006,164.890444654 2.14461135400006,164.903527654 2.15477735400003,164.916638654 2.16486135400004,164.929805654 2.17488935400007,164.943027654 2.18486135400002,164.956277654 2.19475035400006,164.969583654 2.20458335400002,164.982944654 2.21436135400006,164.996360654 2.22405535400003,165.009833654 2.23369435400002,165.023333654 2.24325035400005,165.036888654 2.25275035400006,165.050472654 2.26216635400004,165.064138654 2.27152735400006,165.077805654 2.28083335400004,165.091555654 2.29005535400006,165.105333654 2.29919435400006,165.119166654 2.30827735400004,165.133027654 2.31730535400004,165.146944654 2.32625035400002,165.160916654 2.33513935400003,165.174916654 2.34394435400003,165.188972654 2.35266635400006,165.203055654 2.36133335400007,165.217194654 2.36994435400004,165.231360654 2.37847235400005,165.245583654 2.38691635400005,165.259833654 2.39530535400007,165.274166654 2.40361135400002,165.288499654 2.41186135400005,165.302888654 2.42002735400007,165.317305654 2.42811135400007,165.331777654 2.43613935400003,165.346277654 2.44411135400003,165.360805654 2.45197235400002,165.375388654 2.45977735400004,165.389999654 2.46752735400003,165.404666654 2.47519435400005,165.419360654 2.48277735400006,165.434083654 2.49027735400006,165.448860654 2.49772235400008,165.463666654 2.50511135400006,165.478499654 2.51238935400005,165.493388654 2.51961135400006,165.508305654 2.52675035400006,165.523249654 2.53383335400002,165.538222654 2.54083335400003,165.553249654 2.54775035400007,165.568305654 2.55458335400004,165.582888654 2.56113935400003,165.597499654 2.56761135400006,165.612138654 2.57402735400007,165.626833654 2.58036135400005,165.641527654 2.58663935400006,165.656249654 2.59283335400005,165.671027654 2.59897235400007,165.685833654 2.60500035400003,165.700638654 2.61100035400005,165.715499654 2.61691635400007,165.730360654 2.62275035400006,165.745277654 2.62850035400004,165.760222654 2.63422235400003,165.775166654 2.63983335400007,165.788666654 2.64483335400007,165.802166654 2.64977735400004,165.815694654 2.65463935400004,165.829222654 2.65947235400006,165.842805654 2.66425035400005,165.856388654 2.66894435400008,165.869999654 2.67358335400007,165.883610654 2.67816635400004,165.905160655 2.68476335400004,165.928331655 2.68393535400003,165.954234655 2.67833035400002),(166.919572655 -0.551527648999979,166.929136655 -0.55221864899994,166.937881655 -0.549236648999965,166.957045655 -0.51423664899994,166.950672655 -0.498054648999926,166.930545655 -0.493336648999957,166.918163655 -0.498054648999926,166.907745655 -0.511945648999927,166.904418655 -0.532363648999933,166.909145655 -0.544718648999947,166.919572655 -0.551527648999979)))', 'Nauruan Exclusive Economic Zone', 'Nauru', 'Nauru', '', '10', '10', 'NRU', '8317', '', '309883393000', '8317', 'Y'),('SRID=4326;MULTIPOLYGON(((40.9433275380001 -18.997047666,40.9673075380001 -18.720858665,40.9881475380001 -18.4679716649999,41.0058765380001 -18.2508906649999,41.0671585380001 -17.837348665,41.1699835380001 -17.4035356639999,41.272450538 -17.044328664,41.4155825390001 -16.539232663,41.688471539 -16.195008663,41.926492539 -15.892944663,42.1650395390001 -15.676317663,42.4747315400001 -15.400795662,42.5232645400001 -15.358838662,42.6958135400001 -15.645071663,42.88319454 -15.9543776629999,42.9122645400001 -16.001464663,42.9356645400001 -16.038954663,43.05317254 -16.226114663,43.08404254 -16.275046663,43.10975954 -16.3154626629999,43.1194255400001 -16.330448663,43.2938945400001 -16.599745664,43.4585185400001 -16.852261664,43.3601535400001 -17.061910664,43.1760905400001 -17.453527664,43.00749554 -17.812131665,42.9699035400001 -17.892219665,42.8807225400001 -17.956976665,42.72039354 -18.0761096649999,41.8991445390001 -18.6830706649999,41.8462125390001 -18.7221376649999,41.5509145390001 -18.9396886659999,41.153012538 -19.205372666,40.9444965380001 -19.079090666,40.9441815380001 -19.0788936659999,40.9433275380001 -18.997047666),(42.7378455400001 -17.0520186639999,42.72381854 -17.0579906639999,42.7415275400001 -17.074027664,42.75193654 -17.076118664,42.7577725400001 -17.074999664,42.76089954 -17.0652816639999,42.7378455400001 -17.0520186639999)))', 'Juan de Nova Exclusive Economic Zone', 'Juan de Nova Island', 'France', '', '179', '33', 'ATF', '8339', '', '62416005340', '8339', 'Y'),('SRID=4326;MULTIPOLYGON(((172.420192661 15.1752203660001,172.452425661 14.702977366,172.765569661 14.395662365,173.104850661 13.9175063650001,173.352436661 13.3891863640001,173.501334662 12.8269633640001,173.538764662 12.359142363,173.829017662 11.945808363,173.830959662 11.9416273630001,173.830984662 11.941591363,174.076083662 11.413201363,174.223289662 10.851072362,174.268691662 10.2723683620001,174.268194662 10.2673733620001,174.268587662 10.2623743610001,174.260790662 10.1839153610001,174.421533662 9.83555336100005,174.568134663 9.27347536100007,174.576177663 9.17070636000005,174.853076663 8.77170736000005,174.853484663 8.77081936000008,174.854059663 8.76999136000006,175.096616663 8.24138236000005,175.242390663 7.67919435900006,175.242717663 7.67498935900005,175.244323663 7.66879435900006,175.244567663 7.66563935900007,175.246246663 7.65916435900004,175.283652663 7.17811635900006,175.404089663 6.71353735800005,175.404514663 6.70809035800005,175.405042663 6.70605535800007,175.407338663 6.67663935800005,175.412677663 6.65603935800004,175.413210663 6.64921535800005,175.413608663 6.64767835800006,175.414015663 6.64246535800004,175.467163663 6.43741335800007,175.512488663 5.85868735700006,175.512448663 5.85827635700002,175.512483663 5.85783835700005,175.484469338 5.56935806600006,175.484469315 5.56935805300003,173.608598534 4.95717919800006,173.608598496 4.95717918600008,173.481352566 4.91544252000006,173.480925556 4.91530246100007,172.998118413 4.75694171700007,172.865980932 4.71371975700004,172.712089018 4.66338195600002,172.682322646 4.65362227500003,172.55184584 4.61084204700006,172.496479453 4.59284920800008,172.49553989 4.59254387100003,172.478663626 4.58705946300006,172.091462192 4.50911438700007,171.426793289 4.37531408400002,171.262249659 4.34202235700008,171.262249301 4.34202228500004,171.132833875 4.30080242400004,170.935262234 4.23787425800003,170.817891771 4.19757962200003,170.738278319 3.96577345300005,170.738278076 3.96577274500004,170.587367708 3.52637521700007,170.584687156 3.51855156600004,170.581999524 3.51070724400006,170.499287479 3.26885898200004,170.49927244 3.26881494000003,170.499141116 3.26843037600003,170.498640888 3.26696594600003,170.392050919 2.95529093200003,170.280385409 2.62877474500004,170.280385395 2.62877470200004,170.203657353 2.39869456500003,170.182849706 2.34084590000003,170.152027158 2.25515417700007,170.10710733 2.12930274600006,170.087449499 2.07422759800005,170.055175505 1.98961300800005,169.764059298 1.94650124200007,169.692225613 1.93586330200003,169.626390284 1.92598661500006,169.563557362 1.91656035300002,169.554254598 1.91516915600005,169.534500086 1.91221493500007,169.494126126 1.90617714500007,169.421538869 1.89527483700005,169.360716411 1.88613955400007,169.045916707 1.83834083700003,168.662801153 1.78016914300002,168.59810512 1.77028029500002,168.413648657 1.83418235400006,168.019619656 1.96992435400006,167.934040656 1.99942235400005,167.733006656 2.06877635400002,167.619732656 2.10778335400005,166.937356655 2.34183135400002,166.681926655 2.42990035400004,166.148882655 2.61286635400006,165.954234655 2.67833035400002,165.932968655 2.71173135400005,165.774808654 2.93540035500007,165.774771654 2.93547835500004,165.757780654 2.95949435500006,165.632144654 3.21136735500005,165.635850654 3.24322135500006,165.674719654 3.57584035500003,165.671196654 3.63543635500002,165.667460654 3.69836035500003,165.667320654 3.70073135500007,165.656110654 3.89146035600004,165.642247654 4.13296535600006,165.595459654 4.94126135700003,165.590981654 5.02236235700002,165.590490654 5.03153935700004,165.572818654 5.31526135700005,165.572727654 5.31671935700007,165.572636654 5.31818835700005,165.560385654 5.51678635700006,165.553813654 5.62790635700003,165.523040654 6.14439035800007,165.515262654 6.29183935800006,164.855610654 6.79211635800004,164.669818653 6.93275135800008,164.370569653 7.15950935900003,163.073531652 8.04966835900007,163.017656652 8.02474335900007,163.002906652 8.01813935900003,162.918155652 7.98053635900004,162.890280652 7.96816935900006,162.701252652 7.88410435900005,162.621836651 7.84887735900003,161.796939651 7.91733235900006,161.695968651 7.92555135900005,161.54543565 7.93833135900007,161.01627965 7.98361335900006,160.97837065 7.99819335900003,160.82453265 8.05707035900002,160.63185365 8.13015036000007,160.501651649 8.17929536000003,160.480733649 8.18716336000006,160.335577649 8.24101736000006,160.165669649 8.30385236000006,159.920620649 8.38123136000007,159.874072649 8.39607436000006,159.776070649 8.42723236000006,159.395942648 8.54807136000005,159.082333648 8.81839136000002,158.384720648 9.43152136100002,158.029955647 9.80873636100006,158.009249647 9.83086136100007,157.763411647 10.093016361,157.472641647 10.402441362,157.607141647 10.941486362,157.847696647 11.4714793630001,158.179367647 11.9523263630001,158.179761647 11.9527243630001,158.180368647 11.9536033630001,158.593436648 12.3704333630001,158.894075648 12.5825363640001,158.901118648 12.5978793640001,158.940848648 12.751997364,159.184407648 13.281428364,159.519723649 13.7613273650001,159.520753649 13.7623553650001,159.522712649 13.7651533650001,159.939976649 14.180644365,160.426623649 14.518760365,160.430064649 14.5203553650001,160.438693649 14.5263363650001,160.445509649 14.5294953650001,160.454806649 14.535939365,160.455160649 14.536102365,160.456818649 14.537251365,160.99797665 14.787315366,161.00400865 14.788929366,161.00403865 14.7889423660001,161.01265665 14.7912473660001,161.03333765 14.800774366,161.612121651 14.9548593660001,162.210248651 15.008134366,162.212869651 15.0079223660001,162.215304651 15.008136366,162.813845652 14.9588863660001,162.823621652 14.9563663660001,162.843221652 14.954731366,163.423199652 14.8044603660001,163.740506652 14.660650366,164.107736653 14.8252863660001,164.120561653 14.8285683660001,164.136043653 14.835493366,164.137587653 14.8358873660001,164.142121653 14.8379153660001,164.722980653 14.985798366,165.321895654 15.0326413660001,165.322357654 15.0325993660001,165.322900654 15.0326413660001,165.426429654 15.0230943660001,165.431295654 15.023467366,165.433522654 15.023262366,165.446510654 15.024258366,165.446969654 15.0242163660001,165.447515654 15.024258366,165.532930654 15.0162713660001,165.541179654 15.1200663660001,165.691008654 15.6824913670001,165.858614654 16.0373153670001,166.268825655 16.223459367,166.657593655 16.4082043670001,166.688936655 16.423045367,167.713932656 16.9049143680001,169.006423657 17.5014983680001,169.839400658 17.879699369,170.222942659 17.7773923680001,170.223659659 17.777064368,170.223947659 17.7769873680001,170.348300659 17.719924368,170.772636659 17.524405368,171.26526866 17.183711368,171.26888366 17.180136368,171.26927066 17.179868368,171.44293166 17.007900368,171.69064566 16.761884368,172.02812166 16.279793367,172.03170366 16.2720083670001,172.03301566 16.270128367,172.10177966 16.120550367,172.27678966 15.7389833670001,172.420192661 15.1752203660001),(168.976072657 14.582772366,168.981081657 14.580272366,168.987727657 14.5808273660001,169.001981657 14.594027366,168.985227657 14.590554366,168.976072657 14.582772366),(162.324963651 11.352772363,162.332736651 11.3508273630001,162.339445651 11.357118363,162.324963651 11.352772363),(169.961772658 10.4347183620001,169.969972658 10.4322183620001,169.971618658 10.4363903620001,169.962872658 10.444999362,169.948772658 10.4497183620001,169.961772658 10.4347183620001),(165.527190654 9.19889036100005,165.531372654 9.19610936100003,165.537127654 9.20118136100007,165.525818654 9.21423636100008,165.527190654 9.19889036100005),(167.725372656 8.72805436000004,167.731899656 8.72471836000005,167.740663656 8.72694536000006,167.744963656 8.73639036000003,167.739536656 8.74569036000003,167.725372656 8.72805436000004),(168.767208657 7.28971835900006,168.786372657 7.28889035900005,168.768036657 7.29833635900007,168.672336657 7.33013635900005,168.671236657 7.31986335900007,168.690799657 7.30833635900007,168.701627657 7.30527235900007,168.767208657 7.28971835900006),(171.36177266 7.12009935900005,171.37562766 7.11446335900007,171.37806366 7.11857235900004,171.37488166 7.12801835900007,171.36161866 7.13624535900004,171.35856366 7.13137235900007,171.36177266 7.12009935900005),(168.105654657 5.60139035700007,168.113590657 5.60027235700005,168.119945657 5.60416335700006,168.130981657 5.62236335700004,168.126481657 5.63847235700007,168.094972657 5.61069035700007,168.105654657 5.60139035700007)))', 'Marshall Islands Exclusive Economic Zone', 'Marshall Islands', 'Marshall Islands', '', '11', '11', 'MHL', '8318', '', '2000366271000', '8318', 'Y'),('SRID=4326;MULTIPOLYGON(((163.071050652 19.2487443700001,163.072426652 19.27005537,163.108384652 19.82795737,163.252457652 20.392138371,163.499970652 20.923974371,163.844303653 21.4069633720001,163.854883653 21.4172763720001,163.860186653 21.424690372,163.901632653 21.4650703720001,164.291548653 21.8436513720001,164.796924653 22.185321373,165.220707654 22.376061373,165.360675654 22.4387663730001,165.360947654 22.4388373730001,165.361699654 22.4391733730001,165.965978655 22.5962123730001,166.591360655 22.651747373,166.591904655 22.651706373,166.592374655 22.651747373,166.614445655 22.6500973730001,167.218600656 22.6039563730001,167.825373656 22.4543793730001,167.829023656 22.4528013730001,167.839560656 22.4482483730001,167.855900656 22.444189373,167.857579656 22.443463373,167.857933656 22.443375373,168.047771657 22.361172373,168.425621657 22.196752373,168.936279657 21.8611243720001,169.374040658 21.447230372,169.374936658 21.446013372,169.375038658 21.4459173720001,169.521192658 21.247232372,169.726702658 20.966887371,169.982116658 20.437776371,170.064663658 20.1331043710001,170.134379658 19.87503337,170.134416658 19.87456337,170.139033658 19.85745037,170.139994658 19.8452353700001,170.141649658 19.83910137,170.148219658 19.7556123700001,170.187167658 19.2600413700001,170.187069658 19.25913037,170.187131658 19.25834237,170.184937658 19.23780637,170.125681658 18.6805913690001,169.960158658 18.1215623690001,169.839400658 17.879699369,169.006423657 17.5014983680001,167.713932656 16.9049143680001,166.688936655 16.423045367,166.657593655 16.4082043670001,166.268825655 16.223459367,165.858614654 16.0373153670001,165.490637654 16.128652367,165.486872654 16.130288367,165.486699654 16.1303303670001,165.466446654 16.139124367,165.462080654 16.140195367,165.460452654 16.140901367,165.460111654 16.140985367,165.459272654 16.141349367,165.457151654 16.141869367,165.307349654 16.206817367,164.964504654 16.3548643670001,164.905584654 16.380223367,164.902711654 16.382094367,164.897682654 16.384257367,164.418303653 16.695067367,164.395893653 16.709541368,164.393103653 16.7121213680001,164.391898653 16.712898368,164.389810653 16.714829368,164.383951653 16.718612368,164.114675653 16.9669763680001,163.946722653 17.121326368,163.946438653 17.1216983680001,163.943727653 17.124185368,163.584231652 17.5925623680001,163.313587652 18.1128293690001,163.140526652 18.6695893690001,163.071103652 19.2462463700001,163.071190652 19.2475943700001,163.071050652 19.2487443700001),(166.627590655 19.32458137,166.608981655 19.30708137,166.613863655 19.2972183700001,166.642763655 19.2794453700001,166.658781655 19.2828453700001,166.662199655 19.2977723700001,166.658863655 19.31152737,166.650545655 19.3174993700001,166.627590655 19.32458137)))', 'Wake Island Exclusive Economic Zone', 'Wake Island', 'United States', '', '163', '12', 'UMI', '8319', '', '408434300500', '8319', 'Y'),('SRID=4326;MULTIPOLYGON(((8.21810902600004 2.31087989400004,8.36583333300007 2.21333333300004,8.49999170100006 2.10689631000002,8.55013888900004 2.06711111100003,8.52083333300004 1.91250000000002,8.50416666700005 1.81944444400006,8.46611111100003 1.64583333300004,8.40222222200003 1.40388888900003,8.38000000000005 1.29666666700007,8.36076388900005 1.19240277800003,8.30277777800006 1.00416666700005,8.19500000000005 0.623611111000059,8.18750000000006 0.56666666700005,7.84111111100003 -0.00138888899994072,7.68916666700005 -0.293888888999959,7.62833333300006 -0.429166666999947,7.47361111100003 -0.880833332999941,7.27500000000003 -1.48444444399996,6.19186111100004 -0.787722221999957,5.89363350500003 -0.59112866199996,5.32305555600004 -0.214999999999975,4.49235436900005 0.228681944000073,3.61755555600007 0.695916667000063,3.20915277800003 0.916527778000045,3.27288850300005 1.19319435300002,3.34577750300002 1.41222235300006,3.42719450300007 1.61263935300002,3.57583333300005 1.92166666700007,3.83972222200003 1.71388888900003,4.11527777800006 1.52750000000003,4.40388888900003 1.35805555600007,4.69083333300006 1.22083333300003,4.86055555600007 1.15472222200003,5.96500000000003 1.67000000000007,6.87916666700005 2.34972222200003,7.60679375400002 2.71048084300003,7.70361111100004 2.64277777800004,7.88900000000007 2.52647222200005,8.04444444400002 2.42555555600006,8.21810902600004 2.31087989400004),(7.45110950700007 1.69305435400003,7.40458150700005 1.70124535400004,7.37305450700006 1.68749935400007,7.32791850700005 1.60999935300003,7.33805450700004 1.57721835300003,7.34778150700004 1.56499935300008,7.39916350700003 1.53055435300007,7.42305450700007 1.55610935300007,7.46278150700005 1.63471835300004,7.46347250700006 1.67618135400005,7.45110950700007 1.69305435400003),(6.51652750600005 0.0197183520000408,6.52389050600004 0.0183363520000626,6.56166350600006 0.027218352000034,6.65944550600005 0.102363352000054,6.73860950600005 0.208890352000026,6.75152750600006 0.226809352000032,6.75555450600007 0.239718352000068,6.76624550600008 0.287499352000054,6.75139050600006 0.330281352000043,6.71666350600003 0.377499352000029,6.68778150600002 0.402218352000034,6.66249950600007 0.408745352000039,6.61777250600005 0.403609352000046,6.53360950600006 0.343890352000074,6.49180950600004 0.306945352000071,6.46721850600005 0.25971835200005,6.46513650600002 0.195836352000072,6.50749950600004 0.0416633520000573,6.51652750600005 0.0197183520000408)))', 'Sao Tome and Principe Exclusive Economic Zone', 'Sao Tome and Principe', 'Sao Tome and Principe', '', '103', '103', 'STP', '8397', '', '131256750100', '8397', 'Y'),('SRID=4326;MULTIPOLYGON(((122.838929477 25.485668778,122.894102414 25.255099312,122.900096165 25.229875222,122.74603304 25.1234917520001,122.745780096 25.1233170890001,122.668825932 25.012092216,122.666591059 25.0088519760001,122.575746951 24.875529499,122.565646677 24.8609400600001,122.531616146 24.8142283390001,122.416187526 24.5776189740001,122.401274383 24.4936217000001,122.396276574 24.4450991860001,122.396162602 24.443998283,122.392998413 24.4139837320001,122.382001622 24.1505459040001,122.402802027 23.9986135880001,122.409449681 23.949155698,122.410047862 23.9446688260001,122.413092893 23.9275707830001,122.42056029 23.886336468,122.479942401 23.741603642,122.498255953 23.6974013500001,122.522594456 23.6490155990001,122.550704843 23.5946278340001,122.585221175 23.5362439410001,122.635313431 23.449853064,122.652484648 23.423633782,122.654908923 23.419881493,122.682416488 23.379820183,122.749825674 23.292118354,122.821255914 23.115487821,122.832888836 23.0757918520001,123.005113172 22.83345732,123.113334589 22.682504164,123.129697761 22.6596115040001,123.130129707 22.659007423,123.224417122 22.5270305330001,123.373233447 22.39011464,123.422551685 22.3464624490001,123.521648781 22.258140235,123.53091858 22.2498783460001,123.585420708 22.201050767,123.609937251 22.1789603170001,122.948963615 21.9516123720001,122.946576615 21.9507773720001,122.944191615 21.9499433720001,122.941948614 21.9491573720001,122.939706614 21.9483713720001,122.936210614 21.947144372,122.318811614 21.7285313720001,122.211068614 21.6904433720001,121.947943614 21.5975303720001,121.889597614 21.5769193720001,121.794441613 21.5429993720001,121.603592613 21.4743003720001,121.270763613 21.352447372,121.262252613 21.3421203720001,121.231544613 21.304584372,121.136677613 21.1981443720001,121.060725613 21.1381173720001,121.033922613 21.1191873720001,120.935774613 21.049446372,120.656176612 20.8561543710001,120.559561612 20.7888333710001,120.464954612 20.7153973710001,120.232684612 20.535336371,120.055239612 20.430556371,119.767536612 20.3669133710001,119.709462611 20.353953371,119.394502611 20.2836063710001,119.282566611 20.2654363710001,119.105209611 20.2685983710001,119.080221611 20.269259371,119.048240611 20.219612371,118.877671611 19.9543783710001,118.875311611 19.9507073710001,118.871415611 19.944672371,118.839173611 19.89478337,118.49698861 19.36675337,118.10888161 18.7645463690001,118.09854961 18.7512493690001,117.79580661 18.3897933690001,117.451343609 18.014331369,117.432657609 17.993957369,116.981613609 17.7042783680001,116.717968609 17.5345493680001,116.552992609 17.4205983680001,116.479215608 17.366870368,116.279875608 17.3846713680001,116.133428608 17.4065283680001,116.105702608 17.4376033680001,116.006309608 17.534741368,115.768374608 17.748402368,115.475284608 18.010734369,115.447483608 18.035608369,114.646751607 18.7448073690001,114.600525607 18.785526369,114.324549306 19.0279199400001,114.697750333 19.8599035550001,114.778808981 20.0390023960001,114.887922077 20.2792086330001,115.087245173 20.706584854,115.088111779 20.7084427670001,115.114111498 20.7641803540001,115.470459494 21.324129526,115.491423336 21.356304977,115.570996765 21.3969599330001,116.202871867 21.7165028580001,116.345475256 21.7520072770001,116.570073291 21.807941624,116.676961452 21.834389108,116.75042815 21.8404034230001,117.003735577 21.860487248,117.063510609 21.8652601520001,117.393139387 21.8915596050001,117.451784123 21.8962770380001,117.921690889 21.8053024640001,118.054835586 21.779483811,118.191846795 21.7522049450001,118.301129376 21.7304468350001,118.304119133 22.0430495700001,118.320570962 22.413782509,118.323469858 22.479882768,118.328066631 22.571504669,118.318334088 22.955758444,118.432601262 23.292317138,118.439459696 23.310903071,118.44602364 23.324675923,118.449930951 23.332885665,118.478181514 23.400709632,118.478804824 23.4022129320001,118.50376188 23.462422298,118.689564329 23.6850717510001,118.853414716 23.8833067420001,118.865273893 23.8912229060001,118.877882949 23.9044735640001,118.879340406 23.9060607160001,118.958040457 23.9913837490001,118.989452131 24.029999189,119.046125416 24.106785277,119.046781407 24.1073907850001,119.074531446 24.1329006080001,119.278009969 24.327867097,119.328765912 24.3509693340001,119.592591034 24.3824452480001,119.717972634 24.397333346,119.789119805 24.403118541,119.816607412 24.4249275290001,119.838021062 24.445232462,119.879123248 24.4842950550001,119.902470401 24.509679992,119.946071419 24.5642788270001,119.977441085 24.6117444980001,120.046611232 24.7153778210001,120.077556532 24.765786851,120.077982339 24.76623333,120.086084892 24.774732934,120.149882171 24.8448098900001,120.180823835 24.8797982250001,120.212112113 24.903994062,120.244883453 24.9292727960001,120.337671486 25.0009546000001,120.379395276 25.038336314,120.401667441 25.0679778360001,120.403013553 25.069776029,120.41008974 25.079265933,120.453214522 25.1387132340001,120.470400317 25.168309374,120.50271466 25.2241716510001,120.527219736 25.2777309700001,120.53535037 25.295661667,120.551338772 25.3317313580001,120.557658522 25.346226329,120.562413645 25.357220888,120.566275311 25.36316937,120.579562526 25.382756279,120.652761019 25.4940368800001,120.665750083 25.5138931000001,120.694090456 25.5576684170001,120.708211573 25.5795993180001,120.710279005 25.58305935,120.721973089 25.6025922630001,120.786041772 25.6355133810001,120.857361796 25.672995144,120.879883183 25.685066792,120.93666578 25.720387573,121.016721722 25.7954935760001,121.033788 25.8122373790001,121.17547856 25.9585675120001,121.21019872 25.984348273,121.333497405 26.0788489500001,121.353969851 26.113542341,121.506824428 26.372418656,121.510718202 26.378980928,121.615304255 26.450057121,121.960284439 26.683875384,122.009942127 26.717625099,122.078487258 26.7457304070001,122.446578174 26.8960156370001,122.607522531 26.950310319,122.646802295 26.7807029190001,122.699844265 26.5509413190001,122.726954591 26.3150137600001,122.788135074 25.7611189020001,122.78831292 25.7594700170001,122.788409264 25.7585702750001,122.799734683 25.6519339120001,122.838929477 25.485668778),(121.395818613 25.178327375,121.444118613 25.134745375,121.441108613 25.1290993750001,121.418054613 25.1491633750001,121.409418613 25.155272375,121.389363613 25.158263375,121.373718613 25.150972375,121.363036613 25.1433273750001,121.338590613 25.1324993750001,121.310527613 25.1261093750001,121.275872613 25.118909375,121.223599613 25.115554375,121.194699613 25.109999375,121.060536613 25.0486093750001,121.009163613 25.0088903750001,121.001663613 25.0016633750001,120.958699613 24.9330453750001,120.951390613 24.923327375,120.921099613 24.875827375,120.903318613 24.8366633750001,120.871599613 24.739990375,120.862481613 24.739027375,120.751390612 24.6474993750001,120.696218612 24.598609375,120.665818612 24.5330543750001,120.656645612 24.511109375,120.650545612 24.4938813750001,120.642763612 24.479163375,120.628590612 24.463609375,120.594436612 24.427990375,120.578599612 24.410272375,120.571663612 24.4022183750001,120.558872612 24.3852723750001,120.544981612 24.3622183750001,120.509281612 24.289299375,120.476381612 24.2102723740001,120.471908612 24.1930453740001,120.427199612 24.1499993740001,120.421099612 24.1411093740001,120.363036612 24.048336374,120.312472612 23.953327374,120.283863612 23.8983273740001,120.278699612 23.889072374,120.239699612 23.8299993740001,120.221918612 23.8194453740001,120.194836612 23.7833273740001,120.115536612 23.6313813740001,120.111227612 23.6170813740001,120.115536612 23.5688813740001,120.123872612 23.5141633740001,120.125163612 23.508754374,120.128863612 23.493327374,120.134718612 23.466109374,120.147763612 23.394718374,120.143945612 23.3224993740001,120.129999612 23.3174993740001,120.109708612 23.286945374,120.099718612 23.2669363740001,120.083327612 23.2280543740001,120.056508612 23.1559633740001,120.057345612 23.144990373,120.064845612 23.1380453730001,120.084854612 23.1336093730001,120.092763612 23.126936373,120.097554612 23.0879093730001,120.086927612 23.079163373,120.067490612 23.079163373,120.055118612 23.0738813730001,120.049145612 23.0608273730001,120.053936612 23.044372373,120.064418612 23.0349993730001,120.107754612 23.0136093730001,120.135536612 23.0227723730001,120.163881612 22.9536093730001,120.167481612 22.9080453730001,120.172763612 22.881663373,120.199708612 22.786945373,120.206381612 22.773327373,120.228672612 22.7367273730001,120.251518612 22.6823543730001,120.238590612 22.6608273730001,120.240254612 22.6494363730001,120.244708612 22.6402723730001,120.253327612 22.6280543730001,120.267908612 22.612499373,120.296099612 22.5969363730001,120.312763612 22.572499373,120.321927612 22.5544453730001,120.329990612 22.536109373,120.327854612 22.524945373,120.303699612 22.5508723730001,120.307081612 22.540436373,120.328599612 22.5194453730001,120.343599612 22.5055543730001,120.379563612 22.4819363730001,120.389436612 22.4784633730001,120.416899612 22.4824993730001,120.426090612 22.4708273730001,120.444699612 22.453327373,120.478581612 22.431109373,120.488590612 22.4291633730001,120.505545612 22.4224993730001,120.553308612 22.382772373,120.574572612 22.3641633730001,120.610263612 22.312772373,120.620527612 22.295272373,120.629436612 22.2774993730001,120.674990612 22.181936373,120.677754612 22.1719363730001,120.691090612 22.115272373,120.693036612 22.104445373,120.686372612 22.053609372,120.699008612 21.9433273720001,120.709018612 21.932218372,120.719563612 21.927909372,120.824154613 21.927772372,120.881363613 22.036945372,120.884718613 22.098054373,120.879427613 22.2325633730001,120.873027613 22.2749993730001,120.871372613 22.291945373,120.872754613 22.320136373,120.878590613 22.341381373,120.955554613 22.5358273730001,120.969708613 22.568327373,121.014427613 22.6349903730001,121.030272613 22.656381373,121.079436613 22.709163373,121.108318613 22.722218373,121.119136613 22.724718373,121.128863613 22.7280543730001,121.137499613 22.735272373,121.168054613 22.762499373,121.259163613 22.8999993730001,121.355554613 23.0874993730001,121.453045613 23.327218374,121.473308613 23.401109374,121.475808613 23.4147183740001,121.476327613 23.4224183740001,121.496372613 23.485272374,121.536927613 23.7013813740001,121.596363613 23.8999993740001,121.611363613 23.9833273740001,121.616090613 24.0341633740001,121.609154613 24.0416633740001,121.602618613 24.058327374,121.606227613 24.083190374,121.659418613 24.1847183740001,121.676090613 24.204990374,121.744981613 24.2863813750001,121.753054613 24.292772375,121.772490613 24.301663375,121.759636613 24.3308273750001,121.776654613 24.414163375,121.780545613 24.4263813750001,121.796099613 24.4483273750001,121.803590613 24.4555543750001,121.816672613 24.463881375,121.831099613 24.4708273750001,121.839708613 24.4763813750001,121.853045613 24.533609375,121.853318613 24.5636093750001,121.849427613 24.5922183750001,121.843599613 24.6063813750001,121.828327613 24.614436375,121.821108613 24.624718375,121.817208613 24.637218375,121.800808613 24.7452723750001,121.799708613 24.7566633750001,121.805254613 24.789999375,121.813872613 24.8349993750001,121.818190613 24.850272375,121.828327613 24.866936375,121.880527614 24.930963375,121.913881614 24.9599993750001,121.947199614 24.9763813750001,121.969508614 24.9850363750001,121.978318614 24.986936375,121.994981614 24.9952723750001,122.000408614 25.007218375,121.881654614 25.1147183750001,121.788599613 25.1265813750001,121.734708613 25.138881375,121.681272613 25.1686633750001,121.636654613 25.214436375,121.616927613 25.2494363750001,121.608872613 25.2591633750001,121.598036613 25.267218375,121.583327613 25.2758273750001,121.563181613 25.283609375,121.515272613 25.2822183750001,121.478318613 25.2704183750001,121.442745613 25.2438813750001,121.435254613 25.236663375,121.396518613 25.189018375,121.395818613 25.178327375)))', 'Taiwanese Exclusive Economic Zone', 'Taiwan', 'Taiwan', 'Taiwans sovereignity is disputed by China', '14', '14', 'TWN', '8321', '', '342270416800', '8321', 'Y'),('SRID=4326;MULTIPOLYGON(((102.969654596 11.732909363,102.978445596 11.7104093630001,102.995845596 11.722390363,103.002472596 11.725136363,103.023299596 11.728881363,103.076390596 11.712736363,103.063999596 11.702181363,103.020972596 11.719981363,102.989263596 11.703054363,102.965381596 11.672363363,102.969681596 11.6365813630001,102.983863596 11.617454363,102.982999596 11.5820998630001,102.971827596 11.5645813630001,102.960254596 11.5441633630001,102.975663596 11.5292363630001,103.028845596 11.541945363,103.076372596 11.442499863,103.101354596 11.348609363,103.092608596 11.2045813620001,103.113436596 11.1526363620001,103.116908596 11.111945362,103.104408596 10.9599998620001,103.096018596 10.9344453620001,103.129699596 10.8830543620001,103.149718596 10.874163362,103.173454596 10.8655543620001,103.348863596 10.8847183620001,103.411636596 10.943890862,103.434127596 11.019163362,103.451636596 11.095827362,103.475799596 11.131936362,103.510108596 11.1590273620001,103.555654596 11.155345362,103.666645597 11.0277723620001,103.711908597 10.9124998620001,103.719418597 10.887499862,103.721908597 10.866109362,103.717336597 10.836663362,103.693154597 10.8123543620001,103.676354597 10.8005543620001,103.666145597 10.7561093620001,103.684390597 10.740563362,103.588299596 10.731109362,103.558572596 10.713327362,103.516081596 10.638054362,103.521654596 10.604445362,103.581118601 10.5445091550001,103.581118532 10.5445091300001,103.634991341 10.490209136,103.736354199 10.4959732030001,103.758554173 10.5319540310001,103.804700238 10.531327065,103.827063323 10.54541805,103.931072349 10.5881910700001,104.004963351 10.566944957,104.032472255 10.5594449970001,104.093718151 10.547773197,104.127745158 10.5577731430001,104.163854229 10.56166419,104.251291226 10.566182204,104.276363342 10.5433271000001,104.346072278 10.4927731600001,104.445327255 10.422735989,104.434866116 10.4064995750001,104.220500502 10.369494198,104.20150014 10.371214992,104.181096939 10.3731710910001,104.161755041 10.400602018,104.15344369 10.412806076,104.151816102 10.4152599350001,104.14339314 10.4286620140001,104.133154881 10.4549989390001,104.130723711 10.46143734,104.130635862 10.4616679440001,104.102500377 10.469979305,104.089214114 10.473081875,104.086298323 10.4742531740001,104.085370846 10.474513792,104.074818624 10.476868944,104.072997606 10.477904831,104.061932035 10.4839894830001,104.056609547 10.4871830700001,104.051651165 10.489628038,104.032969729 10.4975123290001,104.031027379 10.4982885970001,104.026093563 10.5003706050001,104.024782355 10.5007810330001,104.024120582 10.5010225890001,104.018729024 10.5031075430001,104.016904344 10.503733955,104.016789874 10.5037768070001,104.011482955 10.505649631,103.998001349 10.5083972620001,103.990536895 10.5100505350001,103.986642507 10.5107976530001,103.985738679 10.5108496780001,103.9833493 10.5108495750001,103.977352762 10.511091064,103.957792254 10.512498716,103.951345139 10.512498023,103.951283274 10.512496608,103.951168696 10.5124832230001,103.946592222 10.511852278,103.946498611 10.5118264340001,103.945198915 10.5114216480001,103.914857207 10.5029831420001,103.905997338 10.5009086800001,103.897907652 10.4894611600001,103.897597983 10.4890322420001,103.897987408 10.4846247470001,103.898313013 10.4797382470001,103.898347087 10.4791210330001,103.899360286 10.4634668140001,103.897713548 10.454418886,103.894051576 10.4371372630001,103.885955304 10.429117789,103.880357485 10.424545821,103.87492464 10.4198846370001,103.856002813 10.4083969270001,103.853194558 10.4068093760001,103.849147182 10.4052574,103.843502045 10.402910408,103.837764605 10.401152484,103.828075855 10.391188847,103.821003723 10.3897593900001,103.81900024 10.389195294,103.81049729 10.3873990710001,103.80345107 10.3851671150001,103.801502238 10.384101109,103.789820344 10.37731158,103.785019784 10.374398474,103.783932854 10.373747956,103.773223878 10.36753071,103.730960903 10.3544377580001,103.725970013 10.3524374460001,103.723669036 10.3515404340001,103.658255053 10.324289591,103.603500228 10.232065398,103.558767364 10.1556015150001,103.567353556 10.1076049370001,103.578804868 10.0091465830001,103.573876744 9.99867570400005,103.571842666 9.96512523300004,103.562640371 9.79884437300007,103.471183415 9.72898710600003,103.432799121 9.69981212200003,103.402378793 9.67689878400006,103.391483501 9.67210380100005,103.355313662 9.65647046900006,103.183380778 9.58143282300006,103.160834082 9.57177348900007,103.155498603 9.56963181400005,103.070275443 9.50584508700007,102.976578144 9.43513055700004,102.926858708 9.39492544600006,102.797473052 9.28960586300008,102.795182484 9.28774162300004,102.792873185 9.28587209000005,102.605756774 9.13437908100008,102.203237 8.78188200000005,102.151417064 8.86036466900003,102.075291128 8.97748149500006,101.966958064 9.14144505100006,101.712228968 9.47522800400003,101.603895904 9.62455195700005,101.499032835 9.75570609600004,101.494340024 9.79710893000004,101.493290337 9.80636990200003,101.492351811 9.82051943300007,101.485755027 9.91997480400005,101.482744448 9.96496085400003,101.482463346 9.96916125800004,101.480212374 10.0096712600001,101.480212346 10.0096717640001,101.44264891 10.2339501380001,101.442503231 10.2348193780001,101.442481329 10.2349500660001,101.39296136 10.529363075,101.392961238 10.529363801,101.330389756 10.6556096200001,102.194482935 11.1106066410001,102.231875599 11.130220556,102.264566956 11.1455487120001,102.428374112 11.2188692010001,102.487612738 11.2451539470001,102.569627049 11.280767095,102.595503749 11.2920855780001,102.726855581 11.3492093460001,102.727696259 11.350997491,102.74562442 11.3886606400001,102.746027217 11.3895111420001,102.746993882 11.391561785,102.747965034 11.393662497,102.748723928 11.395312914,102.749471896 11.396963322,102.749855228 11.3978138040001,102.751156419 11.4007148800001,102.771409253 11.44729441,102.773266539 11.485660723,102.772528549 11.495214252,102.769034556 11.5453124260001,102.768304834 11.560956387,102.768314095 11.56113636,102.767061102 11.5689667390001,102.764137387 11.593070255,102.785108546 11.6009344400001,102.825740168 11.611420019,102.859818303 11.6192842040001,102.884721555 11.6258376920001,102.910935505 11.632391179,102.910935432 11.6323909380001,102.916091262 11.635854035,102.935654596 11.5913908630001,102.958927596 11.575418363,102.967745596 11.5991633630001,102.958499596 11.650981363,102.959145596 11.6821543630001,102.966499596 11.719581363,102.952463596 11.7479183630001,102.929963596 11.7700003630001,102.906936596 11.7874093630001,102.895881596 11.826772363,102.914408596 11.8033273630001,102.915799596 11.7959998630001,102.957408596 11.756527363,102.969654596 11.732909363)))', 'Cambodian Exclusive Economic Zone', 'Cambodia', 'Cambodia', '', '24', '24', 'KHM', '8331', '', '48202563320', '8331', 'Y'),('SRID=4326;MULTIPOLYGON(((43.195446917 -8.01302724999994,44.849999542 -10.449999658,44.849999972 -10.449999959,44.8500000000001 -10.4499999999999,44.9929739450001 -10.5500817619999,45.516666667 -10.916666667,45.767499592 -11.139721637,45.7675 -11.1397219999999,45.780151543 -11.3368296589999,45.561614542 -11.5671476589999,45.488097542 -11.644830659,45.2031205420001 -11.945901659,45.1999725420001 -11.949719659,45.0890905420001 -12.069609659,45.0237125420001 -12.1500286589999,44.893988542 -12.30914766,44.8217525420001 -12.4256456599999,44.809701542 -12.44434166,44.8046835420001 -12.45210266,44.7721965420001 -12.50825466,44.7336115420001 -12.5768506599999,44.7333565420001 -12.57730466,44.6951375420001 -12.64440866,44.6647225420001 -12.6976206599999,44.6133215420001 -12.78944566,44.6045555420001 -12.8013366599999,44.5219835410001 -12.91441366,44.514153541 -12.92232466,44.416578541 -13.02174866,44.3255585410001 -13.10585766,44.1971665410001 -13.2248836599999,44.0382365410001 -13.5408716609999,43.751453541 -14.213546661,43.7329225410001 -14.2568466609999,43.680286541 -14.3759246609999,43.0235615400001 -14.427294661,42.8597885400001 -14.215954661,42.6552275400001 -13.9538036609999,42.54948254 -13.797942661,42.4761165400001 -13.689692661,42.3299135390001 -13.475761661,42.303334539 -13.410255661,42.2624425390001 -13.30945766,42.2166965390001 -13.17164266,42.2063325390001 -13.12096966,42.178898539 -12.9073366599999,42.1749085390001 -12.89644666,42.171831539 -12.88805466,42.146796539 -12.8206096599999,42.080465539 -12.64206366,42.068698539 -12.59459766,41.9475795390001 -12.152266659,41.937344539 -12.1160296589999,41.932439539 -11.921947659,41.9334155390001 -11.8850076589999,41.9361185390001 -11.731296659,41.9387045390001 -11.5779746589999,41.9399735390001 -11.488356659,41.955135539 -11.4374916589999,41.9629985390001 -11.393441659,42.0047675390001 -11.1578456579999,42.0227765390001 -11.0493946579999,42.0309765390001 -10.999644658,42.048052539 -10.894643658,42.0612765390001 -10.810234658,42.0871185390001 -10.6427816579999,42.137632539 -10.4166686579999,42.1618025390001 -10.321017658,42.198876539 -10.173820658,42.2215819200001 -10.091388889,42.538980843 -9.06399518599994,42.5758231770001 -8.95626507999998,42.636769273 -8.78729158999994,42.7384316600001 -8.51045451699997,42.7385162960001 -8.51037522599995,43.195446917 -8.01302724999994),(43.42749954 -11.922781659,43.4536095400001 -11.936109659,43.46208154 -11.9344456589999,43.4870815410001 -11.9163906589999,43.4977725410001 -11.8861096589999,43.43832754 -11.7288906589999,43.42749954 -11.712781659,43.3836095400001 -11.6444456589999,43.37479054 -11.6152816589999,43.37943654 -11.580554659,43.3966635400001 -11.441663659,43.39721854 -11.4174996589999,43.3952725400001 -11.406109659,43.38082754 -11.3811096589999,43.37263654 -11.372499659,43.34304554 -11.366945659,43.33082754 -11.368336659,43.28694554 -11.378336659,43.2776365400001 -11.3827816589999,43.26582754 -11.397227659,43.2602725400001 -11.4113906589999,43.2504815400001 -11.4395816589999,43.2527815400001 -11.4763906589999,43.24999954 -11.551109659,43.2445815400001 -11.6691636589999,43.2397185400001 -11.681109659,43.2322185400001 -11.6927816589999,43.21971854 -11.7141726589999,43.2140275400001 -11.7305546589999,43.2149995400001 -11.7455546589999,43.2201365400001 -11.7634726589999,43.25749954 -11.8155546589999,43.2726365400001 -11.8334726589999,43.2930545400001 -11.846390659,43.42749954 -11.922781659),(44.4098545410001 -12.151527659,44.3827725410001 -12.173336659,44.373890541 -12.1780546589999,44.3636095410001 -12.180836659,44.3258275410001 -12.187499659,44.297499541 -12.1870816589999,44.241663541 -12.175281659,44.2324905410001 -12.167709659,44.212218541 -12.163545659,44.2188905410001 -12.180836659,44.2305545410001 -12.188890659,44.2477725410001 -12.1983366589999,44.3127725410001 -12.231672659,44.322490541 -12.2355546589999,44.3909725410001 -12.269863659,44.4272185410001 -12.3094456599999,44.4879095410001 -12.3695816599999,44.5080455410001 -12.37971866,44.5136095410001 -12.38028166,44.5177725410001 -12.3777816599999,44.5266635410001 -12.36610966,44.5304185410001 -12.34778166,44.5183275410001 -12.2136096589999,44.487499541 -12.093054659,44.4797185410001 -12.081254659,44.4673545410001 -12.070136659,44.4533275410001 -12.070836659,44.434163541 -12.078890659,44.4131905410001 -12.0933366589999,44.4197185410001 -12.110281659,44.420272541 -12.1219456589999,44.4098545410001 -12.151527659),(43.724999541 -12.267781659,43.645409541 -12.2421546589999,43.6255455410001 -12.2544456589999,43.6213815410001 -12.2724996589999,43.6247185410001 -12.28583666,43.6302725410001 -12.29999966,43.656945541 -12.35028166,43.6686095410001 -12.35749966,43.7119365410001 -12.36360966,43.731663541 -12.36499966,43.739999541 -12.3594456599999,43.7749905410001 -12.36360966,43.854436541 -12.38305466,43.8615185410001 -12.3736096599999,43.8636095410001 -12.3631906599999,43.8570815410001 -12.3527816599999,43.8358275410001 -12.3341636599999,43.8241635410001 -12.32666366,43.7372185410001 -12.274445659,43.724999541 -12.267781659)))', 'Comoran Exclusive Economic Zone', 'Comoro Islands', 'Comoro Islands', '', '28', '28', 'COM', '8334', '', '165180763500', '8334', 'Y'),('SRID=4326;MULTIPOLYGON(((43.680286541 -14.3759246609999,43.7329225410001 -14.2568466609999,43.751453541 -14.213546661,44.0382365410001 -13.5408716609999,44.1971665410001 -13.2248836599999,44.3255585410001 -13.10585766,44.416578541 -13.02174866,44.514153541 -12.92232466,44.5219835410001 -12.91441366,44.6045555420001 -12.8013366599999,44.6133215420001 -12.78944566,44.6647225420001 -12.6976206599999,44.6951375420001 -12.64440866,44.7333565420001 -12.57730466,44.7336115420001 -12.5768506599999,44.7721965420001 -12.50825466,44.8046835420001 -12.45210266,44.809701542 -12.44434166,44.8217525420001 -12.4256456599999,44.893988542 -12.30914766,45.0237125420001 -12.1500286589999,45.0890905420001 -12.069609659,45.1999725420001 -11.949719659,45.2031205420001 -11.945901659,45.488097542 -11.644830659,45.561614542 -11.5671476589999,45.780151543 -11.3368296589999,45.9172505430001 -11.562453659,45.9871575430001 -11.677390659,46.0722675430001 -11.814913659,46.2076245430001 -12.033147659,46.3946255430001 -12.33019166,46.457721543 -12.4291966599999,46.5016125430001 -12.49812466,46.6813045430001 -12.7789606599999,46.6929485430001 -12.7970816599999,46.586174543 -13.1188606599999,46.536994543 -13.26863766,46.3320145430001 -13.800468661,45.8056105430001 -14.2368356609999,45.5771855420001 -14.3375136609999,45.096279542 -14.449377662,44.6280395420001 -14.4854966619999,44.136997541 -14.4588166619999,43.680286541 -14.3759246609999),(45.0452725420001 -12.69528166,45.039163542 -12.71333666,45.040963542 -12.73847266,45.058327542 -12.7508366599999,45.1036095420001 -12.8283366599999,45.1245275420001 -12.88886366,45.1178905420001 -12.90110966,45.096527542 -12.90555466,45.0845815420001 -12.89062766,45.062845542 -12.8940996599999,45.0699995420001 -12.9572276599999,45.097499542 -12.98583666,45.1241635420001 -12.99139066,45.136381542 -12.99249966,45.1811095420001 -12.9713906599999,45.1770095420001 -12.9253456599999,45.2049905420001 -12.8497276599999,45.2297185420001 -12.75486366,45.222772542 -12.7394456599999,45.2083275420001 -12.72749966,45.0788905420001 -12.66249966,45.0452725420001 -12.69528166),(45.283763542 -12.7468996599999,45.2631275420001 -12.76828166,45.2800815420001 -12.8051276599999,45.2933455420001 -12.78522766,45.283763542 -12.7468996599999)))', 'Mayotte Exclusive Economic Zone', 'Mayotte', 'France', '', '179', '29', 'MYT', '8335', '', '63169832500', '8335', 'Y'),('SRID=4326;MULTIPOLYGON(((93.1333333330001 13.8166666670001,93.6666666670001 13.5666666670001,93.833333333 13.8000000000001,95.0333333330001 13.8000000000001,95.6833333330001 12.9,95.5000000000001 12.3166666670001,95.4333333330001 11.716666667,95.3666666670001 10.7333333330001,95.2500000000001 10.466666667,95.266666667 10.3000000000001,95.4666666670001 9.88333333300005,95.5783336600001 9.64404691900006,95.5816442320001 9.63695283700002,95.583333333 9.63333333300005,95.5851940060001 9.63333324400003,95.5902776080001 9.63333300000005,95.5902780000001 9.63333300000005,95.6086111110001 9.28833333300003,95.6277777780001 8.80111111100007,95.6283333330001 8.75305555600005,95.6530555560001 8.22972222200002,95.654444444 8.16500000000002,95.696666667 7.95833333300004,95.5466666670001 7.80000000000007,95.5300000000001 7.78333300000003,95.52 7.76833300000004,95.4291670000001 7.66833300000008,94.926944 7.04000000000002,94.6333330000001 6.64166700000004,94.5400000000001 6.50000000000006,94.403333 6.27000000000004,94.1716670000001 6.00000000000006,93.6866670000001 5.42222200000003,92.854722 4.45944400000008,92.7252780000001 4.30861100000004,92.3986110000001 4.02777800000007,92.1454216440001 3.87809795600003,91.6753195850001 4.20549135600004,91.674156585 4.20664735600008,91.6740165850001 4.20674435600006,91.2615285850001 4.61605935600005,90.925825585 5.09037235700004,90.873866585 5.20022535700002,90.7740505850001 5.34088435700005,90.772569585 5.34401135700006,90.772434585 5.34420235700003,90.5233795840001 5.86911535700006,90.4201175840001 6.24406935800005,90.4171255840001 6.24826335800003,90.4163805840001 6.24982735800006,90.4163165840001 6.24991635800006,90.3890745840001 6.30709935800007,90.2042325840001 6.56582235800005,90.2037665840001 6.56679835800003,90.2033245840001 6.56741535800006,90.1996435840001 6.57512435800004,90.199180584 6.57577135800005,90.198685584 6.57680735800005,90.1982725840001 6.57738435800007,90.1975055840001 6.57899035800006,90.1974715840001 6.57903835800005,90.1965295840001 6.58101135800007,90.1949505840001 6.58321835800007,90.1942425840001 6.58470135800007,90.1941415840001 6.58484235800006,90.1940505840001 6.58503335800003,90.1924305840001 6.58729835800006,90.1916655840001 6.58890035800005,90.1916215840001 6.58896135800006,90.190985584 6.59029335800005,90.190713584 6.59067335800006,89.9398645840001 7.11485735900004,89.9393715840001 7.11662835900006,89.9382425840001 7.11898335900003,89.9112765840001 7.21585335900005,89.6937785840001 7.66839035900006,89.6676975840001 7.76157035900007,89.5657525830001 7.97300235900008,89.564999583 7.97568535900007,89.562290583 7.98129735900005,89.4049945830001 8.54035736000003,89.4049345830001 8.54096736000002,89.4041645830001 8.54369836000006,89.4039855830001 8.54551336000003,89.4033265830001 8.54784836000005,89.4032035830001 8.54909236000003,89.4023895830001 8.55197736000002,89.349016583 9.09051836000003,89.2138205830001 9.36840436100005,89.2129425830001 9.37149436100003,89.212893583 9.37159536100006,89.1419355830001 9.62105636100006,89.0492955830001 9.81072436100004,88.889406583 10.3692943620001,88.829968583 10.946643362,88.830193583 10.949635362,88.829903583 10.9524393620001,88.846676583 11.1760943620001,88.8080295830001 11.5477633630001,88.8510935830001 12.126510363,88.996485583 12.6890973640001,88.9975545830001 12.6914203640001,88.9989005830001 12.6966203640001,89.2428455830001 13.2258643640001,89.274423583 13.271065364,89.285093583 13.4131843640001,89.296578583 13.4573843640001,89.3004625830001 13.5091233650001,89.302744583 13.517904365,89.302837583 13.519145365,89.3166265830001 13.572192365,89.3221005830001 13.645119365,89.3223955830001 13.6462523650001,89.3228135830001 13.651825365,89.3232485830001 13.653495365,89.3236265830001 13.658532365,89.4701115830001 14.2212283650001,89.559187583 14.413309365,89.5874565830001 14.521561365,89.5892345830001 14.5253913650001,89.5915105830001 14.5341043650001,89.598702583 14.549593365,89.5988305830001 14.550083365,89.643033583 14.645248366,89.6570915830001 14.6990053660001,89.6573545830001 14.699570366,89.657862584 14.701513366,89.904285584 15.2307503660001,89.9057805840001 15.232868366,89.9059655840001 15.2332673660001,89.9124655840001 15.2424783660001,89.9124915840001 15.242535366,90.2333333320001 15.700000001,90.2589985640001 15.6832188880001,92.4 14.283333333,92.833333333 14.0000000000001,92.9 13.95,93.1333333330001 13.8166666670001),(92.8108095860001 12.920827364,92.8134185860001 12.8979183640001,92.826554586 12.900754364,92.845963586 12.8940273640001,92.8560545860001 12.8989183640001,92.875481586 12.8876093640001,92.8857365870001 12.898454364,92.8767815860001 12.9074273640001,92.930118587 13.064027364,92.960536587 13.079718364,92.9659545870001 13.063681364,92.9599905870001 13.037499364,92.9815095870001 13.024581364,93.024427587 13.0358273640001,93.035263587 13.0477813640001,93.045254587 13.065554364,93.0474815870001 13.077218364,93.064418587 13.237499364,93.081372587 13.399445364,93.0588725870001 13.5461093650001,93.0449815870001 13.5701363650001,93.0063815870001 13.5713903650001,92.9438635870001 13.543054365,92.8924905870001 13.4649993640001,92.9002995870001 13.4346633640001,92.8850545870001 13.379118364,92.8608365860001 13.3701453640001,92.8406815860001 13.3274993640001,92.832072586 13.1638903640001,92.811918586 13.065554364,92.808027586 13.0522183640001,92.806363586 13.034445364,92.8108095860001 12.920827364),(92.886936587 12.8976993640001,92.8758095860001 12.8845453640001,92.8546365860001 12.8946813640001,92.846545586 12.8908993640001,92.8266635860001 12.8980543640001,92.8133095860001 12.895072364,92.741927586 12.821245364,92.7363725860001 12.809718364,92.736927586 12.796663364,92.7463725860001 12.6849993640001,92.7141545860001 12.420827364,92.7138815860001 12.357499363,92.7180455860001 12.341109363,92.7358185860001 12.3137453630001,92.7588815860001 12.304999363,92.7761275860001 12.309545363,92.7912365860001 12.319209363,92.810481586 12.314636363,92.8295095860001 12.318645363,92.8524815860001 12.3055543630001,92.874418586 12.306663363,92.8941455870001 12.321663363,92.886936587 12.3647183630001,92.8760815860001 12.3713813630001,92.8655365860001 12.381663363,92.8588725860001 12.3923633630001,92.8487275860001 12.428054364,92.9006095870001 12.4482633640001,92.9172095870001 12.435827364,92.934009587 12.4158273640001,92.9863725870001 12.5061093640001,92.9916545870001 12.5249993640001,92.992481587 12.708745364,92.9594275870001 12.862499364,92.928590587 12.9091633640001,92.918254587 12.913263364,92.9023725870001 12.8990723640001,92.886936587 12.8976993640001),(92.8529095860001 12.3029813630001,92.8288365860001 12.317354363,92.8111905860001 12.3119723630001,92.795218586 12.3170813630001,92.784409586 12.3122363630001,92.793909586 12.291599363,92.7889905860001 12.275299363,92.7669275860001 12.273190363,92.755272586 12.2797993630001,92.7545725860001 12.264199363,92.7648275860001 12.2532453630001,92.790372586 12.2020093630001,92.7854815860001 12.1868813630001,92.7680275860001 12.177099363,92.7701275860001 12.160572363,92.7604635860001 12.128463363,92.7517365860001 12.094945363,92.7542725860001 12.0713363630001,92.8065095860001 12.0908273630001,92.8610995860001 12.162218363,92.9016545870001 12.2658363630001,92.899363587 12.2881903630001,92.8763725860001 12.3019453630001,92.8529095860001 12.3029813630001),(92.7660995860001 12.179163363,92.7482455860001 12.180472363,92.7228815860001 12.169309363,92.7170545860001 12.1827993630001,92.7224095860001 12.196772363,92.7221725860001 12.218181363,92.7098455860001 12.234299363,92.6740815860001 12.212845363,92.6433275860001 12.1527723630001,92.640272586 12.1416633630001,92.6424905860001 12.129999363,92.646936586 12.1172183630001,92.6408275860001 12.046109363,92.624690586 11.943327363,92.599990586 11.893327363,92.5684545860001 11.929863363,92.5512995860001 11.919372363,92.5253275860001 11.8554183630001,92.618590586 11.603881363,92.6633185860001 11.530554363,92.674427586 11.513890363,92.7165185860001 11.491799363,92.727199586 11.5033363630001,92.760545586 11.6155543630001,92.791927586 11.864163363,92.7958185860001 11.901945363,92.7944365860001 11.9213903630001,92.761109586 12.056390363,92.7540545860001 12.067881363,92.749918586 12.0745813630001,92.7487365860001 12.0915273630001,92.7577635860001 12.127499363,92.762499586 12.143890363,92.7674905860001 12.159445363,92.7660995860001 12.179163363),(92.6672095860001 11.4961093630001,92.6401995860001 11.512218363,92.6299725860001 11.4997183630001,92.6258095860001 11.489999363,92.5963095860001 11.3738813630001,92.6155365860001 11.3563903630001,92.6266455860001 11.353609363,92.633045586 11.3541633630001,92.676227586 11.3620813630001,92.7026275860001 11.3836093630001,92.6938635860001 11.454718363,92.6896995860001 11.464445363,92.681363586 11.4822183630001,92.6672095860001 11.4961093630001),(92.3680455860001 10.5373633620001,92.4611095860001 10.514999362,92.495254586 10.5194453620001,92.5074905860001 10.531390362,92.5133185860001 10.539718362,92.5360905860001 10.575827362,92.5763815860001 10.687772362,92.576936586 10.700827362,92.574999586 10.7124993620001,92.5604725860001 10.776972362,92.5305455860001 10.8672183620001,92.5254095860001 10.875972362,92.4980365860001 10.9008363620001,92.466936586 10.888054362,92.4358095860001 10.863609362,92.3569365860001 10.7898633620001,92.352763586 10.776945362,92.3469365860001 10.714718362,92.3466455860001 10.694163362,92.359290586 10.5426363620001,92.3680455860001 10.5373633620001),(92.7313725860001 9.12735436000003,92.7708185860001 9.12471836000003,92.786927586 9.12610936000004,92.797063586 9.13332736000007,92.8083095860001 9.14986336000004,92.812190586 9.16332736000004,92.8108095860001 9.17582736000003,92.805681586 9.21006336100004,92.7916545860001 9.23249936100007,92.7866545860001 9.23860936100004,92.783327586 9.24332736100007,92.7591545860001 9.26263636100003,92.7127725860001 9.21027236100002,92.7088815860001 9.19694536100008,92.708036586 9.17694536000005,92.7088815860001 9.16360936000007,92.7113815860001 9.15277236000003,92.714999586 9.14221836000007,92.720536586 9.13389036000007,92.7313725860001 9.12735436000003),(93.4466365870001 8.13610936000003,93.474990587 8.00749935900006,93.4832455870001 7.99069035900004,93.5347725870001 8.03763635900003,93.536654587 8.05694535900005,93.5324815870001 8.07360935900005,93.524427587 8.09999935900004,93.520263587 8.10944535900006,93.5222185870001 8.17721836000004,93.5340725870001 8.20882736000004,93.5287365870001 8.22069036000005,93.5165185870001 8.22597236000007,93.495818587 8.22277236000002,93.483318587 8.21610936000008,93.4774815870001 8.20777236000004,93.4471275870001 8.16236336000003,93.4466365870001 8.13610936000003),(93.3854095870001 8.01680935900004,93.374690587 8.01916335900006,93.3566455870001 8.01389035900007,93.3159545870001 7.99541835900004,93.3066365870001 7.95277235900005,93.305818587 7.93944535900005,93.309009587 7.92541835900005,93.3459545870001 7.88347235900005,93.356790587 7.87680935900005,93.453599587 7.86895435900004,93.460263587 7.88763635900006,93.458327587 7.90277235900004,93.4502725870001 7.92916335900003,93.4438635870001 7.94360935900005,93.3914455870001 8.01171835900004,93.3854095870001 8.01680935900004),(93.6203995870001 7.24971835900004,93.6366545870001 7.24652735900003,93.7272725870001 7.32402735900007,93.7348365870001 7.36298135900006,93.6955455870001 7.41028135900007,93.6969275870001 7.42277235900002,93.6937905870001 7.43659935900007,93.679127587 7.38965435900008,93.6472185870001 7.37398135900003,93.617618587 7.36708135900005,93.6080365870001 7.34527235900003,93.5963725870001 7.30652735900003,93.6138725870001 7.26055435900003,93.6203995870001 7.24971835900004),(93.8106635870001 6.75319035800004,93.8270635870001 6.74582735800004,93.899409587 6.80708135800006,93.929690587 6.94916335800002,93.9230185870001 6.99749935800003,93.9127635870001 7.02860935800004,93.8802635870001 7.13916335900007,93.868045587 7.18229935900007,93.8624905870001 7.19944535900004,93.8552635870001 7.20944535900003,93.8258185870001 7.23569035900005,93.809145587 7.23639035900004,93.7949815870001 7.23347235900007,93.6724815870001 7.18402735900003,93.643599587 7.11860935900006,93.6447185870001 7.09110935900003,93.645263587 7.07805435900002,93.647763587 7.03249935800005,93.6590815870001 7.02353635800006,93.6784635870001 7.02333635800005,93.7172095870001 6.98916335800004,93.7646905870001 6.92055435800006,93.770809587 6.89360935800005,93.7849725870001 6.83333635800005,93.8106635870001 6.75319035800004)))', 'Indian Exclusive Economic Zone (Andaman and Nicobar Islands)', 'Andaman and Nicobar', 'India', '', '203', '26', 'IND', '8333', '2012-10 (name)', '662725214200', '8333', 'Y'),('SRID=4326;MULTIPOLYGON(((45.7675 -11.1397219999999,46.9111105440001 -10.6502776579999,48.485277545 -11.020832658,48.405465545 -11.181451658,48.3874375450001 -11.2257836589999,48.3688675450001 -11.269159659,48.3497555450001 -11.311580659,48.330101545 -11.353048659,48.309905545 -11.3935636589999,48.2891655450001 -11.433126659,48.2678845450001 -11.4717376589999,48.246059545 -11.5093986589999,48.2315425450001 -11.533227659,47.9447115450001 -11.996125659,47.888620545 -12.0965576589999,47.7706555440001 -12.30772966,47.751740544 -12.34035166,47.728363544 -12.37871766,47.720482544 -12.3910566599999,47.690568544 -12.41126966,47.6579735440001 -12.4323476599999,47.6382475440001 -12.4445506599999,47.6249195440001 -12.45298966,47.5914695440001 -12.47325466,47.557439544 -12.49296766,47.522829544 -12.51212866,47.487639544 -12.5307376599999,47.451869544 -12.5487946599999,47.4155185440001 -12.56630066,47.378586544 -12.58325366,47.341073544 -12.5996546599999,47.3089745440001 -12.6130106599999,47.3029915440001 -12.61551566,47.264393544 -12.6308866599999,47.225214544 -12.64570566,47.2021245440001 -12.65399166,47.1855115440001 -12.66002866,47.155241544 -12.67045666,47.145337544 -12.6739046599999,47.104670544 -12.68731366,47.063425544 -12.70017466,47.0216035440001 -12.71248666,46.979201544 -12.7242506599999,46.948779544 -12.73218866,46.6929485430001 -12.7970816599999,46.6813045430001 -12.7789606599999,46.5016125430001 -12.49812466,46.457721543 -12.4291966599999,46.3946255430001 -12.33019166,46.2076245430001 -12.033147659,46.0722675430001 -11.814913659,45.9871575430001 -11.677390659,45.9172505430001 -11.562453659,45.780151543 -11.3368296589999,45.7675 -11.1397219999999),(47.297145544 -11.554099659,47.279090544 -11.557572659,47.2820815440001 -11.5745816589999,47.2958275440001 -11.577781659,47.3030545440001 -11.574999659,47.297145544 -11.554099659)))', 'Glorioso Exclusive Economic Zone', 'Glorioso Islands', 'France', '', '179', '30', 'ATF', '8336', '', '43581603760', '8336', 'Y'),('SRID=4326;MULTIPOLYGON(((59.3869445550001 -8.43694465599998,58.3386115540001 -8.55805565599997,57.2524995530001 -8.67249965599996,55.9333335520001 -8.81527765599998,54.467777551 -8.96666665599997,53.90472255 -9.63777765699996,53.86611155 -10.6041666579999,53.8236115500001 -11.737499659,53.8005555500001 -12.29777766,53.7933888060001 -12.3064894249999,53.7802243770001 -12.3224916409999,53.7773370610001 -12.325366,53.7772673100001 -12.3254653339999,53.7772325500001 -12.32551466,53.5666320230001 -12.534652675,53.38166655 -12.7183336599999,50.483333547 -11.516666659,50.1999995470001 -11.083333658,49.433333546 -10.2833336579999,48.485277545 -11.020832658,46.9111105440001 -10.6502776579999,45.7675 -11.1397219999999,45.767499592 -11.139721637,45.516666667 -10.916666667,44.9929739450001 -10.5500817619999,44.8500000000001 -10.4499999999999,44.849999972 -10.449999959,44.849999542 -10.449999658,43.195446917 -8.01302724999994,43.2037938330001 -7.98315780599995,43.2121395560001 -7.95328811099995,43.220484056 -7.92341822199995,43.228827333 -7.89354813899996,43.2371694170001 -7.86367783299994,43.245510333 -7.83380730599993,43.253850028 -7.80393658299994,43.2621885560001 -7.77406566699995,43.270525917 -7.74419452799998,43.2781616930001 -7.72910227699998,43.2917455400001 -7.70225465499993,43.29205154 -7.70183065499998,43.2926530620001 -7.70058264799997,43.2926535410001 -7.70058165499995,43.2942325400001 -7.69839365499996,43.2943325970001 -7.69818578599995,43.2943614930001 -7.69812589099996,43.2944442840001 -7.69801114799998,43.2944444840001 -7.69801073399998,43.29444454 -7.69801065499996,43.29678654 -7.69315665499994,43.6368515360001 -7.22091064999995,43.640619541 -7.21723765499996,43.6406249350001 -7.21723001299995,43.640655801 -7.21718706499996,44.0573775350001 -6.81018013699997,44.538202777 -6.48057309799998,44.540789799 -6.47939393999997,44.5414840880001 -6.47891707099996,44.542530669 -6.47844002999994,44.542768541 -6.47833165399993,44.5427687490001 -6.47833151199995,44.542768945 -6.47833142199994,44.542806161 -6.47830586099997,44.543172541 -6.47805465399995,45.073701542 -6.23567865399997,45.0745892140001 -6.23544639199997,45.0746458730001 -6.23543159499997,45.075540167 -6.23502209399993,45.077773542 -6.23399965399994,45.0796345420001 -6.23351365399998,45.0817601200001 -6.23254001899994,45.0820422780001 -6.23241081299994,45.3837127890001 -6.15335233999997,45.646459543 -6.08449465399997,45.648490225 -6.08432493899994,45.650252331 -6.08417776899995,45.652214895 -6.08366171099993,46.2337376840001 -6.03462797099996,46.2353898820001 -6.03477512999996,46.237580543 -6.03497065399995,46.2414314330001 -6.03464250799993,46.241969184 -6.03459673199995,46.24205177 -6.03460408699993,46.2423235430001 -6.03462865399996,46.2518835430001 -6.03381465399997,46.2576465430001 -6.03432765399998,46.264280543 -6.03376265399993,46.2672034830001 -6.03402234899994,46.2685572980001 -6.03414282099993,46.2923405180001 -6.03211569199993,46.2934935500001 -6.03221820299996,46.3012565430001 -6.03290865399993,46.310589543 -6.03211265399995,46.323465373 -6.03325639999997,46.324312692 -6.03333168599994,46.3259698360001 -6.03319021399994,46.3386545430001 -6.03210765399996,46.3416265430001 -6.03237165399997,46.343373392 -6.03222200799996,46.3451985940001 -6.03206612999998,46.3591329610001 -6.03330292299995,46.3687650300001 -6.03247959899994,46.3832765430001 -6.03123965399993,46.390179543 -6.03185165399998,46.394888101 -6.03144839999993,46.397360276 -6.03123693499998,46.9787180180001 -6.08231315099994,46.979658424 -6.08256395499996,46.9804435440001 -6.08277365399994,46.982519805 -6.08295415299995,46.984469919 -6.08312393799997,46.9858551080001 -6.08349333799993,46.9876965440001 -6.08398465399995,46.9877435440001 -6.08398865399994,46.9886465440001 -6.08422965399996,46.9929164590001 -6.08460097899996,46.9952814710001 -6.08480682499993,46.9959853650001 -6.08499451799997,46.996330544 -6.08508665399995,46.9979292720001 -6.08522563999998,47.002622343 -6.08563402099998,47.0063438220001 -6.08662624799996,47.008493544 -6.08719965399996,47.030055449 -6.08907427699995,47.037340294 -6.08970772599997,47.0379281250001 -6.08986439799997,47.0401295440001 -6.09045165399993,47.041001593 -6.09052696099997,47.0415070510001 -6.09057088899993,47.048010488 -6.09230408399998,47.050323544 -6.09292065399995,47.0515295440001 -6.09302565399997,47.0549755930001 -6.09394369699993,47.0573812320001 -6.09458474999997,47.057697268 -6.09461219999997,47.0588715440001 -6.09471465399997,47.0670055410001 -6.09688152999996,47.071251047 -6.09801273399995,47.0712742260001 -6.09801474599993,47.0741714550001 -6.09878663499995,47.0741715440001 -6.09878664999997,47.074547544 -6.09881965399995,47.6385384050001 -6.24859861699997,47.6414986240001 -6.24996582299997,47.641906239 -6.25007372199997,47.6427095440001 -6.25028665399998,47.645312544 -6.25148865399996,47.6460588370001 -6.25168604799995,47.6468811620001 -6.25190371299993,47.65563158 -6.25594481699994,47.656017348 -6.25604691599995,47.8265624300001 -6.33475014299995,47.9914125550001 -6.34864431499994,48.153304545 -6.36228965399994,48.4562124010001 -6.44173741299994,48.718021252 -6.51040600099998,48.8322385120001 -6.56260300499997,48.9523030870001 -6.48003069899994,49.037906546 -6.42115865399995,49.0387553480001 -6.42076991499994,49.0394659180001 -6.42044475299997,49.0395459740001 -6.42038959099995,49.039595546 -6.42035565399993,49.116900463 -6.38490068899995,49.469300866 -6.22327701899997,49.4882462360001 -6.15564503699994,49.4914255460001 -6.14429565399996,49.4856365460001 -6.07097465399994,49.485674546 -6.07058365399996,49.4856415460001 -6.07016465399994,49.5415895460001 -5.49271565299995,49.6970475460001 -4.93358165299998,49.7435481630001 -4.83614959299996,49.9471179400001 -4.40961410699992,50.0835031 -4.21832026199996,50.1123465470001 -4.17786465199993,50.125071905 -4.13165128699995,50.173062594 -3.95736893599997,50.18907683 -3.92366113999998,50.2223755470001 -3.85357265199997,50.241089087 -3.78547592499996,50.2580557260001 -3.72373698299998,50.3698824320001 -3.48780992199994,50.5066395470001 -3.19928665099997,50.7359689020001 -2.87564517999994,50.8422298990001 -2.72568440299995,51.244862439 -2.32691371099997,51.2546675470001 -2.31720264999996,51.2547055480001 -2.31717664999996,51.255546952 -2.31634191899997,51.255966958 -2.31592549799996,51.7328168810001 -1.98487860999995,52.2597263210001 -1.74125997699997,52.4958899120001 -1.67866480199996,52.5922085490001 -1.65313564999997,52.6346496900001 -1.59273224899994,52.6509406860001 -1.56954668499998,52.6513082540001 -1.56918038799995,52.651959549 -1.56853164999995,52.652077079 -1.56836402499994,52.652142789 -1.56827049199995,52.705525994 -1.51502866099997,53.063114549 -1.15838764899996,53.5280972690001 -0.833314737999956,53.5387495520001 -0.825867651999943,53.590524455 -0.801738072999967,54.0646937880001 -0.580752998999969,54.6250696660001 -0.430448700999932,55.2029544430001 -0.379493760999935,55.203106808 -0.379506980999963,55.203525551 -0.379543647999981,55.204122425 -0.379490403999966,55.20464702 -0.379443952999964,55.4061047500001 -0.39684725099994,55.7825845520001 -0.429370647999974,56.039010552 -0.497722648999968,56.1578982720001 -0.507890368999938,56.2420183840001 -0.515084835999971,56.8026584230001 -0.664020975999961,57.0887523580001 -0.796520633999933,57.3290215530001 -0.907797648999974,57.805238554 -1.23903464899996,57.807234554 -1.24101764899996,57.8072346690001 -1.24101772999995,57.8073375540001 -1.24108964899995,58.2190615540001 -1.64977464999993,58.4502596950001 -1.97694109999998,58.553879506 -2.12357297899996,58.5546240960001 -2.12515144699995,58.5546793490001 -2.12522955099996,58.554853413 -2.12559854999995,58.5553797040001 -2.12634247999995,58.5563835550001 -2.12776164999997,58.796153555 -2.63541565099996,58.8041388930001 -2.64667853199995,58.81055272 -2.65572499099994,58.811194555 -2.65708265099994,58.8114555550001 -2.65745065099998,58.943045505 -2.93528856999995,59.0598130870001 -3.18183123299997,59.0598874030001 -3.18210207599998,59.060401767 -3.18318657399993,59.0605155550001 -3.18342665099993,59.1044466060001 -3.34322765599995,59.214309185 -3.74285857199993,59.2327687970001 -3.93921287199993,59.236000555 -3.97358965199993,59.2412305550001 -3.99255065199998,59.295864555 -4.57013065199993,59.2958285550001 -4.57057565199995,59.2958503880001 -4.57080143599995,59.295869252 -4.57100002599998,59.249254519 -5.14932279299995,59.2373794360001 -5.19476290599994,59.1847033880001 -5.39632744599993,59.1860316280001 -5.39818217999994,59.1921025550001 -5.40665965299996,59.237138826 -5.50058539699995,59.4432543130001 -5.93045134999994,59.4869340210001 -6.08649245299995,59.599739556 -6.48947965399998,59.624155832 -6.73744418899997,59.6565961530001 -7.06690305199993,59.6564354820001 -7.06897008499993,59.656426556 -7.06908465499993,59.656426567 -7.06908480899995,59.6566245560001 -7.07108965499998,59.6565023810001 -7.07266492499997,59.6563893050001 -7.07411974399997,59.656557783 -7.07582273299994,59.6566645560001 -7.07690365499997,59.6563715560001 -7.08067365499994,59.656551382 -7.08248855099993,59.6568251570001 -7.08525558799994,59.612023343 -7.66364305099995,59.6109852960001 -7.66765094199997,59.6096565560001 -7.67278065499994,59.60962118 -7.67324161499994,59.6095903820001 -7.67364052099998,59.5245810310001 -8.00189769799994,59.464091555 -8.23547265599996,59.463976555 -8.23572365599995,59.463976464 -8.23572400899997,59.4639764200001 -8.23572410499997,59.4638308200001 -8.23628636899997,59.461656555 -8.24468165599995,59.461361734 -8.24532562199994,59.461097495 -8.24590219199996,59.4609875310001 -8.24632684099993,59.4607725550001 -8.24715565599996,59.4604725550001 -8.24781065599996,59.4599885550001 -8.24967865599996,59.408324308 -8.38213247799996,59.3869445550001 -8.43694465599998),(55.5242995520001 -4.78694565299998,55.5324905520001 -4.78916365299995,55.535272552 -4.76305465199994,55.5405545520001 -4.68389065199995,55.5381905520001 -4.66375465199997,55.474999552 -4.55944565199997,55.463881552 -4.55166365199995,55.4452725520001 -4.55805465199995,55.3754095520001 -4.62513665199998,55.4774905520001 -4.74055465199996,55.5111095520001 -4.77610965299994,55.5242995520001 -4.78694565299998),(46.425554543 -9.38610965699996,46.3652725430001 -9.41305465699998,46.302218543 -9.42805465699996,46.267499543 -9.42971865699997,46.238327543 -9.42139065699996,46.2161095430001 -9.40736365699996,46.2056905430001 -9.39680965699995,46.206109543 -9.41917265699993,46.211663543 -9.43333665699993,46.221663543 -9.44722765699993,46.238054543 -9.45736365699997,46.2630545430001 -9.46249965699997,46.269163543 -9.46305465699993,46.322772543 -9.44278165699996,46.3330545430001 -9.43944565699996,46.395272543 -9.42139065699996,46.4055455430001 -9.41860965699993,46.4186095430001 -9.41917265699993,46.4491635430001 -9.42555465699996,46.465272543 -9.42471865699997,46.476099543 -9.42249965699995,46.513881543 -9.39360965699996,46.521309543 -9.37742765699994,46.5117995430001 -9.36513665699994,46.483054543 -9.35360965699994,46.4680455430001 -9.34889065699997,46.4497185430001 -9.34646365699996,46.425554543 -9.38610965699996)))', 'Seychellois Exclusive Economic Zone', 'Seychelles', 'Seychelles', '', '31', '31', 'SYC', '8337', '', '1338038557000', '8337', 'Y'),('SRID=4326;MULTIPOLYGON(((51.8350765480001 -22.119954669,51.835495548 -21.971136669,51.8357085480001 -21.881962668,51.8360715480001 -21.8065706679999,51.8364755480001 -21.737062668,51.837813548 -21.544704668,51.8379205480001 -21.530806668,51.839932548 -21.5106226679999,51.840922548 -21.5008516679999,51.8561085480001 -21.352589668,51.8606955480001 -21.307940668,51.864519548 -21.289047668,51.886581548 -21.176496668,51.922041548 -20.9955406679999,51.9557755480001 -20.8223406669999,51.9787675480001 -20.7043396669999,52.028553548 -20.4496616669999,52.219407549 -19.835391667,52.220868549 -19.831878667,52.223546549 -19.825480667,52.266191549 -19.724534666,52.2782535490001 -19.698663666,52.2867815490001 -19.680534666,52.405262549 -19.443656666,52.4713355490001 -19.303577666,52.814444549 -18.683333665,54.3208335510001 -18.4830556649999,55.505555552 -18.2863886649999,55.845833552 -19.013610666,56.294166552 -20.082499667,56.4622225530001 -20.5986106669999,56.835833553 -21.305277668,57.2444445530001 -22.0088886689999,58.2397225540001 -23.8013886699999,58.149887554 -23.87112467,58.1496485540001 -23.87128367,58.149385554 -23.87153267,58.144458554 -23.8748056699999,58.1443555540001 -23.87490267,58.1405575540001 -23.87742567,58.1360215540001 -23.8817206699999,57.6212135540001 -24.222027671,57.6200635540001 -24.2225346709999,57.6195895540001 -24.222846671,57.615998554 -24.2244296709999,57.6118905540001 -24.2271316709999,57.0378265530001 -24.4787286709999,56.422849553 -24.633457671,56.3986345530001 -24.635513671,56.396441553 -24.6360596709999,56.393967553 -24.636269671,56.387847553 -24.6377956709999,56.386517553 -24.6379076709999,56.366569552 -24.6428786709999,56.365174552 -24.6429966709999,56.3623735520001 -24.6436946709999,56.3608405520001 -24.6438246709999,56.3580765520001 -24.644512671,56.356531552 -24.6446426709999,56.353779552 -24.645328671,56.3428035520001 -24.6462556709999,56.294956552 -24.658160671,55.658827552 -24.7104736709999,55.657121552 -24.7103386709999,55.6554465520001 -24.7104736709999,55.6266975520001 -24.708204671,55.619587552 -24.708774671,55.6191235520001 -24.7087376709999,55.618664552 -24.708774671,54.982459551 -24.6572656709999,54.9429585510001 -24.647492671,54.9381625510001 -24.6470936709999,54.9263395510001 -24.6441666709999,54.9210745510001 -24.643727671,54.3057275510001 -24.490014671,54.2733165510001 -24.475953671,54.237820551 -24.4669996709999,53.66341455 -24.216116671,53.6616605500001 -24.214966671,53.6388585500001 -24.204947671,53.63837455 -24.204629671,53.6372335500001 -24.204128671,53.6313365500001 -24.200258671,53.6033575500001 -24.1879566709999,53.6026155500001 -24.187469671,53.60163255 -24.1870376709999,53.5711515500001 -24.1670156709999,53.5180005500001 -24.143612671,53.5175255500001 -24.143300671,53.5163795500001 -24.1427956709999,53.0016845490001 -23.8027196699999,53.000436549 -23.80153867,53.0003815490001 -23.8015016699999,52.9996535490001 -23.80081267,52.9974665490001 -23.7993606699999,52.5579215490001 -23.3815416699999,52.557075549 -23.38038567,52.554243549 -23.37768167,52.5359205490001 -23.35261667,52.5174465490001 -23.33497067,52.5173495490001 -23.33483767,52.515357549 -23.3329346699999,52.1643885490001 -22.8506516689999,51.9117445480001 -22.3192266689999,51.910715548 -22.3153096689999,51.9069855480001 -22.307433669,51.9065815480001 -22.3058966689999,51.9005725480001 -22.293207669,51.900516548 -22.2929936689999,51.8998055480001 -22.291493669,51.8965665480001 -22.2791506689999,51.8431145480001 -22.166179669,51.842566548 -22.164085669,51.842367548 -22.163664669,51.8350765480001 -22.119954669),(55.2944455510001 -20.9216726679999,55.2205545510001 -21.024999668,55.2255545510001 -21.0613906679999,55.2297185510001 -21.0763906679999,55.2933275510001 -21.206390668,55.3433275520001 -21.268609668,55.3519455520001 -21.2744456679999,55.4277725520001 -21.3124996679999,55.533336552 -21.354727668,55.659436552 -21.373609668,55.674163552 -21.3738906679999,55.721936552 -21.364445668,55.790409552 -21.350418668,55.8069365520001 -21.341663668,55.8240275520001 -21.3231276679999,55.8530545520001 -21.1686096679999,55.850272552 -21.1340276679999,55.8420815520001 -21.1280546679999,55.8208275520001 -21.123609668,55.8002815520001 -21.115281668,55.785409552 -21.1049996679999,55.7449995520001 -21.0574996679999,55.7099995520001 -20.998054668,55.7055545520001 -20.965836668,55.7027725520001 -20.954999668,55.6977725520001 -20.945836668,55.6877725520001 -20.928054668,55.6697185520001 -20.910554668,55.659999552 -20.9026456679999,55.6122185520001 -20.8886186679999,55.5708275520001 -20.8788906679999,55.4524995520001 -20.856527667,55.4149905520001 -20.865554667,55.405272552 -20.868890667,55.2944455510001 -20.9216726679999)))', 'Réunion Exclusive Economic Zone', 'Réunion', 'France', '', '179', '32', 'REU', '8338', '', '315704659900', '8338', 'Y'),('SRID=4326;MULTIPOLYGON(((37.9869525350001 -23.2013596699999,39.0192575360001 -22.5560346689999,39.1528815360001 -22.470732669,39.235034537 -22.4172256689999,39.3785145370001 -22.3245606689999,39.6265785370001 -22.163255669,39.7045625370001 -22.113027669,39.7695245370001 -22.0712926689999,39.8529155370001 -22.017452669,40.067599537 -21.878315668,40.069494537 -21.877218668,40.101599537 -21.858479668,40.1463225370001 -21.8320196679999,40.1593825370001 -21.8242066679999,40.1610845370001 -21.823183668,40.1636755370001 -21.8216176679999,40.205992537 -21.796121668,40.2176025370001 -21.789076668,40.3271465380001 -21.722004668,40.3707605380001 -21.694538668,40.374509538 -21.692169668,40.3803595380001 -21.6884396679999,40.733819538 -21.460154668,41.090084538 -21.2296416679999,41.5737055390001 -20.9138376679999,41.582923539 -20.9530546679999,41.6446025390001 -21.2270296679999,41.684532539 -21.4027786679999,41.6897005390001 -21.425661668,41.698333539 -21.466389668,41.706368539 -21.5069766679999,41.7138075390001 -21.547424668,41.7206495390001 -21.5877326679999,41.7268935390001 -21.6279016679999,41.7325405390001 -21.6679316679999,41.7375875390001 -21.7078226679999,41.740207539 -21.731232668,41.7420485390001 -21.747577668,41.7561855390001 -21.891918668,41.7580735390001 -21.910963668,41.7597385390001 -21.9275716679999,41.771642539 -22.0449966689999,41.7738365390001 -22.066310669,41.7974575390001 -22.2913546689999,41.8006765390001 -22.3222836689999,41.8017495390001 -22.334294669,41.804153539 -22.359718669,41.8071155390001 -22.3972326689999,41.8094985390001 -22.4348346689999,41.8113025390001 -22.4725246689999,41.812527539 -22.5103016689999,41.813173539 -22.548167669,41.8132395390001 -22.586120669,41.812725539 -22.6241606689999,41.8119275390001 -22.651936669,41.8081445390001 -22.757971669,41.8068385390001 -22.787800669,41.8045655390001 -22.8265836689999,41.8017125390001 -22.8654866689999,41.7982785390001 -22.9045086689999,41.794263539 -22.943649669,41.7896665390001 -22.982908669,41.7844875390001 -23.02228567,41.7809875390001 -23.04628867,41.778756539 -23.06177467,41.7724875390001 -23.1013706699999,41.7657315390001 -23.14053367,41.7025245390001 -23.47914467,41.6932335390001 -23.53018467,41.689125539 -23.5526966699999,41.680542539 -23.59673967,41.6713705390001 -23.6410146699999,41.661610539 -23.68551967,41.6512595390001 -23.73025467,41.6403195390001 -23.77521767,41.634930539 -23.7963446699999,41.617553539 -23.8301656699999,41.597530539 -23.86811167,41.576976539 -23.9060616699999,41.5558905390001 -23.9440166699999,41.534272539 -23.9819746699999,41.518733539 -24.0086086699999,41.5121485390001 -24.0199366699999,41.489553539 -24.05790067,41.4664265390001 -24.0958686709999,41.442767539 -24.133839671,41.4185745390001 -24.1718126709999,41.393847539 -24.209788671,41.368587539 -24.247766671,41.3427925390001 -24.285746671,41.3164635380001 -24.323728671,41.2895985380001 -24.361711671,41.274978538 -24.381980671,41.030644538 -24.719175671,40.867218538 -24.9438336709999,40.7939015380001 -25.0444976709999,40.4437335380001 -25.523624672,40.314784538 -25.699158672,40.314469538 -25.699180672,40.313225538 -25.699068672,40.310160538 -25.6992766719999,39.6695945370001 -25.6404236719999,39.2386545370001 -25.528696672,39.051505536 -25.479769672,39.050423536 -25.4792896719999,39.045583536 -25.478020672,38.871208536 -25.400133672,38.687608536 -24.982974671,38.5168955360001 -24.592640671,38.4729595360001 -24.4925516709999,38.3053215360001 -24.0533466699999,38.2464945360001 -23.89896067,38.0770335350001 -23.4507966699999,38.052203535 -23.38419167,38.0272765350001 -23.31437067,37.9869525350001 -23.2013596699999)))', 'Ile Europa Exclusive Economic Zone', 'Ile Europa', 'France', '', '179', '35', 'ATF', '8341', '', '125357736300', '8341', 'Y'),('SRID=4326;MULTIPOLYGON(((53.8005555500001 -12.29777766,53.8236115500001 -11.737499659,53.86611155 -10.6041666579999,53.90472255 -9.63777765699996,54.467777551 -8.96666665599997,55.9333335520001 -8.81527765599998,57.2524995530001 -8.67249965599996,58.3386115540001 -8.55805565599997,59.3869445550001 -8.43694465599998,59.6089985560001 -8.77506165599993,59.8622925560001 -9.29878365699994,59.8628295560001 -9.30068865699997,59.863114556 -9.30127565699996,59.8631215560001 -9.30130165699995,59.8639285560001 -9.30296665699996,59.864327556 -9.30438165699996,59.8648495560001 -9.30545765699998,60.0229575560001 -9.86452065699996,60.080669556 -10.442125658,60.080442556 -10.4450366579999,60.080732556 -10.4479216579999,60.035774556 -11.0266286579999,59.8889185560001 -11.588868659,59.8878615560001 -11.5911546589999,59.887357556 -11.5930826589999,59.6424745560001 -12.1216796589999,59.306513555 -12.6003776599999,58.9203165550001 -12.98362766,59.0107105550001 -12.9607856599999,59.6038045560001 -12.91335466,59.604552556 -12.9134216599999,59.6053775560001 -12.91335466,60.1981085560001 -12.9654886599999,60.773250557 -13.1156846599999,61.3140335570001 -13.359575661,61.314365557 -13.359800661,61.315619557 -13.360363661,61.8061735580001 -13.6908366609999,62.231934558 -14.0982316609999,62.2320295580001 -14.098360661,62.233238558 -14.0995136609999,62.5813665580001 -14.5718696619999,62.8410865590001 -15.0952546619999,62.8635425590001 -15.172510662,62.8947855590001 -15.2351876619999,63.058050559 -15.793995663,63.0621855590001 -15.833472663,63.1114895590001 -16.001363663,63.148151559 -16.348757663,63.332052559 -16.330612663,63.332519559 -16.3306446629999,63.332835559 -16.330612663,63.3853565590001 -16.3342176629999,63.3958215590001 -16.333176663,63.3962915590001 -16.3332086629999,63.3966075590001 -16.333177663,64.00035956 -16.3735336629999,64.5883445600001 -16.512000663,64.5888765600001 -16.5122246629999,64.59168656 -16.512881663,64.6089155600001 -16.520131663,64.61293656 -16.5210706629999,64.6162155600001 -16.522449663,64.6170685600001 -16.522649663,64.6186145600001 -16.5232996629999,64.6196285600001 -16.523536663,64.62090456 -16.524073663,64.6253305600001 -16.525106663,65.1806665610001 -16.7575286639999,65.1835695610001 -16.759369664,65.187182561 -16.760873664,65.6936735610001 -17.080579664,66.1364015620001 -17.478273664,66.136496562 -17.478394664,66.1368025620001 -17.4786686639999,66.5025095620001 -17.9427296649999,66.502606562 -17.9429116649999,66.505040562 -17.945988665,66.782481562 -18.462798665,66.9627205620001 -19.017110666,67.039483562 -19.592443666,67.039350562 -19.594977666,67.039573562 -19.5966376659999,67.0392215620001 -19.603382666,67.0408895620001 -19.6157936659999,67.040836562 -19.616819666,67.040926562 -19.617492666,67.010870562 -20.196586667,66.873715562 -20.7618906669999,66.8736555620001 -20.7620246669999,66.8728835620001 -20.765203667,66.8725775620001 -20.765882667,66.872132562 -20.767713667,66.630897562 -21.301903668,66.6304835620001 -21.3025006679999,66.6300225620001 -21.3035176679999,66.2910725620001 -21.7900256679999,66.2896815620001 -21.791410668,66.2890905620001 -21.7922566679999,66.2285455620001 -21.852487668,66.2248825620001 -21.857722668,66.2247475620001 -21.857856668,66.224486562 -21.858229668,65.7971295610001 -22.2816656689999,65.2944335610001 -22.628674669,64.7319155600001 -22.888124669,64.12737056 -23.0516096699999,63.5002395590001 -23.11378567,63.499201559 -23.11371967,63.4985045590001 -23.11378767,62.8691375590001 -23.07258567,62.831597559 -23.06385267,62.7968045580001 -23.06150367,62.1857835580001 -22.9179926689999,61.612767557 -22.677050669,61.6123585570001 -22.676790669,61.6110415570001 -22.6762336689999,61.6015725570001 -22.6702026689999,61.597568557 -22.6685096689999,61.080884557 -22.3378616689999,61.077489557 -22.334743669,61.057316557 -22.321773669,60.827243557 -22.109945669,60.489058556 -22.558746669,60.4878045560001 -22.5599066689999,60.4877605560001 -22.559965669,60.0424325560001 -22.9705246689999,60.028567556 -22.9794346689999,59.9838505560001 -23.020464669,59.9771845560001 -23.02474367,59.9762955560001 -23.02555967,59.9653395560001 -23.0325926699999,59.9444265560001 -23.05176167,59.425635555 -23.38310567,59.420073555 -23.3854536699999,59.4197505550001 -23.3856596699999,59.4184395550001 -23.38621267,59.418024555 -23.38647667,59.4143935550001 -23.38800967,59.4088015550001 -23.39156367,59.401639555 -23.39458667,59.3969365550001 -23.39757567,58.8212955550001 -23.63919967,58.803587555 -23.64339167,58.8035465550001 -23.6434086699999,58.7950845550001 -23.6454106699999,58.755046555 -23.66210967,58.737707555 -23.66620667,58.7372005550001 -23.6664176699999,58.2397225540001 -23.8013886699999,57.2444445530001 -22.0088886689999,56.835833553 -21.305277668,56.4622225530001 -20.5986106669999,56.294166552 -20.082499667,55.845833552 -19.013610666,55.505555552 -18.2863886649999,55.665406552 -18.170571665,56.474932553 -17.593995664,56.7866265530001 -17.3703306639999,56.7994875530001 -17.3605096639999,56.966933553 -16.5415566629999,56.9682985530001 -16.532039663,57.069852553 -15.818267663,57.0787495530001 -15.755863663,57.178143553 -13.770501661,56.9781655530001 -13.6966436609999,56.6743475530001 -13.583767661,55.8982545520001 -13.2933946599999,55.8620995520001 -13.27977966,55.718248552 -13.2254436599999,54.5138815510001 -12.7831486599999,53.99504555 -12.5932636599999,53.99034055 -12.5885976599999,53.9876345500001 -12.5847516599999,53.9875575500001 -12.58467466,53.9580715500001 -12.54275666,53.9394755500001 -12.52426966,53.93616855 -12.51956666,53.9331015500001 -12.51651666,53.9327125500001 -12.51596266,53.92282355 -12.5061306599999,53.9226995500001 -12.5059536599999,53.91953055 -12.5028026599999,53.9152915500001 -12.49677266,53.9134605500001 -12.49495166,53.9107605500001 -12.4911106599999,53.9106775500001 -12.4910286599999,53.91018655 -12.4903296599999,53.90379255 -12.48397066,53.89979155 -12.4782786599999,53.89772155 -12.47621966,53.8005555500001 -12.29777766),(57.307081553 -20.434027667,57.3063095530001 -20.456109667,57.386109553 -20.503054667,57.4708365540001 -20.516109667,57.5294455540001 -20.5205546669999,57.5724905540001 -20.5141636669999,57.6699995540001 -20.483890667,57.679445554 -20.4791726669999,57.705272554 -20.455281667,57.7227725540001 -20.438890667,57.7895815540001 -20.285972667,57.7919365540001 -20.270836667,57.7954095540001 -20.227499667,57.682781554 -20.0141636669999,57.672218554 -19.9999996669999,57.624445554 -19.986390667,57.592427554 -19.986599667,57.5338815540001 -20.0205546669999,57.4136095530001 -20.1836096669999,57.4047185530001 -20.195836667,57.3855545530001 -20.225836667,57.3766635530001 -20.2449996669999,57.307081553 -20.434027667),(63.333399559 -19.7156276659999,63.332009559 -19.742990666,63.3533365590001 -19.761390666,63.3661095590001 -19.766390666,63.4688815590001 -19.734727666,63.495554559 -19.706872666,63.495754559 -19.6836816659999,63.478054559 -19.677499666,63.464436559 -19.673336666,63.4344365590001 -19.674163666,63.348327559 -19.7074996659999,63.333399559 -19.7156276659999)))', 'Mauritian Exclusive Economic Zone', 'Mauritius', 'Mauritius', '', '37', '37', 'MUS', '8343', '', '1276957974000', '8343', 'Y'),('SRID=4326;MULTIPOLYGON(((35.8252805330001 34.6153073840001,35.827549533 34.6135273840001,35.835561533 34.6158223840001,35.9334615330001 34.642384384,35.9335585330001 34.6424073840001,35.9677335330001 34.6473483840001,35.972773299 34.647500064,35.9872185340001 34.6117998840001,35.9915905340001 34.557009384,35.983609534 34.5275003840001,35.900554533 34.4719363840001,35.8191635330001 34.4313913840001,35.669445533 34.3124908840001,35.6488815330001 34.281109384,35.6462725330001 34.2171813840001,35.6299275330001 34.202218384,35.634127533 34.1414908840001,35.6470815330001 34.1056908840001,35.634436533 34.0127723840001,35.574299533 33.912081384,35.5480905330001 33.9016633840001,35.5236095330001 33.907218384,35.475309533 33.9017998840001,35.4824995330001 33.8652908830001,35.483609533 33.8581908830001,35.4834725330001 33.8262453830001,35.4787455330001 33.800972383,35.4670815330001 33.7787453830001,35.4416635330001 33.7416633830001,35.4169365330001 33.6883273830001,35.394999533 33.634436383,35.3823365330001 33.587827383,35.356245533 33.526799883,35.3297185330001 33.4958273830001,35.3004095330001 33.4720093830001,35.273327533 33.454163383,35.2630545330001 33.4255543830001,35.2202725330001 33.305272383,35.2094455330001 33.2494453830001,35.2045815330001 33.2170813830001,35.1883275330001 33.1827813830001,35.141663533 33.1308273830001,35.10082721 33.0936090380001,35.1003247080001 33.093508677,35.068590531 33.0945491850001,35.067907566 33.094767125,35.041390591 33.1034522530001,34.994837766 33.1186997390001,34.1199032330001 33.3900451210001,34.119903134 33.390045152,33.933659511 33.447805298,33.783646076 33.5142989490001,33.7492911790001 33.530982882,33.8476232960001 33.613787357,33.8483777160001 33.612754131,33.859632532 33.623899383,33.901892532 33.673387383,33.9118982800001 33.6821278780001,33.955501789 33.720217179,33.985652714 33.7466070770001,34.028669532 33.780489383,34.028669967 33.7804897240001,34.031760134 33.7832863570001,34.063677532 33.8121713830001,34.073335532 33.820921383,34.0735946290001 33.8211618490001,34.0740728640001 33.8216053310001,34.142507385 33.879399505,34.212225532 33.9382773840001,34.2226233260001 33.947138206,34.228671241 33.952291938,34.234038905 33.9568775910001,34.2340389340001 33.95687761,34.283033764 33.9841642960001,34.2854734950001 33.9859347060001,34.2861525320001 33.986427384,34.286152938 33.986427748,34.5850099140001 34.2540182750001,34.703588994 34.360133467,34.7406181860001 34.4114738980001,34.740618532 34.411474384,34.774683532 34.4649783840001,34.8331005320001 34.556935384,34.840282711 34.568281261,34.8587698210001 34.597485491,34.889286016 34.645698903,34.9060466180001 34.687150945,34.914158533 34.7072123840001,34.937556027 34.76424145,34.9656929110001 34.8328213500001,35.171294533 34.7954193840001,35.5187025330001 34.7314813840001,35.5812875330001 34.714001384,35.7270455330001 34.6694973840001,35.746290533 34.6638953840001,35.756041533 34.661039384,35.7606185330001 34.6585983840001,35.769393533 34.6535363840001,35.7703475330001 34.652979384,35.7814865330001 34.645983384,35.7853805330001 34.6434293840001,35.7904245330001 34.6403253840001,35.797465533 34.6359333840001,35.8002215330001 34.633961384,35.810028533 34.626976384,35.8208265330001 34.6187503840001,35.8252805330001 34.6153073840001)))', 'Lebanese Exclusive Economic Zone', 'Lebanon', 'Lebanon', '', '78', '78', 'LBN', '8374', '2011-05-12', '19220693700', '8374', 'Y'),('SRID=4326;MULTIPOLYGON(((25.1763905230001 40.9419363900001,25.2355545240001 40.93832739,25.3063185240001 40.9456183900001,25.351945524 40.93887239,25.419436524 40.9052633900001,25.501390524 40.88665439,25.580554524 40.8694273900001,25.6822185240001 40.8522183900001,25.719990524 40.84583639,25.7486095240001 40.8480543900001,25.7711095240001 40.85138139,25.805545524 40.85248139,25.9116635240001 40.84777239,26.022781524 40.82971839,26.041945524 40.80720939,26.0283275240001 40.7922183900001,26.0366635240001 40.7502723900001,26.0447185240001 40.7358273900001,26.038294524 40.7337313900001,25.8995445240001 40.7309763900001,25.8994385240001 40.7290243900001,25.8997745240001 40.72238839,25.9006795240001 40.7157833900001,25.902151524 40.7092363900001,25.904181524 40.70277839,25.9064185240001 40.69720039,26.049914524 40.37141839,25.6937205240001 40.233723389,25.6864985240001 40.2306943890001,25.6791755240001 40.2271403890001,25.6721725240001 40.223225389,25.665519524 40.2189683890001,25.659244524 40.214386389,25.6533745240001 40.209498389,25.6479345240001 40.2043273890001,25.6429485240001 40.198894389,25.638437524 40.193222389,25.6344205240001 40.1873353890001,25.630914524 40.181260389,25.6279355240001 40.175022389,25.625494524 40.1686473890001,25.623602524 40.1621643890001,25.6222675240001 40.155599389,25.6214955240001 40.148982389,25.6212895240001 40.142340389,25.6216495240001 40.1357023890001,25.6225735240001 40.129096389,25.6240595240001 40.122550389,25.626099524 40.1160933890001,25.6286835240001 40.109753389,25.631802524 40.1035553890001,25.6333615240001 40.100846389,25.6983355240001 39.9920463890001,25.7004095240001 39.9887263890001,25.704542524 39.982891389,25.709161524 39.9772773890001,25.714247524 39.9719073890001,25.719778524 39.9668043890001,25.725730524 39.9619903890001,25.732077524 39.9574853890001,25.7387935240001 39.953309389,25.7458495240001 39.949480389,25.753214524 39.946013389,25.7575725240001 39.9441933890001,25.891612524 39.8905483890001,25.8906155240001 39.8869203890001,25.8892615240001 39.880357389,25.8884675240001 39.873740389,25.888236524 39.867098389,25.888570524 39.860458389,25.8894675240001 39.8538493890001,25.8909225240001 39.8473003890001,25.8926365240001 39.841675389,25.910906524 39.788522389,25.928242524 39.7143523890001,25.9275825240001 39.480612389,25.9275845240001 39.479822389,25.9279135240001 39.473181389,25.9288015240001 39.4665713890001,25.930245524 39.460019389,25.9322385240001 39.453555389,25.934772524 39.447206389,25.937836524 39.4409993890001,25.941416524 39.434960389,25.9454975240001 39.4291163890001,25.950061524 39.423491389,25.9550905240001 39.4181093890001,25.9605605240001 39.4129943890001,25.965531524 39.408879389,25.9817325240001 39.3961803890001,26.1427545240001 39.405482389,26.431800525 39.4342073890001,26.586197525 39.2205643880001,26.674167525 39.1218223880001,26.7046885250001 39.0320563880001,26.6993025250001 38.979992388,26.646563525 38.9097303880001,26.618532525 38.8091153880001,26.451229525 38.7726863880001,26.3238755250001 38.755905388,26.320017525 38.7553473880001,26.311752525 38.753829388,26.303631524 38.7518893880001,26.2956915240001 38.7495383880001,26.2879645240001 38.746784388,26.280485524 38.7436403880001,26.2732855240001 38.740119388,26.2663955240001 38.7362373880001,26.2598455240001 38.7320093880001,26.253663524 38.7274553880001,26.2478755240001 38.7225943880001,26.2425065240001 38.717446388,26.2375795240001 38.7120333880001,26.233115524 38.7063803880001,26.2291335240001 38.7005103880001,26.2256515240001 38.6944483880001,26.222682524 38.688221388,26.2202395240001 38.681854388,26.2183345240001 38.6753763880001,26.216973524 38.668815388,26.216163524 38.662197388,26.215910524 38.6565173880001,26.215779524 38.651550388,26.2502775240001 38.6070773880001,26.2797995240001 38.5737043880001,26.312452525 38.536792388,26.3209705250001 38.4984603880001,26.3152915250001 38.4530303880001,26.242887524 38.4459323880001,26.213073524 38.383465388,26.2230115240001 38.311061388,26.194617524 38.241496388,26.221701524 38.167533387,26.326705525 38.109478387,26.3292295250001 38.1081153870001,26.336379525 38.104611387,26.3438045250001 38.101483387,26.3514715250001 38.0987463870001,26.359348525 38.096410387,26.3632045250001 38.0954323870001,26.587574525 38.041324387,26.5894145250001 38.040890387,26.918741525 37.9647843870001,27.053961525 37.9138593870001,27.068187525 37.8864513870001,27.1604915250001 37.790558387,27.1649285250001 37.7240553870001,27.0867035250001 37.6996103870001,27.059247525 37.6910303870001,27.043803525 37.6670063870001,27.054099525 37.5640473870001,27.109011525 37.457655387,27.153627525 37.3117963870001,27.1587755250001 37.262032387,27.161710525 37.1651413870001,27.1629855250001 37.0606123860001,27.207601525 36.968830386,27.217799525 36.9452473860001,27.287272525 36.9388743860001,27.324877525 36.921027386,27.351647525 36.9184783860001,27.3937145260001 36.905093386,27.3847905260001 36.8566523860001,27.351010525 36.8075753860001,27.2471185250001 36.725991386,27.2502335250001 36.7029903860001,27.2726135250001 36.670540386,27.298108525 36.633572386,27.3514785250001 36.5861003860001,27.462141526 36.5427843860001,27.468649526 36.5425543860001,27.476886526 36.542697386,27.4850935260001 36.5432733860001,27.493237526 36.5442813860001,27.4997355260001 36.545406386,27.641670526 36.5743213860001,27.7256155260001 36.6442743860001,27.7748305260001 36.6934903860001,27.813951526 36.708633386,27.895497526 36.6972763860001,27.907992526 36.6408543860001,27.918692526 36.5925343860001,27.930916526 36.5373323860001,27.960676526 36.4703733860001,28.0020975260001 36.4695893860001,28.1254295260001 36.5251243860001,28.207325526 36.5620013860001,28.281937526 36.5742583860001,28.355671526 36.5738453860001,28.3911675260001 36.567867386,28.4060885260001 36.565369386,28.4423825260001 36.560980386,28.4775945270001 36.527459386,28.4869815270001 36.5184453860001,28.4886985270001 36.516809386,28.5069055270001 36.499336386,28.5220175270001 36.4845743860001,28.5349105270001 36.472159386,28.5518415270001 36.441673386,28.555510527 36.4365723860001,28.5716365270001 36.403063386,28.640628527 36.258927386,28.6641245270001 36.210076386,28.6719655270001 36.197058386,28.677484527 36.188071386,28.6856315270001 36.115603386,28.685906527 36.1131413860001,28.698852527 36.056009386,28.7029655270001 36.0380323860001,28.709797527 36.0153793850001,28.7242155270001 35.9571603850001,28.7299325270001 35.944295385,28.771194527 35.843249385,28.8494385270001 35.4244653850001,28.8726365270001 35.299706385,29.3393095270001 36.0555893860001,29.348302527 36.070193386,29.355762527 36.082008386,29.447050527 36.153764386,29.449758527 36.1558413860001,29.4575385270001 36.1619723860001,29.466128527 36.1692473860001,29.4686615270001 36.1719393860001,29.4700505270001 36.1733803860001,29.480108527 36.185236386,29.484807527 36.186093386,29.489948527 36.1859233860001,29.493699527 36.1855843860001,29.4950665270001 36.185509386,29.503322527 36.1844793860001,29.506201527 36.184319386,29.5084185270001 36.184071386,29.510743527 36.1839693860001,29.515318527 36.184423386,29.5295815280001 36.172942386,29.530695528 36.172018386,29.536117528 36.167634386,29.544669528 36.1600843860001,29.5473885280001 36.1613853860001,29.548700528 36.162073386,29.5516215280001 36.163552386,29.560787528 36.1683193860001,29.5611195280001 36.1684753860001,29.565995528 36.172582386,29.5669005280001 36.1735403860001,29.5686345280001 36.1753183860001,29.570295528 36.1753003860001,29.5734105280001 36.175219386,29.5770095280001 36.175399386,29.5797385280001 36.175399386,29.580696528 36.1754553860001,29.5840565280001 36.175850386,29.5862445280001 36.175850386,29.5891965280001 36.176138386,29.592900528 36.176254386,29.598119528 36.176950386,29.5990355280001 36.1770083860001,29.6002545280001 36.177295386,29.6034945280001 36.177558386,29.6101155280001 36.175650386,29.613789528 36.1746683860001,29.614155528 36.172881386,29.6140935280001 36.172611386,29.613318528 36.1709763860001,29.6121765280001 36.1663813860001,29.609964528 36.1587773860001,29.6091655280001 36.1569553860001,29.609040528 36.1564073860001,29.6126985280001 36.153425386,29.612850528 36.153293386,29.6134675280001 36.152147386,29.6135995280001 36.1517963860001,29.6156525280001 36.1479913860001,29.619357528 36.1401513860001,29.622952528 36.1347683860001,29.624550528 36.1327923860001,29.625319528 36.1316253860001,29.625118528 36.1309253860001,29.6243385280001 36.1284283860001,29.6223605280001 36.1217573860001,29.620994528 36.1157303860001,29.6206725280001 36.114050386,29.6196955280001 36.109727386,29.618857528 36.105446386,29.620006528 36.0854483860001,30.0791125280001 35.461876385,30.224294528 34.4254813840001,29.9522837120001 33.811342376,29.5604190780001 33.7645966590001,29.248916364 33.726132078,28.8018108300001 33.471373332,28.320854997 33.4176794260001,28.0405818180001 33.4097676270001,27.853551587 33.4040524010001,27.8025918390001 33.392287073,27.3237921640001 33.3137498070001,26.940077396 33.2756996850001,26.252170157 33.2620845960001,26.207209951 33.2644180790001,26.204763524 33.265087383,25.8516375240001 33.3275713830001,25.708281524 33.353277383,25.7045315240001 33.3539453830001,25.700331524 33.3546883830001,25.3189425240001 33.421274383,25.167100523 33.4561113830001,24.9629575230001 33.4663083830001,24.9375635230001 33.4675483830001,24.905235523 33.467894383,24.8977105230001 33.468014383,24.812323523 33.469941383,24.709839523 33.4551693830001,24.613586523 33.4412543830001,24.426853523 33.4516993830001,24.338800523 33.480569383,24.2387595230001 33.5134063830001,24.1228335220001 33.5517253830001,23.764194522 33.669089383,23.507861522 33.7517723830001,23.447236522 33.7719243830001,23.3914505220001 33.7913983830001,23.3759845220001 33.7965343830001,23.2836535220001 33.834629383,23.2585105220001 33.8467153830001,23.169759522 33.889068384,23.1069595220001 33.918544384,23.040734521 33.9557003840001,23.033762521 33.9595913840001,22.9194395210001 34.0255443840001,22.8860325210001 34.044889384,22.8218455210001 34.081820384,22.7647645210001 34.1147703840001,22.7167425210001 34.1474583840001,22.651199521 34.1753723840001,22.189609521 34.360630384,22.146065521 34.3779333840001,21.9402695200001 34.4594863840001,21.7133495200001 34.5775073840001,21.4597225200001 34.709269384,21.32893052 34.7771453840001,21.2087975200001 34.792928384,20.933132519 34.8323023840001,20.9074025190001 34.832810384,20.7412465190001 34.835889384,20.598834519 34.838413384,20.506520519 34.8398253840001,20.447291519 34.846112384,20.432004519 34.8477253840001,20.3710275190001 34.8543363840001,20.344807519 34.8568233840001,20.032847519 34.8868693840001,19.9018025190001 34.8992983840001,19.5802045180001 34.933061384,19.2896395180001 34.964760385,19.1179375180001 34.9902313850001,19.032440518 34.993013385,19.0058425180001 34.993955385,18.882163518 34.998288385,18.617394517 35.0098863850001,18.510448517 35.0145443850001,18.357739499 35.021064676,18.345 35.5699999990001,18.261666667 36.149999999,18.261666667 36.1833333320001,18.2950000000001 36.401666666,18.3000000000001 36.4416666660001,18.3100000000001 36.7499999990001,18.3200000000001 36.906666666,18.3183333330001 36.9916666660001,18.283333333 37.354999999,18.4766666670001 37.8666666660001,18.7316666670001 38.4999999990001,18.9 39.033333332,18.9266666670001 39.288333332,18.9150000000001 39.8166666660001,18.9350000000001 39.8733333320001,18.958333333 39.961666666,18.986794151 40.080423554,19.004026518 40.080582389,19.0089735180001 40.0806073890001,19.0141545180001 40.080623389,19.0154805180001 40.080628389,19.0332385180001 40.080622389,19.0702125180001 40.0803853890001,19.091022518 40.0796233890001,19.114508518 40.078527389,19.148862518 40.0757333890001,19.1493475180001 40.075693389,19.1845855180001 40.072922389,19.188128518 40.0725923890001,19.1884345180001 40.072563389,19.2543515180001 40.0664113890001,19.275288518 40.063602389,19.309190518 40.0588173890001,19.3534435180001 40.0522013890001,19.381376518 40.0461263890001,19.391079518 40.043943389,19.398414518 40.0422663890001,19.406650518 40.0404203890001,19.4234135180001 40.037825389,19.4274505180001 40.0370713890001,19.4285565180001 40.0368723890001,19.4437515180001 40.033992389,19.448798518 40.0344103890001,19.4655915180001 40.0353323890001,19.469245518 40.035191389,19.5069495180001 40.033589389,19.5203705180001 40.031993389,19.526073518 40.0312893890001,19.5653765180001 40.0234883890001,19.5758005180001 40.021204389,19.623222518 40.011841389,19.6452345180001 39.999770389,19.6493975180001 39.997477389,19.651723518 39.996305389,19.6604245180001 39.9907843890001,19.6787105180001 39.9790053890001,19.6844225180001 39.975233389,19.7050265180001 39.961951389,19.7143005180001 39.9548703890001,19.717222518 39.952608389,19.7180895180001 39.9519403890001,19.718571518 39.9515883890001,19.7327865180001 39.9410673890001,19.7491345180001 39.928737389,19.750207518 39.919401389,19.7540385180001 39.9162393890001,19.8262465180001 39.8866563890001,19.829133518 39.8854333890001,19.8370315180001 39.8819743890001,19.848700518 39.876689389,19.8565695180001 39.873448389,19.859197518 39.8723533890001,19.860004518 39.871987389,19.871285519 39.8666843890001,19.881708519 39.862096389,19.897670519 39.8572983890001,19.9066585190001 39.854781389,19.913700519 39.851472389,19.924036519 39.8439443890001,19.925835519 39.8427053890001,19.928423519 39.8420283890001,19.933782519 39.8402463890001,19.9409065190001 39.8376603890001,19.9449815190001 39.837421389,19.949065519 39.8368323890001,19.9656695190001 39.826461389,19.9711885190001 39.8189533890001,19.971938519 39.8164023890001,19.9758255190001 39.8024233890001,19.9770015190001 39.799149389,19.9770825190001 39.7988473890001,19.9775645190001 39.7933693890001,19.9776315190001 39.791836389,19.9780585190001 39.787239389,19.978219519 39.7849583890001,19.9780335190001 39.7847283890001,19.977416519 39.7840743890001,19.9768205190001 39.7834653890001,19.9756925190001 39.782281389,19.974056519 39.7812803890001,19.973809519 39.7806923890001,19.973430519 39.7799353890001,19.9721375190001 39.776749389,19.9719785190001 39.775037389,19.9713695190001 39.7701143890001,19.970951519 39.7691493890001,19.9707795190001 39.768570389,19.9688515190001 39.764817389,19.967577519 39.7633453890001,19.966857519 39.762565389,19.9659905190001 39.761551389,19.963933519 39.759884389,19.963662519 39.759550389,19.963528519 39.7594233890001,19.963164519 39.7590573890001,19.960622519 39.756664389,19.9604765190001 39.7557993890001,19.960459519 39.755515389,19.960436519 39.752049389,19.959068519 39.7472583890001,19.9581565190001 39.7435553890001,19.9584925190001 39.742614389,19.9598845190001 39.7360693890001,19.959960519 39.7318873890001,19.9601095190001 39.727728389,19.9597015190001 39.7272323890001,19.958798519 39.7262313890001,19.9578175190001 39.724720389,19.9572065190001 39.723751389,19.9556745190001 39.7218243890001,19.9547275190001 39.720732389,19.952946519 39.718838389,19.9527695190001 39.718664389,19.952350519 39.7180903890001,19.9459225190001 39.710034389,19.945849519 39.7099563890001,19.939550519 39.7024443890001,19.939273519 39.7021503890001,19.939208519 39.7020753890001,19.9387195190001 39.701440389,19.938327519 39.7009013890001,19.931642519 39.6911773890001,19.929998519 39.6894023890001,19.9287495190001 39.687860389,19.928245519 39.687203389,19.9403945190001 39.6785063890001,19.9521665190001 39.668925389,19.957914519 39.6639863890001,19.9647715190001 39.6582183890001,19.9692275190001 39.6547923890001,19.985000519 39.643324389,19.991238519 39.6386353890001,19.996732519 39.665634389,20.002042519 39.675319389,20.004749519 39.681396389,20.0051845190001 39.6839263890001,20.005848519 39.6847673890001,20.007040519 39.6872373890001,20.007195519 39.6886873890001,20.0082655190001 39.690585389,20.0100270660001 39.6912001760001,20.057772519 39.681799389,20.1738185190001 39.6287453890001,20.227772519 39.5194363890001,20.2452815190001 39.4413813890001,20.214718519 39.4388813890001,20.2958275190001 39.321799889,20.345972519 39.288054389,20.385554519 39.2844363890001,20.473609519 39.274718389,20.534445519 39.1858273880001,20.6822185190001 39.074999388,20.6992995190001 39.0540273880001,20.713818519 39.0120813880001,20.7050635190001 38.991381388,20.7333275190001 38.953399888,20.8276365190001 38.964854388,20.7874995190001 38.997772388,20.7574995190001 39.0205543880001,20.774718519 39.0852723880001,20.820827519 39.113609388,20.9330545190001 39.0580543880001,21.04527252 39.0133273880001,21.08304552 39.0566633880001,21.10200952 39.0508273880001,21.1442995200001 39.0087453880001,21.16450952 38.982081388,21.1408275200001 38.9319363880001,21.08513652 38.8640273880001,21.04763652 38.882072388,21.02615452 38.899572388,21.03110952 38.921318388,20.97027252 38.941936388,20.781109519 38.9316633880001,20.7497185190001 38.909718388,20.732772519 38.8044363880001,20.768818519 38.7599273880001,20.8097185190001 38.759436388,20.901109519 38.731945388,20.9879095200001 38.671109388,21.0863905200001 38.5030543880001,21.11051852 38.442836388,21.10277252 38.429445388,21.10986352 38.4311453880001,21.1385365200001 38.393400388,21.1187455200001 38.3747183880001,21.1087455200001 38.355554388,21.16416352 38.3000633880001,21.23832752 38.321663388,21.26694552 38.339163388,21.3372185200001 38.391799888,21.3580545200001 38.4329183880001,21.4638905200001 38.3666633880001,21.53999952 38.3159633880001,21.59583652 38.3436093880001,21.6366635200001 38.3541633880001,21.66027252 38.354718388,21.7130545200001 38.353054388,21.9477725200001 38.4094363880001,21.9755545200001 38.406663388,22.0427725210001 38.3980453880001,22.125554521 38.371381388,22.168327521 38.3469363880001,22.193881521 38.3372183880001,22.3742995210001 38.334572388,22.393745521 38.3518723880001,22.377709521 38.3873543880001,22.4086095210001 38.446036388,22.4623545210001 38.425972388,22.510272521 38.375272388,22.5338815210001 38.344990888,22.587772521 38.3305543880001,22.689718521 38.3236093880001,22.773472521 38.238881388,22.8352815210001 38.226390388,22.9233365210001 38.194999388,22.944445521 38.186945388,22.9430545210001 38.2080543880001,22.9669455210001 38.2136093880001,23.025272521 38.2174993880001,23.1183275220001 38.2104093880001,23.2246455220001 38.153399387,23.215763522 38.1003453870001,23.168890522 38.074436387,23.124718522 38.0624913870001,23.114136522 38.060772387,23.1001365220001 38.058745387,23.0523635210001 38.0579093870001,23.0213905210001 38.060554387,23.0023635210001 38.0698543870001,22.955481521 38.0804813870001,22.881381521 38.0500003870001,22.860036521 38.033081387,22.899163521 38.0261093870001,22.9491635210001 38.0016633870001,22.9763815210001 37.979927387,22.9556275210001 37.9490183870001,22.9080545210001 37.938045387,22.8627725210001 37.939581387,22.7994455210001 37.9713813870001,22.761109521 38.006381387,22.7214545210001 38.0428453870001,22.6522185210001 38.076109387,22.5369455210001 38.113327387,22.4555545210001 38.1333273870001,22.3783275210001 38.1463813870001,22.219999521 38.183609388,22.173190521 38.202636388,22.0422185210001 38.273891388,22.025209521 38.297981388,21.95860952 38.329436388,21.8536095200001 38.3395813880001,21.7767995200001 38.305972388,21.74152752 38.2751363880001,21.73249952 38.248881388,21.7190275200001 38.221663388,21.6734725200001 38.1721453870001,21.6416635200001 38.1588813870001,21.6038905200001 38.1505543870001,21.5347185200001 38.1605453870001,21.4781905200001 38.1865273880001,21.4449995200001 38.2008273880001,21.38444552 38.211390888,21.37332752 38.154299887,21.3672185200001 38.1141633870001,21.31582752 38.0288813870001,21.28360952 37.9941633870001,21.21180952 37.942772387,21.18416352 37.9290273870001,21.15200952 37.931454387,21.1310365200001 37.937081387,21.1109725200001 37.8856908870001,21.11076352 37.8440908870001,21.14694552 37.8297183870001,21.17416352 37.826109387,21.2179185200001 37.815409387,21.28527252 37.7838813870001,21.40110952 37.651663387,21.53249952 37.5669363870001,21.55778152 37.549718387,21.5763905200001 37.5344453870001,21.6047185200001 37.504718387,21.6497185200001 37.4419363870001,21.6597185200001 37.4238813870001,21.68139052 37.3763908870001,21.69582752 37.3166633870001,21.67236352 37.2709633870001,21.6302725200001 37.2344453870001,21.60499952 37.224163387,21.5830545200001 37.202709387,21.5653455200001 37.155063387,21.58110952 37.063881386,21.6122185200001 37.026936386,21.6374995200001 37.0094363860001,21.71027252 36.944645386,21.70708152 36.922490886,21.68729052 36.883818386,21.69139052 36.8433273860001,21.70360952 36.8166633860001,21.7641635200001 36.7905543860001,21.76700952 36.7972183860001,21.8240275200001 36.7970813860001,21.84638152 36.7594363860001,21.8751365200001 36.723536386,21.93805452 36.762218386,21.9616635200001 36.7980453860001,21.9379815200001 36.813327386,21.92423652 36.856663386,21.9297185200001 36.9740183860001,21.94555452 36.9926363860001,21.9794455200001 37.007218386,22.029163521 37.0247183860001,22.0590275210001 37.0299903860001,22.120827521 37.0266633860001,22.1524635210001 37.0185363860001,22.146381521 36.9508273860001,22.185554521 36.892772386,22.2436095210001 36.873327386,22.2969455210001 36.814990886,22.3561095210001 36.6994363860001,22.3774995210001 36.5355543860001,22.397499521 36.4738813860001,22.476663521 36.402772386,22.488890521 36.386109386,22.507772521 36.453881386,22.5036455210001 36.4892183860001,22.485554521 36.520409386,22.4809725210001 36.5994453860001,22.512772521 36.667772386,22.572772521 36.7738903860001,22.592499521 36.7906903860001,22.6324995210001 36.8036093860001,22.730554521 36.805827386,22.7820815210001 36.799299386,22.8880545210001 36.6472183860001,22.9547185210001 36.5480453860001,22.969372521 36.5217998860001,23.089999522 36.439990386,23.137772522 36.4262453860001,23.2014545220001 36.4401998860001,23.1099995220001 36.562490886,23.0788905210001 36.5766633860001,23.035136521 36.629990886,23.0286095210001 36.656663386,23.0289545210001 36.723672386,23.058681521 36.740554386,23.086936522 36.748327386,23.113818522 36.770545386,23.090827522 36.822490886,23.0527725210001 36.8686093860001,23.014581521 36.9361093860001,23.0091635210001 36.990554386,23.006381521 37.0247183860001,22.9572185210001 37.1160998870001,22.9366635210001 37.1195093870001,22.919999521 37.1108363870001,22.907427521 37.1136093870001,22.8956905210001 37.136245387,22.904409521 37.1780453870001,22.8091635210001 37.3455543870001,22.758609521 37.4080543870001,22.728054521 37.485554387,22.725554521 37.5633993870001,22.752918521 37.585409387,22.7773545210001 37.590136387,22.929718521 37.534999387,22.979163521 37.5158273870001,23.1288905220001 37.4480543870001,23.1365275220001 37.4276363870001,23.0963815220001 37.391245387,23.0717995210001 37.3947183870001,23.0683275210001 37.355827387,23.151799522 37.2967993870001,23.179718522 37.2904093870001,23.200763522 37.3029093870001,23.230690522 37.3788903870001,23.2705545220001 37.400836387,23.354445522 37.4161093870001,23.386663522 37.4122183870001,23.4176365220001 37.4097183870001,23.4991635220001 37.4233363870001,23.5170815220001 37.432709387,23.521390522 37.459999887,23.498336522 37.4769453870001,23.4455545220001 37.504718387,23.4217995220001 37.527227387,23.405827522 37.588336387,23.327909522 37.605554387,23.346663522 37.5863908870001,23.3625635220001 37.5515273870001,23.3311815220001 37.532836387,23.277499522 37.553327387,23.1958275220001 37.5952723870001,23.1658995220001 37.614991387,23.1486095220001 37.758045387,23.1036095220001 37.841663387,23.083609521 37.8386093870001,23.063054521 37.839436387,23.010254521 37.8467813870001,22.9917995210001 37.8823543870001,23.0188905210001 37.919718387,23.0638905210001 37.9127723870001,23.1091635220001 37.9152723870001,23.130272522 37.9194453870001,23.149027522 37.929445387,23.176672522 37.9519453870001,23.2367995220001 37.9754093870001,23.331663522 37.978054387,23.415554522 37.9859723870001,23.427081522 38.0024903870001,23.4586095220001 38.0205543870001,23.511663522 38.039299387,23.575136522 38.0429093870001,23.594790522 38.0284723870001,23.5902725220001 38.003609387,23.562845522 37.9805183870001,23.774436522 37.8344453870001,23.819436522 37.823609387,23.854445522 37.808190387,23.887499522 37.7827723870001,23.9077725220001 37.761109387,23.924445522 37.7202723870001,23.947636522 37.6719363870001,24.033954522 37.6528453870001,24.065836522 37.6831908870001,24.089999522 37.776663387,24.086527522 37.798190887,24.0566635220001 37.8452723870001,24.030554522 37.8724998870001,24.0108275220001 37.9713813870001,24.0055545220001 38.067772387,24.0647185220001 38.1511093870001,24.0740275220001 38.194999888,23.9605545220001 38.281663388,23.9266635220001 38.2950003880001,23.8511095220001 38.313045388,23.7991635220001 38.3238813880001,23.675554522 38.3486093880001,23.6570815220001 38.3602723880001,23.6019455220001 38.431109388,23.592918522 38.4547183880001,23.534718522 38.499445388,23.465827522 38.498881388,23.399436522 38.507772388,23.3369455220001 38.537081388,23.305554522 38.567500388,23.336736522 38.6083998880001,23.317499522 38.644027388,23.284163522 38.6537453880001,23.188472522 38.6556183880001,23.133609522 38.632772388,23.111381522 38.6290273880001,23.0922185220001 38.648327388,23.066245521 38.687909388,22.953609521 38.7516633880001,22.7642995210001 38.7837453880001,22.713336521 38.8230543880001,22.668554521 38.8304363880001,22.6129815210001 38.825763388,22.581945521 38.825409388,22.555827521 38.833327388,22.523854521 38.8660723880001,22.6144455210001 38.909027388,22.649818521 38.8975993880001,22.6805815210001 38.8792453880001,22.750209521 38.8706903880001,22.8330545210001 38.8911093880001,22.9377725210001 38.9285993880001,23.009718521 38.9777723880001,23.051390521 39.016390388,23.072772521 39.036945388,23.034163521 39.0361093880001,22.9949995210001 39.0427723880001,22.995281521 39.0680543880001,22.9695815210001 39.1130543880001,22.913327521 39.156391388,22.8763905210001 39.1751363880001,22.8554815210001 39.1570813880001,22.833881521 39.188045388,22.823609521 39.2122183880001,22.8174995210001 39.2423543880001,22.8238905210001 39.2661093890001,22.9408275210001 39.3593633890001,22.995281521 39.3527723890001,23.121245522 39.305272389,23.1620815220001 39.272354389,23.178609522 39.2555543880001,23.221527522 39.1822908880001,23.2120815220001 39.1522183880001,23.174445522 39.130272388,23.1040995220001 39.107109388,23.1140995220001 39.1422183880001,23.0771545210001 39.1424908880001,23.0548635210001 39.0979093880001,23.0841635210001 39.0857543880001,23.1224995220001 39.0877723880001,23.1611095220001 39.0936093880001,23.2061095220001 39.1052723880001,23.3205545220001 39.1512453880001,23.3436815220001 39.1817998880001,23.327499522 39.225418388,23.276390522 39.309999889,23.2631905220001 39.3263813890001,23.1380545220001 39.4399913890001,23.118054522 39.4569363890001,23.0230545210001 39.528327389,22.942081521 39.5754093890001,22.9269455210001 39.5890273890001,22.913054521 39.6188908890001,22.8662455210001 39.7265273890001,22.860554521 39.7511093890001,22.8568725210001 39.7813908890001,22.702845521 39.9579093890001,22.6258275210001 39.989172389,22.6158365210001 39.9955543890001,22.594999521 40.0122183890001,22.568881521 40.0572183890001,22.548190521 40.1493723890001,22.608327521 40.284581389,22.6299995210001 40.3830453900001,22.6161095210001 40.40055439,22.585209521 40.4649993900001,22.652772521 40.5102723900001,22.704445521 40.51832739,22.8151365210001 40.5687453900001,22.856663521 40.5948543900001,22.8632635210001 40.62902739,22.9014545210001 40.6444363900001,22.9449275210001 40.6265183900001,22.977045521 40.54916339,22.9466635210001 40.51971839,22.922218521 40.5125003900001,22.888881521 40.5038813900001,22.8687455210001 40.50332739,22.8436095210001 40.47499989,22.899436521 40.3966633900001,23.1108365220001 40.2991633890001,23.1774995220001 40.2730453890001,23.2630545220001 40.2488813890001,23.294581522 40.235836389,23.312909522 40.218254389,23.3240275220001 40.1820813890001,23.322499522 40.1230543890001,23.379445522 39.992772389,23.436945522 39.971109389,23.604027522 39.9206903890001,23.6436095220001 39.916109389,23.7184725220001 39.9138903890001,23.7466635220001 39.925272389,23.675554522 39.971381389,23.6043095220001 39.9970813890001,23.5048545220001 40.028881389,23.479718522 40.045272389,23.368054522 40.1438813890001,23.3321545220001 40.2099633890001,23.3536095220001 40.2452813890001,23.3766635220001 40.2655453890001,23.401036522 40.279854389,23.645972522 40.2308273890001,23.6711095220001 40.2183273890001,23.7030545220001 40.191663389,23.725554522 40.1680543890001,23.762499522 40.1247183890001,23.790554522 40.0882633890001,23.8269455220001 40.025554389,23.899999522 39.9680453890001,23.932218522 39.9430543890001,23.9422185220001 39.943327389,23.9885365220001 39.9526363890001,24.014372522 40.013954389,23.9909725220001 40.112499889,23.9744455220001 40.129163389,23.908054522 40.163472389,23.879999522 40.173881389,23.787427522 40.1922183890001,23.724718522 40.2408273890001,23.7020815220001 40.268463389,23.691109522 40.297772389,23.699236522 40.3209723890001,23.729718522 40.35124539,23.841390522 40.3722183900001,23.9077725220001 40.3672183900001,23.930554522 40.3612453900001,23.9520815220001 40.34888139,23.967363522 40.3329093900001,23.9976365220001 40.315272389,24.0297185220001 40.3002813890001,24.049445522 40.2929183890001,24.095554522 40.2877723890001,24.1190275220001 40.289990389,24.1624995230001 40.2785363890001,24.284718523 40.154445389,24.292845523 40.1313813890001,24.3097185230001 40.119372389,24.394090523 40.1480183890001,24.381527523 40.1820813890001,24.239581523 40.312909389,24.1755545230001 40.3498543900001,24.0038905220001 40.38512739,23.9611095220001 40.3786093900001,23.9227725220001 40.38416339,23.882981522 40.4002723900001,23.8586095220001 40.4219453900001,23.827009522 40.46131839,23.8208275220001 40.4997183900001,23.7949995220001 40.58305439,23.689372522 40.67943639,23.6963905220001 40.7127723900001,23.7220095220001 40.7446453900001,23.841390522 40.7867993900001,23.886663522 40.7752723900001,23.9120815220001 40.7569453900001,23.9661095220001 40.73749939,23.9917995220001 40.7290273900001,24.060272522 40.71694539,24.0904185220001 40.7176363900001,24.1529185220001 40.74096339,24.313609523 40.83860939,24.3173545230001 40.87652739,24.337218523 40.8952723900001,24.394299523 40.9355543900001,24.431109523 40.94416339,24.507772523 40.95499039,24.5645815230001 40.95061839,24.5991635230001 40.8983273900001,24.6264545230001 40.86117239,24.780281523 40.85194539,24.8013455230001 40.85196339,24.858609523 40.8949993900001,24.887499523 40.9155543900001,25.0376995230001 41.0045543900001,25.0745095230001 41.0076183900001,25.141799523 41.0103363900001,25.163609523 40.9916543900001,25.1339545230001 40.9682183900001,25.1763905230001 40.9419363900001),(24.5408365230001 40.72388139,24.5336095230001 40.7141633900001,24.521663523 40.6927723900001,24.5094455230001 40.6580543900001,24.5127815230001 40.6384723900001,24.5316635230001 40.6211093900001,24.572363523 40.6247183900001,24.5911095230001 40.61666339,24.6016635230001 40.61027239,24.640827523 40.57708139,24.6436095230001 40.57082739,24.671109523 40.57889039,24.766390523 40.6113813900001,24.773327523 40.63166339,24.7638815230001 40.7319453900001,24.761390523 40.74916339,24.7333275230001 40.7655453900001,24.696663523 40.78054539,24.654718523 40.7963903900001,24.643190523 40.7972183900001,24.6213905230001 40.7899903900001,24.598745523 40.77790939,24.5655545230001 40.7505453900001,24.5408365230001 40.72388139),(25.5619455240001 40.3995723900001,25.603881524 40.39831839,25.6599995240001 40.4124903900001,25.6937455240001 40.42450939,25.694027524 40.46561839,25.657218524 40.4930453900001,25.5754095240001 40.5106813900001,25.5558275240001 40.51165439,25.542772524 40.5105453900001,25.525554524 40.5069453900001,25.494163524 40.4963813900001,25.4438815240001 40.47581839,25.4624995240001 40.4563723900001,25.490272524 40.43693639,25.515827524 40.4224903900001,25.5619455240001 40.3995723900001),(25.451590524 40.032554389,25.3686095240001 40.005827389,25.2719365240001 39.988318389,25.2292995230001 40.002772389,25.1363815230001 40.005963389,25.0476365230001 39.9866543890001,25.043054523 39.963327389,25.054436523 39.860545389,25.0638905230001 39.8452723890001,25.1654095230001 39.800272389,25.224718523 39.8041633890001,25.201663523 39.827490389,25.179445523 39.8468633890001,25.210690523 39.8930453890001,25.2330545230001 39.9113093890001,25.263054524 39.9123453890001,25.279018524 39.893527389,25.2669365240001 39.868045389,25.2947185240001 39.805545389,25.3130545240001 39.795409389,25.338881524 39.788881389,25.3558275240001 39.786381389,25.3730545240001 39.8126273890001,25.365272524 39.825554389,25.352981524 39.834090389,25.3390275240001 39.8492993890001,25.337218524 39.8780453890001,25.3541635240001 39.907354389,25.3919365240001 39.9522093890001,25.441663524 40.0047183890001,25.445554524 40.0097183890001,25.451590524 40.032554389),(26.173536524 39.3272093890001,25.9815275240001 39.2717993890001,25.9502725240001 39.273890389,25.924509524 39.2792993890001,25.923881524 39.2919363890001,25.9077725240001 39.286945389,25.8802725240001 39.2711093890001,25.856936524 39.252772388,25.834854524 39.1800633880001,25.864163524 39.153599388,25.8899995240001 39.1411093880001,25.988109524 39.1051633880001,26.045272524 39.089427388,26.0654095240001 39.084572388,26.0811095240001 39.0879093880001,26.110972524 39.1109633880001,26.153609524 39.158599388,26.1577725240001 39.1691633880001,26.1631905240001 39.1880543880001,26.172499524 39.194709388,26.199163524 39.2011093880001,26.237909524 39.204299388,26.2570815240001 39.203463388,26.291309524 39.182636388,26.286109524 39.167763388,26.2769365240001 39.1563813880001,26.1674995240001 39.1027723880001,26.1113185240001 39.0910363880001,26.0884725240001 39.074372388,26.136390524 39.0402723880001,26.1874905240001 39.0172183880001,26.323890525 38.9777723880001,26.3902725250001 38.971099388,26.450554525 38.9683183880001,26.5217995250001 38.9733183880001,26.615690525 39.0138813880001,26.6186095250001 39.0240183880001,26.6122185250001 39.0441633880001,26.606663525 39.053318388,26.5283275250001 39.154163388,26.4747185250001 39.2194363880001,26.4049995250001 39.253872388,26.379581525 39.268599389,26.379718525 39.2852723890001,26.393745525 39.3044453890001,26.4147185250001 39.3224903890001,26.4199905250001 39.325827389,26.396109525 39.3410993890001,26.323890525 39.374436389,26.2245725240001 39.3830453890001,26.1783275240001 39.374981389,26.165409524 39.3698543890001,26.1708275240001 39.345554389,26.173536524 39.3272093890001),(24.504299523 38.9717993880001,24.4831905230001 38.977354388,24.4595815230001 38.964163388,24.451527523 38.9513183880001,24.450272523 38.8969453880001,24.456663523 38.8808273880001,24.534718523 38.7836093880001,24.553336523 38.768327388,24.5688815230001 38.7608273880001,24.5679815230001 38.773536388,24.597081523 38.7887453880001,24.6147185230001 38.770963388,24.623472523 38.765827388,24.6469455230001 38.764163388,24.6591635230001 38.7674903880001,24.6822185230001 38.778327388,24.6816635230001 38.802081388,24.665554523 38.824163388,24.577499523 38.926109388,24.504299523 38.9717993880001),(23.4463905220001 38.8724993880001,23.373499522 38.999127388,23.304445522 39.0372813880001,23.2794455220001 39.0366633880001,23.1297185220001 39.0033273880001,23.096663522 38.983609388,22.9299995210001 38.891663388,22.8469455210001 38.862081388,22.832845521 38.8291273880001,23.098054522 38.839436388,23.1263905220001 38.848818388,23.150063522 38.8493723880001,23.1980545220001 38.831799388,23.331390522 38.7424903880001,23.492218522 38.6322183880001,23.5970815220001 38.5712453880001,23.624718522 38.543054388,23.6358275220001 38.509645388,23.6206905220001 38.4683993880001,23.6422185220001 38.418881388,23.6733365220001 38.4099993880001,23.773327522 38.3922183880001,23.8058275220001 38.389163388,23.9052815220001 38.3849903880001,23.9383275220001 38.386663388,23.974299522 38.3909723880001,23.9973635220001 38.401799388,24.055345522 38.381554388,24.0499995220001 38.3658273880001,24.1108365220001 38.288327388,24.1486095220001 38.2152723880001,24.2086095230001 38.156663387,24.3261095230001 38.044718387,24.3872185230001 37.993609387,24.480554523 37.956245387,24.5129185230001 37.9549273870001,24.564163523 37.987218387,24.5758365230001 38.0041633870001,24.5877725230001 38.036663387,24.590690523 38.062218387,24.561245523 38.144299387,24.465690523 38.138536387,24.427772523 38.144163387,24.336799523 38.159436387,24.2991635230001 38.1899903880001,24.258263523 38.2172813880001,24.1872185230001 38.3924903880001,24.1536095220001 38.5733273880001,24.153890522 38.646663388,24.007499522 38.673045388,23.9488905220001 38.663054388,23.846663522 38.682218388,23.765272522 38.706663388,23.5919455220001 38.7647183880001,23.5161095220001 38.811381388,23.466663522 38.847918388,23.4463905220001 38.8724993880001),(25.9961095240001 38.155263387,26.014718524 38.149436387,26.0263905240001 38.1786093870001,26.0355545240001 38.191936388,26.102218524 38.2469363880001,26.1606905240001 38.3033273880001,26.162218524 38.327636388,26.1461095240001 38.3635993880001,26.1334725240001 38.412918388,26.1388815240001 38.4316633880001,26.159581524 38.5420723880001,26.1508275240001 38.556109388,26.1386095240001 38.5649903880001,26.001390524 38.6013813880001,25.8847185240001 38.588872388,25.8658275240001 38.584999388,25.851109524 38.5780453880001,25.843609524 38.570545388,25.825690524 38.540690388,25.845836524 38.509436388,25.851945524 38.5008273880001,25.8608275240001 38.4938903880001,25.885899524 38.4752723880001,25.912218524 38.4694363880001,25.9426365240001 38.4573543880001,25.988745524 38.383536388,25.991663524 38.3438813880001,25.9395815240001 38.2972093880001,25.9180545240001 38.294718388,25.906381524 38.2902723880001,25.8715185240001 38.2666543880001,25.863472524 38.2499903880001,25.8633275240001 38.239845388,25.924999524 38.194709388,25.9681905240001 38.165554387,25.9961095240001 38.155263387),(24.6945815230001 37.962636387,24.6904185230001 37.953472387,24.6936095230001 37.9269363870001,24.7151365230001 37.873054387,24.736945523 37.8810993870001,24.7527815230001 37.8783273870001,24.7670815230001 37.872354387,24.830554523 37.8144363870001,24.8730545230001 37.7663903870001,24.915554523 37.716799387,24.947499523 37.6930543870001,24.960281523 37.685554387,24.985836523 37.7336093870001,24.9979815230001 37.762909387,24.9627725230001 37.8724993870001,24.7916635230001 37.9983273870001,24.778054523 37.9969363870001,24.7438905230001 37.990554387,24.703327523 37.9697183870001,24.6945815230001 37.962636387),(26.581109525 37.6872093870001,26.595409525 37.675963387,26.613327525 37.6802723870001,26.621936525 37.686109387,26.645409525 37.697209387,26.6869365250001 37.7049903870001,26.708472525 37.7083183870001,26.7501365250001 37.692909387,26.818054525 37.6366543870001,26.895554525 37.6652723870001,27.0397185250001 37.7027633870001,27.0636725250001 37.7073543870001,27.0669365250001 37.7272183870001,27.028609525 37.771663387,26.988890525 37.781936387,26.7459725250001 37.811245387,26.7297185250001 37.8080453870001,26.667636525 37.791236387,26.5973545250001 37.7583273870001,26.572218525 37.732354387,26.581109525 37.6872093870001),(26.356936525 37.672490387,26.358672525 37.6839453870001,26.312490525 37.679990387,26.080827524 37.635545387,26.0662455240001 37.6309633870001,26.046945524 37.616381387,25.983045524 37.545554387,25.9749275240001 37.527072387,25.978881524 37.511936387,25.9841635240001 37.506945387,26.020827524 37.514436387,26.214990524 37.558881387,26.267490524 37.591099387,26.3054185240001 37.6166633870001,26.323327525 37.6347183870001,26.356936525 37.672490387),(24.298609523 37.5263813870001,24.311799523 37.5338813870001,24.368609523 37.583045387,24.3813815230001 37.596936387,24.3951365230001 37.615827387,24.411390523 37.6531903870001,24.394163523 37.6733363870001,24.368745523 37.682218387,24.3508275230001 37.682218387,24.330827523 37.6792993870001,24.299581523 37.656390387,24.2837455230001 37.631245387,24.274854523 37.6127723870001,24.2694455230001 37.590963387,24.276799523 37.5289543870001,24.2852725230001 37.5247183870001,24.298609523 37.5263813870001),(25.195827523 37.5274903870001,25.205827523 37.5272183870001,25.2299995230001 37.5354093870001,25.2552725240001 37.586799387,25.248890524 37.6131813870001,25.2388905240001 37.6219363870001,25.214163523 37.632209387,25.187772523 37.6415183870001,25.1372185230001 37.6447183870001,25.0787455230001 37.6508183870001,25.053881523 37.675818387,25.042218523 37.676654387,25.0105545230001 37.6774993870001,24.9763905230001 37.6740273870001,24.978881523 37.662499387,24.994999523 37.639999387,25.1138905230001 37.5510993870001,25.1683275230001 37.5327723870001,25.195827523 37.5274903870001),(23.7538905220001 39.0836093880001,23.772772522 39.096527388,23.7873635220001 39.1182633880001,23.6108365220001 39.2049903880001,23.594854522 39.204927388,23.6602725220001 39.089436388,23.7094455220001 39.0738813880001,23.7244455220001 39.0713903880001,23.7366635220001 39.0747183880001,23.7538905220001 39.0836093880001),(23.501109522 37.9991633870001,23.4892995220001 38.0001363870001,23.4374995220001 37.9858363870001,23.4102725220001 37.9291633870001,23.4036095220001 37.9069453870001,23.407354522 37.894299387,23.4480545220001 37.8794363870001,23.462154522 37.8790903870001,23.5387455220001 37.9192993870001,23.5466635220001 37.9308273870001,23.539718522 37.9842993870001,23.5219455220001 37.9942993870001,23.506109522 37.998054387,23.501109522 37.9991633870001),(24.369999523 37.4295093870001,24.367081523 37.311245387,24.377009523 37.306381387,24.401663523 37.3141633870001,24.416381523 37.3255543870001,24.4461095230001 37.351390387,24.4824995230001 37.3959633870001,24.482909523 37.4073543870001,24.4676365230001 37.427218387,24.445272523 37.4313903870001,24.431945523 37.4409633870001,24.4408275230001 37.4708363870001,24.441599523 37.478263387,24.4102725230001 37.468327387,24.3986095230001 37.459163387,24.369999523 37.4295093870001),(25.503263524 37.189645387,25.3481905240001 37.087499386,25.3419365240001 37.0734633860001,25.435136524 36.921099386,25.4527725240001 36.9183183860001,25.461390524 36.919436386,25.486381524 36.9277723860001,25.5532545240001 36.9545723860001,25.5802725240001 37.015545386,25.587218524 37.044163386,25.5902725240001 37.0572093860001,25.599445524 37.106936386,25.6005545240001 37.117081387,25.595836524 37.135818387,25.583054524 37.1599903870001,25.576663524 37.168054387,25.565554524 37.1808273870001,25.541872524 37.1976273870001,25.503263524 37.189645387),(26.946381525 36.928054386,26.9697185250001 36.924427386,26.9755545250001 36.924427386,27.047772525 36.945890386,27.049163525 36.9920813860001,26.985827525 37.044163386,26.960545525 37.0561093860001,26.8875635250001 37.0737363860001,26.919163525 36.9466633860001,26.935554525 36.9322093860001,26.946381525 36.928054386),(25.268599524 37.138609387,25.2236095230001 37.1408273870001,25.1633275230001 37.1216633870001,25.1513815230001 37.111927387,25.132772523 37.0933183860001,25.1099995230001 37.0572093860001,25.0988095230001 37.028536386,25.1052725230001 37.011654386,25.1217995230001 36.995418386,25.152490523 36.983890386,25.1658365230001 36.979436386,25.1913815230001 36.9738813860001,25.250272524 37.0083273860001,25.264163524 37.039163386,25.268327524 37.0527723860001,25.284445524 37.128318387,25.268599524 37.138609387),(27.0624995250001 36.838045386,26.9198545250001 36.758190386,26.920272525 36.7117993860001,26.949718525 36.6772183860001,26.9666635250001 36.6724903860001,26.971381525 36.6722093860001,26.9658275250001 36.681663386,26.9663905250001 36.703609386,26.974299525 36.741590386,26.9922185250001 36.751390386,27.032081525 36.764854386,27.2183275250001 36.8197093860001,27.243327525 36.8269363860001,27.279445525 36.8341633860001,27.302499525 36.8374903860001,27.3294365250001 36.8427633860001,27.3441635250001 36.8494453860001,27.3547185250001 36.8638093860001,27.343609525 36.883190386,27.284445525 36.9005543860001,27.172772525 36.888045386,27.1524905250001 36.881381386,27.0624995250001 36.838045386),(25.3261095240001 36.7758273860001,25.3055545240001 36.7887453860001,25.277490524 36.7823543860001,25.263054524 36.764581386,25.2586095240001 36.7288813860001,25.341245524 36.652909386,25.357772524 36.6449993860001,25.388190524 36.654299386,25.4077725240001 36.7165183860001,25.3261095240001 36.7758273860001),(24.531390523 36.766109386,24.5133365230001 36.7674903860001,24.3509725230001 36.7469363860001,24.342218523 36.7369453860001,24.3229185230001 36.6636093860001,24.325827523 36.651936386,24.330827523 36.6499903860001,24.413609523 36.660272386,24.476945523 36.662772386,24.539445523 36.677563386,24.549445523 36.696109386,24.548745523 36.7579093860001,24.531390523 36.766109386),(26.3008275240001 36.5094363860001,26.3152725250001 36.504854386,26.3422185250001 36.506381386,26.355409525 36.511790386,26.4058275250001 36.5652723860001,26.4666635250001 36.576381386,26.4710995250001 36.5783273860001,26.4594365250001 36.599436386,26.407772525 36.633045386,26.3829095250001 36.640409386,26.263327524 36.589572386,26.270554524 36.5561093860001,26.287772524 36.5195723860001,26.3008275240001 36.5094363860001),(28.2072185260001 36.442490386,28.107490526 36.4186093860001,28.0683365260001 36.404999386,27.909163526 36.3397183860001,27.8958275260001 36.3322183860001,27.8761095260001 36.3197093860001,27.8044455260001 36.2694363860001,27.7888815260001 36.251654386,27.7197185260001 36.166099386,27.740827526 36.104436386,27.730827526 35.9788813850001,27.720272526 35.9451363850001,27.7222185260001 35.9297183850001,27.7312455260001 35.9130543850001,27.768609526 35.893609385,27.784027526 35.8904093850001,27.799718526 35.8933273850001,27.841109526 35.9126273850001,27.865554526 35.9322183850001,27.892772526 35.9608273850001,27.8988905260001 35.9755543850001,27.906109526 35.9880543850001,27.9316635260001 36.0185993850001,27.9458275260001 36.034709385,27.9566635260001 36.0449903860001,28.0091635260001 36.068881386,28.0636095260001 36.111927386,28.1227725260001 36.1858183860001,28.1413905260001 36.2105363860001,28.1869365260001 36.299990386,28.206945526 36.3435993860001,28.2380455260001 36.4311093860001,28.233890526 36.4413723860001,28.214618526 36.454154386,28.2072185260001 36.442490386),(22.956945521 36.377490386,22.957009521 36.381318386,22.9277725210001 36.3784633860001,22.8955545210001 36.322081386,22.906390521 36.225827386,22.911663521 36.201109386,22.9227725210001 36.185827386,22.9299995210001 36.178054386,22.988054521 36.146109386,22.997218521 36.1419363860001,23.044090521 36.136245386,23.057218521 36.1449993860001,23.108327522 36.236936386,23.1042995220001 36.2462453860001,23.0855545210001 36.2594363860001,23.020272521 36.303890386,23.0076365210001 36.306663386,22.988890521 36.323609386,22.969999521 36.354163386,22.956945521 36.377490386),(20.840418519 37.6852723870001,20.8706185190001 37.725690387,20.8958365190001 37.7311093870001,20.9197185190001 37.7301363870001,20.9433365200001 37.7197183870001,20.9944455200001 37.698609387,20.9986095200001 37.7138813870001,20.99249952 37.7252723870001,20.898054519 37.8052723870001,20.886390519 37.8144363870001,20.8633275190001 37.8291633870001,20.7941635190001 37.8488813870001,20.7012455190001 37.9291633870001,20.678336519 37.920554387,20.643327519 37.8983273870001,20.6286095190001 37.875545387,20.6219455190001 37.8608363870001,20.619999519 37.847499387,20.6286095190001 37.8131903870001,20.703327519 37.7327723870001,20.713609519 37.7227723870001,20.8104185190001 37.652636387,20.8311095190001 37.6463813870001,20.836109519 37.6463813870001,20.840418519 37.6852723870001),(20.812636519 38.1149273870001,20.6805545190001 38.277499388,20.612499519 38.394163388,20.5711095190001 38.4680453880001,20.5622185190001 38.4711093880001,20.541872519 38.470554388,20.5341635190001 38.4347183880001,20.5397185190001 38.4094363880001,20.549163519 38.3909723880001,20.545899519 38.3601993880001,20.5363905190001 38.344718388,20.516390519 38.327772388,20.503890519 38.3191633880001,20.4807635190001 38.3088183880001,20.441799519 38.3265183880001,20.398609519 38.3255543880001,20.356109519 38.231945388,20.3415275190001 38.1988813880001,20.3425635190001 38.1779093870001,20.3777815190001 38.156663387,20.5149995190001 38.103190387,20.5577815190001 38.0905543870001,20.734999519 38.0608273870001,20.793472519 38.063254387,20.812636519 38.1149273870001),(20.7109725190001 38.3081903880001,20.719718519 38.305272388,20.7355545190001 38.3099993880001,20.760690519 38.3234633880001,20.743327519 38.3724993880001,20.707218519 38.4433273880001,20.671109519 38.4933273880001,20.6527725190001 38.5006903880001,20.614299519 38.469718388,20.644718519 38.3980453880001,20.6708275190001 38.353054388,20.6994455190001 38.317499388,20.7109725190001 38.3081903880001),(20.7013815190001 38.8347183880001,20.6555545190001 38.8355453880001,20.645690519 38.8295813880001,20.6016635190001 38.7788813880001,20.5584725190001 38.6859633880001,20.5422185190001 38.5883363880001,20.5431905190001 38.566109388,20.6436095190001 38.5811093880001,20.722081519 38.627145388,20.7297185190001 38.8056903880001,20.7127725190001 38.829999388,20.7013815190001 38.8347183880001),(20.119790519 39.371799389,20.0721455190001 39.452499389,20.0604185190001 39.4447183890001,20.0480545190001 39.4369453890001,20.0302725190001 39.4320813890001,20.018054519 39.434436389,19.929863519 39.474445389,19.924954519 39.6224453890001,19.8466635180001 39.6491633890001,19.839445518 39.676381389,19.8424995180001 39.7011093890001,19.875554519 39.7161093890001,19.9141635190001 39.7220723890001,19.927772519 39.729854389,19.9427725190001 39.7441633890001,19.950554519 39.7622183890001,19.9487455190001 39.779018389,19.926109519 39.794445389,19.864999519 39.816936389,19.8549995180001 39.818327389,19.8038905180001 39.793881389,19.7941635180001 39.790409389,19.6945815180001 39.794718389,19.6730545180001 39.7930543890001,19.6508365180001 39.7724993890001,19.639999518 39.756663389,19.641390518 39.744436389,19.674581518 39.675972389,19.740272518 39.6247183890001,19.8063905180001 39.590554389,19.820827518 39.5787453890001,19.8441635180001 39.551936389,19.8484725180001 39.5392993890001,19.846945518 39.519718389,19.852354518 39.4896543890001,19.8787455190001 39.448536389,20.079718519 39.3683273890001,20.111663519 39.3630543890001,20.119790519 39.371799389),(27.161736525 35.725345385,27.1202815250001 35.666936385,27.0669455250001 35.606663385,27.0669455250001 35.594581385,27.121663525 35.428599385,27.142218525 35.399718385,27.1598545250001 35.4484723850001,27.202218525 35.4780543850001,27.177499525 35.601109385,27.2140275250001 35.721381385,27.2308275250001 35.811099385,27.2297185250001 35.8254093850001,27.215272525 35.8262453850001,27.159999525 35.7958273850001,27.158609525 35.7694363850001,27.158609525 35.746936385,27.161736525 35.725345385),(24.9633365230001 35.404445385,24.7888905230001 35.408881385,24.623745523 35.3959723850001,24.596454523 35.3829813850001,24.4904185230001 35.3656903850001,24.464718523 35.361936385,24.357081523 35.3523543850001,24.3270815230001 35.351381385,24.272290523 35.3638813850001,24.1790275230001 35.452354385,24.107063522 35.4922183850001,24.134663522 35.500354385,24.165690523 35.501527385,24.1855545230001 35.5091633850001,24.204927523 35.5398543850001,24.1763905230001 35.5888903850001,24.124372522 35.6004813850001,24.0804815220001 35.5765543850001,24.0705725220001 35.549299385,24.0407725220001 35.5296363850001,23.9955545220001 35.5155453850001,23.9713815220001 35.514718385,23.8485365220001 35.522981385,23.7910365220001 35.5465903850001,23.7819455220001 35.5644363850001,23.7722185220001 35.613327385,23.771772522 35.6612093850001,23.7418725220001 35.6863183850001,23.710763522 35.6524993850001,23.711390522 35.604163385,23.7286095220001 35.568936385,23.731945522 35.5461093850001,23.718954522 35.5088813850001,23.6554815220001 35.4979813850001,23.6154095220001 35.5230543850001,23.6099995220001 35.5674993850001,23.6085365220001 35.6087453850001,23.593890522 35.592218385,23.5831905220001 35.5711093850001,23.5691635220001 35.5266633850001,23.5205545220001 35.294999385,23.5942365220001 35.2322183850001,23.681945522 35.224445385,23.6983275220001 35.2323543850001,23.821799522 35.246527385,23.890272522 35.2338903850001,23.9466635220001 35.221109385,24.035690522 35.1928363850001,24.061945522 35.1904093850001,24.100827522 35.1977723850001,24.1397185220001 35.199718385,24.194436523 35.2002723850001,24.392499523 35.1888813850001,24.5311095230001 35.1391633850001,24.547772523 35.119436385,24.5631905230001 35.1006903850001,24.5886095230001 35.096936385,24.6386095230001 35.095272385,24.688745523 35.0956903850001,24.723054523 35.0905543850001,24.742081523 35.0737453850001,24.757636523 35.0398543850001,24.762772523 35.0158273850001,24.754299523 34.9462453840001,24.8211095230001 34.9374903840001,24.9280545230001 34.930545384,25.0169455230001 34.9308273840001,25.1880545230001 34.952218384,25.335281524 34.9849903850001,25.508890524 34.981663385,25.5578455240001 34.9940183850001,25.5913905240001 35.0077723850001,25.987499524 35.0330543850001,26.1004185240001 35.003781385,26.135827524 34.997290385,26.205554524 35.0216633850001,26.2397185240001 35.0366633850001,26.2749995240001 35.087490385,26.2905545240001 35.131099385,26.301109524 35.2830543850001,26.217781524 35.2405543850001,26.1119455240001 35.2052723850001,26.093054524 35.2166633850001,26.030972524 35.2249273850001,25.8961095240001 35.176936385,25.8669455240001 35.152218385,25.8123545240001 35.1115183850001,25.7840275240001 35.113890385,25.756663524 35.126390385,25.7280545240001 35.1419363850001,25.7174995240001 35.1591633850001,25.710554524 35.172772385,25.7177725240001 35.216945385,25.7393095240001 35.231872385,25.7502995240001 35.2702183850001,25.7286455240001 35.2616273850001,25.7342995240001 35.299927385,25.7657275240001 35.329963385,25.6604185240001 35.3424993850001,25.6180545240001 35.3333273850001,25.5644455240001 35.318599385,25.491109524 35.2986093850001,25.4542995240001 35.2920813850001,25.429999524 35.2944453850001,25.4008275240001 35.311527385,25.3795095240001 35.333881385,25.302499524 35.335545385,25.280554524 35.333881385,25.2013815230001 35.334445385,25.054372523 35.350272385,25.0456905230001 35.379227385,24.9633365230001 35.404445385)))', 'Greek Exclusive Economic Zone', 'Greece', 'Greece', '', '80', '80', 'GRC', '5679', '', '496037969600', '5679', 'Y'),('SRID=4326;MULTIPOLYGON(((41.9409625390001 -1.96361164999996,42.0756595390001 -2.05483364999998,42.1066905390001 -2.07586864999996,43.1914955400001 -2.84150465099998,44.2780135410001 -3.60623265099997,44.247322082 -3.64952468299992,44.084081541 -3.87978465199996,44.083028891 -3.88084309099997,44.0829904710001 -3.88088169099996,44.0829773660001 -3.88090050799997,44.0828815410001 -3.88103765199998,44.0671145410001 -3.89687865199994,44.040068541 -3.93570965199996,44.0384135410001 -3.93737265199997,44.0366765410001 -3.93986665199998,44.03599662 -3.94054982899996,44.0356320760001 -3.94091605899996,44.035476321 -3.94113967799996,44.0042013010001 -3.97255444299998,43.849013541 -4.12843465199995,43.841896541 -4.13865065199997,43.8340345410001 -4.14654565199993,43.834004651 -4.14658948599993,43.8338241450001 -4.14677076199996,43.8317305410001 -4.14887265199997,43.8120575410001 -4.17710765199996,43.40178754 -4.58895465199993,43.4014205400001 -4.58921265199996,43.401346733 -4.58928701899993,43.401288057 -4.58934589599994,43.3483490460001 -4.62654681899994,43.3200691330001 -4.65491931899993,43.319855089 -4.65506971099995,43.3187874700001 -4.65614078799996,43.3170679080001 -4.65786591799997,43.297775244 -4.67142097999994,43.2929606060001 -4.67625096699993,43.2924598710001 -4.67660277199997,43.2884689420001 -4.68060505999995,43.2880664950001 -4.68100865199995,43.288066353 -4.68100879499997,43.1924722320001 -4.68101144799994,39.6050000000001 -4.68111099999993,39.4777780000001 -4.89199999999994,39.3494440000001 -4.83222199999994,39.349443797 -4.83222177199997,39.2030271950001 -4.66961782599998,39.2558275370001 -4.61194565199997,39.3052725370001 -4.60208165199998,39.3258275370001 -4.63999965199997,39.402499537 -4.63389065199993,39.5255545370001 -4.41778165199997,39.671663537 -4.09222765199996,39.693118537 -4.05249965199994,39.7211095370001 -4.01694565199995,39.781663537 -3.92583665199993,39.8055455370001 -3.87555465199995,39.8291635370001 -3.81889065199994,39.8363905370001 -3.79889065199995,39.867490537 -3.69555465199994,39.872218537 -3.67416365099996,39.870554537 -3.64194565099996,39.871381537 -3.61999965099994,39.9349995370001 -3.46694565099995,39.974163537 -3.37583665099993,40.025272537 -3.34055465099993,40.0627725370001 -3.31528165099996,40.1077725370001 -3.29208165099993,40.125481537 -3.26569065099994,40.1317995370001 -3.22125465099998,40.1193725370001 -3.19028165099996,40.157772537 -3.08083665099997,40.1774995370001 -2.98305465099997,40.1662455370001 -2.93278165099997,40.1644455370001 -2.89360915099996,40.171390537 -2.78000015099997,40.1894365370001 -2.74305465099997,40.2311095370001 -2.67110965099994,40.278054538 -2.63000065099993,40.311945538 -2.60971864999993,40.3386095380001 -2.59389064999993,40.3822185380001 -2.56889064999996,40.421945538 -2.55416364999996,40.4858365380001 -2.53528164999994,40.5329095380001 -2.52639064999994,40.563745538 -2.54166364999998,40.5919455380001 -2.55389064999997,40.630481538 -2.55284564999994,40.813745538 -2.40041864999995,40.8241635380001 -2.38319064999996,40.812572538 -2.35910014999996,40.784299538 -2.33041864999996,40.785827538 -2.30041864999993,40.839163538 -2.24833664999994,40.8549995380001 -2.23610964999995,40.889999538 -2.22583664999996,40.925690538 -2.28833664999996,40.920936538 -2.31593664999997,40.9584725380001 -2.30437264999995,40.982081538 -2.25721864999997,40.9704095380001 -2.23083664999996,40.944999538 -2.21249964999993,40.910554538 -2.12278164999998,40.891663538 -2.01916364999994,40.9916635380001 -2.03416364999993,41.105554538 -1.98194564999994,41.2008275380001 -1.97278164999994,41.2802725380001 -1.97028164999995,41.3152815380001 -1.95805464999995,41.414445539 -1.85250014999997,41.4341635390001 -1.82805464999996,41.437772539 -1.80750014999995,41.4549905390001 -1.78360914999996,41.4783365390001 -1.75278164999997,41.538190539 -1.68944564999993,41.558154539 -1.67487264999994,41.560136539 -1.67298364999994,41.5793755390001 -1.69422164999997,41.585349539 -1.69626464999993,41.5915745390001 -1.70126464999993,41.608704539 -1.71476664999994,41.6096555390001 -1.71553864999993,41.9409625390001 -1.96361164999996),(40.9892995380001 -2.20139064999995,40.9974995380001 -2.20305464999996,41.000272538 -2.17833664999995,41.0161095380001 -2.14889064999994,41.0605545380001 -2.13333664999993,41.094163538 -2.14000064999993,41.1380545380001 -2.12444564999993,41.1637455380001 -2.10889064999998,41.1691635380001 -2.09805464999994,41.162427538 -2.08110964999997,41.1291635380001 -2.05250064999996,41.0986725380001 -2.03819064999993,41.074999538 -2.04139064999993,41.0638905380001 -2.04416364999997,40.9906905380001 -2.08944564999996,40.9727725380001 -2.10916364999997,40.950336538 -2.17131864999993,40.9892995380001 -2.20139064999995)))', 'Kenyan Exclusive Economic Zone', 'Kenya', 'Kenya', '', '43', '43', 'KEN', '8349', '', '112295548100', '8349', 'Y'),('SRID=4326;MULTIPOLYGON(((41.846696918554 15.0003733475672,41.8534188533384 14.9886480757577,41.9797222222223 14.7683333333334,42.0116666666668 14.7250000000002,42.1672222222223 14.601388888889,42.1930555555556 14.5872222222224,42.2816666666669 14.4544444444446,42.3677777777779 14.3530555555556,42.4275802253349 14.2681116708625,42.4358333333334 14.2563888888889,42.4518514584029 14.2364156712099,42.5258333333334 14.1441666666668,42.4778287638434 14.0614001675461,42.4775000000001 14.0608333333335,42.6275000000001 13.6583333333335,42.6416666666667 13.6036111111113,42.6372222222224 13.5975000000001,42.6381591145372 13.5959987147248,42.6537632955692 13.5709944246373,42.660277777778 13.5605555555556,42.7236111111113 13.4577777777779,42.7265819819525 13.4572859782131,42.8058333333335 13.4441666666668,42.8458319656648 13.4204080805452,42.8797222222223 13.4002777777779,42.9963888888889 13.2397222222223,43.0325225701598 13.2011919192346,43.0508333333335 13.1816666666668,43.0516839822618 13.1802057695944,43.0891666666668 13.1158333333334,43.1016666666669 13.1022222222223,43.145 13.0680555555556,43.1816666666669 13.0075000000001,43.2063154807975 12.9770775897667,43.2125000000001 12.9694444444445,43.2169334940368 12.9556580999748,43.2353595400001 12.9095933640001,43.2409075400001 12.8898333640001,43.2441172540002 12.8823247200002,43.2483865400002 12.8723373640002,43.2488068790001 12.8713906880002,43.2489616290001 12.8710418660002,43.2541191260001 12.8592368160002,43.2541195410003 12.8592363650002,43.2747435400002 12.8368943640002,43.2775897950003 12.8338665440002,43.2835062950002 12.8275719080002,43.3007332210003 12.799483695,43.2978073810001 12.7870596470001,43.2960375400001 12.7795453640002,43.2944503290001 12.7728685810002,43.2937383800002 12.7698741390001,43.2899582680002 12.7534983790002,43.2828651210001 12.7256204550002,43.2739765400001 12.6906873640002,43.2641945400001 12.6881923640001,43.2624255400001 12.6878793640002,43.2562775400002 12.6868783640002,43.2479965400001 12.6857003640002,43.2449855400002 12.6853183640002,43.2247155400001 12.6830833640002,43.2181475400002 12.6825923640002,43.2084015400002 12.6821543640001,43.1992315400001 12.6834033640002,43.1890395400002 12.6849703640002,43.1772055400002 12.6865603640001,43.1676595400002 12.6906523640001,43.1672785400003 12.6908463640002,43.1616455400001 12.6928733640002,43.1296175400001 12.7073523640001,43.1213815400002 12.7083273640002,43.1180455400003 12.7291633640001,43.0938905400002 12.7955543640001,43.0779815400002 12.8289543640002,43.0022185400001 12.8858633640001,42.9862455400001 12.8300633640001,42.9749995400002 12.8127723640001,42.9362455400002 12.8009723640002,42.8805545400002 12.8088913640001,42.8047185400001 12.8450003640002,42.7719455400003 12.8944453640001,42.7586095400001 12.9424998640002,42.7337455400001 13.0234723640002,42.7216635400001 13.0422183640001,42.5752725400001 13.1619453640001,42.4902725400001 13.1920813640002,42.4449275400002 13.1903453640002,42.3738095390001 13.2179183640002,42.3488815390002 13.3502723640002,42.3444455390002 13.4052813640002,42.3397185390002 13.4274998640001,42.2949995390001 13.5530543650002,42.2845815390002 13.5734723650002,42.2224995390002 13.6366633650001,42.1782725390001 13.6690003650002,42.1688185390003 13.6602093650002,42.1915455390002 13.6537633650001,42.2172545390002 13.6363993650002,42.2254815390002 13.5512453650002,42.1865275390002 13.5751363650002,42.0902725390001 13.6783363650002,42.0677725390001 13.6977723650001,42.0586095390001 13.7291633650002,41.9847185390001 13.8263908650002,41.9565275390001 13.8572183650002,41.9020815390001 13.8726363650002,41.8526365390002 13.8713913650002,41.7202725390002 13.9155543650001,41.6772185390003 13.9363913650002,41.6638815390002 13.9673633650001,41.6530545390002 13.9997908650001,41.6119365390002 14.0677813650001,41.5119365390002 14.2024998650002,41.4491635390001 14.2716633650002,41.3786095390003 14.3733363650002,41.3102725380002 14.4769453650002,41.1722185380001 14.6306908660002,40.8827725380001 14.7161093660002,40.8494455380002 14.7166633660002,40.8072185380001 14.7055543660001,40.7305545380002 14.7944453660002,40.7306905380001 14.8308363660001,40.6738815380002 14.9041633660002,40.5938905380002 14.9463913660002,40.4548545380002 15.0077723660002,40.4222185380001 14.9961093660002,40.3619365380002 14.9650003660002,40.3386095380002 14.9438913660002,40.2978455380002 14.9135363660002,40.1754095370003 14.9711093660001,40.1574995370002 14.9847183660001,40.1567365370001 15.0179813660002,40.0742275370002 15.1679813660002,40.0416635370001 15.2011093660001,40.0258275370002 15.2398633660001,40.0490275370001 15.2869453660002,39.9897185370002 15.3894453660002,39.8813815370002 15.4894453660002,39.8476365370002 15.4745813660002,39.7988185370003 15.4453453660001,39.7711095370001 15.3922183660001,39.7900275370001 15.2617998660001,39.8159365370001 15.2773633660001,39.8430455370001 15.2258273660001,39.8546455370002 15.1752723660002,39.8085365370002 15.0755543660001,39.7741635370003 15.0630543660002,39.7677815370001 15.0627723660002,39.7180545370001 15.0880543660002,39.6941635370002 15.1294453660001,39.6986095370003 15.1816723660002,39.7019455370002 15.1924998660001,39.7131905370002 15.2570813660001,39.6905545370001 15.3155543660001,39.6133275370002 15.4876363660002,39.5829095370001 15.5263908660001,39.5633275370001 15.5352723660002,39.5384635370001 15.5373633660001,39.5117995370001 15.5183363660001,39.4827725370002 15.5120813660002,39.4601995370002 15.5217363660001,39.4416635370002 15.603681366,39.4497185370002 15.6502723670002,39.4236095370002 15.7697183670001,39.3655545370002 15.8497183670002,39.3091635370002 15.8983363670002,39.2701365370002 15.9862453670002,39.2294365370001 16.1274998670001,39.2147185370002 16.2055543670001,39.2113905370002 16.2288813670002,39.2041635370002 16.2886093670002,39.2022185370002 16.343327367,39.1902815360002 16.3855543670002,39.1927725370002 16.3969453670002,39.1874905360002 16.4505543670002,39.1740185360002 16.477981367,39.1641635360002 16.5444453670001,39.1608275360002 16.5730543670002,39.1616635360003 16.6374998670002,39.1602725360001 16.6791633670002,39.1369365360002 16.7752723680002,39.1155545360001 16.8269453680001,39.0983275360002 16.8627813680001,39.0391635360001 17.0524998680002,39.0019365360001 17.1886093680002,38.9452725360002 17.3480543680002,38.8949995360002 17.4569453680001,38.7977725360001 17.6533273680001,38.7497185360002 17.7272183680002,38.7105545360001 17.7773543680001,38.6722185360002 17.8472183690002,38.6119365360001 17.9613908690002,38.6006912260002 17.9948821270002,38.6123769600002 18.0006098630001,38.6269878180001 18.0030379210001,38.6395256640002 18.0047903060002,38.6935020960002 18.0192250050002,38.6986714380001 18.0205652820002,38.7024894900002 18.0217196100002,38.7061684200002 18.0227780420001,38.7088308500001 18.0238158220002,38.7313071030001 18.0324840920002,38.7584152150002 18.0431131680001,38.8056533830002 18.0648784280001,38.8626841120001 18.0913965880001,38.8687818910001 18.090049095,38.9039752790002 18.0821550600002,38.9143034280003 18.0799379920002,38.9486165580002 18.0728867740002,39.0846529470003 18.0458339580002,39.0988421360002 18.0429610090002,39.2013187680002 18.0396925020001,39.2228379600001 18.0390549940001,39.2387611750002 18.0390137920002,39.2511751840001 18.0390118450002,39.3238817220003 18.0403635530002,39.4812961470003 18.0505876590001,39.4881830350002 18.0511035990002,39.7154295340002 18.0733284030002,39.7254734660002 18.0450955520002,39.7279420360001 18.0381681730001,39.7608584480003 17.9504202750002,39.7936611210002 17.8771001640002,39.8132267930003 17.8347252150002,39.8155932470002 17.8298057490002,39.8235863640003 17.813399954,39.8267063440001 17.8070118010002,39.8353770050002 17.7842050060002,39.8630088380002 17.712967898,39.9165164970001 17.5833338860001,39.9299464220001 17.5547112690002,39.9592833430002 17.5000215060001,40.1235948060001 17.4385013200001,40.2297255130002 17.3632137260001,40.4937667490002 17.1807443350002,40.6072628130002 17.1020305480001,40.6753380730001 17.0549613810002,40.6800711320001 17.0421870310002,40.7119968260002 16.9563155720001,40.7707855310002 16.7973207820002,40.8263087800003 16.6476186950002,40.8391474250002 16.6156717450002,40.8886998040002 16.5302362210002,40.8919800340002 16.5246044260002,40.9136029240001 16.4714192330001,40.9626995090002 16.4276283090001,41.0420871130001 16.3312356970002,41.0820320550002 16.2900000000001,41.1344946980003 16.2358421150002,41.1446623870002 16.2253475220002,41.1446624270001 16.2253474800002,41.1446625380003 16.2253473670002,41.1459910140002 16.2241825520001,41.1559454620001 16.2154543050002,41.2117170250002 16.1665809100001,41.2939382740002 16.0938482070002,41.3016794340002 16.0869444550001,41.3016795380001 16.0869443670001,41.4001005390001 15.9234543670001,41.4182425390002 15.8965373670002,41.4273625390002 15.8788693670002,41.4616235390002 15.8128163670002,41.5688645390001 15.7214273670001,41.5694415390001 15.6510373670001,41.6253274262812 15.2527175160078,41.7786111111112 15.0666666666668,41.8450000000001 15.0033333333334,41.846696918554 15.0003733475672),(40.2838815380002 15.7011093670001,40.2624995370002 15.7019453670002,40.2520815370003 15.7019453670002,40.2380545370002 15.6986093670002,40.2256905370002 15.6901363670001,40.2199275370003 15.6756273670002,40.2338905370002 15.6658363670002,40.2519365370001 15.6555543670001,40.2379815370001 15.6292993660002,40.1678455370002 15.6396543670001,40.1490275370002 15.6574993670001,40.1424905370002 15.6713903670001,40.1322185370001 15.7019453670002,40.1288815370003 15.7186093670002,40.1286095370001 15.7316633670002,40.1358275370001 15.752499367,40.1410365370002 15.8015993670001,40.0872185370002 15.8516633670001,40.0154815370002 15.8849273670001,39.9999995370002 15.8857813670002,40.0404095370002 15.8374993670002,40.0384635370002 15.8266633670002,40.0291635370002 15.8220813670001,39.9824995370003 15.8143453670001,39.9280545370002 15.7862453670002,39.9215275370001 15.7566633670002,39.9334185370003 15.7443363670002,39.9487905370003 15.738209367,39.9722905370002 15.7422903670002,40.0091635370002 15.7361093670002,40.0191635370002 15.7316633670002,40.0608275370001 15.6894453670001,40.0790905370002 15.6636813670002,40.0591635370001 15.6486093670001,40.0373545370002 15.6391633670002,40.0247185370001 15.6430543670002,39.9830545370002 15.6649993670002,39.9577185370002 15.6772723670001,39.9586095370001 15.6243093660001,39.9808275370002 15.6029183660002,40.0494365370002 15.5880543660001,40.0886095370002 15.5858363660001,40.1078455370002 15.5881903660002,40.1195095370002 15.6041633660001,40.2527815370001 15.5897183660001,40.3269455380002 15.5747183660001,40.3958275380002 15.5727723660001,40.4170725380002 15.5748633660002,40.4097185380002 15.6180543660002,40.4027725380001 15.6383363670001,40.3133275380002 15.6944453670001,40.2963905380001 15.6991633670002,40.2838815380002 15.7011093670001)))', 'Eritrean Exclusive Economic Zone', 'Eritrea', 'Eritrea', '', '45', '45', 'ERI', '8351', '2014-02', '79489008130', '8351', 'Y'),('SRID=4326;MULTIPOLYGON(((42.5086095400001 11.5672183630001,42.5300635400001 11.580063363,42.55763654 11.5687453630001,42.6272185400001 11.544445363,42.6748545400001 11.562363363,42.68582754 11.5802723630001,42.69639054 11.6144453630001,42.71638154 11.652218363,42.7725635400001 11.7311813630001,42.8227725400001 11.7533363630001,42.8836095400001 11.7741633630001,42.98277254 11.794754363,43.0184725400001 11.793472363,43.04763654 11.800136363,43.1047185400001 11.853336363,43.14249054 11.8966633630001,43.1944455400001 11.948054363,43.21874554 11.9577723630001,43.25166354 11.9586093630001,43.29263654 11.965554363,43.37089954 11.993263363,43.40444554 12.0388908630001,43.4148635400001 12.063054363,43.42040954 12.1387453630001,43.4101365400001 12.2346543630001,43.38805454 12.264027363,43.37416354 12.284718363,43.32958154 12.433890864,43.3274995400001 12.4767273640001,43.31693654 12.4811093640001,43.28777254 12.4936093640001,43.2074995400001 12.584445364,43.1797185400001 12.618327364,43.15069054 12.658472364,43.1213815400001 12.7083273640001,43.12961754 12.707352364,43.1616455400001 12.692873364,43.16727854 12.690846364,43.16765954 12.6906523640001,43.17720554 12.6865603640001,43.1890395400001 12.684970364,43.19923154 12.6834033640001,43.2084015400001 12.682154364,43.2181475400001 12.6825923640001,43.22471554 12.683083364,43.2449855400001 12.6853183640001,43.24799654 12.6857003640001,43.25627754 12.6868783640001,43.26242554 12.687879364,43.2641945400001 12.688192364,43.27397654 12.690687364,43.27568254 12.683602364,43.28057054 12.667344364,43.2831515400001 12.659479364,43.2836855400001 12.6578293640001,43.2843375400001 12.655729364,43.28457854 12.6549263640001,43.2874535400001 12.645866364,43.28816254 12.6439113640001,43.2942085400001 12.6289463640001,43.2943625400001 12.6286033640001,43.2945635400001 12.628169364,43.2950165400001 12.6272353640001,43.3038905400001 12.614776364,43.30666754 12.6109523640001,43.32611454 12.5985473640001,43.33519154 12.592162364,43.3507855400001 12.5809473640001,43.3638645400001 12.570783364,43.3808385400001 12.5557933640001,43.3814985400001 12.555714364,43.38790154 12.5545303640001,43.38976254 12.5541943640001,43.3965775400001 12.554497364,43.42827054 12.5536813640001,43.4324495400001 12.5537023640001,43.497694541 12.553333364,43.5099525410001 12.5533003640001,43.5238265410001 12.553152364,43.527755541 12.553033364,43.531311541 12.5528683640001,43.539757541 12.552456364,43.5397685410001 12.552455364,43.5745965410001 12.5382603640001,43.6505805410001 12.5161443640001,43.6564795410001 12.5109243640001,43.6946915410001 12.4657113640001,43.7183485410001 12.4363383640001,43.718651541 12.435806364,43.725472541 12.416892364,43.7600295410001 12.3186593630001,43.7766355410001 12.269806363,43.7962075410001 12.2443383630001,43.8027755410001 12.235728363,43.810604541 12.2260723630001,43.8108635410001 12.225775363,43.8270535410001 12.207484363,43.8454485410001 12.1858863630001,43.8615585410001 12.1678983630001,43.909331541 12.116963363,43.9208895410001 12.104892363,43.947463541 12.077921363,43.9503115410001 12.075012363,43.9616645410001 12.0631563630001,43.985987541 12.0376703630001,43.9885715410001 12.034967363,44.019473541 12.003063363,44.085793541 11.9333223630001,44.1436505410001 11.872747363,44.146206541 11.8701223630001,44.1385605410001 11.869546363,44.0328575410001 11.8615853630001,43.8039985410001 11.831413363,43.798964541 11.8307253630001,43.732588541 11.820200363,43.6358395410001 11.802591363,43.621612541 11.7999053630001,43.576681541 11.7913683630001,43.565667541 11.7891563630001,43.46985154 11.768846363,43.45708854 11.7660873630001,43.44472054 11.763504363,43.41287054 11.7247723630001,43.3702995400001 11.692342363,43.3125565400001 11.6485573630001,43.2828995400001 11.626393363,43.2944245400001 11.585308363,43.2950885400001 11.582913363,43.30448754 11.5455783630001,43.27124854 11.497471363,43.2708835400001 11.4969643630001,43.2697805400001 11.495624363,43.26411054 11.489013363,43.2578475400001 11.4828993630001,43.2492185400001 11.469536363,43.2349905400001 11.4888908630001,43.15721854 11.5708363630001,43.11943654 11.5711093630001,43.03194554 11.5802723630001,43.0239635400001 11.5812453630001,42.94749054 11.585281363,42.90388154 11.5816633630001,42.8779185400001 11.5816633630001,42.8668095400001 11.5854273630001,42.82832754 11.577218363,42.7280545400001 11.551109363,42.69069054 11.540136363,42.66597254 11.5183363630001,42.6830545400001 11.4904183630001,42.62389054 11.4666633630001,42.5951365400001 11.468609363,42.5315275400001 11.5119453630001,42.5326545400001 11.547272363,42.5086095400001 11.5672183630001)))', 'Djiboutian Exclusive Economic Zone', 'Djibouti', 'Djibouti', '', '46', '46', 'DJI', '8352', '', '7040662245', '8352', 'Y'),('SRID=4326;MULTIPOLYGON(((48.207332029 29.994167066,48.2281482590001 29.984680859,48.242962047 29.97603421,48.2549227420001 29.965045635,48.2750711410001 29.954954865,48.337912493 29.907029735,48.414121504 29.852675355,48.4193687440001 29.850398705,48.424154027 29.8483168820001,48.429563957 29.8460281810001,48.4328940710001 29.844778886,48.4349738870001 29.8437394800001,48.4383040010001 29.842074423,48.4432981690001 29.8395778410001,48.4501642710001 29.8360408500001,48.4549505580001 29.8333353830001,48.473728146 29.823414332,48.4849999210001 29.8165843840001,48.4879775420001 29.814094832,48.496717587 29.807020849,48.5075073190001 29.798629281,48.5130759210001 29.7941824330001,48.534424406 29.78024034,48.538788905 29.77749872,48.5401215540001 29.776588863,48.5637326290001 29.7582169940001,48.5673409230001 29.7554392210001,48.5735542580001 29.7504330020001,48.586971125 29.7390487500001,48.6136642640001 29.717504435,48.6507765640001 29.6869780490001,48.687359621 29.6564848040001,48.696114729 29.649683978,48.70196151 29.6451839050001,48.7491488220001 29.6091460530001,48.7637259190001 29.5949828620001,48.8374799040001 29.568220567,48.9320985430001 29.53422841,49.1463888660001 29.404191574,49.2072995400001 29.3672578470001,49.218206594 29.3512293040001,49.420334369 29.058225839,49.5063673080001 28.997325785,49.5248796160001 28.9350000000001,49.4450000000001 28.9350000000001,48.6883330000001 28.696944,48.663889 28.665556,48.5894440000001 28.6388890000001,48.4359771470001 28.5359794670001,48.4340109020001 28.537202243,48.434016522 28.5372210470001,48.4252727690001 28.542636773,48.4212124520001 28.54386952,48.4165912120001 28.545273202,48.4165898790001 28.5452731890001,48.3751282320001 28.6604099530001,48.3808273870001 28.6830458950001,48.379718688 28.7141637880001,48.3605454230001 28.742217694,48.278882294 28.8366629990001,48.184999373 28.9611094640001,48.173045707 28.9780542840001,48.1461095390001 29.029027333,48.122209238 29.1030540940001,48.0974000840001 29.2125100220001,48.079709101 29.2547179200001,48.028599474 29.344991543,48.005990646 29.367827333,47.987491237 29.3849910810001,47.973663629 29.394391926,47.9622100830001 29.3844367310001,47.924990328 29.361936364,47.882072421 29.3377719430001,47.8620726520001 29.3308275090001,47.854137017 29.329953806,47.821245607 29.329227729,47.707218304 29.37582724,47.7083189690001 29.4074904440001,47.955962603 29.6237460410001,47.9752724480001 29.6308270540001,48.0079097810001 29.629645044,48.086581229 29.5801362010001,48.0997179080001 29.562499448,48.1492990570001 29.5476364510001,48.166863504 29.565136626,48.1474903910001 29.615827478,48.0880544730001 29.7141632730001,48.059927256 29.731591141,48.0260998790001 29.769854319,48.0060991060001 29.803609389,47.9899998700001 29.8406915620001,47.9822188900001 29.8641630450001,47.951110036 29.981663068,47.9434726650001 30.017555196,47.9553148580001 30.008508853,47.9561443740001 30.007100886,47.957416767 30.0055924920001,47.957754197 30.0047278270001,47.9607117320001 30.00204345,47.9619710700001 30.001117525,47.9625244150001 30.0006917200001,47.9639705450001 29.9999967750001,47.96669208 29.998418084,47.9687196740001 29.99755141,47.970833634 29.9968072560001,47.9733211770001 29.9960831870001,47.976306832 29.9955559530001,47.9782791920001 29.995268735,47.9837885430001 29.9946701980001,47.984803846 29.9944392190001,47.9876730070001 29.9939963420001,47.9905763130001 29.993624767,47.9913787140001 29.9932722730001,47.9938451680001 29.9926596770001,47.997718585 29.991927574,47.99867765 29.9918984500001,48.001315832 29.991584118,48.0066082640001 29.9910890200001,48.008652931 29.990957462,48.0094041140001 29.990844985,48.0105098010001 29.9904703980001,48.0116887980001 29.9899100220001,48.014838147 29.9937462820001,48.014634282 29.9964838860001,48.0175707290001 29.9966485840001,48.0224182750001 29.9994956510001,48.0306662340001 30.0072505200001,48.0373334930001 30.014001132,48.044166454 30.019167028,48.05000018 30.021916682,48.0614908840001 30.025976891,48.0681320320001 30.0278769450001,48.0761148670001 30.0293130320001,48.088955291 30.0301525900001,48.09825069 30.02991659,48.1086457490001 30.0284353110001,48.1213455770001 30.027756434,48.133583447 30.026555343,48.146406799 30.0257670020001,48.1548345190001 30.0245829830001,48.164384999 30.0221084950001,48.1844450230001 30.014444009,48.194722584 30.004999981,48.207332029 29.994167066),(48.1558267250001 29.9923543830001,48.1227635870001 29.9836093170001,48.1148550670001 29.9753452900001,48.146099496 29.929717899,48.079990293 29.773327038,48.1624899670001 29.6211088630001,48.167763318 29.6122181800001,48.176519431 29.602772143,48.188599632 29.5960998630001,48.2027636670001 29.5944358100001,48.2283189820001 29.5952723550001,48.2430454 29.5997192030001,48.252772629 29.604999584,48.266391352 29.613890267,48.2783279450001 29.6238816150001,48.31555473 29.6599997020001,48.3299909180001 29.674999277,48.3397181460001 29.6869358700001,48.348881987 29.6999992390001,48.3563727370001 29.713327732,48.359990069 29.731935601,48.3594457620001 29.7449999740001,48.3522181270001 29.771662985,48.347772284 29.7822187250001,48.3355364220001 29.7988823540001,48.2797087980001 29.866381448,48.208318209 29.9547188650001,48.199154369 29.966390334,48.1885363640001 29.9819271870001,48.175545302 29.9891628560001,48.1558267250001 29.9923543830001)))', 'Kuwaiti Exclusive Economic Zone', 'Kuwait', 'Kuwait', '', '51', '51', 'KWT', '8357', '', '12487621230', '8357', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1845728230001 36.1040647020001,15.2869863380001 36.0601599300001,15.5252698590001 35.9587468760001,15.7493630910002 35.855442881,16.3034252520001 35.5976063600002,17.2174975940001 35.1671775790001,17.2174981440001 35.1671773200001,17.673670125 34.95236987,17.8212041950001 34.8810984370001,18.0577945560001 34.7668052830001,18.0272865170002 34.7317233840002,17.9608905170001 34.6562113840001,17.9344345170001 34.6261143840001,17.9068405170001 34.594463384,17.8838785170001 34.5680853840001,17.839593517 34.5173953840002,17.8242575170001 34.499913384,15.166666514 34.4980553840001,14.8186115140001 34.522222384,14.6233335140001 34.5383333840001,14.5247225140002 34.5519443840001,14.3983335130001 34.5686113840001,14.2602775130001 34.5888893840001,14.0872225130001 34.6172223840002,14.070833513 34.6197223840001,13.9358335130001 34.6544443840001,13.8752775130001 34.669444384,13.8333335130001 34.6794443840002,13.661269918 35.2251934380001,13.6511957500002 35.285918059,13.644508902 35.325951171,13.6168072130001 35.4928472070002,13.6176774570002 35.5055243980001,13.6166595880001 35.5412509330001,13.5946966230001 35.6459642070001,13.5538242650002 35.8396075060002,13.5506779180002 35.8543276510002,13.5303458400001 35.9524168150001,13.5152785250002 36.0282356060001,13.5142821540001 36.0324353300001,13.5059038260001 36.0685440500001,13.5042390610001 36.0756254410001,13.4614928060001 36.2585780320002,13.4496578730001 36.309193926,13.4127591470001 36.4652536860001,13.427024191 36.4690558120001,13.656032307 36.5143272660001,13.699784107 36.5225833950001,13.747095765 36.5310739870001,13.87319059 36.5513438660001,14.0006558750001 36.5214660820001,14.0010256420002 36.521378301,14.0749129720001 36.504953272,14.0968531490001 36.499219463,14.1335923620002 36.490052285,14.2236974260001 36.4679674990001,14.225397319 36.4675513320001,14.227097212 36.4671392050001,14.2291470970001 36.4666436950001,14.2296315880001 36.4665280470001,14.2324968150001 36.4658387430001,14.2349968260001 36.4652450700001,14.2378968960001 36.4645605960001,14.2716972590001 36.4567078250001,14.3112809690001 36.4474301400001,14.338821141 36.4411649110002,14.419803748 36.4230931530001,14.4661381270001 36.4026583500001,14.4724612880001 36.4001771590001,14.500979756 36.3895695210001,14.5227245220001 36.3815371520001,14.5253217270001 36.380569898,14.6231204040001 36.350484355,14.7992743360001 36.2719689260001,14.8896094540001 36.2319575390002,15.025804883 36.1727832040002,15.0799582360001 36.1494084510001,15.1845728230001 36.1040647020001),(14.2372207641602 36.0127716064454,14.2513885498047 36.0113830566407,14.2674999237061 36.0113830566407,14.2749996185303 36.0116653442382,14.3358325958251 36.0272216796876,14.3408317565919 36.0297164916993,14.3411102294923 36.0338821411133,14.3205547332764 36.051109313965,14.314998626709 36.0533294677735,14.2533321380616 36.0730514526368,14.2458324432374 36.0741653442383,14.2291660308839 36.0749969482421,14.2088871002198 36.0716629028321,14.1908321380615 36.0663833618165,14.1811103820801 36.0608291625978,14.1808319091797 36.055274963379,14.1858329772949 36.0333328247071,14.1911106109619 36.0244369506837,14.1969432830811 36.021942138672,14.2372207641602 36.0127716064454),(14.4732793879493 35.8090131151785,14.519718514 35.7999993850001,14.5645815140002 35.8235363850001,14.5699995140001 35.869436385,14.563890514 35.8777723850002,14.5560350689345 35.8850682419771,14.548336514 35.8922183850001,14.5109017400605 35.9247348291669,14.5102766700621 35.925277774978,14.5102725140001 35.925281385,14.4433365130002 35.9602723850001,14.4297340524514 35.9663543491201,14.3749995130001 35.9908273850001,14.3649995130002 35.991936385,14.3290995130002 35.9784633850001,14.333054513 35.8949998850001,14.3379185130001 35.8817998850002,14.3472139521986 35.8725044458017,14.3472185130001 35.872499885,14.366945513 35.8547183850001,14.3669586044416 35.8547073946232,14.3773635130001 35.845972385,14.4232064437898 35.8190018400583,14.4238905130001 35.818599385,14.4732793879493 35.8090131151785)))', 'Maltese Exclusive Economic Zone', 'Malta', 'Malta', '', '68', '68', 'MLT', '5685', '', '55408808680', '5685', 'Y'),('SRID=4326;MULTIPOLYGON(((66.438036647 25.5933271600001,66.5398371270001 25.509300012,66.550264322 25.451381525,66.565536051 25.376381639,66.5863824080001 25.327218261,66.64721826 25.2866633690001,66.7019361820001 25.243327692,66.7204094800001 25.222354798,66.732753802 25.197490411,66.7392905070001 25.166663752,66.7300543600001 25.140409474,66.7019361820001 25.051936482,66.6750452050001 24.921318861,66.6849100160001 24.8981185270001,66.7049911300001 24.8916631660001,66.667754302 24.8702001950001,66.65137287 24.8285366050001,66.6735990750001 24.824999613,66.7122087220001 24.8337456830001,66.7374898750001 24.845344846,66.8560905630001 24.854717572,66.9771998830001 24.822218827,67.1331810070001 24.7965279360001,67.235400263 24.7729178650001,67.2546458350001 24.7384005640001,67.238308589 24.723881023,67.2015096170001 24.715136962,67.148528056 24.6501364580001,67.151099957 24.6130542860001,67.2144273690001 24.5099994890001,67.2488723640001 24.4549903330001,67.273881364 24.4258277280001,67.2877642060001 24.3183280920001,67.2816633480001 24.280827145,67.290681572 24.217354115,67.3024725480001 24.1761093000001,67.3484544410001 24.0779090790001,67.371510163 24.0644450120001,67.4255281170001 24.0596456700001,67.4611993090001 24.065354868,67.4866451610001 24.045271746,67.500672616 23.9740448520001,67.5380369850001 23.9364274110001,67.5022824390001 23.8919087190001,67.5192182210001 23.8765456030001,67.5638724880001 23.8702730160001,67.6144277660001 23.8461096,67.6325535920001 23.8023541430001,67.6763723170001 23.792772531,67.708881105 23.789718587,67.8394274240001 23.8131910750001,67.8441544600001 23.8368001420001,67.8420726360001 23.8761097550001,67.855118932 23.901799641,67.9083284600001 23.8594370880001,67.9230357970001 23.8333274230001,67.9474814100001 23.8077731110001,68.0194363900001 23.766453981,68.048736579 23.8272908370001,68.0330460740001 23.898745697,68.0156272450001 23.935210252,68.053319001 23.9102725540001,68.071927875 23.792499374,68.057209491 23.749162692,68.0524101490001 23.7229817240001,68.0901270110001 23.6990271930001,68.150819255 23.6880456480001,68.1419366060001 23.7486003080001,68.1573810670001 23.8918725660001,68.1851899340001 23.8302092060001,68.174427317 23.805419134,68.1669275290001 23.754818664,68.1978003840001 23.766680943,68.1972852000001 23.761790213,68.197220928 23.7616998300001,68.1953891640001 23.758582618,68.194632959 23.757544217,68.193772311 23.7568221560001,68.1911050050001 23.753140552,68.190851933 23.752591223,68.1907645620001 23.752438576,68.1903929870001 23.7516271370001,68.1887630790001 23.7490974150001,68.1885260750001 23.7487931250001,68.1882478960001 23.7483090740001,68.1879034360001 23.747555881,68.186114855 23.744820286,68.185951161 23.7444667880001,68.184907738 23.742647075,68.18479024 23.7424783600001,68.184520095 23.7419501210001,68.183906495 23.74116178,68.1836453880001 23.740757064,68.1824242120001 23.738193198,68.180673793 23.735899476,68.18023895 23.7351051090001,68.1798723960001 23.7342494820001,68.17909008 23.7328133950001,68.1790137570001 23.732632629,68.177753415 23.7279507850001,68.1774200020001 23.727131312,68.177194044 23.7242671720001,68.1788530760001 23.7192489020001,68.178949484 23.718747778,68.18050809 23.7105249260001,68.1806205670001 23.7096723120001,68.1807059290001 23.7071877810001,68.1807681930001 23.706509908,68.181017248 23.7048558980001,68.181040346 23.7039580920001,68.1810262870001 23.703398722,68.181084534 23.7013590770001,68.181292415 23.7005255440001,68.181409913 23.6998235680001,68.182239429 23.692784734,68.1823569270001 23.6920435930001,68.1827023910001 23.686729067,68.1838040600001 23.6813201420001,68.1839587160001 23.6779197290001,68.1825417100001 23.6769385710001,68.179108157 23.674745274,68.175427557 23.672255722,68.1659323110001 23.6662311870001,68.158713715 23.6620856170001,68.155474988 23.6608453600001,68.149911407 23.658131859,68.1437944800001 23.655646324,68.1314722530001 23.649223099,68.121522079 23.6451156900001,68.1142844020001 23.641876962,68.110937215 23.640295258,68.0922148610001 23.631927793,68.092180716 23.6319117250001,68.0908912510001 23.631282056,68.081746491 23.6208749460001,68.060860968 23.5987310890001,68.0513546750001 23.5880257150001,68.0083182660001 23.541010441,68.001836794 23.5341604070001,67.997204159 23.5293088440001,67.909621943 23.4394359190001,67.9045514520001 23.4341967120001,67.7222889340001 23.2443831900001,67.692676422 23.18505071,67.6464725880001 23.094908644,67.5728415030001 22.9418137530001,67.5472148850001 22.8864531080001,67.4022072720001 22.582915568,67.363521302 22.520934863,67.3016731590001 22.4213788960001,67.158143812 22.219658909,67.067582971 22.152622777,66.6143117870001 21.8138087180001,66.4885818820001 21.719066152,66.1690284590001 21.478299667,65.8860560840001 21.268275482,65.6718602170001 21.1080995780001,65.6064077980001 21.0591440810001,65.100197231 21.3496363290001,64.6589359500001 21.7603983380001,64.654000029 21.766929019,64.6512483670001 21.7694778220001,64.64135644 21.782563284,64.635860144 21.787653861,64.625951145 21.8007563960001,64.620470917 21.8058309040001,64.6105458490001 21.818950511,64.6094050140001 21.820007993,64.59357291 21.818693421,64.5922673760001 21.818797864,64.5832129990001 21.818044672,64.580264502 21.8182786630001,64.5599273030001 21.8165874950001,64.5569526950001 21.816823496,64.5366406030001 21.815130319,64.5336428970001 21.8153673240001,64.5133539030001 21.8136731430001,64.510333099 21.8139121560001,64.4900661980001 21.8122179750001,64.4870233010001 21.8124569880001,64.4667794970001 21.810759795,64.4637135020001 21.8110028250001,64.443492797 21.8093046270001,64.4404027000001 21.809546653,64.4202060970001 21.8078484550001,64.417092901 21.808092489,64.396918392 21.806393287,64.3937820990001 21.806638326,64.3736316920001 21.804937115,64.3704723010001 21.805183158,64.350343987 21.8034809430001,64.347160494 21.803728995,64.3270582910001 21.8020267800001,64.3238496910001 21.80227684,64.303769582 21.800570608,64.3005388890001 21.8008226760001,64.2804828820001 21.799116445,64.277228086 21.799368513,64.2571941730001 21.797662281,64.2539172840001 21.7979153540001,64.2339084770001 21.796208118,64.2306064810001 21.7964621950001,64.2106197680001 21.794753954,64.2072956790001 21.7950090350001,64.187332063 21.793298787,64.1839838720001 21.793557885,64.1640443580001 21.791846632,64.160673069 21.792103721,64.140756654 21.7903924680001,64.1373622670001 21.7906525710001,64.1174689490001 21.7889393090001,64.1140514640001 21.789200416,64.0941802400001 21.7874871540001,64.090739657 21.7877492650001,64.07089354 21.7860329910001,64.0674288550001 21.7862971100001,64.0476048310001 21.784580836,64.0441160440001 21.784844955,64.0243161220001 21.7831286810001,64.0208052410001 21.7833948090001,64.001028417 21.7816765260001,63.997493434 21.781942654,63.9777407130001 21.780224371,63.9741826320001 21.7804925070001,63.9544509990001 21.7787732200001,63.950870825 21.7790423610001,63.931163295 21.7773200610001,63.9275580140001 21.77759121,63.907874586 21.77586891,63.904247211 21.7761420680001,63.8845868810001 21.7744187640001,63.883176905 21.774523206,63.875582717 21.77385638,63.868822062 21.7743625250001,63.8612720620001 21.7736997160001,63.850231265 21.774524211,63.8379431830001 21.7734426260001,63.826879288 21.774268125,63.814614303 21.773186541,63.803526307 21.774010031,63.7912844200001 21.772929451,63.7801733260001 21.7737539460001,63.767954536 21.772673366,63.7568203440001 21.7734988650001,63.744625657 21.7724172810001,63.733467363 21.773241775,63.7212957740001 21.772163204,63.710115386 21.7729866940001,63.69796589 21.771906114,63.6867624050001 21.7727316130001,63.6746370110001 21.771652037,63.6634094230001 21.772475527,63.6513081320001 21.771395952,63.6400564420001 21.7722204460001,63.6279772440001 21.7711418750001,63.616703461 21.771966369,63.6046483650001 21.770885789,63.593350479 21.7717112880001,63.581318482 21.7706327170001,63.5699974980001 21.771456207,63.5579896030001 21.77037864,63.5466445170001 21.7712021300001,63.534658715 21.770124563,63.5232915350001 21.7709490570001,63.51133084 21.7698704860001,63.370277989 21.789999804,63.3702777600001 21.79000009,63.3702777780001 21.7900000000001,63.2391666670001 21.953611111,63.1513493670001 22.06841138,63.139722222 22.083611111,63.1384308950001 22.0846777290001,63.138424845 22.084682727,62.6883560410001 22.456433293,62.4213888890001 22.6769444440001,62.0638888890001 22.910277778,62.0401587380001 22.9259211180001,62.014166667 22.943055556,61.636388889 23.1944444440001,61.608929839 23.2133172280001,61.5466666670001 23.2561111110001,61.4166667870001 23.3466665830001,61.4166666670001 23.346666667,61.5915476810001 24.3234919720001,61.5915759160001 25.046085373,61.6110271640001 25.197645,61.6110275 25.1976450760001,61.634436647 25.202771796,61.6883280650001 25.199435656,61.782872792 25.1742087320001,61.752427751 25.105691322,61.7290185310001 25.0873535970001,61.7242995300001 25.0552716180001,61.741518512 25.0397186970001,61.760828357 25.032082331,61.844854501 25.0373637160001,61.8638459960001 25.086800252,61.8808179310001 25.100554549,61.9113724360001 25.1127723340001,61.9493634610001 25.1194355760001,62.0141631130001 25.1166638280001,62.0715192160001 25.164436311,62.0808276700001 25.1858279800001,62.1058276320001 25.204435849,62.1338815380001 25.210826938,62.1677721830001 25.2163814800001,62.217073145 25.220962899,62.2444371270001 25.219717621,62.267218686 25.2136097320001,62.2997093980001 25.1945087730001,62.317498798 25.171662941,62.3747102880001 25.1827730310001,62.4791539710001 25.246518215,62.5269364970001 25.255554515,62.556936652 25.259445005,62.6005454880001 25.2627731110001,62.7447095250001 25.259445005,62.801936079 25.252218375,62.8366542320001 25.244718587,62.8855554990001 25.2347182,62.953881096 25.221662865,62.9869372040001 25.216662672,63.0140189900001 25.2155549770001,63.0861095450001 25.2320719840001,63.1133279100001 25.253118188,63.163045638 25.255554515,63.1844363020001 25.2519452170001,63.2316544350001 25.240553935,63.260827083 25.2326363770001,63.280827856 25.2245812350001,63.3031906400001 25.2187455000001,63.4291635750001 25.214999623,63.4810997060001 25.248609077,63.4706815490001 25.2819453720001,63.5181899120001 25.3281903810001,63.5435905730001 25.3463634070001,63.572491067 25.360000207,63.616936448 25.3702717420001,63.656381636 25.3788812340001,63.715963172 25.384853547,63.745136824 25.3854089010001,63.810828256 25.3719368000001,63.842763614 25.362771955,63.895055251 25.342354415,63.92916382 25.334163699,64.0010997190001 25.3347190530001,64.0685998180001 25.339372778,64.0755462600001 25.363881658,64.0544910180001 25.405554287,64.0341548230001 25.4131906540001,64.0140184750001 25.3904090940001,63.980546605 25.4183987280001,64.0216538380001 25.436663142,64.0477635030001 25.44360858,64.1173454250001 25.453191195,64.153390201 25.445962557,64.1394370610001 25.422636691,64.104146482 25.431245178,64.08040887 25.415690248,64.0936640520001 25.3284725770001,64.3880447810001 25.2666636010001,64.5060278510001 25.264236313,64.538182137 25.271109444,64.601236391 25.252081796,64.6216448930001 25.238190919,64.6310899250001 25.214580848,64.6199818440001 25.169990854,64.648736721 25.1624910670001,64.703073025 25.1881176850001,64.668381987 25.2084639220001,64.6616554770001 25.2308277110001,64.6667912450001 25.254028045,64.684291419 25.284581546,64.720681659 25.3095815080001,64.7629096410001 25.320554014,64.787490829 25.322499259,64.937190328 25.324718666,65.0535906900001 25.3122186850001,65.1144275460001 25.2945809280001,65.1362279470001 25.288055269,65.170054319 25.295209592,65.1922001840001 25.3173544530001,65.2051279780001 25.3477733830001,65.2449909370001 25.374509705,65.3371997630001 25.386382026,65.4664184550001 25.3826723020001,65.5424818490001 25.365826903,65.5885902790001 25.3530547680001,65.6625537720001 25.3431899570001,65.7830454750001 25.379436587,65.92803702 25.412218533,66.1392633 25.431054369,66.230190694 25.442636459,66.2779280280001 25.441963607,66.3399639670001 25.422090375,66.3612642480001 25.4077184600001,66.5000545090001 25.403817927,66.4850539290001 25.4849277100001,66.3319369440001 25.5540918620001,66.266309784 25.542499729,66.2212186660001 25.521645338,66.2000991520001 25.511936185,66.144145995 25.5072724180001,66.1658268890001 25.5680550440001,66.192744981 25.579717476,66.2269278650001 25.5933271600001,66.2485997210001 25.596944492,66.3594184240001 25.613609125,66.438036647 25.5933271600001)))', 'Pakistani Exclusive Economic Zone', 'Pakistan', 'Pakistan', '', '53', '53', 'PAK', '8359', '', '221941111800', '8359', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.6246399999999 34.99325,-29.35527 35.0789,-29.74341 35.1930800000001,-30.00254 35.2587300000001,-30.21372 35.32154,-30.6817399999999 35.5156400000001,-31.26388 35.77826,-31.70901 35.95525,-31.7459816109999 35.9883413470001,-31.81744 36.0523000000001,-31.85738 36.06372,-32.0457 36.09227,-32.26825 36.1379600000001,-32.7019099999999 36.2407400000001,-33.12413 36.3892000000001,-33.48925 36.53765,-33.7801699999999 36.70894,-34.13951 36.9430400000001,-34.60486 37.3284400000001,-34.9697399999999 37.7509400000001,-35.2262299999999 38.1505900000001,-35.44274 38.69296,-35.55661 39.2467300000001,-35.5792999999999 39.6634700000001,-35.52219 40.13728,-35.47655 40.29369,-35.4023999999999 40.5163200000001,-35.26553 40.8245600000001,-35.0545499999999 41.1613300000001,-34.7922399999999 41.5095200000001,-34.52993 41.8120300000001,-34.29041 42.0118000000001,-34.14214 42.13737,-33.8969 42.31431,-33.3949699999999 42.57685,-33.00138 42.7366500000001,-32.6761999999999 42.8565100000001,-32.3453 42.92499,-31.8717399999999 43.0163000000001,-31.50085 43.05053,-31.10711 43.0676300000001,-30.54785 43.03907,-30.22826 42.99339,-30.05134 42.9642700000001,-29.8287599999999 42.9185900000001,-29.56051 42.85008,-29.35504 42.78157,-29.0696599999999 42.69023,-28.81852 42.58176,-28.5616699999999 42.4561600000001,-28.4732 42.4162000000001,-28.37616 42.41049,-28.2391699999999 42.4276100000001,-27.9880199999999 42.4219000000001,-27.78253 42.4276100000001,-27.56562 42.4104800000001,-27.24596 42.38764,-27.0004999999999 42.3533800000001,-26.6523 42.25633,-26.18992 42.14216,-26.00726 42.0622300000001,-25.87596 41.9994400000001,-25.73896 41.96518,-25.31654 41.8281700000001,-25.0767799999999 41.7425400000001,-24.7171499999999 41.5998200000001,-24.3460899999999 41.4057300000001,-24.07208 41.21734,-24.01785 41.14655,-23.92652 41.0609200000001,-23.8751399999999 41.0437900000001,-23.7780999999999 41.0095400000001,-23.6753399999999 40.9867100000001,-23.3670799999999 40.8953700000001,-23.1786999999999 40.82115,-22.8475999999999 40.67843,-22.5907099999999 40.54143,-22.36808 40.393,-21.9684799999999 40.0961500000001,-21.66592 39.78788,-21.4432899999999 39.49674,-21.2377799999999 39.1656300000001,-21.10649 38.89162,-20.9809 38.42922,-20.89528 37.88005,-20.8553199999999 37.6402800000001,-20.87816 36.58989,-20.9866299999999 36.1731600000001,-21.1864399999999 35.6936400000001,-21.42621 35.3340000000001,-21.5860499999999 35.0999400000001,-22.1455 34.56904,-22.43493 34.31958,-22.73178 34.15403,-23.35973 33.8628900000001,-24.0105199999999 33.6802200000001,-24.56425 33.61172,-24.76976 33.5946000000001,-24.82114 33.5375100000001,-24.8896399999999 33.52038,-25.53471 33.54893,-25.6032099999999 33.5717700000001,-25.7173799999999 33.6345600000001,-26.0085099999999 33.6745300000001,-26.4041099999999 33.7487400000001,-26.9578299999999 33.9257200000001,-27.31746 34.09698,-27.8369099999999 34.3995400000001,-28.2193599999999 34.7021100000001,-28.4191499999999 34.9076200000001,-28.50477 34.9590000000001,-28.6246399999999 34.99325),(-25.054790523 37.015754386,-25.0826455229999 37.0231903860001,-25.0941725229999 37.023045386,-25.1149995229999 37.0208273860001,-25.1815275229999 37.0092993860001,-25.1980545229999 36.9943093860001,-25.2005545229999 36.983054386,-25.177781523 36.948745386,-25.167781523 36.943190386,-25.156390523 36.9427723860001,-25.1005635229999 36.9449993860001,-25.046945523 36.934718386,-25.018890523 36.929163386,-25.012845523 36.9394363860001,-25.0176455229999 36.9720813860001,-25.0333365229999 36.9969363860001,-25.054790523 37.015754386),(-25.1772275229999 37.863327387,-25.193609523 37.8644363870001,-25.3270815239999 37.8636093870001,-25.373963524 37.848054387,-25.401390524 37.8374903870001,-25.4355545239999 37.8305543870001,-25.549445524 37.825272387,-25.584999524 37.8266633870001,-25.5997275239999 37.827772387,-25.6774995239999 37.840963387,-25.698199524 37.855754387,-25.699027524 37.8741633870001,-25.728890524 37.895272387,-25.7477815239999 37.9011093870001,-25.777081524 37.909299387,-25.795281524 37.9083363870001,-25.8424995239999 37.9022183870001,-25.8541635239999 37.8838903870001,-25.864309524 37.8536093870001,-25.8574995239999 37.8358273870001,-25.8113905239999 37.8035993870001,-25.726945524 37.7533273870001,-25.711390524 37.744718387,-25.689727524 37.7379093870001,-25.563609524 37.7288813870001,-25.4561095239999 37.7055543870001,-25.342781524 37.7236093870001,-25.213336523 37.7376363870001,-25.166663523 37.7444363870001,-25.1552815229999 37.748881387,-25.146390523 37.7555543870001,-25.140836523 37.765272387,-25.130972523 37.8084633870001,-25.133609523 37.8224903870001,-25.1405545229999 37.8406903870001,-25.154999523 37.8533363870001,-25.165281523 37.858890387,-25.1772275229999 37.863327387),(-28.2466725259999 38.3719363880001,-28.203890526 38.399990388,-28.1924995259999 38.4049993880001,-28.1486905259999 38.4024093880001,-28.097227526 38.3926273880001,-28.056118526 38.394163388,-28.036872526 38.4141633880001,-28.048336526 38.430272388,-28.0701365259999 38.4441633880001,-28.085836526 38.4474903880001,-28.101672526 38.446109388,-28.125445526 38.447881388,-28.141109526 38.4498813880001,-28.1894455259999 38.4601363880001,-28.266390526 38.4980543880001,-28.3191725259999 38.528054388,-28.330281526 38.5327723880001,-28.354163526 38.5416633880001,-28.379718526 38.5491633880001,-28.421672526 38.557218388,-28.437499526 38.5583273880001,-28.4663905269999 38.5577813880001,-28.497918527 38.5540273880001,-28.525836527 38.5449993880001,-28.5397185269999 38.535554388,-28.5494455269999 38.5272183880001,-28.5519455269999 38.5122183880001,-28.5491725269999 38.4983273880001,-28.5402815269999 38.468890388,-28.521181527 38.441036388,-28.459718527 38.4052723880001,-28.4279185259999 38.413190388,-28.389445526 38.411945388,-28.283336526 38.404718388,-28.2681995259999 38.3995813880001,-28.2466725259999 38.3719363880001),(-28.594999527 38.5549273880001,-28.6083365269999 38.592354388,-28.6315275269999 38.6083273880001,-28.719999527 38.6404183880001,-28.8338905269999 38.603054388,-28.845836527 38.5951363880001,-28.846109527 38.5844453880001,-28.7588905269999 38.517772388,-28.7269455269999 38.5138813880001,-28.636109527 38.510272388,-28.594999527 38.5549273880001),(-28.156672526 38.6348543880001,-27.848609526 38.540554388,-27.8108365259999 38.539990388,-27.780281526 38.5419363880001,-27.7614635259999 38.547981388,-27.769445526 38.5583273880001,-27.9966725259999 38.641390388,-28.2855545259999 38.7447183880001,-28.2977815259999 38.7485993880001,-28.315554526 38.7485993880001,-28.314999526 38.734581388,-28.301390526 38.7213813880001,-28.1941725259999 38.6502723880001,-28.156672526 38.6348543880001),(-27.181663525 38.642772388,-27.138618525 38.629436388,-27.0833365249999 38.6319453880001,-27.054309525 38.643327388,-27.020145525 38.6931903880001,-27.0357635249999 38.734509388,-27.049445525 38.749445388,-27.065836525 38.764163388,-27.113336525 38.780827388,-27.142918525 38.7886093880001,-27.181663525 38.7949993880001,-27.2149995249999 38.7994363880001,-27.245836525 38.8016633880001,-27.281672525 38.8030543880001,-27.313336525 38.8006903880001,-27.330281525 38.7966633880001,-27.3638905249999 38.7877723880001,-27.3743095249999 38.7790183880001,-27.3849995259999 38.7633273880001,-27.388609526 38.7381903880001,-27.379999525 38.7105453880001,-27.367227525 38.6933273880001,-27.3513905249999 38.6816633880001,-27.3069455249999 38.658054388,-27.2947275249999 38.6538813880001,-27.274445525 38.6502723880001,-27.237499525 38.6472183880001,-27.181663525 38.642772388),(-31.2036095289999 39.5204093890001,-31.213890529 39.5219453890001,-31.2308365289999 39.520827389,-31.258472529 39.499372389,-31.2833365289999 39.4461093890001,-31.289027529 39.4109723890001,-31.279999529 39.3894453890001,-31.2588185289999 39.355618389,-31.239445529 39.353336389,-31.215554529 39.353336389,-31.180145529 39.3542993890001,-31.154163529 39.365272389,-31.148054529 39.374163389,-31.1313905289999 39.414990389,-31.126045529 39.455199389,-31.146663529 39.485836389,-31.1533365289999 39.4947183890001,-31.2036095289999 39.5204093890001)))', 'Portuguese Exclusive Economic Zone (Azores)', 'Azores', 'Portugal', '', '183', '55', 'PRT', '8361', '2012-10 (name)', '954962064500', '8361', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.48362 34.1756800000001,-12.9087724249999 32.7544935830001,-12.913034372 32.7402476020001,-12.9871321599999 32.4925546490001,-13.0551995119999 32.265020146,-13.8744495129999 31.722860145,-14.680109514 29.784980144,-14.741072258 29.709539658,-15.0853124719999 29.2835475310001,-15.115589514 29.246080143,-16.076909515 29.3059601430001,-16.333990225 29.322441306,-16.501499515 29.3331801430001,-16.8770995159999 29.382180143,-17.0347739599999 29.560295191,-17.7589395169999 30.378340144,-17.981632396 30.6269947850001,-18.2025795169999 30.873700145,-18.24703198 30.877923857,-18.9341667849999 30.943212922,-20.4942895189999 31.0914501450001,-20.701139519 31.102340145,-20.720467519 31.136448145,-20.7483090009999 31.18558123,-20.7483089089999 31.1855813500001,-20.744660519 31.190348381,-20.772261519 31.233192381,-20.797683143 31.274229339,-20.907989519 31.5106001450001,-21.01140952 31.722900145,-21.07672952 31.8916501460001,-21.12571952 32.062570146,-21.1801495199999 32.3510801460001,-21.2182595199999 32.7157901460001,-21.19102952 33.091390147,-21.13114952 33.472440147,-21.0277195199999 33.7936001470001,-20.8916295189999 34.1202101480001,-20.7392095189999 34.392380148,-20.655929519 34.5034301480001,-20.5633895189999 34.661290148,-20.4381895189999 34.808260148,-20.3456495189999 34.9225801480001,-20.2149995189999 35.053220148,-20.0897995189999 35.1620901490001,-19.970039519 35.2709601490001,-19.844839518 35.347160149,-19.599879518 35.543130149,-19.409359518 35.641110149,-19.0990795179999 35.804410149,-18.777909527 35.929610145,-18.36965 36.05481,-18.3070499999999 36.0656900000001,-18.06753 36.1146800000001,-18.067529774 36.1146800970001,-18.067529517 36.114680149,-18.029429518 36.131010153,-17.89334 36.1745599990001,-17.893339517 36.1745601490001,-17.659269708 36.261660078,-17.43609 36.3215300000001,-17.1693599999999 36.3705200000001,-16.7719799999999 36.42495,-16.4236 36.45761,-16.1280199999999 36.45271,-15.8504 36.43638,-15.6108899999999 36.4037200000001,-15.4693599999999 36.38739,-15.2516199999999 36.3492800000001,-15.03388 36.3002900000001,-14.82703 36.23497,-14.5820699999999 36.1369800000001,-14.3371099999999 36.039,-14.23641 36.00089,-13.82271 35.7668200000001,-13.5396499999999 35.56541,-13.19127 35.24969,-12.87555 34.89041,-12.6795799999999 34.5801300000001,-12.6258478349999 34.4692299490001,-12.5901079079999 34.3954648260001,-12.48362 34.1756800000001),(-16.9883365159999 32.6552723820001,-16.943609516 32.637499382,-16.918488281 32.6377663810001,-16.8645899439999 32.638339235,-16.839172516 32.638609382,-16.8218905159999 32.644345382,-16.819581516 32.6461093820001,-16.798780516 32.6670003310001,-16.78210282 32.6837501460001,-16.7579100319999 32.7080475510001,-16.734829142 32.731228248,-16.721534909 32.744579969,-16.720836516 32.745281382,-16.7155545159999 32.7588903820001,-16.902227516 32.8379093830001,-16.913336516 32.839163383,-16.959999516 32.830827383,-16.974112149 32.8262211460001,-16.979111981 32.8245892460001,-16.9791559299999 32.8245749020001,-17.008897947 32.8148673760001,-17.009802 32.8145723010001,-17.011371798 32.8140599330001,-17.0123551519999 32.813738975,-17.0131995159999 32.8134633820001,-17.01370894 32.8133751730001,-17.0164205629999 32.8129056430001,-17.0197943429999 32.8123214570001,-17.021270487 32.8120658550001,-17.0217492909999 32.811982948,-17.029999516 32.8105543820001,-17.053054516 32.8094363820001,-17.100449231 32.8227513790001,-17.102499516 32.823327383,-17.105817352 32.8245811460001,-17.125281516 32.831936383,-17.1333365159999 32.8388813830001,-17.151945516 32.8574993830001,-17.1588905159999 32.865272383,-17.159147462 32.865391146,-17.162029263 32.8667231520001,-17.169727516 32.8702813830001,-17.1906995159999 32.868609383,-17.192467307 32.8670647160001,-17.201258529 32.8593830900001,-17.2201018009999 32.842918146,-17.2456942979999 32.8205558400001,-17.249670904 32.8170811460001,-17.254518516 32.812845382,-17.2468421789999 32.795578876,-17.241249516 32.7829992110001,-17.240826016 32.7820466260001,-17.2404257109999 32.7811462130001,-17.2391725159999 32.778327382,-17.2327815159999 32.769999382,-17.2063905159999 32.7374993820001,-17.1959725159999 32.7288813820001,-17.1580545159999 32.709163382,-17.1517249349999 32.706219794,-17.1516598019999 32.7061895040001,-17.102499516 32.6833273820001,-17.067781516 32.6769363820001,-16.9883365159999 32.6552723820001)))', 'Portuguese Exclusive Economic Zone (Madeira)', 'Madeira', 'Portugal', '', '183', '57', 'PRT', '8363', '2012-10 (name)', '454053875900', '8363', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.1351483679999 29.2798287620001,-12.1686490989999 29.211223069,-12.179687541 29.1888708400001,-12.2045075099999 29.140050339,-12.2092588319999 29.130801132,-12.228513618 29.1086524930001,-12.237088792 29.0990735400001,-12.265532132 29.06866638,-12.2890515999999 29.0449885630001,-12.3053979179999 29.02864049,-12.318533821 29.0158980150001,-12.3196196489999 29.014852107,-12.39367412 28.9443306090001,-12.400173405 28.938317855,-12.4041656799999 28.934798094,-12.431719471 28.910914269,-12.437995589 28.9054839660001,-12.484622664 28.87348738,-12.500168818 28.8635802430001,-12.509163836 28.8578787010001,-12.54190435 28.8380443560001,-12.542910408 28.8374551800001,-12.5512607439999 28.8326622750001,-12.5688740869999 28.822694084,-12.5758478239999 28.817019811,-12.610317799 28.78911557,-12.629379688 28.7739936070001,-12.636126718 28.7686646760001,-12.6442558379999 28.7624012100001,-12.6867088679999 28.730021794,-12.7536243179999 28.687169113,-12.771995465 28.6754709370001,-12.8434977169999 28.636049368,-12.8962249909999 28.609390111,-12.9059389509999 28.604677757,-12.967730423 28.575751215,-12.976734044 28.571598841,-13.164954367 28.4968819750001,-13.236589266 28.4120839920001,-13.249308985 28.3969776050001,-13.260396806 28.379604559,-13.2763963149999 28.3539127710001,-13.2943325599999 28.325031451,-13.2957205929999 28.3227902630001,-13.3146859729999 28.2953374410001,-13.3865902439999 28.186664879,-13.386818977 28.186261856,-13.392304209 28.176716304,-13.399267911 28.1624042730001,-13.4113700089999 28.1400217350001,-13.4522800739999 28.0626141120001,-13.4757808799999 28.0388263950001,-13.4923253219999 28.022044313,-13.544680564 27.965404118,-13.549666465 27.959850827,-13.577867351 27.9288542560001,-13.596978758 27.9074975290001,-13.6019778479999 27.9018748500001,-13.6059886489999 27.8973201200001,-13.669748367 27.8251701990001,-13.684948188 27.808180013,-13.727651534 27.761725992,-13.8514306459999 27.6668718180001,-13.852245658 27.666303124,-13.861707892 27.6527488300001,-13.871790005 27.6383745680001,-13.8914363449999 27.6110622570001,-13.9012963079999 27.5975756,-13.9023229709999 27.596387153,-13.9251009929999 27.570482644,-13.9776168619999 27.520949833,-13.983333081 27.5156382270001,-14.0124271469999 27.488677126,-14.034184362 27.469759147,-14.04118196 27.4639991390001,-14.228231541 27.310597156,-14.268328448 27.2791661970001,-14.3322878069999 27.2395023440001,-14.3419633139999 27.2371487720001,-14.375879238 27.2292881070001,-14.403123864 27.2235088780001,-14.531328534 27.2139813580001,-14.699106319 27.1873199200001,-14.71777236 27.174029863,-14.9057782899999 27.0403511060001,-14.913986506 27.0345364930001,-15.0236967929999 26.975951196,-15.0846993649999 26.9367933280001,-15.099435974 26.927379364,-15.206364902 26.859950924,-15.235286065 26.8418573870001,-15.251404953 26.8319130690001,-15.2581776609999 26.8277741520001,-15.2856610549999 26.811398577,-15.3087339749999 26.798016578,-15.377557661 26.7583194330001,-15.410191206 26.73954144,-15.492584914 26.692323962,-15.554405737 26.65604961,-15.568059713 26.648540333,-15.585835672 26.6387986820001,-15.8579758989999 26.4894765450001,-16.0311264019999 26.387969911,-16.227968715 26.3019544960001,-16.253439843 26.2908201170001,-16.254989537 26.290143954,-16.2697456189999 26.2838172520001,-16.303023719 26.26966535,-16.3417132559999 26.2532340110001,-16.3790595409999 26.237538134,-16.412024259 26.2239533420001,-16.486384416 26.1952771520001,-16.5669393929999 26.169978585,-16.6618280549999 26.1402329950001,-16.7381609089999 26.11630426,-16.7436645359999 26.1099921520001,-16.809385165 26.034617187,-16.94358326 25.880540378,-16.950919405 25.872592125,-17.129494216 25.6766053310001,-17.200543824 25.632385877,-17.228174904 25.6164461760001,-17.521046278 25.4751870530001,-17.660590284 25.4089235700001,-17.761696843 25.361238772,-17.845109932 25.3223743630001,-18.1642275469999 25.177050864,-18.546662668 25.003854876,-18.603069284 24.980269315,-19.495705518 24.603629246,-19.4957053529999 24.6036294850001,-19.4957055909999 24.6036292160001,-19.495705453 24.603629402,-19.495705518 24.603629375,-19.978366519 24.798800375,-19.978933519 24.7991493750001,-19.979376519 24.7993293750001,-19.9798825189999 24.799639375,-19.9809695189999 24.8000803750001,-20.5118285189999 25.1243463750001,-20.513806519 25.1260663750001,-20.5189485189999 25.1291883750001,-20.5193065189999 25.129499375,-20.5207025189999 25.130346375,-20.98459952 25.531556376,-21.36756752 25.9982843760001,-21.36850752 25.9999763760001,-21.3705765199999 26.002483376,-21.3707065199999 26.0027173760001,-21.37169352 26.0039133760001,-21.66176952 26.5226933770001,-21.8492075199999 27.0784143770001,-21.92695552 27.6546653780001,-21.89096452 28.2341823780001,-21.89089052 28.2344593780001,-21.8904285199999 28.241895378,-21.89032952 28.2422683780001,-21.8902495199999 28.243544378,-21.88747252 28.2540213780001,-21.8864885199999 28.2698433780001,-21.79397252 28.617791379,-21.80540452 28.7013153790001,-21.80494952 28.7085593790001,-21.80562652 28.713500379,-21.80560452 28.7138503790001,-21.80571452 28.714648379,-21.80537952 28.7199693790001,-21.80544752 28.7204673790001,-21.76897752 29.2999853790001,-21.7688305199999 29.3005343790001,-21.7688105199999 29.3008403790001,-21.7685785199999 29.301708379,-21.76823252 29.307203379,-21.61606052 29.8722983800001,-21.3509825199999 30.4054713800001,-20.97954752 30.8899283810001,-20.97536652 30.8937083810001,-20.9695885199999 30.9012013810001,-20.96046352 30.9094493810001,-20.9539435199999 30.917901381,-20.95172552 30.919905381,-20.94143352 30.9332423810001,-20.7483090009999 31.18558123,-20.720467519 31.136448145,-20.701139519 31.102340145,-20.4942895189999 31.0914501450001,-18.9341667849999 30.943212922,-18.24703198 30.877923857,-18.2025795169999 30.873700145,-17.981632396 30.6269947850001,-17.7589395169999 30.378340144,-17.0347739599999 29.560295191,-16.8770995159999 29.382180143,-16.501499515 29.3331801430001,-16.333990225 29.322441306,-16.076909515 29.3059601430001,-15.115589514 29.246080143,-15.0853124719999 29.2835475310001,-14.741072258 29.709539658,-14.680109514 29.784980144,-13.8744495129999 31.722860145,-13.0551995119999 32.265020146,-12.9871321599999 32.4925546490001,-12.913034372 32.7402476020001,-12.9087724249999 32.7544935830001,-12.5156780469999 32.0104778460001,-11.9964693119999 31.0131506280001,-11.860662245 30.644523495,-11.7531667989999 30.3243100620001,-11.753226529 30.323090359,-11.7673525239999 30.253890943,-11.7833878559999 30.219098337,-11.7942820719999 30.1961723740001,-11.8369983499999 30.1088156390001,-11.900170648 29.9856680340001,-11.972941836 29.743553525,-11.9939036019999 29.6759169310001,-12.0691749719999 29.4367491510001,-12.081397781 29.4067968630001,-12.0839907979999 29.400495489,-12.1275102029999 29.2955323620001,-12.1351483679999 29.2798287620001)))', 'Spanish Exclusive Economic Zone (Canary Islands)', 'Canary Islands', 'Spain', '', '182', '58', 'ESP', '8364', '2012-10 (name)', '456630260400', '8364', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.33450867599993 36.1625633,-5.33316550499995 36.1624233860001,-5.25924550499997 36.153696386,-5.14106250499998 36.1403833860001,-5.13728950499996 36.140117386,-5.10271150499995 36.1361173860001,-5.04195550499998 36.119768386,-4.89237450499996 36.084418386,-5.00470850499994 36.0650713860001,-5.08594950499997 36.050489386,-5.09641750499998 36.048552386,-5.10271550499994 36.0473533860001,-5.15438650499993 36.0372163860001,-5.19922450499996 36.0292113850001,-5.23738650499996 36.022219385,-5.29299850499996 36.0125003850001,-5.30859495599998 36.009871962,-5.33113950499995 36.0116623850001,-5.34649750499995 36.034827385,-5.36656550499993 36.064692386,-5.37438050499998 36.075592386,-5.37484050499995 36.0762403860001,-5.38385650499993 36.089307386,-5.38552450499998 36.0915223860001,-5.39052450499997 36.1000603860001,-5.39121350499994 36.106194386,-5.39150750499994 36.1092243860001,-5.39155950499998 36.1093963860001,-5.39454950499993 36.117244386,-5.39535050499995 36.119726386,-5.39551950499992 36.1250453860001,-5.39549450499993 36.1257843860001,-5.39563350499998 36.1268953860001,-5.39580350499995 36.128345386,-5.39768650499997 36.1379423860001,-5.39819350499994 36.1399933860001,-5.39876750499997 36.1420433860001,-5.39945350499994 36.1441123860001,-5.39227450499993 36.147124386,-5.39177150499995 36.1473173860001,-5.38354850499996 36.150052386,-5.38325850499996 36.150137386,-5.37744950499996 36.1514603860001,-5.37414950499993 36.1523743860001,-5.37340550499994 36.1525403860001,-5.37225950499993 36.1526993860001,-5.36608850499994 36.155515386,-5.36094450499996 36.159484386,-5.35668150499993 36.162864386,-5.35579985799995 36.1633090880001,-5.34442750499994 36.150272386,-5.35517250499993 36.1453093860001,-5.35617250499996 36.1264633860001,-5.34509050499997 36.1127363860001,-5.33830950499993 36.1120723860001,-5.33582750499994 36.1390273860001,-5.33748150499997 36.148945386,-5.33450950499997 36.162563386,-5.33450867599993 36.1625633)))', 'Gibraltarian Exclusive Economic Zone', 'Gibraltar', 'United Kingdom', '', '180', '60', 'GIB', '8365', '', '425595234.2', '8365', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6852777780001 38.401666666,10.8686111110001 38.0513888880001,11.1675000000001 37.784444443,11.15 37.6838888880001,11.7 37.401388888,11.7513888890001 37.3677777770001,11.8005555560001 37.334999999,11.8686111110001 37.233888888,11.9355555560001 37.1344444430001,12.0025000000001 37.0522222210001,12.0157703080001 37.0342696810001,12.0070075520001 37.0361916320001,11.9908015520001 37.0388436320001,11.974413552 37.040638632,11.957913552 37.0415666320001,11.9413725520001 37.041626632,11.924863552 37.040815632,11.9192705520001 37.040342632,11.9175085520001 37.0402146320001,11.9011015520001 37.038536632,11.8848685520001 37.035999632,11.8703615520001 37.0329666320001,11.862953552 37.031286632,11.847275552 37.0270676320001,11.8319785520001 37.022032632,11.828721552 37.020755632,11.8245255520001 37.0193736320001,11.809675552 37.013544632,11.795335552 37.006948632,11.7815665520001 36.999611632,11.768428552 36.9915676320001,11.755978552 36.9828496320001,11.7442675520001 36.973496632,11.7333485520001 36.963547632,11.723266552 36.9530466320001,11.714064552 36.9420376320001,11.7057815520001 36.9305691320001,11.7052925520001 36.9298336320001,11.6998915520001 36.922160632,11.6925655520001 36.9102816320001,11.6862255520001 36.8980426320001,11.680897552 36.8854966320001,11.6766035520001 36.872698632,11.6733615520001 36.8597016320001,11.672592552 36.855747632,11.6718135520001 36.852187632,11.669637552 36.8390486320001,11.668536552 36.825823632,11.6684105520001 36.8163366320001,11.6683205520001 36.8144606320001,11.6682975520001 36.8012066320001,11.669351552 36.787979632,11.669368552 36.787843632,11.669932552 36.7824006320001,11.6720595520001 36.7692586320001,11.675249552 36.756255632,11.6794875520001 36.743448632,11.6847555520001 36.7308916320001,11.691030552 36.7186386320001,11.6982845520001 36.706742632,11.7064875520001 36.6952526320001,11.7156025520001 36.6842196320001,11.719739552 36.679859632,11.723807552 36.673178632,11.732002552 36.6616876320001,11.7411085520001 36.6506516320001,11.7510895520001 36.6401186320001,11.7518725520001 36.6393946320001,11.752474552 36.638549632,11.7615755520001 36.627512632,11.7715485520001 36.616977632,11.7823525520001 36.6069896320001,11.793940552 36.597592632,11.796169552 36.5960066320001,11.803106552 36.5903796320001,11.8154265520001 36.581609632,11.828428552 36.573508632,11.842056552 36.5661076320001,11.8562525520001 36.5594396320001,11.8709565520001 36.553533632,11.8861065520001 36.5484136320001,11.9016365520001 36.544101632,11.9060255520001 36.543046632,11.911983552 36.5414996320001,11.9278265520001 36.5380126320001,11.9439175520001 36.535366632,11.960188552 36.5335736320001,11.964551552 36.5332406320001,11.9651575520001 36.5331886320001,11.974550552 36.532547632,11.9765425520001 36.532374632,11.992922552 36.5314386320001,12.0093435520001 36.5313666320001,12.0257355520001 36.5321596320001,12.042028552 36.533813632,12.0581545520001 36.5363216320001,12.074044552 36.5396736320001,12.0896305530001 36.543853632,12.1048465530001 36.5488466320001,12.119627553 36.5546286320001,12.133910553 36.5611776320001,12.143634553 36.566231632,12.155336553 36.5725076320001,12.168445553 36.5804996320001,12.1808815530001 36.5891656320001,12.1925915530001 36.5984676320001,12.1956525530001 36.601239632,12.2000665530001 36.6047446320001,12.2039755530001 36.608135632,12.2068675530001 36.610545632,12.2178045530001 36.620443632,12.2279185530001 36.630896632,12.2371655530001 36.641858632,12.245505553 36.6532846320001,12.2529025530001 36.6651256320001,12.2593245530001 36.6773306320001,12.259422553 36.6775576320001,12.261431553 36.681373632,12.266851553 36.693890632,12.2673039090001 36.6951708290001,12.267306654 36.6951671420001,12.3505555560001 36.5833333320001,12.4844444440001 36.3833333320001,12.5005555560001 36.351944443,12.534444444 36.2505555550001,12.6336111110001 36.1352777770001,12.710674571 36.039912982,12.7039135530001 36.0363536310001,12.6908375530001 36.028432631,12.6784295530001 36.019832631,12.6667435530001 36.0105906310001,12.655829553 36.000745631,12.6457355530001 35.990342631,12.6365015530001 35.979423631,12.6281695530001 35.9680376310001,12.620773553 35.956231631,12.614345553 35.9440586310001,12.608912553 35.9315696310001,12.604496553 35.918817631,12.6011175530001 35.9058586310001,12.598787553 35.8927486310001,12.597516553 35.8795416310001,12.5972825530001 35.8676936310001,12.597342553 35.8639336310001,12.5973715530001 35.8625356310001,12.5982295530001 35.849307631,12.6001475530001 35.8361546310001,12.6031165530001 35.823130631,12.6071245530001 35.810293631,12.612152553 35.7976976310001,12.6181785530001 35.785395631,12.6209665530001 35.780389631,12.6211465530001 35.780054631,12.628143553 35.768099631,12.6360825530001 35.7565426310001,12.637914553 35.7541106310001,12.639515553 35.751915631,12.648361553 35.7408066310001,12.6580765530001 35.730191631,12.668619553 35.7201166310001,12.669811553 35.7190726310001,12.664365553 35.720235631,12.6484795530001 35.7229936310001,12.6324065530001 35.724896631,12.6162145530001 35.725936631,12.6109055530001 35.726087631,12.6082095530001 35.7261406310001,12.597277553 35.726159631,12.597179553 35.726158631,12.5953095530001 35.7261276310001,12.5856265530001 35.7258116310001,12.5810945530001 35.726520631,12.5778365530001 35.727012631,12.5617615530001 35.728904631,12.5455675530001 35.7299336310001,12.5339985530001 35.7301366310001,12.524079553 35.7301306310001,12.5078605530001 35.729421631,12.4917345530001 35.727846631,12.4757695530001 35.725411631,12.4600365530001 35.722129631,12.458746553 35.721812631,12.453970553 35.720816631,12.4385375530001 35.716698631,12.4234685530001 35.7117646310001,12.408830553 35.7060356310001,12.394685553 35.6995366310001,12.383048553 35.693400631,12.3818195530001 35.6927126310001,12.3798665530001 35.6916066310001,12.366888553 35.683653631,12.3545785530001 35.675024631,12.3429905530001 35.665755631,12.332172553 35.655887631,12.3289395530001 35.652668631,12.3257855530001 35.649653631,12.3157865530001 35.639227631,12.3066465530001 35.628290631,12.2984055530001 35.6168876310001,12.291097553 35.605069631,12.284754553 35.5928856310001,12.2794025530001 35.5803896310001,12.2750635530001 35.567634631,12.271756553 35.5546746310001,12.2694935530001 35.541565631,12.2685335530001 35.532283631,12.268469553 35.531432631,12.268222553 35.5275226310001,12.268221553 35.527513631,12.268073553 35.514276631,12.2689825530001 35.501059631,12.270947553 35.4879206310001,12.2739565530001 35.474914631,12.277998553 35.4620976310001,12.2830545530001 35.449523631,12.2891025530001 35.437247631,12.296116553 35.425320631,12.304065553 35.413794631,12.312916553 35.402717631,12.3226295530001 35.392137631,12.3331645530001 35.3820996310001,12.3444755530001 35.3726466310001,12.3565145530001 35.3638176310001,12.369229553 35.3556516310001,12.3825665530001 35.348182631,12.3835145530001 35.347690631,12.385769553 35.3465256310001,12.398723553 35.340277631,12.413130553 35.334293631,12.427983553 35.329093631,12.4285445530001 35.328931631,12.4294615530001 35.3286106310001,12.4387365530001 35.325825631,12.4433795530001 35.324524631,12.446714553 35.3235416310001,12.454915553 35.3212876310001,12.4704645530001 35.3177146310001,12.473016553 35.317272631,12.4781425530001 35.3158146310001,12.488751553 35.311397631,12.503594553 35.3061866310001,12.5188195530001 35.301779631,12.5211625530001 35.301239631,12.530966553 35.2984006310001,12.546508553 35.2948156310001,12.5623015530001 35.2920696310001,12.5782785530001 35.2901736310001,12.594372553 35.2891356310001,12.610514553 35.2889616310001,12.626637553 35.289650631,12.627260553 35.289694631,12.6368385530001 35.289692631,12.6529605530001 35.2903776310001,12.6689955530001 35.291923631,12.684873553 35.2943236310001,12.700527553 35.297567631,12.7158905530001 35.3016416310001,12.730898553 35.306529631,12.745486553 35.312208631,12.7595925530001 35.3186566310001,12.7658495530001 35.321845631,12.7665205530001 35.322198631,12.773827553 35.3261986310001,12.7867925530001 35.3340976310001,12.7991015530001 35.342673631,12.8107025530001 35.3518896310001,12.8215465530001 35.3617066310001,12.831585553 35.3720826310001,12.8407785530001 35.382974631,12.8490835530001 35.394334631,12.856465553 35.406114631,12.862894553 35.4182646310001,12.8683395530001 35.4307336310001,12.872778553 35.443466631,12.8761915530001 35.456410631,12.878563553 35.4695096310001,12.8798835530001 35.482707631,12.880145553 35.495948631,12.880097553 35.4978056310001,12.8800835530001 35.503712631,12.879338553 35.516056631,12.879398553 35.5190866310001,12.8786005530001 35.5323136310001,12.876744553 35.5454696310001,12.873839553 35.5584986310001,12.869895553 35.571344631,12.8661275530001 35.5811586310001,12.8657715530001 35.5820096310001,12.8645735530001 35.5848036310001,12.8586075530001 35.5971186310001,12.851666553 35.6090876310001,12.8437785530001 35.6206606310001,12.834977553 35.6317866310001,12.825301553 35.6424176310001,12.8147915530001 35.652508631,12.8130665530001 35.6539596310001,12.8280835530001 35.652153631,12.844258553 35.6510816310001,12.849482553 35.6509206310001,12.8512495530001 35.650845631,12.8633565530001 35.6506076310001,12.865602553 35.650509631,12.881828553 35.6502976310001,12.8980365530001 35.6509506310001,12.9141585530001 35.652464631,12.930125553 35.654833631,12.9458705530001 35.658047631,12.9613255530001 35.6620926310001,12.9764255530001 35.6669526310001,12.9911065530001 35.6726056310001,13.005304553 35.6790286310001,13.0166395530001 35.6849016310001,13.016721553 35.6849476310001,13.0190435530001 35.686239631,13.032099553 35.694116631,13.044498553 35.702672631,13.056187553 35.7118706310001,13.0671175530001 35.721671631,13.067731553 35.722261631,13.067759553 35.722288631,13.0743145120001 35.729025914,13.1847222220001 35.651666666,13.5801324340001 35.2707451700001,12.125978794 34.1749618050001,12.0000011060001 33.9166692680001,11.9999995110001 33.9166673840001,11.612562252 33.401277179,11.6125116010001 33.4012098010001,11.585107511 33.364755383,11.566442511 33.2987843830001,11.539969511 33.2273213830001,11.537370552 33.2139835890001,11.5373705440001 33.2139835500001,11.5373705110001 33.213983383,11.536198158 33.210703704,11.5312465110001 33.196851383,11.526081511 33.171136383,11.481945511 33.187772383,11.4315995110001 33.1891633830001,11.3649995110001 33.1816633830001,11.3427815110001 33.1827813830001,11.17429951 33.210063383,11.1211095100001 33.285827383,11.1011095100001 33.4297183830001,11.1036545100001 33.460445383,11.1137455100001 33.4924998830001,11.1144455100001 33.5222183830001,11.10736351 33.549718383,11.09166351 33.5770813830001,11.0788905100001 33.5941633830001,11.0558365100001 33.6126363830001,11.02583651 33.625545383,10.97965451 33.6367273830001,10.9336095100001 33.630000383,10.9019455100001 33.6136723830001,10.92076351 33.593463383,10.9299995100001 33.5670813830001,10.9097905100001 33.5362453830001,10.7516635100001 33.4737453830001,10.6915275100001 33.4918003830001,10.6727815100001 33.5483273830001,10.7058995100001 33.5786093830001,10.7172185100001 33.605554383,10.7247185100001 33.679581383,10.71597251 33.704163383,10.69471851 33.712491383,10.65909951 33.701663383,10.6313905100001 33.683881383,10.60555451 33.6713913830001,10.5302815100001 33.6494363830001,10.47832751 33.638672383,10.4571995100001 33.6507453830001,10.39027251 33.673045383,10.3561095100001 33.6861003830001,10.33194551 33.700272383,10.31444551 33.7127723830001,10.2663905100001 33.7486003830001,10.166109509 33.829163383,10.0963905090001 33.914445384,10.079718509 33.935272384,10.068890509 33.9530453840001,10.039299509 34.0095813840001,10.030836509 34.036381384,10.0191635090001 34.0802723840001,10.0141635090001 34.1097183840001,10.007081509 34.168609384,10.0124725090001 34.1711363840001,10.0213905090001 34.1911093840001,10.0369455090001 34.2180453840001,10.116036509 34.314227384,10.152218509 34.3247813840001,10.33610951 34.407490384,10.3749995100001 34.435827384,10.3952815100001 34.4602723840001,10.4303455100001 34.4962453840001,10.49652751 34.5226363840001,10.5753095100001 34.5457998840001,10.6327725100001 34.631799384,10.65889051 34.642490384,10.6802725100001 34.644718384,10.70874551 34.651381384,10.73139051 34.670272384,10.8230545100001 34.793609384,10.9094455100001 34.8886093840001,11.0148635100001 35.0621453850001,11.01429051 35.0926723850001,11.01950951 35.124027385,11.04881851 35.1580543850001,11.0724995100001 35.170627385,11.1266635100001 35.2419453850001,11.10082751 35.263054385,11.0847185100001 35.2749913850001,11.0508365100001 35.305136385,11.02597251 35.338609385,11.01958151 35.3890998850001,11.0544905100001 35.5017363850001,11.02999951 35.5216633850001,11.0137095100001 35.562718385,11.0270815100001 35.637354385,11.00139051 35.6563913850001,10.9730545100001 35.6641633850001,10.92971851 35.6708273850001,10.9072185100001 35.673336385,10.87139051 35.6820813850001,10.82708151 35.7059003850001,10.8148635100001 35.724445385,10.73971851 35.7716633850001,10.68877251 35.7870363850001,10.6858365100001 35.788609385,10.6249995100001 35.8408273850001,10.60486351 35.8623543850001,10.51999951 35.9722183850001,10.47166351 36.056663386,10.45618151 36.117354386,10.45597251 36.179163386,10.46902751 36.2551363860001,10.4802725100001 36.287499886,10.4977725100001 36.3281908860001,10.51278151 36.3511093860001,10.5224455100001 36.362854386,10.5302815100001 36.370827386,10.54749951 36.3841633860001,10.57221851 36.397772386,10.6736095100001 36.4341633860001,10.7408365100001 36.4533273860001,10.79639051 36.465345386,10.8127725100001 36.4827723860001,10.82194551 36.503054386,10.83679951 36.542636386,10.86471851 36.5919453860001,10.8972185100001 36.648045386,10.96749951 36.7436093860001,10.9808365100001 36.7602723860001,11.0356905100001 36.8113813860001,11.1022185100001 36.9044453860001,11.06778151 37.0513813860001,11.03937251 37.0859633860001,10.8938905100001 37.039372386,10.86832751 36.9963813860001,10.8191635100001 36.9508273860001,10.7131905100001 36.8868003860001,10.6774995100001 36.878881386,10.65499951 36.8769363860001,10.6227725100001 36.8763913860001,10.59916351 36.8783273860001,10.5663905100001 36.8573543860001,10.5472185100001 36.8177723860001,10.52444551 36.7756183860001,10.48416351 36.752218386,10.45860951 36.7386093860001,10.4361095100001 36.7297183860001,10.4153185100001 36.7240363860001,10.4072185100001 36.722772386,10.3748635100001 36.7245813860001,10.33694551 36.7351363860001,10.3190275100001 36.7445813860001,10.25615451 36.7867913860001,10.24389051 36.7858273860001,10.1967365090001 36.790136386,10.1927725090001 36.810827386,10.20277251 36.8309633860001,10.27559051 36.8384993860001,10.2861815100001 36.8152723860001,10.34423651 36.8771453860001,10.3326725100001 36.889327386,10.2006275090001 36.9868723860001,10.172363509 37.0395813860001,10.1694455090001 37.064018386,10.21176351 37.128072387,10.191390509 37.1274913870001,10.1320095090001 37.145518387,10.1463905090001 37.1679093870001,10.2120815100001 37.1633633870001,10.2548635100001 37.179581387,10.1942995090001 37.211527387,10.048336509 37.2615273870001,9.92693650900003 37.248045387,9.85859950900004 37.228863387,9.92599950900006 37.2060093870001,9.90205450900004 37.160900387,9.88094550900007 37.147409387,9.86039050900007 37.140318387,9.83844550900005 37.140745387,9.80830950900003 37.1507723870001,9.78443650900005 37.1788543870001,9.77742750900006 37.223663387,9.80846350900003 37.235536387,9.84992750900005 37.2545723870001,9.86958150900006 37.281390887,9.85868150900006 37.328336387,9.73874550900007 37.3404093870001,9.65923650900004 37.3352093870001,9.56027250900007 37.301381387,9.32777250900006 37.228054387,9.15833650900004 37.1877723870001,9.08092750800006 37.162318387,9.06610950800007 37.160827387,9.04333650800004 37.1522183870001,8.98555450800006 37.1105453870001,8.97332750800007 37.0863908860001,8.95944550800004 37.0702723860001,8.94055450800005 37.051663386,8.91555450800007 37.0308273860001,8.89629050800005 37.018627386,8.87778150800006 37.006945386,8.85805450800007 36.995281386,8.82694550800005 36.9795813860001,8.76618150800005 36.9624273860001,8.66721850800008 36.9538913860001,8.62202750800003 36.941363386,8.63316250800005 36.969690386,8.63306750800007 36.971981386,8.63304150800008 36.972227386,8.62640050800007 37.0131543860001,8.60852250800002 37.0614223860001,8.55217150800007 37.209415387,8.52239050800006 37.285194387,8.43985850800004 37.3092753870001,8.18836950800005 37.4942783870001,8.05429050800007 37.591870387,7.97124450700005 37.6992323870001,7.84565750700006 37.9388043870001,7.81666666700005 38.0016666660001,8.15166666700003 38.0691666660001,8.36750000000006 38.1188888880001,8.53472222200003 38.1680555550001,8.80222222200007 38.216944443,9.55222222200007 38.2499999990001,9.66777777800007 38.218055555,9.90055555600003 38.234722221,10.6852777780001 38.401666666),(11.11721851 34.674572384,11.1288905100001 34.668609384,11.13944551 34.676936384,11.17721851 34.7036093840001,11.1924995100001 34.7111093840001,11.2219455100001 34.720554384,11.25721851 34.731945384,11.282363511 34.742772384,11.302218511 34.8033273840001,11.2877725110001 34.8119453840001,11.2697185100001 34.8180543840001,11.2379815100001 34.8228453840001,11.13055451 34.710827384,11.12221851 34.7004093840001,11.11721851 34.674572384),(10.71916351 33.7308273830001,10.7302815100001 33.7112453830001,10.74041851 33.706527383,10.7599995100001 33.7061093830001,10.76659951 33.715690383,10.7780545100001 33.728054383,10.79555451 33.7338903830001,10.80694551 33.7341633830001,10.8224995100001 33.729718383,10.83916351 33.7163813830001,10.85027251 33.7049903830001,10.85639051 33.696663383,10.86139051 33.6841633830001,10.8649995100001 33.6386093830001,10.87221851 33.654163383,10.8827725100001 33.673045383,10.9377725100001 33.723327383,10.9936095100001 33.749999383,11.00778151 33.754999383,11.04916351 33.7852723830001,11.0549995100001 33.793609383,11.0526365100001 33.807636383,11.04305451 33.816663383,10.96833651 33.8574993830001,10.9122185100001 33.8780543830001,10.79639051 33.8961093840001,10.76527251 33.895554384,10.7351365100001 33.890418384,10.72736351 33.8831903830001,10.7144455100001 33.760272383,10.71416351 33.743609383,10.71916351 33.7308273830001)))', 'Tunisian Exclusive Economic Zone', 'Tunisia', 'Tunisia', '', '61', '61', 'TUN', '8366', '2012-10', '101034439100', '8366', 'Y');

INSERT INTO eez (geom, name, country, sovereign, remarks, sov_id, eez_id, code, mrgid, date_chang, area_m2, mrgid_eez, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((29.6643275280001 45.211799394,29.668190528 45.210127394,29.669285594 45.2102140910001,29.6715264330001 45.2103915000001,29.6779005650001 45.2082991940001,30.0408333300001 45.0891666700001,30.15683333 45.0551388900001,30.9770277800001 44.77741667,31.091327816 44.75403858,31.1743611100001 44.73705556,31.174361226 44.7370552190001,31.409714159 44.048850079,31.4096937350001 44.048659587,31.3451922310001 43.44706942,31.3452733990001 43.4469508400001,31.3452731940001 43.446948918,31.345277778 43.4469444430001,31.345277411 43.446944516,30.9741978640001 43.520284825,30.4340029630001 43.6270491610001,29.484910223 43.7041909020001,29.138088005 43.6800791210001,28.8615786560001 43.7153158950001,28.6862118810001 43.733217774,28.5936605270001 43.742665393,28.583245527 43.7477633930001,28.583238527 43.7477873930001,28.5832388540001 43.7477872320001,28.579436527 43.761372393,28.5852815270001 43.800818393,28.5949905270001 43.8316543930001,28.6136095270001 43.8816543930001,28.6472185270001 43.9544273930001,28.6602725270001 43.9755453930001,28.632772527 44.157490893,28.628881527 44.271936393,28.629581527 44.296518393,28.644299527 44.327699393,28.7517995270001 44.426109393,28.801163527 44.4614543930001,28.8283275270001 44.479581393,28.8452725270001 44.497209393,28.8767995270001 44.535690893,28.913054527 44.5880543930001,28.9277725270001 44.6174908930001,28.808136527 44.531436393,28.7574995270001 44.5197183930001,28.7630545270001 44.6255813940001,28.796518527 44.6308453940001,28.819672527 44.6169543930001,28.9573545270001 44.689845394,28.975445527 44.672172394,28.948499527 44.630854394,28.970963527 44.6440183940001,28.990863527 44.6856453940001,28.956663527 44.698463394,28.9300275270001 44.7012273940001,28.901872527 44.7065093940001,28.910399527 44.6923363940001,28.906590527 44.686309394,28.849299527 44.6483183940001,28.799718527 44.640200394,28.789927527 44.6423913940001,28.780827527 44.6609633940001,28.7820815270001 44.6956813940001,28.795827527 44.7163813940001,28.8659635270001 44.7490183940001,28.901663527 44.755409394,28.9269365270001 44.778327394,28.9473545270001 44.8266543940001,28.8937455270001 44.8631913940001,28.8646455270001 44.878809394,28.8691905270001 44.9405093940001,28.899999527 44.9666633940001,28.9838095270001 45.0057543940001,29.0444365270001 45.0031903940001,29.103398527 44.9632913940001,29.0674995270001 44.9474813940001,29.0429095270001 44.924154394,29.049718527 44.8473453940001,29.0674905270001 44.822763394,29.214163527 44.7930543940001,29.2508275270001 44.7958273940001,29.344181527 44.7997183940001,29.389999527 44.8022183940001,29.4508275270001 44.808881394,29.5494365280001 44.8202633940001,29.6083275280001 44.8454093940001,29.6413815280001 44.9819363940001,29.6602725280001 45.1127633940001,29.6411095280001 45.173881394,29.627363528 45.214363394,29.6643275280001 45.211799394)))', 'Romanian Exclusive Economic Zone', 'Romania', 'Romania', '', '72', '72', 'ROU', '5689', '', '29717051620', '5689', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.0597528523795 20.7716666666666,-20.6716780153045 20.7716666666666,-20.6727215189999 20.7800083710001,-20.6726115189999 20.781797371,-20.672801519 20.7833053710001,-20.6371205189999 21.362682372,-20.632497519 21.380907372,-20.628939519 21.4387273720001,-20.6034885189999 21.538988372,-20.5997775189999 21.5991923720001,-20.5944635189999 21.6201073720001,-20.587879519 21.7268983720001,-20.5841005189999 21.741761372,-20.577768519 21.8444683720001,-20.577249519 21.8465093720001,-20.5762395189999 21.862894372,-20.5738665189999 21.8722183720001,-20.5735625189998 21.877147372,-20.571980519 21.8833683720001,-20.571800519 21.886282372,-20.566097519 21.9086913720002,-20.564127519 21.940629372,-20.5634595189999 21.9432533720001,-20.563262519 21.9464443720001,-20.5624115189999 21.9497883720001,-20.5623575189999 21.9506623720001,-20.557566519 21.9694823720001,-20.542105519 22.2201003730001,-20.5415445189999 22.222302373,-20.5412655189999 22.2268163730001,-20.5406925189999 22.229064373,-20.5404235189999 22.233431373,-20.5398625189999 22.2356333730002,-20.5395835189999 22.2401483730001,-20.5389585189999 22.2425983730002,-20.5344855189999 22.3151313730002,-20.3899935189999 22.879909373,-20.385454519 22.8896123730001,-20.383392519 22.8976443730002,-20.3826535189999 22.8992243730002,-20.3824385189999 22.9000633730001,-20.3818245189999 22.901376373,-20.3814885189999 22.9026823730001,-20.317161519 23.0400483730001,-20.255893519 23.2778343740001,-20.0046915189999 23.8105193740001,-19.654067518 24.2945683750001,-19.652692518 24.2958863750001,-19.6520995179999 24.2967023750001,-19.576216518 24.3693993750002,-19.5350845179998 24.455278375,-19.495705565 24.6036292140001,-19.4957055349999 24.6036292220001,-19.495705518 24.6036292460001,-18.603069284 24.980269315,-18.546662668 25.0038548760001,-18.1642275469999 25.177050864,-17.845109932 25.3223743630001,-17.761696843 25.361238772,-17.660590284 25.40892357,-17.5210462779999 25.4751870530001,-17.228174904 25.6164461760001,-17.200543824 25.6323858770001,-17.129494216 25.6766053310001,-16.950919405 25.8725921250001,-16.94358326 25.880540378,-16.8093851649999 26.0346171870001,-16.7436645359999 26.1099921520001,-16.7381609089999 26.1163042600002,-16.6618280549999 26.1402329950002,-16.5669393929999 26.169978585,-16.4863844159999 26.1952771520001,-16.4120242589999 26.2239533420001,-16.3790595409999 26.237538134,-16.3417132559999 26.2532340110001,-16.303023719 26.2696653500001,-16.2697456189999 26.283817252,-16.254989537 26.290143954,-16.2534398429999 26.2908201170001,-16.227968715 26.3019544960001,-16.0311264019999 26.3879699110001,-15.8579758989999 26.489476545,-15.585835672 26.6387986820001,-15.5680597129999 26.648540333,-15.554405737 26.65604961,-15.492584914 26.692323962,-15.410191206 26.7395414400001,-15.3775576609999 26.7583194330001,-15.3087339749998 26.7980165780001,-15.2856610549999 26.811398577,-15.2581776609999 26.8277741520002,-15.251404953 26.8319130690001,-15.235286065 26.8418573870001,-15.206364902 26.8599509240001,-15.099435974 26.9273793640002,-15.0846993649999 26.9367933280001,-15.0236967929999 26.975951196,-14.913986506 27.0345364930001,-14.9057782899998 27.0403511060001,-14.71777236 27.174029863,-14.6991063189999 27.1873199200002,-14.531328534 27.2139813580001,-14.403123864 27.223508878,-14.375879238 27.2292881070001,-14.3419633139999 27.2371487720001,-14.3322878069999 27.2395023440001,-14.268328448 27.2791661970001,-14.228231541 27.3105971560001,-14.04118196 27.4639991390002,-14.0341843619999 27.4697591470002,-14.0124271469999 27.488677126,-13.983333081 27.5156382270001,-13.9776168619999 27.5209498330001,-13.9251009929999 27.570482644,-13.9023229709999 27.5963871530001,-13.9012963079999 27.5975756000001,-13.8914363449999 27.6110622570002,-13.871790005 27.638374568,-13.861707892 27.6527488300001,-13.852245658 27.666303124,-13.8514306459999 27.6668718180002,-13.8514299389999 27.6668718180002,-13.851429552 27.6668718180002,-13.2286693579999 27.6665963000001,-13.190356058 27.6665793500001,-13.190355876 27.6665793960001,-13.174963519 27.6669543780001,-13.174963632 27.6669540010001,-13.1749638689999 27.6669540180002,-13.2206998919999 27.5165270190001,-13.2477818209999 27.4454090850002,-13.30333674 27.3280540580002,-13.3043003069999 27.3265155160001,-13.3336095119999 27.2797183770001,-13.3475636169999 27.2629788090001,-13.3502819359999 27.2597180780002,-13.3717367579999 27.2372911220002,-13.3795734729999 27.2249709750001,-13.397227512 27.1972183770002,-13.406679438 27.1757330020001,-13.4094459349998 27.1694449800002,-13.4112753389999 27.1609623460001,-13.414718512 27.144999877,-13.4161793539999 27.1273244780002,-13.416945894 27.118054023,-13.4170397489999 27.1111506150001,-13.417218512 27.0980543770001,-13.4248218759999 27.0734005780001,-13.4274998839999 27.064718129,-13.4813908279999 26.9008271110001,-13.5038908729999 26.8505539640001,-13.5177818659999 26.8208270420001,-13.5484728749999 26.7641642030002,-13.5741639109999 26.7316642110002,-13.589479706 26.7154019290001,-13.6011095129998 26.7030543770002,-13.6192288429999 26.686695747,-13.6240268479999 26.6823642030001,-13.6507201279999 26.6646693190001,-13.709727513 26.6255543770001,-13.9079185129999 26.5104183770001,-14.0327815129999 26.4435363770002,-14.0384312919999 26.4421697400001,-14.0669458909999 26.4352730730001,-14.0924429409999 26.432200758,-14.106109513 26.4305543770001,-14.167492567 26.4084212700002,-14.1977818679999 26.397500026,-14.2206998349999 26.3661091280001,-14.2519458939999 26.3355540740001,-14.2966725159999 26.2973543790002,-14.2966725459999 26.2973543580001,-14.3216635129999 26.2830543760002,-14.345281513 26.276391376,-14.3520542779999 26.2747288910001,-14.3747268619999 26.2691642040002,-14.3933587789999 26.2641997260001,-14.4065275129999 26.2606913760001,-14.4161167229998 26.252771513,-14.422499855 26.2475001690001,-14.4833365129999 26.1633273660001,-14.483336714 26.1633270850002,-14.484613193 26.1555354190001,-14.489309513 26.1268723760001,-14.479309513 26.098745376,-14.483609513 26.0558273760001,-14.487098091 26.030395191,-14.4891728649999 26.015273171,-14.49305486 26.0002730840002,-14.4950384369999 25.9941869610001,-14.4972185139999 25.9874998760001,-14.517227514 25.934445376,-14.534403245 25.900865184,-14.5384728729999 25.8929091190001,-14.5648639659998 25.8543000610001,-14.588054848 25.8302731680001,-14.6080549069999 25.80694499,-14.6109960229999 25.8022890040001,-14.6290275139999 25.7737453760001,-14.639429653 25.751345267,-14.648054858 25.7327731930001,-14.682781921 25.6238822120002,-14.717440215 25.553746293,-14.7536095139999 25.4805543760002,-14.7909725179999 25.4312453790001,-14.7909728449999 25.431244954,-14.8155549559999 25.3411091530001,-14.8288908989999 25.2900001630001,-14.8459728829999 25.2138911400001,-14.8473639429999 25.1133359620001,-14.8452818779999 25.0919450100001,-14.833336828 25.0719449510001,-14.8305548749999 25.038054066,-14.834581876 24.918609096,-14.9008998329999 24.6896450080001,-15.0313908069999 24.54166418,-15.0622268229999 24.5259730900001,-15.0872281359999 24.5203038660001,-15.1008365139999 24.517218375,-15.1383365139999 24.5076363750002,-15.1733365139999 24.4919453750001,-15.173336831 24.491945079,-15.177774421 24.4878450590001,-15.229863881 24.4397181090001,-15.2455549719999 24.412500058,-15.2566728959999 24.3950001530001,-15.268383645 24.3766625530002,-15.2822185139999 24.3549998750001,-15.2958197959999 24.335545181,-15.2983368229999 24.3319451080001,-15.3624995169999 24.2772183780002,-15.362499789 24.277218153,-15.4574995139998 24.2011093740001,-15.4574996349999 24.2011092430001,-15.457499776 24.2011091300002,-15.4600273339999 24.1983461270001,-15.5261095139999 24.126109374,-15.5822275149999 24.0605543740001,-15.698966867 23.9873823880002,-15.702781924 23.9849911430001,-15.7077421559999 23.9818005230001,-15.8322275149999 23.9017273740002,-15.8663905139999 23.8686093730001,-15.8663908029999 23.8686090840002,-15.9116639809999 23.8219450210001,-15.9330549329999 23.7880539690001,-15.9939729289999 23.6485090270001,-15.9433366779999 23.6822180240001,-15.9433365229999 23.682218371,-15.9270815149999 23.718890874,-15.9020815149999 23.7840273740002,-15.8908365149999 23.803890874,-15.885649558 23.8100141410001,-15.874717893 23.822917993,-15.7851343409998 23.9042703160001,-15.7794459789999 23.9094359530002,-15.7602819479999 23.8580540930002,-15.761999719 23.8304119920001,-15.7647275149999 23.7865273740001,-15.8228729919999 23.69503234,-15.829999716 23.6838182120001,-15.838540457 23.6769506690001,-15.868608826 23.6527730690001,-15.8686095169999 23.652772376,-15.8827819539999 23.6386091610001,-15.9216728109999 23.58347317,-15.9627818559999 23.5172180810002,-15.9699998479999 23.497218021,-15.9805548429999 23.4476360470001,-15.9969459899999 23.4152731830001,-16.0123092999999 23.3931084170001,-16.0126365149999 23.3926363740002,-16.0140774119999 23.3907821500001,-16.0358366799999 23.3627821850001,-16.04589147 23.3534791930001,-16.0543095149999 23.3456913740001,-16.0724995149999 23.3283363740002,-16.072499534 23.3283363320002,-16.0724997949999 23.3283360830001,-16.1094458829999 23.248054047,-16.1783367459999 23.0850000450001,-16.1783365169999 23.0849998710001,-16.1776913799999 23.084494475,-16.1513909469999 23.0638907120001,-16.15236391 23.0247180680001,-16.163890871 22.988882079,-16.1855549049999 22.9484730920001,-16.2008365119999 22.93221837,-16.2284725149999 22.9143003730002,-16.2672905149999 22.899854373,-16.2672906569999 22.8998541080001,-16.2672908669999 22.8998540300001,-16.276986146 22.8817076250001,-16.3236095149999 22.794445373,-16.3329751079999 22.7683757660001,-16.3370819459999 22.7569450950002,-16.3424998399999 22.7194449630002,-16.3399998539999 22.687500189,-16.345836844 22.634718003,-16.350853162 22.613865381,-16.3627094709999 22.5645815550001,-16.384294035 22.547886513,-16.3890365149999 22.5442183730001,-16.391025806 22.5428598020001,-16.424099847 22.520273173,-16.460554924 22.4125001700001,-16.4623161689999 22.4021876410001,-16.4654185149999 22.3840273730002,-16.498127515 22.3253453730001,-16.5347275149999 22.3058273730001,-16.5986095149999 22.281391373,-16.6357635149999 22.2765273730001,-16.644430283 22.2813702370001,-16.6652088129999 22.2929821100001,-16.71944552 22.260827362,-16.7194459289998 22.260827118,-16.8519458819999 22.0734731410001,-16.9162548609999 21.9454181120001,-16.9569459829999 21.833327088,-16.9594459699999 21.8222180490001,-16.96417286 21.7750001060001,-16.9599998459999 21.7075001360001,-16.968890866 21.625273163,-16.9819460149999 21.5536090640001,-17.005836786 21.4630540000002,-17.0105638439999 21.4411091710002,-17.0142407349999 21.4146887890001,-17.0211185159999 21.3652723720001,-17.0259392789999 21.3188000870002,-17.0294459249998 21.2850000800001,-17.044184817 21.2041071480002,-17.0636095159999 21.0974998720001,-17.085906983 20.986056387,-17.094372818 20.943744973,-17.1015267719999 20.8374270680002,-17.0597528523795 20.7716666666666)))', 'Western Saharan Exclusive Economic Zone', 'Western Sahara', 'Morocco', '', '62', '63', 'ESH', '8368', '2014-02', '251563792800', '8368', 'Y'),('SRID=4326;MULTIPOLYGON(((40.908872538 43.0019363920001,40.936445538 42.9735908920001,40.9616545380001 42.9749903920001,41.0026275380001 42.987699392,41.026099538 42.9781813920001,41.075409538 42.9231813920001,41.0849815380001 42.890545392,41.0981815380001 42.8467908920001,41.1590815380001 42.7897813920001,41.1907545380001 42.7961723920001,41.2156095380001 42.7995723920001,41.371372539 42.7577633920001,41.4195635390001 42.741654392,41.4408185390001 42.7298543920001,41.456099539 42.7142908920001,41.4699815390001 42.694154392,41.4844365390001 42.668736392,41.500545539 42.6249813920001,41.5250545390001 42.5501998920001,41.5255455390001 42.5210998920001,41.5288725390001 42.4866453920001,41.536381539 42.4527633910001,41.547618539 42.405772391,41.592899539 42.3544273910001,41.6327635390001 42.2719363910001,41.646663539 42.2202633910001,41.656090539 42.175827391,41.652899539 42.1476273910001,41.6591455390001 42.1258183910001,41.7608185390001 41.9613723910001,41.774727539 41.8856273910001,41.7760905390001 41.8419273910001,41.7738725390001 41.8155453910001,41.7287365390001 41.7233273910001,41.683872539 41.6716543910001,41.6463815390001 41.6442273910001,41.6160995390001 41.6344363910001,41.533121539 41.5259213910001,41.275833538 41.5947223910001,40.6924995380001 41.9500003910001,40.4333335380001 42.031111391,39.826944537 42.1391663910001,39.0036115360001 42.337500391,38.973376349 42.3431228680001,38.973374058 42.343123405,38.9733739810001 42.3431234230001,39.16981451 42.508271005,39.170140857 42.5085456130001,39.670920241 42.9254240660001,39.699983638 42.9478943770001,39.7005845400001 42.948358963,39.7005847080001 42.9483590930001,39.9436084800001 43.135496238,39.9452327500001 43.1367580740001,39.9522103400001 43.142178712,39.9622783230001 43.179499847,39.9663396490001 43.194554829,39.9756388060001 43.2290259920001,39.982947116 43.2662618620001,39.985253825 43.2780145520001,39.9904452920001 43.304465099,39.9936127130001 43.3189993400001,39.995230023 43.3264206370001,39.9999308000001 43.347990941,40.001199732 43.3598820180001,40.0027668050001 43.377831644,40.002963347 43.3792642380001,40.003030537 43.3792513920001,40.0513815370001 43.3702723920001,40.1091545370001 43.3538813920001,40.2184365370001 43.316409392,40.2544365370001 43.274436392,40.2719275380001 43.2467998920001,40.3605455380001 43.1633183920001,40.6613725380001 43.0919273920001,40.726654538 43.0892903920001,40.8020725380001 43.0785993920001,40.837072538 43.069854392,40.859990538 43.059154392,40.8769365380001 43.0447183920001,40.908872538 43.0019363920001)))', 'Georgian Exclusive Economic Zone', 'Georgia', 'Georgia', '', '74', '74', 'GEO', '5678', '', '22762922040', '5678', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.5774995149999 20.589999371,-16.540072515 20.5660363710001,-16.532781515 20.6274998710001,-16.534445515 20.7047183710001,-16.527918515 20.7336093710001,-16.495699515 20.7259723710001,-16.4522275149999 20.6694453710001,-16.415836515 20.603054371,-16.377781515 20.5261093710001,-16.3372275149999 20.432781371,-16.314163515 20.3774998710001,-16.2368095149999 20.2885363710001,-16.1968095149999 20.2261093710001,-16.2166635149999 20.0008273710001,-16.243336515 19.88721837,-16.2330545149999 19.79389087,-16.334445515 19.63374537,-16.3831365149999 19.5759183700001,-16.405390515 19.5596633700001,-16.427227515 19.53639087,-16.4688905149999 19.44860937,-16.4617365149999 19.41006337,-16.440554515 19.4088813700001,-16.429936515 19.44534537,-16.426254515 19.4779183700001,-16.3569275149999 19.5297183700001,-16.286181515 19.53832737,-16.3094455149999 19.46749987,-16.335554515 19.4374998700001,-16.349445515 19.42250037,-16.3806995149999 19.39374537,-16.456254515 19.37006337,-16.5116725149999 19.3522183700001,-16.4991725149999 19.3363908700001,-16.4630635149999 19.2553998700001,-16.368336515 19.2163903700001,-16.349309515 19.2040273700001,-16.2813905149999 19.1277723700001,-16.269445515 19.1111093700001,-16.257781515 19.0944453700001,-16.232227515 19.04332737,-16.219245515 19.00271837,-16.188054515 18.93944537,-16.1791725149999 18.9130543700001,-16.1713905149999 18.87082737,-16.150554515 18.755554369,-16.144445515 18.6899998690001,-16.105836515 18.5788908690001,-16.083472515 18.5266633690001,-16.071945515 18.4919453690001,-16.0647995149999 18.4637543690001,-16.0566725149999 18.4286093690001,-16.0577815149999 18.404445369,-16.062990515 18.3695093690001,-16.051390515 18.2355543690001,-16.0422185149999 18.190063369,-16.035281515 18.1613908690001,-16.0286185149999 18.080554369,-16.0372275149999 17.9261093690001,-16.039445515 17.734581368,-16.064163515 17.611381368,-16.0694455149999 17.589718368,-16.0897275149999 17.508327368,-16.095836515 17.487499868,-16.1349995149999 17.357081368,-16.1847185149999 17.2366633680001,-16.2008365149999 17.198054368,-16.261527515 17.0593093680001,-16.2790275149999 17.031809368,-16.301109515 17.001663368,-16.340281515 16.9372183680001,-16.403336515 16.7827723680001,-16.411109515 16.7633363680001,-16.4444455149999 16.6797183670001,-16.467645515 16.6113908670001,-16.4688905149999 16.5499998670001,-16.4672275149999 16.5299998670001,-16.4688905149999 16.505272367,-16.474863515 16.4741633670001,-16.495554515 16.403327367,-16.5069455149999 16.373881367,-16.526672515 16.3286093670001,-16.5372275149999 16.3016633670001,-16.5291635149999 16.0958363670001,-16.5278074619999 16.0632663590001,-16.526511409 16.0629297090001,-19.558331096 16.066666664,-19.558331473 16.0666666650001,-19.558333333 16.0666666670001,-19.5416665179999 16.2833333670001,-19.5416665179999 16.4750003670001,-19.5533335179999 16.633333367,-19.534999518 17.000000368,-19.6133335179999 17.1000003680001,-19.631666518 17.446666368,-19.633333518 17.5316663680001,-19.633333518 17.735000368,-19.633333518 17.8883333690001,-19.701666518 18.041666369,-19.7366665179999 18.1300003690001,-19.7833335179999 18.223333369,-19.816666518 18.3133333690001,-19.8583335179999 18.4000003690001,-19.896666519 18.480000369,-19.933333519 18.5816663690001,-19.999999519 18.736666369,-20.013618519 18.770461369,-20.0377695189999 18.9841523700001,-20.0389155189999 18.9856363700001,-19.8220645179999 19.0637193700001,-19.4695785179999 19.1892343700001,-19.382438518 19.22759137,-18.7712725169999 19.4868293700001,-18.0242245169999 19.7976643700001,-17.3832005159999 20.0618893710001,-17.284614516 20.102173371,-17.135286516 20.165782371,-17.1190825159999 20.174587371,-17.0531185159999 20.762480371,-17.0523275159999 20.764099871,-17.052327287 20.7641004770001,-17.044727516 20.783054371,-17.025281516 20.8447183710001,-16.995554516 20.9747183710001,-16.998409516 21.015854372,-16.9877815159999 21.0655543720001,-16.9236815159999 21.1584723720001,-16.903199516 21.142499372,-16.8891635159999 21.113609372,-16.648336516 20.661390871,-16.5997275149999 20.6108363710001,-16.5774995149999 20.589999371),(-16.4369455149999 19.6038813700001,-16.432499515 19.60139037,-16.427499515 19.6036093700001,-16.4138905149999 19.61805437,-16.4074995149999 19.62582737,-16.399445515 19.63833637,-16.392781515 19.65249937,-16.380281515 19.6811093700001,-16.3612545149999 19.73332737,-16.3472275149999 19.79027237,-16.344718515 19.80139037,-16.336109515 19.8569453700001,-16.3420905149999 19.8651363700001,-16.3530545149999 19.86402737,-16.4165275149999 19.80639037,-16.460554515 19.69694537,-16.4526365149999 19.6199993700001,-16.4369455149999 19.6038813700001)))', 'Mauritanian Exclusive Economic Zone', 'Mauritania', 'Mauritania', '', '64', '64', 'MRT', '8369', '', '155853375300', '8369', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.753446433 13.0661716830001,-16.7509104719999 13.0600636510001,-16.7549999999999 13.0558330000001,-16.75571188 13.05690114,-16.7561109599999 13.0574999400001,-16.756111 13.0575000000001,-16.756970974 13.0575000000001,-16.757237894 13.0575000000001,-20.121698395 13.0575000000001,-20.181979053 13.0575000000001,-20.160961519 13.3339563640001,-20.160285519 13.3365493640001,-20.160033519 13.339866364,-20.158280519 13.3465873640001,-20.158159519 13.3481873640001,-20.157799519 13.3495663640001,-20.157265519 13.356596364,-20.156475519 13.3596263640001,-20.156325519 13.3616063640001,-20.1554335189999 13.3650253640001,-20.155373519 13.3658173640001,-20.154512519 13.369119364,-20.154450519 13.369928364,-20.154023519 13.371565364,-20.152695519 13.389044364,-20.148054519 13.4068393640001,-20.147943519 13.4082983640001,-20.1366975189999 13.4514133640001,-20.1365445189999 13.453430364,-20.136262519 13.454508364,-20.0736111109999 13.593333,-19.957158997 13.593333,-16.648912874 13.593333,-16.5815113209999 13.5924005000001,-16.5727790289999 13.5922796890001,-16.565672874 13.5900000510001,-16.553890936 13.5658360300001,-16.500972964 13.409582099,-16.504581876 13.387082053,-16.513336774 13.3686090090001,-16.479445889 13.3558359940001,-16.44818287 13.3460518570001,-16.448157325 13.346043862,-16.403545515 13.332081364,-16.347193994 13.337004252,-16.3319460179999 13.3383360890001,-16.2686088369999 13.3604180460001,-16.2386186169999 13.3917952750001,-16.2310455149999 13.399718364,-16.192499515 13.431390364,-16.15069969 13.4491891860001,-16.140490944 13.4535359610001,-16.115699789 13.441109119,-16.1005938329999 13.433504187,-16.100583913 13.433499193,-16.0972275149999 13.4318093640001,-16.0972273699999 13.431809377,-16.0972267449999 13.4318090620001,-16.010841878 13.439252685,-15.8119455149999 13.4563903640001,-15.738901729 13.472544311,-15.738875392 13.4725501350001,-15.722781816 13.4761090970001,-15.714190517 13.4798491710001,-15.658336515 13.5041633650001,-15.5472275139999 13.5286813650001,-15.4843815139999 13.5013903650001,-15.4369854 13.480779967,-15.397499766 13.4636089970001,-15.386204423 13.4596937210001,-15.3590275139999 13.4502723640001,-15.328754514 13.4541633640001,-15.306495221 13.471829691,-15.3031998349999 13.474444954,-15.303199755 13.474445173,-15.303199514 13.4744453640001,-15.29717275 13.491053715,-15.294581895 13.4859730900001,-15.3057637869999 13.4515272080001,-15.3283365139999 13.4386093640001,-15.3588905139999 13.4387453640001,-15.3703889499999 13.4410542140001,-15.401808903 13.4473641980001,-15.468376478 13.4757722640001,-15.489999514 13.485000364,-15.548609514 13.5060363650001,-15.5835659269999 13.4848911770001,-15.6366639629999 13.4527732080001,-15.7325414159999 13.4389399290001,-15.7733365149999 13.433054364,-16.0487545149999 13.4054183640001,-16.0865275149999 13.408609364,-16.123754515 13.4158273640001,-16.1351109999999 13.4190196870001,-16.1558999 13.4248641520001,-16.209581516 13.377918365,-16.209581799 13.377918118,-16.2121749799999 13.3723971760001,-16.223609515 13.3480543640001,-16.223976454 13.33375155,-16.224172848 13.3261090720001,-16.215351772 13.3079026730001,-16.1939275149999 13.263681364,-16.1645914009999 13.2778708070001,-16.1565997889999 13.2817361150001,-16.1548638959999 13.279309051,-16.17139083 13.2616641390001,-16.18464632 13.256535878,-16.194727515 13.2526363640001,-16.2024807459999 13.253927305,-16.224372505 13.257573043,-16.2237545149999 13.297636364,-16.2495815149999 13.3185363640001,-16.3794455149999 13.2755543640001,-16.421672515 13.256945364,-16.470619965 13.270971289,-16.554726779 13.2950730640001,-16.569733358 13.3151656640001,-16.576663515 13.324445364,-16.587873835 13.3517172950001,-16.599726871 13.3805540590001,-16.603270445 13.391606059,-16.606672515 13.4022183640001,-16.6105545149999 13.4269453640001,-16.6210455149999 13.431454364,-16.6186057469999 13.4338251470001,-16.611390792 13.4408360370001,-16.6023403629999 13.439098105,-16.6023368969999 13.439097439,-16.587154515 13.436181364,-16.5843455149999 13.4546183640001,-16.590145515 13.461245364,-16.609736515 13.4720003640001,-16.620836515 13.4755543640001,-16.6843095159999 13.4894453650001,-16.709936516 13.471736364,-16.7099366969999 13.471736181,-16.709936828 13.47173609,-16.7316729469999 13.449718004,-16.7367222419999 13.437632287,-16.744727402 13.418472636,-16.786108882 13.387573065,-16.796280243 13.3820204310001,-16.8171185159999 13.370645364,-16.820018849 13.340449989,-16.8216639089999 13.3233271180001,-16.819999766 13.278336079,-16.784445912 13.1408359860001,-16.7585425459999 13.0784460090001,-16.753446558 13.066171721,-16.753446433 13.0661716830001)))', 'Gambian Exclusive Economic Zone', 'Gambia', 'Gambia', '', '65', '65', 'GMB', '8370', '', '22767626580', '8370', 'Y'),('SRID=4326;MULTIPOLYGON(((21.8427835200001 57.763050406,21.9161165200001 57.7494504060001,22.143333521 57.7791664060001,22.5835995210001 57.9274004060001,22.707499521 57.9408334060001,22.907683521 57.7805164060001,22.9991665210001 57.702216406,23.1808335220001 57.586383406,23.4060165220001 57.593833406,23.5823335220001 57.669550406,23.6484995220001 57.7829004060001,23.601116522 57.8991664060001,24.209449523 57.8991664060001,24.2611165230001 57.9172164060001,24.3229875230001 57.8895964060001,24.314981523 57.8718274060001,24.288954523 57.8334634060001,24.289718523 57.792500406,24.3040905230001 57.7316544060001,24.330827523 57.6994364060001,24.362218523 57.5808274060001,24.4091635230001 57.3543004050001,24.413190523 57.277218405,24.404163523 57.2512454050001,24.3731905230001 57.219018405,24.223327523 57.128872405,24.1552725220001 57.097491405,23.984990522 57.022218405,23.955272522 57.0113814050001,23.873609522 56.988881405,23.8502725220001 56.983881405,23.785827522 56.9702724050001,23.765272522 56.968318405,23.6552725220001 56.965891405,23.5861095220001 56.976654405,23.346663522 57.0541544050001,23.327499522 57.062209405,23.3058275220001 57.073327405,23.256109522 57.1009634050001,23.2491635220001 57.1147184050001,23.2410995220001 57.168745405,23.1674995220001 57.3127634050001,23.1356905220001 57.364436405,23.1036095220001 57.3724914050001,23.083609521 57.3758274050001,23.049163521 57.3852724050001,23.0141635210001 57.3986094050001,22.9411725210001 57.4306914050001,22.905272521 57.4547094050001,22.751109521 57.535272406,22.672218521 57.5711094060001,22.6433275210001 57.5852724060001,22.5945815210001 57.637627406,22.5840275210001 57.6890184060001,22.6068995210001 57.749054406,22.582772521 57.7552724060001,22.4801365210001 57.739572406,22.281390521 57.6847184060001,22.098327521 57.6338814060001,22.049163521 57.616663406,22.0197185210001 57.6030544060001,21.99152752 57.595545406,21.92277252 57.5909634060001,21.90110952 57.593609406,21.8562455200001 57.5958274060001,21.7549995200001 57.5833274060001,21.7290185200001 57.574718406,21.7058275200001 57.5597184060001,21.67693652 57.533881406,21.6655545200001 57.5166634060001,21.6399995200001 57.488881405,21.59610952 57.4433184050001,21.4824905200001 57.3338814050001,21.45860952 57.316936405,21.43416352 57.302909405,21.4172815200001 57.2819364050001,21.4124905200001 57.2390184050001,21.4113815200001 57.124436405,21.41540952 57.0936094050001,21.4155545200001 57.0694454050001,21.40943652 57.0494364050001,21.3956905200001 57.026654405,21.3579095200001 56.9873544050001,21.2613905200001 56.9227634050001,21.22443652 56.906654405,21.1449995200001 56.8727634050001,21.06229052 56.8419364050001,21.05222752 56.8174914050001,21.0634725200001 56.7819364050001,21.0649995200001 56.7473544050001,21.0561095200001 56.691372405,21.0494455200001 56.6719364050001,21.0397185200001 56.6441544050001,21.0266635200001 56.6141544050001,21.0577725200001 56.5105544050001,21.0686095200001 56.435545404,21.0444455200001 56.458327405,21.0249275200001 56.508191405,20.9976365200001 56.5094454050001,20.96860952 56.363609404,20.97360952 56.2379094040001,20.99555452 56.1845724040001,21.0126365200001 56.171381404,21.0258275200001 56.156100404,21.04277252 56.1183274040001,21.0516818180001 56.0773090910001,21.031441494 56.068484579,21.0246939640001 56.0655427460001,20.574843054 56.0151447540001,20.562519836 56.0142717050001,20.475602125 56.0063697140001,20.376543919 56.0064377510001,20.365451991 56.0064453690001,20.3601327150001 56.006385005,20.301487331 56.0047303380001,19.8874442310001 55.980206111,19.0674833620001 55.955000001,19.067483333 55.955,19.0686847600001 55.9572706530001,19.081266667 55.98105,19.090729346 56.0236499550001,19.093579714 56.036482006,19.094483333 56.0405500000001,19.0944834800001 56.040550233,19.2260833330001 56.2500000000001,19.237715709 56.2685994020001,19.237715725 56.268599427,19.351166667 56.45,19.3918118060001 56.5312902790001,19.3979535510001 56.543573769,19.417833333 56.583333333,19.4312043630001 56.603440144,19.4452589690001 56.6245748910001,19.4684442070001 56.6594399110001,19.528666667 56.7500000000001,19.6634465970001 56.95492855,19.671166667 56.966666667,19.6954441720001 56.9962342750001,19.695444206 56.9962343170001,19.7756049860001 57.093862249,19.89275 57.2365333330001,20.0360000000001 57.4452833330001,20.0585496750001 57.5337705060001,20.0660833330001 57.5633333330001,20.094906952 57.592230612,20.2356500000001 57.7333333330001,20.334940664 57.8317951170001,20.362109418 57.8587370660001,20.415333333 57.9115166670001,20.41533329 57.9115169200001,20.4104563070001 57.9402634350001,20.3962500000001 58.0239999990001,20.3962503610001 58.0239999340001,21.8427835200001 57.763050406)))', 'Latvian Exclusive Economic Zone', 'Latvia', 'Latvia', '', '69', '69', 'LVA', '5683', '', '28779958570', '5683', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8186115140001 34.522222384,15.166666514 34.4980553840001,17.824257517 34.499913384,17.839593517 34.5173953840001,17.883878517 34.568085384,17.906840517 34.5944633840001,17.9344345170001 34.6261143840001,17.9608905170001 34.6562113840001,18.0272865170001 34.7317233840001,18.057794556 34.7668052830001,18.073737577 34.780146593,18.1601112500001 34.851642644,18.166051827 34.8566222920001,18.1759342020001 34.8649817840001,18.205646088 34.8901441880001,18.224331965 34.905985442,18.284758154 34.9575669110001,18.357739499 35.021064676,18.510448517 35.0145443850001,18.617394517 35.0098863850001,18.882163518 34.998288385,19.0058425180001 34.993955385,19.032440518 34.993013385,19.1179375180001 34.9902313850001,19.2896395180001 34.964760385,19.5802045180001 34.933061384,19.9018025190001 34.8992983840001,20.032847519 34.8868693840001,20.344807519 34.8568233840001,20.3710275190001 34.8543363840001,20.432004519 34.8477253840001,20.447291519 34.846112384,20.506520519 34.8398253840001,20.598834519 34.838413384,20.7412465190001 34.835889384,20.9074025190001 34.832810384,20.933132519 34.8323023840001,21.2087975200001 34.792928384,21.32893052 34.7771453840001,21.4597225200001 34.709269384,21.7133495200001 34.5775073840001,21.9402695200001 34.4594863840001,22.146065521 34.3779333840001,22.189609521 34.360630384,22.651199521 34.1753723840001,22.7167425210001 34.1474583840001,22.7647645210001 34.1147703840001,22.8218455210001 34.081820384,22.8860325210001 34.044889384,22.9194395210001 34.0255443840001,23.033762521 33.9595913840001,23.040734521 33.9557003840001,23.1069595220001 33.918544384,23.169759522 33.889068384,23.2585105220001 33.8467153830001,23.2836535220001 33.834629383,23.3759845220001 33.7965343830001,23.3914505220001 33.7913983830001,23.447236522 33.7719243830001,23.507861522 33.7517723830001,23.764194522 33.669089383,24.1228335220001 33.5517253830001,24.2387595230001 33.5134063830001,24.338800523 33.480569383,24.426853523 33.4516993830001,24.613586523 33.4412543830001,24.709839523 33.4551693830001,24.812323523 33.469941383,24.8977105230001 33.468014383,24.905235523 33.467894383,24.9375635230001 33.4675483830001,24.9629575230001 33.4663083830001,25.167100523 33.4561113830001,25.3189425240001 33.421274383,25.700331524 33.3546883830001,25.7045315240001 33.3539453830001,25.708281524 33.353277383,25.8516375240001 33.3275713830001,26.204763524 33.265087383,26.207209951 33.2644180790001,26.2072094320001 33.264417097,26.0631851150001 32.9919810870001,25.780590954 32.429734776,25.713049416 32.2937995560001,25.6680980030001 32.201566929,25.5608764190001 31.978285747,25.548522991 31.917011529,25.537632536 31.848798237,25.1612881890001 31.648559274,25.1612881880001 31.6485593250001,25.151663523 31.646945381,25.150690523 31.669654381,25.1204185230001 31.728890881,25.0894455230001 31.766663382,25.0688815230001 31.790554382,25.0233365230001 31.8551363820001,25.029163523 31.895272382,25.032981523 31.926945382,25.0086095230001 31.9491633820001,24.9826365230001 31.966527382,24.913609523 31.9800003820001,24.842218523 31.9925003820001,24.7824995230001 32.004581382,24.734581523 32.0254093820001,24.6533995230001 32.0238183820001,24.6123635230001 31.999718382,24.5680545230001 31.9891633820001,24.543054523 31.9852723820001,24.1174995220001 32.0000003820001,24.087636522 32.002636382,24.0638905220001 32.0116633820001,23.990418522 32.0486093820001,23.9697185220001 32.0693003820001,23.989718522 32.0922183820001,23.9520815220001 32.1126363820001,23.7999995220001 32.1552723820001,23.720063522 32.1751363820001,23.638472522 32.1833273820001,23.564445522 32.1816633820001,23.490554522 32.182218382,23.450272522 32.1866633820001,23.279999522 32.2072183820001,23.2471995220001 32.2162273820001,23.212563522 32.2703453820001,23.1687455220001 32.301245382,23.130836522 32.3102723820001,23.0850995210001 32.3321093820001,23.1033365220001 32.5840183820001,23.1191635220001 32.6197543820001,22.9951365210001 32.6735363820001,22.961109521 32.6691633820001,22.933881521 32.6718003820001,22.9044455210001 32.679991382,22.868890521 32.6933273820001,22.8373545210001 32.709436382,22.8049995210001 32.725554382,22.5724995210001 32.7838813820001,22.5361095210001 32.782563382,22.513336521 32.785554382,22.424163521 32.835827383,22.3751365210001 32.868045383,22.348327521 32.8780543830001,22.3177725210001 32.881100383,22.196945521 32.884436383,22.0680545210001 32.910827383,22.00398152 32.914272383,21.98082752 32.9086093830001,21.9474995200001 32.9050003830001,21.8841635200001 32.902218383,21.8547185200001 32.9025003830001,21.7833275200001 32.9166633830001,21.73965452 32.931063383,21.7138905200001 32.9444453830001,21.6277725200001 32.9347183830001,21.5347185200001 32.8699913830001,21.51374552 32.8492998830001,21.49721852 32.831936383,21.4716635200001 32.8162453830001,21.4277725200001 32.7966633820001,21.3891635200001 32.7833363820001,21.3724995200001 32.778327382,21.3266635200001 32.773327382,21.28527252 32.770272382,21.2330545200001 32.7711093820001,21.1794455200001 32.772772382,21.1236095200001 32.777500382,21.0699995200001 32.7745093820001,20.96944552 32.7375003820001,20.94139052 32.7245813820001,20.908609519 32.7080543820001,20.8891635190001 32.6974913820001,20.8711095190001 32.684718382,20.7041635190001 32.611381382,20.567627519 32.560909382,20.553336519 32.5533273820001,20.337218519 32.409163382,20.084445519 32.184718382,20.0593725190001 32.1552723820001,20.009163519 32.079163382,19.949027519 31.9770813820001,19.9419455190001 31.957772382,19.924163519 31.8233273820001,19.9195815190001 31.7481908820001,19.9208275190001 31.7272183810001,19.9244455190001 31.7049908810001,19.953054519 31.568045381,19.965554519 31.5235998810001,19.982772519 31.482490881,20.019718519 31.4013908810001,20.0305545190001 31.3777723810001,20.049027519 31.3539543810001,20.0712455190001 31.342636381,20.092218519 31.319445381,20.1055545190001 31.2974998810001,20.143327519 31.2102813810001,20.148299519 31.1868723810001,20.1555545190001 31.149999881,20.153472519 31.076809381,20.1488905190001 31.0549998810001,20.1349995190001 31.0077723810001,20.122499519 30.9711093810001,20.1088905190001 30.9433363810001,20.057636519 30.850827381,20.027354519 30.809718381,19.871390519 30.6316633800001,19.764999518 30.51888138,19.746109518 30.5038813800001,19.617772518 30.4172183800001,19.3449995180001 30.29416338,19.3161095180001 30.2863913800001,19.218327518 30.2669363800001,19.163054518 30.26388138,19.0252725180001 30.2650003800001,19.0013905180001 30.2669363800001,18.9574995180001 30.2763913800001,18.9263905180001 30.2888913800001,18.905281518 30.2988813800001,18.8015275180001 30.35360938,18.788890517 30.36666338,18.713054517 30.39694538,18.5974995170001 30.4638913800001,18.3855545170001 30.60889138,18.3588905170001 30.6275003800001,18.298881517 30.674163381,18.2473545170001 30.7286093810001,18.220618517 30.7588908810001,18.1791635170001 30.7819453810001,18.057218517 30.814718381,17.923190517 30.851527381,17.894163517 30.867081381,17.8083275170001 30.923054381,17.604163516 30.996945381,17.571109516 31.0050003810001,17.4999995160001 31.0166633810001,17.4698545160001 31.0233273810001,17.443472516 31.0359723810001,17.424718516 31.0509723810001,17.402636516 31.0666633810001,17.367218516 31.0822183810001,17.269999516 31.0947183810001,17.1330545160001 31.121945381,17.113327516 31.1266633810001,17.0588905160001 31.141109381,17.0222185160001 31.1555543810001,16.9924995160001 31.1658363810001,16.929581516 31.1834723810001,16.7597185160001 31.219163381,16.732218516 31.2244453810001,16.7058275160001 31.228054381,16.6561095160001 31.2272183810001,16.5980545150001 31.2255543810001,16.564718515 31.2213813810001,16.523609515 31.2177813810001,16.5002725150001 31.2186093810001,16.2548635150001 31.230691381,16.2247185150001 31.233891381,16.182781515 31.241391381,16.115781515 31.2558273810001,16.0808275150001 31.261945381,15.976799515 31.2912453810001,15.8963905150001 31.324718381,15.863890515 31.3388913810001,15.7542995150001 31.3897183810001,15.6887455150001 31.430554381,15.6199995150001 31.4901363810001,15.4880545140001 31.6598543810001,15.398609514 31.856945382,15.3783365140001 31.9029093820001,15.359999514 31.960272382,15.351945514 31.9958273820001,15.3547185140001 32.0211093820001,15.3549455140001 32.0218363820001,15.359999514 32.038054382,15.3693725140001 32.1545093820001,15.2746545140001 32.3190273820001,15.189299514 32.3872183820001,15.165836514 32.3986093820001,15.1286095140001 32.4097183820001,14.934999514 32.437218382,14.7905545140001 32.446109382,14.7250365140001 32.449300382,14.6541635140001 32.4811093820001,14.6245815140001 32.4911003820001,14.5455545140001 32.5030543820001,14.4866635130001 32.5105543820001,14.4486095130001 32.5256183820001,14.4385905130001 32.533054382,14.4148635130001 32.5569363820001,14.3172185130001 32.632500382,14.2002815130001 32.7038913820001,14.170836513 32.714163382,14.1499995130001 32.7177723820001,14.0794455130001 32.7238813820001,14.0388905130001 32.725827382,14.018054513 32.7294363820001,13.9933275130001 32.7366633820001,13.952218513 32.7543003820001,13.929981513 32.7660273820001,13.9127725130001 32.773327382,13.8927725130001 32.778327382,13.7758365130001 32.799718382,13.748336513 32.7965273820001,13.7227725130001 32.7913813820001,13.6427725130001 32.788054382,13.612772513 32.7887453820001,13.579027513 32.795554382,13.5438905130001 32.8080543820001,13.519718513 32.8222183830001,13.4674995130001 32.848327383,13.3624995120001 32.8962453830001,13.334999512 32.9044453830001,13.251109512 32.9188913830001,13.2061095120001 32.917218383,13.1601365120001 32.909581383,13.140690512 32.8987453830001,13.122363512 32.8836093830001,13.0919455120001 32.871936383,13.015427512 32.848454383,13.0008275120001 32.8427723830001,12.909027512 32.8156913830001,12.853890512 32.805545382,12.8138905120001 32.7994363820001,12.7718725120001 32.7966273820001,12.741109512 32.794718382,12.559445512 32.8008273820001,12.5172185120001 32.807218382,12.366109512 32.8255543830001,12.3439455110001 32.828400383,12.301245511 32.8377723830001,12.2761095110001 32.848054383,12.173890511 32.900554383,12.077772511 32.951663383,12.0255545110001 32.983609383,11.992218511 33.0038813830001,11.908054511 33.050281383,11.877636511 33.0649913830001,11.7924995110001 33.0831183830001,11.7408365110001 33.0855453830001,11.6380545110001 33.1016633830001,11.606945511 33.117081383,11.526081511 33.171136383,11.5312465110001 33.196851383,11.536198158 33.210703704,11.5373705110001 33.213983383,11.5373705440001 33.2139835500001,11.537370552 33.2139835890001,11.539969511 33.2273213830001,11.566442511 33.2987843830001,11.585107511 33.364755383,11.6125116010001 33.4012098010001,11.612562252 33.401277179,11.9999995110001 33.9166673840001,12.0000011060001 33.9166692680001,12.125978794 34.1749618050001,13.5801324340001 35.2707451700001,13.6016666670001 35.2499999990001,13.6612699180001 35.2251934380001,13.8333335130001 34.6794443840001,13.8752775130001 34.669444384,13.935833513 34.654444384,14.070833513 34.6197223840001,14.087222513 34.6172223840001,14.2602775130001 34.588889384,14.3983335130001 34.5686113840001,14.5247225140001 34.551944384,14.623333514 34.5383333840001,14.8186115140001 34.522222384)))', 'Libyan Exclusive Economic Zone', 'Libya', 'Libya', '', '67', '67', 'LBY', '8372', '2012-10', '357016012000', '8372', 'Y'),('SRID=4326;MULTIPOLYGON(((28.6862118810001 43.733217774,28.8615786560001 43.7153158950001,29.138088005 43.6800791210001,29.484910223 43.7041909020001,30.4340029630001 43.6270491610001,30.9741978640001 43.520284825,31.345277411 43.446944516,31.345277778 43.4469444430001,31.2849527720001 43.417491646,31.284952676 43.4174915990001,31.1091666670001 43.331666666,30.7516666670001 42.9452777770001,30.604999999 42.8252777760001,30.5694445290001 42.800833391,30.5694444440001 42.800833332,29.9750000000001 42.5574999990001,29.826666667 42.4899999990001,29.5722222220001 42.4399999990001,29.345833333 42.2411111100001,28.8967176720001 42.1341729970001,28.896717607 42.1341729810001,28.323888889 41.9977777770001,28.3238888880001 41.9977774770001,28.323852688 41.9870622620001,28.323833333 41.9813333910001,28.323833333 41.9813333320001,28.040333397 41.9813333320001,28.040333333 41.9813333320001,28.0377222220001 41.9801388880001,28.0355535530001 41.978720132,28.03475 41.9781944430001,28.0347496900001 41.9781944980001,28.034749526 41.978194391,28.0314725260001 41.9787773910001,28.0314545260001 41.9787933910001,28.0135707790001 41.982216921,28.0130545260001 41.9822183910001,28.0217995260001 41.994163391,28.000554526 42.037072391,27.968609526 42.072490891,27.938890526 42.1030453910001,27.8991635260001 42.1336093910001,27.8572185260001 42.164163391,27.7805545260001 42.2272183910001,27.7554095260001 42.2542998910001,27.7038905260001 42.368890891,27.700345526 42.395272391,27.679163526 42.4183183910001,27.616663526 42.447218391,27.5538815260001 42.4488723910001,27.5151995260001 42.4351363910001,27.4649905260001 42.4494363910001,27.449581526 42.4729813910001,27.495827526 42.535827392,27.5106905260001 42.552218392,27.6324995260001 42.631654392,27.7329095260001 42.711109392,27.771936526 42.7136093920001,27.8055455260001 42.7080543920001,27.8940905260001 42.7030543920001,27.8981185260001 42.7840183920001,27.8791635260001 42.841099392,27.9016635260001 42.855554392,27.9038815260001 42.891109392,27.896381526 42.924990892,27.8863905260001 43.0141543920001,27.887354526 43.036936392,27.9449995260001 43.1672183920001,28.0158275260001 43.2258183920001,28.053327526 43.2808183920001,28.0716635260001 43.322772392,28.0848545260001 43.3570723920001,28.127218526 43.394981392,28.150409526 43.4044453920001,28.299718526 43.4216543920001,28.3359635260001 43.4216543920001,28.3824995260001 43.412763392,28.408463526 43.3984633920001,28.431390526 43.3894363920001,28.4533275260001 43.385272392,28.4794455270001 43.3933273920001,28.5255545270001 43.4258183920001,28.541663527 43.4377723920001,28.5576365270001 43.453318392,28.5924905270001 43.503318392,28.6051365270001 43.5339543920001,28.6004095270001 43.5618633930001,28.5775635270001 43.5916543930001,28.5699995270001 43.689709393,28.576381527 43.7330453930001,28.583245527 43.7477633930001,28.5936605270001 43.742665393,28.6862118810001 43.733217774)))', 'Bulgarian Exclusive Economic Zone', 'Bulgaria', 'Bulgaria', '', '71', '71', 'BGR', '5672', '', '35175575820', '5672', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0694208130001 59.5709932880001,28.0695822170001 59.5701271510001,28.0683610630001 59.560726161,28.068360754 59.5607260690001,28.0675111690001 59.554183299,28.0662450460001 59.5444361150001,28.0394361990001 59.502218145,28.0219455220001 59.483045411,28.021945477 59.483045372,28.0206984930001 59.4821392800001,28.015827227 59.4786001210001,28.015827631 59.478599983,28.0158275260001 59.478599907,27.995963526 59.454581407,27.9780545260001 59.4405454070001,27.953881526 59.4252724070001,27.933327526 59.4172184070001,27.887909526 59.4086004070001,27.8480545260001 59.4066544070001,27.553054526 59.428600407,27.5099995260001 59.4344364070001,27.483054526 59.439427407,27.4508275260001 59.4462364070001,27.427218526 59.4483274070001,27.391109526 59.4486004070001,27.1852725250001 59.4469364070001,27.0874995250001 59.442218407,27.033336525 59.442491407,26.972772525 59.4444364070001,26.9213815250001 59.4508274070001,26.8836095250001 59.4591634070001,26.854999525 59.467636407,26.817218525 59.4808184070001,26.7727725250001 59.5038814070001,26.736936525 59.5224914070001,26.675827525 59.5474914070001,26.6505545250001 59.5533184070001,26.621663525 59.5572094070001,26.5752725250001 59.5522814070001,26.5316635250001 59.537772407,26.4880545250001 59.5333274070001,26.4583275250001 59.5411094070001,26.389718525 59.5616634070001,26.263054524 59.585818407,26.078054524 59.600545407,26.037218524 59.6213724070001,25.9799995240001 59.632763407,25.8730545240001 59.598872407,25.7724995240001 59.636518407,25.7145725240001 59.6647184080001,25.6804815240001 59.6616544080001,25.690554524 59.6173544070001,25.7129095240001 59.591936407,25.7054095240001 59.5705454070001,25.664718524 59.562763407,25.637354524 59.567081407,25.598118524 59.597909407,25.4774275240001 59.6580454080001,25.4888815240001 59.564854407,25.3992095240001 59.4882274070001,25.3588905240001 59.4905454070001,25.3188815240001 59.4988814070001,25.2827725240001 59.5091634070001,25.258327524 59.5141634070001,25.154445523 59.5316634070001,25.1075635230001 59.529436407,25.0505545230001 59.5119364070001,24.9184635230001 59.5068004070001,24.8872185230001 59.523045407,24.864581523 59.5430454070001,24.795972523 59.564991407,24.774163523 59.560963407,24.7849995230001 59.517081407,24.7227725230001 59.4527724070001,24.5366635230001 59.457218407,24.4027725230001 59.4741544070001,24.357081523 59.4724914070001,24.329299523 59.4615909070001,24.3220815230001 59.4288814070001,24.205690523 59.3438814070001,24.1816635230001 59.346236407,24.1480545220001 59.361663407,24.123609522 59.376654407,24.1052725220001 59.385554407,24.0730545220001 59.3930544070001,24.0437455220001 59.391654407,24.0234995220001 59.365336407,24.0272185220001 59.287772407,23.936109522 59.2722184070001,23.8981905220001 59.2720724070001,23.856945522 59.2841634070001,23.8308275220001 59.2897184070001,23.7296455220001 59.2728364070001,23.736381522 59.252218407,23.742490522 59.2463814070001,23.7417995220001 59.235963407,23.719299522 59.2304094070001,23.613609522 59.2397184070001,23.505272522 59.226800407,23.465827522 59.202281407,23.482490522 59.0894274070001,23.4326365220001 59.056863407,23.4104095220001 59.015681407,23.4442995220001 58.991799407,23.4663815220001 58.984163407,23.514163522 58.981099407,23.556381522 58.9877724070001,23.607081522 59.013745407,23.567009522 59.041936407,23.590554522 59.035272407,23.6242995220001 59.0095094070001,23.636663522 58.9742914070001,23.582636522 58.948881407,23.507499522 58.9372094070001,23.477218522 58.937491407,23.4383275220001 58.939990907,23.418054522 58.9092909070001,23.483054522 58.809990907,23.591663522 58.788045407,23.798327522 58.7997184070001,23.8272185220001 58.7911094070001,23.8642365220001 58.773045407,23.725554522 58.7447094070001,23.5920815220001 58.732772407,23.569445522 58.7355454070001,23.5352725220001 58.741799907,23.495545522 58.694154407,23.501109522 58.5769454060001,23.5247185220001 58.558327406,23.623881522 58.524854406,23.6791635220001 58.4255544060001,23.7286095220001 58.370827406,23.7762455220001 58.348609406,23.8263815220001 58.3547184060001,23.943745522 58.3241634060001,23.973327522 58.315827406,23.993045522 58.307772406,24.0108275220001 58.2986094060001,24.053609522 58.270690406,24.1036095220001 58.235545406,24.242072523 58.274018406,24.2883275230001 58.3160364060001,24.2974995230001 58.352281406,24.330827523 58.3866634060001,24.355409523 58.3913814060001,24.390554523 58.390827406,24.419718523 58.386654406,24.4588815230001 58.378327406,24.5177725230001 58.3530544060001,24.554509523 58.324718406,24.557636523 58.300409406,24.534581523 58.2793004060001,24.4842275230001 58.255199906,24.4694365230001 58.2391544060001,24.452499523 58.182772406,24.4699995230001 58.152354406,24.470827523 58.1273454060001,24.456663523 58.0760999060001,24.4299905230001 58.043472406,24.4063815230001 58.0227724060001,24.389999523 58.0027724060001,24.358472523 57.9617999060001,24.3419365230001 57.9316544060001,24.3229875230001 57.8895964060001,24.2611165230001 57.9172164060001,24.209449523 57.8991664060001,23.601116522 57.8991664060001,23.6484995220001 57.7829004060001,23.5823335220001 57.669550406,23.4060165220001 57.593833406,23.1808335220001 57.586383406,22.9991665210001 57.702216406,22.907683521 57.7805164060001,22.707499521 57.9408334060001,22.5835995210001 57.9274004060001,22.143333521 57.7791664060001,21.9161165200001 57.7494504060001,21.8427835200001 57.763050406,20.3962503610001 58.0239999340001,20.3962500000001 58.0239999990001,20.37333333 58.1999999990001,20.380421751 58.229391009,20.397164703 58.298812997,20.4416666700001 58.4833333290001,20.4615550450001 58.651910985,20.475979809 58.7741780320001,20.475979814 58.7741780750001,20.476615349 58.7795649830001,20.476615372 58.779565189,20.4814666670001 58.8445,20.481637924 58.8445856280001,20.4816908220001 58.8446120770001,20.4817 58.844616666,21.186133333 59.1914833330001,21.186133393 59.1914833450001,21.7761333330001 59.3114833330001,22.1644666670001 59.3798333330001,22.364830925 59.3917925740001,22.751133333 59.4148499990001,22.9874875040001 59.480453018,23.15945 59.5281833330001,23.2323037210001 59.5278208760001,23.3840852590001 59.527065744,23.49445 59.5265166660001,23.5998132670001 59.549982388,23.906116667 59.6181999990001,24.406116667 59.736549999,24.8211000000001 59.8415499990001,24.9116789080001 59.8598950950001,24.952766667 59.8682166660001,25.0199952770001 59.8744275550001,25.1281550140001 59.8844198510001,25.169433333 59.8882333330001,25.241512475 59.8853335970001,25.241512502 59.8853335960001,25.24151254 59.885333594,25.3729055040001 59.8800476700001,25.4594333330001 59.876566666,25.9677833330001 59.861566666,26.0391415280001 59.9077090850001,26.1327666670001 59.9682499990001,26.1907583760001 59.9805886610001,26.211099523 59.9849165640001,26.2111 59.9849166660001,26.2420975490001 59.987332328,26.2420975750001 59.9873323300001,26.30901973 59.992547625,26.309019773 59.9925476280001,26.3357833330001 59.9946333330001,26.4400000000001 59.938333329,26.9150000000001 59.6316666690001,28.0694208130001 59.5709932880001),(22.6910995210001 58.735263407,22.701381521 58.7538814070001,22.7211095210001 58.7816634070001,22.743327521 58.8029094070001,22.7758275210001 58.8185994070001,22.798054521 58.8249994070001,22.8124995210001 58.826381407,22.826245521 58.819718407,22.803890521 58.803599407,22.7927725210001 58.8002724070001,22.7802815210001 58.7930454070001,22.7812455210001 58.778745407,22.7983365210001 58.773609407,22.8158275210001 58.7727634070001,22.8480545210001 58.773609407,22.8858275210001 58.7837454070001,22.885409521 58.8137454070001,22.8669365210001 58.8216634070001,22.884445521 58.8330544070001,22.9483275210001 58.844436407,22.9608275210001 58.8449904070001,23.0052725210001 58.8305544070001,23.0216635210001 58.8205454070001,23.0452725210001 58.836381407,23.045827521 58.847772407,22.9524995210001 58.966936407,22.929718521 58.9824904070001,22.860827521 59.0016634070001,22.8430545210001 59.002218407,22.8011095210001 58.997218407,22.749718521 58.9999994070001,22.7338815210001 59.001390407,22.7197185210001 59.0036094070001,22.7008275210001 59.0167994070001,22.6969365210001 59.0477724070001,22.5758275210001 59.0685994070001,22.523609521 59.0224904070001,22.4877725210001 58.9922184070001,22.4680545210001 58.9780454070001,22.4344365210001 58.966381407,22.375554521 58.9516634070001,22.1910995210001 58.947490407,22.0649995210001 58.952218407,22.052218521 58.949718407,22.044299521 58.942627407,22.049163521 58.9301364070001,22.063609521 58.9236094070001,22.164999521 58.8919364070001,22.177218521 58.888881407,22.229436521 58.8780454070001,22.2455455210001 58.8785994070001,22.2769455210001 58.8894364070001,22.336109521 58.892218407,22.369718521 58.8902724070001,22.386109521 58.8845724070001,22.4049905210001 58.8716544070001,22.4261095210001 58.855272407,22.447772521 58.834709407,22.471936521 58.763609407,22.468463521 58.711245407,22.479999521 58.699718407,22.517772521 58.6910994070001,22.531663521 58.688599407,22.5474995210001 58.6872094070001,22.5652725210001 58.686654407,22.5955545210001 58.688327407,22.6241635210001 58.6910994070001,22.646381521 58.6977724070001,22.666936521 58.7052724070001,22.6777725210001 58.7135994070001,22.6910995210001 58.735263407),(23.112081522 59.0209634070001,23.1380545220001 58.9766544070001,23.148463522 58.9683274070001,23.164718522 58.962772407,23.180545522 58.961109407,23.2772185220001 58.9630544070001,23.291945522 58.9641544070001,23.3699995220001 58.973045407,23.381109522 58.9763814070001,23.3898545220001 58.986236407,23.389436522 59.0013814070001,23.366109522 59.025409407,23.3519365220001 59.031936407,23.3397185220001 59.035272407,23.3258275220001 59.037499407,23.192163522 59.041981407,23.181381522 59.0422184070001,23.150827522 59.0405544070001,23.137772522 59.0383274070001,23.1266635220001 59.034999407,23.117218522 59.030818407,23.112081522 59.0209634070001),(23.2152725220001 58.5330544060001,23.227218522 58.529718406,23.3649995220001 58.5299904060001,23.376109522 58.5330544060001,23.3963815220001 58.5508274060001,23.3970815220001 58.5622184060001,23.343190522 58.6409634070001,23.3172185220001 58.6508274070001,23.2713815220001 58.664436407,23.247463522 58.671054407,23.2163815220001 58.6777724070001,23.2008275220001 58.679163407,23.186381522 58.6780454070001,23.173609522 58.675827407,23.1497185220001 58.670272407,23.140272522 58.6658274070001,23.064718521 58.6190184070001,23.0590275210001 58.6045814070001,23.067918521 58.5912364070001,23.0911095220001 58.5802724060001,23.2152725220001 58.5330544060001),(22.099163521 57.9305454060001,22.2024995210001 57.9861094060001,22.263336521 58.098045406,22.2713185210001 58.153118406,22.276663521 58.180472406,22.3729095210001 58.221381406,22.4812455210001 58.242072406,22.5205545210001 58.2422184060001,22.581936521 58.241099406,22.6488815210001 58.230272406,22.756945521 58.240272406,23.0286095210001 58.357772406,23.0641635210001 58.385827406,23.076945521 58.413881406,23.1424905220001 58.443599406,23.2020815220001 58.447354406,23.226099522 58.4366544060001,23.258745522 58.4298544060001,23.3281905220001 58.4469364060001,23.2811095220001 58.487072406,23.2630545220001 58.496099406,23.090827522 58.564436406,22.984854521 58.599436407,22.9112455210001 58.616799407,22.8716635210001 58.617763407,22.8156905210001 58.616663407,22.7720455210001 58.603218407,22.6241635210001 58.593318407,22.5016635210001 58.6022184070001,22.3272185210001 58.577490406,22.193745521 58.5472184060001,22.1124995210001 58.4922184060001,21.9926365200001 58.515690406,21.92499952 58.5172094060001,21.8373545200001 58.506663406,21.8595815200001 58.483045406,21.87805452 58.4741634060001,21.9113815200001 58.461518406,21.9963815200001 58.3813814060001,22.00694552 58.3566544060001,21.9555545200001 58.343045406,21.88332752 58.341518406,21.84450952 58.2891634060001,21.87708152 58.257354406,22.073609521 58.172772406,22.138472521 58.159709406,22.1940905210001 58.145236406,22.151109521 58.086381406,22.106527521 58.0845724060001,22.0859635210001 58.0792994060001,21.9831905200001 57.9672094060001,21.99735452 57.9198544060001,22.016245521 57.911381406,22.037772521 57.9083274060001,22.051663521 57.9097184060001,22.0733275210001 57.9166634060001,22.099163521 57.9305454060001)))', 'Estonian Exclusive Economic Zone', 'Estonia', 'Estonia', '', '70', '70', 'EST', '5675', '', '35773195540', '5675', 'Y'),('SRID=4326;MULTIPOLYGON(((34.9656929110001 34.8328213500001,34.967585533 34.854512384,34.9764695330001 34.9586513840001,34.9778165330001 34.9908703850001,34.977785533 34.9921913850001,34.985688533 35.0058533850001,35.0684415330001 35.116952385,35.0901675330001 35.1527043850001,35.1086455330001 35.2634003850001,35.1146615330001 35.2967943850001,35.129107533 35.4650653850001,35.149392533 35.5849743850001,35.1919515330001 35.8370243850001,35.189261533 35.8518183850001,35.1592575330001 36.0144793850001,35.2653265330001 36.0601323860001,35.442592533 36.061884386,35.4837365330001 36.061157386,35.4999695330001 36.0609003860001,35.5355015330001 36.059447386,35.566219533 36.0564873860001,35.575767533 36.0554953860001,35.6007065330001 36.0527113860001,35.6329455330001 36.0483223860001,35.678903533 36.0406673860001,35.6956615330001 36.036193386,35.696308533 36.035673386,35.7801465330001 35.996345385,35.806429533 35.984056385,35.845624533 35.9666413850001,35.8892645330001 35.946248385,35.892021533 35.9444413850001,35.9224361140001 35.92699105,35.8791635330001 35.8638813850001,35.8437455330001 35.738327385,35.8269455330001 35.708609385,35.782490533 35.638054385,35.7338905330001 35.5816633850001,35.7707095330001 35.4995543850001,35.857081533 35.4780543850001,35.9190275330001 35.422636385,35.9291455330001 35.262063385,35.9416635330001 35.2447183850001,35.9508275330001 35.2258273850001,35.957290533 35.1961093850001,35.923881533 35.153609385,35.886109533 35.103472385,35.882772533 35.064990885,35.8777815330001 34.9863813850001,35.8749905330001 34.912081384,35.8833275330001 34.8744453840001,35.9313905330001 34.738609384,35.9497185330001 34.6944453840001,35.972773299 34.647500064,35.9677335330001 34.6473483840001,35.9335585330001 34.6424073840001,35.9334615330001 34.642384384,35.835561533 34.6158223840001,35.827549533 34.6135273840001,35.8252805330001 34.6153073840001,35.8208265330001 34.6187503840001,35.810028533 34.626976384,35.8002215330001 34.633961384,35.797465533 34.6359333840001,35.7904245330001 34.6403253840001,35.7853805330001 34.6434293840001,35.7814865330001 34.645983384,35.7703475330001 34.652979384,35.769393533 34.6535363840001,35.7606185330001 34.6585983840001,35.756041533 34.661039384,35.746290533 34.6638953840001,35.7270455330001 34.6694973840001,35.5812875330001 34.714001384,35.5187025330001 34.7314813840001,35.171294533 34.7954193840001,34.9656929110001 34.8328213500001)))', 'Syrian Exclusive Economic Zone', 'Syria', 'Syria', '', '77', '77', 'SYR', '8373', '', '10239016530', '8373', 'Y'),('SRID=4326;MULTIPOLYGON(((35.1919515330001 35.8370243850001,35.149392533 35.5849743850001,35.129107533 35.4650653850001,35.1146615330001 35.2967943850001,35.1086455330001 35.2634003850001,35.0901675330001 35.1527043850001,35.0684415330001 35.116952385,34.985688533 35.0058533850001,34.977785533 34.9921913850001,34.9778165330001 34.9908703850001,34.9764695330001 34.9586513840001,34.967585533 34.854512384,34.9656929110001 34.8328213500001,34.937556027 34.76424145,34.914158533 34.7072123840001,34.9060466180001 34.687150945,34.889286016 34.645698903,34.8587698210001 34.597485491,34.840282711 34.568281261,34.8331005320001 34.556935384,34.774683532 34.4649783840001,34.740618532 34.411474384,34.7406181860001 34.4114738980001,34.703588994 34.360133467,34.5850099140001 34.2540182750001,34.286152938 33.986427748,34.2861525320001 33.986427384,34.2854734950001 33.9859347060001,34.283033764 33.9841642960001,34.2340389340001 33.95687761,34.234038905 33.9568775910001,34.228671241 33.952291938,34.2226233260001 33.947138206,34.212225532 33.9382773840001,34.142507385 33.879399505,34.0740728640001 33.8216053310001,34.0735946290001 33.8211618490001,34.073335532 33.820921383,34.063677532 33.8121713830001,34.031760134 33.7832863570001,34.028669967 33.7804897240001,34.028669532 33.780489383,33.985652714 33.7466070770001,33.955501789 33.720217179,33.9118982800001 33.6821278780001,33.901892532 33.673387383,33.859632532 33.623899383,33.8483777160001 33.612754131,33.8476232960001 33.613787357,33.7492911790001 33.530982882,33.716666667 33.5000000000001,33.6000000000001 33.4075,33.45 33.282222222,33.283333333 33.156944444,33.1666666670001 33.0561111110001,33.083333333 32.9936111110001,33.016666667 32.9341666670001,32.9833333330001 32.909722222,32.9792980780001 32.9046781530001,32.9676483710001 32.8901160200001,32.516666667 33.011111111,32.022222222 33.1222222220001,31.6083333330001 33.1916666670001,31.1166666670001 33.3555555560001,30.6111111110001 33.511111111,30.4750000000001 33.5666666670001,30.083333333 33.7500000000001,29.9522837120001 33.811342376,30.224294528 34.4254813840001,30.271073528 34.4723793840001,30.397378528 34.5990043840001,30.4786485280001 34.6871903840001,30.7840575290001 35.019716385,31.005584529 35.2653103850001,31.074052529 35.342663385,31.371011529 35.682789385,31.4710745290001 35.6820143850001,31.5343845290001 35.681191385,31.8833605300001 35.6627413850001,31.9869975300001 35.6565483850001,32.04210153 35.652639385,32.0874755300001 35.6493493850001,32.18670853 35.6397993850001,32.24860053 35.633486385,32.2533125300001 35.633869385,32.2955805300001 35.6364143850001,32.3592005300001 35.6360413850001,32.4178335300001 35.631032385,32.5903145300001 35.675176385,32.6166545300001 35.6812413850001,32.7908485310001 35.705441385,32.9850475310001 35.7314333850001,33.0695495310001 35.7186913850001,33.1017255310001 35.7137993850001,33.143725531 35.7155793850001,33.2609255310001 35.719802385,33.2630325310001 35.7202223850001,33.306255531 35.728718385,33.423665531 35.7188283850001,33.431052531 35.7181913850001,33.4943015310001 35.730495385,33.5048155310001 35.7310673850001,33.675870531 35.7644883850001,33.7109835310001 35.7706733850001,33.7816155310001 35.774015385,33.849076532 35.798061385,33.9275935320001 35.841066385,33.9612045320001 35.8591743850001,33.993544532 35.8730953850001,34.140630532 35.9060563850001,34.1414505320001 35.906512385,34.150431532 35.911447385,34.175104532 35.924837385,34.274956532 35.9786593850001,34.3134005320001 35.998670385,34.353824532 36.0123183850001,34.4150675320001 36.046665386,34.6535655320001 36.1796173860001,34.693808532 36.194378386,34.7102355320001 36.199084386,34.7399775320001 36.207549386,34.8279185320001 36.191090386,34.9014505330001 36.1623573860001,34.9456915330001 36.141560386,35.1592575330001 36.0144793850001,35.189261533 35.8518183850001,35.1919515330001 35.8370243850001),(34.553190532 35.6820813850001,34.389445532 35.6238813850001,34.3602725320001 35.611936385,34.349999532 35.6069453850001,34.342499532 35.5991633850001,34.336663532 35.5894363850001,34.3141635320001 35.575554385,34.292218532 35.566663385,33.9697185320001 35.436100385,33.871109532 35.4063913850001,33.8536095320001 35.4030543850001,33.807218531 35.4002723850001,33.7749905310001 35.402218385,33.753054531 35.3984633850001,33.7130545310001 35.3819453850001,33.652618531 35.354100385,33.6316635310001 35.350272385,33.472636531 35.3286093850001,33.427499531 35.3280453850001,33.3852725310001 35.3283273850001,33.3694365310001 35.3286093850001,33.354436531 35.3302723850001,33.271945531 35.339718385,33.002781531 35.3655543850001,32.9391635310001 35.3274998850001,32.9320995310001 35.2636273850001,32.916936531 35.1999998850001,32.912772531 35.1886093850001,32.9044455310001 35.176800385,32.8958275310001 35.1697183850001,32.8827725310001 35.1622183850001,32.858327531 35.1505543850001,32.835136531 35.1429093850001,32.8205455310001 35.143881385,32.8086095310001 35.1483273850001,32.769718531 35.1638913850001,32.7219365300001 35.180827385,32.6559635300001 35.189718385,32.6222185300001 35.184163385,32.56555453 35.1688813850001,32.5513815300001 35.173472385,32.52221853 35.1444363850001,32.51582753 35.135827385,32.50193653 35.109163385,32.4938815300001 35.096936385,32.4602725300001 35.0644363850001,32.4386095300001 35.0502813850001,32.42402753 35.044163385,32.3977725300001 35.0394453850001,32.3726365300001 35.0389543850001,32.3541635300001 35.046391385,32.34138153 35.0544453850001,32.3266635300001 35.065554385,32.31249053 35.076945385,32.3047185300001 35.0841633850001,32.29513653 35.094581385,32.27860953 35.095409385,32.2698635300001 35.078881385,32.2702725300001 35.062490885,32.2752725300001 35.040409385,32.32332753 34.9094363840001,32.34138153 34.8633273840001,32.4058275300001 34.7498543840001,32.47110953 34.713054384,32.4919455300001 34.702218384,32.6416635300001 34.657218384,32.65471853 34.653609384,32.69832753 34.642218384,32.71388153 34.6402723840001,32.7422185300001 34.6454093840001,32.7507422190001 34.64855083,32.7516635310001 34.648890384,32.7651365310001 34.6558273840001,32.831109531 34.6674993840001,32.8594455310001 34.666109384,32.969739481 34.6607180090001,33.029999531 34.6577723840001,33.063190531 34.6806903840001,33.104999531 34.6952723840001,33.1169455310001 34.6986093840001,33.133609531 34.701663384,33.1530545310001 34.7024993840001,33.2172185310001 34.6994363840001,33.2722905310001 34.7095453840001,33.3217995310001 34.715418384,33.3690185310001 34.7265273840001,33.5163905310001 34.783609384,33.603336531 34.8184723840001,33.6374275310001 34.862145384,33.6327725310001 34.8738813840001,33.636109531 34.899990884,33.639581531 34.9167998840001,33.6479185310001 34.9388813840001,33.6647185310001 34.9579093840001,33.6813815310001 34.9667993850001,33.702875008 34.9725970150001,33.707636531 34.973881385,33.7630545310001 34.972772385,33.790272531 34.970272385,33.8144365310001 34.9658273850001,33.832499532 34.9567993840001,33.848327532 34.942499384,33.864790532 34.9372183840001,33.883745532 34.9451363840001,33.8963815320001 34.955554384,33.899163532 34.959718384,33.9030545320001 34.9641633850001,33.905587558 34.9654657740001,33.913327532 34.969445385,33.929445532 34.973609385,33.9558275320001 34.9780543850001,33.9769455320001 34.9813813850001,34.0238815320001 34.979299385,34.0347185320001 34.971936385,34.064990532 34.960963384,34.085272532 34.9616633850001,34.0781905320001 34.9884723850001,34.067218532 35.0038813850001,34.054445532 35.020554385,34.0330545320001 35.0438813850001,33.9738815320001 35.0880543850001,33.9020815320001 35.1630543850001,33.900272532 35.198054385,33.901936532 35.2158273850001,33.905827532 35.2422183850001,33.910554532 35.253054385,33.921390532 35.2727723850001,33.9405545320001 35.299436385,33.9483275320001 35.3072183850001,33.9580545320001 35.3127723850001,34.1199995320001 35.400836385,34.2252725320001 35.455554385,34.2594365320001 35.4674993850001,34.280827532 35.4769453850001,34.3866635320001 35.535272385,34.569718532 35.643609385,34.586036532 35.6886093850001,34.553190532 35.6820813850001)))', 'Cypriote Exclusive Economic Zone', 'Cyprus', 'Cyprus', '', '81', '81', 'CYP', '8376', '2011-05-12', '98237060530', '8376', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.8885815159999 -37.1942516829999,-16.888451516 -37.1935536829999,-16.8884865159999 -37.192552683,-16.7827615159999 -36.6185206819999,-16.5570845149999 -36.067563682,-16.2204185149999 -35.555697681,-16.2186705149999 -35.553875681,-16.211042515 -35.5421806809999,-16.210187515 -35.541288681,-16.210005515 -35.5410106809999,-15.7740705149999 -35.0827936809999,-15.252450514 -34.69112068,-14.983002514 -34.54874168,-14.883797514 -34.47293368,-14.295059513 -34.15667368,-13.652628513 -33.92626868,-12.974245512 -33.78798668,-12.974098512 -33.78797768,-12.970375512 -33.7872066799999,-12.968221512 -33.78708168,-12.964632512 -33.78633768,-12.957655512 -33.78593368,-12.955991512 -33.7855886799999,-12.260071511 -33.7430636789999,-12.258819511 -33.743165679,-12.2572045109999 -33.7430616789999,-12.250907511 -33.7435746789999,-12.242810511 -33.743053679,-12.2404505109999 -33.743245679,-12.238978511 -33.7431516789999,-12.235040511 -33.743471679,-12.228445511 -33.743046679,-12.2275985109999 -33.743115679,-12.2265155109999 -33.743045679,-11.531685511 -33.7973376799999,-10.8566115099999 -33.9471976799999,-10.2196315099999 -34.18858268,-10.21889751 -34.1889986799999,-10.2176975099999 -34.1894486799999,-10.21739651 -34.18961868,-10.21377451 -34.1909766799999,-9.63250950899993 -34.51729468,-9.62852950899998 -34.52046668,-9.61965550899993 -34.52540368,-9.11065650799998 -34.927679681,-9.11014950799995 -34.928245681,-9.10062650799995 -34.9357106809999,-9.09933150799998 -34.937156681,-9.09659350799996 -34.939302681,-8.67505650799995 -35.406383681,-8.67411950799993 -35.407912681,-8.67399550799996 -35.408049681,-8.67305150799996 -35.4095896809999,-8.67293350799997 -35.409719681,-8.67198850799997 -35.4112596809999,-8.67187150799998 -35.4113886809999,-8.67010250799996 -35.4142736809999,-8.66978150799997 -35.414626681,-8.66807650799996 -35.417408681,-8.66766250799998 -35.417862681,-8.66589350799995 -35.420748681,-8.66557350799997 -35.421100681,-8.66368950799995 -35.424172681,-8.66344950799993 -35.424435681,-8.66250450799993 -35.4259776809999,-8.66238750799994 -35.426105681,-8.34172550799997 -35.9448686819999,-8.33879750799997 -35.952736682,-8.33834550799997 -35.953462682,-8.12990650799998 -36.509094682,-8.12987350799995 -36.509311682,-8.12760250799994 -36.5153156819999,-8.03995550699995 -37.091602683,-8.04012650699997 -37.0941806829999,-8.03963350699996 -37.0973946829999,-8.05261750699998 -37.293189683,-7.88576450699998 -37.349340683,-7.88514050699996 -37.349661683,-7.88381050699996 -37.350107683,-7.26786750699995 -37.663651683,-7.26420150699994 -37.6663106829999,-7.26295450699996 -37.666938683,-7.24776750699994 -37.677947683,-7.23532450699997 -37.6842146829999,-6.69127950599994 -38.0748836839999,-6.23552650599993 -38.532113684,-5.88244550499996 -39.0431566839999,-5.87353950499994 -39.0639166839999,-5.86376450499995 -39.077929684,-5.86374050499995 -39.0779856839999,-5.85948450499995 -39.084083684,-5.62095950499997 -39.6343836849999,-5.62089650499996 -39.634704685,-5.61978650499998 -39.6372416849999,-5.50582650499996 -40.210935686,-5.50583350499994 -40.2111736859999,-5.50580050499997 -40.211335686,-5.50580750499995 -40.211572686,-5.50577550499997 -40.2117356859999,-5.52290850499998 -40.791833686,-5.52365450499997 -40.794664686,-5.52368050499996 -40.795563686,-5.67478050499994 -41.364453687,-5.68255550499993 -41.379360687,-5.68289950499997 -41.380646687,-5.96681150599994 -41.920588687,-5.97342450599996 -41.928603687,-5.97348250599993 -41.928711687,-6.38439450599998 -42.422426688,-6.91162150599996 -42.853730688,-7.53977050699996 -43.208134688,-8.24896550799997 -43.473481689,-9.01549250799997 -43.6405076889999,-9.81279350899996 -43.7033066889999,-9.81589650899997 -43.7031476889999,-9.81806350899996 -43.703311689,-9.83106250899993 -43.702642689,-9.84017250899996 -43.7033286889999,-9.84141750899994 -43.703264689,-9.84229250899995 -43.703330689,-10.64221151 -43.6594666889999,-11.416442511 -43.5106726889999,-12.1380175109999 -43.262193688,-12.782591512 -42.922704688,-12.789569512 -42.917409688,-12.7926625119999 -42.915763688,-12.8156475119999 -42.898312688,-12.880836512 -42.863547688,-13.4265935129999 -42.4442996879999,-13.858433513 -41.959938687,-14.164883513 -41.4264326869999,-14.165195513 -41.425427687,-14.165781513 -41.4244006869999,-14.3401645129999 -40.858902686,-14.369151513 -40.442291686,-14.716706514 -40.307054686,-15.3202755139999 -39.9548486849999,-15.3212045139999 -39.954070685,-15.321284514 -39.954023685,-15.3308165139999 -39.946036685,-15.527446514 -39.829843685,-16.0334835149999 -39.399706685,-16.0359595149999 -39.3966486849999,-16.0383895149999 -39.394565685,-16.0396305149999 -39.393031685,-16.040359515 -39.392406685,-16.042548515 -39.389701685,-16.045269515 -39.387368685,-16.4408825149999 -38.894639684,-16.7158245159999 -38.355445684,-16.718047516 -38.3469846839999,-16.7201685159999 -38.342792684,-16.868468516 -37.7743156829999,-16.8885815159999 -37.1942516829999)))', 'Tristan Da Cunha Exclusive Economic Zone', 'Tristan da Cunha', 'United Kingdom', '', '180', '88', 'TAA', '8382', '', '754306003600', '8382', 'Y'),('SRID=4326;MULTIPOLYGON(((19.521663518 40.9098543900001,19.470618518 40.88319139,19.4524185180001 40.88384539,19.4133275180001 40.86639089,19.4049995180001 40.81971839,19.356109518 40.6961723900001,19.307209518 40.6453093900001,19.3377725180001 40.6186093900001,19.393327518 40.5809633900001,19.4176365180001 40.57721839,19.4536095180001 40.5638813900001,19.487636518 40.4387453900001,19.479445518 40.3548543900001,19.463972518 40.33730939,19.4328725180001 40.3271913890001,19.4067995180001 40.35013639,19.402918518 40.3699908900001,19.391663518 40.3879093900001,19.3417995180001 40.4313813900001,19.3188815180001 40.43889139,19.2897905180001 40.4214543900001,19.4011095180001 40.2799998890001,19.451390518 40.2267273890001,19.5030545180001 40.1974903890001,19.6166635180001 40.1491633890001,19.7305545180001 40.1030543890001,19.754999518 40.0829813890001,19.825554518 40.0547183890001,19.8411095180001 40.051381389,19.8572905180001 40.043472389,19.937499519 39.9374908890001,19.9877815190001 39.8672183890001,19.983609519 39.7652723890001,19.9854185190001 39.694754389,20.0100270660001 39.6912001760001,20.0082655190001 39.690585389,20.007195519 39.6886873890001,20.007040519 39.6872373890001,20.005848519 39.6847673890001,20.0051845190001 39.6839263890001,20.004749519 39.681396389,20.002042519 39.675319389,19.996732519 39.665634389,19.991238519 39.6386353890001,19.985000519 39.643324389,19.9692275190001 39.6547923890001,19.9647715190001 39.6582183890001,19.957914519 39.6639863890001,19.9521665190001 39.668925389,19.9403945190001 39.6785063890001,19.928245519 39.687203389,19.9287495190001 39.687860389,19.929998519 39.6894023890001,19.931642519 39.6911773890001,19.938327519 39.7009013890001,19.9387195190001 39.701440389,19.939208519 39.7020753890001,19.939273519 39.7021503890001,19.939550519 39.7024443890001,19.945849519 39.7099563890001,19.9459225190001 39.710034389,19.952350519 39.7180903890001,19.9527695190001 39.718664389,19.952946519 39.718838389,19.9547275190001 39.720732389,19.9556745190001 39.7218243890001,19.9572065190001 39.723751389,19.9578175190001 39.724720389,19.958798519 39.7262313890001,19.9597015190001 39.7272323890001,19.9601095190001 39.727728389,19.959960519 39.7318873890001,19.9598845190001 39.7360693890001,19.9584925190001 39.742614389,19.9581565190001 39.7435553890001,19.959068519 39.7472583890001,19.960436519 39.752049389,19.960459519 39.755515389,19.9604765190001 39.7557993890001,19.960622519 39.756664389,19.963164519 39.7590573890001,19.963528519 39.7594233890001,19.963662519 39.759550389,19.963933519 39.759884389,19.9659905190001 39.761551389,19.966857519 39.762565389,19.967577519 39.7633453890001,19.9688515190001 39.764817389,19.9707795190001 39.768570389,19.970951519 39.7691493890001,19.9713695190001 39.7701143890001,19.9719785190001 39.775037389,19.9721375190001 39.776749389,19.973430519 39.7799353890001,19.973809519 39.7806923890001,19.974056519 39.7812803890001,19.9756925190001 39.782281389,19.9768205190001 39.7834653890001,19.977416519 39.7840743890001,19.9780335190001 39.7847283890001,19.978219519 39.7849583890001,19.9780585190001 39.787239389,19.9776315190001 39.791836389,19.9775645190001 39.7933693890001,19.9770825190001 39.7988473890001,19.9770015190001 39.799149389,19.9758255190001 39.8024233890001,19.971938519 39.8164023890001,19.9711885190001 39.8189533890001,19.9656695190001 39.826461389,19.949065519 39.8368323890001,19.9449815190001 39.837421389,19.9409065190001 39.8376603890001,19.933782519 39.8402463890001,19.928423519 39.8420283890001,19.925835519 39.8427053890001,19.924036519 39.8439443890001,19.913700519 39.851472389,19.9066585190001 39.854781389,19.897670519 39.8572983890001,19.881708519 39.862096389,19.871285519 39.8666843890001,19.860004518 39.871987389,19.859197518 39.8723533890001,19.8565695180001 39.873448389,19.848700518 39.876689389,19.8370315180001 39.8819743890001,19.829133518 39.8854333890001,19.8262465180001 39.8866563890001,19.7540385180001 39.9162393890001,19.750207518 39.919401389,19.7491345180001 39.928737389,19.7327865180001 39.9410673890001,19.718571518 39.9515883890001,19.7180895180001 39.9519403890001,19.717222518 39.952608389,19.7143005180001 39.9548703890001,19.7050265180001 39.961951389,19.6844225180001 39.975233389,19.6787105180001 39.9790053890001,19.6604245180001 39.9907843890001,19.651723518 39.996305389,19.6493975180001 39.997477389,19.6452345180001 39.999770389,19.623222518 40.011841389,19.5758005180001 40.021204389,19.5653765180001 40.0234883890001,19.526073518 40.0312893890001,19.5203705180001 40.031993389,19.5069495180001 40.033589389,19.469245518 40.035191389,19.4655915180001 40.0353323890001,19.448798518 40.0344103890001,19.4437515180001 40.033992389,19.4285565180001 40.0368723890001,19.4274505180001 40.0370713890001,19.4234135180001 40.037825389,19.406650518 40.0404203890001,19.398414518 40.0422663890001,19.391079518 40.043943389,19.381376518 40.0461263890001,19.3534435180001 40.0522013890001,19.309190518 40.0588173890001,19.275288518 40.063602389,19.2543515180001 40.0664113890001,19.1884345180001 40.072563389,19.188128518 40.0725923890001,19.1845855180001 40.072922389,19.1493475180001 40.075693389,19.148862518 40.0757333890001,19.114508518 40.078527389,19.091022518 40.0796233890001,19.0702125180001 40.0803853890001,19.0332385180001 40.080622389,19.0154805180001 40.080628389,19.0141545180001 40.080623389,19.0089735180001 40.0806073890001,19.004026518 40.080582389,18.986794151 40.080423554,18.977222222 40.1319444440001,18.951388889 40.2036111100001,18.8800000000001 40.3138888880001,18.8597222220001 40.358333332,18.8513888890001 40.3880555550001,18.7958333330001 40.5122222210001,18.7597222220001 40.593888888,18.7452777780001 40.64611111,18.7397222220001 40.6694444440001,18.711111111 40.7330555550001,18.6711111110001 40.847222221,18.659444444 40.8849999990001,18.658611111 40.917499999,18.595 41.1080555550001,18.576944444 41.1336111100001,18.5427777780001 41.1936111100001,18.461944444 41.277499999,19.154606755 41.6135098180001,19.2864884960001 41.670539761,19.347611113 41.694427068,19.3964331120001 41.7150373600001,19.4132946280001 41.734529706,19.4096574020001 41.7458844130001,19.374238905 41.8394914580001,19.3683419020001 41.8479462130001,19.367772727 41.849,19.416245518 41.8612453910001,19.4404185180001 41.8609723910001,19.479445518 41.8522183910001,19.5247545180001 41.8352453910001,19.597709518 41.8061093910001,19.5991635180001 41.7797183910001,19.5819455180001 41.695691391,19.570827518 41.6852723910001,19.5869365180001 41.638609391,19.584718518 41.605827391,19.566663518 41.5850003910001,19.5199995180001 41.5699998910001,19.442499518 41.4069453910001,19.4522185180001 41.3097183900001,19.4751365180001 41.30902739,19.498609518 41.2938813900001,19.510136518 41.2760998900001,19.5137455180001 41.2540183900001,19.450554518 41.05999989,19.436218518 41.0210633900001,19.4611095180001 41.0069453900001,19.5086095180001 40.97277239,19.5232635180001 40.93659089,19.521663518 40.9098543900001)))', 'Albanian Exclusive Economic Zone', 'Albania', 'Albania', '', '82', '82', 'ALB', '5670', '', '11275673690', '5670', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.25640850899993 -15.966008663,-9.25636550899998 -15.9656116629999,-9.25639450899996 -15.9652096629999,-9.19381450899994 -15.387951662,-9.02899750799997 -14.829795662,-9.02805450799997 -14.8279186619999,-9.02799350799995 -14.827710662,-8.76662050799996 -14.3053466609999,-8.76147150799994 -14.2984286609999,-8.75443250799998 -14.2843136609999,-8.74569350799993 -14.272570661,-8.74532850799994 -14.271837661,-8.74292250799994 -14.2686036609999,-8.74127250799995 -14.2652936609999,-8.39183750799998 -13.7941966609999,-8.39119550799995 -13.7935876609999,-8.38981450799997 -13.7917196609999,-7.96297850699995 -13.385849661,-7.96225250699996 -13.385365661,-7.95798850699993 -13.381298661,-7.92626950699997 -13.3601446609999,-7.90922150699993 -13.34387566,-7.90920250699998 -13.34386266,-7.90620850699997 -13.34100466,-7.41501150699997 -13.01218166,-6.87383650599998 -12.77017566,-6.29858850599993 -12.6220766599999,-6.29785050599997 -12.6220156599999,-6.29464850599993 -12.62118666,-5.70213850499994 -12.5713146599999,-5.70016850499997 -12.57148266,-5.69820150499993 -12.5713146599999,-5.10568750499993 -12.62112666,-5.09256050499994 -12.62452366,-5.07413850499995 -12.6260456599999,-4.49884850399997 -12.77401566,-4.49817350399996 -12.7743186599999,-4.49589550399998 -12.77490066,-4.49293750399994 -12.77622766,-4.49194650399994 -12.7764816599999,-3.95069450399996 -13.01834666,-3.45939950299993 -13.34703966,-3.45929050299998 -13.34714466,-3.45442150299994 -13.35039166,-3.02764950299996 -13.756255661,-3.02717650299996 -13.7568956609999,-3.02566150299998 -13.7583316609999,-2.67628250199994 -14.2294246609999,-2.66386850199996 -14.2543276609999,-2.65898650199995 -14.260887661,-2.39769050199993 -14.783261662,-2.23294050199996 -15.341424662,-2.17040650199993 -15.918685663,-2.17041550199997 -15.9188066629999,-2.16680950199998 -15.951916663,-2.16686850199994 -15.952721663,-2.16678150199994 -15.953516663,-2.20918450199997 -16.5324796629999,-2.35619750199993 -17.095552664,-2.60424450199997 -17.6254646639999,-2.94652750299997 -18.1058046649999,-3.37311750299995 -18.5215536649999,-3.87117750399995 -18.859593666,-4.42531450399997 -19.1091746659999,-4.42559250399995 -19.1092466659999,-4.42633550399995 -19.1095796659999,-4.43176750399994 -19.110991666,-4.48516350399996 -19.134927666,-4.51608050399994 -19.1429516659999,-4.53793150399997 -19.152736666,-4.53841950399993 -19.152862666,-4.54198550399997 -19.154459666,-4.54561050399997 -19.1553996659999,-4.55009750399995 -19.157408666,-4.55037750399993 -19.157480666,-4.55111950399993 -19.1578126659999,-5.14414950499997 -19.3105936659999,-5.75682650499994 -19.361984666,-5.75732250499993 -19.3619436659999,-5.75782050499993 -19.361984666,-6.37046950599995 -19.310326666,-6.96342050599998 -19.1572876659999,-7.51775450699995 -18.9077896659999,-8.01600650699993 -18.5698216649999,-8.01623450699998 -18.5695996649999,-8.01904150699994 -18.5676886649999,-8.44580050799993 -18.151992665,-8.45361450799993 -18.1410636649999,-8.47566250799997 -18.1195146649999,-8.47628850799993 -18.1186386649999,-8.47663250799997 -18.1183026649999,-8.81893450799993 -17.6379606639999,-9.06699350799994 -17.108046664,-9.21400950899994 -16.544972663,-9.25640850899993 -15.966008663),(-5.76889050499994 -15.947363663,-5.79278150499994 -15.991109663,-5.78721850499994 -16.009163663,-5.76847250499998 -16.0219456629999,-5.72916350499997 -16.0054906629999,-5.71297250499993 -15.992863663,-5.71055450499995 -15.9963906629999,-5.70041850499996 -16.0037546629999,-5.66041850499994 -15.985690663,-5.64639050499994 -15.958336663,-5.64528150499996 -15.939999663,-5.67139050499998 -15.9094456629999,-5.69951850499996 -15.903754663,-5.71639050499994 -15.905281663,-5.72889050499998 -15.913890663,-5.74860950499993 -15.9291636629999,-5.76889050499994 -15.947363663)))', 'St. Helena Exclusive Economic Zone', 'Saint Helena', 'United Kingdom', '', '180', '86', 'SHN', '8380', '', '446455661500', '8380', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.900420531 -20.466979667,-32.8997985309999 -20.461738667,-32.900172531 -20.456287667,-32.899829531 -20.4533966669999,-32.900035531 -20.450390667,-32.8997915309999 -20.4483326669999,-32.899938531 -20.4461936669999,-32.831973531 -19.869342667,-32.65955453 -19.3121686659999,-32.38882353 -18.791259666,-32.02859853 -18.3219886649999,-31.5900545289999 -17.9181046649999,-31.5851835289999 -17.914957665,-31.585085529 -17.914867665,-31.081438529 -17.588117664,-30.5275085279999 -17.347989664,-30.527369528 -17.347955664,-30.526548528 -17.347597664,-29.938437528 -17.201027664,-29.333091527 -17.152247664,-29.3326065269999 -17.152288664,-29.332104527 -17.152246664,-29.1895525269999 -17.164309664,-28.8568075269999 -17.1363386639999,-28.8558185269999 -17.136419664,-28.854863527 -17.1363386639999,-28.249572526 -17.1851296639999,-27.661518526 -17.331710664,-27.1076475249999 -17.5718536639999,-26.604059525 -17.898617665,-26.165593524 -18.302527665,-26.164218524 -18.304326665,-26.158554524 -18.309522665,-25.798366524 -18.7787996659999,-25.527668524 -19.2997136659999,-25.355276524 -19.856891667,-25.3531305239999 -19.875219667,-25.352875524 -19.8760386669999,-25.284903524 -20.452888667,-25.284991524 -20.4541626669999,-25.2848455239999 -20.455387667,-25.324526524 -21.034568668,-25.471887524 -21.598468668,-25.723633524 -22.129736669,-26.073084524 -22.6118256689999,-26.510241525 -23.02953767,-27.021977525 -23.36955667,-27.592396526 -23.6209356699999,-27.592622526 -23.62099267,-27.593422526 -23.6213436699999,-28.204377526 -23.77591867,-28.836113527 -23.82864767,-28.8931035269999 -23.82415867,-29.302847527 -23.85696267,-29.304244527 -23.85684867,-29.3069395269999 -23.85706167,-29.3130225269999 -23.85656667,-29.329461527 -23.85786167,-29.3299685269999 -23.85781967,-29.3304925269999 -23.85786167,-29.9623725279999 -23.80519867,-30.573479528 -23.65068467,-31.144055529 -23.39936567,-31.655941529 -23.05939667,-31.6564005289999 -23.05896067,-31.6609465289999 -23.05592767,-32.0982185299999 -22.638245669,-32.10088953 -22.634575669,-32.1111465299999 -22.624737669,-32.11201253 -22.6235476689999,-32.11214253 -22.623422669,-32.46161753 -22.141331669,-32.7133775299999 -21.610062668,-32.860743531 -21.046160668,-32.900420531 -20.466979667)))', 'Brazilian Exclusive Economic Zone (Trindade)', 'Trindade', 'Brazil', '', '171', '87', 'BRA', '8381', '2012-10 (name)', '469953863300', '8381', 'Y'),('SRID=4326;MULTIPOLYGON(((6.45525072700002 38.5721241050001,6.82182937300007 38.3841502500001,6.84837656400003 38.3763733820001,7.39270581500006 38.150596023,7.81666666700005 38.0016666660001,7.84565750700006 37.9388043870001,7.97124450700005 37.6992323870001,8.05429050800007 37.591870387,8.18836950800005 37.4942783870001,8.43985850800004 37.3092753870001,8.52239050800006 37.285194387,8.55217150800007 37.209415387,8.60852250800002 37.0614223860001,8.62640050800007 37.0131543860001,8.63304150800008 36.972227386,8.63306750800007 36.971981386,8.63316250800005 36.969690386,8.62202750800003 36.941363386,8.54582750800006 36.921390386,8.39027250800007 36.9188813860001,8.22562750800006 36.952772386,8.16027250800005 36.9219453860001,8.05139050700006 36.874718386,7.95471850700005 36.846663386,7.93221850700007 36.8444453860001,7.87666350700005 36.847500386,7.81639050700005 36.8602723860001,7.78471850700004 36.872218386,7.77305450700004 36.879718386,7.77249950700002 36.9277723860001,7.76139050700004 36.965972386,7.72971850700003 36.9663813860001,7.61471850700002 36.9756903860001,7.59360950700005 36.982500386,7.57333650700002 36.993327386,7.55389050700006 37.0050003860001,7.46360950700006 37.042500386,7.29249950700006 37.077218386,7.26999050700005 37.0677723860001,7.25374550700008 37.0766633860001,7.22971850700003 37.0863903860001,7.18965450700006 37.0788183860001,7.20305450700005 37.054718386,7.22041850700003 37.0419453860001,7.24889050700006 37.027499386,7.25805450700005 37.006518386,7.25041850700006 36.984436386,7.22513650700006 36.957636386,7.17055450700008 36.920000386,7.14139050700004 36.911663386,6.95639050600005 36.8841633860001,6.92041850600003 36.8843003860001,6.58215450600005 36.9838183860001,6.57236350600004 37.0054093860001,6.54194550600005 37.044999886,6.52236350600003 37.0658273860001,6.50389050600006 37.0783273860001,6.47166350600003 37.0898543860001,6.39833650600002 37.0863903860001,6.36694550600004 37.0818003860001,6.27055450600005 37.020272386,6.25374550600003 36.9745093860001,6.26389050600005 36.948745386,6.24221850600003 36.9204093860001,6.23333650600006 36.9136093860001,6.16444550600005 36.892218386,6.02430950600007 36.8434633860001,6.00000000600005 36.837772386,5.86694550500005 36.816381386,5.81569050500002 36.813054386,5.77492750500005 36.8305813860001,5.74250000500007 36.832772386,5.70458150500002 36.821945386,5.58833650500003 36.765754386,5.56374550500004 36.7386093860001,5.54778150500005 36.713609386,5.53139050500005 36.6941633860001,5.46263650500003 36.6637453860001,5.43650000500003 36.665318386,5.42444550500005 36.6530543860001,5.32805450500007 36.640272386,5.29944550500005 36.640272386,5.24263650500006 36.646736386,5.19500000500005 36.6608273860001,5.16194550500006 36.6723543860001,5.09131850500006 36.7106183860001,5.07967250500008 36.7326183860001,5.10048150500006 36.771309386,4.92333650500007 36.846936386,4.78874550400008 36.8938903860001,4.74944550400005 36.8906903860001,4.72444550400007 36.886245386,4.69916350400007 36.886109386,4.63555450400003 36.886381386,4.60335450400004 36.887909386,4.55750000400008 36.884445386,4.38944550400004 36.895272386,4.29500000400003 36.9044453860001,4.24528150400005 36.9033273860001,4.10610950400007 36.8841633860001,4.07610950400004 36.885554386,3.99750000400007 36.8947183860001,3.95889050400007 36.888609386,3.92840000400003 36.894372386,3.90166350400006 36.9147183860001,3.81583650400006 36.9033273860001,3.74791850300005 36.8891633860001,3.71624550300004 36.8749998860001,3.69270950300006 36.8490903860001,3.65229050300007 36.823954386,3.62500000300003 36.810554386,3.54416350300005 36.7855543860001,3.47916350300005 36.7680543860001,3.38347250300006 36.771245386,3.30721850300006 36.7830543860001,3.22805450300007 36.778609386,3.18555450300005 36.7427723860001,3.17221850300007 36.741390386,3.13069050300004 36.7388813860001,3.10639050300006 36.7419453860001,3.08916350300007 36.7500003860001,3.06250000300003 36.785136386,3.03048150300003 36.805763386,2.99124550300007 36.808327386,2.96360950300004 36.8022183860001,2.93416350300004 36.8025003860001,2.90020950300004 36.7947813860001,2.83624550300004 36.7220813860001,2.81624550300006 36.7026363860001,2.77944550300003 36.6772183860001,2.62610950200002 36.6033363860001,2.59763650200006 36.5940273860001,2.57250000200003 36.5891633860001,2.50000050200003 36.5843003860001,2.47416350200007 36.5863903860001,2.43444550200007 36.590272386,2.40263650200006 36.598045386,2.39402750200003 36.618327386,2.36305450200007 36.632081386,2.33916350200008 36.6352723860001,2.30903650200003 36.629581386,2.22110950200005 36.611663386,2.17694550200002 36.5995813860001,2.15069050200003 36.5873543860001,2.04430950200003 36.5666633860001,1.97250000200006 36.560827386,1.95028150200005 36.5613813860001,1.90597250200005 36.5702723860001,1.84250050200006 36.5675003860001,1.74278150200007 36.553463386,1.72221850200003 36.5472183860001,1.69166350200004 36.5488813860001,1.64958150200005 36.546800386,1.61389050200006 36.5372183860001,1.56750000100004 36.5313903860001,1.49666350100006 36.523609386,1.40639050100003 36.5297183860001,1.18250000100005 36.512218386,1.02500000100002 36.4738813860001,0.947500001000037 36.448881386,0.928190501000074 36.429163386,0.914927501000022 36.404509386,0.866945501000032 36.3766633860001,0.83971850100005 36.365827386,0.762781501000063 36.336245386,0.736945501000037 36.3322183860001,0.729981501000054 36.332600386,0.677500001000055 36.328045386,0.615836501000047 36.305827386,0.53778150100004 36.2694363860001,0.330000000000041 36.167499886,0.20416350000005 36.103336386,0.127154500000074 36.044927386,0.11763650000006 36.0116633850001,0.0844455000000721 35.9424998850001,0.0416635000000269 35.870690385,0.0176365000000374 35.847772385,5.0000005558104e-07 35.8372533850001,-0.052218499999924 35.8061093850001,-0.106663499999968 35.7840273850001,-0.114290499999925 35.783700385,-0.120836499999939 35.783609385,-0.144163499999934 35.7880543850001,-0.244445499999927 35.810827385,-0.296663499999966 35.8341633850001,-0.300690499999973 35.8641273850001,-0.340136499999971 35.8988903850001,-0.373127499999953 35.902772385,-0.477845499999944 35.853745385,-0.493890499999964 35.8199998850001,-0.511390499999948 35.790136385,-0.529863499999976 35.769718385,-0.618054500999961 35.7183273850001,-0.646109500999955 35.7126363850001,-0.697218500999952 35.7197183850001,-0.79166350099996 35.7650003850001,-0.902781500999936 35.7113903850001,-1.00625450099994 35.6812453850001,-1.03582750099997 35.676936385,-1.12610950099997 35.606663385,-1.16889050099996 35.5775003850001,-1.19694550099996 35.5511093850001,-1.22402750099997 35.5026363850001,-1.23999950099994 35.467218385,-1.24916350099994 35.4363813850001,-1.25916350099993 35.4066633850001,-1.27458150099994 35.3818003850001,-1.29778150099997 35.3599903850001,-1.35221850099992 35.322490385,-1.36074550099994 35.3177903850001,-1.36930950099998 35.312918385,-1.39555450099994 35.305136385,-1.41639050099997 35.303600385,-1.44291850099995 35.3079183850001,-1.47139050099997 35.306527385,-1.52416350099998 35.279445385,-1.55610950099998 35.2616633850001,-1.69889050199993 35.1736093850001,-1.74610950199997 35.133954385,-1.78055450199997 35.1172183850001,-1.89666350199997 35.087490385,-1.94055450199994 35.0791633850001,-1.97971850199997 35.073327385,-2.02999950199995 35.0719363850001,-2.06555450199994 35.0719363850001,-2.09805450199997 35.0794363850001,-2.11791850199995 35.0883273850001,-2.16028150199998 35.0974273850001,-2.20944550199994 35.0858273850001,-2.20935850199993 35.086900385,-2.20935845299994 35.086900868,-2.20935857599994 35.086900787,-2.20788693899993 35.1013495940001,-2.21100917499996 35.122203036,-2.21209024899997 35.12768871,-2.21261944199995 35.133301234,-2.21264446099997 35.133969258,-2.21261494699996 35.134905545,-2.21734252799996 35.150838413,-2.21819857499997 35.154114877,-2.21948581699996 35.160480853,-2.22200028999993 35.190397267,-2.22200030599993 35.2009244440001,-2.21853103299998 35.2348267450001,-2.20529252199998 35.3124353150001,-2.19717353599998 35.354079891,-2.16951061799995 35.411720571,-2.16500930299998 35.421128507,-2.15901263199993 35.4340498240001,-2.06129364699996 35.647157119,-2.06713016899994 35.7308625900001,-2.07404580299993 35.7762522020001,-2.10138888899996 35.905555559,-2.06944444399994 35.9444444390001,-2.05555555599994 35.9611111090001,-1.85833333299996 36.0916666690001,-1.54722222199996 36.287499999,-1.36666666699995 36.390277779,-1.26805555599998 36.4486111090001,-1.20833333299993 36.4722222190001,-1.04027777799996 36.5680555590001,-1.00277777799994 36.593055559,-0.866666666999947 36.7041666690001,-0.720833332999973 36.723611109,-0.627777777999938 36.747222219,-0.479166666999959 36.769444439,-0.380555555999933 36.8236111090001,-0.333333332999928 36.8347222190001,0.00694444400005523 37.008333329,0.298611111000071 37.1777777790001,0.600000000000023 37.4388888890001,0.786111111000025 37.605555559,1.49444444400007 37.6013888890001,1.53333333300003 37.6069444390001,1.63888888900004 37.6138888890001,1.87083333300006 37.640277779,2.18611111100006 37.7263888890001,2.64305555600004 37.9166666690001,2.76805555600004 37.984722219,2.91944444400002 37.984722219,3.14722222200004 37.991666669,3.24444444400007 37.997222219,3.37638888900005 38.026388889,4.13472222200005 38.2208333290001,4.24166666700006 38.254166669,4.34027777800003 38.304166669,4.41805555600007 38.338888889,4.57083333300005 38.3874999990001,4.73888888900007 38.384722219,5.30000000000007 38.452777779,5.83611111100004 38.6874999990001,6.05555555600006 38.797222219,6.45525072700002 38.5721241050001)))', 'Algerian Exclusive Economic Zone', 'Algeria', 'Algeria', '', '84', '84', 'DZA', '8378', '', '128956170000', '8378', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.788777517 -7.93014465499994,-17.788738517 -7.92974065499993,-17.7887705169999 -7.92933465499993,-17.733038517 -7.35157465499998,-17.732789517 -7.35068065499996,-17.731993517 -7.34239565499996,-17.576388516 -6.78292165399995,-17.325911516 -6.25858465399995,-17.3233355159999 -6.25497665399996,-17.3218885159999 -6.25194265399995,-17.3158765159999 -6.24352365399994,-17.310796516 -6.23286965399996,-16.9732515159999 -5.75940765299993,-16.971105516 -5.75729565299997,-16.9702575159999 -5.75610465299997,-16.969845516 -5.75569965299997,-16.9692485159999 -5.75486065299998,-16.964368516 -5.75005765299994,-16.964241516 -5.74987965299994,-16.963853516 -5.74949765299993,-16.9632325159999 -5.74862565299998,-16.9615675159999 -5.74698665299996,-16.961247516 -5.74653665299996,-16.546899515 -5.33815365299995,-16.0682285149999 -5.00710165299995,-15.539600514 -4.76329965199994,-15.5369145139999 -4.76258965199997,-15.536627514 -4.76245665199997,-15.531882514 -4.76120165199995,-15.5256735139999 -4.75833265199998,-14.962920514 -4.60906765199996,-14.3828465129999 -4.55882965199993,-14.380362513 -4.55904565199995,-14.3778755129999 -4.55882865199993,-14.377391513 -4.55887165199994,-14.3769055129999 -4.55882865199993,-13.796836513 -4.60911465199996,-13.234094512 -4.75842565199997,-12.705496512 -5.00228865299994,-12.704500512 -5.00297865299996,-12.6825905119999 -5.01306765299995,-12.203931511 -5.34415065299993,-12.201162511 -5.34688465299996,-12.1859695109999 -5.35737665299996,-12.1853165109999 -5.35802065299993,-12.178997511 -5.36238465299994,-12.169749511 -5.37151165299997,-12.1590185109999 -5.37892065299997,-11.7446165109999 -5.78728265299998,-11.7423715109999 -5.79043565299997,-11.7346275109999 -5.79805465299995,-11.734029511 -5.79889365299994,-11.733618511 -5.79929765299994,-11.396019511 -6.27274165399996,-11.3956695109999 -6.27347565399998,-11.395006511 -6.27440465399997,-11.14451351 -6.79873865399998,-10.98889551 -7.35821165499993,-10.9331595099999 -7.93597165499995,-10.93325851 -7.93720865499995,-10.9331395099999 -7.93844065499997,-10.9793645099999 -8.51702965599998,-11.12659751 -9.07888965699993,-11.12782951 -9.08155765699996,-11.12857051 -9.08438465699993,-11.372801511 -9.61238465699995,-11.7070035109999 -10.090335657,-12.121295511 -10.5035036579999,-12.136972511 -10.514438658,-12.140318511 -10.517770658,-12.622242512 -10.853324658,-12.624044512 -10.854159658,-12.625279512 -10.8550186579999,-12.640245512 -10.8619586579999,-12.648379512 -10.8676126579999,-13.183187512 -11.115079658,-13.185860512 -11.115791658,-13.186201512 -11.115949658,-13.757293513 -11.267612659,-13.775022513 -11.269162659,-13.778511513 -11.270086659,-13.782940513 -11.2704736589999,-13.806745513 -11.276772659,-14.396329513 -11.3278006589999,-14.3968365129999 -11.3277566589999,-14.3973455129999 -11.3278006589999,-14.986917514 -11.276661659,-14.9928945139999 -11.275079659,-14.9929835139999 -11.2750716589999,-15.564075514 -11.123365658,-16.098878515 -10.875863658,-16.5808325149999 -10.540307658,-16.581480515 -10.5396616579999,-16.581810515 -10.539431658,-16.5835535149999 -10.537696658,-16.585814515 -10.536119658,-16.586786515 -10.535151658,-16.5908305149999 -10.532330658,-17.0051625159999 -10.1191686569999,-17.0064175159999 -10.117376657,-17.007169516 -10.1166256569999,-17.341399516 -9.63867565699996,-17.3416825159999 -9.63806365699998,-17.345366516 -9.63278865699994,-17.5896085159999 -9.10478765699997,-17.7368495169999 -8.54292665599996,-17.7381575169999 -8.52652965599998,-17.7406335169999 -8.51707565599997,-17.740751517 -8.51560065599995,-17.7425495169999 -8.50873265599995,-17.788777517 -7.93014465499994)))', 'Ascension Exclusive Economic Zone', 'Ascension', 'United Kingdom', '', '180', '85', 'ASC', '8379', '', '443625736400', '8379', 'Y'),('SRID=4326;MULTIPOLYGON(((-48.057409545 -53.539028698,-47.954657545 -52.962809697,-47.6924525439999 -52.405825697,-47.284011544 -51.8838596959999,-46.745275544 -51.4111926959999,-46.0941995429999 -51.0003706959999,-45.3501985419999 -50.662025695,-44.5337165409999 -50.4047366949999,-43.665900541 -50.234939695,-42.76835554 -50.1568516949999,-41.8629485389999 -50.172424695,-40.971637538 -50.281325695,-40.116307537 -50.480932695,-39.4009625369999 -50.737306695,-38.926446536 -50.678506695,-38.468454536 -50.6712596949999,-38.405620536 -50.663032695,-38.237925536 -50.6598046949999,-38.172163536 -50.6510476949999,-37.258427535 -50.6283946949999,-36.3502265339999 -50.6994476949999,-35.809939533 -50.8004506949999,-35.8078635329999 -50.800593695,-34.9234515329999 -50.9592836959999,-34.9181805329999 -50.960869696,-34.874930532 -50.968417696,-34.873814532 -50.968752696,-34.7013275319999 -50.9986626959999,-34.699399532 -50.999237696,-34.676297532 -51.003219696,-33.838269532 -51.2482586959999,-33.561915531 -51.367142696,-33.5099385309999 -51.381850696,-32.73686753 -51.706845696,-32.6986565299999 -51.729493696,-32.6809855299999 -51.736792696,-32.04788453 -52.1065216969999,-31.295579529 -52.403877697,-30.588406528 -52.794079697,-29.990613528 -53.249612698,-29.979004528 -53.2623846979999,-29.0795485269999 -53.0770306969999,-28.1278165259999 -52.978812697,-27.1635325249999 -52.973452697,-27.1608505249999 -52.9737096969999,-27.1215845249999 -52.973319697,-26.167515524 -53.0605516969999,-25.2464355239999 -53.2385906979999,-24.380904523 -53.503093698,-23.5931015219999 -53.847550698,-22.904597521 -54.2633496989999,-22.336037521 -54.739859699,-22.311322521 -54.7705146989999,-21.95132452 -54.976329699,-21.36000152 -55.4478387,-20.9084945189999 -55.9686277,-20.614758519 -56.524631701,-20.5850915189999 -56.6682887009999,-20.544224519 -56.713099701,-20.2377665189999 -57.2680517009999,-20.184412519 -57.505920702,-20.0042695189999 -57.819913702,-19.866823519 -58.394739702,-19.868088519 -58.4084917019999,-19.847134518 -58.494058703,-19.900239519 -59.072665703,-20.1416245189999 -59.612704704,-20.1479335189999 -59.676406704,-20.408077519 -60.240783704,-20.873356519 -60.772724705,-21.18256452 -60.998815705,-21.32717152 -61.1576427049999,-21.36653252 -61.1859027049999,-21.3794025199999 -61.1999287049999,-22.059954521 -61.679089706,-22.926801521 -62.089785706,-23.9545405219999 -62.4165577059999,-25.107967523 -62.646590706,-26.3434255249999 -62.770557707,-27.6113425259999 -62.783295707,-27.6289035259999 -62.7819797069999,-27.7888915259999 -62.7827907069999,-29.036572527 -62.682194706,-30.213419528 -62.473883706,-31.2739965289999 -62.166256706,-32.1808025299999 -61.771409706,-32.905932531 -61.3043287049999,-33.431556531 -60.7819887049999,-33.749412531 -60.222474704,-33.859635532 -59.644190704,-33.8571035319999 -59.628230704,-33.862610532 -59.598805704,-33.7723165309999 -59.0198217029999,-33.494121531 -58.457325703,-33.442632531 -58.397497702,-33.5769385309999 -58.2509327019999,-33.778112531 -58.280394702,-34.8789445319999 -58.3311067019999,-35.9779755339999 -58.2712897019999,-36.1342695339999 -58.247024702,-36.276796534 -58.251529702,-37.370685535 -58.1799447019999,-38.4154695359999 -58.000746702,-39.371747537 -57.7209477019999,-40.2057145369999 -57.3512597009999,-40.2386325369999 -57.330157701,-40.3854485379999 -57.284411701,-40.4097175379999 -57.2733847009999,-40.437445538 -57.264703701,-41.2508085379999 -56.8882737009999,-41.2949145379999 -56.8587577009999,-41.299410538 -56.8572927009999,-41.8253075389999 -56.9025747009999,-42.8887235399999 -56.885365701,-43.925298541 -56.759035701,-44.8955825419999 -56.528552701,-45.764348543 -56.2027927,-45.798438543 -56.1841876999999,-46.021621543 -56.0985226999999,-46.755184544 -55.6882077,-47.3362235439999 -55.209979699,-47.7505115439999 -54.680511699,-47.991061545 -54.117514698,-48.057409545 -53.539028698),(-37.9336185349999 -53.992227698,-38.023754535 -54.0074366979999,-38.0225725349999 -54.054727698,-37.897781535 -54.047227698,-37.6922185349999 -54.034999698,-37.6197905349999 -54.046118698,-37.6538275349999 -54.072154698,-37.6763905349999 -54.074718698,-37.7175725349999 -54.0941636979999,-37.719172535 -54.1405636979999,-37.6852815349999 -54.175281699,-37.650418535 -54.1816726989999,-37.589445535 -54.175281699,-37.562227535 -54.170563699,-37.529445535 -54.1625096989999,-37.5611815349999 -54.146072698,-37.489863535 -54.129445698,-37.2520815349999 -54.1522906979999,-37.335554535 -54.173618699,-37.367227535 -54.175563699,-37.4034725349999 -54.185009699,-37.4083365349999 -54.264936699,-37.365836535 -54.271945699,-37.266254535 -54.258754699,-37.241809535 -54.2473636989999,-37.146118535 -54.2613906989999,-37.082227535 -54.293890699,-37.083754535 -54.318818699,-37.059445535 -54.329999699,-36.9997275339999 -54.348618699,-36.9913905339999 -54.350563699,-36.925281534 -54.3379186989999,-36.864936534 -54.346527699,-36.801109534 -54.4111816989999,-36.809799534 -54.445418699,-36.736945534 -54.4702816989999,-36.655554534 -54.4911096989999,-36.582227534 -54.4998636989999,-36.5259095339999 -54.497081699,-36.4686095339999 -54.5288906989999,-36.3172185339999 -54.686954699,-36.302509534 -54.7130546989999,-36.2974995339999 -54.7333366989999,-36.199172534 -54.809172699,-36.131463534 -54.868890699,-36.1047275339999 -54.889236699,-36.076390534 -54.890281699,-35.961399533 -54.869445699,-35.923618533 -54.8504186989999,-35.9643095329999 -54.831672699,-35.9897275339999 -54.8305546989999,-36.021118534 -54.817218699,-36.095309534 -54.769936699,-36.0747185339999 -54.7680546989999,-36.0458365339999 -54.7788906989999,-36.0252815339999 -54.7877816989999,-36.000699534 -54.8008366989999,-35.9797275339999 -54.809172699,-35.959445533 -54.811109699,-35.9141725329999 -54.8134726989999,-35.827781533 -54.7927816989999,-35.793963533 -54.760209699,-35.8280545329999 -54.7508366989999,-35.8566725329999 -54.743054699,-35.917363533 -54.7151456989999,-35.933890533 -54.700563699,-35.934718533 -54.6230636989999,-35.9797275339999 -54.5788906989999,-36.0638905339999 -54.571536699,-36.0968095339999 -54.549590699,-36.159999534 -54.4447276989999,-36.256109534 -54.3684726989999,-36.2291725339999 -54.3377816989999,-36.257227534 -54.286663699,-36.290209534 -54.265836699,-36.394799534 -54.249172699,-36.3836815339999 -54.278263699,-36.3620905339999 -54.293054699,-36.3366725339999 -54.352290699,-36.3699995339999 -54.354999699,-36.456118534 -54.327509699,-36.4726365339999 -54.265136699,-36.478890534 -54.238890699,-36.5170815339999 -54.234454699,-36.556809534 -54.2455636989999,-36.604027534 -54.2661186989999,-36.626672534 -54.2836186989999,-36.662645534 -54.275145699,-36.6675725339999 -54.2440996989999,-36.584163534 -54.2088906989999,-36.6237545339999 -54.120699698,-36.656390534 -54.1077816979999,-36.809445534 -54.088336698,-37.027781534 -54.056118698,-37.162781535 -54.0313906979999,-37.270281535 -54.0502816979999,-37.3738905349999 -54.0480546979999,-37.4613995349999 -54.0361186979999,-37.494999535 -54.0105636979999,-37.7472185349999 -53.994999698,-37.910281535 -53.989727698,-37.9336185349999 -53.992227698),(-26.433609525 -58.389163702,-26.4581995249999 -58.430699702,-26.419999525 -58.456672703,-26.4065275249999 -58.459445703,-26.389727525 -58.4597277029999,-26.371672525 -58.463054703,-26.290972524 -58.4786187029999,-26.264163524 -58.488063703,-26.2488905239999 -58.4986097029999,-26.2436185239999 -58.494727703,-26.2413905239999 -58.471672703,-26.246672524 -58.404445702,-26.265699524 -58.3941727019999,-26.2915275239999 -58.388063702,-26.3177815249999 -58.386390702,-26.393054525 -58.3827817019999,-26.403890525 -58.3825097019999,-26.4166635249999 -58.3836097019999,-26.433609525 -58.389163702)))', 'South Georgian Exclusive Economic Zone', 'South Georgia and the South Sandwich Islands', 'United Kingdom', '', '180', '89', 'SGS', '8383', '', '1442947063000', '8383', 'Y'),('SRID=4326;MULTIPOLYGON(((32.7113975300001 -46.825372692,32.7114835300001 -46.824987692,32.71147053 -46.8245736919999,32.838401531 -46.250792691,32.8549235310001 -46.2168256909999,32.855722531 -46.213162691,33.1202565310001 -45.6626996909999,33.511274531 -45.15133169,33.5125435310001 -45.1501896899999,33.5126275310001 -45.1500786899999,33.760442531 -44.92586269,33.7943585310001 -44.8804426899999,34.2930685320001 -44.4211046889999,34.2933775320001 -44.4209026889999,34.293573532 -44.420719689,34.888609532 -44.026981689,34.8887085320001 -44.026935689,34.891084532 -44.0253466889999,34.8939545320001 -44.024009689,34.8942205320001 -44.023831689,34.8958185320001 -44.023086689,34.8959815320001 -44.022977689,34.897522533 -44.022259689,34.900023533 -44.020585689,34.9019175330001 -44.019703689,34.914949533 -44.010978689,35.588438533 -43.6932146889999,36.3220145340001 -43.459938689,37.096135535 -43.317225688,37.890730535 -43.2687586879999,37.8910645350001 -43.2687796879999,37.891388535 -43.2687586879999,37.8922515350001 -43.268812688,37.8930875350001 -43.2687586879999,37.9078735350001 -43.269686688,37.9221365350001 -43.268761688,38.7169065360001 -43.3155606879999,38.717303536 -43.3156346879999,38.717663536 -43.3156546879999,39.492309537 -43.456736689,40.226755537 -43.688461689,40.2458975370001 -43.6975416889999,40.272564538 -43.7058216889999,40.9477105380001 -44.021871689,40.947795538 -44.0219276889999,40.950944538 -44.023383689,40.953155538 -44.0248536889999,40.953509538 -44.025017689,40.9536585380001 -44.025116689,40.9550795380001 -44.0257736889999,41.551878539 -44.4180926889999,42.0526725390001 -44.8762346899999,42.0529285390001 -44.87657569,42.053092539 -44.8767236899999,42.053290539 -44.87698769,42.056938539 -44.8802876899999,42.0569995390001 -44.88036969,42.058289539 -44.88153769,42.4471695400001 -45.39299169,42.44828354 -45.3953506899999,42.4564275400001 -45.40594369,42.71951554 -45.9564476909999,42.84529854 -46.5302726909999,42.8256985400001 -47.110503692,42.82567154 -47.111306692,42.8252545400001 -47.112721692,42.8249625400001 -47.121348692,42.7619175400001 -47.334723692,42.7605005400001 -47.3753216919999,42.58998654 -47.9442336929999,42.269659539 -48.483945693,42.269296539 -48.4843346929999,42.2692815390001 -48.484360693,42.249484539 -48.505601693,42.2326095390001 -48.5336816929999,42.232529539 -48.533767693,42.2323335390001 -48.5340926929999,42.231702539 -48.5347686929999,42.2303165390001 -48.537074693,42.2299585390001 -48.537457693,42.229942539 -48.537485693,42.2240315390001 -48.5438166929999,42.221814539 -48.547500693,41.7564075390001 -49.040295694,41.753940539 -49.042087694,41.749507539 -49.046728694,41.151235538 -49.4761536939999,41.149253538 -49.477141694,41.147093538 -49.478673694,41.1453655380001 -49.4795346939999,41.140244538 -49.483165694,41.1388005380001 -49.483885694,41.1386215380001 -49.4840126939999,41.136782538 -49.484928694,41.1343815380001 -49.486630694,41.1329375380001 -49.4873496939999,41.1327585380001 -49.4874776939999,40.418816538 -49.838600694,39.612449537 -50.099052695,38.741432536 -50.259398695,37.8370885350001 -50.313744695,37.8361745350001 -50.313693695,37.8352715350001 -50.313744695,37.725663535 -50.307603695,37.719626535 -50.307938695,37.7165085350001 -50.307761695,37.713324535 -50.307937695,37.667483535 -50.3053356949999,37.651070535 -50.3062356949999,37.6501805350001 -50.306184695,37.6492545350001 -50.3062356949999,36.7451665340001 -50.2511676949999,36.7393625340001 -50.250117695,36.7132185340001 -50.2484216949999,35.842827533 -50.087154695,35.0373395330001 -49.8258526939999,35.0218145330001 -49.8182866939999,35.0157325330001 -49.8162816939999,34.303161532 -49.464285694,34.302514532 -49.463824694,34.301545532 -49.463340694,34.301391532 -49.4632306939999,34.299918532 -49.4624936939999,34.2995035320001 -49.4621986939999,34.2981975320001 -49.4615446939999,33.7012385310001 -49.031461694,33.7004665310001 -49.030649694,33.698002531 -49.028853694,33.6952505310001 -49.0259596939999,33.6951065310001 -49.025855694,33.231096531 -48.5325566929999,33.2293295310001 -48.529603693,33.223331531 -48.523154693,32.903723531 -47.983200693,32.902146531 -47.9779646929999,32.900204531 -47.974647693,32.7306155300001 -47.4056066919999,32.7113975300001 -46.825372692),(37.579718535 -46.9023636919999,37.5759725350001 -46.9129186919999,37.5769365350001 -46.924999692,37.5858275350001 -46.938890692,37.5966635350001 -46.9483366919999,37.6091635350001 -46.953890692,37.6249905350001 -46.9574996919999,37.6427725350001 -46.960009692,37.698054535 -46.961672692,37.7144365350001 -46.9597276919999,37.768054535 -46.9580636919999,37.790272535 -46.958481692,37.8199995350001 -46.9697276919999,37.832354535 -46.968336692,37.848609535 -46.958890692,37.892218535 -46.8999996919999,37.849445535 -46.8601456919999,37.8302725350001 -46.8491636919999,37.811099535 -46.8405636919999,37.7774995350001 -46.831527692,37.7102725350001 -46.8241726919999,37.7002725350001 -46.823618692,37.6705545350001 -46.825554692,37.6515275350001 -46.832781692,37.579718535 -46.9023636919999)))', 'South African Exclusive Economic Zone (Prince Edward Islands)', 'Prince Edward Islands', 'South Africa', '', '102', '90', 'ZAF', '8384', '2012-10 (name)', '472187676700', '8384', 'Y'),('SRID=4326;MULTIPOLYGON(((45.3788695420001 -45.962538691,45.3790355420001 -45.9618286909999,45.379016542 -45.960844691,45.3804085420001 -45.9548946909999,45.380394542 -45.9541916909999,45.381050542 -45.951389691,45.380974542 -45.9475096909999,45.513337542 -45.37464969,45.7811545430001 -44.8260246899999,46.1731095430001 -44.317328689,46.1738125430001 -44.316699689,46.1819415430001 -44.3060336889999,46.1823225430001 -44.305691689,46.182356543 -44.305647689,46.684373543 -43.851024689,46.694169543 -43.8447176889999,46.700389543 -43.8390216889999,47.2964785440001 -43.450820689,47.9693895450001 -43.139514688,47.971071545 -43.139001688,47.9717965450001 -43.138662688,47.9822515450001 -43.1354746879999,48.217623545 -43.024763688,48.2191235450001 -43.024301688,48.2195495450001 -43.024100688,48.9482645460001 -42.796231688,49.715999546 -42.6593156879999,50.502807547 -42.616907688,50.504986547 -42.617062688,50.5059235470001 -42.6170086879999,51.291613548 -42.6701876879999,52.056001548 -42.817607688,52.0565955480001 -42.817805688,52.057530548 -42.817982688,52.780715549 -43.0558176879999,52.8522545490001 -43.090951688,52.9612695490001 -43.0962726879999,53.7349785500001 -43.231927688,53.7377895500001 -43.232807688,53.77776555 -43.239650688,54.5127715510001 -43.4659756889999,54.5129115510001 -43.466040689,54.5151775510001 -43.466728689,54.5159295510001 -43.4670786889999,54.517584551 -43.4675806889999,54.5192175510001 -43.4683416889999,54.5192295510001 -43.4683446889999,55.195851551 -43.7796976889999,55.2190295510001 -43.7948676889999,55.2295135510001 -43.799628689,55.230248551 -43.800109689,55.231083551 -43.800488689,55.8309925520001 -44.188505689,55.831566552 -44.1890276889999,55.8394085520001 -44.194043689,55.8406735520001 -44.195192689,55.8426325520001 -44.196445689,55.842865552 -44.1966576889999,55.843136552 -44.196830689,56.3484875520001 -44.6512946899999,56.743074553 -45.15988469,56.7509855530001 -45.1761426899999,56.753612553 -45.17949069,57.0236415530001 -45.728007691,57.1574395530001 -46.300808691,57.146782553 -46.8810426919999,56.987332553 -47.4511036919999,56.6793215530001 -47.993126693,56.6733405530001 -47.9997776929999,56.6692405530001 -48.0069166929999,56.217864552 -48.5033156929999,56.2178485520001 -48.503327693,56.217479552 -48.503729693,55.633934552 -48.937935694,55.6239665520001 -48.943090694,55.6237865520001 -48.943223694,55.6229745520001 -48.9436436939999,55.621274552 -48.944893694,55.6201685520001 -48.945465694,55.619659552 -48.945839694,54.9205355510001 -49.302822694,54.892291551 -49.312487694,54.873057551 -49.322173694,54.0803195500001 -49.589078694,54.08010655 -49.589120694,54.07769755 -49.5899196939999,53.2190495500001 -49.7573626939999,52.3252335490001 -49.819223694,52.324254549 -49.819176694,52.3235245490001 -49.819224694,51.9127735480001 -49.7989666939999,51.849721548 -49.8028606939999,51.8487405480001 -49.802810694,51.847906548 -49.8028616939999,51.843126548 -49.8026146939999,51.839057548 -49.8028646939999,51.838539548 -49.8028376939999,51.8380975480001 -49.8028646939999,51.766016548 -49.799119694,51.759911548 -49.799490694,51.7589995480001 -49.7994436939999,51.758206548 -49.799491694,51.085967548 -49.7624236939999,50.3609035470001 -49.800223694,50.3593585470001 -49.800124694,50.357384547 -49.800221694,49.4636905460001 -49.7396616939999,48.604754545 -49.573469694,48.6027275450001 -49.572800694,48.592534545 -49.5707846939999,47.7992005450001 -49.304971694,47.098549544 -48.949219694,47.0984925440001 -48.949178694,47.096722544 -48.948267694,47.094635544 -48.946741694,47.0908645440001 -48.944802694,47.090334544 -48.9444146939999,47.089248544 -48.943856694,46.503811543 -48.5106946929999,46.5029965430001 -48.509814693,46.5026475430001 -48.5095526929999,46.0491865430001 -48.013949693,46.0478185430001 -48.011588693,46.046795543 -48.010457693,45.7364475430001 -47.4689866919999,45.734381543 -47.4617776919999,45.7278855430001 -47.450322692,45.716255543 -47.409691692,45.5490615420001 -47.112774692,45.3900415420001 -46.542771691,45.3788695420001 -45.962538691),(51.6537455480001 -46.371945691,51.650836548 -46.385836691,51.661663548 -46.399727691,51.7105545480001 -46.4466726909999,51.7213815480001 -46.452781691,51.803054548 -46.4566726909999,51.8222185480001 -46.452090691,51.8561095480001 -46.424172691,51.8636095480001 -46.412509691,51.8604095480001 -46.401390691,51.844299548 -46.3841726909999,51.7822185480001 -46.3423636909999,51.7526365480001 -46.3300096909999,51.730827548 -46.3276456909999,51.6537455480001 -46.371945691),(52.0977725490001 -46.4006996909999,52.0898545490001 -46.412918691,52.098327549 -46.425563691,52.109445549 -46.431672691,52.1702725490001 -46.4569456909999,52.191381549 -46.463618691,52.254436549 -46.457499691,52.2886095490001 -46.451663691,52.299718549 -46.442227691,52.308745549 -46.407781691,52.269999549 -46.3827816909999,52.2572185490001 -46.378063691,52.194999549 -46.370836691,52.1783275490001 -46.3713906909999,52.139163549 -46.383336691,52.0977725490001 -46.4006996909999)))', 'Crozet Islands Exclusive Economic Zone', 'Crozet Islands', 'France', '', '179', '91', 'ATF', '8385', '', '573196525900', '8385', 'Y'),('SRID=4326;MULTIPOLYGON(((73.2403965680001 -38.636374684,73.2407545680001 -38.634302684,73.240691568 -38.633083684,73.2409815680001 -38.631402684,73.240893568 -38.629689684,73.3106095680001 -38.2236766839999,73.286285568 -37.762486683,73.2864955680001 -37.761251683,73.2864285680001 -37.759991683,73.382936568 -37.184670683,73.600854569 -36.6310596819999,73.6009785690001 -36.630866682,73.601867569 -36.628589682,73.6030775690001 -36.6267176819999,73.6036125690001 -36.6253466819999,73.6044255690001 -36.624086682,73.6045845690001 -36.6236806819999,73.605134569 -36.622828682,73.6093095690001 -36.6121286819999,73.939653569 -36.0963256819999,74.3710645690001 -35.633085681,74.3712395690001 -35.6329526809999,74.371473569 -35.632699681,74.8902585700001 -35.2350356809999,75.4809675700001 -34.9139616809999,76.1267685710001 -34.67827068,76.151794571 -34.6730796799999,76.1591695710001 -34.6703566799999,76.842104572 -34.52625568,77.5438435720001 -34.47781868,77.5446065720001 -34.47787368,77.5453715720001 -34.47781868,78.2471025730001 -34.52634168,78.2483555730001 -34.52660968,78.2792325730001 -34.52864468,78.9622195740001 -34.67263768,79.6079335740001 -34.908408681,79.609050574 -34.909021681,79.609496574 -34.9091826809999,80.200116575 -35.230323681,80.718804575 -35.6280476809999,80.7206405750001 -35.630034681,80.7217365750001 -35.630868681,81.1530715760001 -36.094148682,81.1580465760001 -36.101979682,81.159160576 -36.1031676819999,81.489508576 -36.618982682,81.489666576 -36.619387682,81.490480576 -36.620648682,81.4905115760001 -36.6207286819999,81.4930535760001 -36.6246656819999,81.4932155760001 -36.625079682,81.4940255760001 -36.6263346819999,81.494733576 -36.628148682,81.496735576 -36.631247682,81.497934576 -36.634320682,81.4986235760001 -36.6353876819999,81.716528576 -37.1890056829999,81.7189425760001 -37.203536683,81.721682576 -37.210435683,81.8182495760001 -37.7857536829999,81.8181825760001 -37.7870136829999,81.8183925760001 -37.7882486829999,81.817954576 -37.796555683,81.817974576 -37.796668683,81.7873855760001 -38.3765756839999,81.778371576 -38.408752684,81.8205765760001 -38.654611684,81.8204905760001 -38.6562656839999,81.8207725760001 -38.657905684,81.790329576 -39.237825685,81.6289995760001 -39.804717685,81.338646576 -40.340883686,80.925576575 -40.829164686,80.9254285750001 -40.8292856859999,80.9251805750001 -40.8295766859999,80.4003185750001 -41.253964686,79.7791845740001 -41.6002386869999,79.0815295740001 -41.8565676869999,79.075774574 -41.857795687,79.0693675740001 -41.8601216869999,78.3184455730001 -42.017535687,77.5402595720001 -42.070581687,77.538947572 -42.0704966869999,77.5376315720001 -42.070581687,76.7594675710001 -42.017373687,76.7565865710001 -42.0167796869999,76.7516085710001 -42.0164226869999,76.7473625710001 -42.015546687,76.735888571 -42.014722687,75.985117571 -41.857008687,75.2875995700001 -41.600471687,74.6666525700001 -41.254012686,74.6652235700001 -41.252865686,74.6641315700001 -41.252250686,74.1395265690001 -40.827696686,74.139261569 -40.827385686,74.1391375690001 -40.827284686,73.7263525690001 -40.3388746859999,73.436302568 -39.802620685,73.2752815680001 -39.235682685,73.2751735680001 -39.2336226849999,73.270544568 -39.217201685,73.2404415680001 -38.637276684,73.240442568 -38.637271684,73.2403965680001 -38.636374684)))', 'Amsterdam Island & St. Paul Island Exclusive Economic Zone', 'Amsterdam Island and Saint Paul Island', 'France', '', '179', '92', 'ATF', '8386', '', '508763419100', '8386', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.37911950199998 -54.2837306989999,-2.37879950199994 -54.282636699,-2.37880450199998 -54.2820396989999,-2.21362350199996 -53.709821698,-1.88973250199996 -53.162433698,-1.88856950199994 -53.161190698,-1.88793850199994 -53.1601076979999,-1.88565450199997 -53.157664698,-1.88185850199994 -53.151154698,-1.41428250099995 -52.6439016969999,-0.820095500999969 -52.190543697,-0.819535500999962 -52.190238697,-0.819318500999941 -52.190070697,-0.11760449999997 -51.8025206959999,5.0000005558104e-07 -51.756039696,0.671320501000025 -51.4907156959999,1.52625450100004 -51.262490696,2.42543250200004 -51.123493696,2.42752950200003 -51.123396696,2.48121650200005 -51.114843696,3.40229650300006 -51.0680286959999,3.40383250300005 -51.068112696,3.40537150300003 -51.0680286959999,4.32643850400007 -51.114955696,4.35007650400007 -51.1187286959999,4.35441250400004 -51.118930696,5.25337450500007 -51.258258696,5.25564450500002 -51.258877696,5.25650150500007 -51.259006696,6.11117350600006 -51.487524696,6.12355250600007 -51.492500696,6.12545050600005 -51.492997696,6.12549450600005 -51.493015696,6.12858550600004 -51.4938256959999,6.12946850600002 -51.4941806959999,6.13972650600005 -51.496867696,6.92868750600007 -51.808743696,6.93036250600005 -51.809682696,6.93110950600004 -51.809973696,6.93552550600003 -51.8124476959999,6.94004950600004 -51.814206696,6.94024450600006 -51.8143166959999,6.94092650600004 -51.8145816959999,7.64285250700004 -52.2021186969999,8.23721450800002 -52.6554686969999,8.70494050800005 -53.1627136979999,8.71068050800005 -53.1725566979999,8.71286650800005 -53.174892698,9.03688350800007 -53.722275698,9.20214750900004 -54.2944896989999,9.19715950900007 -54.874879699,9.01471450800005 -55.4458437,9.01338750800005 -55.4478637,9.00852750800004 -55.4628667,8.64655250800007 -56.0063087,8.64477950800006 -56.0079787,8.64358950800005 -56.0097397,8.10673650800004 -56.507683701,7.40696450700005 -56.942958701,7.40453950700004 -56.9440027009999,7.40104250700006 -56.946143701,6.55790750600005 -57.303093701,5.59891350500004 -57.568492702,4.55825850400004 -57.732207702,4.55040650400002 -57.732643702,4.54742150400006 -57.7330997019999,4.54648250400004 -57.733151702,4.52388150400003 -57.736596702,4.50970150400002 -57.7373807019999,4.47326450400004 -57.7429217019999,3.38985150300005 -57.797872702,3.38894350300006 -57.7978307019999,3.38803050300004 -57.797872702,3.38394450300007 -57.797681702,3.36263050300005 -57.798669702,3.36173250300004 -57.798627702,3.36082150300007 -57.798669702,2.27749950200007 -57.743131702,1.23647150100004 -57.579527702,0.277093500000035 -57.3142287009999,5.0000005558104e-07 -57.196997701,-0.566417500999933 -56.957363701,-0.56687150099998 -56.957085701,-0.567205500999933 -56.9569417009999,-1.26743650099996 -56.5217627009999,-1.28806750099994 -56.5029157009999,-1.29134450099997 -56.5008457009999,-1.82802750199994 -56.0028766999999,-2.18993150199998 -55.4594266999999,-2.37247450199993 -54.8884676989999,-2.37264050199997 -54.8687606989999,-2.37410350199997 -54.864120699,-2.37911950199998 -54.2837306989999),(3.35229050300006 -54.409999699,3.34236350300006 -54.4317366989999,3.34610950300004 -54.4511186989999,3.35416350300005 -54.4586186989999,3.36139050300005 -54.4627816989999,3.38389050300003 -54.453199699,3.39916350300007 -54.4519546989999,3.44416350300003 -54.4522276989999,3.46249950300006 -54.4472276989999,3.47249950300005 -54.4358366989999,3.47860950300003 -54.425563699,3.48416350300005 -54.411536699,3.48124550300003 -54.400145699,3.44389050300003 -54.384172699,3.43333650300002 -54.383609699,3.41333650300004 -54.3855636989999,3.39249950300007 -54.390563699,3.36694550300007 -54.399727699,3.35229050300006 -54.409999699)))', 'Bouvet Island Exclusive Economic Zone', 'Bouvet Island', 'Norway', '', '223', '105', 'BVT', '8399', '', '439240011000', '8399', 'Y'),('SRID=4326;MULTIPOLYGON(((62.9663885590001 -49.8056566939999,62.9664755590001 -49.805332694,62.9664705590001 -49.803955694,63.1186525590001 -49.2321246939999,63.4153415590001 -48.685463693,63.5744135590001 -48.4989916929999,63.574347559 -48.4952296929999,63.5748065590001 -48.4933826929999,63.5747655590001 -48.4910406929999,63.715157559 -47.918308693,63.99705356 -47.369958692,64.40825456 -46.8615906919999,64.4093705600001 -46.860637692,64.40960856 -46.860338692,64.9353275600001 -46.406008691,64.9356755600001 -46.405794691,65.135916561 -46.2299516909999,65.7559155610001 -45.8407656909999,66.4555635620001 -45.52802969,67.2156055630001 -45.2998896899999,68.0160295630001 -45.16221669,68.8363455640001 -45.11852769,68.8374245640001 -45.1185996899999,68.838696564 -45.11852769,69.658189565 -45.16991869,70.4561505660001 -45.3151066899999,70.8149025660001 -45.42767069,71.1201455660001 -45.48028869,71.881188567 -45.710919691,72.581136568 -46.025931691,72.715183568 -46.111360691,72.8029975680001 -46.136525691,72.8065775680001 -46.138101691,72.809339568 -46.138891691,72.8349085680001 -46.150144691,72.8398535680001 -46.1515576909999,72.8447675680001 -46.1537186909999,72.8510895680001 -46.1555226909999,73.562530569 -46.464184691,73.562762569 -46.4643286909999,73.5633145690001 -46.464564691,73.5710955690001 -46.4693676909999,73.574800569 -46.470953691,74.2069585690001 -46.8563686919999,74.208473569 -46.857665692,74.2102895690001 -46.858759692,74.7446365700001 -47.3108216919999,74.7450445700001 -47.311320692,74.74640557 -47.312458692,74.74676557 -47.312897692,74.7480795700001 -47.3139956919999,75.1676635700001 -47.820535693,75.45741257 -48.367590693,75.45887257 -48.373327693,75.4598235700001 -48.375100693,75.46632857 -48.4006456929999,75.49568757 -48.455277693,75.6439035700001 -49.0272606939999,75.6438585700001 -49.034142694,75.6477165700001 -49.048825694,75.6477095700001 -49.049883694,75.6506885700001 -49.0612166939999,75.6506815700001 -49.0622776939999,75.6536615700001 -49.073606694,75.6536525700001 -49.074984694,75.65373657 -49.075303694,75.65031657 -49.6555736939999,75.6349675700001 -49.7106426939999,75.6349295700001 -49.7171496939999,75.61303257 -49.795513694,75.60208757 -49.826204694,72.8226535680001 -50.906364695,72.474598567 -51.052476696,71.2082095660001 -51.408865696,69.734042565 -51.9716436959999,68.092098563 -52.707754697,67.0557095620001 -53.2352556979999,66.154039562 -53.070665697,65.3025305610001 -52.7999476969999,64.55383556 -52.439303697,64.55365656 -52.4391786969999,64.5512965600001 -52.4380256969999,63.9294055600001 -52.0004166959999,63.4519005590001 -51.501143696,63.1299015590001 -50.957071696,62.968306559 -50.385929695,62.9663885590001 -49.8056566939999),(68.826109564 -48.884445694,68.7402725640001 -49.0688906939999,68.759845564 -49.2220816939999,68.821381564 -49.339999694,68.8808275640001 -49.4036186939999,68.8266635640001 -49.4752816939999,68.8394275640001 -49.513063694,68.8222185640001 -49.528063694,68.7735275640001 -49.592572694,68.7590905640001 -49.678618694,68.7920725640001 -49.718754694,68.930263564 -49.7250096939999,68.9859725640001 -49.723890694,69.006654564 -49.7202816939999,69.077209564 -49.6905636939999,69.1079095640001 -49.665836694,69.109990564 -49.6373636939999,69.0929095640001 -49.6141726939999,69.0719365640001 -49.576672694,69.080472564 -49.542154694,69.254718564 -49.512781694,69.3597095650001 -49.5647276939999,69.438672565 -49.6215996939999,69.4827725650001 -49.6361186939999,69.6413905650001 -49.668063694,69.6937365650001 -49.667227694,69.715827565 -49.6454906939999,69.7216545650001 -49.584309694,69.681790565 -49.541663694,69.6527725650001 -49.533054694,69.637072565 -49.5072276939999,69.752890565 -49.5338636939999,69.7805455650001 -49.556672694,69.778736565 -49.589309694,69.846663565 -49.6822276939999,69.8731905650001 -49.699445694,70.0469365650001 -49.7063906939999,70.2562365650001 -49.689309694,70.281099565 -49.660836694,70.3166635650001 -49.6002816939999,70.333599566 -49.5583366939999,70.3226275650001 -49.541390694,70.1577725650001 -49.508063694,70.1333275650001 -49.508054694,70.0392185650001 -49.535763694,70.0405455650001 -49.564445694,70.0213815650001 -49.5863906939999,69.8408185650001 -49.551945694,69.8164275650001 -49.5152636939999,69.8022725650001 -49.4997276939999,69.786609565 -49.463227694,69.7747185650001 -49.394172694,69.825409565 -49.3913906939999,69.861654565 -49.4184726939999,69.9006815650001 -49.4447276939999,69.9424905650001 -49.434172694,69.919854565 -49.392645694,69.8972185650001 -49.383336694,69.874018565 -49.374454694,69.825409565 -49.344027694,69.9058185650001 -49.3430546939999,69.9594455650001 -49.358063694,69.9844365650001 -49.361945694,70.042763565 -49.366318694,70.0741545650001 -49.361390694,70.1069995650001 -49.348472694,70.1277815650001 -49.341390694,70.177218565 -49.343336694,70.2152725650001 -49.347854694,70.265199565 -49.373409694,70.2827725650001 -49.4036186939999,70.2966635650001 -49.429590694,70.3399995660001 -49.438336694,70.370545566 -49.4374996939999,70.410554566 -49.4374996939999,70.436936566 -49.440836694,70.4591545660001 -49.444172694,70.4588815660001 -49.431390694,70.4094365660001 -49.4127816939999,70.3795815660001 -49.414590694,70.3219275650001 -49.406954694,70.309018565 -49.3812546939999,70.3409635660001 -49.343472694,70.363045566 -49.339309694,70.3847185660001 -49.349163694,70.4058185660001 -49.362781694,70.446936566 -49.3722276939999,70.4722095660001 -49.357781694,70.511799566 -49.325418694,70.539990566 -49.292227694,70.564163566 -49.251809694,70.5674905660001 -49.221190694,70.5284635660001 -49.0968096939999,70.4601365660001 -49.066254694,70.411945566 -49.058890694,70.329163565 -49.0508366939999,70.3034635650001 -49.054727694,70.259709565 -49.084309694,70.246654565 -49.103190694,70.1409725650001 -49.1363906939999,70.084436565 -49.1207636939999,70.0558275650001 -49.123890694,69.9511095650001 -49.1625096939999,69.9047095650001 -49.181672694,69.8525635650001 -49.221527694,69.8581815650001 -49.2448636939999,69.703109565 -49.3106276939999,69.6041635650001 -49.307645694,69.5827635650001 -49.304454694,69.494718565 -49.278063694,69.4633365650001 -49.240281694,69.4663815650001 -49.166118694,69.353390565 -49.174518694,69.286409565 -49.192154694,69.361881565 -49.1325186939999,69.455272565 -49.121390694,69.481381565 -49.1249996939999,69.520336565 -49.137436694,69.576663565 -49.134172694,69.6410275650001 -49.122572694,69.6605455650001 -49.0669546939999,69.6219365650001 -48.978054694,69.5823545650001 -48.950418694,69.5551275650001 -48.9537546939999,69.4031815650001 -49.038618694,69.3888815650001 -49.0533366939999,69.3380185650001 -49.0896096939999,69.2908365650001 -49.105563694,69.252009564 -49.110763694,69.217209564 -49.125554694,69.159572564 -49.022090694,69.117627564 -48.9947276939999,69.0918635640001 -49.0016636939999,69.0536725640001 -49.031527694,69.053254564 -49.0894456939999,69.0663095640001 -49.1180636939999,69.0013095640001 -49.0885456939999,69.002354564 -49.033890694,69.056927564 -48.946109694,69.1273455640001 -48.8872276939999,69.166927564 -48.8452816939999,69.1788815640001 -48.825563694,69.1869365640001 -48.772781693,69.1751365640001 -48.756527693,69.152772564 -48.758054693,69.1224995640001 -48.768054693,69.1036095640001 -48.7763906929999,69.079436564 -48.7877816929999,68.951109564 -48.847227694,69.0010995640001 -48.797499694,69.074709564 -48.757509693,69.0788905640001 -48.695009693,69.0665905640001 -48.6586186929999,69.0349905640001 -48.6513906929999,68.9566545640001 -48.666672693,68.919227564 -48.734790693,68.9497185640001 -48.748127693,68.881945564 -48.817781694,68.826109564 -48.884445694),(69.2163815640001 -48.967227694,69.203045564 -49.015009694,69.2058905640001 -49.090354694,69.2155455640001 -49.0994456939999,69.264709565 -49.0911186939999,69.3324905650001 -49.0391726939999,69.4052725650001 -48.944581694,69.407490565 -48.932918694,69.368881565 -48.8863906939999,69.3469365650001 -48.8848636939999,69.283054565 -48.9077816939999,69.2724905650001 -48.914727694,69.2163815640001 -48.967227694)))', 'Kerguelen Islands Exclusive Economic Zone', 'Kerguelen Islands', 'France', '', '179', '93', 'ATF', '8387', '', '566348779300', '8387', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.2956087929999 9.03214505600005,-13.286390512 8.99555436000003,-13.2655545119999 8.95360936000003,-13.229163512 8.94805436000007,-13.176390512 8.91249936000003,-13.1322275119999 8.86194536000005,-13.2052815119999 8.85603636000008,-13.237290512 8.81937236000005,-13.2424995119999 8.78389086000004,-13.240554512 8.66528136000005,-13.189445512 8.55694536000004,-13.1791635119999 8.53944536000006,-13.149027512 8.51555436000007,-13.103890512 8.57486336000005,-13.034999512 8.58666336000005,-12.937918512 8.58916336000004,-12.897499512 8.56778136000003,-12.9299995119999 8.55124536000005,-12.989445512 8.56000036000006,-13.014445512 8.55639136000002,-13.095554512 8.48528136000004,-13.122536512 8.44746336000003,-13.095699512 8.42166336000003,-13.0655545119999 8.40583636000002,-13.0359725119999 8.37763636000005,-13.039154512 8.37365436000005,-13.0558995119999 8.36958136000004,-13.1494455119999 8.43982736000004,-13.175554512 8.47444536000006,-13.1977815119999 8.49360936000005,-13.284999512 8.49757236000005,-13.2780545119999 8.42360936000006,-13.2155545119999 8.34055436000006,-13.154999512 8.21416336000004,-13.132781512 8.19499936000005,-13.006672512 8.23332736000003,-12.974336512 8.24777236000006,-12.9808365119999 8.23360936000006,-12.986945512 8.21277236000003,-12.976527512 8.17965436000003,-12.9481275119999 8.15992736000004,-12.908054512 8.09999985900004,-12.886109512 7.96416335900005,-12.889999512 7.93513635900007,-12.958963512 7.90326335900005,-12.870281512 7.81778135900004,-12.766109512 7.73999935900002,-12.692218512 7.70139035900007,-12.5943095119999 7.68124535900006,-12.536390512 7.63749935900006,-12.4605545119999 7.55541835900004,-12.432781512 7.54999935900003,-12.3920815119999 7.54416335900004,-12.293054511 7.57278135900003,-12.2662545109999 7.58444535900003,-12.2509725109999 7.60860935900007,-12.184309511 7.59103635900004,-12.194581511 7.57083635900005,-12.2302815109999 7.55139135900004,-12.311045511 7.52736335900005,-12.3597275119999 7.53166335900005,-12.398336512 7.53194535900008,-12.435345512 7.52541835900007,-12.4697185119999 7.48944535900006,-12.4949995119999 7.44986335900006,-12.5041635119999 7.38860935900004,-12.466390512 7.37333635900006,-12.4416635119999 7.36749935900002,-12.380836512 7.34666335900005,-12.320836511 7.32528135900003,-11.8905545109999 7.16694535900007,-11.841663511 7.14778135900002,-11.8199995109999 7.13666335900007,-11.7358365109999 7.08416335900006,-11.666390511 7.03749935800005,-11.6424995109999 7.01999935800006,-11.573545511 6.96131835800003,-11.532499511 6.94110935800006,-11.4923275109999 6.92709035800004,-11.496002511 6.92076535800004,-11.496002511 6.91815535800004,-11.499224511 6.90673635800005,-11.521111511 6.85486035800005,-11.5471955109999 6.82517035800004,-11.5721855109999 6.79519635800006,-11.5733275109999 6.79387135800005,-11.6359645109999 6.71299035800007,-11.6378345109999 6.71173135800007,-11.6563625109999 6.69907735800007,-11.698099511 6.67017435800005,-11.787292511 6.58969735800002,-11.800036511 6.57782835800003,-12.069385511 6.32985735800003,-12.0732825109999 6.32629235800005,-12.171388511 6.23697835800004,-12.434151512 5.98416535800004,-12.5250075119999 5.89783035700003,-12.541027512 5.87768735700007,-12.566714512 5.84523535700004,-12.598828512 5.80447335700006,-12.613663512 5.78544835700006,-12.684992512 5.69202435700004,-12.7267605119999 5.63294935700003,-12.990936512 5.25970235700004,-12.9915305119999 5.25886035700006,-13.1718905119999 4.94262935700004,-13.5829825129999 4.22387935600005,-13.701887513 4.25524335600005,-13.7034755129999 4.25597735600007,-13.7038605129999 4.25607935600004,-13.704056513 4.25616935600004,-13.706865513 4.25691235600004,-13.708551513 4.25769235600006,-13.7088385129999 4.25776735600004,-14.0419575129999 4.41156635600004,-14.1126555129999 4.43019835600006,-14.114113513 4.43087035600007,-14.1146585129999 4.43101435600005,-14.643211514 4.67422035600003,-14.650663514 4.67937235600004,-14.661109514 4.68417035600004,-14.662437514 4.68508835600005,-14.6641185139999 4.68586035600003,-14.666695514 4.68764235600003,-14.6680995139999 4.68828635600005,-14.674423514 4.69265935600004,-14.682046514 4.69615935600007,-15.1607845139999 5.02661735700002,-15.190285514 5.05568535700007,-15.2076875139999 5.06767435700004,-15.6222835149999 5.47547135700006,-15.960162515 5.94843935700004,-15.960507515 5.94916135700004,-15.9822665149999 5.97956735800005,-16.233201515 6.50349735800006,-16.283409515 6.68353635800003,-16.404674515 6.93576635800002,-16.5613608359999 7.49452939600008,-16.5599552909999 7.49513160400005,-15.780185219 7.82922584100004,-15.397658743 7.99171064000006,-15.3028182589999 8.04090186100007,-15.282124984 8.05151124300005,-14.780535823 8.30772620400006,-14.712664565 8.34268288700002,-14.4372309669999 8.49165006700002,-14.434936728 8.49289177100007,-14.4334330309999 8.49370629800006,-13.996110065 8.73040194500004,-13.839185906 8.89763675200004,-13.7825549409999 8.92348294300007,-13.5623704779999 8.96237552400004,-13.526008346 8.96949439800005,-13.5075857599999 8.97327509700006,-13.426998135 8.99047142000006,-13.3963537459999 8.99676784100006,-13.3855036209999 8.99850157800006,-13.361009371 9.00371003200007,-13.355817594 9.00456487300005,-13.338507165 9.01374488400006,-13.314002595 9.02394327300004,-13.311487079 9.02541396700008,-13.2976149469999 9.03079985500005,-13.297616138 9.03079872900003,-13.2976145119999 9.03079936000006,-13.2959972739999 9.03188504800005,-13.2956087929999 9.03214505600005),(-12.576109512 7.44902735900007,-12.559445512 7.42083635900002,-12.5252815119999 7.43139035900003,-12.496254512 7.50083635900006,-12.496254512 7.57083635900005,-12.522499512 7.59639035900005,-12.5911095119999 7.63444535900004,-12.6305545119999 7.63805435900002,-12.6430545119999 7.63889035900007,-12.674718512 7.63666335900007,-12.688054512 7.63555435900003,-12.884999512 7.61416335900003,-12.896663512 7.60778135900006,-12.951663512 7.56666335900007,-12.8033365119999 7.52916335900005,-12.7449995119999 7.51527235900005,-12.7177815119999 7.50860935900005,-12.691109512 7.50110935900005,-12.680554512 7.49805435900004,-12.6397185119999 7.48471835900006,-12.619445512 7.47805435900005,-12.5969455119999 7.46639035900006,-12.588336512 7.46110935900003,-12.576109512 7.44902735900007)))', 'Sierra Leonian Exclusive Economic Zone', 'Sierra Leone', 'Sierra Leone', '', '96', '96', 'SLE', '8390', '', '160038018600', '8390', 'Y'),('SRID=4326;MULTIPOLYGON(((-59.4024772179999 -47.8634976609999,-59.385427555 -47.8660906929999,-59.376308555 -47.865312693,-59.3407227659999 -47.86225984,-59.278964838 -47.8569621089999,-58.4140796839999 -47.880961713,-57.5651457069999 -47.999196835,-57.447389296 -48.030038948,-57.396214636 -48.0433939549999,-57.384149523 -48.0450070009999,-57.372793096 -48.04517971,-57.359863553 -48.045376693,-57.230511553 -48.062558693,-56.505796553 -48.155994693,-55.687292552 -48.3580946929999,-55.2699397879999 -48.516070344,-54.925379699 -48.646492769,-54.24045984 -49.0137370849999,-54.187517956 -49.053455629,-54.177509136 -49.0587379419999,-54.15913455 -49.068435694,-54.1435018029999 -49.080119764,-54.08683995 -49.122470129,-53.814584098 -49.323881292,-53.67701055 -49.4256566939999,-53.643099542 -49.450506699,-53.5877565499999 -49.490985694,-53.585325929 -49.492760608,-53.569255902 -49.504496042,-53.5663720059999 -49.50752983,-53.55966934 -49.512421097,-53.55823255 -49.513469694,-53.5580330879999 -49.5136793679999,-53.5514360399999 -49.520614908,-53.545375695 -49.5269840249999,-53.5096958189999 -49.552980493,-53.509695786 -49.552980522,-53.496568036 -49.566747428,-53.4611578029999 -49.592491587,-53.4558119929999 -49.598085784,-53.4416825499999 -49.608344694,-53.277419774 -49.7779401239999,-52.96398676 -50.101548602,-52.6174209 -50.6390935319999,-52.5825899939999 -50.7382439089999,-52.568990549 -50.776956695,-52.564345074 -50.784028039,-52.56031988 -50.7901555299999,-52.505097689 -50.9460550539999,-52.357466953 -51.356904293,-52.3376589499999 -51.606383877,-52.3114375489999 -51.936645696,-52.429565549 -52.512046697,-52.714454549 -53.0652586969999,-53.1269094209999 -53.537162404,-53.1546555539999 -53.568907694,-53.154655899 -53.568908085,-53.1631020369999 -53.5784547869999,-53.182710471 -53.593466539,-53.1832216449999 -53.593857714,-53.202394548 -53.615492252,-53.211415782 -53.622387745,-53.2201375459999 -53.6322177009999,-53.82448855 -54.087986698,-54.000173718 -54.1794258049999,-54.02584236 -54.192785551,-54.02649429 -54.1931235659999,-54.02921055 -54.194531699,-54.029210715 -54.1945319879999,-54.029211023 -54.194532148,-54.1341429089999 -54.379607724,-54.2854455259999 -54.540636299,-54.612322551 -54.888524699,-54.980478975 -55.148765048,-55.248800735 -55.338434341,-55.6913315529999 -55.551961642,-56.026290552 -55.7135837,-56.920354553 -56.0003947,-57.900068554 -56.1881867,-58.26603994 -56.217695367,-58.5779581269999 -56.24284526,-58.577958435 -56.242845691,-58.577958555 -56.2428457,-58.5798388859999 -56.2454734359999,-59.505580913 -55.5130471149999,-59.983315556 -55.117779575,-60.3978502529999 -54.774802333,-60.9375028059999 -54.299833743,-61.1064456779999 -54.151140743,-61.517477952 -53.789375718,-61.6118760539999 -53.7476590209999,-61.680070789 -53.717522195,-61.768215469 -53.6778906719999,-61.9971129479999 -53.574974015,-62.033754147 -53.558600865,-62.036858239 -53.557213799,-62.041876897 -53.555030927,-62.057689119 -53.548153381,-63.0122598299999 -53.160262243,-63.07917513 -53.1290109249999,-63.108788519 -53.115180643,-63.120517246 -53.109845487,-63.172670795 -53.0861219129999,-63.2021283019999 -53.0731054569999,-63.21605274 -53.066952634,-63.220977239 -53.0647766339999,-63.325716743 -53.018867411,-63.4891868349999 -52.947215507,-63.49263767 -52.945935048,-63.5087852079999 -52.939943382,-64.132291424 -52.7099645869999,-64.132291556 -52.709964536,-64.5201207699999 -52.561567586,-64.520120839 -52.561567559,-64.5774945329999 -52.531204149,-64.6892225679999 -52.4720752379999,-64.7135714309999 -52.444332894,-64.725858248 -52.4303336739999,-64.7639456869999 -52.3869380209999,-64.90281177 -51.6731790429999,-64.9118999039999 -51.628037805,-64.92598098 -51.5651101189999,-64.935658713 -51.525685009,-64.93777353 -51.5170696769999,-64.946723079 -51.4806110389999,-65.0039324209999 -51.365962805,-64.607716549 -50.403875699,-64.6077165299999 -50.4038756539999,-64.570741359 -50.317123349,-64.57066659 -50.316947923,-64.5706263609999 -50.3168535359999,-64.5706262319999 -50.316853233,-64.170390133 -49.997723043,-64.170390098 -49.997723014,-64.1703899679999 -49.997722911,-63.2062923829999 -49.228995036,-63.0132461119999 -49.099761899,-62.984687138 -49.080643344,-62.280633538 -48.6456671459999,-62.280633294 -48.6456669949999,-62.2806331959999 -48.645666935,-61.575090597 -48.209770808,-61.52792419 -48.1795876799999,-61.478960128 -48.1477537289999,-61.219604021 -47.975231901,-61.097703613 -47.8941446219999,-60.775937982 -47.680108425,-60.511241556 -47.691519692,-60.3934555559999 -47.710590692,-60.377333482 -47.711248395,-60.3549212089999 -47.712162861,-60.3436868909999 -47.7139710399999,-60.3419928769999 -47.714039692,-60.340225556 -47.714111692,-60.3326220129999 -47.715333882,-60.3239445949999 -47.7167291219999,-60.31896968 -47.716929861,-60.214496555 -47.7336636859999,-60.214496072 -47.733663764,-60.2121529 -47.734036875,-60.1205385119999 -47.748625166,-60.1101021329999 -47.750281441,-60.101451556 -47.751654693,-59.534967555 -47.8399946929999,-59.506626986 -47.844331852,-59.483339943 -47.8478957359999,-59.4773569499999 -47.848809767,-59.467026054 -47.8517261599999,-59.4628289 -47.8529106559999,-59.440722234 -47.8562818839999,-59.429941339 -47.8593208849999,-59.4024772179999 -47.8634976609999),(-59.805145556 -51.254999696,-59.811109556 -51.269727696,-59.8023635559999 -51.274590696,-59.5736185549999 -51.333618696,-59.5574995549999 -51.3366726959999,-59.5383365549999 -51.337499696,-59.508336555 -51.337499696,-59.467781555 -51.335281696,-59.4455545549999 -51.3202816959999,-59.450836555 -51.3055546959999,-59.473063555 -51.267781696,-59.4831995549999 -51.263890696,-59.583618555 -51.2575096959999,-59.731945556 -51.253063696,-59.791390556 -51.249454696,-59.805145556 -51.254999696),(-58.884309555 -51.3308366959999,-58.868754555 -51.370072696,-58.991109555 -51.405554696,-59.084727555 -51.4116636959999,-59.074727555 -51.4698636959999,-59.046109555 -51.478890696,-58.989445555 -51.504172696,-59.014309555 -51.575836696,-59.0393095549999 -51.583963696,-59.069863555 -51.557363696,-59.084163555 -51.5372276959999,-59.108609555 -51.513890696,-59.168263555 -51.585281696,-59.078336555 -51.631954696,-59.023899555 -51.676945696,-58.982645555 -51.795345696,-58.9947275549999 -51.806672696,-59.000836555 -51.810009696,-59.041390555 -51.815209696,-59.030872555 -51.764381696,-59.055554555 -51.691672696,-59.133063555 -51.6944456959999,-59.221254555 -51.717090696,-59.2883365549999 -51.746945696,-59.5180545549999 -51.8752816959999,-59.566672555 -51.9174996959999,-59.716118556 -52.117372697,-59.574445555 -52.215281697,-59.379445555 -52.327781697,-59.348063555 -52.343054697,-59.338054555 -52.3244456969999,-59.3434725549999 -52.252154697,-59.384445555 -52.2272276969999,-59.428409555 -52.213890697,-59.4497905549999 -52.1467366969999,-59.3795185549999 -52.119236697,-59.2924995549999 -52.1574996969999,-59.240836555 -52.186390697,-59.1938905549999 -52.2066726969999,-59.0720905549999 -52.231536697,-59.0506995549999 -52.2174996969999,-59.036254555 -52.1408366969999,-59.1222275549999 -52.063336697,-59.191809555 -52.029445697,-59.219590555 -52.0234726969999,-59.244445555 -52.019445697,-59.279654555 -52.024936697,-59.294309555 -52.009727696,-59.251672555 -51.991109696,-59.142363555 -51.985281696,-59.0333365549999 -52.024445697,-58.9811095549999 -52.0695816969999,-58.918890555 -52.0999996969999,-58.856527555 -52.068890697,-58.825009555 -52.047227697,-58.787918555 -52.034172697,-58.7347275549999 -52.046672697,-58.680281555 -52.090836697,-58.6469455549999 -52.0672186969999,-58.603890555 -52.001399696,-58.633963555 -51.964518696,-58.720627555 -51.9478456959999,-58.8238905549999 -51.915281696,-58.926672555 -51.878063696,-58.973827555 -51.8514636959999,-58.962436555 -51.8176456959999,-58.935554555 -51.8012546959999,-58.9234725549999 -51.8202816959999,-58.9091725549999 -51.8358366959999,-58.889454555 -51.844727696,-58.768127555 -51.891254696,-58.606390555 -51.900281696,-58.419999554 -51.9006996959999,-58.3929185539999 -51.8958366959999,-58.234727554 -51.832781696,-58.2852815539999 -51.827227696,-58.315145554 -51.8344456959999,-58.3377815539999 -51.832781696,-58.3583365539999 -51.826663696,-58.246809554 -51.793336696,-58.200009554 -51.7938906959999,-58.173618554 -51.796672696,-58.2138905539999 -51.7811096959999,-58.249172554 -51.7573996959999,-58.197781554 -51.7619456959999,-58.111945554 -51.763336696,-58.032499554 -51.7575096959999,-57.973890554 -51.748609696,-57.834445554 -51.723618696,-57.733199554 -51.6944456959999,-57.7752815539999 -51.621736696,-57.797645554 -51.611809696,-57.876945554 -51.600009696,-57.9835455539999 -51.588054696,-58.008754554 -51.5931996959999,-58.039236554 -51.590145696,-58.1093095539999 -51.570563696,-58.138963554 -51.5498636959999,-58.0354185539999 -51.502090696,-58.004172554 -51.5077816959999,-57.9794455539999 -51.523890696,-57.953609554 -51.5348636959999,-57.930281554 -51.5399996959999,-57.904727554 -51.543336696,-57.878618554 -51.546109696,-57.8138995539999 -51.5497276959999,-57.7729185539999 -51.543754696,-57.7680545539999 -51.504036696,-57.873890554 -51.4016726959999,-57.896809554 -51.384172696,-57.915418554 -51.3752816959999,-57.9444545539999 -51.371809696,-58.217363554 -51.395281696,-58.250281554 -51.4009726959999,-58.274799554 -51.413754696,-58.3455545539999 -51.509099696,-58.3140995539999 -51.5004186959999,-58.2572275539999 -51.530554696,-58.1888995539999 -51.585281696,-58.182781554 -51.609172696,-58.217436554 -51.6506996959999,-58.241390554 -51.650145696,-58.281672554 -51.606809696,-58.335836554 -51.566672696,-58.362499554 -51.5672186959999,-58.420563554 -51.556672696,-58.498890554 -51.5002816959999,-58.518336554 -51.476109696,-58.550281555 -51.4336186959999,-58.496109554 -51.396318696,-58.475972554 -51.399999696,-58.459172554 -51.430209696,-58.443890554 -51.453618696,-58.361945554 -51.444454696,-58.3245905539999 -51.4160816959999,-58.3436185539999 -51.369036696,-58.4125095539999 -51.3234096959999,-58.467363554 -51.307363696,-58.544445555 -51.305699696,-58.579727555 -51.309445696,-58.614509555 -51.329409696,-58.696672555 -51.3366726959999,-58.754036555 -51.326390696,-58.848618555 -51.291390696,-58.884309555 -51.3308366959999),(-60.2725095559999 -52.0436186969999,-60.189999556 -51.978336696,-60.064863556 -51.940563696,-59.953054556 -51.9830636959999,-59.931945556 -51.9686096959999,-59.8316725559999 -51.8933366959999,-59.673618556 -51.771663696,-59.5777815549999 -51.688336696,-59.454236555 -51.621045696,-59.431945555 -51.623336696,-59.398336555 -51.602645696,-59.211672555 -51.4081996959999,-59.399799555 -51.337645696,-59.4488905549999 -51.358336696,-59.4421545549999 -51.404790696,-59.4166725549999 -51.414172696,-59.395354555 -51.431045696,-59.458618555 -51.458063696,-59.5136185549999 -51.461945696,-59.750836556 -51.4491726959999,-59.777781556 -51.4469456959999,-59.823890556 -51.433227696,-59.825836556 -51.407227696,-59.870281556 -51.381109696,-59.8941725559999 -51.372363696,-60.023199556 -51.381254696,-60.062499556 -51.420836696,-60.042918556 -51.450699696,-59.992363556 -51.465627696,-60.127227556 -51.494727696,-60.222645556 -51.486672696,-60.255836556 -51.481118696,-60.313336556 -51.4633366959999,-60.333618556 -51.455554696,-60.397445556 -51.423499696,-60.483609556 -51.3852816959999,-60.606945556 -51.348618696,-60.643618556 -51.358054696,-60.6220185559999 -51.411527696,-60.555009556 -51.437436696,-60.5055545559999 -51.436527696,-60.448127556 -51.445072696,-60.403918556 -51.4686546959999,-60.390627556 -51.4922906959999,-60.404445556 -51.5513906959999,-60.294445556 -51.598618696,-60.163609556 -51.671118696,-60.2488905559999 -51.665554696,-60.343890556 -51.665281696,-60.3647275559999 -51.6674996959999,-60.399390556 -51.679999696,-60.4362545559999 -51.697090696,-60.457227556 -51.702227696,-60.4886185559999 -51.7027816959999,-60.524727556 -51.6994456959999,-60.557227556 -51.693063696,-60.577227556 -51.6852816959999,-60.6138905559999 -51.671109696,-60.6384095559999 -51.679727696,-60.634372556 -51.7249996959999,-60.5561185559999 -51.775554696,-60.4452815559999 -51.762499696,-60.385563556 -51.744727696,-60.356109556 -51.711318696,-60.2274995559999 -51.7002816959999,-60.201118556 -51.703336696,-60.178481556 -51.712227696,-60.182845556 -51.757854696,-60.222781556 -51.787781696,-60.257499556 -51.774863696,-60.310836556 -51.8113906959999,-60.345281556 -51.860836696,-60.376109556 -51.834590696,-60.363199556 -51.806463696,-60.381254556 -51.7665366959999,-60.440345556 -51.782845696,-60.4540365559999 -51.805836696,-60.4494455559999 -51.8830546959999,-60.424445556 -51.911945696,-60.406499556 -51.924099696,-60.439727556 -51.962081696,-60.459727556 -51.9708366959999,-60.533890556 -51.9774996959999,-60.6411095559999 -51.975009696,-60.675836557 -51.968890696,-60.707227557 -51.9616726959999,-60.766118557 -51.9558366959999,-60.844036557 -51.961945696,-60.8134095569999 -51.992645696,-60.7504185569999 -52.006599696,-60.8202095569999 -52.0337546969999,-60.911118557 -52.031109697,-60.980836557 -52.061954697,-60.8627815569999 -52.1194456969999,-60.735281557 -52.1777816969999,-60.657363556 -52.227781697,-60.624581556 -52.243199697,-60.598618556 -52.242227697,-60.3680545559999 -52.159172697,-60.314445556 -52.1294456969999,-60.280554556 -52.096118697,-60.264518556 -52.070899697,-60.2725095559999 -52.0436186969999),(-60.968054557 -51.959727696,-60.9122275569999 -51.943890696,-60.8811095569999 -51.934445696,-60.868472557 -51.9061096959999,-60.8752815569999 -51.839999696,-60.8908365569999 -51.825836696,-60.9072275569999 -51.836390696,-60.926945557 -51.845281696,-60.9494455569999 -51.853336696,-60.972781557 -51.860281696,-61.0163995569999 -51.869727696,-61.0307635569999 -51.865909696,-61.013890557 -51.8480636959999,-60.994172557 -51.838618696,-60.9566725569999 -51.826118696,-60.945554557 -51.819172696,-60.9385455569999 -51.806809696,-60.968054557 -51.7811096959999,-60.999172557 -51.7784726959999,-61.013063557 -51.779727696,-61.1226455569999 -51.821390696,-61.139163557 -51.835281696,-61.148054557 -51.846390696,-61.1121545569999 -51.895418696,-61.029445557 -51.947227696,-60.9930545569999 -51.9658366959999,-60.968054557 -51.959727696),(-60.249863556 -51.4031996959999,-60.113609556 -51.406809696,-60.052781556 -51.346672696,-60.048336556 -51.3333366959999,-60.068063556 -51.307499696,-60.0794455559999 -51.300836696,-60.273199556 -51.2651456959999,-60.290972556 -51.266527696,-60.299172556 -51.274445696,-60.289172556 -51.2858366959999,-60.279445556 -51.3636186959999,-60.285263556 -51.3756456959999,-60.2851365559999 -51.384036696,-60.268336556 -51.398054696,-60.249863556 -51.4031996959999)))', 'Falkland Islands Exclusive Economic Zone', 'Falkland Islands', 'United Kingdom', '', '180', '95', 'FLK', '8389', '', '548813907700', '8389', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.472689164 6.17623067200003,-10.4522177819999 6.17083605100004,-10.451317768 6.20267198000005,-10.3941173969999 6.17351869300006,-10.3719459719999 6.16221811300005,-10.3669154799999 6.15268639800007,-10.366754891 6.15238208000005,-10.36652971 6.13891568700006,-10.3661095099999 6.11374535800007,-10.357211196 6.10574320600006,-10.3426368029999 6.09263607900004,-10.3149998239999 6.08305405500005,-10.296110004 6.07809075700004,-10.26639051 6.07028135800005,-10.2409725099999 6.05486335800003,-10.175737844 5.99758673800005,-10.095281811 5.92694496300004,-10.046599885 5.86041813300005,-9.77944599899996 5.60652710000005,-9.75595437999993 5.58989980100006,-9.73333650899997 5.57389035700004,-9.66326851699995 5.52611370400007,-9.59319977399997 5.47833594900004,-9.54555485699996 5.41971811500002,-9.50679642699993 5.37126923800002,-9.48167250899996 5.33986335700007,-9.45944550899998 5.31416335700004,-9.43360950899995 5.28528135700003,-9.42040950899997 5.27090935700005,-9.41230862399993 5.26159571200003,-9.40778184999994 5.25639103100002,-9.35278181199993 5.21083605800004,-9.29240405999997 5.16415066900004,-9.23889050899993 5.12277235700003,-9.20008763699997 5.09563388400005,-9.14278194499997 5.05555392500003,-9.05833678499994 5.00471801700007,-9.03028188399998 4.99624508700003,-8.87528188599993 4.92583609400003,-8.85679264799995 4.91670456100007,-8.85221850799996 4.91444535700003,-8.72472750799994 4.83139035600004,-8.70944550799993 4.81666335600005,-8.67430950799996 4.81236335600005,-8.63389050799998 4.79666335600007,-8.58237868099997 4.77143043000007,-8.53805495399996 4.74971805900003,-8.33778194999996 4.64333594900006,-8.24215499599995 4.57083600700003,-8.18375492299998 4.56180903200004,-8.08555489199995 4.54110908400003,-8.04570097699997 4.52960004500005,-7.94631850699994 4.50089935600005,-7.90479536399994 4.48317405900002,-7.88694586399993 4.47555405100007,-7.86836723399995 4.46539570000004,-7.84528150699998 4.45277235600003,-7.82250870099995 4.42978986900005,-7.81666394099994 4.42389118500006,-7.81202702899998 4.41970533300002,-7.77666350699997 4.38778135600006,-7.73921541699997 4.36956637400004,-7.71339989899997 4.35700913000005,-7.60389083699994 4.34360914900003,-7.53766391099998 4.34954504500007,-7.53386188599995 4.35055695400007,-7.53259651799993 4.35314842700006,-7.53450013299994 4.34413755600002,-7.53453944499995 4.34381083600005,-7.53800967099994 4.32486822900006,-7.54152652699997 4.29714463800002,-7.54581837299997 4.16381590700007,-7.53990077299994 4.09327046600004,-7.54000907099993 4.07849828400003,-7.54001703399996 3.06131529900006,-7.54003441699996 2.04402166500006,-7.54006119099995 1.02741995600007,-7.54006150699996 1.02742131600007,-7.54006150699996 1.02742035300003,-7.60765750699994 1.02098935300006,-7.60975050699994 1.02117835300004,-7.61164150699994 1.02101835300005,-7.61356350699998 1.02119135300006,-7.61562550699995 1.02101635300005,-7.61754750699993 1.02118935300007,-7.61960950699995 1.02101435300006,-7.62118750699995 1.02115635300004,-7.62359350699995 1.02095235300004,-7.62407750699998 1.02099535300005,-7.62459650699998 1.02095135300004,-8.20266850799993 1.07285935300007,-8.21156250799993 1.07526235300003,-8.31429550799993 1.08443835300005,-8.87476750799993 1.23553935300004,-9.18167050899996 1.37904535300004,-9.36740350899993 1.42893035300006,-9.36800250899995 1.42920935300003,-9.36840750899995 1.42931835300004,-9.39577650899997 1.44209935300006,-9.39631650899997 1.44224435300004,-9.39930550899993 1.44364035300003,-9.40030250899997 1.44390835300004,-9.40349850899997 1.44540035300003,-9.41028250899996 1.44722135300003,-9.93642650899994 1.69264935400003,-9.97135350899993 1.71709435400004,-10.079110509 1.76728835400007,-10.080122509 1.76799635400005,-10.100056509 1.77727935400003,-10.1029245089999 1.77928535400002,-10.111018509 1.78305435400006,-10.1153055089999 1.78605335400005,-10.116013509 1.78638235400007,-10.116797509 1.78693135400005,-10.1210065089999 1.78889135400004,-10.1435425089999 1.80465535400003,-10.26467651 1.86103735400008,-10.2835565099999 1.87423735400006,-10.3853845099999 1.92160735400006,-10.38677551 1.92258035400005,-10.3873635099999 1.92285335400004,-10.4041655099999 1.93459535400007,-10.46718451 1.96389935400003,-10.5507765099999 2.02229435400005,-10.70557851 2.09421335400003,-10.70678551 2.09505635400006,-10.7075875099999 2.09542935400003,-10.70816851 2.09583435400003,-10.7135525099999 2.09833535400003,-10.9139355099999 2.23815835400006,-10.92405851 2.24285535400003,-10.93028451 2.24719735400004,-10.9549795099999 2.25865435400004,-10.9554735099999 2.25899835400003,-10.96097551 2.26155035400006,-10.96183751 2.26215135400003,-10.96496251 2.26360135400006,-10.96645051 2.26463935400005,-10.96694051 2.26486635400005,-11.443428511 2.59682135400004,-11.479236511 2.63243135400006,-11.568249511 2.69435835400003,-11.9168065109999 3.04054535500006,-11.9218715109999 3.04406135500005,-11.924540511 3.04671035500007,-11.9248885109999 3.04695235500003,-12.0263915109999 3.14764835500006,-12.044727511 3.16037135500005,-12.0544005109999 3.16996435500005,-12.0596895109999 3.17363435500005,-12.063229511 3.17714335500006,-12.157526511 3.24255035500005,-12.1700755109999 3.25498935500002,-12.361110512 3.34296835500004,-12.3997405119999 3.36972935500006,-12.4209025119999 3.37946835500003,-12.4219435119999 3.38018935500003,-12.423882512 3.38108135500005,-12.4252915119999 3.38205735500003,-12.4268935119999 3.38279435500004,-12.4405815119999 3.39227435500004,-12.457790512 3.40019235500006,-12.935773512 3.73080235500004,-12.946831512 3.74172235500004,-12.9587075119999 3.74992535500007,-13.0249195119999 3.81529435500005,-13.501445513 4.14388635600005,-13.501833513 4.14426835600005,-13.5024505129999 4.14469335600006,-13.5829825129999 4.22387935600005,-13.1718905119999 4.94262935700004,-12.9915305119999 5.25886035700006,-12.990936512 5.25970235700004,-12.7267605119999 5.63294935700003,-12.684992512 5.69202435700004,-12.613663512 5.78544835700006,-12.598828512 5.80447335700006,-12.566714512 5.84523535700004,-12.541027512 5.87768735700007,-12.5250075119999 5.89783035700003,-12.434151512 5.98416535800004,-12.171388511 6.23697835800004,-12.0732825109999 6.32629235800005,-12.069385511 6.32985735800003,-11.800036511 6.57782835800003,-11.787292511 6.58969735800002,-11.698099511 6.67017435800005,-11.6563625109999 6.69907735800007,-11.6378345109999 6.71173135800007,-11.6359645109999 6.71299035800007,-11.5733275109999 6.79387135800005,-11.5721855109999 6.79519635800006,-11.5471955109999 6.82517035800004,-11.521111511 6.85486035800005,-11.499224511 6.90673635800005,-11.496002511 6.91815535800004,-11.496002511 6.92076535800004,-11.4923275109999 6.92709035800004,-11.473296599 6.91459432800002,-11.463336824 6.90805394100005,-11.4093541829999 6.85808969600004,-11.3812545559999 6.83208140000005,-11.3808472609999 6.83120777600004,-11.364518511 6.79618135800007,-11.3686210929999 6.78021997300004,-11.371390866 6.76944509000003,-11.3743064129999 6.76181834900007,-11.3831275109999 6.73874535800007,-11.370992981 6.72194253300006,-11.3511819299999 6.69450903200004,-11.236222292 6.64973623400005,-11.07586351 6.58728135800004,-10.96999951 6.53777235800004,-10.89610951 6.49721835800005,-10.87125451 6.48097235800003,-10.862171845 6.47314945000005,-10.849163931 6.46194508100007,-10.84059145 6.45337309000007,-10.82860951 6.44139085800003,-10.81222751 6.41639085800006,-10.8076816079999 6.40650066000006,-10.8060729019999 6.40300001700007,-10.7927818859999 6.37639116200006,-10.8100729139999 6.30937315300002,-10.8100724129999 6.30937273500007,-10.8100725099999 6.30937235800008,-10.7897977339999 6.29247428200006,-10.764163889 6.27110909400005,-10.6916639459999 6.23444497300005,-10.675150811 6.22885295800006,-10.6563905099999 6.22249935800005,-10.63800951 6.21798135800003,-10.60083651 6.20999935800006,-10.472689164 6.17623067200003)))', 'Liberian Exclusive Economic Zone', 'Liberia', 'Liberia', '', '97', '97', 'LBR', '8391', '', '247257852900', '8391', 'Y'),('SRID=4326;MULTIPOLYGON(((2.27257950200004 2.95809535500007,2.09910150200005 2.91165235500006,1.32250150100003 5.79562535700006,1.28077450100005 5.90297535700006,1.21994550100004 6.06422535800004,1.21000150100002 6.08848635800007,1.19889050100005 6.10054535800003,1.29395450100003 6.13853635800007,1.40355450100003 6.16534535800002,1.40889050100003 6.16777235800004,1.46889050100003 6.18639035800004,1.56055450100007 6.20610935800005,1.63539950200004 6.21871835800005,1.63877450200005 6.19763335800008,1.70917750200005 5.95269735700003,1.75951150200007 5.75427135700005,1.93173750200003 5.02405835700006,2.02274550200002 4.63981235600005,2.22974050200003 3.79488635500007,2.41032150200004 2.99168635500007,2.40329150200006 2.99107735500007,2.40306750200006 2.99101735500005,2.39747050200003 2.99053135500003,2.39310650200002 2.98936635500007,2.39297550200007 2.98935535500004,2.38973250200007 2.98848935500007,2.38935750200005 2.98845635500004,2.38645850200004 2.98768235500006,2.38602450200005 2.98764535500004,2.37982050200003 2.98598835500007,2.37937150200003 2.98594935500006,2.37649650200007 2.98518135500007,2.37560650200004 2.98510435500003,2.36988950200004 2.98357735500002,2.36861150200002 2.98346635500008,2.36570950200007 2.98269135500004,2.36529150200005 2.98265435500002,2.36240550200006 2.98188435500003,2.36090550200004 2.98175335500002,2.35822550200004 2.98103835500007,2.35782250200003 2.98100335500004,2.35493150200006 2.98023035500006,2.35466550200005 2.98020735500006,2.35161750200007 2.97939335500007,2.35158550200003 2.97939035500002,2.34831350200005 2.97851635500007,2.34812250200002 2.97850035500005,2.34810050200002 2.97848935500002,2.34671650200005 2.97812035500004,2.34563050200006 2.97761435500007,2.32634750200003 2.97246335500006,2.31859550200005 2.97039235500006,2.27257950200004 2.95809535500007)))', 'Togolese Exclusive Economic Zone', 'Togo', 'Togo', '', '98', '98', 'TGO', '8392', '', '15423645140', '8392', 'Y'),('SRID=4326;MULTIPOLYGON(((2.71960916000006 6.36550910500006,2.72771758300007 6.30528784600006,2.77174226100004 5.99259578200002,2.78380018600006 5.90031983700004,2.84175500300006 5.42333910100007,2.66743790000004 3.01372433200004,2.60906350200003 3.02609635500005,2.60777650200004 3.02575335500006,2.60619450200005 3.02561635500007,2.60360750200005 3.02492635500005,2.59460350200004 3.02414935500002,2.59451250200004 3.02412535500002,2.59078350200002 3.02380235500004,2.58871150200002 3.02325035500007,2.55140450200003 3.02002635500003,2.54818450200003 3.01916735500004,2.54772950200004 3.01912835500002,2.54485050200003 3.01836035500003,2.54423950200004 3.01830735500005,2.54148650200005 3.01757235500003,2.54145150200003 3.01756935500003,2.53821250200002 3.01670635500005,2.53788350200006 3.01667735500007,2.53488950200006 3.01587835500004,2.52986150200007 3.01544335500006,2.52915850200003 3.01525635500008,2.52825250200004 3.01501435500006,2.50548550200006 3.01304535500003,2.48933750200007 3.01164735500004,2.47414450200006 3.00759235500004,2.42127750200007 2.99348035500003,2.42101350200005 2.99345735500003,2.41796350200002 2.99264335500004,2.41382250200007 2.99228435500004,2.41219150200004 2.99184835500006,2.41032150200004 2.99168635500007,2.22974050200003 3.79488635500007,2.02274550200002 4.63981235600005,1.93173750200003 5.02405835700006,1.75951150200007 5.75427135700005,1.70917750200005 5.95269735700003,1.63877450200005 6.19763335800008,1.63539950200004 6.21871835800005,1.63999950200002 6.22110935800004,1.69749950200003 6.23805435800006,1.80333650200004 6.25749935800008,1.92694550200002 6.27528135800003,1.98735450200007 6.28210935800007,2.05610950200003 6.29416335800005,2.27583650200006 6.32333635800006,2.33110950200006 6.32860935800005,2.36278150200008 6.33041835800003,2.40471850200004 6.32999935800007,2.45499950200002 6.33305435800003,2.47999950200006 6.33860935800004,2.48441850200004 6.34048135800003,2.53999950200006 6.34499935800005,2.64305450200004 6.35610935800003,2.71960916000006 6.36550910500006)))', 'Beninese Exclusive Economic Zone', 'Benin', 'Benin', '', '99', '99', 'BEN', '8393', '', '30165069760', '8393', 'Y'),('SRID=4326;MULTIPOLYGON(((9.8220205992634 -6.51597075172089,9.1209835902111 -6.7344483469447,8.93219650800017 -6.46455465399987,8.92034450800008 -6.44760165399987,8.91430250799999 -6.43459665399996,8.84914291300004 -6.36937416199993,9.54725673600018 -5.68585556499983,10.2252663180001 -5.03730616399986,10.3389302830001 -4.92910403899992,10.386356741 -4.88383495899996,10.541247191 -4.73974361899991,11.0670247200002 -4.04611201199998,11.127892903 -3.9606255089999,11.136600018 -3.93616875599997,11.1406632220001 -3.92528202299997,11.15999951 -3.94583665199991,11.2169455100002 -3.99110965199992,11.313609511 -4.06708165199996,11.3431905110002 -4.09291865199998,11.3569455110001 -4.11416365199983,11.3640275110001 -4.16194565199987,11.3804185110002 -4.19013665199998,11.558609511 -4.34749965199995,11.638472511 -4.40930965199993,11.7072185110001 -4.47166365199996,11.735836511 -4.49860965199997,11.752781511 -4.5161091519999,11.774163511 -4.54263665199994,11.7933365110002 -4.57180915199996,11.7981905110001 -4.60458165199998,11.783890511 -4.62860915199991,11.7849995110001 -4.68610915199997,11.8065995110001 -4.77721865299998,11.826109511 -4.80416365299982,11.9327815110001 -4.9247186529999,12.0010365110002 -5.01492765299992,12.0261275110001 -5.01499965299985,12.026127092 -5.01500000499988,12.0080839390001 -5.03016129499997,12.0046520650001 -5.03304504999988,11.9958584050001 -5.03855115099992,11.90219853 -5.10075113099998,11.297896618 -5.51187938599992,9.8220205992634 -6.51597075172089)))', 'Congolese Exclusive Economic Zone', 'République du Congo', 'République du Congo', '', '100', '100', 'COG', '8394', '2014-02', '39754043980', '8394', 'Y'),('SRID=4326;MULTIPOLYGON(((0.278890500000045 6.09139035800007,0.311318500000027 6.05857235800005,0.380554500000073 6.05131835800006,0.405136500000026 6.08104535800004,0.447081500000024 6.08083635800006,0.506463500000052 6.05859035800006,0.581245501000069 6.00124535800006,0.635836501000028 5.94450935700007,0.650554501000045 5.91028135700003,0.657781501000045 5.88028135700006,0.657499501000075 5.84999935700006,0.650518501000022 5.83718135700008,0.666663501000073 5.80319085700006,0.694654501000059 5.77336335700005,0.687990501000058 5.75385435700002,0.790000001000067 5.75666335700004,0.920000001000062 5.77194535700005,0.945000001000039 5.78083635700006,0.969027501000028 5.79778135700008,0.992363501000057 5.82486335700003,1.00194550100002 5.85291835700002,1.00326350100005 5.88513635700002,1.01000050100004 5.91333635700005,1.03055450100004 5.96194535700005,1.07486350100004 6.01999935800006,1.09889050100003 6.04028135800007,1.13694550100007 6.06944535800005,1.17221850100003 6.09013635800005,1.19889050100005 6.10054535800003,1.21000150100002 6.08848635800007,1.21994550100004 6.06422535800004,1.28077450100005 5.90297535700006,1.32250150100003 5.79562535700006,2.09910150200005 2.91165235500006,1.88768050200002 2.60320235400008,1.71878150200007 2.55869935400005,1.49263050100006 2.49911235400003,1.49221450100003 2.49907735400006,1.48931850100007 2.49831335400006,1.48829950100003 2.49822735400005,1.48521850100002 2.49741435400006,1.46971850100005 2.49611435400004,1.46859850100003 2.49581835400005,1.46609450100004 2.49560835400007,1.46360050100003 2.49495035400003,1.45970650100003 2.49462435400005,1.45784350100007 2.49413235400004,1.44509050100004 2.49306235400007,1.44283450100005 2.49246635400004,1.43661950100005 2.49194535400005,1.43542050100007 2.49162835400006,1.41658950100003 2.49004835400007,1.41631050100006 2.48997435400003,1.41488450100007 2.48985535400004,1.41216250100007 2.48913635400004,1.41061850100004 2.48900635400003,1.40804650100006 2.48832735400003,1.40764050100006 2.48829335400006,1.40137750100007 2.48663935400003,1.40104750100005 2.48661135400005,1.39805150100005 2.48581935400006,1.39773250100006 2.48579335400007,1.39477050100004 2.48501035400005,1.39330050100006 2.48488735400002,1.39059350100007 2.48417235400007,1.39053050100006 2.48416735400002,1.38729750100003 2.48331235400002,1.38339450100005 2.48298535400005,1.38146350100004 2.48247535400003,1.37862350100005 2.48223635400007,1.37646550100004 2.48166635400003,1.37374850100002 2.48143835400003,1.37151350100004 2.48084735400005,1.10065050100008 2.45804135400005,0.939420501000029 2.38343935400007,0.872500501000047 2.33684635400004,0.870485501000076 2.33591335400007,0.857524501000057 2.32688835400006,0.330662500000074 2.08263135400006,0.32995550000004 2.08244335400002,0.328685500000063 2.08185335400003,5.0000005558104e-07 1.99430435400006,-0.175359499999956 1.94759535400004,-0.246365499999968 1.91456835400004,-0.307228499999951 1.87202235400002,-0.833564500999955 1.62685735300005,-0.833842500999936 1.62678235300007,-0.835542500999964 1.62598935300002,-0.836928500999932 1.62561835300005,-0.839528500999961 1.62440635300004,-1.40028550099993 1.47399335300003,-1.42410350099993 1.47189635300003,-1.47503950099997 1.45820935300003,-1.50869150099993 1.45524335300007,-1.50991850099996 1.45491435300005,-2.08818650199993 1.40370835300007,-2.08868250199993 1.40375135300008,-2.08915950199997 1.40370835300007,-2.66753050199998 1.45332635300002,-3.22857550299995 1.60225535300003,-3.65145750299996 1.79794335400004,-3.65364750299995 1.79812735400003,-3.65885950299997 1.79950435400002,-3.66161050299996 1.79973535400006,-3.66452350299994 1.80050535400005,-3.66559250299997 1.80059535400005,-3.66852950299995 1.80137135400003,-3.66857150299995 1.80137435400007,-3.67159250299994 1.80217335400005,-3.67255250299996 1.80225335400007,-3.78911347999997 1.82490934900005,-3.78911364999993 1.82490917600006,-3.72240783799998 2.14626111000007,-3.65980189899994 2.45861697900006,-3.41273375699996 3.69413006700006,-3.33507933499993 4.07187787500004,-3.16758872699995 4.79499813800004,-3.10275793099993 5.09062420400005,-3.10178334699998 5.08458879600005,-3.07278150299993 5.07471835700005,-3.03944550299997 5.06374535700007,-2.97749950299993 5.04986335700005,-2.86583650299997 5.02749935700007,-2.84278150299997 5.02305435700004,-2.72999950299993 5.00639035700004,-2.58666350199996 4.96694535700004,-2.54860950199998 4.95694535700005,-2.50416350199993 4.94639035700004,-2.43583650199997 4.93194535700007,-2.38125450199993 4.92458135700002,-2.35194550199998 4.91944535700003,-2.32999950199996 4.91389035700007,-2.28013650199995 4.89180935600007,-2.25721850199994 4.87694535600002,-2.10416350199995 4.74721835600008,-2.08680950199994 4.72708135600004,-2.05889050199994 4.73083635600005,-1.95583650199995 4.76860935600007,-1.73639050199995 4.91360935700004,-1.71032750199993 4.92803635700005,-1.61958150199996 5.01680935700006,-1.59513650099996 5.02416335700002,-1.56882750099993 5.01942735700004,-1.53639050099997 5.03499935700006,-1.41555450099997 5.06527235700003,-1.30083650099994 5.08999935700007,-1.26055450099994 5.09208135700004,-1.21166350099998 5.10916335700006,-1.17916350099995 5.12444535700007,-1.15971850099993 5.13889035700004,-1.12916350099994 5.16305435700002,-1.06680950099997 5.19444535700006,-1.04444550099993 5.19791835700005,-0.982918500999972 5.19610935700007,-0.899999500999968 5.20028135700005,-0.798127500999954 5.20784535700005,-0.729309500999932 5.26805435700004,-0.710690500999931 5.29041835700002,-0.694163500999935 5.30513635700004,-0.649718500999938 5.32749935700002,-0.579445500999952 5.35166335700006,-0.534163499999977 5.35416335700006,-0.485072499999944 5.37486335700004,-0.428336499999944 5.43694535700007,-0.357854499999974 5.49313635700003,-0.299445499999933 5.50389035700005,-0.266254499999945 5.51124535700006,-0.209999499999924 5.52833635700006,-0.0691634999999451 5.57805435700004,5.0000005558104e-07 5.61145435700007,0.0363905000000386 5.62902735700004,0.0691635000000588 5.66895435700008,0.138336500000037 5.71221835700004,0.255836500000044 5.75778135700006,0.309718500000031 5.77639035700003,0.362636500000065 5.77791835700003,0.383336500000041 5.77416335700002,0.405836500000021 5.77027235700007,0.46471850000006 5.76416335700003,0.663745501000051 5.75992735700004,0.639527501000032 5.84548135700004,0.64270950100007 5.88458135700006,0.617781501000024 5.94236335700003,0.594163501000025 5.97319085800007,0.575000001000035 5.99194535800007,0.506390500000066 6.03360935800004,0.488890500000025 6.04360935800003,0.43041850000003 6.06979135800003,0.408472500000073 6.06152735800003,0.37854550000003 6.02624535800004,0.353745500000059 6.02333635800005,0.322381500000063 6.03583635800004,0.309509500000047 6.03881835800007,0.284163500000034 6.05950935800007,0.252218500000026 6.08263635800006,0.221109500000068 6.08971835800003,0.208200500000032 6.08970035800007,0.217218500000058 6.09819035800007,0.237636500000065 6.10486335800005,0.260972500000037 6.10097235800004,0.278890500000045 6.09139035800007)))', 'Ghanaian Exclusive Economic Zone', 'Ghana', 'Ghana', '', '106', '106', 'GHA', '8400', '', '225918463100', '8400', 'Y'),('SRID=4326;MULTIPOLYGON(((-112.623046605 10.2861223620001,-112.577878605 10.864823362,-112.430876605 11.4270193630001,-112.185926604 11.955535363,-112.184355604 11.957778363,-112.183949604 11.9586543630001,-111.848000604 12.4372393640001,-111.847015604 12.438218364,-111.846995604 12.4382473640001,-111.846775604 12.438465364,-111.846008604 12.4395563640001,-111.845038604 12.4405203640001,-111.844017604 12.441972364,-111.426945604 12.855806364,-111.426637604 12.8560203640001,-111.425937604 12.856713364,-110.940323603 13.1929043640001,-110.401079603 13.440915364,-110.400273603 13.4411283640001,-110.400077603 13.4412183640001,-109.823979602 13.593238365,-109.823608602 13.593270365,-109.822961602 13.593440365,-109.228098602 13.644664365,-109.227596602 13.644622365,-109.227094602 13.644664365,-108.632228601 13.593472365,-108.056120601 13.4414843640001,-108.055945601 13.4414043640001,-108.055103601 13.441181364,-108.053173601 13.4402963640001,-108.053086601 13.4402733640001,-108.039747601 13.434155364,-108.036932601 13.4334093640001,-108.035002601 13.4325243640001,-108.034915601 13.4325013640001,-107.4956906 13.1844853640001,-107.0100946 12.848292364,-107.0099606 12.848159364,-107.0070946 12.846170364,-106.590042599 12.432331364,-106.254100599 11.9537463630001,-106.253424599 11.952289363,-106.253107599 11.951837363,-106.008159599 11.4233213630001,-105.861157599 10.8611263620001,-105.815988599 10.282425362,-105.816003599 10.2822753620001,-105.815991599 10.282125362,-105.816031599 10.281725362,-105.816000599 10.2813253620001,-105.816045599 10.2808763620001,-105.816010599 10.2804253620001,-105.816015599 10.280376362,-105.816011599 10.280326362,-105.816026599 10.2801763620001,-105.816014599 10.2800263620001,-105.816119599 10.278978362,-105.816036599 10.2779273620001,-105.816061599 10.2776773620001,-105.816042599 10.277427362,-105.816057599 10.2772773620001,-105.816045599 10.277127362,-105.816085599 10.276728362,-105.816054599 10.2763273620001,-105.873506599 9.69869036100005,-106.031321599 9.13955936000002,-106.031775599 9.13862236000006,-106.032353599 9.13657036000006,-106.032836599 9.13557236000003,-106.033368599 9.13368136000003,-106.286353599 8.60986136000002,-106.287245599 8.60862436000002,-106.287368599 8.60837036000004,-106.627608599 8.13555236000008,-106.628067599 8.13510536000007,-106.628602599 8.13435936000008,-106.630050599 8.13294636000006,-106.630604599 8.13217536000008,-107.0476916 7.72448035900004,-107.5290486 7.39406835900007,-107.5307206 7.39330535900007,-107.5310516 7.39307835900007,-107.5318436 7.39271535900002,-107.5320366 7.39258235900007,-108.063258601 7.14929135900007,-108.064079601 7.14907535900005,-108.064257601 7.14899435900003,-108.629530601 7.00006635800003,-108.629871601 7.00003735800004,-108.630513601 6.99986735800007,-108.631441601 6.99978835800005,-108.631511601 6.99977035800003,-108.632412601 6.99969335800006,-108.632494601 6.99967135800006,-109.215037602 6.94953535800005,-109.216027602 6.94962135800006,-109.217018602 6.94953535800005,-109.799560602 6.99968335800003,-109.799635602 6.99970335800003,-109.800558602 6.99978135800006,-110.365827603 7.14872435900003,-110.897041603 7.39203035900005,-110.897830603 7.39257335900004,-110.899028603 7.39312135900008,-111.380375604 7.72354835900006,-111.383181604 7.72629635900006,-111.383375604 7.72642935900006,-111.383432604 7.72648535900004,-111.384364604 7.72712335900007,-111.386493604 7.72920835900004,-111.387363604 7.72980435900007,-111.387759604 7.73019235900006,-111.388352604 7.73059835900006,-111.388712604 7.73095135900007,-111.389357604 7.73139235900004,-111.389413604 7.73144835900007,-111.390345604 7.73208635900005,-111.390423604 7.73216235900003,-111.392338604 7.73347435900007,-111.809437604 8.14116636000006,-112.149682604 8.61398636000007,-112.150091604 8.61483436000003,-112.150698604 8.61567636000007,-112.151405604 8.61714336000006,-112.152714604 8.61895936000008,-112.405710605 9.14277736000003,-112.405962605 9.14367436000003,-112.407745605 9.14735636000006,-112.565567605 9.70648736100003,-112.623024605 10.2841243620001,-112.623020605 10.284174362,-112.623025605 10.284224362,-112.623010605 10.284424362,-112.623030605 10.284623362,-112.623014605 10.2848233620001,-112.623034605 10.2850233620001,-112.623026605 10.285124362,-112.623036605 10.2852243620001,-112.623024605 10.285373362,-112.623039605 10.285523362,-112.623016605 10.285823362,-112.623046605 10.2861223620001)))', 'Clipperton Island Exclusive Economic Zone', 'Clipperton Island', 'France', '', '179', '107', 'CPT', '8401', '', '433035772200', '8401', 'Y'),('SRID=4326;MULTIPOLYGON(((-67.6677775629999 22.4130563730002,-69.483332565 21.1916673720001,-70.3263885649999 20.723333371,-71.462221567 20.5575003710001,-72.147222 20.545278,-72.2216865669999 20.5956383710001,-72.241180567 20.608186371,-72.2680045669999 20.626022371,-72.3253655669999 20.664265371,-72.3591355669999 20.6870863710001,-72.439003354 20.714709269,-72.4489753939999 20.7476070320002,-72.4738374269999 20.8334415080001,-72.480552287 20.8567455590002,-72.482926849 20.8651445440001,-72.486596897 20.8782105060001,-72.4977817209999 20.9182854790001,-72.518330367 20.9955073670001,-72.533353156 21.0587767560002,-72.5393102189999 21.083503402,-72.5524526319999 21.1402407150001,-72.5554495499999 21.153674003,-72.559813286 21.173021687,-72.5635740869999 21.191783549,-72.567005804 21.214639311,-72.5886909609999 21.2422148040002,-72.6344953969999 21.3698938550001,-72.644219247 21.397329821,-72.646516489 21.404142285,-72.6566549139999 21.4347350990001,-72.675988413 21.494542221,-72.6786742739999 21.502738661,-72.679618852 21.5056400470001,-72.7077832689999 21.5958219660001,-72.7163637259999 21.6244385110001,-72.737183661 21.6933321660001,-72.738387113 21.6972078980001,-72.743465617 21.7131448540002,-72.7546565779999 21.7377542280001,-72.7673694699998 21.7675984690001,-72.7788658859999 21.7941136040002,-72.7814628369999 21.8026106590001,-72.81360689 21.9027899890001,-72.791720144 21.9130312680001,-72.7728692659999 21.9217396160001,-72.6771218229999 21.9661545430002,-72.6225664949999 22.0149111100001,-72.597783163 22.0371778490002,-72.590457896 22.0438281400001,-72.5870288639999 22.0469566690001,-72.5784067609999 22.0546713530002,-72.5650054599999 22.0663806320001,-72.333509839 22.2296189160002,-72.3051240909999 22.2496402630002,-72.2561631679999 22.3257606000001,-72.2554878669999 22.326808699,-72.2303693749999 22.365603257,-72.21388132 22.3911844690001,-72.064626203 22.6315227550002,-71.973095692 22.7852512390001,-71.917428762 22.8793063750001,-71.721508934 23.208511936,-71.1804415669999 24.1362987480001,-70.631394137 25.0623691390001,-70.631394154 25.0623688320001,-70.6313936649999 25.0623699350001,-70.6313938679999 25.062369866,-70.631393566 25.0623703750001,-70.339071566 24.9345583750001,-70.2274375649999 24.8855493750002,-70.062058565 24.8127433750001,-70.061495565 24.8123733750001,-70.0600155649998 24.8117203750001,-70.0268755649999 24.7899213750001,-69.825652565 24.7009433750001,-69.7327105649999 24.6395223750001,-69.7302115649999 24.6378693750002,-69.6209215649999 24.5892953750001,-69.340783565 24.4031723750002,-69.276843565 24.3745363750001,-68.7640375639999 24.0309833740001,-68.762674564 24.0296763740002,-68.7620485639999 24.0292553740002,-68.3251805639999 23.6085033740002,-67.9797885629999 23.1274603730002,-67.9773135629999 23.1240003730001,-67.7283355629999 22.5910373730001,-67.7143935629999 22.5363333730002,-67.692535563 22.4893413730001,-67.6677775629999 22.4130563730002),(-71.8891725669999 21.8241633720002,-71.881954567 21.8236093720001,-71.8841725669999 21.8472183720001,-71.907645567 21.937499372,-71.9148725669999 21.9445813720002,-71.9472365669999 21.9530543720001,-71.973072567 21.9572183720001,-72.0050095669999 21.957772372,-72.017227567 21.953890372,-72.0314635669999 21.944163372,-72.0291725669999 21.904999372,-71.9016725669999 21.8272183720002,-71.8891725669999 21.8241633720002),(-71.8505725669999 21.8427813720002,-71.8419545669999 21.7999993720001,-71.8252905669999 21.7754093720002,-71.8137545669999 21.7755543720001,-71.7995905669999 21.7827723720001,-71.769454567 21.7908363720001,-71.7536185669999 21.7924993720001,-71.715981567 21.7887453720001,-71.6808455669999 21.7672183720001,-71.6741815669999 21.7597183720001,-71.6588905669998 21.7397183720001,-71.6536275669999 21.7399993720001,-71.6436185669999 21.7441633720002,-71.6336185669999 21.7722183720001,-71.6377905669999 21.781663372,-71.659454567 21.8252723720001,-71.667781567 21.831527372,-71.681672567 21.836390372,-71.6950095669999 21.8388903720001,-71.8477815669999 21.854718372,-71.8505725669999 21.8427813720002),(-71.1506635659999 21.470727372,-71.1460455659999 21.4299183720001,-71.1275725659999 21.4426273720001,-71.132190566 21.5092183720001,-71.1506635659999 21.470727372)))', 'Turks and Caicos Exclusive Economic Zone', 'Turks and Caicos Islands', 'United Kingdom', '', '180', '111', 'TCA', '8405', '', '154550460200', '8405', 'Y'),('SRID=4326;MULTIPOLYGON(((-68.8267805639999 32.216975382,-68.7927585639999 32.796655382,-68.789251564 32.8095883820001,-68.788698564 32.818987383,-68.634387564 33.384800383,-68.362298564 33.919175384,-68.362092564 33.919437384,-68.361341564 33.920903384,-67.977916563 34.4069123840001,-67.493665563 34.828864384,-66.923007562 35.1728903850001,-66.9087135619999 35.1786373850001,-66.875051562 35.1987593850001,-66.235634562 35.453140385,-66.222483562 35.4561743850001,-66.075919562 35.5138033850001,-66.074835562 35.5140513850001,-66.072834562 35.514836385,-65.385178561 35.670315385,-64.67339456 35.722388385,-64.67235756 35.7223133850001,-64.67130056 35.722388385,-63.95964056 35.669259385,-63.2723555589999 35.512762385,-62.6325675579999 35.258234385,-62.061262558 34.9142803840001,-62.044298558 34.8996173840001,-62.036133558 34.8946613840001,-61.551554557 34.4726753840001,-61.551157557 34.472175384,-61.550560557 34.471651384,-61.1669125569999 33.985611384,-60.8946865569999 33.451214383,-60.894345557 33.4499693830001,-60.893797557 33.4488873830001,-60.739457557 32.883062383,-60.7054735569999 32.3033803820001,-60.705509557 32.3031343820001,-60.705494557 32.3028813820001,-60.705560557 32.302438382,-60.705533557 32.3019823820001,-60.705577557 32.3016873820001,-60.705560557 32.301383382,-60.790656557 31.725496381,-60.793840557 31.7167013810001,-60.795460557 31.705638381,-60.9948535569999 31.150745381,-60.995537557 31.149596381,-60.9959375569999 31.148475381,-61.301912557 30.63087438,-61.704062557 30.1655323800001,-62.1897155579999 29.76572538,-62.312405558 29.69467838,-62.313194558 29.69402238,-62.866993559 29.370469379,-62.867859559 29.370133379,-62.868936559 29.369499379,-62.872719559 29.3680293790001,-62.872844559 29.3679553790001,-62.8766465589999 29.3664783790001,-62.876752559 29.366416379,-62.8857885589999 29.362905379,-62.886540559 29.3624633790001,-62.887397559 29.3621303790001,-62.889471559 29.3609093790001,-62.892099559 29.359887379,-62.898295559 29.356239379,-62.901134559 29.355135379,-62.901219559 29.3550853790001,-62.901867559 29.3548333790001,-62.911039559 29.3494303790001,-62.912000559 29.349056379,-62.913012559 29.3484613790001,-63.519615559 29.110479379,-63.522276559 29.1098843790001,-63.5264085589999 29.108249379,-64.16899956 28.962622379,-64.8298115599999 28.913410379,-64.8299705599999 28.9134223790001,-64.83269956 28.9132123790001,-64.8492885599999 28.9144733790001,-64.8539495599999 28.9141133790001,-64.85574356 28.9142493790001,-64.8587835599999 28.914014379,-65.5196715609999 28.962421379,-66.162485562 29.1072633790001,-66.769422562 29.344533379,-66.772544562 29.3463673790001,-66.7743265619999 29.347058379,-66.774429562 29.3471183790001,-66.7762665619999 29.3478303790001,-66.776393562 29.3479053790001,-66.780174562 29.3493693790001,-67.334221563 29.67243038,-67.819336563 30.0722993800001,-67.824046563 30.0777923800001,-67.8264235629999 30.07973838,-68.228159564 30.54511138,-68.533788564 31.062738381,-68.534186564 31.0638553810001,-68.534871564 31.065008381,-68.535562564 31.066948381,-68.5359355639999 31.067575381,-68.5390425639999 31.076293381,-68.539274564 31.0766823810001,-68.539932564 31.0785293810001,-68.5424665639999 31.0827903810001,-68.741688564 31.637687381,-68.826633564 32.213580382,-68.826600564 32.214138382,-68.826681564 32.214677382,-68.826648564 32.2152373820001,-68.826728564 32.2157793820001,-68.8267085639999 32.2161333820001,-68.826759564 32.2164763820001,-68.826744564 32.216730382,-68.8267805639999 32.216975382),(-64.7823725599999 32.280136382,-64.82306356 32.2605543820001,-64.80334556 32.262499382,-64.78333656 32.2705543820001,-64.7700095599999 32.279163382,-64.76112756 32.284999382,-64.74889956 32.2952723820001,-64.72139056 32.320272382,-64.69862756 32.3436093820001,-64.67680956 32.379509382,-64.6944545599999 32.3731903820001,-64.71833656 32.340272382,-64.7477905599999 32.312218382,-64.78105456 32.290599382,-64.7823725599999 32.280136382)))', 'Bermudian Exclusive Economic Zone', 'Bermuda', 'United Kingdom', '', '180', '108', 'BMU', '8402', '', '450691251800', '8402', 'Y'),('SRID=4326;MULTIPOLYGON(((-86.1079795799999 0.425159352000037,-85.95768558 -0.135280647999934,-85.90679858 -0.713239648999945,-85.95685858 -1.29123164899994,-86.10640258 -1.85176664999995,-86.3510015799999 -2.37786764999993,-86.3600115799999 -2.39076064999995,-86.36981758 -2.41186164999993,-86.39133958 -2.44266064999994,-86.41475458 -2.49305264999992,-86.4362805809999 -2.52385864999997,-86.459689581 -2.57424564999997,-86.481217581 -2.60505864999993,-86.504622581 -2.65544165099993,-86.526152581 -2.68625965099994,-86.5495535809999 -2.73663865099996,-86.571085581 -2.76746165099996,-86.594482581 -2.81783865099993,-86.6160155809999 -2.84866465099998,-86.6394095809999 -2.89904065099995,-86.660942581 -2.92986965099993,-86.684333581 -2.98024465099996,-86.705867581 -3.01107565099994,-86.729256581 -3.06145065099997,-86.731609581 -3.06482065099993,-86.734165581 -3.07032565099996,-87.066470581 -3.54620165099993,-87.476704581 -3.95719365199994,-87.952497582 -4.29075465199998,-88.4794175819999 -4.53667365199993,-89.041401583 -4.68740165199995,-89.6212505829999 -4.73829665199997,-89.690821584 -4.73224365199997,-89.704007584 -4.73339865199995,-89.782109584 -4.72660065199995,-89.796918584 -4.72789865199996,-89.875014584 -4.72109765199997,-89.889827584 -4.72239565199993,-89.967918584 -4.71559265199994,-89.982735584 -4.71689065199996,-90.0608225839999 -4.71008565199998,-90.075643584 -4.71138265199994,-90.153725584 -4.70457665199996,-90.1685505839999 -4.70587365199998,-90.246627584 -4.69906465199995,-90.261456584 -4.70036165199997,-90.3395285839999 -4.69355065199994,-90.3543625839999 -4.69484765199996,-90.4274685839999 -4.68846765199993,-90.441363584 -4.68968265199993,-91.021209585 -4.63901165199997,-91.583289585 -4.48848565199995,-91.587671585 -4.48644265199994,-91.588723585 -4.48616065199997,-91.6576745849999 -4.45402065199994,-91.674234585 -4.44958365199994,-91.743176585 -4.41744465199997,-91.759742585 -4.41300565199998,-91.828675586 -4.38086665199995,-91.845246586 -4.37642565199997,-91.914171586 -4.34428865199993,-91.9307465859999 -4.33984565199995,-91.9996645859999 -4.30770965199997,-92.016243586 -4.30326465199994,-92.050268586 -4.28739765199992,-92.536525586 -4.15700765199995,-93.063337587 -3.91117965199993,-93.0659205869999 -3.90936965199995,-93.066353587 -3.90916765199995,-93.111548587 -3.87749265199994,-93.119130587 -3.87395365199995,-93.5948725869999 -3.54048865099998,-94.005138588 -3.12958665099995,-94.039789588 -3.07998265099997,-94.0422525879999 -3.07751665099994,-94.374670588 -2.60172864999993,-94.384354588 -2.58088964999996,-94.3989685879999 -2.55997664999995,-94.399632588 -2.55854664999993,-94.4006355879999 -2.55711164999997,-94.6452575879999 -2.03091464999994,-94.668067588 -1.94533264999995,-94.668458588 -1.94449264999997,-94.692119588 -1.85573664999993,-94.692522588 -1.85487064999995,-94.716191588 -1.76611064999997,-94.716591588 -1.76525164999993,-94.7402685879999 -1.67648564999996,-94.740665588 -1.67563364999995,-94.764351588 -1.58686164999995,-94.764743588 -1.58601764999997,-94.788438588 -1.49723864899994,-94.7888275879999 -1.49640264899995,-94.796861588 -1.46630764899993,-94.796992588 -1.46602564899996,-94.946779588 -0.905472648999933,-94.9494695879999 -0.874471648999929,-94.957340588 -0.84505164899997,-94.961414588 -0.79814364899994,-94.973321588 -0.753646648999961,-94.977400588 -0.706727648999959,-94.989309588 -0.66224264899995,-94.9933935879999 -0.615311648999977,-95.005302588 -0.570839648999936,-95.009391588 -0.523897648999935,-95.021301588 -0.479437648999976,-95.025396588 -0.432482647999962,-95.037306589 -0.388036647999968,-95.041406589 -0.341069647999973,-95.053317589 -0.296637647999944,-95.0574235889999 -0.249656647999927,-95.0693345889999 -0.205238647999977,-95.073445589 -0.158244647999936,-95.085357589 -0.11384064799995,-95.089474589 -0.066832647999945,-95.101386589 -0.0224446479999756,-95.105508589 0.0245783520000487,-95.1174215889999 0.0689503520000585,-95.121549589 0.115988352000045,-95.133462589 0.160344352000038,-95.1375965889999 0.207398352000041,-95.1495085889999 0.251738352000075,-95.1536485889999 0.29880735200004,-95.1655615889999 0.34313035200006,-95.169707589 0.390215352000041,-95.181619589 0.434521352000047,-95.185772589 0.481623352000042,-95.1976845889999 0.525910352000039,-95.201842589 0.573030352000046,-95.213754589 0.617299353000021,-95.217919589 0.664437353000039,-95.229831589 0.708687353000073,-95.2340025889999 0.755843353000046,-95.2459135889999 0.80007435300007,-95.250091589 0.847248353000055,-95.262002589 0.891459353000073,-95.266186589 0.938653353000063,-95.278096589 0.982843353000021,-95.282287589 1.03005735300007,-95.294196589 1.07422735300003,-95.345730589 1.65218135300006,-95.345259589 1.65766735300002,-95.345744589 1.66308535300004,-95.296311589 2.24115335400006,-95.147306589 2.80183935500003,-94.903107588 3.32815235500004,-94.570965588 3.80411035500003,-94.160820588 4.21522035600003,-93.685031587 4.54892735600004,-93.158031587 4.79500635600004,-92.5958905859999 4.94589435700004,-92.5887525859999 4.94652335700005,-92.587686586 4.94680935700006,-92.007617586 4.99785035700006,-91.427423585 4.94745935700007,-90.864914585 4.79716735600005,-90.309044 4.57239400000003,-89.427761 3.42182700000006,-87.146598 2.15073800000005,-87.0581285809999 1.99946335400006,-87.058003581 1.99919535400005,-87.056561581 1.99713235400003,-87.0524325809999 1.98825335400005,-87.004780581 1.92009935400006,-87.0006495809999 1.91121735400003,-86.952998581 1.84306835400002,-86.948864581 1.83418235400006,-86.901214581 1.76604035400004,-86.897077581 1.75714935400003,-86.849428581 1.68901435400005,-86.845288581 1.68011635400006,-86.7976415809999 1.61198935300007,-86.7934975809999 1.60308535300004,-86.7458535809999 1.53496835300007,-86.741704581 1.52605435300006,-86.694063581 1.45794835300006,-86.6899105809999 1.44902535300002,-86.642272581 1.38093035300005,-86.638113581 1.37199735300004,-86.590479581 1.30391535300004,-86.586314581 1.29497135300005,-86.538685581 1.22690235300007,-86.5345145809999 1.21794535300006,-86.486889581 1.14989035300005,-86.482711581 1.14092135300007,-86.4350925799999 1.07288235300007,-86.4309075799999 1.06389835300007,-86.38329358 0.995875353000031,-86.3808575799999 0.990646353000045,-86.35318258 0.951112353000042,-86.1079795799999 0.425159352000037),(-91.575009585 -0.0500006479999797,-91.541390585 -0.0504906479999363,-91.512372585 -0.0268096479999258,-91.471672585 -0.0126366479999547,-91.436045585 -0.0179186479999771,-91.4182095849999 -0.0429186479999544,-91.403336585 -0.106945647999964,-91.393890585 -0.172781647999955,-91.404036585 -0.203054647999977,-91.407645585 -0.229581647999964,-91.359727585 -0.304445647999955,-91.154381585 -0.548263648999978,-91.121954585 -0.549518648999936,-91.083681585 -0.589754648999929,-91.161109585 -0.681836648999933,-91.199381585 -0.67257264899996,-91.237636585 -0.661945648999961,-91.313481585 -0.686663648999968,-91.4547275849999 -0.799718648999942,-91.4761185849999 -0.826390648999961,-91.4940365849999 -0.854718648999949,-91.5013995849999 -0.890281648999974,-91.492927585 -0.918754648999936,-91.440563585 -0.996390648999977,-91.419590585 -1.01666364899995,-91.372645585 -1.02666364899994,-91.345836585 -1.01902764899995,-91.320554585 -1.01360964899993,-91.295290585 -1.01555464899997,-91.217790585 -1.02444564899997,-91.2005635849999 -1.03471864899996,-91.165009585 -1.03263664899993,-90.926599585 -0.96750064899993,-90.874454585 -0.915554648999944,-90.8108365849999 -0.732500648999974,-90.854445585 -0.68055464899993,-90.879181585 -0.653054648999955,-90.903063585 -0.629163648999963,-90.962781585 -0.549581648999947,-90.948345585 -0.525690648999955,-90.964172585 -0.422781647999955,-90.9991725849999 -0.386663647999967,-91.0197275849999 -0.366109647999963,-91.042363585 -0.345690647999959,-91.0752905849999 -0.325554647999979,-91.106672585 -0.309163647999981,-91.170290585 -0.240554647999943,-91.1849365849999 -0.21187264799994,-91.201945585 -0.143336647999945,-91.201254585 -0.122636647999968,-91.198054585 -0.0911096479999287,-91.2029275849999 -0.0326366479999365,-91.217372585 -0.0127096479999409,-91.255354585 -6.47999968350632e-07,-91.259445585 0.00333635200001936,-91.275845585 0.0211093520000532,-91.313063585 0.0883363520000557,-91.315281585 0.111945352000021,-91.391818585 0.124718352000059,-91.5386185849999 0.0308363520000512,-91.6036185849999 -6.47999968350632e-07,-91.604863585 -0.0102816479999319,-91.575009585 -0.0500006479999797),(-90.826527585 -0.33791864799997,-90.740427585 -0.357500647999927,-90.726399584 -0.355836647999979,-90.691118584 -0.347218647999966,-90.670836584 -0.348890647999951,-90.605836584 -0.375554647999934,-90.6011185839999 -0.375000647999968,-90.584727584 -0.362081647999958,-90.547499584 -0.301663647999931,-90.551390584 -0.278890647999958,-90.5988905839999 -0.231663647999937,-90.613890584 -0.219445647999976,-90.6222185839999 -0.21389064799996,-90.643618584 -0.200836647999949,-90.6622275839999 -0.193336647999956,-90.676954584 -0.187781647999941,-90.747509585 -0.163054647999957,-90.793336585 -0.149445647999926,-90.8134725849999 -0.156945647999976,-90.8347275849999 -0.176945647999958,-90.874454585 -0.27000064799995,-90.826527585 -0.33791864799997),(-90.4305545839999 -0.770281648999969,-90.338618584 -0.781390648999945,-90.254727584 -0.748263648999966,-90.199727584 -0.687081648999936,-90.189181584 -0.656663648999938,-90.178754584 -0.570000648999951,-90.187099584 -0.546254648999934,-90.291945584 -0.498336648999953,-90.331118584 -0.501663648999966,-90.454454584 -0.513890648999961,-90.488063584 -0.528336648999925,-90.505427584 -0.545136648999971,-90.535281584 -0.583890648999954,-90.5386185839999 -0.594163648999938,-90.5507095839999 -0.632918648999976,-90.5395905839999 -0.691945648999933,-90.4305545839999 -0.770281648999969),(-89.4683365829999 -0.774445648999972,-89.4752905829999 -0.804863648999969,-89.540281583 -0.851945648999958,-89.556672583 -0.862781648999942,-89.577790583 -0.87583664899995,-89.592227583 -0.881945648999931,-89.617509583 -0.897918648999962,-89.627227583 -0.915554648999944,-89.627927583 -0.929309648999947,-89.545563583 -0.957218648999969,-89.5333365829999 -0.958609648999925,-89.441118583 -0.93569064899998,-89.415836583 -0.920000648999974,-89.305845583 -0.801945648999947,-89.275009583 -0.766945648999979,-89.260554583 -0.74694564899994,-89.246263583 -0.705972648999932,-89.257236583 -0.689445648999936,-89.315563583 -0.685281648999933,-89.328336583 -0.686109648999945,-89.350281583 -0.688890648999973,-89.3619545829999 -0.690836648999948,-89.4195905829999 -0.723054648999948,-89.447227583 -0.743190648999928,-89.463345583 -0.765554648999967,-89.4683365829999 -0.774445648999972),(-91.4388995849999 -0.270836647999943,-91.469036585 -0.249445647999949,-91.482790585 -0.250281647999941,-91.632236585 -0.291390647999947,-91.663890585 -0.316109647999951,-91.652236585 -0.385281647999932,-91.639172585 -0.413336647999927,-91.612499585 -0.448336647999952,-91.504181585 -0.496109648999948,-91.4988995849999 -0.496109648999948,-91.421109585 -0.466663647999951,-91.405145585 -0.458890647999965,-91.396672585 -0.440000647999966,-91.395281585 -0.329718647999925,-91.402299585 -0.307636647999971,-91.4388995849999 -0.270836647999943),(-90.4466725839999 -1.35528164899995,-90.440563584 -1.35610964899996,-90.432090584 -1.35430964899996,-90.411536584 -1.34208164899997,-90.396663584 -1.32583664899994,-90.371399584 -1.29305464899994,-90.365563584 -1.27833664899993,-90.369172584 -1.26381864899997,-90.435836584 -1.21833664899998,-90.479036584 -1.21847264899998,-90.4891815839999 -1.22528164899995,-90.523054584 -1.30666364899997,-90.516681584 -1.31444564899994,-90.4951455839999 -1.33444564899997,-90.4661275839999 -1.35208164899996,-90.4466725839999 -1.35528164899995)))', 'Ecuadorean Exclusive Economic Zone (Galapagos)', 'Galapagos Islands', 'Ecuador', '', '137', '109', 'ECU', '8403', '2012-10 (name)', '839698723200', '8403', 'Y'),('SRID=4326;MULTIPOLYGON(((-62.3689715579999 17.663898368,-62.3519755579999 17.6250513680001,-62.348539558 17.617277368,-62.338183558 17.595773368,-62.327629558 17.5740633680001,-62.314161558 17.5536663680001,-62.312027558 17.549196368,-62.238449558 17.4299213680001,-62.233430558 17.4218143680001,-62.2227605579999 17.4052053680001,-62.201135558 17.371688368,-62.201163558 17.3707363680001,-62.204442558 17.337844368,-62.211452558 17.2651113680001,-62.212960558 17.250016368,-62.213569558 17.2434553680001,-62.223787558 17.2354613680001,-62.2557715579999 17.210596368,-62.276945558 17.193356368,-62.333697558 17.1436513680001,-62.3519965579999 17.127542368,-62.369208558 17.112543368,-62.389059558 17.093797368,-62.407128558 17.0762383680001,-62.418517558 17.0641543680001,-62.457352558 17.022133368,-62.479116558 16.997224368,-62.499852558 16.973052368,-62.523537558 16.9450253680001,-62.5255135579999 16.9426923680001,-62.5280155579999 16.9390223680001,-62.532460558 16.932968368,-62.539231558 16.9237743680001,-62.597907558 16.840099368,-62.7531565579999 16.613675367,-62.885578559 16.494843367,-62.8880845589999 16.492577367,-63.0454785589999 16.3489823670001,-63.279581557 16.50734737,-63.279581971 16.507347646,-63.2804455209999 16.507921848,-63.294035935 16.51695833,-63.380138481 16.573943448,-63.380138516 16.5739434710001,-63.442405559 16.6151533670001,-63.477305905 16.6309495310001,-63.482422646 16.6332653800001,-63.510537803 16.6458270480001,-63.629026368 16.680056021,-63.629026145 16.680056248,-63.2119090479999 17.103511683,-63.112053921 17.211559064,-62.994871874 17.33571707,-62.963500752 17.3676522970001,-62.960989759 17.3699785270001,-62.946482037 17.383661568,-62.939288668 17.391235035,-62.9302750859999 17.4019590410001,-62.924941997 17.4074284390001,-62.922634574 17.4097134470001,-62.920498698 17.411927855,-62.9139639009999 17.4190156130001,-62.903984252 17.4302547730001,-62.902282627 17.4321157700001,-62.900701079 17.433939077,-62.898416641 17.4364170220001,-62.894936244 17.440964003,-62.8864888379999 17.452629625,-62.8843499549999 17.455863059,-62.874074895 17.469341135,-62.873358277 17.4702968230001,-62.870277667 17.474690121,-62.868379419 17.4774858380001,-62.855389652 17.4947999830001,-62.8259948099999 17.544941184,-62.820495829 17.5541530100001,-62.7917815499999 17.6034160940001,-62.769858396 17.6428729680001,-62.71197215 17.641508516,-62.67834356 17.640755744,-62.6771665319999 17.640789268,-62.663223928 17.641238663,-62.5647246029999 17.644762572,-62.507053486 17.650598518,-62.46343867 17.654909993,-62.369600777 17.6653768460001,-62.3689715579999 17.663898368),(-62.738063558 17.284718368,-62.725009558 17.2841633680001,-62.710699558 17.285972368,-62.692509558 17.2783273680001,-62.674163558 17.2611093680001,-62.662227558 17.2391633680001,-62.6538905579999 17.2088813680001,-62.623199558 17.224372368,-62.6225095579999 17.2419453680001,-62.701663558 17.3369363680001,-62.732363558 17.366663368,-62.815145559 17.4101363680001,-62.8386185589999 17.401945368,-62.8494455589999 17.393054368,-62.856390559 17.385827368,-62.862781559 17.368609368,-62.837227559 17.3261093680001,-62.793336558 17.299999368,-62.778336558 17.292218368,-62.759445558 17.2874993680001,-62.738063558 17.284718368)))', 'Saint Kitts and Nevis Exclusive Economic Zone', 'Saint Kitts and Nevis', 'Saint Kitts and Nevis', '', '119', '119', 'KNA', '8413', '', '10315338320', '8413', 'Y'),('SRID=4326;MULTIPOLYGON(((37.908917864 21.8986827050001,37.1882848240001 21.954397618,37.0467764520001 21.9677430720001,36.992889561 21.9716196570001,36.9437549620001 21.9747309370001,36.929331711 21.9826845800001,36.8899921170001 21.99861588,36.8884636330001 22.0001090700001,36.888463534 22.0001091620001,36.895827534 22.0073541620001,36.895690534 22.034164162,36.8862455340001 22.0531911620001,36.8627815340001 22.075836162,36.8005545340001 22.123882162,36.750272534 22.161664162,36.5456905340001 22.299309162,36.4915275340001 22.3065271620001,36.465554534 22.318336162,36.439436534 22.348891162,36.3980455340001 22.405554162,36.3722185340001 22.455273162,36.2752725340001 22.589164162,36.229018534 22.6354181620001,36.153054534 22.6651361630001,36.057499534 22.685836163,36.016663534 22.690273163,35.9388905330001 22.719718163,35.868609533 22.7497181630001,35.844854533 22.7637451630001,35.742218533 22.872500163,35.668890533 22.970691163,35.6627725330001 23.0122181630001,35.6624995330001 23.041109163,35.6406905330001 23.115000163,35.630718533 23.1330731630001,35.62482915 23.1423287390001,35.624790451 23.1423895570001,35.6563949580001 23.1739940640001,35.7517757420001 23.235603333,35.939693451 23.3536930080001,35.9882469180001 23.375549316,35.9987201690001 23.3789558410001,35.999727249 23.3792514800001,37.0275646970001 23.6781692600001,37.0275695350001 23.6781647330001,37.0621878680001 23.6457693670001,37.0741533500001 23.6273616120001,37.0813164800001 23.616341818,37.1311556740001 23.5123753290001,37.232964915 23.2999973070001,37.268141821 23.209298839,37.3253937490001 23.0542443050001,37.353682237 23.0214565910001,37.3887190350001 22.9808472600001,37.414735195 22.9508504560001,37.4154992470001 22.949964322,37.446077609 22.914461809,37.4503606210001 22.9094890870001,37.4503609440001 22.909488712,37.581179649 22.794770295,37.58755211 22.789182114,37.598582806 22.7795251480001,37.598582826 22.77952513,37.5985828520001 22.779525107,37.6631620920001 22.722988372,37.723871896 22.6698391850001,37.7290274490001 22.665605065,37.7347026590001 22.660944165,37.7355720530001 22.660230154,37.7735743920001 22.562141754,37.7735744140001 22.5621416970001,37.8136465630001 22.458710878,37.8557798160001 22.3499601130001,37.873275429 22.307556344,37.8857575060001 22.277303783,37.890766399 22.2494366560001,37.8944500530001 22.228942535,37.8940822440001 22.186937304,37.893894291 22.1654723560001,37.89343294 22.112784311,37.8933739880001 22.082087905,37.893349818 22.0695024390001,37.8933080840001 22.0477713280001,37.8933046430001 22.044285904,37.8933043910001 22.0440305060001,37.8931710750001 21.9895655830001,37.8930376800001 21.935068674,37.8930645560001 21.9332133080001,37.8931005530001 21.9307282890001,37.8931381670001 21.9281316440001,37.893138364 21.9281312750001,37.896542395 21.9217751750001,37.904135866 21.9076058540001,37.908917864 21.8986827050001)))', 'Disputed Sudan-Egypt', 'Egypt', 'Egypt', '', '214', '214', 'EGY', '8490', '2011-03-30', '25988007000', '8490', 'Y'),('SRID=4326;MULTIPOLYGON(((-58.9029375549999 18.265173369,-60.193273556 17.5983033680001,-60.1995815559999 17.5950013680001,-60.207468556 17.590861368,-60.2592655559999 17.5635453680001,-60.304826556 17.538473368,-60.306709556 17.537436368,-60.386080556 17.4936373680001,-60.7231505569999 17.2157843680001,-60.902624557 17.0677603680001,-61.0167815569999 16.9731763680001,-61.1454045569999 16.9281613680001,-61.3298675569999 16.868220368,-61.412892557 16.838951368,-61.4483865569999 16.825804368,-61.461501557 16.820585368,-61.5467695569999 16.7867793680001,-61.595211557 16.761797368,-61.653913557 16.732487368,-61.687364557 16.7151133680001,-61.689869557 16.7138273680001,-61.708930557 16.705516367,-61.715195557 16.703013367,-61.740268558 16.6925813670001,-61.761484558 16.6928673670001,-61.805512558 16.6935203670001,-61.822849558 16.693307367,-61.827399558 16.6976033670001,-61.8859055579999 16.752989368,-61.9232325579999 16.795188368,-61.941618558 16.817358368,-61.9570015579999 16.831813368,-61.9882065579999 16.860405368,-61.990337558 16.8630303680001,-62.0028395579999 16.8787233680001,-62.020120558 16.8999793680001,-62.024328558 16.905212368,-62.054185558 16.942747368,-62.078791558 16.9746603680001,-62.084195558 16.9812093680001,-62.117972558 17.013258368,-62.119369558 17.014631368,-62.139103558 17.0348873680001,-62.2039895579999 16.9619823680001,-62.225369558 16.938268368,-62.270208558 16.886273368,-62.282340558 16.871618368,-62.2883675579999 16.8646273680001,-62.306080558 16.8445273680001,-62.3128875579999 16.8366273680001,-62.313511558 16.835940368,-62.3289205579999 16.8233143680001,-62.3335815579999 16.819678368,-62.3403095579999 16.8145593680001,-62.394938558 16.783882368,-62.4066585579999 16.777151368,-62.522579558 16.722262368,-62.7531565579999 16.613675367,-62.597907558 16.840099368,-62.539231558 16.9237743680001,-62.532460558 16.932968368,-62.5280155579999 16.9390223680001,-62.5255135579999 16.9426923680001,-62.523537558 16.9450253680001,-62.499852558 16.973052368,-62.479116558 16.997224368,-62.457352558 17.022133368,-62.418517558 17.0641543680001,-62.407128558 17.0762383680001,-62.389059558 17.093797368,-62.369208558 17.112543368,-62.3519965579999 17.127542368,-62.333697558 17.1436513680001,-62.276945558 17.193356368,-62.2557715579999 17.210596368,-62.223787558 17.2354613680001,-62.213569558 17.2434553680001,-62.212960558 17.250016368,-62.211452558 17.2651113680001,-62.204442558 17.337844368,-62.201163558 17.3707363680001,-62.201135558 17.371688368,-62.2227605579999 17.4052053680001,-62.233430558 17.4218143680001,-62.238449558 17.4299213680001,-62.312027558 17.549196368,-62.314161558 17.5536663680001,-62.327629558 17.5740633680001,-62.338183558 17.595773368,-62.348539558 17.617277368,-62.3519755579999 17.6250513680001,-62.3689715579999 17.663898368,-62.369600777 17.6653768460001,-62.3651084959999 17.6861438720001,-62.362958325 17.696083733,-62.3485037469999 17.7641048260001,-62.3363236229999 17.821422682,-62.328891638 17.8517268590001,-62.314034561 17.9098096650001,-62.313219784 17.9129079570001,-62.274254028 18.0606758820001,-62.2593073579999 18.1233257980001,-62.255590559 18.1389049970001,-62.251408087 18.155419206,-62.237315985 18.211060925,-62.221508086 18.2797235580001,-62.213512485 18.31445297,-62.010081558 18.6588923690001,-61.848919558 18.93084337,-61.2694195569999 19.9020143700001,-60.683204557 20.8705583710001,-60.630502556 20.857740371,-60.628924556 20.857040371,-60.628487556 20.856928371,-60.068268556 20.6073273710001,-60.036562556 20.586101371,-60.017714556 20.577658371,-59.514574555 20.2393443710001,-59.083915555 19.8232613700001,-59.083404555 19.82255337,-59.081941555 19.82113437,-59.080918555 19.81971437,-59.078937555 19.8177933700001,-59.077477555 19.8157663700001,-59.0729845549999 19.81141037,-59.064849555 19.8001163700001,-59.053115555 19.78873637,-59.051637555 19.78668437,-59.040166555 19.7755563700001,-59.039344555 19.77441437,-59.0391685549999 19.77424337,-59.0385875549999 19.7734363700001,-59.038168555 19.7730303700001,-59.035282555 19.7690213700001,-59.034203555 19.76797437,-58.689218555 19.28722437,-58.688751555 19.28623537,-58.688232555 19.2855103700001,-58.685773555 19.2803003700001,-58.685318555 19.27966537,-58.684992555 19.2789743700001,-58.684331555 19.2780493700001,-58.4347525539999 18.7477993690001,-58.372168554 18.5318203690001,-58.9029375549999 18.265173369),(-61.874590558 17.6937453680001,-61.856672558 17.5924993680001,-61.8530545579999 17.583054368,-61.841109558 17.584718368,-61.815563558 17.5838813680001,-61.7519455579999 17.549445368,-61.7388905569999 17.5405543680001,-61.731945557 17.5441633680001,-61.729172557 17.608609368,-61.731672557 17.624999368,-61.739936557 17.647918368,-61.7854185579999 17.698890368,-61.843545558 17.7242993680001,-61.873063558 17.703890368,-61.874590558 17.6937453680001),(-61.891109558 17.0941633680001,-61.887218558 17.033054368,-61.881527558 17.022081368,-61.829172558 16.9969453680001,-61.738063557 16.9897183680001,-61.6845815569999 17.0259723680001,-61.666945557 17.0431903680001,-61.6705545569999 17.0884723680001,-61.7441725579999 17.137218368,-61.784172558 17.1583363680001,-61.794445558 17.1633273680001,-61.829581558 17.1655543680001,-61.8856995579999 17.107499368,-61.891109558 17.0941633680001)))', 'Antigua and Barbuda Exclusive Economic Zone', 'Antigua and Barbuda', 'Antigua and Barbuda', '', '120', '120', 'ATG', '8414', '', '108179112700', '8414', 'Y'),('SRID=4326;MULTIPOLYGON(((-65.842561561 21.812909372,-65.637437561 21.874533372,-65.033792561 22.027430372,-65.018786561 22.028687372,-65.010342561 22.0308093720001,-64.3865685599999 22.0819353730001,-64.3850415599999 22.0818093730001,-64.3834825599999 22.0819353730001,-64.35877056 22.079905373,-64.33345356 22.081931373,-64.33294656 22.0818903730001,-64.3324245599999 22.081931373,-63.708782559 22.029519372,-63.706522559 22.0289463720001,-63.703675559 22.0287023720001,-63.700813559 22.0279763720001,-63.698569559 22.027784372,-63.2995365589999 21.9258583720001,-63.4210915589999 21.248315372,-63.5691645589999 20.4152803710001,-63.605972559 20.2052823710001,-63.727229559 19.50082537,-63.7318075589999 19.4734603700001,-63.748117559 19.37118537,-63.792008559 19.0853123700001,-63.801163559 19.0201973700001,-63.801474559 19.01781737,-63.8104055589999 18.9525193700001,-63.822960559 18.8563163700001,-63.8406925589999 18.716743369,-63.8418405589999 18.708278369,-63.843264559 18.6981143690001,-63.854095559 18.618957369,-63.869540559 18.500064369,-63.840430559 18.243084369,-63.838227559 18.2231013690001,-63.88988856 18.0027333690001,-63.8980555479999 17.9641666640001,-63.89993956 17.964731369,-63.9166255599999 17.969729369,-63.9333125599999 17.9747263690001,-63.94999956 17.9797223690001,-63.95034956 17.979824369,-63.96706656 17.984731369,-63.9837835599999 17.989637369,-64.00050256 17.994541369,-64.0172225599999 17.9994443690001,-64.02414356 18.000558369,-64.04138856 18.0033333690001,-64.0531095599999 18.0049573690001,-64.07041756 18.007353369,-64.08772556 18.009748369,-64.10503456 18.0121413690001,-64.1223435599999 18.014533369,-64.1396535599999 18.016923369,-64.15696356 18.019312369,-64.17427356 18.021699369,-64.19158456 18.024084369,-64.20889656 18.026468369,-64.22620856 18.0288513690001,-64.24352056 18.0312313690001,-64.26083356 18.033611369,-64.26606156 18.034195369,-64.2834345599999 18.036134369,-64.30080756 18.0380733690001,-64.31818156 18.0400093690001,-64.3355555599999 18.0419443690001,-64.35222256 18.041666369,-64.36355656 18.042371369,-64.3810115599999 18.0434563690001,-64.39846656 18.0445383690001,-64.41592256 18.0456203690001,-64.4333775599999 18.0466993690001,-64.45083356 18.0477773690001,-64.45809156 18.048017369,-64.47557356 18.0485923690001,-64.49305556 18.049166369,-64.49423856 18.0491813690001,-64.5117295599999 18.049393369,-64.5292205599999 18.0496033690001,-64.5467115599999 18.0498123690001,-64.56420256 18.050019369,-64.58169356 18.050225369,-64.59918456 18.050429369,-64.61667556 18.050632369,-64.63416656 18.050833369,-64.63511156 18.0596203690001,-64.63690256 18.0762643690001,-64.63869256 18.092909369,-64.64048356 18.109554369,-64.64227556 18.1261993690001,-64.6440675599999 18.142844369,-64.64585956 18.159488369,-64.64765156 18.1761333690001,-64.6494445599999 18.1927773690001,-64.64984756 18.1956783690001,-64.65215556 18.212265369,-64.65446256 18.228852369,-64.65677156 18.2454383690001,-64.65907956 18.2620243690001,-64.66138856 18.278611369,-64.6602775599999 18.290000369,-64.65881956 18.2918543690001,-64.6482995599999 18.3052333690001,-64.63777756 18.3186113690001,-64.63694456 18.3211113690001,-64.6384805599999 18.3278203690001,-64.6422225599999 18.3441663690001,-64.63777756 18.3561113690001,-64.63944456 18.364166369,-64.6533465599999 18.3650283690001,-64.6708335599999 18.3661113690001,-64.68305556 18.373055369,-64.6834225599999 18.373015369,-64.70083356 18.3711113690001,-64.70777756 18.374166369,-64.7161115599999 18.3736113690001,-64.72666656 18.3750003690001,-64.72833356 18.3777773690001,-64.7399995599999 18.3769443690001,-64.7433335599999 18.3783333690001,-64.7449995599999 18.3777773690001,-64.75583356 18.377222369,-64.76124456 18.379786369,-64.7769445599999 18.387222369,-64.7776455599999 18.389173369,-64.78333356 18.405000369,-64.7991665599999 18.4080553690001,-64.80013156 18.4077843690001,-64.81694456 18.4030553690001,-64.82833356 18.3966663690001,-64.83833356 18.393611369,-64.83894356 18.3936673690001,-64.85638856 18.395277369,-64.86388856 18.3975003690001,-64.87194456 18.408611369,-64.8774995599999 18.4227773690001,-64.87917656 18.4280023690001,-64.88430956 18.444001369,-64.88944456 18.4600003690001,-64.89293656 18.473219369,-64.8972225599999 18.4894443690001,-64.89728056 18.489566369,-64.90459756 18.504772369,-64.91191556 18.5199783690001,-64.91923456 18.535183369,-64.9265555599999 18.5503893690001,-64.93387756 18.5655943690001,-64.94120056 18.580798369,-64.94852556 18.5960023690001,-64.95585156 18.6112063690001,-64.963178561 18.626410369,-64.970506561 18.641614369,-64.9778365609999 18.6568173690001,-64.985167561 18.6720193690001,-64.992499561 18.687222369,-64.9926985609999 18.688194369,-64.9960505609999 18.7046173690001,-64.999403561 18.721041369,-65.002756561 18.7374653690001,-65.006111561 18.753888369,-65.0082785609999 18.764132369,-65.0117485609999 18.7805343690001,-65.015220561 18.796935369,-65.018691561 18.8133373690001,-65.022164561 18.829738369,-65.0256375609999 18.8461393690001,-65.029111561 18.86254137,-65.032586561 18.8789423700001,-65.0360615609999 18.89534337,-65.039537561 18.9117443700001,-65.043014561 18.92814437,-65.046491561 18.9445453700001,-65.049969561 18.96094637,-65.053448561 18.9773463700001,-65.056927561 18.9937473700001,-65.060407561 19.01014737,-65.0638885609999 19.0265473700001,-65.067370561 19.04294837,-65.070852561 19.0593483700001,-65.0743355609999 19.07574837,-65.077818561 19.0921483700001,-65.081302561 19.1085473700001,-65.084787561 19.12494737,-65.0882735609999 19.1413473700001,-65.0917595609999 19.15774637,-65.095246561 19.1741463700001,-65.098733561 19.1905453700001,-65.102222561 19.20694437,-65.107643561 19.2161433700001,-65.116248561 19.23074137,-65.1248555609999 19.2453383700001,-65.133463561 19.2599353700001,-65.142073561 19.27453237,-65.1506845609999 19.2891283700001,-65.159297561 19.3037243700001,-65.167911561 19.31831937,-65.1765275609999 19.33291437,-65.185144561 19.3475093700001,-65.193763561 19.3621033700001,-65.202383561 19.37669637,-65.211005561 19.39129037,-65.219629561 19.40588237,-65.228254561 19.4204753700001,-65.236880561 19.4350673700001,-65.245508561 19.4496583700001,-65.2541385609999 19.4642493700001,-65.262769561 19.4788403700001,-65.2714025609999 19.4934303700001,-65.280036561 19.5080203700001,-65.2886725609999 19.5226093700001,-65.297309561 19.5371983700001,-65.305948561 19.5517863700001,-65.3145895609999 19.5663743700001,-65.3232315609999 19.5809623700001,-65.331874561 19.5955493700001,-65.340519561 19.6101363700001,-65.3491665609999 19.62472237,-65.353352561 19.6378313700001,-65.3584675609999 19.6538443700001,-65.363582561 19.66985737,-65.368698561 19.68586937,-65.373816561 19.70188137,-65.3789345609999 19.7178943700001,-65.384053561 19.7339063700001,-65.3891745609999 19.74991737,-65.394295561 19.76592937,-65.3994185609999 19.78194137,-65.404541561 19.7979523700001,-65.4096665609999 19.8139633700001,-65.414791561 19.8299743700001,-65.419918561 19.8459853700001,-65.425046561 19.86199537,-65.4301745609999 19.87800637,-65.435304561 19.89401637,-65.440435561 19.91002637,-65.445566561 19.9260363700001,-65.450699561 19.9420463710001,-65.455833561 19.9580553710001,-65.4569695609999 19.9632483710001,-65.460556561 19.979630371,-65.464143561 19.9960123710001,-65.4677315609999 20.012394371,-65.471320561 20.0287753710001,-65.4749105609999 20.0451573710001,-65.478500561 20.061538371,-65.4820915609999 20.0779203710001,-65.485683561 20.094301371,-65.4892755609999 20.1106823710001,-65.492869561 20.1270633710001,-65.496462561 20.143445371,-65.5000575609999 20.1598253710001,-65.503653561 20.176206371,-65.507249561 20.1925873710001,-65.5108465609999 20.208967371,-65.5144445609999 20.2253483710001,-65.518042561 20.241728371,-65.521642561 20.258109371,-65.525242561 20.2744893710001,-65.528842561 20.290869371,-65.532444561 20.3072493710001,-65.536046561 20.323629371,-65.539649561 20.3400083710001,-65.543253561 20.356388371,-65.546858561 20.3727683710001,-65.550463561 20.389147371,-65.5540695609999 20.4055263710001,-65.5576765609999 20.421906371,-65.561284561 20.4382853710001,-65.564892561 20.454664371,-65.5685015609999 20.4710433710001,-65.572111561 20.487422371,-65.575722561 20.5038003710001,-65.5793335609999 20.520179371,-65.582946561 20.5365573710001,-65.5865595609999 20.552936371,-65.590172561 20.5693143710001,-65.5937875609999 20.5856923710001,-65.597402561 20.602070371,-65.6010185609999 20.6184483710001,-65.604635561 20.634826371,-65.608253561 20.6512043710001,-65.611871561 20.667581371,-65.6154905609999 20.6839593710001,-65.619110561 20.700336371,-65.622731561 20.716714371,-65.626353561 20.7330913710001,-65.629975561 20.749468371,-65.633598561 20.7658453710001,-65.637222561 20.782222371,-65.6382575609999 20.7873213710001,-65.641594561 20.803752371,-65.644931561 20.820183371,-65.648269561 20.8366133710001,-65.6516085609999 20.8530443710001,-65.654947561 20.8694753710001,-65.658287561 20.885905371,-65.661628561 20.902335371,-65.664970561 20.9187653710001,-65.6683125609999 20.9351953710001,-65.671656561 20.951625371,-65.6749995609999 20.968055371,-65.677823561 20.982134371,-65.6811205609999 20.998572371,-65.684419561 21.0150103720001,-65.6877185609999 21.0314483720001,-65.691017561 21.0478863720001,-65.6943185609999 21.064324372,-65.697619561 21.080761372,-65.700921561 21.097199372,-65.7042235609999 21.113637372,-65.7075275609999 21.130074372,-65.710831561 21.1465113720001,-65.714135561 21.1629483720001,-65.717441561 21.1793863720001,-65.7207475609999 21.1958233720001,-65.7240545609999 21.2122603720001,-65.727362561 21.2286963720001,-65.730670561 21.2451333720001,-65.733979561 21.2615703720001,-65.737289561 21.2780063720001,-65.740600561 21.294443372,-65.7439115609999 21.310879372,-65.7472235609999 21.327315372,-65.7505365609999 21.343752372,-65.753850561 21.360188372,-65.757164561 21.376624372,-65.760479561 21.393060372,-65.7637955609999 21.409495372,-65.767111561 21.425931372,-65.770428561 21.442367372,-65.7737475609999 21.458802372,-65.777065561 21.475237372,-65.7803855609999 21.491673372,-65.783705561 21.508108372,-65.7870265609999 21.524543372,-65.790348561 21.540978372,-65.7936705609999 21.557413372,-65.796993561 21.573848372,-65.800318561 21.590282372,-65.8036425609999 21.606717372,-65.806968561 21.6231513720001,-65.810294561 21.6395863720001,-65.8136215609999 21.6560203720001,-65.8169495609999 21.6724543720001,-65.820277561 21.6888883720001,-65.821145561 21.6937093720001,-65.824114561 21.710203372,-65.8270845609999 21.726697372,-65.8300555609999 21.7431913720001,-65.8330265609999 21.759685372,-65.8359985609999 21.7761793720001,-65.8389715609999 21.792673372,-65.841930561 21.8090923720001,-65.8419435609999 21.8091663720001,-65.842561561 21.812909372),(-64.41389056 18.504854369,-64.43833656 18.453054369,-64.43819956 18.4377723690001,-64.43639956 18.431390369,-64.4224995599999 18.4386093690001,-64.33056356 18.494163369,-64.32452756 18.503681369,-64.41389056 18.504854369),(-64.6683365599999 18.428336369,-64.6984815599999 18.3968723690001,-64.6672365599999 18.383890369,-64.66084556 18.383890369,-64.5769545599999 18.4138903690001,-64.56513656 18.420972369,-64.55694556 18.4437453690001,-64.56028156 18.453609369,-64.57139956 18.4576363690001,-64.61168156 18.4524993690001,-64.64029056 18.4449993690001,-64.6525095599999 18.4411093690001,-64.6683365599999 18.428336369)))', 'British Virgin Islands Exclusive Economic Zone', 'British Virgin Islands', 'United Kingdom', '', '180', '117', 'VGB', '8411', '', '80396558960', '8411', 'Y'),('SRID=4326;MULTIPOLYGON(((-60.683204557 20.8705583710001,-61.2694195569999 19.9020143700001,-61.848919558 18.93084337,-62.010081558 18.6588923690001,-62.213512485 18.31445297,-62.227084756 18.3100100940001,-62.233055556 18.3080555550001,-62.422745666 18.2459605870001,-62.4961111109999 18.221944443,-62.739444444 18.155833332,-62.8763888889999 18.1902777770001,-62.9360665469999 18.1824737760001,-62.9486111109999 18.1808333320001,-63.090255826 18.135881123,-63.209444444 18.098055555,-63.473888889 18.034166666,-63.615833333 17.9597222210001,-63.657983727 17.9505808370001,-63.753506079 17.947573936,-63.891192351 17.9487769020001,-63.891192415 17.948776901,-63.8980555479999 17.9641666640001,-63.88988856 18.0027333690001,-63.838227559 18.2231013690001,-63.840430559 18.243084369,-63.869540559 18.500064369,-63.854095559 18.618957369,-63.843264559 18.6981143690001,-63.8418405589999 18.708278369,-63.8406925589999 18.716743369,-63.822960559 18.8563163700001,-63.8104055589999 18.9525193700001,-63.801474559 19.01781737,-63.801163559 19.0201973700001,-63.792008559 19.0853123700001,-63.748117559 19.37118537,-63.7318075589999 19.4734603700001,-63.727229559 19.50082537,-63.605972559 20.2052823710001,-63.5691645589999 20.4152803710001,-63.4210915589999 21.248315372,-63.2995365589999 21.9258583720001,-62.802976558 21.888605372,-62.199812558 21.7360753720001,-61.636047557 21.4867993720001,-61.236910557 21.220685372,-61.137769557 21.176266372,-60.683204557 20.8705583710001),(-63.156945559 18.177636369,-63.1677815589999 18.1644453690001,-63.1537545589999 18.165272369,-63.140009559 18.1683273690001,-63.074172559 18.1927723690001,-63.030836559 18.210281369,-63.0211185589999 18.214445369,-62.993054559 18.2272183690001,-62.9866725589999 18.2355543690001,-62.972709559 18.272981369,-63.022509559 18.2688903690001,-63.052018559 18.259581369,-63.141399559 18.194163369,-63.156945559 18.177636369)))', 'Anguilla Exclusive Economic Zone', 'Anguilla', 'United Kingdom', '', '180', '118', 'AIA', '8412', '', '92428801010', '8412', 'Y'),('SRID=4326;MULTIPOLYGON(((-62.813888559 14.0805553650001,-62.7772225579999 14.0863893650001,-62.227777558 14.1544443650001,-61.7741665579999 14.170833365,-61.716944557 14.1750003650001,-61.399444557 14.187777365,-61.278055557 14.207500365,-61.188333557 14.2302773650001,-61.076388557 14.252777365,-61.003888557 14.272500365,-60.891944557 14.2433333650001,-60.736666557 14.219166365,-60.6797225569999 14.204444365,-60.176944556 14.1355553650001,-60.154166556 14.1333333650001,-60.061111556 14.122222365,-59.9997225559999 14.1141663650001,-60.005500556 14.1004993650001,-60.008776556 14.0947213650001,-60.077746556 13.9705563650001,-60.1022725559999 13.9263303650001,-60.1310725559999 13.8724743650001,-60.1364045559999 13.8608343650001,-60.1365875559999 13.8604353650001,-60.136793556 13.8599853650001,-60.137203556 13.8590863650001,-60.1996035559999 13.7220993650001,-60.212092556 13.691920365,-60.2216935559999 13.669719365,-60.249505556 13.605874365,-60.270353556 13.5543943650001,-60.2960585559999 13.4900673650001,-60.3302135559999 13.401355364,-60.3393035559999 13.374765364,-60.362062556 13.3055213640001,-60.3628375559999 13.303169364,-60.377770556 13.2582413640001,-60.3853225559999 13.2366253640001,-60.388103556 13.2376473640001,-60.397209556 13.2410233640001,-60.4039915559999 13.2435423640001,-60.426310556 13.251904364,-60.448154556 13.2603123640001,-60.473036556 13.2699773640001,-60.503340556 13.2821523640001,-60.5155935559999 13.287181364,-60.5257455559999 13.291355364,-60.5358355559999 13.2955783640001,-60.543866556 13.2989463640001,-60.6830745569999 13.358109364,-60.691870557 13.3618303640001,-60.737750557 13.382242364,-60.765133557 13.394669364,-60.8478785569999 13.432901364,-60.877842557 13.449265364,-60.884835557 13.4530333640001,-60.895694557 13.4587783640001,-60.948501557 13.486570365,-60.971245557 13.4984713650001,-60.9888395569999 13.507757365,-61.011664557 13.519039365,-61.034311557 13.5310643650001,-61.0657985569999 13.5476683650001,-61.104796557 13.568505365,-61.113072557 13.5709183650001,-61.120452557 13.5733083650001,-61.153283557 13.5846523650001,-61.172500557 13.590991365,-61.175991557 13.5922213650001,-61.217622557 13.605443365,-61.244054557 13.6141423650001,-61.2498755569999 13.6157013650001,-61.2542425569999 13.6169643650001,-61.323334557 13.636515365,-61.341184557 13.6415013650001,-61.344734557 13.642595365,-61.3662485569999 13.6485733650001,-61.635129557 13.7222393650001,-61.674841557 13.733261365,-61.928937558 13.8039713650001,-61.972390558 13.8160103650001,-62.0242505579999 13.8286673650001,-62.123801558 13.858442365,-62.127269558 13.859477365,-62.357597558 13.9279273650001,-62.493224558 13.966909365,-62.813888559 14.0805553650001),(-61.075009557 13.896945365,-61.079581557 13.8766633650001,-61.074727557 13.8049993650001,-61.0701455569999 13.7927723650001,-61.050563557 13.7705543650001,-61.039172557 13.7613903650001,-61.026118557 13.7524993650001,-61.014454557 13.7499993650001,-60.998199557 13.7502723650001,-60.9863905569999 13.744445365,-60.968054557 13.728054365,-60.956118557 13.714999365,-60.954727557 13.709445365,-60.951390557 13.709999365,-60.938336557 13.7177813650001,-60.900281557 13.7783273650001,-60.890009557 13.823609365,-60.885699557 13.8511093650001,-60.878063557 13.9566633650001,-60.878618557 13.975827365,-60.888063557 14.0130543650001,-60.9161185569999 14.1018723650001,-60.933336557 14.1093093650001,-60.945836557 14.1047183650001,-61.0116725569999 14.009718365,-61.0349995569999 13.9697183650001,-61.075009557 13.896945365)))', 'Saint Lucia Exclusive Economic Zone', 'Saint Lucia', 'Saint Lucia', '', '122', '122', 'LCA', '8416', '', '15510136750', '8416', 'Y'),('SRID=4326;MULTIPOLYGON(((-62.813888559 14.4886113650001,-62.813888559 15.065000366,-61.748055558 15.6033333660001,-61.442499557 15.787222367,-61.3236115569999 15.7341663670001,-61.138333557 15.701666367,-61.0611115569999 15.6838893670001,-60.899444557 15.6650003670001,-57.948333554 16.500833367,-57.9321675539999 16.453933367,-57.9183595539999 16.4099553670001,-57.9057305539999 16.3656253670001,-57.894288554 16.320973367,-57.884042554 16.276032367,-57.8749995539999 16.2308333670001,-60.899444557 15.1644443660001,-60.999999557 15.1250003660001,-61.155555557 15.0805553660001,-61.283055557 15.030833366,-62.813888559 14.4886113650001),(-61.482509557 15.587772366,-61.4913905569999 15.540554366,-61.475563557 15.4888903660001,-61.4624995569999 15.4711093660001,-61.450563557 15.4555543660001,-61.422781557 15.4174993660001,-61.393545557 15.355827366,-61.391754557 15.297754366,-61.3743095569999 15.271390366,-61.3777815569999 15.2480543660001,-61.377499557 15.236390366,-61.374099557 15.204163366,-61.3636185569999 15.1980543660001,-61.280281557 15.2374993660001,-61.270009557 15.248336366,-61.265009557 15.2580543660001,-61.2559095569999 15.2836093660001,-61.250699557 15.326109366,-61.253336557 15.461390366,-61.267227557 15.516663366,-61.304172557 15.573609366,-61.3177815569999 15.5819453660001,-61.4304185569999 15.630972366,-61.452227557 15.631945366,-61.468054557 15.6280543660001,-61.4747275569999 15.618609366,-61.482509557 15.587772366)))', 'Dominican Exclusive Economic Zone', 'Dominica', 'Dominica', '', '123', '123', 'DMA', '8417', '', '28647233180', '8417', 'Y'),('SRID=4326;MULTIPOLYGON(((-56.0434935519999 13.7060233650002,-55.9998815519999 13.1271883640002,-55.999907552 13.1269403640003,-55.9998885519999 13.126688364,-56.0000335519999 13.1252983640001,-55.9999275519999 13.1238903640001,-55.9999635519999 13.1235423640001,-55.9999375519999 13.1231903640002,-56.0599825519999 12.5457643640003,-56.0607065519999 12.5432643640002,-56.0610665519999 12.5397803640002,-56.2222645519998 11.9811793630001,-56.4791975529999 11.4581513630002,-56.480220553 11.4560643630002,-56.4808545529999 11.4551983629999,-56.4822325529999 11.4523863630001,-56.4841165529999 11.4498123630001,-56.4842655529999 11.4495083630002,-56.4852885529999 11.4474213630002,-56.4853435529999 11.4473453630001,-56.4873035529999 11.4433443630002,-56.4873065529998 11.4433403630002,-56.4893505529998 11.4391683630002,-56.4995165529999 11.4252763630003,-56.5004395529999 11.4233933630002,-56.5013115529999 11.4222013630002,-56.501456553 11.421905363,-56.8458945529999 10.9500203620001,-56.8462536383062 10.9496745905119,-57.1175 10.9765000000001,-57.956566932466 11.0594810726713,-57.9786666666666 11.0616666666669,-58.1261666666666 11.1436666666668,-58.8571666666666 11.5481666666668,-59.1865 11.7275000000001,-59.249 11.7633333333334,-59.8793333333333 12.1219999999999,-59.9351666666666 12.1533333333335,-59.9921666666666 12.1825000000001,-60.1405794488465 12.2575783815847,-60.2882645559998 12.3314273630003,-60.3116955559999 12.4114363630003,-60.3157295559999 12.4470003640002,-60.3273985559998 12.5508083640001,-60.3470685559999 12.7038423640002,-60.3721765559999 12.959264364,-60.3721775559999 12.9592813640002,-60.387698556 13.0794383639999,-60.3844725559998 13.1281993640002,-60.3832655559999 13.1705553640002,-60.3832765559999 13.1737003640001,-60.3853225559999 13.2366253640002,-60.3777705559999 13.258241364,-60.3628375559999 13.3031693640001,-60.3620625559999 13.3055213640002,-60.3393035559999 13.3747653640002,-60.3302135559999 13.4013553640003,-60.2960585559999 13.490067365,-60.2703535559999 13.5543943650003,-60.249505556 13.6058743650002,-60.2216935559998 13.6697193650002,-60.2120925559998 13.691920365,-60.1996035559999 13.7220993650002,-60.1372035559999 13.859086365,-60.1367935559999 13.8599853650001,-60.1365875559999 13.8604353650001,-60.1364045559999 13.8608343650002,-60.1310725559999 13.8724743650002,-60.1022725559999 13.9263303650002,-60.077746556 13.9705563650002,-60.008776556 14.0947213649999,-60.0055005559998 14.1004993650002,-59.9997225559998 14.1141663650002,-59.995236556 14.1187073650002,-59.9854075559999 14.1285633650002,-59.9626105559999 14.1510063650003,-59.8665715559998 14.2469503650002,-59.7286725559999 14.3855363650003,-59.6611525559998 14.4533623650002,-59.6605575559999 14.453959365,-59.595488556 14.5191963650001,-59.3588985549999 14.7518863660002,-59.2251075549999 14.8752813660001,-58.9119645549999 15.1460463660003,-58.8621105549999 15.1865303660003,-58.0380435539999 15.8522113670003,-57.7691865539999 15.9399903670001,-57.5594105539999 15.9968003670002,-57.3751405529999 15.8708123670001,-57.3744815529999 15.870167367,-57.3701155529998 15.8671673670002,-57.3609835529999 15.8582113670002,-57.3560765529999 15.8548393670003,-57.3537535529999 15.8525613669999,-57.3520685529999 15.8514033670002,-56.9303505529999 15.4367383660002,-56.9295165529999 15.4355613660002,-56.7807255529999 15.2887563660002,-56.7763935529999 15.2826343660001,-56.775755553 15.2820043660002,-56.4371995529999 14.8024653660002,-56.1911395519999 14.2731973650003,-56.044439552 13.7105353650002,-56.0443455519999 13.7092983650001,-56.0434935519999 13.7060233650002),(-59.545418555 13.0690273640002,-59.533054555 13.0505543640002,-59.5102815549999 13.0549993640003,-59.4999995549999 13.0594453640002,-59.4644455549999 13.0855543640001,-59.4534725549999 13.0958363640001,-59.4447275549999 13.1080543640001,-59.4394455549998 13.1166633640001,-59.4302815549998 13.1352723640003,-59.4270815549999 13.1504183640002,-59.4291725549999 13.1649993640002,-59.4398635549998 13.1719453640002,-59.4668095549999 13.1806903640001,-59.4794455549999 13.1858363640003,-59.5170905549999 13.2115273640002,-59.5483365549999 13.2433363640002,-59.5569455549999 13.2552723640002,-59.5656995549999 13.276945364,-59.571536555 13.2947183640002,-59.5934815559999 13.3308363640001,-59.6161185559999 13.3370813640003,-59.6311095559999 13.3349993640001,-59.6429185559999 13.3297183640001,-59.6519545559999 13.3179183640001,-59.6583365559999 13.2991633640002,-59.6594455559998 13.2877723640001,-59.6427815559999 13.1463903640002,-59.6270905559999 13.1015273640003,-59.6084725559999 13.0835363640003,-59.5711095549999 13.0758363640002,-59.545418555 13.0690273640002)))', 'Barbados Exclusive Economic Zone', 'Barbados', 'Barbados', '', '124', '124', 'BRB', '8418', '2014-02', '184596515200', '8418', 'Y'),('SRID=4326;MULTIPOLYGON(((-63.272821559 13.398903364,-63.153148559 13.3279493640001,-62.548984558 12.9701673640001,-62.1534845579999 12.810755364,-61.560714557 12.5610873640001,-61.534270557 12.552604364,-61.506034557 12.5437683640001,-61.495607557 12.545452364,-61.493989557 12.5457703640001,-61.4884175569999 12.5465883640001,-61.471564557 12.549367364,-61.471430557 12.5494043640001,-61.4674295569999 12.5502063640001,-61.4628135569999 12.5514273640001,-61.459591557 12.551954364,-61.4414985569999 12.551600364,-61.4286835569999 12.551599364,-61.428047557 12.551574364,-61.420495557 12.5514253640001,-61.418111557 12.5540633640001,-61.415924557 12.554540364,-61.412197557 12.555463364,-61.4004975569999 12.557875364,-61.394075557 12.559051364,-61.389436557 12.5592613640001,-61.3800105569999 12.560531364,-61.345882557 12.567288364,-61.344920557 12.567493364,-61.3351605569999 12.563369364,-61.307214557 12.5540153640001,-61.286669557 12.5284833640001,-61.2861445569999 12.5278333640001,-61.285613557 12.5271833640001,-61.265596557 12.5027753640001,-61.252379557 12.488332364,-60.823285557 12.036585363,-60.843837557 12.0242823630001,-61.013151557 11.8557323630001,-61.045258557 11.815223363,-61.078844557 11.773011363,-61.079837557 11.771728363,-61.0843075569999 11.765910363,-61.085507557 11.764319363,-61.092200557 11.7564033630001,-61.0958345569999 11.752132363,-61.108128557 11.7375323630001,-61.1313815569999 11.712622363,-61.2057265569999 11.6381753630001,-61.220886557 11.6248053630001,-61.264899557 11.5840593630001,-61.370853557 11.486129363,-61.388930557 11.4690693630001,-61.4224445569999 11.4347173630001,-61.422926557 11.434227363,-61.545934557 11.3997523630001,-61.612936557 11.3802323630001,-61.6619755569999 11.3706233630001,-61.689027557 11.365275363,-61.6896515569999 11.365132363,-61.7020995569999 11.3636653630001,-61.729148557 11.360453363,-61.735294557 11.360834363,-61.981915558 11.374253363,-62.062880558 11.378549363,-62.188456558 11.402983363,-62.2021195579999 11.4061693630001,-62.2146775579999 11.409446363,-62.225851558 11.4140013630001,-62.2914545579999 11.4413113630001,-62.295227558 11.4430063630001,-62.3677115579999 11.595526363,-62.367974558 11.596083363,-62.564114558 11.9939023630001,-62.5672795579999 12.0003263630001,-62.567993558 12.001774363,-62.568710558 12.0032223630001,-62.803720558 12.476581364,-62.917333559 12.673663364,-62.948834559 12.726083364,-63.0429785589999 12.880107364,-63.127153559 13.0178563640001,-63.247407559 13.214086364,-63.249883559 13.231600364,-63.272821559 13.398903364),(-61.7247275569999 12.1722183630001,-61.785181558 12.0038183630001,-61.749727558 11.9969453630001,-61.717509557 12.003890363,-61.683336557 12.0161093630001,-61.651390557 12.0291633630001,-61.642499557 12.0341633630001,-61.6301455569999 12.046109363,-61.6111185569999 12.079445363,-61.596390557 12.125554363,-61.5997275569999 12.186663363,-61.605563557 12.2223633630001,-61.609999557 12.227772363,-61.614727557 12.231945363,-61.654445557 12.2371543630001,-61.675836557 12.227772363,-61.686672557 12.218054363,-61.707509557 12.1969453630001,-61.7247275569999 12.1722183630001)))', 'Grenadian Exclusive Economic Zone', 'Grenada', 'Grenada', '', '125', '125', 'GRD', '8419', '', '26250914770', '8419', 'Y'),('SRID=4326;MULTIPOLYGON(((-57.1175 10.9765000000002,-58.82 10.2669444444445,-58.82 10.1745939081819,-58.8293281119998 10.1721247310002,-58.8871686879999 10.1568141710001,-58.9022839629999 10.1528859420002,-58.9549457159999 10.1423169400001,-59.9224995559999 9.96972236100015,-59.9877775559999 9.95472236100017,-60.2672225559999 9.89055536100011,-60.6641665559998 9.83194436100007,-60.8908335569998 9.84861136100017,-61.2233335569999 9.8758333610001,-61.4999995569999 9.97000036100019,-61.6305555569998 9.98666636100018,-61.854999558 9.98666636100018,-61.973611558 10.0080553610001,-62.0830555579999 10.0461113610001,-61.862499558 10.5886113620001,-61.8027775579998 10.5888893620002,-61.8027775579998 10.7144443620002,-61.7713885579998 10.7938893620002,-61.7630555579998 10.8113893620001,-61.7311115569999 10.9041663620002,-61.7294445569999 10.9111113620002,-61.7294445569999 11.1750003620002,-61.7291485569999 11.3604533630001,-61.7020995569998 11.3636653630002,-61.6896515569998 11.365132363,-61.689027557 11.3652753630002,-61.6619755569999 11.3706233630002,-61.6129365569998 11.3802323630001,-61.5459345569998 11.3997523630002,-61.4229265569999 11.4342273630002,-61.4224445569998 11.4347173630002,-61.3889305569999 11.4690693630001,-61.3708535569999 11.4861293630002,-61.2648995569999 11.5840593630001,-61.220886557 11.6248053630001,-61.2057265569998 11.6381753630002,-61.1313815569999 11.7126223630001,-61.1081285569999 11.7375323630002,-61.0958345569999 11.7521323630002,-61.0922005569998 11.7564033630002,-61.0855075569999 11.7643193630001,-61.0843075569999 11.7659103630001,-61.0798375569998 11.7717283630001,-61.0788445569999 11.7730113630002,-61.0452585569998 11.8152233630001,-61.0131515569998 11.8557323630002,-60.8438375569999 12.0242823630002,-60.8232855569998 12.0365853630001,-60.7656195569999 12.0632033630001,-60.3466605559999 12.2981933630002,-60.2882645559999 12.3314273630002,-60.1405794488466 12.2575783815846,-59.9921666666667 12.1825,-59.9351666666666 12.1533333333334,-59.8793333333333 12.122,-59.249 11.7633333333333,-59.1865 11.7275,-58.8571666666666 11.5481666666666,-58.1261666666667 11.1436666666667,-57.9786666666666 11.0616666666668,-57.956566932466 11.0594810726712,-57.1175 10.9765000000002),(-60.7387545569999 11.1826363620001,-60.6877815569998 11.2019453620001,-60.6688905569999 11.1988903620001,-60.6418095559998 11.2022183620001,-60.5318095559998 11.2590273620001,-60.5247275559998 11.2738903620001,-60.5208365559999 11.3305543620002,-60.529590556 11.3455543630002,-60.6577815559999 11.3013903620001,-60.7008365569999 11.2758363620002,-60.7566725569998 11.2422183620002,-60.8472275569998 11.1769453620001,-60.8449365569999 11.1572183620002,-60.7974995569999 11.1416633620001,-60.7581995569999 11.1712453620002,-60.7387545569999 11.1826363620001),(-61.1718095569999 10.7990993620002,-61.1963995569998 10.7894453620001,-61.2424995569999 10.7902723620001,-61.3845905569999 10.7797183620002,-61.428545557 10.7539543620002,-61.4799995569999 10.7505543620001,-61.6027815569998 10.7422183620001,-61.6620185569999 10.708399362,-61.657781557 10.6800633620001,-61.6229185569999 10.6788903620002,-61.6012545569999 10.6845813620002,-61.5462545569998 10.6694453620002,-61.4958365569999 10.6352723620001,-61.4736185569998 10.5977723620001,-61.4630545569999 10.5712453620001,-61.4537545569998 10.2941633620001,-61.4613905569999 10.2743093620002,-61.504099557 10.2376363610001,-61.6477815569999 10.1972183610002,-61.8177815579999 10.1277723610002,-61.921599558 10.0648633610002,-61.9095185579998 10.0403453610002,-61.880281558 10.0424993610002,-61.8583365579998 10.0622183610002,-61.8336185579999 10.0713903610002,-61.8061185579999 10.0811093610002,-61.705554557 10.0788903610001,-61.6770815569998 10.0761093610001,-61.5266725569999 10.0683363610001,-61.4052815569999 10.0669453610001,-61.2029185569999 10.0691633610002,-61.1522275569999 10.0755543610002,-61.1072275569999 10.0919453610001,-61.0836185569998 10.1027723610001,-61.0044455569998 10.1495813610001,-60.9986095569998 10.3515993620001,-61.0209725569998 10.3922183620002,-61.0454185569999 10.4891633620002,-61.0341725569999 10.6781903620002,-61.0179185569999 10.6984723620002,-60.9872275569999 10.7147183620001,-60.9630545569999 10.7391633620001,-60.9444545569999 10.7622183620001,-60.9230545569999 10.7972183620002,-60.909236557 10.8270093620002,-60.9283365569999 10.8386093620002,-61.0254185569999 10.8402723620002,-61.0755635569999 10.8261093620002,-61.0794455569999 10.8241633620001,-61.1433365569998 10.815272362,-61.1718095569999 10.7990993620002)))', 'Trinidad and Tobago Exclusive Economic Zone', 'Trinidad and Tobago', 'Trinidad and Tobago', '', '126', '126', 'TTO', '8420', '2014-02', '75779824490', '8420', 'Y'),('SRID=4326;MULTIPOLYGON(((34.9336190000001 29.4668370000001,34.921211 29.45338,34.9126672250001 29.4698250160001,34.904195573 29.486131211,34.9040541320001 29.4863376220001,34.903800366 29.486708955,34.938045366 29.5233269550001,34.962563366 29.551463955,34.965827366 29.549163955,34.9799813660001 29.5457549550001,34.978172 29.542588,34.9665140000001 29.5190900000001,34.9336190000001 29.4668370000001)),((35.068590531 33.0945491850001,35.1003247080001 33.093508677,35.10082721 33.0936090380001,35.1024273670001 33.075899958,35.0880543660001 33.0180539580001,35.0788903660001 32.9869359580001,35.0720813660001 32.954435958,35.0776723660001 32.8925809580001,35.0731903660001 32.872771958,35.0616633660001 32.8491629580001,35.034163366 32.8231909580001,35.014999366 32.8154179580001,34.989018366 32.834790958,34.9531903660001 32.823399958,34.945545366 32.7670809580001,34.9391633660001 32.7133359580001,34.8955543660001 32.510271958,34.8724993660001 32.419717958,34.8683273660001 32.407490958,34.834163366 32.2908359580001,34.802799366 32.1923629570001,34.7977723660001 32.178053957,34.7788813660001 32.125544957,34.7327723660001 32.014444957,34.730827366 32.003608957,34.708327366 31.947635957,34.6699993660001 31.8749999570001,34.5861093660001 31.7269449570001,34.5538903660001 31.6838909570001,34.511109366 31.6263909570001,34.495281366 31.6033359570001,34.490545366 31.596099957,34.4826363660001 31.5830539570001,34.4558273660001 31.549717957,34.4011093660001 31.4891629570001,34.2761093660001 31.373880957,34.2480543660001 31.3497179570001,34.219553881 31.325756821,34.2186510970001 31.322977886,33.8913224630001 31.5858245700001,33.7512430080001 31.7460381220001,33.7227879920001 31.785865658,33.0342572500001 32.829211892,32.9909814230001 32.8849555670001,32.972222222 32.888888889,32.967665073 32.890111539,32.9676483710001 32.8901160200001,32.9792980780001 32.9046781530001,32.9833333330001 32.909722222,33.016666667 32.9341666670001,33.083333333 32.9936111110001,33.1666666670001 33.0561111110001,33.283333333 33.156944444,33.45 33.282222222,33.6000000000001 33.4075,33.716666667 33.5000000000001,33.7492911790001 33.530982882,33.783646076 33.5142989490001,33.933659511 33.447805298,34.119903134 33.390045152,34.1199032330001 33.3900451210001,34.994837766 33.1186997390001,35.041390591 33.1034522530001,35.067907566 33.094767125,35.068590531 33.0945491850001)))', 'Israeli Exclusive Economic Zone', 'Israel', 'Israel', '', '79', '79', 'ISR', '8375', '2011-05-12', '27756911770', '8375', 'Y'),('SRID=4326;MULTIPOLYGON(((-63.3783595589999 13.632210365,-63.211001559 13.7613213650001,-63.051053559 13.8888473650001,-62.921365559 13.9947583650001,-62.813888559 14.0805553650001,-62.493224558 13.966909365,-62.357597558 13.9279273650001,-62.127269558 13.859477365,-62.123801558 13.858442365,-62.0242505579999 13.8286673650001,-61.972390558 13.8160103650001,-61.928937558 13.8039713650001,-61.674841557 13.733261365,-61.635129557 13.7222393650001,-61.3662485569999 13.6485733650001,-61.344734557 13.642595365,-61.341184557 13.6415013650001,-61.323334557 13.636515365,-61.2542425569999 13.6169643650001,-61.2498755569999 13.6157013650001,-61.244054557 13.6141423650001,-61.217622557 13.605443365,-61.175991557 13.5922213650001,-61.172500557 13.590991365,-61.153283557 13.5846523650001,-61.120452557 13.5733083650001,-61.113072557 13.5709183650001,-61.104796557 13.568505365,-61.0657985569999 13.5476683650001,-61.034311557 13.5310643650001,-61.011664557 13.519039365,-60.9888395569999 13.507757365,-60.971245557 13.4984713650001,-60.948501557 13.486570365,-60.895694557 13.4587783640001,-60.884835557 13.4530333640001,-60.877842557 13.449265364,-60.8478785569999 13.432901364,-60.765133557 13.394669364,-60.737750557 13.382242364,-60.691870557 13.3618303640001,-60.6830745569999 13.358109364,-60.543866556 13.2989463640001,-60.5358355559999 13.2955783640001,-60.5257455559999 13.291355364,-60.5155935559999 13.287181364,-60.503340556 13.2821523640001,-60.473036556 13.2699773640001,-60.448154556 13.2603123640001,-60.426310556 13.251904364,-60.4039915559999 13.2435423640001,-60.397209556 13.2410233640001,-60.388103556 13.2376473640001,-60.3853225559999 13.2366253640001,-60.3832765559999 13.1737003640001,-60.383265556 13.1705553640001,-60.3844725559999 13.1281993640001,-60.387698556 13.0794383640001,-60.3721775559999 12.959281364,-60.3721765559999 12.959264364,-60.347068556 12.703842364,-60.3273985559999 12.550808364,-60.315729556 12.4470003640001,-60.311695556 12.4114363630001,-60.2882645559999 12.331427363,-60.346660556 12.2981933630001,-60.765619557 12.0632033630001,-60.823285557 12.036585363,-61.252379557 12.488332364,-61.265596557 12.5027753640001,-61.285613557 12.5271833640001,-61.2861445569999 12.5278333640001,-61.286669557 12.5284833640001,-61.307214557 12.5540153640001,-61.3351605569999 12.563369364,-61.344920557 12.567493364,-61.345882557 12.567288364,-61.3800105569999 12.560531364,-61.389436557 12.5592613640001,-61.394075557 12.559051364,-61.4004975569999 12.557875364,-61.412197557 12.555463364,-61.415924557 12.554540364,-61.418111557 12.5540633640001,-61.420495557 12.5514253640001,-61.428047557 12.551574364,-61.4286835569999 12.551599364,-61.4414985569999 12.551600364,-61.459591557 12.551954364,-61.4628135569999 12.5514273640001,-61.4674295569999 12.5502063640001,-61.471430557 12.5494043640001,-61.471564557 12.549367364,-61.4884175569999 12.5465883640001,-61.493989557 12.5457703640001,-61.495607557 12.545452364,-61.506034557 12.5437683640001,-61.534270557 12.552604364,-61.560714557 12.5610873640001,-62.1534845579999 12.810755364,-62.548984558 12.9701673640001,-63.153148559 13.3279493640001,-63.272821559 13.398903364,-63.279710559 13.424163364,-63.3783595589999 13.632210365),(-61.2780635569999 13.2502723640001,-61.280145557 13.2056903640001,-61.263063557 13.1783363640001,-61.2436185569999 13.156109364,-61.1844455569999 13.130281364,-61.1697905569999 13.134445364,-61.148054557 13.167772364,-61.1300095569999 13.220272364,-61.123754557 13.2458363640001,-61.1202815569999 13.307499364,-61.1229185569999 13.3283273640001,-61.142499557 13.3762453640001,-61.179863557 13.383190364,-61.207090557 13.3693093640001,-61.265554557 13.2730543640001,-61.2780635569999 13.2502723640001)))', 'Saint Vincent and the Grenadines Exclusive Economic Zone', 'Saint Vincent and the Grenadines', 'Saint Vincent and the Grenadines', '', '127', '127', 'VCT', '8421', '', '36493357490', '8421', 'Y'),('SRID=4326;MULTIPOLYGON(((-68.591410219 14.374787796,-68.5914999999999 14.373472,-68.6700279999999 13.2521110000001,-68.708694 12.696444,-68.714333 12.629917,-68.720836 12.5584890000001,-68.721122 12.5553360000001,-68.7214719999999 12.5515,-68.7103329999999 12.522861,-68.68375 12.4150000000001,-68.6700279999999 12.369444,-68.652833 12.322722,-68.6265 12.232,-68.624025 12.2228420000001,-68.624 12.2227500000001,-68.623814 12.222381,-68.620392 12.215594,-68.620306 12.215422,-68.612361 12.199667,-68.608278 12.189556,-68.600611 12.185111,-68.520167 12.106056,-68.486278 12.073917,-68.460361 12.024194,-68.453722 11.9878610000001,-68.4511669999999 11.977778,-68.441992 11.93605,-68.4413309999999 11.933044,-68.436722 11.9120830000001,-68.4298889999999 11.857722,-68.4240829999999 11.829444,-68.390654906 11.666666363,-68.599999564 11.666666363,-68.8291665639999 11.741666363,-68.9541665639999 11.7583333630001,-69.0791665639999 11.879166363,-69.547519005 12.1513862840001,-69.5443079999999 12.169544,-69.5442609999999 12.169817,-69.5191389999999 12.311847,-69.5041419999999 12.580742,-69.5003139999999 12.6074170000001,-69.499631 12.6121640000001,-69.495808 12.6388000000001,-69.4541419999999 12.962142,-69.3883079999999 13.3065970000001,-69.340808 13.496881,-69.3408219999999 15.349717,-69.341032888 15.356442375,-68.862222564 15.241111366,-68.591410219 14.374787796),(-68.816954564 12.043336363,-68.798890564 12.040272363,-68.746945564 12.040272363,-68.7530635639999 12.064999363,-68.824172564 12.160272363,-68.836672564 12.168609363,-68.8511185639999 12.1752813630001,-68.861681564 12.178890363,-68.882509564 12.1829183630001,-68.911954564 12.181663363,-68.965563564 12.198890363,-68.980836564 12.204718363,-68.997218564 12.216109363,-69.029727564 12.242772363,-69.0402815639999 12.256390363,-69.047790564 12.269718363,-69.055554564 12.2888903630001,-69.0583365639999 12.3130543630001,-69.067227564 12.3316633630001,-69.0795905639999 12.350272363,-69.0977815639999 12.363336363,-69.1463905639999 12.383890363,-69.1636185639999 12.366390363,-69.158336564 12.311390363,-69.134445564 12.2733363630001,-69.062499564 12.188327363,-68.965699564 12.1152813630001,-68.829872564 12.048336363,-68.816954564 12.043336363)))', 'Curaçaoan Exclusive Economic Zone', 'Curaçao', 'Netherlands', '', '177', '244', 'CUW', '26517', '2012-10', '30501597060', '26517', 'Y'),('SRID=4326;MULTIPOLYGON(((-89.8185455839999 13.5357998650001,-89.7588995839999 13.530836365,-89.6843095839999 13.530972365,-89.650845583 13.5280543650001,-89.608672583 13.5150633650001,-89.466672583 13.499718365,-89.3808455829999 13.4924993650001,-89.297154583 13.4827093640001,-89.2199995829999 13.4552723640001,-89.185290583 13.4377723640001,-89.152236583 13.418890364,-89.1372185829999 13.4100633640001,-89.1141815829999 13.401109364,-88.983899583 13.3413903640001,-88.881672583 13.293890364,-88.861681583 13.282499364,-88.832263583 13.258363364,-88.813799583 13.2515543640001,-88.758899583 13.2355543640001,-88.706681583 13.228609364,-88.665554583 13.221109364,-88.615281583 13.211109364,-88.535063582 13.199109364,-88.5058725819999 13.1956813640001,-88.585281583 13.2633363640001,-88.621672583 13.259718364,-88.641881583 13.2493723640001,-88.708163583 13.260936364,-88.6120905829999 13.2840273640001,-88.5504275819999 13.2739543640001,-88.475336582 13.238527364,-88.411090582 13.187609364,-88.219999582 13.1580543640001,-88.196399582 13.159445364,-88.126109582 13.1638903640001,-88.1087635819999 13.166799364,-88.091872582 13.1667273640001,-88.0413995819999 13.1655543640001,-87.9849995819999 13.1633273640001,-87.937790582 13.1563903640001,-87.831390582 13.2361093640001,-87.797990582 13.262081364,-87.785763582 13.294927364,-87.823899582 13.332081364,-87.846118582 13.341109364,-87.865572582 13.3602813640001,-87.870145582 13.3827093640001,-87.836954582 13.436318364,-87.815582023 13.4053820950001,-87.81752137 13.404076823,-87.828465194 13.393132999,-87.833253118 13.379453219,-87.813417436 13.3616695050001,-87.7833725739999 13.3343594420001,-87.768870786 13.3303660490001,-87.728100737 13.29991992,-87.677110156 13.23800192,-87.651841608 13.215117638,-87.650738522 13.1954446080001,-87.71812636 13.1313641350001,-87.7236130539999 13.1244776020001,-87.733327155 13.118240169,-87.745571255 13.105321008,-87.7913540499999 13.056107121,-87.825691063 13.018442538,-87.832701677 13.0106397750001,-87.8371674859999 13.006186272,-87.847973364 12.99592167,-87.858930588 12.985690279,-87.885382186 12.9614868260001,-87.914174836 12.9367362620001,-87.920408714 12.9316514290001,-87.922831982 12.929585237,-87.933440671 12.9203802100001,-87.9436364429999 12.91107966,-87.9556334069999 12.9002857350001,-88.0003561949999 12.853070249,-88.052636215 12.797491125,-88.0705595269999 12.7752460560001,-88.076922371 12.764873988,-88.1419169179999 12.659665164,-88.204258193 12.537720167,-88.2175037439999 12.5114333390001,-88.220494679 12.505485756,-88.223500881 12.4994507860001,-88.311129654 12.32306456,-88.3372965629999 12.270263351,-88.3719798609999 12.1674363970001,-88.4223503169999 12.0205778380001,-88.5063976819999 11.786566325,-88.581739198 11.5770411880001,-89.180494938 10.405912243,-89.422342707 9.97292643500003,-89.751295584 10.0604423610001,-89.930320584 10.107850361,-89.937426584 10.111119361,-89.984649584 10.1236003610001,-89.9943555839999 10.1280613610001,-90.002928584 10.1303253610001,-90.019267584 10.137834361,-90.2428025839999 10.240415361,-90.250607584 10.2410803610001,-90.408548584 10.2544993610001,-90.978736585 10.4033603620001,-91.424937627 10.605661582,-91.3266348229999 10.9222941240001,-91.049115235 11.8161824910001,-90.925114858 12.192537988,-90.925114846 12.1925380270001,-90.9145083189999 12.224730063,-90.872091647 12.3534695750001,-90.8382137739999 12.4487040450001,-90.8382136119999 12.4487042860001,-90.794052888 12.5144397760001,-90.794052842 12.514439845,-90.689294543 12.6703779150001,-90.548260575 12.8670597340001,-90.461845554 12.987571578,-90.3739955089999 13.110084665,-90.347218891 13.1605942320001,-90.23349275 13.356317113,-90.129616568 13.5670145670001,-90.113304966 13.664450478,-90.1041458399999 13.719161705,-90.0963909229999 13.74583606,-89.999999584 13.697981365,-89.954454584 13.663981365,-89.916672584 13.6505543650001,-89.875563584 13.628190365,-89.8463275839999 13.605827365,-89.8288995839999 13.576109365,-89.8185455839999 13.5357998650001)))', 'El Salvador Exclusive Economic Zone', 'El Salvador', 'El Salvador', '', '134', '134', 'SLV', '8428', '', '94200857410', '8428', 'Y'),('SRID=4326;MULTIPOLYGON(((-172.00253766 -20.0533616669999,-171.99782966 -19.916573667,-171.98694066 -19.325884666,-171.98518766 -19.3055296659999,-171.98358566 -19.290672666,-171.97354966 -19.2010106659999,-171.95664366 -19.0654136659999,-171.95415966 -19.045288666,-171.94477266 -18.969934666,-171.90055066 -18.618197665,-171.86485666 -18.333824665,-171.86182766 -18.3055986649999,-171.84810966 -18.179555665,-171.83307166 -18.0396146649999,-171.80321466 -17.763481665,-171.79615666 -17.6973516649999,-171.78435066 -17.5759566639999,-171.76605666 -17.4058146639999,-171.71147366 -17.3429776639999,-171.54353566 -17.1484696639999,-171.54118666 -17.1457496639999,-171.44507566 -17.034539664,-171.28416666 -16.825833664,-171.208055659 -16.812777664,-170.319166659 -16.654722664,-169.933055658 -16.5827776639999,-169.319999658 -16.626666664,-169.305277658 -16.6319446639999,-168.434722657 -16.9388886639999,-166.701944655 -17.5291666639999,-166.643055655 -17.557777664,-166.614892655 -17.829321665,-166.581180655 -18.0558456649999,-166.581053655 -18.0566966649999,-166.580815655 -18.0582976649999,-166.580600655 -18.059749665,-166.570656655 -18.126797665,-166.421834655 -19.0308486659999,-166.390771655 -19.2168656659999,-166.313312655 -19.6943266659999,-166.383524655 -19.9420446669999,-166.463749655 -20.224143667,-166.466927655 -20.2352986669999,-166.467505655 -20.236462667,-166.467891655 -20.2378176669999,-166.688367655 -20.6807456669999,-166.729997655 -20.7640706669999,-166.731589655 -20.7661926669999,-166.733912655 -20.770838667,-166.744126655 -20.7844496669999,-166.745720655 -20.787637667,-166.856020655 -20.9344306679999,-167.103598656 -21.2626686679999,-167.107416656 -21.2662046679999,-167.109573656 -21.269056668,-167.118544656 -21.277365668,-167.121546656 -21.2813326679999,-167.137012656 -21.2956526679999,-167.144027656 -21.304921668,-167.149517656 -21.312174668,-167.150413656 -21.313359668,-167.152984656 -21.3157376679999,-167.153413656 -21.3163046679999,-167.298172656 -21.450095668,-167.596874656 -21.7250516679999,-168.112205657 -22.0546106689999,-168.683333657 -22.294421669,-168.708554657 -22.300364669,-168.708800657 -22.3004676689999,-168.708898657 -22.3004906689999,-168.714920657 -22.303003669,-168.715130657 -22.303053669,-168.716955657 -22.303815669,-168.851359657 -22.3354136689999,-169.325767658 -22.446042669,-169.887740658 -22.4821596689999,-169.952523658 -22.4862106689999,-169.954523658 -22.4860116689999,-169.957621658 -22.486204669,-170.581983659 -22.423030669,-171.183720659 -22.258630669,-171.185086659 -22.257998669,-171.185751659 -22.257815669,-171.29051866 -22.2092906689999,-171.40888466 -22.1571626689999,-171.47620766 -22.030780669,-171.52432666 -21.941586668,-171.56484466 -21.866545668,-171.87025166 -20.9011816679999,-171.95687466 -20.3658836669999,-172.00253766 -20.0533616669999),(-169.930281658 -19.013609666,-169.952236658 -19.0733366659999,-169.930881658 -19.1244456659999,-169.893890658 -19.145554666,-169.888063658 -19.144445666,-169.859163658 -19.130554666,-169.850281658 -19.1258366659999,-169.824436658 -19.110836666,-169.798099658 -19.0872276659999,-169.781554658 -19.065281666,-169.815136658 -18.970272666,-169.868899658 -18.9636186659999,-169.884763658 -18.963336666,-169.894745658 -18.9702816659999,-169.930281658 -19.013609666)))', 'Niue Exclusive Economic Zone', 'Niue', 'New Zealand', '', '162', '154', 'NIU', '8447', '', '317525276500', '8447', 'Y'),('SRID=4326;MULTIPOLYGON(((-57.5385884551677 16.4842951020791,-57.5387793162088 16.4842347739738,-57.9064158245951 16.3680307867075,-57.9183595539998 16.4099553670001,-57.9321675539999 16.4539333670001,-57.948333554 16.500833367,-60.899444557 15.665000367,-61.0611115569999 15.6838893670001,-61.138333557 15.7016663670001,-61.3236115569999 15.7341663670001,-61.442499557 15.7872223670001,-61.7480555579999 15.6033333660002,-62.813888559 15.0650003660001,-62.813888559 15.8419443670001,-62.649444558 15.9483333670001,-62.4052775579999 16.1280553670002,-62.0527775579999 16.4311113670001,-61.851111558 16.6577773670001,-61.822849558 16.693307367,-61.805512558 16.693520367,-61.761484558 16.6928673670002,-61.7402685579999 16.6925813670002,-61.7151955569999 16.7030133670002,-61.708930557 16.7055163670001,-61.6898695569999 16.7138273680001,-61.6873645569999 16.7151133680001,-61.6539135569998 16.732487368,-61.595211557 16.761797368,-61.5467695569999 16.7867793680001,-61.4615015569999 16.820585368,-61.4483865569999 16.8258043680001,-61.412892557 16.8389513680001,-61.3298675569999 16.8682203680001,-61.1454045569999 16.9281613680001,-61.0167815569999 16.9731763680002,-60.9026245569999 17.0677603680002,-60.7231505569999 17.2157843680001,-60.3860805559999 17.4936373680001,-60.3067095559999 17.5374363680001,-60.3048265559999 17.5384733680002,-60.2592655559999 17.5635453680002,-60.207468556 17.590861368,-60.1995815559999 17.5950013680001,-60.193273556 17.5983033680001,-58.9029375549999 18.2651733690001,-58.372168554 18.5318203690001,-58.311633554 18.4737413690002,-58.3079055539999 18.4685193690001,-58.307672554 18.468291369,-57.9654165539999 17.9876083690001,-57.7176495539998 17.4574573680001,-57.716152554 17.4517153680002,-57.713815554 17.4467013680001,-57.567327554 16.8834963680002,-57.5385884551677 16.4842951020791),(-61.436109557 16.498881367,-61.4633365569999 16.5129183670001,-61.5069545569999 16.4849993670002,-61.526118557 16.4608273670001,-61.531672557 16.4519453670001,-61.5330635569999 16.436245367,-61.5294455569999 16.4177723670001,-61.522509557 16.393054367,-61.498890557 16.3486093670001,-61.541872557 16.2902453670002,-61.5579275569999 16.2843723670001,-61.5815455569999 16.2750993670001,-61.609099557 16.2804183670002,-61.655836557 16.324718367,-61.7287545569998 16.3612453670002,-61.7451365579999 16.3604183670001,-61.759727558 16.3511093670001,-61.7836185579999 16.3330543670002,-61.7936185579999 16.3069453670001,-61.796109558 16.264163367,-61.793890558 16.2419453670001,-61.7591725579999 16.052218367,-61.736945557 16.0158273670001,-61.688890557 15.9477723670001,-61.6483365569999 15.9652723670001,-61.6069455569999 15.9897183670001,-61.572781557 16.018327367,-61.560972557 16.031663367,-61.5527815569999 16.0544453670001,-61.5555545569999 16.0761093670001,-61.5675095569999 16.1424993670001,-61.5759725569999 16.1634723670002,-61.5811095569999 16.2002723670001,-61.565936557 16.2268633670001,-61.5472275569999 16.2295363670001,-61.533336557 16.2316633670001,-61.521118557 16.2222183670002,-61.5091725569999 16.2127723670002,-61.498336557 16.2083273670001,-61.470554557 16.200827367,-61.454727557 16.200554367,-61.225836557 16.2530543670002,-61.205554557 16.2672183670001,-61.2599995569998 16.3127723670002,-61.268618557 16.3188813670001,-61.2791635569999 16.323327367,-61.2916725569999 16.326663367,-61.3413275569999 16.3337453670001,-61.357781557 16.3380543670002,-61.3663905569999 16.3441633670001,-61.3733365569999 16.3513903670001,-61.396809557 16.383327367,-61.3998635569999 16.3962453670001,-61.3913995569998 16.421945367,-61.393054557 16.4327813670001,-61.4056995569999 16.4735363670001,-61.436109557 16.498881367),(-61.309172557 15.9727723670001,-61.329581557 15.9315273670002,-61.3169455569999 15.8899993670001,-61.3077815569999 15.8813903670001,-61.279445557 15.8713903670002,-61.2566725569999 15.8699993670002,-61.2455635569999 15.8716633670002,-61.2268095569999 15.8799993670002,-61.1944545569999 15.902772367,-61.1870815569999 15.9141633670002,-61.1991725569999 15.9486093670001,-61.2380635569999 15.9933273670001,-61.264163557 16.0138903670001,-61.275281557 16.0091633670001,-61.309172557 15.9727723670001)))', 'Guadeloupean Exclusive Economic Zone', 'Guadeloupe', 'France', '', '179', '251', 'GLP', '33177', '2014-02', '90729199910', '33177', 'Y'),('SRID=4326;MULTIPOLYGON(((-84.316666745 4.99999993200004,-82.898845743 8.02567193500005,-82.868618743 8.02118093500007,-82.850009743 8.06139093500008,-82.8623637429999 8.09874493500007,-82.875145743 8.18582693500002,-82.871263743 8.22471793500006,-82.8428457429999 8.27374493500002,-82.807509743 8.29305393500005,-82.7794457429999 8.30277193500007,-82.721681743 8.31721793500003,-82.6665367429999 8.31916293500007,-82.611954743 8.30694493500005,-82.556118743 8.28999893500003,-82.5272367429999 8.28083593500003,-82.503136743 8.27166293500005,-82.469454743 8.27471793500007,-82.4044457429999 8.28499893500003,-82.3786187429999 8.29055393500005,-82.344999743 8.30499893500007,-82.287227743 8.31332693500002,-82.246945743 8.29277193500008,-82.218063743 8.27249893500004,-82.2159097429999 8.21874493500007,-82.193209743 8.19499993500006,-82.142227743 8.18110893500005,-82.095290743 8.21471793500007,-81.952518743 8.18860893500005,-81.738618742 8.16249893500003,-81.7011187419999 8.12055393500003,-81.676745742 8.06507193500005,-81.7066817419999 8.06527193500006,-81.682236742 8.01860893500003,-81.6511187419999 7.98027193500008,-81.6319547419999 7.96999893500004,-81.6217817419999 7.97752693500007,-81.6166727419999 7.97278093500006,-81.6086097419999 7.94027193500006,-81.6000097419999 7.87055393500003,-81.588899742 7.79624493500006,-81.572236742 7.75721793500003,-81.496945742 7.69860893500004,-81.430281742 7.68305393500003,-81.359590742 7.66597193500007,-81.3122277419999 7.64944493500008,-81.2711187419999 7.62971793500003,-81.217927742 7.60826293500003,-81.1921637419999 7.63839993500005,-81.1922277419999 7.69139093500007,-81.1716727419999 7.80083593500007,-81.180827742 7.82009993500003,-81.177381742 7.84860893500007,-81.152818742 7.85057193500006,-81.128345742 7.83971793500007,-81.0580637419999 7.87333593500006,-81.057509742 7.82889093500006,-81.054736742 7.74721793500004,-81.037227742 7.67666293500002,-81.010845742 7.63749993500005,-80.9825097419999 7.61298093500005,-80.948627742 7.55778093400005,-80.9125097419999 7.44416293400008,-80.888345742 7.33430893400003,-80.910981742 7.31819093400003,-80.9290367419999 7.25499993400007,-80.882509742 7.22027193400004,-80.8511187409999 7.21028093400002,-80.798063741 7.20610893400004,-80.713899741 7.20916293400006,-80.6833367409999 7.21638993400006,-80.643336741 7.22930893400007,-80.634154741 7.23492693400004,-80.593899741 7.23638993400004,-80.4368727409999 7.24458093400006,-80.3758367409999 7.30971793400005,-80.362090741 7.37291793400004,-80.3083367409999 7.41638993400005,-80.281399741 7.43027193400007,-80.251572741 7.42881793400005,-80.215009741 7.41694493400007,-80.162227741 7.41221793400007,-80.095836741 7.43027193400007,-80.024736741 7.45166293400007,-80.0022997409999 7.46839993400005,-79.990427741 7.51889093400007,-80.060290741 7.64389093500006,-80.1586187409999 7.75555393500002,-80.317227741 7.91583593500008,-80.325836741 7.95110893500004,-80.351736741 7.99208093500005,-80.3780637409999 7.99889093500008,-80.3820997409999 7.99897193500004,-80.397918741 8.00333593500005,-80.442363741 8.02215393500006,-80.481399741 8.08319093500006,-80.4752817409999 8.09055393500006,-80.482090741 8.15208093500007,-80.478899741 8.19694493500003,-80.471263741 8.21555393500006,-80.424318741 8.26486293500005,-80.382090741 8.29079893500005,-80.336945741 8.28749893500003,-80.2257097409999 8.29527193500007,-80.138618741 8.33944493500007,-80.099454741 8.36749893500007,-80.070554741 8.38305393500002,-80.026490741 8.40153593500003,-80.016109741 8.40749893500004,-79.9527907409999 8.45083593500004,-79.78110974 8.60583593500007,-79.7383457399999 8.71103593600003,-79.74889074 8.73347193600006,-79.7593097399999 8.78597193600007,-79.73736374 8.83318993600005,-79.69778174 8.86666293600007,-79.63944574 8.87388993600007,-79.57765474 8.87999893600005,-79.5265997399999 8.91971793600004,-79.52264574 8.95971793600006,-79.47792774 8.99736293600006,-79.43389974 9.00805393600007,-79.39029074 9.01360893600003,-79.3658457399999 9.01610893600002,-79.28139974 9.01805393600006,-79.25848174 9.01610893600002,-79.22848174 9.00582693600006,-79.1335187399999 9.01352693600006,-79.1180997399999 9.03077193600006,-79.11923674 9.05198093600006,-79.10889974 9.08499893600003,-79.03973674 9.12582693600007,-79.0066727399999 9.13582693600006,-78.97909974 9.13853593600004,-79.02327274 9.11020893600005,-79.06767274 9.05289093600004,-79.06855474 9.00768093600004,-79.0530727399999 8.96666293600003,-79.02341874 8.96374493600007,-78.90729974 8.91326293600002,-78.74223674 8.79166293600002,-78.709727739 8.74666293600006,-78.6574997389999 8.70028093600007,-78.606881739 8.66332693600003,-78.564727739 8.65221793600006,-78.538345739 8.63694493500003,-78.507236739 8.61694493500005,-78.487918739 8.49569093500003,-78.492645739 8.45291793500007,-78.4130637389999 8.34360893500008,-78.397781739 8.34587193500005,-78.384799739 8.33659993500004,-78.3594547389999 8.39444493500002,-78.2538187389999 8.39694493500002,-78.234309739 8.38048093500004,-78.120563739 8.43916293500007,-78.107509739 8.45582693500006,-78.0452907389999 8.33860893500002,-78.013472739 8.27291793500007,-77.993199739 8.26708093500002,-77.912172739 8.25221793500003,-77.8891727389999 8.24610893500005,-77.868899739 8.23499893500002,-77.779172739 8.15499893500004,-77.785281739 8.13028093500003,-77.806945739 8.15916293500004,-77.8408367389999 8.19555393500002,-77.8827097389999 8.22881793500005,-77.964309739 8.24012693500003,-77.995190739 8.23245393500002,-78.0284907389999 8.26137193500006,-78.045009739 8.31110893500005,-78.134999739 8.39927193500006,-78.143636739 8.40167193500002,-78.1829187389999 8.32736293500005,-78.2622187389999 8.26944493500002,-78.3013907389999 8.24971793500004,-78.278690739 8.21507193500003,-78.241672739 8.18374493500005,-78.2363907389999 8.14847193500003,-78.257236739 8.10194493500006,-78.2945907389999 8.07028093500003,-78.320563739 8.05874493500005,-78.374309739 8.06082693500002,-78.400909739 8.06847193500005,-78.4034457389999 8.09812693500004,-78.425909739 8.08027193500004,-78.432781739 8.04889093500003,-78.411945739 7.96416293500005,-78.3877817389999 7.90486293500004,-78.369590739 7.88639093500007,-78.351672739 7.87333593500006,-78.274654739 7.72430893500007,-78.2813997389999 7.70721793500007,-78.2347277389999 7.64610893500003,-78.165981739 7.56833593500005,-78.167781739 7.54221793400006,-78.162509739 7.50805393400003,-78.008618739 7.33110893400004,-77.9081997389999 7.23312693400004,-77.889727739 7.22888993400005,-77.889166739 7.21083293400005,-78.299999739 6.73333293400003,-78.78333374 6.46666593300006,-79.04999974 6.26666593300007,-79.23333374 5.99999993300003,-79.866666741 4.99999993200004,-84.316666745 4.99999993200004),(-81.8738997419999 7.51499893400006,-81.876954742 7.50416293400002,-81.874172742 7.49110893400007,-81.853345742 7.44666293400007,-81.846118742 7.43318993400004,-81.762218742 7.35888993400005,-81.747781742 7.34778093400007,-81.6505547419999 7.32194493400004,-81.629309742 7.31833593400006,-81.5901457419999 7.32986293400006,-81.5980727419999 7.36360893400007,-81.6083367419999 7.37749893400007,-81.628754742 7.38999893400006,-81.649445742 7.38416293400007,-81.6784727419999 7.38860893400005,-81.7136187419999 7.43666293400003,-81.715563742 7.44680893400005,-81.7105547419999 7.47916293400004,-81.7044547419999 7.49028093400005,-81.710281742 7.55555393400005,-81.723618742 7.61694493500005,-81.738909742 7.63916293500006,-81.758618742 7.63416293500006,-81.8738997419999 7.51499893400006),(-78.9545097399999 8.45013593500005,-78.9627907399999 8.43763593500006,-78.96006374 8.29395393500005,-78.92222774 8.27055393500007,-78.8481277399999 8.29055393500005,-78.8347277399999 8.31971793500003,-78.83029074 8.33610893500003,-78.82972774 8.38833593500004,-78.83153674 8.40110893500002,-78.85306374 8.43736293500007,-78.87167274 8.45694493500002,-78.88361874 8.46388993500005,-78.9545097399999 8.45013593500005)),((-82.566666743 9.57111093600003,-81.4333327419999 10.816666938,-81.2499997419999 10.999999938,-79.999999741 10.999999938,-79.999999741 11.8333329380001,-78.99999974 11.8333329380001,-78.99999974 12.4999999390001,-77.999999739 12.4999999390001,-77.816666739 12.3166659390001,-77.7166667389999 11.9999999390001,-77.566666738 11.4499999380001,-77.249999738 10.4666659370001,-77.0499997379999 9.44999993600004,-77.216666738 9.14999993600003,-77.3641667379999 8.68527693600004,-77.366672738 8.67499993600006,-77.3735547379999 8.66576293600002,-77.434445738 8.65902693600003,-77.4897277379999 8.67402693600008,-77.510836738 8.68610893600004,-77.5324367379999 8.70659993600003,-77.542781738 8.76360893600003,-77.633927738 8.83732693600007,-77.7026457389999 8.87666293600006,-77.745909739 8.94194493600003,-77.747227739 8.97597193600006,-77.805145739 9.04763593600006,-77.848890739 9.08360893600008,-77.8829637389999 9.09629993600004,-77.944172739 9.14305393600006,-78.034381739 9.22881793600004,-78.152236739 9.25971793600007,-78.235836739 9.28666293600003,-78.366672739 9.33528093600006,-78.4122277389999 9.35832693600003,-78.451954739 9.38139093600006,-78.499172739 9.40416293600003,-78.5520907389999 9.42833593600005,-78.7036097389999 9.43194493600004,-79.00639074 9.42333593600006,-79.0545187399999 9.42902693600007,-79.06722774 9.46221793600006,-79.0659097399999 9.49332693600007,-79.0345907399999 9.51986293600004,-78.99806374 9.52194493600007,-78.9621187399999 9.53759993600005,-78.9594367399999 9.54335393600007,-78.9950097399999 9.54778093600004,-79.04444574 9.54639093600002,-79.07585474 9.54221793600004,-79.1622277399999 9.54055393600004,-79.24779074 9.53999993600007,-79.46305474 9.56805393600007,-79.5344547399999 9.62013593600005,-79.5994547399999 9.60249993600007,-79.62583674 9.59416293600003,-79.67121874 9.54961793600006,-79.6872367399999 9.49041793600003,-79.7444457399999 9.43527193600005,-79.806118741 9.40027193600002,-79.947372741 9.35847193600006,-79.967645741 9.35305393600004,-79.988063741 9.32860893600002,-80.004454741 9.30666293600007,-80.051390741 9.25889093600006,-80.092654741 9.22013593600008,-80.1175097409999 9.20694493600007,-80.154727741 9.19278093600008,-80.253890741 9.15986293600002,-80.3155637409999 9.15027193600002,-80.405563741 9.13347193600003,-80.5358457409999 9.08583593600002,-80.601963741 9.05860893600004,-80.6363997409999 9.04166293600002,-80.751954741 8.97166293600003,-80.779172741 8.93694493600003,-80.803199741 8.90569093600004,-80.8370907409999 8.87839993600005,-80.864454741 8.87471793600002,-80.8694457409999 8.87666293600006,-80.879036742 8.87889093600006,-80.944599742 8.85389093600003,-80.966254742 8.83597193600002,-81.089736742 8.80249993600006,-81.153063742 8.78749993600007,-81.204036742 8.78110893600007,-81.220599742 8.78456293600004,-81.2736187419999 8.78527193600007,-81.507290742 8.79312693600002,-81.559318742 8.82916293600005,-81.613063742 8.88041793600007,-81.643336742 8.91944493600005,-81.668899742 8.95582693600005,-81.7086187419999 9.00055393600007,-81.751399742 9.04721793600004,-81.865845742 9.16416293600003,-81.8863277419999 9.17360893600005,-81.908618742 9.16881793600004,-81.913890742 9.11249993600006,-81.859999742 9.06249893600005,-81.7880727419999 9.00333593600004,-81.816390742 8.94527193600004,-81.9833367429999 8.94471793600007,-82.0602907429999 8.93082693600007,-82.1058367429999 8.94139093600006,-82.242781743 9.00236293600005,-82.2752817429999 9.10333593600006,-82.3247187429999 9.18832693600007,-82.381672743 9.28582693600003,-82.370009743 9.32083593600004,-82.363618743 9.40721793600005,-82.534181743 9.54791793600003,-82.5560547429999 9.56228093600004,-82.563572743 9.56287193600002,-82.566666743 9.57111093600003),(-82.282390743 9.43531793600005,-82.325118743 9.40786293600007,-82.2564817429999 9.35218093600002,-82.249754743 9.33068993600006,-82.235254743 9.33249893600004,-82.228263743 9.36901793600003,-82.256745743 9.42779893600004,-82.282390743 9.43531793600005)))', 'Panamanian Exclusive Economic Zone', 'Panama', 'Panama', '', '129', '129', 'PAN', '8423', '', '333015379000', '8423', 'Y');

INSERT INTO eez (geom, name, country, sovereign, remarks, sov_id, eez_id, code, mrgid, date_chang, area_m2, mrgid_eez, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-47.7934645449999 4.44442814600023,-47.7740115439999 4.23052914500028,-47.3849505439998 3.84041414500018,-47.384939544 3.84039814500028,-47.3829635439999 3.83841514500017,-47.3820775439999 3.83715014500029,-47.3819535439998 3.83702514500027,-47.3816245439999 3.83655614500015,-47.3749205439998 3.8298311450003,-47.3742145559999 3.82882236300014,-47.3731487549999 3.82729925900003,-47.3730816349999 3.82723192800023,-47.3729315439999 3.82708114500014,-47.0386875819999 3.34914320800016,-47.0386875449999 3.34914314400015,-47.0386874049999 3.34914284100023,-47.0386505439999 3.34906214500029,-47.0378425499999 3.34790751099996,-47.037678844 3.34767329700014,-46.8886178189999 3.02797642300021,-46.791439544 2.81955414400022,-46.7880208699999 2.80682173700023,-46.7838607149999 2.79132726200027,-46.783597108 2.79076144400017,-46.7834195439999 2.79038014400027,-46.7833227869999 2.79001995300001,-46.7824970019999 2.78694409900027,-46.7824253929999 2.78679039200023,-46.782409544 2.78675614400026,-46.773665544 2.75418314400025,-46.7733785439999 2.75356714400027,-46.7561915439998 2.68953114400023,-46.734957997 2.6875783780003,-46.7342593439998 2.68751409400011,-46.7240385439999 2.68472714400014,-46.718266544 2.68419614400023,-46.7158635439998 2.68354114400023,-46.715863363 2.6835411270003,-46.7158630789999 2.6835410500002,-46.7154480069999 2.68350287100014,-46.7142675439999 2.68339414400015,-46.7116205439999 2.68267214400026,-46.7102385439998 2.68254514400024,-46.1494315429999 2.52973814400013,-46.0791505429999 2.4966431440003,-46.0710515429998 2.49590214400024,-46.070970498 2.49588085900018,-46.0709530419999 2.49587610700013,-46.070159083 2.49580347600028,-46.0620535429999 2.49506114400015,-45.720683543 2.40216714400015,-45.6210725419999 2.39308714400028,-45.6188125419999 2.39247314400029,-45.6180680769999 2.39240542600015,-45.6170760209999 2.39231503999997,-45.4039119929999 2.33439446200003,-45.0565525419999 2.24001014299995,-44.7484995419999 2.09516814300025,-44.7064825419999 2.08377014300021,-44.6490485419999 2.05677414300015,-44.5576205409999 2.03198314300028,-44.3622795409999 2.01437814300022,-44.3598125409999 2.01370914300014,-44.3582845409999 2.01357214299998,-44.3493305409999 2.01114614300019,-44.3482795409999 2.01105114300015,-44.3461405409999 2.01047214300019,-44.3461403969999 2.01047212800029,-44.3343145409999 2.00940714299998,-44.3328625409999 2.00901414300017,-44.328306765 2.00860416299997,-43.9942689449999 1.91818555800029,-43.7680145409999 1.85694214300014,-43.7679478859999 1.85691090700021,-43.7677758829999 1.85683018200018,-43.7672852539999 1.85669749800024,-43.7650255409999 1.8560861430002,-43.7635015409999 1.85537114300018,-43.7630115409999 1.85523814300018,-43.7616475409999 1.85459814299998,-43.7610289739999 1.8544312600003,-43.7579900069999 1.85300501800026,-43.7570324249999 1.85274606100023,-43.7558610259999 1.85219630600011,-43.7558606999999 1.8521962180003,-43.7558605409999 1.85219614300019,-43.7550195409999 1.85196814300014,-43.7533525409999 1.85118614300029,-43.7530355409999 1.85110014300028,-43.2273815399998 1.60452614299993,-43.22688754 1.6041781430003,-43.2228272959999 1.60227543800016,-43.2223784569999 1.60206500600015,-43.178528437 1.57123260200024,-42.7473175399999 1.26803314300014,-42.7464845399999 1.26719714300003,-42.74530254 1.26636714300014,-42.7428845399999 1.26394014300018,-42.7333075399999 1.25720914300018,-42.7305725399999 1.25446414300023,-42.7303145399999 1.25428314300018,-42.3202465389999 0.842916142000206,-42.319188539 0.841401142000279,-42.318230539 0.840440141999977,-42.3084205389999 0.826392142000088,-42.101776539 0.770839142000114,-42.1004335389998 0.770211142000221,-42.0997655389999 0.77003114200005,-42.0981785389999 0.769289142000105,-42.097784539 0.769183142000259,-42.0964395389998 0.768554142000255,-42.0957725389999 0.768375142000195,-42.0941355389999 0.767610142000137,-42.0939634639999 0.767564122000238,-42.0937918749999 0.767518014000302,-42.0937678679999 0.767506789000208,-42.093693539 0.767471141999977,-42.087788538 0.765885144000208,-42.0877465999999 0.765865539000288,-42.0864539459999 0.765261175000205,-42.086335903 0.765229457000203,-42.0858075389998 0.765087142000255,-42.0855275389999 0.764956142000074,-42.082791539 0.764221142000224,-42.0786445389999 0.762282142000174,-42.0518315389999 0.755078142000229,-42.0518115389999 0.755069142000195,-42.0505445469999 0.754728801000226,-42.0488449589999 0.754272184000172,-42.0487692449999 0.754236788000298,-42.0484505389999 0.754087142000174,-42.0428725389999 0.752589142000204,-42.0421867469999 0.752268708000145,-42.041376672 0.751890012000274,-42.0412437299998 0.75185429700025,-42.0408615389999 0.75175114200016,-41.9179715389998 0.694312142000229,-41.9090505389999 0.691916142000252,-41.9078177029999 0.691340879000165,-41.9077025529998 0.691287068000236,-41.907650244 0.691273023000235,-41.907039539 0.691108142000189,-41.9052495389999 0.69027214200014,-41.9050585389999 0.690221142000155,-41.9036095389999 0.689544142000273,-41.9033937369999 0.689486263000219,-41.9030469119999 0.689393143000302,-41.9028134159998 0.689284028000259,-41.9017005389999 0.688763142000141,-41.901035539 0.688585141999965,-41.9007605389999 0.68845614199995,-41.8980495389999 0.68772814200014,-41.8745465389999 0.676746142000241,-41.872084539 0.676085142000261,-41.8704445389999 0.675318142000037,-41.8701045389998 0.675227142000153,-41.8688075389998 0.674621141999921,-41.868092539 0.674429142000236,-41.8667035389998 0.673780142000169,-41.8661125389999 0.673621142000172,-41.8510925389999 0.666603142000156,-41.849686111 0.666226176000237,-41.8491378959999 0.666079019000222,-41.8485247359999 0.665792525000143,-41.8479915389998 0.665543142000217,-41.8471265389999 0.665311142000178,-41.8468505389999 0.665182142000162,-41.844140539 0.664454142000181,-41.8429625549999 0.66390441600015,-41.8425658949999 0.663719083000217,-41.8414389709998 0.663416595000228,-41.839143539 0.662800142000265,-41.8377955389999 0.662170142000207,-41.8371325389999 0.661992142000202,-41.836805539 0.66183914200019,-41.834146539 0.661126142000171,-41.8019105389999 0.646065142000282,-41.796206539 0.644534142000282,-41.7959295389999 0.644405142000267,-41.7932205389999 0.643678142000113,-41.7916955389999 0.642965142000094,-41.7882235389999 0.642034141000295,-41.7882163489999 0.642030781000187,-41.7865225389999 0.641239142000302,-41.7862125389999 0.641156142,-41.786035539 0.641073142000266,-41.7832265389999 0.640319142000237,-41.7819775389998 0.639736142000288,-41.7812155389999 0.63953114200018,-41.7798255389999 0.63888214200017,-41.7792345389999 0.638723142000117,-41.777583539 0.637952142000302,-41.77725178 0.637863673000197,-41.77722345 0.637856071000272,-41.777097176 0.637797082000247,-41.7744335389999 0.636552141999914,-41.7732315389999 0.636230142000272,-41.7407545389999 0.621059142000206,-41.7393121819999 0.620672339000237,-41.7382789119999 0.620395113000257,-41.737342774 0.619957846000204,-41.7333375389998 0.618086142000266,-41.2554915379999 0.576436142000262,-40.9893115379998 0.505209142000297,-40.5070875379999 0.548130142000161,-40.5042495379999 0.547886142000209,-40.501088538 0.548168142000236,-39.9231865369999 0.498617142000228,-39.922902537 0.498541141999965,-39.6308035369999 0.473640142000249,-39.6299705369999 0.473418142000185,-39.622825537 0.472810142000299,-39.5754285369999 0.460213142000214,-39.5270615369998 0.456102142000248,-39.5091785369999 0.451351142000249,-39.4482245369999 0.446176142000184,-38.8876565359999 0.297505141999977,-38.8865675359998 0.297000142000115,-38.8507185359999 0.287507142000152,-38.8492835359999 0.286842142000239,-38.8487395359999 0.286698142000205,-38.8472245359999 0.285996142000215,-38.8277895359999 0.280851142000301,-38.7822098889999 0.259739709000144,-38.7764226349998 0.257059170000105,-38.7764225359999 0.25705914300022,-38.7719224139999 0.255868085000259,-38.7705755359999 0.255244142000208,-38.7699125359998 0.255068142000255,-38.7632945359999 0.252003142000149,-38.7589515359999 0.250854142000264,-38.2326775359999 0.00737914100028547,-38.2301465359998 0.00561814100024094,-38.2286885359999 0.00494414100023732,-38.226536536 0.00344614100009721,-38.2207095359999 0.000753141000245705,-38.2188745359999 -0.00052285899994331,-38.2126995359999 -0.00337685899989992,-38.2086357579999 -0.00620407199988904,-38.2082467749999 -0.00647473099991203,-38.2082466069999 -0.00647480899988295,-38.2082465359999 -0.00647485899992262,-38.2077365359999 -0.00671085899989521,-38.1958725359999 -0.0149658589999149,-38.1957385359999 -0.0150278589998152,-38.1527850049999 -0.0449106139998889,-38.147184903 -0.04880666899993,-38.1471846219998 -0.0488067989999195,-38.1471845359999 -0.0488068589999102,-37.9682255349999 -0.131454858999916,-37.965553535 -0.133311858999889,-37.9642365349998 -0.133919858999946,-37.8518395349999 -0.212043858999891,-37.685881535 -0.288591858999894,-37.6856838229999 -0.288728483999932,-37.6855809269999 -0.288799946999973,-37.6419221519999 -0.308926391999876,-37.5940795349999 -0.330981858999905,-37.593339149 -0.33149570899991,-37.5928739289999 -0.33181870899989,-37.5910963869999 -0.332637976999877,-37.5625853859998 -0.352423082999906,-37.3481615349999 -0.501221858999941,-37.3347765349999 -0.507383858999901,-37.3280065349999 -0.512078858999871,-37.3280063889999 -0.512078925999958,-37.3280063019999 -0.512078986999882,-37.327796381 -0.512175614999876,-37.3237885349999 -0.51402085899997,-37.052148535 -0.702304858999923,-36.821154534 -0.808431858999938,-36.8198795229998 -0.809313862999886,-36.8198793279998 -0.80931399699989,-36.819775345 -0.809361744999933,-36.8181715339998 -0.810098858999879,-36.3411465339999 -1.13989285999992,-36.0662635339999 -1.41130885999996,-35.9838625339999 -1.32813185999993,-35.5090155329999 -0.991811859999927,-34.9830865329999 -0.742477858999848,-34.4220285319999 -0.587603858999955,-33.842836532 -0.531784858999913,-33.8422675319999 -0.531828858999916,-33.841832532 -0.531786858999908,-33.2620195309999 -0.576605858999926,-33.196941473 -0.593280743999912,-33.186204469 -0.596031976999882,-33.1537580329999 -0.587031263999847,-32.9993755309999 -0.544205858999931,-32.9975335309999 -0.544025858999873,-32.9893805309999 -0.5417638589999,-32.4096945299999 -0.485040858999923,-32.40913153 -0.485082858999874,-32.40872153 -0.485042858999918,-32.3643755299999 -0.488390858999935,-32.4423475299999 -0.308207858999879,-32.4728425859999 -0.223505245999888,-32.5132821879999 -0.111179929999878,-32.5717050339999 0.0899128250002832,-32.5970740699998 0.203407367000182,-32.61738553 0.294277142000055,-32.6396238309999 0.434682084000201,-32.6501444369999 0.501106573000243,-32.6698514289998 0.709584773000302,-32.6764290789999 0.918889000000263,-32.6698514289998 1.128193227,-32.6501444369999 1.33667142700028,-32.645533443 1.36578409500015,-32.61738553 1.54350114300019,-32.6008659729999 1.61740663400013,-32.5717050339999 1.74786517500019,-32.5132821879999 1.94895793000018,-32.4808110679999 2.0391499350003,-32.4423475299999 2.14598514300002,-32.3929501769999 2.2601368940002,-32.3591821379999 2.33817022800019,-32.264113096 2.52475372800001,-32.2125143239998 2.61200248700015,-32.1575155299999 2.704999144,-32.0398115299999 2.87819614400019,-32.0011787409999 2.92800155000009,-31.911464101 3.04366096700016,-31.7729803979998 3.20073989400009,-31.7164733769999 3.25724691500022,-31.6249065289999 3.34881314500029,-31.467827529 3.4872971450003,-31.3023635289999 3.6156441450002,-31.1727261129999 3.7037459710001,-31.1291666129999 3.73334897700028,-31.0153906339999 3.80063590400022,-30.948920529 3.83994614500017,-30.902728785 3.86348206700029,-30.7623372279999 3.93501513800027,-30.5701524739999 4.01818090800015,-30.456179418 4.05921373200027,-30.3731245279999 4.08911514500028,-30.287170263 4.11408732700005,-30.172032175 4.14753803400015,-29.9676678299999 4.19321887700016,-29.875793694 4.2077703110001,-29.760838528 4.22597714500023,-29.5523605279999 4.24568414500027,-29.3761580239999 4.25122180600022,-29.3430559999999 4.25226207900005,-29.2954417599998 4.25076574100024,-29.1337515269998 4.24568414500027,-28.9252735269999 4.22597714500023,-28.8067042759999 4.20719790500016,-28.7184441699999 4.19321887700016,-28.5140798249999 4.14753803400015,-28.4074950099999 4.11657228300015,-28.3129875259999 4.08911514500028,-28.221215996 4.05607556800015,-28.1159595259999 4.01818090800015,-27.9237747719999 3.93501513800027,-27.8077714579999 3.87590849700013,-27.7371915259999 3.83994614500017,-27.6396064399999 3.78223458800022,-27.5569453869999 3.73334897700028,-27.5279955029998 3.71367465599997,-27.383748526 3.6156441450002,-27.2182845249998 3.4872971450003,-27.0612055249999 3.34881314500029,-26.9615455499999 3.24915384299993,-26.913131602 3.20073989400009,-26.7746478989999 3.04366096700016,-26.6935905489999 2.93916246100014,-26.646300525 2.87819614400019,-26.5765675609999 2.77558758800024,-26.5285960229999 2.70499961300015,-26.4219989039998 2.52475372800001,-26.3269298619999 2.33817022800019,-26.2983509979999 2.2721283690002,-26.243764524 2.14598514300002,-26.2010649259999 2.02738397800016,-26.172829812 1.94895793000018,-26.1144069659999 1.74786517500019,-26.0885048169999 1.63198562200023,-26.0687265239999 1.54350114300019,-26.035967566 1.33667142600018,-26.0359675299999 1.33667114200017,-26.0162605709999 1.128193227,-26.0096829209999 0.918889000000263,-26.016260565 0.709584772000028,-26.0359675629999 0.501106573000243,-26.0429398699999 0.457085161000293,-26.0687265239999 0.294277142000055,-26.0922967199999 0.18882837700022,-26.1144069659999 0.0899128250002832,-26.172829812 -0.111179929999878,-26.2062866129999 -0.204109768999956,-26.243764524 -0.308207858999879,-26.2935510569999 -0.423258359999977,-26.3269298619999 -0.500392227999953,-26.4219989039998 -0.686975727999879,-26.5285960229999 -0.867221612999913,-26.64630053 -1.04041853599989,-26.7746478989999 -1.20588296699992,-26.913131602 -1.36296189399997,-27.0612051059999 -1.51103539799993,-27.080068571 -1.52766577999995,-27.2182845249998 -1.64951885999989,-27.3249931279999 -1.73229115899994,-27.3837484639999 -1.77786646999988,-27.4916724139999 -1.85121150999993,-27.5569455259999 -1.89557085999991,-27.7371915259999 -2.00216785999993,-27.9237745259999 -2.09723686099989,-28.1159595259999 -2.18040286099995,-28.3129875259999 -2.25133686099997,-28.5140795269999 -2.30975986099992,-28.718444527 -2.35544086099992,-28.748415028 -2.36018779499994,-28.9252735729999 -2.38819943699991,-29.1337517729999 -2.40790642899998,-29.276881234 -2.41240445299991,-29.3430555269999 -2.41448386099984,-29.3472885269999 -2.41435086099989,-29.3472884249999 -2.41435106999995,-29.3472885459999 -2.41435106599994,-29.3254579809999 -2.45912379399994,-29.2445995269998 -2.62495886099993,-29.0857225269999 -3.17976086199991,-29.0259405269999 -3.75360286199992,-29.0259880869999 -3.75426315399994,-29.0260438649999 -3.75503234999991,-29.0259299949999 -3.75611555599983,-29.0577476449999 -4.19985053499988,-29.0672065269999 -4.33176386299988,-29.2085475269999 -4.89189086299996,-29.213689356 -4.90330626799988,-29.2155305589998 -4.90739359799994,-29.2197355629999 -4.9241060569999,-29.2223085269999 -4.93433186299995,-29.28025385 -5.0631361319999,-29.4597054319999 -5.46203128299993,-29.4598174039999 -5.46219548399989,-29.4606694609999 -5.46409162199996,-29.7873106359998 -5.94333446799988,-29.7886849449999 -5.94474202899988,-29.794278773 -5.95295315399994,-30.2005526419999 -6.36910481899992,-30.6743399089999 -6.70936500699997,-30.6810864719999 -6.71261622999992,-30.6923433479999 -6.72069863399997,-31.2193420889999 -6.97451460499991,-31.2197572739999 -6.97463208899995,-31.2263422359999 -6.97780170499993,-31.425476444 -7.03412447999989,-31.4254764049999 -7.03412482999994,-31.4254765289999 -7.03412486499991,-31.4168495289999 -7.11233286499987,-31.416882529 -7.11282786499993,-31.4168435289999 -7.11318086499989,-31.4195511669999 -7.15346098499998,-31.4275628949999 -7.27264145299989,-31.426752678 -7.27995138599988,-31.426768712 -7.28019059399998,-31.4267498749999 -7.28036053199992,-31.4268049189999 -7.28118173599989,-31.426849529 -7.28184286499987,-31.4267325189999 -7.28289485999989,-31.4267840699999 -7.28366428999988,-31.4274327369998 -7.29334405499992,-31.4266099099999 -7.30076404499994,-31.4266255469999 -7.30099748999987,-31.4266255199999 -7.30099773299992,-31.4266255289999 -7.30099786499994,-31.4266075289999 -7.30116386499998,-31.426672529 -7.30213186499998,-31.426617703 -7.30262174099988,-31.4265957939999 -7.30281928699992,-31.4275949339998 -7.31774040799991,-31.4275280649999 -7.31834311399996,-31.4274965289999 -7.31862886499982,-31.4425305289998 -7.54403086599996,-31.439756529 -7.56889686599988,-31.4398467839999 -7.57026037199989,-31.4400180269999 -7.57283992899994,-31.4397086979999 -7.57561169199994,-31.4468934189999 -7.68426667799991,-31.4548775289999 -7.80500786599987,-31.4487015289999 -7.86002586599989,-31.4491525289999 -7.86689386599988,-31.4489147759999 -7.86900841199991,-31.4486158 -7.87166917399998,-31.4861737439999 -8.44874179599992,-31.487046816 -8.4522748949999,-31.4870847919999 -8.45286410999989,-31.4871415289999 -8.45373786599987,-31.4910065289999 -8.46937986599994,-31.4910106209999 -8.46944760999992,-31.4910158269999 -8.46952841599989,-31.5038127679999 -8.52132823799991,-31.5041056229998 -8.52588122099996,-31.5044985289998 -8.53198386699995,-31.5047708159999 -8.53308726799992,-31.5054539249999 -8.53585304799992,-31.5054691559999 -8.53608991499988,-31.505472529 -8.53614086699992,-31.6439515289999 -9.09772986699988,-31.649791529 -9.11083186699989,-31.6498114379999 -9.11091351899989,-31.6498608409998 -9.11111419799994,-31.6636693979999 -9.14209402299991,-31.6698215289999 -9.15589586699997,-31.7316098139999 -9.40712551599995,-31.7409994419999 -9.44530333099988,-31.741851783 -9.44721689999989,-31.7419867079999 -9.44776592999989,-31.7597023009999 -9.48754006499996,-31.76457053 -9.49846986699987,-31.765327283 -9.50155063899996,-31.767484995 -9.51033254999987,-31.7795777369999 -9.53748450099988,-31.8062837009999 -9.64622256699988,-31.8064134819999 -9.64651403899995,-31.8065495299999 -9.64681886799997,-31.8071990509999 -9.64946560999994,-31.8082319999999 -9.65367272499992,-31.8086282139998 -9.65456258299992,-31.8088285299999 -9.65501186799992,-31.8092145299999 -9.65658486799992,-31.8178155299999 -9.67590186799987,-31.8207554349999 -9.68787867799989,-31.8238256219999 -9.70038526299987,-31.8448862 -9.74769012499996,-31.8448865299999 -9.74769086799995,-31.8483154379999 -9.76166249499983,-31.8519168059999 -9.76975231699993,-31.87420553 -9.81981886799997,-31.8754727989999 -9.82498548899991,-31.875803587 -9.82633362999991,-31.8759493279999 -9.82666102499991,-31.8759675299998 -9.82670186799987,-31.8766289159999 -9.82939799899992,-31.877719742 -9.83384387299992,-31.8799113449999 -9.83876722099996,-31.8831125299999 -9.84595786799986,-31.8836155299999 -9.84800886799991,-31.8847934619999 -9.85065529299993,-31.8937548689999 -9.87078716599996,-31.8974966319999 -9.88604038999989,-31.8992205299999 -9.89306686799989,-31.9098494829998 -9.91694770499987,-31.9394197839999 -9.98338407499989,-31.9411451279999 -9.99041986499992,-31.9414105299999 -9.99150186799994,-31.9450133469999 -9.99959726399987,-31.9676699549998 -10.0505046289999,-31.9679258939999 -10.0515485309999,-31.968732571 -10.0533611129999,-31.968883693 -10.0539775009999,-31.9689114989999 -10.0540907429999,-31.9858204799999 -10.09209204,-32.20447753 -10.5835018679999,-32.2046779129999 -10.5837973979999,-32.2047555539999 -10.5839117629999,-32.2058041519999 -10.586268758,-32.2064272599999 -10.5876692609999,-32.2535626359999 -10.6570967579999,-32.2706433669999 -10.6954880579999,-32.2711502309999 -10.6962345919999,-32.2714215299999 -10.696633869,-32.2715238159998 -10.6968643659999,-32.2716386319999 -10.6971224329999,-32.2723635029999 -10.6981900549999,-32.2725982719999 -10.6987177339999,-32.2726335299999 -10.698796869,-32.2733725299999 -10.6998848689999,-32.2736285299999 -10.7004608689999,-32.274093201 -10.701145299,-32.2834569719998 -10.7149365079999,-32.286465978 -10.7216996129999,-32.2874335299999 -10.7238738689998,-32.2875440079999 -10.7240368129999,-32.2882109379999 -10.725019071,-32.2884285159998 -10.7255081039999,-32.289165864 -10.7265940719999,-32.2893771789999 -10.7270690279999,-32.2894235299999 -10.7271728689999,-32.2900078219999 -10.728033672,-32.2907311769999 -10.729099028,-32.2913818849999 -10.7305615719999,-32.2960727009999 -10.7374701539999,-32.2984106499999 -10.7427249409999,-32.2993015299999 -10.744726869,-32.3031585299998 -10.7504068689999,-32.3123088379998 -10.7709740709998,-32.3307318819999 -10.812382043,-32.657337158 -11.2932011519999,-32.6764202959999 -11.312733098,-32.6815089799999 -11.3202209109999,-32.6881605299999 -11.3300078689999,-32.6887993049999 -11.330661983,-32.6900347329999 -11.3319263779999,-32.6901655189999 -11.3321188199999,-32.6945981099999 -11.3366552949999,-32.6945984299999 -11.3366557669999,-32.69459853 -11.3366558689999,-32.6975641149999 -11.3410194139999,-32.709997663 -11.3593138749999,-32.710418444 -11.3597444939999,-32.712963712 -11.3634894519999,-32.7133606099999 -11.3638956259999,-32.715929643 -11.3676755179999,-32.7411173529999 -11.3934505869999,-32.7411175349999 -11.3934508659999,-32.7415123729999 -11.3940317339999,-32.7497775309999 -11.4061908689999,-32.7501615309999 -11.4065838689999,-32.7502722009999 -11.4067469419999,-32.750746936 -11.4074453549999,-32.7987464439999 -11.456556747,-32.7987465289999 -11.4565568699999,-32.8035204449999 -11.463578744,-32.828700861 -11.4893389049999,-32.8660702509999 -11.5442981859999,-32.8918483249999 -11.5706642619999,-32.9445019929999 -11.6480848489999,-33.0171141179999 -11.7223273229999,-33.0171143959998 -11.7223277319999,-33.0171145309999 -11.7223278699999,-33.0489363389998 -11.769099588,-33.050728485 -11.7709315249999,-33.0548732649999 -11.7770231239999,-33.2186040359999 -11.9443360099999,-33.22546921 -11.9544190419998,-33.244996531 -11.9830988699999,-33.2454521389999 -11.9835644969999,-33.2468153929999 -11.984957009,-33.2470015329999 -11.9852303819999,-33.2555187129999 -11.993930097,-33.2605695309999 -11.9990888699999,-33.3616074609999 -12.1474157789999,-33.4611136449999 -12.2934935339999,-33.5813401949999 -12.4161395839999,-33.6875465309998 -12.5244828699999,-33.7057628939999 -12.5511862659999,-33.7437519609999 -12.606873236,-33.7455055989999 -12.6086608679999,-33.7457268219999 -12.608985111,-34.1555813949998 -13.0264003769999,-34.1651459279998 -13.0332073179999,-34.1745858469999 -13.042811679,-34.1753091859999 -13.0433264329999,-34.1775727339999 -13.0456293399999,-34.4602642599998 -13.2466650499998,-34.6230579329999 -13.6091050819999,-34.6238486439998 -13.6102589339999,-34.6238866689998 -13.6103435579999,-34.6240525319999 -13.6107118709998,-34.6286749129999 -13.6174572899999,-34.6388670249999 -13.6323295499999,-34.6389018689999 -13.6324070869999,-34.6392235579999 -13.6328764739999,-34.6393365319999 -13.6330408709999,-34.6395929189999 -13.633612136,-34.6398628269998 -13.6342127509999,-34.6402380309999 -13.6347602199999,-34.6418400009998 -13.6383249999999,-34.6656295099999 -13.6730341699999,-34.666069047 -13.6740120999999,-34.6665515319999 -13.675084871,-34.6733805319999 -13.6850478709999,-34.6734625319999 -13.6852298709999,-34.6739534399998 -13.6859464339999,-34.674491449 -13.6867313069999,-34.6764320249999 -13.6910486689999,-34.6793866579998 -13.6953589269999,-34.6814705169999 -13.6999949199999,-34.6823205369998 -13.701885868,-34.6829758659999 -13.7028418349999,-34.6832544759999 -13.703461654,-34.6833134649999 -13.7035927209999,-34.6879800169998 -13.7104000519999,-34.6882314019999 -13.7109592869999,-34.688260532 -13.711023871,-34.6887123149999 -13.7116830849999,-34.689349233 -13.7126121709999,-34.689455493 -13.7128485569999,-34.6902145319999 -13.7145368709999,-34.6905865319999 -13.7150788709999,-34.6921915319999 -13.718649871,-34.6923668349999 -13.7189058769999,-34.6928478679999 -13.719607556,-34.6930609159999 -13.7200814939999,-34.693184532 -13.720355871,-34.6934127219999 -13.7206890459998,-34.693973746 -13.7215074019999,-34.6941612449999 -13.7219245009999,-34.69417835 -13.7219624669999,-34.694420932 -13.7223163149999,-34.6956105319999 -13.7240508709999,-34.7059435319999 -13.7470368709999,-34.706092532 -13.7472538709999,-34.7078885319999 -13.7512488709999,-34.7085349329998 -13.7521920009999,-34.7099887809999 -13.7543125189998,-34.7108679079998 -13.7562679989999,-34.7325326629999 -13.7878649389999,-34.7325977289999 -13.7880096479999,-34.7682080019999 -13.8399368419999,-34.7682108729999 -13.8399432249999,-34.7719486459999 -13.8453930549999,-34.7721624889999 -13.8458685319999,-34.7729508139999 -13.847017926,-34.7731565089998 -13.8474752819999,-34.7739577639999 -13.8486435219999,-34.7751935719999 -13.8513912689999,-34.7760945319999 -13.8533938709999,-34.777959274 -13.8561129529999,-34.7788905409999 -13.8574707209999,-34.7800369799999 -13.860019692,-34.7806907579999 -13.8609728709999,-34.7810297419999 -13.8617265559998,-34.7816847829999 -13.862681569,-34.7820225149999 -13.8634324669999,-34.7822557579999 -13.8637725209999,-34.7825375319999 -13.8641828719999,-34.7859445319999 -13.8717578719999,-34.9639245329999 -14.1310988719999,-34.9703459859999 -14.1453588769999,-34.9835459599998 -14.1746702239999,-34.9841083659999 -14.1754891839999,-34.9845078069999 -14.1763761099999,-34.9846204959999 -14.1765402039999,-34.9852204049998 -14.1778722459999,-34.9854955329999 -14.1784828719999,-34.9865654729999 -14.1800409089999,-34.9996938419999 -14.1991570319999,-35.0022787879999 -14.204896042,-35.0067867599999 -14.2114595789999,-35.0072234619998 -14.2124290919999,-35.0080078499999 -14.2135711259999,-35.0082172699999 -14.2140360519999,-35.1326032539998 -14.394944374,-35.3392355329999 -14.6954718719999,-35.3404650819999 -14.6967150909998,-35.3409446679999 -14.6971997959999,-35.3411066769999 -14.6974351649999,-35.341210533 -14.6975858719999,-35.342055194 -14.6984395179999,-35.3608597569999 -14.7174435189999,-35.3878937699999 -14.7567101099999,-35.3907343009999 -14.7595800559999,-35.3911925329999 -14.7600428719999,-35.3940880979999 -14.7642481579999,-35.4067547629999 -14.782643266,-35.4108290639999 -14.7867592439999,-35.4108294119999 -14.7867597499999,-35.4108295329999 -14.7867598719999,-35.4108819699999 -14.786836071,-35.4117368089999 -14.7880774029999,-35.4222102699999 -14.7986572649999,-35.4282915329999 -14.8047998719999,-35.4290633249999 -14.8059210429999,-35.4306380319999 -14.808207436,-35.4320132579999 -14.8095965329998,-35.4324455329999 -14.8100328719999,-35.4324964779999 -14.810107232,-35.4326439019999 -14.8103212789999,-35.5432543319999 -14.9220082159999,-35.5446667499999 -14.9240571239999,-35.5446665109998 -14.9240578399999,-35.5446665329999 -14.9240578719999,-35.4798418079998 -15.117791047,-35.4402232649999 -15.3923037179999,-35.3970465329999 -15.6914718729999,-35.3971995329999 -15.6955548729999,-35.3971130739999 -15.6961482539999,-35.3969369499999 -15.6973591809998,-35.4183589269999 -16.276966154,-35.465665278 -16.4902764959999,-35.4935165329999 -16.6158598739999,-35.4647075329999 -16.6673078739999,-35.3760242009999 -16.9252409929999,-35.275801002 -17.2167384709999,-35.2337933119999 -17.4929637159999,-35.1886905329999 -17.7895438749999,-35.1887122919999 -17.7902341359999,-35.1887268019999 -17.7906858259999,-35.1887021099999 -17.7908469209999,-35.1886575329999 -17.7911408749999,-35.2023460779999 -18.2245169129999,-35.2069476739999 -18.3701977029999,-35.2592134229999 -18.6090545259998,-35.3311955329999 -18.9380148759999,-35.3318598869999 -18.9395931199999,-35.3336718719999 -18.9438960309999,-35.3358809219999 -18.9539838729999,-35.563452872 -19.493201762,-35.8884166739999 -19.9871356309999,-36.3016129009999 -20.420302039,-36.38468331 -20.4813960689999,-36.3913639739999 -20.4969491149999,-36.3930365339999 -20.500842878,-36.3933909809998 -20.502419851,-36.393822746 -20.5043399969999,-36.3946409289998 -20.5062445569999,-36.3947181999999 -20.5065881849999,-36.3947785339999 -20.5068548779999,-36.3953552989999 -20.5081983099998,-36.3955953339999 -20.5087570499999,-36.3955955059999 -20.5087578119998,-36.3955955339999 -20.508757878,-36.3956213329999 -20.5088726659999,-36.395733569 -20.5093717729999,-36.3964864469999 -20.5111242429999,-36.3965093929999 -20.5112262809999,-36.3966585339998 -20.511887878,-36.3980633229999 -20.515158501,-36.4006809119999 -20.5212511059999,-36.401239339 -20.5237340859999,-36.4014045339999 -20.5244678779999,-36.4029865339998 -20.5281498779999,-36.4030994309999 -20.5286523729999,-36.4033126599999 -20.5296004209999,-36.4041169139998 -20.5314721629999,-36.4042396029998 -20.5320176439999,-36.4047067429999 -20.5331047959999,-36.4050575339999 -20.5339208779999,-36.4050880589999 -20.5340572379999,-36.4051949779999 -20.5345325949999,-36.4055425579999 -20.535341488,-36.4061288099999 -20.537947889,-36.4064599859998 -20.5387185889999,-36.4079797709999 -20.5454751549999,-36.4105018409998 -20.5513440069998,-36.4208334539999 -20.5972671539999,-36.4224403839999 -20.6010052619999,-36.423616534 -20.6037408779999,-36.4246045339999 -20.6081318779999,-36.5125762539999 -20.8122429269999,-36.6565235459998 -21.146227209,-36.6568564179999 -21.1467247469999,-36.657065534 -21.1470368779999,-36.6572310879999 -21.1474206279999,-36.6574998739999 -21.1480426399999,-36.659675308 -21.1512941079999,-36.6604096429999 -21.1529933719999,-36.9232535389999 -21.5448584749998,-36.9307455379999 -21.5776911409999,-36.9549505339999 -21.683764879,-37.0934162319999 -22.0012345159998,-37.189416576 -22.2213405529999,-37.4477145839999 -22.6020664819999,-37.539586933 -22.9981357739999,-37.5401939119999 -22.9995115239998,-37.5405287659999 -23.0009530739999,-37.5411356889999 -23.0023286619999,-37.5414705909999 -23.0037703759999,-37.542066887 -23.0051218429999,-37.5422361689999 -23.0058505579999,-37.5423845349999 -23.0064878799999,-37.5431005349998 -23.0081108799999,-37.543331504 -23.0091057449999,-37.544926619 -23.0127207439999,-37.5452333669999 -23.0140410979999,-37.782935707 -23.5510785069999,-37.7833087849999 -23.551622102,-37.7835855349999 -23.552024881,-37.7838833519999 -23.5526964589999,-38.1217982759999 -24.0432931679999,-38.1298929769999 -24.0514202109999,-38.1329675359999 -24.0545068809999,-38.1331038079999 -24.0547041799999,-38.133724844 -24.0556023729999,-38.5624377159999 -24.4842683919999,-38.5635505869999 -24.4850472649998,-38.5639175359999 -24.4853038809998,-38.5654325159999 -24.4868128539999,-38.5654325399999 -24.4868128749999,-38.5669050779999 -24.4878434039999,-38.5684272859999 -24.489359216,-38.7915489339999 -24.645194053,-38.9163134989999 -24.823131831,-38.9163135389999 -24.823131879,-38.9165308429998 -24.8233468539999,-38.9173055139999 -24.824450127,-39.0163179849999 -24.9223093639999,-39.1138873279999 -25.0608353419999,-39.1154938009999 -25.0624182089999,-39.1158724699999 -25.0629552189999,-39.1158835359999 -25.0629708819999,-39.1522573429999 -25.0986588759999,-39.5505269349999 -25.4894189519999,-39.5611346469999 -25.4966973069999,-39.562575704 -25.4981049269998,-39.562906437 -25.4983318259999,-39.5635145369999 -25.498748882,-39.5635401069999 -25.4987741019999,-39.5635877309999 -25.4988206199999,-39.5648937319999 -25.4997165759999,-39.5661957789999 -25.50098832,-39.5665845359999 -25.5013678829999,-40.0795985369999 -25.851638883,-40.1172587899999 -25.86883777,-40.6550168289999 -26.1144231239999,-41.2745089259999 -26.2811146659999,-41.9179545179998 -26.3462005349999,-41.9185993379999 -26.3461632299999,-41.9189882849999 -26.3462017799999,-42.370148317 -26.3194561629999,-42.44386252 -26.3385630999999,-42.4792608629999 -26.3419514779999,-42.4961338609999 -26.3463154329999,-42.4968367699999 -26.3463825599999,-42.5032924059999 -26.3480516449999,-42.6285525369999 -26.3599247399999,-42.7148645399999 -26.3681058829999,-42.7629694829999 -26.4127604449999,-42.8514539769999 -26.494897647,-42.852313852 -26.4954565649998,-42.8544560429999 -26.4974421609999,-43.3804610209999 -26.8375636009999,-43.9671981539999 -27.088764464,-43.9672063829999 -27.0887664989999,-43.971279882 -27.090499505,-44.1854385709999 -27.143292657,-44.3061799709998 -27.2197508629998,-44.3065068309999 -27.2198889279999,-44.3082236829998 -27.2209747549999,-44.4680089729999 -27.2882590259999,-44.5897045419999 -27.3395038839999,-44.6006999429999 -27.457726533,-44.6051365099999 -27.505428219,-44.6051364939999 -27.505428373,-44.6051365419999 -27.5054288839999,-44.6043956699999 -27.5125672399999,-44.6040076429998 -27.5163064129999,-44.6041456359999 -27.5177882359999,-44.6038738519999 -27.5204069209999,-44.6580645619999 -28.0996928239998,-44.6783757229998 -28.1678647349999,-44.6804980939999 -28.1903849479999,-44.683325542 -28.2203838849999,-44.7038765419999 -28.2892378849999,-44.717284047 -28.4309057459999,-44.7197865399999 -28.4573471809999,-44.8711566269999 -28.9609845129999,-44.8714817769999 -28.9643531619998,-44.8717625179999 -28.9672606359999,-45.0423679849999 -29.5294062699999,-45.2967250179998 -30.0050573149999,-45.3243995419999 -30.0568088869999,-45.3420059379999 -30.0785830609999,-45.4760516489999 -30.2443594439999,-45.479163612 -30.2501194459999,-45.8667998739999 -30.7258383469999,-45.882058867 -30.7388883329999,-45.9252785359999 -30.7915852699999,-46.2534363649999 -31.0702584199998,-46.4067595429999 -31.2004608879999,-46.408011157 -31.2012005089999,-46.4085688299999 -31.2015299609999,-46.4138327489999 -31.2059740029999,-46.5701247659999 -31.2981313919999,-46.5701559899999 -31.298227154,-46.5701585069999 -31.2982347769999,-46.5704195819999 -31.2987022039999,-46.5710907279999 -31.3007604519999,-46.5718750389999 -31.3021645979998,-46.5738876329999 -31.3083359749999,-46.5740746919999 -31.3086708249999,-46.5743718199999 -31.3095818439999,-46.5747895429999 -31.310861888,-46.575744543 -31.312570888,-46.5757471869999 -31.3125801409999,-46.575748759 -31.312584961,-46.5757540759998 -31.3125944769999,-46.5757635429998 -31.3126108879999,-46.5784875429999 -31.3209618879999,-46.5786466449999 -31.3212470459999,-46.5787472569999 -31.3214271089999,-46.5787474659999 -31.321427749,-46.5787475429999 -31.321427888,-46.579125513 -31.3225865439999,-46.5794194759999 -31.3234876029999,-46.5796810099999 -31.3239556419998,-46.5803517589999 -31.3260115159999,-46.581057023 -31.3272735799999,-46.5831175209999 -31.33358831,-46.5840718589999 -31.33529585,-46.5840758899998 -31.3353082039999,-46.5840774739999 -31.3353126899999,-46.5850314649999 -31.337019547,-46.5850368489999 -31.3370360449999,-46.5865231609999 -31.3396951959999,-46.5865231769999 -31.3396952319999,-46.5865235429999 -31.3396958879999,-46.5878334739999 -31.343709694,-46.5878334989998 -31.3437097509999,-46.588785828 -31.3454133539999,-46.5887900229998 -31.3454262059999,-46.5887935429999 -31.3454358879999,-46.5888035429999 -31.345453888,-46.5912714779999 -31.353013007,-46.5970347669998 -31.3706642449998,-46.6008010259999 -31.3773981299999,-46.62167535 -31.4412497509999,-46.6255655429999 -31.4531488879999,-46.6262037419998 -31.4542886459999,-46.6278774919999 -31.4572770269999,-46.6347909709999 -31.4784002919999,-46.6350286129998 -31.4788244149999,-46.6384594719999 -31.4893033479999,-46.6394093009999 -31.4909981739999,-46.6394095389998 -31.490998889,-46.639409702 -31.4909993969999,-46.6394188339999 -31.4910272869999,-46.6403519819999 -31.4926922859999,-46.6431148289999 -31.5011283919998,-46.6444016579999 -31.5034240279999,-46.6447443319999 -31.5044701659999,-46.6450095429999 -31.5052788879999,-46.6457339589999 -31.506571665,-46.6470847369999 -31.5089811469999,-46.6478287279999 -31.511252116,-46.6480550049999 -31.5116557089999,-46.6481675429999 -31.5118558879999,-46.648437642 -31.5126811389999,-46.648763865 -31.5136768479999,-46.648906756 -31.5139317009999,-46.6524284729999 -31.5246792889999,-46.6533772309998 -31.5263710979999,-46.653377415 -31.5263716589999,-46.653377543 -31.5263718879999,-46.6533786389999 -31.5263753949999,-46.6533877669999 -31.5264032449999,-46.653615986 -31.5268101929999,-46.6570556979999 -31.537304514,-46.6572029709999 -31.5375670739999,-46.6572315429999 -31.5376178879998,-46.6579565429999 -31.5398298879999,-46.6585641039999 -31.5409131109999,-46.6585645429998 -31.5409138879999,-46.6614387709999 -31.5496796249999,-46.6662197559999 -31.5642595809999,-46.6681717939999 -31.567737942,-46.6708774839998 -31.575985545,-46.671824736 -31.577673131,-46.6718366769999 -31.5777095249999,-46.6719637959999 -31.5779359889999,-46.6721725429999 -31.5783068879999,-46.6725668249999 -31.5795101369999,-46.6727716199999 -31.5801342949999,-46.673630379 -31.5816641009999,-46.6736759549999 -31.5818029949999,-46.6737275389999 -31.58195989,-46.6737325009998 -31.58196874,-46.6739887549999 -31.582425222,-46.6745593639999 -31.584164093,-46.6746315149999 -31.5843838019998,-46.6812284379999 -31.5961333609999,-46.7105836979999 -31.685473395,-46.7112459179998 -31.6866508639999,-46.7118565439999 -31.687735888,-46.7124774129999 -31.6896244919999,-46.7127185479999 -31.6900532199999,-46.7134083249999 -31.6921502119999,-46.7137593469999 -31.6927742699999,-46.7142785439999 -31.693696888,-46.7143364399999 -31.6938735599999,-46.714958482 -31.6949794109999,-46.7152805439998 -31.6955518879999,-46.7152955059998 -31.695597774,-46.718137832 -31.7006504299999,-46.7181448079999 -31.7006716319999,-46.7213157509999 -31.70630778,-46.7219287539999 -31.7081705239999,-46.722872002 -31.7098468969999,-46.7228876899998 -31.7098945659999,-46.7238308779999 -31.7115707679999,-46.723846624 -31.7116186089999,-46.7247897499999 -31.7132946389999,-46.7248055539999 -31.7133426529999,-46.726944573 -31.7171436699999,-46.7276270249999 -31.7192168209999,-46.7285682209999 -31.7208891559999,-46.7285683469999 -31.7208895389999,-46.7285685439999 -31.7208898879999,-46.7285716409999 -31.7208995439999,-46.728585874 -31.7209427789999,-46.7288269739999 -31.7213711599999,-46.7295169449999 -31.7234669319998,-47.0267598259998 -32.2484762579999,-47.026777857 -32.2484975089999,-47.0280300159999 -32.2506959969999,-47.028671544 -32.2518218889999,-47.029124474 -32.252355994,-47.0295479139999 -32.252855014,-47.0296567809999 -32.2530461449998,-47.0303551169999 -32.2538691039999,-47.0303724359999 -32.2538995089999,-47.0306395439999 -32.2543678889999,-47.0309906409998 -32.2547819609999,-47.0321230119999 -32.2561163559999,-47.0429608739999 -32.2751374409999,-47.0441315479999 -32.2771918849999,-47.0442517809999 -32.2773334959999,-47.0465794609999 -32.2814174069999,-47.0479855439999 -32.2838838889999,-47.0488949669999 -32.2849551349999,-47.0493456619999 -32.2854859179999,-47.052830703 -32.291599252,-47.0530159369999 -32.2918173689999,-47.053090544 -32.291904889,-47.0576575439999 -32.2999148889999,-47.0581195249999 -32.3004590809998,-47.0590453629999 -32.3015490729998,-47.0596218799999 -32.3025600559998,-47.0596713529999 -32.3026182989999,-47.060563623 -32.3041829349999,-47.0696151819999 -32.314837155,-47.0706859159999 -32.3167140249999,-47.0723055439999 -32.319552889,-47.0723378469999 -32.3195909269999,-47.0739620059999 -32.321502172,-47.0742077149999 -32.3219328219999,-47.0742455439999 -32.3219988889999,-47.0745669319999 -32.322377129,-47.0756307579999 -32.3236289279999,-47.0762098729999 -32.3246438649999,-47.0763509149999 -32.3248098209999,-47.0771826159999 -32.326267382,-47.084742341 -32.3351612139999,-47.0869285329999 -32.3389913129998,-47.0913919649999 -32.344241091,-47.091666069 -32.3447212079999,-47.0918285439999 -32.3450048889999,-47.0944228779999 -32.3480564549999,-47.0964756429999 -32.3504705019999,-47.0967308099998 -32.3509173739999,-47.1008395829999 -32.3557485869999,-47.1011945439999 -32.356165889,-47.101276635 -32.3563097369999,-47.1016303769999 -32.3569291379999,-47.1032423679998 -32.3588243639999,-47.1045398709999 -32.3610960849999,-47.1061029999998 -32.3629336919999,-47.1065076239998 -32.3636420549999,-47.1084188369999 -32.3669878279998,-47.1144838039999 -32.374116381,-47.1162277569999 -32.3771685029999,-47.117690865 -32.378887891,-47.1220456539999 -32.3865079689999,-47.1250295389999 -32.3900137419999,-47.1269196139999 -32.393320274,-47.1299451899998 -32.3968744729999,-47.1299455439999 -32.3968748889999,-47.1300889949998 -32.3971260109999,-47.1308239819999 -32.3984116059999,-47.1309592759999 -32.398570526,-47.1309593629999 -32.398570677,-47.130959544 -32.398570889,-47.1310452479999 -32.3987208959999,-47.1317966549999 -32.4000351619998,-47.139262829 -32.4088038809999,-47.1425115529999 -32.4144842189999,-47.1437266229999 -32.4159109129999,-47.1440725439999 -32.4163168889999,-47.1443626689999 -32.4168244289999,-47.1444792849999 -32.4170283049999,-47.1474406509999 -32.4205051579999,-47.1506069499998 -32.426039647,-47.1512645479999 -32.427188885,-47.1527266649999 -32.4289051579999,-47.153200811 -32.4297338219999,-47.1540341339999 -32.4307119449999,-47.154706544 -32.4315008889999,-47.155211267 -32.432383361,-47.1561379329999 -32.4340027479999,-47.157669417 -32.435800174,-47.161927723 -32.4432404999999,-47.1628866339999 -32.4443657099999,-47.1631775439999 -32.444706889,-47.1685205679999 -32.4540394469999,-47.1744756269999 -32.4644407289999,-47.1762105959999 -32.4664756739999,-47.1764464029999 -32.466887422,-47.1777217369999 -32.4683831829998,-47.1783798049999 -32.4695321789999,-47.1784008069999 -32.4695568099999,-47.1784035439999 -32.4695598889999,-47.1812915439999 -32.4746018889999,-47.1812961219999 -32.4746073569999,-47.1813275149999 -32.47464417,-47.1822328219999 -32.4762246139999,-47.1845983149999 -32.4789983589999,-47.1848582379999 -32.47945206,-47.186155544 -32.4817158889999,-47.18825829 -32.4841816059998,-47.1912244609999 -32.4876591219999,-47.195858438 -32.4957454369999,-47.1984589589999 -32.4987933989999,-47.1988655439998 -32.4992698889999,-47.1989628489999 -32.499439767,-47.1997625949999 -32.5008350289999,-47.2103019749998 -32.5131849119999,-47.2182645899999 -32.527069261,-47.2223650909999 -32.5318717349998,-47.2226615439999 -32.532218889,-47.2243808939999 -32.535215803,-47.2279856879999 -32.5414988269999,-47.228493334 -32.5420932149999,-47.2292295439999 -32.5429548889999,-47.230659821 -32.5454476869999,-47.234741023 -32.5525592189999,-47.2360676769998 -32.5541121959998,-47.2472906339999 -32.5736608239999,-47.2487374129999 -32.5753536709999,-47.2487375419999 -32.5753538899999,-47.2492275449998 -32.5762068879999,-47.2537560349999 -32.5815050179999,-47.2550984539999 -32.5838421829999,-47.2566653069999 -32.5856750769998,-47.258007353 -32.5880113439999,-47.2609942989999 -32.5915050489999,-47.261911265 -32.5931010879999,-47.2664855179999 -32.5984505119999,-47.2678515439998 -32.6000478889999,-47.2681537229999 -32.600573929,-47.2687775509999 -32.6016594809999,-47.2688975809999 -32.601799835,-47.2697500179999 -32.6032831399999,-47.2708898639999 -32.6046159149999,-47.2711295439999 -32.604895889,-47.2718630279999 -32.6061725159999,-47.272655688 -32.607551675,-47.277080364 -32.6127245339999,-47.278495936 -32.615186986,-47.2785254689999 -32.6152215079998,-47.2785465439999 -32.6152458889999,-47.2794391839999 -32.6167989209999,-47.2804375919999 -32.6185355779999,-47.2804910779999 -32.6185980969999,-47.28049154 -32.6185988909999,-47.2806485899998 -32.6188720559999,-47.2823793009999 -32.621882263,-47.2866812549998 -32.626910047,-47.2868357989998 -32.6271787909999,-47.2872475439999 -32.6278938889999,-47.2887815439999 -32.6296868889999,-47.2889758209999 -32.6300251919999,-47.2892144419998 -32.6304401099999,-47.290658247 -32.6321272329999,-47.2911508639999 -32.632983747,-47.2925711299999 -32.634643265,-47.2925713769999 -32.6346436939999,-47.2925715439999 -32.6346438889999,-47.2959985439999 -32.6406008889999,-47.2975345439999 -32.6423958889999,-47.2976380929999 -32.6425760779999,-47.29796551 -32.643145213,-47.2995209889999 -32.6449623049999,-47.3008475 -32.6472679119999,-47.3008743259999 -32.6473145089999,-47.3080896919999 -32.655741909,-47.3154672539999 -32.6685593929999,-47.3154672759999 -32.6685594239999,-47.3169068269999 -32.670240129,-47.3174036229999 -32.671103064,-47.320368307 -32.6745641049999,-47.3207910589999 -32.6752983279999,-47.321307544 -32.6761948889999,-47.3240674799999 -32.6794165859999,-47.3288383879999 -32.6849851949999,-47.3301127599999 -32.6871978169999,-47.331517001 -32.688836556,-47.3349597929999 -32.694813231,-47.3363614479999 -32.6964486809999,-47.3398067899999 -32.7024286619999,-47.3455186409999 -32.7090917199999,-47.3514626919999 -32.7194046579999,-47.3543952179998 -32.722824374,-47.3543954549999 -32.7228247849999,-47.3543955439999 -32.7228248889999,-47.3592185439999 -32.7311898889999,-47.3596293609998 -32.7316689059999,-47.3620193509998 -32.7344552339999,-47.3650598939999 -32.7397275559999,-47.3680128019999 -32.7431694799999,-47.368963417 -32.7448175529999,-47.3702676509998 -32.7463376259999,-47.3747792359998 -32.7541581039999,-47.37639395 -32.7560396529999,-47.3767186979999 -32.756602492,-47.3784019329999 -32.758563738,-47.3793395439999 -32.7596558889999,-47.3814780159999 -32.7633620929998,-47.3834983899999 -32.7668630839999,-47.3843234519999 -32.7678242229999,-47.402803913 -32.7998323699998,-47.4029124379999 -32.7999587089999,-47.4029125429999 -32.7999588899999,-47.402930646 -32.799990233,-47.4037762389999 -32.8014542199999,-47.40671242 -32.804872095,-47.4076795259999 -32.8065462289999,-47.408915366 -32.8079846799999,-47.4089155439999 -32.8079848889999,-47.4090427539999 -32.8082051789999,-47.4096124409999 -32.8091912759999,-47.409641859 -32.809225515,-47.4096465439999 -32.8092308889999,-47.4102039879998 -32.8101960429999,-47.4124949619999 -32.814161299,-47.4133408519999 -32.8151457039999,-47.4136885439999 -32.815549889,-47.4169030679999 -32.8211130679999,-47.419279392 -32.825225178,-47.4206645459998 -32.8268367669999,-47.4216618199999 -32.8285619989999,-47.4270085439999 -32.8378108889999,-47.4279952469999 -32.838959066,-47.4283341619998 -32.8393532789999,-47.4283344559999 -32.8393537859999,-47.4283345439999 -32.8393538889999,-47.4289725439999 -32.8404568889999,-47.4289829299999 -32.8404692719999,-47.4289987139999 -32.840487631,-47.4318545209999 -32.8454267539999,-47.4329386689999 -32.846687587,-47.438607691 -32.8564901119999,-47.4401168429999 -32.8582447869999,-47.4405747749999 -32.8590364749999,-47.4584589259999 -32.8798238109999,-47.4591766619998 -32.881063863,-47.4604149179999 -32.8825026789999,-47.4630506139999 -32.887055937,-47.8713545469998 -33.3585358879998,-47.8713545809999 -33.3585359209999,-47.8713921179999 -33.3585662029999,-47.8733627179999 -33.3601558969999,-47.8793259719999 -33.3669984709999,-47.879571155 -33.367196222,-47.9090539209999 -33.4010080099998,-47.9099793079999 -33.4017537209999,-47.9110395449999 -33.4026078899999,-47.9144057159999 -33.406466211,-47.9199587779999 -33.4128305969999,-47.9219605079999 -33.4144431679999,-47.9239387509999 -33.4167099439999,-47.9255937759999 -33.4180430779999,-47.9259498879999 -33.4184510969999,-47.9275747969999 -33.4197599039999,-47.9289284639999 -33.4213107759999,-47.930927395 -33.4229207079999,-47.9309275469998 -33.4229208869999,-47.9329084499998 -33.4251901319999,-47.935008995 -33.4268817189999,-47.9398530409998 -33.4324299939999,-47.9438038159999 -33.4356109009999,-47.9518046039999 -33.4447720919999,-47.964919691 -33.4553267959999,-47.981653556 -33.47447377,-47.9891985369999 -33.4805412729999,-47.9965723659998 -33.4889736549999,-48.0032628799999 -33.4943519029999,-48.004557726 -33.49583217,-48.0067774729999 -33.4976162629999,-48.007186545 -33.4979448899998,-48.0072788329999 -33.4980507009999,-48.007576034 -33.4983904279998,-48.0110730219999 -33.5012008379999,-48.0115701469999 -33.5017690359999,-48.0166049989999 -33.5058148789999,-48.0175442899999 -33.5068882899999,-48.0352906069999 -33.5211441609999,-48.035551722 -33.5214424129998,-48.0399854399999 -33.5250030109999,-48.0410065449999 -33.5258228899999,-48.0435265439999 -33.5287008909998,-48.0436838919999 -33.5288272109999,-48.0593547769999 -33.5414077669998,-48.0600355079999 -33.542184796,-48.0605185449999 -33.5427358899999,-48.1369535449999 -33.6040238899999,-48.1398982969999 -33.6073784489999,-48.1434927489999 -33.6114725119999,-48.1505555089999 -33.6171286179999,-48.156443667 -33.6238326619999,-48.1599026999999 -33.6266019339999,-48.1603634369999 -33.6271264119998,-48.1604381279999 -33.6272114159999,-48.163369641 -33.6295581339999,-48.168390366 -33.6352725259999,-48.1872408249999 -33.6503548509999,-48.1944275449999 -33.6561048899998,-48.2032927299999 -33.6661802549999,-48.2400217629998 -33.7079223399999,-48.2550819769999 -33.719949872,-48.2857513809999 -33.7547505869999,-48.2978776519999 -33.7644228099999,-48.2995665449999 -33.7657698899999,-48.3038748029999 -33.7706534209999,-48.3146197139999 -33.782832673,-48.3186827189999 -33.7860712739999,-48.3196187419999 -33.7871318709998,-48.3229874349999 -33.7898166789999,-48.3239915449999 -33.7906168899999,-48.324244571 -33.7909037069999,-48.3246206269999 -33.7913297509999,-48.325267894 -33.7918455729999,-48.3256249799999 -33.7922501129999,-48.3351769969999 -33.7998612619999,-48.335605965 -33.8003471049998,-48.3361614099999 -33.8007896259999,-48.3362825449998 -33.80088589,-48.3366716439999 -33.8013269269999,-48.337609045 -33.8023885669999,-48.3431639919999 -33.806813656,-48.3445884949998 -33.8084266459998,-48.346191432 -33.8097033809998,-48.3466000669999 -33.8101660529998,-48.352456337 -33.814830059,-48.3534589689999 -33.8159650709999,-48.3535825439998 -33.8161048909999,-48.3536047439999 -33.8161225709999,-48.3551840619999 -33.8173801999999,-48.3555939199999 -33.817844141,-48.359948904 -33.8213117559999,-48.3605958389998 -33.8220439609999,-48.4914679699999 -33.925568224,-48.8686935459999 -34.2239658899999,-48.868955504 -34.2241100639999,-48.8691009529998 -34.224189914,-48.8823918769999 -34.2461063089999,-48.8831518959999 -34.248194632,-48.88396664 -34.2495376729999,-48.8841065619999 -34.2499221129999,-48.8848963149999 -34.2512239019999,-48.8849685459999 -34.2513428899999,-48.8852616579999 -34.2521482599999,-48.886882859 -34.256602028,-48.8872649039999 -34.257231686,-48.8877015459999 -34.2579508899999,-48.8877904089999 -34.2581959179998,-48.8878376529999 -34.2583256909999,-48.8918978569999 -34.265016665,-48.8945498909999 -34.2722988059999,-48.8962505459998 -34.2769678909999,-48.8968284879999 -34.2779202029999,-48.8971674209999 -34.2784785539999,-48.8971675449999 -34.2784788909999,-48.8971680009999 -34.2784801449998,-48.8972086409999 -34.278591717,-48.8979454999999 -34.2798055549999,-48.8980569719999 -34.2801115679999,-48.8981324869999 -34.28031873,-48.899972508 -34.2833496329999,-48.9009735209999 -34.2860972219999,-48.9013175499999 -34.286663851,-48.9016105459999 -34.287145891,-48.9018419169998 -34.2877819569999,-48.9018934499999 -34.2879233949998,-48.941619535 -34.3532975089999,-48.954766903 -34.389288005,-48.9555754 -34.3906164009999,-48.9556035909999 -34.3906935349999,-48.9557215459999 -34.3910158909999,-48.9558151839998 -34.3911698329999,-48.9565309859999 -34.3923458779999,-48.9566769479999 -34.3927452239999,-48.9575995929999 -34.3952694559999,-48.9584354169999 -34.3966425669999,-48.9584355409999 -34.3966428919999,-48.9584368049999 -34.3966463649999,-48.9585270069998 -34.3968931239999,-49.2781232989999 -34.918416035,-49.2786626159999 -34.9190088239999,-49.2887679579999 -34.9353844129999,-49.2895889929999 -34.9362864929998,-49.2914292369999 -34.9392677319999,-49.2916693489999 -34.9396565719999,-49.2975690299999 -34.9461374259999,-49.3004766409999 -34.9508462349999,-49.3014325459999 -34.9523938909999,-49.302053781 -34.9530764209999,-49.3025571429999 -34.9536292279999,-49.3025575479999 -34.9536298899999,-49.3033663199998 -34.9549394899998,-49.3042779879999 -34.9559406479999,-49.3058846779999 -34.958542043,-49.3062985459999 -34.9592118909999,-49.3070100889998 -34.9599934,-49.3073152249999 -34.9603284519998,-49.3073153909999 -34.9603287209999,-49.3073155459999 -34.9603288909999,-49.3074514369999 -34.9605489669999,-49.3092029209999 -34.963384461,-49.3096819399998 -34.963910394,-49.3099095459999 -34.9641598909999,-49.3101875459999 -34.964609891,-49.3104100069999 -34.9648545109999,-49.3106995809999 -34.9651724359998,-49.3111680219999 -34.9659307199999,-49.3159571509999 -34.9711881179999,-49.3169545459999 -34.9722828909999,-49.3176842999998 -34.973464002,-49.3208999959999 -34.9786678059999,-49.3221088439998 -34.9799945109999,-49.3228649479999 -34.9812179029999,-49.324799986 -34.9833414319999,-49.3248127219999 -34.9833620369999,-49.3346442499999 -34.9941492539999,-49.3356149389999 -34.9957191279999,-49.340575679 -35.0011606239999,-49.3424457919999 -35.0041843939999,-49.3429362129999 -35.0047222579999,-49.3463137229998 -35.010182624,-49.3477276089999 -35.0117330479999,-49.3481875719999 -35.0124765639999,-49.3482825439999 -35.0126298929999,-49.3500117949999 -35.0145260079999,-49.3502265229999 -35.0148730809999,-49.3509293059998 -35.0156436349999,-49.3509295459998 -35.0156438909999,-49.3509774169999 -35.015721405,-49.3512106859999 -35.016098433,-49.3644672419999 -35.0306301449999,-49.3649584429999 -35.0314236729999,-49.36586836 -35.0324208489999,-49.3675895459998 -35.0343068909999,-49.367757116 -35.0345780099999,-49.3678903379998 -35.0347932039998,-49.7969392029998 -35.5017992269999,-49.7969693219999 -35.5018221839999,-49.800910213 -35.5060824429999,-49.8018054949998 -35.506764754,-49.8098600829999 -35.5154702099998,-49.818804713 -35.522284538,-49.8299124459999 -35.5342821039999,-49.8357665459999 -35.5406048919999,-49.8374685419999 -35.5419008889999,-49.8417535459999 -35.5465268919999,-49.8427260339998 -35.5472675189998,-49.8446898839998 -35.548762387,-49.8457505549999 -35.5499073959999,-49.8507784669999 -35.5537340799999,-49.855492077 -35.5588212129999,-49.8567085459999 -35.5601338919999,-49.856822199 -35.5602205279999,-49.8575629909999 -35.560784192,-49.8616875409999 -35.565234769,-49.861735536 -35.5652712829999,-49.8636886689999 -35.5673785969999,-49.8903539199998 -35.5876568549999,-49.8917262679999 -35.5891363579999,-49.9112054249999 -35.6039401149999,-49.911675749 -35.6044468699999,-49.9117575459999 -35.6045348919999,-49.9215275459999 -35.6119568919999,-49.921573176 -35.6120061929999,-49.9217888119998 -35.6122384659999,-49.9299367039999 -35.6184266779999,-49.9318056309999 -35.6204392749999,-49.9325799439998 -35.6210272519999,-49.9347835959998 -35.6234001009998,-49.9363881309999 -35.6246183899999,-49.9387694709998 -35.627182268,-49.9395418419999 -35.627768653,-49.941747446 -35.6301430989998,-49.9717023379998 -35.6528740989998,-49.9767902519999 -35.6583462849999,-49.978123303 -35.6593572839999,-49.9788032089999 -35.6600884459999,-49.9788035439999 -35.6600888929999,-49.9800693559999 -35.6617921329999,-50.0148271479998 -35.7085611109998,-50.0148275489998 -35.7085618899998,-50.0915388065579 -35.8568961005254,-50.1398050833303 -35.8261924278012,-50.2705474946259 -35.742962422253,-50.4011539735226 -35.6597312060749,-50.531624911453 -35.5764988255163,-50.6619609113637 -35.4932653285701,-50.7921626767836 -35.4100306734378,-50.9222305704424 -35.3267948178419,-51.052165385515 -35.2435578106737,-51.1819673557835 -35.1603197009803,-51.311637145055 -35.0770803580451,-51.4411754077105 -34.9938399215212,-51.5705824587848 -34.9105982619787,-51.6998590436838 -34.8273555192913,-51.8290056772809 -34.7441115637931,-51.9580227584245 -34.6608665376229,-52.0869108926414 -34.5776203113879,-52.2156705689135 -34.4943729371507,-52.3443024837147 -34.4111243749325,-52.4728068920077 -34.3278747699451,-52.6011844691357 -34.2446239025602,-52.7294357785052 -34.1613719150072,-52.857561158666 -34.0781189529416,-52.8662350133496 -34.0724772741604,-52.9855613612284 -33.9948646152666,-53.1134367111734 -33.9116092288024,-53.2411878420214 -33.8283527550318,-53.3598935079149 -33.7509151092386,-53.3705706709998 -33.742844228,-53.3739188599998 -33.740468945,-53.373389887 -33.740185561,-53.3105635499999 -33.7065278899999,-53.2688905499999 -33.6791728899999,-53.2354185499999 -33.6554188899999,-53.2161185499999 -33.6405548899999,-53.1469455489999 -33.5775098899998,-52.9502815489999 -33.42583689,-52.9113905489999 -33.3955638899999,-52.736118549 -33.2509728899999,-52.639863549 -33.1337548889999,-52.628618549 -33.1152818889999,-52.5188905489999 -32.9127818889998,-52.499454549 -32.8727818889999,-52.4555545489999 -32.7616728889999,-52.4473635489999 -32.7297278889998,-52.441945549 -32.702227889,-52.4263905489999 -32.6519458889999,-52.3759095489999 -32.5002818889999,-52.2686185489999 -32.3122278889999,-52.2550095489999 -32.2886098889999,-52.2275725489999 -32.2546548889999,-52.1541635489999 -32.2016638889999,-52.090763549 -32.1643818889999,-52.100836549 -32.1150098889999,-52.1227815489999 -32.103054888,-52.1836185489999 -32.0805548879999,-52.2271905489998 -32.0882998879999,-52.2547185489999 -32.055281888,-52.2387545489999 -31.9731998879999,-52.1783365489998 -31.9426368879999,-52.1938905489999 -31.8869458879999,-52.2247275489999 -31.8411188879999,-52.2176365489999 -31.7449998879999,-52.1969455489998 -31.7265278879998,-52.1588905489999 -31.7111098879999,-52.124454549 -31.6999998879999,-52.0868095489999 -31.6881998879999,-52.066809548 -31.6737548879999,-52.0426365479999 -31.6349998879999,-52.0047185479999 -31.549163888,-51.997918548 -31.4245818879999,-51.9913905479999 -31.3983368879999,-51.9637545479998 -31.3373638879999,-51.918199548 -31.308054888,-51.6556995479999 -31.2218098879999,-51.6480545479999 -31.1897278879999,-51.6400095479998 -31.1686098879999,-51.6164545479999 -31.1347908879999,-51.5719455479999 -31.1238908879999,-51.513336548 -31.0994458879999,-51.4677815479999 -31.0609728879999,-51.4818095479999 -31.0323638869999,-51.484727548 -30.9780548869999,-51.484727548 -30.9580548869999,-51.4786185479999 -30.928054887,-51.4622275479999 -30.896736887,-51.3877815479999 -30.7469458869999,-51.385972548 -30.6711098869999,-51.3769455479999 -30.6511098869999,-51.3522275479999 -30.6347278869999,-51.3232185479999 -30.6561908869999,-51.2933365479998 -30.7269458869999,-51.291390548 -30.7665998869999,-51.3082635479999 -30.7799368869999,-51.2772905479999 -30.7999368869999,-51.2677815479999 -30.7808368869999,-51.2658365479999 -30.7577818869999,-51.2861635479999 -30.6499098869999,-51.289727548 -30.5899998869999,-51.2690275479999 -30.509309887,-51.2427815479999 -30.4486098869998,-51.2062545479999 -30.4038908869999,-51.2863275479999 -30.2865998869999,-51.3145905479999 -30.1613908869999,-51.2750365479999 -30.0105548869999,-51.2340275479999 -30.0490278869998,-51.241745548 -30.0807638869999,-51.2166635479999 -30.1613908869999,-51.169727548 -30.231390887,-51.1311815479999 -30.2581278869999,-51.1094455479999 -30.248545887,-51.064445548 -30.2401368869999,-51.0119095479999 -30.289409887,-51.0216635479999 -30.3202818869999,-51.0180545479999 -30.384445887,-50.9663905469999 -30.4088908869999,-50.9322275469999 -30.406109887,-50.9232635469999 -30.3349368869999,-50.9105635469999 -30.3165278869999,-50.7819545469999 -30.2944458869999,-50.6854185469999 -30.2956278869999,-50.6629185469999 -30.2845188869999,-50.6540995469999 -30.2524998869999,-50.664936547 -30.230763887,-50.647854547 -30.1923638869999,-50.627499547 -30.1862548869999,-50.6049995469999 -30.1940278869999,-50.544036547 -30.2619458869999,-50.5375095469998 -30.286663887,-50.5372275469998 -30.3066638869999,-50.5433365469999 -30.3505638869999,-50.5680995469999 -30.4575548869999,-50.5953545469999 -30.4809728869999,-50.6188995469999 -30.4794458869999,-50.6513905469998 -30.4348638869999,-50.6869545469999 -30.472499887,-50.6733365469999 -30.5991638869999,-50.6766725469998 -30.6313908869999,-50.6941725469999 -30.721390887,-50.7036185469999 -30.7513908869999,-50.7281995469999 -30.7910458869999,-50.7508365469999 -30.8111098869998,-50.7712545469999 -30.8244458869999,-50.8730635469999 -30.876945887,-50.9263905469999 -30.8991728869999,-50.956945547 -30.930554887,-50.9893095469999 -31.044999888,-50.9708365469999 -31.122218888,-50.9935815469998 -31.1362818879999,-51.010972548 -31.0905548879998,-51.058063548 -31.0738908879999,-51.1589635479999 -31.0778458879999,-51.1714635479999 -31.1536818879998,-51.1613905479999 -31.1822278879998,-51.1588905479999 -31.2038908879999,-51.1565365479999 -31.2693098879999,-51.168063548 -31.3205548879999,-51.1921545479999 -31.4014548879999,-51.2327815479999 -31.4530548879998,-51.2513995479999 -31.4716728879998,-51.2688905479999 -31.484445888,-51.3188905479999 -31.5177818879999,-51.3484725479999 -31.5261098879998,-51.3841725479999 -31.5280638879999,-51.4131995479999 -31.5177098879999,-51.4608365479999 -31.5552818879999,-51.534445548 -31.6372188879999,-51.6436185479999 -31.7586098879999,-51.6602815479999 -31.771663888,-51.6961095479999 -31.7961098879999,-51.8612545479999 -31.8729188879999,-51.8972275479999 -31.8793098879999,-51.9268095479998 -31.8708368879999,-51.942781548 -31.8569458879999,-51.9624995479999 -31.8393098879999,-51.9922905479999 -31.8263908879999,-52.0272275479999 -31.8174998879999,-52.0529185479999 -31.8145818879999,-52.0867455489999 -31.8268098879999,-52.0937545489999 -31.8493098879999,-52.0755635479999 -31.8688908879999,-52.0516725479999 -31.8969458879999,-52.0175725479999 -31.9429908879999,-52.039863548 -32.0619548879999,-52.048063548 -32.0829278879999,-52.066390548 -32.1090278879999,-52.080972549 -32.148054889,-52.0696545479999 -32.1719458889999,-51.973890548 -32.0572278879999,-51.941945548 -32.014727888,-51.9038905479999 -31.9638908879999,-51.871390548 -31.9363908879999,-51.8370905479999 -31.9141638879999,-51.6790275479999 -31.8319458879999,-51.6355635479999 -31.8163908879999,-51.6138905479999 -31.8074998879999,-51.4808365479999 -31.7349998879999,-51.2330635479999 -31.5458368879999,-51.1336095479999 -31.4658368879999,-51.0638995479999 -31.4083368879999,-51.0413905479999 -31.3863908879999,-50.9163905469999 -31.2588908879999,-50.8474995469999 -31.186945888,-50.7494545469999 -31.081109888,-50.7152815469999 -31.041390888,-50.6756995469999 -30.9918098869999,-50.6513905469998 -30.946672887,-50.636118547 -30.9186368869999,-50.4766725469999 -30.699445887,-50.4218095469998 -30.6256998869999,-50.370563547 -30.5558368869999,-50.3113905469999 -30.4616728869999,-50.2711185469999 -30.3855638869999,-50.2586095469999 -30.3581998869998,-50.2383365469999 -30.3097188869999,-50.2313905469999 -30.2880638869999,-50.2252815469998 -30.2652818869998,-50.1724995469999 -30.1249998869999,-50.0826815469999 -29.898436886,-50.058490547 -29.8467998859999,-50.0421725469999 -29.815890886,-49.9466725469998 -29.655836886,-49.9024995459999 -29.584445886,-49.7920905459999 -29.4216728859999,-49.7524995459999 -29.3697278859999,-49.702381546 -29.324681886,-49.689172546 -29.3083368859999,-49.6591725459999 -29.2655548859999,-49.631954546 -29.2205548859999,-49.4502815459999 -29.0266728859999,-49.391390546 -28.9705548859999,-49.2116725459999 -28.826390885,-49.1894455459999 -28.8108368849999,-48.9472995459999 -28.6547278849999,-48.9169455459998 -28.6419458849999,-48.8425095449999 -28.6177818849999,-48.7835455449999 -28.5240998849999,-48.8579185459999 -28.477081885,-48.8688995459999 -28.427227885,-48.8693815459999 -28.3392368849999,-48.852781545 -28.3202818849998,-48.7936095449999 -28.3870188849999,-48.8068455449999 -28.4421188849999,-48.7835455449999 -28.485072885,-48.7618095449999 -28.490699885,-48.6524995449999 -28.2255638849999,-48.6288905449999 -28.0866728849998,-48.619172545 -27.9977818849999,-48.563899545 -27.8644458849999,-48.5761185449999 -27.8268098849999,-48.5899995449999 -27.808199884,-48.6219455449999 -27.757499884,-48.6420815449999 -27.647636884,-48.6058365449999 -27.6049998839999,-48.642499545 -27.4569458839999,-48.6205635449999 -27.2370818839999,-48.544581545 -27.2009548839999,-48.5168095449999 -27.217063884,-48.4869455449999 -27.2134728839998,-48.4933365449999 -27.1638908839999,-48.5159725449999 -27.122572884,-48.5434455449999 -27.1392638839999,-48.5652725449999 -27.151890884,-48.5930725449999 -27.1406098839999,-48.6130635449999 -27.1088908839999,-48.6294455449999 -26.8763908839998,-48.6298635449999 -26.7722278839999,-48.6785455449999 -26.7302098829998,-48.684718545 -26.7052818829999,-48.6844455449999 -26.6730548829999,-48.681309545 -26.6006548829999,-48.674445545 -26.5718098829998,-48.637499545 -26.5011098829999,-48.6162545449999 -26.4688908829999,-48.6097275449999 -26.4396548829998,-48.6458365449999 -26.384999883,-48.7555635449999 -26.2894458829999,-48.7933365449999 -26.1322278829999,-48.7918815449999 -26.0675728829999,-48.7713905449999 -26.103618883,-48.745699545 -26.1776368829999,-48.739654545 -26.2136098829999,-48.698890545 -26.2401368829999,-48.676809545 -26.2415278829999,-48.6522275449999 -26.2261098829999,-48.5810455449999 -26.1756908829999,-48.5766635449999 -26.1533368829998,-48.5866725449998 -26.1304188829999,-48.6090275449999 -26.0579188829999,-48.6086095449999 -26.037781883,-48.5841095449999 -25.9811998829999,-48.5716725449999 -25.941109883,-48.5811185449999 -25.872218883,-48.6416725449999 -25.8819458829999,-48.7701455449999 -25.8840998829999,-48.7570905449999 -25.8577818829999,-48.6019545449999 -25.8249998829999,-48.5227815449999 -25.7802818829998,-48.4922275449999 -25.7191728829999,-48.4508365449999 -25.6524998819999,-48.4240275449999 -25.6188908819999,-48.3777815449999 -25.5940998819999,-48.3618095449999 -25.5794458819999,-48.379309545 -25.5516728819999,-48.5156995449999 -25.5168098819999,-48.5622275449999 -25.5252818819999,-48.6055635449998 -25.5308368819999,-48.6444455449999 -25.5241728819999,-48.7084725449999 -25.4984728819999,-48.7302815449999 -25.4772188819999,-48.7186095449999 -25.424727882,-48.6897905449999 -25.4178548819999,-48.639454545 -25.4491728819999,-48.5663905449999 -25.4652818819999,-48.4806995449998 -25.4801368819999,-48.4613995449999 -25.4738908819999,-48.4143725449999 -25.4181278819999,-48.4361095449999 -25.3886188819999,-48.447499545 -25.3716728819999,-48.4411185449999 -25.349727882,-48.4297275449999 -25.317781882,-48.3949995449999 -25.2961098819999,-48.3588905449999 -25.3058368819998,-48.3372275449998 -25.3283368819999,-48.2813905449999 -25.3299998819999,-48.2241635449998 -25.3013908819999,-48.1340545449999 -25.2847278819999,-48.1695905449999 -25.3038188819999,-48.2086185449998 -25.3255548819999,-48.2263905449999 -25.3402818819998,-48.246536545 -25.420281882,-48.2433995449998 -25.4531278819999,-48.2081995449999 -25.460136882,-48.1986185449999 -25.4258368819999,-48.1850095449999 -25.393336882,-48.169036545 -25.373754882,-48.0826995449999 -25.3149188819999,-48.074863545 -25.2955638819999,-48.0636095449998 -25.278336882,-48.0438905449998 -25.2552818819998,-48.0197275449999 -25.2294458819999,-47.984518545 -25.2177818819999,-47.952499545 -25.1994458819999,-47.9350095449999 -25.1799998819999,-47.914309545 -25.1523638819999,-47.8949995449998 -25.103618882,-47.8948635449999 -25.0590278819999,-47.9204185449998 -25.0652818819998,-47.9545815449999 -25.0800728819999,-47.9966725449999 -25.0766638819999,-48.0540995449999 -25.0513548819999,-48.0261185449999 -25.014999882,-47.9830635449999 -25.010281882,-47.8338905449999 -24.8961188819999,-47.7980545449998 -24.8733368819999,-47.7166635439999 -24.822781882,-47.5966725439999 -24.7380548819999,-47.5455635439999 -24.7086188819999,-47.4844545439999 -24.6944458819999,-47.4227815439999 -24.6774998819998,-47.3174995439999 -24.6222188819999,-47.214727544 -24.563054881,-47.0054905439998 -24.3869458809999,-46.9853455439999 -24.3190998809999,-46.9722275439999 -24.3036098809999,-46.950836544 -24.2880638809999,-46.9244455439999 -24.2708368809999,-46.9016725439999 -24.2569458809999,-46.8419455439999 -24.2216728809998,-46.823063544 -24.2116728809999,-46.5919455429999 -24.0922278809999,-46.4777815429999 -24.0377818809999,-46.4361095429999 -24.0213908809999,-46.4168095429999 -23.9856998809999,-46.4336185429999 -23.9412548809999,-46.3804185429999 -23.8687548809999,-46.3054905429999 -23.9190998809999,-46.2826185429999 -23.9621098809999,-46.2747995429999 -23.9910458809999,-46.3002095429999 -24.0008998809999,-46.3116725429999 -24.0188908809999,-46.2797275429999 -24.0258368809999,-46.1955545429998 -23.9922278809999,-46.1658365429999 -23.9602818809999,-46.1177095429999 -23.8658998809999,-46.1505545429998 -23.8788188809999,-46.1863905429999 -23.9165278809999,-46.2269455429999 -23.9190998809999,-46.1294455429999 -23.8583368809999,-46.0858365429999 -23.836109881,-45.974863543 -23.7876458809998,-45.9191725429999 -23.7747278809999,-45.8900095429999 -23.7677818809999,-45.835009543 -23.758890881,-45.6663905429999 -23.7830548809999,-45.6352815429998 -23.788336881,-45.5497275419998 -23.8055548809999,-45.530972542 -23.8263908809999,-45.5049995419999 -23.8433368809999,-45.4154815419999 -23.8280548809999,-45.3947275419999 -23.803127881,-45.4027815419999 -23.754445881,-45.4265995419999 -23.7113908809999,-45.428890542 -23.6550728809999,-45.4108365419999 -23.6288908809999,-45.2663995419999 -23.5874998809999,-45.0922275419999 -23.5105638799999,-45.0600095419998 -23.4961098799999,-45.011390542 -23.4582458799999,-45.0288905419999 -23.44528188,-45.0013995419999 -23.4066728799999,-44.9438905419999 -23.36222788,-44.9064635419998 -23.3412548799999,-44.8513185419999 -23.3724998799999,-44.8381995419999 -23.38971888,-44.7297905419998 -23.3648638799999,-44.7256455419999 -23.3532818799998,-44.7175725419999 -23.3466728799999,-44.6347275419999 -23.3433368799999,-44.6008365419999 -23.3563908799999,-44.5743095419999 -23.35368188,-44.5007635409999 -23.28958188,-44.5690995419998 -23.23007288,-44.643054542 -23.2286188799999,-44.7093095419999 -23.2222278799999,-44.7148635419999 -23.20041888,-44.696945542 -23.1094458799998,-44.6752095419999 -23.0556998799999,-44.6455635419998 -23.0433368799999,-44.6027815419999 -23.0405548799999,-44.5336185409999 -23.02778188,-44.4733365409999 -23.0080548799999,-44.430354541 -22.9633368799999,-44.4115275409999 -22.94528188,-44.3537545409999 -22.9204188799999,-44.3230635409999 -22.92069988,-44.2367095409999 -23.0482998799999,-44.1919455409999 -23.05110988,-44.1258365409999 -23.0320818799999,-44.0922275409999 -23.0068098799999,-44.0756995409999 -22.9868098799999,-44.0386095409999 -22.9369458799999,-43.8587545409999 -22.8968098799999,-43.7688905409999 -22.9266728799999,-43.6068095409999 -23.0188908799999,-43.7047275409998 -23.0454188799999,-43.7727815409999 -23.0538908799999,-43.7933365409999 -23.0549998799998,-43.8161185409999 -23.0541728799999,-43.8947275409998 -23.0508368799999,-43.9770905409998 -23.0408998799999,-44.0011095409999 -23.0570908799999,-44.0063905409999 -23.0774998799998,-44.0052815409999 -23.0998638799999,-43.9969455409999 -23.1030548799998,-43.9769545409999 -23.09417288,-43.9444545409999 -23.0827818799999,-43.9055635409999 -23.0744458799999,-43.6397275409999 -23.04610988,-43.3902815399999 -23.0111098799999,-43.3336185399998 -23.00999988,-43.2894545399999 -23.0130548799999,-43.2272275399999 -22.9990278799999,-43.1851455399999 -22.9827818799999,-43.1474365399999 -22.9518098799999,-43.1633365399999 -22.8944458799998,-43.22951854 -22.8356278799998,-43.25167254 -22.82486388,-43.2622185399999 -22.8066638799999,-43.27125454 -22.77764588,-43.2543095399999 -22.7365998799999,-43.0758365399999 -22.6683368799999,-43.0261185399999 -22.6793098799999,-43.02056354 -22.7163908799999,-43.0265275399999 -22.74319988,-43.0636095399999 -22.8027818799998,-43.0916725399999 -22.8280548799998,-43.1294455399999 -22.89055488,-43.1254185399999 -22.9310458799998,-43.0941725399999 -22.9533368799999,-42.9411095399999 -22.9808368799999,-42.6801455399999 -22.9599998799999,-42.6598635399999 -22.95069088,-42.6263905399999 -22.9441728799999,-42.5702815399998 -22.9394458799999,-42.5486185399999 -22.9394458799999,-42.4294545399999 -22.9411098799999,-42.150836539 -22.9497188799999,-42.0344455389998 -22.9191728799999,-41.9874995389999 -22.8311098799999,-41.9751365389999 -22.7351458799998,-41.9901455389999 -22.7056998799999,-41.9947275389998 -22.6641728799999,-41.9955635389999 -22.6241728799999,-41.9874365389998 -22.5656998799999,-41.9660455389999 -22.5345188799999,-41.8497275389999 -22.4377818789999,-41.7630635389999 -22.346109879,-41.6988905389999 -22.3011098789999,-41.6711095389999 -22.2849998789999,-41.607781539 -22.2538908789999,-41.5816725389999 -22.2436188789999,-41.5430635389999 -22.2311098789999,-41.521118539 -22.2241638789999,-41.4002815389999 -22.1861098789998,-41.3430545389999 -22.1699998789998,-41.3013905379999 -22.160554879,-41.2786185379999 -22.1541638789998,-41.233890538 -22.1405548789999,-41.1993095379999 -22.1277818789999,-41.0202815379999 -22.0338908789999,-41.0019455379999 -22.0230548789999,-40.9872275379999 -22.0086098789999,-40.9701455379999 -21.9824998789999,-40.9668095379999 -21.9579188789999,-41.0180545379998 -21.6755548789999,-41.0433365379998 -21.5766638789998,-41.0291635379999 -21.4488908789999,-41.0147275379999 -21.427499879,-40.9692365379999 -21.3525728779999,-40.9611185379998 -21.2836098779999,-40.9643365379999 -21.2765638779999,-40.9665365379999 -21.2583368779999,-40.9605545379999 -21.2358368779999,-40.945554538 -21.2088908779999,-40.9333365379999 -21.1924998779999,-40.8900095379999 -21.1433368779998,-40.865009538 -21.1181998779999,-40.8438185379999 -21.0870818779999,-40.8322275379999 -21.0574998779999,-40.8170815379999 -21.0119458779999,-40.8215365379999 -20.9696548779999,-40.8131275379998 -20.9281998779999,-40.761881538 -20.854654878,-40.7408365379999 -20.841663878,-40.6427095379999 -20.8144458779999,-40.627154538 -20.8311818779999,-40.4174995379999 -20.616672878,-40.4061095379998 -20.5994458779999,-40.3449995379998 -20.4877818779999,-40.3355545379998 -20.4686098779999,-40.2822275379999 -20.3436098779999,-40.3318095379998 -20.324999878,-40.3683365379999 -20.3118728779999,-40.3647275379999 -20.2844458769999,-40.349727538 -20.2347278769999,-40.2931995379998 -20.242536877,-40.2405545369999 -20.2838188769999,-40.1908365369999 -20.1945818769999,-40.1674995369999 -20.1183368769999,-40.1452815369999 -20.0255548769999,-40.1280635369999 -19.9647278769999,-40.0211185369999 -19.7627818769999,-40.0066725369999 -19.7413908769999,-39.985836537 -19.7263908769999,-39.9350095369999 -19.698063877,-39.8968095369998 -19.6823638769999,-39.8736095369999 -19.6733368769999,-39.8099365369998 -19.6420188769999,-39.7875095369999 -19.6036188769999,-39.7141725369999 -19.4491728769999,-39.704036537 -19.4236098769999,-39.699172537 -19.3930548769999,-39.694454537 -19.3194458769999,-39.6941725369999 -19.298890877,-39.7034725369999 -19.201254876,-39.7166635369999 -19.1069458759999,-39.7233365369999 -19.0791728759999,-39.7308365369998 -19.0244458759999,-39.7402815369998 -18.9238908759999,-39.7469455369998 -18.7933368759999,-39.7480635369999 -18.7052818759999,-39.744727537 -18.673618876,-39.728199537 -18.5301458759999,-39.713199537 -18.460699876,-39.684718537 -18.3655548759998,-39.6689275369999 -18.3255998759999,-39.6586185369999 -18.2786188759999,-39.6462545369999 -18.231254876,-39.6259725369998 -18.1879188759999,-39.5047185369999 -18.0169458749998,-39.4516635369999 -17.9497188749999,-39.4242995369999 -17.9254188749999,-39.391672537 -17.9102818749999,-39.3280545369999 -17.8949998749999,-39.2977815369999 -17.8823638749999,-39.2755545369999 -17.8691638749999,-39.132227536 -17.6863188749999,-39.1381995359999 -17.666945875,-39.1612545359999 -17.6438908749998,-39.1830635359998 -17.605972875,-39.1895905359999 -17.5815278749999,-39.1944545369998 -17.5452818749999,-39.2105545369998 -17.3794458749999,-39.2147275369999 -17.3097188749999,-39.213336537 -17.2522278749999,-39.2090275369998 -17.1661188749999,-39.198754537 -17.132499875,-39.1694455359999 -17.041672874,-39.1411095359999 -16.9369458739999,-39.1298635359999 -16.871527874,-39.1361185359999 -16.850281874,-39.134727536 -16.7881998739998,-39.1308365359999 -16.7605638739999,-39.1179185359999 -16.727918874,-39.1005545359999 -16.6979908739999,-39.0844455359999 -16.6322278739999,-39.0813905359999 -16.6074998739998,-39.0772275359999 -16.562499874,-39.0644455359999 -16.4986098739999,-39.0466725359999 -16.4216728739999,-39.0138905359999 -16.286945874,-38.9441725359998 -16.0791728739999,-38.8719455359999 -15.8741728729999,-38.8866725359999 -15.7952818729999,-38.9105635359999 -15.7438908729998,-38.935563536 -15.6622278729999,-38.9519545359999 -15.5461098729998,-38.9913905359999 -15.264163873,-39.002499536 -15.0447278729999,-39.003618536 -14.9818098729999,-39.0399995359999 -14.8216638719998,-39.0537545359999 -14.804445872,-39.063336536 -14.7144458719998,-39.0666725359999 -14.6504188719999,-39.0601455359999 -14.6262548719999,-39.0338905359999 -14.5377818719999,-39.0013995359999 -14.3386098719998,-38.9911095359999 -14.2444458719999,-38.9862545359999 -14.1984728719999,-38.9521995359999 -14.1136818719999,-38.9247275359999 -14.0352818719999,-38.920699536 -13.9251368719999,-38.936527536 -13.8915998719999,-38.9891365359998 -13.9294818719999,-38.9763905359999 -13.9544458719999,-38.9691725359999 -13.9852818719999,-38.9566725359999 -14.0449998719998,-38.959309536 -14.067636872,-39.0365275359999 -14.1749998719999,-39.074590536 -14.1461098719998,-39.0654185359999 -14.0752818719999,-39.0286185359999 -14.089163872,-38.9933095359999 -14.0583458719999,-38.994999536 -14.0108368719999,-39.0097275359999 -13.9722278719998,-39.0300095359999 -13.843336871,-38.999454536 -13.7911098709999,-38.963472536 -13.6861098709999,-38.984581536 -13.623681871,-39.0040365359999 -13.6048818709999,-39.0080725359999 -13.5659638709999,-38.9936185359999 -13.5402818709999,-39.0090365359999 -13.5062548709999,-39.057054536 -13.4933368709999,-39.0802815359999 -13.538336871,-39.0570905359999 -13.380281871,-39.0433365359999 -13.355836871,-38.9988905359999 -13.359999871,-38.9688905359999 -13.3730548709999,-38.9566725359999 -13.3799998709999,-38.9683365359999 -13.3263908709999,-38.9633365359999 -13.2936098709999,-38.9552815359999 -13.2738908709999,-38.9327095359999 -13.2319458709998,-38.8529185359999 -13.171254871,-38.8368095359999 -13.0569458709999,-38.7861185359998 -13.0208368709998,-38.7594455359999 -12.984999871,-38.7301365359999 -12.871254871,-38.8040275359999 -12.8547278709999,-38.8278545359998 -12.8643098709998,-38.8576455359999 -12.8498638709999,-38.8977815359999 -12.785836871,-38.9172275359999 -12.7436098699999,-38.901118536 -12.7055548699999,-38.8611815359999 -12.6627818699998,-38.859099536 -12.68715487,-38.878754536 -12.69528187,-38.8855635359999 -12.7156908699999,-38.8752815359999 -12.7566728699999,-38.854309536 -12.8252818709999,-38.8182635359999 -12.8435458709998,-38.7831995359999 -12.8195818709999,-38.7511095359999 -12.7649998699999,-38.7482725359999 -12.7228818699999,-38.7216725359999 -12.6186098699999,-38.6979905359999 -12.5811098699999,-38.6544455359999 -12.6286098699998,-38.641945536 -12.68778187,-38.6269455359999 -12.7105548699998,-38.6097275359998 -12.7211098699999,-38.5497275359999 -12.7255548699999,-38.5073635359998 -12.7264548699999,-38.4787545359999 -12.8477098709999,-38.4877815359999 -12.9168098709999,-38.5113905359998 -12.9262548709999,-38.530527536 -13.0160098709999,-38.4746545359999 -13.0165998709999,-38.3502815359999 -12.9604188709999,-38.317918536 -12.9372278709999,-38.0413905349999 -12.63305487,-37.9955635349998 -12.5761098699999,-37.9546545349999 -12.4761098699999,-37.9297275349999 -12.4297188699999,-37.871672535 -12.3663908699999,-37.793336535 -12.2583368699999,-37.7002815349999 -12.1286098699999,-37.6844455349999 -12.10249987,-37.6591725349999 -12.0583368699999,-37.631109535 -12.0030548699998,-37.617499535 -11.9749998699999,-37.603618535 -11.9402818699999,-37.5811185349999 -11.8863908699998,-37.5665275349999 -11.85222787,-37.455281535 -11.6102818689999,-37.423336535 -11.5452818689999,-37.4466725349999 -11.5191638689998,-37.4879095349999 -11.5202278689999,-37.4677815349999 -11.5144458689999,-37.4491725349999 -11.5049998689999,-37.4109725349999 -11.480836869,-37.3940995349999 -11.4477818689999,-37.4122275349999 -11.402781869,-37.3952815349998 -11.333890869,-37.3645905349999 -11.3018098689999,-37.3361095349999 -11.2302818689999,-37.3423635349999 -11.187499869,-37.2901455349999 -11.2112548689998,-37.2978365349999 -11.2473368689999,-37.313918535 -11.276999869,-37.3341635349999 -11.304163869,-37.360145535 -11.3122188689999,-37.3911095349999 -11.4008368689999,-37.3718815349999 -11.4298638689999,-37.3220905349999 -11.420072869,-37.3116725349999 -11.3861098689999,-37.2740095349999 -11.3138908689999,-37.2624995349998 -11.2920548689999,-37.2072275349999 -11.219445869,-37.1902815349999 -11.1072278689999,-37.2250095349999 -11.0986098689999,-37.2629185349999 -11.0681908689999,-37.2756275349999 -11.0252098689999,-37.2388905349999 -11.0263908689998,-37.2123635349999 -11.0352818689999,-37.1923635349998 -11.0568098689999,-37.188472535 -11.077218869,-37.1545185349999 -11.0997908689999,-37.073063535 -10.9672278689999,-37.0398635339999 -10.8424998689999,-37.0545905349999 -10.8270818689999,-37.0841635349999 -10.827363869,-37.1340995349999 -10.8276368689999,-37.1556995349999 -10.7540278689999,-37.0922275349999 -10.7438908689999,-37.0586185349999 -10.7991638689999,-37.0252815339999 -10.8588908689999,-37.0362545339998 -10.8924998689999,-37.0322995339999 -10.9287548689999,-37.0119455339999 -10.9297278689999,-36.9949995339999 -10.9080548689999,-36.9552815339998 -10.8473638689998,-36.912363534 -10.7899998689999,-36.850281534 -10.7338908689999,-36.7002815339998 -10.6333368679999,-36.657227534 -10.6072278679999,-36.5574995339999 -10.5472278679999,-36.5208365339999 -10.5302818679999,-36.4630545339999 -10.5188908679999,-36.4048275339999 -10.4987908679999,-36.3898635339999 -10.4891638679999,-36.3205545339998 -10.3855548679999,-36.2851365339999 -10.2954188679999,-36.256109534 -10.256672868,-36.2208365339999 -10.2197188679999,-36.1658365339999 -10.1763908679999,-36.127781534 -10.1522188679999,-36.0431275339999 -10.0739548679999,-35.9061095329999 -9.88222786799992,-35.8780635329999 -9.84028186799998,-35.8484545329998 -9.78322786799987,-35.777227533 -9.70920986799996,-35.6744455329999 -9.61083686799998,-35.6188995329998 -9.55528186699991,-35.4019455329999 -9.31944586699996,-35.3769455329999 -9.29028186699992,-35.3275095329999 -9.2288908669999,-35.289518533 -9.16576386699995,-35.2205635329998 -9.03055486699992,-35.1993095329999 -9.01028186699995,-35.1811185329999 -8.98666386699995,-35.164027533 -8.95555486699993,-35.1488905329998 -8.9133098669999,-35.1319545329999 -8.87083686699992,-35.1049995329998 -8.77610986699989,-35.0677815329999 -8.67305486699996,-35.0419455329999 -8.61610986699992,-34.941118533 -8.34249986599986,-34.9041635329999 -8.1952818659999,-34.8650095319999 -8.07305486599995,-34.8463905319999 -8.0629188659999,-34.8309815319999 -8.00930986599991,-34.8152815319999 -7.93528186599997,-34.8158365319999 -7.90958186599994,-34.827781532 -7.86721886599992,-34.8447275319999 -7.83555486599988,-34.865281532 -7.83222786599993,-34.8899275319999 -7.8120188659999,-34.890009532 -7.78139086599998,-34.883054532 -7.74583686599988,-34.8547275319999 -7.6997188659999,-34.8273635319999 -7.68263686599994,-34.8018095319998 -7.63625486599989,-34.8186095319999 -7.59028186599988,-34.8370905319999 -7.55778186599997,-34.8931995319998 -7.54309086599989,-34.8330635319999 -7.54278186599987,-34.8102815319999 -7.50416386599994,-34.8019455319999 -7.38916386499994,-34.7994455319999 -7.33639086499994,-34.7929185319999 -7.17278186499988,-34.830836532 -7.10860986499989,-34.8365095319999 -7.06289086499993,-34.823836532 -7.03231886499992,-34.831290532 -6.98179986499997,-34.8473275319999 -7.02150986499987,-34.864099532 -7.07743686499998,-34.9012905329999 -7.12525486499987,-34.8983995329999 -7.09794586499993,-34.8995185329999 -7.06885486499988,-34.875554532 -7.03999986499991,-34.8639635319999 -6.97960986499987,-34.8680545319999 -6.93860986499993,-34.883054532 -6.90666386499993,-34.954445533 -6.67860986499988,-34.9605545329999 -6.65749986499992,-34.9652815329999 -6.62791886499997,-34.964027533 -6.60278186499988,-34.961109533 -6.54110986499995,-34.966354533 -6.50408186499993,-34.9672275329999 -6.48249986499991,-34.9719455329999 -6.43889086499991,-34.980281533 -6.40639086499988,-35.0413905329998 -6.23389086399993,-35.0877815329998 -6.19916386399996,-35.0927815329999 -6.17889086399987,-35.1008365329999 -6.09166386399994,-35.1318095329998 -5.95944586399997,-35.1455635329999 -5.93889086399992,-35.1956995329999 -5.74652786399997,-35.1935455329999 -5.69812786399996,-35.2255635329999 -5.58360986399987,-35.3155635329999 -5.3866638639999,-35.3731995329998 -5.27902786399989,-35.4144455329998 -5.21847286299987,-35.479727533 -5.16610986299997,-35.5113905329998 -5.14986386299995,-35.6044455329999 -5.11083686299997,-35.6416725329999 -5.11083686299997,-35.6861095329999 -5.10805486299989,-35.8497275329999 -5.07889086299997,-35.9347185329998 -5.05221886299989,-35.9743095339999 -5.04916386299982,-36.0044455339999 -5.05083686299992,-36.0688905339999 -5.07416386299991,-36.1237545339999 -5.09583686299993,-36.2865275339999 -5.11110986299991,-36.3408365339999 -5.09416386299989,-36.4247275339999 -5.08083686299995,-36.4706995339998 -5.07778186299987,-36.5816725339999 -5.08805486299997,-36.6127815339999 -5.09944586299991,-36.6845815339999 -5.09847286299987,-36.7691725339998 -5.06666386299992,-36.8049365339999 -5.03666386299989,-36.817499534 -5.01444586299993,-36.8770905339999 -4.95368186299993,-36.955563534 -4.92791886299989,-37.0683365349999 -4.92833686299997,-37.1252815349999 -4.93013686299992,-37.1558365349999 -4.92805486299989,-37.1744455349999 -4.91860986299992,-37.2111095349999 -4.87986386299991,-37.2254185349999 -4.85972786299993,-37.2409185349998 -4.83140986299998,-37.2727815349999 -4.74360986299996,-37.2897275349999 -4.72610986299992,-37.3236095349998 -4.70083686299995,-37.3444545349999 -4.69055486299993,-37.4224995349999 -4.65778186299997,-37.4755635349999 -4.64139086299991,-37.5490275349999 -4.63944586299993,-37.596254535 -4.61749986299992,-37.6451455349999 -4.58694586299987,-37.7122275349999 -4.52312786299996,-37.731945535 -4.48472786299988,-37.8055545349998 -4.3949998629999,-37.9188905349999 -4.31778186299988,-38.011372535 -4.25323686299993,-38.0722275349999 -4.19680986299994,-38.1087545349999 -4.15791886199992,-38.1413995359999 -4.12166386199993,-38.1639635359999 -4.09139086199997,-38.1775095359999 -4.0572188619999,-38.261945536 -3.95152786199998,-38.2918095359999 -3.94319086199994,-38.311954536 -3.93569086199989,-38.3397275359999 -3.91194586199987,-38.496536536 -3.72486386199989,-38.5301455359999 -3.72083686199994,-38.635563536 -3.69028186199984,-38.6612545359998 -3.67860986199997,-38.8524995359998 -3.54278186199991,-38.9302815359999 -3.46166386199997,-38.9577815359999 -3.42083686199993,-38.9944455359998 -3.39555486199993,-39.0230545359999 -3.38666386199992,-39.0722275359999 -3.38278186199989,-39.219999537 -3.28944586199998,-39.3808365369999 -3.1895818619999,-39.4748635369999 -3.15555486199992,-39.5752815369999 -3.09360986099983,-39.7172275369999 -3.02583686099996,-39.7386185369999 -3.01528186099989,-39.8302815369999 -2.95486386099998,-39.8631995369999 -2.9190278609999,-39.9987545369999 -2.84652786099991,-40.191118537 -2.82000086099993,-40.3205545379999 -2.80555486099996,-40.4727815379999 -2.79583686099994,-40.5069455379999 -2.80221886099997,-40.548890538 -2.82166386099993,-40.605699538 -2.83833686099996,-40.6308365379999 -2.83971886099988,-40.656390538 -2.83971886099988,-40.7908365379999 -2.86583686099988,-40.9102815379999 -2.87278186099996,-41.2227815379999 -2.8802818609999,-41.2638905379999 -2.93236386099994,-41.2384725379999 -2.9750008609999,-41.2360455379999 -3.01500086099992,-41.2480725379999 -3.02355486099998,-41.2688905379998 -2.98528186099992,-41.3320905379999 -2.93041886099996,-41.4013905389999 -2.90847286099989,-41.4757635389999 -2.89742786099993,-41.4952815389998 -2.90639086099998,-41.5199995389999 -2.9123638609999,-41.6038905389999 -2.90458186099994,-41.6747275389998 -2.88305486099995,-41.6945185389999 -2.86410086099994,-41.6665275389999 -2.86326386099989,-41.6798635389998 -2.84444586099994,-41.699445539 -2.83028186099995,-41.727227539 -2.81333686099993,-41.7930635389999 -2.77471886099988,-41.8263905389999 -2.76221886099989,-41.8402635389999 -2.76691886099991,-41.8343455389999 -2.73961886099994,-41.870836539 -2.73221886099998,-41.9494455389998 -2.74555486099985,-41.9781995389999 -2.75680986099991,-41.9353455389999 -2.78701886099998,-41.936809539 -2.82055486099989,-41.9520905389999 -2.84500086099996,-42.0274995389999 -2.83000086099997,-42.061672539 -2.81944586099991,-42.1099995389998 -2.80278186099986,-42.2116725389999 -2.80881886099985,-42.233609539 -2.83305486099988,-42.2358365389999 -2.83778186099994,-42.2337545389999 -2.8056908609999,-42.2698635389999 -2.75652786099994,-42.2913905389999 -2.75416386099988,-42.3127815389999 -2.7597188609999,-42.3440995389999 -2.76889086099993,-42.4574995399999 -2.7506908609999,-42.5044455399999 -2.73166386099996,-42.6258365399999 -2.64639086099987,-42.6822995399999 -2.58312786099987,-42.7066725399999 -2.56278186099996,-42.7549995399999 -2.5580548609999,-42.7961815399999 -2.56090086099994,-42.8900095399999 -2.50305486099995,-42.93409954 -2.47221886099987,-42.9630635399999 -2.46569086099993,-43.0008365399999 -2.46534586099989,-43.0397275399999 -2.45389086099988,-43.1158365399998 -2.42583686099994,-43.16924554 -2.39791886099988,-43.2833365399998 -2.37333686099987,-43.3216635399998 -2.36763686099988,-43.3474995399999 -2.36583686099988,-43.4383365399999 -2.36791886099991,-43.47770954 -2.3827818609999,-43.47861854 -2.41097286099995,-43.4583365399999 -2.45805486099988,-43.44833654 -2.53778186099993,-43.5602815409999 -2.52305486099988,-43.7074995409998 -2.51000086099992,-43.7997905409998 -2.55166386099995,-43.8730635409999 -2.5697188609999,-43.9283365409999 -2.54847286099988,-44.0052815409999 -2.63305486099989,-44.021390541 -2.65110986099995,-44.1211185409999 -2.77083686099985,-44.1777815409999 -2.84805486099992,-44.1983365409999 -2.8688908609999,-44.2143725409999 -2.84951886099992,-44.1768095409999 -2.81656386099991,-44.1906275409999 -2.76340086099992,-44.2645185409998 -2.78312786099991,-44.2774995409999 -2.81028186099991,-44.2933365409999 -2.83534586099984,-44.3403545409999 -2.82736386099992,-44.3383725409998 -2.78080086099993,-44.2672275409999 -2.73360986099988,-44.2327815409999 -2.71333686099996,-44.1870905409999 -2.69541886099989,-44.1620905409999 -2.69013686099993,-44.1329185409999 -2.66805486099992,-44.0419455409998 -2.54763686099989,-44.0290275409999 -2.51889086099987,-44.0338905409999 -2.41360986099988,-44.063336541 -2.4058368609999,-44.1048635409999 -2.41389086099997,-44.1237545409999 -2.42569086099985,-44.167499541 -2.4536098609999,-44.211945541 -2.47347286099989,-44.2563905409999 -2.48278186099998,-44.2831995409999 -2.48139086099991,-44.3569455409999 -2.52666386099992,-44.367499541 -2.55528186099997,-44.3841725409999 -2.70139086099988,-44.4055545409998 -2.86805486099991,-44.4105635409999 -2.89805486099993,-44.423063541 -2.93444586099992,-44.4369545409999 -2.95500086099992,-44.4569455409999 -2.98305486099991,-44.480281541 -3.00819086099989,-44.546672541 -3.0563908609999,-44.6161095419999 -3.11000086099995,-44.6599995419999 -3.18805486199994,-44.7533365419999 -3.27444586199988,-44.7863905419999 -3.29749986199988,-44.7838905419999 -3.20451886199987,-44.7563905419999 -3.19333686199991,-44.6259725419999 -3.05513686099988,-44.6236095419999 -3.03416386099997,-44.6777095419999 -3.0168098609999,-44.6914635419998 -2.99513686099993,-44.6824995419999 -2.91250086099996,-44.6518095419999 -2.76805486099988,-44.6083365419998 -2.67471886099992,-44.5777815419999 -2.61666386099989,-44.5820905419999 -2.56680986099991,-44.5075095409999 -2.47083686099984,-44.4415365409998 -2.41208186099993,-44.406390541 -2.4100008609999,-44.3790995409999 -2.39951886099988,-44.3605545409998 -2.34194586099989,-44.3616725409999 -2.3202818609999,-44.3663905409999 -2.29471886099992,-44.3949995409998 -2.19875486099988,-44.4281275409999 -2.15645486099987,-44.4508365409999 -2.14639086099987,-44.5043725409999 -2.14854586099989,-44.6162545419998 -2.25708186099996,-44.6341725419999 -2.28389086099992,-44.6549365419999 -2.3236818609999,-44.6613905419998 -2.28110986099995,-44.6369455419999 -2.22360986099989,-44.5888905419999 -2.17028186099998,-44.496527541 -2.04763686099989,-44.4897275409999 -1.98666385999985,-44.511390541 -1.90750085999991,-44.5277815409998 -1.85916385999997,-44.5388905409999 -1.8322188599999,-44.5691725419999 -1.81666385999989,-44.640009542 -1.78916385999992,-44.6950095419999 -1.81778185999991,-44.7197275419999 -1.79360985999989,-44.7991725419999 -1.70500085999993,-44.7902815419999 -1.62694585999986,-44.7980635419999 -1.60778185999988,-44.8272185419999 -1.57631885999996,-44.9072275419999 -1.61528185999987,-44.9136095419999 -1.63916385999994,-44.9347185419999 -1.6191638599999,-44.9513905419999 -1.60166385999986,-44.9152815419999 -1.54610985999989,-44.8790095419998 -1.50297285999994,-44.855836542 -1.48971885999993,-44.8481995419999 -1.46708185999989,-44.8588905419999 -1.43062785999996,-44.9549995419999 -1.50221885999991,-45.0047185419999 -1.48916385999991,-45.0916725419998 -1.46402785999993,-45.1587545419999 -1.48041885999987,-45.1986185419999 -1.52000085999993,-45.2435455419999 -1.57270985999992,-45.2522275419998 -1.61125485999992,-45.2401455419999 -1.64319085999989,-45.2222905419998 -1.67583685999989,-45.283827542 -1.73549085999991,-45.3208365419999 -1.74444585999993,-45.3506995419999 -1.73680985999988,-45.3670905419999 -1.71555485999988,-45.3725095419999 -1.54083685999996,-45.3552815419999 -1.47721885999988,-45.3172185419999 -1.44083685999988,-45.2993095419999 -1.41805485999987,-45.2991635419999 -1.3805548599999,-45.3104185419999 -1.33763685999998,-45.3247275419999 -1.31471885999997,-45.353336542 -1.31458185999992,-45.3561095419999 -1.33673685999992,-45.384727542 -1.41389085999998,-45.4540365419999 -1.54375485999998,-45.4622275419999 -1.54555485999987,-45.4632725419999 -1.51007285999992,-45.5064545419998 -1.46486385999992,-45.4149995419999 -1.35555485999987,-45.4469455419999 -1.31083685999994,-45.5555545419999 -1.27694585999996,-45.6099995419999 -1.27951885999994,-45.6166725419999 -1.30889085999996,-45.6143095419999 -1.34013685999997,-45.632918542 -1.37145485999997,-45.6961815429999 -1.36868185999987,-45.719727543 -1.21889085999987,-45.735554543 -1.18000085999989,-45.7849995429999 -1.26750085999981,-45.8615275429999 -1.2595188599999,-45.8611185429999 -1.23610985999989,-45.8766725429999 -1.17139085999992,-45.8900095429999 -1.14069085999989,-45.975699543 -1.07750085999982,-46.0130635429999 -1.11152785999991,-46.0351455429998 -1.15986385999992,-46.0311185429998 -1.19471885999991,-46.0466725429999 -1.21028185999984,-46.0870995429999 -1.21027285999998,-46.0911185429999 -1.17889085999991,-46.1274995429999 -1.10610985999989,-46.164999543 -1.14639085999983,-46.2594455429999 -1.17778185999987,-46.2466725429999 -1.14305485999989,-46.2116725429999 -1.05944585999993,-46.191945543 -0.957500858999879,-46.2616725429999 -0.988890859999913,-46.4180635429999 -1.03750085999991,-46.448336543 -1.04305485999981,-46.5393095429999 -1.02875485999994,-46.5557725429999 -1.00507285999981,-46.598063543 -1.02263685999998,-46.6099995429999 -1.03750085999991,-46.5713995429999 -0.975972859999899,-46.6011095429999 -0.867781858999876,-46.6301365429999 -0.825627858999951,-46.7455635439999 -0.830000858999938,-46.7908365439999 -0.8422188589999,-46.8169455439999 -0.813609858999882,-46.8030635439999 -0.761390858999903,-46.8025095439999 -0.727918858999942,-46.826672544 -0.713190858999894,-46.866954544 -0.778609858999971,-46.9011185439999 -0.865000858999906,-46.959999544 -0.898472858999924,-46.9577815439999 -0.86028185899994,-46.9260455439999 -0.840554858999894,-46.9597275439998 -0.702781858999913,-47.0655635439999 -0.753336858999887,-47.170281544 -0.707218858999966,-47.2097995439999 -0.641390858999898,-47.285563544 -0.599163858999873,-47.4313995439999 -0.582500858999879,-47.4595905439999 -0.595000858999867,-47.4705545439999 -0.622363858999904,-47.4624995439999 -0.699718858999915,-47.4533365439999 -0.718336858999919,-47.4322275439999 -0.723054858999888,-47.392227544 -0.751945858999932,-47.3849995439999 -0.776527858999941,-47.398063544 -0.81278185899987,-47.4836095439999 -0.735554858999819,-47.530836544 -0.645690858999899,-47.5487545439999 -0.635972858999821,-47.5893815439999 -0.648400858999878,-47.5986185439999 -0.677781858999879,-47.6123635439999 -0.698472858999935,-47.6400095439999 -0.719718858999954,-47.6644545439999 -0.736109858999896,-47.7329545439999 -0.746454858999925,-47.7124995439999 -0.70299085899984,-47.7190365439998 -0.666527858999928,-47.7445905439999 -0.63736385899989,-47.7739635439999 -0.641736858999877,-47.8480635449999 -0.690836858999887,-47.8920815449999 -0.728818858999887,-47.9618095449999 -0.776254858999891,-47.9890995449999 -0.75750085899989,-47.9961185449998 -0.737500858999965,-48.0331995449998 -0.702709858999924,-48.0563905449999 -0.708054858999958,-48.2380635449999 -0.867781858999876,-48.2922275449999 -0.945000858999947,-48.3127815449999 -0.984718859999873,-48.3177815449999 -1.00750085999988,-48.3148635449999 -1.02833685999991,-48.3094455449998 -1.04110985999989,-48.271118545 -1.11778185999992,-48.2791635449999 -1.15750085999997,-48.3397995449999 -1.31750085999994,-48.4054185449999 -1.31055485999997,-48.4256995449999 -1.29652785999997,-48.4483365449999 -1.28639085999993,-48.4811815449999 -1.3048638599999,-48.4988905449999 -1.40889085999987,-48.499727545 -1.46145485999995,-48.4799995449999 -1.47528185999988,-48.4483365449999 -1.47471885999988,-48.427918545 -1.46513685999986,-48.3918095449999 -1.45652785999994,-48.332499545 -1.45000085999988,-48.2988905449999 -1.44736385999994,-48.254999545 -1.44583685999987,-48.2143095449999 -1.4506908599999,-48.1889635449999 -1.46625485999988,-48.3469455449999 -1.49721885999992,-48.4136095449999 -1.49944585999998,-48.453199545 -1.56444585999992,-48.4380545449998 -1.59110985999996,-48.4305545449999 -1.6125008599999,-48.4244455449999 -1.64041885999995,-48.4272275449999 -1.66028185999994,-48.5031995449998 -1.62194585999987,-48.5398635449999 -1.58194585999996,-48.5488905449999 -1.54971885999987,-48.6068455449999 -1.47116385999988,-48.623790545 -1.49054585999988,-48.646618545 -1.50080085999991,-48.672190545 -1.48494585999987,-48.697227545 -1.46916385999998,-48.7306995449999 -1.49860985999987,-48.7738995449999 -1.57194585999997,-48.8177815449998 -1.64444585999991,-48.9144545459999 -1.75333685999982,-48.9704905459999 -1.84055485999988,-49.0025095459999 -1.85319085999993,-49.0501365459999 -1.85889085999992,-49.0873635459999 -1.8551368599999,-49.1245725459999 -1.87758185999991,-49.1734815459999 -1.88083685999987,-49.190563546 -1.89805485999995,-49.2622275459999 -1.99889085999996,-49.3008365459999 -2.10139086099997,-49.311390546 -2.14583686099996,-49.3344455459999 -2.20471886099995,-49.3686185459999 -2.26721886099989,-49.4156995459999 -2.35028186099993,-49.433127546 -2.39784586099995,-49.4361185459999 -2.45236386099992,-49.4337545459999 -2.48819086099996,-49.4516635459999 -2.51833686099997,-49.490009546 -2.56500086099987,-49.4747275459999 -2.48083686099989,-49.4694545459999 -2.43000086099994,-49.4694545459999 -2.40610986099989,-49.4747275459999 -2.38555486099995,-49.4909815459999 -2.34847286099989,-49.506390546 -2.31444586099991,-49.505836546 -2.25750086099987,-49.4762545459999 -2.21152786099992,-49.4526365459999 -2.19083686099987,-49.4231995459999 -2.12166386099989,-49.4077815459999 -2.02528185999989,-49.3674995459999 -1.92944585999993,-49.2856995459999 -1.78986385999991,-49.276945546 -1.76639085999989,-49.2809095459999 -1.71770985999996,-49.3302815459999 -1.71305485999994,-49.4419455459999 -1.74625485999997,-49.4741635459999 -1.76250085999982,-49.5044455459999 -1.78430985999995,-49.5202815459999 -1.79944585999988,-49.5311095459999 -1.8163908599999,-49.5700095459998 -1.84916385999998,-49.6383365459999 -1.8754908599999,-49.8416635459999 -1.90278185999989,-49.8727815459998 -1.88250085999988,-49.9533365469998 -1.83416385999993,-50.0028455469999 -1.82097285999981,-50.2650095469999 -1.8830548599999,-50.303336547 -1.90416385999993,-50.3213995469999 -1.91500085999991,-50.350281547 -1.94110985999993,-50.370563547 -1.9480548599999,-50.4163905469998 -1.95221885999985,-50.4470905469998 -1.95013685999987,-50.4677095469998 -1.93201885999991,-50.4588905469998 -1.91360985999989,-50.428827547 -1.89389085999994,-50.4506995469999 -1.8575008599999,-50.5741725469999 -1.8163908599999,-50.6779545469999 -1.81044585999985,-50.805836547 -1.93944585999992,-50.822918547 -1.96000085999998,-50.8230635469999 -1.98805485999992,-50.803754547 -2.03889085999992,-50.763890547 -2.12360986099992,-50.7302815469999 -2.17194586099993,-50.7001455469999 -2.20471886099995,-50.716454547 -2.22326386099996,-50.7930635469999 -2.16805486099986,-50.7870815469999 -2.11701886099996,-50.8399995469998 -2.03944585999994,-50.931663547 -1.99257285999988,-50.9843095469999 -2.06916386099988,-50.9997275469999 -2.20055486099994,-51.0066725479999 -2.30583686099993,-51.006254548 -2.33986386099991,-50.992018547 -2.38375486099989,-50.9154185469999 -2.45110986099991,-50.8901455469999 -2.45986386099997,-50.8658365469999 -2.46645486099987,-50.843818547 -2.50750086099993,-50.8605545469999 -2.50250086099993,-50.8769455469999 -2.4757638609999,-50.9244455469999 -2.46610986099995,-50.9641725469999 -2.44416386099994,-50.9961095469999 -2.41778186099987,-51.015009548 -2.3852818609999,-51.0291635479999 -2.34500086099996,-51.0545905479999 -2.19500086099987,-51.0213905479999 -2.18028186099997,-51.0074995479999 -2.15971886099987,-50.9949995469999 -2.11083686099994,-50.9911185469999 -2.02958185999995,-51.0038905479999 -2.01152785999989,-51.0899995479999 -1.92721885999981,-51.1533365479999 -1.8716638599999,-51.1602815479999 -1.84278185999995,-51.1883365479999 -1.82444585999991,-51.3082275479999 -1.76690985999988,-51.3744545479998 -1.86833685999989,-51.4729185479999 -2.03916385999997,-51.4808365479999 -2.07236386099993,-51.4530635479999 -2.24597286099987,-51.4308365479999 -2.27305486099988,-51.4094455479999 -2.28944586099988,-51.3884185479998 -2.31923686099992,-51.4472275479999 -2.27916386099992,-51.4781995479999 -2.23812786099995,-51.5219455479999 -2.04639086099991,-51.5177815479998 -2.0244458599999,-51.506954548 -1.97250085999991,-51.4966725479999 -1.93471885999998,-51.4827815479999 -1.89360985999997,-51.4191725479999 -1.78139085999993,-51.3365995479999 -1.64742785999988,-51.3038905479999 -1.6608368599999,-51.2804185479999 -1.68160085999995,-51.2808365479999 -1.7095818599999,-51.2638905479999 -1.75360985999993,-51.127709548 -1.82055485999996,-51.0679905479999 -1.8116638599999,-50.9869455469999 -1.83139085999983,-50.8702815469999 -1.86486385999996,-50.8147275469998 -1.89833685999992,-50.7848635469999 -1.89007285999992,-50.6672275469999 -1.77166385999982,-50.6596545469999 -1.74145485999998,-50.6787545469999 -1.63541885999996,-50.6877815469999 -1.61721885999998,-50.7044455469998 -1.59944585999989,-50.7405635469999 -1.56721885999985,-50.7625095469999 -1.54805485999992,-50.8145905469999 -1.44458185999997,-50.8354905469999 -1.34013685999997,-50.8259815469999 -1.27902785999993,-50.8152815469999 -1.25097285999988,-50.8045815469999 -1.21152785999982,-50.8022275469999 -1.17389085999991,-50.8264635469999 -0.92875485899998,-50.8529185469999 -0.915000858999917,-50.9227815469999 -0.910836858999915,-50.9953455469999 -0.92875485899998,-51.008472548 -0.955418858999906,-50.9981995469999 -0.979309859999887,-50.9927815469999 -0.998609859999874,-51.0352815479999 -1.0451368599999,-51.0606995479999 -1.06097285999988,-51.1147275479999 -1.0822188599999,-51.1691725479999 -1.11055485999992,-51.2122275479999 -1.1438188599999,-51.2468095479999 -1.20826385999993,-51.4494545479999 -1.32708185999991,-51.488890548 -1.34778185999994,-51.5675095479999 -1.37944585999998,-51.6059725479999 -1.38902785999989,-51.6355635479999 -1.39389085999994,-51.6633365479999 -1.40236385999998,-51.819454548 -1.50471885999991,-51.8494455479999 -1.5294458599999,-51.8737545479999 -1.55305485999992,-51.9466725479999 -1.58986385999998,-52.0154185479999 -1.61680985999988,-52.0535725479999 -1.60936385999992,-52.0877905489999 -1.62666385999995,-52.1280095489999 -1.61951885999997,-52.1532095489999 -1.62740985999989,-52.1780185489999 -1.64470985999998,-52.1949365489999 -1.66650985999991,-52.2084725489999 -1.69208185999986,-52.2490725489999 -1.70486385999988,-52.2682455489999 -1.68192785999992,-52.2389275489999 -1.6680188599999,-52.2283995489999 -1.64997285999988,-52.228618549 -1.60721885999993,-52.2372275489999 -1.57763685999993,-52.2733365489999 -1.5409728599999,-52.2933365489999 -1.53500085999997,-52.5222275489998 -1.57333685999987,-52.7069545489999 -1.60305485999993,-52.7097275489999 -1.56555485999991,-52.6375095489999 -1.53500085999997,-52.6105545489999 -1.52736385999987,-52.5703545489999 -1.52847285999997,-52.4677095489999 -1.48201885999993,-52.4438905489998 -1.44694585999991,-52.2276455489998 -1.34492785999981,-52.1854185489999 -1.35444585999994,-52.1644545489999 -1.37471885999986,-52.1316725489999 -1.40555485999994,-52.099590549 -1.41721885999993,-52.0755635479999 -1.41958185999994,-52.0456995479999 -1.41819085999987,-52.0102815479999 -1.40652785999987,-51.9275095479999 -1.33486385999987,-51.9168095479999 -1.30097285999994,-51.9224995479999 -1.24583685999994,-51.9354185479999 -1.19833685999987,-51.9196545479999 -1.16673685999996,-51.9013905479998 -1.15055485999983,-51.8766725479999 -1.14916385999993,-51.8370905479999 -1.1402818599999,-51.712299548 -1.02381885999984,-51.7144455479999 -0.980836859999897,-51.7204185479999 -0.952636858999881,-51.7230635479999 -0.907500858999924,-51.7211185479999 -0.869718858999875,-51.7137545479999 -0.786809858999959,-51.700009548 -0.752500858999952,-51.6050095479999 -0.635136858999886,-51.5070905479999 -0.530281858999899,-51.4701455479999 -0.505554858999915,-51.4530635479999 -0.488472858999899,-51.4011185479998 -0.403054858999951,-51.381390548 -0.368054858999869,-51.3644455479999 -0.32673685899988,-51.3575095479999 -0.296109858999955,-51.3497275479999 -0.276390858999889,-51.319172548 -0.22500085899992,-51.2974995479999 -0.19139085899991,-51.2534725479998 -0.137636858999883,-51.2250905479999 -0.116427858999941,-51.2106995479999 -0.102918858999885,-51.1877815479999 -0.0977818589998947,-51.1644455479999 -0.0940278589999366,-51.138618548 -0.082500858999822,-51.1030545479999 -0.0625008589999538,-51.0912185479999 -0.0536098589998915,-51.0866725479999 -0.050281858999881,-51.0680635479999 -0.0251368589999288,-51.0605635479999 -8.5899984014759e-07,-51.040699548 0.034863141000244,-51.0058365479999 0.0827811410001686,-50.9850095469999 0.109863142000108,-50.9580545469998 0.138745142000289,-50.9379185469999 0.152636142000176,-50.9119455469999 0.160836142000221,-50.8652815469998 0.172499142000163,-50.8245905469999 0.172918142000185,-50.8050095469999 0.166390142000239,-50.7827815469998 0.176945142000136,-50.7604185469998 0.195972142000187,-50.6400095469999 0.336390142000198,-50.596672547 0.389718142000277,-50.5741725469999 0.421945142000254,-50.5644455469999 0.439718142000174,-50.507509547 0.547499142000163,-50.4886185469999 0.583609142000228,-50.4719455469999 0.622218142000179,-50.4500095469999 0.661809141999981,-50.4200095469999 0.679718142000297,-50.3965275469998 0.690554142000167,-50.3519545469999 0.722218142000145,-50.3122275469999 0.75305414200011,-50.2369455469999 0.888609142000064,-49.9809725469999 1.08666314200025,-49.9409725469999 1.11847214199992,-49.9147275459999 1.15028114200015,-49.9031995459998 1.1744451420002,-49.9034725459999 1.19708114300022,-49.911254546 1.23528114300024,-49.9291725469999 1.24999914300014,-49.9666725469999 1.23124514300025,-49.9955635469999 1.22305414300018,-50.0704185469999 1.20958114300026,-50.1105545469999 1.21339914300017,-50.086109547 1.23471814300018,-50.0436185469999 1.24889014300021,-50.022509547 1.25444514300028,-49.9754185469999 1.2623631430003,-49.8929905459999 1.32423614300023,-49.8786185459999 1.44555414300009,-49.881390546 1.51749914300029,-49.8825095459999 1.53889014300023,-49.8855635459999 1.55944514300029,-49.888890546 1.58055414300014,-49.9320815469999 1.70992714300019,-50.015009547 1.76471814300015,-50.0486185469999 1.77999914300011,-50.1931995469999 1.82499914300018,-50.3280545469999 1.82999914300018,-50.4024995469999 1.81971814300022,-50.445281547 1.82583614300017,-50.466945547 1.84249914300005,-50.4855545469999 1.8633361430002,-50.5013995469998 1.88610914300023,-50.5933365469999 2.02778114300025,-50.679727547 2.1647181430003,-50.7833365469999 2.48721814400028,-50.8166725469999 2.61944514400022,-50.826118547 2.6577811440003,-50.8502815469999 2.74055414400021,-50.9141725469999 2.8738901440002,-50.9922275469999 3.0424991440002,-51.0180545479999 3.10805414400016,-51.0236095479999 3.12999914400024,-51.051118548 3.25860914400005,-51.055281548 3.28194514400019,-51.0613905479999 3.33055414500018,-51.0661185479999 3.37889014500001,-51.0772275479999 3.58555414500029,-51.0787545479999 3.636527145,-51.0716725479998 3.73333614500007,-51.0794455479999 3.8868091450002,-51.0929905479999 3.91284514500023,-51.1170815479999 3.90652714500027,-51.1375095479999 3.87555414500014,-51.1655545479999 3.89528114500024,-51.1674995479999 3.9972181450002,-51.191390548 4.05583614500011,-51.2011185479999 4.07389014500018,-51.2593095479999 4.15249914500021,-51.3320905479999 4.2302721450003,-51.5481275479999 4.38569014500024,-51.559445548 4.36416314500025,-51.5600095479999 4.33083614500021,-51.5588905479999 4.30471814500009,-51.554727548 4.28139014500016,-51.548618548 4.26028114500008,-51.5102815479999 4.13444514500014,-51.5030635479999 4.11416314500013,-51.4799995479999 4.05527214500017,-51.459445548 4.02110914500025,-51.447781548 3.97249914500026,-51.5044455479998 4.05971814500015,-51.5402815479999 4.15360914500019,-51.6066725479999 4.11610914500017,-51.6141725479999 4.09639014500021,-51.636945548 4.0570811450001,-51.6733365479999 4.03615414500018,-51.6839125479999 4.03419114500014,-51.684063548 4.03416314500015,-51.683630788 4.03458577200018,-51.6836294049998 4.03458770999998,-51.671251877 4.04667567300015,-51.6618943849999 4.05469638000022,-51.6431794029999 4.07608493199996,-51.6407146739999 4.08692974000019,-51.63649548 4.10549419000023,-51.6286612329999 4.12429638500009,-51.6231276359999 4.13757701800017,-51.6097597909999 4.16431270700014,-51.597728731 4.18837482800018,-51.6030758689999 4.23382550000025,-51.6151069289999 4.2752658190002,-51.6196996159999 4.2969170570002,-51.62446442 4.31937970600023,-51.6311483429999 4.35146253400001,-51.637832265 4.39022928300028,-51.6413439159999 4.40661698800022,-51.6458529719999 4.42765924900016,-51.6483754129999 4.4469979670003,-51.6498633249998 4.45840529200029,-51.6458257549999 4.47320971700015,-51.6418426179999 4.48781455000017,-51.6338888889999 4.50138888900022,-49.4178293539999 7.0061885420003,-49.3621805459998 6.96728614800026,-49.3621035459998 6.96720914800028,-49.3611705459999 6.96655614800022,-49.3607235459999 6.96611214800009,-49.3571595459999 6.96361914800025,-49.3567291939999 6.96319143099993,-49.356016962 6.96248308600019,-49.3556280559999 6.96221102200008,-49.3551685459999 6.9618891480003,-49.3533855459998 6.96011514800023,-49.3532010579999 6.95998701000008,-49.3531469369999 6.95994914800019,-49.3495073669999 6.95632934900027,-49.348076546 6.95490614800019,-49.345122546 6.95283914800024,-49.3431735459999 6.95090114800024,-49.3401005459998 6.94875114800021,-49.3375945459999 6.94625814800014,-49.3340985459998 6.94381214800029,-49.3328925459999 6.94261314800019,-49.332350736 6.94223467800015,-49.3320767949999 6.94204302400027,-49.331872022 6.94183934900019,-49.3315125459998 6.94148114800015,-49.3301811289999 6.94055027600024,-49.3300865649999 6.94048411800026,-49.3299759029998 6.94037404800019,-49.3296737359999 6.94016264600009,-49.329076546 6.9397441480001,-49.3246825459999 6.93537414800022,-49.3240525459999 6.93493314800014,-49.321094546 6.93199114800024,-49.3200395459999 6.93125314799994,-49.3190385459999 6.93025714799995,-49.3180185459999 6.92954314800022,-49.3154697349999 6.92700890700024,-49.3150446779999 6.92658610200016,-49.3019755369999 6.91744206700002,-49.3019619179999 6.91742852000027,-49.3018565459999 6.91732314800021,-49.2999555459999 6.91599314800015,-49.299101546 6.91514414800025,-49.288934546 6.90803014800014,-49.2861135459999 6.90522314800023,-49.285191926 6.90457909600025,-49.2849220219998 6.90439024100016,-49.2804348129999 6.89992613800018,-49.2691255459999 6.88867414800018,-49.264858546 6.88568814800021,-49.2643745459998 6.88520714800001,-49.2638475459999 6.88483814800003,-49.2632975459999 6.88429114800027,-49.2628375459998 6.88396914800023,-49.2615605459999 6.88269914799997,-49.2608465459998 6.88219914800015,-49.2601505459999 6.88150714800014,-49.258825546 6.88057914800027,-49.2553455459999 6.87711714799997,-49.2527925459999 6.87533014800027,-49.2460475459999 6.86862014800022,-49.2427765459999 6.86633114799997,-49.2365285459999 6.86011414800021,-49.234751546 6.85887014800011,-49.2345150799999 6.85863560400026,-49.2345055549999 6.85862614199999,-49.2337410339999 6.85809109800016,-49.2282594599999 6.8526366990003,-49.2238635459999 6.84826214800029,-49.2221303579999 6.84704947800014,-49.2217027059999 6.84675018499996,-49.0348598999998 6.66067038000017,-48.8063216019999 6.43306520299996,-48.806276622 6.43300146100017,-48.805052545 6.43126614700014,-48.8032935449999 6.42951314700025,-48.8025594899998 6.4284733090002,-48.8024608399999 6.42833350800026,-48.8024607039999 6.42833337300016,-48.8024605449999 6.42833314699993,-48.793622714 6.41952382100027,-48.7872689669999 6.41319052000017,-48.7865994739999 6.41224167200016,-48.7859275449999 6.41128914700016,-48.784271545 6.40963814699995,-48.7817396179999 6.40605047000003,-48.7804900149999 6.40427941099995,-48.7722829239999 6.39609786100016,-48.756195545 6.38006014700011,-48.7492085279999 6.37015617400021,-48.747409513 6.36760603100015,-48.7470583539999 6.36725593200021,-48.7441715449999 6.36437714700014,-48.7413465449999 6.36037314700013,-48.740163545 6.35919314700021,-48.7394765449999 6.35822014700017,-48.7381445449999 6.35689214700022,-48.737926546 6.35658337700028,-48.7375589439999 6.35606225300018,-48.7341379279999 6.35265142000009,-48.7334839419998 6.35172428900023,-48.7331588739999 6.35140018600015,-48.7329295129999 6.35107502800025,-48.7216631699999 6.3398416940002,-48.7141075449999 6.33230814700028,-48.7129949679999 6.33073074100014,-48.7077577739999 6.32330530600029,-48.70709998 6.32264939500027,-48.702843711 6.31661448100027,-48.7001565449998 6.31280414699995,-48.700061545 6.31270914699991,-48.3629305449998 5.83421114700025,-48.3618719099999 5.83196493700024,-48.3600406859999 5.82807924600013,-48.3586629979999 5.8261219160002,-48.3559365449999 5.82224814700021,-48.355851547 5.82206814600016,-48.3558514859999 5.82206801000012,-48.3552162359999 5.82116544899998,-48.3449125449999 5.80652514700029,-48.3445670489999 5.80579288600001,-48.3445527269999 5.80576249300026,-48.3445526699999 5.80576241300025,-48.3445525449998 5.80576214700022,-48.3429275449999 5.80345314700014,-48.3422255009999 5.80196360899998,-48.340758888 5.79885110000015,-48.3373892969999 5.7940632080003,-48.3319025449998 5.78626614700022,-48.3319001049999 5.78626208100025,-48.3318997929999 5.78626141800009,-48.3316583849999 5.78591838900024,-48.3299175449999 5.78344414700013,-48.3287345449998 5.78093314700021,-48.3257301379999 5.77666457700019,-48.3239007589998 5.7740650420003,-48.2515069029998 5.62035047100017,-48.200786987 5.54822970000026,-48.1982207319999 5.54277668100019,-48.1979475449999 5.54219614700014,-48.1957765449999 5.53910814700026,-47.9472785449999 5.01044014600024,-47.9467802319999 5.00861039199998,-47.9465780369999 5.00786698700023,-47.9465318149999 5.00776853900021,-47.9462725449999 5.00721514600019,-47.7934645449999 4.44442814600023),(-50.4969455469999 2.12028114300028,-50.4849995469999 2.11749914300015,-50.4752815469999 2.11971814300023,-50.4130635469999 2.13999914300018,-50.4047275469998 2.14639014300013,-50.398054547 2.16139014300029,-50.3966725469999 2.17305414300029,-50.4055545469999 2.19360914300012,-50.4205635469998 2.2024991430003,-50.436954547 2.2091631430003,-50.4605545469999 2.21416314300029,-50.5052815469998 2.21139014300019,-50.5172275469999 2.2030541430002,-50.5322275469999 2.17778114300023,-50.5355635469999 2.15999914299994,-50.5336185469999 2.14971814300014,-50.4969455469999 2.12028114300028),(-50.3983365469999 2.13430914300028,-50.4849995469999 2.10444514300025,-50.495136547 2.09736314300011,-50.4994545469999 2.07778114299992,-50.5041725469999 2.02097214300011,-50.4336185469999 1.90110914300021,-50.4237545469999 1.88986314300018,-50.4047275469998 1.87999914300025,-50.3966635469999 1.8813901430002,-50.3800095469999 1.88528114299993,-50.3616725469999 1.89083614300017,-50.3113905469999 1.94221814300022,-50.303336547 1.95055414300015,-50.2983365469998 1.96180914300027,-50.2977815469999 1.98139014300017,-50.3047275469999 1.99833614300019,-50.3513905469998 2.10805414300006,-50.3561185469999 2.11694514300029,-50.378890547 2.13333614300007,-50.3983365469999 2.13430914300028),(-50.074445547 0.944718142000227,-50.0244455469999 0.92971814200007,-50.0094455469999 0.935281142000292,-49.9841725469999 0.953890142000262,-49.9505635469998 0.985836142000267,-49.9423635469998 0.998890142000164,-49.9359725469998 1.0315271420003,-49.9477815469999 1.05444514200013,-49.962781547 1.05528114200018,-50.0019455469999 1.05528114200018,-50.0174995469999 1.05389014200023,-50.0280635469999 1.04791814200007,-50.074445547 0.98110914200015,-50.074445547 0.944718142000227),(-50.0105635469999 0.919581142000141,-50.0388275469999 0.878009142000167,-50.0684815469999 0.870890142000178,-50.0859725469999 0.870299141999965,-50.0987275469999 0.873563142000023,-50.1227455469999 0.883645142000034,-50.1482545469999 0.886609142000168,-50.1925095469999 0.881663142000207,-50.2044455469999 0.877081142000122,-50.2247275469999 0.861109142000203,-50.2402815469999 0.847499142000174,-50.2686185469999 0.821390142000098,-50.2758365469998 0.806390142000168,-50.2705635469999 0.760554142000217,-50.2640365469998 0.748890142000221,-50.2449995469999 0.744163142000218,-50.1704185469999 0.748745142000303,-50.132499547 0.756109142000298,-50.110836547 0.762499142000195,-50.0944545469999 0.770836142000235,-50.0691725469999 0.788609142000155,-50.0538905469998 0.803054142000178,-50.0477815469999 0.811109142000191,-50.0072275469999 0.881663142000207,-50.0047185469999 0.89694514200022,-50.0105635469999 0.919581142000141),(-50.0761185469999 0.65055414200026,-50.233336547 0.591109142000164,-50.255281547 0.569445142000177,-50.3080635469999 0.506390142000157,-50.3154185469999 0.485418142000242,-50.3177815469999 0.467918142000201,-50.317218547 0.428890142000228,-50.313054547 0.395281142000101,-50.3102815469998 0.378054142000281,-50.3069455469999 0.361109142000146,-50.3019455469999 0.351945142000261,-50.2902815469998 0.347363142000177,-50.2541725469999 0.34194514200027,-50.237499547 0.350836142000162,-50.1480545469999 0.413890142000298,-50.0230545469999 0.541945142000145,-50.0216635469999 0.558336141999916,-50.022509547 0.576109142000178,-50.025836547 0.599163142000236,-50.059863547 0.64305414200021,-50.0761185469999 0.65055414200026),(-50.3593095469998 0.609718142000133,-50.3777815469999 0.618336142000146,-50.4286095469999 0.550836142000207,-50.4350095469999 0.538745142000266,-50.4425095469999 0.484445142000197,-50.4624995469999 0.343336142000226,-50.4672275469999 0.326109142000234,-50.4719455469999 0.308890142000166,-50.4802815469998 0.284163142000239,-50.4911095469999 0.26778114200016,-50.5026455469999 0.257636142000251,-50.515009547 0.249163142000157,-50.5313905469999 0.235554142000183,-50.5363905469999 0.222363141999949,-50.5322275469999 0.209445142000106,-50.5170905469999 0.191109142000187,-50.4597275469999 0.171945142000141,-50.441118547 0.171109142000262,-50.4163905469998 0.210836142000289,-50.4041635469999 0.226663142000291,-50.3891635469999 0.236945141999968,-50.3668095469999 0.243190142000117,-50.338336547 0.252218142000174,-50.3219455469999 0.293890142000009,-50.3177815469999 0.308890142000166,-50.3191725469999 0.324163142000145,-50.3268095469999 0.343190142000253,-50.3444545469999 0.371945142000186,-50.3493095469999 0.384581142000116,-50.3561185469999 0.429445141999963,-50.3561185469999 0.447499142000197,-50.3538905469998 0.470554141999969,-50.3505635469999 0.488336142000264,-50.3472275469999 0.519999142000302,-50.3547275469999 0.589163142000245,-50.3593095469998 0.609718142000133),(-50.1583365469999 0.220554142000196,-50.1738905469999 0.214445141999931,-50.1916725469999 0.213609142000223,-50.2730545469998 0.210836142000289,-50.2948635469999 0.216809142000159,-50.3812545469999 0.198609142000237,-50.3919455469999 0.189718142000231,-50.3966635469999 0.173336141999926,-50.3924995469998 0.109445142000197,-50.3738905469999 0.0547181410002509,-50.3683365469999 0.0388901410001949,-50.3616725469999 0.0299991410003031,-50.3498635469999 0.0218091410001762,-50.334172547 0.0159721410001907,-50.2993095469999 0.011245141000245,-50.2772275469999 0.0108361410001407,-50.2655545469999 0.0116631409999854,-50.2383365469999 0.013609141000245,-50.2108365469999 0.0169451410002353,-50.1944545469999 0.0169451410002353,-50.1588905469998 0.0169451410002353,-50.1422275469999 0.0163901410001586,-50.1272275469998 0.0141631410002674,-50.1024995469999 0.0102811410002346,-50.078609547 0.00139014100017221,-50.0763905469998 -8.5899984014759e-07,-50.0463905469999 -0.0172188589999109,-49.9930545469999 -0.0733368589998804,-49.984727547 -0.0722188589999178,-49.9212545459999 -0.0391638589999275,-49.906254546 -0.0245818589999089,-49.8950185459999 -8.5899984014759e-07,-49.8894545459999 0.0130541410001683,-49.8786185459999 0.0313901410000881,-49.865563546 0.0505541410001342,-49.8524995459999 0.0697181410002372,-49.8319455459999 0.097218141000269,-49.8236185459999 0.106109142000207,-49.8074995459999 0.120554142000287,-49.7819545459999 0.138336142000185,-49.699718546 0.184999142000208,-49.6749995459999 0.196663142000205,-49.6599995459999 0.200554142000271,-49.643618546 0.210281142000213,-49.636118546 0.227499141999999,-49.6311095459998 0.243890142000112,-49.6283365459999 0.263609142000291,-49.6322275459999 0.276109142000166,-49.6488995459999 0.295281142000192,-49.6758365459999 0.319999142000256,-49.6922185459999 0.330281142000274,-49.7038905459999 0.334999142000015,-49.7250095459999 0.336945142000275,-49.7408365459999 0.33083614200018,-49.805836546 0.318609142000184,-49.9072275459998 0.306109141999912,-49.9750095469999 0.299445141999911,-50.0019455469999 0.299445141999911,-50.033336547 0.297918142000242,-50.0636095469999 0.28971814200014,-50.104727547 0.262218141999938,-50.130009547 0.243054142000233,-50.1411095469999 0.232218142000193,-50.1499995469999 0.226109142000098,-50.1583365469999 0.220554142000196),(-49.8524995459999 -0.0644458589999317,-49.847781546 -0.0816638589998888,-49.8397275459999 -0.0988908589999369,-49.827499546 -0.106254858999876,-49.7127815459999 -0.151663858999939,-49.6947275459999 -0.156390858999885,-49.6777815459999 -0.150281858999904,-49.636118546 -0.139163858999893,-49.6197275459999 -0.135836858999937,-49.6038905459999 -0.134445858999868,-49.5908365459999 -0.136809858999811,-49.5255545459999 -0.134445858999868,-49.462781546 -0.124163858999907,-49.4372275459998 -0.118054858999926,-49.414172546 -0.105690858999878,-49.3811095459999 -0.0686098589999347,-49.382227546 -0.0438908589998164,-49.3844455459999 -0.0283368589999213,-49.397809546 -8.5899984014759e-07,-49.3991725459999 0.00749914100026672,-49.4186185459998 0.0355541410002047,-49.4263905459999 0.042499141000178,-49.4383365459999 0.0495811410001465,-49.501672546 0.0705541410002866,-49.5241725459999 0.0752811410000618,-49.5586185459999 0.0786091410002996,-49.5944455459999 0.0813901410001563,-49.6509815459999 0.0773631410002054,-49.7086185459999 0.0477811410002005,-49.7669455459999 0.00389014100022678,-49.7698275459999 -8.5899984014759e-07,-49.8524995459999 -0.0644458589999317),(-49.1899995459999 -0.135836858999937,-49.3283365459999 -0.159718858999895,-49.3505635459999 -0.169027858999925,-49.4015275459998 -0.19958185899992,-49.4084815459999 -0.218754858999944,-49.6455635459998 -0.248336858999949,-49.7133365459999 -0.22778185899989,-49.810836546 -0.201663858999837,-50.107509547 -0.133890858999962,-50.141672547 -0.126945858999875,-50.3288995469998 -0.100281858999892,-50.3519545469999 -0.100836858999855,-50.4137545469999 -0.10847285899996,-50.4518095469999 -0.118545858999937,-50.4994545469999 -0.14000085899994,-50.5219455469999 -0.153054858999894,-50.5611185469999 -0.176945858999943,-50.585554547 -0.200281858999972,-50.6466635469999 -0.262500858999886,-50.659863547 -0.283890858999882,-50.6925095469999 -0.359163858999977,-50.7036095469999 -0.389445858999977,-50.7263905469999 -0.497781858999815,-50.7144455469999 -0.532281858999909,-50.6899455469999 -0.601445858999909,-50.6686185469999 -0.63736385899989,-50.6447275469998 -0.640836858999876,-50.6080545469999 -0.645281858999908,-50.5869455469999 -0.651809858999854,-50.5574275469999 -0.678609858999948,-50.5929185469998 -0.682363858999963,-50.6824995469999 -0.648336858999869,-50.7054995469999 -0.643836858999975,-50.7198365469999 -0.616663858999914,-50.728127547 -0.595209858999908,-50.7749995469999 -0.644163858999946,-50.7833365469999 -0.663609858999905,-50.7972275469999 -0.926254858999869,-50.7969545469999 -0.971945858999959,-50.7856905469999 -1.03958185999994,-50.743618547 -1.07366385999995,-50.7256995469999 -1.08529085999987,-50.6473635469999 -1.09389085999993,-50.5643095469999 -1.06590085999994,-50.5694545469999 -1.10194585999989,-50.6288905469998 -1.15055485999983,-50.6700095469998 -1.14389085999983,-50.708999547 -1.14021885999989,-50.7415095469998 -1.12755485999998,-50.7811095469999 -1.1519458599999,-50.8143095469999 -1.32951885999989,-50.800836547 -1.44458185999997,-50.7741725469999 -1.47944585999994,-50.7327815469999 -1.5476368599999,-50.7063905469999 -1.57610985999997,-50.6613905469999 -1.61347285999994,-50.6466635469999 -1.63986385999993,-50.6408365469998 -1.73625485999997,-50.6312545469999 -1.75930985999992,-50.579518547 -1.79868185999993,-50.4386095469999 -1.83083685999998,-50.3745905469999 -1.83569085999989,-50.303336547 -1.81778185999991,-50.1058365469999 -1.75471885999991,-50.0902815469999 -1.7301368599999,-50.0543095469999 -1.70847285999997,-49.9491725469998 -1.74944585999992,-49.9174995459999 -1.7672188599999,-49.884727546 -1.78778185999983,-49.8129905459999 -1.81444585999992,-49.7671995459999 -1.78820985999988,-49.754699546 -1.7656638599999,-49.7452815459999 -1.73625485999997,-49.7577815459999 -1.70360985999992,-49.767781546 -1.68250085999989,-49.7723635459999 -1.65694585999995,-49.7575725459999 -1.63875485999995,-49.7187815459998 -1.73760985999991,-49.6724995459999 -1.77666385999987,-49.554863546 -1.70013685999993,-49.5131995459999 -1.62708185999992,-49.383472546 -1.6472188599999,-49.1663905459998 -1.61389085999997,-48.9527815459999 -1.52471885999995,-48.901390546 -1.50083685999988,-48.8766725459999 -1.48778185999981,-48.8608365459999 -1.47805485999993,-48.8451455449999 -1.45819085999989,-48.756109545 -1.23221885999988,-48.6292455449999 -1.06576385999989,-48.6313905449999 -1.03139085999987,-48.6430545449999 -1.01000085999988,-48.6438905449998 -0.988890859999913,-48.621745545 -0.944372858999941,-48.588890545 -0.932781858999931,-48.5616725449998 -0.920554858999878,-48.539172545 -0.900281858999904,-48.530009545 -0.87528185899987,-48.5244455449998 -0.853336858999967,-48.4944455449999 -0.734718858999884,-48.4841725449999 -0.687500858999897,-48.4661095449999 -0.58673685899987,-48.4670905449999 -0.53847285899991,-48.4613995449999 -0.516809858999977,-48.4319455449999 -0.443609858999878,-48.4177095449999 -0.420136858999967,-48.3875725449999 -0.395345858999917,-48.372645545 -0.372218858999872,-48.3637545449998 -0.313754858999914,-48.3695905449999 -0.292636858999913,-48.4102815449998 -0.262127858999975,-48.6305635449998 -0.22500085899992,-48.8252815449999 -0.207218858999909,-49.0050095459999 -0.154445858999907,-49.1475095459999 -0.137781858999915,-49.1899995459999 -0.135836858999937),(-48.3844455449999 -1.21652785999987,-48.3477815449999 -1.21889085999987,-48.3402815449999 -1.21278185999984,-48.3188905449999 -1.18944585999998,-48.3127815449999 -1.15110985999991,-48.314172545 -1.11694585999987,-48.3249365449999 -1.07430985999991,-48.3397275449999 -1.06805485999985,-48.3513905449999 -1.06750085999988,-48.3958365449999 -1.07083685999982,-48.4107635449999 -1.07492785999989,-48.4663275449999 -1.15555485999988,-48.4590365449999 -1.1700008599999,-48.4136095449999 -1.20666385999988,-48.3844455449999 -1.21652785999987),(-49.0111185459998 -1.63471885999996,-49.0465275459999 -1.70833685999992,-49.0249365459999 -1.77694585999996,-48.9863905459999 -1.79847285999995,-48.9708365459999 -1.79971885999993,-48.9611095459999 -1.79583685999989,-48.9547275459999 -1.78805485999993,-48.9480635459999 -1.77444585999996,-48.944454546 -1.76416385999988,-48.9008365459998 -1.63000085999994,-48.8995815459998 -1.58250085999987,-48.911809546 -1.57583685999987,-48.926672546 -1.57778185999996,-48.9802095459999 -1.59715485999982,-49.0030635459999 -1.62250085999995,-49.0111185459998 -1.63471885999996),(-49.040327546 -1.7714728599999,-49.0548635459999 -1.72284585999989,-49.0897275459999 -1.74028185999993,-49.0987545459998 -1.74847285999988,-49.1522275459999 -1.84221885999983,-49.1563905459999 -1.85194585999994,-49.1520905459999 -1.86333685999983,-49.1386185459999 -1.86694585999987,-49.0920455459999 -1.83971885999989,-49.051872546 -1.85110985999995,-49.0241725459999 -1.82916385999994,-49.0073635459999 -1.79541885999993,-49.0259275459999 -1.79120085999983,-49.040327546 -1.7714728599999),(-50.9730455469999 -0.868981858999916,-50.9872275469999 -0.866390858999921,-51.0023725469999 -0.867909858999951,-51.0202815479999 -0.874445858999877,-51.0297275479999 -0.878609858999937,-51.0450095479999 -0.889718858999913,-51.054199548 -0.896709858999884,-51.0708365479999 -0.91139085899988,-51.140836548 -0.986109859999942,-51.159445548 -1.00889085999995,-51.1708365479999 -1.02666385999993,-51.188054548 -1.0804188599999,-51.1780545479999 -1.09208185999984,-51.1580545479998 -1.08500085999992,-51.0700365479999 -1.03779085999992,-51.033336548 -1.00528185999991,-51.0194455479999 -0.991663859999903,-51.014718548 -0.981536859999892,-51.0189275479999 -0.957000858999891,-51.0126185479999 -0.919500858999925,-50.9985995469999 -0.905481858999906,-50.952690547 -0.899527858999818,-50.9271545469999 -0.87062785899991,-50.9730455469999 -0.868981858999916),(-51.1824995479999 -0.967781858999956,-51.1811185479999 -0.955281858999967,-51.1805545479999 -0.935554858999978,-51.1811185479999 -0.889718858999913,-51.1824995479999 -0.870281858999874,-51.1915365479999 -0.854309858999898,-51.2030545479999 -0.841663858999937,-51.2126455479999 -0.845418858999949,-51.2184815479999 -0.860836858999903,-51.220836548 -0.881390858999907,-51.219590548 -0.907636858999979,-51.2194545479999 -0.928054858999815,-51.2216725479999 -0.944445858999927,-51.2338905479999 -0.984718859999873,-51.2408365479999 -1.00528185999991,-51.2488905479999 -1.02471885999995,-51.256945548 -1.03736385999991,-51.2763905479999 -1.05194585999993,-51.306254548 -1.07013685999988,-51.3505635479999 -1.1150008599999,-51.3636185479999 -1.12944585999992,-51.390009548 -1.17110985999994,-51.3983365479999 -1.19028185999997,-51.4002815479999 -1.20194585999997,-51.399172548 -1.21305485999994,-51.387509548 -1.21500085999992,-51.3752815479999 -1.21360985999991,-51.3641725479999 -1.21083685999992,-51.2991725479999 -1.19389085999995,-51.2791635479999 -1.18610985999993,-51.2627815479999 -1.17528185999987,-51.252781548 -1.16471885999988,-51.2394455479999 -1.14389085999983,-51.1908365479999 -1.00055485999991,-51.1874995479999 -0.990281859999868,-51.1824995479999 -0.967781858999956),(-51.2430545479999 -0.894445858999973,-51.222499548 -0.823890858999903,-51.2080635479999 -0.79055485899994,-51.1886095479998 -0.754718858999922,-51.1520905479999 -0.682636858999899,-51.1501455479998 -0.660836858999971,-51.183890548 -0.559309858999882,-51.1983365479999 -0.530281858999899,-51.3038905479999 -0.534718858999952,-51.3822995479999 -0.54291885899994,-51.4961095479999 -0.613754858999926,-51.529163548 -0.637500858999942,-51.5495905479998 -0.656527858999937,-51.6097275479999 -0.733890858999871,-51.6583365479999 -0.873890858999914,-51.6649995479998 -0.900554858999953,-51.6669455479999 -0.94860985899993,-51.6644545479999 -0.985554859999922,-51.6606995479999 -1.00833685999987,-51.654309548 -1.0294458599999,-51.652363548 -1.05139085999991,-51.662227548 -1.08333685999992,-51.673890548 -1.10055485999993,-51.6905635479999 -1.1191638599999,-51.7198635479999 -1.13860985999986,-51.8009725479999 -1.1633368599999,-51.8433365479999 -1.1658368599999,-51.8691725479999 -1.16971885999988,-51.8848635479999 -1.18340085999995,-51.8910365479999 -1.23437285999995,-51.8808365479999 -1.27389085999988,-51.8790365479998 -1.29860985999989,-51.885972548 -1.32236385999988,-51.9005545479999 -1.34944585999989,-51.926118548 -1.3897188599999,-51.946945548 -1.41889085999998,-51.9493815479999 -1.44381885999991,-51.924863548 -1.47139085999993,-51.9013905479998 -1.47666385999997,-51.8827815479998 -1.47471885999988,-51.8001365479999 -1.45347285999992,-51.7374995479999 -1.4158368599999,-51.6752815479999 -1.3738908599999,-51.5574995479998 -1.29305485999993,-51.4833365479998 -1.24028185999993,-51.4669455479999 -1.22750085999991,-51.4500095479999 -1.21083685999992,-51.4333365479999 -1.19389085999995,-51.4002815479999 -1.1472188599999,-51.3811185479998 -1.11263685999995,-51.365563548 -1.08694585999996,-51.3474995479999 -1.06319085999991,-51.276809548 -1.02000085999993,-51.2616725479999 -0.980418859999872,-51.2430545479999 -0.894445858999973),(-52.0211185479999 -1.44055485999991,-52.0333365479999 -1.44013685999988,-52.172227549 -1.49721885999992,-52.2105545489999 -1.56110985999993,-52.2027815489999 -1.56860985999992,-52.1980635489999 -1.5804188599999,-52.2008365489999 -1.64666385999993,-52.174727549 -1.60889085999997,-52.1625095489998 -1.59958185999989,-52.1265275489998 -1.5852818599999,-52.0883365489999 -1.59333685999991,-52.0633365479998 -1.58971885999989,-52.0247275479999 -1.58028185999996,-51.999454548 -1.57333685999987,-51.9719455479999 -1.56250085999989,-51.933618548 -1.54291885999987,-51.9205635479999 -1.53166385999992,-51.9151455479999 -1.5202818599999,-51.9630545479999 -1.47139085999993,-51.9708365479999 -1.46500085999998,-51.986390548 -1.45416385999994,-51.9952815479999 -1.44944585999991,-52.0211185479999 -1.44055485999991),(-52.2227815489999 -1.45000085999988,-52.1693095489999 -1.42125485999992,-52.1686185489999 -1.40833685999991,-52.2031995489999 -1.36333685999989,-52.431118549 -1.46639085999988,-52.4516635489999 -1.47944585999994,-52.4586185489998 -1.49250085999989,-52.453899549 -1.51500085999993,-52.4305545489998 -1.52639085999988,-52.4183365489999 -1.52750085999992,-52.3883365489999 -1.52125485999994,-52.2591725489999 -1.46860985999996,-52.2227815489999 -1.45000085999988),(-51.136118548 -0.542218858999888,-51.1155635479998 -0.544163858999923,-51.1077815479999 -0.540000858999974,-51.0977815479999 -0.523609858999919,-51.0908365479999 -0.508054858999969,-51.0811185479998 -0.481109858999957,-51.0637545479998 -0.428472858999953,-51.0474995479999 -0.398890858999948,-51.0236095479999 -0.383336858999883,-51.0138905479999 -0.379718858999865,-50.9872275469999 -0.373054858999865,-50.9629185469999 -0.369445858999939,-50.9484725469999 -0.357918858999881,-50.9479185469999 -0.342081858999961,-51.0305635479998 -0.285554858999888,-51.0451455479998 -0.282781858999954,-51.1301455479998 -0.39930985899997,-51.150281548 -0.518890858999953,-51.1504185479999 -0.530972858999974,-51.136118548 -0.542218858999888),(-51.1375095479999 -0.285281858999952,-51.1119455479999 -0.220836858999917,-51.0949995479999 -0.135281858999861,-51.0993095479999 -0.124445858999877,-51.1143095479998 -0.121390858999973,-51.192218548 -0.159163858999932,-51.2080635479999 -0.17000085899997,-51.2230635479998 -0.183054858999867,-51.2388905479998 -0.201663858999837,-51.2530635479999 -0.220836858999917,-51.2580545479999 -0.230281858999888,-51.2805545479999 -0.2797188589999,-51.2877815479999 -0.301254858999869,-51.3641725479999 -0.411390858999937,-51.3916725479999 -0.427781858999879,-51.399172548 -0.434718858999872,-51.4055635479999 -0.454445858999918,-51.407081548 -0.474027858999932,-51.3983365479999 -0.485281858999883,-51.390009548 -0.486109858999953,-51.3805635479999 -0.484718858999884,-51.337499548 -0.459163858999943,-51.3119545479998 -0.44139085899991,-51.247781548 -0.392218858999911,-51.2202815479998 -0.367500858999961,-51.1375095479999 -0.285281858999952),(-51.0149995479999 -0.232081858999891,-50.9288905469999 -0.268890858999896,-50.9050095469999 -0.265281858999913,-50.890009547 -0.266109858999926,-50.8727815469999 -0.270836858999814,-50.8577815469999 -0.28305485899989,-50.8097185469999 -0.240000858999963,-50.7749995469999 -0.209163858999887,-50.7488905469999 -0.188609858999939,-50.7370905469999 -0.182081858999879,-50.7105635469999 -0.179718858999877,-50.6805545469999 -0.166663858999868,-50.5569455469999 -0.0625008589999538,-50.5624995469998 -0.0541638589999138,-50.6138905469999 -0.0105548589999103,-50.6269455469999 -0.00708185899986802,-50.6986185469999 -0.00555485899991481,-50.7101365469999 -0.007363858999895,-50.7386185469999 -0.0194458589999158,-50.7625095469999 -0.0358368589999145,-50.7791635469999 -0.0419458589998953,-50.8497275469999 -0.0638908589999119,-50.9319455469999 -0.0877818589999606,-50.9533365469999 -0.0870818589999089,-50.9727815469999 -0.090000858999872,-50.9858365469998 -0.105000858999858,-51.0011095469999 -0.128336858999944,-51.0140275479999 -0.149309858999914,-51.0213905479999 -0.16944585899995,-51.0305635479998 -0.203336858999876,-51.0272275479999 -0.224163858999873,-51.0149995479999 -0.232081858999891),(-50.823618547 -0.0297188589999564,-50.734618547 -8.5899984014759e-07,-50.7073635469999 0.00639014100016766,-50.6979185469999 0.019718141000169,-50.7073635469999 0.0344451410002762,-50.7358365469999 0.0566631410000582,-50.7658365469999 0.0663901410001699,-50.8026455469999 0.0673631410000439,-50.8341725469999 0.0591631410001696,-50.8694455469999 0.0347181410000985,-50.9002815469999 0.00944514100012839,-50.908336547 -8.5899984014759e-07,-50.9236185469999 -0.0119458589999795,-50.9330635469999 -0.0200008589998788,-50.9351455469999 -0.0326368589999788,-50.9236185469999 -0.0461098589998983,-50.901672547 -0.0475008589999675,-50.8861185469999 -0.0452818589998856,-50.8599995469999 -0.0400008589999175,-50.841945547 -0.0358368589999145,-50.823618547 -0.0297188589999564),(-50.5686095469999 -0.00166385899990473,-50.5397275469999 -0.0234728589999804,-50.5177815469999 -0.0322188589999541,-50.5013995469998 -0.0330548589999466,-50.4555545469999 -0.022781858999906,-50.4461095469999 -0.0172188589999109,-50.4388995469998 -0.00833685899988268,-50.4371455469999 -8.5899984014759e-07,-50.4359815469999 0.0119451410002398,-50.4500095469999 0.104163141999948,-50.4541725469999 0.126390142000162,-50.4649995469999 0.146663142000136,-50.4727815469999 0.154163142000186,-50.576809547 0.20889014200003,-50.5913905469999 0.208336142000235,-50.6433365469999 0.171109142000262,-50.6577815469999 0.152363142000297,-50.6545905469999 0.128054142000167,-50.6338995469999 0.0916631410001401,-50.5933365469999 0.0224991410001962,-50.5702275469999 -8.5899984014759e-07,-50.5686095469999 -0.00166385899990473),(-50.7514635469999 -0.227918858999942,-50.8730635469999 -0.317781858999922,-50.9027815469999 -0.346390858999825,-50.9042365469998 -0.358336858999962,-50.846945547 -0.363054858999874,-50.803336547 -0.358890858999871,-50.779309547 -0.35221885899989,-50.7633365469999 -0.330281858999911,-50.7516725469999 -0.300836858999901,-50.7488905469999 -0.28971885899989,-50.7469455469999 -0.238336858999958,-50.7514635469999 -0.227918858999942),(-50.8505635469999 -0.374027858999966,-50.8783365469998 -0.385281858999974,-50.8883365469999 -0.397363858999881,-50.956945547 -0.522218858999963,-50.9838905469999 -0.576390858999901,-50.9586185469999 -0.567500858999892,-50.8245905469999 -0.507363858999895,-50.804999547 -0.492218858999934,-50.7969545469999 -0.485281858999883,-50.7833365469999 -0.471663858999875,-50.7652815469999 -0.45166385899995,-50.759445547 -0.439718858999868,-50.7570905469999 -0.421109858999898,-50.762227547 -0.404863858999818,-50.7769455469999 -0.383890858999905,-50.7888905469999 -0.37833685899983,-50.8222275469999 -0.371663858999966,-50.8505635469999 -0.374027858999966),(-50.8777815469999 -0.57333685899988,-50.9041635469999 -0.585281858999963,-50.9606995469998 -0.613754858999926,-51.0702815479999 -0.694445858999813,-51.0772275479999 -0.703336858999933,-51.0852815479999 -0.718890858999885,-51.0927815479999 -0.736109858999896,-51.1019545479999 -0.765000858999883,-51.1366725479999 -0.87583685899989,-51.1488995479999 -0.935554858999978,-51.149036548 -0.949163858999952,-51.1400095479999 -0.962218858999904,-51.131954548 -0.95944585899997,-51.1072275479999 -0.938336858999946,-51.0272275479999 -0.860836858999903,-50.9605545469998 -0.765554858999906,-50.950281547 -0.74971885899987,-50.9349995469999 -0.72958185899995,-50.9236185469999 -0.719718858999954,-50.9102815469998 -0.713190858999894,-50.878890547 -0.707218858999966,-50.8538905469999 -0.702500858999883,-50.8438905469998 -0.700554858999965,-50.8237545469999 -0.691527858999962,-50.817509547 -0.679163858999914,-50.808754547 -0.5922188589999,-50.8136095469999 -0.576109858999928,-50.8344455469999 -0.56555485899986,-50.8577815469999 -0.566945858999929,-50.8777815469999 -0.57333685899988),(-50.9433365469999 -0.845836858999974,-50.9352815469999 -0.846390858999882,-50.9163905469999 -0.843609858999912,-50.8505635469999 -0.814581858999929,-50.8375095469998 -0.767636858999879,-50.837781547 -0.737500858999965,-50.842781547 -0.72778185899989,-50.8563905469999 -0.722500858999922,-50.8719455469998 -0.72110985899991,-50.9072275469999 -0.723054858999888,-50.9187545469999 -0.726527858999873,-50.9652815469999 -0.810836858999949,-50.9687545469998 -0.823472858999878,-50.9640275469999 -0.838472858999921,-50.9433365469999 -0.845836858999974),(-50.9102815469998 -0.412781858999836,-50.9022275469999 -0.378681858999926,-50.922499547 -0.38583685899988,-50.9547275469999 -0.401663858999882,-50.9936185469999 -0.424163858999918,-51.0497275479999 -0.463890858999889,-51.0613905479999 -0.472781858999952,-51.0702815479999 -0.484445858999948,-51.074445548 -0.493890858999919,-51.0772275479999 -0.505000858999892,-51.0771545479999 -0.543190858999878,-51.0722275479999 -0.554163858999971,-51.0113905479999 -0.548054858999876,-51.002499547 -0.543336858999965,-50.9597275469999 -0.507363858999895,-50.9102815469998 -0.412781858999836),(-50.9811185469999 -1.84971885999988,-51.0618095479999 -1.82416385999994,-51.1439635479999 -1.8245188599999,-51.1487545479998 -1.85139085999987,-51.1438905479999 -1.86360985999994,-51.1094545479999 -1.90471885999995,-51.0477815479999 -1.96694585999995,-51.0361185479999 -1.9758368599999,-50.9880635469999 -1.99360985999982,-50.9707455469999 -1.98432785999984,-50.9437455469999 -1.96363685999989,-50.9195275469999 -1.97423685999996,-50.887509547 -1.99694585999987,-50.8461185469999 -2.00389085999996,-50.8491635469998 -1.98055485999993,-50.8656995469999 -1.90902785999992,-50.9716725469999 -1.85389085999986,-50.9811185469999 -1.84971885999988),(-46.5441725429999 -1.00110985999987,-46.5315365429998 -1.01916385999988,-46.524172543 -1.02221885999995,-46.498890543 -1.02028185999984,-46.487227543 -1.01805485999995,-46.4402815429999 -1.00333685999988,-46.455281543 -0.89069085899996,-46.4712545429999 -0.880836858999885,-46.522227543 -0.922781858999883,-46.5366725429999 -0.939309858999877,-46.5476455429999 -0.969445858999961,-46.548754543 -0.98833685999989,-46.5441725429999 -1.00110985999987),(-45.6463905429999 -1.16055485999988,-45.6897275429998 -1.35847285999989,-45.6763905429998 -1.36194585999993,-45.6341725429999 -1.34639085999987,-45.6091725419998 -1.16166385999998,-45.6077815419999 -1.14889085999988,-45.6094545419998 -1.13375485999995,-45.628754542 -1.12791885999991,-45.6422275429998 -1.14639085999983,-45.6463905429999 -1.16055485999988),(-44.9755635419999 -1.26166385999994,-44.993899542 -1.28360985999996,-45.0270815419999 -1.33375485999994,-45.021809542 -1.37263685999989,-45.009727542 -1.39110985999997,-44.9988905419999 -1.40110985999996,-44.993618542 -1.40250085999992,-44.9874995419999 -1.4019458599999,-44.972781542 -1.39639085999994,-44.9605545419999 -1.38860985999997,-44.8841725419999 -1.33221885999995,-44.8719455419999 -1.3090278599999,-44.8781275419999 -1.28694585999995,-44.9216725419998 -1.25958185999997,-44.9755635419999 -1.26166385999994),(-44.715145542 -1.56180985999993,-44.7511095419999 -1.59000085999986,-44.7713905419999 -1.60805485999987,-44.7833365419999 -1.6191638599999,-44.787499542 -1.65305485999988,-44.7785455419999 -1.6676368599999,-44.769172542 -1.67221885999987,-44.743054542 -1.66360985999995,-44.6872275419999 -1.64971885999984,-44.6616635419999 -1.66049085999987,-44.6526455419999 -1.62110985999988,-44.658336542 -1.60389085999998,-44.6704185419999 -1.58194585999996,-44.6844455419999 -1.5662548599999,-44.715145542 -1.56180985999993),(-44.5938905419999 -3.0119458609999,-44.5899995419999 -3.06278186099996,-44.5863995419999 -3.05250086099983,-44.5702815419999 -3.02416386099992,-44.5459725409999 -2.9865278609999,-44.5324995409999 -2.9725008609999,-44.5186185409998 -2.96610986099995,-44.4947275409999 -2.94812786099982,-44.4808365409999 -2.8616638609999,-44.4769545409999 -2.74860986099992,-44.4808365409999 -2.72583686099995,-44.4838905409998 -2.71000086099991,-44.5084725409999 -2.71569086099987,-44.5191725409999 -2.72194586099988,-44.5647275419998 -2.77263686099991,-44.5719455419999 -2.78610986099989,-44.5775095419999 -2.80194586099992,-44.585836542 -2.84444586099994,-44.5598455409999 -2.91310086099998,-44.5771095419999 -2.98833686099994,-44.5938905419999 -3.0119458609999),(-38.6446545359999 -12.8918098709999,-38.6765365359999 -12.879581871,-38.6930635359999 -12.8830548709999,-38.6865275359998 -12.9077818709999,-38.6775095359999 -12.9161098709999,-38.6691725359998 -12.928890871,-38.6673635359999 -12.9424998709999,-38.679172536 -12.9688908709999,-38.7105545359998 -13.0013908709999,-38.727781536 -13.0188908709999,-38.7469455359999 -13.0344458709999,-38.7555635359999 -13.0397188709999,-38.7852815359999 -13.0516728709999,-38.7943095359998 -13.0601368709999,-38.7930635359999 -13.0872278709998,-38.791672536 -13.0994458709999,-38.7862545359999 -13.1315278709999,-38.7797275359998 -13.1352818709999,-38.7547185359999 -13.1130548709999,-38.662509536 -13.041390871,-38.5951455359998 -12.9908368709999,-38.5877815359999 -12.9744458709999,-38.5922275359999 -12.9574998709999,-38.6213995359998 -12.9119458709999,-38.6446545359999 -12.8918098709999),(-39.015445536 -13.4847548709999,-38.9644455359999 -13.4988458709999,-38.981218536 -13.5216638709999,-38.9819455359999 -13.5636098709999,-38.9413905359999 -13.5652818709999,-38.935563536 -13.5605548709999,-38.9063905359999 -13.4933368709999,-38.8965995359999 -13.4663908709999,-38.896118536 -13.4488908709999,-38.9038905359999 -13.395281871,-38.9139635359999 -13.382781871,-39.0335455359999 -13.3924278709999,-39.0420905359999 -13.4597278709999,-39.015445536 -13.4847548709999),(-44.1122275409999 -23.1272278799999,-44.2316725409999 -23.0716728799999,-44.3668095409999 -23.1636098799999,-44.368199541 -23.17472788,-44.3294455409999 -23.22028188,-44.323890541 -23.2211098799999,-44.3119545409999 -23.19666388,-44.2983365409998 -23.17722788,-44.2683365409999 -23.1774998799999,-44.2513995409999 -23.1902818799999,-44.2419455409999 -23.1981998799999,-44.1772275409999 -23.1922188799999,-44.104445541 -23.18083688,-44.0845905409998 -23.1688188799998,-44.1122275409999 -23.1272278799999),(-45.3933365419999 -23.8433368809999,-45.410563542 -23.8549998809998,-45.4336095419999 -23.8648638809999,-45.4416725419999 -23.871390881,-45.4538905419998 -23.8959728809999,-45.447918542 -23.917499881,-45.4397275419999 -23.930699881,-45.4275095419999 -23.937227881,-45.4163905419999 -23.9399998809998,-45.4016725419999 -23.9399998809998,-45.3694455419999 -23.9383368809999,-45.3543095419999 -23.9351368809999,-45.3419455419999 -23.9291728809999,-45.274445542 -23.9508368809999,-45.243336542 -23.9672278809999,-45.2325095419999 -23.9636098809999,-45.2205545419999 -23.9572278809999,-45.2141725419999 -23.9487548809999,-45.2223635419999 -23.7773638809999,-45.2533365419999 -23.7463908809999,-45.2647275419999 -23.7391728809999,-45.3111185419999 -23.7241728809999,-45.3219455419999 -23.7269458809999,-45.3326455419999 -23.7455548809999,-45.3358365419999 -23.7608368809998,-45.3418095419999 -23.7808368809999,-45.3505635419998 -23.7980548809998,-45.3605545419999 -23.809999881,-45.3811095419999 -23.8333368809999,-45.3933365419999 -23.8433368809999),(-46.317845543 -23.931363881,-46.3869095429999 -23.9240998809999,-46.4105275429998 -23.956809881,-46.3659995429999 -23.982254881,-46.2842275429999 -23.9876998809999,-46.317845543 -23.931363881),(-48.5425725449999 -26.1679908829999,-48.7056995449999 -26.308818883,-48.6261095449999 -26.3933368829999,-48.5858365449999 -26.4255548829999,-48.5800095449999 -26.3891728829999,-48.5450095449999 -26.3172188829999,-48.5402815449999 -26.307781883,-48.5291725449999 -26.2938908829999,-48.5177815449998 -26.279999883,-48.4902815449999 -26.243054883,-48.4849995449999 -26.2315278829999,-48.515836545 -26.1781998829999,-48.5263905449999 -26.1705638829999,-48.5425725449999 -26.1679908829999),(-48.5654185449999 -27.8150728839999,-48.5566725449999 -27.822781885,-48.5505635449999 -27.8213908849999,-48.5405545449999 -27.8166728849999,-48.4841725449999 -27.7783368839999,-48.4797275449999 -27.7683368839999,-48.4849995449999 -27.7561098839999,-48.4922275449999 -27.7486098839998,-48.4990275449999 -27.7374998839999,-48.5001455449999 -27.7255638839999,-48.4966725449999 -27.7113908839999,-48.4588905449999 -27.6419458839999,-48.4483365449999 -27.6308368839999,-48.412509545 -27.6011098839999,-48.406390545 -27.592781884,-48.3715365449999 -27.4466638839999,-48.4135455449999 -27.392918884,-48.4277815449999 -27.3894458839999,-48.5177815449998 -27.4331998839999,-48.5236095449999 -27.4663908839999,-48.5277815449999 -27.4916728839999,-48.5216635449999 -27.5183368839999,-48.502227545 -27.546809884,-48.5019455449998 -27.5588908839998,-48.5316725449999 -27.6469458839999,-48.5505635449999 -27.696109884,-48.5662545449999 -27.7958368839999,-48.5654185449999 -27.8150728839999)))', 'Brazilian Exclusive Economic Zone', 'Brazil', 'Brazil', '', '171', '171', 'BRA', '8464', '2012-10', '3198181968000', '8464', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1379879690001 65.5183980300001,24.14 65.529999999,24.140628771 65.5442935040001,24.14062899 65.5442984840001,24.1412311030001 65.5579859960001,24.142557144 65.5725724500001,24.143226074 65.5799306750001,24.1436016000001 65.5840614630001,24.144391765 65.60460577,24.146477658 65.6233788050001,24.147552428 65.633051734,24.148332806 65.639684946,24.1507130910001 65.6599173660001,24.151924083 65.67566027,24.1522934220001 65.6804616730001,24.152772832 65.687173413,24.153873753 65.7025863120001,24.1562613990001 65.7312380660001,24.157034416 65.7405142630001,24.157034416 65.758688073,24.157283567 65.760044565,24.1574645100001 65.7610296980001,24.157624576 65.7619011690001,24.164145907 65.7974061900001,24.1666612710001 65.8120061980001,24.166817499 65.8129131690001,24.167009159 65.814027121,24.1749995230001 65.7915185640001,24.2202725230001 65.7734635640001,24.414718523 65.7673545640001,24.4489545230001 65.794272564,24.538609523 65.7952725640001,24.5620815230001 65.8247185640001,24.6265275230001 65.887636564,24.689163523 65.8960995640001,24.629999523 65.854427564,24.5591635230001 65.790127564,24.553536523 65.7619995640001,24.5594455230001 65.726727564,24.6691635230001 65.654709564,24.748609523 65.6481815640001,24.771663523 65.656663564,24.796109523 65.658327564,24.8912455230001 65.6483905640001,25.080763523 65.605890564,25.092736523 65.591872564,25.1017995230001 65.5692995640001,25.1320815230001 65.5542995640001,25.1615275230001 65.5558275640001,25.1895815230001 65.559581564,25.2151365230001 65.5542995640001,25.3037455240001 65.515136564,25.351245524 65.4787455640001,25.3572185240001 65.448181564,25.355272524 65.410827564,25.3249995240001 65.345827564,25.301109524 65.2936095640001,25.2930545240001 65.2663905640001,25.2674995240001 65.1699995640001,25.2913905240001 65.1094365640001,25.3538905240001 65.0923545640001,25.3705545240001 65.079436564,25.4130545240001 65.034163564,25.4442365240001 64.953390563,25.4141635240001 64.9444365630001,25.3680545240001 64.9585995630001,25.321590524 64.9806185630001,25.213327523 64.988190563,25.189299523 64.9640185630001,25.2301365230001 64.9297095630001,25.310136524 64.9030545630001,25.342918524 64.907909563,25.365072524 64.898045563,25.3619455240001 64.8294365630001,25.3399995240001 64.821927563,25.3194455240001 64.817763563,25.297499524 64.8144365630001,25.2536095240001 64.814290563,25.230409523 64.8192995630001,25.1938905230001 64.845545563,25.180272523 64.8669455630001,25.116245523 64.9074905630001,25.0844455230001 64.911663563,24.999999523 64.8922095630001,24.803336523 64.8691545630001,24.731109523 64.8544275630001,24.539581523 64.7991545630001,24.5354095230001 64.7467995630001,24.4249995230001 64.6752815630001,24.3711815230001 64.6192905630001,24.3740905230001 64.5859635630001,24.3591635230001 64.5430455630001,24.339299523 64.5216635630001,24.278054523 64.4969365630001,24.209718523 64.4727635630001,24.1199995220001 64.4363815630001,23.995836522 64.3834635630001,23.9269365220001 64.290963563,23.9266635220001 64.2691635630001,23.8552725220001 64.2438815630001,23.722218522 64.1841545630001,23.711663522 64.1628995630001,23.6941635220001 64.1585995630001,23.6522185220001 64.1408275630001,23.608327522 64.0983275630001,23.602218522 64.0644365630001,23.5113905220001 64.036372563,23.4276365220001 64.0494275630001,23.385136522 64.0457545630001,23.3713905220001 63.986936563,23.370418522 63.9412455630001,23.318881522 63.8966635620001,23.2006905220001 63.8859725620001,23.1479185220001 63.878054562,23.0663905210001 63.8508275620001,22.9233365210001 63.8011095620001,22.926318521 63.7627725620001,22.899999521 63.6986095620001,22.824445521 63.6413905620001,22.7805545210001 63.625827562,22.7401365210001 63.6198545620001,22.706945521 63.6594365620001,22.701245521 63.683463562,22.6658365210001 63.6987455620001,22.589163521 63.6955455620001,22.504981521 63.6119725620001,22.5052725210001 63.583609562,22.4894365210001 63.565827562,22.429445521 63.4988815620001,22.396381521 63.4724995620001,22.376109521 63.4897185620001,22.333336521 63.519990562,22.288190521 63.5256905620001,22.187845521 63.4451365620001,22.2005545210001 63.419299562,22.2719455210001 63.3861095620001,22.2986095210001 63.375827562,22.323745521 63.3680455620001,22.355554521 63.339718562,22.369581521 63.313190562,22.339999521 63.2765275620001,22.2169455210001 63.2363815620001,22.179718521 63.2308275620001,22.086109521 63.222772562,21.9666635200001 63.1830545620001,21.8927725200001 63.2061095620001,21.8777725200001 63.255963562,21.69028152 63.2091635620001,21.64041852 63.1924995620001,21.56742752 63.2213185620001,21.53847252 63.230272562,21.4968725200001 63.2035365620001,21.50166352 63.1597185620001,21.51860952 63.1252725620001,21.5695095200001 63.0786095620001,21.6113815200001 63.068054562,21.65513652 63.047772562,21.6777725200001 63.033881562,21.68278152 63.029718562,21.67659952 63.0201365620001,21.6199995200001 63.0186095620001,21.5512455200001 63.0447905620001,21.52860952 63.0627725620001,21.50082752 63.0665185620001,21.43555452 63.0347185620001,21.45055452 63.0063815620001,21.44582752 62.9674995620001,21.43332752 62.943327562,21.39638152 62.8866635620001,21.37326352 62.8621455620001,21.34583652 62.8545815620001,21.2980545200001 62.860836562,21.13389052 62.789854561,21.10562752 62.767354561,21.0659725200001 62.597981561,21.1252725200001 62.5474905610001,21.11499952 62.4913905610001,21.11166352 62.451663561,21.1555545200001 62.4127725610001,21.2591635200001 62.3758275610001,21.33221852 62.3505545610001,21.37166352 62.2599905610001,21.38930952 62.2062455610001,21.3802725200001 62.1823545610001,21.33388152 62.153881561,21.30582752 62.1088905610001,21.2855545200001 62.0694455610001,21.25332752 62.0055545610001,21.2845815200001 61.9463815610001,21.2995995200001 61.9418275610001,21.36332752 61.9294455610001,21.4105545200001 61.8905455610001,21.4887455200001 61.8004185610001,21.4724275200001 61.76103656,21.53527252 61.65332756,21.6013905200001 61.6016635600001,21.6638905200001 61.5402725600001,21.60333652 61.54471856,21.49832752 61.5734635600001,21.4688905200001 61.55651856,21.5117995200001 61.51269956,21.5305545200001 61.4472185600001,21.5544455200001 61.3094365600001,21.5444455200001 61.2763815600001,21.49389052 61.23554556,21.44444552 61.16721856,21.4055545200001 61.0305455600001,21.3877725200001 60.9408275600001,21.3283275200001 60.8652725600001,21.3555545200001 60.8149905600001,21.3924995200001 60.7555545600001,21.38610952 60.686381559,21.3570095200001 60.6792995590001,21.3586095200001 60.6536095590001,21.42416352 60.579299559,21.4527725200001 60.5624905590001,21.48166352 60.5673635590001,21.51048152 60.574436559,21.55152752 60.569581559,21.57694552 60.5624905590001,21.5880545200001 60.509445559,21.66416352 60.5524995590001,21.7706905200001 60.6013815590001,21.82444552 60.6191635590001,21.82971852 60.588463559,21.80179952 60.5651365590001,21.80305452 60.4824995590001,21.86305452 60.471936559,21.84270952 60.518672559,21.86971852 60.524163559,21.94582752 60.5165275590001,21.97110952 60.488054559,22.014445521 60.465272559,22.083609521 60.443881559,22.114718521 60.448881559,22.175827521 60.4313905590001,22.236663521 60.4083365590001,22.2591635210001 60.3980455590001,22.2769455210001 60.3858275590001,22.4836095210001 60.391936559,22.626590521 60.3804455590001,22.5361095210001 60.3124905590001,22.484163521 60.283190559,22.462772521 60.2638815590001,22.4492995210001 60.242354559,22.5654725210001 60.211936559,22.662772521 60.2222185590001,22.6991635210001 60.229163559,22.7345815210001 60.237354559,22.7605545210001 60.2441635590001,22.8011095210001 60.258472559,22.919163521 60.3041635590001,23.0613905210001 60.353190559,23.0846545210001 60.345199559,23.0172185210001 60.2822185590001,22.967772521 60.2502725590001,22.9267995210001 60.2309725590001,22.904299521 60.215827559,22.869718521 60.1791635590001,22.874445521 60.1455545590001,22.9061095210001 60.1263905590001,22.967499521 60.1119365590001,23.025136521 60.128609559,23.0427725210001 60.118745559,23.0172905210001 60.1012185590001,22.998054521 60.0862455590001,22.9912455210001 60.057354559,23.0494455210001 60.0361095590001,23.0788905210001 60.031799559,23.105554522 60.037918559,23.1263905220001 60.0441635590001,23.146663522 60.0461095590001,23.191945522 60.0477725590001,23.2548635220001 60.0370815590001,23.2216455220001 60.0016635590001,23.202499522 59.9933275590001,23.1669365220001 59.9852725590001,23.111109522 59.9702725590001,23.109227522 59.9256545590001,23.2274995220001 59.9290275590001,23.250545522 59.945272559,23.2802725220001 59.9794365590001,23.2970095220001 59.9999995590001,23.314236522 60.017745559,23.3356905220001 60.0239545590001,23.3255725220001 59.9999995590001,23.2966635220001 59.9586095590001,23.2572185220001 59.9194455590001,23.160827522 59.8848545590001,23.1149995220001 59.8844365590001,23.086936522 59.8791635590001,22.934718521 59.8405545590001,22.900272521 59.8067995590001,23.193881522 59.827772559,23.2492995220001 59.8379185590001,23.3658275220001 59.9422185590001,23.4938905220001 60.0583275590001,23.5374995220001 60.0675635590001,23.5399995220001 60.0281905590001,23.5219455220001 60.019163559,23.479445522 59.9966635590001,23.4315905220001 59.9538185590001,23.5097905220001 59.968490559,23.561354522 59.970672559,23.6231905220001 59.9520815590001,23.701936522 59.954436559,23.797218522 59.961936559,24.074163522 60.015272559,24.216945523 60.0394455590001,24.287918523 60.0652725590001,24.333054523 60.0719365590001,24.360836523 60.0692995590001,24.4213905230001 60.0272185590001,24.4210995230001 59.987218559,24.4724995230001 59.990418559,24.589299523 60.0548635590001,24.608472523 60.092499559,24.6033365230001 60.1219365590001,24.751109523 60.136936559,24.8508275230001 60.1366545590001,24.9541545230001 60.1361185590001,25.0658275230001 60.1561095590001,25.191663523 60.1842995590001,25.1946545230001 60.2086095590001,25.150063523 60.220763559,25.196527523 60.2409725590001,25.367772524 60.2558275590001,25.4841635240001 60.247081559,25.545272524 60.3110995590001,25.5761095240001 60.3288905590001,25.6574995240001 60.3612455590001,25.6894635240001 60.3485815590001,25.6551365240001 60.3365185590001,25.651181524 60.2952095590001,25.6741635240001 60.275272559,25.7205545240001 60.2480545590001,25.7748635240001 60.2336095590001,25.836318524 60.2690275590001,25.7940275240001 60.2679185590001,25.745963524 60.303999559,25.871872524 60.271663559,25.887218524 60.244645559,25.9216635240001 60.243745559,25.9130545240001 60.3569455590001,25.870972524 60.382909559,25.838190524 60.398463559,25.8888815240001 60.3897185590001,25.9961095240001 60.3447185590001,26.041736524 60.3057185590001,26.0787455240001 60.294027559,26.105136524 60.319781559,26.055063524 60.4227725590001,26.1461095240001 60.3938815590001,26.416527525 60.3916635590001,26.4731905250001 60.4276365590001,26.469372525 60.4581905590001,26.4563905250001 60.4967995590001,26.526945525 60.5652725590001,26.5460905250001 60.581918559,26.611390525 60.638609559,26.6523545250001 60.6463815590001,26.6919455250001 60.642499559,26.721945525 60.6177725590001,26.749718525 60.5753365590001,26.695690525 60.591936559,26.658609525 60.608190559,26.623054525 60.6069455590001,26.594999525 60.598054559,26.5699995250001 60.5798545590001,26.478227525 60.4779095590001,26.5001365250001 60.4449995590001,26.5636095250001 60.428054559,26.6669455250001 60.4266635590001,26.739436525 60.448881559,26.8111095250001 60.4727725590001,26.9052815250001 60.4761095590001,26.9581905250001 60.4445725590001,27.024509525 60.531527559,27.2191635250001 60.5837455590001,27.2713905250001 60.5336095590001,27.2955545250001 60.503881559,27.4730526010001 60.4763908570001,27.4730540680001 60.4763910980001,27.4730545620001 60.476391291,27.4744455260001 60.5044365590001,27.546980444 60.5053488830001,27.546980676 60.5053489730001,27.6066632820001 60.506100083,27.6408238920001 60.5052180660001,27.6711095260001 60.5044365590001,27.6968452990001 60.5071064370001,27.7380541410001 60.5113821910001,27.734163261 60.5355540910001,27.7390766950001 60.553628427,27.739076798 60.5536283820001,27.742563526 60.5664545590001,27.7781905260001 60.571309559,27.8066635260001 60.5486095590001,27.8078273740001 60.5463998480001,27.807827483 60.5463996410001,27.807827526 60.5463995590001,27.790989595 60.531278754,27.774858608 60.5136813130001,27.766059887 60.474087072,27.7543282600001 60.444758005,27.73673082 60.406630217,27.7000694860001 60.371435336,27.651676524 60.3377069090001,27.60621647 60.3157101080001,27.553424148 60.281981681,27.5119444440001 60.2597222210001,27.463888889 60.228333332,27.1883333330001 60.1766666660001,26.965 60.1766666660001,26.9150000000001 60.173333332,26.7983333330001 60.146666666,26.64 60.1133333320001,26.5433333330001 60.1066666660001,26.3466666670001 59.9999999990001,26.3357833330001 59.9946333330001,26.309019773 59.9925476280001,26.30901973 59.992547625,26.2420975750001 59.9873323300001,26.2420975490001 59.987332328,26.2111 59.9849166660001,26.211099523 59.9849165640001,26.1907583760001 59.9805886610001,26.1327666670001 59.9682499990001,26.0391415280001 59.9077090850001,25.9677833330001 59.861566666,25.4594333330001 59.876566666,25.3729055040001 59.8800476700001,25.24151254 59.885333594,25.241512502 59.8853335960001,25.241512475 59.8853335970001,25.169433333 59.8882333330001,25.1281550140001 59.8844198510001,25.0199952770001 59.8744275550001,24.952766667 59.8682166660001,24.9116789080001 59.8598950950001,24.8211000000001 59.8415499990001,24.406116667 59.736549999,23.906116667 59.6181999990001,23.5998132670001 59.549982388,23.49445 59.5265166660001,23.3840852590001 59.527065744,23.2323037210001 59.5278208760001,23.15945 59.5281833330001,22.9874875040001 59.480453018,22.751133333 59.4148499990001,22.364830925 59.3917925740001,22.1644666670001 59.3798333330001,21.7761333330001 59.3114833330001,21.186133393 59.1914833450001,21.186133333 59.1914833330001,20.4817 58.844616666,20.4816908220001 58.8446120770001,20.481637924 58.8445856280001,20.4814666670001 58.8445,20.4712666670001 58.8629333320001,20.419455439 58.957791118,20.241062379 59.2843992960001,20.2410623010001 59.2843994400001,20.241062265 59.2843995050001,20.153333333 59.4450166660001,19.9077737380001 59.616973693,19.658283333 59.791683332,19.217784452 60.098072932,19.083200387 60.191683063,19.0832 60.1916833320001,19.1027 60.2352499990001,19.1341542530001 60.312377945,19.1455688730001 60.3403673600001,19.1583333300001 60.371666669,19.1583333300001 60.3716669310001,19.1583333300001 60.3749999990001,19.1856489570001 60.483074865,19.2350000000001 60.6783333290001,19.5249999860001 62.6999999000001,19.525 62.6999999990001,19.641397055 62.784249296,20.4 63.333333329,20.569293744 63.4198823790001,20.6307866070001 63.4513197420001,20.6966666700001 63.4849999990001,20.93999984 63.521666645,20.9400000000001 63.5216666690001,21.5000000000001 63.6666666690001,23.0053029470001 64.6495906980001,24.1482715080001 65.395919711,24.148271713 65.395919845,24.1421269730001 65.4590001110001,24.1421170420001 65.459102063,24.1421003460001 65.4592734610001,24.142100342 65.459273502,24.1385606210001 65.495611329,24.13693333 65.512316669,24.1371634770001 65.5136437630001,24.1379879690001 65.5183980300001),(24.707499523 64.946381563,24.7227725230001 64.944154563,24.7349995230001 64.944445563,24.820272523 64.963881563,24.8466635230001 65.0035995640001,24.9611095230001 65.0244275640001,24.999999523 65.0258455640001,25.0252725230001 65.028736564,25.0324995230001 65.0383185640001,25.018890523 65.0436095640001,24.848054523 65.077209564,24.8336095230001 65.0785995640001,24.808609523 65.078045564,24.7008365230001 65.071381564,24.6780545230001 65.068881564,24.6458365230001 65.0635995640001,24.620272523 65.0577725640001,24.558609523 65.033463564,24.5516635230001 65.0249905640001,24.5680545230001 64.990554563,24.585827523 64.9724905630001,24.599581523 64.9638725630001,24.707499523 64.946381563),(22.673890521 63.7917275620001,22.7066635210001 63.7752725620001,22.7508275210001 63.779718562,22.770272521 63.7841635620001,22.816945521 63.780545562,22.8533365210001 63.7769365620001,22.868327521 63.770554562,22.8749995210001 63.8030545620001,22.8838905210001 63.813327562,22.9144455210001 63.819163562,22.9176365210001 63.830418562,22.894863521 63.869027562,22.8805545210001 63.8727725620001,22.8666635210001 63.874163562,22.8061095210001 63.8769365620001,22.7030545210001 63.8205455620001,22.6802725210001 63.8069455620001,22.673890521 63.7917275620001),(21.1481905200001 63.1763815620001,21.16527252 63.1736095620001,21.17582752 63.174999562,21.1824995200001 63.1827725620001,21.19055452 63.189163562,21.2501365200001 63.1544365620001,21.2469455200001 63.144718562,21.27944552 63.1483275620001,21.3052725200001 63.1524995620001,21.42402752 63.1945725620001,21.41597252 63.249163562,21.37055452 63.2563815620001,21.3483275200001 63.254163562,21.2959725200001 63.241390562,21.08048152 63.2772905620001,21.0988905200001 63.2361095620001,21.1327725200001 63.1922185620001,21.1481905200001 63.1763815620001),(21.8062455200001 60.462499559,21.7847185200001 60.387772559,21.78527252 60.3769365590001,21.7931905200001 60.370554559,21.81888152 60.358054559,21.8994365200001 60.335272559,21.94639052 60.3269455590001,21.95971852 60.3247185590001,21.9722185200001 60.323609559,21.98277252 60.3241635590001,21.99832752 60.334436559,21.99666352 60.358890559,21.93332752 60.416663559,21.89638152 60.444445559,21.8266635200001 60.4663815590001,21.8161095200001 60.4677725590001,21.8062455200001 60.462499559),(19.9058275190001 60.3999905590001,19.8686095190001 60.4036095590001,19.857218518 60.4036095590001,19.824999518 60.3922185590001,19.8083275180001 60.3774905590001,19.781390518 60.351799559,19.836609518 60.3209905590001,19.864999519 60.3149905590001,19.8734725190001 60.3263815590001,19.8802725190001 60.339027559,19.895418519 60.341527559,19.9311095190001 60.3038905590001,19.9373545190001 60.2917995590001,19.9330545190001 60.2798545590001,19.8129185180001 60.1866635590001,19.7941635180001 60.189018559,19.762918518 60.2426365590001,19.776945518 60.261109559,19.782827518 60.2926635590001,19.7488905180001 60.304718559,19.6484725180001 60.2595815590001,19.697636518 60.1612455590001,19.7216635180001 60.126109559,19.7508275180001 60.0949905590001,19.771663518 60.0808275590001,19.8474995180001 60.0758275590001,19.863609518 60.0765185590001,19.871663519 60.0880455590001,19.894718519 60.0972185590001,19.9080545190001 60.0952725590001,19.9180545190001 60.0927725590001,19.9262455190001 60.0865185590001,19.9386095190001 60.0591635590001,19.9438815190001 60.0427725590001,19.9477725190001 60.078609559,19.954581519 60.0873545590001,19.9683275190001 60.090272559,19.9994455190001 60.089436559,20.0216635190001 60.0858275590001,20.047636519 60.087636559,20.0520815190001 60.0984725590001,20.025772519 60.154272559,19.987499519 60.1702725590001,19.941663519 60.1824995590001,19.928890519 60.1902725590001,19.9140275190001 60.214436559,20.0252725190001 60.3105545590001,20.036945519 60.3105545590001,20.0469455190001 60.307781559,20.064163519 60.2986095590001,20.1202815190001 60.2399995590001,20.122772519 60.2261095590001,20.103472519 60.218463559,20.085690519 60.175554559,20.166945519 60.163054559,20.217781519 60.2083275590001,20.2774995190001 60.274163559,20.084718519 60.3502725590001,19.9058275190001 60.3999905590001),(22.072145521 60.2656185590001,22.1291635210001 60.2558275590001,22.151109521 60.2560995590001,22.173327521 60.2615275590001,22.1799995210001 60.2709635590001,22.1430545210001 60.279436559,22.2091635210001 60.272499559,22.218890521 60.2697185590001,22.213336521 60.2416635590001,22.2308365210001 60.251245559,22.281527521 60.266109559,22.297218521 60.266936559,22.310554521 60.264999559,22.320272521 60.261936559,22.3333275210001 60.265409559,22.341663521 60.285690559,22.3180545210001 60.293327559,22.241945521 60.3063905590001,22.2172185210001 60.308881559,22.2058275210001 60.3091635590001,22.0961095210001 60.307781559,22.0724995210001 60.2920095590001,22.072145521 60.2656185590001),(22.4302725210001 60.194445559,22.4152725210001 60.1522185590001,22.424163521 60.108327559,22.4711365210001 60.0720815590001,22.4711185210001 59.998472559,22.5116635210001 60.0016635590001,22.524999521 60.004581559,22.5724995210001 60.027499559,22.6007995210001 60.0024995590001,22.6011095210001 59.983327559,22.6333275210001 60.0047185590001,22.6791635210001 59.999718559,22.731390521 60.0023545590001,22.837499521 60.0937455590001,22.847636521 60.122081559,22.834999521 60.193881559,22.824445521 60.2272185590001,22.732499521 60.2199905590001,22.645272521 60.2108275590001,22.587772521 60.202499559,22.473127521 60.2163815590001,22.457499521 60.2213815590001,22.4466635210001 60.215827559,22.4302725210001 60.194445559),(20.207081519 59.9784725590001,20.226763519 60.0013905590001,20.208609519 60.0617995590001,20.193054519 60.064718559,20.163609519 60.0685995590001,20.1230545190001 60.0805545590001,20.109999519 60.0880545590001,20.105972519 60.0936095590001,20.0941635190001 60.0930455590001,20.005554519 60.064445559,20.001663519 60.053190559,20.133190519 59.9933275590001,20.207081519 59.9784725590001),(21.8727725200001 60.184718559,21.85639052 60.1916635590001,21.82721852 60.1908275590001,21.7233275200001 60.186381559,21.7122185200001 60.181109559,21.70444552 60.1669365590001,21.6992995200001 60.1141635590001,21.72777252 60.1102725590001,21.73916352 60.109990559,21.74889052 60.1113815590001,21.78499952 60.1188905590001,21.8647185200001 60.154999559,21.8849995200001 60.1742995590001,21.8727725200001 60.184718559),(19.611945518 60.2530545590001,19.601945518 60.2558275590001,19.584718518 60.2558275590001,19.568327518 60.250545559,19.5383275180001 60.2277725590001,19.511390518 60.1783365590001,19.523327518 60.150836559,19.546945518 60.1266635590001,19.562772518 60.1227725590001,19.5752725180001 60.1219365590001,19.604445518 60.1530545590001,19.6748635180001 60.1536095590001,19.673881518 60.1730455590001,19.6676365180001 60.1909635590001,19.6272185180001 60.2438905590001,19.611945518 60.2530545590001),(22.881245521 59.9036095590001,22.917499521 59.8983275590001,22.9277725210001 59.8986095590001,22.9458275210001 59.9022185590001,23.0180545210001 59.8999905590001,23.040554521 59.8972185590001,23.053054521 59.900963559,23.071109521 59.949436559,23.0541635210001 59.9586095590001,23.0019365210001 59.9605455590001,22.981936521 59.9586095590001,22.940281521 59.956663559,22.8383275210001 59.9548545590001,22.830272521 59.963890559,22.827081521 59.9734725590001,22.811945521 59.969999559,22.803890521 59.951245559,22.847499521 59.9194455590001,22.881245521 59.9036095590001),(23.5072185220001 59.915554559,23.596663522 59.9238815590001,23.6163905220001 59.925554559,23.649436522 59.920827559,23.7058275220001 59.927218559,23.7263815220001 59.9313095590001,23.5494365220001 59.9597185590001,23.538327522 59.960272559,23.5230545220001 59.959163559,23.383881522 59.925827559,23.370418522 59.914163559,23.3766635220001 59.9047185590001,23.3911095220001 59.9013815590001,23.4022185220001 59.900836559,23.5072185220001 59.915554559)))', 'Finnish Exclusive Economic Zone', 'Finland', 'Finland', '', '174', '174', 'FIN', '5676', '', '83763390310', '5676', 'Y'),('SRID=4326;MULTIPOLYGON(((9.6428451160001 54.90610915,9.61416324900011 54.890545129,9.61428823700015 54.8900834710002,9.61331857100004 54.8904726040001,9.60935319600009 54.890439729,9.6075075710001 54.8911744790001,9.60287144600011 54.8911951040001,9.59709044600015 54.8934117290001,9.59338294600013 54.8927059790001,9.59208332100019 54.8907496040002,9.58019219600016 54.8824927290001,9.57809557100012 54.877252604,9.57632032100014 54.8754496040001,9.57374857100018 54.8743972290001,9.57296844600017 54.8735071040001,9.56165457100013 54.8689294790001,9.56051744600012 54.867653854,9.558072321 54.8664604790002,9.547066196 54.8661868540001,9.54651394600018 54.8663731040001,9.5421871960001 54.8662829790001,9.53817057100002 54.865005979,9.53621444600009 54.8637326040001,9.53249169600008 54.8627621040001,9.525402821 54.858454979,9.52502894600008 54.8576106040001,9.52190757099999 54.8538637290001,9.51553294600006 54.8499764790001,9.51477269600002 54.8498757290002,9.501288821 54.8454203540001,9.5008184460001 54.845144729,9.49951757100018 54.8448846040001,9.49839632100014 54.8441338540002,9.4944068210001 54.839098729,9.49299244600007 54.8382162290002,9.48478407100009 54.8363851040001,9.48275544600017 54.8367667290001,9.4759144460001 54.8352533540001,9.47572382100003 54.8351162290001,9.46657569600012 54.8334338540002,9.46437432100015 54.831689979,9.4550948210001 54.830402604,9.44984169600002 54.826368604,9.44712832100015 54.8255618540001,9.44476773200017 54.8236717780002,9.44535406600016 54.8254001390001,9.45187317500017 54.8335361170001,9.50278217300013 54.8683270510001,9.59750019300003 54.927773184,9.63187320500009 54.9235361320001,9.6428451160001 54.90610915)),((16.50825 55.3551666660001,15.8531530720001 55.0685088880002,15.605336209 54.9600690110001,14.636722222 54.5362222210001,14.422743681 54.6536273220001,14.414166667 54.6583333320001,14.4141666660001 54.6583338040001,14.414166667 54.8124999990001,14.414166513 54.8124999990001,14.1727777780002 54.8124999990001,14.0917963260001 54.8799803750001,14.057500208 54.9085587090001,13.992837708 54.9624407980002,13.9928362620001 54.962442002,13.9928360060001 54.9624422160001,13.9928361410002 54.9624423170002,14.46 55.3122222210001,15.0428888890002 55.6914999990001,15.330921702 55.6253899900001,15.768662003 55.5249187460001,16.50825 55.3551666660001),(14.942499514 55.0133274030001,15.0424995140002 54.9947184030001,15.0565275140002 54.9956914030002,15.0766635140002 55.0011094030001,15.1052815140002 55.023191403,15.1491635140001 55.085827403,15.1486095140001 55.1291634030001,15.1376365140001 55.141391403,15.123054514 55.1488914030001,15.0908275140001 55.1552724030001,15.069299514 55.1611094030001,14.9974995140001 55.1872184030001,14.887218514 55.2294364030001,14.8386095140001 55.2505454030001,14.8226365140001 55.2588814030001,14.8127725140002 55.2691634030001,14.8020815140001 55.279027403,14.7659725140001 55.3052724030001,14.7452725140001 55.294027403,14.698890514 55.215000403,14.6787455140002 55.1008274030002,14.7294455140001 55.072772403,14.7469455140001 55.0652724030002,14.8819455140002 55.0288814030001,14.942499514 55.0133274030001)),((11.0487777780001 57.816833332,11.3992777780002 57.4499999990001,12.1478055560001 56.5089722210001,12.108244352 56.3738932180001,12.08775 56.3039166660001,12.2369915770001 56.256501138,12.3581964060001 56.2179931630002,12.3633333330002 56.2163611100001,12.4166615890001 56.1869219250001,12.4644832600001 56.1621571310001,12.5003495130001 56.1408081710001,12.5319459750001 56.1254369190001,12.5575647270001 56.1117735840002,12.572935979 56.1023800420001,12.586599313 56.0912785830002,12.6036784820002 56.0793231650001,12.62075765 56.0690756640001,12.6310051510002 56.0639519130001,12.64210661 56.0571202460002,12.6497922360001 56.0485806620001,12.6549159860002 56.0400410780002,12.6566239030001 56.0272317020001,12.6591857780001 56.0033208660002,12.655769945 55.9853877390001,12.652354111 55.9264646090002,12.6591857780001 55.917925025,12.6668714040001 55.9042616900001,12.6719951550001 55.8931602310002,12.6856584890001 55.8829127300001,12.6933441150001 55.86668752,12.70861111 55.827194439,12.8469166670001 55.6991666660002,12.8952222210002 55.644166667,12.8813611100002 55.6141666690001,12.72944444 55.5408611090002,12.7152777780001 55.4891944440001,12.6105833300001 55.4317222190001,12.6419723640001 55.3372783030001,12.638888889 55.3083333320002,12.6772222220001 55.2499999990001,12.7948888890002 55.1666666660001,13.0555555560001 55.0649999990002,13.1479586420001 55.008304681,12.9340000000001 54.8338055550001,12.7499722220001 54.7638055550001,12.4432500000001 54.6877499990002,12.1120833330002 54.4110833320001,11.940444444 54.366805555,11.6707500000001 54.364833332,11.6724166670002 54.3657499990001,11.6367222220001 54.3933333320002,11.5819722220001 54.4299166660002,11.5138611110002 54.4648333320001,11.4435 54.4980833320002,11.3846666670001 54.5324999990001,11.3215833330001 54.569888888,11.2601111110001 54.5864444440001,11.2085833330001 54.6091666660001,11.1578333330002 54.6221388880001,11.0750000000001 54.6378611100001,11.0057500000001 54.6411944440001,10.9042500000001 54.6373888880001,10.8736388890001 54.619499999,10.8005833330001 54.5811944440001,10.7330555560001 54.5469999990001,10.6603611110002 54.5443888880001,10.6138888890001 54.5516666660001,10.5329166670002 54.5769444440001,10.4544166670001 54.5991111100001,10.3743333330002 54.620944444,10.355111111 54.633305555,10.3083055560001 54.6748888880002,10.268861111 54.713805555,10.2183333980001 54.7566666070001,10.218333333 54.7566666660002,10.2183402460001 54.7566750340001,10.1605897470001 54.777359186,10.076096697 54.778925729,10.0715639470001 54.7798161040001,10.0674860720002 54.781050979,10.0612338220001 54.7855384790001,10.0557080720001 54.7899331040002,10.0525663220001 54.792143104,10.047015822 54.7955602290001,10.0352636970001 54.7986148540002,10.016409572 54.8021184790001,10.0057499470001 54.8049467290001,10.0055584470001 54.805015354,10.0005365720001 54.8072974790001,9.98133619700013 54.8139243540001,9.9752995720001 54.8151937290001,9.97133494700006 54.8165052290001,9.96133394700018 54.8183847290002,9.95916482200005 54.8184824790001,9.95460594700006 54.819329354,9.95103044700016 54.820552354,9.94237482200015 54.822129729,9.93657494700011 54.8241527290001,9.93035019700005 54.8252737290001,9.92414607199999 54.827453979,9.91474982200003 54.8291444790001,9.91178107200011 54.8301452290002,9.90090332200015 54.832011979,9.89995194700003 54.8320347290002,9.89310344700004 54.831207604,9.86498794700009 54.8237101040002,9.85740307200018 54.8223784790002,9.85239069700015 54.8210612290001,9.85125782200009 54.8217514790002,9.85090844700005 54.8220042290001,9.84719407200015 54.824231479,9.83616707200008 54.834854229,9.81257244699998 54.8440066040001,9.81096219700015 54.8442991040002,9.80088644700015 54.8382651040001,9.79594294700001 54.8359707290001,9.77987594700005 54.826657229,9.77946482200008 54.8263293540002,9.75957982200003 54.8226213540001,9.75381169700017 54.8230491040002,9.75006657199998 54.8222886040001,9.74140107200014 54.8230502290002,9.74028732199997 54.822796354,9.73065607200016 54.8235264790001,9.72923282199997 54.8241382290001,9.71966732200008 54.8249243540001,9.71474832200005 54.8270971040001,9.713377197 54.828269729,9.71029007200013 54.829702854,9.70377994700016 54.8305447290002,9.69737482199997 54.833524104,9.69237219700005 54.8378239790001,9.69177757200015 54.8380542290001,9.68494794700001 54.8387652290002,9.68356532200011 54.8392966040001,9.67771794700008 54.839899729,9.67631869700011 54.839660979,9.6692659470001 54.8403886040001,9.66473207200005 54.8395102290002,9.65425944600008 54.8406302290001,9.65346444599999 54.840475229,9.65091532100001 54.8407322290002,9.64324532100011 54.8440599790002,9.64028019600016 54.8443376040001,9.62747182100009 54.849936729,9.62665894600008 54.8505883540001,9.619411571 54.8540079790001,9.62189763100002 54.86197724,9.62416319500005 54.8536090990002,9.73551812000011 54.830800096,9.76610921700018 54.8963821190002,9.74666331700007 54.9477729400001,9.74666320200015 54.9477732440001,9.74552679500016 54.950050467,9.73276427100006 54.9756250460001,9.73276467300008 54.975625065,9.72562750900005 54.9899275540001,9.68670348200004 55.0014703730001,9.63639121800009 55.0163911910001,9.54860922300009 55.0324911510002,9.50750017800016 55.0502822430001,9.48008861200015 55.0931306080001,9.46152756300017 55.1221454700002,9.48214082300007 55.1441418020001,9.48944513599997 55.1519361570001,9.57458222600013 55.1895091760001,9.59150754200004 55.1908108540001,9.61347250900013 55.192499554,9.62707769100018 55.1857761220001,9.63624503800008 55.1812451220002,9.64903848299997 55.184349904,9.67715450899999 55.1911725540002,9.71076350900012 55.2410995540001,9.71048241500012 55.2424715270001,9.70618213000006 55.263464217,9.67145406000009 55.2795821130001,9.59757328400013 55.371518181,9.61027320800002 55.3944361480001,9.61027250400014 55.394436545,9.60971610000013 55.394739938,9.60083619099998 55.3995821340001,9.59748129100007 55.405197426,9.58971850900008 55.4181905550001,9.68488661000004 55.5120896920002,9.70416326400016 55.5311091150001,9.81916331200006 55.60471815,9.81916306700015 55.604718272,9.81916350900002 55.6047185550001,9.72171850900008 55.6531095550001,9.6461095090001 55.6897185550001,9.63062827400006 55.692495041,9.61666323600008 55.6950001320001,9.59581448900019 55.6942543920002,9.57777250900006 55.6936095550002,9.57371939500007 55.6952475080001,9.55458337700003 55.70298173,9.64429950900012 55.711390555,9.66523518300005 55.7083618170001,9.67986328900014 55.7062451260002,9.70762127400008 55.6956524970001,9.73012750900006 55.6870635550002,9.76656621000006 55.6789004470002,9.80694517900014 55.6698540880001,9.81727013800008 55.670496137,9.83166350900007 55.6713905550001,9.99277250900013 55.7049905550001,10.045827509 55.7502725550002,10.0444455090001 55.8156905550001,10.0444450760001 55.8156906130001,10.044445065 55.8156911570002,10.017688381 55.8192701320001,9.99999950900019 55.8216365550001,9.98252039800019 55.8229844940001,9.95639116000007 55.8250000980001,9.93377099700012 55.8274291550001,9.92278150900017 55.8286095550001,9.91131292699998 55.8304445020001,9.88721816300017 55.8343001550002,9.87466672300013 55.8410220230002,9.86958234999997 55.8437451040001,9.9360872630001 55.8601885280002,9.98249950900015 55.8716635550001,9.99791502000011 55.8731926350001,10.0122912460001 55.8746181150001,10.0301781870002 55.8762082860001,10.0555545090002 55.8784635550001,10.08118832 55.8781472240001,10.0997181850001 55.8779180710001,10.1119006320001 55.8728135400001,10.1283995090002 55.8658995550001,10.1427067450001 55.8417593290001,10.143054133 55.8411731480001,10.1430541640001 55.841173139,10.143054509 55.8411725550002,10.1845815090002 55.828190555,10.1845819750002 55.8281911820002,10.1845822720001 55.8281910890001,10.2508361880002 55.917354087,10.2508362040002 55.9173541440002,10.25083651 55.9173545550001,10.2797185100002 56.0188815550001,10.25874551 56.0876365550001,10.2441065810002 56.1100194530001,10.238400126 56.1187450690001,10.2177732680001 56.1418001650001,10.2366366750001 56.1687184080002,10.2393633050001 56.1726092630001,10.4005540780001 56.2908361030001,10.4486092050001 56.291936144,10.5049272130001 56.2710360360001,10.4794453260002 56.220554553,10.4373635100002 56.219927555,10.3991644130002 56.2094335960001,10.3556911150001 56.1974912060002,10.355691484 56.1974908230001,10.3556905100001 56.1974905550001,10.3899995100001 56.1619455550002,10.390000015 56.1619453130001,10.3900002560001 56.1619450630001,10.519718087 56.0997181490002,10.5488182110001 56.1004091530002,10.55237363 56.1032843660001,10.5742365100001 56.1209635550002,10.5742361110002 56.120964219,10.5742361650002 56.1209642620001,10.572068259 56.1245707120001,10.5524275240001 56.157245532,10.589718211 56.2072180690002,10.6067072320002 56.2188511670001,10.6163905100001 56.225481555,10.6320442600001 56.2279041960002,10.6419451790002 56.2294361480001,10.68389051 56.2194362080001,10.68389051 56.1943725550001,10.7449995100001 56.1638905550001,10.745000138 56.1638911920001,10.7450001760002 56.1638911740001,10.9075001330002 56.32860915,10.9213911260001 56.3436090690001,10.9534163280001 56.42147995,10.9619455100001 56.4422185560002,10.86666351 56.5123635560001,10.8476365100001 56.522354556,10.7869455100001 56.5341635560001,10.780519585 56.5336675200001,10.7652731500002 56.5324912340001,10.6903223120001 56.5256806750002,10.64610951 56.521663556,10.6235507560001 56.517867956,10.5850002050001 56.5113822490002,10.5551470390001 56.5097153860002,10.5302815100002 56.5083275560001,10.5088905100001 56.510827556,10.42027251 56.5261095560001,10.36402751 56.5571455560001,10.350684796 56.5614404900002,10.3300822210001 56.5680732510002,10.3151548390001 56.575105193,10.30866351 56.5781635560001,10.2318725100002 56.5487455560001,10.2250752600002 56.5118892780001,10.224163296 56.506945037,10.225464452 56.499145335,10.22847251 56.4811095560001,10.1877735530001 56.4686098760001,10.203513457 56.5128251100001,10.2147185100001 56.5442995560002,10.2422479180001 56.5702148390001,10.2455540800001 56.5733270280001,10.2624226090001 56.5850604950001,10.2792995100002 56.5967995560001,10.2961918130001 56.6048464860002,10.3079451120001 56.6104451130002,10.32874514 56.6162631600001,10.3309910770001 56.6182071890001,10.3619455100001 56.6449995560001,10.3569455100001 56.6765275560002,10.3430545100002 56.692636556,10.31610951 56.6961095560002,10.2605298350001 56.6962220030001,10.1772181000001 56.6963911370001,10.0772181390001 56.6861001710002,10.0164083080001 56.663847065,10.0036095090001 56.6591635560002,9.93305450900016 56.6416635560001,9.88639050900008 56.6419365560001,9.88326462800018 56.643239423,9.86639194500009 56.6502729020002,10.1569455090001 56.7202725560001,10.2405545100002 56.7177725560001,10.271361783 56.7321874920001,10.305273296 56.7480540030001,10.288941519 56.7935478430002,10.2865275100001 56.8002725560001,10.28110951 56.8255545560001,10.2695095100001 56.912981556,10.2851364660001 56.9576364320001,10.3118911440001 56.981309126,10.3118900380002 56.9813091390001,10.3118905100001 56.981309556,10.2370815100001 56.9822185560001,10.2113905100001 56.9858275560001,10.1794455090001 56.9941635560001,10.1658514370001 56.99971013,10.152218068 57.0052731540001,10.1408499920001 57.010460294,10.1236095090002 57.0183275560001,9.97427250900012 57.0717275560002,9.950790509 57.058509556,9.85360950900008 57.0455545560001,9.80721850900005 57.0505545560001,9.76944550899998 57.0537455560002,9.686109509 57.0386095560002,9.55513650900014 57.0059635560002,9.51944550900004 57.0158275560001,9.4724995090001 57.019163556,9.41763650899998 57.019163556,9.36555450900016 57.0122185560001,9.30257250900013 56.9998545560001,9.17819950900008 56.9160275560001,9.16499950899998 56.8924905560001,9.16940735700018 56.7520447810001,9.17183613599997 56.6746451270001,9.26732713600006 56.6961091700001,9.27857649300012 56.6987495550002,9.29749950900015 56.703190556,9.31999950900018 56.6813905560002,9.32287243500002 56.6766800840002,9.32305405200003 56.6763821930001,9.3529181020001 56.5684631770001,9.36020613900013 56.5644474910002,9.37357230800018 56.5570816660001,9.34645519600002 56.541553169,9.31826350900008 56.525409556,9.27291850900002 56.5530545560001,9.25230342499998 56.5803964370002,9.25124552700004 56.5817995770001,9.27830950900005 56.6131275560002,9.24889050900003 56.6333275560002,9.2183365090001 56.6337455560001,9.17777250900008 56.6266635560002,9.10215450800018 56.6031545560001,9.10215437200003 56.6031541400001,9.10215402200015 56.603154031,9.09849510500004 56.5919951900001,9.09187267199997 56.5718000530001,9.0780219020001 56.5689078340002,9.06291850800011 56.5657545560001,9.04471850800002 56.5956185560001,9.05430950800007 56.6292995560001,9.13091881000003 56.6893640800002,9.14173605100001 56.6978450620001,9.1417360160001 56.6978451690002,9.14173650900005 56.6978455560001,9.11083650800003 56.7922815560001,9.11083632599997 56.7922816300001,9.11083616500008 56.7922821210001,9.08221014900016 56.8038186070002,9.07278150800011 56.8076185560001,9.02938587100016 56.8067158750001,8.96000012899998 56.8052732330001,8.89905359500017 56.7730995790001,8.86791850800017 56.756663556,8.86791827999997 56.7566632570001,8.86791821700007 56.7566632230001,8.8419453570001 56.7226364580001,8.68082750800011 56.6178455560001,8.68082768700003 56.617845377,8.68082709600003 56.6178449920001,8.69459521200008 56.6040774350002,8.71389050800013 56.5847815560002,8.76257250800006 56.5605815560002,8.76002130600017 56.5553555170002,8.75691818100017 56.5490000630001,8.74020931800015 56.4901275240001,8.70409983100018 56.4842154190002,8.64353617700004 56.4743002060002,8.59221814200009 56.5038821220002,8.56280127499997 56.5196554420002,8.51916350800008 56.5430545560002,8.49396309000008 56.5524642340001,8.47083611400006 56.5611001780001,8.44394748300004 56.5695221760002,8.41583650800004 56.5783275560001,8.39610950800011 56.5816635560001,8.36939177500005 56.581014722,8.32721807000013 56.5799911440001,8.24971815500015 56.6050000610002,8.20548215800017 56.6388822280001,8.21736333799998 56.6594359960001,8.23778215700003 56.6877731990001,8.22727388000004 56.6998827600001,8.22072750799998 56.7074275560001,8.21437341900014 56.7035074620001,8.19471811800003 56.6913821110001,8.17555406900004 56.66777314,8.16871579200011 56.657546229,8.16069050800007 56.6455455560002,8.12118150800012 56.5482635560001,8.11999950800003 56.4502725560001,8.12277250800014 56.3491635550001,8.11153246400005 56.198287934,8.10555411400014 56.1180450130001,8.10402558200013 56.0973933070001,8.10139050800007 56.0617995550001,8.10666018300009 56.0283545510002,8.10832718200004 56.0177731430001,8.10832746500017 56.0177728250002,8.10832750800012 56.0177725550002,8.12639050799999 55.997463555,8.12639078100011 55.997464586,8.12639119000005 55.9974641270001,8.13933080200007 56.046198179,8.14610950800017 56.0717275550001,8.14145457600011 56.109027005,8.17422412900015 56.102565934,8.22389050800007 56.0927725550002,8.26291850799998 56.0788815550001,8.3113905080001 56.0511815550001,8.31468039999999 56.0291721460001,8.31694504200016 56.0140180500001,8.36828268500011 55.9458850510001,8.38527250800013 55.9233365550002,8.39569050800009 55.8947185550002,8.32389050799998 55.8561095550001,8.30231137600009 55.8464638970001,8.27666329100009 55.8350002120001,8.19139117300017 55.8106911840001,8.18545996900008 55.8292774780002,8.18221850800018 55.8394365550001,8.17333650800015 55.8974995550001,8.16805450800013 55.9205545550002,8.16013650800011 55.9481905550001,8.158084261 55.95263885,8.14847314600013 55.9734731080001,8.13677384900018 55.9793018820001,8.12770950800007 55.9838185550001,8.12770972400011 55.9838177720001,8.12770916000005 55.9838180530001,8.13444502500005 55.9594449870002,8.14305407800015 55.9380449830002,8.15332710600012 55.899164184,8.15747135900011 55.8830373340001,8.16639050800006 55.8483275550001,8.17745601500002 55.7885272900002,8.18360907800013 55.7552732250001,8.18555401500004 55.743045034,8.18041808800007 55.7168001220001,8.13944516600014 55.6247180420002,8.12305401900005 55.5983271170001,8.10185826700013 55.5687037410001,8.09291850800003 55.5562095550002,8.0929185650001 55.5562095320001,8.0929182270001 55.5562090590001,8.19509018499997 55.5156528300001,8.25694550800017 55.4910995550001,8.28045556299998 55.5200385850002,8.30750014500018 55.553327025,8.3231889650001 55.541763427,8.44486350800008 55.4520815550001,8.46274949600013 55.4532750170001,8.47402710400013 55.4540271210001,8.49890446100011 55.4520784950002,8.53610950800015 55.449163555,8.59458150800003 55.4420815550001,8.61594090400001 55.432155031,8.6181906170001 55.4311093990002,8.63641682000008 55.4051087990001,8.63805407700011 55.4027731240001,8.64378465800007 55.3820935810002,8.66179950800012 55.3170815540001,8.65938014800008 55.2793072370001,8.65805413599998 55.2586090830001,8.65938653900002 55.2365360200001,8.66139050800018 55.2033275540001,8.68944503800009 55.1602732680001,8.68902711200013 55.1400641610002,8.65593316600018 55.1346659320002,8.63802750800016 55.1317455540001,8.57696350800018 55.1423275540001,8.57095600700006 55.1481245350001,8.55930029800015 55.15937315,8.59007250799999 55.182590555,8.59007321300015 55.1825910880002,8.574945582 55.1888360520001,8.56305450800005 55.1937455540001,8.49736350800009 55.196245554,8.49105414500002 55.191515307,8.47513603000004 55.1795821530001,8.45763612500008 55.1272180560002,8.4697181360001 55.0793000570001,8.46971843800014 55.0792998330001,8.46971850800014 55.079299554,8.49208150800018 55.0626995540002,8.52811768000004 55.0780703280001,8.56013607199998 55.0917270670002,8.59985396799999 55.099411247,8.67610896100001 55.1141634490001,8.65471813900012 54.9819450890002,8.66454508200007 54.9130911070001,8.66454546200009 54.9130908750001,8.66454550800012 54.9130905540002,8.66454497000007 54.9130909650002,8.61027449900007 54.9545225270002,8.5145025700001 55.0276372300001,8.50164944500006 55.0362792300001,8.4713435700001 55.0566552300001,8.4496694450001 55.0756192300001,8.414450445 55.0864562300001,8.39745278300012 55.0853230520001,8.3738135700001 55.083747105,8.33859357000006 55.0702002300001,8.30194444400013 55.0639166660002,7.90682949500018 55.1185976220001,7.5526666670001 55.1676111100001,5.75000000000011 55.5111944440002,5.40333333300003 55.2499999990001,5.15000000000009 55.2499999990001,4.75000000000011 55.4041666660002,4.25000000000006 55.7727222210002,3.56270030700011 55.8846417640002,3.35000011 55.9192777590001,3.35000000000002 55.919277777,3.25000000000006 56.0866666660001,5.03333333300003 56.5916666660002,6.93666666700011 57.1749999990001,7.98333333300008 57.498333332,8.45833333300004 57.6183333320001,8.88833333300011 57.6966666660001,9.38333333300017 57.9883333320001,10.030027778 58.2614444440001,10.5424444440001 58.1333611100001,11.0487731620001 57.8168362180001,11.0487777780001 57.816833332),(10.104163509 57.5897185570001,10.043609509 57.588609557,9.99999950900019 57.5897185570001,9.95770950900015 57.586245557,9.79333650900003 57.4622185560001,9.76819050900008 57.440136556,9.72597250900014 57.3873545560002,9.70778150900014 57.364999556,9.6610691030001 57.3156158560001,9.64944519900007 57.3033272770001,9.64754494200014 57.3016108090002,9.58055416499997 57.24110018,9.54374503700012 57.2156911110001,9.49583609000013 57.190273157,9.46624512100004 57.1788912030001,9.41497509900006 57.160589715,9.39131850900009 57.1521455560001,9.33479736999999 57.146197756,9.26527323400012 57.1388822000001,9.25407961500008 57.137863402,9.24389050900004 57.1369365560001,9.19610950900011 57.136109556,9.1822158380001 57.1366657990001,9.16139111100006 57.1375001920002,9.07971818200008 57.1452732340001,9.04121657500008 57.1504084060001,9.01721850799998 57.153609556,8.98475654600014 57.1447408490002,8.89416329699998 57.1199912340001,8.8617394690001 57.1120292600002,8.84666350800012 57.1083275560001,8.8305111790001 57.1066039280001,8.80500013099999 57.103882222,8.78071643500016 57.1021507080001,8.76610950800011 57.1011095560001,8.73721850800013 57.1022185560002,8.71389050800013 57.1061095560001,8.68958219000007 57.112311817,8.64694509700018 57.1231911100002,8.63119996100005 57.122270918,8.61847250800008 57.121527556,8.57721850800016 57.0961095560001,8.55534279900013 57.0803742570001,8.45055408700011 57.005000072,8.41810685500002 56.9780802830001,8.37889050800004 56.9455455560002,8.33666350800007 56.9055455560001,8.32687944400004 56.8959388870001,8.29055411600007 56.860273102,8.26013619000003 56.8277731110001,8.24583616000007 56.8066632880001,8.23610912900017 56.772218024,8.23584788000016 56.764099974,8.23527250800015 56.7462455560001,8.24314930300005 56.7090843760001,8.24416330000003 56.7043001330001,8.24416338900011 56.7043001130001,8.24416350800004 56.7042995560001,8.30222791900007 56.6916353190001,8.36832711400018 56.6772180360001,8.39828219200012 56.6720450610001,8.45411807300013 56.6468270990001,8.47136000900014 56.635701543,8.47805450800007 56.6313815560001,8.54589950800016 56.5851725560001,8.56044511900006 56.5913050170001,8.59819125400008 56.6072180800001,8.60548826200011 56.6260821340002,8.60721850800007 56.6305545560001,8.57972399900007 56.6863326190001,8.57906324800018 56.6876731190001,8.55688310700003 56.6817014110001,8.54333650799998 56.678054556,8.53556862600016 56.675151203,8.51694513100011 56.6681912290001,8.50017748100009 56.6694556130001,8.48838150800015 56.6703455560001,8.46806422500009 56.6720806530002,8.44346333300018 56.6741821110002,8.42620105600014 56.6766438760002,8.4158007740001 56.6781273750001,8.43808473900009 56.6873920440001,8.46305450800014 56.6977725560001,8.48631838700004 56.7857540990001,8.49997973900008 56.79410991,8.50778150800016 56.7988815560001,8.53305450800013 56.8038905560002,8.56721850800017 56.8161815560002,8.61347250800009 56.853190556,8.6134725440001 56.8531907550001,8.61347314000011 56.8531912320001,8.61819114600007 56.8794361450001,8.67660010300017 56.94811813,8.70227534500003 56.9524281540001,8.72999950800005 56.957081556,8.75514766300006 56.9530569720001,8.76777324900002 56.951036038,8.79915318799999 56.9616230640001,8.82716350800018 56.9710725560002,8.88582750800015 56.9974995560001,8.96214136800012 57.0070876400001,9.03032714700004 57.0156539740001,9.06310208800016 57.024506273,9.11555450800012 57.0386725560001,9.11554550800008 57.0527725560002,9.14055450900014 57.0427725560002,9.15916350900011 57.0352725560001,9.1813905090001 57.023890556,9.19526997000003 57.0162527610001,9.20360908100014 57.0116631820001,9.21707674000004 57.0047334840002,9.22763650900009 56.9992995560002,9.24116852200018 56.9971586060001,9.24958214400016 56.9958270850001,9.26971815799999 56.9983270710001,9.28944513400012 57.0047181050001,9.39337831500012 57.0252885190001,9.49999950900008 57.0463905560001,9.75353984500003 57.0681056920001,10.0047181970002 57.0896180670001,10.0146074790001 57.0875067920001,10.0263905090001 57.0849905560001,10.0812917980001 57.0595029410001,10.1197180760001 57.0416631870002,10.151945153 57.0247181640001,10.1774667020001 57.0110940920001,10.1930545090001 57.0027725560001,10.2053940020001 56.9983570370001,10.223336169 56.9919360380002,10.2450002040001 56.9897181860002,10.3366180940002 56.9916632910001,10.3366182290001 56.99166355,10.3366185100001 56.991663556,10.41902751 57.1502725560002,10.4480545100001 57.1806905560001,10.491764688 57.2029518160001,10.5122482140001 57.2133835650001,10.53027325 57.222563266,10.528890698 57.341760123,10.5280540570001 57.4138911030001,10.446109219 57.5321450050001,10.435836507 57.5513815550001,10.435836191 57.551382143,10.4347668510002 57.5604721980001,10.431800137 57.5856911170001,10.4378093220001 57.5987078420001,10.4426360940001 57.6091632960001,10.4445954720001 57.6112096730002,10.45819123 57.6254091010002,10.4811091970001 57.6458270820002,10.503432694 57.6648550000002,10.505554012 57.6666631520002,10.5055545100001 57.6666635570001,10.5162382780001 57.6753522030002,10.5263912560002 57.6836091810001,10.5691632690002 57.7066632700001,10.6219451200001 57.7277732610002,10.6459540760001 57.7362632910001,10.6450002150002 57.7375001250001,10.6052731790001 57.744163235,10.5691632690002 57.7459732230002,10.5408361250001 57.7388821330001,10.5100001090001 57.7252731070001,10.4849952870001 57.7130134110001,10.4533360960002 57.6974911210002,10.421086096 57.68037562,10.4083361720001 57.6736090680001,10.3403705010001 57.6433012520001,10.2952731830001 57.6231910820001,10.2831187120001 57.6188416710002,10.266945032 57.6130540080001,10.2183361960002 57.6022180510001,10.2037192170002 57.599380461,10.194690984 57.5976278130001,10.1811091470001 57.594991174,10.168516857 57.5932452150001,10.161109509 57.592218557,10.1480787070001 57.591438312,10.128609096 57.5902731680001,10.1141965460002 57.5899459270001,10.104163509 57.5897185570001),(10.8876741520001 57.2457280620002,10.896109127 57.244718145,10.9077732150002 57.248327057,10.9225002190001 57.2508270440002,10.9338912260002 57.250273168,10.9500002380001 57.2458270710001,10.9619451210001 57.2380540290002,10.9822180950001 57.2216632170001,10.997500148 57.2233270250001,11.0238912410001 57.229718059,11.0583361690001 57.240827098,11.0791631870001 57.250273168,11.1963911440002 57.3125000820001,11.1897912330001 57.3254090510002,11.1473632130002 57.3315271690001,11.0258361780001 57.3202731230001,10.9197180980001 57.3019360340002,10.8663258140002 57.2698106700001,10.8576361910002 57.26458225,10.857636579 57.2645815980001,10.8650000460001 57.2522183560002,10.8650001960001 57.2522181040002,10.8798633220001 57.246663249,10.8876741520001 57.2457280620002),(8.85853618500005 56.9540910740001,8.84463272000016 56.9407874730001,8.83916350800007 56.9355545560001,8.82639050800015 56.9147185560002,8.81541850800005 56.9058275560001,8.73610950800003 56.8944455560001,8.696945508 56.8922185560002,8.68520223000002 56.8924504500002,8.66889126600012 56.8927732610001,8.66180959100012 56.8914387420001,8.65339950800018 56.8898545560002,8.61984167300011 56.8354381140001,8.61700938300004 56.83084549,8.54610950800009 56.7933275560001,8.54610915100017 56.7933270230002,8.54610912500016 56.7933270090002,8.50944517200014 56.738609107,8.51736322000016 56.7320091960001,8.54277329500002 56.738609107,8.55930911400014 56.7380540570001,8.60305409900002 56.7258270400002,8.63694515100002 56.6972180950002,8.64850548900017 56.6826834690002,8.65528150800009 56.6741635560001,8.65528188900004 56.6741636100002,8.65528224100007 56.6741631680001,8.73500017500015 56.6855540070001,8.74500012100015 56.6872181500001,8.76847330500004 56.6929091270001,8.83139122400019 56.743327112,8.87889113400018 56.7986091170001,8.91768164300009 56.901829965,8.92471850800013 56.9205545560001,8.91082750800007 56.9483275560002,8.9040561860001 56.9525607750002,8.89971815200016 56.955273258,8.85853618500005 56.9540910740001),(12.1741632860001 56.103609196,11.919163327 55.994436081,11.9006676520002 55.9858487600001,11.8626361080001 55.968191168,11.8549458090001 55.9619430650001,11.8470821450002 55.9555541080002,11.8488694640001 55.9512369240002,11.8511091470001 55.9458270770001,11.8631457840001 55.9403497840001,11.8712451600001 55.936664148,11.8801155530001 55.9368257910002,11.8866633360001 55.9369451090001,11.9116286230001 55.9438461540001,11.9338911700002 55.950000091,11.9791633370001 55.9566642070001,12.0111091170001 55.9577731330002,12.0409731680001 55.9216642290002,12.0619431400002 55.816208391,12.0722182210001 55.7645360660001,12.077639053 55.7555958320002,12.0877731890001 55.7388822460002,12.090770186 55.72801728,12.0915271080001 55.7252732200002,12.0923365040001 55.720423736,12.0938911400002 55.7111091450002,12.092770239 55.7025453680001,12.0922181130002 55.6983270780001,12.0869237480001 55.691410472,12.0595821670001 55.6556911860001,12.0595819920002 55.6556911820001,11.9994735370001 55.654542877,11.9839378210001 55.6542460840001,11.9358365110001 55.653327555,11.936663508 55.6769364540001,11.9393985810001 55.6802100680001,11.954305751 55.6980519590001,11.9543055080001 55.6980521930001,11.9705541170001 55.7175001780001,12.009718224 55.715273106,12.0286091900001 55.715000192,12.048190834 55.7225000260001,12.04819116 55.7225001510002,12.055418205 55.7330539730002,12.0554182140001 55.7330541200001,12.056245163 55.7468001270001,12.0405540730001 55.793327065,12.0385195680001 55.7983602070001,12.0352733060001 55.8063911000002,12.0064179580002 55.876530541,12.0001361110001 55.8917999870001,12.000136033 55.8918001790001,11.998764578 55.8932832670001,11.9898633400002 55.9029090500001,11.9594450780001 55.9172181330002,11.941109162 55.9244361250002,11.934343533 55.926307174,11.9250001500001 55.9288911060001,11.9191685190002 55.9293361130001,11.914163187 55.929718065,11.9105440250001 55.9286762030002,11.904027119 55.9268001570001,11.854631952 55.794065421,11.843609187 55.7644450390001,11.8411350310001 55.7521188740001,11.8320815110001 55.7070185550002,11.826655113 55.6897066460001,11.823327161 55.6790911130001,11.7944367310001 55.6616645210001,11.7998635110002 55.685554555,11.7655545110001 55.758609555,11.7571510990001 55.769202007,11.7452822540001 55.7841641370001,11.7376049510002 55.7903307370001,11.7332635110001 55.793818555,11.717499511 55.7933275550001,11.7001830820001 55.8010132530001,11.6705545090001 55.8141639450001,11.6704508770001 55.8422337370001,11.6702732730001 55.8905450730002,11.7068159890001 55.9067766350001,11.7279014960001 55.9161419330001,11.7279011600001 55.9161422570002,11.739718179 55.9213911470001,11.7584654460002 55.936090756,11.7793002080001 55.9524271550002,11.7683361760001 55.9634731620001,11.7594135860001 55.9640255410001,11.7527822140001 55.964436076,11.747108672 55.9627287040001,11.741245027 55.9609641240002,11.7238771720002 55.9559127590001,11.7063912290001 55.95082705,11.6945739230001 55.9482456120001,11.6945736730001 55.9482458530001,11.6850731160001 55.9461702040002,11.6644451680001 55.9416641210001,11.6063912680002 55.9363821810001,11.4091632420001 55.9613910980001,11.3431513070001 55.9748948720001,11.3127725110001 55.9811095550002,11.3028838050001 55.9837560050001,11.2733361770001 55.9916641850002,11.277427049 55.9763821320001,11.2774273860001 55.9763820200001,11.277427511 55.9763815550001,11.359718511 55.9491635550002,11.370238429 55.9479921620001,11.3797181190001 55.946936003,11.415075971 55.9446774860001,11.4491635110001 55.9424995550002,11.4744455110001 55.9381905550001,11.4916635110001 55.9302725550001,11.497270225 55.9258314850002,11.5090270810001 55.9165180760001,11.516109119 55.8951360090001,11.511663189 55.8794360330001,11.5111211730001 55.87817991,11.506390511 55.8672185550001,11.4981906010001 55.853472707,11.4869451250001 55.8416641600001,11.3433361330001 55.7475001830001,11.211109095 55.6988821270002,11.2057717280001 55.6984401200001,11.2011095100002 55.6980545550001,11.1955607260001 55.6985696730001,11.1891632610001 55.6991642620002,11.1686091580001 55.7027731740001,11.1527732290002 55.7077731470001,11.1441515940001 55.7113254950002,11.13860951 55.7136095550001,11.1312526040001 55.7200753480002,11.1294450510002 55.72166414,11.0358074480001 55.730364801,10.9530545100002 55.7380545550002,10.9480020940001 55.7383965380001,10.9408361360001 55.7388822460002,10.89721822 55.7391642130002,10.8797181470001 55.7343001940001,10.8797192980001 55.7342997740001,10.87971851 55.7342995550002,10.99416351 55.692499555,11.0752815100001 55.6727725550001,11.0863905100001 55.6663815550001,11.1435241030001 55.578910226,11.1444451370002 55.5775000990001,11.1472095210001 55.5716411190002,11.14916351 55.5674995550001,11.1717901090001 55.5182044380001,11.2036091360002 55.4488821410001,11.217636083 55.3963820910001,11.1975398910001 55.3576876210002,11.1877725100001 55.3388815550001,11.235996611 55.2244331800001,11.2454180690001 55.2020731460001,11.245418318 55.202073012,11.24541851 55.202072554,11.254625173 55.1971137450001,11.257773162 55.1954180820001,11.2623576380001 55.1946102230002,11.2727815100001 55.192772554,11.3061095110002 55.1888905540002,11.3156574160001 55.1898281590001,11.3230541070001 55.1905540640001,11.3319588690001 55.1940258210001,11.350827511 55.201381554,11.3763453470002 55.2069743710001,11.4002732280001 55.212218099,11.4169451690001 55.215827011,11.4277732470001 55.215827011,11.437796056 55.2145468830002,11.4538905110001 55.2124905540001,11.5188905110001 55.1999995540001,11.5430545110002 55.192772554,11.5485849010001 55.1916968930001,11.5530540330001 55.190827146,11.6122182000001 55.1872180660002,11.658336102 55.1872180660002,11.6628194960001 55.1902571220001,11.6833365110001 55.204163554,11.6945095110001 55.2075995540001,11.7177815110001 55.2066635540001,11.725396129 55.2048822410001,11.7308360440001 55.2036090460001,11.73703117 55.2007585520002,11.741109511 55.1988815540001,11.7869444940002 55.1640604900001,11.786944724 55.1640604640001,11.7977821370001 55.1558271680001,11.7899615770002 55.1434405490001,11.7830541280002 55.1325001640002,11.7305540770001 55.0605540980001,11.8402731900002 55.0233270480001,11.8457697730001 55.0206572290001,11.8597181990001 55.0138821520001,11.872021181 55.0034118450002,11.9009092190001 54.9788270210001,11.9009084370001 54.9788284680002,11.8960361480001 54.9878451110001,11.8960365380001 54.9878455040002,11.9120821280001 55.0040181610001,11.941109162 55.0026271,11.946593154 55.0010449150001,11.9516633190001 54.999582123,11.9783360440001 54.9791641420001,11.995000105 54.9713822150002,12.0052726360001 54.9696705810001,12.0133361890001 54.9683270110002,12.0261424390001 54.9674302680002,12.0411091220001 54.9663822420001,12.061235875 54.9678357490002,12.071945139 54.9686091460002,12.0978740690001 54.9758387580001,12.1586091560001 54.9927731670001,12.1688779690001 54.9988161220002,12.1712450430001 55.0002090890001,12.1712450550001 55.0002092860001,12.178745137 55.1184727050002,12.1787451700001 55.118473217,12.1761463390001 55.1195198450001,12.1494450540002 55.1302732600001,12.1393030550001 55.132064168,12.1305545110001 55.1336095540001,12.1243148640002 55.133273805,12.1150001250001 55.1327732470002,12.0915271080001 55.1291641670002,12.0750001750002 55.1288821990001,12.061800186 55.131800108,12.020413381 55.1507783460002,12.0150733100001 55.1532271880001,12.0250737640001 55.1687017310002,12.0255542190001 55.169445103,12.0361091500001 55.173336126,12.1761092290001 55.2205540690002,12.2033361650001 55.2280540280001,12.243891165 55.2369359960002,12.2557064370001 55.2356785130002,12.2724995110001 55.2338905540001,12.2843695280002 55.233426652,12.29389123 55.2330540010001,12.3037802990002 55.2329258190001,12.315554511 55.2327725540001,12.3295815110001 55.2341635540001,12.3684255310001 55.2443123380002,12.412500189 55.2558271290001,12.413111725 55.2560947920002,12.4191275180001 55.2587278350002,12.4258361320001 55.2616641190001,12.4431287240002 55.272485909,12.4462450610002 55.274436128,12.4462455100002 55.274436554,12.4622181180001 55.2895822270001,12.460091744 55.2994636170002,12.4527732220001 55.333473225,12.4465674730001 55.3441794710002,12.4441633310001 55.3483271310002,12.435922184 55.3568939070001,12.4333360920002 55.3595821830001,12.3994450400002 55.3811002050001,12.3766631940001 55.3952731650002,12.363891186 55.398891129,12.3436091590001 55.401664198,12.3167206860002 55.4024797010001,12.2977822770002 55.403054085,12.24114821 55.4217432620001,12.2411474960002 55.42174395,12.2279185110001 55.426109555,12.206663511 55.4383275550002,12.1998393250001 55.4462372120001,12.19791831 55.4484639790001,12.191663507 55.4616635530001,12.1919164680001 55.4691670590001,12.191916173 55.4691673430002,12.1923632480002 55.482427021,12.1923635060002 55.4824274000001,12.2008225230001 55.4948616230001,12.2058270990001 55.5022180350001,12.2058273170001 55.5022182690001,12.2444450410001 55.5436090470001,12.2447848040002 55.543948809,12.2533360620002 55.552500067,12.2694450740001 55.560000194,12.3211242900002 55.5822997720002,12.323725543 55.5834222130001,12.3394540820001 55.5902090760002,12.3444451700001 55.5930450090001,12.3808360410001 55.609991206,12.3913912040001 55.6136091700001,12.4038911360001 55.6166642060001,12.4216632860001 55.616391124,12.4325002480001 55.6155541070002,12.442573284 55.607636058,12.4928450900001 55.603609057,12.502782171 55.6313821580002,12.5241632330001 55.6394450460001,12.5408361800002 55.650836052,12.5500001140001 55.657218033,12.5613911210001 55.6669360120001,12.5979821520002 55.7025641300001,12.5841632430001 55.7352731660002,12.6002732610001 55.7544360400001,12.6000001790001 55.7672181080001,12.597500192 55.7961091870002,12.5751361010002 55.846800087,12.5669451370001 55.8575000900001,12.5588731970001 55.8672360060001,12.51916326 55.9113821490001,12.5162451840001 55.922500073,12.5277731510001 55.9458270770001,12.5702732560001 55.9940181590001,12.5841632430001 55.9994451060001,12.5938911120001 56.0047181610001,12.6172912070001 56.0401360610001,12.533609135 56.0808270160001,12.5141632870001 56.087773267,12.331391194 56.1241641370002,12.312500228 56.1272181680001,12.301663266 56.1286090610002,12.290554059 56.1288821430001,12.2750000960002 56.1272181680001,12.2002821350001 56.1122180810001,12.1741632860001 56.103609196),(12.1607873150001 54.971444519,12.1340274100001 54.9540272770001,12.134027213 54.9540271490001,12.1158361360001 54.9041642130001,12.1158366540001 54.904163946,12.1302041590001 54.8967523110001,12.13537648 54.8940841130001,12.1508361140002 54.8861090910002,12.1636091290002 54.883045002,12.183609188 54.8802731070001,12.2641633010002 54.919164132,12.302681453 54.9446076290001,12.3104181640001 54.9497181800001,12.3179841500001 54.9522270190001,12.338054137 54.9588821150001,12.3522360600001 54.9608860370002,12.3616632760001 54.9622181130001,12.3772180760001 54.9630541240001,12.4041632130002 54.9630541240001,12.4304002750001 54.9604416300001,12.4683360700001 54.956664264,12.4845075060001 54.952080632,12.5016631870002 54.947218026,12.511348001 54.9456524050001,12.520554153 54.9441641640001,12.5366633330001 54.9450001750001,12.546390828 54.9481910420001,12.5463912020001 54.9481911650002,12.5521138210001 54.9570365480001,12.5564540120001 54.963745128,12.5333275140001 55.0051995550001,12.533327168 55.0052001770002,12.520680681 55.0102404530001,12.5066633280001 55.0158270890001,12.4522181730001 55.0269361280002,12.4290486400001 55.0291966920001,12.395282251 55.0324911510002,12.3119451790002 55.0352731050001,12.1777732040002 54.9825001390001,12.1607873150001 54.971444519),(12.0898023450001 54.892646973,12.0823633410001 54.8936090500001,12.0608360990001 54.8911090630002,12.0491748060001 54.8918164640002,12.0380540860001 54.892491072,12.0200001370001 54.8963821190002,11.9969450420001 54.9038822460002,11.865036182 54.9475641990002,11.8505911450001 54.9547821910002,11.8482983370001 54.955556702,11.8466632170001 54.9561090460001,11.811066355 54.9585896290001,11.766945115 54.961664236,11.7465271350001 54.9600000930001,11.7376745550001 54.9565577350002,11.7322182200001 54.954436018,11.7152985050001 54.9422733590001,11.7109732800001 54.939164191,11.7109733120001 54.9391641300002,11.7382977620002 54.8866391230001,11.7488388310001 54.8663763290001,11.7537451270001 54.8569450970001,11.781945034 54.848882209,11.7927732800002 54.8447180790001,11.8019450930001 54.8391642300001,11.8561091190001 54.7741642470001,11.899163268 54.71860916,11.8919451080002 54.7011090880002,11.8777822070001 54.687773144,11.8711092060001 54.6672180350001,11.8719450490001 54.6513821060001,11.9262450300001 54.5744451190002,11.9447180740002 54.567500209,11.9668001980001 54.5619361340002,11.979027215 54.5702001880001,11.9744451640001 54.586935999,11.9677822220002 54.6094450970001,11.9630541580001 54.6297180710001,11.9600001270001 54.647773193,11.9586092340001 54.6633271560001,11.9619450640002 54.6805450940001,11.9697181060001 54.6994360600001,11.981391247 54.7102731900001,12.0552731980002 54.7747181230001,12.0751361290001 54.7874911380001,12.0886092000001 54.7936090890001,12.1072181990002 54.7997181550001,12.119718131 54.8063911560001,12.1583360740001 54.8286090670001,12.1681911800001 54.8377000790001,12.1366633220001 54.8686091850001,12.119445049 54.8822180430001,12.1105540290001 54.8875001510002,12.099582285 54.8913821460001,12.098904868 54.8914697550002,12.0898023450001 54.892646973),(11.469445052 54.6213821010001,11.5225001520001 54.6419360360002,11.583609088 54.6634641160001,11.640554062 54.6625001970002,11.6938911290001 54.6555450620002,11.722500241 54.651109191,11.7363912340002 54.6452732070001,11.7802822320002 54.640418073,11.8338912090001 54.6611091370002,11.844163231 54.6694451070001,11.857218213 54.6863820840001,11.8619451030002 54.7445821640002,11.847218099 54.7679180530002,11.735282141 54.85500016,11.7227728890001 54.8645078710001,11.7086090810002 54.8752731340001,11.6569450410001 54.9038822460002,11.6440271870001 54.9043732580001,11.6434673150001 54.894620452,11.6425001720002 54.8777731200001,11.6424995160001 54.8777726510002,11.612951963 54.8566356890001,11.6127370610002 54.8564819580001,11.5644450400001 54.8219360660001,11.5138912670002 54.82971816,11.4960420360001 54.8352908480002,11.4622706970001 54.845834558,11.4088911660002 54.8625001190001,11.400012512 54.8656633,11.3933271450001 54.868045083,11.3718490910001 54.8786087660002,11.361109121 54.8838910710002,11.35845257 54.8861451500001,11.349163232 54.8940271390002,11.3425114820002 54.9050079200001,11.3368002600001 54.9144360680002,11.3367995520001 54.9144364860002,11.288327211 54.9430540640001,11.2755540290001 54.9497181800001,11.2397182070001 54.9572181400002,11.2213690580001 54.957289867,11.193145168 54.957400195,11.1644450290001 54.956664264,11.1363911340001 54.9538911950002,11.1279757110001 54.952417724,11.118891229 54.950827106,11.0713911510001 54.9408271600001,11.0614201860001 54.936557803,11.0577821250001 54.9350000610002,11.0543353780001 54.9323525670001,11.0422181050001 54.9230451200002,11.0410227700001 54.922035871,11.0297181720002 54.9124911310001,11.014386473 54.8934991920001,11.0140275150002 54.893054541,11.014027082 54.8930540000001,11.0188544140001 54.859307863,11.0252732490002 54.8144361070001,10.9898912240002 54.790845073,10.9930540510001 54.785000204,11.0197182270001 54.7627732410001,11.0288912140001 54.7573540050001,11.0991632460001 54.742491214,11.125554004 54.7402731950001,11.1444451370002 54.7369360240001,11.190554154 54.72555407,11.2458361590001 54.7116642510002,11.2622180860001 54.7072181540001,11.2780540150002 54.6997180270001,11.3152822380002 54.6755540060001,11.350273164 54.6588822330001,11.377218133 54.6466642680001,11.454927093 54.61985408,11.469445052 54.6213821010001),(10.838891238 54.943327147,10.854570052 54.9636261540002,10.8577730250001 54.9677729720001,10.8647547130001 54.973437195,10.8769450780001 54.9833270980001,10.87880441 54.9844541730001,10.8861095100002 54.9888815540001,10.8909992140001 54.9937095080001,10.8968001310002 54.9994361100001,10.90916967 55.0254188350001,10.91055451 55.0283275540002,10.9311095100001 55.0758275540002,10.9369455100001 55.089999554,10.9458972330002 55.1134086420001,10.9590912500001 55.1479091200001,10.9520821350001 55.1593001260001,10.9401360790001 55.1609642690001,10.9290272070002 55.1570821070001,10.912467126 55.1435741270001,10.9094455100001 55.1411095540001,10.9094453130002 55.1411092480002,10.9094450700001 55.1411090490001,10.8887451220001 55.1088911930001,10.850554153 55.0450001360002,10.8283704190001 55.0212725490001,10.7974995100001 54.9882545540001,10.76986351 54.9783365540001,10.73666351 54.9597185540001,10.6936095100002 54.9222185540002,10.685799344 54.9131060240001,10.6819451300001 54.9086091360001,10.6813931730001 54.9072956450001,10.6519451250001 54.8372181200001,10.6555540370001 54.8025001090002,10.659530787 54.7925577380001,10.6750002200002 54.7538822210001,10.688327111 54.737500126,10.700418174 54.7273642260002,10.714718204 54.7250001940002,10.7569450580002 54.7772181100001,10.7869450630002 54.8438911200001,10.8098623010001 54.8877595880001,10.838891238 54.943327147),(10.2855540310001 54.9361001020001,10.249852183 54.9499504730001,10.1867365090001 54.974436554,10.1867366870001 54.9744358450001,10.1867360860002 54.9744360780002,10.1908361780002 54.9580539830002,10.213567755 54.9364682830001,10.24569051 54.9059635540001,10.39944551 54.8241635540002,10.4072185100001 54.8213905540001,10.4327815100001 54.841663554,10.4327815840001 54.8416637590001,10.4327821610001 54.8416642160001,10.436211933 54.8511256450002,10.4408365100001 54.863881554,10.4408360370002 54.863881776,10.4408361640001 54.8638821270002,10.3915636850001 54.887037465,10.3066635100001 54.9269365540001,10.292488414 54.9330896830002,10.2855540310001 54.9361001020001),(10.0430545090001 54.939027554,10.004718509 54.9797185540001,10.0003656330001 54.9834082140002,10.0000001910001 54.9837180300001,9.96902704700005 55.010691162,9.79250014199999 55.0750001410001,9.78111696999997 55.0782270250002,9.77194550900009 55.0808275540001,9.75416350900014 55.0844455540002,9.73688613800016 55.0832956580001,9.71236328000003 55.0816642570002,9.66471819599997 55.067773264,9.64511171800007 55.0606639000001,9.6394455090001 55.0586095540002,9.63944522500009 55.0586092130001,9.63944508100008 55.058609161,9.63145450700011 55.0490185560001,9.63145411000016 55.0490180850002,9.66520265100019 55.0256169660001,9.67791850900016 55.016799554,9.686330575 55.0141083560001,9.69874503500012 55.0101361120001,9.71805409000018 55.0094360560001,9.74194502800003 55.0122181770001,9.78277327899997 55.015545122,9.79624517700017 55.0130540200001,9.81254759900008 54.9974131790001,9.83749950900011 54.973472554,9.84053325200006 54.9507943070001,9.84173611200009 54.9418001320001,9.83483183300018 54.94187479,9.82916350900013 54.9419365540001,9.82377653100014 54.9444829790002,9.81916331200006 54.9466641500001,9.78139127100002 54.9691641960001,9.76923149800012 54.9754655850002,9.76076350900019 54.9798545540002,9.7607634200001 54.9798538780001,9.76076323899997 54.9798539720001,9.76038228599998 54.9769560350001,9.75833617500007 54.9613911540001,9.75928486400016 54.9592143540002,9.77250025100017 54.9288911630001,9.77921487900005 54.916398896,9.78291811800017 54.909509185,9.80416322500002 54.8994361490001,9.82195431000008 54.8940464120001,9.89583610099999 54.8716642210001,9.93166320500018 54.8613821410001,9.95639116000007 54.8580540220001,9.97802439000014 54.8585944610002,9.97860923900015 54.858609072,9.98378495200018 54.8593047480001,9.98889115200006 54.85999108,10.0692996720001 54.8738821390002,10.0693002580002 54.8738822410002,10.0725001330002 54.8854092020001,10.0691634990001 54.895263551,10.069163298 54.8952641400001,10.0659726280002 54.9006121600002,10.0653150320001 54.901714386,10.0430545090001 54.939027554),(10.5114921610001 55.0287093700001,10.5194451720001 55.0286091560002,10.5294451180001 55.0294450000001,10.5915271930002 55.0554091180001,10.6018894260002 55.0572166110001,10.6218095100001 55.060690554,10.647819445 55.0606096910002,10.66555415 55.0605540980001,10.6953741430001 55.0625844350001,10.7348635100001 55.0652725540001,10.78332751 55.1240905540002,10.8137455100001 55.1958275540001,10.8314545100001 55.299372554,10.831454142 55.2993731260001,10.790554431 55.3627817790002,10.7453455100002 55.4916635550001,10.7453453380002 55.4916637490001,10.7453451750001 55.4916642130001,10.6602732160001 55.5876359990002,10.660272822 55.587636203,10.66027251 55.587636555,10.6160365100001 55.6105185550001,10.6160365320001 55.6105178400001,10.616036046 55.6105180920001,10.6166294400001 55.5916209760001,10.6174995100002 55.5638905550001,10.6151849220001 55.5330474260002,10.6141631930001 55.5194361410001,10.611262009 55.5100208690001,10.6038906270001 55.4860999360001,10.5267758690001 55.457383839,10.47374551 55.437636555,10.4252095100001 55.4415275550001,10.4245173200001 55.4502147940001,10.4234732190001 55.4633270100002,10.44874516 55.4801360790001,10.4487454980001 55.480136549,10.4736095100001 55.5149995550001,10.4847185100001 55.5324905550002,10.484717974 55.5324909100001,10.4847181090001 55.5324911230001,10.4589934180001 55.549585848,10.40236351 55.5872185550001,10.31847251 55.6144365550001,10.2942995100001 55.6158275550001,10.2458055020001 55.6057813510001,10.2125002120001 55.5988821660001,10.191525612 55.5900586280002,10.171245509 55.5815275550002,10.164676371 55.5793904660001,10.1486091550001 55.5741642690002,10.1332931950001 55.5702471270001,10.1247185090001 55.5680545550001,10.1000630580002 55.5625290520002,10.0738911940001 55.556664196,10.0003000950002 55.541264126,9.92874512900011 55.5123641610001,9.90013618500018 55.5056911610002,9.8849032390001 55.5069852280001,9.87402750899997 55.5079095550001,9.843127509 55.5203455550002,9.82610950900005 55.544854555,9.79562419500013 55.5430521840001,9.74860914400006 55.5402732170002,9.67971811400014 55.4970821080001,9.67971884700006 55.4970817660001,9.67971850900005 55.4970815550001,9.72889050900017 55.4741635550002,9.74950551300003 55.4703641700002,9.76805415400008 55.4669449750001,9.79941697600015 55.444746541,9.81083650900007 55.4366635550002,9.887772509 55.3394365550002,9.89679950900012 55.2827725540002,9.96371476500019 55.227880774,10.0058361750001 55.1933271330002,10.1110361010001 55.1830541050002,10.147675914 55.1353496180001,10.1519450970001 55.1297910910001,10.144185088 55.1239389370002,10.1352725090001 55.117218554,10.1527725090001 55.0844455540002,10.1527730550002 55.0844454660001,10.152773285 55.084445037,10.2658740850002 55.0662299720001,10.4977725100001 55.0288815540002,10.5114921610001 55.0287093700001),(10.6272185100001 55.043609554,10.5017995100001 55.0067275540002,10.5149995100001 54.9811095540001,10.5524995100001 54.9484635540001,10.561771713 54.9467559370001,10.5652822810001 54.946109101,10.587970567 54.9480093600001,10.6149995100001 54.9502725540002,10.631304706 54.9582696620001,10.6697912020001 54.977145109,10.6743637540001 54.9883335890001,10.6758365100001 54.9919365540001,10.6272185100001 55.043609554),(10.666469251 55.8791927100002,10.6668912320002 55.8925822100001,10.6668902810002 55.892574291,10.6668905100001 55.8925815550001,10.66458151 55.8733365550001,10.6548635100001 55.8647185550001,10.6459813160001 55.8646564420002,10.6352731840001 55.8645821270002,10.6219451200001 55.8709731610001,10.5663970420002 55.9449877150001,10.5605545080001 55.9527725530002,10.5566635100001 55.969718555,10.5591635100001 55.986799555,10.559113342 55.9886890400001,10.5588912470001 55.9970822470001,10.5441632370001 55.994300126,10.523609134 55.9813821050001,10.520540577 55.9768986780002,10.5163905100001 55.9708365550001,10.5130985190002 55.8553438860001,10.5116632460001 55.8050002070001,10.5116635110001 55.8049995900001,10.5116635100002 55.804999555,10.52777251 55.7674905550002,10.537630193 55.7637786540001,10.5447181190002 55.7611090410001,10.5666607970001 55.7593273150001,10.58916351 55.757499555,10.6002725100001 55.757499555,10.6036140230001 55.758757463,10.6109732080002 55.761527131,10.643826587 55.827240464,10.66624551 55.8720815550002,10.666469251 55.8791927100002)))', 'Danish Exclusive Economic Zone', 'Denmark', 'Denmark', '', '175', '175', 'DNK', '5674', '2012-10', '102793284700', '5674', 'Y'),('SRID=4326;MULTIPOLYGON(((6.60599789800006 53.593474218,6.64928934000005 53.5357519770001,6.72865834000004 53.514105977,6.80802634000003 53.514105977,6.86574934000004 53.5213209770001,6.90904134000004 53.528536977,6.93790250600006 53.499675553,6.94511734000002 53.441952977,6.97397934000003 53.377014977,6.99493434000004 53.342345977,7.02129134000006 53.3231779770001,7.07160934000007 53.3048079770001,7.10914734000005 53.296820977,7.15067934000007 53.2912299770001,7.17464034100004 53.2872369770001,7.20836334100005 53.242809977,7.21606699000006 53.254692839,7.21606722000007 53.2546925280001,7.20836324200008 53.2428091400001,7.20048224100003 53.240409066,7.13752306400005 53.2497460490001,7.13752154900004 53.2497466740001,7.09229050700003 53.256454553,6.94249950600005 53.3230545530001,6.93194040900005 53.3300923990001,6.90166324100005 53.35027316,6.86791850600002 53.4273905530001,6.86791844500004 53.4273905740001,6.86791816200002 53.427391222,6.77750022500004 53.459164167,6.75672334300003 53.4630576960001,6.74194550600004 53.4658275530001,6.72110950600006 53.4647185530001,6.69749950600004 53.461936553,6.56743687200003 53.4424775900001,6.45250014300007 53.425282167,6.36820931600005 53.4126315760001,6.29694550600004 53.401936553,6.24550435500004 53.405993896,6.19471806300004 53.4100001140001,6.19050808100008 53.41137582,6.18729050600007 53.412427553,6.17791850600003 53.4137455530001,6.09249950600002 53.410827553,6.03609784300005 53.404753113,5.98166332700004 53.3988910740001,5.92694602600005 53.3888467350001,5.89083650500004 53.382218553,5.79660250500007 53.355746266,5.59916322100003 53.3002821740001,5.57971821100006 53.2913821020001,5.46236318500007 53.2284641840001,5.45343057200006 53.221031284,5.44249950500006 53.211936553,5.41562750500003 53.1703455460001,5.41562720100006 53.1703450730001,5.41110918800007 53.140273151,5.40565484200005 53.1283046030001,5.40249950500004 53.1213815520001,5.38736350500005 53.0983275520001,5.36971850500004 53.0880545520001,5.32721850500008 53.0794365520001,5.31909325800007 53.0773177240001,5.30166332500005 53.072773182,5.25069112700004 53.0491642100001,5.22444504200007 53.0324910960001,5.19585442100004 53.0133310590001,5.18420950500007 53.005527552,5.18027250500006 53.003054552,5.13611288600003 52.9804718010001,5.09444507600006 52.959164195,5.01448574300002 52.9308787510001,4.93778150500003 52.903745552,4.91720276300003 52.900454692,4.89610912900002 52.8970821200001,4.87922278000002 52.8979834370001,4.86749950500007 52.898609552,4.83124550400004 52.910136552,4.81000558600005 52.9253002580001,4.80868219100006 52.926245108,4.80669264300008 52.942386819,4.80576350400003 52.9499275520001,4.79731346100004 52.9556410260001,4.78347328200005 52.9650001790001,4.73881819000007 52.9566642090001,4.65416331400007 52.7516641460001,4.63583611500007 52.680545039,4.63402713300007 52.643191087,4.62221820500002 52.5966641480001,4.59833615100007 52.5138821260001,4.58200920900003 52.4770822180001,4.58200976800003 52.4770821450001,4.58200950400004 52.4770815520001,4.66846350400004 52.465881552,4.68545581100005 52.4564282010001,4.71315414300005 52.4410180730001,4.76223088200004 52.4343439450001,4.82579050400005 52.425699552,4.87552750500004 52.4155995520001,4.89090901800006 52.4045017600001,4.91486330300006 52.3872181570001,4.95469408300005 52.3830070550001,5.02389050500005 52.375690552,5.02389105900005 52.3756912160001,5.02389124400003 52.375691196,5.04637318400006 52.4026271130001,5.07805409600007 52.4161090690001,5.07805441100004 52.416109512,5.07805450500007 52.4161095520001,5.07870132600004 52.417020402,5.09028228700004 52.4333270070001,5.08979110800004 52.510827089,5.06778224200002 52.5413821440001,5.05321493400004 52.5591592650001,5.04513650500007 52.569018552,5.02971850500006 52.624090552,5.04715374300002 52.6386306190001,5.05062716800006 52.6415271120001,5.07484412300005 52.642283654,5.10389050500004 52.6431905520001,5.13929950500005 52.6238815520001,5.16778150500005 52.6288815520001,5.19666350500006 52.6377725520001,5.23597250500006 52.6570815520001,5.23597278800003 52.6570820570001,5.23597317600007 52.6570822480001,5.25529985100007 52.691590648,5.27521522500007 52.697106455,5.30319117800002 52.704854067,5.29150617500005 52.7302284850001,5.28475450500002 52.7448905520001,5.28475422000002 52.744890608,5.28475400900004 52.744891066,5.22347324400005 52.7568000740001,5.19639114700004 52.755691148,5.12610922400006 52.822491228,5.12081822000005 52.8322198130001,5.09166350500004 52.8858275520001,5.09307607800002 52.896037817,5.10027318100003 52.948053982,5.19830909400002 52.9953180260001,5.21318235900003 53.004496558,5.26305450500007 53.035272552,5.29624550500006 53.049999552,5.32141586400007 53.05912218,5.33916328900006 53.0655540160001,5.36986318300006 53.07040915,5.40305832400003 53.038255258,5.40958150500006 53.031936552,5.41958150500005 52.9569365520001,5.40597250500002 52.9113185520001,5.37201552500005 52.8812754150001,5.37080011200004 52.8802001290001,5.37080013800005 52.8802001120001,5.37079950500004 52.8801995520001,5.39259873200007 52.8661841740001,5.41194503100007 52.8537449990001,5.58450913900003 52.8398181310001,5.64860907400004 52.855409142,5.68365147900005 52.8473527080001,5.71444550500007 52.840272552,5.71552099800005 52.839652404,5.71835359400006 52.8380182980001,5.69301036100006 52.8309453970001,5.66597319200002 52.823400162,5.66597255800002 52.8233995670001,5.66597250500007 52.8233995520001,5.61916350500007 52.779445552,5.61725501900003 52.776792035,5.59673615700007 52.7482642790001,5.60055411400003 52.6581911740001,5.60055449000004 52.6581909070001,5.60055450500005 52.6581905520001,5.67179950500002 52.607772552,5.75889050500007 52.606663552,5.82187091800006 52.606824756,5.85499941700004 52.6069091790001,5.85090463900002 52.589729979,5.84805411300005 52.577773183,5.87241812700006 52.523418049,5.87805411800002 52.509436029,5.85124520900007 52.4630542780001,5.84830882000006 52.460346325,5.81373608700005 52.4284641620001,5.77041807600006 52.4035911990001,5.74210440500002 52.394066003,5.73190950500003 52.390636552,5.69512750500007 52.3801185520001,5.68970373400003 52.3781901140001,5.67055407000004 52.371382227,5.62708216700003 52.3552732150001,5.58139123900003 52.32527321,5.58139097300005 52.3252728590001,5.58139050500006 52.3252725520001,5.57801250400007 52.320811672,5.56624514000004 52.3052731510001,5.54860934400006 52.2787454460001,5.54465187300002 52.276144521,5.52874517600003 52.2656911220001,5.46901119300003 52.256317112,5.42249950500008 52.2490185520001,5.40749950500003 52.2519365520001,5.39704006800002 52.2569561340001,5.37173603500003 52.26910021,5.34939344700007 52.2733470690001,5.33778150500007 52.2755545520001,5.33044550500006 52.2758275520001,5.29499950500002 52.2992365520001,5.27919775200007 52.3031748350001,5.24430009400004 52.3118732290001,5.12694506700007 52.330273183,5.05296576900002 52.3471711670001,4.99194550500005 52.3611095520001,4.95239950500007 52.373127552,4.90688150500006 52.3741545520001,4.90618605000003 52.3746942110001,4.88598228200004 52.390373106,4.84525411100003 52.4102001620001,4.76785119600004 52.4197222240001,4.70684550400006 52.427227552,4.65795450400003 52.4531275520001,4.62282750200006 52.4536928150001,4.57437329600003 52.454473207,4.57437285300006 52.454472546,4.57437250400005 52.454472552,4.55535954000004 52.426067936,4.55110915600005 52.4197181490001,4.54083612700003 52.3959732230001,4.53039301400003 52.3800565920001,4.51778150400003 52.3608365520001,4.49449050400005 52.327218552,4.46162045000005 52.280721241,4.44166329300003 52.252491133,4.42471810200004 52.2313821480001,4.40444512800002 52.2102731630001,4.37282914800005 52.1812412720001,4.36541850400005 52.174436552,4.31595144700003 52.135323806,4.14374514000002 51.999164202,4.12494776200003 51.990635802,4.11833650400007 51.987636551,4.08971850400008 51.9840275510001,4.05180950400006 51.985409551,4.01805450400008 51.979054551,4.01805466600007 51.9790541030001,4.01805414300003 51.9790540050001,4.06110913000003 51.8602732160001,4.02893865600004 51.843337788,4.02152750400006 51.8394365510001,4.00962476000007 51.8424128440001,3.99208214500004 51.846800145,3.94777621200006 51.8344276290001,3.86798150400006 51.8121455510001,3.87419050400007 51.7863725510001,3.95583650400005 51.801663551,3.98680950400006 51.8020815510001,4.02089950400006 51.792072551,4.05819050400004 51.7547185510001,4.05819121800005 51.7547180610001,4.12721850400004 51.7066635510001,4.16931850400005 51.6857725510001,4.20943603600006 51.674090687,4.20553602700005 51.6522821560001,4.17438216900007 51.6522821560001,4.14010018500005 51.6518912240001,4.11517324300007 51.647991124,4.11517313700006 51.6479906500001,4.11517250400004 51.6479905510001,4.11316240200006 51.639032613,4.11194503700006 51.6336091200001,4.13721815200006 51.6155539970001,4.15986320400003 51.614854108,4.18616327000007 51.6170449700001,4.20131808600007 51.6052360420001,4.20750912700004 51.5894820870001,4.19305403200002 51.5999911500001,4.18246752300007 51.6025148040001,4.16971850400006 51.6055545510001,4.12541642200006 51.608161372,4.07069115400003 51.611382156,4.04194508100005 51.6052732580001,4.01064184000006 51.594528509,3.99784550400005 51.5901365510001,3.99784583800005 51.5901363180001,3.99784503900003 51.590136043,4.08278221700004 51.5308270370001,4.13139417800005 51.525024317,4.20958150400003 51.515690551,4.22119217600005 51.5173856920001,4.22963617800002 51.518618125,4.26486330600005 51.5094449700001,4.28471819000004 51.4883271,4.29200910500003 51.469582147,4.28360926600004 51.4480545010001,4.27541246200002 51.446323367,4.26428227200006 51.4439732540001,4.24673609900003 51.4368731110001,4.14902708000005 51.435691095,4.13804331200004 51.4369245350001,4.12555450400004 51.438327551,4.11596636900003 51.4423061800001,4.10347328000006 51.447491138,4.08194524400005 51.4691640120001,4.06833650400006 51.4933275510001,4.05455978300006 51.5040842880001,4.04805414800006 51.5091641760001,4.00666330400003 51.525273188,3.97143724100005 51.5356067170001,3.92971850400005 51.5478455510001,3.88633650400004 51.543045551,3.87805087400005 51.5412728910001,3.86585403600003 51.5386641170001,3.82055556000006 51.5491637750001,3.83622896500003 51.5524809550001,3.84353604500006 51.5540271400001,3.85234079400004 51.5510459560001,3.86528150400005 51.5466635510001,3.87481909400003 51.5527942580001,3.89930922900004 51.5685360460001,3.89930904200003 51.568536254,3.89930950400003 51.5685365510001,3.87351213200003 51.597290296,3.87083607100004 51.600273117,3.83500025000006 51.6066641510001,3.75308287900003 51.6030262470001,3.69189950300006 51.6003095510001,3.64422930000006 51.5988697860001,3.57118219400007 51.5966642050001,3.54624261500004 51.5876528730001,3.51736350300007 51.577218551,3.48555450300006 51.563327551,3.47823983500007 51.559570745,3.45742719400005 51.5488821600001,3.44423609000006 51.529373112,3.44423661000008 51.529372709,3.44423650300007 51.5293725510001,3.53847250000007 51.456245547,3.53847315800004 51.45624503,3.57305404000005 51.4444449870001,3.82639119700002 51.389853987,3.86914935100003 51.394110949,3.90319050400007 51.3974995510001,3.90319090300005 51.3975000950001,3.90319122300002 51.3975001270001,3.91925291300004 51.4193770190001,3.92694517300004 51.429854101,4.05610915700004 51.4258271040001,4.12120966600003 51.416565264,4.20249950400006 51.4049995510001,4.23151671900007 51.3876266980001,4.25236320600004 51.3751450880001,4.25236369500004 51.3751451140001,4.26098150400003 51.3554365510001,4.28018150400004 51.344199551,4.28676350400002 51.3124455510001,4.32769950400007 51.290118551,4.30968150400003 51.2620275510001,4.30237250400006 51.2631815510001,4.30008150400005 51.2676545510001,4.31200950400006 51.286381551,4.28064550400006 51.301127551,4.26356350400005 51.317045551,4.25583650400006 51.3362365510001,4.23890016400003 51.350426998,4.23890019300006 51.3504270230001,4.23889956400006 51.3504275010001,4.23889950300003 51.3504275490001,4.21239950400008 51.3705545510001,3.96139050400006 51.3697185510001,3.90441932000005 51.3519832100001,3.86458216600005 51.339582181,3.76416327700002 51.3452731580001,3.73437315500007 51.350764143,3.63971816600002 51.3816641970001,3.57649851400004 51.401494681,3.55028150300006 51.409718551,3.54267225600006 51.4104104300001,3.52889113300006 51.4116642020001,3.46122623200006 51.397209736,3.40666350300006 51.385554551,3.37086350300007 51.3738545510001,3.36472256600007 51.3736105930001,3.36472200000003 51.373611,3.35388900000004 51.379444,3.29638900000003 51.45,3.21222200000005 51.484722,3.08138900000006 51.5516670000001,2.53944400000006 51.8700000000001,2.62666666700005 51.983333332,2.65013438500006 52.0080361940001,2.65833333300003 52.016666666,2.67447429700007 52.0423726450001,2.67461518100004 52.0425970160001,2.70333333300005 52.088333332,2.71500000000003 52.099999999,2.84000000000003 52.206666666,2.93333333300006 52.289999999,3.02433969800006 52.3822197820001,3.05833333300006 52.416666666,3.18333331200006 52.621666632,3.18333333300006 52.6216666660001,3.20500000000004 52.783333332,3.17500000000007 52.8833333320001,3.05666666700006 53.3016666660001,3.01666666700004 53.469999999,2.98833333300007 53.584999999,2.95666666700004 53.668333332,2.86666666700006 53.963333332,2.76333333300005 54.3799999990001,2.89833333300004 54.6216666660001,3.37027770200007 55.7649998160001,3.37027777800006 55.7649999990001,4.33333333300004 55.333333329,5.00000000000006 54.9999999990001,5.00000000000006 54.6199999990001,6.00000000000006 54.186666669,6.10783333300003 53.9991111090001,6.26425000000006 53.8146944390001,6.33286111100006 53.750833329,6.34713888900006 53.725222219,6.40396897100004 53.687273358,6.45447620300007 53.6511967660001,6.45447622700004 53.6511967530001,6.46311458000002 53.6468775760001,6.52662938900005 53.615120172,6.60599772400008 53.593474262,6.60599789800006 53.593474218),(5.18666327800003 53.349718136,5.20055410300006 53.3494450540001,5.20626342800006 53.3496985720001,5.21305450500006 53.349999553,5.31139050500008 53.3716635530001,5.35333650500007 53.3810995530001,5.56110950500005 53.4302725530001,5.56722861500003 53.4329803380001,5.57319122300004 53.4356180600001,5.57681260400005 53.4435894040001,5.57902750500006 53.4484635530001,5.57902696700006 53.448463637,5.57902720700002 53.4484641650001,5.56804433000002 53.4501735960001,5.55666350500007 53.451945553,5.53971850500005 53.4494365530001,5.43351986800008 53.4314543,5.22805412100007 53.3966641700001,5.21805400800002 53.3938822170001,5.18000016700006 53.3811001500001,5.17000022200006 53.3756911400001,5.17000021400003 53.3756909360001,5.16999950500002 53.375690553,5.16937250500007 53.359090553,5.18048477300005 53.353067525,5.18666327800003 53.349718136),(4.73860914500005 52.989718076,4.75360923100004 52.9886091500001,4.75764063600008 52.9892130060001,4.76471850400003 52.9902725520001,4.78749950400004 52.9988815520001,4.79594686100006 53.0028376170001,4.80471822100003 53.0069450670001,4.81856736500004 53.0152249050001,4.85860950500006 53.039163552,4.87313027600004 53.053458316,4.87666328200004 53.056936078,4.88205322500005 53.0624382180001,4.90333650500003 53.0841635520001,4.91055450500005 53.0945815520001,4.91221850500006 53.1419365520001,4.88865482700004 53.1760637400001,4.88354515900005 53.1834642600001,4.87260903100002 53.187093372,4.86889050500002 53.1883275530001,4.85652750500003 53.1836095530001,4.74333650400007 53.086109552,4.74333603700006 53.086109123,4.74294639800007 53.0857495590001,4.72166350400005 53.0661095520001,4.71389050400006 53.0561095520001,4.70770091500003 53.0409622710001,4.70736325400003 53.040136062,4.70833605800004 53.0205540920001,4.71583618500006 53.0038821520001,4.71583627700005 53.0038820570001,4.71583650400004 53.0038815520001,4.71809117000004 53.0015876250001,4.72416327000008 52.9954090530001,4.73860914500005 52.989718076),(3.69784280800008 51.682841506,3.71265450300007 51.6746725510001,3.76194550400004 51.674999551,3.82592240600007 51.6564117730001,3.90152708000005 51.6344451310001,3.93804348100002 51.6244016090001,3.97374550400002 51.6145815510001,3.99688500500002 51.6169568810001,4.01430910800002 51.6187449880001,4.06639123700006 51.6297180720001,4.09097318000005 51.6403449850001,4.09928904900005 51.6461753,4.10614550400004 51.650981551,4.10416350400004 51.661945551,4.06694550400005 51.6794455510001,4.02626038000005 51.6993350440001,4.00444511700005 51.7100001090001,3.99267588700008 51.716853465,3.96402750400006 51.733536551,3.92108155700004 51.738953845,3.88194511000006 51.7438911610001,3.82486317600006 51.7422912230001,3.81652978100004 51.7439270990001,3.81249950400007 51.7447185510001,3.79958395800003 51.7454005710001,3.78083605600006 51.7463911470001,3.74681599900003 51.7398469120001,3.71618150300003 51.7339545510001,3.68895450300005 51.7101365510001,3.68895453000005 51.710136408,3.68895413600006 51.7101360630001,3.69100738900005 51.6992793160001,3.69368150300005 51.685136551,3.69368217200002 51.6851361830001,3.69368220000007 51.6851360310001,3.69784280800008 51.682841506),(5.16229385600008 52.3390953480001,5.17284550500005 52.3359635520001,5.19063316000006 52.3382263280001,5.20236325300004 52.3397180790001,5.22592388200007 52.3360407770001,5.24860950500005 52.3324995520001,5.26284807900004 52.3293328930001,5.27860923500003 52.3258270860001,5.29191790800007 52.321849107,5.30555450500003 52.3177725520001,5.33055450500007 52.309163552,5.34170557400006 52.303006291,5.36374506400006 52.290835993,5.40097328700006 52.269435989,5.40896035800006 52.2674540630001,5.42221850500005 52.2641635520001,5.52992750500005 52.2832635520001,5.55944550500004 52.3240275520001,5.54555450500004 52.3467995520001,5.57020950500004 52.3661725520001,5.59584018900006 52.368350202,5.61194512000003 52.3697180840001,5.61569320200005 52.372464037,5.63166350500006 52.3841635520001,5.66179018000003 52.3957301770001,5.69389113200003 52.40805406,5.72083610100003 52.413054033,5.73727883800007 52.413414474,5.75902750500006 52.4138905520001,5.78222419700006 52.422704287,5.79173610600003 52.426318059,5.83110909000004 52.463336064,5.83110949700006 52.4633365450001,5.85152750500004 52.487499552,5.85522242400003 52.5049871670001,5.86070022600006 52.5309091240001,5.83437317100004 52.5652732500001,5.72051253900003 52.586662442,5.64360950500003 52.6011095520001,5.57333650500004 52.588336552,5.54445430600003 52.5763768200001,5.47805410700005 52.548882103,5.45553199400007 52.523299948,5.45489950500007 52.5225815520001,5.45330514100004 52.516700707,5.45134517300005 52.509473244,5.43088501800003 52.500830636,5.41309950500005 52.4933185520001,5.38194550500003 52.4844455520001,5.34782811100007 52.4713728340001,5.29639110800002 52.451664264,5.23187787200004 52.426127647,5.20305450500007 52.4147185520001,5.19872320600007 52.412423878,5.17465402200003 52.3996731620001,5.14627044300005 52.3861092270001,5.13666350500006 52.381518552,5.13666358400008 52.381518305,5.13666321300008 52.381518128,5.14895410100007 52.343054077,5.16229385600008 52.3390953480001),(5.48354550500005 52.5727725520001,5.45291850500007 52.6113815520001,5.42333650500007 52.636381552,5.38028150500003 52.6672185520001,5.32999950500005 52.6827815520001,5.29929950500002 52.690827552,5.25741850500003 52.674572552,5.23273650500005 52.646918552,5.20107250500007 52.633190552,5.15506350500004 52.6185455520001,5.13134550500007 52.6194455520001,5.10700950500006 52.6350455520001,5.04903650500006 52.636790552,5.03379050500007 52.6159545520001,5.04694550500005 52.5693905520001,5.07162750500004 52.547045552,5.10235450500005 52.501409552,5.10743650500007 52.488536552,5.13736350500005 52.4613905520001,5.09799050500004 52.4350095520001,5.09333650500002 52.436099552,5.08312750500005 52.415245552,5.05493650500006 52.3943905520001,5.13401850500003 52.3831365520001,5.15776350500005 52.392918552,5.17827250500005 52.4065635520001,5.30444550500005 52.457645552,5.37776350500008 52.4885185520001,5.41806350500002 52.4983815520001,5.44343650500002 52.5107185520001,5.44774550500006 52.5382545520001,5.46454550500005 52.5602095520001,5.48354550500005 52.5727725520001)))', 'Dutch Exclusive Economic Zone', 'Netherlands', 'Netherlands', '', '177', '177', 'NLD', '5668', '', '63727658620', '5668', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7356905130001 45.694299546,13.798054103 45.607491113,13.745016 45.6000483220001,13.716945106 45.596109158,13.7072504610001 45.6010372970001,13.705299855 45.6019126310001,13.69910851 45.605448531,13.606602411 45.6472783520001,13.6053281850001 45.646534897,13.6026088570001 45.6449111810001,13.581249916 45.6325342120001,13.5787806860001 45.6321187070001,13.5687827780001 45.628785022,13.5661420610001 45.627977732,13.5522162180001 45.623635559,13.5486845720001 45.622500803,13.5350542510001 45.6198897640001,13.519830874 45.6152558000001,13.4833410050001 45.5994202190001,13.4640876770001 45.590854676,13.4639494420001 45.5907935590001,13.463930722 45.5907852820001,13.4517505850001 45.588082829,13.4244999920001 45.582253775,13.418516378 45.580815999,13.386099814 45.569848918,13.372198923 45.565045409,13.3651110490001 45.5628176880001,13.344713422 45.5565236640001,13.3255447830001 45.5486312,13.278763075 45.5307265970001,13.265752933 45.5255073660001,13.2579090630001 45.5149544350001,13.235829225 45.4859670970001,13.201944444 45.4505555550001,13.203118648 45.4447853140001,13.1900000000001 45.4316666670001,13.1016666670001 45.335,13.0633333330001 45.28,13.02 45.205,13.019843817 45.204732258,13.0083333330001 45.1850000000001,13.078333333 44.9750000000001,13.1066666670001 44.768333333,13.1133333330001 44.7383333330001,13.1133632090001 44.7380047030001,13.123986942 44.621143643,13.135 44.5000000000001,13.1833333330001 44.4766666670001,13.1950000000001 44.465,13.471666667 44.2966666670001,13.631666667 44.208333333,13.6666666670001 44.1800000000001,14.015 44.0083333330001,14.083333333 43.958333333,14.1716666670001 43.9,14.3566666670001 43.716666667,14.391666667 43.6716666670001,14.408333333 43.64,14.4085579310001 43.6385814860001,14.4400000000001 43.4400000000001,14.506666667 43.526666667,14.533333333 43.4950000000001,14.581666667 43.4200000000001,14.766666667 43.216666667,14.790024805 43.1871616500001,14.7983333330001 43.1766666670001,14.908333333 43.0633333330001,14.965 43.013333333,14.989905489 42.999101625,15.011666667 42.9866666670001,15.0740717900001 42.906532816,15.158333333 42.7983333330001,15.3633333330001 42.6133333330001,15.553152169 42.5530864850001,15.734130212 42.495645628,15.7466666670001 42.4916666670001,15.9720669050001 42.433484961,15.97148251 42.43182116,15.97041627 42.4274277100001,15.969202701 42.425324652,15.9698523060001 42.4251595100001,15.969517237 42.422481111,15.969134592 42.419422405,15.968729814 42.4161867720001,15.9684577520001 42.41401202,15.968429556 42.413786637,15.967910556 42.400505637,15.967964857 42.3994047900001,15.968565556 42.387226637,15.9688926740001 42.384857405,15.970390556 42.374008637,15.9733765560001 42.360907637,15.977509556 42.347978637,15.9782772830001 42.346125558,15.9824694820001 42.33600676,15.982771556 42.335277637,15.9891405560001 42.322858637,15.9965865560001 42.3107756370001,15.999254556 42.3068986370001,16.0002375560001 42.3055086370001,16.0060615560001 42.2976886370001,16.0151090210001 42.2869651870001,16.0155625560001 42.286427637,16.0260315560001 42.2756516370001,16.0271161850001 42.2746762130001,16.037423556 42.2654066370001,16.049689556 42.255735637,16.055543556 42.251684637,16.0610195560001 42.247365637,16.0741035560001 42.238308637,16.0775600700001 42.2362112690001,16.0879535560001 42.2299046370001,16.098849891 42.22412934,16.102509556 42.222189637,16.1177105560001 42.2151976370001,16.133490556 42.208956637,16.149782556 42.2034946370001,16.1642800550001 42.1994570630001,16.166518556 42.1988336370001,16.172573556 42.197474637,16.1833146170001 42.1944804660001,16.1855345560001 42.1938616370001,16.2026395560001 42.190019637,16.2200445560001 42.1870146370001,16.2376745560001 42.184860637,16.2482495560001 42.1840906370001,16.251938556 42.183059637,16.2596793070001 42.181315727,16.2690365560001 42.179207637,16.281514572 42.17704525,16.2864345560001 42.176192637,16.304059556 42.1740276370001,16.3218365560001 42.1727216370001,16.3268925560001 42.172596637,16.3311505560001 42.1723156370001,16.3490035560001 42.171873637,16.3668575560001 42.172297637,16.3729992570001 42.1727432640001,16.384636557 42.173587637,16.402264557 42.1757366370001,16.419667557 42.178735637,16.4291697150001 42.180867289,16.436771557 42.1825726370001,16.453504557 42.187231637,16.4697935570001 42.1926906370001,16.4855715570001 42.198929637,16.5007705570001 42.2059196370001,16.515325557 42.213631637,16.529173557 42.222033637,16.5395341 42.2292046160001,16.542257557 42.231089637,16.554519557 42.2407606370001,16.5659085570001 42.2510046370001,16.571437557 42.2565126370001,16.5829823650001 42.2694524670001,16.590133683 42.2786387990001,16.6169444440001 42.266666666,16.618150949 42.266098652,16.619266291 42.2662404430001,16.623895009 42.2641258,16.6609567510001 42.2471940390001,16.708691092 42.225386472,16.751514398 42.2058225260001,16.782293972 42.191760791,16.946666667 42.1166666670001,17.121103557 42.035908847,17.216666667 41.9916666670001,17.3116666670001 41.913333333,17.6166666670001 41.836666667,17.6254985260001 41.832173938,17.997245842 41.6430676950001,18.020445856 41.622009092,18.216666667 41.4999999990001,18.461944444 41.277499999,18.5427777780001 41.1936111100001,18.576944444 41.1336111100001,18.595 41.1080555550001,18.658611111 40.917499999,18.659444444 40.8849999990001,18.6711111110001 40.847222221,18.711111111 40.7330555550001,18.7397222220001 40.6694444440001,18.7452777780001 40.64611111,18.7597222220001 40.593888888,18.7958333330001 40.5122222210001,18.8513888890001 40.3880555550001,18.8597222220001 40.358333332,18.8800000000001 40.3138888880001,18.951388889 40.2036111100001,18.977222222 40.1319444440001,18.986794151 40.080423554,18.958333333 39.961666666,18.9350000000001 39.8733333320001,18.9150000000001 39.8166666660001,18.9266666670001 39.288333332,18.9 39.033333332,18.7316666670001 38.4999999990001,18.4766666670001 37.8666666660001,18.283333333 37.354999999,18.3183333330001 36.9916666660001,18.3200000000001 36.906666666,18.3100000000001 36.7499999990001,18.3000000000001 36.4416666660001,18.2950000000001 36.401666666,18.261666667 36.1833333320001,18.261666667 36.149999999,18.345 35.5699999990001,18.357739499 35.021064676,18.284758154 34.9575669110001,18.224331965 34.905985442,18.205646088 34.8901441880001,18.1759342020001 34.8649817840001,18.166051827 34.8566222920001,18.1601112500001 34.851642644,18.073737577 34.780146593,18.057794556 34.7668052830001,17.8212041950001 34.881098437,17.6736701250001 34.95236987,17.217498144 35.1671773200001,17.2174975940001 35.1671775790001,16.3034252520001 35.59760636,15.7493630910001 35.855442881,15.525269859 35.9587468760001,15.2869863380001 36.0601599300001,15.1845728230001 36.1040647020001,15.079958236 36.1494084510001,15.025804883 36.172783204,14.889609454 36.2319575390001,14.7992743360001 36.2719689260001,14.6231204040001 36.350484355,14.5253217270001 36.380569898,14.522724522 36.3815371520001,14.500979756 36.3895695210001,14.472461288 36.4001771590001,14.466138127 36.40265835,14.419803748 36.423093153,14.338821141 36.441164911,14.3112809690001 36.4474301400001,14.2716972590001 36.4567078250001,14.2378968960001 36.4645605960001,14.234996826 36.46524507,14.232496815 36.4658387430001,14.2296315880001 36.4665280470001,14.2291470970001 36.4666436950001,14.227097212 36.4671392050001,14.225397319 36.467551332,14.2236974260001 36.4679674990001,14.1335923620001 36.490052285,14.096853149 36.499219463,14.0749129720001 36.5049532720001,14.0010256420001 36.521378301,14.0006558750001 36.5214660820001,13.87319059 36.551343866,13.747095765 36.5310739870001,13.699784107 36.522583395,13.656032307 36.5143272660001,13.427024191 36.4690558120001,13.412759147 36.465253686,13.449657873 36.309193926,13.461492806 36.2585780320001,13.504239061 36.0756254410001,13.5059038260001 36.0685440500001,13.5142821540001 36.0324353300001,13.515278525 36.0282356060001,13.5303458400001 35.952416815,13.5506779180001 35.8543276510001,13.5538242650001 35.8396075060001,13.5946966230001 35.6459642070001,13.6166595880001 35.5412509330001,13.6176774570001 35.505524398,13.6168072130001 35.4928472070001,13.644508902 35.325951171,13.6511957500001 35.285918059,13.6612699180001 35.2251934380001,13.6016666670001 35.2499999990001,13.5801324340001 35.2707451700001,13.1847222220001 35.651666666,13.0743145120001 35.729025914,13.067759553 35.722288631,13.067731553 35.722261631,13.0671175530001 35.721671631,13.056187553 35.7118706310001,13.044498553 35.702672631,13.032099553 35.694116631,13.0190435530001 35.686239631,13.016721553 35.6849476310001,13.0166395530001 35.6849016310001,13.005304553 35.6790286310001,12.9911065530001 35.6726056310001,12.9764255530001 35.6669526310001,12.9613255530001 35.6620926310001,12.9458705530001 35.658047631,12.930125553 35.654833631,12.9141585530001 35.652464631,12.8980365530001 35.6509506310001,12.881828553 35.6502976310001,12.865602553 35.650509631,12.8633565530001 35.6506076310001,12.8512495530001 35.650845631,12.849482553 35.6509206310001,12.844258553 35.6510816310001,12.8280835530001 35.652153631,12.8130665530001 35.6539596310001,12.8147915530001 35.652508631,12.825301553 35.6424176310001,12.834977553 35.6317866310001,12.8437785530001 35.6206606310001,12.851666553 35.6090876310001,12.8586075530001 35.5971186310001,12.8645735530001 35.5848036310001,12.8657715530001 35.5820096310001,12.8661275530001 35.5811586310001,12.869895553 35.571344631,12.873839553 35.5584986310001,12.876744553 35.5454696310001,12.8786005530001 35.5323136310001,12.879398553 35.5190866310001,12.879338553 35.516056631,12.8800835530001 35.503712631,12.880097553 35.4978056310001,12.880145553 35.495948631,12.8798835530001 35.482707631,12.878563553 35.4695096310001,12.8761915530001 35.456410631,12.872778553 35.443466631,12.8683395530001 35.4307336310001,12.862894553 35.4182646310001,12.856465553 35.406114631,12.8490835530001 35.394334631,12.8407785530001 35.382974631,12.831585553 35.3720826310001,12.8215465530001 35.3617066310001,12.8107025530001 35.3518896310001,12.7991015530001 35.342673631,12.7867925530001 35.3340976310001,12.773827553 35.3261986310001,12.7665205530001 35.322198631,12.7658495530001 35.321845631,12.7595925530001 35.3186566310001,12.745486553 35.312208631,12.730898553 35.306529631,12.7158905530001 35.3016416310001,12.700527553 35.297567631,12.684873553 35.2943236310001,12.6689955530001 35.291923631,12.6529605530001 35.2903776310001,12.6368385530001 35.289692631,12.627260553 35.289694631,12.626637553 35.289650631,12.610514553 35.2889616310001,12.594372553 35.2891356310001,12.5782785530001 35.2901736310001,12.5623015530001 35.2920696310001,12.546508553 35.2948156310001,12.530966553 35.2984006310001,12.5211625530001 35.301239631,12.5188195530001 35.301779631,12.503594553 35.3061866310001,12.488751553 35.311397631,12.4781425530001 35.3158146310001,12.473016553 35.317272631,12.4704645530001 35.3177146310001,12.454915553 35.3212876310001,12.446714553 35.3235416310001,12.4433795530001 35.324524631,12.4387365530001 35.325825631,12.4294615530001 35.3286106310001,12.4285445530001 35.328931631,12.427983553 35.329093631,12.413130553 35.334293631,12.398723553 35.340277631,12.385769553 35.3465256310001,12.3835145530001 35.347690631,12.3825665530001 35.348182631,12.369229553 35.3556516310001,12.3565145530001 35.3638176310001,12.3444755530001 35.3726466310001,12.3331645530001 35.3820996310001,12.3226295530001 35.392137631,12.312916553 35.402717631,12.304065553 35.413794631,12.296116553 35.425320631,12.2891025530001 35.437247631,12.2830545530001 35.449523631,12.277998553 35.4620976310001,12.2739565530001 35.474914631,12.270947553 35.4879206310001,12.2689825530001 35.501059631,12.268073553 35.514276631,12.268221553 35.527513631,12.268222553 35.5275226310001,12.268469553 35.531432631,12.2685335530001 35.532283631,12.2694935530001 35.541565631,12.271756553 35.5546746310001,12.2750635530001 35.567634631,12.2794025530001 35.5803896310001,12.284754553 35.5928856310001,12.291097553 35.605069631,12.2984055530001 35.6168876310001,12.3066465530001 35.628290631,12.3157865530001 35.639227631,12.3257855530001 35.649653631,12.3289395530001 35.652668631,12.332172553 35.655887631,12.3429905530001 35.665755631,12.3545785530001 35.675024631,12.366888553 35.683653631,12.3798665530001 35.6916066310001,12.3818195530001 35.6927126310001,12.383048553 35.693400631,12.394685553 35.6995366310001,12.408830553 35.7060356310001,12.4234685530001 35.7117646310001,12.4385375530001 35.716698631,12.453970553 35.720816631,12.458746553 35.721812631,12.4600365530001 35.722129631,12.4757695530001 35.725411631,12.4917345530001 35.727846631,12.5078605530001 35.729421631,12.524079553 35.7301306310001,12.5339985530001 35.7301366310001,12.5455675530001 35.7299336310001,12.5617615530001 35.728904631,12.5778365530001 35.727012631,12.5810945530001 35.726520631,12.5856265530001 35.7258116310001,12.5953095530001 35.7261276310001,12.597179553 35.726158631,12.597277553 35.726159631,12.6082095530001 35.7261406310001,12.6109055530001 35.726087631,12.6162145530001 35.725936631,12.6324065530001 35.724896631,12.6484795530001 35.7229936310001,12.664365553 35.720235631,12.669811553 35.7190726310001,12.668619553 35.7201166310001,12.6580765530001 35.730191631,12.648361553 35.7408066310001,12.639515553 35.751915631,12.637914553 35.7541106310001,12.6360825530001 35.7565426310001,12.628143553 35.768099631,12.6211465530001 35.780054631,12.6209665530001 35.780389631,12.6181785530001 35.785395631,12.612152553 35.7976976310001,12.6071245530001 35.810293631,12.6031165530001 35.823130631,12.6001475530001 35.8361546310001,12.5982295530001 35.849307631,12.5973715530001 35.8625356310001,12.597342553 35.8639336310001,12.5972825530001 35.8676936310001,12.597516553 35.8795416310001,12.598787553 35.8927486310001,12.6011175530001 35.9058586310001,12.604496553 35.918817631,12.608912553 35.9315696310001,12.614345553 35.9440586310001,12.620773553 35.956231631,12.6281695530001 35.9680376310001,12.6365015530001 35.979423631,12.6457355530001 35.990342631,12.655829553 36.000745631,12.6667435530001 36.0105906310001,12.6784295530001 36.019832631,12.6908375530001 36.028432631,12.7039135530001 36.0363536310001,12.710674571 36.039912982,12.6336111110001 36.1352777770001,12.534444444 36.2505555550001,12.5005555560001 36.351944443,12.4844444440001 36.3833333320001,12.3505555560001 36.5833333320001,12.267306654 36.6951671420001,12.2673039090001 36.6951708290001,12.266851553 36.693890632,12.261431553 36.681373632,12.259422553 36.6775576320001,12.2593245530001 36.6773306320001,12.2529025530001 36.6651256320001,12.245505553 36.6532846320001,12.2371655530001 36.641858632,12.2279185530001 36.630896632,12.2178045530001 36.620443632,12.2068675530001 36.610545632,12.2039755530001 36.608135632,12.2000665530001 36.6047446320001,12.1956525530001 36.601239632,12.1925915530001 36.5984676320001,12.1808815530001 36.5891656320001,12.168445553 36.5804996320001,12.155336553 36.5725076320001,12.143634553 36.566231632,12.133910553 36.5611776320001,12.119627553 36.5546286320001,12.1048465530001 36.5488466320001,12.0896305530001 36.543853632,12.074044552 36.5396736320001,12.0581545520001 36.5363216320001,12.042028552 36.533813632,12.0257355520001 36.5321596320001,12.0093435520001 36.5313666320001,11.992922552 36.5314386320001,11.9765425520001 36.532374632,11.974550552 36.532547632,11.9651575520001 36.5331886320001,11.964551552 36.5332406320001,11.960188552 36.5335736320001,11.9439175520001 36.535366632,11.9278265520001 36.5380126320001,11.911983552 36.5414996320001,11.9060255520001 36.543046632,11.9016365520001 36.544101632,11.8861065520001 36.5484136320001,11.8709565520001 36.553533632,11.8562525520001 36.5594396320001,11.842056552 36.5661076320001,11.828428552 36.573508632,11.8154265520001 36.581609632,11.803106552 36.5903796320001,11.796169552 36.5960066320001,11.793940552 36.597592632,11.7823525520001 36.6069896320001,11.7715485520001 36.616977632,11.7615755520001 36.627512632,11.752474552 36.638549632,11.7518725520001 36.6393946320001,11.7510895520001 36.6401186320001,11.7411085520001 36.6506516320001,11.732002552 36.6616876320001,11.723807552 36.673178632,11.719739552 36.679859632,11.7156025520001 36.6842196320001,11.7064875520001 36.6952526320001,11.6982845520001 36.706742632,11.691030552 36.7186386320001,11.6847555520001 36.7308916320001,11.6794875520001 36.743448632,11.675249552 36.756255632,11.6720595520001 36.7692586320001,11.669932552 36.7824006320001,11.669368552 36.787843632,11.669351552 36.787979632,11.6682975520001 36.8012066320001,11.6683205520001 36.8144606320001,11.6684105520001 36.8163366320001,11.668536552 36.825823632,11.669637552 36.8390486320001,11.6718135520001 36.852187632,11.672592552 36.855747632,11.6733615520001 36.8597016320001,11.6766035520001 36.872698632,11.680897552 36.8854966320001,11.6862255520001 36.8980426320001,11.6925655520001 36.9102816320001,11.6998915520001 36.922160632,11.7052925520001 36.9298336320001,11.7057815520001 36.9305691320001,11.714064552 36.9420376320001,11.723266552 36.9530466320001,11.7333485520001 36.963547632,11.7442675520001 36.973496632,11.755978552 36.9828496320001,11.768428552 36.9915676320001,11.7815665520001 36.999611632,11.795335552 37.006948632,11.809675552 37.013544632,11.8245255520001 37.0193736320001,11.828721552 37.020755632,11.8319785520001 37.022032632,11.847275552 37.0270676320001,11.862953552 37.031286632,11.8703615520001 37.0329666320001,11.8848685520001 37.035999632,11.9011015520001 37.038536632,11.9175085520001 37.0402146320001,11.9192705520001 37.040342632,11.924863552 37.040815632,11.9413725520001 37.041626632,11.957913552 37.0415666320001,11.974413552 37.040638632,11.9908015520001 37.0388436320001,12.0070075520001 37.0361916320001,12.0157703080001 37.0342696810001,12.0025000000001 37.0522222210001,11.9355555560001 37.1344444430001,11.8686111110001 37.233888888,11.8005555560001 37.334999999,11.7513888890001 37.3677777770001,11.7 37.401388888,11.15 37.6838888880001,11.1675000000001 37.784444443,10.8686111110001 38.0513888880001,10.6852777780001 38.401666666,9.90055555600003 38.234722221,9.66777777800007 38.218055555,9.55222222200007 38.2499999990001,8.80222222200007 38.216944443,8.53472222200003 38.1680555550001,8.36750000000006 38.1188888880001,8.15166666700003 38.0691666660001,7.81666666700005 38.0016666660001,7.39270581500006 38.150596023,6.84837656400003 38.3763733820001,6.82182937300007 38.3841502500001,6.45525072700002 38.5721241050001,6.05555555600006 38.797222219,6.08555555600003 38.916666666,6.21666666700003 39.335555555,6.30000000000007 39.6180555550001,6.30000000000007 40.0186111100001,6.18583333300006 40.351388888,6.16694444400002 40.4508333320001,6.13583333300005 40.5186111100001,6.11888888900006 40.585277777,5.95166666700004 41.101388888,5.93500000000006 41.150833332,6.31288005000005 41.4831111880001,6.43806549500005 41.557183824,6.68121220200004 41.685752924,6.81023632400007 41.7533418450001,6.92746718200004 41.818351308,7.73685345200005 41.6436130120001,7.86691527700003 41.615091755,7.96223385400003 41.584185866,8.25943192100004 41.4953226210001,8.30717536100008 41.4810671770001,8.60806452600002 41.3007160240001,8.61727243200005 41.291248384,8.81366666700006 41.2586666660001,9.13586111100005 41.3191666660001,9.27083333300004 41.292833332,9.31750000000005 41.337166666,9.45100000000002 41.407499999,9.63166666700005 41.4346666660001,9.70858641500007 41.4479488630001,10.1481991370001 41.5461569930001,10.3321850720001 41.57263268,10.343209094 41.573941802,10.348334816 41.57455049,10.357839616 41.5756736660001,10.37585606 41.5778026560001,10.207328348 41.7214531500001,10.2016054320001 41.7265573930001,10.1796499500001 41.746981831,10.1430111510001 41.7801339060001,10.1418802040001 41.782343439,10.1234053750001 41.8185635880001,10.1011410400001 41.862218829,10.0783291020001 41.898732727,10.0618663280001 41.9252548170001,10.043833115 41.9527548030001,10.019970401 41.986762836,9.99513992200002 42.018947616,9.99108861900004 42.023827069,9.97431624900003 42.044246791,9.95456577000004 42.0666644930001,9.95385829600002 42.0674809010001,9.92241988200004 42.105054658,9.92119472900004 42.106528714,9.92087340400008 42.106921954,9.91228657200003 42.117604138,9.89183977000005 42.1441649070001,9.87880361000003 42.161137932,9.86833577400006 42.175470885,9.84544570000003 42.4599015950001,9.80772505400006 42.557506823,9.77996204500005 42.7851634950001,9.70499555800006 42.8695001070001,9.63667279300006 43.0434126010001,9.62889963500004 43.1700790020001,9.47339888100004 43.3260475380001,9.46036853900006 43.3468386650001,9.01102233500006 43.6319047380001,8.99351659000007 43.6304893610001,8.92649205200007 43.583940124,8.82959880600004 43.52049994,8.70422371400002 43.4397097620001,8.50940305000006 43.2935930670001,8.45542070900007 43.2523066200001,8.45494644100006 43.2519467070001,8.45412286400006 43.2516636220001,8.44302024900003 43.2486778860001,8.43401916700003 43.246090301,8.40783752600004 43.2377368260001,8.25688502200006 43.1890135100001,8.24185752100004 43.1841575940001,8.23403135600006 43.1816023150001,8.22445457600003 43.1782517130001,8.19264326100006 43.1659707480001,8.18858506700008 43.1644049380001,8.14383037200002 43.1474973570001,8.06864176700003 43.1188894090001,7.90883673900004 43.045024147,7.84230177500007 43.1273455990001,7.84116443600004 43.1287690950001,7.70458098300003 43.3708347950001,7.67057521400005 43.434778152,7.61052619800006 43.6532269040001,7.57056196900004 43.703126522,7.53734539100003 43.7450154520001,7.53364357200007 43.7601163200001,7.53170210800005 43.7737065630001,7.53170250800002 43.7737065680001,7.53170252200005 43.7737070760001,7.53193605400003 43.7820450290001,7.58020911000006 43.7912450060001,7.59526575900003 43.7901928000001,7.61389050700006 43.788890544,7.66548150700004 43.7795725440001,7.69591975900005 43.7864858240001,7.73889111100004 43.7962449790001,7.76374259000005 43.810197938,7.77278150700005 43.815272544,7.91389050700008 43.8399995440001,7.94889050700004 43.8463815440001,7.98448328100005 43.860354187,8.06778224000004 43.893053949,8.16465407500004 43.9587451040001,8.16465403400002 43.9587452230001,8.16465450800007 43.9587455440001,8.15631850800003 43.9827725440001,8.19199735100005 44.0365994150001,8.23430014700006 44.100418044,8.27402718300004 44.1408270310001,8.29000533600004 44.1482112240001,8.30139050800005 44.1534725440001,8.31772135800003 44.1561938230001,8.33221821000006 44.1586090710001,8.35478110700006 44.165740441,8.39923650800006 44.1797905440001,8.44391844500007 44.267909419,8.49527321700003 44.322627159,8.64000018700006 44.3883270310001,8.74721814000003 44.4280540670001,8.81555412000006 44.42555408,9.23110910000003 44.3469360190001,9.33652712300005 44.309718022,9.35160199400002 44.299551325,9.37277250900007 44.2852725440001,9.54047199500008 44.2012619860001,9.66110911600003 44.1408270310001,9.71500022700008 44.1147180730001,9.80526225500006 44.094275096,9.98360950900008 44.053881544,10.0273365090001 44.044172544,10.0401828770001 44.0397618860001,10.0597180660001 44.033054029,10.0908271650001 44.01860916,10.1117996940001 44.0037453830001,10.1190733780001 43.997398463,10.1794451710001 43.9447181570001,10.192556328 43.930347828,10.2156905100001 43.904990544,10.227813558 43.8896779340001,10.2362451380001 43.879027002,10.2522181960001 43.843327135,10.2585718290001 43.823695909,10.2674995100001 43.796109544,10.2717884520001 43.7621391120001,10.2741631920001 43.7433270070001,10.2769451460001 43.7144360950001,10.276663346 43.693745032,10.287609106 43.59130007,10.2951360550001 43.5425641640001,10.3245090940001 43.475127059,10.357500095 43.458609175,10.35770985 43.45847603,10.3776361110001 43.445827111,10.411989202 43.409468249,10.4227815100001 43.3980455430001,10.5183360820001 43.2575001650001,10.5220414610001 43.2469879660001,10.5302815100001 43.2236095430001,10.5343983240001 43.201719718,10.538327086 43.1808270380001,10.5426360540001 43.1501360290001,10.5408361250001 43.123327015,10.533327113 43.0527731830001,10.5345347200001 43.0507025590001,10.5888905100001 42.957499543,10.65080555 42.950093344,10.680691197 42.946518143,10.692008124 42.9426303870001,10.7326365100001 42.9286725430001,10.750081918 42.9165038580001,10.775136135 42.899027118,10.7689541460001 42.839164236,10.7689545490001 42.839163924,10.7689545100001 42.839163543,10.86249951 42.766936543,10.8624995770001 42.766936523,10.8625002090001 42.7669360350001,10.87338085 42.763687405,10.88944551 42.7588905430001,10.9036662400001 42.7537459690001,10.9255540820001 42.7458270500001,10.9656911610001 42.7244449820001,10.988976861 42.70570237,11.08027251 42.6322185430001,11.158054513 42.5549905450001,11.1871541130001 42.5125001230001,11.185757344 42.5006698540001,11.18389051 42.4848635430001,11.171968415 42.4605402620001,11.1646542550001 42.4456184920001,11.13305451 42.4394365420001,11.10992751 42.4424275420001,11.099227673 42.437296298,11.084582255 42.430273205,11.084582353 42.430272947,11.08458151 42.4302725420001,11.093195479 42.407638579,11.0974271860001 42.3965181070001,11.1797181970001 42.3651270410001,11.2018001540001 42.39082713,11.20597307 42.411799667,11.23166351 42.417499542,11.25047392 42.4181828860001,11.2622180860001 42.418609116,11.3727732090001 42.4046450330001,11.3997677670001 42.3941723620001,11.4513185110001 42.3741725420001,11.4974995110001 42.357499542,11.534163511 42.342772542,11.627709511 42.298263542,11.7038905110001 42.2244455420001,11.713233438 42.206234511,11.725554104 42.182218155,11.7393540690001 42.1495449940001,11.7691759000001 42.107726547,11.8049995110001 42.057490542,11.830763511 42.030272542,11.8486960660001 42.030749717,11.8622181860001 42.0311090370001,11.8740755860001 42.0345364390001,11.885272511 42.037772542,11.912499511 42.035972542,11.9788789020001 42.0053308230001,12.021109231 41.9858360310001,12.1233360960001 41.9230540670001,12.1380818870001 41.9100562350001,12.1584725110001 41.892081542,12.177781511 41.868054542,12.2070815110001 41.8169365420001,12.2112062420001 41.8033294050001,12.215836097 41.7880539610001,12.351390512 41.694445543,12.3513912510001 41.6944450300001,12.4470815120001 41.6276365420001,12.4507238310001 41.6246455150001,12.471945149 41.607218087,12.489433739 41.5921653940001,12.517772512 41.5677725420001,12.556377781 41.5277001430001,12.5761092400001 41.5072181260001,12.6561091410001 41.4578359760001,12.75025714 41.435192165,12.8549995120001 41.409999542,12.8763282580001 41.40172168,12.8922181340001 41.395554077,12.9130540370001 41.383609027,12.927230154 41.3737507980001,12.9322185120001 41.3702815410001,12.9359090180001 41.3670587330001,12.9519450620001 41.3530539720001,12.965088021 41.3405589920001,12.9799995120001 41.326381541,12.9945373680001 41.310097587,13.005418084 41.2979090950001,13.020291792 41.274658769,13.0295815120001 41.2601365410001,13.0295820200001 41.2601364430001,13.0295822730001 41.260136049,13.1168092190001 41.243327148,13.123232248 41.2467025890001,13.1469455120001 41.2591635410001,13.1699995120001 41.268881541,13.2111095120001 41.2824905410001,13.2489977720001 41.289861848,13.276109133 41.2951360270001,13.5668002420001 41.238054092,13.5912816360001 41.247261415,13.614445513 41.2559725410001,13.632692618 41.258272617,13.6441631970001 41.259718127,13.7122182160001 41.2511090740001,13.737654107 41.234745085,13.7758361900001 41.211109123,13.798054101 41.193327083,13.8269413570001 41.1632133530001,13.837218513 41.1524995410001,13.8999995130001 41.0780455410001,13.934033528 41.034257531,13.989163338 40.963327157,14.002299485 40.9433042410001,14.0177725130001 40.9197185410001,14.0222967460001 40.912102014,14.0287450320001 40.9012450820001,14.046809207 40.862218102,14.065484027 40.8344408830001,14.073890513 40.8219365410001,14.0738908170001 40.8219364920001,14.073891136 40.821936017,14.1669451810001 40.8069360980001,14.183925742 40.8108292200001,14.2160365130001 40.818190541,14.268890513 40.8401995410001,14.29289383 40.8324201360001,14.311945066 40.8262449860001,14.452772515 40.747918537,14.470544079 40.7171315260001,14.474545103 40.71020005,14.4358189540001 40.6767643860001,14.3909725130001 40.6380455410001,14.362981513 40.627354541,14.362982242 40.6273540290001,14.3629821390001 40.6273539900001,14.37337338 40.6200588450001,14.401945513 40.599999541,14.4678775730001 40.6126498890001,14.504718111 40.619718076,14.6251360520001 40.647636016,14.682496429 40.660301347,14.7534725140001 40.6759725410001,14.766670542 40.6741666120001,14.7748633300001 40.6730450850001,14.830763249 40.6315181190001,14.898327088 40.5587450950001,14.9644450490001 40.4458271120001,14.989692555 40.399321152,14.9916632650001 40.3956909990001,14.9906271030001 40.3639541900001,14.9866288000001 40.3605437570001,14.9641632500001 40.341382228,14.927218167 40.2711090220001,14.941945171 40.234164107,14.9419453200001 40.234164026,14.9419455140001 40.2341635400001,14.989265119 40.208262975,15.012500177 40.1955449910001,15.1044451290001 40.172354109,15.1212335380001 40.1664059560001,15.1373635140001 40.1606905400001,15.264309514 40.07179954,15.313054514 40.0313905400001,15.354863514 40.00089954,15.38943642 39.995592259,15.416391235 39.9914540300001,15.4586092050001 40.0286091630001,15.479458176 40.0454958930001,15.509790514 40.07006354,15.5363133660001 40.073213976,15.56069123 40.0761090730001,15.583054148 40.074436045,15.6030826470001 40.0689063720001,15.6187455150001 40.0645815400001,15.623484139 40.060216822,15.642254022 40.0429271300001,15.6637450540001 40.0330540860001,15.7122181030001 39.9797180250001,15.7241231300001 39.963451089,15.728890515 39.9569365400001,15.735357644 39.9470532660001,15.7483360590001 39.9272181420001,15.7509962090001 39.923890629,15.7549995150001 39.91888154,15.781872515 39.8628455400001,15.787499515 39.7924995400001,15.798108219 39.719566845,15.7998633060001 39.707500128,15.8079181470001 39.6793000530001,15.8530540260001 39.609991101,15.857757153 39.6029499960001,15.9038905150001 39.53388154,15.917561963 39.5234633110001,15.926663229 39.516527013,15.9638513890001 39.4706687120001,15.980899515 39.4496455400001,16.031830169 39.348319341,16.0338181500001 39.3443642300001,16.053336082 39.256382075,16.056109151 39.2250000610001,16.0572180770001 39.1862449910001,16.0641633220001 39.1291642300001,16.064163493 39.129163717,16.0641635150001 39.129163539,16.0738552600001 39.1001629940001,16.0997181820001 39.022773236,16.0997183600001 39.022773004,16.0997185150001 39.0227725390001,16.1570815150001 38.9481905390001,16.1787166450001 38.9387073020001,16.194163288 38.931936036,16.2042076970001 38.9277996390001,16.2197905150001 38.921381539,16.2205712000001 38.890147029,16.221109095 38.868609081,16.218745063 38.8363821720001,16.2080541130001 38.7977731140001,16.199366223 38.778732835,16.1949995150001 38.769163539,16.178190515 38.745209539,16.1291635150001 38.715554539,16.0988905150001 38.7126365390001,16.0674995150001 38.7208365390001,16.045272515 38.7236095390001,16.03511138 38.723737122,16.02360916 38.7238821110001,15.9844450520001 38.7216642600001,15.849791118 38.657291075,15.8497908530001 38.6572907010001,15.8497905150001 38.657290539,15.84507992 38.6506410750001,15.8290271330001 38.627982075,15.829027594 38.62798165,15.8290275150001 38.6279815390001,15.8455545150001 38.612772539,15.855038655 38.6068976350001,15.8769451320001 38.5933270960001,15.8947181200001 38.5761091580001,15.919137656 38.549741624,15.922636058 38.545964032,15.922539854 38.537521009,15.9223995150001 38.525263539,15.915171711 38.5019735060001,15.906109126 38.4727732000001,15.895554131 38.4519450080001,15.8760891490001 38.4157042590001,15.815281515 38.3024905390001,15.7947185150001 38.281518539,15.7602725150001 38.2661095390001,15.7488355620001 38.261811133,15.73736331 38.257500109,15.725629272 38.2566114100001,15.715272515 38.2558275390001,15.685084526 38.2481077080001,15.654445165 38.2402731190001,15.6295822600001 38.229300202,15.6295822640001 38.229299869,15.629581515 38.2292995390001,15.6299995150001 38.192836539,15.645281515 38.063045538,15.6390927620001 38.027380753,15.6351361100001 38.004582215,15.635136528 38.004581617,15.6351365150001 38.004581538,15.6380364020001 38.0004380560001,15.667845146 37.957845058,15.7202732800001 37.9311091340001,15.7561091010001 37.920827053,15.7758360780001 37.9169360060001,15.781109133 37.9169360060001,15.7862601480001 37.9177793970001,15.7947185150001 37.9191635380001,15.843772659 37.923899518,15.866663219 37.9261091610001,15.888545192 37.92675798,15.9227815150001 37.9277725380001,15.947218515 37.922490538,15.9961095150001 37.9188815380001,16.026420952 37.9215346130001,16.0572911670001 37.9242359730001,16.087773299 37.946109053,16.1134732200001 37.975273214,16.1312961520001 38.012042568,16.135554515 38.020827538,16.136335053 38.0256817970001,16.138882289 38.041518077,16.1419166700001 38.060390979,16.1433275150001 38.0691635380001,16.14947971 38.090968924,16.160000159 38.1282540120001,16.330409113 38.2979090970001,16.343463822 38.3031446590001,16.3584725150001 38.3091635390001,16.3838259880001 38.316116612,16.414163269 38.3244359760001,16.44889117 38.336936076,16.4592338100001 38.3414459740001,16.4705545150001 38.346381539,16.4849730390001 38.3547969100001,16.49055409 38.358053946,16.515554122 38.3769360270001,16.528876847 38.3883314730001,16.532772515 38.391663539,16.5327728520001 38.391663878,16.532773234 38.391664205,16.569163267 38.4283360370001,16.5691634070001 38.4283364290001,16.5691635150001 38.428336539,16.5702832750001 38.431470534,16.5763911490001 38.4485642510001,16.5750002560001 38.5202731100001,16.5700001160001 38.5541641620001,16.5627030590001 38.596710735,16.5616635150001 38.6027725390001,16.5609960570001 38.605166082,16.5488822460001 38.6486091,16.540890459 38.6824303000001,16.534509515 38.7094365390001,16.538799764 38.718591469,16.550000224 38.7424911100001,16.569228206 38.772810136,16.573609407 38.779718368,16.5950001480001 38.800827144,16.615000207 38.817636045,16.7308272130001 38.8755451060001,16.781471271 38.8957613790001,16.8348815160001 38.917081539,16.8867947800001 38.9273726230001,16.9294451260001 38.935827083,16.952918143 38.9387449910001,16.9758270580001 38.939018074,17.097845105 38.907845105,17.1269450620001 38.9194449890001,17.169163199 38.9633359870001,17.169163199 38.9633362100001,17.169163516 38.9633365390001,17.169163516 38.997772539,17.1667004060001 39.007033053,17.15819112 39.0390270870001,17.141800141 39.053745039,17.1317950750001 39.0716561,17.1166635160001 39.098745539,17.114842385 39.137241379,17.10889128 39.2630540700001,17.1159731500001 39.314582155,17.135973209 39.3655540170001,17.1414307740001 39.3831147270001,17.1455545160001 39.3963815400001,17.145553975 39.396381879,17.1455540600001 39.396382154,17.1089654200001 39.419285405,17.034163516 39.46610954,16.9946249650001 39.480934898,16.963054044 39.4927732020001,16.823609182 39.5686000900001,16.741391261 39.617218146,16.741391175 39.61721815,16.741390516 39.6172185400001,16.701027691 39.619167889,16.626391214 39.622773168,16.6091757200001 39.6268334660001,16.5969455150001 39.6297185400001,16.5803520860001 39.635696679,16.5556912010001 39.6445822100001,16.530000165 39.6629181260001,16.498337135 39.732147136,16.490554515 39.74916354,16.486663515 39.7737455400001,16.4901365150001 39.79999954,16.49892965 39.821775383,16.4991633110001 39.8223539950001,16.536663275 39.871936137,16.5633271150001 39.898045095,16.5633271610001 39.898045193,16.563327515 39.8980455400001,16.6097185150001 39.9962455400001,16.5994455150001 40.04360954,16.6086095150001 40.0861725400001,16.618350623 40.096957435,16.630000126 40.1098539450001,16.6361921230001 40.114463792,16.6413455150001 40.1182995400001,16.688054516 40.14708154,16.741318167 40.2165270770001,16.741318516 40.2165275400001,16.749718516 40.2448545400001,16.791527516 40.3113815410001,16.824607542 40.3475287200001,16.86380024 40.3903540000001,16.8703998890001 40.3998551550001,16.8741635160001 40.405272541,16.893393971 40.424561366,16.9193001740001 40.450545118,16.930821442 40.4592104880001,16.942218516 40.4677815410001,16.9983365160001 40.4988815410001,17.017772516 40.5063815410001,17.0469455160001 40.5152725410001,17.076599516 40.520481541,17.3170085150001 40.488290675,17.3047218570001 40.4798415810001,17.289999516 40.4697185410001,17.2680545160001 40.4733275410001,17.267227405 40.472645184,17.2458271030001 40.4549912150001,17.2038181780001 40.4124911100001,17.2038188080001 40.4124908360001,17.2038185160001 40.4124905410001,17.325619965 40.3596738580001,17.3927732660001 40.3305539830001,17.4279030380001 40.3203706420001,17.5067995160001 40.29749954,17.530621449 40.2987231720001,17.5500001680001 40.299718134,17.636391271 40.303327046,17.673473313 40.3040271030001,17.706761327 40.3012824250001,17.762772517 40.2966635400001,17.776574828 40.2952862280001,17.785000235 40.2944450790001,17.85721821 40.2844360810001,17.876292372 40.2730179060001,17.906390517 40.25499954,17.975134708 40.1551707990001,18.012218208 40.1013181500001,18.01940921 40.0111731280001,18.0080829240001 40.005033537,17.9965995170001 39.99880954,18.0153847920001 39.972820493,18.0407632820001 39.9377090990001,18.0718803350001 39.911508242,18.0820815170001 39.90291854,18.155827517 39.8566635400001,18.165076841 39.8524576510001,18.177218152 39.8469361050001,18.189268382 39.8418156050001,18.1994455170001 39.83749054,18.2142895530001 39.8352434230001,18.2269451340001 39.8333270800001,18.240076517 39.832909402,18.2572185170001 39.8323635400001,18.3049995170001 39.81999954,18.3198521580001 39.8116536050001,18.3297181630001 39.806109028,18.3494451400001 39.791936068,18.361777841 39.7949228080001,18.375272517 39.7981905400001,18.375272981 39.798191069,18.3752733040001 39.7981911470001,18.3911092340001 39.816245096,18.3911092480001 39.8162452330001,18.3911095170001 39.8162455400001,18.3993365170001 39.89960954,18.399436517 39.93609954,18.418745517 39.9940185400001,18.421218631 39.9973652360001,18.4438912520001 40.0280450610001,18.4724271060001 40.0392270230001,18.4724274230001 40.0392275030001,18.472427517 40.0392275400001,18.5144455170001 40.10290954,18.513595331 40.11680655,18.512500147 40.1347180230001,18.4940517520001 40.1684086660001,18.4597185170001 40.23110954,18.4408275170001 40.2649995400001,18.440827358 40.264999774,18.4408271630001 40.2650001230001,18.424863326 40.2884642560001,18.3594717300001 40.3417560290001,18.2747185170001 40.4108275410001,18.1274999770001 40.4944362800001,18.081663282 40.5249911700001,18.0391634370001 40.555273077,18.035827517 40.5777725410001,18.0261095170001 40.6122185410001,18.012636517 40.643054541,17.9622163280001 40.666817908,17.937218112 40.6786001080001,17.8605916820001 40.70132448,17.761109517 40.7308275410001,17.4963905160001 40.819718541,17.4918873400001 40.821529814,17.4736091780001 40.8288821,17.3219451780001 40.942773221,17.2948540290001 40.96479114,17.2550002580001 40.989436115,17.254999668 40.9894364470001,17.2549995140001 40.9894365380001,17.183745029 41.029582078,17.1311845110001 41.050113459,17.049718516 41.0819365410001,16.788890516 41.1547185410001,16.7505396440001 41.1654421490001,16.6577732270001 41.1913821470001,16.553201713 41.229745462,16.4919455150001 41.252218541,16.192218515 41.3655545410001,16.0852815150001 41.4047185420001,16.0617558550001 41.4110982670001,16.033054056 41.418882087,15.9981174870001 41.4340304930001,15.9849997320001 41.4397184480001,15.9800609390001 41.44359424,15.9262455150001 41.485827542,15.9021200870001 41.5242348290001,15.898327452 41.5302728200001,15.890418515 41.5652725420001,15.8905914920001 41.5725135330001,15.890973253 41.588464249,15.8957565150001 41.6063130900001,15.8976364710001 41.6133273770001,15.9010047890001 41.6160634400001,15.919863515 41.631381542,15.9277611140001 41.6354266970001,15.9377732740001 41.6405540900001,15.964865821 41.648608154,15.9802815150001 41.6531905420001,16.0053728390001 41.665042203,16.0305540690001 41.6769360760001,16.138882289 41.7405540510001,16.1604108 41.7547474830001,16.164999515 41.7577725420001,16.1649999410001 41.7577730360001,16.165000132 41.757773162,16.192773233 41.7899911860001,16.193682166 41.829436087,16.1455545160001 41.911172542,16.145554116 41.9111732220001,16.0825002440001 41.936100164,16.053891132 41.943882091,16.0229181550001 41.946664212,15.9136090850001 41.935273206,15.8569450730001 41.925282145,15.8096727340001 41.9209829380001,15.765272515 41.9169455420001,15.6790995150001 41.915827542,15.599999515 41.9236095420001,15.558476249 41.9177733940001,15.4972180950001 41.909164248,15.455554169 41.906391179,15.404718093 41.9038821400001,15.3870041770001 41.9048124620001,15.373054514 41.905545542,15.162363514 41.9244455420001,15.1419185140001 41.9280275420001,15.0991635140001 41.937218542,15.084975093 41.943282863,15.062773156 41.9527731110001,15.0259732480001 41.9848642330001,14.9994283930001 42.0024265220001,14.996390514 42.0044365420001,14.939718514 42.0158275420001,14.8940275140001 42.020545542,14.85520754 42.0342891560001,14.8312450400001 42.042773126,14.7621821810001 42.0747821050001,14.754718097 42.0777731040001,14.7479262420001 42.0815575600001,14.736527514 42.087909542,14.7216635140001 42.104027542,14.718864796 42.1199483980001,14.715000113 42.14193607,14.715812865 42.158985586,14.716245514 42.1680545420001,14.6948667410001 42.1762814040001,14.6613911370001 42.189164239,14.6288911450001 42.1988822170001,14.604718072 42.204991116,14.565836099 42.218891161,14.504163229 42.261382214,14.200000222 42.4825001730001,14.1564977090001 42.519214075,14.1305545130001 42.5411095430001,14.109563687 42.56346361,14.0750002300001 42.600273121,14.064426338 42.612611615,14.058336513 42.619718543,14.0256790720001 42.659121724,14.016663189 42.6700001620001,14.012859744 42.6753102220001,13.9872185130001 42.7111095430001,13.9397185130001 42.8035995430001,13.923609513 42.8447185430001,13.905554513 42.9013815430001,13.9037434700001 42.9040674170001,13.8975001860001 42.9133271470001,13.8825001000001 42.942218059,13.8782440460001 42.9528538590001,13.8736095130001 42.964436543,13.870271383 42.97703941,13.862500208 43.006382199,13.853058531 43.0534041060001,13.848054513 43.0783275430001,13.7116635130001 43.350554543,13.6686116400001 43.4231834030001,13.6295822060001 43.489027105,13.624710394 43.5180691840001,13.621527513 43.5370455440001,13.599445513 43.569999544,13.5994454460001 43.569999588,13.599445073 43.5700001450001,13.55208229 43.6016641260001,13.506400247 43.63066417,13.4804181910001 43.610964182,13.426109158 43.6227731110001,13.356663246 43.6491642030001,13.3019744910001 43.672555747,13.295281829 43.675418408,13.287712465 43.6799043620001,13.193336512 43.7358365440001,13.1737185910001 43.7519683100001,13.17118229 43.7540539990001,13.1711815150001 43.7540545470001,13.125554059 43.786664129,13.067215128 43.8278839380001,13.055972512 43.835827544,12.903054512 43.924718544,12.854372803 43.9468972720001,12.8186090990001 43.963191201,12.764718155 43.9702732390001,12.753573241 43.9710001170001,12.7455846 43.971747529,12.7405545120001 43.972218544,12.720554512 43.976945544,12.702072545 43.9832712240001,12.689718226 43.987500061,12.645667292 44.0184536610001,12.5458275120001 44.0886095440001,12.528165169 44.102484132,12.5186092160001 44.109991183,12.4463912410001 44.167773174,12.4296889840001 44.182743235,12.4223635120001 44.189309544,12.3775887470001 44.2368336370001,12.368327397 44.246663788,12.364179171 44.255505891,12.3534731500001 44.278327124,12.288891257 44.451664212,12.280000237 44.4761090270001,12.2548751640001 44.634328779,12.245418511 44.6938815450001,12.2476365110001 44.723881545,12.2615275110001 44.7762455450001,12.2901365110001 44.8382635450001,12.356109512 44.8038905450001,12.3969455120001 44.791381545,12.389863512 44.868399545,12.4198625070001 44.897441992,12.422636089 44.9001270460001,12.434446618 44.887149553,12.439372512 44.8817365450001,12.4267995120001 44.853609545,12.448781512 44.817745545,12.4487817620001 44.817745825,12.4487822630001 44.817745007,12.4800001580001 44.852773149,12.5160312350001 44.919706955,12.538054512 44.960618545,12.520136512 44.982636545,12.495272512 44.987009545,12.443699512 45.008236545,12.361945512 45.056109545,12.253427624 45.1753958620001,12.233327118 45.1974911550001,12.161109443 45.2638819220001,12.154227511 45.301963545,12.2127637950001 45.3774675700001,12.2870822740001 45.473327017,12.394445067 45.5330541120001,12.419462122 45.542102766,12.4896545120001 45.5674905450001,12.5519707130001 45.5512865260001,12.5806902640001 45.5438183750001,12.51389751 45.4980518410001,12.503991177 45.4912641220001,12.479753493 45.4877671250001,12.448472512 45.4832545450001,12.4299435130001 45.457443121,12.4182632500001 45.4411731980001,12.4182641410001 45.4411734230001,12.4182635120001 45.441172545,12.587499512 45.4838905450001,12.5991051440001 45.488008887,12.6172181160001 45.494436002,12.638054019 45.502218096,12.7069450490001 45.531109175,12.735297136 45.5427566990001,12.7988905120001 45.5688815450001,12.822656576 45.578634041,12.8638911570001 45.595554108,12.9225001070001 45.618327069,12.9569797400001 45.6234655960001,13.0008275120001 45.629999545,13.063609512 45.633890545,13.075688799 45.6352083130001,13.087782185 45.63652703,13.0923330160001 45.6447998260001,13.0961095120001 45.6516635450001,13.0712455120001 45.709645546,13.073806679 45.7126475170001,13.1209002580001 45.767844967,13.193336163 45.7780539570001,13.2169451340001 45.7769361470001,13.3679451200001 45.7374449770001,13.4150633190001 45.7205541010001,13.4221540190001 45.695618299,13.414858087 45.691977792,13.3874271780001 45.6782912040001,13.3874287510001 45.678291164,13.387427512 45.678290546,13.413672181 45.6776120060001,13.428891112 45.6772181530001,13.499445112 45.709445062,13.5264541180001 45.7351360980001,13.526454115 45.7351361670001,13.526454513 45.735136546,13.5259814080001 45.7439810750001,13.525073284 45.7609731470001,13.540526916 45.780642506,13.5426360930001 45.783327011,13.5603464970001 45.7826717630001,13.579472513 45.781963546,13.629999513 45.7699995460001,13.645374491 45.760348229,13.656109085 45.7536091420001,13.687173359 45.7304583320001,13.7356905130001 45.694299546),(12.352044558 45.3994417580001,12.3143271480001 45.341327129,12.3143275850001 45.3413276580001,12.314327511 45.3413275450001,12.3792275120001 45.4199905450001,12.407017336 45.417054869,12.426900131 45.4149541020001,12.426898965 45.4149546030001,12.426899512 45.4149545450001,12.391145512 45.4303275450001,12.3691635120001 45.425818545,12.352044558 45.3994417580001),(15.6029726130001 38.2788240900001,15.5458275140001 38.2969365390001,15.515418514 38.2929095390001,15.301663514 38.2072185390001,15.150836514 38.1455545380001,15.1334744440001 38.139107831,15.088745153 38.1225001700001,15.0361413520001 38.13780854,14.969445514 38.157218539,14.8744455140001 38.1705545390001,14.7847185140001 38.1544455390001,14.709452116 38.1133268070001,14.64347331 38.07728215,14.5194451150001 38.0427731840001,14.4259122990001 38.0276833500001,14.3679185130001 38.0183275380001,14.3119455130001 38.0122185380001,14.242772513 38.0122185380001,14.2049851360001 38.0158440650001,14.132773168 38.022773124,14.056735132 38.0311225660001,14.013890513 38.035827538,13.978590475 38.0326592550001,13.944300207 38.0295820800001,13.936239615 38.0239989300001,13.9165275130001 38.010345538,13.886663513 37.9980545380001,13.820981513 37.9787365380001,13.791109513 37.9722185380001,13.7779626180001 37.9716761350001,13.760691265 37.9709642450001,13.7113912570001 37.976664107,13.3825001280001 38.107500084,13.374128269 38.1147306130001,13.3671545120001 38.120754538,13.372009512 38.1527725390001,13.357918512 38.1869455390001,13.331954931 38.2071205010001,13.318609238 38.2174911060001,13.1768757420001 38.1960737150001,13.100345512 38.184509539,13.1003451820001 38.1845091600001,13.1003451490001 38.1845091550001,13.056109152 38.133782212,13.0582303080001 38.126863735,13.0694814610001 38.0901637050001,13.019163232 38.0588821960001,12.955554142 38.0327732380001,12.9236092 38.024864242,12.892845101 38.025273111,12.821663297 38.0688821410001,12.7869804160001 38.096783126,12.733609512 38.1397185380001,12.5581905120001 38.0605545380001,12.510136512 38.015136538,12.510136414 38.015136317,12.510136118 38.015136037,12.502677743 37.998252264,12.466390512 37.9161095380001,12.474625584 37.8849542930001,12.4778451710001 37.872773099,12.468161722 37.845384704,12.4584725330001 37.8179815990001,12.456104453 37.816309006,12.441663512 37.806109538,12.430799512 37.803254538,12.4571299690001 37.7302395500001,12.46833607 37.699164103,12.468336419 37.6991637960001,12.4683365120001 37.6991635380001,12.514163512 37.6588815380001,12.6561095120001 37.559781538,12.6700441900001 37.557221252,12.6813911410001 37.5551360160001,12.7287450380001 37.5661091010001,12.756109102 37.5730540110001,12.792782276 37.5790180700001,12.9229181960001 37.5730540110001,12.96221809 37.5573540350001,12.9850001030001 37.5415181060001,13.085836075 37.493045056,13.155973159 37.491244959,13.1751980600001 37.4801557960001,13.2183365120001 37.455272538,13.2318871680001 37.4434896510001,13.256663286 37.42194506,13.272427131 37.39853608,13.3300002450001 37.361109039,13.343304215 37.3551709400001,13.4127725120001 37.3241635380001,13.487945869 37.2941418140001,13.5052822690001 37.2872180360001,13.54333611 37.283336041,13.56680017 37.2758270520001,13.5703998930001 37.2731677720001,13.6476361540001 37.216109154,13.6598762410001 37.2025472980001,13.6650635130001 37.1967995380001,13.738336513 37.1577725380001,13.7994831610001 37.133880703,13.887636195 37.099436079,13.9323632040001 37.094718073,13.955754078 37.100345013,13.9705397540001 37.10381535,13.9980545130001 37.1102725380001,14.1017995130001 37.1098635380001,14.1360149060001 37.1012740480001,14.1450001850001 37.099018157,14.245836157 37.0622180820001,14.2577603620001 37.054523101,14.276390513 37.042499537,14.3471185130001 36.989290537,14.3736095130001 36.9663815370001,14.393890513 36.9424995370001,14.407621261 36.9232095740001,14.414163214 36.9140181540001,14.441109188 36.8733270320001,14.4576808190001 36.8373799010001,14.459163513 36.8341635370001,14.5536095140001 36.780272537,14.6866112380001 36.7313916430001,14.7213911470001 36.718609169,14.779163247 36.7044360410001,14.7977906950001 36.7101024140001,14.813890514 36.714999537,14.8323271790001 36.7198817010001,14.863191156 36.728054065,14.8958361540001 36.7258269930001,15.0236092160001 36.6986091090001,15.043745062 36.686945021,15.0590221260001 36.6716133300001,15.0813905140001 36.649163537,15.0915275140001 36.651799537,15.133954514 36.674090537,15.114163514 36.7435365370001,15.0993565320001 36.7774590120001,15.095763553 36.785690684,15.101198128 36.806020366,15.110282286 36.8400000820001,15.1506912740001 36.91332715,15.1771091580001 36.9329258450001,15.180272514 36.9352725370001,15.2141635140001 36.955272537,15.262218514 36.981663537,15.316663514 37.0088905370001,15.3161095140001 37.043054537,15.299927514 37.103118538,15.28249457 37.106031596,15.2600001760001 37.1097910820001,15.2352959350001 37.1224874810001,15.230690941 37.1248543180001,15.2038912130001 37.157491152,15.1869453750001 37.18388178,15.092709514 37.348327538,15.0858365140001 37.4630545380001,15.087995963 37.471875771,15.092500246 37.4902731610001,15.1186092040001 37.5194359820001,15.136784646 37.532948321,15.1499995140001 37.5427725380001,15.1680545140001 37.5619365380001,15.2008365140001 37.6513815380001,15.210149319 37.6831548320001,15.217773154 37.709164216,15.218944745 37.742464296,15.219718514 37.7644455380001,15.222677231 37.768405005,15.235282279 37.7852732380001,15.2566389900001 37.8106003080001,15.369027514 37.943881538,15.397422106 37.971406578,15.4277731890001 38.000827122,15.50161745 38.076566384,15.5036095140001 38.0786095380001,15.5089312100001 38.090887476,15.5288911280001 38.1369359870001,15.5600002260001 38.2102731140001,15.5698269430001 38.2262809760001,15.5762453450001 38.2367362630001,15.5880950760001 38.241912584,15.608190515 38.2506905390001,15.647936515 38.264572539,15.6479354700001 38.2645728700001,15.6479361140001 38.2645730940001,15.6029726130001 38.2788240900001),(9.01610950800006 39.1016635390001,9.01333650800007 39.1263905390001,9.01353650800007 39.26319054,9.15433650900007 39.1846815390001,9.29527250900003 39.2138815390001,9.31209586200004 39.2087473920001,9.32166332600002 39.2058271280001,9.32837636600004 39.2020696800001,9.34249950900005 39.194163539,9.36610950900007 39.1774995390001,9.37366935500006 39.171554572,9.39083615600003 39.158053968,9.41055408000005 39.1408271450001,9.44263615000006 39.124418061,9.52166324800004 39.1183271,9.56507329200002 39.145618074,9.56781246100007 39.174225355,9.56940950900002 39.190899539,9.56763650900007 39.22847254,9.58442173900005 39.282115742,9.60027326200003 39.3327732320001,9.61576570600005 39.3821962640001,9.63083650900006 39.43027254,9.64221850900003 39.48638154,9.65166350900006 39.5491635400001,9.67534550900007 39.7308275400001,9.67353021000002 39.7400543090001,9.67097327500005 39.753054096,9.67072162400007 39.7688944860001,9.67055450900006 39.77944554,9.67471850900006 39.8088815400001,9.68382390400006 39.865626277,9.69500016800004 39.935273151,9.70771785100004 40.007223778,9.71360950900004 40.0405545400001,9.69833650900006 40.1022185400001,9.66808504700003 40.1291321210001,9.65680919400006 40.1391641170001,9.62666350500007 40.193190605,9.62333650900007 40.2518725400001,9.63694550900004 40.28221854,9.65721820300007 40.3083271460001,9.70555415700005 40.354018115,9.73486332600004 40.372909081,9.76131812100004 40.385618057,9.76131842400002 40.3856185000001,9.76131850900003 40.385618541,9.76755915600006 40.3947290880001,9.80028223600004 40.442500167,9.80677339900006 40.460796413,9.80944550900006 40.4683275410001,9.82416350900007 40.527218541,9.80492750900004 40.5405545410001,9.78393255500004 40.5624291670001,9.75027328700003 40.597500165,9.74277316000007 40.630000157,9.74250024600008 40.638609042,9.75027328700003 40.6662450150001,9.65916334100007 40.852491071,9.61278224700004 40.9211091870001,9.61278180100004 40.921109109,9.61278150900006 40.9211095410001,9.56639050900003 40.9130545410001,9.54037161900004 40.916458543,9.51045523100004 40.9203729440001,9.63389050900003 40.989163541,9.63389039800006 40.989163741,9.63389123200005 40.9891642060001,9.56250021600005 41.1177731110001,9.51333616200003 41.1466641900001,9.38017583200008 41.1979999700001,9.36660788900002 41.2032307170001,9.36660778600003 41.2032307040001,9.23305403700004 41.254718154,9.16450947600003 41.239227123,9.16450917900005 41.2392270560001,9.16082717700004 41.191664114,9.12428032700007 41.1719626440001,9.04694510800005 41.130273211,9.02407116200004 41.1247148,9.01263650800007 41.121936541,8.87347250800008 40.9994455410001,8.84999950800005 40.9665905410001,8.81027250800003 40.934436541,8.79736154700004 40.926978494,8.78263604000006 40.9184732460001,8.74971812600006 40.9145821990001,8.72456571000004 40.9134224760001,8.70139050800003 40.9123545410001,8.65967039800006 40.8978024990001,8.63868221700005 40.8904822150001,8.63868172300005 40.890481616,8.63868150800005 40.890481541,8.63624521000003 40.887522287,8.62055400400004 40.8684641290001,8.61258565200006 40.858730311,8.60429950800005 40.848609541,8.59256259500006 40.844498446,8.57971821000007 40.840000192,8.54305408900007 40.8313820860001,8.52432046400003 40.8275269100001,8.50528150800005 40.8236095410001,8.49253996900006 40.821927771,8.48000021600006 40.820273215,8.46639949800004 40.8212783370001,8.45749950800007 40.8219365410001,8.35639050800006 40.836109541,8.30708150800007 40.8473545410001,8.29864135100007 40.8520694100001,8.28444505000004 40.860000083,8.27909226600002 40.8650957140001,8.23221850800007 40.9097185410001,8.22805450800007 40.9383995410001,8.22805422200003 40.938399342,8.22805412000002 40.9384000470001,8.21152131400004 40.9268721080001,8.19249950800003 40.913609541,8.14889050800002 40.744163541,8.14948758800006 40.727735179,8.14971819400006 40.72138218,8.14971849900007 40.7213817850001,8.14971850800003 40.721381541,8.15367718700003 40.7162505640001,8.17221807200002 40.6922180180001,8.17833619100003 40.636382138,8.16440863800005 40.629195377,8.14819050800003 40.620827541,8.15479044300002 40.6068850250001,8.16400917100003 40.5874090240001,8.19224942600005 40.612645494,8.19597250800007 40.6159725410001,8.30179950800004 40.5874905410001,8.36721850700008 40.49277254,8.45721820300002 40.3213910540001,8.46166329400006 40.2266641480001,8.46444508000008 40.143327076,8.44440276300003 40.0940719230001,8.40889050800007 40.00679954,8.40254858300005 39.969362382,8.39860908600002 39.946109108,8.39761960000004 39.929291989,8.39597250800006 39.9013095400001,8.39597315900005 39.9013094110001,8.39597314500003 39.901309176,8.40390578200004 39.8997409310001,8.42999950800004 39.89458154,8.43624985200006 39.898236581,8.45660012200005 39.9101359910001,8.48455441400006 39.9066997240001,8.52041850800003 39.90229054,8.55395410300002 39.8676999580001,8.55721816400006 39.844991168,8.55166330900005 39.816664191,8.54194516100006 39.7794450220001,8.54124430100006 39.7784043230001,8.52360908100007 39.7522180830001,8.52098197200007 39.7493837160001,8.49721850800006 39.72374554,8.46454702100004 39.749236576,8.45204506000005 39.7589911650001,8.44333609500006 39.6819359940001,8.44531968300004 39.661824101,8.44819050800004 39.6327095400001,8.42137563900008 39.526552087,8.41305412300005 39.4936090460001,8.39194513800004 39.4472180610001,8.37152715700006 39.3729091370001,8.39233553800005 39.349875206,8.39812750800007 39.3434635400001,8.40804091400003 39.3415144480001,8.41860914600005 39.339436006,8.43236317800006 39.290618126,8.42416333000006 39.2688821740001,8.37162738600006 39.2301749040001,8.36610950800002 39.22610954,8.36610955900005 39.226109497,8.36610909500007 39.2261091550001,8.39694511100004 39.200554073,8.42266668500002 39.173102805,8.43208150800007 39.163054539,8.45916326900004 39.1174999410001,8.45382717600006 39.0897097450001,8.43533916100006 39.101183926,8.42583619000004 39.1070821060001,8.38807839900005 39.1063557690001,8.35679950800005 39.105754539,8.34872168400005 39.0821888200001,8.34582706800006 39.0737450980001,8.35139287500004 39.0566736210001,8.35999950800004 39.0302725390001,8.38826299400006 38.9883194380001,8.40832706500004 38.958536006,8.43652714000007 38.9647181620001,8.43652726200003 38.964718485,8.43652750800004 38.964718539,8.44084722600007 38.976131148,8.44988219400005 39.0000001080001,8.47448224200002 39.036545038,8.50538212800006 39.061027068,8.51852486100006 39.05787718,8.55139050800005 39.0499995390001,8.56639050800004 39.0099905390001,8.59800007000007 38.9515730050001,8.61583616600007 38.9186091450001,8.62698751200003 38.9082676530001,8.64639050800002 38.8902725390001,8.71166350800007 38.9217995390001,8.81680638300003 38.888723371,8.85118223800004 38.8779091380001,8.90208218400005 38.9026360880001,9.00694515700008 38.9880540510001,9.00694542600007 38.988054472,9.00694550800006 38.9880545390001,9.04333650800004 39.0449995390001,9.04333615300004 39.045000132,9.04333619600004 39.0450001990001,9.02250012500002 39.079718042,9.01814672500007 39.0946671820001,9.01610950800006 39.1016635390001),(10.439163304 42.851873212,10.4130540100001 42.870064122,10.39629089 42.858367566,10.3930545100001 42.8561095430001,10.393054363 42.856109261,10.3930541190001 42.8561090910001,10.3780541460001 42.8273541830001,10.362199703 42.8116996580001,10.3556911150001 42.8052731830001,10.233473243 42.792773251,10.223142997 42.798624831,10.22097251 42.799854543,10.2183045080001 42.8018634750001,10.208609165 42.8091642310001,10.1906337 42.812257876,10.1827815090001 42.813609543,10.1449995090001 42.8108275430001,10.1356729730001 42.8085706800001,10.126663321 42.8063911620001,10.1193132600001 42.8030482080001,10.111390509 42.799445543,10.100972509 42.7848545430001,10.102295624 42.7747093900001,10.1030540140001 42.7688911970001,10.1169451700001 42.7475000750001,10.1169455090001 42.7474995430001,10.1245815090001 42.739581543,10.1391635090001 42.731663543,10.144116479 42.7307001900001,10.149163199 42.7297180370001,10.1602732440001 42.7294360700001,10.1816555790001 42.7319889880001,10.2091635100001 42.7352725430001,10.2347185100001 42.746381543,10.2739494590001 42.7544311300001,10.2997181060001 42.759718042,10.3149974940001 42.7617823460001,10.34083651 42.765272543,10.3481808660001 42.7624702190001,10.351391064 42.7612451090001,10.3560138610001 42.7576252160001,10.4186092 42.708609052,10.4210075710001 42.7099545500001,10.4276365100001 42.713672543,10.4391635100001 42.8518725430001,10.439163262 42.8518727150001,10.439163304 42.851873212)))', 'Italian Exclusive Economic Zone', 'Italy', 'Italy', '', '184', '184', 'ITA', '5682', '', '538973428300', '5682', 'Y'),('SRID=4326;MULTIPOLYGON(((17.649845516 42.8890725430001,17.6573545160001 42.8808275430001,17.6515469460001 42.8825298130001,17.6515741960001 42.882571994,17.6527632080001 42.8851855980001,17.6497679990001 42.889132058,17.649845516 42.8890725430001)),((13.565169229 45.5020874050001,13.56852199 45.50080732,13.5708169500001 45.4995164000001,13.5717467600001 45.4989933900001,13.57597901 45.49637382,13.5785392600001 45.4950380400001,13.58061486 45.4939547000001,13.5842427200001 45.49072993,13.58627281 45.48869984,13.5876687800001 45.4873041700001,13.5905270100001 45.48336636,13.591736069 45.4817002030001,13.554999266 45.4944370960001,13.504790266 45.502010096,13.533609266 45.401664096,13.5758362660001 45.300282096,13.5949992660001 45.250691096,13.6030542660001 45.157773096,13.681109266 45.0513820960001,13.7569452660001 44.9813820960001,13.8391632660001 44.876382096,13.8169452660001 44.8601370960001,13.904445266 44.7725640960001,13.9961812660001 44.810691096,13.994163266 44.8180550960001,13.9758272660001 44.8240280960001,13.9758272660001 44.846937096,13.994863266 44.8905550960001,14.0874992660001 44.9613910960001,14.1442992660001 44.9621550960001,14.1674452660001 44.9890550960001,14.1558362660001 45.0394460960001,14.1601362660001 45.076873096,14.2166632660001 45.1233280960001,14.230836266 45.1441640960001,14.2397182660001 45.164164096,14.2481902660001 45.1971550960001,14.253890266 45.2319460960001,14.2865992660001 45.314991096,14.323054266 45.350964096,14.4486092660001 45.321246096,14.482772266 45.3111000960001,14.5849992670001 45.252219096,14.6744452670001 45.182219096,14.724863267 45.148610096,14.752781267 45.1356910960001,14.8002812670001 45.123055096,14.8315272670001 45.115419096,14.919299267 44.965973096,14.909581267 44.9115190960001,14.8940272670001 44.889446096,14.8802722670001 44.8520820960001,14.8786092670001 44.811382096,14.887781267 44.7162460960001,14.894718267 44.6952730960001,14.926390267 44.655000096,14.971109267 44.601664096,14.9905542670001 44.579437096,15.013745267 44.565482096,15.095836267 44.5180550960001,15.1408362670001 44.4730550960001,15.181663267 44.4386100950001,15.270554267 44.369164095,15.4486092670001 44.2831910950001,15.478609267 44.2755550950001,15.5033362670001 44.276110095,15.5222902670001 44.263255095,15.4144452670001 44.259991095,15.385054267 44.270164095,15.3418902670001 44.2874910950001,15.321390267 44.3005000950001,15.2799992670001 44.305828095,15.2913182670001 44.2534000950001,15.2038902670001 44.2550000950001,15.1451362670001 44.2800640950001,15.1179812670001 44.2707640950001,15.1516632670001 44.1963910950001,15.2322182670001 44.119164095,15.2816632670001 44.073055095,15.4055542670001 43.965273095,15.4574992670001 43.922637095,15.4909722670001 43.9130550950001,15.5260362670001 43.8950370950001,15.5338902670001 43.881946095,15.599445267 43.845273095,15.688890268 43.778882095,15.7821542680001 43.7562460950001,15.9408362680001 43.6836100950001,15.965899268 43.6318000950001,15.925827268 43.627737095,15.9188182680001 43.5669370950001,15.9883362680001 43.5044370950001,16.0369452680001 43.481800095,16.1027092680001 43.4758280950001,16.1702722680001 43.491937095,16.190554268 43.5116640950001,16.3102722680001 43.5430550950001,16.354027268 43.550828095,16.430554268 43.5456910950001,16.469236268 43.533537095,16.4991632680001 43.503055095,16.618890268 43.448882095,16.637781268 43.4411100950001,16.736381269 43.4161100950001,16.7641632690001 43.4113820950001,16.813609269 43.4069460950001,16.8380542690001 43.405273095,16.8608362690001 43.405273095,16.8816632690001 43.403610095,16.9399992690001 43.3647190940001,17.0449992690001 43.2725000940001,17.0681902690001 43.240973094,17.131381269 43.1988820940001,17.177845269 43.1738820940001,17.222499269 43.161382094,17.2516632690001 43.1541640940001,17.3265272690001 43.1163910940001,17.454999269 43.033337094,17.470554269 43.0177730940001,17.471663269 42.9905550940001,17.480690269 42.981246094,17.5188902690001 42.9527730940001,17.5785272690001 42.943828094,17.578708131 42.9436892360001,17.5797625120001 42.9387439010001,17.5785801170001 42.9383248830001,17.5785787020001 42.9383207110001,17.5757863440001 42.9365735800001,17.575280896 42.935768679,17.571912518 42.9367662220001,17.5718285950001 42.936832979,17.5678460510001 42.9372182640001,17.567426434 42.9370504170001,17.5645463380001 42.9370599540001,17.5633237280001 42.9358487870001,17.5625531590001 42.9357896590001,17.559169522 42.935240343,17.558727017 42.9350152760001,17.558013669 42.9352460650001,17.5561120420001 42.93638666,17.5548169530001 42.936991289,17.5548036010001 42.9370103630001,17.552432767 42.938026979,17.5515649230001 42.9383092670001,17.5511453070001 42.9383092670001,17.548936597 42.937578752,17.548665753 42.9371133590001,17.5475194370001 42.9357915670001,17.5449998290001 42.93250139,17.5429208190001 42.93042238,17.5413644230001 42.92831476,17.5413648420001 42.928314442,17.5413646700001 42.9283142090001,17.545043945 42.9255256650001,17.547771454 42.9233169560001,17.5486087800001 42.923067093,17.5502796170001 42.9223670960001,17.550327301 42.9223423,17.5535678860001 42.921318054,17.553934097 42.9211349490001,17.555555344 42.920614243,17.555978775 42.920366287,17.5576686860001 42.919891357,17.5580310820001 42.9198322300001,17.559087753 42.9195232390001,17.560003281 42.919364929,17.5620918270001 42.9187183380001,17.5640430450001 42.9178123470001,17.564823151 42.917566299,17.565589905 42.917156219,17.565858841 42.9170551300001,17.5672588350001 42.916309357,17.5690307620001 42.9156455990001,17.569444656 42.915550232,17.570014954 42.9152050020001,17.573329926 42.914148331,17.5739154820001 42.9138317110001,17.5756111150001 42.913187027,17.5756969450001 42.9131374360001,17.5774211880001 42.9123802190001,17.5785102840001 42.9120597840001,17.5797996520001 42.9120597840001,17.5822772980001 42.9113292690001,17.5827159880001 42.9111118320001,17.5834865570001 42.9108886720001,17.5848846440001 42.9102764130001,17.585626602 42.90965271,17.5886001590001 42.9077415470001,17.589159012 42.907262802,17.590507507 42.906671524,17.5914115910001 42.906667709,17.595029831 42.905988693,17.596378326 42.905361176,17.5973129270001 42.9050712590001,17.6002902980001 42.9034786220001,17.600687027 42.903390884,17.601133347 42.9031810760001,17.6031169890001 42.902851105,17.6044826510001 42.9023704530001,17.6065139770001 42.9024848940001,17.6091346740001 42.901990891,17.6091995240001 42.901966095,17.6130752560001 42.901468277,17.614135742 42.8999843600001,17.6155853270001 42.898532867,17.616580963 42.8978576660001,17.616966248 42.89756012,17.6201152800001 42.8959827420001,17.6201839450001 42.895954132,17.623142242 42.8944015500001,17.6242408750001 42.894332886,17.6242942810001 42.8943367000001,17.62727356 42.893667221,17.627578735 42.893318176,17.6302337650001 42.8911705020001,17.6311950680001 42.8898830410001,17.6327400210001 42.8888187410001,17.6347389220001 42.887756348,17.635120645 42.887345043,17.5227812690001 42.920273094,17.4389542690001 42.953955094,17.298881269 43.0069460940001,17.2688902690001 43.0119370940001,17.0106182690001 43.048046094,17.012363269 43.0062460940001,17.0716632690001 42.9863820940001,17.145272269 42.9766640940001,17.180481269 42.975482094,17.203745269 42.9819460940001,17.3649992690001 42.915273094,17.4391632690001 42.8738820940001,17.5524992690001 42.8408280940001,17.7426362690001 42.7970820940001,17.8772182700001 42.7677730940001,18.0577812700001 42.663610094,18.21471827 42.5794370940001,18.35706327 42.4965640940001,18.4822487590001 42.4209487140001,18.4822487060001 42.4209486460001,18.5169450700001 42.3999910650001,18.5191488240001 42.411389656,18.5227731750001 42.430136077,18.503973129 42.4486739860001,18.503200258 42.4494360790001,18.5032011120001 42.449436861,18.5043613870001 42.449391351,18.5045300260001 42.449384713,18.5045296320001 42.4493842100001,18.5068326100001 42.44929388,18.5101125 42.4486975400001,18.5118952300001 42.4483734,18.5165905900001 42.44654788,18.52017951 42.44515174,18.52229945 42.44409219,18.52570237 42.4423903100001,18.5312252200001 42.4387084100001,18.53398665 42.4345662600001,18.5358275200001 42.4290435400001,18.5358276000001 42.42352055,18.53398652 42.4152365400001,18.5330031770001 42.409823686,18.5332870440001 42.4094415930001,18.534948146 42.40820297,18.5357059310001 42.4076080350001,18.5383015200001 42.40611641,18.5416043230001 42.404573145,18.5434723000001 42.4035547400001,18.544992942 42.4016577450001,18.5469796470001 42.3995471280001,18.5497837880001 42.3956275990001,18.550645649 42.394520103,18.552130434 42.3922870420001,18.5523630550001 42.3918801830001,18.551895598 42.3882265840001,18.551662171 42.382392371,18.5516538860001 42.381973649,18.550580843 42.375870723,18.548750253 42.3663549610001,18.5487472040001 42.3663429740001,18.5464003970001 42.3548130710001,18.54598414 42.353744383,18.5438031210001 42.349361931,18.5210066710001 42.3043239090001,18.490497025 42.253486679,18.354013041 42.0394158510001,18.2786570220001 41.9194553450001,18.2019072680001 41.8302208550001,18.1985613210001 41.826416743,18.020445856 41.622009092,17.997245842 41.6430676950001,17.6254985260001 41.832173938,17.6166666670001 41.836666667,17.3116666670001 41.913333333,17.216666667 41.9916666670001,17.121103557 42.035908847,16.946666667 42.1166666670001,16.782293972 42.191760791,16.751514398 42.2058225260001,16.708691092 42.225386472,16.6609567510001 42.2471940390001,16.623895009 42.2641258,16.619266291 42.2662404430001,16.618150949 42.266098652,16.6169444440001 42.266666666,16.590133683 42.2786387990001,16.5829823650001 42.2694524670001,16.571437557 42.2565126370001,16.5659085570001 42.2510046370001,16.554519557 42.2407606370001,16.542257557 42.231089637,16.5395341 42.2292046160001,16.529173557 42.222033637,16.515325557 42.213631637,16.5007705570001 42.2059196370001,16.4855715570001 42.198929637,16.4697935570001 42.1926906370001,16.453504557 42.187231637,16.436771557 42.1825726370001,16.4291697150001 42.180867289,16.419667557 42.178735637,16.402264557 42.1757366370001,16.384636557 42.173587637,16.3729992570001 42.1727432640001,16.3668575560001 42.172297637,16.3490035560001 42.171873637,16.3311505560001 42.1723156370001,16.3268925560001 42.172596637,16.3218365560001 42.1727216370001,16.304059556 42.1740276370001,16.2864345560001 42.176192637,16.281514572 42.17704525,16.2690365560001 42.179207637,16.2596793070001 42.181315727,16.251938556 42.183059637,16.2482495560001 42.1840906370001,16.2376745560001 42.184860637,16.2200445560001 42.1870146370001,16.2026395560001 42.190019637,16.1855345560001 42.1938616370001,16.1833146170001 42.1944804660001,16.172573556 42.197474637,16.166518556 42.1988336370001,16.1642800550001 42.1994570630001,16.149782556 42.2034946370001,16.133490556 42.208956637,16.1177105560001 42.2151976370001,16.102509556 42.222189637,16.098849891 42.22412934,16.0879535560001 42.2299046370001,16.0775600700001 42.2362112690001,16.0741035560001 42.238308637,16.0610195560001 42.247365637,16.055543556 42.251684637,16.049689556 42.255735637,16.037423556 42.2654066370001,16.0271161850001 42.2746762130001,16.0260315560001 42.2756516370001,16.0155625560001 42.286427637,16.0151090210001 42.2869651870001,16.0060615560001 42.2976886370001,16.0002375560001 42.3055086370001,15.999254556 42.3068986370001,15.9965865560001 42.3107756370001,15.9891405560001 42.322858637,15.982771556 42.335277637,15.9824694820001 42.33600676,15.9782772830001 42.346125558,15.977509556 42.347978637,15.9733765560001 42.360907637,15.970390556 42.374008637,15.9688926740001 42.384857405,15.968565556 42.387226637,15.967964857 42.3994047900001,15.967910556 42.400505637,15.968429556 42.413786637,15.9684577520001 42.41401202,15.968729814 42.4161867720001,15.969134592 42.419422405,15.969517237 42.422481111,15.9698523060001 42.4251595100001,15.969202701 42.425324652,15.97041627 42.4274277100001,15.97148251 42.43182116,15.9720669050001 42.433484961,15.7466666670001 42.4916666670001,15.734130212 42.495645628,15.553152169 42.5530864850001,15.3633333330001 42.6133333330001,15.158333333 42.7983333330001,15.0740717900001 42.906532816,15.011666667 42.9866666670001,14.989905489 42.999101625,14.965 43.013333333,14.908333333 43.0633333330001,14.7983333330001 43.1766666670001,14.790024805 43.1871616500001,14.766666667 43.216666667,14.581666667 43.4200000000001,14.533333333 43.4950000000001,14.506666667 43.526666667,14.4400000000001 43.4400000000001,14.4085579310001 43.6385814860001,14.408333333 43.64,14.391666667 43.6716666670001,14.3566666670001 43.716666667,14.1716666670001 43.9,14.083333333 43.958333333,14.015 44.0083333330001,13.6666666670001 44.1800000000001,13.631666667 44.208333333,13.471666667 44.2966666670001,13.1950000000001 44.465,13.1833333330001 44.4766666670001,13.135 44.5000000000001,13.123986942 44.621143643,13.1133632090001 44.7380047030001,13.1133333330001 44.7383333330001,13.1066666670001 44.768333333,13.078333333 44.9750000000001,13.0083333330001 45.1850000000001,13.019843817 45.204732258,13.02 45.205,13.0633333330001 45.28,13.1016666670001 45.335,13.1900000000001 45.4316666670001,13.203118648 45.4447853140001,13.201944444 45.4505555550001,13.235829225 45.4859670970001,13.2579090630001 45.5149544350001,13.265752933 45.5255073660001,13.278763075 45.5307265970001,13.3255447830001 45.5486312,13.344713422 45.5565236640001,13.3651110490001 45.5628176880001,13.372198923 45.565045409,13.386099814 45.569848918,13.418516378 45.580815999,13.4244999920001 45.582253775,13.4517505850001 45.588082829,13.463930722 45.5907852820001,13.4639494420001 45.5907935590001,13.463971934 45.590742688,13.508600213 45.5446180330001,13.523037963 45.530843415,13.526970012 45.526822155,13.5320711960001 45.522952081,13.535423714 45.520699285,13.53827219 45.5173958300001,13.539495389 45.5160973770001,13.540668612 45.5150805440001,13.541228947 45.5145110500001,13.5447272760001 45.5117191860001,13.5465570320001 45.5104450380001,13.547124766 45.51009793,13.5497628860001 45.508753718,13.5520652920001 45.5073270340001,13.5547535170001 45.505901162,13.557593818 45.5048290140001,13.5608095310001 45.5034391400001,13.565169229 45.5020874050001),(14.331390266 44.8497190960001,14.3894452660001 44.6950000960001,14.4511092660001 44.6263910960001,14.4838902660001 44.6077730960001,14.4880542660001 44.605828096,14.4933272660001 44.6063820960001,14.5167992660001 44.614028096,14.5301362660001 44.633682096,14.506390266 44.670828096,14.470554266 44.740555096,14.459445266 44.8275000960001,14.4263902660001 44.984719096,14.4188902660001 44.9930460960001,14.4099992660001 45.004719096,14.3769452660001 45.0525000960001,14.3588902660001 45.1011100960001,14.3538902660001 45.1191640960001,14.3580542660001 45.136110096,14.3663902660001 45.1465910960001,14.363609266 45.1605550960001,14.3530542660001 45.166800096,14.317636266 45.1754100960001,14.3087452660001 45.1701370960001,14.274790266 45.1218730960001,14.2752722660001 45.1033370960001,14.3080542660001 45.0730550960001,14.317499266 45.0659730960001,14.341109266 45.0566640960001,14.353609266 45.0451370960001,14.3924992660001 44.956110096,14.3971812660001 44.9115910960001,14.3620812660001 44.907364096,14.3413902660001 44.9161100960001,14.331390266 44.8497190960001),(14.7213902670001 44.9402730960001,14.7336092670001 44.939991096,14.758190267 44.9419370960001,14.804999267 44.9694460960001,14.8144452670001 44.9804100960001,14.806663267 44.996382096,14.792499267 45.0091640960001,14.7041632670001 45.0683280960001,14.657772267 45.1227730960001,14.589581267 45.238328096,14.5543092660001 45.2476370960001,14.5391632660001 45.2394370960001,14.4288182660001 45.086246096,14.436390266 45.0700000960001,14.463609266 45.0480460960001,14.483336266 45.0354190960001,14.6408362670001 44.967773096,14.698327267 44.947773096,14.7213902670001 44.9402730960001),(14.7447182670001 44.675555096,14.917836267 44.5048910960001,15.0126632670001 44.441882095,15.0236632670001 44.4223910950001,15.100136267 44.334719095,15.1097182670001 44.323610095,15.128890267 44.3098640950001,15.1402722670001 44.303891095,15.171527267 44.295828095,15.2191632670001 44.305828095,15.2500722670001 44.335482095,15.2405542670001 44.350273095,15.1169452670001 44.4394370950001,15.085281267 44.458610096,15.0500722670001 44.4761100960001,15.036945267 44.4820820960001,15.0424452670001 44.4644910960001,15.007945267 44.489991096,14.9762722670001 44.5191640960001,15.010827267 44.5141640960001,15.0584722670001 44.481664096,15.0733362670001 44.480000096,15.042636267 44.5228460960001,14.960281267 44.5791640960001,14.9286092670001 44.598328096,14.9091632670001 44.6077730960001,14.873890267 44.608055096,14.7452812670001 44.694446096,14.7352092670001 44.697773096,14.736663267 44.6877730960001,14.7447182670001 44.675555096),(14.407218266 44.6038820960001,14.395418266 44.6265280960001,14.393890266 44.659437096,14.395418266 44.677219096,14.3919452660001 44.689855096,14.3827722660001 44.696946096,14.338054266 44.706737096,14.3477722660001 44.655273096,14.367499266 44.590273096,14.5111092660001 44.474164096,14.516663266 44.473328096,14.5259722660001 44.475691096,14.533472266 44.491100096,14.5158362660001 44.5125000960001,14.504163266 44.522500096,14.4897182660001 44.526664096,14.4766632660001 44.535828096,14.4263902660001 44.5816640960001,14.416109266 44.5922190960001,14.407218266 44.6038820960001),(15.184299267 43.8736100950001,15.194163267 43.8711100950001,15.217218267 43.8908280950001,15.225136267 43.899582095,15.219581267 43.9097190950001,15.143054267 43.9516640950001,15.0840272670001 43.9856910950001,15.0502812670001 44.013882095,15.0366632670001 44.0269370950001,14.992499267 44.083610095,14.854236267 44.172564095,14.859999267 44.1569460950001,14.871390267 44.1427730950001,14.881945267 44.1302730950001,14.9169452670001 44.109164095,14.9745812670001 44.0676370950001,14.9894452670001 44.0555460950001,15.0288902670001 44.0119370950001,15.036109267 44.0036100950001,15.0472182670001 43.9888820950001,15.0572182670001 43.9738820950001,15.0716632670001 43.9575000950001,15.0997182670001 43.927500095,15.1080542670001 43.920000095,15.1374992670001 43.896382095,15.148336267 43.8900000950001,15.184299267 43.8736100950001),(16.6288902680001 43.2619370940001,16.687218268 43.261664094,16.706109268 43.2652730940001,16.716390269 43.2661100940001,16.793327269 43.2686100940001,16.826109269 43.267491094,16.8473542690001 43.267919094,16.8872182690001 43.297773094,16.8847182690001 43.3172190940001,16.8073632690001 43.3513910940001,16.7761092690001 43.3594460940001,16.7530542690001 43.3627820940001,16.700272268 43.3686100940001,16.6011092680001 43.3791640950001,16.4321452680001 43.390482095,16.4055542680001 43.3260370940001,16.4147182680001 43.3147190940001,16.487781268 43.285273094,16.5197182680001 43.276382094,16.5774992680001 43.2686100940001,16.6288902680001 43.2619370940001),(16.654163268 43.1197190940001,16.6661092680001 43.119164094,16.879718269 43.1205550940001,17.057781269 43.112500094,17.1099992690001 43.1163910940001,17.116390269 43.1361100940001,16.961390269 43.1491640940001,16.811109269 43.161382094,16.6622182680001 43.2002730940001,16.613327268 43.213882094,16.565281268 43.218046094,16.475827268 43.2119370940001,16.4572182680001 43.2102730940001,16.3777722680001 43.1953460940001,16.430554268 43.1694460940001,16.4647182680001 43.160273094,16.5338812680001 43.1436100940001,16.654163268 43.1197190940001),(16.064445268 43.010555094,16.0933272680001 43.009991094,16.209863268 43.0234640940001,16.2521182680001 43.064610094,16.230554268 43.078328094,16.1849992680001 43.0816640940001,16.139718268 43.0825000940001,16.113890268 43.082219094,16.1036092680001 43.0811100940001,16.084999268 43.0775000940001,16.066109268 43.0702730940001,16.050554268 43.0630460940001,16.064445268 43.010555094),(16.831663269 42.903882094,16.866109269 42.8977730940001,16.941109269 42.911382094,17.1238902690001 42.911382094,17.134445269 42.9116640940001,17.183609269 42.918610094,17.1358272690001 42.9619370940001,17.044718269 42.975273094,17.0197182690001 42.9766640940001,16.9655542690001 42.9763910940001,16.9405542690001 42.9733280940001,16.911390269 42.9688910940001,16.8963812690001 42.9619370940001,16.873609269 42.9569370940001,16.863327269 42.9561100940001,16.8205542690001 42.9600000940001,16.7722182690001 42.9691640940001,16.756945269 42.972773094,16.7336092690001 42.980000094,16.7211092690001 42.9849910940001,16.6861092680001 42.9908280940001,16.6433272680001 42.986664094,16.6338902680001 42.9823550940001,16.6722182680001 42.9261100940001,16.7236092690001 42.9194460940001,16.831663269 42.903882094),(17.7274992690001 42.698328094,17.7399992690001 42.691664094,17.745554269 42.693055094,17.7402722690001 42.7030460940001,17.730554269 42.7100000940001,17.664863269 42.735973094,17.399436269 42.797773094,17.3780542690001 42.801937094,17.363054269 42.8022190940001,17.323472269 42.7890280940001,17.331663269 42.7748640940001,17.3586092690001 42.761664094,17.3724992690001 42.7572190940001,17.5486092690001 42.728337094,17.611381269 42.7205550940001,17.6347182690001 42.7183280940001,17.689445269 42.7077730940001,17.6997182690001 42.705555094,17.7274992690001 42.698328094)))', 'Croatian Exclusive Economic Zone', 'Croatia', 'Croatia', '', '187', '187', 'HRV', '5673', '2009-10-01', '56131796370', '5673', 'Y'),('SRID=4326;MULTIPOLYGON(((13.716945106 45.596109158,13.749927273 45.5490181820001,13.665836364 45.5430545450001,13.589445455 45.5169363640001,13.591736069 45.4817002030001,13.5905270100001 45.48336636,13.5876687800001 45.4873041700001,13.58627281 45.48869984,13.5842427200001 45.49072993,13.58061486 45.4939547000001,13.5785392600001 45.4950380400001,13.57597901 45.49637382,13.5717467600001 45.4989933900001,13.5708169500001 45.4995164000001,13.56852199 45.50080732,13.565169229 45.5020874050001,13.5608095310001 45.5034391400001,13.557593818 45.5048290140001,13.5547535170001 45.505901162,13.5520652920001 45.5073270340001,13.5497628860001 45.508753718,13.547124766 45.51009793,13.5465570320001 45.5104450380001,13.5447272760001 45.5117191860001,13.541228947 45.5145110500001,13.540668612 45.5150805440001,13.539495389 45.5160973770001,13.53827219 45.5173958300001,13.535423714 45.520699285,13.5320711960001 45.522952081,13.526970012 45.526822155,13.523037963 45.530843415,13.508600213 45.5446180330001,13.463971934 45.590742688,13.4639494420001 45.5907935590001,13.4640876770001 45.590854676,13.4833410050001 45.5994202190001,13.519830874 45.6152558000001,13.5350542510001 45.6198897640001,13.5486845720001 45.622500803,13.5522162180001 45.623635559,13.5661420610001 45.627977732,13.5687827780001 45.628785022,13.5787806860001 45.6321187070001,13.581249916 45.6325342120001,13.6026088570001 45.6449111810001,13.6053281850001 45.646534897,13.606602411 45.6472783520001,13.69910851 45.605448531,13.705299855 45.6019126310001,13.7072504610001 45.6010372970001,13.716945106 45.596109158)))', 'Slovenian Exclusive Economic Zone', 'Slovenia', 'Slovenia', '', '188', '188', 'SVN', '5692', '', '195772648.3', '5692', 'Y'),('SRID=4326;MULTIPOLYGON(((-78.8097178799999 1.43778218000006,-78.829181573 1.42889085300004,-78.874454573 1.33833635300005,-78.889290573 1.23836335300007,-78.924454574 1.23139135300005,-78.999454574 1.17221835300006,-79.0797275739999 1.18749985300002,-79.123063574 1.13471835300004,-79.148899574 1.10958135300007,-79.170154574 1.09374535300003,-79.206118574 1.08278135300003,-79.252918574 1.07895435300003,-79.2861185739999 1.08166335300007,-79.319454574 1.08221835300003,-79.440845574 1.07528135300004,-79.459036574 1.06291835300004,-79.483336574 1.03971835300007,-79.5493815739999 0.992009353000071,-79.579036574 0.987081353000065,-79.6166725739999 0.99083635300002,-79.6586185739999 0.997218353000051,-79.736263574 0.967918353000073,-79.7588995739999 0.953609353000047,-79.7777905739999 0.938609353000061,-79.802918574 0.912636353000039,-79.819454574 0.89860935300004,-79.8552815739999 0.873609353000063,-79.9713905739999 0.827218353000035,-80.010836575 0.823891353000022,-80.049099575 0.831245353000043,-80.100836575 0.77028135300003,-80.105836575 0.750836353000068,-80.107781575 0.677081353000062,-80.082509575 0.647781353000028,-80.050136575 0.638472353000054,-80.036118575 0.618609353000068,-80.021536575 0.586245352000049,-80.015709575 0.555690852000055,-80.020699575 0.531245352000042,-80.0450725749999 0.496045352000067,-80.041399575 0.449445352000055,-80.033063575 0.429999852000037,-80.010981575 0.400209352000047,-79.993063574 0.372218352000061,-79.998618575 0.34860935200004,-80.003145575 0.342972352000061,-80.039936575 0.354999852000049,-80.0450095749999 0.29278135200002,-80.045836575 0.265554352000038,-80.043063575 0.235554352000065,-80.0397365749999 0.212218352000036,-80.0400095749999 0.166945352000027,-80.045836575 0.130554352000047,-80.069454575 0.0604183520000561,-80.1129995749999 -1.47999969613011e-07,-80.1388905749999 -0.0313906479999559,-80.2393095749999 -0.135690647999979,-80.258618575 -0.149718647999975,-80.282363575 -0.155281647999971,-80.340290575 -0.186945647999949,-80.372227575 -0.216390647999958,-80.501181575 -0.372572647999959,-80.490627575 -0.414309147999973,-80.422227575 -0.535836648999975,-80.401672575 -0.57028164899998,-80.374309575 -0.611390648999929,-80.338199575 -0.616945648999945,-80.3133365749999 -0.615554648999932,-80.269718575 -0.625381648999962,-80.338899575 -0.636390648999964,-80.376536575 -0.634581648999927,-80.4043815749999 -0.617499648999967,-80.4142455749999 -0.582290648999958,-80.433263575 -0.569518648999974,-80.499454575 -0.679309148999948,-80.523609575 -0.735136648999969,-80.530290575 -0.770836648999932,-80.5334815749999 -0.821109148999938,-80.576045575 -0.897708648999981,-80.6187635749999 -0.92721864899994,-80.711399575 -0.928336648999959,-80.751118575 -0.920281648999946,-80.835972575 -0.928890648999925,-80.912790575 -1.03652764899994,-80.9150095749999 -1.05763664899996,-80.890072575 -1.13549064899996,-80.8508455749999 -1.19305464899998,-80.809445575 -1.24694564899994,-80.758272575 -1.32479064899997,-80.787854575 -1.46416364899994,-80.809309575 -1.47430914899996,-80.821399575 -1.49833664899995,-80.845836575 -1.56028164999998,-80.854799575 -1.59465464999994,-80.847499575 -1.61860914999994,-80.820145575 -1.67760914999997,-80.7858455749999 -1.73305464999993,-80.773899575 -1.76166364999995,-80.732227575 -1.91416364999998,-80.730981575 -1.93791864999997,-80.754172575 -2.07694564999997,-80.771536575 -2.10819064999993,-80.7875095749999 -2.12652764999996,-80.8547365749999 -2.17528164999993,-80.924999575 -2.20694564999997,-80.976672575 -2.18500014999995,-80.9750095749999 -2.21694564999996,-80.8900185749999 -2.32055464999996,-80.816390575 -2.36721864999993,-80.784590575 -2.38097264999993,-80.7330725749999 -2.38000064999994,-80.682509575 -2.39708164999996,-80.662227575 -2.41305464999994,-80.620981575 -2.44791864999996,-80.568890575 -2.51250014999994,-80.459872575 -2.63028165099996,-80.3113995749999 -2.72110965099995,-80.290554575 -2.72805465099998,-80.2522275749999 -2.73319065099997,-80.217227575 -2.62639065099995,-80.173618575 -2.58750014999993,-80.1052815749999 -2.51291864999996,-80.073899575 -2.45333664999993,-80.059445575 -2.41250014999997,-80.0254905749999 -2.34215464999994,-79.955836574 -2.31610964999993,-79.976536574 -2.34778164999994,-80.0054275749999 -2.35916364999997,-80.028899575 -2.42639064999997,-80.0647275749999 -2.57333664999993,-80.051118575 -2.59166364999993,-80.0024995749999 -2.61250064999996,-79.9738905739999 -2.60083664999996,-79.931399574 -2.58166364999994,-79.905836574 -2.55930914999993,-79.8902905739999 -2.53333664999997,-79.8694455739999 -2.42778164999993,-79.8658455739999 -2.38944564999997,-79.863899574 -2.27486364999993,-79.869863574 -2.25389064999996,-79.888345574 -2.23097264999996,-79.903209574 -2.20513664999993,-79.9027905739999 -2.18500014999995,-79.900281574 -2.16000014999997,-79.895281574 -2.12528164999998,-79.883818574 -2.09139064999994,-79.8234905739999 -2.03694564999995,-79.7629275739999 -2.01402764999995,-79.772781574 -2.03610914999996,-79.808899574 -2.07583664999993,-79.8513905739999 -2.19097264999994,-79.8420905739999 -2.20875464999995,-79.8347275739999 -2.30805464999997,-79.844099574 -2.37819064999997,-79.792572574 -2.47889064999993,-79.770009574 -2.48944564999994,-79.748899574 -2.48471864999993,-79.725627574 -2.54242764999998,-79.7268185739999 -2.59694564999995,-79.736263574 -2.61458164999993,-79.7695905739999 -2.64278165099995,-79.781109574 -2.65916365099997,-79.831681574 -2.80305465099997,-79.859727574 -2.91278165099993,-79.877790574 -3.01860915099996,-79.884172574 -3.03860915099995,-79.8922275739999 -3.05889065099996,-79.920345574 -3.08937265099996,-79.941118574 -3.14971865099994,-79.9441725739999 -3.18180915099992,-79.956318574 -3.20778165099995,-80.0211185749999 -3.26166365099994,-80.1427905749999 -3.33471865099995,-80.269936575 -3.33860865099996,-80.291399575 -3.32833665099997,-80.323627575 -3.35971865099998,-80.340427575 -3.38051865099993,-80.342660575 -3.39276665099993,-84.469150579 -3.39276665099993,-84.563897566 -3.39276665099993,-84.563510137 -3.38853036299997,-84.5596230579999 -3.34602698499998,-84.558738579 -3.33635665099996,-84.5588650609999 -3.33485289099997,-84.559216267 -3.33067366299997,-84.554505986 -3.27913173099995,-84.554447623 -3.27849311799997,-84.5544475789999 -3.27849265099997,-84.554924579 -3.27281665099997,-84.552657277 -3.24798481699997,-84.5501591409999 -3.22062940399996,-84.550636254 -3.21495987699996,-84.5458732289999 -3.16276560999995,-84.5463501099999 -3.15710279099994,-84.5434254149999 -3.12503029299995,-84.5415895789999 -3.10490165099998,-84.542008579 -3.09993337499998,-84.5420665409999 -3.09924557699998,-84.537309119 -3.04703778299995,-84.537785543 -3.04138826099995,-84.537785543 -3.04138823499994,-84.533030579 -2.98917365099993,-84.5332398049999 -2.98669846999996,-84.5335071229999 -2.98353076399997,-84.5287552889999 -2.93130963699997,-84.5292312729999 -2.92567316499998,-84.524482227 -2.87344544499996,-84.52471135 -2.87073411299997,-84.524957579 -2.86781565099994,-84.520211579 -2.81558165099995,-84.5203436 -2.81402180799995,-84.5206872859999 -2.80995758299997,-84.517966182 -2.77998958899997,-84.515943579 -2.75771665099995,-84.516114478 -2.75569997299993,-84.5164191489999 -2.75209960099994,-84.5116784479999 -2.69985239399995,-84.512153573 -2.69424164999998,-84.5074155789999 -2.64198765099997,-84.507776952 -2.63772421199997,-84.507890563 -2.63638347799997,-84.506716769 -2.62342836699997,-84.503155427 -2.58412329799995,-84.503630152 -2.57852488899994,-84.500292686 -2.54166466999993,-84.498897579 -2.52625864999993,-84.499074359 -2.52417747999993,-84.4993722899999 -2.52066639699996,-84.495581866 -2.47877406799995,-84.494642579 -2.46839364999994,-84.495116579 -2.46280764999995,-84.492965801 -2.43901575799993,-84.490390131 -2.41052906299996,-84.4908642669999 -2.40494903099994,-84.4861401599999 -2.35266416099995,-84.4866141049999 -2.34709015799996,-84.483469005 -2.31225685499993,-84.481892579 -2.29479964999996,-84.4821501229999 -2.29177431499994,-84.482366509 -2.28923115799995,-84.481978279 -2.28492834499997,-84.4776475789999 -2.23693364999997,-84.4780471729999 -2.23224473999994,-84.4781214779999 -2.23137203199997,-84.4737669479999 -2.18307643599996,-84.473405615 -2.17906898699994,-84.473405579 -2.17906864999998,-84.473878579 -2.17351264999996,-84.4691655789999 -2.12120364999993,-84.469355622 -2.11897845799996,-84.4696391099999 -2.11565339899994,-84.466228804 -2.07777747699993,-84.4649285789999 -2.06333864999993,-84.4654015789999 -2.05779364999995,-84.464184732 -2.04426770399994,-84.460694131 -2.00547310899998,-84.46093788 -2.00261797899998,-84.461166579 -1.99993464999994,-84.45891392 -1.97487621399995,-84.456462088 -1.94760766199994,-84.456801486 -1.94363482699993,-84.4569345789999 -1.94207464999994,-84.4526042909999 -1.89387878299993,-84.452232604 -1.88974213599994,-84.452232613 -1.88974202999998,-84.4522325789999 -1.88974164999996,-84.452293821 -1.88902603799994,-84.452705134 -1.88421461999997,-84.448943689 -1.84232320699994,-84.448005579 -1.83187664999997,-84.448477579 -1.82635464999993,-84.445554048 -1.79376749399995,-84.4437813119999 -1.77401085399993,-84.444253519 -1.76849447399997,-84.4395595029999 -1.71614509599993,-84.4400315459999 -1.71063428999997,-84.43982456 -1.70832417199995,-84.4353402519999 -1.65827926199995,-84.435812148 -1.65277382599993,-84.431123581 -1.60041364899996,-84.431123558 -1.60041334999994,-84.4315953029999 -1.59491331399994,-84.42690942 -1.54254736199994,-84.4270475119999 -1.54093842799995,-84.427380579 -1.53705264899997,-84.422697579 -1.48468164899992,-84.422918045 -1.48211732099998,-84.4231692929999 -1.47919191399996,-84.420712662 -1.45170105599993,-84.418488579 -1.42681564899993,-84.418637469 -1.42508543499997,-84.4189601269999 -1.42133102599996,-84.4142823449999 -1.36894893699997,-84.41475352 -1.36347001399997,-84.410078431 -1.31108264199997,-84.410549471 -1.30560887599995,-84.3591623629999 -0.727628712999945,-84.35195422 -0.700871047999954,-84.349332385 -0.671268459999965,-84.198584167 -0.110911231999978,-83.9529861669999 0.414859700000022,-83.951108198 0.417538198000045,-83.9305370979999 0.461607921000052,-83.927933578 0.467185353000048,-83.9260505779999 0.469870352000044,-83.9108806419999 0.502374271000065,-83.902882273 0.519511366000074,-83.900994829 0.522203887000046,-83.9009946799999 0.522204207000073,-83.9009945779999 0.522204352000074,-83.877831578 0.571838352000043,-83.875939578 0.57453735200005,-83.8650511439999 0.597872936000044,-83.852782156 0.624166408000065,-83.851186351 0.62644331100006,-83.850885578 0.626872353000067,-83.840166251 0.649847698000031,-83.827733515 0.67649519500003,-83.826945307 0.677619914000047,-83.825832578 0.679207353000038,-83.802685578 0.72882435300005,-83.8007805779999 0.731543353000063,-83.7776385779999 0.781155353000031,-83.776329711 0.783023986000046,-83.775730341 0.783879396000032,-83.752593259 0.833486619000041,-83.75174924 0.834691288000045,-83.750680578 0.836216353000054,-83.727548578 0.885818353000047,-83.727240814 0.886257832000069,-83.725632122 0.888554114000044,-83.706134773 0.930366555000035,-83.7025045779999 0.938151353000023,-83.700584578 0.940892353000038,-83.677461578 0.990485353000054,-83.676877872 0.991318872000022,-83.675538234 0.993231411000068,-83.6524194849999 1.04282033400006,-83.651460449 1.04418961300007,-83.650492578 1.04557135300007,-83.643161807 1.06129759100003,-83.6273784059999 1.09515587300007,-83.6256310799999 1.09765083900004,-83.625448578 1.09791135300003,-83.6216587179999 1.10604225000003,-83.602338274 1.14749225500003,-83.6004055239999 1.15025219200004,-83.577299087 1.19982948200004,-83.575888412 1.20184405400005,-83.575363578 1.20259335300005,-83.552260578 1.25216735300006,-83.551281213 1.25356666300007,-83.550322469 1.25493593600004,-83.529338024 1.29996879400005,-83.527223578 1.30450635300002,-83.525282578 1.30727835300007,-83.518297256 1.32227070800008,-83.5021872089999 1.35684622600007,-83.500606385 1.35910427000005,-83.500243578 1.35962235300002,-83.477151578 1.40918635300005,-83.475205578 1.41196635300003,-83.457648152 1.44965592900007,-83.457647788 1.44965671000006,-78.8572846289999 1.44965671000006,-78.8097178799999 1.43778218000006),(-80.001954575 -2.66555465099998,-80.0197275749999 -2.66221865099993,-80.0383455749999 -2.66360965099994,-80.085281575 -2.67375465099997,-80.208072575 -2.72610965099994,-80.240281575 -2.79221865099993,-80.258054575 -2.83000065099998,-80.261945575 -2.84000065099997,-80.2650185749999 -2.85083665099995,-80.265836575 -2.86471865099998,-80.2731905749999 -3.01520965099996,-80.263199575 -3.02416365099998,-80.216945575 -3.03639065099998,-80.211399575 -3.03666365099997,-80.193345575 -3.03471865099993,-80.1233365749999 -3.01486365099993,-80.112227575 -3.00000065099994,-80.100627575 -2.95395465099995,-80.123609575 -2.88833665099997,-79.923899574 -2.76139065099994,-79.910845574 -2.74416365099995,-79.9027905739999 -2.72208165099994,-80.001954575 -2.66555465099998)))', 'Ecuadorean Exclusive Economic Zone', 'Ecuador', 'Ecuador', '', '137', '137', 'ECU', '8431', '', '237998570700', '8431', 'Y'),('SRID=4326;MULTIPOLYGON(((-73.7236516209446 -20.140950527657,-73.7313777362116 -20.1339259654312,-73.7418068580382 -20.1243375707968,-73.7452239744206 -20.121195919857,-73.7589943801992 -20.1083937588549,-73.7726885467781 -20.0955198795558,-73.786306069407 -20.0825746818171,-73.7998465466582 -20.0695585669971,-73.8133095791776 -20.0564719391342,-73.8266947709615 -20.0433152037185,-73.8400017281124 -20.0300887688955,-73.8532300600199 -20.0167930443018,-73.8663793782728 -20.0034284421445,-73.8794492977924 -19.9899953760547,-73.8924394356762 -19.9764942622587,-73.9053494123556 -19.9629255183868,-73.9181788505167 -19.9492895645867,-73.9309273761223 -19.9355868224474,-73.9435946174563 -19.9218177160102,-73.9561802061285 -19.9079826706837,-73.9686837760538 -19.8940821143468,-73.9811049644547 -19.8801164762438,-73.9913745068351 -19.8684608131512,-73.9934434109282 -19.8660861880171,-74.0056987583879 -19.8519916826427,-74.0176020818272 -19.8381492547592,-74.0291567287289 -19.8245620904311,-74.0406345536395 -19.8109174582684,-74.0520352547941 -19.7972157422615,-74.0633585323834 -19.7834573284345,-74.074604089436 -19.7696426037817,-74.0802042822734 -19.7626868835022,-74.0893647645443 -19.7556714300276,-74.1098902704369 -19.7397039342582,-74.113064589083 -19.7371956414268,-74.1269464025195 -19.7279194176808,-74.1363286886291 -19.7242204769701,-74.1540802742993 -19.7171119343339,-74.1717891428155 -19.7099102107682,-74.1894547443318 -19.7026155329256,-74.2070765318923 -19.6952281298141,-74.2246539588721 -19.6877482338537,-74.2421864815022 -19.6801760798188,-74.259673556487 -19.6725119058506,-74.2771146434225 -19.6647559524112,-74.2945092023968 -19.6569084633348,-74.3118566963843 -19.6489696847622,-74.3291565889378 -19.640939866182,-74.3464083465336 -19.632819259355,-74.3636114362434 -19.6246081193945,-74.3807653281084 -19.6163067036484,-74.3978694928197 -19.6079152728043,-74.4149234040138 -19.5994340897789,-74.431926536055 -19.5908634208035,-74.4488783663214 -19.5822035342882,-74.4657783729394 -19.5734547019594,-74.4826260369924 -19.5646171977336,-74.499420840431 -19.5556912987973,-74.5161622682365 -19.5466772844698,-74.5328498062515 -19.5375754373557,-74.5494829433046 -19.5283860421994,-74.5508469464376 -19.5276315832526,-74.5659670164147 -19.5191627335775,-74.5823021623058 -19.5099067915366,-74.5985826594919 -19.5005661321331,-74.6148080218026 -19.4911410407169,-74.6255772924588 -19.4848077594672,-74.6387865997363 -19.4792710793699,-74.6505569533935 -19.4742821035087,-74.6735492013647 -19.4644380038374,-74.6964639804214 -19.4544355890885,-74.7193000730571 -19.4442753986756,-74.7420562660329 -19.4339579807128,-74.7647313518767 -19.4234838913446,-74.7873241275423 -19.4128536953502,-74.8098333958646 -19.4020679654686,-74.832257964279 -19.3911272829961,-74.8545966462098 -19.3800322371196,-74.8768482598484 -19.3687834255058,-74.8990116294967 -19.3573814536329,-74.9210855843841 -19.3458269353821,-74.9366748684424 -19.3375254320568,-75.0276308892612 -19.3059486320096,-75.0296975397824 -19.3052284333919,-75.0311057467816 -19.3047360832701,-75.0382222029352 -19.3022445010232,-75.0507806456013 -19.2977952120445,-75.0687645309097 -19.2913478942881,-75.0867097560248 -19.2848059276454,-75.1046157639373 -19.2781695174806,-75.1224819978568 -19.271438872547,-75.1403079037087 -19.2646142040633,-75.1580929276664 -19.2576957266407,-75.1758365186502 -19.2506836573274,-75.1935381258896 -19.2435782165546,-75.2111972013682 -19.2363796271708,-75.228813197446 -19.2290881153951,-75.2463855692624 -19.2217039098371,-75.2639137723824 -19.2142272424703,-75.2813972651642 -19.2066583476368,-75.2988355064489 -19.1989974630317,-75.3162279579124 -19.1912448286839,-75.3335740817614 -19.1834006879678,-75.3508733430104 -19.1754652865877,-75.368125207293 -19.1674388735671,-75.385329143117 -19.1593217002119,-75.4024846196033 -19.151114021163,-75.4195911087677 -19.1428160933177,-75.436648083315 -19.1344281768846,-75.453655018854 -19.1259505343083,-75.4706113917425 -19.1173834313281,-75.4875166812428 -19.1087271359019,-75.5043703674347 -19.0999819192604,-75.5211719333197 -19.0911480548283,-75.5379208627636 -19.0822258192904,-75.554616642573 -19.0732154914994,-75.5712587604572 -19.0641173535589,-75.5878467071208 -19.0549316896954,-75.5894083818696 -19.0540657628386,-75.6108346727654 -19.0419748414606,-75.6401600292444 -19.0251519387708,-75.669306189917 -19.0080542245973,-75.6982703208342 -18.990683399865,-75.7270496104947 -18.9730411911081,-75.7556412670885 -18.9551293520952,-75.7840425218521 -18.936949661744,-75.8122506262711 -18.9185039258442,-75.8402628554469 -18.8997939748712,-75.8680765052638 -18.8808216658066,-75.8956888957914 -18.8615888798321,-75.9230973683901 -18.8420975242686,-75.9293373209596 -18.837567456419,-75.9798126050063 -18.8127809339742,-76.081551059212 -18.7607280169536,-76.1319379326685 -18.7338923870551,-76.1568951875482 -18.7200750012556,-76.1597306543543 -18.7185014636545,-76.1615564305092 -18.7174846344599,-76.1708912968685 -18.7122781486332,-76.1837917212957 -18.7050111896856,-76.200238462139 -18.6956540459317,-76.2166296794065 -18.68621026093,-76.2329648729622 -18.6766801292067,-76.2492435437552 -18.6670639484649,-76.2654651956801 -18.6573620184966,-76.2816293337787 -18.6475746422448,-76.2977354660841 -18.6377021246989,-76.3137831017934 -18.6277447739976,-76.3297717531017 -18.6177029003059,-76.3457009334493 -18.6075768169,-76.3615701592462 -18.5973668390821,-76.3773789482152 -18.5870732852333,-76.3931268210977 -18.576696475713,-76.4088132999603 -18.5662367339608,-76.4244379098818 -18.555694385382,-76.4322994401094 -18.5502212695092,-76.4399612333562 -18.5450122368774,-76.4516906959453 -18.5369906896622,-76.4554924590154 -18.5343528911096,-76.469147401427 -18.5247811715843,-76.4755205643567 -18.5220833431565,-76.4928144122183 -18.5145576973263,-76.5100638144975 -18.506941345836,-76.5272682465209 -18.4992345237168,-76.544427184191 -18.491437469219,-76.5615401061481 -18.483550422842,-76.5786064915799 -18.4755736283282,-76.5956258224091 -18.4675073316564,-76.6125975812168 -18.4593517820093,-76.6295212533056 -18.4511072307961,-76.6463963246887 -18.4427739326175,-76.6632222841479 -18.4343521442623,-76.679998621195 -18.4258421257126,-76.6967248281338 -18.4172441391113,-76.7134003980672 -18.4085584497722,-76.7300248268647 -18.3997853251668,-76.7465976112706 -18.3909250359099,-76.7631182508427 -18.3819778547342,-76.7795862460143 -18.3729440575256,-76.7960011000765 -18.3638239222495,-76.7977931128161 -18.3628267869465,-76.8124165711783 -18.3545868178796,-76.8288317962051 -18.3452324526601,-76.8451916652149 -18.3357914614288,-76.8614956792979 -18.3262641383556,-76.8777433406599 -18.3166507807604,-76.8939341544362 -18.3069516880519,-76.9100676269008 -18.2971671627853,-76.9261432672598 -18.2872975095864,-76.9421605859324 -18.2773430361938,-76.9581190962688 -18.2673040524014,-76.9740183128819 -18.2571808710943,-76.9898577533473 -18.2469738071778,-77.0056369365312 -18.2366831786401,-77.0213553842825 -18.2263093054606,-77.0370126198032 -18.2158525106697,-77.0526081692447 -18.2053131192964,-77.0681415601933 -18.1946914593748,-77.0836123232177 -18.183987860899,-77.099019990329 -18.1732026568721,-77.1143640965522 -18.1623361822185,-77.1296441783999 -18.1513887748494,-77.1448597753936 -18.1403607745849,-77.1600104286111 -18.129252524191,-77.1750956821307 -18.1180643683314,-77.1901150816358 -18.1067966545891,-77.2050681758451 -18.0954497324033,-77.2199545151138 -18.0840239541145,-77.2347736528036 -18.072519673926,-77.2495251439808 -18.0609372488989,-77.264208546787 -18.0492770378859,-77.27882342106 -18.0375394026111,-77.2933976440086 -18.0257017053146,-77.3135065411616 -18.0091107977748,-77.3348148905629 -17.9912528027338,-77.3391562239211 -17.9876144397558,-77.3645798500796 -17.9658768618899,-77.3897749991917 -17.9439002139815,-77.4147392779519 -17.9216866669932,-77.4394703168883 -17.8992384158797,-77.4639657741546 -17.8765576761569,-77.488223332136 -17.8536466869264,-77.5002804146102 -17.842144380419,-77.5266621537265 -17.8167230026329,-77.5477144654008 -17.7960768719021,-77.5894527215283 -17.7544120047765,-77.6101160708124 -17.7334159508501,-77.6369948982949 -17.7056182428029,-77.6461110943108 -17.6961145791837,-77.6642866825493 -17.6770152270617,-77.6823042622136 -17.6577804107133,-77.7001627763693 -17.6384113179071,-77.7178611793018 -17.6189091438584,-77.735398435851 -17.5992750919271,-77.7543650566761 -17.5776683642752,-77.7642136399513 -17.566148184156,-77.8039328472956 -17.5192450513658,-77.8345952049256 -17.4819471769985,-77.8565039010781 -17.4544935175523,-77.8729493162037 -17.433431311461,-77.9432789988542 -17.3852514299017,-77.9526807504186 -17.3782648349796,-78.0477281470128 -17.3076335644277,-78.1421832023076 -17.2316747753407,-78.1498940901318 -17.2254329386081,-78.165356495366 -17.2128406781583,-78.1662802005661 -17.2120878172595,-78.1802603376981 -17.2005613810938,-78.1946099835459 -17.1886007764423,-78.208889818598 -17.1765642224428,-78.2230994172915 -17.1644520907836,-78.2372383559165 -17.1522647558883,-78.2513062137374 -17.1400025939615,-78.2653025719785 -17.1276659838585,-78.2792270148108 -17.1152553062211,-78.2930791284119 -17.1027709443071,-78.3068585019341 -17.0902132831206,-78.3205647265404 -17.0775827102806,-78.3341973964112 -17.0648796150986,-78.3477561077656 -17.0521043894781,-78.3612404598077 -17.0392574270314,-78.3746500538579 -17.0263391238922,-78.3879844942379 -17.0133498778716,-78.4012433874075 -17.0002900892842,-78.4144263428103 -16.9871601601233,-78.4275329720857 -16.9739604948318,-78.4405628898868 -16.9606914994855,-78.4535157130769 -16.9473535825969,-78.4663910615089 -16.9339471543199,-78.4791885573015 -16.9204726271917,-78.491907825618 -16.906930415316,-78.5045484938837 -16.8933209351836,-78.5171101925181 -16.8796446048907,-78.5295925542983 -16.8659018448207,-78.5419952150202 -16.8520930769173,-78.5543178128318 -16.8382187254172,-78.5665599888977 -16.8242792161049,-78.5781141705588 -16.8109816726609,-78.5787213867867 -16.810274976999,-78.5908016530871 -16.7962064376463,-78.6028004368231 -16.7820740297893,-78.6147173900264 -16.7678781866983,-78.626552167206 -16.753619343789,-78.6383044258986 -16.7392979379641,-78.6499738261307 -16.7249144082542,-78.6615600309512 -16.710469195167,-78.6730627059461 -16.6959627412797,-78.6844815197181 -16.6813954906348,-78.6958161434379 -16.6667678893036,-78.7070662512977 -16.6520803848005,-78.7182315200841 -16.6373334266293,-78.7293116296036 -16.622527465725,-78.7403062622848 -16.6076629549704,-78.7512151035921 -16.5927403486402,-78.7620378416368 -16.5777601029202,-78.7727741675319 -16.5627226754179,-78.7834237750936 -16.5476285255689,-78.7939863611608 -16.5324781141845,-78.8044616252755 -16.5172719038979,-78.8148492699919 -16.5020103587153,-78.8251490006042 -16.4866939444062,-78.8353605254436 -16.4713231280602,-78.8454835555901 -16.4558983785078,-78.8555178051236 -16.4404201659389,-78.8654629909375 -16.4248889621805,-78.8753188329314 -16.40930524039,-78.8850850538118 -16.3936694753636,-78.8947613793199 -16.3779821431669,-78.9043475380182 -16.3622437214695,-78.9138432614709 -16.3464546892486,-78.9183130416428 -16.3389383841803,-78.9221439304944 -16.332496427712,-78.9232482841246 -16.3306155269746,-78.9325623434152 -16.3147267164302,-78.9417851796644 -16.298788740874,-78.9509165362309 -16.282802084777,-78.9599561593465 -16.2667672340966,-78.9689037982499 -16.2506846760375,-78.9777592051161 -16.2345548991677,-78.9865221351153 -16.218378393307,-78.9951923463678 -16.2021556495963,-79.0037695999893 -16.1858871604134,-79.0122536600601 -16.1695734194155,-79.0206442936674 -16.1532149214567,-79.0289412708714 -16.1368121626378,-79.0371443647272 -16.120365640264,-79.0452533512928 -16.1038758528125,-79.0532680096205 -16.0873432999466,-79.0550897628158 -16.0835308253098,-79.0622224228515 -16.0716613106945,-79.0706257480152 -16.0575168659289,-79.0716186903566 -16.0558241025725,-79.0725494592204 -16.0542352126262,-79.0830932650578 -16.0390877786554,-79.093549431091 -16.0238853923445,-79.1039182725217 -16.0086276476628,-79.1141994947753 -15.9933150098493,-79.1243928062773 -15.9779479454922,-79.1344979181963 -15.9625269229056,-79.1445145446672 -15.9470524117884,-79.1544424026351 -15.9315248834562,-79.1642812120217 -15.9159448105792,-79.1740306955577 -15.9003126674326,-79.1836905789484 -15.8846289296357,-79.1932605907362 -15.8688940743603,-79.2027404624535 -15.8531085800774,-79.2112252113418 -15.838816429211,-79.2121299284792 -15.8372729267861,-79.2214287261651 -15.8213875957974,-79.2346271047833 -15.7984174752354,-79.2516080240669 -15.7683022481581,-79.2682648726337 -15.7380189856607,-79.2845960186514 -15.7075709352245,-79.2897725518907 -15.6976700991203,-79.2952495827012 -15.6893050009988,-79.3052567883115 -15.6738325403125,-79.3151753853403 -15.6583070481019,-79.3250050937113 -15.6427289967712,-79.3347456361582 -15.6270988603176,-79.3443967383727 -15.6114171140919,-79.3539581288808 -15.5956842349888,-79.3634295391762 -15.5799007012258,-79.3720158088949 -15.5654243610879,-79.3728107036043 -15.5640669925239,-79.38210135946 -15.5481835899425,-79.3913012469271 -15.5322509759713,-79.4004101091492 -15.5162696344045,-79.409427692165 -15.5002400504432,-79.4183537449654 -15.48416271059,-79.4271880194694 -15.4680381026847,-79.4359302705436 -15.4518667158609,-79.4445802559932 -15.4356490405561,-79.4531377365935 -15.4193855684446,-79.4616024760614 -15.4030767924822,-79.4699742410655 -15.3867232068824,-79.478252801258 -15.3703253070443,-79.4864379292359 -15.3538835896219,-79.4945294005938 -15.3373985524112,-79.5025269938714 -15.3208706944457,-79.5104304906189 -15.304300515856,-79.5182396753356 -15.287688517989,-79.525954335538 -15.2710352032547,-79.5335742617036 -15.2543410752373,-79.5410992473335 -15.237606638552,-79.5485290888807 -15.2208323989915,-79.5558635858493 -15.2040188632961,-79.5631025406821 -15.1871665394023,-79.5702457588922 -15.1702759361242,-79.5772930489323 -15.1533475634554,-79.5842442223289 -15.1363819322363,-79.5910990935581 -15.1193795544451,-79.5978574801768 -15.1023409428655,-79.6045192026762 -15.0852666114437,-79.6110840846466 -15.0681570748583,-79.6175519526324 -15.0510128488821,-79.6231034644497 -15.0360767548598,-79.62392263627 -15.0338344500124,-79.6301959681268 -15.0166223958865,-79.6363717838934 -14.9993772047524,-79.6424499222028 -14.9820993959548,-79.6484302248002 -14.9647894894454,-79.6543125363679 -14.9474480062721,-79.6600967047172 -14.9300754680114,-79.6657825805967 -14.9126723973182,-79.6713700178851 -14.8952393173385,-79.6768588733971 -14.8777767522878,-79.6822490070855 -14.8602852268083,-79.6875402818356 -14.8427652666097,-79.6927325636772 -14.8252173977684,-79.6978257215698 -14.8076421474246,-79.7028196276211 -14.7900400430295,-79.707714156871 -14.7724116130784,-79.7125091875034 -14.7547573863444,-79.7172046006432 -14.7370778926033,-79.7218002805569 -14.7193736618684,-79.7262961144427 -14.7016452251765,-79.7306919926517 -14.6838931137144,-79.7349878084663 -14.6661178596769,-79.7391834583177 -14.6483199953703,-79.7432788415686 -14.6305000541024,-79.747273860732 -14.6126585692243,-79.751168421249 -14.594796075093,-79.754962431708 -14.5769131060637,-79.7586558036375 -14.5590101974328,-79.7622484517019 -14.5410878844764,-79.765740293496 -14.5231467034501,-79.7691312497622 -14.5051871904731,-79.7724212441701 -14.4872098826394,-79.7751301025787 -14.4720010816538,-79.7756102035274 -14.4692153168839,-79.7786980575788 -14.4512040310592,-79.7816847391966 -14.4331765628302,-79.784570184185 -14.415133450803,-79.7873543314785 -14.3970752332987,-79.7900371229425 -14.3790024495746,-79.7926185035638 -14.3609156385644,-79.7950984212641 -14.3428153401105,-79.7974768270773 -14.3247020936837,-79.7997536749714 -14.3065764396737,-79.8019289220213 -14.2884389180281,-79.8040025282373 -14.2702900695877,-79.8059744567257 -14.2521304347266,-79.8078446735319 -14.2339605546796,-79.8096131477865 -14.2157809701618,-79.8105331762673 -14.2057406943103,-79.8117067387083 -14.2043463567085,-79.8235084601679 -14.1901721284592,-79.8352294349521 -14.175934827308,-79.8468693225468 -14.161634887412,-79.8584277849943 -14.147272744871,-79.869904487159 -14.1328488373945,-79.8812990964399 -14.1183636046553,-79.8926112830197 -14.1038174879747,-79.9038407196963 -14.089210930532,-79.9149870820809 -14.0745443771029,-79.9260500483878 -14.0598182743307,-79.9370292996367 -14.0450330704559,-79.9479245195005 -14.0301892155119,-79.9587353944662 -14.015287161107,-79.9694616136911 -14.0003273606135,-79.9801028691413 -13.9853102689724,-79.9906588554899 -13.9702363428316,-80.0011292702219 -13.9551060403908,-80.0115138135401 -13.9399198215343,-80.0218121884952 -13.9246781476351,-80.0320241008665 -13.9093814817237,-80.0421492592379 -13.8940302883736,-80.0521873749902 -13.8786250337064,-80.0621381623296 -13.8631661853414,-80.072001338244 -13.8476542124604,-80.081776622565 -13.8320895857025,-80.091463737928 -13.8164727772227,-80.1010624098026 -13.8008042606396,-80.110572366496 -13.7850845110215,-80.1199933391513 -13.7693140048848,-80.1292854954373 -13.7535611508204,-80.138567271178 -13.7376226361952,-80.147719707094 -13.7217027337292,-80.1567821120687 -13.7057339948944,-80.165754231551 -13.6897169031429,-80.174635813819 -13.6736519433513,-80.1834266100728 -13.6575396016524,-80.192126374366 -13.6413803655475,-80.2007348636694 -13.6251747237845,-80.2092518377984 -13.6089231664882,-80.2176770595228 -13.5926261849454,-80.2260102944539 -13.5762842718119,-80.234251311167 -13.5598979208697,-80.2423998810922 -13.5434676272367,-80.2504557786327 -13.5269938871175,-80.2584187810383 -13.5104771980574,-80.2662886685544 -13.4939180586275,-80.2740652242866 -13.4773169686989,-80.281748234341 -13.4606744291368,-80.2893374876668 -13.4439909421339,-80.2968327762434 -13.4272670107915,-80.3042338949086 -13.4105031394947,-80.311540641523 -13.3936998335323,-80.3169779197855 -13.3810024281572,-80.3216468897663 -13.3751892498411,-80.3330956135979 -13.3607717266793,-80.3444626346237 -13.3462928540308,-80.3557476234142 -13.3317530723761,-80.3669502531408 -13.3171528240385,-80.3780701997027 -13.3024925530195,-80.3891071416387 -13.287772705107,-80.4000607602385 -13.2729937277256,-80.4109307394315 -13.258156070081,-80.421716765917 -13.2432601829788,-80.4324185290612 -13.2283065189604,-80.4430357209797 -13.2132955321864,-80.4535680365051 -13.198227678476,-80.4640151732235 -13.1831034152517,-80.4743768314539 -13.167923201562,-80.4846527142714 -13.1526874980457,-80.494842527503 -13.1373967669323,-80.5049459797627 -13.1220514719831,-80.5149627824202 -13.1066520785356,-80.5248926496162 -13.0911990534751,-80.5347352982926 -13.0756928651805,-80.5444904481733 -13.0601339835529,-80.5541578217915 -13.0445228799634,-80.5637371444609 -13.0288600272973,-80.5732281443375 -13.0131458998456,-80.5826305523515 -12.9973809734121,-80.5919441022966 -12.9815657251618,-80.6012642650815 -12.965535926283,-80.6137539768793 -12.9436670916672,-80.6296042859841 -12.9154145146293,-80.6451734154498 -12.8870127697879,-80.6604600008999 -12.8584645352552,-80.6754627075477 -12.8297724986251,-80.6901802267803 -12.8009393632396,-80.7046112796991 -12.7719678413073,-80.7187546137628 -12.7428606603626,-80.7326090062579 -12.7136205561768,-80.7461732610249 -12.684250279376,-80.7594462118136 -12.6547525882284,-80.7724267190972 -12.6251302554198,-80.7851136733423 -12.5953860606469,-80.7975059919161 -12.5655227975424,-80.8096026222296 -12.5355432661627,-80.821402538752 -12.5054502800421,-80.8272205573134 -12.490395065816,-80.8445464240309 -12.4448939219827,-80.8505399531761 -12.4289030581403,-80.8623736663589 -12.3968230910421,-80.8650327132727 -12.3895615830554,-80.8712596105252 -12.3721286473569,-80.8773174421576 -12.3548629625882,-80.8832787714886 -12.3375649539051,-80.8891434396465 -12.3202351407376,-80.8949112908574 -12.3028740429629,-80.9005821721884 -12.2854821816526,-80.9061559337978 -12.2680600783067,-80.9116324286784 -12.2506082556362,-80.9170115129296 -12.2331272366949,-80.9222930454927 -12.2156175457197,-80.9274768884083 -12.1980797072757,-80.9325629065684 -12.1805142470715,-80.9375509679662 -12.1629216911,-80.9424409434408 -12.1453025665073,-80.9472327069458 -12.1276574006393,-80.9519261352745 -12.1099867220111,-80.9565211083376 -12.0922910592801,-80.9594914402126 -12.0805851118665,-80.9983583253412 -12.0144643269267,-81.0028860537325 -12.0067108705266,-81.0119495350237 -11.9910925024001,-81.0124474587731 -11.9902338304135,-81.0214822379884 -11.9744437439305,-81.0314723326532 -11.9567588006759,-81.041352597057 -11.9390144694526,-81.0511226884879 -11.9212114080626,-81.0607822686921 -11.9033502759634,-81.0703310034627 -11.8854317350135,-81.0797685630905 -11.8674564486241,-81.0890946219345 -11.8494250825586,-81.0983088588567 -11.8313383040904,-81.1074109567996 -11.8131967828145,-81.1164006032323 -11.7950011897548,-81.1252774897161 -11.7767521982244,-81.1340413123589 -11.7584504828926,-81.1426917713628 -11.7400967207042,-81.1512285714973 -11.7216915898817,-81.1596514216513 -11.7032357708603,-81.1637894650797 -11.694094902064,-81.2689959987206 -11.4596333002373,-81.2868984751767 -11.4182039599822,-81.3216389600209 -11.3346814704638,-81.3384067750939 -11.2927553346555,-81.3991807354261 -11.1345026945231,-81.4026440340193 -11.1254004093887,-81.4067961514006 -11.1143899187445,-81.4080466536694 -11.1118944187056,-81.4127984513356 -11.1022791937199,-81.416158680478 -11.095479796633,-81.4241791941741 -11.0790215619703,-81.432107970062 -11.0625202102492,-81.439944786424 -11.0459762379385,-81.4476894242714 -11.0293901429554,-81.4553416676064 -11.0127624241062,-81.4629013031569 -10.9960935816485,-81.4703681206602 -10.9793841166669,-81.4777419125857 -10.9626345316779,-81.4850224744192 -10.9458453299874,-81.492209604384 -10.9290170163179,-81.4993031037291 -10.9121500961338,-81.5063027764486 -10.8952450762943,-81.5132084295708 -10.8783024643574,-81.5165879546975 -10.8698779200029,-81.5200198728695 -10.8613227692706,-81.5267369191638 -10.8443065006255,-81.533359384028 -10.8272541693766,-81.5398870860824 -10.8101662870947,-81.5463198467123 -10.7930433666826,-81.5526574903567 -10.7758859216122,-81.5588790203529 -10.7586822475841,-81.5593577228407 -10.7576615202103,-81.5602208971355 -10.7563477091255,-81.5694035015047 -10.7404985795841,-81.5704481035235 -10.7386929008708,-81.5818064356051 -10.718713173431,-81.5973391772384 -10.6909431811934,-81.6126027968757 -10.6630283061099,-81.6275959872295 -10.6349710886051,-81.6350062330763 -10.6209421997056,-81.6780499986544 -10.5384819738846,-81.6846015605906 -10.5257952814688,-81.6976300220995 -10.5002964948402,-81.710436440404 -10.4746882567977,-81.7230199324926 -10.4489724537801,-81.735379633433 -10.4231509772505,-81.7475146941196 -10.3972257282433,-81.7594242835876 -10.3711986124719,-81.7711075868077 -10.3450715449824,-81.7825638069403 -10.3188464451663,-81.7937921631856 -10.2925252415092,-81.804791892978 -10.2661098665011,-81.8155622498906 -10.2396022614894,-81.8261025057682 -10.2130043714843,-81.836411948691 -10.1863181501122,-81.8427154626315 -10.1697373051062,-81.848841055549 -10.1530912368217,-81.8496134874567 -10.1509525017549,-81.8572761123855 -10.1296880849441,-81.8712551885222 -10.1139298831504,-81.8877683572551 -10.0950298748215,-81.9086902783995 -10.0706120657948,-81.9108025309489 -10.0680932919286,-81.9401847267027 -10.0329818403884,-81.9612572741734 -10.0072820394568,-81.9742146540363 -9.99115387075744,-81.9870705232386 -9.97494655920531,-81.9998244039723 -9.95866072940015,-82.0124758228532 -9.94229700847688,-82.0250243103724 -9.92585602680197,-82.037469401469 -9.90933841722602,-82.0498106349566 -9.89274481582919,-82.0620475541519 -9.87607586108095,-82.0741797062988 -9.8593321946089,-82.0862066431433 -9.84251446040611,-82.0981279203804 -9.8256233055925,-82.1099430982615 -9.80865937955537,-82.1216517409876 -9.7916233348036,-82.1274650563334 -9.78310825498704,-82.1608463593323 -9.7338793756997,-82.1954398777672 -9.68070421730164,-82.2625768021746 -9.57304492844787,-82.2776681580097 -9.54836260746498,-82.2923267828147 -9.52342525967157,-82.2950832085129 -9.51862298483655,-82.3504571288377 -9.42175201253053,-82.3550757048039 -9.41361724089359,-82.364148045459 -9.39753227717387,-82.3730900985662 -9.3814711575908,-82.3819016754024 -9.36543617505816,-82.3906244048147 -9.34935355211758,-82.3992580382041 -9.33322377252915,-82.4078023299146 -9.31704732104947,-82.4162570368819 -9.30082468408682,-82.4246219189832 -9.28455634902934,-82.4328967387125 -9.26824280486528,-82.4410812615143 -9.2518845415276,-82.4491752554316 -9.2354820505854,-82.4571784914904 -9.21903582446754,-82.4641761448778 -9.2044524190394,-82.4820016438318 -9.19629593337163,-82.5062263657974 -9.18497681830809,-82.5303584598543 -9.17346559799699,-82.554396380668 -9.16176301650904,-82.5783385908167 -9.14986982954355,-82.6021835582821 -9.13778680564656,-82.6259297591998 -9.12551472484068,-82.649575675299 -9.11305437991808,-82.6731197966529 -9.10040657501548,-82.6965606191754 -9.08757212692831,-82.7198966472973 -9.07455186366752,-82.7431263914478 -9.06134662583639,-82.7521559021827 -9.05617623499603,-82.7619066252831 -9.05050901388728,-82.7762698594829 -9.04209593531419,-82.7834083102255 -9.03789080576553,-82.8597820435506 -8.99263506649748,-82.9666471703117 -8.92369647298062,-83.1747841180941 -8.77787393165914,-83.2760106604918 -8.70102213749323,-83.3049218729401 -8.67728911986313,-83.3133873676596 -8.67029262788492,-83.3302958252299 -8.65622394412401,-83.3358899821542 -8.65154842965944,-83.3457128395214 -8.64323768052986,-83.3596523795892 -8.63135123100687,-83.3735258057307 -8.6193889149244,-83.3873327057718 -8.6073510946859,-83.4010726698068 -8.59523813482286,-83.4147452899758 -8.58305040218613,-83.4283501606849 -8.57078826574985,-83.4418868784114 -8.55845209678432,-83.4553550419416 -8.5460422686395,-83.4687542521166 -8.53355915697477,-83.4820841121357 -8.52100313947847,-83.4953442272927 -8.50837459611125,-83.5085342052345 -8.49567390886023,-83.5216536557293 -8.48290146195831,-83.5347021909302 -8.4700576416289,-83.5476794251173 -8.45714283633436,-83.5605849749953 -8.44415743648136,-83.573418459401 -8.43110183471049,-83.5861794996235 -8.41797642557174,-83.5988677191169 -8.40478160581512,-83.6114827437926 -8.39151777408625,-83.6240242017519 -8.3781853312048,-83.6364917235828 -8.36478467984875,-83.6488849420609 -8.35131622487035,-83.6612034924917 -8.33778037292689,-83.6734470123775 -8.32417753283903,-83.6856151417701 -8.31050811520282,-83.6977075229465 -8.29677253274588,-83.7097238007476 -8.28297119994483,-83.7216636222467 -8.26910453340111,-83.733526637109 -8.2551729514247,-83.7453124972656 -8.24117687440895,-83.7484027393197 -8.23749624130346,-83.7570208572492 -8.22711672443523,-83.7686513738491 -8.21299292568034,-83.7802037065055 -8.19880590394064,-83.7916775169331 -8.18455608708456,-83.8030724695022 -8.17024390458442,-83.8143882308833 -8.15586978795369,-83.8256244704185 -8.14143417027788,-83.8367808597605 -8.12693748667067,-83.8478570732581 -8.1123801737765,-83.8588527875884 -8.09776267024421,-83.8697676821526 -8.08308541620443,-83.880601438652 -8.0683488538312,-83.8812519503005 -8.06745373417397,-83.8913537415472 -8.05355342672203,-83.9020242776822 -8.03869958040394,-83.9126127366148 -8.02378776187675,-83.923118810266 -8.00881842009801,-83.9335421933465 -7.99379200538078,-83.9438825829338 -7.97870896999115,-83.9541396789054 -7.96356976752054,-83.9643131835105 -7.94837485350854,-83.9744028018159 -7.93312468478098,-83.9844082413024 -7.91781972004878,-83.9943292122617 -7.90246041930448,-84.0041654273913 -7.88704724443897,-84.013916602237 -7.87158065855408,-84.0235824547835 -7.85606112659906,-84.0331627058562 -7.84048911472894,-84.0426570787154 -7.82486509095384,-84.0520652995034 -7.80918952440993,-84.0613870968023 -7.79346288607957,-84.0706222020879 -7.77768564803563,-84.0797703492888 -7.76185828417789,-84.0819302826951 -7.75811002027478,-84.0888312752356 -7.74598126946347,-84.0978047192376 -7.73005508063608,-84.1066904235145 -7.71408019546203,-84.1154881327527 -7.69805709351783,-84.1241975945787 -7.68198625533466,-84.1328185591214 -7.66586816318767,-84.1413507794363 -7.64970330031213,-84.1497940110771 -7.6334921516991,-84.1581480125531 -7.61723520322744,-84.1664125449022 -7.60093294247349,-84.174587372108 -7.58458585789896,-84.1826722606784 -7.56819443967754,-84.1906669801033 -7.5517591787742,-84.1985713023968 -7.53528056786899,-84.2063850025627 -7.51875910039666,-84.2141078581515 -7.5021952714626,-84.2217396496956 -7.48558957692086,-84.229280160301 -7.46894251424249,-84.2367291760617 -7.45225458161002,-84.24408648563 -7.4355262788614,-84.2513518806804 -7.41875810644626,-84.2585251554574 -7.40195056644819,-84.265606107222 -7.38510416154804,-84.2725945358226 -7.36821939602629,-84.2794902441285 -7.35129677472435,-84.2862930376052 -7.33433680406563,-84.2930027247435 -7.3173399909993,-84.2996191166516 -7.30030684400759,-84.3061420274618 -7.28323787207404,-84.3125712739211 -7.26613358572632,-84.3189066758224 -7.24899449591032,-84.325148055578 -7.23182111511085,-84.3265177548357 -7.22803805666683,-84.3327114892469 -7.2105634761532,-84.341541851429 -7.18520320136656,-84.3501677676779 -7.15977297609601,-84.3585887187826 -7.13427444189165,-84.3668041996426 -7.10870924199594,-84.3748137177197 -7.08307902598,-84.3826167945808 -7.05738544489896,-84.3902129644193 -7.03163015597755,-84.3976017755488 -7.00581481764203,-84.4047827889734 -6.97994109431949,-84.4117555798165 -6.95401065139674,-84.4185197359594 -6.92802516007032,-84.4250748593929 -6.90198629226757,-84.4314205649355 -6.87589572551917,-84.4375564815044 -6.84975513785002,-84.4434822508974 -6.8235662127334,-84.4463835638323 -6.81050099325671,-84.4674532153045 -6.71378565107682,-84.4694776253746 -6.70436187120862,-84.4734895133642 -6.68542047424677,-84.4773917128209 -6.66645620215064,-84.4811841067163 -6.64746968945008,-84.4848665818547 -6.62846157046693,-84.4884390285254 -6.6094324810453,-84.49190134085 -6.59038305674608,-84.4952534164401 -6.57131393464834,-84.496031007187 -6.56685503490274,-84.4993146434238 -6.54717715951182,-84.5040110642386 -6.51796167134421,-84.5084491686301 -6.48870582327794,-84.5126286572709 -6.45941189936042,-84.516549251381 -6.43008218251862,-84.5202106916831 -6.40071896174589,-84.5236127393983 -6.37132452449168,-84.5267551753217 -6.34190116392796,-84.5296378006819 -6.31245117133778,-84.5322604363436 -6.28297684341544,-84.5346229235419 -6.25348047455907,-84.5367251232043 -6.22396436427738,-84.5385669165573 -6.19443080940664,-84.5401482045768 -6.16488211153137,-84.5414689084552 -6.13532056920826,-84.5425289691842 -6.10574848547299,-84.5429936379271 -6.09096894531353,-84.5435565264925 -6.0701469717377,-84.5438744435598 -6.05626169751673,-84.5443958289098 -6.02847126331858,-84.5446872057079 -6.00067742975449,-84.5447485891083 -5.97288210608104,-84.5447449896239 -5.96407414142271,-84.5446415716624 -5.94984945145882,-84.5444314190831 -5.93158030661772,-84.5441219407033 -5.9133125658874,-84.5437131554299 -5.89504677117782,-84.5432050850396 -5.87678346336349,-84.5425977542202 -5.85852318414476,-84.5418911905157 -5.84026647413128,-84.5410854243861 -5.82201387470411,-84.5401804891339 -5.80376592613743,-84.5391764209866 -5.78552316949515,-84.5380732589974 -5.76728614465446,-84.5368710451505 -5.74905539223477,-84.5355698242408 -5.73083145166555,-84.5349655431169 -5.72296964908656,-84.5379253164689 -5.71375590114036,-84.5434173717039 -5.69633330149276,-84.548814314628 -5.67888094451388,-84.5541159939139 -5.66139935073909,-84.5593222612829 -5.64388904083927,-84.5644329710921 -5.6263505369846,-84.5694479807519 -5.60878436142832,-84.5743671503321 -5.59119103785179,-84.5791903429471 -5.573571090011,-84.5839174243632 -5.55592504313404,-84.5885482634089 -5.53825342242027,-84.5930827315855 -5.52055675448025,-84.5975207034352 -5.50283556592791,-84.6018620561937 -5.4850903847294,-84.6061066701385 -5.46732173880332,-84.6102544282332 -5.44953015747024,-84.6143052164966 -5.43171616990446,-84.6182589236499 -5.41388030663052,-84.6221154414537 -5.39602309803809,-84.6258746643848 -5.37814507583818,-84.6295364899589 -5.36024677155143,-84.6331008184139 -5.34232871801169,-84.6365675530265 -5.32439144781381,-84.6399365998044 -5.30643549484256,-84.64320786779 -5.28846139270433,-84.646381268766 -5.27046967628132,-84.6472561942135 -5.26546497477256,-84.6494567175456 -5.25246088013154,-84.6524341316927 -5.23443554005917,-84.6553134317943 -5.21639419152075,-84.6580945412019 -5.19833737117256,-84.6607773862828 -5.18026561529086,-84.6633618961733 -5.1621794613614,-84.6658480030262 -5.14407944641101,-84.6682356417697 -5.12596610866541,-84.6705247503409 -5.10783998586447,-84.6727152694664 -5.08970161688842,-84.6748071428701 -5.07155154011934,-84.6768003170747 -5.05339029506689,-84.6786947415945 -5.03521842068102,-84.6804903687509 -5.01703645702457,-84.6821871538488 -4.99884494356667,-84.68378505501 -4.98064442084643,-84.6852840333314 -4.9624354287759,-84.6866840527327 -4.94421850834857,-84.6879850801026 -4.92599419986715,-84.6891870851629 -4.90776304465481,-84.6902900405923 -4.8895255833288,-84.69129392191 -4.87128235756887,-84.6921987075833 -4.85303390826851,-84.6930043789333 -4.83478077726193,-84.6937109202152 -4.81652350563826,-84.6943183185412 -4.79826263549967,-84.6948265639535 -4.7799987080607,-84.6952356493604 -4.76173226546717,-84.6955455705851 -4.74346384902049,-84.6957563263256 -4.72519400096144,-84.6958679181848 -4.70692326260098,-84.6958803506481 -4.6886521761275,-84.6958760088093 -4.68350826768352,-84.6957936310924 -4.67038128280467,-84.695607769786 -4.65211112477954,-84.6953227798766 -4.63384224318696,-84.6949386774105 -4.61557518003463,-84.6944554813009 -4.59731047630163,-84.6938732133661 -4.5790486737576,-84.6931918982788 -4.56079031314113,-84.6924115636249 -4.54253593600379,-84.6915322398304 -4.52428608277114,-84.6905539602415 -4.50604129465103,-84.6894767610306 -4.48780211171248,-84.6883006812979 -4.46956907478432,-84.6870257629549 -4.45134272351021,-84.6856520508478 -4.43312359826297,-84.6841795926197 -4.41491223820151,-84.6826084388544 -4.39670918319069,-84.6809386429182 -4.37851497184084,-84.6791702611249 -4.36033014344002,-84.6773033525544 -4.34215523599096,-84.6753379792405 -4.32399078814393,-84.6732742059671 -4.3058373372217,-84.6711121004807 -4.28769542119556,-84.6688517332602 -4.26956557666102,-84.6664931777491 -4.25144834079794,-84.6640365101115 -4.23334424941527,-84.6614818094822 -4.21525383888729,-84.6588291576951 -4.19717764414679,-84.6560786395672 -4.17911620070817,-84.6532303425959 -4.1610700426005,-84.6502843572573 -4.14303970434304,-84.6472407766967 -4.12502571898517,-84.6440996970531 -4.10702862009259,-84.643175506453 -4.10178213404458,-84.6408612171052 -4.08904893965405,-84.6375254386318 -4.07108721015686,-84.6340924660389 -4.05314396251691,-84.6305624067255 -4.0352197280485,-84.6269353707041 -4.01731503649415,-84.6232114710011 -3.99943041804733,-84.6193908232231 -3.98156640122045,-84.6154735459847 -3.96372351490345,-84.6114597604738 -3.94590228633274,-84.6073495908983 -3.92810324312745,-84.6031431640093 -3.91032691117198,-84.6023045785601 -3.90686676047631,-84.6010008102882 -3.89637242105573,-84.5986501572492 -3.87825412399724,-84.5962014220655 -3.86014893572036,-84.5936546830486 -3.84205739274483,-84.591010021208 -3.82398003013765,-84.5882675205264 -3.80591738347925,-84.5854272676784 -3.78786998693636,-84.582489352323 -3.76983837519947,-84.5794538667827 -3.75182308144002,-84.5763209063749 -3.73382463935451,-84.5753441547191 -3.7282681523638,-84.5730905690651 -3.71584358110255,-84.5697629558076 -3.69788043927798,-84.5663381701949 -3.67993574495085,-84.5628163188202 -3.66201002963192,-84.5591975108856 -3.64410382322023,-84.5554818586028 -3.62621765604348,-84.5516694767725 -3.6083520567866,-84.5477604832112 -3.59050755453637,-84.5437549983062 -3.57268467671122,-84.5401286274699 -3.55694739048772,-84.4691508521045 -3.39276699999999,-84.4691507291707 -3.39276717904619,-84.4691505789998 -3.39276665099987,-80.342660575 -3.39276665099987,-80.3426255749998 -3.39276665099987,-80.3474995749998 -3.41992765099991,-80.3641815749999 -3.45555465099994,-80.378481575 -3.47569065099987,-80.3980545749998 -3.49028165099992,-80.4200095749998 -3.49583665099982,-80.4447365749999 -3.49721865099986,-80.5031995749999 -3.4981906509999,-80.5322995749999 -3.51020915099991,-80.5477905749998 -3.54166365099985,-80.5575095749999 -3.56028165099985,-80.6022275749998 -3.62013665099988,-80.6502815749998 -3.64721865099995,-80.7219545749999 -3.68471865099986,-80.8172275749998 -3.74680915199986,-80.8325095749998 -3.7658366519999,-80.8463905749999 -3.79444565199992,-80.8561275749998 -3.82639065199993,-80.8638905749999 -3.86860915199992,-80.8826455749998 -3.89131865199988,-80.9405635749999 -3.92610865199993,-80.9884815749998 -3.96028165199988,-81.0200095749998 -4.00458165199996,-81.060527575 -4.08475465199996,-81.1172905759999 -4.1222186519999,-81.2576545759998 -4.25139065199994,-81.2763995759998 -4.28083665199995,-81.2888275759998 -4.3136816519999,-81.2802905759999 -4.35971865199997,-81.2798725759999 -4.38541865199994,-81.3030725759999 -4.55221865199997,-81.3290365759999 -4.64639065199998,-81.3443095759999 -4.66555465199997,-81.3551455759999 -4.68749965199981,-81.3452815759998 -4.70722765199992,-81.3301455759999 -4.72528165199998,-81.2138995759998 -4.85028165299985,-81.1213995759999 -4.95221865299993,-81.1094545759999 -4.96833665299994,-81.0850095759999 -5.01778165299982,-81.0858455759999 -5.04166365299989,-81.0954185759999 -5.06013665299997,-81.115972576 -5.06652765299987,-81.153199576 -5.06221865299995,-81.1786905759998 -5.0742366529999,-81.2038275759999 -5.20444565299994,-81.1362545759998 -5.28666365299995,-81.1137635759998 -5.29916365299982,-81.0919455759998 -5.30610965299996,-81.0516815749999 -5.3416636529999,-80.9811275749999 -5.40999965299983,-80.9562545749999 -5.44013665299997,-80.9230635749999 -5.50249965299997,-80.9123725749999 -5.52597265299994,-80.872854575 -5.64458165299993,-80.873481575 -5.71333665299989,-80.8812545749999 -5.76249965299996,-80.8888995749998 -5.7905546529999,-80.8986185749999 -5.80999965299986,-80.9201455749999 -5.84458165399991,-80.939036575 -5.86013665399997,-80.9591725749999 -5.86749965399991,-80.9834815749998 -5.86986365399991,-81.0108365749999 -5.86249965399992,-81.0359815749999 -5.8520816539999,-81.065981575 -5.83305465299998,-81.1122275759998 -5.83333665299989,-81.1515365759998 -5.85569065399983,-81.1790365759999 -5.8981906539999,-81.1970905759999 -5.96916365399994,-81.1963995759998 -5.98999965399997,-81.174727576 -6.08666365399995,-81.1458455759999 -6.11028165399995,-81.069736576 -6.15528165399991,-80.8900185749998 -6.23055465399995,-80.6697275749999 -6.32055465399992,-80.608336575 -6.3594456539999,-80.5819545749999 -6.37583665399995,-80.5583365749998 -6.3938906539999,-80.5279905749999 -6.42708165399989,-80.4525185749999 -6.47471865399984,-80.3169545749999 -6.5494456539999,-80.1925095749999 -6.60833665399986,-80.1427905749998 -6.62971865399993,-80.1163995749998 -6.64541865399991,-79.980009574 -6.76860965399993,-79.9627815739998 -6.81194565399983,-79.9465365739998 -6.87069065399993,-79.9323725739998 -6.89055465399991,-79.877227574 -6.94749965499989,-79.8404905739999 -6.97020965499996,-79.8177815739999 -6.98610965499989,-79.7308365739998 -7.09110915499986,-79.7150095739998 -7.11666365499985,-79.7105545739998 -7.15249965499993,-79.7088635739999 -7.18152765499991,-79.6488995739999 -7.2408366549999,-79.6377905739998 -7.25749965499995,-79.6127905739999 -7.31555465499991,-79.605009574 -7.33555465499995,-79.5841635739999 -7.39902765499994,-79.5925095739999 -7.42819065499998,-79.5873635739998 -7.46249965499993,-79.5504185739998 -7.52249965499988,-79.533336574 -7.54055465499982,-79.5008365739999 -7.57778165499997,-79.4561185739998 -7.6569456549999,-79.4447365739999 -7.69278165499998,-79.4283455739998 -7.75639065499985,-79.3725095739999 -7.85278165499989,-79.3388995739999 -7.90180915499985,-79.3183365739999 -7.92347265499996,-79.2961095739998 -7.94249965499995,-79.2194545739999 -8.00583665599987,-79.1994455739999 -8.01389065599994,-79.1766725739999 -8.02610965599996,-79.1588905739999 -8.04305465599998,-78.9945905739999 -8.21965465599982,-78.9184815729999 -8.37166365599995,-78.9169545729999 -8.39208165599985,-78.9256275739999 -8.41694565599983,-78.8438995729999 -8.5055546559999,-78.7719545729998 -8.58639065599988,-78.763063573 -8.6099996559999,-78.7528545729999 -8.64916365599993,-78.7512545729999 -8.69736365599982,-78.7550095729999 -8.72194565599983,-78.7261185729999 -8.82805465599995,-78.6629905729998 -8.92458165599993,-78.6616635729998 -8.95999965599998,-78.6637995729999 -8.96666365599998,-78.6834095729998 -8.98729065599986,-78.639790573 -9.0694456569999,-78.5747185729999 -9.11666365699989,-78.5205725729999 -9.17249965699995,-78.513627573 -9.23694565699986,-78.4852905729999 -9.32999965699992,-78.4397275729999 -9.36278165699991,-78.4052905729999 -9.42778165699985,-78.4013995729998 -9.52375465699993,-78.3777905729999 -9.61916365699989,-78.3389635729998 -9.68131865699996,-78.246254573 -9.79597265699994,-78.244999573 -9.8244456569999,-78.2558455729999 -9.87249965699982,-78.2388905729998 -9.93055465699996,-78.1766815729999 -10.0883366569999,-78.069454573 -10.3219456579998,-78.0083455729999 -10.4241636579999,-77.9432095729998 -10.5191636579999,-77.915554573 -10.5538906579999,-77.8951455729999 -10.6027816579999,-77.8945905729999 -10.6125276579999,-77.8275185719999 -10.6980546579999,-77.7833365719999 -10.749999658,-77.7197275719998 -10.851663658,-77.6794545719998 -10.9341636579999,-77.6109095719999 -11.1802816579998,-77.6161095719999 -11.2161086589998,-77.6490725719999 -11.2195456589999,-77.6654995719998 -11.252499659,-77.6477095719998 -11.2978456589999,-77.6008365719999 -11.330554659,-77.5677815719998 -11.3405546589998,-77.548618572 -11.3494456589999,-77.4847275719999 -11.3847276589999,-77.3744545719998 -11.4509726589998,-77.3047365719999 -11.5109726589999,-77.2008455719999 -11.6629186589998,-77.1748635719998 -11.736109159,-77.1858365719999 -11.8022186589999,-77.1529275719998 -11.8934726589999,-77.1444545719999 -11.9494456589999,-77.1411095719999 -11.9999996589999,-77.175699572 -12.070899659,-77.1230545719998 -12.0775096589999,-77.0897365719998 -12.093609659,-77.0666725719998 -12.105972659,-77.0493185719999 -12.1269456589999,-76.9161185719998 -12.2711091589999,-76.858336572 -12.3194456599999,-76.8216725719999 -12.3602816599999,-76.7997275719999 -12.39028166,-76.7893095719999 -12.4377816599999,-76.7505635709999 -12.5352816599999,-76.6372275709999 -12.7494456599999,-76.6025095709999 -12.7881906599998,-76.5200095709999 -12.9036091599999,-76.5127905709999 -12.9666636599998,-76.5050095709999 -12.9999996599999,-76.492236571 -13.0461091599998,-76.4780545709999 -13.0663906599999,-76.4641725709998 -13.0808366599999,-76.4320905709998 -13.1081996599999,-76.4054185709999 -13.1327816599999,-76.3800095709999 -13.1633366599999,-76.2833365709998 -13.2827816599998,-76.2538725709999 -13.3238636599999,-76.2456995709999 -13.33208166,-76.1969455709998 -13.418336661,-76.181536571 -13.4579186609998,-76.1944545709998 -13.5816636609999,-76.2019545709999 -13.6380546609998,-76.2294455709999 -13.732499661,-76.2383455709998 -13.762781661,-76.273372571 -13.8501546609999,-76.3025095709999 -13.8085726609999,-76.3293725709999 -13.7952816609999,-76.3718815709998 -13.8106906609999,-76.3947995709999 -13.8841636609999,-76.3705635709999 -13.9105546609998,-76.332718571 -13.913890661,-76.2996185709998 -13.9026636609999,-76.2773725709998 -14.0351366609999,-76.2301455709998 -14.1577816609998,-76.203899571 -14.1738906609999,-76.1405635709999 -14.2302816609999,-76.1184095709999 -14.3131906609999,-76.086399571 -14.3766636609999,-76.070281571 -14.3888906609998,-75.9854275709999 -14.4720816619999,-75.9420905709998 -14.5754186619999,-75.9369545709999 -14.6144456619999,-75.9338905709998 -14.6518726619998,-75.8397365709999 -14.7269456619999,-75.7147365709998 -14.798890662,-75.6099995699999 -14.8583366619999,-75.5713995699999 -14.8763906619999,-75.5479275699998 -14.8894456619998,-75.5215365699999 -14.9094456619999,-75.5030635699998 -14.9302816619999,-75.3955725699998 -15.0883366619999,-75.29556357 -15.1572906619999,-75.2602815699999 -15.1888906619998,-75.2436185699999 -15.2072276619999,-75.2305635699998 -15.2227816619999,-75.1568095699998 -15.3276366619999,-75.1047365699998 -15.4133366619998,-75.0777905699998 -15.4408366619999,-75.0513905699999 -15.465972662,-74.9772365699999 -15.4922276619998,-74.8619545699999 -15.5436096629999,-74.80694557 -15.5738906629999,-74.6988995699999 -15.630836663,-74.6361275699999 -15.6583366629999,-74.5174995689999 -15.7049996629999,-74.4824275689999 -15.7231906629999,-74.451672569 -15.7655546629999,-74.4422275689998 -15.7956906629998,-74.4191725689999 -15.8166636629999,-74.3944545689998 -15.8302816629999,-74.3443095689998 -15.853818663,-74.2569545689999 -15.8752816629998,-74.1718095689999 -15.900136663,-74.046390569 -15.9658366629999,-73.9994545689999 -16.0280546629999,-73.9650095689998 -16.056945663,-73.8361905689998 -16.1575726629998,-73.6391725689999 -16.2258366629998,-73.6041725689998 -16.2338906629999,-73.4538995679999 -16.283054663,-73.4069545679998 -16.3002816629999,-73.3140905679999 -16.3453816629999,-73.2349995679999 -16.411663663,-73.0236185679998 -16.4999996629998,-72.9358455679999 -16.5333366629999,-72.9054275679999 -16.5424996629999,-72.8827815679999 -16.5558366629999,-72.8498725679999 -16.5795816639999,-72.8170815679998 -16.6118096639999,-72.792781568 -16.6313906639999,-72.7306275679999 -16.6501366639999,-72.7030635679999 -16.6533366639999,-72.670836568 -16.6558366639999,-72.6502815679999 -16.656945664,-72.6148725679998 -16.6580546639999,-72.5797275679998 -16.6661186639998,-72.4931995679999 -16.6906996639999,-72.4581995669999 -16.7063906639999,-72.3647275669999 -16.7583366639999,-72.3436095669999 -16.7791636639999,-72.2979905669998 -16.8394456639999,-72.2327905669999 -16.9019456639999,-72.126399567 -16.9791726639999,-72.0459815669998 -17.027781664,-72.0152905669999 -17.0397186639999,-71.9761185669999 -17.0574996639999,-71.925981567 -17.0911186639999,-71.9101455669999 -17.109309164,-71.8888995669999 -17.1470816639999,-71.8352905669998 -17.1852816639999,-71.8051455669999 -17.1980546639998,-71.7469455669998 -17.2083366639998,-71.6855635669999 -17.2188906639999,-71.663345567 -17.225281664,-71.543899567 -17.2736096639999,-71.4942365669999 -17.3022276639999,-71.4930545669998 -17.3213906639999,-71.485836567 -17.3308366639998,-71.4183455669999 -17.389999664,-71.3993185659999 -17.3994456639999,-71.3751545659999 -17.494172664,-71.3672365659999 -17.5463906639999,-71.3566725659999 -17.621945664,-71.3016815659999 -17.711672665,-71.2105545659999 -17.7622186649999,-71.1870185659999 -17.7795186649998,-71.1783455659998 -17.7969456649999,-71.1683455659998 -17.8084726649998,-71.0949995659998 -17.8588906649999,-71.016109566 -17.8819456649999,-70.9573635659999 -17.9154186649998,-70.9219545659998 -17.9433366649999,-70.8961185659999 -17.9805546649998,-70.7266725659999 -18.1277816649998,-70.6495905659999 -18.1936096649999,-70.6312545659999 -18.2036096649999,-70.5915365659999 -18.2109726649999,-70.5661185659999 -18.2211096649999,-70.5230545659999 -18.2488906649999,-70.4154275659998 -18.3384726649999,-70.4054905659999 -18.3485456649999,-70.4054905659999 -18.34854509,-70.3982706990753 -18.3510260266891,-70.3982463360809 -18.3510343984566,-70.4027744545132 -18.3510382105689,-71.8091718701835 -18.3522222222222,-72.0071844935374 -18.5782444352673,-72.3938029730667 -18.9030039580719,-72.8190833005489 -19.2818900680106,-72.9698645075653 -19.4017417966646,-73.3100887695509 -19.6453114387681,-73.4763347157485 -19.7574307978315,-73.7484348540721 -19.9350257111271,-73.7429115801352 -19.9809188020261,-73.7236516209446 -20.140950527657)))', 'Peruvian Exclusive Economic Zone', 'Peru', 'Peru', '', '138', '138', 'PER', '8432', '2014-02', '834520306100', '8432', 'Y'),('SRID=4326;MULTIPOLYGON(((-63.63789652 16.681776072,-63.6305555559999 16.6805555560001,-63.629944095 16.6803558120001,-63.629026368 16.680056021,-63.510537803 16.6458270480001,-63.482422646 16.6332653800001,-63.477305905 16.6309495310001,-63.442405559 16.6151533670001,-63.380138516 16.5739434710001,-63.380138481 16.573943448,-63.294035935 16.51695833,-63.2804455209999 16.507921848,-63.279581971 16.507347646,-63.279581557 16.50734737,-63.0454785589999 16.3489823670001,-62.813888559 15.8419443670001,-62.813888559 15.065000366,-62.813888559 14.4886113650001,-62.813888559 14.0805553650001,-62.921365559 13.9947583650001,-63.051053559 13.8888473650001,-63.211001559 13.7613213650001,-63.3783595589999 13.632210365,-63.279710559 13.424163364,-63.272821559 13.398903364,-63.249883559 13.231600364,-63.247407559 13.214086364,-63.127153559 13.0178563640001,-63.0429785589999 12.880107364,-62.948834559 12.726083364,-62.917333559 12.673663364,-62.803720558 12.476581364,-62.568710558 12.0032223630001,-62.567993558 12.001774363,-62.5672795579999 12.0003263630001,-62.564114558 11.9939023630001,-62.367974558 11.596083363,-62.3677115579999 11.595526363,-62.295227558 11.4430063630001,-62.2914545579999 11.4413113630001,-62.225851558 11.4140013630001,-62.2146775579999 11.409446363,-62.2021195579999 11.4061693630001,-62.188456558 11.402983363,-62.062880558 11.378549363,-61.981915558 11.374253363,-61.735294557 11.360834363,-61.729148557 11.360453363,-61.729444557 11.175000362,-61.729444557 10.911111362,-61.731111557 10.9041663620001,-61.763055558 10.8113893620001,-61.771388558 10.7938893620001,-61.8027775579999 10.7144443620001,-61.8027775579999 10.588889362,-61.862499558 10.5886113620001,-62.083055558 10.046111361,-61.973611558 10.0080553610001,-61.854999558 9.98666636100006,-61.630555557 9.98666636100006,-61.499999557 9.97000036100007,-61.2233335569999 9.87583336100005,-60.890833557 9.84861136100005,-60.6641665559999 9.83194436100007,-60.267222556 9.89055536100005,-59.987777556 9.95472236100005,-59.9224995559999 9.96972236100004,-58.9549457159999 10.1423169400001,-59.044012251 9.98055590000007,-59.052745565 9.96481796600006,-59.055172205 9.96042655500003,-59.057041902 9.95704302300004,-59.0889701999999 9.89854804700008,-59.146968119 9.79229161800004,-59.4774505469999 9.18830106900003,-59.48178118 9.18035498900002,-59.492528732 9.16063479600007,-59.569407031 9.06384862000004,-59.932522944 8.60223149000007,-59.957293668 8.56776522800004,-59.963581513 8.55901625000007,-59.986117838 8.53851890800007,-59.99028191 8.53527321000007,-60.006390556 8.54500036000007,-60.025281556 8.55389136000002,-60.1393095559999 8.60277236000007,-60.205836556 8.62194536000004,-60.236118556 8.62750036000006,-60.3821545559999 8.63236336000006,-60.408754556 8.62159986000006,-60.428063556 8.57389086000006,-60.4658365559999 8.52826336000004,-60.627163556 8.55118136000004,-60.659727556 8.57958136000008,-60.682227557 8.59541836000005,-60.7158365569999 8.60458136000005,-60.9022275569999 8.58221836000007,-60.9812545569999 8.56444536000004,-60.987090557 8.52597236000003,-61.017781557 8.46916336000004,-61.0735455569999 8.40291836000006,-61.086109557 8.42139086000003,-61.084590557 8.44708136000003,-61.073481557 8.46374536000008,-61.077509557 8.49305436000003,-61.168472557 8.49576336000007,-61.220281557 8.46284536000007,-61.3291725569999 8.43082736000002,-61.393890557 8.47444536000006,-61.488063557 8.51166336000006,-61.5988905569999 8.55500036000007,-61.595418557 8.61694536000005,-61.557227557 8.59860936000007,-61.519727557 8.59041836000006,-61.436672557 8.60166336000003,-61.327781557 8.59610936000007,-61.2509095569999 8.58145436000007,-61.210209557 8.59513636000003,-61.1926455569999 8.62471836000003,-61.1916725569999 8.67999986000007,-61.183336557 8.72778136000005,-61.119727557 8.89805436000006,-61.097781557 8.96333636000003,-61.093336557 8.97277236000002,-61.077363557 8.99499936000007,-61.031536557 9.03208136000006,-60.9558365569999 9.15416336000004,-60.950490557 9.17513636000007,-60.972709557 9.17520936000005,-61.058754557 9.09527236000002,-61.0743095569999 9.07597236000004,-61.0981275569999 9.04395436000004,-61.084590557 9.09749986000003,-61.0711095569999 9.11889036000002,-60.9877815569999 9.18860936000004,-60.9122275569999 9.23666336100007,-60.8470905569999 9.26333636100003,-60.818890557 9.26889086100005,-60.783618557 9.30499986100006,-60.7829905569999 9.33221836100006,-60.798199557 9.37930936100003,-60.8536185569999 9.44444536100002,-60.959727557 9.53250036100007,-60.987572557 9.55180936100004,-61.043336557 9.57555436100006,-61.0464545569999 9.57660936100007,-61.084163557 9.58221836100006,-61.197536557 9.57836336100007,-61.255981557 9.58889136100004,-61.383054557 9.68027236100005,-61.4072275569999 9.70471836100006,-61.425772557 9.73389086100008,-61.447227557 9.78763636100007,-61.480563557 9.82360936100002,-61.554172557 9.87555436100007,-61.572499557 9.88527236100003,-61.619863557 9.90528136100005,-61.648054557 9.89736336100003,-61.6187545569999 9.84429986100002,-61.584727557 9.81916336100005,-61.574581557 9.80069136100008,-61.597709557 9.78277236100007,-61.6541635569999 9.79055436100003,-61.673336557 9.79652736100007,-61.712781557 9.81110936100004,-61.771945558 9.83027236100003,-61.7927815579999 9.83110936100007,-61.800918558 9.81227236100005,-61.782081558 9.77852736100004,-61.7647275579999 9.75777236100004,-61.733336557 9.69874536100002,-61.7286185569999 9.64666336100004,-61.729445557 9.62610936100003,-61.735836557 9.60093636100004,-61.8116725579999 9.75789086100002,-61.9622275579999 9.91194536100005,-62.053890558 9.97750036100007,-62.0755635579999 9.98639136100007,-62.178890558 10.0147183610001,-62.209236558 10.011036361,-62.231736558 9.96471836100005,-62.201536558 9.93833636100004,-62.1651455579999 9.94423636100004,-62.131954558 9.93777236100004,-62.112227558 9.92944536100003,-62.047336558 9.88874536100008,-62.027436558 9.86641836100006,-62.133499558 9.82644536100003,-62.1308365579999 9.77894536100007,-62.130009558 9.75210936100007,-62.155699558 9.70958136100006,-62.170763558 9.65742736100003,-62.1961095579999 9.64166336100004,-62.165345558 9.71528136100005,-62.1807275579999 9.84277236100007,-62.2056995579999 9.91402736100002,-62.250490558 9.96700936100007,-62.2483365579999 9.90971836100005,-62.2379185579999 9.87916336100005,-62.2368095579999 9.85499986100007,-62.255009558 9.80277236100005,-62.268618558 9.76694536100007,-62.2772275579999 9.74749986100005,-62.3004185579999 9.71847236100007,-62.322645558 9.71208136100006,-62.328699558 9.72293636100005,-62.3151815579999 9.75284536100003,-62.3728455579999 9.88131836100007,-62.4269455579999 9.97916336100008,-62.470281558 10.0911093610001,-62.488890558 10.153054361,-62.501318558 10.1742363610001,-62.535281558 10.2022183610001,-62.5774995579999 10.2251363610001,-62.6094455579999 10.223954361,-62.6233365579999 10.188609361,-62.6054185579999 10.1272183610001,-62.615763558 10.093191361,-62.6455635579999 10.069445361,-62.6627815579999 10.0591633610001,-62.682499558 10.0516633610001,-62.8052815579999 10.008609361,-62.871390559 10.0463913610001,-62.910563559 10.0769453610001,-62.949718559 10.0772183610001,-62.983854559 10.068918361,-63.015972559 10.095691361,-63.0167995589999 10.098690361,-63.008609559 10.101663361,-62.956945559 10.104309361,-62.917499559 10.094999361,-62.891672559 10.081663361,-62.829172559 10.053609361,-62.801390558 10.0552723610001,-62.7091635579999 10.065836361,-62.669309558 10.074999361,-62.630627558 10.107154361,-62.6663905579999 10.280554362,-62.685563558 10.310272362,-62.736390558 10.3738183620001,-62.790090558 10.4013363620001,-62.822418559 10.3856363620001,-62.857090559 10.3823543620001,-62.884736559 10.374391362,-62.907227559 10.391727362,-62.9466635589999 10.4008998620001,-62.9547275589999 10.374999862,-62.942918559 10.3267363620001,-62.927645559 10.3029183620001,-62.9341725589999 10.279309362,-62.998409559 10.2716003620001,-63.003681559 10.394163362,-62.980563559 10.406945362,-62.954445559 10.414718362,-62.934309559 10.418472362,-62.911672559 10.4165273620001,-62.8891635589999 10.403890362,-62.871809559 10.389863362,-62.837709559 10.397290862,-62.830972559 10.4281908620001,-62.8355545589999 10.448327362,-62.838609559 10.511663362,-62.872509559 10.5244453620001,-62.9111815589999 10.515627362,-62.934727559 10.4905543620001,-62.977090559 10.464163362,-63.0042365589999 10.4529813620001,-62.912299559 10.5287453620001,-62.830836559 10.544445362,-62.671109558 10.5680543620001,-62.6497275579999 10.5681903620001,-62.5799995579999 10.555272362,-62.5272275579999 10.540418362,-62.449718558 10.5333363620001,-62.331109558 10.5316633620001,-62.301390558 10.555272362,-62.287227558 10.5836093620001,-62.276109558 10.600418362,-62.2491725579999 10.627009362,-62.162509558 10.636663362,-62.1355635579999 10.6347183620001,-62.1145815579999 10.6281903620001,-62.085554558 10.6272183620001,-62.035563558 10.632499362,-61.953054558 10.648890362,-61.921109558 10.661945362,-61.8833365579999 10.6947183620001,-61.879590558 10.7283273620001,-61.983890558 10.728054362,-62.131881558 10.7013183620001,-62.192509558 10.694163362,-62.301118558 10.7002813620001,-62.358063558 10.708054362,-62.469999558 10.726945362,-62.538609558 10.7355543620001,-62.6974995579999 10.747772362,-62.7483365579999 10.7422183620001,-62.7913905579999 10.731109362,-62.869590559 10.706391362,-62.906672559 10.695836362,-62.953472559 10.699863362,-62.9727815589999 10.705418362,-62.993754559 10.716391362,-63.172227559 10.719718362,-63.2302815589999 10.6883273620001,-63.2530635589999 10.678336362,-63.286118559 10.6708273620001,-63.344445559 10.672636362,-63.505554559 10.640000362,-63.5344455589999 10.6270813620001,-63.6666725589999 10.641663362,-63.691945559 10.645554362,-63.8427815589999 10.645827362,-63.97416356 10.6297183620001,-64.14680956 10.6179183620001,-64.23667256 10.638891362,-64.26459056 10.6577723620001,-64.29959056 10.626527362,-64.25889956 10.534718362,-64.23569056 10.5143723620001,-64.2158455599999 10.5340273620001,-64.2009815599999 10.550272362,-64.1486815599999 10.569999362,-63.96639056 10.5784723620001,-63.8388905589999 10.5516633620001,-63.7777815589999 10.5252723620001,-63.6974995589999 10.4855543620001,-63.715563559 10.471945362,-63.793336559 10.446663362,-63.809445559 10.4422183620001,-63.876109559 10.440272362,-64.05000956 10.4422183620001,-64.07084556 10.446391362,-64.0925095599999 10.456527362,-64.18205456 10.456545362,-64.20251856 10.450000362,-64.36805456 10.384163362,-64.38473656 10.3688908620001,-64.3958455599999 10.337218362,-64.37854556 10.301109362,-64.48250956 10.238054361,-64.53460956 10.249936361,-64.57972756 10.258609361,-64.62597256 10.2466633610001,-64.7147365599999 10.179718361,-64.73279056 10.113472361,-64.7644545599999 10.097218361,-64.78806356 10.0894453610001,-64.82500956 10.0822183610001,-65.081390561 10.0605543610001,-65.276118561 10.115554361,-65.426681561 10.140000361,-65.5480635609999 10.178054361,-65.725309561 10.219209361,-65.765290561 10.2169453610001,-65.7866725609999 10.220418361,-65.8144545609999 10.2283363610001,-65.9357365609999 10.2983003620001,-65.958618561 10.3566633620001,-66.068481562 10.4431913620001,-66.098345562 10.4725003620001,-66.119727562 10.499999862,-66.1183455619999 10.526945362,-66.081681562 10.576663362,-66.209727562 10.632500362,-66.229872562 10.640554362,-66.283090562 10.644654362,-66.310290562 10.626018362,-66.323627562 10.612781362,-66.342990562 10.604718362,-66.3850095619999 10.616109362,-66.418336562 10.6255543620001,-66.4705635619999 10.629163362,-66.5097365619999 10.627772362,-67.002227562 10.610281362,-67.108063562 10.579163362,-67.2802905629999 10.5466633620001,-67.392245563 10.5387813620001,-67.401399563 10.5388913620001,-67.466945563 10.538054362,-67.543336563 10.5327723620001,-67.796109563 10.491945362,-67.831954563 10.482772362,-67.8679815629999 10.4648723620001,-67.8930635629999 10.474445362,-68.002227563 10.491109362,-68.077372563 10.4930543620001,-68.1142455629999 10.4849273620001,-68.165145563 10.4988913620001,-68.1859725639999 10.515000362,-68.253618564 10.588890862,-68.280563564 10.643890862,-68.3280635639999 10.767499862,-68.332645564 10.815972362,-68.3252905639999 10.8436093620001,-68.3050725639999 10.8549993620001,-68.251954564 10.8566633620001,-68.242509564 10.874372362,-68.333345564 11.0449998620001,-68.3986185639999 11.158054362,-68.418336564 11.179999862,-68.531954564 11.261391362,-68.5534725639999 11.2718093620001,-68.601963564 11.290554362,-68.660427564 11.3498633630001,-68.843681564 11.4470813630001,-68.953899564 11.451663363,-69.1059815639999 11.4863913630001,-69.274872565 11.533954363,-69.327572565 11.5126363630001,-69.360218565 11.493327363,-69.412718565 11.487572363,-69.444736565 11.4980543630001,-69.5069545649999 11.5069453630001,-69.528899565 11.5034723630001,-69.5555635649999 11.4869453630001,-69.5795185649999 11.4641003630001,-69.608481565 11.4591633630001,-69.631809565 11.4676363630001,-69.674727565 11.5111093630001,-69.7061185649999 11.5488908630001,-69.719172565 11.5702723630001,-69.757781565 11.6613908630001,-69.7708455649999 11.6961093630001,-69.804172565 11.7941633630001,-69.816881565 11.850972363,-69.8188905649999 11.8811093630001,-69.816636565 11.916109363,-69.8237545649999 11.9880543630001,-69.840563565 12.032772363,-69.859454565 12.0719453630001,-69.905699565 12.1399998630001,-69.934718565 12.1697183630001,-70.014309565 12.1975003630001,-70.068072565 12.173609363,-70.1874995649999 12.107772363,-70.2063905649999 12.0802723630001,-70.258063565 11.989163363,-70.286663565 11.920272363,-70.2937635649999 11.899445363,-70.2940365649999 11.861663363,-70.2438995649999 11.7752723630001,-70.226527565 11.655072363,-70.235981565 11.628890863,-70.214036565 11.6091633630001,-70.180009565 11.603609363,-70.0047275649999 11.6502723630001,-69.8573725649999 11.6895813630001,-69.816536565 11.6909723630001,-69.787781565 11.6352723630001,-69.7761185649999 11.6094453630001,-69.742399565 11.4991998630001,-69.801390565 11.4272183630001,-69.836672565 11.4245813630001,-69.8740275649999 11.426527363,-69.897709565 11.4361813630001,-69.987645565 11.514718363,-70.047790565 11.5177723630001,-70.023899565 11.491390863,-70.034863565 11.4413183630001,-70.095563565 11.430000363,-70.142499565 11.418336363,-70.239181565 11.3530543630001,-70.323336565 11.331663362,-70.4213995659999 11.292218362,-70.446672566 11.2900003620001,-70.492099566 11.2629183620001,-70.508472566 11.2481913620001,-70.546809566 11.241945362,-70.621399566 11.236245362,-70.6550095659999 11.238609362,-70.736954566 11.2300003620001,-70.825563566 11.211391362,-70.8558365659999 11.2002813620001,-70.890018566 11.186109362,-70.933899566 11.164718362,-70.989036566 11.133336362,-71.014454566 11.1172183620001,-71.0315365659999 11.1031913620001,-71.073899566 11.080000362,-71.178072566 11.032218362,-71.271118566 10.9930543620001,-71.2811095659999 10.9891633620001,-71.3538995659999 10.9783363620001,-71.384172566 10.983336362,-71.411954567 10.9841633620001,-71.434727567 10.979581362,-71.4928545669999 10.9610363620001,-71.4516725669999 10.9163908620001,-71.446672567 10.7955543620001,-71.5263995669999 10.726945362,-71.545709567 10.568327362,-71.521954567 10.5333363620001,-71.458618567 10.4599998620001,-71.436672567 10.369445362,-71.385563566 10.2827723620001,-71.3169545659999 10.1927813610001,-71.292645566 10.175418361,-71.269454566 10.150136361,-71.1477815659999 9.95083636100003,-71.098345566 9.89479086100005,-71.073399566 9.85110936100006,-71.053345566 9.70360936100008,-71.061109566 9.61721836100003,-71.0830725659999 9.56666336100005,-71.0891725659999 9.53659986100007,-71.0711185659999 9.39027236100003,-71.055554566 9.35444536100005,-71.055972566 9.33874536100006,-71.074863566 9.31250036100005,-71.117781566 9.29333636100006,-71.147227566 9.28680936100005,-71.165418566 9.27374536100007,-71.2083455659999 9.21971836100005,-71.2141725659999 9.20889086100004,-71.225081566 9.17419986000004,-71.241390566 9.15541836000006,-71.290554566 9.12166336000007,-71.313609566 9.11055436000004,-71.497227567 9.05041836000004,-71.552781567 9.04083636000007,-71.598345567 9.04000036000002,-71.6238905669999 9.04305436000004,-71.689172567 9.06340036000006,-71.714863567 9.07791836000007,-71.734172567 9.10055436000005,-71.759454567 9.11832736000002,-71.751954567 9.22249986100007,-71.7319545669999 9.29597236100005,-71.723618567 9.34499986100008,-71.733199567 9.37569086100007,-71.910845567 9.49360936100004,-71.944454567 9.54305436100003,-71.9658365669999 9.60249986100007,-71.979172567 9.62333636100004,-72.008063567 9.66347236100006,-72.046536567 9.70777236100002,-72.077927567 9.73555436100003,-72.125354567 9.81819086100006,-71.911254567 10.124445361,-71.8411275669999 10.218890861,-71.8251455669999 10.255136361,-71.794445567 10.3218093620001,-71.7731995669999 10.349309362,-71.755699567 10.3697183620001,-71.677781567 10.423336362,-71.6488995669999 10.442499862,-71.6300095669999 10.4763908620001,-71.581681567 10.674718362,-71.577927567 10.7161093620001,-71.596954567 10.7277723620001,-71.617509567 10.741945362,-71.661809567 10.7775003620001,-71.6911185669999 10.834163362,-71.763618567 11.0137453620001,-71.740845567 11.0341633620001,-71.7952905669999 11.1286093620001,-71.837781567 11.1827813620001,-71.8669545669999 11.229445362,-71.906109567 11.300836362,-71.932781567 11.3630543630001,-71.9448725669999 11.395554363,-71.9526455669999 11.421809363,-71.960845567 11.464445363,-71.9663995669999 11.506390863,-71.969172567 11.546245363,-71.9541725669999 11.594718363,-71.816390567 11.6474993630001,-71.765836567 11.6623633630001,-71.7122365669999 11.674999363,-71.638336567 11.6908363630001,-71.541399567 11.703890363,-71.5050095669999 11.707218363,-71.4805635669999 11.710281363,-71.4458455669999 11.7238903630001,-71.3786185659999 11.7533363630001,-71.341127566 11.799163363,-71.3253475659999 11.8509873630001,-71.324717886 11.853053958,-71.318632168 11.8519755020001,-71.296065793 11.843136139,-71.2778042049999 11.8359829820001,-71.260494653 11.828645238,-71.245066575 11.8220600820001,-71.029623936 11.703766355,-70.993728642 11.674460233,-70.948840646 11.633227236,-70.9364060519999 11.6218051270001,-70.93640597 11.6218051560001,-70.933580136 11.622823252,-70.893195899 11.6369018950001,-70.885694192 11.6403333750001,-70.873388252 11.645922286,-70.866827542 11.648901923,-70.8517503959999 11.6567019500001,-70.807044613 11.6798300890001,-70.7583096389999 11.705042694,-70.749267744 11.7532127750001,-70.7471055779999 11.7640386740001,-70.746124344 11.76895168,-70.742631369 11.786440898,-70.742239174 11.7883823230001,-70.731174353 11.8392426250001,-70.7291330749999 11.848625514,-70.728309638 11.8524105060001,-70.7282564239999 11.852648586,-70.7281416399999 11.8531621280001,-70.727233113 11.857226864,-70.726861586 11.858826251,-70.72686156 11.8588263620001,-70.726722916 11.8594288570001,-70.7259559359999 11.8627618350001,-70.7104856249999 11.92910241,-70.70796949 11.9398922290001,-70.7023533569999 11.963975615,-70.7021143329999 11.964946324,-70.7008743489999 11.9714545680001,-70.6987836879999 11.982890792,-70.6977487409999 11.9885521030001,-70.694608972 12.0057270930001,-70.694608885 12.005727569,-70.6946088409999 12.005727811,-70.76509499 12.05108986,-70.7699942629999 12.0542457120001,-70.7743821409999 12.05712691,-70.7751049459999 12.0576015230001,-70.776322487 12.0584030790001,-70.814356064 12.0835034560001,-70.821905375 12.089077047,-70.823295156 12.0901031110001,-70.836442361 12.099837146,-70.910723963 12.1548343650001,-70.914904618 12.15788273,-70.923624216 12.164240707,-70.926167605 12.1661215620001,-70.939437982 12.176074294,-70.9394380099999 12.1760743150001,-70.953888794 12.1869123490001,-70.9543494449999 12.1872616950001,-70.955582185 12.1881965750001,-70.97231934 12.2018097480001,-70.979716904 12.2077506700001,-70.9829675409999 12.210656961,-70.984948359 12.2124900860001,-70.98782327 12.21515064,-70.990992021 12.2181515730001,-70.9922950119999 12.2193855570001,-70.994034578 12.2211321340001,-70.9983075759999 12.2254731830001,-71.0103553399999 12.2377128160001,-71.0139646919999 12.2427720760001,-71.014622571 12.2436942300001,-71.04180044 12.281127188,-71.0418005659999 12.281127364,-71.045271414 12.2860127980001,-71.047423204 12.289417783,-71.049872282 12.293743062,-71.058368112 12.3115727320001,-71.060664334 12.316472221,-71.061499141 12.318377646,-71.0615905239999 12.3185862240001,-71.0618647649999 12.319223165,-71.074422576 12.3780007980001,-71.08069545 12.407361381,-71.080747271 12.4076154150001,-71.0992391029999 12.434683432,-71.099772333 12.4354965740001,-71.116121391 12.463272853,-71.127100953 12.4819266120001,-71.127124769 12.4819725520001,-71.133954951 12.4954737900001,-71.134840539 12.497203674,-71.13608214 12.4996289870001,-71.158176435 12.5482363740001,-71.159035864 12.550203905,-71.1612672959999 12.555312429,-71.163220053 12.559782969,-71.172174616 12.582160975,-71.179817607 12.601261284,-71.182075842 12.6069714020001,-71.184043952 12.6119479170001,-71.188130555 12.6225214460001,-71.194048139 12.637832388,-71.195623412 12.6419081930001,-71.2050014559999 12.6664218510001,-71.2121844659999 12.685951264,-71.220180284 12.7076905650001,-71.225980055 12.723459179,-71.228444978 12.7323461840001,-71.2311842299999 12.742222253,-71.232440399 12.746751229,-71.236525441 12.761630586,-71.245369335 12.793843581,-71.248355045 12.8047187290001,-71.250427967 12.819474981,-71.2527531929999 12.836027275,-71.256065313 12.8596048480001,-71.2576727649999 12.870710719,-71.2588030209999 12.878519646,-71.259234915 12.8815036,-71.2650789589999 12.922506232,-71.265159731 12.9230729400001,-71.2651598319999 12.923073647,-71.267295281 12.938268551,-71.2691053189999 12.951147969,-71.271273686 12.9686321900001,-71.273668705 12.987943979,-71.2763190429999 13.0093144890001,-71.288687431 13.1337349020001,-71.2987687729999 13.2351486600001,-71.319711168 13.445819715,-71.3535347219999 13.816676839,-71.3535347279999 13.816676907,-71.353534732 13.816676945,-71.353534736 13.816676993,-71.3640937179999 13.9324505600001,-71.3693628029999 14.0644829930001,-71.369362806 14.064483072,-71.405278 14.9644440000001,-71.4052777329999 14.964444036,-70.8805555659999 15.035556366,-70.135832565 15.2638893660001,-69.9383325649999 15.317778366,-69.697221565 15.379167366,-69.5772225649999 15.4133333660001,-70.4166665659999 12.8166663640001,-70.4166665659999 12.350000363,-70.164166565 12.350000363,-70.140277565 12.365000363,-69.7391665649999 12.2627773630001,-69.547519005 12.1513862840001,-69.0791665639999 11.879166363,-68.9541665639999 11.7583333630001,-68.8291665639999 11.741666363,-68.599999564 11.666666363,-68.390654906 11.666666363,-67.989722563 11.666666363,-67.989722563 12.4500003640001,-68.591410219 14.374787796,-68.862222564 15.241111366,-68.481888564 15.212361366,-68.475387564 15.210968366,-68.4585555639999 15.207361366,-68.4502885589999 15.2067073470001,-68.447520432 15.2064884330001,-68.430340976 15.2051286660001,-68.413161709 15.203767606,-68.402048339 15.2028862780001,-68.395982725 15.202405254,-68.3896484169999 15.201902439,-68.3788039299999 15.2010416090001,-68.361625418 15.1996765800001,-68.348572502 15.1986383820001,-68.344447095 15.198310258,-68.340586302 15.198002886,-68.327268961 15.1969426430001,-68.310091015 15.195573735,-68.292913353 15.194203535,-68.287869972 15.19380083,-68.275735975 15.1928319510001,-68.25855869 15.191459165,-68.241381689 15.1900849950001,-68.226172439 15.1888670070001,-68.224204877 15.18870944,-68.2070283479999 15.1873326850001,-68.1898520079999 15.1859546360001,-68.180303357 15.185187774,-68.1726758569999 15.1845752030001,-68.16046353 15.183593483,-68.155499989 15.183194476,-68.154369338 15.1831001940001,-68.148298156 15.1825939300001,-68.131126915 15.1811611050001,-68.113955957 15.179726986,-68.1012723329999 15.1786666140001,-68.096785188 15.178291481,-68.079614702 15.176854774,-68.062444405 15.175416682,-68.061551718 15.17523786,-68.044673475 15.171855523,-68.040006223 15.1709198520001,-68.027795705 15.168471939,-68.010918595 15.165087107,-67.994041958 15.161700937,-67.981599608 15.159203538,-67.977165887 15.158313612,-67.971553332 15.157186596,-67.960290288 15.154924948,-67.943415256 15.151535036,-67.9265407899999 15.1481438770001,-67.911319721 15.145083781,-67.909666796 15.1447514710001,-67.892793464 15.141357726,-67.8759206029999 15.137962825,-67.859048215 15.134566584,-67.850078926 15.132760424,-67.842176487 15.1311690970001,-67.828611086 15.1284363300001,-67.8253052319999 15.127770361,-67.8084344489999 15.124370378,-67.80554325 15.1237874760001,-67.7915643269999 15.120969148,-67.783552043 15.119353088,-67.774694677 15.117566578,-67.757825499 15.1141628510001,-67.7409569819999 15.110757786,-67.724088937 15.1073514720001,-67.722971947 15.107125818,-67.707221459 15.103943911,-67.690354547 15.100535102,-67.673488107 15.0971250440001,-67.66769691 15.095953712,-67.6566222339999 15.0937137390001,-67.645945667 15.091553425,-67.6397569279999 15.090301185,-67.624169238 15.08714582,-67.622892093 15.086887292,-67.6211141159999 15.086527248,-67.606027825 15.083472242,-67.59640486 15.0815220310001,-67.5824260799999 15.078688206,-67.579541819 15.0781034990001,-67.562679251 15.0746837190001,-67.545817249 15.0712626910001,-67.5317039349999 15.068398125,-67.5289557199999 15.0678403220001,-67.5262237379999 15.0672856080001,-67.5120947569999 15.064416797,-67.503691476 15.0627098320001,-67.49523436 15.060991931,-67.4783745299999 15.0575659080001,-67.467661901 15.0553881230001,-67.461515172 15.0541385450001,-67.454845798 15.0527821790001,-67.444656381 15.0507099340001,-67.4277981559999 15.0472801650001,-67.4109404979999 15.0438490560001,-67.403576449 15.0423496330001,-67.394083312 15.0404166980001,-67.386071885 15.0388035940001,-67.3692075229999 15.0354068500001,-67.352343633 15.032008859,-67.3354803089999 15.0286096200001,-67.327035031 15.0269065370001,-67.3186174579999 15.025209041,-67.301755563 15.0218073660001,-67.301755267 15.021807306,-67.284893454 15.018404323,-67.2680323019999 15.015000092,-67.259871383 15.01335177,-67.2511716229999 15.011594614,-67.2343115099999 15.008187795,-67.217451868 15.0047798200001,-67.200592794 15.0013705970001,-67.193845799 15.000005645,-67.1837342859999 14.9979600340001,-67.1668765639999 14.994548362,-67.1668763439999 14.9945483180001,-67.1500188749999 14.991135346,-67.133161972 14.9877210380001,-67.122051697 14.985469865,-67.116305542 14.9843055740001,-67.108069782 14.982288625,-67.102694473 14.9809722050001,-67.087694423 14.977361118,-67.0715832829999 14.972361065,-67.0682668439999 14.971746554,-67.063669869 14.970894769,-67.0554800359999 14.9693767470001,-67.046757161 14.9677599230001,-67.02984502 14.9646239300001,-67.01905462 14.9626221880001,-67.012933257 14.9614866050001,-67.005930948 14.9601870400001,-66.99602206 14.95834804,-66.979111336 14.955208235,-66.962201083 14.952067099,-66.957736637 14.9512374870001,-66.945291303 14.9489248140001,-66.92838256 14.945781373,-66.92838209 14.9457812850001,-66.9114732529999 14.9426364330001,-66.90243079 14.940953915,-66.894564983 14.9394903360001,-66.8776572799999 14.936342999,-66.860749955 14.933194422,-66.8607498539999 14.9331944200001,-66.8500227919999 14.9330133730001,-66.8500225619999 14.933013368,-66.832810948 14.932721971,-66.8155991049999 14.9324291900001,-66.798387356 14.9321351240001,-66.791996973 14.932025465,-66.781175606 14.9318397710001,-66.7703627499999 14.931653415,-66.763963952 14.931543133,-66.746752391 14.931245118,-66.729540831 14.9309459080001,-66.714069416 14.930675794,-66.712329271 14.930645413,-66.6951178049999 14.93034354,-66.677906433 14.930040381,-66.6772362529999 14.930028527,-66.660694967 14.929735937,-66.64348369 14.929430299,-66.626272413 14.929123283,-66.609061136 14.928814889,-66.5918499539999 14.928505301,-66.582205528 14.9283311,-66.5746388649999 14.928194428,-66.5744512369999 14.928430803,-66.57437155 14.928531192,-66.572583584 14.930783763,-66.563854009 14.9417817240001,-66.55430475 14.953810435,-66.5533351459999 14.9550317960001,-66.551791185 14.9569763330001,-66.542814961 14.9682814060001,-66.532293549 14.9815304630001,-66.5271525319999 14.9880031880001,-66.521770815 14.994778964,-66.511246758 15.0080270020001,-66.505554251 15.0151918350001,-66.500721474 15.0212745750001,-66.4901948689999 15.034521592,-66.4796669409999 15.047768143,-66.469137691 15.061014227,-66.4658090889999 15.065201035,-66.465784437 15.065232043,-66.458607214 15.074259752,-66.455795129 15.0777962710001,-66.448075321 15.0875048090001,-66.4458240709999 15.0903355630001,-66.4375421999999 15.1007493060001,-66.430080822 15.110129839,-66.427007757 15.1139933330001,-66.416471992 15.1272368900001,-66.405934999 15.140479885,-66.3972163609999 15.151435615,-66.3972047249999 15.1514502370001,-66.395396593 15.1537223190001,-66.395396558 15.153722363,-66.384856954 15.1669643660001,-66.374315996 15.180205852,-66.3637736219999 15.1934467720001,-66.353230019 15.2066873090001,-66.3486499489999 15.2124379420001,-66.348646769 15.2124419350001,-66.342685095 15.219927279,-66.337426389 15.2265288830001,-66.3321388489999 15.233166682,-66.3299505059999 15.2359180550001,-66.329801566 15.236105315,-66.319264384 15.2493521210001,-66.314075797 15.255873894,-66.308725881 15.2625984480001,-66.298186056 15.2758442950001,-66.2876449089999 15.289089571,-66.279137525 15.2997776330001,-66.27710244 15.302334366,-66.27430326 15.3058504840001,-66.274296271 15.3058592630001,-66.2665586489999 15.31557868,-66.256013567 15.3288223710001,-66.256013531 15.328822416,-66.2454670069999 15.3420656760001,-66.2376919769999 15.351827272,-66.23491925 15.3553084480001,-66.224370171 15.368550645,-66.217907579 15.376661713,-66.213819676 15.3817923570001,-66.203267954 15.395033491,-66.192714815 15.408274229,-66.188163443 15.4139837480001,-66.182160354 15.42151439,-66.1716045709999 15.43475397,-66.161047466 15.447993153,-66.158120164 15.451663496,-66.150488945 15.461231755,-66.140497635 15.4737571630001,-66.139929196 15.474469775,-66.1391507289999 15.4754455250001,-66.139148755 15.475447999,-66.129368031 15.4877073960001,-66.1188055439999 15.500944433,-66.114382712 15.505833631,-66.1029996779999 15.5184156340001,-66.098849171 15.523002526,-66.091615228 15.5309970440001,-66.083445706 15.5400239590001,-66.080229361 15.54357786,-66.077357982 15.5467500500001,-66.068842173 15.556157989,-66.060190238 15.5657147430001,-66.057453568 15.568737615,-66.046063547 15.581316644,-66.043455049 15.584196928,-66.034672109 15.5938949860001,-66.024749615 15.604849539,-66.0232793499999 15.6064727300001,-66.021536789 15.608396237,-66.011885268 15.6190499680001,-66.003645922 15.6281431790001,-66.000489676 15.631626516,-65.989092762 15.644202465,-65.977694431 15.6567778140001,-65.9695476919999 15.661741084,-65.9680815689999 15.662634296,-65.9534572329999 15.671542475,-65.9508013829999 15.673159937,-65.93883167 15.680449712,-65.930546006 15.685494792,-65.924204785 15.689355915,-65.909576579 15.6982611760001,-65.894947239 15.707165402,-65.889501945 15.7104790380001,-65.880316482 15.716068686,-65.874507283 15.7196030860001,-65.865684593 15.724970936,-65.8510513809999 15.7338722420001,-65.844888488 15.737620324,-65.8364168479999 15.742772514,-65.821781087 15.7516718430001,-65.807144004 15.7605701370001,-65.7925056939999 15.769467487,-65.777866062 15.778363803,-65.774296442 15.7805326020001,-65.7632252019999 15.787259174,-65.748583115 15.7961535110001,-65.7454939209999 15.7980296420001,-65.733939611 15.8050468120001,-65.719294974 15.813939169,-65.7046489209999 15.8228305820001,-65.6966457139999 15.8276882430001,-65.690001641 15.8317209590001,-65.675353133 15.8406103,-65.665769293 15.846425041,-65.6607033029999 15.8494986970001,-65.657242515 15.851598004,-65.6460521509999 15.8583860570001,-65.635715799 15.864654876,-65.631399771 15.8672724730001,-65.61674607 15.8761578520001,-65.612271682 15.8788703860001,-65.602091141 15.885042195,-65.5947550399999 15.8894887280001,-65.5874348899999 15.8939255930001,-65.580463976 15.8981499500001,-65.572777317 15.9028080460001,-65.558118516 15.91168937,-65.556977715 15.9123804120001,-65.543458394 15.920569749,-65.528797044 15.929449182,-65.518847466 15.935473652,-65.518838105 15.9354793200001,-65.514134278 15.938327487,-65.512364201 15.9393990720001,-65.51235273 15.9394060160001,-65.4994703789999 15.947204846,-65.492518261 15.9514127250001,-65.484805063 15.956081259,-65.475599675 15.961651848,-65.47013852 15.964956635,-65.4640051549999 15.968667437,-65.4554706549999 15.973830972,-65.440801468 15.982704273,-65.437677546 15.9845935540001,-65.4261310529999 15.991576626,-65.418895614 15.99595156,-65.411459317 16.0004479420001,-65.396786353 16.0093183110001,-65.392447849 16.011940516,-65.382111972 16.018187551,-65.3674363649999 16.0270558440001,-65.358852198 16.032242131,-65.3527594349999 16.0359231890001,-65.338081277 16.0447894050001,-65.334365546 16.047033405,-65.3234017039999 16.053654674,-65.31308025 16.0598868050001,-65.3087209029999 16.0625189950001,-65.2940387789999 16.0713821860001,-65.279355429 16.0802444290001,-65.278610138 16.0806941590001,-65.264670662 16.0891056340001,-65.249984667 16.0979657990001,-65.242503492 16.1024783560001,-65.235297351 16.1068250160001,-65.2206087119999 16.115683103,-65.2090124919999 16.1226749520001,-65.205918846 16.124540241,-65.191227564 16.1333964310001,-65.1765350539999 16.14225149,-65.161841222 16.151105601,-65.147146563 16.1599583710001,-65.1471460669999 16.159958669,-65.1324495929999 16.168810702,-65.11775189 16.1776616930001,-65.10305277 16.1865117340001,-65.0883524229999 16.1953606440001,-65.0736506599999 16.204208604,-65.058947669 16.213055524,-65.048370324 16.219418686,-65.044243356 16.2219014040001,-65.0357621649999 16.2270025460001,-65.0357104189999 16.227033669,-65.0295377209999 16.2307463330001,-65.024339259 16.2338723460001,-65.024311876 16.233888813,-65.014830764 16.2395901310001,-65.00012258 16.248432979,-64.9948280369999 16.2516154800001,-64.98541298 16.2572747850001,-64.970702057 16.266115551,-64.9559899069999 16.274955275,-64.953403137 16.276509189,-64.953388151 16.276518192,-64.9412763399999 16.283793958,-64.930861195 16.290049249,-64.9265615469999 16.2926315990001,-64.919013492 16.297164003,-64.9118453359999 16.3014682890001,-64.9083565879999 16.3035627460001,-64.897127898 16.3103038470001,-64.882409044 16.319138454,-64.87093652 16.32602315,-64.867688962 16.3279720190001,-64.862083446 16.3313352070001,-64.852967559 16.336804542,-64.847875942 16.339858715,-64.8382447389999 16.3456359310001,-64.8264324849999 16.3527200820001,-64.8235206909999 16.354466369,-64.808795227 16.363295765,-64.800890195 16.3680347210001,-64.7940685359999 16.37212421,-64.7857221419999 16.3771266640001,-64.779340523 16.380951521,-64.764611093 16.3897777890001,-64.7595151519999 16.392491352,-64.7584783309999 16.3930434540001,-64.743296893 16.4011260730001,-64.7371173029999 16.4044154310001,-64.7281142269999 16.409207715,-64.7225136389999 16.4121882050001,-64.712930333 16.4172881960001,-64.697745212 16.425367518,-64.696803955 16.425868209,-64.696798741 16.425870982,-64.682558768 16.433445771,-64.675896989 16.436988672,-64.6673710979999 16.4415229540001,-64.6521822 16.449599069,-64.636991979 16.457674023,-64.633678731 16.459434914,-64.621800532 16.465747817,-64.606607857 16.4738205410001,-64.591413954 16.481892196,-64.5762187289999 16.4899626910001,-64.568495981 16.494063526,-64.561022277 16.498032116,-64.548223396 16.5048269220001,-64.5458245029999 16.5061004720001,-64.530625502 16.514167576,-64.5154252729999 16.5222337020001,-64.500223722 16.5302986670001,-64.4850209429999 16.538362471,-64.469816937 16.546425205,-64.468675046 16.547030621,-64.454611609 16.5544868700001,-64.444922516 16.5596227450001,-64.439405053 16.5625473740001,-64.424197176 16.570606717,-64.4209872119999 16.572307478,-64.408988071 16.5786650800001,-64.393777738 16.586722192,-64.386416895 16.5902089420001,-64.3748536479999 16.5956853640001,-64.3708392519999 16.5975866050001,-64.367481687 16.599176394,-64.355260476 16.604963071,-64.339680567 16.6123383390001,-64.324099336 16.61971241,-64.308517066 16.627085376,-64.292933475 16.6344571440001,-64.2870773929999 16.6372266930001,-64.27734875 16.641827715,-64.264038194 16.64812131,-64.261762798 16.64919718,-64.253206936 16.653241624,-64.246175713 16.656565356,-64.233818518 16.662405393,-64.2337669189999 16.662429779,-64.2305873999999 16.6639324270001,-64.228772606 16.6647899010001,-64.214997954 16.6712983,-64.211870748 16.67277553,-64.199407186 16.678663068,-64.1852939789999 16.685328214,-64.183815285 16.686026547,-64.182606048 16.686597497,-64.168222251 16.6933889200001,-64.1658127329999 16.6945241920001,-64.163232047 16.6957400200001,-64.1502125219999 16.7018738570001,-64.141318328 16.70606308,-64.134611085 16.709222235,-64.131748896 16.7105040070001,-64.126407376 16.712895675,-64.115999968 16.7175555960001,-64.1129191479999 16.718875941,-64.108222241 16.7208888910001,-64.10367718 16.7221141580001,-64.102132632 16.72253054,-64.0854077339999 16.7270383170001,-64.085407558 16.7270383640001,-64.0686819859999 16.731544613,-64.051955484 16.736049623,-64.043559193 16.738310218,-64.039623631 16.7393698180001,-64.0352281309999 16.7405532510001,-64.0185000229999 16.7450555890001,-63.986933272 16.73980727,-63.63789652 16.681776072),(-63.9513905599999 11.1155543620001,-63.9874995599999 11.0761093620001,-64.02249956 10.999999362,-64.04278156 10.987636362,-64.05445456 10.9856903620001,-64.0836185599999 10.9888903620001,-64.1058365599999 10.9952813620001,-64.17584556 11.0316633620001,-64.1880635599999 11.0402723620001,-64.19743656 11.055899362,-64.1909905599999 11.072636362,-64.19278156 11.082918362,-64.20180956 11.087781362,-64.21833656 11.088054362,-64.37834556 11.056945362,-64.40569956 10.9701363620001,-64.35792756 10.9545813620001,-64.22792756 10.931245362,-64.20112756 10.9369453620001,-64.19014556 10.9469453620001,-64.1740365599999 10.960418362,-64.1508455599999 10.9522183620001,-64.13639956 10.944999362,-64.0586275599999 10.864999362,-64.05555456 10.857218362,-63.97236356 10.892918362,-63.89000956 10.904445362,-63.8149995589999 10.978054362,-63.804727559 11.021390362,-63.844863559 11.1270813620001,-63.884936559 11.175618362,-63.9513905599999 11.1155543620001),(-65.200836561 10.9116633620001,-65.212154561 10.954163362,-65.3044545609999 10.976109362,-65.3644545609999 10.9691633620001,-65.373899561 10.964445362,-65.386672561 10.956663362,-65.416118561 10.9272183620001,-65.4156995609999 10.916245362,-65.3933455609999 10.906945362,-65.2997275609999 10.8830543620001,-65.2811095609999 10.8802813620001,-65.268618561 10.8811093620001,-65.2100095609999 10.891390362,-65.199590561 10.8983363620001,-65.200836561 10.9116633620001),(-61.070627557 8.97131836000005,-61.096672557 8.89089936000005,-61.070554557 8.89249936000004,-61.061390557 8.89694536000007,-61.034309557 8.91847236000007,-61.0297275569999 8.92777236000006,-60.998890557 8.96694536000007,-60.957781557 9.00916336000006,-60.943336557 9.02221836000007,-60.9219545569999 9.03499936000003,-60.858318557 9.06495436000006,-60.854445557 9.07249936000005,-60.850418557 9.09298136000007,-60.947227557 9.05471836000004,-61.070627557 8.97131836000005),(-60.9416725569999 9.01166336000006,-61.0463905569999 8.84389036000005,-61.019727557 8.84694536000006,-60.9466725569999 8.87582736000007,-60.9230545569999 8.88639036000006,-60.910281557 8.89416336000005,-60.892227557 8.91055436000005,-60.8562545569999 8.94736336000005,-60.848336557 8.96416336000004,-60.8405635569999 8.99832736000008,-60.8479275569999 9.00819036000007,-60.8803455569999 9.02652736000005,-60.897781557 9.02916336000004,-60.908890557 9.02694536000007,-60.9238905569999 9.02139036000005,-60.9416725569999 9.01166336000006),(-60.8605545569999 8.85333636000007,-61.0133365569999 8.83277236000004,-61.042499557 8.82110936000004,-61.0594455569999 8.81041836000003,-61.093054557 8.78221836000006,-61.1547275569999 8.72582736000004,-61.164999557 8.71527236000003,-61.1720185569999 8.70034536000003,-61.168336557 8.69055436000002,-61.163609557 8.68832736000007,-61.145009557 8.69583636000004,-61.135281557 8.69944536000003,-61.107781557 8.70582736000006,-61.0691725569999 8.71444536000007,-61.001109557 8.72416336000003,-60.987227557 8.72360936000007,-60.976109557 8.72582736000004,-60.958618557 8.73610936000006,-60.944454557 8.74916336000007,-60.861945557 8.84027236000003,-60.8605545569999 8.85333636000007),(-60.8415995569999 8.72694536000006,-60.9886185569999 8.63555436000007,-60.959163557 8.62389036000008,-60.9302815569999 8.61860936000005,-60.923336557 8.61832736000002,-60.8233365569999 8.65236336000004,-60.8102815569999 8.66749936000002,-60.806399557 8.67749936000007,-60.804309557 8.70555436000006,-60.8094455569999 8.71694536000007,-60.8415995569999 8.72694536000006),(-60.9598635569999 8.68110936000005,-60.9377815569999 8.72124536000007,-61.0258365569999 8.71499936000004,-61.0980635569999 8.70055436000007,-61.177227557 8.67666336000002,-61.169999557 8.66347236000007,-61.146945557 8.65444536000007,-61.135281557 8.65194536000007,-61.061954557 8.64027236000004,-61.0480545569999 8.63971836000007,-61.041945557 8.64027236000004,-61.019445557 8.64471836000007,-60.9968095569999 8.65263636000003,-60.9598635569999 8.68110936000005),(-61.083618557 8.60971836000004,-61.137045557 8.56294536000007,-61.149127557 8.54089036000005,-61.177481557 8.56609036000003,-61.217509557 8.57249936000005,-61.227499557 8.56860936000004,-61.2402815569999 8.56110936000005,-61.253063557 8.54527236000007,-61.258336557 8.53639036000004,-61.263681557 8.51020936000003,-61.1827815569999 8.51110936000003,-61.1291725569999 8.50166336000007,-61.040554557 8.51416336000005,-61.003618557 8.54889036000003,-60.998609557 8.55778136000004,-60.990836557 8.58513636000004,-60.998063557 8.59694536000006,-61.020554557 8.61124536000005,-61.083618557 8.60971836000004),(-61.263599557 8.49992736000007,-61.278299557 8.51673636000004,-61.269899557 8.53773636000005,-61.261499557 8.55296336000004,-61.2691725569999 8.56583636000005,-61.279445557 8.56971836000002,-61.297499557 8.57332736000006,-61.310836557 8.57471836000008,-61.393890557 8.58249936000004,-61.4138905569999 8.58416336000005,-61.4263905569999 8.58332736000006,-61.4377815569999 8.58110936000003,-61.460281557 8.57639036000006,-61.543545557 8.54868136000005,-61.471390557 8.51166336000006,-61.4163905569999 8.48916336000002,-61.405281557 8.48583636000006,-61.392227557 8.48610936000006,-61.345836557 8.49083636000006,-61.294309557 8.49332736000002,-61.2469455569999 8.47471836000005,-61.234727557 8.47555436000005,-61.1941725569999 8.48569036000004,-61.185072557 8.49673636000006,-61.263599557 8.49992736000007)))', 'Venezuelan Exclusive Economic Zone', 'Venezuela', 'Venezuela', '', '139', '139', 'VEN', '8433', '', '475580613200', '8433', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0591636360001 56.0559636360001,21.065429061 55.998484224,21.0669454550001 55.9845727270001,21.0600000000001 55.9512363640001,21.0443727270001 55.913190909,21.0447181820001 55.8827636360001,21.058327273 55.7816636360001,21.0770818180001 55.7327727270001,21.1100636360001 55.714090909,21.144163636 55.677627273,21.1974909090001 55.575,21.245827273 55.466936364,21.289027273 55.286454545,21.263936476 55.248981986,21.2639361970001 55.248982029,21.25809752 55.2498769790001,20.99278452 55.2761579790001,20.984809591 55.2765549750001,21.0466636360001 55.3297181820001,21.1030545450001 55.420827273,21.1280545450001 55.575,21.134718182 55.6291545450001,21.1251363640001 55.6830454550001,21.112218182 55.7005454550001,21.092009091 55.7140181820001,21.0958272730001 55.6718000000001,21.0958272730001 55.594154545,21.093463636 55.539990909,21.0858272730001 55.507218182,21.0644454550001 55.451663636,21.0434000000001 55.408954545,21.0025000000001 55.352490909,20.9827727270001 55.3308272730001,20.9428364 55.287200038,20.9352165190001 55.2911759790001,20.7917259500001 55.3385029400001,20.7917258590001 55.3385027470001,20.658835943 55.382333509,20.6588359510001 55.3823335540001,20.6537835190001 55.3839999790001,20.6532550740001 55.384182745,20.6532550700001 55.384182702,19.924433333 55.636249999,19.7003833810001 55.7096200720001,19.08480568 55.9112044980001,19.081083184 55.912423511,19.076443765 55.9139427910001,19.04675 55.923666666,19.022537818 55.931595476,19.067483333 55.955,19.0674833620001 55.955000001,19.8874442310001 55.980206111,20.301487331 56.0047303380001,20.3601327150001 56.006385005,20.365451991 56.0064453690001,20.376543919 56.0064377510001,20.475602125 56.0063697140001,20.562519836 56.0142717050001,20.574843054 56.0151447540001,21.0246939640001 56.0655427460001,21.031441494 56.068484579,21.0516818180001 56.0773090910001,21.0591636360001 56.0559636360001)))', 'Lithuanian Exclusive Economic Zone', 'Lithuania', 'Lithuania', '', '189', '189', 'LTU', '5684', '', '6096158189', '5684', 'Y'),('SRID=4326;MULTIPOLYGON(((179.066251755 55.350065231,179.115209579 55.342088699,179.168863297 55.3460140230001,179.219617844 55.3483409880001,179.270414352 55.3503971100001,179.321241379 55.352174759,179.372102737 55.3536815640001,179.422986984 55.354913712,179.473890305 55.355875015,179.524805069 55.356557846,179.575735092 55.356966019,179.62666893 55.357107162,179.677602768 55.356966019,179.728528976 55.356557846,179.779443741 55.355875015,179.830347061 55.354913712,179.881231308 55.3536815640001,179.932092667 55.352174759,179.982919693 55.3503971100001,179.995818669 55.3503947500001,179.995818669 55.350391797,179.999999503 55.3503939840001,179.999999503 47.9299799770001,179.965474503 47.9334519770001,179.922902503 47.9385219770001,179.880388502 47.943821977,179.837935502 47.949357977,179.795547502 47.955124977,179.753227502 47.9611249770001,179.710974502 47.9673549770001,179.668794502 47.9738159770001,179.626688502 47.9805109770001,179.584660502 47.9874359770001,179.542713502 47.994590977,179.500847502 48.001974977,179.459066502 48.0095879770001,179.438208502 48.0134829770001,179.417374502 48.0174299770001,179.396560502 48.0214379770001,179.375772502 48.025501977,179.372408502 48.022487977,179.329108502 48.021896977,179.285805502 48.021540977,179.242499502 48.021421977,179.199194502 48.021540977,179.155891502 48.021896977,179.112591502 48.022487977,179.069302502 48.023315977,179.026022502 48.0243829770001,178.982755502 48.025682977,178.939505502 48.0272219770001,178.896274502 48.0289969770001,178.853066502 48.0310079770001,178.809880501 48.0332549770001,178.766722501 48.0357379770001,178.723591501 48.0384579770001,178.680494501 48.0414129770001,178.637430501 48.0446049770001,178.594405501 48.0480299770001,178.551422501 48.0516909770001,178.508480501 48.0555879770001,178.465583501 48.059718977,178.422733501 48.0640829770001,178.379935501 48.068682977,178.337191501 48.0735159770001,178.294505501 48.0785829770001,178.251874501 48.083882977,178.209308501 48.0894129770001,178.166802501 48.095179977,178.124366501 48.1011769770001,178.081999501 48.107404977,178.039705501 48.113865977,177.997483501 48.120557977,177.955341501 48.1274799770001,177.913277501 48.1346329770001,177.871297501 48.142012977,177.829402501 48.149624977,177.787597501 48.1574659770001,177.7458805 48.1655329770001,177.7042555 48.173829977,177.6627305 48.1823519770001,177.6212995 48.1911019770001,177.5799745 48.200076977,177.5387495 48.2092799770001,177.4976335 48.2187049770001,177.4566245 48.228357977,177.4157305 48.2382299770001,177.3749475 48.248329977,177.3342835 48.2586499770001,177.2937385 48.2691909770001,177.2533135 48.279954977,177.2130165 48.2909379770001,177.1728445 48.3021439770001,177.1328055 48.3135659770001,177.0928975 48.325207977,177.0531225 48.3370659770001,177.0134855 48.349140977,176.9739915 48.3614329770001,176.9346415 48.3739409770001,176.8954335 48.3866629770001,176.8563745 48.399599977,176.8174665 48.412746977,176.7787135 48.4261079770001,176.7401135 48.439679977,176.7016745 48.4534609770001,176.663394499 48.4674519770001,176.625280499 48.4816549770001,176.587330499 48.4960609770001,176.549549499 48.5106769770001,176.530722499 48.5180609770001,176.512055499 48.5209659770001,176.468872499 48.5255609770001,176.425744499 48.530385977,176.382672499 48.535446977,176.339658499 48.540740977,176.296708499 48.5462659770001,176.253819499 48.552024977,176.210999499 48.5580159770001,176.168252499 48.5642379770001,176.125574499 48.570690977,176.082972499 48.577374977,176.040447499 48.584287977,175.998002499 48.5914329770001,175.955644499 48.598804977,175.913369499 48.6064079770001,175.871183499 48.6142379770001,175.829088499 48.6222969770001,175.787085499 48.6305829770001,175.745180499 48.6390969770001,175.703374499 48.6478359770001,175.661672499 48.656801977,175.620072499 48.665993977,175.578580498 48.6754079770001,175.537197498 48.6850499770001,175.495927498 48.6949129770001,175.454772498 48.7049999770001,175.413733498 48.7153079770001,175.372816498 48.725837977,175.332022498 48.7365879770001,175.291352498 48.747560977,175.250810498 48.758751977,175.210402498 48.770162977,175.170124498 48.7817909770001,175.129983498 48.7936359770001,175.089980498 48.8056999770001,175.050119498 48.8179769770001,175.010402498 48.8304719770001,174.970833498 48.8431799780001,174.931410498 48.856101978,174.892138498 48.8692359780001,174.853024498 48.8825829780001,174.814063498 48.8961379780001,174.775263498 48.909904978,174.736624498 48.9238829780001,174.698152498 48.938068978,174.659844498 48.952460978,174.621708498 48.9670609780001,174.583744498 48.981865978,174.545952498 48.9968749780001,174.508341497 49.0120879780001,174.470908497 49.0275049780001,174.433655497 49.043124978,174.421308497 49.0551109780001,174.399427497 49.053079978,174.355630497 49.0491939780001,174.311788497 49.0455409780001,174.267908497 49.0421249780001,174.223991497 49.038940978,174.180038497 49.0359939780001,174.136052497 49.033282978,174.092035497 49.030804978,174.047991497 49.0285629780001,174.003924497 49.026557978,173.959835497 49.0247879780001,173.915727497 49.0232519780001,173.871602497 49.0219549780001,173.827466497 49.0208939780001,173.783316497 49.020065978,173.739160497 49.0194749780001,173.694997497 49.019121978,173.650833497 49.0190019780001,173.606669497 49.019121978,173.562505497 49.0194749780001,173.518349497 49.020065978,173.474199497 49.0208939780001,173.430063496 49.0219549780001,173.385938496 49.0232519780001,173.341830496 49.0247879780001,173.297741496 49.026557978,173.253674496 49.0285629780001,173.209630496 49.030804978,173.165613496 49.033282978,173.121627496 49.0359939780001,173.077674496 49.038940978,173.033758496 49.0421249780001,172.989877496 49.0455409780001,172.946035496 49.0491939780001,172.902238496 49.053079978,172.858488496 49.057199978,172.814788496 49.0615519780001,172.771135496 49.066137978,172.727541496 49.0709609780001,172.684002496 49.0760129780001,172.640522496 49.0812999780001,172.597105496 49.0868159780001,172.553752496 49.092568978,172.510466496 49.0985499780001,172.467252496 49.1047629780001,172.424110496 49.111204978,172.381044496 49.1178799780001,172.338055495 49.124785978,172.295149495 49.131918978,172.252324495 49.139282978,172.226827495 49.143610978,172.183649495 49.1500519780001,172.140549495 49.1567269780001,172.097530495 49.1636299780001,172.054588495 49.170762978,172.011730495 49.178124978,171.968960495 49.1857159780001,171.926280495 49.1935359780001,171.883691495 49.201582978,171.841197495 49.2098549780001,171.798797495 49.218357978,171.756499495 49.2270829780001,171.714305495 49.2360359780001,171.672213495 49.245212978,171.630233495 49.2546159780001,171.588360495 49.264240978,171.546602495 49.2740909780001,171.504958495 49.284160978,171.463433495 49.294454978,171.422030495 49.304971978,171.380752495 49.315704978,171.339599495 49.3266629780001,171.298574494 49.337837978,171.257683494 49.349229978,171.216924494 49.360843978,171.176302494 49.372671978,171.135822494 49.384715978,171.095483494 49.3969769780001,171.055288494 49.409454978,171.015241494 49.4221439780001,170.995274494 49.428568978,170.975344494 49.4350469780001,170.955455494 49.4415799780001,170.935602494 49.448162978,170.915788494 49.454801978,170.896013494 49.461490978,170.876277494 49.4682359780001,170.856583494 49.4750299780001,170.836927494 49.4818769780001,170.836877494 49.4836469780001,170.797427494 49.4971859780001,170.758141494 49.510932978,170.719016494 49.524890978,170.680055494 49.5390549780001,170.641263494 49.5534269780001,170.602644494 49.568004978,170.564197494 49.582790978,170.525927494 49.5977799780001,170.487835494 49.6129719780001,170.449924494 49.628365978,170.412199494 49.643962978,170.374658494 49.6597609780001,170.337308494 49.675757978,170.300147494 49.6919519780001,170.263183494 49.7083469780001,170.226413493 49.7249359780001,170.189844493 49.7417189780001,170.153474493 49.758699978,170.117310493 49.7758719780001,170.081352493 49.793235978,170.045605493 49.810793978,170.010066493 49.828537978,169.974744493 49.8464719780001,169.939638493 49.8645939780001,169.904752493 49.8829049780001,169.870088493 49.901396978,169.835647493 49.920076979,169.801433493 49.9389359790001,169.767447493 49.9579799790001,169.733694493 49.977201979,169.700174493 49.996604979,169.666891493 50.0161859790001,169.633847493 50.035940979,169.601044493 50.0558749790001,169.568483493 50.0759799790001,169.536169493 50.096257979,169.504105493 50.1167079790001,169.472291493 50.1373299790001,169.443163493 50.157315979,169.405408493 50.173296979,169.367847493 50.1894719790001,169.330480493 50.2058469790001,169.293310493 50.2224159790001,169.256341493 50.2391829790001,169.219577493 50.2561439790001,169.183016493 50.2732969790001,169.146666492 50.290640979,169.110524492 50.3081769790001,169.074597492 50.325904979,169.038883492 50.343818979,169.003388492 50.361921979,168.968116492 50.380210979,168.933066492 50.3986829790001,168.898241492 50.4173409790001,168.863647492 50.4361829790001,168.829280492 50.455204979,168.795149492 50.474407979,168.761252492 50.493787979,168.727594492 50.5133499790001,168.694177492 50.5330859790001,168.661002492 50.5529969790001,168.628072492 50.573082979,168.595391492 50.5933409790001,168.562960492 50.613768979,168.530783492 50.634368979,168.498860492 50.6551379790001,168.467194492 50.6760749790001,168.435788492 50.6971749790001,168.404647492 50.718440979,168.373769492 50.739871979,168.343158492 50.761460979,168.312816492 50.783212979,168.282747492 50.805124979,168.252952492 50.8271909790001,168.223433492 50.8494159790001,168.194194492 50.8717939790001,168.165235492 50.894326979,168.136560492 50.9170079790001,168.108169492 50.9398409790001,168.080069491 50.9628249790001,168.052258491 50.985951979,168.024741491 51.0092269800001,167.997516491 51.03264698,167.970591491 51.0562049800001,167.948219491 51.07382498,167.921580491 51.0975249800001,167.895244491 51.1213659800001,167.869210491 51.1453409800001,167.843485491 51.1694549800001,167.818066491 51.1937049800001,167.811207652 51.2003652220001,167.792958491 51.2180859800001,167.768163491 51.24259698,167.743683491 51.2672379800001,167.719522491 51.2920049800001,167.695677491 51.3169019800001,167.693309491 51.3193749800001,167.693310172 51.319375667,167.693309589 51.319375527,167.641113281 51.370834351,167.794998169 51.514167786,167.814870227 51.5325357390001,167.814870261 51.53253577,167.996948242 51.700832367,168.200271606 51.8872222900001,168.404724121 52.073055267,168.610839844 52.2586097720001,168.818054199 52.4438896180001,169.026672363 52.6286125180001,169.179254667 52.762429706,169.236663819 52.812778474,169.284188144 52.854118703,169.448059083 52.9966659560001,169.661117555 53.18027878,169.720312851 53.230812557,169.875549317 53.3633346570001,170.031517454 53.4954141440001,170.091384889 53.5461120620001,170.272175462 53.697769904,170.30860901 53.728332521,170.466893784 53.8421276080001,170.565551759 53.9130554220001,170.822784425 54.097221377,170.905967248 54.1563844400001,171.080551148 54.2805557280001,171.306116896 54.4401504890001,171.338882447 54.4633331320001,171.422431553 54.5221117940001,171.597503663 54.645278933,171.856674195 54.8266677880001,172.116394044 55.007221224,172.178247422 55.0499985810001,172.376663209 55.18722153,172.637222291 55.3663902310001,172.898605348 55.544998171,173.003727429 55.6164179260001,173.160278321 55.7227783230001,173.42277527 55.899723055,173.472055972 55.9328012460001,173.597452783 56.0169700860001,173.674962569 56.0689962000001,173.685562134 56.0761108400001,173.948883057 56.2519454960001,173.98378859 56.2663855820001,174.007658905 56.281543232,174.045728683 56.2780056,174.097078323 56.2729473110001,174.148332596 56.2676219940001,174.199487686 56.2620296480001,174.250535965 56.2561664580001,174.301477432 56.250032425,174.352300644 56.243635178,174.4030056 56.236967087,174.453588486 56.2300357820001,174.504037857 56.2228374480001,174.554357529 56.2153720860001,174.604536057 56.207643509,174.654569626 56.1996555330001,174.704458237 56.191400528,174.75419426 56.182886124,174.80377388 56.1741046910001,174.853185654 56.1650676730001,174.90243721 56.155771255,174.95151329 56.1462154390001,175.000417709 56.1364002230001,175.049139023 56.126333237,175.097677231 56.1160030360001,175.146024704 56.105424881,175.194177628 56.0945873260001,175.242136002 56.0835018160001,175.289888382 56.072160721,175.337434769 56.060571671,175.384767532 56.04873085,175.431890488 56.036642075,175.478788376 56.0243091580001,175.525465012 56.011728287,175.571912766 55.9988994600001,175.618127823 55.9858303070001,175.664110184 55.972520828,175.709848404 55.958967209,175.755342484 55.9451732640001,175.800588608 55.9311428070001,175.845582962 55.916872025,175.878927231 55.9065265660001,175.927694321 55.8969745640001,175.976285934 55.887166977,176.024702072 55.877103806,176.07293129 55.866785049,176.120973587 55.856210709,176.168821335 55.8453807830001,176.216478348 55.8342990880001,176.263933182 55.822969437,176.311182022 55.8113880160001,176.358221054 55.799554825,176.405046463 55.787477493,176.45165062 55.7751483920001,176.498037338 55.7625713350001,176.544195175 55.7497577670001,176.59012413 55.736696243,176.632925034 55.7255992890001,176.680246353 55.7142696380001,176.727369308 55.7026882170001,176.774278641 55.690862656,176.82097435 55.678785324,176.867456436 55.666463852,176.923524857 55.659135818,176.973791122 55.6532802580001,177.023950577 55.6471576690001,177.07399559 55.6407718660001,177.123926163 55.634119034,177.17373085 55.6271953580001,177.223413467 55.620008469,177.27296257 55.612558365,177.322374344 55.6048412320001,177.371648788 55.5968608860001,177.42077446 55.5886249540001,177.469755173 55.5801219940001,177.518579483 55.5713558200001,177.567243576 55.562330246,177.615743637 55.5530490880001,177.664079666 55.5435085300001,177.712244034 55.533712387,177.760225296 55.5236568450001,177.808031082 55.513345718,177.855649948 55.502782822,177.903078079 55.4919605260001,177.950311661 55.4808940890001,177.997346878 55.4695720670001,178.044179916 55.4579982760001,178.064050674 55.4534511570001,178.114900589 55.4508495330001,178.165700912 55.4479770660001,178.21644783 55.4448299410001,178.267137527 55.441415787,178.317762375 55.437726974,178.368318558 55.4337635040001,178.418802261 55.4295330050001,178.469205856 55.4250278470001,178.519529343 55.4202556610001,178.569765091 55.415216446,178.619905472 55.4099025730001,178.6699543 55.404321671,178.719896317 55.398469925,178.769731522 55.392354965,178.8194561 55.385969162,178.869066238 55.3793163300001,178.918558121 55.3724040990001,178.967916489 55.3652210240001,179.017152786 55.357774734,179.066251755 55.350065231),(172.494108496 52.9144359810001,172.638308496 52.8633269810001,172.707181496 52.874162981,172.774418496 52.8797179810001,172.796081496 52.8680449810001,172.894965961 52.791221018,172.900118183 52.7872181860001,172.90454837 52.780475305,172.928590496 52.7438809810001,172.942045496 52.746935981,173.010799496 52.7974899810001,173.098018496 52.8083269810001,173.194427496 52.8194449810001,173.321899496 52.8211089810001,173.425263496 52.8269449810001,173.434281496 52.8320719810001,173.434281578 52.8320725950001,173.434281819 52.832072732,173.43528238 52.839611436,173.436918496 52.8519359810001,173.436918134 52.8519360010001,173.436918183 52.8519363680001,173.346618183 52.856945459,173.297618819 52.8802633380001,173.321408496 52.906580981,173.321408421 52.9065810810001,173.321409092 52.9065818230001,173.311645456 52.9195727320001,173.140254547 52.9902727320001,173.123563638 52.9927636410001,173.026363638 52.995545459,172.889981819 52.9997181860001,172.786654547 53.0119363680001,172.647063638 53.0016636410001,172.586363638 52.977209095,172.54469091 52.95985455,172.529145456 52.9530454590001,172.478718183 52.9222181860001,172.478718538 52.922218007,172.478718496 52.9222179810001,172.494108496 52.9144359810001),(173.375108496 52.4019359810001,173.496918497 52.378871981,173.524418497 52.3808179810001,173.560245497 52.3863809810001,173.577054497 52.3938809810001,173.591918497 52.3949989810001,173.628845497 52.3916629810001,173.663999497 52.365271981,173.661711108 52.355274756,173.660245456 52.3488727320001,173.660245671 52.3488727430001,173.660245497 52.3488719810001,173.724672497 52.3522179810001,173.739118497 52.3547179810001,173.761257351 52.425806181,173.785400001 52.503327277,173.766663638 52.5080454590001,173.698581819 52.508327277,173.630800001 52.503881823,173.454409092 52.4505454590001,173.394854547 52.421381823,173.379074643 52.405841669,173.375108496 52.4019359810001),(177.2894275 51.85248998,177.3185725 51.8211089800001,177.318572594 51.8211092400001,177.318572728 51.8211090950001,177.326318682 51.8424874290001,177.3412185 51.8836089800001,177.3510725 51.89443598,177.3768905 51.91248998,177.3941365 51.9227629800001,177.4047085 51.9267989800001,177.4530365 51.9366539800001,177.4663545 51.9360989800001,177.4946905 51.92388098,177.5652455 51.9116629800001,177.6080815 51.9234629800001,177.608081817 51.9234636410001,177.684909092 52.084300005,177.677472728 52.1058272770001,177.613436365 52.1272090950001,177.599136365 52.126236368,177.569427274 52.1130545500001,177.55359091 52.100545459,177.553590757 52.1005451830001,177.5535905 52.100544981,177.545301119 52.085638771,177.523318183 52.0461090950001,177.46469091 51.9877727320001,177.388881819 51.9777636410001,177.366636365 51.9699818230001,177.248018183 51.902218186,177.244536365 51.875827277,177.244536528 51.875827192,177.2445365 51.8758269800001,177.2894275 51.85248998),(179.628709092 52.0280454590001,179.486909092 51.974300005,179.486909139 51.9742992220001,179.486908502 51.9742989800001,179.489545457 51.9302727310001,179.489545502 51.93027198,179.499999502 51.91415398,179.531099502 51.89193598,179.560790502 51.8836089800001,179.639708502 51.8674899800001,179.649718502 51.86720898,179.737454502 51.9030449800001,179.753327502 51.9202719800001,179.775936502 51.95297198,179.775936218 51.9529725190001,179.775936365 51.952972732,179.769000001 51.966100005,179.658600001 52.024709095,179.642763638 52.0283272770001,179.628709092 52.0280454590001),(178.576627274 51.971100005,178.518863638 51.9875000050001,178.476409092 51.986245459,178.476408847 51.986244991,178.476408501 51.98624498,178.464209785 51.9629111830001,178.453172728 51.9418000050001,178.453172899 51.9417997410001,178.453172501 51.94179898,178.466918192 51.9205454550001,178.466918501 51.92054498,178.500263501 51.8990179800001,178.519136501 51.8941539800001,178.528045501 51.89332698,178.536927501 51.8936089800001,178.567063501 51.90012698,178.591786252 51.921851905,178.603572728 51.9322090950001,178.604514553 51.936492156,178.606627501 51.94609898,178.606627125 51.946099329,178.606627274 51.9461000050001,178.587463638 51.9638818230001,178.576627274 51.971100005),(178.716199501 51.5840179800001,178.774418501 51.56916298,178.827054502 51.56916298,178.843172502 51.5719449800001,178.892490502 51.5633269800001,178.959963502 51.53971798,178.970790502 51.53248998,179.022218502 51.49554498,179.02624314 51.491643889,179.030818183 51.487209095,179.04502759 51.478241274,179.252199502 51.34748998,179.274418502 51.35471798,179.291354502 51.3583269800001,179.385527502 51.37470898,179.398590502 51.3747179800001,179.405872502 51.3641809800001,179.468018502 51.36763598,179.467840254 51.367865362,179.457881819 51.380681823,179.384709092 51.4024909140001,179.293309092 51.409990914,179.250518183 51.4070727320001,179.075254547 51.500827277,179.033600001 51.5299909140001,179.007354547 51.551936368,178.994963638 51.572772732,178.981354547 51.5813818230001,178.914427274 51.6086090950001,178.900545456 51.6136090950001,178.883027274 51.6184636410001,178.730100001 51.634018186,178.694118183 51.6488818230001,178.68219091 51.65665455,178.66969091 51.656245459,178.638318183 51.6354090950001,178.639917783 51.634018789,178.649990501 51.6252629800001,178.660799501 51.61804498,178.716199501 51.5840179800001)),((-139.362777777 71.386111112,-139.566111111 71.199444446,-139.739999999 71.0208333350001,-139.787777777 70.9672222240001,-139.875277777 70.806944446,-140.046388888 70.625277779,-140.162499999 70.4886111120001,-140.164166666 70.4852777790001,-140.278138033 70.243374696,-140.302499998 70.1916666670001,-140.302966613 70.1908740640001,-140.322777777 70.1572222240001,-140.710277777 69.8611111120001,-140.785277777 69.7983333350001,-140.829166666 69.7736111120001,-140.949999999 69.691666668,-140.976111111 69.6694444460001,-140.979813443 69.664919373,-140.983611111 69.6602777790001,-140.993015454 69.6518138700001,-140.997499827 69.647777933,-140.9975 69.647777778,-140.99768353 69.6474130560001,-140.997936111 69.6469111110001,-140.998048839 69.6468102900001,-141.002990797 69.642363995,-141.154172797 69.673309997,-141.21867268 69.6832063410001,-141.241090797 69.686645997,-141.264327797 69.6894189970001,-141.28459288 69.6890256870001,-141.300515962 69.688716647,-141.310699797 69.6885189970001,-141.310695474 69.688518274,-141.310699999 69.6885181860001,-141.246372726 69.6777636410001,-141.219709173 69.6702636640001,-141.234618352 69.65709517,-141.25061788 69.642963627,-141.260281797 69.634427997,-141.290097727 69.6322136700001,-141.290281807 69.6322000010001,-141.290697202 69.63221278,-141.30987823 69.632803046,-141.326936797 69.633327997,-141.335142825 69.6340678770001,-141.360808797 69.6363819970001,-141.382081797 69.6397099970001,-141.391071581 69.6425082600001,-141.427576869 69.6538713150001,-141.434736362 69.656100005,-141.445528212 69.663518588,-141.457363797 69.6716549970001,-141.493345452 69.6988727340001,-141.493345797 69.6988729970001,-141.534181807 69.7186,-141.565827797 69.728318997,-141.707763797 69.769718997,-141.717588121 69.772171185,-141.720661363 69.7729382780001,-141.731108797 69.7755459970001,-141.782227797 69.7863729970001,-141.864842648 69.794183849,-141.867583522 69.794442986,-141.879154797 69.7955369970001,-141.893209898 69.7954233310001,-141.897878898 69.795385572,-141.924191785 69.795172774,-141.947781797 69.794981997,-141.952060946 69.7962105390001,-141.960372724 69.7985968460001,-141.966213757 69.800273804,-141.970646104 69.8015463290001,-142.010146633 69.8128869130001,-142.035336797 69.8201189970001,-142.047232773 69.826824775,-142.048824537 69.827722054,-142.053513823 69.830365412,-142.055938631 69.8317322790001,-142.063982601 69.836266676,-142.065476075 69.8371085490001,-142.066654797 69.8377729970001,-142.075300111 69.8404029910001,-142.080694818 69.8420441170001,-142.098599797 69.8474909970001,-142.11878536 69.851219185,-142.118881797 69.8512369970001,-142.163636797 69.853318997,-142.220024105 69.8495674220001,-142.221172797 69.849490997,-142.223843647 69.849359103,-142.239661401 69.8485779800001,-142.261672798 69.8474909970001,-142.369445798 69.8902729970001,-142.423063798 69.919145997,-142.489615241 69.9487347680001,-142.491619305 69.9496257750001,-142.495239608 69.951235361,-142.512631482 69.9589677880001,-142.523072798 69.963609997,-142.523398637 69.9637531860001,-142.57455019 69.9862315020001,-142.613554031 70.003371562,-142.642518181 70.0161000050001,-142.677227498 70.0244790460001,-142.78288697 70.0499863630001,-142.888199798 70.0754099970001,-142.949898831 70.0798634600001,-142.968943951 70.081238145,-143.024718798 70.0852639970001,-143.146303241 70.1011926190001,-143.150914125 70.1017966850001,-143.193888056 70.107426644,-143.215545798 70.1102639970001,-143.221322448 70.110427234,-143.250089066 70.1112401220001,-143.271324791 70.1118402010001,-143.286317786 70.1122638730001,-143.294036798 70.112481997,-143.294420077 70.110412427,-143.294574021 70.1095811860001,-143.294733661 70.108719186,-143.2948822 70.1079171270001,-143.295767491 70.1031368690001,-143.29651605 70.0990949170001,-143.300552097 70.0773016900001,-143.301390856 70.07277301,-143.397261311 70.0938296890001,-143.411408799 70.0969369970001,-143.511382633 70.097195926,-143.520290799 70.0972189970001,-143.521307026 70.0970960870001,-143.603045799 70.0872099970001,-143.666399799 70.0834639970001,-143.681969719 70.0854372140001,-143.687143721 70.0860929290001,-143.704708799 70.088318997,-143.705562729 70.0885844140001,-143.731090799 70.096518997,-143.743717343 70.096039724,-144.041963799 70.084718997,-144.064999799 70.0791639970001,-144.06698123 70.078516392,-144.06879215 70.0779245160001,-144.071352203 70.0770877960001,-144.075689729 70.075670131,-144.077033047 70.075231085,-144.080779904 70.0740064730001,-144.093427217 70.0698728620001,-144.099389108 70.0679242950001,-144.112157269 70.063751186,-144.117394122 70.062039584,-144.118854159 70.0615623940001,-144.13770909 70.0554000050001,-144.141197646 70.0536890650001,-144.151824869 70.048477468,-144.162918799 70.0430369970001,-144.201108799 70.039981997,-144.339718799 70.038881997,-144.3866728 70.0394279970001,-144.48251347 70.0187528060001,-144.482681329 70.0187165940001,-144.486349198 70.017925345,-144.510940256 70.0126204480001,-144.5186188 70.010963997,-144.5660998 69.988872997,-144.5872188 69.982481997,-144.6119368 69.9777639970001,-144.6402908 69.9744279970001,-144.6722458 69.9724909970001,-144.7074908 69.9722189970001,-144.775646341 69.97654535,-144.842560572 69.9807929070001,-144.8780548 69.983045997,-144.9522088 69.968318997,-144.9816548 69.977481997,-145.0039088 69.9835999970001,-145.0248728 69.987072997,-145.1966548 70.001936997,-145.230590217 70.0077484500001,-145.273488724 70.0150948350001,-145.4252908 70.0410909970001,-145.473848281 70.052314401,-145.508770442 70.0603861860001,-145.51263396 70.061279186,-145.515495744 70.0619406480001,-145.519712632 70.0629153250001,-145.526844003 70.0645636450001,-145.528749549 70.065004086,-145.536130957 70.0667101980001,-145.540535981 70.06772836,-145.546548998 70.0691181870001,-145.548757582 70.069628671,-145.555319239 70.0711453100001,-145.556846828 70.071498391,-145.566296849 70.0736826360001,-145.576343231 70.0760047210001,-145.588334184 70.0787762670001,-145.600827801 70.0816639970001,-145.686672801 70.1080369970001,-145.748045801 70.128036997,-145.783102612 70.142064012,-145.793728557 70.1463156890001,-145.797744358 70.147922502,-145.803618801 70.1502729970001,-145.80732833 70.1502830410001,-145.831201782 70.150347681,-145.878815784 70.150476601,-145.899672887 70.1505330740001,-145.904445801 70.1505459970001,-145.905416571 70.150518827,-145.918385857 70.1501558430001,-145.93631228 70.1496541180001,-145.941340131 70.1495133980001,-145.948219806 70.149320849,-145.963899801 70.148881997,-145.991808801 70.148745997,-146.080290801 70.1522099970001,-146.103472801 70.1545729970001,-146.125699801 70.164145997,-146.169727801 70.1733189970001,-146.261690801 70.1794279970001,-146.457763801 70.1916549970001,-146.538608802 70.194427997,-146.762236802 70.1816549970001,-146.765581295 70.1813907490001,-146.876744486 70.1726077580001,-146.896339117 70.171059588,-146.924912878 70.1688019790001,-146.980272802 70.1644279970001,-147.023899802 70.1630369970001,-147.156245802 70.163745997,-147.186663802 70.167345997,-147.196265438 70.170357546,-147.20129447 70.1719348990001,-147.214772296 70.1761622120001,-147.22534172 70.1794773060001,-147.231246636 70.1813293800001,-147.235678745 70.182719509,-147.244123728 70.1853682730001,-147.251327636 70.1876277750001,-147.254835664 70.1887280670001,-147.261455611 70.1908044100001,-147.264013202 70.191606597,-147.269472802 70.1933189970001,-147.292313989 70.195509347,-147.296180167 70.195880093,-147.298787909 70.196130162,-147.303802281 70.1966110130001,-147.333785636 70.1994862590001,-147.336118802 70.1997099970001,-147.489990802 70.2047099970001,-147.527385016 70.2053594070001,-147.541387728 70.2056025860001,-147.551468191 70.2057776490001,-147.564223313 70.2059991610001,-147.603930517 70.2066887390001,-147.606086597 70.2067261830001,-147.616310864 70.2069037430001,-147.621236365 70.2069892820001,-147.634463803 70.207218997,-147.689727803 70.209154997,-147.714999803 70.214427997,-147.763336803 70.2255369970001,-147.769523959 70.230594099,-147.773955956 70.2342166130001,-147.777491229 70.2371061860001,-147.781505398 70.2403871860001,-147.783315014 70.2418662840001,-147.788325695 70.245961788,-147.791244637 70.2483475990001,-147.797774514 70.2536848250001,-147.800690765 70.2560684370001,-147.814999803 70.267763997,-147.860897366 70.278474358,-147.863784762 70.279148143,-147.869281751 70.280430885,-147.872723506 70.2812340310001,-147.87850876 70.2825840400001,-147.888842797 70.2849955250001,-147.896361872 70.2867501280001,-147.899083261 70.2873851740001,-147.912408419 70.2904946470001,-147.915783292 70.291282186,-147.929972426 70.2945932710001,-147.941237408 70.297221995,-147.961264641 70.301895422,-147.963745025 70.3024742280001,-147.990561215 70.3087318820001,-148.005270198 70.312164276,-148.008583809 70.3129375190001,-148.031325061 70.3182442720001,-148.037381968 70.3196576730001,-148.040525416 70.320391208,-148.077152676 70.3289383100001,-148.081663774 70.329990991,-148.081663801 70.3299910010001,-148.085905045 70.332343988,-148.086202391 70.3325089520001,-148.08806649 70.3335431310001,-148.098926767 70.3395682830001,-148.112208803 70.346936998,-148.139590803 70.3548549980001,-148.222781803 70.359145998,-148.270418803 70.349772998,-148.302645803 70.3312369980001,-148.341372803 70.3169369980001,-148.372754803 70.310672997,-148.483867411 70.3200667030001,-148.499318172 70.3213729440001,-148.498596784 70.338557694,-148.498399803 70.343245998,-148.519318803 70.3665099980001,-148.595272803 70.3955369980001,-148.605928146 70.397651233,-148.64631135 70.405664077,-148.65915815 70.4082131430001,-148.672245804 70.410809998,-148.694027804 70.413736998,-148.737763804 70.4160909980001,-148.768063804 70.4127639980001,-148.802218804 70.410809998,-148.821941296 70.4110957170001,-148.822236362 70.411100005,-148.845653652 70.4154526090001,-148.859017397 70.417936599,-148.876338986 70.421156253,-148.886954086 70.423129337,-148.896267855 70.424860536,-148.898822831 70.4253354420001,-148.917050885 70.428723586,-148.992490804 70.4427459980001,-149.045627804 70.4641549980001,-149.174708804 70.4908189980001,-149.181877171 70.4912275070001,-149.182800297 70.4912801140001,-149.26138139 70.4957582770001,-149.267824159 70.496125437,-149.320827804 70.4991459980001,-149.322527967 70.498719721,-149.348189911 70.4922855840001,-149.359008804 70.489572998,-149.371368359 70.4849852390001,-149.383327804 70.4805459980001,-149.426121523 70.4901022540001,-149.43115854 70.49122707,-149.469145804 70.4997099980001,-149.514958244 70.507113196,-149.543063804 70.511654998,-149.879990805 70.515000001,-149.879990908 70.515000005,-149.880967051 70.5147093690001,-149.906127805 70.507218998,-149.959163805 70.4874819980001,-150.124145805 70.437063998,-150.182646351 70.433733863,-150.230735475 70.4309963960001,-150.240877236 70.4304190780001,-150.248923299 70.4299610570001,-150.301294255 70.426979848,-150.311954805 70.426372998,-150.320857409 70.4268233650001,-150.329495606 70.427260356,-150.333725937 70.4274743610001,-150.335935009 70.4275861140001,-150.34469234 70.4280291320001,-150.351275659 70.4283621700001,-150.358567169 70.4287310350001,-150.388936401 70.4302673610001,-150.396954385 70.430672976,-150.367718181 70.475572732,-150.367718891 70.4755728650001,-150.367718805 70.4755729980001,-150.370438201 70.476084493,-150.397722382 70.4812164160001,-150.43769379 70.4887347000001,-150.441423152 70.4894361610001,-150.443835567 70.489889916,-150.445736439 70.490247454,-150.451378784 70.4913087310001,-150.476278867 70.4959922260001,-150.478777137 70.4964621290001,-150.490771601 70.4987181860001,-150.525572805 70.505263998,-150.615827805 70.5063819980001,-150.779999805 70.5022099980001,-151.015018806 70.460818998,-151.176527806 70.442963998,-151.206999806 70.422409998,-151.206999589 70.4224093720001,-151.206999999 70.422409095,-151.19750909 70.3949909140001,-151.179600683 70.3744189720001,-151.229854806 70.372963998,-151.230921147 70.3734904870001,-151.239951205 70.3779489360001,-151.240922502 70.3784284990001,-151.265592833 70.3906090890001,-151.268887575 70.392235816,-151.270270759 70.3929187410001,-151.273345806 70.3944369980001,-151.288822569 70.3996433710001,-151.291079697 70.400402667,-151.316321111 70.4088938620001,-151.320504915 70.4103012910001,-151.323772164 70.411400391,-151.325851338 70.4120998240001,-151.330562491 70.4136846530001,-151.334445453 70.414990914,-151.334445746 70.4149909770001,-151.334445807 70.4149909940001,-151.358608806 70.4202549980001,-151.386963806 70.424145998,-151.475554806 70.4347099980001,-151.521945806 70.4394189980001,-151.613190806 70.4452549980001,-151.738308806 70.4458189980001,-151.798336806 70.4452549980001,-151.828063806 70.441363998,-151.881927806 70.440263998,-151.911379983 70.442067417,-151.928823088 70.443135495,-151.943906155 70.4440590630001,-151.970263582 70.4456729840001,-151.966509189 70.4632998170001,-151.966090881 70.4652636490001,-151.906390908 70.4827636410001,-151.803890908 70.4933181860001,-151.770290908 70.498036368,-151.736645453 70.558590914,-151.736645844 70.55859093,-151.736645806 70.5585909980001,-152.000136807 70.569718998,-152.033063807 70.5676189980001,-152.059308807 70.5559549980001,-152.099972726 70.552200005,-152.099972807 70.5522000000001,-152.135756306 70.5512582000001,-152.153823227 70.5507826910001,-152.156326641 70.5507168030001,-152.183848321 70.54999245,-152.226381807 70.548872998,-152.351381807 70.552763998,-152.363428698 70.55208974,-152.455587998 70.5469316370001,-152.495281807 70.544709998,-152.525281807 70.5435909980001,-152.538908286 70.545732297,-152.566252695 70.5500292680001,-152.608818797 70.5567182140001,-152.61946352 70.5583909530001,-152.543881817 70.5838818230001,-152.522245453 70.5874909140001,-152.493881817 70.587209095,-152.416654544 70.581372732,-152.315554544 70.5755454590001,-152.104581812 70.5686000010001,-152.077363635 70.5783909140001,-152.07906825 70.5796805830001,-152.085836354 70.5848013440001,-152.093608807 70.590681998,-152.130281807 70.5952639980001,-152.164463807 70.596936998,-152.184718807 70.596645998,-152.229854807 70.594981998,-152.287032796 70.599397857,-152.328562333 70.6026051850001,-152.336320311 70.6032043340001,-152.358847179 70.6049440850001,-152.371936807 70.6059549980001,-152.403899807 70.6121999980001,-152.435272807 70.6222099980001,-152.443856074 70.6257812520001,-152.467021843 70.6354198700001,-152.476174644 70.6392280910001,-152.492690807 70.6460999980001,-152.508899565 70.6876183790001,-152.373599999 70.7477545500001,-152.217227272 70.8130454590001,-152.217227963 70.8130459330001,-152.217227807 70.8130459980001,-152.225717549 70.8188643490001,-152.247218181 70.8336000050001,-152.255553562 70.835529772,-152.277218807 70.840545998,-152.284625778 70.842079186,-152.379154807 70.861645998,-152.435272807 70.8699819980001,-152.480563807 70.8749819980001,-152.511418807 70.8780369980001,-152.544463807 70.8805369980001,-152.599748401 70.884516144,-152.610263807 70.8852729980001,-152.617562993 70.8854394260001,-152.631166439 70.8857495980001,-152.646972807 70.8861099980001,-152.648191873 70.88605189,-152.734708807 70.881927998,-152.734708836 70.881927289,-152.73470909 70.881927277,-152.735878088 70.8531917380001,-152.736663807 70.833881998,-152.811306389 70.8583614830001,-152.913789043 70.891971288,-152.931925311 70.8979191860001,-152.945008807 70.902209998,-153.104305121 70.920145232,-153.106729434 70.9204181860001,-153.108018251 70.9205632950001,-153.127920332 70.9228040780001,-153.133914131 70.9234789220001,-153.143808013 70.9245928780001,-153.160975435 70.9265257650001,-153.166963635 70.927200005,-153.168429266 70.927269724,-153.201936808 70.9288639980001,-153.222499808 70.9285909980001,-153.250836808 70.9272099980001,-153.286954808 70.921645998,-153.322236808 70.9127639980001,-153.345406569 70.904579186,-153.357208808 70.900409998,-153.369580674 70.8980472870001,-153.370251445 70.8979191860001,-153.384154808 70.8952639980001,-153.404925459 70.89384719,-153.406303562 70.8937531860001,-153.407922387 70.8936427630001,-153.502227808 70.8872099980001,-153.569253519 70.887638591,-153.590272808 70.8877729980001,-153.623045808 70.8899819980001,-153.728054808 70.8941459980001,-153.731586839 70.8941173920001,-153.73848857 70.8940614960001,-153.780194357 70.8937237230001,-153.862763808 70.8930549980001,-153.883054808 70.892490998,-153.915008808 70.8891639980001,-153.937927808 70.879563998,-153.938149033 70.87937507,-153.938844405 70.8787812150001,-153.942975631 70.875253107,-153.943862738 70.874495509,-153.946252863 70.8724543180001,-153.949290629 70.869860036,-153.966381808 70.8552639980001,-154.001390808 70.8394279980001,-154.129972809 70.7894279980001,-154.164736809 70.780272998,-154.203618809 70.776518998,-154.231468498 70.7866251300001,-154.248758455 70.792899333,-154.2518535 70.794022467,-154.253345809 70.7945639980001,-154.283993242 70.812088298,-154.285292138 70.8128310110001,-154.289931643 70.8154838950001,-154.291757991 70.816528207,-154.301432911 70.8220603570001,-154.302918809 70.8229099980001,-154.309594712 70.8239300160001,-154.313907607 70.8245889880001,-154.329720442 70.8270050470001,-154.348815643 70.8299226230001,-154.351108809 70.8302729980001,-154.356375305 70.8305828760001,-154.380333891 70.831992588,-154.384181809 70.832218998,-154.385648835 70.8322406500001,-154.396680133 70.832403459,-154.421108809 70.8327639980001,-154.502188897 70.827794817,-154.506421098 70.8275354370001,-154.509276059 70.827360464,-154.525395126 70.8263725690001,-154.53177432 70.8259816060001,-154.543244317 70.8252786400001,-154.547790809 70.8250000040001,-154.547790908 70.825,-154.54808351 70.8249918660001,-154.548919145 70.8249686490001,-154.568054809 70.8244369980001,-154.5814868 70.8253958880001,-154.583015514 70.82550502,-154.592498189 70.8261819740001,-154.592675069 70.826194602,-154.596424478 70.8264622660001,-154.612627809 70.827618998,-154.676820437 70.8812481860001,-154.680299727 70.8841549300001,-154.658063635 70.9152636410001,-154.595745453 71.0019272770001,-154.59574595 71.0019278020001,-154.595745809 71.001927998,-154.606268851 71.0130483880001,-154.609880533 71.0168650890001,-154.614154544 71.0213818230001,-154.614154693 71.0213818760001,-154.614154809 71.021381998,-154.821108809 71.094981998,-154.868737254 71.1022092000001,-154.88327774 71.1044155920001,-154.884150953 71.104548095,-154.905061837 71.107721139,-154.923618809 71.110536998,-154.974427809 71.117063998,-155.001781809 71.101263998,-155.002640329 71.096231275,-155.003783717 71.089528634,-155.008549047 71.0615938290001,-155.015290865 71.022072984,-155.062090809 71.0102729980001,-155.083817922 71.021936522,-155.045899572 71.0445201260001,-155.041399809 71.0471999980001,-155.043370685 71.0673371710001,-155.04553155 71.0894155330001,-155.046236324 71.096616478,-155.048663635 71.121418186,-155.048663741 71.1214182990001,-155.048663809 71.1214189980001,-155.053032996 71.1260746830001,-155.054593304 71.1277373040001,-155.055802777 71.1290260860001,-155.05913864 71.1325806900001,-155.066074785 71.1399716550001,-155.074436362 71.1488818230001,-155.074436662 71.148881841,-155.074436809 71.148881998,-155.094436809 71.1501279980001,-155.19778181 71.1183189980001,-155.27410881 71.0864369980001,-155.274108472 71.0864366260001,-155.27410909 71.0864363680001,-155.256345453 71.066845459,-155.198336589 71.0402637450001,-155.183483333 71.023197139,-155.178754822 71.0177639600001,-155.178787643 71.0176660610001,-155.18667281 70.9941459980001,-155.21499981 70.9873459980001,-155.22782288 70.9910713840001,-155.24798181 70.996927998,-155.277372452 71.010422985,-155.29318181 71.0176819980001,-155.39195481 71.0017999980001,-155.509506369 70.9445306860001,-155.513225023 70.9427190150001,-155.53666381 70.931299998,-155.603703786 70.858764518,-155.610857206 70.8510247070001,-155.61694581 70.844436998,-155.65389981 70.844709998,-155.661223475 70.844218654,-155.700459364 70.8415863210001,-155.807237849 70.834422562,-155.819368233 70.833608735,-155.865242338 70.830531045,-155.880791337 70.829487864,-155.88764581 70.8290279980001,-155.91070881 70.822627998,-155.921312416 70.8113900020001,-155.924215011 70.8083137500001,-155.924999999 70.807481823,-155.91899921 70.7980778720001,-155.91294581 70.7885909980001,-155.910511047 70.7842645280001,-155.90852243 70.780730841,-155.902791158 70.7705459030001,-155.95361881 70.756654998,-155.965788191 70.7561513160001,-155.971242803 70.7559255530001,-155.97359981 70.755827998,-155.974230442 70.7605517810001,-155.982969354 70.826011108,-155.982972726 70.8260363680001,-155.946245453 70.8476909140001,-155.972283025 70.881167786,-155.972841827 70.881886249,-155.983672926 70.895812096,-155.98735481 70.900545998,-156.056417738 70.9195343710001,-156.05804581 70.9199819980001,-156.060313275 70.9200188900001,-156.063890354 70.9200770900001,-156.081804461 70.9203685580001,-156.083736362 70.920400005,-156.083736468 70.9203999920001,-156.08373681 70.9203999980001,-156.093597907 70.9192689400001,-156.099510103 70.9185908170001,-156.10156279 70.9183553760001,-156.14056381 70.9138819980001,-156.157736218 70.915697101,-156.177290348 70.9177639490001,-156.086245454 70.9679000100001,-155.996090908 70.972490914,-155.957218181 70.9730363680001,-155.894318181 70.9724818230001,-155.830554544 70.9799818230001,-155.756704382 70.9955851670001,-155.73580881 70.9999999980001,-155.641164978 71.0437115130001,-155.550290908 71.0856818230001,-155.550290868 71.085681971,-155.55029081 71.085681998,-155.549169323 71.0898565310001,-155.543354544 71.111500005,-155.554816195 71.1247510800001,-155.568786644 71.140903017,-155.59249981 71.1683189980001,-155.599213788 71.1707127430001,-155.63806381 71.184563998,-155.76599081 71.202218998,-155.80694581 71.204990998,-155.84609981 71.2030459980001,-155.911384659 71.1991970230001,-155.92166381 71.198590998,-155.956320652 71.195315232,-155.98639081 71.192472998,-156.046313389 71.207867342,-156.04700881 71.208045998,-156.051084552 71.210430209,-156.08430506 71.2298634100001,-156.10089319 71.239567069,-156.10707281 71.2431819980001,-156.13919081 71.2497099980001,-156.193599811 71.2583279980001,-156.249999811 71.2663909980001,-156.275145811 71.2679099980001,-156.290094838 71.26709565,-156.298743686 71.266624504,-156.338899811 71.2644369980001,-156.388868356 71.2634153610001,-156.413780297 71.262906022,-156.416376905 71.262852933,-156.419723636 71.262784507,-156.433850588 71.262495673,-156.440290811 71.2623639980001,-156.499522967 71.2862471870001,-156.546663811 71.3052549980001,-156.568767377 71.325644638,-156.574879896 71.3312831870001,-156.58946176 71.344734363,-156.593455762 71.348418667,-156.596727811 71.3514369980001,-156.698336811 71.338318998,-156.756408811 71.322218998,-156.786408811 71.3113729980001,-156.841945811 71.2883189980001,-157.001399811 71.210818998,-157.024172811 71.198027998,-157.047381811 71.182063998,-157.081936811 71.156645998,-157.125272811 71.129699998,-157.191099811 71.0891549980001,-157.230836811 71.0684549980001,-157.275299812 71.048872998,-157.471927812 70.9760909980001,-157.544154812 70.951381998,-157.764190812 70.884990998,-157.786681812 70.8785819980001,-157.877964366 70.8569473840001,-157.880463812 70.856354998,-157.979427812 70.8374909980001,-158.036407298 70.8311700510001,-158.043157853 70.8304211860001,-158.053345812 70.829290998,-158.059156027 70.829060284,-158.145037281 70.8256500840001,-158.16140909 70.825000001,-158.162029776 70.82499755,-158.234981812 70.8247099980001,-158.353336813 70.8288729980001,-158.413054813 70.834718998,-158.465941236 70.8332363060001,-158.482163226 70.8327815170001,-158.502227813 70.832218998,-158.539172813 70.810536998,-158.611936813 70.7919279980001,-158.643336813 70.7877639980001,-158.644368368 70.7877122130001,-158.669259344 70.7864626690001,-158.674051962 70.786222077,-158.690427486 70.7854000140001,-158.695520618 70.785632735,-158.745160852 70.787901253,-158.759462694 70.7885548350001,-158.76388209 70.7887567980001,-158.839445813 70.792209998,-158.920836813 70.796372998,-158.927981013 70.7954401860001,-158.970899933 70.7898363030001,-158.987209356 70.7877067960001,-158.991090908 70.787200005,-159.012957148 70.7821610720001,-159.048721647 70.7739194230001,-159.067544145 70.7695819250001,-159.074881078 70.767891186,-159.075796555 70.7676802220001,-159.078297738 70.7671038440001,-159.109163813 70.759990998,-159.223872813 70.7044369980001,-159.295836813 70.7255369980001,-159.416654814 70.7655459980001,-159.439767239 70.7756992660001,-159.445418181 70.7781818230001,-159.348823734 70.801677983,-159.336399813 70.804699998,-159.336365751 70.804705959,-159.335231506 70.8049044630001,-159.307772726 70.8097090950001,-159.269745453 70.812190914,-159.194454813 70.8135999990001,-159.194454544 70.8136000050001,-159.146899999 70.8229090950001,-159.146900515 70.822909861,-159.146899813 70.8229099980001,-159.156791824 70.8375601000001,-159.164718181 70.849300005,-159.190845453 70.852900005,-159.190845636 70.8528999740001,-159.190845813 70.8528999980001,-159.196395647 70.851957815,-159.220126517 70.8479290780001,-159.225137323 70.847078405,-159.225150432 70.84707618,-159.234163813 70.845545998,-159.248889492 70.844971361,-159.251281647 70.844878012,-159.348327629 70.8410910050001,-159.363103055 70.8448741180001,-159.367890813 70.8460999980001,-159.36537167 70.8469756550001,-159.338336362 70.8563727320001,-159.300563636 70.86220001,-159.249145453 70.867481823,-159.208890908 70.8694272770001,-159.170972726 70.877481823,-159.170974461 70.8774816480001,-159.170972813 70.8774819980001,-159.303345813 70.8641549980001,-159.522799814 70.8280459980001,-159.628599814 70.8063639980001,-159.672363814 70.7960909980001,-159.76107351 70.7500963100001,-159.763780695 70.748692674,-159.765773655 70.7476593530001,-159.819154814 70.719981998,-159.923890814 70.6927459980001,-159.931359162 70.6907307640001,-159.947508814 70.6863729980001,-160.023072814 70.6627639980001,-160.110118814 70.6313729980001,-160.121581814 70.6123459980001,-160.121581447 70.6123460740001,-160.121581817 70.612345459,-160.036254544 70.6299727320001,-159.996645453 70.635272732,-159.976654544 70.6363818230001,-159.944990908 70.633736368,-159.918881817 70.6252636410001,-159.858463775 70.591381901,-159.857011995 70.5877580600001,-159.856328471 70.5860518910001,-159.846299999 70.5610181860001,-159.752031876 70.5008367390001,-159.747218814 70.497763998,-159.747218689 70.497763966,-159.747218181 70.4977636410001,-159.729981817 70.4933181860001,-159.657545453 70.503581823,-159.564727272 70.524427277,-159.305646561 70.5306817960001,-159.400845813 70.504990998,-159.511266597 70.4955739530001,-159.557218814 70.4916549980001,-159.654445814 70.471599998,-159.692508814 70.466381998,-159.760772814 70.4737279980001,-159.766322176 70.4747390100001,-159.806243648 70.4820121170001,-159.819454814 70.4844189980001,-159.863054814 70.4376189980001,-159.864224735 70.435423305,-159.866400838 70.431339221,-159.885990814 70.3945729980001,-159.885990794 70.394572946,-159.885990908 70.394572732,-159.867872077 70.3487075840001,-159.85243725 70.3096361670001,-159.836118814 70.268327997,-159.896530414 70.3098339910001,-159.918655593 70.32503517,-159.980701558 70.36766406,-159.981654814 70.3683189980001,-159.986397194 70.378326578,-159.987462581 70.380574804,-160.006136362 70.4199818230001,-160.018618181 70.4719272770001,-160.018618629 70.4719272290001,-160.018618814 70.4719279980001,-160.096099814 70.463609998,-160.10419641 70.463468516,-160.16013674 70.4624909990001,-160.160945548 70.4626739770001,-160.163805369 70.4633210250001,-160.165715432 70.4637531860001,-160.19388874 70.470127528,-160.111118181 70.479709095,-160.070690908 70.482209095,-159.944454544 70.515272732,-159.924181817 70.5298454590001,-159.92418186 70.5298459640001,-159.924181814 70.529845998,-159.928745802 70.582916186,-159.929090814 70.5869279980001,-160.097005027 70.5889173570001,-160.103855792 70.5889985210001,-160.150069649 70.5895460390001,-160.163908814 70.589709998,-160.166260333 70.5889044900001,-160.315554814 70.5377639980001,-160.334718814 70.530545998,-160.353608814 70.5230369980001,-160.475827814 70.4746999980001,-160.575582413 70.4393999100001,-160.617457 70.42458178,-160.618744469 70.424126184,-160.633969268 70.418738595,-160.640965153 70.4162629670001,-160.643785817 70.4152648200001,-160.659901057 70.4095621320001,-160.661329907 70.4090565060001,-160.666926238 70.4070761360001,-160.685396786 70.4005399770001,-160.750581815 70.377472998,-160.769314691 70.3718255690001,-160.773618815 70.3705279980001,-160.774549094 70.370256624,-160.799649755 70.3629344720001,-160.802319311 70.3621557320001,-160.851654815 70.3477639980001,-160.874999815 70.3413729980001,-160.900572815 70.335818998,-160.955141458 70.324562186,-160.983815131 70.3186471750001,-160.995143698 70.316310237,-161.112436955 70.2921141410001,-161.116718327 70.2912309490001,-161.118703131 70.2908215090001,-161.120794019 70.2903901860001,-161.173890815 70.2794369970001,-161.203558011 70.2742265900001,-161.216645815 70.271927997,-161.306399815 70.2580459970001,-161.340818815 70.2547189970001,-161.474154815 70.251390997,-161.604290816 70.255827997,-161.640836816 70.2505459970001,-161.658236237 70.243722695,-161.668782848 70.2395867690001,-161.691836816 70.230545997,-161.73372693 70.2150117090001,-161.785336816 70.195872997,-161.809827816 70.1803729970001,-161.864990816 70.1613729970001,-162.031286317 70.1566534020001,-162.044952891 70.1562655340001,-162.100775909 70.1546812340001,-162.114208783 70.1543000130001,-162.108157524 70.1572138160001,-162.070972726 70.1751181860001,-162.034999999 70.187190914,-162.013899999 70.191090914,-161.98400909 70.1898454590001,-161.941254544 70.1770636410001,-161.903899999 70.1744272770001,-161.867218181 70.1774727320001,-161.851899999 70.209427277,-161.766963635 70.2572272770001,-161.766964306 70.257227721,-161.766963816 70.257227997,-161.77631699 70.2634168810001,-161.793799153 70.2749846200001,-161.799522543 70.2787717190001,-161.81644303 70.2899678040001,-161.820866511 70.292894769,-161.83489309 70.302175988,-161.846075477 70.3095752410001,-161.858890816 70.318054998,-161.882645816 70.319018998,-161.883885652 70.3187732650001,-161.89248175 70.3170695410001,-161.923639927 70.3108940700001,-161.942227816 70.307209997,-161.946366862 70.3056410500001,-161.961654816 70.299845997,-161.993618816 70.2837369970001,-162.016963816 70.2684639970001,-162.041672816 70.2445639970001,-162.062772816 70.2285909970001,-162.086672816 70.216381997,-162.196381816 70.165545997,-162.245272816 70.147490997,-162.286136816 70.1336099970001,-162.350963816 70.110409997,-162.439924404 70.0437425600001,-162.471350551 70.020191674,-162.480618816 70.0132459970001,-162.497636816 69.9845639970001,-162.514172816 69.9708279970001,-162.575290816 69.938036997,-162.671936817 69.8960999970001,-162.707720403 69.8824764620001,-162.712347049 69.8807150050001,-162.767518817 69.859709997,-162.841672817 69.8319369970001,-162.923791588 69.795733947,-162.931792197 69.7922067820001,-162.934972062 69.7908049010001,-162.944445064 69.7866286140001,-162.946712421 69.7856290220001,-162.958881817 69.7802639970001,-162.960237717 69.7794361590001,-162.960500039 69.779276,-162.966487347 69.77562048,-162.973609384 69.771272158,-162.984217988 69.76479513,-162.994894215 69.758276815,-163.003908817 69.7527729970001,-163.003908994 69.7527727900001,-163.00390909 69.752772732,-163.005493448 69.7509245670001,-163.022854817 69.7306729970001,-163.022854369 69.7306729370001,-163.022854544 69.7306727320001,-162.982754544 69.7252636410001,-162.961945453 69.7231818230001,-162.939990908 69.7172181860001,-162.940399996 69.6940728860001,-162.973190817 69.6738639970001,-163.002499817 69.6751189970001,-163.003508484 69.6732530080001,-163.016582137 69.649067336,-163.02009443 69.642569752,-163.026482459 69.6307521850001,-163.027965882 69.6280079190001,-163.029006976 69.626081942,-163.029208197 69.625709692,-163.029940455 69.624355049,-163.030135107 69.6239949500001,-163.030955226 69.6224777670001,-163.031893684 69.6207416620001,-163.033666766 69.6174615400001,-163.034305892 69.6162791850001,-163.035307115 69.614426968,-163.035675115 69.6137461850001,-163.036491465 69.612235974,-163.037289709 69.610759258,-163.060500822 69.5678197410001,-163.063754817 69.561799997,-163.06453404 69.528765321,-163.064999989 69.5090186100001,-163.075269834 69.485923396,-163.082689981 69.469236691,-163.120272817 69.3847189970001,-163.156954817 69.3521999970001,-163.212397794 69.3239289200001,-163.214536456 69.3228383890001,-163.216531581 69.3218210490001,-163.245307956 69.3071476110001,-163.257381698 69.300991057,-163.157927272 69.4208181860001,-163.157928496 69.420818179,-163.157927817 69.4208189970001,-163.179308817 69.420681997,-163.179309046 69.4206818230001,-163.17930909 69.4206818230001,-163.182624488 69.4181639280001,-163.199981817 69.4049819970001,-163.216945817 69.379699997,-163.240536817 69.3412369970001,-163.281681817 69.307209997,-163.308627817 69.2960999970001,-163.342772817 69.280818997,-163.363588594 69.2693711630001,-163.364990908 69.2686000050001,-163.373105699 69.2636316670001,-163.441681817 69.2216459960001,-163.483822628 69.1953612130001,-163.488890908 69.1922000050001,-163.494888968 69.18763376,-163.506408817 69.1788639960001,-163.523307652 69.168066697,-163.526399999 69.1660909140001,-163.529047224 69.164476769,-163.560899817 69.1450549960001,-163.599727817 69.1252639960001,-163.645290817 69.1069369960001,-163.702790818 69.085536996,-163.904172818 69.0169369960001,-163.993318818 68.9916549960001,-164.107481818 68.9663819960001,-164.158627818 68.955263996,-164.239718818 68.939418996,-164.271945818 68.9355279960001,-164.324708818 68.930545996,-164.359708818 68.928318996,-164.411954818 68.9255369960001,-164.561127272 68.921100009,-164.561127818 68.9210999960001,-164.613489915 68.9170841850001,-164.617279047 68.9167935840001,-164.713318818 68.909427996,-164.745545818 68.9052549960001,-164.800290819 68.9005459960001,-164.950290819 68.8880459960001,-165.297699967 68.867912802,-165.309999999 68.867200005,-165.315962407 68.8668955190001,-165.445827819 68.8602639960001,-165.699332123 68.8575449790001,-165.730563819 68.8572099960001,-165.765032009 68.8595810090001,-165.765081612 68.8595844210001,-165.792598971 68.8614772970001,-165.815272819 68.8630369960001,-165.88138182 68.869981996,-166.09359982 68.8821999950001,-166.093599999 68.882200002,-166.16833682 68.8838819960001,-166.202913512 68.8835128630001,-166.20749082 68.883463996,-166.23177727 68.8726233620001,-166.23241882 68.8723369960001,-166.229121566 68.8554053240001,-166.227199999 68.8455363680001,-166.20470909 68.812190914,-166.19340909 68.7896363680001,-166.191317135 68.772796353,-166.18903682 68.754436996,-166.19833682 68.6966369960001,-166.22582782 68.5724909960001,-166.24386382 68.5538639960001,-166.30221882 68.4985999960001,-166.305941691 68.4958201580001,-166.368470745 68.4491302150001,-166.388599999 68.4341000050001,-166.372609268 68.4167638340001,-166.54848182 68.353181996,-166.58917282 68.3502639960001,-166.66332782 68.351090996,-166.71581882 68.355818996,-166.753188778 68.361927662,-166.513336362 68.4052454590001,-166.454563635 68.4180636410001,-166.454572146 68.41806218,-166.45456382 68.4180639960001,-166.75741882 68.3660729960001,-166.777610633 68.3607832770001,-166.82362782 68.348727996,-166.823625727 68.3487276820001,-166.823627272 68.3487272770001,-166.793063635 68.3441454590001,-166.75030909 68.3424818230001,-166.67470909 68.3427545500001,-166.647245453 68.3410909140001,-166.60860909 68.3372000050001,-166.427490908 68.3180545500001,-166.379154544 68.3105272770001,-166.344454544 68.3038636410001,-166.293336362 68.29345455,-166.256954544 68.28305455,-166.218045453 68.269718186,-166.142060952 68.2436478600001,-166.13055482 68.2396999960001,-166.126799284 68.2383776470001,-166.101381817 68.2294272770001,-166.07360909 68.218600005,-166.036545453 68.1994363680001,-166.024645703 68.1876213520001,-166.01864922 68.1816674340001,-166.017635782 68.180661189,-166.01611882 68.1791549960001,-166.015283854 68.1784604740001,-166.014559696 68.177858122,-165.99941882 68.165263995,-165.97651882 68.151372995,-165.97651832 68.151372817,-165.976518181 68.1513727320001,-165.919154544 68.1308181860001,-165.888918181 68.121645459,-165.861527272 68.1151272770001,-165.820554544 68.1080363680001,-165.794463635 68.105545459,-165.726381817 68.1010909140001,-165.688599999 68.097490914,-165.61080909 68.089709095,-165.586399999 68.086109095,-165.550845453 68.0802727320001,-165.479981817 68.068327277,-165.392790908 68.0477636410001,-165.361390908 68.03915455,-165.341090908 68.0333272770001,-165.271663635 68.0111090950001,-165.247078295 68.0025104740001,-165.243045819 68.0010999950001,-165.231077461 67.9957677310001,-165.209990908 67.9863727320001,-165.098599999 67.943036368,-164.796390908 67.8269363680001,-164.759290908 67.8214181860001,-164.710063635 67.8287454590001,-164.552490908 67.7555545500001,-164.498045453 67.7277636410001,-164.312227272 67.6683181860001,-164.251127272 67.650818186,-164.161136362 67.6238727320001,-164.124145612 67.6099818820001,-164.122961321 67.6093336660001,-164.100827272 67.5972181860001,-164.048618181 67.5658090950001,-164.020018181 67.546936368,-163.987763635 67.5216545500001,-163.957654544 67.4947090950001,-163.82680909 67.36095455,-163.793336732 67.3008097600001,-163.781827818 67.2691549950001,-163.774736818 67.229290995,-163.775836818 67.206509995,-163.777927818 67.175118995,-163.769745818 67.1497189950001,-163.769745563 67.1497185250001,-163.769745453 67.149718186,-163.756681817 67.1256727320001,-163.727199999 67.1122090950001,-163.699981817 67.1063727320001,-163.66500909 67.1008181860001,-163.463318181 67.0802727320001,-163.257781817 67.0608090950001,-163.231654544 67.0588727320001,-163.143618181 67.0497090950001,-163.039181817 67.032763641,-163.013063635 67.0305454590001,-162.952790908 67.0302727320001,-162.816654544 67.0458181860001,-162.777799999 67.0530363680001,-162.752772726 67.0545636410001,-162.720272726 67.0519272770001,-162.686599999 67.0302272770001,-162.652354544 67.010827277,-162.55950909 67.0104090950001,-162.470227272 67.0623818230001,-162.401945453 67.1127636410001,-162.377136362 67.145618186,-162.377137189 67.1456185010001,-162.377136816 67.1456189950001,-162.412644717 67.1591455760001,-162.38360909 67.163745459,-162.341799999 67.156681823,-162.345580995 67.1439873290001,-162.352481816 67.120818995,-162.403881816 67.0681279940001,-162.423045816 67.050372994,-162.427581307 67.0458011470001,-162.428788312 67.0445844660001,-162.430436384 67.042923183,-162.432621793 67.040720256,-162.434042808 67.0392878490001,-162.439092366 67.034197813,-162.439201484 67.0340878200001,-162.44064022 67.032637552,-162.442381816 67.0308819940001,-162.460799816 66.9981459940001,-162.46079969 66.998146008,-162.460799999 66.9981454590001,-162.258054544 67.0194363680001,-161.899172726 67.051090914,-161.860545453 67.0516545500001,-161.816099999 67.047209095,-161.703825002 67.0270354460001,-161.690827816 67.0246999940001,-161.687428002 67.024085857,-161.667781817 67.0205363680001,-161.537227272 66.99275455,-161.510845781 66.984281928,-161.508248639 66.9792564410001,-161.498536815 66.9604639940001,-161.531818815 66.950954994,-161.568327816 66.9516639940001,-161.593872816 66.9538729940001,-161.616945816 66.9580369940001,-161.644181816 66.9637459940001,-161.668609727 66.959594221,-161.683434811 66.957074547,-161.721099816 66.9506729940001,-161.800290816 66.8997189940001,-161.888336816 66.799990994,-161.896462146 66.738450395,-161.897799999 66.7283181860001,-161.87220909 66.7045636410001,-161.812772726 66.674990914,-161.716645453 66.6283090950001,-161.497281817 66.533318186,-161.381381817 66.532763641,-161.313472726 66.5344272770001,-161.280299999 66.5399818230001,-161.240736362 66.5538363680001,-161.233488749 66.579112809,-161.23269987 66.581863802,-161.196109092 66.627763643,-161.173199999 66.639018186,-161.140290908 66.6474909140001,-160.948745453 66.6638727320001,-160.87110909 66.665545459,-160.838590908 66.6627636410001,-160.816099999 66.658600005,-160.784999999 66.6510909140001,-160.74430909 66.632072732,-160.725147343 66.617462419,-160.719209589 66.6129348970001,-160.719163815 66.612899994,-160.716524215 66.611661381,-160.698745453 66.6033181860001,-160.671390908 66.5980363680001,-160.549181817 66.587063641,-160.520981817 66.5956818230001,-160.506945453 66.61705455,-160.334163635 66.648609095,-160.312072726 66.6499909140001,-160.264190908 66.6474909140001,-160.240263681 66.6441454660001,-160.236496538 66.6292054040001,-160.20930909 66.5213818230001,-160.211399637 66.487544965,-160.213150434 66.4592107660001,-160.213310431 66.45662144,-160.215136814 66.427063994,-160.218219017 66.422561182,-160.219459705 66.420748652,-160.219998403 66.419961664,-160.222146392 66.4168236510001,-160.223866722 66.4143104090001,-160.225171626 66.412404065,-160.226887909 66.409896734,-160.234999814 66.398045994,-160.260836814 66.3935999940001,-160.481481952 66.37740532,-160.488040862 66.3769239170001,-160.533327815 66.3735999940001,-160.638336815 66.365263994,-160.677218815 66.372618994,-160.713618815 66.373027994,-160.747218815 66.370818994,-160.783336815 66.3710909920001,-160.815508636 66.3765559560001,-160.817645815 66.3769189940001,-160.935714843 66.4214513110001,-160.936954815 66.4219189940001,-161.018076562 66.461756811,-161.020145815 66.462772994,-161.054445815 66.4808189940001,-161.062140465 66.484194818,-161.06825266 66.486876383,-161.068688486 66.48706759,-161.160323403 66.527269989,-161.186127272 66.5385909140001,-161.186127622 66.5385909090001,-161.186127815 66.5385909940001,-161.207645815 66.5383189940001,-161.238890815 66.5322099940001,-161.277799815 66.513609994,-161.299590815 66.5019369940001,-161.342499815 66.4827549940001,-161.458599815 66.4592909940001,-161.572508816 66.447209994,-161.594042401 66.4472001120001,-161.594299816 66.4471999990001,-161.630281816 66.4560999990001,-161.65547976 66.463526653,-161.724692912 66.4839260370001,-161.74404466 66.4896296310001,-161.796137726 66.5049831640001,-161.798126919 66.5055694440001,-161.805572816 66.5077639940001,-161.833618816 66.516936994,-161.885008816 66.538036994,-161.886220977 66.5387794540001,-161.916600131 66.5573869830001,-161.920836362 66.559981823,-161.947344577 66.5774610990001,-161.955078668 66.582560926,-162.021113818 66.626104222,-162.025448993 66.628962818,-162.04073954 66.6390453390001,-162.072731779 66.660140885,-162.077854496 66.663518783,-162.074645453 66.7029636410001,-162.117218181 66.8000909140001,-162.219232955 66.8801092680001,-162.302645816 66.9455369940001,-162.329572816 66.955745994,-162.449888931 66.9312729440001,-162.501648977 66.920744627,-162.512236816 66.9185909940001,-162.606108816 66.9105459940001,-162.633818817 66.8974189940001,-162.633754817 66.8658189940001,-162.633754545 66.8658187300001,-162.633754544 66.8658181860001,-162.504745453 66.7401181860001,-162.48470909 66.734700005,-162.484708816 66.734699995,-162.378872726 66.73165455,-162.302218181 66.724990914,-162.302214351 66.7249904280001,-162.278072726 66.7219272770001,-162.243863635 66.7160909140001,-162.223872726 66.7105363680001,-162.180572726 66.692745459,-161.93000909 66.5512272770001,-161.900436362 66.5301272770001,-161.878599999 66.5086090950001,-161.869563816 66.4866458990001,-161.869718816 66.4541639940001,-161.876936816 66.4298459940001,-161.880274586 66.4259738750001,-161.903627816 66.3988819940001,-161.928954816 66.376499994,-161.951381816 66.3531819940001,-161.961536816 66.3355369940001,-161.961536339 66.335536409,-161.961536362 66.3355363680001,-161.913481817 66.2766454590001,-161.876527272 66.272763641,-161.859845453 66.2845727320001,-161.863147674 66.287479547,-161.878368477 66.300878046,-161.890290822 66.311372996,-161.872218181 66.371090914,-161.728745453 66.4035999980001,-161.720581444 66.4035626250001,-161.548063635 66.4027727320001,-161.520018181 66.402209095,-161.496372726 66.3988818230001,-161.286136362 66.3669272770001,-161.158627272 66.3466454590001,-161.123045814 66.3374910000001,-161.104882795 66.325202867,-161.019163635 66.2672090950001,-161.00060909 66.2466545500001,-161.002790902 66.2070728350001,-161.008573286 66.196570111,-161.009937291 66.194092626,-161.015563815 66.1838729940001,-161.016822277 66.1824678190001,-161.017199144 66.1820470160001,-161.018531901 66.180558885,-161.02010765 66.1787994330001,-161.021576232 66.1771596410001,-161.026427758 66.1717425190001,-161.029770208 66.1680104020001,-161.032952919 66.1644566460001,-161.048803392 66.146758305,-161.050203187 66.14519532,-161.054711861 66.1401610200001,-161.056417547 66.1382564830001,-161.056736815 66.1378999940001,-161.079246227 66.1277978190001,-161.083158741 66.1260418910001,-161.091090815 66.1224819940001,-161.098210151 66.121233718,-161.11418295 66.118433112,-161.116390815 66.1180459940001,-161.149445815 66.1158189940001,-161.158637785 66.1183615950001,-161.161862882 66.1192536930001,-161.177017259 66.1234455630001,-161.11790909 66.130127277,-161.091945453 66.1705363680001,-161.078536362 66.2340818230001,-161.078536816 66.2340819900001,-161.105272815 66.243863994,-161.130418815 66.2405369940001,-161.151672815 66.2316549940001,-161.194454815 66.2230459940001,-161.255554815 66.221645994,-161.305554815 66.2265099940001,-161.334515332 66.2338851910001,-161.336108815 66.234290994,-161.361332575 66.2590816800001,-161.363599815 66.261309994,-161.397799815 66.2702639940001,-161.485536815 66.2702639940001,-161.523345454 66.268600007,-161.523345815 66.2685999940001,-161.575136816 66.251654994,-161.596954816 66.2269279940001,-161.620545816 66.198027994,-161.659045816 66.1527639940001,-161.679990816 66.138045994,-161.727481816 66.110263994,-161.768336816 66.0863819940001,-161.795106883 66.0574954260001,-161.81890407 66.0318167830001,-161.840545816 66.0084639930001,-161.835464742 66.0014176130001,-161.833781335 65.999083053,-161.816409165 65.9749910190001,-161.854981816 65.9777639930001,-161.878383169 65.9940031410001,-161.897427816 66.007218993,-161.915259855 66.0206906770001,-161.918536125 66.0231658210001,-161.924371025 66.027573949,-161.93204525 66.0333716440001,-161.935272816 66.035809994,-161.953664224 66.041514266,-161.979913332 66.0496556800001,-161.982754816 66.0505369940001,-162.053789824 66.068262632,-162.055690816 66.0687369940001,-162.124264238 66.069571142,-162.136418816 66.0697189940001,-162.183975613 66.0637104080001,-162.209163816 66.060527994,-162.241090816 66.051927994,-162.301936816 66.039699994,-162.328890816 66.035536994,-162.355254816 66.033327994,-162.378736816 66.0323459940001,-162.406129588 66.0346124530001,-162.539029499 66.0456085010001,-162.561672816 66.0474819940001,-162.703890817 66.0844279940001,-162.74433388 66.0946361480001,-162.759640924 66.09849977,-162.762236817 66.0991549940001,-162.791963817 66.100536994,-162.914277683 66.089521135,-162.976669934 66.08390195,-163.016963817 66.080272994,-163.126527817 66.0665099940001,-163.163636817 66.0655369940001,-163.262927817 66.070272994,-163.302799817 66.076381994,-163.321190979 66.081393469,-163.340178464 66.0865674400001,-163.342499817 66.0871999940001,-163.342499999 66.0871999980001,-163.349261954 66.0871449850001,-163.443054817 66.0863819940001,-163.451080948 66.08583092,-163.454793294 66.0855760310001,-163.461045166 66.0851467780001,-163.468313803 66.084647714,-163.471249364 66.084446159,-163.497772603 66.0826250760001,-163.536136817 66.0799909940001,-163.627472817 66.0708279940001,-163.656399817 66.070545994,-163.713899818 66.0788729940001,-163.734981818 66.0833279940001,-163.79504223 66.099347089,-163.804718818 66.1019279940001,-163.835963818 66.1156729940001,-163.888490818 66.1605459940001,-163.926859879 66.1829043270001,-163.930797269 66.1851987140001,-163.933665124 66.1868698640001,-163.948054818 66.195254994,-163.958571649 66.194369656,-163.977280874 66.1927946580001,-163.990818818 66.191654994,-164.062227818 66.1894189940001,-164.070760956 66.1895147290001,-164.076692671 66.189581279,-164.098695704 66.1898281370001,-164.127052504 66.190146279,-164.12782049 66.190154895,-164.173999113 66.190672986,-164.091090908 66.2144272770001,-164.025845453 66.2213727320001,-163.979981817 66.223309095,-163.944599999 66.2312363680001,-163.857481817 66.2762363680001,-163.857482007 66.2762368960001,-163.857481818 66.276236994,-163.861504968 66.2874051630001,-163.869136362 66.308590914,-163.879799406 66.320430028,-163.890154574 66.331927723,-163.894163635 66.3924909140001,-163.854290908 66.4355272770001,-163.822369625 66.448094643,-163.821108818 66.448590994,-163.812364868 66.45199045,-163.79000909 66.4606818230001,-163.790008974 66.460681933,-163.790008818 66.4606819940001,-163.78804861 66.462550734,-163.766263635 66.4833181860001,-163.757969979 66.5104332390001,-163.756408818 66.5155369940001,-163.776963684 66.55394426,-163.778336818 66.5565099940001,-163.798481818 66.5647099940001,-163.829708818 66.5677639940001,-163.864048275 66.568450967,-163.866498344 66.5684999810001,-163.8700424 66.568570881,-163.878345818 66.5687369940001,-163.884594185 66.569076066,-163.911681818 66.570545994,-163.912232076 66.5707512220001,-163.918367329 66.5730394710001,-163.919662552 66.573522547,-163.921628219 66.5742556770001,-163.928399506 66.576781145,-163.931789827 66.5780456250001,-163.853881817 66.5899818230001,-163.828063635 66.5880454590001,-163.70220909 66.5677636410001,-163.642363635 66.5667181860001,-163.642364811 66.566719011,-163.642363817 66.566718994,-163.648235065 66.5708384100001,-163.661681817 66.580272994,-163.683072817 66.5849909940001,-163.704708818 66.5894279940001,-163.774718818 66.5997189940001,-163.838590818 66.6047099940001,-163.930287201 66.608463258,-163.933627272 66.608600005,-163.933627818 66.6085999920001,-164.159727818 66.6024819940001,-164.290554818 66.598036994,-164.361936818 66.5938819940001,-164.416408818 66.587772994,-164.64534258 66.5514515230001,-164.712245818 66.5408369940001,-164.721544933 66.535613835,-164.741945818 66.5241549940001,-164.890551019 66.469690643,-164.891171938 66.469463074,-164.894699868 66.468170075,-164.896432787 66.467534954,-165.011451084 66.425380326,-165.015563819 66.4238729940001,-165.022580392 66.4253964540001,-165.042922049 66.429813096,-165.045805704 66.430439204,-165.083308819 66.4385819940001,-165.117763819 66.4438639940001,-165.152799819 66.4441459940001,-165.248742507 66.4338795580001,-165.259484527 66.432730098,-165.263861835 66.4322617000001,-165.314686275 66.4268231840001,-165.324154819 66.4258099940001,-165.343601543 66.422318757,-165.366954983 66.418126154,-165.36932957 66.417699849,-165.408975247 66.410582328,-165.436271269 66.4056819210001,-165.43911036 66.4051722230001,-165.441425487 66.4047565930001,-165.444595689 66.404187452,-165.466399819 66.400272994,-165.47994663 66.3972328460001,-165.495451821 66.3937532030001,-165.509313672 66.3906423550001,-165.521926742 66.387811755,-165.525083985 66.387103213,-165.558209815 66.379669182,-165.579816287 66.374820302,-165.613507038 66.3672594920001,-165.634967128 66.362443463,-165.642245819 66.3608099940001,-165.64638673 66.359383241,-165.648007066 66.3588249540001,-165.691733574 66.3437589650001,-165.703800067 66.339601449,-165.704394035 66.3393967970001,-165.757099819 66.3212369940001,-165.798618819 66.3030369940001,-165.834718819 66.283599994,-165.85333682 66.2710999940001,-165.86901882 66.258045994,-165.88737282 66.2365099940001,-165.887372337 66.2365095530001,-165.887372726 66.236509095,-165.870881817 66.2214454590001,-165.830563635 66.2155454590001,-165.773618181 66.2163818230001,-165.748318181 66.214709095,-165.713899999 66.209427277,-165.666547131 66.1987033120001,-165.656818819 66.1964999940001,-165.62473914 66.1878229530001,-165.51129209 66.157136688,-165.514833334 66.1562842750001,-165.523250472 66.1542581860001,-165.53698382 66.1509524320001,-165.541444994 66.149878583,-165.544852071 66.1490584650001,-165.573505696 66.1421612520001,-165.586034225 66.13914551,-165.726790819 66.105263994,-165.777216136 66.10237657,-165.780299999 66.1022000020001,-165.806672819 66.1030459940001,-165.814162104 66.1035836180001,-165.817841668 66.103847758,-165.819865547 66.1039930430001,-165.937140428 66.1124117090001,-166.05804582 66.121090994,-166.08083682 66.1244189940001,-166.139718294 66.1468823380001,-166.143672634 66.1483909230001,-166.100327272 66.152763641,-166.100328078 66.152763968,-166.10032782 66.1527639940001,-166.13669082 66.1674819940001,-166.16528182 66.174427994,-166.210306273 66.1809728790001,-166.211118181 66.181090914,-166.211118294 66.1810909170001,-166.21111882 66.181090994,-166.23749082 66.181927994,-166.25989082 66.1801189940001,-166.290565147 66.1738307570001,-166.291690908 66.1736000050001,-166.316969002 66.1672022610001,-166.58694582 66.098872994,-166.60943682 66.0930459940001,-166.69665482 66.068881994,-166.902648101 65.995714939,-166.90862782 65.9935909930001,-166.93690161 65.9813173590001,-166.942206754 65.9790143990001,-166.962845821 65.9700549930001,-166.962845065 65.970054718,-166.962845453 65.97005455,-166.931399999 65.9586000050001,-166.880964663 65.9378186100001,-166.884828149 65.9360578050001,-166.913984329 65.922769723,-166.937772821 65.9119279930001,-166.953001186 65.9068892620001,-166.953697267 65.9066589440001,-166.960659484 65.9043553000001,-166.961735182 65.9039993750001,-167.019288408 65.8849562780001,-167.046108821 65.8760819930001,-167.120545821 65.860536993,-167.160427821 65.8567909930001,-167.174675394 65.8579045960001,-167.181534802 65.858440742,-167.197645453 65.859700005,-167.202022787 65.8608448950001,-167.222636821 65.866236993,-167.223795043 65.8667075160001,-167.258675509 65.8808775570001,-167.280791328 65.8898620130001,-167.281108821 65.8899909930001,-167.388379073 65.864669834,-167.390131273 65.8642562270001,-167.391284021 65.863984121,-167.430572821 65.854709993,-167.453235801 65.84746369,-167.456264767 65.8464952030001,-167.463276741 65.844253182,-167.465619132 65.843504221,-167.468668591 65.8425291820001,-167.475369242 65.840386703,-167.489350216 65.8359164010001,-167.490536821 65.8355369930001,-167.49640474 65.833887486,-167.497481306 65.8335848570001,-167.512236821 65.8294369930001,-167.534557466 65.815855383,-167.560996505 65.7997678230001,-167.571027821 65.7936639930001,-167.565121348 65.7881894610001,-167.551254544 65.7753363680001,-167.507154663 65.769009112,-167.506298076 65.7642355260001,-167.505795196 65.7614330810001,-167.501509171 65.7375459090001,-167.50193642 65.737443549,-167.559718821 65.7235999930001,-167.655631369 65.7093100420001,-167.828852641 65.6835019110001,-167.831088007 65.683168865,-167.831120979 65.683163952,-167.859981821 65.6788639930001,-167.867364242 65.6767553550001,-167.877125194 65.6739673370001,-167.988308821 65.6422099930001,-168.020018822 65.6358279930001,-168.046672822 65.6359639930001,-168.062990624 65.64942783,-168.049163635 65.6763727320001,-168.024036362 65.692890914,-167.992490908 65.7022090950001,-167.952790908 65.709427277,-167.930845453 65.7155454590001,-167.871645453 65.7349818230001,-167.849990908 65.7616545500001,-167.849991206 65.761654519,-167.849990821 65.761654993,-167.908618821 65.7555459930001,-167.939454821 65.748599993,-168.047790822 65.712772993,-168.073199822 65.7020729930001,-168.086301329 65.6951034430001,-168.100385355 65.687611227,-168.126372954 65.6699821030001,-168.131955134 65.6629540440001,-168.129835854 65.6486632350001,-168.117591927 65.6322144580001,-168.105174781 65.615533526,-168.092772726 65.5988727320001,-168.073199999 65.5838818230001,-168.038890908 65.5745818230001,-167.98330909 65.5711090950001,-167.959718181 65.5688818230001,-167.915836362 65.5619181860001,-167.86330909 65.549990914,-167.735263635 65.5163909140001,-167.618518182 65.4773454580001,-167.590272821 65.4535999930001,-167.584222077 65.452016283,-167.462354544 65.4201181860001,-167.41250909 65.4127636410001,-167.291381817 65.4035909140001,-167.217772726 65.4024818230001,-167.096385295 65.393026397,-167.071654821 65.3910999930001,-167.048063821 65.3885999930001,-167.044224676 65.3879525080001,-166.972227272 65.3758090950001,-166.920018181 65.3652636410001,-166.856654544 65.353045459,-166.823336362 65.3480363680001,-166.798618181 65.3463727320001,-166.733599999 65.3438818230001,-166.733600549 65.3438820210001,-166.73359982 65.3438819930001,-166.76403682 65.3548459930001,-166.79943682 65.3533189930001,-166.830836669 65.354990985,-166.841680484 65.3575106340001,-166.922817356 65.3763636530001,-166.823054544 65.3777636410001,-166.798336362 65.3760818230001,-166.626918181 65.3641545500001,-166.239718181 65.309145459,-166.206390908 65.3041545500001,-166.174436362 65.2983272770001,-166.156301839 65.293969304,-166.15472782 65.2935909930001,-166.137497034 65.286124633,-166.054174012 65.250018744,-166.11944582 65.236372993,-166.15229982 65.2417909930001,-166.164984843 65.24570735,-166.184718181 65.2518000050001,-166.190905763 65.2529143950001,-166.211665462 65.2566536670001,-166.21167282 65.256654993,-166.244054964 65.25950384,-166.268284169 65.2616354260001,-166.363175933 65.2699836130001,-166.367908821 65.2703999870001,-166.36790909 65.2704000050001,-166.422389116 65.252500292,-166.48207282 65.2328909930001,-166.479798136 65.225904309,-166.46913785 65.1931612720001,-166.46846382 65.191090993,-166.516359333 65.1525988070001,-166.521957328 65.1480998660001,-166.535217328 65.137443203,-166.53930882 65.134154993,-166.552225636 65.130008112,-166.563554878 65.1263709150001,-166.56445482 65.1260819930001,-166.569244257 65.1255756470001,-166.570716483 65.1254200010001,-166.573092913 65.125168762,-166.576847502 65.1247718210001,-166.577369862 65.124716597,-166.61166382 65.1210909930001,-166.68444582 65.1166549930001,-166.75139982 65.1163819930001,-166.78805482 65.118863993,-166.7903403 65.119212464,-166.79557661 65.1200108560001,-166.80999982 65.1222099930001,-166.83686993 65.12856413,-166.8887129 65.14082375,-166.910643698 65.1460098590001,-166.916337963 65.147356416,-166.924518181 65.1492909140001,-166.935859298 65.1781908280001,-166.936672723 65.180263745,-166.936507468 65.186817988,-166.936315109 65.194442414,-166.936108831 65.2026185730001,-166.920018181 65.22665455,-166.903627272 65.238309095,-166.864436362 65.2566545500001,-166.848754544 65.277000005,-166.852333391 65.2777061200001,-166.861112287 65.279438381,-166.87234582 65.2816549930001,-166.91154582 65.2631909930001,-166.935818821 65.243863993,-166.952908821 65.221645993,-166.952908859 65.2216457590001,-166.95290909 65.2216454590001,-166.958067908 65.1903586240001,-166.959790821 65.1799099930001,-166.959790772 65.1799099200001,-166.959790908 65.179909095,-166.937772726 65.1469454590001,-166.92133411 65.132743953,-166.91973682 65.131363993,-166.919736587 65.1313638350001,-166.919736362 65.1313636410001,-166.90090617 65.1186317930001,-166.89222782 65.112763993,-166.892227672 65.1127639110001,-166.892227272 65.1127636410001,-166.846936362 65.0880454590001,-166.819154544 65.0794363680001,-166.765018181 65.0705454590001,-166.745272726 65.065536368,-166.722490908 65.0554000050001,-166.705690908 65.0388727320001,-166.705194507 65.0346170440001,-166.70332782 65.018609993,-166.699183032 65.0044604130001,-166.69667282 64.995890993,-166.696672742 64.995890967,-166.696672726 64.995890914,-166.539181817 64.9455272770001,-166.515290908 64.9491454590001,-166.422245453 64.919145459,-166.387236831 64.888454961,-166.388950668 64.8833746430001,-166.392674728 64.8723354380001,-166.40527282 64.834990992,-166.408152973 64.8309891690001,-166.409465344 64.8291656970001,-166.409813417 64.828682068,-166.415582987 64.8206655500001,-166.41888182 64.8160819920001,-166.422711184 64.815098269,-166.46601882 64.8039729920001,-166.467146594 64.800755032,-166.475827722 64.775984523,-166.48963682 64.7365819920001,-166.45834582 64.7010999920001,-166.45743459 64.700359657,-166.434834232 64.681997859,-166.402790908 64.655963641,-166.373872726 64.639163641,-166.348327272 64.6291545500001,-166.275521707 64.6075499610001,-166.23693682 64.5960999920001,-166.20803682 64.588590992,-166.207655623 64.5885137210001,-166.187499999 64.584427277,-166.155272726 64.5794363680001,-166.121372726 64.5747090950001,-165.831390908 64.546100003,-165.831390819 64.546099994,-165.656127272 64.5305454590001,-165.515290908 64.5183272770001,-165.483335398 64.515241336,-165.480836819 64.5149999920001,-165.469905317 64.5135760260001,-165.380554544 64.501936368,-165.336672726 64.4958181860001,-165.281954544 64.4880363680001,-165.260281817 64.484709095,-165.217499999 64.4777636410001,-165.146118181 64.4630454590001,-165.07250909 64.450000005,-165.040554544 64.4449727320001,-165.028627272 64.4438636410001,-164.905272726 64.446927277,-164.859981817 64.450818186,-164.807772726 64.459427277,-164.780359074 64.4680147940001,-164.778691495 64.468537134,-164.778490819 64.4685999920001,-164.778490969 64.4685999860001,-164.778490908 64.468600005,-164.779450693 64.468558165,-164.816654819 64.4669369920001,-164.823705237 64.465294139,-164.828030849 64.464286207,-164.841927134 64.4610481660001,-164.84470909 64.4604000050001,-164.882453998 64.4577448380001,-164.905836386 64.456100022,-164.94173899 64.483706055,-164.943531622 64.4850844540001,-164.950164652 64.490184754,-164.961108819 64.498599992,-164.95467103 64.506296477,-164.932645453 64.5326272770001,-164.685545453 64.527209095,-164.665281817 64.5230363680001,-164.643581817 64.519072732,-164.583072818 64.5210999970001,-164.583072726 64.5211000050001,-164.541963635 64.532763641,-164.392790908 64.571927277,-164.350681817 64.5806909140001,-164.312772726 64.584427277,-164.279036362 64.5838818230001,-164.115263635 64.570827277,-164.001118181 64.5620636410001,-163.973736362 64.564281823,-163.935545453 64.572772732,-163.894745453 64.5819363680001,-163.851654544 64.587200007,-163.821927272 64.58915455,-163.668063635 64.5772090950001,-163.60860909 64.572218186,-163.563627272 64.566372732,-163.490536362 64.5527636410001,-163.42470909 64.5341454590001,-163.279036362 64.4844272770001,-163.265154544 64.467209095,-163.249163635 64.4470636410001,-163.216605114 64.422402198,-163.211945813 64.4188729970001,-163.211945773 64.4188729740001,-163.211945453 64.4188727320001,-163.191318817 64.4104729920001,-163.191318181 64.4104727320001,-163.138745453 64.4126909140001,-163.04360909 64.4913636410001,-163.043609074 64.491363779,-163.043608817 64.4913639920001,-163.043403502 64.4931761290001,-163.042416364 64.5018887350001,-163.040554544 64.518318186,-163.040554907 64.5183182000001,-163.040554817 64.518318992,-163.089154817 64.520127992,-163.121654817 64.513190992,-163.158908817 64.5151369920001,-163.164707344 64.51689845,-163.251646749 64.543308617,-163.252100512 64.54344646,-163.253879929 64.5439870050001,-163.256736336 64.544854715,-163.256759899 64.5448618730001,-163.282576587 64.5527043820001,-163.282772817 64.5527639920001,-163.309718817 64.5616459920001,-163.318246562 64.5674166140001,-163.324255188 64.571482578,-163.352627272 64.5906818230001,-163.313899999 64.6183181860001,-163.265290908 64.6394363680001,-163.224154544 64.654918186,-163.170018181 64.6552545500001,-162.957490908 64.550809095,-162.874999999 64.508327277,-162.8370661 64.4456172110001,-162.816527817 64.4116639920001,-162.815900857 64.4098591700001,-162.809039293 64.3901068820001,-162.801416742 64.3681639500001,-162.790281817 64.336109095,-162.762495268 64.3429848060001,-162.760008817 64.3435999920001,-162.749849096 64.347074848,-162.687049765 64.368553654,-162.631654544 64.387500005,-162.613036362 64.446781823,-162.619354544 64.472000005,-162.606381817 64.4973545500001,-162.582781817 64.5167999980001,-162.553890908 64.5316636410001,-162.521118181 64.5455363680001,-162.493899999 64.5551181860001,-162.404727272 64.582218186,-162.232836362 64.6516454590001,-162.208345453 64.6708181860001,-162.187227272 64.6822090950001,-162.107772726 64.7162363680001,-162.07250909 64.713463641,-162.030018181 64.703672732,-161.986663635 64.702772732,-161.929445453 64.7058272770001,-161.891681817 64.710963641,-161.797363635 64.7549909140001,-161.797364098 64.7549908610001,-161.797363816 64.754990992,-161.825041195 64.7518260740001,-161.831390908 64.7511000050001,-161.833038106 64.7505877820001,-161.854896974 64.743790969,-161.869748118 64.7391731420001,-161.870272816 64.739009992,-161.896545816 64.7262369920001,-161.925298773 64.7222723500001,-161.932871859 64.721228124,-161.910827272 64.74275455,-161.840818181 64.768872732,-161.744445453 64.7958181860001,-161.690661987 64.798580015,-161.690272816 64.7985999960001,-161.687888219 64.7975172110001,-161.66640909 64.7877636410001,-161.637236362 64.7802727320001,-161.552490908 64.7644363680001,-161.516418181 64.759718186,-161.42570909 64.7708272770001,-161.379163635 64.7863727320001,-161.370463635 64.8058818230001,-161.311127272 64.8636000050001,-161.197918181 64.933036368,-161.174572726 64.938036368,-161.03860909 64.9413636410001,-160.997419668 64.938454655,-161.003399078 64.936088526,-161.005714017 64.9351724750001,-161.012527579 64.9324762620001,-161.014627805 64.9316451760001,-161.02742927 64.9265794730001,-161.036333598 64.9230559160001,-161.06308928 64.9124683520001,-161.064454815 64.9119279920001,-161.080068388 64.9126519420001,-161.088262246 64.9130318640001,-161.094454815 64.913318992,-161.095372595 64.9135551690001,-161.123599815 64.9208189920001,-161.147854815 64.919145992,-161.1478541 64.9191454900001,-161.147854544 64.919145459,-161.111118181 64.8933272770001,-161.099267667 64.8865512400001,-161.089718815 64.8810909920001,-161.076063827 64.8748672880001,-161.058045453 64.8666545500001,-160.958890908 64.8341545500001,-160.871645568 64.7938727850001,-160.864804686 64.7881203000001,-160.782790908 64.71915455,-160.783237906 64.7130532080001,-160.787227815 64.6585999920001,-160.792904353 64.6496489470001,-160.807572815 64.6265189920001,-160.875489425 64.5889150350001,-160.923285582 64.5624513380001,-160.923462973 64.5623531200001,-160.928190802 64.5597354230001,-160.928810456 64.5593923340001,-160.93364666 64.5567146330001,-160.945940472 64.549907815,-161.011416886 64.5136549420001,-161.017163815 64.5104729920001,-161.058045815 64.503599992,-161.089172815 64.501390992,-161.118045815 64.5005459920001,-161.196108815 64.503327992,-161.219727815 64.505827992,-161.307218815 64.5194369920001,-161.338590815 64.5252729920001,-161.371141364 64.5330711540001,-161.37868446 64.534878259,-161.385190815 64.5364369920001,-161.443881815 64.5183279920001,-161.463454815 64.5094369920001,-161.464077949 64.50857827,-161.471135944 64.4988518600001,-161.477678074 64.4898363470001,-161.483077649 64.4823953550001,-161.527260537 64.421508245,-161.529172815 64.418872992,-161.527873136 64.4127445070001,-161.522781817 64.3887363680001,-161.49680909 64.409709095,-161.457781817 64.4274818230001,-161.420836689 64.4296999850001,-161.419678699 64.429635288,-161.396118181 64.4283181860001,-161.189027709 64.4141545800001,-161.179028697 64.375405308,-161.178954815 64.3751189920001,-161.178954622 64.3751184860001,-161.178954544 64.3751181860001,-161.168063635 64.3466454590001,-161.090818181 64.3005363680001,-161.056243172 64.284481665,-161.051936815 64.282481992,-161.021890568 64.2583919260001,-161.021593336 64.258153614,-161.019071591 64.2561317550001,-160.948336912 64.1994186270001,-160.954163815 64.1774819920001,-160.957072815 64.145818992,-160.957072705 64.145818413,-160.957072726 64.145818186,-160.955539732 64.1377288890001,-160.953391782 64.126394125,-160.950687142 64.1121217040001,-160.948336815 64.0997189920001,-160.942081815 64.0710999990001,-160.929445815 64.0499909920001,-160.898354224 64.0125107260001,-160.874145453 63.9833272770001,-160.846099999 63.950827277,-160.815554544 63.9197181860001,-160.792380443 63.8892246550001,-160.785292935 63.8798984540001,-160.784278891 63.8785641090001,-160.781245815 63.8745729920001,-160.78058341 63.8729193360001,-160.778892917 63.8686991170001,-160.773821493 63.856038599,-160.773078662 63.854184165,-160.770845814 63.848609992,-160.768557435 63.8291531420001,-160.768304081 63.826999012,-160.767282269 63.8183111070001,-160.766871116 63.814815298,-160.764327815 63.7931909910001,-160.765272608 63.789925978,-160.768110963 63.7801172000001,-160.768597375 63.7784362570001,-160.769550384 63.775142853,-160.770404614 63.7721908090001,-160.770941715 63.770334695,-160.772245815 63.765827991,-160.790436815 63.7366639910001,-160.818054815 63.716381991,-160.895749481 63.6689009080001,-160.895914609 63.668799994,-160.897052112 63.6681048390001,-160.981416791 63.6165475500001,-161.041474808 63.5798446490001,-161.04722072 63.5763331840001,-161.051452848 63.5737468290001,-161.060124636 63.5684472900001,-161.067745811 63.563789806,-161.069299761 63.5628401500001,-161.107874891 63.539265958,-161.11871223 63.5326429990001,-161.136169489 63.521974447,-161.140805156 63.51914148,-161.14235537 63.5181941070001,-161.151672815 63.512499991,-161.175845815 63.5024909910001,-161.195554815 63.4966549910001,-161.216945815 63.4916639910001,-161.263063815 63.4827639910001,-161.301390815 63.4769369910001,-161.333604199 63.47253175,-161.429019904 63.459483472,-161.441527815 63.4577729910001,-161.45196194 63.457199029,-161.456191676 63.456966359,-161.458589433 63.4568344630001,-161.547468594 63.4519453840001,-161.567210104 63.45085944,-161.567781816 63.450827991,-161.572134454 63.451252088,-161.590545816 63.4530459910001,-161.590872321 63.4530675350001,-161.718792408 63.4615082240001,-161.729427816 63.4622099910001,-161.94731347 63.4512409920001,-161.958837949 63.450660817,-161.961118816 63.4505459910001,-161.987412022 63.447165,-161.991744659 63.446607875,-161.995624172 63.446109016,-162.022171269 63.4426953780001,-162.053265543 63.438697027,-162.060926472 63.4377119230001,-162.082458867 63.4349431150001,-162.084896422 63.4346296750001,-162.105836816 63.431936991,-162.106268241 63.431858027,-162.112852629 63.4306528750001,-162.114394632 63.43037064,-162.142244215 63.4252732840001,-162.083072726 63.451663641,-162.034181817 63.482490914,-162.034181884 63.4824909480001,-162.034181816 63.4824909910001,-162.065560866 63.4987491790001,-162.067541168 63.4997752180001,-162.071954513 63.5020618710001,-162.080836816 63.506663991,-162.082539458 63.5070277020001,-162.112376516 63.513401355,-162.159120905 63.5233866730001,-162.195234502 63.531101091,-162.218980363 63.5361735710001,-162.240127272 63.540690914,-162.240127523 63.5406909290001,-162.240127816 63.5406909910001,-162.24263323 63.5408398590001,-162.26485516 63.5421602600001,-162.270572726 63.5425000050001,-162.270572816 63.5424999950001,-162.282910516 63.5418445870001,-162.28589341 63.541686129,-162.301035698 63.540881739,-162.305981816 63.540618991,-162.308573295 63.5363305600001,-162.35746645 63.455421179,-162.362763816 63.4466549910001,-162.418957262 63.4017955260001,-162.422772032 63.398750179,-162.435880282 63.388285808,-162.448926168 63.3778712220001,-162.451912328 63.375487358,-162.453818152 63.373965931,-162.495681816 63.3405459910001,-162.57261665 63.2908995770001,-162.573122992 63.2905728320001,-162.57419546 63.289880764,-162.581177371 63.2853753030001,-162.593774499 63.2772463160001,-162.601812715 63.272059218,-162.602553343 63.2715812870001,-162.607036662 63.268688179,-162.621372816 63.259436991,-162.641390817 63.247772991,-162.645828712 63.2457829460001,-162.708040192 63.2178860170001,-162.856880955 63.151142705,-162.865961884 63.1470706270001,-162.874435012 63.1432710990001,-162.875174873 63.14293933,-162.875545817 63.1427729910001,-162.887596616 63.1373931700001,-162.906681817 63.128872991,-162.924185354 63.1212357000001,-163.017544145 63.0805006100001,-163.029220876 63.075405721,-163.030863039 63.074689199,-163.067090817 63.0588819910001,-163.110909133 63.0520545790001,-163.111663817 63.051936991,-163.111924678 63.051914955,-163.119804424 63.051249323,-163.12003633 63.0512297330001,-163.129829223 63.0504024910001,-163.138096081 63.049704159,-163.13980051 63.0495601790001,-163.228363982 63.0420788910001,-163.238308308 63.0412388570001,-163.328618817 63.033609991,-163.330443149 63.034562152,-163.366122324 63.0531839440001,-163.372772817 63.0566549910001,-163.422308262 63.077919179,-163.429161958 63.0808612800001,-163.441717978 63.0862512300001,-163.444200329 63.087316834,-163.449457821 63.0895737290001,-163.485611388 63.1050934500001,-163.494169957 63.1087674060001,-163.500915023 63.111662875,-163.505381134 63.113580052,-163.532536136 63.1252369380001,-163.539736817 63.128327991,-163.565601674 63.135979139,-163.579157011 63.139988977,-163.579163817 63.139990991,-163.597504423 63.1448251320001,-163.660529954 63.1614371420001,-163.662948849 63.1620747050001,-163.675918542 63.165493203,-163.676118675 63.165545953,-163.681221859 63.1706500770001,-163.695052765 63.1844837890001,-163.725281818 63.214718991,-163.745545818 63.218318991,-163.994290818 63.2529099910001,-163.996986554 63.253023865,-164.144947178 63.2592740600001,-164.152236818 63.2595819910001,-164.217276988 63.251127367,-164.223620599 63.2503027560001,-164.245755264 63.2474254530001,-164.247923444 63.2471436100001,-164.279445818 63.243045991,-164.305572818 63.2391549910001,-164.328485558 63.2333602590001,-164.336860063 63.23124231,-164.360482335 63.2252681350001,-164.401118818 63.214990991,-164.424026854 63.204885974,-164.425771563 63.204116361,-164.546772758 63.150741243,-164.555757009 63.1467781790001,-164.581491045 63.1354265790001,-164.584518818 63.1340909910001,-164.582991902 63.1327511360001,-164.561213435 63.113640735,-164.52840909 63.08485455,-164.449827272 63.0782181860001,-164.364836424 63.0677727390001,-164.362956634 63.066574287,-164.326936628 63.043609265,-164.318054818 63.0096459910001,-164.343736818 63.0084729910001,-164.377472818 63.0205459910001,-164.451936818 63.0305459910001,-164.48282214 63.0311680940001,-164.515518221 63.03182667,-164.519614191 63.031909173,-164.535114532 63.0322213860001,-164.545451037 63.0324295880001,-164.562499818 63.0327729910001,-164.634660523 63.028945809,-164.640619414 63.028629768,-164.648231124 63.0282260660001,-164.662090818 63.027490991,-164.667630578 63.026225858,-164.698272818 63.019227991,-164.719473455 63.0052973570001,-164.721938652 63.0036775120001,-164.754181818 62.9824909910001,-164.785206399 62.9528845900001,-164.786894671 62.951273492,-164.787986309 62.9502317550001,-164.788258407 62.949972094,-164.789403614 62.948879237,-164.789952744 62.9483552080001,-164.793169498 62.9452854960001,-164.793563652 62.9449093600001,-164.811672819 62.9276279910001,-164.876799819 62.8380459910001,-164.876799891 62.8380456070001,-164.876799999 62.8380454590001,-164.88750909 62.7813818230001,-164.878599999 62.735545459,-164.786045453 62.6523454590001,-164.746218181 62.6581545500001,-164.658354544 62.674436368,-164.493366215 62.7467261470001,-164.628872818 62.6424909900001,-164.649463818 62.6312459900001,-164.689181818 62.61415499,-164.709554394 62.6084939410001,-164.71374337 62.607329926,-164.717403814 62.606312777,-164.731508787 62.6023933440001,-164.732397777 62.602146315,-164.733976586 62.601707602,-164.746336818 62.5982729900001,-164.791836819 62.5890999900001,-164.847763819 62.56932799,-164.847763288 62.5693274000001,-164.847763635 62.5693272770001,-164.776672726 62.4902727320001,-164.677799999 62.465000005,-164.669306412 62.455250666,-164.636418818 62.4174999900001,-164.686399822 62.3802729930001,-164.653899818 62.4299909900001,-164.801878287 62.491577668,-164.897518181 62.5313818230001,-164.897518455 62.5313818390001,-164.897518819 62.5313819900001,-164.899358721 62.5314906340001,-164.975576294 62.535991202,-165.001127272 62.5375000050001,-165.011753065 62.537673935,-165.043336819 62.53819099,-165.071808819 62.5327729900001,-165.119290819 62.5122189900001,-165.220609618 62.4598528330001,-165.241320366 62.4491485780001,-165.243774244 62.447880303,-165.247218819 62.4460999900001,-165.267245819 62.4347189900001,-165.309172819 62.40359999,-165.429718819 62.30720999,-165.451150737 62.2902678150001,-165.566408819 62.1991549900001,-165.58991304 62.1851327360001,-165.591881354 62.1839584700001,-165.624145819 62.1647099900001,-165.643425374 62.1547471630001,-165.654337488 62.149108262,-165.677081819 62.1373549900001,-165.683725611 62.1315436080001,-165.694102954 62.122466456,-165.701536819 62.1159639900001,-165.71452906 62.094854362,-165.715447982 62.093361309,-165.744445819 62.04624599,-165.756136819 62.01527299,-165.752918819 61.9860999900001,-165.719145822 61.9380459880001,-165.719145453 61.9380454590001,-165.70470909 61.9215272770001,-165.680827272 61.9072181860001,-165.652576438 61.87136531,-165.633327819 61.8469369900001,-165.639603602 61.8466531180001,-165.734166174 61.8423757840001,-165.756136819 61.8413819900001,-165.919878519 61.8290158460001,-166.02486171 61.8210872770001,-166.039388835 61.8199901560001,-166.040816762 61.8198823160001,-166.09269982 61.8159639900001,-166.092699535 61.8159636760001,-166.092699999 61.8159636410001,-166.039181817 61.7569363680001,-166.008699999 61.7318000050001,-165.933899999 61.7038818230001,-165.85180909 61.6888727320001,-165.826946861 61.6812368010001,-166.007873367 61.6484322540001,-166.01587499 61.646981446,-166.017128059 61.6467542460001,-166.024004071 61.6455075280001,-166.036057908 61.6433219960001,-166.039598934 61.642679958,-166.06054582 61.6388819890001,-166.07654277 61.637397767,-166.078829901 61.6371855630001,-166.081875521 61.6369029860001,-166.08749082 61.636381989,-166.107558192 61.6357111410001,-166.108535654 61.6356784640001,-166.1213408 61.6352503910001,-166.125470077 61.63511235,-166.131590715 61.634907738,-166.13723682 61.6347189890001,-166.146277592 61.6483231380001,-166.151536362 61.6562363680001,-166.148996865 61.6944132850001,-166.14770882 61.7137729890001,-166.147709123 61.7137722360001,-166.14770909 61.7137727320001,-166.161905247 61.6784552080001,-166.172034092 61.653256733,-166.19735482 61.5902639890001,-166.191467654 61.5803989120001,-166.190902072 61.5794511710001,-166.190101109 61.578109005,-166.181712895 61.5640529410001,-166.181262588 61.563298365,-166.175504963 61.5536503600001,-166.17396565 61.551070945,-166.173172941 61.549742608,-166.172914507 61.5493095530001,-166.171398179 61.5467686540001,-166.171332994 61.546659425,-166.17083682 61.545827989,-166.17083674 61.5458279100001,-166.170836362 61.5458272770001,-166.11680909 61.4920727320001,-166.068281817 61.4968636410001,-166.068282105 61.496863961,-166.06828182 61.4968639890001,-166.07347302 61.502637394,-166.089199352 61.520127469,-165.986390908 61.550545459,-165.962218181 61.5547090950001,-165.937227272 61.555545459,-165.893818181 61.5547181860001,-165.817879094 61.534797702,-165.815981818 61.5342999970001,-165.815434334 61.5339516660001,-165.793063635 61.519718186,-165.764527909 61.485409862,-165.792272228 61.4461736230001,-165.792863819 61.4453369890001,-165.830290819 61.4424909890001,-165.855077753 61.436771596,-165.88446382 61.429990989,-165.901706881 61.416370504,-165.903966926 61.414585269,-165.904726462 61.4139853030001,-165.90865661 61.410880836,-165.909394315 61.4102981140001,-165.92068182 61.4013819890001,-165.920681754 61.401381873,-165.920681817 61.4013818230001,-165.917068932 61.3949699450001,-165.90306713 61.3701199640001,-165.901943132 61.368125127,-165.89751882 61.3602729890001,-165.889300619 61.3507745920001,-165.873599999 61.332627277,-165.856799999 61.3180545500001,-165.838199999 61.3093000050001,-165.838199819 61.3092999900001,-165.816936362 61.3076272770001,-165.762236819 61.308599993,-165.760483469 61.3084638500001,-165.740818181 61.306936368,-165.70220909 61.3002727320001,-165.6155373 61.276518443,-165.621128431 61.27017678,-165.633714561 61.2559011340001,-165.644254819 61.2439459890001,-165.643480372 61.237461835,-165.643226213 61.235333858,-165.642911103 61.232695559,-165.641819715 61.2235577770001,-165.641770071 61.2231421220001,-165.641256596 61.218842991,-165.63813 61.1926651700001,-165.634990908 61.1663818230001,-165.600599999 61.1145090950001,-165.53200909 61.083118186,-165.493590908 61.075272732,-165.419736362 61.0705454590001,-165.386690908 61.0685999990001,-165.386690819 61.0685999890001,-165.385267092 61.0688786330001,-165.366436362 61.072563641,-165.345263635 61.16235455,-165.345263893 61.1623546750001,-165.345263819 61.1623549890001,-165.358804818 61.1689021930001,-165.366245453 61.1725000050001,-165.378285927 61.1766969080001,-165.386536461 61.1795728640001,-165.394192954 61.18985094,-165.40358159 61.2024546810001,-165.307490908 61.2580454590001,-165.270845453 61.311936368,-165.270845957 61.311936787,-165.270845819 61.3119369890001,-165.281555215 61.320840011,-165.287718181 61.325963641,-165.197645453 61.406518186,-165.154190908 61.433327277,-165.075563635 61.4322090950001,-165.017245453 61.5000000050001,-164.972072726 61.519390914,-164.935318181 61.5248909140001,-164.807218181 61.5844363680001,-164.76250909 61.626936368,-164.719363635 61.625336368,-164.701829846 61.609141843,-164.692227818 61.6002729890001,-164.747218818 61.5480459890001,-164.763336818 61.5361099890001,-164.853181819 61.493390989,-164.958354819 61.478190989,-164.992099819 61.4712639890001,-165.059672819 61.416836989,-165.105145819 61.4136369890001,-165.155990819 61.4129099890001,-165.260143999 61.2896828870001,-165.29250909 61.2513909140001,-165.329359969 61.2268131480001,-165.366863819 61.2017999890001,-165.360078873 61.199232685,-165.32547489 61.1861391480001,-165.244981817 61.1556818230001,-165.20020909 61.1658818230001,-165.164463635 61.1710818230001,-165.124418181 61.2274818230001,-165.132346365 61.2437851350001,-165.133336924 61.2458222390001,-165.133434671 61.246023257,-165.138608447 61.2566632240001,-165.093599999 61.2274818230001,-165.094122228 61.220709894,-165.094203416 61.2196574430001,-165.094467531 61.2162336600001,-165.095456964 61.2034074480001,-165.095779269 61.1992293480001,-165.095827819 61.1985999890001,-165.102906546 61.183902871,-165.103536937 61.1825940300001,-165.120618819 61.1471279890001,-165.154145819 61.1265459890001,-165.154145385 61.1265455010001,-165.154145453 61.1265454590001,-165.113190908 61.0805454590001,-165.073921056 61.06650726,-165.072781818 61.066099997,-165.07167703 61.066011012,-165.027299999 61.0624363680001,-164.996227272 61.073327277,-165.006236362 61.0982909140001,-164.965545453 61.1158272770001,-164.822082295 61.1030545930001,-164.851880699 61.078275358,-164.855080068 61.0756148830001,-164.859163819 61.0722189890001,-164.868571158 61.0665510650001,-164.945448307 61.0202325670001,-164.947236819 61.0191549890001,-164.948014787 61.019120345,-164.992149699 61.0171549550001,-165.050736819 61.0145459890001,-165.053176175 61.0143657040001,-165.068738838 61.013215518,-165.070723632 61.013068828,-165.097227819 61.011109989,-165.126508819 61.0056909890001,-165.126508954 61.005690939,-165.12650909 61.0056909140001,-165.12717645 61.00544347,-165.156127819 60.9947099890001,-165.186872819 60.9713819890001,-165.186872697 60.9713818450001,-165.186872726 60.9713818230001,-165.150299999 60.928045459,-165.126799999 60.918881823,-165.090340214 60.91119753,-165.073745819 60.907699989,-165.073745537 60.907700022,-165.073745453 60.907700005,-165.028627272 60.913045459,-164.992763635 60.9306909140001,-164.972627272 60.944427277,-164.941799999 60.952772732,-164.894727272 60.9526363680001,-164.636963635 60.928881823,-164.613736362 60.9240181860001,-164.585481842 60.9024909330001,-164.595342169 60.8797119010001,-164.596936818 60.8760279890001,-164.596936229 60.8760275870001,-164.596936362 60.876027277,-164.561799999 60.852081823,-164.54610909 60.850545459,-164.437772726 60.8630545500001,-164.398618181 60.8658272770001,-164.182218181 60.868327277,-164.159181817 60.868045459,-164.101518181 60.8633272770001,-164.07970909 60.8583272770001,-164.04610909 60.856945459,-163.962936362 60.8680000050001,-163.930690908 60.8949090950001,-163.892518181 60.9183272770001,-163.741654544 60.9922181860001,-163.673045613 60.9906818260001,-163.648202243 60.9709677560001,-163.555128234 60.8971098600001,-163.644472817 60.8694369890001,-163.668608817 60.8655459890001,-163.695281817 60.8636099890001,-163.716054264 60.8649256590001,-163.717227272 60.8650000050001,-163.722559118 60.8662208480001,-163.744463818 60.8712369890001,-163.769318818 60.883536989,-163.810545818 60.883881989,-163.860763818 60.8700459890001,-163.888836818 60.854318989,-163.888835375 60.8543187400001,-163.888836362 60.8543181860001,-163.846099999 60.8469363680001,-163.755981817 60.845409095,-163.638199999 60.8248545500001,-163.517245453 60.800136368,-163.41250909 60.757218186,-163.415073808 60.747670939,-163.420431395 60.72772759,-163.427154817 60.7026999890001,-163.458463817 60.6751369890001,-163.539736817 60.6377729880001,-163.594145817 60.6149999880001,-163.650299817 60.5924909880001,-163.675427817 60.5862369880001,-163.745272818 60.578045988,-163.774440367 60.577803078,-163.786818181 60.5776999990001,-163.827659447 60.6181166910001,-163.832290818 60.6226999880001,-163.83253806 60.6323764520001,-163.834027272 60.690681823,-163.819027272 60.709018186,-163.80714921 60.7342292690001,-163.805890818 60.7368999890001,-163.865263818 60.7741549890001,-163.949250456 60.780387816,-163.951381818 60.7805459890001,-163.975417872 60.7766220400001,-163.97722221 60.776327478,-163.980281818 60.775827989,-163.98300103 60.774995656,-164.038345818 60.7580549890001,-164.040146659 60.7566276040001,-164.040644034 60.756233373,-164.041555914 60.7555105980001,-164.085484106 60.720692177,-164.100285358 60.7089603890001,-164.109008818 60.7020459890001,-164.109009031 60.7020455050001,-164.10900909 60.702045459,-164.117064309 60.683820525,-164.124281818 60.667490989,-164.130688673 60.6649138080001,-164.152236818 60.6562459890001,-164.213608818 60.644827988,-164.252563818 60.6427459880001,-164.282297478 60.6284326890001,-164.326799818 60.6070099880001,-164.392381818 60.557354988,-164.40758386 60.553870633,-164.412372818 60.5527729880001,-164.427259001 60.556564791,-164.427609107 60.5566539700001,-164.437427036 60.559154789,-164.385554544 60.6118000050001,-164.320554544 60.6577727320001,-164.282745453 60.6909909140001,-164.249072726 60.699318186,-164.249072929 60.6993189610001,-164.249072818 60.6993189890001,-164.254003975 60.718187447,-164.270918181 60.782909095,-164.270918597 60.7829091450001,-164.270918818 60.7829099890001,-164.31244515 60.7878034400001,-164.321509788 60.7888716140001,-164.402863746 60.7984583420001,-164.404349969 60.7986334780001,-164.429990818 60.801654989,-164.634736818 60.8180549890001,-164.655854666 60.8199909750001,-164.660422924 60.822281349,-164.692427142 60.8383276500001,-164.683745453 60.8633272770001,-164.643618181 60.8964181860001,-164.64361892 60.8964189050001,-164.643618818 60.896418989,-164.644320927 60.8971007500001,-164.649943564 60.9025604380001,-164.659318181 60.9116636410001,-164.659318446 60.9116636270001,-164.659318818 60.911663989,-164.710145818 60.9090189890001,-164.741090818 60.904163989,-164.761963818 60.899163989,-164.834605351 60.8735370460001,-164.848599999 60.8686000050001,-164.860464339 60.8583171940001,-164.871775429 60.848514048,-164.904999819 60.8197189890001,-164.908709182 60.815330423,-164.98007802 60.730893603,-164.985827819 60.724090989,-165.007597454 60.701446209,-165.011399999 60.6974909150001,-165.034374515 60.688251177,-165.101714653 60.6611687650001,-165.117671919 60.654751177,-165.171448362 60.6331237220001,-165.206071677 60.619199146,-165.25671642 60.5988311770001,-165.265563819 60.595272988,-165.368050256 60.5812115790001,-165.369854819 60.5809639880001,-165.391844642 60.5689122840001,-165.405235802 60.561573148,-165.407210322 60.5604909960001,-165.407488851 60.560338346,-165.407841394 60.5601451320001,-165.408673536 60.55968907,-165.422436819 60.5521459880001,-165.422436298 60.552145495,-165.422436362 60.552145459,-165.385554544 60.5172090950001,-165.366099999 60.509718186,-165.269472726 60.4991636410001,-165.248599999 60.4972181860001,-165.207072726 60.4981909140001,-165.185427272 60.5023545500001,-165.149445453 60.5169363680001,-165.096372816 60.5349999810001,-165.096372727 60.5350000080001,-165.065827272 60.5425000050001,-165.040281817 60.5461090950001,-165.009463635 60.547490914,-164.979645533 60.5404091140001,-164.971236819 60.514718988,-164.979159767 60.507995437,-164.995060878 60.494501477,-165.014788324 60.4777604220001,-165.015052131 60.4775365510001,-165.015526801 60.4771337380001,-165.015810178 60.4768932590001,-165.015923237 60.4767973150001,-165.016287554 60.476488149,-165.020344228 60.4730455850001,-165.029063819 60.4656459880001,-165.051281285 60.4622020450001,-165.051364303 60.462189177,-165.054416146 60.4617161090001,-165.056512338 60.4613911770001,-165.056728325 60.4613576960001,-165.058191119 60.4611309480001,-165.095981819 60.455272988,-165.110493448 60.450377734,-165.111790555 60.449940177,-165.138399819 60.4409639880001,-165.138399564 60.440963788,-165.138399999 60.4409636410001,-165.058629754 60.378158587,-165.035554819 60.3599909880001,-165.006945819 60.346099988,-164.981506621 60.3381832580001,-164.948054544 60.327772732,-164.821654544 60.3002727320001,-164.775027272 60.2913818230001,-164.744172726 60.2911727320001,-164.678072726 60.2958272770001,-164.6469729 60.283881889,-164.651610105 60.278239795,-164.656366717 60.272452419,-164.659985511 60.2680494270001,-164.660899818 60.2669369880001,-164.66089967 60.2669367680001,-164.660899999 60.2669363680001,-164.653443841 60.2558667700001,-164.649204177 60.2495719560001,-164.646118818 60.244990988,-164.609050747 60.2234042900001,-164.491090908 60.154709095,-164.417499999 60.087909095,-164.346954544 60.0622090950001,-164.254727272 60.04415455,-164.213899999 60.0313818230001,-164.189181817 60.022763641,-164.094218875 59.9777639700001,-164.09633459 59.9771040740001,-164.11645225 59.9708293300001,-164.120127356 59.9696830560001,-164.123599999 59.968600005,-164.12495609 59.9685356960001,-164.13399938 59.968107015,-164.163571853 59.9667051860001,-164.167499818 59.9665189880001,-164.190500164 59.9630387820001,-164.197781818 59.961936988,-164.201660681 59.9591330310001,-164.208633652 59.9540924,-164.209393547 59.9535430860001,-164.214218818 59.950054988,-164.204570482 59.9266684300001,-164.199981817 59.915545459,-164.182137592 59.8891805060001,-164.174318818 59.877627988,-164.174318258 59.8776273920001,-164.174318181 59.877627277,-164.157499999 59.8597181860001,-164.138199999 59.8476272770001,-164.099854544 59.832909095,-164.065272726 59.824163641,-164.00640909 59.816663641,-163.946381817 59.8097181860001,-163.843045453 59.7997181860001,-163.755281817 59.796390914,-163.659454544 59.794990914,-163.429990908 59.8136090950001,-163.364163635 59.819718186,-163.339172726 59.822772732,-163.173336362 59.84665455,-163.139736362 59.8527727320001,-163.100554544 59.8627727320001,-162.970827272 59.9008272770001,-162.779013286 59.9521235920001,-162.758908817 59.9574999880001,-162.74682665 59.9592171480001,-162.742548844 59.9598251250001,-162.579163635 59.983045459,-162.542236362 59.988045459,-162.510699999 60.000827277,-162.491363635 60.023318186,-162.475827272 60.050136368,-162.448336362 60.1697181860001,-162.453257682 60.18736891,-162.454163816 60.190618988,-162.486103475 60.2082293940001,-162.496108816 60.213745988,-162.539991392 60.226739304,-162.554718181 60.231100005,-162.563627272 60.253881823,-162.569454544 60.316381823,-162.551390908 60.334718186,-162.463899999 60.368045459,-162.418881817 60.393609095,-162.369718181 60.47165455,-162.279727272 60.5991636410001,-162.261672726 60.616381823,-162.121372736 60.691099997,-161.907227272 60.7080454590001,-161.879428552 60.702218455,-161.953327816 60.6485999880001,-161.977908816 60.6422189880001,-162.026672816 60.6434639880001,-162.053481816 60.6448549880001,-162.084163816 60.641109988,-162.110536816 60.6319369880001,-162.221927816 60.5816639880001,-162.227781816 60.533336988,-162.311954816 60.442218988,-162.384181814 60.332499995,-162.369581817 60.169436368,-162.354999999 60.1458272770001,-162.332210988 60.1360099660001,-162.329845816 60.134990988,-162.329845727 60.134991031,-162.329845453 60.1349909140001,-162.269454544 60.16415455,-162.234163635 60.211663641,-162.20110909 60.2397090950001,-162.156054903 60.244918145,-162.158627816 60.219981988,-162.195896177 60.1579053030001,-162.199981817 60.151099996,-162.236099999 60.0927727320001,-162.236203808 60.085687207,-162.23636331 60.074819102,-162.236527816 60.0636099880001,-162.23652727 60.0636091950001,-162.236527272 60.0636090950001,-162.224651365 60.04635398,-162.215197609 60.032618052,-162.199718816 60.0101279880001,-162.199718183 60.0101272750001,-162.198045607 60.0082345860001,-162.095272726 59.8919363680001,-162.066063173 59.865448875,-162.053618816 59.854163988,-162.039997737 59.8418237120001,-162.024385867 59.8276798410001,-161.976654544 59.7844363680001,-161.930572726 59.733045459,-161.888063635 59.684436368,-161.780299999 59.5605454590001,-161.709636954 59.496936901,-161.753481816 59.4694369870001,-161.755862719 59.4687211020001,-161.814487157 59.4510940110001,-161.820868624 59.4491752420001,-161.822781816 59.448599996,-161.829208319 59.4453197880001,-161.85602698 59.431631075,-161.868446179 59.4252921,-161.955827816 59.380690987,-162.026118816 59.2310999870001,-162.023628485 59.2245811380001,-162.005046464 59.1759396590001,-161.994018816 59.1470729870001,-161.982295666 59.1365271430001,-161.955263635 59.1122090950001,-161.930058097 59.092053101,-161.917236816 59.0817999870001,-161.909702179 59.077416236,-161.891690908 59.066936368,-161.870136362 59.0616545500001,-161.854154544 59.0608181860001,-161.854155442 59.0608190200001,-161.854154816 59.0608189870001,-161.860777462 59.066965924,-161.881527579 59.086225545,-161.887190751 59.091481926,-161.852781817 59.1141545500001,-161.821945453 59.115690914,-161.7958888 59.1129334510001,-161.761554816 59.109299987,-161.761554544 59.109299999,-161.760104931 59.109333817,-161.731936362 59.109990914,-161.699863635 59.1133272770001,-161.656127272 59.1241545500001,-161.62400909 59.1370818230001,-161.568409276 59.106654652,-161.570953722 59.1047995060001,-161.595578048 59.08684601,-161.615827816 59.072081987,-161.682450192 59.047097196,-161.716936816 59.0341639870001,-161.758363816 59.0224909870001,-161.792781816 59.0172099870001,-161.793414702 58.979622039,-161.794736816 58.9010999870001,-161.79306527 58.8813582830001,-161.79180909 58.8665181860001,-161.753081817 58.8180545500001,-161.715681817 58.822772732,-161.685427272 58.821518186,-161.655855282 58.80290956,-161.699154816 58.7633279870001,-161.703791677 58.7604891770001,-161.850649846 58.6705786850001,-161.853881816 58.6685999960001,-161.855038017 58.66807986,-161.882899816 58.655545987,-161.911136816 58.648045987,-161.937718617 58.6476369900001,-161.952345453 58.6684636410001,-161.952345603 58.6684636840001,-161.952345816 58.6684639870001,-161.955967049 58.6694965250001,-161.966744434 58.6725695280001,-161.994718816 58.6805459870001,-162.001318862 58.6800147880001,-162.039309425 58.6769571550001,-162.043063816 58.6766549870001,-162.05585935 58.6744139020001,-162.091193759 58.6682252270001,-162.123546131 58.662558844,-162.138786445 58.6598895660001,-162.143250584 58.659107691,-162.163378656 58.655582343,-162.164241854 58.6554311570001,-162.165972816 58.6551279870001,-162.165971796 58.6551274400001,-162.165972726 58.6551272770001,-162.125272726 58.633327277,-162.078399999 58.6198545500001,-161.819454544 58.626936368,-161.710536362 58.6133272770001,-161.632199999 58.5991636410001,-161.426663635 58.6474909140001,-161.347263635 58.6658181860001,-161.347280343 58.6658151710001,-161.347263815 58.6658189870001,-161.361118815 58.6633189870001,-161.366479869 58.6649211750001,-161.369942681 58.66595606,-161.380890805 58.669227983,-161.374436362 58.711100005,-161.356799999 58.7283272770001,-161.287227272 58.7708272770001,-161.250854544 58.7905545500001,-161.197236362 58.7947181860001,-161.126372726 58.807772732,-161.053072726 58.834163641,-161.029172726 58.8430454590001,-161.001399999 58.85665455,-160.980618181 58.8698545500001,-160.896663635 58.8855545500001,-160.870954544 58.8832545500001,-160.838899999 58.8691545500001,-160.778072726 58.8927727320001,-160.682772726 58.940827277,-160.485263635 59.0283272770001,-160.394863635 59.0599909140001,-160.322772726 59.058327277,-160.269163635 59.008327277,-160.25890016 58.988254865,-160.28464913 58.9791997020001,-160.293434029 58.976110309,-160.298399814 58.9743639870001,-160.306591764 58.9657844750001,-160.318754814 58.9530459870001,-160.318754302 58.9530457130001,-160.318754544 58.9530454590001,-160.255281817 58.91915455,-160.226927272 58.9097181860001,-160.154727272 58.8919363680001,-159.987899999 58.840963641,-159.959445453 58.808045459,-159.91430909 58.770409095,-159.855254544 58.785000005,-159.812363635 58.8056909140001,-159.793336362 58.8491636410001,-159.752499999 58.9258272770001,-159.73360909 58.9341545500001,-159.620899999 58.9440909140001,-159.602781817 58.898609095,-159.467772726 58.8047090950001,-159.434116305 58.7853080100001,-159.429718814 58.782772987,-159.375916133 58.7435511470001,-159.375619036 58.7433345640001,-159.369693958 58.739015217,-159.369124231 58.73859989,-159.361118813 58.7327639870001,-159.35830254 58.730352494,-159.356687583 58.728969653,-159.356439174 58.7287569480001,-159.355894562 58.7282906120001,-159.345554544 58.7194363680001,-159.167781817 58.5436090950001,-159.123318181 58.4861090950001,-159.06290909 58.4286000050001,-159.031399999 58.418600005,-159.018613108 58.4156696750001,-158.987763813 58.4085999860001,-158.979508629 58.4074058680001,-158.897518181 58.3955454590001,-158.838318181 58.4024909140001,-158.818327272 58.40665455,-158.795836362 58.4158272770001,-158.710890908 58.492772732,-158.710891063 58.49277276,-158.710890813 58.492772986,-158.737354813 58.4976279860001,-158.756818299 58.504163814,-158.907227272 58.7244363680001,-158.910560744 58.758571707,-158.911390803 58.7670728840001,-158.88750909 58.8016545500001,-158.865818181 58.811236368,-158.839581817 58.8155454590001,-158.808636837 58.801872942,-158.818022095 58.784500382,-158.821809091 58.7774909190001,-158.83710111 58.774033349,-158.846372813 58.7719369870001,-158.881318813 58.7630459870001,-158.882781803 58.736663983,-158.882781817 58.7366636410001,-158.854845453 58.7256818230001,-158.828754544 58.72985455,-158.796818181 58.7506909140001,-158.780318691 58.772045657,-158.778899813 58.773881987,-158.778387314 58.7840800100001,-158.776959849 58.8124846100001,-158.772645453 58.8983272770001,-158.7807956 58.9199150480001,-158.792781813 58.9516639870001,-158.821245304 58.9684636870001,-158.744781817 58.991790914,-158.744280166 58.989505998,-158.729018813 58.9199909870001,-158.732188981 58.8959852570001,-158.73350909 58.885990914,-158.696118181 58.882772732,-158.636418181 58.910818186,-158.616090908 58.9211090950001,-158.497190908 59.0439636410001,-158.49719105 59.0439637420001,-158.497190813 59.043963987,-158.531954398 59.0687186910001,-158.519472726 59.1116636410001,-158.519472869 59.111663795,-158.519472813 59.111663987,-158.532211452 59.125407523,-158.548045453 59.1424909140001,-158.538618181 59.173745459,-158.496645813 59.1385999870001,-158.466618813 59.113963987,-158.460209878 59.1085332600001,-158.448627272 59.098718186,-158.364918181 59.0673545500001,-158.286163635 59.050772732,-158.26540909 59.0479363680001,-158.244418321 59.047690915,-158.241352239 59.047243317,-158.153627272 59.0344363680001,-158.129427272 59.0283272770001,-158.110536362 59.0172090950001,-158.096992559 59.009115928,-158.091945812 59.006099987,-158.087831123 59.003284379,-158.074290908 58.9940181860001,-158.002308883 58.915414265,-157.992763812 58.9049909870001,-158.020145812 58.8731189870001,-158.055263812 58.896945987,-158.05673059 58.8986451960001,-158.062835162 58.9057171260001,-158.074018181 58.9186727320001,-158.093872726 58.9638818230001,-158.093872748 58.9638818400001,-158.093872812 58.963881987,-158.131236812 58.994227987,-158.136713385 58.9959757500001,-158.175279978 59.00828368,-158.175418812 59.008327987,-158.176251276 59.0083968760001,-158.215631879 59.011655772,-158.272551091 59.016366055,-158.274476394 59.0165253810001,-158.278925734 59.016893581,-158.366672813 59.024154987,-158.434540539 59.0110783540001,-158.436595565 59.0106823950001,-158.488118813 59.0007549870001,-158.488574833 58.990783546,-158.490419042 58.9504577000001,-158.491438164 58.928173357,-158.492199981 58.9115185790001,-158.492646736 58.910436652,-158.498416668 58.8964633520001,-158.498472034 58.8963292670001,-158.499095022 58.8948205510001,-158.499743796 58.893249386,-158.501464646 58.889081925,-158.501493095 58.8890130290001,-158.503672402 58.883735304,-158.509463813 58.8697099870001,-158.526736813 58.8492279870001,-158.54158606 58.84525561,-158.562515103 58.8396568050001,-158.563336813 58.8394369870001,-158.56053401 58.818070742,-158.559236813 58.8081819870001,-158.538648162 58.7972911000001,-158.529590908 58.7925000050001,-158.529590813 58.7924999840001,-158.499727272 58.78485455,-158.454900236 58.778029501,-158.442227813 58.7760999870001,-158.428142007 58.7722541570001,-158.40000909 58.764572732,-158.37220909 58.7516636410001,-158.349651521 58.7295123740001,-158.345963813 58.7258909870001,-158.320411778 58.6518653480001,-158.318327812 58.6458279870001,-158.31832747 58.6458278520001,-158.318327272 58.6458272770001,-158.296390908 58.637218186,-158.229854544 58.613881823,-158.202782101 58.608952081,-158.190963812 58.606799987,-158.190963635 58.606800003,-158.154727272 58.6097181860001,-158.122772726 58.6152727320001,-158.092499999 58.6213727320001,-158.054718181 58.6305454590001,-157.992645453 58.6481818230001,-157.801663635 58.7061000050001,-157.678072726 58.7416636410001,-157.373045453 58.8186000050001,-157.279727272 58.836109095,-157.25640909 58.8388818230001,-157.222781817 58.843609095,-157.193463635 58.849990914,-157.111936362 58.874436368,-157.075290908 58.8899909140001,-157.075290809 58.889990982,-156.880336362 59.0129090950001,-156.876638453 59.0299209660001,-156.875808811 59.0337369870001,-156.882490781 59.058254876,-156.865327272 59.10235455,-156.836672726 59.1230454590001,-156.805263635 59.141109095,-156.781819303 59.1512449740001,-156.852468192 59.0057662030001,-156.854471915 59.001640175,-156.855272811 58.999990987,-156.896972811 58.9716549870001,-156.945845811 58.9266999870001,-156.975418811 58.9176189870001,-156.978234193 58.913129665,-156.987733163 58.897982896,-156.993236446 58.889207528,-156.994108345 58.887817225,-157.011352645 58.8603199880001,-157.062431124 58.7788717980001,-157.066284645 58.77272709,-157.067952369 58.7700677890001,-157.067961483 58.770053256,-157.071654811 58.7641639870001,-157.072312238 58.744718784,-157.072490889 58.7394369370001,-157.225008811 58.6411099870001,-157.258137685 58.6217207440001,-157.258265589 58.6216458860001,-157.259821189 58.620735444,-157.262033427 58.619440694,-157.460336303 58.5033805290001,-157.468736812 58.498463986,-157.47332484 58.494533952,-157.485837349 58.483815926,-157.488190908 58.4818000050001,-157.525560056 58.426203184,-157.551390812 58.3877729860001,-157.551390905 58.387772731,-157.551509056 58.3874357830001,-157.559863812 58.363609986,-157.565827812 58.307072986,-157.555545576 58.288521066,-157.543199999 58.2662454590001,-157.429490908 58.224181823,-157.349336362 58.235163641,-157.250896559 58.217596664,-157.208327811 58.2099999860001,-157.195371659 58.2058718160001,-157.158827359 58.194227305,-157.139036811 58.1644369860001,-157.163754544 58.170890915,-157.171129911 58.177294284,-157.185345811 58.189636986,-157.241464736 58.1975238730001,-157.27257867 58.2018965880001,-157.301138971 58.2059104190001,-157.309936559 58.207146821,-157.319308812 58.208463986,-157.396173082 58.20074458,-157.397154812 58.200645986,-157.530012578 58.170501787,-157.543881812 58.1673549860001,-157.5450692 58.1664065040001,-157.566654812 58.1491639860001,-157.586945812 58.1280459860001,-157.611372812 58.084018986,-157.623318812 57.9783279860001,-157.62363224 57.9752658200001,-157.624175646 57.969956794,-157.624802013 57.9638372370001,-157.629972812 57.913318986,-157.633673676 57.898051116,-157.634509806 57.894601676,-157.639463812 57.874163986,-157.644985795 57.8568869630001,-157.646390908 57.852490914,-157.65122206 57.840605173,-157.674163812 57.7841639860001,-157.689845812 57.7577729860001,-157.69318384 57.739651817,-157.706936812 57.6649909860001,-157.704163812 57.637354986,-157.704163659 57.6373547910001,-157.704163635 57.6373545500001,-157.686245453 57.614436368,-157.629972726 57.6097181860001,-157.574954544 57.527218186,-157.469727272 57.4972181860001,-157.436818181 57.5202727320001,-157.444227272 57.5452727320001,-157.392945839 57.5595726240001,-157.397918812 57.492772986,-157.423814463 57.4881346880001,-157.448125752 57.4837801740001,-157.472564646 57.4794028040001,-157.487534023 57.476721565,-157.508054812 57.473045986,-157.539778623 57.473045986,-157.552008301 57.473045986,-157.554990812 57.473045986,-157.581663812 57.4747099860001,-157.641390812 57.483881986,-157.643660475 57.487744358,-157.648201319 57.495471686,-157.650175334 57.4988309440001,-157.650924646 57.5001060750001,-157.667508812 57.5283279860001,-157.668717632 57.5312199540001,-157.682172812 57.5634099860001,-157.685750727 57.5633378260001,-157.708452008 57.5628799850001,-157.741672812 57.562209986,-157.785281812 57.5498549860001,-157.944990812 57.488745986,-158.065827812 57.4047099850001,-158.093318812 57.379436985,-158.115263812 57.358045985,-158.133908812 57.361109985,-158.158908812 57.3594369850001,-158.198054812 57.3513909850001,-158.259463812 57.334163985,-158.285281812 57.324163985,-158.356654813 57.279990985,-158.385281813 57.261663985,-158.401945813 57.250272985,-158.423618813 57.2349909850001,-158.449736813 57.2152729850001,-158.615536813 57.0844369850001,-158.635554813 57.066663985,-158.650845813 57.0510999850001,-158.682781813 57.0126279850001,-158.699436813 56.979990985,-158.695646591 56.9401414060001,-158.69493687 56.9326795530001,-158.693016855 56.912492926,-158.689099999 56.8713090950001,-158.672980058 56.8530069220001,-158.666536813 56.845690985,-158.661501886 56.8419675980001,-158.647372721 56.831518187,-158.647127658 56.8295012510001,-158.641428536 56.7825949310001,-158.639374994 56.765693367,-158.639036813 56.7629099850001,-158.811399813 56.7805459850001,-158.975827813 56.7827729850001,-159.034999813 56.8049909850001,-159.035 56.8049909170001,-159.166963813 56.760272985,-159.235536813 56.7280459850001,-159.24808216 56.7157645770001,-159.250693336 56.7132083370001,-159.263627813 56.7005459850001,-159.265049299 56.6997822110001,-159.279459179 56.692039682,-159.293608813 56.684436985,-159.323722553 56.6725698600001,-159.327096128 56.6712404130001,-159.398618813 56.643054985,-159.422790814 56.6349909850001,-159.479708814 56.6222189850001,-159.512236362 56.621100002,-159.512236814 56.6210999850001,-159.536587765 56.620011392,-159.54740902 56.619527636,-159.549436814 56.6194369850001,-159.571202071 56.6166085670001,-159.577208814 56.6158279850001,-159.715272814 56.581936985,-159.815278802 56.5482315240001,-159.819911185 56.5466702510001,-159.823964613 56.545304107,-159.825189291 56.5448913480001,-159.837218814 56.5408369850001,-159.862763814 56.528599985,-159.888472814 56.5149909850001,-159.921672814 56.4894369850001,-159.923440778 56.488056493,-159.923499584 56.488010575,-159.929142074 56.4836047100001,-159.944445814 56.471654985,-159.976654814 56.4547099850001,-160.024972715 56.4347108470001,-160.042612391 56.427409654,-160.046084516 56.4259725160001,-160.051463814 56.423745985,-160.108336814 56.4105459850001,-160.117619898 56.4065633930001,-160.194454814 56.3735999850001,-160.201882144 56.3693118580001,-160.317623383 56.302489318,-160.345344458 56.286484715,-160.346954814 56.285554984,-160.347018633 56.2855045900001,-160.371936814 56.2658279840001,-160.37494669 56.262699802,-160.375515941 56.262108176,-160.376760239 56.2608149700001,-160.378795694 56.2586995090001,-160.380018259 56.257428889,-160.392518814 56.2444369840001,-160.422790814 56.2055549840001,-160.431945814 56.185545984,-160.453181814 56.164154984,-160.5630056 56.0092690650001,-160.563816145 56.008125942,-160.56404411 56.00780444,-160.574018815 55.9937369840001,-160.572499848 55.9918132000001,-160.572310191 55.991572998,-160.570047718 55.9887075560001,-160.559705256 55.97560874,-160.528072726 55.9355454590001,-160.479154544 55.915545459,-160.458036362 55.9069363680001,-160.336399999 55.869436368,-160.239636858 55.844154679,-160.239693663 55.843759306,-160.241492077 55.8312421000001,-160.248766933 55.780608097,-160.249475567 55.775675908,-160.250072814 55.7715189840001,-160.252988714 55.771421199,-160.287227814 55.770272984,-160.304517334 55.772655829,-160.340602828 55.7776291380001,-160.385925648 55.783875537,-160.437320621 55.790958801,-160.467636629 55.7951369580001,-160.471025649 55.802641452,-160.477008814 55.8158909840001,-160.476970576 55.8160815050001,-160.472408814 55.8388099840001,-160.481891869 55.8471309610001,-160.484235639 55.8491875190001,-160.491328989 55.8554116330001,-160.495697715 55.8592450040001,-160.500549376 55.8635021310001,-160.505572815 55.8679099840001,-160.522581273 55.8664863500001,-160.534196136 55.8655141680001,-160.556945815 55.8636099840001,-160.582937618 55.8610376610001,-160.638336815 55.855554984,-160.662508815 55.853327984,-160.700972815 55.8563819840001,-160.745545815 55.8713729840001,-160.768618815 55.8783279840001,-160.790145815 55.8775639840001,-160.786935859 55.867987451,-160.761044758 55.7907443230001,-160.758415536 55.7829003430001,-160.757522649 55.7802365150001,-160.757077968 55.778909862,-160.755718815 55.7748549840001,-160.755718314 55.7748549460001,-160.755718181 55.77485455,-160.731654544 55.7730454590001,-160.703890908 55.761663641,-160.662154936 55.7346457130001,-160.66668273 55.7245602200001,-160.67158565 55.713639147,-160.678655564 55.697891172,-160.679581815 55.6958279840001,-160.687955275 55.697891172,-160.688794391 55.698097927,-160.789835017 55.7229939490001,-160.797576649 55.724901457,-160.806945815 55.7272099840001,-160.847781815 55.7533279840001,-160.870818815 55.7683279840001,-160.919518618 55.803749172,-160.941099815 55.819445984,-160.954254649 55.8305045320001,-161.021881712 55.8873548970001,-161.014172726 55.9127727320001,-161.014172873 55.9127727920001,-161.014172815 55.9127729840001,-161.016698212 55.9138090710001,-161.045902947 55.925790804,-161.068327272 55.9349909140001,-161.068327686 55.9349909310001,-161.068327815 55.9349909840001,-161.244136815 55.9424909840001,-161.365399815 55.9506909840001,-161.368242808 55.951636738,-161.368906309 55.9518574590001,-161.373038096 55.953231945,-161.375369785 55.954007608,-161.391690815 55.959436984,-161.776672816 55.8931909840001,-161.807636816 55.8837369840001,-161.840818816 55.8672099840001,-161.890155856 55.8438938050001,-161.89270549 55.842688874,-161.896378759 55.8409529250001,-161.899029764 55.839700087,-161.904458501 55.837134522,-161.907095826 55.835888149,-161.92409047 55.8278566550001,-161.924151444 55.8278278390001,-161.932116572 55.824063601,-161.944919814 55.818012921,-161.954144212 55.813653565,-161.954615346 55.8134309120001,-162.018890816 55.783054984,-162.089172816 55.7597189840001,-162.235536816 55.686654984,-162.260554816 55.6730459840001,-162.425018816 55.5491639840001,-162.480563816 55.5060999840001,-162.545836816 55.455272984,-162.545836252 55.4552728180001,-162.545836362 55.4552727320001,-162.507645803 55.444081925,-162.505692258 55.4356672270001,-162.499563517 55.4092682890001,-162.496312358 55.3952642500001,-162.49109095 55.3727729140001,-162.533620606 55.350498137,-162.548908984 55.342490969,-162.577363816 55.3399909840001,-162.626918816 55.3544369840001,-162.716411648 55.3255190090001,-162.763596109 55.3102722130001,-162.785414931 55.3032218590001,-162.791108817 55.301381984,-162.792424114 55.3009147710001,-162.811651938 55.2940847720001,-162.812580336 55.2937549920001,-162.81719304 55.292116493,-162.819027511 55.291464863,-162.821657229 55.290530749,-162.854321715 55.2789278560001,-162.865231193 55.275052653,-162.86656272 55.274579675,-162.875249666 55.2714939470001,-162.877051202 55.270854016,-162.886518817 55.2674909830001,-162.886541375 55.2609158440001,-162.886547452 55.2591447510001,-162.886556261 55.2565771230001,-162.886567942 55.253172519,-162.886581835 55.2491230520001,-162.886599999 55.243881823,-162.900658485 55.226492066,-162.938195771 55.180060192,-162.938621958 55.1795330190001,-162.940272817 55.177490983,-162.956360289 55.1691811790001,-162.966090817 55.1641549830001,-162.993472817 55.179854983,-163.000742516 55.1805461160001,-163.073878441 55.1874991770001,-163.076663817 55.1877639830001,-163.106356242 55.185259193,-163.119445817 55.184154983,-163.142784175 55.1799701720001,-163.156894849 55.17743998,-163.181399817 55.1730459830001,-163.188056522 55.1707935850001,-163.238036817 55.1538819830001,-163.288666166 55.1364636390001,-163.291079325 55.135633425,-163.3054337 55.130694996,-163.307081817 55.1301279830001,-163.308351784 55.12926285,-163.326245817 55.1170729830001,-163.325653681 55.115395382,-163.320755016 55.1015167940001,-163.309121903 55.068558599,-163.29366103 55.0247558350001,-163.282227817 54.9923639830001,-163.277843946 54.9888248870001,-163.258637 54.973318701,-163.268593706 54.9580072090001,-163.277329636 54.944573034,-163.278381817 54.9429549830001,-163.294478329 54.9234545570001,-163.302531674 54.9136981780001,-163.324210727 54.8874346750001,-163.334654817 54.874781983,-163.337833763 54.8737288900001,-163.339371335 54.8732195360001,-163.340346093 54.872896627,-163.369216707 54.8633326230001,-163.37052885 54.8628979470001,-163.374043053 54.861733793,-163.375489325 54.8612546850001,-163.383472817 54.8586099830001,-163.383472342 54.858609223,-163.383472726 54.8586090950001,-163.35290909 54.8097181860001,-163.330554544 54.808181823,-163.23720909 54.8369363680001,-163.053081817 54.932663641,-163.05308185 54.9326639660001,-163.053081817 54.9326639830001,-163.053201863 54.9338469040001,-163.053899687 54.940723168,-163.056263635 54.964018186,-163.056263742 54.964018244,-163.056263817 54.9640189830001,-163.074718817 54.9740189830001,-163.141963817 54.9947099830001,-163.180263817 55.003118983,-163.206390817 55.0133279830001,-163.215673683 55.0282086810001,-163.218872817 55.033336983,-163.223693651 55.0487992830001,-163.228544223 55.064356966,-163.238463635 55.0961727320001,-163.179445453 55.139572732,-163.116654544 55.1255454590001,-163.052430564 55.0968676840001,-163.018218817 55.0815909830001,-162.98836195 55.0479464470001,-162.974154829 55.0319366890001,-162.974932977 55.013532405,-162.975399999 55.0024909140001,-162.967220125 54.9909310080001,-162.960263817 54.981099983,-162.948397894 54.972726971,-162.916963635 54.9505454590001,-162.873881817 54.9309636410001,-162.860263635 54.9297181860001,-162.783063817 54.9342999880001,-162.783063635 54.9343000050001,-162.753599999 54.9404090950001,-162.729427272 54.951518186,-162.650845555 55.0006908500001,-162.64540501 54.9979216570001,-162.612182911 54.9810118780001,-162.609197293 54.9794922230001,-162.584216885 54.966777398,-162.566936816 54.9579819830001,-162.56693683 54.9579820610001,-162.566936362 54.9579818230001,-162.595554544 55.123881823,-162.603609421 55.1297523520001,-162.618778872 55.1408081720001,-162.690827817 55.193318983,-162.714572716 55.2101279120001,-162.714081821 55.241245459,-162.670154544 55.2870818230001,-162.636381817 55.2973545500001,-162.568463635 55.294436368,-162.544408507 55.263508836,-162.53990821 55.25772276,-162.504727816 55.2124909830001,-162.50361665 55.2105650020001,-162.494081038 55.1940369480001,-162.47860909 55.1672181860001,-162.488590839 55.1184639790001,-162.516054816 55.1129819830001,-162.519736715 55.1016995320001,-162.522990816 55.0917279830001,-162.522990716 55.091727867,-162.522990908 55.0917272770001,-162.497363635 55.062072732,-162.467636362 55.0441636410001,-162.445036362 55.036427277,-162.270845453 55.0155454590001,-162.248872817 55.0185999880001,-162.248872727 55.018600007,-162.217345453 55.027909095,-162.196318181 55.0490181860001,-162.217072726 55.1010000050001,-162.166672726 55.150618186,-162.098037126 55.1591544550001,-162.098586324 55.1582191940001,-162.098587167 55.158217758,-162.114004995 55.131961844,-162.115818816 55.1288729830001,-162.117920158 55.127279227,-162.135499816 55.1139459830001,-162.135499617 55.113945749,-162.135499999 55.113945459,-162.121645453 55.0976272770001,-162.087772726 55.0788818230001,-162.06040909 55.0727000050001,-162.060409014 55.072700028,-162.060408816 55.0726999830001,-162.053872525 55.0747319640001,-162.040215528 55.0789776060001,-161.975281817 55.0991636410001,-161.958936362 55.1118000050001,-161.959445453 55.125827277,-161.959445799 55.1258275060001,-161.959445816 55.1258279830001,-161.968045816 55.131518983,-161.999427813 55.1696512550001,-162.006105085 55.1777648090001,-162.012508816 55.1855459830001,-162.039023929 55.224062055,-162.043199436 55.2301274320001,-162.021390908 55.2361090950001,-162.000854544 55.236381823,-161.954436362 55.231936368,-161.927154544 55.2247818230001,-161.821927272 55.2950000050001,-161.703463635 55.4026272770001,-161.709914123 55.461956226,-161.714781747 55.506727348,-161.611781817 55.609990914,-161.562499999 55.6227636410001,-161.508363815 55.63109998,-161.508363635 55.631100003,-161.507913782 55.631141884,-161.484436362 55.633327277,-161.440827272 55.634990911,-161.437729618 55.6345601400001,-161.404872726 55.6299909140001,-161.145282103 55.530272842,-161.147195489 55.529326203,-161.156421908 55.524761481,-161.173063815 55.516527984,-161.286136815 55.5305459840001,-161.313472815 55.5380459840001,-161.334163815 55.5508279840001,-161.362063815 55.571245984,-161.402799815 55.5547099840001,-161.420043025 55.5395313920001,-161.453958607 55.5096766950001,-161.456876003 55.5071086140001,-161.457001549 55.5069981010001,-161.461746123 55.502821618,-161.46497352 55.4999806540001,-161.48021099 55.486567644,-161.483736815 55.4834639840001,-161.503976509 55.3944435450001,-161.509899999 55.368390914,-161.248881817 55.347909095,-161.079436362 55.4074909140001,-161.025572726 55.4272181860001,-160.997218181 55.4455454590001,-160.974090908 55.4748454590001,-160.947354544 55.502772732,-160.928345453 55.512772732,-160.899445453 55.5188818230001,-160.875827592 55.521099974,-160.872695648 55.5209704100001,-160.855836362 55.5202727320001,-160.847958978 55.516866027,-160.834163815 55.510899984,-160.837699454 55.497918563,-160.839781815 55.4902729840001,-160.839781791 55.4902728260001,-160.839781817 55.4902727320001,-160.838265645 55.4801252070001,-160.836819206 55.4704441480001,-160.835963815 55.4647189840001,-160.835963749 55.4647189500001,-160.835963635 55.464718186,-160.810272726 55.451663641,-160.79000909 55.447072732,-160.762790908 55.447772732,-160.698881817 55.4552727320001,-160.677101081 55.463703126,-160.669099815 55.466799984,-160.662019398 55.4869671700001,-160.657299999 55.5004090950001,-160.657300096 55.500409183,-160.657299815 55.500409984,-160.675899815 55.5172819840001,-160.722721616 55.5265548940001,-160.759352723 55.533809569,-160.633054544 55.566663641,-160.592563635 55.558945459,-160.570598556 55.525578689,-160.540636815 55.4800639840001,-160.540636579 55.4800639690001,-160.540636362 55.4800636410001,-160.507781817 55.478045459,-160.477281817 55.492490914,-160.439727272 55.570827277,-160.420563635 55.6299909140001,-160.309718181 55.6363818230001,-160.280581817 55.6369363680001,-160.144181817 55.6602727320001,-160.064999999 55.6966545500001,-160.027236362 55.7215181860001,-160.030836362 55.741445459,-160.030836782 55.7414458050001,-160.030836814 55.7414459840001,-160.056518137 55.762636426,-160.036118181 55.7897181860001,-159.975554544 55.8155454590001,-159.842636362 55.8502727320001,-159.759532262 55.8488031380001,-159.757433043 55.848766013,-159.748045814 55.848599984,-159.741027157 55.8475426190001,-159.736671322 55.846886409,-159.712081817 55.8431818230001,-159.644590908 55.825272732,-159.628851755 55.8151696150001,-159.624027814 55.8120729840001,-159.627375921 55.8040311720001,-159.664161973 55.7156748420001,-159.676287132 55.6865514520001,-159.676936177 55.6849925130001,-159.676936814 55.6849909840001,-159.680478532 55.6807921240001,-159.702083768 55.6551781800001,-159.741363814 55.6086099840001,-159.741363614 55.60860912,-159.741363635 55.6086090950001,-159.740577193 55.6052052520001,-159.739144045 55.5990021590001,-159.733751831 55.5756630490001,-159.732094623 55.568490157,-159.730836814 55.563045984,-159.730836486 55.5630459920001,-159.730836362 55.5630454590001,-159.719999999 55.563327277,-159.699981817 55.566936368,-159.667236362 55.577218186,-159.629972726 55.589427277,-159.560836362 55.641109095,-159.547927272 55.659709095,-159.503772726 55.7624909140001,-159.510554544 55.7913818230001,-159.470554544 55.822772732,-159.361454544 55.8743636410001,-159.138063635 55.91415455,-159.074436362 55.9211090950001,-159.021390908 55.9202727320001,-158.939727272 55.9291636410001,-158.905272726 55.9594363680001,-158.868881817 55.9987454590001,-158.849854544 56.0112454590001,-158.773899999 56.009163641,-158.742554809 56.0024909740001,-158.736547923 55.9883664700001,-158.735039945 55.9848206560001,-158.734786642 55.984225033,-158.734625419 55.983845929,-158.730681897 55.9745729190001,-158.751857569 55.9582433050001,-158.752608813 55.9576639840001,-158.752608654 55.957663977,-158.75260909 55.9576636410001,-158.675354544 55.954227277,-158.644318181 55.994990914,-158.645572726 56.021545459,-158.645572809 56.0215459080001,-158.645572818 56.0215459830001,-158.646350548 56.025749886,-158.657772726 56.0874909140001,-158.655854544 56.1097181860001,-158.60110909 56.1880454590001,-158.539181817 56.1933181860001,-158.499590908 56.1940181860001,-158.489190586 56.184386664,-158.484218813 56.179781984,-158.499646208 56.1713613330001,-158.515879749 56.1625006680001,-158.537781813 56.1505459840001,-158.553414588 56.138167686,-158.553506072 56.1380952480001,-158.558537803 56.1341110370001,-158.571144579 56.1241287770001,-158.591273364 56.108190462,-158.600399813 56.100963984,-158.60039977 56.100963822,-158.600399999 56.1009636410001,-158.58500909 56.0425454590001,-158.512236362 55.991936368,-158.505281817 55.988881823,-158.504385947 55.9915841740001,-158.500308813 56.003881984,-158.49775105 56.0130978810001,-158.497163444 56.0152150910001,-158.489436362 56.0430545500001,-158.499454544 56.0969363680001,-158.399581817 56.1751272770001,-158.35720909 56.1455454590001,-158.207645453 56.182490914,-158.126445453 56.2352000050001,-158.126445835 56.2351999690001,-158.126445812 56.2351999840001,-158.183072812 56.229990984,-158.204999812 56.215127984,-158.244718812 56.195545984,-158.276945812 56.1849909840001,-158.333663637 56.1741640180001,-158.333810154 56.2087187050001,-158.333838292 56.2153626210001,-158.333890811 56.2277636650001,-158.279727272 56.2411000050001,-158.253354544 56.250136368,-158.21540909 56.2772545500001,-158.215409308 56.2772546300001,-158.215408812 56.2772549840001,-158.292891165 56.305723373,-158.300320963 56.3084532120001,-158.332490812 56.320272984,-158.347758819 56.322921588,-158.433222617 56.3377473410001,-158.447781813 56.3402729840001,-158.486054813 56.3246999840001,-158.514408813 56.3139099840001,-158.537090813 56.2969549840001,-158.552779843 56.2784889220001,-158.559999999 56.2699909140001,-158.542391182 56.2520730100001,-158.637418512 56.2587459630001,-158.644330338 56.269254613,-158.648642602 56.2758111950001,-158.650384953 56.2784603530001,-158.650572548 56.2787455820001,-158.60970909 56.3070727320001,-158.568790908 56.332936368,-158.542281817 56.343436368,-158.518799999 56.351772732,-158.445554544 56.419990914,-158.428481817 56.440127277,-158.336399999 56.4765181860001,-158.30860909 56.4726272770001,-158.283327272 56.4655454590001,-158.257936362 56.4558272770001,-158.199154544 56.4519363680001,-158.136181817 56.4620727320001,-158.130754544 56.487318186,-158.130754956 56.487318316,-158.130754812 56.4873189850001,-158.160763057 56.4967277480001,-158.141536362 56.5123545500001,-158.114990908 56.5113818230001,-157.98110909 56.488181823,-157.898592648 56.4708452200001,-157.882627812 56.467490985,-157.882627775 56.4674910190001,-157.882627272 56.4674909140001,-157.836872726 56.5099909140001,-157.843518181 56.551245459,-157.843518762 56.5512456720001,-157.843518812 56.551245985,-157.879293533 56.5643323020001,-157.881606443 56.5651783600001,-157.888276705 56.567618328,-157.889445812 56.568045985,-157.891435804 56.568385635,-157.91856141 56.573015415,-157.925290812 56.574163985,-157.945690812 56.5708279850001,-157.960938064 56.5662720230001,-157.966948064 56.564476202,-157.974990812 56.562072985,-157.999204339 56.5543101160001,-158.020018812 56.5476369850001,-158.064454812 56.5361099850001,-158.122390801 56.5289459860001,-158.115672726 56.5605818230001,-158.050845453 56.5769454590001,-157.97060909 56.6074181860001,-157.943190908 56.6280454590001,-157.915636362 56.6454818230001,-157.816099999 56.6722181860001,-157.787227272 56.6783272770001,-157.752563635 56.6750636410001,-157.710963635 56.6299181860001,-157.679854544 56.6084636410001,-157.501536362 56.613245459,-157.470127272 56.620272732,-157.454927272 56.6380454590001,-157.458720789 56.6428520650001,-157.469387717 56.6563681270001,-157.475122704 56.6636349290001,-157.479708812 56.669445985,-157.490940156 56.6702555860001,-157.502154812 56.671063985,-157.518913966 56.6735493420001,-157.539629557 56.676621433,-157.547379299 56.6777707080001,-157.554872812 56.678881985,-157.568861378 56.692879406,-157.583327272 56.70735455,-157.454845453 56.84485455,-157.427936362 56.857490914,-157.404036362 56.8608272770001,-157.362918181 56.8501272770001,-157.340818181 56.8380454590001,-157.31110909 56.818327277,-157.294294185 56.800892919,-157.292354812 56.798881985,-157.29235464 56.7988819220001,-157.292354544 56.798881823,-157.220672726 56.7724909140001,-157.206663635 56.7705454590001,-157.18686548 56.7733629860001,-157.185199811 56.773599985,-157.173380048 56.7796496460001,-157.087490908 56.8236090950001,-156.984436362 56.908600005,-156.940827271 56.9624909180001,-156.938332234 56.962206005,-156.934556906 56.9617748920001,-156.926666918 56.9608739180001,-156.890990903 56.9567999980001,-156.851654544 56.921936368,-156.759463635 56.991381823,-156.680145453 56.9961090950001,-156.552290908 56.9788818230001,-156.452790908 57.0833272770001,-156.366099999 57.144163641,-156.341663635 57.1708272770001,-156.336876718 57.252328952,-156.33686687 57.252496625,-156.336756594 57.254374108,-156.334990811 57.2844369850001,-156.355618811 57.3090189850001,-156.402799811 57.3069369850001,-156.422518811 57.303045985,-156.501127029 57.2872191430001,-156.489990908 57.331109095,-156.206236362 57.4762363680001,-156.183851735 57.476103863,-156.183199957 57.4760999860001,-156.123872726 57.450618186,-156.105482034 57.4390026720001,-156.098836048 57.4348048140001,-156.09803681 57.434299986,-156.096428651 57.434193717,-156.06640909 57.4322090950001,-156.030636362 57.4416545500001,-156.0352537 57.4805939180001,-156.03860881 57.508890986,-156.034095083 57.5105767420001,-156.027296247 57.5131159330001,-155.964999999 57.5363818230001,-155.840272726 57.564436368,-155.815690908 57.5590181860001,-155.799318812 57.540827984,-155.799318181 57.5408272770001,-155.754181817 57.5458272770001,-155.734436362 57.551381823,-155.706663635 57.641663641,-155.623745453 57.7780454590001,-155.606936362 57.789300005,-155.58330909 57.794445459,-155.557099999 57.79235455,-155.473308804 57.754164061,-155.46417281 57.749999986,-155.458646956 57.747575877,-155.44835477 57.7430608500001,-155.389590908 57.7172818230001,-155.311127272 57.734436368,-155.296333649 57.747879052,-155.29499981 57.7490909860001,-155.289774881 57.760087851,-155.284910347 57.770326196,-155.256954544 57.829163641,-155.083890908 57.8809636410001,-155.066118181 57.8918000050001,-155.048336362 57.957500005,-155.033399999 58.0146090950001,-154.965545453 58.0294363680001,-154.894745453 58.029018186,-154.825290908 58.0202727320001,-154.782772726 58.0022181860001,-154.73580909 58.0191545500001,-154.637099999 58.0326363680001,-154.597781817 58.023318186,-154.570481817 58.0247818230001,-154.497772726 58.092763641,-154.443054544 58.1444363680001,-154.384227272 58.110336368,-154.329610178 58.1063168540001,-154.326663809 58.1060999860001,-154.326663718 58.1061000110001,-154.326663635 58.106100005,-154.235672726 58.1306909140001,-154.114636362 58.280409095,-154.114637074 58.2804096580001,-154.114636809 58.2804099860001,-154.119983676 58.284637086,-154.120104708 58.2847327710001,-154.120775069 58.2852627410001,-154.141862353 58.301933821,-154.147324596 58.306252134,-154.154445453 58.3118818230001,-154.154445643 58.3118818560001,-154.154445809 58.3118819860001,-154.185345809 58.3172189860001,-154.194794941 58.309285856,-154.209418474 58.297008496,-154.209990809 58.2965279860001,-154.263188879 58.2760114260001,-154.285281809 58.267490986,-154.288288067 58.2670458690001,-154.336143246 58.2599602650001,-154.337772809 58.2597189860001,-154.338583557 58.2606353620001,-154.354236262 58.2783273680001,-154.322781817 58.3066545500001,-154.206236362 58.3525000050001,-154.179990908 58.356381823,-154.148699999 58.3534090950001,-154.118863635 58.3502727320001,-154.059581817 58.356936368,-154.013102513 58.378318554,-154.005099808 58.381999986,-154.03280419 58.402536438,-154.034999808 58.4041639860001,-154.048741943 58.410536789,-154.069736398 58.4202727960001,-154.086652757 58.450964904,-154.102690665 58.4800637260001,-154.068881817 58.491936368,-153.999145453 58.4908272770001,-153.959581817 58.489990914,-153.926036362 58.511518186,-153.905290908 58.5830454590001,-153.763918181 58.609990914,-153.689727272 58.617490914,-153.60860909 58.634718186,-153.447781817 58.7144363680001,-153.261181817 58.8595727320001,-153.261181957 58.8595728710001,-153.261181808 58.859572987,-153.267705307 58.8660390640001,-153.323362525 58.921206371,-153.32908827 58.9268817170001,-153.331390808 58.929163987,-153.40523092 58.970589051,-153.410093243 58.9733168640001,-153.423481808 58.9808279870001,-153.476709737 58.995999452,-153.488036808 58.999227987,-153.501242264 58.9945833640001,-153.501797219 58.994388175,-153.511522035 58.9909677630001,-153.516263808 58.9892999840001,-153.538072808 58.9862459870001,-153.549475118 58.987362208,-153.564999808 58.9888819870001,-153.598463808 58.9986099870001,-153.618937656 59.0085580570001,-153.619660313 59.0089091900001,-153.632627808 59.015209987,-153.640510234 59.0226935740001,-153.64087667 59.0230414690001,-153.642329719 59.0244209960001,-153.643179016 59.0252273200001,-153.644587835 59.0265648550001,-153.660030708 59.0412263420001,-153.673063635 59.0536000050001,-153.679227581 59.0563053480001,-153.711672808 59.0705459870001,-153.723864615 59.070401363,-153.749636791 59.0700956430001,-153.779460438 59.0697418620001,-153.792612776 59.0695858440001,-153.817759531 59.069287542,-153.921663808 59.068054987,-154.017790808 59.0780459870001,-154.040554809 59.0794369870001,-154.063336809 59.0742999870001,-154.06619392 59.072991427,-154.071425611 59.0705953080001,-154.072434685 59.0701331510001,-154.076540986 59.068252461,-154.087908809 59.0630459870001,-154.116672809 59.0406909870001,-154.146945809 59.0259639870001,-154.17627085 59.0290132650001,-154.180345809 59.0294369870001,-154.184935114 59.035626849,-154.18496617 59.035668736,-154.19185713 59.044962974,-154.193404214 59.047049615,-154.24639672 59.1185236760001,-154.249491196 59.1226973770001,-154.255830791 59.1312479640001,-154.256954547 59.1327636390001,-154.131381817 59.286945459,-154.108745453 59.3056909140001,-154.066954544 59.3224909140001,-153.996799999 59.3538818230001,-153.99680024 59.3538817940001,-153.996799808 59.3538819870001,-154.067227809 59.345545987,-154.079436809 59.3458279870001,-154.085868339 59.3469582660001,-154.099972809 59.349436987,-154.112624499 59.3563061620001,-154.119427272 59.3600000050001,-154.143627173 59.376099939,-154.11080909 59.3736000070001,-154.110808809 59.373599987,-154.109702587 59.3736330020001,-154.082763635 59.374436368,-153.941372726 59.3994363680001,-153.797518181 59.4261000050001,-153.743327272 59.4372090950001,-153.72171278 59.4708981890001,-153.720690808 59.4724909870001,-153.744838955 59.4986694570001,-153.765018181 59.5205454590001,-153.612627272 59.5515181860001,-153.592772726 59.5547090950001,-153.469981817 59.6580454590001,-153.440736362 59.719218186,-153.420563635 59.766109095,-153.346645727 59.7363819330001,-153.344353725 59.7348235470001,-153.330000189 59.7250637700001,-153.368045808 59.7033279880001,-153.371455839 59.698332909,-153.375664204 59.6921684160001,-153.389928221 59.6712742120001,-153.397353765 59.660397135,-153.402936808 59.6522189880001,-153.402936042 59.6522186560001,-153.402936362 59.652218186,-153.364181741 59.6354569900001,-153.348327808 59.6285999880001,-153.348327272 59.6286000100001,-153.32250909 59.6299909140001,-153.22610909 59.6438818230001,-153.20470909 59.647218186,-153.157499999 59.664709095,-153.042645453 59.7094363680001,-153.000581817 59.7911090950001,-153.000581856 59.791109894,-153.000581808 59.7911099880001,-153.000811167 59.7958191330001,-153.001954544 59.8193000050001,-153.053618181 59.8336000050001,-153.053618808 59.8335999860001,-153.066190919 59.8331991950001,-153.095078506 59.832278274,-153.210145808 59.828609988,-153.219836644 59.8267435020001,-153.235399808 59.823745988,-153.247979023 59.818919072,-153.254590808 59.816381988,-153.277572299 59.8189549310001,-153.225827272 59.8651272770001,-153.029172726 59.887772732,-152.990672726 59.886318186,-152.944872726 59.8780454590001,-152.87220909 59.876236368,-152.82610909 59.881381823,-152.736144462 59.910230391,-152.716308807 59.9165909880001,-152.693084353 59.939657702,-152.614718181 60.0174909140001,-152.587490908 60.046381823,-152.587490871 60.04638192,-152.587490807 60.0463819880001,-152.585494186 60.0516376640001,-152.577281817 60.0732545500001,-152.577281927 60.0732546730001,-152.577281807 60.073254988,-152.596099807 60.094436988,-152.62576987 60.1110224490001,-152.638183641 60.117961703,-152.640019596 60.118987996,-152.685333641 60.144318388,-152.685545807 60.1444369880001,-152.768618179 60.1893636440001,-152.768618807 60.1893639880001,-152.807218807 60.1977729880001,-152.829454807 60.2001279880001,-152.864718807 60.2094369880001,-152.895018807 60.2219279880001,-152.928299807 60.2424549880001,-152.928901987 60.2451848520001,-152.931615218 60.2574847440001,-152.936872807 60.2813189880001,-152.950893994 60.2857511770001,-152.953273621 60.286503392,-152.966090808 60.2905549880001,-152.988489192 60.2925962960001,-152.989945469 60.2927290150001,-153.005690808 60.294163988,-153.052508808 60.2897189880001,-153.081118808 60.2791639880001,-153.10258127 60.2783550080001,-153.079402469 60.2977625840001,-153.078890906 60.2981909110001,-153.028627272 60.308327277,-153.006681817 60.311381823,-152.97139045 60.3111262080001,-152.967772808 60.3110999880001,-152.966044391 60.3110427920001,-152.942781817 60.310272732,-152.912227272 60.308045459,-152.883345453 60.2964363680001,-152.818599999 60.265000005,-152.728336362 60.243881823,-152.630281817 60.2294272770001,-152.549163635 60.252772732,-152.421781817 60.29325455,-152.336118181 60.3641545500001,-152.301181817 60.4109636410001,-152.301181974 60.410963764,-152.301181807 60.410963988,-152.333599807 60.4363099880001,-152.339290717 60.467209499,-152.327772726 60.4915181860001,-152.225054544 60.5573545500001,-152.166945453 60.5736090950001,-152.107870088 60.6010240000001,-152.104708807 60.6024909880001,-152.094045528 60.612595169,-152.057218181 60.6474909140001,-152.054718181 60.6530454590001,-152.03890909 60.6697181860001,-151.927218181 60.718318186,-151.84830909 60.740545459,-151.814454544 60.7341636410001,-151.773072726 60.720409095,-151.729781817 60.7173454590001,-151.709718181 60.7318636410001,-151.721473935 60.747470418,-151.730281806 60.7591639890001,-151.7711184 60.788045701,-151.788345453 60.8070727320001,-151.804718181 60.8338818230001,-151.800136362 60.854990914,-151.740818181 60.904709095,-151.583618181 60.9769363680001,-151.528354544 60.9980454590001,-151.484999999 61.0113909140001,-151.445690908 61.0169363680001,-151.307490908 61.0302727320001,-151.197981817 61.042081823,-151.161254544 61.0534636410001,-151.137790908 61.069163641,-151.081936362 61.135827277,-151.068345453 61.152909095,-151.026399999 61.1772181860001,-151.001127272 61.1855454590001,-150.929245453 61.2046454590001,-150.892245453 61.2047090950001,-150.872218181 61.2088818230001,-150.749145453 61.238881823,-150.728045453 61.245827277,-150.626372726 61.2863818230001,-150.54540909 61.2852727320001,-150.506099999 61.2562454590001,-150.477481817 61.249436368,-150.453336362 61.2474909140001,-150.399172726 61.246381823,-150.357754544 61.2472181860001,-150.329999999 61.250972732,-150.279445453 61.2555545500001,-150.16250909 61.255827277,-150.136963635 61.254436368,-150.104154544 61.2497181860001,-150.071381817 61.244990914,-149.994581817 61.2589181860001,-149.963381817 61.2694636410001,-149.948636362 61.2992181860001,-149.911527272 61.3429818230001,-149.882218181 61.380127277,-149.769454544 61.438881823,-149.687499999 61.4748454590001,-149.634854544 61.4873545500001,-149.606936362 61.4908272770001,-149.422790908 61.508327277,-149.252045927 61.4924909580001,-149.274666709 61.4866312670001,-149.277232995 61.4859664960001,-149.294570526 61.4814753790001,-149.338531015 61.470087848,-149.442474842 61.443162225,-149.4451786 61.442461843,-149.454978453 61.439923288,-149.485808804 61.4319369890001,-149.490702537 61.4308659610001,-149.493503054 61.4302530480001,-149.494566887 61.4300202210001,-149.50231942 61.4283235240001,-149.529590804 61.422354989,-149.617763804 61.4066549890001,-149.706936804 61.383609989,-149.709196924 61.3823616000001,-149.70934526 61.382279666,-149.724482614 61.373918469,-149.725382671 61.3734213170001,-149.794463805 61.3352639890001,-149.820281805 61.320545989,-149.995181805 61.216327989,-150.008620667 61.2045526200001,-150.062008801 61.157772987,-150.06200909 61.1577727320001,-149.975678522 61.1230156680001,-149.943327805 61.109990989,-149.934541714 61.107481121,-149.849990908 61.0833272770001,-149.829436636 61.072772872,-149.826805124 61.07095322,-149.803327272 61.0547181860001,-149.719999999 61.0219363680001,-149.691936362 61.011663641,-149.615818181 60.9902727320001,-149.401172726 60.9567636410001,-149.209990908 60.947772732,-149.183072726 60.948327277,-149.153627272 60.941936368,-149.096390908 60.91485455,-149.046054544 60.8815181860001,-149.038383831 60.8674801400001,-149.029736804 60.8516549890001,-149.052508804 60.8520099890001,-149.052570553 60.8520371120001,-149.0886591 60.8678891770001,-149.091581804 60.869172989,-149.102460743 60.8716134650001,-149.119990804 60.875545989,-149.142194503 60.8803636370001,-149.149445804 60.8819369890001,-149.157562638 60.883327589,-149.170563804 60.8855549890001,-149.206823927 60.889580177,-149.208841601 60.8898041560001,-149.214571145 60.890440186,-149.228054804 60.891936989,-149.247585765 60.8943104620001,-149.270343948 60.8970761190001,-149.364727804 60.9085459890001,-149.428072804 60.9157099890001,-149.561399804 60.9383279890001,-149.731936804 60.966663989,-149.767245805 60.9702729890001,-149.815272805 60.9744369890001,-149.835634252 60.9736303180001,-149.836399999 60.973600005,-149.840066382 60.9719870870001,-149.84553569 60.9695811770001,-149.854708805 60.9655459890001,-149.878872805 60.9533279890001,-149.896388464 60.9477451320001,-149.904172805 60.9452639890001,-149.962134675 60.9312316940001,-150.03116899 60.914518813,-150.045290908 60.9111000030001,-150.050887844 60.911792608,-150.155272805 60.9247099890001,-150.219436805 60.933745989,-150.277508805 60.959572989,-150.29417648 60.9714635190001,-150.295047271 60.972084732,-150.295859764 60.9726643550001,-150.300281805 60.9758189890001,-150.302670154 60.9783274700001,-150.302673405 60.978330885,-150.305789893 60.9816041290001,-150.30586658 60.9816846740001,-150.307258169 60.983146258,-150.307608296 60.983513997,-150.308884719 60.984854623,-150.309209885 60.985196144,-150.310335928 60.9863788260001,-150.315862451 60.9921833280001,-150.31639936 60.992747244,-150.317565639 60.9939721850001,-150.322508805 60.9991639890001,-150.331118095 61.0170072990001,-150.337281805 61.0297819890001,-150.352681971 61.033197054,-150.370818805 61.0372189890001,-150.40357809 61.03680746,-150.404172726 61.036800005,-150.404172805 61.036799989,-150.410303329 61.0356477460001,-150.438899805 61.0302729890001,-150.669463805 60.9638819890001,-150.682536185 60.9579037450001,-150.687576639 60.9555986510001,-150.857754806 60.8777729890001,-150.955763025 60.8320698960001,-151.02749664 60.79861915,-151.037890172 60.793772448,-151.047772806 60.789163989,-151.070980313 60.786619783,-151.074170138 60.786270087,-151.079430457 60.7856934060001,-151.082457108 60.7853615980001,-151.088318806 60.7847189890001,-151.112971429 60.783950384,-151.120120915 60.7837274820001,-151.136136548 60.7832281560001,-151.141690806 60.7830549890001,-151.143596427 60.782921177,-151.151091125 60.7823949040001,-151.155615908 60.782077176,-151.246155607 60.7757195300001,-151.250563806 60.7754099890001,-151.253373799 60.774558928,-151.2534082 60.7745485090001,-151.256081829 60.7737387490001,-151.257847621 60.773203945,-151.258812782 60.772911627,-151.261639562 60.772055483,-151.261721193 60.7720307590001,-151.26417564 60.7712873830001,-151.406736806 60.7281099890001,-151.410235521 60.7212453670001,-151.414230959 60.713406155,-151.416536806 60.7088819890001,-151.412626376 60.704061752,-151.41163954 60.7028453180001,-151.410878001 60.7019065980001,-151.409323311 60.699990192,-151.409285331 60.6999433760001,-151.406941663 60.6970544260001,-151.38250909 60.6669363680001,-151.372218614 60.65832764,-151.372067826 60.6580538410001,-151.347574259 60.613578762,-151.344930813 60.6087788290001,-151.332981817 60.5870818230001,-151.307781817 60.5680545500001,-151.278272795 60.5430455170001,-151.278128542 60.5368575730001,-151.27750909 60.510272732,-151.280897943 60.492210437,-151.283572103 60.477958389,-151.289027806 60.448881988,-151.302645806 60.3883279880001,-151.30392372 60.3864694270001,-151.395931268 60.2526562880001,-151.396097066 60.252415157,-151.39755264 60.250298211,-151.398742324 60.2485679690001,-151.39921564 60.2478795920001,-151.400509283 60.2459981540001,-151.400850875 60.2455013530001,-151.40222167 60.243507708,-151.402563976 60.2430098680001,-151.404024618 60.2408855510001,-151.40417464 60.240667364,-151.404445806 60.2402729880001,-151.42548721 60.213499277,-151.42582664 60.2130673760001,-151.426589671 60.212096472,-151.427372806 60.2110999880001,-151.453336806 60.189990988,-151.489436806 60.166936988,-151.497562914 60.1621635920001,-151.508363806 60.1558189880001,-151.568881806 60.1247099880001,-151.646390806 60.0808279880001,-151.668899806 60.064718988,-151.701428714 60.0355811430001,-151.702581972 60.0345481090001,-151.724718806 60.014718988,-151.879581806 59.7824909880001,-151.87958181 59.7824909240001,-151.87830909 59.7599909140001,-151.864154544 59.739436368,-151.835963635 59.7194363680001,-151.785917143 59.6949662590001,-151.780854806 59.692490988,-151.776421169 59.690873192,-151.757236362 59.6838727320001,-151.729581817 59.6748545500001,-151.628054544 59.6549909140001,-151.575099999 59.6462636410001,-151.469218181 59.636727277,-151.434863635 59.656800005,-151.199981817 59.7441545500001,-151.111118181 59.774709095,-151.053681817 59.792290914,-151.024642328 59.7924600900001,-151.017790878 59.792499987,-150.997891341 59.7808275310001,-151.039822384 59.7450616200001,-151.042351209 59.7429046090001,-151.043792942 59.7416748540001,-151.051104733 59.735438118,-151.057718224 59.72979701,-151.062371183 59.7258281760001,-151.064264214 59.7242134780001,-151.122057094 59.6749179000001,-151.12704508 59.6706632990001,-151.19360364 59.6138908600001,-151.214531599 59.596039944,-151.216090806 59.594709988,-151.220658293 59.593451638,-151.222184045 59.593031291,-151.26983428 59.579903578,-151.272518806 59.5791639880001,-151.284955777 59.575926597,-151.303508888 59.5710971510001,-151.308158284 59.5698868960001,-151.314034969 59.568357173,-151.323364826 59.565928575,-151.327533885 59.5648433540001,-151.351518806 59.558599987,-151.363589707 59.5552497690001,-151.370213444 59.5534113830001,-151.373942205 59.552376484,-151.377681734 59.5513385960001,-151.406513661 59.5433364370001,-151.435072806 59.535409987,-151.44739121 59.5109315670001,-151.448527806 59.5086729870001,-151.448938292 59.5049462150001,-151.451810278 59.4788716780001,-151.452904315 59.4689389960001,-151.453063806 59.4674909870001,-151.459094871 59.468211974,-151.459537944 59.468264941,-151.485536806 59.4713729870001,-151.491823323 59.4717872090001,-151.495940489 59.472058491,-151.514804729 59.473301464,-151.518978109 59.4735764500001,-151.522121078 59.473783541,-151.585230944 59.4779418780001,-151.591090806 59.4783279870001,-151.593286348 59.4784205270001,-151.618926915 59.479501247,-151.637236806 59.480272987,-151.660445385 59.4807638030001,-151.663054806 59.4808189870001,-151.683072806 59.476936987,-151.702752424 59.4712326040001,-151.711346879 59.4687413930001,-151.784462724 59.4475478480001,-151.792108743 59.4453315540001,-151.816042209 59.438394138,-151.838318806 59.431936987,-151.862208806 59.4236099870001,-151.890229765 59.4118115300001,-151.899172807 59.408045987,-151.903502987 59.4025926950001,-151.911116999 59.3930038500001,-151.944581136 59.3508601760001,-151.983045807 59.3024189870001,-151.976245807 59.2758279870001,-151.976245595 59.2758278300001,-151.976245453 59.2758272770001,-151.900572726 59.219709095,-151.746090908 59.162490914,-151.723327272 59.160818186,-151.60720909 59.1672181860001,-151.576154544 59.1730090950001,-151.554172726 59.201663641,-151.483063635 59.231936368,-151.41930909 59.2576363680001,-151.397781817 59.258472732,-151.357481817 59.2416636410001,-151.266963635 59.2199818230001,-151.176936362 59.2099909140001,-151.154172726 59.2080454590001,-151.122317382 59.211616652,-151.120681811 59.2117999960001,-151.118934193 59.2132230400001,-151.118658183 59.213447789,-151.097872726 59.230372732,-151.09787295 59.2303728700001,-151.097872806 59.2303729870001,-151.103328591 59.2337270200001,-151.152953574 59.2642347840001,-151.154398148 59.2651228600001,-151.162090603 59.269851918,-151.180845453 59.2813818230001,-151.142245453 59.2905545500001,-151.040981817 59.2958272770001,-150.996645453 59.274163641,-150.951381817 59.2383272770001,-150.907499999 59.243327277,-150.885818181 59.254572732,-150.890147289 59.279681559,-150.892499757 59.2933277070001,-150.873318181 59.3274909140001,-150.752227272 59.381936368,-150.736599999 59.3950727320001,-150.736599909 59.3950729000001,-150.736599805 59.395072987,-150.722499943 59.4214727290001,-150.677781817 59.4192545500001,-150.603054544 59.4322090950001,-150.585190908 59.485018186,-150.585191018 59.485018358,-150.585190805 59.485018987,-150.59532667 59.5007483730001,-150.606654805 59.5183279870001,-150.628599611 59.5347188420001,-150.616945453 59.554436368,-150.541690908 59.5916636410001,-150.500746349 59.5912363780001,-150.505967891 59.5853780620001,-150.527341739 59.5613976480001,-150.539736805 59.5474909870001,-150.538372805 59.5183549870001,-150.538372744 59.5183549220001,-150.538372726 59.51835455,-150.514066832 59.4927180560001,-150.505156081 59.483319367,-150.486727805 59.463881987,-150.486727609 59.4638821780001,-150.486727272 59.4638818230001,-150.357481817 59.589427277,-150.333618181 59.618327277,-150.301285103 59.6607912110001,-150.299990805 59.6624909880001,-150.29226144 59.6712566030001,-150.279172726 59.6861000050001,-150.25280909 59.7069363680001,-150.224673014 59.715472644,-150.232178995 59.703166185,-150.24964013 59.6745377140001,-150.251412174 59.6716323520001,-150.251470531 59.6715366710001,-150.253028249 59.668982708,-150.273747761 59.6350119530001,-150.283854309 59.618441718,-150.285568035 59.6156319770001,-150.291381811 59.6060999960001,-150.308327571 59.587984105,-150.351791391 59.5415191020001,-150.356512894 59.536471578,-150.359708805 59.5330549870001,-150.359708965 59.533054684,-150.35970909 59.53305455,-150.360955153 59.5306842140001,-150.36444216 59.5240513150001,-150.369088892 59.5152124150001,-150.375332326 59.503336308,-150.379427805 59.4955459870001,-150.379973454 59.4891568180001,-150.381099114 59.475976125,-150.381663805 59.4693639870001,-150.381663607 59.4693639720001,-150.381663635 59.469363641,-150.34470909 59.466518186,-150.296963635 59.479990914,-150.249863635 59.494990914,-150.013645453 59.6274909140001,-149.959445453 59.664990914,-149.934999999 59.690272732,-149.934999832 59.6902729590001,-149.934999807 59.6902729890001,-149.918254544 59.713118186,-149.918255134 59.7131185380001,-149.918254805 59.7131189880001,-149.923609085 59.716315562,-149.936494603 59.724008381,-149.93737392 59.7245333440001,-149.940354193 59.726312605,-149.958175639 59.736952236,-149.974427805 59.746654988,-149.982396162 59.750166382,-149.996535895 59.7563973000001,-150.01267336 59.7635085530001,-150.034790779 59.773254976,-150.027790908 59.7963181860001,-149.919863635 59.774018186,-149.88860909 59.7522181860001,-149.806318181 59.6847090950001,-149.78640909 59.6659636410001,-149.750827272 59.65915455,-149.745972726 59.7158272770001,-149.745972834 59.715827646,-149.745972805 59.7158279880001,-149.750728858 59.732091209,-149.764736362 59.7799909140001,-149.760712675 59.818539222,-149.760567872 59.819926325,-149.758908805 59.835818988,-149.737448935 59.9393957240001,-149.734281817 59.954681823,-149.691881817 59.954718186,-149.655581817 59.9166636410001,-149.647946793 59.8982244700001,-149.646857979 59.895594847,-149.645572804 59.8924909880001,-149.645191975 59.8739079600001,-149.645145804 59.871654988,-149.649585446 59.862160864,-149.66317524 59.833099245,-149.663327804 59.832772988,-149.664060793 59.8285899630001,-149.66561618 59.819713662,-149.666438491 59.8150208910001,-149.666881804 59.812490988,-149.666881817 59.8124909140001,-149.586672726 59.739436368,-149.550281817 59.7201272770001,-149.524417629 59.7266154230001,-149.523681812 59.7267999960001,-149.524532459 59.7276915100001,-149.551118181 59.7555545500001,-149.568711905 59.7696577550001,-149.568751395 59.7696894100001,-149.574695862 59.7744545300001,-149.591633104 59.7880315560001,-149.593045804 59.789163988,-149.615049871 59.809762671,-149.624861445 59.818947586,-149.628054375 59.8219365850001,-149.563472726 59.9045727320001,-149.530136362 59.9259636410001,-149.438672726 60.0514545500001,-149.436852207 60.0671075820001,-149.435931233 60.0750257190001,-149.433899804 60.0924909880001,-149.431553383 60.096426541,-149.419736362 60.116245459,-149.37150909 60.116245459,-149.29556381 60.004436626,-149.295778432 59.992074808,-149.29610909 59.973045459,-149.291616415 59.89055474,-149.290830919 59.8761311170001,-149.290772804 59.8750639880001,-149.290772743 59.8750639580001,-149.290772726 59.8750636410001,-149.275299999 59.867490914,-149.275299805 59.8674909900001,-149.264190908 59.872072732,-149.232772726 59.902909095,-149.210263635 59.952772732,-149.201663635 59.989781823,-149.147372727 60.0400000070001,-149.107754544 60.0511000050001,-149.077481817 60.056381823,-149.04340909 60.045890914,-149.048731564 60.0411063010001,-149.070127804 60.021872988,-149.072335104 60.0198839130001,-149.07915501 60.013738259,-149.080147382 60.012843999,-149.093392073 60.0009087490001,-149.099445954 59.9954533860001,-149.112518804 59.9836729880001,-149.101965031 59.9781378150001,-149.070554544 59.961663641,-149.020018181 59.9577727320001,-148.892790908 59.9499999990001,-148.892790804 59.9499999880001,-148.88896324 59.950349852,-148.761399999 59.962009095,-148.656681817 59.9529090950001,-148.438518181 59.948463641,-148.401118181 59.9866545500001,-148.375545453 60.0611000050001,-148.365063635 60.1239454590001,-148.333516363 60.154324575,-148.32430892 60.163190876,-148.289690908 60.1554454590001,-148.287981817 60.1246454590001,-148.254436362 60.116936368,-148.211118181 60.125827277,-148.178345453 60.1368000050001,-148.157636362 60.147072732,-148.133190908 60.1663818230001,-148.098872726 60.205963641,-148.098872888 60.2059638900001,-148.098872803 60.2059639880001,-148.099692706 60.207226485,-148.109336801 60.2220765850001,-148.113390803 60.2283189880001,-148.122561571 60.23102634,-148.148496916 60.238682855,-148.187567339 60.250217047,-148.199981803 60.253881988,-148.246245803 60.243281988,-148.273418803 60.2353279880001,-148.298327803 60.218490988,-148.336672803 60.2010999880001,-148.349311035 60.1982788110001,-148.356046692 60.1967752400001,-148.426590119 60.1810281410001,-148.366090908 60.2472181860001,-148.310272726 60.262772732,-148.236572726 60.300745459,-148.167236362 60.3488727320001,-148.141963635 60.3791545500001,-148.112763635 60.4005454590001,-148.042781817 60.39985455,-148.004027272 60.4112363680001,-147.949872726 60.4316636410001,-147.937854544 60.4513818230001,-147.948442143 60.481021609,-147.958890803 60.5102729880001,-148.085481803 60.6001279880001,-148.095333084 60.596352202,-148.115842961 60.588491203,-148.128327611 60.5837061020001,-148.135836803 60.5808279880001,-148.160890363 60.5680298840001,-148.187499803 60.5544369880001,-148.18751127 60.554426855,-148.227523637 60.519067089,-148.22866546 60.5180580350001,-148.235272803 60.512218988,-148.247466637 60.498465094,-148.261136803 60.4830459880001,-148.264180971 60.483937009,-148.279210997 60.4883362640001,-148.285827803 60.4902729880001,-148.337772803 60.506381988,-148.44318799 60.5388494310001,-148.448254803 60.5404099880001,-148.496945803 60.529436988,-148.549436803 60.5102729880001,-148.577790803 60.4963819880001,-148.673063804 60.4469369880001,-148.686190936 60.451275411,-148.687145453 60.4515909140001,-148.680418181 60.472763641,-148.647245453 60.4974909140001,-148.608890908 60.519718186,-148.509181817 60.566381823,-148.481090908 60.578118186,-148.430827272 60.578636368,-148.413954365 60.565923034,-148.399445803 60.554990988,-148.391905023 60.5530699020001,-148.328327272 60.5368727320001,-148.204572726 60.617490914,-148.226013712 60.656360464,-148.235821339 60.67414037,-148.235911294 60.6743034460001,-148.237044397 60.676357608,-148.237563637 60.677298921,-148.237694814 60.677536726,-148.240896283 60.6833405580001,-148.246568674 60.6936238390001,-148.251645455 60.702827357,-148.252049535 60.7234691180001,-148.252408797 60.741836678,-148.229718181 60.765827277,-148.229719393 60.7658273650001,-148.229718803 60.7658279890001,-148.379238124 60.7766888130001,-148.384972032 60.777105314,-148.387219357 60.7772685560001,-148.394163803 60.777772989,-148.42326503 60.7729724660001,-148.43369359 60.7712521770001,-148.435600587 60.7709376000001,-148.441999803 60.7698819890001,-148.477563093 60.7655267330001,-148.495745803 60.7632999890001,-148.576463803 60.7333189890001,-148.584163803 60.7101279890001,-148.587524637 60.708411234,-148.604932662 60.699519003,-148.605895637 60.699027104,-148.660281803 60.6712459890001,-148.690978437 60.6732762560001,-148.700136267 60.673881953,-148.670563635 60.7144363680001,-148.648618181 60.738045459,-148.631099999 60.750272732,-148.605924087 60.76091997,-148.586108803 60.769299989,-148.549069487 60.777784168,-148.548478966 60.777919431,-148.54847562 60.7779201980001,-148.545234529 60.7786625940001,-148.529354544 60.7823000050001,-148.459290908 60.797490914,-148.459291077 60.797490929,-148.459290803 60.797490989,-148.517591671 60.8029060640001,-148.55588802 60.806463089,-148.563216303 60.8071437510001,-148.566954803 60.807490989,-148.569293235 60.8070749170001,-148.570455674 60.8068680870001,-148.597354803 60.802081989,-148.639999803 60.7888819890001,-148.671936804 60.784163989,-148.692362393 60.788118716,-148.601254544 60.8269454590001,-148.468318181 60.839718186,-148.437004822 60.8369971280001,-148.434736803 60.836799989,-148.418594757 60.8296101780001,-148.401672726 60.822072732,-148.373454544 60.8084636410001,-148.344572726 60.8124909140001,-148.304027272 60.847909095,-148.172636362 61.017218186,-148.163954544 61.0570181860001,-148.16395495 61.057018316,-148.163954803 61.057018989,-148.172049654 61.0595990200001,-148.191648453 61.0658456470001,-148.199436803 61.0683279890001,-148.242490803 61.0622099890001,-148.264036803 61.0555459890001,-148.268783261 61.0532208650001,-148.269601191 61.05282019,-148.277100925 61.0491463320001,-148.325408803 61.0254819890001,-148.325408976 61.025481879,-148.32540909 61.0254818230001,-148.325964172 61.0251272450001,-148.331390637 61.0216610690001,-148.345056653 61.0129318480001,-148.347135245 61.011604139,-148.354427803 61.006945989,-148.365450992 61.0010457020001,-148.37304905 60.996978756,-148.374690908 60.9961000050001,-148.376217418 60.9953971830001,-148.396390803 60.9861099890001,-148.417781803 60.9830459890001,-148.442290718 60.9884639700001,-148.404172726 61.054436368,-148.382490908 61.064436368,-148.275572803 61.0892999880001,-148.275572726 61.0893000020001,-148.247772726 61.092763641,-148.188045453 61.094709095,-148.139390908 61.0792090950001,-148.120036362 61.0542181860001,-148.086487484 61.02901724,-148.071518803 61.017772989,-148.071518648 61.0177730830001,-148.071518181 61.0177727320001,-148.040218181 61.036881823,-148.014590908 61.05225455,-147.995618181 61.0763818230001,-147.959163635 61.116381823,-147.759463635 61.260827277,-147.737763635 61.2744363680001,-147.715682224 61.2754090780001,-147.732532267 61.238998177,-147.746781123 61.208208126,-147.756122206 61.1880231760001,-147.757781803 61.1844369890001,-147.921981828 61.0724876300001,-147.924163803 61.070999989,-148.050281803 60.9473549890001,-148.050281484 60.9473548760001,-148.050281817 60.9473545500001,-147.959627272 60.9153636410001,-147.952970114 60.9116044,-147.940302713 60.9044511330001,-147.935882637 60.9019551210001,-147.914518803 60.889890989,-147.892518803 60.8463819890001,-147.880532327 60.840785936,-147.86040909 60.8313909140001,-147.787227272 60.821663641,-147.749418181 60.8374909140001,-147.668063635 60.8530545500001,-147.604427272 60.8956909140001,-147.616636362 60.9599909140001,-147.573336362 61.1398545500001,-147.550963635 61.1531818230001,-147.519181817 61.1514454590001,-147.510281863 61.093045761,-147.511581636 61.0881453270001,-147.512019132 61.0864958700001,-147.514143384 61.078486969,-147.517882772 61.0643886500001,-147.518702601 61.0612977120001,-147.518772744 61.0610332570001,-147.524051022 61.0411329790001,-147.52415339 61.0407470280001,-147.526118802 61.0333369890001,-147.530933764 61.0161534630001,-147.536751243 60.995392177,-147.54001136 60.9837575440001,-147.540495662 60.9820291770001,-147.541248933 60.9793409230001,-147.541690806 60.97776399,-147.541690908 60.9777636410001,-147.536999999 60.917372732,-147.366945453 60.887772732,-147.253954544 60.9343636410001,-147.208890908 60.986936368,-147.091945453 61.0119363680001,-147.048336362 61.009718186,-146.980190908 61.0006909140001,-146.984807833 60.9881465180001,-146.985222791 60.9870190670001,-146.985816012 60.9854072690001,-146.988190802 60.978954989,-146.988250958 60.97891558,-147.016657059 60.9603062400001,-147.022854802 60.9562459890001,-147.022854073 60.956245768,-147.022854544 60.9562454590001,-146.969163635 60.9399909140001,-146.944027272 60.944718186,-146.88000909 60.9713818230001,-146.880008886 60.971381954,-146.880008802 60.9713819890001,-146.879272796 60.971855555,-146.857345453 60.9859636410001,-146.846390908 61.004436368,-146.785827272 61.0425000050001,-146.601381817 61.1254090950001,-146.579299999 61.1317909140001,-146.412781817 61.135827277,-146.29680909 61.1293000050001,-146.272799999 61.116936368,-146.256526409 61.1009146430001,-146.248608928 61.093119304,-146.247375209 61.0919046180001,-146.244018801 61.088599989,-146.245900321 61.088436302,-146.249086363 61.0881591240001,-146.255224636 61.08762511,-146.257523013 61.087425157,-146.25784019 61.0873975630001,-146.271571972 61.086202933,-146.295008801 61.084163989,-146.313820012 61.084163989,-146.317163481 61.084163989,-146.321927801 61.084163989,-146.326556187 61.0842009230001,-146.334001006 61.0842603310001,-146.425563801 61.0849909890001,-146.437032057 61.0847079280001,-146.509409912 61.08292149,-146.542186256 61.0821125000001,-146.571772438 61.081382251,-146.611163802 61.080409989,-146.640018802 61.070545989,-146.658477514 61.0516640710001,-146.748038529 60.960049677,-146.755427802 60.9524909890001,-146.753973977 60.9505299150001,-146.753571843 60.9499874740001,-146.743162348 60.9359460360001,-146.7397286 60.931314231,-146.738911719 60.9302123350001,-146.738715938 60.929948241,-146.729999999 60.918190914,-146.69070909 60.878536368,-146.549163635 60.8213818230001,-146.51890909 60.8170090950001,-146.478512376 60.817491284,-146.477781809 60.817499997,-146.477291202 60.8175477550001,-146.454990908 60.819718186,-146.432772726 60.829163641,-146.393199999 60.839718186,-146.39329499 60.8341653460001,-146.393321885 60.8325961780001,-146.393618801 60.8152729890001,-146.393618174 60.815273098,-146.393618181 60.815272732,-146.36330909 60.8205454590001,-146.310272726 60.8352727320001,-146.277799999 60.8538818230001,-146.277799885 60.8538819410001,-146.277799801 60.8538819890001,-146.277384256 60.8543120000001,-146.261827272 60.8704090950001,-146.234845453 60.8904818230001,-146.148072726 60.860690914,-146.125264632 60.8454097630001,-146.142249152 60.840800103,-146.228129572 60.8174918450001,-146.23114508 60.816673425,-146.231272483 60.816638847,-146.246270539 60.8125683200001,-146.254727801 60.8102729890001,-146.258540868 60.8094943840001,-146.260155882 60.8091646080001,-146.293512136 60.8023534690001,-146.385582555 60.783553263,-146.428890801 60.774709989,-146.443172302 60.7745764700001,-146.465899801 60.7743639890001,-146.503044733 60.775203135,-146.506136801 60.775272989,-146.51084007 60.774668987,-146.518320488 60.7737083390001,-146.527799802 60.7724909890001,-146.553430117 60.7687216150001,-146.603336802 60.761381989,-146.60605922 60.7608111770001,-146.607154475 60.760581534,-146.673505327 60.746669695,-146.689099999 60.7434000050001,-146.674431669 60.7273500470001,-146.644027802 60.694081989,-146.644027409 60.694081974,-146.644027272 60.694081823,-146.493318181 60.688327277,-146.457763635 60.692218186,-146.426390908 60.6966545500001,-146.175645453 60.7420636410001,-146.141372726 60.76035455,-146.060700001 60.78569092,-146.060699803 60.785690994,-146.038054734 60.7956908300001,-146.02645636 60.7681190930001,-146.016872963 60.7453369310001,-146.017100608 60.7452562440001,-146.102858565 60.7148600400001,-146.1038998 60.714490986,-146.105355932 60.714072667,-146.135227801 60.7054909890001,-146.155063801 60.698990989,-146.155522788 60.6987990540001,-146.156442858 60.6984143070001,-146.160154313 60.6968622850001,-146.161146515 60.696447376,-146.200077432 60.6801676060001,-146.214413105 60.6741728470001,-146.21669809 60.6732173330001,-146.261608801 60.654436989,-146.261608463 60.6544366300001,-146.26160909 60.6544363680001,-146.244172726 60.635963641,-146.215290908 60.6323545500001,-145.999145453 60.6349909140001,-145.887790908 60.6755545500001,-145.877167638 60.6509170420001,-145.871584069 60.637967255,-145.865918801 60.6248279880001,-145.865918483 60.6248279770001,-145.865918181 60.6248272770001,-145.831791346 60.623642927,-145.830554801 60.6235999880001,-145.83055469 60.6236000100001,-145.830554544 60.6236000050001,-145.717772801 60.644999989,-145.717772727 60.6450000070001,-145.687927272 60.6538818230001,-145.658554544 60.6693636410001,-145.627544386 60.667155301,-145.625363801 60.666999989,-145.626161203 60.6662306170001,-145.657817291 60.6356873340001,-145.682668448 60.611709767,-145.682924274 60.6114629350001,-145.700874544 60.5941436690001,-145.705618015 60.5895669450001,-145.709227408 60.5860844330001,-145.709761758 60.5855688660001,-145.739436801 60.5569369880001,-145.764221635 60.541173852,-145.767381801 60.539163988,-145.773086908 60.5362201770001,-145.795391874 60.5247109060001,-145.802739377 60.520919625,-145.859436801 60.491663988,-145.859436044 60.491663805,-145.859436362 60.4916636410001,-145.761963635 60.4680454590001,-145.723190908 60.4720727320001,-145.675290908 60.4708272770001,-145.6536278 60.4674909920001,-145.649185635 60.4663719420001,-145.647540904 60.46595761,-145.583782281 60.449895886,-145.544463634 60.439990917,-145.496245453 60.4206181860001,-145.485872856 60.404111765,-145.480272801 60.3951999880001,-145.441969476 60.3811174790001,-145.437203817 60.3793653480001,-145.3758278 60.356799988,-145.372339222 60.3561946410001,-145.349427272 60.3522181860001,-145.288463635 60.350690914,-145.248763635 60.357490914,-145.230136362 60.3654090950001,-145.096999999 60.437072732,-144.959990908 60.543881823,-144.931441742 60.5646358990001,-144.8572088 60.618599988,-144.822576125 60.6385300370001,-144.75390909 60.678045459,-144.708618181 60.6969363680001,-144.687772799 60.703599985,-144.687772726 60.7036000030001,-144.663054544 60.7080454590001,-144.611390908 60.7155454590001,-144.611714847 60.7107014380001,-144.6137368 60.6804729890001,-144.7536278 60.627490988,-144.8330728 60.517209988,-144.874579424 60.4468986900001,-144.904105544 60.3968821,-144.9147368 60.3788729880001,-144.918095492 60.3625757350001,-144.930238221 60.3036560360001,-144.9315368 60.2973549880001,-144.931536339 60.2973546640001,-144.931536362 60.2973545500001,-144.920290908 60.2894363680001,-144.902799999 60.2852727320001,-144.872772726 60.299990914,-144.831118181 60.300545459,-144.79110909 60.2997181860001,-144.703463635 60.2787363680001,-144.671904611 60.2536038220001,-144.657756375 60.242336423,-144.657145994 60.2418503270001,-144.6554278 60.2404819880001,-144.6421548 60.2134999880001,-144.620545801 60.1977729870001,-144.620545453 60.197772732,-144.574154544 60.1858181860001,-144.445690908 60.1726272770001,-144.378218181 60.1856181860001,-144.340699999 60.1994363680001,-144.253627272 60.190827277,-144.154999999 60.1222181860001,-144.030854544 60.0622090950001,-144.006854544 60.043045459,-143.972569113 60.0141043880001,-143.965563799 60.0081909880001,-143.96556367 60.008190943,-143.965563635 60.0081909140001,-143.93250909 59.9966545500001,-143.902875848 59.99150058,-143.902383547 59.9914149520001,-143.900572799 59.991099988,-143.899585347 59.991138736,-143.868590908 59.9923545500001,-143.835281817 60.0011090950001,-143.786818181 60.0173545500001,-143.739436362 60.0269363680001,-143.671663635 60.0358272770001,-143.412781817 60.054990914,-143.320554544 60.0599909140001,-143.273345453 60.0616636410001,-143.215699999 60.0606909140001,-143.186672726 60.0605454590001,-143.164181817 60.0622090950001,-143.131927272 60.065272732,-143.045836362 60.0738818230001,-143.005863635 60.0799909140001,-142.915836362 60.0938818230001,-142.884463635 60.0977727320001,-142.821927272 60.1052727320001,-142.768336362 60.110545459,-142.717227272 60.109990914,-142.654999999 60.1036090950001,-142.536681817 60.0888818230001,-142.154727272 60.0422181860001,-141.978881817 60.0263818230001,-141.930572726 60.0205454590001,-141.898899999 60.014718186,-141.880576993 60.0102700240001,-141.879427797 60.009990988,-141.873198718 60.0079230870001,-141.845554544 59.9987454590001,-141.730954544 59.953327277,-141.640836362 59.9594363680001,-141.610536362 59.9638818230001,-141.425845453 60.0111090950001,-141.400572726 60.0183272770001,-141.380890908 60.0322181860001,-141.380891372 60.032218582,-141.380890797 60.0322189880001,-141.412142216 60.0588712910001,-141.418827272 60.064572732,-141.418827692 60.064572899,-141.418827797 60.0645729880001,-141.455763797 60.0792279880001,-141.45750103 60.0824402640001,-141.461596353 60.090012824,-141.47377247 60.112527384,-141.413636388 60.1374999940001,-141.413636362 60.1374999990001,-141.384854544 60.1379090950001,-141.281954795 60.0738819810001,-141.281763041 60.073389159,-141.280677079 60.0705981350001,-141.260554797 60.018881988,-141.256954797 59.995963988,-141.260163797 59.973463988,-141.263758939 59.9655826320001,-141.264595284 59.9637491760001,-141.273408797 59.944427988,-141.288540952 59.938691915,-141.298854112 59.934782554,-141.354708797 59.9136099880001,-141.395845797 59.9088819880001,-141.376645797 59.866390988,-141.376645453 59.8663909160001,-141.210818181 59.8327727320001,-141.04250909 59.793881823,-141.012790908 59.786945459,-140.932772726 59.76305455,-140.877763635 59.745827277,-140.838899999 59.739436368,-140.612763635 59.7138818230001,-140.49236582 59.7040753480001,-140.48816107 59.7037328660001,-140.482406494 59.70326414,-140.477591135 59.7028719200001,-140.474653988 59.702632683,-140.468286455 59.7021140360001,-140.455836796 59.7010999880001,-140.451856836 59.7008683880001,-140.403354544 59.6980454590001,-140.379699999 59.698327277,-140.310545453 59.700272732,-140.259463796 59.7060999870001,-140.259463636 59.7061000100001,-140.231108796 59.7110999880001,-140.219955112 59.715157828,-140.145572726 59.7422181860001,-140.086945453 59.759163641,-139.999145453 59.780818186,-139.919154544 59.7997181860001,-139.778072726 59.8583272770001,-139.681945453 59.9316636410001,-139.585818181 60.003327277,-139.541672726 60.0305454590001,-139.499999999 60.03305455,-139.398072726 59.995272732,-139.379163717 59.981381883,-139.376496147 59.97777354,-139.360063635 59.9555454590001,-139.272799999 59.894718186,-139.202481817 59.872745459,-139.174090908 59.868827277,-139.126663635 59.867663641,-139.041381817 59.8577727320001,-138.986936362 59.8430454590001,-138.899737774 59.8053369790001,-138.910205708 59.8052410670001,-138.937499794 59.804990988,-138.965699794 59.809718988,-138.982443368 59.8207590960001,-138.983181794 59.821245988,-139.004881794 59.837209988,-139.007700053 59.8377311720001,-139.048481795 59.845272988,-139.091940726 59.842868277,-139.114237195 59.8416345480001,-139.140016728 59.8402080910001,-139.147554795 59.8397909880001,-139.183208795 59.8372909880001,-139.218218795 59.8319549880001,-139.270799795 59.800827988,-139.270799872 59.8008273520001,-139.270799999 59.8008272770001,-139.271810823 59.792502384,-139.272784748 59.78448231,-139.273375626 59.7796165550001,-139.277818795 59.7430279880001,-139.259736795 59.685263988,-139.224427795 59.616099988,-139.231052371 59.608611759,-139.235425788 59.603668176,-139.262572795 59.572981987,-139.264331028 59.572968594,-139.290008795 59.5727729870001,-139.329499795 59.600199988,-139.32922514 59.602049917,-139.328947223 59.6039218160001,-139.328149635 59.6092939390001,-139.319368088 59.668441703,-139.318863088 59.671843107,-139.316741821 59.686130819,-139.312390795 59.7154369880001,-139.312596115 59.722389895,-139.313715465 59.760295248,-139.313970716 59.7689389860001,-139.316954544 59.869990914,-139.322595012 59.875600981,-139.360808795 59.9136099880001,-139.412532507 59.9549765460001,-139.435818181 59.973600005,-139.441047315 59.9760149700001,-139.451027533 59.9806246960001,-139.45584203 59.982848446,-139.457490795 59.9836099880001,-139.458424546 59.9836667870001,-139.458728535 59.983685279,-139.46042867 59.9837886970001,-139.481245795 59.9850549880001,-139.526000629 59.954482892,-139.573730771 59.9218783580001,-139.615127795 59.8935999880001,-139.609863795 59.8552729880001,-139.575972795 59.789999988,-139.571253577 59.7854821110001,-139.524172873 59.7404092360001,-139.525464958 59.7279737370001,-139.526172076 59.721168176,-139.527297267 59.710338929,-139.530794854 59.6766768800001,-139.530854795 59.676099988,-139.530968277 59.6759811580001,-139.531347392 59.6755841770001,-139.590272795 59.6138819880001,-139.590559466 59.613670176,-139.609710306 59.599520232,-139.635008795 59.5808279880001,-139.656944003 59.5729227730001,-139.670534209 59.5680250080001,-139.730563795 59.5463909870001,-139.710536795 59.495827987,-139.710536623 59.495827934,-139.710536362 59.495827277,-139.513672726 59.4347727320001,-139.435818181 59.4247727320001,-139.333600881 59.393427548,-139.375672795 59.376390987,-139.397572429 59.382490655,-139.409945795 59.385936987,-139.438422247 59.391307559,-139.439972726 59.391600005,-139.439972565 59.3915999440001,-139.439972795 59.3915999870001,-139.436953116 59.390465496,-139.404936362 59.3784363680001,-139.334990908 59.3586090950001,-139.290836795 59.359299993,-139.290836362 59.3593000050001,-139.255281817 59.377772732,-139.230272726 59.3790181860001,-139.160573196 59.3248549150001,-139.167124437 59.3236721750001,-139.188929348 59.3197355880001,-139.195972795 59.318463987,-139.195972214 59.318463733,-139.195972726 59.3184636410001,-139.171681819 59.3078501630001,-139.161954795 59.303599987,-139.153439657 59.301734421,-139.080836362 59.2858272770001,-138.998872726 59.2738818230001,-138.97860909 59.2694363680001,-138.950836362 59.26305455,-138.79250909 59.2077727320001,-138.76000909 59.1961000050001,-138.651118181 59.160818186,-138.624418181 59.1669363680001,-138.523072726 59.1855454590001,-138.460263635 59.1927636410001,-138.439228014 59.1846457460001,-138.442377908 59.181184279,-138.444666623 59.178669175,-138.498318794 59.1197099870001,-138.512078706 59.120954102,-138.553618794 59.1247099870001,-138.575620337 59.1239955770001,-138.599536794 59.123218987,-138.599535353 59.1232182190001,-138.599536362 59.123218186,-138.57470909 59.109990914,-138.544999999 59.1058272770001,-138.515290908 59.1052727320001,-138.470827272 59.110690914,-138.389172726 59.1040181860001,-138.200290908 59.0297181860001,-138.179718181 59.0194363680001,-138.04250909 58.9452636410001,-138.021681817 58.9348545500001,-137.964999999 58.904709095,-137.945690908 58.8869363680001,-137.926390908 58.861381823,-137.920226217 58.841490858,-137.917845793 58.8338099870001,-137.926800522 58.8078789900001,-137.92750909 58.805827277,-137.914484479 58.7898276080001,-137.910554793 58.784999987,-137.904075485 58.7815480960001,-137.871172726 58.764018186,-137.833890908 58.7480454590001,-137.783756957 58.7249711310001,-137.772936793 58.7199909870001,-137.766121712 58.7165692670001,-137.749145453 58.7080454590001,-137.694454744 58.677081936,-137.675554793 58.6574909870001,-137.675554591 58.6574909620001,-137.675554544 58.6574909140001,-137.603054544 58.648609095,-137.496571694 58.6777976390001,-137.491090822 58.6792999790001,-137.46111868 58.6702728820001,-137.45497996 58.6645958510001,-137.44249131 58.653045831,-137.534999793 58.625263987,-137.563257242 58.6161809560001,-137.57470909 58.6125000050001,-137.577370822 58.6078559410001,-137.585505696 58.593664238,-137.585536793 58.593609987,-137.585536041 58.5936096560001,-137.585536362 58.593609095,-137.526672726 58.567772732,-137.38640909 58.506381823,-137.32408293 58.4805654530001,-137.303966759 58.47223296,-137.268214535 58.457423722,-137.265018793 58.456099986,-137.235762991 58.4460253400001,-137.148072726 58.4158272770001,-137.056872726 58.395618186,-137.018336362 58.4024909140001,-136.990418181 58.40235455,-136.951614336 58.3963525170001,-136.949981793 58.3960999860001,-136.947116546 58.39557296,-136.861663635 58.3798545500001,-136.850951659 58.370606255,-136.847575756 58.3676915400001,-136.842605626 58.3634003870001,-136.834718792 58.3565909860001,-136.815845379 58.339344526,-136.791584439 58.3171749620001,-136.778341363 58.3050734860001,-136.704990908 58.238045459,-136.690268426 58.228653138,-136.687363792 58.2267999860001,-136.685188862 58.2260141680001,-136.65890909 58.216518186,-136.620272726 58.2166636410001,-136.598527272 58.2211727320001,-136.572781817 58.239990914,-136.572156774 58.241092661,-136.570204024 58.2445346330001,-136.567565626 58.249185148,-136.560408792 58.261799986,-136.572524626 58.274436312,-136.582765479 58.2851171090001,-136.589715002 58.292365181,-136.600818181 58.303945459,-136.600818356 58.3039455310001,-136.600818792 58.303945986,-136.602542333 58.3046535610001,-136.604295497 58.305373296,-136.610921654 58.3080935660001,-136.61975261 58.311718984,-136.629427272 58.3156909140001,-136.647481124 58.334191865,-136.647781794 58.334499985,-136.645975511 58.3349595030001,-136.582490908 58.351109095,-136.531954544 58.3337454590001,-136.501510025 58.3124696780001,-136.495972792 58.308599986,-136.491133488 58.308221362,-136.367354544 58.298536368,-136.354427272 58.3374909140001,-136.384445453 58.3503909140001,-136.406090973 58.361552327,-136.412336792 58.364772986,-136.41420825 58.3649703780001,-136.418372069 58.365409555,-136.418468967 58.3654197750001,-136.420443835 58.365628074,-136.430734659 58.3667134940001,-136.445690792 58.368290986,-136.480281792 58.359436986,-136.480281806 58.3594363710001,-136.480294202 58.358434462,-136.480545619 58.338123959,-136.480545792 58.3381099860001,-136.500928247 58.345711733,-136.513466078 58.3503877860001,-136.536608423 58.3590188490001,-136.479427272 58.4158272770001,-136.302218718 58.3813819270001,-136.290723666 58.372206922,-136.271945888 58.357218533,-136.276137569 58.337431403,-136.27830909 58.327181823,-136.254454544 58.307772732,-136.082899999 58.340263641,-136.050845453 58.3609727320001,-136.028336362 58.385272732,-136.044463635 58.427490914,-136.080836362 58.511663641,-136.088489834 58.521357816,-136.122499792 58.5644369870001,-136.189163792 58.6148549870001,-136.255572792 58.6499909870001,-136.287090792 58.6617999870001,-136.287090822 58.661799972,-136.287090908 58.661800005,-136.291776637 58.6595733140001,-136.328890792 58.6419369870001,-136.329288008 58.6417544440001,-136.338010466 58.6377460040001,-136.376645792 58.6199909870001,-136.38254915 58.618211978,-136.390736495 58.6157446780001,-136.460536792 58.594709987,-136.469278682 58.594062679,-136.484845792 58.592909987,-136.506265183 58.603721175,-136.519245281 58.610272729,-136.48830909 58.6097181860001,-136.464154544 58.6147181860001,-136.34290909 58.680336368,-136.342909371 58.6803366730001,-136.342908792 58.680336987,-136.378599792 58.719018987,-136.447511369 58.7364180210001,-136.466523127 58.741218175,-136.467089432 58.7413611580001,-136.469896369 58.742069863,-136.489163846 58.7469345820001,-136.490036792 58.747154987,-136.517577626 58.7537278350001,-136.582218662 58.7691549560001,-136.63575448 58.8142999510001,-136.632504701 58.8139237670001,-136.584163635 58.808327277,-136.567354544 58.7939545500001,-136.548190908 58.772009095,-136.504945453 58.788800005,-136.526511202 58.811111845,-136.538054792 58.823054987,-136.558627792 58.832218987,-136.578045792 58.8394369870001,-136.605895626 58.8445139350001,-136.610872336 58.8454211750001,-136.612184841 58.8456604410001,-136.621230999 58.8473095310001,-136.675382518 58.857181204,-136.69281543 58.860359175,-136.709243626 58.8633539900001,-136.734981792 58.8680459870001,-136.76842199 58.8720718020001,-136.770832714 58.8723620260001,-136.803373825 58.8762796020001,-136.838610941 58.8805217450001,-136.908054793 58.888881987,-136.986618793 58.8878819870001,-137.028627793 58.8738819870001,-137.045836793 58.8611099870001,-137.118590732 58.8227100190001,-137.11788922 58.826398527,-137.117040584 58.8308602530001,-137.114008793 58.8467999870001,-137.087388693 58.8683102360001,-137.040699999 58.9060363680001,-137.006545453 58.9313000050001,-136.977481817 58.988881823,-136.977481861 58.988881851,-136.977481793 58.9888819870001,-136.998155952 59.0019377190001,-137.002517541 59.0046920630001,-137.050827272 59.035200005,-137.058664923 59.0507113620001,-137.064299658 59.0618637210001,-137.038618181 59.0679090950001,-136.883754544 58.9915181860001,-136.766963635 58.9416545500001,-136.683899999 58.912209095,-136.655563635 58.9662363680001,-136.580836362 58.9158272770001,-136.510844338 58.861837979,-136.510007451 58.861192433,-136.509239732 58.8606002380001,-136.500327577 58.8537256720001,-136.495657668 58.850123448,-136.469027792 58.829581987,-136.469027273 58.8295818180001,-136.46612337 58.8286095030001,-136.23650909 58.751727277,-136.167099999 58.754718186,-136.129854544 58.778190914,-136.106371885 58.825034223,-136.103608792 58.8305459870001,-136.101357896 58.838385594,-136.094436362 58.862490914,-136.106003922 58.9183678520001,-136.108272792 58.9293279870001,-136.120943189 58.9599983310001,-136.121383737 58.961064734,-136.143890792 59.0155459870001,-136.164107979 59.0274275100001,-136.14499658 59.0314242850001,-136.14319991 59.031799962,-136.100554762 59.0113819270001,-136.087445792 58.984663987,-136.069118792 58.9446639870001,-136.062928916 58.9304258380001,-136.060882626 58.9257188940001,-136.06001968 58.923733918,-136.05497275 58.912124809,-136.045836792 58.8911099870001,-136.04583675 58.8911099860001,-136.045836362 58.891109095,-135.956118181 58.8894363680001,-135.927536362 58.9018545500001,-135.833072726 58.9102727320001,-135.803754544 58.9090181860001,-135.765946193 58.8959638960001,-135.787934219 58.890994483,-135.808930651 58.886249175,-135.810975665 58.885786991,-135.812815975 58.8853710710001,-135.813798542 58.8851490050001,-135.816324369 58.884578155,-135.820193524 58.8837037050001,-135.823747768 58.882900426,-135.825890742 58.8824161030001,-135.826936843 58.8821796780001,-135.851381792 58.8766549870001,-135.873057296 58.873045602,-135.873990681 58.8728901750001,-135.897555133 58.868966244,-135.945118792 58.8610459870001,-135.950909569 58.858994346,-136.065690792 58.818327987,-136.065690361 58.818327471,-136.065690908 58.818327277,-135.929990908 58.656100005,-135.924375263 58.6501388190001,-135.888918792 58.612499987,-135.880497245 58.607349937,-135.871645452 58.601936369,-135.87142891 58.6015432030001,-135.864520918 58.5890006400001,-135.836536792 58.5381909870001,-135.845127373 58.4837545350001,-135.845246304 58.4830008980001,-135.846133131 58.4773812930001,-135.846315447 58.476225996,-135.847627792 58.4679099860001,-135.86150859 58.462059175,-135.870882772 58.45810792,-135.873363757 58.457062175,-135.875311902 58.4562410240001,-135.882935887 58.4530274840001,-135.88750909 58.4511000050001,-135.900245103 58.4120760100001,-135.910354792 58.381099986,-135.910354545 58.381100007,-135.755281817 58.3955454590001,-135.60970909 58.4202727320001,-135.535800505 58.4608171,-135.512747512 58.4734633570001,-135.509581791 58.4751999860001,-135.508511345 58.4750961020001,-135.470899999 58.4714454590001,-135.407654713 58.382218424,-135.406398225 58.3732022510001,-135.40270909 58.3467272770001,-135.372588414 58.2989864450001,-135.368318791 58.2922189860001,-135.368318426 58.292218575,-135.368318181 58.2922181860001,-135.362993984 58.2862232090001,-135.344145791 58.2649999860001,-135.337326889 58.2604497830001,-135.321245453 58.2497181860001,-135.274872726 58.233745459,-135.156954544 58.207218186,-135.085536362 58.233045459,-135.050763635 58.3045727320001,-135.049436362 58.3405454590001,-135.058131277 58.361652974,-135.072781791 58.397218986,-135.091672791 58.4366549860001,-135.129929809 58.4929391750001,-135.16206599 58.5402183130001,-135.164463791 58.5437459870001,-135.167495625 58.546938729,-135.175091964 58.5549382300001,-135.180554544 58.5606909140001,-135.185272726 58.6224909140001,-135.169736362 58.6458272770001,-135.169736923 58.6458277880001,-135.169736791 58.6458279870001,-135.180300284 58.6554418100001,-135.188045453 58.662490914,-135.244627272 58.7213818230001,-135.273387587 58.7751735510001,-135.312499791 58.8483279870001,-135.314645634 58.851219175,-135.3195976 58.8578911750001,-135.326108791 58.866663987,-135.340611713 58.8881742620001,-135.340926625 58.8886413290001,-135.341431511 58.8893901600001,-135.342520656 58.891005546,-135.364024065 58.9228987210001,-135.370894029 58.933088034,-135.373736716 58.9373042180001,-135.374178442 58.937959371,-135.388729814 58.9595415060001,-135.390154549 58.961654627,-135.396345453 59.070700005,-135.410503488 59.0873150890001,-135.431816368 59.1123273270001,-135.445690791 59.1286099870001,-135.46637484 59.1484224880001,-135.546672129 59.225336353,-135.48830909 59.2238727320001,-135.468599999 59.2188818230001,-135.415554544 59.199018186,-135.394336546 59.1801274410001,-135.39264507 59.1763529400001,-135.392046542 59.1750173350001,-135.384878445 59.159021845,-135.384318791 59.157772987,-135.383068216 59.1556687190001,-135.378206804 59.1474887140001,-135.377369716 59.1460801950001,-135.365954791 59.1268729870001,-135.365954651 59.1268729110001,-135.365954544 59.126872732,-135.303390908 59.0928363680001,-135.303391281 59.092837253,-135.303390791 59.0928369870001,-135.308897195 59.1059139490001,-135.329152269 59.1540169990001,-135.331136251 59.1587286860001,-135.343890791 59.1890189870001,-135.360263791 59.2094369870001,-135.428618444 59.256945746,-135.451142023 59.2814840010001,-135.459718162 59.290827301,-135.398745453 59.368072732,-135.347836362 59.46415455,-135.32540909 59.4530454590001,-135.328551998 59.4342555040001,-135.335145791 59.3948369870001,-135.347545791 59.3668819870001,-135.356063791 59.3303819870001,-135.359645791 59.2615279870001,-135.359645433 59.2615276670001,-135.359645453 59.261527277,-135.314999999 59.22165455,-135.283336682 59.203463825,-135.282901997 59.202814161,-135.2823449 59.2019815470001,-135.264156213 59.1747974680001,-135.233063635 59.128327277,-135.131209089 58.8814181860001,-135.131238609 58.88133867,-135.145427791 58.8431189870001,-135.145427204 58.843118368,-135.145427272 58.843118186,-135.059718181 58.752627277,-135.027436362 58.742145459,-135.018618181 58.777909095,-135.00030909 58.805545459,-134.95110909 58.815127277,-134.930690908 58.77735455,-134.921390932 58.6877638760001,-134.925994625 58.6841632110001,-134.931220716 58.6800757520001,-134.939285625 58.6737679820001,-134.949355625 58.6658919800001,-134.972686625 58.647644212,-134.975008791 58.6458279870001,-134.975008421 58.6458278010001,-134.97500909 58.6458272770001,-134.947354544 58.631936368,-134.773481817 58.4605454590001,-134.773184072 58.457430591,-134.771118791 58.4358189860001,-134.769349828 58.4287491750001,-134.767266049 58.4204211750001,-134.763514616 58.4054282500001,-134.760635604 58.393922031,-134.758082961 58.3837201750001,-134.757645791 58.3819729860001,-134.757645501 58.381972922,-134.757645453 58.3819727320001,-134.66762116 58.362079174,-134.666148933 58.3617538400001,-134.649307624 58.358032215,-134.64056379 58.3560999860001,-134.638439262 58.3559742100001,-134.57500909 58.3522181860001,-134.539736362 58.3591636410001,-134.518481817 58.355690914,-134.489299999 58.3465181860001,-134.383636362 58.286945459,-134.239772726 58.2086727320001,-134.180554544 58.197072732,-134.149245453 58.2004818230001,-134.099227272 58.2402727320001,-134.043881817 58.393209095,-133.972699999 58.497836368,-133.92470909 58.512218186,-133.881099999 58.5213818230001,-133.859436362 58.521663641,-133.783341066 58.515726031,-133.77403679 58.5149999870001,-133.79374579 58.5061099870001,-133.81750879 58.503190987,-133.85833679 58.5094369870001,-133.879680031 58.5094369870001,-133.87997279 58.5094369870001,-133.884336505 58.5087206010001,-133.892087866 58.5074480710001,-133.893849472 58.5071588710001,-133.897406774 58.506574873,-133.900064903 58.506138492,-133.90279079 58.505690987,-133.902790909 58.505690916,-133.904010256 58.505011779,-133.904314393 58.5048423860001,-133.92848179 58.4913819860001,-133.951154006 58.4628011830001,-133.989160242 58.414890175,-134.00895479 58.3899369860001,-134.003734335 58.370987369,-133.99841925 58.3516942790001,-133.995272794 58.340272982,-133.997855601 58.3363099320001,-134.027553034 58.2907423180001,-134.05193679 58.253327986,-134.058068514 58.2417672540001,-134.058998263 58.2400143070001,-134.05931685 58.2394136450001,-134.068038778 58.22296935,-134.08604579 58.1890189860001,-134.081886638 58.1669813240001,-134.080993624 58.162249601,-134.078416579 58.148594884,-134.077667624 58.144626472,-134.077539032 58.1439451160001,-134.074801525 58.1294401740001,-134.072444546 58.116951493,-134.072099849 58.1151250840001,-134.06945479 58.101109986,-134.069454654 58.101109675,-134.069454544 58.101109095,-134.067391853 58.0964001500001,-134.061337315 58.0825771980001,-134.060987119 58.0817776740001,-134.060845806 58.0814550470001,-134.05971879 58.0788819860001,-134.057632624 58.0771883510001,-134.044247941 58.066322121,-134.01250909 58.0405545500001,-133.975554787 58.0138819910001,-133.975554712 58.013881944,-133.975554544 58.0138818230001,-133.913345453 57.9801272770001,-133.879863635 57.9915454590001,-133.829299999 58.008709095,-133.807772726 58.047490914,-133.748963635 58.1329090950001,-133.68020909 58.145963641,-133.683377327 58.1380303620001,-133.69723679 58.1033279860001,-133.76063679 58.0299369860001,-133.762691479 58.027701155,-133.808540732 57.9778098300001,-133.81301879 57.972936986,-133.804639238 57.9012115840001,-133.804172726 57.897218186,-133.70060909 57.7915181860001,-133.65890909 57.7845818230001,-133.632781817 57.7966636410001,-133.620472726 57.825063641,-133.620472833 57.8250638850001,-133.620472789 57.825063986,-133.64056352 57.8708273710001,-133.591063635 57.911045459,-133.557645503 57.9235999860001,-133.556998516 57.9236001900001,-133.525845453 57.9236090950001,-133.448566754 57.918787927,-133.445554789 57.9185999860001,-133.41075258 57.9149875470001,-133.401258552 57.914002075,-133.377539102 57.911540018,-133.183336599 57.891381847,-133.182590624 57.890838414,-133.175696821 57.885816365,-133.131101323 57.853328242,-133.264190789 57.8755459860001,-133.333196221 57.8887135200001,-133.333561525 57.888783227,-133.400007577 57.9014623840001,-133.429027272 57.907000005,-133.434034084 57.9070497370001,-133.487464551 57.9075807150001,-133.515848481 57.9078627870001,-133.544345789 57.9081459860001,-133.554445789 57.8247189860001,-133.544527789 57.7688819860001,-133.537601686 57.7629099470001,-133.517790908 57.745827277,-133.358890908 57.6772181860001,-133.320281817 57.6613727320001,-133.20110909 57.620272732,-133.180572726 57.616936368,-133.144167637 57.593392496,-133.133327789 57.586381986,-133.071711025 57.551214788,-133.006427951 57.513954938,-133.009868121 57.512932795,-133.041736789 57.503463986,-133.062522173 57.510471174,-133.085827789 57.518327986,-133.107020704 57.5335328940001,-133.121736362 57.544090914,-133.166945453 57.5731909140001,-133.222345576 57.592262417,-133.476098181 57.6796170000001,-133.559296257 57.7082580200001,-133.561108789 57.7088819860001,-133.64056379 57.6963819860001,-133.647567007 57.6708448630001,-133.647576296 57.6708109910001,-133.649829904 57.6625932420001,-133.65940909 57.627663641,-133.599363635 57.5745090950001,-133.549163635 57.565827277,-133.504481817 57.5710454590001,-133.481563635 57.575963641,-133.447981817 57.582627277,-133.357481817 57.5919363680001,-133.317855209 57.5900545820001,-133.332563789 57.5758999860001,-133.412227789 57.5565459860001,-133.435499789 57.5548369860001,-133.460872789 57.540881986,-133.506818789 57.4842909860001,-133.481528655 57.4345288820001,-133.481127732 57.4337400060001,-133.47987508 57.4312752260001,-133.479188074 57.429923439,-133.478106376 57.427795039,-133.460894959 57.393929014,-133.441318789 57.3554099850001,-133.441318578 57.3554098770001,-133.441318181 57.355409095,-133.407499999 57.3380454590001,-133.35100909 57.3286545500001,-133.229845453 57.313881823,-133.113618181 57.328327277,-133.06596392 57.346790803,-133.083890789 57.321936985,-133.242490789 57.2752729850001,-133.247450384 57.2754265820001,-133.254104623 57.275632661,-133.289181789 57.2767189850001,-133.317990789 57.2811279850001,-133.444154789 57.282490985,-133.468045789 57.2805459850001,-133.49648555 57.2564668110001,-133.497981817 57.2552000050001,-133.499746823 57.244727428,-133.502568261 57.22798686,-133.504197251 57.2183215000001,-133.508363789 57.193599985,-133.496182216 57.1766580300001,-133.488590908 57.166100005,-133.437636362 57.1404090950001,-133.401399999 57.135827277,-133.387636362 57.1290181860001,-133.340545453 57.110545459,-133.314727272 57.1019363680001,-133.283754544 57.0992272770001,-133.255845453 57.116245459,-133.168254544 57.1629727320001,-133.123764016 57.151445558,-133.142245789 57.1166639850001,-133.135499982 57.1002218090001,-133.127199999 57.0799909140001,-132.905272726 57.03305455,-132.847563635 57.0602000050001,-132.804136435 57.0838090560001,-132.801845717 57.0777991100001,-132.801434778 57.0767209650001,-132.765227789 56.9817279850001,-132.779645789 56.9588099850001,-132.842908792 56.9660999750001,-132.84290909 56.966100005,-132.85610909 56.931381823,-132.768890908 56.8438818230001,-132.688045453 56.808045459,-132.64306379 56.7888909820001,-132.643063635 56.788890914,-132.574154544 56.765827277,-132.534999999 56.755827277,-132.498899999 56.7506909140001,-132.49889989 56.750690999,-132.498899788 56.7506909850001,-132.49464856 56.7540400930001,-132.458890908 56.782209095,-132.422636362 56.8113090950001,-132.385699999 56.8223545500001,-132.364973238 56.8171455880001,-132.415836788 56.7722189850001,-132.465272788 56.745545985,-132.505863788 56.7260999850001,-132.524445788 56.714718985,-132.52966939 56.6996356970001,-132.533993434 56.687149903,-132.536621031 56.6795626480001,-132.540066073 56.6696149950001,-132.551118788 56.637699985,-132.538132794 56.628522624,-132.523899999 56.6184636410001,-132.493863635 56.6111090950001,-132.438645453 56.6042545500001,-132.409299999 56.608836368,-132.363436362 56.6253545500001,-132.315737017 56.6333726220001,-132.318611109 56.6288106380001,-132.319157565 56.627943261,-132.33279332 56.606299527,-132.333334135 56.605441102,-132.337981788 56.5980639850001,-132.351054788 56.543254985,-132.349649197 56.540271078,-132.341663635 56.523318186,-132.18612779 56.4227639810001,-132.186127272 56.4227636410001,-132.066099999 56.378327277,-132.037090908 56.3734636410001,-131.993045646 56.3577728000001,-131.988561642 56.3519666440001,-131.968318788 56.3257549840001,-131.959727788 56.296518984,-131.959727293 56.296518258,-131.959727272 56.2965181860001,-131.958151626 56.294206516,-131.933318788 56.257772984,-131.919172781 56.2399909810001,-131.919172726 56.239990914,-131.900845453 56.2269363680001,-131.825290908 56.2133272770001,-131.769746898 56.1969367940001,-131.956790788 56.1649189840001,-131.956790882 56.164918191,-131.956790908 56.1649181860001,-131.957463005 56.1592208610001,-131.966645788 56.0813819840001,-131.962686274 56.060610997,-131.962492044 56.0595921,-131.961654788 56.0551999840001,-131.940845788 56.0104819840001,-131.944506728 55.985154562,-131.945067837 55.9812726480001,-131.947490784 55.9645099840001,-131.975963788 55.9558279840001,-132.021254788 55.9565189840001,-132.054654788 55.9428369840001,-132.060826357 55.913296689,-132.068777462 55.8752386260001,-132.071381788 55.8627729840001,-132.071381771 55.862772954,-132.071381817 55.8627727320001,-132.048336812 55.822218977,-132.062560622 55.8180127840001,-132.088284035 55.810405986,-132.104718788 55.805545984,-132.159223896 55.800837733,-132.163203059 55.8004940060001,-132.163599777 55.800459737,-132.171445788 55.799781984,-132.173839606 55.797320658,-132.187576622 55.7831962430001,-132.228400984 55.7412205910001,-132.245272788 55.7238729840001,-132.245272684 55.7238727750001,-132.245272726 55.7238727320001,-132.229194438 55.6914530700001,-132.220896417 55.6747211840001,-132.219981812 55.6728770010001,-132.215888519 55.6646234040001,-132.21502047 55.6628730960001,-132.207565622 55.64784136,-132.20623299 55.64515428,-132.201128108 55.6348609460001,-132.186936788 55.6062459840001,-132.186936401 55.6062455360001,-132.186936362 55.606245459,-132.168063635 55.5844363680001,-132.147949652 55.5708100590001,-132.143063788 55.5674999840001,-132.112763789 55.5549909810001,-132.112763635 55.554990914,-132.062790908 55.5433272770001,-132.024718789 55.527772982,-132.024718725 55.5277729540001,-131.994782003 55.513738372,-131.962490908 55.4986000050001,-131.962490864 55.498600019,-131.962490788 55.4985999840001,-131.961987476 55.498768425,-131.954990908 55.5011090950001,-131.923618181 55.5344363680001,-131.836945453 55.635827277,-131.817227272 55.663318186,-131.773652906 55.7763607110001,-131.759108788 55.8140909840001,-131.765884622 55.8159065180001,-131.779220622 55.8194798010001,-131.780883622 55.819925389,-131.820554788 55.8305549840001,-131.852627788 55.8340189840001,-131.874845788 55.838463984,-131.885481726 55.845413083,-131.900572531 55.8552728160001,-131.881381817 55.8636090950001,-131.802645582 55.881799975,-131.800838645 55.881718569,-131.756254544 55.8797090950001,-131.732636362 55.885963641,-131.546390908 55.9519363680001,-131.47860909 55.975263641,-131.404036568 55.994581769,-131.377333054 55.9684296550001,-131.370136787 55.9613819840001,-131.370136544 55.9613820000001,-131.370136362 55.9613818230001,-131.33011117 55.9640691450001,-131.326672787 55.964299984,-131.326672732 55.964300005,-131.207218181 56.011409095,-131.1728198 56.031175069,-131.171399787 56.0319909840001,-131.170727788 56.0324272120001,-131.168828597 56.0336600690001,-131.142381817 56.0508272770001,-131.074436362 56.09415455,-131.01279159 56.10651805,-131.055845787 56.056381984,-131.094818787 56.0220999840001,-131.126575155 56.0088059550001,-131.141399999 56.002600005,-131.145176648 55.9997122440001,-131.164227787 55.985145984,-131.169463787 55.9416549840001,-131.169463599 55.941654848,-131.169463635 55.9416545500001,-131.131001234 55.9138587200001,-131.113736787 55.9013819840001,-131.093704449 55.886187985,-131.025845453 55.834718186,-130.91250909 55.7411000050001,-130.886399999 55.707909095,-130.87700336 55.6465830970001,-130.870545787 55.6044369840001,-130.866636787 55.578045984,-130.868324106 55.5561122510001,-130.869018787 55.547081984,-130.869184198 55.545150651,-130.872218787 55.5097189840001,-130.874328506 55.427213771,-130.874690908 55.413045459,-130.874154231 55.3983141250001,-130.871918787 55.336936984,-130.861263776 55.3100639830001,-130.861263635 55.3100636410001,-130.71700909 55.3077636410001,-130.685545453 55.3381909140001,-130.658963635 55.3448454590001,-130.620463037 55.2994353350001,-130.620463034 55.2994354860001,-130.616108912 55.2943000650001,-130.616109091 55.2943000110001,-130.620578268 55.293088175,-130.620578266 55.2930882840001,-130.642227787 55.287218984,-130.794154787 55.286663984,-130.880372787 55.2891729840001,-130.931536787 55.2846459840001,-131.04999079 55.204990987,-131.049990908 55.2049909140001,-131.051255181 55.2035667740001,-131.066454787 55.1864459830001,-131.058763787 55.127490983,-131.048560963 55.1192102910001,-131.010072726 55.0879727320001,-130.964718181 55.0849909140001,-130.920427272 55.089018186,-130.894318181 55.0970727320001,-130.873454544 55.115690914,-130.812654651 55.1417999590001,-130.788716967 55.137451447,-130.727781817 55.126381823,-130.599427272 55.21415455,-130.587437733 55.226975646,-130.585008866 55.229573164,-130.564999922 55.267491218,-130.549746032 55.28220917,-130.504455088 55.3158271390001,-130.474155011 55.3259271650001,-130.515949978 55.271756119,-130.549488465 55.2282859910001,-130.553208873 55.2234639220001,-130.608122305 55.184356522,-130.62274129 55.1739452960001,-130.622741288 55.1739454,-130.699889737 55.1190030080001,-130.702790787 55.1169369830001,-130.741315427 55.112890168,-130.800672787 55.1066549830001,-130.803343588 55.1064418330001,-130.819306528 55.105167866,-130.835418787 55.1038819830001,-130.964718787 55.0630459830001,-130.972874408 55.057475541,-130.976748181 55.0548296800001,-130.978789226 55.053435608,-130.98220909 55.0511000050001,-131.007799999 55.0002000050001,-130.984981817 54.989436368,-130.934581817 54.9583272770001,-130.93301726 54.951623055,-130.928618787 54.9327729830001,-130.932040831 54.8790065960001,-130.932490892 54.87193662,-130.937227787 54.855554983,-130.936414361 54.851165345,-130.935910566 54.8484466250001,-130.935886963 54.84831925,-130.935473552 54.846088282,-130.930972787 54.8217999830001,-130.928924438 54.818804104,-130.928924374 54.8188040840001,-130.910554544 54.7919363680001,-130.893890908 54.7805454590001,-130.868863635 54.7719363680001,-130.837772726 54.7672818230001,-130.808472726 54.771518186,-130.750963635 54.8209818230001,-130.738309096 54.8522181960001,-130.738308787 54.8522189830001,-130.741313657 54.857394422,-130.742237932 54.858986348,-130.742645621 54.8596885310001,-130.749999787 54.872354983,-130.749458407 54.8784607090001,-130.746155834 54.915707389,-130.742663663 54.9550906050001,-130.739330713 54.944948233,-130.73404224 54.9288550790001,-130.706390968 54.844709278,-130.709114057 54.8341256310001,-130.713989635 54.8151760440001,-130.716011497 54.8073178060001,-130.717422283 54.8018345990001,-130.718263787 54.7985639830001,-130.709254787 54.7678729830001,-130.709254628 54.767873018,-130.709254544 54.7678727320001,-130.629799728 54.78515471,-130.629799726 54.7851548290001,-130.604733613 54.7906067660001,-130.579436362 54.7961090950001,-130.557804642 54.8054837270001,-130.498046118 54.8313821360001,-130.365964086 54.9044361200001,-130.325428423 54.940599159,-130.277218181 54.9836090950001,-130.242218181 55.026100005,-130.229486679 55.042019591,-130.219999948 55.053882103,-130.194045841 55.0879309110001,-130.164736362 55.126381823,-130.156847077 55.1385475430001,-130.135554956 55.1713821370001,-130.120615748 55.186562935,-130.101927272 55.20555455,-130.082131574 55.2218655570001,-130.077499883 55.2256821170001,-129.993655035 55.2810360400001,-130.030614666 55.348936946,-130.047518181 55.3799909140001,-130.117029136 55.4963976670001,-130.139200971 55.5335281060001,-130.143890926 55.5413821430001,-130.148042805 55.5707200080001,-130.153582472 55.6098631080001,-130.174436362 55.757218186,-130.13540909 55.808736368,-130.121482069 55.814298379,-130.103745968 55.821382134,-130.026808982 55.894991169,-130.015072976 55.9091822340001,-130.015071203 55.909183382,-130.015072787 55.90918198,-130.014285786 55.9045169820001,-130.012543876 55.887020885,-130.012543787 55.88701998,-130.050630786 55.8460029820001,-130.091648786 55.816704982,-130.123875787 55.7932659790001,-130.147314786 55.7551789820001,-130.147314786 55.7170919820001,-130.147314786 55.7170909820001,-130.138525786 55.676073982,-130.132665786 55.6291969820001,-130.126805786 55.5618109820001,-130.106297786 55.520793982,-130.082858786 55.4709869820001,-130.053560786 55.4182499820001,-130.024262786 55.3713729820001,-129.994964786 55.318636982,-129.968595787 55.286408979,-129.992034787 55.262969979,-130.056490786 55.2219529810001,-130.103367787 55.1838649790001,-130.138525787 55.1369879790001,-130.173682786 55.0901119810001,-130.194191786 55.0461649810001,-130.229349787 55.0139359790001,-130.267436787 54.9729189810001,-130.299664787 54.943620981,-130.331892788 54.9172519790001,-130.361190787 54.8938139810001,-130.393418788 54.8762349790001,-130.443225787 54.849866981,-130.487172788 54.8234979790001,-130.534049787 54.8000599810001,-130.586786788 54.7824809780001,-130.627803787 54.7678329830001,-130.630396621 54.7522768630001,-130.630733788 54.750253978,-130.630733718 54.7502533970001,-130.630733787 54.7502529830001,-130.627706935 54.7250572890001,-130.627499884 54.723333805,-130.627499873 54.7233337260001,-130.627499999 54.7233333350001,-130.628888888 54.7208333350001,-130.630071859 54.7192201930001,-130.631944443 54.7166666680001,-130.632308393 54.7163027190001,-130.632499999 54.7161111130001,-130.634999999 54.7130555570001,-130.63967983 54.707205769,-130.640555555 54.7061111130001,-130.649444443 54.685833335,-130.649444443 54.6650000020001,-130.653139929 54.6576090310001,-130.654999936 54.653889018,-130.654999999 54.6538888900001,-130.664748876 54.6563083190001,-130.693055555 54.6633333340001,-130.706111111 54.6675000000001,-130.745277778 54.6783333330001,-130.749722222 54.6780555560001,-130.764166667 54.6794444440001,-130.808610916 54.684999976,-130.808611111 54.685000001,-130.809078453 54.6849898400001,-130.821388889 54.6847222220001,-130.888333333 54.6891666670001,-130.894166667 54.690555556,-130.923202429 54.7016950620001,-130.938333333 54.707500001,-130.940155741 54.707750134,-130.940173189 54.7077525290001,-130.9525 54.709444444,-130.961388889 54.716666667,-130.981944444 54.7294444440001,-130.995555556 54.7366666670001,-131.051666667 54.7608333330001,-131.078611111 54.771111111,-131.216666667 54.703055556,-131.231666667 54.6811111110001,-131.267829169 54.655063994,-131.271388889 54.6525000010001,-131.27709848 54.648302679,-131.322777778 54.6147222220001,-131.563333333 54.4980555560001,-131.633611111 54.508888889,-131.755555556 54.4716666670001,-131.824444444 54.4447222220001,-132.048333333 54.3641666670001,-132.394166667 54.4144444440001,-132.408055556 54.4113888890001,-132.409722222 54.4113888890001,-132.4475 54.410833333,-132.637777778 54.409444444,-132.662777778 54.4150000000001,-132.736666667 54.4333333330001,-132.826388889 54.451944444,-132.845 54.456388889,-132.931666667 54.4736111110001,-132.941111111 54.4755555560001,-133.116666667 54.5008333330001,-133.128611111 54.5027777780001,-133.191111111 54.511666667,-133.233333333 54.517222222,-133.282777778 54.5016666670001,-133.74 54.3669444440001,-133.811023448 54.3459004600001,-133.811052089 54.345891974,-133.8225 54.3425000010001,-133.84897668 54.3364769670001,-134.180277778 54.261111111,-134.396388889 54.215833333,-134.4175 54.2125,-134.94 54.1250000000001,-135.765833333 54.0002777780001,-138.755283333 53.4742333340001,-138.755282851 53.4742341480001,-138.755283794 53.474233982,-138.775835794 53.5005449820001,-138.796030794 53.5269559820001,-138.815863794 53.5534699820001,-138.835333794 53.580080982,-138.846399493 53.5955528010001,-138.854435794 53.6067889820001,-138.873169794 53.633591982,-138.891533794 53.6604889820001,-138.942035794 53.6894389820001,-138.951834414 53.6957184250001,-138.975269794 53.7107369820001,-139.008222795 53.7321949820001,-139.031145909 53.747364556,-139.040891795 53.7538139820001,-139.073274795 53.775591982,-139.105372795 53.797524982,-139.137177795 53.8196169820001,-139.168691795 53.8418639820001,-139.199908795 53.8642639820001,-139.230827795 53.886813982,-139.261447795 53.9095169820001,-139.291763795 53.9323669820001,-139.321772795 53.955366982,-139.331213112 53.962723259,-139.351474795 53.978511982,-139.380869795 54.001797982,-139.409949795 54.025230982,-139.429378854 54.04115303,-139.438713795 54.048802982,-139.467160795 54.072513982,-139.495288795 54.0963669820001,-139.523094795 54.120352982,-139.550574795 54.1444749820001,-139.559719648 54.1526441550001,-139.577727795 54.1687309820001,-139.604549795 54.193119982,-139.631044795 54.217636983,-139.657199795 54.2422839830001,-139.683022795 54.267055983,-139.699568622 54.283221327,-139.708505795 54.291952983,-139.733647795 54.3169749830001,-139.742496642 54.3259480140001,-139.758444795 54.342119983,-139.782897795 54.3673839830001,-139.798244394 54.3835442290001,-139.807002795 54.3927669830001,-139.830755795 54.4182669830001,-139.839420029 54.427749771,-139.854158795 54.443880983,-139.899894795 54.4954479830001,-139.922224795 54.521397983,-139.944197795 54.5474559830001,-139.965802795 54.5736199830001,-139.987044795 54.599886983,-140.007916795 54.6262589830001,-140.019126533 54.633352761,-140.023783795 54.6362999830001,-140.033950771 54.641853929,-140.060208795 54.656197983,-140.096366796 54.6762699830001,-140.122134376 54.6908035530001,-140.132258796 54.696513983,-140.167880796 54.7169249830001,-140.177959302 54.7227936100001,-140.203230796 54.7375089830001,-140.238305796 54.758255983,-140.273099796 54.779169983,-140.307616796 54.8002479830001,-140.341847796 54.821491983,-140.375794796 54.8428949830001,-140.409452796 54.8644589830001,-140.442819796 54.8861839830001,-140.466029073 54.9015375430001,-140.475894796 54.908063983,-140.508669796 54.930099983,-140.518474964 54.9367993760001,-140.541149796 54.9522919830001,-140.563550976 54.9678506210001,-140.573324796 54.974638983,-140.583066874 54.9815151330001,-140.605199796 54.9971369830001,-140.636766796 55.0197839830001,-140.668024796 55.0425809830001,-140.689328436 55.0583764500001,-140.698969796 55.065524983,-140.708576655 55.0727668980001,-140.729602796 55.0886169830001,-140.750345752 55.104516677,-140.759916796 55.1118529830001,-140.7694514 55.119283726,-140.789913796 55.135230983,-140.810091077 55.151222541,-140.819588796 55.1587499830001,-140.829048735 55.1663765960001,-140.848938796 55.1824119830001,-140.877963796 55.2062089830001,-140.906658796 55.2301449830001,-140.925680601 55.2462864240001,-140.935022796 55.2542139830001,-140.944324518 55.2622467150001,-140.963052796 55.278419983,-140.990747796 55.302755984,-141.018099796 55.3272229840001,-141.045113796 55.351819984,-141.071783796 55.376541984,-141.089018908 55.3928112950001,-141.098105796 55.4013889840001,-141.107147933 55.4100823150001,-141.124080796 55.426361984,-141.149705796 55.4514589840001,-141.174974797 55.4766729840001,-141.199891797 55.5020059840001,-141.224449797 55.5274589840001,-141.239841474 55.543720808,-141.248647797 55.553024984,-141.257404152 55.5624603030001,-141.272480797 55.5787059840001,-141.287242886 55.5949305070001,-141.295949797 55.604499984,-141.319052797 55.6304029840001,-141.341785797 55.656413984,-141.35033805 55.666403469,-141.364147797 55.682533984,-141.386135797 55.708755984,-141.407747797 55.735083984,-141.428980797 55.761511984,-141.441495349 55.7774339760001,-141.449830797 55.7880389840001,-141.458110937 55.7988105690001,-141.470299797 55.814666984,-141.490385797 55.8413869840001,-141.5019173 55.8570854700001,-141.510083797 55.8682029840001,-141.518191963 55.8795031000001,-141.529391797 55.895111984,-141.548308797 55.9221119840001,-141.566830797 55.9491979840001,-141.584958797 55.9763729840001,-141.602688797 56.003630984,-141.620019797 56.0309729840001,-141.636947797 56.0583979840001,-141.673288797 56.0884839840001,-141.70281334 56.102012818,-141.713430797 56.1068779840001,-141.724031413 56.1118147700001,-141.753322797 56.125455984,-141.792958797 56.144211984,-141.821776893 56.1580696670001,-141.832341797 56.163149984,-141.871466797 56.182263984,-141.881992435 56.187488887,-141.910330797 56.201555984,-141.938425136 56.2157261580001,-141.948930797 56.2210249840001,-141.959414587 56.2263969250001,-141.987263797 56.240666984,-142.025324797 56.2604839840001,-142.063116797 56.280472984,-142.100633797 56.3006309840001,-142.137872797 56.3209619840001,-142.174830797 56.341458984,-142.211505797 56.362122985,-142.237581828 56.377048345,-142.247897798 56.382952985,-142.258185858 56.388936304,-142.283997798 56.4039479850001,-142.319805798 56.4251059850001,-142.34508743 56.4402846450001,-142.355319798 56.4464279850001,-142.365522695 56.452651002,-142.390538798 56.4679089850001,-142.425458798 56.4895479850001,-142.460074798 56.5113449850001,-142.503288798 56.521461985,-142.554135798 56.5286589850001,-142.594096661 56.5345004060001,-142.604888798 56.5360779850001,-142.61569989 56.537709594,-142.655544798 56.543722985,-142.695269032 56.5499040390001,-142.706097798 56.5515889850001,-142.756544798 56.5596779850001,-142.806885798 56.5679889850001,-142.811076363 56.5680982280001,-142.828635798 56.568555985,-142.871045929 56.5621618750001,-142.879322798 56.5609139850001,-142.887654917 56.559696355,-142.930110798 56.5534919850001,-142.980991798 56.5462979850001,-143.023524526 56.540479825,-143.031966798 56.5393249850001,-143.083030798 56.532577985,-143.091581211 56.5314878080001,-143.134183798 56.526055985,-143.185419798 56.5197589850001,-143.228077608 56.5147129370001,-143.236733798 56.513688985,-143.242504751 56.5116788830001,-143.280969798 56.4982809850001,-143.327210799 56.4845979850001,-143.373633799 56.471119985,-143.420233799 56.4578479850001,-143.467010799 56.4447839850001,-143.507252636 56.433764366,-143.513958799 56.4319279850001,-143.520731003 56.4301101720001,-143.561074799 56.4192809850001,-143.608358799 56.4068449850001,-143.655802799 56.3946199850001,-143.703408799 56.3826059850001,-143.744137948 56.3725413720001,-143.751172799 56.3708029850001,-143.799091799 56.3592139850001,-143.847160799 56.3478389840001,-143.895377799 56.3366749840001,-143.902667516 56.3350253360001,-143.943738799 56.3257309840001,-143.992244799 56.3149979840001,-144.040891799 56.3044839840001,-144.089672799 56.294183984,-144.131048378 56.2856564520001,-144.138585799 56.2841029840001,-144.187633799 56.2742389840001,-144.195292291 56.2727369410001,-144.236805799 56.264594984,-144.286105799 56.2551699840001,-144.327746666 56.247412931,-144.335524799 56.2459639840001,-144.3850638 56.2369779840001,-144.4347198 56.228213984,-144.442673474 56.226848949,-144.4844858 56.2196729840001,-144.526352485 56.21268681,-144.5343638 56.211349984,-144.5843498 56.2032499840001,-144.592474638 56.201972272,-144.6344388 56.1953729840001,-144.6846278 56.1877199840001,-144.726679834 56.181506127,-144.7349168 56.1802889840001,-144.743208693 56.179103206,-144.7852998 56.1730839840001,-144.82742803 56.1672573930001,-144.8357748 56.1661029840001,-144.844175557 56.164980701,-144.8863388 56.1593479840001,-144.9369918 56.152816984,-144.9877248 56.146511984,-145.0385388 56.140430984,-145.080818021 56.1355685250001,-145.0894308 56.134577984,-145.1403978 56.1289529840001,-145.1914358 56.1235529840001,-145.200201705 56.1226658620001,-145.2425418 56.1183809840001,-145.284896903 56.1142904870001,-145.2937138 56.113438984,-145.3025796 56.112622903,-145.3449478 56.1087229840001,-145.3962388 56.1042339840001,-145.438624884 56.100718457,-145.4475888 56.099974984,-145.456600988 56.099268469,-145.498994801 56.095944984,-145.550447801 56.0921449840001,-145.601949801 56.0885729840001,-145.653497801 56.0852309840001,-145.705083801 56.082116984,-145.756710801 56.079236984,-145.808372801 56.076580984,-145.860069801 56.0741589840001,-145.911794801 56.071966984,-145.963544801 56.070005984,-146.015319801 56.068272984,-146.067116801 56.0667729840001,-146.109382777 56.065737013,-146.118930801 56.065502984,-146.170760801 56.064463984,-146.18039055 56.064313897,-146.222602801 56.063655984,-146.264782992 56.063185779,-146.274452801 56.0630779840001,-146.284161798 56.0630130150001,-146.326308801 56.062730984,-146.378166801 56.062616984,-146.430024801 56.062730984,-146.472056143 56.0630122410001,-146.481880801 56.0630779840001,-146.491742384 56.0631879170001,-146.533730802 56.063655984,-146.575674172 56.0643097060001,-146.585572802 56.064463984,-146.637402802 56.065502984,-146.647372593 56.065747351,-146.689216802 56.0667729840001,-146.693766802 56.0596839840001,-146.716399802 56.0335809840001,-146.739405802 56.0075869840001,-146.762783802 55.9816979840001,-146.786533802 55.955922984,-146.810649802 55.930258984,-146.835130802 55.9047089840001,-146.859974802 55.8792729840001,-146.885180802 55.853955984,-146.910744802 55.828758984,-146.936663802 55.803680984,-146.962137087 55.7794864530001,-146.962938802 55.7787249840001,-146.963826479 55.7778970590001,-146.989560802 55.7538949840001,-147.015559077 55.730081786,-147.016533802 55.7291889840001,-147.017594799 55.728234479,-147.043852802 55.7046119840001,-147.071516802 55.6801619840001,-147.099519802 55.6558449840001,-147.127863802 55.6316589840001,-147.156541802 55.607605984,-147.184065541 55.584917445,-147.185555802 55.583688984,-147.187130651 55.582412746,-147.214899802 55.5599089840001,-147.244574802 55.5362669840001,-147.272830029 55.514130897,-147.274574802 55.5127639840001,-147.276404175 55.511354806,-147.304897802 55.489405984,-147.333630647 55.4676390750001,-147.335544802 55.466188984,-147.337542427 55.464700507,-147.366508802 55.443116984,-147.397788802 55.420191984,-147.429383802 55.397411984,-147.461285802 55.374783984,-147.493499802 55.3523059840001,-147.523605142 55.331635872,-147.526019802 55.329977984,-147.5285175 55.328290887,-147.558844802 55.307805984,-147.591969802 55.285786984,-147.62272982 55.26566624,-147.625391803 55.263924983,-147.628135105 55.262159008,-147.659108803 55.242219983,-147.6902942 55.2224649230001,-147.693119803 55.220674983,-147.727419803 55.199288983,-147.730407613 55.197455819,-147.762008803 55.1780669830001,-147.796883803 55.1570089830001,-147.828889711 55.137985702,-147.832038803 55.136113983,-147.835267907 55.1342249630001,-147.867474803 55.1153839830001,-147.903188803 55.094822983,-147.935786117 55.0763485150001,-147.939174803 55.0744279830001,-147.975435803 55.054202983,-148.011963803 55.0341499830001,-148.015590112 55.0321907220001,-148.048758803 55.0142699830001,-148.082111713 54.996534206,-148.085816803 54.994563983,-148.089599967 54.992584155,-148.123135803 54.9750339830001,-148.1568531 54.9576638950001,-148.160713803 54.9556749830001,-148.164652634 54.9536785000001,-148.198547803 54.936497983,-148.236633803 54.917497983,-148.270879193 54.900687471,-148.274972803 54.898677983,-148.313555803 54.8800389830001,-148.317801327 54.8780207520001,-148.352383803 54.8615809830001,-148.391455803 54.8433059830001,-148.430763803 54.8252169830001,-148.470310803 54.807311983,-148.510091803 54.789594983,-148.545480084 54.774089448,-148.550102803 54.7720639830001,-148.554799706 54.7700398520001,-148.590341803 54.7547229830001,-148.630805803 54.7375729830001,-148.671494804 54.720611983,-148.712399804 54.7038419830001,-148.753524804 54.687266983,-148.794863804 54.6708839830001,-148.836413804 54.6546979830001,-148.878174804 54.6387089830001,-148.914859757 54.6249009850001,-148.920138804 54.622913983,-148.925489719 54.620935273,-148.962308804 54.6073199830001,-149.004677804 54.5919229830001,-149.04175297 54.578685771,-149.047244804 54.5767249830001,-149.052806745 54.5747747070001,-149.090005804 54.5617309830001,-149.132960804 54.5469369830001,-149.176102804 54.532344983,-149.219433804 54.517958983,-149.234291804 54.5057869830001,-149.266374804 54.483572983,-149.298752804 54.461511983,-149.331424804 54.439608983,-149.361793637 54.4195759080001,-149.364388804 54.4178639830001,-149.397638804 54.3962779830001,-149.431177804 54.374849983,-149.434014345 54.3730667240001,-149.464999804 54.3535869830001,-149.499102804 54.3324869830001,-149.530487477 54.3133746560001,-149.533483804 54.3115499830001,-149.568141804 54.2907779830001,-149.603072804 54.2701749830001,-149.638272804 54.249738983,-149.673741804 54.229474983,-149.677132528 54.227568252,-149.709474804 54.2093809830001,-149.745472805 54.1894619820001,-149.781727805 54.1697119820001,-149.8146195 54.1520821350001,-149.818244805 54.150138982,-149.855010805 54.1307419820001,-149.858789902 54.1287802160001,-149.892033805 54.1115229820001,-149.929302805 54.092483982,-149.966822805 54.0736229820001,-150.000575971 54.056924725,-150.004583805 54.0549419820001,-150.008667275 54.052954404,-150.042585805 54.036444982,-150.080827805 54.0181309820001,-150.115071522 54.0019951950001,-150.119305805 53.9999999820001,-150.123615214 53.998002743,-150.158016805 53.9820589820001,-150.192575317 53.9662990160001,-150.196958805 53.9642999820001,-150.201416289 53.962300607,-150.236127805 53.9467309820001,-150.270991182 53.931349326,-150.275522805 53.9293499820001,-150.27912302 53.927141857,-150.317183805 53.9037979820001,-150.352012274 53.8884149370001,-150.356535805 53.8864169820001,-150.36113208 53.8844200560001,-150.396110805 53.8692229820001,-150.435905805 53.8522229820001,-150.471174104 53.837406436,-150.475916805 53.835413982,-150.480731552 53.833425124,-150.516141805 53.818797982,-150.551690413 53.8043626240001,-150.556577805 53.8023779820001,-150.597222805 53.786149982,-150.602253526 53.7841763370001,-150.638074805 53.770122982,-150.674026816 53.756256416,-150.679127805 53.754288982,-150.684300099 53.7523290620001,-150.720383805 53.7386559820001,-150.761835805 53.723219982,-150.803485805 53.7079869820001,-150.839942839 53.694886883,-150.845324806 53.6929529820001,-150.850776504 53.691029433,-150.887355806 53.678122982,-150.929572806 53.663494982,-150.971972806 53.6490699820001,-151.008895998 53.6367391270001,-151.014552806 53.634849982,-151.020277771 53.6329738810001,-151.057313806 53.6208369820001,-151.100249806 53.607030982,-151.143358806 53.593430982,-151.180710131 53.5818726730001,-151.186635806 53.5800389820001,-151.192628088 53.5782208030001,-151.230083806 53.5668559820001,-151.273694806 53.5538839820001,-151.317466806 53.541122982,-151.318935763 53.5372920930001,-151.318935806 53.5372919820001,-151.352605806 53.516316982,-151.355540927 53.514517724,-151.386549806 53.495508982,-151.417749915 53.4766853240001,-151.420763806 53.474866982,-151.423855904 53.473031147,-151.455244806 53.4543949820001,-151.486818755 53.435944433,-151.489988806 53.434091982,-151.493236122 53.432224353,-151.524994806 53.4139589820001,-151.556935268 53.3958820890001,-151.560260806 53.3939999820001,-151.595783806 53.3742139820001,-151.631560806 53.3546029820001,-151.667588806 53.335166982,-151.671221608 53.3332388270001,-151.703866806 53.315911982,-151.740388806 53.2968339820001,-151.777155806 53.277933982,-151.810303773 53.2611692150001,-151.814163806 53.2592169820001,-151.818098723 53.257258979,-151.851408806 53.2406839820001,-151.888891806 53.2223309820001,-151.922521408 53.2061314540001,-151.926605807 53.2041639820001,-151.930764268 53.2021934690001,-151.964549807 53.186183982,-151.998491751 53.17036219,-152.002724807 53.1683889820001,-152.007031105 53.1664145980001,-152.041122807 53.1507839820001,-152.075362314 53.135342113,-152.079741807 53.1333669810001,-152.118583807 53.1161419810001,-152.123108959 53.1141682370001,-152.157641807 53.099105981,-152.192313342 53.084235779,-152.196910807 53.082263981,-152.236394807 53.0656139810001,-152.241136795 53.063648566,-152.276088807 53.0491619810001,-152.311173173 53.034864247,-152.315985807 53.0329029810001,-152.356088807 53.016838981,-152.396391807 53.0009749810001,-152.401416786 52.999031389,-152.436894807 52.9853089810001,-152.472496874 52.9717783240001,-152.477591807 52.9698419810001,-152.518480807 52.9545749810001,-152.523714675 52.9526558540001,-152.559560807 52.9395119810001,-152.595527413 52.9265598200001,-152.600830807 52.9246499810001,-152.642280807 52.9099919810001,-152.647720433 52.9081034760001,-152.683916807 52.8955369810001,-152.725727807 52.8812869810001,-152.767719807 52.8672449810001,-152.809880807 52.853405981,-152.846507576 52.8416157880001,-152.852216807 52.8397779810001,-152.857991892 52.8379546780001,-152.894719807 52.8263589810001,-152.937385807 52.813147981,-152.980216808 52.8001479810001,-153.023208808 52.7873589810001,-153.066355808 52.774780981,-153.103557892 52.7641563550001,-153.109658808 52.7624139810001,-153.153113808 52.750263981,-153.196716808 52.7383249810001,-153.240463808 52.726602981,-153.246818647 52.7249369260001,-153.284358808 52.7150949810001,-153.328391808 52.7038059810001,-153.372560808 52.6927309810001,-153.410325877 52.683477661,-153.416866808 52.6818749810001,-153.423468684 52.6802945950001,-153.461305808 52.6712369810001,-153.499211894 52.6623747360001,-153.505874808 52.660816981,-153.512598181 52.659283068,-153.550569808 52.650619981,-153.588603424 52.6421494900001,-153.595385808 52.6406389810001,-153.602228083 52.6391532580001,-153.640324808 52.6308809810001,-153.685383808 52.6213449810001,-153.723598452 52.6134635010001,-153.730558808 52.612027981,-153.737577295 52.6106190450001,-153.775844808 52.602936981,-153.814162935 52.5954496090001,-153.821238808 52.594066981,-153.828372436 52.5927118380001,-153.866741808 52.5854229810001,-153.905159346 52.5783279340001,-153.912349808 52.576999981,-153.919597393 52.5757008030001,-153.958060808 52.5688059810001,-154.003866808 52.560833981,-154.042413549 52.5543305940001,-154.049772809 52.553088981,-154.057186432 52.551877097,-154.095769809 52.545569981,-154.134387865 52.5394570890001,-154.141855809 52.538274981,-154.149378238 52.5371238500001,-154.188030809 52.5312089810001,-154.234291809 52.5243729810001,-154.280633809 52.517761981,-154.319370749 52.512434494,-154.327052809 52.5113779810001,-154.373549809 52.505224981,-154.420119809 52.499302981,-154.427957515 52.498345638,-154.466760809 52.493605981,-154.505580235 52.4890649000001,-154.513469809 52.4881419810001,-154.52140987 52.487253679,-154.560244809 52.482908981,-154.59909121 52.4787569380001,-154.607080809 52.4779029810001,-154.653974809 52.4731279810001,-154.662063385 52.4723457050001,-154.700927809 52.468586981,-154.73979687 52.4650214060001,-154.747933809 52.4642749810001,-154.76435108 52.4628928830001,-154.842094809 52.4563479810001,-154.889244809 52.4527309810001,-154.936435809 52.4493479810001,-154.983666809 52.4461979810001,-155.022518005 52.4437979830001,-155.030935809 52.4432779810001,-155.078238809 52.4405919810001,-155.12557281 52.4381389810001,-155.134124472 52.4377383280001,-155.17293581 52.435919981,-155.22032281 52.4339339810001,-155.26773381 52.432180981,-155.31516381 52.4306619810001,-155.353886483 52.429611584,-155.36260881 52.4293749810001,-155.37137287 52.42918072,-155.41006981 52.4283229810001,-155.436289214 52.425483092,-155.44167281 52.4248999810001,-155.44522443 52.4229993610001,-155.47739981 52.4057809810001,-155.509742171 52.388752013,-155.51336981 52.386841981,-155.517071955 52.3849241870001,-155.54957481 52.368086981,-155.58601681 52.349511981,-155.62269181 52.331119981,-155.65959481 52.3129119810001,-155.692728411 52.296832819,-155.69672781 52.294891981,-155.700799953 52.2929480220001,-155.73408381 52.277058981,-155.767515468 52.261360505,-155.77166081 52.2594139810001,-155.775879018 52.257466025,-155.80945881 52.241958981,-155.843182345 52.226640827,-155.84747281 52.224691981,-155.851835466 52.222743639,-155.88569981 52.2076199810001,-155.919704147 52.192686522,-155.92413881 52.190738981,-155.96278881 52.1740499810001,-155.967365927 52.172107242,-156.00164181 52.1575589810001,-156.04069981 52.1412619810001,-156.075241215 52.127099134,-156.07996081 52.1251639810001,-156.084749372 52.123234041,-156.11941681 52.109261981,-156.15907281 52.0935589810001,-156.198916811 52.078055981,-156.233955134 52.0646632470001,-156.238952811 52.0627529810001,-156.279177811 52.0476529800001,-156.284312697 52.045759929,-156.319585811 52.03275598,-156.360177811 52.01806198,-156.400949811 52.0035729800001,-156.441897811 51.98928698,-156.483019811 51.97521198,-156.518839115 51.9631773680001,-156.524310811 51.9613389800001,-156.565774811 51.94767798,-156.607402811 51.9342249800001,-156.613073064 51.932428062,-156.649194811 51.9209809800001,-156.691147811 51.9079479800001,-156.727455248 51.8968939920001,-156.733255811 51.89512798,-156.73912122 51.8933783630001,-156.775522811 51.88251998,-156.817938811 51.8701229800001,-156.864073816 51.8585625640001,-156.872005811 51.8565749800001,-156.877524752 51.8547514790001,-156.913366811 51.8429089800001,-156.949312113 51.8312601440001,-156.954897811 51.82944998,-156.996588811 51.8162029800001,-157.038438811 51.8031669800001,-157.080449811 51.7903419800001,-157.086295315 51.788593625,-157.122613811 51.7777309800001,-157.164930811 51.76533098,-157.207397811 51.7531449800001,-157.243973887 51.742870753,-157.250010811 51.74117498,-157.256110631 51.7394980610001,-157.292769812 51.72941998,-157.329507701 51.7195358610001,-157.335669812 51.71787798,-157.341893765 51.7162405700001,-157.378705812 51.7065559800001,-157.41559445 51.697067035,-157.421880812 51.69544998,-157.465185812 51.6845639800001,-157.471594178 51.6829900290001,-157.508624812 51.6738949800001,-157.552188812 51.6634479800001,-157.58934924 51.654745828,-157.595877812 51.6532169800001,-157.602466653 51.651711956,-157.639691812 51.6432089800001,-157.683622812 51.63342298,-157.727672812 51.6238589800001,-157.765068605 51.61594812,-157.771833812 51.6145169800001,-157.77865665 51.6131116340001,-157.816105812 51.6053979800001,-157.85360751 51.5978820930001,-157.860488812 51.5965029800001,-157.867427303 51.5951509650001,-157.904977812 51.58783398,-157.949566812 51.57938698,-157.987207139 51.5724639630001,-157.994258812 51.57116698,-158.001365979 51.569898483,-158.039047812 51.56317298,-158.076768377 51.5566429180001,-158.083930812 51.5554029800001,-158.091148298 51.5541928170001,-158.128905812 51.5478619800001,-158.173969812 51.54054798,-158.219119812 51.53346198,-158.256973066 51.5277220230001,-158.264352812 51.5266029800001,-158.271785538 51.5255154800001,-158.309666812 51.51997298,-158.355060813 51.5135699800001,-158.392989501 51.5084229500001,-158.400527813 51.5073999800001,-158.408117973 51.506409836,-158.446069813 51.5014589800001,-158.491680813 51.49574498,-158.52966382 51.4911870190001,-158.537355813 51.4902639800001,-158.583097813 51.4850139800001,-158.590890162 51.4841600920001,-158.628899813 51.4799949800001,-158.674760813 51.4752059800001,-158.712788958 51.4714329780001,-158.720680813 51.4706499800001,-158.766649813 51.4663249800001,-158.774637444 51.4656149100001,-158.812669813 51.4622339800001,-158.858738813 51.45837298,-158.904849813 51.45474798,-158.942876578 51.4519509250001,-158.951005813 51.4513529800001,-158.997197813 51.44819198,-159.043427813 51.4452639800001,-159.051694054 51.4447831640001,-159.089691813 51.4425729800001,-159.135985813 51.44011198,-159.182308813 51.43788398,-159.220255012 51.4362529420001,-159.228652813 51.4358919800001,-159.237094065 51.435571951,-159.275022813 51.4341339800001,-159.321410813 51.43261198,-159.367816813 51.4313199800001,-159.405670769 51.4304588840001,-159.414238814 51.4302639800001,-159.422847605 51.4301121290001,-159.460669814 51.42944498,-159.507108814 51.42885898,-159.553552814 51.4285059800001,-159.591271024 51.428410968,-159.599999814 51.4283889800001,-159.608767346 51.428411065,-159.646447814 51.4285059800001,-159.692891814 51.42885898,-159.739330814 51.42944498,-159.776879674 51.430107321,-159.785760814 51.4302639800001,-159.807777814 51.42185298,-159.813080307 51.4200115030001,-159.848369814 51.40775598,-159.883764532 51.3956937820001,-159.889133814 51.39386398,-159.89456876 51.3920470640001,-159.930063814 51.38018098,-159.971160814 51.3667089800001,-160.012416814 51.3534449800001,-160.048203735 51.3421669030001,-160.053835814 51.34039198,-160.095408814 51.3275529800001,-160.101168853 51.3258095210001,-160.137135814 51.3149229800001,-160.179016814 51.30250898,-160.221044814 51.2903089800001,-160.263216814 51.27832298,-160.29951989 51.268223112,-160.305533814 51.26654998,-160.311610689 51.26489658,-160.347991814 51.25499798,-160.390585814 51.2436589800001,-160.427116412 51.234152527,-160.433316814 51.2325389800001,-160.476177814 51.2216389800001,-160.482499664 51.220068075,-160.519169815 51.2109559800001,-160.562288815 51.20049498,-160.599090695 51.1917789460001,-160.605533815 51.1902529800001,-160.612035575 51.1887503360001,-160.648897815 51.18023098,-160.692380815 51.17043398,-160.735980815 51.1608559800001,-160.773015626 51.152932052,-160.779694815 51.15150298,-160.786430572 51.1500991720001,-160.823516815 51.1423699800001,-160.86065346 51.1348413790001,-160.867447815 51.13346398,-160.874299171 51.1321134990001,-160.911483815 51.1247839800001,-160.948715008 51.1176488230001,-160.955622815 51.1163249800001,-160.962586991 51.1150293700001,-160.999860815 51.10809498,-161.037175001 51.1013566440001,-161.044194815 51.1000889800001,-161.051269935 51.0988500770001,-161.088624815 51.09230898,-161.133144815 51.0847589800001,-161.177752815 51.0774339800001,-161.215208617 51.0714881490001,-161.222447815 51.07033898,-161.229739684 51.0692203730001,-161.267224815 51.06346998,-161.312083815 51.05683098,-161.357019815 51.0504229800001,-161.394580218 51.0452651100001,-161.402030815 51.04424198,-161.447113815 51.0382919800001,-161.454667043 51.037335237,-161.492263815 51.0325729800001,-161.537483815 51.02708398,-161.575109334 51.022714002,-161.582763816 51.0218249800001,-161.628108816 51.01679998,-161.635862841 51.0159811950001,-161.673508816 51.01200598,-161.718966816 51.0074449800001,-161.756623175 51.0038612210001,-161.764474816 51.0031139800001,-161.810035816 50.9990169800001,-161.855641816 50.9951499800001,-161.863636928 50.9945142650001,-161.901294816 50.9915199800001,-161.946985816 50.9881199800001,-161.992716816 50.9849559790001,-162.030352364 50.982545837,-162.038485816 50.9820249790001,-162.084285816 50.9793249790001,-162.130116816 50.976863979,-162.138383191 50.976461999,-162.175974816 50.974633979,-162.213549769 50.973000321,-162.221860816 50.9726389790001,-162.267766816 50.9708779790001,-162.313691816 50.9693529790001,-162.32213044 50.9691158590001,-162.359635816 50.968061979,-162.397112046 50.9671983850001,-162.405591816 50.967002979,-162.414112711 50.966850605,-162.451558816 50.9661809790001,-162.497533816 50.9655949790001,-162.534914636 50.9653080160001,-162.543516816 50.965241979,-162.589499816 50.9651249790001,-162.635483817 50.965241979,-162.644202989 50.965308914,-162.681466817 50.9655949790001,-162.727441817 50.9661809790001,-162.764614388 50.966845714,-162.773408817 50.967002979,-162.782240037 50.967206489,-162.819363817 50.968061979,-162.856440593 50.969103793,-162.865308817 50.9693529790001,-162.911233817 50.9708779790001,-162.957138817 50.9726389790001,-162.960794493 50.972185311,-162.978935817 50.9699339790001,-163.022094817 50.959905979,-163.058846157 50.951577646,-163.065366817 50.9500999790001,-163.071947302 50.9486471530001,-163.108758817 50.940519979,-163.152260817 50.931158979,-163.195874817 50.9220229790001,-163.219591496 50.9153733150001,-163.223508817 50.914274979,-163.227197105 50.9123878570001,-163.259208817 50.896008979,-163.291372076 50.8798212580001,-163.295133817 50.877927979,-163.298967483 50.876030187,-163.331274817 50.860036979,-163.367635817 50.8423309790001,-163.400232422 50.8267220400001,-163.404210817 50.824816979,-163.440999817 50.8074919790001,-163.44512137 50.8055837090001,-163.477997817 50.7903619790001,-163.515202817 50.773419979,-163.548350172 50.7585833680001,-163.552613817 50.7566749790001,-163.590224817 50.740124979,-163.594628772 50.7382204150001,-163.628035817 50.723772979,-163.661568233 50.709518659,-163.666041817 50.7076169790001,-163.670585077 50.705719188,-163.704244818 50.6916589790001,-163.738026176 50.67779326,-163.742638818 50.6758999790001,-163.781222818 50.6603419790001,-163.785972889 50.6584606480001,-163.819991818 50.6449869790001,-163.858944818 50.6298309790001,-163.893192052 50.616744865,-163.898077818 50.614877979,-163.903031575 50.6130197850001,-163.937391818 50.600130979,-163.9718597 50.5874380280001,-163.976880818 50.5855889790001,-164.016541818 50.5712529790001,-164.056374818 50.557124979,-164.096377818 50.5432029790001,-164.136544818 50.5294889790001,-164.141896841 50.5276971860001,-164.176874818 50.515986979,-164.217363818 50.5026949790001,-164.252528806 50.4913781980001,-164.258010818 50.4896139790001,-164.263557109 50.4878647150001,-164.298813818 50.476744979,-164.339766818 50.4640869790001,-164.380872818 50.451644979,-164.416385471 50.4411177370001,-164.422122818 50.439416979,-164.463516818 50.4274029790001,-164.469379318 50.4257379200001,-164.505052818 50.4156059790001,-164.540805346 50.4056714800001,-164.546730818 50.404024979,-164.552717236 50.4023980470001,-164.588541818 50.3926619790001,-164.624437791 50.383124009,-164.630485818 50.381516979,-164.672563818 50.370591979,-164.678732917 50.369026718,-164.714766818 50.3598839790001,-164.757097818 50.3493979790001,-164.799549819 50.3391339790001,-164.835773517 50.3305870820001,-164.842122819 50.3290889790001,-164.884813819 50.3192669790001,-164.927616819 50.309666979,-164.970533819 50.3002919790001,-165.013560819 50.291138979,-165.020201234 50.2897646800001,-165.056694819 50.2822119790001,-165.099930819 50.273511979,-165.143266819 50.2650339790001,-165.186702819 50.256783979,-165.230235819 50.2487589790001,-165.262438819 50.2428339790001,-165.303347819 50.2303839790001,-165.338703195 50.2198484130001,-165.344402819 50.218149979,-165.350164585 50.216469015,-165.385599819 50.2061309790001,-165.421117027 50.1959883600001,-165.426941819 50.194324979,-165.468419819 50.1827389790001,-165.474368129 50.181113893,-165.510033819 50.1713699790001,-165.545771226 50.161822483,-165.551780819 50.160216979,-165.557851812 50.1586324730001,-165.593658819 50.1492869790001,-165.635663819 50.1385729790001,-165.677797819 50.1280809790001,-165.697986609 50.1211170500001,-165.701030819 50.1200669790001,-165.740294819 50.105713979,-165.779724819 50.091566979,-165.784867215 50.0897572710001,-165.819324819 50.077630979,-165.853880631 50.0657010370001,-165.85908882 50.063902979,-165.864362296 50.0621174610001,-165.89901682 50.0503839790001,-165.933761918 50.038847354,-165.93909982 50.0370749790001,-165.97934182 50.0239779790001,-166.01973882 50.0110919790001,-166.025270137 50.009363706,-166.06028582 49.9984229790001,-166.095386397 49.9876767420001,-166.10098082 49.9859639790001,-166.106638824 49.984268184,-166.14182282 49.9737229790001,-166.18280882 49.9616949790001,-166.22393382 49.949883979,-166.259352654 49.9399314440001,-166.26519782 49.938288979,-166.27110393 49.9366658220001,-166.30659482 49.9269119790001,-166.342159522 49.917356528,-166.34812782 49.915752979,-166.38978882 49.9048139780001,-166.395878109 49.9032520580001,-166.43157782 49.8940949780001,-166.47349182 49.8835949780001,-166.509318386 49.874835214,-166.51552782 49.873316978,-166.521796582 49.871821761,-166.55768382 49.863261978,-166.593628651 49.854897356,-166.59995582 49.8534249780001,-166.64234182 49.8438139780001,-166.68483882 49.8344279780001,-166.72744482 49.8252639780001,-166.77015582 49.8163249780001,-166.772293827 49.8159858130001,-166.78335582 49.8142309780001,-166.818140384 49.8030804050001,-166.82357282 49.801338978,-166.829068717 49.7996129840001,-166.86393882 49.7886619780001,-166.90445282 49.776197978,-166.945113821 49.763947978,-166.980231436 49.7535907650001,-166.985916821 49.7519139780001,-166.991664158 49.7502549370001,-167.026860821 49.7400949780001,-167.067944821 49.7284949780001,-167.109158821 49.717111978,-167.150508821 49.705947978,-167.185992514 49.696584499,-167.191985821 49.695002978,-167.233591821 49.6842779780001,-167.239705754 49.6827389100001,-167.275322821 49.673772978,-167.311001039 49.665006019,-167.317174821 49.663488978,-167.359144821 49.6534279780001,-167.365436519 49.6519568910001,-167.401233821 49.643586978,-167.443433821 49.633972978,-167.479339289 49.6260008680001,-167.485747821 49.624577978,-167.492213852 49.6231807830001,-167.528166821 49.6154119780001,-167.56416876 49.607839084,-167.570691821 49.6064669780001,-167.577272071 49.605121169,-167.613322821 49.597747978,-167.656049821 49.589255978,-167.692185021 49.582280875,-167.698877821 49.5809889780001,-167.741799821 49.5729499780001,-167.784813821 49.5651389780001,-167.791671745 49.5639324810001,-167.827916821 49.557555978,-167.864195581 49.5513798870001,-167.871108821 49.5502029780001,-167.914383821 49.5430749780001,-167.921403701 49.5419587270001,-167.957738821 49.5361809780001,-168.001174822 49.5295119780001,-168.037560283 49.524129127,-168.044685822 49.5230749780001,-168.05186333 49.5220531250001,-168.088269822 49.516869978,-168.131924822 49.5108949780001,-168.168367356 49.506106598,-168.175647822 49.5051499780001,-168.219435822 49.4996389780001,-168.226817154 49.498750188,-168.263285822 49.494358978,-168.307197822 49.489311978,-168.351166822 49.484494978,-168.387658601 49.480697585,-168.395188822 49.4799139780001,-168.439260822 49.4755639780001,-168.483383822 49.4714499780001,-168.491057897 49.4707758530001,-168.527552822 49.467569978,-168.571766822 49.463922978,-168.616019822 49.4605089780001,-168.660310822 49.4573309780001,-168.704638822 49.4543869780001,-168.741093537 49.452158227,-168.748997822 49.451674978,-168.793388822 49.4492029780001,-168.80220919 49.449410808,-168.839266822 49.4502839780001,-168.880922822 49.4399949780001,-168.916504611 49.431418282,-168.922699822 49.429924978,-168.928953919 49.4284553580001,-168.964591822 49.420080978,-169.006599822 49.4104589780001,-169.048716822 49.401061978,-169.090941823 49.3918869780001,-169.126786812 49.3843100020001,-169.133272823 49.382938978,-169.175705823 49.3742139780001,-169.218238823 49.3657169780001,-169.224893841 49.3644261250001,-169.260869823 49.357447978,-169.296884543 49.350666505,-169.303594823 49.3494029780001,-169.310359964 49.348168011,-169.346410823 49.3415869780001,-169.366041907 49.337353803,-169.369574823 49.3365919780001,-169.375813166 49.335122772,-169.411385823 49.3267449780001,-169.453310823 49.3171199780001,-169.495347823 49.3077199780001,-169.537491823 49.2985449780001,-169.573271887 49.2909629920001,-169.579741823 49.289591978,-169.622094823 49.2808669780001,-169.664547823 49.272366978,-169.671186522 49.27107628,-169.707094823 49.2640949780001,-169.743043793 49.2573130280001,-169.749738823 49.2560499780001,-169.756488406 49.2548150710001,-169.792474823 49.248230978,-169.828494924 49.2418478710001,-169.835299823 49.240641978,-169.842158477 49.239465437,-169.878210823 49.233280978,-169.914292801 49.227296548,-169.921205823 49.2261499780001,-169.928171637 49.2250338310001,-169.964280823 49.2192479780001,-170.000416548 49.2136603590001,-170.007435823 49.2125749780001,-170.014507136 49.2115209300001,-170.050666823 49.206130978,-170.093969823 49.199919978,-170.130168617 49.194931012,-170.137344823 49.1939419780001,-170.180785824 49.1881919780001,-170.224294824 49.1826749780001,-170.267860824 49.1773919780001,-170.311491824 49.172338978,-170.318918307 49.1715197070001,-170.355174824 49.167519978,-170.398916824 49.1629339780001,-170.426283824 49.157772978,-170.464572824 49.143180978,-170.503030824 49.128794978,-170.536737445 49.116419739,-170.541655824 49.1146139780001,-170.546640554 49.112818976,-170.580447824 49.100644978,-170.619399824 49.0868839780001,-170.658513824 49.0733339780001,-170.692604531 49.0617516450001,-170.697783824 49.059991978,-170.737208824 49.046863978,-170.742516394 49.0451318460001,-170.776785824 49.0339479780001,-170.816510824 49.0212479780001,-170.856383824 49.0087589780001,-170.896399824 48.9964869780001,-170.930998888 48.9860975230001,-170.936558824 48.984427978,-170.976855824 48.972588978,-171.017288824 48.9609639780001,-171.023035025 48.959349036,-171.057858824 48.9495619780001,-171.092749644 48.9399710100001,-171.098555824 48.9383749780001,-171.104423072 48.9367990920001,-171.139383824 48.9274089780001,-171.180335824 48.916661978,-171.221410825 48.9061369780001,-171.262608825 48.895833978,-171.297817143 48.8872402640001,-171.303922825 48.885749978,-171.345349825 48.875891978,-171.351573137 48.8744485350001,-171.386894825 48.866255978,-171.428544825 48.856844978,-171.470305825 48.847658978,-171.512169825 48.838697977,-171.554135825 48.829961977,-171.589691143 48.822769599,-171.596199825 48.821452977,-171.602764566 48.8201633520001,-171.638363825 48.813169977,-171.673999209 48.806378711,-171.680619825 48.8051169770001,-171.722966825 48.7972889770001,-171.765402825 48.789688977,-171.772186883 48.78851331,-171.807924825 48.782319977,-171.850530825 48.775180977,-171.893216825 48.768269977,-171.929036523 48.762673883,-171.935980825 48.761588977,-171.978822825 48.7551389770001,-171.985871258 48.7541174630001,-172.021733825 48.7489199770001,-172.064716825 48.7429339770001,-172.100614945 48.7381342190001,-172.107766825 48.737177977,-172.114969313 48.7362554900001,-172.150880825 48.7316559770001,-172.186803288 48.727252928,-172.194055825 48.7263639770001,-172.201358406 48.725509679,-172.237291825 48.721305977,-172.280583825 48.7164809770001,-172.316529572 48.7126730350001,-172.323930826 48.7118889770001,-172.33138005 48.7111409140001,-172.367327826 48.707530977,-172.410772826 48.703408977,-172.454263826 48.6995199770001,-172.490207429 48.6965015600001,-172.497799826 48.695863977,-172.50543862 48.6952646190001,-172.541374826 48.692444977,-172.584988826 48.6892589770001,-172.628635826 48.6863089770001,-172.672316826 48.683594977,-172.708207199 48.6815578700001,-172.716027826 48.6811139770001,-172.723892213 48.680710473,-172.759763826 48.678869977,-172.795615853 48.677226524,-172.803524826 48.676863977,-172.847308826 48.6750919770001,-172.855303294 48.6748116360001,-172.891110826 48.673555977,-172.934927826 48.6722559770001,-172.970680127 48.6713880880001,-172.978758826 48.671191977,-173.022602826 48.6703639770001,-173.030763388 48.670253991,-173.066452826 48.669772977,-173.13772477 48.6693886420001,-173.154166826 48.669299977,-173.162447037 48.669322633,-173.198024826 48.6694199770001,-173.241880826 48.669772977,-173.277373506 48.6702513390001,-173.285730826 48.6703639770001,-173.329574826 48.671191977,-173.338006827 48.671396665,-173.373405827 48.6722559770001,-173.417222827 48.673555977,-173.452519519 48.6747937230001,-173.461024827 48.6750919770001,-173.504808827 48.676863977,-173.513384185 48.677257071,-173.548569827 48.678869977,-173.583695287 48.6806721890001,-173.592305827 48.6811139770001,-173.600950712 48.6816046540001,-173.636016827 48.683594977,-173.679697827 48.6863089770001,-173.723344827 48.6892589770001,-173.766958827 48.692444977,-173.801758354 48.695175433,-173.810533827 48.695863977,-173.819341007 48.6966035730001,-173.854069827 48.6995199770001,-173.877146844 48.701194322,-173.882930827 48.7016139770001,-173.89061714 48.7010530860001,-173.926549827 48.698430977,-173.970208827 48.695480977,-174.006118129 48.69324764,-174.013894827 48.692763977,-174.021717292 48.6923207780001,-174.057613827 48.690286977,-174.093492586 48.688445674,-174.101358827 48.6880419770001,-174.109268643 48.6876790970001,-174.145127827 48.6860339770001,-174.180965783 48.684585467,-174.188919827 48.6842639770001,-174.210822827 48.683463977,-174.210951292 48.683413081,-174.211872827 48.6830479770001,-174.232330827 48.677808977,-174.267328164 48.669010998,-174.273338827 48.667499977,-174.279407355 48.6660112530001,-174.314460827 48.657411977,-174.355699827 48.647547977,-174.397052827 48.6379059770001,-174.43226961 48.6299072210001,-174.438513827 48.6284889770001,-174.444815799 48.627095631,-174.480083828 48.619297977,-174.521755799 48.610330983,-174.521755828 48.610330977,-174.521813828 48.610674977,-174.561805828 48.598824977,-174.601933828 48.587191977,-174.642194828 48.575774977,-174.647941873 48.5741822360001,-174.682585828 48.564580977,-174.717298258 48.5551764100001,-174.723105828 48.553602977,-174.72897348 48.55205031,-174.763749828 48.5428479770001,-174.804519828 48.5323119770001,-174.839418647 48.5235100250001,-174.845405828 48.5219999770001,-174.851451816 48.520512108,-174.886410828 48.5119089770001,-174.921426123 48.5035042850001,-174.927530828 48.502038977,-174.933693477 48.500597488,-174.968760828 48.4923949770001,-175.003879087 48.4843925100001,-175.010099828 48.482974977,-175.016378699 48.4815822640001,-175.051549828 48.473780977,-175.093099828 48.4648119770001,-175.128360769 48.4574089830001,-175.134752828 48.456066977,-175.176505828 48.4475499770001,-175.182886315 48.446459374,-175.216399828 48.440730977,-175.251692688 48.433529336,-175.258138828 48.4322139770001,-175.264640463 48.430925492,-175.299974828 48.4239229770001,-175.341902828 48.415858977,-175.377311891 48.4092578020001,-175.383924828 48.408024977,-175.390591875 48.4068208900001,-175.426033828 48.4004199770001,-175.461506717 48.394217224,-175.468227828 48.3930419770001,-175.475002253 48.3918966950001,-175.510502828 48.3858949770001,-175.546032704 48.3800904840001,-175.552860829 48.378974977,-175.595297829 48.372288977,-175.602231133 48.3712361290001,-175.637805829 48.3658339770001,-175.680388829 48.3596089770001,-175.716004433 48.354603103,-175.723041829 48.3536139770001,-175.734916829 48.3531169770001,-175.741847004 48.3520637680001,-175.777410829 48.3466589770001,-175.819977829 48.340433977,-175.855579142 48.3354306210001,-175.862613829 48.334441977,-175.905316829 48.328677977,-175.948083829 48.3231499770001,-175.990913829 48.317852977,-176.033799829 48.312788977,-176.041085989 48.311970016,-176.076744829 48.307961977,-176.112409929 48.3041483000001,-176.119744829 48.3033639770001,-176.162791829 48.2989999770001,-176.170222952 48.2982883670001,-176.205888829 48.2948729770001,-176.249033829 48.2909809770001,-176.292219829 48.287319977,-176.335444829 48.283897977,-176.378708829 48.2807089770001,-176.422005829 48.277755977,-176.465335829 48.2750369770001,-176.508697829 48.2725559770001,-176.552083829 48.2703089770001,-176.587652276 48.2686629190001,-176.59549483 48.268299977,-176.63892783 48.2665249770001,-176.68238083 48.264988977,-176.690351088 48.264750238,-176.72584783 48.2636869770001,-176.743584807 48.2632284170001,-176.74758583 48.2631249770001,-176.747851827 48.262918578,-176.75206683 48.259647977,-176.79101383 48.246708977,-176.83011083 48.233980977,-176.86935283 48.221469977,-176.903363697 48.210852915,-176.90873883 48.209174977,-176.914174974 48.207513406,-176.94826083 48.1970949770001,-176.98792483 48.1852309770001,-177.02772283 48.1735869770001,-177.06765283 48.162158977,-177.102028151 48.1525426740001,-177.10771083 48.150952977,-177.14789783 48.139963977,-177.153700934 48.138414122,-177.18820883 48.129197977,-177.222778683 48.1201820960001,-177.22864183 48.1186529770001,-177.26919483 48.108327977,-177.30986383 48.098224977,-177.315903756 48.0967622380001,-177.35064783 48.0883479770001,-177.39154183 48.0786949770001,-177.426389201 48.070679818,-177.43254483 48.069263977,-177.438758025 48.067872805,-177.47365583 48.060058977,-177.51486983 48.051080977,-177.549856961 48.0436684200001,-177.55618383 48.0423279770001,-177.59759783 48.0338029770001,-177.63910583 48.025502977,-177.645599967 48.024242955,-177.680708831 48.0174309770001,-177.715850565 48.010820881,-177.722399831 48.0095889770001,-177.764180831 48.001974977,-177.806047831 47.994591977,-177.812759153 47.9934472100001,-177.847994831 47.9874369770001,-177.890022831 47.980511977,-177.92530998 47.9749010640001,-177.932127831 47.9738169770001,-177.938998549 47.9727645670001,-177.974308831 47.9673559770001,-178.009638179 47.9621458760001,-178.016560831 47.9611249770001,-178.058880831 47.955124977,-178.065906221 47.9541693420001,-178.101269831 47.949358977,-178.143722831 47.9438229770001,-178.186235831 47.938522977,-178.221632785 47.9343075690001,-178.228808831 47.9334529770001,-178.271435831 47.928616977,-178.314116831 47.9240169770001,-178.356849831 47.9196499770001,-178.364220931 47.9189383840001,-178.399630831 47.915519977,-178.442455831 47.911622977,-178.485324831 47.9079589770001,-178.528233831 47.904530977,-178.563619821 47.9019007590001,-178.571177831 47.9013389770001,-178.578781863 47.9008161900001,-178.614158831 47.898383977,-178.649523206 47.8961477020001,-178.657172831 47.895663977,-178.700213831 47.8931779770001,-178.707952277 47.8927742550001,-178.743283832 47.890930977,-178.786377832 47.8889199770001,-178.829491832 47.887144977,-178.872624832 47.8856059770001,-178.907864106 47.884541857,-178.915774832 47.8843029770001,-178.923726681 47.88410658,-178.958935832 47.8832369770001,-179.002108832 47.8824089770001,-179.037257229 47.881924682,-179.045291832 47.881813977,-179.053366551 47.8817476,-179.088477832 47.8814589770001,-179.123551677 47.881363961,-179.131666832 47.881341977,-179.139820541 47.8813640650001,-179.174855832 47.8814589770001,-179.209848792 47.881746628,-179.218041832 47.881813977,-179.226273858 47.881927402,-179.261224832 47.8824089770001,-179.304397832 47.8832369770001,-179.339252352 47.8840978210001,-179.347558832 47.8843029770001,-179.355902293 47.884554924,-179.390708832 47.8856059770001,-179.433841832 47.887144977,-179.476955832 47.8889199770001,-179.520049832 47.890930977,-179.554634236 47.8927352760001,-179.563119832 47.8931779770001,-179.606160832 47.895663977,-179.614714151 47.8962048480001,-179.649174832 47.898383977,-179.683569339 47.900748644,-179.692155832 47.9013389770001,-179.70077441 47.9019795900001,-179.735099832 47.904530977,-179.778008832 47.9079589770001,-179.820877833 47.911622977,-179.863702833 47.915519977,-179.897739745 47.918805838,-179.906483833 47.9196499770001,-179.949216833 47.9240169770001,-179.957172144 47.924874371,-179.985253666 47.9279008930001,-179.991897833 47.928616977,-179.999999833 47.9294899770001,-179.999999833 47.9999999770001,-179.999999833 48.9523819780001,-179.999999833 49.9523819790001,-179.999999833 50.9523819790001,-179.999999833 51.95238198,-179.999999833 52.952381981,-179.999999833 53.9523819820001,-179.999999833 54.9523819830001,-179.999999833 55.3498879840001,-179.966283798 55.3483409900001,-179.915527343 55.346014025,-179.86481285 55.343416216,-179.814151763 55.3405437490001,-179.763540267 55.3373966240001,-179.712987899 55.3339824700001,-179.662502288 55.3302936580001,-179.61207962 55.3263340020001,-179.561733245 55.3221035030001,-179.511463165 55.31760216,-179.461277007 55.3128299740001,-179.411176681 55.3077907590001,-179.361171722 55.302476885,-179.311260223 55.296899798,-179.261451721 55.2910518670001,-179.21175003 55.2849330920001,-179.162157058 55.278554919,-179.112680435 55.2719020870001,-179.063323974 55.2649898550001,-179.014093398 55.2578105950001,-178.96499443 55.2503643060001,-178.916027069 55.2426548030001,-178.867197036 55.2346859,-178.81851387 55.2264537830001,-178.794746398 55.2228603390001,-178.744396209 55.226549151,-178.693979263 55.2299633050001,-178.643507003 55.2331104300001,-178.592979431 55.235982897,-178.542402267 55.238576891,-178.491783142 55.240903857,-178.441123962 55.2429561640001,-178.390432357 55.2447376270001,-178.339710235 55.2462444330001,-178.288963317 55.2474765800001,-178.238199233 55.248434069,-178.187419891 55.2491169,-178.136627197 55.2495288870001,-178.085832595 55.249666216,-178.041624069 55.250783923,-177.993963241 55.260831835,-177.946126937 55.270624163,-177.89812088 55.280160906,-177.849948882 55.289434435,-177.801612853 55.2984523800001,-177.753122329 55.307210925,-177.70447731 55.3157062550001,-177.655683517 55.323938372,-177.606746673 55.3319110890001,-177.5576725 55.339624407,-177.508460998 55.347066882,-177.459119796 55.354249957,-177.409652709 55.3611660030001,-177.36006546 55.367818835,-177.310363769 55.3742008230001,-177.260549545 55.3803157830001,-177.210630416 55.386167529,-177.160608291 55.3917484310001,-177.110488891 55.3970584890001,-177.060274124 55.402101519,-177.00997734 55.4068775200001,-176.959594726 55.411378863,-176.909132003 55.4156093620001,-176.858598709 55.4195690180001,-176.826061248 55.4228611020001,-176.776510238 55.429777148,-176.726839065 55.4364299800001,-176.677049636 55.4428157830001,-176.627149581 55.448934557,-176.577144622 55.454782488,-176.538415908 55.4628238700001,-176.491771697 55.4746456170001,-176.444919586 55.4862194080001,-176.397863387 55.4975414300001,-176.350606918 55.5086078670001,-176.303159713 55.519430163,-176.255521774 55.5299968740001,-176.207698821 55.5403041860001,-176.159694671 55.550359728,-176.11151123 55.5601596860001,-176.063158035 55.5697002430001,-176.014635085 55.5789852170001,-175.965950012 55.588006976,-175.91710472 55.596769335,-175.868104934 55.6052722950001,-175.818958282 55.613515856,-175.823589324 55.6253414180001,-175.847091674 55.6511325860001,-175.870227813 55.6770343800001,-175.892993926 55.703046801,-175.915388107 55.7291622180001,-175.937410354 55.7553806330001,-175.959053039 55.7817058590001,-175.980318069 55.808134081,-176.001201629 55.8346576710001,-176.021701812 55.8612842580001,-176.041818618 55.888002398,-176.061546325 55.9148159050001,-176.080884933 55.9417247800001,-176.099830627 55.9687213920001,-176.118383407 55.9958057430001,-176.136541366 56.0229816460001,-176.154298782 56.0502376580001,-176.171657562 56.0775775930001,-176.188613891 56.1049976370001,-176.205165862 56.132501604,-176.221311569 56.160078051,-176.237049102 56.187730791,-176.252374648 56.2154560110001,-176.267292022 56.243257525,-176.281791686 56.271123888,-176.295877456 56.299058916,-176.309543609 56.327058794,-176.322792053 56.355123522,-176.335617065 56.383249285,-176.348016738 56.4114360830001,-176.359994888 56.4396762870001,-176.371543884 56.4679737110001,-176.382663726 56.496324541,-176.393352508 56.5247287770001,-176.403610229 56.553182604,-176.413433074 56.581682207,-176.422821044 56.6102275870001,-176.431772231 56.638814928,-176.440282821 56.667444231,-176.448352813 56.6961154960001,-176.4559803 56.7248210930001,-176.463163375 56.753561022,-176.469902038 56.7823352840001,-176.476194381 56.8111362480001,-176.485416412 56.8408412960001,-176.492643356 56.86957741,-176.499422073 56.898351672,-176.50575447 56.9271526360001,-176.511638641 56.9559841180001,-176.517068862 56.9848423030001,-176.522047042 57.013723376,-176.526571273 57.0426273370001,-176.530641555 57.071550372,-176.534252166 57.1004924800001,-176.537405013 57.129449847,-176.540102004 57.158422472,-176.54233551 57.1874065420001,-176.544107437 57.216398241,-176.545415878 57.2453975700001,-176.546260833 57.274404528,-176.546638488 57.3034076710001,-176.546548843 57.332418444,-176.545993804 57.3614254020001,-176.544971465 57.3904247310001,-176.543478012 57.4194240590001,-176.541511535 57.448411944,-176.539073944 57.4773883840001,-176.53616333 57.5063533810001,-176.596284866 57.5212726620001,-176.640474319 57.5378971120001,-176.684429168 57.554716113,-176.728153228 57.5717220330001,-176.771640777 57.588918688,-176.814888 57.6063022640001,-176.857894897 57.6238727590001,-176.900655746 57.641630175,-176.943166732 57.6595745110001,-176.985427856 57.677698138,-177.027433395 57.6960048700001,-177.069183349 57.714494707,-177.110673904 57.7331638360001,-177.151903152 57.7520160700001,-177.192863464 57.7710399650001,-177.233558654 57.790246966,-177.273979186 57.809621813,-177.314126968 57.829179766,-177.353996276 57.848905566,-177.393589019 57.8688030270001,-177.432893752 57.8888721490001,-177.471916198 57.909116747,-177.510648727 57.929521563,-177.549091339 57.950094225,-177.587236404 57.9708385490001,-177.62508583 57.9917430900001,-177.662635803 58.0128078480001,-177.699880599 58.034040453,-177.736822128 58.055433276,-177.773452758 58.0769825,-177.809772491 58.098688128,-177.845777511 58.120553973,-177.881465911 58.1425724050001,-177.916835784 58.1647472400001,-177.951879501 58.1870708490001,-177.986598968 58.2095470450001,-178.020990371 58.2321720150001,-178.055051803 58.254949572,-178.088777542 58.2778682730001,-178.122165679 58.3009319330001,-178.155216216 58.324144366,-178.187925338 58.3474941280001,-178.22028923 58.3709850330001,-178.252302169 58.3946170830001,-178.283966064 58.418382647,-178.315277099 58.4422893550001,-178.346233367 58.4663295770001,-178.376829147 58.4904994990001,-178.40706253 58.51480675,-178.436935424 58.5392398860001,-178.466438293 58.5638027210001,-178.495574951 58.5884914420001,-178.524335861 58.6133022330001,-178.552724838 58.6382389090001,-178.58073616 58.6633014700001,-178.608366012 58.688478472,-178.635612487 58.713777544,-178.662473678 58.7391910580001,-178.688949584 58.7647190120001,-178.715036392 58.7903652210001,-178.740724563 58.816122057,-178.766021728 58.8419857050001,-178.79091835 58.867959978,-178.817052841 58.890382769,-178.846117019 58.9151783010001,-178.874799728 58.9400997180001,-178.903104782 58.9651432060001,-178.931026458 58.9903049490001,-178.95856285 59.015588763,-178.985713958 59.0409870170001,-179.012472152 59.0664997120001,-179.03883934 59.0921268490001,-179.064807891 59.117868426,-179.090379714 59.1437168140001,-179.115549087 59.169675829,-179.140316009 59.1957416560001,-179.164676666 59.221910479,-179.18862915 59.2481861140001,-179.212171554 59.2745609310001,-179.235300064 59.3010349300001,-179.258010864 59.3276081110001,-179.280305862 59.3542766590001,-179.302177429 59.381040575,-179.323623657 59.407896044,-179.344646453 59.434843066,-179.365242004 59.461877825,-179.385404586 59.489000323,-179.405132293 59.516206744,-179.424427032 59.543497088,-179.44328308 59.5708713550001,-179.461700439 59.5983219170001,-179.479671478 59.6258525870001,-179.497200012 59.6534595510001,-179.514280319 59.6811389950001,-179.530910491 59.7088909170001,-179.54709053 59.736711504,-179.562816619 59.7646007560001,-179.574441909 59.790105822,-179.591621398 59.817781451,-179.608348846 59.8455295590001,-179.624624252 59.8733463310001,-179.640443801 59.901227953,-179.655805587 59.9291820550001,-179.670707702 59.9571971920001,-179.685144424 59.985273363,-179.699119567 60.0134105710001,-179.71262741 60.041608813,-179.725664138 60.0698604610001,-179.738229751 60.098169329,-179.750324249 60.1265277890001,-179.753301244 60.133807059,-179.761943817 60.154939654,-179.773086548 60.183397294,-179.777667645 60.195646341,-179.77782297 60.1960616540001,-179.759652309 60.206035236,-179.750480041 60.2110697460001,-179.750475229 60.211072388,-179.728995939 60.2232574240001,-179.675003052 60.2538871770001,-179.393890381 60.4122238160001,-179.112228394 60.5697212220001,-178.829162598 60.7263870240001,-178.544998169 60.882499695,-178.259994507 61.03805542,-177.973892212 61.1925010680001,-177.686386108 61.3463897710001,-177.39805603 61.4997215270001,-177.108612061 61.6522216800001,-176.817779541 61.8038902280001,-176.526107788 61.9550018310001,-176.233062744 62.1052780150001,-175.938613892 62.254722595,-175.643325806 62.403610229,-175.346664429 62.55166626,-175.04888916 62.698890686,-174.749725342 62.8455543520001,-174.449447632 62.9913902280001,-174.147781372 63.136390686,-173.845001221 63.2805557250001,-173.54083252 63.4241676330001,-173.235275269 63.5669441220001,-172.928329468 63.7091674800001,-172.636947632 63.8502769470001,-172.310836792 63.990833282,-172 64.1305541990001,-171.6277771 64.305557251,-171.253890991 64.4794464110001,-170.878616333 64.6522216800001,-170.501663208 64.823890686,-170.123062134 64.9947204590001,-169.742782593 65.1641693120001,-169.360549927 65.3327789310001,-168.97694397 65.5000000000001,-168.972209004 72.783529994,-168.955244656 72.788736188,-168.898842755 72.8056767200001,-168.886585656 72.809358188,-168.826843268 72.826930238,-168.817160822 72.829778,-168.807301213 72.8326177490001,-168.746977656 72.849991188,-168.686076658 72.8671721790001,-168.676041822 72.8700030000001,-168.604355822 72.889803,-168.593969458 72.8926124270001,-168.531924822 72.9093950000001,-168.458755822 72.928773,-168.384855822 72.9479370000001,-168.310227822 72.9668840000001,-168.234880822 72.9856120000001,-168.158816822 73.0041200000001,-168.093466012 73.019683081,-168.082044822 73.0224030000001,-168.070454233 73.025104808,-168.004572822 73.040462,-167.926402821 73.0582920000001,-167.847544821 73.0758920000001,-167.768005821 73.093262,-167.687791821 73.110398,-167.606910821 73.1272980000001,-167.525369821 73.143962,-167.443174821 73.1603870000001,-167.360335821 73.176567,-167.276858821 73.192509,-167.205986068 73.2057311770001,-167.192752821 73.2082,-167.179361711 73.210641529,-167.108024821 73.2236480000001,-167.022683821 73.2388480000001,-166.936738821 73.2537950000001,-166.864055384 73.2661360920001,-166.85019782 73.268489,-166.845126437 73.269329541,-166.81866082 73.273716,-166.80386385 73.278072303,-166.80146682 73.278778,-166.791486424 73.2816554030001,-166.73039982 73.299267,-166.668707046 73.3166840150001,-166.65854482 73.319553,-166.648201098 73.3224126330001,-166.58590882 73.339634,-166.51249782 73.3595060000001,-166.43831082 73.3791670000001,-166.36336082 73.3986170000001,-166.298713284 73.4150395290001,-166.28764982 73.41785,-166.276408307 73.4206458240001,-166.21118582 73.4368670000001,-166.145393258 73.4528841840001,-166.13397482 73.4556640000001,-166.12237953 73.4584273550001,-166.05601982 73.4742420000001,-165.97733082 73.4925950000001,-165.89791382 73.510723,-165.817772819 73.528623,-165.736919819 73.546292001,-165.655355819 73.5637310010001,-165.573091819 73.5809370010001,-165.490133819 73.5979060010001,-165.406491819 73.6146370010001,-165.335310788 73.6285579980001,-165.322169819 73.631128001,-165.237177819 73.6473750010001,-165.223704844 73.6498926400001,-165.151522819 73.6633810010001,-165.065213819 73.6791420010001,-164.992060183 73.692191419,-164.978260819 73.6946530010001,-164.964299913 73.697085891,-164.890669819 73.7099170010001,-164.816569294 73.7225252270001,-164.802447819 73.7249280010001,-164.788167923 73.727300348,-164.713608818 73.7396870010001,-164.63859372 73.7518483470001,-164.624155818 73.754189001,-164.609562368 73.7564979460001,-164.534102818 73.7684370010001,-164.458204025 73.780149162,-164.443455818 73.782425001,-164.352227818 73.7961530010001,-164.33717495 73.7983611750001,-164.260424818 73.809620001,-164.168058818 73.8228230010001,-164.075135818 73.835759001,-163.981672818 73.8484310010001,-163.943976818 73.8534050010001,-163.923178355 73.8593759010001,-163.919774818 73.8603530010001,-163.90940488 73.863268293,-163.846555818 73.8809370010001,-163.783072834 73.898408068,-163.772513818 73.9013140010001,-163.761766316 73.90421016,-163.697652817 73.9214870010001,-163.632913199 73.9385652570001,-163.621977817 73.9414500010001,-163.610854957 73.9443229870001,-163.545491817 73.9612060010001,-163.468205817 73.9807480010001,-163.390124817 74.000073001,-163.311249817 74.019184001,-163.231591817 74.038073001,-163.151155817 74.056742001,-163.069949817 74.0751870010001,-162.987977817 74.0934060010001,-162.905247817 74.1113980010001,-162.821766817 74.1291590010001,-162.750491855 74.143993671,-162.737541817 74.1466890010001,-162.724414337 74.149361378,-162.652583817 74.1639840010001,-162.566894816 74.181042001,-162.480485816 74.197862001,-162.393363816 74.2144420010001,-162.319365331 74.2282061830001,-162.305538816 74.230778001,-162.291540146 74.2333227540001,-162.217016816 74.246870001,-162.127805816 74.2627170010001,-162.037916816 74.2783170010001,-161.961864428 74.2912057130001,-161.947358816 74.2936640010001,-161.887684938 74.303187801,-161.578599816 74.3525170010001,-161.484827815 74.3665870010001,-161.390441815 74.3803950010001,-161.311092599 74.3917090040001,-161.295452815 74.393939001,-161.279656551 74.3961337810001,-161.199866815 74.407220001,-161.103699815 74.420234001,-161.006958815 74.432981001,-160.909655815 74.4454590010001,-160.828202101 74.4556182410001,-160.811799815 74.4576640010001,-160.795250833 74.459671192,-160.713405815 74.4695980010001,-160.614480815 74.4812560010001,-160.515035815 74.492642001,-160.415083814 74.5037480010001,-160.331755317 74.5127297400001,-160.314635814 74.5145750010001,-160.213705814 74.525125001,-160.196313081 74.526886006,-160.112302814 74.535392001,-160.027965242 74.5436573550001,-160.010438814 74.5453750010001,-159.908124814 74.5550780010001,-159.89033719 74.5567077590001,-159.805377814 74.5644920010001,-159.702205814 74.573623001,-159.616660351 74.580924253,-159.598619814 74.5824640010001,-159.580456127 74.5839580200001,-159.494635814 74.5910170010001,-159.408551222 74.5978307570001,-159.390266813 74.5992780010001,-159.285522813 74.6072500010001,-159.26700346 74.6086034090001,-159.180419813 74.614931002,-159.074966813 74.622320002,-158.969180813 74.629412002,-158.863072813 74.636212002,-158.775618248 74.6415554110001,-158.756655813 74.642714002,-158.737587918 74.6438229030001,-158.649941813 74.6489200020001,-158.562119259 74.653769482,-158.542949813 74.654828002,-158.435688813 74.660439002,-158.328172812 74.665750002,-158.308710242 74.666655254,-158.220416812 74.6707620020001,-158.112433812 74.675473002,-158.004235812 74.6798840020001,-157.895841812 74.6839920020001,-157.807078551 74.6871049820001,-157.787260812 74.6878000020001,-157.678508812 74.691303002,-157.569599812 74.694503002,-157.460549812 74.6974000020001,-157.440417378 74.6978785110001,-157.351369812 74.699995002,-157.242072811 74.7022840020001,-157.132677811 74.7042670020001,-157.023197811 74.7059480020001,-156.913644811 74.7073230020001,-156.804033811 74.708392002,-156.694380811 74.709156002,-156.605279783 74.709528058,-156.584697811 74.7096140020001,-156.564062 74.709642783,-156.474999811 74.709767002,-156.385988952 74.709642854,-156.365302811 74.7096140020001,-156.344568285 74.7095274210001,-156.255619811 74.709156002,-156.14596681 74.708392002,-156.03635581 74.7073230020001,-155.92680281 74.7059480020001,-155.81732281 74.7042670020001,-155.70792781 74.7022840020001,-155.59863081 74.699995002,-155.510444579 74.697899003,-155.48944981 74.6974000020001,-155.38039981 74.694503002,-155.27149181 74.691303002,-155.16273881 74.6878000020001,-155.141655292 74.6870605830001,-155.054158809 74.6839920020001,-154.945763809 74.6798840020001,-154.837566809 74.675473002,-154.729583809 74.6707620020001,-154.642955847 74.666732719,-154.621827809 74.665750002,-154.514310809 74.660439002,-154.407049809 74.654828002,-154.385916621 74.6536610350001,-154.300058809 74.6489200020001,-154.214475011 74.643942838,-154.193344809 74.642714002,-154.172221022 74.641423354,-154.086927809 74.636212002,-153.980819808 74.629412002,-153.875033808 74.622320002,-153.769580808 74.614931002,-153.685549704 74.6087899500001,-153.664477808 74.6072500010001,-153.559733808 74.5992780010001,-153.538703238 74.5976134090001,-153.455363808 74.5910170010001,-153.372386666 74.5841918140001,-153.351380808 74.5824640010001,-153.330401528 74.5806734330001,-153.247794808 74.573623001,-153.144622808 74.5644920010001,-153.062791146 74.556994403,-153.041874808 74.5550780010001,-152.939560807 74.5453750010001,-152.918716269 74.543332149,-152.837697807 74.535392001,-152.757099571 74.527231473,-152.736294807 74.525125001,-152.635363807 74.5145750010001,-152.614645675 74.5123418320001,-152.534916807 74.5037480010001,-152.434963807 74.492642001,-152.335519807 74.4812560010001,-152.236594807 74.4695980010001,-152.158715055 74.460152227,-152.138199807 74.4576640010001,-152.117740896 74.4551122560001,-152.040344807 74.4454590010001,-151.943041807 74.432981001,-151.846299806 74.420234001,-151.750133806 74.407220001,-151.674757839 74.3967470430001,-151.654547806 74.393939001,-151.634406176 74.3910671080001,-151.559558806 74.3803950010001,-151.465172806 74.3665870010001,-151.371399806 74.3525170010001,-151.278249806 74.3381870010001,-151.205584285 74.3267295790001,-151.185735806 74.323600001,-151.165965134 74.3204063520001,-151.093860806 74.3087590010001,-151.022330799 74.2969221530001,-151.002641806 74.2936640010001,-150.983035098 74.290341223,-150.912083806 74.2783170010001,-150.822194806 74.2627170010001,-150.732983805 74.246870001,-150.663807702 74.2342949430001,-150.644460805 74.230778001,-150.625204493 74.227196206,-150.556635805 74.2144420010001,-150.469513805 74.197862001,-150.383105805 74.181042001,-150.297416805 74.1639840010001,-150.231334155 74.1505314780001,-150.212458805 74.1466890010001,-150.195343417 74.1431267230001,-150.135685805 74.1307100010001,-150.035085805 74.122867001,-149.933722805 74.114648001,-149.853163606 74.1078607520001,-149.832727805 74.106139001,-149.812315571 74.1043542950001,-149.732113804 74.0973420010001,-149.631894804 74.088262001,-149.532080804 74.078895001,-149.432685804 74.0692420010001,-149.333719804 74.059309001,-149.235194804 74.0490950010001,-149.157338107 74.040763306,-149.137122804 74.0386000010001,-149.1332479 74.0381723500001,-149.118375804 74.0365310010001,-149.088098286 74.0334879060001,-149.080288804 74.0327030010001,-148.981919804 74.0224890010001,-148.961734049 74.0203262640001,-148.884002804 74.0119980010001,-148.806692584 74.003454252,-148.786547804 74.0012280010001,-148.689563804 73.9901780010001,-148.669507388 73.98782478,-148.593066803 73.9788560010001,-148.497066803 73.9672560010001,-148.401569803 73.9553870010001,-148.367838803 73.952134001,-148.29237284 73.94274505,-148.272430803 73.9402640010001,-148.252540012 73.9377191450001,-148.177535803 73.9281230010001,-148.083166803 73.915712001,-147.989335803 73.903034001,-147.896055803 73.890087001,-147.822988103 73.8796762250001,-147.803327803 73.876875001,-147.711169803 73.8634000010001,-147.6916378 73.860470019,-147.619588803 73.8496620010001,-147.548059105 73.8386582780001,-147.528594802 73.8356640010001,-147.509199336 73.832605567,-147.438194802 73.8214090010001,-147.378605802 73.811779001,-147.345645876 73.8112499200001,-147.337863802 73.8111250010001,-147.318040687 73.8107490900001,-147.234347802 73.8091620010001,-147.130924802 73.806895001,-147.047492338 73.8048196670001,-147.027605802 73.8043250010001,-147.007692157 73.803771973,-146.924405802 73.8014590010001,-146.841275149 73.7989022510001,-146.821335802 73.7982890010001,-146.801373739 73.797616196,-146.718410802 73.7948200010001,-146.635626615 73.7917830390001,-146.615644802 73.791050001,-146.595645669 73.790257404,-146.513049801 73.7869840010001,-146.410635801 73.7826170010001,-146.328449011 73.778866801,-146.308422801 73.7779530010001,-146.206413801 73.772989001,-146.186368951 73.7719535360001,-146.104627801 73.7677310010001,-146.023127401 73.7632719540001,-146.003077801 73.7621750010001,-145.901772801 73.7563250010001,-145.88172026 73.7551057140001,-145.800727801 73.750181001,-145.699952801 73.743742001,-145.599463801 73.737009001,-145.499272801 73.729984001,-145.3993858 73.722667001,-145.2998248 73.715062001,-145.2005948 73.7071670010001,-145.1017088 73.6989810010001,-145.0031778 73.6905120010001,-144.924960348 73.683532583,-144.9050168 73.6817530010001,-144.885096749 73.6799105850001,-144.8072338 73.672709001,-144.7098418 73.6633840010001,-144.6128558 73.653773001,-144.5162808 73.6438810010001,-144.4201308 73.633712001,-144.324419799 73.6232590010001,-144.229152799 73.612531001,-144.154030251 73.6038102310001,-144.134344799 73.6015250010001,-144.114702317 73.599176997,-144.040005799 73.5902480010001,-143.946144799 73.578692001,-143.852774799 73.566867001,-143.759902799 73.5547700010001,-143.686994988 73.545007436,-143.667544799 73.5424030010001,-143.648147255 73.5397348400001,-143.575702799 73.52977,-143.484391799 73.516873,-143.393622799 73.5037060000001,-143.303399799 73.490281,-143.213738798 73.476592,-143.197820798 73.4741000000001,-143.154963798 73.4740370000001,-143.053272798 73.4735840000001,-142.951608798 73.472831,-142.86929968 73.471975715,-142.849983798 73.471775,-142.83062731 73.471516787,-142.748408798 73.47042,-142.666291917 73.469080386,-142.646897798 73.4687640000001,-142.627467657 73.468388937,-142.545463798 73.4668060000001,-142.444119798 73.464548,-142.362371328 73.4624817200001,-142.342877798 73.4619890000001,-142.323355718 73.4614372830001,-142.241749798 73.4591310000001,-142.160299379 73.4565858010001,-142.140752797 73.4559750000001,-142.121181874 73.4553039950001,-142.039894797 73.4525170000001,-141.939188797 73.448762,-141.838647797 73.444709,-141.738285797 73.4403590000001,-141.638113797 73.435709,-141.557795072 73.431736008,-141.538144797 73.4307640000001,-141.438388797 73.4255250000001,-141.338863797 73.419989,-141.319194204 73.418834051,-141.239574797 73.414159,-141.140538796 73.408037,-141.041769796 73.40162,-140.943272796 73.394909,-140.845063796 73.387909,-140.747155796 73.3806200000001,-140.669200383 73.374564691,-140.649558796 73.3730390000001,-140.629929663 73.3714511140001,-140.552283796 73.36517,-140.474957992 73.3586641640001,-140.455344796 73.357014,-140.435748691 73.3553015850001,-140.358749796 73.348573,-140.262513796 73.3398450000001,-140.166647796 73.330834,-140.071160795 73.321537,-139.976063795 73.3119590000001,-139.900843164 73.3041274560001,-139.881369795 73.3021000000001,-139.787085795 73.2919640000001,-139.767676988 73.2898100850001,-139.693227795 73.281548,-139.599805795 73.270856,-139.506824795 73.259887,-139.414299795 73.2486420000001,-139.341493701 73.2395359000001,-139.322241795 73.237128,-139.230660795 73.2253390000001,-139.211499137 73.222802679,-139.139563795 73.2132810000001,-139.048960795 73.2009560000001,-138.958866794 73.188362,-138.888294684 73.178231651,-138.869285794 73.175503,-138.850331369 73.1727102140001,-138.780227794 73.162381,-138.691705794 73.1489950000001,-138.622565386 73.138271628,-138.603727794 73.1353500000001,-138.584950813 73.1323635100001,-138.516302794 73.1214450000001,-138.429435794 73.1072840000001,-138.361791014 73.0959803440001,-138.343141794 73.0928640000001,-138.324559604 73.089683214,-138.257427794 73.0781920000001,-138.172299794 73.0632670000001,-138.087766794 73.0480920000001,-138.003838794 73.0326700000001,-137.938820463 73.020441116,-137.920524793 73.0170000000001,-137.902304688 73.0134932010001,-137.837830793 73.001084,-137.773905856 72.988497174,-137.755763793 72.984925,-137.674335793 72.9685250000001,-137.656355063 72.9648218410001,-137.593549793 72.9518870000001,-137.568888889 72.9469444440001,-137.650555556 72.7775,-137.980018297 72.5381546680001,-138.438611111 72.205000001,-138.661254687 72.0077191890001,-139.362777777 71.386111112),(-165.454163819 66.4213729940001,-165.468463819 66.412899994,-165.468463636 66.412900011,-165.468463606 66.412900015,-165.364436362 66.4263727320001,-165.069720439 66.473679922,-165.047790819 66.477199994,-165.037050862 66.4788073540001,-164.876918181 66.502772732,-164.864163635 66.5052636410001,-164.779599999 66.5256818230001,-164.770018181 66.530818186,-164.763545453 66.536163641,-164.763546401 66.5361635130001,-164.763545818 66.536163994,-165.019745819 66.5016639940001,-165.111927133 66.4869859030001,-165.117490908 66.4861000050001,-165.11951309 66.485749259,-165.144745819 66.4813729940001,-165.420836819 66.4299819940001,-165.433318819 66.4274729940001,-165.454163819 66.4213729940001),(-166.59832782 66.133609994,-166.66322782 66.105290994,-166.663226717 66.1052911560001,-166.663227272 66.1052909140001,-166.587772726 66.116381823,-166.567227272 66.1227545500001,-166.287781817 66.1902636410001,-166.210536362 66.2088818230001,-166.171536362 66.219018186,-166.171537726 66.2190187580001,-166.17153682 66.2190189940001,-166.18111882 66.223036994,-166.22278182 66.223036994,-166.25558182 66.2197099940001,-166.32110882 66.2074909940001,-166.38247282 66.1941369940001,-166.44359982 66.180818994,-166.46609082 66.174990994,-166.59832782 66.133609994),(-171.549163635 63.327763641,-171.454999999 63.314572732,-171.426936362 63.317772732,-171.325863635 63.3399909140001,-171.304445453 63.3583272770001,-171.286694728 63.3766946150001,-171.283508825 63.3799909910001,-171.281341726 63.38141833,-171.264736362 63.3923545500001,-171.241363635 63.398872732,-171.10160909 63.4316545500001,-171.018336362 63.4311090950001,-170.960845453 63.4277727320001,-170.863254544 63.418509095,-170.81490909 63.4109636410001,-170.581972726 63.368045459,-170.551145453 63.360545459,-170.481490908 63.3385272770001,-170.403899999 63.304436368,-170.36220909 63.2824909140001,-170.31890909 63.254718186,-170.29610909 63.238045459,-170.296119424 63.2380537430001,-170.296108824 63.238045991,-170.315854824 63.253872991,-170.341890824 63.2711279910001,-170.363799824 63.2841189910001,-170.395106336 63.3006979620001,-170.401118181 63.303881823,-170.441352657 63.322452867,-170.466763824 63.334181991,-170.473547729 63.3366425930001,-170.485836362 63.341100005,-170.496141894 63.344417938,-170.543636824 63.359709991,-170.594999824 63.371936991,-170.627499824 63.3780549910001,-170.828063824 63.414981991,-170.853181824 63.4184909910001,-170.959381824 63.4285099910001,-171.006097515 63.43581863,-170.862918181 63.461372732,-170.833572726 63.4531818230001,-170.820600125 63.441875671,-170.806963824 63.4299909910001,-170.806963634 63.4299909160001,-170.785999999 63.422081823,-170.666107932 63.399725377,-170.640718824 63.394990991,-170.640718663 63.3949910040001,-170.640718181 63.3949909140001,-170.607836362 63.3975545500001,-170.568599999 63.390827277,-170.509445453 63.3752636410001,-170.23400909 63.2789454590001,-170.21951521 63.260669277,-170.211818824 63.250963991,-170.224363824 63.2063099910001,-170.257016391 63.1997169350001,-170.258090908 63.1995000050001,-170.258090824 63.199499991,-170.152234486 63.1826196310001,-170.151427823 63.1824909960001,-170.151427272 63.182490914,-170.082218181 63.1927545500001,-169.973354544 63.151927277,-169.922199999 63.128009095,-169.92221023 63.128014857,-169.922199823 63.1280099910001,-169.967371844 63.1534454390001,-169.893372726 63.1517909140001,-169.805299999 63.1252636410001,-169.789736362 63.1122090950001,-169.735836956 63.057209701,-169.758090826 63.0088819920001,-169.758090908 63.0088818230001,-169.756775566 63.0016799040001,-169.753678304 62.9847199050001,-169.751680831 62.973782138,-169.749618823 62.962490991,-169.737658714 62.9597203700001,-169.670427272 62.9441454590001,-169.643099999 62.947772732,-169.594754544 62.979709095,-169.582563635 63.0154636410001,-169.575427556 63.0414714790001,-169.575299997 63.0419363680001,-169.565730441 63.0541486820001,-169.562790823 63.0578999910001,-169.558583406 63.0609729080001,-169.512390908 63.094709095,-169.321154544 63.184572732,-169.278354544 63.1952636410001,-169.206954544 63.203663641,-169.149181817 63.199572732,-168.873318181 63.1527727320001,-168.85000909 63.155263641,-168.815318181 63.162618186,-168.797245453 63.17165455,-168.716554544 63.230545459,-168.700863635 63.290545459,-168.700863897 63.2905457040001,-168.700863822 63.290545991,-168.711899779 63.3008461730001,-168.717227822 63.3058189910001,-168.876127031 63.32746984,-168.896038334 63.33018286,-168.896699822 63.3302729910001,-168.94132029 63.3342064780001,-168.962799822 63.33609999,-168.962799999 63.3361000030001,-168.971900303 63.3366777000001,-168.973144936 63.3367567110001,-169.045863822 63.3413729910001,-169.060992207 63.3416651470001,-169.189454823 63.3441459910001,-169.210787567 63.340420179,-169.212099823 63.340190991,-169.212099694 63.3401909670001,-169.212099999 63.3401909140001,-169.158936362 63.3302727320001,-169.131099999 63.3302727320001,-169.10000909 63.3262363680001,-169.074100399 63.3141547370001,-169.109954823 63.2983279910001,-169.134463823 63.296945991,-169.170018537 63.2981909810001,-169.175573973 63.2992416050001,-169.203763823 63.304572991,-169.21977021 63.3151396970001,-169.253627272 63.3374909140001,-169.253627753 63.3374909450001,-169.253627823 63.337490991,-169.416827823 63.348181991,-169.454190823 63.345681991,-169.488890823 63.348590991,-169.524445823 63.354154991,-169.560072823 63.372345991,-169.562832147 63.3801562960001,-169.572781823 63.408318991,-169.594273978 63.4195391220001,-169.597263635 63.421100005,-169.602970603 63.4226664440001,-169.653899823 63.436645991,-169.716554823 63.4379099910001,-169.844454823 63.4513819910001,-169.89227421 63.4678744020001,-169.923372726 63.478600005,-169.961239977 63.4978229220001,-170.032254614 63.5338728850001,-170.037643587 63.5456876640001,-170.051390823 63.575827991,-170.066099823 63.5955459910001,-170.102999823 63.6209639910001,-170.139190823 63.6235999950001,-170.139190908 63.6236000040001,-170.169890823 63.627899992,-170.192508824 63.635263991,-170.207524641 63.6430498350001,-170.253869688 63.66708018,-170.279214963 63.680221944,-170.282381824 63.6818639910001,-170.285329546 63.6839182210001,-170.285827657 63.684265349,-170.289287921 63.686676762,-170.29968022 63.693919023,-170.300018182 63.694154548,-170.300018824 63.6941549910001,-170.329163824 63.6960909910001,-170.344192658 63.6969696990001,-170.349222236 63.6972637690001,-170.350921658 63.697363131,-170.355641917 63.6976391160001,-170.457763824 63.7036099910001,-170.485836824 63.7033189910001,-170.637874088 63.669292452,-170.657586069 63.664880833,-170.711118824 63.6528999910001,-170.723965758 63.6442446940001,-170.736054824 63.636099991,-170.745894093 63.631462174,-170.764079837 63.6228901800001,-170.781145824 63.614845991,-170.847503658 63.592703343,-170.864418277 63.58705918,-170.901312057 63.574748259,-170.901881694 63.5745581800001,-170.908918824 63.5722099910001,-170.929990824 63.5711099910001,-170.945420335 63.5718765390001,-170.961337903 63.5726673340001,-170.974454824 63.5733189910001,-170.977434544 63.5737191800001,-170.980992304 63.5741970010001,-170.989876467 63.5753901800001,-170.990092412 63.5754191820001,-170.996264958 63.5762481800001,-171.063327824 63.5852549910001,-171.107327824 63.6027639910001,-171.16992018 63.6142268560001,-171.186154544 63.617200005,-171.187835728 63.617452562,-171.210299824 63.6208279910001,-171.272281825 63.628872991,-171.325318825 63.6338819910001,-171.374727825 63.6293549910001,-171.374722838 63.629354956,-171.374727272 63.6293545500001,-171.346236362 63.6291545500001,-171.317446565 63.6203367090001,-171.319416739 63.6195848780001,-171.350102193 63.607875128,-171.351108914 63.6074909810001,-171.374690825 63.6047099910001,-171.375358477 63.60472428,-171.37798274 63.604780443,-171.465572825 63.606654991,-171.50735168 63.6107113050001,-171.540008825 63.613881991,-171.614553661 63.6826206580001,-171.643772677 63.7095638550001,-171.637864777 63.735063112,-171.633908825 63.752136991,-171.630308825 63.7744369910001,-171.65432353 63.7859362410001,-171.663227272 63.790200005,-171.663227825 63.7901999950001,-171.729172825 63.7893729910001,-171.728605602 63.7846710970001,-171.724454825 63.7502639910001,-171.727508446 63.735371909,-171.727789353 63.7340019650001,-171.729191203 63.7271653390001,-171.729305137 63.7266096980001,-171.741654825 63.666381991,-171.74419627 63.664169923,-171.764308825 63.6466639910001,-171.805727825 63.6381819910001,-171.840972825 63.5742909910001,-171.843707553 63.556064742,-171.844245364 63.5524803740001,-171.850827825 63.5086099910001,-171.84880132 63.5035175930001,-171.848189423 63.5019799570001,-171.846595426 63.4979744070001,-171.845900124 63.4962271850001,-171.844365031 63.4923696530001,-171.834150255 63.466700974,-171.827551526 63.4501190440001,-171.824736825 63.4430459910001,-171.807273616 63.422081179,-171.802518825 63.4163729910001,-171.800982714 63.415508054,-171.79285792 63.410933228,-171.738890908 63.3805454590001,-171.709445453 63.3713727320001,-171.683072726 63.363881823,-171.549163635 63.327763641),(-162.60720909 63.543881823,-162.562499999 63.5386090950001,-162.377472726 63.544445459,-162.349427272 63.588600005,-162.340899999 63.5962363680001,-162.340900244 63.5962366080001,-162.340899816 63.5962369910001,-162.363934466 63.6187127060001,-162.376918181 63.6313818230001,-162.376918755 63.6313819310001,-162.376918816 63.6313819910001,-162.397518816 63.6352729910001,-162.41488365 63.6369711950001,-162.416008293 63.6370811800001,-162.418994031 63.6373731680001,-162.420290816 63.6374999930001,-162.420290908 63.637499996,-162.420809618 63.6374918400001,-162.428952918 63.637363819,-162.439138049 63.6372037070001,-162.531067896 63.6357585430001,-162.539197006 63.6356307510001,-162.545894292 63.635525467,-162.55164157 63.6354351190001,-162.552980917 63.635414064,-162.556775142 63.635354417,-162.561396727 63.6352817650001,-162.561954816 63.6352729910001,-162.575207614 63.6329850600001,-162.640836817 63.6216549910001,-162.652218817 63.6191549910001,-162.663345817 63.613745991,-162.676663817 63.6033279910001,-162.687752272 63.5937191800001,-162.690418189 63.591409002,-162.701663817 63.581663991,-162.701906613 63.5804220640001,-162.702830264 63.575697506,-162.703618817 63.571663991,-162.695895545 63.5643530560001,-162.693054544 63.5616636410001,-162.680690908 63.5566545500001,-162.60720909 63.543881823),(-172.597198665 60.3248194170001,-172.586945453 60.323872732,-172.561954544 60.324718186,-172.543336362 60.328872732,-172.517545453 60.336372732,-172.486663825 60.3410999820001,-172.482246458 60.341123908,-172.38250909 60.3416636410001,-172.356381817 60.3405454590001,-172.343872726 60.339427277,-172.330427827 60.335681983,-172.330427778 60.3356819640001,-172.325994615 60.333414829,-172.313327272 60.3269363680001,-172.293360032 60.3124474460001,-172.280027825 60.3027729880001,-172.28002764 60.3027729990001,-172.280027272 60.3027727320001,-172.256436362 60.3041545500001,-172.235263635 60.3069272770001,-172.208081817 60.315127277,-172.208082778 60.3151277010001,-172.208081825 60.315127988,-172.379727826 60.3908279880001,-172.391518159 60.3946572250001,-172.392545453 60.3949909140001,-172.392545643 60.3949909290001,-172.392545826 60.3949909880001,-172.423618826 60.397481988,-172.434718826 60.396381988,-172.455699826 60.3898549880001,-172.48003085 60.38633981,-172.481690908 60.3860999990001,-172.520290826 60.3883279880001,-172.554745826 60.392772988,-172.572620243 60.3954862000001,-172.576663635 60.3961000050001,-172.585328088 60.398568497,-172.594181826 60.4010909880001,-172.662353955 60.421957112,-172.733063635 60.4436000050001,-172.734870039 60.4442534500001,-172.749172826 60.4494279880001,-172.840335006 60.4834533090001,-172.844454544 60.484990914,-172.846235888 60.48596852,-172.864199826 60.495827988,-172.874690826 60.5041639880001,-172.880016587 60.5084550720001,-172.885036362 60.512500005,-172.895833539 60.5213765600001,-172.900572826 60.525272988,-172.914540076 60.5417680510001,-172.920563635 60.548881823,-172.922553272 60.552091282,-172.928481737 60.5616548450001,-172.925281817 60.573463641,-172.914181817 60.5855363680001,-172.914181844 60.585536969,-172.914181826 60.5855369880001,-172.914890826 60.6015189880001,-172.927827826 60.6041549880001,-172.93176458 60.602920177,-172.936154174 60.6015433260001,-172.936999376 60.6012782180001,-172.948636826 60.5976279880001,-173.011418826 60.5630459880001,-173.033627826 60.549427988,-173.051008828 60.495818989,-173.05100909 60.4958181860001,-173.00060909 60.4830363680001,-172.981906976 60.4787211760001,-172.981885548 60.4787162320001,-172.981381822 60.4785999960001,-172.978074551 60.47777689,-172.93670909 60.4674818230001,-172.834445453 60.4280363680001,-172.768099999 60.3994363680001,-172.748657022 60.388911378,-172.748081821 60.388599996,-172.747660847 60.3880410570001,-172.73720909 60.3741636410001,-172.726527272 60.3690181860001,-172.61914875 60.3319097140001,-172.599154826 60.3249999880001,-172.597198665 60.3248194170001),(-166.163804795 60.420516896,-166.20031882 60.3922189880001,-166.205719333 60.3914149820001,-166.207220209 60.391191538,-166.208824941 60.3909526320001,-166.214727059 60.3900739490001,-166.242064853 60.3860040100001,-166.313486175 60.375371097,-166.31609982 60.3749819880001,-166.42559982 60.3802639880001,-166.45987282 60.3844369880001,-166.470546543 60.382786067,-166.489791285 60.3798094530001,-166.493219701 60.379279174,-166.49584582 60.3788729880001,-166.519981621 60.371780056,-166.529555641 60.368966481,-166.534581658 60.367489456,-166.549280529 60.363169811,-166.549323054 60.363157314,-166.55194965 60.3623854200001,-166.56027337 60.3599392790001,-166.569065823 60.357355388,-166.572073774 60.3564714230001,-166.57375728 60.3559766810001,-166.583224772 60.353194413,-166.645293088 60.3349540250001,-166.648329288 60.3340617590001,-166.65326982 60.332609855,-166.653553522 60.332526482,-166.65847924 60.3310789320001,-166.663197333 60.3296923980001,-166.66401563 60.3294519200001,-166.668034146 60.3282709740001,-166.68862782 60.322218988,-166.693387734 60.320057869,-166.706191654 60.3142445710001,-166.719812425 60.3080604020001,-166.775727141 60.2826737300001,-166.777420446 60.2819049280001,-166.80458182 60.2695729880001,-166.804581745 60.2695727650001,-166.804581817 60.269572732,-166.80273294 60.2641063400001,-166.79452782 60.2398459880001,-166.812375269 60.2245113970001,-166.814820716 60.2224102610001,-166.83307282 60.2067279880001,-166.851631018 60.2064571670001,-166.867246029 60.2062292950001,-166.892638867 60.205858735,-166.89474582 60.2058279880001,-166.930601132 60.207451464,-166.931672726 60.207500005,-166.941808769 60.208682933,-167.020716555 60.2178920520001,-167.071963821 60.223872988,-167.086023944 60.2249016870001,-167.1320979 60.2282726560001,-167.160765855 60.2303701270001,-167.174472821 60.231372988,-167.201936821 60.233327988,-167.236638743 60.2326752010001,-167.273703734 60.231977961,-167.275881821 60.231936988,-167.316981821 60.2297099880001,-167.339349535 60.225606591,-167.340422672 60.2254097220001,-167.356381821 60.222481988,-167.385495269 60.212303863,-167.404018821 60.2058279880001,-167.405026863 60.204650277,-167.418063821 60.1894189880001,-167.418063334 60.189418538,-167.418063635 60.1894181860001,-167.316436362 60.0955454590001,-167.267093076 60.068160692,-167.265385923 60.0672132350001,-167.263363821 60.066090988,-167.259210779 60.0639474560001,-167.161136362 60.013327277,-167.130445453 59.9988727320001,-167.079590908 59.9926272770001,-166.997772726 59.9988727320001,-166.975481788 59.9852671800001,-166.958645821 59.9749909880001,-166.938539696 59.9680439800001,-166.598081817 59.850409095,-166.475827272 59.8508181860001,-166.440272726 59.8552727320001,-166.412227272 59.8519272770001,-166.296263635 59.817272732,-166.25310909 59.795427277,-166.193481817 59.7572090950001,-166.167263635 59.7533181860001,-166.122527272 59.755272732,-166.088090908 59.7709272770001,-166.088091226 59.7709278030001,-166.08809082 59.770927988,-166.095369275 59.782943038,-166.095713664 59.7835115440001,-166.098097272 59.7874463320001,-166.10889082 59.805263988,-166.121394928 59.8102848170001,-166.14590882 59.8201279880001,-166.15103388 59.8207037440001,-166.155438514 59.8211985670001,-166.159047827 59.821604042,-166.162355714 59.821975654,-166.170259394 59.822863565,-166.19413682 59.825545988,-166.23176293 59.8395096570001,-166.210596077 59.8563783260001,-166.209199889 59.8574909320001,-166.176545453 59.863045459,-166.118181817 59.851245459,-165.886718181 59.8738727320001,-165.786681817 59.902209095,-165.728881817 59.9099818230001,-165.661436362 59.904709095,-165.61220909 59.902209095,-165.574154544 59.9131818230001,-165.555436362 59.928736368,-165.543072726 59.9802636410001,-165.54307291 59.9802636110001,-165.543072819 59.980263988,-165.552165327 59.978761911,-165.557829961 59.9778261170001,-165.574041445 59.97514799,-165.585554819 59.973245988,-165.604433646 59.9696612450001,-165.607099819 59.9691549880001,-165.639499819 59.996090988,-165.643609061 60.004739541,-165.651604698 60.0215676290001,-165.651938102 60.0222693310001,-165.652691469 60.0238549110001,-165.669463653 60.0591546370001,-165.688327272 60.1538727320001,-165.679745453 60.21165455,-165.676576028 60.2518673480001,-165.674708819 60.2755549880001,-165.682022139 60.291464133,-165.683151754 60.29392146,-165.684345452 60.2965181870001,-165.684345819 60.2965189880001,-165.710845819 60.3080369880001,-165.713455774 60.309007073,-165.720869423 60.3117626260001,-165.775881819 60.332209988,-165.795318819 60.337209988,-165.87231882 60.3443639880001,-165.880012655 60.342402576,-165.90961882 60.3348549880001,-165.91991438 60.322713408,-165.92280909 60.3193000050001,-165.979190908 60.3186000000001,-166.02948182 60.323045988,-166.06530882 60.3294369880001,-166.071206669 60.3389645250001,-166.07581946 60.3464161460001,-166.110272714 60.4020728180001,-166.109163635 60.4102727320001,-166.109163821 60.410272977,-166.109768008 60.41102743,-166.118118181 60.4214545500001,-166.118118551 60.4214546530001,-166.11811882 60.4214549880001,-166.15086382 60.4305459880001,-166.158241772 60.424828168,-166.163804795 60.420516896),(-161.086118815 58.585818987,-161.088045815 58.556936987,-161.088045412 58.556936987,-161.088045453 58.556936368,-160.956936362 58.556936368,-160.943881817 58.558045459,-160.925563635 58.5630454590001,-160.911681817 58.569718186,-160.902499999 58.578327277,-160.689790908 58.8147181860001,-160.68979169 58.8147180140001,-160.689790815 58.814718987,-160.700078959 58.8124461470001,-160.746372815 58.8022189870001,-160.759463815 58.7922189870001,-160.775299815 58.783336987,-160.812812346 58.7692791750001,-160.816237158 58.7679957280001,-160.847227815 58.7563819870001,-160.864163815 58.750827987,-160.879142698 58.7475011750001,-160.884181815 58.7463819870001,-160.93215129 58.7422772560001,-160.936127815 58.741936987,-160.947781815 58.7402729870001,-160.987900775 58.7274109640001,-160.990243163 58.726660001,-160.99361104 58.725580269,-160.993684266 58.7255567940001,-161.042236815 58.7099909870001,-161.051936122 58.7055860730001,-161.060272815 58.7017999870001,-161.075841629 58.688087866,-161.110434164 58.657620739,-161.113099815 58.655272987,-161.113099788 58.655272917,-161.113099999 58.6552727320001,-161.100516375 58.6228809250001,-161.086664306 58.5872231810001,-161.086402228 58.586548544,-161.086118815 58.585818987),(-170.407245453 57.1615181860001,-170.353881817 57.1447090950001,-170.31750909 57.1510909140001,-170.304990908 57.1505363680001,-170.270599999 57.1442909140001,-170.269199999 57.1329000050001,-170.28060909 57.1050000050001,-170.28060869 57.1050003130001,-170.280608824 57.1049999850001,-170.272841152 57.110981161,-170.248872726 57.129436368,-170.162936362 57.1669272770001,-170.139772726 57.2169272770001,-170.139773012 57.2169275790001,-170.139772823 57.216927985,-170.145858657 57.2233519210001,-170.150572824 57.2283279850001,-170.167160031 57.2268580460001,-170.302352801 57.2148774140001,-170.316654824 57.2136099850001,-170.344951401 57.2087985730001,-170.383669096 57.2022152050001,-170.386963824 57.2016549850001,-170.397808824 57.1974819850001,-170.39780892 57.197481888,-170.39780909 57.197481823,-170.398861307 57.1964190620001,-170.411418824 57.1837369850001,-170.413236824 57.171381985,-170.40868734 57.1638921570001,-170.407245453 57.1615181860001),(-169.611663635 56.5399818230001,-169.580018181 56.5358272770001,-169.566922493 56.5405216520001,-169.565335954 56.5410902610001,-169.565308823 56.5410999850001,-169.565115103 56.5412027830001,-169.564254657 56.541659381,-169.556073266 56.546000862,-169.501954544 56.574718186,-169.472763635 56.594709095,-169.472764439 56.594709563,-169.472763823 56.5947099850001,-169.474139779 56.5955094780001,-169.478235317 56.5978891730001,-169.48589472 56.6023396370001,-169.488063635 56.603600005,-169.519072141 56.6129042480001,-169.521390824 56.613599982,-169.521390908 56.6136000050001,-169.522743666 56.6133611020001,-169.557527823 56.607218985,-169.572104865 56.605395215,-169.584199823 56.603881985,-169.594454823 56.6030459850001,-169.594764758 56.6030677970001,-169.618839573 56.6047621070001,-169.631246075 56.6056352370001,-169.669424799 56.608322135,-169.673372726 56.608600005,-169.675139358 56.6087580600001,-169.709610383 56.6118426470001,-169.721811295 56.612934427,-169.726108823 56.613318985,-169.760281823 56.618045985,-169.771514784 56.616182612,-169.782863636 56.6143000100001,-169.782863823 56.6142999850001,-169.777843108 56.609957566,-169.769199999 56.6024818230001,-169.744136824 56.588872984,-169.744136362 56.588872732,-169.644745824 56.5470819820001,-169.644745453 56.547081823,-169.611663635 56.5399818230001),(-164.041258669 54.9695811720001,-164.235263818 54.891109983,-164.304445744 54.8906909840001,-164.347627272 54.901100005,-164.366758268 54.913523162,-164.373736818 54.918054983,-164.394666994 54.9227021410001,-164.424999818 54.9294369830001,-164.491090818 54.914572983,-164.547990818 54.8706819830001,-164.547990841 54.8706818750001,-164.547990908 54.870681823,-164.548527977 54.868074934,-164.554027818 54.8413819830001,-164.631381818 54.746381983,-164.681945818 54.689427983,-164.689162251 54.682574678,-164.689327427 54.682417813,-164.704163818 54.668327983,-164.714217652 54.662481911,-164.714476118 54.662331619,-164.715804652 54.6615591070001,-164.742182204 54.646221171,-164.746672818 54.643609983,-164.771118818 54.6355549830001,-164.805690819 54.6333279830001,-164.858343422 54.621469,-164.859981818 54.6210999940001,-164.868470571 54.618652717,-164.872467294 54.6175004740001,-164.882522652 54.6146015730001,-164.897879655 54.610174226,-164.89991636 54.609587054,-164.905290753 54.608037643,-164.910567073 54.606516506,-164.928345819 54.601390983,-164.929512138 54.600361171,-164.937499652 54.5933085290001,-164.944213652 54.5873803470001,-164.945527617 54.586220171,-164.952345819 54.5801999830001,-164.951506701 54.577974119,-164.938596791 54.543728963,-164.933472726 54.5301363680001,-164.874446697 54.4516901860001,-164.865535065 54.439846463,-164.857072819 54.428599983,-164.855865652 54.4279358810001,-164.845921582 54.422465318,-164.827790908 54.412490914,-164.776672726 54.3963818230001,-164.66390909 54.3919363680001,-164.468045453 54.412909095,-164.437227272 54.421381823,-164.379727272 54.4461000050001,-164.343063635 54.4697181860001,-164.324436362 54.5036090950001,-164.325543878 54.5188024940001,-164.326308818 54.529299983,-164.318876905 54.5343549230001,-164.297518181 54.548881823,-164.279999999 54.559436368,-164.255554544 54.573327277,-164.216645453 54.5905454590001,-164.193327272 54.5991636410001,-164.176118181 54.6041636410001,-164.167236362 54.60665455,-164.116636362 54.6163909140001,-164.084990908 54.621936368,-164.051663635 54.6266545500001,-164.008363635 54.6299909140001,-163.814454544 54.6336090950001,-163.75680909 54.6309636410001,-163.714445453 54.6241636410001,-163.682490908 54.6172181860001,-163.629727272 54.6109727320001,-163.597617854 54.6117372420001,-163.594981817 54.6117999940001,-163.593585958 54.612180031,-163.520018181 54.6322090950001,-163.432436362 54.6684636410001,-163.335963635 54.7080181860001,-163.295563635 54.6994363680001,-163.154863635 54.6587363680001,-163.054881817 54.6681181860001,-163.054882479 54.668118921,-163.054881817 54.6681189830001,-163.071196099 54.686205758,-163.099153747 54.7172009130001,-163.110373435 54.729639584,-163.140636362 54.7631909140001,-163.150141469 54.765596095,-163.184483309 54.774286153,-163.190826651 54.775891308,-163.197436817 54.7775639830001,-163.221999817 54.761872983,-163.23908723 54.7590894090001,-163.255839368 54.756360451,-163.258244319 54.7559686800001,-163.264190909 54.7550000000001,-163.311327817 54.761827983,-163.337345817 54.770745983,-163.372604667 54.7904701790001,-163.374981822 54.7918000020001,-163.375884646 54.793455341,-163.399445453 54.83665455,-163.414045453 54.8854090950001,-163.422072726 54.920200005,-163.438327267 54.9433181900001,-163.438327817 54.943318983,-163.49105267 54.999220887,-163.533655203 55.0443905280001,-163.536390817 55.047290983,-163.595325819 55.049275461,-163.766597316 55.055042568,-163.777508818 55.0554099830001,-163.78979694 55.0534526180001,-163.790585469 55.053327014,-163.801458282 55.0515950930001,-163.872352305 55.040302442,-163.909976724 55.0343092790001,-163.926181818 55.0317279830001,-163.954708818 55.0091639830001,-163.986099818 54.9919369830001,-164.023072818 54.976936983,-164.041258669 54.9695811720001),(-162.736390908 54.3974909140001,-162.699727311 54.3865318360001,-162.639736817 54.3685999830001,-162.638632991 54.368516432,-162.621372726 54.3672090950001,-162.542918181 54.384018186,-162.544335714 54.408385884,-162.54437345 54.4090348600001,-162.54448469 54.410947891,-162.544590816 54.4127729830001,-162.559223013 54.427805032,-162.560545453 54.4291636410001,-162.560545547 54.4291637060001,-162.560545816 54.4291639830001,-162.587559608 54.44791445,-162.591161521 54.4504145650001,-162.595554816 54.4534639830001,-162.753627817 54.4847189830001,-162.759463817 54.488327983,-162.783081817 54.494154983,-162.816099818 54.4999999780001,-162.816099999 54.5000000050001,-162.817510605 54.499581484,-162.828754817 54.4962459830001,-162.829258843 54.4933611600001,-162.829591916 54.4914548040001,-162.829910059 54.489633892,-162.831140784 54.4825897740001,-162.831540125 54.4803041260001,-162.83198206 54.477774686,-162.83352184 54.4689616800001,-162.83610909 54.4541545500001,-162.810272726 54.428881823,-162.799163635 54.4211090950001,-162.78640909 54.414709095,-162.765836362 54.40665455,-162.736390908 54.3974909140001),(-165.680863635 54.235545459,-165.621272726 54.1255454590001,-165.60540909 54.1144272770001,-165.569154544 54.108890914,-165.560581817 54.1102636410001,-165.550990908 54.114845459,-165.485836362 54.1733272770001,-165.478090908 54.2019363680001,-165.478090929 54.201936577,-165.478090819 54.2019369820001,-165.479026358 54.2112365140001,-165.479105999 54.212028171,-165.479279132 54.2137491710001,-165.486034271 54.280897268,-165.486599819 54.2865189830001,-165.517626282 54.291937696,-165.520845453 54.2925000050001,-165.625272726 54.291100005,-165.625272757 54.291099983,-165.625272819 54.291099983,-165.63273972 54.2859223660001,-165.644344416 54.277875565,-165.667527819 54.2617999830001,-165.680863819 54.2355459830001,-165.680863587 54.2355455540001,-165.680863635 54.235545459),(-164.952808819 54.1290099820001,-164.976408819 54.1264459820001,-164.976409039 54.1264454650001,-164.97640909 54.1264454590001,-164.978390887 54.121790962,-164.981198516 54.1209731490001,-164.982498653 54.120594442,-164.991021134 54.118111991,-165.038936819 54.1041549820001,-165.051145819 54.110827982,-165.073336819 54.119427982,-165.088345819 54.1249819820001,-165.095955222 54.125407545,-165.117917664 54.1266358120001,-165.133208819 54.127490982,-165.150894653 54.124124737,-165.174876321 54.119560171,-165.177847517 54.118994646,-165.178559943 54.1188590460001,-165.204151549 54.113988051,-165.204708819 54.1138819820001,-165.204708923 54.113881855,-165.20470909 54.113881823,-165.207565647 54.1103674840001,-165.209211336 54.108342959,-165.209274226 54.1082655910001,-165.216455574 54.099431053,-165.220855653 54.09401805,-165.221645819 54.093045982,-165.221645387 54.093045541,-165.221645453 54.0930454590001,-165.213481817 54.0847090950001,-165.086945453 54.067218186,-165.076418181 54.066663641,-165.018890908 54.070827277,-164.961818181 54.0763818230001,-164.949890908 54.0831818230001,-164.929181817 54.1079090950001,-164.929181819 54.1079099820001,-164.929199819 54.1185909820001,-164.933030128 54.1221571990001,-164.937118181 54.1259636410001,-164.937118523 54.125963707,-164.937118819 54.125963982,-164.952808819 54.1290099820001),(-165.672245453 54.0977727320001,-165.658981817 54.122345459,-165.658982057 54.1223455420001,-165.658981819 54.1223459820001,-165.665190501 54.1244860720001,-165.677471277 54.1287191710001,-165.737930859 54.1495591710001,-165.739087162 54.14995774,-165.742492653 54.15113159,-165.797423426 54.170065847,-165.80917403 54.1741162000001,-165.81319137 54.1755009490001,-165.8723514 54.195893002,-165.914413233 54.2103914260001,-165.932610442 54.2166638780001,-165.94305482 54.2202639830001,-165.97791882 54.215409983,-166.008700282 54.2032770270001,-166.03821723 54.1916424980001,-166.07059082 54.1788819820001,-166.085554983 54.1710328080001,-166.09097282 54.1681909820001,-166.103505084 54.1462605400001,-166.10356077 54.146163093,-166.116254399 54.1239502760001,-166.117557377 54.1216701710001,-166.12169082 54.114436982,-166.121690659 54.114436804,-166.121690908 54.114436368,-166.088308595 54.077320764,-166.06722782 54.0538819820001,-166.053414437 54.0446578660001,-166.048831483 54.0415975230001,-166.042681817 54.037490914,-165.989454544 54.0495727320001,-165.967527345 54.0621999620001,-165.965720585 54.062123189,-165.935027272 54.0608181860001,-165.911899999 54.0541545500001,-165.905264238 54.0424895370001,-165.902466559 54.0375711780001,-165.902385681 54.037428993,-165.900374108 54.0338926200001,-165.899872039 54.033009975,-165.89751882 54.0288729820001,-165.897518485 54.0288732670001,-165.897518181 54.0288727320001,-165.84890909 54.0702636410001,-165.782499999 54.063600002,-165.782499819 54.063599982,-165.780504259 54.063637891,-165.767654544 54.063881823,-165.696963635 54.084718186,-165.683627272 54.0905454590001,-165.672245453 54.0977727320001),(-167.152372726 53.8238818230001,-167.034481817 53.7527636410001,-167.004054544 53.7594363680001,-166.981281817 53.769572732,-166.958772726 53.7712363680001,-166.768890908 53.729709095,-166.768162063 53.7166278170001,-166.767380786 53.7026028670001,-166.766937737 53.6946495340001,-166.76644582 53.6858189820001,-166.798547536 53.6541450610001,-166.80389082 53.6488729820001,-166.808321877 53.65148007,-166.81670758 53.656413942,-166.871951047 53.6889173810001,-166.880743744 53.6940907150001,-166.886627323 53.697552419,-166.90563682 53.7087369820001,-167.025727821 53.7026279820001,-167.063508824 53.6781819870001,-167.06350909 53.678181823,-167.057842292 53.650230644,-167.055060154 53.6365071660001,-167.054533571 53.6339096840001,-167.054450001 53.6334974600001,-167.053539458 53.6290060150001,-167.04895372 53.606385903,-167.048331934 53.6033188120001,-167.047363733 53.598542959,-167.046418978 53.59388276,-167.057541335 53.606953128,-167.066972821 53.618036982,-167.068862602 53.6188994490001,-167.069628003 53.6192487660001,-167.070112423 53.6194698480001,-167.070951301 53.619852699,-167.079445822 53.6237294680001,-167.088274166 53.6277585880001,-167.093763821 53.630263982,-167.119701748 53.6297423560001,-167.12180909 53.6297000050001,-167.125801301 53.628180097,-167.145854821 53.6205459820001,-167.148718371 53.6168606250001,-167.149294457 53.6161192100001,-167.161663821 53.600199982,-167.158784307 53.5927086390001,-167.158345337 53.591566615,-167.158283998 53.591407035,-167.148225258 53.5652382150001,-167.142790908 53.5511000050001,-167.142790822 53.551099977,-167.135023088 53.5481383310001,-167.119186721 53.542100313,-167.09469901 53.532763737,-167.083754821 53.5285909820001,-167.087421239 53.5256683110001,-167.087814463 53.5253548540001,-167.089738733 53.5238209300001,-167.101457866 53.5144790700001,-167.153338721 53.473122453,-167.158938217 53.468658836,-167.161310645 53.4667676650001,-167.162937763 53.4654706150001,-167.164063821 53.4645729820001,-167.174294588 53.4625836390001,-167.180567919 53.461363808,-167.29175266 53.439744262,-167.298050019 53.438519759,-167.301936821 53.437763982,-167.334609297 53.433242125,-167.364564884 53.4290962840001,-167.372218821 53.428036982,-167.389816036 53.428909741,-167.415191924 53.430168296,-167.477942739 53.433280514,-167.478899821 53.433327982,-167.486161268 53.424123346,-167.486596657 53.4235714450001,-167.488226456 53.4215055060001,-167.48953798 53.419843014,-167.492490908 53.416100005,-167.494122435 53.413812568,-167.504181821 53.399709982,-167.506041616 53.3992452690001,-167.525872293 53.394290122,-167.555299821 53.3869369820001,-167.587245821 53.3880369820001,-167.598493389 53.3876787030001,-167.639693191 53.3863663270001,-167.659969875 53.3857204350001,-167.672705073 53.385314769,-167.691408821 53.384718982,-167.71728343 53.3739328020001,-167.718081819 53.373599993,-167.724985195 53.3698717870001,-167.73368016 53.365176037,-167.741409149 53.3610019650001,-167.754946278 53.3536911850001,-167.782006457 53.3390772270001,-167.793105655 53.3330830610001,-167.800271526 53.3292131040001,-167.806584144 53.3258039500001,-167.810062856 53.323925257,-167.811222979 53.323298729,-167.812786024 53.3224546000001,-167.81650736 53.320444878,-167.825312416 53.3156896720001,-167.842563821 53.306372982,-167.84256347 53.3063728210001,-167.842563635 53.3063727320001,-167.764772726 53.270818186,-167.663327272 53.2555454590001,-167.552245453 53.2711000050001,-167.495299999 53.2791636410001,-167.383327272 53.339709095,-167.13750909 53.41735455,-166.979427272 53.4408181860001,-166.959445453 53.4316636410001,-166.825318181 53.4377636410001,-166.756563635 53.4452636410001,-166.650172726 53.4920727320001,-166.640731434 53.5125742320001,-166.634672499 53.5257307480001,-166.633366829 53.528565911,-166.63219982 53.5310999820001,-166.617734064 53.546322425,-166.542845453 53.625127277,-166.410854544 53.669990914,-166.305572726 53.676936368,-166.284763635 53.676381823,-166.275418181 53.681236368,-166.271599704 53.7069207330001,-166.27099982 53.710954982,-166.294075408 53.734350691,-166.316778787 53.757369028,-166.33717282 53.778045982,-166.370993403 53.76916786,-166.372911034 53.768664469,-166.376034652 53.767844499,-166.40421544 53.7604468600001,-166.43929982 53.7512369820001,-166.469989615 53.736637634,-166.492202493 53.7260708150001,-166.49917282 53.722754982,-166.53157282 53.693527982,-166.535134181 53.6919869010001,-166.545392464 53.6875479110001,-166.550018674 53.6855460450001,-166.570827272 53.7102727320001,-166.533081817 53.7805363680001,-166.469190908 53.7894363680001,-166.438081817 53.79665455,-166.273372726 53.8633181860001,-166.247936362 53.8763727320001,-166.215145453 53.9209636410001,-166.261427272 53.9724818230001,-166.261427794 53.972481954,-166.26142782 53.972481982,-166.262930172 53.97285908,-166.264011845 53.973130584,-166.287306724 53.9789777060001,-166.354859381 53.9959337340001,-166.37515482 54.001027982,-166.41349982 53.9691549820001,-166.417884941 53.9607817770001,-166.423571421 53.94992368,-166.43749982 53.923327982,-166.439929442 53.9207892430001,-166.462417647 53.897291065,-166.46887282 53.890545982,-166.586999375 53.8366115520001,-166.600323075 53.8305281940001,-166.60360882 53.8290279820001,-166.604077153 53.8296839340001,-166.604502851 53.83028017,-166.605738108 53.832010283,-166.606263105 53.8327455990001,-166.608364043 53.8356881930001,-166.609030709 53.8366219320001,-166.610300322 53.8384001640001,-166.610674405 53.8389241070001,-166.623135344 53.856377019,-166.636418181 53.874981823,-166.637663635 53.9156818230001,-166.616945453 53.948872732,-166.592572726 53.964509095,-166.592573213 53.96450973,-166.59257282 53.964509982,-166.61040882 53.987763982,-166.63154582 53.9997099820001,-166.66847282 54.009427982,-166.698683267 54.0090910910001,-166.716275804 54.008894909,-166.720505886 54.0088477370001,-166.735978978 54.008675189,-166.75491882 54.0084639820001,-166.77936422 54.0036939300001,-166.790247151 54.0015703350001,-166.80129941 53.9994136980001,-166.82154122 53.995463896,-166.821842812 53.995405046,-166.87384928 53.985256979,-166.956545633 53.9691203690001,-166.998545997 53.960924801,-167.020427821 53.956654982,-167.032883073 53.9497913750001,-167.068951766 53.9299153160001,-167.071604044 53.928453749,-167.073456248 53.9274330710001,-167.083298863 53.9220091870001,-167.091381821 53.9175549820001,-167.143916862 53.866689885,-167.160308821 53.8508189820001,-167.160308698 53.850818566,-167.16030909 53.850818186,-167.153058477 53.826209293,-167.152372821 53.823881982,-167.152372763 53.8238819470001,-167.152372726 53.8238818230001),(-166.29666382 53.7794279820001,-166.29724582 53.766927982,-166.29444582 53.753327982,-166.29444552 53.7533276,-166.294445453 53.753327277,-166.288166336 53.745327746,-166.28724582 53.7441549820001,-166.287245765 53.744154947,-166.287245453 53.7441545500001,-166.258343519 53.7256679010001,-166.24554582 53.717481982,-166.2299726 53.7091162580001,-166.22696382 53.7074999820001,-166.226181886 53.707209451,-166.219454544 53.7047090950001,-166.209990908 53.705272732,-166.117490908 53.7749818230001,-166.11749085 53.77498196,-166.11749082 53.774981982,-166.116500593 53.7773056790001,-166.090027272 53.839427277,-166.090027978 53.8394276110001,-166.09002782 53.8394279820001,-166.107944653 53.8478930160001,-166.110018181 53.8488727320001,-166.110018267 53.8488727210001,-166.11001882 53.848872982,-166.130524711 53.846277016,-166.142915172 53.8447084330001,-166.17141882 53.8410999820001,-166.178945416 53.8391621060001,-166.185558949 53.8374593170001,-166.19514582 53.8349909820001,-166.216326165 53.82607496,-166.24507777 53.8139717610001,-166.249105365 53.8122763150001,-166.255156846 53.8097289,-166.29180909 53.7943000050001,-166.293753699 53.788342361,-166.29666382 53.7794279820001),(-167.848857095 53.3818765940001,-167.847808844 53.4033095280001,-167.795318181 53.495536368,-167.795318987 53.495536691,-167.795318821 53.495536982,-167.854981821 53.5194369820001,-167.857553675 53.52019117,-167.963277899 53.5511944830001,-167.999908988 53.5619364400001,-168.005581819 53.5635999930001,-168.008076954 53.5633911520001,-168.020277958 53.5623699880001,-168.078797285 53.5574722120001,-168.085299822 53.556927982,-168.136910228 53.547476756,-168.151032491 53.5448905970001,-168.178553926 53.5398506970001,-168.190783513 53.5376111370001,-168.197362285 53.5364063910001,-168.210407266 53.5340175110001,-168.212688789 53.533599704,-168.215027004 53.533171515,-168.218131922 53.5326029230001,-168.218421591 53.5325498770001,-168.229374942 53.5305440240001,-168.231613785 53.530134038,-168.239990908 53.528600005,-168.247752018 53.5248388420001,-168.334920248 53.482596394,-168.346751257 53.476862989,-168.354045822 53.4733279820001,-168.373320122 53.4507053770001,-168.373520593 53.4504700800001,-168.374408866 53.449427498,-168.374482293 53.449341315,-168.375783707 53.4478138220001,-168.376876032 53.4465317390001,-168.377111159 53.446255766,-168.40971687 53.4079858360001,-168.409727822 53.407972982,-168.404927738 53.3511020720001,-168.404481817 53.345818186,-168.345309109 53.2947182030001,-168.345413665 53.2944345120001,-168.351331275 53.278378381,-168.352742155 53.274550269,-168.357236822 53.262354982,-168.367372822 53.254581982,-168.37059204 53.2542126540001,-168.421963822 53.2483189820001,-168.530027822 53.2452729820001,-168.541381822 53.2460909820001,-168.557799822 53.2505459820001,-168.589172822 53.2666639820001,-168.607527822 53.2726279820001,-168.617965529 53.2723202380001,-168.621399822 53.272218982,-168.683953108 53.2310685100001,-168.695280291 53.2236169610001,-168.723201065 53.205249372,-168.735836822 53.1969369820001,-168.756990822 53.181663982,-168.773375507 53.1668237430001,-168.780485153 53.1603842640001,-168.791808822 53.1501279820001,-168.791808933 53.1501274190001,-168.79180909 53.1501272770001,-168.792875961 53.144728801,-168.798918822 53.1141549810001,-168.795860862 53.1061180120001,-168.793899999 53.1009636410001,-168.773236432 53.0923545790001,-168.765018822 53.083881981,-168.767043401 53.071917812,-168.767227822 53.070827981,-168.771580494 53.063228662,-168.772043413 53.0624204540001,-168.775027822 53.057209981,-168.862985599 52.957634678,-168.863395515 52.9571706200001,-168.86522615 52.955098193,-168.865733971 52.9545232990001,-168.866514987 52.953639126,-168.870421894 52.9492161910001,-168.871945822 52.947490981,-168.874647937 52.944530383,-168.875110463 52.9440236130001,-168.880308822 52.938327981,-168.897936822 52.9323549810001,-168.96539004 52.911005516,-168.969454822 52.909718981,-169.034565902 52.8718002370001,-169.053890822 52.860545981,-169.054935008 52.85951163,-169.079311729 52.8353644920001,-169.082636191 52.8320713410001,-169.086699823 52.8280459810001,-169.086699462 52.8280459910001,-169.086699999 52.8280454590001,-169.057218181 52.828872732,-169.041963635 52.832763641,-168.870545453 52.9033090950001,-168.633090908 52.991936368,-168.488890908 53.038045459,-168.467518181 53.048881823,-168.373872726 53.1266545500001,-168.342527272 53.1838727320001,-168.326827272 53.208872732,-168.285554544 53.2361090950001,-168.272827272 53.241936368,-168.245338987 53.2505520990001,-168.243590822 53.251099982,-168.242139305 53.2513585020001,-168.218627272 53.2555454590001,-168.193599999 53.2599909140001,-168.165836362 53.2619363680001,-168.117799999 53.2724818230001,-167.868045453 53.3716545500001,-167.84890909 53.3808181860001,-167.848909056 53.3808188690001,-167.848908821 53.3808189820001,-167.848857095 53.3818765940001),(-169.675045453 52.817772732,-169.677518181 52.8524818230001,-169.680307455 52.8590125100001,-169.681672823 52.862209981,-169.714327823 52.8779099810001,-169.726108823 52.881372981,-169.760836823 52.884163981,-169.781154823 52.885263981,-169.784780759 52.8846977370001,-169.785646353 52.8845625610001,-169.789636099 52.883939502,-169.790862634 52.8837479600001,-169.799271444 52.882434797,-169.801598964 52.882071319,-169.864745823 52.872209981,-169.869231225 52.8713108050001,-169.870925657 52.870971126,-169.874175657 52.8703196070001,-169.925748659 52.8599809040001,-169.930579339 52.8590125100001,-169.932922073 52.8585428690001,-169.975581823 52.8499909810001,-169.989990823 52.8452639810001,-169.999999823 52.8386729810001,-170.006436823 52.8344369810001,-170.008707959 52.8289162740001,-170.013063823 52.818327981,-170.013063465 52.81832769,-170.013063635 52.818327277,-169.991518181 52.8008272770001,-169.969338631 52.790026181,-169.961522356 52.786219638,-169.960436823 52.7856909810001,-169.960436556 52.7856910080001,-169.960436362 52.785690914,-169.920154544 52.7897181860001,-169.879972726 52.808881823,-169.747236362 52.7780363680001,-169.734881817 52.7717909140001,-169.721927272 52.7713818230001,-169.708645453 52.776927277,-169.675045453 52.817772732),(-170.808095825 52.53802548,-170.795018824 52.5324909810001,-170.795018689 52.5324911290001,-170.795018181 52.5324909140001,-170.770290908 52.559436368,-170.748815437 52.573132146,-170.748081821 52.5735999930001,-170.747531158 52.573894163,-170.736118181 52.5799909140001,-170.703472726 52.5901272770001,-170.688899999 52.589427277,-170.665036362 52.582763641,-170.655027272 52.5813818230001,-170.634763635 52.5819363680001,-170.615127272 52.586372732,-170.603481817 52.5930454590001,-170.563763635 52.6469363680001,-170.564294224 52.6615829530001,-170.564384046 52.6640632100001,-170.564590824 52.6697729810001,-170.58135441 52.6774872510001,-170.592227272 52.682490914,-170.594479546 52.683207689,-170.605281824 52.686645981,-170.631408824 52.691936981,-170.671708824 52.6947099810001,-170.678539075 52.6928050180001,-170.714638613 52.682736822,-170.740920658 52.6754067350001,-170.745408824 52.6741549810001,-170.792102459 52.6412773660001,-170.820163824 52.6215189810001,-170.82194907 52.618047077,-170.825005058 52.6121038650001,-170.832513898 52.597500853,-170.838090824 52.586654981,-170.83809091 52.58665455,-170.842227824 52.566372981,-170.841872295 52.5636589370001,-170.841190371 52.5584532550001,-170.840893156 52.5561843670001,-170.840299999 52.5516545500001,-170.808095825 52.53802548),(-174.371052952 52.2780112820001,-174.368636827 52.277490981,-174.368636702 52.2774909870001,-174.368636362 52.2774909140001,-174.352062772 52.2782789020001,-174.345308827 52.2785999810001,-174.236681817 52.2692909140001,-174.227099999 52.261518186,-174.229309036 52.246445828,-174.279172827 52.2099819810001,-174.328618827 52.194427981,-174.337522448 52.193002875,-174.342572169 52.1921946210001,-174.344181827 52.191936981,-174.355572827 52.2020729810001,-174.364745827 52.2066459810001,-174.379972827 52.210818981,-174.398927827 52.2133279810001,-174.441699828 52.212218981,-174.459152754 52.206258221,-174.538937806 52.1790089500001,-174.554745828 52.173609981,-174.550845828 52.154290981,-174.54244873 52.148732695,-174.540572827 52.147490981,-174.540572726 52.1474909140001,-174.526981817 52.1455454590001,-174.506145453 52.14915455,-174.496419133 52.143609638,-174.500865686 52.138625947,-174.50258557 52.136698304,-174.504481828 52.1345729810001,-174.600827828 52.1191549810001,-174.613802963 52.1172862970001,-174.632687071 52.1145666,-174.63357661 52.1144384890001,-174.661893911 52.1103602210001,-174.666408828 52.109709981,-174.672880812 52.1089932460001,-174.675355684 52.108719169,-174.682569562 52.107920274,-174.685867662 52.1075550290001,-174.699198079 52.1060787640001,-174.705531556 52.1053773690001,-174.707109323 52.1052026400001,-174.709186386 52.104972618,-174.737563662 52.101830002,-174.799221767 52.095001729,-174.799318725 52.0949909920001,-174.849171671 52.10216925,-174.861366863 52.103925222,-174.867084583 52.10474851,-174.871526971 52.105388164,-174.900886998 52.1096156940001,-174.908354828 52.1106909810001,-174.918063828 52.1063729810001,-174.927566317 52.0983401620001,-174.930181001 52.096129869,-174.932510075 52.0941610130001,-174.935670318 52.0914895390001,-174.938713052 52.088917398,-174.943864377 52.084562786,-174.9680593 52.0641098880001,-174.979190881 52.0547000270001,-174.987498663 52.0620801690001,-174.999054828 52.0723459810001,-175.004221804 52.0725165270001,-175.011718828 52.072763981,-175.040917179 52.067987499,-175.119220668 52.0551780380001,-175.188327828 52.0438729800001,-175.203093066 52.0411009260001,-175.226132125 52.0367755290001,-175.228012604 52.0364224840001,-175.238216399 52.034506804,-175.297310011 52.023412455,-175.307286248 52.0215394960001,-175.329116109 52.017441116,-175.334027828 52.0165189800001,-175.334026952 52.016518246,-175.334027272 52.016518186,-175.31280909 51.998736368,-175.295027272 52.0081909140001,-175.259763635 52.0086090950001,-175.185822557 52.007535956,-175.183345828 52.00749998,-175.175770272 52.006694774,-175.128354544 52.0016545500001,-175.07970909 51.9983181860001,-175.013354544 52.002627277,-175.001281817 52.014018186,-174.969754544 52.029709095,-174.890454544 52.0381818230001,-174.840272726 52.0319363680001,-174.787536362 52.0230363680001,-174.760181817 52.0144454590001,-174.729736362 52.0030545500001,-174.719754544 52.0022090950001,-174.609463635 52.0249909140001,-174.444154544 52.0419363680001,-174.397281817 52.054990914,-174.374690908 52.0980363680001,-174.282254544 52.109709095,-174.209445453 52.0988727320001,-174.141999999 52.1238727320001,-173.993618181 52.2934636410001,-173.990754544 52.322136368,-173.990754861 52.3221366450001,-173.990754827 52.322136981,-173.995925661 52.326670377,-174.011455016 52.3402853430001,-174.012536803 52.3412337720001,-174.013659989 52.342218497,-174.014189703 52.3426829090001,-174.029172827 52.355818981,-174.054618011 52.372897091,-174.062575833 52.378238163,-174.080290827 52.390127981,-174.108731269 52.4004241970001,-174.140884661 52.4120646040001,-174.14260956 52.4126890640001,-174.158936362 52.418600005,-174.158936827 52.418599982,-174.178031544 52.4177203570001,-174.180036827 52.4176279810001,-174.277342771 52.3850534000001,-174.294498062 52.3793104170001,-174.334150327 52.366036244,-174.337245827 52.364999981,-174.420403377 52.3255680510001,-174.433927827 52.3191549810001,-174.446208828 52.3067279810001,-174.446208623 52.3067277500001,-174.44620909 52.3067272770001,-174.439963818 52.299673344,-174.435818827 52.2949909810001,-174.43144273 52.2932633280001,-174.418918181 52.288318186,-174.371052952 52.2780112820001),(-172.603763635 52.2488727320001,-172.521390908 52.243045459,-172.511963635 52.2511000050001,-172.500336362 52.2575000050001,-172.437927272 52.282500005,-172.388363635 52.2897181860001,-172.349454544 52.299990914,-172.313899999 52.3119272770001,-172.296554544 52.3248545500001,-172.300094648 52.3350434660001,-172.300828948 52.337156964,-172.300984638 52.3376050790001,-172.302547322 52.3421028710001,-172.303790826 52.345681981,-172.312134261 52.349981858,-172.319154544 52.353600005,-172.331413579 52.358258273,-172.361460428 52.369675994,-172.405871617 52.386552124,-172.414181826 52.3897099810001,-172.420870883 52.390324423,-172.431935076 52.391340756,-172.438327826 52.391927981,-172.458890826 52.387218981,-172.473908826 52.382763981,-172.48756366 52.375733832,-172.496319479 52.371225925,-172.567227826 52.334718981,-172.611663826 52.2963909810001,-172.620272826 52.2841639810001,-172.626904048 52.2621485290001,-172.628054826 52.258327981,-172.628054384 52.258327809,-172.628054544 52.258327277,-172.603763635 52.2488727320001),(-173.710751599 52.1333720200001,-173.723003054 52.13104643,-173.756436827 52.124699981,-173.772281827 52.120827981,-173.781827827 52.1166549810001,-173.792818742 52.1061000620001,-174.022088509 52.129561235,-174.023757743 52.1297320480001,-174.050718181 52.1324909140001,-174.050718827 52.132490981,-174.053194224 52.12866382,-174.056827827 52.1230459810001,-174.0568272 52.1230455690001,-174.056827272 52.1230454590001,-174.028899999 52.104709095,-173.923099999 52.0516545500001,-173.837490908 52.036109095,-173.827481817 52.0352727320001,-173.733063635 52.044990914,-173.706127272 52.0520727320001,-173.673918181 52.057490914,-173.561399999 52.048881823,-173.504481817 52.0213818230001,-173.501370914 52.0192789720001,-173.495027827 52.0149909800001,-173.495027644 52.014991165,-173.495027272 52.0149909140001,-173.474199999 52.036109095,-173.233627272 52.0711090950001,-173.213927272 52.066372732,-173.181536362 52.0552636410001,-173.157254544 52.0552636410001,-173.026672726 52.0702636410001,-172.959045453 52.0838818230001,-172.959046112 52.083881923,-172.959045826 52.083881981,-172.985680871 52.087940169,-172.989789018 52.0885660970001,-173.022827272 52.093600005,-173.035932187 52.0948291380001,-173.06756566 52.097796282,-173.077568346 52.09873451,-173.089468357 52.0998507030001,-173.103049485 52.10112458,-173.104321543 52.101243896,-173.109302472 52.101711095,-173.138363826 52.104436981,-173.139181567 52.1045100420001,-173.159242653 52.1063024050001,-173.172545826 52.1074909810001,-173.183345826 52.107772981,-173.19563955 52.1076369680001,-173.251626029 52.107017555,-173.253490997 52.1069969210001,-173.258908826 52.106936981,-173.259628529 52.1068889140001,-173.300563826 52.1041549810001,-173.30261991 52.1040641120001,-173.363308826 52.101381981,-173.370901936 52.1014896900001,-173.410883247 52.10205683,-173.411783067 52.1020695940001,-173.440854827 52.102481981,-173.494250455 52.1049822780001,-173.50085466 52.105291526,-173.507550269 52.1056050540001,-173.512118827 52.105818981,-173.51585366 52.1075147820001,-173.53768513 52.117427359,-173.542390827 52.1195639810001,-173.543406451 52.1237363170001,-173.543778021 52.125262783,-173.548918181 52.1463818230001,-173.548918799 52.1463818670001,-173.548918827 52.146381981,-173.558438154 52.1470573060001,-173.591981827 52.1494369810001,-173.594522701 52.149333546,-173.602255073 52.1490187740001,-173.605885908 52.148870969,-173.609177523 52.148736973,-173.612563661 52.148599129,-173.626372827 52.1480369810001,-173.636418827 52.1474819810001,-173.670498982 52.141012834,-173.682445693 52.138745091,-173.683988548 52.1384522230001,-173.69159742 52.1370078960001,-173.694201935 52.1365135030001,-173.700883106 52.1352452730001,-173.710751599 52.1333720200001),(-176.018354544 51.9716454590001,-175.996777871 52.0254765380001,-175.995808615 52.0278946540001,-175.995299829 52.0291639800001,-176.006882652 52.046349697,-176.011806146 52.0536548040001,-176.024477991 52.072456329,-176.041718181 52.0980363680001,-176.041718556 52.098036575,-176.041718829 52.0980369810001,-176.045883663 52.1003338610001,-176.050554829 52.102909981,-176.076177337 52.1045814560001,-176.076758585 52.104619374,-176.133608829 52.1083279810001,-176.152218829 52.1033279810001,-176.164667621 52.091944207,-176.165590908 52.091100005,-176.170602735 52.084993108,-176.189181829 52.0623549810001,-176.19198182 52.0511000050001,-176.191981829 52.0510999800001,-176.189745829 52.0394369800001,-176.170429927 52.000433082,-176.167527829 51.99457298,-176.16752732 51.99457283,-176.167527272 51.9945727320001,-176.070281817 51.9658272770001,-176.054745453 51.96165455,-176.037227272 51.964427277,-176.018354544 51.9716454590001),(-176.559772829 51.98470998,-176.584745829 51.98638198,-176.60556383 51.98554598,-176.628239572 51.9805063580001,-176.631155493 51.9798583030001,-176.63247328 51.9795654280001,-176.701188866 51.964293577,-176.74304583 51.95499098,-176.75836383 51.95082798,-176.77516383 51.94227298,-176.78335483 51.9252639800001,-176.782716393 51.894243165,-176.782152551 51.8668467570001,-176.781400002 51.830272881,-176.782562664 51.8296035070001,-176.796142649 51.821785161,-176.798567402 51.8203891690001,-176.807534656 51.815226491,-176.810113769 51.81374163,-176.811645849 51.812859572,-176.812576664 51.812323678,-176.821734848 51.8070510760001,-176.83101132 51.801710374,-176.840497097 51.7962491690001,-176.890656845 51.7673709160001,-176.89333683 51.76582798,-176.950283855 51.687858168,-176.952063773 51.6854211680001,-176.95518491 51.6811478210001,-176.955825664 51.680270524,-176.956871382 51.678838764,-176.97226383 51.65776398,-176.976320744 51.6385267580001,-176.976801063 51.6362491680001,-176.979731176 51.622355052,-176.980990908 51.616381823,-176.976681817 51.5981818230001,-176.961945453 51.5902727320001,-176.938627272 51.5844363680001,-176.913081817 51.6038818230001,-176.723599999 51.65915455,-176.707672726 51.6776272770001,-176.53060909 51.7269272770001,-176.466981817 51.7191454590001,-176.427518181 51.732345459,-176.416690908 51.7497181860001,-176.41669096 51.7497187710001,-176.416690829 51.7497189800001,-176.418201667 51.766718682,-176.423627272 51.827772732,-176.427113503 51.8327877620001,-176.427549071 51.8334144070001,-176.430281829 51.8373459800001,-176.450536029 51.8409915730001,-176.457565663 51.8422568510001,-176.458297584 51.84238859,-176.465027272 51.843600005,-176.465027829 51.843599979,-176.515316577 51.8411102220001,-176.545883663 51.839596869,-176.554990829 51.8391459800001,-176.575877024 51.8321998490001,-176.579167743 51.8311054530001,-176.582518829 51.82999098,-176.59403683 51.8304099800001,-176.607919179 51.8381299480001,-176.610492857 51.839561169,-176.637483876 51.8545708600001,-176.642245122 51.857218587,-176.605699999 51.901372732,-176.587799999 51.905818186,-176.558045453 51.9038727320001,-176.548354544 51.907900005,-176.540281829 51.9235999800001,-176.540281817 51.923600005,-176.540397267 51.9244099900001,-176.540657906 51.926238728,-176.540829209 51.9274406480001,-176.540873357 51.9277504090001,-176.548081829 51.9783279800001,-176.554145798 51.9816382400001,-176.559772829 51.98470998),(-176.207672829 51.8767909800001,-176.213408925 51.8554123650001,-176.217745718 51.8392489940001,-176.219036829 51.8344369800001,-176.216127829 51.8177639800001,-176.216127272 51.8177636400001,-176.21584445 51.8175896650001,-176.15560909 51.7805363680001,-176.143336362 51.7744363680001,-176.139190908 51.7744363680001,-176.139191332 51.7744369800001,-176.139190829 51.7744369800001,-176.149199829 51.78888198,-176.149501317 51.7919994970001,-176.150327272 51.800545459,-176.140318181 51.8199181860001,-176.032499999 51.8233181860001,-176.021699999 51.816663641,-176.006136362 51.8097090950001,-176.013918181 51.8330454590001,-176.023927272 51.8480363680001,-176.023927447 51.848036408,-176.023927829 51.8480369800001,-176.169190828 51.8810999830001,-176.169190908 51.8811000050001,-176.169623343 51.8811239630001,-176.171725116 51.881240507,-176.179199829 51.8816549800001,-176.207672829 51.8767909800001),(-176.282577663 51.860407604,-176.308927829 51.8677639800001,-176.318908829 51.86693698,-176.330638382 51.865918965,-176.35087055 51.864163003,-176.392545829 51.86054598,-176.416154829 51.85249098,-176.412997527 51.832066771,-176.411838649 51.824570131,-176.406687221 51.7912461590001,-176.405612855 51.7842962190001,-176.404624487 51.7779025830001,-176.404345829 51.77609998,-176.402212626 51.7684672610001,-176.398717708 51.7559622520001,-176.396972726 51.7497181860001,-176.395398018 51.7457636330001,-176.392545829 51.7385999800001,-176.38930967 51.735375117,-176.385899878 51.7319772270001,-176.381945453 51.7280363680001,-176.344999999 51.72165455,-176.336427272 51.72165455,-176.327072726 51.726100005,-176.261172726 51.780263641,-176.262017508 51.788162119,-176.264499829 51.81137298,-176.265880783 51.81622801,-176.266833707 51.819578214,-176.267567937 51.8221595530001,-176.267665812 51.822503656,-176.278090829 51.85915498,-176.282577663 51.860407604),(-177.90780909 51.5919272770001,-177.907809188 51.5919281020001,-177.907808831 51.59192798,-177.908515314 51.5978712040001,-177.910530516 51.614823906,-177.913208831 51.6373549800001,-177.912607098 51.6437652320001,-177.911136362 51.6594272770001,-177.879154544 51.6847090950001,-177.82038552 51.7162223270001,-177.813899831 51.71969998,-177.808979436 51.740139678,-177.797245453 51.7888818230001,-177.825318181 51.8311000050001,-177.857751725 51.8595265970001,-177.886172831 51.88443698,-177.930572831 51.9152639800001,-177.941699831 51.91860998,-177.960488857 51.9181724100001,-177.966367449 51.9180355060001,-177.97649477 51.9177996550001,-177.982215277 51.9176664330001,-178.042542082 51.9162615070001,-178.049181194 51.916106891,-178.068977522 51.9156458630001,-178.109163831 51.9147099800001,-178.151836831 51.9097099800001,-178.171418831 51.90442798,-178.186963831 51.89692798,-178.216554831 51.8742909800001,-178.216518831 51.8635999800001,-178.197185392 51.8562963320001,-178.171663635 51.84665455,-178.069736362 51.8108181860001,-177.962781817 51.7705454590001,-177.954036775 51.761936774,-177.951335148 51.751943087,-177.949981817 51.746936368,-177.949746122 51.7438178040001,-177.948763831 51.73081898,-177.954881831 51.72095498,-177.971681831 51.7141459800001,-178.036545831 51.6956819800001,-178.066145831 51.6944279800001,-178.081118831 51.69873698,-178.092099831 51.69637298,-178.092099893 51.696372755,-178.092099999 51.696372732,-178.093062027 51.692882373,-178.100362797 51.6663970070001,-178.100827831 51.6647099800001,-178.100827107 51.6647096930001,-178.100827272 51.664709095,-178.087490908 51.6594272770001,-177.949981817 51.6063727320001,-177.90780909 51.5919272770001),(-177.29477283 51.77692798,-177.525327831 51.716099985,-177.53613683 51.71582798,-177.56585483 51.7174819800001,-177.610563825 51.726790979,-177.626918181 51.732490914,-177.62691864 51.732490914,-177.62691883 51.7324909800001,-177.63946383 51.7324909800001,-177.689152601 51.7057921030001,-177.702790831 51.69846398,-177.702790665 51.6984637720001,-177.702790908 51.698463641,-177.686399461 51.6778463090001,-177.67416336 51.662455288,-177.672538491 51.6604114670001,-177.669327831 51.6563729800001,-177.66932732 51.6563727920001,-177.669327272 51.6563727320001,-177.651981817 51.6499909140001,-177.642245453 51.6494363680001,-177.640018181 51.680545459,-177.625642476 51.6925876010001,-177.623608869 51.6942909480001,-177.425845453 51.724990914,-177.384218181 51.7269272770001,-177.374172726 51.7263727320001,-177.333890908 51.702763641,-177.28585483 51.67638198,-177.285854544 51.676381823,-177.270599999 51.672490914,-177.260590908 51.6719272770001,-177.153899999 51.699427277,-177.129336362 51.72165455,-177.122218181 51.7844272770001,-177.044872726 51.891927277,-177.044872888 51.8919279,-177.04487283 51.89192798,-177.04779083 51.9031819800001,-177.049255664 51.9040043030001,-177.07970883 51.9210999800001,-177.09308183 51.9266549800001,-177.10528183 51.92970998,-177.14195483 51.9377639800001,-177.15725483 51.9383279800001,-177.17823683 51.93387298,-177.19559083 51.9205369800001,-177.195590864 51.920536402,-177.195590908 51.9205363680001,-177.196827287 51.899220379,-177.19778183 51.8827639800001,-177.19976383 51.84469998,-177.20063683 51.82402798,-177.21304583 51.8088819800001,-177.24334583 51.79331898,-177.29477283 51.77692798),(-162.26430909 54.866936368,-162.256272726 54.8755454590001,-162.235536362 54.887772732,-162.228881817 54.8969454590001,-162.22875494 54.898809483,-162.227908816 54.911236983,-162.232579548 54.925390717,-162.234145453 54.930136368,-162.229354544 54.951927277,-162.232754544 54.9652727320001,-162.232754786 54.9652728670001,-162.232754816 54.965272983,-162.248199816 54.973872983,-162.259023715 54.976532396,-162.274737653 54.9803932830001,-162.279872816 54.9816549830001,-162.297579321 54.982472558,-162.303890816 54.982763983,-162.319990816 54.9804099830001,-162.340545816 54.9708189830001,-162.363736816 54.9565189830001,-162.380839064 54.947380502,-162.385836816 54.9447099830001,-162.421390816 54.935263983,-162.431399816 54.9327729830001,-162.431399799 54.932772782,-162.431399999 54.932772732,-162.431151879 54.9299652980001,-162.430549835 54.9231476590001,-162.430418816 54.921663983,-162.428201621 54.916282326,-162.426887846 54.9130934840001,-162.423890908 54.905818186,-162.421096104 54.8920397380001,-162.420907131 54.891108016,-162.419863816 54.8859639830001,-162.419863687 54.885963894,-162.419863635 54.885963641,-162.40732727 54.877389125,-162.405854816 54.876381983,-162.403775391 54.8746390840001,-162.395572726 54.8677636410001,-162.386245453 54.8627727320001,-162.367354544 54.8530545500001,-162.355272726 54.8459636410001,-162.328890908 54.829718186,-162.309445453 54.8288818230001,-162.293063635 54.834163641,-162.277927272 54.848745459,-162.26430909 54.866936368),(-160.225554544 54.8752636410001,-160.216381817 54.870136368,-160.202636362 54.874572732,-160.198054544 54.893609095,-160.180572726 54.9222181860001,-160.173336362 54.9311090950001,-160.128509284 54.9663727430001,-160.12590954 54.968417785,-160.123322011 54.9704532170001,-160.122499814 54.971099983,-160.120925648 54.97208583,-160.11776146 54.974067453,-160.117611647 54.974161275,-160.095719054 54.9878718630001,-160.008054544 55.0427727320001,-159.890836362 55.0977727320001,-159.880418181 55.098745459,-159.840818181 55.135963641,-159.826936362 55.1766545500001,-159.856654544 55.248881823,-159.858009231 55.251795175,-159.862208814 55.2608279830001,-159.870708055 55.2763350220001,-159.871645453 55.2780454590001,-159.871645671 55.278045723,-159.871645814 55.278045983,-159.881550526 55.2900500740001,-159.882199814 55.2908369840001,-159.882771022 55.2903502360001,-159.89719945 55.278055227,-159.897418541 55.2778685310001,-159.898337919 55.277085094,-159.920018814 55.258609983,-159.921337052 55.256664695,-159.923379958 55.2536500350001,-159.927030891 55.24826245,-159.935000996 55.2365011810001,-159.936399814 55.2344369830001,-159.936399821 55.2344366300001,-159.936399999 55.234436368,-159.936610637 55.2244120880001,-159.936954814 55.208045983,-159.93743284 55.20654611,-159.949436814 55.1688819830001,-159.998437463 55.117526716,-160.009599814 55.105827983,-160.02088955 55.1084872750001,-160.03986219 55.112956271,-160.054238703 55.1163426520001,-160.060272814 55.117763983,-160.066799814 55.1324909830001,-160.071077207 55.138440277,-160.074188648 55.1427678840001,-160.074290814 55.142909983,-160.078062388 55.144565786,-160.101808814 55.1549909830001,-160.1025403 55.1549909830001,-160.114235236 55.1549909830001,-160.117490814 55.1549909830001,-160.184974842 55.1178915680001,-160.189249739 55.115541439,-160.193408814 55.113254983,-160.193408673 55.113254779,-160.19340909 55.1132545500001,-160.161681817 55.067218186,-160.141489168 55.0503988420001,-160.138336814 55.0477729830001,-160.135611887 55.0417636110001,-160.130516965 55.0305276080001,-160.123600022 55.0152727820001,-160.125170642 55.0137481720001,-160.171390814 54.9688819830001,-160.189139859 54.9585257110001,-160.223030352 54.9387511720001,-160.234708814 54.9319369830001,-160.246036814 54.920199983,-160.244718814 54.9013819830001,-160.225554814 54.8752639830001,-160.225554782 54.875263965,-160.225554544 54.8752636410001),(-161.643336817 55.1159639740001,-161.659590816 55.1277729830001,-161.673194447 55.131676408,-161.707933338 55.141644381,-161.708508266 55.1418093510001,-161.732208575 55.1486099140001,-161.727763635 55.1556818230001,-161.727763889 55.1556818670001,-161.727763816 55.1556819830001,-161.744335619 55.158539778,-161.756291747 55.1606016040001,-161.817227816 55.1711099830001,-161.827790816 55.170827983,-161.847781816 55.168054983,-161.858036816 55.1663819830001,-161.898919271 55.1531521630001,-161.903545816 55.1516549830001,-161.903483002 55.1453525800001,-161.90339194 55.136215835,-161.903354816 55.1324909830001,-161.894753108 55.1275369750001,-161.778199999 55.0604090950001,-161.763218181 55.0551272770001,-161.744290908 55.0548545500001,-161.642927272 55.1052727320001,-161.643336362 55.1159636410001,-161.643336817 55.1159639740001),(-160.824154544 55.1369363680001,-160.813899999 55.1179090950001,-160.801390908 55.1252636410001,-160.679172726 55.1638818230001,-160.628599999 55.14985455,-160.547518181 55.1524909140001,-160.50640909 55.1652636410001,-160.464290917 55.1867909200001,-160.464290814 55.186790983,-160.469834682 55.1905113400001,-160.497542237 55.209105213,-160.511690815 55.218599983,-160.522508815 55.2226279830001,-160.560290815 55.2256819830001,-160.566514905 55.2279959800001,-160.568070113 55.2285741760001,-160.573763635 55.2306909150001,-160.584718181 55.305545459,-160.581663635 55.319436368,-160.567645453 55.3313909140001,-160.54110909 55.3413818230001,-160.541109023 55.341381905,-160.541108815 55.3413819840001,-160.533908815 55.3502729840001,-160.533427617 55.3535337330001,-160.532227272 55.3616636410001,-160.536136362 55.3752636410001,-160.539012125 55.379084489,-160.542509021 55.3837309140001,-160.543881815 55.3855549840001,-160.549277965 55.388094283,-160.553618815 55.390136984,-160.55573147 55.3900797920001,-160.564158319 55.3898516670001,-160.570925397 55.3896684740001,-160.650867577 55.3875043470001,-160.661408815 55.3872189840001,-160.694411464 55.399563324,-160.695554544 55.3999909140001,-160.695554745 55.399990958,-160.695554816 55.3999909780001,-160.698057331 55.4005388800001,-160.726654544 55.406800005,-160.726654687 55.406799956,-160.726654815 55.406799984,-160.73757448 55.403047814,-160.769777574 55.3919823200001,-160.771052968 55.3915440750001,-160.771991021 55.3912217450001,-160.775572815 55.3899909840001,-160.790836815 55.3841639840001,-160.800845815 55.376381984,-160.824426608 55.3537303410001,-160.826167367 55.3520581720001,-160.842335185 55.3365274120001,-160.846527815 55.332499984,-160.848120789 55.3229030690001,-160.848533597 55.3204160990001,-160.849288429 55.3158685940001,-160.849797702 55.312800472,-160.855038758 55.281225598,-160.857081134 55.268921257,-160.857618815 55.265681983,-160.852338229 55.2176271760001,-160.850954221 55.2050323140001,-160.850827815 55.203881983,-160.824154815 55.1369369830001,-160.824154717 55.136936803,-160.824154544 55.1369363680001),(-160.319114476 55.3925005770001,-160.317918814 55.3920819840001,-160.317918654 55.392081988,-160.317918181 55.3920818230001,-160.202583387 55.3954152470001,-160.178890814 55.396099984,-160.177600266 55.3983358500001,-160.154999814 55.4374909840001,-160.172873691 55.4423297220001,-160.182494648 55.4449342660001,-160.193407703 55.447888601,-160.217174377 55.4543226120001,-160.230348935 55.4578891720001,-160.233338047 55.4586983710001,-160.23342227 55.4587211720001,-160.245836814 55.4620819840001,-160.263868254 55.463156564,-160.264445814 55.4631909840001,-160.28173991 55.4595642840001,-160.290281814 55.457772984,-160.305520208 55.450390172,-160.329572814 55.4387369840001,-160.339999814 55.4280459840001,-160.339999835 55.4280456270001,-160.339999999 55.428045459,-160.340899999 55.4123454590001,-160.330838035 55.3988128330001,-160.328618814 55.3958279840001,-160.328618668 55.395827932,-160.328618181 55.3958272770001,-160.319114476 55.3925005770001),(-160.344179795 55.2486663290001,-160.335554814 55.2460999830001,-160.335554764 55.2461000700001,-160.335554544 55.2461000050001,-160.328618181 55.2580454590001,-160.320827272 55.2788818230001,-160.317781817 55.2894363680001,-160.317781883 55.2894367470001,-160.317781814 55.2894369840001,-160.320013468 55.3022995970001,-160.328336362 55.3502727320001,-160.327927272 55.35665455,-160.32792782 55.356654894,-160.327927814 55.356654984,-160.334159836 55.3605673980001,-160.346954544 55.3686000050001,-160.346954806 55.3685999780001,-160.467513371 55.3533525300001,-160.495917327 55.349760185,-160.498472815 55.3494369840001,-160.499727054 55.3478952450001,-160.504252565 55.342332389,-160.505229183 55.3411319090001,-160.507585603 55.3382353470001,-160.521447942 55.3211954590001,-160.525363815 55.316381984,-160.525363632 55.316381827,-160.523461136 55.3148339750001,-160.512161317 55.3056405,-160.508636815 55.3027729840001,-160.508636445 55.3027727990001,-160.508636362 55.3027727320001,-160.492513705 55.2947142680001,-160.485602237 55.2912597480001,-160.483063815 55.289990984,-160.483063717 55.2899909540001,-160.483063635 55.289990914,-160.462415052 55.2838469870001,-160.384212242 55.260577901,-160.375276777 55.2579191720001,-160.344179795 55.2486663290001),(-159.649919987 55.0429075690001,-159.648754814 55.039999983,-159.648754555 55.0400000320001,-159.648754544 55.0400000050001,-159.519472726 55.0641545500001,-159.506818181 55.1488818230001,-159.504863635 55.1722181860001,-159.516118181 55.238045459,-159.517887144 55.2402667600001,-159.520267393 55.243256021,-159.521531545 55.24484362,-159.522090814 55.2455459830001,-159.530024887 55.2455459830001,-159.537918814 55.2455459830001,-159.570031782 55.212078997,-159.585493829 55.1959650040001,-159.607254336 55.1732869830001,-159.60926108 55.1711956250001,-159.644734065 55.134226949,-159.653063814 55.1255459830001,-159.653321845 55.1175239460001,-159.654730639 55.0737254650001,-159.655290908 55.0563090950001,-159.651250244 55.0462271060001,-159.649919987 55.0429075690001),(-159.448265853 55.0472236210001,-159.460536814 55.036663983,-159.46186553 55.0350582190001,-159.462669048 55.0340871610001,-159.468984887 55.0264544190001,-159.472910037 55.021710845,-159.479154814 55.0141639830001,-159.477553072 55.0089248580001,-159.459665573 54.9504167760001,-159.458345814 54.9460999830001,-159.452735689 54.9428625,-159.449445453 54.9409636410001,-159.434172726 54.9405454590001,-159.423890908 54.941936368,-159.379699999 54.953327277,-159.338590908 54.9719272770001,-159.338590983 54.9719279060001,-159.338590813 54.9719279830001,-159.338901998 54.974536335,-159.341786962 54.9987181720001,-159.346235658 55.0360072440001,-159.347490813 55.046527983,-159.354197481 55.0513418200001,-159.358318181 55.0543000050001,-159.382199813 55.056099987,-159.382199999 55.0561000050001,-159.397657852 55.0557960300001,-159.413546981 55.0554836000001,-159.416177106 55.055431884,-159.438599814 55.054990983,-159.438599899 55.0549909160001,-159.438599999 55.054990914,-159.439127579 55.0545728990001,-159.441126613 55.052989306,-159.446654814 55.0486099830001,-159.448265853 55.0472236210001),(-155.56389981 55.9185999840001,-155.58056381 55.922490984,-155.589441565 55.921612172,-155.590563143 55.9215011470001,-155.60581881 55.919990984,-155.62027281 55.914154984,-155.620653428 55.913883012,-155.630137088 55.9071064230001,-155.732390497 55.83404082,-155.73999081 55.8286099840001,-155.73999049 55.8286093940001,-155.739990908 55.828609095,-155.715972726 55.7844363680001,-155.603054544 55.772763641,-155.57680909 55.775963641,-155.563472726 55.788609095,-155.557490908 55.8016545500001,-155.554172726 55.8127636410001,-155.556672726 55.9113727320001,-155.556672806 55.911372811,-155.55667281 55.9113729840001,-155.563409368 55.9181095420001,-155.56389981 55.9185999840001),(-158.812090512 55.893498804,-158.813045813 55.8938819840001,-158.813937321 55.8938819840001,-158.831074513 55.8938819840001,-158.832763813 55.8938819840001,-158.872888271 55.878411494,-158.88024681 55.875574317,-158.894727813 55.869990984,-158.911954813 55.8347189840001,-158.906054813 55.8148549840001,-158.906054638 55.814854864,-158.906054544 55.8148545500001,-158.891609294 55.8050008860001,-158.890581815 55.8042999940001,-158.887553758 55.8042520720001,-158.864163635 55.803881823,-158.853336362 55.8052636410001,-158.719163812 55.82679998,-158.719163635 55.8268000050001,-158.710554544 55.8347090950001,-158.710554997 55.8347098150001,-158.710554813 55.834709984,-158.717363813 55.8455459840001,-158.724780057 55.8510245080001,-158.750835518 55.8702721860001,-158.762735366 55.8790628360001,-158.768890813 55.883609984,-158.780956764 55.8876955580001,-158.783627272 55.8886000050001,-158.786312988 55.888984506,-158.797501629 55.890586742,-158.808899813 55.8922189840001,-158.812090512 55.893498804),(-154.569627272 56.4906090950001,-154.525099999 56.5016363680001,-154.490436362 56.508327277,-154.503827272 56.5359090950001,-154.503827428 56.535909201,-154.503827809 56.535909985,-154.520715372 56.5472577360001,-154.526690809 56.5512729850001,-154.526024272 56.5612955980001,-154.524872726 56.578609095,-154.515018181 56.5899909140001,-154.496672726 56.5970727320001,-154.48110909 56.598045459,-154.455563635 56.5922181860001,-154.446245453 56.5869363680001,-154.433166463 56.5697902380001,-154.42749311 56.562352597,-154.425065426 56.5591699550001,-154.421269966 56.5541941880001,-154.418996989 56.551214364,-154.418063809 56.5499909850001,-154.429172809 56.539581985,-154.442585184 56.536366134,-154.455827809 56.533190985,-154.455826918 56.5331909980001,-154.455827272 56.533190914,-154.428618181 56.533609095,-154.416536362 56.53735455,-154.405018181 56.544581823,-154.399581817 56.561236368,-154.399581912 56.561236668,-154.399581809 56.5612369850001,-154.403472809 56.573463985,-154.409094582 56.5795365170001,-154.411170226 56.5817785880001,-154.412090809 56.5827729850001,-154.421390809 56.5877729850001,-154.444467666 56.593698121,-154.452618181 56.5957909140001,-154.481381813 56.601699995,-154.484484704 56.601852567,-154.505418809 56.6028819850001,-154.517470943 56.6012387230001,-154.522270082 56.6005843780001,-154.531418809 56.599336985,-154.545585254 56.593912634,-154.549309485 56.59248662,-154.553306187 56.590956277,-154.563327809 56.5871189850001,-154.605863809 56.5666369850001,-154.648408809 56.5473369850001,-154.714999812 56.51779099,-154.714999999 56.517790914,-154.718841045 56.51442045,-154.740599809 56.4953279850001,-154.759899809 56.4748459850001,-154.768450703 56.464514728,-154.77880909 56.4520000050001,-154.788957408 56.4352903930001,-154.792208809 56.429936985,-154.792208777 56.429936883,-154.79220909 56.429936368,-154.787472726 56.414963641,-154.763245453 56.3982181860001,-154.736263635 56.39605455,-154.71970909 56.399990916,-154.719708809 56.399990985,-154.717326039 56.401275615,-154.704363635 56.4082636410001,-154.675599999 56.438209095,-154.637372726 56.4638181860001,-154.608627272 56.477209095,-154.569627272 56.4906090950001),(-157.32720909 56.522218186,-157.195281817 56.530818186,-157.140836362 56.5450000050001,-157.122772726 56.549436368,-157.111663635 56.549436368,-157.069154544 56.5491636410001,-157.03640909 56.5486090950001,-157.024036362 56.5454181860001,-157.002227272 56.5294363680001,-156.975681817 56.5372181860001,-156.975682538 56.5372187720001,-156.975681811 56.537218985,-156.988151435 56.5473425550001,-156.988175675 56.547362234,-156.99041284 56.5491784960001,-156.997155295 56.5546524150001,-157.000136362 56.5570727320001,-157.000136607 56.557072819,-157.000136811 56.557072985,-157.055845811 56.5769459850001,-157.072781811 56.580827985,-157.083549427 56.581104651,-157.128907184 56.5822700860001,-157.136722397 56.5824708920001,-157.159454811 56.583054985,-157.18371445 56.582637393,-157.188696848 56.5825516290001,-157.191374151 56.5825055430001,-157.240263811 56.581663985,-157.240471281 56.581663985,-157.251681811 56.581663985,-157.260172206 56.5795426990001,-157.261393768 56.5792374970001,-157.269472812 56.5772189850001,-157.270209584 56.5767809880001,-157.274731679 56.574092691,-157.278707251 56.5717292910001,-157.280504415 56.5706609120001,-157.287227812 56.566663985,-157.298336812 56.558881985,-157.313455799 56.547771659,-157.314642648 56.5468994920001,-157.329708812 56.5358279850001,-157.32970873 56.5358275420001,-157.32970909 56.5358272770001,-157.32720909 56.522218186),(-154.352481817 56.5416636410001,-154.339999999 56.521663641,-154.328890908 56.510418186,-154.296963635 56.504718186,-154.246645453 56.498881823,-154.236663635 56.4980454590001,-154.207072726 56.4997181860001,-154.176936362 56.5075000050001,-154.106936362 56.5366636410001,-154.077481817 56.5738818230001,-154.075896468 56.5843346350001,-154.075290912 56.5883272780001,-154.075290809 56.588327985,-154.083308809 56.603881985,-154.085051089 56.6067297880001,-154.087218181 56.6102727320001,-154.087218651 56.6102727270001,-154.087218809 56.6102729850001,-154.171787226 56.609356329,-154.180285827 56.609264211,-154.214718809 56.6088909850001,-154.234436809 56.606945985,-154.272245809 56.5994369850001,-154.287781809 56.594154985,-154.304990809 56.583054985,-154.315272809 56.575272985,-154.352481809 56.5416639850001,-154.352481675 56.5416637700001,-154.352481817 56.5416636410001),(-135.130061622 56.6180743150001,-135.105818181 56.5953363680001,-135.089172726 56.5938818230001,-135.051936362 56.606945459,-134.876863635 56.685827277,-134.846800728 56.6836091490001,-134.939999791 56.6005459850001,-134.957423351 56.596248173,-134.970855625 56.592934879,-134.994676054 56.5870591730001,-134.999999791 56.5857459850001,-135.002934113 56.5847123020001,-135.029936791 56.575199985,-135.036608399 56.5583961770001,-135.037828995 56.5553218580001,-135.044944954 56.5373988640001,-135.047499999 56.530963641,-135.020804138 56.4982996040001,-134.994718791 56.4663819850001,-134.994216625 56.4658400270001,-134.989227625 56.4604557000001,-134.986937863 56.457984498,-134.986275882 56.4572700620001,-134.952491783 56.4208089190001,-134.947494625 56.415415787,-134.945123669 56.412856957,-134.944244625 56.411908258,-134.940986431 56.4083918850001,-134.940826625 56.4082194160001,-134.938270682 56.4054609410001,-134.935887737 56.4028891730001,-134.919269198 56.3849537790001,-134.882754544 56.3455454590001,-134.761690908 56.2213727320001,-134.654590908 56.166100005,-134.654590895 56.1661000380001,-134.65459079 56.166099984,-134.62248179 56.2499999840001,-134.622413487 56.256656235,-134.622397295 56.2582342010001,-134.62109079 56.3855549850001,-134.621280594 56.400183306,-134.622218181 56.472490914,-134.624290827 56.520927165,-134.62499979 56.5374999850001,-134.616006988 56.560287379,-134.609981817 56.57555455,-134.607481817 56.6019363680001,-134.60748183 56.6019365710001,-134.60748179 56.6019369850001,-134.61249079 56.6824909850001,-134.61888179 56.7287369850001,-134.64416379 56.796945985,-134.653188296 56.819286128,-134.684445453 56.896663641,-134.698098714 56.9268837330001,-134.726108791 56.988881985,-134.7824636 57.11605265,-134.78445455 57.120545457,-134.788259776 57.133901381,-134.797790791 57.167354985,-134.836108791 57.250272985,-134.916494991 57.334536196,-134.945418181 57.3648545500001,-134.945418784 57.3648549770001,-134.948544925 57.3670611740001,-134.953334332 57.3704411740001,-134.955856625 57.3722212170001,-134.969826611 57.3820801740001,-134.975536791 57.3861099850001,-135.012417431 57.4042099050001,-135.023359963 57.409580174,-135.027526625 57.411625047,-135.157772791 57.475545986,-135.325944718 57.5383377470001,-135.327043292 57.538747931,-135.347569147 57.5464118410001,-135.351945791 57.548045986,-135.392108791 57.5538819860001,-135.416108791 57.5515189860001,-135.439727791 57.544445986,-135.515718791 57.504999986,-135.546663791 57.412490985,-135.478336791 57.363881985,-135.485854625 57.3613257710001,-135.504353366 57.355035828,-135.519163705 57.350000015,-135.525827384 57.3509688780001,-135.618454791 57.3644369850001,-135.645572791 57.3648549850001,-135.667527791 57.3457909850001,-135.655245562 57.333426102,-135.635281817 57.313327277,-135.576690901 57.274081333,-135.551936791 57.257499985,-135.539739799 57.2536699720001,-135.50500909 57.2427636410001,-135.457490908 57.2474909140001,-135.367454123 57.2457610210001,-135.349974552 57.245425169,-135.338254791 57.2451999850001,-135.353425141 57.210185434,-135.361390908 57.1918000050001,-135.366682954 57.1885989940001,-135.405427791 57.165163985,-135.396634996 57.143782199,-135.390102259 57.1278962850001,-135.378054791 57.0985999850001,-135.371458815 57.0903455700001,-135.356581817 57.071727277,-135.356799999 56.9580454590001,-135.36065549 56.9120818210001,-135.360979348 56.9082211560001,-135.361540204 56.9015351400001,-135.362065267 56.895275831,-135.362375296 56.8915799500001,-135.367354791 56.8322189850001,-135.367354494 56.8322187890001,-135.367354544 56.832218186,-135.298336362 56.7866636410001,-135.263354544 56.7838818230001,-135.223054544 56.8011000050001,-135.200836362 56.808881823,-135.155427272 56.8238818230001,-135.124299999 56.827772732,-135.130533165 56.8099679810001,-135.142934002 56.774546247,-135.145503915 56.767205549,-135.154445791 56.7416639850001,-135.174163791 56.7188819850001,-135.202145791 56.685681985,-135.192551231 56.676683256,-135.191589928 56.6757816510001,-135.185499652 56.6700695870001,-135.169075333 56.654665234,-135.166028548 56.6518076580001,-135.130061622 56.6180743150001),(-153.91390909 56.7655454590001,-153.773899999 56.8383272770001,-153.725281817 56.8780454590001,-153.633054544 56.932772732,-153.606381817 56.9359636410001,-153.554172726 56.9802636410001,-153.554172893 56.980263913,-153.554172808 56.9802639850001,-153.573567188 57.0119678830001,-153.58748153 57.0347135900001,-153.594708808 57.0465279850001,-153.696381808 57.0491639850001,-153.749508061 57.0442280550001,-153.727354544 57.0609636410001,-153.602063807 57.0817999810001,-153.601471899 57.0817809970001,-153.580554544 57.081109095,-153.551390908 57.073327277,-153.504454544 57.0634636410001,-153.425845453 57.130272732,-153.373872726 57.169990914,-153.370818181 57.178881823,-153.301663635 57.2102727320001,-153.255981817 57.2288818230001,-153.169590908 57.21985455,-153.140290908 57.2158272770001,-153.098054544 57.212209095,-153.067490908 57.21665455,-152.984163635 57.2416636410001,-152.956527272 57.2557545500001,-152.964685064 57.2653186110001,-152.977199808 57.279990985,-153.004318808 57.2926369850001,-153.029787318 57.29740338,-153.034727808 57.2983279850001,-153.040589775 57.2964308630001,-153.058745808 57.290554985,-153.079299808 57.2876369850001,-153.093529558 57.289848788,-153.104815053 57.29160295,-153.174863627 57.302490957,-153.166881817 57.3460272770001,-152.906954747 57.327081838,-152.90332959 57.3181464410001,-152.903046527 57.3174487380001,-152.902493826 57.316086424,-152.901672343 57.3140616090001,-152.901671542 57.314059635,-152.899563804 57.308864419,-152.897372726 57.3034636410001,-152.847899999 57.270409095,-152.825563635 57.2691545500001,-152.704163635 57.2738818230001,-152.681945453 57.2827727320001,-152.63390909 57.317772732,-152.63390904 57.3177728160001,-152.633908807 57.317772985,-152.633040943 57.319236516,-152.624256747 57.334049808,-152.600781817 57.3736363680001,-152.600782047 57.373636581,-152.600781807 57.3736369850001,-152.619466888 57.390989651,-152.619749458 57.3912520710001,-152.631254807 57.4019369850001,-152.649551642 57.4092123440001,-152.733216855 57.4424800890001,-152.73513152 57.443241416,-152.737982509 57.444375053,-152.773072807 57.458327986,-152.799262126 57.4669027690001,-152.804445453 57.468600005,-152.808309757 57.4690034320001,-152.823141575 57.4705520640001,-152.840408807 57.472354986,-152.847268858 57.471693681,-152.976581808 57.459227986,-152.997668339 57.4461603230001,-153.001799999 57.4436000050001,-153.024282895 57.4370136950001,-153.036990808 57.433290986,-153.035518049 57.4377521740001,-153.034695324 57.4402443100001,-153.024463635 57.4712363680001,-152.926936362 57.5169363680001,-152.731018181 57.504163641,-152.652499999 57.4655454590001,-152.543606265 57.44050593,-152.524445807 57.436099986,-152.524137657 57.4360752530001,-152.51364507 57.4352331200001,-152.361799999 57.423045459,-152.335772726 57.427490914,-152.271537652 57.4974445770001,-152.219319864 57.554310974,-152.216399807 57.5574909860001,-152.160976232 57.601328353,-152.152299807 57.6081909860001,-152.156563584 57.614980947,-152.163545453 57.6261000050001,-152.175259873 57.626564812,-152.185113587 57.6269558220001,-152.196994843 57.6274272840001,-152.322247988 57.632397483,-152.336556584 57.6329652650001,-152.338590807 57.6330459860001,-152.405427807 57.616799986,-152.425018807 57.603609986,-152.435272807 57.6047189860001,-152.448281997 57.6158465090001,-152.486423228 57.648470939,-152.501590379 57.6614442920001,-152.544652026 57.6982774430001,-152.545398979 57.698916356,-152.549141619 57.7021176550001,-152.551608458 57.7042276870001,-152.478881817 57.7513909140001,-152.448054544 57.7688818230001,-152.425563635 57.7774909140001,-152.386595701 57.789184694,-152.383909088 57.7899909080001,-152.383908807 57.7899909860001,-152.380233636 57.791960481,-152.329927272 57.8189181860001,-152.329928073 57.8189188430001,-152.329927807 57.818918986,-152.330038862 57.819010007,-152.337476951 57.825106281,-152.345924304 57.8320297510001,-152.353608807 57.8383279860001,-152.358575613 57.840933901,-152.457217358 57.8926879000001,-152.477218181 57.9031818230001,-152.487359821 57.906541437,-152.497772807 57.9099909860001,-152.504059279 57.911359028,-152.511215641 57.912916373,-152.518898582 57.914588311,-152.526395939 57.916219862,-152.592227807 57.930545986,-152.623599807 57.9274909860001,-152.623599898 57.9274909230001,-152.623599999 57.927490914,-152.630627028 57.922645463,-152.634449642 57.9200096320001,-152.641314641 57.9152759680001,-152.691681807 57.8805459860001,-152.791452308 57.860779042,-152.792466537 57.8605780990001,-152.801390807 57.858809986,-152.849918807 57.8346459860001,-152.860536807 57.7940189860001,-152.857549459 57.752852321,-152.85728184 57.7491639530001,-152.875042094 57.7313316350001,-152.877490807 57.7288729860001,-152.920563617 57.7577728580001,-152.911703738 57.8200122540001,-152.911610583 57.8206666450001,-152.909590859 57.834854625,-152.891041699 57.8630801300001,-152.879790807 57.880199986,-152.876974327 57.880992673,-152.830690908 57.894018186,-152.813472726 57.9095727320001,-152.813472952 57.9095728550001,-152.813472807 57.9095729860001,-152.840818807 57.924436986,-152.878778318 57.932355896,-152.880248679 57.9326626340001,-152.882881926 57.9332119680001,-152.914820152 57.9398747500001,-152.949981807 57.9472099860001,-152.960885528 57.9470226820001,-152.983371067 57.9466364260001,-152.999754808 57.9463549860001,-153.005258649 57.9442288270001,-153.005461979 57.94415028,-153.018289587 57.939194919,-153.032772728 57.9336000100001,-153.116945453 57.950000005,-153.169101442 57.9674458150001,-153.187499808 57.9735999860001,-153.230563808 57.991663986,-153.258618808 58.0023549860001,-153.273236551 57.999161627,-153.294863808 57.994436986,-153.294863341 57.994436433,-153.294863635 57.994436368,-153.262645453 57.9562454590001,-153.233844694 57.9506387370001,-153.230563808 57.9499999860001,-153.212035248 57.945213912,-153.19610909 57.9411000050001,-153.173890908 57.9252727320001,-153.051182237 57.8302730570001,-153.05896512 57.8315569650001,-153.063749964 57.8323463,-153.07034337 57.833433986,-153.081215492 57.8352275130001,-153.091081329 57.8368550380001,-153.096645808 57.8377729860001,-153.150572808 57.8638819860001,-153.193054808 57.837490986,-153.19551982 57.8314288880001,-153.20198094 57.8155393340001,-153.202965585 57.8131178400001,-153.203282452 57.812338583,-153.206292792 57.804935384,-153.207600597 57.801719156,-153.209430398 57.7972192060001,-153.210555949 57.7944511870001,-153.213045808 57.7883279860001,-153.259896577 57.7978868320001,-153.398822069 57.8262314570001,-153.470672808 57.840890986,-153.473463808 57.810336986,-153.473463594 57.810336815,-153.473463635 57.810336368,-153.450136362 57.7917272770001,-153.406036362 57.7888181860001,-153.320509391 57.7272456760001,-153.326569048 57.7240219650001,-153.327657342 57.7234429970001,-153.329276471 57.7225816280001,-153.333356128 57.7204112680001,-153.358893025 57.706825753,-153.498073648 57.6327822790001,-153.503411569 57.6299425280001,-153.506190808 57.628463986,-153.531399808 57.6583279860001,-153.5451546 57.686518559,-153.54888011 57.711595942,-153.550274114 57.7209797100001,-153.55156978 57.7297015180001,-153.551849079 57.7315816240001,-153.55331665 57.741460617,-153.555099808 57.753463986,-153.558144166 57.810610507,-153.558199808 57.8116549860001,-153.558620507 57.8122300300001,-153.562706045 57.8178144520001,-153.562933571 57.8181254520001,-153.566775855 57.823377377,-153.56806734 57.825142676,-153.571108808 57.8292999860001,-153.586551747 57.83719798,-153.609918433 57.849148422,-153.643063635 57.8661000050001,-153.70515656 57.8914863780001,-153.732072808 57.902490986,-153.752227808 57.897218986,-153.82591573 57.8653127000001,-153.856505967 57.85206737,-153.89611055 57.8349188990001,-153.899756886 57.8333400650001,-153.903627808 57.8316639860001,-153.92219227 57.8148012600001,-153.929318808 57.8083279860001,-153.931651478 57.799887434,-153.933072132 57.794746925,-153.933234488 57.7941594530001,-153.937227808 57.7797099860001,-153.935833676 57.772401367,-153.935358447 57.769910017,-153.935025058 57.768162256,-153.934663688 57.7662678030001,-153.931213375 57.7481798320001,-153.927838338 57.730486484,-153.927372726 57.728045459,-153.89500909 57.7039454590001,-153.858336362 57.7005454590001,-153.789599999 57.694436368,-153.746645453 57.6874909140001,-153.710399999 57.6801272770001,-153.678754544 57.6701272770001,-153.611372726 57.6379090950001,-153.585591171 57.60544579,-153.5921815 57.6018924940001,-153.597781808 57.5988729860001,-153.604208195 57.60319285,-153.605882647 57.6043184280001,-153.606820719 57.6049490070001,-153.632870642 57.6224599540001,-153.648618808 57.6330459860001,-153.663961809 57.63708117,-153.669736362 57.6386000050001,-153.677855414 57.639670928,-153.693399043 57.64172132,-153.732102671 57.646826796,-153.736554518 57.647414048,-153.738145009 57.647623853,-153.747101572 57.6488053320001,-153.754027808 57.649718986,-153.766643184 57.6490208810001,-153.869518808 57.643327986,-153.859932554 57.6166633380001,-153.8461988 57.5784622140001,-153.836689227 57.5520108580001,-153.835263792 57.548045895,-153.834159226 57.5419666390001,-153.832654165 57.533683151,-153.829189494 57.5146144610001,-153.820935639 57.469187278,-153.819519766 57.461394666,-153.81929629 57.460164708,-153.818025806 57.4531722770001,-153.817655837 57.451136057,-153.81004458 57.4092455800001,-153.809018808 57.403599985,-153.763424938 57.345495548,-153.760927501 57.3423128360001,-153.759942142 57.341057102,-153.759484516 57.340473908,-153.753485482 57.3328287900001,-153.751906584 57.3308166560001,-153.748574957 57.3265708590001,-153.742632473 57.3189978080001,-153.742427808 57.318736985,-153.742427731 57.318736954,-153.742427272 57.318736368,-153.671954544 57.28985455,-153.651963717 57.2874909230001,-153.650627605 57.286582556,-153.635010007 57.275964264,-153.635624097 57.2761071730001,-153.637593617 57.2765655110001,-153.643359105 57.2779072320001,-153.731108808 57.2983279850001,-153.754217831 57.3074533220001,-153.760299808 57.3098549850001,-153.760706411 57.310093158,-153.773650992 57.317675605,-153.776413817 57.3192939630001,-153.784727512 57.3241638120001,-153.786288249 57.325273554,-153.801118808 57.3358189850001,-153.890445808 57.409718985,-153.902790808 57.427772985,-153.912508808 57.4472099860001,-153.918881808 57.472218986,-153.922499808 57.499299986,-153.925684786 57.509109734,-153.930436362 57.5237454590001,-154.002027272 57.6407545500001,-154.002027624 57.6407546840001,-154.002027808 57.640754986,-154.005813642 57.642193283,-154.023207944 57.6488016500001,-154.029999808 57.651381986,-154.034194642 57.6517437160001,-154.042599183 57.652468459,-154.052538891 57.653325582,-154.066855937 57.654560174,-154.207218809 57.6666639860001,-154.249418809 57.6644369860001,-154.348327809 57.6452729860001,-154.514527474 57.579573086,-154.516963809 57.5786099860001,-154.519169621 57.577281935,-154.520931481 57.5762211740001,-154.524203188 57.5742513810001,-154.616636809 57.518599986,-154.633799545 57.508250903,-154.639190908 57.5050000050001,-154.650118053 57.494789375,-154.727781809 57.422218985,-154.760977389 57.357891174,-154.773489531 57.3336446100001,-154.799454809 57.283327985,-154.799454291 57.283327768,-154.799454544 57.2833272770001,-154.771190908 57.2714454590001,-154.729572726 57.2755454590001,-154.692363635 57.2791636410001,-154.609572726 57.260963641,-154.539181817 57.184436368,-154.534844463 57.1705458980001,-154.527645809 57.147490985,-154.52590426 57.137177675,-154.515427809 57.075136985,-154.517512362 57.0563865930001,-154.517790908 57.053881823,-154.518157354 57.0524497660001,-154.519198441 57.048381883,-154.523618809 57.0311099850001,-154.52646612 57.0088718540001,-154.527203241 57.0031147730001,-154.528118809 56.9959639850001,-154.528118158 56.9959638190001,-154.528118181 56.9959636410001,-154.458036362 56.978045459,-154.403899999 56.967763641,-154.38390909 56.9580454590001,-154.358336362 56.9447090950001,-154.333327272 56.930827277,-154.301663773 56.90283649,-154.300188604 56.882282386,-154.300084742 56.8808352390001,-154.299634015 56.8745550890001,-154.297790908 56.8488727320001,-154.282227272 56.8544363680001,-154.243045453 56.8741545500001,-154.159454544 56.9594363680001,-154.106227272 57.0833272770001,-154.10611198 57.1105130500001,-154.106090809 57.115481985,-154.127821728 57.1159344970001,-154.134764294 57.1160790650001,-154.136994742 57.1161255110001,-154.148641738 57.116368041,-154.184882887 57.117122706,-154.207725695 57.117598372,-154.242763809 57.1183279850001,-154.244585836 57.1181175880001,-154.245311604 57.1180337800001,-154.275281809 57.1145729850001,-154.315490809 57.096654985,-154.334445809 57.071936985,-154.353709468 57.0549464630001,-154.355699972 57.0531909380001,-154.380008809 57.046109985,-154.439454809 57.0526279850001,-154.454902922 57.0599694410001,-154.458754544 57.0618000050001,-154.481654544 57.0927727320001,-154.473190908 57.122109095,-154.344999999 57.1477727320001,-154.320827272 57.1477727320001,-154.246090908 57.1469454590001,-154.150693697 57.1451092470001,-154.145018809 57.144999985,-154.141455479 57.1446635450001,-154.124418181 57.14305455,-154.020555021 57.107663804,-154.032323007 57.0976247030001,-154.051681809 57.0811099850001,-154.078063809 57.067909985,-154.094999809 57.050272985,-154.094999995 57.050272729,-154.095578687 57.049459089,-154.105015615 57.0361908930001,-154.114173049 57.02331566,-154.114242053 57.023218641,-154.115969968 57.020789215,-154.134318809 56.9949909850001,-154.133132925 56.993958101,-154.099718809 56.964854985,-154.099718687 56.964854991,-154.099718181 56.96485455,-154.077772726 56.965963641,-154.052918181 56.97985455,-154.02500909 57.0179090950001,-154.00821846 57.0345688900001,-154.007509021 57.0352727740001,-153.95439091 57.067990917,-153.792081817 57.152909095,-153.738737304 57.1287367950001,-153.816408808 57.0988729850001,-153.904172728 57.0636000100001,-153.904172808 57.0635999850001,-153.960127808 56.993745985,-153.960263438 56.993041417,-153.961531715 56.986453,-153.966945808 56.958327985,-153.966945325 56.958327947,-153.966945453 56.9583272770001,-153.945972726 56.956663641,-153.89820909 56.9626272770001,-153.876918181 56.9756818230001,-153.868318181 56.9941545500001,-153.850263635 57.0202727320001,-153.82720909 57.010272732,-153.805573077 56.9733187860001,-153.83997942 56.9478081060001,-153.845828781 56.9434710800001,-153.859508808 56.9333279850001,-153.862831289 56.932501707,-153.887388574 56.926394482,-153.901399808 56.922909985,-153.902580383 56.922527771,-153.920016692 56.916882727,-153.949445808 56.907354985,-153.979054838 56.891551957,-154.045124084 56.8562892630001,-154.072114872 56.841883651,-154.073054809 56.8413819850001,-154.08395752 56.829583933,-154.090159887 56.822872224,-154.091365652 56.8215674400001,-154.09148688 56.821436256,-154.120545809 56.789990985,-154.121475716 56.7875396320001,-154.137888434 56.744273644,-154.138881809 56.7416549850001,-154.138881653 56.7416549820001,-154.138881817 56.7416545500001,-153.985963635 56.7384636410001,-153.962081817 56.743045459,-153.91390909 56.7655454590001),(-153.453890908 57.8838818230001,-153.295290908 57.8294363680001,-153.279445453 57.824163641,-153.248872726 57.8149909140001,-153.223872726 57.808045459,-153.210554544 57.8099909140001,-153.214445453 57.8308272770001,-153.214445785 57.8308278660001,-153.214445808 57.830827986,-153.216862956 57.835115466,-153.220554544 57.8416636410001,-153.220554784 57.8416639430001,-153.220554811 57.841663984,-153.222419343 57.844018734,-153.223324499 57.845161868,-153.232208808 57.856381986,-153.23226611 57.8564480210001,-153.233593474 57.8579776930001,-153.234018922 57.8584679850001,-153.235074473 57.8596844160001,-153.235307277 57.859952702,-153.254755641 57.8823652470001,-153.257039406 57.884997088,-153.261136808 57.889718986,-153.265169106 57.8937509300001,-153.272518181 57.901100005,-153.353336362 57.936381823,-153.35333662 57.936381904,-153.353336808 57.9363819860001,-153.457218808 57.969154986,-153.465143496 57.9709757150001,-153.467040178 57.9714114860001,-153.470554808 57.972218986,-153.481936808 57.9710999860001,-153.485684319 57.9698282700001,-153.52194799 57.9575222170001,-153.525708808 57.9562459860001,-153.52570899 57.956245493,-153.52570909 57.9562454590001,-153.533276717 57.935773962,-153.534455872 57.9325841930001,-153.535081798 57.9308909800001,-153.535081817 57.930890914,-153.453890908 57.8838818230001),(-152.986161004 57.981094463,-152.974699999 57.9808181860001,-152.96194202 57.9810941790001,-152.961672808 57.981099993,-152.961672726 57.981099999,-152.903899999 57.9858272770001,-152.891527272 57.9906181860001,-152.891528189 57.990618838,-152.891527807 57.9906189860001,-152.906681807 58.001390986,-152.912157722 58.002667768,-152.934173641 58.00780107,-152.938377152 58.008781174,-152.944682039 58.010251242,-152.952530327 58.0120811740001,-152.954166734 58.012462724,-152.956 58.0128901740001,-152.95735382 58.0132058360001,-152.968599808 58.015827986,-153.032563375 58.0302906470001,-153.038077531 58.0315374400001,-153.042866794 58.03262033,-153.044850927 58.0330689580001,-153.055845808 58.0355549860001,-153.185272808 58.092490986,-153.212490808 58.105272986,-153.239990808 58.1216549860001,-153.256424159 58.1350525710001,-153.258054544 58.1363818230001,-153.258054717 58.136381913,-153.258054808 58.1363819860001,-153.264298655 58.1396200840001,-153.269045453 58.1420818230001,-153.269045504 58.1420818290001,-153.269045808 58.1420819860001,-153.284727808 58.1438819860001,-153.305263808 58.1405459860001,-153.319718666 58.1349374860001,-153.320281808 58.1347189860001,-153.33692851 58.121804001,-153.341728417 58.118080096,-153.382350715 58.0865641620001,-153.407381608 58.0671444830001,-153.415699999 58.0606909140001,-153.36970909 58.040409095,-153.355254544 58.038045459,-153.343599999 58.0391636410001,-153.210536362 58.0302727320001,-153.063899999 57.9936090950001,-153.045290908 57.989990914,-152.986390908 57.9811000030001,-152.986390808 57.9810999860001,-152.986161004 57.981094463),(-152.91390909 58.010827277,-152.852218181 57.9929090950001,-152.782518807 57.993599992,-152.782518181 57.9936000050001,-152.771663635 57.998327277,-152.695827272 58.0533181860001,-152.656127272 58.060272732,-152.626372726 58.078609095,-152.598599999 58.1216545500001,-152.598599841 58.1216549330001,-152.598599812 58.121654988,-152.594145453 58.1324909140001,-152.488590908 58.124436368,-152.403899999 58.119990914,-152.277218181 58.129436368,-152.293627272 58.1530454590001,-152.293627435 58.1530454520001,-152.293627807 58.1530459860001,-152.302566641 58.1526388140001,-152.309188641 58.1523371760001,-152.317554437 58.1519561060001,-152.320077697 58.1518411690001,-152.320981819 58.1518000020001,-152.367354544 58.1943000050001,-152.313618181 58.247918186,-152.303618181 58.252772732,-152.274181817 58.262218186,-152.240963635 58.262218186,-152.217772809 58.22388196,-152.218265985 58.2186727390001,-152.218393438 58.217326498,-152.218890911 58.2120727330001,-152.221756921 58.2053588210001,-152.222534641 58.203536935,-152.222918807 58.2026369860001,-152.222918164 58.2026364060001,-152.222918181 58.2026363680001,-152.191681817 58.174436368,-152.116090908 58.1474909140001,-152.099990908 58.1495727320001,-152.080290908 58.1563818230001,-152.061399999 58.1669363680001,-151.991363635 58.2158272770001,-151.972781817 58.233045459,-151.963054544 58.2780454590001,-151.965144947 58.3140741180001,-151.965681807 58.323327986,-151.96603256 58.3237374820001,-151.976555043 58.3360221950001,-151.983045453 58.343600005,-152.018232723 58.352724295,-152.07249464 58.3667949360001,-152.077812367 58.368173874,-152.088831748 58.3710313060001,-152.095998194 58.372889635,-152.120940446 58.379357403,-152.135807941 58.3832126880001,-152.281954807 58.421109986,-152.283259186 58.4213093450001,-152.301936807 58.4241639860001,-152.307488724 58.42375774,-152.312613177 58.4233827730001,-152.314328518 58.423257258,-152.318237875 58.4229712010001,-152.327219944 58.4223139630001,-152.350882849 58.4205824960001,-152.351381807 58.420545986,-152.358644599 58.41304913,-152.406954799 58.3631819940001,-152.413310803 58.3676115170001,-152.510359084 58.4352450170001,-152.54417679 58.4588127700001,-152.546663807 58.4605459860001,-152.552878498 58.4618419160001,-152.580825641 58.467669646,-152.59002237 58.46958741,-152.593493378 58.470311209,-152.607538445 58.4732399820001,-152.624143254 58.4767025300001,-152.638608807 58.4797189860001,-152.649233568 58.478576913,-152.654172807 58.478045986,-152.667688917 58.4733894070001,-152.671544221 58.4720611750001,-152.67217174 58.4718449820001,-152.704254641 58.460791758,-152.709095617 58.4591239420001,-152.719152435 58.45565916,-152.719454807 58.455554986,-152.772574285 58.4219913750001,-152.776393538 58.419578175,-152.78430755 58.414577696,-152.788037347 58.4122210190001,-152.788054807 58.4122099860001,-152.791381807 58.374163986,-152.791760995 58.3687416160001,-152.793001021 58.3510093,-152.794013625 58.3365291110001,-152.795898033 58.3095821750001,-152.7975919 58.2853599540001,-152.797772807 58.2827729860001,-152.800275084 58.2830153610001,-152.814728593 58.2844153520001,-152.824873328 58.2853979880001,-152.829225534 58.28581955,-152.833250395 58.286209404,-152.835453862 58.286422836,-153.003851237 58.3027340840001,-153.008991922 58.303232022,-153.012790807 58.3035999910001,-153.012790908 58.3036000050001,-153.03750909 58.3036000050001,-153.039240346 58.3031549240001,-153.048172931 58.300858959,-153.050981808 58.300136986,-153.058209598 58.2949224650001,-153.061935994 58.29223404,-153.102002095 58.263328175,-153.104308808 58.261663986,-153.10430871 58.261663915,-153.10430909 58.261663641,-153.081893111 58.2451299140001,-153.071536808 58.2374909860001,-153.062549032 58.235102544,-153.016118181 58.222763641,-152.948054544 58.1954090950001,-152.912031088 58.1734590890001,-152.90699632 58.1703911750001,-152.902236807 58.1674909860001,-152.915281807 58.166381986,-152.992553641 58.17654057,-153.003345158 58.1779592820001,-153.012508808 58.179163986,-153.089718808 58.1991549860001,-153.11488656 58.2041891750001,-153.119751226 58.205162231,-153.131343422 58.2074809640001,-153.156918225 58.212596573,-153.176527808 58.216518986,-153.177615952 58.2162671900001,-153.197508808 58.2116639860001,-153.203112013 58.208419765,-153.206255557 58.206599673,-153.209990808 58.2044369860001,-153.221254808 58.193599986,-153.225573186 58.1806269260001,-153.23040909 58.166100005,-153.227271246 58.1620065170001,-153.220827808 58.1535999860001,-153.199136441 58.136202547,-153.168881817 58.111936368,-153.148618181 58.1022181860001,-153.138063635 58.101109095,-153.069736361 58.090545461,-153.068464405 58.089062176,-153.063171641 58.08289001,-153.048563722 58.065854969,-153.038054808 58.0535999860001,-153.037064669 58.0529082260001,-153.032499999 58.0497181860001,-153.012910038 58.0417712500001,-153.006818808 58.0392999860001,-152.987366256 58.0333388080001,-152.91390909 58.010827277),(-152.526672726 58.4738727320001,-152.505581817 58.4713727320001,-152.493863635 58.4722181860001,-152.477199999 58.4774818230001,-152.464445453 58.484436368,-152.453039964 58.495149799,-152.452909087 58.4952727290001,-152.452908807 58.495272986,-152.376918181 58.563327277,-152.342227272 58.593318186,-152.340000003 58.6022181870001,-152.339999807 58.6022189870001,-152.343156983 58.612160788,-152.346599473 58.623001027,-152.347623891 58.6262268730001,-152.348599807 58.6292999870001,-152.353805981 58.631000047,-152.359663884 58.6329129270001,-152.360654918 58.633236546,-152.368590807 58.635827987,-152.374076005 58.6357157080001,-152.381927807 58.635554987,-152.38259932 58.6353893670001,-152.39872524 58.631412122,-152.399990908 58.6311000050001,-152.405000308 58.629578301,-152.44027855 58.6188621840001,-152.478608807 58.6072189870001,-152.479669757 58.6068784010001,-152.486886542 58.604561673,-152.492548725 58.6027440030001,-152.49926972 58.600586434,-152.502010126 58.5997067110001,-152.537536641 58.588302012,-152.549695242 58.5843988660001,-152.559248374 58.5813321260001,-152.560818807 58.5808279870001,-152.568602571 58.5779930300001,-152.577593658 58.5747183490001,-152.584894788 58.572059175,-152.585441352 58.5718601090001,-152.59173637 58.569567374,-152.607489081 58.5638300150001,-152.610051633 58.562896697,-152.651171739 58.5479201750001,-152.652526641 58.5474267010001,-152.655820348 58.546227086,-152.658063807 58.545409987,-152.65806329 58.5454092210001,-152.658063635 58.5454090950001,-152.63383845 58.509582993,-152.633745808 58.5094459860001,-152.633745453 58.5094454590001,-152.622481817 58.501527277,-152.545290908 58.4774818230001,-152.526672726 58.4738727320001),(-136.397375524 58.1556916440001,-136.412894781 58.1353911750001,-136.431672792 58.1108279860001,-136.431672517 58.1108275510001,-136.431672726 58.1108272770001,-136.418336362 58.089718186,-136.400505633 58.0739694270001,-136.394745792 58.0688819860001,-136.392033401 58.066936689,-136.373045453 58.0533181860001,-136.203890908 57.950272732,-136.099427272 57.888327277,-136.060545453 57.8672090950001,-136.033555332 57.8469369600001,-136.054018792 57.8459639860001,-136.067565626 57.853127763,-136.078195817 57.8587491740001,-136.160834129 57.9024496060001,-136.162626681 57.9033975350001,-136.1674708 57.9059591820001,-136.190526158 57.918151218,-136.194217633 57.920103328,-136.215545453 57.931381823,-136.227049105 57.9384457130001,-136.243779486 57.9487191740001,-136.265853626 57.962274026,-136.268228156 57.96373213,-136.272543887 57.966382249,-136.280456433 57.9712410290001,-136.287543091 57.975592663,-136.289571959 57.976838511,-136.305572792 57.9866639860001,-136.321492137 57.9877752790001,-136.337345792 57.9888819860001,-136.361254792 57.966381986,-136.356036792 57.9378459860001,-136.358709494 57.931397475,-136.361048358 57.925754425,-136.40126423 57.8287243290001,-136.401622527 57.8278598540001,-136.402983868 57.8245753030001,-136.403745792 57.8227369860001,-136.40374506 57.8227373170001,-136.403745453 57.8227363680001,-136.372972726 57.83665455,-136.353054544 57.83305455,-136.201936362 57.7472181860001,-136.125545691 57.698872882,-136.122623104 57.6958689360001,-136.120919558 57.6941179670001,-136.075290908 57.647218186,-135.991363635 57.631381823,-135.981879488 57.626695741,-135.951327792 57.611599986,-135.994718792 57.6002729860001,-135.994727961 57.600273056,-136.002563626 57.600332833,-136.030844675 57.6005485850001,-136.052542035 57.6007141110001,-136.057615458 57.6007528160001,-136.059298468 57.600765655,-136.062618792 57.6007909860001,-136.060899997 57.599021974,-136.058055007 57.5960938650001,-136.057542278 57.5955661560001,-136.056046263 57.5940264330001,-136.051042804 57.5888767930001,-136.029999999 57.567218186,-135.951936362 57.531109095,-135.896390908 57.5099909140001,-135.837772726 57.484436368,-135.794590908 57.459300005,-135.784800663 57.4398197800001,-135.782163791 57.434572986,-135.804718792 57.437209986,-135.846964793 57.458726175,-135.849226139 57.459877895,-135.865263792 57.4680459860001,-135.867743291 57.469581174,-135.886127406 57.480963747,-135.887835786 57.482310371,-135.906390792 57.496936986,-135.969572792 57.518054986,-135.978604528 57.5180524420001,-136.001527792 57.5180459860001,-136.001527268 57.5180454630001,-135.951936795 57.4691549820001,-135.951936362 57.46915455,-135.918229556 57.4454122590001,-135.916228897 57.4440030370001,-135.907529938 57.4378756670001,-135.906373613 57.4370611740001,-135.885106697 57.422081174,-135.881534201 57.4195647780001,-135.855895625 57.4015054670001,-135.837757827 57.388729556,-135.835418792 57.3870819850001,-135.835418266 57.3870818830001,-135.835418181 57.3870818230001,-135.729427272 57.366381823,-135.688045453 57.3627727320001,-135.601927272 57.41415455,-135.54590909 57.46575455,-135.545909104 57.4657546980001,-135.545908791 57.465754986,-135.549451676 57.502577414,-135.55012467 57.5095720680001,-135.552490791 57.5341639860001,-135.565642936 57.571315337,-135.570754544 57.58575455,-135.570754656 57.585754604,-135.570754791 57.585754986,-135.646562487 57.6220591740001,-135.648787797 57.6231248710001,-135.664020064 57.6304195810001,-135.679244625 57.6377105990001,-135.687499791 57.6416639860001,-135.691981054 57.646337111,-135.692578837 57.6469604870001,-135.696649847 57.6512057960001,-135.702560625 57.6573696400001,-135.704312912 57.6591969500001,-135.71744374 57.6728899670001,-135.743839981 57.700416348,-135.762691224 57.720074696,-135.776090553 57.73404771,-135.794940825 57.7537050460001,-135.797149992 57.7560087850001,-135.799432655 57.7583891850001,-135.800872725 57.759890915,-135.750854544 57.7530545500001,-135.730563635 57.747772732,-135.697236587 57.736381899,-135.666963791 57.7235999860001,-135.661947351 57.7214674680001,-135.644745453 57.71415455,-135.622218181 57.7044363680001,-135.589899893 57.6864783570001,-135.564727791 57.6724909860001,-135.548233203 57.6660458850001,-135.455263635 57.629718186,-135.273899999 57.5597181860001,-135.145140908 57.5077514430001,-135.119718791 57.4974909860001,-135.106939286 57.48959046,-135.086927272 57.4772181860001,-135.059299999 57.459509095,-134.98830909 57.4505454590001,-134.854490908 57.4587363680001,-134.854490862 57.4587369810001,-134.854490791 57.4587369860001,-134.853115343 57.4772101630001,-134.844236362 57.59645455,-134.912845453 57.7498545500001,-134.912845639 57.7498546480001,-134.912845791 57.7498549860001,-134.931118791 57.7594369860001,-134.937098481 57.759752387,-134.951484739 57.760511195,-134.957490791 57.760827986,-134.960325251 57.7605142580001,-134.989559891 57.7572784700001,-135.036618871 57.7520698230001,-135.045290791 57.7511099860001,-135.098599791 57.7433279860001,-135.118451105 57.73868471,-135.134275463 57.7349833500001,-135.167508791 57.727209986,-135.211333451 57.723125344,-135.233063635 57.7211000020001,-135.237541766 57.7218396640001,-135.296963791 57.7316549860001,-135.304078091 57.7403911740001,-135.317781791 57.7572189860001,-135.359981791 57.7972189860001,-135.382472791 57.806936986,-135.439137469 57.8274429570001,-135.442666837 57.8287201740001,-135.517547233 57.8558181000001,-135.523358712 57.8579211740001,-135.523616268 57.85801438,-135.525283885 57.858617861,-135.527496625 57.859418614,-135.531112133 57.8607270040001,-135.536901845 57.862822201,-135.544083655 57.8654211740001,-135.555934105 57.8697096480001,-135.557490791 57.870272986,-135.564976157 57.8728901740001,-135.579356634 57.8779181740001,-135.619944016 57.892109174,-135.620152634 57.8921821160001,-135.622189021 57.8928941200001,-135.642758672 57.9000861060001,-135.647245791 57.901654986,-135.722564625 57.915595625,-135.728336791 57.9166639860001,-135.729759716 57.9169578990001,-135.734297473 57.917895199,-135.735529883 57.9181497610001,-135.774215625 57.926140527,-135.778158995 57.926955053,-135.796245453 57.9306909150001,-135.880336362 57.992490914,-135.844572726 57.9898545500001,-135.822081818 57.9804000010001,-135.82208179 57.9803999900001,-135.718045453 57.943881823,-135.555845453 57.9027727320001,-135.337772726 57.825272732,-135.267518181 57.7916636410001,-135.231227272 57.779709095,-135.199154544 57.7758272770001,-135.123599999 57.7744363680001,-135.089445453 57.7819363680001,-135.044736362 57.7802727320001,-135.005281817 57.779536368,-134.964718181 57.809581823,-134.980798718 57.8222161520001,-134.984838403 57.8253901740001,-134.993365795 57.8320902350001,-135.006054871 57.842060174,-135.019863791 57.852909986,-135.039696711 57.863926206,-135.043460585 57.8660168540001,-135.048618181 57.868881823,-135.048618626 57.8688818950001,-135.048618791 57.8688819860001,-135.067545932 57.871933599,-135.083072791 57.874436986,-135.113822133 57.8804351690001,-135.120818181 57.8818000050001,-135.144745455 57.89388182,-135.170883621 57.9146867380001,-135.171916853 57.915509152,-135.175869167 57.9186550410001,-135.177541697 57.9199863100001,-135.177566626 57.920006153,-135.182239661 57.9237257180001,-135.198745356 57.9368636390001,-135.16750909 57.936381823,-135.018618181 57.889163641,-134.969999999 57.885272732,-134.911254544 57.919990914,-134.906536547 57.969321317,-134.905290791 57.982345986,-134.91760984 58.0103636960001,-134.920563635 58.0170818230001,-134.920563788 58.0170819740001,-134.935836791 58.0319369860001,-134.952468625 58.0382625140001,-134.979967784 58.048721174,-134.980095203 58.048769635,-134.982173783 58.0495601740001,-135.099427791 58.094154986,-135.337493625 58.1277483390001,-135.342592844 58.1284678870001,-135.365892942 58.1317557530001,-135.3685032 58.132124085,-135.384139625 58.1343305330001,-135.406536362 58.1374909200001,-135.406536791 58.137490986,-135.452418791 58.1201279860001,-135.456026972 58.1150034030001,-135.466311033 58.100397285,-135.470423075 58.0945570850001,-135.470991215 58.093750174,-135.472043323 58.0922559000001,-135.476392588 58.086078779,-135.477471855 58.084545931,-135.480291516 58.080541258,-135.488890791 58.068327986,-135.541381791 58.0127729860001,-135.558627791 58.000272986,-135.618318791 57.9616639860001,-135.643602936 57.9621412270001,-135.647245791 57.9622099860001,-135.660984988 57.965869201,-135.684302238 57.9720793770001,-135.689257896 57.9733992370001,-135.707763791 57.9783279860001,-135.708866358 57.9793227110001,-135.743322674 58.0104088900001,-135.778963444 58.042563672,-135.700563635 58.0554090950001,-135.656681817 58.044445459,-135.610199999 58.04235455,-135.513690908 58.1038818230001,-135.513690831 58.1038819610001,-135.513690791 58.103881986,-135.512068976 58.10678813,-135.483463635 58.1580454590001,-135.483463957 58.1580456890001,-135.483463791 58.158045986,-135.498415939 58.168730956,-135.507739492 58.1753936700001,-135.508054791 58.1756189860001,-135.50967013 58.1760606560001,-135.539207028 58.1841366950001,-135.550846047 58.1873190600001,-135.584990791 58.1966549860001,-135.663534328 58.226248266,-135.720920374 58.2478699220001,-135.742763635 58.2561000050001,-135.746541217 58.258066791,-135.754218412 58.262064099,-135.764434326 58.2673832520001,-135.775924625 58.2733659420001,-135.779308791 58.275127986,-135.812854792 58.274018986,-135.923199792 58.2284639860001,-135.939319155 58.2165609510001,-135.959309074 58.2018000160001,-135.977553587 58.203737168,-136.033695046 58.2096981120001,-136.05893188 58.2123776890001,-136.067562615 58.2132940760001,-136.134581792 58.2204099860001,-136.141541221 58.2136424000001,-136.143149788 58.212078175,-136.180072792 58.176172986,-136.174423246 58.1417867260001,-136.173504028 58.1361918540001,-136.167236792 58.098045986,-136.184216483 58.112302813,-136.18472919 58.112733302,-136.185882626 58.1137017730001,-136.2005215 58.1259931560001,-136.227781792 58.148881986,-136.23332608 58.157890175,-136.244216624 58.1755847960001,-136.244454595 58.1759714450001,-136.245900678 58.1783210080001,-136.269454544 58.2165909140001,-136.269454754 58.2165909240001,-136.269454792 58.216590986,-136.278196594 58.2170165700001,-136.301187122 58.218135836,-136.337276084 58.2198927840001,-136.347899792 58.2204099860001,-136.359567055 58.2051482430001,-136.389968797 58.1653802540001,-136.397375524 58.1556916440001),(-134.91250909 58.2052727320001,-134.82426818 58.1359297130001,-134.819206092 58.131951707,-134.81826693 58.131213673,-134.817504624 58.1306146200001,-134.786054791 58.1058999860001,-134.783625942 58.0979191740001,-134.78028108 58.0869284890001,-134.779821742 58.085419174,-134.777972396 58.079342518,-134.70081879 57.825827986,-134.698324326 57.793536047,-134.697299999 57.7802727320001,-134.699159685 57.7754867420001,-134.712627791 57.7408279860001,-134.70583679 57.717490986,-134.65763679 57.602909986,-134.657636704 57.6029099070001,-134.657636362 57.602909095,-134.640572313 57.5874465260001,-134.63235479 57.5799999860001,-134.621125325 57.57067929,-134.610263635 57.5616636410001,-134.60532416 57.5559332460001,-134.58942779 57.5374909860001,-134.575175493 57.5094460860001,-134.57333679 57.505827986,-134.573336726 57.505827992,-134.573336362 57.505827277,-134.554172726 57.507772732,-134.50390909 57.5202727320001,-134.465545453 57.53305455,-134.382490908 57.5481181860001,-134.352983189 57.5413185030001,-134.455855705 57.5057872560001,-134.469205008 57.5011765260001,-134.50903679 57.4874189860001,-134.524891266 57.487825521,-134.528406504 57.487915657,-134.54603138 57.4883675880001,-134.54979079 57.4884639860001,-134.551047191 57.4883977520001,-134.557576942 57.488053526,-134.559188624 57.487968563,-134.57082779 57.4873549860001,-134.568841608 57.485231152,-134.556672726 57.4722181860001,-134.526672792 57.442490983,-134.526672726 57.4424909140001,-134.459290908 57.391109095,-134.382490908 57.380127277,-134.34290909 57.3870818230001,-134.316454878 57.3315279780001,-134.34596379 57.3288819850001,-134.49612779 57.371245985,-134.520850583 57.3403891740001,-134.533021603 57.325198379,-134.534891456 57.3228645930001,-134.544233523 57.3112046480001,-134.589330351 57.2549187610001,-134.61330909 57.224990914,-134.618413245 57.1413120920001,-134.62027279 57.1108279850001,-134.620272699 57.1108277290001,-134.620272726 57.1108272770001,-134.593872726 57.0372181860001,-134.576381817 57.027218186,-134.47770909 57.0290909140001,-134.477708956 57.0290909820001,-134.47770879 57.029090985,-134.476731451 57.0295895090001,-134.407562674 57.0648713160001,-134.16390909 57.1891545500001,-134.076690908 57.269018186,-134.07669124 57.269018573,-134.07669079 57.2690189850001,-134.09997279 57.296109985,-134.150749256 57.3565098500001,-134.171245438 57.3808908950001,-134.16751504 57.379935996,-134.064099999 57.3534636410001,-134.043063635 57.3294363680001,-133.972499999 57.3011000050001,-133.97249986 57.3011000130001,-133.97249979 57.3010999850001,-133.967407818 57.301426953,-133.943190908 57.302981823,-133.862627272 57.365545459,-133.889727272 57.4243636410001,-133.889727685 57.424363758,-133.88972779 57.4243639850001,-133.904922176 57.4286822610001,-133.924281561 57.4341842370001,-133.943445574 57.4396306880001,-133.988727272 57.452500005,-134.001796698 57.4550245200001,-134.052700054 57.4648575750001,-134.056263504 57.4655459300001,-134.049163644 57.4910999740001,-134.026183983 57.4893062720001,-134.002927553 57.487490936,-133.994540419 57.485721196,-133.864718181 57.4583272770001,-133.874145453 57.4891545500001,-133.87414572 57.489154758,-133.87414579 57.4891549860001,-133.887547278 57.499601506,-133.894472726 57.5050000050001,-133.907075236 57.5175491140001,-133.913272038 57.5237196990001,-133.92236368 57.5327728760001,-133.931302664 57.561726246,-133.931454544 57.562218187,-133.93145479 57.5622189860001,-133.946001838 57.579053398,-133.995857428 57.636748233,-133.999392773 57.640839472,-134.00586379 57.648327986,-134.014242969 57.6562448560001,-134.18167279 57.814436986,-134.219250786 57.8390875700001,-134.24689079 57.8572189860001,-134.262541618 57.867800801,-134.263152523 57.8682138450001,-134.271118181 57.8736000050001,-134.31095594 58.0029550240001,-134.319581726 58.0309637770001,-134.28860909 58.077218186,-134.244277788 58.0679575830001,-134.23873679 58.066799986,-134.206783543 58.039642653,-134.175981817 58.013463641,-134.154599999 57.9920727320001,-134.147982826 57.974993495,-134.14001879 57.9544369860001,-134.10957279 57.876799986,-134.107993677 57.874266827,-134.091999999 57.848609095,-134.068327274 57.8305545470001,-134.03516864 57.802004153,-134.030959341 57.7983798450001,-134.019279801 57.7883234780001,-133.99637279 57.768599986,-133.994064504 57.7629420470001,-133.98220909 57.733881823,-133.960263635 57.684436368,-133.893336362 57.655263641,-133.875827272 57.6727636410001,-133.895018181 57.756663641,-133.905261352 57.7870826060001,-133.907173499 57.792761349,-133.91338844 57.8112186380001,-133.91390879 57.8127639860001,-133.915965618 57.8155914910001,-133.917205992 57.8172966240001,-133.959561653 57.8755226170001,-134.003627272 57.9361000050001,-134.039564248 57.9709704590001,-134.07806379 58.008327986,-134.13640879 58.0516549860001,-134.15195629 58.0961881910001,-134.15263474 58.098131498,-134.152659902 58.0982035700001,-134.153649484 58.1010380590001,-134.16208179 58.1251909860001,-134.163155573 58.1285535810001,-134.173127272 58.1597818230001,-134.17312776 58.1597818920001,-134.17312779 58.159781986,-134.18436301 58.1613809450001,-134.187100689 58.1617705620001,-134.189320576 58.162086489,-134.192380698 58.1625219950001,-134.20193679 58.163881986,-134.204849362 58.163511199,-134.221271951 58.1614205110001,-134.223474026 58.1611401750001,-134.227953775 58.1605698770001,-134.231063624 58.1601739760001,-134.234342079 58.15975661,-134.254099826 58.1572413370001,-134.272679257 58.154876071,-134.291192231 58.1525192650001,-134.29583679 58.151927986,-134.320750059 58.1467037210001,-134.33485479 58.1437459860001,-134.337300931 58.1438990780001,-134.35693679 58.145127986,-134.369271238 58.1486793240001,-134.375209822 58.1503891630001,-134.39889979 58.1572099860001,-134.432252153 58.169529175,-134.443761016 58.173780143,-134.451936362 58.1768000050001,-134.458772027 58.177396607,-134.542036616 58.1846644390001,-134.55526379 58.1858189860001,-134.569001015 58.181708272,-134.580988785 58.1781210620001,-134.590094282 58.1753963420001,-134.594314624 58.174133451,-134.60165479 58.171936986,-134.63721879 58.1608279860001,-134.66833679 58.159854986,-134.670046725 58.1604149940001,-134.69229079 58.1676999860001,-134.697308613 58.1857042990001,-134.705336362 58.214509095,-134.705336614 58.214509354,-134.70533679 58.2145099860001,-134.710976336 58.220301126,-134.722963959 58.2326109860001,-134.735687782 58.2456768340001,-134.735989885 58.2459870580001,-134.737272972 58.247304635,-134.737684135 58.247726851,-134.743519597 58.2537191750001,-134.766253577 58.27706426,-134.771068307 58.2820084140001,-134.796963635 58.3086000050001,-134.934232895 58.3954147100001,-134.939459421 58.398720182,-134.94082662 58.3995848550001,-134.950136367 58.405472724,-134.950136791 58.4054729860001,-134.965922276 58.377741885,-134.967447399 58.3750626300001,-134.967574625 58.374839126,-134.968146655 58.3738342130001,-134.970916625 58.3689680780001,-134.972072791 58.366936986,-134.972072653 58.366936497,-134.972072726 58.366936368,-134.967574626 58.3509469470001,-134.967530386 58.350789686,-134.957565625 58.315367049,-134.954453572 58.3043043540001,-134.953045791 58.2992999860001,-134.952484235 58.297997438,-134.951268774 58.295178133,-134.950866625 58.294245334,-134.949441235 58.2909390930001,-134.949192671 58.29036254,-134.947613357 58.286699266,-134.947571821 58.2866029200001,-134.936148874 58.260106992,-134.934486091 58.2562501090001,-134.91250909 58.2052727320001),(-134.555572726 58.2208272770001,-134.50890909 58.217763641,-134.494981817 58.2201272770001,-134.477354544 58.2234636410001,-134.45110909 58.2238727320001,-134.438599999 58.222490914,-134.427490908 58.2202727320001,-134.383643261 58.21024214,-134.379870826 58.209379133,-134.376704482 58.2086547800001,-134.374048389 58.208047155,-134.36553679 58.206099986,-134.355771916 58.2044269530001,-134.276399999 58.190827277,-134.261399999 58.198672732,-134.261400097 58.1986728260001,-134.26139979 58.1986729860001,-134.266058701 58.2031293640001,-134.268217966 58.20519476,-134.269300098 58.2062298500001,-134.27072325 58.207591134,-134.275845453 58.2124909140001,-134.314321951 58.2342155960001,-134.32542848 58.240486628,-134.325971972 58.2407934980001,-134.328109101 58.242000175,-134.329315624 58.2426814080001,-134.332578381 58.244523643,-134.347589721 58.252999426,-134.353215922 58.2561761210001,-134.384296844 58.273725197,-134.389313037 58.276557466,-134.45443679 58.313327986,-134.47528179 58.3238819860001,-134.504736898 58.3351533700001,-134.50723679 58.3361099860001,-134.507588557 58.3361891750001,-134.509152595 58.3365412650001,-134.51583679 58.3380459860001,-134.55611879 58.3408279860001,-134.56695479 58.3408279860001,-134.577695726 58.339414972,-134.579315624 58.339201868,-134.583154984 58.3386967850001,-134.583890908 58.338600005,-134.593814815 58.335563435,-134.602691624 58.33284731,-134.604251827 58.3323699200001,-134.607604624 58.3313440310001,-134.640691305 58.3212201750001,-134.65558179 58.316663986,-134.666214325 58.3132401010001,-134.669056922 58.3123247290001,-134.67110879 58.311663986,-134.675918659 58.3066231510001,-134.677357621 58.3051150910001,-134.681016325 58.301280697,-134.68264579 58.299572986,-134.679686107 58.296431381,-134.65542779 58.2706819860001,-134.648715638 58.26497512,-134.63860909 58.256381823,-134.627199999 58.2486000050001,-134.608036793 58.237772981,-134.608036362 58.2377727320001,-134.583190908 58.2259636410001,-134.555572726 58.2208272770001),(-134.00813679 57.0545729850001,-134.01806379 57.0147189850001,-134.018063474 57.014718832,-134.018063635 57.014718186,-133.885554544 56.9505454590001,-133.780902671 56.910237404,-133.744569155 56.896242919,-133.74131879 56.894990985,-133.741416167 56.8947124420001,-133.741747037 56.8937660010001,-133.742338627 56.8920737820001,-133.746996977 56.878748763,-133.747296423 56.8778922120001,-133.747703674 56.8767272860001,-133.748599878 56.8741639880001,-133.806399789 56.876099991,-133.81133781 56.8772512370001,-133.825873965 56.8806402000001,-133.831935613 56.882053414,-133.83264579 56.8822189850001,-133.879249091 56.8972527670001,-133.88176379 56.8980639850001,-133.873543549 56.876249742,-133.872815944 56.874318879,-133.872520289 56.873534293,-133.872422666 56.8732752290001,-133.87081879 56.8690189850001,-133.870818415 56.8690188080001,-133.870818181 56.8690181860001,-133.739718181 56.807136368,-133.699500612 56.8294754400001,-133.699309089 56.829581821,-133.686193727 56.802822362,-133.68194579 56.794154985,-133.682164754 56.793168069,-133.686659806 56.7729080180001,-133.687067815 56.771069046,-133.69168179 56.750272985,-133.698096311 56.7221807010001,-133.699008665 56.7181850640001,-133.70693679 56.6834639850001,-133.69375479 56.650690985,-133.691731016 56.649739647,-133.667299999 56.6382545500001,-133.63500909 56.596800005,-133.643221167 56.5745473060001,-133.66222779 56.5230459850001,-133.65792779 56.462627985,-133.657927277 56.4626273590001,-133.657927272 56.4626272770001,-133.638881817 56.4393636410001,-133.581230627 56.4341158510001,-133.575563789 56.4335999850001,-133.574325804 56.4336318090001,-133.505154544 56.4354090950001,-133.467227272 56.452218186,-133.426936362 56.473318186,-133.304990908 56.47165455,-133.200949045 56.4541539780001,-133.188438103 56.452049495,-133.186954789 56.451799985,-133.186954591 56.451800012,-133.186954544 56.4518000050001,-133.156263635 56.456109095,-133.131518181 56.471100005,-133.082699999 56.5326272770001,-133.082700082 56.5326276160001,-133.082699789 56.532627985,-133.086308652 56.5473503380001,-133.088045453 56.554436368,-133.095239931 56.6134763360001,-133.095272726 56.613745459,-133.095272789 56.613745985,-133.102542251 56.6167894540001,-133.114163789 56.6216549850001,-133.182615946 56.6366699970001,-133.186399789 56.637499985,-133.229529518 56.6714734270001,-133.304659855 56.730653864,-133.305572789 56.7313729850001,-133.305844122 56.731681069,-133.309138948 56.7354221740001,-133.319565422 56.747260897,-133.33030837 56.7594589600001,-133.332490789 56.761936985,-133.332565623 56.7623218370001,-133.332597778 56.7624872040001,-133.334658343 56.7730841710001,-133.335298463 56.7763761520001,-133.336370951 56.7818916890001,-133.341745601 56.8095321700001,-133.342111106 56.8114118720001,-133.344097432 56.8216270510001,-133.344165704 56.8219781550001,-133.344273717 56.8225336420001,-133.346594192 56.8344672650001,-133.347208624 56.837627136,-133.242627491 56.805963707,-133.216663789 56.7817999850001,-133.213881994 56.775200387,-133.20360909 56.750827277,-133.187499999 56.7166636410001,-133.142596293 56.6798091530001,-133.126236789 56.666381985,-133.104028733 56.6539036280001,-133.00930909 56.6006818230001,-132.969999999 56.6086090950001,-132.933763635 56.629781823,-132.929963914 56.642459005,-132.924708789 56.659990985,-132.925725472 56.664027919,-132.926710515 56.6679392200001,-132.930786623 56.684124178,-132.931030775 56.6850936290001,-132.938649796 56.7153463990001,-132.945554544 56.7427636410001,-132.926527272 56.8515181860001,-132.926527785 56.8515189870001,-132.972763789 56.9244369850001,-132.994140623 56.9388087740001,-132.996612475 56.9404706170001,-133.051663789 56.9774819850001,-133.080963789 56.9937369850001,-133.08394527 56.994010932,-133.167236789 57.0016639850001,-133.296127789 56.9976279850001,-133.315902174 56.9942071460001,-133.317781789 56.993881985,-133.331336664 56.996068603,-133.332589813 56.9962707560001,-133.349450565 56.9989906660001,-133.394426789 57.0062460510001,-133.395231144 57.0063758060001,-133.404794497 57.0079185280001,-133.405004775 57.0079524490001,-133.40986253 57.008736083,-133.414799601 57.0095325120001,-133.415074944 57.009576929,-133.417336769 57.0099417980001,-133.425255239 57.011219173,-133.427293682 57.011548007,-133.438327789 57.013327985,-133.499999789 57.028327985,-133.629699789 57.050272985,-133.76113679 57.0694459850001,-133.84277279 57.0811099850001,-133.90805479 57.0802729850001,-134.00813679 57.0545729850001),(-132.923036789 56.618881985,-132.956390789 56.594154985,-132.956390736 56.5941546770001,-132.956390908 56.59415455,-132.942990908 56.5157545500001,-132.930418181 56.504436368,-132.905854544 56.498327277,-132.894745453 56.4974909140001,-132.79250909 56.493881823,-132.773072726 56.4947090950001,-132.683627272 56.5202727320001,-132.57720909 56.5541636410001,-132.561954544 56.5591545500001,-132.538754544 56.570827277,-132.529327272 56.581109095,-132.528413493 56.590445844,-132.528199788 56.592627985,-132.536254788 56.601245985,-132.545921485 56.604131448,-132.549745788 56.6052729850001,-132.555816622 56.609058679,-132.613890789 56.6452729850001,-132.627563622 56.6538148540001,-132.638332347 56.6605424300001,-132.642371096 56.6630655690001,-132.667236362 56.6786000050001,-132.684253683 56.6906261780001,-132.68858088 56.6936842980001,-132.698182797 56.700470173,-132.732481789 56.7247099850001,-132.765884623 56.7543697580001,-132.767577553 56.755872982,-132.788651704 56.7745856020001,-132.801936362 56.7863818230001,-132.80193665 56.786381862,-132.801936789 56.786381985,-132.814163623 56.788041735,-132.873599789 56.796109985,-132.918336789 56.7488819850001,-132.923036789 56.7022819850001,-132.898236789 56.6564459850001,-132.883227789 56.6346549850001,-132.8896806 56.6285620950001,-132.890850065 56.6274578600001,-132.896745789 56.6218909850001,-132.923036789 56.618881985),(-132.371128017 56.4623992900001,-132.368236788 56.4541549850001,-132.368236391 56.4541546300001,-132.368236362 56.4541545500001,-132.348599999 56.4366545500001,-132.332256723 56.410686825,-132.326663788 56.4017999850001,-132.3268482 56.3763762560001,-132.32720909 56.326663641,-132.327790908 56.315272732,-132.332508788 56.3054099840001,-132.348054788 56.281527984,-132.346236788 56.270963984,-132.331118788 56.256381984,-132.320077053 56.2466615330001,-132.312499999 56.239990914,-132.302218181 56.232209095,-132.273072726 56.213609095,-132.251399999 56.2030454590001,-132.22500909 56.1947090950001,-132.215330099 56.192622811,-132.214718788 56.1924909840001,-132.214718359 56.1924909520001,-132.214718181 56.1924909140001,-132.20360909 56.1916545500001,-132.191681817 56.1897090950001,-132.17110909 56.1852636410001,-132.109436362 56.1658272770001,-132.102301845 56.162309823,-132.099018788 56.160690984,-132.064364642 56.1208597190001,-132.056118788 56.111381984,-132.056118462 56.111382146,-132.056118181 56.111381823,-132.010281817 56.1341545500001,-131.947236362 56.232209095,-131.947236792 56.2322099800001,-131.949094064 56.236024539,-131.989436362 56.318881823,-131.99155502 56.322484581,-131.994990788 56.3283279840001,-132.003302767 56.33571705,-132.006545453 56.338600005,-132.043063635 56.3550000050001,-132.049847059 56.355999083,-132.05433773 56.3566605070001,-132.074172788 56.359581985,-132.091672788 56.352490984,-132.099329184 56.3487860440001,-132.108599999 56.344300005,-132.10916134 56.344303999,-132.127763788 56.344436984,-132.142760503 56.348345819,-132.160827788 56.353054984,-132.16894046 56.358805981,-132.175994622 56.3638066090001,-132.205163564 56.384484194,-132.212354547 56.3895818190001,-132.213853914 56.3920922250001,-132.217908788 56.3988819850001,-132.222699788 56.4210369850001,-132.227953608 56.432198887,-132.231227272 56.4391545500001,-132.2312277 56.4391547970001,-132.231227788 56.4391549850001,-132.242715354 56.44578534,-132.256254544 56.4536000050001,-132.321478437 56.4767183980001,-132.354999788 56.4885999850001,-132.354999913 56.4885999740001,-132.354999999 56.4886000050001,-132.355690367 56.4885428470001,-132.371799788 56.4872099850001,-132.372101451 56.48629515,-132.375690788 56.4754099850001,-132.375690699 56.4754097300001,-132.375690908 56.475409095,-132.371128017 56.4623992900001),(-132.093745788 56.1010369840001,-132.107208788 56.1158279840001,-132.179308788 56.1687459840001,-132.211672788 56.1780459840001,-132.234326479 56.1834679150001,-132.250917217 56.1874387390001,-132.252587375 56.187838475,-132.266778076 56.191234874,-132.270128459 56.1920367550001,-132.274679502 56.1931260000001,-132.349260138 56.210976117,-132.385981215 56.2197649330001,-132.395017918 56.221927776,-132.370545453 56.2683272770001,-132.373806127 56.2864302740001,-132.378599788 56.313045984,-132.383920602 56.3297353520001,-132.384645453 56.332009095,-132.384645525 56.3320091580001,-132.384645788 56.3320099840001,-132.402099788 56.347354984,-132.417781788 56.350827984,-132.430164515 56.350474574,-132.437227788 56.3502729840001,-132.461183302 56.3474164630001,-132.495545788 56.3433189840001,-132.515836788 56.338599984,-132.518671 56.3371839420001,-132.529172788 56.331936984,-132.542797391 56.3158969400001,-132.545338204 56.3129056780001,-132.565272789 56.2894369840001,-132.573336789 56.2777729840001,-132.589272267 56.2703267840001,-132.662194726 56.2362521730001,-132.664242423 56.235295342,-132.667504715 56.2337709650001,-132.683608789 56.2262459840001,-132.692935887 56.2211810150001,-132.696399999 56.219300005,-132.703802462 56.1948292960001,-132.706880174 56.18465544,-132.713001982 56.1644188510001,-132.716945789 56.1513819840001,-132.714039048 56.1405477060001,-132.712772726 56.135827277,-132.704300546 56.12180091,-132.695827789 56.1077729840001,-132.68994484 56.102070628,-132.687227272 56.0994363680001,-132.63500909 56.0491636410001,-132.621799999 56.0490181860001,-132.611455103 56.061955724,-132.610808789 56.0627639840001,-132.607481789 56.074999984,-132.606878883 56.075371368,-132.598463635 56.08055455,-132.453214968 56.0545719080001,-132.44778179 56.053599983,-132.419736678 56.0283275620001,-132.417058426 56.018043628,-132.41410917 56.0067190990001,-132.411272861 55.9958277960001,-132.421768058 55.968754243,-132.421936788 55.9683189840001,-132.422055027 55.967920651,-132.425563788 55.956099984,-132.416516458 55.952377825,-132.318881817 55.912209095,-132.273899999 55.9166636410001,-132.143618181 55.924436368,-132.131527272 55.927081823,-132.119845453 55.935127277,-132.115495723 55.944825038,-132.114299788 55.9474909840001,-132.137790788 56.0674999840001,-132.132788454 56.0713088900001,-132.093745453 56.1010363680001,-132.093745922 56.1010368830001,-132.093745788 56.1010369840001),(-132.850578061 56.0358920720001,-132.902218789 56.0491639840001,-132.929230496 56.0544296160001,-132.947781789 56.058045984,-132.954498528 56.05731222,-132.957080335 56.057030173,-132.97422295 56.0551574420001,-133.008714361 56.0513894580001,-133.039880336 56.047984758,-133.04020511 56.047949278,-133.043063789 56.0476369840001,-133.045896517 56.0479856060001,-133.072529876 56.051263352,-133.072908789 56.0513099840001,-133.080664209 56.0612610000001,-133.107570065 56.095784032,-133.125408406 56.118672492,-133.088118181 56.1056181860001,-133.062772726 56.118045459,-133.023545453 56.172490914,-133.03919316 56.203067876,-133.045924208 56.2162211730001,-133.047098027 56.2185149580001,-133.056808789 56.237490984,-133.15147949 56.306377345,-133.167320574 56.317903981,-133.177588122 56.325375077,-133.180208789 56.3272819840001,-133.219177623 56.329449594,-133.246135207 56.3309490870001,-133.249027789 56.3311099840001,-133.280906884 56.3308358790001,-133.317570694 56.330520633,-133.346372789 56.330272984,-133.404852593 56.33301321,-133.407512625 56.333137853,-133.41255291 56.333374029,-133.414551884 56.3334676960001,-133.41704484 56.33358451,-133.452024417 56.335223571,-133.455098626 56.335367621,-133.475184831 56.3363088130001,-133.488590789 56.336936984,-133.585536789 56.349718984,-133.589187623 56.3495158520001,-133.591390288 56.3493932960001,-133.610536789 56.348327984,-133.615923449 56.33027887,-133.617134446 56.3262211730001,-133.617881154 56.323719173,-133.618135006 56.32286859,-133.619024423 56.319888414,-133.622470697 56.3083409600001,-133.62392115 56.303480918,-133.62633549 56.295391173,-133.632754789 56.2738819840001,-133.631239263 56.2689509430001,-133.630582278 56.2668133220001,-133.611645789 56.205199984,-133.610303862 56.2044581920001,-133.609189799 56.203842358,-133.602166393 56.1999599480001,-133.564299999 56.179027277,-133.41750909 56.164709095,-133.364718181 56.171936368,-133.321654544 56.169445459,-133.265072769 56.1548454700001,-133.261041576 56.0516031400001,-133.261008861 56.05076526,-133.259857976 56.021290112,-133.259823511 56.020407435,-133.259758763 56.0187491730001,-133.259478023 56.0115591860001,-133.258343673 55.9825075100001,-133.258308432 55.981604948,-133.257553358 55.9622668580001,-133.257379989 55.9578267150001,-133.256954789 55.946936984,-133.256954549 55.946936367,-133.239836789 55.902072984,-133.234364009 55.8957889610001,-133.226654544 55.8869363680001,-133.177645453 55.8609636410001,-133.143863781 55.879781741,-133.141872789 55.816381984,-133.243190789 55.7444369840001,-133.264036789 55.741381984,-133.292616078 55.73610689,-133.299065706 55.7349164330001,-133.341014417 55.7271736440001,-133.362178167 55.7232672910001,-133.371308789 55.7215819840001,-133.371308805 55.721581875,-133.37130909 55.7215818230001,-133.381677577 55.6497857030001,-133.382981789 55.6407549840001,-133.382981761 55.6407549410001,-133.382981817 55.6407545500001,-133.365963635 55.6156181860001,-133.259463635 55.5744363680001,-133.19860909 55.5779090950001,-133.120118181 55.6039545500001,-133.059445453 55.6236000050001,-132.966799999 55.638609095,-132.921147061 55.624645951,-132.935872966 55.624261829,-132.943995343 55.6240499580001,-132.961245453 55.6235999990001,-132.961245525 55.623599991,-132.961245789 55.6235999840001,-132.981936789 55.6195729840001,-133.006136789 55.6094369840001,-133.051936789 55.5772189840001,-133.081068764 55.549989339,-133.082188459 55.548942761,-133.117908789 55.5155549840001,-133.117908875 55.51555475,-133.11790909 55.51555455,-133.121316512 55.506342901,-133.126981789 55.491027984,-133.126981656 55.4910277120001,-133.126981817 55.4910272770001,-133.114563635 55.4655454590001,-133.031127272 55.3980454590001,-133.021726288 55.392032795,-133.001818789 55.3792999840001,-132.996195576 55.3769794570001,-132.986663635 55.3730454590001,-132.965818181 55.3722181860001,-132.944454544 55.370272732,-132.888336788 55.3599909880001,-132.88376341 55.3586507370001,-132.86749115 55.353881894,-132.900418789 55.3456819840001,-132.915894743 55.3466620980001,-132.92157442 55.3470218000001,-132.967424946 55.3499255820001,-132.968599789 55.349999987,-132.974589083 55.3509749470001,-132.996715905 55.354576846,-133.041536789 55.3618729840001,-133.082909277 55.3705062330001,-133.083904048 55.3707138130001,-133.09610457 55.3732597110001,-133.100036406 55.374080172,-133.102678669 55.374631536,-133.104355156 55.374981371,-133.105261274 55.3751704520001,-133.116381789 55.3774909840001,-133.155836065 55.3790155070001,-133.18303264 55.3800663870001,-133.209781817 55.3811000050001,-133.261399999 55.3356909140001,-133.212845453 55.2778363680001,-133.025418181 55.2672090950001,-132.971241372 55.2710316600001,-132.970272789 55.2710999830001,-132.969053513 55.271194693,-132.910810241 55.275718097,-132.987763789 55.228736983,-133.027599789 55.2155729830001,-133.027599571 55.215572873,-133.027599999 55.2155727320001,-133.00280909 55.2030454590001,-132.944736362 55.2077727320001,-132.807490908 55.2480454590001,-132.806104608 55.2379493700001,-132.802218789 55.209645983,-132.797153849 55.2039600300001,-132.777163635 55.1815181860001,-132.694027272 55.1429090950001,-132.655136362 55.1387363680001,-132.62290909 55.147909095,-132.609845453 55.170690914,-132.61421905 55.1740970870001,-132.632490789 55.1883279830001,-132.647227281 55.2058273810001,-132.650727272 55.2438090950001,-132.51196379 55.1063819780001,-132.514823079 55.060418342,-132.515381784 55.051436983,-132.545883622 55.0452678070001,-132.547563788 55.044927983,-132.574445789 55.0349909830001,-132.580589151 55.0162298450001,-132.595752087 54.9699239440001,-132.596027789 54.9690819830001,-132.573336789 54.9485999830001,-132.560977457 54.942566948,-132.544172726 54.9343636410001,-132.51710909 54.9388727320001,-132.517108843 54.938872974,-132.517108788 54.9388729830001,-132.516387696 54.9395798940001,-132.502363635 54.953327277,-132.492860075 54.971461134,-132.489699866 54.9774908360001,-132.326663635 54.881936368,-132.284181817 54.8547181860001,-132.222072726 54.8109636410001,-132.214172885 54.791245856,-132.219145788 54.7847189830001,-132.256475358 54.784309627,-132.257354544 54.784300005,-132.257354582 54.7842999850001,-132.257354788 54.784299983,-132.289445788 54.7680549830001,-132.297145788 54.744018983,-132.286545788 54.7133279830001,-132.286545692 54.713327968,-132.286545453 54.7133272770001,-132.126390908 54.688181823,-132.007236362 54.6899909140001,-131.949436362 54.7883272770001,-131.972563635 55.029709095,-131.972563702 55.0297090860001,-131.972563788 55.029709983,-131.984272301 55.0280661300001,-131.987563622 55.0276040350001,-131.994212077 55.026670605,-132.027927788 55.021936983,-132.057772788 54.9983279830001,-132.085690788 54.976372983,-132.097068957 54.9738988650001,-132.105213817 54.9721278120001,-132.137363788 54.965136983,-132.152546196 54.9708398550001,-132.162575312 54.974607028,-132.201064721 54.98906456,-132.21352676 54.993745597,-132.172790908 55.004718186,-132.143063635 55.0138818230001,-132.074718181 55.0409636410001,-132.081177577 55.059842492,-132.08389072 55.0677727840001,-132.043490908 55.079018186,-131.995590908 55.105481823,-131.995590867 55.1054819400001,-131.995590788 55.1054819830001,-131.993976259 55.1100923660001,-131.993545056 55.1113236910001,-131.990867672 55.1189691170001,-131.969981817 55.1786090950001,-131.969981782 55.1786099830001,-131.968045453 55.2209636410001,-131.985827272 55.2595818230001,-131.986454548 55.2598012220001,-131.995837038 55.2630831810001,-132.014781788 55.269709983,-132.057708788 55.235754983,-132.057708988 55.23575463,-132.05770909 55.2357545500001,-132.058379356 55.234571756,-132.070418788 55.2133279830001,-132.100481788 55.198045983,-132.104186622 55.1979106250001,-132.109181109 55.1977281490001,-132.119144321 55.1973641380001,-132.124175622 55.1971803160001,-132.145375922 55.196405752,-132.151839395 55.1961696060001,-132.235336788 55.193118983,-132.246968424 55.207830072,-132.249999788 55.2116639830001,-132.248505921 55.215034476,-132.2333182 55.24929996,-132.230749407 55.249199097,-132.201381817 55.2480454590001,-132.170563635 55.242490914,-132.13500909 55.2391545500001,-132.101072623 55.2598175590001,-132.088290788 55.2675999830001,-132.099147555 55.278215285,-132.103928781 55.2828901720001,-132.129197825 55.3075972070001,-132.133644639 55.311945119,-132.149215622 55.327169789,-132.157652653 55.3354191720001,-132.158445156 55.336194049,-132.195107873 55.3720413510001,-132.282436788 55.457427984,-132.300847789 55.4619678980001,-132.339174997 55.471418891,-132.34590294 55.473077915,-132.37118942 55.479313233,-132.372246576 55.4795739140001,-132.374180703 55.4800508450001,-132.39757507 55.485819593,-132.46673567 55.5028737000001,-132.470916622 55.5039046690001,-132.482377866 55.5067308640001,-132.500136788 55.511109984,-132.540890889 55.5481391450001,-132.556403922 55.562234281,-132.562499788 55.567772984,-132.559795645 55.575118682,-132.542918181 55.6209636410001,-132.512845453 55.6150636410001,-132.475827785 55.5909639770001,-132.452654788 55.5592999840001,-132.439371188 55.549067183,-132.434445781 55.5452729830001,-132.434445453 55.5452727320001,-132.408354544 55.536945459,-132.377772726 55.5302727320001,-132.217772726 55.475545459,-132.159181817 55.444436368,-132.143063635 55.452418186,-132.142441022 55.4638805320001,-132.141799788 55.4756819840001,-132.165281788 55.5013909840001,-132.168247812 55.503336403,-132.182218181 55.512500005,-132.192474157 55.5185567140001,-132.206663788 55.526936984,-132.226654788 55.537218984,-132.246945788 55.5419369840001,-132.347569509 55.6164260690001,-132.404172788 55.658327984,-132.417915373 55.6689812120001,-132.442508788 55.688045984,-132.447309617 55.7075448040001,-132.450792287 55.721689849,-132.452561219 55.7288744620001,-132.452638703 55.7291891670001,-132.45380969 55.7339451930001,-132.464018181 55.775409095,-132.464018757 55.7754098560001,-132.464018788 55.7754099840001,-132.469158597 55.7821917220001,-132.498336362 55.8206909140001,-132.502717 55.825282293,-132.512508788 55.8355459840001,-132.621799789 55.9195729840001,-132.734176622 55.9806185780001,-132.741471233 55.984581172,-132.822772789 56.0287459840001,-132.841464632 56.033549877,-132.850578061 56.0358920720001),(-131.819163635 55.453636368,-131.711245784 55.3677729880001,-131.711245731 55.367772953,-131.711245453 55.367772732,-131.687227272 55.3547181860001,-131.665836362 55.344709095,-131.54500909 55.291800005,-131.545008885 55.291800026,-131.545008788 55.2917999840001,-131.542066347 55.292110172,-131.539979943 55.2923301180001,-131.518618181 55.294581823,-131.465727272 55.3687818230001,-131.469217221 55.382495271,-131.471908787 55.3930729840001,-131.495390788 55.421790984,-131.502778343 55.4426925750001,-131.516327272 55.4810272770001,-131.493881817 55.5055545500001,-131.429228371 55.520445206,-131.465818787 55.4716549840001,-131.470272787 55.4483279840001,-131.470272639 55.448327734,-131.470272726 55.448327277,-131.445663635 55.4070272770001,-131.42280909 55.3854363680001,-131.422263212 55.3767797570001,-131.421527787 55.3651099840001,-131.447173519 55.338718172,-131.458754787 55.326799984,-131.45875444 55.3268001120001,-131.458754544 55.3268000050001,-131.400081817 55.3484636410001,-131.328599999 55.4258272770001,-131.316590908 55.4575545500001,-131.316590923 55.4575546250001,-131.316590787 55.4575549840001,-131.320704327 55.477630058,-131.326936362 55.5080454590001,-131.353336362 55.5552636410001,-131.357076299 55.5651412600001,-131.360798749 55.574973469,-131.360808787 55.574999984,-131.360861991 55.5753942440001,-131.361281277 55.5785013540001,-131.364599182 55.603088572,-131.367554544 55.6249909140001,-131.347699999 55.643118186,-131.281399999 55.4891545500001,-131.277074126 55.4582926520001,-131.273545787 55.433118984,-131.290836787 55.411099984,-131.323889361 55.379819866,-131.325904822 55.377912484,-131.326785354 55.377079172,-131.328549103 55.3754100040001,-131.368318787 55.3377729840001,-131.428072787 55.3133279840001,-131.458054787 55.299781984,-131.455071847 55.2795758280001,-131.454927787 55.278599983,-131.450895997 55.276687114,-131.445867552 55.274301386,-131.418063635 55.2611090950001,-131.398072726 55.256381823,-131.392823207 55.255589442,-131.388918787 55.2549999830001,-131.388918181 55.255000007,-131.344145453 55.2569454590001,-131.290554544 55.27645455,-131.256190908 55.3185363680001,-131.256191055 55.318536656,-131.256190787 55.318536984,-131.257721665 55.3215433650001,-131.271147045 55.3479085060001,-131.272233342 55.350041806,-131.273054544 55.35165455,-131.268754544 55.3830454590001,-131.218045453 55.4030454590001,-131.19610909 55.3933272770001,-131.194484588 55.3807247560001,-131.192018787 55.361590984,-131.219572787 55.2992999840001,-131.232481787 55.282490984,-131.254163787 55.2648549830001,-131.284727787 55.246381983,-131.281127787 55.2263819830001,-131.28095491 55.2262501720001,-131.275990198 55.222464797,-131.2743822 55.2212387690001,-131.272583828 55.21986759,-131.269506976 55.2175216250001,-131.247790908 55.200963641,-131.205272726 55.186790914,-131.142090908 55.1988818230001,-131.142090874 55.198881967,-131.142090787 55.198881983,-131.138419941 55.2145735280001,-131.137637503 55.2179181720001,-131.136859071 55.2212456840001,-131.135821134 55.2256824930001,-131.135008883 55.229154576,-131.100263635 55.2334636410001,-131.075955538 55.2451067330001,-131.073881787 55.2460999830001,-131.072157553 55.2472782070001,-131.056399999 55.2580454590001,-130.968063635 55.3881909140001,-130.938045453 55.5622090950001,-130.936112016 55.609563893,-130.934999787 55.636799984,-130.970025071 55.6858559950001,-130.994268743 55.7198114030001,-131.050031191 55.7979116480001,-131.052406343 55.8012382580001,-131.055981787 55.806245984,-131.0577651 55.808249415,-131.060788194 55.8116456560001,-131.062552565 55.8136278060001,-131.063393839 55.814572921,-131.065853802 55.8173365220001,-131.067212468 55.818862891,-131.069454544 55.8213818230001,-131.142518181 55.8870818230001,-131.170861246 55.908755704,-131.181799214 55.917120061,-131.182508525 55.9176624770001,-131.183958139 55.9187710100001,-131.209163787 55.938045984,-131.231145685 55.9535235230001,-131.231654547 55.95388182,-131.231654787 55.9538819840001,-131.242543295 55.956372178,-131.259599787 55.960272984,-131.291808787 55.9579099840001,-131.38010902 55.9412437400001,-131.394657347 55.938497813,-131.409371966 55.9357204990001,-131.419863834 55.9337402100001,-131.439727787 55.929990984,-131.478336787 55.919154984,-131.530299788 55.9016549840001,-131.530299857 55.9016545980001,-131.530299999 55.90165455,-131.535844517 55.870617736,-131.539181788 55.8519369840001,-131.555119516 55.849566925,-131.641120587 55.836777924,-131.684863788 55.830272984,-131.684156756 55.7995961840001,-131.684018788 55.7936099840001,-131.684018198 55.7936098660001,-131.684018181 55.7936090950001,-131.622772807 55.7813818390001,-131.625100333 55.7636978880001,-131.62931557 55.7316715850001,-131.629427788 55.7308189840001,-131.636380244 55.7245791720001,-131.640884621 55.720536505,-131.663153126 55.70055058,-131.696118788 55.6709639840001,-131.702309474 55.636333672,-131.704299999 55.6252000050001,-131.699544231 55.6198272720001,-131.692686143 55.6120791720001,-131.690845788 55.6099999840001,-131.695929314 55.5673107760001,-131.696120256 55.565707333,-131.697278873 55.5559777780001,-131.700836788 55.526099984,-131.819163788 55.4536369840001,-131.819163284 55.453636583,-131.819163635 55.453636368),(-131.373318787 55.196936984,-131.387363787 55.211245983,-131.399094257 55.2099249020001,-131.408354787 55.208881983,-131.421536787 55.2097189830001,-131.428795586 55.2126865050001,-131.452090787 55.222209983,-131.465272787 55.2319369830001,-131.466457233 55.2342943630001,-131.467227272 55.2358272770001,-131.468925367 55.2441973210001,-131.469790787 55.2484639830001,-131.472554035 55.2492881370001,-131.475527882 55.2501751020001,-131.481314111 55.251900876,-131.506991095 55.2595591720001,-131.520572788 55.263609983,-131.535677213 55.265739367,-131.546108788 55.267209983,-131.54766111 55.26666463,-131.554484971 55.2642673060001,-131.581663788 55.254718983,-131.58466989 55.231867363,-131.584990908 55.2294272770001,-131.584601438 55.2251600430001,-131.583736788 55.2156819830001,-131.574989264 55.1925862890001,-131.566799999 55.1709636410001,-131.577790908 55.0836000050001,-131.601891965 55.0527114440001,-131.622272788 55.0265909830001,-131.619849944 55.0147290080001,-131.619563781 55.01332798,-131.619563635 55.013327277,-131.593890908 54.993881823,-131.578890908 54.991381823,-131.386136362 55.0080454590001,-131.375136362 55.011527277,-131.354981817 55.03555455,-131.344027272 55.059781823,-131.348327272 55.1190181860001,-131.373318181 55.1969363680001,-131.373318787 55.196936984),(-131.281977093 54.9922569670001,-131.299897466 54.988109057,-131.341278709 54.9785308150001,-131.343990234 54.9779031960001,-131.388465443 54.967608813,-131.389898281 54.9672771640001,-131.390067598 54.9672379730001,-131.391257252 54.966962612,-131.406792193 54.963366842,-131.411575746 54.9622596240001,-131.451381787 54.953045983,-131.470963787 54.943454983,-131.480818787 54.9335999830001,-131.482953541 54.924524256,-131.483463787 54.922354983,-131.483463587 54.9223547540001,-131.483463635 54.9223545500001,-131.473872726 54.9113727320001,-131.378054544 54.8636090950001,-131.344454544 54.85665455,-131.329863635 54.856245459,-131.233890908 54.8772090950001,-131.192427272 54.9081181860001,-131.192427901 54.9081188980001,-131.192427787 54.9081189830001,-131.196808433 54.9130726290001,-131.201945453 54.918881823,-131.201945702 54.9188818860001,-131.201945787 54.9188819830001,-131.209777343 54.9208882410001,-131.225827272 54.9250000050001,-131.236767742 54.929493984,-131.241363638 54.9313819220001,-131.242627272 54.97665455,-131.239392755 54.983940729,-131.238308787 54.9863819830001,-131.237977055 54.9894610470001,-131.237545453 54.9934636410001,-131.237545811 54.9934637630001,-131.237545787 54.993463983,-131.241753785 54.994906132,-131.248301939 54.99715029,-131.253354787 54.998881983,-131.281977093 54.9922569670001),(-131.722227272 55.136663641,-131.616581821 55.2765909240001,-131.616581788 55.2765909830001,-131.617067482 55.2780636300001,-131.621918181 55.2927727320001,-131.625146562 55.295443456,-131.631654788 55.3008279840001,-131.648345788 55.312209984,-131.678072788 55.3305549840001,-131.747499788 55.3694369840001,-131.811412124 55.407921172,-131.812576622 55.4086223630001,-131.819454788 55.412763984,-131.827223648 55.4187201720001,-131.827790788 55.419154984,-131.829584411 55.4193485980001,-131.841936788 55.4206819840001,-131.851808788 55.410827984,-131.851808847 55.4108275200001,-131.85180909 55.4108272770001,-131.853744392 55.395590143,-131.855565595 55.3812529140001,-131.858336788 55.3594369840001,-131.857523344 55.354122988,-131.857498622 55.353961487,-131.857258848 55.3523951170001,-131.857110769 55.3514277570001,-131.853378217 55.327044078,-131.848599999 55.2958272770001,-131.840272726 55.2669363680001,-131.822781817 55.211663641,-131.818881817 55.201663641,-131.814999999 55.191936368,-131.809592715 55.1844902720001,-131.809447949 55.184290898,-131.809188622 55.1839337480001,-131.808345788 55.1827729830001,-131.808345493 55.182772787,-131.808345453 55.182772732,-131.737627272 55.1355454590001,-131.722227272 55.136663641),(-132.686127272 54.7188818230001,-132.711178581 54.76354494,-132.723054789 54.7847189830001,-132.755008789 54.822218983,-132.82320542 54.8774630440001,-132.839018181 54.890272732,-132.839018553 54.8902727920001,-132.839018789 54.890272983,-132.852781789 54.8924909830001,-132.857490259 54.8936884250001,-132.864180368 54.895389831,-132.871372789 54.8972189830001,-132.898618405 54.9105457960001,-132.972318544 55.020910685,-132.998045485 55.059436528,-133.003627272 55.0877727320001,-132.991363635 55.0952727320001,-132.991933519 55.109313021,-132.992490789 55.1230459830001,-133.070827789 55.1997189830001,-133.102199789 55.2455459830001,-133.106702623 55.2480201720001,-133.108375871 55.248939578,-133.113322137 55.2516574210001,-133.113349642 55.2516725340001,-133.113599789 55.251809983,-133.113723783 55.251779201,-133.188045789 55.233327983,-133.196399789 55.2272189830001,-133.19639988 55.2272182740001,-133.196399999 55.2272181860001,-133.198643366 55.2096277740001,-133.198945534 55.2072585590001,-133.199485023 55.2030285960001,-133.200996966 55.1911739010001,-133.203245736 55.1735419720001,-133.203329251 55.1728871600001,-133.203585576 55.1708773880001,-133.205099717 55.159005468,-133.20710507 55.143282094,-133.208180366 55.13485102,-133.210431153 55.1172032800001,-133.211812321 55.106373954,-133.213618789 55.092209983,-133.204561484 55.067028441,-133.201143214 55.057524809,-133.197236789 55.046663983,-133.185224568 55.0294283090001,-133.181446388 55.0240072070001,-133.122499999 54.9394272770001,-133.004727272 54.844709095,-132.98470909 54.8288818230001,-132.972918181 54.82555455,-132.957912473 54.8172979490001,-132.935545789 54.804990983,-132.911712827 54.778751276,-132.910929796 54.777889171,-132.908064354 54.7747343670001,-132.905931106 54.7723856950001,-132.901868808 54.76791317,-132.880675042 54.744579168,-132.863890908 54.726100005,-132.847885995 54.7017994820001,-132.840563789 54.690681983,-132.840563735 54.6906819750001,-132.840563635 54.690681823,-132.684095274 54.6667283350001,-132.679990908 54.6661000030001,-132.679990789 54.666099983,-132.676035213 54.670332569,-132.667781817 54.6791636410001,-132.667781913 54.6791638490001,-132.667781789 54.6791639830001,-132.673215259 54.690927125,-132.686127272 54.7188818230001),(-133.223599789 55.2505459830001,-133.227357866 55.258051752,-133.230836362 55.265000005,-133.271262055 55.30525821,-133.296663789 55.3305549840001,-133.309801473 55.3343662950001,-133.309924979 55.3344021250001,-133.311909707 55.3349779050001,-133.311954544 55.3349909130001,-133.311954789 55.3349909840001,-133.318560566 55.335172207,-133.327227789 55.3354099840001,-133.429172732 55.3110999990001,-133.429172789 55.3110999840001,-133.437499789 55.304854984,-133.437499874 55.304854644,-133.437499999 55.3048545500001,-133.440434313 55.2930315310001,-133.441990895 55.2867599250001,-133.444925824 55.2749348390001,-133.450563789 55.252218983,-133.450563638 55.2522181860001,-133.45047685 55.251754352,-133.447081817 55.2336090950001,-133.445069796 55.2284245610001,-133.442227789 55.221099983,-133.439493024 55.2168002830001,-133.436399999 55.2119363680001,-133.427799999 55.203609095,-133.416945453 55.1987454590001,-133.323054544 55.1947090950001,-133.249727272 55.209163641,-133.241381817 55.215409095,-133.223599999 55.2505454590001,-133.223600027 55.2505455140001,-133.223599789 55.2505459830001),(-133.559863635 55.3141636410001,-133.507608143 55.3458549320001,-133.503081789 55.348599984,-133.501004991 55.349440492,-133.445418181 55.371936368,-133.447647264 55.3983938700001,-133.447781789 55.3999909840001,-133.447689478 55.4011513020001,-133.446963635 55.4102727320001,-133.446963808 55.410272746,-133.446963789 55.4102729840001,-133.448263563 55.4103828290001,-133.451427811 55.410650242,-133.453487602 55.410824317,-133.45626348 55.4110589090001,-133.456758595 55.411100752,-133.46551105 55.41184043,-133.467661465 55.4120221640001,-133.51739424 55.4162251290001,-133.561954789 55.419990984,-133.563183113 55.4200883980001,-133.572508789 55.420827984,-133.586672789 55.417218984,-133.611719648 55.400336682,-133.612049477 55.4001143670001,-133.622015032 55.393397297,-133.628281143 55.389173758,-133.63779079 55.3827639840001,-133.65126379 55.3719369840001,-133.651673717 55.3711479070001,-133.676488373 55.3233816640001,-133.68430879 55.3083279840001,-133.68430875 55.3083279310001,-133.68430909 55.308327277,-133.653072726 55.2672090950001,-133.644896024 55.2595747250001,-133.64416379 55.2588909830001,-133.642602002 55.2577880760001,-133.606381817 55.232209095,-133.595136362 55.235545459,-133.559863635 55.3141636410001),(-132.824718181 55.1918000050001,-132.824718393 55.191799765,-132.824718789 55.1917999830001,-132.826682065 55.189579172,-132.853336789 55.1594279830001,-132.864163789 55.141109983,-132.865185206 55.0987182690001,-132.865430065 55.088555925,-132.865586173 55.0820769920001,-132.865747241 55.0753922120001,-132.866790908 55.0320818230001,-132.801663635 55.006381823,-132.731936362 55.002772732,-132.671936362 55.0370727320001,-132.682148031 55.065592059,-132.691633785 55.0920849130001,-132.691681789 55.0922189830001,-132.694371886 55.095408707,-132.702825328 55.10543219,-132.732125691 55.1401744520001,-132.732208789 55.140272983,-132.813899789 55.185818983,-132.821675809 55.190117752,-132.824718181 55.1918000050001),(-132.647918181 54.7511090950001,-132.633054544 54.748881823,-132.619445453 54.754436368,-132.611837377 54.7659971300001,-132.609208789 54.7699909830001,-132.611390789 54.8780459830001,-132.616390789 54.8908279830001,-132.618205549 54.894696733,-132.618863635 54.8961000050001,-132.620030031 54.8967980990001,-132.628599789 54.9019279830001,-132.708890789 54.9405459830001,-132.722926041 54.9376768750001,-132.740893161 54.934004008,-132.751319148 54.931872711,-132.769224691 54.9282124310001,-132.777508789 54.9265189830001,-132.778197109 54.925320491,-132.789872789 54.9049909830001,-132.783627789 54.8679099830001,-132.783627329 54.8679094340001,-132.783627272 54.8679090950001,-132.774445453 54.856945459,-132.662227272 54.7576363680001,-132.647918181 54.7511090950001),(-133.421672726 55.4469363680001,-133.417236362 55.4624909140001,-133.417918181 55.4763727320001,-133.423618181 55.485690914,-133.478336362 55.515000005,-133.482659952 55.5161950980001,-133.499418789 55.5208279840001,-133.501260649 55.5206322600001,-133.512508789 55.519436984,-133.541666676 55.4955862300001,-133.54786835 55.4905133450001,-133.599018789 55.448672984,-133.594985362 55.4467085360001,-133.578336789 55.4385999840001,-133.573578433 55.4375649350001,-133.53750909 55.4297181860001,-133.515018181 55.4272181860001,-133.50500909 55.4272181860001,-133.459718181 55.431381823,-133.443327272 55.4347181860001,-133.428890908 55.4394272770001,-133.421672726 55.4469363680001),(-133.576403249 55.50547449,-133.577908789 55.5276369840001,-133.583599789 55.5370819840001,-133.58583109 55.5373599420001,-133.626645771 55.5424443110001,-133.638522688 55.5439238440001,-133.69168179 55.5505459840001,-133.70248179 55.551381984,-133.71887279 55.5480459840001,-133.72679079 55.5413819840001,-133.726790858 55.5413818640001,-133.726790908 55.5413818230001,-133.727806612 55.5396218400001,-133.733968892 55.5289442870001,-133.745913696 55.508247194,-133.75805479 55.4872099840001,-133.75805443 55.487209293,-133.758054544 55.4872090950001,-133.752195485 55.475943828,-133.748192834 55.468247611,-133.74664579 55.4652729840001,-133.746645599 55.4652730110001,-133.746645453 55.4652727320001,-133.729427272 55.467763641,-133.714154544 55.4655454590001,-133.66750909 55.4505454590001,-133.647078897 55.4417485380001,-133.64557279 55.4410999840001,-133.645572726 55.4411000050001,-133.634718181 55.4448545500001,-133.576172726 55.502081823,-133.576403249 55.50547449),(-133.434099999 55.5240818230001,-133.348872726 55.4473454590001,-133.289463635 55.475818186,-133.272518181 55.488045459,-133.267790908 55.496936368,-133.267790931 55.496936718,-133.267790789 55.4969369840001,-133.268490662 55.5077776780001,-133.269745453 55.527218186,-133.269745757 55.527218481,-133.269745789 55.5272189840001,-133.279172789 55.5363819840001,-133.296262158 55.5471437410001,-133.296423117 55.547245102,-133.304855623 55.552555339,-133.305418789 55.5529099840001,-133.317081472 55.55433751,-133.319665363 55.5546537820001,-133.338318789 55.5569369840001,-133.377472789 55.556381984,-133.393890789 55.5530459840001,-133.416707602 55.5452811650001,-133.419590908 55.5443000050001,-133.434099999 55.5240818230001),(-133.318599999 55.765827277,-133.300981817 55.7909727320001,-133.300981871 55.790972868,-133.300981789 55.7909729840001,-133.302161779 55.793954404,-133.303345453 55.796945459,-133.303345595 55.7969454920001,-133.303345789 55.796945984,-133.306370422 55.7976551070001,-133.314928063 55.7996614400001,-133.325836789 55.802218984,-133.353505176 55.8055530280001,-133.371810623 55.8077588360001,-133.385859231 55.8094516950001,-133.541930983 55.828258358,-133.542508789 55.8283279840001,-133.553345789 55.829163984,-133.598202642 55.8280866910001,-133.616927789 55.827636984,-133.618541059 55.8269484410001,-133.634181789 55.820272984,-133.661658622 55.798067835,-133.667746979 55.793147586,-133.67611879 55.7863819840001,-133.677781791 55.7756819840001,-133.677781817 55.7756818230001,-133.645572726 55.7441545500001,-133.635281817 55.736381823,-133.617490908 55.725545459,-133.608802782 55.7209263030001,-133.604427789 55.718599984,-133.600522837 55.7166491180001,-133.591090908 55.7119363680001,-133.57025796 55.7029660270001,-133.569154789 55.7024909840001,-133.569154545 55.702490911,-133.568814931 55.7023864980001,-133.53390909 55.6916545500001,-133.523072726 55.690827277,-133.505581817 55.6933181860001,-133.483291501 55.699765799,-133.482481789 55.699999984,-133.474518248 55.7031987730001,-133.318599999 55.765827277),(-134.252499999 55.8173545500001,-134.235263635 55.835818186,-134.221099999 55.8508272770001,-134.209163635 55.8583272770001,-134.176936362 55.8749909140001,-134.13640909 55.893609095,-134.121645453 55.898609095,-134.114718181 55.899718186,-134.101163635 55.9150636410001,-134.101163966 55.915063784,-134.10116379 55.915063984,-134.11639079 55.9216639840001,-134.147896126 55.9219611090001,-134.15700637 55.9220470270001,-134.188183419 55.9223410550001,-134.192915613 55.9223856840001,-134.262789317 55.923044658,-134.286452478 55.9232678240001,-134.308402464 55.9234748310001,-134.312943544 55.9235176620001,-134.321672726 55.9236000050001,-134.321672788 55.9235999790001,-134.32637892 55.921180124,-134.34083679 55.9137459840001,-134.327413038 55.880866944,-134.322147719 55.867970502,-134.31582779 55.852490984,-134.30501131 55.8416794330001,-134.293881817 55.83055455,-134.252499999 55.8173545500001),(-133.787781817 55.9190181860001,-133.699863635 55.895963641,-133.637236362 55.933327277,-133.608336362 55.9588818230001,-133.458345453 56.003327277,-133.363036362 56.010272732,-133.321979179 56.0696898190001,-133.321358118 56.070588598,-133.3142924 56.0808138140001,-133.313899789 56.0813819840001,-133.307589848 56.0919540580001,-133.285554544 56.128872732,-133.279663635 56.1378363680001,-133.279664068 56.13783656,-133.279663789 56.137836984,-133.289214623 56.142067953,-133.303345789 56.148327984,-133.314454789 56.149163984,-133.346464688 56.151381701,-133.356513433 56.1520779000001,-133.356746326 56.1520940360001,-133.359180057 56.1522626500001,-133.363984834 56.152595535,-133.374523368 56.153325668,-133.390563789 56.154436984,-133.400572789 56.154436984,-133.460923306 56.1448170960001,-133.493077888 56.1396916470001,-133.561889531 56.128723053,-133.571381789 56.127209984,-133.574920036 56.1253430950001,-133.607929364 56.1079263410001,-133.611390908 56.106100005,-133.631383406 56.0943703240001,-133.649481512 56.0837521730001,-133.68263679 56.0642999840001,-133.77444579 55.9758189840001,-133.78584579 55.9630549840001,-133.79306379 55.9483279840001,-133.79306379 55.931381984,-133.792068494 55.9290524030001,-133.787781817 55.9190181860001),(-134.100529785 56.019957042,-134.087218181 56.0838818230001,-134.095827272 56.1318000050001,-134.066254544 56.3027727320001,-134.056654544 56.3116545500001,-134.036590908 56.3052000050001,-134.025972726 56.2739090950001,-134.01250909 56.190272732,-134.018297997 56.172081174,-134.018992669 56.1698982400001,-134.03681879 56.113881984,-134.034204326 56.1049739790001,-134.034193872 56.1049383590001,-134.03376379 56.1034729840001,-134.033763696 56.103472939,-134.033763635 56.1034727320001,-134.016663635 56.0952727320001,-133.977763635 56.082909095,-133.959679947 56.0825115550001,-133.95915479 56.082499984,-133.959154741 56.0825000090001,-133.959154544 56.082500005,-133.94610909 56.08915455,-133.946108886 56.0891549350001,-133.94610879 56.0891549840001,-133.938973559 56.1026220700001,-133.914463635 56.1488818230001,-133.887790908 56.2205454590001,-133.887790938 56.2205455870001,-133.88779079 56.2205459840001,-133.889382084 56.2273708920001,-133.890836362 56.2336090950001,-133.89578305 56.250178668,-133.89697279 56.2541639840001,-133.898697197 56.2576626060001,-133.902927272 56.2662454590001,-133.902927747 56.2662458980001,-133.90292779 56.2662459840001,-133.91195479 56.274572984,-133.917512508 56.2771319340001,-133.92251879 56.279436984,-133.925140438 56.2795409500001,-133.930420695 56.2797503470001,-133.934402214 56.2799082400001,-133.94359979 56.2802729840001,-133.947122556 56.278958103,-133.95497279 56.2760279840001,-133.97349979 56.2662279840001,-133.982508119 56.268588326,-133.984254384 56.269045878,-133.976699999 56.2888181860001,-133.968745453 56.303363641,-133.965454544 56.3171272770001,-133.966456448 56.3205261850001,-133.968389102 56.3270828570001,-133.969191455 56.3298048990001,-133.969259129 56.330034486,-133.969857007 56.332062831,-133.97339979 56.3440819840001,-133.972218959 56.351412575,-133.971072726 56.3585272770001,-133.947618576 56.351063767,-133.936067711 56.3392986430001,-133.916781817 56.3196545500001,-133.895290908 56.3002727320001,-133.86220909 56.2774909140001,-133.862208833 56.2774910140001,-133.86220879 56.2774909840001,-133.86141943 56.2777991230001,-133.851518181 56.2816636410001,-133.846099999 56.290836368,-133.846099975 56.2908366710001,-133.84609979 56.2908369840001,-133.843899963 56.3184555540001,-133.842390623 56.337405135,-133.84180879 56.3447099840001,-133.85028179 56.352490984,-133.882472685 56.4372097080001,-133.876645453 56.523609095,-133.876645801 56.5236098170001,-133.87664579 56.5236099850001,-133.87830902 56.5270611730001,-133.879307626 56.529133271,-133.894383107 56.5604147380001,-133.896386398 56.5645715580001,-133.914463635 56.602081823,-133.921245453 56.6111000050001,-133.912227272 56.6158272770001,-133.891910903 56.6150415610001,-133.89083679 56.6149999850001,-133.86730199 56.612929851,-133.833890908 56.609990914,-133.817354544 56.607081823,-133.79430909 56.5935363680001,-133.789396157 56.584530376,-133.78722779 56.580554985,-133.78277279 56.5649909850001,-133.782772723 56.564990917,-133.781863651 56.5641630860001,-133.776764812 56.5595198790001,-133.77361879 56.5566549850001,-133.773618625 56.5566549540001,-133.773618181 56.5566545500001,-133.763063635 56.5547090950001,-133.749036362 56.5559636410001,-133.738590908 56.5605454590001,-133.692627272 56.5970727320001,-133.720767373 56.644333671,-133.722617479 56.6474409420001,-133.724391945 56.650421173,-133.725954538 56.653045563,-133.721755849 56.72621861,-133.721229547 56.735390173,-133.72105578 56.7384183130001,-133.72077032 56.7433928660001,-133.719637963 56.7631258320001,-133.719614365 56.7635370570001,-133.71929979 56.7690189850001,-133.732721533 56.7757342950001,-133.73290879 56.775827985,-133.746948841 56.7787439680001,-133.760894623 56.781640372,-133.767090437 56.782927183,-133.769287734 56.78338354,-133.787007592 56.7870637830001,-133.794278184 56.7885738150001,-133.796204511 56.788973895,-133.824511675 56.7948530190001,-133.83056379 56.796109985,-133.833778831 56.7955691720001,-133.834995285 56.7953645490001,-133.839218624 56.7946541270001,-133.842574624 56.794089603,-133.86526379 56.7902729850001,-133.865263637 56.7902727310001,-133.85554579 56.7737459850001,-133.85305479 56.7605549850001,-133.85305479 56.7491639850001,-133.855174561 56.7406772630001,-133.85610909 56.736936368,-133.86220909 56.723600005,-133.866031657 56.7183101210001,-133.87234579 56.7095729850001,-133.91723679 56.667218985,-133.94582779 56.6463819850001,-133.95889079 56.6397189850001,-133.97500879 56.6355549850001,-133.981974558 56.6369585630001,-133.999175624 56.640424518,-134.00668179 56.641936985,-134.015998509 56.645413643,-134.024172201 56.648463765,-134.014190908 56.6508272770001,-133.97930909 56.65165455,-133.965136362 56.6574909140001,-133.922518181 56.715000005,-133.903627272 56.7500000050001,-133.925845453 56.801936368,-133.92584559 56.8019365170001,-133.92584579 56.8019369850001,-133.96182313 56.841251173,-133.964244809 56.8438974600001,-133.99053679 56.8726279850001,-134.00890879 56.880545985,-134.03091053 56.8870540660001,-134.036136362 56.8886000050001,-134.052190418 56.892971222,-134.05807546 56.8945736580001,-134.060838865 56.895326105,-134.079885408 56.900512281,-134.089273246 56.903068493,-134.12691879 56.913318985,-134.150849646 56.919583731,-134.153970276 56.920400666,-134.157247104 56.9212584910001,-134.159281902 56.9217911710001,-134.19168179 56.930272985,-134.227336688 56.9362426690001,-134.230924735 56.9368434140001,-134.24804579 56.939709985,-134.26155479 56.938736985,-134.261554045 56.9387364040001,-134.261554544 56.938736368,-134.233924479 56.917205563,-134.223823504 56.9093341940001,-134.214090685 56.9017497180001,-134.21361879 56.9013819850001,-134.213618181 56.901381821,-134.213207142 56.90126974,-134.195281817 56.8963818230001,-134.172790908 56.894718186,-134.146818181 56.889163641,-134.13613662 56.8841637610001,-134.118699559 56.86127105,-134.106936882 56.8458279590001,-134.114738696 56.843608579,-134.117225993 56.8429010180001,-134.12013679 56.8420729850001,-134.142534253 56.846726248,-134.147572773 56.8477730440001,-134.152579145 56.8488131600001,-134.15558179 56.8494369850001,-134.173965459 56.8570718120001,-134.175873581 56.857864261,-134.178345453 56.858890914,-134.187515834 56.8643116360001,-134.22109979 56.884163985,-134.24413679 56.8936099850001,-134.26391879 56.898327985,-134.275708189 56.8999350110001,-134.276118181 56.8999909080001,-134.27611879 56.899990985,-134.28639263 56.900254089,-134.291733283 56.900390858,-134.29779079 56.9005459850001,-134.31805479 56.8955459850001,-134.3509285 56.878389385,-134.364210918 56.8714573680001,-134.36808375 56.8694361600001,-134.377507974 56.8645177120001,-134.380340943 56.863039201,-134.386873515 56.8596298900001,-134.39654579 56.854581985,-134.40472779 56.8477729850001,-134.408005238 56.8333995630001,-134.40890909 56.8294363680001,-134.40115096 56.7756004710001,-134.397881026 56.752908323,-134.39333679 56.7213729850001,-134.392477355 56.7187146420001,-134.39001879 56.7111099850001,-134.310333038 56.569395355,-134.30402779 56.558181985,-134.304027317 56.558181903,-134.304027272 56.558181823,-134.174163635 56.5358272770001,-134.089427272 56.538190914,-134.07124548 56.5559636150001,-134.070724249 56.5553434650001,-134.064590908 56.548045459,-134.052799999 56.503881823,-134.045200742 56.471322876,-134.03263679 56.417490985,-134.034231937 56.3847259830001,-134.034590892 56.3773548830001,-134.042730646 56.3692492380001,-134.0465785 56.3654175080001,-134.04986379 56.362145985,-134.051884174 56.3656667180001,-134.056118181 56.3730454590001,-134.061835712 56.3806402060001,-134.06459079 56.384299985,-134.075999658 56.3915250420001,-134.079180166 56.3935392080001,-134.08499079 56.3972189850001,-134.089205048 56.399038117,-134.095855624 56.401908914,-134.102534489 56.4047919220001,-134.112563624 56.409121113,-134.120659269 56.412615691,-134.122519131 56.413418521,-134.132948886 56.417920644,-134.139202542 56.4206201060001,-134.144480952 56.4228985920001,-134.17472779 56.4359549850001,-134.177535624 56.4351263510001,-134.190297191 56.4313602240001,-134.192409905 56.4307367310001,-134.197664644 56.4291859800001,-134.226991518 56.4205311850001,-134.23165479 56.419154985,-134.237175163 56.411449571,-134.252264135 56.3903881730001,-134.254299435 56.3875472720001,-134.270192353 56.3653637150001,-134.28229979 56.348463984,-134.282299769 56.3484639610001,-134.282299999 56.3484636410001,-134.259805463 56.323650915,-134.25195479 56.3149909840001,-134.251954545 56.314990912,-134.251299072 56.3147923220001,-134.227199999 56.307490914,-134.204709157 56.2980454870001,-134.22027279 56.276936984,-134.232483474 56.272592913,-134.245925624 56.2678107360001,-134.25931879 56.263045984,-134.26542779 56.2530549840001,-134.259552467 56.2285010090001,-134.258228386 56.2229674490001,-134.256614124 56.2162211730001,-134.252984945 56.2010542130001,-134.247493187 56.1781032200001,-134.239471424 56.144578906,-134.231921612 56.113026958,-134.227236486 56.0934470180001,-134.22082779 56.0666639840001,-134.219156453 56.0654022410001,-134.216540273 56.0634272090001,-134.161954544 56.022218186,-134.126099999 55.997627277,-134.109436362 55.997081823,-134.102199999 56.0119363680001,-134.102199931 56.011936695,-134.10219979 56.011936984,-134.100529785 56.019957042),(-132.989299789 56.421245985,-133.055481789 56.349090984,-133.055481774 56.3490909610001,-133.055481817 56.349090914,-133.053178922 56.345443689,-133.044736789 56.332072984,-133.044736389 56.3320727730001,-133.044736362 56.332072732,-132.910281817 56.2611090950001,-132.861390908 56.2375000050001,-132.844999999 56.23165455,-132.834163635 56.2308181860001,-132.817227272 56.233881823,-132.759463635 56.245827277,-132.700836362 56.259163641,-132.677218181 56.2655454590001,-132.648072788 56.2760999830001,-132.648072726 56.276100005,-132.644245861 56.2795871010001,-132.640290789 56.283190984,-132.639594804 56.285088966,-132.634736362 56.298336368,-132.614993122 56.3903778100001,-132.614299789 56.3936099850001,-132.629699789 56.4247099850001,-132.638472789 56.4359639850001,-132.656399789 56.4441549850001,-132.683072789 56.4524909850001,-132.694185607 56.454497196,-132.703063635 56.4561000050001,-132.70401282 56.4562087750001,-132.722499789 56.458327985,-132.732754789 56.458327985,-132.734144383 56.45830313,-132.746342655 56.4580849500001,-132.887790789 56.455554985,-132.891447285 56.4553085700001,-132.920836789 56.453327985,-132.940272789 56.447772985,-132.964237514 56.4348064100001,-132.97239349 56.430393462,-132.989299789 56.421245985),(-133.286945453 55.901100005,-133.286945525 55.9010999610001,-133.286945789 55.901099984,-133.331527789 55.8735999840001,-133.309718789 55.821109984,-133.309718411 55.82110965,-133.309718181 55.8211090950001,-133.260990908 55.7780454590001,-133.24540909 55.7751272770001,-133.230545453 55.789581823,-133.212354544 55.8263818230001,-133.211771874 55.8351995740001,-133.211399789 55.840827984,-133.212081789 55.854718984,-133.215237017 55.8612935890001,-133.215545453 55.861936368,-133.215545514 55.861936412,-133.215545789 55.8619369840001,-133.24299857 55.8814887610001,-133.248701452 55.8855503350001,-133.26492243 55.8971028600001,-133.268199789 55.899436984,-133.270895229 55.899676103,-133.273057123 55.8998678890001,-133.285569266 55.9009778700001,-133.286945453 55.901100005),(-134.809581791 57.3612369850001,-134.82286907 57.390141972,-134.823054546 57.3905454580001,-134.818881817 57.40165455,-134.812381817 57.4151272770001,-134.812382105 57.415127334,-134.812381791 57.415127985,-134.876645791 57.427772985,-134.888063791 57.4283279850001,-134.906518914 57.4261801440001,-134.940554791 57.422218985,-134.973108791 57.409018985,-134.973108195 57.4090185490001,-134.97310909 57.4090181860001,-134.864436362 57.3294363680001,-134.834397461 57.3113783370001,-134.825891709 57.3062649620001,-134.824188624 57.3052411240001,-134.821927791 57.303881985,-134.815871629 57.3003798710001,-134.809445453 57.2966636410001,-134.794936362 57.2997090950001,-134.787645453 57.3444363680001,-134.787645843 57.344436666,-134.787645791 57.3444369850001,-134.809581791 57.3612369850001),(-136.375972726 57.9840545500001,-136.354463635 58.00085455,-136.330427272 58.0075000050001,-136.336743524 58.0142589050001,-136.340545792 58.018327986,-136.391390792 58.0469459860001,-136.433396554 58.0746988650001,-136.454436362 58.088600005,-136.45676653 58.089209076,-136.458155128 58.089572113,-136.460909107 58.090292117,-136.473599792 58.093609986,-136.488190792 58.0919369860001,-136.541808792 58.0647099860001,-136.541809042 58.06470912,-136.54180909 58.0647090950001,-136.5434689 58.0589579420001,-136.555554792 58.0170819860001,-136.555423345 58.016250174,-136.554454905 58.010121806,-136.55429156 58.0090881460001,-136.554018103 58.007357685,-136.553805253 58.0060107530001,-136.552653406 57.9987217660001,-136.552254205 57.996195588,-136.549627803 57.9795754960001,-136.549231785 57.9770694630001,-136.548872133 57.974793553,-136.548443298 57.9720798480001,-136.548310816 57.9712414890001,-136.546663792 57.960818986,-136.546663733 57.9608188020001,-136.546663635 57.960818186,-136.532772726 57.9180545500001,-136.441936362 57.8458272770001,-136.425018181 57.8541636410001,-136.415836362 57.8641545500001,-136.380281817 57.914709095,-136.380281906 57.9147098230001,-136.380281792 57.914709986,-136.381667571 57.9260102000001,-136.385436362 57.956745459,-136.375972726 57.9840545500001),(-135.841777066 57.297007137,-135.831760938 57.242006367,-135.825911966 57.2098883370001,-135.819581817 57.1751272770001,-135.80750909 57.1683272770001,-135.748872726 57.164709095,-135.712772859 57.1629091020001,-135.714445791 57.1411099850001,-135.752499791 57.110545985,-135.762927791 57.1059639850001,-135.783627791 57.1011099850001,-135.815963792 57.0891549850001,-135.822852046 57.0824716650001,-135.82540909 57.0799909140001,-135.83790909 56.9908272770001,-135.826936362 56.9858272770001,-135.795836362 56.986381823,-135.719727272 56.9936090950001,-135.625827272 57.0061090950001,-135.566654544 57.082218186,-135.546245453 57.132218186,-135.554872726 57.22665455,-135.554872754 57.226654581,-135.554872791 57.226654985,-135.572501294 57.2457432090001,-135.57412227 57.2474984080001,-135.5741891 57.2475707730001,-135.576936791 57.250545985,-135.586897137 57.260506331,-135.587548337 57.261157531,-135.589718791 57.263327985,-135.600354095 57.27063838,-135.611936362 57.278600005,-135.615995235 57.281219869,-135.626372791 57.287918985,-135.645290791 57.2958279850001,-135.694641583 57.3147688190001,-135.699210089 57.3165222120001,-135.700290791 57.316936985,-135.710536791 57.3236099850001,-135.741837166 57.3286500350001,-135.749177107 57.329831928,-135.760554791 57.331663985,-135.779487789 57.3301484940001,-135.782511927 57.3299064270001,-135.833463792 57.325827985,-135.845836792 57.319299985,-135.844965886 57.3145176520001,-135.84239221 57.3003850270001,-135.841933915 57.2978684290001,-135.841777066 57.297007137),(-153.216788414 57.2039481030001,-153.223054808 57.206936985,-153.234163808 57.205827985,-153.275845808 57.196799985,-153.278731302 57.193997305,-153.295382089 57.1778243960001,-153.364169387 57.1110112980001,-153.387034547 57.0888023690001,-153.403239649 57.0730623540001,-153.406681808 57.0697189850001,-153.406681542 57.0697184530001,-153.406681817 57.069718186,-153.399745807 57.0558279840001,-153.399745453 57.055827277,-153.337490908 56.9980454590001,-153.31110909 56.988881823,-153.249036362 56.999436368,-153.229427272 57.012500005,-153.21860909 57.023463641,-153.218609032 57.023463758,-153.218608808 57.023463985,-153.217287315 57.026128171,-153.209445453 57.0419363680001,-153.102199999 57.084163641,-152.917081817 57.123881823,-152.894745453 57.135827277,-152.882763635 57.1469363680001,-152.882763958 57.1469368460001,-152.882763807 57.1469369850001,-152.891390807 57.159718985,-152.955836807 57.1747099850001,-152.966090808 57.1758279850001,-153.015003812 57.1777749190001,-153.069509349 57.1799444580001,-153.106276265 57.181407929,-153.109971626 57.1815550200001,-153.114268989 57.1817260720001,-153.16398469 57.183704956,-153.175290808 57.1841549850001,-153.203087325 57.1974130930001,-153.216788414 57.2039481030001),(-154.106654544 56.5011090950001,-154.063045453 56.4991636410001,-153.958890908 56.502772732,-153.942227272 56.507218186,-153.888627272 56.5295727320001,-153.879581817 56.53805455,-153.878349069 56.5426733310001,-153.876099808 56.5510999850001,-153.876029384 56.5534726600001,-153.875963635 56.555681823,-153.875963813 56.5556818410001,-153.875963808 56.555681985,-153.899172808 56.558045985,-153.923990053 56.556495419,-153.940960662 56.5554351060001,-153.965818808 56.553881985,-154.012790808 56.5508279850001,-154.039172726 56.5475000000001,-154.039172808 56.5474999830001,-154.039914979 56.5472802720001,-154.052651038 56.5435100300001,-154.071108809 56.5380459850001,-154.107754809 56.5236099850001,-154.129772809 56.5084729850001,-154.129772501 56.508472887,-154.129772726 56.508472732,-154.106654544 56.5011090950001),(-150.622499999 59.3533272770001,-150.61745367 59.360816529,-150.617115073 59.3613190120001,-150.612208805 59.368599987,-150.612123559 59.3690166390001,-150.609734807 59.3806919020001,-150.609708805 59.3808189870001,-150.610901072 59.3821696750001,-150.611451963 59.382793765,-150.612111105 59.38354049,-150.612867525 59.384397418,-150.619281805 59.3916639870001,-150.638336805 59.3991639870001,-150.666654805 59.4049909870001,-150.677490805 59.406381987,-150.690981805 59.4041639870001,-150.698923067 59.3968453200001,-150.701690578 59.394294782,-150.702160085 59.3938620850001,-150.736215554 59.3624765650001,-150.74118866 59.35789335,-150.755096814 59.3450755950001,-150.757889826 59.3425015550001,-150.763268952 59.3375441530001,-150.765159847 59.3358015040001,-150.768548601 59.3326784290001,-150.771462464 59.329993012,-150.775981805 59.3258279870001,-150.775981368 59.325827691,-150.775981817 59.325827277,-150.76430909 59.3179090950001,-150.714445453 59.305827277,-150.688336362 59.3084636410001,-150.654445453 59.3288818230001,-150.642518181 59.3363818230001,-150.631927272 59.3444363680001,-150.622499999 59.3533272770001),(-147.849972726 59.7769363680001,-147.713899999 59.814436368,-147.531127272 59.8519363680001,-147.480563635 59.923190914,-147.482942254 59.926741329,-147.487354456 59.933327471,-147.482499999 59.9440181860001,-147.238890908 60.1291545500001,-147.227199999 60.137218186,-147.214172726 60.1444363680001,-147.181245453 60.1587363680001,-147.129972726 60.177490914,-147.092772726 60.1930454590001,-146.98470909 60.2416636410001,-146.97323268 60.251164644,-146.963899802 60.2588909880001,-146.954721563 60.2685483910001,-146.937772726 60.2863818230001,-146.928403655 60.299150593,-146.922790802 60.3067999880001,-146.930431213 60.3100619480001,-147.002511764 60.3408356630001,-147.011284791 60.3445811770001,-147.094863802 60.3802639880001,-147.112208802 60.380818988,-147.112455212 60.3807738900001,-147.11539384 60.380236058,-147.131927802 60.3772099880001,-147.149411589 60.372082177,-147.150818313 60.371669599,-147.152354074 60.3712191770001,-147.154899097 60.3704727480001,-147.157499802 60.3697099880001,-147.193599802 60.353327988,-147.198736555 60.3487631250001,-147.201108802 60.3466549880001,-147.201108834 60.3466547770001,-147.20110909 60.34665455,-147.20930909 60.292490914,-147.20220909 60.2688818230001,-147.212104644 60.2622718800001,-147.218620984 60.257919176,-147.224896292 60.253727472,-147.27976164 60.217079176,-147.318858125 60.1909639770001,-147.329704155 60.1837191760001,-147.335937636 60.1795554110001,-147.336945802 60.1788819880001,-147.337623799 60.178292282,-147.343041115 60.1735804160001,-147.343800205 60.172920176,-147.375272802 60.145545988,-147.375869863 60.1440770610001,-147.378400529 60.137850955,-147.381790802 60.1295099880001,-147.404172802 60.1113819880001,-147.428331643 60.0990563390001,-147.431399997 60.0974909080001,-147.432193182 60.0971395540001,-147.435888939 60.0955024880001,-147.439792408 60.093773415,-147.441279015 60.0931149100001,-147.441723152 60.0929181760001,-147.444262988 60.091793135,-147.445827802 60.0910999880001,-147.453393578 60.0879211760001,-147.475554802 60.078609988,-147.485891973 60.0744878090001,-147.500247699 60.0687631420001,-147.531527777 60.0562895080001,-147.531774498 60.0561911230001,-147.55925766 60.0452315950001,-147.604427803 60.0272189880001,-147.671663803 60.006381988,-147.684602335 59.998274386,-147.705049336 59.9854617940001,-147.792236803 59.930827988,-147.802556917 59.9218588250001,-147.80818605 59.916966572,-147.860852677 59.8711942530001,-147.893554803 59.842772988,-147.900758346 59.8211502990001,-147.90995378 59.7935486060001,-147.910281803 59.792563988,-147.910281719 59.7925639360001,-147.910281817 59.7925636410001,-147.893110357 59.782101379,-147.887363803 59.7785999880001,-147.871918803 59.7760999880001,-147.871442341 59.7760883230001,-147.86080909 59.7758272770001,-147.849972726 59.7769363680001),(-147.819872803 60.0709729880001,-147.850127803 60.0815279880001,-147.86049178 60.077061176,-147.86952147 60.0731694340001,-147.872061315 60.0720747760001,-147.88081438 60.0683022580001,-147.883327803 60.067218988,-147.884932086 60.066236061,-147.897546962 60.058507062,-147.909431446 60.0512255670001,-147.914113025 60.0483572140001,-147.914525247 60.04810465,-147.91581997 60.047311386,-147.982870915 60.0062299940001,-147.98686039 60.0037856860001,-148.000308803 59.9955459880001,-148.006288545 59.991363033,-148.013168571 59.9865503120001,-148.02498583 59.9782838940001,-148.028899803 59.9755459880001,-148.043763803 59.9585999880001,-148.042236803 59.9473459880001,-148.042236435 59.9473459930001,-148.042236362 59.9473454590001,-148.022936362 59.947627277,-147.930299999 59.972490914,-147.930299834 59.972490979,-147.930299804 59.97249099,-147.915008803 59.978599988,-147.911132443 59.980385632,-147.893890908 59.9883272770001,-147.880827272 59.995827277,-147.847781817 60.0202727320001,-147.829990908 60.0397181860001,-147.823881817 60.0491636410001,-147.817081817 60.0597090950001,-147.817081973 60.0597097240001,-147.817081803 60.0597099880001,-147.81757528 60.061701403,-147.819725576 60.0703788590001,-147.819872736 60.0709727350001,-147.819872803 60.0709729880001),(-147.944454544 60.0763818230001,-147.876645453 60.1038818230001,-147.879098927 60.1062146030001,-147.888472803 60.115127988,-147.889175637 60.115484666,-147.896155192 60.1190266940001,-147.899222672 60.1205833970001,-147.919189637 60.1307163540001,-147.963745803 60.1533279880001,-147.964701597 60.1526783,-147.990936637 60.134845387,-147.992233134 60.1339641110001,-147.993780083 60.1329125930001,-147.996242366 60.1312388900001,-147.998694152 60.1295723220001,-148.020840639 60.114518547,-148.040873687 60.100901354,-148.04374756 60.098947878,-148.052535802 60.0929741900001,-148.067345139 60.0829077440001,-148.069229842 60.0816266420001,-148.082035491 60.0729221760001,-148.08426319 60.071407928,-148.086171987 60.0701104490001,-148.099427803 60.0610999880001,-148.109191637 60.0505658180001,-148.110046401 60.0496436160001,-148.12921843 60.028958973,-148.134816553 60.0229191760001,-148.141127803 60.016109988,-148.1404031 60.0106167770001,-148.139003977 60.0000114910001,-148.138763803 59.998190988,-148.138763642 59.9981909640001,-148.138763635 59.9981909140001,-148.120272726 59.9954090950001,-147.944454544 60.0763818230001),(-148.077481817 60.1280454590001,-148.036954544 60.1841545500001,-148.035845453 60.1870000050001,-148.040288441 60.188446513,-148.056536803 60.1937369880001,-148.080849942 60.181368482,-148.130145442 60.156291025,-148.144250771 60.149115405,-148.148287736 60.1470617320001,-148.159255637 60.1414821750001,-148.167997369 60.137035107,-148.224427803 60.108327988,-148.258573542 60.084570947,-148.300290803 60.0555459880001,-148.30032896 60.0553891760001,-148.302148113 60.047912995,-148.306005767 60.0320591760001,-148.307081803 60.027636988,-148.307081677 60.0276369430001,-148.307081817 60.0276363680001,-148.286954544 60.0205454590001,-148.251399999 60.0174909140001,-148.229154544 60.019718186,-148.208618181 60.0230454590001,-148.154872726 60.0402727320001,-148.104154544 60.073327277,-148.088881817 60.09165455,-148.086945453 60.1086090950001,-148.077481817 60.1280454590001),(-147.789445453 60.1655545500001,-147.770845453 60.1644363680001,-147.75750909 60.167909095,-147.731728969 60.1999027100001,-147.723599803 60.2099909880001,-147.705231797 60.240648836,-147.635554544 60.356945459,-147.629427272 60.3677636410001,-147.623045453 60.388327277,-147.623046001 60.3883273480001,-147.623045803 60.3883279880001,-147.627556278 60.3889078450001,-147.634598827 60.389813218,-147.651118803 60.3919369880001,-147.652496636 60.391522557,-147.657572132 60.389995926,-147.661618745 60.388778766,-147.661850618 60.388709023,-147.678436722 60.383720177,-147.685272803 60.3816639880001,-147.695915977 60.377377777,-147.696672803 60.3770729880001,-147.709992584 60.3762244220001,-147.711945454 60.376100008,-147.723265936 60.3852522490001,-147.723437771 60.3853911750001,-147.727572711 60.3887342520001,-147.729981683 60.390681891,-147.706960424 60.402438541,-147.689999803 60.411099988,-147.675634223 60.4140032820001,-147.633636362 60.422490914,-147.625272726 60.4241636410001,-147.615827272 60.4298545500001,-147.621196325 60.451563805,-147.623568195 60.4611549890001,-147.624086518 60.4632509410001,-147.624280085 60.4640336740001,-147.624796724 60.466122818,-147.626508803 60.4730459880001,-147.627563636 60.4735895380001,-147.641234365 60.4806339890001,-147.651901605 60.4861307580001,-147.660937048 60.4907866720001,-147.692565636 60.507084708,-147.699018803 60.510409988,-147.709165624 60.506434724,-147.716393727 60.503602938,-147.724836354 60.5002953330001,-147.773453013 60.481248571,-147.779863803 60.478736988,-147.794190269 60.4609515110001,-147.794374807 60.4607224170001,-147.795883637 60.4588492930001,-147.79664124 60.4579087720001,-147.806699607 60.4454218920001,-147.807364738 60.4445961710001,-147.817781803 60.4316639880001,-147.820206344 60.427921177,-147.82109836 60.426544155,-147.83696914 60.4020441260001,-147.837508733 60.401211146,-147.849364898 60.3829085560001,-147.853696889 60.376221177,-147.856654803 60.371654988,-147.858083328 60.3687167240001,-147.860104456 60.3645595660001,-147.865647494 60.3531583640001,-147.86659716 60.3512050430001,-147.868610725 60.3470634390001,-147.871039252 60.342068322,-147.875827803 60.3322189880001,-147.877837886 60.3278798760001,-147.878233238 60.3270264390001,-147.878977336 60.3254201770001,-147.879372446 60.324567261,-147.882025249 60.318840729,-147.894714682 60.29144839,-147.898345803 60.2836099880001,-147.899616313 60.278152553,-147.901109391 60.2717390870001,-147.901965274 60.2680626700001,-147.902587906 60.265388176,-147.907191458 60.2456137710001,-147.908839138 60.2385362200001,-147.909727803 60.2347189880001,-147.909727176 60.2347185950001,-147.909727272 60.2347181860001,-147.82610909 60.1822090950001,-147.789445453 60.1655545500001),(-147.978608803 60.3719369880001,-147.986099803 60.3852729880001,-147.999999803 60.3852729880001,-148.004155546 60.3844076560001,-148.011965402 60.382781445,-148.026672803 60.379718988,-148.043249923 60.3754171630001,-148.045935484 60.3747202490001,-148.05928627 60.37125567,-148.067546626 60.3691120760001,-148.071654803 60.3680459880001,-148.074121824 60.3666829330001,-148.074218307 60.366629625,-148.083969491 60.361241991,-148.084718803 60.360827988,-148.099171518 60.351717265,-148.118378709 60.3396094080001,-148.120845489 60.3380543960001,-148.127563637 60.3338194,-148.129047967 60.332883705,-148.131555983 60.3313026980001,-148.133636803 60.3299909880001,-148.134188152 60.329210124,-148.134262907 60.3291042500001,-148.142654803 60.317218988,-148.140445803 60.304990988,-148.129242764 60.2982557280001,-148.104427272 60.2833363680001,-148.091945453 60.2824909140001,-148.079436362 60.2827727320001,-148.033627272 60.28555455,-148.020427272 60.2891636410001,-148.010554544 60.3016545500001,-147.984983387 60.3517419350001,-147.983890803 60.3538819880001,-147.978608803 60.3719369880001),(-146.320836124 60.4897613700001,-146.323169327 60.4813193090001,-146.324419619 60.476795467,-146.328063801 60.463609988,-146.328063458 60.4636097370001,-146.328063635 60.463609095,-146.322475262 60.4595121730001,-146.319718801 60.4574909880001,-146.319718248 60.4574909630001,-146.319718181 60.4574909140001,-146.259463635 60.4547090950001,-146.246945453 60.4549909140001,-146.129427272 60.4702727320001,-146.056399999 60.488045459,-145.919618082 60.5268919530001,-145.917509089 60.52749091,-145.917508801 60.5274909880001,-145.900237234 60.5333426120001,-145.780581817 60.5738818230001,-145.765563635 60.5808272770001,-145.751327272 60.5930454590001,-145.759454517 60.604569902,-145.763087205 60.6097211570001,-145.766512398 60.6145781770001,-145.767790801 60.616390988,-145.941954801 60.5888819880001,-145.963745801 60.582909988,-146.104708801 60.539163988,-146.109977473 60.5383385220001,-146.118400066 60.5370189170001,-146.19532348 60.524966985,-146.196963801 60.524709988,-146.201234302 60.524405222,-146.278627801 60.518881988,-146.290999419 60.5164961,-146.292525261 60.5162018390001,-146.294463801 60.5158279880001,-146.304718801 60.5105549880001,-146.314762162 60.5008071460001,-146.317428889 60.498218885,-146.318890908 60.4968000050001,-146.320836124 60.4897613700001),(-146.573774114 60.4823388670001,-146.580836802 60.4824909880001,-146.585178421 60.4816688010001,-146.603590802 60.4781819880001,-146.618181802 60.4716549880001,-146.669080244 60.4359156300001,-146.683489694 60.425797747,-146.696108802 60.416936988,-146.704925635 60.4083915130001,-146.705563802 60.407772988,-146.707555391 60.4045589520001,-146.713517894 60.3949366350001,-146.715545802 60.3916639880001,-146.71728587 60.387977634,-146.722827802 60.3762369880001,-146.715818802 60.358890988,-146.705903829 60.353880889,-146.698763635 60.3502727320001,-146.63000909 60.3452727320001,-146.616763635 60.3453545500001,-146.607363635 60.351390914,-146.607363831 60.3513909690001,-146.607363802 60.351390988,-146.611437696 60.3525502260001,-146.619663602 60.3548909310001,-146.601836362 60.364436368,-146.587754544 60.367518186,-146.48554594 60.3656909220001,-146.488948307 60.364068726,-146.497981939 60.35976163,-146.532145815 60.343472821,-146.535081802 60.342072988,-146.540684636 60.340328329,-146.546493635 60.3385194730001,-146.555663802 60.3356639880001,-146.560067839 60.3340705520001,-146.569938745 60.330499133,-146.598981802 60.319990988,-146.629672802 60.3086549880001,-146.647821853 60.2991237910001,-146.677899802 60.2833279880001,-146.67789949 60.2833275450001,-146.677899999 60.2833272770001,-146.666963806 60.2677729850001,-146.666963635 60.2677727320001,-146.638021013 60.2517673470001,-146.627772802 60.2460999880001,-146.617063802 60.241099988,-146.61302456 60.2406454220001,-146.597354544 60.238881823,-146.576663635 60.245545459,-146.517245453 60.285000005,-146.473599999 60.304436368,-146.457490908 60.3099909140001,-146.415836362 60.323327277,-146.347227272 60.343318186,-146.310272726 60.3516636410001,-146.168063635 60.381381823,-146.096954544 60.3927727320001,-146.080554544 60.4037363680001,-146.080555149 60.4037367560001,-146.080554801 60.403736988,-146.089041901 60.409178039,-146.124981801 60.432218988,-146.129003705 60.4329221560001,-146.131241244 60.4333133540001,-146.14079621 60.434983892,-146.140836363 60.434990913,-146.140836801 60.434990988,-146.154727801 60.4355459880001,-146.167236801 60.435263988,-146.200836801 60.4319369880001,-146.28722525 60.4166411740001,-146.287902472 60.416521269,-146.290281809 60.4160999960001,-146.293843999 60.4154569,-146.310272801 60.4124909880001,-146.320098883 60.410745385,-146.320307198 60.410708378,-146.322699554 60.4102833760001,-146.3243667 60.4099872080001,-146.325138182 60.4098501540001,-146.339999801 60.407209988,-146.353881801 60.4074909880001,-146.360664356 60.4107783790001,-146.363054589 60.411936886,-146.365827272 60.443736368,-146.365827758 60.443736496,-146.365827801 60.4437369880001,-146.374629877 60.4460464470001,-146.377875456 60.446898011,-146.439454801 60.4630549880001,-146.447456741 60.4645899670001,-146.463161538 60.4676025520001,-146.479675759 60.4707704050001,-146.534854671 60.4813551440001,-146.535708802 60.4815189880001,-146.573774114 60.4823388670001),(-145.216645453 60.3105454590001,-145.141390908 60.304436368,-145.126527272 60.3056909140001,-145.115536362 60.3141636410001,-145.088045453 60.3994363680001,-145.084445453 60.4144363680001,-145.08444594 60.414436407,-145.0844458 60.414436988,-145.0983278 60.4155459880001,-145.1130368 60.4094279880001,-145.212565106 60.365462694,-145.218323101 60.362919177,-145.21873896 60.3627354770001,-145.233442371 60.3562404420001,-145.239146513 60.353720713,-145.242910152 60.3520581770001,-145.250790887 60.348576967,-145.25890909 60.3449909140001,-145.261492775 60.343501974,-145.272640372 60.3370781770001,-145.2808368 60.3323549880001,-145.280836096 60.3323547040001,-145.280836362 60.33235455,-145.244718801 60.3177729860001,-145.244718181 60.317772732,-145.216645453 60.3105454590001),(-144.601381817 59.8108181860001,-144.589290908 59.8090181860001,-144.562772726 59.8194454590001,-144.542236362 59.829718186,-144.455263635 59.8827636410001,-144.420836362 59.907209095,-144.411136362 59.9163818230001,-144.333618181 59.952772732,-144.307135176 59.96464554,-144.303890799 59.9660999880001,-144.299308577 59.9677073560001,-144.255581817 59.983045459,-144.238036362 59.9877727320001,-144.220554544 59.993045459,-144.21090909 60.003818186,-144.210909444 60.003818268,-144.210908799 60.003818988,-144.214097485 60.00455537,-144.215752524 60.0049375790001,-144.227530317 60.007657496,-144.231654799 60.008609988,-144.261408799 60.003881988,-144.278899799 59.9991639880001,-144.30991086 59.986087334,-144.328403835 59.9782892690001,-144.342170923 59.972483998,-144.346814751 59.9705258110001,-144.348068348 59.9699972000001,-144.351002694 59.968759855,-144.351381808 59.9685999960001,-144.372499999 59.9586000050001,-144.406553508 59.9423891010001,-144.413579768 59.9390443290001,-144.441589502 59.9257106090001,-144.4425088 59.9252729880001,-144.5039088 59.8944369880001,-144.5236188 59.883045988,-144.555965203 59.8619326260001,-144.55680909 59.861381823,-144.564541292 59.8526103550001,-144.57003904 59.846373784,-144.6013818 59.8108189880001,-144.601381191 59.810818897,-144.601381817 59.8108181860001),(-148.094572726 60.677490914,-148.108318181 60.734990914,-148.119374997 60.745846697,-148.122316466 60.7487348270001,-148.123318803 60.749718989,-148.134219035 60.7543503900001,-148.138336362 60.7561000050001,-148.145884731 60.757364243,-148.154305738 60.758774735,-148.154999803 60.7588909890001,-148.169154803 60.7591639890001,-148.190950587 60.758200839,-148.194454803 60.758045989,-148.214172803 60.7544369890001,-148.215907304 60.7514519010001,-148.217095286 60.7494073760001,-148.217583897 60.748566473,-148.217796514 60.7482005570001,-148.220302122 60.7438883890001,-148.224742399 60.7362466420001,-148.225916137 60.7342266300001,-148.225986356 60.7341057840001,-148.228382717 60.7299816290001,-148.232090908 60.723600005,-148.230681817 60.711663641,-148.22727088 60.705821547,-148.223054803 60.6985999890001,-148.190615995 60.6708353770001,-148.157499999 60.6424909140001,-148.14500909 60.6409727320001,-148.119136362 60.652218186,-148.098054544 60.6659636410001,-148.094572726 60.677490914),(-147.928890908 60.806936368,-147.912372726 60.817281823,-147.913648447 60.8211138730001,-147.916771772 60.830496006,-147.930770476 60.87254656,-147.931399803 60.8744369890001,-147.939454803 60.8841639890001,-147.939845244 60.88445369,-147.945845874 60.8889060600001,-147.946785404 60.889603176,-147.947601082 60.890208396,-147.953581708 60.894645923,-147.964154544 60.9024909140001,-147.967029668 60.9036216200001,-147.993894647 60.914187122,-148.022799803 60.925554989,-148.029727803 60.9277729890001,-148.032535211 60.927958593,-148.035925122 60.9281827080001,-148.040129661 60.928460681,-148.042236362 60.9286000050001,-148.042236618 60.928599977,-148.042236803 60.9285999890001,-148.052631647 60.9274583500001,-148.05284412 60.9274350150001,-148.064999999 60.9261000050001,-148.067774855 60.9252989620001,-148.07771565 60.922429525,-148.104427803 60.9147189890001,-148.122076629 60.869560177,-148.125272803 60.8613819890001,-148.125908475 60.8590010660001,-148.126110686 60.85824368,-148.126462014 60.8569277730001,-148.127150964 60.854347294,-148.127441674 60.853258431,-148.12971264 60.8447524790001,-148.134318803 60.827499989,-148.133618803 60.8027729890001,-148.131407473 60.8012304580001,-148.122072726 60.7947181860001,-148.106654544 60.7916636410001,-148.018336362 60.7897181860001,-147.928890908 60.806936368),(-153.425776561 59.4110833140001,-153.431945808 59.412209987,-153.438191755 59.4112260570001,-153.442508808 59.410545987,-153.446876007 59.4090906170001,-153.470152317 59.4013337800001,-153.492001175 59.3940526430001,-153.51818297 59.3853275530001,-153.518754808 59.3851369870001,-153.543746787 59.3698881760001,-153.551809788 59.3649685500001,-153.552218808 59.3647189870001,-153.552081814 59.338045987,-153.552081817 59.3380454590001,-153.53390909 59.33055455,-153.519461022 59.326993406,-153.515836808 59.3260999870001,-153.515378137 59.3260897690001,-153.503627272 59.325827277,-153.406818181 59.3313909140001,-153.386690908 59.3383272770001,-153.372835136 59.3448335430001,-153.372499808 59.3449909870001,-153.371159756 59.345842674,-153.345836362 59.361936368,-153.354427272 59.3808181860001,-153.354427502 59.380818316,-153.354427808 59.3808189870001,-153.386535642 59.3988291590001,-153.391352762 59.401531214,-153.393063635 59.4024909140001,-153.393063807 59.4024909890001,-153.403072808 59.4069369870001,-153.424736426 59.4108933570001,-153.425776561 59.4110833140001)))', 'United States Exclusive Exclusive Economic Zone (Alaska)', 'Alaska', 'United States', '', '163', '170', 'USA', '8463', '2012-10 (name)', '3691256116000', '8463', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.486727777999931 64.4331999990001,-0.488763888999927 63.8874805550001,-0.795599999999979 63.6774833330001,-3.05541666699997 61.987216667,-3.19548333299997 61.868566667,-3.79829999999993 61.3601833330001,-3.99364999999995 61.1275166670001,-4.04041666699993 61.07415,-4.06431666699996 61.0459500000001,-4.17494999999997 60.916316667,-4.23346666699996 60.863483333,-4.30901666699998 60.795283333,-4.73786666699993 60.401283333,-4.94453333299998 60.351683333,-5.40324999999996 60.3125666670001,-9.01099999999997 59.9408333330001,-10.34755 60.0158500000001,-10.8462999999999 60.0356166670001,-11.2742999999999 60.047216667,-12.2936999999999 60.121766667,-13.269983333 60.150516667,-13.269983394 60.150516721,-13.9096965049999 60.8263930940001,-13.2997605639999 61.5777985990001,-12.967583986 61.925640564,-12.0272087189999 62.6259689140001,-11.310116133 63.068080035,-11.063333381 63.200581582,-10.765131036 63.3538849540001,-10.7404753769999 63.3664754110001,-10.0713079609999 63.772795301,-9.87267147099993 63.869899961,-8.98192905399998 64.2786718580001,-7.88825343399998 64.7524899800001,-7.34206618699994 64.9710991110001,-6.71784328699994 65.244289322,-6.08371121999994 65.505319199,-5.55744579099996 65.6940803890001,-5.44696708299995 65.6910433620001,-4.08511980999998 65.5459281970001,-3.90368457899996 65.5106229730001,-3.84338062399996 65.5037902890001,-3.79769350399994 65.498613413,-3.76218333499997 65.4916340140001,-3.75211631299993 65.4896552750001,-3.61603353499993 65.462322274,-2.87965250299993 65.3144154130001,-2.54456650199995 65.245192413,-2.53803833099994 65.2431733340001,-2.53511228699995 65.242268268,-2.51248118499996 65.237550115,-2.49591550199995 65.234096413,-2.17666045799996 65.132771168,-1.39648300999994 64.8851579710001,-0.525798903999942 64.4534872630001,-0.486727777999931 64.4331999990001),(-6.57439950599996 62.34987241,-6.54897250599993 62.3008994100001,-6.55085450599995 62.2509814100001,-6.58805450599993 62.2397184100001,-6.58194550599995 62.2249994100001,-6.57249950599993 62.21166341,-6.55555450599996 62.19693641,-6.52721850599994 62.17388141,-6.51805450599994 62.16888141,-6.41166350599997 62.1873544100001,-6.38971850599995 62.24610941,-6.39187250599997 62.25596341,-6.42999950599994 62.2688814100001,-6.49083650599994 62.28985441,-6.52221850599994 62.3180544100001,-6.53666350599997 62.3424994100001,-6.54166350599996 62.3574994100001,-6.57439950599996 62.34987241),(-6.93805450599996 62.33416341,-6.95416350599993 62.3386094100001,-7.06028150699996 62.3136094100001,-7.06249950699993 62.2958274100001,-7.02721850699993 62.24110941,-7.01110950699996 62.2263904100001,-6.96416350599998 62.1933274100001,-6.94805450599995 62.1824904100001,-6.92194550599993 62.16721841,-6.75278150599996 62.0927724100001,-6.66971850599998 62.05860941,-6.65749950599997 62.0558274100001,-6.65458150599994 62.0976994100001,-6.58805450599993 62.13416341,-6.59944550599994 62.1955454100001,-6.73499950599995 62.2599904100001,-6.80721850599997 62.2902724100001,-6.93805450599996 62.33416341),(-7.13152750699993 62.3030544100001,-7.19389050699994 62.30624541,-7.21083650699995 62.28471841,-7.23319950699994 62.1956904100001,-7.23423650699993 62.1770724100001,-7.13030950699994 62.1255994100001,-7.03458150699993 62.1121094100001,-6.96110950599996 62.0466634100001,-6.86916350599995 61.99749941,-6.77305450599994 61.94999941,-6.72528150599993 61.93443641,-6.71778150599994 61.9333274100001,-6.70471850599995 61.9388814100001,-6.69625450599995 61.97735441,-6.72180950599994 62.0317994100001,-6.73499950599995 62.04360941,-6.84139050599993 62.1244454100001,-6.91639050599997 62.1538814100001,-6.94583650599998 62.1680544100001,-6.97389050599998 62.1824904100001,-6.99083650699993 62.1930544100001,-7.03666350699996 62.23360941,-7.04375450699996 62.2416634100001,-7.05221850699996 62.25749941,-7.05999950699993 62.27582741,-7.06819050699994 62.2834724100001,-7.08749950699996 62.2908364100001,-7.13152750699993 62.3030544100001),(-7.16307250699998 62.1288184100001,-7.22721850699998 62.15971841,-7.43034550699997 62.14332741,-7.43347250699998 62.1238184100001,-7.37986350699993 62.06652741,-7.34889050699996 62.0530544100001,-7.25110950699997 62.0427724100001,-7.23145450699997 62.0624274100001,-7.21194550699994 62.0574904100001,-7.19597250699996 62.0466634100001,-7.19194550699996 62.0354094100001,-7.20166350699998 62.0186094100001,-7.18583650699998 62.0197184100001,-7.16528150699997 62.0236094100001,-7.06278150699995 62.0494364100001,-7.05236350699994 62.0640184100001,-7.04194550699998 62.0891634100001,-7.05610950699997 62.0986094100001,-7.16307250699998 62.1288184100001),(-6.70471850599995 61.777499409,-6.65221850599994 61.7427724090001,-6.63889050599994 61.750545409,-6.62999950599993 61.761109409,-6.60416350599996 61.82389041,-6.65221850599994 61.85388141,-6.66139050599998 61.8588904100001,-6.78013650599996 61.8961094100001,-6.86013650599995 61.90721841,-6.90666350599997 61.9053454100001,-6.86610950599993 61.83749041,-6.83860950599995 61.81763641,-6.70471850599995 61.777499409),(-6.66805450599998 61.3894454090001,-6.66028150599993 61.3883274090001,-6.65528150599994 61.3894454090001,-6.64194550599996 61.399027409,-6.65528150599994 61.4330544090001,-6.70944550599995 61.5583274090001,-6.72666350599997 61.5745814090001,-6.88944550599996 61.644999409,-6.91221850599993 61.6436094090001,-6.92639050599996 61.6413904090001,-6.94472750599994 61.6366634090001,-6.96139050599993 61.6209634090001,-6.95833650599997 61.5986094090001,-6.84583650599996 61.4680454090001,-6.71916350599997 61.407490409,-6.66805450599998 61.3894454090001)))', 'Faeroe Islands Exclusive Economic Zone', 'Faeroe Islands', 'Denmark', '', '175', '141', 'FRO', '8435', '', '265787459200', '8435', 'Y'),('SRID=4326;MULTIPOLYGON(((2.43130929300003 71.4112667260001,2.26656248400008 70.8333445850001,1.81649322200002 70.2726386410001,1.77753049900002 70.244060413,1.77753016600002 70.244060168,1.77319501400007 70.2384724820001,1.76595702600002 70.23315101,1.76511150200002 70.2325294170001,1.76511141400005 70.232529303,1.76511119800006 70.2325291450001,1.75490558000007 70.219305315,1.70354150200006 70.152751417,1.00909450100005 69.623759417,0.712714388000052 69.46622689,0.0987913620000427 69.139913908,0.0972298230000206 69.1393195780001,0.0965325000000234 69.1390544160001,0.0944025000000579 69.137890416,0.0495624490000637 69.120334768,-0.997414166999931 68.7104367220001,-2.23779677899995 68.3488389250001,-2.23786609299998 68.348824682,-2.24040625199996 68.348062209,-2.24598350199994 68.3463884160001,-2.24931450199995 68.3457034160001,-2.25559349399992 68.343817572,-2.25633631599993 68.3435944900001,-3.61284000999996 68.055341835,-3.61530882099993 68.0549985010001,-3.64709519999997 68.0480178540001,-3.80336177599997 68.0260238380001,-4.00273350399993 67.9979634150001,-4.16175524999994 67.9621789890001,-4.34387292299994 67.9211979350001,-4.36563804099995 67.9180389420001,-4.40647466699994 67.908746448,-4.45894850399998 67.8968064150001,-5.67236389299995 67.7125589240001,-5.88368526999994 67.68047154,-5.89460563299997 67.679547992,-5.89969750499995 67.6791174150001,-5.92830450599996 67.674598415,-6.60941867799994 67.613321188,-6.62946972099996 67.645496455,-7.25478536899993 68.1756293980001,-8.15011968899995 68.6529628310001,-9.29772821299997 69.059185454,-10.664004951 69.377679685,-12.156667 69.578333,-13.266666667 69.583333333,-13.629555556 69.909555555,-12.7670277779999 71.880777777,-11.4746388889999 72.8228333330001,-5.00769444399998 74.3630277770001,-4.66336950399995 74.3333984210001,-3.65118150299998 74.238223421,-3.44840567599994 74.2054806990001,-1.82679049699993 73.943633984,-0.287918459999958 73.554522198,0.917869013000029 73.088588465,0.919193763000067 73.0877992850001,0.921581501000048 73.0863764200001,0.923825501000067 73.0854794200001,1.77397350900003 72.562209409,1.77669887800005 72.5592080150001,1.78248423200006 72.5528364700001,1.78648871100006 72.5502881810001,2.27962750200004 71.9896804190001,2.39047108000005 71.5669969300001,2.43130929300003 71.4112667260001),(-9.07390950799993 70.8077454180001,-9.05889950799997 70.803863418,-9.04309050799998 70.803863418,-9.00561850799994 70.8080184180001,-8.98889050799994 70.8110814180001,-8.95477250799996 70.8216364180001,-8.94891850799996 70.8313634180001,-8.93749950799997 70.840272418,-8.63171850799995 70.9555364180001,-8.62029950799996 70.9591364180001,-8.56561850799994 70.964145418,-8.49475450799997 70.969145418,-8.46032750799998 70.970518418,-8.43194550799996 70.9677454180001,-8.41949050799997 70.964981418,-8.40918150799996 70.960254418,-8.39447250799998 70.9591364180001,-8.29089950799994 70.9741544180001,-8.11865450799996 71.0035814180001,-8.00836350699996 71.0302544180001,-7.99084550699996 71.0383184180001,-7.98337250699996 71.045245418,-7.92850950699994 71.1496994180001,-7.94977250699998 71.167736418,-7.95978150699994 71.1724724180001,-7.97112750699995 71.176072418,-7.98364550699995 71.178863418,-7.99725450699998 71.1808184180001,-8.10919050799993 71.1732904180001,-8.12890950799994 71.170809418,-8.32641850799996 71.140545418,-8.34448150799994 71.136654418,-8.35583650799998 71.133027418,-8.38195450799998 71.120799418,-8.43365450799996 71.0816454180001,-8.44250950799994 71.072490418,-8.45227250799996 71.0580184180001,-8.49889950799997 71.0222184180001,-8.51086350799994 71.0133184180001,-8.58141850799996 70.991636418,-8.76367250799996 70.950527418,-8.88750950799994 70.931927418,-8.92059950799995 70.926072418,-8.93444550799995 70.922745418,-9.10974550799995 70.869545418,-9.11990950799998 70.8603904180001,-9.07390950799993 70.8077454180001)))', 'Fishieries Zone around Jan Mayen', 'Jan Mayen', 'Norway', '', '223', '144', 'SJM', '8437', '2014-02', '291254672700', '8437', 'Y'),('SRID=4326;MULTIPOLYGON(((-133.424721624 -26.5680556729999,-132.992221624 -25.6777776719999,-132.686388624 -24.06888867,-132.389721623 -22.381943669,-132.143610623 -21.051388668,-131.978610623 -20.7649996669999,-131.888497623 -20.754827667,-131.285269622 -20.6195306669999,-130.666494622 -20.5818606669999,-130.666124622 -20.581898667,-130.665512622 -20.5818596669999,-130.048723621 -20.6429206669999,-129.451423621 -20.801012667,-128.92293762 -21.037317668,-128.90467862 -21.0328926679999,-128.285039619 -20.9856136679999,-127.665759619 -21.037085668,-127.064381618 -21.1858506679999,-127.063565618 -21.186201668,-127.063394618 -21.186243668,-126.497042618 -21.428070668,-126.217064618 -21.606797668,-126.096805617 -21.553090668,-126.094451617 -21.5524756679999,-126.093874617 -21.552217668,-126.090963617 -21.551457668,-126.090930617 -21.5514426679999,-125.490533617 -21.3933476679999,-124.870539616 -21.332231668,-124.860804616 -21.332839668,-124.854944616 -21.332249668,-124.232901616 -21.3697526679999,-123.626397615 -21.5048366679999,-123.052650615 -21.7336306679999,-123.052641615 -21.733636668,-123.050686615 -21.734410668,-122.526137614 -22.0503606689999,-122.066077614 -22.444414669,-121.684243613 -22.905220669,-121.684156613 -22.905374669,-121.683221613 -22.906498669,-121.391426613 -23.4206916699999,-121.390884613 -23.42225667,-121.390365613 -23.4231666699999,-121.198149613 -23.97570967,-121.112452613 -24.550275671,-121.112519613 -24.551839671,-121.112379613 -24.552772671,-121.137195613 -25.132174671,-121.273325613 -25.6988476719999,-121.518149613 -26.235359672,-121.518813613 -26.236298672,-121.519124613 -26.236977672,-121.866497613 -26.726575673,-121.869120613 -26.729132673,-121.869476613 -26.729632673,-122.309721614 -27.1567926729999,-122.829747614 -27.507789674,-122.832316614 -27.5089556739999,-122.836828614 -27.511984674,-123.420540615 -27.775361674,-124.049227616 -27.9424656739999,-124.050229616 -27.942568674,-124.053346616 -27.9433896739999,-124.706482616 -28.008645674,-124.707766616 -28.0085726739999,-124.708539616 -28.008647674,-125.364542617 -27.969861674,-126.001703617 -27.828291674,-126.599095618 -27.588596674,-126.599114618 -27.5885846739999,-126.600105618 -27.5881836739999,-126.601075618 -27.5875936739999,-126.605202618 -27.585925674,-126.824675618 -27.4518536739999,-127.022588618 -27.535132674,-127.654729619 -27.687262674,-127.792897619 -27.698014674,-128.241602619 -27.9749546739999,-128.242284619 -27.975232674,-128.244658619 -27.9766906739999,-128.84264162 -28.219135674,-128.84400662 -28.219447674,-128.85388762 -28.2234246739999,-129.492435621 -28.3678556739999,-130.150516621 -28.409554675,-130.150934621 -28.409516675,-130.151553621 -28.409553675,-130.807368622 -28.347158674,-131.439227622 -28.182776674,-131.440045622 -28.182414674,-131.445363622 -28.181018674,-132.032570623 -27.9200926739999,-132.034329623 -27.918927674,-132.035618623 -27.918350674,-132.036935623 -27.9174786739999,-132.038653623 -27.9167106739999,-132.042064623 -27.914449674,-132.042718623 -27.914157674,-132.043732623 -27.913485674,-132.049818623 -27.910762674,-132.573479623 -27.5618616739999,-133.017409624 -27.136420673,-133.018277624 -27.1352196729999,-133.018400624 -27.135100673,-133.369385624 -26.646807673,-133.424721624 -26.5680556729999),(-130.090563621 -25.055699671,-130.105054621 -25.061463671,-130.102627621 -25.074445671,-130.090681621 -25.0806996709999,-130.081390621 -25.0822276709999,-130.076936621 -25.0797276709999,-130.063845621 -25.068263671,-130.090563621 -25.055699671),(-128.34600862 -24.3381996709999,-128.34695462 -24.3536186709999,-128.34308162 -24.3672186709999,-128.32781862 -24.390554671,-128.31308162 -24.404718671,-128.301563619 -24.411672671,-128.291118619 -24.4113906709999,-128.286118619 -24.4016636709999,-128.286681619 -24.386390671,-128.293881619 -24.352499671,-128.301681619 -24.334445671,-128.310427619 -24.3258366709999,-128.32693662 -24.326118671,-128.33221862 -24.327263671,-128.33694562 -24.3291636709999,-128.34600862 -24.3381996709999)))', 'Pitcairn Exclusive Economic Zone', 'Pitcairn', 'United Kingdom', '', '180', '146', 'PCN', '8439', '', '837886202500', '8439', 'Y'),('SRID=4326;MULTIPOLYGON(((-163.087222652 2.66388935400005,-162.215555651 3.90694435600005,-161.621666651 4.74388935600007,-161.47194465 4.95694435700005,-160.92027765 5.73666635700005,-160.69499965 6.05138935800005,-160.427777649 6.42527735800007,-160.354999649 6.52694435800004,-160.330833649 6.56111135800006,-159.909722649 7.16194435900007,-159.658333649 7.51805535900007,-159.374722648 7.91777735900007,-159.247246648 7.85433035900007,-158.716492648 7.60887735900008,-158.237345647 7.27540835900004,-158.236367647 7.27443535900005,-158.234334647 7.27301935900005,-157.885118647 6.92529335800003,-157.671720647 6.82604935800003,-157.670949647 6.82551135800003,-157.670725647 6.82540735800006,-157.192847646 6.49143035800006,-157.190987646 6.48957235800003,-157.190847646 6.48947435800005,-157.190555646 6.48918235800005,-157.189839646 6.48868135800006,-157.182687646 6.48153735800003,-157.117757646 6.43611435800005,-157.116652646 6.43501035800006,-157.113755646 6.43298335800006,-157.113671646 6.43289935800004,-157.111753646 6.43155735800002,-156.700125646 6.01995635800006,-156.699582646 6.01917935800003,-156.698113646 6.01771035800004,-156.693108646 6.01055235800004,-156.682144646 5.99958035800006,-156.349124646 5.52302935700004,-156.161913645 5.11959735700003,-155.749012645 4.92620835700006,-155.743208645 4.92212935700007,-155.638822645 4.87320235600004,-155.162905645 4.53851335600007,-155.162194645 4.53779935600005,-155.161899645 4.53759135600006,-154.751885644 4.12554935600002,-154.751498644 4.12499335600006,-154.750895644 4.12438735600006,-154.750603644 4.12396835600003,-154.746902644 4.12024835600005,-154.746040644 4.11900835600005,-154.745898644 4.11886535600007,-154.745674644 4.11854335600003,-154.744908644 4.11777335600004,-154.744835644 4.11766935600002,-154.743902644 4.11673135600006,-154.412147644 3.63996535500007,-154.411401644 3.63835035500006,-154.409152644 3.63511935500003,-154.375619644 3.56257435500004,-154.276659644 3.42033435500002,-154.276410644 3.41979335500002,-154.275671644 3.41873235500003,-154.032069643 2.89181335500007,-154.031483643 2.88959535500004,-154.031070643 2.88870235500002,-154.030824643 2.88776935500005,-154.030085643 2.88617135500004,-154.029598643 2.88432935500003,-154.029086643 2.88322135500005,-154.028791643 2.88210635500008,-154.028086643 2.88058035500006,-154.027430643 2.87809835500002,-154.027103643 2.87738935500005,-153.878813643 2.31634635400007,-153.878682643 2.31478335400004,-153.877818643 2.31151735400005,-153.829158643 1.73336735400005,-153.829460643 1.73005135400007,-153.828204643 1.71518935400007,-153.828511643 1.71181435400007,-153.828219643 1.70835535400005,-153.828248643 1.70803935400005,-153.828220643 1.70771635400007,-153.880511643 1.12995835300006,-153.881021643 1.12807935300003,-153.881514643 1.12260635300004,-154.033104643 0.562706352000021,-154.279388644 0.0375863520000621,-154.279420644 0.0375423520000595,-154.281388644 0.0333423520000338,-154.614939644 -0.441123647999973,-154.840400644 -0.665850648999935,-154.328386644 -0.710225648999938,-154.322548644 -0.711784648999981,-154.321403644 -0.711883648999958,-153.760681643 -0.861352648999969,-153.234300643 -1.10566064899996,-153.232752643 -1.10674064899996,-153.232306643 -1.10694764899995,-152.756140642 -1.43869764899995,-152.344547642 -1.84786364999997,-152.009942642 -2.32208664999996,-151.762451641 -2.84705565099995,-151.609616641 -3.40692865099993,-151.556189641 -3.98479765199994,-151.603977641 -4.56318865199995,-151.604814641 -4.56636765199994,-151.604962641 -4.56816065199996,-151.752764641 -5.12954265299993,-151.753495641 -5.13112565299997,-151.753745641 -5.13207665299996,-151.766061641 -5.15874265299993,-151.769585641 -5.17213065299995,-152.013203642 -5.69943765299996,-152.013850642 -5.70036665299995,-152.014189642 -5.70110065299997,-152.346482642 -6.17823865399993,-152.604712642 -6.43734665399995,-152.688954642 -6.75608765399994,-152.704499642 -6.78960165399997,-152.373047642 -6.76211165399997,-151.790943641 -6.81408565399994,-151.567999641 -6.87372865399993,-151.371900641 -6.78295065399993,-151.371261641 -6.78278065399996,-151.369916641 -6.78215765399995,-150.80560064 -6.63144265399995,-150.22374464 -6.57948165399995,-150.22288564 -6.57955365399994,-150.22176364 -6.57945265399997,-149.639632639 -6.62777365399995,-149.074493639 -6.77492865399995,-148.543126638 -7.01652765499995,-148.061345638 -7.34537165499995,-147.643556638 -7.75166165499996,-147.643187638 -7.75217265499998,-147.641556638 -7.75375565499996,-147.300341637 -8.22537365599993,-147.299973637 -8.22613265599995,-147.299326637 -8.22702465599997,-147.298973637 -8.22775265599995,-147.298311637 -8.22866565599998,-147.044085637 -8.75152865599995,-147.043787637 -8.75257465599998,-147.043074637 -8.75403765599998,-147.042248637 -8.75694065599993,-147.042041637 -8.75736665599993,-146.882737637 -9.31582365699995,-146.882271637 -9.32038665699997,-146.881682637 -9.32244765699994,-146.822515637 -9.89972665699997,-146.822678637 -9.90190265699994,-146.822471637 -9.90391365699998,-146.822501637 -9.90431865699998,-146.822462637 -9.90469265699994,-146.822789637 -9.90905065699997,-146.822374637 -9.91307665699998,-146.822405637 -9.91349165699995,-146.822366637 -9.91387565699995,-146.822428637 -9.91470365699996,-146.821227637 -9.92636665699996,-146.821389637 -9.92853765699994,-146.821183637 -9.93054265699993,-146.864440637 -10.5092276579999,-146.866053637 -10.515491658,-146.866333637 -10.519250658,-147.011302637 -11.0817906579999,-147.065069637 -11.192069658,-147.235360637 -11.334589659,-147.342512637 -11.4243386589999,-147.427149637 -11.495023659,-147.487754637 -11.545567659,-147.848408638 -11.849745659,-147.979810638 -11.959874659,-148.062897638 -11.994279659,-148.155046638 -12.032448659,-148.282541638 -12.071892659,-149.398106639 -12.4117966599999,-149.428047639 -12.43778266,-149.99716664 -12.92885266,-150.49011264 -13.3509376599999,-150.50210464 -13.361184661,-151.065675641 -13.8389306609999,-151.826784641 -13.8356076609999,-151.831780641 -13.835569661,-152.803152642 -13.826074661,-153.164586643 -13.613102661,-153.400756643 -13.4736366609999,-154.361832644 -12.90199566,-154.382569644 -12.8896456599999,-154.423412644 -12.8654406599999,-154.524397644 -12.8055956599999,-155.024568644 -12.50775866,-155.150213644 -12.030458659,-155.154571644 -12.0144866589999,-155.155558645 -12.0033396589999,-155.319238645 -11.7739196589999,-155.490396645 -11.412670659,-155.403552645 -10.9419016579999,-155.237709645 -10.0868856569999,-155.237507645 -10.085838657,-155.141362644 -9.58698365699996,-155.037844644 -9.05088965599998,-154.926673644 -8.47472965599997,-155.862117645 -7.93914965499994,-155.862432645 -7.93896865499994,-156.600638646 -7.49372865499993,-156.686227646 -7.44165365499993,-157.400606647 -7.01893665499995,-157.417587647 -7.00888165499993,-157.590832647 -6.90302865399997,-157.674209647 -6.85213265399995,-158.034981647 -6.63034265399995,-158.221936647 -6.51506265399996,-159.261546648 -5.85291165399997,-159.281981648 -5.59551165299996,-159.226467648 -5.01778965299997,-159.071543648 -4.45847765199994,-158.822112648 -3.93442565199996,-158.485844648 -3.46138765099994,-158.174999647 -3.17777765099993,-157.816944647 -2.22388864999994,-157.414444647 -0.970833648999928,-157.811944647 -0.428888647999941,-157.828888647 -0.406388647999961,-158.124166647 -0.00472264799992672,-158.301666647 0.210000352000066,-158.806666648 0.782777353000029,-158.984444648 0.981389353000054,-159.657499649 1.72527735400007,-159.883055649 1.76277735400004,-160.344999649 1.83833335400004,-161.37333365 2.00361135400004,-161.605555651 2.04166635400003,-161.692499651 2.05555535400003,-162.026388651 2.02833335400004,-162.366666651 2.01666635400005,-162.564943651 2.15485635400006,-162.565514651 2.15542335400005,-162.565948651 2.15572435400003,-162.566152651 2.15592635400003,-162.566939651 2.15647235400007,-162.567208651 2.15673935400002,-162.567944651 2.15725035400004,-162.570160651 2.15944935400006,-162.570945651 2.15999435400005,-162.983394652 2.56884235400003,-163.087222652 2.66388935400005),(-157.580963647 1.89805435400007,-157.581699647 1.88305435400002,-157.577927647 1.86958135400005,-157.567645647 1.85583635400008,-157.436399647 1.78971835400006,-157.328063647 1.75416335400007,-157.235018646 1.70499935400005,-157.185027646 1.71305435400006,-157.176681646 1.71860935400002,-157.172545646 1.73152735400004,-157.175845646 1.74528135400004,-157.180881646 1.75416335400007,-157.195145646 1.76721835400002,-157.259463646 1.80139035400003,-157.313081647 1.82333635400005,-157.335008647 1.83569035400006,-157.344463647 1.84319035400006,-157.348599647 1.85639035400004,-157.349454647 1.86916335400002,-157.348054647 1.88833635400005,-157.344590647 1.91583635400002,-157.338072647 1.92999935400007,-157.350827647 1.97194535400007,-157.431672647 2.02139035400006,-157.441099647 2.02555435400006,-157.489163647 2.03305435400006,-157.505581647 2.02874535400002,-157.509318647 2.01402735400006,-157.499590647 1.99777235400006,-157.486818647 1.99833635400006,-157.439208647 1.98499935400002,-157.356108647 1.94597235400005,-157.350008647 1.93569035400003,-157.354736647 1.92416335400003,-157.370027647 1.90499935400004,-157.429445647 1.83166335400006,-157.472808647 1.84194535400007,-157.483063647 1.84528135400006,-157.543208647 1.87229035400003,-157.548236647 1.88847235400004,-157.541963647 1.89944535400002,-157.531963647 1.90652735400005,-157.517118647 1.92083635400007,-157.518627647 1.93444535400005,-157.528918647 1.93513635400006,-157.548099647 1.92333635400007,-157.580963647 1.89805435400007)))', 'Kiribati Exclusive Economic Zone (Line Group)', 'Line Group', 'Kiribati', '', '212', '148', 'KIR', '8441', '2012-10 (name)', '1652665073000', '8441', 'Y'),('SRID=4326;MULTIPOLYGON(((-170.738888659 -13.2322226599999,-170.939999659 -13.844444661,-170.965833659 -13.895277661,-170.972222659 -13.908333661,-170.992777659 -13.9483336609999,-171.048055659 -14.051388661,-171.051388659 -14.057499661,-171.051666659 -14.0577776609999,-171.079999659 -14.104999661,-171.246110659 -14.4505556619999,-171.40583366 -14.779999662,-171.52694466 -15.0327776619999,-171.62694466 -15.2386106619999,-171.84555566 -15.836666663,-171.94521866 -15.7287416629999,-172.28700566 -15.393382662,-172.427259661 -15.2688216619999,-172.458507661 -15.241100662,-172.487615661 -15.2153076619999,-172.539516661 -15.169437662,-172.640544661 -15.0799256619999,-172.734123661 -15.031366662,-172.826372661 -14.983233662,-172.907155661 -14.9408076619999,-172.942550661 -14.922061662,-173.395191661 -14.682777662,-173.466896662 -14.645182662,-173.652719662 -14.550575662,-173.707569662 -14.529599662,-173.763338662 -14.508907662,-173.956658662 -14.436812662,-174.110799662 -14.379271661,-174.442478662 -14.2594386609999,-174.532155416 -14.1432714339999,-174.52997972 -14.092548667,-174.527065972 -14.024619458,-174.502020226 -13.6885167679999,-174.488983478 -13.513569447,-174.484357961 -13.4510422769999,-174.471898118 -13.282611677,-174.471853745 -13.282011924,-174.471842657 -13.281862635,-174.471805482 -13.28136211,-174.436066552 -12.799734261,-174.432498657 -12.7516523059999,-174.425793116 -12.6663223219999,-174.385127525 -12.1488406889999,-174.385031552 -12.147868893,-174.328501515 -11.5298543599999,-174.323974239 -11.4797969319999,-174.27337121 -10.946565565,-174.075336652 -10.9588640019999,-173.854222662 -11.0069316579999,-173.746666662 -11.038055658,-173.743610662 -11.041110658,-173.263888661 -11.3688886589999,-173.146110661 -11.448888659,-172.804722661 -11.680277659,-172.385833661 -11.8991666589999,-172.381388661 -11.9016666589999,-172.01527766 -12.0908336589999,-171.74638866 -12.230277659,-171.74027766 -12.233610659,-171.62055566 -12.29333366,-171.42166666 -12.39277766,-171.29027766 -12.4574996599999,-171.139999659 -12.49638866,-170.607222659 -12.5891666599999,-170.526388659 -12.6030556599999,-170.512222659 -12.60499966,-170.710833659 -13.15138866,-170.738888659 -13.2322226599999),(-172.551936661 -13.497218661,-172.596499661 -13.509109661,-172.655272661 -13.519172661,-172.728636661 -13.5133366609999,-172.738908661 -13.5084726609999,-172.755581661 -13.510281661,-172.772536661 -13.5174996609999,-172.780027661 -13.532572661,-172.772827661 -13.549999661,-172.751690661 -13.5740276609999,-172.691099661 -13.6261096609999,-172.590027661 -13.7397186609999,-172.574436661 -13.765836661,-172.527927661 -13.8027096609999,-172.508908661 -13.806663661,-172.485990661 -13.8068096609999,-172.393336661 -13.791672661,-172.25849966 -13.8043096609999,-172.22503666 -13.808890661,-172.21235466 -13.806527661,-172.16781866 -13.691390661,-172.16835466 -13.6809726609999,-172.19336366 -13.6133366609999,-172.20306366 -13.591945661,-172.22249966 -13.563054661,-172.28779966 -13.484163661,-172.30341866 -13.4721546609999,-172.348354661 -13.4613906609999,-172.360836661 -13.4605546609999,-172.391118661 -13.464172661,-172.475281661 -13.4797186609999,-172.551936661 -13.497218661),(-171.90670866 -13.806663661,-172.02932766 -13.840272661,-172.05975466 -13.8669456609999,-172.06475466 -13.878190661,-172.05849966 -13.9031906609999,-172.05059966 -13.912499661,-171.91113666 -14.0124996609999,-171.76809966 -14.035836661,-171.64837266 -14.0502816609999,-171.58892766 -14.052499661,-171.54610866 -14.0502816609999,-171.52055466 -14.0477816609999,-171.47998166 -14.050554661,-171.46527266 -14.0527816609999,-171.44198166 -14.057499661,-171.42919966 -14.0162546609999,-171.43070866 -14.0023636609999,-171.44418166 -13.9844456609999,-171.61913666 -13.8786096609999,-171.74808166 -13.831672661,-171.82226366 -13.807499661,-171.88390866 -13.805554661,-171.90670866 -13.806663661)))', 'Samoan Exclusive Economic Zone', 'Samoa', 'Samoa', '', '152', '152', 'WSM', '8445', '', '131948076400', '8445', 'Y'),('SRID=4326;MULTIPOLYGON(((-158.128055647 -15.868888663,-157.966234647 -15.420382662,-157.943464647 -15.210885662,-157.778398647 -14.652877662,-157.516883647 -14.130736661,-157.515162647 -14.1284266609999,-157.510766647 -14.1196206609999,-157.161206646 -13.6488466609999,-157.152624646 -13.6407186609999,-157.152206646 -13.6401546609999,-157.150594646 -13.6386276609999,-157.150187646 -13.638078661,-156.723369646 -13.23257066,-156.232108646 -12.90428466,-155.690985645 -12.6628566599999,-155.115902644 -12.51535466,-155.024568644 -12.50775866,-154.524397644 -12.8055956599999,-154.423412644 -12.8654406599999,-154.382569644 -12.8896456599999,-154.361832644 -12.90199566,-153.400756643 -13.4736366609999,-153.164586643 -13.613102661,-152.803152642 -13.826074661,-151.831780641 -13.835569661,-151.826784641 -13.8356076609999,-151.065675641 -13.8389306609999,-150.50210464 -13.361184661,-150.49011264 -13.3509376599999,-149.99716664 -12.92885266,-149.428047639 -12.43778266,-149.398106639 -12.4117966599999,-148.282541638 -12.071892659,-148.155046638 -12.032448659,-148.062897638 -11.994279659,-147.979810638 -11.959874659,-147.848408638 -11.849745659,-147.487754637 -11.545567659,-147.427149637 -11.495023659,-147.342512637 -11.4243386589999,-147.235360637 -11.334589659,-147.065069637 -11.192069658,-146.891641637 -11.1489936579999,-146.891102637 -11.148954658,-146.889669637 -11.148596658,-146.879958637 -11.147883658,-146.870922637 -11.145626658,-146.858909637 -11.144744658,-146.454455636 -11.043299658,-145.864865636 -10.998271658,-145.859558636 -10.998771658,-145.853017636 -10.9982636579999,-145.842007636 -10.999301658,-145.836246636 -10.998853658,-145.247449635 -11.0536026579999,-145.152992635 -11.079025658,-144.875259635 -11.0565296579999,-144.286204634 -11.109014658,-144.278489634 -11.1110606579999,-144.261531634 -11.112550658,-143.690122634 -11.263306659,-143.414311634 -11.389180659,-143.165765633 -11.2176786589999,-143.024519633 -11.1523906579999,-143.072688633 -11.0834316579999,-143.184099633 -10.842021658,-143.219817633 -10.806184658,-143.553023634 -10.327119658,-143.795831634 -9.79834665699997,-143.941305634 -9.23608865699993,-143.967725634 -8.89014265599997,-144.044545634 -8.59304165599997,-144.044683634 -8.59124165599997,-144.045509634 -8.58804565599996,-144.089879634 -8.00944565599997,-144.089777634 -8.00842565599993,-144.090754634 -7.99571665599996,-144.090736634 -7.99553365599996,-144.090751634 -7.99533765599995,-144.090710634 -7.99492665599996,-144.090744634 -7.99448765599993,-144.033208634 -7.41708165499995,-144.032265634 -7.41373765499998,-144.032185634 -7.41293365499996,-143.874892634 -6.85415165399996,-143.874696634 -6.85374665399996,-143.873864634 -6.85078265399994,-143.873109634 -6.84921665399997,-143.872857634 -6.84832065399996,-143.869782634 -6.83737165399998,-143.869482634 -6.83674865399996,-143.868755634 -6.83416165399996,-143.616795634 -6.31080365399993,-143.615380634 -6.30883465399995,-143.609751634 -6.29711865399997,-143.270927633 -5.82488365299997,-143.267650633 -5.82167765299994,-143.264909633 -5.81785165299993,-143.264614633 -5.81756265299992,-143.263916633 -5.81658865299994,-142.848535633 -5.40961965299994,-142.369097633 -5.08010565299998,-142.280342633 -5.03955065299994,-142.228766632 -5.00401265299996,-141.699802632 -4.76161365199994,-141.136933631 -4.61377865199995,-141.081465631 -4.60914365199994,-140.954205631 -4.57557765199994,-140.374295631 -4.52647765199993,-140.373807631 -4.52652165199993,-140.373295631 -4.52647765199993,-139.79354563 -4.57785065199994,-139.23125663 -4.72817165199996,-138.703225629 -4.97295365299993,-138.225252629 -5.30488365299993,-137.811692628 -5.71403365299994,-137.811001628 -5.71500765299993,-137.810698628 -5.71530765299997,-137.474039628 -6.18942965399998,-137.434865628 -6.27196465399993,-137.353627628 -6.32788665399994,-136.938198628 -6.73590065399998,-136.937852628 -6.73638465399995,-136.936197628 -6.73800665399995,-136.936016628 -6.73825965399993,-136.934197628 -6.74004365399998,-136.917631628 -6.76322765399993,-136.765799627 -6.86725465399996,-136.763050627 -6.86994565399993,-136.762799627 -6.87011765399996,-136.346126627 -7.27735665499995,-136.006173627 -7.74981065499998,-135.753309626 -8.27334465599995,-135.728176626 -8.36249665599996,-135.501578626 -8.67509565599994,-135.246914626 -9.19810765699998,-135.087305626 -9.75666265699994,-135.027969626 -10.3339766579999,-135.027985626 -10.334184658,-135.027965626 -10.3343766579999,-135.028031626 -10.335260658,-135.027947626 -10.336075658,-135.027963626 -10.336283658,-135.027943626 -10.3364746579999,-135.071179626 -10.915130658,-135.216246626 -11.477578659,-135.459311626 -12.0066576589999,-135.793484626 -12.48612366,-136.093469627 -12.78579266,-135.820387626 -13.1624266599999,-135.819949626 -13.1633296599999,-135.819380626 -13.1641126599999,-135.563813626 -13.688930661,-135.404682626 -14.2488106609999,-135.347489626 -14.826990662,-135.347675626 -14.8292706619999,-135.347405626 -14.831989662,-135.385692626 -15.3007266619999,-135.288605626 -15.3248806619999,-134.740105625 -15.5643856629999,-134.739993625 -15.564458663,-134.738130625 -15.5652686629999,-134.736827625 -15.566124663,-134.735172625 -15.5668436629999,-134.730521625 -15.5698996629999,-134.667963625 -15.597071663,-134.664145625 -15.5995776629999,-134.664006625 -15.599637663,-134.648064625 -15.610099663,-134.617540625 -15.623342663,-134.118537625 -15.949354663,-134.118149625 -15.9497156629999,-134.113564625 -15.952699663,-134.111193625 -15.954908663,-134.109585625 -15.9559546629999,-134.108224625 -15.957222663,-134.107595625 -15.957632663,-134.097816625 -15.9667426629999,-134.096636625 -15.9675096629999,-133.662106624 -16.370818663,-133.661937624 -16.371040663,-133.651091624 -16.3810696629999,-133.294140624 -16.8499056639999,-133.293574624 -16.8510086639999,-133.293131624 -16.851588664,-133.024833624 -17.372187664,-132.853852624 -17.929145665,-132.853588624 -17.9314086649999,-132.852751624 -17.934123665,-132.785056624 -18.510831665,-132.785288624 -18.514314665,-132.784921624 -18.517427665,-132.823569624 -19.096540666,-132.863608624 -19.2526136659999,-132.786839624 -19.3215586659999,-132.785288624 -19.323541666,-132.777836624 -19.330228666,-132.411056623 -19.796985666,-132.409321623 -19.800245667,-132.407991623 -19.801932667,-132.130655623 -20.3209246669999,-132.130241623 -20.322218667,-132.129604623 -20.323404667,-131.978610623 -20.7649996669999,-132.143610623 -21.051388668,-132.389721623 -22.381943669,-132.686388624 -24.06888867,-132.992221624 -25.6777776719999,-133.424721624 -26.5680556729999,-134.886187626 -26.5758706729999,-134.887435626 -26.575795673,-134.888239626 -26.5758726729999,-135.535589626 -26.535498673,-136.164133627 -26.392593673,-136.184375627 -26.384374673,-136.464723627 -26.4544246729999,-137.110155628 -26.508964673,-137.110698628 -26.508923673,-137.111189628 -26.508964673,-137.757183628 -26.4596306729999,-138.382498629 -26.308046673,-138.966744629 -26.0591956719999,-139.49119463 -25.7212086719999,-139.75867863 -25.473354672,-140.03993463 -25.4012306719999,-140.616673631 -25.1465736709999,-140.768218631 -25.0462306709999,-141.330147632 -24.9901006709999,-141.943836632 -24.825036671,-141.654669632 -24.9451356709999,-141.122448631 -25.268536672,-140.657170631 -25.6690186719999,-140.656926631 -25.669315672,-140.653162631 -25.672537672,-140.268745631 -26.1386456719999,-139.97725263 -26.656953673,-139.78842863 -27.2123526729999,-139.78812763 -27.2145636729999,-139.78728663 -27.217021673,-139.70821063 -27.7931116739999,-139.74298763 -28.372640674,-139.74352563 -28.374685674,-139.74377063 -28.378761674,-139.89318863 -28.944095675,-139.89550463 -28.948849675,-139.90494663 -28.984400675,-140.166365631 -29.5180396759999,-140.533196631 -30.0032066759999,-140.534347631 -30.0042616759999,-140.535173631 -30.005348676,-140.997211631 -30.4265246759999,-141.540642632 -30.7700436769999,-142.148447632 -31.024605677,-142.800940633 -31.1817436769999,-143.476526634 -31.236190677,-143.477601634 -31.2361136769999,-143.478591634 -31.236191677,-144.154667634 -31.186102677,-144.808604635 -31.0331656769999,-144.816604635 -31.0299046769999,-144.828111635 -31.0271806769999,-145.129696635 -30.9037066769999,-145.669984636 -30.773187677,-146.276367636 -30.5188286759999,-146.300770636 -30.5034716759999,-146.312971636 -30.498310676,-146.854991637 -30.154848676,-147.315890637 -29.7337336759999,-147.681902638 -29.248627675,-147.682082638 -29.2482596749999,-147.690669638 -29.2368166749999,-147.692992638 -29.2320896749999,-147.693547638 -29.2313486749999,-147.954372638 -28.6977376749999,-147.954599638 -28.6968796749999,-147.956248638 -28.693489675,-148.105488638 -28.128178674,-148.140368638 -27.548654674,-148.140204638 -27.547461674,-148.140282638 -27.546156674,-148.139685638 -27.541815674,-148.139970638 -27.537065674,-148.137289638 -27.5175806739999,-148.137298638 -27.5174396739999,-148.137160638 -27.516437674,-148.137226638 -27.515342674,-148.137174638 -27.514959674,-148.137199638 -27.5145416739999,-148.095113638 -27.206324673,-148.242962638 -27.1978516729999,-148.876094639 -27.0578376729999,-149.470194639 -26.8197206729999,-149.475074639 -26.816746673,-149.484446639 -26.812963673,-149.632374639 -26.722647673,-150.11025464 -26.689157673,-150.73818764 -26.541687673,-151.325773641 -26.296634673,-151.327487641 -26.295554673,-151.328810641 -26.294999673,-151.857158641 -25.960362672,-151.934084641 -25.890387672,-152.200438642 -25.952977672,-152.844215642 -25.9980636719999,-152.845109642 -25.997983672,-152.846267642 -25.9980626719999,-153.488602643 -25.9393026719999,-153.490154643 -25.938903672,-153.494764643 -25.9384726719999,-153.522958643 -25.9312246719999,-153.554192643 -25.9282936719999,-153.558849643 -25.927094672,-153.561351643 -25.926859672,-154.181011644 -25.7659406719999,-154.757947644 -25.5084646719999,-155.273746645 -25.1628536709999,-155.348167645 -25.091425671,-155.429369645 -25.0828126709999,-156.042695645 -24.9148756709999,-156.049384645 -24.9117946709999,-156.066154645 -24.907163671,-156.142499645 -24.894444671,-156.323055646 -21.405555668,-154.805555644 -19.257222666,-155.174444645 -18.9197226659999,-156.041944645 -18.3455556649999,-157.245833646 -17.318333664,-157.868610647 -16.404999663,-158.128055647 -15.868888663),(-151.491363641 -16.759999664,-151.497772641 -16.784027664,-151.491699641 -16.849172664,-151.475127641 -16.897499664,-151.465436641 -16.902918664,-151.444490641 -16.904445664,-151.400327641 -16.888336664,-151.350981641 -16.860345664,-151.351118641 -16.8458366639999,-151.430981641 -16.7455546639999,-151.472518641 -16.739718664,-151.487518641 -16.749445664,-151.491363641 -16.759999664),(-149.93725464 -17.4841636639999,-149.94168164 -17.4972186639999,-149.93808164 -17.509727664,-149.92504564 -17.525281664,-149.87805464 -17.5636186639999,-149.86834564 -17.568336664,-149.85442764 -17.5744456639999,-149.84596364 -17.572499664,-149.79849064 -17.527781664,-149.783218639 -17.487781664,-149.785290639 -17.471254664,-149.79462764 -17.466799664,-149.91113664 -17.476109664,-149.92279064 -17.477781664,-149.93725464 -17.4841636639999),(-149.641418639 -17.592781664,-149.641690639 -17.611945664,-149.638918639 -17.625972664,-149.590572639 -17.711390665,-149.487636639 -17.7659726649999,-149.471681639 -17.766390665,-149.420863639 -17.7561096649999,-149.378599639 -17.743609665,-149.369472639 -17.7388906649999,-149.297954639 -17.8208366649999,-149.288936639 -17.833054665,-149.275708639 -17.846318665,-149.258090639 -17.852781665,-149.179199639 -17.870836665,-149.174163639 -17.869163665,-149.165590639 -17.863609665,-149.157808639 -17.8497276649999,-149.152218639 -17.833618665,-149.146681639 -17.805699665,-149.148372639 -17.7819546649999,-149.154727639 -17.764445665,-149.162227639 -17.751390665,-149.174708639 -17.7361186649999,-149.184736639 -17.7313906649999,-149.207790639 -17.734172665,-149.230563639 -17.730281665,-149.293063639 -17.7174996649999,-149.307508639 -17.7126366649999,-149.320145639 -17.702154665,-149.324036639 -17.6877816649999,-149.323090639 -17.671109665,-149.323336639 -17.6524996649999,-149.326663639 -17.592227664,-149.332763639 -17.5702816639999,-149.348618639 -17.5420906639999,-149.359163639 -17.534454664,-149.373627639 -17.526945664,-149.414736639 -17.5091726639999,-149.449981639 -17.499445664,-149.492108639 -17.4937546639999,-149.587390639 -17.5161816639999,-149.623881639 -17.5406996639999,-149.632508639 -17.5499996639999,-149.635590639 -17.561672664,-149.641418639 -17.592781664),(-140.253390631 -8.81305465599996,-140.256136631 -8.82736365599993,-140.230563631 -8.92139065599997,-140.225845631 -8.93041865599997,-140.205836631 -8.94472765599994,-140.189454631 -8.95416365599993,-140.177827631 -8.95639065599994,-140.176836631 -8.94013665599994,-140.166963631 -8.93305465599997,-140.11971863 -8.91889065599997,-140.10487263 -8.91875465599998,-140.09083663 -8.92208165599993,-140.07781863 -8.91805465599998,-140.02266363 -8.89805465599994,-140.01515463 -8.88847265599998,-140.01196363 -8.87097265599994,-140.01599063 -8.85284565599994,-140.04281863 -8.83028165599995,-140.06890863 -8.81167265599993,-140.225145631 -8.77819065599994,-140.236663631 -8.78389065599993,-140.245027631 -8.79389065599997,-140.249754631 -8.80278165599998,-140.253390631 -8.81305465599996),(-139.16726363 -9.75999965699998,-139.17225463 -9.77291865699993,-139.16879063 -9.79375465699997,-139.15142763 -9.82055465699995,-139.14110863 -9.83083665699996,-139.12890863 -9.83889065699998,-139.11913663 -9.84360965699994,-139.10891863 -9.84694565699994,-139.05474563 -9.85999965699995,-139.06133663 -9.81889065699994,-139.048627629 -9.80819965699993,-139.029736629 -9.80722765699994,-139.013199629 -9.81139065699995,-138.999999629 -9.81499965699993,-138.979427629 -9.81499965699993,-138.910854629 -9.80833665699993,-138.895854629 -9.80625465699995,-138.849154629 -9.78111865699998,-138.831972629 -9.77083665699996,-138.815581629 -9.75944565699996,-138.809754629 -9.74805465699995,-138.812518629 -9.73791865699997,-138.825318629 -9.74027265699993,-138.836118629 -9.74986365699993,-138.850581629 -9.75610965699997,-138.890318629 -9.75722765699993,-138.957072629 -9.74139065699995,-138.968763629 -9.72236365699996,-138.975681629 -9.70860965699995,-139.004727629 -9.69694565699996,-139.044445629 -9.69541865699995,-139.16726363 -9.75999965699998)))', 'French Polynesian Exclusive Economic Zone', 'French Polynesia', 'France', '', '179', '147', 'PYF', '8440', '', '4787830522000', '8440', 'Y'),('SRID=4326;MULTIPOLYGON(((-163.362066652 -0.386344647999977,-163.361927652 -0.357124647999967,-163.361535652 -0.327910647999943,-163.360894652 -0.298699647999968,-163.359997652 -0.26949764799997,-163.358849652 -0.240527647999954,-163.357447652 -0.211194647999946,-163.355794652 -0.181972647999942,-163.353888652 -0.152944647999959,-163.351730652 -0.123658647999946,-163.349319652 -0.0945416479999608,-163.346655652 -0.0654476479999744,-163.343741652 -0.036374647999935,-163.340777652 -0.00733364799992842,-163.337494652 0.0230143520000752,-163.333827652 0.0519973520000576,-163.329908652 0.0809473520000665,-163.325741652 0.109861352000053,-163.321322652 0.138739352000073,-163.316655652 0.167575352000028,-163.311735652 0.196369352000033,-163.306569652 0.225122352000028,-163.301155652 0.253825352000035,-163.295491652 0.28248035200005,-163.289580652 0.311086352000075,-163.283422652 0.339639352000063,-163.277019652 0.368136352000022,-163.270366652 0.39657535200007,-163.263469652 0.42495535200004,-163.256324652 0.453275352000048,-163.248938652 0.48153035200005,-163.241305652 0.509719352000047,-163.233430652 0.537839352000049,-163.225310652 0.565891352000051,-163.216949652 0.59386935200007,-163.208347652 0.621775353000032,-163.199502652 0.649602353000034,-163.190419652 0.677350353000065,-163.181094652 0.705019353000068,-163.171530652 0.732605353000054,-163.161727652 0.760105353000029,-163.151688652 0.78751935300005,-163.141410652 0.814844353000069,-163.130897652 0.842077353000036,-163.120147652 0.86921635300007,-163.109163652 0.896261353000057,-163.097947652 0.923208353000064,-163.086497652 0.950055353000039,-163.074816652 0.976802353000039,-163.062902652 1.00344435300002,-163.050758652 1.02998335300003,-163.038385652 1.05641135300004,-163.025783652 1.08273335300004,-163.012955652 1.10894135300003,-162.999899652 1.13503635300003,-162.986616652 1.16101435300004,-162.973110652 1.18687735300006,-162.959383652 1.21261935300004,-162.945430652 1.23824135300003,-162.931258652 1.26373935300006,-162.916863652 1.28911135300007,-162.902249652 1.31435535300005,-162.872369652 1.36445535300004,-162.857105652 1.38930835300005,-162.841627652 1.41402535300006,-162.825933652 1.43860535300007,-162.810027652 1.46304435300004,-162.793910652 1.48734735300008,-162.777585652 1.51150535300008,-162.761049652 1.53551935300004,-162.750733652 1.55016935300006,-162.733991652 1.57403935300005,-162.717041652 1.59775835300007,-162.699885652 1.62133035300008,-162.682527652 1.64475035300006,-162.664966651 1.66801435300005,-162.647205651 1.69112535400006,-162.629244651 1.71408035400003,-162.611083651 1.73687735400006,-162.592727651 1.75951135400004,-162.574172651 1.78198635400003,-162.555424651 1.80429735400003,-162.536485651 1.82644135400005,-162.517355651 1.84841935400004,-162.498033651 1.87022735400006,-162.478522651 1.89186435400006,-162.458824651 1.91333035400004,-162.438941651 1.93462535400005,-162.418874651 1.95574135400005,-162.398624651 1.97668035400005,-162.378194651 1.99744135400005,-162.366666651 2.01666635400005,-162.026388651 2.02833335400004,-161.692499651 2.05555535400003,-161.605555651 2.04166635400003,-161.37333365 2.00361135400004,-160.344999649 1.83833335400004,-159.883055649 1.76277735400004,-159.657499649 1.72527735400007,-158.984444648 0.981389353000054,-158.806666648 0.782777353000029,-158.301666647 0.210000352000066,-158.124166647 -0.00472264799992672,-157.828888647 -0.406388647999961,-157.811944647 -0.428888647999941,-157.414444647 -0.970833648999928,-157.816944647 -2.22388864999994,-158.174999647 -3.17777765099993,-158.626638648 -3.42266365099994,-158.653027648 -3.43491665099998,-158.679524648 -3.44693865099993,-158.706277648 -3.45872465099995,-158.732830648 -3.47030565099993,-158.759633648 -3.48159765099996,-158.786533648 -3.49268065099994,-158.813527648 -3.50352765099996,-158.840619648 -3.51413565099995,-158.867999648 -3.52450565099997,-158.895069648 -3.53463865099997,-158.922427648 -3.54452765099995,-158.949872648 -3.55430565099994,-158.977397648 -3.56358865099998,-159.005055648 -3.57275565099997,-159.032691648 -3.58180565099997,-159.060455648 -3.59036065099997,-159.088294648 -3.59879765099993,-159.116205648 -3.60698865099994,-159.144360648 -3.61493365099994,-159.172360648 -3.62263365099994,-159.200349648 -3.63008865099994,-159.228530648 -3.63729465099993,-159.256772648 -3.64425265099993,-159.285072648 -3.65096065099993,-159.313430648 -3.65742265099993,-159.341844648 -3.66383365099995,-159.370310648 -3.66959465099995,-159.398830648 -3.67530565099997,-159.427397648 -3.68076665099994,-159.456010649 -3.68597765099997,-159.484669649 -3.69093365099997,-159.513369649 -3.69564165199995,-159.542108649 -3.70009465199996,-159.570885649 -3.70429465199993,-159.599699649 -3.70824465199996,-159.628547649 -3.71193865199996,-159.657424649 -3.71537765199997,-159.686333649 -3.71856665199994,-159.715266649 -3.72149965199998,-159.744224649 -3.72427765199996,-159.773205649 -3.72660265199994,-159.802205649 -3.72877265199998,-159.831224649 -3.73068565199998,-159.860258649 -3.73234765199993,-159.889305649 -3.73375265199996,-159.918363649 -3.73489965199997,-159.947433649 -3.73579465199992,-159.976505649 -3.73643365199996,-160.005585649 -3.73681665199996,-160.034666649 -3.73694465199998,-160.063747649 -3.73681665199996,-160.092827649 -3.73643365199996,-160.121899649 -3.73579465199992,-160.150969649 -3.73489965199997,-160.180027649 -3.73375265199996,-160.209074649 -3.73234765199993,-160.238108649 -3.73068565199998,-160.267127649 -3.72877265199998,-160.296277649 -3.72660265199994,-160.325108649 -3.72427765199996,-160.354066649 -3.72149965199998,-160.382999649 -3.71856665199994,-160.411908649 -3.71537765199997,-160.440785649 -3.71193865199996,-160.469633649 -3.70824465199996,-160.498447649 -3.70429465199993,-160.52724965 -3.70009465199996,-160.55596365 -3.69564165199995,-160.58466365 -3.69093365099997,-160.61332265 -3.68597765099997,-160.64193565 -3.68076665099994,-160.67050265 -3.67530565099997,-160.69902265 -3.66959465099995,-160.72748865 -3.66383365099995,-160.75590265 -3.65742265099993,-160.78426065 -3.65096065099993,-160.81256065 -3.64425265099993,-160.84080265 -3.63729465099993,-160.86898365 -3.63008865099994,-160.89709765 -3.62263365099994,-160.92514765 -3.61493365099994,-160.95312765 -3.60698865099994,-160.98103865 -3.59879765099993,-161.00887765 -3.59036065099997,-161.03664165 -3.58180565099997,-161.06432765 -3.57275565099997,-161.09193565 -3.56358865099998,-161.11961065 -3.55430565099994,-161.14690565 -3.54452765099995,-161.17426365 -3.53463865099997,-161.20153365 -3.52450565099997,-161.22871365 -3.51413565099995,-161.25580565 -3.50352765099996,-161.28299965 -3.49268065099994,-161.30969965 -3.48159765099996,-161.33650265 -3.47030565099993,-161.36320565 -3.45872465099995,-161.38980865 -3.44693865099993,-161.41630565 -3.43491665099998,-161.44269465 -3.42266365099994,-161.46897765 -3.41017765099997,-161.49515265 -3.39746365099995,-161.52121365 -3.38451965099995,-161.54716065 -3.37134765099995,-161.57299465 -3.35794765099996,-161.598708651 -3.34431965099998,-161.624302651 -3.33046965099993,-161.649774651 -3.31641665099994,-161.675122651 -3.30209465099995,-161.700344651 -3.28757265099995,-161.725441651 -3.27283065099994,-161.750408651 -3.25786665099997,-161.775241651 -3.24268565099993,-161.799944651 -3.22728865099998,-161.824508651 -3.21174965099993,-161.848938651 -3.19594465099993,-161.873230651 -3.17979965099994,-161.897377651 -3.16354465099994,-161.921385651 -3.14707765099996,-161.945249651 -3.13039965099995,-161.968966651 -3.11351065099996,-161.992533651 -3.09641665099997,-162.015952651 -3.07911665099994,-162.039219651 -3.06161065099997,-162.062333651 -3.04402765099996,-162.085416651 -3.02599165099997,-162.108094651 -3.00787765099994,-162.130738651 -2.98956665099996,-162.153222651 -2.97105565099997,-162.175541651 -2.95234965099996,-162.197699651 -2.93344765099994,-162.219691651 -2.91434965099995,-162.241516651 -2.89506365099993,-162.263172651 -2.87558365099994,-162.284658651 -2.85591665099997,-162.305972651 -2.83605865099997,-162.327113651 -2.81601665099993,-162.348277651 -2.79578865099995,-162.368866651 -2.77537765099993,-162.389477651 -2.75478565099996,-162.409908651 -2.73401365099994,-162.430158651 -2.71311065099997,-162.450222651 -2.69193365099994,-162.470105651 -2.67063065099995,-162.489799651 -2.64915265099995,-162.509308651 -2.62752765099998,-162.528777651 -2.60568364999995,-162.547755651 -2.58369464999993,-162.566694651 -2.56153864999993,-162.585435651 -2.53921964999995,-162.603985651 -2.51673564999993,-162.622338651 -2.49408864999998,-162.640494651 -2.47128064999993,-162.658449651 -2.44831664999992,-162.676208652 -2.42519464999998,-162.693760652 -2.40191664999998,-162.711138652 -2.37848864999995,-162.728260652 -2.35490564999998,-162.745205652 -2.33117464999998,-162.761941652 -2.30729764999995,-162.778469652 -2.28327264999996,-162.794785652 -2.25910264999993,-162.810894652 -2.23479164999998,-162.826791652 -2.21033864999993,-162.842474652 -2.18574964999993,-162.857944652 -2.16102264999995,-162.873197652 -2.13616064999997,-162.888235652 -2.11116664999997,-162.903083652 -2.08604164999997,-162.917658652 -2.06078564999996,-162.932041652 -2.03540564999997,-162.946202652 -2.00989764999997,-162.960141652 -1.98426664999994,-162.973858652 -1.95851364999993,-162.987352652 -1.93264464999993,-163.000619652 -1.90665564999995,-163.013660652 -1.88054964999998,-163.026477652 -1.85433364999994,-163.039063652 -1.82800564999997,-163.051422652 -1.80156664999993,-163.063552652 -1.77522264999993,-163.075449652 -1.74836964999997,-163.087116652 -1.72161364999994,-163.098552652 -1.69475864999993,-163.109752652 -1.66802764999994,-163.120719652 -1.64075264999997,-163.131452652 -1.61360264999996,-163.141999652 -1.58636364999995,-163.152208652 -1.55903064999995,-163.162305652 -1.53161064899996,-163.172016652 -1.50410264899995,-163.181563652 -1.47651064899998,-163.190869652 -1.44883564899993,-163.199935652 -1.42108064899998,-163.208760652 -1.39324464899994,-163.217347652 -1.36533364899998,-163.225688652 -1.33734964899998,-163.233788652 -1.30929164899993,-163.241644652 -1.28116664899994,-163.249255652 -1.25296964899997,-163.256624652 -1.22471064899997,-163.263747652 -1.19638564899998,-163.270624652 -1.16799964899997,-163.277255652 -1.13955564899993,-163.283641652 -1.11105264899993,-163.289777652 -1.08249764899995,-163.295669652 -1.05388564899994,-163.301310652 -1.02522764899993,-163.306705652 -0.996519648999936,-163.311849652 -0.967763648999949,-163.316744652 -0.938963648999959,-163.321416652 -0.910124648999954,-163.325788652 -0.881244648999939,-163.329935652 -0.852324648999968,-163.333830652 -0.823372648999964,-163.337477652 -0.794385648999935,-163.340872652 -0.765369648999979,-163.344013652 -0.736324648999926,-163.346905652 -0.70725264899994,-163.349544652 -0.678155648999962,-163.351933652 -0.649035648999927,-163.354069652 -0.619899648999933,-163.355952652 -0.590741648999938,-163.357583652 -0.56157264899997,-163.358963652 -0.532385648999934,-163.360088652 -0.503191648999973,-163.360960652 -0.473985648999928,-163.361583652 -0.444774647999964,-163.361999652 -0.415610647999927,-163.362066652 -0.386344647999977),(-160.033918649 -0.374309647999951,-160.045163649 -0.380136647999962,-160.043490649 -0.392218647999925,-160.028108649 -0.39805464799997,-160.021145649 -0.39805464799997,-160.012927649 -0.395836647999943,-160.009463649 -0.384718647999932,-160.017790649 -0.374718647999941,-160.033918649 -0.374309647999951)))', 'Jarvis Island Exclusive Economic Zone', 'Jarvis Island', 'United States', '', '163', '149', 'UMI', '8442', '', '317971338800', '8442', 'Y'),('SRID=4326;MULTIPOLYGON(((-173.746666662 -11.038055658,-173.064722661 -10.770833658,-172.18361066 -10.423888658,-171.84944466 -10.297222658,-171.258888659 -10.2547226579999,-170.269444659 -10.1716666579999,-169.780555658 -10.131110657,-168.523610657 -10.0238886569999,-168.517222657 -10.212222658,-168.517222657 -10.2136106579999,-168.494999657 -10.875277658,-168.489166657 -11.044444658,-168.466110657 -11.7313886589999,-168.173333657 -12.031944659,-167.422222656 -12.47777766,-167.183610656 -12.6894446599999,-166.872499655 -12.9641666599999,-166.617222655 -13.1902776599999,-166.567499655 -13.23416666,-166.428333655 -13.35694466,-166.155277655 -13.5955556609999,-165.978888655 -13.748888661,-165.622222654 -14.0583336609999,-165.368610654 -15.0024996619999,-165.308055654 -15.2344446619999,-165.200833654 -15.646388663,-165.276666654 -15.749444663,-165.569999654 -16.144999663,-165.691388654 -16.3083336629999,-165.753055654 -16.3913886629999,-166.027499655 -16.758333664,-166.643055655 -17.557777664,-166.701944655 -17.5291666639999,-168.434722657 -16.9388886639999,-169.305277658 -16.6319446639999,-169.319999658 -16.626666664,-169.933055658 -16.5827776639999,-170.319166659 -16.654722664,-171.208055659 -16.812777664,-171.28416666 -16.825833664,-171.62805566 -16.224722663,-171.71027766 -16.0797226629999,-171.76833366 -15.972222663,-171.83972266 -15.846666663,-171.84555566 -15.836666663,-171.62694466 -15.2386106619999,-171.52694466 -15.0327776619999,-171.40583366 -14.779999662,-171.246110659 -14.4505556619999,-171.079999659 -14.104999661,-171.051666659 -14.0577776609999,-171.051388659 -14.057499661,-171.048055659 -14.051388661,-170.992777659 -13.9483336609999,-170.972222659 -13.908333661,-170.965833659 -13.895277661,-170.939999659 -13.844444661,-170.738888659 -13.2322226599999,-170.710833659 -13.15138866,-170.512222659 -12.60499966,-170.526388659 -12.6030556599999,-170.607222659 -12.5891666599999,-171.139999659 -12.49638866,-171.29027766 -12.4574996599999,-171.42166666 -12.39277766,-171.62055566 -12.29333366,-171.74027766 -12.233610659,-171.74638866 -12.230277659,-172.01527766 -12.0908336589999,-172.381388661 -11.9016666589999,-172.385833661 -11.8991666589999,-172.804722661 -11.680277659,-173.146110661 -11.448888659,-173.263888661 -11.3688886589999,-173.743610662 -11.041110658,-173.746666662 -11.038055658),(-170.809172659 -14.308054661,-170.823227659 -14.323754661,-170.766445659 -14.3636096609999,-170.749418659 -14.373890661,-170.743899659 -14.375554661,-170.637263659 -14.2894456609999,-170.578618659 -14.2791636609999,-170.561872659 -14.2699996609999,-170.567918659 -14.254309661,-170.664027659 -14.255418661,-170.681672659 -14.258054661,-170.797654659 -14.2993096609999,-170.809172659 -14.308054661)))', 'American Samoa Exclusive Economic Zone', 'American Samoa', 'United States', '', '163', '151', 'ASM', '8444', '', '405941562000', '8444', 'Y'),('SRID=4326;MULTIPOLYGON(((-168.523610657 -10.0238886569999,-167.989493656 -8.31103565599994,-167.988614656 -8.30821865599995,-167.557752656 -8.02084065599996,-167.538365656 -8.01228365599997,-167.476322656 -7.97078265499994,-166.941333655 -7.73380765499996,-166.939156655 -7.73326365499997,-166.938369655 -7.73291465499995,-166.937934655 -7.73280565499994,-166.936388655 -7.73211865499997,-166.933735655 -7.73145665499993,-166.931427655 -7.73043165499996,-166.363415655 -7.58801365499994,-165.779183654 -7.54444765499994,-165.777907654 -7.54457265499997,-165.776207654 -7.54444465499995,-165.193046654 -7.60107065499994,-164.628234653 -7.75626165499995,-164.098548653 -8.00544565599995,-163.885319653 -8.15514965599994,-163.677390652 -7.86423265499997,-163.675677652 -7.86255165499995,-163.675389652 -7.86214765499994,-163.259546652 -7.45338065499993,-162.779255652 -7.12177965499995,-162.248904651 -6.87721965399993,-161.684298651 -6.72697765399994,-161.10221665 -6.67551565399998,-161.10017865 -6.67568765399994,-161.09825465 -6.67551665399998,-160.53774565 -6.72254065399994,-160.240967649 -6.42517465399993,-160.237320649 -6.42261065399993,-160.234976649 -6.42026065399995,-159.758129649 -6.08451765399997,-159.261546648 -5.85291165399997,-158.221936647 -6.51506265399996,-158.034981647 -6.63034265399995,-157.674209647 -6.85213265399995,-157.590832647 -6.90302865399997,-157.417587647 -7.00888165499993,-157.400606647 -7.01893665499995,-156.686227646 -7.44165365499993,-156.600638646 -7.49372865499993,-155.862432645 -7.93896865499994,-155.862117645 -7.93914965499994,-154.926673644 -8.47472965599997,-155.037844644 -9.05088965599998,-155.141362644 -9.58698365699996,-155.237507645 -10.085838657,-155.237709645 -10.0868856569999,-155.403552645 -10.9419016579999,-155.490396645 -11.412670659,-155.706648645 -11.631728659,-155.710489645 -11.6344716589999,-155.710653645 -11.634637659,-156.190063645 -11.9763456589999,-156.723883646 -12.2307666589999,-157.295590646 -12.3898716599999,-157.887319647 -12.44860066,-157.888469647 -12.4485176599999,-157.889340647 -12.4486026599999,-157.894188647 -12.4482516599999,-157.923703647 -12.4511506599999,-157.924679647 -12.4510806599999,-157.925723647 -12.45118266,-158.248927647 -12.4275546599999,-158.346647647 -12.56745466,-158.346887647 -12.56769366,-158.347634647 -12.5687626599999,-158.763509648 -12.9837736599999,-158.766713648 -12.98600966,-158.769532648 -12.9888176599999,-159.254250648 -13.3264186599999,-159.255871648 -13.32717266,-159.257259648 -13.32813766,-159.621252649 -13.496799661,-159.646759649 -13.8349926609999,-159.647475649 -13.8377416609999,-159.647676649 -13.840403661,-159.648401649 -13.8431866609999,-159.648607649 -13.8459146609999,-159.795418649 -14.4085756609999,-160.041658649 -14.9378326619999,-160.380461649 -15.4173516619999,-160.380942649 -15.4178256619999,-160.381463649 -15.4185626619999,-160.54876165 -15.5832346629999,-160.400173649 -15.544473663,-159.800311649 -15.490874662,-159.798187649 -15.4910396619999,-159.796386649 -15.490875662,-159.195867648 -15.5366476629999,-158.612019648 -15.680461663,-158.128055647 -15.868888663,-157.868610647 -16.404999663,-157.245833646 -17.318333664,-156.041944645 -18.3455556649999,-155.174444645 -18.9197226659999,-154.805555644 -19.257222666,-156.323055646 -21.405555668,-156.142499645 -24.894444671,-156.598785646 -25.0586126709999,-157.215724646 -25.216224672,-157.270706646 -25.221121672,-157.272066646 -25.221465672,-157.910776647 -25.2769766719999,-157.912338647 -25.2768616719999,-157.914874647 -25.277076672,-158.554355648 -25.2288426719999,-159.173662648 -25.078452671,-159.177722648 -25.076726671,-159.177739648 -25.076722671,-159.181798648 -25.0749976709999,-159.181815648 -25.074992671,-159.183574648 -25.074245671,-159.183854648 -25.074176671,-159.762824649 -24.826516671,-159.766565649 -24.8241056709999,-159.766874649 -24.823972671,-159.770623649 -24.8215566709999,-159.770924649 -24.821427671,-159.771153649 -24.821279671,-159.772954649 -24.820504671,-159.774456649 -24.819536671,-159.776003649 -24.818870671,-159.776231649 -24.8187236709999,-159.778032649 -24.817948671,-160.163370649 -24.568668671,-160.416557649 -24.5462996709999,-160.419297649 -24.545603671,-160.420647649 -24.5454826709999,-160.445983649 -24.5390436709999,-160.450316649 -24.538656671,-161.06409665 -24.3812906709999,-161.06567665 -24.3805926709999,-161.06613365 -24.3804746709999,-161.06633265 -24.3803876709999,-161.06918465 -24.379649671,-161.07289765 -24.378010671,-161.07325565 -24.377917671,-161.07682565 -24.376342671,-161.09059165 -24.3727816709999,-161.09215865 -24.372089671,-161.09264365 -24.3719646709999,-161.664929651 -24.117815671,-162.177568651 -23.77526467,-162.182176651 -23.7708556699999,-162.182565651 -23.77059467,-162.619612651 -23.35068667,-162.968004652 -22.8668456689999,-162.971468652 -22.859488669,-162.972854652 -22.857554669,-163.222641652 -22.325044669,-163.367299652 -21.7604676679999,-163.367815652 -21.7522436679999,-163.368068652 -21.7512556679999,-163.368148652 -21.749980668,-163.370799652 -21.739601668,-163.389912652 -21.435215668,-163.745340652 -21.412266668,-163.762663653 -21.4082246679999,-163.765749653 -21.408019668,-163.969198653 -21.360398668,-164.370239653 -21.2657746679999,-164.937427654 -21.0261136679999,-165.449285654 -20.696738667,-165.889862654 -20.2881866669999,-166.245814655 -19.813430667,-166.313312655 -19.6943266659999,-166.390771655 -19.2168656659999,-166.421834655 -19.0308486659999,-166.570656655 -18.126797665,-166.580600655 -18.059749665,-166.580815655 -18.0582976649999,-166.581053655 -18.0566966649999,-166.581180655 -18.0558456649999,-166.614892655 -17.829321665,-166.643055655 -17.557777664,-166.027499655 -16.758333664,-165.753055654 -16.3913886629999,-165.691388654 -16.3083336629999,-165.569999654 -16.144999663,-165.276666654 -15.749444663,-165.200833654 -15.646388663,-165.308055654 -15.2344446619999,-165.368610654 -15.0024996619999,-165.622222654 -14.0583336609999,-165.978888655 -13.748888661,-166.155277655 -13.5955556609999,-166.428333655 -13.35694466,-166.567499655 -13.23416666,-166.617222655 -13.1902776599999,-166.872499655 -12.9641666599999,-167.183610656 -12.6894446599999,-167.422222656 -12.47777766,-168.173333657 -12.031944659,-168.466110657 -11.7313886589999,-168.489166657 -11.044444658,-168.494999657 -10.875277658,-168.517222657 -10.2136106579999,-168.517222657 -10.212222658,-168.523610657 -10.0238886569999),(-165.827654654 -10.8813186579999,-165.848345654 -10.884236658,-165.841672654 -10.890836658,-165.827654654 -10.8813186579999),(-163.154727652 -18.0614546649999,-163.171281652 -18.084172665,-163.169463652 -18.091945665,-163.163327652 -18.089445665,-163.157254652 -18.080554665,-163.154727652 -18.0614546649999),(-159.834718649 -21.199309668,-159.840008649 -21.2391636679999,-159.832518649 -21.248472668,-159.793636649 -21.252781668,-159.746981649 -21.256672668,-159.739163649 -21.2524996679999,-159.732927649 -21.2262456679999,-159.756136649 -21.1923636679999,-159.788327649 -21.1874996679999,-159.827236649 -21.1898636679999,-159.834718649 -21.199309668),(-158.125399647 -19.9784726669999,-158.130418647 -19.995281667,-158.126681647 -20.009445667,-158.116672647 -20.019172667,-158.098354647 -20.016109667,-158.088763647 -20.010699667,-158.081390647 -19.996390667,-158.083636647 -19.9844456669999,-158.094754647 -19.9741726669999,-158.111527647 -19.9713186669999,-158.125399647 -19.9784726669999),(-157.963636647 -21.908190668,-157.963763647 -21.920418668,-157.946963647 -21.939581668,-157.928890647 -21.940836668,-157.887663647 -21.936809668,-157.883845647 -21.925209668,-157.921736647 -21.881463668,-157.947781647 -21.8880546679999,-157.957518647 -21.8952816679999,-157.963636647 -21.908190668),(-157.739199647 -19.807509667,-157.740818647 -19.817645667,-157.718872647 -19.851663667,-157.713045647 -19.857227667,-157.708645647 -19.853054667,-157.703763647 -19.836809667,-157.712299647 -19.7731276659999,-157.739199647 -19.807509667)))', 'Cook Islands Exclusive Economic Zone', 'Cook Islands', 'New Zealand', '', '162', '153', 'COK', '8446', '', '1967055290000', '8446', 'Y'),('SRID=4326;MULTIPOLYGON(((-177.220593061 -15.6481761429999,-177.201615618 -15.61441365,-177.189441517 -15.5936737499999,-176.979066264 -15.233467334,-176.973905275 -15.2246336119999,-176.947546714 -15.1792091679999,-176.916658806 -15.1259791759999,-176.87094317 -15.046472749,-176.808186231 -14.937328911,-176.783026394 -14.8933507309999,-176.769279897 -14.8693225169999,-176.642178973 -14.6460627349999,-176.642178665 -14.646062663,-176.384913673 -14.586353158,-176.362270674 -14.581025938,-176.215421665 -14.546050657,-176.215421486 -14.546050614,-176.170765247 -14.535413471,-176.082782817 -14.516068693,-176.082782664 -14.5160686589999,-176.047642387 -14.508151496,-176.039427188 -14.5062722059999,-176.002081478 -14.4977290859999,-175.859232196 -14.464639065,-175.81021454 -14.4532844729999,-175.628483066 -14.410539517,-175.600900909 -14.4040006889999,-175.562887243 -14.394988891,-175.298387351 -14.3317011949999,-175.071868221 -14.2775012719999,-175.067239386 -14.2763792399999,-175.065335717 -14.2759177899999,-174.984545588 -14.2562246809999,-174.966941836 -14.2519161499999,-174.868191863 -14.227756072,-174.782391504 -14.2067642339999,-174.684434218 -14.182778738,-174.626535249 -14.168601789,-174.570091809 -14.1534530829999,-174.532155416 -14.1432714339999,-174.442478662 -14.2594386609999,-174.110799662 -14.379271661,-173.956658662 -14.436812662,-173.763338662 -14.508907662,-173.707569662 -14.529599662,-173.652719662 -14.550575662,-173.466896662 -14.645182662,-173.395191661 -14.682777662,-172.942550661 -14.922061662,-172.907155661 -14.9408076619999,-172.826372661 -14.983233662,-172.734123661 -15.031366662,-172.640544661 -15.0799256619999,-172.539516661 -15.169437662,-172.487615661 -15.2153076619999,-172.458507661 -15.241100662,-172.427259661 -15.2688216619999,-172.28700566 -15.393382662,-171.94521866 -15.7287416629999,-171.84555566 -15.836666663,-171.83972266 -15.846666663,-171.76833366 -15.972222663,-171.71027766 -16.0797226629999,-171.62805566 -16.224722663,-171.28416666 -16.825833664,-171.44507566 -17.034539664,-171.54118666 -17.1457496639999,-171.54353566 -17.1484696639999,-171.71147366 -17.3429776639999,-171.76605666 -17.4058146639999,-171.78435066 -17.5759566639999,-171.79615666 -17.6973516649999,-171.80321466 -17.763481665,-171.83307166 -18.0396146649999,-171.84810966 -18.179555665,-171.86182766 -18.3055986649999,-171.86485666 -18.333824665,-171.90055066 -18.618197665,-171.94477266 -18.969934666,-171.95415966 -19.045288666,-171.95664366 -19.0654136659999,-171.97354966 -19.2010106659999,-171.98358566 -19.290672666,-171.98518766 -19.3055296659999,-171.98694066 -19.325884666,-171.99782966 -19.916573667,-172.00253766 -20.0533616669999,-171.95687466 -20.3658836669999,-171.87025166 -20.9011816679999,-171.56484466 -21.866545668,-171.52432666 -21.941586668,-171.47620766 -22.030780669,-171.40888466 -22.1571626689999,-171.51131966 -22.547462669,-171.76335866 -23.0792626699999,-171.76383366 -23.07991967,-171.76433866 -23.08098067,-172.11497866 -23.5637966699999,-172.11640166 -23.56515867,-172.11696466 -23.5659296699999,-172.556212661 -23.98451467,-173.070883661 -24.325501671,-173.416570662 -24.477814671,-173.857621662 -24.888437671,-174.379115662 -25.2255696719999,-174.379494662 -25.2257326719999,-174.381141662 -25.2267916719999,-174.961733663 -25.474770672,-175.582841664 -25.6255226719999,-176.224266664 -25.674114672,-176.864985665 -25.618957672,-176.871702665 -25.617267672,-176.872154665 -25.617227672,-177.491157665 -25.460120672,-178.068354666 -25.206251672,-178.585324666 -24.863900671,-178.590158666 -24.8593156709999,-178.595359666 -24.855853671,-179.071111111 -24.3688888889999,-178.630648793 -23.6102334079999,-178.51936265 -23.418553349,-177.903333333 -22.3575,-177.767388735 -22.135250325,-177.300833333 -21.3724999999999,-177.207804657 -21.2179127439999,-177.189030049 -21.186714675,-177.1325 -21.092777778,-177.078920731 -21.022917515,-177.044847129 -20.9784900559999,-177.031944444 -20.961666667,-177.024166667 -20.91,-176.883333333 -20.4352777779999,-176.666944444 -19.341944444,-176.669444444 -19.2524999999999,-176.63468443 -19.052282314,-176.627777778 -19.0124999999999,-176.624004245 -18.998438624,-176.601388889 -18.914166667,-176.592298253 -18.890231829,-176.579444444 -18.856388889,-176.450555556 -18.588055556,-176.433320433 -18.4763102269999,-176.427122833 -18.4361275749999,-176.3575 -17.984722222,-176.277777778 -17.6802777779999,-176.275819448 -17.589582611,-176.274407433 -17.59266217,-176.275784562 -17.587966955,-176.275088663 -17.55573814,-176.272425219 -17.5588184819999,-176.275054564 -17.5541589449999,-176.273333333 -17.474444444,-176.889722222 -16.835,-176.891772013 -16.8327862259999,-176.896666667 -16.8274999999999,-177.375277778 -15.985555556,-177.375554328 -15.971420118,-177.376235 -15.9366285199999,-177.323963825 -15.832081563,-177.220593061 -15.6481761429999),(-174.054445662 -18.669727665,-173.986972662 -18.6841726649999,-173.908908662 -18.635563665,-173.906827662 -18.623754665,-173.916690662 -18.5997276649999,-173.933627662 -18.573054665,-173.939208662 -18.568890665,-173.967527662 -18.568054665,-173.992490662 -18.572227665,-174.003218662 -18.5781996649999,-174.013063662 -18.5897276649999,-174.017245662 -18.6030546649999,-174.025299662 -18.616672665,-174.037372662 -18.6211186649999,-174.053345662 -18.6211186649999,-174.065272662 -18.624999665,-174.070308662 -18.6359726649999,-174.063081662 -18.6592996649999,-174.054445662 -18.669727665),(-175.186399663 -21.252781668,-175.145290663 -21.268063668,-175.135036663 -21.2677816679999,-175.120836663 -21.2620906679999,-175.051699663 -21.1616726679999,-175.045990663 -21.149163668,-175.048763663 -21.136945668,-175.065427663 -21.125836668,-175.093627663 -21.1249996679999,-175.107236663 -21.128063668,-175.121399663 -21.1337546679999,-175.129454663 -21.144727668,-175.131954663 -21.159163668,-175.138363663 -21.1758366679999,-175.149036663 -21.176809668,-175.245236663 -21.129781668,-175.276672663 -21.1249996679999,-175.303554663 -21.0697276679999,-175.314299663 -21.064172668,-175.341127663 -21.074863668,-175.353199663 -21.088754668,-175.359999663 -21.1008366679999,-175.357481663 -21.1316636679999,-175.351408663 -21.143336668,-175.336427663 -21.1616726679999,-175.323636663 -21.174445668,-175.314454663 -21.1799996679999,-175.186399663 -21.252781668)))', 'Tongan Exclusive Economic Zone', 'Tonga', 'Tonga', '', '155', '155', 'TON', '8448', '', '666959719100', '8448', 'Y'),('SRID=4326;MULTIPOLYGON(((-177.889728666 -4.64809665199994,-177.889495666 -4.64564565199993,-177.889706666 -4.64304165199997,-177.835018666 -4.06552165199997,-177.680944665 -3.50610765099998,-177.487730665 -3.00478865099996,-177.433333665 -2.97916665099996,-177.278610665 -2.94249965099993,-176.968888665 -2.74805565099996,-176.966944665 -2.74694465099998,-176.850833665 -2.67388865099997,-176.649722665 -2.54749964999996,-176.232777664 -2.28583364999997,-175.758055664 -1.98805564999998,-175.580833664 -1.87666664999995,-174.579999663 -1.24777764899994,-174.517222663 -1.21083364899994,-174.294722662 -1.06833364899995,-173.758333662 -0.731110648999959,-173.457777662 -0.242222647999938,-173.144485661 0.252269352000042,-172.863195661 0.361867352000047,-172.30268866 0.51227035200003,-171.72462366 0.563199352000026,-171.72244066 0.563010352000049,-171.71962766 0.563258352000048,-171.141524659 0.513182352000058,-171.135170659 0.511485352000022,-171.125546659 0.510654352000074,-170.564921659 0.361111352000023,-170.564605659 0.360964352000053,-170.561936659 0.360253352000029,-170.035761658 0.115788352000038,-170.031420658 0.112758352000071,-170.030764658 0.112453352000045,-170.030144658 0.112021352000056,-170.025767658 0.109988352000073,-170.022804658 0.107920352000065,-170.021775658 0.107442352000021,-169.992883658 0.0872733520000679,-169.980841658 0.0816843520000248,-169.977970658 0.0796803520000253,-169.977855658 0.0796273520000454,-169.806523658 -0.0399376479999773,-169.424814658 -0.216913647999945,-168.948727657 -0.548505648999935,-168.948364657 -0.548866648999933,-168.947721657 -0.549314648999939,-168.536279657 -0.958341648999976,-168.536042657 -0.958677648999981,-168.534281657 -0.960427648999939,-168.199882657 -1.43451164899994,-168.199560657 -1.43519564899998,-168.198873657 -1.43616764899997,-168.084163657 -1.67978564999993,-167.825376656 -2.04572564999995,-167.577471656 -2.57027664999993,-167.424163656 -3.12976465099996,-167.370184656 -3.70730065199996,-167.370217656 -3.70770565199996,-167.370181656 -3.70808965199996,-167.370218656 -3.70853565199997,-167.370178656 -3.70895965199998,-167.370245656 -3.70977865199995,-167.370172656 -3.71055765199998,-167.417318656 -4.28869265199995,-167.564387656 -4.84992465299996,-167.807175656 -5.37721665299995,-168.138567657 -5.85450365399993,-168.140220657 -5.85616765399993,-168.140562657 -5.85665965399994,-168.250594657 -5.96741665399998,-168.320804657 -6.11974965399997,-168.652597657 -6.59703865399996,-168.654405657 -6.59885765399997,-168.654592657 -6.59912565399998,-168.953453657 -6.88717665399997,-169.700010658 -6.89086165399993,-170.169527658 -6.89279465399994,-170.208228659 -6.89293765399998,-170.225573659 -6.89302365399993,-170.591047659 -6.89467865399996,-170.628736659 -6.89006465399996,-170.878947659 -6.81241265399996,-171.242996659 -6.69896965399994,-171.56715166 -6.59939165399993,-172.07127366 -6.55982765399995,-172.19438166 -6.54957065399998,-172.569820661 -6.51894765399993,-172.907617661 -6.49114165399993,-173.219807661 -6.46672765399995,-173.330202661 -6.52345665399997,-173.634542662 -6.67965665399993,-174.499503663 -7.12414365499995,-175.368385663 -7.57132465499996,-175.761499664 -7.77339165499995,-176.226049664 -7.56145765499997,-176.703150665 -7.22585065499993,-177.113599665 -6.81295765399994,-177.115374665 -6.81040165399997,-177.116580665 -6.80918765399997,-177.120404665 -6.80368165399995,-177.121567665 -6.80251065399995,-177.453001665 -6.32503065399993,-177.695580665 -5.79758265299995,-177.842220666 -5.23624365299997,-177.842949666 -5.22714965299997,-177.843177666 -5.22627765299995,-177.889728666 -4.64809665199994)))', 'Kiribati Exclusive Economic Zone (Phoenix Group)', 'Phoenix Group', 'Kiribati', '', '212', '157', 'KIR', '8450', '2012-10 (name)', '746400670800', '8450', 'Y'),('SRID=4326;MULTIPOLYGON(((-173.034016661 16.7460443680001,-173.033488661 16.8044273680001,-173.031905661 16.862794368,-173.029263661 16.9211223680001,-173.025566661 16.979400368,-173.020810661 17.037602368,-173.014997661 17.0957193680001,-173.008130661 17.153727368,-173.000208661 17.211611368,-172.991230661 17.2693523680001,-172.981202661 17.3269363680001,-172.970124661 17.384339368,-172.958002661 17.441550368,-172.944833661 17.4985443680001,-172.915374661 17.611830368,-172.899094661 17.668086368,-172.881780661 17.7240553680001,-172.863441661 17.7797273680001,-172.844083661 17.8350833690001,-172.823708661 17.890105369,-172.802322661 17.9447753690001,-172.779930661 17.9990773690001,-172.756538661 18.052994369,-172.732155661 18.106511369,-172.706785661 18.1596113690001,-172.680435661 18.2122723690001,-172.653113661 18.2644863690001,-172.624827661 18.316233369,-172.595585661 18.367494369,-172.565394661 18.4182583690001,-172.534263661 18.4685053690001,-172.502202661 18.5182223690001,-172.469219661 18.5673913690001,-172.436858661 18.614822369,-172.402955661 18.663430369,-172.368149661 18.7114643690001,-172.33245266 18.7589023690001,-172.29587266 18.805736369,-172.25842266 18.8519503690001,-172.22010866 18.89752537,-172.18094766 18.94244737,-172.14094966 18.98670837,-172.10012466 19.03028937,-172.05848866 19.0731753700001,-172.01604966 19.11535537,-171.97282266 19.1568193700001,-171.92881966 19.1975473700001,-171.88405866 19.2375303700001,-171.83854766 19.27675537,-171.79229966 19.31521137,-171.74533366 19.35288037,-171.69766366 19.38975537,-171.64929966 19.42582537,-171.60026066 19.4610773700001,-171.55056066 19.4954973700001,-171.50021666 19.52907737,-171.44924166 19.5618083700001,-171.39765266 19.59367537,-171.36008566 19.61665537,-171.30789166 19.6476523700001,-171.255113659 19.67776637,-171.201772659 19.70699137,-171.147883659 19.73531437,-171.093460659 19.7627253700001,-171.038527659 19.7892163700001,-170.983094659 19.81478337,-170.927180659 19.83941437,-170.870808659 19.86310037,-170.813988659 19.8858363700001,-170.756747659 19.90761437,-170.699094659 19.9284253700001,-170.641052659 19.9482643710001,-170.582641659 19.9671253710001,-170.523877659 19.9850023710001,-170.464783659 20.0018893710001,-170.405372659 20.017777371,-170.345663659 20.0326693710001,-170.285683659 20.0465523710001,-170.225444659 20.059425371,-170.164966658 20.0712833710001,-170.104272658 20.0821253710001,-170.043377658 20.0919413710001,-169.982305658 20.100736371,-169.921074658 20.108502371,-169.859705658 20.115239371,-169.798213658 20.1209413710001,-169.736624658 20.1256083710001,-169.674955658 20.129241371,-169.613224658 20.1318363710001,-169.551455658 20.1333943710001,-169.489666658 20.1339143710001,-169.467499658 20.1339143710001,-169.405710658 20.1333943710001,-169.343941658 20.1318363710001,-169.282210658 20.129241371,-169.220541658 20.1256083710001,-169.158952658 20.1209413710001,-169.097460657 20.115239371,-169.036091657 20.108502371,-168.974860657 20.100736371,-168.913788657 20.0919413710001,-168.852894657 20.0821253710001,-168.792199657 20.0712833710001,-168.731722657 20.059425371,-168.671483657 20.0465523710001,-168.611502657 20.0326693710001,-168.551794657 20.017777371,-168.492383657 20.0018893710001,-168.433288657 19.9850023710001,-168.374524657 19.9671253710001,-168.316113657 19.9482643710001,-168.258072657 19.9284253700001,-168.200419657 19.90761437,-168.143177657 19.8858363700001,-168.086358657 19.86310037,-168.029985656 19.83941437,-167.974072656 19.81478337,-167.918638656 19.7892163700001,-167.863705656 19.7627253700001,-167.809283656 19.73531437,-167.755394656 19.70699137,-167.702052656 19.67776637,-167.649274656 19.6476523700001,-167.597080656 19.61665537,-167.545485656 19.5847893700001,-167.494502656 19.5520583700001,-167.444152656 19.51847737,-167.394447656 19.4840553700001,-167.345399656 19.4488023700001,-167.297033656 19.4127333700001,-167.249355656 19.3758583700001,-167.202383656 19.3381863700001,-167.156130656 19.2997303700001,-167.110613656 19.26050537,-167.065844656 19.22052237,-167.021838656 19.17979137,-166.978605656 19.1383303700001,-166.936163655 19.09614737,-166.894519655 19.05325837,-166.853691655 19.0096773700001,-166.813688655 18.9654163700001,-166.793819655 18.94660837,-166.754658655 18.9016863700001,-166.716344655 18.8561113700001,-166.678891655 18.8098973690001,-166.642310655 18.7630643690001,-166.606613655 18.7156253690001,-166.571808655 18.667591369,-166.537902655 18.618983369,-166.504913655 18.569811369,-166.472844655 18.5200913690001,-166.441708655 18.469844369,-166.411510655 18.419080369,-166.382260655 18.367816369,-166.353969655 18.316069369,-166.326644655 18.2638553690001,-166.300288655 18.2111913690001,-166.274913655 18.158091369,-166.250527655 18.104575369,-166.227130655 18.050655369,-166.204735655 17.996352369,-166.183347655 17.941680369,-166.162969655 17.886658369,-166.143608655 17.8313023690001,-166.125266655 17.7756303680001,-166.107952655 17.7196583680001,-166.091669655 17.6634023680001,-166.076419655 17.6068833680001,-166.062208655 17.550116368,-166.049041655 17.4931193680001,-166.036916655 17.4359113680001,-166.025838655 17.378505368,-166.015810655 17.320922368,-166.006835655 17.2631803680001,-165.998916655 17.2052973680001,-165.992049655 17.147289368,-165.986238655 17.0891723680001,-165.981485655 17.0309693680001,-165.977788655 16.9726943680001,-165.975149655 16.9143643680001,-165.973569655 16.856000368,-165.973044655 16.797616368,-165.973574655 16.739233368,-165.975160655 16.6808693670001,-165.977802655 16.6225393670001,-165.981494655 16.564261367,-165.986235655 16.5060523670001,-165.992022655 16.4479333670001,-165.998855655 16.3899193670001,-166.006730655 16.3320303670001,-166.015644655 16.2742803670001,-166.025591655 16.216686367,-166.036572655 16.159272367,-166.048577655 16.1020473670001,-166.061602655 16.045033367,-166.075649655 15.9882443670001,-166.090708655 15.9317023670001,-166.106772655 15.8754193670001,-166.123838655 15.819416367,-166.141899655 15.7637053670001,-166.160949655 15.708308367,-166.180985655 15.653236367,-166.201997655 15.598511366,-166.223974655 15.5441443660001,-166.246916655 15.4901553660001,-166.270813655 15.436558366,-166.295655655 15.3833723660001,-166.321435655 15.330611366,-166.348147655 15.278289366,-166.375780655 15.2264223660001,-166.404324655 15.1750273660001,-166.433774655 15.1241223660001,-166.464119655 15.073716366,-166.495347655 15.023827366,-166.527449655 14.9744693660001,-166.560419655 14.9256583660001,-166.594241655 14.8774083660001,-166.628908655 14.829733366,-166.664408655 14.782647366,-166.700733655 14.7361663660001,-166.737866655 14.690300366,-166.775799655 14.645064366,-166.811955655 14.6046003660001,-166.856694655 14.560008365,-166.890158655 14.5160723650001,-166.930410655 14.4728053650001,-166.971416656 14.4302223650001,-167.013160656 14.3883333650001,-167.055633656 14.3471523650001,-167.098819656 14.3066913650001,-167.142705656 14.266961365,-167.187280656 14.2279753650001,-167.232527656 14.189744365,-167.278438656 14.152280365,-167.324994656 14.1155913650001,-167.372185656 14.079691365,-167.419994656 14.044589365,-167.468405656 14.010297365,-167.517410656 13.976822365,-167.566988656 13.944177365,-167.617130656 13.9123723650001,-167.667816656 13.8814113650001,-167.719035656 13.851308365,-167.770769656 13.8220723650001,-167.823002656 13.793708365,-167.875722656 13.7662273650001,-167.928910656 13.7396393650001,-167.982555656 13.713947365,-168.036638656 13.6891613650001,-168.091141657 13.665286365,-168.146052657 13.6423333650001,-168.201352657 13.620308365,-168.257027657 13.5992163650001,-168.313060657 13.579061365,-168.369433657 13.559855365,-168.426133657 13.541597365,-168.483138657 13.5242973650001,-168.497394657 13.520094365,-168.554397657 13.5027943650001,-168.611688657 13.4864523640001,-168.669255657 13.471080364,-168.727083657 13.456677364,-168.785147657 13.4432503640001,-168.843438657 13.430800364,-168.901935657 13.4193333640001,-168.960624657 13.408852364,-169.019485657 13.3993613640001,-169.078499657 13.390861364,-169.137655658 13.3833553640001,-169.196933658 13.3768473640001,-169.256310658 13.3713333640001,-169.315777658 13.366822364,-169.375313658 13.3633143640001,-169.434902658 13.360805364,-169.494524658 13.359300364,-169.554166658 13.3587973640001,-169.613808658 13.359300364,-169.673430658 13.360805364,-169.733019658 13.3633143640001,-169.792555658 13.366822364,-169.852022658 13.3713333640001,-169.911399658 13.3768473640001,-169.970677658 13.3833553640001,-170.029833658 13.390861364,-170.088847658 13.3993613640001,-170.147708658 13.408852364,-170.206397659 13.4193333640001,-170.264894659 13.430800364,-170.323185659 13.4432503640001,-170.381249659 13.456677364,-170.439077659 13.471080364,-170.496644659 13.4864523640001,-170.553935659 13.5027943650001,-170.610938659 13.520094365,-170.667633659 13.538352365,-170.723999659 13.557561365,-170.780027659 13.5777143650001,-170.835697659 13.598808365,-170.890991659 13.6208333650001,-170.945897659 13.643786365,-171.000397659 13.6676613650001,-171.054474659 13.692447365,-171.108113659 13.7181393650001,-171.161297659 13.7447303650001,-171.214010659 13.772211365,-171.26624166 13.800575365,-171.31796966 13.8298143650001,-171.36918366 13.8599163650001,-171.41986366 13.8908773650001,-171.46999966 13.9226833650001,-171.51957466 13.9553303650001,-171.56857266 13.9888053650001,-171.62027766 14.0231003650001,-171.66478366 14.0582023650001,-171.71196966 14.094102365,-171.75852266 14.1307913650001,-171.84966966 14.206489365,-171.89423866 14.2454753650001,-171.93812266 14.285205365,-171.98130266 14.3256663650001,-172.02376966 14.3668503650001,-172.06550866 14.408739365,-172.07212466 14.4190643650001,-172.11312766 14.461647365,-172.15337766 14.504914365,-172.19286666 14.548850365,-172.23157466 14.593444366,-172.26949966 14.6386803660001,-172.30662266 14.6845503660001,-172.342933661 14.7310333660001,-172.378422661 14.778122366,-172.413080661 14.8257973660001,-172.446891661 14.8740503660001,-172.479849661 14.9228613660001,-172.511944661 14.972219366,-172.543160661 15.022111366,-172.573497661 15.0725193660001,-172.602935661 15.123427366,-172.631472661 15.1748223660001,-172.659094661 15.2266893660001,-172.685797661 15.2790143660001,-172.711569661 15.331777366,-172.736402661 15.3849663660001,-172.760288661 15.438564366,-172.783222661 15.492552366,-172.805194661 15.5469193660001,-172.826197661 15.6016473660001,-172.846222661 15.6567193670001,-172.865266661 15.7121193670001,-172.883319661 15.767830367,-172.900377661 15.8238363670001,-172.916435661 15.8801193670001,-172.931485661 15.936664367,-172.945524661 15.993452367,-172.958547661 16.0504693670001,-172.970544661 16.107694367,-172.981516661 16.1651113670001,-172.991460661 16.2227023670001,-173.000366661 16.2804523670001,-173.008235661 16.338344367,-173.015063661 16.3963583670001,-173.020847661 16.454480367,-173.025583661 16.5126863670001,-173.029272661 16.570966367,-173.031908661 16.629297367,-173.033488661 16.687661367,-173.034016661 16.7460443680001),(-169.538908658 16.729709368,-169.538936658 16.7241633680001,-169.523927658 16.730272368,-169.538908658 16.729709368)))', 'Johnston Atoll Exclusive Economic Zone', 'Johnston Atoll', 'United States', '', '163', '159', 'UMI', '8452', '', '444124071800', '8452', 'Y'),('SRID=4326;MULTIPOLYGON(((-75.5063888889999 18.832222222,-75.602808935 18.748027962,-75.671547802 18.633674098,-75.720021962 18.44772163,-75.719675445 18.4463367010001,-75.7121605 18.416494212,-75.711695758 18.414645793,-75.707659726 18.3984078290001,-75.699147959 18.3709571140001,-75.6849171919999 18.3274711720001,-75.584141867 18.115570716,-75.556979434 18.057862614,-75.492975412 17.9170759840001,-75.4924278249999 17.91587443,-75.491467754 17.9137712240001,-75.490500916 17.911667989,-75.4899247929999 17.9104167410001,-75.483817582 17.897197873,-75.402107766 17.82509853,-75.398797008 17.8221655610001,-75.3307713299999 17.762012108,-75.1834143739999 17.631093102,-75.0099843849999 17.4758539650001,-74.942178445 17.4147946800001,-74.865955409 17.3461985210001,-74.670460453 17.0203876890001,-74.5138889999999 14.7361110000001,-77.666667 14.083333,-78.325 14.2500000000001,-78.6333329999999 14.493611,-78.633333189 14.493611147,-78.6333333329999 14.493611259,-78.6333333329999 15.6,-78.4305555559999 15.6,-78.4305555559999 16.0708333330001,-79.277777778 16.0708333330001,-79.277777778 16.1694444440001,-79.488888889 16.1694444440001,-79.488888889 16.0708333330001,-79.769347763 16.0708330690001,-79.870157745 16.2562964860001,-79.8705274719999 16.256976685,-79.871627061 16.2589996340001,-79.871884017 16.259472365,-79.8722632069999 16.2601699730001,-79.8728308509999 16.261214286,-80.591886328 17.584084139,-79.512093802 18.601886817,-79.5036547559999 18.609841386,-79.4991176469999 18.6143890280001,-79.454043375 18.6603520460001,-79.436857563 18.677922638,-79.4267587749999 18.688045247,-79.327384351 18.78064685,-79.203993016 18.8951883130001,-79.18618172 18.9118205840001,-79.074932114 19.0151090540001,-79.0689617049999 19.0205884260001,-79.0255924149999 19.059853258,-78.9676464999999 19.1119085760001,-78.907650409 19.166097505,-78.723584579 19.3565440360001,-78.636796879 19.343259115,-78.238228792 19.2239298170001,-78.2018579319999 19.214677056,-78.021282336 19.1975075940001,-77.972058713 19.1930913040001,-77.848715709 19.1844537970001,-77.8402171339999 19.1838960600001,-77.8295655749999 19.1832691770001,-77.808315255 19.182291659,-77.725555556 19.1733333330001,-77.6874999999999 19.1705555560001,-77.649444444 19.1688888890001,-77.611388889 19.1680555560001,-77.573055556 19.1683333330001,-77.5672222219999 19.1686111110001,-77.534722222 19.1691666670001,-77.534444444 19.1691666670001,-77.4963888889999 19.1697222220001,-77.4961111109999 19.1697222220001,-77.486944444 19.1697222220001,-77.475277778 19.1694444440001,-77.460555556 19.1686111110001,-77.447777778 19.1683333330001,-77.419444444 19.166944444,-77.418055556 19.166944444,-77.408333333 19.1666666670001,-77.3822222219999 19.1652777780001,-77.344166667 19.1641666670001,-77.305833333 19.1638888890001,-77.276388889 19.1638888890001,-77.2675 19.164722222,-77.2527777779999 19.1650000000001,-77.2416666669999 19.1652777780001,-77.1938888889999 19.1663888890001,-77.183333333 19.1663888890001,-77.157777778 19.166944444,-77.144722222 19.166944444,-77.1191666669999 19.1677777780001,-77.106111111 19.1677777780001,-77.093611111 19.1680555560001,-77.078333333 19.1666666670001,-77.0677777779999 19.165833333,-77.046944444 19.1641666670001,-77.03 19.1625,-76.991944444 19.159722222,-76.9458333329999 19.1575,-76.9324999999999 19.156944444,-76.925277778 19.156666667,-76.8772222219999 19.155833333,-76.8680555559999 19.156111111,-76.838611111 19.156111111,-76.798055556 19.156944444,-76.7644444439999 19.158611111,-76.722222222 19.158611111,-76.6830555559999 19.158611111,-76.643611111 19.158611111,-76.64 19.158333333,-76.6261111109999 19.156388889,-76.588055556 19.15,-76.516666667 19.136666667,-76.514722222 19.136111111,-76.484444444 19.130555556,-76.478333333 19.1294444440001,-76.471944444 19.1283333330001,-76.4463888889999 19.1233333330001,-76.4399999999999 19.1219444440001,-76.412777778 19.1169444440001,-76.401388889 19.1147222220001,-76.3744444439999 19.1094444440001,-76.3630555559999 19.1072222220001,-76.336111111 19.102222222,-76.3247222219999 19.099722222,-76.286388889 19.0925,-76.2474999999999 19.086111111,-76.208333333 19.080277778,-76.1902777779999 19.077777778,-76.17 19.0722222220001,-76.156944444 19.0688888890001,-76.133055556 19.0622222220001,-76.1252777779999 19.0602777780001,-76.095833333 19.0522222220001,-76.0586111109999 19.0427777780001,-76.020833333 19.034166667,-75.9961111109999 19.028888889,-75.981388889 19.025833333,-75.975277778 19.024166667,-75.964722222 19.021944444,-75.9508333329999 19.016666667,-75.9347222219999 19.011111111,-75.899166667 18.9977777780001,-75.850555556 18.9786111110001,-75.84 18.974444444,-75.721944444 18.9277777780001,-75.6986111109999 18.9183333330001,-75.5691666669999 18.8527777780001,-75.543333333 18.8611111110001,-75.528055556 18.845833333,-75.5063888889999 18.832222222),(-77.1938909089999 17.7797181820001,-77.1489 17.862218182,-77.131954545 17.8788909090001,-77.1119545449999 17.8919363640001,-77.1016727269999 17.895554545,-77.080290909 17.8994363640001,-77.0518090909999 17.8945818180001,-77.0362636359999 17.8883363640001,-77.005281818 17.8447181820001,-76.951527273 17.8293,-76.9238181819999 17.841736364,-76.9144636359999 17.8519454550001,-76.894454545 17.888609091,-76.847781818 17.9825909090001,-76.8329272729999 17.987081818,-76.819172727 17.983327273,-76.8113999999999 17.9766636360001,-76.800609091 17.966690909,-76.7463999999999 17.963054545,-76.735836364 17.959163636,-76.7275090909999 17.953054545,-76.724727273 17.9488909090001,-76.693618182 17.9375000000001,-76.6577 17.929254545,-76.6107 17.8700000000001,-76.5943181819999 17.8612454550001,-76.534181818 17.8569454550001,-76.350572727 17.8555545450001,-76.306672727 17.8655545450001,-76.265290909 17.879718182,-76.2211181819999 17.9041636360001,-76.234172727 17.9413909090001,-76.2581 17.9957545450001,-76.274445455 18.041381818,-76.2789 18.0505545450001,-76.2925090909999 18.078054545,-76.3416727269999 18.1497181820001,-76.3650090909999 18.1597181820001,-76.383345455 18.1669454550001,-76.458618182 18.1805545450001,-76.533336364 18.192772727,-76.551390909 18.197218182,-76.640290909 18.223054545,-76.659181818 18.235836364,-76.7034 18.266481818,-76.721536364 18.263609091,-76.787709091 18.2733272730001,-76.805554545 18.302772727,-76.854445455 18.345,-76.896118182 18.374718182,-76.911218182 18.400836364,-76.945281818 18.394445455,-77.040427273 18.411945455,-77.056118182 18.4108272730001,-77.0679363639999 18.4069272730001,-77.136672727 18.4072181820001,-77.157790909 18.4222181820001,-77.1661181819999 18.4280545450001,-77.181672727 18.4341636360001,-77.247227273 18.452218182,-77.320145455 18.4584727270001,-77.341536364 18.4526363640001,-77.407790909 18.456663636,-77.460845455 18.4661090910001,-77.4667636359999 18.4692181820001,-77.4814 18.4780545450001,-77.5612545449999 18.4893000000001,-77.5987636359999 18.4887454550001,-77.613763636 18.4836090910001,-77.6400181819999 18.4791636360001,-77.688609091 18.486381818,-77.700009091 18.489436364,-77.735836364 18.5050181820001,-77.849727273 18.521663636,-77.8644545449999 18.5225,-77.882509091 18.5197181820001,-77.920836364 18.509163636,-77.9361090909999 18.4961090910001,-78.000018182 18.441381818,-78.019454545 18.451945455,-78.2109818179999 18.4513909090001,-78.3398 18.360690909,-78.345563636 18.3352818180001,-78.342509091 18.2986090910001,-78.3650090909999 18.2747181820001,-78.3719545449999 18.264718182,-78.3738999999999 18.2545818180001,-78.3694454549999 18.2419454550001,-78.362227273 18.2347181820001,-78.3389 18.2190272730001,-78.254181818 18.1944454550001,-78.231327273 18.1897909090001,-78.2063909089999 18.197218182,-78.194454545 18.199718182,-78.128618182 18.203054545,-78.1019636359999 18.2025,-78.074172727 18.2013818180001,-78.0572363639999 18.1963909090001,-78.043336364 18.184863636,-77.9800090909999 18.086390909,-77.966536364 18.065272727,-77.961318182 18.054745455,-77.950709091 18.030136364,-77.9363999999999 18.026109091,-77.9041727269999 18.021109091,-77.8744545449999 18.0226363640001,-77.849036364 18.011945455,-77.840836364 18.0025000000001,-77.835009091 17.987781818,-77.820009091 17.937772727,-77.792445455 17.887845455,-77.7355636359999 17.85,-77.719727273 17.8472181820001,-77.609727273 17.8544454550001,-77.5663909089999 17.859472727,-77.518618182 17.84,-77.5072363639999 17.836663636,-77.4864636359999 17.8384727270001,-77.4532 17.855836364,-77.412227273 17.8597181820001,-77.395909091 17.851881818,-77.349163636 17.821663636,-77.238618182 17.728336364,-77.2269636359999 17.718890909,-77.217509091 17.713609091,-77.182509091 17.698054545,-77.1657 17.697218182,-77.152509091 17.7013818180001,-77.1383363639999 17.7083272730001,-77.130009091 17.714163636,-77.125972727 17.7288181820001,-77.1438272729999 17.760345455,-77.1938909089999 17.7797181820001)))', 'Jamaican Exclusive Economic Zone', 'Jamaica', 'Jamaica', '', '166', '166', 'JAM', '8459', '', '245660624900', '8459', 'Y'),('SRID=4326;MULTIPOLYGON(((48.1585271710001 30.0378361570001,48.1897093360001 30.029445593,48.23332721 30.011663223,48.2536081700001 30.0013906830001,48.2785990940001 29.9880461220001,48.3063908890001 29.970554986,48.343881794 29.954163511,48.383881332 29.939718285,48.443045096 29.9274994960001,48.5340186870001 29.9245821310001,48.56069174 29.9391639360001,48.5455535770001 29.963027079,48.5973534130001 29.930847166,48.605895445 29.9206915670001,48.6115032540001 29.910517096,48.6120906350001 29.9092636460001,48.6158574150001 29.903547164,48.6249134080001 29.88768501,48.634417065 29.87125094,48.6568383850001 29.83153134,48.72043131 29.6779894040001,48.7491488220001 29.6091460530001,48.70196151 29.6451839050001,48.696114729 29.649683978,48.687359621 29.6564848040001,48.6507765640001 29.6869780490001,48.6136642640001 29.717504435,48.586971125 29.7390487500001,48.5735542580001 29.7504330020001,48.5673409230001 29.7554392210001,48.5637326290001 29.7582169940001,48.5401215540001 29.776588863,48.538788905 29.77749872,48.534424406 29.78024034,48.5130759210001 29.7941824330001,48.5075073190001 29.798629281,48.496717587 29.807020849,48.4879775420001 29.814094832,48.4849999210001 29.8165843840001,48.473728146 29.823414332,48.4549505580001 29.8333353830001,48.4501642710001 29.8360408500001,48.4432981690001 29.8395778410001,48.4383040010001 29.842074423,48.4349738870001 29.8437394800001,48.4328940710001 29.844778886,48.429563957 29.8460281810001,48.424154027 29.8483168820001,48.4193687440001 29.850398705,48.414121504 29.852675355,48.337912493 29.907029735,48.2750711410001 29.954954865,48.2549227420001 29.965045635,48.242962047 29.97603421,48.2281482590001 29.984680859,48.207332029 29.994167066,48.194722584 30.004999981,48.1844450230001 30.014444009,48.164384999 30.0221084950001,48.1548345190001 30.0245829830001,48.146406799 30.0257670020001,48.133583447 30.026555343,48.1213455770001 30.027756434,48.1086457490001 30.0284353110001,48.09825069 30.02991659,48.088955291 30.0301525900001,48.0761148670001 30.0293130320001,48.0681320320001 30.0278769450001,48.0614908840001 30.025976891,48.05000018 30.021916682,48.044166454 30.019167028,48.0373334930001 30.014001132,48.0306662340001 30.0072505200001,48.0224182750001 29.9994956510001,48.0175707290001 29.9966485840001,48.014634282 29.9964838860001,48.014838147 29.9937462820001,48.0116887980001 29.9899100220001,48.0105098010001 29.9904703980001,48.0094041140001 29.990844985,48.008652931 29.990957462,48.0066082640001 29.9910890200001,48.001315832 29.991584118,47.99867765 29.9918984500001,47.997718585 29.991927574,47.9938451680001 29.9926596770001,47.9913787140001 29.9932722730001,47.9905763130001 29.993624767,47.9876730070001 29.9939963420001,47.984803846 29.9944392190001,47.9837885430001 29.9946701980001,47.9782791920001 29.995268735,47.976306832 29.9955559530001,47.9733211770001 29.9960831870001,47.970833634 29.9968072560001,47.9687196740001 29.99755141,47.96669208 29.998418084,47.9639705450001 29.9999967750001,47.9625244150001 30.0006917200001,47.9619710700001 30.001117525,47.9607117320001 30.00204345,47.957754197 30.0047278270001,47.957416767 30.0055924920001,47.9561443740001 30.007100886,47.9553148580001 30.008508853,47.9434726650001 30.017555196,47.959436327 30.0330548910001,48.071664002 30.04499048,48.093881169 30.045554872,48.1585271710001 30.0378361570001)))', 'Iraqi Exclusive Economic Zone', 'Iraq', 'Iraq', '', '192', '192', 'IRQ', '8470', '', '619034562.4', '8470', 'Y'),('SRID=4326;MULTIPOLYGON(((-55.9185240429999 9.51759928400014,-55.775762189 9.3215393080003,-55.7684873368038 9.32217478419057,-55.8813333333333 9.10449999999992,-55.9160952843449 9.03692536625778,-55.9348333333334 9.00049999999993,-56.0625 8.61266666666666,-56.0665 8.59350000000006,-56.0826176935281 8.51188480428584,-56.2051666666665 7.89133333333342,-56.2498333333333 7.66600000000022,-56.3281666666665 7.48300000000023,-56.348 7.43516666666687,-56.3623333333333 7.4075000000002,-56.7056666666666 6.73316666666659,-56.7819999999999 6.58550000000025,-56.7984862126645 6.56392456516528,-56.8203333333333 6.53533333333343,-56.8616666666666 6.46683333333334,-56.9501666666667 6.31950000000001,-56.9771666666666 6.26983333333334,-56.9978333333333 6.22450000000009,-57.1221666666667 6.13883333333331,-57.1463708500762 5.9951114194721,-57.1623636359998 6.056945455,-57.1777818179999 6.10833636399997,-57.194309091 6.13930909100003,-57.2202818179999 6.16916363600006,-57.261118182 6.21139090900016,-57.3366727269999 6.27471818200007,-57.363618182 6.29000000000008,-57.469718182 6.34027272700007,-57.4986181819999 6.33868181800011,-57.5191909089999 6.27076363600008,-57.5213909089999 6.29034545500014,-57.5943090909998 6.43458181800014,-57.6407 6.48513636400008,-57.7577818179999 6.57000000000011,-57.882509091 6.67416363600012,-57.897918182 6.6898636360001,-57.914454545 6.71110909100003,-57.927781818 6.73166363600012,-57.9433363639999 6.75055454500006,-57.9666727269999 6.77541818200012,-57.986390909 6.79055454500013,-58.038890909 6.81555454500005,-58.154936364 6.82819090900006,-58.1726181819999 6.81221818200015,-58.208618182 6.84305454500009,-58.2556999999999 6.87610909100016,-58.3165999999999 6.89423636400016,-58.3983363639998 6.87930909100004,-58.4197272729999 6.87028181800002,-58.4569545449999 6.82778181800001,-58.4794454549999 6.79444545500019,-58.549727273 6.67826363600011,-58.5731999999999 6.60263636400003,-58.576118182 6.56221818200004,-58.572781818 6.53250000000014,-58.5740272729999 6.50986363599998,-58.5813272729999 6.46497272699997,-58.593336364 6.42000000000013,-58.6007272729999 6.41394545500003,-58.6370909089999 6.42194545500007,-58.6190909089999 6.48949090900004,-58.6091727269999 6.65666363600008,-58.598609091 6.77430909100013,-58.594036364 6.80180909100017,-58.5630545449998 6.91639090900009,-58.5556999999999 6.93750000000006,-58.5370909089999 6.96069090900016,-58.5107454549999 6.98025454500009,-58.497509091 6.98944545500007,-58.4815272729999 7.00992727300013,-58.466663636 7.11500000000012,-58.4655636359999 7.13583636400017,-58.468545455 7.33757272700012,-58.485281818 7.36860909100017,-58.641945455 7.56944545500016,-58.717363636 7.59437272700012,-58.7513999999999 7.63610909100015,-58.7688909089999 7.67971818200016,-58.8069454549999 7.73055454500008,-58.9438909089999 7.85110909100018,-59.0758363639999 7.96916363600013,-59.0934727269999 7.98700909100006,-59.109445455 8.01847272700013,-59.129309091 8.04000000000008,-59.1547272729999 8.05639090900013,-59.355836364 8.17389090900008,-59.650836364 8.34944545500008,-59.668336364 8.36000000000007,-59.7642090909999 8.40736363600013,-59.7793090909999 8.38097272700008,-59.7647272729999 8.34902727300016,-59.7862545449999 8.34097272700001,-59.831672727 8.361663636,-59.855836364 8.37944545500005,-59.8725090909999 8.39721818200019,-59.8894545449999 8.42166363600006,-59.9025727269999 8.44576363600015,-59.9293090909999 8.48416363600018,-59.9582 8.51402727300012,-59.99028191 8.53527321000001,-59.9861178379999 8.53851890800019,-59.963581513 8.55901625000007,-59.957293668 8.5677652280001,-59.932522944 8.60223149000007,-59.569407031 9.0638486200001,-59.492528732 9.16063479600007,-59.48178118 9.18035498900008,-59.4774505469999 9.18830106900009,-59.146968119 9.79229161800015,-59.0889701999999 9.89854804700002,-59.057041902 9.9570430230001,-59.0551722049999 9.96042655500008,-59.052745565 9.96481796600006,-59.044012251 9.98055590000018,-58.9549457159999 10.14231694,-58.9022839629999 10.1528859420002,-58.8871686879999 10.1568141710001,-58.8293281119999 10.1721247310001,-58.8010637469999 10.1796063870001,-58.7536159709999 10.1922310090002,-58.5026936749999 10.2589949270001,-58.374841133 10.2935563190002,-58.328847085 10.3073882960001,-58.2650354379999 10.3265786310001,-58.163994607 10.3605577580001,-58.129787936 10.3720611550001,-58.0966072219999 10.3833360560001,-57.9943344709999 10.4180886270001,-57.9635344919999 10.4285240520001,-57.9363802569999 10.4377242540002,-57.8734314669999 10.4591531670001,-57.814702556 10.4791455560001,-57.7591700999999 10.4982298300001,-57.3098742609999 10.6747573070001,-57.2869162519999 10.6837774650002,-57.105762006 10.693312383,-56.9795113119999 10.6057359240001,-56.9783225799999 10.6045565700001,-56.976484081 10.6032790630001,-56.9734295049999 10.600248499,-56.970492076 10.5982073040001,-56.9681278969999 10.5958616150002,-56.965478021 10.5940201680001,-56.965472861 10.594015048,-56.9624486339999 10.5919134170001,-56.9585959579999 10.588090639,-56.9574679369999 10.587306707,-56.9495176479999 10.5794177080002,-56.946436046 10.5772759490001,-56.932185714 10.5631340150001,-56.931437885 10.5626142,-56.8929493799999 10.5244108140001,-56.889373796 10.5219246630002,-56.887917823 10.520479228,-56.8863778019999 10.5194084000001,-56.8821107839999 10.515172132,-56.8713617499999 10.5076974140001,-56.5130346589999 10.1514586650001,-56.5100791929999 10.1493979080001,-56.095939544 9.73654608300018,-56.0950603329999 9.73529108700006,-56.093961521 9.73419414100005,-56.0926547309999 9.73232878500011,-56.0909487409999 9.73062565900005,-56.0905101239999 9.72999955100011,-56.0879637689999 9.72745742600017,-56.084992755 9.72321629100003,-56.0809946669999 9.71922466900014,-56.0804033969999 9.718380594,-56.0799908879999 9.71796874400007,-56.075243692 9.71119166300002,-56.0740023729999 9.70995227800006,-56.0732122089998 9.70882420900006,-56.071018491 9.70663387000013,-56.0691780169999 9.70400627100003,-56.069043429 9.7038718870001,-56.0675078319999 9.70167952399999,-56.0620394709999 9.69621930500006,-56.0357048879999 9.65861613500005,-56.0291796499999 9.65209908300011,-56.026727636 9.64859730900008,-56.009197418 9.63108737800019,-56.0081266529999 9.62955799200012,-56.0052088559999 9.62664335200003,-56.0042899709999 9.62533086100007,-56.0042365659999 9.62527751300007,-56.0032023599998 9.62380029200017,-55.9912586529999 9.61186875300012,-55.9757495059999 9.58971286700017,-55.9753084 9.58927214200003,-55.963351517 9.57218909599999,-55.961388902 9.57022799100002,-55.9388869769999 9.53807444200015,-55.9205038159998 9.51970120000016,-55.9202904599999 9.51939626700005,-55.919498908 9.51860509100015,-55.9194258319999 9.51850064900003,-55.9185240429999 9.51759928400014)))', 'Guyanese Exclusive Economic Zone', 'Guyana', 'Guyana', '', '167', '167', 'GUY', '8460', '2014-02', '136648622100', '8460', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.8188909089999 10.9175000000001,-14.8086090909999 10.8208363640001,-14.7725 10.8322181820001,-14.7472181819999 10.833609091,-14.7077818179999 10.756663636,-14.715972727 10.6962454550001,-14.698609091 10.6404818180001,-14.636809091 10.686663636,-14.611945455 10.740272727,-14.573472727 10.8081909090001,-14.516527273 10.842781818,-14.553336364 10.7797181820001,-14.6111999999999 10.697818182,-14.6219454549999 10.6679181820001,-14.6672181819999 10.525,-14.6607 10.4733272730001,-14.617227273 10.469445455,-14.5771545449999 10.4779181820001,-14.5358272729999 10.506672727,-14.5461090909999 10.492918182,-14.5468727269999 10.415136364,-14.4575 10.2936090910001,-14.224863636 10.104581818,-14.1336090909999 10.048190909,-14.0655545449999 10.0322181820001,-13.9408363639999 9.94471818200003,-13.922227273 9.92944545500006,-13.846390909 9.86333636400008,-13.822363636 9.84944545500002,-13.781809091 9.84389090900004,-13.732990909 9.87284545500006,-13.702572727 9.90930909100007,-13.6886363639999 9.95219090900002,-13.684727273 9.93430909100005,-13.6887545449999 9.89944545500003,-13.711945455 9.85777272700005,-13.7339636359999 9.83805454500003,-13.7549999999999 9.78889090900003,-13.7473636359999 9.76090000000005,-13.720554545 9.74110909100006,-13.6969454549999 9.73819090900002,-13.675554545 9.74444545500006,-13.6467363639999 9.78562727300005,-13.655036364 9.83461818200004,-13.617227273 9.80194545500007,-13.594718182 9.76013636400006,-13.6027818179999 9.73443636400003,-13.672227273 9.56332727300003,-13.6795090909999 9.54146363600006,-13.543745455 9.50090000000006,-13.5227818179999 9.51180909100003,-13.5105545449999 9.53055454500003,-13.493136364 9.56007272700003,-13.5233363639999 9.47958181800004,-13.520554545 9.45721818200008,-13.411945455 9.28277272700007,-13.3136090909999 9.20555454500004,-13.2727818179999 9.20221818200002,-13.2697272729999 9.13971818200002,-13.3256999999999 9.07007272700002,-13.310418182 9.04277272700006,-13.2956087929999 9.03214505600005,-13.2959972739999 9.03188504800005,-13.2976149469999 9.03079985500005,-13.311487079 9.02541396700008,-13.314002595 9.02394327300004,-13.338507165 9.01374488400006,-13.355817594 9.00456487300005,-13.361009371 9.00371003200007,-13.3855036209999 8.99850157800006,-13.3963537459999 8.99676784100006,-13.426998135 8.99047142000006,-13.5075857599999 8.97327509700006,-13.526008346 8.96949439800005,-13.5623704779999 8.96237552400004,-13.7825549409999 8.92348294300007,-13.839185906 8.89763675200004,-13.996110065 8.73040194500004,-14.4334330309999 8.49370629800006,-14.434936728 8.49289177100007,-14.4372309669999 8.49165006700002,-14.712664565 8.34268288700002,-14.780535823 8.30772620400006,-15.282124984 8.05151124300005,-15.3028182589999 8.04090186100007,-15.397658743 7.99171064000006,-15.780185219 7.82922584100004,-16.5599552909999 7.49513160400005,-16.5613608359999 7.49452939600008,-17.067013201 7.72373521500003,-17.549802144 8.05267630700007,-17.9685314139999 8.45904926400004,-18.256016223 8.85548804700005,-15.5708329999999 10.6666670000001,-15.341667 10.6666670000001,-15.15 10.833333,-15.149999919 10.833332161,-15.1499995139999 10.8333325130001,-15.141433568 10.842254059,-15.136967409 10.8469051050001,-15.126693298 10.8597477430001,-15.126693218 10.859747833,-15.1138504909999 10.8734467510001,-15.1001515139999 10.8905705130001,-15.0873088439999 10.904269309,-15.0736095139999 10.9136875130001,-15.070703964 10.9155446930001,-15.057296688 10.924114101,-15.049315941 10.9300305300001,-15.0436435139999 10.934235513,-15.016846852 10.9564533870001,-15.0168465209999 10.9564536610001,-15.016845455 10.956454545,-15.016846049 10.9564539100001,-15.075072727 10.894163636,-15.0808363639999 10.8712454550001,-15.078553407 10.861863591,-15.0731999999999 10.8398636360001,-15.025418182 10.7827727270001,-15.005418182 10.771945455,-14.984445455 10.7690272730001,-14.9481999999999 10.787290909,-14.920554545 10.9002727270001,-14.906945455 10.927772727,-14.865836364 10.964654545,-14.749027273 10.979027273,-14.690418182 11.028890909,-14.7348636359999 10.959309091,-14.779163636 10.946663636,-14.815136364 10.937218182,-14.8188909089999 10.9175000000001)))', 'Guinean Exclusive Economic Zone', 'Guinea', 'Guinea', '', '194', '194', 'GIN', '8472', '', '109705537900', '8472', 'Y'),('SRID=4326;MULTIPOLYGON(((-113.203797772 -27.099748098,-113.203772772 -27.099586098,-113.203783772 -27.099348098,-113.117970772 -26.5243380969999,-113.114634772 -26.5149080969999,-113.112161772 -26.4981980969999,-112.917695771 -25.9449280969999,-112.913797771 -25.938181097,-112.912427771 -25.9342600969999,-112.911315771 -25.932335097,-112.907076771 -25.920195097,-112.897506771 -25.903623097,-112.889037771 -25.8793490969999,-112.593355771 -25.364070096,-112.589191771 -25.3591300959999,-112.575865771 -25.3357650959999,-112.574179771 -25.333764096,-112.569698771 -25.3259040959999,-112.563799771 -25.3189000959999,-112.563595771 -25.3185410959999,-112.176476771 -24.856233096,-112.175495771 -24.855405096,-112.174468771 -24.854172096,-111.70770277 -24.4582430949999,-111.70686277 -24.457745095,-111.70273377 -24.454222095,-111.17028277 -24.1359940949999,-111.16833177 -24.135224095,-111.16832177 -24.135218095,-110.585630769 -23.9037570949999,-110.581753769 -23.902897095,-110.581729769 -23.902887095,-109.965409769 -23.764746095,-109.959365769 -23.764369095,-109.957629769 -23.763975095,-109.325046768 -23.723051095,-109.324642768 -23.723089095,-109.324067768 -23.723051095,-108.692943767 -23.780548095,-108.677674767 -23.7844350949999,-108.666651767 -23.785413095,-108.054645767 -23.9396250949999,-108.053025767 -23.9403240949999,-108.052689767 -23.940408095,-108.050310767 -23.941434095,-108.047795767 -23.942062095,-108.035555767 -23.947342095,-108.024323767 -23.9501430949999,-108.015417767 -23.953983095,-107.991937767 -23.959832095,-107.937402767 -23.9103320949999,-107.417387766 -23.577968095,-106.844620766 -23.3311540939999,-106.235533765 -23.176874094,-106.234603765 -23.176791094,-106.234552765 -23.1767780939999,-105.606387765 -23.1193660939999,-105.544153764 -23.1235500939999,-105.522716764 -23.121532094,-104.893090764 -23.162218094,-104.888753764 -23.163205094,-104.887249764 -23.163298094,-104.273814763 -23.3012570939999,-103.693892763 -23.532600094,-103.690084763 -23.534900094,-103.688970763 -23.5353410939999,-103.159091762 -23.853479095,-102.694686762 -24.249370095,-102.309633761 -24.711670096,-102.015908761 -25.227025096,-102.015481761 -25.2282600959999,-102.013811761 -25.231173096,-101.821101761 -25.784548097,-101.736508761 -26.359616097,-101.764158761 -26.939173098,-101.904922761 -27.5056260979999,-102.156186761 -28.0415060989999,-102.158929761 -28.0452930989999,-102.159108761 -28.0456740989999,-102.514657762 -28.534179099,-102.964585762 -28.9597580999999,-103.495516763 -29.3086551,-104.090913763 -29.5694410999999,-104.731612764 -29.7334731,-105.396540764 -29.7952660999999,-106.063575765 -29.7527281,-106.084102765 -29.7481640999999,-106.159395765 -29.7431521,-106.737379766 -29.6129151,-106.818063766 -29.6838701,-107.365079766 -30.018438101,-107.550862766 -30.093481101,-107.554882766 -30.0959141009999,-108.164591767 -30.339696101,-108.166882767 -30.340215101,-108.167662767 -30.340524101,-108.819247768 -30.486152101,-108.828810768 -30.486781101,-108.849146768 -30.4912701009999,-109.521081768 -30.533769101,-109.521924768 -30.533693101,-109.523144768 -30.533768101,-110.192912769 -30.4718661009999,-110.838181769 -30.3076701009999,-111.43768677 -30.0466831009999,-111.97210377 -29.6975671,-112.424778771 -29.2717731,-112.425460771 -29.2708451,-112.425770771 -29.2705531,-112.783244771 -28.781860099,-113.035615771 -28.245844099,-113.176655772 -27.679315098,-113.203797772 -27.099748098),(-109.421527768 -27.104728098,-109.446108768 -27.178055098,-109.445272768 -27.198200098,-109.427781768 -27.201946098,-109.415845768 -27.193337098,-109.388899768 -27.1772280979999,-109.333890768 -27.151391098,-109.321672768 -27.1491730979999,-109.290845768 -27.150000098,-109.238608768 -27.132082098,-109.224163768 -27.121110098,-109.217781768 -27.108755098,-109.219590768 -27.0976460979999,-109.368618768 -27.063610098,-109.393481768 -27.067500098,-109.409181768 -27.0844460979999,-109.415554768 -27.092500098,-109.421527768 -27.104728098)))', 'Chilean Exclusive Economic Zone (Easter Island)', 'Easter Island', 'Chile', '', '224', '225', 'CHL', '21787', '2012-10 (name)', '721666598400', '21787', 'Y'),('SRID=4326;MULTIPOLYGON(((-56.7984862126645 6.56392456516517,-56.782 6.58550000000014,-56.7056666666666 6.73316666666665,-56.3623333333333 7.40750000000014,-56.348 7.43516666666676,-56.3281666666666 7.48300000000012,-56.2498333333334 7.66600000000011,-56.2051666666666 7.89133333333331,-56.0826176935282 8.5118848042859,-56.0665 8.59350000000018,-56.0624999999999 8.61266666666677,-55.9348333333334 9.00050000000005,-55.9160952843449 9.03692536625783,-55.8813333333333 9.10449999999997,-55.7684873368038 9.32217478419045,-55.6682268239999 9.33093278600023,-55.6633291519998 9.3305112270001,-55.6591575709999 9.3308730670002,-55.6254558239999 9.32797062200012,-55.5977018659999 9.33037518100019,-55.5960379609999 9.33023172900022,-55.5896471779999 9.33078517100023,-55.5795043669999 9.3299104670001,-55.5695103799998 9.3307755740002,-55.4058171049999 9.31662633100018,-55.0375851719999 9.34823664500016,-55.0353587929999 9.34804217000016,-55.0335577719999 9.34819608100014,-54.8585229769999 9.33287435600016,-54.8532539129999 9.33332273600013,-54.8518097859998 9.3331960480001,-54.8411714069999 9.3341011330001,-54.8401897729999 9.33401499500008,-54.8290888439999 9.33495916100009,-54.8247909849998 9.33458190400017,-54.8200195519999 9.33498760900011,-54.2342381209999 9.28321133900016,-54.2313877979998 9.28244907800024,-54.2291986289999 9.28225426000012,-54.228633863 9.28210322000024,-54.222129804 9.2815243500001,-54.2014009589998 9.27597986100011,-54.2009918469998 9.27594343000021,-54.199241683 9.27547525400018,-54.1949684829999 9.27509468700021,-54.1921831589999 9.27434956200011,-54.1909432629998 9.27423912400025,-54.1882115869998 9.27350832700023,-54.1869180289999 9.27339309900015,-54.1846851829998 9.27279573300024,-54.1818783699999 9.2725456820001,-54.1811856689998 9.27236035300012,-54.1738261489999 9.27170462700019,-54.1718185699999 9.27116747000008,-54.1687864179999 9.2708972640001,-54.1665545229998 9.27030006300015,-54.1637467769999 9.27004982500023,-54.1615739649999 9.26946841000017,-54.1587071179999 9.26921287500011,-54.1563073209999 9.26857069300024,-54.1536675499999 9.26833537200008,-54.147991969 9.26681651000018,-54.1466314749999 9.26669520800004,-54.1233118789999 9.26045373500011,-54.0892285379999 9.25741200400023,-54.0865600539998 9.25669750900022,-54.085203379 9.2565763780002,-54.0827008149998 9.2559062860002,-54.081178161 9.25577032300021,-54.0561871299999 9.24907780700016,-54.0560165859998 9.24906257000004,-53.9949601879999 9.2327058850002,-53.8767718349998 9.22211743100019,-53.8707805239998 9.22051039600018,-53.8697364019998 9.22041671500017,-53.8668126819999 9.21963245600023,-53.8666950259998 9.21962189900012,-53.8639772679999 9.2188928700001,-53.8626701079999 9.21877557000016,-53.8566237599998 9.21715358100016,-53.8556347299998 9.2170648140002,-53.852751746 9.21629139200019,-53.8516098929998 9.21618890100012,-53.8501771159999 9.21580451700009,-53.8455560789999 9.21538969800019,-53.8439962119999 9.21497119800017,-53.8395330559999 9.21457049700018,-53.8386586659999 9.21433589400021,-53.8314506429999 9.2136886620001,-53.8298355109999 9.21325528500023,-53.8254276569999 9.21285942300017,-53.8237158599999 9.21240008500018,-53.819373984 9.21201009600014,-53.8187666189999 9.21184711000018,-53.8113222149999 9.21117835300015,-53.8106005729998 9.21098468800022,-53.8032705019999 9.21032608200022,-53.8029396059998 9.21023727500011,-53.794204447 9.20945227400023,-53.785466748 9.20710696700024,-53.7841277819999 9.20698660200014,-53.7829645969998 9.20667437200024,-53.7770904719999 9.20614626300016,-53.7758689879999 9.2058183650002,-53.7700531939999 9.20529541800022,-53.768459709 9.20486763500008,-53.7639995279999 9.20446652100009,-53.7627789669999 9.20413883700019,-53.7569622629999 9.20361565400015,-53.7557574329999 9.20329217400018,-53.749894266 9.20276472900014,-53.7249943889998 9.1960784210001,-53.724735009 9.19605507300014,-53.7094104839998 9.19193931200022,-53.7086378559998 9.19186973800009,-53.7058172769999 9.19111214400016,-53.704613142 9.19100370500013,-53.6649256889999 9.18034183800017,-53.6623122669999 9.18010626600022,-53.6619967179998 9.18002147900023,-53.653246456 9.17923263000006,-53.651194615 9.17868126300021,-53.6482380449999 9.17841467700015,-53.6460360609999 9.17782294000017,-53.6431989739999 9.17756709800011,-53.6024458339999 9.16661334300017,-53.593861853 9.1658384550002,-53.5916600379999 9.16524649800016,-53.5888228539999 9.16499033600013,-53.5866239709998 9.16439914300014,-53.5837838579999 9.16414268800014,-53.5821277759999 9.16369741600022,-53.577761213 9.16330308000011,-53.5752802289999 9.16263598000018,-53.573736498 9.16249655200016,-53.0067222609998 9.00967512400013,-53.0052075349999 9.00896771700013,-53.004697399 9.00882990500008,-53.0044146409999 9.00869785000009,-53.0016892819999 9.00796159000009,-53.0001722479998 9.00725308600011,-52.9996644249998 9.00711589300022,-52.9994351719999 9.00700882300009,-52.9966562719999 9.00625806900013,-52.9955559289999 9.00574415800014,-52.9946617979999 9.00550259200003,-52.9928418009998 9.00465255800009,-52.992637181 9.00459727500021,-52.991333227 9.00398825500008,-52.990642867 9.00380173500008,-52.9903513719999 9.00366558900021,-52.987604075 9.00292331700024,-52.9860989599999 9.00222032200008,-52.9856099199998 9.00208818900023,-52.984246035 9.00145115200019,-52.9835849609999 9.00127253400018,-52.9832009979999 9.00109319300014,-52.9805769439999 9.00038417800022,-52.974687005 8.99763301800016,-52.9725388659999 8.99705255500015,-52.9711752849998 8.99641561200013,-52.9705139189999 8.99623689600008,-52.9688564329999 8.99546265800012,-52.968519897 8.99537171700018,-52.9684327759999 8.9953310210002,-52.965480973 8.99453335000015,-52.962460231 8.9931222690002,-52.9614620159999 8.99285250800017,-52.9599041609999 8.99212477200018,-52.9594679259998 8.99200688100012,-52.9579033869999 8.99127601400011,-52.9574431459999 8.99115163300024,-52.95603815 8.9904952880002,-52.9554489419999 8.9903360510001,-52.9536783899999 8.9895089270002,-52.9534243249999 8.98944026300023,-52.9453393819999 8.98566321900017,-52.8689543439999 8.96501152100012,-52.8676464419999 8.96440023500014,-52.8669294389999 8.96420632200017,-52.8655773739998 8.9635743880001,-52.8649352669999 8.96340072700008,-52.8648003359999 8.96333766200024,-52.8618964829999 8.96255229100018,-52.860292396 8.96180254500018,-52.8599025119998 8.96169709500015,-52.8585414809999 8.9610609450001,-52.8578776569998 8.96088140100017,-52.6640418369999 8.87715326300008,-53.069731576 7.91077769900022,-53.4737060269999 6.94356726200016,-53.7150601479999 6.36708449200012,-53.7219890499999 6.35038167300024,-53.8020651019999 6.15869258600009,-53.8868745099999 5.95846569200006,-53.8918523939999 5.94644174800015,-53.9366579749999 5.84821327300017,-53.9376667899999 5.84568327900024,-53.9378006879999 5.84539090400011,-53.9420614939999 5.83552301600008,-53.9437812439999 5.83086093200018,-53.9462562829999 5.82359069700016,-53.9465333559999 5.82127297900024,-53.947986182 5.81855007500019,-53.9497451989998 5.81476005700011,-53.9550146439998 5.80297039700008,-53.9593020249998 5.79109097900016,-53.9605637609999 5.78566176300023,-53.9625982099999 5.77813747900024,-53.9630004009999 5.77637567400024,-53.9643997479998 5.76882880900013,-53.965940808 5.76206468500015,-53.966950574 5.75542972800019,-53.9671479409998 5.75432410600018,-53.9858761559999 5.71801230000005,-54.0018164559999 5.6906860700002,-54.0177567559999 5.66563702700023,-54.0268654999999 5.63603361200018,-54.0314198709999 5.60643019700024,-54.0291426849999 5.57227241000015,-54.0291426849999 5.54266899500021,-54.0428057999998 5.50623402300005,-54.0655776579999 5.46752186500015,-54.0860723299999 5.4379184500001,-54.1111213729998 5.40603784900009,-54.14527916 5.37188006300022,-54.1662776989999 5.34768948200019,-54.166681818 5.34740000000022,-54.1422272729999 5.39527272700019,-54.120490909 5.43160000000023,-54.0958363639999 5.45805454500021,-54.0677818179998 5.4915272730002,-54.0518090909999 5.52708181800011,-54.0515363639998 5.59020909100013,-54.0464636359999 5.65353636400005,-54.0065272729999 5.72124545500014,-53.9902090909999 5.74694545500012,-54.0255636359999 5.8186090910001,-54.1786090909998 5.87139090900013,-54.2047272729999 5.87971818200015,-54.2986181819999 5.89805454500021,-54.3444545449998 5.90694545500008,-54.6391636359999 5.95471818200019,-54.7099454549999 5.96243636400015,-54.7794454549999 5.98250000000024,-54.8769454549999 5.9852818180002,-54.9702818179999 5.98805454500018,-55.0473636359999 6.00180909100015,-55.1594454549999 5.96340000000015,-55.1447272729998 5.93416363600016,-55.1062545449998 5.90458181800017,-54.9953454549998 5.86576363600017,-54.968890909 5.87333636400024,-54.8872909089999 5.8795454550002,-54.8644454549998 5.8551363640002,-54.9466727269999 5.84610909100013,-55.0161090909999 5.85041818200023,-55.1044454549999 5.83944545500015,-55.1279636359999 5.82217272700007,-55.1140272729999 5.84000000000015,-55.1155545449999 5.87698181800022,-55.175 5.90721818200018,-55.2305636359998 5.89805454500021,-55.2538909089998 5.91583636400003,-55.266672727 5.92360909100023,-55.3390272729998 5.95013636400012,-55.3772272729998 5.96000000000021,-55.412781818 5.96416363600008,-55.5486181819999 5.9777818180001,-55.6202818179999 5.97444545500019,-55.7680636359999 5.96721818200024,-55.8277818179999 5.95833636400022,-55.855836364 5.94889090900023,-55.9227181819999 5.87607272700023,-55.8911090909999 5.77583636400021,-55.877781818 5.71763636400021,-55.8859727269999 5.68305454500018,-55.8995545449999 5.67190909100015,-55.898609091 5.67444545500018,-55.8944454549999 5.73027272700011,-55.9105545449999 5.77836363600022,-56.0177818179998 5.81833636400017,-56.2605636359999 5.88916363600009,-56.4800090909999 5.9454181820002,-56.5544545449998 5.94833636400023,-56.6036181819999 5.94050000000021,-56.700563636 5.96555454500015,-56.9644454549999 5.99708181800008,-56.9924999999999 5.98944545500018,-57.0679181819999 5.94173636400024,-57.1324999999998 5.76750000000021,-57.1359727269999 5.69250000000022,-57.1388909089999 5.67166363600018,-57.1674272729999 5.5413909090002,-57.1843090909999 5.51889090900016,-57.2485090909998 5.48610909100006,-57.1955636359998 5.56889090900023,-57.1827818179999 5.60069090900021,-57.1752818179998 5.63750000000016,-57.1357636359999 5.95410000000015,-57.1463708500761 5.99511141947215,-57.1221666666667 6.13883333333342,-56.9978333333333 6.22450000000015,-56.9771666666666 6.26983333333339,-56.9501666666667 6.31950000000012,-56.8616666666666 6.4668333333334,-56.8203333333332 6.53533333333348,-56.7984862126645 6.56392456516517)))', 'Surinamese Exclusive Economic Zone', 'Suriname', 'Suriname', '', '168', '168', 'SUR', '8461', '2014-02', '128809474200', '8461', 'Y'),('SRID=4326;MULTIPOLYGON(((-49.4178293539999 7.00618854200007,-51.6338888889999 4.50138888900005,-51.6418426179999 4.48781455000005,-51.645825755 4.47320971700003,-51.649863325 4.45840529200007,-51.6483754129999 4.44699796700007,-51.6458529719999 4.42765924900004,-51.641343916 4.40661698800005,-51.637832265 4.39022928300005,-51.631148343 4.35146253400006,-51.62446442 4.31937970600006,-51.6196996159999 4.29691705700003,-51.615106929 4.27526581900003,-51.603075869 4.23382550000002,-51.597728731 4.18837482800006,-51.6097597909999 4.16431270700002,-51.6231276359999 4.13757701800006,-51.6286612329999 4.12429638500004,-51.63649548 4.10549419000006,-51.640714674 4.08692974000007,-51.643179403 4.07608493200007,-51.661894385 4.05469638000005,-51.671251877 4.04667567300004,-51.683629405 4.03458771000004,-51.684063636 4.03416363600007,-51.674445455 4.04944545500007,-51.661045455 4.08110909100003,-51.6522272729999 4.13721818200003,-51.648054545 4.16721818200006,-51.648472727 4.20028181800006,-51.6557 4.22541818200006,-51.674445455 4.25333636400006,-51.7025 4.28708181800005,-51.713890909 4.31291818200003,-51.744172727 4.42110909100006,-51.7524999999999 4.45528181800006,-51.7563909089999 4.47721818200006,-51.759172727 4.50028181800008,-51.767018182 4.53763636400004,-51.794445455 4.60555454500008,-51.8616 4.65930909100007,-51.900009091 4.66180909100007,-51.915554545 4.64652727300006,-51.924445455 4.62097272700004,-51.9313999999999 4.57000000000005,-51.9313999999999 4.52916363600002,-51.9293090909999 4.48680909100005,-51.926390909 4.46528181800005,-51.923618182 4.42708181800003,-51.9281999999999 4.40083636400004,-51.951181818 4.37263636400007,-51.991945455 4.34819090900004,-52.0407 4.33458181800006,-52.029036364 4.35236363600006,-52.0012545449999 4.36889090900007,-51.960418182 4.40013636400005,-51.9508363639999 4.42389090900002,-51.9508363639999 4.45666363600003,-51.956254545 4.49236363600005,-51.978054545 4.58694545500003,-51.985281818 4.61360909100006,-51.9969454549999 4.64305454500004,-52.023472727 4.68569090900007,-52.0644454549999 4.73389090900002,-52.289727273 4.93840000000006,-52.3307 4.94889090900006,-52.422227273 4.99250000000006,-52.567509091 5.09666363600007,-52.611118182 5.12944545500005,-52.736390909 5.26055454500005,-52.7875090909999 5.32194545500005,-52.799727273 5.34194545500003,-52.886527273 5.42028181800003,-52.937781818 5.45833636400005,-52.9732 5.47305454500003,-53.084445455 5.48333636400002,-53.186390909 5.49916363600005,-53.302781818 5.52305454500004,-53.408336364 5.54889090900002,-53.4836090909999 5.56805454500005,-53.4943363639999 5.57234545500006,-53.499172727 5.58028181800006,-53.522363636 5.60471818200006,-53.636672727 5.67305454500007,-53.750836364 5.73139090900003,-53.8586090909999 5.75541818200003,-53.911390909 5.75028181800008,-53.939727273 5.74471818200004,-53.9816727269999 5.69055454500005,-53.992227273 5.67305454500007,-54.0056999999999 5.64152727300007,-54.011118182 5.60597272700005,-54.0038909089999 5.57569090900006,-54.0067363639999 5.54479090900003,-54.0581999999999 5.43736363600004,-54.0695909089999 5.41805454500008,-54.091663636 5.39194545500004,-54.139863636 5.35778181800003,-54.166681818 5.34740000000005,-54.166277699 5.34768948200002,-54.14527916 5.37188006300005,-54.1111213729999 5.40603784900003,-54.08607233 5.43791845000004,-54.0655776579999 5.46752186500004,-54.0428057999999 5.50623402300005,-54.029142685 5.54266899500004,-54.029142685 5.57227241000004,-54.031419871 5.60643019700007,-54.0268655 5.63603361200006,-54.017756756 5.66563702700006,-54.001816456 5.69068607000003,-53.985876156 5.71801230000005,-53.967147941 5.75432410600007,-53.966950574 5.75542972800002,-53.965940808 5.76206468500004,-53.9643997479999 5.76882880900007,-53.9630004009999 5.77637567400006,-53.96259821 5.77813747900007,-53.9605637609999 5.78566176300006,-53.9593020249999 5.79109097900005,-53.955014644 5.80297039700002,-53.9497451989999 5.81476005700006,-53.947986182 5.81855007500008,-53.946533356 5.82127297900007,-53.946256283 5.82359069700004,-53.943781244 5.83086093200006,-53.942061494 5.83552301600002,-53.937800688 5.84539090400006,-53.93766679 5.84568327900007,-53.9366579749999 5.84821327300006,-53.891852394 5.94644174800004,-53.88687451 5.95846569200006,-53.802065102 6.15869258600003,-53.7219890499999 6.35038167300007,-53.715060148 6.36708449200006,-53.4737060269999 6.94356726200004,-53.069731576 7.91077769900005,-52.664041837 8.87715326300003,-52.657069177 8.87393561400006,-52.6249000079999 8.86539973300006,-52.624556468 8.86524113900003,-52.6218918129999 8.86453399100003,-52.621648083 8.86442147200006,-52.618883581 8.86368780800007,-52.6173343469999 8.86297258300004,-52.6138498679999 8.86204781200007,-52.61213329 8.86125530700002,-52.6118245559999 8.86117336800004,-52.6104753879999 8.86055048100008,-52.609829793 8.86037913400003,-52.608268971 8.85965852200007,-52.60780442 8.85953522400007,-52.606097819 8.85874729700004,-52.605809807 8.85867085400002,-52.604249082 8.85795026900007,-52.603784439 8.85782694300002,-52.515807949 8.81719743400004,-52.5112710889999 8.81599234400005,-52.215758289 8.67936072300006,-52.058831165 8.63755008500004,-51.8213200769999 8.52747459000005,-51.646652237 8.48078974300006,-51.6388691669999 8.47717685500004,-51.4204157 8.41869923700006,-50.889695858 8.17170425500007,-50.4110506759999 7.83682107000004,-50.3047808599999 7.73051297300003,-50.243015079 7.70163031400006,-49.765181787 7.36633067500003,-49.4595042989999 7.03532223200006,-49.4178293539999 7.00618854200007)))', 'French Guiana Exclusive Economic Zone', 'French Guiana', 'France', '', '179', '169', 'GUF', '8462', '2012-10', '135316145600', '8462', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.71471818199996 5.27847272700006,-3.73471818199994 5.25916363600004,-3.78110909099996 5.25805454500005,-3.84528181799993 5.26500000000004,-3.88916363599998 5.26944545500004,-3.93778181799996 5.27166363600003,-4.00354545499994 5.25666363600004,-3.97833636399997 5.23833636400008,-3.95221818199997 5.23027272700006,-3.79680909099994 5.19160000000005,-3.75666363599993 5.19110909100004,-3.67028181799998 5.17500000000007,-3.55006363599995 5.15134545500007,-3.51249999999993 5.14750000000004,-3.45430909099997 5.14013636400006,-3.42639090899996 5.13055454500005,-3.39889090899993 5.12360909100005,-3.35013636399998 5.11736363600005,-3.29799090899996 5.11916363600005,-3.27847272699995 5.13778181800006,-3.26499999999993 5.22639090900003,-3.26028181799995 5.27805454500003,-3.25757272699997 5.33229090900005,-3.22610909099996 5.35750000000007,-3.14020909099997 5.36430909100005,-3.12583636399995 5.34694545500003,-3.13208181799996 5.31548181800002,-3.17139090899997 5.27610909100002,-3.19749999999993 5.23528181800003,-3.19791818199997 5.20736363600003,-3.13610909099998 5.14221818200002,-3.00610909099993 5.12889090900006,-2.92971818199993 5.16833636400003,-2.86305454499995 5.18277272700004,-2.84795454499994 5.14683636400002,-2.87528181799996 5.13944545500004,-2.89583636399993 5.13278181800007,-2.93221818199993 5.11513636400002,-2.92812727299997 5.10021818200005,-2.97555454499997 5.08305454500004,-3.04166363599995 5.10721818200005,-3.10227272699996 5.10954545500005,-3.16833636399997 5.11721818200004,-3.14860909099997 5.09583636400004,-3.11376772899996 5.08756397300004,-3.10275793099993 5.09062420400005,-3.16758872699995 4.79499813800004,-3.33507933499993 4.07187787500004,-3.41273375699996 3.69413006700006,-3.65980189899994 2.45861697900006,-3.72240783799998 2.14626111000007,-3.78911364999993 1.82490917600006,-3.91419313399996 1.84882065100004,-3.98991653599995 1.86453527100002,-4.08536457899993 1.88071923800004,-4.08956359399997 1.88109303200002,-4.09074099799994 1.88141038800006,-4.09652636399994 1.88192535400003,-4.09785431299997 1.88228327600007,-4.10087561899996 1.88147848900007,-4.10376095999993 1.88123041800003,-4.10586147799995 1.88067088600008,-4.11450418099997 1.87992773100007,-4.11780931999994 1.87904726200003,-4.12025387799997 1.87883703500006,-4.12279519399993 1.87816002400007,-4.17632258599997 1.86935333900004,-4.17757934799994 1.86901843700002,-4.17898298099993 1.86889762100003,-4.18156202099993 1.86821034700006,-4.18411786499996 1.86799034000006,-4.18654796299995 1.86734273900004,-4.24867450399995 1.86199212500003,-4.25030112999997 1.86155850000006,-4.82888671699993 1.81149182500008,-4.83310460099995 1.81186344300005,-4.83785461099995 1.81145063600007,-4.83841418399993 1.81149993300005,-4.85776583799998 1.80981784400007,-4.86335549299997 1.81031011900006,-4.87871097099998 1.80897494600003,-4.88082982999993 1.80916150100006,-4.95622139899996 1.80260164000003,-5.05944198199995 1.75450371900007,-5.07107015499997 1.75139098000005,-5.09635143099996 1.73960747000007,-5.09673002299996 1.73950610800006,-5.09832935799994 1.73876062800002,-5.09897912099996 1.73858666200005,-5.10033763599995 1.73795342800003,-5.10076676299997 1.73783853400005,-5.10231555199994 1.73711660400005,-5.10500751199993 1.73639584900008,-5.10529701999997 1.73626090000005,-5.10801029999993 1.73553442500003,-5.10830891599994 1.73539522900006,-5.10909140199993 1.73518571800003,-5.11028672999993 1.73462853000007,-5.11305059899996 1.73388849100007,-5.11329861599995 1.73377287900007,-5.11402833099993 1.73357749200005,-5.11527644999995 1.73299568700003,-5.14004275899993 1.72636384400005,-5.14019249399996 1.72629404000003,-5.14207251599993 1.72579057900003,-5.14618702099995 1.72387243200006,-5.14656653999998 1.72377079600005,-5.14816498899995 1.72302560400004,-5.15087938499994 1.72229867000004,-5.15117692599995 1.72215995500005,-5.15402391699996 1.72139749900003,-5.15415839299993 1.72133480500003,-5.16002041999997 1.71976485300007,-5.16015171399994 1.71970364100002,-5.17691483399994 1.71521392600005,-5.18507061799994 1.71141130100006,-5.18987484199994 1.71012444600007,-5.20500254899997 1.70307077300004,-5.20781934299993 1.70231619400005,-5.20801451399996 1.70222518700007,-5.21149356399997 1.70129318400006,-5.21297398199994 1.70060286700004,-5.21362588399995 1.70042822500005,-5.21498235399997 1.69979570100003,-5.24177710399994 1.69261696600006,-5.30472269299997 1.66325950100003,-5.30507363799995 1.66316544000006,-5.30673124799995 1.66239225300006,-5.30726512899997 1.66224915900006,-5.30870930999993 1.66157552100003,-5.30936301899993 1.66140030800005,-5.31071776899995 1.66076838100003,-5.31341514999997 1.66004539500005,-5.31369945899996 1.65991277700005,-5.31650021299993 1.65916207200007,-5.31668111799996 1.65907768700004,-5.39388930899997 1.63837889200005,-5.49716989499996 1.59018187800007,-5.49772621299996 1.59003262600004,-5.49917855499996 1.58935475400006,-5.50450960399996 1.58792447800005,-5.56900091799997 1.55781971400006,-5.60104241399995 1.54921962000003,-5.88319883099996 1.41741986500006,-5.88349111299993 1.41734129800005,-5.88517752999996 1.41655318400007,-5.88558973699998 1.41644237900005,-5.88718662599996 1.41569610000005,-5.89069537099994 1.41475290300002,-5.89214749599995 1.41407426600006,-5.89221840799996 1.41405520400002,-5.90813033399996 1.40661870800005,-5.96295975999993 1.39187652700002,-6.25629217599993 1.25469787300005,-6.25658863799993 1.25461803900004,-6.25827123799996 1.25383080400007,-6.25934184999994 1.25354249600002,-6.26225960499994 1.25217735800004,-6.26792806299994 1.25065084100004,-6.26825558399997 1.25049760000007,-6.27122915499996 1.24969680000004,-6.27123829099997 1.24969252500006,-6.27403186899994 1.24894018800006,-6.27425152999996 1.24883741100007,-6.27490351999995 1.24866182200003,-6.27623044799998 1.24804096100007,-6.29064711999996 1.24415821900004,-6.33209937799995 1.22476094900003,-6.89270302799997 1.07355123600007,-7.47094594599997 1.02165446200007,-7.47146560499993 1.02169863100005,-7.47194973999996 1.02165501900004,-7.54006119099995 1.02741995600007,-7.54003441699996 2.04402166500006,-7.54001703399996 3.06131529900006,-7.54000907099993 4.07849828400003,-7.53990077299994 4.09327046600004,-7.54581837299997 4.16381590700007,-7.54152652699997 4.29714463800002,-7.53800967099994 4.32486822900006,-7.53453944499995 4.34381083600005,-7.53450013299994 4.34413755600002,-7.53259651799993 4.35314842700006,-7.53127517999997 4.35124540600003,-7.52539999299995 4.35280908800007,-7.49778181799996 4.34721818200006,-7.46971818199995 4.34471818200007,-7.43639090899995 4.34916363600007,-7.41819999999996 4.35805454500007,-7.38194545499994 4.39347272700007,-7.30110909099994 4.45250000000004,-7.20666363599997 4.50860909100004,-7.19461818199994 4.51501818200006,-7.13402727299996 4.51763636400005,-7.07166363599993 4.53000000000003,-7.03819999999996 4.54471818200005,-6.92339999999996 4.63319090900006,-6.90819090899993 4.65715454500003,-6.87139090899996 4.67000000000007,-6.82555454499993 4.67971818200004,-6.78860909099996 4.68416363600005,-6.74639090899996 4.68374545500006,-6.70944545499998 4.69139090900006,-6.61889090899996 4.72278181800004,-6.59916363599996 4.73721818200005,-6.57916363599998 4.75819090900006,-6.55555454499995 4.76889090900005,-6.40639090899998 4.82360909100004,-6.31666363599993 4.85055454500002,-6.26971818199996 4.86389090900008,-6.24975454499997 4.86835454500005,-6.21499999999998 4.87777272700004,-6.07680909099997 4.94208181800008,-6.05770909099994 4.95889090900005,-5.95889090899993 4.99750000000006,-5.89749999999998 5.02013636400005,-5.85949090899993 5.03063636400003,-5.82110909099993 5.03889090900003,-5.48305454499996 5.09139090900004,-5.42838181799993 5.09829090900007,-5.40028181799994 5.09778181800004,-5.38028181799996 5.09833636400003,-5.33471818199996 5.10055454500002,-5.01419999999996 5.12522727300006,-5.02889090899993 5.17916363600006,-5.05028181799997 5.18847272700003,-5.07538181799993 5.18555454500006,-5.09974545499995 5.16454545500005,-5.13377272699995 5.17042727300003,-5.16694545499996 5.19555454500005,-5.23039090899994 5.19920909100006,-5.24028181799997 5.15944545500003,-5.27913636399995 5.12541818200003,-5.36049090899996 5.11847272700004,-5.41097272699994 5.15416363600002,-5.39499999999993 5.16860909100006,-5.35305454499996 5.14850000000007,-5.30360909099994 5.18069090900002,-5.29813636399996 5.19106363600002,-5.30299090899996 5.19610909100004,-5.31977272699993 5.19055454500005,-5.33970909099997 5.19774545500007,-5.34083636399993 5.20139090900005,-5.32291818199997 5.22895454500002,-5.27166363599997 5.21583636400004,-5.26101818199993 5.21094545500006,-5.22889090899997 5.21471818200007,-5.19583636399994 5.21666363600002,-5.16401818199995 5.20740000000006,-5.10982727299995 5.18387272700005,-5.06991818199998 5.20193636400006,-5.02666363599997 5.21471818200007,-4.99868181799997 5.20798181800006,-5.00839999999994 5.16298181800005,-4.97916363599995 5.13180909100004,-4.94583636399994 5.12860909100004,-4.89389090899994 5.12860909100004,-4.83971818199996 5.13471818200003,-4.79139090899997 5.14083636400005,-4.78768181799995 5.14206363600005,-4.77805454499998 5.14166363600003,-4.75333636399995 5.14444545500004,-4.71389090899993 5.15250000000003,-4.66257272699994 5.16860909100006,-4.63028181799996 5.17694545500007,-4.34971818199995 5.19750000000005,-4.26471818199997 5.20139090900005,-4.23778181799997 5.20194545500004,-4.19569090899995 5.20402727300007,-4.00569090899995 5.23097272700005,-4.04034545499997 5.27450909100003,-4.09319090899993 5.27721818200007,-4.12610909099993 5.27721818200007,-4.14639090899993 5.27721818200007,-4.22555454499997 5.25569090900007,-4.29166363599995 5.24221818200004,-4.40555454499997 5.22221818200006,-4.44639090899994 5.21778181800005,-4.47083636399998 5.22027272700007,-4.51055454499993 5.22305454500003,-4.55597272699993 5.22139090900004,-4.71444545499998 5.20277272700002,-4.73639090899997 5.19750000000005,-4.78728181799994 5.16830909100003,-4.80749999999995 5.17652727300003,-4.80083636399996 5.20971818200007,-4.79849999999993 5.21224545500007,-4.74166363599994 5.22471818200006,-4.60541818199994 5.23889090900008,-4.51249999999993 5.25721818200003,-4.48131818199994 5.27840000000003,-4.46805454499997 5.29555454500007,-4.32333636399994 5.30305454500007,-4.06028181799996 5.29666363600006,-3.91139090899998 5.32000000000005,-3.84860909099996 5.29666363600006,-3.79583636399997 5.27250000000004,-3.73875454499995 5.27603636400005,-3.77513636399993 5.32680909100003,-3.80555454499995 5.35152727300004,-3.81173636399996 5.37263636400007,-3.77139090899993 5.37055454500006,-3.75444545499994 5.35333636400003,-3.71471818199996 5.27847272700006)))', 'Ivory Coast Exclusive Economic Zone', 'Ivory Coast', 'Ivory Coast', '', '195', '195', 'CIV', '8473', '', '175346827100', '8473', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4272044543967 -6.07238138181629,12.3629110861112 -6.05293336944436,12.3081562767715 -6.07000559889707,12.3058363640002 -6.05986363599993,12.2800000000002 -6.06333636399995,12.2566000000003 -6.07763636399989,12.2527557015579 -6.08727917437409,12.1712365583335 -6.11269636666657,11.9795394500003 -6.17245938055549,9.11374964722256 -7.06505067222224,9.09956215555553 -7.03496175277769,9.09445176918723 -7.02042831704307,9.09176568256498 -7.01278935112344,9.08905984444465 -7.00509421388881,9.07502815833368 -6.96737293055548,9.06643618055568 -6.94454779166665,9.05197320277779 -6.90451535277765,9.03896668333357 -6.86542055555555,9.02363505555576 -6.81615320555545,9.00732426388913 -6.76987018055553,9.12098359021138 -6.73444834694465,9.82202059926345 -6.51597075172089,11.8199950861114 -5.8933036805555,12.011592838889 -5.8335390277777,12.2025312344447 -5.77301028611112,12.2117494326571 -5.77133866070841,12.213600786539 -5.76950116445352,12.2145545450002 -5.76855454499986,12.2350000000001 -5.81291818199986,12.2650000000001 -5.86471818199982,12.4358363640001 -6.01666363599992,12.5247181820001 -6.00694545499982,12.6597181820002 -5.97930909099989,12.7142363640002 -5.95076363599986,12.7226363640001 -5.91194545499997,12.7581909090001 -5.86097272699988,12.8979181820002 -5.81194545499983,12.9747909090002 -5.82770909099992,12.9980545450002 -5.84333636399992,13.1079181820001 -5.86916363599983,13.1788818180001 -5.85632727299992,13.1451998930003 -5.87190008299984,13.1725818180002 -5.86385454499992,13.1255545450003 -5.89139090899994,13.0919454550002 -5.89833636399987,13.0593000000003 -5.87847272699992,12.9798636360003 -5.88444545499993,12.9530545450001 -5.89944545499998,12.9452727270002 -5.91889090899997,12.9306909090004 -5.94583636399994,12.8916636360002 -5.97610909099996,12.8265272730004 -6.00694545499982,12.7950000000002 -6.01652727299984,12.7277727270002 -6.01916363599992,12.5800000000002 -6.03610909099984,12.5277727270004 -6.04805454499984,12.4272044543967 -6.07238138181629)))', 'Democratic Republic of the Congo Exclusive Economic Zone', 'Democratic Republic of the Congo', 'Democratic Republic of the Congo', '', '199', '199', 'COD', '8477', '2014-02', '13894224080', '8477', 'Y'),('SRID=4326;MULTIPOLYGON(((131.872586185 36.340332561,131.539364049 36.1384380330001,131.265 36.1666666670001,131.133143444 36.39673464,131.238189432 36.9114685550001,131.246430199 36.937434904,131.296518189 37.093873833,131.355716787 37.246833123,131.389064105 37.3330625190001,131.401641937 37.365221638,131.44358043 37.4544071940001,131.471341984 37.513671028,131.475400843 37.52244957,131.47645418 37.5246932060001,131.573410622 37.730323862,131.876033821 38.366325386,132.47235545 39.5881351150001,132.815554096 40.268984663,133.110186505 40.1871703470001,133.640220926 40.039988968,134.221631595 39.878541295,134.234522342 39.5393440140001,134.250115181 39.1171703530001,134.267029206 38.588847496,134.26707947 38.5868741520001,134.270552642 38.4481772280001,133.023013295 37.2460723510001,132.708985391 36.934698611,132.619932271 36.8515012940001,132.583200262 36.81704296,132.562637267 36.7976619310001,132.440012291 36.690323947,132.43410245 36.685125301,132.401910069 36.6638386240001,132.365570963 36.640833881,132.271045495 36.5818145690001,132.178406825 36.5250156760001,131.932058635 36.376129312,131.872586185 36.340332561)))', 'Japan - South Korea Conflict Zone', 'Japan - South Korea Conflict Zone', 'Disputed', 'Japan / South Korea', '0', '226', '-', '21794', '', '66309151110', '21794', 'Y'),('SRID=4326;MULTIPOLYGON(((7.12151388900003 3.04215277800006,7.12151365300002 3.04215273300002,7.05194444400007 3.02888888900003,7.02944444400003 3.02416666700003,7.01861111100004 3.02194444400004,6.94944444400005 3.00666666700005,6.63527777800005 2.91277777800002,6.52944444400003 2.87305555600005,6.49083333300007 2.85805555600007,6.44472222200005 2.83833333300004,6.26583333300005 2.75500000000005,5.98333333300008 2.61055555600007,5.88277777800005 2.56027777800006,5.75611111100005 2.50222222200006,5.60555555600007 2.43916666700005,5.44916666700004 2.38027777800005,5.28638888900002 2.32500000000005,5.10083333300003 2.26472222200005,4.79944444400007 2.17888888900006,4.41555555600007 2.08611111100004,4.25305555600005 2.04972222200007,3.89444444400004 1.98138888900007,3.57583333300005 1.92166666700007,3.52511250300006 1.97768750500006,3.51500850300005 1.98778450500004,3.51455350300006 1.98810350500003,3.33912750300004 2.16334850500004,3.30180050300004 2.20062250500007,3.14152850300007 2.36060750500008,3.10358150300004 2.39847250500003,3.10354750300007 2.39852050500002,3.10066050300003 2.40140150500002,3.09890850300008 2.40389850500003,3.09559450300003 2.40720450500004,3.09348450300007 2.41021050500007,3.09228950300007 2.41140350500007,3.09040850300005 2.41408250500007,3.08975550300005 2.41473550500007,3.08583150300007 2.42032550500005,3.08476650300003 2.42138850500004,3.08296250300003 2.42395850500003,3.08060150300003 2.42631450500005,3.07860350300007 2.42916050500003,3.07809750300004 2.42966550500006,3.07230350300006 2.43792150500002,3.06805250300005 2.44216150500006,3.05643550300005 2.45871150500005,3.05386750300005 2.46127350500007,3.02961550300006 2.49582150500004,3.01867650300005 2.51140350500003,3.01680350300006 2.51407150500006,2.94434650300002 2.61726150500004,2.85537350300007 2.74392250600005,2.82075350300005 2.79319250600003,2.77166150300008 2.86304250600006,2.72000850300003 2.93651850600003,2.71972250300007 2.93712850600002,2.71841250300002 2.93899250600003,2.71783150300007 2.94023150600003,2.71753850300007 2.94064950600006,2.71730850300003 2.94114050600007,2.68492250300005 2.98719750600003,2.68434250200005 2.98843650600003,2.68404850200005 2.98885350600005,2.68386950200005 2.98923550600006,2.67069550200006 3.00796950600005,2.67038750200004 3.00862550600004,2.67013450200005 3.00916550600004,2.66981050200008 3.00962650600007,2.66939350200005 3.01051550600005,2.66824450200005 3.01214950600007,2.66764450200003 3.01343050600002,2.66743790000004 3.01372433200004,2.84175500300006 5.42333910100007,2.78380018600006 5.90031983700004,2.77174226100004 5.99259578200002,2.72771758300007 6.30528784600006,2.71960916000006 6.36550910500006,2.85721850300007 6.38221850900004,2.88139050300003 6.38499950900007,2.93444550300006 6.38944550900004,2.97389050300006 6.38999950900006,3.01999950300007 6.38347250900006,3.04028150300007 6.37916350900002,3.06694550300006 6.37749950900007,3.10736350300004 6.37708150900005,3.31916350300003 6.38555450900003,3.38569050300003 6.41471850900007,3.37083650300002 6.44749950900007,3.40263650300005 6.54833650900002,3.44305450300004 6.57833650900005,3.47902750300005 6.59020950900003,3.47836350300003 6.54139050900005,3.52639050300007 6.52139050900007,3.65055450300002 6.56444550900005,3.71341850300007 6.60377250900007,3.76721850400003 6.61305450900005,3.80721850400005 6.61278150900006,3.85239950400006 6.60152750900005,3.73055450300006 6.53277250900004,3.53805450300007 6.44958150900004,3.50666350300003 6.44971850900004,3.43444550300006 6.45347250900005,3.39131850300004 6.44513650900007,3.41305450300007 6.40971850900007,3.44471850300005 6.40944550900002,3.53499950300005 6.41249950900004,3.56666350300003 6.41389050900005,3.69416350300003 6.41971850900006,3.74749950300003 6.42666350900004,3.84528150400007 6.42610950900007,3.95666350400006 6.42278150900006,3.99110950400006 6.42139050900005,4.08583650400004 6.40971850900007,4.29999950400003 6.37777250900007,4.32249950400006 6.37215450900004,4.37291850400004 6.36860950900007,4.41020950400002 6.35992750900004,4.43721850400004 6.34860950900003,4.45471850400003 6.33833650900004,4.46663650400006 6.32965450900002,4.50194550400005 6.31610950900006,4.53374550400002 6.29916350900004,4.70597250400004 6.17097250900002,4.74639050400003 6.13597250900006,4.87249950500006 6.01416350900007,4.94860950500004 5.92444550800008,4.99999950500006 5.85749950800005,5.08360950500003 5.73430950800002,5.08666350500005 5.69763650800007,5.14221850500007 5.60416350800006,5.18208150500004 5.57486350800002,5.41347250500007 5.64208150800005,5.44597250500004 5.65305450800003,5.50249950500006 5.61694550800007,5.50253650500002 5.58020950800005,5.37999950500006 5.56499950800003,5.29778150500005 5.57999950800007,5.27778150500006 5.58139050800003,5.21479050500005 5.57763650800007,5.18839950500006 5.54089950800005,5.19319050500008 5.50471850800005,5.26194550500003 5.43319050800005,5.37597250500005 5.39013650800007,5.42749950500007 5.39360950800005,5.48721850500004 5.40805450800002,5.50353650500006 5.43666350800004,5.50666350500006 5.47680950800003,5.54360950500006 5.50860950800006,5.63604550500003 5.53673650800005,5.62055450500003 5.50944550800006,5.53971850500005 5.41471850800002,5.45249950500005 5.36305450800006,5.34527250500003 5.32999950800007,5.36833650500006 5.16055450800008,5.41471850500005 5.15639050800007,5.44631850500002 5.16569050800007,5.45569050500006 5.18736350800003,5.49339950500007 5.14492750800002,5.47055450500005 5.09110950800005,5.45389050500006 5.11763650800003,5.43541850500003 5.13333650800007,5.39971850500007 5.13534550800006,5.38423650500005 5.11652750800005,5.45194550500003 4.92305450800006,5.48528150500005 4.83555450700004,5.49749950500006 4.80583650700004,5.52360950500002 4.75749950700003,5.56610950500004 4.67999950700005,5.58236350500005 4.65583650700006,5.59930950500006 4.63541850700005,5.66944550500006 4.55833650700004,5.73694550500005 4.48944550700003,5.86860950500005 4.38139050700005,5.93583650600004 4.33833650700007,6.05778150600003 4.28805450700003,6.11173650600006 4.27284550700006,6.17221850600004 4.28277250700006,6.21499950600003 4.30583650700004,6.23305450600003 4.38610950700007,6.25278150600008 4.44999950700003,6.32270950600002 4.42444550700003,6.28229050600004 4.37652750700005,6.25333650600004 4.33694550700005,6.25118150600002 4.30156350700003,6.30055450600003 4.29458150700003,6.40499950600002 4.31221850700007,6.49360950600004 4.32221850700006,6.57444550600007 4.32666350700003,6.63055450600007 4.32555450700005,6.69236350600005 4.33180950700006,6.68763650600005 4.39319050700004,6.66492750600003 4.42784550700003,6.65694550600006 4.50749950700003,6.73242750600002 4.60353650700006,6.74221850600003 4.57555450700005,6.73429950600007 4.55139050700006,6.71999950600002 4.52416350700003,6.71236350600003 4.49666350700005,6.70916350600004 4.45721850700005,6.72048150600006 4.34819050700003,6.73833650600005 4.33666350700003,6.79416350600007 4.33666350700003,6.84860950600006 4.34833650700006,6.85083650600006 4.37749950700004,6.83499950600003 4.41499950700006,6.81666350600005 4.46221850700005,6.80639050600007 4.49221850700008,6.76284550600008 4.76347250700007,6.82166350600005 4.52416350700003,6.87166350600006 4.39263650700002,6.96139050600004 4.37221850700007,7.00868150700006 4.37131850700007,7.02381850700004 4.38687250700002,7.01180950700007 4.41333650700005,6.99860950700003 4.43721850700007,6.98749950700005 4.45944550700005,6.97889050600003 4.47833650700005,6.90639050600004 4.65389050700003,6.89971850600006 4.67694550700003,6.96389050600004 4.72486350700007,7.00926350700007 4.70079050700002,7.03930950700004 4.64430950700006,7.02749950700007 4.62305450700006,7.00333650700003 4.57528150700006,7.01971850700005 4.49777250700004,7.04278150700003 4.43805450700006,7.07305450700005 4.43471850700007,7.16520950700004 4.47395450700003,7.17944550700003 4.50694550700007,7.17610950700004 4.58444550700005,7.16971850700003 4.60444550700004,7.14798150700005 4.63541850700005,7.11833650700004 4.65249950700007,7.09069050700003 4.66979050700007,7.05949950700006 4.71910950700004,7.07430950700007 4.75305450700006,7.17971850700008 4.62721850700007,7.23860950700004 4.56360950700002,7.27249950700002 4.55778150700007,7.44721850700006 4.55028150700002,7.50610950700008 4.56979050700005,7.52874550700005 4.60409950700006,7.51645450700005 4.62187250700003,7.52374550700006 4.69069050700006,7.54610950700004 4.70555450700004,7.55039950700007 4.70655450700002,7.53333650700006 4.67270950700004,7.53055450700003 4.62666350700005,7.53721850700003 4.53999950700006,7.56139050700006 4.52555450700004,7.67389050700007 4.49694550700002,7.69528150700006 4.49749950700004,7.72360950700005 4.50221850700007,7.76860950700006 4.51860950700006,8.02249950700002 4.55139050700006,8.11832750800005 4.55055450700007,8.26986350800007 4.54236350700006,8.29368150800008 4.54749950700005,8.35937250800004 4.63200950700002,8.31402750800004 4.75902750700004,8.29763650800004 4.78028150700004,8.27055450800003 4.80791850700007,8.25944550800006 4.82597250700007,8.27169050800006 4.84271850700003,8.27471850800003 4.85666350700006,8.34278150800003 4.80610950700003,8.40166350800007 4.75028150700007,8.47860950800003 4.70389050700004,8.50694550800006 4.69986350700003,8.51935368200003 4.70091480000002,8.52819050800002 4.70166350700003,8.52819091900005 4.70166408700004,8.54097250800004 4.71971850700004,8.53679950800006 4.74360950700003,8.53429950800006 4.76777250700007,8.55319050800006 4.80652750700006,8.58520950800005 4.82040950700002,8.59173650800005 4.81093650700006,8.58717950800008 4.81130050700006,8.58182750800006 4.81130050700006,8.57866726800006 4.80919337400007,8.57494650800004 4.80671250700004,8.57118372900004 4.80232314500006,8.57035850800003 4.80136050700003,8.56840334300006 4.79867199600005,8.56424250800006 4.79295050700006,8.55889050800005 4.78301050700003,8.55533022000003 4.77233119500005,8.55430250800003 4.76924850700004,8.55200850800003 4.75854450700007,8.54895050800008 4.74784050700003,8.54757496900004 4.73614707400003,8.54742150800007 4.73484250700005,8.54718027600006 4.73363655800006,8.54512750800006 4.72337450700007,8.54194712700007 4.71542251400007,8.53901150800004 4.70808250700003,8.53136550800002 4.69584950700005,8.52649545300005 4.68920862800007,8.52295550800005 4.68438150700007,8.51748751600007 4.67931904200003,8.51222263400007 4.67444462400005,8.51222250800004 4.67444450700003,8.51222223000002 4.67444433100007,8.51222222200005 4.67444444400007,8.50689214100004 4.67105257500003,8.50000000000006 4.66666666700007,8.49285561500005 4.66054290800002,8.48055555600007 4.65000000000003,8.46760772400006 4.63660569100006,8.46444444400004 4.63333333300005,8.45250000000004 4.61666666700006,8.44813801000004 4.60873577600006,8.44333333300006 4.60000000000002,8.43749883300006 4.58939181800002,8.43416666700006 4.58333333300004,8.43129942400003 4.57759884900003,8.42833333300007 4.57166666700005,8.42750545000007 4.56953782300008,8.42750339200006 4.56953253200004,8.42638888900007 4.56666666700005,8.41888888900007 4.55000000000007,8.41305555600007 4.53333333300003,8.41055600000004 4.52388900000005,8.41055566400007 4.52388909600006,8.40666700000003 4.52500000000003,8.40666707900004 4.52499934400004,8.40700000000004 4.52222200000006,8.40277800000007 4.44222200000007,8.39500000000004 4.39111100000002,8.37805600000007 4.33333300000004,8.37138900000002 4.32555600000006,8.37194400000004 4.31277800000004,8.37200000000007 4.28333300000003,8.37199950700006 4.28333300000003,8.35555600000004 4.28333300000003,8.35555593200007 4.28333250700007,8.33510557400007 4.13546566900004,8.33367363600007 4.12511200300003,8.32479528000005 4.06091682400006,8.27583333300004 4.02694444400004,8.06957981300008 3.88383488100004,8.08302777800003 3.86522222200006,8.06777777800005 3.85561111100003,8.05519209200003 3.87385192200003,7.81944444400006 3.71027777800003,7.81952777800007 3.64511111100006,7.59463888900007 3.44625000000002,7.37661111100005 3.25333333300006,7.14250000000004 3.07472222200005,7.12151388900003 3.04215277800006),(7.29360950700004 4.48721850700002,7.24833650700003 4.51139050700004,7.22610950700005 4.51999950700002,7.13576350700004 4.39194550700006,7.14555450700004 4.38221850700006,7.16666350700007 4.37833650700003,7.18027250700004 4.37777250700003,7.20360950700007 4.38055450700006,7.21444550700005 4.38278150700006,7.29889050700007 4.40444550700005,7.30986350700005 4.41055450700003,7.31666350700004 4.47249950700007,7.29360950700004 4.48721850700002)))', 'Nigerian Exclusive Economic Zone', 'Nigeria', 'Nigeria', '', '196', '196', 'NGA', '8474', '', '182956472400', '8474', 'Y'),('SRID=4326;MULTIPOLYGON(((17.578708378 42.943688685,17.6497679990001 42.889132058,17.6527632080001 42.8851855980001,17.6515741960001 42.882571994,17.6515469460001 42.8825298130001,17.6351212550001 42.8873443850001,17.635120645 42.887345043,17.6347389220001 42.887756348,17.6327400210001 42.8888187410001,17.6311950680001 42.8898830410001,17.6302337650001 42.8911705020001,17.627578735 42.893318176,17.62727356 42.893667221,17.6242942810001 42.8943367000001,17.6242408750001 42.894332886,17.623142242 42.8944015500001,17.6201839450001 42.895954132,17.6201152800001 42.8959827420001,17.616966248 42.89756012,17.616580963 42.8978576660001,17.6155853270001 42.898532867,17.614135742 42.8999843600001,17.6130752560001 42.901468277,17.6091995240001 42.901966095,17.6091346740001 42.901990891,17.6065139770001 42.9024848940001,17.6044826510001 42.9023704530001,17.6031169890001 42.902851105,17.601133347 42.9031810760001,17.600687027 42.903390884,17.6002902980001 42.9034786220001,17.5973129270001 42.9050712590001,17.596378326 42.905361176,17.595029831 42.905988693,17.5914115910001 42.906667709,17.590507507 42.906671524,17.589159012 42.907262802,17.5886001590001 42.9077415470001,17.585626602 42.90965271,17.5848846440001 42.9102764130001,17.5834865570001 42.9108886720001,17.5827159880001 42.9111118320001,17.5822772980001 42.9113292690001,17.5797996520001 42.9120597840001,17.5785102840001 42.9120597840001,17.5774211880001 42.9123802190001,17.5756969450001 42.9131374360001,17.5756111150001 42.913187027,17.5739154820001 42.9138317110001,17.573329926 42.914148331,17.570014954 42.9152050020001,17.569444656 42.915550232,17.5690307620001 42.9156455990001,17.5672588350001 42.916309357,17.565858841 42.9170551300001,17.565589905 42.917156219,17.564823151 42.917566299,17.5640430450001 42.9178123470001,17.5620918270001 42.9187183380001,17.560003281 42.919364929,17.559087753 42.9195232390001,17.5580310820001 42.9198322300001,17.5576686860001 42.919891357,17.555978775 42.920366287,17.555555344 42.920614243,17.553934097 42.9211349490001,17.5535678860001 42.921318054,17.550327301 42.9223423,17.5502796170001 42.9223670960001,17.5486087800001 42.923067093,17.547771454 42.9233169560001,17.545043945 42.9255256650001,17.5413646700001 42.9283142090001,17.5413648420001 42.928314442,17.5429210660001 42.9304218290001,17.5450000760001 42.9325008390001,17.5475196840001 42.9357910160001,17.548666 42.9371128080001,17.548936844 42.9375782010001,17.5511455540001 42.9383087160001,17.5515651700001 42.9383087160001,17.552433014 42.9380264280001,17.5548038480001 42.9370098110001,17.5548172000001 42.9369907380001,17.5561122890001 42.9363861080001,17.5580139160001 42.935245514,17.558727264 42.935014725,17.5591697690001 42.9352397920001,17.5625534060001 42.9357891080001,17.5633239750001 42.935848236,17.5645465850001 42.937059402,17.5674266820001 42.9370498660001,17.5678462980001 42.9372177120001,17.5718288420001 42.9368324280001,17.571912766 42.936765671,17.575281143 42.9357681270001,17.5757865910001 42.936573029,17.5785789490001 42.93832016,17.5785803640001 42.938324332,17.5797627590001 42.93874335,17.578708378 42.943688685)))', 'Bosnian and Herzegovinian Exclusive Economic Zone', 'Bosnia and Herzegovina', 'Bosnia and Herzegovina', '', '232', '232', 'BIH', '22491', '2009-10-01', '17613139.63', '22491', 'Y'),('SRID=4326;MULTIPOLYGON(((8.58182750800006 4.81130050700006,8.58182737500005 4.81130005400007,8.58717929600004 4.81130005400007,8.59173636400004 4.81093636400004,8.58360909100003 4.80513636400002,8.57194791200004 4.77771267400004,8.52555454500003 4.66860909100006,8.51055454500005 4.62860909100004,8.50236363600004 4.55444545500006,8.50840000000005 4.52353636400005,8.53736363600007 4.50368181800008,8.71416363600002 4.50263636400007,8.72416363600007 4.52208181800006,8.71166363600003 4.54374545500002,8.68666363600005 4.55347272700004,8.67500000000007 4.58471818200007,8.66805454500008 4.64389090900005,8.66639090900003 4.68139090900007,8.72610909100007 4.57618181800007,8.78486363600007 4.54083636400003,8.87364545500003 4.54843636400005,8.86471818200005 4.59110909100002,8.84139090900004 4.61208181800004,8.84128181800003 4.63784545500005,8.89860909100003 4.58833636400004,8.93180000000007 4.53847272700006,8.92360909100006 4.51583636400005,8.90805454500003 4.49389090900007,8.89750000000004 4.45069090900006,8.90555454500003 4.37221818200004,8.92444545500007 4.29708181800004,8.94110909100004 4.25944545500005,8.96069090900005 4.24291818200004,8.98819090900002 4.20639090900005,8.98332727300004 4.16944545500007,8.97666363600007 4.14860909100003,8.97410000000002 4.09979090900003,9.03944545500002 4.06110909100005,9.10250000000002 4.03166363600008,9.21500000000003 3.99833636400007,9.31000000000006 3.94221818200003,9.33156363600006 3.92209090900008,9.34492727300005 3.91250000000002,9.37277272700004 3.90250000000003,9.39778181800006 3.90000000000003,9.43500000000006 3.89944545500003,9.46833636400004 3.90805454500003,9.52840000000003 3.98236363600006,9.50750000000005 4.01843636400002,9.45582727300007 4.06444545500005,9.44958181800007 4.07266363600007,9.44860909100004 4.07750000000004,9.48836363600003 4.11291818200004,9.50067272700005 4.10161818200004,9.49868181800002 4.06944545500005,9.52832727300006 4.03000000000003,9.61305454500007 3.94944545500005,9.67777272700005 3.90110909100002,9.72250000000003 3.86528181800003,9.72166363600007 3.84250000000003,9.64055454500004 3.85721818200005,9.54305454500008 3.81152727300002,9.55402727300003 3.78958181800004,9.63666363600004 3.64666363600003,9.62711818200006 3.59722727300004,9.66550000000007 3.59373636400005,9.70854545500004 3.59955454500005,9.74577272700003 3.61758181800008,9.73588181800005 3.58791818200007,9.66166363600007 3.53124545500003,9.69777272700003 3.50666363600004,9.72194545500003 3.48971818200005,9.81194545500006 3.39666363600003,9.85194545500002 3.34194545500003,9.87833636400006 3.30250000000007,9.92793636400006 3.26832727300007,9.91332727300005 3.24708181800003,9.92860909100006 3.18583636400007,9.93555454500006 3.16610909100007,9.95389090900005 3.11610909100006,9.96513636400005 3.08520909100002,9.96221818200007 3.05889090900007,9.95250000000004 3.03305454500003,9.93520909100005 3.00604545500005,9.90986363600007 2.98402727300004,9.89624545500004 2.95569090900005,9.87444545500006 2.84694545500003,9.82332727300007 2.56666363600004,9.82000000000005 2.54221818200006,9.81444545500005 2.48166363600006,9.81666363600004 2.46055454500004,9.82139090900006 2.42639090900002,9.81666363600004 2.34971818200006,9.81176363600002 2.34370000000007,9.81137764900006 2.34346021000005,9.81250000000006 2.33722222200004,9.80834872800006 2.34157599500003,9.80834721400004 2.34157758300006,9.80111111100007 2.34916666700002,9.80070732700005 2.34997423400006,9.80000000000007 2.35138888900002,9.79750000000007 2.35472222200002,9.78916666700007 2.37777777800005,9.78531218500007 2.38186445700006,9.76611111100004 2.40222222200003,9.70333333300005 2.44055555600005,9.65522373900006 2.45952835300005,9.64416666700004 2.46388888900003,9.12491962000007 2.60632308400005,9.10138888900008 2.61277777900006,9.11166666700007 2.62972222200005,9.15583333300003 2.70944444400004,9.16888888900007 2.73194444400002,9.21400980000004 2.81900126100004,9.21611111100003 2.82305555600004,9.22738100700008 2.84879128800003,9.23472222200007 2.86555555600006,9.25277777800005 2.89916666700003,9.28694444400003 2.98166666700007,9.30805555600006 3.03472222200003,9.27500000000003 3.16555555600007,9.27277777800003 3.18222222200006,9.26638888900004 3.22277777800002,9.25777777800005 3.30305555600006,9.25735033400002 3.30946721500004,9.25722222200005 3.31138888900006,9.25833862400003 3.33860117200004,9.25944444400005 3.36555555600006,9.26333333300005 3.41666666700007,9.26333335600003 3.41666693000008,9.26416666700004 3.42555555600006,9.27888888900003 3.54555555600007,9.26561724000004 3.56991491200006,9.25694444400006 3.58583333300004,9.24193285300004 3.61535192400004,9.22388888900002 3.65083333300004,9.21571488200004 3.66426205800002,9.21222222200004 3.67000000000007,9.21205448600006 3.67018870400005,9.21000000000004 3.67250000000007,9.18000000000006 3.70638888900004,9.16820805600003 3.72163213400006,9.15722222200003 3.73583333300007,9.13472222200005 3.76111111100005,9.10194444400003 3.80083333300007,9.09166666700003 3.81055555600005,9.05361111100007 3.85166666700007,9.05222222200007 3.85277777800007,8.99361111100006 3.90444444400003,8.97361111100003 3.91138888900002,8.92500000000007 3.91333333300003,8.92499933800002 3.91333392700005,8.88805555600004 3.94638888900005,8.83138888900004 3.96277777800003,8.82801289400004 3.96476637800004,8.81111111100006 3.97472222200003,8.80087628700005 3.98283283700005,8.79638888900007 3.98638888900007,8.74317232600004 4.03154621200002,8.68083333300007 4.08444444400004,8.60277777800007 4.12222222200006,8.57500000000005 4.12055555600006,8.55388888900006 4.11111111100007,8.50555555600005 4.10333333300002,8.49166666700006 4.11111111100007,8.45555555600004 4.09750000200006,8.45555549400007 4.09749999000007,8.45475744100003 4.09735368000003,8.43888888900005 4.09444444400003,8.39666666700003 4.09166666700003,8.35138888900002 4.07500000000005,8.32479528000005 4.06091682400006,8.33367363600007 4.12511200300003,8.33510557400007 4.13546566900004,8.35555593200007 4.28333250700007,8.35555600000004 4.28333300000003,8.37199950700006 4.28333300000003,8.37200000000007 4.28333300000003,8.37194400000004 4.31277800000004,8.37138900000002 4.32555600000006,8.37805600000007 4.33333300000004,8.39500000000004 4.39111100000002,8.40277800000007 4.44222200000007,8.40700000000004 4.52222200000006,8.40666707900004 4.52499934400004,8.40666700000003 4.52500000000003,8.41055566400007 4.52388909600006,8.41055600000004 4.52388900000005,8.41305555600007 4.53333333300003,8.41888888900007 4.55000000000007,8.42638888900007 4.56666666700005,8.42750339200006 4.56953253200004,8.42750545000007 4.56953782300008,8.42833333300007 4.57166666700005,8.43129942400003 4.57759884900003,8.43416666700006 4.58333333300004,8.43749883300006 4.58939181800002,8.44333333300006 4.60000000000002,8.44813801000004 4.60873577600006,8.45250000000004 4.61666666700006,8.46444444400004 4.63333333300005,8.46760772400006 4.63660569100006,8.48055555600007 4.65000000000003,8.49285561500005 4.66054290800002,8.50000000000006 4.66666666700007,8.50689214100004 4.67105257500003,8.51222222200005 4.67444444400007,8.51222223000002 4.67444433100007,8.51222250800004 4.67444450700003,8.51222263400007 4.67444462400005,8.51748751600007 4.67931904200003,8.52295550800005 4.68438150700007,8.52649545300005 4.68920862800007,8.53136550800002 4.69584950700005,8.53901150800004 4.70808250700003,8.54194712700007 4.71542251400007,8.54512750800006 4.72337450700007,8.54718027600006 4.73363655800006,8.54742150800007 4.73484250700005,8.54757496900004 4.73614707400003,8.54895050800008 4.74784050700003,8.55200850800003 4.75854450700007,8.55430250800003 4.76924850700004,8.55533022000003 4.77233119500005,8.55889050800005 4.78301050700003,8.56424250800006 4.79295050700006,8.56840334300006 4.79867199600005,8.57035850800003 4.80136050700003,8.57118372900004 4.80232314500006,8.57494650800004 4.80671250700004,8.57866726800006 4.80919337400007,8.58182750800006 4.81130050700006)))', 'Cameroonian Exclusive Economic Zone', 'Cameroon', 'Cameroon', '', '197', '197', 'CMR', '8475', '', '14486818770', '8475', 'Y'),('SRID=4326;MULTIPOLYGON(((-63.020592055 17.7351508150001,-63.0260279999999 17.725194,-63.047972 17.6850000000001,-63.0677499999999 17.6501940000001,-63.0966109999999 17.598333,-63.1064719999999 17.5799440000001,-63.111056 17.571583,-63.120194 17.552583,-63.127639 17.537361,-63.151583 17.495556,-63.198611 17.416861,-63.63789652 16.681776072,-63.986933272 16.73980727,-64.0185000229999 16.7450555890001,-64.0178037379999 16.750874159,-64.017330215 16.7548308090001,-64.015814125 16.767498889,-64.014844777 16.775596636,-64.013824039 16.7841236950001,-64.011833764 16.8007483920001,-64.009843017 16.817372978,-64.007851987 16.8339976350001,-64.0058605799999 16.850622179,-64.0058605569999 16.850622367,-64.0038688889999 16.8672466990001,-64.00187682 16.8838711920001,-64.0006883889999 16.8937871040001,-63.999884374 16.9004955680001,-63.99789155 16.9171199140001,-63.9958984419999 16.9337443210001,-63.995451709 16.9374697690001,-63.993904957 16.9503686040001,-63.992898537 16.958759795,-63.991911094 16.9669927630001,-63.9908141889999 16.9761371220001,-63.989916948 16.9836169760001,-63.9885605919999 16.9949220820001,-63.987922425 17.0002411520001,-63.985927523 17.0168651980001,-63.983932244 17.033489294,-63.9824383169999 17.045934398,-63.981936682 17.0501132570001,-63.9799407419999 17.0667372670001,-63.978921823 17.0752220800001,-63.977944424 17.08336114,-63.97687252 17.0934732640001,-63.9751075409999 17.110121328,-63.973342185 17.126769338,-63.971576548 17.1434173800001,-63.9698106229999 17.1600652770001,-63.9694996819999 17.1629960010001,-63.968044323 17.1767132040001,-63.966929454 17.187219472,-63.96627774 17.19336107,-63.964868646 17.2062693390001,-63.963610515 17.217792554,-63.963051546 17.222912154,-63.961234162 17.239554905,-63.9594164 17.2561976800001,-63.9575983559999 17.272840296,-63.956882408 17.2793928180001,-63.955779933 17.2894829320001,-63.954844705 17.29804104,-63.953961227 17.306125588,-63.952142238 17.3227681700001,-63.951236918 17.331049519,-63.950322872 17.339410677,-63.949542321 17.3465491850001,-63.948503127 17.356053108,-63.9466831 17.3726955500001,-63.945389996 17.38451787,-63.944862789 17.3893379130001,-63.94435878 17.3939449050001,-63.9430421 17.4059802840001,-63.9412211279999 17.422622572,-63.940113444 17.4327438030001,-63.939399779 17.439264775,-63.9375780509999 17.455906982,-63.9357560409999 17.4725491900001,-63.933933747 17.489191309,-63.9334410389999 17.493690013,-63.932111075 17.505833336,-63.930640519 17.5188514910001,-63.930615583 17.519072227,-63.930615567 17.5190723690001,-63.928736069 17.5357084930001,-63.9268561759999 17.552344663,-63.926065326 17.559342218,-63.924976 17.5689807360001,-63.9235789969999 17.581339207,-63.923095447 17.585616891,-63.921214515 17.602252946,-63.9193333009999 17.618888898,-63.918824134 17.6234722070001,-63.918308892 17.628110212,-63.9174720469999 17.6356421460001,-63.9164601589999 17.644749545,-63.9146111429999 17.661388861,-63.9132000669999 17.676894717,-63.912050168 17.68952746,-63.911682669 17.6935647830001,-63.911299539 17.697773302,-63.9101650819999 17.710234821,-63.9086472119999 17.7269048310001,-63.9080988219999 17.7329263880001,-63.9071290589999 17.7435748090001,-63.9056233589999 17.760103809,-63.9056105559999 17.760244368,-63.9056105289999 17.7602446650001,-63.904091808 17.776914576,-63.902572805 17.7935843610001,-63.9013377919999 17.8071351090001,-63.901053519 17.810254199,-63.900841375 17.8125814150001,-63.899533949 17.826923908,-63.898860465 17.8343106840001,-63.898325907 17.8401737200001,-63.8980140959999 17.8435936650001,-63.897214134 17.852365951,-63.89649396 17.860263289,-63.89516494 17.8748344730001,-63.89497354 17.876932959,-63.8946311249999 17.8806861850001,-63.893452743 17.8936024930001,-63.8925661649999 17.903319133,-63.891931757 17.910272068,-63.8907623109999 17.9230864370001,-63.890410488 17.9269415950001,-63.890217954 17.9290509050001,-63.890215591 17.9290767950001,-63.888888935 17.943611069,-63.891192415 17.948776901,-63.891192351 17.9487769020001,-63.753506079 17.947573936,-63.657983727 17.9505808370001,-63.361395016 17.8872257510001,-63.290176065 17.8732417630001,-63.284350917 17.8719395320001,-63.203853 17.8484310000001,-63.196583 17.846306,-63.1910999999999 17.844867,-63.183778 17.842944,-63.177306 17.8406670000001,-63.167806 17.8378060000001,-63.157833 17.8343330000001,-63.138111 17.8276670000001,-63.131722 17.8248610000001,-63.110196273 17.8157460090001,-63.102816315 17.8120769130001,-63.048822563 17.769442586,-63.020592055 17.7351508150001)))', 'Saba Exclusive Economic Zone', 'Saba', 'Netherlands', '', '177', '248', 'BES', '26518', '2012-10', '9469752105', '26518', 'Y'),('SRID=4326;MULTIPOLYGON(((-62.237315985 18.211060925,-62.251408087 18.155419206,-62.255590559 18.1389049970001,-62.2593073579999 18.1233257980001,-62.274254028 18.0606758820001,-62.313219784 17.9129079570001,-62.314034561 17.9098096650001,-62.328891638 17.8517268590001,-62.3363236229999 17.821422682,-62.3485037469999 17.7641048260001,-62.362958325 17.696083733,-62.3651084959999 17.6861438720001,-62.369600777 17.6653768460001,-62.46343867 17.654909993,-62.507053486 17.650598518,-62.5647246029999 17.644762572,-62.663223928 17.641238663,-62.6771665319999 17.640789268,-62.67834356 17.640755744,-62.71197215 17.641508516,-62.769858396 17.6428729680001,-62.7742817819999 17.6444119930001,-62.799499665 17.6531860310001,-62.8006128819999 17.6535707090001,-62.8046269659999 17.6549701270001,-62.812524711 17.6574825270001,-62.8482457009999 17.672362068,-62.861022745 17.6776843320001,-62.88463044 17.688475704,-62.896598449 17.6930132260001,-62.936876207 17.707939814,-62.952830346 17.713984403,-62.994003294 17.725184042,-63.01780753 17.731768435,-63.020592055 17.7351508150001,-63.048822563 17.769442586,-63.102816315 17.8120769130001,-63.0440059479999 17.9060861610001,-63.021983741 17.940505995,-63.013534286 17.9530903290001,-63.0125679079999 17.954540217,-63.011614359 17.9560406420001,-63.00404249 17.9680718930001,-63.000331596 17.9717801,-62.973877445 17.990227224,-62.9553303179999 18.0154347430001,-62.950697745 18.0218936260001,-62.9501057209999 18.022693605,-62.928999155 18.0510832790001,-62.975959454 18.0472900350001,-62.9973607169999 18.0565495060001,-63.010531058 18.0565499740001,-63.144970042 18.0557499020001,-63.148599697 18.0531684600001,-63.153877833 18.0479774450001,-63.162104803 18.0349699920001,-63.1844466219999 18.0033161120001,-63.234853242 17.9362507500001,-63.244301268 17.925287439,-63.2487271369999 17.920329006,-63.290176065 17.8732417630001,-63.361395016 17.8872257510001,-63.657983727 17.9505808370001,-63.615833333 17.9597222210001,-63.473888889 18.034166666,-63.209444444 18.098055555,-63.090255826 18.135881123,-62.9486111109999 18.1808333320001,-62.9360665469999 18.1824737760001,-62.8763888889999 18.1902777770001,-62.739444444 18.155833332,-62.4961111109999 18.221944443,-62.422745666 18.2459605870001,-62.233055556 18.3080555550001,-62.227084756 18.3100100940001,-62.213512485 18.31445297,-62.221508086 18.2797235580001,-62.237315985 18.211060925)))', 'Saint-Martin Exclusive Economic Zone', 'Northern Saint-Martin', 'France', '', '179', '221', 'MAF', '8495', '', '5455543164', '8495', 'Y'),('SRID=4326;MULTIPOLYGON(((9.78906588400002 1.05276163200006,9.79093534300006 1.03967392800007,9.79294234300005 1.02958092800003,9.79640107200004 1.02007061700004,9.79656134300006 1.01962992800003,9.80175886600006 1.00769336900004,9.80397172000005 1.00261135900007,9.80397222900007 1.00261019000004,9.77681154100003 1.03250004500006,9.76236363600003 1.04840000000007,9.73750000000007 1.05805454500006,9.67597272700004 1.05555454500006,9.61257322700004 1.02500056900004,9.60278213400005 1.02028209600007,9.57200914700007 0.996600038000054,9.57200909100004 0.996600000000058,9.56000000000006 0.955972727000074,9.59910000000002 0.844718182000065,9.61708181800003 0.820136364000064,9.62500000000006 0.783890909000036,9.63277272700003 0.58221818200002,9.63059868600004 0.552595822000058,9.63041812800003 0.550136242000065,9.60000006400003 0.481109237000055,9.59187073300006 0.48848928600006,9.58194545500004 0.497500000000059,9.58471818200007 0.521390909000047,9.58763636400005 0.572081818000072,9.58402727300006 0.594718182000065,9.55833636400007 0.647781818000055,9.54221818500002 0.67250000000007,9.51777320700006 0.67610908100005,9.51777306200006 0.676109042000064,9.51777272700002 0.676109091000058,9.31507272700003 0.621454545000063,9.30878336700005 0.595831012000076,9.30513605700003 0.580973138000047,9.30770364300002 0.540622081000038,9.30860909100005 0.526390909000042,9.33034545500004 0.525690909000048,9.35347272700005 0.528400000000033,9.40708181800005 0.479309091000061,9.41889090900003 0.453609091000033,9.44139090900006 0.401663636000023,9.46028181800006 0.359445455000071,9.49770909100005 0.293681818000039,9.55003636400005 0.298463636000065,9.58148783700005 0.280383075000032,9.59077321300003 0.275045071000022,9.61263313500007 0.261559663000071,9.68047272700005 0.219709091000027,9.70708669400005 0.209297942000035,9.76778224500003 0.185554005000029,9.77796921100003 0.18362525200007,9.78832727300005 0.181663636000053,9.82652714900007 0.178609098000038,9.82652727300007 0.178609091000055,9.85805454500007 0.18389090900007,9.92110850300003 0.185281805000045,9.78971818900004 0.131664067000031,9.76540351200003 0.122983847000057,9.74652727300003 0.116245455000069,9.70819746500007 0.128052598000068,9.70639117400003 0.128609031000053,9.70639090900005 0.128609093000023,9.56332717400005 0.162782050000033,9.53811193100006 0.163349606000054,9.48944545500007 0.164445455000021,9.46694545500003 0.167218182000056,9.38166363600004 0.203609091000033,9.37635262300006 0.275897881000049,9.37250024000002 0.328336038000032,9.37094644100006 0.330751128000031,9.35083636400003 0.362009091000061,9.35083612600005 0.362008855000056,9.35083603700002 0.362008993000075,9.30582706100006 0.317364127000076,9.30221814900005 0.28416407900005,9.30221819800005 0.284163782000064,9.30221818200005 0.284163636000073,9.32000000000005 0.17583636400002,9.32583659500006 0.146223758000076,9.34173614000002 0.065553985000065,9.34750285100006 0.0292394070000341,9.35090000000002 0.00784545500005152,9.34959090900003 5.6843418860808e-14,9.33950923500004 -0.0188179169999785,9.33950909100002 -0.0188181819999613,9.33949288300005 -0.0265842229999294,9.33944503100003 -0.0493089339999528,9.34471808600006 -0.0744459269999425,9.34287297700007 -0.0966715719999343,9.34110910700002 -0.117917986999942,9.32666329900007 -0.151808881999955,9.31896247600002 -0.176637348999975,9.31680000000006 -0.183609090999937,9.30757272700004 -0.212499999999977,9.30652642900003 -0.231795249999948,9.30555414600008 -0.249717892999968,9.30536320700003 -0.271108844999958,9.31055411900007 -0.298608863999959,9.30978423300007 -0.33120334299997,9.30950909100005 -0.342845454999974,9.29989621400006 -0.367640263999931,9.29833623300004 -0.37166382199996,9.27278181800006 -0.407781817999933,9.23176360400004 -0.45888298899996,9.18694501900006 -0.514717964999932,9.16444514100004 -0.539999964999936,9.13916331000007 -0.562635796999928,9.11416327800004 -0.585690891999946,9.09889111500007 -0.604717812999979,9.09889103400008 -0.604718026999933,9.09889090900003 -0.604718181999942,9.08847272700007 -0.632218181999974,9.08729090900005 -0.679163635999942,9.00777296400003 -0.813890507999929,8.95847328100007 -0.756108897999979,8.92141592200005 -0.742685196999958,8.90717725700006 -0.737527214999943,8.90717719300005 -0.737527342999954,8.86416329200006 -0.72194593699993,8.79110913800002 -0.681664018999925,8.77639118600007 -0.64221794499997,8.75110918700005 -0.614164049999943,8.70444512000006 -0.581045976999974,8.70083604100006 -0.603055010999924,8.71000014300006 -0.641108850999956,8.78639113200006 -0.813890888999936,8.80778225200004 -0.853608872999928,8.83005724800006 -0.892193186999975,8.83005712600004 -0.892193430999953,8.84970002500006 -0.926218024999969,8.89694508300005 -1.00805499499995,8.99944503000006 -1.15971782199995,9.02083615000004 -1.23583589599997,9.01694510300007 -1.26999986299995,9.02666324900002 -1.29763583599993,9.02666354200005 -1.29763609399993,9.02666363600002 -1.29763636399997,9.03308275600006 -1.30329977699995,9.04666330800006 -1.31528192199994,9.17652715200006 -1.41229088399996,9.17652723700007 -1.41229088199998,9.17652727300003 -1.41229090899998,9.17904181800003 -1.41223683299995,9.22471806600004 -1.41125504899998,9.29497558400004 -1.38714111599995,9.30444545500006 -1.38389090899994,9.32777272700002 -1.36971818199993,9.32777273700003 -1.36971815699997,9.32777323100004 -1.36971785699996,9.33708217200007 -1.34499995899995,9.33245143600004 -1.32821849799996,9.32694545500004 -1.30826363599994,9.33343622400002 -1.28559139699996,9.34597565700005 -1.32211867299998,9.35278181800004 -1.34194545499997,9.34971818200006 -1.36389090899996,9.34859123100006 -1.36705198499993,9.33694504500005 -1.39971786199993,9.29997785900002 -1.44545606099996,9.27958181800005 -1.47069090899993,9.25139090900007 -1.49860909099993,9.28832727300005 -1.57041818199997,9.30679444700007 -1.58204944099992,9.30971810800003 -1.58389090599997,9.30971816000005 -1.58389089499997,9.30971818200004 -1.58389090899993,9.34750000000003 -1.57583636399994,9.39194545500004 -1.56333636399995,9.42080951900004 -1.53185688099995,9.43639112900007 -1.51486392199996,9.44486805600008 -1.52087304299994,9.48360909100006 -1.54833636399997,9.51389090900005 -1.59666363599996,9.49583636400007 -1.61055454499996,9.47695318100006 -1.61067501899993,9.45166329200003 -1.61083587499996,9.43539154600006 -1.61271095799998,9.42278181800003 -1.61416363599994,9.41538026700005 -1.65318669799996,9.41166341900004 -1.67278158799996,9.39166363600003 -1.65166363599997,9.36194545500007 -1.62916363599993,9.29110909100007 -1.63889090899994,9.23332727300004 -1.53028181799993,9.19885646700004 -1.49400479899992,9.11639118700003 -1.40721782099996,9.09744633900004 -1.37616545099996,9.07555454500005 -1.34028181799994,9.04015454500006 -1.32554545499994,9.02377951000005 -1.31270351799998,9.01639122700004 -1.30690890299996,8.99908811900002 -1.26782894499996,8.99790000000007 -1.26514545499992,8.99342902700005 -1.25719196699993,8.98548228800007 -1.24305506199994,8.98548281800004 -1.24305632399995,8.98548181800004 -1.24305454499995,8.99904616400005 -1.27536017499995,9.01125412600004 -1.30443590699997,9.01558487800003 -1.31164461899994,9.03028181800005 -1.33610909099997,9.05471818200004 -1.37333636399995,9.06150969400005 -1.38230367499995,9.06944515300006 -1.39278200399997,9.12860915200002 -1.47055500199997,9.18221812900003 -1.52999996199998,9.18575879700006 -1.53550726599997,9.20221818200002 -1.56110909099993,9.22194529400002 -1.59583608099996,9.22320009000003 -1.59867809199994,9.23347272700005 -1.62194545499995,9.25347272700003 -1.72194545499997,9.25097272700003 -1.75319090899995,9.24514295200004 -1.77690261199996,9.24381807700007 -1.78229088999996,9.24794405300003 -1.79690856499997,9.26277272700003 -1.84944545499997,9.26277310100005 -1.84944550899996,9.26277324800003 -1.84944602799993,9.29563410200007 -1.85420918399996,9.31639090900006 -1.85721818199994,9.32996955000004 -1.85698036999997,9.34805408400007 -1.85666401999993,9.34805437100005 -1.85666363899998,9.34805454500003 -1.85666363599995,9.37319090900007 -1.82333636399994,9.42946524400003 -1.84240798599996,9.47708218700006 -1.85854607099998,9.47944708700004 -1.86249404199998,9.51805400000006 -1.92694594299996,9.54817704000004 -1.99410779799996,9.56639090900006 -2.03471818199995,9.56460335900005 -2.04483014899995,9.56236325500004 -2.05749995299993,9.54776551100002 -2.06374220799995,9.53687312400007 -2.06839982999998,9.49066203100006 -2.01014976799996,9.48833636400008 -2.00721818199997,9.47360909100007 -1.97055454499997,9.44333636400006 -1.91749999999996,9.44333609900002 -1.91749997799997,9.44333603900003 -1.91749987399993,9.32250017500007 -1.90749992799994,9.32250022000005 -1.90750001799995,9.32250000000005 -1.90749999999997,9.32650144100006 -1.91557842899994,9.33694504500005 -1.93666392199998,9.35303990800003 -1.96591728499993,9.37687272700003 -2.00923636399995,9.40831026500007 -2.04362910299994,9.42416327400002 -2.06097291099996,9.43688380200007 -2.07375264899997,9.45319090900006 -2.09013636399993,9.48528181800003 -2.11666363599994,9.50374545500006 -2.13333636399994,9.55527272700004 -2.18819090899996,9.57527272700003 -2.21791818199995,9.57844957700007 -2.24022174799995,9.58055416500002 -2.25499988799993,9.57881810500004 -2.29194597599997,9.58150734100008 -2.30395981299995,9.58937272700007 -2.33909999999997,9.61097272700005 -2.37069090899996,9.62045426600002 -2.38130266999997,9.63194512200005 -2.39416395599994,9.66555403900003 -2.42610889799994,9.66555444000005 -2.42610899099998,9.66555454500002 -2.42610909099994,9.72341817700004 -2.43949999699993,9.76173636400006 -2.47881818199994,9.78039103800006 -2.46536499199993,9.79437316200006 -2.45528194499997,9.81423609400002 -2.43034594999995,9.86805411500006 -2.41944595599995,9.91194511300006 -2.47555491899993,9.95860908900005 -2.54528181999996,9.95860917900006 -2.54528195999995,9.96203939900005 -2.54766496499997,9.98139090900003 -2.56110909099993,9.98139116400006 -2.56110881699993,9.98139119200005 -2.56110883699995,9.98436737900005 -2.55790698099997,10.0033363640001 -2.53749999999997,10.076109091 -2.49333636399996,10.133472727 -2.52389090899993,10.1448813490001 -2.54929855899996,10.156454115 -2.57507292199995,10.016109203 -2.63971784499995,9.97465451300008 -2.61763608099994,9.97244800500005 -2.59823297399993,9.97069119000003 -2.58278192399996,9.83027318900002 -2.50083591199996,9.81596188500004 -2.50102928999996,9.79992727300004 -2.50124545499995,9.78011932100003 -2.49751250699995,9.76905411500007 -2.49542690199996,9.74086350500005 -2.48021807099997,9.73415342000004 -2.47456856099996,9.70250012700006 -2.44791793999997,9.70250113200007 -2.44791913499995,9.70250000000004 -2.44791818199997,9.73916324200007 -2.49152680299994,9.73916363600006 -2.49152727299997,9.75361819900007 -2.50682066599995,9.88986332400003 -2.65097289699997,9.91694801300002 -2.67491772699998,9.94500000000005 -2.69971818199997,9.96179510900004 -2.71421117799997,9.96721806500005 -2.71889095599994,9.97423933400006 -2.72384394999995,9.99292727300002 -2.73702727299997,10.036277448 -2.77636107299998,10.0461092080001 -2.78528199999994,10.068609086 -2.80444604799993,10.173891155 -2.88555504299995,10.1983270850001 -2.90249989799997,10.301945178 -2.97860892099993,10.346985467 -3.02102335599994,10.435272727 -3.10416363599995,10.5013909090001 -3.16889090899997,10.6116634850001 -3.28583620299997,10.629718161 -3.30889094299994,10.630834868 -3.31140532599994,10.6459727270001 -3.34549090899998,10.67701069 -3.40304830999997,10.714163322 -3.47194594999996,10.7522181680001 -3.49694598199994,10.776690629 -3.51390961999994,10.8011090910001 -3.53083636399998,10.826580646 -3.55201732599994,10.827499995 -3.55278182399996,10.8275002340001 -3.55278202799997,10.926527053 -3.63999992399994,10.9342993380001 -3.64812591199996,10.9602727270001 -3.67528181799997,10.976527273 -3.69652727299996,10.978441586 -3.70146743699996,10.9861090850001 -3.72125478599997,10.9860452730001 -3.72387524799996,10.985554092 -3.74402688599997,10.9979490100001 -3.77607161299994,11.0093000000001 -3.80541818199993,11.022091017 -3.82202508899996,11.04513618 -3.85194606899995,11.1406632220001 -3.92528202299997,11.136600018 -3.93616875599997,11.127892903 -3.96062550899995,11.0670247200001 -4.04611201199998,10.541247191 -4.73974361899997,10.386356741 -4.88383495899996,10.338930283 -4.92910403899998,10.225266318 -5.03730616399997,9.54725673600007 -5.68585556499994,8.84914291300004 -6.36937416199993,8.49290309000003 -6.00953261799998,8.40498610200007 -5.90171830299994,8.09004827100006 -5.58674835799997,7.73386489100005 -5.23139770299997,7.32310200800003 -4.81980570999997,7.32303019900007 -4.81970282499998,7.32185295100004 -4.81852264799994,7.29969878000003 -4.78699544099993,7.03500000000003 -4.49222222199995,7.13361111100005 -4.08694444399993,7.14083333300005 -4.05333333299996,7.22277777800002 -3.67972222199995,7.28166666700002 -3.27166666699998,7.37305555600005 -2.38444444399994,7.37805555600005 -2.30944444399995,7.36333333300007 -2.07416666699993,7.30777777800006 -1.64694444399993,7.30472222200007 -1.62416666699994,7.28833333300003 -1.53861111099997,7.28027777800003 -1.50555555599993,7.27500000000003 -1.48444444399996,7.47361111100003 -0.880833332999941,7.62833333300006 -0.429166666999947,7.68916666700005 -0.293888888999959,7.84111111100003 -0.00138888899994072,8.18750000000006 0.56666666700005,8.19500000000005 0.623611111000059,9.07055555600004 0.687777778000054,9.08083333300004 0.689166667000052,9.25166666700005 0.710277778000034,9.26944444400004 0.707777778000036,9.33333333300004 0.703055556000038,9.35277777800007 0.704166667000038,9.37555555600005 0.712222222000037,9.38472222200005 0.721666667000022,9.39111111100004 0.726111111000023,9.41222222200003 0.729444444000023,9.41222222200003 0.738055556000063,9.41250000000002 0.738055556000063,9.42166666700007 0.740277778000063,9.44027777800005 0.749166667000054,9.47000000000003 0.765555556000038,9.49277777800006 0.784166667000022,9.47944444400002 0.869722222000064,9.47944444400002 0.871111111000062,9.47388888900002 0.883333333000053,9.47250000000003 0.88472222200005,9.52527777800003 0.952222222000046,9.52972222200003 0.966111111000032,9.53805555600007 0.972777778000022,9.54833333300007 0.986944444000073,9.54861111100007 0.994722222000064,9.54916666700007 0.997777778000057,9.54805555600007 1.01027777800005,9.54888888900007 1.02500000000003,9.56055555600005 1.02222222200004,9.56944444400006 1.02222222200004,9.58000000000004 1.01972222200004,9.58000099000003 1.01972432900004,9.59756134300005 1.03465092800008,9.62769734300002 1.04720792800003,9.64778834300006 1.05474192800006,9.66536834300007 1.06980992800004,9.70806134300005 1.07483292800003,9.73317434300003 1.07483292800003,9.76582234300002 1.06729892800007,9.78842434300003 1.05725292800003,9.78906588400002 1.05276163200006),(8.96416325300004 -0.731391000999963,8.96860918200002 -0.740554935999967,8.97805407800007 -0.754864017999978,8.99194507100003 -0.765281885999968,9.00221809900006 -0.768890964999969,9.00777328900006 -0.767781871999944,9.01666330300003 -0.763054981999971,9.02715102600007 -0.753851229999952,9.03708181800005 -0.745136363999961,9.03708183700007 -0.745136210999931,9.03708229000006 -0.74513581399998,9.04454450500003 -0.68522657799997,9.04652727300004 -0.669309090999946,9.04511152500004 -0.662905148999926,9.04360911000003 -0.656108937999932,9.00389112700003 -0.599581884999964,9.00389100600006 -0.599581954999962,9.00389090900006 -0.599581817999933,8.99279267400004 -0.606016530999966,8.96555414600005 -0.621808848999933,8.95072378600003 -0.644552879999935,8.94916363600004 -0.64694545499998,8.94916360700006 -0.646945589999973,8.94916333400005 -0.646946008999976,8.94666318000003 -0.658335841999929,8.94721806200005 -0.671390990999953,8.96416325300004 -0.731391000999963)))', 'Gabonese Exclusive Economic Zone', 'Gabon', 'Gabon', '', '198', '198', 'GAB', '8476', '', '194342812300', '8476', 'Y'),('SRID=4326;MULTIPOLYGON(((13.190281818 -8.86160909099988,13.0997181820001 -8.95778181799989,13.0552727270002 -9.02472727299994,13.0136090910001 -9.08694545499992,13.0005545450002 -9.05472727299997,13.0075000000002 -9.03444545499997,13.0297181820001 -8.98610909099989,13.0550000000003 -8.95583636399994,13.0703727270003 -8.94228181799991,13.0884181820002 -8.92719090899982,13.1040090910002 -8.90700909099991,13.1313181820001 -8.88166363599993,13.0762818180003 -8.91734545499986,13.0287090910002 -8.96164545499988,13.0027818180002 -9.02201818199995,12.9845818180002 -9.08125454499998,13.1166636360001 -9.30110909099994,13.1423727270002 -9.33770909099991,13.17 -9.40860909099996,13.2234727270003 -9.61333636399985,13.2222181820001 -9.64847272699984,13.2533363640002 -9.77555454499992,13.2902727270002 -9.82860909099998,13.3047181820002 -9.85180909099989,13.3291636360003 -9.90972727299993,13.3343727270002 -9.95041818199996,13.3160363640002 -9.96319090899988,13.4486090910002 -10.1966636359999,13.4797181820002 -10.2411090909999,13.4883181820003 -10.2510999999998,13.511390909 -10.2820818179998,13.5297181820002 -10.3465272729999,13.5208363640002 -10.3745818179999,13.5231909090001 -10.3980545449999,13.5388909090002 -10.423754545,13.6425000000003 -10.531390909,13.7463909090002 -10.6430545449999,13.7683363640002 -10.6728454549999,13.7695818180003 -10.7003454549999,13.7405545450002 -10.7302818179999,13.7245090910003 -10.7654909089998,13.7819454550001 -10.8513909089999,13.8360363640002 -10.9215999999999,13.8494454550003 -10.9561090909999,13.853609091 -11.0029181819999,13.8477727270002 -11.095554545,13.8162818180001 -11.3030909089999,13.7915272730002 -11.3340272729999,13.7788909090002 -11.5169454549999,13.7752727270001 -11.5772181819999,13.7864545450002 -11.7157636359999,13.7928818180002 -11.7487545449999,13.794445455 -11.7588909089999,13.7920818180001 -11.794727273,13.7641636360001 -11.9361090909999,13.6625 -12.169727273,13.5759727270002 -12.3123636359999,13.5566636360002 -12.3230545449999,13.5252818180001 -12.350690909,13.508054545 -12.3722181819999,13.4858363640001 -12.4055545449999,13.473336364 -12.4347181819999,13.4737454550003 -12.4566636359997,13.4725000000001 -12.4840272729999,13.4591545450002 -12.5086090909999,13.3758363640002 -12.5899999999998,13.3544454550002 -12.6034727269999,13.2300000000002 -12.6130545449999,13.1980545450002 -12.609581818,13.125272727 -12.655554545,12.9700000000001 -12.7844454549997,12.9324272730003 -12.8268090909999,12.9270818180002 -12.8566636359999,12.9511090910002 -12.9266727269999,12.9618727270003 -12.9479909089999,12.9383272730001 -12.9941636359998,12.8625000000003 -13.0858363639998,12.7666636360003 -13.1924999999998,12.5400000000002 -13.4002818179999,12.5127090910002 -13.4243727269999,12.523054545 -13.5529181819999,12.5319545450002 -13.5679363639999,12.535972727 -13.5776363639999,12.5045818180002 -13.8444454549999,12.4828454550002 -13.877290909,12.4086090910001 -13.9505545449998,12.3577727270002 -14.041390909,12.3322181820002 -14.1049999999998,12.3172909090002 -14.1899999999998,12.3262454550002 -14.230554545,12.3416000000003 -14.2599999999998,12.3477727270002 -14.3074999999999,12.3404181820001 -14.396945455,12.3322181820002 -14.4241636359999,12.3158363640002 -14.4661090909999,12.3005545450002 -14.5291636359999,12.2822181820002 -14.6374999999999,12.2777727270002 -14.6680545449999,12.2736090910001 -14.7523636359999,12.2474999999999 -14.789445455,12.2052727270002 -14.877781818,12.159163636 -14.9886090909998,12.1061090910002 -15.1141727269998,12.0575000000002 -15.2183363639999,12.0302818180002 -15.4019454549999,12.0308363640001 -15.428336364,12.0360363640002 -15.4639545449999,12.0340272730003 -15.4952818179999,12.015 -15.5694454549998,12.0059727270002 -15.5965272729997,11.8908272730001 -15.7551363639999,11.8575000000001 -15.7879181819999,11.8276363640001 -15.7995818179999,11.8116636360002 -15.7792363639999,11.7734727270003 -15.7836818179998,11.7413909090002 -15.8197272729998,11.7312454550001 -15.8506909089999,11.7412454550003 -15.8787545449999,11.7713909090002 -15.9243090909999,11.8029181820003 -15.9679181819999,11.8102727270003 -16.0002818179999,11.8055545450002 -16.0245818179998,11.7913909090001 -16.052781818,11.7815272730002 -16.0891727269999,11.7863909090001 -16.1961090909999,11.7941636360003 -16.241945455,11.8075000000003 -16.3474999999999,11.8102727270003 -16.3705545449999,11.8155545449999 -16.423336364,11.8177818180003 -16.447227273,11.8197181819999 -16.4716727269999,11.8208363640002 -16.5030545449999,11.8222181820002 -16.6727818179999,11.821109091 -16.7024999999999,11.8125000000003 -16.7913909089999,11.7731909090002 -16.826527273,11.7719454550002 -16.9658363639999,11.7583363639999 -17.1394454549999,11.7527818930002 -17.254834816,11.7513250520002 -17.249775873,8.26385349900016 -17.2499457319997,8.26385316300014 -17.2499457319997,8.24725460300027 -17.1319187729999,8.24712653000023 -17.1300599969999,8.24652404900002 -17.1277108329999,8.24652286499992 -17.1276936569999,8.24567851000012 -17.1244013419999,8.24567282400022 -17.1243188209999,8.24332786600019 -17.1151750379999,8.24311938200015 -17.1121489199999,8.2426109980002 -17.110166493,8.24257343000028 -17.1096211959999,8.24186491000029 -17.106858303,8.20187868699998 -16.5274702729999,8.20281111400016 -16.5192466389999,8.20217065400027 -16.5099848249999,8.26728286800017 -15.9325078709999,8.26803509699994 -15.9300092109998,8.2681345430002 -15.9291224029999,8.27410047500018 -15.9093024449998,8.2703269160001 -15.8553603909999,8.27060490800022 -15.8528785859999,8.27049194600028 -15.8512641549999,8.33482306900009 -15.2738661329999,8.33533359000018 -15.2721596189999,8.3356969670001 -15.268880655,8.33632903199992 -15.266767742,8.33655876100022 -15.2646945499998,8.33736497300009 -15.2619993449999,8.33751894000017 -15.2606097239999,8.33827253800018 -15.2580902939999,8.33836862600009 -15.2572229909998,8.33929634700024 -15.2541212949999,8.33931670300012 -15.2539375369999,8.34700624300007 -15.2282239459998,8.34710252300022 -15.2273542439999,8.34773491300012 -15.225239158,8.34796416600022 -15.2231681109998,8.51425884800017 -14.6650011209999,8.51479382000002 -14.6639408099997,8.51518785100023 -14.6626135919998,8.5155835720002 -14.661829256,8.51611863700015 -14.6600269359999,8.51641069800024 -14.6594480449999,8.51694796700019 -14.6576382439999,8.7796152280003 -14.1354093919997,8.78076385700018 -14.1338719589999,8.7837782590002 -14.1278603699998,8.78382849200017 -14.1277931279998,8.78459213400015 -14.1262701379997,8.7860387350002 -14.1243336839999,8.78631085500012 -14.1237909529999,8.78641642200023 -14.123649636,8.78803949600007 -14.1204124109999,8.78963374599999 -14.1182781749999,8.78975701500019 -14.118032302,8.79100599500015 -14.1163602389999,8.79310492300021 -14.1121735099997,8.79331075700003 -14.1118979369999,8.79401943500022 -14.1104842859999,8.84873343400017 -14.0371987999999,8.89895905900016 -13.9368497199999,8.90264854600014 -13.9242779839999,8.90295377600017 -13.9236677279999,8.90347580000019 -13.921888791,8.90389034800023 -13.921059952,8.90440631300021 -13.9193016069999,8.90518810200012 -13.9177384669999,8.90522526400019 -13.9176118219999,8.91578299900021 -13.896499573,8.91711256700029 -13.8919668529999,8.91766330000024 -13.8908653709999,8.91804038800018 -13.8895797499999,8.91875468900025 -13.8881510919998,8.91886062800023 -13.8877898989999,8.93036358000018 -13.8647798739999,8.96052781200024 -13.5801140369999,8.98070770700025 -13.5110898439999,8.98245596800018 -13.494523025,8.98367639700018 -13.4903462579999,8.98428788400025 -13.4845500769999,8.98494996200014 -13.4822840019999,8.98514208900014 -13.4804626499999,8.98725628000017 -13.4732259589998,8.9878072700003 -13.4680014179999,8.99092702000013 -13.457321211,8.99129292899994 -13.453850498,9.1539199890002 -12.8952934089999,9.1603162140002 -12.8823946599999,9.16407888400011 -12.8462116649999,9.16572132400012 -12.8405499299998,9.16780854900026 -12.8204670149999,9.16858748999994 -12.8177813179999,9.16865009700024 -12.817178783,9.33018849200005 -12.25849942,9.5875599280003 -11.7353844709999,9.93262252400024 -11.2634518899999,9.93349897500019 -11.2626095489997,9.93382454600021 -11.2621631789999,9.95898615999999 -11.237977072,9.99960887500021 -11.1546608699999,10.1003193600002 -11.0163490339999,10.0943313670003 -10.9936020469999,10.0107768130002 -10.8134444229999,9.90415501500019 -10.407488649,9.81624906300027 -10.2174233649999,9.81576685200025 -10.215583366,9.81547228600022 -10.2149461249999,9.81495419800012 -10.212969202,9.81469516700014 -10.2124088279999,9.66751248900016 -9.65015295199987,9.66721243199993 -9.64635593599991,9.66667107500018 -9.64428561299997,9.62089273400028 -9.06543678499986,9.62171545100023 -9.05704964099982,9.62106034400028 -9.04877349399993,9.67751831300029 -8.4709080689999,9.67766302500019 -8.47039205199991,9.6785039910003 -8.46175068899993,9.6789387500001 -8.46020031599988,9.68024241300026 -8.44680215799997,9.68117134600027 -8.44348916199993,9.68117291899995 -8.4434729969999,9.68194575099994 -8.44071665499996,9.68200362100015 -8.44012177999986,9.68267309100008 -8.4377340179999,9.68284156400028 -8.43600210599988,9.69304815300001 -8.39959215499988,9.69073545300017 -8.39456938199987,9.69023965000025 -8.39267276599992,9.68916830900014 -8.39034594899994,9.68882753900022 -8.38904236199988,9.68828703600019 -8.38786844299995,9.68269834400013 -8.36648845999991,9.65809205400029 -8.33103056599998,9.65671480399999 -8.32803839399986,9.64658313300021 -8.31343618699992,9.6139210390001 -8.24245658399997,9.59464872000007 -8.21466802999987,9.59449588000024 -8.21433577199991,9.59296218400016 -8.21212415399998,9.59289426000021 -8.21197649099992,9.59127419600009 -8.20964029599998,9.59099625100009 -8.20903605599989,9.58968688100015 -8.20714786499991,9.58953421000018 -8.20681595999997,9.58800034000012 -8.20460399599989,9.58793257899993 -8.20445668299982,9.58631234600028 -8.20212014399993,9.54448153700014 -8.11115864099997,9.54435970700018 -8.11098287699991,9.5436555830002 -8.10945142599985,9.54356935100014 -8.10932701899986,9.54280995900001 -8.10767534899998,9.54277932000025 -8.10763114499997,9.54224448500014 -8.1064678759999,9.54188853000028 -8.10595432899987,9.54116811400013 -8.10438740699988,9.54109921400016 -8.10428800199986,9.53199857200013 -8.08449290499988,9.53122283200008 -8.08337360899992,9.47686992700022 -7.96511120499997,9.41734387300011 -7.8791565279999,9.41730706700008 -7.87907638099989,9.36689571800019 -7.80625059699986,9.36636503900024 -7.80509452299992,9.36600476000018 -7.80457394299987,9.36527726000003 -7.80298908499992,9.36521438700026 -7.80289823699997,9.36450070200027 -7.80134346199992,9.36442393300024 -7.80123253499988,9.12182159100024 -7.2721300849999,9.12148160500016 -7.27082159599991,9.12015121199994 -7.26791692299992,9.11982145500014 -7.26664777999997,9.11926834900015 -7.26544015899998,9.11877083200011 -7.26352534099988,9.11848642800004 -7.26290438199993,9.07060047567893 -7.07849009989241,9.11374964722251 -7.06505067222224,11.9795394500002 -6.17245938055549,12.1712365583335 -6.11269636666657,12.2527557015578 -6.08727917437415,12.2462454550002 -6.10360909099995,12.2633363640002 -6.13444545499988,12.3133272730001 -6.1952818179999,12.3408272730002 -6.22278181799987,12.3627818180001 -6.2572272729999,12.4619454550002 -6.47360909099996,12.5361090910003 -6.6327818179999,12.548890909 -6.65499999999997,12.5676363640002 -6.6705545449999,12.5986090910002 -6.6952818179999,12.6655545450003 -6.76639090899994,12.8177818180003 -6.95028181799995,12.8283363639999 -6.99055454499995,12.8330545450002 -7.01944545499987,12.8419454550002 -7.08722727299994,12.8691636360003 -7.26860909099997,12.951663636 -7.43805454499989,12.9844454550001 -7.52666363599997,13.0102727270001 -7.59333636399992,13.0723636360003 -7.7501363639999,13.0877727270002 -7.77472727299994,13.1012636360001 -7.79200909099995,13.1077727270002 -7.80278181799991,13.1161090910002 -7.82166363599987,13.1552818180001 -7.91444545499991,13.1947181820001 -8.00916363599981,13.1997181820001 -8.02860909099991,13.2155545450003 -8.06555454499994,13.2591636360003 -8.16583636399992,13.3191636360001 -8.25722727299996,13.3519454550002 -8.30055454499984,13.3698727270001 -8.32925454499986,13.3917999999999 -8.39375454499998,13.3792363640001 -8.45875454499992,13.349581818 -8.46749999999992,13.3511090910002 -8.50444545499994,13.3687727270002 -8.58141818199994,13.4002818180002 -8.63076363599993,13.4075000000001 -8.6591636359999,13.3875000000002 -8.74028181799986,13.360281818 -8.76833636399994,13.278327273 -8.78110909099991,13.227709091 -8.80451818199987,13.190281818 -8.86160909099988)),((12.4083363640002 -6.07694545499993,12.3144454550005 -6.09749999999985,12.3081562767714 -6.07000559889707,12.3629110861114 -6.05293336944436,12.4272044543968 -6.07238138181629,12.4083363640002 -6.07694545499993)),((11.8199950861113 -5.8933036805555,9.8220205992634 -6.51597075172089,11.297896618 -5.51187938599992,11.90219853 -5.10075113099992,11.9958584050001 -5.03855115099992,12.0046520650254 -5.03304504990149,12.0080839390002 -5.03016129499997,12.0261270920002 -5.01500000499988,12.0184727270002 -5.03986363599989,12.0452727270003 -5.08889090899987,12.0663909090002 -5.12249999999989,12.0836090910002 -5.14639090899988,12.1305545450003 -5.22833636399992,12.163890909 -5.29389090899991,12.1761090910002 -5.32333636399989,12.228609091 -5.47694545499991,12.2326363640003 -5.50152727299997,12.2254181820002 -5.5288181819999,12.1826363640002 -5.53847272699983,12.1620818180002 -5.58139090899988,12.1527727270003 -5.61458181799992,12.1547909090001 -5.67742727299986,12.1761090910002 -5.71416363599991,12.2145545450001 -5.76855454499992,12.211749432657 -5.77133866070847,12.2025312344446 -5.77301028611112,12.0115928388889 -5.8335390277777,11.8199950861113 -5.8933036805555)))', 'Angolan Exclusive Economic Zone', 'Angola', 'Angola', '', '200', '200', 'AGO', '8478', '2014-02', '491991720400', '8478', 'Y'),('SRID=4326;MULTIPOLYGON(((7.60679375400002 2.71048084300003,6.87916666700005 2.34972222200003,5.96500000000003 1.67000000000007,4.86055555600007 1.15472222200003,4.69083333300006 1.22083333300003,4.40388888900003 1.35805555600007,4.11527777800006 1.52750000000003,3.83972222200003 1.71388888900003,3.57583333300005 1.92166666700007,3.89444444400004 1.98138888900007,4.25305555600005 2.04972222200007,4.41555555600007 2.08611111100004,4.79944444400007 2.17888888900006,5.10083333300003 2.26472222200005,5.28638888900002 2.32500000000005,5.44916666700004 2.38027777800005,5.60555555600007 2.43916666700005,5.75611111100005 2.50222222200006,5.88277777800005 2.56027777800006,5.98333333300008 2.61055555600007,6.26583333300005 2.75500000000005,6.44472222200005 2.83833333300004,6.49083333300007 2.85805555600007,6.52944444400003 2.87305555600005,6.63527777800005 2.91277777800002,6.94944444400005 3.00666666700005,7.01861111100004 3.02194444400004,7.02944444400003 3.02416666700003,7.05194444400007 3.02888888900003,7.12151365300002 3.04215273300002,7.12151388900003 3.04215277800006,7.43111111100006 2.83333333300004,7.60679375400002 2.71048084300003)))', 'Nigeria - Sao Tome and Principe Joint', 'Nigeria - Sao Tome and Principe', 'Joint Regime', 'Nigeria / Sao Tome and Principe', '0', '201', '-', '21797', '', '34690898180', '21797', 'Y'),('SRID=4326;MULTIPOLYGON(((39.3494440000001 -4.83222199999994,39.4777780000001 -4.89199999999994,39.6050000000001 -4.68111099999993,43.1924722320001 -4.68101144799994,43.2121979080001 -4.89197208699994,43.2118905340001 -4.89572396899996,43.2122381550001 -4.89942834599998,43.2118599 -4.90404527799996,43.2122876970001 -4.90860368699992,43.212253608 -4.90901979399996,43.212219283 -4.90943846199997,43.2122966600001 -4.91026270599997,43.2115482840001 -4.91940140199995,43.211477566 -4.92026790299997,43.211557725 -4.92112195699997,43.2114559710001 -4.92236420499995,43.2115710950001 -4.92359070399993,43.2115582050001 -4.92374805099996,43.21592359 -4.97024140799994,43.2158544070001 -4.97108639199996,43.215866308 -4.97121313199995,43.2159327210001 -4.97192046199996,43.212141156 -5.01823819999993,43.21285176 -5.02579921699993,43.215695855 -5.05606108299997,43.215490092 -5.05857622099995,43.2157234520001 -5.06105860599996,43.2113010690001 -5.11513624599996,43.2059246580001 -5.18087964899996,43.2064127840001 -5.18606589899997,43.2064127850001 -5.18606592999993,43.2063778400001 -5.18649357499993,43.206387078 -5.18659178599995,43.206417533 -5.18691571199997,43.206041789 -5.19151293399995,43.206041789 -5.19151296099994,43.206178821 -5.19296872999996,43.206468945 -5.19605099599994,43.2063649610001 -5.19732334299994,43.2064241830001 -5.19795259199998,43.206483158 -5.19857933699996,43.1592922780001 -5.77708357799997,43.1579836930001 -5.78206790499996,43.156412919 -5.78805089499997,43.1553353460001 -5.80128652499997,43.152340908 -5.81269245099998,43.1521164760001 -5.81544926999993,43.1226561020001 -5.92766015799998,43.229400846 -6.31282583799998,43.2846707210001 -6.89058208899996,43.2846050300001 -6.89139926499996,43.284682015 -6.89220104999993,43.246440443 -7.36846805599993,43.2717332120001 -7.63027471099997,43.2710603790001 -7.63869163199996,43.2715334170001 -7.64357893799996,43.271859283 -7.64694590199997,43.2708467210001 -7.65961483899997,43.271072218 -7.66194383499993,43.2705259200001 -7.74419389799994,43.270525917 -7.74419452799998,43.2621885560001 -7.77406566699995,43.253850028 -7.80393658299994,43.245510333 -7.83380730599993,43.2371694170001 -7.86367783299994,43.228827333 -7.89354813899996,43.220484056 -7.92341822199995,43.2121395560001 -7.95328811099995,43.2037938330001 -7.98315780599995,43.195446917 -8.01302724999994,42.7385162960001 -8.51037522599995,42.7384316600001 -8.51045451699997,42.636769273 -8.78729158999994,42.5758231770001 -8.95626507999998,42.538980843 -9.06399518599994,42.2215819200001 -10.091388889,41.033611111 -10.091388889,40.6686111110001 -10.3127777779999,40.4927777780001 -10.414722222,40.4386111090001 -10.467777777,40.4368091480001 -10.478172974,40.4338818430001 -10.4477818419999,40.3986090930001 -10.3711090919999,40.238118156 -10.205281842,40.208190906 -10.244927279,40.261181843 -10.272154529,40.2279090930001 -10.297636342,40.1325000300001 -10.2477818419999,40.12805453 -10.1947272789999,40.113609093 -10.167781842,40.0669363430001 -10.1483363419999,40.0472181550001 -10.1405545289999,39.989509093 -10.135972717,39.9976363430001 -10.170554529,39.988745468 -10.2168090919999,39.9756363430001 -10.2022818419999,39.9820818430001 -10.176527279,39.972636343 -10.1255545289999,39.927909093 -10.0547181539999,39.889718155 -10.021663654,39.826381843 -9.99305452899995,39.791109093 -9.92389090399996,39.805272718 -9.86708184099996,39.803745468 -9.84333634099994,39.784436343 -9.80222727899996,39.7305545300001 -9.75500002899997,39.7349909050001 -9.71666365399994,39.731945468 -9.65610909099996,39.7016636550001 -9.56694546599994,39.6497181550001 -9.35562727799993,39.6447181550001 -9.19360909099993,39.6333272800001 -9.17222727799998,39.4577727170001 -8.94083633999998,39.3927000300001 -8.90666365299995,39.4052727170001 -8.86694546499996,39.4525000300001 -8.86139090299997,39.533881842 -8.91110908999997,39.4586090920001 -8.82250002799998,39.35582728 -8.71694546499998,39.354163655 -8.66667271499995,39.3400000300001 -8.54833633999993,39.31000003 -8.40333633999995,39.305272717 -8.29666365199995,39.2952909050001 -8.26786365199996,39.3244363420001 -8.29583633999994,39.3486090920001 -8.27500002699998,39.445545467 -8.00000002699994,39.4466636550001 -7.81416365199993,39.3423545300001 -7.74028183899998,39.322218155 -7.73694546399997,39.2997181550001 -7.75778183899996,39.2775000300001 -7.63028183899996,39.2755545300001 -7.60610908899997,39.2744363420001 -7.57916365199998,39.28832728 -7.49889090199997,39.2997181550001 -7.45916365199997,39.3749909050001 -7.29110908899997,39.3916636550001 -7.26360908899994,39.42110003 -7.22194546399993,39.48360003 -7.16694546399998,39.5402727170001 -7.08278183899995,39.547881842 -6.99430908899996,39.53152728 -6.97597271399997,39.50735453 -6.93916365099994,39.500418155 -6.91889090099994,39.492772717 -6.89166365099993,39.46402728 -6.86069090099994,39.3900000300001 -6.84805452599994,39.344163655 -6.83110908799995,39.3049909050001 -6.81639090099998,39.2438909050001 -6.73750002599996,39.16750003 -6.61416365099996,39.1554454670001 -6.58615452599997,39.1422181550001 -6.57055452599997,39.0462454670001 -6.48097271299997,39.022218154 -6.48971815099998,38.9658272790001 -6.47333633799997,38.922636342 -6.44666365099994,38.870827279 -6.38528183799997,38.851663654 -6.35110908799993,38.8452727170001 -6.32305452599996,38.8433272790001 -6.26778183799996,38.838336342 -6.14666364999994,38.7823636540001 -6.06041821299993,38.7761090920001 -6.03972727499996,38.786081842 -5.99597271299996,38.8029636540001 -5.95694546299995,38.8594454670001 -5.77000002499994,38.9294454670001 -5.60750002499998,38.9666636540001 -5.54666364999997,39.000000029 -5.45971821199993,39.0555454670001 -5.31305452499993,39.078045467 -5.24389089999994,39.1269363420001 -5.05139089899996,39.133745467 -4.95375452399998,39.1377727170001 -4.92278183699995,39.146381842 -4.88513633699995,39.1672909050001 -4.86569089899996,39.1586090920001 -4.89889089899998,39.1628454670001 -4.93354546199993,39.184718155 -4.92110908699993,39.2205545300001 -4.84860908699994,39.220836342 -4.74778183699993,39.2165181550001 -4.69139089899994,39.2030271950001 -4.66961782599998,39.349443797 -4.83222177199997,39.3494440000001 -4.83222199999994),(39.68250003 -4.91944546199994,39.6776363430001 -4.93860908699997,39.674163655 -5.00889089899994,39.679163655 -5.04916364899998,39.6924909050001 -5.13625452399998,39.7372181550001 -5.15778183699996,39.742772718 -5.15916364899994,39.74555453 -5.16583633699997,39.74500003 -5.19055452399994,39.742772718 -5.20610908699996,39.720272718 -5.25666364999995,39.684718155 -5.29750002499998,39.6500000300001 -5.34152727499998,39.6441636550001 -5.36916364999996,39.6400000300001 -5.39444546199996,39.6404181550001 -5.41666364999998,39.6487454680001 -5.43368183699994,39.73332728 -5.46347271199994,39.79500003 -5.40750002499993,39.801663655 -5.39360908699996,39.8511000300001 -5.25194546199998,39.855272718 -5.23194546199994,39.856663655 -5.21971821199998,39.8556363430001 -5.15940908699997,39.8352727180001 -5.13513633699995,39.8244363430001 -5.10305452399996,39.838881843 -5.04971821199996,39.8597909050001 -5.01992727399994,39.869718155 -5.00416364899996,39.87305453 -4.98833633699996,39.870281843 -4.91471821199997,39.8572181550001 -4.90860908699995,39.6894363430001 -4.90110908699995,39.68250003 -4.91944546199994),(39.25805453 -6.30860908799997,39.28422728 -6.32049090099997,39.2911090920001 -6.31194546299997,39.28455453 -6.26407271299996,39.2881909050001 -6.24889089999994,39.305272717 -6.24625452499993,39.3994363420001 -6.31139090099992,39.4290272800001 -6.38763633799994,39.44985453 -6.43778183799998,39.462490905 -6.45221815099995,39.477636342 -6.46389090099996,39.494445467 -6.47028183799995,39.5044363420001 -6.47055452599994,39.5161090920001 -6.46860908799994,39.5406909050001 -6.45916365099993,39.5591636550001 -6.44416365099994,39.5666636550001 -6.42500002599996,39.569445467 -6.41416365099997,39.5750000300001 -6.38694546299996,39.5727727170001 -6.37528183799998,39.5290181550001 -6.18736364999995,39.5065909050001 -6.13541821299998,39.493472717 -6.13083633799994,39.49000003 -6.14389089999997,39.500272717 -6.15389089999996,39.5058272800001 -6.19013633799995,39.501945467 -6.20000002499995,39.449645467 -6.21221821299997,39.435272717 -6.18750002499996,39.423609092 -6.13416364999995,39.4213909050001 -6.12250002499997,39.424163655 -6.09278183799995,39.424163655 -6.05444546299998,39.3951818420001 -6.01958183799997,39.390545467 -6.01166364999995,39.379718155 -5.98778183799993,39.366663655 -5.95360908799995,39.3545818420001 -5.91472727499996,39.3536090920001 -5.89833633799998,39.3540181550001 -5.85319089999996,39.36250003 -5.84444546299994,39.360136342 -5.80471821299994,39.3405545300001 -5.76000002499995,39.311109092 -5.72416364999998,39.2971454670001 -5.73013633699998,39.2905545300001 -5.74360908699992,39.2415272800001 -5.87221821299994,39.194581842 -5.90555452499996,39.1891636550001 -5.92028183799994,39.1863909050001 -5.95971821299997,39.1876636550001 -6.00000002499996,39.1890272800001 -6.01639089999998,39.1933272800001 -6.02389089999997,39.196109092 -6.02666364999993,39.202218155 -6.04028183799994,39.2111090920001 -6.06889089999993,39.212490905 -6.08778183799996,39.2111090920001 -6.12000002499997,39.205690905 -6.14069089999998,39.1966636550001 -6.15194546299995,39.19055453 -6.17778183799993,39.201381842 -6.22694546299994,39.20832728 -6.24666364999996,39.25805453 -6.30860908799997),(39.8422181550001 -7.73333633899995,39.801109093 -7.78360908899998,39.6525000300001 -7.91333633999994,39.6030545300001 -7.94389090199996,39.5929090920001 -7.94944546499994,39.611663655 -7.97471815199998,39.6469454670001 -7.99610908999995,39.6530545300001 -7.99694546499995,39.68250003 -7.99333633999993,39.698881843 -7.98944546499996,39.727772718 -7.97500002699996,39.8113909050001 -7.91944546499997,39.8250000300001 -7.90916365199996,39.8463818430001 -7.87736365199993,39.8894454680001 -7.76333633899998,39.896381843 -7.73694546399997,39.9080545300001 -7.68916365199993,39.91000003 -7.67778183899998,39.9080545300001 -7.65250002699997,39.9012454680001 -7.64257271399993,39.88805453 -7.65944546399993,39.88055453 -7.67875452699997,39.8627818430001 -7.70694546399994,39.8422181550001 -7.73333633899995)))', 'Tanzanian Exclusive Economic Zone', 'Tanzania', 'Tanzania', '', '202', '202', 'TZA', '8479', '', '242289248600', '8479', 'Y'),('SRID=4326;MULTIPOLYGON(((-55.945872021 46.7372329740001,-55.938005344 46.723155762,-55.924444444 46.698888889,-55.903333333 46.646111111,-55.903333604 46.6461109540001,-55.944942785 46.6220275050001,-55.9533888889999 46.617138889,-56.029194444 46.581111111,-56.058580161 46.574729059,-56.125402288 46.560216487,-56.150444444 46.5547777780001,-56.1528333329999 45.5083333330001,-56.1550833329999 44.4625,-56.157222222 43.4161111110001,-56.157222552 43.416111114,-56.157222718 43.416111115,-56.2360990719999 43.416702528,-56.3146654829999 43.417291618,-56.398027778 43.417916667,-56.400027778 44.401111111,-56.400731258 44.7331538870001,-56.402111111 45.3844444440001,-56.403229914 45.879486822,-56.404333333 46.3677222220001,-56.45851578 46.3837239870001,-56.5066666669999 46.3979444440001,-56.648333849 46.44474037,-56.648333895 46.444740385,-56.688138889 46.4578888890001,-56.837916556 46.5541388180001,-56.8379166669999 46.5541388890001,-56.8444753799999 46.5601400520001,-56.8986944439999 46.6097500000001,-56.9359175 46.68952711,-56.98675 46.798472222,-57.096777558 46.982944075,-57.0967777779999 46.9829444440001,-57.096777452 46.9829446540001,-57.006668577 47.0408177670001,-56.868416667 47.129611111,-56.730314127 47.187818388,-56.662527778 47.216388889,-56.661142774 47.2174824420001,-56.6546727319999 47.222590972,-56.6311111109999 47.241194444,-56.5231368889999 47.339007678,-56.5068845709999 47.35373056,-56.494444444 47.3650000000001,-56.4301599679999 47.3489661690001,-56.359702258 47.3313926100001,-56.2549999999999 47.3052777780001,-56.105 47.1005555560001,-56.112838526 47.0468308270001,-56.11949949 47.0011770310001,-56.1297222219999 46.9311111110001,-56.099444444 46.8600000000001,-56.096920246 46.858557601,-56.096203411 46.8581479810001,-56.091666667 46.8555555560001,-55.9825 46.8027777780001,-55.945872021 46.7372329740001)))', 'Saint-Pierre and Miquelon Exclusive Economic Zone', 'Saint Pierre and Miquelon', 'France', '', '179', '219', 'SPM', '8494', '', '12548844410', '8494', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.90050844999996 49.354596777,-1.88658189999995 49.3464258650001,-1.88035005199993 49.3426762830001,-1.86988251299994 49.3363781680001,-1.85280099699997 49.3262490540001,-1.84307370999994 49.320313909,-1.82518885999997 49.2932618240001,-1.81856422399994 49.2835804380001,-1.81678758699996 49.2605427300001,-1.81838492399993 49.22308558,-1.83278183799996 49.2191914970001,-1.84943231799997 49.214629191,-1.85276656999997 49.2061312650001,-1.85647775799993 49.1285420400001,-1.85649292499994 49.1280919110001,-1.85651978099997 49.126894281,-1.85654169499998 49.1262438680001,-1.85658008099995 49.1255934480001,-1.85674493099998 49.1232478680001,-1.85428757099993 49.1169185690001,-1.85447544799996 49.11189124,-1.85448707299997 49.11144111,-1.85449903399996 49.1103941740001,-1.85562496499995 49.0777429840001,-1.86645888199996 49.0412173300001,-1.88277731299996 49.0406254710001,-1.88349964999998 49.039959314,-1.90876458499997 49.0168757390001,-1.90946952099995 49.0162257970001,-1.91016097099993 49.015575842,-1.91126852099995 49.0145256070001,-1.91233296499996 49.013477241,-1.91273380499996 49.013078857,-1.91902417299997 49.0067681510001,-1.94091281299995 48.9852124000001,-1.95442330199995 48.9687789430001,-1.97007681899993 48.9501177770001,-1.97010575899998 48.9430687180001,-1.95428402999994 48.9202627620001,-1.95576364299995 48.916606121,-1.96821613999992 48.8841072770001,-1.98621694299993 48.8395110480001,-1.99986719599997 48.8050098030001,-2.03596117999996 48.7942626710001,-2.05853263299997 48.7882474460001,-2.07603782599995 48.7873727410001,-2.09500155899997 48.786688616,-2.14766819699997 48.784560066,-2.15600675199994 48.7832671840001,-2.18655374699995 48.778404924,-2.24952622099994 48.799369719,-2.31849403399997 48.81979805,-2.32349884099995 48.821288403,-2.32850364599994 48.822869489,-2.37510377099994 48.8376706060001,-2.39607289799994 48.84423945,-2.49116808499997 48.861276027,-2.51626304599995 48.8657901990001,-2.56990240499994 48.882420848,-2.57821195699995 48.884399612,-2.59649280799994 48.8898665290001,-2.60530976299998 48.9087230850001,-2.60949706199995 48.9176783340001,-2.62567684299995 48.955638048,-2.63463949799996 48.976665515,-2.64234500799995 48.994913614,-2.64259920099994 48.995513562,-2.64287601699994 48.9961630220001,-2.66224324999996 49.0413495450001,-2.66234175199997 49.0415793650001,-2.68090606699997 49.0848925660001,-2.70232026699995 49.1060202040001,-2.71140110799996 49.1151053290001,-2.70801403899998 49.1175997990001,-2.65382457499993 49.1533316850001,-2.61102474499995 49.180080407,-2.60998010399993 49.180734097,-2.60902142199996 49.181336011,-2.57798849799997 49.200840817,-2.57377598699998 49.203257632,-2.53630765799994 49.232386917,-2.51322410499995 49.2489082220001,-2.49195719799997 49.264571914,-2.46678728199993 49.273896199,-2.42202679999997 49.289105041,-2.36799608799993 49.3078532760001,-2.33640013599995 49.3186150490001,-2.31093740499995 49.3277277930001,-2.26470854299993 49.344622299,-2.23766818099995 49.356162032,-2.22650155099996 49.359574255,-2.19212567599993 49.3701575590001,-2.17196986299996 49.3799166220001,-2.16973743499995 49.381009427,-2.15600596699994 49.3872390980001,-2.15299998499995 49.388617643,-2.11716034099993 49.4054018000001,-2.09633172499997 49.4301984100001,-2.09582496499996 49.4307981680001,-2.09125404599996 49.436186881,-2.07317200399996 49.433613097,-2.00316004299998 49.4132876990001,-1.98904786399993 49.405679413,-1.96499625499996 49.391439704,-1.93734741099996 49.3752835810001,-1.93184096999994 49.371767074,-1.93136506399998 49.37144234,-1.92867218999993 49.3697733990001,-1.92542952099996 49.3682339530001,-1.92199700299994 49.3664809850001,-1.91353068899997 49.3622371170001,-1.90050844999996 49.354596777),(-2.22639050199996 49.189717826,-2.20528150199993 49.180826826,-2.18194550199996 49.184163826,-2.16110950199993 49.1929088260001,-2.14916350199996 49.1990268260001,-2.13305450199994 49.1986088260001,-2.12278150199995 49.195826826,-2.10301850199994 49.1813638260001,-2.08916350199996 49.1811088260001,-2.06694550199995 49.167772826,-2.04139050199996 49.1724908260001,-2.02110950199994 49.1772178260001,-2.01499950199997 49.2141638260001,-2.01680950199994 49.231036826,-2.03847250199993 49.243326826,-2.15416350199996 49.2611088260001,-2.23360950199998 49.259017826,-2.24736350199993 49.2512458260001,-2.22639050199996 49.189717826)))', 'Jersey Exclusive Economic Zone', 'Jersey', 'United Kingdom', '', '180', '227', 'JEY', '21789', '', '2956072840', '21789', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.02347716099996 50.1497664120001,-2.02347716299994 50.1497663470001,-2.04096994699995 49.8821500660001,-2.04282105599998 49.8567450080001,-2.04833684799996 49.776350424,-2.04862774499998 49.754869453,-2.04921524399992 49.7426056240001,-2.05315631499997 49.7278548360001,-2.05877935499996 49.7060043220001,-2.05893562199998 49.7054052780001,-2.05912584099997 49.704705114,-2.06176650799995 49.6951960070001,-2.07153139399998 49.6786449620001,-2.07277739699992 49.6765665720001,-2.08494941099997 49.6497811,-2.08554069299993 49.648379908,-2.09099341799993 49.640494769,-2.10413676699994 49.6155178500001,-2.10636438499995 49.6112323150001,-2.12235430999993 49.5727877240001,-2.13142491599996 49.5451514370001,-2.13856816199996 49.5386180730001,-2.13482765599997 49.530537424,-2.13356271799995 49.527640929,-2.11042659099996 49.474086965,-2.09125404599996 49.436186881,-2.09582496499996 49.4307981680001,-2.09633172499997 49.4301984100001,-2.11716034099993 49.4054018000001,-2.15299998499995 49.388617643,-2.15600596699994 49.3872390980001,-2.16973743499995 49.381009427,-2.17196986299996 49.3799166220001,-2.19212567599993 49.3701575590001,-2.22650155099996 49.359574255,-2.23766818099995 49.356162032,-2.26470854299993 49.344622299,-2.31093740499995 49.3277277930001,-2.33640013599995 49.3186150490001,-2.36799608799993 49.3078532760001,-2.42202679999997 49.289105041,-2.46678728199993 49.273896199,-2.49195719799997 49.264571914,-2.51322410499995 49.2489082220001,-2.53630765799994 49.232386917,-2.57377598699998 49.203257632,-2.57798849799997 49.200840817,-2.60902142199996 49.181336011,-2.60998010399993 49.180734097,-2.61102474499995 49.180080407,-2.65382457499993 49.1533316850001,-2.70801403899998 49.1175997990001,-2.71140110799996 49.1151053290001,-2.98741570999994 49.1944553710001,-2.99951756399997 49.197763126,-3.23366886699995 49.26118934,-3.23740242099996 49.2625607430001,-3.43998477699995 49.3783612660001,-3.72248602799993 49.5520345,-3.39582889799993 49.718316353,-3.34630941899997 49.743162565,-3.11593667499994 49.863430527,-3.10477643299993 49.87509727,-2.96248750099994 50.0226393360001,-2.90885785499995 50.0640808950001,-2.87969397699993 50.086837276,-2.86229720699993 50.0998155520001,-2.45850977299995 50.116851049,-2.44723322299996 50.1172891860001,-2.39775576199997 50.121895029,-2.32984400299995 50.128443233,-2.25049076799996 50.137077547,-2.14878390999996 50.1481156200001,-2.14349516499993 50.1489193880001,-2.13463358799993 50.150288791,-2.10715026999998 50.1544173520001,-2.05653307299997 50.151863695,-2.02347716099996 50.1497664120001),(-2.65444546099997 49.4258272700001,-2.59721817999997 49.4224909100001,-2.59083636699995 49.4224909100001,-2.55555453899996 49.4233363640001,-2.52847272699995 49.4263909100001,-2.50097272699998 49.503890911,-2.53652727399998 49.508190911,-2.57916363299995 49.4908272700001,-2.65416363299994 49.4577727230001,-2.66860908599995 49.432772723,-2.65444546099997 49.4258272700001)))', 'Guernsey Exclusive Economic Zone', 'Guernsey', 'United Kingdom', '', '180', '228', 'GGY', '21788', '', '8666394702', '21788', 'Y'),('SRID=4326;MULTIPOLYGON(((37.908917864 21.8986827050001,38.0037842690001 21.7216631850001,38.0499170740001 21.668744878,38.189136257 21.477167052,38.193662741 21.4709327960001,38.205596047 21.4531882310001,38.211513095 21.4307444460001,38.3213571920001 21.000999565,38.325643508 20.980362094,38.3438080510001 20.8938084600001,38.351846928 20.816211733,38.3374900580001 20.6734303980001,38.3325525060001 20.552492252,38.3290456830001 20.376633414,38.323715022 20.2791657180001,38.330756326 20.2664346830001,38.439498433 20.197229529,38.58660223 20.034387521,38.8017814200001 19.7946256160001,38.941016528 19.6377955150001,39.0104777080001 19.5986712700001,39.0116055570001 19.598037279,39.013483713 19.5969676620001,39.124189851 19.5478302820001,39.2446514850001 19.41242521,39.27850706 19.356449023,39.308682349 19.3011277000001,39.340348125 19.2433695570001,39.3941665300001 19.1452095440001,39.5116644670001 18.9434826500001,39.7459735410001 18.6421123910001,39.7475667900001 18.6154054940001,39.750667132 18.5651845830001,39.74687242 18.5066537440001,39.746759608 18.504953158,39.7281778760001 18.2266083390001,39.728802097 18.174295929,39.7169206570001 18.0954365330001,39.7154295340001 18.0733284030001,39.4881830350001 18.051103599,39.4812961470001 18.050587659,39.3238817220001 18.0403635530001,39.251175184 18.0390118450001,39.238761175 18.039013792,39.22283796 18.039054994,39.2013187680001 18.039692502,39.098842136 18.0429610090001,39.0846529470001 18.0458339580001,38.948616558 18.072886774,38.914303428 18.0799379920001,38.9039752790001 18.08215506,38.868781891 18.090049095,38.8626841120001 18.0913965880001,38.805653383 18.064878428,38.7584152150001 18.043113168,38.7313071030001 18.0324840920001,38.70883085 18.0238158220001,38.70616842 18.022778042,38.7024894900001 18.02171961,38.6986714380001 18.0205652820001,38.693502096 18.0192250050001,38.6395256640001 18.0047903060001,38.626987818 18.003037921,38.6123769600001 18.000609863,38.600691226 17.994882127,38.607500015 18.01082726,38.589027265 18.0668000100001,38.575827265 18.08750001,38.546245453 18.1072181970001,38.439718171 18.1344454470001,38.3691636400001 18.1875000100001,38.2713818280001 18.222772729,38.189509077 18.2408272600001,38.152500015 18.2591636350001,38.1183272650001 18.2822181970001,38.089436359 18.3073545410001,38.1013909210001 18.344863635,38.051936359 18.4263909160001,38.004718171 18.4891636350001,37.9780545460001 18.518054541,37.9502727330001 18.5406909160001,37.896518171 18.5725000100001,37.828890921 18.6008272600001,37.7619363580001 18.6647181660001,37.768054546 18.6952727290001,37.750545452 18.706390917,37.6806909210001 18.7179181670001,37.642490921 18.7088818230001,37.5947181710001 18.7088818230001,37.5530545460001 18.71000001,37.516390921 18.724445448,37.4356909200001 18.8538909170001,37.3555545450001 19.0863909170001,37.33639092 19.151945448,37.3213909200001 19.241945448,37.311945452 19.3000000110001,37.3083272640001 19.358609105,37.306936358 19.395690917,37.2902727330001 19.4750000110001,37.2676363580001 19.527500011,37.2415909200001 19.5645818240001,37.240272733 19.6648636360001,37.2576363580001 19.6879091050001,37.2658272640001 19.7316636360001,37.2652727330001 19.7627727300001,37.25721817 19.8338818240001,37.242772733 19.864718168,37.22749092 19.895827261,37.218327264 19.9175000110001,37.1858272640001 20.01347273,37.1773545450001 20.220554543,37.180272733 20.329163637,37.1847181700001 20.401945449,37.2008272640001 20.4580545430001,37.226936358 20.4663909180001,37.22819092 20.556390918,37.2077727330001 20.626390918,37.1848636390001 20.681527262,37.1713909200001 20.6995818250001,37.164163639 20.7961091060001,37.1375000140001 20.968054544,37.0938181700001 21.169090919,37.10319092 21.207918169,37.153754545 21.1953000130001,37.230272733 21.129163638,37.264209077 21.053009106,37.237636358 21.0613909190001,37.2237454520001 21.079163637,37.1993727330001 21.0941636370001,37.2254181700001 21.0256909190001,37.247500014 21.001663637,37.3056909200001 21.0172909190001,37.3065909200001 21.063263637,37.26639092 21.1261091060001,37.233327264 21.166527263,37.2008272640001 21.2005545440001,37.163772733 21.2319454500001,37.1436090760001 21.248272731,37.098881826 21.291663638,37.0691636390001 21.3308272630001,37.000272733 21.4312454500001,36.911381826 21.6086090750001,36.8999909200001 21.6372181690001,36.8741636390001 21.7869454510001,36.854163639 21.9716636380001,36.8884636330001 22.0001090700001,36.8899921170001 21.99861588,36.929331711 21.9826845800001,36.9437549620001 21.9747309370001,36.992889561 21.9716196570001,37.0467764520001 21.9677430720001,37.1882848240001 21.954397618,37.908917864 21.8986827050001)))', 'Sudanese Exclusive Economic Zone', 'Sudan', 'Sudan', '', '49', '49', 'SDN', '8355', '2012', '67124893810', '8355', 'Y'),('SRID=4326;MULTIPOLYGON(((50.780277778 25.5925,50.7936111110001 25.575833333,50.8088888890001 25.5636111110001,50.8177777780001 25.5622222220001,50.8133333330001 25.5486111110001,50.8150000000001 25.5444444440001,50.8100000000001 25.535,50.7961111110001 25.5452777780001,50.78 25.5486111110001,50.769722222 25.5469444440001,50.763611111 25.5580555560001,50.7347222220001 25.5725,50.693055556 25.580555556,50.6894444440001 25.581388889,50.58 25.586111111,50.5675000000001 25.576111111,50.5573955450001 25.568769795,50.529167 25.593889,50.4333330000001 25.6791670000001,50.4166670000001 25.698333,50.366111 25.8188890000001,50.3041670000001 25.8791670000001,50.293056 25.950833,50.2697220000001 26.0797220000001,50.311111 26.1711110000001,50.3166670000001 26.2522220000001,50.341667 26.3733330000001,50.3766670000001 26.4075,50.3875 26.53,50.5566670000001 26.6208330000001,50.773333 26.9916670000001,50.9 27.1666670000001,50.95 27.1083330000001,51.0983330000001 27.0461110000001,51.1218012850001 27.0431145530001,51.1197222220001 27.033333333,51.0544444440001 26.7327777780001,50.9866666670001 26.4363888890001,50.954444444 26.333888889,50.9327777780001 26.2994444440001,50.9227777780001 26.265277778,50.9175000000001 26.1838888890001,50.9075 26.077222222,50.8500000000001 26.011111111,50.8158333330001 25.895,50.8200000000001 25.8738888890001,50.831388889 25.8611111110001,50.842222222 25.8119444440001,50.8563888890001 25.7825,50.8611111110001 25.766666667,50.8647222220001 25.7597222220001,50.8680555560001 25.7494444440001,50.8661111110001 25.7352777780001,50.8525000000001 25.7075,50.8619444440001 25.6908333330001,50.841666667 25.6694444440001,50.835 25.658611111,50.840555556 25.645277778,50.839444444 25.638611111,50.828888889 25.6291666670001,50.7983333330001 25.6225000000001,50.780277778 25.5925)))', 'Bahraini Exclusive Economic Zone', 'Bahrain', 'Bahrain', '', '52', '52', 'BHR', '8358', '', '8301252840', '8358', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.1120754562432 48.2330821379427,-11.4445960833203 48.2843176678305,-11.4588986227134 48.2883060841144,-11.4588987055149 48.288306093233,-11.463223011868 48.2889549388058,-12.0055382732596 48.4374075925392,-12.270855957 48.5100353410002,-12.2719529569999 48.5104913410002,-12.2895542069999 48.5152200910002,-12.2897596967271 48.5153054272657,-12.2906829385178 48.515688919807,-12.3017442980841 48.5186581648029,-12.308251957 48.5204050910002,-12.3090909402024 48.5207532970375,-12.3094125981328 48.5208868148551,-12.3094127066179 48.5208868424247,-12.3269492069999 48.5255903410002,-12.3279361117926 48.5259995857969,-12.3281418239685 48.5260849170971,-12.3456461700742 48.5307756620696,-12.3462949870984 48.531044613536,-12.3468707069998 48.5312833410002,-12.3643426025993 48.5359613070027,-12.3643427064724 48.5359613422734,-12.365598957 48.5364818410002,-12.3743877890381 48.5388329124702,-12.383038590457 48.5411471603526,-12.3837386044763 48.5414369379271,-12.3843269569999 48.5416805910002,-12.4017342069999 48.5463333410002,-12.4023209399417 48.5465759891247,-12.4030543863474 48.5468793988249,-12.413042017541 48.5495467047207,-12.4204292069999 48.5515195910001,-12.4217814569999 48.5520785910002,-12.4391238606234 48.5567060604592,-12.4391239562461 48.5567060928249,-12.4405079569885 48.5572778410281,-12.4405080607363 48.5572778839198,-12.4434951911115 48.5580742641905,-12.457817957 48.5618928410001,-12.4585552608698 48.5621971334004,-12.459234245675 48.5624774376689,-12.4666874678902 48.5644627922084,-12.4765117069999 48.5670798410002,-12.4773532382517 48.5674268836656,-12.4779599955644 48.5676771989406,-12.4952050984343 48.5722669304272,-12.4966853102454 48.572877167776,-12.513897951936 48.577454335285,-12.5154101987083 48.5780773422184,-12.5325903459095 48.5826419467021,-12.5335906524102 48.5830537718929,-12.5341347069999 48.5832778410002,-12.5512822069999 48.5878298410001,-12.5527621867232 48.5884386369727,-12.5528586425114 48.5884783174932,-12.5528587074381 48.5884783393479,-12.5699737069999 48.5930178410002,-12.5708955990505 48.5933968283292,-12.5715822137058 48.5936791195791,-12.5886648486273 48.598206121937,-12.590305349959 48.5988801268513,-12.6073554506476 48.6033946207444,-12.6081326504055 48.6037137166035,-12.6090279569999 48.6040813410002,-12.6170838089078 48.6062124949595,-12.6260456029664 48.6085833398236,-12.6264838819026 48.608763161091,-12.6277502069999 48.6092828410002,-12.6447352069999 48.6137723410002,-12.6461171234562 48.6143388296002,-12.6470111285867 48.6147053749327,-12.6634061814499 48.6190351624984,-12.6737728856937 48.6232819503372,-12.6818019498324 48.6254000920902,-12.6922041462374 48.6296584282825,-12.6960066831815 48.6306606952244,-12.700197207 48.6317653410002,-12.7091772553172 48.6354387918209,-12.7106349456269 48.6360350957173,-12.7134228810173 48.6367692992167,-12.7185919569999 48.6381305910002,-13.4696624579998 48.9407008410002,-14.1397719583208 49.3203840904337,-14.1397720113571 49.3203841261624,-14.1448166328574 49.3243920527233,-14.1448167072105 49.3243920924128,-14.1567334172032 49.3310503176471,-14.156733456607 49.3310503440144,-14.1657454463984 49.3382045891862,-14.1733832000265 49.3424685934871,-14.1777748158269 49.3459524138294,-14.1824309589998 49.3496460910003,-14.1900329607263 49.3538870888222,-14.199116209 49.3610875910002,-14.206682459 49.3653055910001,-14.2094949154609 49.3675334426556,-14.2158014569785 49.3725291279879,-14.2207102764198 49.3752637265138,-14.2233317116272 49.3767240876813,-14.2324864589999 49.3839708410001,-14.2379908127789 49.3870348951588,-14.2399808152528 49.3881426812877,-14.249171459 49.3954125910002,-14.2554877040297 49.3989260856629,-14.2566297817742 49.3995613988104,-14.2658562089999 49.4068543410003,-14.271243028528 49.4098486716504,-14.2732785777402 49.4109801877503,-14.2825408565446 49.418296098571,-14.2877562435936 49.4211931379033,-14.2899272089999 49.4223990910002,-14.2992253541752 49.4297380066253,-14.299225459 49.4297380910002,-14.3065757089999 49.4338180920003,-14.3159097089999 49.4411800920003,-14.3232239589999 49.4452370920002,-14.3325939589999 49.4526220920002,-14.3398719582348 49.4566560933806,-14.3398720017172 49.4566561222741,-14.3492779603028 49.4640640903457,-14.3492780049291 49.4640641199992,-14.356519959 49.4680753420001,-14.3659619589999 49.4755063420002,-14.373167711225 49.4794945891343,-14.9471813860993 49.9251709407816,-14.9582863414584 49.9375431845309,-14.9610895345911 49.9396899287476,-15.4171163378991 50.4409444378052,-15.4239330370319 50.4526167074659,-15.4250314599999 50.4544975920002,-15.4285567149242 50.4583195891217,-15.4364937131505 50.4718978479755,-15.4399982099999 50.4756945920001,-15.4479572099999 50.4892980920002,-15.450244037437 50.4917734645526,-15.4514412070789 50.4930694018305,-15.459422114381 50.5066981030052,-15.4617613773739 50.5092284054671,-15.4628854599999 50.5104443430002,-15.4708882099999 50.5240980930001,-15.4743309645605 50.5278190903248,-15.4823557099999 50.5414980930001,-15.4846154569487 50.5439384480117,-15.4857777205208 50.5451936912261,-15.4938246803658 50.5588979117395,-15.4951504623713 50.5603286498451,-15.4972257099998 50.5625683430001,-15.5009585317058 50.5689194713464,-15.5052948670387 50.5762976976391,-15.5086752150742 50.5799428425711,-15.51676638885 50.5936974082856,-15.5201259227379 50.5973173042313,-15.5201259528537 50.5973173472078,-15.5216586895955 50.5999205698999,-15.5282392099999 50.6110970930002,-15.5295760597918 50.6125363461869,-15.5315779275181 50.6146916923911,-15.5397134523136 50.6284965983144,-15.540331493968 50.6291615232238,-15.5430312099999 50.6320660930002,-15.5511889709848 50.6458960906143,-15.5535807987878 50.6484673015609,-15.5544858583954 50.6494402391476,-15.5626658612053 50.6632954973826,-15.5626659573804 50.663295595439,-15.565941714181 50.6668143391079,-15.5750674650377 50.6822568443877,-15.5769728510816 50.6843019154758,-15.902228934835 51.2270440475592,-15.9022289557532 51.2270440943138,-16.07845896 51.7967633440002,-16.0789117091588 51.8133000736992,-16.0790106891575 51.8169161857327,-16.0790651906833 51.8170897645858,-16.0790652040033 51.8170898441647,-16.0796178790937 51.8372372880723,-16.0796394204831 51.8373058450962,-16.0796739599999 51.8374160940001,-16.0885241676947 52.1499786857471,-16.0961008837546 52.4175680990788,-15.9914686410409 52.8161917823989,-15.9456711526446 52.9906691965808,-15.9446943627107 52.9923679206086,-15.940560123847 53.0079315100381,-15.8658626486312 53.1372557776575,-15.8418801361923 53.1787768712136,-15.9080509289545 53.3840738296882,-15.9081352033025 53.3871835216904,-15.9083097099999 53.3936250950002,-15.91160221 53.4037788450001,-15.9167564599998 53.5912388450001,-15.9988017159011 53.8410423440619,-16.016936965498 54.4211635958285,-15.9967703087437 54.4948235289228,-15.9865049736692 54.5323182544748,-15.9865049599998 54.5323183460001,-16.0063196656974 54.5371928351017,-15.9997205151329 54.5810117700781,-15.99044221 54.6426200960001,-15.7320479599999 55.1980780970002,-15.3101224599999 55.7122763470002,-15.1086431908307 55.8924473589543,-15.0762300491332 55.9214324951173,-14.8195477070021 56.1314200955583,-14.8195476540162 56.1314201366134,-14.4808149337769 56.379867553711,-14.3498993763446 56.4521323944201,-14.1484344579999 56.5633400980002,-14.1484345975465 56.5633401105533,-14.1484345571102 56.563340132874,-13.9008604601094 56.7000000000003,-12.1999999999999 56.7000000000004,-12.1999999999999 56.541666666667,-10.4999999999999 56.541666666667,-10.4999999999999 56.3583333333336,-9.11666666666656 56.3583333333336,-9.11666666666656 56.1666666666671,-8.65833333333319 56.1666666666671,-8.65833333333319 56.089807448685,-8.62520383084109 56.0833333333334,-8.2166666666667 56.0833333333337,-8.2166666666667 56.0000000000005,-7.38333333333333 56.0000000000005,-7.38333333333333 55.916666666667,-7.25 55.916666666667,-7.25 55.8333333333338,-7.13333333333327 55.8333333333338,-7.13333333333338 55.7700308439514,-7.10301725918038 55.7500000000003,-7.03333333333325 55.7500000000003,-7.03333333333325 55.7018913928842,-7.01091057799988 55.6831049990003,-6.99129044862048 55.6666666666671,-6.94999999999999 55.6666666666671,-6.94999999999999 55.629280533486,-6.90014331654487 55.5833333333337,-6.84999999999997 55.5833333333337,-6.84999999999997 55.5356711815064,-6.81251460708722 55.5000000000002,-6.7999999999999 55.5000000000004,-6.7999999999999 55.4880910726502,-6.79500055299997 55.4833335880002,-6.73000001899987 55.4599990840002,-6.72706082199988 55.4590227930002,-6.72014745199994 55.4567263470001,-6.72001345199988 55.4566728470001,-6.72001311299994 55.4566728470001,-6.72001292699991 55.4566727730001,-6.72076278999987 55.4420158200002,-6.72691695399988 55.4275807830002,-6.73372345199994 55.4116158470003,-6.73460447299982 55.4096345810001,-6.73596404199998 55.4065774430001,-6.76010773099983 55.3451158270001,-6.77326924299985 55.2998501580002,-6.77708475599997 55.2869652110002,-6.78256120199984 55.2684715970001,-6.78314894699997 55.2675242150001,-6.78325495499996 55.2673533490002,-6.78325499299996 55.2673532950002,-6.78841695099993 55.2602419230003,-6.80547795199982 55.2367378470001,-6.80561602799997 55.2365457760001,-6.8059083039999 55.2361393370002,-6.80699123899996 55.2346073240001,-6.80738195199996 55.2343648470002,-6.81110769899988 55.2324707810002,-6.81321974499991 55.2313971040001,-6.82099565199991 55.2268532130001,-6.83408255099994 55.2191494360001,-6.85600838699997 55.2087189120002,-6.86018433099991 55.2076102610002,-6.87106645199987 55.2047213470001,-6.87335379499984 55.2042339670002,-6.87475999499992 55.2039344130002,-6.93246666399995 55.1914973980001,-6.95155484899993 55.1985873040002,-6.95155495199987 55.1985873470001,-6.95313228999981 55.1990159050002,-6.95797300599986 55.2003311820002,-6.96233041399995 55.2008815920001,-6.96542345199981 55.2012723470002,-6.97058870199982 55.1994855970002,-6.97510532699994 55.1963276870002,-6.97697947799992 55.1950173540002,-6.9877080579999 55.1809420800002,-7.00864940399993 55.1602711420002,-7.00864945199993 55.1602710980002,-7.08286219799982 55.1050943460002,-7.17530886099996 55.0806519650002,-7.25248508299984 55.0706129580001,-7.19749995199993 55.1213818470002,-7.18360920199984 55.1319453470001,-7.15916370199994 55.1458273470001,-7.14416370199996 55.1508363470002,-7.06721820199994 55.1744363470001,-6.95360920199983 55.2116635970003,-6.93583645199988 55.2197180970002,-6.93513645199994 55.2384728470001,-6.95610920199982 55.2494453470001,-7.05194545199987 55.2716635970001,-7.18666370199998 55.3316635970002,-7.24083645199994 55.3519453470001,-7.37666370199997 55.3799908470002,-7.39639095199982 55.3783273470002,-7.35444545199988 55.3336090970002,-7.39139095199982 55.2902728470001,-7.51194545199996 55.2744363470002,-7.54749995199984 55.2169453470001,-7.54902720199982 55.2020090970001,-7.52528170199992 55.1863818470003,-7.51471820199987 55.1797180970001,-7.45499995199987 55.1316635970003,-7.44652720199997 55.0556908470002,-7.45625445199994 55.0449908470002,-7.47139095199992 55.0397180970003,-7.47778170199996 55.0394453470003,-7.50666370199991 55.0330545970001,-7.51958170199993 55.0291635970002,-7.56360920199984 55.0122180970002,-7.57583645199998 55.0050000970002,-7.60833645199989 54.9822180970001,-7.64416370199996 54.9611090970002,-7.66333645199995 54.9538908470002,-7.6822909519999 54.9509000970002,-7.63639095199989 55.0383273470001,-7.61666370199993 55.0538908470002,-7.59833645199984 55.0611000970002,-7.57499995199987 55.0755545970001,-7.56360920199984 55.0830545970002,-7.54152720199983 55.0859635970002,-7.53055445199993 55.0958363470001,-7.52610920199993 55.1119363470002,-7.52694545199984 55.1243000970001,-7.63249995199982 55.2655545970002,-7.65749995199985 55.2744363470002,-7.6699999519999 55.2719453470002,-7.69860920199989 55.2619363470001,-7.7366364529999 55.2457818470002,-7.76507270299993 55.2306818470001,-7.79172720299982 55.2120180970001,-7.78817270299987 55.2013545970001,-7.75351820299994 55.1898000970001,-7.73796370299993 55.1791363470001,-7.7135272029999 55.1724728470002,-7.72110920299991 55.1947180970002,-7.72097270299997 55.2123545970002,-7.71389095299998 55.2201363470002,-7.70208170199987 55.2165273470002,-7.67666370199987 55.1677728470001,-7.66763645199984 55.1441635970002,-7.69971820199987 55.0951363470001,-7.70210920199992 55.1107363470002,-7.69664545199993 55.1289273470002,-7.70286370199983 55.1458090970002,-7.71219995299987 55.1587000970001,-7.77084545299982 55.1835818470003,-7.81083645299987 55.1764728470002,-7.81439095299982 55.2031273470002,-7.79617270299991 55.2200090970001,-7.79350920299981 55.2431180970001,-7.85926370299984 55.2217908470003,-7.87259995299991 55.1991273470002,-7.89969995299987 55.1778000970002,-7.94590920299981 55.1964635970003,-7.98145445299997 55.2164545970002,-8.02221820299985 55.1816635970001,-8.18166370299986 55.1419363470002,-8.31749995299998 55.1088908470002,-8.45721820299997 54.9968000970001,-8.42732720299983 54.9666363470002,-8.40289095299983 54.9528728470002,-8.38511820299993 54.9419818470002,-8.39999995299991 54.9335363470001,-8.45971820299997 54.9383273470002,-8.45749995299985 54.9175000970002,-8.43749995299981 54.8969453470002,-8.39694545299994 54.8827728470002,-8.38305445299989 54.8814545970002,-8.38263645299986 54.8963818470002,-8.37194545299991 54.9030545970002,-8.34902720299982 54.9051363470002,-8.33736370299988 54.9023545970002,-8.31555445299995 54.8738180970003,-8.3538909529999 54.8394363470002,-8.36860920299983 54.8319363470002,-8.49083645299987 54.7936090960001,-8.52999995299996 54.7845818460002,-8.62083645299992 54.7700000960002,-8.6691727029999 54.7597180960001,-8.73972720299997 54.7273545960002,-8.79833645399998 54.6957545960002,-8.78986370399997 54.6586090960002,-8.74860920299983 54.6480453460002,-8.70278170299986 54.6422180960001,-8.67999995299994 54.6280545960001,-8.62666370299991 54.6177728460003,-8.58444545299994 54.6097180960001,-8.55971820299993 54.6133273460001,-8.39055445299988 54.6244453460002,-8.18833645299998 54.6336090960001,-8.16999995299989 54.5913818460002,-8.20110920299993 54.5730545960002,-8.26708170299997 54.5218000960001,-8.2844364529999 54.4733273460003,-8.34833645299994 54.4699908460001,-8.38098170299997 54.4670908460001,-8.39555445299987 54.4619363460001,-8.43444545299985 54.4474908460002,-8.65110920299998 54.3622180960002,-8.66166370299982 54.3552728460002,-8.66812720299993 54.3435363460001,-8.64721820299991 54.3311090960002,-8.62666370299991 54.3330545960002,-8.60444545299981 54.3380545960002,-8.58778170299985 54.3395818460001,-8.52944545299988 54.3291635960002,-8.51528170299986 54.3243000960001,-8.47486370299981 54.2734635960001,-8.61999995299982 54.2572180960001,-8.74860920299983 54.2633273460002,-8.91610920399995 54.2793000960002,-8.93360920399994 54.2831908460003,-9.02639095399985 54.2866635960002,-9.04444545399986 54.2862453460002,-9.05847270399988 54.2808273460003,-9.13139095399987 54.2008273460001,-9.13499995399997 54.1719453460001,-9.13177270399984 54.1596818460001,-9.15055445399997 54.1777728460002,-9.19805445399987 54.2369363460001,-9.21083645399989 54.2731908460001,-9.26583645399995 54.2974908460002,-9.33639095399991 54.3169363460001,-9.49749995399992 54.3130453460003,-9.58722720399987 54.3127728460001,-9.74055445399983 54.3255545960002,-9.75305445399982 54.3283273460001,-9.79986370399985 54.3343000960001,-9.84097270399985 54.3266635960003,-9.84742720399993 54.3173545960001,-9.85194545399992 54.2694363460001,-9.87110920499987 54.2255545960002,-9.89215445499997 54.2090180960001,-9.92028170499987 54.2069363460002,-9.96249995499988 54.2102728460002,-9.97680920499982 54.2158273460001,-9.98159995499998 54.2312453460002,-9.96916370499997 54.2323545960001,-9.96083645499994 54.2236090960002,-9.94652720499982 54.2184635960002,-9.92694545499984 54.2208273460002,-9.9055544549999 54.2336090960002,-9.89416370499987 54.2455545960002,-9.8849999549999 54.2595818460001,-10.0018727049999 54.3009635960001,-10.0644454549999 54.2694363460001,-10.0816637049999 54.2572180960001,-10.1122182049999 54.2300000960001,-10.1288909549999 54.1119363460002,-10.1240272049999 54.0965908460001,-10.1058364549999 54.0888818460002,-10.0824999549999 54.0863908460001,-10.065690955 54.0911090960003,-10.0716637049998 54.1255453460003,-10.0836092049999 54.1486090960002,-10.0133999549999 54.2181908460003,-9.94975445499995 54.1808818460002,-9.92639095499987 54.1238818460002,-9.93860920499998 54.1108363460002,-9.9358364549999 54.0608273460003,-9.85328170399981 53.9984363460001,-9.82894545399989 53.9797728460002,-9.78958170399989 53.9454090960002,-9.78486370399986 53.9170818460001,-9.79950920399989 53.9109635960002,-9.81180920399993 53.9247180960001,-9.81173645399986 53.9366635960001,-9.86294545499987 53.9515000960002,-9.89639095499996 53.9536090960001,-9.9105544549999 53.9504090960002,-9.94069995499996 53.8679090960001,-9.90999995499993 53.8575000960003,-9.89666370499987 53.8586090960002,-9.84139095399991 53.8669453460001,-9.81778170399991 53.8711090960002,-9.78902720399992 53.8813818460002,-9.77721820399984 53.8908273460002,-9.76763645399984 53.8940273460002,-9.72555445399996 53.8958273460001,-9.69749995399997 53.8966635960002,-9.56708170399986 53.8927728460002,-9.56139095399993 53.8597180960003,-9.57805445399987 53.8458363460003,-9.58917270399991 53.8430453460003,-9.60166370399992 53.8413818460001,-9.61222720399991 53.8365273460003,-9.61875445399994 53.8134728460002,-9.5849999539999 53.8012453460001,-9.56944545399995 53.7994363460002,-9.56805445399988 53.7952728460001,-9.58778170399984 53.7844363460002,-9.60999995399982 53.7788818460002,-9.62833645399991 53.7807635960001,-9.6841637039999 53.7841635960002,-9.84916370399998 53.7698545960002,-9.89694545499998 53.7625000960001,-9.90639095499984 53.7586090960002,-9.92444545499984 53.6913818450002,-9.91166370499991 53.6479818450002,-9.86278170499997 53.6272180950001,-9.81972720399995 53.6108363450002,-9.79944545399997 53.6047180950002,-9.77916370399987 53.6024908450001,-9.76389095399998 53.6019453450002,-9.69748170399981 53.6025453450002,-9.69895445399987 53.5979090950001,-9.78499995399994 53.5941635950002,-9.79944545399997 53.5963818450002,-9.87610920499986 53.6108363450002,-9.99749995499991 53.6059728450001,-10.0361092049999 53.6005545950002,-10.1861092049999 53.5502818450001,-10.2001364549999 53.5423545950002,-10.1765272049999 53.4097180950001,-10.0130544549999 53.3786090950001,-9.96278170499994 53.3719363450001,-9.92304545499991 53.3880908450002,-9.88167270499986 53.4091635950001,-9.81360920399993 53.4172180950002,-9.80167270399994 53.4152728450002,-9.78659995399983 53.3932545950003,-9.80458170399993 53.3770818450002,-9.81889095399987 53.3713818450003,-9.84360920399985 53.3686090950001,-9.88519995499985 53.3522728450003,-9.90389095499984 53.3189545950003,-9.78319995399988 53.2944453450002,-9.74221820399993 53.3108273450001,-9.70875445399992 53.3395818450002,-9.70166370399988 53.3584635950002,-9.6636092039999 53.3816635950002,-9.65152720399988 53.3859635950002,-9.55916370399984 53.3812453450003,-9.5569454539999 53.3373545950001,-9.58041820399995 53.3200635950002,-9.61028170399987 53.2991635950002,-9.62472720399995 53.2494453450001,-9.62097270399983 53.2388818450001,-9.60805445399996 53.2322180950001,-9.49749995399992 53.2230545950002,-9.47749995399988 53.2247180950002,-9.44249995399986 53.2334728450002,-9.29999995399993 53.2447180950002,-9.22971820399988 53.2455545950001,-9.20221820399985 53.2463818450001,-9.16778170399994 53.2483273450002,-9.10055445399991 53.2580453450001,-9.05083645399992 53.2687453450003,-9.03652720399998 53.2716635950002,-8.96028170399995 53.2672180950002,-8.94110920399982 53.2641635950002,-8.93791820399986 53.1417273450002,-8.9797909539999 53.1585363450001,-9.03965445399984 53.1647180950002,-9.00147270399992 53.1455908450001,-9.06944545399989 53.1172180950002,-9.15416370399981 53.1069453450002,-9.17360920399989 53.1138818450002,-9.19722720399989 53.1274908450002,-9.23167270399995 53.1430545950003,-9.25360920399982 53.1497180950002,-9.26360920399986 53.1498545950001,-9.28083645399983 53.1397180950003,-9.47416370399986 52.9387453450001,-9.46839995399984 52.9293728450002,-9.39472720399988 52.9266635950003,-9.40555445399991 52.8863818450001,-9.48583645399987 52.8005545950003,-9.56499995399992 52.7458273450002,-9.73125445399995 52.6411090940002,-9.81167270399993 52.5938908440001,-9.82166370399995 52.5908273440002,-9.84805445399985 52.5888818440003,-9.91333645499986 52.5716635940001,-9.93236370499989 52.5552000940002,-9.90028170499983 52.5500000940002,-9.88610920499991 52.5502818440002,-9.79528170399988 52.5608273440002,-9.70541820399984 52.5772180940002,-9.70486370399988 52.5889545940001,-9.69791820399985 52.5999908440002,-9.55416370399996 52.6380545940001,-9.4805544539999 52.6169453440002,-9.24166370399996 52.6133273440002,-9.17972720399985 52.6158273440003,-9.16694545399992 52.6166635940002,-9.15125445399997 52.6209635940002,-9.12916370399995 52.6352728440002,-9.09083645399983 52.6672180950002,-9.06555445399982 52.6886090950001,-9.03333645399994 52.7191635950001,-9.02805445399991 52.7305545950002,-8.94694545399989 52.7236090950002,-8.8488909539999 52.6899908450002,-8.8183364539999 52.6655545950002,-8.98389095399995 52.6305545940002,-9.22249995399994 52.5850000940003,-9.33166370399994 52.5711090940002,-9.35759095399987 52.5691635940002,-9.36406370399993 52.5773180940002,-9.6166637039999 52.5708273440002,-9.62889095399987 52.5691635940002,-9.65360920399985 52.5608273440002,-9.67471820399982 52.5466635940002,-9.68028170399998 52.5127728440002,-9.76278170399996 52.4427728440002,-9.83972720399981 52.3797180940002,-9.83583645399995 52.2866635940002,-9.78458170399989 52.2648545940002,-9.76916370399988 52.2641635940002,-9.74486370399995 52.2472180940002,-9.88389095499997 52.2300000940002,-9.92028170499987 52.2300000940002,-9.94889095499991 52.2306908440002,-10.1570817049998 52.2720818440002,-10.1618727049998 52.2858273440002,-10.2041727049999 52.2811090940002,-10.2505544549998 52.2713818440002,-10.2649999549999 52.2674908440002,-10.3597272049998 52.2297180940001,-10.4633364549998 52.1802090940002,-10.4747272049999 52.1455545940001,-10.4736092049999 52.1291635940001,-10.4677817049998 52.1047180940002,-10.4449272049999 52.0931180940003,-10.3816727049999 52.1038818440002,-10.365836455 52.1116635940001,-10.3299999549998 52.1133273440001,-10.2749999549999 52.1083273440001,-10.184718205 52.1072180940002,-10.0930544549999 52.1236000940001,-10.0538909549999 52.1313818440002,-10.0249999549998 52.1361090940002,-9.94249995499985 52.1447180940002,-9.88666370499988 52.1505545940001,-9.87249995499991 52.1513818440001,-9.84416370399998 52.1519363440002,-9.81139095399988 52.1525000940001,-9.76041820399996 52.1495818440002,-9.80110920399994 52.1227728440002,-9.98666370499984 52.0500000940001,-10.0569454549999 52.0386090940002,-10.0911092049999 52.0333363440001,-10.1016637049999 52.0308273440002,-10.1238909549999 52.0255545940002,-10.2494454549999 51.9930453440001,-10.2636092049999 51.9880545940002,-10.3719454549999 51.8788818440001,-10.3538909549999 51.8427728440001,-10.3385909549999 51.7829180940002,-10.247081705 51.8400000940002,-10.2305544549999 51.8455545940002,-10.2073637049999 51.8471453440002,-10.1776364549999 51.8255545940002,-10.1736092049999 51.8163818440002,-10.182781705 51.7858273440002,-10.101945455 51.7522180940001,-10.0513909549999 51.7711090940001,-9.93916370499994 51.7994363440002,-9.70999995399995 51.8563818440001,-9.68833645399985 51.8611090940001,-9.64222720399982 51.8694363440002,-9.58097270399992 51.8723545940001,-9.59249995399995 51.8647180940001,-9.77667270399991 51.8008273440002,-9.9055544549999 51.7577728440002,-9.97430920499983 51.7302728440001,-9.99562720499995 51.7145728440001,-9.98083645499997 51.7083273440002,-9.98805445499988 51.6777728440002,-10.060281705 51.6436090940002,-10.129999955 51.6122180940002,-10.1324999549998 51.5933273440002,-10.0402817049999 51.5929090940001,-10.0258364549999 51.5952728440002,-9.94666370499993 51.6138818440002,-9.93215445499987 51.6241635940001,-9.80639095399988 51.6538818440001,-9.77749995399989 51.6577728440002,-9.66394545399993 51.6795000940001,-9.62852720399997 51.6874090940001,-9.54999995399987 51.7186090940002,-9.53555445399996 51.7500000940001,-9.45166370399983 51.7247180940003,-9.44194545399989 51.7127728440001,-9.45083645399995 51.6894363440001,-9.46139095399997 51.6808273440001,-9.47055445399985 51.6763818440002,-9.51499995399996 51.6633273440001,-9.52528170399989 51.6608273440002,-9.55055445399984 51.6583363440001,-9.60999995399982 51.6429728440001,-9.74528170399992 51.5994453440002,-9.77916370399987 51.5838818440001,-9.84381820399983 51.5454180930003,-9.83278170399996 51.5402728430001,-9.80528170399987 51.5427728430002,-9.78528170399983 51.5486090930001,-9.68110920399988 51.5799908430001,-9.59194545399981 51.6099908440002,-9.59389095399985 51.5897180940002,-9.65166370399982 51.5500000930001,-9.67513645399987 51.5395818430002,-9.70249995399996 51.5294453430002,-9.71666370399993 51.5255545930002,-9.77472720399987 51.5019363430002,-9.80083645399986 51.4902728430002,-9.81666370399995 51.4730545930001,-9.81749995399997 51.4455453430002,-9.80278170399987 51.4467180930002,-9.76805445399987 51.4519453430001,-9.71222720399993 51.4634635930002,-9.70360920399992 51.4686090930001,-9.63833645399995 51.5094363430003,-9.45472720399982 51.5308273430002,-9.37833645399985 51.4708363430002,-9.36666370399985 51.4697180930002,-9.35278170399994 51.4705545930001,-9.23013645399993 51.4823545930002,-9.16360920399984 51.5177728430001,-9.11221820399987 51.5480453430002,-8.98389095399995 51.5597180930002,-8.88278170399997 51.5672180930003,-8.73721820299994 51.5761090930001,-8.6966637029999 51.5730545930002,-8.55749995299988 51.6338908440002,-8.5413909529999 51.6483273440001,-8.52417270299998 51.6652728440001,-8.41778170299989 51.7063818440001,-8.34430920299997 51.7211090940003,-8.31069995299993 51.7418000940002,-8.29694545299998 51.7608273440001,-8.29708170299989 51.8024635940002,-8.30433645299985 51.8203818440002,-8.33471820299991 51.8669453440002,-8.34360920299997 51.8727728440002,-8.35778170299994 51.8755453440002,-8.37194545299991 51.8763908440001,-8.39944545299994 51.8755453440002,-8.42193645299994 51.8815453440002,-8.3843544529999 51.8924180940002,-8.36583645299982 51.8922180940002,-8.28666370299987 51.8894453440002,-8.21055445299993 51.8844363440002,-8.17833645299982 51.8515273440001,-8.20694545299995 51.8366635940002,-8.22444545299982 51.8325000940002,-8.24216370299996 51.8068545940003,-8.23333645299994 51.7958273440002,-8.16930920299995 51.7919453440002,-8.08667270299986 51.8108273440002,-8.0183364529999 51.8347180940002,-7.88916370299984 51.8902728440001,-7.85278170299989 51.9443000940001,-7.85139095299991 51.9611090940002,-7.85134545299996 51.9768000940002,-7.82763645299991 51.9463818440001,-7.81486370299984 51.9422180940002,-7.72528170299989 51.9377728440001,-7.71278170299985 51.9388908440002,-7.58666370199984 51.9931908440001,-7.54631820199984 52.0518000940002,-7.56749995199988 52.0591635940002,-7.60194545199994 52.0630453440002,-7.62028170199989 52.0647180940002,-7.57889095199994 52.1002728440002,-7.43499995199983 52.1261090940002,-7.36889095199996 52.1341635940001,-7.16028170199991 52.1502728440002,-7.1051364519999 52.1319363440002,-7.03639095199986 52.1327728440002,-7.00180920199983 52.1384728440001,-6.97416370199983 52.1680545940001,-6.97055445199982 52.2219363440002,-6.97389095199992 52.2336090940002,-6.98889095199996 52.2641635940002,-6.99538170199986 52.2698180940001,-6.99729995199993 52.2782728440002,-6.97944545199988 52.2766635940002,-6.91471820199985 52.2061090940002,-6.90249995199991 52.1663818440001,-6.87055445199996 52.1630545940001,-6.83083645199986 52.1708273440002,-6.81833645199987 52.1872180940002,-6.78944545199994 52.2169453440002,-6.62278170099989 52.1922180940002,-6.46666370099996 52.1930545940003,-6.39930920099988 52.1809728440002,-6.38666370099997 52.1769363440001,-6.36944545099988 52.1763908440001,-6.35944545099989 52.1790273440001,-6.32749995099994 52.2225000940001,-6.32055445099991 52.2387453440001,-6.33166370099991 52.2500000940001,-6.38194545099992 52.2772180940001,-6.40999995099992 52.2850000940003,-6.49819095099986 52.3540273440001,-6.47499995099986 52.3744453440002,-6.46319095099994 52.3769453440003,-6.36194545099988 52.3927728440001,-6.2447182009999 52.5027728440002,-6.23028170099985 52.5172180940001,-6.21110920099989 52.5383273440002,-6.20333645099987 52.5477728440003,-6.20013645099988 52.5597180940003,-6.20110920099989 52.5805545940001,-6.21013645099987 52.6047180940001,-6.21847270099994 52.6152728440002,-6.22278170099986 52.6300000940001,-6.22221820099986 52.6433273440001,-6.21610920099994 52.6638818450002,-6.19389095099996 52.6926363450001,-6.14778170099993 52.7383273450001,-6.15055445099995 52.7661090950002,-6.14680920099994 52.7833273450002,-6.13749995099994 52.8016635950002,-6.11875445099986 52.8305545950002,-6.10749995099991 52.8400000950001,-6.06944545099987 52.8658273450001,-6.0130544509999 52.9450000950002,-6.03458170099992 53.1100000950002,-6.11055445099987 53.2524908450002,-6.18028170099996 53.3074908450001,-6.22083645099985 53.3422180950002,-6.22458170099992 53.3527728450003,-6.15916370099995 53.3827728450002,-6.14972720099996 53.3861090950002,-6.07833645099981 53.5241635950002,-6.07721820099994 53.5441635950002,-6.08110920099983 53.5636090950002,-6.10139095099981 53.5830545950001,-6.12389095099985 53.5858273450002,-6.14680920099994 53.5893000950001,-6.2141637009999 53.6355545950001,-6.23639095099986 53.6713908450003,-6.24112720099987 53.6812000950001,-6.25103645099989 53.7238453450002,-6.24694545099987 53.7541635960003,-6.23999995099996 53.7827728460002,-6.25499995099983 53.8336090960002,-6.28971820099997 53.8638818460001,-6.3255544509999 53.8691635960002,-6.33694545099985 53.8719363460001,-6.34833645099991 53.8786090960001,-6.36221820099991 53.8880545960002,-6.37360920099985 53.8997180960002,-6.38013645099983 53.9133273460002,-6.38139095099996 53.9515180960001,-6.35722720099994 54.0108273460002,-6.34736370099989 54.0141635960002,-6.33028170099988 54.0130545960003,-6.31194545099982 54.0094363460002,-6.28860920099987 54.0044363460002,-6.22805445099993 53.9877818460001,-6.16249995099986 53.9727728460002,-6.15180920099994 53.9722180960002,-6.13805445099996 53.9750000960002,-6.12083645099989 53.9827728460001,-6.10625445099987 53.9933635960001,-6.1312544509999 54.0305545960002,-6.14528170099987 54.0286090960003,-6.15833645099991 54.0305453460001,-6.17055445099982 54.0369453460001,-6.24083645099989 54.0747180960001,-6.27028170099993 54.0956908460003,-6.26697270099987 54.0998273460002,-6.26698840499984 54.0998416220002,-6.2644719079999 54.0986668830002,-6.26297079299997 54.0979659730001,-6.25114969399993 54.0925303380002,-6.24758270099994 54.0908900960002,-6.24730000199992 54.0907606190001,-6.24729995099983 54.0907605960002,-6.23645419299993 54.0857913390001,-6.22431898699995 54.0804948450001,-6.22339658699985 54.0801022270002,-6.2142664509999 54.0762158460002,-6.20895298699992 54.0739651680001,-6.20813415399994 54.0736183010001,-6.20584694099995 54.0726248650002,-6.20323670099998 54.0714910960001,-6.1994764509999 54.0694603460001,-6.18860373199993 54.0638046150002,-6.18860369999993 54.0638045980002,-6.17540945099989 54.0569170960002,-6.16752395099996 54.0528040960002,-6.16308135299983 54.0504982230001,-6.1604522959999 54.0491335800001,-6.1596193609999 54.0486922550001,-6.15769095099995 54.0476703460002,-6.15146226199982 54.0455819150001,-6.15058664199995 54.0452883070002,-6.14059494999987 54.0419705990001,-6.14059484799992 54.0419705650002,-6.13964536599997 54.0416516820001,-6.12795596899986 54.0377257510001,-6.12355883799989 54.0344522260002,-6.10878970199985 54.0231920950002,-6.10878964299985 54.0231920500001,-6.10093495099983 54.0172433460001,-6.08352495099996 54.0040538460002,-6.05313875999997 53.9766760040002,-6.05313873699987 53.9766759830002,-6.02520143299989 53.9515044750001,-5.98199342099986 53.9176315270002,-5.96362500499981 53.9032315960002,-5.94128470099992 53.8857178460001,-5.91580655799987 53.8719888670001,-5.87499999999983 53.8499999990003,-5.86635560599984 53.8442370690002,-5.86395720099989 53.8426380960001,-5.85807920799994 53.8387194700001,-5.84999999999997 53.8333333290002,-5.81376925499984 53.8242756440001,-5.68333345099995 53.7916665960001,-5.61450967799993 53.7835697670002,-5.61450958699993 53.7835697560002,-5.54166666999987 53.7749999990002,-5.34995755499995 53.7536989880002,-5.34986535899986 53.7536887450001,-5.26230409899989 53.7439597170002,-5.24170670199987 53.7416711020001,-5.24166669899995 53.7416665950002,-5.26574803199992 53.6747739940001,-5.28333333333308 53.6259259327455,-5.28333333333325 53.5333333333338,-5.31666666666661 53.5333333333338,-5.31666666666661 53.5333327585518,-5.31666657699986 53.5333311810002,-5.31666628899984 53.5333245560003,-5.3143089539999 53.4791060950001,-5.31430895199992 53.4791060380002,-5.30833344999985 53.3416665950002,-5.32113310299985 53.2712679280002,-5.32113311199993 53.2712678780002,-5.32499999999987 53.2499999990002,-5.30503548299993 53.1851153140003,-5.2916666989999 53.1416665950002,-5.29570432399987 53.1295537060003,-5.31666666666644 53.0666666745257,-5.31666666666661 52.9833333333339,-5.34444444552895 52.9833333333339,-5.34999999999991 52.9666666690002,-5.37212910799997 52.9066019420002,-5.37499999999966 52.8988095471278,-5.37499999999994 52.8666666666672,-5.386842153776 52.8666666666672,-5.40833333333313 52.8083336616659,-5.4083333333333 52.7333333333339,-5.42051287779464 52.7333333333339,-5.43333344999991 52.6500000940001,-5.42729615799982 52.5896282580002,-5.4249999999999 52.5666666690001,-5.42499995399982 52.5666665930001,-5.40833337236643 52.5333333333338,-5.38 52.5333333333338,-5.38 52.4000000000005,-5.49444449241162 52.4000000000005,-5.58333333333309 52.3333333696301,-5.58333333333326 52.2666666666674,-5.64999999999992 52.2666666666674,-5.64999999999992 52.2000000000006,-5.69999999999987 52.2000000000006,-5.69999999999987 52.1333333333339,-5.76666666666654 52.1333333333339,-5.76666666666654 52.0666666666673,-5.81833336255573 52.0666666666673,-5.83333333333303 52.0432292018362,-5.8333333333332 52.0000000000006,-5.86100001012284 52.0000000000006,-5.86502795199993 51.9937063380001,-5.92499994899981 51.9000000930002,-6.09999999999957 51.6830000662838,-6.10000000000002 51.6666666666674,-6.1131720986815 51.6666666666674,-6.13333345099988 51.6416665940002,-6.41666670099988 51.3500000930002,-6.43340050199993 51.3332661670001,-6.44999999999982 51.3166666690001,-6.52342899699988 51.1914054400003,-6.59166670099989 51.0750000930001,-6.69999995199987 51.0500000930002,-6.74226920199993 51.0359488430002,-6.77638620199997 51.0264225930002,-6.7999999999999 51.0199127405743,-6.7999999999999 51.0000000000006,-6.86540979468157 51.0000000000004,-6.88983120199993 50.9923635930002,-6.90767872099997 50.9860368090002,-6.91821344399995 50.9823023870002,-6.9269669439999 50.9791993860001,-7.05000000000001 50.9355857704768,-7.05000000000001 50.8333333333339,-7.19999999999993 50.8333333333339,-7.19999999999993 50.6666666666672,-7.59999999999991 50.6666666666672,-7.59999999999991 50.5000000000005,-7.98891216541728 50.5000000000005,-7.99999999999977 50.4941553427943,-7.99999999999994 50.3333333333338,-8.19999999999993 50.3333333333338,-8.19999999999993 50.1666666666673,-8.39999999999998 50.1666666666673,-8.39999999999998 50.0000000000006,-8.59999999999997 50.0000000000006,-8.59999999999997 49.8333333333339,-8.74999999999989 49.8333333333339,-8.74999999999989 49.6666666666672,-8.89999999999998 49.6666666666672,-8.89999999999998 49.5000000000005,-9.0499999999999 49.5000000000005,-9.0499999999999 49.3333333333338,-9.19999999999999 49.3333333333338,-9.19999999999999 49.1666666666673,-9.28333333333325 49.1666666666673,-9.28333333333325 49.0000000000006,-9.39999999999998 49.0000000000006,-9.39999999999998 48.8333333333339,-9.60000000000002 48.8333333333339,-9.60000000000002 48.5000000000006,-9.80000000000001 48.5000000000006,-9.80000000000001 48.3333333333338,-10 48.3333333333338,-10 48.1666666666673,-10.3999999999999 48.1666666666673,-10.3999999999999 48.0000000000006,-10.4769859324318 48.0412125238598,-10.6296619732669 48.0958192829906,-10.7540950616388 48.1191237781936,-10.7733436729998 48.1377413820005,-10.8000469379999 48.1671224060005,-10.8189453863579 48.1879160144829,-10.8189454549997 48.1879160900003,-11.1120754562432 48.2330821379427),(-9.92389095499988 53.9481908460002,-9.9383364549999 53.9945818460002,-9.97013645499987 54.0208273460002,-10.0661092049999 54.0220818460002,-10.1195182049999 54.0000000960002,-10.124999955 54.0016635960001,-10.1588909549999 54.0091635960002,-10.1930544549999 54.0086090960002,-10.2656272049999 53.9725000960001,-10.1741637049998 53.9608273460001,-10.152227205 53.9597180960002,-10.062081705 53.9226363460002,-10.0555544549998 53.9094363460003,-9.97860920499988 53.8794363460001,-9.95819995499983 53.8762453460003,-9.94389095499992 53.8837453460002,-9.92610920499993 53.9238818460002,-9.92389095499988 53.9481908460002)))', 'Irish Exclusive Economic Zone', 'Ireland', 'Ireland', '', '181', '181', 'IRL', '5681', '2014-02', '426045835400', '5681', 'Y'),('SRID=4326;MULTIPOLYGON(((-72.582072754 27.019122367,-72.418584288 26.911590275,-72.058436724 26.674708427,-71.712306785 26.3470789570001,-71.6129505119999 26.253033137,-71.589172724 26.2205684260001,-71.584359724 26.215988426,-71.230544723 25.7305574260001,-71.132933723 25.524683426,-70.7515187229999 25.1560174250001,-70.69936193 25.115357053,-70.6313939029999 25.0623701210001,-70.6313941019999 25.062369785,-70.631394137 25.0623691390001,-71.1804415669999 24.1362987480001,-71.721508934 23.208511936,-71.917428762 22.8793063750001,-71.973095692 22.785251239,-72.064626203 22.631522755,-72.21388132 22.3911844690001,-72.230369375 22.365603257,-72.2554878669999 22.326808699,-72.2561631679999 22.3257606,-72.305124091 22.2496402630001,-72.333509839 22.229618916,-72.56500546 22.0663806320001,-72.5784067609999 22.0546713530001,-72.5870288639999 22.0469566690001,-72.590457896 22.0438281400001,-72.597783163 22.037177849,-72.6225664949999 22.0149111100001,-72.6771218229999 21.9661545430001,-72.772869266 21.921739616,-72.791720144 21.9130312680001,-72.81360689 21.902789989,-72.7814628369999 21.802610659,-72.7788658859999 21.7941136040001,-72.7673694699999 21.7675984690001,-72.754656578 21.737754228,-72.743465617 21.7131448540001,-72.738387113 21.697207898,-72.737183661 21.6933321660001,-72.7163637259999 21.6244385110001,-72.7077832689999 21.5958219660001,-72.679618852 21.505640047,-72.6786742739999 21.502738661,-72.675988413 21.4945422210001,-72.6566549139999 21.434735099,-72.646516489 21.404142285,-72.644219247 21.397329821,-72.634495397 21.369893855,-72.5886909609999 21.2422148040001,-72.567005804 21.214639311,-72.5635740869999 21.191783549,-72.559813286 21.1730216870001,-72.5554495499999 21.153674003,-72.552452632 21.1402407150001,-72.539310219 21.0835034020001,-72.533353156 21.058776756,-72.518330367 20.9955073670001,-72.497781721 20.9182854790001,-72.486596897 20.8782105060001,-72.482926849 20.865144544,-72.480552287 20.856745559,-72.473837427 20.8334415080001,-72.4489753939999 20.7476070320001,-72.439003354 20.714709269,-72.451548042 20.710961684,-72.4602498199999 20.70839219,-72.46438531 20.707197933,-72.472008592 20.705007171,-72.4820144289999 20.701246848,-72.487950787 20.6995198930001,-72.5639277239999 20.6768430550001,-72.63238168 20.6504773790001,-72.747395819 20.606411317,-72.8115084679999 20.581931275,-72.858945389 20.564240582,-72.877618745 20.558096607,-72.9215603609999 20.5437665330001,-72.928629569 20.541588459,-72.9870149449999 20.524145042,-72.9995311709999 20.5204164670001,-73.083514474 20.499464888,-73.119312102 20.4917304300001,-73.1784958379999 20.479439439,-73.203571374 20.4742006760001,-73.275190027 20.4592977,-73.3352881719999 20.434007771,-73.39507517 20.407418514,-73.396014834 20.4072196880001,-73.449980824 20.391911495,-73.489859883 20.381117965,-73.494271581 20.3798845630001,-73.524972041 20.3775547650001,-73.5722186579999 20.368263439,-73.596224164 20.383328738,-73.648450027 20.4175649090001,-73.7222053359999 20.4655720370001,-73.739509265 20.4768780310001,-73.7761075669999 20.501203129,-73.790164867 20.5104744970001,-73.83764953 20.542142772,-73.8847790249999 20.574676583,-73.8948748609999 20.582551687,-73.9196713269999 20.6014506670001,-73.9554111579999 20.6281914140001,-73.996648538 20.659481929,-74.01544778 20.673483875,-74.0419459089999 20.694328538,-74.045929975 20.6974932640001,-74.053303993 20.703279008,-74.069051556 20.7156934670001,-74.080407537 20.724604303,-74.1152283019999 20.7517918300001,-74.1517691939999 20.7800149350001,-74.199784102 20.8168508040001,-74.208357209 20.8317805190001,-74.210907528 20.835527214,-74.258933382 20.905632111,-74.2880060049999 20.9705176530001,-74.308067341 21.015590843,-74.355639045 21.121904445,-74.39025214 21.20017474,-74.4052320289999 21.2337752620001,-74.43242772 21.2533909220001,-74.475619331 21.284714993,-74.507563147 21.307933125,-74.547765087 21.3444476020001,-74.553790662 21.3500287800001,-74.605789022 21.36256716,-74.775777324 21.403664914,-74.805830306 21.3985185380001,-74.820345529 21.3968676910001,-74.822933989 21.3965733000001,-74.8283562729999 21.3959513390001,-74.892666439 21.38857467,-74.938813318 21.3831955540001,-74.9740840969999 21.3790842110001,-74.974084566 21.3790843800001,-75.08091596 21.4177914320001,-75.108735224 21.4286196140001,-75.139314919 21.440558074,-75.184490468 21.4583047850001,-75.229295898 21.475768353,-75.3672061359999 21.5311575480001,-75.3955724159999 21.544688905,-75.428987637 21.561219726,-75.430888538 21.5621669770001,-75.445285908 21.569617716,-75.5990782809999 21.574089789,-75.6725571869999 21.5712506250001,-75.697852245 21.5702732450001,-75.736260398 21.569756306,-75.758444879 21.5709733250001,-75.765034638 21.571326706,-75.813558921 21.5739288610001,-75.8842229749999 21.5777616460001,-75.9181717399999 21.5788476990001,-75.930930825 21.5793040390001,-75.9430956579999 21.5839145140001,-76.037242201 21.627619554,-76.1179617079999 21.6761581760001,-76.152326003 21.6968505730001,-76.210274713 21.735595964,-76.2712337629999 21.7785127130001,-76.350592696 21.8351785890001,-76.3559628039999 21.8413096740001,-76.490630938 21.9957333580001,-76.5014290079999 22.01239724,-76.502108074 22.013444151,-76.5027562079999 22.014440656,-76.503418997 22.0154589910001,-76.5043067239999 22.017714391,-76.518609554 22.0544086690001,-76.54297786 22.1182829950001,-76.5447184929999 22.1206978710001,-76.552988173 22.1320773840001,-76.559963877 22.1409167460001,-76.618275435 22.22619654,-76.6544567019999 22.2787724250001,-76.791331213 22.4379571800001,-76.8178459919999 22.5404824840001,-76.824412723 22.560741061,-76.838804325 22.6018530870001,-76.875475948 22.70689866,-76.875824633 22.707895894,-76.876174728 22.7088940720001,-76.877138003 22.711638339,-76.87811071 22.714382544,-76.8790663029999 22.7170763070001,-76.880030973 22.7197700080001,-76.887946562 22.74185235,-76.905188015 22.790061699,-76.9734061089999 22.802866452,-77.3033522109999 22.8641795840001,-77.309785273 22.8662656820001,-77.6066607939999 22.718533569,-77.656593361 22.694678127,-77.6606535939999 22.692738338,-77.68328624 22.6841982060001,-77.900650334 22.6021787190001,-77.932550792 22.6005505320001,-77.948627947 22.6020189980001,-78.000182294 22.606727903,-78.087565577 22.614142197,-78.1328399829999 22.617983639,-78.135161865 22.6181941240001,-78.139186729 22.6185589900001,-78.15202916 22.6205371070001,-78.1649983199999 22.6225347450001,-78.1741526549999 22.62411703,-78.194402757 22.627546033,-78.2153935379999 22.634148333,-78.2507138 22.6627468200001,-78.2592171919999 22.6705538410001,-78.283548288 22.6940016350001,-78.3010202249999 22.713194163,-78.338485522 22.7547985320001,-78.342660086 22.759393679,-78.354381447 22.773144444,-78.4060108589999 22.8363756420001,-78.41550176 22.848231829,-78.4308792099999 22.868283546,-78.5554135419999 23.3007963040001,-78.56233745 23.3634058440001,-78.579976855 23.3770175330001,-78.656844037 23.4377437900001,-78.763567014 23.3690238560001,-78.8108886109999 23.338553033,-78.822202034 23.3312660170001,-78.844909794 23.316639867,-78.884585374 23.291545549,-78.895127917 23.285543401,-78.965499457 23.245479029,-79.047505255 23.1991523140001,-79.1161446689999 23.1608625280001,-79.157181791 23.137970394,-79.189098456 23.124479653,-79.331369721 23.1395395500001,-79.416710146 23.14887486,-79.516880651 23.17424986,-79.5534099499999 23.188724719,-79.5738656779999 23.1963897690001,-79.6246617579999 23.2210366790001,-79.7026293819999 23.257290842,-79.7083348309999 23.2598913090001,-79.74186445 23.275231891,-79.7514271209999 23.279560539,-79.80003777 23.30086764,-79.808118755 23.3075561410001,-79.8186620709999 23.316043544,-79.826223103 23.3221001850001,-79.845637417 23.339288858,-79.9019720639999 23.3792537030001,-79.9054694019999 23.382121188,-79.908617889 23.3846166750001,-79.9220993169999 23.3953648720001,-79.9307808729999 23.4023247000001,-79.93993492 23.4096233600001,-79.9403455039999 23.4099985390001,-79.950576783 23.4192960180001,-79.9845336659999 23.4405388060001,-80.011900547 23.4636451160001,-80.049057676 23.494117771,-80.058833583 23.4915414270001,-80.192481936 23.456421565,-80.227996859 23.446801325,-80.2594907819999 23.43835941,-80.26384311 23.437512826,-80.277511707 23.434854106,-80.2862438609999 23.4331682060001,-80.294234895 23.4342034150001,-80.312926149 23.436624798,-80.481507075 23.457530628,-80.4839942679999 23.457850464,-80.4864967199999 23.458180762,-80.519622871 23.4627213540001,-80.520171505 23.462905671,-80.55962256 23.4759925760001,-80.6205004669999 23.498445686,-80.69102981 23.52454442,-80.694089183 23.5258099050001,-80.6986072019999 23.527626798,-80.70148534 23.530056904,-80.729287139 23.5569123980001,-80.811827138 23.636052885,-80.872515655 23.6947498490001,-80.910520328 23.7157294730001,-81.03456876 23.7842592750001,-81.0915189739999 23.8282843600001,-81.207410302 23.9181610900001,-81.2108775899999 23.9208451370001,-81.21527778 23.9250000000001,-81.18777778 23.99944444,-81.1516666699999 24.0383333300001,-81.0519444399999 24.12388889,-81.0327777799999 24.14,-81.01888889 24.14888889,-80.99777778 24.1627777800001,-80.99666667 24.16361111,-80.78194444 24.30916667,-80.78055556 24.3100000000001,-80.76333333 24.3205555600001,-80.7561111099999 24.3247222200001,-80.66444444 24.3680555600001,-80.6491666699999 24.37527778,-80.6027777799999 24.3911111100001,-80.53972222 24.41805556,-80.4919444399999 24.4411111100001,-80.45583333 24.4558333300001,-80.41972222 24.4677777800001,-80.41 24.47111111,-80.35166667 24.49333333,-80.32916667 24.5011111100001,-80.32277778 24.50333333,-80.29666667 24.5152777800001,-80.2822222199999 24.52361111,-80.25472222 24.5363888900001,-80.2227777799999 24.55083333,-80.2122222199999 24.5544444400001,-80.06444444 24.6069444400001,-79.99972222 24.6416666700001,-79.88277778 24.69583333,-79.8475 24.70944444,-79.829166733 24.7165740460001,-79.8275000249999 24.71722221,-79.8275 24.7172222200001,-79.827499979 24.717222329,-79.826482567 24.7226000790001,-79.8236111099999 24.73777778,-79.7661111099999 24.9238888900001,-79.7469444399999 24.98361111,-79.735370888 25.007027378,-79.735 25.00777778,-79.734619484 25.0086049880001,-79.71583333 25.0494444400001,-79.70833333 25.0647222200001,-79.69583333 25.15055556,-79.69333333 25.1638888900001,-79.69194444 25.17722222,-79.69194444 25.2655555600001,-79.6899999999999 25.2808333300001,-79.690000042 25.280833595,-79.69033268 25.282927704,-79.70222222 25.35777778,-79.7055555599999 25.37222222,-79.70333333 25.4008333300001,-79.7030555599999 25.46611111,-79.70333333 25.5172222200001,-79.7075 25.6186111100001,-79.7075 25.6230555600001,-79.7075 25.67666667,-79.71333333 25.7083333300001,-79.71638889 25.7275000000001,-79.7125 25.7708333300001,-79.7122222199999 25.77361111,-79.7066666699999 25.80527778,-79.70638889 25.8063888900001,-79.70444444 25.8255555600001,-79.69972222 25.86472222,-79.6961111099999 25.8897222200001,-79.69388889 25.9008333300001,-79.6849999999999 25.9380555600001,-79.67722222 25.96305556,-79.6688888899999 25.9875000000001,-79.6675 25.9913888900001,-79.63944444 26.0475000000001,-79.60972222 26.1161111100001,-79.6025 26.12944444,-79.59805556 26.1355555600001,-79.5563888899999 26.25333333,-79.55472222 26.25694444,-79.53194444 26.3155555600001,-79.49833333 26.38888889,-79.49861111 26.3911111100001,-79.4994444399999 26.4250000000001,-79.49805556 26.4844444400001,-79.50416667 26.5197222200001,-79.5105555599999 26.56944444,-79.51277778 26.5805555600001,-79.51388889 26.5888888900001,-79.5186111099999 26.60805556,-79.52583333 26.6366666700001,-79.53361111 26.68638889,-79.53888889 26.7275000000001,-79.53972222 26.7413888900001,-79.54472222 26.7625,-79.57416667 26.8991666700001,-79.5773101039999 26.9195990060001,-79.5774999939999 26.920833331,-79.577500041 26.920833675,-79.58805556 27.0075000000001,-79.58861111 27.0994444400001,-79.5822222199999 27.1980555600001,-79.57166667 27.27,-79.5272222199999 27.43333333,-79.47666667 27.8816666700001,-79.2334876159999 28.2247564910001,-79.1899999999999 28.28611111,-79.189988125 28.2861118320001,-76.6276491639999 28.2861118320001,-76.616862069 28.2861118320001,-76.612503052 28.2861118320001,-76.612651178 28.2864245760001,-76.6126512979999 28.28642483,-76.616271973 28.29406929,-76.627037048 28.3216094970001,-76.6381072999999 28.349079132,-76.649436951 28.376449585,-76.6610412599999 28.4037303920001,-76.6729278559999 28.4309196470001,-76.685089111 28.458019257,-76.697692871 28.487930298,-76.707366943 28.5158100130001,-76.717330933 28.5435905460001,-76.7212524409999 28.556379318,-76.7303771969999 28.5844001770001,-76.73979187 28.612340927,-76.740351093 28.615943945,-76.740351413 28.6159460040001,-76.7437667849999 28.6379508970001,-76.745178223 28.6670703890001,-76.746887207 28.696180344,-76.7488708499999 28.7252807620001,-76.75113678 28.7543601990001,-76.753707886 28.7834205630001,-76.756561279 28.8124504090001,-76.75969696 28.8414802550001,-76.763122559 28.870470047,-76.766853333 28.8994293210001,-76.7708435059999 28.928359985,-76.7751464839999 28.9572792050001,-76.779716492 28.986129761,-76.784606934 29.0149707790001,-76.7897567749999 29.0437603,-76.7920881599999 29.05604735,-76.79210534 29.056137892,-76.7926738959999 29.0591343420001,-76.792705632 29.0593016020001,-76.795211792 29.0725097660001,-76.797236103 29.0826434320001,-76.797270248 29.0828143630001,-76.797270264 29.0828144440001,-76.799493329 29.093943069,-76.7995113229999 29.09403315,-76.8009490969999 29.1012306210001,-76.801829343 29.1054148540001,-76.801829368 29.1054149720001,-76.801829385 29.1054150530001,-76.8018403949999 29.1054673900001,-76.801840402 29.105467424,-76.806311335 29.12671992,-76.806325691 29.1267881590001,-76.806976318 29.1298809050001,-76.8076729759999 29.1330381600001,-76.807688347 29.1331078220001,-76.813271462 29.1584105250001,-76.8132829319999 29.158462507,-76.813293457 29.1585102080001,-76.813314869 29.158602875,-76.813338157 29.1587036600001,-76.813338202 29.158703856,-76.819892883 29.187070847,-76.826766968 29.2155799870001,-76.8339462279999 29.2440299990001,-76.841400146 29.2724494930001,-76.849151611 29.300779343,-76.8571777339999 29.3290691380001,-76.865509033 29.357299805,-76.8740997309999 29.3854503630001,-76.883003235 29.413539886,-76.892173767 29.4415607450001,-76.9016113279999 29.4694995880001,-76.911346436 29.4973793030001,-76.92137146 29.525180817,-76.931671143 29.5528907780001,-76.942260742 29.58052063,-76.953132629 29.6080799100001,-76.964256287 29.6355400090001,-76.975692749 29.662929535,-76.98739624 29.6902294160001,-76.99936676 29.7174396510001,-77.0116424559999 29.7445392610001,-77.0241699219999 29.7715606690001,-77.036987305 29.7984790800001,-77.050079346 29.82529068,-77.063430786 29.852010727,-77.0770721439999 29.878620148,-77.0909728999999 29.9051208500001,-77.105163574 29.931520462,-77.1196136469999 29.9577903750001,-77.13432312 29.9839801790001,-77.1493225099999 30.010040283,-77.164581299 30.0359802250001,-77.180099487 30.061800003,-77.195892334 30.0875091550001,-77.211936951 30.1130790710001,-77.2282714839999 30.1385307310001,-77.2448577879999 30.1638603210001,-77.245456663 30.1647567630001,-77.257072449 30.1821441650001,-77.235243844 30.1940605120001,-77.233596802 30.194959641,-77.2111732449999 30.2074336520001,-77.205337524 30.2106800080001,-77.177230835 30.2265892030001,-77.149276733 30.24271965,-77.121482849 30.2590599060001,-77.0938415529999 30.275590897,-77.0663528439999 30.2923297880001,-77.039031982 30.309270859,-77.011863708 30.3264198300001,-76.9848632809999 30.3437500000001,-76.96754251 30.3550800040001,-76.967542365 30.355080098,-76.967539029 30.3550826800001,-76.967538538 30.355082602,-76.572421046 30.199800238,-76.51912082 30.187802904,-76.30846897 30.1041420130001,-76.30094798 30.102434583,-76.299762728 30.1021654300001,-76.2963937279999 30.10082343,-76.2954285609999 30.1006045710001,-76.2946296819999 30.1004231540001,-76.1212189459999 30.030838782,-75.686725727 29.8564894300001,-75.684818433 29.855331947,-75.6842226269999 29.8549701320001,-75.683682805 29.854751902,-75.6697667239999 29.846299435,-75.6697666599999 29.8462994020001,-75.669766211 29.84629913,-75.6679783069999 29.845576007,-75.661284727 29.8428684300001,-75.65952391 29.841798854,-75.6588087489999 29.841364318,-75.6561879819999 29.840304132,-75.156999508 29.5351086690001,-75.109848727 29.5062814290001,-75.104062227 29.501199467,-75.0996398199999 29.4973153970001,-75.0925674329999 29.4929621520001,-75.0614147269999 29.473786429,-75.059260727 29.471892429,-75.0568680919999 29.470419615,-75.055354041 29.469487191,-75.055204423 29.4693556440001,-75.0549787269999 29.4691564290001,-75.0533527269999 29.468155429,-75.0519735569999 29.4669430010001,-75.0485059809999 29.4638939440001,-75.047775278 29.463443844,-75.047307727 29.463155429,-75.043663086 29.459950701,-75.039776864 29.456532936,-75.037269612 29.4549881630001,-75.036950468 29.454707447,-75.0365357269999 29.4543424290001,-75.0210907269999 29.4448244290001,-75.0025800509999 29.4285328820001,-74.998051323 29.4245470120001,-74.9727336239999 29.4089289730001,-74.9698513869999 29.4063900080001,-74.967673727 29.4044714290001,-74.950020051 29.3935742310001,-74.944497449 29.3901651840001,-74.9443348999999 29.3900219970001,-74.94377579 29.389529199,-74.943484065 29.38934907,-74.93569043 29.382479044,-74.743566627 29.263575142,-74.731829294 29.253183904,-74.661847439 29.2097350620001,-74.660222453 29.2082940670001,-74.637605719 29.194237421,-74.6371327269999 29.193817429,-74.621461726 29.184073429,-74.613634726 29.1771264290001,-74.6136343809999 29.1771262140001,-74.6136341169999 29.17712598,-74.611226668 29.175628438,-74.608379726 29.1738574290001,-74.6047223269999 29.1706087150001,-74.56206793 29.132720163,-74.5615655129999 29.1324072640001,-74.5611937259999 29.132175429,-74.0971497259999 28.7174964290001,-74.090542726 28.7090024290001,-74.0905424439999 28.709002175,-74.09054222 28.709001888,-74.089848398 28.708378392,-74.0892487259999 28.707839429,-74.086259992 28.7039964030001,-74.085774697 28.7033723600001,-74.085445362 28.703076357,-74.080313726 28.6984634290001,-73.825544241 28.3691099280001,-73.708994983 28.2184403850001,-73.4407599 27.688433107,-73.440471546 27.6874115160001,-73.440336725 27.686933428,-73.4400364379999 27.6863375090001,-73.439820842 27.685909425,-73.420748982 27.618155702,-73.3460717249999 27.3528594270001,-73.3206308979999 27.3294617030001,-73.2975088919999 27.3081963710001,-73.2760556379999 27.302726679,-73.167552725 27.275062427,-72.651173881 27.0493296930001,-72.582072754 27.019122367),(-77.91694573 26.915836427,-77.9502907299999 26.897781427,-77.9066817299999 26.903054427,-77.89361873 26.904445427,-77.834727729 26.9102724270001,-77.801954729 26.9041634270001,-77.789736729 26.9008364270001,-77.7238907289999 26.8822184270001,-77.672499729 26.864999427,-77.657509729 26.8605544270001,-77.631954729 26.8583274270001,-77.595836729 26.8574994270001,-77.556954729 26.8665274270001,-77.542781729 26.8655544270001,-77.5277907289999 26.8579184270001,-77.4908457289999 26.8172184270001,-77.3497277289999 26.640554427,-77.343054729 26.605136427,-77.329999729 26.5974994270001,-77.292781729 26.5883364270001,-77.273054729 26.584718427,-77.227781729 26.583327427,-77.214736729 26.580827427,-77.202518729 26.5774994270001,-77.181672729 26.5683364270001,-77.154172729 26.5545814270001,-77.148190729 26.541245427,-77.154445729 26.5202724270001,-77.200009729 26.452218427,-77.208072729 26.445554427,-77.223481729 26.4429184270001,-77.232227729 26.410972427,-77.226118729 26.247772426,-77.220836729 26.1452724260001,-77.3077817289999 26.0761094260001,-77.398054729 26.026390426,-77.3180727289999 25.987781426,-77.304727729 25.982354426,-77.296109729 25.973054426,-77.289172729 25.9588814260001,-77.279172729 25.934445426,-77.268618729 25.9166634260001,-77.245563729 25.8894454260001,-77.234172729 25.882499426,-77.2180637289999 25.879163426,-77.202645729 25.882499426,-77.193763729 25.894999426,-77.188336729 25.929445426,-77.187499729 25.9569454260001,-77.189727729 26.027218426,-77.188609729 26.0747184260001,-77.1738907289999 26.197772426,-77.168336729 26.228609426,-77.164463729 26.2394364260001,-77.1513997289999 26.255272426,-77.1433367289999 26.2619454260001,-77.109727729 26.286390426,-77.0758367289999 26.3079184270001,-77.053336729 26.308263427,-77.0277907289999 26.3597184270001,-77.039736729 26.497772427,-77.042236729 26.508890427,-77.049590729 26.519027427,-77.0763997289999 26.5399994270001,-77.089736729 26.548881427,-77.156399729 26.5799994270001,-77.2263907289999 26.6074994270001,-77.275009729 26.6213904270001,-77.302654729 26.6655544270001,-77.420836729 26.7858274270001,-77.472781729 26.836390427,-77.5044457289999 26.8658724270001,-77.5369547289999 26.891390427,-77.546672729 26.8966634270001,-77.573627729 26.9074994270001,-77.594181729 26.913745427,-77.6045907289999 26.9124994270001,-77.635563729 26.9058274270001,-77.6619547289999 26.903054427,-77.6969457289999 26.9058274270001,-77.734999729 26.914445427,-77.826954729 26.929163427,-77.840836729 26.928336427,-77.90610973 26.919445427,-77.91694573 26.915836427),(-78.24056373 26.6347184270001,-78.0172277299999 26.658745427,-77.96056373 26.653609427,-77.94694573 26.648327427,-77.93806373 26.6424994270001,-77.9086187299999 26.6894454270001,-77.91723673 26.7452814270001,-77.94445473 26.751390427,-77.9505637299999 26.742499427,-77.96104573 26.732981427,-77.98360973 26.724718427,-78.10639973 26.702218427,-78.12375473 26.7019454270001,-78.1986277299999 26.7086094270001,-78.24612773 26.710554427,-78.3108367299999 26.6938814270001,-78.3272277299999 26.688327427,-78.3494547299999 26.6886094270001,-78.36389073 26.6897184270001,-78.3761097299999 26.6930544270001,-78.51889073 26.7341634270001,-78.60000973 26.6984724270001,-78.6027817299999 26.6838904270001,-78.6552907299999 26.6115274270001,-78.67222773 26.595554427,-78.6816727299999 26.590554427,-78.70111873 26.584445427,-78.71889973 26.5836094270001,-78.79779073 26.585827427,-78.82028173 26.6002724270001,-78.84000973 26.6169454270001,-78.87445473 26.641390427,-78.978899731 26.6952724270001,-78.968609731 26.6708274270001,-78.8272277299999 26.5491634270001,-78.8191727299999 26.5424994270001,-78.7722277299999 26.5086094270001,-78.75611873 26.4986094270001,-78.72653673 26.490136427,-78.70861873 26.4897184270001,-78.68918173 26.492499427,-78.67834573 26.4961094270001,-78.6027817299999 26.530554427,-78.54639973 26.556663427,-78.36611873 26.610836427,-78.29889073 26.6238814270001,-78.24056373 26.6347184270001),(-76.314454728 25.253609426,-76.254454728 25.178054425,-76.245563728 25.172218425,-76.2080727279999 25.163327425,-76.187499728 25.153890425,-76.173336728 25.142636425,-76.163345728 25.127772425,-76.151945728 25.1044454250001,-76.1450097279999 25.0772184250001,-76.143618728 25.064718425,-76.1444457279999 25.0122184250001,-76.211118728 24.8658364250001,-76.336881728 24.817709425,-76.327518728 24.800827425,-76.3202817279999 24.7936094250001,-76.2161277279999 24.715272425,-76.168336728 24.6899994250001,-76.139454728 24.8461094250001,-76.1099997279999 25.0666634250001,-76.109172728 25.080272425,-76.110563728 25.1049994250001,-76.113063728 25.1163904250001,-76.120281728 25.1331904250001,-76.132236728 25.1461094250001,-76.313063728 25.287218426,-76.323199728 25.2977274260001,-76.328781728 25.319572426,-76.349699728 25.343281426,-76.410281728 25.3402724260001,-76.5333367279999 25.398327426,-76.680281728 25.4894364260001,-76.678345728 25.544445426,-76.7352907279999 25.5591634260001,-76.7158367279999 25.441663426,-76.6325097279999 25.4322184260001,-76.618899728 25.4299994260001,-76.606945728 25.4266634260001,-76.596390728 25.422218426,-76.587781728 25.416109426,-76.575563728 25.406663426,-76.559445728 25.393327426,-76.5522277279999 25.3861094260001,-76.5412637279999 25.372081426,-76.5313997279999 25.363609426,-76.522781728 25.3577724260001,-76.5100097279999 25.3516634260001,-76.398618728 25.3280544260001,-76.3783457279999 25.324999426,-76.3663907279999 25.321663426,-76.355836728 25.318336426,-76.3390367279999 25.2971544260001,-76.3330727279999 25.2841634260001,-76.325563728 25.270554426,-76.314454728 25.253609426),(-75.735563728 24.6965274250001,-75.758272728 24.6562454250001,-75.740972728 24.644863425,-75.723072728 24.642499425,-75.693336727 24.623472425,-75.635227727 24.554445425,-75.595736727 24.5071094250001,-75.5862277269999 24.485527425,-75.581981727 24.471772425,-75.5300097269999 24.383609425,-75.518063727 24.360554425,-75.5063907269999 24.344163425,-75.466118727 24.2903454250001,-75.472781727 24.1816634250001,-75.5166817269999 24.160554425,-75.525845727 24.1555544240001,-75.515018727 24.139718424,-75.505563727 24.130972424,-75.4625097269999 24.1224994240001,-75.438336727 24.1458274240001,-75.428618727 24.150836424,-75.3441727269999 24.159163425,-75.333618727 24.1522184240001,-75.2915997269999 24.146872424,-75.3147277269999 24.213890425,-75.3194547269999 24.223054425,-75.396672727 24.313472425,-75.405563727 24.322499425,-75.431672727 24.3405544250001,-75.4411187269999 24.3461094250001,-75.451399727 24.350554425,-75.474727727 24.3676364250001,-75.523899727 24.4299994250001,-75.5950097269999 24.5482724250001,-75.601009727 24.5726094250001,-75.625145727 24.639299425,-75.6352817269999 24.6534724250001,-75.684172727 24.682218425,-75.712509728 24.695272425,-75.735563728 24.6965274250001),(-74.4609817259999 24.140272424,-74.508754726 24.122354424,-74.5255547259999 24.103190424,-74.530290726 24.076109424,-74.5236187259999 24.051663424,-74.523336726 24.0356904240001,-74.537227726 23.979999424,-74.541399726 23.969163424,-74.527790726 23.9566634240001,-74.492781726 23.955272424,-74.436672726 24.0395814240001,-74.424590726 24.0780544240001,-74.4609817259999 24.140272424),(-77.546809729 24.116663424,-77.5513907289999 24.1291634240001,-77.576954729 24.173881425,-77.582509729 24.182218425,-77.600281729 24.2058274250001,-77.609309729 24.214999425,-77.6194457289999 24.216390425,-77.632090729 24.2111094250001,-77.638890729 24.196109425,-77.666672729 24.120554424,-77.702227729 24.049163424,-77.707781729 24.040272424,-77.719318729 24.030136424,-77.731809729 24.028472424,-77.741672729 24.0302814240001,-77.756118729 24.1365274240001,-77.733336729 24.160827425,-77.670836729 24.213890425,-77.662781729 24.2202724250001,-77.6527907289999 24.224718425,-77.638345729 24.228190425,-77.6334727289999 24.2501364250001,-77.663072729 24.287218425,-77.677927729 24.2951364250001,-77.6972367289999 24.288054425,-77.701127729 24.2847184250001,-77.716399729 24.2694454250001,-77.85250973 24.1602724250001,-77.87668173 24.0730544240001,-77.808336729 23.878609424,-77.730281729 23.7869454240001,-77.720836729 23.7819454240001,-77.700145729 23.7763904240001,-77.644181729 23.8177724240001,-77.605836729 23.8444454240001,-77.591945729 23.8486094240001,-77.575909729 23.8438904240001,-77.5888997289999 23.8227724240001,-77.668627729 23.7794454240001,-77.669645729 23.7663724240001,-77.681818729 23.760281424,-77.745209729 23.780136424,-77.773754729 23.7448634240001,-77.609036729 23.7273544240001,-77.582227729 23.733054424,-77.5693097289999 23.737918424,-77.554309729 23.7516634240001,-77.525281729 23.826945424,-77.519727729 23.8611094240001,-77.516818729 23.924718424,-77.546809729 24.116663424),(-78.0196637299999 24.2746544250001,-77.86584573 24.3788184250001,-77.85789073 24.4202094250001,-77.804736729 24.443609425,-77.745072729 24.454163425,-77.718299729 24.497218425,-77.721681729 24.528890425,-77.7433457289999 24.6199994250001,-77.773618729 24.7327724250001,-77.810699729 24.7616634250001,-77.829181729 24.7794454250001,-77.8427907289999 24.794445425,-77.88195473 24.848327425,-77.94555473 24.9916634250001,-77.98771873 25.1502094250001,-78.03917273 25.1782634250001,-78.19195473 25.203609425,-78.2049997299999 25.2019454250001,-78.21278173 25.200136425,-78.21305473 25.179445425,-78.18806373 25.1144364250001,-78.16319973 25.0626364250001,-78.1561187299999 25.0295814250001,-78.17722773 24.917218425,-78.20639073 24.8602724250001,-78.23583673 24.8347184250001,-78.27528173 24.791663425,-78.2925817299999 24.7674274250001,-78.30584573 24.7211094250001,-78.26445473 24.676181425,-78.26049073 24.7179094250001,-78.19326373 24.605418425,-78.22736373 24.5626364250001,-78.2486097299999 24.561945425,-78.32829973 24.5939904250001,-78.3047367299999 24.621945425,-78.28959073 24.6504094250001,-78.2926457299999 24.6817994250001,-78.31753673 24.709527425,-78.44014573 24.6166634250001,-78.39083673 24.562772425,-78.36029073 24.5347184250001,-78.34360973 24.5222184250001,-78.31598173 24.5063904250001,-78.28083673 24.4894364250001,-78.21417273 24.459163425,-78.09084573 24.382636425,-78.07181873 24.360418425,-78.06306373 24.3333274250001,-78.04583673 24.279927425,-78.0196637299999 24.2746544250001),(-77.473345729 24.986945425,-77.465836729 24.9866634250001,-77.433763729 25.0090274250001,-77.3411277289999 25.016936425,-77.260136729 25.041663425,-77.259590729 25.051945425,-77.270009729 25.0605544250001,-77.329999729 25.0769454250001,-77.358899729 25.0797184250001,-77.435836729 25.077499425,-77.452509729 25.076245425,-77.5055727289999 25.062772425,-77.5183367289999 25.0563904250001,-77.553072729 25.0333364250001,-77.561399729 25.027499425,-77.559590729 25.016527425,-77.544036729 24.9934724250001,-77.473345729 24.986945425),(-75.909727728 23.568054424,-75.805281728 23.4974994240001,-75.771954728 23.499718424,-75.9186277279999 23.6263904240001,-75.996127728 23.674163424,-76.020281728 23.675281424,-76.0286277279999 23.672499424,-76.032781728 23.6494454240001,-75.9911187279999 23.5994454240001,-75.955836728 23.589163424,-75.944454728 23.584999424,-75.934445728 23.580272424,-75.909727728 23.568054424),(-75.303345727 23.6302724240001,-75.257236727 23.489718424,-75.179454727 23.3980544240001,-75.136672727 23.363890424,-75.1313907269999 23.3552724240001,-75.1266817269999 23.3461094240001,-75.121127727 23.331109424,-75.1080637269999 23.270272424,-75.107509727 23.1647184240001,-75.0858457269999 23.137999424,-75.070699727 23.110690424,-75.086618727 23.1054994240001,-75.125281727 23.1229094240001,-75.143699727 23.1386184240001,-75.128718727 23.139936424,-75.159618727 23.157409424,-75.168618727 23.1428274240001,-75.126536727 23.115245424,-75.096618727 23.0986634240001,-75.084163727 23.0888904240001,-75.064999727 23.0855544240001,-75.0505637269999 23.0855544240001,-75.035572727 23.084445424,-74.989872727 23.079445423,-74.974445727 23.0726364230001,-74.966118727 23.064163423,-74.935836727 23.0238904230001,-74.925845727 23.0061094230001,-74.909999727 22.9672184230001,-74.900554727 22.9486094230001,-74.850427727 22.8572184230001,-74.837918727 22.857499423,-74.8291817269999 22.863190423,-74.832227727 22.901109423,-74.841127727 22.9649994230001,-74.848890727 23.0020814230001,-74.9252907269999 23.086936424,-74.964590727 23.1037454240001,-75.008899727 23.1036094240001,-75.018899727 23.1052724240001,-75.0300097269999 23.1124994240001,-75.055009727 23.130554424,-75.067509727 23.1430544240001,-75.0727817269999 23.154999424,-75.078899727 23.1761094240001,-75.085554727 23.2097184240001,-75.084863727 23.2320814240001,-75.082363727 23.2567994240001,-75.084727727 23.271109424,-75.0990367269999 23.3274994240001,-75.109454727 23.348327424,-75.2747367269999 23.6299994240001,-75.286390727 23.6466634240001,-75.303890727 23.664999424,-75.307509727 23.6677724240001,-75.303345727 23.6302724240001),(-74.161254726 22.6727814230001,-74.088899726 22.657499423,-74.073627726 22.6633274230001,-74.022363726 22.7131274230001,-74.218899726 22.808327423,-74.302372726 22.842081423,-74.343899726 22.8349994230001,-74.347227726 22.822918423,-74.343609726 22.8033364230001,-74.272509726 22.714445423,-74.2041817259999 22.6863814230001,-74.161254726 22.6727814230001),(-73.9838997259999 22.6719454230001,-74.036527726 22.6202724230001,-74.0147277259999 22.6022184230001,-73.993618726 22.5933274230001,-73.978336726 22.589445423,-73.961672726 22.590272423,-73.938336726 22.594999423,-73.924454726 22.5990274230001,-73.899445726 22.584718423,-73.892499726 22.5774994230001,-73.885563726 22.5702724230001,-73.878618726 22.5627724230001,-73.869736726 22.544163423,-73.863890726 22.526245423,-73.867781726 22.512218423,-73.886945726 22.4880544230001,-73.9108457259999 22.4688904230001,-73.9213997259999 22.4655544230001,-74.0397367259999 22.3966634230001,-74.178345726 22.295272423,-74.276672726 22.216945423,-74.281399726 22.1730544230001,-74.276399726 22.1705544230001,-74.182227726 22.2217994230001,-74.161663726 22.2397184230001,-74.1533457259999 22.249854423,-74.1041727259999 22.295272423,-74.013063726 22.324445423,-73.994736726 22.334445423,-73.9772367259999 22.3455544230001,-73.867509726 22.469445423,-73.8588997259999 22.4902724230001,-73.836945726 22.551663423,-73.851527726 22.728336423,-73.924727726 22.708881423,-73.950009726 22.694718423,-73.971954726 22.681663423,-73.9838997259999 22.6719454230001),(-73.081681725 22.3405544230001,-73.057227725 22.3391634230001,-73.0425097249999 22.341945423,-73.028627725 22.3491634230001,-73.020572725 22.3555544230001,-73.0111277249999 22.360272423,-72.988890725 22.366390423,-72.899736725 22.362499423,-72.8855637249999 22.360272423,-72.874727725 22.3558274230001,-72.860290725 22.347772423,-72.812509725 22.311527423,-72.787509725 22.2830544230001,-72.781399725 22.2841634230001,-72.768336725 22.2919454230001,-72.750290725 22.309999423,-72.738890725 22.3240274230001,-72.739590725 22.334445423,-72.762218725 22.351663423,-72.829181725 22.382218423,-73.023054725 22.432499423,-73.067509725 22.4419454230001,-73.081681725 22.4436094230001,-73.1400187249999 22.4283364230001,-73.1636187249999 22.3769454230001,-73.161809725 22.3645094230001,-73.081681725 22.3405544230001),(-73.085009725 21.269027422,-73.1380637249999 21.187499422,-73.154727725 21.1755544220001,-73.258481725 21.1349994220001,-73.3066727249999 21.1491634220001,-73.3394547249999 21.164581422,-73.349727725 21.172499422,-73.422227725 21.194163422,-73.530627725 21.185763422,-73.640563726 21.1016634220001,-73.655563726 21.081945422,-73.7022277259999 20.9997184220001,-73.684027726 20.932145421,-73.668063726 20.9177724210001,-73.6627817259999 20.9152724210001,-73.612499726 20.943054422,-73.597090726 20.946663422,-73.556672726 20.9402724220001,-73.524736725 20.9338904210001,-73.466945725 20.9249994210001,-73.4527907249999 20.924718421,-73.3108367249999 20.9361094220001,-73.162227725 20.9688904220001,-73.1497277249999 20.9738904220001,-73.141109725 20.9833274220001,-73.1236097249999 21.008890422,-73.0358457249999 21.141663422,-73.022372725 21.1722184220001,-73.002781725 21.3081904220001,-73.007509725 21.3237454220001,-73.0177907249999 21.331390422,-73.027927725 21.3324994220001,-73.053345725 21.3263814220001,-73.068754725 21.317918422,-73.0752907249999 21.2922184220001,-73.085009725 21.269027422)))', 'Bahamas Exclusive Economic Zone', 'Bahamas', 'Bahamas', '', '110', '110', 'BHS', '8404', '2008-11-19', '597716059900', '8404', 'Y'),('SRID=4326;MULTIPOLYGON(((76.634195322 5.20521484100004,76.720833333 5.09305555600002,76.925991384 4.89117801500004,76.946666667 4.87083333300006,77.023333 4.78400000000005,77.0377005720001 4.68222478400003,77.058808572 4.53914178400004,77.0588915720001 4.53410278400003,77.0593085720001 4.46559278400002,77.0513035720001 4.24682378400007,77.029286572 4.03069378400005,77.052526572 3.88606678300005,77.073149572 3.66806278300004,77.0795805720001 3.45137478300006,77.0795785720001 3.45056578300006,77.0795735720001 3.44888878300003,77.0795685720001 3.44658578300005,77.079564572 3.44491778300005,77.079560572 3.44329878300005,77.0717645720001 3.22440378300007,77.0497845720001 3.00645978300003,77.0137165720001 2.79039278200003,76.9637105720001 2.57712278200006,76.9008075720001 2.37027278200003,76.9071115720001 2.16430678200004,76.907103572 2.15930178200006,76.907100572 2.15786078200006,76.899535572 1.93880378200004,76.8777785720001 1.72068978100003,76.8464825720001 1.53196778100005,76.8450475720001 1.51756078100004,76.8092155720001 1.30129778100007,76.7731345720001 1.14658578100006,76.7831925720001 1.09775578100005,76.8183805720001 0.881354781000027,76.8192465720001 0.872382781000056,76.8207725720001 0.863001781000037,76.8418495720001 0.644738780000068,76.848725572 0.428245780000054,76.848724572 0.42490478000002,76.848721572 0.422203780000075,76.841359572 0.203012780000051,76.8406065720001 0.195391780000023,76.8405555720001 0.193874780000044,76.8189875720001 -0.0243752199999676,76.7833015720001 -0.240752219999933,76.7336425710001 -0.454331220999961,76.731383571 -0.461807220999958,76.729736571 -0.511184220999951,76.7082065710001 -0.729474220999975,76.6725465710001 -0.945890220999956,76.6229035710001 -1.15950122099997,76.559482571 -1.36939522099993,76.4825475710001 -1.57467022199995,76.3924215710001 -1.77444022199995,76.2894855710001 -1.96784822199993,76.2744705710001 -1.99209422199993,76.2048265710001 -2.14639022199998,76.1018435710001 -2.33978122199994,75.9864765710001 -2.52596822299995,75.859217571 -2.70414522299996,75.7206085710001 -2.87354622299995,75.57124257 -3.03343422299997,75.5575855700001 -3.04684922299998,75.5428865700001 -3.06258322299993,75.5100645700001 -3.09502722299993,75.5070595700001 -3.09795622299993,75.38039157 -3.21519122299998,75.2114725700001 -3.35401922299997,75.0532385700001 -3.46749522299996,75.0369025700001 -3.46451722299997,74.5900965690001 -3.37455422299996,74.2628825690001 -3.30977622299997,73.1591985680001 -3.09117022299995,72.599959568 -2.98181322299996,72.4660975670001 -2.94658622299994,71.942900567 -2.80922822299993,71.9082895670001 -2.80010422299995,71.8355605670001 -2.77892222299994,70.889368566 -2.50073422199995,70.272319565 -2.30577222199997,70.2072115650001 -2.28379022199994,70.2051625650001 -2.28014222199994,70.2051225650001 -2.28007222199994,70.137879565 -2.15628322199996,70.093284565 -2.06813422199997,70.0040885650001 -1.86903222199993,69.9279675650001 -1.66449922199996,69.8652395650001 -1.45540122199998,69.8161675650001 -1.24261822099993,69.7809575650001 -1.02704622099998,69.7597635650001 -0.809596220999936,69.7526765650001 -0.594963220999944,69.7526665650001 -0.586658220999936,69.752664565 -0.58288122099998,69.754957565 -0.511846220999928,69.7469085650001 -0.477135220999969,69.744443565 -0.468959220999977,69.6950565650001 -0.256116219999967,69.6949715650001 -0.25560121999996,69.6933515650001 -0.248620219999964,69.6875895650001 -0.213641219999943,69.6767105650001 -0.163875219999966,69.6760965650001 -0.160150219999935,69.6758065650001 -0.158902219999959,69.6402525650001 0.0567527800000676,69.6402355650001 0.0569247800000312,69.6394465650001 0.0617107800000554,69.617909565 0.279266780000057,69.6104905650001 0.497802780000029,69.6172275650001 0.716393781000022,69.6381025650001 0.934114781000062,69.643714565 0.968802781000022,69.643891565 0.970644781000033,69.6788205650001 1.18657878100004,69.679178565 1.18813878100002,69.6796085650001 1.19079878100007,69.726026565 1.39337978100002,69.7096775650001 1.44715378100005,69.659720565 1.66014978100003,69.6236485650001 1.87598478200005,69.6134875650001 1.95974178200004,69.6112585650001 1.98459078200005,69.597067565 2.04495878200004,69.5608795650001 2.26081078200002,69.5387405650001 2.47859778200007,69.537381565 2.51587178200003,69.5297125650001 2.59114578200007,69.497302565 2.69708578200004,69.4469555650001 2.91011078300005,69.4105055650001 3.12599478300007,69.408056565 3.14983178300002,69.408009565 3.15010978300006,69.3856175650001 3.36794278300005,69.3848735650001 3.38773278300005,69.3821245650001 3.41446778300002,69.380499565 3.45766678300004,69.3766645650001 3.49685478300006,69.3684165650001 3.71572278300005,69.368406565 3.71794978300005,69.3684015650001 3.71875878300006,69.370659565 3.80046978300004,69.3704965650001 3.80477378300003,69.3704885650001 3.80640278300007,69.370480565 3.80806078300003,69.3744085650001 3.95106878400003,69.3730155650001 3.98783178400004,69.373003565 3.98997878400007,69.3729955650001 3.99165678400004,69.3789395650001 4.20850478400007,69.381890565 4.24043878400005,69.3827155650001 4.27094978400004,69.4028685650001 4.48911978400002,69.4123495650001 4.54890778400005,69.414899565 4.57652878400006,69.449211565 4.79294478400004,69.4543125650001 4.81549278400007,69.4589345650001 4.84464378400003,69.4909595650001 4.98620778400004,69.4741765650001 5.08451178500007,69.4514075650001 5.30250178500006,69.450694565 5.32079478500003,69.413617565 5.44059078500004,69.362550565 5.65373278500005,69.3254435650001 5.86976678500002,69.3024695650001 6.08777378600007,69.293749565 6.30682878600004,69.2937385650001 6.30851178600005,69.293728565 6.31011978600003,69.299330565 6.52760878600003,69.300032565 6.53531878600006,69.3021215650001 6.61680278600005,69.3220185650001 6.83515878600002,69.3561685650001 7.05176078600005,69.4044495650001 7.26567978700007,69.466680565 7.47599578700004,69.489988565 7.53916178700007,69.5182275650001 7.71784578700004,69.571108565 7.88861678700005,69.595833333 7.95750000000004,70.2522222220001 8.09388888900003,72.0625000000001 7.81805555600005,72.707222222 7.71500000000003,72.825 7.70527777800004,73.0563888890001 7.68111111100006,73.327222222 7.65055555600003,73.642777778 7.69722222200005,74.4958333330001 7.80833333300006,74.9358333330001 7.85833333300008,75.1883333330001 7.42194444400008,75.201666667 7.40000000000003,75.271944444 7.25750000000005,75.4294444440001 6.85166666700007,75.641944444 6.55583333300007,75.6927777780001 6.47055555600002,76.6001938430001 5.24989749300005,76.6133333330001 5.23222222200008,76.634195322 5.20521484100004),(73.6372725690001 5.40944578500006,73.6296995690001 5.41860878500006,73.6222725690001 5.41833678500007,73.630390569 5.40360878500007,73.632481569 5.38763678500004,73.6372725690001 5.40944578500006),(72.9758185680001 4.89999978400004,72.968181568 4.87833678400006,72.9794275680001 4.89555478400007,72.9758185680001 4.89999978400004),(72.9425455680001 4.42589978400002,72.9562365680001 4.41930878400007,72.9617905680001 4.42874578400006,72.957218568 4.43832678400003,72.9498455680001 4.43971778400004,72.9425455680001 4.42589978400002),(73.4919185680001 4.16923678400002,73.504990568 4.16499978400003,73.505754568 4.17659978400008,73.4974815680001 4.17833678400007,73.4919185680001 4.16923678400002),(73.5813725690001 3.36805478300005,73.5838815690001 3.36639078300004,73.5871995690001 3.36778178300005,73.591372569 3.37277278300007,73.5908185690001 3.37694578300005,73.5869275690001 3.37639078300003,73.5835995690001 3.37444578300006,73.5816635690001 3.37221778300005,73.5813725690001 3.36805478300005),(72.9749905680001 3.10249978300004,72.9780455680001 3.10166378300005,72.982209568 3.10194578300008,72.9849815680001 3.10444578300007,72.9849815680001 3.10833678300003,72.9827545680001 3.11083678300002,72.9780455680001 3.11028178300006,72.973872568 3.10805478300006,72.9727635680001 3.10471778300007,72.9749905680001 3.10249978300004),(72.8633905680001 2.96659978300005,72.872309568 2.95854578300003,72.8702545680001 2.96916378300006,72.8633905680001 2.96659978300005),(73.5853995690001 2.96562678300006,73.5776275690001 2.95100878300002,73.586109569 2.96166378300006,73.5853995690001 2.96562678300006),(73.3506815680001 2.43805478200005,73.3652545680001 2.38416378200003,73.3687275680001 2.40763678200005,73.363599568 2.42305478200007,73.3544275680001 2.43721778200006,73.3506815680001 2.43805478200005),(73.5515095690001 1.93666378200004,73.5419275680001 1.89124578200006,73.550536568 1.89819078200003,73.554154569 1.91971778200002,73.5533185690001 1.93249978200004,73.5515095690001 1.93666378200004),(73.5079725680001 0.390417780000064,73.510127568 0.380481780000025,73.513609568 0.387781780000068,73.5079725680001 0.390417780000064),(73.095745568 0.221108780000066,73.1067905680001 0.214163780000035,73.101236568 0.229163780000022,73.0955365680001 0.228054780000036,73.095745568 0.221108780000066),(73.429772568 -0.285900219999974,73.4460185680001 -0.305000219999954,73.4424725680001 -0.286318219999941,73.4352545680001 -0.28360921999996,73.429772568 -0.285900219999974),(73.0894275680001 -0.603473220999945,73.115199568 -0.641663220999931,73.1094185680001 -0.620000220999941,73.0991545680001 -0.602782220999927,73.1019275680001 -0.584309220999955,73.090609568 -0.585345220999955,73.0894275680001 -0.603473220999945)))', 'Maldives Exclusive Economic Zone', 'Maldives', 'Maldives', '', '39', '39', 'MDV', '8345', '', '920380801600', '8345', 'Y');

INSERT INTO eez (geom, name, country, sovereign, remarks, sov_id, eez_id, code, mrgid, date_chang, area_m2, mrgid_eez, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((67.887730563 -6.43934222599995,67.8877845630001 -6.43103222599996,67.8878105630001 -6.42737822599997,67.8966455630001 -6.20815622599997,67.919773563 -5.98998722599993,67.9570715630001 -5.77380522599998,68.008366563 -5.56053622499996,68.0734175630001 -5.35108622499996,68.1185615630001 -5.23336822499994,68.1266645630001 -5.20726122499997,68.2051315640001 -5.00252522499994,68.296708564 -4.80337322499997,68.400992564 -4.61064622399994,68.4930135640001 -4.46418422399995,68.5026155640001 -4.42398422399998,68.5076015640001 -4.40595122399998,68.5561535640001 -4.24589022399994,68.5706445640001 -4.20292022399997,68.5722235640001 -4.19835222399996,68.572370564 -4.19792322399996,68.650470564 -3.99320622399995,68.7416625640001 -3.79406322399996,68.7479725640001 -3.78235722399995,68.7517305640001 -3.77414822399993,68.855604564 -3.58142222299995,68.9717155640001 -3.39592822299994,69.0995615640001 -3.21844722299994,69.238591564 -3.04973022299993,69.2430905640001 -3.04494122299997,69.249399564 -3.03728522299997,69.3990125650001 -2.87803822299998,69.473029565 -2.80644822299996,69.4752245650001 -2.80439022299993,69.560769565 -2.72687322299993,69.651822565 -2.64998922299998,69.7336985650001 -2.58519222299998,69.9110875650001 -2.45819922199996,70.0962825650001 -2.34308622199995,70.2072115650001 -2.28379022199994,70.272319565 -2.30577222199997,70.889368566 -2.50073422199995,71.8355605670001 -2.77892222299994,71.9082895670001 -2.80010422299995,71.942900567 -2.80922822299993,72.4660975670001 -2.94658622299994,72.599959568 -2.98181322299996,73.1591985680001 -3.09117022299995,74.2628825690001 -3.30977622299997,74.5900965690001 -3.37455422299996,75.0369025700001 -3.46451722299997,75.0532385700001 -3.46749522299996,75.1527125700001 -3.62636822399998,75.25669457 -3.81929822399997,75.2656445700001 -3.83884822399995,75.2667705700001 -3.84093822399996,75.3580255700001 -4.04028522399994,75.4361495700001 -4.24519922399998,75.50079657 -4.45480322399993,75.55168057 -4.66820022499996,75.5885725700001 -4.88447522499996,75.60251657 -5.01835822499993,75.6026195700001 -5.01878922499998,75.6395465700001 -5.23505322499994,75.6623065700001 -5.45326322499994,75.6707895700001 -5.67248722499994,75.67080457 -5.67522722499996,75.6708125700001 -5.67685622499994,75.6649555700001 -5.89341022599996,75.64479957 -6.11183322599993,75.6403335700001 -6.13996122599997,75.66364457 -6.20084522599996,75.6876095700001 -6.27271322599995,75.729269571 -6.41246622599994,75.7302905710001 -6.41617922599994,75.7814175710001 -6.62942722599996,75.8185225710001 -6.84553022699993,75.841435571 -7.06356122699998,75.8500455710001 -7.28258622699997,75.8500695710001 -7.28659222699997,75.8500875710001 -7.28993022699996,75.8477745710001 -7.43352722699996,75.842264571 -7.58578322699998,75.822183571 -7.80396422699994,75.7878335710001 -8.02032522799993,75.7393475710001 -8.23394022799994,75.67692157 -8.44389122799993,75.60080657 -8.64928122799995,75.5113195700001 -8.84922822799996,75.4548705700001 -8.95968022899996,75.4079355700001 -9.04454722899993,75.2928695700001 -9.23106622899996,75.16571057 -9.40965722899995,75.0269955700001 -9.57955322899994,74.9366215700001 -9.67895922899993,74.8307585700001 -9.79091722899994,74.8286565700001 -9.79304122899993,74.8212015700001 -9.80054422899997,74.6611515700001 -9.95088522899994,74.4914495690001 -10.0904702299999,74.3128175690001 -10.21869923,74.126020569 -10.3350172299999,73.931863569 -10.4389272299999,73.888342569 -10.46002823,73.7294725690001 -10.53079123,73.5231275680001 -10.60858823,73.5208505680001 -10.6093622299999,73.5181085680001 -10.61029523,73.4347575680001 -10.63744723,73.304481568 -10.6752852299999,73.0895145680001 -10.7256222299999,72.8716295680001 -10.76186723,72.6517725680001 -10.78386323,72.4831625680001 -10.79099923,72.4807525680001 -10.79104123,72.428492567 -10.79155123,72.2075705670001 -10.78480923,71.9875625670001 -10.76370323,71.769429567 -10.7283212299999,71.554123567 -10.67881023,71.3425855660001 -10.61537923,71.135738566 -10.53829823,70.934485566 -10.44789523,70.7397045660001 -10.34455823,70.5522425660001 -10.2287322299999,70.3729155660001 -10.1009152299999,70.202500565 -9.96165622899997,70.0795775650001 -9.84743922899997,70.041139565 -9.83298022899993,69.884122565 -9.76321122899998,69.8386045650001 -9.74118622899994,69.644279565 -9.63727422899996,69.4573015650001 -9.52087922899995,69.2784815650001 -9.39250422899994,69.108594564 -9.25270722899995,69.107609564 -9.25179922899997,69.0944685640001 -9.24098422899993,69.040332564 -9.19229322899997,69.0390345640001 -9.19109922899997,68.932958564 -9.08916622899994,68.783104564 -8.92837522799994,68.6442495640001 -8.75811522799995,68.516984564 -8.57912422799996,68.4018515640001 -8.39217922799998,68.299334564 -8.19808922799996,68.2650835640001 -8.12549722799997,68.2090675640001 -7.99596122799994,68.133008563 -7.79013322699996,68.0706755630001 -7.57975922699995,68.057788563 -7.52273122699995,67.997086563 -7.31760922699993,67.948789563 -7.10358122699995,67.947308563 -7.09579322699994,67.913870563 -6.88275322699997,67.8988035630001 -6.73425522599996,67.893269563 -6.65502222599997,67.887730563 -6.43934222599995),(72.368736567 -7.26152722699993,72.3578995670001 -7.26965422699993,72.3762275670001 -7.29895422699997,72.4271995670001 -7.41416322699996,72.4325365670001 -7.43473622699997,72.438172567 -7.43624522699997,72.4871995680001 -7.38194522699996,72.4942815680001 -7.29916322699995,72.4915095680001 -7.28847322699994,72.4446905670001 -7.23347322699993,72.4622095670001 -7.26881822699994,72.4800545680001 -7.37700922699997,72.434345567 -7.42660022699994,72.4369185670001 -7.36028222699997,72.4369185670001 -7.34666322699997,72.4337275670001 -7.32805422699994,72.4249905670001 -7.31389122699994,72.368736567 -7.26152722699993)))', 'British Indian Ocean Territory Exclusive Economic Zone', 'British Indian Ocean Territory', 'United Kingdom', '', '180', '38', 'IOT', '8344', '', '641284378300', '8344', 'Y'),('SRID=4326;MULTIPOLYGON(((125.698375585 -8.10347519399994,125.784323837 -8.16169819199996,125.845319366 -8.24764647599994,125.981173085 -8.23101131899995,126.08098396 -8.21160366299995,126.178022304 -8.19496850699994,126.313876023 -8.19496850699994,126.395090047 -8.19685720999996,126.433094585 -8.19774103799995,126.483785219 -8.19683584599994,126.58835596 -8.19496850699994,126.760252461 -8.15892569399995,126.876698492 -8.12288284999994,126.876698564 -8.12288288299993,127.056912586 -8.20328606899994,127.156589289 -8.21775526599993,127.228809117 -8.22823878799994,127.392388055 -8.23101131899995,127.486653899 -8.34191228799995,127.586464774 -8.47499347599995,127.819356837 -8.79383378899996,127.882604455 -9.07201494099996,127.966551734 -9.44123912999993,127.979104145 -9.49644822799996,127.979675611 -9.49896169799996,127.979722212 -9.49916666399997,127.979672559 -9.49913187799996,127.979594584 -9.49907724799994,127.936116667 -9.46861666299998,127.933333621 -9.46666686399993,127.933333336 -9.46666666399994,127.81166668 -9.38138888299994,127.811666656 -9.38138889299995,126.006944614 -10.11111104,126.00694446 -10.1111111019999,126.00491303 -10.2151199489999,126.000128141 -10.460105413,126.000016259 -10.4658337289999,126.000015887 -10.465833905,125.999478621 -10.466088424,125.09245299 -9.46012400799998,125.092452571 -9.46012366799994,125.091987748 -9.45974624699994,125.092314606 -9.45951387499997,125.092314553 -9.45951366399993,125.108036365 -9.44833635199996,125.124690897 -9.43750000799997,125.129418178 -9.43529091399995,125.191090897 -9.43000000799998,125.201927272 -9.42722725799996,125.211645459 -9.42333635199998,125.223309084 -9.41444544499996,125.234990897 -9.39889091399994,125.28637274 -9.34833635199993,125.33027274 -9.31028181999994,125.352763647 -9.29541819499997,125.394709084 -9.27250000799995,125.404427272 -9.26833635199995,125.559145459 -9.21833635199994,125.783054553 -9.14721819499994,125.84554546 -9.13097272599998,125.867754553 -9.12916363299996,125.879699991 -9.13028181999994,125.891372741 -9.13250000799997,125.921099991 -9.13278181999993,125.943590897 -9.12694544499993,126.08664546 -9.03305453899998,126.114154554 -9.01278181999993,126.126372741 -9.00444544499993,126.143599991 -8.99444544499994,126.153318179 -8.99027272599994,126.16414546 -8.98750000799993,126.225809085 -8.98083635099994,126.239436366 -8.98083635099994,126.258609085 -8.98221819499997,126.324436366 -8.97555453899997,126.46164546 -8.95500000799996,126.474563648 -8.95110910099993,126.496372742 -8.93000000799998,126.520536367 -8.89972725699994,126.528054554 -8.88000000699998,126.532763648 -8.86444544499994,126.540263648 -8.85166363199994,126.581790898 -8.81125453899995,126.656090898 -8.77541819499993,126.699418179 -8.76694544499998,126.764427273 -8.75667272599998,126.776654554 -8.75528181999994,126.789699992 -8.75610910099994,126.887772742 -8.72889091399998,127.017345461 -8.68152725699997,127.063309086 -8.63555453799995,127.09331818 -8.60444544499995,127.126372742 -8.57583635099996,127.171372742 -8.53916363199994,127.253054555 -8.47750000699995,127.264581805 -8.47221819499993,127.304427274 -8.43360910099995,127.308590899 -8.42416363199993,127.308590899 -8.41055453799993,127.308354555 -8.40964544499997,127.303381805 -8.39694544499997,127.198590898 -8.33278181899993,127.004990898 -8.32444544399993,126.898609086 -8.36028181899997,126.878863648 -8.37458181899996,126.861099992 -8.38416363199997,126.771381804 -8.42416363199993,126.563027273 -8.48639091299998,126.550536367 -8.48778181999995,126.540263648 -8.48430910099995,126.518336367 -8.46527272599997,126.503327273 -8.45305453799995,126.49304546 -8.44971819499995,126.421918179 -8.42750000699994,126.410263648 -8.42528181999995,126.356372741 -8.42847272599994,126.344990898 -8.44110910099994,126.337490898 -8.44778181999993,126.285536366 -8.47750000699995,126.231936366 -8.49916363199998,126.220263648 -8.50139091299997,126.076390897 -8.52444544499997,126.041090897 -8.52472725699994,126.021654554 -8.52028181999998,125.98664546 -8.50055453799996,125.965554554 -8.49444544499994,125.938027272 -8.48778181999995,125.907763647 -8.48360910099996,125.888599991 -8.48221819499997,125.856372741 -8.48028181999996,125.84414546 -8.48166363199994,125.827763647 -8.48583635099993,125.81804546 -8.48971819499997,125.805818178 -8.49805453799996,125.79694546 -8.50278181999994,125.787199991 -8.50667272599998,125.724990897 -8.52639091299994,125.708327272 -8.53055453799993,125.606936366 -8.54278181999996,125.424145459 -8.57194544499993,125.229427272 -8.60971819499997,125.21859999 -8.61250000699994,125.145263647 -8.63472725699995,125.136936365 -8.64028181999993,125.126645459 -8.65055453799994,125.124109084 -8.65420000699993,125.118318178 -8.66250000699995,125.109418178 -8.68083635099993,125.106090897 -8.69110910099994,125.100536365 -8.71278181999998,125.094990897 -8.74110910099995,125.093045459 -8.75944544499993,124.970545459 -8.93471819499996,124.967853771 -8.93694269499997,124.964807876 -8.93298005799994,124.923917053 -8.87978206999998,124.878827811 -8.82181017199997,124.872163271 -8.81324147599997,124.835196271 -8.75779097599997,124.820409459 -8.70973388199997,124.846286365 -8.67646360099997,124.890646771 -8.62840650699997,124.953490646 -8.57665272599996,124.988030027 -8.55430370699997,125.016334553 -8.53598900699996,125.134628928 -8.48793191299995,125.167795445 -8.47371769399996,125.23813649 -8.44357153799996,125.279535833 -8.42494182699994,125.31207049 -8.41030122599994,125.31207054 -8.41030090099997,125.31477549 -8.39244823699994,125.33055399 -8.28831016299995,125.335739396 -8.24423424599996,125.337947397 -8.22546625699994,125.335152948 -8.18774124399994,125.33055399 -8.12565538199993,125.33055399 -8.06281150699994,125.339205149 -8.03512780399996,125.349037491 -8.00366431899994,125.364506503 -7.99206254799998,125.378611084 -7.98148409999993,125.433571852 -7.97598803999995,125.452545053 -7.97409072499994,125.483261463 -7.98107172699997,125.533872459 -7.99257422499994,125.607806428 -8.03323791299994,125.698375585 -8.10347519399994),(125.535809084 -8.31028181899995,125.572490897 -8.31791819399996,125.583745459 -8.31624544399995,125.592481803 -8.30750000699993,125.597490897 -8.29860910099995,125.647490897 -8.15004544399994,125.645399991 -8.14028181899994,125.615963647 -8.14000000699997,125.524699991 -8.23000000699994,125.498745459 -8.26541819399995,125.497618178 -8.27721819399994,125.526090897 -8.30610910099995,125.535809084 -8.31028181899995)))', 'East Timor Exclusive Economic Zone', 'East Timor', 'East Timor', '', '231', '231', 'TLS', '8758', '2008-11-19', '40120544790', '8758', 'Y'),('SRID=4326;MULTIPOLYGON(((128.20282573 -10.4647071639999,128.201188889 -10.465252778,127.967855556 -10.748586111,127.784522222 -10.915252778,127.531855153 -11.2153179549999,127.517855556 -11.231919444,126.951225 -11.281927778,126.801225 -11.3152611109999,126.539593852 -11.330651179,126.53625328 -11.3308476829999,126.535542173 -11.3308895129999,126.531079383 -11.3311520299999,126.001225 -10.46526111,126.000016259 -10.4658337289999,126.000128141 -10.460105413,126.00491303 -10.2151199489999,126.00694446 -10.1111111019999,126.006944614 -10.11111104,127.811666656 -9.38138889299995,127.81166668 -9.38138888299994,127.933333336 -9.46666666399994,127.933333621 -9.46666686399993,127.936116667 -9.46861666299998,127.979594584 -9.49907724799994,127.979672559 -9.49913187799996,127.984872193 -9.52163049599994,127.994781141 -9.56450613799996,128.202650561 -10.463949214,128.202825517 -10.4647062409999,128.202825528 -10.4647062889999,128.20282573 -10.4647071639999)))', 'Joint Development Area Australia - East Timor', 'Australia - East Timor', 'Joint Development', '', '0', '238', '-', '21795', '2008-11-19', '34955559620', '21795', 'Y'),('SRID=4326;MULTIPOLYGON(((142.23668056 -9.19128055999994,142.27501389 -9.22989166999997,142.34575971 -9.26623560999997,142.34584722 -9.26628055999993,142.49560404 -9.36611852999994,142.49584722 -9.36628055999995,142.525825 -9.36183332999997,142.55888056 -9.37433332999996,142.59249167 -9.35544443999993,142.69638056 -9.33766666999998,142.73249167 -9.33627777999993,142.80610278 -9.32238888999996,142.80650363 -9.32231320999995,142.807979668 -9.32257802899994,142.809852619 -9.32298741999995,142.811708602 -9.32346703799993,142.813544949 -9.32401619399997,142.81535902 -9.32463409899998,142.817148209 -9.32531986399994,142.818909943 -9.32607250399997,142.820641689 -9.32689093699997,142.822340959 -9.32777398699994,142.824005309 -9.32872038399995,142.825632348 -9.32972876799994,142.827219735 -9.33079768899995,142.828765189 -9.33192561099997,142.830266488 -9.33311091299993,142.831721473 -9.33435189099993,142.833128053 -9.33564676099996,142.834484205 -9.33699366199994,142.835805273 -9.33832254299995,142.837075708 -9.33969927099997,142.838293753 -9.34112194599993,142.839457723 -9.34258860099993,142.840566011 -9.34409720999997,142.841617083 -9.34564568899998,142.842609488 -9.34723189699997,142.843541852 -9.34885364399997,142.844412886 -9.35050868699994,142.845221387 -9.35219474099995,142.845966235 -9.35390947499997,142.846646401 -9.35565051999993,142.847260942 -9.35741546999998,142.847774794 -9.35875182899997,142.848250131 -9.36010217499995,142.848686563 -9.36146541599993,142.849247474 -9.36309780799996,142.849751633 -9.36474836099995,142.850198442 -9.36641513099994,142.850587375 -9.36809615199996,142.850917972 -9.36978944199996,142.851189842 -9.37149300499993,142.851402663 -9.37320483399998,142.851556185 -9.37492290899996,142.851746978 -9.37664340299995,142.851877974 -9.37836940299997,142.851949017 -9.38009885999998,142.851960021 -9.38182972099997,142.851946034 -9.38370091799993,142.85186188 -9.38557029899994,142.851707673 -9.38743527099996,142.851483627 -9.38929324399993,142.851190052 -9.39114164199998,142.85110278 -9.39158311999995,142.85110278 -9.39294443999995,142.8511028 -9.67349920499993,142.8511028 -9.67349964799996,142.8511028 -9.67349999999993,142.596690001 -9.68715135799994,142.437924875 -9.69567042499995,142.403852188 -9.69747541499993,142.3844583 -9.69850279999997,142.351937521 -9.70418784299994,142.251024088 -9.72177789199998,142.0594583 -9.75516939999994,142.05945833 -9.26120618999994,142.05945833 -9.26044721999995,142.10806944 -9.21239166999993,142.143625 -9.19600277999996,142.17279167 -9.19794721999995,142.216125 -9.18794721999996,142.23668056 -9.19128055999994)))', 'Protected Zone established under the Torres Strait Treaty', 'Australia - Papua New Guinea', 'Australia - Papua New Guinea', '', '0', '239', '-', '21798', '', '3946953362', '21798', 'Y'),('SRID=4326;MULTIPOLYGON(((126.201225 -11.4319277779999,126.001225 -11.515261111,125.788655714 -11.6003006349999,125.788579998 -11.600330926,125.751238889 -11.615269444,125.574448211 -11.685985715,125.417905556 -11.748602778,125.334572222 -11.7819361109999,125.082662363 -11.7052678919999,124.951238889 -11.6652694439999,124.567905556 -11.565269444,124.451238889 -11.515269444,124.434572222 -11.515269444,123.967905556 -11.565269444,123.955565399 -11.5590993659999,123.934572222 -11.548602778,123.707108217 -11.5352225419999,123.367905556 -11.515269444,123.347478696 -11.520376159,123.301238889 -11.5319361109999,123.279035183 -11.5374870369999,123.279035655 -11.5374865649999,123.279035818 -11.537486402,123.43458333 -11.38193889,123.66791667 -11.46527222,124.00125 -11.43193889,124.16791667 -11.41527222,124.56790556 -11.11526944,125.31790556 -11.0152694399999,125.68457222 -10.61526944,125.999011036 -10.466309934,125.999478231 -10.4660886089999,125.999478621 -10.466088424,126.000015887 -10.465833905,126.000016259 -10.4658337289999,126.001225 -10.46526111,126.531079383 -11.3311520299999,126.519013099 -11.3318616999999,126.519013061 -11.3318618129999,126.519012847 -11.331861826,126.517891667 -11.331927778,126.497620345 -11.338684885,126.497610911 -11.33868803,126.467891667 -11.348594444,126.34637776 -11.3865675399999,126.201225 -11.4319277779999)),((132.00736923 -9.48528410499995,131.951183333 -9.51524999999998,131.90395406 -9.53414170899993,131.903936009 -9.53414892899997,131.86785 -9.54858333299995,131.71785 -9.59858333299997,131.658318901 -9.61842703299993,131.51785 -9.66524999999996,131.473299338 -9.69495044099995,131.473296596 -9.69495226899994,131.46785 -9.69858333299993,131.027845369 -9.76525070199995,130.91785 -9.78191666699996,130.91784979 -9.78191663199993,130.71785 -9.74858333299994,130.419120327 -9.70014159199997,130.418976891 -9.70011833299998,130.101188889 -9.64858611099993,129.501188889 -9.74858611099995,129.160707917 -9.91295623499997,129.160536885 -9.91303880199996,129.017855556 -9.98191944399997,128.301188889 -10.431919444,128.26398026 -10.444322321,128.230945525 -10.455333899,128.226511082 -10.456812047,128.20282573 -10.4647071639999,128.202825528 -10.4647062889999,128.202825517 -10.4647062409999,128.202650561 -10.463949214,127.994781141 -9.56450613799996,127.984872193 -9.52163049599994,127.979672559 -9.49913187799996,127.979722212 -9.49916666399997,127.979675611 -9.49896169799996,127.979104145 -9.49644822799996,127.966551734 -9.44123912999993,127.966552007 -9.44123895599995,127.966553748 -9.44123764999995,127.966677583 -9.44114477799997,127.977999625 -9.43265356499995,128.001159656 -9.41528419399998,128.001218363 -9.41524016499994,128.01338169 -9.41524011599995,130.167875691 -9.41523154699996,133.234523097 -8.89855154899993,133.384511949 -8.88188107499997,132.767838889 -9.09858888899993,132.688315457 -9.14752638499994,132.688291096 -9.14754137699998,132.551172222 -9.23192222199998,132.501172222 -9.26525555599994,132.334505556 -9.33192222199995,132.201172222 -9.38192222199996,132.00736923 -9.48528410499995)))', 'Area of overlap between Australian Seabed Jurisdiction and Indonesian Exclusive Economic Zone Jurisdiction', 'Australia/Indonesia', 'Australia/Indonesia', '', '0', '251', '-', '26555', '2012-10', '46141810320', '26555', 'Y'),('SRID=4326;MULTIPOLYGON(((51.4027061460001 41.04899025,51.435874939 40.9850215910001,51.5275383000001 40.8091201780001,51.5289363860001 40.765556335,51.529909134 40.737148285,51.5310440060001 40.705924988,51.5356330870001 40.586317062,51.5369701390001 40.5710887910001,51.5380992890001 40.485191345,51.540315628 40.337078094,51.5428524020001 40.1914615630001,51.5484809880001 39.9109420780001,51.5065441130001 39.349039078,51.497131348 39.2258853910001,51.478010178 38.969467163,51.403982162 38.7310237880001,51.3148784640001 38.7364463810001,51.0694026950001 38.751768112,50.8727569580001 38.7647399900001,50.838670731 38.767122269,50.810079575 38.755327225,50.6635913850001 38.694616318,50.4931259160001 38.6248855590001,50.4659118650001 38.6138381960001,50.3608264920001 38.5825862880001,50.354488373 38.5807189940001,50.116771698 38.511381149,50.0712394710001 38.48985672,49.8759689330001 38.3984661100001,49.8626308440001 38.392175674,49.857791901 38.3899192810001,49.773866653 38.350465775,49.755878448 38.344993591,49.7408370970001 38.3528976440001,49.671611786 38.387060165,49.5470829010001 38.449857712,49.449548721 38.4985084530001,49.4423198700001 38.502164841,49.065795898 38.479566574,48.9903526310001 38.4736614230001,48.92827034 38.4704380040001,48.927936554 38.4703998570001,48.8946743010001 38.4608631130001,48.8818493380001 38.4540499730001,48.8711568780001 38.4483697050001,48.8719363640001 38.5691545450001,48.8666545450001 38.745827273,48.8866545450001 38.8772090910001,48.9083181820001 38.901309091,48.9341545450001 38.9541545450001,48.952418182 39.0249909090001,48.932627273 39.0520000000001,48.9324909090001 39.1136000000001,48.9642181820001 39.175681818,49.0028363640001 39.1886636360001,49.0438727270001 39.1795727270001,49.145818182 39.0933909090001,49.148463636 39.0687363640001,49.1397181820001 39.047490909,49.122772727 39.0263727270001,49.105545455 39.0161000000001,49.059636364 39.0070000000001,49.0605454550001 38.969154545,49.084563636 38.964154545,49.1342909090001 38.9752636360001,49.159009091 38.986381818,49.2007454550001 39.025754545,49.203609091 39.037490909,49.2026272730001 39.0498545450001,49.2411000000001 39.2874818180001,49.255127273 39.3148545450001,49.273872727 39.3345727270001,49.2937454550001 39.342763636,49.319018182 39.339154545,49.346218182 39.3252272730001,49.395545455 39.3502636360001,49.4105363640001 39.3866545450001,49.376381818 39.4138727270001,49.345754545 39.430336364,49.299436364 39.467063636,49.283745455 39.4904727270001,49.319163636 39.6245000000001,49.3873545450001 39.688872727,49.3969363640001 39.7472090910001,49.4266545450001 39.899709091,49.45 39.9649909090001,49.4552727270001 40.0149909090001,49.4264454550001 40.0514454550001,49.494018182 40.1555363640001,49.5177727270001 40.1741636360001,49.569163636 40.211372727,49.8474818180001 40.322218182,49.960818182 40.3488727270001,50.128609091 40.3577727270001,50.2199818180001 40.3386,50.2595818180001 40.329854545,50.3098545450001 40.3068000000001,50.3493 40.2738818180001,50.3749909090001 40.262218182,50.3672090910001 40.3338818180001,50.3612454550001 40.3629090910001,50.351936364 40.3811000000001,50.3338818180001 40.4033181820001,50.2337454550001 40.491936364,50.0327727270001 40.575554545,50.0000000000001 40.5859727270001,49.9730363640001 40.5894363640001,49.924436364 40.5837363640001,49.8666545450001 40.5672090910001,49.828609091 40.562481818,49.804990909 40.5647090910001,49.7119363640001 40.579018182,49.5738818180001 40.6277636360001,49.528045455 40.6627636360001,49.510063636 40.688181818,49.5141545450001 40.7211,49.5354 40.7674909090001,49.528745455 40.791236364,49.4958181820001 40.8202636360001,49.4708272730001 40.829854545,49.4316545450001 40.832909091,49.405263636 40.844845455,49.2513909090001 40.9872090910001,49.227354545 41.0123545450001,49.2063818180001 41.0391636360001,49.1927545450001 41.0611000000001,49.1549818180001 41.1516454550001,49.140818182 41.2297090910001,49.139709091 41.264854545,49.0360909090001 41.4179,49.0166545450001 41.4309545450001,48.991790909 41.440681818,48.9008909090001 41.5252,48.883181818 41.5604090910001,48.858327273 41.5969272730001,48.7808272730001 41.679436364,48.724990909 41.7377636360001,48.675272727 41.784436364,48.592419115 41.8444465210001,48.598165512 41.85541153,48.6032829280001 41.8702831270001,48.609922409 41.887020111,48.6305656430001 41.908903122,48.6307849880001 41.909152985,48.6563282010001 41.940992355,48.658018112 41.9430046080001,48.6616077420001 41.947107315,48.836305618 42.1568679810001,48.871706009 42.2000274660001,48.907737732 42.244548798,48.9491291050001 42.2962703700001,49.0406970980001 42.411912918,49.488710403 43.017263412,49.505123138 43.039531708,49.7169132230001 42.9061508180001,49.7496929170001 42.885585785,49.7609710690001 42.8645553590001,49.8312835690001 42.7393894200001,49.833375931 42.7358760830001,49.864006042 42.6846485140001,49.8662414550001 42.6808967590001,49.8880844120001 42.644065857,49.8970279690001 42.6301155090001,49.9663753510001 42.522844315,50.005865097 42.471904755,50.0439205170001 42.4230041500001,50.1925621030001 42.2327594760001,50.2534313200001 42.1557407380001,50.3967456820001 41.9929981230001,50.651428223 41.8730010990001,50.657669067 41.8700428010001,50.800672531 41.8026599880001,50.8410663600001 41.786848068,50.8518848420001 41.782581329,50.9663600920001 41.73707962,50.988414764 41.7216033940001,51.03730011 41.6364269260001,51.0428142550001 41.6268653870001,51.157300949 41.42742157,51.2623634340001 41.263847351,51.3252258300001 41.1668643950001,51.3743114470001 41.091817856,51.4027061460001 41.04899025)))', 'Azerbaijanis Exclusive Economic Zone', 'Azerbaijan', 'Azerbaijan', '', '233', '241', 'AZE', '26524', '2011-03-30', '77059317960', '26524', 'Y'),('SRID=4326;MULTIPOLYGON(((52.4417219850001 41.7402905380001,52.4414485560001 41.739933691,52.2629413600001 41.5069675450001,52.2566814420001 41.5036640170001,52.21380043 41.480810165,52.0906581880001 41.4164428710001,51.955533981 41.344839096,51.4027061460001 41.04899025,51.3743114470001 41.091817856,51.3252258300001 41.1668643950001,51.2623634340001 41.263847351,51.157300949 41.42742157,51.0428142550001 41.6268653870001,51.03730011 41.6364269260001,50.988414764 41.7216033940001,50.9663600920001 41.73707962,50.8518848420001 41.782581329,50.8410663600001 41.786848068,50.800672531 41.8026599880001,50.657669067 41.8700428010001,50.651428223 41.8730010990001,50.3967456820001 41.9929981230001,50.2534313200001 42.1557407380001,50.1925621030001 42.2327594760001,50.0439205170001 42.4230041500001,50.005865097 42.471904755,49.9663753510001 42.522844315,49.8970279690001 42.6301155090001,49.8880844120001 42.644065857,49.8662414550001 42.6808967590001,49.864006042 42.6846485140001,49.833375931 42.7358760830001,49.8312835690001 42.7393894200001,49.7609710690001 42.8645553590001,49.7496929170001 42.885585785,49.7169132230001 42.9061508180001,49.505123138 43.039531708,49.4518203740001 43.0771789550001,49.421380997 43.098587036,49.3756942750001 43.1389179230001,49.3430194850001 43.1720924380001,49.3406925200001 43.1743736270001,49.15435791 43.3678741460001,49.1515350340001 43.370819092,49.101816177 43.4228382110001,49.059949875 43.637098312,48.951732635 44.185350418,48.927448273 44.307006836,48.9034996030001 44.4216690060001,48.887729645 44.4823055270001,48.894834518 44.490665436,48.9253177640001 44.527349472,49.036846161 44.6627902980001,49.1202850340001 44.7646789550001,49.4075984950001 45.0919666290001,49.5257625580001 45.2257175450001,49.588565826 45.297233582,49.5999946590001 45.311906815,49.6825561520001 45.3778686520001,49.477266312 45.7346572880001,49.4684791560001 45.749830246,49.347267151 45.9574584960001,49.3316516880001 45.984823227,49.2697143550001 46.0900230410001,49.24606514 46.1274566650001,49.2402839660001 46.137073517,49.2274894710001 46.1568584440001,49.2257423400001 46.159740448,49.2162113190001 46.174324036,49.222112656 46.1942863460001,49.2302513120001 46.226852417,49.2355442050001 46.2422294620001,49.2308535670001 46.267356299,49.296036364 46.257972727,49.257218182 46.2902727270001,49.2313 46.311581818,49.222527273 46.3463090910001,49.2166636360001 46.3780363640001,49.253609091 46.423327273,49.2808272730001 46.4386000000001,49.325272727 46.406936364,49.3684636360001 46.394881818,49.387218182 46.4933181820001,49.3241545450001 46.5649909090001,49.4010909090001 46.5391636360001,49.454163636 46.510818182,49.5630454550001 46.5299818180001,49.6200545450001 46.5749909090001,49.7726272730001 46.561927273,49.8266545450001 46.5602636360001,49.935818182 46.6019272730001,50.0680545450001 46.6761000000001,50.145545455 46.735827273,50.192218182 46.7575000000001,50.2215818180001 46.7609,50.2972181820001 46.7986090910001,50.363327273 46.8502727270001,50.432772727 46.9008909090001,50.521663636 46.872218182,50.612772727 46.907490909,50.6519272730001 46.9266545450001,50.7097181820001 46.9463818180001,50.7322090910001 46.9266545450001,50.7863818180001 46.9397090910001,50.8194454550001 46.981936364,50.844154545 47.0080454550001,50.9743 47.058881818,51.010554545 47.0686000000001,51.1941545450001 47.114990909,51.2208272730001 47.1136090910001,51.2480454550001 47.105827273,51.288045455 47.0952727270001,51.3591636360001 47.0819363640001,51.5269363640001 47.0552636360001,51.6349909090001 47.0425000000001,51.682072727 46.9893000000001,51.6838090910001 46.959154545,51.7179727270001 46.939481818,51.7799181820001 46.903809091,51.867490909 46.885272727,52.091036364 46.814781818,52.173209091 46.8054636360001,52.205554545 46.802772727,52.239990909 46.802490909,52.418536364 46.9500545450001,52.4298545450001 46.986590909,52.4543 46.995681818,52.5502000000001 46.975336364,52.5725 46.954854545,52.6287454550001 46.9438818180001,52.760272727 46.9411000000001,52.865827273 46.9519363640001,52.9344363640001 46.9341545450001,53.059227273 46.888672727,53.088045455 46.8422181820001,53.0963818180001 46.8111000000001,53.1008272730001 46.7783272730001,53.1741636360001 46.7233272730001,53.1941545450001 46.715,53.2081909090001 46.6836000000001,53.206245455 46.6433272730001,53.0911 46.5533181820001,53.049718182 46.5436090910001,53.0329090910001 46.5540181820001,53.0069454550001 46.529990909,53.0015909090001 46.4822090910001,53.0366636360001 46.482627273,53.063327273 46.4594363640001,53.1269363640001 46.393054545,53.1463818180001 46.370127273,53.158045455 46.3377727270001,53.164290909 46.3144363640001,53.1577727270001 46.2738818180001,53.1065181820001 46.082909091,53.0826000000001 46.0033636360001,52.9602727270001 45.830554545,52.9316636360001 45.7991636360001,52.911936364 45.789436364,52.878318182 45.7779727270001,52.746518182 45.6440272730001,52.7372090910001 45.5849909090001,52.7330454550001 45.549436364,52.747627273 45.518890909,52.8927727270001 45.4608272730001,53.1358272730001 45.381663636,53.159990909 45.3755454550001,53.188327273 45.3713727270001,53.228045455 45.3377727270001,53.1048545450001 45.298472727,52.8483272730001 45.3263818180001,52.7658272730001 45.3388818180001,52.6244363640001 45.3749909090001,52.5411090910001 45.4026272730001,52.5183272730001 45.4063818180001,52.483327273 45.4083272730001,52.0774909090001 45.3794363640001,51.948609091 45.365272727,51.9280454550001 45.364436364,51.787981818 45.4037363640001,51.7238727270001 45.4027727270001,51.703609091 45.3894363640001,51.5958272730001 45.3376272730001,51.566663636 45.3333272730001,51.5061000000001 45.3322181820001,51.4752636360001 45.3352727270001,51.451663636 45.353190909,51.405263636 45.3705454550001,51.3080454550001 45.250827273,51.248327273 45.1658181820001,51.242490909 45.0997181820001,51.182772727 45.0599909090001,51.021245455 44.9930454550001,50.962145455 44.973254545,50.947209091 44.954709091,50.9624181820001 44.851936364,51.001109091 44.826945455,51.023609091 44.8147090910001,51.0694363640001 44.793327273,51.1130545450001 44.778045455,51.158045455 44.759163636,51.206654545 44.736381818,51.226654545 44.722763636,51.2461000000001 44.7030454550001,51.2815181820001 44.628118182,51.2936090910001 44.603327273,51.3162454550001 44.5906818180001,51.365681818 44.596245455,51.398809091 44.6068000000001,51.436518182 44.605545455,51.549718182 44.5472181820001,51.573672727 44.5270727270001,51.560618182 44.5112454550001,51.4291636360001 44.5119363640001,51.375827273 44.5177727270001,51.148609091 44.4788727270001,51.1316545450001 44.4811,51.087209091 44.4941545450001,51.0397181820001 44.5115272730001,50.992772727 44.5322181820001,50.9197181820001 44.596245455,50.9033181820001 44.6116636360001,50.873327273 44.6259636360001,50.785027273 44.6286000000001,50.6936000000001 44.6155454550001,50.5286 44.6274909090001,50.385272727 44.6408272730001,50.306236364 44.6533272730001,50.239436364 44.5763818180001,50.2308181820001 44.4994363640001,50.229154545 44.3974909090001,50.2325636360001 44.3680454550001,50.2834636360001 44.3283272730001,50.3883272730001 44.3011000000001,50.4474909090001 44.2891636360001,50.5133272730001 44.2863818180001,50.5894363640001 44.278045455,50.6704090910001 44.266109091,50.7238727270001 44.252218182,50.7505454550001 44.241936364,50.8258272730001 44.206663636,50.842763636 44.1886000000001,50.8518 44.163745455,50.900545455 44.0069454550001,51.0174909090001 43.8074909090001,51.0286 43.7897181820001,51.1122090910001 43.6613727270001,51.1550636360001 43.617627273,51.2102727270001 43.6136090910001,51.268745455 43.5548545450001,51.317772727 43.4419363640001,51.322772727 43.412490909,51.3188818180001 43.3536090910001,51.3149909090001 43.298881818,51.2950000000001 43.247772727,51.2763818180001 43.217209091,51.2635363640001 43.1781909090001,51.268463636 43.151654545,51.290136364 43.1451363640001,51.314718182 43.1494363640001,51.421936364 43.163045455,51.6520727270001 43.1824909090001,51.6727636360001 43.1686,51.7818 43.0093000000001,51.785690909 42.9847181820001,51.7943000000001 42.9649909090001,51.831245455 42.9077727270001,51.897145455 42.8451272730001,51.951172727 42.8386727270001,51.978045455 42.8511090910001,52.0024909090001 42.8586000000001,52.0911818180001 42.881863636,52.172490909 42.883609091,52.2027727270001 42.8730454550001,52.343045455 42.8258272730001,52.384163636 42.8322181820001,52.423327273 42.8326363640001,52.4661 42.825554545,52.507218182 42.8169363640001,52.5511090910001 42.8068000000001,52.5758272730001 42.798881818,52.6116636360001 42.781936364,52.7333181820001 42.712936364,52.745618182 42.649154545,52.719709091 42.586109091,52.6375 42.4186,52.594709091 42.335263636,52.566518182 42.299781818,52.4663818180001 42.1869363640001,52.4379000000001 42.177490909,52.405545455 42.0913818180001,52.432218182 41.996381818,52.4556181820001 41.9779090910001,52.4720727270001 41.9644363640001,52.4818000000001 41.943463636,52.493672727 41.900545455,52.489436364 41.8794363640001,52.470545455 41.8491636360001,52.432281818 41.759509091,52.440072727 41.740936364,52.4417219850001 41.7402905380001)))', 'Kazakh Exclusive Economic Zone', 'Kazakhstan', 'Kazakhstan', '', '235', '242', 'KAZ', '26522', '2011-03-30', '119012935600', '26522', 'Y'),('SRID=4326;MULTIPOLYGON(((53.9062345310001 37.3487924730001,53.9057354620001 37.348777007,53.7428436280001 37.3437290190001,53.4972782140001 37.299749374,53.485897064 37.307859421,53.475160599 37.315937042,53.466316223 37.3224105830001,53.4047584530001 37.3707370760001,53.4013290410001 37.372709274,53.3899497990001 37.379173279,53.388690948 37.3799343110001,53.3359680180001 37.4123058320001,53.3200340270001 37.4227905270001,53.2986412050001 37.43825531,53.2919788360001 37.4431324010001,53.264461517 37.4635391240001,53.2489070890001 37.475503922,53.2304821010001 37.4875106810001,53.2073554990001 37.5027637480001,53.200782776 37.5072479250001,53.190402985 37.514410019,53.1831054690001 37.518768311,53.1277236940001 37.555469513,53.0803260800001 37.587553024,53.0253047940001 37.624492645,53.012269974 37.633321762,52.99971199 37.642356873,52.956703186 37.672836304,52.9226512910001 37.6979465480001,52.902633667 37.7132892610001,52.897546768 37.7172756200001,52.887678146 37.7241630550001,52.867570877 37.737918854,52.836921692 37.7593574520001,52.786849976 37.79539299,52.7804279330001 37.799928665,52.7556724550001 37.8175277710001,52.7262306210001 37.8388671880001,52.717552185 37.845197678,52.658569336 37.887458801,52.636650085 37.905099869,52.5969944 37.93683815,52.5914154050001 37.9412307740001,52.551292419 37.972999573,52.5174942020001 38.002464294,52.4854450230001 38.030694962,52.481903076 38.0336189270001,52.48000145 38.0352211000001,52.472200394 38.0366230010001,52.4636268620001 38.038208008,52.3790531160001 38.0556392670001,52.358242035 38.060144424,52.331420898 38.0676803590001,52.2902069090001 38.0795021060001,52.2376518250001 38.094718933,52.2196140290001 38.1000366210001,52.0909481050001 38.137704849,52.035282135 38.1544017790001,52.0035114290001 38.164907455,51.9988174440001 38.166482925,51.9690628050001 38.176753998,51.909276962 38.1976776120001,51.908903122 38.197893143,51.902812958 38.201423645,51.862430573 38.2270145420001,51.6939353940001 38.344964981,51.6595668790001 38.3689460750001,51.627344131 38.3915367130001,51.6047801970001 38.4138870240001,51.5172996520001 38.556043625,51.5082511900001 38.570652008,51.442623138 38.6759395600001,51.4331588750001 38.689397812,51.403982162 38.7310237880001,51.478010178 38.969467163,51.497131348 39.2258853910001,51.5065441130001 39.349039078,51.5484809880001 39.9109420780001,51.5428524020001 40.1914615630001,51.540315628 40.337078094,51.5380992890001 40.485191345,51.5369701390001 40.5710887910001,51.5356330870001 40.586317062,51.5310440060001 40.705924988,51.529909134 40.737148285,51.5289363860001 40.765556335,51.5275383000001 40.8091201780001,51.435874939 40.9850215910001,51.4027061460001 41.04899025,51.955533981 41.344839096,52.0906581880001 41.4164428710001,52.21380043 41.480810165,52.2566814420001 41.5036640170001,52.2629413600001 41.5069675450001,52.4414485560001 41.739933691,52.4417219850001 41.7402905380001,52.4822090910001 41.724436364,52.5651363640001 41.680272727,52.5917272730001 41.638745455,52.5867272730001 41.5827,52.5687454550001 41.546381818,52.558881818 41.5181181820001,52.5883272730001 41.497218182,52.634718182 41.474436364,52.6938818180001 41.4411000000001,52.7140181820001 41.425272727,52.760963636 41.3743000000001,52.800445455 41.2716090910001,52.8205090910001 41.2198909090001,52.824163636 41.2051909090001,52.849436364 41.108190909,52.8502727270001 41.074509091,52.881863636 41.0495727270001,52.908945455 41.106590909,52.876781818 41.2134363640001,52.868736364 41.2227363640001,52.856436364 41.2496454550001,52.8472363640001 41.295536364,52.8212454550001 41.400963636,52.8327727270001 41.4268000000001,52.8541636360001 41.467209091,52.8748545450001 41.5093000000001,52.902763636 41.5776363640001,52.9173545450001 41.669154545,52.875827273 41.6999909090001,52.8204818180001 41.697072727,52.8388818180001 41.7786,52.9486000000001 41.9752636360001,52.9652727270001 41.993881818,53.0963818180001 42.0744363640001,53.150409091 42.0952727270001,53.190127273 42.0894363640001,53.2272090910001 42.079163636,53.281936364 42.0716545450001,53.3033181820001 42.075,53.473045455 42.109436364,53.630818182 42.1408272730001,53.659854545 42.142909091,53.7694363640001 42.1299909090001,53.8112454550001 42.1216545450001,53.853736364 42.1022181820001,53.8976363640001 42.0693000000001,53.911936364 42.0461727270001,53.9166636360001 42.001663636,53.936381818 41.8747090910001,53.9561 41.8500000000001,53.991381818 41.798736364,54.025409091 41.7152727270001,54.0233272730001 41.6602727270001,54.0194363640001 41.6056818180001,54.032490909 41.552490909,54.0423545450001 41.5231818180001,54.0735363640001 41.4758181820001,54.299990909 41.334854545,54.3358272730001 41.3208272730001,54.3611090910001 41.3161000000001,54.394154545 41.3036000000001,54.4205454550001 41.2936090910001,54.4469363640001 41.2836090910001,54.492218182 41.2594363640001,54.514163636 41.2474909090001,54.7322090910001 41.1043000000001,54.7601363640001 40.9651272730001,54.7444363640001 40.923327273,54.7065181820001 40.8749909090001,54.6080454550001 40.8325,54.5629090910001 40.815409091,54.4930454550001 40.8011000000001,54.4797090910001 40.7991636360001,54.4713727270001 40.8620727270001,54.3356818180001 40.924581818,54.3119363640001 40.924436364,54.246581818 40.878463636,54.308327273 40.752218182,54.364990909 40.7220727270001,54.421763636 40.7098909090001,54.3497181820001 40.6730454550001,54.2786 40.669090909,54.2187363640001 40.692909091,54.2304090910001 40.7256454550001,54.188881818 40.7261,54.094990909 40.715545455,54.089327273 40.6825636360001,54.0647090910001 40.666936364,54.0311090910001 40.6538727270001,53.8597181820001 40.6255454550001,53.736590909 40.6166545450001,53.7068 40.6370818180001,53.653190909 40.7808272730001,53.6583272730001 40.8122090910001,53.657209091 40.8572181820001,53.6269363640001 40.8819363640001,53.5886 40.8929818180001,53.5545727270001 40.8369363640001,53.5607545450001 40.801872727,53.555827273 40.768463636,53.5341636360001 40.7544363640001,53.4937454550001 40.7361000000001,53.462909091 40.729636364,53.404709091 40.7568000000001,53.3875 40.7686,53.317772727 40.7658272730001,53.2480454550001 40.759718182,53.143054545 40.763054545,53.1111000000001 40.768809091,53.061381818 40.8338818180001,53.0377727270001 40.8883272730001,53.0244363640001 40.9330545450001,52.960545455 41.056236364,52.9212454550001 41.081245455,52.912490909 41.0455454550001,52.916381818 41.018745455,52.898045455 40.8952727270001,52.8655454550001 40.796390909,52.8356818180001 40.7437454550001,52.8303363640001 40.708254545,52.8632545450001 40.688563636,52.862772727 40.659154545,52.8358272730001 40.6168000000001,52.8080454550001 40.592490909,52.779990909 40.5647090910001,52.7396454550001 40.501518182,52.7219272730001 40.4461000000001,52.690272727 40.2719363640001,52.736381818 40.2008272730001,52.7389545450001 40.0500000000001,52.7663818180001 40.0197181820001,52.799718182 39.9969363640001,52.824163636 39.9808181820001,52.9066636360001 39.878936364,52.9131545450001 39.865272727,53.009163636 39.7588818180001,53.038890909 39.739718182,53.0441636360001 39.7448545450001,53.0347181820001 39.7686,53.024163636 39.7858272730001,52.9779090910001 39.8447181820001,52.9505454550001 39.8677636360001,52.928009091 39.907409091,52.9147090910001 39.9688818180001,52.934718182 39.9905454550001,52.9905454550001 39.9722181820001,53.0611000000001 39.9627727270001,53.291527273 39.940963636,53.347490909 39.972836364,53.3734636360001 39.9943000000001,53.396945455 40.001663636,53.4279090910001 40.0043000000001,53.575409091 39.963045455,53.5380545450001 39.8951363640001,53.5119363640001 39.8866545450001,53.488881818 39.883463636,53.4136090910001 39.773609091,53.4095727270001 39.666381818,53.444745455 39.6402000000001,53.5147181820001 39.654709091,53.638672727 39.611036364,53.7321454550001 39.5153363640001,53.5641545450001 39.4619363640001,53.5158272730001 39.469845455,53.478045455 39.482490909,53.4622181820001 39.5076363640001,53.4417909090001 39.5286727270001,53.407354545 39.5372181820001,53.370827273 39.5369454550001,53.344990909 39.5327727270001,53.300272727 39.5249909090001,53.2348545450001 39.515554545,53.2068 39.5244363640001,53.235827273 39.591936364,53.2655454550001 39.630272727,53.2855545450001 39.645545455,53.300272727 39.661618182,53.2623545450001 39.653045455,53.2247090910001 39.6102727270001,53.208463636 39.586109091,53.1224909090001 39.4349909090001,53.1205454550001 39.3411,53.150690909 39.2063818180001,53.1639545450001 39.1748545450001,53.1730454550001 39.1697181820001,53.1811090910001 39.2099909090001,53.1741636360001 39.2902727270001,53.159290909 39.3447181820001,53.2204090910001 39.3597181820001,53.2429090910001 39.358190909,53.2995000000001 39.3424181820001,53.321663636 39.3302727270001,53.3972181820001 39.3188818180001,53.4211000000001 39.319163636,53.4452636360001 39.3199909090001,53.5386090910001 39.333045455,53.579163636 39.3188818180001,53.605827273 39.225545455,53.6399909090001 39.1244363640001,53.7115181820001 39.0612454550001,53.7674909090001 39.028045455,53.795481818 39.0422090910001,53.862836364 39.031936364,53.965545455 38.9391545450001,53.982627273 38.907763636,53.927490909 38.7708272730001,53.870827273 38.6886000000001,53.8529090910001 38.6602727270001,53.8358272730001 38.585545455,53.826663636 38.5416636360001,53.8251272730001 38.5060363640001,53.8322181820001 38.4633272730001,53.840690909 38.4187454550001,53.8534727270001 38.3918,53.869290909 38.361381818,53.8580454550001 38.231936364,53.8522181820001 38.1952636360001,53.8343 38.1259636360001,53.8238818180001 38.0869363640001,53.8099909090001 38.032490909,53.807772727 38.0119363640001,53.803881818 37.927490909,53.8040181820001 37.8927727270001,53.805827273 37.8655454550001,53.820272727 37.774163636,53.8374909090001 37.679718182,53.8611090910001 37.5630454550001,53.905636364 37.3508545450001,53.9062345310001 37.3487924730001)))', 'Turkmen Exclusive Economic Zone', 'Turkmenistan', 'Turkmenistan', '', '236', '243', 'TKM', '26523', '2011-03-30', '79581820790', '26523', 'Y'),('SRID=4326;MULTIPOLYGON(((34.9799813660001 29.5457549550001,34.978172366 29.542587955,34.9799818180001 29.5457545450001,35.0036818180001 29.528190909,34.9784727270001 29.4775000000001,34.966945455 29.4488909090001,34.965242871 29.430250232,34.9604181820001 29.377427273,34.9613906380001 29.360836159,34.9577457890001 29.36055322,34.9577425000001 29.360553403,34.9522596740001 29.3608580050001,34.940743346 29.3615384130001,34.930893521 29.364446786,34.884630965 29.3755262290001,34.8886327450001 29.3829890230001,34.888836601 29.3834824080001,34.8890903080001 29.3840964460001,34.8897986370001 29.3853846210001,34.890326761 29.3863450740001,34.8918829020001 29.390237686,34.8922190920001 29.3909553600001,34.8923022290001 29.3911328350001,34.892955204 29.3926174900001,34.8974974550001 29.4023836040001,34.8999358730001 29.4076263490001,34.9000070610001 29.407768348,34.900098379 29.4079505010001,34.9009576660001 29.409784497,34.9019196610001 29.411837706,34.903423936 29.4146758790001,34.9038723690001 29.415464978,34.9041613320001 29.41597346,34.905933712 29.4188872240001,34.906773571 29.4202679380001,34.90848472 29.426624922,34.9085118260001 29.428057214,34.90857806 29.431557001,34.918094416 29.443290276,34.918790304 29.4455431660001,34.921211 29.45338,34.9336190000001 29.4668370000001,34.9665140000001 29.5190900000001,34.978172 29.542588,34.9799813660001 29.5457549550001)))', 'Jordanian Exclusive Economic Zone', 'Jordan', 'Jordan', '', '215', '215', 'JOR', '8491', '2011-03-30', '91205940.65', '8491', 'Y'),('SRID=4326;MULTIPOLYGON(((58.3788203460001 24.700660853,58.3878102780001 24.700462578,58.400447597 24.700525498,58.431156645 24.7006783960001,58.4789923180001 24.6939022930001,58.4990784460001 24.6890150630001,58.6395969860001 24.6208674910001,58.639660932 24.620836479,58.7673790090001 24.5588967740001,59.0895335550001 24.469963632,59.0998585830001 24.467093778,59.14470333 24.454629127,59.2496799080001 24.424316349,59.285702535 24.4139145440001,59.324841125 24.4026129820001,59.3281555140001 24.4008652530001,59.346270207 24.3913130940001,59.3480429430001 24.390378302,59.3588026050001 24.3846290400001,59.5031408190001 24.330589129,59.503181974 24.3305737210001,59.532020392 24.3197766800001,59.602352631 24.283773298,59.895362881 24.1337800630001,59.9014208900001 24.130623972,59.9018307380001 24.130410451,59.901830981 24.130410324,59.9059487900001 24.1287177410001,59.9059925400001 24.128699758,59.9618510240001 24.105739699,60.0982877500001 24.032451386,60.1146022190001 24.023687911,60.2117595970001 23.959369715,60.211759676 23.9593696630001,60.2335024070001 23.9449759720001,60.2656379590001 23.925784546,60.2809250120001 23.916655083,60.3744248900001 23.8732223420001,60.4211474090001 23.8515187090001,60.450374911 23.8455086660001,60.45678674 23.842635913,60.7558395830001 23.708011583,60.7635726070001 23.704499363,60.788027814 23.6933921880001,60.8161443860001 23.680092013,60.866768463 23.656144956,60.9652527870001 23.6028797380001,61.4166666670001 23.346666667,61.4166667870001 23.3466665830001,61.5466666670001 23.2561111110001,61.608929839 23.2133172280001,61.636388889 23.1944444440001,62.014166667 22.943055556,62.0401587380001 22.9259211180001,62.0638888890001 22.910277778,62.4213888890001 22.6769444440001,62.6883560410001 22.456433293,63.138424845 22.084682727,63.1384308950001 22.0846777290001,63.139722222 22.083611111,63.1513493670001 22.06841138,63.2391666670001 21.953611111,63.3702777780001 21.7900000000001,63.3702769920001 21.7900004480001,63.370277393 21.7899999480001,63.3429393930001 21.604328948,63.3281193930001 21.5608969480001,63.327703393 21.5579839480001,63.3271683930001 21.5564149480001,63.3268093930001 21.553904948,63.326129393 21.5519129480001,63.3259313930001 21.550526948,63.3254233930001 21.549037948,63.3250393930001 21.5463499480001,63.3250323930001 21.5463289480001,63.323967393 21.538879948,63.323268393 21.5368279480001,63.3230923930001 21.535598948,63.1355283930001 20.9825189470001,62.849752392 20.467511947,62.8304003920001 20.443764946,62.691333392 20.191251946,62.6906713920001 20.190434946,62.6870423920001 20.1838319460001,62.6861973920001 20.1827899460001,62.685412392 20.181360946,62.622601392 20.103886946,62.611909392 20.084388946,62.571740392 20.0347659460001,62.493842392 19.892344946,62.4936733920001 19.8921359460001,62.4929223920001 19.8907619460001,62.4920483920001 19.8896789460001,62.490371392 19.886607946,62.4890523920001 19.8849739460001,62.447908392 19.8095959460001,62.276149392 19.2833219450001,61.997579392 18.7665279450001,61.630395391 18.3024879440001,61.5669773910001 18.245947944,61.431727391 18.0738279440001,61.431344391 18.073484944,61.4312273910001 18.0733349440001,61.402009391 18.047185944,61.393951391 18.0369089440001,61.3848873910001 18.028791944,61.3742373910001 18.0152039440001,61.1130873910001 17.780705944,60.8538933900001 17.2853059440001,60.4938163900001 16.8184569430001,60.49348839 16.8181569430001,60.4934153900001 16.818061943,60.0559993900001 16.417096943,60.04809039 16.4120199430001,60.04108639 16.405573943,60.0342053900001 16.4011549430001,60.0332403900001 16.4002669430001,60.0330153900001 16.400121943,60.0327433900001 16.3998719430001,60.0313913900001 16.399003943,60.0282653900001 16.3961249430001,60.0280393900001 16.395979943,60.0277683900001 16.395730943,60.0250193900001 16.3939649430001,60.01622439 16.3858669430001,59.5267173890001 16.070108942,59.3959213890001 15.811560942,59.043072389 15.3413349420001,58.6127193880001 14.9364369410001,58.117822388 14.608709941,57.573023387 14.3677009410001,57.432575387 14.3350119410001,57.416508322 14.3406321100001,57.2111787650001 14.4124557120001,57.0107309910001 14.4825716830001,56.85762601 14.5352205040001,56.7509864290001 14.571891082,56.72292464 14.5749506070001,56.6889969490001 14.578649682,55.754288461 14.67860082,55.481746001 14.7003944890001,55.1528257370001 14.719295489,55.0702812810001 14.730403735,54.822048662 14.7638091160001,54.796978182 14.7671829230001,54.7674088050001 14.77112677,54.696629386 14.7805670490001,54.632529117 14.7902972590001,54.5425742030001 14.8039913320001,54.5425741080001 14.803991346,54.4408008830001 14.7941038650001,54.315427324 14.7792476980001,54.1624697550001 14.761639582,53.8777620430001 15.086733211,53.6475314990001 15.3496220600001,53.6280014710001 15.4370132780001,53.5877261040001 15.6172338820001,53.3296765490001 16.1747898670001,53.131193636 16.6036429070001,53.1303370410001 16.6053667190001,53.1274638290001 16.6111487640001,53.121894093 16.6253660420001,53.1148292080001 16.6433998300001,53.1148275150001 16.6434041520001,53.1256903830001 16.660689943,53.1858273830001 16.682498943,53.3530543840001 16.7299989430001,53.4536093840001 16.7469449430001,53.548045384 16.7469449430001,53.5761093840001 16.7438899430001,53.596381384 16.744998943,53.677145384 16.7950629430001,53.6913813840001 16.8172179430001,53.742636384 16.8591629430001,53.826663384 16.886662943,53.9294453840001 16.908608943,54.0102723840001 16.9767359430001,54.0926363840001 17.0143089430001,54.3886093840001 17.0349989430001,54.419999385 17.0358269430001,54.504163385 17.038053943,54.585545385 17.033880943,54.6069453850001 17.0316629430001,54.651109385 17.0249989430001,54.6821453850001 17.0118719430001,54.6935363850001 16.9796539430001,54.7362453850001 16.9570809430001,54.8037453850001 16.9448539430001,54.8988903850001 16.966389943,54.960545385 16.987498943,55.0319363850001 17.0147179430001,55.0749993850001 17.042353943,55.0916633850001 17.057499943,55.212218385 17.1930539430001,55.2505453850001 17.2669359440001,55.2997183850001 17.3679179440001,55.304999385 17.3991629440001,55.2983273850001 17.4215269440001,55.273609385 17.4511089440001,55.236663385 17.468680944,55.2249273850001 17.494790944,55.2305543850001 17.549999944,55.2661093850001 17.6137449440001,55.3151363850001 17.6530539440001,55.3358273850001 17.6633269440001,55.3655543850001 17.685135944,55.380827385 17.7113909440001,55.4047183850001 17.7652719440001,55.4186093850001 17.7994449440001,55.4360363850001 17.8261089440001,55.468609385 17.8455539440001,55.5222183860001 17.8631899440001,55.643881386 17.8911089440001,55.7999993860001 17.905280944,55.8530543860001 17.9033269440001,55.979436386 17.924998944,56.0266633860001 17.937498944,56.192081386 17.9536089440001,56.232499386 17.9511089440001,56.2669363860001 17.9477719440001,56.3038813860001 17.9409719440001,56.352318386 17.9411809440001,56.350827386 17.9616629440001,56.4061093860001 18.012217944,56.4565273860001 18.074580944,56.4839543860001 18.091871944,56.5176993860001 18.101735944,56.5567993860001 18.129853944,56.5616633860001 18.1366719440001,56.552290386 18.1937449440001,56.561945386 18.2241629440001,56.585136387 18.2654089440001,56.609990387 18.333608945,56.6344363870001 18.437217945,56.637772387 18.537635945,56.6438813870001 18.5791629450001,56.655827387 18.596244945,56.7080543870001 18.644444945,56.733327387 18.6694449450001,56.7949993870001 18.730826945,56.810436387 18.7443989450001,56.901390387 18.7994449450001,56.929445387 18.8124989450001,57.040554387 18.858326945,57.138881387 18.888880945,57.165554387 18.895271945,57.293054387 18.9236089450001,57.3397183870001 18.929998945,57.4908273870001 18.9502719450001,57.524299387 18.9524989450001,57.5986093870001 18.9433359450001,57.663327388 18.938053945,57.714227388 18.9409719450001,57.8056903880001 18.970971945,57.8397183880001 19.0282629450001,57.8016633880001 19.1244449450001,57.751936388 19.250826945,57.742909388 19.2945089450001,57.760272388 19.3315269450001,57.7705453880001 19.361662945,57.773890388 19.3905539460001,57.7680543880001 19.4223629460001,57.7452813880001 19.472771946,57.692499388 19.684717946,57.687636388 19.7083269460001,57.691036388 19.7427089460001,57.734445388 19.8033359460001,57.7729093880001 19.856662946,57.812772388 19.973190946,57.8397183880001 20.0945809460001,57.8404093880001 20.144308946,57.8231903880001 20.174580946,57.822499388 20.1954179460001,57.8281903880001 20.2162449460001,57.854018388 20.257217946,57.952772388 20.3858269460001,58.047218388 20.4647179470001,58.067772388 20.4991629470001,58.084927388 20.5571539470001,58.1208273880001 20.579162947,58.2137453880001 20.6127719470001,58.2405543880001 20.610417947,58.263463388 20.5927719470001,58.266390388 20.5713909470001,58.230554388 20.484717947,58.214299388 20.459162947,58.199372388 20.4186809460001,58.2115183880001 20.3972179460001,58.2681183880001 20.378744946,58.302218388 20.3816629460001,58.2770093880001 20.369717946,58.4174993880001 20.3552719460001,58.4519723880001 20.3585359460001,58.520690388 20.4195089460001,58.566109388 20.5552719470001,58.581799388 20.617080947,58.598463388 20.6545809470001,58.6561093880001 20.700835947,58.7079993880001 20.7415539470001,58.7276363890001 20.760271947,58.7227723890001 20.785553947,58.710827388 20.847217947,58.8041633890001 20.992217947,58.837218389 21.0394449470001,58.853336389 21.059444947,58.916245389 21.1368089470001,59.0877723890001 21.296944947,59.1739543890001 21.3602719470001,59.2047183890001 21.3763899470001,59.2744363890001 21.4102719470001,59.3049903890001 21.4211089470001,59.3442993890001 21.442008947,59.4577723890001 21.6294449480001,59.474445389 21.6822179480001,59.4881903890001 21.7456909480001,59.4997183890001 21.7673539480001,59.5147183890001 21.7841629480001,59.5405543890001 21.8097179480001,59.584718389 21.8788899480001,59.6509633890001 21.9330539480001,59.7176363890001 22.1006909480001,59.7720813890001 22.1667999480001,59.80916339 22.2233269480001,59.8286093900001 22.2916629480001,59.8316633900001 22.3122179480001,59.84708139 22.429999948,59.8324993900001 22.4888909480001,59.8017273900001 22.5368719480001,59.6502723890001 22.5672179480001,59.574163389 22.5686089480001,59.533881389 22.5763809480001,59.486381389 22.6094449490001,59.444163389 22.639717949,59.3977723890001 22.6805539490001,59.3108273890001 22.7777719490001,59.291518389 22.802362949,59.281245389 22.822917949,59.224872389 22.9468539490001,59.1874903890001 22.978335949,59.1681903890001 22.9920809490001,59.1188813890001 23.016526949,59.090690389 23.041244949,59.0327723890001 23.1186089490001,59.0176363890001 23.142080949,59.009163389 23.160408949,59.000763389 23.200062949,58.9273543890001 23.3190999490001,58.8683273890001 23.3619449490001,58.7924993890001 23.4738909490001,58.6092993880001 23.6327719490001,58.5772183880001 23.6449999490001,58.495272388 23.6515269490001,58.480345388 23.6318719490001,58.439436388 23.619162949,58.4045813880001 23.616390949,58.3413813880001 23.615971949,58.2959633880001 23.6236089490001,58.2661093880001 23.636390949,58.2476273880001 23.6567539490001,58.206936388 23.6827809500001,58.1733363880001 23.6961089500001,58.1497183880001 23.70360895,58.1002723880001 23.7172179500001,58.0786093880001 23.72027195,58.0222183880001 23.7244449500001,57.991109388 23.7205539500001,57.9433273880001 23.71277195,57.930272388 23.7124999500001,57.894163388 23.71708095,57.8683273880001 23.7244449500001,57.835827388 23.7380539500001,57.5352723870001 23.82444495,57.171318387 23.93443595,57.113054387 23.97360895,57.0583273870001 24.0152719500001,56.989718387 24.07082695,56.9074903870001 24.14055395,56.867218387 24.1892999500001,56.8297813870001 24.24256295,56.8140273870001 24.28610895,56.797218387 24.30889095,56.7147183870001 24.40110895,56.6783273870001 24.43166295,56.6536093870001 24.4486089500001,56.619781387 24.47756295,56.6036093870001 24.50166295,56.5461093860001 24.59583595,56.525836386 24.63055395,56.499581386 24.6827719500001,56.413890386 24.868326951,56.3758273860001 24.9644449510001,56.373527386 24.9793809510001,56.3803113860001 24.9819829510001,56.440907386 24.989943951,56.5203293860001 25.0024819510001,56.614322938 25.0204318040001,56.6748419690001 25.0319889630001,56.684719242 25.0333445740001,56.7242446120001 25.038769254,56.8339376280001 25.0552593530001,57.0341073060001 25.089745454,57.1254895850001 25.1146815980001,57.125512874 25.114657902,57.125643144 25.114525358,57.1258764350001 25.114349625,57.125876557 25.1143495320001,57.1410252690001 25.1029681790001,57.1621963380001 25.087543253,57.1630932260001 25.0868913,57.173110944 25.0796855520001,57.1772930330001 25.076677374,57.180762363 25.074134282,57.186845164 25.0696754620001,57.193312953 25.0649459530001,57.1954130120001 25.0634103040001,57.2222014010001 25.0409731560001,57.2721561180001 24.9991325890001,57.278716289 24.9936515140001,57.2798123200001 24.9927357720001,57.279812437 24.992735623,57.2801047070001 24.9923661930001,57.280160118 24.9922961510001,57.2805565480001 24.9920157380001,57.286937955 24.987501867,57.2881621080001 24.9866359650001,57.2981068710001 24.979591918,57.341967632 24.9485245870001,57.4848505510001 24.8476385230001,57.4848509620001 24.8476382310001,57.511762715 24.829560273,57.5312598960001 24.817100161,57.5811684110001 24.7852050000001,57.668075673 24.7376095610001,57.6927754590001 24.728968611,57.693262847 24.7287988190001,57.697530301 24.727312161,57.7065319440001 24.7257861680001,57.7109252700001 24.7242366850001,57.710925445 24.724236623,57.7167856200001 24.722169797,57.725012851 24.7192478160001,58.084187365 24.7088887740001,58.0963622790001 24.7084289210001,58.0993921780001 24.7083144800001,58.1216902040001 24.707544517,58.1500108120001 24.7065665920001,58.2111543710001 24.7040848130001,58.237451654 24.703605211,58.2829161920001 24.702776043,58.3787940170001 24.700661434,58.3788203460001 24.700660853),(58.7652723890001 20.4413899460001,58.755272389 20.432780946,58.741172389 20.4279089460001,58.7227723890001 20.428889946,58.7111093880001 20.433608946,58.701663388 20.425280946,58.651454388 20.3704089460001,58.6411093880001 20.349998946,58.6383273880001 20.340271946,58.6333273880001 20.274162946,58.634163388 20.245553946,58.6347183880001 20.2349989460001,58.647499388 20.171389946,58.6549993880001 20.168326946,58.6716633880001 20.175553946,58.7216633890001 20.2106899460001,58.7851363890001 20.2793089460001,58.784581389 20.2936089460001,58.7933273890001 20.328608946,58.8022183890001 20.3613809460001,58.806109389 20.370826946,58.824163389 20.413326946,58.8451363890001 20.4431899460001,58.8619363890001 20.4561089470001,58.872499389 20.460826947,58.8980453890001 20.469998947,58.913609389 20.4786089470001,58.9413813890001 20.4980539470001,58.9511093890001 20.511108947,58.919509389 20.6822899470001,58.8960363890001 20.6923539470001,58.883327389 20.681108947,58.8272183890001 20.5722179470001,58.7866633890001 20.4711089470001,58.7652723890001 20.4413899460001)),((56.795440915 26.39980538,56.8013888890001 26.3666666670001,56.7993742630001 26.3223449020001,56.7972222220001 26.275,56.798368199 26.2411936930001,56.8000000000001 26.193055556,56.8375 26.0513888890001,56.8329581510001 25.996886708,56.830555555 25.968055556,56.8305555590001 25.968055528,56.8350784740001 25.9334552240001,56.85581489 25.774821645,56.8493534340001 25.7236328490001,56.840910195 25.6567440260001,56.8402722120001 25.6568871490001,56.838958296 25.6571819060001,56.8343225500001 25.6582218670001,56.7771760690001 25.6710418330001,56.6732372330001 25.6778277110001,56.5718333510001 25.6844480890001,56.5290393390001 25.687374177,56.516011758 25.687113223,56.5011310420001 25.6860552680001,56.47028333 25.683074995,56.4610810300001 25.682185938,56.4507864760001 25.6813259790001,56.4191134070001 25.6786801600001,56.3955596970001 25.6764181120001,56.389900035 25.6761144490001,56.3851403880001 25.675790448,56.380735525 25.6754283110001,56.3801736390001 25.6753649790001,56.3793887750001 25.6752765150001,56.371023742 25.6737134580001,56.3709000050001 25.673690337,56.3708091770001 25.6736733660001,56.3708025700001 25.673672132,56.369313919 25.673393968,56.369181263 25.6733761720001,56.368959708 25.6733464500001,56.3677459720001 25.673183624,56.337398632 25.656287639,56.3342027750001 25.655155972,56.331097496 25.6540563780001,56.3263906510001 25.6525065640001,56.3200886610001 25.6504315190001,56.314999549 25.648936733,56.3148167790001 25.6488830490001,56.314217028 25.648702934,56.311097094 25.647765968,56.305776628 25.644160218,56.3037822860001 25.6426641940001,56.3002199040001 25.6402814370001,56.2804595420001 25.640293253,56.2697183860001 25.636017951,56.2643003860001 25.6594459510001,56.274436386 25.7179179510001,56.302563386 25.746908951,56.3255543860001 25.7569359510001,56.3636093860001 25.8219459520001,56.3922183860001 25.873881952,56.4016633860001 25.894163952,56.4238813860001 25.950272952,56.4311093860001 26.054445952,56.3740273860001 26.094999952,56.332909386 26.112217952,56.3206913860001 26.166945952,56.377218386 26.197708952,56.377218386 26.172217952,56.4713813860001 26.1421549520001,56.4813093860001 26.240072952,56.4583273860001 26.2474999520001,56.401936386 26.2849999520001,56.404209386 26.3687089520001,56.3547183860001 26.3213909520001,56.3183273860001 26.268890952,56.3109723860001 26.2227089520001,56.3341633860001 26.223190952,56.350063386 26.2384729520001,56.384581386 26.239854952,56.4015273860001 26.219790952,56.3575093860001 26.215963952,56.326518386 26.198608952,56.303891386 26.201108952,56.2344453860001 26.218054952,56.201900386 26.260863952,56.171800386 26.2304089520001,56.1097183860001 26.128608952,56.0870813860001 26.087772952,56.079936386 26.065563952,56.076384386 26.0693679520001,56.061278142 26.0790788780001,56.0436597520001 26.0904049860001,56.023791428 26.101785153,56.015572262 26.106492922,56.0094414550001 26.1096684620001,55.9992484160001 26.1149480930001,55.960880231 26.139297933,55.952823918 26.1444107620001,55.936697779 26.154644994,55.9007798740001 26.1765725110001,55.900751805 26.1765896470001,55.850564041 26.2072287680001,55.816444882 26.2280581690001,55.757958236 26.263763673,55.7958333330001 26.276388889,55.8708333330001 26.3138888890001,55.9285590360001 26.353036205,56.0895474850001 26.462212279,56.0895475250001 26.462212306,56.1125000000001 26.4777777780001,56.123210446 26.491896094,56.141074028 26.5154435420001,56.143055556 26.518055556,56.1586943770001 26.5329835220001,56.1736111110001 26.5472222220001,56.1736114700001 26.54722245,56.182395586 26.552779747,56.211578891 26.571242655,56.2416666670001 26.590277778,56.273735636 26.592950192,56.274999553 26.5930555190001,56.275 26.593055556,56.318223937 26.6123925800001,56.327777778 26.6166666670001,56.45524299 26.666856094,56.455243093 26.666856135,56.5499998120001 26.704166593,56.5500000000001 26.704166667,56.6508195740001 26.7293715600001,56.6833333330001 26.7375000000001,56.6833333870001 26.7374999520001,56.71449633 26.709799559,56.7333333330001 26.693055556,56.7426793330001 26.6787250240001,56.7541666670001 26.661111111,56.7841144870001 26.6082032950001,56.7930642170001 26.592392106,56.7958333330001 26.5875,56.795833331 26.587499919,56.7951336470001 26.5595125300001,56.793078946 26.477324498,56.7916666670001 26.4208333330001,56.795440915 26.39980538)))', 'Omani Exclusive Economic Zone', 'Oman', 'Oman', '', '48', '48', 'OMN', '8354', '', '537585394900', '8354', 'Y'),('SRID=4326;MULTIPOLYGON(((-122.767487447 49.0003063020001,-123.03504102 49.0003063020001,-123.039172572 49.0052736980001,-123.047845572 49.025337698,-123.030554572 49.0470826980001,-122.941672572 49.082500698,-122.909427572 49.087210698,-122.867563572 49.079128698,-122.872554572 49.054228698,-122.875263572 49.031864698,-122.822363572 49.0069376980001,-122.767487447 49.0003063020001)),((-130.158426499 55.0760216630001,-130.127772787 55.0138819790001,-130.112991443 54.9981615240001,-130.109026787 54.993944979,-130.078808787 54.9925639790001,-130.028354787 55.0363819790001,-129.915008787 55.158599979,-129.815708787 55.286526979,-129.781399787 55.3566639790001,-129.772245787 55.479426979,-129.773853827 55.4823307680001,-129.782636787 55.4981909790001,-129.786294698 55.5561965630001,-129.786954782 55.5666638930001,-129.786954787 55.5666639790001,-129.7825443 55.5603377040001,-129.707736787 55.453035979,-129.707736164 55.4530364080001,-129.682617787 55.4703179790001,-129.628617787 55.4580449790001,-129.478181787 55.4707539790001,-129.508636787 55.444435979,-129.532499787 55.439017979,-129.584717787 55.4438819790001,-129.613736787 55.4438819790001,-129.640290787 55.4360999790001,-129.663008787 55.4122089790001,-129.726654787 55.338599979,-129.847499787 55.2105449790001,-129.958890787 55.0956819790001,-129.975554787 55.0669359790001,-129.981472786 55.013344987,-129.909881935 54.9970821360001,-129.876999897 55.0055450080001,-129.868291501 55.0057033370001,-129.868291575 55.0057032920001,-129.799990787 55.0069449790001,-129.623745787 55.000135979,-129.645490787 54.9837359790001,-129.914808787 54.9664909790001,-129.941608787 54.9708179790001,-130.031954787 54.9652729790001,-130.052090787 54.9563819790001,-130.167908787 54.854090979,-130.199645787 54.7288089780001,-130.028072787 54.641935978,-130.004454787 54.6327639780001,-129.968317787 54.6219359780001,-129.910281787 54.605553978,-129.959990787 54.6074999780001,-129.980836787 54.609990978,-130.000581787 54.614717978,-130.026945787 54.6230449780001,-130.065826787 54.6468639780001,-130.101108787 54.671663978,-130.160281787 54.7003359780001,-130.232754787 54.708672978,-130.332363788 54.689853978,-130.355699788 54.6794359780001,-130.371372788 54.6613819780001,-130.369717788 54.6399909780001,-130.313826788 54.5862729780001,-130.147799787 54.4419359780001,-130.037490787 54.3422819780001,-129.982481787 54.325272978,-129.960126787 54.319644978,-129.987899787 54.311653978,-130.029036787 54.323044978,-130.060408787 54.338044978,-130.222781787 54.4719269780001,-130.281681788 54.528381978,-130.332154788 54.5785539780001,-130.382508788 54.619990978,-130.411881788 54.628744978,-130.437908788 54.6201999780001,-130.429990788 54.562490978,-130.433626788 54.496653978,-130.474990788 54.4331819780001,-130.483890788 54.4016539780001,-130.481108788 54.364717978,-130.455408788 54.3376269780001,-130.391390788 54.330272978,-130.340817788 54.3283269780001,-130.308699788 54.3180089780001,-130.275499788 54.3463089780001,-130.238590787 54.2949999780001,-130.235419747 54.284047308,-130.228054787 54.258608978,-130.191681787 54.193317978,-130.117908787 54.1549909780001,-130.037508787 54.1730449780001,-129.991672787 54.1927639780001,-129.973463787 54.203881978,-129.871372787 54.235263978,-129.845826787 54.2381819780001,-129.776554787 54.234763978,-129.685299787 54.2223539780001,-129.564590787 54.2254089780001,-129.515154787 54.2430449780001,-129.474290787 54.239363978,-129.591945787 54.185817978,-129.614163787 54.1789179780001,-129.638745787 54.1809639780001,-129.692472787 54.1926819780001,-129.726381787 54.200772978,-129.782054787 54.2105999780001,-129.831936787 54.219435978,-129.856245787 54.215272978,-130.049163787 54.1509639780001,-130.070072787 54.124917978,-130.091090787 54.068881978,-130.100263787 53.944290978,-130.047654787 53.8849909780001,-129.912781787 53.7983359780001,-129.861117787 53.765272978,-129.830836787 53.747217978,-129.686126787 53.6302729770001,-129.629154787 53.587772977,-129.518617787 53.5149999770001,-129.353608787 53.407772977,-129.333890787 53.3974909770001,-129.303345787 53.384990977,-129.272799787 53.379153977,-129.237490787 53.433599977,-129.234708787 53.459017977,-129.231381787 53.500826977,-129.236936787 53.5372179770001,-129.237354787 53.6107539770001,-129.217499787 53.6402729770001,-129.117554786 53.713744977,-128.983608786 53.7622179780001,-128.931945786 53.774708978,-128.915281786 53.7872179780001,-128.799436786 53.874990978,-128.726608786 53.9386269780001,-128.687090786 53.9936729780001,-128.606172786 54.0297819780001,-128.643772786 53.9549909780001,-128.663790786 53.925690978,-128.678863786 53.909190978,-128.662854786 53.8861269780001,-128.617263786 53.868544978,-128.541672786 53.858817978,-128.502072786 53.857353978,-128.476717786 53.838535978,-128.598736786 53.840963978,-128.645999786 53.837563978,-128.669417786 53.8428539780001,-128.770572786 53.795826978,-128.792354786 53.772208978,-128.772799786 53.733326977,-128.784181786 53.6755539770001,-128.814590786 53.6533909770001,-128.814845786 53.621235977,-128.544172786 53.4797359770001,-128.485881786 53.4866539770001,-128.454508786 53.499153977,-128.301390786 53.4783269770001,-128.174299786 53.4840179770001,-128.126917786 53.481099977,-128.093872785 53.4519359770001,-128.071654785 53.4313819770001,-127.988054785 53.3538819770001,-127.924999785 53.3244539770001,-127.932972785 53.293326977,-127.922599785 53.2736819770001,-127.870926785 53.2371729770001,-127.948608785 53.2542999770001,-127.956108785 53.273608977,-127.951872785 53.3154089770001,-128.005981785 53.347053977,-128.034881785 53.369290977,-128.070817785 53.3941179770001,-128.099563785 53.4367999770001,-128.131926786 53.4488729770001,-128.154036786 53.454717977,-128.189726786 53.4599909770001,-128.429508786 53.4298269770001,-128.445599786 53.414572977,-128.523617786 53.3966639770001,-128.558626786 53.4138819770001,-128.692508786 53.485263977,-128.786317786 53.5615539770001,-128.969572786 53.5531819770001,-128.959163786 53.5027729770001,-128.921863786 53.4535999770001,-128.887981786 53.4249639770001,-128.885590786 53.374381977,-128.878326786 53.316381977,-128.867917786 53.2947179770001,-128.853881786 53.2797179770001,-128.791536786 53.2415179770001,-128.701108786 53.1955449770001,-128.672045786 53.1914819770001,-128.625545786 53.202217977,-128.539736786 53.1319359770001,-128.515563786 53.0199909770001,-128.506408786 52.9630539770001,-128.493945786 52.8868639770001,-128.438608786 52.8208269770001,-128.426117786 52.8174999770001,-128.339999786 52.8055449770001,-128.300290786 52.8002729770001,-128.274445786 52.799435977,-128.234217786 52.8070729770001,-128.172517786 52.854299977,-128.131654786 52.8763819770001,-128.120545786 52.757217977,-128.145845786 52.719981977,-128.185272786 52.6711089770001,-128.240554786 52.560826976,-128.234926786 52.5339539760001,-128.221999786 52.4701999760001,-128.259945786 52.400617976,-128.285845786 52.4002729760001,-128.329708786 52.3802729760001,-128.393890786 52.2913819760001,-128.295817786 52.272417976,-128.229154786 52.3263819760001,-128.148345786 52.4222179760001,-128.118317786 52.465544976,-128.102326785 52.497717976,-128.034999785 52.538744976,-127.883672785 52.577353976,-127.890772785 52.547699976,-127.965972785 52.5191639760001,-128.009463785 52.5086089760001,-128.037226785 52.4915179760001,-128.055281785 52.474572976,-128.067645785 52.450826976,-128.058199785 52.397490976,-128.007017785 52.337417976,-127.966599785 52.323190976,-127.909263785 52.4054179760001,-127.927254785 52.4292179760001,-127.893390785 52.511453976,-127.870063785 52.5029819760001,-127.905272785 52.278881976,-127.873045785 52.223317976,-127.857254785 52.2125639760001,-127.842772785 52.2241639760001,-127.804717785 52.2488819760001,-127.741599785 52.276453976,-127.721390785 52.2747089760001,-127.614990785 52.2933269760001,-127.489354785 52.362072976,-127.465417785 52.395481976,-127.400826785 52.4244269760001,-127.333454785 52.433890976,-127.261254785 52.4704729760001,-127.278408785 52.5020089760001,-127.257236785 52.5458269760001,-127.240545785 52.5577729760001,-127.134454785 52.609435976,-127.046999785 52.645208976,-126.982008784 52.7184639770001,-127.013063784 52.8162449770001,-127.019581784 52.836653977,-126.974163784 52.833672977,-126.922772784 52.7226269770001,-126.985408784 52.635963976,-127.004463784 52.626935976,-127.073890785 52.6158269760001,-127.191672785 52.5538819760001,-127.235754785 52.509990976,-127.228054785 52.4530449760001,-127.186390785 52.3808179760001,-127.149445785 52.350272976,-127.082499785 52.334990976,-127.002790784 52.334990976,-126.971308784 52.3429729760001,-126.944563784 52.365135976,-126.918190784 52.3723539760001,-126.792772784 52.3955449760001,-126.757654784 52.390826976,-126.734299784 52.3715179760001,-126.779099784 52.370199976,-126.817508784 52.3645819760001,-126.873608784 52.3508269760001,-126.932426784 52.323526976,-126.940826784 52.3038819760001,-126.903608784 52.2102729760001,-126.863608784 52.181935976,-126.824172784 52.1690179760001,-126.763636784 52.132490976,-126.738054784 52.1130539760001,-126.667008784 52.035272976,-126.675408784 51.9908909760001,-126.692626784 52.026381976,-126.711936784 52.0444449760001,-126.751954784 52.0786089760001,-126.827499784 52.1280449760001,-126.938745784 52.2449179760001,-126.964445784 52.2716639760001,-127.007154784 52.3037449760001,-127.042772784 52.3091539760001,-127.174645785 52.3091539760001,-127.193045785 52.290835976,-127.242354785 52.2505449760001,-127.294017785 52.2294999760001,-127.331390785 52.230272976,-127.354172785 52.224708976,-127.376099785 52.2169359760001,-127.451454785 52.176444976,-127.427226785 52.125963976,-127.590145785 52.0367999760001,-127.613745785 52.0341639760001,-127.586672785 52.0916639760001,-127.567217785 52.0998539760001,-127.543890785 52.0999909760001,-127.513063785 52.0942269760001,-127.471663785 52.1042269760001,-127.471117785 52.1446449760001,-127.499445785 52.151653976,-127.525554785 52.147217976,-127.580290785 52.1291539760001,-127.625545785 52.092908976,-127.651454785 52.050063976,-127.664436785 51.953881976,-127.738054785 51.949717976,-127.766108785 51.9469359760001,-127.793054785 51.9398449760001,-127.826808785 51.9233269760001,-127.864772785 51.900890976,-127.885426785 51.855408976,-127.889726785 51.8030539760001,-127.876108785 51.6685999760001,-127.787217785 51.560272975,-127.712781785 51.504435975,-127.751390785 51.4926999750001,-127.719236785 51.4590179750001,-127.659154785 51.4574999750001,-127.638063785 51.4595729750001,-127.577781785 51.514163975,-127.559863785 51.541244975,-127.546390785 51.627490976,-127.585563785 51.677772976,-127.571954785 51.7069359760001,-127.448336785 51.777217976,-127.347254785 51.8579449760001,-127.361308785 51.7735999760001,-127.427490785 51.731935976,-127.437499785 51.6752359760001,-127.407908785 51.667772976,-127.274172785 51.683326976,-127.140554785 51.6944359760001,-127.075008785 51.6977729760001,-127.053881785 51.6977729760001,-126.971045784 51.688599976,-126.915217784 51.6824359760001,-126.698054784 51.664572976,-126.644863784 51.703326976,-126.658199784 51.7398539760001,-126.665972784 51.7694359760001,-126.660281784 51.7922179760001,-126.637508784 51.7717999760001,-126.606454784 51.7160999760001,-126.619999784 51.6799909760001,-126.659299784 51.6501269760001,-126.708054784 51.6419359760001,-126.883772784 51.649490976,-126.943981784 51.656653976,-127.095836785 51.6680539760001,-127.233317785 51.6624909760001,-127.325845785 51.651381976,-127.376099785 51.6449999760001,-127.444445785 51.629990976,-127.496390785 51.614299976,-127.515699785 51.5908269760001,-127.521117785 51.5638819750001,-127.514245785 51.532981975,-127.551663785 51.468317975,-127.650554785 51.4080449750001,-127.688881785 51.390826975,-127.734290785 51.3829089750001,-127.783336785 51.349990975,-127.767563785 51.3211729750001,-127.562226785 51.330553975,-127.462781785 51.3416639750001,-127.452217785 51.3158269750001,-127.395845785 51.3022179750001,-127.367490785 51.298881975,-127.285563785 51.3008269750001,-127.247499785 51.3063819750001,-127.208345785 51.3158269750001,-127.185272785 51.3252729750001,-127.144172785 51.358044975,-127.121036785 51.3834269750001,-127.117763785 51.3574999750001,-127.132572785 51.328463975,-127.203890785 51.298608975,-127.220554785 51.288608975,-127.370136785 51.2742999750001,-127.403608785 51.282490975,-127.451399785 51.2919359750001,-127.539990785 51.294444975,-127.565554785 51.2930539750001,-127.596399785 51.2901359750001,-127.761945785 51.249435975,-127.785972785 51.2287359750001,-127.795972785 51.1997179750001,-127.789990785 51.165544975,-127.673045785 51.0981909750001,-127.640681785 51.0920729750001,-127.556108785 51.0999999750001,-127.533763785 51.1080819750001,-127.501290785 51.1161179750001,-127.388608785 51.0680539750001,-127.359163785 51.0633269750001,-127.333763785 51.060272975,-127.238326785 51.056935975,-127.199581785 51.056799975,-127.141108785 51.060272975,-126.927890784 51.0849359750001,-126.849726784 51.0930639750001,-126.717499784 51.132763975,-126.687490784 51.160753975,-126.679790784 51.187908975,-126.657636784 51.190335975,-126.651599784 51.1545729750001,-126.689308784 51.112635975,-126.821726784 51.0658819750001,-126.870063784 51.0727999750001,-126.948399784 51.0670539750001,-126.989145784 51.060881975,-127.096117785 51.043881975,-127.218608785 51.0408359750001,-127.239299785 51.041244975,-127.330563785 51.048335975,-127.354445785 51.0516539750001,-127.374854785 51.0574909750001,-127.400981785 51.068326975,-127.435817785 51.0827729750001,-127.477490785 51.097490975,-127.498890785 51.0983269750001,-127.537426785 51.0056909750001,-127.430554785 50.9405449750001,-127.398617785 50.926381975,-127.334445785 50.9069359750001,-127.243608785 50.8966639750001,-127.132763785 50.862208975,-127.064926785 50.8337359750001,-127.040281784 50.8197179750001,-127.018608784 50.8184729750001,-126.968781784 50.866599975,-127.013245784 50.8680999750001,-127.062763785 50.8852729750001,-127.173145785 50.9222179750001,-127.112208785 50.931108975,-127.085563785 50.921381975,-127.048045785 50.9102729750001,-127.014717784 50.903881975,-126.910699784 50.904017975,-126.812772784 50.912490975,-126.721654784 50.876099975,-126.669590784 50.8672179750001,-126.573126784 50.902217975,-126.419299784 50.9373539750001,-126.308608784 50.925272975,-126.245536784 50.9233269750001,-126.222217784 50.9285999750001,-126.202645784 50.9404089750001,-126.179299784 50.9480449750001,-126.179717784 50.9222179750001,-126.211254784 50.903117975,-126.246381784 50.8986089750001,-126.363336784 50.901653975,-126.462290784 50.909781975,-126.488399784 50.9176999750001,-126.533754784 50.899990975,-126.555545784 50.8790179750001,-126.557290784 50.8403359750001,-126.493326784 50.8163819750001,-126.431590784 50.825199975,-126.400281784 50.8469359750001,-126.376099784 50.855272975,-126.269445784 50.858044975,-126.198881784 50.8558269750001,-126.111654784 50.7538819750001,-126.212017784 50.703463975,-126.135563784 50.681535975,-125.963836783 50.6886639750001,-125.815272783 50.707217975,-125.731108783 50.735544975,-125.691099783 50.7713819750001,-125.610281783 50.8988819750001,-125.583326783 50.9747089750001,-125.638063783 51.066099975,-125.637299783 51.0901999750001,-125.610817783 51.0877729750001,-125.587372783 51.0755449750001,-125.558608783 51.0492999750001,-125.507854783 50.941481975,-125.540417783 50.867908975,-125.620136783 50.7520819750001,-125.693881783 50.7047089750001,-125.738326783 50.682208975,-125.908563783 50.6640449750001,-126.017390784 50.661963975,-126.270208784 50.6273539750001,-126.251681784 50.6097179750001,-126.238054784 50.591381975,-126.186126784 50.557363975,-126.226708784 50.5362819750001,-126.276945784 50.5163089750001,-126.193326784 50.4902729740001,-126.159154784 50.484990974,-126.063317784 50.470826974,-125.960408783 50.4688819740001,-125.930281783 50.4735999740001,-125.855690783 50.4990269740001,-125.703681783 50.429508974,-125.644445783 50.4434539740001,-125.611308783 50.4879089740001,-125.586236783 50.5366639750001,-125.581845783 50.565199975,-125.571054783 50.612281975,-125.561099783 50.642626975,-125.542499783 50.6659639750001,-125.467990783 50.7112449750001,-125.432490783 50.7110999750001,-125.453754783 50.676935975,-125.474726783 50.6667999750001,-125.509790783 50.6571449750001,-125.532226783 50.627208975,-125.548481783 50.4975819740001,-125.488326783 50.4563819740001,-125.451517783 50.458326974,-125.412636783 50.4694359740001,-125.336117783 50.479717974,-125.246108783 50.4622089740001,-125.204717783 50.419017974,-125.182845783 50.412763974,-125.117463783 50.438044974,-125.116726783 50.4773449740001,-125.101808783 50.498472974,-125.026945783 50.5408359750001,-124.928881783 50.596381975,-124.904517783 50.621581975,-124.912217783 50.699435975,-124.944990783 50.7752729750001,-124.924436783 50.834717975,-124.856736782 50.9321359750001,-124.806936782 50.919581975,-124.787845782 50.885963975,-124.872772782 50.814572975,-124.868881782 50.7649999750001,-124.854445782 50.691372975,-124.858890782 50.5881819750001,-124.880826782 50.560544975,-124.968199783 50.499572974,-125.018063783 50.4841639740001,-125.045063783 50.4810359740001,-125.087017783 50.3476359740001,-125.075290783 50.320972974,-125.063890783 50.317772974,-124.939163783 50.325272974,-124.850563782 50.3097179740001,-124.829999782 50.3094359740001,-124.809581782 50.3149909740001,-124.739163782 50.3519359740001,-124.711672782 50.375544974,-124.593036782 50.4133819740001,-124.518336782 50.432208974,-124.427490782 50.4622089740001,-124.400481782 50.479608974,-124.356517782 50.495926974,-124.390836782 50.4563819740001,-124.427354782 50.4344359740001,-124.519999782 50.399990974,-124.541799782 50.3948539740001,-124.574636782 50.398490974,-124.601936782 50.4027729740001,-124.626099782 50.398326974,-124.654863782 50.387635974,-124.713063782 50.323808974,-124.665008782 50.303881974,-124.634999782 50.283326974,-124.602908782 50.240408974,-124.616945782 50.1791639740001,-124.668063782 50.070272974,-124.703336782 49.995544974,-124.767226782 50.0363819740001,-124.818090782 50.063917974,-124.803326782 50.0202729740001,-124.773063782 49.9858269740001,-124.741945782 49.958326974,-124.702790782 49.9349909740001,-124.632217782 49.899435974,-124.591381782 49.883044974,-124.571954782 49.8744359740001,-124.529726782 49.839435974,-124.520963782 49.805617974,-124.432781782 49.767635974,-124.408890782 49.7634729740001,-124.270281782 49.7680539740001,-124.181381782 49.7731819740001,-124.145554782 49.7797179740001,-124.087363782 49.7974999740001,-124.060063782 49.8404539740001,-124.070354782 49.8726269740001,-124.035099782 49.918008974,-124.008326782 49.847517974,-124.004181782 49.810544974,-123.982217782 49.803744974,-123.924308782 49.8301269740001,-123.914172782 49.872772974,-123.951399782 49.895826974,-123.973463782 49.911517974,-123.991863782 49.9433269740001,-123.998399782 50.0022179740001,-123.954654782 50.0292179740001,-123.915999782 50.0398819740001,-123.870117782 50.0578819740001,-123.813608781 50.090690974,-123.877208782 50.1481819740001,-123.896945782 50.1544359740001,-123.930545782 50.160963974,-123.953754782 50.1749999740001,-123.987208782 50.2109269740001,-123.846945782 50.1633179740001,-123.825981782 50.1545729740001,-123.748963781 50.085063974,-123.802217781 50.042353974,-123.849972782 50.022990974,-123.877517782 50.0166539740001,-123.926226782 49.9915729740001,-123.956808782 49.9576269740001,-123.945272782 49.9399909740001,-123.924645782 49.9301999740001,-123.892436782 49.9234639740001,-123.872836782 49.872417974,-123.880199782 49.834053974,-123.919999782 49.7924999740001,-123.934717782 49.776099974,-123.806381781 49.643535974,-123.744945781 49.6455449740001,-123.683199781 49.652044974,-123.578754781 49.6784639740001,-123.555263781 49.690408974,-123.535763781 49.6971089740001,-123.555126781 49.672217974,-123.615008781 49.639163974,-123.638899781 49.6349909740001,-123.682117781 49.624935974,-123.736963781 49.605435974,-123.770626781 49.576035974,-123.753890781 49.5377729740001,-123.765254781 49.509753974,-123.791599781 49.510135974,-123.823199782 49.5839449740001,-123.831126782 49.622208974,-123.876936782 49.6833269740001,-123.938045782 49.740681974,-123.966108782 49.745681974,-123.992772782 49.7409639740001,-124.013199782 49.7310999740001,-124.030554782 49.7165179740001,-124.059154782 49.671108974,-124.070008782 49.6415179740001,-123.988599782 49.5416639740001,-123.961681782 49.511935974,-123.890490782 49.4688819740001,-123.858326782 49.4677729740001,-123.775008781 49.458326974,-123.675554781 49.4252729730001,-123.603599781 49.3987449730001,-123.540272781 49.3823539730001,-123.516536781 49.385472973,-123.480336781 49.414299973,-123.473745781 49.4459639740001,-123.487845781 49.4620089740001,-123.491663781 49.508399974,-123.430281781 49.538326974,-123.387772781 49.554290974,-123.343336781 49.561381974,-123.268417781 49.602063974,-123.246517781 49.6471449740001,-123.165617781 49.701172974,-123.153954781 49.6828359740001,-123.201617781 49.6157179740001,-123.251108781 49.526453974,-123.254181781 49.3847179730001,-123.236390781 49.3388819730001,-123.071808781 49.3143819730001,-123.040972781 49.3128819730001,-123.005390781 49.3195449730001,-122.931381781 49.328044973,-122.915554781 49.3422179730001,-122.901399781 49.3605449730001,-122.882490781 49.400408973,-122.875617781 49.448044974,-122.855136781 49.438117973,-122.877081781 49.3452729730001,-122.918063781 49.290826973,-122.943326781 49.284163973,-123.009336781 49.2819449730001,-123.094499781 49.283935973,-123.247908781 49.272499973,-123.207363781 49.125408973,-123.143626781 49.1077729730001,-123.113326781 49.036663973,-123.094203552 49.0003063020001,-123.213035672 49.0003063020001,-123.226354768 49.0003063020001,-123.323904162 49.0003063020001,-123.009065329 48.8297418450001,-123.009065329 48.7663977810001,-123.27238508 48.6914472230001,-123.247341082 48.6179657050001,-123.21871937 48.545960139,-123.163861088 48.4579894570001,-123.118543378 48.4199005090001,-123.185351796 48.3513600200001,-123.255689081 48.279199174,-123.531173061 48.2210559660001,-123.793538755 48.2577019010001,-123.869381811 48.2710099180001,-124.006770511 48.2951172150001,-124.048730008 48.306704149,-124.583480648 48.4543732340001,-124.659187878 48.475279459,-124.665775459 48.4770985910001,-124.678631951 48.4806488560001,-124.723310679 48.4929866940001,-124.725855641 48.4936894740001,-124.7258861 48.4936638900001,-124.751097048 48.497541707,-124.7869444 48.5030555600001,-124.803729749 48.504037678,-124.8391667 48.5061111100001,-124.9144444 48.50388889,-124.9872222 48.4991666700001,-124.990965569 48.498230832,-125.0016667 48.4955555600001,-125.0963889 48.4691666700001,-125.1402778 48.4527777800001,-125.1533333 48.44638889,-125.38 48.3377777800001,-125.4994444 48.3061111100001,-125.8966667 48.18472222,-126.6825 47.82083333,-127.1994444 47.6130555600001,-127.6897222 47.36666667,-128.8655556 46.70138889,-129.1275 46.5297222200001,-129.346597104 46.546139081,-129.364785524 46.5475019510001,-129.887114288 46.8099333370001,-130.277699333 47.0605432030001,-130.312815152 47.0856264240001,-130.37712639 47.14738269,-130.377126746 47.147382932,-130.37712679 47.1473829670001,-130.404480778 47.1659159980001,-130.931857577 47.3761900910001,-131.29587668 47.501800465,-132.018936037 48.0807845630001,-132.375457685 48.205576604,-132.945468103 48.636588401,-133.25165079 48.8681079730001,-133.336471867 48.8884265630001,-133.54561837 48.938527337,-133.558580026 48.9428498550001,-133.559611791 48.9431939730001,-133.594155366 48.956920788,-134.222687492 49.2066854940001,-134.559018941 49.377895204,-134.563581377 49.3804188670001,-134.578408792 49.3886209730001,-134.609189074 49.4120929870001,-134.63100853 49.428732182,-134.724090092 49.4785836450001,-134.809832792 49.5245049740001,-134.87843159 49.567186088,-134.883622372 49.5704157380001,-134.957612898 49.6297651,-135.03317298 49.6719691910001,-135.072973792 49.6941999740001,-135.105513628 49.7165223040001,-135.192731855 49.7763542700001,-135.35310376 49.8813622220001,-135.418802365 49.9346367800001,-135.497522792 49.998470974,-135.574997169 50.0432836940001,-135.622045227 50.0704974130001,-135.697852657 50.1278016100001,-135.760867793 50.175435974,-135.76958389 50.1829853900001,-135.804818935 50.2135043870001,-135.832520665 50.2295822290001,-135.849144894 50.2424843300001,-135.854215793 50.246419974,-135.85421618 50.246420173,-135.875966793 50.257976974,-136.008564793 50.3442589740001,-136.014021699 50.3476520940001,-136.054659475 50.3729214030001,-136.343491872 50.59629647,-136.448588065 50.6521636140001,-136.52891603 50.7057890780001,-136.617690793 50.7650539750001,-136.835220173 50.9368835010001,-136.848449309 50.947333417,-136.887357308 50.9696085620001,-136.939571794 50.999501975,-136.953005677 51.010223002,-136.98685735 51.037239002,-137.016868329 51.07887972,-137.063826724 51.1152307520001,-137.166337794 51.1945859750001,-137.208822794 51.2591939750001,-137.227338523 51.2701988810001,-137.252148549 51.2849452150001,-137.381236653 51.398479604,-137.39732798 51.4219115750001,-137.412655844 51.431846298,-137.416439794 51.434298975,-137.419643505 51.4377624470001,-137.421656521 51.4399387760001,-137.421656721 51.4399388960001,-137.421656794 51.4399389750001,-137.439810669 51.4508248990001,-137.460971972 51.482376582,-137.513819709 51.5392348920001,-137.518666287 51.5472468820001,-137.543133794 51.587694975,-137.543134129 51.5876951870001,-137.543134168 51.5876952510001,-137.677966595 51.6728120430001,-137.879393925 51.9145102740001,-138.316497795 52.439003976,-138.446105795 52.6582859760001,-138.446420795 52.658949976,-138.446676795 52.6592459760001,-138.49102732 52.7334188130001,-138.542281404 52.819138368,-138.72231747 53.189009448,-138.738940795 53.2231609770001,-138.745358869 53.3217596850001,-138.755283316 53.4742330620001,-138.755281939 53.4742333070001,-138.755283333 53.4742333340001,-135.765833333 54.0002777780001,-134.94 54.1250000000001,-134.4175 54.2125,-134.396388889 54.215833333,-134.180277778 54.261111111,-133.84897668 54.3364769670001,-133.8225 54.3425000010001,-133.811052089 54.345891974,-133.811023448 54.3459004600001,-133.74 54.3669444440001,-133.282777778 54.5016666670001,-133.233333333 54.517222222,-133.191111111 54.511666667,-133.128611111 54.5027777780001,-133.116666667 54.5008333330001,-132.941111111 54.4755555560001,-132.931666667 54.4736111110001,-132.845 54.456388889,-132.826388889 54.451944444,-132.736666667 54.4333333330001,-132.662777778 54.4150000000001,-132.637777778 54.409444444,-132.4475 54.410833333,-132.409722222 54.4113888890001,-132.408055556 54.4113888890001,-132.394166667 54.4144444440001,-132.048333333 54.3641666670001,-131.824444444 54.4447222220001,-131.755555556 54.4716666670001,-131.633611111 54.508888889,-131.563333333 54.4980555560001,-131.322777778 54.6147222220001,-131.27709848 54.648302679,-131.271388889 54.6525000010001,-131.267829169 54.655063994,-131.231666667 54.6811111110001,-131.216666667 54.703055556,-131.078611111 54.771111111,-131.051666667 54.7608333330001,-130.995555556 54.7366666670001,-130.981944444 54.7294444440001,-130.961388889 54.716666667,-130.9525 54.709444444,-130.940173189 54.7077525290001,-130.940155741 54.707750134,-130.938333333 54.707500001,-130.923202429 54.7016950620001,-130.894166667 54.690555556,-130.888333333 54.6891666670001,-130.821388889 54.6847222220001,-130.809078453 54.6849898400001,-130.808611111 54.685000001,-130.808610916 54.684999976,-130.764166667 54.6794444440001,-130.749722222 54.6780555560001,-130.745277778 54.6783333330001,-130.706111111 54.6675000000001,-130.693055555 54.6633333340001,-130.664748876 54.6563083190001,-130.654999999 54.6538888900001,-130.654999936 54.653889018,-130.653139929 54.6576090310001,-130.649444443 54.6650000020001,-130.649444443 54.685833335,-130.640555555 54.7061111130001,-130.63967983 54.707205769,-130.634999999 54.7130555570001,-130.632499999 54.7161111130001,-130.632308393 54.7163027190001,-130.631944443 54.7166666680001,-130.630071859 54.7192201930001,-130.628888888 54.7208333350001,-130.627499999 54.7233333350001,-130.627499873 54.7233337260001,-130.627499884 54.723333805,-130.627706935 54.7250572890001,-130.630733787 54.7502529830001,-130.630733718 54.7502533970001,-130.630733788 54.750253978,-130.630396621 54.7522768630001,-130.627803787 54.7678329830001,-130.586786788 54.7824809780001,-130.534049787 54.8000599810001,-130.487172788 54.8234979790001,-130.443225787 54.849866981,-130.393418788 54.8762349790001,-130.361190787 54.8938139810001,-130.331892788 54.9172519790001,-130.299664787 54.943620981,-130.267436787 54.9729189810001,-130.229349787 55.0139359790001,-130.194191786 55.0461649810001,-130.173682786 55.0901119810001,-130.138525787 55.1369879790001,-130.103367787 55.1838649790001,-130.056490786 55.2219529810001,-129.992034787 55.262969979,-129.968595787 55.286408979,-129.994964786 55.318636982,-130.024262786 55.3713729820001,-130.053560786 55.4182499820001,-130.082858786 55.4709869820001,-130.106297786 55.520793982,-130.126805786 55.5618109820001,-130.132665786 55.6291969820001,-130.138525786 55.676073982,-130.147314786 55.7170909820001,-130.147314786 55.7170919820001,-130.147314786 55.7551789820001,-130.123875787 55.7932659790001,-130.091648786 55.816704982,-130.050630786 55.8460029820001,-130.012543787 55.88701998,-130.012543876 55.887020885,-130.014285786 55.9045169820001,-130.015072787 55.90918198,-130.015071203 55.909183382,-129.995408787 55.9265909800001,-129.989475314 55.9257606990001,-129.966108787 55.9224909800001,-130.039463787 55.838326979,-130.061245787 55.8198539790001,-130.085126787 55.804017979,-130.114854787 55.776590979,-130.128308787 55.7359639790001,-130.102626787 55.5615269790001,-130.08873629 55.5333440050001,-130.008636787 55.3708269790001,-129.960536787 55.308881979,-129.947819887 55.287793756,-129.946381787 55.2854089790001,-129.971644575 55.264509296,-130.042236787 55.2061089790001,-130.057097654 55.198160763,-130.072372787 55.1899909790001,-130.116381787 55.1454089790001,-130.160626784 55.0804819800001,-130.158426499 55.0760216630001),(-130.457508788 54.815408979,-130.411817874 54.7690180650001,-130.411817788 54.7690179780001,-130.399172788 54.7647179780001,-130.385281788 54.7699909780001,-130.270290788 54.8308269790001,-130.163326787 54.931381979,-130.160443302 54.9350252130001,-130.147936787 54.9508269790001,-130.145646338 54.9614707200001,-130.145645645 54.9614739420001,-130.145426787 54.9624909790001,-130.146972787 54.9758179790001,-130.160281787 55.0044359790001,-130.165008787 55.014163979,-130.165298072 55.0146467590001,-130.168336787 55.0197179790001,-130.180145787 55.0231819790001,-130.20083591 55.0197181290001,-130.200836787 55.0197179790001,-130.208451589 55.015314194,-130.208452021 55.0153139440001,-130.213317787 55.012499979,-130.227781787 54.997217979,-130.249999787 54.9697089790001,-130.270290788 54.950272979,-130.343045788 54.894999979,-130.385281788 54.868881979,-130.400694651 54.8616290040001,-130.400703952 54.861624627,-130.418336788 54.853326979,-130.439355634 54.839493899,-130.439360768 54.83949052,-130.460963788 54.825272979,-130.457508788 54.815408979),(-130.469454845 54.80777298,-130.484008788 54.808190978,-130.609217788 54.755617978,-130.585263788 54.727763978,-130.570972788 54.718599978,-130.538608788 54.703881978,-130.522781788 54.7022179780001,-130.463317788 54.7085999780001,-130.455690788 54.715963978,-130.441121979 54.748037443,-130.439726788 54.751108978,-130.435817788 54.7633269780001,-130.439026788 54.7759639780001,-130.446654788 54.7872179780001,-130.457344795 54.798883785,-130.458617786 54.80027298,-130.4663652 54.8056347560001,-130.469454788 54.8077729780001,-130.469454845 54.80777298),(-132.88235479 53.602563977,-132.89590879 53.5860999770001,-132.92625479 53.5941539770001,-132.95513679 53.6011089770001,-132.99159079 53.5864539770001,-132.97249979 53.555826977,-132.86393679 53.4632539770001,-132.73580879 53.4533269770001,-132.54138179 53.4163819770001,-132.52084579 53.412208977,-132.405499789 53.337417977,-132.410872789 53.301344977,-132.51909979 53.3390729770001,-132.70547279 53.3729819770001,-132.73389079 53.337208977,-132.71999979 53.3208269770001,-132.67000879 53.326944977,-132.55507279 53.334644977,-132.54614579 53.312944977,-132.61944579 53.3002729770001,-132.67584579 53.2816639770001,-132.67418179 53.256517977,-132.64529079 53.255553977,-132.60568179 53.2501359770001,-132.58109979 53.236235977,-132.56527279 53.212772977,-132.53668179 53.1788819770001,-132.50695479 53.161099977,-132.45207279 53.1444359770001,-132.399317789 53.1424909770001,-132.190845789 53.1597179770001,-132.158908789 53.1699909770001,-132.131317789 53.1946359770001,-132.198881789 53.2016639770001,-132.222899789 53.1929089770001,-132.246672789 53.191381977,-132.270490789 53.206872977,-132.204508789 53.2316539770001,-132.171390789 53.238326977,-132.083308789 53.253053977,-132.046263789 53.2516639770001,-131.989717789 53.249790977,-131.963745789 53.271381977,-131.908626789 53.357499977,-131.917781789 53.3991639770001,-131.939590789 53.5142999770001,-131.934154789 53.6122179770001,-131.870545789 53.7901359780001,-131.853336789 53.816381978,-131.829708789 53.841099978,-131.791536789 53.869853978,-131.738890789 53.923326978,-131.720826789 53.943881978,-131.704990789 53.966935978,-131.679717789 54.0197179780001,-131.672790789 54.0441539780001,-131.666654789 54.079435978,-131.663745789 54.140272978,-131.709308789 54.116517978,-131.727781789 54.106099978,-131.754726789 54.0949909780001,-131.817781789 54.0719359780001,-131.867763789 54.0551359780001,-131.979572789 54.0241539780001,-132.015017789 54.021935978,-132.072508789 54.0227639780001,-132.126372789 53.979426978,-132.106199789 53.9178819780001,-132.084499789 53.872735978,-132.152499789 53.812490978,-132.156399789 53.716381977,-132.245545789 53.6624909770001,-132.294099789 53.6692269770001,-132.318326789 53.665272977,-132.41806379 53.606099977,-132.46361779 53.6127729770001,-132.65861779 53.6822819770001,-132.61567279 53.698181977,-132.58889979 53.699717977,-132.56277279 53.6967999770001,-132.52944579 53.696517977,-132.50500879 53.7002729770001,-132.47442679 53.7074999770001,-132.231599789 53.7774269780001,-132.129726789 53.848463978,-132.114163789 53.8716639780001,-132.146408789 53.9856819780001,-132.228336789 54.0658269780001,-132.252808789 54.0852639780001,-132.294645789 54.1104089780001,-132.411181789 54.097699978,-132.54680879 54.026799978,-132.55070879 53.996590978,-132.57223679 53.9766539780001,-132.65890879 53.939426978,-132.68048179 53.9545819780001,-132.66418179 53.983326978,-132.62915479 54.0009729780001,-132.58762679 54.0117999780001,-132.57124579 54.0241539780001,-132.55971779 54.0452729780001,-132.55777279 54.088044978,-132.57250879 54.1137449780001,-132.65106379 54.141108978,-132.70306379 54.1391639780001,-132.73580879 54.133881978,-132.75723679 54.126381978,-132.78445479 54.1204089780001,-132.81776379 54.121381978,-132.90335479 54.1358269780001,-132.93270879 54.158599978,-133.03598179 54.1760999780001,-133.06944579 54.1713819780001,-133.08055479 54.100126978,-133.05862679 54.0760999780001,-133.04069979 54.036035978,-133.09304579 53.9517999780001,-133.11639079 53.934153978,-133.13806379 53.9123449780001,-133.13820879 53.8776269780001,-133.10255479 53.780899978,-133.02917279 53.752081978,-132.98443679 53.742763978,-132.95443679 53.7027729770001,-132.95360879 53.6827729770001,-133.00778179 53.6763819770001,-132.94291779 53.6516539770001,-132.92029079 53.637217977,-132.88235479 53.602563977),(-130.695826788 53.844435978,-130.646954788 53.8335999780001,-130.630554788 53.8399909780001,-130.623454788 53.8476269780001,-130.617908788 53.859990978,-130.626526788 53.875126978,-130.646663788 53.886653978,-130.663054788 53.8922179780001,-130.684999788 53.9019269780001,-130.696108788 53.9131179780001,-130.674590788 53.957072978,-130.662508788 53.964163978,-130.621917788 53.961663978,-130.606799788 53.9581909780001,-130.594590788 53.9510999780001,-130.577481788 53.9372089780001,-130.565272788 53.925826978,-130.553126788 53.9088819780001,-130.524336788 53.9147089780001,-130.500854788 53.9108819780001,-130.487990788 53.912044978,-130.479172788 53.9263819780001,-130.475345788 53.942463978,-130.452790788 53.9680449780001,-130.443881788 53.978599978,-130.433472788 53.982353978,-130.354981788 53.993326978,-130.343599788 53.984990978,-130.330272788 53.9648539780001,-130.345826788 53.9615179780001,-130.381654788 53.965272978,-130.400845788 53.9658269780001,-130.410281788 53.9609639780001,-130.458499788 53.8821639780001,-130.452236788 53.865326978,-130.382917788 53.8316639780001,-130.352199788 53.8338819780001,-130.341517788 53.837208978,-130.242490787 53.936381978,-130.231645787 53.950272978,-130.228881787 53.9647179780001,-130.233045787 53.9786729780001,-130.259181787 54.004717978,-130.304990788 54.0452729780001,-130.336117788 54.0674999780001,-130.370817788 54.087208978,-130.406817788 54.1011089780001,-130.523345788 54.059990978,-130.595272788 54.0263819780001,-130.664463788 53.9888819780001,-130.719026788 53.937353978,-130.722917788 53.919990978,-130.710536788 53.857626978,-130.695826788 53.844435978),(-130.285154788 53.835135978,-130.156954787 53.721372977,-130.091945787 53.6772179770001,-130.018890787 53.653044977,-129.986936787 53.6585999770001,-129.963608787 53.6498999770001,-129.949572787 53.646808977,-129.932390787 53.6375639770001,-129.957645787 53.6427729770001,-129.980472787 53.6420179770001,-130.030854787 53.622763977,-130.055072787 53.6081179770001,-130.051663787 53.594435977,-130.040281787 53.581381977,-130.026945787 53.574717977,-130.011808787 53.5730449770001,-129.999417787 53.574717977,-129.963472787 53.591935977,-129.943590787 53.5995449770001,-129.927554787 53.605381977,-129.917645787 53.602881977,-129.883908787 53.579717977,-129.870272787 53.5455449770001,-129.869990787 53.5347179770001,-129.870272787 53.5180539770001,-129.877199787 53.5049999770001,-129.858336787 53.456381977,-129.822236787 53.401381977,-129.803890787 53.382353977,-129.725826787 53.340544977,-129.563899787 53.2074999770001,-129.506681787 53.2166639770001,-129.473872787 53.239990977,-129.474154787 53.289163977,-129.453326787 53.375826977,-129.434717787 53.4016539770001,-129.424708787 53.411372977,-129.516108787 53.4880449770001,-129.597226787 53.5502729770001,-129.828754787 53.726099977,-129.964445787 53.805826978,-130.109163787 53.8855539780001,-130.190426787 53.9154089780001,-130.201663787 53.9124909780001,-130.254726787 53.8891639780001,-130.268354788 53.8784639780001,-130.279172788 53.8563819780001,-130.285154788 53.835135978),(-129.138917786 53.3399909770001,-129.124026786 53.3202729770001,-129.111390786 53.315826977,-128.942508786 53.3174999770001,-128.928072786 53.3216639770001,-128.920290786 53.328608977,-128.901263786 53.3851999770001,-128.938754786 53.4322179770001,-128.953608786 53.446653977,-128.975554786 53.4727639770001,-128.984436786 53.491663977,-128.986117786 53.502217977,-128.986117786 53.513053977,-128.985536786 53.523044977,-128.985399786 53.5314539770001,-128.999417786 53.539435977,-129.018617786 53.535272977,-129.037781786 53.520272977,-129.049863786 53.5077729770001,-129.058836786 53.487963977,-129.054063786 53.4535999770001,-129.082699786 53.4292639770001,-129.134463786 53.383881977,-129.141954786 53.369163977,-129.143754786 53.3523539770001,-129.138917786 53.3399909770001),(-129.075563786 53.514717977,-128.992217786 53.576944977,-128.983045786 53.5823539770001,-128.872217786 53.661099977,-128.823608786 53.7005449770001,-128.819990786 53.706108977,-128.828326786 53.712772977,-128.875545786 53.7094359770001,-128.983308786 53.696653977,-129.008054786 53.693317977,-129.038608786 53.6863819770001,-129.052490786 53.6811089770001,-129.140836786 53.645544977,-129.150163786 53.640544977,-129.161945786 53.6255449770001,-129.165836786 53.610826977,-129.167781786 53.5938819770001,-129.157499786 53.3927729770001,-129.084581786 53.449290977,-129.082645786 53.4608269770001,-129.087081786 53.470272977,-129.093599786 53.485963977,-129.087772786 53.502217977,-129.075563786 53.514717977),(-129.229154787 53.328881977,-129.255572787 53.3331909770001,-129.270981787 53.3299909770001,-129.325290787 53.2160999770001,-129.337490787 53.186590977,-129.336399787 53.152772977,-129.333599787 53.1399999770001,-129.326663787 53.1285999770001,-129.311399787 53.1169359770001,-129.289463787 53.101935977,-129.259463787 53.098044977,-129.157381786 53.098044977,-129.136408786 53.104999977,-129.132199786 53.116099977,-129.145290786 53.2216539770001,-129.168608786 53.2961089770001,-129.178617786 53.3066539770001,-129.194154787 53.3155449770001,-129.208890787 53.3219359770001,-129.226926787 53.3260999770001,-129.229154787 53.328881977),(-129.074308786 53.1061089770001,-129.082490786 53.0899909770001,-129.114772786 53.0686729770001,-129.118045786 53.0791639770001,-129.131654786 53.078044977,-129.158199786 53.072217977,-129.166654786 53.0660999770001,-129.188045786 53.0241639770001,-129.191663787 53.010553977,-129.187226786 52.965544977,-129.185545786 52.9552729770001,-129.175290786 52.9363819770001,-129.163545786 52.9224909770001,-129.105836786 52.904708977,-129.094999786 52.9024909770001,-129.069154786 52.903881977,-129.055845786 52.9091539770001,-128.863326786 53.0365269770001,-128.912781786 53.073053977,-128.960554786 53.099163977,-128.977490786 53.0999909770001,-128.990672786 53.0965179770001,-129.004726786 53.1099909770001,-129.015426786 53.131381977,-129.006954786 53.1383269770001,-128.967226786 53.123326977,-128.895572786 53.082772977,-128.843599786 53.0441539770001,-128.838608786 53.032635977,-128.854981786 53.025272977,-128.869990786 53.0219359770001,-128.951781786 52.9736639770001,-129.022245786 52.905544977,-129.080408786 52.876517977,-129.099308786 52.879990977,-129.110808786 52.877490977,-129.120954786 52.866099977,-129.121917786 52.8522179770001,-129.118863786 52.831381977,-129.114436786 52.8219359770001,-129.110808786 52.8174999770001,-129.108608786 52.812763977,-129.080290786 52.7724909770001,-129.047790786 52.731372977,-129.032772786 52.719708977,-128.999999786 52.6972089770001,-128.888490786 52.6484639760001,-128.846372786 52.653317976,-128.778899786 52.6641539770001,-128.765563786 52.6955449770001,-128.771117786 52.7047089770001,-128.778899786 52.7213819770001,-128.780990786 52.7370729770001,-128.763354786 52.807763977,-128.752517786 52.8333269770001,-128.678463786 52.960272977,-128.667508786 52.9673539770001,-128.646745786 52.9619359770001,-128.641963786 52.9485999770001,-128.643336786 52.9155449770001,-128.646545786 52.9009639770001,-128.653354786 52.8927729770001,-128.692508786 52.856099977,-128.747417786 52.7530449770001,-128.750272786 52.599017976,-128.601108786 52.6084639760001,-128.592226786 52.6138819760001,-128.585817786 52.6322089760001,-128.581372786 52.657908976,-128.593599786 52.659153976,-128.572017786 52.686999977,-128.522799786 52.8880449770001,-128.520017786 52.8997179770001,-128.518336786 52.911099977,-128.517790786 52.927490977,-128.518336786 52.9435999770001,-128.520572786 52.9594359770001,-128.528899786 53.011108977,-128.531681786 53.0210999770001,-128.576108786 53.105272977,-128.605563786 53.145272977,-128.624690786 53.155544977,-128.641963786 53.161372977,-128.652217786 53.1627639770001,-128.675136786 53.1633269770001,-128.689454786 53.164435977,-128.708463786 53.1722179770001,-128.775299786 53.208881977,-128.832217786 53.2405449770001,-128.843599786 53.2480449770001,-128.863890786 53.263608977,-128.879581786 53.277908977,-128.896117786 53.289026977,-129.022226786 53.3055449770001,-129.043063786 53.3047089770001,-129.066654786 53.300826977,-129.082917786 53.295135977,-129.089717786 53.2872179770001,-129.082217786 53.2677729770001,-129.071926786 53.259990977,-129.064726786 53.2511089770001,-129.060272786 53.241663977,-129.058899786 53.231372977,-129.070554786 53.1316639770001,-129.074308786 53.1061089770001),(-128.520290786 52.6549909760001,-128.514308786 52.643190976,-128.503481786 52.6442999760001,-128.454026786 52.7797179770001,-128.450836786 52.805263977,-128.470126786 52.8508269770001,-128.488736786 52.8669359770001,-128.498872786 52.870826977,-128.506136786 52.8730449770001,-128.512099786 52.8641539770001,-128.533626786 52.769153977,-128.534999786 52.7580449770001,-128.540008786 52.7033269770001,-128.520290786 52.6549909760001),(-128.210636786 52.7985179770001,-128.263226786 52.784644977,-128.325699786 52.7737359770001,-128.323054786 52.741099977,-128.292690786 52.6615449760001,-128.288617786 52.6055539760001,-128.276808786 52.5967269760001,-128.261408786 52.604435976,-128.248472786 52.618599976,-128.209017786 52.701653977,-128.178617786 52.7760999770001,-128.175845786 52.787772977,-128.170290786 52.8177729770001,-128.177563786 52.8249269770001,-128.210636786 52.7985179770001),(-128.373317786 52.7911089770001,-128.386672786 52.7974909770001,-128.438126786 52.7532639770001,-128.450145786 52.6238819760001,-128.437772786 52.543608976,-128.467208786 52.3899999760001,-128.458190786 52.375126976,-128.441681786 52.3680449760001,-128.430299786 52.3680449760001,-128.403354786 52.3716539760001,-128.386408786 52.374990976,-128.368726786 52.3805449760001,-128.311399786 52.4238819760001,-128.286408786 52.4577729760001,-128.275436786 52.4930449760001,-128.321381786 52.634717976,-128.358608786 52.7291539770001,-128.362763786 52.7402729770001,-128.373317786 52.7911089770001),(-128.613308786 52.364435976,-128.616090786 52.4485999760001,-128.618726786 52.4566639760001,-128.636963786 52.4685999760001,-128.650299786 52.4744359760001,-128.677917786 52.482208976,-128.750017786 52.469708976,-128.759181786 52.4494359760001,-128.762099786 52.4249909760001,-128.748317786 52.3691539760001,-128.724363786 52.312626976,-128.672090786 52.2663909760001,-128.627763786 52.308463976,-128.618881786 52.3269359760001,-128.614717786 52.3533269760001,-128.613308786 52.364435976),(-128.069454785 52.2947179760001,-128.158626786 52.2563819760001,-128.168490786 52.2472179760001,-128.092772785 52.1922179760001,-128.083054785 52.187490976,-128.054172785 52.1805449760001,-128.036408785 52.1774909760001,-127.933608785 52.173044976,-127.921245785 52.1755539760001,-127.910554785 52.1863819760001,-127.907563785 52.2030449760001,-127.951108785 52.279717976,-127.958617785 52.287499976,-127.961936785 52.2894359760001,-127.976108785 52.2959639760001,-128.043899785 52.301099976,-128.069454785 52.2947179760001),(-127.828336785 52.1758269760001,-127.851390785 52.141381976,-127.873608785 52.0949909760001,-127.881099785 52.078881976,-127.900554785 51.999435976,-127.901108785 51.9858269760001,-127.899436785 51.973317976,-127.893199785 51.9537449760001,-127.882908785 51.9463819760001,-127.870826785 51.9447089760001,-127.720972785 51.9785999760001,-127.708054785 51.9883269760001,-127.700690785 52.001663976,-127.699581785 52.0145729760001,-127.703890785 52.028881976,-127.701108785 52.041108976,-127.691936785 52.0636089760001,-127.686945785 52.0744359760001,-127.654163785 52.1238819760001,-127.596308785 52.151790976,-127.582981785 52.1738819760001,-127.442490785 52.2395819760001,-127.425826785 52.246099976,-127.361936785 52.264717976,-127.325845785 52.268053976,-127.306517785 52.2729089760001,-127.289172785 52.2794359760001,-127.270845785 52.288608976,-127.247499785 52.301935976,-127.232226785 52.3130449760001,-127.218890785 52.325826976,-127.209163785 52.3399909760001,-127.234736785 52.416935976,-127.261672785 52.4359539760001,-127.362781785 52.403881976,-127.417772785 52.3852729760001,-127.455626785 52.3664449760001,-127.458754785 52.3481909760001,-127.513336785 52.3056909760001,-127.586399785 52.281108976,-127.654999785 52.259717976,-127.680826785 52.258890976,-127.699999785 52.257217976,-127.749308785 52.246799976,-127.789172785 52.2219269760001,-127.797499785 52.213881976,-127.817499785 52.1913729760001,-127.828336785 52.1758269760001),(-127.983317785 52.061935976,-127.995826785 52.062763976,-128.060817785 52.0563819760001,-128.107754785 52.0516539760001,-128.148072786 52.0369359760001,-128.177799786 52.008326976,-128.217499786 51.9627729760001,-128.222226786 51.953326976,-128.253772786 51.8690179760001,-128.134036786 51.7452729760001,-128.119717786 51.741663976,-128.053890785 51.7536089760001,-128.035826785 51.760826976,-128.015836785 51.7719359760001,-128.008345785 51.780408976,-127.954726785 51.9810999760001,-127.951399785 52.030544976,-127.951217785 52.0469089760001,-127.957508785 52.054435976,-127.983317785 52.061935976),(-131.004726788 52.005826976,-130.992490788 52.0608179760001,-131.009463788 52.102772976,-131.077208788 52.1502729760001,-131.083617788 52.151381976,-131.101926788 52.151926976,-131.113326788 52.1495729760001,-131.122499788 52.1247089760001,-131.126372788 52.1069449760001,-131.127199788 52.095544976,-131.120545788 52.0555449760001,-131.101654788 52.0027729760001,-131.094999788 51.9899909760001,-131.074154788 51.970544976,-131.048617788 51.9513819760001,-131.033063788 51.9429089760001,-131.020281788 51.943463976,-131.004726788 52.005826976),(-131.173336788 52.123599976,-131.115126788 52.168290976,-131.033617788 52.172772976,-131.013626788 52.1906819760001,-131.010699788 52.2187359760001,-131.094999788 52.286108976,-131.136408788 52.3113819760001,-131.175826788 52.3186089760001,-131.252226788 52.2965269760001,-131.265290788 52.2809639760001,-131.329436788 52.2882539760001,-131.325181788 52.3339359760001,-131.303117788 52.3320999760001,-131.260708788 52.345272976,-131.249172788 52.362499976,-131.234436788 52.436935976,-131.264054788 52.4395729760001,-131.320690788 52.432635976,-131.359008789 52.4082359760001,-131.366608789 52.3847819760001,-131.395617789 52.3764449760001,-131.427490789 52.4149909760001,-131.423617789 52.460817976,-131.474717789 52.5045819760001,-131.560136789 52.5310359760001,-131.659454789 52.5816639760001,-131.682645789 52.639853976,-131.729290789 52.6959639770001,-131.771545789 52.715272977,-131.856381789 52.856099977,-131.938336789 52.8792999770001,-131.960690789 52.874853977,-131.980545789 52.877626977,-131.941663789 52.933326977,-131.894945789 52.938526977,-131.870272789 52.922763977,-131.849154789 52.9019269770001,-131.833617789 52.884990977,-131.805417789 52.8652729770001,-131.695972789 52.868463977,-131.668545789 52.878526977,-131.615536789 52.9202729770001,-131.596663789 52.961653977,-131.603881789 52.9816539770001,-131.621799789 52.994990977,-131.653763789 53.005826977,-131.821399789 53.0413819770001,-131.861099789 53.040063977,-131.893754789 53.0233269770001,-131.910154789 53.008190977,-131.964717789 53.046390977,-131.943326789 53.054990977,-131.821672789 53.072490977,-131.781872789 53.0705449770001,-131.746126789 53.056235977,-131.634308789 53.0334639770001,-131.597736789 53.040790977,-131.630554789 53.0841639770001,-131.762236789 53.196653977,-131.799517789 53.2513819770001,-131.924863789 53.231799977,-132.007508789 53.1947089770001,-132.030581789 53.179990977,-132.065826789 53.1559639770001,-132.210817789 53.1416639770001,-132.378599789 53.1294359770001,-132.41363679 53.127490977,-132.45110879 53.1280449770001,-132.49152679 53.132353977,-132.53265479 53.145544977,-132.55791779 53.1462359770001,-132.55418179 53.092072977,-132.50987279 53.042635977,-132.48789979 53.0299909770001,-132.411954789 53.031935977,-132.295008789 53.031108977,-132.261554789 53.029844977,-132.113736789 52.9949179770001,-132.156399789 52.958881977,-132.167781789 52.9280449770001,-132.248608789 52.9538089770001,-132.321672789 52.9469359770001,-132.344572789 52.9354819770001,-132.316408789 52.9022179770001,-132.219163789 52.8085359770001,-132.115108789 52.7492999770001,-132.059236789 52.8063819770001,-132.034181789 52.812763977,-131.965545789 52.790272977,-131.941454789 52.7691639770001,-131.923826789 52.7252639770001,-131.944454789 52.7355449770001,-131.968472789 52.7606909770001,-132.004026789 52.775481977,-132.060272789 52.7552729770001,-132.083326789 52.729844977,-132.017517789 52.677490977,-131.892790789 52.5827729760001,-131.768772789 52.508326976,-131.709445789 52.491099976,-131.670426789 52.4809639760001,-131.561399789 52.431663976,-131.534454789 52.399917976,-131.579954789 52.3856819760001,-131.573336789 52.3608269760001,-131.551117789 52.333881976,-131.411681789 52.220544976,-131.389463789 52.205826976,-131.363599789 52.1908179760001,-131.298890788 52.1502729760001,-131.264736788 52.119708976,-131.173336788 52.123599976),(-129.912226787 53.1563819770001,-129.864163787 53.153044977,-129.762236787 53.1588819770001,-129.753354787 53.164572977,-129.742490787 53.178326977,-129.731245787 53.2010999770001,-129.729154787 53.215272977,-129.881808787 53.3949909770001,-129.920563787 53.424163977,-129.932217787 53.4313819770001,-129.944154787 53.4385999770001,-129.977199787 53.4555539770001,-130.140836787 53.528881977,-130.202208787 53.5538819770001,-130.275299788 53.5802729770001,-130.375545788 53.6122089770001,-130.391108788 53.6169359770001,-130.395845788 53.6194359770001,-130.450290788 53.634990977,-130.459990788 53.6374999770001,-130.508363788 53.6319359770001,-130.521272788 53.6216539770001,-130.529726788 53.5705449770001,-130.527217788 53.5522179770001,-130.401945788 53.4799909770001,-130.316408788 53.3919359770001,-130.305845788 53.3841639770001,-130.291672788 53.381517977,-130.261408787 53.384717977,-130.242490787 53.3841639770001,-130.203336787 53.3788729770001,-130.165008787 53.358326977,-130.111117787 53.328044977,-130.088045787 53.289435977,-129.934308787 53.1599909770001,-129.912226787 53.1563819770001),(-130.148617787 53.5719359770001,-130.107754787 53.5674999770001,-130.094708787 53.568190977,-130.118326787 53.6842999770001,-130.233308787 53.7836089780001,-130.246645787 53.7902729780001,-130.261690787 53.796390978,-130.271945788 53.7977729780001,-130.283626788 53.7983359780001,-130.298890788 53.7969449780001,-130.391108788 53.6994359770001,-130.403354788 53.682490977,-130.390290788 53.6699909770001,-130.342499788 53.6247089770001,-130.329163788 53.6180449770001,-130.223599787 53.588317977,-130.148617787 53.5719359770001),(-129.546963787 53.160272977,-129.548063787 53.1491639770001,-129.544172787 53.130690977,-129.521945787 53.1310999770001,-129.508617787 53.1280449770001,-129.475281787 53.101935977,-129.429172787 53.0497179770001,-129.424708787 53.040272977,-129.419017787 53.0158269770001,-129.341090787 52.9733179770001,-129.312226787 52.966935977,-129.292163787 52.9719269770001,-129.290008787 52.9936089770001,-129.352781787 53.072217977,-129.432490787 53.151381977,-129.462772787 53.179990977,-129.475263787 53.1865179770001,-129.494426787 53.1887359770001,-129.518063787 53.1847089770001,-129.538608787 53.171663977,-129.546963787 53.160272977),(-129.292372787 52.7642999770001,-129.270572787 52.7191539770001,-129.263336787 52.710544977,-129.210817787 52.648881976,-129.114717786 52.5566539760001,-128.978590786 52.4531819760001,-128.961672786 52.4594359760001,-128.946381786 52.4676269760001,-128.936399786 52.480544976,-128.922517786 52.5152729760001,-128.918608786 52.5274909760001,-128.922436786 52.6054819760001,-128.946963786 52.6263819760001,-129.066099786 52.7147179770001,-129.104154786 52.741099977,-129.218317787 52.8091539770001,-129.231108787 52.8160999770001,-129.252226787 52.8252729770001,-129.266536787 52.826381977,-129.279308787 52.8201359770001,-129.292372787 52.7642999770001),(-128.780154786 52.494708976,-128.755008786 52.487772976,-128.663145786 52.4919269760001,-128.595536786 52.4601359760001,-128.513763786 52.432072976,-128.494136786 52.4349909760001,-128.483745786 52.438735976,-128.470826786 52.449717976,-128.466108786 52.459153976,-128.464581786 52.470544976,-128.467772786 52.483044976,-128.471926786 52.492763976,-128.479708786 52.506663976,-128.487072786 52.518053976,-128.500854786 52.543608976,-128.521945786 52.591381976,-128.528899786 52.6111089760001,-128.531681786 52.621099976,-128.535281786 52.647217976,-128.567508786 52.6224909760001,-128.578181786 52.5936449760001,-128.724699786 52.5916639760001,-128.735690786 52.589017976,-128.810008786 52.539999976,-128.812572786 52.521381976,-128.780154786 52.494708976),(-131.468599789 52.733326977,-131.479999789 52.736799977,-131.659454789 52.730272977,-131.688045789 52.7265179770001,-131.709717789 52.7052729770001,-131.623599789 52.6088909760001,-131.611936789 52.5960999760001,-131.601381789 52.5885999760001,-131.589572789 52.5855449760001,-131.464445789 52.627490976,-131.456390789 52.633599976,-131.441372789 52.6841539770001,-131.439726789 52.7042999770001,-131.449436789 52.714999977,-131.468872789 52.7305449770001,-131.468599789 52.733326977),(-128.364990786 52.1624909760001,-128.313626786 52.1297179760001,-128.308045786 52.1288729760001,-128.299990786 52.1336089760001,-128.229354786 52.215372976,-128.297245786 52.237208976,-128.345272786 52.238599976,-128.356654786 52.2358269760001,-128.373736786 52.2262359760001,-128.378463786 52.2169359760001,-128.373045786 52.185263976,-128.364990786 52.1624909760001),(-128.252808786 52.1713819760001,-128.292917786 52.1162449760001,-128.291108786 52.1019359760001,-128.253081786 52.019717976,-128.242481786 52.015690976,-128.220826786 52.0144449760001,-128.209026786 52.017217976,-128.151117786 52.0811089760001,-128.147517786 52.0927639760001,-128.152926786 52.106244976,-128.158626786 52.119708976,-128.155426786 52.1563729760001,-128.148072786 52.183326976,-128.146817786 52.1888819760001,-128.157654786 52.195963976,-128.188045786 52.193599976,-128.231936786 52.187490976,-128.242081786 52.182072976,-128.252808786 52.1713819760001),(-128.062226785 52.0749999760001,-128.051117785 52.0741639760001,-127.962781785 52.074717976,-127.945408785 52.0774999760001,-127.891526785 52.1290179760001,-127.880136785 52.1694449760001,-127.891108785 52.171663976,-128.015836785 52.164708976,-128.031681785 52.163290976,-128.106936785 52.1524909760001,-128.117763786 52.1455449760001,-128.107363785 52.102772976,-128.093872785 52.090544976,-128.076381785 52.079990976,-128.062226785 52.0749999760001),(-128.151945786 52.282208976,-128.058681785 52.328326976,-128.058063785 52.3491639760001,-128.085263785 52.396381976,-128.092499785 52.4083269760001,-128.093599785 52.4116639760001,-128.102199785 52.4199909760001,-128.112917785 52.4199909760001,-128.183072786 52.339717976,-128.189181786 52.330826976,-128.210281786 52.2788089760001,-128.184445786 52.2785999760001,-128.151945786 52.282208976),(-128.065272785 51.464153975,-127.924436785 51.4102729750001,-127.914436785 51.410817975,-127.904445785 51.4147089750001,-127.874645785 51.4464449750001,-127.873608785 51.4644359750001,-127.905563785 51.5597179750001,-127.919999785 51.600544976,-127.926390785 51.6088909760001,-127.937763785 51.621935976,-127.951681785 51.6338819760001,-127.967499785 51.651926976,-127.983890785 51.6824909760001,-127.994999785 51.7052729760001,-127.998045785 51.7116639760001,-127.998472785 51.717344976,-128.009172785 51.722344976,-128.136408786 51.6616639760001,-128.147936786 51.650544976,-128.152645786 51.639990976,-128.153626786 51.603744976,-128.078472785 51.472626975,-128.065272785 51.464153975),(-128.133636786 50.4747089740001,-128.051417785 50.446690974,-127.596208785 50.545299975,-127.610281785 50.5658269750001,-127.634454785 50.5780449750001,-127.662508785 50.5813819750001,-127.716808785 50.5847089750001,-127.759717785 50.580553975,-127.793608785 50.584853975,-127.854445785 50.6083269750001,-127.874226785 50.621581975,-127.691381785 50.606653975,-127.581681785 50.593881975,-127.416945785 50.579608975,-127.443599785 50.571663975,-127.491463785 50.566799975,-127.547499785 50.5399999750001,-127.566317785 50.5081909740001,-127.539172785 50.4819359740001,-127.513054785 50.4641539740001,-127.486654785 50.4374909740001,-127.449581785 50.384299974,-127.446954785 50.3727639740001,-127.466317785 50.378181974,-127.501390785 50.402490974,-127.532781785 50.4399909740001,-127.573890785 50.4819359740001,-127.704172785 50.4919359740001,-127.756663785 50.486381974,-127.923326785 50.461726974,-127.979026785 50.344853974,-127.950417785 50.3233269740001,-127.926517785 50.3163819740001,-127.901663785 50.3230539740001,-127.870063785 50.3372089740001,-127.801799785 50.319572974,-127.788890785 50.222217974,-127.832781785 50.176517974,-127.873608785 50.1477729740001,-127.902290785 50.1300639740001,-127.894445785 50.108817974,-127.781390785 50.084163974,-127.632763785 50.1299909740001,-127.548045785 50.130272974,-127.470554785 50.0904089740001,-127.451945785 50.0697179740001,-127.423317785 50.042217974,-127.385272785 50.0273539740001,-127.337499785 50.0320819740001,-127.277845785 50.0568639740001,-127.270554785 50.0991639740001,-127.158336785 50.0963819740001,-127.130281785 50.0847179740001,-127.174445785 50.063044974,-127.183190785 50.041381974,-127.179990785 50.0213819740001,-127.239017785 49.9656179740001,-127.224445785 49.940272974,-127.181517785 49.893190974,-127.126799785 49.8546179740001,-126.994163784 49.8552729740001,-126.939436784 49.8627729740001,-126.876099784 49.873317974,-126.844026784 49.882835974,-126.804445784 49.909153974,-126.679717784 49.878872974,-126.630281784 49.7949999740001,-126.587645784 49.702772974,-126.434708784 49.6633179740001,-126.340845784 49.6486089740001,-126.290699784 49.653599974,-126.240408784 49.6669359740001,-126.209445784 49.673881974,-126.106799784 49.6781909740001,-126.089790784 49.6603359740001,-126.134172784 49.649990974,-126.223890784 49.6405449740001,-126.284726784 49.634435974,-126.350826784 49.629844974,-126.375826784 49.6347179740001,-126.404163784 49.637772974,-126.465972784 49.6361089740001,-126.567917784 49.5804089740001,-126.578554784 49.4120729730001,-126.535699784 49.374081973,-126.463890784 49.381517973,-126.459163784 49.4019269730001,-126.365281784 49.4016539730001,-126.263899784 49.389435973,-126.225563784 49.4102729730001,-126.119999784 49.4230449730001,-126.074726784 49.389435973,-126.063054784 49.346235973,-126.042781784 49.331799973,-126.000481784 49.3231179730001,-125.964099783 49.354717973,-125.963763783 49.375544973,-125.947217783 49.395544973,-125.899654783 49.4228359730001,-125.947917783 49.3142999730001,-125.975836784 49.2943729730001,-126.015145784 49.2864539730001,-126.021945784 49.2655539730001,-125.968645783 49.2272819730001,-125.866099783 49.274435973,-125.796663783 49.3102729730001,-125.779445783 49.2416639730001,-125.750836783 49.1490909730001,-125.720836783 49.1577729730001,-125.664436783 49.1899909730001,-125.609545783 49.2072819730001,-125.639445783 49.164990973,-125.693045783 49.1285999730001,-125.738054783 49.105553973,-125.768063783 49.098599973,-125.751108783 49.0552639730001,-125.504726783 48.9190179730001,-125.465699783 48.9170729730001,-125.323054783 48.965272973,-125.228526783 48.951935973,-125.204445783 48.959299973,-125.126936783 48.9910999730001,-125.069163783 48.9844359730001,-124.956390783 48.982217973,-124.936945783 48.9880449730001,-124.895836782 49.0090909730001,-124.878326782 49.025272973,-124.828754782 49.117490973,-124.817081782 49.1554089730001,-124.817226782 49.1833269730001,-124.822917782 49.2204089730001,-124.807008782 49.235617973,-124.796954782 49.215826973,-124.780490782 49.139435973,-124.843326782 49.0157539730001,-124.905836783 48.970263973,-125.017226783 48.9205449730001,-125.184717783 48.798463973,-125.101526783 48.7248449730001,-125.062499783 48.714999973,-125.028881783 48.7088819730001,-124.922499783 48.679990973,-124.861882455 48.662611677,-124.861882326 48.662611831,-124.820272966 48.6506822200001,-124.795000019 48.6299911560001,-124.765146027 48.608609089,-124.729286801 48.590841325,-124.722992441 48.587722555,-124.720835934 48.586654034,-124.688599972 48.5783271170001,-124.681658219 48.576767643,-124.673800593 48.575002419,-124.635298393 48.5663528540001,-124.609445972 48.560545077,-124.589558796 48.5558782960001,-124.423608953 48.5169360460001,-124.263635804 48.4688820920001,-124.074248778 48.4116146490001,-123.976099979 48.3819361070001,-123.920126971 48.365127038,-123.842792044 48.357236733,-123.811246048 48.354018167,-123.769172917 48.361382172,-123.714445963 48.3480450550001,-123.598346042 48.3116642420001,-123.583326845 48.3011001950001,-123.573067682 48.3029085100001,-123.549855056 48.3070000490001,-123.536946087 48.338327076,-123.513346 48.3747090630001,-123.459726965 48.411936112,-123.419917954 48.4268000760001,-123.360282054 48.3972181610001,-123.355073586 48.3973774770001,-123.328473067 48.3981911320001,-123.309664932 48.4055477970001,-123.292981909 48.41207324,-123.277564069 48.452209145,-123.293472921 48.4827732520001,-123.349035887 48.5418001240001,-123.407572919 48.6820001950001,-123.462190909 48.6810000660001,-123.476672994 48.631664184,-123.509454953 48.5874912190001,-123.54435232 48.6899505860001,-123.564708962 48.7497180940001,-123.564299925 48.7840270680001,-123.586945983 48.83596419,-123.687081898 48.9052731410001,-123.758963927 48.982909179,-123.750908918 49.0365181550001,-123.810273077 49.115827053,-123.943045871 49.211109003,-124.121936782 49.270272973,-124.260836782 49.315272973,-124.527354782 49.3720729730001,-124.551099782 49.378044973,-124.579454782 49.387499973,-124.789436782 49.4641539740001,-124.833072782 49.5108269740001,-124.856663782 49.537081974,-124.916399783 49.631663974,-124.891390782 49.6647089740001,-124.898063783 49.731653974,-124.993054783 49.788326974,-125.112208783 49.8683269740001,-125.168608783 49.912763974,-125.212090783 49.9713089740001,-125.224163783 50.018190974,-125.286945783 50.0813819740001,-125.330836783 50.113881974,-125.362781783 50.1380449740001,-125.377772783 50.179717974,-125.393626783 50.2155449740001,-125.415008783 50.261663974,-125.427226783 50.2874999740001,-125.433326783 50.309508974,-125.456390783 50.326663974,-125.556381783 50.361517974,-125.579999783 50.3658269740001,-125.816963783 50.378044974,-125.938181783 50.383599974,-125.969299783 50.391935974,-126.025136784 50.424853974,-126.046108784 50.4324909740001,-126.069163784 50.4385999740001,-126.154717784 50.459435974,-126.213054784 50.467626974,-126.327790784 50.480817974,-126.355826784 50.4833269740001,-126.390836784 50.4822089740001,-126.493881784 50.4819359740001,-126.563890784 50.483608974,-126.631663784 50.5030539740001,-126.713336784 50.5297089750001,-126.772226784 50.545272975,-126.854717784 50.554435975,-126.975281784 50.5769449750001,-127.226936785 50.6361089750001,-127.354445785 50.6760999750001,-127.459163785 50.718317975,-127.491663785 50.761526975,-127.510972785 50.773326975,-127.677490785 50.817499975,-127.833326785 50.8541639750001,-127.882763785 50.865544975,-127.914026785 50.871799975,-128.053072785 50.871935975,-128.106936785 50.860544975,-128.352490786 50.8006909750001,-128.413272786 50.770890975,-128.406954786 50.738881975,-128.375272786 50.6785999750001,-128.319454786 50.608608975,-128.224154786 50.5311089750001,-128.133636786 50.4747089740001),(-126.807499784 50.769990975,-126.797781784 50.7688819750001,-126.731372784 50.7719359750001,-126.567081784 50.800681975,-126.588608784 50.8213819750001,-126.632636784 50.843881975,-126.645981784 50.8470729750001,-126.884717784 50.8297179750001,-126.903617784 50.8240179750001,-126.864726784 50.7894359750001,-126.853336784 50.7827729750001,-126.807499784 50.769990975),(-126.437208784 50.783881975,-126.545836784 50.7260999750001,-126.616245784 50.6651269750001,-126.602626784 50.6556819750001,-126.584163784 50.6502729750001,-126.568072784 50.648326975,-126.463336784 50.641663975,-126.269726784 50.6537359750001,-126.258472784 50.659290975,-126.253054784 50.6996449750001,-126.177217784 50.746799975,-126.229445784 50.803317975,-126.238326784 50.811099975,-126.251954784 50.8197179750001,-126.251717784 50.8189269750001,-126.258054784 50.824090975,-126.280563784 50.828326975,-126.385963784 50.807208975,-126.437208784 50.783881975),(-126.890290784 50.667217975,-127.090145785 50.6694359750001,-127.109163785 50.6652639750001,-127.129436785 50.654153975,-127.142990785 50.6353449750001,-127.127354785 50.627772975,-127.101936785 50.6274909750001,-127.058326785 50.6324909750001,-127.042772784 50.637499975,-127.020972784 50.639163975,-126.912508784 50.613608975,-126.902499784 50.613881975,-126.834236784 50.628463975,-126.876508784 50.6647089750001,-126.890290784 50.667217975),(-126.488599784 50.553317975,-126.526672784 50.548881975,-126.541945784 50.5494359750001,-126.556954784 50.548608975,-126.574445784 50.5463909750001,-126.604172784 50.539717975,-126.623890784 50.533881975,-126.604172784 50.5252729750001,-126.588054784 50.5213819750001,-126.486108784 50.5155449750001,-126.350563784 50.5202729750001,-126.336399784 50.5216639750001,-126.308881784 50.528326975,-126.225199784 50.558808975,-126.282781784 50.597490975,-126.286117784 50.5983269750001,-126.381099784 50.5747179750001,-126.488599784 50.553317975),(-125.527081783 50.3802639740001,-125.462636783 50.349853974,-125.426099783 50.355553974,-125.398354783 50.364153974,-125.385836783 50.369708974,-125.336936783 50.4166639740001,-125.331117783 50.4317999740001,-125.343063783 50.4416539740001,-125.366654783 50.454163974,-125.370826783 50.455826974,-125.375826783 50.459299974,-125.468326783 50.428744974,-125.477490783 50.4241639740001,-125.518626783 50.390272974,-125.527081783 50.3802639740001),(-125.291945783 50.4338729740001,-125.397217783 50.334163974,-125.399726783 50.3159639740001,-125.388472783 50.2920089740001,-125.372217783 50.2894359740001,-125.356108783 50.2902729740001,-125.335072783 50.301108974,-125.319790783 50.3167269740001,-125.267781783 50.3237449740001,-125.213817783 50.315272974,-125.156108783 50.239153974,-125.139717783 50.159426974,-125.152499783 50.1291639740001,-125.142508783 50.1217999740001,-125.131536783 50.1244269740001,-125.116390783 50.1366539740001,-125.050408783 50.192072974,-125.048608783 50.2077729740001,-125.051108783 50.224153974,-125.061390783 50.240544974,-125.165554783 50.3744359740001,-125.216399783 50.4047089740001,-125.236654783 50.415826974,-125.273063783 50.431108974,-125.279726783 50.434572974,-125.291945783 50.4338729740001),(-124.742772782 50.300681974,-124.779308782 50.273463974,-124.793608782 50.2270729740001,-124.703472782 50.1597089740001,-124.660845782 50.2065909740001,-124.656108782 50.2313729740001,-124.657499782 50.247772974,-124.660281782 50.2606909740001,-124.670554782 50.274299974,-124.683317782 50.2833359740001,-124.695545782 50.2894359740001,-124.726936782 50.2991639740001,-124.727763782 50.3006909740001,-124.742772782 50.300681974),(-124.898617783 50.293881974,-124.906663783 50.2991639740001,-124.920681783 50.298053974,-124.965836783 50.2492999740001,-124.963054783 50.236381974,-124.939163783 50.2077729740001,-124.861108782 50.1363819740001,-124.828963782 50.112981974,-124.809717782 50.1126359740001,-124.753681782 50.1603359740001,-124.756663782 50.1783269740001,-124.821672782 50.239717974,-124.875817782 50.284717974,-124.898617783 50.293881974),(-124.929981783 50.1685999740001,-124.983317783 50.2255449740001,-124.981390783 50.179153974,-124.991672783 50.1683269740001,-125.039717783 50.130544974,-125.064299783 50.1160999740001,-125.064999783 50.1054089740001,-125.000554783 50.056653974,-124.968608783 50.035826974,-124.924154783 50.0585999740001,-124.897781783 50.0774909740001,-124.915281783 50.1413819740001,-124.929981783 50.1685999740001),(-125.153881783 50.0034639740001,-125.186663783 50.141663974,-125.160563783 50.195408974,-125.167217783 50.2136089740001,-125.244854783 50.2894359740001,-125.259036783 50.293744974,-125.310817783 50.2813819740001,-125.339999783 50.2688819740001,-125.345545783 50.263899974,-125.349036783 50.2597179740001,-125.349163783 50.2424909740001,-125.339999783 50.2030449740001,-125.320699783 50.1397179740001,-125.281681783 50.1133269740001,-125.214172783 50.0699909740001,-125.207226783 50.0449999740001,-125.185817783 50.0041639740001,-125.168536783 49.9823449740001,-125.153881783 50.0034639740001),(-124.152217782 49.487353974,-124.137926782 49.4866639740001,-124.127490782 49.489717974,-124.122772782 49.493608974,-124.124163782 49.4991639740001,-124.133472782 49.5227729740001,-124.332781782 49.6833269740001,-124.351390782 49.698044974,-124.381381782 49.713326974,-124.409999782 49.7230449740001,-124.433190782 49.723463974,-124.446108782 49.7233179740001,-124.494717782 49.7333269740001,-124.560836782 49.752408974,-124.590290782 49.771663974,-124.601945782 49.7869359740001,-124.619454782 49.797217974,-124.653881782 49.798472974,-124.657490782 49.7394359740001,-124.627208782 49.7191539740001,-124.614163782 49.7136089740001,-124.557081782 49.698517974,-124.539663782 49.6927639740001,-124.476672782 49.6719359740001,-124.442208782 49.6380449740001,-124.438045782 49.628872974,-124.405836782 49.6058269740001,-124.281390782 49.5466639740001,-124.152217782 49.487353974),(-124.141181782 49.750272974,-124.200690782 49.7040179740001,-124.196663782 49.6769359740001,-124.186945782 49.668881974,-124.153608782 49.6555449740001,-124.139181782 49.6505449740001,-124.126372782 49.6513819740001,-124.112208782 49.662353974,-124.107226782 49.677217974,-124.105563782 49.6894269740001,-124.101099782 49.700272974,-124.090845782 49.7155449740001,-124.074717782 49.7333269740001,-124.060545782 49.7449909740001,-124.046108782 49.7563819740001,-124.025554782 49.7677729740001,-124.018617782 49.7741539740001,-124.032781782 49.7777729740001,-124.091663782 49.7677729740001,-124.141181782 49.750272974),(-123.662509008 49.0352731070001,-123.540554999 48.9449911250001,-123.38474598 48.8599910830001,-123.374708986 48.856664138,-123.319582047 48.8622181550001,-123.312626911 48.8704091180001,-123.321599906 48.8915911930001,-123.381946089 48.9108181060001,-123.420273012 48.920544969,-123.436390908 48.9244360160001,-123.459726965 48.930545083,-123.487499898 48.941100078,-123.499163987 48.9472091440001,-123.521664033 48.9602731790001,-123.586399986 49.000545038,-123.604446056 49.0147181660001,-123.659435867 49.0736090830001,-123.674708868 49.0930450400001,-123.683472986 49.1051361030001,-123.699164077 49.106800078,-123.704581971 49.0977731040001,-123.662509008 49.0352731070001),(-123.580564002 48.935545055,-123.595126888 48.94707319,-123.596117965 48.928327063,-123.595555036 48.9097180650001,-123.592772915 48.8983270580001,-123.550690899 48.7494361270001,-123.524717896 48.722491158,-123.513064033 48.7163820910001,-123.489991 48.7094360080001,-123.478608878 48.708745004,-123.431955038 48.721100097,-123.374026866 48.755554078,-123.369573058 48.7655449710001,-123.433882037 48.8444361150001,-123.457499893 48.8630539980001,-123.533199879 48.913464273,-123.577217946 48.9291642480001,-123.580564002 48.935545055),(-125.817290783 49.1260999730001,-125.797090783 49.1491539730001,-125.788890783 49.172763973,-125.799154783 49.2083269730001,-125.818072783 49.2205449730001,-125.829181783 49.2263819730001,-125.867490783 49.233326973,-125.878881783 49.235826973,-125.930826783 49.218108973,-125.925826783 49.1908269730001,-125.908336783 49.1631819730001,-125.860281783 49.1344359730001,-125.817290783 49.1260999730001),(-126.053126784 49.259572973,-126.072772784 49.3430449730001,-126.086399784 49.3586089730001,-126.096117784 49.3685999730001,-126.108608784 49.380408973,-126.122617784 49.389435973,-126.126936784 49.390272973,-126.136663784 49.393744973,-126.221390784 49.380544973,-126.231945784 49.376381973,-126.239163784 49.2897179730001,-126.226390784 49.2811089730001,-126.189163784 49.264435973,-126.096390784 49.247217973,-126.084445784 49.246381973,-126.067917784 49.249581973,-126.053126784 49.259572973),(-126.616099784 49.6244359740001,-126.613326784 49.648326974,-126.635281784 49.756663974,-126.644726784 49.774163974,-126.678045784 49.825272974,-126.734163784 49.8480449740001,-126.749445784 49.856944974,-126.768717784 49.8786179740001,-126.777499784 49.8797179740001,-126.799154784 49.8760999740001,-126.890554784 49.8477729740001,-126.940554784 49.8313819740001,-126.974863784 49.7451359740001,-126.967372784 49.729017974,-126.905563784 49.685544974,-126.811099784 49.6212359740001,-126.789717784 49.6122089740001,-126.697217784 49.5855449740001,-126.685136784 49.583463974,-126.672354784 49.5845729740001,-126.633054784 49.596099974,-126.622345784 49.6037449740001,-126.616099784 49.6244359740001),(-123.365408781 49.535553974,-123.380826781 49.5361089740001,-123.436663781 49.5222179740001,-123.445263781 49.515272974,-123.453054781 49.495544974,-123.459590781 49.4688729740001,-123.445117781 49.4401269730001,-123.374999781 49.4333269730001,-123.360281781 49.433053973,-123.329863781 49.4426269740001,-123.320845781 49.4499909740001,-123.317781781 49.4641539740001,-123.319454781 49.4747089740001,-123.323899781 49.4885999740001,-123.329863781 49.498608974,-123.338336781 49.5060999740001,-123.354999781 49.5319359740001,-123.365408781 49.535553974)),((-61.504105723 86.3672130080001,-60.3781467219999 86.3340580080001,-60.196062722 86.336204008,-60.1960625899999 86.336203965,-60.196062382 86.3362039680001,-60.1960621219999 86.336203884,-60.085073157 86.3005843890001,-58.92172837 85.9272341700001,-58.906458997 85.9149532650001,-58.883030998 85.8961105130001,-58.408690813 85.2909739420001,-58.372674124 85.245025872,-58.295173473 85.1461548940001,-58.295062609 85.1461042390001,-57.921824381 84.9755672520001,-57.718282157 84.870155293,-57.5346087189999 84.7605910080001,-57.534608594 84.7605909330001,-57.52865629 84.756365294,-57.1877430489999 84.51434528,-57.187742557 84.5143448540001,-57.184724252 84.5117302630001,-57.088985818 84.4287973310001,-57.074605515 84.414140724,-57.0369546759999 84.3757664560001,-57.0203783059999 84.361646013,-56.9989262509999 84.343372258,-56.980840907 84.324940994,-56.977918529 84.3219627190001,-56.9377298169999 84.271875847,-56.8988657799999 84.2322799870001,-56.858611727 84.181157549,-56.8400680409999 84.161413705,-56.8206484799999 84.1407372990001,-56.80656339 84.121823319,-56.7900473349999 84.093674429,-56.7582744759999 84.0395228340001,-56.720785314 83.9409768660001,-56.719056548 83.9282561780001,-56.718005025 83.9205188070001,-56.7165588559999 83.9098775360001,-56.717621778 83.82378192,-56.721706458 83.808195181,-56.743157563 83.7263398600001,-56.743157576 83.7263398090001,-56.743157604 83.7263397020001,-56.7471360019999 83.718054039,-56.8041066769999 83.5994032980001,-56.8381515519999 83.5527870130001,-56.859942165 83.5229499970001,-56.926243477 83.449420466,-56.974921557 83.4077288380001,-56.9834683679999 83.4015012150001,-57.085804862 83.3269338550001,-57.097460487 83.3200818070001,-57.1440221299999 83.2927093930001,-57.187215254 83.2605416110001,-57.206536604 83.2461521690001,-57.258490533 83.2134663520001,-57.259606709 83.2126101910001,-57.260581391 83.2118625630001,-57.3734845929999 83.137567377,-57.393004617 83.127146596,-57.411684926 83.1171740980001,-57.454036279 83.0855270050001,-57.499870072 83.051277655,-57.5345173169999 83.030729529,-57.5614452459999 83.008193099,-57.577678417 82.994607289,-57.680646021 82.9271537220001,-57.693856723 82.9144810080001,-57.6938567409999 82.9144809900001,-57.693856807 82.9144809270001,-57.7203985049999 82.895913824,-57.7422812689999 82.8806058530001,-57.750968777 82.8630065470001,-57.7561895859999 82.8524301410001,-57.862475252 82.7731832960001,-57.8662254929999 82.7710580630001,-57.969839825 82.714687966,-57.969839892 82.7146879300001,-58.0109931119999 82.6922990290001,-58.01099355 82.6922988470001,-58.014740457 82.6907377640001,-58.014740505 82.690737744,-58.2084159199999 82.610046331,-58.233755856 82.6011033490001,-58.242765295 82.5979237340001,-58.402228034 82.5553884280001,-58.4022281059999 82.555388409,-58.7022232259999 82.4753673060001,-58.943509547 82.426340236,-59.0735185629999 82.3999236490001,-59.2800337899999 82.3671216590001,-59.3309832739999 82.3533539910001,-59.330983316 82.3533539800001,-59.418355165 82.329744191,-59.5950036909999 82.2966441360001,-59.819955356 82.2620935350001,-59.901475701 82.2495727250001,-59.917563649 82.2440698180001,-59.917620013 82.2440505390001,-59.99547727 82.2174193500001,-60.226839362 82.1800546410001,-60.9834848959999 82.057857267,-62.1626382759999 81.8674253680001,-64.179832115 81.3013073710001,-66.266666667 80.834722222,-66.4341666669999 80.8188888890001,-66.434275167 80.8195318740001,-66.480308393 80.8179719550001,-66.4833787969999 80.817647122,-66.483378358 80.8176450390001,-67.118314729 80.7500315610001,-67.118611111 80.7500000000001,-68.071563736 80.4884991660001,-68.330701991 80.4173887370001,-68.333333333 80.4166666670001,-68.9975202489999 80.0007322180001,-69.0296095969999 79.967049413,-69.330975354 79.650718768,-72.998218009 78.8020935370001,-73.7650247939999 78.417358478,-74.765242668 77.5006565100001,-74.7652427479999 77.500656436,-74.9986835079999 76.685066777,-74.9986836699999 76.685066211,-74.998683511 76.685066057,-74.2721330809999 75.9786335890001,-73.2661848399999 75.00053975,-73.034235415 74.8355314230001,-72.968535585 74.791890256,-72.8820093799999 74.7344151520001,-72.229464849 74.581213403,-71.750830428 74.4688415620001,-71.685909195 74.455543634,-71.603356382 74.4386342000001,-71.417198952 74.400503255,-70.550482304 74.2018781840001,-70.463644401 74.183965798,-70.382139092 74.1671533860001,-70.278535033 74.1395147170001,-70.2467724959999 74.1310413590001,-70.199907239 74.118539017,-70.166853944 74.1126463940001,-70.131010362 74.1062563290001,-70.100178973 74.1007598200001,-69.865166941 74.0354777140001,-69.857564926 74.0352177720001,-69.8326645619999 74.034366332,-69.670326314 73.992140588,-69.516536957 73.9521384920001,-69.247847322 73.8844060750001,-69.18263073 73.8679660010001,-69.182630622 73.8679659740001,-69.103515407 73.8445337540001,-68.848725883 73.7690705950001,-68.7998335 73.7674035040001,-68.660140177 73.7314082090001,-68.617948702 73.720536575,-68.482873113 73.6857311480001,-68.1992472489999 73.6196152100001,-68.083129266 73.6018358300001,-68.056907351 73.5991820730001,-67.26890324 73.5194330620001,-67.248631851 73.5173815200001,-66.7828190289999 73.4626870710001,-66.415803417 73.419593117,-66.132461485 73.3018082340001,-65.5997318029999 73.057504765,-65.116602813 72.8359475820001,-65.0007665589999 72.785666856,-65.0007664239999 72.785666797,-64.9660450709999 72.7523318300001,-64.9353994269999 72.737072019,-64.9230582339999 72.7309267970001,-64.8990992889999 72.718996587,-64.6338148949999 72.601211811,-64.431866436 72.501761645,-64.3564191359999 72.4671844220001,-64.215472602 72.402589139,-63.6815697229999 72.1836869940001,-63.6815693569999 72.1836868440001,-63.6742038209999 72.1803377200001,-63.6415490369999 72.1654895250001,-63.500732039 72.1014597550001,-63.399094847 72.0463730220001,-63.348507766 72.0189551350001,-63.050724924 71.869502121,-62.881833237 71.7844972510001,-62.834472773 71.74902523,-62.816555895 71.7356058550001,-62.7424144999999 71.680208776,-62.549613177 71.5361511940001,-62.537973038 71.5252265770001,-62.531558057 71.519205926,-62.482391494 71.4847596910001,-62.46275945 71.465373626,-62.416282268 71.4194787760001,-62.36344461 71.3732427190001,-62.282951332 71.3028063690001,-62.1485078819999 71.20057896,-61.9105604929999 71.015841859,-61.8784621519999 70.990921416,-61.700178454 70.8525058880001,-61.6831039479999 70.8418481310001,-61.671077488 70.8343413200001,-61.617400274 70.8008364730001,-61.4851861609999 70.700539269,-61.467126271 70.686839094,-61.333235598 70.585270058,-61.2826800779999 70.5505460430001,-61.203156237 70.322766791,-61.186527917 70.2751384810001,-61.166590691 70.2180325080001,-61.133817935 70.1358069190001,-61.131874844 70.1183062530001,-61.100133259 70.070622176,-61.072264191 70.0287556220001,-61.065490444 70.0185797010001,-60.998272621 69.9191309830001,-60.998272593 69.919130941,-60.9855471 69.917952546,-60.9832718499999 69.917741855,-60.979530986 69.896982688,-60.976078679 69.8778248140001,-60.965501148 69.819126952,-60.906134009 69.6472675950001,-60.8964763349999 69.619310012,-60.8499659779999 69.484669195,-60.8499655809999 69.484668915,-60.534049506 69.2619161360001,-60.4496881869999 69.2024328750001,-60.4285349469999 69.191275649,-60.42087829 69.1872371630001,-60.383853944 69.1677087590001,-60.299687745 69.1024278140001,-60.177970386 69.0220235520001,-60.1482987209999 69.002422992,-60.148298349 69.002422746,-60.141893393 68.9987274200001,-60.03274167 68.935752558,-59.2332777 68.6335116270001,-59.23327764 68.633511604,-59.23298317 68.628499149,-59.232445377 68.6193448820001,-59.232445371 68.6193447850001,-59.23244535 68.619344433,-59.1151704499999 68.582215766,-59.082986811 68.572026581,-59.0666072729999 68.5668408980001,-59.0171625849999 68.5360059800001,-58.995961558 68.5281108870001,-58.699377192 68.4176652460001,-58.689695391 68.4052461860001,-58.648268415 68.3521068860001,-58.6359449129999 68.339493985,-58.609598115 68.3125284720001,-58.565214995 68.2671030820001,-58.507622848 68.1934226910001,-58.476696277 68.1538568490001,-58.448831304 68.118207854,-58.442753291 68.1119083790001,-58.442200573 68.1113355210001,-58.4335539259999 68.102373818,-58.423089451 68.0828480480001,-58.414944452 68.0676502110001,-58.382446407 68.0190370970001,-58.34538866 67.9718829920001,-58.3171714499999 67.9359780240001,-58.237928681 67.839794123,-58.223944886 67.822820764,-58.150788946 67.7340249820001,-58.098847841 67.6520772270001,-58.0988477179999 67.652077101,-58.089388974 67.642460064,-58.032182732 67.584296468,-57.9505179019999 67.5020706290001,-57.932864492 67.4846795710001,-57.931907548 67.4837368490001,-57.931907179 67.4837364860001,-57.9269533 67.4787822810001,-57.9220534729999 67.473882131,-57.9157964199999 67.4676246660001,-57.9156323889999 67.4674423960001,-57.9124123359999 67.4638642990001,-57.9007968669999 67.4509572850001,-57.900796815 67.450957133,-57.8867955389999 67.4099781620001,-57.8828831339999 67.3985273230001,-57.8669133619999 67.351786954,-57.728922004 66.867065579,-57.7149985309999 66.818156683,-57.69815847 66.7719836850001,-57.666671822 66.6856518750001,-57.6500088069999 66.6192606660001,-57.648898904 66.600371157,-57.632515843 66.5009233420001,-57.617243876 66.40175334,-57.617245912 66.3706086970001,-57.617248076 66.337511497,-57.6172503769999 66.302305727,-57.6322575459999 66.202580498,-57.634886149 66.1802499,-57.644821695 66.095845119,-57.650045838 66.0514648060001,-57.656261338 66.010911993,-57.665330646 65.9517396160001,-57.6658592969999 65.913953382,-57.66672586 65.8520142940001,-57.666907577 65.8415128990001,-57.667004657 65.8359026840001,-57.669943793 65.7988611330001,-57.6842411069999 65.6186739130001,-57.691742113 65.5938149570001,-57.6992448349999 65.568950317,-57.734257607 65.384222804,-57.736125655 65.3746640190001,-57.7506522539999 65.3003315340001,-57.749016519 65.245074162,-57.748711612 65.234773971,-57.746962724 65.229280895,-57.739089099 65.204550656,-57.7328804969999 65.185050081,-57.729029064 65.172653267,-57.717604922 65.1358817730001,-57.71943433 65.1313441820001,-57.7230324299999 65.122419596,-57.732052121 65.1000475110001,-57.7990502489999 64.2005773230001,-57.8043176429999 64.157832657,-57.8109333739999 64.1041462950001,-57.815446987 64.06751853,-57.815447036 64.0675181300001,-57.870397525 63.97316706,-57.883233972 63.951126629,-57.8872413939999 63.9445294880001,-57.9174070139999 63.894869924,-57.933518304 63.868347026,-57.949076358 63.833623984,-57.9622510299999 63.7617838300001,-57.9674156729999 63.733621552,-57.967415708 63.7336213630001,-58.015757144 63.617229718,-58.026470122 63.594698409,-58.031870689 63.5833400510001,-58.026794873 63.5711919460001,-57.9838189559999 63.4683363770001,-57.949655881 63.368888848,-57.6818958809999 62.7838703420001,-57.4163580489999 62.1846853850001,-57.36580667 62.051348149,-57.3632297459999 62.0483893190001,-57.3508068639999 62.0341253390001,-57.348863862 62.0013467140001,-57.215570049 60.9999320750001,-57.144361784 60.6251432880001,-57.106146537 60.4240058780001,-57.1061467719999 60.4240056930001,-57.1040487189999 60.412962984,-57.066833249 60.361481831,-57.061489788 60.3540900190001,-57.007501487 60.2853905530001,-56.846585653 60.1838000710001,-56.450028549 59.8830884830001,-56.417845719 59.858683983,-56.392830031 59.8332505210001,-56.1086339569999 59.5443070690001,-55.926079374 59.4013295820001,-55.892500743 59.362237382,-55.615967747 59.040297181,-55.594268046 58.9777459360001,-55.576171718 58.925580982,-55.5761713489999 58.9255806570001,-55.5761712309999 58.925580315,-55.434872776 58.800807671,-55.397591306 58.651532816,-55.300724718 58.263677982,-55.30072426 58.2636775650001,-55.3007241449999 58.263677106,-55.0236616449999 58.011363842,-55.000744986 57.966936537,-54.9325830019999 57.834793194,-54.2842590129999 57.7404611580001,-53.37311295 57.433555659,-53.372073149 57.4331263130001,-53.241055186 57.365350268,-53.177562657 57.342369686,-53.1747638219999 57.3410985040001,-53.174500716 57.340978981,-52.726302715 57.0954429810001,-52.667907949 57.0642868840001,-52.408721891 56.9259994990001,-51.3272565899999 55.7740882680001,-51.3233817789999 55.751851119,-51.3167168799999 55.7136003750001,-50.997892164 55.4439990830001,-50.707294985 55.1463790030001,-50.1963677059999 54.416059918,-50.1479391889999 53.9729113320001,-50.0547869009999 53.1205124540001,-50.070901713 53.0756919770001,-50.070901224 53.0756913370001,-50.0709012469999 53.075691272,-50.017168763 53.005246707,-49.949090036 52.3600830030001,-49.2813943149999 51.9676331360001,-49.038772712 51.8250279760001,-48.9974970169999 51.7714780910001,-48.995069182 51.7683282610001,-48.634824877 51.416212301,-48.633149863 51.4142612260001,-48.632955711 51.4140349750001,-48.403461651 51.0370748060001,-48.226556472 50.746495313,-48.1999939729999 50.7102747320001,-48.154754711 50.6485859750001,-48.0210057109999 49.634463974,-48.0210698989999 49.6338642160001,-48.021101916 49.6335667180001,-48.03889407 49.5308249400001,-48.070166711 49.350240973,-48.0726237109999 49.345875973,-48.0726236899999 49.345875924,-48.072623813 49.345875705,-48.032075904 49.25177497,-47.988596711 49.1508709730001,-47.984994469 49.1113106020001,-47.9825460119999 49.0844180070001,-47.937368711 49.020468968,-47.9354217109999 49.0002499730001,-47.924195711 48.9839919730001,-47.921120429 48.9750304900001,-47.9191590299999 48.969313991,-47.908138906 48.750347692,-47.8811348639999 48.5578149040001,-47.8542519539999 48.5193022120001,-47.852280836 48.5126759240001,-47.851370453 48.511355974,-47.851187711 48.5110909730001,-47.844546711 48.492174973,-47.8443315379999 48.488271292,-47.844173994 48.4854078540001,-47.81736762 48.3948368360001,-47.7720157109999 48.2416039720001,-47.743430711 48.1166249720001,-47.7461467109999 47.095676971,-47.903260711 46.628232971,-47.920369711 46.5897879710001,-48.013103711 46.447103971,-48.076896711 46.288311971,-48.1048207109999 46.2414089710001,-48.256755711 46.0317729700001,-48.3529537109999 45.7921399700001,-48.376801711 45.75261097,-48.409421397 45.672087923,-48.428504893 45.6249800370001,-48.438931296 45.608050528,-48.482405711 45.53746197,-48.759037712 45.1541479700001,-49.024005712 44.8694539690001,-49.1523937119999 44.7446959690001,-49.842890713 44.2374559690001,-49.996119713 44.107038969,-50.0163777129999 44.095122969,-50.0492937129999 44.0829379690001,-50.085348713 44.0558079680001,-50.0957857129999 44.0520519680001,-50.105567713 44.0438729680001,-50.396809795 43.8951536590001,-50.465499638 43.860078039,-50.465745193 43.8599642610001,-50.470622713 43.8577049680001,-50.548442713 43.8325159680001,-50.720500713 43.749374968,-50.725054713 43.747531968,-51.197314714 43.6046449680001,-51.396788714 43.5223549680001,-51.4549757139999 43.506607968,-51.540635714 43.4988679680001,-51.540635832 43.4988679310001,-51.5406360009999 43.4988679160001,-51.547941307 43.496591746,-51.706606714 43.4471559680001,-51.7267267139999 43.4458239680001,-51.764625714 43.431224968,-52.931878715 43.288620968,-53.303745716 43.2761859680001,-53.9071907159999 43.282400968,-53.922487716 43.285530968,-53.933885716 43.284517968,-53.993141716 43.296609968,-54.051479717 43.292061968,-54.0781837169999 43.294139968,-54.89518585 43.4651322650001,-55.145943416 43.517613978,-55.1496919849999 43.5177678110001,-55.2035407179999 43.519977968,-55.3270547179999 43.0410199680001,-55.3282467179999 43.0383659680001,-55.5404457179999 42.6470449670001,-55.550562718 42.636964967,-55.579110718 42.6033919670001,-55.7361237179999 42.382754967,-55.737195718 42.3813949670001,-55.813470718 42.3113779670001,-55.912366718 42.1814399670001,-55.9134187179999 42.1802759670001,-55.992302718 42.1119819670001,-56.018049718 42.081017967,-56.063485718 42.024436967,-56.0651643369999 42.0227698400001,-56.0655310069999 42.02240585,-56.069198797 42.0193839950001,-56.0744545329999 42.013036066,-56.1103997179999 41.9696219670001,-56.112463718 41.9676899670001,-56.216358719 41.884226966,-56.2305737189999 41.8676439660001,-56.2315667189999 41.866776966,-56.320600719 41.797520966,-56.3381527189999 41.777731966,-56.3401567189999 41.7760959660001,-56.366019719 41.7566179660001,-56.3738597189999 41.7478379660001,-56.375891719 41.7462019660001,-56.378728719 41.744786966,-56.3826207189999 41.7404319660001,-56.384652719 41.738799966,-56.387632719 41.737314966,-56.3912377189999 41.7333449660001,-56.392219719 41.7325789660001,-56.394851719 41.731287966,-56.396919719 41.728981966,-56.4029497189999 41.7241749660001,-56.4082357189999 41.7215499660001,-56.410753719 41.718742966,-56.413118926 41.7168580200001,-56.413767991 41.7163408600001,-56.413988418 41.716231441,-56.4173827189999 41.7145469660001,-56.418018719 41.713837966,-56.421033719 41.7114319660001,-56.426920719 41.7085069660001,-56.432449719 41.702371966,-56.435492719 41.6999709660001,-56.440033278 41.697726792,-56.440710876 41.6973920030001,-56.440719682 41.6973824190001,-56.440756719 41.6973429660001,-56.4427787189999 41.695803966,-56.452361719 41.691161966,-56.461795719 41.6807319660001,-56.462778719 41.6799619660001,-56.467443719 41.6776659660001,-56.479480719 41.6645579660001,-56.4815027189999 41.663018966,-56.4977537189999 41.655138966,-56.5070787189999 41.6449789660001,-56.5080897189999 41.6442099660001,-56.519497719 41.6386749660001,-56.521405719 41.6371199660001,-56.5217077189999 41.636791966,-56.522717719 41.636025966,-56.5227907189999 41.6359909660001,-56.567441719 41.5995599660001,-56.570786719 41.5960669660001,-56.572943719 41.595066966,-56.5747567189999 41.593585966,-56.5781567189999 41.592008966,-56.579712719 41.5907389660001,-56.5910577189999 41.584737966,-56.607632719 41.570778966,-56.612500719 41.5685169660001,-56.6169897189999 41.5645259660001,-56.618629719 41.562808966,-56.619236719 41.5625269660001,-56.6216287189999 41.560399966,-56.6245107189999 41.5590599660001,-56.625597719 41.557922966,-56.626572719 41.557469966,-56.627612719 41.5563809660001,-56.629501719 41.5555029660001,-56.636636719 41.5491509660001,-56.6391887189999 41.5479639660001,-56.6391887899999 41.547963892,-56.63918891 41.5479638360001,-56.639214126 41.54793743,-56.6395937189999 41.547540966,-56.640464719 41.547135966,-56.6415797189999 41.5460019660001,-56.7003167189999 41.5186479660001,-56.7372157189999 41.4950009660001,-56.7539497189999 41.4778929660001,-56.754949719 41.4772239660001,-56.777400719 41.4670379660001,-56.7808987189999 41.4635549660001,-56.782860719 41.4623109660001,-56.799657719 41.4549099660001,-56.892887719 41.394873966,-56.8948397189999 41.393728966,-56.8949357189999 41.3936889660001,-56.8981527189999 41.391612966,-56.900105719 41.3904679660001,-57.148691103 41.2849678040001,-57.1627386759999 41.2790060090001,-57.5579360199999 41.063794886,-57.55797524 41.063779057,-57.5588797199999 41.063414966,-57.61351572 41.0444439660001,-57.63461072 41.0330089660001,-57.6355827199999 41.0326289660001,-57.73832272 40.9974429660001,-57.75505872 40.9886809660001,-57.75796472 40.9876379660001,-57.77473272 40.9849369660001,-57.93266672 40.930471966,-58.09419772 40.851330966,-58.0944717199999 40.8512789650001,-58.09613472 40.8504619650001,-58.09660272 40.8503979650001,-58.09803872 40.849691965,-58.09926172 40.8495239650001,-58.10381272 40.8472869650001,-58.1058887199999 40.8470019650001,-58.10860872 40.845663965,-58.1090887189999 40.84559797,-58.11051272 40.844897965,-58.1121217199999 40.8446769650001,-58.1134047199999 40.8440459650001,-58.11524872 40.843791965,-58.115856411 40.8434929050001,-58.116265002 40.8432919580001,-58.116304208 40.8432865670001,-58.11677672 40.8432219650001,-58.11819872 40.8425229650001,-58.1186997199999 40.8424269650001,-58.12010272 40.8417569650001,-58.1208087209999 40.841658969,-58.120808782 40.8416589650001,-58.121359989 40.8413878150001,-58.1239437199999 40.8401169650001,-58.12602472 40.839830965,-58.1287397199999 40.8384949650001,-58.13059572 40.8382399650001,-58.1315997199999 40.8377459650001,-58.13211372 40.8376749650001,-58.1335337199999 40.8369759650001,-58.13424172 40.836877965,-58.13424184 40.836877907,-58.134241897 40.8368778990001,-58.1343935689999 40.836803253,-58.13737372 40.8353369650001,-58.13894372 40.835120965,-58.14023672 40.8344839650001,-58.14345872 40.834039965,-58.143848443 40.8338477280001,-58.144053044 40.8337470070001,-58.144452702 40.8336919110001,-58.14728572 40.833301965,-58.14786872 40.8330149650001,-58.15218972 40.832418965,-58.15264372 40.832194965,-58.1558667199999 40.831750965,-58.15645972 40.831458965,-58.1569747199999 40.831387965,-58.1583937199999 40.830688965,-58.1599657199999 40.8304719650001,-58.16125672 40.829835965,-58.16178272 40.829763965,-58.1631897199999 40.829070965,-58.16774772 40.828440965,-58.167747871 40.8284408980001,-58.16793272 40.828349965,-58.16991372 40.8280449650001,-58.1708217199999 40.8275979650001,-58.17529372 40.826927965,-58.17559672 40.8267779650001,-58.18016772 40.8261469650001,-58.1803397199999 40.8260619650001,-58.18976072 40.8247589650001,-58.2403897199999 40.8171509650001,-58.289103288 40.809588026,-58.28910372 40.809587965,-59.204663721 40.6273679650001,-59.205588721 40.627273965,-59.5053497219999 40.612160965,-59.664770722 40.5850489650001,-59.667627722 40.5849549650001,-59.6873787219999 40.587623965,-59.715903722 40.5828639650001,-59.719683722 40.5827699650001,-59.745657722 40.5863789650001,-59.788932722 40.5793309650001,-59.7946177219999 40.5792369650001,-59.808211722 40.581179965,-59.818028722 40.5794879650001,-59.820723842 40.5793955180001,-59.820885241 40.5793900300001,-59.832577852 40.580953467,-59.8381827219999 40.581702965,-59.853125722 40.579361965,-59.854590722 40.579580965,-59.855981722 40.579362965,-59.8581997219999 40.579693965,-59.865417722 40.5785619650001,-59.865683722 40.5786009650001,-59.876787722 40.576857965,-59.877723722 40.576997965,-59.8843484229999 40.5759570120001,-59.886648119 40.576299706,-59.888058722 40.5765099650001,-59.896640722 40.5751609650001,-59.897605722 40.575304965,-59.898516722 40.5751619650001,-59.909862722 40.5768499650001,-59.9210597219999 40.5751129650001,-59.922934722 40.5751129650001,-59.9342287219999 40.576815965,-59.9406707219999 40.576815965,-59.941370722 40.5769209650001,-59.952417722 40.5751779650001,-59.958166163 40.5760298640001,-59.9585448559999 40.576086015,-59.959176187 40.5759888170001,-59.959506499 40.5759380000001,-59.9607535 40.575941578,-59.969860722 40.5759679650001,-59.970393722 40.5758839650001,-59.972973601 40.575970023,-59.973181773 40.575977004,-59.9757241579999 40.5759839310001,-59.984130722 40.576006965,-59.989294722 40.5751899650001,-59.990280722 40.5753359650001,-59.991198722 40.575190965,-59.9999057219999 40.576477965,-60.002861722 40.5760179650001,-60.0137307219999 40.5760189650001,-60.019528722 40.5751159650001,-60.021432722 40.5751159650001,-60.038115722 40.577621965,-60.040240722 40.577621965,-60.0451797219999 40.5783639650001,-60.105708722 40.580328965,-60.115297722 40.5788929650001,-60.1222648519999 40.5789786720001,-60.122857443 40.578986033,-60.126345897 40.579530678,-60.138085722 40.581363965,-60.1701614799999 40.5823774830001,-60.176379257 40.582574019,-60.176379722 40.58257396,-60.201077722 40.579175965,-60.2190577219999 40.579835965,-60.245731048 40.58432098,-60.248686586 40.5848179860001,-60.310733279 40.586670197,-60.403783722 40.589447965,-60.406612722 40.5896389650001,-60.557563723 40.617203965,-60.708576723 40.6239989650001,-60.709501723 40.624092965,-61.609715724 40.798961965,-61.663989724 40.806528965,-61.697496176 40.8109583780001,-61.6992706199999 40.8111929770001,-61.699372535 40.8112419720001,-61.7003427239999 40.811708965,-61.702129724 40.8119449650001,-61.702660883 40.812199558,-61.702830268 40.8122809820001,-61.703693573 40.8123923900001,-61.705943724 40.8126829650001,-61.7098627239999 40.814566965,-61.713596275 40.815058906,-61.71384412 40.815177998,-61.7146837239999 40.815581965,-61.7164837239999 40.8158139650001,-61.717852724 40.8164709650001,-61.7193457239999 40.8166679650001,-61.720429724 40.8171889650001,-61.7222047239999 40.817422965,-61.723572724 40.818080965,-61.725016324 40.8182704800001,-61.7250655239999 40.8182769690001,-61.7252526899999 40.81836687,-61.7257187239999 40.8185909650001,-61.728908724 40.8190119650001,-61.7299937239999 40.8195329650001,-61.731767724 40.819766965,-61.733137724 40.820424965,-61.7346287239999 40.820620965,-61.735257584 40.8209226560001,-61.735714388 40.821141998,-61.7362007999999 40.8212061180001,-61.7374877239999 40.8213759650001,-61.738076873 40.821658649,-61.7385772969999 40.8218989120001,-61.738577724 40.821898966,-61.7403757239999 40.822130965,-61.7421537239999 40.822984965,-61.7422813319999 40.8230009170001,-61.7428649839999 40.823281089,-61.7437517239999 40.823706965,-61.744213724 40.8237679650001,-61.745967724 40.824609965,-61.746118724 40.8246389650001,-61.7471927239999 40.825153965,-61.749006724 40.825392965,-61.750093724 40.825914965,-61.751865724 40.8261479650001,-61.756599724 40.8284199650001,-61.757635162 40.8285558920001,-61.758774542 40.8291025140001,-61.760898724 40.830121965,-61.761472724 40.830197965,-61.7644417239999 40.8316219650001,-61.765307724 40.8317359650001,-61.7783997239999 40.8380139650001,-62.141805989 40.961536482,-62.241050201 40.995270024,-62.241469261 40.9954341910001,-62.242021724 40.995650966,-62.3004857239999 41.0269589660001,-62.3290547239999 41.0117849660001,-62.585777724 40.8602809660001,-63.4257047249999 40.463140965,-63.570099725 40.4347429650001,-63.673056725 40.379022965,-63.902775726 40.306619965,-65.291417727 40.0509419650001,-65.666140727 40.0401999650001,-65.887731876 40.0404509640001,-65.8877326909999 40.040450144,-65.8877322399999 40.0404509640001,-65.8782111099999 40.057775,-65.8637694399999 40.0846722200001,-65.8496249999999 40.1116611100001,-65.836112139 40.138085172,-65.835774999 40.13874444,-65.835774734 40.1387449690001,-65.82222222 40.1659166700001,-65.80896667 40.1931750000001,-65.7960111099999 40.2205222200001,-65.7833583299999 40.24795278,-65.7710055599999 40.27546389,-65.75895833 40.3030555600001,-65.750004437 40.32415058,-65.74721389 40.330725,-65.742522331 40.3421080420001,-65.73577778 40.3584722200001,-65.72464722 40.38629167,-65.714262208 40.413056532,-65.713825 40.4141833300001,-65.7134058679999 40.4152979880001,-65.70331111 40.4421444400001,-65.69972222 40.45138889,-67.46805556 42.51888889,-67.529346031 42.600980975,-67.74305556 42.8872222200001,-67.743055434 42.887222572,-67.27944444 44.1866666700001,-67.1684478459999 44.2262433230001,-67.14388889 44.2350000000001,-67.087875759 44.3051315060001,-67.0425 44.3619444400001,-67.042499984 44.3619446490001,-67.0377777799999 44.42416667,-67.06166667 44.48416667,-67.061666632 44.4841667260001,-67.0438888899999 44.5105555600001,-67.043888906 44.5105557050001,-67.04795007 44.546678672,-67.04916667 44.5575000000001,-67.0099999999999 44.6161111100001,-66.9580555599999 44.65361111,-66.94055556 44.73222222,-66.93805556 44.74472222,-66.903706686 44.775953267,-66.903124396 44.7764827030001,-66.9030365469999 44.776562578,-66.903034254 44.7765636180001,-66.901964302 44.7774904770001,-66.9299926699999 44.812793082,-66.933201873 44.816450113,-66.937597748 44.821556817,-66.9399923569999 44.825586098,-66.94049806 44.8263144840001,-66.941934482 44.8283834260001,-66.9421172629999 44.8286903950001,-66.944132748 44.829948426,-66.9486437159999 44.829948426,-66.951995857 44.830398567,-66.956008904 44.830398567,-66.956491951 44.830592176,-66.961502076 44.832220426,-66.9638891069999 44.8337672380001,-66.9672325289999 44.8339176920001,-66.968925118 44.833690446,-66.971821716 44.833301551,-66.971854279 44.833301551,-66.9725759139999 44.8333878720001,-66.972576658 44.833387961,-66.975878786 44.843785692,-66.977364031 44.848462424,-66.975045627 44.8513998970001,-66.97445956 44.8521424570001,-66.974225982 44.8523709880001,-66.975592123 44.856479848,-66.979538513 44.8592215510001,-66.979492185 44.8598003320001,-66.979492185 44.861249926,-66.9795444979999 44.8613546920001,-66.980567263 44.862100598,-66.9804909819999 44.8644008630001,-66.980399201 44.864950176,-66.980778513 44.8658972540001,-66.9820360539999 44.8667576720001,-66.9822483729999 44.8669029420001,-66.982773029 44.867900848,-66.9836442009999 44.869100567,-66.984357388 44.8697339730001,-66.983650701 44.872301098,-66.9835877949999 44.8724944100001,-66.983198107 44.872864285,-66.982250435 44.8743355670001,-66.9816540909999 44.8749507380001,-66.979995732 44.8774699260001,-66.979995732 44.877899176,-66.9800278879999 44.8782997070001,-66.979995732 44.8787002540001,-66.979995732 44.8793506600001,-66.9795122319999 44.8890058790001,-66.979425154 44.8892710040001,-66.979323154 44.889644473,-66.974257826 44.8924407540001,-66.973959732 44.8925815040001,-66.973644404 44.8935489730001,-66.972089185 44.89866127,-66.972073435 44.89889802,-66.97049667 44.904155098,-66.969910388 44.908118895,-66.96988956 44.90874266,-66.96989967 44.9087505350001,-66.973732186 44.913589664,-66.973870373 44.9137641450001,-66.97601592 44.915621613,-66.976106638 44.915735145,-66.979074451 44.9189159100001,-66.979419607 44.919605254,-66.983993529 44.920799254,-66.984495388 44.920799254,-66.9854852939999 44.9210969010001,-66.985915545 44.92122627,-66.9867832739999 44.921925763,-66.98711006 44.9221891920001,-66.987298063 44.9222544960001,-66.988878716 44.9228035510001,-66.991215826 44.9246718320001,-66.993046482 44.925442629,-66.9931109349999 44.9254573170001,-66.994105341 44.9262945200001,-66.994341076 44.9264421290001,-66.995384545 44.927238145,-66.9971400759999 44.9280157380001,-66.9986898729999 44.9293975040001,-66.9999984039999 44.931862676,-67.0013981069999 44.933508379,-67.001434102 44.9340652990001,-67.001541763 44.9357310820001,-67.001874873 44.9365005510001,-67.0018929509999 44.936594176,-67.002076076 44.937070567,-67.003292529 44.938501364,-67.006557701 44.942582348,-67.008276888 44.943812785,-67.0115285759999 44.947422723,-67.0152764819999 44.9497408010001,-67.015589904 44.9501797230001,-67.015856248 44.95044002,-67.018317888 44.953422442,-67.021329295 44.95391991,-67.021757244 44.9540667580001,-67.021995701 44.9541485820001,-67.023122326 44.9544822390001,-67.02395942 44.9550981290001,-67.024517201 44.9560012850001,-67.02528756 44.957351692,-67.027043138 44.9611789100001,-67.030077685 44.9656911600001,-67.030746326 44.967732551,-67.031320357 44.968749207,-67.032883935 44.972225473,-67.033363763 44.9728627540001,-67.034301802 44.974857613,-67.036531779 44.9795999420001,-67.035809748 44.9829006140001,-67.035693013 44.983400348,-67.0346892009999 44.9873246450001,-67.0337501069999 44.9939638010001,-67.0333830449999 44.995829723,-67.033263779 44.996189848,-67.0309295289999 45.0065322390001,-67.0307799509999 45.0076333170001,-67.0312747629999 45.0179788950001,-67.031029482 45.0199864100001,-67.041461716 45.023198989,-67.043568873 45.0238105350001,-67.0455017159999 45.02524902,-67.0465483259999 45.0260007850001,-67.055609842 45.0334454420001,-67.056262685 45.034026629,-67.0567095599999 45.0344590980001,-67.057144373 45.0348048320001,-67.058649513 45.035837395,-67.059370701 45.036378035,-67.062198732 45.038985692,-67.0652494669999 45.0415037230001,-67.066470263 45.042449504,-67.0674823259999 45.0434499570001,-67.07009242 45.0453330350001,-67.0709032949999 45.0458451920001,-67.0764800759999 45.0503731760001,-67.0780310449999 45.0513578170001,-67.078313545 45.0515630670001,-67.0811105129999 45.0537375980001,-67.081489201 45.0542492700001,-67.082779435 45.056398567,-67.08596956 45.0583522850001,-67.087459092 45.0590914100001,-67.088169154 45.059613848,-67.091343998 45.066148754,-67.091704576 45.0669994420001,-67.0918604349999 45.0673844730001,-67.0918953729999 45.067449567,-67.092175638 45.0679988790001,-67.0954320289999 45.074800989,-67.095183638 45.0769626920001,-67.095598638 45.0816001920001,-67.095672763 45.0822718790001,-67.0971485599999 45.085223473,-67.098638748 45.0863480200001,-67.100072529 45.0876217700001,-67.100085951 45.087638864,-67.101138342 45.0906210360001,-67.102145451 45.092045817,-67.1033006069999 45.0934141760001,-67.104021888 45.094552036,-67.105669232 45.0987510670001,-67.1060380919999 45.0995502540001,-67.106146482 45.099760598,-67.107655951 45.10092852,-67.1094904349999 45.105293067,-67.111932732 45.1081790980001,-67.112440826 45.1091128790001,-67.1126808879999 45.109649629,-67.113060138 45.110205895,-67.113222263 45.110397176,-67.1143164819999 45.1119060670001,-67.1155333729999 45.113073661,-67.11629942 45.1133554730001,-67.1183671379999 45.114254067,-67.119288857 45.114493114,-67.120985138 45.1151339730001,-67.1215935449999 45.1154452390001,-67.122316967 45.1160122860001,-67.1224685129999 45.116151051,-67.124715185 45.1186291920001,-67.125291623 45.1193674570001,-67.127419045 45.121329114,-67.128104842 45.122040692,-67.128198529 45.1222951450001,-67.130546388 45.1271534890001,-67.131952185 45.128391692,-67.1320364819999 45.1284368170001,-67.1327351699999 45.1286522070001,-67.1376487009999 45.132982473,-67.1387557479999 45.134140207,-67.139199888 45.1348166450001,-67.1408959039999 45.136585817,-67.1420603569999 45.1390436140001,-67.14331442 45.140928317,-67.1435660129999 45.1421865670001,-67.144597904 45.1448535980001,-67.1453131229999 45.145817036,-67.145397467 45.1460495040001,-67.145617482 45.1471157070001,-67.1459236539999 45.14770127,-67.147909138 45.152005676,-67.148349982 45.1537709570001,-67.150047092 45.1569681920001,-67.150868435 45.15964877,-67.150939232 45.160249707,-67.151644904 45.1618491290001,-67.1523055599999 45.163799286,-67.154559435 45.163799286,-67.156611842 45.164150239,-67.160938092 45.164150239,-67.163351092 45.164678457,-67.165492545 45.16444152,-67.165887138 45.1642537230001,-67.1686952009999 45.1646258640001,-67.1695098879999 45.164391692,-67.170526529 45.164247817,-67.171508795 45.1637496920001,-67.174931123 45.1637496920001,-67.1775188729999 45.1619655200001,-67.177993779 45.162368536,-67.181278092 45.1640510510001,-67.181562904 45.1640510510001,-67.1822807789999 45.1643009260001,-67.182933888 45.1643009260001,-67.18504481 45.164773192,-67.185088342 45.1647935820001,-67.185491123 45.165141082,-67.185501092 45.165146098,-67.186898732 45.165497848,-67.187044607 45.1655760360001,-67.1876913099999 45.166319473,-67.189130795 45.1667334420001,-67.189476435 45.166944426,-67.189890248 45.1670513170001,-67.192001342 45.1670513170001,-67.192052217 45.1670017230001,-67.1938429099999 45.1670017230001,-67.215413503 45.186288372,-67.2065460169999 45.1830360600001,-67.186935884 45.1922181,-67.1294358609999 45.1722180410001,-67.0463909809999 45.1269359820001,-67.02458194 45.1691641780001,-66.965563953 45.1794360330001,-66.7784730019999 45.0933911000001,-66.7924999479999 45.0552641720001,-66.754726901 45.0555449660001,-66.6589798919999 45.08127369,-66.645145728 45.084990969,-66.608045728 45.1041639690001,-66.603727415 45.10667949,-66.586117878 45.116936036,-66.5693741919999 45.127641861,-66.565699728 45.1299909690001,-66.557187797 45.134417969,-66.534445959 45.146245037,-66.492635852 45.149853949,-66.462154894 45.115827111,-66.427781881 45.0849910960001,-66.427781728 45.084990969,-66.400434533 45.0946499290001,-66.2111088459999 45.1615180380001,-66.147226842 45.1922181,-66.058390905 45.2575540290001,-66.058391403 45.257554473,-66.0583907279999 45.2575549700001,-66.0795217099999 45.2764030870001,-66.0802728689999 45.2770731350001,-66.140235832 45.2643641590001,-66.177635884 45.30388215,-66.18622572 45.3204300780001,-66.191872423 45.3313093830001,-65.999927637 45.4592265860001,-65.997218728 45.41777297,-66.0013272309999 45.4006597000001,-66.0019548989999 45.3980457430001,-66.012396845 45.384195768,-66.022372861 45.370964197,-66.051381958 45.3509641380001,-66.057209712 45.349623336,-66.080981728 45.34415497,-66.080981977 45.3441540090001,-66.081025752 45.3439834590001,-66.0924367279999 45.29952797,-66.092435797 45.299527282,-66.092435849 45.2995270800001,-65.98665489 45.221382093,-65.986654728 45.22138197,-65.9805650709999 45.220089151,-65.9130460219999 45.205754035,-65.886808821 45.2083271120001,-65.6044483109999 45.315082714,-65.531954727 45.34249097,-65.421390727 45.4027729700001,-65.412702356 45.4081509480001,-65.3944549889999 45.419445125,-65.37695689 45.4315870830001,-65.368054727 45.43776397,-65.3598039839999 45.4417939620001,-65.3330639179999 45.4548539730001,-65.243670027 45.48586376,-65.220554727 45.4938819700001,-65.154863727 45.5149999700001,-65.104445727 45.52499097,-65.0474997269999 45.5391639700001,-65.0232363549999 45.546423335,-65.015017798 45.548882163,-64.9919459389999 45.5608270450001,-64.9760166299999 45.573748633,-64.9691727269999 45.5792999700001,-64.9616502819999 45.5855990680001,-64.944299848 45.600127107,-64.91669759 45.61914412,-64.9041727269999 45.6277729700001,-64.884445727 45.63166397,-64.8762769859999 45.6320318790001,-64.84749993 45.6333271550001,-64.825290904 45.6333271550001,-64.8079743549999 45.6283485500001,-64.805972728 45.6277729670001,-64.805825735 45.627665623,-64.7820097269999 45.61027297,-64.78200903 45.6102733020001,-64.782008935 45.610273233,-64.775768494 45.6132494870001,-64.756390726 45.6224909700001,-64.669591281 45.7248841460001,-64.5830730129999 45.826945096,-64.583073175 45.82694544,-64.583072726 45.8269459700001,-64.603063726 45.86928197,-64.634290726 45.9241369700001,-64.702618797 45.991246747,-64.704172751 45.992773019,-64.713153889 46.010845406,-64.750826914 46.086654008,-64.691863913 46.0504091500001,-64.681945943 46.0216642510001,-64.6819457409999 46.0216640140001,-64.681945726 46.0216639700001,-64.597336726 45.92209997,-64.50744509 45.8239263230001,-64.491664 45.8066910650001,-64.4882931229999 45.7924910350001,-64.478336726 45.7505459700001,-64.4783360979999 45.7505464450001,-64.478335768 45.750545054,-64.418064016 45.7961090800001,-64.359608959 45.867800168,-64.350930037 45.8716206650001,-64.3287547259999 45.8813819700001,-64.275146029 45.840682197,-64.2743941429999 45.839005623,-64.272936726 45.83575497,-64.270009726 45.8288819700001,-64.274309726 45.8058279700001,-64.286926477 45.7767585030001,-64.28986398 45.7699910690001,-64.295232539 45.768325217,-64.329036726 45.75783697,-64.430281726 45.7155459700001,-64.450581406 45.6927260310001,-64.4705550149999 45.6702732430001,-64.568890832 45.6041641670001,-64.6060049179999 45.583349776,-64.699154726 45.53110997,-64.765563726 45.50555497,-64.831390727 45.4791549700001,-64.913463727 45.4133279700001,-64.933318727 45.3555549700001,-64.9353367269999 45.33172797,-64.9353358119999 45.331728099,-64.935335906 45.3317270000001,-64.817914221 45.348305403,-64.8158277269999 45.3485999700001,-64.815827537 45.348600016,-64.815826897 45.348600106,-64.674164016 45.3830450340001,-64.529999975 45.4080450660001,-64.37233737 45.3833787,-64.357772726 45.38109997,-64.3127727259999 45.3913819700001,-64.293206611 45.39304557,-64.2147178709999 45.3997181490001,-64.1673143689999 45.403559026,-64.163327726 45.40388197,-64.156114272 45.4043553450001,-64.0745178 45.409709042,-64.047407445 45.4037763600001,-64.042781726 45.4027639700001,-64.0374139309999 45.4009664000001,-63.988054948 45.3844360950001,-63.837772956 45.385554073,-63.801899281 45.3919413190001,-63.797227726 45.3927729700001,-63.789974995 45.39343761,-63.7472267759999 45.397353949,-63.3696115979999 45.359854263,-63.470836184 45.321664174,-63.490715172 45.320693159,-63.596109725 45.3155459700001,-63.805827726 45.30193697,-63.932490117 45.2594916830001,-63.956663882 45.2513911510001,-63.9609594299999 45.2499882050001,-63.982218726 45.24304597,-64.0027196299999 45.237758076,-64.0080550069999 45.2363821800001,-64.019775433 45.233508649,-64.065827726 45.22221897,-64.0993740929999 45.2146986920001,-64.106099973 45.21319113,-64.1189064009999 45.2072492620001,-64.158199726 45.1890189700001,-64.1958277259999 45.1505459700001,-64.194899031 45.1229507840001,-64.1945729729999 45.1132540340001,-64.16250884 45.0922181390001,-64.139036307 45.076518488,-64.135927927 45.0729402440001,-64.118046029 45.0523539750001,-64.1169459879999 45.009164207,-64.1307299169999 44.9983882230001,-64.15639054 44.9783281150001,-64.1544459519999 44.984436084,-64.154445928 44.9844363340001,-64.1544457259999 44.9844369690001,-64.153733185 44.9918160130001,-64.1488178399999 45.042709087,-64.148818729 45.042709942,-64.1488187259999 45.042709969,-64.215699726 45.107081969,-64.2156998039999 45.1070820150001,-64.2156998949999 45.107082103,-64.244154948 45.123882119,-64.303608793 45.141382192,-64.326781905 45.13786414,-64.328119608 45.1346751020001,-64.3347187259999 45.118945969,-64.355699726 45.0995099690001,-64.383054726 45.138327969,-64.3825707839999 45.1399698860001,-64.3533357749999 45.239154076,-64.33167615 45.2623888430001,-64.3275637259999 45.2667999700001,-64.320972726 45.2908909700001,-64.320972926 45.2908911500001,-64.320972911 45.290891205,-64.345699726 45.3131909700001,-64.345699861 45.3131910910001,-64.44055501 45.331664135,-64.4445690969999 45.3321490540001,-64.465836726 45.33471897,-64.481018419 45.331319261,-64.485690888 45.330273242,-64.485690243 45.3302730780001,-64.485690726 45.3302729700001,-64.4800297359999 45.3288285,-64.458473004 45.323327159,-64.430826805 45.3222180660001,-64.40877933 45.31351977,-64.403890819 45.3115910060001,-64.403137667 45.309992772,-64.3936187259999 45.2897909700001,-64.414742051 45.271771013,-64.426099915 45.262082101,-64.460146032 45.246100159,-64.550554916 45.2166642560001,-64.5605959489999 45.2144862150001,-64.590290726 45.2080459700001,-64.7007442239999 45.1858951580001,-64.7108267959999 45.183873245,-64.7151912539999 45.1831649120001,-64.7449997259999 45.1783279700001,-64.7772187269999 45.1699909700001,-64.8116637269999 45.15915497,-64.8572254169999 45.1407209600001,-64.8706909799999 45.1352731260001,-64.904982591 45.116968382,-64.926109727 45.1056909690001,-64.98336052 45.077065573,-65.114163978 45.011664194,-65.20249985 44.9738732100001,-65.2302303389999 44.960918023,-65.299990727 44.9283279690001,-65.6526457269999 44.761936969,-65.709227727 44.7174189690001,-65.6974277269999 44.6955729690001,-65.548618727 44.733881969,-65.5225097269999 44.73777297,-65.584602574 44.6901043840001,-65.6252729889999 44.658882126,-65.689372923 44.6152001720001,-65.752917808 44.6091641960001,-65.7666397469999 44.611723242,-65.797272727 44.617436969,-65.812145727 44.651681969,-65.812145872 44.651681915,-65.812146012 44.651682238,-65.862044071 44.6329933160001,-65.971663728 44.5919369690001,-66.0375172029999 44.5462085950001,-66.068073009 44.5249911130001,-66.10305505 44.5000001330001,-66.1402974549999 44.4667517070001,-66.1948547279999 44.418045969,-66.1948545989999 44.418045422,-66.194854995 44.4180450690001,-66.1878460469999 44.3883270310001,-66.123317798 44.448873206,-66.034726781 44.514718084,-66.004455035 44.5358270690001,-65.958617926 44.5675001020001,-65.947659465 44.573856107,-65.937081728 44.5799909690001,-65.92169798 44.5801922650001,-65.851564012 44.581109127,-65.8658277279999 44.5388909690001,-65.900989911 44.5184005770001,-65.947354995 44.491382195,-65.972081945 44.481800171,-65.9844766809999 44.470722789,-66.037509728 44.4233279690001,-66.079914512 44.3814536730001,-66.0919460109999 44.3695731930001,-66.0977388049999 44.3627233460001,-66.118609728 44.3380459690001,-66.189163728 44.1562369690001,-66.189163846 44.156236429,-66.189164018 44.1562359870001,-66.204454732 44.0866549690001,-66.204454956 44.0866539530001,-66.1819460259999 44.06750013,-66.1494549189999 44.00610906,-66.149573402 43.992526137,-66.150136728 43.928045968,-66.163327728 43.9058189680001,-66.167499729 43.8608279680001,-66.167499816 43.8608270400001,-66.135563926 43.7894360240001,-66.121654996 43.7622181400001,-66.092917809 43.7639540320001,-66.033954975 43.739018038,-66.020554994 43.691100206,-66.020554798 43.6911002210001,-66.020554728 43.6910999680001,-66.019017071 43.6912182,-66.013335829 43.6916540820001,-65.982579372 43.7056851,-65.974654728 43.709299968,-65.96879548 43.7304155150001,-65.95611794 43.776100081,-65.94069088 43.82221815,-65.9178357759999 43.8256180180001,-65.873946877 43.79044164,-65.8688818589999 43.7863820740001,-65.7726459579999 43.683745086,-65.768199861 43.6634642330001,-65.7702909779999 43.632909178,-65.775972903 43.606382131,-65.7815909569999 43.5744360160001,-65.7212459479999 43.5006911930001,-65.7212459149999 43.500691197,-65.7212457269999 43.5006909680001,-65.673327727 43.5060999680001,-65.672592833 43.506257621,-65.646117944 43.5119360190001,-65.612772889 43.5270090280001,-65.59646907 43.5454717920001,-65.588054727 43.5549999680001,-65.584608515 43.5565126280001,-65.562908947 43.566036008,-65.496946051 43.4908270340001,-65.481381863 43.4644361090001,-65.481381744 43.4644369960001,-65.481381727 43.464436968,-65.481271873 43.4652556510001,-65.47582684 43.505827121,-65.451246071 43.557354032,-65.394891527 43.570645934,-65.375272727 43.575272968,-65.3591011629999 43.607895786,-65.3258359019999 43.675000009,-65.242218727 43.6791639680001,-65.0666637269999 43.696381968,-65.030563727 43.704163968,-64.990110423 43.73556347,-64.906390847 43.8005450630001,-64.892587839 43.8214683320001,-64.8810997269999 43.8388819680001,-64.864437478 43.868617767,-64.8322269289999 43.926100106,-64.820394767 43.9402446890001,-64.8137547269999 43.948181968,-64.80504889 43.948798637,-64.7763999329999 43.950827055,-64.7401998349999 43.9497090770001,-64.668890961 43.98832702,-64.6186089289999 44.071936001,-64.6167342919999 44.123584513,-64.616390756 44.133045156,-64.4447177979999 44.1902732190001,-64.4301358009999 44.2259642010001,-64.3911088209999 44.2533270920001,-64.355835761 44.2733180990001,-64.319454949 44.2647180980001,-64.283326766 44.25305401,-64.255699846 44.2726270950001,-64.239435769 44.294154001,-64.243518915 44.2990357630001,-64.2670907259999 44.3272189690001,-64.298569334 44.331978217,-64.302681922 44.332600115,-64.329726803 44.3288822380001,-64.3401574229999 44.348268574,-64.346390711 44.359854941,-64.337508897 44.4119360020001,-64.305263883 44.5333361350001,-64.200835763 44.5763822380001,-64.170272997 44.586109101,-64.1461178609999 44.568327061,-64.126172955 44.5492270500001,-64.1245819019999 44.5190181680001,-64.1222947809999 44.508972016,-64.1161097259999 44.4817999690001,-64.087509726 44.4677729690001,-64.087509096 44.467773315,-64.087508912 44.467773224,-64.009590907 44.510553955,-64.009591249 44.5105546820001,-64.0095907259999 44.5105549690001,-64.020262123 44.5332225280001,-64.036526824 44.5677731850001,-64.0480844479999 44.576562849,-64.060899674 44.58630993,-64.052804373 44.6177917260001,-64.050272955 44.627636077,-64.0197500319999 44.642090604,-64.008345726 44.647490969,-63.991761664 44.6525716420001,-63.908610262 44.6780445900001,-63.919027726 44.6512459690001,-63.93558289 44.6232862900001,-63.938190838 44.6188821750001,-63.943881983 44.5361090370001,-63.931945985 44.5136001060001,-63.91028195 44.4969360440001,-63.6665679389999 44.443352641,-63.6348637249999 44.4363819690001,-63.622457476 44.441333657,-63.570835826 44.4619360670001,-63.5479178579999 44.473045106,-63.52930886 44.4901270890001,-63.5223667509999 44.50610355,-63.520554725 44.510272969,-63.546054725 44.588599969,-63.558299725 44.612390969,-63.5950637249999 44.6645729690001,-63.595063801 44.6645729850001,-63.595063884 44.6645731030001,-63.6383357949999 44.6736000770001,-63.652327317 44.7078566330001,-63.653681725 44.7111729690001,-63.615836725 44.7024909690001,-63.587505184 44.6824990370001,-63.551164002 44.65685404,-63.530754906 44.6394361100001,-63.494999886 44.6147180450001,-63.4444358869999 44.591936032,-63.2830549139999 44.627209093,-63.140555016 44.690818015,-63.12630853 44.712995214,-63.114099725 44.7319999690001,-63.054718725 44.6733279690001,-63.054718642 44.673328005,-63.0547177889999 44.6733271620001,-63.0483358079999 44.676100063,-63.028535512 44.6936141790001,-63.0161457249999 44.704572969,-63.01683351 44.7054596570001,-63.043617802 44.7399911210001,-63.052719469 44.7535775640001,-63.058781258 44.762627272,-63.027809653 44.7706963860001,-63.0166637249999 44.773599969,-62.9286097249999 44.733881969,-62.9013245049999 44.728402745,-62.851108955 44.718318034,-62.821516521 44.7367969640001,-62.811945725 44.742772969,-62.798054725 44.7795729690001,-62.7646802789999 44.785874882,-62.6413908869999 44.80915406,-62.5594432999999 44.8199134660001,-62.546109724 44.821663969,-62.54610959 44.821664131,-62.546108932 44.8216642180001,-62.521945917 44.850827038,-62.4763909439999 44.8955449950001,-62.391945951 44.9083270620001,-62.286390968 44.928044986,-62.129458864 44.961410325,-62.0877727239999 44.9702729690001,-62.0740120519999 44.9735259550001,-62.0266639509999 44.9847180510001,-61.898335839 45.0249910840001,-61.7247177899999 45.091664263,-61.720812462 45.0929534810001,-61.638054724 45.120272969,-61.5438907229999 45.141663969,-61.5283667969999 45.142267077,-61.454726798 45.1451270590001,-61.3909728679999 45.1576271590001,-61.35051778 45.1763090800001,-61.368117933 45.1964450940001,-61.318472926 45.2394360430001,-61.2759705939999 45.245227825,-61.267499723 45.2463819700001,-61.260512862 45.245139237,-61.222217832 45.238327117,-61.140972883 45.213045118,-61.1165268939999 45.2097091200001,-61.0854628769999 45.2171473720001,-61.084027723 45.21749097,-61.084027439 45.2174910860001,-61.0840269029999 45.2174912140001,-61.050835907 45.2311000720001,-60.970272909 45.2697180150001,-60.970272833 45.269718917,-60.9702727229999 45.26971897,-60.966663723 45.3121459700001,-60.987671581 45.3254563730001,-60.9884728709999 45.3259641060001,-60.9965895509999 45.3272876940001,-61.0472277229999 45.3355459700001,-61.111029142 45.3445240390001,-61.139026772 45.3484641520001,-61.149853701 45.3479300010001,-61.226390723 45.34415497,-61.42181491 45.3450880090001,-61.460554827 45.3452731610001,-61.475063389 45.372145351,-61.404026844 45.409709042,-61.3713908989999 45.4154090710001,-61.368737072 45.4107331230001,-61.365009723 45.4041639700001,-61.3650089499999 45.4041643030001,-61.365008917 45.4041642450001,-61.294163898 45.4347181260001,-61.249818972 45.4537112570001,-61.232354723 45.4611909700001,-61.259999723 45.5102729700001,-61.259999895 45.5102730400001,-61.259999931 45.5102731050001,-61.3161458559999 45.5331731000001,-61.3534268029999 45.5697180660001,-61.384607112 45.612971455,-61.3916727229999 45.62277297,-61.391672856 45.6227730690001,-61.391672925 45.6227731660001,-61.416576073 45.641487075,-61.468745723 45.6806909700001,-61.468745898 45.680691009,-61.4687460339999 45.680691111,-61.4708676019999 45.6811655380001,-61.496672723 45.68693697,-61.523105275 45.6854347230001,-61.526108929 45.68526411,-61.526109334 45.685263992,-61.5261097229999 45.6852639700001,-61.560072724 45.67540997,-61.5879639779999 45.649861764,-61.603890979 45.635273098,-61.6102240239999 45.624216523,-61.6180547239999 45.61054597,-61.7180410359999 45.620841581,-61.729999898 45.622073109,-61.734936433 45.623426033,-61.787781724 45.6379099700001,-61.884581724 45.6913099700001,-61.897437472 45.7414335760001,-61.9230178619999 45.841173209,-61.898890889 45.8682539650001,-61.898891323 45.8682542970001,-61.898890724 45.8682549700001,-61.919372724 45.88395497,-61.9733277239999 45.86720997,-62.015009724 45.83665497,-62.034999724 45.82082797,-62.092772724 45.78110997,-62.2502817239999 45.70832797,-62.411941068 45.635138899,-62.461945907 45.612500137,-62.503890957 45.62749117,-62.5572187239999 45.67470997,-62.666198118 45.7555692940001,-62.677781926 45.7641641380001,-62.7236088079999 45.7641641380001,-62.9583357929999 45.7888910880001,-62.989581852 45.7956911580001,-63.086663904 45.796800084,-63.0913251389999 45.791703419,-63.1208367249999 45.7594369700001,-63.189718725 45.73443697,-63.282499725 45.7333279700001,-63.3136097249999 45.73693697,-63.3544758689999 45.7451469370001,-63.361663818 45.746591122,-63.372499197 45.7642361100001,-63.316808838 45.768745016,-63.23805499 45.8010361300001,-63.238056265 45.8010363390001,-63.238054725 45.80103697,-63.273275875 45.806808204,-63.279164034 45.807773169,-63.290943477 45.805722899,-63.335836725 45.79790997,-63.419263698 45.79914698,-63.429581981 45.7993000700001,-63.434928208 45.8001893470001,-63.517461676 45.8139186290001,-63.4880549759999 45.8208271450001,-63.4501361599999 45.8207197240001,-63.440063725 45.82069097,-63.408672725 45.8581909700001,-63.408673052 45.8581910780001,-63.408672988 45.8581911540001,-63.4572177869999 45.874164212,-63.4784729519999 45.8770732350001,-63.503319829 45.876431359,-63.580554725 45.87443697,-63.59514201 45.871149341,-63.600281954 45.869991198,-63.60866118 45.867173705,-63.631672725 45.85943697,-63.645836725 45.83332797,-63.6635541799999 45.8194308810001,-63.667081867 45.8166641890001,-63.678144134 45.8222099210001,-63.7147187259999 45.8405459700001,-63.846109516 45.930827826,-63.858974436 45.9477248410001,-63.861599726 45.9511729700001,-63.861599761 45.95117299,-63.861599857 45.9511731150001,-63.897805478 45.971450443,-63.913054726 45.9799909700001,-63.913054829 45.9799909980001,-63.913055019 45.9799911040001,-64.008899903 46.0056911930001,-64.0427819029999 45.9919001120001,-64.0436681529999 45.9924114070001,-64.0649997259999 46.0047189700001,-64.0893045409999 46.018974105,-64.0938906379999 46.021664102,-64.0702907259999 46.05707297,-64.0233277259999 46.0574909700001,-64.0128279749999 46.055811276,-63.988608824 46.051935997,-63.934890331 46.052623554,-63.923199726 46.05277297,-63.915278394 46.0544349620001,-63.889446048 46.0598540460001,-63.828689383 46.081104247,-63.802499726 46.0902639700001,-63.791129923 46.0981382800001,-63.7766268039999 46.108182088,-63.7969924449999 46.1233466630001,-63.8262547259999 46.1451369700001,-63.920459179 46.168734709,-63.9626358209999 46.17930019,-63.9782459149999 46.1799229000001,-64.035554726 46.18220997,-64.116945726 46.18193697,-64.237499726 46.2291549710001,-64.4022187259999 46.2330459710001,-64.48435922 46.238867978,-64.504181869 46.2402731710001,-64.543114862 46.28526888,-64.613054726 46.366099971,-64.613391077 46.370640447,-64.6150089019999 46.3924912150001,-64.6148946279999 46.4094014940001,-64.614854726 46.4152639710001,-64.649956093 46.45670346,-64.6563907509999 46.4643000230001,-64.657891816 46.4675373690001,-64.673326832 46.5008271460001,-64.6945874739999 46.593124489,-64.704999726 46.6383279710001,-64.705746932 46.6448653470001,-64.7086178289999 46.66999122,-64.717917886 46.6883911740001,-64.728191739 46.693907966,-64.744445726 46.7026369710001,-64.818072727 46.7216549710001,-64.863890727 46.7744369710001,-64.8761509619999 46.789784588,-64.877208916 46.79110905,-64.90430895 46.845964248,-64.906142964 46.869332684,-64.906390727 46.872490971,-64.902954473 46.888882752,-64.9020818779999 46.893045063,-64.897990099 46.902677774,-64.894172727 46.9116639710001,-64.8895551649999 46.9179406100001,-64.8802818889999 46.930545028,-64.8696926699999 46.941036556,-64.864581727 46.9460999710001,-64.826954727 46.9699909710001,-64.806381727 46.9849909710001,-64.802081727 47.0815279710001,-64.969768745 47.089208281,-65.017226765 47.0913821830001,-65.020596065 47.0908022840001,-65.1011097269999 47.076945971,-65.2064503139999 47.0560658520001,-65.218890829 47.053600084,-65.366181548 47.0854820660001,-65.361251957 47.088081636,-65.3397178079999 47.0994360180001,-65.263335871 47.124436051,-65.232635809 47.137773167,-65.138063969 47.192218155,-64.9099999269999 47.353053969,-64.883608834 47.4233270070001,-64.875753709 47.4598520210001,-64.875545727 47.460818972,-64.870690727 47.5133279720001,-64.8700907269999 47.5362909720001,-64.868681723 47.5417802800001,-64.85972678 47.5766642030001,-64.803326797 47.6305450890001,-64.7036088039999 47.7069360780001,-64.674926769 47.7248540730001,-64.674927738 47.724854964,-64.716245726 47.7627729720001,-64.716246031 47.7627731310001,-64.8038908999999 47.808182093,-64.984999855 47.8413821410001,-65.0208460699999 47.844991221,-65.025758524 47.844877008,-65.044727727 47.844436972,-65.150509416 47.827925061,-65.167499872 47.825273129,-65.2027908699999 47.8186001280001,-65.211756855 47.8156942730001,-65.2473637269999 47.804154972,-65.3327817269999 47.7669369720001,-65.389999727 47.7361099720001,-65.6315277269999 47.6219369720001,-65.669854727 47.643609972,-65.696945727 47.7330459720001,-65.7039836499999 47.7605443050001,-65.71791783 47.8149912160001,-65.7445242059999 47.8503072840001,-65.746381727 47.852772972,-65.7651457269999 47.870827972,-65.7936097269999 47.8908279720001,-65.814999727 47.9023549720001,-65.839397322 47.9099704060001,-65.8438909619999 47.9113732120001,-65.84938657 47.912758297,-65.8802817279999 47.9205459720001,-65.906954728 47.923327972,-65.925513177 47.9220747210001,-65.929582008 47.921800132,-65.936549993 47.9218773200001,-65.979581728 47.9223549720001,-66.042218728 47.9358189720001,-66.259172728 47.9994369720001,-66.313546448 48.039459176,-66.355408842 48.0702731420001,-66.365592099 48.070095494,-66.427354728 48.069018972,-66.519433534 48.0424714810001,-66.5405550249999 48.036382089,-66.546656094 48.0342026870001,-66.5790367279999 48.022636972,-66.6108277279999 48.011109972,-66.728881728 47.984436972,-66.745745894 47.9808865370001,-66.749999843 47.9799911590001,-66.834235791 47.988882179,-66.842071158 47.995310456,-66.8437086329999 47.996654074,-66.763717834 48.0062270190001,-66.670417863 48.0272181550001,-66.527781843 48.083044983,-66.506390891 48.102218083,-66.482081863 48.115618064,-66.4420739669999 48.118024344,-66.432499728 48.118599972,-66.401390728 48.115690972,-66.2427637279999 48.109163972,-66.223026174 48.1088243770001,-66.1297178839999 48.1072180560001,-66.024717783 48.1391641720001,-66.006955021 48.1591540050001,-65.97009704 48.180294464,-65.953190728 48.189990972,-65.9035007369999 48.20095445,-65.8965366849999 48.202490943,-65.770074565 48.1139266710001,-65.7644549949999 48.1099911250001,-65.7644549239999 48.1099911100001,-65.764454727 48.109990972,-65.6891637269999 48.0938819720001,-65.671380609 48.0892459930001,-65.496046002 48.0435360440001,-65.4756908859999 48.0155450130001,-65.4597268799999 48.0015271190001,-65.326955019 48.002218123,-65.305826923 48.0055539520001,-65.2700088719999 48.012773118,-65.203143649 48.031530215,-65.1997187279999 48.0324909760001,-65.199717896 48.03249121,-65.153063888 48.0522180190001,-65.011561835 48.1173055790001,-64.972499727 48.1352729720001,-64.931672727 48.171663972,-64.920388363 48.1733815530001,-64.8733178689999 48.180545125,-64.787910225 48.1949630610001,-64.774172727 48.197281972,-64.7719570789999 48.201971895,-64.756326784 48.2350539820001,-64.731381905 48.274709102,-64.686390866 48.338327076,-64.586945955 48.3683270810001,-64.499864015 48.3930540310001,-64.4449245169999 48.4013616930001,-64.426390726 48.404163973,-64.403653381 48.4113970400001,-64.322508811 48.4372090590001,-64.246381852 48.4880451340001,-64.219163968 48.5283270520001,-64.219164227 48.528327231,-64.219163726 48.528327973,-64.2347881329999 48.539068764,-64.2458358549999 48.5466641420001,-64.250800421 48.5473550950001,-64.2687547259999 48.549854973,-64.281390652 48.565545881,-64.27222678 48.5987360450001,-64.259417233 48.6126646280001,-64.255554726 48.6168639730001,-64.193054726 48.6235999730001,-64.1654817259999 48.6277639730001,-64.165482031 48.6277642330001,-64.165481901 48.6277642520001,-64.2046762799999 48.661106687,-64.261809726 48.709709973,-64.3741637259999 48.7877729730001,-64.374163836 48.7877730170001,-64.374163966 48.7877731080001,-64.3774104779999 48.789091496,-64.464445726 48.824436973,-64.50170135 48.8522562900001,-64.53041727 48.87369972,-64.4826718369999 48.8654195670001,-64.3865267699999 48.848745083,-64.3252046549999 48.831582805,-64.315554726 48.8288819730001,-64.294590726 48.8224909730001,-64.289477478 48.8205401010001,-64.2370729099999 48.8005451170001,-64.2111089589999 48.784718072,-64.157626885 48.7598539940001,-64.200742006 48.8596819410001,-64.211672726 48.8849909730001,-64.21234686 48.885759519,-64.228608864 48.9043001700001,-64.37639087 48.9977731430001,-64.3951533919999 49.0077024180001,-64.5973547259999 49.1147099730001,-64.6331826219999 49.1181261310001,-64.641108807 49.1188820890001,-64.64685172 49.120094554,-64.660827726 49.123045973,-64.740418726 49.145136973,-64.7545008609999 49.1510122,-64.7690268759999 49.157073225,-64.796245933 49.1756822240001,-64.825563987 49.187764234,-64.8411560979999 49.190997613,-64.916654727 49.2066549730001,-64.989212174 49.218961301,-64.9969459119999 49.2202731100001,-65.35972692 49.2566641490001,-65.367777668 49.2573721420001,-65.394454727 49.2597189730001,-65.4472187269999 49.2622189730001,-65.4891421789999 49.2617510680001,-65.496946051 49.2616641220001,-65.524393296 49.259224923,-65.678327727 49.245545973,-65.826241591 49.2319491640001,-65.8325088399999 49.2313730970001,-65.8509887869999 49.2304668310001,-66.0816727279999 49.2191549730001,-66.225009728 49.2008279730001,-66.306109728 49.1869369730001,-66.398092248 49.1676949440001,-66.421663931 49.1627642020001,-66.7224998249999 49.0899911770001,-66.919590891 49.0277642630001,-66.928542732 49.0243281420001,-66.960827729 49.011936973,-66.98578378 49.001602603,-66.991672911 48.9991642040001,-66.99607171 48.9969380860001,-67.0158367289999 48.9869369730001,-67.0675097289999 48.966936973,-67.087781729 48.9608189730001,-67.209727729 48.935818973,-67.48380686 48.8705036090001,-67.531390867 48.8591641240001,-67.70944596 48.793882174,-67.758281955 48.7757031310001,-67.973618729 48.695545973,-68.1187457299999 48.6498549730001,-68.147536831 48.649334293,-68.156954933 48.6491642570001,-68.179173012 48.64666427,-68.184451216 48.645105039,-68.2022277299999 48.6398549730001,-68.23693673 48.625545973,-68.2833277299999 48.6002729730001,-68.34250973 48.5579099730001,-68.36152773 48.5494369730001,-68.3749536239999 48.5465771630001,-68.3758268779999 48.5463912270001,-68.383120068 48.5467687730001,-68.40777273 48.5480459730001,-68.424621327 48.544322197,-68.4284638889999 48.5434731510001,-68.4444946199999 48.5364718100001,-68.45360973 48.5324909730001,-68.4715277299999 48.517909973,-68.490325163 48.4974715170001,-68.49694605 48.490273212,-68.5056082959999 48.4796626410001,-68.51610973 48.466799973,-68.5354187299999 48.454299973,-68.610844475 48.4269703200001,-68.695263891 48.3963821500001,-68.7248871909999 48.3851612870001,-68.83168173 48.344709972,-68.912317558 48.307892699,-68.940554924 48.295000181,-68.956096641 48.2866852860001,-68.96860973 48.2799909720001,-68.9889035149999 48.2690236660001,-69.016399916 48.2541642190001,-69.054172963 48.228600085,-69.070923713 48.2161973090001,-69.094309731 48.198881972,-69.1161097309999 48.178599972,-69.209090838 48.113859835,-69.275281869 48.0677731550001,-69.29772 48.0572263810001,-69.4177097309999 48.0008279720001,-69.450563731 47.9791549720001,-69.469727731 47.961936972,-69.503472731 47.929154972,-69.516363145 47.91526944,-69.5266729159999 47.9041642720001,-69.536199236 47.8929634350001,-69.5441547309999 47.883609972,-69.556518731 47.8615189720001,-69.585904665 47.8191934170001,-69.5930639589999 47.8088821490001,-69.6399999349999 47.7627731320001,-69.643440589 47.7595753480001,-69.659436731 47.7447099720001,-69.805827731 47.613054972,-69.880331096 47.5540788280001,-69.899172908 47.5391642390001,-69.919122251 47.529430818,-69.967499731 47.5058279720001,-70.043463731 47.3942279720001,-70.0788907309999 47.3611099720001,-70.111118731 47.340545972,-70.2730547319999 47.213609971,-70.310272732 47.1766549710001,-70.334163732 47.155545971,-70.461118732 47.053599971,-70.486390732 47.033609971,-70.501204855 47.024002115,-70.506954935 47.020273134,-70.5124200939999 47.0174850600001,-70.538818732 47.0040189710001,-70.575009732 46.993327971,-70.6119367319999 46.9891549710001,-70.638063732 46.9816549710001,-70.743618732 46.9430459710001,-70.769318732 46.9173549710001,-70.977177996 46.856997672,-70.9869359049999 46.8541642640001,-71.083326786 46.8474910960001,-71.1077819939999 46.8488731040001,-71.145064029 46.8433911720001,-71.172363888 46.82319112,-71.178328568 46.813400298,-71.1866637319999 46.7997189710001,-71.197999345 46.7906323440001,-71.20416399 46.785691156,-71.218788167 46.778701153,-71.2858367329999 46.7466549710001,-71.29916285 46.7422192650001,-71.194299831 46.852354108,-71.1136178099999 46.9124910790001,-70.973617899 47.003327105,-70.9230460209999 47.032209132,-70.8933358629999 47.0452731670001,-70.866945732 47.0513819710001,-70.8554284109999 47.053002968,-70.820564011 47.0579090530001,-70.79249989 47.068327088,-70.747068623 47.089347253,-70.727363732 47.0984639710001,-70.71629927 47.1094131410001,-70.699435787 47.1261001940001,-70.58611782 47.2577731870001,-70.577076464 47.2711957700001,-70.572645732 47.277772971,-70.571688106 47.28212424,-70.5675088209999 47.301109136,-70.555826795 47.3227731700001,-70.502499954 47.3908270160001,-70.4754705719999 47.416930032,-70.4619457319999 47.429990972,-70.439101213 47.435794554,-70.341673024 47.460545004,-70.299726795 47.466936038,-70.226108875 47.4974270550001,-70.208063978 47.530136091,-70.208063962 47.5301365540001,-70.208063732 47.530136972,-70.206599759 47.571036195,-70.1851357849999 47.6037451270001,-70.143408837 47.6366148660001,-70.132763731 47.6449999720001,-70.1033716649999 47.6605566280001,-70.082917805 47.6713822240001,-70.0088999 47.7073540000001,-69.9308268299999 47.7687450710001,-69.839445981 47.9072090820001,-69.7863908799999 47.9947091110001,-69.762456839 48.044830317,-69.732499731 48.107563972,-69.732499989 48.1075641190001,-69.7324999369999 48.107564229,-69.755074447 48.1204005910001,-69.9287457309999 48.2191549720001,-69.99371861 48.2394210640001,-69.9955460199999 48.239991091,-70.025408897 48.2452731990001,-70.061390898 48.239991091,-70.0770488479999 48.2428525540001,-70.204309732 48.266109972,-70.2288542209999 48.2781219010001,-70.237781849 48.2824911960001,-70.24255182 48.2846505960001,-70.2727817319999 48.2983369720001,-70.312094142 48.310456855,-70.332226787 48.3166642150001,-70.34989627 48.321685707,-70.3830547319999 48.331109972,-70.449698556 48.345942532,-70.464172863 48.3491642070001,-70.471430993 48.350034512,-70.498890732 48.353327972,-70.538120422 48.3557653130001,-70.548046042 48.3563821990001,-70.7752817809999 48.3493001670001,-70.777441816 48.357902972,-70.784826929 48.3873181270001,-70.784827567 48.3873183160001,-70.7848277319999 48.387318973,-70.906390732 48.423327973,-71.012875031 48.439760601,-71.039581492 48.4438821540001,-71.0187547319999 48.4595819730001,-71.01031653 48.460162622,-70.980563982 48.462209091,-70.954726933 48.4597181570001,-70.779999958 48.4355450840001,-70.756672954 48.4302180490001,-70.733473019 48.4194360720001,-70.635008958 48.3905449920001,-70.424026899 48.361245044,-70.272508912 48.325554062,-70.1860120119999 48.2879256520001,-70.1677727319999 48.2799909720001,-70.141527732 48.272072972,-70.1311493439999 48.270857909,-70.099990904 48.2672091420001,-70.043608858 48.2672091420001,-69.98943578 48.274854109,-69.9683267949999 48.271936033,-69.935327193 48.2530767970001,-69.881809731 48.2224909720001,-69.866936731 48.205681972,-69.8539080099999 48.1911917670001,-69.840281992 48.1760359960001,-69.805546044 48.1547090820001,-69.7106214729999 48.140401454,-69.6913727309999 48.1374999720001,-69.688625781 48.1382007660001,-69.6783268579999 48.140827141,-69.6133916639999 48.1945788410001,-69.5977817309999 48.2074999720001,-69.5713169539999 48.2231206920001,-69.45472685 48.2919360920001,-69.435272955 48.305409163,-69.2969358459999 48.45221803,-69.282908898 48.4877732250001,-69.281108801 48.510000189,-69.2699518699999 48.532334033,-69.2652907309999 48.541663973,-69.250141546 48.5599303860001,-69.228263919 48.5863090350001,-69.192917936 48.586654034,-69.162738185 48.5882264950001,-69.154163731 48.588672973,-69.1403436699999 48.600563347,-69.123890951 48.614718155,-69.111935843 48.632491143,-69.10518695 48.6484543060001,-69.102772731 48.654163973,-69.094863731 48.6834639730001,-69.0889109349999 48.7080333280001,-69.0870908759999 48.7155450750001,-69.0744622779999 48.7386995780001,-69.05936373 48.7663819730001,-69.023524236 48.783190055,-68.8769357749999 48.851936074,-68.724049212 48.926497952,-68.69638173 48.9399909730001,-68.62609973 49.0238819730001,-68.60694573 49.0424999730001,-68.59056373 49.0541639730001,-68.5713997299999 49.0610999730001,-68.553593905 49.065857899,-68.4424908359999 49.0955450260001,-68.36944607 49.0694451210001,-68.264563332 49.091324211,-68.22166373 49.1002729730001,-68.19436373 49.110099973,-68.159615247 49.1930218480001,-68.143890899 49.2305451330001,-68.141342691 49.238163596,-68.13427273 49.2592999730001,-67.975281729 49.284999973,-67.939163729 49.2877729730001,-67.706390729 49.3127639730001,-67.573618729 49.3295819730001,-67.473618729 49.3266639730001,-67.4607582949999 49.3256134710001,-67.429435911 49.323054019,-67.399235941 49.32185409,-67.394454729 49.3216639730001,-67.3720817289999 49.3299909730001,-67.314374608 49.3897574750001,-67.231946034 49.4751270560001,-67.231945976 49.4751277170001,-67.231945729 49.475127974,-67.228881729 49.510272974,-67.239299729 49.552845974,-67.2398637219999 49.58470957,-67.174163875 49.7647181240001,-67.156808809 49.79874513,-67.141946019 49.81693604,-67.126184042 49.8292025550001,-67.118745729 49.8349909740001,-67.114716465 49.8365068940001,-67.095835828 49.8436091,-67.068608892 49.845754029,-67.016399861 49.8547181390001,-66.985215648 49.8921453930001,-66.964445729 49.9170729740001,-66.9661371289999 49.92014772,-66.9758269229999 49.937764192,-66.97540215 49.942312837,-66.975281729 49.9435999740001,-66.973337827 49.9478838630001,-66.9650089039999 49.9662360080001,-66.9532301209999 49.977667798,-66.950554729 49.9802639740001,-66.920272729 50.000272974,-66.8979641989999 50.010379286,-66.889308918 50.0143001880001,-66.8619358019999 50.022491152,-66.7233267829999 50.0783270320001,-66.70083579 50.102491221,-66.511945913 50.2391539610001,-66.4947179169999 50.2494360420001,-66.46972677 50.2619361420001,-66.449027456 50.2677729530001,-66.443167316 50.2673163680001,-66.421381964 50.265618144,-66.406672897 50.2426270870001,-66.3141640109999 50.2097180590001,-66.163326801 50.1972090740001,-66.098289356 50.1932136710001,-66.086527728 50.1924909740001,-66.086527524 50.1924911140001,-66.086526775 50.192491068,-66.0433358339999 50.222218158,-66.024717783 50.2513912050001,-65.998617877 50.2718001330001,-65.980555043 50.2811090750001,-65.9593790439999 50.286983009,-65.952499728 50.288890974,-65.9465307789999 50.2887933870001,-65.9180639319999 50.2883270670001,-65.900056122 50.2853328560001,-65.898054728 50.2849999740001,-65.896185497 50.2841637720001,-65.8704178409999 50.272636144,-65.8376459409999 50.256109043,-65.7477729949999 50.256945054,-65.690554939 50.261109183,-65.61929609 50.2711466320001,-65.589999727 50.2752729740001,-65.571645755 50.278107881,-65.521663948 50.285827081,-65.494528239 50.2931506800001,-65.486663727 50.2952729740001,-65.481870407 50.2961713170001,-65.4644460599999 50.299436106,-65.2750088449999 50.3080449920001,-65.244147929 50.3050586800001,-65.2363097269999 50.3042999740001,-65.2205331 50.2986770570001,-65.1852728599999 50.2861090480001,-64.899990928 50.270827162,-64.725008809 50.2744360740001,-64.659435839 50.2772180280001,-64.6281593099999 50.279641096,-64.6199997259999 50.2802729740001,-64.5985928759999 50.2847051790001,-64.510008801 50.3030450190001,-64.470836343 50.317772995,-64.4501997259999 50.3188819740001,-64.409999726 50.310272974,-64.403501096 50.3075938050001,-64.369581915 50.293609175,-64.280041013 50.275208981,-64.2627907259999 50.271663974,-64.2250097259999 50.2659729740001,-64.2095806359999 50.2651374340001,-64.158199871 50.2623540640001,-64.134172978 50.2694361010001,-64.067226885 50.292218114,-63.976108892 50.3055450050001,-63.8123550019999 50.311936039,-63.7069449529999 50.2936229370001,-63.696872726 50.2918729740001,-63.6497277249999 50.272763974,-63.616663725 50.266663974,-63.565554725 50.264163974,-63.5449739479999 50.2626767720001,-63.469445977 50.2572181360001,-63.371935777 50.2366539750001,-63.2537943739999 50.2348968330001,-63.232636725 50.234581974,-63.232636182 50.2345821430001,-63.2326357539999 50.234582136,-63.2015369599999 50.244227864,-63.158745725 50.257499974,-63.112499725 50.291381974,-63.064439234 50.29050597,-62.746946038 50.2847181550001,-62.5722267749999 50.2747091570001,-62.440554955 50.2613180600001,-62.426308857 50.2746189160001,-62.4205547239999 50.279990974,-62.417944016 50.2817568230001,-62.4008357979999 50.2933270400001,-62.322917793 50.282627038,-62.268890895 50.259718123,-62.202499851 50.2344361230001,-61.998681973 50.2241540430001,-61.970273021 50.234018034,-61.9095584259999 50.23389573,-61.902781724 50.233881974,-61.899559118 50.233297753,-61.856799821 50.2255451030001,-61.797782002 50.1718642100001,-61.797781959 50.171864188,-61.7977817239999 50.1718639740001,-61.761081724 50.1529999740001,-61.759329903 50.1523001520001,-61.739417804 50.144345081,-61.6240488029999 50.1672880900001,-61.613609724 50.1693639740001,-61.6136094359999 50.169364129,-61.613608958 50.169364224,-61.5834729979999 50.185544985,-61.57979097 50.163318878,-61.6106252009999 50.151346447,-61.6205550409999 50.1474911440001,-61.6323922779999 50.1450333940001,-61.6713907239999 50.136936974,-61.694650549 50.1276083270001,-61.7024459 50.1244821500001,-61.7420639709999 50.106100133,-61.742063726 50.1060999700001,-61.720835796 50.091936058,-61.65083584 50.1099911800001,-61.5836097219999 50.13249097,-61.505563723 50.152490974,-61.427781723 50.171381974,-61.406399097 50.175674853,-61.2894460599999 50.1991540110001,-61.0522268 50.2155449900001,-60.873924124 50.215090237,-60.8386097229999 50.2149999740001,-60.710554723 50.222763974,-60.674445723 50.2199819740001,-60.5876367229999 50.208190974,-60.587636027 50.2081912360001,-60.587635843 50.208191211,-60.52458197 50.231936137,-60.4963178579999 50.2481180720001,-60.4588909829999 50.25110907,-60.415577995 50.2513335190001,-60.4044457219999 50.2513909740001,-60.395279269 50.2512748620001,-60.3599999479999 50.2508271030001,-60.3244459269999 50.244709152,-60.299315615 50.2443583240001,-60.295145722 50.2442999740001,-60.280683369 50.2502029500001,-60.236946066 50.268054093,-60.184435789 50.2797181820001,-60.155195184 50.2752874710001,-60.147781742 50.2741639770001,-60.1144460589999 50.2330450630001,-60.013735342 50.247619328,-60.005009722 50.248881974,-60.0050094539999 50.2488820880001,-60.005008914 50.248882166,-59.905272983 50.2911091880001,-59.860281944 50.3105449780001,-59.8281178989999 50.3236732180001,-59.822745939 50.3461360480001,-59.822745722 50.346136974,-59.848818565 50.3265190920001,-59.8793088639999 50.371382172,-59.8130549479999 50.434918172,-59.780754653 50.4386059720001,-59.7783367219999 50.438881974,-59.733609722 50.4449909740001,-59.727675856 50.4463575520001,-59.590235798 50.4780090340001,-59.530860235 50.5404691970001,-59.519163722 50.552772975,-59.4570817219999 50.619572975,-59.44633842 50.626328507,-59.3972268869999 50.657209095,-59.2288818929999 50.7383271420001,-59.1863908409999 50.742218022,-59.155826901 50.771100049,-59.132201056 50.7918885240001,-59.118890721 50.8035999750001,-59.1139210649999 50.8043676350001,-59.094581843 50.8073539590001,-59.093381737 50.8006059080001,-59.090136721 50.782354975,-59.088426269 50.7806629990001,-59.0648639729999 50.757354063,-59.0447604789999 50.75218505,-59.0416727209999 50.751390975,-59.0129187209999 50.7513819750001,-59.0129185979999 50.7513821250001,-59.012917799 50.751382124,-58.947354887 50.831109111,-58.947354929 50.8311097220001,-58.947354721 50.8311099750001,-58.958745721 50.9983279750001,-58.9846696499999 51.0040904960001,-58.993708823 51.006100116,-58.921390936 51.05054499,-58.785281904 51.088045122,-58.726799856 51.1005450540001,-58.623263906 51.1505451180001,-58.592226892 51.1847181380001,-58.5922281709999 51.184718479,-58.592227721 51.1847189750001,-58.628609721 51.194436975,-58.6726359419999 51.2230454690001,-58.6777884699999 51.241872019,-58.678890721 51.245899975,-58.6242997209999 51.276381975,-58.5917097409999 51.2792663930001,-58.407772886 51.295545003,-58.324446039 51.2722181660001,-58.3055911869999 51.269259333,-58.30139072 51.268599975,-58.2113907199999 51.2716639750001,-58.0141637199999 51.3106909750001,-58.009553024 51.312158853,-57.9866638899999 51.319444994,-57.970835839 51.3334642300001,-57.959850576 51.342718475,-57.94874572 51.3520729750001,-57.88694572 51.390690975,-57.862786935 51.4039511280001,-57.7394358 51.471653986,-57.694790933 51.463045101,-57.6915293329999 51.45310177,-57.68492772 51.432972975,-57.59444572 51.4288819750001,-57.565600779 51.4329626740001,-57.447672981 51.4496451200001,-57.4213908529999 51.4805450060001,-57.2636177859999 51.5036091540001,-57.24319092 51.502354048,-57.185547667 51.457713197,-57.1422277189999 51.4241639750001,-57.104236719 51.4126729750001,-57.099599838 51.412985383,-57.0780550219999 51.4144360970001,-57.005563965 51.4194451230001,-56.9627363669999 51.423514907,-56.9515997189999 51.424572975,-56.924997974 51.4384673590001,-56.8081268939999 51.4995090620001,-56.764454999 51.548609077,-56.689717926 51.5922181080001,-56.468890819 51.7094360070001,-56.3466638949999 51.7597180380001,-56.235835857 51.7836091450001,-56.206526856 51.791518141,-56.023326783 51.9019270840001,-55.8966639879999 51.9508271080001,-55.699308892 52.0852731700001,-55.68639087 52.1094360180001,-55.686390795 52.1094368330001,-55.686390718 52.109436976,-55.68586282 52.115134271,-55.677226768 52.2083270530001,-55.7072178879999 52.248327004,-55.707218052 52.2483270870001,-55.707218718 52.248327976,-55.8224548699999 52.307219242,-55.857781847 52.32527321,-55.956663998 52.3502732420001,-56.175417925 52.419573142,-56.1889108729999 52.435835341,-56.189854719 52.4369729760001,-56.170383917 52.4322040580001,-56.068335759 52.4072091640001,-55.9286089299999 52.3694361170001,-55.825008941 52.343045024,-55.7912745089999 52.3359973730001,-55.7824997179999 52.3341639760001,-55.649063718 52.356490976,-55.6455907179999 52.4328729760001,-55.645590958 52.4328730440001,-55.645590951 52.4328732100001,-55.650205426 52.4341772070001,-55.676663718 52.4416549760001,-55.7061097179999 52.4416549760001,-55.732772718 52.442218976,-55.7669454809999 52.449436926,-55.765655835 52.4517386740001,-55.764454718 52.453881976,-55.7601907169999 52.4566563110001,-55.735208918 52.472909036,-55.737561533 52.4762515570001,-55.750699718 52.4949189760001,-55.808223716 52.507716079,-55.8297267789999 52.5125001170001,-55.988890907 52.506382166,-56.153554904 52.526100091,-56.159304963 52.525970596,-56.197554719 52.5251099760001,-56.271390719 52.5333279760001,-56.4484727189999 52.567354976,-56.471455695 52.5831218230001,-56.4877353859999 52.594290911,-56.456390719 52.5927639760001,-56.3563907189999 52.5802729760001,-56.3261727189999 52.5751999760001,-56.3255861379999 52.5749628730001,-56.297499842 52.563609107,-56.254012577 52.5443032360001,-56.253063719 52.5438819760001,-56.242966656 52.54507683,-56.193446058 52.550936005,-56.1641908679999 52.555518056,-56.066730631 52.578494418,-56.039172718 52.584990976,-56.0081619059999 52.5979989430001,-55.980308844 52.6096820820001,-56.061108882 52.644164226,-56.071838081 52.644372333,-56.112132639 52.6451548970001,-56.0750089269999 52.655818089,-56.047255258 52.655478675,-56.040836718 52.6553999760001,-56.013955558 52.648916786,-55.958781937 52.6356091530001,-55.941370692 52.6288280320001,-55.9399457179999 52.6282729760001,-55.937041063 52.6270622160001,-55.893754964 52.6090180680001,-55.805562338 52.602594933,-55.792781718 52.6016639760001,-55.787793881 52.603295152,-55.7634819159999 52.6112449720001,-55.739863892 52.6420090710001,-55.7398641839999 52.64200937,-55.739863718 52.6420099760001,-55.75777562 52.6603552730001,-55.777017852 52.6800642530001,-55.8043484259999 52.6809770180001,-55.8747187179999 52.683327977,-55.9144951919999 52.678005053,-55.918335901 52.677491176,-55.942081833 52.6763820830001,-55.9442639449999 52.6768096100001,-55.9626367179999 52.6804099770001,-56.060826849 52.7661092180001,-55.9806908909999 52.8083181010001,-55.9063446119999 52.81992194,-55.879163718 52.8241639770001,-55.8699378389999 52.824904636,-55.841108901 52.8272181190001,-55.8058267879999 52.831036076,-55.804717862 52.877209131,-55.8125553319999 52.8891138050001,-55.834163718 52.921936977,-55.8833314669999 52.9642988740001,-55.887363931 52.9677732480001,-55.902503053 52.9740802000001,-55.954027718 52.9955459770001,-56.040836718 53.0058279770001,-56.145333734 53.0264090210001,-56.1645812469999 53.0302000120001,-56.146151969 53.0315809510001,-56.0561089089999 53.03832708,-56.029590914 53.0348541220001,-55.9995909089999 53.0258271480001,-55.970864653 53.022424496,-55.964445718 53.0216639770001,-55.9388817179999 53.021381977,-55.933546577 53.022593295,-55.9192998199999 53.0258271480001,-55.894122716 53.056447603,-55.8798547179999 53.0737999770001,-55.8721640059999 53.0777866890001,-55.833308869 53.0979271050001,-55.751317931 53.1383270410001,-55.745835831 53.2494360410001,-55.745836738 53.2494365640001,-55.745836718 53.2494369770001,-55.789790914 53.274779584,-55.80745472 53.2849641490001,-55.8080547179999 53.340545977,-55.879939328 53.3819335210001,-55.8813819339999 53.3827641250001,-55.883142412 53.3835480610001,-55.902918718 53.3923549770001,-55.929409979 53.3954164130001,-55.931863958 53.3957000840001,-55.9348579799999 53.3951703380001,-55.956427718 53.391354977,-55.975436718 53.3769099770001,-55.994727268 53.368191181,-56.0006687429999 53.3681966350001,-56.024126109 53.368218976,-56.0041729599999 53.388045059,-55.969445897 53.4005449920001,-55.9656909719999 53.407354115,-55.9656911289999 53.407354233,-55.965690718 53.4073549770001,-56.002869463 53.43548724,-56.0326089019999 53.4579912030001,-56.0504298019999 53.4680490630001,-56.077499718 53.483327977,-56.1152817179999 53.4919369770001,-56.1425238809999 53.4991927350001,-56.14555488 53.5000001290001,-56.25959058 53.5476000100001,-56.251542528 53.5494790000001,-56.208890888 53.5594360370001,-56.1458358419999 53.5530450030001,-56.055417905 53.537218126,-56.0111460329999 53.508391084,-56.011145988 53.508391153,-56.011145718 53.508390977,-56.0058461789999 53.5163024890001,-55.9851358139999 53.5472180720001,-55.985136868 53.547218754,-55.985136718 53.5472189770001,-56.029309718 53.5758279770001,-56.073890718 53.5833279770001,-56.1388085039999 53.589932499,-56.1558269029999 53.591664119,-56.155827619 53.591663967,-56.155827718 53.5916639770001,-56.213472719 53.5794369770001,-56.299482504 53.5841292690001,-56.320281855 53.585264201,-56.323999805 53.5858259180001,-56.340554719 53.5883279770001,-56.622636719 53.6491549770001,-56.66822237 53.6746885320001,-56.671245685 53.6763819860001,-56.638688666 53.6849415550001,-56.544445965 53.709718029,-56.5140268649999 53.7158270950001,-56.482772927 53.7180451150001,-56.447981742 53.7164526230001,-56.440281719 53.7160999770001,-56.419006181 53.721152729,-56.416317846 53.7217911550001,-56.4293087899999 53.760827019,-56.429309657 53.7608277910001,-56.4293097189999 53.7608279780001,-56.431547899 53.7628212480001,-56.448335878 53.7777732160001,-56.4741549899999 53.7823820890001,-56.603335876 53.759164217,-56.603336024 53.7591641020001,-56.603336719 53.7591639780001,-56.626318719 53.741381978,-56.6608277189999 53.720545977,-56.7728507429999 53.720082774,-56.797226899 53.7199821720001,-56.860835821 53.722491211,-56.879541903 53.7246317600001,-56.921527719 53.729436977,-56.964283509 53.7265343340001,-56.966526759 53.7263820910001,-56.966526957 53.726382029,-56.9665277189999 53.7263819770001,-57.014727719 53.711381977,-57.0395802359999 53.6900781460001,-57.06139096 53.671382221,-57.080605799 53.652271812,-57.111390719 53.621654977,-57.121951474 53.606128862,-57.13028199 53.593882138,-57.2430549659999 53.4963821640001,-57.25070966 53.4927041220001,-57.2854187199999 53.4760279770001,-57.28333672 53.4385999770001,-57.30159972 53.4340189770001,-57.338054405 53.4473548620001,-57.323335829 53.4687450180001,-57.30868273 53.4948993350001,-57.30555472 53.500481977,-57.30277272 53.5285999770001,-57.305194538 53.538014591,-57.315135813 53.576664201,-57.348165955 53.593604784,-57.3736097199999 53.6066549770001,-57.45138172 53.6180459770001,-57.4787835229999 53.6128703750001,-57.486663918 53.611382211,-57.500023175 53.607863207,-57.535498004 53.5985194290001,-57.487635884 53.6302641250001,-57.468542688 53.635890224,-57.4291727199999 53.6474909770001,-57.423001631 53.649096145,-57.387508853 53.6583270720001,-57.314718722 53.676381985,-57.30249972 53.679163977,-57.26407654 53.6935721930001,-57.151390975 53.735827155,-57.080308916 53.8234641430001,-57.115281904 53.838600184,-57.135921105 53.854149142,-57.221109438 53.9183277660001,-57.323335829 54.0397180840001,-57.3693088919999 54.1041641910001,-57.385835825 54.141591233,-57.428335763 54.1824912320001,-57.468326829 54.1938822390001,-57.5145196949999 54.1952265690001,-57.65916372 54.1994369780001,-57.86152772 54.1969369780001,-57.915112366 54.2076379210001,-57.935272933 54.211664279,-57.941861011 54.2133158240001,-57.96736372 54.219709978,-57.9983367199999 54.2323459780001,-58.0308277199999 54.2355459780001,-58.17778172 54.2369369780001,-58.2014378339999 54.2343971610001,-58.203608835 54.2341641570001,-58.3555640229999 54.206382171,-58.367389889 54.2003854330001,-58.376109721 54.1959639780001,-58.4170097209999 54.140272978,-58.24449972 54.1007999780001,-58.21637272 54.1100729780001,-58.210324256 54.112765962,-58.188663901 54.1224090800001,-58.159827661 54.128490975,-58.07649972 54.124490978,-57.86069072 54.101663978,-57.796946294 54.0750912170001,-57.8306526539999 54.074060183,-57.9452727199999 54.0705549780001,-58.02860972 54.0797189780001,-58.15369072 54.070436978,-58.177867052 54.0742378830001,-58.187108891 54.075691201,-58.2107819 54.0731821620001,-58.326108841 54.0462732350001,-58.5502818369999 54.0091642030001,-58.628636414 53.9835875370001,-58.870281721 53.904709978,-58.9941129709999 53.840304088,-59.0427818489999 53.814991213,-59.0598639999999 53.8000642170001,-59.0437549879999 53.7506911190001,-59.0437547559999 53.750691083,-59.043754721 53.7506909780001,-59.0188187209999 53.7468639780001,-59.021527721 53.7165189770001,-59.067078852 53.687986138,-59.076955036 53.681800089,-59.1622179349999 53.671382221,-59.329726917 53.653882148,-59.329727115 53.653882041,-59.329727721 53.653881977,-59.4783367219999 53.5727729770001,-59.49664131 53.5642288120001,-59.524163938 53.5513822010001,-59.531757684 53.549139455,-59.5608277219999 53.5405549770001,-59.601480228 53.531218299,-59.613472948 53.5284642340001,-59.644552636 53.5254483620001,-59.747918722 53.5154189770001,-59.768336722 53.516518977,-59.809999722 53.5297189770001,-59.856590722 53.536309977,-59.897918722 53.5223549770001,-59.897917456 53.522354131,-59.897917863 53.5223539940001,-59.884132942 53.5131472730001,-59.858609722 53.496099977,-59.849266483 53.4953598020001,-59.823617823 53.493327128,-59.7937062779999 53.483364979,-59.7904550649999 53.482282092,-59.8138909589999 53.471382132,-59.8419460279999 53.476382105,-59.870672022 53.4602460950001,-59.931945722 53.425827977,-59.953890722 53.406936977,-60.0247187219999 53.354999977,-60.133609722 53.283609977,-60.2711930569999 53.2661926660001,-60.289445949 53.2638820830001,-60.3161089509999 53.2641642180001,-60.3370048959999 53.264860384,-60.407771361 53.267218932,-60.3897268709999 53.276936059,-60.3717251959999 53.277605603,-60.367218722 53.277772977,-60.361564019 53.2782433400001,-60.3338819379999 53.280544972,-60.2895819029999 53.288045099,-60.2027088409999 53.314164115,-60.1851998829999 53.344709111,-60.185200219 53.3447091100001,-60.1851997219999 53.344709977,-60.21686901 53.3445966150001,-60.223472995 53.3445731570001,-60.3013908309999 53.3363821930001,-60.320048292 53.335341326,-60.393472722 53.331245977,-60.409090206 53.3514543090001,-60.2022268819999 53.4336002000001,-60.138055031 53.453609144,-60.119421066 53.4561730990001,-60.1148637219999 53.4567999770001,-60.112506846 53.4659688460001,-60.103617814 53.50054512,-60.1036188539999 53.500545463,-60.103618722 53.5005459770001,-60.182193685 53.5264516190001,-60.253617839 53.5500001930001,-60.278881901 53.5586001930001,-60.282295689 53.5602354370001,-60.298618722 53.568054977,-60.330763722 53.587145977,-60.3573637219999 53.605272977,-60.357363838 53.605273029,-60.3573640079999 53.6052731450001,-60.364255498 53.6083698300001,-60.4391187219999 53.642009977,-60.5119457229999 53.6697189770001,-60.5372277229999 53.678327977,-60.6495547229999 53.6978549770001,-60.731948009 53.7101909940001,-60.75247301 53.7132642450001,-60.8347268059999 53.7213732330001,-60.838746812 53.7206391060001,-60.8802817229999 53.7130549770001,-60.882315024 53.7242916260001,-60.8872178039999 53.751391175,-60.86806509 53.77757324,-60.856945723 53.7927729780001,-60.85237168 53.7913277280001,-60.7644460559999 53.7635451030001,-60.722116679 53.7502294560001,-60.7051187229999 53.7448819780001,-60.69634246 53.7436520950001,-60.670608806 53.7400450960001,-60.654721509 53.738122059,-60.6486097229999 53.737381978,-60.6237263359999 53.732011631,-60.5602818369999 53.718318029,-60.5153077369999 53.708810274,-60.507090723 53.7070729770001,-60.3829187219999 53.6615909770001,-60.371951257 53.650900521,-60.358055012 53.637354041,-60.219581445 53.5694170040001,-60.136109722 53.5284639770001,-60.1361090519999 53.5284642990001,-60.13610892 53.5284642340001,-60.068717916 53.5607912230001,-60.0853776719999 53.5810228060001,-60.087499722 53.5835999770001,-60.110590722 53.6021099770001,-60.0827817219999 53.7624999780001,-60.058740481 53.766921842,-59.989163931 53.779718152,-59.877708926 53.828609123,-59.8527819839999 53.8394271430001,-59.8276987629999 53.842533442,-59.825836722 53.8427639780001,-59.803054722 53.843599978,-59.755563722 53.838599978,-59.728054722 53.8352639780001,-59.707636722 53.8306909780001,-59.6862854139999 53.8279083040001,-59.629863928 53.8205541140001,-59.604453056 53.819507806,-59.5961097219999 53.8191639780001,-59.535554722 53.8217999780001,-59.4718097219999 53.8291639780001,-59.4718088939999 53.829164173,-59.4363907219999 53.8374909780001,-59.4316758699999 53.8394822120001,-59.3936178069999 53.855554092,-59.366673006 53.869854122,-59.349155681 53.8797880120001,-59.338745721 53.8856909780001,-59.2013907209999 53.927490978,-59.1727727209999 53.934990978,-59.122218721 53.9452639780001,-59.115281721 53.946381978,-59.0722277209999 53.9474909780001,-59.068810019 53.9476079950001,-59.04778199 53.948327008,-59.01742737 53.9534070220001,-59.0120907209999 53.9542999780001,-58.9963462659999 53.9603846310001,-58.980826844 53.966382131,-58.9586178179999 53.9808271680001,-58.922708906 54.011664189,-58.948054944 54.0150001870001,-58.958302793 54.0155315200001,-59.0069547209999 54.0180549780001,-59.0332481299999 54.0229718960001,-59.040835906 54.0243911040001,-59.035291292 54.025562639,-59.0024997209999 54.0324909780001,-58.9374997209999 54.041663978,-58.8799997209999 54.0449999780001,-58.8717774519999 54.0454130270001,-58.835826792 54.047218044,-58.807499815 54.0433271640001,-58.776579802 54.0369377320001,-58.773890721 54.0363819780001,-58.772666887 54.0361060910001,-58.754172973 54.0319359900001,-58.713055044 54.0273541060001,-58.687004358 54.0287014090001,-58.678054721 54.029163978,-58.654999721 54.031663978,-58.6324997209999 54.0352729780001,-58.626904154 54.0369923530001,-58.607645906 54.0429090750001,-58.449717774 54.1544359960001,-58.3750640179999 54.2267181770001,-58.37506458 54.2267181460001,-58.3750637209999 54.2267189780001,-58.4203457209999 54.224227978,-58.620227969 54.1534802580001,-58.7030549309999 54.12416425,-58.877217803 54.0949912040001,-59.049445965 54.0574910720001,-59.075320951 54.0533721730001,-59.265836721 54.023045978,-59.4661937079999 54.000611232,-59.503963886 53.9963821360001,-59.58159965 54.042982001,-59.5702631139999 54.0466714120001,-59.534446018 54.0583270830001,-59.509999862 54.0594360090001,-59.470272994 54.051654082,-59.434435831 54.047218044,-59.3761088489999 54.0469451290001,-59.279446059 54.0644361490001,-59.248335787 54.071936108,-59.1905549699999 54.0872091100001,-59.1348603609999 54.099365027,-59.114163721 54.1038819780001,-58.921809723 54.137490987,-58.917224308 54.138027191,-58.859999865 54.144718186,-58.838190824 54.1458271110001,-58.797781836 54.1397180450001,-58.764026906 54.140545004,-58.729415849 54.1447081370001,-58.7247187209999 54.145272978,-58.722301723 54.1457558330001,-58.692773017 54.1516540430001,-58.6479752229999 54.164298461,-58.6366637209999 54.167490978,-58.628966713 54.17127083,-58.606672934 54.18221815,-58.572635869 54.2020820870001,-58.453890956 54.2372091350001,-58.42257298 54.24214507,-58.390043847 54.2412849730001,-58.383054721 54.2410999780001,-58.3755334859999 54.2417453290001,-58.344163964 54.2444360120001,-58.2623352589999 54.251573443,-58.24055472 54.253472978,-58.199654718 54.2747372060001,-58.099654963 54.326727023,-58.099656965 54.3267268110001,-58.0996547199999 54.3267279780001,-58.174570661 54.318805737,-58.1974908839999 54.3163822450001,-58.221108908 54.31166424,-58.255281264 54.311173237,-58.17889072 54.3545819780001,-58.15028172 54.3642999780001,-58.05028172 54.3774909780001,-57.9102817199999 54.385272978,-57.905710529 54.385457848,-57.8761089339999 54.3866541100001,-57.790281933 54.3886091050001,-57.7430549379999 54.3808181260001,-57.7155549189999 54.376936131,-57.699078534 54.3753561350001,-57.6952727199999 54.374990978,-57.6695817199999 54.3760999780001,-57.663190344 54.3770489510001,-57.625554904 54.3826359930001,-57.5233268659999 54.417218049,-57.422426856 54.45554514,-57.422428263 54.4555457720001,-57.42242772 54.455545978,-57.44624572 54.4662459780001,-57.47999972 54.473327978,-57.58777272 54.467209978,-57.65833672 54.4630549780001,-57.6909611419999 54.4648853530001,-57.697708841 54.465264124,-57.684375914 54.4731385000001,-57.67277272 54.479990978,-57.663845443 54.4805814200001,-57.618054945 54.483609093,-57.594742501 54.484084479,-57.59083672 54.484163978,-57.51944572 54.4838819780001,-57.514399483 54.4837214500001,-57.488890822 54.4829090370001,-57.436949165 54.4870063050001,-57.42722772 54.4877729780001,-57.427227063 54.4877732050001,-57.427226837 54.487773223,-57.389999955 54.5006181540001,-57.349681995 54.5749540680001,-57.34968215 54.574954184,-57.34968172 54.5749549780001,-57.44909072 54.648809978,-57.522718488 54.6576860110001,-57.5458357959999 54.660473118,-57.545836116 54.6604729060001,-57.54583672 54.660472978,-57.5722277199999 54.6429819780001,-57.5865836099999 54.6395387170001,-57.6263909149999 54.629991153,-57.63067792 54.62965561,-57.6512547199999 54.628045978,-57.679358855 54.6317554410001,-57.684999864 54.6325001920001,-57.68813728 54.6335918190001,-57.70694572 54.640136978,-57.787645723 54.6806909730001,-57.84423672 54.7305459780001,-57.9105547199999 54.7419369780001,-57.94055472 54.7405459780001,-58.0013997199999 54.733327978,-58.10999972 54.7372099780001,-58.14555472 54.739718978,-58.176068738 54.747883691,-58.178745755 54.7486000660001,-58.19267272 54.784054978,-58.24332772 54.794718978,-58.312057129 54.7929189550001,-58.3280549519999 54.7925001630001,-58.338235711 54.7917413750001,-58.387709721 54.788054978,-58.4436091709999 54.7738821180001,-58.560826774 54.7761001310001,-58.6006758189999 54.789054386,-58.689854721 54.818045979,-58.829799721 54.833327979,-58.904163721 54.8447099790001,-59.0139628809999 54.8919366170001,-58.964717832 54.9175001560001,-58.901072867 54.9486360770001,-58.9010735109999 54.9486365920001,-58.9010727209999 54.9486369790001,-58.947218721 54.9855459790001,-58.972499721 54.995545979,-59.003754721 55.0252729790001,-58.980281721 55.0599909790001,-58.966390721 55.0781819790001,-58.9616483 55.0873845880001,-58.957081918 55.0962450800001,-58.957081918 55.0962455970001,-58.957081721 55.0962459790001,-58.957081721 55.129509979,-59.023583103 55.1524537560001,-59.033545998 55.155891206,-59.094216533 55.134366588,-59.1333277209999 55.1204909790001,-59.240763721 55.0690189790001,-59.240763817 55.0690181890001,-59.240763911 55.069018144,-59.2410654679999 55.0665287370001,-59.244027721 55.042081979,-59.2565581489999 55.033421101,-59.268754942 55.0249911920001,-59.334621646 54.999877762,-59.3836086759999 54.9812003770001,-59.369026812 55.0111090830001,-59.246535858 55.10693603,-59.213856775 55.126500428,-59.207190721 55.1304909790001,-59.200907918 55.1322022570001,-59.172608812 55.1399090960001,-59.154145994 55.1549450570001,-59.1394521889999 55.174666943,-59.125345721 55.1935999790001,-59.135272721 55.2197099790001,-59.1563817209999 55.233881979,-59.156381951 55.2338821330001,-59.1929731979999 55.2168080500001,-59.293890721 55.169718979,-59.4111097219999 55.056381979,-59.6183277219999 54.9485999790001,-59.644556939 54.935228303,-59.6744459299999 54.9199910900001,-59.6963909259999 54.912073209,-59.729999843 54.907491158,-59.7474203589999 54.9004435100001,-59.754718722 54.8974909790001,-59.767236845 54.8772081560001,-59.771999884 54.869491129,-59.776611816 54.864416292,-59.787672722 54.852245979,-59.793418722 54.830445979,-59.792166896 54.795631058,-59.791881926 54.787700183,-59.885554891 54.7441642420001,-59.914299957 54.741100154,-59.917684849 54.7422753910001,-59.9409263859999 54.750345515,-59.82399987 54.8511091130001,-59.8129792569999 54.86935663,-59.8021637219999 54.8872639790001,-59.774276761 54.9096270380001,-59.7166639 54.9558270790001,-59.6108358339999 55.0127732270001,-59.593890979 55.0208270620001,-59.557143273 55.0398578350001,-59.5391727219999 55.0491639790001,-59.529728898 55.0555597170001,-59.496108869 55.0783270860001,-59.431872981 55.13543601,-59.4318734129999 55.135436364,-59.431872722 55.1354369790001,-59.484136266 55.1783862090001,-59.4877819509999 55.1813822500001,-59.5313909819999 55.1813822500001,-59.570281839 55.15999113,-59.589392795 55.150086614,-59.615836606 55.1363820390001,-59.6252326119999 55.134971497,-59.798054722 55.1090279790001,-59.965835711 55.1147189440001,-59.9641419229999 55.1471297790001,-59.963645769 55.156618076,-59.929258932 55.155590616,-59.9183367219999 55.155263979,-59.8977817219999 55.1513819790001,-59.863890722 55.154163979,-59.8394457219999 55.160263979,-59.776889088 55.182295448,-59.7351357699999 55.197000083,-59.715929166 55.2566452840001,-59.713399722 55.2644999790001,-59.777636722 55.329436979,-59.801390722 55.3258279790001,-59.846532738 55.304236711,-59.858754929 55.2983911040001,-59.8638389879999 55.2931857950001,-59.890836722 55.2655459790001,-59.922909722 55.234718979,-59.964718722 55.2355459790001,-60.013890722 55.220627979,-60.0349495039999 55.2043445190001,-60.0419908759999 55.1989000930001,-60.057259675 55.181914652,-60.088890722 55.146727979,-60.111795346 55.129685599,-60.124446005 55.120273147,-60.1524999 55.1027732420001,-60.19559119 55.0790861570001,-60.289899722 55.027245979,-60.285554856 55.0555451070001,-60.231606122 55.096224152,-60.216663722 55.107490979,-60.1958277219999 55.1077729790001,-60.195827322 55.107773207,-60.1958267959999 55.1077732140001,-60.151808896 55.1329092010001,-60.1236088209999 55.156382218,-60.1146203719999 55.1864382800001,-60.110781722 55.1992729790001,-60.090592661 55.225996615,-60.074773003 55.246936109,-60.0747733219999 55.246936185,-60.074772722 55.2469369790001,-60.176109722 55.270827979,-60.257636722 55.2443639790001,-60.4752727229999 55.1244369790001,-60.553416859 55.0808392010001,-60.5927729439999 55.0588822440001,-60.6381991109999 55.0268314310001,-60.6833267219999 54.9949916850001,-60.6811178679999 55.0047180500001,-60.671078134 55.0427371110001,-60.670554925 55.0447182120001,-60.636117777 55.0666641700001,-60.6166638829999 55.07721816,-60.5945785769999 55.0859189560001,-60.5877727229999 55.088599979,-60.576013582 55.0935720190001,-60.5122178249999 55.120545056,-60.355726854 55.253464271,-60.4683268269999 55.2375001,-60.468327722 55.2374999790001,-60.486872723 55.2279099790001,-60.538054201 55.200546258,-60.498890934 55.253327143,-60.4688909289999 55.285827134,-60.354717841 55.3950000820001,-60.333068967 55.402808744,-60.3092997219999 55.4113819790001,-60.304484589 55.4110296280001,-60.279863925 55.409227022,-60.2181180919999 55.4254512370001,-60.195545722 55.431381979,-60.1974743499999 55.4415962830001,-60.205208827 55.482564149,-60.2612460409999 55.502773253,-60.279034726 55.4989689130001,-60.325563722 55.489018979,-60.349163722 55.4758189790001,-60.418954722 55.420127979,-60.4189547509999 55.4201271380001,-60.418954903 55.420127016,-60.419106525 55.415606145,-60.4201367219999 55.3849189790001,-60.451390722 55.357218979,-60.465896679 55.350810633,-60.472772924 55.3477732550001,-60.478335825 55.34749112,-60.4377729459999 55.3994361210001,-60.4377730209999 55.399436597,-60.437772722 55.399436979,-60.439016883 55.40736209,-60.4422088169999 55.4277000660001,-60.4263179019999 55.4482001900001,-60.3628592549999 55.4856713010001,-60.321672722 55.5099909790001,-60.3194547219999 55.5308189790001,-60.317981722 55.5731909790001,-60.317981972 55.5731910820001,-60.3179819709999 55.5731911300001,-60.323099891 55.575290855,-60.4255817219999 55.6173369790001,-60.4881907229999 55.6244369790001,-60.504078862 55.611124546,-60.5105639079999 55.6056911220001,-60.514838991 55.603764014,-60.530045398 55.5969101250001,-60.5004177819999 55.6522180600001,-60.467963891 55.6646271330001,-60.406390933 55.6747090540001,-60.38055489 55.691936044,-60.333608856 55.75499109,-60.33296746 55.775186569,-60.332772722 55.7813099790001,-60.460891492 55.804410535,-60.485690945 55.8088822010001,-60.492066084 55.805964638,-60.508754723 55.7983279790001,-60.524927723 55.7728459790001,-60.5441637229999 55.7269369790001,-60.590281723 55.6447189790001,-60.5980540049999 55.6334395960001,-60.60416395 55.6245732030001,-60.6158510499999 55.6169425410001,-60.661807271 55.58693858,-60.629717859 55.638327067,-60.615835751 55.686936071,-60.605835805 55.7338821050001,-60.5997908219999 55.7992193490001,-60.598954723 55.8082549790001,-60.618750065 55.8228507700001,-60.619581958 55.8234641980001,-60.624095262 55.8231796140001,-60.643818723 55.821936979,-60.6688907229999 55.7958279790001,-60.7016097229999 55.763445979,-60.724445723 55.742354979,-60.7521547229999 55.7308279790001,-60.861649225 55.739509087,-60.87999916 55.7409640910001,-60.8077817229999 55.755272979,-60.78925974 55.7649185500001,-60.774717911 55.772491163,-60.7375357879999 55.799164223,-60.7359701189999 55.8306335390001,-60.7356907229999 55.8362459790001,-60.758890723 55.8504099790001,-60.7768565059999 55.8532666680001,-60.7824998369999 55.8541642600001,-60.8168155239999 55.8567807320001,-60.917218723 55.8644369790001,-60.946109723 55.8658279790001,-61.020160354 55.856281714,-61.032499823 55.8546911460001,-61.0384882879999 55.853151068,-61.068063723 55.8455459790001,-61.090554723 55.8441549790001,-61.193508113 55.878709439,-61.160827086 55.892082013,-61.1535440449999 55.8924671350001,-61.0941088239999 55.8956090830001,-61.07541785 55.9163180840001,-61.078653072 55.9200414640001,-61.117645723 55.9649189800001,-61.149027723 55.97095498,-61.24485135 55.967814381,-61.254717823 55.9674911120001,-61.2617357509999 55.9671717800001,-61.328054723 55.96415498,-61.3879817229999 55.9595099800001,-61.414828846 55.961774608,-61.418472887 55.9620821020001,-61.422497987 55.9646066670001,-61.499726434 56.013045171,-61.4288909219999 56.0273539940001,-61.3886088359999 56.0219360990001,-61.3640328609999 56.019323603,-61.3572277229999 56.01859998,-61.3102817229999 56.01859998,-61.305954583 56.0188728640001,-61.2761089429999 56.020754083,-61.240346045 56.0439540180001,-61.24034685 56.0439542490001,-61.240345723 56.0439549800001,-61.3155547229999 56.0655459800001,-61.3420178599999 56.06200009,-61.342018723 56.0619999800001,-61.390136723 56.0442999800001,-61.4126367229999 56.0376369800001,-61.450481493 56.056309866,-61.406108909 56.146100081,-61.3904178189999 56.160264156,-61.3772178309999 56.1686001260001,-61.334999723 56.1754729800001,-61.348190723 56.2202729800001,-61.348190901 56.220273004,-61.348190964 56.220273219,-61.35232601 56.22082751,-61.370972723 56.2233279800001,-61.399127168 56.217860187,-61.408190974 56.216100205,-61.450554957 56.2049911650001,-61.5358357929999 56.196382113,-61.5724999139999 56.2020001670001,-61.6056223049999 56.2046925290001,-61.7698907239999 56.2180459800001,-61.795746928 56.216708313,-61.802054929 56.2163821720001,-61.8211937889999 56.215698763,-61.914863724 56.21235498,-61.9476367239999 56.21832798,-61.996660329 56.2320405520001,-62.0089638859999 56.2354821820001,-62.03447268 56.256365165,-62.077845724 56.2918729800001,-62.0318752429999 56.3046663360001,-62.029727722 56.3052639730001,-61.8836097239999 56.29888198,-61.8603291909999 56.296225502,-61.800835865 56.2894359900001,-61.762508942 56.2704181220001,-61.702835826 56.265327122,-61.676426796 56.2686091400001,-61.7586579159999 56.355894467,-61.794445724 56.3938819800001,-61.7944457949999 56.393881992,-61.7944460049999 56.3938822150001,-61.909717793 56.4138821070001,-61.9190713639999 56.4144097770001,-61.960309724 56.4167369800001,-61.982744829 56.4153835970001,-61.984726774 56.4152641150001,-62.0022461519999 56.4165147470001,-62.078190724 56.4219369800001,-62.121254724 56.43693698,-62.136808673 56.4508270410001,-62.062154941 56.458536026,-62.0124998749999 56.450545054,-61.971754941 56.457336072,-61.953535869 56.4680002000001,-61.969816968 56.481765727,-61.970836724 56.4826279800001,-62.024172724 56.4844369800001,-62.077634463 56.4832190320001,-62.0554186859999 56.4993942950001,-62.050490724 56.5029819800001,-62.029846944 56.5035209870001,-61.951945989 56.505553976,-61.89082817 56.499118245,-61.878054724 56.49777298,-61.803890724 56.48777298,-61.799582233 56.4874586760001,-61.76389095 56.484854028,-61.6847187239999 56.495681984,-61.684717839 56.4956821060001,-61.657245984 56.5257540280001,-61.6572463639999 56.5257542800001,-61.6572457239999 56.52575498,-61.690836724 56.54804598,-61.7074241079999 56.563517394,-61.7133998739999 56.5690911500001,-61.9013908749999 56.5877732380001,-61.932072659 56.589478141,-62.0412547239999 56.5955459800001,-62.104999724 56.5969369800001,-62.174096801 56.6013369980001,-62.1922179379999 56.6024911900001,-62.204818556 56.606574396,-62.232079809 56.6154093590001,-62.184380389 56.62248972,-62.174999724 56.6238819800001,-62.165932434 56.62375015,-62.117499809 56.623045125,-62.005281883 56.6169360590001,-62.0052835769999 56.6169370810001,-62.005281724 56.61693698,-62.020746378 56.626268291,-62.022772904 56.6274912220001,-62.047847726 56.6355996980001,-62.162772724 56.6727639800001,-62.356109724 56.72221898,-62.503063724 56.7622189800001,-62.538336724 56.77555498,-62.567581656 56.793001089,-62.572090691 56.795691031,-62.565598031 56.805494529,-62.5454179279999 56.8359632360001,-62.524581858 56.84582706,-62.4936819719999 56.849163225,-62.408499206 56.83479743,-62.3816727239999 56.8302729800001,-62.3479160759999 56.831803855,-62.2347267599999 56.8369360400001,-62.058939892 56.8302362060001,-62.1383367239999 56.8108189800001,-62.189990724 56.8133279800001,-62.2274907239999 56.81666398,-62.326390724 56.8127639800001,-62.4688907239999 56.79860998,-62.488206013 56.790759704,-62.4955549919999 56.78777316,-62.495554574 56.787773042,-62.495554724 56.7877729800001,-62.472240375 56.7811713450001,-62.3111088649999 56.735545018,-62.109088711 56.688428925,-62.109088686 56.688428919,-62.0669457239999 56.6785999800001,-62.0577648949999 56.6763045980001,-62.001390836 56.6622090650001,-61.91940546 56.644450024,-61.9116637239999 56.6427729800001,-61.903074562 56.6415192910001,-61.8355550489999 56.6316632300001,-61.685272889 56.6182540290001,-61.6543087979999 56.6380450440001,-61.654309989 56.638045811,-61.654309724 56.6380459800001,-61.6780547239999 56.65332798,-61.7322187239999 56.66331898,-61.772140915 56.6749163590001,-61.795835892 56.6818000870001,-61.80737435 56.6918040460001,-61.822499003 56.7049183560001,-61.803335851 56.7115181250001,-61.784620655 56.705230285,-61.769027724 56.6999909800001,-61.763177061 56.6993649180001,-61.744308813 56.6973449970001,-61.71582677 56.7033271620001,-61.7043729 56.7267180360001,-61.704373156 56.726718098,-61.7043727239999 56.72671898,-61.755494502 56.7391708230001,-61.777335858 56.7444911910001,-61.786696747 56.7446384850001,-61.825245724 56.7452459800001,-61.8702817239999 56.7269369800001,-61.880044816 56.716175052,-61.889654806 56.705582484,-61.903954572 56.7930450540001,-61.8434918469999 56.7952721940001,-61.8298907239999 56.79577298,-61.790809724 56.7936909800001,-61.6688907239999 56.8060999800001,-61.648190724 56.8188819800001,-61.650554724 56.8422819800001,-61.6460458339999 56.875545163,-61.5411179 56.9577732440001,-61.531820212 56.9624750880001,-61.516399723 56.9702729810001,-61.509549786 56.9730275540001,-61.489655026 56.9810271580001,-61.383890831 56.981727047,-61.365927412 57.0037092090001,-61.3555637229999 57.016390981,-61.357061422 57.036871836,-61.36111787 57.092354088,-61.362565929 57.093975201,-61.3866727229999 57.120963981,-61.4502817229999 57.151654981,-61.4848637229999 57.1594279810001,-61.511171362 57.156817018,-61.51555494 57.156382105,-61.523721091 57.155293731,-61.565554724 57.149718981,-61.659999724 57.1434639810001,-61.855699724 57.1665189810001,-62.01333506 57.2475271260001,-61.961085364 57.2498746960001,-61.947563724 57.2504819810001,-61.933364787 57.2555220720001,-61.894163998 57.2694360420001,-61.8638909109999 57.2855541070001,-61.802635795 57.3625001460001,-61.809545503 57.3694705620001,-61.8169457239999 57.376936981,-61.891390724 57.4119369810001,-62.039727724 57.453327981,-62.054793732 57.4555086250001,-62.060826912 57.4563821560001,-62.083719916 57.457981266,-62.170272724 57.4640279810001,-62.2196378369999 57.44729943,-62.23055492 57.443600088,-62.344863963 57.4188821910001,-62.349670896 57.419236449,-62.371254724 57.4208279810001,-62.425658096 57.440228259,-62.460835808 57.4527732430001,-62.4878776469999 57.4674315830001,-62.526945724 57.4886099810001,-62.533828219 57.496854688,-62.540626437 57.504999738,-62.5020268769999 57.4977055030001,-62.426663962 57.483463247,-62.308608878 57.4905451170001,-62.1922179379999 57.5358270070001,-62.071672927 57.563609161,-61.9467348709999 57.6015919000001,-61.898054724 57.6163909810001,-61.8914292169999 57.624793034,-61.884863942 57.6331181050001,-61.884864019 57.633118607,-61.884863724 57.6331189810001,-61.8899997239999 57.666381981,-61.889999857 57.666382114,-61.889999869 57.6663821910001,-61.994026831 57.7699912310001,-62.004749664 57.7760683980001,-62.018054724 57.783609981,-62.039863724 57.786518981,-62.078818724 57.7803369810001,-62.1141778479999 57.797311215,-62.1184727689999 57.7993730690001,-62.137081506 57.835618556,-62.115281958 57.8541631410001,-62.061526801 57.8902732190001,-62.074384347 57.9296467030001,-62.076945724 57.9374909810001,-62.076945974 57.9374911360001,-62.076945982 57.9374911620001,-62.1217998929999 57.9652731470001,-62.147081892 57.9745732040001,-62.165600427 57.9610828720001,-62.200281724 57.9358189810001,-62.251216449 57.945589048,-62.268335845 57.9488731160001,-62.32500891 57.9561001600001,-62.356869189 57.959086271,-62.4515817239999 57.9679639810001,-62.4988031239999 57.9714725700001,-62.5125088999999 57.9724911390001,-62.537781847 57.9711000790001,-62.5426202909999 57.9700169750001,-62.5774997239999 57.9622099810001,-62.6200727249999 57.9473459810001,-62.648054725 57.9326279810001,-62.666525738 57.9296373940001,-62.668608939 57.9293001980001,-62.659866935 57.944852795,-62.6556907249999 57.9522819810001,-62.6327443979999 57.9620821500001,-62.536808875 58.003054073,-62.5144880289999 58.0067558370001,-62.509999724 58.0074999810001,-62.444027724 58.011072981,-62.434130019 58.0088168340001,-62.409690943 58.0032450130001,-62.390683538 58.00562741,-62.387781724 58.0059909810001,-62.3709364229999 58.012930897,-62.310481899 58.037836122,-62.3104823689999 58.0378367160001,-62.3104817239999 58.037836982,-62.3577065429999 58.0975066510001,-62.367917884 58.1104091540001,-62.367918071 58.1104091560001,-62.3679187239999 58.1104099820001,-62.4130547239999 58.110827982,-62.4448277239999 58.1067189820001,-62.484283482 58.0973887310001,-62.48561791 58.0970732110001,-62.485617911 58.0970731740001,-62.4856187239999 58.097072982,-62.486105708 58.0793564630001,-62.486181845 58.0765911920001,-62.491827798 58.070130944,-62.5025727239999 58.0578369820001,-62.530281456 58.099018582,-62.517972516 58.1114241020001,-62.5116727239999 58.1177729820001,-62.500610561 58.12542405,-62.474290942 58.143627139,-62.4506179319999 58.1685001020001,-62.460210391 58.1698145510001,-62.4919457239999 58.174163982,-62.5158367239999 58.1691549820001,-62.560827724 58.1566549820001,-62.605972724 58.141654982,-62.646109725 58.119427982,-62.772772725 58.129154982,-62.832290725 58.1442279820001,-62.877045213 58.1386622110001,-62.8863909 58.137500136,-62.943473002 58.1249911510001,-62.971541653 58.1124921200001,-63.092709725 58.0585369820001,-63.09941852 58.038478711,-63.10049086 58.0352731030001,-63.101599908 58.0144368700001,-63.122505196 58.001667802,-63.1288818739999 57.9977731390001,-63.133265922 57.996971848,-63.1516637249999 57.9936099810001,-63.3352799589999 57.9801281110001,-63.304717943 57.9969361220001,-63.278206477 58.004417882,-63.271245725 58.0063819810001,-63.255200464 58.008098778,-63.1933268079999 58.0147181620001,-63.1663618229999 58.0241308230001,-63.159599725 58.0264909810001,-63.1539132089999 58.0332770380001,-63.1408358099999 58.048882129,-63.150535202 58.049698737,-63.190281725 58.0530459820001,-63.208111093 58.0610225230001,-63.2093816289999 58.0615910110001,-63.1951164069999 58.065977036,-63.12694599 58.0869361370001,-63.066359714 58.1032245170001,-63.0452817249999 58.108890982,-63.037621218 58.1135732830001,-63.0191639349999 58.1248540230001,-62.980763619 58.145433962,-62.964999725 58.153881982,-62.9295718769999 58.159096016,-62.831945913 58.1734631940001,-62.791107494 58.1760318140001,-62.7788907249999 58.176799982,-62.772872604 58.176041969,-62.740281922 58.1719360120001,-62.719717929 58.1697181600001,-62.69228924 58.169963158,-62.689163725 58.1699909820001,-62.6853430359999 58.1704900810001,-62.657217932 58.174163251,-62.638108207 58.182279867,-62.6349997249999 58.183599982,-62.623626368 58.190918277,-62.583190975 58.2169361030001,-62.5831910909999 58.216936746,-62.583190724 58.2169369820001,-62.584897024 58.226371138,-62.587635898 58.2415180460001,-62.5876366639999 58.241518646,-62.5876367239999 58.2415189820001,-62.6037547239999 58.2541639820001,-62.653981522 58.269208754,-62.657290855 58.2702000800001,-62.6761936039999 58.2682095580001,-62.828050812 58.2522193940001,-62.78735317 58.265192696,-62.7766637249999 58.2685999820001,-62.708609725 58.2760999820001,-62.708609595 58.2761000240001,-62.7086088889999 58.276100102,-62.6277089389999 58.3025632790001,-62.6197177999999 58.3769360740001,-62.556946062 58.4802631470001,-62.5569461759999 58.4802632390001,-62.5569457239999 58.4802639820001,-62.5726367239999 58.4929099820001,-62.6193097249999 58.5035369820001,-62.763336725 58.4808189820001,-63.037509725 58.453045982,-63.089718725 58.4575639820001,-63.1325727249999 58.4760279820001,-63.2136187249999 58.469436982,-63.2359507799999 58.467005085,-63.241672955 58.466382213,-63.274163894 58.460482191,-63.3578908929999 58.414382226,-63.3669110229999 58.4076215010001,-63.3854727249999 58.3937099820001,-63.428218725 58.369045982,-63.5330547249999 58.3144369820001,-63.555272725 58.305263982,-63.58100791 58.301728231,-63.5299998639999 58.3576360710001,-63.486390833 58.370827175,-63.399108902 58.4052731090001,-63.379363987 58.4138539990001,-63.335726794 58.4512270610001,-63.1691639599999 58.5030540450001,-62.974999855 58.576663248,-62.9158358559999 58.6002732260001,-62.880361142 58.629768782,-62.845345725 58.6588819820001,-62.846381725 58.687763982,-62.9055547249999 58.8023549820001,-62.921254725 58.8194369820001,-62.9924695719999 58.854030337,-63.0333358889999 58.873882183,-63.051027 58.8748091940001,-63.1127817249999 58.8780459820001,-63.17452965 58.8596841410001,-63.1902819979999 58.8550001020001,-63.2031612059999 58.8544855230001,-63.294727725 58.8508279820001,-63.315970837 58.855754544,-63.2363908469999 58.8769360460001,-63.1618088399999 58.9233270300001,-63.173335801 58.975409159,-63.1733365589999 58.9754092330001,-63.173336725 58.975409982,-63.204581725 58.9784639820001,-63.264454725 58.9855459820001,-63.33263527 59.024154159,-63.238890834 59.030544983,-63.218893701 59.027762163,-63.216945725 59.0274909820001,-63.211558596 59.0274826290001,-63.176317914 59.0274270830001,-63.137631836 59.0424533790001,-63.128054725 59.046172982,-63.128055183 59.046173105,-63.1280549159999 59.0461732090001,-63.15824556 59.05428798,-63.301390725 59.0927639820001,-63.371390725 59.100336982,-63.4772338349999 59.063499764,-63.508055035 59.05277312,-63.73444605 59.0150000730001,-63.7374013309999 59.014754694,-63.762918726 59.0126369820001,-63.800054726 59.012663982,-63.9122187259999 59.0005459820001,-64.005959965 59.0130957860001,-64.0440178979999 59.0181912310001,-63.9883359089999 59.0683270820001,-63.966108946 59.074718116,-63.94575628 59.0790599090001,-63.941390726 59.079990982,-63.918441999 59.077474781,-63.8122178739999 59.0658270960001,-63.7599120369999 59.060584981,-63.751990726 59.059790982,-63.5807637249999 59.067981982,-63.5464684689999 59.0800245340001,-63.476945937 59.1044361530001,-63.441108942 59.119436072,-63.423164659 59.1289737230001,-63.419163725 59.1310999830001,-63.3918343949999 59.162450021,-63.359654948 59.1993632190001,-63.359655112 59.199363539,-63.359654725 59.1993639830001,-63.3726176 59.2246246930001,-63.393335782 59.265000059,-63.44735159 59.2950886140001,-63.539172725 59.346236983,-63.641454981 59.3587217310001,-63.654164013 59.3602731290001,-63.679337214 59.3395153340001,-63.713918726 59.310999983,-63.7280277259999 59.283936983,-63.7593513099999 59.2681486290001,-63.7653999149999 59.2651001390001,-63.798184576 59.251475231,-63.818117596 59.2431914520001,-63.7921423299999 59.2663546250001,-63.7732817259999 59.283172983,-63.756445726 59.3083819830001,-63.753850401 59.3163211340001,-63.7481088869999 59.3338822040001,-63.750541342 59.364883988,-63.751399726 59.3758279830001,-63.7837609429999 59.371971988,-63.7911549889999 59.3710911490001,-63.832405954 59.3733689920001,-64.060481118 59.385963949,-64.0417998789999 59.4033271100001,-64.017920783 59.410092637,-64.0094547259999 59.4124909830001,-63.995507698 59.4141253190001,-63.947772862 59.4197180890001,-63.9069459529999 59.4216631940001,-63.866390952 59.4211091500001,-63.811755025 59.419018033,-63.789171069 59.425059661,-63.7852817259999 59.426099983,-63.725554726 59.5160999830001,-63.870827726 59.6129099830001,-63.8930547259999 59.6194369830001,-64.006109726 59.623318983,-64.027563707 59.5967047130001,-64.0320819 59.591100182,-64.033462807 59.5849561000001,-64.039027726 59.5601999830001,-64.080902586 59.53724722,-64.116945485 59.517491422,-64.0823861219999 59.5804350980001,-64.0577729359999 59.625263143,-64.057773117 59.6252632710001,-64.0577727259999 59.6252639830001,-64.129990726 59.676654983,-64.156002696 59.682618904,-64.1602819359999 59.6836001830001,-64.167545807 59.6880939980001,-64.205409726 59.7115189830001,-64.2330620709999 59.7373426840001,-64.258063733 59.760691095,-64.258286421 59.7640354440001,-64.259717795 59.7855450810001,-64.228335782 59.7769360280001,-64.2005655039999 59.775168798,-64.197772726 59.7749909830001,-64.1945662649999 59.776465322,-64.1790268889999 59.783609197,-64.165835785 59.8505450640001,-64.152252843 59.9668591290001,-64.1502817259999 59.983736983,-64.165554726 60.0215189830001,-64.212369351 60.0384388950001,-64.2166639819999 60.0399911640001,-64.223504374 60.041130502,-64.2650187259999 60.0480459830001,-64.321027726 60.0180369830001,-64.3669367259999 59.921454983,-64.4819457259999 59.8947189830001,-64.504898419 59.898254782,-64.469200496 59.9171146620001,-64.4563907259999 59.9238819830001,-64.402363726 59.9360999830001,-64.374945726 60.0310729830001,-64.3684727259999 60.115754983,-64.396181726 60.120618983,-64.490827726 60.0594369830001,-64.7352727259999 60.001109983,-64.8140268189999 59.981100214,-64.8162091569999 59.9967319950001,-64.816799625 60.0009632580001,-64.699145301 60.0392387570001,-64.654999726 60.053599983,-64.6275714499999 60.0571155870001,-64.509735886 60.072218073,-64.475626904 60.0805449910001,-64.3769358609999 60.1605450600001,-64.381938959 60.1667475150001,-64.420581726 60.214654984,-64.5267401639999 60.2538459200001,-64.545281861 60.260691201,-64.574446023 60.2650001700001,-64.577642646 60.2652821630001,-64.596390726 60.266936984,-64.640145726 60.2673549840001,-64.685545726 60.2508279840001,-64.745372128 60.230755184,-64.723472909 60.259718062,-64.66471641 60.280019065,-64.643063726 60.2874999840001,-64.6364197079999 60.287928837,-64.613054913 60.2894361,-64.5802908909999 60.2861091550001,-64.557499826 60.2811091820001,-64.4938405079999 60.2667822880001,-64.477399726 60.2630819840001,-64.457754726 60.257772984,-64.436090726 60.2558999840001,-64.471263726 60.280109984,-64.529258087 60.301059513,-64.533245951 60.3025001340001,-64.5766729269999 60.322773108,-64.610272959 60.3363821340001,-64.613351447 60.337165854,-64.647372726 60.345827984,-64.844790727 60.361136984,-64.84479046 60.361136039,-64.844790899 60.3611360730001,-64.841714437 60.350256841,-64.8368097269999 60.3329099840001,-64.921109727 60.1949909840001,-65.029727727 60.0772189830001,-65.1099997269999 60.043054983,-65.1260997269999 60.011109983,-65.126099973 60.0111091360001,-65.1433459089999 59.9500002010001,-65.179566832 59.9211443560001,-65.223818727 59.8858909830001,-65.206120144 59.8444918100001,-65.203554964 59.8384912170001,-65.2035547899999 59.8384911300001,-65.203554727 59.838490983,-65.161390727 59.817490983,-65.160370471 59.8167587670001,-65.132763924 59.79694514,-65.0555550289999 59.7783270890001,-64.9897580049999 59.7642367670001,-65.022759803 59.762061235,-65.0330640349999 59.7613822340001,-65.037001327 59.761820829,-65.053054727 59.763609983,-65.136127727 59.7766549830001,-65.1523594619999 59.780341375,-65.155699829 59.7811001580001,-65.200864038 59.8038821710001,-65.2277818489999 59.8168821670001,-65.328754949 59.8463821080001,-65.337696637 59.842836543,-65.374999727 59.828045983,-65.433318727 59.7980459830001,-65.5019547269999 59.747218983,-65.527790727 59.716936983,-65.527790551 59.716936488,-65.527790952 59.7169360180001,-65.512882785 59.6750024070001,-65.497918727 59.632909983,-65.4878053469999 59.6171186380001,-65.462781916 59.578045032,-65.441113307 59.5481108370001,-65.4158367269999 59.5131909830001,-65.388899727 59.5074999830001,-65.382079975 59.507724259,-65.329999829 59.5094361370001,-65.299717857 59.5083270440001,-65.2208357659999 59.4883271520001,-65.164263954 59.4671360250001,-65.1574232409999 59.4557547420001,-65.149036727 59.4417999830001,-65.1344871599999 59.4334298250001,-65.114999821 59.422218076,-65.075835882 59.408045116,-65.037900119 59.3950098080001,-65.031390727 59.392772983,-65.025908761 59.3903770890001,-64.989437848 59.3744368850001,-65.0110323609999 59.3725585980001,-65.01180887 59.3724910940001,-65.023785163 59.375261864,-65.050827727 59.381518983,-65.1271547269999 59.4085279830001,-65.173609727 59.437354983,-65.193904226 59.4476338100001,-65.196746009 59.4490731910001,-65.260563976 59.4663821560001,-65.272047562 59.4682098820001,-65.353890727 59.481236983,-65.5495727269999 59.488118983,-65.549571809 59.488118066,-65.549573004 59.488118108,-65.495273023 59.4338731120001,-65.4581042029999 59.4080224360001,-65.4377729519999 59.393882139,-65.429820025 59.381440641,-65.364019206 59.2785007320001,-65.4065815719999 59.2968164260001,-65.453336727 59.3169369830001,-65.457840129 59.320547612,-65.473608821 59.3331912,-65.4893674969999 59.347210895,-65.491245727 59.3488819830001,-65.4912459569999 59.3488820650001,-65.491246022 59.3488821230001,-65.495874578 59.3505391140001,-65.5690277269999 59.3767279830001,-65.613881727 59.2437459830001,-65.613881691 59.243745926,-65.6138819829999 59.243745061,-65.601967869 59.2251085560001,-65.5875107259999 59.202492546,-65.631867311 59.2344439730001,-65.646118727 59.2447099830001,-65.676618886 59.2606455480001,-65.6806909479999 59.262773155,-65.683987497 59.2634780820001,-65.706663727 59.2683279830001,-65.741181727 59.264418983,-65.741181749 59.2644182120001,-65.74118197 59.264418187,-65.7423549329999 59.2225541010001,-65.7333627629999 59.19752599,-65.7165367269999 59.1506909830001,-65.683249442 59.113829196,-65.6519460489999 59.0791632070001,-65.583554916 59.0713271330001,-65.558113261 59.07103005,-65.555545727 59.070999982,-65.553099474 59.0716214440001,-65.5352178209999 59.0761631560001,-65.349446012 59.0661090630001,-65.327473023 59.046382253,-65.358124943 59.045379231,-65.454727727 59.0422189820001,-65.4854553449999 59.057811847,-65.492490902 59.061382172,-65.4976320219999 59.0623427640001,-65.517009727 59.065963982,-65.570636727 59.043936982,-65.5476367269999 59.017145982,-65.547636595 59.0171459540001,-65.547635778 59.0171450020001,-65.524628137 59.012131808,-65.512927727 59.009581982,-65.497836928 58.988500263,-65.5134743469999 58.989689748,-65.564999727 58.9936099820001,-65.6141637269999 59.0194369820001,-65.633581727 59.0322189820001,-65.660418727 59.043809982,-65.6952637269999 59.0436099820001,-65.763662327 59.032282577,-65.7774999179999 59.0299911070001,-65.795173924 59.0254026650001,-65.885563728 59.0019369820001,-65.956659632 58.934083437,-65.988599827 58.903600221,-65.988599608 58.903600097,-65.9885997279999 58.9035999820001,-65.977440148 58.8972890030001,-65.961126798 58.8880631900001,-65.913899955 58.8753769420001,-65.871109728 58.8638819820001,-65.86341186 58.8640525160001,-65.8333269139999 58.864718081,-65.7960649039999 58.860827129,-65.842781728 58.8269369820001,-65.9522817279999 58.8368189820001,-65.974046384 58.8462415880001,-65.987535828 58.852082194,-65.998467144 58.851990019,-66.037218728 58.851663982,-66.081954728 58.809718982,-66.1026367279999 58.7723549820001,-66.102635741 58.772354116,-66.1026357869999 58.7723540330001,-66.032226795 58.710545041,-65.945546013 58.66526315,-65.8799909809999 58.627209142,-65.8813818529999 58.5806188490001,-65.978618728 58.4777369820001,-65.9786174389999 58.477736404,-65.978617818 58.4777360030001,-65.932636926 58.4571096190001,-65.968263728 58.3918639820001,-66.0209097279999 58.379990982,-66.047845728 58.3576279820001,-66.0494232039999 58.3522884910001,-66.058881917 58.3202732350001,-66.061193072 58.3210427650001,-66.069309366 58.3237458610001,-66.074893486 58.332635769,-66.090899572 58.3581187350001,-66.0219460549999 58.486936148,-65.9792188609999 58.540121529,-65.940272728 58.5885999820001,-65.9400169529999 58.593232077,-65.9390178519999 58.611309175,-65.939018757 58.6113094470001,-65.939018728 58.6113099820001,-66.067845728 58.650054982,-66.110409728 58.692354982,-66.351345728 58.8367279820001,-66.3886097279999 58.850545982,-66.45356931 58.823861279,-66.4673729639999 58.818191142,-66.495416236 58.782770483,-66.551936728 58.711381982,-66.623124424 58.5910354050001,-66.6516729099999 58.542773202,-66.6487026629999 58.5374747820001,-66.6297187279999 58.5036099820001,-66.766687405 58.479625818,-66.8010999479999 58.4736002050001,-66.879435875 58.47680008,-66.911795753 58.4901723670001,-66.937909729 58.500963982,-66.978881729 58.468318982,-66.991036729 58.448527982,-67.093054729 58.349709982,-67.111799729 58.359436982,-67.144727729 58.374854982,-67.1704187289999 58.3772099820001,-67.295806883 58.3300165320001,-67.3327820059999 58.3161002200001,-67.454538627 58.282220431,-67.474018729 58.2767999820001,-67.520258379 58.250084922,-67.566099825 58.223600219,-67.572266993 58.2185634590001,-67.585145729 58.208045982,-67.645281729 58.1344369820001,-67.6565277289999 58.1165189820001,-67.709309729 57.9790189810001,-67.7133353679999 57.92992811,-67.713899834 57.923046362,-67.719852934 57.944741789,-67.728608835 57.9766540950001,-67.653335823 58.2126271340001,-67.6481268059999 58.2537450630001,-67.648127769 58.253745666,-67.648127729 58.2537459820001,-67.6980457289999 58.284999982,-67.73645458 58.3187458510001,-67.699581969 58.3955450720001,-67.671726893 58.4235270500001,-67.671727946 58.423527764,-67.6717277289999 58.4235279820001,-67.705185843 58.4462045560001,-67.723890829 58.4588822530001,-67.73473448 58.460834945,-67.7774997289999 58.468536982,-67.799549183 58.4336460170001,-67.815899819 58.4077732630001,-67.817654378 58.396789401,-67.8281367289999 58.3311729820001,-67.810165908 58.3052183780001,-67.808472949 58.3027731620001,-67.833780921 58.2806973850001,-67.8769457289999 58.2430459820001,-67.978336729 58.1636099820001,-67.9888071189999 58.1498624920001,-67.991673022 58.146100136,-67.997284854 58.140801014,-68.0066727299999 58.1319369820001,-68.11814573 58.0759639820001,-68.111207824 58.097075697,-68.098472886 58.1358271080001,-68.065826882 58.159427027,-68.0474998509999 58.1705451180001,-67.990166565 58.2104330500001,-67.974990729 58.220990982,-67.961511792 58.227944612,-67.9409088639999 58.2385731480001,-67.915872957 58.2548632090001,-67.895572994 58.2841631570001,-67.8617999589999 58.325409162,-67.8618002379999 58.32540936,-67.861799729 58.3254099820001,-67.902845729 58.3545099820001,-67.923745729 58.407909982,-67.915699729 58.4490819820001,-67.898054729 58.472072982,-67.8937433259999 58.4921268900001,-67.893545919 58.4930450510001,-67.893545729 58.4930459820001,-67.959163729 58.5580459820001,-67.976245729 58.5694369820001,-68.005540867 58.57453709,-68.0081999559999 58.5750001110001,-68.033028255 58.564913195,-68.13709073 58.5226369820001,-68.1748547299999 58.4851279820001,-68.174854744 58.4851274110001,-68.174854991 58.485127166,-68.174981126 58.480024401,-68.1754187299999 58.4623549820001,-68.172269988 58.4527818270001,-68.16847301 58.4412360000001,-68.167499871 58.4195731390001,-68.170082626 58.411250443,-68.1858187299999 58.3605459820001,-68.23083673 58.268881982,-68.2897187299999 58.2149909820001,-68.30492773 58.1824189820001,-68.30263673 58.139090982,-68.3071558519999 58.1130207690001,-68.307499811 58.1110369240001,-68.379942033 58.0590550040001,-68.410563999 58.0370820860001,-68.422102685 58.0338676430001,-68.49583673 58.013327981,-68.54527273 58.0005459810001,-68.62855473 57.9891279810001,-68.67734573 57.989545981,-68.90417273 57.949718981,-68.9492643679999 57.9380281200001,-68.965290926 57.9338731970001,-68.993952646 57.9244826010001,-69.111936731 57.885827981,-69.172772731 57.8516639810001,-69.190827731 57.840545981,-69.210281731 57.8294369810001,-69.301663731 57.788045981,-69.3397187309999 57.773318981,-69.357955164 57.7690919880001,-69.3636449909999 57.7677734630001,-69.309801283 57.8028190430001,-69.262508855 57.8336001540001,-69.241297247 57.846647111,-69.221390731 57.8588909810001,-69.202499731 57.868599981,-69.1977381459999 57.8707298200001,-69.181381922 57.878045028,-69.131108943 57.8981911000001,-68.87416388 57.969153969,-68.729890874 57.9997180760001,-68.5286088569999 58.029436113,-68.507569292 58.031074517,-68.50361873 58.031381982,-68.503618106 58.031382206,-68.503617877 58.031382224,-68.471935792 58.0427732300001,-68.4013940679999 58.089736477,-68.34666373 58.1261729820001,-68.346454728 58.1563099680001,-68.322508921 58.2269360490001,-68.30915504 58.2533271410001,-68.287908928 58.2920822120001,-68.263830118 58.3170608830001,-68.25069073 58.3306909820001,-68.22694573 58.3763819820001,-68.221444302 58.3921900920001,-68.204035916 58.4422091390001,-68.209726893 58.4624911650001,-68.2143976369999 58.4815698690001,-68.2166637299999 58.490827982,-68.290836397 58.5411097570001,-68.296567936 58.5489622700001,-68.3230637299999 58.5852639820001,-68.336230303 58.609357892,-68.345835758 58.62693606,-68.3639194209999 58.6802102770001,-68.36639073 58.687490982,-68.365249607 58.699610111,-68.35860894 58.7701271290001,-68.393535828 58.8139001100001,-68.458193633 58.8362442270001,-68.60167273 58.8858279820001,-68.64694573 58.8984639820001,-68.749512244 58.9115420080001,-68.756955034 58.9124910730001,-68.772314249 58.9086145700001,-68.84167273 58.891109982,-68.975281486 58.8846951720001,-68.99221779 58.883882129,-69.002796283 58.886413862,-69.0316817299999 58.8933279820001,-69.0983457309999 58.8991639820001,-69.129990731 58.9016549820001,-69.1499100619999 58.900267608,-69.1538819039999 58.899991141,-69.17467236 58.8980088440001,-69.279172731 58.8880459820001,-69.348890731 58.8716549820001,-69.388336731 58.8590189820001,-69.411663731 58.836518982,-69.445545731 58.808327982,-69.5031997309999 58.7766549820001,-69.544727731 58.773318982,-69.576263731 58.7676369820001,-69.6080457309999 58.754718982,-69.619656871 58.7472971390001,-69.6249998489999 58.7438822170001,-69.724445934 58.6688821210001,-69.796390994 58.6013821510001,-69.815972964 58.588882219,-69.82032686 58.5914125960001,-69.863054731 58.6162459820001,-69.9105547309999 58.6880459820001,-69.924476226 58.7185235910001,-69.931108965 58.7330450870001,-69.931109432 58.7330453280001,-69.9311097309999 58.7330459820001,-69.9747187309999 58.755554982,-70.049727731 58.7436099820001,-70.139988305 58.765379018,-70.156245484 58.7693000350001,-69.9727817309999 58.808599982,-69.815827731 58.823881982,-69.815827737 58.823882026,-69.815826783 58.8238821190001,-69.829479071 58.926771892,-69.832781731 58.9516639820001,-69.865554731 58.9777639820001,-69.873954731 59.033399982,-69.867777119 59.044171707,-69.863881911 59.050963299,-69.709446015 58.9727631600001,-69.66999994 58.9281912160001,-69.6693729739999 58.899091092,-69.711390952 58.862073255,-69.708903758 58.8570441910001,-69.680827731 58.8002729820001,-69.663609731 58.789999982,-69.6581511269999 58.790230739,-69.611117908 58.7922181380001,-69.587781852 58.796663229,-69.552499907 58.8058271640001,-69.458199975 58.8815180970001,-69.4581998589999 58.88151888,-69.458199731 58.881518982,-69.455072731 58.9025639820001,-69.4752817309999 58.9719279820001,-69.481301833 58.993802644,-69.493326855 59.0375001180001,-69.466108804 59.0441540090001,-69.439533271 59.0294665170001,-69.431945731 59.025272982,-69.402462806 59.0459632450001,-69.352781952 59.0808270140001,-69.352781808 59.0808279280001,-69.3527817309999 59.0808279820001,-69.3495817309999 59.1010999820001,-69.349581918 59.1011001000001,-69.3495819089999 59.101100156,-69.354462794 59.1041754280001,-69.375827731 59.1176369830001,-69.4613907309999 59.1285369830001,-69.489718731 59.1156819830001,-69.508481731 59.1037459820001,-69.5296547309999 59.1112369830001,-69.537363731 59.1706819830001,-69.531252271 59.176048984,-69.512217821 59.1927633080001,-69.4791305649999 59.2094224460001,-69.470272731 59.2138819830001,-69.4531539819999 59.2202207140001,-69.444027449 59.22359994,-69.420409731 59.2199909830001,-69.4168238029999 59.201998034,-69.4154819409999 59.1952632950001,-69.3701358439999 59.1901270320001,-69.285826806 59.2083271610001,-69.246385973 59.2276992160001,-69.238054731 59.2317909830001,-69.238119189 59.238385054,-69.2383268959999 59.2597181190001,-69.2479333909999 59.2983791950001,-69.254581731 59.3251369830001,-69.380608359 59.3489676730001,-69.41250888 59.355000074,-69.440826804 59.355000074,-69.440827199 59.354999983,-69.440827731 59.354999983,-69.550281731 59.3297189830001,-69.629790731 59.3003459830001,-69.729775693 59.3098352760001,-69.746072704 59.3113821380001,-69.7448340399999 59.3185822740001,-69.740408933 59.3443000710001,-69.677781867 59.3569450110001,-69.650421017 59.359362258,-69.643199731 59.3599999830001,-69.63916886 59.365657431,-69.631526837 59.3763821410001,-69.642050723 59.408036678,-69.647363731 59.4240189830001,-69.662687609 59.4463861150001,-69.667635908 59.4536091420001,-69.667636515 59.4536096670001,-69.667636731 59.453609983,-69.699372731 59.481099983,-69.699372829 59.481099978,-69.699372979 59.4811001080001,-69.703093172 59.4809225930001,-69.728336731 59.4797189830001,-69.758335645 59.4806189500001,-69.7538908889999 59.5019360100001,-69.734953494 59.5215806950001,-69.724163731 59.532772983,-69.715523616 59.539479509,-69.698045956 59.5530450000001,-69.6794460099999 59.563609048,-69.664064573 59.5702555710001,-69.658890731 59.5724909830001,-69.6184727309999 59.5860999830001,-69.605566301 59.600232287,-69.5408358179999 59.671109136,-69.540836777 59.6711099330001,-69.540836731 59.6711099830001,-69.609999731 59.728599983,-69.605563731 59.7772189830001,-69.600554731 59.8330549830001,-69.7090141899999 59.947049807,-69.7229179129999 59.9616632840001,-69.722918095 59.9616633150001,-69.7229187309999 59.9616639830001,-69.758899731 59.9677639830001,-69.9047901929999 59.9609032930001,-69.947773027 59.958882169,-69.962257517 59.956992391,-70.030836731 59.948045983,-70.055690731 59.9451279830001,-70.078443549 59.9460656730001,-70.086117848 59.946382236,-70.093514017 59.947317432,-70.112499731 59.9497189830001,-70.151478922 59.9592527200001,-70.164717804 59.9624910810001,-70.1759651259999 59.9664968170001,-70.1974907319999 59.974163983,-70.223320572 59.9846591240001,-70.225345954 59.9854821390001,-70.3380550589999 59.9763822420001,-70.371883925 59.9744021700001,-70.475827732 59.9683189830001,-70.507236732 59.966663983,-70.5759817319999 59.9702639830001,-70.6105457319999 59.9808189830001,-70.6310997319999 59.985827983,-70.872123604 60.0345776940001,-70.900281945 60.040273131,-70.9039991069999 60.0421316710001,-70.945825321 60.0630447780001,-70.7708459139999 60.0280451080001,-70.62261567 60.002036649,-70.586399732 59.9956819830001,-70.579893296 59.995037392,-70.556945947 59.9927631630001,-70.5347268629999 59.991936036,-70.496526842 59.99304513,-70.3361178339999 60.004436136,-70.3035810969999 60.0099759490001,-70.296390732 60.011199983,-70.2832631909999 60.0105398170001,-70.2172269069999 60.00721809,-69.892226825 59.9997181310001,-69.837217903 60.01971819,-69.736054629 60.048987648,-69.7066637309999 60.057490983,-69.632447391 60.0661920950001,-69.6324473559999 60.066192099,-69.63082773 60.066381979,-69.63082678 60.0663820890001,-69.603608897 60.1030540890001,-69.5976916129999 60.1618153790001,-69.595972731 60.178881984,-69.595972999 60.178881985,-69.595972983 60.17888215,-69.602387525 60.1789076370001,-69.6369812249999 60.1790459810001,-69.6105179319999 60.2115539700001,-69.610518923 60.211554747,-69.610518731 60.211554984,-69.696381731 60.2788819840001,-69.696381947 60.278882084,-69.6963819819999 60.2788821080001,-69.76465468 60.310682097,-69.758700501 60.3237679920001,-69.7544459389999 60.3331180530001,-69.724926887 60.359227011,-69.7401327709999 60.424225832,-69.748890731 60.461663984,-69.778118561 60.4760279000001,-69.819726883 60.5260270530001,-69.748608949 60.5397180530001,-69.702017831 60.546036938,-69.696390731 60.5467999840001,-69.6914158549999 60.551335679,-69.655417943 60.5841540420001,-69.6958269309999 60.6638822030001,-69.702962046 60.6715725710001,-69.710063264 60.6792274810001,-69.6158268619999 60.7302732460001,-69.5916728989999 60.7391540400001,-69.5330639489999 60.757218048,-69.496654974 60.7644450920001,-69.451803785 60.7725926250001,-69.438599731 60.7749909840001,-69.4129187309999 60.780690984,-69.412918367 60.7806911320001,-69.412917917 60.780691232,-69.383608916 60.7926361150001,-69.372954954 60.8047289620001,-69.3702727309999 60.8077729840001,-69.368054731 60.9030459840001,-69.416242697 60.9435682590001,-69.453608872 60.974991125,-69.460274759 60.9837151950001,-69.467090731 60.9926369840001,-69.492763731 61.0319369840001,-69.5134457309999 61.066063984,-69.5541727309999 61.0805549840001,-69.6065187309999 61.0805549840001,-69.6471599339999 61.0594799770001,-69.655272936 61.0552731610001,-69.6625375199999 61.0445278400001,-69.678327731 61.021172984,-69.68418514 60.97100534,-69.68617299 60.9539822190001,-69.652363913 60.9180451450001,-69.644863954 60.898182213,-69.647656528 60.8928870230001,-69.654309731 60.880272984,-69.6829089079999 60.8713822490001,-69.7105549409999 60.8738822380001,-69.7152442249999 60.8759626730001,-69.744199731 60.888809984,-69.744750009 60.895151298,-69.746735761 60.9180451450001,-69.746736642 60.9180449620001,-69.7467367309999 60.9180459840001,-69.773828947 60.9124218950001,-69.778881869 60.91137315,-69.786521651 60.908409711,-69.829718731 60.8916549840001,-69.889172731 60.8504099840001,-69.889171742 60.8504099,-69.889172963 60.8504090530001,-69.861255286 60.8480421510001,-69.8580820729999 60.8477730130001,-69.870102735 60.8363024720001,-69.888063731 60.8191639840001,-69.907772731 60.810409984,-69.923899951 60.808253199,-69.927490833 60.807773162,-70.088054728 60.8977730770001,-70.0876778699999 60.907455638,-70.0858268279999 60.954991233,-70.107226833 61.0644360900001,-70.107227633 61.06443648,-70.107227731 61.0644369840001,-70.1484727339999 61.084572979,-70.148473005 61.0845731090001,-70.315555014 61.0949911450001,-70.332951075 61.0934400800001,-70.4168097319999 61.085963984,-70.537499732 61.0576279840001,-70.544284063 61.0433933200001,-70.5530549 61.024991189,-70.568623096 61.0288410420001,-70.656390732 61.0505459840001,-70.773327732 61.081663984,-70.929363732 61.0999189840001,-70.9669457319999 61.113881984,-70.9669460709999 61.1138821100001,-70.969667256 61.1143578560001,-71.011399732 61.121654984,-71.13242616 61.135243501,-71.174708809 61.1399912360001,-71.208107824 61.1430548440001,-71.285209733 61.1501279840001,-71.3683809359999 61.1403218940001,-71.3899998369999 61.1377732170001,-71.441727193 61.165626854,-71.5308367329999 61.2136099840001,-71.598890733 61.254163985,-71.671935893 61.3305541060001,-71.675224874 61.3634632540001,-71.6760997329999 61.3722189850001,-71.6926457329999 61.4054099850001,-71.8533367329999 61.4144369850001,-71.8801714649999 61.426518414,-71.81014592 61.4448541310001,-71.756299229 61.4649958950001,-71.7466637329999 61.4685999850001,-71.789445277 61.5219364160001,-71.751108823 61.538045137,-71.661952239 61.5427376210001,-71.6533367329999 61.5431909850001,-71.653336243 61.543191097,-71.6533357659999 61.5431911220001,-71.629717909 61.548609184,-71.5503357539999 61.5637450580001,-71.5698801459999 61.6005547710001,-71.5733457329999 61.607081985,-71.5733458459999 61.6070820360001,-71.573345922 61.607082179,-71.587469827 61.61348395,-71.644727733 61.639436985,-71.7952727329999 61.682209985,-71.815870847 61.6876529570001,-71.819455029 61.6886002110001,-71.8363530889999 61.6912604330001,-71.928881733 61.705827985,-71.948627733 61.6934999850001,-71.936036733 61.659018985,-71.973545733 61.6050639850001,-72.057218733 61.5866549850001,-72.083618389 61.5825000390001,-72.092007122 61.581967214,-72.303463203 61.568537018,-72.2627909879999 61.6123540610001,-72.232081874 61.6197091810001,-72.194154936 61.6158270190001,-72.1649694069999 61.606808775,-72.159999733 61.6052729850001,-72.114372733 61.5960999850001,-72.106818688 61.5971780620001,-72.084172966 61.6004091790001,-72.0380548969999 61.6247091540001,-72.025032333 61.6482261150001,-72.0100547329999 61.675272985,-72.041381733 61.722490985,-72.059784711 61.738320693,-72.203335802 61.861800171,-72.2136607959999 61.8651972120001,-72.2349997329999 61.8722189850001,-72.256954733 61.876936985,-72.314750766 61.883113124,-72.321945935 61.883882127,-72.324836343 61.8839499370001,-72.345554734 61.884436985,-72.383441837 61.887846865,-72.39180893 61.8886001330001,-72.448608897 61.9013822000001,-72.476888027 61.90900207,-72.519727734 61.920545985,-72.588881734 61.9214189850001,-72.6105097339999 61.8967189850001,-72.625827734 61.8672189850001,-72.61466846 61.848122145,-72.594273567 61.81321919,-72.679356105 61.8341261990001,-72.724717841 61.8452732370001,-72.748608947 61.856382109,-72.689990946 61.89193613,-72.665717792 61.9283821540001,-72.6192998179999 61.9725450610001,-72.596117821 62.0491632000001,-72.6219357589999 62.112073239,-72.659092996 62.1230594370001,-72.723890734 62.1422189850001,-72.899445734 62.138327985,-73.012345701 62.1774892430001,-73.070008835 62.197491203,-73.096381482 62.209316459,-73.1319457339999 62.2252639850001,-73.184999734 62.2498549850001,-73.207363734 62.2758639850001,-73.212363734 62.3108909850001,-73.212363877 62.3108910330001,-73.212363893 62.310891145,-73.229134043 62.3164995640001,-73.369999735 62.363609986,-73.502790735 62.3866549860001,-73.648272734 62.4676999860001,-73.648272984 62.4677001250001,-73.683463901 62.4799911810001,-73.83805503 62.4575001870001,-73.851313374 62.4530789620001,-73.8888997349999 62.4405459860001,-73.940281735 62.4122099860001,-73.973818735 62.3863819860001,-74.141681735 62.326663986,-74.3838997349999 62.2586099850001,-74.409751816 62.2520440540001,-74.419445964 62.2495822170001,-74.467508803 62.2436002200001,-74.481887883 62.244422587,-74.525836736 62.246936985,-74.5794547359999 62.251936985,-74.645845736 62.2536099850001,-74.678327736 62.2536099850001,-74.7002907359999 62.2508279850001,-74.7168622249999 62.247380793,-74.721664033 62.2463821740001,-74.736218392 62.2296332610001,-74.756881736 62.205854985,-74.7568813349999 62.2058546920001,-74.756881941 62.205853996,-74.696186644 62.1614750000001,-74.6931997359999 62.159290985,-74.6869656819999 62.156750157,-74.6622179 62.1466631750001,-74.6290344019999 62.135811329,-74.6188817359999 62.1324909850001,-74.5554819119999 62.107700063,-74.5573892159999 62.107152752,-74.571672736 62.103054985,-74.5980547359999 62.1041639850001,-74.6208367359999 62.107218985,-74.6688817359999 62.1191549850001,-74.696945736 62.129436985,-74.743072887 62.1502178960001,-74.7672268859999 62.1611001650001,-74.856192445 62.2159603950001,-74.8860367359999 62.2343639850001,-74.918609736 62.245545985,-74.9312328889999 62.2485721360001,-74.938326843 62.250273221,-74.9586791519999 62.254183631,-75.007781736 62.2636189850001,-75.184436736 62.292218985,-75.278244931 62.305519556,-75.314717883 62.3106911530001,-75.3215036189999 62.3106673720001,-75.3563817359999 62.310545985,-75.3962384869999 62.306925253,-75.402217911 62.306382184,-75.410915872 62.3053656860001,-75.483045736 62.2969369850001,-75.549854737 62.2596459850001,-75.576536737 62.2431909850001,-75.6568817369999 62.216545985,-75.705063737 62.203218985,-75.74991819 62.1891605050001,-75.761655043 62.1854821150001,-75.7803651839999 62.1782329480001,-75.8313907369999 62.1584639850001,-75.888953709 62.161518931,-75.819881945 62.2056540030001,-75.739564034 62.2361632930001,-75.7192178019999 62.2424911270001,-75.7097268059999 62.296391123,-75.813678492 62.316244818,-76.143063737 62.3791549860001,-76.317781737 62.4122099860001,-76.3934062879999 62.4259405440001,-76.401945946 62.4274911300001,-76.498608904 62.4411001560001,-76.655563897 62.4699821820001,-76.751954945 62.505973236,-76.9258267979999 62.526382165,-76.962663192 62.5283214550001,-77.073627738 62.5341639860001,-77.3549997379999 62.5580459860001,-77.5083457379999 62.561663986,-77.535281738 62.5469459860001,-77.555554738 62.536109986,-77.687209739 62.476654986,-77.7113997389999 62.4680459860001,-77.913275159 62.407662649,-77.963054965 62.3927731190001,-77.966371914 62.3920360750001,-77.983063739 62.388327986,-78.011254739 62.3914459860001,-78.085009739 62.3533279860001,-78.099729437 62.340409401,-78.103055044 62.337491115,-78.126937015 62.3101754150001,-78.153263739 62.2800639850001,-78.1532637729999 62.280063419,-78.153263986 62.2800631760001,-78.1605549 62.159573149,-78.1415998969999 62.0231181120001,-78.119184139 61.993410247,-78.115136739 61.988045985,-78.115136188 61.9880454510001,-78.115135881 61.988045044,-78.1025242589999 61.975804935,-78.091672746 61.9652729810001,-78.079446073 61.9458270740001,-78.0744459319999 61.91721813,-78.0404273199999 61.8254801900001,-78.009036739 61.7408279850001,-78.005679684 61.7350686460001,-77.997781861 61.7215181240001,-77.979026849 61.7047181080001,-77.931381932 61.6919360410001,-77.898487425 61.687101705,-77.8916727389999 61.6860999850001,-77.816663783 61.6849909860001,-77.744155027 61.6402731730001,-77.7441549769999 61.6402731320001,-77.7127121509999 61.612270509,-77.703609724 61.604163988,-77.70360891 61.6041632650001,-77.667499838 61.6030540040001,-77.6222459429999 61.606163188,-77.5883166899999 61.6027925590001,-77.585281742 61.602490979,-77.477147423 61.541518909,-77.517227738 61.539718985,-77.56910872 61.5493202440001,-77.5727819849999 61.550000078,-77.573946567 61.55029088,-77.596118738 61.5558279850001,-77.613890738 61.504163985,-77.613890638 61.5041639550001,-77.6138908619999 61.5041633050001,-77.574851167 61.492445193,-77.545627738 61.4836729850001,-77.562081738 61.467354985,-77.615301799 61.4629491920001,-77.620835771 61.462491164,-77.630099722 61.4622706010001,-77.678881739 61.4611099850001,-77.761127739 61.4102729850001,-77.749607677 61.352340756,-77.746655012 61.3374911710001,-77.7399908959999 61.2986091990001,-77.724445986 61.254436066,-77.7016730249999 61.217491151,-77.766098363 61.148623591,-77.858045739 61.0503369840001,-77.8891727389999 61.0380459840001,-77.9165681219999 61.023615631,-77.925555001 61.018882122,-77.9308568599999 61.0156007140001,-77.954727739 61.0008279840001,-78.165554739 60.8609639840001,-78.1655548689999 60.8609633250001,-78.1655550409999 60.8609632100001,-78.167284901 60.8521743790001,-78.1799277389999 60.787945984,-78.179926612 60.787946155,-78.1799268199999 60.7879450990001,-78.1274431209999 60.7958833120001,-78.121381739 60.7967999840001,-78.0877838609999 60.804105237,-78.078609108 60.8061000860001,-78.078608888 60.8061001310001,-77.975281739 60.822772984,-77.8954820979999 60.821099992,-77.920545975 60.7913821820001,-77.920545677 60.7913820570001,-77.920545739 60.7913819840001,-77.914794844 60.7889677630001,-77.856382004 60.7644450920001,-77.7080550059999 60.7955451380001,-77.571672892 60.8283270970001,-77.5189290439999 60.832835876,-77.6099997379999 60.7555549840001,-77.6851101029999 60.7127532960001,-77.719455065 60.693182151,-77.729994585 60.6890559240001,-77.7758367389999 60.6711099840001,-77.8291727389999 60.6424189840001,-77.829172321 60.6424185280001,-77.829173005 60.64241816,-77.787217891 60.596653975,-77.7044549789999 60.561663217,-77.6761860669999 60.551206532,-77.6755547389999 60.5509729840001,-77.6715612849999 60.5509493330001,-77.638746055 60.5507540020001,-77.598617861 60.5636091600001,-77.5736268809999 60.570545017,-77.553264509 60.571249703,-77.5494367379999 60.571381984,-77.521663738 60.570272984,-77.486118738 60.566381984,-77.479123247 60.564947251,-77.464446054 60.561936132,-77.4300287 60.547945842,-77.4799997379999 60.540554984,-77.567509738 60.5297189840001,-77.691936739 60.466663984,-77.719454739 60.447209984,-77.738881739 60.426245984,-77.738881969 60.4262450210001,-77.739824837 60.422238383,-77.745545739 60.397927984,-77.745545713 60.3979279700001,-77.7455459179999 60.397927096,-77.7123462759999 60.3808201630001,-77.691736739 60.3701999840001,-77.681806681 60.368939729,-77.646326815 60.364436029,-77.60278199 60.3299911010001,-77.471946062 60.2151272190001,-77.475775232 60.2060860890001,-77.496946045 60.1561001370001,-77.507782106 60.1507089560001,-77.553609738 60.1279099830001,-77.5943727379999 60.1121459830001,-77.594372703 60.112145189,-77.59437293 60.1121451010001,-77.593922398 60.102070332,-77.592227738 60.064154983,-77.5922268579999 60.0641547050001,-77.5922268269999 60.064154011,-77.548754924 60.0504091990001,-77.5191639559999 60.04415412,-77.315826864 60.030545094,-77.2801590459999 60.0383722810001,-77.2727817379999 60.0399909830001,-77.2324997379999 60.0538819830001,-77.2065792939999 60.116996983,-77.195482012 60.144018126,-77.179433976 60.1486673420001,-77.173890738 60.150272983,-77.161488203 60.149606953,-77.111935895 60.1469450870001,-77.070885994 60.1414833650001,-77.064863738 60.140681983,-77.062588569 60.1399368250001,-77.031391002 60.129718096,-77.003890983 60.121936002,-76.9566728729999 60.112909195,-76.9244359049999 60.1116633090001,-76.8959610159999 60.1123498490001,-76.889727738 60.1124999830001,-76.88972717 60.112500149,-76.88972678 60.112500159,-76.8595088449999 60.1213092030001,-76.85423579 60.1455451410001,-76.82352903 60.1567544170001,-76.818472738 60.158599983,-76.810993933 60.1586696580001,-76.7589003049999 60.1591539950001,-76.773336738 60.134018983,-76.848054738 60.099163983,-77.070009738 60.064154983,-77.188194289 60.045702159,-77.2069549939999 60.0427731170001,-77.2718010419999 60.005117398,-77.427490738 59.9147099830001,-77.427489981 59.914709745,-77.427490913 59.9147092040001,-77.373818146 59.8978361750001,-77.3287060059999 59.836283328,-77.3004819459999 59.797773104,-77.3221260939999 59.7896082600001,-77.333618196 59.7852731880001,-77.3894550099999 59.7888911370001,-77.412782014 59.787773159,-77.4176952299999 59.7868859440001,-77.432772738 59.784163983,-77.502997348 59.76249254,-77.5376460529999 59.7518002090001,-77.5282581179999 59.7322369680001,-77.5023367379999 59.6782189830001,-77.5023357759999 59.678218164,-77.436164004 59.62225404,-77.344163899 59.5769449910001,-77.326323052 59.5700435690001,-77.316319172 59.566173151,-77.322539364 59.565745441,-77.353609738 59.563609983,-77.4130162229999 59.569906534,-77.426935864 59.57138209,-77.455972956 59.581382203,-77.4602456269999 59.584195487,-77.5141817379999 59.6197099830001,-77.523275342 59.635890773,-77.529635803 59.647209145,-77.5296364 59.647209381,-77.529636738 59.647209983,-77.585227738 59.669209983,-77.710554739 59.704709983,-77.72717309 59.707089583,-77.731945945 59.707773257,-77.7393049889999 59.7082005410001,-77.767781739 59.7098549830001,-77.7990277389999 59.6763819830001,-77.778571034 59.6512855780001,-77.763199883 59.6324271560001,-77.744216986 59.613413166,-77.724718739 59.5938819830001,-77.722178573 59.5525409360001,-77.7213909989999 59.539718915,-77.749999739 59.532209983,-77.774318739 59.5290189830001,-77.795883708 59.5254839150001,-77.798890865 59.5249911060001,-77.805774443 59.523019349,-77.8405637389999 59.5130549830001,-77.865627739 59.4999279830001,-77.909790739 59.411863983,-77.9097906489999 59.4118639150001,-77.9097909879999 59.4118632400001,-77.900131879 59.404544136,-77.891736739 59.398181983,-77.891735954 59.398182198,-77.891735865 59.3981821300001,-77.831390856 59.4147090640001,-77.790618728 59.4263819770001,-77.679718739 59.399299983,-77.826663739 59.2823549830001,-77.851809171 59.2738821740001,-77.8567355279999 59.273588422,-77.8844457389999 59.271936983,-77.922380373 59.266421746,-77.9302818909999 59.2652731410001,-77.9339267569999 59.264528231,-77.955418739 59.2601369830001,-78.0961727389999 59.2070459830001,-78.096172595 59.2070452180001,-78.096172999 59.207045065,-78.086673052 59.1566546120001,-78.1274907389999 59.108327983,-78.205563739 59.0505459820001,-78.307772739 58.929163982,-78.3383367389999 58.9127639820001,-78.3536234979999 58.9130813180001,-78.358472671 58.9131822400001,-78.3489637389999 58.949263982,-78.396390739 58.9647189820001,-78.564027739 58.9631189820001,-78.538609739 58.8869369820001,-78.5125097389999 58.8402639820001,-78.4883277389999 58.7863819820001,-78.472372585 58.715841799,-78.468472999 58.6986001590001,-78.47710618 58.6950232310001,-78.514727739 58.679436982,-78.558399739 58.6764549820001,-78.562589526 58.662794456,-78.5729909729999 58.6288821700001,-78.565006598 58.6182392090001,-78.556527739 58.606936982,-78.556527602 58.6069369310001,-78.556526904 58.6069360000001,-78.389726863 58.5447181390001,-78.347781975 58.5366632970001,-78.347782755 58.536664177,-78.347781739 58.5366639820001,-78.404696195 58.600841904,-78.4234268069999 58.621963244,-78.3972268219999 58.6208271610001,-78.355563902 58.6016632800001,-78.130555063 58.462773133,-78.062681931 58.4173091870001,-78.028800108 58.3891759860001,-78.024099739 58.3852729820001,-78.0046995399999 58.377842813,-77.9472178619999 58.3558270890001,-77.9144459619999 58.345545008,-77.887536541 58.340652359,-77.883899739 58.3399909820001,-77.851945739 58.3349909820001,-77.846496268 58.3338358080001,-77.815282012 58.327218144,-77.650007347 58.279794139,-77.6458457419999 58.278599973,-77.571672892 58.248045034,-77.493859206 58.2153283280001,-77.487781738 58.212772982,-77.484017846 58.2109684920001,-77.4608362829999 58.1998543510001,-77.4565340089999 58.193889873,-77.445754913 58.1789451270001,-77.444445995 58.1524911700001,-77.444445741 58.152491034,-77.444445738 58.1524909820001,-77.440080737 58.150168158,-77.349446007 58.1019360560001,-77.3175089439999 58.0919361100001,-77.279726845 58.084436151,-77.2510254969999 58.075276876,-77.246654738 58.073881982,-77.2383473369999 58.0696109310001,-77.1472272459999 58.0227634620001,-77.115211169 57.988966223,-76.923046018 57.7861091280001,-76.861936532 57.7191546650001,-76.808536738 57.637218981,-76.736527738 57.496799981,-76.7101801009999 57.460794117,-76.6880459509999 57.4305451070001,-76.655699851 57.4040180590001,-76.634569675 57.3622068940001,-76.602218738 57.2981909810001,-76.596152865 57.2848949830001,-76.591381988 57.274436015,-76.5771769529999 57.2390011970001,-76.5644367369999 57.207218981,-76.5425059299999 57.130664229,-76.531390965 57.091863602,-76.547218737 57.0655459810001,-76.554581737 57.0441549810001,-76.554581737 57.044154629,-76.5545819119999 57.0441541210001,-76.5545819119999 57.0083270170001,-76.545969218 56.971450292,-76.530836737 56.90665498,-76.507509737 56.8113819800001,-76.505565739 56.793931365,-76.505281904 56.7913822400001,-76.505572924 56.785000091,-76.504454946 56.7719360570001,-76.5045525319999 56.7652314110001,-76.505009737 56.73388198,-76.5067282429999 56.7135046560001,-76.506954932 56.710818069,-76.526399942 56.60582702,-76.526423452 56.585834258,-76.526527737 56.49790998,-76.5220151629999 56.477570918,-76.519164013 56.4647181820001,-76.5174998699999 56.4295731970001,-76.5188909299999 56.4061001800001,-76.531672951 56.318745307,-76.538327737 56.29777298,-76.6266637379999 56.11804598,-76.641813252 56.08987362,-76.654445919 56.0663821470001,-76.6631882459999 56.0560558510001,-76.679790738 56.0364459800001,-76.7030627139999 56.0186169340001,-76.710690836 56.0127731700001,-76.716476923 56.0105538400001,-76.7447277379999 55.9997189800001,-76.7990653849999 55.97639136,-76.811390853 55.9711001910001,-76.870607492 55.921754691,-77.013063738 55.803045979,-77.0683457379999 55.7547189790001,-77.072137923 55.7447212710001,-77.0869459209999 55.705682198,-77.0947770339999 55.6966247290001,-77.1099997379999 55.679018979,-77.1372187379999 55.654163979,-77.183834432 55.619160956,-77.220273 55.591800129,-77.279556504 55.5598942990001,-77.416654738 55.486109979,-77.622218738 55.3827639790001,-77.748609739 55.3008279790001,-77.872499739 55.243609979,-77.941451252 55.217056475,-77.972781996 55.204991222,-78.119446024 55.149991184,-78.171833936 55.129354671,-78.182218739 55.1252639790001,-78.207672739 55.111654979,-78.256118739 55.0822189790001,-78.3550608259999 55.038578337,-78.373890933 55.030273132,-78.561108955 54.9777641970001,-78.5611097399999 54.9777639820001,-78.73277274 54.931109979,-78.83860974 54.9144369790001,-78.91250974 54.8841639790001,-78.934793529 54.8677222490001,-78.9510999679999 54.8556911640001,-78.9566325449999 54.8527472260001,-78.97278174 54.8441549790001,-79.10110974 54.8272189790001,-79.3117255929999 54.78089326,-79.315826919 54.779991179,-79.315827078 54.779991124,-79.31582774 54.7799909780001,-79.320241053 54.778483287,-79.3377819729999 54.7724912190001,-79.3647362519999 54.767929011,-79.45799074 54.752145978,-79.4941547399999 54.7447099780001,-79.59440511 54.7141379820001,-79.631672957 54.702773231,-79.6584267759999 54.692263955,-79.76180974 54.6516549780001,-79.761807888 54.6516544030001,-79.761808877 54.6516540150001,-79.680826784 54.6265180280001,-79.6248810499999 54.6241373650001,-79.6188817399999 54.623881978,-79.565554743 54.609990973,-79.524936628 54.5901275670001,-79.5009362279999 54.5024618800001,-79.488055004 54.4554095180001,-79.5050097399999 54.425827978,-79.482579086 54.3805281400001,-79.476672959 54.3686001610001,-79.425282001 54.2823540650001,-79.34527288 54.199436088,-79.276399955 54.166936096,-79.240963586 54.159493029,-79.2380547399999 54.1588819780001,-79.19979074 54.1613819780001,-79.18249974 54.1738819780001,-79.156239878 54.1753059750001,-79.050555459 54.1810361060001,-79.1113907399999 54.107218978,-79.119445726 54.078609972,-79.119445967 54.0786091090001,-78.9679284429999 54.006436841,-78.994704186 54.0012337650001,-79.001099864 53.9999912160001,-79.007171543 54.001222307,-79.03638174 54.007145978,-79.066226161 54.0016226800001,-79.0697359169999 54.0009732400001,-79.069735958 54.0009731220001,-79.0697367399999 54.0009729780001,-79.10360974 53.903599978,-79.083375109 53.890433139,-79.056654951 53.873045113,-79.011946047 53.8566539660001,-78.988890952 53.854718081,-78.97443248 53.852208041,-78.9697277399999 53.851390978,-78.948273146 53.840846572,-78.909374446 53.8217277840001,-78.9361340149999 53.8186924240001,-78.940554998 53.8181910920001,-78.98097274 53.836036978,-79.012356847 53.838849655,-79.020426857 53.839573156,-79.0204277409999 53.839572984,-79.0478460739999 53.8343001000001,-79.070321376 53.8053391620001,-79.14840974 53.704718977,-79.148408468 53.7047186940001,-79.148408963 53.704718056,-79.0897178709999 53.6916540220001,-79.0084206669999 53.644601246,-79.008420639 53.64460123,-79.0033459159999 53.6416640790001,-78.950564029 53.5997181220001,-78.9204190789999 53.5646962850001,-78.9188187399999 53.5628369770001,-78.95396912 53.519704743,-78.962781994 53.5088911490001,-79.008045942 53.497064117,-79.008588425 53.4974687480001,-79.0378089119999 53.519264257,-79.012790943 53.5311090600001,-79.0127925749999 53.5311091080001,-79.01279074 53.531109977,-79.0401560289999 53.531928158,-79.0449999149999 53.5320731460001,-79.084164022 53.5224911220001,-79.107354904 53.50249123,-79.0916730339999 53.472627012,-79.0572909699999 53.4400540980001,-79.013108734 53.437665904,-79.00012774 53.4369639770001,-78.9461097399999 53.3924909770001,-78.907325929 53.293567298,-78.89514607 53.262500075,-78.888064033 53.2247090910001,-78.923046073 53.0688821350001,-78.9212648549999 53.0518656250001,-78.91583674 52.9999999770001,-78.877101822 52.972425274,-78.864718798 52.963609745,-78.87859974 52.908045977,-78.8813817399999 52.8998549770001,-78.881381673 52.8998549180001,-78.881381979 52.8998540160001,-78.8678810439999 52.8880584290001,-78.85610974 52.8777729770001,-78.79444574 52.8613819770001,-78.78696605 52.862826387,-78.738327484 52.8722179230001,-78.7311162939999 52.8424241290001,-78.725555023 52.8194450770001,-78.727772874 52.7859731200001,-78.758137402 52.779058058,-78.765018206 52.777491098,-78.796954924 52.7738822250001,-78.7961600579999 52.769156229,-78.79083674 52.737499977,-78.7551621809999 52.686852172,-78.753063926 52.6838731570001,-78.7508733449999 52.6808404880001,-78.7133367389999 52.6288729760001,-78.691936739 52.5960999760001,-78.721118739 52.586654976,-78.7529135789999 52.5720448930001,-78.76084602 52.5684002030001,-78.760845499 52.568400087,-78.76084574 52.5683999760001,-78.684436739 52.5513819760001,-78.678571286 52.5505144110001,-78.654445973 52.5469450460001,-78.590699923 52.53874503,-78.574690161 52.5344593340001,-78.570972739 52.5334639760001,-78.5680293199999 52.5313171130001,-78.545273025 52.514718137,-78.509580603 52.4612102240001,-78.507099835 52.45749112,-78.516954933 52.367764263,-78.524446008 52.311100083,-78.516553753 52.2924075760001,-78.501109739 52.255827976,-78.537509739 52.180827976,-78.5725820869999 52.122760644,-78.5794549299999 52.1113821280001,-78.597928295 52.0949779700001,-78.695827739 52.0080459760001,-78.7422187399999 51.9763729760001,-78.7541097169999 51.971887882,-78.769454905 51.9661001090001,-78.810546012 51.958882117,-78.849172392 51.9528782460001,-78.85610974 51.9517999760001,-78.8920097399999 51.9354819760001,-78.8611187399999 51.8788819760001,-78.838681891 51.8618730910001,-78.839300259 51.857547175,-78.8422277399999 51.8370729760001,-78.861683009 51.823837128,-78.879990919 51.8113822460001,-78.8868532339999 51.8082002470001,-78.91263674 51.7962459760001,-78.95291874 51.7929189760001,-78.978012193 51.7998730250001,-78.980964018 51.800691128,-78.984329746 51.8003810930001,-79.00209074 51.7987459760001,-79.023535737 51.781123425,-79.033199872 51.773182225,-79.0331996909999 51.7731820160001,-79.03319974 51.773181976,-79.027266712 51.766343385,-78.944155058 51.6705449820001,-78.867605017 51.637777423,-78.85916374 51.6341639760001,-78.846442235 51.6287114,-78.794027947 51.606245551,-78.80860974 51.5763819750001,-78.82264574 51.548045975,-78.8226457389999 51.548045421,-78.82264596 51.548044975,-78.82264386 51.5414627710001,-78.82263674 51.5165189750001,-78.8226359019999 51.516518175,-78.8226359019999 51.516518123,-78.798881835 51.493822176,-78.798881798 51.4938221410001,-78.7791729099999 51.4749911390001,-78.798389667 51.4618098760001,-78.83222774 51.438599975,-78.88812774 51.394718975,-78.9104034269999 51.268755422,-78.9174550079999 51.2288822180001,-78.9174547389999 51.2288819760001,-78.915935825 51.2275187600001,-78.8447278639999 51.163610008,-78.91783674 51.182909975,-78.9209044739999 51.185263546,-78.9372088069999 51.1977731200001,-78.9466635919999 51.211299964,-78.95487274 51.223045975,-78.96006374 51.2490909750001,-78.950290947 51.2922180580001,-78.95029074 51.292218975,-78.9550732769999 51.3146209450001,-78.96333587 51.353327161,-79.008608876 51.4575001370001,-79.0157829029999 51.466457909,-79.0224997399999 51.4748459750001,-79.13242774 51.537009975,-79.1533446179999 51.528899349,-79.158055025 51.527073118,-79.163156202 51.525473021,-79.17929974 51.5204099750001,-79.1980083299999 51.5191777890001,-79.202499899 51.518882155,-79.27194579 51.527073096,-79.285281625 51.559436695,-79.281143781 51.567024336,-79.27528174 51.5777729750001,-79.258517094 51.601440822,-79.239890899 51.6277360880001,-79.239891266 51.6277362330001,-79.23989074 51.6277369760001,-79.32695474 51.662345976,-79.3489188349999 51.6572511730001,-79.353881933 51.656100113,-79.376390863 51.6424910870001,-79.47416392 51.5791641320001,-79.4938581 51.554597287,-79.53361874 51.504999975,-79.54709974 51.460127975,-79.5757303939999 51.454721041,-79.586046067 51.452773246,-79.6059366649999 51.4397242840001,-79.66860974 51.3986099750001,-79.6799779259999 51.315313018,-79.682845984 51.294300123,-79.701664028 51.2643001180001,-79.709509063 51.2557075390001,-79.72055474 51.243609975,-79.7440187399999 51.211518975,-79.749631982 51.188607576,-79.7511819649999 51.182282189,-79.745558681 51.1706318830001,-79.70180974 51.079990975,-79.684823401 51.064530151,-79.6677818599999 51.0490181420001,-79.6100163679999 51.021382574,-79.57111874 51.002772975,-79.5373547419999 50.9837639730001,-79.51501874 50.956654975,-79.515018062 50.956654391,-79.515017819 50.956654095,-79.4647178499999 50.913318147,-79.447582557 50.9006241450001,-79.43999074 50.8949999750001,-79.4351508079999 50.891138692,-79.420836338 50.87971846,-79.406535428 50.861425803,-79.330555088 50.764236312,-79.345936595 50.73495525,-79.3691205809999 50.7727878270001,-79.41319974 50.844718975,-79.44458174 50.8754099750001,-79.46610974 50.8894369750001,-79.479176673 50.8992112600001,-79.517917957 50.9281911640001,-79.537608892 50.9584002130001,-79.5694364999999 50.9794193880001,-79.6127817399999 51.0080459750001,-79.6594458389999 51.0321225540001,-79.6851089309999 51.045364136,-79.716517934 51.0817181260001,-79.7369359149999 51.1194360200001,-79.7369363669999 51.1194362840001,-79.73693674 51.119436975,-79.79416374 51.1529099750001,-79.9963817409999 51.2547189750001,-80.016954741 51.263054975,-80.086452541 51.2849162680001,-80.1251268299999 51.2970822440001,-80.19055496 51.297491113,-80.1940788429999 51.297993987,-80.219727741 51.3016549750001,-80.306319924 51.3210209920001,-80.330290842 51.326382192,-80.3369555039999 51.32803721,-80.371654741 51.336654975,-80.400471306 51.3354104860001,-80.405345924 51.3352001220001,-80.4213346189999 51.32922783,-80.4802817409999 51.307209975,-80.512509741 51.292772975,-80.535972741 51.2801369750001,-80.558558889 51.264829348,-80.5652818569999 51.2602731160001,-80.577558051 51.2476123280001,-80.609999741 51.214154975,-80.691518741 51.1576279750001,-80.744436741 51.1377729750001,-80.7650187409999 51.1336099750001,-80.787069752 51.1329574920001,-80.793608923 51.1327642520001,-80.7992538399999 51.1320806100001,-80.827918741 51.1286099750001,-80.851980679 51.120701738,-80.8562460479999 51.1193000650001,-80.862124233 51.114365342,-80.8752727419999 51.1033279750001,-80.888336742 51.0827729750001,-80.928054742 51.0458279750001,-80.989629876 51.036442697,-81.009172488 51.033464263,-80.988054742 51.0574909750001,-80.9835547929999 51.0604816840001,-80.957426851 51.077845016,-80.831681874 51.155818174,-80.699445952 51.2415181050001,-80.652499918 51.278327065,-80.568617854 51.3141540020001,-80.5405549069999 51.3233271560001,-80.502790913 51.3319360420001,-80.471664045 51.339718136,-80.441517581 51.351909015,-80.4309727409999 51.3561729750001,-80.438190741 51.466381975,-80.4389799739999 51.4671302020001,-80.459726873 51.486800085,-80.4899824029999 51.5061820610001,-80.5088272309999 51.518254649,-80.529092439 51.5557956040001,-80.575145741 51.6411099760001,-80.588054741 51.6688819760001,-80.589445741 51.694854976,-80.6127817409999 51.7283279760001,-80.698609741 51.7947189760001,-80.7373959 51.816634697,-80.809717935 51.857500148,-80.8973639769999 51.893464212,-80.8980584989999 51.8940766860001,-80.924299742 51.9172189760001,-80.974645742 51.9915909760001,-80.991390742 52.009718976,-81.118054742 52.045545976,-81.167499742 52.0441549760001,-81.179615509 52.0503040040001,-81.186108975 52.053600137,-81.198230461 52.0590846010001,-81.212509742 52.0655459760001,-81.2429924149999 52.075602374,-81.264726868 52.0827731840001,-81.2748794029999 52.0847720880001,-81.300690742 52.089854976,-81.343639164 52.09827784,-81.345281899 52.0986000440001,-81.365281742 52.1072189760001,-81.391694833 52.1277111750001,-81.414235881 52.1452000900001,-81.4271086259999 52.166000033,-81.438945742 52.185127976,-81.456149501 52.2034270440001,-81.472635786 52.220964113,-81.5115358639999 52.2345821910001,-81.5549910029999 52.237500099,-81.573344369 52.2378726480001,-81.718890742 52.240827976,-81.762927742 52.2374189760001,-81.7955457419999 52.215754976,-81.834445742 52.1969369760001,-81.8788904909999 52.187910027,-81.8576358779999 52.240553962,-81.8225088309999 52.2544360700001,-81.6630550249999 52.2922181690001,-81.5875762049999 52.3101583440001,-81.561390742 52.3163819760001,-81.542499742 52.338881976,-81.553399742 52.4488819760001,-81.55339995 52.448882139,-81.573345742 52.463745976,-81.614436742 52.478045976,-81.639172742 52.4905459760001,-81.705836742 52.529445976,-81.7197003969999 52.5393732540001,-81.726390865 52.5441642650001,-81.76292231 52.5754618350001,-81.951399743 52.736936977,-81.974183039 52.7799120860001,-81.975699847 52.782773245,-81.993647364 52.798267545,-82.001109743 52.8047099770001,-82.004847193 52.8076077970001,-82.025835865 52.8238821210001,-82.036265257 52.831967261,-82.050554743 52.843045977,-82.1016727429999 52.879990977,-82.101672978 52.879991085,-82.128336743 52.892218977,-82.196381743 52.9133189770001,-82.22290386 52.920610777,-82.235826848 52.9241642170001,-82.2594548 52.9349910620001,-82.273899743 52.956381977,-82.296663743 53.0185999770001,-82.3008997429999 53.0538819770001,-82.275510764 53.147991618,-82.273472993 53.1555449790001,-82.2483358329999 53.1938821270001,-82.2265897619999 53.2090724000001,-82.210554743 53.220272977,-82.189032337 53.2309918600001,-82.1413909619999 53.254718149,-82.125006231 53.265945851,-82.1170727429999 53.271381977,-82.1148637429999 53.292499977,-82.119445743 53.315827977,-82.1221026219999 53.3276207420001,-82.125826941 53.344154061,-82.134787962 53.376907814,-82.138063743 53.388881977,-82.1477817429999 53.421663977,-82.167290747 53.4536729750001,-82.1672908749999 53.453673183,-82.1947178039999 53.4972181750001,-82.2016610649999 53.5120894550001,-82.2102817429999 53.5305549770001,-82.211457492 53.5524887730001,-82.214717863 53.6133271480001,-82.205699941 53.6476270690001,-82.194155043 53.669444996,-82.191566451 53.672378628,-82.189990743 53.674163977,-82.148899743 53.7277639770001,-82.145565588 53.7344287980001,-82.133608868 53.7583270330001,-82.13013591 53.783744986,-82.131427436 53.8080237090001,-82.131945743 53.8177729780001,-82.160281743 53.8988819780001,-82.2458997429999 54.0684639780001,-82.2458998179999 54.0684640250001,-82.245899884 54.0684641560001,-82.28389086 54.092491217,-82.286413655 54.0940139520001,-82.301390743 54.103054978,-82.362781743 54.143609978,-82.389999743 54.168327978,-82.427908895 54.203327195,-82.438000097 54.2968658730001,-82.441663736 54.3308279170001,-82.4322089729999 54.3706180200001,-82.4038819949999 54.410818131,-82.37638035 54.4639971930001,-82.320845743 54.571381978,-82.286717816 54.645340477,-82.221117949 54.7875001900001,-82.236830218 54.851747162,-82.243890743 54.8806189790001,-82.25864868 54.9071516920001,-82.269035781 54.925827074,-82.2810870179999 55.009076367,-82.285481655 55.039436369,-82.265699951 55.063045032,-82.2543299129999 55.0786901230001,-82.247781743 55.087699979,-82.2541817429999 55.111381979,-82.2541818559999 55.1113820580001,-82.254181875 55.1113821270001,-82.301370869 55.144402304,-82.307772746 55.1488819750001,-82.3077729139999 55.1488820910001,-82.310479785 55.149390689,-82.3430907429999 55.1555189790001,-82.343089543 55.155517789,-82.343090901 55.1555180440001,-82.310446128 55.1231451790001,-82.335554743 55.071018979,-82.382988218 55.079559359,-82.400835844 55.082773182,-82.411117925 55.1104091550001,-82.411118581 55.1104095430001,-82.411118743 55.1104099790001,-82.449436743 55.133045979,-82.502333092 55.1507595080001,-82.50834599 55.152773138,-82.662708964 55.1688821500001,-82.662709661 55.16888197,-82.6627097429999 55.168881979,-82.704727743 55.1580459790001,-82.739718175 55.1474911500001,-82.743093427 55.1469681200001,-82.778263743 55.1415189790001,-82.8099997429999 55.1422189790001,-82.829323847 55.1452501970001,-82.838335819 55.1466642390001,-82.852943451 55.1498090740001,-82.8744365919999 55.154436946,-82.9015358729999 55.1845732410001,-82.913326863 55.2013821420001,-82.9361088759999 55.2220732050001,-82.94415535 55.2256601120001,-82.956663743 55.2312369790001,-82.9815808819999 55.2357612120001,-82.984999847 55.23638212,-83.006390967 55.238600139,-83.010940228 55.2386016670001,-83.0333367439999 55.238609979,-83.0820817439999 55.229154979,-83.112025148 55.214930403,-83.1241639149999 55.209164236,-83.1594460279999 55.198882155,-83.1630423989999 55.1985853470001,-83.179718744 55.197209979,-83.4941637439999 55.234718979,-83.526390744 55.2472189790001,-83.574172744 55.2622189790001,-83.680555232 55.271081177,-83.700864001 55.2727731580001,-83.677635903 55.25151816,-83.649172972 55.2433270290001,-83.62776673 55.2429019130001,-83.620836744 55.2427639790001,-83.609546976 55.2390674980001,-83.590572907 55.2328540090001,-83.565544346 55.194369334,-83.557636744 55.182209979,-83.559103787 55.1383495520001,-83.559299859 55.1324911120001,-83.585345703 55.1520730620001,-83.574449482 55.1741212650001,-83.569455037 55.184227068,-83.569455158 55.1842271400001,-83.569454744 55.1842279790001,-83.6207893329999 55.2149038960001,-83.655726782 55.2357821430001,-83.7638823409999 55.272084459,-83.897509744 55.316936979,-83.923283484 55.3190464050001,-83.926381957 55.3193000970001,-83.9602818929999 55.315691185,-84.006390911 55.301382103,-84.0142508769999 55.2986287690001,-84.049990744 55.2861099790001,-84.0785113109999 55.275904569,-84.0841639079999 55.273882084,-84.1180549599999 55.272073102,-84.16256404 55.2799911500001,-84.164442413 55.2807409500001,-84.200481745 55.295127979,-84.308491805 55.2905912030001,-84.32278194 55.2899910960001,-84.388608882 55.2824911370001,-84.388609317 55.282491028,-84.3886097449999 55.282490979,-84.436799745 55.2704099790001,-84.518095268 55.252594178,-84.541381976 55.247491159,-84.5458408009999 55.2468961770001,-84.566390745 55.244154979,-84.592179605 55.242194827,-84.5991639659999 55.2416642270001,-84.607094138 55.2417848960001,-84.635563745 55.242218979,-84.680686155 55.2448447140001,-84.688046003 55.2452731400001,-84.691859186 55.2457121940001,-84.7181997449999 55.248745979,-84.745779219 55.254854999,-84.751399948 55.256100212,-84.7711278579999 55.2600472390001,-84.869445745 55.2797189790001,-84.974718745 55.2958279790001,-84.995357015 55.2964614640001,-85.001954983 55.2966642650001,-85.043881934 55.292773217,-85.068072945 55.2875001620001,-85.077449551 55.2854067870001,-85.1166547449999 55.2766549790001,-85.148054745 55.2672189790001,-85.186936746 55.248881979,-85.220272746 55.2244369790001,-85.315699746 55.1301279790001,-85.3265338259999 55.1145963120001,-85.335555066 55.1016641480001,-85.342121621 55.090473382,-85.347781746 55.080827979,-85.362499746 55.040554979,-85.365084354 55.0349760980001,-85.368746062 55.0270732560001,-85.379673017 55.0162757410001,-85.3931997459999 55.002909979,-85.4156384839999 54.999708157,-85.419963663 54.9990911610001,-85.4013359639999 55.0400110520001,-85.398055063 55.0472181550001,-85.3836179049999 55.0675001810001,-85.3929443059999 55.086118291,-85.398399523 55.097009535,-85.3243848499999 55.1689424200001,-85.275281746 55.216663979,-85.2152907459999 55.268599979,-85.199324326 55.273763525,-85.1366639029999 55.29402715,-85.118326813 55.3121451370001,-85.127828632 55.3386567490001,-85.130199745 55.3452729790001,-85.1301999309999 55.345273057,-85.1301999459999 55.3452731,-85.173335902 55.3634732300001,-85.1857263109999 55.363767845,-85.2256907459999 55.364718979,-85.2722277459999 55.374709979,-85.388481746 55.4069369790001,-85.474163746 55.454709979,-85.513190746 55.492354979,-85.519271112 55.5042987890001,-85.5290268259999 55.5234641480001,-85.545302041 55.538277619,-85.563054746 55.5544369790001,-85.7092922959999 55.6252096810001,-85.731945997 55.636173254,-85.867217845 55.6574911160001,-85.97053964 55.675443348,-86.272499747 55.7279099790001,-86.318609747 55.7433279790001,-86.339445747 55.7588819790001,-86.339446027 55.7588821150001,-86.339446058 55.7588821360001,-86.372773007 55.7749911490001,-86.3986179349999 55.7841641370001,-86.448608947 55.8000000660001,-86.4599079 55.8034037420001,-86.482227747 55.8101279790001,-86.5444457469999 55.824436979,-86.569681804 55.829634524,-86.5727819809999 55.8302731540001,-86.616946061 55.8388822060001,-86.837781886 55.891382089,-86.840489051 55.8923522540001,-86.881945747 55.9072099800001,-86.944676962 55.923085814,-86.974726929 55.930691204,-86.996946013 55.931664175,-87.00351354 55.9312962240001,-87.0316817469999 55.9297189800001,-87.057218747 55.9269369800001,-87.09299392 55.928189414,-87.100835848 55.928464132,-87.198335822 55.9402732280001,-87.25782198 55.9549169220001,-87.3481184519999 55.9771459070001,-87.3604089729999 55.9968001130001,-87.4788819779999 56.02916415,-87.548617904 56.0500002200001,-87.710072785 56.1606821170001,-87.720490748 56.1991549800001,-87.786744835 56.26293674,-87.8411089419999 56.3152732070001,-87.979163743 56.439572985,-87.9791639169999 56.4395731430001,-87.98277617 56.441069521,-88.023754748 56.4580459800001,-88.048890748 56.4655459800001,-88.064433788 56.468033344,-88.069735913 56.4688821440001,-88.103054984 56.4761001360001,-88.107567522 56.4771541700001,-88.1494457479999 56.4869369800001,-88.218890748 56.50443698,-88.3151749209999 56.53949663,-88.324172943 56.542773147,-88.333299654 56.546912132,-88.365827748 56.56166398,-88.379820152 56.5686963140001,-88.415008969 56.5863821780001,-88.425852483 56.5936945120001,-88.4405547489999 56.60360998,-88.584163749 56.67054598,-88.635690749 56.6866549800001,-88.6480125699999 56.6929508440001,-88.6547268739999 56.696382084,-88.667136098 56.7057951360001,-88.6719367489999 56.7094369800001,-88.7427637489999 56.7644459800001,-88.814999749 56.82443698,-88.946445749 56.8436549800001,-89.004879123 56.8471502040001,-89.015290869 56.84777317,-89.024081187 56.848513428,-89.068072749 56.85221898,-89.132945749 56.8648549800001,-89.399749603 56.916284456,-89.4391640489999 56.9238821920001,-89.45300422 56.9248170000001,-89.52139075 56.92943698,-89.71529075 56.9572189800001,-89.83307275 56.9783279810001,-89.9702727499999 57.004163981,-90.00013675 57.0164459810001,-90.009546148 57.022096235,-90.025008959 57.0313821120001,-90.084764341 57.0531495220001,-90.22555475 57.104436981,-90.28367421 57.125263847,-90.310817944 57.134991153,-90.3502142949999 57.154332826,-90.3897367499999 57.173736981,-90.40861875 57.181663981,-90.42851236 57.1873842540001,-90.451108875 57.1938822370001,-90.490994115 57.2003960930001,-90.563327751 57.2122099810001,-90.714445751 57.227209981,-90.7355031979999 57.2319202350001,-90.7380549489999 57.232491128,-90.758899904 57.2377732350001,-90.7638462899999 57.239292881,-90.787363751 57.2465189810001,-90.824718751 57.2565189810001,-90.9548271369999 57.2601869060001,-90.9972178639999 57.2613822070001,-91.045554959 57.257073238,-91.0573760089999 57.2554669530001,-91.089445751 57.2511099810001,-91.155836751 57.2399909810001,-91.241109751 57.2222189810001,-91.692372114 57.120102333,-91.779999948 57.100273142,-91.790055756 57.097586155,-91.828890752 57.0872099810001,-91.9522277519999 57.057209981,-91.98285492 57.0531124070001,-91.987499997 57.052491097,-91.9945483769999 57.0515613640001,-92.0316817519999 57.0466639810001,-92.0512919609999 57.0445730070001,-92.057773035 57.043882212,-92.065623441 57.043204603,-92.093063752 57.040836981,-92.146590752 57.0376279810001,-92.180281752 57.030818981,-92.212363752 57.021518981,-92.230643922 57.0145401350001,-92.235272911 57.012773114,-92.2425250809999 57.0080736720001,-92.265281752 56.9933279810001,-92.284163752 56.9766549810001,-92.2973337339999 56.9702662390001,-92.303055015 56.9674912230001,-92.3217725869999 56.9628672630001,-92.374999752 56.9497189800001,-92.4679242139999 56.9337465890001,-92.425417895 56.9588821720001,-92.390009031 56.9670730990001,-92.3900088789999 56.9670731310001,-92.3602729039999 56.9719361460001,-92.3411179079999 56.9794270530001,-92.2186179019999 57.059854096,-92.218619529 57.0598544700001,-92.2186187519999 57.0598549810001,-92.244581752 57.0658189810001,-92.352290608 57.0580903920001,-92.376099949 57.056382145,-92.381156185 57.0555212190001,-92.4005547519999 57.0522189810001,-92.443054752 57.0447189810001,-92.477257583 57.036549672,-92.48374605 57.0350000770001,-92.489817814 57.032747187,-92.514445752 57.0236099810001,-92.552781752 57.0047189810001,-92.578897474 56.9915595730001,-92.5891729579999 56.986382189,-92.6009110379999 56.9793732100001,-92.6136097519999 56.971790981,-92.656245752 56.9472099800001,-92.6818525899999 56.9372108680001,-92.691099918 56.9336001710001,-92.731382004 56.9224911320001,-92.756955023 56.918600084,-92.790555055 56.9138822460001,-92.802752427 56.912441341,-92.841118753 56.9079099800001,-92.868327718 56.9066549820001,-92.868457986 56.9068031620001,-92.872354232 56.9112363880001,-92.837217948 56.924436068,-92.771391007 56.9380450940001,-92.7255074019999 56.9455243510001,-92.721527753 56.94617298,-92.721527581 56.946173082,-92.721526897 56.9461731930001,-92.695264047 56.961663286,-92.570146037 57.0629091330001,-92.549435863 57.085545133,-92.441099932 57.2305450170001,-92.428746013 57.2576359990001,-92.4287459349999 57.2576365800001,-92.4287457519999 57.2576369810001,-92.418745752 57.3326999810001,-92.425915259 57.3579250560001,-92.4486089439999 57.437773157,-92.621108847 57.6705449790001,-92.6253416819999 57.675692811,-92.672499752 57.733045981,-92.69692764 57.7650133510001,-92.724717888 57.801382129,-92.753617852 57.8508271440001,-92.7918765049999 57.959256479,-92.7952727529999 57.968881981,-92.805345753 58.0069369810001,-92.801654753 58.0497189820001,-92.8116637529999 58.0716639820001,-92.868881753 58.1430549820001,-92.920792429 58.2002886970001,-92.9311088429999 58.211663215,-92.964717928 58.2611090680001,-92.9816529409999 58.2874408530001,-93.0352817529999 58.370827982,-93.095272753 58.467209982,-93.118054753 58.5088909820001,-93.1194402799999 58.512368877,-93.126517829 58.5301361420001,-93.1397268699999 58.653882202,-93.141108878 58.6919360430001,-93.148512705 58.719207603,-93.153890753 58.7390189820001,-93.196381753 58.7583279820001,-93.216663753 58.7641639820001,-93.236663753 58.7669369820001,-93.323481753 58.7579099820001,-93.3472187529999 58.748327982,-93.447791464 58.7359170450001,-93.47555503 58.7324912110001,-93.575564043 58.7638821090001,-93.582728566 58.7651268320001,-93.6730457529999 58.780818982,-93.718890753 58.7848549820001,-93.798618754 58.773609982,-93.836323426 58.7687486510001,-93.843890893 58.767773156,-93.9491550239999 58.7625001000001,-93.9547389689999 58.762299973,-93.995836754 58.7608279820001,-94.113890754 58.762218982,-94.143890754 58.763609982,-94.184862138 58.692487032,-94.245064035 58.58798217,-94.238890931 58.494153972,-94.236761345 58.4768244210001,-94.231109754 58.430827982,-94.2294367539999 58.3958909820001,-94.249374175 58.3663260110001,-94.2594460399999 58.3513912180001,-94.306831761 58.2898466940001,-94.358054754 58.2233189820001,-94.3633268789999 58.218882718,-94.363813438 58.2231875750001,-94.363890754 58.223872982,-94.3511204549999 58.2775574790001,-94.350145944 58.2816541190001,-94.326399844 58.34916314,-94.291172884 58.4259631670001,-94.291172842 58.4259637900001,-94.2911727539999 58.425963982,-94.285281754 58.5124999820001,-94.279093126 58.5382421200001,-94.252226874 58.6499911550001,-94.234726801 58.714718055,-94.2298017539999 58.773939677,-94.228881754 58.784999982,-94.2288819509999 58.784999928,-94.228881933 58.7850001460001,-94.2791730169999 58.7711001010001,-94.281531386 58.765668233,-94.291109754 58.7436099820001,-94.325977671 58.723867914,-94.3352819789999 58.7186002180001,-94.361390937 58.7127731190001,-94.4161088399999 58.7152731050001,-94.438585734 58.7302596970001,-94.446308921 58.735409426,-94.451467055 58.7543319650001,-94.4552817539999 58.7683279820001,-94.472362601 58.795835912,-94.480417818 58.80880911,-94.480418451 58.8088094940001,-94.480418754 58.8088099820001,-94.592090754 58.8766639820001,-94.676390754 58.9344369820001,-94.677432828 58.943634806,-94.680826945 58.973600177,-94.789717925 59.0922181880001,-94.781808929 59.260973225,-94.7725088719999 59.2958270220001,-94.715290984 59.323327041,-94.680555036 59.357218093,-94.68055531 59.3572184400001,-94.680554754 59.3572189830001,-94.735272758 59.42638198,-94.737790731 59.4305784220001,-94.788608832 59.5152731270001,-94.8157812159999 59.6229426670001,-94.819172754 59.636381983,-94.816096817 59.6508886830001,-94.803326951 59.7111090870001,-94.803326951 59.8777731740001,-94.814544191 59.927257523,-94.82097271 59.955618787,-94.8004268129999 59.9995632330001,-94.803232739 60.0047687160001,-94.803881754 60.005972983,-94.783010937 60.037168668,-94.768764006 60.058463202,-94.74972686 60.0693001650001,-94.7101089559999 60.0845361180001,-94.6736178369999 60.191100115,-94.678932332 60.212198593,-94.681945758 60.2241639850001,-94.616108929 60.3774180880001,-94.6279178569999 60.4159632760001,-94.657672804 60.450065002,-94.671663754 60.466099984,-94.672019818 60.4781665460001,-94.673326813 60.5224910640001,-94.611390754 60.5277729840001,-94.605681849 60.5268846290001,-94.569446036 60.521245009,-94.5072268329999 60.547082226,-94.45167292 60.6711090800001,-94.415146094 60.7594360670001,-94.391108975 60.7988821420001,-94.351245985 60.856109083,-94.2269460479999 60.9427632100001,-94.148055072 61.043609072,-94.057217873 61.1783270440001,-93.9363908939999 61.2958270770001,-93.845345991 61.3169360620001,-93.8193089499999 61.3525631740001,-93.8193098309999 61.3525638790001,-93.819309754 61.3525639850001,-93.862781754 61.3873549850001,-93.8994457539999 61.3880459850001,-93.927218754 61.3862459850001,-93.9686090869999 61.396663817,-93.978816396 61.433071618,-93.984999586 61.4551273870001,-93.856655023 61.5491632280001,-93.654999843 61.6291540770001,-93.594163989 61.6480450430001,-93.542773032 61.6633180440001,-93.449435846 61.6822091780001,-93.3569460699999 61.707218095,-93.2802723629999 61.7338969350001,-93.255572753 61.7424909850001,-93.2479281029999 61.767094473,-93.24437292 61.778536021,-93.244373042 61.778536054,-93.2443727529999 61.7785369850001,-93.277561814 61.787485931,-93.282772933 61.7888911920001,-93.435817936 61.808882199,-93.556945992 61.847773224,-93.569972879 61.850834326,-93.617217382 61.8619366630001,-93.6002819399999 61.879154063,-93.6002820909999 61.8791546420001,-93.600281753 61.8791549850001,-93.605809236 61.900400242,-93.616108934 61.9399908920001,-93.461672753 61.9224909850001,-93.4587254 61.9213805420001,-93.442490936 61.915263302,-93.338696382 61.8884805550001,-93.330563753 61.8863819850001,-93.327588732 61.8861925580001,-93.3044460199999 61.884718138,-93.289000909 61.8892945490001,-93.281954753 61.8913819850001,-93.268732571 61.9059187610001,-93.2233358509999 61.9558270200001,-93.223336973 61.955827743,-93.223336753 61.955827985,-93.244445753 61.9694369850001,-93.3188907529999 61.998045985,-93.3520817529999 62.0055549850001,-93.380928662 62.0102131420001,-93.386872985 62.0111732300001,-93.396036038 62.017421944,-93.4122267399999 62.0284632940001,-93.345940895 62.045938274,-93.325290753 62.051381985,-93.320780783 62.0509922790001,-93.302781877 62.049436115,-93.281191696 62.0437461320001,-93.277499753 62.0427729850001,-93.272622841 62.0410468040001,-93.241799843 62.030136112,-93.140835796 62.0097181310001,-92.991108853 62.067773205,-92.968335892 62.077218101,-92.9367639449999 62.111036063,-92.936764529 62.111036153,-92.936763753 62.1110369850001,-93.0180494799999 62.123668567,-93.023399967 62.1245000810001,-93.046160648 62.1153407460001,-93.072918124 62.1045732380001,-93.0931596949999 62.116211578,-93.12256359 62.133118892,-93.1122179659999 62.1554091880001,-93.072372913 62.1734633040001,-92.954454958 62.1927633070001,-92.848754968 62.176036046,-92.794346022 62.1751631540001,-92.765008858 62.2219360180001,-92.7650097869999 62.2219369300001,-92.765009753 62.2219369850001,-92.780290753 62.2369369850001,-92.834309753 62.2587459850001,-92.866390753 62.2630549850001,-92.898199753 62.260963985,-93.050653769 62.3113423620001,-93.122217201 62.3349908930001,-93.114242508 62.334517078,-93.075563904 62.3322180590001,-92.845554925 62.3094360470001,-92.744299858 62.2884631840001,-92.700563925 62.2655450490001,-92.639264049 62.2135541150001,-92.62959159 62.19778985,-92.625827752 62.1916549850001,-92.606957966 62.1672138800001,-92.598054925 62.1556821020001,-92.598054842 62.1556821020001,-92.5980547519999 62.1556819850001,-92.584167088 62.1555653510001,-92.482317941 62.1547091310001,-92.4823201999999 62.1547099970001,-92.482318752 62.1547099850001,-92.536663752 62.1755549850001,-92.569172752 62.192836985,-92.6039997519999 62.2363279850001,-92.605972729 62.2634636670001,-92.588335773 62.3006821550001,-92.5970363339999 62.3073441610001,-92.6066547519999 62.314709985,-92.628054752 62.3222189850001,-92.6549264239999 62.3297253010001,-92.6658358559999 62.3327731090001,-92.689487852 62.3408815700001,-92.71971798 62.3512457210001,-92.729435893 62.436236137,-92.710008821 62.4658271050001,-92.61193586 62.4658271050001,-92.552322702 62.5204436120001,-92.539172752 62.532490986,-92.523386879 62.5351449410001,-92.468064012 62.5444449990001,-92.430826904 62.5358270610001,-92.390426801 62.530409166,-92.365008847 62.533336127,-92.325563946 62.5408360860001,-92.273481985 62.5691632310001,-92.2734819029999 62.5691639030001,-92.273481752 62.569163986,-92.270563867 62.5933180370001,-92.199744687 62.6021483390001,-92.191381752 62.6031909860001,-92.188818784 62.6029010280001,-92.1581999699999 62.5994361510001,-92.0533269379999 62.5266540740001,-91.953203539 62.5326798790001,-91.9447097519999 62.5331909860001,-91.944709678 62.5331910720001,-91.944708872 62.5331911200001,-91.88479989 62.6029091090001,-91.884799813 62.6029099150001,-91.8847997519999 62.602909986,-91.882763752 62.624163986,-91.9172187519999 62.6404099860001,-91.948881752 62.651927986,-91.971390752 62.653318986,-92.023464543 62.6508146560001,-92.034726825 62.6502732320001,-92.042520546 62.6505988050001,-92.067781752 62.651654986,-92.163686715 62.65672705,-92.183464032 62.657773191,-92.188605976 62.659365741,-92.232772752 62.673045986,-92.304628532 62.699370399,-92.333617949 62.7099911070001,-92.456317948 62.7993732080001,-92.446799961 62.819163217,-92.4115269009999 62.8344360510001,-92.38763591 62.8406911000001,-92.387291589 62.8407375090001,-92.361935874 62.844154029,-92.33999993 62.8436092050001,-92.222155065 62.8276270950001,-92.123217277 62.8212014040001,-92.087509752 62.8188819860001,-92.087508842 62.8188822540001,-91.990281951 62.84693615,-91.868293034 62.8302194620001,-91.840290752 62.8263819860001,-91.579181751 62.799999986,-91.461672751 62.782490986,-91.440281751 62.7827729860001,-91.425787306 62.7837450120001,-91.361517841 62.788054119,-91.210281988 62.8569449810001,-91.196935819 62.889091089,-91.177772944 62.9072090750001,-91.0738076659999 62.934998487,-91.0431907509999 62.9431819860001,-91.017227751 62.9463819860001,-90.999079789 62.946044973,-90.934999835 62.944854047,-90.870272934 62.9344360110001,-90.851712164 62.9330637780001,-90.847781751 62.932772986,-90.843724218 62.9328251270001,-90.8258357719999 62.9330540030001,-90.785409945 62.9391246100001,-90.782909751 62.939499986,-90.7829095659999 62.939500084,-90.78290886 62.93950019,-90.739991001 62.962209112,-90.682957938 63.008789274,-90.649172751 63.036381986,-90.6413941759999 63.044653134,-90.627490941 63.0594360040001,-90.62749115 63.059436562,-90.627490751 63.059436986,-90.661106192 63.1490740930001,-90.6908269479999 63.2283271630001,-90.7140571209999 63.2885394880001,-90.7419457509999 63.3608279860001,-90.816663751 63.3691549860001,-90.8924379439999 63.3821606560001,-90.925135844 63.387773258,-90.9350989019999 63.3915786430001,-90.949863751 63.397218986,-90.968272024 63.4201270820001,-90.9391549119999 63.4205449900001,-90.9155549929999 63.410545045,-90.8628381679999 63.408859707,-90.854718751 63.4085999870001,-90.854719213 63.4086001480001,-90.854717966 63.408600108,-90.945545946 63.440273141,-90.964514455 63.4440941620001,-91.133054751 63.478045987,-91.257874843 63.499667801,-91.2741730449999 63.50249117,-91.39805506 63.524991216,-91.604163834 63.5827731470001,-91.607868453 63.5899148410001,-91.617635778 63.6087450360001,-91.613608944 63.6404091840001,-91.613609783 63.640409736,-91.6136097519999 63.6404099870001,-91.670836752 63.6780459870001,-91.695263752 63.6905459870001,-91.742927552 63.705927333,-91.769717868 63.7145732700001,-91.782662465 63.714301022,-91.8224997519999 63.7134639870001,-91.964709494 63.6814345240001,-91.9711179019999 63.6799912130001,-91.971118484 63.679991047,-91.9711187519999 63.6799909870001,-92.1652817519999 63.6244369870001,-92.2024997519999 63.6097189870001,-92.2592047219999 63.570487196,-92.27999992 63.5561001460001,-92.288966622 63.5562330590001,-92.336399752 63.556936987,-92.4291727519999 63.5469459870001,-92.4808366619999 63.5272190210001,-92.482054401 63.5285761590001,-92.493054752 63.540836987,-92.492717075 63.5435074320001,-92.48971782 63.5672180700001,-92.385009751 63.5924909820001,-92.385008907 63.5924911860001,-92.2575089269999 63.6229091120001,-92.204181918 63.6380449850001,-92.1255295189999 63.6849823470001,-92.103745752 63.697981987,-92.103745996 63.697982091,-92.1037459299999 63.6979821310001,-92.106621818 63.6992123420001,-92.148054752 63.7169369870001,-92.257090752 63.740963987,-92.29694462 63.7390525920001,-92.30638196 63.7386001630001,-92.3488909499999 63.733882157,-92.355222219 63.73414359,-92.3891637519999 63.7355459870001,-92.416872752 63.7457549870001,-92.432354752 63.7865189870001,-92.4772187519999 63.810127987,-92.501390752 63.8155459870001,-92.542636752 63.813327987,-92.629603591 63.7927790890001,-92.651946036 63.787500186,-92.679773041 63.79450554,-92.841672753 63.8352639870001,-92.9602817529999 63.8558279870001,-93.0693206129999 63.8805146970001,-93.1222179119999 63.8924912350001,-93.170592023 63.9038935140001,-93.2730547529999 63.9280459870001,-93.3327485569999 63.9537335210001,-93.3647179389999 63.9674911640001,-93.371221224 63.9685620000001,-93.389999753 63.9716549870001,-93.412704441 63.9714362490001,-93.4183358 63.971382211,-93.4183364369999 63.9713819900001,-93.4183367529999 63.971381987,-93.445209753 63.9620729870001,-93.445618753 63.9249909870001,-93.342154753 63.8631819870001,-93.3325369029999 63.8602677040001,-93.276390952 63.8432540920001,-93.223748431 63.844363135,-93.334863753 63.8090189870001,-93.485401479 63.8342162110001,-93.5265268919999 63.8411001100001,-93.5371591479999 63.8448081380001,-93.553609753 63.850545987,-93.577557954 63.8607898430001,-93.599726891 63.870273157,-93.62210884 63.8810675930001,-93.6544457529999 63.8966639870001,-93.758370826 63.951360498,-93.770554718 63.957773069,-93.761671736 63.978369694,-93.759172985 63.984163272,-93.731672967 63.987209088,-93.666024528 63.9917156510001,-93.654727753 63.9924909870001,-93.6547275949999 63.99249115,-93.6547269279999 63.9924911960001,-93.604172988 64.0444360290001,-93.6041734029999 64.0444363190001,-93.6041727529999 64.044436987,-93.6625096669999 64.085127927,-93.6732864049999 64.095408542,-93.7727086899999 64.1902539720001,-93.754649636 64.189068042,-93.751681753 64.1888729870001,-93.689990935 64.15610008,-93.6313181519999 64.1120633880001,-93.624556448 64.1053338850001,-93.612208886 64.0930450330001,-93.465114682 64.0278777410001,-93.4366637529999 64.0152729870001,-93.294581753 63.981799987,-93.2926642959999 63.9817200900001,-93.271255024 63.980827107,-93.218890928 63.979427162,-92.960699979 63.934709205,-92.951345036 63.92278543,-92.939018753 63.907072987,-92.858770293 63.8861802530001,-92.706954958 63.8466541270001,-92.675109117 63.841040719,-92.6691547519999 63.8399909870001,-92.661255114 63.838662271,-92.613055011 63.8305540000001,-92.583891017 63.829436021,-92.4747523629999 63.81158536,-92.434436752 63.8049909870001,-92.180554752 63.757081987,-92.142372752 63.746799987,-92.128920142 63.745938993,-92.066390973 63.7419361600001,-91.910554964 63.7405451000001,-91.581181875 63.7152632680001,-91.556109052 63.7281820600001,-91.534863751 63.7303999870001,-91.5202370969999 63.7276478730001,-91.411663918 63.7072181500001,-91.372702916 63.6939119690001,-91.34921941 63.6858912120001,-91.353728404 63.6858207870001,-91.3713817509999 63.6855459870001,-91.401045751 63.672563987,-91.401045048 63.6725636130001,-91.401046058 63.672563171,-91.375826923 63.65915397,-91.2754910419999 63.6386214080001,-91.233318751 63.629990987,-91.226963956 63.6298101770001,-91.196590987 63.6289450880001,-91.1580550199999 63.635554051,-91.1377909299999 63.630818108,-91.034999963 63.5991631800001,-90.9841640559999 63.5780451420001,-90.936663978 63.5654090880001,-90.849446084 63.5597181110001,-90.828064017 63.5616632150001,-90.75632754 63.570971039,-90.733890751 63.5738819870001,-90.693756652 63.579889521,-90.557155038 63.6003361430001,-90.5413819729999 63.6147090960001,-90.5413821659999 63.6147096080001,-90.541381751 63.6147099870001,-90.5570817509999 63.656309987,-90.603199751 63.674436987,-90.618754751 63.6591549870001,-90.655563751 63.654709987,-90.691245172 63.6572099460001,-90.639308921 63.7016632950001,-90.617908917 63.703327103,-90.494581952 63.6744360230001,-90.464999868 63.6464270560001,-90.429446014 63.615827074,-90.258617965 63.607218189,-90.2363910019999 63.607218189,-90.2052730189999 63.612209109,-90.152646066 63.6279090850001,-90.112154948 63.673776423,-90.0899997499999 63.6988729870001,-90.077248394 63.7169014350001,-90.05777298 63.744436147,-89.972155024 63.7810360620001,-89.9721549019999 63.7810369220001,-89.97215475 63.7810369870001,-89.971583725 63.78505413,-89.967435845 63.814227058,-89.967436777 63.8142278000001,-89.96743675 63.814227987,-90.1138907499999 63.930827987,-90.2058367499999 63.986663987,-90.22749075 63.994436987,-90.268099303 64.0009507450001,-90.272090544 64.001591041,-90.258257681 64.0051936670001,-90.24943638 64.0074909960001,-90.242820934 64.0076564120001,-90.188326822 64.0090181300001,-89.999999874 63.9840450870001,-89.9549275969999 63.9718633630001,-89.9512077529999 63.9567398290001,-89.949291051 63.948945773,-89.96971875 63.9344369870001,-89.99311875 63.9247819870001,-89.9451460179999 63.911100065,-89.9451457499999 63.9110999870001,-89.929029602 63.9128677570001,-89.826046046 63.924163262,-89.813608978 63.94207321,-89.822629912 63.9624188510001,-89.8293727499999 63.9776279870001,-89.86694575 63.9897189870001,-89.90417275 64.0158279870001,-89.926437924 64.0379429110001,-89.946108931 64.0574821260001,-89.949394554 64.079198272,-89.95056375 64.0869279870001,-90.05860975 64.109709987,-90.117844025 64.1259455140001,-89.977217861 64.160545002,-89.924129562 64.160063753,-89.91611875 64.1599909870001,-89.896035844 64.1493924500001,-89.885835838 64.1440091840001,-89.845554926 64.142763298,-89.820008897 64.1462360880001,-89.807109493 64.2049791430001,-89.80326375 64.2224909870001,-89.7957347299999 64.2336125780001,-89.789163996 64.24331814,-89.759936655 64.2296364260001,-89.747647258 64.1568332530001,-89.744581994 64.138673264,-89.754541027 64.1374980350001,-89.7805637499999 64.134427987,-89.7994218439999 64.1316410950001,-89.8059728969999 64.1306732400001,-89.813947301 64.1174549030001,-89.82097275 64.105809987,-89.8209725729999 64.105809843,-89.820972983 64.1058091630001,-89.785554916 64.0769360210001,-89.7313126339999 64.0496766430001,-89.72694575 64.0474819870001,-89.717559466 64.0617452760001,-89.707699943 64.0767271440001,-89.640972953 64.051645137,-89.611038715 64.027666202,-89.58672775 64.008190987,-89.538140985 63.9691576430001,-89.52430893 63.9580450940001,-89.4972179489999 63.9430450080001,-89.485545981 63.9422180490001,-89.485546128 63.942219014,-89.48554575 63.942218987,-89.4861509839999 63.946183563,-89.487208951 63.9531180440001,-89.487209698 63.953118653,-89.48720975 63.953118987,-89.52430975 63.9833189870001,-89.547142138 63.995925286,-89.55124588 63.998191148,-89.56429975 64.014290987,-89.5622371589999 64.0282456040001,-89.555408976 64.074436034,-89.5072358319999 64.0705449870001,-89.435512001 64.049919587,-89.396118749 64.0385909870001,-89.369619917 64.023718531,-89.321399985 63.996653984,-89.2522310209999 63.962150347,-89.2506907489999 63.961381987,-89.035554749 63.946590987,-89.035555068 63.9465912310001,-89.035554958 63.946591223,-89.0397486639999 63.949797017,-89.053809749 63.960545987,-89.0929654349999 63.9727228620001,-89.096663893 63.9738730930001,-89.182499749 64.0366549870001,-89.285281749 64.1392999870001,-89.250345759 64.157481981,-89.2136819679999 64.126718156,-89.207020079 64.1115103830001,-89.201727749 64.0994279870001,-89.201726954 64.0994272300001,-89.20172686 64.0994270140001,-89.18277303 64.0813732330001,-89.182772949 64.081373177,-89.182772749 64.0813729870001,-89.174676617 64.075807404,-89.1508357989999 64.059418178,-89.11860889 64.0423450800001,-89.088257492 64.0302590680001,-89.077790749 64.026090987,-88.993881749 63.998599987,-88.975364536 63.9962965120001,-88.759446014 63.969436101,-88.736664001 63.968318122,-88.681071596 63.9785802260001,-88.679436749 63.9788819870001,-88.679436602 63.9788820380001,-88.679435887 63.9788821700001,-88.552772924 64.0230360250001,-88.360868958 64.0828851050001,-88.285554748 64.106372987,-88.249846407 64.11245481,-88.118326812 64.134853966,-87.987355048 64.1884450050001,-87.865008933 64.3747001140001,-87.856485213 64.4285501630001,-87.8555548739999 64.434427193,-87.7942998679999 64.5181091140001,-87.7644178799999 64.5209091720001,-87.698045948 64.5272091780001,-87.5831999599999 64.565409199,-87.548906324 64.5964404760001,-87.521663748 64.621090988,-87.482375076 64.6601453430001,-87.430282027 64.7119270470001,-87.10999995 64.9991450300001,-87.060382944 65.021976362,-87.040554747 65.0310999880001,-87.029149844 65.033690897,-86.997772972 65.0408181760001,-86.9706908749999 65.055536127,-86.935126795 65.142909086,-86.951381753 65.161372983,-86.951381987 65.161373246,-86.980395634 65.1790385840001,-87.075009747 65.2366459880001,-87.2105547469999 65.2541639880001,-87.3577727479999 65.2708279880001,-87.602218748 65.2905459880001,-87.6730457479999 65.2913639880001,-87.731381748 65.290263988,-87.9024177589999 65.2869080340001,-87.943599837 65.286100156,-87.978054991 65.2836001700001,-87.984710437 65.2823602650001,-88.0161187479999 65.276509988,-88.055261161 65.2613600830001,-88.061663972 65.2588821050001,-88.0625686829999 65.259266241,-88.103199748 65.2765189880001,-88.1333277479999 65.2783189880001,-88.2150097479999 65.277209988,-88.347031756 65.2752531460001,-88.3647178849999 65.2749911170001,-88.369426139 65.2754181450001,-88.389172748 65.277209988,-88.490281749 65.2933189880001,-88.606945749 65.306927988,-88.6769367489999 65.310527988,-88.7044457489999 65.3065099880001,-88.729048037 65.3061599000001,-88.7338909329999 65.3060911630001,-88.740209847 65.3063734360001,-88.771118749 65.3077549880001,-88.997751523 65.325905806,-89.057499954 65.330691211,-89.0696689169999 65.3402834820001,-89.146118749 65.400545988,-89.308881749 65.469436988,-89.4283277489999 65.529436988,-89.510731457 65.584132115,-89.6568088829999 65.6810911420001,-89.6809366369999 65.693239401,-89.7202727499999 65.7130459890001,-89.7425343199999 65.723538015,-89.7449999149999 65.724700172,-89.932217938 65.7813732370001,-89.960008976 65.788882249,-89.969710086 65.7909613150001,-89.99347275 65.7960549890001,-90.01389975 65.800263989,-90.069863519 65.8109205150001,-90.078064059 65.812482168,-90.131272322 65.8204647170001,-90.53168175 65.8805369890001,-90.692490751 65.886109989,-90.73586677 65.8875685740001,-90.741945997 65.8877731170001,-90.7600384679999 65.8895156310001,-90.914863751 65.9044279890001,-90.9486097509999 65.910809989,-90.983609751 65.9190189890001,-91.057003954 65.9209214730001,-91.063890875 65.9211000670001,-91.0664658539999 65.9210516630001,-91.0938907509999 65.9205369890001,-91.113753554 65.9087087680001,-91.119645954 65.9052000990001,-91.054717888 65.8466451290001,-91.011809883 65.81101899,-91.053745751 65.811363989,-91.189436751 65.8530459890001,-91.3347277509999 65.884845989,-91.3580547509999 65.8915189890001,-91.44444544 65.9308188470001,-91.4361787509999 65.941796729,-91.429172751 65.9510999890001,-91.325418751 65.969699989,-91.2509804439999 65.961176472,-91.0683460239999 65.940263277,-90.850281928 65.9152632450001,-90.733890988 65.904163258,-90.7150119039999 65.9029074910001,-90.708618751 65.9024819890001,-90.6841162969999 65.901212871,-90.596117812 65.896654078,-90.574172984 65.896654078,-90.439712979 65.90049593,-90.41888175 65.9010909890001,-90.407717426 65.9023621170001,-90.3602730169999 65.907763285,-90.298418162 65.917769063,-90.29333675 65.9185909890001,-90.25889975 65.9224819890001,-90.220518796 65.909391005,-90.272781873 65.8974910950001,-90.279827849 65.8974593350001,-90.33332775 65.8972189890001,-90.35777275 65.898036989,-90.385830265 65.8964970100001,-90.393064028 65.8961002020001,-90.403642831 65.8911863440001,-90.4259637499999 65.880818989,-90.425962962 65.880818633,-90.425964004 65.880818149,-90.404976851 65.871331092,-90.40444575 65.871090989,-90.31499975 65.862199989,-90.3094687349999 65.8620128950001,-90.26583579 65.860536122,-90.2455496699999 65.8612468800001,-90.24194575 65.8613729890001,-90.236306279 65.8618692320001,-90.207226841 65.8644271690001,-90.162781966 65.8722090960001,-90.130975569 65.8808875110001,-90.11999975 65.883881989,-90.1107949569999 65.8852116030001,-90.079590907 65.8897180540001,-90.04861793 65.8883181080001,-89.896391001 65.855127112,-89.835363267 65.830662364,-89.8284727499999 65.8278999890001,-89.79333675 65.8224909890001,-89.76916375 65.8224909890001,-89.762327263 65.82449689,-89.734864015 65.832553977,-89.734864048 65.832554901,-89.73486375 65.8325549890001,-89.7362547499999 65.871227989,-89.79943675 65.8983279890001,-89.83416375 65.910263989,-89.859612683 65.9177279800001,-89.871108834 65.9211000670001,-89.899172955 65.9285911410001,-89.902972184 65.9293289670001,-89.9327817499999 65.935118989,-89.96417275 65.936918989,-89.995552321 65.945918292,-89.970525074 65.9482799620001,-89.96722775 65.9485909890001,-89.70944575 65.9421999890001,-89.66819075 65.9371999890001,-89.655999062 65.932666096,-89.5972267939999 65.910809101,-89.525281902 65.8869361000001,-89.4015550999999 65.8523935700001,-89.3799907489999 65.846372989,-89.3346132619999 65.8311587650001,-89.165408913 65.774427153,-89.1473640149999 65.7561732130001,-89.141696532 65.7494340860001,-89.130827749 65.7365099890001,-89.1308275379999 65.7365099130001,-89.130826855 65.7365091010001,-89.099446015 65.725263269,-89.038512074 65.708781883,-89.000836749 65.6985909890001,-88.985709318 65.6948680020001,-88.956254945 65.68761813,-88.8175676659999 65.678562104,-88.779727749 65.676090989,-88.7106883719999 65.6678873610001,-88.5133360039999 65.6444360850001,-88.51197186 65.6427818510001,-88.498891693 65.6269190670001,-88.622499749 65.637209989,-88.756672749 65.6427639890001,-88.8293097489999 65.6427639890001,-88.8293070239999 65.6427632130001,-88.829308842 65.6427632130001,-88.685817868 65.6019270840001,-88.6427729389999 65.5923450590001,-88.579308856 65.590263162,-88.5541730369999 65.5848451000001,-88.41745081 65.5275893300001,-88.3336187479999 65.4924819880001,-88.320316528 65.483622041,-88.313608895 65.479153995,-88.244299943 65.4276180300001,-88.2170909449999 65.404991083,-88.2170908049999 65.4049910350001,-88.217090748 65.4049909880001,-88.21383596 65.403884765,-88.094454984 65.363309052,-88.074127515 65.357239484,-88.070281748 65.3560909880001,-88.063226269 65.354180817,-88.030291012 65.3452631490001,-88.0044549689999 65.339154083,-87.966663984 65.3330540690001,-87.941935861 65.3308271650001,-87.893064001 65.3266632030001,-87.872885974 65.325490067,-87.869154748 65.3252729880001,-87.833327748 65.323881988,-87.741740904 65.3231870660001,-87.43082685 65.3208270520001,-87.399670391 65.3213214190001,-87.3958457479999 65.321381988,-87.359227748 65.3253999880001,-87.35922693 65.3254002030001,-87.359226789 65.325400218,-87.334101327 65.3319842500001,-87.111663747 65.390272988,-87.113681747 65.436227988,-87.110272747 65.4585999880001,-87.0913907469999 65.4767909880001,-87.063681747 65.4867819880001,-87.0597357629999 65.4857222690001,-87.035281988 65.479153995,-87.0208357779999 65.4842910950001,-86.972781992 65.520263207,-86.953890859 65.5391540050001,-86.883327615 65.5564999860001,-86.87883196 65.5563979730001,-86.85930896 65.555954021,-86.82729998 65.5575450740001,-86.716108838 65.6174822200001,-86.530290929 65.6955271260001,-86.452646006 65.7447091170001,-86.452646108 65.74470976,-86.452645747 65.7447099890001,-86.459372747 65.787136989,-86.493817722 65.804627468,-86.472226803 65.839982187,-86.435233919 65.877370285,-86.420272747 65.8924909890001,-86.411073363 65.8934616990001,-86.354445975 65.899436032,-86.3319146279999 65.9038916370001,-86.326399747 65.9049819890001,-86.244299747 65.934290989,-86.221799746 65.952281989,-86.1941770769999 65.9611221340001,-86.12138196 65.984418137,-86.077226932 65.9958181960001,-86.0021949329999 66.023197876,-85.9797907459999 66.031372989,-85.976663791 66.075409354,-85.89726395 66.1680181940001,-85.8972641679999 66.168018498,-85.897263746 66.1680189890001,-85.899172746 66.1706819890001,-85.904037634 66.1737587740001,-85.920690867 66.1842911570001,-86.0761089539999 66.223873186,-86.142226915 66.239700063,-86.3061088809999 66.276382121,-86.396117948 66.2897001270001,-86.418529754 66.2918564110001,-86.497218747 66.299427989,-86.612781747 66.3116459890001,-86.645009747 66.319709989,-86.8081901479999 66.43941855,-86.7899998409999 66.4480361230001,-86.756955025 66.4413632900001,-86.730563933 66.4369180310001,-86.678608873 66.4327540690001,-86.638826852 66.4376180880001,-86.638828497 66.437618898,-86.6388277469999 66.437618989,-86.6627817469999 66.449418989,-86.701109747 66.466663989,-86.739826637 66.486512143,-86.74388185 66.4885910770001,-86.7786812369999 66.5184635510001,-86.7579268229999 66.5284541140001,-86.7380959289999 66.524342469,-86.732499747 66.5231819890001,-86.692218747 66.511381989,-86.666118747 66.5070729890001,-86.628890747 66.506381989,-86.623823153 66.5071069240001,-86.60556394 66.5097180450001,-86.5859802369999 66.5213550280001,-86.5813907469999 66.5240819890001,-86.283327747 66.5185999890001,-86.2759290979999 66.5171341380001,-86.256672919 66.5133180730001,-86.134717904 66.4987270230001,-86.10333589 66.496645126,-86.0788909079999 66.4969361460001,-86.0015269469999 66.5076270960001,-85.908121727 66.5096988940001,-85.882227746 66.510272989,-85.854299746 66.500681989,-85.710554746 66.536099989,-85.694376399 66.5409195570001,-85.5986179129999 66.5694451410001,-85.575563991 66.5747091440001,-85.555400386 66.57735554,-85.5522187459999 66.577772989,-85.541417738 66.578404629,-85.485835885 66.5816540530001,-85.4660987679999 66.5770638970001,-85.4619547459999 66.5760999890001,-85.453720123 66.5698421220001,-85.344518755 66.4868547560001,-85.345836746 66.452618989,-85.339718746 66.3991549890001,-85.304027746 66.309427989,-85.304027006 66.3094274410001,-85.304026872 66.3094271040001,-85.271668948 66.2854201160001,-85.260981746 66.2774909890001,-85.2554676509999 66.2755239200001,-85.2212549079999 66.2633180870001,-85.187354971 66.2614450670001,-85.131946064 66.2919270310001,-85.001681901 66.2552632460001,-84.973190974 66.245536047,-84.9518144799999 66.2460326760001,-84.949299745 66.246090989,-84.9274907449999 66.258881989,-84.923148124 66.2604973860001,-84.905835844 66.2669360520001,-84.8755459929999 66.2673539730001,-84.692076797 66.227235928,-84.6411097449999 66.2160909890001,-84.607445344 66.206433287,-84.509446086 66.1783180450001,-84.478608897 66.1630361590001,-84.459344341 66.1596983370001,-84.454581745 66.158872989,-84.434199914 66.1600284680001,-84.3735999099999 66.163463301,-84.373600171 66.1634639650001,-84.373599745 66.163463989,-84.382090745 66.185118989,-84.3956997449999 66.2040189890001,-84.415972745 66.220127989,-84.4867493579999 66.2573231520001,-84.5272179 66.278591088,-84.5781428779999 66.3046470580001,-84.630908647 66.3316454280001,-84.619154973 66.3497180750001,-84.554717919 66.3918000900001,-84.5146549359999 66.4033181660001,-84.434435932 66.3676181320001,-84.317226918 66.299709125,-84.2409524509999 66.3171353370001,-84.2223637449999 66.321381989,-84.1845817449999 66.3167999890001,-84.181200162 66.3152846570001,-84.156809486 66.304354323,-84.152252322 66.2925977210001,-84.147499916 66.2803360330001,-84.126672895 66.2593001370001,-84.126672745 66.2592999890001,-84.1139864479999 66.2541978130001,-83.977781966 66.199418145,-83.843745946 66.154636151,-83.789717875 66.163318126,-83.767899948 66.168636108,-83.684508896 66.207618161,-83.684509927 66.2076189040001,-83.684509744 66.2076189890001,-83.723609744 66.2358189890001,-83.7695817439999 66.264436989,-83.7705387089999 66.2704255470001,-83.773617915 66.2897001270001,-83.7912260259999 66.2996132850001,-83.8047186379999 66.3072099300001,-83.809391298 66.3130382190001,-83.869299744 66.3877639890001,-83.893054744 66.4281729890001,-83.8930550059999 66.428173192,-83.916399744 66.4466369890001,-83.9475718959999 66.4633404740001,-83.967226803 66.4738731720001,-84.128326815 66.5547001990001,-84.154470263 66.5780763170001,-84.1834724619999 66.6040097370001,-84.1408358 66.652209059,-84.146833154 66.6759684350001,-84.148754745 66.6835819900001,-84.14875498 66.683582023,-84.148755022 66.6835821870001,-84.158601367 66.684971761,-84.203890745 66.6913639900001,-84.3430637449999 66.6994189900001,-84.404172745 66.7055549900001,-84.437945745 66.71960999,-84.466945745 66.78776399,-84.657772745 66.8258189900001,-84.675062839 66.8418271510001,-84.634172997 66.841663205,-84.5805640199999 66.828327094,-84.5468702209999 66.822354961,-84.541381745 66.8213819900001,-84.513431378 66.8268913250001,-84.5125097439999 66.8270729830001,-84.512508834 66.827073161,-84.539927359 66.841111153,-84.558336745 66.8505369900001,-84.578442776 66.8566948220001,-84.5855549409999 66.8588732640001,-84.706390972 66.8886001870001,-84.746381129 66.8974910420001,-84.7331356569999 66.8986071720001,-84.682072891 66.902909101,-84.650282009 66.9008181520001,-84.6214001769999 66.89454069,-84.617072745 66.89359999,-84.6076418389999 66.8948559560001,-84.568055036 66.900127147,-84.568055718 66.9001278600001,-84.568054745 66.90012799,-84.60095595 66.934491086,-84.602217829 66.935809077,-84.6022178759999 66.935809082,-84.602218745 66.9358099900001,-84.761527745 66.95193699,-84.858745745 66.9402459900001,-84.9479547449999 66.9081369900001,-84.947953159 66.908136685,-84.9479549069999 66.908136056,-84.9072004989999 66.9003181990001,-84.9444457449999 66.8612369900001,-85.136318745 66.8378279900001,-85.1765339789999 66.849265562,-85.190272879 66.8531732340001,-85.218105126 66.8694433900001,-85.227081746 66.87469099,-85.199829565 66.8926544980001,-85.142772969 66.9302632750001,-85.054026887 66.961518051,-85.010008819 66.964709209,-84.960008922 66.964153991,-84.885835785 66.966663198,-84.712782005 66.9727632120001,-84.645699958 66.9792271680001,-84.645701952 66.9792277770001,-84.6456997449999 66.9792279900001,-84.699999745 66.99581899,-84.77132746 67.003492657,-84.7806908439999 67.004500115,-84.7841001319999 67.0030603120001,-84.811109745 66.99165499,-84.8398637449999 66.9834639900001,-84.864768698 66.9856838850001,-84.872499841 66.9863732430001,-84.93152688 67.0577540340001,-84.912686136 67.0589883210001,-84.908199745 67.05928199,-84.8834727449999 67.0462999900001,-84.877705299 67.043979934,-84.8443088189999 67.030545035,-84.733064032 67.0147091050001,-84.694155069 67.0097181850001,-84.6323399619999 67.007008399,-84.6180547449999 67.0063819900001,-84.4880547449999 66.9888729900001,-84.436109745 66.9813729900001,-84.4147975819999 66.9760354270001,-84.376802014 66.966518707,-84.4213907449999 66.96096399,-84.421390829 66.9609631910001,-84.4213910079999 66.9609631690001,-84.4363909269999 66.818327148,-84.2909729529999 66.725253992,-84.2689983779999 66.718234044,-84.2666727449999 66.71749099,-84.246398912 66.7149016530001,-84.14972682 66.702554122,-84.1106909549999 66.706654046,-83.9419359189999 66.8186000630001,-83.928881943 66.863036052,-83.912090979 66.8788632650001,-83.895981967 66.86483615,-83.890069066 66.846972237,-83.884036744 66.8287459900001,-83.888618744 66.8090189900001,-83.932707423 66.7265084840001,-83.945546005 66.7024822050001,-83.9887459989999 66.7020822210001,-83.995972711 66.6977971300001,-84.012572744 66.68795499,-84.012572703 66.687954136,-84.0125729 66.6879540200001,-84.011399936 66.6636091180001,-83.97506405 66.5822091030001,-83.857499979 66.544145036,-83.832378056 66.542808096,-83.826254744 66.5424819890001,-83.820098877 66.5423719140001,-83.795272897 66.541927017,-83.7324999859999 66.5347180780001,-83.706954963 66.5308181460001,-83.676799892 66.5227633040001,-83.579727105 66.4316542280001,-83.534727744 66.3780369890001,-83.545272744 66.3813639890001,-83.599726859 66.4098455260001,-83.6019393399999 66.425679422,-83.6027727439999 66.4316459890001,-83.632009744 66.4393459890001,-83.653481744 66.410127989,-83.653481421 66.410127829,-83.6534819409999 66.4101271210001,-83.6002325379999 66.383713975,-83.5675097439999 66.3674819890001,-83.5493834 66.3627548870001,-83.5152908439999 66.3538632610001,-83.450563943 66.346645101,-83.409805137 66.3473583900001,-83.402218744 66.3474909890001,-83.397820227 66.347879693,-83.3629179019999 66.35096329,-83.1198538199999 66.4469994390001,-83.0542997439999 66.472899989,-83.047733823 66.478674122,-83.018126805 66.504709188,-83.01807486 66.5338555050001,-83.018063743 66.5399819890001,-82.8699997429999 66.5674909890001,-82.8554059849999 66.5673539110001,-82.781954948 66.5666631870001,-82.694446034 66.5580271440001,-82.607787794 66.5721277550001,-82.581081743 66.5764729890001,-82.569419603 66.603446181,-82.5643729779999 66.615118131,-82.4811088279999 66.669709131,-82.369717861 66.725818094,-82.1819359039999 66.7665181020001,-82.051969543 66.900327572,-82.0269457429999 66.92609099,-82.0174233829999 66.932001083,-81.988890951 66.9497091220001,-81.952499912 66.9680450390001,-81.929717899 66.978591151,-81.83361787 66.9977540240001,-81.802635841 66.997627122,-81.777646035 66.9901181100001,-81.757372894 66.9808180530001,-81.705835924 66.970127103,-81.530146036 66.9894271060001,-81.50221787 67.000963287,-81.432217914 67.066663159,-81.416858517 67.0873719670001,-81.413890742 67.0913729900001,-81.394985187 67.1359039010001,-81.3802819649999 67.1705360620001,-81.3752729399999 67.1852540130001,-81.375272925 67.1852544540001,-81.3752727419999 67.18525499,-81.374854742 67.19734599,-81.366390742 67.2388729900001,-81.351437972 67.2821684480001,-81.347781974 67.2927541010001,-81.298117856 67.3923450250001,-81.250826823 67.4213821170001,-81.238335776 67.4385911700001,-81.242217938 67.4701270750001,-81.242218699 67.470127645,-81.242218742 67.47012799,-81.424727742 67.60665499,-81.457781742 67.62052799,-81.498045742 67.6319279900001,-81.52711013 67.640349606,-81.538326941 67.6436001170001,-81.5540743889999 67.648848195,-81.592499742 67.66165499,-81.642078235 67.683301316,-81.64528187 67.6847001090001,-81.645594869 67.684949407,-81.663063742 67.6988639910001,-81.6844367419999 67.7177639910001,-81.707509742 67.731654991,-81.7272187419999 67.7408189910001,-81.8335014689999 67.7822062220001,-81.8377819999999 67.7838731100001,-82.075009743 67.890963991,-82.0997274379999 67.90484582,-82.1747179119999 67.9999822130001,-82.1363817169999 68.0527526170001,-82.114499743 68.082872991,-82.049854743 68.1110909910001,-82.0442742 68.113759541,-82.0306909989999 68.120253974,-82.014026937 68.1402540330001,-81.996189901 68.167664523,-81.993054743 68.172481991,-81.992430395 68.1776509270001,-81.989235782 68.2040911110001,-82.0183359059999 68.2154001420001,-82.0424999269999 68.2118001150001,-82.0469772 68.2093852560001,-82.060281743 68.2022099910001,-82.071953663 68.1892558970001,-82.0805639929999 68.1797001080001,-82.09916394 68.1549822110001,-82.145781906 68.1254911550001,-82.17278186 68.1129001950001,-82.1777183569999 68.1131336230001,-82.199299743 68.1141549910001,-82.2308367429999 68.121918991,-82.2725097429999 68.133327991,-82.314436743 68.146654991,-82.337841256 68.1595933620001,-82.343954692 68.162973063,-82.341270026 68.166798526,-82.3274358529999 68.1865090630001,-82.2949998989999 68.210545009,-82.2744459639999 68.230536016,-82.2615358209999 68.2505451270001,-82.2643088899999 68.2795731670001,-82.2869460639999 68.289700182,-82.292630603 68.2881717160001,-82.3116637429999 68.283054991,-82.367354743 68.2662459910001,-82.393754743 68.267627991,-82.426099743 68.276654991,-82.483609743 68.2994279910001,-82.502717649 68.3142181440001,-82.475008814 68.3211091850001,-82.4486088369999 68.32082705,-82.427867799 68.319076302,-82.422227743 68.318599991,-82.388609743 68.316799991,-82.388608827 68.316800217,-82.357417921 68.324500168,-82.358615813 68.3420351920001,-82.358954743 68.3469999910001,-82.358954986 68.3470000930001,-82.358954994 68.347000214,-82.372752947 68.352788736,-82.490554743 68.4022099910001,-82.490716928 68.4173072360001,-82.491108942 68.453873167,-82.543605043 68.4713523670001,-82.6325082399999 68.5009544910001,-82.612611677 68.5148859120001,-82.608890743 68.517490991,-82.5776457429999 68.5252729910001,-82.5461727429999 68.5186729910001,-82.545124374 68.5181190110001,-82.500290981 68.4944271620001,-82.47694604 68.4855361420001,-82.4538284449999 68.479815328,-82.448881743 68.478590991,-82.4363190289999 68.4763165740001,-82.388326859 68.4676270320001,-82.254181875 68.4544360960001,-82.225161858 68.4561580050001,-82.2215367429999 68.4563729910001,-82.2215363889999 68.456373123,-82.221535871 68.4563731540001,-82.18895491 68.468518196,-82.1779089029999 68.488518088,-82.177910041 68.4885184510001,-82.177909743 68.488518991,-82.208794326 68.4983633890001,-82.236117868 68.507073275,-82.261008822 68.528800075,-82.256759487 68.5291856440001,-82.22944604 68.531663264,-82.084590995 68.5054091320001,-82.0726087909999 68.5000233630001,-82.065418743 68.4967909910001,-82.036190679 68.460649613,-82.035481927 68.459773189,-82.0346520269999 68.4579571510001,-82.026118743 68.439281991,-82.0048640099999 68.4254001750001,-82.004863743 68.4253999910001,-81.9644457429999 68.4221999910001,-81.93781322 68.4295705980001,-81.836399991 68.457636139,-81.81639088 68.4697090970001,-81.8048220589999 68.4829247330001,-81.798890742 68.4896999910001,-81.784908569 68.4921698860001,-81.68720882 68.5094270810001,-81.560272943 68.54165399,-81.357773035 68.599154013,-81.2590358909999 68.6417912460001,-81.235826904 68.769909139,-81.235827779 68.7699097870001,-81.235827742 68.7699099920001,-81.326651077 68.8371167270001,-81.354173007 68.8574822580001,-81.35854046 68.8588833090001,-81.382763742 68.8666549920001,-81.431518742 68.875263992,-81.585009742 68.8673459920001,-81.656109742 68.9009639920001,-81.679718742 68.904845992,-81.826263742 68.907909992,-81.977217809 68.8797001680001,-81.977217917 68.8797001460001,-81.977218743 68.879699992,-82.003063743 68.8741459920001,-82.049789045 68.877136883,-82.0050088469999 68.8955360990001,-81.9661089379999 68.904436004,-81.914172989 68.914427065,-81.8880640309999 68.9191450700001,-81.809435912 68.9327540960001,-81.755572964 68.941363316,-81.716664001 68.949145075,-81.595835849 68.9841450530001,-81.574883982 68.9909807480001,-81.570281742 68.9924819920001,-81.52139075 69.0134684980001,-81.3308357769999 69.0952632730001,-81.299435827 69.1202540850001,-81.327065348 69.1695701830001,-81.335699742 69.1849819920001,-81.335699921 69.1849820840001,-81.335699963 69.1849821590001,-81.3537549179999 69.194282216,-81.3612377809999 69.1963870530001,-81.395281742 69.2059639920001,-81.416399742 69.2080369920001,-81.499712405 69.2022506050001,-81.512217815 69.2013821910001,-81.564791031 69.2205286120001,-81.6502817419999 69.251663992,-81.680176438 69.259954248,-81.686799951 69.2617912380001,-81.691016307 69.2623775970001,-81.707781742 69.2647099920001,-81.9147187419999 69.2694369920001,-81.991290743 69.2547099920001,-82.0344457429999 69.2438639920001,-82.054445743 69.2413639920001,-82.2104187429999 69.2333189920001,-82.243465508 69.2335433440001,-82.251808958 69.2336002150001,-82.273054901 69.2374910950001,-82.290554599 69.2491548960001,-82.268685413 69.3005569960001,-82.228890743 69.394090992,-82.2288910409999 69.3940910810001,-82.228890991 69.3940911980001,-82.295272982 69.4138822130001,-82.324172946 69.418873133,-82.372855417 69.4270875000001,-82.684718743 69.479709992,-82.785281743 69.4941369920001,-82.849581743 69.5005459920001,-82.867282584 69.5003124450001,-82.8702728819999 69.5002731480001,-82.954726927 69.503600093,-82.96413933 69.5041930690001,-83.025281744 69.5080459920001,-83.0825097439999 69.5141639920001,-83.194392471 69.5329414110001,-83.22805406 69.5385910410001,-83.1541727439999 69.543872992,-83.125545744 69.539981992,-83.113744551 69.5385668050001,-83.06778187 69.5330541010001,-82.982226946 69.5241540280001,-82.947211936 69.5218712810001,-82.939709743 69.521381992,-82.8975097429999 69.5188729920001,-82.742218743 69.509990992,-82.705618047 69.507462843,-82.528881988 69.4952540640001,-82.493938122 69.4973648610001,-82.4885367429999 69.4976909920001,-82.488536907 69.497691123,-82.488535865 69.4976911860001,-82.535281907 69.5349911590001,-82.5423655119999 69.537951553,-82.606390743 69.5647099920001,-82.647062217 69.567983096,-82.654726877 69.5686000760001,-82.654056237 69.6118018050001,-82.653881756 69.623027156,-82.5647908999999 69.634709152,-82.4986679209999 69.6285408900001,-82.4807907429999 69.6268729920001,-82.46123604 69.6251424550001,-82.390290907 69.6188631640001,-82.3347269349999 69.6194270990001,-82.307499832 69.6222090520001,-82.259035835 69.637218191,-82.25903858 69.637218423,-82.259036743 69.637218992,-82.284689063 69.6393907460001,-82.291672954 69.6399822070001,-82.324580795 69.6430271930001,-82.4575097429999 69.6553279920001,-82.491999743 69.659236992,-82.518418743 69.6640639920001,-82.5394637429999 69.6723369920001,-82.696654743 69.6958189920001,-82.803166257 69.6901407110001,-82.826945987 69.6888731780001,-82.861555859 69.687134702,-83.014999743 69.6794279920001,-83.122772744 69.6891459920001,-83.171537783 69.694063681,-83.1805550129999 69.6949731920001,-83.246117925 69.7049912430001,-83.252408354 69.7043505490001,-83.287090744 69.7008189920001,-83.306381744 69.693863992,-83.3397273589999 69.6772001840001,-83.360545991 69.6763732460001,-83.5966640359999 69.6928911270001,-83.7049999669999 69.7036001820001,-83.711760958 69.7043767320001,-83.741245744 69.7077639920001,-83.941663744 69.7430459920001,-83.9719367439999 69.7497099920001,-84.0422302819999 69.768613052,-84.0979268259999 69.7835911990001,-84.1079771679999 69.792911055,-84.117699745 69.8019279920001,-84.169445745 69.822218992,-84.339172745 69.8534549930001,-84.3670177509999 69.8565141070001,-84.375826815 69.857482202,-84.4336089729999 69.8611001670001,-84.4766730119999 69.862200208,-84.4907008439999 69.8616404220001,-84.5463907449999 69.8594189930001,-84.56853441 69.8578751050001,-84.5741729869999 69.857482202,-84.647886123 69.8482940360001,-84.865545745 69.821163992,-85.0718097449999 69.7705459920001,-85.093890745 69.773318992,-85.170836746 69.790545992,-85.198511872 69.7995659160001,-85.214235902 69.8046911320001,-85.27417288 69.8252732300001,-85.2809464159999 69.827363759,-85.315554746 69.838045992,-85.3608167579999 69.84804724,-85.36957302 69.8499822430001,-85.554990945 69.8597002210001,-85.5621580659999 69.855429762,-85.5797997459999 69.8449189930001,-85.579799241 69.8449184390001,-85.57979987 69.8449180640001,-85.561390863 69.8247091280001,-85.5186178439999 69.8236090870001,-85.489990962 69.8230451530001,-85.4647558999999 69.8225561410001,-85.461399746 69.822490992,-85.4581407329999 69.8226222210001,-85.433608917 69.8236090870001,-85.36957302 69.8230451530001,-85.3468096289999 69.81526346,-85.3400870519999 69.784575003,-85.3374999659999 69.7727638870001,-85.3729097459999 69.7558189920001,-85.402534324 69.7541739230001,-85.404026833 69.7540910910001,-85.3918088679999 69.7780360090001,-85.3918099959999 69.7780365020001,-85.391809746 69.7780369920001,-85.416245746 69.7887369920001,-85.450290746 69.7847189920001,-85.5147277459999 69.768054992,-85.547363746 69.6497099920001,-85.547363736 69.649709724,-85.5473639159999 69.6497090710001,-85.540699968 69.4716539780001,-85.5180549149999 69.448182134,-85.5180548559999 69.448182106,-85.518054746 69.4481819920001,-85.4961097459999 69.437899992,-85.4711187459999 69.4385909920001,-85.47111835 69.438591214,-85.471117933 69.438591225,-85.431935889 69.460536054,-85.386517876 69.458736124,-85.34389168 69.4423364040001,-85.3897277459999 69.4134639920001,-85.424436746 69.413318992,-85.450665116 69.416055396,-85.4604179309999 69.417073203,-85.460418556 69.417072972,-85.460418746 69.417072992,-85.5023277459999 69.401581992,-85.5028650359999 69.337951848,-85.503064049 69.3144181910001,-85.4755549779999 69.2741540420001,-85.427643905 69.237863771,-85.387918746 69.2077729920001,-85.368369085 69.2023495280001,-85.33778197 69.193863289,-85.2477819549999 69.1926091880001,-85.2384739569999 69.185169768,-85.230118767 69.1784910090001,-85.289717958 69.163882227,-85.2897180799999 69.1638821550001,-85.2897187459999 69.163881992,-85.312354746 69.1506099920001,-85.3123539809999 69.150609724,-85.312354964 69.1506091480001,-85.259035834 69.1319361110001,-85.230281882 69.128445049,-85.204026912 69.1315091370001,-85.182480756 69.1410299120001,-85.176663746 69.1435999920001,-85.166769899 69.1513918700001,-85.150563948 69.164154136,-85.064708952 69.17692715,-85.028596568 69.1698194940001,-85.005036745 69.165181992,-85.108336745 69.113309992,-85.1083349359999 69.11330967,-85.1083359199999 69.113309176,-84.953890971 69.085818042,-84.7620135239999 69.04334528,-84.745545745 69.0396999920001,-84.7186681869999 69.03764934,-84.5636089389999 69.0258181990001,-84.53430109 69.0148544300001,-84.581745745 68.995045992,-84.7199997449999 69.0069459920001,-84.811372186 69.0115201090001,-84.83639999 69.0127732760001,-84.95110885 69.0177732490001,-84.951109475 69.0177729800001,-84.9511097449999 69.0177729920001,-84.962056285 69.0130655510001,-84.984299845 69.003500209,-84.9842995669999 69.0035000680001,-84.984299745 69.0034999920001,-84.9757642819999 68.999203682,-84.928745932 68.9755361680001,-84.906954996 68.9716451210001,-84.858472894 68.9690180650001,-84.829581982 68.9637361250001,-84.810010128 68.9553314190001,-84.7985277449999 68.950399992,-84.809999745 68.9295639920001,-84.914718745 68.938036992,-84.9608081169999 68.944932098,-84.973781898 68.9468732440001,-84.999480824 68.9493957170001,-85.087509745 68.9580369920001,-85.1274637449999 68.944945992,-85.127462585 68.9449455100001,-85.127463926 68.9449450710001,-85.088636933 68.928832603,-85.088054745 68.9285909920001,-85.083425832 68.928276017,-85.0533268299999 68.926227108,-85.015241147 68.9279554460001,-85.005836745 68.9283819920001,-85.0041373189999 68.888696747,-85.003763966 68.8799732510001,-85.01747499 68.8733164860001,-85.046663745 68.859145992,-85.124999745 68.8702549920001,-85.1530637449999 68.8730279920001,-85.184818746 68.8597459920001,-85.184817798 68.8597450950001,-85.1848179359999 68.859745037,-85.163054995 68.8391540530001,-85.1379178349999 68.8286091160001,-85.031681906 68.8108091390001,-85.0036179529999 68.808318037,-84.976946067 68.8094180780001,-84.911308718 68.8185747810001,-84.906109745 68.8192999920001,-84.8985577559999 68.8196972850001,-84.844235896 68.8225540290001,-84.757027826 68.7684638430001,-84.768961995 68.746641174,-84.771390955 68.7422000760001,-84.79415503 68.7338731580001,-84.8909728849999 68.7413731180001,-84.8927504979999 68.741826539,-84.912781745 68.746936991,-85.0675097449999 68.749709991,-85.139150774 68.749967004,-85.148345929 68.7500001080001,-85.161354365 68.7440454840001,-85.219445746 68.7174549910001,-85.30381569 68.7227665450001,-85.321390991 68.7238732120001,-85.328661455 68.7264579150001,-85.379999305 68.744709835,-85.366526869 68.759991169,-85.383499531 68.7637846310001,-85.415009746 68.7708279920001,-85.4502375009999 68.776511736,-85.458055073 68.777773209,-85.51417292 68.7838732230001,-85.521133119 68.7828763140001,-85.552009746 68.778454992,-85.552006975 68.7784542530001,-85.552008831 68.778453987,-85.507781887 68.7666631640001,-85.469246761 68.7505274440001,-85.4944457459999 68.7369279910001,-85.5511027699999 68.7289757840001,-85.563755063 68.7272001580001,-85.56730552 68.7283604630001,-85.599027746 68.7387279910001,-85.6364637459999 68.7396369910001,-85.669445746 68.719018991,-85.733318746 68.5985999910001,-85.7285374589999 68.514402669,-85.726946024 68.486373159,-85.7127820859999 68.4116547460001,-85.802974123 68.3466760380001,-85.8409729319999 68.3193002030001,-85.888063973 68.1897002210001,-85.913964054 68.0919360490001,-85.902379604 68.0670568150001,-85.895009746 68.0512279910001,-85.978258916 68.016572921,-85.995555009 68.009373129,-86.03555496 68.0027732190001,-86.052915871 67.9959043740001,-86.0980547459999 67.978045991,-86.2221613139999 67.907044979,-86.2869460059999 67.8699822470001,-86.311316333 67.8558327740001,-86.354854747 67.830554991,-86.508054747 67.6972099910001,-86.523336747 67.6766459900001,-86.4843097469999 67.61261899,-86.4843094459999 67.612618851,-86.484308981 67.612618088,-86.4561819959999 67.599563274,-86.484999747 67.51693699,-86.494999747 67.4969369900001,-86.494999572 67.496936808,-86.4949999309999 67.4969360900001,-86.4742357919999 67.47529281,-86.473745945 67.4747821970001,-86.4795645029999 67.456443553,-86.506118747 67.37275499,-86.5293817469999 67.3502549900001,-86.586109747 67.34512799,-86.647227747 67.35831899,-86.680411619 67.369637761,-86.684645938 67.3710821190001,-86.709727747 67.3880459900001,-86.732944848 67.4001694030001,-86.772226853 67.420682228,-86.777891137 67.4208942340001,-86.798190747 67.42165499,-86.8703862259999 67.405867733,-86.874435781 67.4049822530001,-86.8744367469999 67.4049819890001,-87.0871547469999 67.34686399,-87.087154447 67.3468634810001,-87.087155073 67.3468633100001,-87.075563906 67.3272090880001,-87.008899948 67.2822091640001,-86.966946008 67.249073154,-86.984277784 67.2440759360001,-87.069736747 67.2194369900001,-87.110682884 67.2137554970001,-87.117763939 67.212773143,-87.2408268739999 67.2160912030001,-87.2408272229999 67.216090976,-87.240827747 67.2160909900001,-87.322781748 67.16276399,-87.510417818 67.1146282290001,-87.5075467089999 67.164894798,-87.506672748 67.18019099,-87.499920585 67.184897155,-87.486663904 67.194136148,-87.4450064649999 67.2043132690001,-87.4348637479999 67.2067909900001,-87.415611558 67.2186772460001,-87.359163925 67.2535271290001,-87.359164423 67.253527573,-87.359163748 67.2535279900001,-87.460827748 67.3441459900001,-87.5369457479999 67.3788639900001,-87.5850097479999 67.39526399,-87.597748358 67.400802964,-87.614717927 67.4081821280001,-87.6817965769999 67.4455101670001,-87.7891727479999 67.5052639900001,-87.834309748 67.5316549900001,-87.881381748 67.5680549900001,-87.960563748 67.6095639900001,-87.979999748 67.61581899,-88.009172748 67.62275499,-88.0660997479999 67.6347189900001,-88.085754787 67.6398559900001,-88.095835818 67.642491191,-88.132226857 67.659991097,-88.155826944 67.6778911540001,-88.211627619 67.735348339,-88.2727817479999 67.798318991,-88.285281748 67.8172189910001,-88.371245748 67.962827991,-88.372009345 67.980843588,-88.374026827 68.0284632490001,-88.353223827 68.0353885910001,-88.347781748 68.0371999910001,-88.346392088 68.042467705,-88.339717853 68.0677633110001,-88.3236178929999 68.0812450990001,-88.279517851 68.1088001030001,-88.3376357879999 68.2194271440001,-88.337636537 68.2194275890001,-88.337636748 68.219427991,-88.3446485549999 68.2235961200001,-88.3619359319999 68.233873186,-88.3737770179999 68.241177969,-88.380827543 68.2455278640001,-88.401535898 68.2716541120001,-88.389164041 68.288736096,-88.221935908 68.365536096,-88.214796384 68.3579320900001,-88.106655011 68.2427539810001,-87.9352729189999 68.197209065,-87.847081886 68.2459451390001,-87.800554947 68.311918093,-87.792217803 68.334427023,-87.792332366 68.385487665,-87.792354748 68.3955459910001,-87.834099748 68.426645991,-87.882499748 68.4927639910001,-87.913620296 68.5432994320001,-87.929026892 68.5683181650001,-87.945126852 68.6080361480001,-87.929999864 68.6259539750001,-87.917072957 68.651927146,-87.917073021 68.651927442,-87.917072748 68.651927991,-87.921663748 68.6730369910001,-87.947772748 68.731654991,-87.968054748 68.7633189910001,-88.0452727479999 68.818599992,-88.046312954 68.819241004,-88.082226793 68.841373246,-88.1057155409999 68.8547694220001,-88.115827748 68.8605369920001,-88.2031907479999 68.909145992,-88.263598716 68.932214505,-88.270845934 68.934982173,-88.29015223 68.9418007210001,-88.4061097489999 68.9827549920001,-88.457227749 68.9927549920001,-88.4748372619999 68.9974281510001,-88.480281867 68.9988732310001,-88.504036341 69.0061315830001,-88.6238907489999 69.0427549920001,-88.777499749 69.1009639920001,-88.864854749 69.1454099920001,-88.937181749 69.2187999920001,-88.937181921 69.2188001170001,-88.968890749 69.2413639920001,-88.9890595969999 69.2479845980001,-88.9994358289999 69.2513911400001,-89.044017831 69.2631821310001,-89.055894779 69.2654135480001,-89.090563749 69.271927992,-89.124309749 69.2754099920001,-89.1741637489999 69.273318992,-89.220554749 69.2666639920001,-89.258617854 69.259991143,-89.2586187489999 69.259990992,-89.26328394 69.2590975970001,-89.314446023 69.249300191,-89.3365794539999 69.2384522,-89.393963749 69.210327992,-89.393963941 69.210327035,-89.393963965 69.210327023,-89.3993728139999 69.183309938,-89.458618749 69.1336099920001,-89.48624575 69.113036992,-89.52935475 69.0906099920001,-89.56081875 69.0772099920001,-89.579902327 69.069728792,-89.5827819249999 69.068600104,-89.593575755 69.0650351670001,-89.64416375 69.0483279920001,-89.66610975 69.038318992,-89.69249975 69.0240099920001,-89.71194575 69.0104099920001,-89.75563675 68.9481099920001,-89.7365277499999 68.8872099920001,-89.71471875 68.8469369920001,-89.700523048 68.8313628500001,-89.6867277539999 68.8162279570001,-89.69332775 68.7638819910001,-89.72917275 68.6991459910001,-89.747903757 68.6891463870001,-89.757781983 68.6838732620001,-89.759187047 68.6851273390001,-89.7848637499999 68.7080459910001,-89.80610975 68.7112369910001,-89.89472775 68.6524819910001,-89.94937275 68.602618991,-89.949372497 68.602618555,-89.949373011 68.6026180860001,-89.9238908519999 68.558591134,-89.923890822 68.5585911150001,-89.9238907499999 68.5585909910001,-89.902363956 68.545400117,-89.904176819 68.5310150230001,-89.91221875 68.4672099910001,-89.9684257279999 68.4124987060001,-89.9852730379999 68.3961002290001,-90.011640899 68.3743972010001,-90.03860975 68.3521999910001,-90.101613089 68.2800948710001,-90.123190885 68.255400093,-90.1277119759999 68.2529471660001,-90.14445475 68.2438639910001,-90.17860975 68.2358099910001,-90.204965083 68.2314640960001,-90.207226841 68.231091233,-90.232773037 68.230273159,-90.2362880599999 68.2309137350001,-90.26319975 68.235818991,-90.36749051 68.3452637390001,-90.343890922 68.3652632070001,-90.321108909 68.372409115,-90.321110805 68.3724096600001,-90.3211097499999 68.372409991,-90.36193675 68.3841549910001,-90.443213686 68.3994167170001,-90.466945978 68.4038732710001,-90.478681244 68.406047872,-90.5238997499999 68.4144279910001,-90.557724166 68.423021829,-90.559999856 68.42360008,-90.604399657 68.4495730670001,-90.6002141449999 68.4529715620001,-90.5847268059999 68.4655451350001,-90.5626868699999 68.473031141,-90.557772751 68.4746999910001,-90.550332163 68.477539311,-90.516817967 68.49032707,-90.474445938 68.5308180330001,-90.474445961 68.5308187910001,-90.47444575 68.530818991,-90.4754820809999 68.5653447620001,-90.479726872 68.706791229,-90.506954851 68.724991103,-90.5159620109999 68.7350324720001,-90.522708936 68.7425541280001,-90.492355047 68.7688090980001,-90.453535772 68.7750541190001,-90.419446068 68.840818196,-90.419446115 68.8408182890001,-90.41944575 68.840818992,-90.43639075 68.8744189920001,-90.47444575 68.8905459920001,-90.536945751 68.9098549920001,-90.583890751 68.9288639920001,-90.664999751 69.0549819920001,-90.657081751 69.0769999920001,-90.657081929 69.077000056,-90.6570819089999 69.0770001120001,-90.667126761 69.080600899,-90.814999751 69.1336099920001,-90.895009751 69.150818992,-90.918881751 69.1608099920001,-91.0313907509999 69.218318992,-91.130554751 69.2419279920001,-91.335281751 69.3044279920001,-91.4337457509999 69.349490992,-91.43118892 69.348895881,-91.3505549819999 69.330127051,-91.296390956 69.3119180370001,-91.214717859 69.2902632220001,-91.081117865 69.2669360500001,-90.9261089829999 69.246927106,-90.908565432 69.246489936,-90.903881751 69.246372992,-90.883655042 69.2482624680001,-90.810064047 69.255136007,-90.8100640979999 69.2551369600001,-90.810063751 69.2551369920001,-90.8119457509999 69.290545992,-90.811944038 69.2997680060001,-90.811935894 69.3390091860001,-90.7902819179999 69.3627631640001,-90.741381894 69.3827540030001,-90.703472893 69.388736168,-90.608306161 69.4102086680001,-90.5883997509999 69.4146999920001,-90.58840006 69.4147000880001,-90.5883999229999 69.414700119,-90.636946063 69.4297002050001,-90.6447720799999 69.432260027,-90.7025615479999 69.451163272,-90.617908917 69.4522091360001,-90.569641909 69.429198102,-90.555554751 69.422481992,-90.543824416 69.4259369810001,-90.493326845 69.440809077,-90.456946033 69.4494360670001,-90.433463963 69.444827026,-90.406152243 69.4311172880001,-90.40389075 69.4299819920001,-90.3945304659999 69.430154992,-90.351246042 69.4309541380001,-90.313399905 69.448109211,-90.313400804 69.4481095150001,-90.31339975 69.4481099920001,-90.419293255 69.4838390850001,-90.4366640059999 69.489700215,-90.448906919 69.492825172,-90.4933277499999 69.504163992,-90.528814139 69.5121217350001,-90.536663967 69.5138821740001,-90.55405837 69.517004774,-90.651109751 69.5344279920001,-90.7073637509999 69.5394279920001,-90.742317661 69.5059987230001,-90.755072895 69.493800139,-90.829999901 69.4849822090001,-90.969726898 69.511382187,-90.993981011 69.5111134920001,-91.108472751 69.5098459920001,-91.139309318 69.522563813,-91.155417905 69.5416450490001,-91.1554180099999 69.5416451140001,-91.155418751 69.541645992,-91.185963751 69.5608189920001,-91.327645751 69.5369369920001,-91.402218751 69.522218992,-91.5624240019999 69.5173101070001,-91.519305045 69.530999137,-91.504581751 69.5356729920001,-91.460554751 69.5396999920001,-91.3883367509999 69.5417909920001,-91.385403159 69.54219047,-91.360826837 69.545536096,-91.33444597 69.5527633080001,-91.169811393 69.6070148430001,-91.097354751 69.630890992,-91.097355223 69.630891106,-91.097354953 69.6308911950001,-91.117254364 69.635695271,-91.1954097509999 69.6545639920001,-91.2211187509999 69.653318992,-91.298741209 69.652863494,-91.314163943 69.652773159,-91.329528647 69.6531798650001,-91.418881751 69.655545992,-91.443806047 69.6581409890001,-91.450835904 69.6588731730001,-91.459514567 69.659411043,-91.4888187509999 69.6612279920001,-91.802290752 69.5041549920001,-91.938327752 69.5177639920001,-92.0841637519999 69.544709992,-92.112564032 69.551904973,-92.124708902 69.5549821650001,-92.2927814399999 69.6399819310001,-92.28195335 69.637841945,-92.243608882 69.630263223,-92.128473048 69.612345061,-92.0928459359999 69.6212270280001,-92.092847908 69.6212274550001,-92.092845752 69.6212279920001,-92.205272752 69.6455369920001,-92.305827752 69.6658189920001,-92.340836752 69.694136992,-92.477774272 69.693380301,-92.515291007 69.6931732620001,-92.5624998979999 69.687482118,-92.6294729799999 69.6728821830001,-92.694445974 69.656373187,-92.7199090569999 69.656270297,-92.831809753 69.655818992,-92.897509753 69.665545992,-92.917532632 69.6762685190001,-92.918881692 69.6769909990001,-92.909948963 69.6779191860001,-92.864717967 69.6826180990001,-92.792709553 69.6772466950001,-92.7772187529999 69.6760909920001,-92.736345753 69.671799992,-92.709727753 69.673872992,-92.696085975 69.676488426,-92.535135833 69.7073450490001,-92.5351385119999 69.707345655,-92.535136752 69.7073459920001,-92.5584727519999 69.7126279920001,-92.746101822 69.7140562110001,-92.776945411 69.7142911270001,-92.757324136 69.7220547700001,-92.658617864 69.761109091,-92.543335849 69.7805450480001,-92.369446059 69.8477632170001,-92.2038908979999 69.920536075,-92.148899913 69.946636148,-92.114436751 69.95637299,-92.114435874 69.956373237,-91.9431820249999 70.018045101,-91.9431826909999 70.018045654,-91.943181752 70.018045993,-91.989163752 70.0562279930001,-92.0222567449999 70.0652442250001,-92.026399907 70.0663731440001,-92.035074779 70.068266281,-92.087509752 70.0797099930001,-92.1224994359999 70.084059714,-92.12999101 70.084991195,-92.138314513 70.0855741820001,-92.177490752 70.088318993,-92.276809752 70.0901279930001,-92.441254423 70.0733280260001,-92.393063915 70.1505450540001,-92.2683363149999 70.208882036,-92.234436752 70.2121999930001,-92.161093753 70.1807364200001,-92.053463899 70.1345632790001,-92.028755054 70.1252632220001,-92.007804435 70.1219854500001,-92.003890752 70.1213729930001,-91.9973345499999 70.1209076200001,-91.962781932 70.1184540990001,-91.922734491 70.1197807280001,-91.9166547519999 70.1199819930001,-91.5780637509999 70.1374999930001,-91.5725241809999 70.138045069,-91.535835779 70.1416540340001,-91.515766801 70.1548030330001,-91.513481751 70.1562999930001,-91.524172751 70.1791549930001,-91.565281751 70.200545993,-91.636127378 70.231654829,-91.700135834 70.342345127,-91.700136403 70.342345391,-91.7001367519999 70.342345993,-91.733463752 70.357763993,-91.860272752 70.3608189930001,-91.897327752 70.3426549930001,-91.916067669 70.304855,-91.9202729419999 70.2963732380001,-91.950281976 70.2588821890001,-91.985545752 70.2896999930001,-91.9938817519999 70.3185999930001,-91.987781752 70.3558189930001,-91.996945752 70.3908279930001,-92.067335337 70.4384541540001,-92.1133269489999 70.469573198,-92.2440268029999 70.4942910950001,-92.265017939 70.549982136,-92.2488081 70.563330342,-92.238190752 70.5720729930001,-92.232401306 70.571940505,-92.1961089709999 70.571109058,-92.164790996 70.5834271030001,-92.1647917609999 70.583427596,-92.164790752 70.583427993,-92.203609752 70.6084549930001,-92.4243097519999 70.6645639930001,-92.592772752 70.6858099930001,-92.618124742 70.683881038,-92.621935805 70.683591182,-92.632187007 70.6986839560001,-92.641045752 70.7117279930001,-92.661647648 70.7423759810001,-92.682635872 70.773600082,-92.7141271089999 70.7813800380001,-92.813045753 70.8058189930001,-92.89783412 70.8096719280001,-92.919864017 70.810673239,-92.9586179139999 70.8174912470001,-92.967051265 70.8203352580001,-92.982499753 70.825545993,-93.013398266 70.850826946,-93.038508851 70.8713731380001,-93.0002350509999 70.883335893,-92.906954753 70.9124909930001,-92.902279247 70.954294706,-92.889308962 71.0702540760001,-92.865964021 71.1337360960001,-92.860176071 71.142603432,-92.8544457529999 71.1513819940001,-92.854445948 71.1513821770001,-92.856097366 71.1527970220001,-92.929645753 71.215809994,-92.931937352 71.2270382630001,-92.9361089829999 71.247482211,-92.9391197479999 71.2707839730001,-92.940272753 71.279709994,-92.970399893 71.3264668090001,-92.9835358029999 71.3468540320001,-92.9835362319999 71.346854185,-92.983536753 71.3468549940001,-93.01401404 71.357774163,-93.0372269219999 71.3660911700001,-93.0436235669999 71.3669264930001,-93.062772753 71.369427994,-93.092865036 71.367933097,-93.101945944 71.3674822310001,-93.108548856 71.3683519720001,-93.1356907529999 71.371927994,-93.1901357689999 71.410536296,-93.18757074 71.4293808690001,-93.187290753 71.4314369940001,-93.207790753 71.4642909940001,-93.2077908319999 71.4642910260001,-93.207790941 71.464291201,-93.230835811 71.4736001430001,-93.420273025 71.532482175,-93.4316602599999 71.5339521440001,-93.4859727529999 71.540963994,-93.513063753 71.5447099940001,-93.574570524 71.558127911,-93.589445984 71.561373254,-93.6180549279999 71.568600131,-93.6226126399999 71.5701090680001,-93.658336753 71.581936994,-93.778683388 71.6349811790001,-93.809581636 71.648600075,-93.793125705 71.6600099710001,-93.764726835 71.6797000780001,-93.737782033 71.6894180570001,-93.697346056 71.7120632770001,-93.6973461809999 71.712063755,-93.697345753 71.7120639940001,-93.709445753 71.7581909940001,-93.709445961 71.7581910740001,-93.709446004 71.7581912370001,-93.7343089079999 71.7677732610001,-93.750855918 71.7697605800001,-93.793190754 71.774845994,-93.82115679 71.773376747,-93.8248639729999 71.7731821040001,-93.829756434 71.7712834770001,-93.850281754 71.763318994,-93.879718754 71.7506909940001,-93.89826534 71.747162637,-93.909726887 71.7449821960001,-93.942490908 71.743591135,-93.946029204 71.7438537040001,-93.972499754 71.745818994,-93.9899996949999 71.7536530310001,-94.000135939 71.7581912370001,-94.01153583 71.778045116,-94.0115363959999 71.7780453720001,-94.011536754 71.7780459940001,-94.030281754 71.7865099940001,-94.164849983 71.7898646510001,-94.197635874 71.7906821760001,-94.1976363749999 71.790681985,-94.197636754 71.7906819940001,-94.235409754 71.7762459940001,-94.262299754 71.7393549940001,-94.368881754 71.675263994,-94.4171545629999 71.662346045,-94.389999882 71.7177540860001,-94.360890873 71.798444992,-94.360891078 71.7984450970001,-94.360890754 71.7984459940001,-94.392227754 71.8144189940001,-94.466994453 71.819636373,-94.492008985 71.8213822380001,-94.492009205 71.821381956,-94.492009754 71.821381994,-94.5241727539999 71.7802639940001,-94.537499754 71.7597189940001,-94.555279258 71.751073175,-94.5626459649999 71.747491235,-94.5739907129999 71.7475622530001,-94.6061093499999 71.747763992,-94.619288421 71.772201357,-94.644163371 71.8183272840001,-94.5684728969999 71.848463161,-94.537799853 71.850245369,-94.530281754 71.8506819940001,-94.525893878 71.8501396660001,-94.506672957 71.8477632720001,-94.466390871 71.8483181540001,-94.390763976 71.9336539760001,-94.390764446 71.9336542140001,-94.390763754 71.9336549940001,-94.460359569 71.9689584290001,-94.493326955 71.985682125,-94.502892851 71.98794524,-94.530290754 71.9944279950001,-94.571672754 71.9969369950001,-94.64466742 71.99535123,-94.661663902 71.9949821820001,-94.698046056 71.9935911210001,-94.703898744 71.9933649700001,-94.741109754 71.9919279950001,-94.9719367549999 71.9758189940001,-95.216109755 71.9441459940001,-95.2550097549999 71.8955369940001,-95.254339041 71.870047469,-95.2541729279999 71.8637271100001,-95.235972966 71.8515091450001,-95.2133357929999 71.8430450990001,-95.183254986 71.8424181330001,-95.15722683 71.8458270530001,-95.114581797 71.8502892760001,-95.1108277549999 71.8506819940001,-95.067656741 71.8505947950001,-94.903881962 71.850263259,-94.853608983 71.8494270800001,-94.832440618 71.8479369170001,-94.826109754 71.8474909940001,-94.814649953 71.8456932970001,-94.779172988 71.840127023,-94.750008827 71.838463216,-94.7061178289999 71.8480360200001,-94.655835797 71.8619271800001,-94.613683873 71.863036057,-94.6538817539999 71.845263994,-94.7131786419999 71.829586879,-94.734790979 71.823873172,-94.743028996 71.8251608580001,-94.7952727539999 71.8333279940001,-94.8476367549999 71.842209994,-94.890290755 71.8447099940001,-95.033511297 71.842094999,-95.0730549199999 71.8413732450001,-95.233191013 71.8245821130001,-95.251961812 71.8025594490001,-95.288190755 71.760054994,-95.3016187109999 71.7211001200001,-95.399735909 71.718600156,-95.5111269349999 71.706663797,-95.539718755 71.7035999940001,-95.611324374 71.6741587610001,-95.6788819509999 71.646382181,-95.689768927 71.6427049260001,-95.744718755 71.6241459940001,-95.812209755 71.6219189940001,-95.856814505 71.6195903270001,-95.870554955 71.618873277,-95.877471263 71.6159444100001,-95.900418755 71.6062279940001,-95.939854756 71.5501189940001,-95.9398545189999 71.5501189180001,-95.939855022 71.5501182020001,-95.832781908 71.5158271650001,-95.790148282 71.5061716120001,-95.7799997549999 71.5038729940001,-95.7282702159999 71.5002846470001,-95.547772892 71.4877632120001,-95.507644394 71.438480166,-95.453336755 71.3717819940001,-95.5153985809999 71.315571747,-95.5431910089999 71.29040007,-95.552991348 71.2899880640001,-95.658890755 71.285536994,-95.670716258 71.2871694230001,-95.6730459679999 71.2874912140001,-95.695229083 71.2950400600001,-95.792218755 71.328045994,-95.829999755 71.3430459940001,-95.8574861549999 71.3542954000001,-95.8591638509999 71.3549820910001,-95.879636755 71.3757369940001,-95.893890755 71.3908279940001,-95.926390756 71.4005459940001,-96.0174957739999 71.4148281660001,-96.037090967 71.4179002170001,-96.058830519 71.416068007,-96.1341727559999 71.4097189940001,-96.168336756 71.3999909940001,-96.193327756 71.389981994,-96.218336756 71.3758099940001,-96.244999756 71.3538639940001,-96.263884882 71.3381671320001,-96.278063978 71.3263822390001,-96.5004179329999 71.2788732760001,-96.5004178029999 71.2788731970001,-96.500418756 71.278872994,-96.462199971 71.2555001250001,-96.457990933 71.1955634120001,-96.4672277559999 71.165263994,-96.5556187559999 71.1336639940001,-96.552790187 71.1289741350001,-96.5452730169999 71.1165091060001,-96.5055729709999 71.0972181560001,-96.469035919 71.0829090730001,-96.4309730259999 71.0804181390001,-96.41402683 71.094218105,-96.413608908 71.1165181580001,-96.371728006 71.0927547580001,-96.4023506029999 71.0638381050001,-96.410555046 71.0560911740001,-96.450290966 71.0449821350001,-96.488755017 71.0417911440001,-96.499015716 71.0096262640001,-96.503063756 70.9969369940001,-96.5030639349999 70.996936061,-96.5036664739999 70.993939487,-96.511946004 70.9527635750001,-96.5274997559999 70.926518994,-96.5373753489999 70.9145519290001,-96.5452730169999 70.904982223,-96.5564212849999 70.895772241,-96.574863756 70.8805369930001,-96.596809756 70.858463993,-96.614309756 70.812763993,-96.607909756 70.791236993,-96.607909139 70.7912366830001,-96.6079089679999 70.7912361090001,-96.585979386 70.7802060480001,-96.5805637559999 70.777481993,-96.573973713 70.775342171,-96.536946099 70.7633181690001,-96.440691005 70.7395631840001,-96.4294242779999 70.7297438560001,-96.419027756 70.720681993,-96.411300737 70.7068188970001,-96.405555073 70.6965092030001,-96.383045975 70.6768539760001,-96.2027909669999 70.621645061,-96.158954954 70.6177632340001,-96.1546231889999 70.6252607370001,-96.148890756 70.6351819930001,-96.1155547559999 70.6560999930001,-95.932772756 70.7010999930001,-95.925937545 70.702577589,-95.901946021 70.707763249,-95.8166760459999 70.709708918,-95.848345755 70.7069369930001,-95.931666795 70.6851479580001,-95.9524999609999 70.6797001350001,-96.051946046 70.6450002290001,-96.052689088 70.635251172,-96.054927756 70.6058909930001,-96.000563756 70.5799909930001,-95.964445756 70.568881993,-95.958130712 70.5676544780001,-95.922917878 70.5608092080001,-95.85583583 70.5533181340001,-95.814718722 70.5391759620001,-95.800200708 70.5341823210001,-95.9291639049999 70.546373224,-95.9415310529999 70.548868004,-95.995272756 70.5597099930001,-96.038245655 70.57820854,-96.041246044 70.5795001820001,-96.0460547329999 70.580682166,-96.074309756 70.5876279930001,-96.199636041 70.5675102070001,-96.232773035 70.562191216,-96.2640834699999 70.542127474,-96.294727756 70.5224909930001,-96.534999756 70.344145993,-96.5563187559999 70.3146369930001,-96.569454756 70.259845989,-96.569454975 70.259845071,-96.570281934 70.229427145,-96.563026286 70.2102295650001,-96.556109756 70.191927993,-96.543084694 70.1612798720001,-96.528481886 70.126918145,-96.516058071 70.1154503320001,-96.504727756 70.1049909930001,-96.487294571 70.0936549180001,-96.459446016 70.0755451250001,-96.409954781 70.044637816,-96.4024997559999 70.0399819930001,-96.3835354889999 70.028756813,-96.381381999 70.0274821190001,-96.3813817559999 70.027481992,-96.381327802 70.0274539850001,-96.265009756 69.967072993,-96.240972756 69.958181993,-96.233950477 69.9587617510001,-96.2114550049999 69.9606181680001,-96.186381883 69.9651271290001,-96.106946083 69.950254112,-96.0963120279999 69.9314064980001,-96.085009756 69.911372993,-96.085009756 69.8713729930001,-96.078985366 69.854586365,-96.074446092 69.841936118,-96.0280549399999 69.8091539920001,-95.973969503 69.7828062300001,-95.968190756 69.7799909920001,-95.949843803 69.7786311940001,-95.863326905 69.7722181300001,-95.77587024 69.7745191080001,-95.757927755 69.774990992,-95.7579273329999 69.774991185,-95.757926819 69.7749911990001,-95.726873041 69.7891450480001,-95.656688099 69.7812448980001,-95.648054755 69.7802729920001,-95.645675985 69.7790416550001,-95.5449999909999 69.7269270190001,-95.415699914 69.6840180450001,-95.396117944 69.6788631740001,-95.168608951 69.6305361380001,-95.102101287 69.620076688,-95.0786097549999 69.6163819920001,-95.0730413209999 69.6166858620001,-95.007636923 69.6202539980001,-95.010554755 69.603045992,-95.010554923 69.6030450040001,-94.951945974 69.584427121,-94.8547179079999 69.5662360440001,-94.825563973 69.566509126,-94.801099879 69.5722180400001,-94.7697269189999 69.583053997,-94.730282018 69.6058180730001,-94.730282329 69.6058186600001,-94.730281754 69.6058189920001,-94.737969015 69.6203028800001,-94.7422178479999 69.628309066,-94.7557179089999 69.6583539980001,-94.712781945 69.671645014,-94.676209558 69.6766591940001,-94.6702727539999 69.677472992,-94.66502331 69.678189398,-94.6294359839999 69.6830450510001,-94.623762584 69.6761088270001,-94.5919460809999 69.637209139,-94.502499942 69.5563631680001,-94.454836829 69.5209508710001,-94.451672754 69.5185999920001,-94.442325189 69.5134445300001,-94.343890865 69.459154045,-94.3063908999999 69.444836078,-94.2791730169999 69.4402632470001,-94.0452729899999 69.4391451010001,-93.869717883 69.4516633060001,-93.824848091 69.479107694,-93.808881754 69.488872992,-93.72500603 69.5119046840001,-93.725006004 69.511904691,-93.709726797 69.5161001930001,-93.6838818689999 69.5222181440001,-93.621935917 69.527209064,-93.587217906 69.5280450750001,-93.536663966 69.522209091,-93.5097359279999 69.513044989,-93.4903827809999 69.503990043,-93.487781753 69.5027729920001,-93.4812410499999 69.4993401310001,-93.4404101 69.477909701,-93.495981753 69.4312279920001,-93.521527753 69.4235909920001,-93.538054753 69.4105369920001,-93.562772753 69.3758189920001,-93.562772428 69.375818843,-93.5627729239999 69.375818146,-93.504999985 69.3492910990001,-93.5049997529999 69.3492909920001,-93.499022751 69.3505447620001,-93.466599972 69.3573451020001,-93.367575082 69.3739266700001,-93.462081753 69.320263992,-93.634736753 69.251663992,-93.8487457539999 69.1696369920001,-93.847427231 69.1759171940001,-93.828608839 69.2655449900001,-93.762748696 69.3132556720001,-93.7499997529999 69.322490992,-93.733976725 69.328165041,-93.6856908519999 69.345263259,-93.5694391059999 69.411248759,-93.533263753 69.4317819920001,-93.5332639979999 69.4317820640001,-93.53326393 69.4317821020001,-93.5687460349999 69.442200137,-93.62693589 69.4324821590001,-93.626936063 69.4324821070001,-93.6269367529999 69.4324819920001,-93.6510117079999 69.425353215,-93.7366640549999 69.3999912200001,-93.793724379 69.3902741190001,-93.955272754 69.3627639920001,-94.016857245 69.3595138300001,-94.034173004 69.358600208,-94.166655019 69.342482144,-94.1883184549999 69.338778103,-94.259172754 69.3266639920001,-94.287918754 69.3163729920001,-94.307209754 69.298381992,-94.320723807 69.1737274450001,-94.322981872 69.1529000900001,-94.322981749 69.1529000400001,-94.322981754 69.1528999920001,-94.241672754 69.1199819920001,-94.238160894 69.1200280050001,-94.2208358079999 69.1202540850001,-94.137508962 69.1319270590001,-94.0726467269999 69.135818059,-94.157227754 69.0546999920001,-94.17704545 69.0467277330001,-94.224163927 69.0277731950001,-94.256237383 69.022478048,-94.3738907539999 69.003054992,-94.54313254 68.975531049,-94.5533267979999 68.973873198,-94.55332731 68.973873064,-94.553327754 68.9738729920001,-94.599099754 68.9618639920001,-94.5990995609999 68.9618633530001,-94.5990998679999 68.9618632720001,-94.580555075 68.90040917,-94.55749998 68.89305405,-94.546664022 68.8868001440001,-94.550988274 68.8775825230001,-94.560418754 68.857481992,-94.5861097539999 68.8435999920001,-94.608890754 68.8194459920001,-94.61298134 68.8047017000001,-94.624999949 68.761382229,-94.6249997049999 68.76138217,-94.624999754 68.7613819910001,-94.5860290539999 68.7519370310001,-94.490826801 68.7288632950001,-94.3855549579999 68.729153979,-94.159726873 68.7477540930001,-94.099939109 68.757774092,-94.093327754 68.7588819910001,-94.093327287 68.7588821850001,-94.093326944 68.7588822430001,-94.057176278 68.7738987550001,-93.934154754 68.8249999920001,-93.816872754 68.8861729920001,-93.816873394 68.886172973,-93.816873001 68.886173178,-93.820513325 68.886066956,-93.838399754 68.8855459920001,-93.933881754 68.8552549920001,-94.027645754 68.834718992,-94.075426716 68.845545756,-94.062928884 68.8943139730001,-94.062363965 68.8965181670001,-94.0440961909999 68.9097730550001,-94.034999754 68.916372992,-93.925554754 68.9746999920001,-93.7313817529999 68.9749909920001,-93.7207843849999 68.974535099,-93.666946066 68.9722181080001,-93.638336379 68.9615183290001,-93.569236753 68.839354992,-93.639445753 68.780545992,-93.696245753 68.7505459910001,-93.69624583 68.7505451960001,-93.696246015 68.7505450990001,-93.705272989 68.6572090870001,-93.650282005 68.626645147,-93.621935917 68.6244180750001,-93.5597185519999 68.611645197,-93.553327753 68.5863819910001,-93.619154753 68.5441459910001,-93.659027753 68.5220729910001,-93.8113907539999 68.4880369910001,-93.8847187539999 68.475954991,-93.929718754 68.475118991,-93.960836754 68.4702639910001,-94.000290754 68.4608189910001,-94.113881754 68.4205369910001,-94.181230037 68.380802659,-94.208399914 68.364773201,-94.20861802 68.3583721090001,-94.209727754 68.325827991,-94.199436754 68.3058189910001,-94.198855747 68.2807847440001,-94.198673051 68.2729001660001,-94.372499977 68.2213732540001,-94.4463227159999 68.195443509,-94.6049997539999 68.1397099910001,-94.6952637539999 68.080963991,-94.716527754 68.0587909910001,-94.788054754 68.040545991,-94.839718755 68.0341459910001,-94.867218755 68.0341459910001,-95.016254755 68.0451279910001,-95.049436755 68.0533189910001,-95.0696417199999 68.0641986570001,-95.071872904 68.0654001170001,-95.106227836 68.0665309060001,-95.3463997549999 68.0744369910001,-95.404172755 68.0694459910001,-95.470345755 68.0594279910001,-95.470344762 68.0594273710001,-95.470346067 68.0594271730001,-95.4461969769999 68.044339694,-95.427218755 68.0324819910001,-95.4169460589999 68.0277731300001,-95.4290770969999 68.011721879,-95.452227755 67.981090991,-95.527218755 67.872209991,-95.5240367549999 67.8448459910001,-95.536350878 67.8209866220001,-95.539299962 67.8152732290001,-95.5453482459999 67.809548653,-95.554581755 67.8008099910001,-95.569777098 67.7919790820001,-95.5774999819999 67.7874912440001,-95.5908236769999 67.7835457950001,-95.640836755 67.7687369910001,-95.676518755 67.7590189910001,-95.702443221 67.7333930660001,-95.7063908549999 67.7294911560001,-95.7063907629999 67.729490986,-95.693055079 67.7044361380001,-95.541673046 67.6483181230001,-95.492490888 67.6433270350001,-95.466399867 67.6372090840001,-95.349358539 67.5589948200001,-95.346672892 67.5572000820001,-95.3454222999999 67.555610351,-95.3247187549999 67.5292909900001,-95.3378187549999 67.50130999,-95.384172755 67.4441369900001,-95.384172542 67.4441365690001,-95.384172894 67.4441361340001,-95.3345909189999 67.346100221,-95.334590844 67.346100167,-95.334590755 67.34609999,-95.332244114 67.3443930760001,-95.310546089 67.3286092010001,-95.279726836 67.3194450980001,-95.21722684 67.3063632940001,-95.168046525 67.2829634390001,-95.2661097549999 67.2127729900001,-95.349309755 67.15109999,-95.345803987 67.0968687760001,-95.344999902 67.084427094,-95.289445988 67.0249911860001,-95.289445832 67.024991072,-95.289445755 67.02499099,-95.2776377229999 67.016410745,-95.224727806 66.977963909,-95.263336755 66.9172099900001,-95.296245755 66.89582799,-95.32186596 66.892135092,-95.32709096 66.8913821400001,-95.380465424 66.908334435,-95.3891727549999 66.9110999900001,-95.3891728 66.9110999900001,-95.389173034 66.911100065,-95.3955639069999 66.9111426970001,-95.4722277549999 66.91165499,-95.4900674789999 66.9059391170001,-95.49305499 66.9049821130001,-95.4970023659999 66.90451849,-95.516663755 66.9022099900001,-95.70052727 66.901259494,-95.731382002 66.901100119,-95.757917934 66.912973252,-95.7676323699999 66.923345807,-95.777354755 66.9337279900001,-95.814436755 66.9413639900001,-96.000290756 66.9505459900001,-96.039581756 66.94691899,-96.05978764 66.9391342660001,-96.0669550169999 66.936373179,-96.089100005 66.9134910860001,-95.993054962 66.8427540260001,-95.862403004 66.7765564380001,-95.8624029809999 66.7765564270001,-95.7847277549999 66.7371999900001,-95.7529160989999 66.7353550650001,-95.659027237 66.7299091530001,-95.649100591 66.7138940030001,-95.628600204 66.6808186280001,-95.651527755 66.6623459900001,-95.741381755 66.6380459900001,-95.778263755 66.6459549900001,-95.781171737 66.658637368,-95.7847269489999 66.674145002,-95.78660596 66.676526778,-95.8449997549999 66.75054599,-95.862209755 66.7611099900001,-95.8728887679999 66.7649822480001,-95.883617816 66.7688732490001,-95.895149332 66.7715633230001,-95.912218756 66.7755459900001,-95.956118756 66.7822099900001,-95.976919484 66.7867036960001,-95.980563914 66.7874911320001,-95.98289637 66.7881115550001,-96.0066727559999 66.7944369900001,-96.1097907559999 66.83533699,-96.111997545 66.8428242300001,-96.116726926 66.8588732640001,-96.123092473 66.8716743480001,-96.128054756 66.8816549900001,-96.146390756 66.8947189900001,-96.223606624 66.9284352340001,-96.273617881 66.9502732240001,-96.326295742 66.9737498210001,-96.403881756 67.0083279900001,-96.455554182 67.0641453700001,-96.3980549459999 67.086236076,-96.377208985 67.0847181140001,-96.288055039 67.0683271340001,-96.263891018 67.0471271220001,-96.269727756 67.0279099900001,-96.284309756 67.00623699,-96.284308675 67.006236239,-96.284308831 67.006236007,-96.2773519679999 67.0014029230001,-96.262509756 66.99109099,-96.240827756 66.9835999900001,-96.207537116 66.9740055680001,-96.130963924 66.9519360260001,-96.110545943 66.950818048,-96.0311097539999 66.970599984,-96.03110897 66.970600178,-96.043487183 66.9985410530001,-96.047145756 67.00679999,-96.031727356 67.0208922,-96.004455021 67.0458180360001,-95.9630549569999 67.067627078,-95.937982626 67.0681180770001,-95.961118756 67.0438729900001,-95.9772444979999 67.026268912,-95.988399988 67.014091191,-95.974003895 66.998837747,-95.9322187559999 66.9545639900001,-95.932218592 66.9545639460001,-95.932217935 66.95456325,-95.902499897 66.946636149,-95.876099919 66.945818075,-95.8391729419999 66.948027042,-95.753064867 66.958775641,-95.7433277549999 66.9599909900001,-95.742699801 66.9601244180001,-95.7211178589999 66.964709209,-95.614163936 66.9702632250001,-95.597782009 66.9488632210001,-95.550232211 66.9429955190001,-95.5347277549999 66.94108199,-95.528270616 66.9416743450001,-95.416399971 66.9519360260001,-95.354026876 66.96193614,-95.340281896 66.9826181510001,-95.336528618 66.994081776,-95.327363755 67.0220729900001,-95.341224729 67.057378773,-95.379435778 67.1547091850001,-95.3794366879999 67.1547098200001,-95.379436755 67.1547099900001,-95.435545755 67.1938639900001,-95.501338357 67.207158377,-95.5084729979999 67.2086001280001,-95.544154928 67.2124911750001,-95.548388001 67.212156588,-95.568890755 67.21053699,-95.6513997549999 67.1988639900001,-95.712218755 67.1883099900001,-95.742218755 67.17665499,-95.774718755 67.16775499,-95.7969547549999 67.1630369900001,-95.82325552 67.1661242820001,-95.827154634 67.1665821110001,-95.807499755 67.1860999900001,-95.763063755 67.2127729900001,-95.6966547549999 67.24498199,-95.6917019969999 67.247354993,-95.677490891 67.2541633160001,-95.638063927 67.2708270420001,-95.618054983 67.2783181170001,-95.557499923 67.310254006,-95.534381964 67.3587361080001,-95.534382133 67.358736198,-95.534381755 67.3587369900001,-95.571390755 67.3784549900001,-95.593705617 67.3827054400001,-95.596254994 67.3831911490001,-95.623273433 67.3812122830001,-95.7481907549999 67.3720639900001,-95.8175097549999 67.33193699,-95.921109756 67.2785909900001,-96.096936756 67.2159549900001,-96.118971661 67.2151148010001,-96.122217911 67.214991162,-96.249508846 67.2490822060001,-96.215699936 67.323327093,-96.1719358399999 67.339291098,-96.140447045 67.3642788170001,-96.124163756 67.3771999900001,-96.105992672 67.3951916760001,-96.069872925 67.4309540830001,-96.069873321 67.430954431,-96.0698727559999 67.43095499,-96.090376484 67.4489879660001,-96.11061786 67.4667912450001,-96.1106185949999 67.4667908490001,-96.110618756 67.4667909900001,-96.12347146 67.4598695220001,-96.138472936 67.451791159,-96.144545181 67.4470944890001,-96.158054756 67.43664599,-96.191099756 67.4205369900001,-96.216390756 67.4205369900001,-96.294154756 67.4446999900001,-96.363890756 67.4780459900001,-96.454863756 67.47456399,-96.4641636279999 67.5034545920001,-96.4377729289999 67.541363194,-96.3297268439999 67.6102632770001,-96.26209092 67.6290090680001,-96.238745979 67.6216450630001,-96.209873005 67.6188632770001,-96.188608954 67.6240090950001,-96.1747089089999 67.64305412,-96.175408966 67.691709056,-96.1754097419999 67.6917090480001,-96.175409756 67.69170999,-96.214963756 67.69126399,-96.213954759 67.8238095240001,-96.1738482059999 67.8811559600001,-96.144163756 67.9235999910001,-96.1357072229999 67.934579726,-96.083617905 68.0022091170001,-96.022008905 68.1146270350001,-96.022009815 68.1146278830001,-96.022009756 68.1146279910001,-96.040135777 68.131518079,-96.040136756 68.1315189910001,-96.072681352 68.154536706,-96.04333582 68.1794270250001,-95.968335891 68.2308181500001,-95.973341713 68.2408330960001,-95.980281756 68.2547189910001,-96.118839575 68.231489401,-96.136126841 68.2285912460001,-96.138727843 68.2280789070001,-96.1713907559999 68.2216459910001,-96.2883277559999 68.1977549910001,-96.310512789 68.192275561,-96.310817941 68.192200208,-96.3108182509999 68.192200116,-96.3108187559999 68.1921999910001,-96.4322187559999 68.1560999910001,-96.463054756 68.1441459910001,-96.482499756 68.1347189910001,-96.510009756 68.1194279910001,-96.535220765 68.0896887040001,-96.5394729079999 68.0846731300001,-96.539472554 68.084673229,-96.539472756 68.084672991,-96.533802641 68.0862594390001,-96.5105550059999 68.0927631760001,-96.485546089 68.0922091320001,-96.45645906 68.059382392,-96.4508367559999 68.0530369910001,-96.4638809429999 68.0411729240001,-96.466399979 68.0388821230001,-96.47853198 68.0374645690001,-96.534172756 68.0309639910001,-96.5566547559999 68.0333279910001,-96.66068276 68.020500962,-96.676099941 68.0186000960001,-96.6820114879999 68.016768502,-96.708345756 68.0086099910001,-96.722781756 68.0097189910001,-96.781109756 68.0155459910001,-96.803234539 68.0309226840001,-96.809781727 68.0354730760001,-96.8050019999999 68.0495351530001,-96.80305493 68.0552632110001,-96.786426822 68.066351115,-96.778881756 68.0713819910001,-96.7724031829999 68.0724173820001,-96.739799891 68.0776271350001,-96.69639102 68.078736061,-96.6230460149999 68.1155361360001,-96.525835886 68.1841450310001,-96.502917919 68.2020631930001,-96.407364055 68.3134539930001,-96.407364607 68.313453999,-96.4073637559999 68.3134549910001,-96.436144919 68.313752041,-96.4399178579999 68.313791113,-96.439918332 68.3137909870001,-96.4399187559999 68.3137909910001,-96.470836756 68.305545991,-96.533063756 68.2819369910001,-96.553327756 68.2736099910001,-96.625272756 68.251663991,-96.680033123 68.2775276100001,-96.684363995 68.2795731670001,-96.702153277 68.2775875620001,-96.7677727559999 68.270263991,-96.810336756 68.2607549910001,-96.893915377 68.244741242,-96.918755033 68.2399822530001,-96.939163962 68.239700118,-96.953104496 68.2420358590001,-97.087990344 68.2646369220001,-97.065626932 68.300054012,-97.053326824 68.353318157,-97.0533278679999 68.3533185090001,-97.053327757 68.353318991,-97.160281757 68.3894369910001,-97.259172757 68.4666639910001,-97.282772757 68.474154991,-97.334205879 68.486451833,-97.353608842 68.4910911640001,-97.361466532 68.4921151140001,-97.385554757 68.4952549910001,-97.4916619749999 68.500269879,-97.5240358999999 68.5018002190001,-97.544446002 68.5013911820001,-97.551147998 68.499833724,-97.5731997569999 68.494709991,-97.5935323959999 68.485520518,-97.597781896 68.48360009,-97.600678855 68.4786320920001,-97.613818757 68.456099991,-97.604988503 68.453235663,-97.5812549619999 68.445536024,-97.546282181 68.447609271,-97.541527757 68.4478909910001,-97.536402419 68.4475713300001,-97.5148639189999 68.4462270280001,-97.503200398 68.4273457620001,-97.530418757 68.4176279910001,-97.611663757 68.434709991,-97.647708757 68.4558189910001,-97.6520227139999 68.471012016,-97.6596178779999 68.497763159,-97.659618645 68.4977635970001,-97.659618757 68.4977639910001,-97.692763757 68.516663991,-97.7238907569999 68.5230369910001,-97.8265916999999 68.5386574510001,-97.844446052 68.5413731960001,-97.996935838 68.5381822050001,-97.996935911 68.5381820090001,-97.996936757 68.538181991,-98.010418757 68.501781991,-97.9091078009999 68.4262050460001,-97.9031909559999 68.421791098,-97.9031908709999 68.421791076,-97.9031907569999 68.4217909910001,-97.9006050689999 68.421130555,-97.877635874 68.4152632710001,-97.8219246789999 68.411809271,-97.8037457569999 68.410681991,-97.7998948869999 68.4095542210001,-97.77528194 68.4023450820001,-97.75779092 68.386645107,-97.7459733919999 68.3676189160001,-97.7694547569999 68.364845991,-97.8569457569999 68.3840189910001,-97.899981757 68.385309991,-98.0359221529999 68.3459789,-98.0738999819999 68.334991126,-98.0828773649999 68.3281970510001,-98.096663758 68.317763991,-98.16755232 68.3055722840001,-98.1936089819999 68.301091189,-98.198430473 68.301322671,-98.219727758 68.302345991,-98.289163758 68.3344369910001,-98.311881758 68.3547099910001,-98.4949997579999 68.409427991,-98.494999874 68.409427104,-98.4949999249999 68.40942712,-98.4977818789999 68.3881821800001,-98.497781749 68.388182058,-98.497781758 68.3881819910001,-98.4757862289999 68.3674057040001,-98.466463904 68.3586000970001,-98.4771274989999 68.352283023,-98.516399758 68.3290189910001,-98.540554758 68.335127991,-98.576118758 68.3562279910001,-98.600272758 68.370945991,-98.637218758 68.3791549910001,-98.674027758 68.3809549910001,-98.7044515759999 68.365016143,-98.710208978 68.362000132,-98.710208761 68.361999987,-98.607772901 68.293318147,-98.5683868409999 68.276913538,-98.561108758 68.2738819910001,-98.55986932 68.2716822,-98.535554926 68.2285270410001,-98.4931909429999 68.206791089,-98.493190758 68.206790991,-98.491305293 68.2064900460001,-98.469726811 68.2030450490001,-98.439708869 68.200818145,-98.408335908 68.196636079,-98.3774910069999 68.1902631500001,-98.32972753 68.1721363500001,-98.322044751 68.1505636370001,-98.319590999 68.1436731790001,-98.3334287279999 68.11908341,-98.345272758 68.0980369910001,-98.3633277179999 68.0831820230001,-98.363962105 68.0830740320001,-98.386936758 68.079163991,-98.412636758 68.0844369910001,-98.437845758 68.1069279910001,-98.437410778 68.1084187370001,-98.4281178699999 68.1402632530001,-98.429634978 68.1572732540001,-98.4302727579999 68.1644279910001,-98.455145758 68.181645991,-98.4754111729999 68.184985688,-98.479581917 68.1856732200001,-98.583546015 68.146100075,-98.405417832 68.008327068,-98.380969643 67.9976464690001,-98.378054758 67.996372991,-98.340563758 67.9860999910001,-98.319736758 67.978590991,-98.283327758 67.9627729910001,-98.268628097 67.955218282,-98.251399858 67.9463631780001,-98.219172949 67.9249821170001,-98.197772944 67.9019270210001,-98.191313071 67.8915974500001,-98.182918758 67.878172991,-98.111246049 67.8388731470001,-98.1112457579999 67.8388729910001,-98.086945758 67.8317999910001,-98.083600373 67.831417495,-98.063890984 67.829163216,-98.063890938 67.829164011,-98.063890758 67.829163991,-98.0602727579999 67.891663991,-98.060150673 67.8920502980001,-98.050135777 67.923736063,-98.029999931 67.941927139,-98.010042588 67.947932269,-98.0031997569999 67.9499909910001,-97.9765773829999 67.9528818850001,-97.877781887 67.963609111,-97.704790972 68.0072090900001,-97.687157823 68.0164537480001,-97.683063757 68.018599991,-97.648054757 68.0102729910001,-97.442218757 67.916090991,-97.431799681 67.9064551820001,-97.419100004 67.8947091970001,-97.398825634 67.8789827570001,-97.397781757 67.878172991,-97.39305709 67.8774788630001,-97.3694459449999 67.8740090810001,-97.3305549199999 67.8759540180001,-97.288126899 67.88867322,-97.277084578 67.903324496,-97.269654757 67.913181991,-97.2647789219999 67.916350294,-97.2472269 67.927754012,-97.119781906 67.7885911170001,-97.1345785729999 67.7000136450001,-97.138899757 67.6741459900001,-97.1672187569999 67.6755369900001,-97.289436757 67.6617999900001,-97.316663757 67.6544369900001,-97.3292782889999 67.6469429000001,-97.334445967 67.6438732,-97.339936856 67.6410859820001,-97.3530547569999 67.6344279900001,-97.387081757 67.61970999,-97.415009757 67.6133099900001,-97.480415369 67.6030490910001,-97.485826827 67.602200221,-97.488164744 67.601902357,-97.509736757 67.59915499,-97.542824581 67.596717411,-97.547499865 67.596373122,-97.55015778 67.5965279430001,-97.569027757 67.59762799,-97.5983277569999 67.60345499,-97.619572757 67.61372799,-97.638314866 67.6279781980001,-97.652917888 67.6390821040001,-97.707652503 67.656432511,-97.799436757 67.6855279900001,-97.9566637569999 67.7277639910001,-98.079978341 67.7620723840001,-98.094454924 67.7661001230001,-98.1227727579999 67.7880369910001,-98.165813202 67.836124446,-98.170135798 67.84095404,-98.170136597 67.8409548110001,-98.170136758 67.840954991,-98.2333187579999 67.901927991,-98.2669547579999 67.9233099910001,-98.329036758 67.9562369910001,-98.5449997539999 68.0613729990001,-98.54499999 68.0613731160001,-98.550408824 68.0623954660001,-98.615554758 68.0747099910001,-98.732772758 68.070263991,-98.746945758 68.0477639910001,-98.746945699 68.047763763,-98.746946022 68.047763252,-98.7219459889999 67.951236081,-98.696945957 67.9366450320001,-98.660426843 67.918318168,-98.540281984 67.8722091510001,-98.509839094 67.865007904,-98.506808758 67.8642909910001,-98.503793834 67.864435631,-98.4808358499999 67.8655361500001,-98.4494359 67.8643541340001,-98.382446505 67.8131868,-98.359791001 67.7958821760001,-98.364805211 67.7939428990001,-98.385836758 67.7858099910001,-98.495811163 67.7794073420001,-98.528881925 67.777482245,-98.594878474 67.7692409480001,-98.813608758 67.7419279910001,-98.986936758 67.718318991,-99.210554759 67.7069369910001,-99.236118759 67.7136099910001,-99.367189147 67.7621100110001,-99.39035494 67.7706821560001,-99.390767048 67.771056324,-99.407635795 67.7863732650001,-99.4390572619999 67.7908825010001,-99.500563759 67.799709991,-99.5834817589999 67.8020639910001,-99.613190759 67.790545991,-99.820008759 67.795818991,-100.038971577 67.8117438610001,-100.083617848 67.814991095,-100.097823678 67.817927803,-100.141399759 67.8269369910001,-100.162354759 67.839427991,-100.184154759 67.8430459910001,-100.378386726 67.847130007,-100.395555069 67.847491086,-100.418365549 67.8458565980001,-100.58168176 67.834154991,-100.72028176 67.834427991,-100.81139076 67.794709991,-100.89831876 67.758327991,-100.92749076 67.753327991,-100.989571297 67.7451088060001,-101.006255004 67.7429001890001,-101.022738609 67.742376144,-101.10235476 67.739845991,-101.412523041 67.7334703940001,-101.440272969 67.7329000760001,-101.456277526 67.7214489250001,-101.515008761 67.6794279900001,-101.542499761 67.6794279900001,-101.671945761 67.6916549900001,-101.764718761 67.7233099910001,-101.894087817 67.7529409160001,-101.926099981 67.7602731920001,-101.963370183 67.761468859,-102.146536761 67.7673459910001,-102.207627453 67.7413548170001,-102.21999985 67.7360912340001,-102.228168476 67.7332479980001,-102.251108761 67.7252639910001,-102.339718761 67.744709991,-102.391253723 67.7618963620001,-102.393064022 67.7625000960001,-102.446663946 67.780273251,-102.452952318 67.7820042750001,-102.470836762 67.7869279910001,-102.504463762 67.7919279910001,-102.536118762 67.795254991,-102.655798145 67.802500745,-102.678463971 67.80387317,-102.695167843 67.806197915,-102.800281762 67.820827991,-102.829727762 67.8319369910001,-102.878116812 67.8660626000001,-102.921108837 67.896382224,-102.948254757 67.920881997,-102.948254971 67.9208821920001,-102.953226378 67.9214162320001,-102.977363762 67.924009991,-103.005272762 67.914645991,-103.105972762 67.9274189910001,-103.134990762 67.9557459910001,-103.178327762 67.961927991,-103.201413124 67.961474588,-103.206126905 67.961382207,-103.220835804 67.9622001130001,-103.254182033 67.96638218,-103.268813552 67.9717920100001,-103.367626952 68.008327691,-103.371526684 68.056561941,-103.372499762 68.068599991,-103.356282463 68.09100878,-103.341946091 68.11081813,-103.341946245 68.110818324,-103.341945762 68.110818991,-103.375408762 68.1530459910001,-103.396945762 68.1627639910001,-103.421663763 68.166654991,-103.462090763 68.1587369910001,-103.489462689 68.146875896,-103.49958203 68.142491163,-103.506190551 68.1389540210001,-103.521390763 68.1308189910001,-103.552763763 68.1011639910001,-103.552763539 68.10116365,-103.552764032 68.101163184,-103.53485509 68.073873216,-103.549855009 68.058591162,-103.590950779 68.052860643,-103.766954763 68.028318991,-103.785343588 68.0260259400001,-103.791381897 68.0252732640001,-103.804974514 68.024103923,-103.843063763 68.020827991,-103.877218763 68.0208189910001,-103.898063763 68.024154991,-103.934581763 68.036654991,-103.978199763 68.044154991,-104.00225019 68.0432873060001,-104.005417818 68.043173154,-104.005418383 68.043173005,-104.005418763 68.0431729910001,-104.019719688 68.0393882750001,-104.064708887 68.0274822310001,-104.118326916 68.0188822310001,-104.166654958 68.01749117,-104.173206838 68.0183396750001,-104.207363763 68.022763991,-104.366945763 68.0341459910001,-104.457227763 68.0297099910001,-104.494121364 68.032849055,-104.500490907 68.0333911380001,-104.59221793 68.0836000790001,-104.657991044 68.1357617830001,-104.668745764 68.144290991,-104.66580847 68.148159289,-104.654717926 68.1627632990001,-104.619235821 68.191782118,-104.603899956 68.2343539720001,-104.603900111 68.2343540270001,-104.603899764 68.234354991,-104.639999764 68.246936991,-104.678956448 68.249657858,-104.687763915 68.2502732180001,-104.731108916 68.2502732180001,-104.746493345 68.2489185470001,-104.797499764 68.2444279910001,-104.879863764 68.2262369910001,-104.907354764 68.2262369910001,-104.932636439 68.2345638840001,-104.935785597 68.2383164240001,-104.948954249 68.254009378,-104.86804608 68.271236023,-104.843126849 68.286927113,-104.838329746 68.3093025410001,-104.837499764 68.313172991,-104.837499926 68.313173125,-104.83749991 68.3131731990001,-104.852763807 68.325826997,-104.856108764 68.328599991,-104.856108807 68.3286000080001,-104.856108909 68.328600092,-104.85738781 68.3290962090001,-104.884745764 68.3397099910001,-105.026108764 68.309418991,-105.02610852 68.3094182080001,-105.026108993 68.3094181070001,-105.020807153 68.2923772080001,-105.013336764 68.2683639910001,-105.064308764 68.2591549910001,-105.093292325 68.2646669390001,-105.100826954 68.2661000960001,-105.159479008 68.2880342510001,-105.290972764 68.3372099910001,-105.340638361 68.371137596,-105.347290951 68.375682248,-105.351508213 68.3789918050001,-105.390290764 68.409427991,-105.416399764 68.4069369910001,-105.525418764 68.4073459910001,-105.546454764 68.4238729910001,-105.540527932 68.4356976710001,-105.535208862 68.4463091700001,-105.438746064 68.48720917,-105.419460015 68.4914358680001,-105.415972764 68.4921999910001,-105.413053373 68.4917386370001,-105.380826945 68.486645068,-105.414435863 68.5285911290001,-105.499445756 68.621373039,-105.487081764 68.6902549910001,-105.480199764 68.7237999910001,-105.480199947 68.7238000850001,-105.48019994 68.7238001220001,-105.718063936 68.8449821580001,-105.77639997 68.8724821770001,-105.805826821 68.8806731400001,-106.080835891 68.9188731610001,-106.149435902 68.933591113,-106.160772845 68.93501315,-106.208063765 68.9409459920001,-106.231255839 68.9358548320001,-106.239373052 68.93407324,-106.247914771 68.9246253110001,-106.259518765 68.9117909920001,-106.315554765 68.8927639920001,-106.635008765 68.818327992,-106.740848861 68.8156225210001,-106.765555072 68.8149912060001,-106.794445984 68.813873228,-106.820845961 68.8113732410001,-106.851825569 68.8053077340001,-106.938599766 68.788318992,-106.961399766 68.7830549920001,-107.108336766 68.748599991,-107.125935186 68.7443479980001,-107.231372972 68.7188732400001,-107.277512417 68.7123457170001,-107.431672766 68.690536991,-107.638345766 68.665545991,-107.804990767 68.645536991,-107.921130342 68.6407729590001,-107.93331797 68.6402731160001,-107.95384725 68.6390924180001,-108.170272767 68.626645991,-108.251954767 68.6205279910001,-108.279163767 68.6183189910001,-108.307558511 68.612683852,-108.314163991 68.6113731520001,-108.320780305 68.6093647260001,-108.345281767 68.6019279910001,-108.376108767 68.581927991,-108.404163767 68.5602549910001,-108.431672767 68.538318991,-108.530208767 68.4503279910001,-108.573899767 68.411654991,-108.616381767 68.3847099910001,-108.639999767 68.375536991,-108.670836767 68.3658189910001,-108.706599767 68.3571279910001,-108.744999767 68.340263991,-108.795751372 68.2872305560001,-108.815972946 68.2661000960001,-108.815972764 68.2660999980001,-108.761254767 68.237072991,-108.737781767 68.2313729910001,-108.715563767 68.2313729910001,-108.68202578 68.2396379690001,-108.566490961 68.26810907,-108.520757871 68.2909894540001,-108.504999767 68.2988729910001,-108.500724614 68.300200422,-108.484446043 68.3052539770001,-108.455359741 68.308220007,-108.451808767 68.308581991,-108.446307324 68.3068600010001,-108.399036268 68.2920633580001,-108.380797086 68.268906825,-108.326946058 68.2005360110001,-108.332363856 68.1567188880001,-108.346118767 68.140827991,-108.374299544 68.1382550110001,-108.365626865 68.1572091150001,-108.365628089 68.1572092870001,-108.365627767 68.1572099910001,-108.394975351 68.1613349930001,-108.40319992 68.162491222,-108.412085617 68.156740057,-108.432499767 68.143527991,-108.432499433 68.143527448,-108.432499868 68.1435271660001,-108.418190954 68.1202631940001,-108.3943089 68.114018173,-108.370272954 68.112763235,-108.332227768 68.1172000000001,-108.332226825 68.117200111,-108.300554966 68.125809164,-108.249445976 68.1416631990001,-108.220281982 68.1522091420001,-108.191945952 68.1683181540001,-108.161390897 68.1727632450001,-108.064828679 68.169603571,-108.033890767 68.168590991,-107.871936767 68.1713729910001,-107.870179186 68.1717227840001,-107.825846046 68.1805450040001,-107.795722888 68.1833674920001,-107.793336767 68.1835909910001,-107.772131182 68.1817108330001,-107.689990985 68.174427053,-107.624026916 68.164436159,-107.604373029 68.1724091930001,-107.604373977 68.1724095000001,-107.604372766 68.1724099910001,-107.741945767 68.2169369910001,-107.820191029 68.2383296680001,-107.830290969 68.2410911790001,-107.854173023 68.2474822120001,-107.856303519 68.248760588,-107.883472623 68.265063905,-107.871948709 68.2865966300001,-107.852363767 68.323190991,-107.845224648 68.3274241030001,-107.822281893 68.3410271020001,-107.553745998 68.3483181840001,-107.332635918 68.314144997,-107.299026993 68.2987272300001,-107.280418766 68.2803999910001,-107.261202401 68.266804145,-107.25402691 68.261727089,-107.132217907 68.283327086,-107.019546018 68.3586540760001,-106.787563938 68.4105360460001,-106.656918624 68.3522023500001,-106.641399768 68.345272988,-106.633370343 68.336735214,-106.633370207 68.33673507,-106.606508765 68.308172991,-106.589718765 68.294981991,-106.582904515 68.2937839310001,-106.564435831 68.290536026,-106.532981901 68.2970541290001,-106.516000279 68.3416310860001,-106.491599765 68.4056819910001,-106.491600013 68.405682067,-106.491599942 68.4056822530001,-106.521945952 68.4149911950001,-106.529296046 68.4154657430001,-106.562772765 68.4176279910001,-106.589999765 68.423454991,-106.618745765 68.4398459910001,-106.627490564 68.4620634790001,-106.543873011 68.51193612,-106.510835907 68.518327153,-106.370272899 68.545254017,-106.236390939 68.5666632420001,-106.207781994 68.567763283,-106.097633288 68.591436264,-106.053681765 68.6008819910001,-106.046348385 68.6079929160001,-106.035417923 68.6185911010001,-105.928327765 68.632472991,-105.902218765 68.6352729910001,-105.651800093 68.63609999,-105.661506343 68.627854212,-105.724718765 68.5741549910001,-105.739392044 68.566588681,-105.743055083 68.5647002000001,-105.731113627 68.5444271750001,-105.708618765 68.506236991,-105.699436765 68.4794999910001,-105.726672765 68.421918991,-105.745699765 68.414154991,-105.774036765 68.413318991,-105.793472765 68.4201279910001,-106.160681765 68.378309991,-106.179990765 68.3883189910001,-106.210690765 68.3923459910001,-106.243400645 68.3894735320001,-106.250135919 68.3888822370001,-106.263179958 68.3860652430001,-106.426390765 68.350818991,-106.459372765 68.337763991,-106.459372984 68.3377632080001,-106.459373033 68.337763189,-106.491246058 68.22380015,-106.491245756 68.2238000240001,-106.491245765 68.2237999910001,-106.490395353 68.223443468,-106.46889102 68.2144271710001,-106.420835892 68.2072180640001,-106.392772945 68.2016632090001,-106.358032964 68.188140101,-106.351182152 68.185473141,-106.426663997 68.1545731740001,-106.429907553 68.155423252,-106.451808765 68.1611639910001,-106.468608765 68.190536991,-106.594027765 68.245809991,-106.620963765 68.2473369910001,-106.801836766 68.2061279910001,-106.848608766 68.1166549910001,-106.959172766 68.114009991,-107.118881718 68.0847190000001,-107.108463935 68.124563279,-107.108463766 68.1245639910001,-107.148199766 68.1276189910001,-107.226390766 68.0944369910001,-107.251399766 68.080827991,-107.280480136 68.068169373,-107.287782007 68.0649910800001,-107.294398643 68.0629427710001,-107.326399766 68.0530369910001,-107.355827766 68.0477639910001,-107.388899766 68.045254991,-107.450290766 68.047209991,-107.51917555 68.055271519,-107.538063961 68.0574822360001,-107.546834366 68.05799682,-107.578336766 68.059845991,-107.605168358 68.0587918780001,-107.610281936 68.058591162,-107.62144503 68.0564381240001,-107.685136766 68.044154991,-107.729036767 68.0233189910001,-107.763527767 68.000445991,-107.795590767 68.0009279910001,-107.828284388 68.0082415210001,-107.832081704 68.0090910930001,-107.816815352 68.03412439,-107.804855078 68.0537360280001,-107.780146065 68.0570633090001,-107.745604603 68.0555415680001,-107.732908767 68.054981991,-107.699363766 68.0690819910001,-107.699363966 68.069082119,-107.721118767 68.082763991,-107.844727767 68.1052639910001,-107.871099767 68.098727991,-107.887918767 68.084990991,-107.914236767 67.9919909910001,-107.811336767 67.9715999910001,-107.801969067 67.9701462400001,-107.770508888 67.9652631960001,-107.658337141 67.940463433,-107.672399479 67.9195288280001,-107.674708932 67.9160910960001,-107.678783362 67.913538653,-107.709727766 67.8941549910001,-107.756663767 67.8808189910001,-107.855272767 67.857754991,-107.883282815 67.8526202050001,-107.8840359 67.852482174,-107.93679998 67.848391135,-107.95726152 67.8262159770001,-107.992490767 67.7880369910001,-108.010981767 67.7622189910001,-108.010981836 67.7622183620001,-108.010982003 67.7622181290001,-108.014108956 67.733936079,-107.996464044 67.6958180330001,-107.969164017 67.676653985,-107.896768485 67.645191514,-107.890554767 67.6424909900001,-107.88304568 67.6395297620001,-107.844726953 67.6244181320001,-107.81331795 67.6144270710001,-107.773617904 67.6005360780001,-107.740546099 67.585263244,-107.7183359 67.5733181940001,-107.578409111 67.4862633700001,-107.648618766 67.3599819900001,-107.588549627 67.2845447020001,-107.532499886 67.2141539770001,-107.503063983 67.192745088,-107.479912754 67.180257694,-107.477345766 67.1788729900001,-107.47319309 67.1769902510001,-107.439990999 67.1619360620001,-107.388063935 67.144436156,-107.317522684 67.128578518,-107.311390973 67.127200036,-107.301381981 67.0038822010001,-107.301381774 67.003882085,-107.301381766 67.0038819900001,-107.295576668 67.0006282320001,-107.233472974 66.9658181340001,-107.204411468 66.945071726,-107.203890769 66.944699986,-107.155273003 66.8997181110001,-107.089173785 66.8194370530001,-107.124690461 66.821640389,-107.131663996 66.8220731860001,-107.153681766 66.8408999900001,-107.187499766 66.8735999900001,-107.187499888 66.873600078,-107.187499912 66.873600099,-107.214172972 66.8927732010001,-107.2165062 66.8938897670001,-107.233890766 66.9022099900001,-107.359163766 66.9594279900001,-107.372487315 66.963806957,-107.37943594 66.966091217,-107.414026881 66.972073214,-107.414027766 66.972072988,-107.41433009 66.971995887,-107.440690888 66.965273143,-107.440690773 66.9652729850001,-107.425836766 66.94441899,-107.402597485 66.909915966,-107.393481998 66.8963821130001,-107.410165339 66.8407828860001,-107.420408766 66.8066459900001,-107.513063766 66.8222189900001,-107.559205386 66.8336592220001,-107.567364019 66.8356822000001,-107.635272766 66.8922099900001,-107.661573407 66.9295324730001,-107.667917914 66.938536045,-107.634546037 66.9449181940001,-107.596108975 66.921236132,-107.487354955 66.921018035,-107.487355288 66.921018991,-107.487354766 66.9210189900001,-107.520281766 67.01539999,-107.520281907 67.0154000700001,-107.520281921 67.015400109,-107.524081278 67.017574885,-107.583618766 67.05165499,-107.607772766 67.0633099900001,-107.64270894 67.074738186,-107.643481984 67.074991083,-107.665755047 67.0670732020001,-107.638064229 67.0244275570001,-107.671673786 66.9929571230001,-107.688608977 66.9771001760001,-107.715052718 66.952346199,-107.746654767 66.9227639900001,-107.746654655 66.9227636360001,-107.746654998 66.9227633150001,-107.693882032 66.7558271520001,-107.664116289 66.714329777,-107.649436766 66.6938639900001,-107.642247722 66.6844615970001,-107.624164044 66.660809059,-107.592801075 66.636937114,-107.570418766 66.619899989,-107.56602494 66.6017891130001,-107.564708857 66.5963632880001,-107.438890958 66.5130449900001,-107.342217942 66.4616540330001,-107.240596863 66.4100471470001,-107.235545957 66.4074820860001,-107.20239132 66.3610547320001,-107.228618264 66.3488732230001,-107.235093143 66.349543854,-107.254154766 66.3515189890001,-107.291108766 66.368318989,-107.425444177 66.449022439,-107.433064027 66.4536001980001,-107.456171865 66.4670036910001,-107.563336766 66.529163989,-107.577211198 66.535431557,-107.600826813 66.5461001990001,-107.625653456 66.560771829,-107.628054766 66.562190989,-107.647508766 66.574709989,-107.724163767 66.6296999900001,-107.765008767 66.68691899,-107.793761552 66.7132895280001,-107.823617968 66.7406731740001,-107.836795052 66.74672287,-107.860545767 66.7576279900001,-107.881657429 66.754567664,-107.884946007 66.7540910920001,-107.867763944 66.71138211,-107.870472975 66.6670001000001,-107.872008438 66.667297605,-107.894445767 66.6716459900001,-107.946999758 66.7279639830001,-107.940826814 66.7581911840001,-107.940020331 66.778739493,-107.939845767 66.7831819900001,-107.956872969 66.8002024470001,-107.985281914 66.8286001770001,-108.038686247 66.8699650900001,-108.114727767 66.9288639900001,-108.158190767 66.9583189900001,-108.196954767 66.97221899,-108.228608767 66.97665499,-108.258618767 66.97776399,-108.281101401 66.9793674140001,-108.289717835 66.9799822100001,-108.324317829 66.9854001040001,-108.351517943 66.9988822280001,-108.392226835 67.0288731810001,-108.431453222 67.0548646880001,-108.449027767 67.06650999,-108.482708767 67.06761899,-108.482708918 67.0676181910001,-108.482708977 67.067618193,-108.485127054 67.054780039,-108.487208767 67.04372799,-108.517990767 67.0368549900001,-108.621244945 67.1519270730001,-108.589381939 67.152209198,-108.548473054 67.13484508,-108.530944986 67.123080583,-108.517227767 67.1138729900001,-108.494999767 67.10219999,-108.490985984 67.100468773,-108.455417836 67.0851271500001,-108.339889911 67.0507223860001,-108.339889882 67.050722378,-108.239018767 67.0206819900001,-108.23234788 67.0208671780001,-108.201663931 67.021718053,-108.196340512 67.0333227080001,-108.191308767 67.04429099,-108.184632254 67.0495840500001,-108.152926852 67.0747181680001,-108.028754991 67.0811092010001,-108.01132797 67.07801212,-108.008345767 67.0774819900001,-107.950290767 67.06219099,-107.948690035 67.0617685610001,-107.899308901 67.048736112,-107.877908896 67.050545094,-107.877908868 67.050545981,-107.877908767 67.05054599,-107.874999767 67.14082799,-107.942772767 67.23401899,-107.985545767 67.2719279900001,-108.020563767 67.2947099900001,-108.063608767 67.30525499,-108.134172767 67.32916399,-108.296799767 67.3960279900001,-108.314308767 67.4199819900001,-108.314308959 67.4199821180001,-108.314308998 67.4199821720001,-108.339581945 67.4367821880001,-108.346126587 67.4378955610001,-108.384090767 67.4443549900001,-108.437354767 67.4295639900001,-108.437354757 67.429563258,-108.437355002 67.4295631900001,-108.4367909 67.3878360640001,-108.4283911 67.3611638340001,-108.458054767 67.34721899,-108.471390767 67.3466459900001,-108.485130914 67.3535215630001,-108.492626948 67.3572731300001,-108.520835908 67.4551271560001,-108.515110272 67.48399376,-108.513963767 67.4897729900001,-108.51396392 67.489773251,-108.581945767 67.6077639900001,-108.613004997 67.621865466,-108.615263915 67.6228911170001,-108.620445765 67.6234968970001,-108.662772767 67.62844599,-108.701118767 67.6248369900001,-108.718499755 67.615863307,-108.722354966 67.6138731950001,-108.737782026 67.599991086,-108.736800002 67.5612360160001,-108.736099946 67.483873229,-108.742772947 67.451373237,-108.761599875 67.4042910810001,-108.765426925 67.3995808220001,-108.801036768 67.35575499,-108.828063768 67.3515099900001,-108.849990768 67.38859999,-108.849990809 67.3886000050001,-108.8499909 67.388600158,-108.86644115 67.394458338,-108.993890768 67.43984599,-109.018063768 67.46249099,-109.017154791 67.4910182690001,-108.998926926 67.5006911840001,-108.958754768 67.51027299,-108.945178825 67.51826421,-108.920546073 67.532763194,-108.920546361 67.532763641,-108.920545768 67.53276399,-109.008754768 67.6695729900001,-109.05809892 67.7083957250001,-109.062772764 67.712072995,-109.062773056 67.712073226,-109.159155052 67.727482181,-109.166770315 67.728186243,-109.210281768 67.732209991,-109.253618768 67.7319369910001,-109.370272768 67.729154991,-109.495418768 67.6988639910001,-109.512830675 67.6905582460001,-109.51695503 67.688591156,-109.543473025 67.686782174,-109.731508952 67.718600214,-109.745690769 67.73609099,-109.736053387 67.7545705150001,-109.729172917 67.767763261,-109.729172944 67.7677636540001,-109.729172768 67.767763991,-109.72947929 67.7722393870001,-109.730826834 67.791927114,-109.767226925 67.827773162,-109.817008892 67.8631002010001,-109.861935894 67.87498222,-109.890291034 67.8799731400001,-109.948190874 67.8801912370001,-109.948190615 67.8801909900001,-109.948190769 67.8801909910001,-109.914582004 67.8481822150001,-109.930690969 67.833600093,-109.955545994 67.8302731480001,-109.957604025 67.8309880720001,-109.985690769 67.8407459910001,-110.002354737 67.867963939,-110.000825485 67.871315328,-109.991672769 67.8913729910001,-109.983753964 67.9043539370001,-109.97388191 67.92053602,-109.973881857 67.9205368450001,-109.973881769 67.9205369910001,-109.971663769 67.9549819910001,-110.001108769 67.9797099910001,-110.048890769 67.9977549910001,-110.077372769 68.0055549910001,-110.123745769 68.008463991,-110.157227769 68.0040189910001,-110.176245769 67.9969279910001,-110.199154769 67.972218991,-110.339999769 67.9655459910001,-110.414436769 67.9477549910001,-110.737354769 67.8627639910001,-110.758899769 67.8527639910001,-110.785690769 67.836518991,-110.809718769 67.818599991,-110.836399769 67.802345991,-111.01208177 67.764163991,-111.03443677 67.764163991,-111.120827321 67.7808189040001,-111.141346708 67.8164206180001,-111.14944577 67.8304729910001,-111.149445956 67.8304730400001,-111.149446013 67.83047314,-111.17582688 67.8374911400001,-111.176635728 67.8373808100001,-111.20029077 67.834154991,-111.29083677 67.815536991,-111.31763677 67.8087279910001,-111.370827687 67.7811000340001,-111.372874911 67.7806790010001,-111.45861877 67.7630459910001,-111.57277277 67.7444279910001,-111.65999977 67.733318991,-111.79972777 67.7508279910001,-111.88305477 67.754436991,-111.91278177 67.754163991,-112.183318771 67.7277639910001,-112.342708771 67.6905279900001,-112.369999771 67.6819279900001,-112.395845771 67.67915499,-112.739727771 67.6694369900001,-112.965008771 67.6697099900001,-113.039561476 67.666535127,-113.049990931 67.6660911100001,-113.067782024 67.6674821710001,-113.073864288 67.668685259,-113.113463772 67.67651899,-113.155563772 67.6921999900001,-113.1555639 67.692200024,-113.155564019 67.692200068,-113.155907858 67.6922891880001,-113.178045772 67.6980279910001,-113.203666241 67.7019765570001,-113.206946092 67.702482149,-113.213167261 67.7027759110001,-113.248327772 67.7044369910001,-113.550827772 67.6980279910001,-113.708890772 67.6919279900001,-113.754693413 67.69127933,-113.768626813 67.6910822580001,-113.788746596 67.691155473,-113.845836772 67.6913639900001,-113.892499772 67.6969279910001,-113.949436772 67.711654991,-113.973510876 67.717650448,-113.990135872 67.7217912040001,-114.114726828 67.7338732150001,-114.123091078 67.734632794,-114.148354772 67.7369279910001,-114.179807027 67.7376927970001,-114.188326811 67.7379002160001,-114.220000012 67.7338732150001,-114.227210897 67.7318062940001,-114.245690773 67.7265099910001,-114.277499773 67.7184639910001,-114.293087922 67.7185685160001,-114.297781894 67.718600214,-114.37782498 67.7333611720001,-114.648327773 67.7832459910001,-114.659736171 67.7897755490001,-114.681935917 67.80248211,-114.690850012 67.8051733020001,-114.713190773 67.8119189910001,-114.745136773 67.8148459910001,-114.783072773 67.8144189910001,-114.80432338 67.812660668,-114.809999999 67.812191204,-114.817663426 67.811322949,-114.849163773 67.8077549910001,-114.886672773 67.8027639910001,-114.936108773 67.7955369910001,-115.005836773 67.7869369910001,-115.028881773 67.786654991,-115.108608773 67.797618991,-115.195554773 67.820127991,-115.278745774 67.8640189910001,-115.522645774 67.8941549910001,-115.530742697 67.910616647,-115.535826883 67.920954109,-115.503346002 67.9344181280001,-115.342217827 67.958036152,-115.210835853 67.9770632390001,-115.136607164 68.0085640280001,-115.120990773 68.0151909910001,-115.120991196 68.015191052,-115.120990903 68.015191176,-115.163890992 68.0213822170001,-115.212499996 68.0229001800001,-115.240899764 68.0376911530001,-115.232290825 68.1817181310001,-115.170546056 68.1805450040001,-115.091161429 68.170673692,-115.076681773 68.1688729910001,-115.065431203 68.166976074,-115.007508986 68.1572091150001,-114.977490876 68.153318068,-114.929717884 68.1477632130001,-114.896390934 68.1469451390001,-114.866517831 68.152345096,-114.773062572 68.183537244,-114.759990773 68.1878999910001,-114.702499773 68.250272991,-114.473618773 68.2638819910001,-114.433608773 68.2627729910001,-114.430885697 68.262357922,-114.411663963 68.259427095,-114.38054598 68.246718118,-114.349741083 68.2340749270001,-114.344863773 68.2320729910001,-114.340142718 68.2315187350001,-114.320008857 68.229154007,-114.288064083 68.2288631550001,-114.021045984 68.2440090870001,-114.021046162 68.244009969,-114.021045772 68.244009991,-114.03554891 68.3159914550001,-114.066517976 68.4697002120001,-114.088899771 68.4963729930001,-114.088900005 68.496373272,-114.091513889 68.4981411300001,-114.114154772 68.5134549910001,-114.233608773 68.5694459910001,-114.304445773 68.586927991,-114.392860461 68.6112573440001,-114.399854907 68.613182099,-114.423192015 68.6318852360001,-114.461108726 68.662273063,-114.4514428 68.677054743,-114.444446089 68.6877540830001,-114.444446318 68.687754157,-114.444445773 68.6877549910001,-114.542499773 68.7194369910001,-114.578336773 68.728045991,-114.665554773 68.7416549910001,-114.705972773 68.741509991,-114.729445773 68.7444279910001,-114.747192958 68.7506950390001,-114.749163975 68.7513911680001,-114.774854773 68.7742999920001,-114.791945773 68.7994279920001,-114.821672773 68.8097099920001,-114.984027773 68.8609549920001,-115.020382739 68.867616695,-115.025699895 68.8685911300001,-115.057635952 68.868173208,-115.187038268 68.8913377380001,-115.446381774 68.937763992,-115.593063774 68.971645992,-115.776520007 68.9875555500001,-115.833326946 68.9924821970001,-115.833326773 68.992481905,-115.833327774 68.9924819920001,-115.809436774 68.9522099920001,-115.8094362 68.9522097700001,-115.80943584 68.9522091640001,-115.774519878 68.9387278280001,-115.875827774 68.9237279920001,-115.938659096 68.9338167020001,-115.968335938 68.938582201,-115.981597822 68.9412164620001,-116.007508774 68.946363992,-116.068890774 68.9605369920001,-116.164393322 68.9778474130001,-116.197635808 68.983873144,-116.205369019 68.9841808020001,-116.239436774 68.9855369920001,-116.25873873 68.9806550370001,-116.261399963 68.9799820970001,-116.26874719 68.9769996360001,-116.319718775 68.9563099920001,-116.319717254 68.9563093470001,-116.319717893 68.9563090880001,-116.226023838 68.9165982930001,-116.121936774 68.8724819920001,-115.946936774 68.8142909920001,-115.956984844 68.8069186660001,-115.960008852 68.804700073,-115.962730462 68.804855629,-115.993881774 68.8066369920001,-116.105830685 68.8167018030001,-116.114708946 68.817500077,-116.120554312 68.818494774,-116.222354774 68.835818992,-116.285554774 68.859709992,-116.340290775 68.875263992,-116.373045775 68.8816459920001,-116.406454775 68.8735189920001,-116.428327551 68.8588731410001,-116.438983932 68.858704828,-116.507790775 68.8576189920001,-116.744454775 68.880536992,-116.865982373 68.904750565,-116.88667301 68.908873215,-116.939082033 68.911000207,-116.947303854 68.9087850440001,-116.971172775 68.902354992,-117.145272775 68.8855459920001,-117.186208006 68.892984132,-117.191099879 68.893873129,-117.200524909 68.896455357,-117.269172775 68.9152639920001,-117.360053865 68.9390190880001,-117.415835802 68.9536002240001,-117.562499998 68.9686001430001,-117.567252573 68.969030612,-117.596118776 68.971645992,-117.62919397 68.973356612,-117.633899899 68.9736001160001,-117.646375644 68.9741120690001,-117.742218776 68.978045992,-117.81348016 68.9813834300001,-117.836935914 68.9824822510001,-117.846891984 68.9833871450001,-117.870536776 68.9855369920001,-118.010554776 69.0144369920001,-118.035554776 69.019718992,-118.073535164 69.029314748,-118.081681955 69.0313732220001,-118.186108902 69.0638732130001,-118.432499975 69.1122000820001,-118.457781975 69.11748219,-118.462197636 69.1191130070001,-118.493890777 69.1308189920001,-118.546245777 69.1592909920001,-118.581681777 69.1802639920001,-118.647918777 69.2132459920001,-118.689361453 69.2226393390001,-118.693599948 69.223600102,-118.702776475 69.2253008440001,-118.799990777 69.2433189920001,-118.848063777 69.2515189920001,-118.940827777 69.259427992,-119.229999777 69.294436992,-119.325418777 69.301509992,-119.461399777 69.3033189920001,-119.635272778 69.3158099920001,-119.926381778 69.3390099920001,-119.982227778 69.344709992,-120.231663778 69.3916639920001,-120.275281778 69.4041639920001,-120.354050121 69.4278742270001,-120.393335923 69.4397001510001,-120.480585832 69.471254302,-120.616099779 69.5202639920001,-120.668093429 69.5417569200001,-120.678599917 69.546100198,-120.678845585 69.546236191,-120.680799779 69.547318992,-120.697593019 69.5566396580001,-120.701108847 69.5585912450001,-120.706737087 69.5623153160001,-120.735963779 69.581654992,-120.760554779 69.5983279920001,-120.796390779 69.613036992,-120.824587319 69.6232464340001,-120.825564016 69.6236001130001,-120.881099993 69.638882166,-120.888351762 69.6402116930001,-120.934154779 69.648609992,-121.008899779 69.6583279920001,-121.035554779 69.663318992,-121.052954779 69.6668189920001,-121.082710965 69.6728032350001,-121.086673042 69.6736001770001,-121.090033033 69.6745155620001,-121.120272779 69.6827549920001,-121.176825461 69.7005221050001,-121.18306409 69.702482204,-121.19975308 69.7068015670001,-121.286118779 69.7291549920001,-121.333327779 69.7408189920001,-121.380545779 69.7522099920001,-121.416399779 69.7608189920001,-121.443045779 69.7655459920001,-121.653387449 69.790039972,-121.683881968 69.7935911450001,-121.688372214 69.793874556,-121.71916378 69.7958189920001,-121.89639078 69.8055459920001,-122.05318178 69.8134549920001,-122.11714774 69.804037312,-122.127772977 69.802473112,-122.2433269 69.802200198,-122.286373861 69.8022803000001,-122.46791878 69.8026189920001,-122.567142581 69.8066260790001,-122.588335927 69.8074821380001,-122.615546099 69.812191091,-122.618881049 69.8125910260001,-122.66443678 69.818054992,-122.736314595 69.804478934,-122.750546038 69.801791161,-122.755457703 69.8004262420001,-122.773054781 69.7955369920001,-122.796245353 69.7939034870001,-122.800682057 69.7935911450001,-122.825846039 69.796373266,-122.830743774 69.7975372180001,-122.853881781 69.803036992,-122.876936781 69.8102549920001,-122.904999781 69.822218992,-122.950675116 69.8301901310001,-122.96104597 69.83200021,-122.972075933 69.8292476380001,-123.015836781 69.818327992,-123.105272781 69.7791639920001,-123.105272875 69.7791632810001,-123.105273043 69.7791632070001,-123.109572959 69.7465180410001,-123.096254984 69.6784542950001,-123.129163781 69.5654099920001,-123.165972781 69.4983189920001,-123.186372781 69.491645992,-123.248979313 69.5002559800001,-123.263646086 69.502273238,-123.270795125 69.503109443,-123.301099781 69.5066549920001,-123.339999781 69.5022099920001,-123.365281781 69.4983189920001,-123.399990781 69.4902639920001,-123.42436644 69.4758062970001,-123.439090887 69.467073267,-123.450846003 69.449573195,-123.448050349 69.4447986180001,-123.436527781 69.4251189920001,-123.436527097 69.4251185540001,-123.436526863 69.4251181540001,-123.413327964 69.4102639050001,-123.456225585 69.3899325790001,-123.471946104 69.3824822620001,-123.502791004 69.377200154,-123.531508269 69.373245776,-123.673190781 69.3537369920001,-123.688863934 69.3601910960001,-123.697626836 69.3638001730001,-123.730564027 69.3774732370001,-123.824172954 69.388882181,-123.846635196 69.387932376,-123.962218782 69.3830459920001,-124.016399782 69.3791549920001,-124.076540725 69.3607250960001,-124.095281925 69.354982244,-124.120273073 69.351382216,-124.128287747 69.350953673,-124.161945782 69.3491549920001,-124.218890782 69.3477639920001,-124.257421565 69.348483872,-124.263635804 69.3486000950001,-124.272212097 69.3490587460001,-124.325845782 69.3519279920001,-124.427900066 69.3648281640001,-124.446664048 69.367200209,-124.476109003 69.3760912290001,-124.516399756 69.4017910110001,-124.481073573 69.426622706,-124.395281976 69.486927146,-124.377773018 69.4969361450001,-124.334446122 69.5169360360001,-124.289164353 69.5308696750001,-124.280290782 69.5335999920001,-124.245272782 69.5478999920001,-124.234002725 69.5609097820001,-124.21193589 69.586382116,-124.055264037 69.6705360890001,-124.040835932 69.7013821630001,-124.069735896 69.723600074,-124.084342005 69.7241142670001,-124.203754782 69.7283189920001,-124.238608782 69.7169279920001,-124.274863782 69.697063992,-124.294999782 69.6952549920001,-124.350881904 69.7001748010001,-124.361390923 69.7011001960001,-124.379410612 69.70289123,-124.459163782 69.710818992,-124.485222206 69.7198218510001,-124.496735861 69.7238000660001,-124.50041934 69.768949864,-124.501681726 69.7844273010001,-124.479717916 69.803591091,-124.449864091 69.8262361430001,-124.429717851 69.8494270250001,-124.450945446 69.9257924280001,-124.459445782 69.9563729930001,-124.450043329 69.9639615840001,-124.421935925 69.9866451510001,-124.379684349 70.0240002030001,-124.373699782 70.0292909930001,-124.358608782 70.0685999930001,-124.391390782 70.134154993,-124.428913314 70.1483658610001,-124.436108885 70.151091218,-124.69597303 70.147073269,-124.745690959 70.1242822040001,-124.743646733 70.1202284500001,-124.728536782 70.0902639930001,-124.728536285 70.0902640370001,-124.728535886 70.0902632440001,-124.68138198 70.094436091,-124.626373058 70.10525411,-124.592499944 70.1147090650001,-124.555448259 70.1106929410001,-124.548890782 70.1099819930001,-124.542959179 70.108655931,-124.513473013 70.1020632870001,-124.459692514 70.083196301,-124.445399782 70.078181993,-124.442352063 70.0751304980001,-124.42360931 70.056363665,-124.443418661 70.044060749,-124.453381976 70.0378731640001,-124.562226856 70.0120822150001,-124.571291062 70.0132640470001,-124.597290782 70.016654993,-124.639863782 70.0674819930001,-124.639863872 70.0674820040001,-124.639864067 70.067482237,-124.646805655 70.0683534020001,-124.675281782 70.071927993,-124.714445782 70.069154993,-124.814163782 70.0616459930001,-124.90837879 70.0479870240001,-124.933873068 70.0442911870001,-124.947564069 70.0288731790001,-124.947563614 70.028873182,-124.947563783 70.0288729930001,-124.933389641 70.028965919,-124.862913409 70.0294270260001,-124.896441932 70.0224183610001,-124.901399898 70.021382105,-125.035272252 70.018873247,-125.022767702 70.024862442,-124.995108906 70.038109198,-124.978617846 70.061573163,-124.99276792 70.077013644,-124.994854783 70.079290993,-124.994854925 70.0792909730001,-124.994855102 70.079291165,-124.99970311 70.0786170530001,-125.016954783 70.0762189930001,-125.145349739 70.023932528,-125.197555002 70.0026731940001,-125.199613283 69.9897255220001,-125.208118783 69.936227993,-125.208117728 69.9362280990001,-125.208117876 69.936227165,-125.112517912 69.9458450640001,-125.086399901 69.9685360490001,-125.057778323 69.9841041060001,-125.046954783 69.989990993,-125.025281783 69.9979999930001,-124.990281783 70.0060999930001,-124.969749162 70.0072597910001,-124.886945977 70.0119360350001,-124.834906342 70.0124252960001,-124.826945782 70.0124999930001,-124.795272785 70.0088819900001,-124.764446507 69.9708278210001,-124.893336782 69.940263993,-124.943881783 69.913736993,-125.009454783 69.845518993,-125.032227783 69.817199992,-125.056663783 69.795245992,-125.142922696 69.798008414,-125.164235931 69.798691198,-125.156946022 69.8209181610001,-125.156946037 69.8209182190001,-125.156945783 69.820918992,-125.16004516 69.8332798180001,-125.16471789 69.851918127,-125.164718565 69.8519181240001,-125.164718783 69.8519189930001,-125.194133194 69.8517912140001,-125.198326975 69.8517731200001,-125.198327254 69.851772995,-125.198327783 69.8517729930001,-125.210668489 69.8462330900001,-125.225282003 69.8396731720001,-125.238794693 69.831365347,-125.276399783 69.8082459920001,-125.276399344 69.8082453870001,-125.276399877 69.8082450580001,-125.258899972 69.7841001480001,-125.25810738 69.7833004130001,-125.234718783 69.759699992,-125.203398066 69.7583986610001,-125.014181926 69.750536158,-124.907648998 69.7494546830001,-124.891536782 69.7492909920001,-124.881265393 69.7446571460001,-124.861655093 69.735809154,-124.841056454 69.7250346600001,-124.825836782 69.7170729920001,-124.881663782 69.6705369920001,-124.898464144 69.659214906,-124.906390987 69.6538732000001,-124.911853043 69.651186038,-124.924999783 69.644718992,-124.935545783 69.6783189920001,-124.965671615 69.718666607,-124.974017858 69.729845095,-124.974018178 69.7298451830001,-124.974018783 69.729845992,-125.008472783 69.7393549920001,-125.049727783 69.7430459920001,-125.068984135 69.7431533860001,-125.072500024 69.743173159,-125.363535964 69.689282215,-125.363536041 69.68928213,-125.363536783 69.6892819920001,-125.412090783 69.6358189920001,-125.412090407 69.6358187180001,-125.412090988 69.6358180780001,-125.281957367 69.5408054320001,-125.260272783 69.5249729920001,-125.251414875 69.5225613110001,-125.216399867 69.513027052,-125.187695818 69.507606111,-125.185545783 69.507199992,-125.183425199 69.5064425890001,-125.132429553 69.4882281110001,-125.283979667 69.4984346700001,-125.3069551 69.4999821280001,-125.321526614 69.5011807050001,-125.457363783 69.512354992,-125.477657008 69.509581236,-125.482773063 69.5088822010001,-125.509679976 69.498366719,-125.578054783 69.471645992,-125.601275168 69.4412611110001,-125.617008907 69.4206732310001,-125.617008556 69.4206732900001,-125.617008783 69.4206729920001,-125.598540807 69.4237863450001,-125.530563993 69.435245002,-125.476731467 69.448927638,-125.462781783 69.4524729920001,-125.117908783 69.466090992,-125.114508208 69.4641338970001,-125.089446262 69.44970927,-125.111936783 69.4158189920001,-125.131318783 69.3931099920001,-125.165281783 69.381636992,-125.210008783 69.381909992,-125.35926995 69.3945482020001,-125.377490994 69.3960911200001,-125.384790239 69.3867022530001,-125.395972783 69.372318992,-125.39597254 69.3723186920001,-125.395972923 69.3723181990001,-125.373404271 69.344535792,-125.369018783 69.3391369920001,-125.420836292 69.3126002440001,-125.551099991 69.3371911510001,-125.605257049 69.3469433490001,-125.839718783 69.3891639920001,-125.884745783 69.399154992,-125.910554783 69.405545992,-125.962772783 69.421236992,-125.988890784 69.4305459920001,-126.036663784 69.4497099920001,-126.045227466 69.451717843,-126.049726839 69.4527732380001,-126.08860898 69.462491216,-126.092292139 69.4635750850001,-126.112208784 69.4694369920001,-126.261663784 69.532418992,-126.289319961 69.5574723810001,-126.290555011 69.5585912450001,-126.309223709 69.568048097,-126.459445784 69.6441459920001,-126.594271491 69.7089258830001,-126.601672986 69.71248215,-126.620535956 69.7199821090001,-126.638616046 69.7283453460001,-126.676663784 69.745945992,-126.705136304 69.766027653,-126.730989416 69.7979526060001,-126.743881784 69.813872992,-126.808808784 69.901718993,-126.886108784 70.004718993,-126.960321611 70.0768479490001,-127.034435845 70.1488822520001,-127.04610359 70.1654308750001,-127.054990785 70.178036993,-127.076399785 70.196363993,-127.122847039 70.2353911550001,-127.124999962 70.2372001860001,-127.180964085 70.2763822310001,-127.185166377 70.278718423,-127.248890785 70.3141459930001,-127.265356501 70.321766837,-127.274717852 70.3261001600001,-127.331495417 70.3509047410001,-127.428599785 70.3933279930001,-127.483119917 70.4138037440001,-127.51583587 70.426091237,-127.680281938 70.4861001310001,-127.693698637 70.490827886,-127.835563785 70.5408189930001,-127.890145873 70.5581959020001,-127.903608864 70.5624822360001,-127.971390968 70.5838822410001,-128.00180001 70.5895732180001,-128.029488467 70.575828325,-128.135836786 70.5230369930001,-128.156527786 70.4974819930001,-128.177490786 70.460818993,-128.190554786 70.4366459930001,-128.19055488 70.436645475,-128.190555106 70.4366450580001,-128.197772786 70.397209993,-128.19777293 70.39720921,-128.152208904 70.381809139,-128.064999895 70.377309063,-128.030027593 70.3751964580001,-128.021663785 70.3746909930001,-128.011742096 70.3774819770001,-127.982073033 70.385827088,-127.960749048 70.3919787030001,-127.954181785 70.3938729930001,-127.949770295 70.3944829050001,-127.931954952 70.3969450120001,-127.912275551 70.395287678,-127.908755168 70.3949910250001,-127.925944103 70.376195201,-127.947563785 70.3525549930001,-127.980699785 70.345545993,-128.027118785 70.3407639930001,-128.050018785 70.3450099930001,-128.071899785 70.3465459930001,-128.071899669 70.3465451160001,-128.071899878 70.3465451310001,-128.066654986 70.307209195,-128.032654969 70.288463236,-127.867072986 70.2637361180001,-127.798260613 70.260305864,-127.791945785 70.259990993,-127.786063338 70.2600399400001,-127.724164051 70.260554013,-127.613055051 70.2477540080001,-127.578055073 70.2427540350001,-127.558842066 70.238251538,-127.550827785 70.236372993,-127.516255328 70.2235911940001,-127.520971144 70.224019346,-127.549990785 70.2266549930001,-127.585008785 70.2294279930001,-127.615008785 70.2288639930001,-127.802355931 70.2128391190001,-127.848617879 70.208882262,-127.855574489 70.207363995,-127.968336785 70.1827549930001,-127.999528693 70.1792247600001,-128.002635853 70.1788732040001,-128.011759102 70.1787318600001,-128.056672785 70.178036993,-128.101654785 70.1823459930001,-128.244136786 70.146381993,-128.310545786 70.1269189930001,-128.343045786 70.116927993,-128.363327786 70.104709993,-128.35896651 70.0675655910001,-128.357073012 70.051436089,-128.310427788 70.0104099850001,-128.316543896 69.960010138,-128.317354923 69.953327958,-128.441954786 69.9219189930001,-128.544736786 69.8852729930001,-128.640018786 69.843045993,-128.786136786 69.7608189920001,-128.925018786 69.6808189920001,-128.961482365 69.676114872,-128.970264049 69.674982185,-128.997277781 69.6771859180001,-129.130281786 69.688036992,-129.151381786 69.7008189920001,-129.164672716 69.8294273110001,-129.139735906 69.8418001650001,-129.109708911 69.8477632170001,-129.082491027 69.8505361190001,-129.038055038 69.851927179,-128.96417292 69.843318127,-128.940555063 69.8430361590001,-128.857563996 69.95720908,-128.857564355 69.95720921,-128.857563786 69.957209993,-128.890937091 69.9692760500001,-128.894046062 69.9704001840001,-128.940826972 69.9697821030001,-128.940827274 69.9697819990001,-128.940827786 69.9697819930001,-128.969436786 69.9599909930001,-128.994445786 69.939563993,-129.021118786 69.9017909930001,-129.050427786 69.8787369930001,-129.099427353 69.8588731680001,-129.137003949 69.8520881850001,-129.148618068 69.8499911220001,-129.152131361 69.8498973900001,-129.179990786 69.8491549930001,-129.234672397 69.8498832330001,-129.24276408 69.8499911270001,-129.252975412 69.8495217330001,-129.315554787 69.846645993,-129.413327787 69.838045992,-129.569321028 69.8222180540001,-129.602199871 69.8188821970001,-129.62414604 69.8124821110001,-129.63013722 69.810007914,-129.653072787 69.800536992,-129.672518787 69.792481992,-129.691954787 69.7844279920001,-130.033081787 69.731936992,-130.247831626 69.704523372,-130.281126989 69.700273237,-130.285834738 69.699132294,-130.364290788 69.6801189920001,-130.389036788 69.648745992,-130.478608788 69.5747099920001,-130.516127788 69.5480369920001,-130.680425572 69.4771228920001,-130.714999947 69.4622001970001,-130.722838 69.459077909,-130.747772788 69.4491459920001,-130.747770072 69.4491462220001,-130.747773021 69.4491450470001,-130.658146001 69.4567271490001,-130.65749994 69.4327638780001,-130.695008788 69.4044369920001,-130.723190788 69.4027639920001,-130.765972788 69.400545992,-130.805115051 69.3826662590001,-130.817081973 69.377200154,-130.862646402 69.337570913,-130.943545788 69.2672099920001,-130.943545716 69.2672094810001,-130.943546117 69.2672091330001,-130.938609008 69.2322091550001,-130.9356374 69.206349103,-130.928618788 69.1452639920001,-130.937227788 69.134427992,-130.997955456 69.1367307340001,-131.007217903 69.1370820970001,-131.024717976 69.2097181610001,-131.00058195 69.2566541370001,-130.963617925 69.2852632490001,-130.935835939 69.3024821930001,-130.910335843 69.3235911780001,-130.902977652 69.34130729,-130.900699788 69.3467909920001,-130.902690788 69.381254992,-130.920133341 69.3849420430001,-130.922300004 69.3854001700001,-130.928104579 69.3831407210001,-130.956936788 69.3719189920001,-131.006808788 69.3288099920001,-131.023908788 69.3096279920001,-131.030199641 69.342454225,-130.985809014 69.3830450230001,-130.944290933 69.4162271340001,-130.92443588 69.448591171,-130.943369259 69.522484062,-130.946545788 69.5348819920001,-130.946545955 69.534882021,-130.946546 69.534882194,-130.952428003 69.5358816670001,-130.985545788 69.541509992,-130.985545932 69.541509084,-130.98554599 69.541509094,-130.991699983 69.502627122,-130.989990935 69.449145731,-131.026672788 69.383863992,-131.050845788 69.3544279920001,-131.105680842 69.326410475,-131.084888505 69.3505349000001,-131.070281788 69.3674819920001,-131.06065532 69.3836694500001,-131.035426863 69.426091125,-131.029393258 69.4559875480001,-131.027799788 69.463881992,-131.029999788 69.485809992,-131.045772788 69.524427992,-131.074164024 69.574195903,-131.092835859 69.606927166,-131.092836375 69.606927268,-131.092836788 69.6069279920001,-131.130963788 69.6144279920001,-131.180972788 69.6029639920001,-131.193954788 69.581927992,-131.19395452 69.5819278660001,-131.193954972 69.5819271340001,-131.156908971 69.564518089,-131.127835837 69.554545133,-131.109208901 69.5434451460001,-131.089246058 69.5319181850001,-131.063946121 69.5123912010001,-131.06618191 69.4911001610001,-131.060855043 69.470691232,-131.07308983 69.455561661,-131.085254788 69.4405189920001,-131.085255101 69.4405180580001,-131.101227788 69.3939189920001,-131.134581788 69.3646279920001,-131.148508633 69.403536559,-131.13898082 69.416949033,-131.130154788 69.4293729920001,-131.125481973 69.4427009240001,-131.110535924 69.4853270410001,-131.122860144 69.5049316380001,-131.130063788 69.5163909920001,-131.130063955 69.5163910100001,-131.130064082 69.516391212,-131.150463958 69.518600179,-131.162018378 69.5265162850001,-131.206818315 69.557209668,-131.210267996 69.5615590090001,-131.225463788 69.5807189920001,-131.253863788 69.5718459920001,-131.25386321 69.5718452780001,-131.253863954 69.5718450460001,-131.243127232 69.5585865640001,-131.231227788 69.5438909920001,-131.201074942 69.5213473960001,-131.163208977 69.4930360450001,-131.166499853 69.404927892,-131.181107578 69.3821558670001,-131.190963973 69.366791172,-131.224333524 69.3551587370001,-131.329990788 69.318327992,-131.414734505 69.2991555090001,-131.399182016 69.3162360580001,-131.336444696 69.3490976640001,-131.317781788 69.358872992,-131.310420316 69.361300445,-131.266417866 69.375809094,-131.241133396 69.382288117,-131.236863788 69.3833819920001,-131.230385717 69.3868208260001,-131.211655037 69.396763181,-131.211655043 69.3967638570001,-131.211654788 69.396763992,-131.211854788 69.417363992,-131.219363788 69.4506099920001,-131.239563788 69.491236992,-131.255143709 69.4975893070001,-131.264444934 69.501382241,-131.271366481 69.500411227,-131.321927788 69.4933189920001,-131.377227789 69.4274819920001,-131.389890789 69.4041639920001,-131.412154789 69.3687279920001,-131.499418639 69.3324910540001,-131.530290674 69.331382165,-131.518809387 69.3487858120001,-131.480817897 69.4063732010001,-131.468394229 69.412913336,-131.457072789 69.418872992,-131.450458087 69.4227229320001,-131.432691021 69.4330631920001,-131.432691517 69.4330635680001,-131.432690789 69.433063992,-131.452090789 69.4477549920001,-131.558066217 69.465246257,-131.599426857 69.47207324,-131.611355459 69.472251079,-131.645708789 69.4727639920001,-131.964508789 69.399918992,-131.964505799 69.39991883,-131.964508865 69.3999181300001,-131.825109215 69.392371229,-131.806672789 69.3913729920001,-131.727082326 69.3999909340001,-131.741578717 69.383863149,-131.796245789 69.3230459920001,-131.870136717 69.2813820330001,-131.872258628 69.28082901,-131.963899789 69.2569459920001,-131.995999789 69.251636992,-132.052749779 69.2430054980001,-132.05804487 69.2422002160001,-132.116944839 69.2422002160001,-132.116945243 69.2421999920001,-132.116945789 69.2421999920001,-132.14357683 69.2274471100001,-132.168064055 69.2138821230001,-132.197327698 69.175058769,-132.222499789 69.1416639920001,-132.223599789 69.213609992,-132.282260006 69.227128963,-132.313335848 69.2342912190001,-132.31333642 69.2342909070001,-132.313336789 69.2342909920001,-132.339018789 69.2202639920001,-132.365127789 69.164981992,-132.381945789 69.1422099920001,-132.407772789 69.1244189920001,-132.42861879 69.1177549920001,-132.460251957 69.115014988,-132.463044854 69.114773159,-132.540835956 69.1352731150001,-132.540836483 69.1352729110001,-132.54083679 69.1352729920001,-132.67271879 69.084354992,-132.76264579 69.0851279920001,-132.81027279 69.0879099920001,-132.86809979 69.0640099920001,-132.868099789 69.0640092510001,-132.86809999 69.064009168,-132.868090364 69.0565688620001,-132.86804579 69.021381992,-132.862244375 68.998197195,-132.859981949 68.9891540780001,-132.847829397 68.956242166,-132.83361879 68.9177549920001,-132.833617893 68.9177541350001,-132.833617846 68.9177540100001,-132.795766558 68.8816120550001,-132.77280879 68.8596909920001,-132.759533076 68.8564822210001,-132.693599997 68.8405451140001,-132.675352787 68.8410070140001,-132.67167279 68.8410999920001,-132.646884019 68.8490447820001,-132.555573018 68.8783091080001,-132.546932641 68.8885449260001,-132.54055479 68.8960999920001,-132.540555076 68.8961001050001,-132.540554995 68.8961002010001,-132.567835645 68.9069000100001,-132.560316173 68.907023515,-132.498063942 68.908045083,-132.397719216 68.85782771,-132.47825479 68.804636992,-132.75362779 68.8027639920001,-132.78594579 68.8184279920001,-132.86179979 68.8444279920001,-132.93052577 68.854115516,-132.936673011 68.854982104,-132.95852698 68.847073278,-132.95852779 68.8470729920001,-133.00528179 68.815263992,-133.06222779 68.8027639920001,-133.088526054 68.802260265,-133.091673009 68.802200086,-133.093775962 68.802399773,-133.11512779 68.8044279920001,-133.14567004 68.8209075250001,-133.157855008 68.827482253,-133.164319518 68.8321227800001,-133.18804579 68.8491549920001,-133.213389352 68.8557194590001,-133.229844827 68.8599822450001,-133.271526859 68.858182147,-133.271527464 68.8581820060001,-133.27152779 68.8581819920001,-133.282070531 68.855718472,-133.332764038 68.8438732330001,-133.340327951 68.839751972,-133.35415479 68.832218992,-133.354154803 68.832218298,-133.35415499 68.832218196,-133.354251737 68.826998157,-133.35471879 68.801845992,-133.35471791 68.801845509,-133.354717918 68.801845029,-133.330555071 68.788600113,-133.33055502 68.788600117,-133.33055479 68.7885999920001,-133.29331879 68.791599992,-133.28956134 68.7919972080001,-133.242917914 68.7969270310001,-133.211399947 68.7908181320001,-133.146957006 68.7613191040001,-133.20306379 68.764163991,-133.22089079 68.7745639920001,-133.24208179 68.7869279920001,-133.258690301 68.783306322,-133.263764043 68.782200195,-133.262365238 68.7776497150001,-133.25723679 68.760963991,-133.257236002 68.760963695,-133.257235881 68.7609633020001,-133.147508889 68.7197090830001,-133.116331701 68.7155166030001,-133.11249079 68.7149999910001,-133.102256564 68.714960014,-133.040554966 68.714718163,-133.014882035 68.7197090830001,-132.959323577 68.715167116,-132.94860879 68.714290991,-132.947117369 68.7134820000001,-132.927090987 68.702618047,-132.920962934 68.6939704120001,-132.91833679 68.6902639910001,-132.938217469 68.6946793370001,-132.950835913 68.6974821200001,-132.955427696 68.6975156830001,-132.98803679 68.6977549910001,-133.012161001 68.693142546,-133.017091002 68.69220018,-133.022007523 68.6919855070001,-133.04583679 68.690945991,-133.080169736 68.6940766390001,-133.089999981 68.6949732480001,-133.103750205 68.6972429160001,-133.16418179 68.707218991,-133.291644964 68.7389664030001,-133.321381916 68.7463732580001,-133.338931929 68.7517601750001,-133.40558179 68.772218992,-133.45944579 68.791509992,-133.47749079 68.8045639920001,-133.489265824 68.820542704,-133.491926992 68.8241541350001,-133.484755864 68.85009374,-133.484708998 68.8502632600001,-133.463608899 68.890536126,-133.38916402 68.91026327,-133.364364754 68.9022453920001,-133.39555479 68.882827992,-133.395554207 68.882827649,-133.395555054 68.882827122,-133.379557013 68.8734391400001,-133.37011879 68.867899992,-133.34179979 68.865672992,-133.337341388 68.866543322,-133.31832688 68.8702540990001,-133.243980983 68.9045784050001,-133.22985479 68.9110999920001,-133.226849637 68.9159158530001,-133.213044811 68.938036036,-133.199917913 68.9813000680001,-133.21401795 68.9992911520001,-133.201326911 69.0304000830001,-133.177627255 69.0420730550001,-133.168575904 69.043148353,-133.106381908 69.0505360970001,-133.059770678 69.0540309790001,-133.05084579 69.0546999920001,-132.94610879 69.0374909920001,-132.938705671 69.0384452970001,-132.90527306 69.0427540030001,-132.905273084 69.042754954,-132.90527279 69.0427549920001,-132.905760767 69.0624465380001,-132.907226882 69.121645146,-132.764035812 69.2516539970001,-132.739435932 69.2608180990001,-132.711944798 69.2676270540001,-132.586108962 69.2873451460001,-132.56279458 69.28535614,-132.55361879 69.2845729920001,-132.544257478 69.2825915660001,-132.528063947 69.2791632350001,-132.329164066 69.3144181910001,-132.116635882 69.357209148,-132.09122871 69.3754707940001,-132.086899789 69.3785819920001,-132.086899983 69.378582108,-132.086899907 69.378582163,-132.090721538 69.3808640070001,-132.12949945 69.4040187890001,-132.079991039 69.4808180800001,-132.042781927 69.505827165,-132.001817891 69.5292911280001,-131.748473021 69.567218068,-131.720835875 69.5654090850001,-131.698335829 69.5559541310001,-131.593671118 69.5667944960001,-131.586945789 69.567490992,-131.576572031 69.5685988610001,-131.407499881 69.586654025,-131.33459431 69.5804965950001,-131.328608788 69.579990992,-131.188599788 69.623872992,-131.183533502 69.6246530220001,-131.163326827 69.6277632370001,-131.053072949 69.637209139,-131.047120379 69.6245838980001,-131.037227788 69.6035999920001,-130.985495634 69.5823105590001,-130.944735844 69.5655361550001,-130.923890889 69.56526324,-130.840817846 69.6026270820001,-130.837408716 69.609596185,-130.836672788 69.611099992,-130.839372666 69.6233184380001,-130.78501784 69.6748450570001,-130.761337673 69.681419202,-130.757508788 69.6824819920001,-130.749044686 69.683406705,-130.70416399 69.6883090760001,-130.646972924 69.6913632740001,-130.621373083 69.6952539860001,-130.578335865 69.7080360530001,-130.564099873 69.7239360200001,-130.495817872 69.781663194,-130.228054957 69.840545058,-130.050134209 69.879872505,-129.993045787 69.8924909930001,-129.965942742 69.8989589130001,-129.889463954 69.9172091300001,-129.595555033 69.9913631570001,-129.573608864 69.997754022,-129.497500009 70.0205360350001,-129.433899972 70.0680540500001,-129.417119835 70.0903590520001,-129.407472787 70.1031819930001,-129.459163792 70.147490986,-129.459164034 70.147491191,-129.470927637 70.152632188,-129.609163787 70.213045993,-129.647245787 70.2516639930001,-129.677752233 70.2635718480001,-129.682646025 70.2654822370001,-129.694932143 70.2623491430001,-129.731381787 70.253054993,-129.772446094 70.2298895600001,-129.790008985 70.2199822490001,-129.802997509 70.2125052690001,-129.832490787 70.195527993,-129.836856694 70.1825204190001,-129.84610001 70.1549820980001,-129.8492375 70.1501800280001,-129.864436787 70.1269189930001,-129.890836787 70.092754993,-129.926118786 70.0785999880001,-129.969299787 70.0705459930001,-130.176663787 70.0534549930001,-130.321695379 70.1043444920001,-130.32667284 70.106091044,-130.353608788 70.132199993,-130.35360892 70.132200013,-130.353608994 70.1322000850001,-130.357394092 70.1327885540001,-130.407227788 70.1405369930001,-130.426740312 70.1291577260001,-130.432373068 70.1258732570001,-130.45100704 70.1189084790001,-130.493472788 70.103036993,-130.523379532 70.1052033020001,-130.52986399 70.1056732050001,-130.545972762 70.119282029,-130.539931557 70.1278334080001,-130.516826945 70.1605361150001,-130.479417841 70.168036074,-130.479423916 70.1680359650001,-130.479418788 70.168036993,-130.537111003 70.166998199,-130.548617995 70.166791194,-130.548618352 70.166791001,-130.548618788 70.1667909930001,-130.656127788 70.108599993,-130.748318788 70.0819369930001,-130.892245788 70.0991549930001,-130.930299788 70.0830549930001,-131.016127788 70.025545993,-131.012030935 69.9984826570001,-131.010282053 69.986927522,-131.031399788 69.9494189930001,-131.077790788 69.8883279930001,-131.190690788 69.824854992,-131.213633587 69.837827503,-131.214999785 69.8386000450001,-131.213590788 69.8626819930001,-131.212272662 69.8660812420001,-131.203944859 69.8875541240001,-131.222814418 69.910168711,-131.236099788 69.9260909930001,-131.236099992 69.926091064,-131.236100019 69.926091097,-131.237006107 69.926410962,-131.269163788 69.937763993,-131.335493841 69.9500116150001,-131.348872995 69.9524821900001,-131.360803606 69.9527511260001,-131.417008789 69.954018993,-131.437303969 69.930653782,-131.447781967 69.9185911380001,-131.62359993 69.871373195,-131.641266958 69.8661088870001,-131.645018789 69.864990993,-131.760499789 69.8242189920001,-131.7604998 69.824218144,-131.760499879 69.8242181160001,-131.760772952 69.8033189180001,-131.839999789 69.7669369920001,-131.866654789 69.7637459920001,-131.954436789 69.7547189920001,-132.064068435 69.732491855,-132.083308932 69.728591162,-132.08851612 69.7271216220001,-132.113527789 69.7200639920001,-132.146972789 69.6852549920001,-132.163054789 69.6852549920001,-132.205963789 69.6894189920001,-132.286594085 69.7238848640001,-132.289182053 69.724991134,-132.302224318 69.7281374360001,-132.399745789 69.751663992,-132.47305479 69.7477549920001,-132.522860084 69.741924886,-132.535964059 69.740391205,-132.546106255 69.7288860020001,-132.58271879 69.6873549920001,-132.582717263 69.6873548550001,-132.582717979 69.687354042,-132.551726898 69.684563204,-132.517790919 69.683318156,-132.458527416 69.7024909020001,-132.334718789 69.6726909920001,-132.372772789 69.646945992,-132.388704737 69.6419117140001,-132.393890967 69.6402732270001,-132.399095358 69.639231329,-132.41750879 69.6355459920001,-132.54403679 69.6308189920001,-132.594432767 69.6401020650001,-132.617617877 69.6443731510001,-132.628617248 69.6460562940001,-132.66229079 69.6512099920001,-132.78778179 69.6597189920001,-132.82110879 69.6605369920001,-132.86471879 69.6583279920001,-132.888205931 69.6547411550001,-132.893890939 69.6538732000001,-132.913481961 69.646382126,-132.929547214 69.6355744430001,-132.98400879 69.5989369920001,-132.984008293 69.598936484,-132.984008971 69.598936027,-132.956645795 69.5709549580001,-132.96570632 69.5140688700001,-132.966090841 69.5116549470001,-132.99941879 69.481936992,-133.062076611 69.441982378,-133.073054958 69.434982145,-133.157029001 69.412151571,-133.205836557 69.3988820550001,-133.225964006 69.3968002290001,-133.243964972 69.3981437800001,-133.31889079 69.4037369920001,-133.351346857 69.409024936,-133.36402686 69.4110912070001,-133.407773019 69.414700119,-133.428454661 69.413413667,-133.550563791 69.405818992,-133.664463791 69.3879099920001,-133.824326029 69.337940663,-133.871890901 69.323073176,-133.878404387 69.3132803820001,-133.891681791 69.2933189920001,-133.928618791 69.282209992,-134.029172791 69.2669369920001,-134.058795195 69.263550179,-134.061935972 69.2631911830001,-134.135417938 69.2617912380001,-134.149916206 69.2586337970001,-134.158336791 69.2567999920001,-134.219163791 69.219709992,-134.21916388 69.2197091570001,-134.219164047 69.2197090550001,-134.219709334 69.214563469,-134.223036791 69.183172992,-134.34742738 69.1044912520001,-134.455835969 69.106091183,-134.460848872 69.1058222670001,-134.491945791 69.1041549920001,-134.528880606 69.0958200760001,-134.537508898 69.0938732180001,-134.543112034 69.0915868160001,-134.558608791 69.0852639920001,-134.626845792 69.010754992,-134.622767425 68.9987081410001,-134.619155006 68.9880361,-134.558044896 68.9330451160001,-134.541690965 68.9197091720001,-134.423064068 68.8316633140001,-134.317364078 68.769853987,-134.289380566 68.7546191070001,-134.287508791 68.753599991,-134.262508791 68.7363729910001,-134.242550927 68.7156334920001,-134.225127831 68.6975279800001,-134.282772791 68.6813639910001,-134.308045791 68.6780369910001,-134.339999791 68.6788639910001,-134.367347373 68.681785007,-134.373873025 68.682482201,-134.380456089 68.683758251,-134.401118791 68.6877639910001,-134.44010113 68.6985372520001,-134.44638202 68.7002731260001,-134.447311913 68.7006449100001,-134.469299791 68.7094369910001,-134.488663791 68.735118991,-134.641690792 68.856645992,-134.669463792 68.873309992,-134.708890792 68.8927639920001,-134.732523175 68.9021828990001,-134.745817968 68.9074821550001,-134.765863784 68.9127506730001,-134.810290792 68.9244279920001,-134.844502487 68.9278672980001,-134.851791041 68.928600192,-134.860930913 68.9254329120001,-134.886263792 68.9166549920001,-134.917236792 68.8980369920001,-134.945176416 68.8840589310001,-134.951108883 68.88109123,-134.957020024 68.8804676600001,-134.977481792 68.8783099920001,-135.121918792 68.8933279920001,-135.190554792 68.903809992,-135.210831091 68.919436127,-135.212081953 68.920400176,-135.216212192 68.921476796,-135.234436792 68.9262279920001,-135.335818792 68.9177549920001,-135.564882147 68.892410016,-135.617555012 68.886582214,-135.617554759 68.886581995,-135.617554792 68.8865819920001,-135.617085104 68.8861745560001,-135.599855114 68.8712270710001,-135.560544827 68.8602632060001,-135.534325896 68.8570947330001,-135.528354792 68.856372992,-135.494718792 68.854981992,-135.421663792 68.8488729920001,-135.344864328 68.835682084,-135.3520965 68.8352315710001,-135.404999792 68.8319369920001,-135.436175439 68.835617202,-135.446117934 68.836791195,-135.495072942 68.8374910840001,-135.492925678 68.8329025480001,-135.481936792 68.8094189920001,-135.48193607 68.8094186170001,-135.481935818 68.8094180780001,-135.343599882 68.7377632000001,-135.253626856 68.7069360680001,-135.214444812 68.693036023,-135.1575837 68.6663596380001,-135.146955189 68.6613731780001,-135.150490858 68.6602445400001,-135.159999792 68.6572099910001,-135.19799521 68.660339875,-135.210535827 68.6613732160001,-135.258533397 68.6658434880001,-135.365536792 68.6758099910001,-135.39760549 68.6790402440001,-135.406955 68.6799822150001,-135.41119076 68.6826394890001,-135.453890792 68.709427991,-135.48725903 68.732354238,-135.488463979 68.7331821540001,-135.492473555 68.7348018170001,-135.519745792 68.7458189910001,-135.536661295 68.751242618,-135.540554993 68.7524912090001,-135.581600814 68.7636927830001,-135.831663793 68.8319369920001,-135.855349073 68.8380782660001,-135.858799932 68.8389731720001,-135.986664021 68.864991102,-135.989661146 68.8655766030001,-136.027799793 68.8730279920001,-136.079454724 68.879852026,-136.097226857 68.8822001550001,-136.107988278 68.883014835,-136.145018793 68.8858189920001,-136.255863793 68.8894369920001,-136.345872846 68.8933231190001,-136.358608964 68.893873129,-136.363000984 68.894299527,-136.393063793 68.897218992,-136.420590793 68.9015549920001,-136.477481793 68.9108099920001,-136.515308793 68.909709992,-136.619990793 68.8919369920001,-136.642718603 68.8815820790001,-136.644451725 68.8811609590001,-136.682490793 68.8719189920001,-136.745545794 68.875263992,-136.789736794 68.881927992,-136.89668253 68.9081652610001,-136.968044908 68.9256732320001,-137.130282009 68.944973234,-137.146350942 68.9446853110001,-137.192227794 68.943863992,-137.21715985 68.944680073,-137.226108955 68.944973234,-137.231922709 68.9456461180001,-137.255008794 68.9483189920001,-137.409901637 68.9865869020001,-137.419155083 68.9888731170001,-137.594455044 69.0277731950001,-137.608950463 69.0308927880001,-137.696381794 69.049709992,-138.001127795 69.1152639920001,-138.034303657 69.122477942,-138.039464031 69.1236001410001,-138.04215639 69.1242575700001,-138.063327795 69.129427992,-138.143336795 69.150818992,-138.16272374 69.1560671190001,-138.177217928 69.1599911800001,-138.191810029 69.164656586,-138.218872795 69.173309992,-138.261536795 69.192336992,-138.449981795 69.2291549920001,-138.606090795 69.2530459920001,-138.61184184 69.2608914,-138.619017988 69.2706822580001,-138.632008174 69.2814831470001,-138.643890795 69.2913639920001,-138.760281795 69.350118992,-138.799163795 69.3641549920001,-138.833618795 69.373309992,-138.882754796 69.384718992,-138.930806723 69.3976616560001,-138.939454962 69.3999912200001,-138.943044226 69.4014901100001,-138.966381796 69.4112369920001,-139.055354796 69.454990992,-139.096799796 69.486509992,-139.112363796 69.5036099920001,-139.143063796 69.5108189920001,-139.322717427 69.532827942,-139.351655001 69.5363731670001,-139.38073506 69.5391472320001,-139.534999796 69.5538639920001,-139.569611024 69.555889461,-139.573055095 69.556091091,-139.575290248 69.5563124080001,-139.606654796 69.5594189920001,-139.717345987 69.578618158,-139.73165512 69.5811001760001,-139.735553291 69.5823016210001,-139.763623617 69.5909537040001,-139.694441385 69.582386802,-139.677372796 69.5802729920001,-139.658366017 69.5785002100001,-139.576108957 69.570827147,-139.57612149 69.5708291760001,-139.576108796 69.570827992,-139.605254796 69.5755459920001,-139.742777837 69.5963879590001,-139.781126957 69.602200108,-139.787793911 69.6032074550001,-139.810545796 69.606645992,-139.888336796 69.6166549920001,-139.935136797 69.6187279920001,-140.092636797 69.6177639920001,-140.120247734 69.6156673520001,-140.129154977 69.6149912280001,-140.175039007 69.607128151,-140.179445797 69.6063729940001,-140.218872797 69.600818992,-140.261408797 69.596645992,-140.382901395 69.5961535640001,-140.396117923 69.5961000940001,-140.40739097 69.5965069110001,-140.488308797 69.5994279920001,-140.615536797 69.6083189920001,-140.738308797 69.6177549920001,-140.770018797 69.6216459920001,-140.791753319 69.626422565,-140.795290976 69.6272001400001,-140.798094502 69.6278927110001,-140.824581797 69.6344369920001,-140.909454797 69.6391639920001,-140.982208797 69.6427639920001,-141.002990797 69.642363995,-140.998048839 69.6468102900001,-140.997936111 69.6469111110001,-140.99768353 69.6474130560001,-140.9975 69.647777778,-140.997499827 69.647777933,-140.993015454 69.6518138700001,-140.983611111 69.6602777790001,-140.979813443 69.664919373,-140.976111111 69.6694444460001,-140.949999999 69.691666668,-140.829166666 69.7736111120001,-140.785277777 69.7983333350001,-140.710277777 69.8611111120001,-140.322777777 70.1572222240001,-140.302966613 70.1908740640001,-140.302499998 70.1916666670001,-140.278138033 70.243374696,-140.164166666 70.4852777790001,-140.162499999 70.4886111120001,-140.046388888 70.625277779,-139.875277777 70.806944446,-139.787777777 70.9672222240001,-139.739999999 71.0208333350001,-139.566111111 71.199444446,-139.362777777 71.386111112,-138.661254687 72.0077191890001,-138.438611111 72.205000001,-137.980018297 72.5381546680001,-137.650555556 72.7775,-137.568888889 72.9469444440001,-137.429547794 72.9300369950001,-137.270195794 72.947589995,-137.315327794 73.7612019960001,-137.142078794 73.882991996,-137.193220794 73.915663996,-137.276922794 75.2126959980001,-136.891094794 75.5439569980001,-136.770244794 75.7804019980001,-137.000154794 76.1581679980001,-137.056070794 76.3147339990001,-136.971654794 76.7280069990001,-137.017769794 77.3362459990001,-135.879993793 77.9378510000001,-134.628488792 78.5345310010001,-134.201412791 78.6230950010001,-133.19566379 79.0442730010001,-133.17195179 79.0518170010001,-133.15728479 79.0595850010001,-132.98487479 79.127363001,-131.188120788 79.6560740020001,-129.834081787 79.9099810020001,-128.756222786 80.2317320020001,-127.607243785 80.5499680020001,-126.380609784 80.864326003,-125.702215783 80.9687380030001,-125.689036783 80.9723180030001,-125.400232783 81.027729003,-125.172129783 81.0545130030001,-124.567183782 81.1667500030001,-124.404640782 81.1835610030001,-124.188881782 81.232884003,-122.58787578 81.464824003,-122.38077278 81.4839370030001,-122.24700278 81.5108800030001,-121.240197779 81.6397590030001,-120.426703778 81.7438840040001,-119.620004778 81.847637004,-118.820361777 81.951001004,-118.792603777 81.9546780040001,-118.636309777 81.980382004,-117.858989776 82.1118790040001,-117.095542775 82.2425210040001,-116.851502775 82.2854130040001,-116.783823775 82.404731004,-115.003633773 83.2204770050001,-114.333900773 83.397857005,-114.308836773 83.409727005,-113.516791772 83.618347005,-113.506497772 83.6210520050001,-113.504535772 83.6214640050001,-112.462636771 83.8749040060001,-111.33227677 84.1262340060001,-110.102479769 84.3751680060001,-108.735569767 84.523149006,-107.733522767 84.724116006,-106.653146766 84.9234020070001,-105.800057765 85.024089007,-105.227141764 85.0922090070001,-104.669642764 85.159584007,-104.030522763 85.2379390070001,-102.532936762 85.415594007,-101.550576761 85.508642007,-100.52718676 85.6003390070001,-99.460801759 85.6905980070001,-98.349405758 85.7793280070001,-97.533878757 85.8147410070001,-96.993219757 85.8637960070001,-96.3815607559999 85.8986560070001,-95.162840755 85.966045008,-93.803113754 86.040228008,-93.434944753 86.0526940080001,-92.399061752 86.0949460080001,-91.3409417509999 86.1359110080001,-90.2605927499999 86.1755460080001,-89.158080749 86.2138090080001,-88.033540748 86.2506580080001,-86.8871827469999 86.2860500080001,-85.719291746 86.3199440080001,-84.530234745 86.3522970080001,-82.600422743 86.385867008,-80.656708741 86.4181660080001,-79.5901797399999 86.4269690080001,-78.518741739 86.4345400080001,-77.4431027379999 86.440872008,-76.3639907369999 86.4459570080001,-75.282143736 86.449791008,-74.1983147349999 86.4523680080001,-73.113264734 86.453687008,-72.027757733 86.4537460080001,-70.9425617319999 86.4525440080001,-69.858442731 86.450082008,-68.98038873 86.4300300080001,-68.28753173 86.426825008,-67.845417729 86.426803008,-67.5751867289999 86.4229820080001,-66.551421728 86.4164840080001,-65.5316297269999 86.408856008,-64.516419726 86.4001070080001,-63.506382725 86.3902440080001,-62.502094724 86.379276008,-61.504105723 86.3672130080001),(-70.4855089339999 83.1069219450001,-70.5852817319999 83.1033190050001,-70.6699286579999 83.1035304800001,-70.69415502 83.1035912460001,-70.733624757 83.1024555450001,-70.887218732 83.098037005,-71.098131209 83.088693398,-71.125273014 83.087491119,-71.1721630439999 83.0784088400001,-71.4249997329999 83.029437005,-71.4812817329999 83.0068640050001,-71.481280491 83.00686383,-71.4812819479999 83.006863245,-71.30638197 82.982209218,-71.151345307 82.951464614,-71.080836732 82.937482005,-70.9619457319999 82.9185910050001,-70.951985415 82.9167714490001,-70.904172992 82.90803608,-70.8427833169999 82.8883186040001,-70.866379589 82.8823551830001,-70.871381981 82.881091111,-70.880570206 82.8813772990001,-70.952227732 82.883610005,-71.018336732 82.891937005,-71.084163732 82.9005460050001,-71.144163732 82.908328005,-71.2017019739999 82.9134015490001,-71.2197268369999 82.914991216,-71.336672995 82.9147001960001,-71.364439621 82.9177980520001,-71.493609733 82.9322100050001,-71.54400071 82.9382828230001,-71.567226798 82.941082237,-71.663358859 82.971216983,-71.78971749 83.010827615,-71.775008814 83.0322091150001,-71.749999897 83.043045072,-71.6963818679999 83.0577541380001,-71.6624256219999 83.0667646780001,-71.654445733 83.068882005,-71.617511508 83.0798272430001,-71.589317807 83.0881821230001,-71.611663961 83.096100172,-71.7127819 83.098873241,-71.7430790449999 83.0985904170001,-71.831681733 83.097764005,-72.005572733 83.0991550050001,-72.088786855 83.100669639,-72.1119358409999 83.10109126,-72.2269459469999 83.1013821120001,-72.2424561019999 83.1008693100001,-72.3363997339999 83.097764005,-72.3658277339999 83.0941460050001,-72.4006997339999 83.0865190050001,-72.4241637339999 83.0791640050001,-72.477490734 83.0766640050001,-72.5238997339999 83.076937005,-72.566463734 83.088246005,-72.5997277339999 83.096937005,-72.6403275869999 83.0964864900001,-72.650554929 83.0963732540001,-72.927490999 83.0674912280001,-72.931677478 83.0650652750001,-72.9486097339999 83.055255005,-73.033890734 83.0366550050001,-73.2619457339999 83.0077640050001,-73.626799735 82.9388640050001,-73.634739392 82.9300346090001,-73.6403460499999 82.9238000930001,-73.607499886 82.913036053,-73.577226799 82.90803608,-73.5117641209999 82.9036145410001,-73.494999735 82.9024820050001,-73.487563812 82.901639447,-73.4608268059999 82.8986091210001,-73.4385218959999 82.8944920330001,-73.4254187349999 82.892073005,-73.401399735 82.874982005,-73.372478911 82.8651006060001,-73.257508824 82.82581816,-73.223223983 82.8169363850001,-73.2113997339999 82.8138730050001,-73.166910226 82.8073643540001,-73.027217878 82.786927135,-72.9941089069999 82.7845934740001,-72.9838907339999 82.783873005,-72.967339426 82.7822061420001,-72.91221783 82.7766541060001,-72.716664006 82.7555540060001,-72.648899839 82.7466450490001,-72.530937052 82.7265306890001,-72.50069145 82.721373127,-72.522259965 82.715949386,-72.5990277339999 82.6966460040001,-72.633899734 82.694428004,-72.66557698 82.6978686320001,-72.672226843 82.698591095,-72.678723291 82.699666521,-72.700836734 82.7033280040001,-72.749999734 82.714710004,-72.817151297 82.7255704560001,-72.835826841 82.7285911000001,-72.847572584 82.7297879390001,-72.9066637339999 82.7358100050001,-72.940803527 82.7382387630001,-72.949717795 82.738873181,-72.975914325 82.7403252600001,-73.0750097339999 82.745819005,-73.144079591 82.750332294,-73.160281932 82.751391218,-73.17569142 82.753210311,-73.2472187339999 82.7616550050001,-73.278408396 82.7659074870001,-73.28195498 82.766391136,-73.548335887 82.806091183,-73.564047332 82.8086600080001,-73.607772735 82.8158100050001,-73.817781735 82.852764005,-73.851672735 82.866655005,-73.877823162 82.8954427020001,-73.879435815 82.897218061,-73.879435918 82.897218105,-73.879436735 82.8972190050001,-74.0180637349999 82.956937005,-74.073644356 82.970015688,-74.084163969 82.9724912400001,-74.172772923 82.9910911860001,-74.2791729699999 83.0099912040001,-74.408054958 83.024700103,-74.4105775909999 83.0249280830001,-74.435818736 83.0272100050001,-74.6462813529999 83.037996364,-74.706663947 83.0410912500001,-74.797499973 83.0435912360001,-74.831722852 83.044010149,-74.9563907359999 83.0455370050001,-74.989670423 83.0442740110001,-74.999999881 83.0438822560001,-75.009766788 83.0434187690001,-75.046954736 83.0416550050001,-75.27383896 83.029583098,-75.313326822 83.027482224,-75.3714645759999 83.0297758880001,-75.580836737 83.038037005,-75.948609737 83.051928005,-75.979718737 83.0530370050001,-76.028609737 83.054428005,-76.070060353 83.05374197,-76.079181988 83.053591182,-76.085175152 83.0530549570001,-76.113327737 83.0505370050001,-76.206663737 83.0366550050001,-76.266663737 83.029164005,-76.337041357 83.0233133,-76.360272967 83.0213822100001,-76.398722262 83.0195586040001,-76.5594367369999 83.0119370050001,-76.863054738 83.010819005,-77.071450495 83.0112495480001,-77.1355639769999 83.0113822650001,-77.142295511 83.0121830990001,-77.170553132 83.0155458140001,-77.142290335 83.0276895690001,-77.1359817379999 83.030400005,-77.1359821299999 83.030400033,-77.1359818989999 83.0304001320001,-77.1838819609999 83.0338732580001,-77.193279866 83.0330692110001,-77.222781738 83.0305460050001,-77.249399777 83.0257794180001,-77.252226826 83.025273257,-77.253665299 83.024971491,-77.2761097379999 83.0202640050001,-77.3419457379999 83.0055550050001,-77.379099738 82.990128005,-77.379098808 82.9901275270001,-77.3790998389999 82.9901270990001,-77.359269281 82.9799525780001,-77.344727738 82.9724910050001,-77.131672738 82.9399730050001,-77.124780594 82.939006572,-77.0663909799999 82.9308180930001,-77.025835812 82.927763225,-76.881946026 82.9136092080001,-76.844163927 82.9091450060001,-76.762216401 82.8964511760001,-76.752790738 82.8949910050001,-76.7468147279999 82.8936848070001,-76.7108267899999 82.8858181700001,-76.6757709619999 82.875234435,-76.666654738 82.8724820050001,-76.661618178 82.8707662080001,-76.629163919 82.859709212,-76.589275422 82.8400111610001,-76.586399738 82.8385910050001,-76.583095827 82.8371866800001,-76.54527297 82.8211092060001,-76.5288293309999 82.8151572790001,-76.5252817369999 82.8138730050001,-76.5213107829999 82.8128435850001,-76.501681877 82.807753985,-76.4522988539999 82.7983934800001,-76.447490737 82.7974820050001,-76.4401601169999 82.796636757,-76.3752728859999 82.789154039,-76.288608869 82.784718168,-76.2499810099999 82.783803752,-76.241381737 82.783600005,-76.186390737 82.783873005,-76.139156037 82.7841252950001,-75.99055701 82.7849181490001,-76.014727737 82.7758190050001,-76.056945737 82.7716550050001,-76.176390737 82.767210005,-76.226390737 82.764437005,-76.269454737 82.760819005,-76.29402813 82.7491924010001,-76.3039460749999 82.7445001200001,-76.27555506 82.7244271380001,-76.256390844 82.7172091460001,-76.241438696 82.713567067,-76.235827737 82.7122000040001,-76.103054737 82.6861000040001,-76.051419789 82.6806160130001,-75.807499863 82.654709149,-75.670545935 82.6427632610001,-75.625546011 82.6330451150001,-75.5717600999999 82.6295175220001,-75.5574997369999 82.6285820040001,-75.544569816 82.6286496760001,-75.503617818 82.6288632160001,-75.468890922 82.627763175,-75.4418363619999 82.624683454,-75.434718736 82.6238730040001,-75.424377103 82.6216108630001,-75.402928549 82.6169185370001,-75.420272736 82.606937004,-75.451672736 82.6033190040001,-75.5008367359999 82.6002640040001,-75.6063817369999 82.5958280040001,-75.6480547369999 82.5916640040001,-75.671390737 82.5869280040001,-75.773899737 82.5572100040001,-75.795680561 82.5490374820001,-75.802781857 82.546373218,-75.8173434409999 82.542207492,-75.887218737 82.5222190040001,-75.9750097369999 82.4997100040001,-76.037781737 82.4844190040001,-76.102781737 82.4705370040001,-76.1657653839999 82.457638875,-76.184154932 82.4538732170001,-76.233890891 82.444973158,-76.258135791 82.4692360700001,-76.214649558 82.4996143130001,-76.203672737 82.507282004,-76.160081787 82.5204898120001,-76.03889085 82.5572091750001,-75.984563064 82.568856403,-75.9727817369999 82.571382004,-75.967906166 82.572009882,-75.9383267869999 82.5758181740001,-75.9186097369999 82.579991003,-75.918608863 82.5799911880001,-75.894308887 82.590127088,-75.894310489 82.5901276910001,-75.894309737 82.5901280040001,-75.912559347 82.5969903650001,-75.913890857 82.597491093,-75.9239831149999 82.5988439540001,-76.058881737 82.616928004,-76.093336737 82.6208190040001,-76.311318351 82.6434885520001,-76.387217936 82.6513822040001,-76.4222478949999 82.654342963,-76.538327737 82.6641550040001,-76.570554737 82.6666550040001,-76.6025787039999 82.690471717,-76.6052818649999 82.6924821960001,-76.61003769 82.694521406,-76.644163738 82.7091550040001,-76.662895878 82.7167151830001,-76.674435919 82.7213732750001,-76.690553371 82.7268767630001,-76.708618738 82.7330460050001,-76.766663738 82.7508280050001,-76.787374455 82.7559382860001,-76.789172943 82.756382138,-76.791866586 82.756864777,-76.8155547379999 82.761110005,-76.840877791 82.763880548,-76.851108837 82.765000243,-76.898346058 82.7661001170001,-76.902771717 82.7665366270001,-76.950418236 82.7712369550001,-76.963007002 82.7971675110001,-76.966663738 82.804700005,-76.966663909 82.8047000710001,-76.9666639339999 82.804700122,-76.97613262 82.808378233,-77.0986097379999 82.8559550050001,-77.1283277379999 82.8633100050001,-77.3194547379999 82.8733100050001,-77.405272738 82.8788640050001,-77.455816533 82.882957762,-77.467226834 82.883882118,-77.528064029 82.8911001100001,-77.6166550459999 82.902773251,-77.698617822 82.9142911590001,-77.7683358099999 82.9224821230001,-77.774682446 82.9227582070001,-77.813045739 82.924428005,-77.8566297409999 82.9217799570001,-77.863326913 82.921373197,-77.873283612 82.920543885,-77.949999739 82.9141550050001,-77.97873457 82.9108915350001,-77.9866639369999 82.909991243,-78.009367448 82.907162832,-78.080290739 82.8983280050001,-78.108336739 82.8933280050001,-78.2069612349999 82.8639847900001,-78.231872994 82.8565732060001,-78.231872519 82.8565730700001,-78.231872739 82.856573005,-78.2274649189999 82.855307554,-78.194445952 82.8458271040001,-78.128872983 82.836654116,-78.107910669 82.828609869,-78.144163739 82.823319005,-78.1755547389999 82.827210005,-78.341672739 82.850537005,-78.500563739 82.845537005,-78.550826504 82.8556097570001,-78.5386089089999 82.8766450150001,-78.521946021 82.8891632190001,-78.507781946 82.910809149,-78.507782224 82.9108092640001,-78.5077817389999 82.910810005,-78.546109739 82.926655005,-78.6319457389999 82.9413640050001,-78.671109739 82.9455280050001,-78.719727739 82.9466370050001,-78.7548913649999 82.9426134460001,-78.756117956 82.9424731300001,-78.756118468 82.9424730360001,-78.75611874 82.9424730050001,-78.7802907399999 82.9380370050001,-78.82529074 82.9280370050001,-78.9280547399999 82.8986100050001,-79.036844694 82.89758715,-79.06929989 82.897282266,-79.08627611 82.9058579810001,-79.1774907399999 82.951937005,-79.37054574 82.9741550050001,-79.41444574 82.975264005,-79.45834574 82.9741550050001,-79.759667941 82.9591658460001,-79.793335897 82.957491153,-79.9047268639999 82.95110012,-80.0958357659999 82.9371911900001,-80.115405279 82.9347647020001,-80.398054741 82.8997190050001,-80.429999741 82.8908280050001,-80.429998656 82.890827555,-80.429999951 82.890827195,-80.393063921 82.875536089,-80.277217804 82.8508181920001,-80.219726833 82.8416633090001,-80.194154988 82.8383180920001,-80.158335763 82.8355361380001,-80.109999841 82.8347180640001,-80.006672936 82.834427045,-79.8961178119999 82.835818105,-79.854376724 82.835103975,-79.8477817409999 82.8349910050001,-79.8271565329999 82.8333566040001,-79.677780764 82.821518697,-79.87908928 82.813803029,-79.942490859 82.8113732900001,-79.975826861 82.8085911690001,-79.97582741 82.808591032,-79.975827741 82.808591005,-79.9969457409999 82.803319005,-79.9969446819999 82.8033184610001,-79.996946072 82.803318114,-79.9363908449999 82.772218068,-79.920275007 82.7673653480001,-79.913327741 82.765273005,-79.906235324 82.7637016610001,-79.886945998 82.759427116,-79.836945934 82.7505451480001,-79.6230459669999 82.7277633030001,-79.4442875349999 82.710381597,-79.4030637399999 82.7063730040001,-79.392380002 82.705375754,-79.331681959 82.6997090730001,-79.2430550669999 82.6952540920001,-78.931945978 82.681654118,-78.8950089419999 82.680263225,-78.840835864 82.6808181070001,-78.5766729759999 82.6869181210001,-78.531955019 82.684418135,-78.511957416 82.6790097890001,-78.5564268959999 82.6754339780001,-78.565555052 82.6747001560001,-78.843608933 82.6649912300001,-78.9047914019999 82.6655429520001,-79.14999074 82.6677550040001,-79.3847367399999 82.672764004,-79.4446622949999 82.6761394760001,-79.468335815 82.6774732250001,-79.5055673379999 82.6813579620001,-79.6174907399999 82.6930370040001,-79.6841547399999 82.6997100040001,-79.738429911 82.7042348630001,-79.7474999619999 82.7049911810001,-79.7549228239999 82.705505481,-79.78750974 82.7077640040001,-79.819232474 82.7086040730001,-79.829726936 82.7088822280001,-79.885835899 82.708600093,-79.887086059 82.7085110660001,-79.9286097409999 82.7055550040001,-79.9722907409999 82.6926190040001,-79.9722891979999 82.6926186460001,-79.972290872 82.692618151,-79.882018483 82.6716429240001,-79.8486187409999 82.6638820040001,-79.816255215 82.6520731780001,-79.826691943 82.650250993,-79.861663741 82.644146004,-79.941663741 82.6494280040001,-79.997985404 82.6557985900001,-80.003064023 82.6563731250001,-80.008577782 82.657119225,-80.070845741 82.6655460040001,-80.1602817409999 82.681364004,-80.1801266859999 82.6956092470001,-80.1451068549999 82.7146703280001,-80.139172741 82.7179000040001,-80.1391729539999 82.717900114,-80.139172888 82.71790015,-80.144170775 82.720472568,-80.158336741 82.727764005,-80.293336741 82.7744280050001,-80.309868303 82.7780596910001,-80.318617868 82.7799822250001,-80.381099928 82.78888213,-80.385304703 82.7892578170001,-80.418336741 82.7922100050001,-80.491501571 82.7969009820001,-80.500564009 82.79748213,-80.801935841 82.812482216,-80.850262473 82.8146275230001,-80.9772187419999 82.8202640050001,-81.022227742 82.8219280050001,-81.306163934 82.8268453590001,-81.359726856 82.827773155,-81.4113908959999 82.827773155,-81.473055049 82.825000086,-81.478168699 82.8245161950001,-81.514172742 82.821110005,-81.536390742 82.8166640050001,-81.557865269 82.8106398790001,-81.5641639899999 82.808873136,-81.579172961 82.792973169,-81.57917269 82.7929730600001,-81.579172742 82.7929730050001,-81.5691967939999 82.7889767710001,-81.508617956 82.7647092240001,-81.449999954 82.7555540060001,-81.341264179 82.739202284,-81.305827742 82.7338730050001,-81.276557216 82.7274448750001,-81.223617824 82.7158180850001,-81.124708852 82.6869181210001,-81.101629413 82.674673113,-81.097499742 82.6724820040001,-81.094761647 82.6717318380001,-81.077226879 82.666927114,-81.0499908899999 82.6608091630001,-81.005647134 82.652397932,-80.994445742 82.650273004,-80.873890742 82.6297000040001,-80.835246747 82.619112,-80.5991640239999 82.554427054,-80.5828481679999 82.5460930310001,-80.57987327 82.5445732750001,-80.6622680999999 82.5414552120001,-80.8919547419999 82.5327640040001,-80.949718742 82.538037004,-80.989436742 82.5472100040001,-81.136127742 82.578046004,-81.2552560829999 82.601954129,-81.300826887 82.6111001190001,-81.3156271399999 82.6135420310001,-81.359727742 82.6208190040001,-81.4324997419999 82.629155004,-81.543336742 82.6372100040001,-81.8829248069999 82.660551351,-81.931381874 82.663882137,-81.972226889 82.6663821230001,-81.984375895 82.6668411910001,-82.060272743 82.6697100040001,-82.144207218 82.670941638,-82.154999988 82.6711001290001,-82.21529085 82.668591258,-82.223782888 82.6677009320001,-82.255009743 82.6644280040001,-82.280699677 82.6609785800001,-82.28805499 82.6599912570001,-82.303727168 82.656693144,-82.344863743 82.6480370040001,-82.376518743 82.637219004,-82.3918817429999 82.6160190040001,-82.391881418 82.6160188640001,-82.39188196 82.6160181170001,-82.3438908699999 82.595263183,-82.3211179099999 82.5891541170001,-82.2638998529999 82.576663237,-82.001973562 82.5345876540001,-82.001973536 82.53458765,-81.966399743 82.528873004,-81.961809993 82.5281523800001,-81.927490995 82.5227632410001,-81.880555019 82.5177632680001,-81.8472268959999 82.5155450810001,-81.751399949 82.5169361420001,-81.7205983969999 82.515590462,-81.713336742 82.5152730040001,-81.6760903649999 82.51207256,-81.5419515899999 82.5005456360001,-81.637219111 82.4945463130001,-81.669999935 82.492482275,-82.091673033 82.5013912320001,-82.134875632 82.5024563000001,-82.3169547429999 82.506946004,-82.406390743 82.509155004,-82.458890743 82.5083280040001,-82.4943355679999 82.5065793950001,-82.498335819 82.5063821520001,-82.49833647 82.5063820180001,-82.498336743 82.506382004,-82.529999743 82.4998460040001,-82.704309743 82.4222100040001,-82.7233982609999 82.4035477130001,-82.728673033 82.3983912200001,-82.711673025 82.382473148,-82.7116728139999 82.3824730700001,-82.711672743 82.3824730040001,-82.710408391 82.3820079210001,-82.6799909389999 82.3708181110001,-82.625545952 82.359145138,-82.521810376 82.3394349750001,-82.513063743 82.337773004,-82.507318417 82.336815023,-82.454726788 82.3280450920001,-82.170546071 82.2866540800001,-81.887790949 82.2380360240001,-81.825564035 82.2266540700001,-81.799726818 82.2227631910001,-81.423326894 82.1769270880001,-81.355283949 82.1686910400001,-81.324718742 82.1649910040001,-81.30449363 82.163497067,-81.25334592 82.1597182030001,-81.1863424909999 82.1569927910001,-81.1711097419999 82.156373004,-81.15166922 82.1561029580001,-81.0513910029999 82.1547091780001,-80.9091640199999 82.1566450620001,-80.871248405 82.153036382,-80.8978671789999 82.146818701,-80.899735888 82.1463822600001,-80.9040733849999 82.1458102710001,-80.931381742 82.142210004,-80.956663742 82.1372100040001,-80.9698823539999 82.1291435090001,-80.9755550639999 82.1256821440001,-80.955699844 82.1133181660001,-80.932447985 82.1065613230001,-80.922227742 82.1035910040001,-80.909109901 82.1007687260001,-80.878326831 82.0941450650001,-80.8423267159999 82.0875582350001,-80.822236741 82.083882004,-80.8112688799999 82.0823157710001,-80.791108937 82.0794361660001,-80.72555491 82.0716540720001,-80.66917867 82.0659164880001,-80.657227741 82.064700004,-80.6508487959999 82.0641590060001,-80.624435798 82.061918156,-80.422334833 82.045465,-80.3686097409999 82.0410910040001,-80.331681741 82.0385910040001,-80.314926128 82.0376832460001,-80.213899902 82.032209171,-79.9840861229999 82.0257767680001,-79.984086093 82.0257767670001,-79.916399741 82.023882004,-79.908579289 82.0234524200001,-79.880826873 82.0219270900001,-79.861013358 82.0197260850001,-79.853336741 82.0188730040001,-79.844079548 82.0146714800001,-79.835009869 82.0105544720001,-79.842763893 81.9783873810001,-79.8444549449999 81.97137315,-79.8444547189999 81.9713730930001,-79.8444547409999 81.971373004,-79.67083674 81.927473004,-79.639828946 81.9227549070001,-79.579726782 81.9136090960001,-79.5211178329999 81.905545035,-79.493736266 81.9009074860001,-79.4899907399999 81.900273004,-79.45222774 81.889982004,-79.236810169 81.816082151,-79.2755386109999 81.816633499,-79.4922187399999 81.819719004,-79.53443674 81.8208280040001,-79.5655415859999 81.8261860270001,-79.570690924 81.8270731530001,-79.58875474 81.8412370040001,-79.608144276 81.850230389,-79.60999987 81.851091163,-79.883054951 81.924700198,-79.9022858709999 81.9295443280001,-80.0352817409999 81.963046004,-80.070425337 81.9705046890001,-80.0850088619999 81.9736002220001,-80.153608872 81.9813732630001,-80.225826847 81.986100154,-80.432499937 81.997482108,-80.449182524 81.9991556530001,-80.6402907409999 82.0183280040001,-80.828024564 82.0290674350001,-80.868326885 82.03137316,-80.92824401 82.0389158560001,-81.091109742 82.0594190040001,-81.13953302 82.0671630290001,-81.1502818709999 82.068882177,-81.249164021 82.0813732240001,-81.2683978059999 82.0832782480001,-81.353054742 82.0916640040001,-81.425281742 82.0977640040001,-81.5746806449999 82.1147105100001,-81.608890999 82.118591221,-81.918064036 82.1549822600001,-82.011126799 82.1685911180001,-82.029888366 82.171577029,-82.101945743 82.1830460040001,-82.160281743 82.193319004,-82.211118743 82.204710004,-82.263063743 82.2222190040001,-82.286663743 82.2291550040001,-82.452790743 82.2494190040001,-82.508899743 82.2580460040001,-82.621654743 82.278046004,-82.6544457429999 82.282210004,-82.6935997429999 82.2847190040001,-82.7275958659999 82.2858382680001,-82.735546026 82.286100204,-82.990826946 82.292482185,-82.9908274159999 82.292481996,-82.990827743 82.2924820040001,-83.025618744 82.2784640040001,-83.027408515 82.2428663310001,-83.0277909719999 82.2352632910001,-83.011399992 82.2216450450001,-82.9910304319999 82.2159818010001,-82.9874997429999 82.215000004,-82.940281743 82.2036000040001,-82.93362065 82.202384082,-82.8869459969999 82.1938632270001,-82.8602729369999 82.187763213,-82.772226911 82.1633180630001,-82.746321913 82.154162381,-82.7243097429999 82.146382004,-82.71142443 82.13910228,-82.693045921 82.1287180690001,-82.681618333 82.1145369340001,-82.680409743 82.113037004,-82.680409589 82.1130369350001,-82.680408861 82.113036031,-82.651945929 82.1002631840001,-82.628977241 82.0972962800001,-82.619718743 82.0961000040001,-82.6115084319999 82.095321406,-82.58444596 82.0927540050001,-82.5501780879999 82.09052002,-82.546390743 82.090273004,-82.417499743 82.0872000040001,-82.243054743 82.0849910040001,-82.217103755 82.0850918070001,-82.102490885 82.0855361800001,-82.058608939 82.0847181070001,-82.020845951 82.0822181200001,-81.9661089379999 82.071109081,-81.928777075 82.0602188620001,-81.924163743 82.058873003,-81.885701291 82.036854922,-81.926099742 82.0347190040001,-81.9578136169999 82.0368161310001,-81.963617836 82.037200092,-81.9816188409999 82.039864698,-82.055554743 82.0508100040001,-82.1052084149999 82.0566055640001,-82.122217861 82.0585912110001,-82.140453913 82.059902827,-82.199436743 82.0641460040001,-82.273744885 82.0660991500001,-82.284163943 82.0663731380001,-82.301261579 82.066443136,-82.421663743 82.0669370040001,-82.636399743 82.0705460040001,-82.6744367429999 82.073046004,-82.7580547429999 82.0769370040001,-82.790123106 82.0776166630001,-82.797499858 82.0777731970001,-82.888335884 82.0724912570001,-82.9741638899999 82.0649911300001,-82.987886212 82.0645786690001,-83.076399744 82.0619190040001,-83.1230437689999 82.0693636890001,-83.077090261 82.077644127,-83.062499744 82.080273004,-83.050445311 82.082041399,-83.001954929 82.0891541450001,-82.9654178769999 82.1015090700001,-82.955065388 82.1169893380001,-82.953063743 82.1199820040001,-82.9766727429999 82.138319004,-82.99758167 82.149767061,-82.999999933 82.151091213,-83.003070981 82.1522149130001,-83.022781744 82.1594280040001,-83.083890744 82.1758100040001,-83.121535858 82.183209305,-83.130554949 82.184982265,-83.1841550409999 82.194700244,-83.1980170579999 82.196959458,-83.242218744 82.2041640040001,-83.308336744 82.2183190040001,-83.336506142 82.2252455340001,-83.344454916 82.2272002350001,-83.368254739 82.2497820090001,-83.364299907 82.2729091,-83.3642997439999 82.272910004,-83.384736744 82.282210004,-83.516399744 82.3169370040001,-83.593602947 82.3293228750001,-83.606382015 82.33137321,-83.631703735 82.334779225,-83.767499744 82.3530460040001,-83.829558617 82.359987468,-83.841946016 82.3613732150001,-83.847860856 82.3618432920001,-83.876936744 82.3641550040001,-83.9470175719999 82.3678356520001,-83.961399872 82.3685912070001,-84.047226872 82.3713731610001,-84.095554915 82.371091194,-84.105458211 82.3708249210001,-84.146954745 82.3697100040001,-84.1805547449999 82.3680460040001,-84.2197771089999 82.3646591830001,-84.228881993 82.363873202,-84.2436625409999 82.3622739320001,-84.303327745 82.3558190040001,-84.344454745 82.3527640040001,-84.3845097449999 82.363937004,-84.4003437599999 82.371966587,-84.418335804 82.3810911400001,-84.426494533 82.38238412,-84.449999745 82.386110004,-84.482499745 82.3894370040001,-84.5426936279999 82.3937664680001,-84.559717892 82.394991185,-84.5937254259999 82.397366645,-84.714718745 82.4058190040001,-84.8886097449999 82.4169280040001,-84.916654745 82.420537004,-84.934255445 82.4262763030001,-84.942217623 82.4288731170001,-84.895281745 82.4335910040001,-84.787781745 82.4349820040001,-84.7518907529999 82.438764259,-84.620417958 82.452618111,-84.620419327 82.4526189430001,-84.6204187449999 82.452619004,-84.641681745 82.465546004,-84.6595128389999 82.468126865,-84.6627819409999 82.468600221,-84.6938819869999 82.471373289,-84.771872727 82.473755752,-85.003063745 82.4808190040001,-85.0469547449999 82.481937004,-85.298618746 82.4780460040001,-85.46457615 82.472392019,-85.502499947 82.4711002070001,-85.541326941 82.4696890930001,-85.708618746 82.463610004,-85.738952716 82.46184665,-85.746946083 82.461382229,-85.7947267869999 82.4586001070001,-85.7947272229999 82.4586000350001,-85.794727746 82.4586000040001,-85.819736746 82.4544370040001,-85.910754746 82.428937004,-85.910752712 82.4289366780001,-85.910754959 82.4289360490001,-85.866945936 82.4219180490001,-85.669446001 82.4094271690001,-85.550986532 82.4061308770001,-85.5247277459999 82.4054000040001,-85.517423099 82.402512743,-85.501546587 82.396236263,-85.5316817459999 82.3697100040001,-85.5316814609999 82.3697095530001,-85.531681878 82.3697091860001,-85.5209028739999 82.352638336,-85.515018746 82.3433190040001,-85.5150179079999 82.343318239,-85.515017816 82.3433180930001,-85.485835885 82.316654085,-85.470096655 82.3116082060001,-85.4572277459999 82.3074820040001,-85.437887705 82.3041297560001,-85.3963909189999 82.2969361610001,-85.364510647 82.2840458590001,-85.404442218 82.2776131080001,-85.4138909919999 82.276091206,-85.433010713 82.275472801,-85.508345746 82.2730370040001,-85.557772746 82.2694370040001,-85.5805637459999 82.2644370040001,-85.594211859 82.2561499710001,-85.6013909819999 82.25179123,-85.61999998 82.243591214,-85.66221795 82.2397001670001,-85.667310027 82.2395071380001,-85.706118746 82.238037004,-85.745886916 82.2375824820001,-85.753890993 82.2374912010001,-85.7633973389999 82.2375486770001,-85.798890746 82.237764004,-85.841381746 82.2391550040001,-85.9183448969999 82.238921061,-85.934155053 82.2388732090001,-85.9844359109999 82.2374912010001,-86.00615091 82.235995336,-86.137790746 82.2269280040001,-86.1811097459999 82.2252640040001,-86.224784711 82.2247483740001,-86.22888188 82.224700081,-86.3166640439999 82.224700081,-86.331638852 82.2250689580001,-86.520009747 82.2297100040001,-86.5620657969999 82.230168312,-86.571672888 82.2302732080001,-86.580618832 82.2301675750001,-86.619445747 82.2297100040001,-86.6694457469999 82.2283190040001,-86.764172747 82.221646004,-86.838996846 82.2130226340001,-86.843608817 82.212491168,-86.843608934 82.212491098,-86.843609747 82.2124910040001,-86.856787829 82.2045329360001,-86.86846401 82.1974821970001,-86.868463687 82.1974820400001,-86.868463747 82.1974820040001,-86.7522277469999 82.1411000040001,-86.7313817469999 82.136382004,-86.728310565 82.1358405380001,-86.706117944 82.131927165,-86.637508881 82.1244181530001,-86.565554936 82.1188632980001,-86.4849999849999 82.1141540100001,-86.278881945 82.1072091,-86.0911088729999 82.104427146,-86.0622089089999 82.1038632120001,-85.9997268499999 82.0941450650001,-85.941822207 82.0826437220001,-85.915836746 82.077482004,-85.898489033 82.0747072460001,-85.851672935 82.0672182010001,-85.7709861339999 82.0601916480001,-85.755845746 82.0588730040001,-85.743719325 82.0581776560001,-85.678326795 82.0544270820001,-85.405835816 82.0422091170001,-85.116945978 82.0330540670001,-85.053055268 82.0293488500001,-85.039990745 82.0285910040001,-85.02043137 82.0269253150001,-84.932499851 82.019436156,-84.90846974 82.0163829200001,-84.899736745 82.0152730040001,-84.840836745 82.0061000040001,-84.833017537 82.0044869000001,-84.815281953 82.0008271580001,-84.7516819149999 81.984709093,-84.732255593 81.9773787950001,-84.722218745 81.9735910040001,-84.6766287299999 81.937902056,-84.6134650939999 81.888454859,-84.635281745 81.886110004,-84.6513087339999 81.8873896700001,-84.65610894 81.887773221,-84.665050287 81.8889188460001,-84.688599745 81.8919370040001,-84.746854745 81.9094550040001,-84.7772203439999 81.9214019,-84.793435863 81.9277822240001,-84.807642143 81.9482577220001,-84.8170817449999 81.9618640040001,-84.831681745 81.9794280040001,-84.8588907449999 81.985264004,-84.8891727449999 81.990264004,-84.929172745 81.9930460040001,-85.001109745 81.994137004,-85.052681171 81.9902697750001,-85.0565178209999 81.9899821490001,-85.056517771 81.989982077,-85.0565187449999 81.9899820040001,-85.044576392 81.9728632110001,-85.043054975 81.9706821460001,-85.0430547619999 81.9706820280001,-85.0430547449999 81.9706820040001,-85.0427954359999 81.970538102,-85.025281988 81.9608181550001,-85.004995552 81.9527026680001,-84.9947187449999 81.948591004,-84.957040989 81.934152646,-84.915008831 81.9180451350001,-84.8700989069999 81.902431451,-84.8638907449999 81.900273004,-84.862242029 81.8996356710001,-84.836684143 81.889754877,-84.875827503 81.887690364,-84.8794358659999 81.8875001390001,-84.984163891 81.911100225,-84.98950631 81.912382607,-85.018890745 81.919437004,-85.096390745 81.945819004,-85.136952541 81.9644337390001,-85.140564002 81.9660912100001,-85.162917867 81.9824821890001,-85.1746239249999 81.9872144730001,-85.188327746 81.9927550040001,-85.217499746 81.9955280040001,-85.258618746 81.9969370040001,-85.559436746 82.0016640040001,-85.650554746 81.9983190040001,-85.6881352899999 81.9954245900001,-85.693881931 81.9949821210001,-85.698892918 81.9937656280001,-85.730209746 81.986164004,-85.7302083179999 81.9861633350001,-85.730208932 81.9861631860001,-85.654726876 81.950818209,-85.584818453 81.930446015,-85.566099746 81.924991004,-85.552849207 81.921526079,-85.469454964 81.899718104,-85.4504599919999 81.8956837060001,-85.441936746 81.8938730040001,-85.424273278 81.8882776230001,-85.3919459959999 81.878036132,-85.373362818 81.862290994,-85.372772917 81.8617911490001,-85.373719748 81.8611012150001,-85.379436746 81.856937004,-85.415359952 81.8573916430001,-85.422499877 81.857482196,-85.4672268859999 81.8672001750001,-85.628872895 81.916091146,-85.731381895 81.950000135,-85.7342313939999 81.9509411020001,-85.7674997459999 81.9619280040001,-85.811027619 81.9728741180001,-85.814999929 81.9738731360001,-85.914446014 81.997482108,-85.960555031 82.007491106,-85.9651356479999 82.008247382,-86.016109746 82.0166640040001,-86.1691547459999 82.0416550040001,-86.2027907459999 82.045537004,-86.2348365889999 82.0482356100001,-86.239163961 82.0486001500001,-86.244201393 82.048886204,-86.278063747 82.0508100040001,-86.3406959609999 82.0530340160001,-86.3563820269999 82.0535912390001,-86.414120292 82.05366037,-86.5836187469999 82.053864004,-86.7919457469999 82.0580280040001,-86.843336747 82.0572100040001,-86.892499747 82.0541550040001,-86.9316727469999 82.049428004,-86.994309747 82.038037004,-87.106617644 81.977940801,-87.128746076 81.9661000950001,-87.1287457459999 81.96610001,-87.098055067 81.9583270530001,-87.071574039 81.9555626740001,-87.066099747 81.9549910040001,-87.039299206 81.9527532700001,-86.9194459299999 81.9427450950001,-86.8787433109999 81.936071262,-86.863618747 81.9335910040001,-86.851709791 81.9311890970001,-86.8347268489999 81.9277632810001,-86.733401622 81.8996455010001,-86.768335947 81.8902732180001,-86.7759073079999 81.8908607170001,-86.8041727469999 81.8930550040001,-86.825383894 81.8968616490001,-86.8288908659999 81.8974912,-86.837649313 81.8996547690001,-86.8772097469999 81.9094280040001,-86.919770746 81.915888039,-86.9394359309999 81.918873267,-86.981480946 81.9241487630001,-87.063327747 81.9344190040001,-87.101672747 81.937764004,-87.1691547469999 81.945528004,-87.238264033 81.95507358,-87.265835791 81.9588822700001,-87.2825708829999 81.9655699030001,-87.3059626949999 81.974918583,-87.258055038 81.9894270990001,-87.2327730389999 81.993318146,-87.202164441 82.008411353,-87.185372747 82.0166910040001,-87.1853731639999 82.0166911900001,-87.1853730409999 82.0166912510001,-87.190524539 82.01899803,-87.230563747 82.0369280040001,-87.271663747 82.047764004,-87.343199748 82.0652640040001,-87.387683763 82.0717595940001,-87.402217906 82.07388215,-87.420643938 82.0757904540001,-87.501399748 82.0841550040001,-87.599727748 82.0891550040001,-87.636632525 82.0901320930001,-87.641954922 82.0902731290001,-87.644953152 82.090169357,-87.6663997479999 82.0894280040001,-87.701079324 82.0862447090001,-87.7102820169999 82.085400226,-87.7493937469999 82.0864509990001,-87.9119457479999 82.0908190040001,-88.038327748 82.1038640040001,-88.088890748 82.0989460040001,-88.113618748 82.090546004,-88.145009748 82.0869280040001,-88.2499997479999 82.0808280040001,-88.289075397 82.0803632560001,-88.2966640399999 82.080273183,-88.4430549849999 82.0750001280001,-88.456782876 82.074388608,-88.5430637489999 82.0705460040001,-88.589718749 82.0666640040001,-88.625545749 82.062764004,-88.773054749 82.0394280040001,-88.963899749 82.0080460040001,-89.021118749 81.998028004,-89.048054749 81.9841550040001,-89.048054094 81.9841545400001,-89.048055058 81.984154044,-89.011945987 81.958600135,-89.0119458359999 81.958600065,-89.0119457489999 81.9586000040001,-88.989581947 81.948182096,-88.995421365 81.928567963,-88.998472749 81.9183190040001,-89.033327236 81.9122000940001,-89.0367889939999 81.9121544290001,-89.0747187489999 81.9116550040001,-89.149799749 81.9233640040001,-89.2224728369999 81.936249499,-89.2497268339999 81.941082125,-89.255871622 81.941388703,-89.288890749 81.9430370040001,-89.338899749 81.9402640040001,-89.371654749 81.9358100040001,-89.413263749 81.9219280040001,-89.413263039 81.92192744,-89.413263968 81.9219271300001,-89.3975088399999 81.9094270300001,-89.3672178149999 81.905545035,-89.3280639339999 81.9022092050001,-89.223000597 81.886221876,-89.203682149 81.8832820640001,-89.235972969 81.849291233,-89.3563820259999 81.8111000970001,-89.362379771 81.811463986,-89.4249997489999 81.8152640040001,-89.461399749 81.818055004,-89.5997688419999 81.8495040540001,-89.629990983 81.8563732710001,-89.633049305 81.857463582,-89.64944575 81.8633100040001,-89.6798547499999 81.9008190040001,-89.70083675 81.9155460040001,-89.727582186 81.917025789,-89.7358269279999 81.917482206,-89.7445064459999 81.9174323070001,-89.78332775 81.9172100040001,-89.9908277499999 81.905546004,-90.15444575 81.8966550040001,-90.234237875 81.8961674330001,-90.24527297 81.8961001390001,-90.256737658 81.8957237380001,-90.33805475 81.8930550040001,-90.423916428 81.8882181060001,-90.4366640059999 81.8875001390001,-90.4562353869999 81.8860600310001,-90.565281751 81.8780370040001,-90.601926396 81.874624769,-90.60999992 81.8738731760001,-90.614766822 81.8729182550001,-90.635009751 81.868864004,-90.689708971 81.851191246,-90.689709208 81.8511911790001,-90.7274909019999 81.841091217,-90.8522178119999 81.84248211,-90.860491564 81.8419420440001,-91.0011097509999 81.8327640040001,-91.03862501 81.8298765590001,-91.051664025 81.8288732520001,-91.1011088719999 81.8188821890001,-91.101108917 81.818882172,-91.101109751 81.818882004,-91.144445751 81.8006100040001,-91.14444501 81.8006095540001,-91.144445994 81.8006091390001,-91.117764049 81.7844270370001,-91.090563935 81.7772092120001,-91.050549227 81.7682458140001,-91.212509751 81.7594280040001,-91.255009751 81.759155004,-91.287509751 81.7619370040001,-91.3513907509999 81.7702640040001,-91.3749336719999 81.7727160950001,-91.386126941 81.773882267,-91.485546036 81.7699912200001,-91.534298185 81.7586081250001,-91.724727752 81.714146004,-91.737209752 81.6869190040001,-91.770845752 81.6633190040001,-91.797904261 81.659098434,-91.801099881 81.658600085,-91.8388999169999 81.658600085,-91.840463169 81.6588556080001,-91.867763752 81.6633190040001,-91.902218752 81.6669280040001,-91.925708193 81.665087278,-91.926935885 81.664991119,-91.926936371 81.664991033,-91.926936752 81.6649910040001,-91.930626877 81.664342133,-91.953046016 81.660400183,-91.9435999469999 81.628309061,-91.9002819359999 81.616927107,-91.878326881 81.614154038,-91.8572269489999 81.6127633120001,-91.747217822 81.6091450120001,-91.654172997 81.605818067,-91.509542718 81.592189449,-91.474445751 81.588882003,-91.44415491 81.5836000310001,-91.408755586 81.544845659,-91.428609751 81.5366550030001,-91.4574997509999 81.527346003,-91.45749693 81.527345955,-91.457499852 81.5273450130001,-91.413091042 81.526582902,-91.401399751 81.526382003,-91.38073517 81.5282154130001,-91.3138908609999 81.534145084,-91.2369359369999 81.543318071,-91.100554996 81.535536144,-91.075495006 81.5369799210001,-91.0716727509999 81.5372000030001,-91.0585133769999 81.540456066,-90.9885999269999 81.557754055,-90.988600235 81.5577548840001,-90.988599751 81.5577550030001,-91.0014636829999 81.59234582,-90.991108966 81.616091096,-90.986164794 81.6171142110001,-90.966945751 81.6210910030001,-90.955992834 81.6221525880001,-90.923890963 81.625263245,-90.888721635 81.6269589280001,-90.878054751 81.627473003,-90.868390275 81.6283409260001,-90.834726792 81.6313632580001,-90.8038818909999 81.6361090920001,-90.771672919 81.6433181990001,-90.747899892 81.6539616540001,-90.738472751 81.6581820040001,-90.733560181 81.66030764,-90.718890901 81.666654088,-90.688467948 81.6683415680001,-90.6788817509999 81.668873004,-90.6691842129999 81.668672417,-90.638899884 81.6680451490001,-90.610790027 81.665294325,-90.604718751 81.6647000040001,-90.586829428 81.663374231,-90.511126823 81.6577632360001,-90.399743053 81.6532191430001,-90.35471875 81.651382003,-90.354718314 81.6513822810001,-90.3547178269999 81.651382261,-90.337217922 81.6624911320001,-90.3528529719999 81.6816679930001,-90.35555475 81.6849820040001,-90.33029075 81.696091004,-90.2969547499999 81.698591004,-90.27139075 81.6974820040001,-90.20472775 81.6863730040001,-90.176291345 81.67732822,-90.111581949 81.656745002,-90.0694550059999 81.6336091060001,-89.962217943 81.625536159,-89.914173041 81.628309061,-89.868054972 81.630263217,-89.812887544 81.6300318930001,-89.7988907499999 81.629973003,-89.765683858 81.628667733,-89.59236594 81.6218540680001,-89.63249075 81.604710003,-89.67443675 81.6016550030001,-89.7720483539999 81.6023109670001,-89.797499966 81.6024822370001,-89.813613305 81.6017876660001,-89.87470975 81.5991550030001,-90.13055475 81.5644190030001,-90.3079362249999 81.532150427,-90.312208837 81.531373188,-90.32991585 81.5290665800001,-90.540281751 81.501664003,-90.5763778309999 81.4981363030001,-90.5830728889999 81.497482136,-90.6141091699999 81.4928845300001,-90.770554751 81.469710003,-90.800827751 81.4650000030001,-90.827746008 81.4513956970001,-90.8471819649999 81.4415731650001,-90.847181639 81.4415730600001,-90.8471817509999 81.441573003,-90.811390751 81.4299820030001,-90.807293653 81.42940185,-90.779999837 81.4255360700001,-90.7466549499999 81.4222091250001,-90.695249131 81.418652906,-90.678327751 81.417482003,-90.643618751 81.4163820030001,-90.51695475 81.402482003,-90.512070372 81.4015883760001,-90.481729671 81.396036656,-90.5144184659999 81.390119477,-90.521255012 81.388882175,-90.5267496979999 81.3870147060001,-90.544581751 81.3809550030001,-90.544580235 81.3809546730001,-90.5445820159999 81.3809540680001,-90.507033478 81.3727813570001,-90.50056375 81.371373003,-90.494921169 81.370755569,-90.467499855 81.3677540790001,-90.44305504 81.366654038,-90.370835891 81.3752632590001,-90.011399933 81.4169271850001,-89.710281905 81.4552633280001,-89.5855549939999 81.4730361480001,-89.54833675 81.477200005,-89.5483358229999 81.477200108,-89.282499908 81.505263224,-89.145846052 81.523036044,-89.073054923 81.5322091990001,-88.998045941 81.540545002,-88.900281937 81.548327096,-88.849990853 81.550536063,-88.777693297 81.551032541,-88.769163749 81.5510910030001,-88.758919653 81.5510340910001,-88.6694459989999 81.550536063,-88.642226942 81.5516540410001,-88.562559526 81.5580437560001,-88.552218749 81.558873003,-88.5408525569999 81.560313954,-88.446946032 81.572218203,-88.399808019 81.5770035890001,-88.392227749 81.5777730030001,-88.385900647 81.578079324,-88.352217953 81.5797091090001,-88.3164213809999 81.5810087580001,-88.306381748 81.5813730030001,-88.301309244 81.5810084220001,-88.279445934 81.579436027,-87.91500883 81.5527633020001,-87.7519549959999 81.5352632300001,-87.7216639709999 81.5322091990001,-87.6558224779999 81.528104151,-87.6458457479999 81.527482003,-87.624417776 81.5269126680001,-87.489164058 81.5233181790001,-87.3785998819999 81.517209113,-87.315555062 81.5133180660001,-87.287364039 81.505827159,-87.2532805659999 81.491123669,-87.2480642529999 81.4888732210001,-87.25517991 81.4881111170001,-87.276672747 81.485810003,-87.3018009 81.488045028,-87.311108965 81.488873251,-87.319530478 81.4898960140001,-87.343063748 81.4927550030001,-87.398899748 81.500828003,-87.431381748 81.504719003,-87.480753176 81.5082085320001,-87.4902818689999 81.5088821950001,-87.679446001 81.5138821680001,-87.69852078 81.514142292,-87.801390748 81.5155460030001,-87.893699748 81.5247100030001,-87.9394367479999 81.5316640030001,-87.959727748 81.5347190030001,-87.984163748 81.5358100030001,-88.029999748 81.5358100030001,-88.140101805 81.531170149,-88.161390851 81.5302731470001,-88.1898938209999 81.529818382,-88.371109748 81.5269280030001,-88.4061097489999 81.528319003,-88.494999749 81.5272100030001,-88.535755695 81.5256396920001,-88.545272965 81.5252731740001,-88.5740298169999 81.5232115330001,-88.7158367489999 81.5130460030001,-88.846954749 81.4997100030001,-88.9032703459999 81.4906770530001,-88.918881883 81.4881731940001,-88.9461226829999 81.481838607,-89.059154749 81.455555003,-89.242490749 81.423037003,-89.62720975 81.356646003,-89.70222775 81.3502640030001,-89.8594204619999 81.341538498,-89.8822178729999 81.340273171,-89.8851798649999 81.339983224,-89.91639975 81.3369280030001,-89.94839975 81.3277640030001,-89.9483985639999 81.327763555,-89.948399872 81.3277631810001,-89.9234852279999 81.3183529720001,-89.90791875 81.312473003,-89.8680547499999 81.3060910030001,-89.77500975 81.296373003,-89.68777275 81.289982003,-89.643404147 81.2846331960001,-89.4435999199999 81.260545011,-89.3352819259999 81.242754086,-89.3072178049999 81.2405360670001,-89.26501794 81.2444271140001,-89.198608959 81.2533271870001,-89.162217921 81.2558271730001,-88.9794459949999 81.258327159,-88.945974581 81.2470637440001,-88.9822277489999 81.2419280030001,-89.044445749 81.2427550030001,-89.081519884 81.2425244040001,-89.088335803 81.2424821770001,-89.136672897 81.2388732650001,-89.171741616 81.2346984610001,-89.281390749 81.221646003,-89.3572277489999 81.2144280030001,-89.4472187489999 81.2083280030001,-89.482470653 81.206757807,-89.4911088819999 81.206373274,-89.53499988 81.2061001910001,-89.541073581 81.2062335940001,-89.57305475 81.2069370030001,-89.621605711 81.2110613470001,-89.635008894 81.212200205,-89.644110831 81.2137582080001,-89.66915475 81.218046003,-89.74610975 81.236646003,-89.849440666 81.2412580120001,-89.870546073 81.2422002100001,-89.8892216369999 81.2423013870001,-89.97278175 81.2427550030001,-90.01112775 81.2419280030001,-90.04306375 81.2394280030001,-90.0946348959999 81.2314467020001,-90.1022178539999 81.2302732650001,-90.117152463 81.2274515550001,-90.27721875 81.1972100030001,-90.32556375 81.1819280030001,-90.343378251 81.172173312,-90.351945931 81.167482249,-90.351945727 81.1674820160001,-90.35194575 81.167482003,-90.351500392 81.1669745740001,-90.338054938 81.15165403,-90.2038910109999 81.0723540180001,-90.154880894 81.056794342,-90.14917275 81.0549820030001,-90.1413887269999 81.0534985620001,-90.095272945 81.0447091600001,-90.07077653 81.0408339940001,-90.06360975 81.0397000030001,-90.0530302129999 81.0383392680001,-90.01194593 81.0330541230001,-89.899699786 81.019506296,-89.87389075 81.0163910030001,-89.8641024309999 81.0153628100001,-89.820846081 81.0108181080001,-89.787508905 81.0097180670001,-89.754401759 81.0090407170001,-89.7466547499999 81.0088820030001,-89.7228677269999 81.0089372740001,-89.629164025 81.009154132,-89.3416729589999 81.0202631710001,-89.268950963 81.0233198380001,-89.255572749 81.023882003,-89.249179998 81.0242757810001,-89.210555015 81.0266540370001,-89.071922301 81.0385052770001,-89.041672749 81.0410910030001,-89.027634382 81.0426118840001,-88.9647178179999 81.0494271650001,-88.889999856 81.0519271520001,-88.74082679 81.0497091330001,-88.676616227 81.0510044930001,-88.6583367489999 81.051373003,-88.571672749 81.0547000030001,-88.542998975 81.0566817580001,-88.434999976 81.0641451170001,-88.339999988 81.0697180770001,-88.2411865349999 81.0710634390001,-88.217772748 81.0713820030001,-88.0624997479999 81.069991003,-88.025391959 81.068778175,-87.841382024 81.0627632760001,-87.719999996 81.0594180590001,-87.682590873 81.0586656940001,-87.678881748 81.0585910030001,-87.674981805 81.0586690550001,-87.6375088249999 81.0594180590001,-87.2972268569999 81.0769360690001,-87.1441948469999 81.0858602230001,-87.111390747 81.0877730030001,-87.081965075 81.0899856240001,-86.956391013 81.0994270620001,-86.6508357719999 81.1158182090001,-86.5211179409999 81.119709088,-86.47278202 81.1227540660001,-86.444626657 81.1254516860001,-86.438045747 81.1260820030001,-86.404999747 81.129700003,-86.338336747 81.1386000030001,-86.338336011 81.1386001920001,-86.33833579 81.138600222,-86.29943588 81.1486092200001,-86.248890992 81.16595406,-86.225009749 81.1738730110001,-86.220374072 81.1751455770001,-86.154172971 81.193318124,-86.096057775 81.204060795,-86.0774997459999 81.207491003,-86.064775859 81.209282064,-86.0183358479999 81.21581817,-85.960506771 81.2233970650001,-85.9505637459999 81.2247000030001,-85.925995603 81.2273977840001,-85.768335862 81.2447090810001,-85.361390942 81.2827632570001,-85.301761712 81.287998895,-85.279172746 81.289982003,-85.216202099 81.2939710680001,-85.029173035 81.3058181850001,-84.984640758 81.3072001940001,-84.975554745 81.3074820030001,-84.969892456 81.30752175,-84.936663981 81.3077540690001,-84.9050762529999 81.3053665400001,-84.899990745 81.3049820030001,-84.7372910139999 81.2842910370001,-84.756140767 81.275457681,-84.776109526 81.2661001060001,-84.777994543 81.2657824290001,-84.8024907449999 81.261655003,-84.832509745 81.258328003,-84.876390745 81.254719003,-84.963806672 81.249370023,-84.976390849 81.2486001280001,-85.020282015 81.2449821640001,-85.221935854 81.2263822180001,-85.297499884 81.218600123,-85.31983511 81.215639713,-85.4252817459999 81.2016640030001,-85.483063746 81.1927460030001,-85.562772746 81.1794280030001,-85.887509746 81.1188640030001,-85.914099746 81.1085280030001,-86.0611097459999 81.0827640030001,-86.375842866 81.0417781510001,-86.419445958 81.036100107,-86.4366600289999 81.0338746530001,-86.5419457469999 81.0202640030001,-86.6355637469999 81.009428003,-86.671936747 81.005264003,-86.703748151 81.0030440250001,-86.711672967 81.0024911900001,-86.755008915 81.0011001290001,-86.784048057 81.0015655880001,-86.946109747 81.0041640030001,-86.9757686519999 81.0039304490001,-86.9830639049999 81.0038731980001,-86.992133555 81.003503337,-87.030563747 81.0019370030001,-87.059823438 80.9993114630001,-87.064708839 80.9988732250001,-87.065958 80.9986313430001,-87.089172747 80.994137003,-87.116117968 80.9902230390001,-87.119717929 80.9897002380001,-87.126313814 80.9892397200001,-87.159436747 80.9869280030001,-87.279445747 80.981937003,-87.446381748 80.9769280030001,-87.514518249 80.977166245,-87.5241729209999 80.9772001380001,-87.5330974669999 80.977640476,-87.597499748 80.9808190030001,-87.628054748 80.984710003,-87.6894367479999 80.9908190030001,-87.7415976299999 80.9941305150001,-87.755008859 80.994982178,-87.769272246 80.9955882230001,-87.826672748 80.9980280030001,-88.011399748 81.003328003,-88.0813806899999 81.0035710450001,-88.089717867 81.003600115,-88.112755642 81.003434611,-88.283327748 81.0022100030001,-88.513899749 80.9983190030001,-88.5729792339999 80.996814,-88.590290994 80.996373238,-88.766863999 80.9868000990001,-88.858608958 80.9813731520001,-88.8635897089999 80.9809902310001,-88.905563749 80.9777640030001,-89.1863907489999 80.9530460030001,-89.235272749 80.9483190030001,-89.380827749 80.9330460030001,-89.4544457489999 80.9100190030001,-89.4544448889999 80.910018505,-89.454445935 80.910018178,-89.3971668789999 80.8768796780001,-89.390272749 80.8728910030001,-89.334727749 80.857482003,-89.321502149 80.8550705980001,-89.290554917 80.849427076,-89.125826882 80.8258181050001,-89.051629645 80.818172868,-89.034163749 80.8163730030001,-88.967499749 80.8085910030001,-88.939253122 80.8047192910001,-88.706117832 80.7727631720001,-88.588245747 80.752296905,-88.566954749 80.748600003,-88.558482663 80.746798326,-88.4885998999999 80.731936095,-88.406663946 80.716936176,-88.358272647 80.7099538680001,-88.348890748 80.7086000030001,-88.222227748 80.6910820030001,-88.214211205 80.6903320580001,-88.186663965 80.6877540770001,-88.139726816 80.685254091,-87.954726813 80.6716450650001,-87.864164037 80.6594271000001,-87.7963866919999 80.65120698,-87.7772187479999 80.648882003,-87.628054748 80.632200003,-87.594727748 80.6285820030001,-87.5594367479999 80.627473003,-87.489718748 80.627473003,-87.481176601 80.6275515070001,-87.45805496 80.6277632870001,-87.314999845 80.629427095,-87.2730549569999 80.630818156,-87.2405549649999 80.6341539860001,-87.2150089359999 80.6383181150001,-87.180554955 80.649154072,-87.134746073 80.6710773330001,-87.121381747 80.677473003,-87.105043392 80.6908435020001,-87.079846053 80.711463296,-87.06193577 80.7274821190001,-86.3519459889999 80.930545124,-86.309717961 80.940809099,-86.143335841 80.9783181160001,-85.9885998729999 81.0066541460001,-85.817781883 81.0327632710001,-85.7555729059999 81.0413632720001,-85.681673018 81.0494271650001,-85.572508955 81.0566361050001,-85.491775194 81.058394977,-85.482772746 81.0585910030001,-85.4754693519999 81.0585130520001,-85.404445928 81.0577540830001,-85.3125216559999 81.0552712050001,-85.291381746 81.0547000030001,-85.2832689319999 81.0548088090001,-85.249999974 81.055254097,-85.211945966 81.0569271250001,-85.09408404 81.064532322,-85.065554745 81.0663730030001,-85.014524943 81.0686488840001,-84.797499913 81.0783271290001,-84.615524889 81.085243125,-84.585554745 81.086382003,-84.557519204 81.0871498830001,-84.3727729519999 81.0922090700001,-84.11610885 81.0977632540001,-83.757508903 81.11330917,-83.4775518289999 81.1306961780001,-83.453336744 81.132200003,-83.1497367439999 81.151382003,-83.1341150919999 81.1519623990001,-82.9627819359999 81.1583270310001,-82.928051416 81.1610138020001,-82.9269367429999 81.1611000030001,-82.9269361249999 81.1611000820001,-82.9269358889999 81.1611001030001,-82.8941639889999 81.1652632240001,-82.8666549179999 81.169709153,-82.828063965 81.17330918,-82.665008958 81.1744271580001,-82.5832126289999 81.1675899780001,-82.565281743 81.1660910030001,-82.523054743 81.1663820030001,-82.484163743 81.169982003,-82.4704709219999 81.172024455,-82.420835903 81.1794271310001,-82.389999887 81.18026331,-82.3683291 81.177063606,-82.466663743 81.1483280030001,-82.503063743 81.1477640030001,-82.524772838 81.1494707190001,-82.53139086 81.149991228,-82.5991639109999 81.152773182,-82.606331674 81.1525949200001,-82.644163743 81.151655003,-82.68967405 81.147178593,-82.697772979 81.146382148,-82.738890908 81.1338822160001,-82.743189291 81.132932107,-82.760281743 81.1291550030001,-82.784999743 81.125537003,-82.826399743 81.1230280030001,-82.860067094 81.1217335860001,-82.869445924 81.1213732310001,-82.885683629 81.1212516910001,-82.9435997429999 81.1208190030001,-83.0533277439999 81.1233100030001,-83.123318744 81.1230280030001,-83.150554744 81.1205280030001,-83.3113907439999 81.1033190030001,-83.490749937 81.092615326,-83.52999991 81.0902731850001,-83.580265509 81.087420487,-83.823627744 81.0736100030001,-83.891417662 81.07182105,-83.908054925 81.07138222,-83.9321924179999 81.071267666,-84.025009744 81.070828003,-84.103947083 81.068054933,-84.119999897 81.0674911730001,-84.135467278 81.066248267,-84.206663745 81.0605280030001,-84.345413704 81.0481450080001,-84.368326855 81.0461002200001,-84.404999861 81.043873149,-84.726672998 81.031100134,-84.754146025 81.0310618250001,-84.928881745 81.030819003,-85.003063745 81.028319003,-85.5561097459999 80.981937003,-85.605836746 80.9758190030001,-85.692234163 80.9636695550001,-85.6986088209999 80.9627732060001,-85.7020916179999 80.9621320890001,-85.774172746 80.948864003,-85.8372277459999 80.9313640030001,-85.964172746 80.8869370030001,-86.0502817459999 80.856646003,-86.174436746 80.8144190030001,-86.235136746 80.796646003,-86.338336747 80.775546003,-86.409999747 80.7608190030001,-86.466109747 80.7455280030001,-86.506245747 80.732346003,-86.638063747 80.6766550030001,-86.654506394 80.6687365070001,-86.659999875 80.666091216,-86.6802819009999 80.6549821770001,-86.7004240109999 80.63724625,-86.738954747 80.6033190030001,-86.7389543149999 80.6033187900001,-86.738955056 80.603318137,-86.718064 80.5930451090001,-86.6399999829999 80.5830540480001,-86.42832692 80.560254098,-86.1774909229999 80.5341451400001,-86.14834604 80.531663258,-86.080835845 80.5283182090001,-86.037217929 80.5308181950001,-86.011945988 80.5333270660001,-85.9885184199999 80.5366710920001,-85.982772746 80.5374910020001,-85.9779292429999 80.5396763640001,-85.9536357699999 80.5506360320001,-85.929876205 80.560562716,-85.9252817459999 80.5624820020001,-85.919329541 80.5642505540001,-85.889726943 80.5730450500001,-85.8547179129999 80.5822182050001,-85.7930639849999 80.5969361560001,-85.7447187449999 80.606372998,-85.694718746 80.613600003,-85.686632894 80.6143677000001,-85.636399844 80.6191361300001,-85.594454957 80.620254108,-85.568330052 80.617345437,-85.6049316529999 80.6083658640001,-85.613055071 80.6063731730001,-85.665008956 80.598600129,-85.665009138 80.5986000930001,-85.665009746 80.5986000030001,-85.6699104259999 80.5975729560001,-85.697499895 80.5917911760001,-85.7194451889999 80.5855761130001,-85.812772746 80.559146002,-85.864999746 80.538455002,-85.864998196 80.5384548210001,-85.864999993 80.538454109,-85.809435854 80.5319361730001,-85.594726866 80.5291632720001,-85.481717838 80.5256050720001,-85.462218746 80.524991002,-85.457054146 80.524713691,-85.425826822 80.5230361010001,-85.373994838 80.5181789540001,-85.3666547459999 80.517491002,-85.362630052 80.5170017670001,-85.3347269339999 80.5136091420001,-85.255635008 80.509942203,-85.232772746 80.5088820020001,-85.1911143569999 80.507973054,-85.066954966 80.5052632810001,-85.0272178719999 80.5072181080001,-84.964445967 80.5144361000001,-84.9062823689999 80.5196824290001,-84.890563745 80.5211000020001,-84.881881704 80.5215388510001,-84.8466639659999 80.523318068,-84.763626798 80.5258180540001,-84.696776276 80.5250729140001,-84.689436745 80.524991002,-84.6691375679999 80.523928298,-84.551390974 80.5177632130001,-84.489717936 80.5144361000001,-84.38109987 80.5122091960001,-84.313326818 80.5136091420001,-83.973326817 80.5319361730001,-83.934717927 80.5344271070001,-83.871108837 80.5413633000001,-83.8405640079999 80.5455361460001,-83.821117825 80.5505361190001,-83.7869459789999 80.5655450900001,-83.735826931 80.613036116,-83.7261041039999 80.637090173,-83.7243727439999 80.6413730030001,-83.724372895 80.641373146,-83.7390960389999 80.6540681710001,-83.757236744 80.669710003,-83.7922277439999 80.688037003,-83.8126786719999 80.6995864200001,-83.817081939 80.7020732180001,-83.817749685 80.7026828210001,-83.8363997439999 80.719710003,-83.85266835 80.7447124300001,-83.861526813 80.7583271880001,-83.83471167 80.7607347350001,-83.827499744 80.7613820030001,-83.704718744 80.747200003,-83.655345744 80.7547820030001,-83.6508889959999 80.756991472,-83.63082683 80.7669360730001,-83.610545977 80.771654078,-83.588862421 80.77501807,-83.587218744 80.7752730030001,-83.578447624 80.7764398880001,-83.493326904 80.787763258,-83.4072268209999 80.7994271790001,-83.381381893 80.8038632180001,-83.35938764 80.811650715,-83.353881744 80.813600003,-83.3269457439999 80.828882003,-83.3217107249999 80.8301552620001,-83.297226915 80.8361090700001,-83.261835033 80.8382903550001,-83.256954744 80.838591003,-83.250559649 80.8383218170001,-83.19109995 80.8358180500001,-83.163268569 80.833950116,-83.158054744 80.8336000030001,-83.1538206389999 80.831929282,-83.1297196629999 80.822418752,-83.237349735 80.7930780460001,-83.2619459749999 80.786373203,-83.289784895 80.7802808430001,-83.391390744 80.7580460030001,-83.416070659 80.754735408,-83.4224999899999 80.753873212,-83.456663957 80.751100143,-83.529726828 80.747482178,-83.530690568 80.7473234000001,-83.5659817439999 80.741510003,-83.565981243 80.7415091770001,-83.565981912 80.741509067,-83.5441639859999 80.7055540550001,-83.5232191219999 80.702439514,-83.5161097439999 80.701382003,-83.475308879 80.6973179120001,-83.356945963 80.6855271730001,-83.311935814 80.6877632970001,-82.940554973 80.714427137,-82.60167295 80.7380361090001,-82.567226849 80.7408180620001,-82.539581991 80.7458182030001,-82.5195819309999 80.7579090980001,-82.352588257 80.778823184,-82.332227743 80.7813730030001,-82.3160781729999 80.783155869,-82.1938819599999 80.7966450580001,-82.146118744 80.80359101,-82.146117853 80.8035911410001,-82.0997268679999 80.8136001400001,-82.05221811 80.822773087,-82.052217905 80.822773124,-81.996109743 80.8302730030001,-81.988529919 80.8307550370001,-81.952363957 80.833054034,-81.780446564 80.815756434,-81.7629911879999 80.8140000480001,-81.784052751 80.807312944,-81.908618742 80.7677640030001,-81.948336743 80.759155003,-82.0250097429999 80.7466460030001,-82.135836743 80.7294280030001,-82.216399743 80.719146003,-82.2487059219999 80.7165530280001,-82.250835819 80.716382132,-82.431945948 80.7088821730001,-82.4490182709999 80.707889676,-82.527499743 80.7033280030001,-82.773054743 80.6866460030001,-83.056381744 80.649155003,-83.087509744 80.6422100030001,-83.157363744 80.6023370030001,-83.160192848 80.5946799600001,-83.1691640069999 80.5704002240001,-83.158481942 80.5491450590001,-83.096663897 80.5416539840001,-83.039948388 80.5391424840001,-83.027499744 80.538591002,-82.956390743 80.5363730020001,-82.942930681 80.536423417,-82.881099954 80.5366540110001,-82.798890918 80.5394270800001,-82.4349999789999 80.553036106,-82.353881931 80.5563632180001,-81.9661089379999 80.579709166,-81.808881868 80.5930451090001,-81.575564049 80.6041541480001,-81.5333267999999 80.6072091840001,-81.3363998519999 80.6233091440001,-80.9566639299999 80.651927141,-80.919445933 80.655545106,-80.855563928 80.663318147,-80.720554937 80.684144997,-80.651946042 80.6919270920001,-80.511126883 80.7058271370001,-80.247499934 80.736927183,-80.065554967 80.7597180810001,-79.883617879 80.7833270520001,-79.609445993 80.8219361100001,-79.265290915 80.9241450380001,-79.161808944 80.9750632550001,-79.1618101 80.9750638260001,-79.16180974 80.9750640030001,-79.170722702 80.9794638760001,-79.184717859 80.9863731250001,-79.188380427 80.986620809,-79.2052727399999 80.9877640030001,-79.25834574 80.9844190030001,-79.2846197709999 80.984866765,-79.2913819359999 80.9849822320001,-79.298023267 80.9868154710001,-79.3346544039999 80.9969279100001,-79.3124909209999 81.025545111,-79.272387656 81.0489079820001,-79.25528174 81.058873003,-79.2491436779999 81.059774997,-79.226946055 81.0630360230001,-79.142226807 81.0691541420001,-79.093423483 81.0852224970001,-79.0816457399999 81.0891000030001,-79.081646313 81.089100096,-79.081645931 81.0891002220001,-79.099655129 81.0920265730001,-79.17249974 81.1038640030001,-79.2100530659999 81.109721516,-79.218890879 81.111100203,-79.275281976 81.1236001350001,-79.297977858 81.1307813870001,-79.489125567 81.1912633150001,-79.463617809 81.193318124,-79.414989931 81.179269725,-79.39917274 81.1747000030001,-79.24276374 81.1399820030001,-79.238651437 81.1394750410001,-79.21806392 81.1369360790001,-79.168937192 81.1327274510001,-79.16278174 81.132200003,-79.153494026 81.1311973580001,-79.0752909399999 81.1227540660001,-79.015017847 81.115536074,-78.963617837 81.107754147,-78.945740259 81.102399335,-78.94137274 81.1010910030001,-78.9372520869999 81.1005758160001,-78.9169460589999 81.0980361690001,-78.896152149 81.0989502250001,-78.89501874 81.0990000030001,-78.8950178269999 81.099000087,-78.8175097399999 81.1060910030001,-78.808051839 81.107168356,-78.690690999 81.120536047,-78.690695197 81.1205364950001,-78.690690739 81.120537003,-78.716663739 81.1233100030001,-78.748159336 81.136100239,-78.750554694 81.13707306,-78.740562884 81.149540867,-78.724726891 81.169300116,-78.7019460509999 81.1816540350001,-78.675281876 81.191927063,-78.6524998629999 81.1972091710001,-78.6182239999999 81.2038219740001,-78.6049997389999 81.2063730030001,-78.576900882 81.2103482080001,-78.4872089 81.2230361620001,-78.4338818909999 81.231936067,-78.415833773 81.2352893510001,-78.4099997389999 81.236373003,-78.3981036449999 81.2391447030001,-78.3611088659999 81.2477632790001,-78.325835806 81.2613821960001,-78.298891004 81.2755450970001,-78.27361789 81.2836001060001,-78.228335831 81.2916541100001,-78.1741639259999 81.3005360770001,-77.896117924 81.335536055,-77.837699614 81.3415982370001,-77.829181739 81.342482003,-77.799332826 81.3454669760001,-77.6097268999999 81.364427134,-77.5713999769999 81.366654038,-77.417217885 81.3805361460001,-77.264455017 81.4008181730001,-77.208617795 81.4094270580001,-77.028608881 81.4333181640001,-76.9511089649999 81.4405361560001,-76.855835895 81.4455270770001,-76.803326792 81.4455270770001,-76.762711695 81.437927555,-76.9151382909999 81.4030550530001,-76.955272927 81.393873263,-76.994922434 81.3874676620001,-77.116945738 81.3677550030001,-77.224708799 81.352362392,-77.233608943 81.3510911910001,-77.2484304179999 81.3494188620001,-77.366390738 81.336110003,-77.503063738 81.3283280030001,-77.5661358949999 81.3233456350001,-77.576954999 81.322491131,-77.6124999689999 81.318882219,-77.657786883 81.3109634800001,-77.850827739 81.2772100030001,-77.875272739 81.2727640030001,-77.976945739 81.2491460030001,-78.012918739 81.235673003,-78.044018739 81.2209550030001,-78.1594367389999 81.193864003,-78.225009739 81.1819280030001,-78.254727739 81.1777640030001,-78.2844685589999 81.17524037,-78.290835828 81.174700241,-78.411390897 81.167482249,-78.438599896 81.1647001270001,-78.4424190839999 81.1629070290001,-78.466909739 81.1514100030001,-78.466907713 81.151409685,-78.466908936 81.1514091110001,-78.405988496 81.141860153,-78.398472977 81.1406820400001,-78.403591867 81.1367155950001,-78.421245739 81.123037003,-78.457509739 81.1077550030001,-78.501109739 81.0916640030001,-78.528881739 81.0819370030001,-78.621670423 81.0618402920001,-78.636672986 81.0585911000001,-78.6552784519999 81.0550492670001,-78.75778174 81.0355370030001,-78.7932756499999 81.0278384850001,-78.799990849 81.0263821280001,-78.839717886 81.016100217,-78.83971874 81.0161000030001,-78.9295817399999 80.986237003,-78.9295817839999 80.986236219,-78.929581946 80.986236165,-78.935690845 80.8784450570001,-78.924920065 80.8699642030001,-78.91541874 80.8624820030001,-78.907005952 80.859644954,-78.890699973 80.8541450820001,-78.8718463009999 80.852419796,-78.8694457399999 80.8522000030001,-78.863588911 80.852494918,-78.8363998249999 80.8538632820001,-78.4211088759999 80.8794270810001,-78.030351375 80.8986305000001,-77.980281739 80.901091003,-77.9546382349999 80.9017909630001,-77.7661089059999 80.9069361520001,-77.612041814 80.910631482,-77.581118738 80.9113730030001,-77.555047734 80.9101110270001,-77.4547269019999 80.905254072,-77.428326924 80.903045105,-77.308881954 80.8930540440001,-77.224842788 80.8889145510001,-77.201672738 80.8877730030001,-77.194174754 80.8875818430001,-77.168881875 80.886936093,-76.841672993 80.885545032,-76.79749986 80.886109134,-76.7388909109999 80.888318101,-76.701952166 80.8911782920001,-76.699436738 80.8913730030001,-76.699435966 80.8913731230001,-76.6994357839999 80.8913731370001,-76.656663938 80.8980360800001,-76.62110891 80.9008182010001,-76.5456660359999 80.8892855920001,-76.526672737 80.8863820030001,-76.486318737 80.8692820030001,-76.511672737 80.8544280030001,-76.547203888 80.8480653820001,-76.556654924 80.846373213,-76.562932953 80.8457084840001,-76.590836738 80.842755003,-76.670773948 80.8390788360001,-76.681382003 80.8385911190001,-76.687104403 80.8385257420001,-76.729172738 80.838046003,-76.833499581 80.8407886730001,-76.8449999379999 80.8410911060001,-76.853766944 80.841182131,-76.926390738 80.8419370030001,-77.287781738 80.8352640030001,-77.5567593329999 80.8314435660001,-77.6391730289999 80.8302732540001,-77.659336859 80.829257828,-77.733063739 80.8255460030001,-77.8037224129999 80.818800976,-77.8058268899999 80.8186001120001,-77.811460284 80.8182638050001,-77.894454739 80.8133100030001,-78.2366637389999 80.7933190030001,-78.456773872 80.78035594,-78.505572979 80.7774821830001,-78.521074121 80.7764584820001,-78.585281739 80.772219003,-78.623890739 80.7691460030001,-78.80943674 80.7469370030001,-78.99082774 80.729710003,-79.17249974 80.713046003,-79.2724607659999 80.705369375,-79.2919460379999 80.7038731480001,-79.300883583 80.702824186,-79.35360974 80.696637003,-79.534481598 80.673213742,-79.5594358709999 80.6699822630001,-79.599612333 80.664679875,-79.8477817409999 80.631928003,-79.900085169 80.6248408290001,-79.907226851 80.6238732460001,-79.909093131 80.623434316,-79.960418741 80.6113640030001,-79.960416588 80.6113635660001,-79.960417906 80.6113632560001,-79.944817724 80.608197804,-79.934436741 80.6060910030001,-79.919479721 80.605450519,-79.863326801 80.6030450550001,-79.634172943 80.595536043,-79.574285152 80.5960264240001,-79.56528174 80.5961000030001,-79.541384905 80.596599746,-79.392226793 80.5997181100001,-79.355385804 80.6008422720001,-79.3472277399999 80.6010910030001,-79.3317916249999 80.601882409,-79.255008835 80.6058181240001,-79.1251184 80.6119840200001,-79.11443674 80.6124910030001,-78.98110974 80.6160910030001,-78.973721822 80.616165639,-78.925281862 80.61665408,-78.859252211 80.612905862,-78.85194574 80.6124910030001,-78.8401862429999 80.6121352310001,-78.7413819 80.6091450690001,-78.357773036 80.6016539940001,-78.088608834 80.5969361560001,-78.029036912 80.592734261,-78.0196640789999 80.5920730270001,-78.0292101639999 80.5791717550001,-78.038054739 80.5672190020001,-78.058757412 80.5652005000001,-78.0638909369999 80.5647001950001,-78.098890915 80.5624821750001,-78.136764548 80.562779758,-78.3452727389999 80.5644190020001,-78.4415735439999 80.5639818940001,-78.4655639759999 80.5638732360001,-78.592772936 80.562191156,-78.6251376819999 80.561265302,-78.81555474 80.5558190020001,-79.0111277399999 80.5533190020001,-79.19055474 80.5538640020001,-79.23277274 80.5533190020001,-79.326916258 80.550397074,-79.339999824 80.549991128,-79.4905550669999 80.539700162,-79.558045984 80.5363732170001,-79.940281892 80.528873258,-79.966642759 80.5285025210001,-80.0586097409999 80.5272100020001,-80.10510368 80.527663025,-80.116390875 80.5277732170001,-80.15333579 80.5263821570001,-80.157255874 80.5261246200001,-80.195545741 80.5236100020001,-80.2274907409999 80.519719002,-80.349727741 80.4969280020001,-80.349725317 80.496927419,-80.3497267989999 80.4969271430001,-80.3027006199999 80.485609385,-80.3275095339999 80.468182148,-80.367763984 80.4622000800001,-80.371545786 80.4620585210001,-80.4122187409999 80.4605370020001,-80.47281666 80.4622557800001,-80.4811089409999 80.462491099,-80.496818688 80.4623441780001,-80.659999741 80.4608190020001,-80.7985079219999 80.4544511560001,-80.83500882 80.4527732880001,-80.986117938 80.4435912490001,-81.0797268649999 80.436100174,-81.204726858 80.427200102,-81.2126194149999 80.426794644,-81.334445742 80.4205370020001,-81.6145997 80.408621721,-81.673890982 80.4061001690001,-81.8906909199999 80.4017912,-81.98720887 80.4002732380001,-81.9953783729999 80.399913391,-82.031390743 80.3983280020001,-82.2268485009999 80.381479519,-82.2733268119999 80.377473288,-82.3330375849999 80.3737403580001,-82.579727743 80.358319002,-82.706663743 80.3527640020001,-82.772354949 80.3523072620001,-82.787781879 80.3522001730001,-82.799082426 80.3519668540001,-82.854718743 80.350819002,-82.9427637429999 80.3455370020001,-83.131945744 80.330555002,-83.166945744 80.3269370020001,-83.1972187439999 80.3147100020001,-83.197217257 80.3147093540001,-83.197217901 80.3147090940001,-83.169249284 80.3025051640001,-83.166654744 80.301373002,-83.161341079 80.300367554,-83.121108879 80.292754039,-82.9731104689999 80.2540388560001,-82.948045743 80.2474820020001,-82.9105995309999 80.2364452570001,-82.6191549179999 80.1505451610001,-82.3512459899999 80.066509205,-82.305142326 80.0521260290001,-82.285827743 80.0461000020001,-82.1910997429999 80.0186000020001,-82.188859139 80.018108827,-82.168335763 80.0136091700001,-82.0050088469999 79.9930450090001,-81.86851932 79.9778257130001,-81.833072742 79.9738730020001,-81.743054742 79.966382002,-81.737895752 79.966116592,-81.7105549349999 79.9647091470001,-81.648659101 79.962463482,-81.641399742 79.962200002,-81.5897187419999 79.962491002,-81.584656976 79.962228322,-81.557499874 79.9608181,-81.4301286469999 79.9448283500001,-81.420272809 79.94359101,-81.401255727 79.935118505,-81.4132122999999 79.929084211,-81.416945918 79.9272001300001,-81.51583578 79.9249911630001,-81.518146046 79.924782942,-81.540554742 79.9227640020001,-81.6269792539999 79.9120531790001,-81.643617894 79.9099912440001,-81.643618045 79.9099910880001,-81.6436187419999 79.9099910020001,-81.659936742 79.8930370020001,-81.659935705 79.8930362450001,-81.659935783 79.893036163,-81.6313819919999 79.8722091450001,-81.6040359899999 79.8552633620001,-81.585281742 79.839291002,-81.584194178 79.837946098,-81.569454982 79.8197181470001,-81.5389172119999 79.7651251920001,-81.519727742 79.730819002,-81.519727237 79.7308189060001,-81.5197268269999 79.730818173,-81.4632005299999 79.720114003,-81.424436742 79.7127730020001,-81.4156912179999 79.7129613070001,-81.385563905 79.7136091200001,-81.2919459249999 79.7136091200001,-81.227781954 79.7094270530001,-81.171935847 79.703327039,-81.1078856839999 79.6936662360001,-81.076109742 79.688873002,-80.974590742 79.6722000020001,-80.949645929 79.657691099,-80.9496458959999 79.6576910920001,-80.949645742 79.657691002,-80.947176992 79.657327046,-80.9105549129999 79.6519270300001,-80.827499975 79.6483271700001,-80.7952728989999 79.6480361500001,-80.690178555 79.6514622610001,-80.6588907409999 79.6524820020001,-80.647672991 79.6529440510001,-80.61805499 79.6541633210001,-80.516108919 79.664427129,-80.473617866 79.6697090700001,-80.432217802 79.67776324,-80.389726918 79.6833180950001,-80.3566549449999 79.6852541470001,-80.09532339 79.6953900230001,-80.041381741 79.6974820020001,-79.996848507 79.6976813210001,-79.760984208 79.698736093,-79.898609741 79.6480460020001,-79.936390741 79.6444370020001,-79.9727817409999 79.6444370020001,-80.025281741 79.647219002,-80.056654741 79.6469460020001,-80.1002817409999 79.6444370020001,-80.501681741 79.6119280020001,-80.569172741 79.605255002,-80.5935794169999 79.6019821310001,-80.598054931 79.601382142,-80.6047713519999 79.5989279,-80.6299997409999 79.5897100020001,-80.629998901 79.5897095230001,-80.629999872 79.5897091680001,-80.597082927 79.57096376,-80.630554741 79.564146002,-80.681876186 79.5679731770001,-80.690282017 79.5686001830001,-81.0130639129999 79.5988732700001,-81.253617829 79.624691209,-81.2610561929999 79.6257112860001,-81.279999742 79.628310002,-81.368054742 79.6344280020001,-81.4247097419999 79.6366550020001,-81.466809742 79.6355460020001,-81.49652148 79.628220255,-81.5023549969999 79.6267821580001,-81.512937886 79.6224053030001,-81.544999742 79.609146002,-81.571109742 79.5954100020001,-81.605835795 79.5885911890001,-81.639446053 79.5849911620001,-81.6752818749999 79.5849911620001,-81.6799574679999 79.585238927,-81.706663742 79.586655002,-81.728336742 79.5897100020001,-81.757556772 79.5970164170001,-81.759454846 79.597491066,-81.782708612 79.6120632930001,-81.758055013 79.6208092140001,-81.7341639059999 79.619709173,-81.692564018 79.6101180960001,-81.651672903 79.6102632710001,-81.627029895 79.6177270250001,-81.619854742 79.6199000020001,-81.684718742 79.675810002,-81.729278619 79.6853822370001,-81.7338909919999 79.686373131,-81.767499909 79.684982238,-81.773883086 79.6853145900001,-81.799436742 79.686646002,-81.84795335 79.692930232,-81.853055001 79.693591123,-81.857848971 79.6943249860001,-81.9166547419999 79.703328002,-81.978609621 79.728454953,-81.983248363 79.7334644730001,-82.046390743 79.8016550020001,-82.062130619 79.815751419,-82.062499986 79.8160822450001,-82.069677344 79.8205019480001,-82.0968097429999 79.8372100020001,-82.1423203269999 79.854735792,-82.153063936 79.858873202,-82.171170784 79.863603943,-82.283890743 79.893055002,-82.6058367429999 79.964428002,-82.68311899 79.9810694120001,-82.736117839 79.992482248,-82.803326789 80.0063821250001,-82.898055036 80.0252732590001,-82.926326321 80.0312947730001,-83.029727744 80.0533190020001,-83.138899744 80.078328002,-83.225383645 80.0989203,-83.244999946 80.103591248,-83.2737560859999 80.110616898,-83.403063744 80.1422100020001,-83.424709744 80.1483280020001,-83.451251909 80.156265653,-83.469726818 80.1617911600001,-83.5091824679999 80.1762912550001,-83.553609744 80.1926190020001,-83.6263907439999 80.2136100020001,-83.6904975259999 80.228088493,-83.716108839 80.233873181,-83.7329753449999 80.2369328620001,-83.781954744 80.2458190020001,-83.811109744 80.249146002,-83.9263907439999 80.2597190020001,-83.989436744 80.2644370020001,-84.049436744 80.267764002,-84.1668299089999 80.270649033,-84.1966549159999 80.2713821980001,-84.266783215 80.271779511,-84.589718745 80.2736100020001,-84.702499745 80.2733190020001,-84.7701323429999 80.27258863,-84.779172881 80.2724911230001,-84.7935448649999 80.2721226940001,-84.898345745 80.2694370020001,-84.937499745 80.2672100020001,-85.095836745 80.2622100020001,-85.256954746 80.2672100020001,-85.286722635 80.2684312220001,-85.290835768 80.268600076,-85.299486166 80.269205937,-85.354172746 80.2730370020001,-85.479172746 80.2827640020001,-85.509172746 80.2858100020001,-85.6022238529999 80.29711912,-85.61665493 80.298873164,-85.6254054569999 80.3001480460001,-85.671936746 80.3069280020001,-85.70734091 80.314267122,-85.7174999549999 80.3163732370001,-85.723499698 80.317213596,-85.745272746 80.320264002,-85.897509746 80.333055002,-86.04128127 80.3334937230001,-86.0761089539999 80.333600227,-86.116108905 80.333600227,-86.150347728 80.33143928,-86.344999747 80.3191550020001,-86.4247682289999 80.313203382,-86.434435819 80.312482189,-86.468335923 80.3085911420001,-86.468336747 80.3085910030001,-86.493054747 80.3044280020001,-86.5147277469999 80.299146002,-86.658127747 80.1247000020001,-86.649225014 80.1095110100001,-86.64249997 80.098036058,-86.572499846 80.039427108,-86.474591002 80.0062361130001,-86.4427639099999 79.999709125,-86.413326834 79.9980270440001,-86.341381941 79.996936056,-86.3019358669999 79.998318064,-86.205338793 79.999776878,-86.190554746 80.000000002,-85.640836746 79.9627730020001,-85.574061224 79.9546057210001,-85.440826909 79.938309169,-85.325989648 79.9244986790001,-85.265909746 79.9172730020001,-85.298754746 79.9027640020001,-85.356408501 79.8972782440001,-85.365826812 79.896382219,-85.3899998859999 79.8974911450001,-85.416399864 79.9013821920001,-85.4250207169999 79.9032457610001,-85.460009746 79.9108100020001,-85.511928065 79.9231954620001,-85.519455028 79.9249911630001,-85.536751473 79.9266321150001,-85.6569547459999 79.938037002,-85.701191909 79.9375860580001,-85.711399941 79.937482211,-85.724973156 79.9375843560001,-85.784999746 79.938037002,-85.811991011 79.938460477,-85.819735872 79.9385822520001,-85.8858358959999 79.941082238,-86.0838908809999 79.9574911550001,-86.10444868 79.9589732580001,-86.2302817459999 79.9680460020001,-86.263336747 79.9691460020001,-86.294241845 79.968689264,-86.300281949 79.968600194,-86.367217817 79.962773262,-86.3685491969999 79.9624930690001,-86.3897277469999 79.9580370020001,-86.4304097469999 79.9452550020001,-86.450876641 79.9289165420001,-86.4552819469999 79.9254002000001,-86.458161364 79.9193738120001,-86.471936747 79.8905460020001,-86.497918747 79.7718000020001,-86.490139084 79.767595541,-86.479164001 79.7616632410001,-86.445826825 79.754163282,-86.4158358729999 79.7505451500001,-86.396015157 79.7484019920001,-86.387509747 79.7474820020001,-86.3410923069999 79.7445402870001,-86.203335851 79.7358090930001,-85.9488818899999 79.7083271800001,-85.76306398 79.7055541110001,-85.6844358609999 79.709154138,-85.6158267979999 79.7083271800001,-85.5513909169999 79.7058271930001,-85.4933267919999 79.700545086,-85.372499981 79.684418136,-85.2541818729999 79.667209083,-85.059581909 79.6238632440001,-85.0255550699999 79.6134540940001,-84.970982007 79.5398450580001,-84.920789128 79.5086169200001,-84.889727745 79.4892910010001,-84.867983625 79.4841396520001,-84.8211179369999 79.4730360930001,-84.709164041 79.4516632460001,-84.660281955 79.4441361290001,-84.606108876 79.438036115,-84.588295295 79.4350687580001,-84.581118745 79.4338730010001,-84.546606111 79.424296639,-84.494036034 79.4097092060001,-84.452331774 79.3630324640001,-84.446381988 79.3563732440001,-84.447703549 79.3518198080001,-84.452509745 79.335264001,-84.44155244 79.3143955940001,-84.428881915 79.290263162,-84.412363903 79.2813478640001,-84.401109745 79.2752730010001,-84.383433339 79.270153689,-84.3536179559999 79.261518095,-84.335554955 79.2522091530001,-84.3202819539999 79.1976181530001,-84.303326872 79.1866450680001,-84.193326798 79.1830450410001,-84.163934663 79.1832604260001,-84.1585097449999 79.1833000010001,-84.1530045489999 79.1835122430001,-84.121935781 79.184709184,-84.076808956 79.1902539810001,-84.047499955 79.200536061,-84.016954958 79.213045046,-83.979717851 79.221645046,-83.9488820019999 79.2191541120001,-83.944573033 79.1844912550001,-83.964950498 79.1782137110001,-84.0119457439999 79.1637370010001,-84.025939852 79.156252592,-84.029590845 79.1543001420001,-84.029590587 79.154300085,-84.029590744 79.1543000010001,-84.02551327 79.1534067000001,-84.003617842 79.148609165,-83.98061133 79.1422641190001,-83.976390744 79.141100001,-83.706663744 79.0777730010001,-83.546109744 79.0424820010001,-83.540111756 79.042213674,-83.521117943 79.0413632170001,-83.493881954 79.043318044,-83.4685463719999 79.0503047330001,-83.4616727439999 79.0522000010001,-83.45345181 79.0536858020001,-83.423190994 79.0591541410001,-83.399446068 79.0597091910001,-83.371737181 79.0477638840001,-83.454727744 79.0255460010001,-83.474718744 79.0241550010001,-83.504454744 79.0236100010001,-83.5864455179999 79.025028842,-83.600554916 79.0252731480001,-83.619567633 79.0256387150001,-83.744718744 79.0280460010001,-83.896390744 79.0380370010001,-83.9448968899999 79.043010016,-83.950563915 79.0435911260001,-83.953816014 79.0442513140001,-83.990281744 79.051655001,-84.040554744 79.075446001,-84.057554991 79.088608311,-84.069026862 79.0974911230001,-84.0911132689999 79.1055994710001,-84.135563745 79.121919001,-84.1638907449999 79.124146001,-84.473054745 79.1430550010001,-84.503618745 79.1444370010001,-84.536381745 79.1423460010001,-84.6297897709999 79.1199473900001,-84.651672902 79.114700176,-84.673948753 79.1070823590001,-84.7881277449999 79.0680370010001,-84.783759082 79.060465213,-84.773063983 79.041927151,-84.748046013 79.03193609,-84.728312962 79.028042816,-84.726945745 79.0277730010001,-84.7231205859999 79.027280321,-84.679446003 79.021654009,-84.651399987 79.0194361580001,-84.588309542 79.0118027820001,-84.5733367449999 79.0099910010001,-84.553531898 79.0071346810001,-84.4730550479999 78.9955271140001,-84.4299910079999 78.9877632930001,-84.376808838 78.975127071,-84.333686444 78.9662592820001,-84.328890745 78.9652730010001,-84.321230681 78.9646307990001,-84.259173018 78.9594270950001,-84.200563901 78.9572181290001,-84.165555038 78.956936161,-84.034164012 78.9566451420001,-83.81277297 78.94581807,-83.7932748759999 78.9432659810001,-83.787218744 78.9424730010001,-83.7630684759999 78.940446206,-83.694717887 78.9347091980001,-83.637508883 78.930818151,-83.5799463989999 78.9300994050001,-83.5705547439999 78.929982001,-83.563143627 78.9300561360001,-83.514173033 78.9305450690001,-83.2641728789999 78.9391450690001,-83.143296318 78.9408478300001,-83.126663744 78.941082001,-83.063045744 78.9397000010001,-82.9244367429999 78.934982001,-82.8394457429999 78.9263730010001,-82.835437886 78.9258498070001,-82.813891005 78.923036057,-82.681382 78.903318132,-82.55943587 78.884718186,-82.50306405 78.882754139,-82.347226868 78.8944361650001,-82.101526798 78.9159632390001,-81.999726907 78.9602632740001,-81.9671549989999 78.9839361160001,-81.928248144 78.99902159,-81.919299742 79.0024910010001,-81.9127045 79.0038624200001,-81.865826842 79.013609059,-81.668653077 79.0434019240001,-81.617763742 79.051091001,-81.6035032459999 79.0532078530001,-81.5486179059999 79.0613540560001,-81.512090913 79.06011806,-81.484028237 79.0457458480001,-81.5536097419999 79.0241550010001,-81.692772742 78.9781100010001,-81.754454742 78.9151190010001,-81.754454348 78.9151188260001,-81.7544549849999 78.9151181760001,-81.742206826 78.9096888660001,-81.734727742 78.9063730010001,-81.674445809 78.8979000100001,-81.6626187539999 78.885818864,-81.658809742 78.8819280010001,-81.705836742 78.8412370010001,-81.741381742 78.8391550010001,-81.807330564 78.846763643,-81.829235125 78.8492911550001,-81.819024048 78.8502652400001,-81.760899831 78.85580917,-81.760904946 78.855809504,-81.7608997419999 78.8558100010001,-81.913890742 78.865819001,-81.9474907429999 78.865819001,-82.079454743 78.8597100010001,-82.1062184049999 78.8579207780001,-82.112782018 78.8574821980001,-82.141042984 78.8541035700001,-82.2544547429999 78.8405460010001,-82.286408058 78.8375141330001,-82.289717959 78.8372001710001,-82.308914729 78.8366680570001,-82.429445743 78.833328001,-82.4627817429999 78.833328001,-82.595590091 78.8368140110001,-82.62138199 78.8374911910001,-82.650555036 78.8388822520001,-82.656554436 78.8396720530001,-82.675827743 78.8422100010001,-82.811109743 78.8480370010001,-82.991672743 78.8555460010001,-83.048213801 78.856018093,-83.056946081 78.8560911370001,-83.060985914 78.8560147630001,-83.085827744 78.8555460010001,-83.187499744 78.847219001,-83.2183367439999 78.8436000010001,-83.2527187439999 78.833600001,-83.237249204 78.8186234390001,-83.219581993 78.8015180740001,-83.1086089469999 78.796645003,-83.0697358589999 78.792209132,-82.941542365 78.7712712530001,-82.911663743 78.766391001,-82.9026310369999 78.763257448,-82.835146002 78.7398450360001,-82.809717823 78.7341450070001,-82.785039098 78.7314844530001,-82.781390743 78.731091001,-82.7774409099999 78.730902197,-82.752499934 78.7297091360001,-82.6636178969999 78.7280451600001,-82.6191549179999 78.7280451600001,-82.564435842 78.732754114,-82.5395854079999 78.738456204,-82.534163743 78.7397000010001,-82.52894249 78.7408392,-82.506117913 78.7458181480001,-82.480835913 78.748318134,-82.456664013 78.749145093,-82.396390921 78.749145093,-82.310817892 78.746936126,-82.279173022 78.744136068,-82.2547268659999 78.7408181750001,-82.23580272 78.7286143750001,-82.226773028 78.7227911850001,-82.2337519 78.721291078,-82.255281743 78.7166640010001,-82.279727743 78.7177550010001,-82.340668947 78.7249274900001,-82.350554986 78.7260911710001,-82.358371467 78.726736907,-82.407772743 78.730819001,-82.435545743 78.731655001,-82.456663743 78.730819001,-82.582572743 78.7045640010001,-82.5825721799999 78.704563417,-82.58257294 78.7045632590001,-82.5624909059999 78.683727188,-82.526117804 78.6698450800001,-82.496381997 78.6619270320001,-82.4166550099999 78.642763319,-82.3102729 78.616654026,-82.238537304 78.59283665,-82.2622187429999 78.5780460010001,-82.307154232 78.569116975,-82.308335843 78.5688822060001,-82.3476359049999 78.5670821090001,-82.373890875 78.568600239,-82.3832060949999 78.5697943040001,-82.417218743 78.5741550010001,-82.488524383 78.587612613,-82.5069549299999 78.5910912320001,-82.6105460329999 78.6113732590001,-82.6965178729999 78.6547821300001,-82.7405019079999 78.6689110310001,-82.822509743 78.6952550010001,-82.840939109 78.6970799090001,-82.844999935 78.6974822270001,-82.910826877 78.6947001060001,-82.914652244 78.6948017940001,-82.941936743 78.6955280010001,-82.994718743 78.6997100010001,-83.101390744 78.714428001,-83.236936744 78.7405370010001,-83.289272744 78.7530550010001,-83.30078338 78.7595922260001,-83.308335786 78.763882155,-83.317858273 78.766496927,-83.3366727439999 78.771664001,-83.384404966 78.777649313,-83.39416396 78.7788731890001,-83.400736572 78.7789285280001,-83.428609744 78.7791640010001,-83.473706707 78.780905047,-83.485826945 78.781373176,-83.5130639399999 78.7838731620001,-83.538326828 78.787200107,-83.5797268919999 78.796373262,-83.601945976 78.802200193,-83.640563919 78.8138731670001,-83.667217868 78.8227732390001,-83.676038073 78.825020023,-83.694445744 78.8297100010001,-83.746945744 78.836928001,-83.850827744 78.845264001,-84.145009745 78.8555460010001,-84.212781745 78.8569370010001,-84.412218745 78.8555460010001,-84.532855677 78.8590874540001,-84.563326804 78.859982184,-84.592385107 78.861493254,-84.712781745 78.867755001,-84.7376436659999 78.8697485740001,-84.7405549389999 78.86998213,-84.7432630009999 78.8703011860001,-84.7663997449999 78.8730280010001,-84.7883277449999 78.8780370010001,-84.828058342 78.885529364,-84.845835834 78.8888821480001,-84.8835048999999 78.894527038,-85.008899745 78.913319001,-85.036118745 78.916928001,-85.064163745 78.9191460010001,-85.0997277449999 78.917755001,-85.257509746 78.9105370010001,-85.297499746 78.9022100010001,-85.3297277459999 78.8922100010001,-85.3475173749999 78.888133463,-85.3502819019999 78.88750014,-85.3838506989999 78.882819483,-85.5774997459999 78.855819001,-85.607499746 78.851655001,-85.638182554 78.8492615790001,-85.6466639879999 78.84860023,-86.037217929 78.8213821790001,-86.041356486 78.8211548360001,-86.067509746 78.8197190010001,-86.1380637459999 78.816664001,-86.352636809 78.8106685960001,-86.377208878 78.80998212,-86.397881882 78.8093803360001,-86.615827747 78.8030370010001,-86.638899747 78.7994280010001,-86.8066286059999 78.74985381,-86.856945934 78.734982191,-86.874790831 78.7290547760001,-86.936590747 78.708528001,-87.1202727469999 78.5795640010001,-87.120272245 78.5795637800001,-87.1202729779999 78.579563266,-87.0991065429999 78.5702813500001,-87.095272747 78.5686000010001,-87.066099747 78.5674910010001,-87.060990343 78.5677380240001,-87.0316819609999 78.5691541150001,-86.9698508989999 78.574045411,-86.957781747 78.575000001,-86.949281453 78.575117671,-86.898617907 78.575818064,-86.863300742 78.5560186260001,-86.891109747 78.5455370010001,-87.013063747 78.5541550010001,-87.1494547469999 78.548319001,-87.301799747 78.5115190010001,-87.4769457479999 78.4480280010001,-87.510145748 78.4315100000001,-87.525136748 78.4133190000001,-87.508609748 78.3124100000001,-87.5025650589999 78.3065163860001,-87.4944459979999 78.2986001940001,-87.51625504 78.235682108,-87.497772943 78.219709218,-87.4771469459999 78.2166204930001,-87.475554748 78.2163820000001,-87.4230457479999 78.2160910000001,-87.417347292 78.2163278100001,-87.396117892 78.217209064,-87.371939905 78.219822707,-87.3677727479999 78.2202730000001,-87.2936097469999 78.2260910000001,-87.288232868 78.2261876060001,-87.262217827 78.2266541280001,-87.096876564 78.2041455310001,-87.1669457469999 78.1955280000001,-87.2740849899999 78.1948070340001,-87.289990928 78.1947001340001,-87.293977737 78.1945621140001,-87.314163747 78.1938640000001,-87.347341033 78.1914385840001,-87.352217842 78.1910821690001,-87.3544293529999 78.190760653,-87.407499748 78.183046,-87.430554748 78.178319,-87.483890748 78.164428,-87.532363748 78.14061,-87.532363064 78.140609683,-87.5323640519999 78.1406091980001,-87.505846057 78.1283090900001,-87.439708818 78.121645142,-87.238962655 78.1087986160001,-87.196654747 78.106091,-87.1830905959999 78.105617442,-87.109435848 78.1030450280001,-87.079726863 78.1027632280001,-86.839943123 78.112022541,-86.763063747 78.114991,-86.728336747 78.1199820000001,-86.72833651 78.1199820780001,-86.728335855 78.1199821720001,-86.569455036 78.1722091400001,-86.552836156 78.1826992270001,-86.543054747 78.1888730000001,-86.506390747 78.2136,-86.501379227 78.2139742030001,-86.4766729 78.2158181710001,-86.453608919 78.2119271240001,-86.3111088539999 78.1933181250001,-86.285281863 78.1933181250001,-86.259172905 78.1963632710001,-86.110731132 78.2431034150001,-86.069454746 78.2561000000001,-86.056590746 78.292,-86.022554658 78.3081889520001,-85.8780549749999 78.376918183,-85.8533359039999 78.3791541400001,-85.837193294 78.379806666,-85.833072944 78.379972992,-85.8263909349999 78.346373187,-85.828445368 78.3432024590001,-85.837636746 78.3290190000001,-85.9311097459999 78.2366460000001,-85.9499997459999 78.2283190000001,-86.1055547459999 78.1730370000001,-86.1355637459999 78.1655460000001,-86.221259141 78.159987125,-86.242781926 78.1585912300001,-86.255659352 78.135931515,-86.288127747 78.0788000000001,-86.2672277469999 78.0663730000001,-86.2233277459999 78.0574820000001,-86.178054746 78.0549820000001,-86.148345746 78.0547000000001,-86.141800487 78.0550842280001,-86.1199999519999 78.056363192,-86.032393971 78.0641234650001,-86.010281746 78.0660820000001,-85.9882476719999 78.0685124660001,-85.885417807 78.0798541460001,-85.806815747 78.0886474320001,-85.8047187459999 78.0888820000001,-85.8006004969999 78.089150401,-85.740826791 78.0930450820001,-85.608890941 78.1008181240001,-85.516808861 78.0999180750001,-85.4910712669999 78.1020684160001,-85.486118746 78.1024820000001,-85.482243766 78.1033131890001,-85.442082015 78.1119271630001,-85.418335916 78.118863188,-85.188045975 78.228318103,-85.043335769 78.299145018,-84.97033593 78.3524822530001,-84.9783357859999 78.414991134,-84.842364049 78.5141632980001,-84.72387229 78.5660307160001,-84.668199745 78.590400001,-84.625973159 78.589291012,-84.70445492 78.5349911540001,-84.7103304189999 78.5320809850001,-84.731381745 78.5216550010001,-84.775409745 78.507700001,-84.839380324 78.4113535490001,-84.8663909429999 78.3706731620001,-84.866390705 78.370673061,-84.866390745 78.3706730000001,-84.86266425 78.3690956390001,-84.815555035 78.3491541340001,-84.772226798 78.342209225,-84.7418384379999 78.340628823,-84.734999745 78.3402730000001,-84.707227745 78.3410910000001,-84.676245745 78.3463730000001,-84.642269636 78.3603006770001,-84.6308274099999 78.3649910450001,-84.6267192299999 78.3655419410001,-84.601946088 78.3688631740001,-84.577991517 78.351263611,-84.596037887 78.3421531110001,-84.6052730329999 78.3374912190001,-84.610187981 78.3366539670001,-84.6297187449999 78.3333280000001,-84.658618745 78.329437,-84.731381745 78.325546,-84.783509566 78.325080315,-84.79249994 78.325000172,-84.79682006 78.3243656640001,-84.8152817449999 78.3216550000001,-84.8297735479999 78.3166156880001,-84.8344460009999 78.3149911730001,-84.855488985 78.3009084940001,-84.949436745 78.2380370000001,-84.9699997449999 78.2108190000001,-84.9699995 78.2108188380001,-84.969999983 78.2108181980001,-84.9445909139999 78.1940000770001,-84.944590854 78.1940000720001,-84.944590745 78.1940000000001,-84.9097277449999 78.1910820000001,-84.905935217 78.1913100090001,-84.8772089619999 78.193036158,-84.7774998529999 78.2102633160001,-84.722499984 78.216936149,-84.693599852 78.217209064,-84.506673017 78.217754056,-84.4797178219999 78.216936149,-84.453608865 78.2147090780001,-84.127220366 78.1755363830001,-84.1738907449999 78.157764,-84.2011097449999 78.1569370000001,-84.2188115069999 78.1585183320001,-84.222781979 78.158873197,-84.2841639979999 78.1663822090001,-84.315555063 78.1736002010001,-84.4305549429999 78.1863732160001,-84.455527672 78.1886494730001,-84.549436745 78.19721,-84.6164023589999 78.199497867,-84.6310998559999 78.2000001790001,-84.636168988 78.199469757,-84.657772745 78.19721,-84.6831658529999 78.1889570550001,-84.688599879 78.1871911220001,-84.704802914 78.1833795850001,-84.7086183169999 78.1824821010001,-84.710425474 78.1822048780001,-84.761127745 78.174428,-84.787304848 78.171768252,-84.793881948 78.1711002150001,-84.829454913 78.168873143,-84.838867545 78.1691256840001,-84.901945745 78.1708190000001,-84.994999745 78.163037,-85.084309745 78.0956100000001,-85.08430817 78.0956096260001,-85.084308859 78.095609106,-84.9938818699999 78.074154116,-84.881946079 78.0591451450001,-84.85583578 78.0569271260001,-84.798890973 78.055254098,-84.765564023 78.056363192,-84.7369358 78.0583181870001,-84.673617898 78.0641451180001,-84.633464348 78.0698913030001,-84.623045745 78.0713820000001,-84.5572187449999 78.0836,-84.554398482 78.0838234660001,-84.532772923 78.08553607,-84.409999834 78.086927131,-84.323626836 78.082763169,-84.296866076 78.0764455670001,-84.3286097449999 78.070546,-84.359999745 78.0702640000001,-84.524445745 78.0722190000001,-84.547499745 78.07111,-84.575563745 78.0672190000001,-84.6418205699999 78.051755787,-84.6541728879999 78.0488731230001,-84.658395379 78.0477517940001,-84.681390745 78.0416460000001,-84.702218745 78.0315190000001,-84.726945745 78.0258190000001,-84.7616727449999 78.0236100000001,-84.788054745 78.0241550000001,-84.8139728639999 78.02615222,-84.8169549799999 78.0263821300001,-84.824059082 78.027087276,-84.8841727449999 78.033055,-84.963054745 78.0441460000001,-85.0097367449999 78.055255,-85.0388907449999 78.0572100000001,-85.065554745 78.056364,-85.286945746 78.0216550000001,-85.422759196 77.9962849170001,-85.450563998 77.9910911320001,-85.6735358669999 77.9385912490001,-85.673535795 77.938591224,-85.673536746 77.938591,-85.613359698 77.917683083,-85.515290899 77.8836091490001,-85.4874773499999 77.8733139980001,-85.474718746 77.868591,-85.423045746 77.874691,-85.378054746 77.8822000000001,-85.3689853339999 77.883887423,-85.331681956 77.890827141,-85.3036089509999 77.8947181880001,-85.267499879 77.898036081,-85.200564012 77.901654046,-85.1663998779999 77.902209095,-85.056945968 77.9005451200001,-84.882722166 77.907463669,-84.8472277449999 77.9088730000001,-84.843583414 77.909204715,-84.816663961 77.9116539920001,-84.663055023 77.9252631850001,-84.634446079 77.92692716,-84.567499986 77.9234540350001,-84.4016729159999 77.9102632660001,-84.387026632 77.9076682080001,-84.3797187449999 77.906373,-84.31896438 77.890473166,-84.342772947 77.8849911570001,-84.347110344 77.885519539,-84.3769457449999 77.8891550000001,-84.428881745 77.8969460000001,-84.498154745 77.9001190000001,-84.584457636 77.9029870030001,-84.6111179009999 77.9038732380001,-84.621342375 77.903554177,-84.664445745 77.9022100000001,-84.692490745 77.8986100000001,-84.819127602 77.888888761,-84.837217896 77.8875001960001,-84.925554942 77.8911002240001,-85.207782004 77.8838822320001,-85.212747852 77.8834243140001,-85.231945746 77.8816550000001,-85.2813907459999 77.874419,-85.325008956 77.8660911420001,-85.325009746 77.866091,-85.353336746 77.8555460000001,-85.395009746 77.8391550000001,-85.4013907459999 77.8166550000001,-85.401390625 77.816654945,-85.4013908919999 77.816654004,-85.38194605 77.8077540990001,-85.328063992 77.7983271400001,-85.297772967 77.7972091620001,-85.17765889 77.813068635,-85.144163745 77.8174910000001,-85.128115802 77.819806197,-85.053609789 77.8305539300001,-85.054731094 77.8032577550001,-85.054990936 77.796936976,-85.166051903 77.7830185430001,-85.190281931 77.779982171,-85.2174053909999 77.771675857,-85.3456277459999 77.7324100000001,-85.3047187459999 77.6626190000001,-85.304718378 77.6626189470001,-85.304717877 77.6626180920001,-85.158335816 77.6416631660001,-85.0036632969999 77.6122910510001,-84.9724997449999 77.6063730000001,-84.952499745 77.6013820000001,-84.94639781 77.601437527,-84.922499906 77.601653996,-84.7150089089999 77.639709177,-84.567261861 77.6762880920001,-84.540554745 77.6829000000001,-84.536481914 77.6841907250001,-84.520845977 77.6891451390001,-84.492772972 77.7055450030001,-84.492772836 77.705545946,-84.492772745 77.7055460000001,-84.492354193 77.7084580490001,-84.487108817 77.744945145,-84.4331189 77.72596365,-84.441936745 77.7061,-84.520009745 77.6647,-84.627490745 77.6280370000001,-84.665281745 77.618864,-84.704199834 77.610623155,-84.707226815 77.609982255,-84.7129986849999 77.6089199680001,-84.773618745 77.597764,-84.8074637889999 77.5905956560001,-84.815555035 77.588882154,-84.8359148609999 77.5841829330001,-84.837218745 77.5838820000001,-84.868945745 77.56721,-84.86894549 77.567209378,-84.868946082 77.5672090670001,-84.858890983 77.5427540270001,-84.7825177679999 77.524177975,-84.769863745 77.5211,-84.579727745 77.5125,-84.5555547449999 77.5125,-84.5429666539999 77.5139555390001,-84.491946013 77.5198539960001,-84.452227342 77.524991034,-84.419999745 77.5277730000001,-84.3866727449999 77.5285910000001,-84.229999745 77.5213820000001,-84.225125518 77.5206236220001,-84.192490955 77.5155450280001,-84.143891003 77.5094270760001,-83.9205459729999 77.4916540890001,-83.898345999 77.490536111,-83.873046062 77.4933180640001,-83.759458631 77.514345361,-83.7349997439999 77.518873,-83.71723279 77.5233576000001,-83.648054993 77.540818142,-83.5516245329999 77.5664403910001,-83.527790744 77.572773,-83.512471166 77.577045092,-83.427217828 77.600818152,-83.386672886 77.6166540820001,-83.19109995 77.7122091190001,-83.1682956509999 77.7339121640001,-83.156663744 77.7449820000001,-83.1450690089999 77.7572479030001,-83.123045937 77.7805451,-82.992491199 77.8512285400001,-82.949154743 77.874691,-82.934672168 77.8780159740001,-82.852217928 77.8969450920001,-82.78302309 77.9119798400001,-82.769163743 77.914991,-82.7621747589999 77.918838205,-82.7322179069999 77.9353271680001,-82.732218974 77.9353278730001,-82.732218743 77.9353280000001,-82.780281741 77.967073004,-82.7893727429999 78.006582,-82.692490743 78.0449820000001,-82.6876221969999 78.0466071220001,-82.672499865 78.051654071,-82.652217838 78.0560911150001,-82.549435924 78.0719270450001,-82.518335878 78.074154116,-82.352592976 78.0728985790001,-82.325209743 78.0726910000001,-82.3734637429999 78.0376190000001,-82.409727743 78.0341460000001,-82.470554743 78.0347190000001,-82.4974997429999 78.0341460000001,-82.5319955259999 78.031555095,-82.538054976 78.031100135,-82.571672945 78.025273204,-82.574099577 78.022093044,-82.584236743 78.00881,-82.584235818 78.0088092540001,-82.584235909 78.008809134,-82.5261098 77.9619278480001,-82.5416727429999 77.9205370000001,-82.655272743 77.847764,-82.6744367429999 77.8369280000001,-82.8950097429999 77.7174820000001,-83.011127743 77.6658190000001,-83.2161097439999 77.577773,-83.3633277439999 77.5180550000001,-83.3894457439999 77.5077640000001,-83.4260997439999 77.4997100000001,-83.593890744 77.475537,-83.620836744 77.471928,-83.682218744 77.4680460000001,-83.768063744 77.466937,-83.8013907439999 77.4647100000001,-83.821211013 77.45548689,-83.8291730019999 77.451782214,-83.829172677 77.4517820310001,-83.8291727439999 77.451782,-83.818704784 77.4458874970001,-83.778608836 77.423309224,-83.7201358409999 77.4065180920001,-83.654999903 77.3955361230001,-83.553055006 77.3930540740001,-83.472499887 77.387209205,-83.467563952 77.349291151,-83.473987977 77.3485222460001,-83.5058457439999 77.344709999,-83.52664029 77.3460344980001,-83.531954905 77.3463732430001,-83.591265957 77.351533078,-83.793609744 77.3691370000001,-83.8680547439999 77.376919,-83.935964282 77.386832988,-83.94999998 77.3888822330001,-83.955933438 77.390001517,-83.985272744 77.395537,-84.004064964 77.3973218630001,-84.005846087 77.3974911180001,-84.011940565 77.3976131840001,-84.061663744 77.3986100000001,-84.144740301 77.395340101,-84.1536088139999 77.394991131,-84.270281889 77.384991186,-84.281330859 77.3846560680001,-84.334445745 77.383046,-84.375121056 77.3837005120001,-84.386399915 77.3838822600001,-84.429446017 77.3888822330001,-84.470555061 77.396382192,-84.4749896179999 77.396910609,-84.496109745 77.3994280000001,-84.520845745 77.4016550000001,-84.545781894 77.4014237330001,-84.5502818799999 77.401382165,-84.557025987 77.4005376980001,-84.594718745 77.3958190000001,-84.6111466089999 77.387491104,-84.6138909699999 77.3861001110001,-84.561526874 77.335536113,-84.520281875 77.3241539910001,-84.488335928 77.3194361530001,-84.467646513 77.3012275570001,-84.479445745 77.2944369990001,-84.529172745 77.2958189990001,-84.601945745 77.300536999,-84.649445745 77.304427999,-84.7197277449999 77.3116459990001,-84.7591727449999 77.3183279990001,-84.825290745 77.3341549990001,-84.875272745 77.3516549990001,-84.9461097449999 77.372619,-84.9643316039999 77.3756858790001,-84.9733269279999 77.377200207,-85.1558358299999 77.3875002250001,-85.175986557 77.38735087,-85.270009746 77.3866550000001,-85.294939238 77.3876021290001,-85.299435769 77.387773139,-85.376663943 77.3924911450001,-85.379884956 77.3929568770001,-85.399736746 77.3958280000001,-85.436390746 77.404164,-85.493327747 77.430263999,-85.530563746 77.4619280000001,-85.551390746 77.4583280000001,-85.750718487 77.4282439360001,-85.790763564 77.4222001950001,-85.7724997459999 77.441782,-85.7671198309999 77.4429408540001,-85.748608885 77.4469270800001,-85.7197908959999 77.4634632340001,-85.7197913209999 77.4634636700001,-85.7197907459999 77.463464,-85.884445746 77.632755,-85.9411778039999 77.677268396,-85.981108966 77.7086002070001,-86.198881875 77.7861001220001,-86.200686004 77.786729376,-86.222781746 77.7944370000001,-86.361081771 77.8197675850001,-86.377490845 77.8227731280001,-86.3834646719999 77.823848619,-86.422227747 77.8308280000001,-86.461672747 77.8361100000001,-86.651672747 77.860264,-86.824172747 77.8794280000001,-86.876099747 77.88361,-87.135866396 77.895685352,-87.174708913 77.8974910900001,-87.2313819779999 77.8988821500001,-87.2403451449999 77.8987624330001,-87.294727747 77.898037,-87.598252378 77.8668398820001,-87.640564029 77.862491112,-87.835826834 77.8402732010001,-87.869064231 77.8374095200001,-88.068072748 77.8202640000001,-88.162781748 77.7583280000001,-88.220627748 77.6632460000001,-88.220626897 77.6632451190001,-88.2206269339999 77.663245058,-88.2087095099999 77.6509116380001,-88.200836748 77.6427640000001,-88.200836636 77.6427639490001,-88.20083592 77.642763207,-88.171390964 77.6294270970001,-88.063045981 77.6188632160001,-87.879401409 77.5807814730001,-87.87940138 77.5807814670001,-87.868881748 77.5786000000001,-87.861539937 77.5768685520001,-87.70278189 77.539427081,-87.671233995 77.50930678,-87.644309748 77.4836000000001,-87.660745748 77.4721190000001,-87.739581748 77.4540190000001,-87.778827748 77.426928,-87.7788268739999 77.4269271890001,-87.70485507 77.3586000930001,-87.7048548229999 77.358600069,-87.7048547479999 77.3586000000001,-87.685303975 77.3567176810001,-87.416399918 77.3308271590001,-87.391108867 77.330554077,-87.3636528229999 77.3312520960001,-87.358890748 77.3313729990001,-87.326109748 77.3338819990001,-87.326109075 77.333882181,-87.326108884 77.333882196,-87.3218416239999 77.3350336520001,-87.287499747 77.344299999,-87.281534259 77.346095554,-87.2630638959999 77.3516540100001,-87.2459791969999 77.3551503900001,-87.2413817469999 77.3560909990001,-87.091109747 77.366382,-87.086492068 77.3664755660001,-87.064164015 77.3669271780001,-86.9824157749999 77.3664853170001,-86.963336747 77.366382,-86.9319828549999 77.363464089,-86.841530194 77.355045465,-86.900281747 77.342209999,-86.931513148 77.339191789,-86.934717926 77.3388821680001,-86.939231643 77.338925901,-86.962781747 77.3391549990001,-87.0377817469999 77.342209999,-87.068618747 77.342209999,-87.0981610979999 77.3396441950001,-87.102226908 77.3392912050001,-87.102227652 77.339291008,-87.102227747 77.3392909990001,-87.247081747 77.3008189990001,-87.247080994 77.3008183570001,-87.247081953 77.3008181020001,-87.2291730109999 77.285536048,-87.1906908559999 77.2744360620001,-87.13667301 77.2722180420001,-87.1061089029999 77.2722180420001,-87.078063893 77.2736091030001,-87.01842057 77.274860925,-87.012218747 77.2749909990001,-86.984436747 77.2746999990001,-86.978728545 77.274229543,-86.94749094 77.2716541080001,-86.921592301 77.2592277900001,-86.948881747 77.2555549990001,-86.972435455 77.2571958180001,-86.976673039 77.2574912060001,-86.982296349 77.257185017,-87.007236747 77.2558279990001,-87.1413907469999 77.238036999,-87.170690747 77.2316549990001,-87.2033277469999 77.2026279990001,-87.203326358 77.2026276140001,-87.20332691 77.2026271240001,-87.182772975 77.196927094,-87.151672929 77.1969180420001,-86.960008977 77.1958181680001,-86.7736179139999 77.1858091700001,-86.739991607 77.1741453290001,-86.7979097469999 77.1290099990001,-86.829181747 77.1277639990001,-86.866081649 77.131315408,-86.875272965 77.1322001940001,-86.886799157 77.1354749290001,-86.951809747 77.153945999,-87.0444457469999 77.1805459990001,-87.069172747 77.1827549990001,-87.3127727469999 77.1808189990001,-87.336672748 77.179154999,-87.356381748 77.175536999,-87.410136748 77.1587279990001,-87.432218748 77.1497189990001,-87.455209748 77.129154999,-87.4552081529999 77.1291547710001,-87.455208968 77.129154042,-87.362917844 77.115954054,-87.345921435 77.109160794,-87.343473187 77.1081821750001,-87.363223475 77.107082705,-87.455836748 77.1019279990001,-87.5688907479999 77.0994279990001,-87.623327748 77.1141459990001,-87.649727748 77.1276279990001,-87.6702727479999 77.133609999,-87.687562343 77.13502764,-87.690555041 77.135273167,-87.967226913 77.1274731350001,-88.154173026 77.1160911810001,-88.172499748 77.1280369990001,-88.25805867 77.1293813730001,-88.278335835 77.129700207,-88.283491507 77.1295507930001,-88.307218748 77.128863999,-88.426390749 77.1208189990001,-88.545281749 77.0991549990001,-88.5452775429999 77.0991548530001,-88.545282017 77.0991540370001,-88.4733287879999 77.096645064,-88.501109749 77.071654999,-88.711118749 77.009845999,-88.7349621659999 77.0040631750001,-88.7402819659999 77.002773215,-88.769163993 76.9988732830001,-88.804806032 76.9952092090001,-88.898899749 76.985536999,-88.981518749 76.9572189990001,-89.148054749 76.925536999,-89.228407568 76.9171811410001,-89.238890877 76.916091092,-89.243777086 76.9149880640001,-89.279445749 76.906936999,-89.4177727489999 76.886654999,-89.4950360289999 76.8593243320001,-89.524582013 76.8488732580001,-89.524581755 76.848872993,-89.49694604 76.8202633070001,-89.4802694699999 76.7962831610001,-89.4722277499999 76.7847189990001,-89.434436749 76.7244279990001,-89.413609749 76.6773459990001,-89.437354749 76.660963999,-89.48056375 76.6494279990001,-89.5283367499999 76.6408279990001,-89.5719457499999 76.631654999,-89.599873766 76.6220886420001,-89.608890883 76.6190002330001,-89.62067409 76.609374577,-89.67263675 76.566927999,-89.67263525 76.5669277100001,-89.672635928 76.5669271560001,-89.541382029 76.5416540420001,-89.5072269469999 76.544154028,-89.493658774 76.5548261740001,-89.49028175 76.5574819990001,-89.468203283 76.546409005,-89.407226819 76.515827051,-89.390975644 76.5050177900001,-89.3533367489999 76.4799819990001,-89.308749558 76.46350985,-89.222499898 76.431645083,-89.166399987 76.424427091,-88.9941550619999 76.409145037,-88.947217913 76.4052539900001,-88.918134747 76.4065018730001,-88.911390749 76.4067909990001,-88.873700561 76.4269950140001,-88.791490868 76.4710631620001,-88.7914908659999 76.4710639360001,-88.791490749 76.4710639990001,-88.79138175 76.5133183990001,-88.737217878 76.590818095,-88.712241144 76.5946405930001,-88.7100097489999 76.5949819990001,-88.68889075 76.5913729960001,-88.684332421 76.5887402550001,-88.684332347 76.5887402130001,-88.649099937 76.5683911070001,-88.649806429 76.5531303160001,-88.653009749 76.483954999,-88.6815277489999 76.437063999,-88.6885277489999 76.4114459990001,-88.688526746 76.411445589,-88.688526899 76.4114450310001,-88.65639085 76.3983271850001,-88.6319460349999 76.3972180920001,-88.612325191 76.4046295100001,-88.603472749 76.407972999,-88.603181754 76.4466363490001,-88.5830274099999 76.463883545,-88.571672749 76.473599999,-88.556445829 76.478754838,-88.492908869 76.5002631980001,-88.494985218 76.5411560960001,-88.495545749 76.552199999,-88.562628734 76.6152552830001,-88.588199876 76.6392911440001,-88.599136754 76.6472631030001,-88.6497367489999 76.6841459990001,-88.6926355749999 76.704709436,-88.5689935459999 76.7950172070001,-88.548890749 76.809699999,-88.518890749 76.8160819990001,-88.4831277489999 76.808590999,-88.479927749 76.7785999990001,-88.502386766 76.7163045450001,-88.509172946 76.697482172,-88.5152908969999 76.6361092060001,-88.442763965 76.5916631590001,-88.35305497 76.517773161,-88.352892358 76.5111699650001,-88.352227748 76.4841459990001,-88.3719367479999 76.4760909990001,-88.391954749 76.4541639990001,-88.432072749 76.4001279990001,-88.4320724199999 76.4001279170001,-88.432073015 76.400127115,-88.389999885 76.38970908,-88.361727493 76.3862793800001,-88.3511097479999 76.3849909990001,-88.254859971 76.3777254870001,-87.997772915 76.3583181820001,-87.94833578 76.3577540800001,-87.9162585299999 76.360697223,-87.908890748 76.3613729990001,-87.864163748 76.389981999,-87.856929619 76.3900689270001,-87.8172268879999 76.390545091,-87.8127093589999 76.386730835,-87.7886097479999 76.3663819990001,-87.7516637479999 76.3492909990001,-87.746347079 76.3482513380001,-87.719726914 76.3430450130001,-87.648899832 76.3380450400001,-87.601332889 76.3405641860001,-87.5913817479999 76.3410909990001,-87.4094457479999 76.350399999,-87.429990748 76.4177549990001,-87.451827191 76.423039207,-87.455273006 76.4238732150001,-87.5086179529999 76.4306732850001,-87.523343131 76.4365857870001,-87.547354748 76.446227999,-87.5970817479999 76.5374819990001,-87.5920083359999 76.5530509130001,-87.5727089 76.612273051,-87.528609748 76.6149819990001,-87.465836748 76.5892909990001,-87.4294881339999 76.4773018590001,-87.4266638939999 76.4686002230001,-87.426663818 76.4686002160001,-87.426663748 76.468599999,-87.3865533219999 76.464502554,-87.225281964 76.448027177,-87.147090877 76.3921361440001,-87.08332689 76.3794271670001,-86.770554999 76.350818055,-86.722578877 76.347647362,-86.7138907469999 76.347072999,-86.704135481 76.3614835010001,-86.66471788 76.4197090850001,-86.652393479 76.450766565,-86.649172747 76.4588819990001,-86.6075936459999 76.46739181,-86.508054913 76.4877632660001,-86.3422268369999 76.512209086,-86.362208959 76.5416540420001,-86.362209133 76.5416540940001,-86.362209747 76.5416549990001,-86.512509747 76.5869279990001,-86.559748198 76.6045512470001,-86.6011089579999 76.6199822570001,-86.6280815269999 76.632282016,-86.594163747 76.6349909990001,-86.58375817 76.6330111070001,-86.532772978 76.623309202,-86.239654797 76.5286328080001,-86.218472977 76.521791073,-86.240346887 76.5113797770001,-86.256118315 76.5038732040001,-86.277790956 76.500000174,-86.283542852 76.4991420370001,-86.3077727469999 76.495527999,-86.369854747 76.4858189990001,-86.396993014 76.478613436,-86.40389099 76.4767821340001,-86.408373855 76.472959293,-86.419999747 76.463045999,-86.419999649 76.463045192,-86.4199998349999 76.4630450330001,-86.418519331 76.4508176300001,-86.413609747 76.4102639990001,-86.413609016 76.4102635770001,-86.4136089689999 76.410263183,-86.397773644 76.4011267990001,-86.372218747 76.386381999,-86.36385136 76.385264539,-86.330563922 76.3808180600001,-86.281682003 76.3769181280001,-86.134735841 76.3694270540001,-86.110272921 76.3683181280001,-86.004181999 76.370818114,-85.978054936 76.3705270950001,-85.957132799 76.3689421710001,-85.9524997459999 76.368590999,-85.6983367459999 76.348872999,-85.544445746 76.3299909990001,-85.514027746 76.3242909990001,-85.470570126 76.318287803,-85.362208848 76.303318145,-85.2322268189999 76.295254083,-85.19981016 76.286850917,-85.174436746 76.280272998,-84.928327745 76.286372999,-84.898054745 76.2885909990001,-84.877895907 76.2910315010001,-84.77639998 76.303318145,-84.716664 76.3069270570001,-84.533617819 76.3058181310001,-84.4434573839999 76.3042595320001,-84.421109745 76.3038729990001,-84.421109101 76.3038731980001,-84.421108873 76.3038731940001,-84.383326941 76.3156092,-84.391851236 76.3245920590001,-84.397509745 76.3305549990001,-84.4288438519999 76.337031192,-84.4363909269999 76.3385912050001,-84.728055006 76.390273182,-84.753981779 76.3934609180001,-84.904172745 76.4119279990001,-84.961318745 76.4224099990001,-84.987603769 76.4368817750001,-85.022508919 76.456100124,-85.04003352 76.4913307890001,-85.051390672 76.5141638520001,-85.023826889 76.575473177,-84.991381883 76.582763254,-84.970555033 76.5819361280001,-84.9527481809999 76.578228003,-84.950563745 76.577772999,-84.9442194329999 76.5752509960001,-84.85444606 76.5395632600001,-84.786590866 76.4792541250001,-84.644863947 76.436227134,-84.619717902 76.431654135,-84.570846042 76.4288632970001,-84.5186179 76.427763256,-84.489163892 76.4291539810001,-84.2571236809999 76.4424356160001,-84.236936745 76.443590999,-84.2369363449999 76.4435911090001,-84.2369358289999 76.443591139,-84.2031178669999 76.4529632800001,-84.1802729899999 76.488454102,-84.1802732199999 76.4884542600001,-84.180272745 76.4884549990001,-84.200554745 76.5023459990001,-84.221118745 76.510818999,-84.24819039 76.5323457170001,-84.2169459949999 76.571654047,-84.193746061 76.6084631750001,-84.193746206 76.608463267,-84.1937457449999 76.608463999,-84.211527745 76.6197099990001,-84.246146577 76.626513372,-84.2566730309999 76.6285822570001,-84.2645969289999 76.631937743,-84.316480287 76.6539093810001,-84.2844359059999 76.6577631820001,-84.261126839 76.6555449960001,-84.170423714 76.6423880730001,-84.1386097449999 76.637772999,-84.129274537 76.6357477220001,-84.110408821 76.631654057,-84.081798834 76.621482331,-84.078755028 76.6204001,-84.06166403 76.5852632400001,-84.060724581 76.5762509250001,-84.058609744 76.5559549990001,-84.0586088329999 76.5559541360001,-84.058608826 76.5559540720001,-84.0529532799999 76.5505992240001,-84.0401367439999 76.538463999,-84.0401364959999 76.5384638940001,-84.0401357819999 76.5384632190001,-84.018617928 76.5294360770001,-83.9849999579999 76.5205361720001,-83.893617935 76.5016633110001,-83.7383269169999 76.4516091,-83.7008267849999 76.4309540790001,-83.629955395 76.4245059200001,-83.619999744 76.423599999,-83.4399907439999 76.411099999,-83.285827744 76.406372999,-83.256672744 76.4074819990001,-83.2498978359999 76.408108166,-83.223617879 76.4105360980001,-83.189846018 76.4209631850001,-83.1898461599999 76.42096387,-83.189845744 76.420963999,-83.196863946 76.4545734170001,-83.2075088669999 76.5055540230001,-83.243365605 76.564693027,-83.2502817439999 76.5760999990001,-83.250281819 76.5761000320001,-83.250281887 76.5761001440001,-83.252348976 76.577009203,-83.278063744 76.5883189990001,-83.307354744 76.5955459990001,-83.331118744 76.6033189990001,-83.33991015 76.607140552,-83.352217899 76.612491182,-83.401808908 76.6341447010001,-83.499163744 76.6766549990001,-83.519481404 76.7057455130001,-83.505160583 76.717555647,-83.497499744 76.723872999,-83.441656494 76.7451044840001,-83.4054184239999 76.7588819050001,-83.388326346 76.75386179,-83.3647192289999 76.7469275970001,-83.384172744 76.7308189990001,-83.384172441 76.7308185540001,-83.3841729 76.730818174,-83.338899893 76.6641540480001,-83.198608962 76.6194270390001,-83.113327125 76.583045198,-83.079727744 76.5395639990001,-83.07103914 76.515287222,-83.0634731389999 76.494145744,-83.090265111 76.4769205160001,-83.097154909 76.472491103,-83.097154744 76.4724909980001,-83.0964133099999 76.472015651,-83.096413248 76.4720156110001,-83.062499744 76.450272999,-82.997081743 76.427899999,-82.955284622 76.420207985,-82.833326794 76.3977632510001,-82.7044550319999 76.386936011,-82.529718793 76.394391597,-82.4830637429999 76.3963819990001,-82.4560326289999 76.3962124500001,-82.348346019 76.395536011,-82.293335924 76.3958270310001,-82.2602818889999 76.3986091520001,-82.217851593 76.4081091240001,-82.2094457429999 76.4099909990001,-82.204426521 76.4112265580001,-82.171108832 76.419427118,-82.1315908409999 76.4451181540001,-82.131591352 76.4451186030001,-82.1315907429999 76.445118999,-82.1526457429999 76.4635999990001,-82.1894363339999 76.4866457430001,-82.2195089589999 76.526445079,-82.196946049 76.542754083,-82.174999879 76.5469361500001,-82.087499851 76.5591541150001,-82.087501103 76.5591548090001,-82.087499743 76.559154999,-82.108054743 76.570545999,-82.2080547429999 76.5930459990001,-82.308881743 76.6094189990001,-82.415009743 76.623027999,-82.435272743 76.6280369990001,-82.460554743 76.636109999,-82.5394361469999 76.670263741,-82.56423585 76.7040180450001,-82.556108925 76.72303608,-82.5561099179999 76.72303659,-82.556109743 76.723036999,-82.637142318 76.7646346290001,-82.640563975 76.7663911390001,-82.698608823 76.7885911130001,-82.7151753969999 76.794196265,-82.737218743 76.8016549990001,-82.7630622249999 76.812827343,-82.7250089679999 76.8191540460001,-82.708491889 76.814979861,-82.698609743 76.8124819990001,-82.6614493 76.801360118,-82.5881998789999 76.779436063,-82.476108855 76.705044995,-82.4508075809999 76.6899455330001,-82.442490743 76.6849819990001,-82.377490743 76.6574819990001,-82.368734431 76.654482907,-82.336535918 76.6434541,-82.282908836 76.634436011,-82.217445413 76.6298139900001,-82.199999743 76.6285819990001,-82.188010928 76.6284619900001,-82.145554924 76.6280360920001,-82.115554919 76.628863218,-82.0841041739999 76.6308979290001,-82.081118743 76.631090999,-82.081117962 76.631091122,-82.08111787 76.6310911300001,-81.893335913 76.660809166,-81.864827893 76.6691812490001,-81.857363742 76.6713729990001,-81.849544786 76.6738775570001,-81.828755025 76.680536143,-81.7857285969999 76.6763634650001,-81.808009348 76.662444656,-81.814163976 76.658600199,-81.822360594 76.6566445300001,-81.851390742 76.6497189990001,-81.873609742 76.6458279990001,-81.953336743 76.6319279990001,-82.030740399 76.611952236,-82.049154991 76.6072001900001,-82.049154594 76.607200037,-82.049154743 76.607199999,-82.0406666969999 76.603937215,-81.986319336 76.583045616,-82.022876754 76.559450236,-82.03195499 76.5535912130001,-82.0413006059999 76.5472615640001,-82.079727743 76.5212369990001,-82.079726165 76.5212364970001,-82.079726809 76.5212360610001,-82.049164043 76.5115180820001,-81.908695484 76.4885638850001,-81.879990742 76.4838729990001,-81.7886097419999 76.4746999990001,-81.7697948639999 76.473539923,-81.716664001 76.4702631930001,-81.648250398 76.469070254,-81.636945742 76.468872999,-81.521945742 76.468599999,-81.516023027 76.4687683000001,-81.492491006 76.4694360670001,-81.463132934 76.4712320500001,-81.4608277419999 76.471372999,-81.411118742 76.4774819990001,-81.388899742 76.481372999,-81.378258457 76.484073299,-81.3445819309999 76.4926180640001,-81.304172943 76.5105451110001,-81.275008949 76.533327124,-81.205131465 76.52159899,-81.188890742 76.5188729990001,-81.158877976 76.5134208220001,-80.9916729609999 76.4830450920001,-80.778199968 76.4215091830001,-80.76354622 76.398527437,-80.7836187409999 76.3749819990001,-80.8319679909999 76.3497381770001,-80.903881912 76.3121912280001,-80.973100948 76.2820728030001,-81.040627742 76.252690998,-81.077637051 76.2254085330001,-81.095554916 76.212200152,-81.081946058 76.1324822170001,-81.0819457709999 76.1324821730001,-81.081945742 76.1324819980001,-81.076639938 76.131657891,-81.053326888 76.12803612,-80.969902227 76.14172541,-80.949999742 76.1449909980001,-80.905538268 76.147091834,-80.7033358259999 76.1566450650001,-80.663335875 76.1604092100001,-80.638754938 76.1690092100001,-80.6340482809999 76.176606603,-80.627490741 76.1871909980001,-80.622082392 76.188334722,-80.6063820159999 76.191654095,-80.506955042 76.1963632160001,-80.4333360799999 76.1967161960001,-80.4195817409999 76.1967819980001,-80.414270377 76.1982232410001,-80.389864046 76.204845031,-80.371245995 76.2155450340001,-80.3383357929999 76.2283180480001,-80.293335869 76.2352632930001,-80.2611268969999 76.2383091090001,-80.2371523799999 76.239602582,-80.2302817409999 76.239972998,-80.224796265 76.240088993,-80.203608936 76.2405360130001,-80.182660235 76.239843432,-80.178327741 76.239699998,-80.173342598 76.2390700670001,-80.1563909929999 76.236927101,-80.133322632 76.228074039,-80.128890741 76.226372998,-80.123154757 76.225417398,-80.10722694 76.222763194,-80.0906547769999 76.223456437,-80.087218741 76.2235999980001,-80.084517895 76.2239480090001,-80.061391005 76.2269271550001,-79.933188265 76.2518956260001,-79.924436741 76.2535999980001,-79.918541793 76.2548257280001,-79.805555036 76.2783181130001,-79.641217013 76.3021344410001,-79.5966637399999 76.308590999,-79.592555568 76.3091358180001,-79.573626936 76.3116450630001,-79.525281962 76.3144181320001,-79.5008358059999 76.314145049,-79.4455459229999 76.306636037,-79.4194956219999 76.3020319570001,-79.41417274 76.3010909990001,-79.4033537569999 76.300096265,-79.3658268149999 76.2966451440001,-79.344719722 76.2964342820001,-79.33860974 76.2963729990001,-79.31277274 76.2974819990001,-79.30006284 76.301012809,-79.26028189 76.3120633200001,-79.260281965 76.3120639360001,-79.26028174 76.312063999,-79.263972655 76.342418298,-79.193881962 76.4030450230001,-79.1708361789999 76.409991028,-79.1687394369999 76.410101216,-79.1391729439999 76.411654076,-79.101752889 76.4114391240001,-79.0902907399999 76.411372999,-79.08276488 76.411735229,-79.0613908939999 76.4127631690001,-79.003608903 76.4223361410001,-78.969454995 76.4341450690001,-78.942217833 76.4474912380001,-78.9008358739999 76.4788631930001,-78.886946054 76.497209168,-78.8683268299999 76.5211001060001,-78.7819459529999 76.572209097,-78.751108931 76.572218149,-78.651089783 76.5654815770001,-78.627209739 76.5638729990001,-78.6133277389999 76.547763999,-78.597218739 76.506581999,-78.612145739 76.491436999,-78.612145293 76.491436794,-78.612146028 76.4914360480001,-78.55249085 76.464154127,-78.5191639 76.456936135,-78.47305505 76.4516632470001,-78.443326787 76.452209076,-78.435546599 76.4531218070001,-78.435109739 76.4531729990001,-78.429896449 76.4537493000001,-78.370963972 76.4602632470001,-78.256673034 76.506654064,-78.2061088679999 76.539145003,-78.182217929 76.5629001550001,-78.093745935 76.607754066,-78.0205640409999 76.628863218,-77.991262637 76.6318374460001,-77.984999739 76.6324729990001,-77.979944835 76.6320655930001,-77.9472178619999 76.6294271530001,-77.9183358349999 76.6283091750001,-77.874244354 76.6293914380001,-77.8616637389999 76.6296999990001,-77.857501126 76.6304347440001,-77.8411088349999 76.6333270850001,-77.810272986 76.640827044,-77.78417853 76.6513762380001,-77.776945739 76.654299999,-77.811245743 76.6844280000001,-77.784445739 76.7865189990001,-77.8903457389999 76.9497729990001,-77.890345824 76.9497730290001,-77.890345978 76.9497732670001,-78.078754901 77.0161001050001,-78.140835803 77.019991153,-78.1486215899999 77.019914134,-78.1969457389999 77.0194369990001,-78.292772739 77.014709999,-78.3202817389999 77.011654999,-78.344163739 77.0077639990001,-78.3844457389999 76.9997099990001,-78.557981739 76.9350459990001,-78.557982 76.9350450890001,-78.564854732 76.9101279970001,-78.7160364269999 76.8227731800001,-78.748335862 76.822491217,-78.792365344 76.8270321860001,-78.91528174 76.839709999,-78.909999832 76.8866541800001,-78.87736403 76.9237271740001,-78.877364415 76.923727231,-78.87736374 76.9237279990001,-78.95418174 76.9352549990001,-78.976718327 76.936200259,-78.9808357749999 76.9363731190001,-79.005846033 76.9361002040001,-79.043067842 76.934719149,-79.19305474 76.929154999,-79.2353907149999 76.92572469,-79.24444596 76.9249911650001,-79.2557124579999 76.9238751830001,-79.3175097399999 76.9177549990001,-79.34583674 76.9180459990001,-79.386808838 76.9313637060001,-79.384026777 76.9523450030001,-79.3655549059999 76.9633180880001,-79.3352896279999 76.97592561,-79.32889074 76.9785909990001,-79.13249074 77.0535909990001,-79.114744192 77.0592773860001,-79.0215268979999 77.0891450390001,-79.00444592 77.1002632980001,-79.0044461589999 77.100263726,-79.0044457399999 77.100263999,-79.0362547399999 77.157345999,-79.21694574 77.2097189990001,-79.244273666 77.2160950850001,-79.255008835 77.2186001810001,-79.2905730689999 77.2216371600001,-79.42416374 77.2330459990001,-79.4455457399999 77.2344189990001,-79.63305474 77.2433189990001,-79.66028174 77.244427999,-79.7163540299999 77.240616904,-79.7258268749999 77.2399731960001,-79.785281894 77.2313731960001,-79.811081739 77.2271351270001,-79.9358187409999 77.206645999,-80.013336741 77.1905369990001,-80.072509741 77.170536999,-80.094727741 77.161099999,-80.126809741 77.1451279990001,-80.159436741 77.1227549990001,-80.200469358 77.1105319110001,-80.206954992 77.108600107,-80.231321162 77.1026141070001,-80.3369547409999 77.0766639990001,-80.3674947069999 77.0721944060001,-80.3730459239999 77.0713821100001,-80.403890685 77.0792910270001,-80.3817960819999 77.0902771120001,-80.255008946 77.153318063,-80.171412516 77.1765084900001,-80.1448637409999 77.1838729990001,-80.137660447 77.1874391850001,-80.115408851 77.1984541090001,-80.115410563 77.1984545920001,-80.115409741 77.198454999,-80.145418741 77.2069279990001,-80.205836741 77.2094279990001,-80.251591499 77.2118309430001,-80.258617858 77.2122000950001,-80.2617134989999 77.2124013470001,-80.280290741 77.2136099990001,-80.503180594 77.2329656590001,-80.5263998839999 77.2349821080001,-80.5927729909999 77.2424822350001,-80.960281895 77.2713821990001,-81.149172945 77.274700092,-81.173855878 77.2703780890001,-81.395009742 77.2316549990001,-81.578972761 77.2020697570001,-81.607499938 77.197482144,-81.612333553 77.196832971,-81.634445742 77.193863999,-81.706245742 77.1791459990001,-81.76959361 77.162140198,-81.786945924 77.1574821930001,-81.796663903 77.1574821930001,-81.834164035 77.1624912180001,-81.872081921 77.173173283,-81.9056729009999 77.1942822680001,-81.913221756 77.2008861610001,-81.978881743 77.2583279990001,-82.0433367429999 77.265545999,-82.081681743 77.2727639990001,-82.143204231 77.2930463930001,-82.158754376 77.2981730990001,-82.0919457429999 77.3163729990001,-81.953890743 77.302199999,-81.8749997419999 77.2924819990001,-81.827322518 77.2939380670001,-81.8273224719999 77.293938069,-81.538326941 77.3027632060001,-81.424999922 77.3063632340001,-81.283890916 77.3152633060001,-81.179465664 77.3318542970001,-81.167218742 77.3337999990001,-81.167218767 77.3338000730001,-81.167217841 77.333800221,-81.175417857 77.357482115,-81.196935879 77.369282158,-81.205354529 77.369259588,-81.251399742 77.3691370000001,-81.323521334 77.3686752080001,-81.336672934 77.3685911540001,-81.351475036 77.3685065660001,-81.432218742 77.368046,-81.484727742 77.3722100000001,-81.5236187419999 77.3780370000001,-81.700563742 77.422764,-81.739990481 77.4388638930001,-81.726163917 77.457468883,-81.714999742 77.472491,-81.707766062 77.476228996,-81.690281961 77.4852632230001,-81.668890841 77.499154048,-81.6688909499999 77.499154864,-81.668890742 77.499155,-81.6734727419999 77.5333910000001,-81.6734728869999 77.533391066,-81.673472892 77.5333911050001,-81.6830702239999 77.537815348,-81.801518742 77.5924190000001,-81.8406255689999 77.596949604,-81.857226842 77.5988732150001,-81.903617826 77.6067910960001,-81.924138505 77.6262616810001,-81.949290501 77.65012777,-81.927009066 77.6835819400001,-81.885972742 77.6799820000001,-81.853755021 77.668591098,-81.8511012439999 77.660857251,-81.844509742 77.641646,-81.8420946429999 77.638686297,-81.829999905 77.6238631890001,-81.622442583 77.5786893380001,-81.610545917 77.5761000380001,-81.610216534 77.5727454710001,-81.6083367419999 77.553591,-81.591983004 77.530930638,-81.581181936 77.5159632850001,-81.5338909019999 77.506945027,-81.442217859 77.491363237,-81.404425459 77.4833929430001,-81.379718742 77.4781820000001,-81.367728225 77.4741047190001,-81.344590983 77.466236135,-81.329758199 77.454081918,-81.318409742 77.444782,-81.285972742 77.426791,-81.2792543049999 77.4254462370001,-81.254726923 77.420536155,-81.2077818939999 77.4158181490001,-81.150835915 77.4136091820001,-81.121108824 77.4136091820001,-81.0952729489999 77.4119271020001,-81.024308906 77.3933092190001,-81.005573006 77.377200207,-81.0055729759999 77.3772002010001,-81.005572742 77.3772000000001,-80.9842404939999 77.3731058970001,-80.879717891 77.3530450700001,-80.775835768 77.3344271870001,-80.7533459479999 77.330554077,-80.509408704 77.3022774520001,-80.456118741 77.296099999,-80.3910438739999 77.292428536,-80.042499872 77.272763201,-80.0191639829999 77.2722180420001,-79.9883267929999 77.2736091030001,-79.960555034 77.276927163,-79.923326811 77.285263301,-79.889026889 77.2977632340001,-79.860826814 77.3033180880001,-79.836673019 77.3069271680001,-79.7122178499999 77.3183270600001,-79.661588127 77.3185640680001,-79.65388174 77.3185999990001,-79.6507922759999 77.318334168,-79.631381937 77.3166632520001,-79.493326795 77.304427182,-79.37331789 77.2930450600001,-79.332650372 77.2895379330001,-79.3216727399999 77.2885909990001,-79.310677772 77.2882333050001,-79.270554918 77.286927109,-79.2072267899999 77.2883181700001,-79.171390968 77.2908181560001,-79.1444728399999 77.2931755800001,-79.13972774 77.2935909990001,-79.08332774 77.299990999,-79.083327067 77.299991117,-79.0833268379999 77.2999911430001,-79.0794831979999 77.300665322,-79.00418174 77.3138729990001,-78.992621887 77.3171432770001,-78.961955035 77.325818134,-78.94401793 77.3356821250001,-78.920273004 77.3508181660001,-78.898054926 77.3608090600001,-78.861663887 77.3702541230001,-78.841108946 77.3744180850001,-78.816663964 77.37803605,-78.774445994 77.380818171,-78.7284739629999 77.369145292,-78.7861187399999 77.3358189990001,-78.825296598 77.315620842,-78.835282015 77.310473216,-78.835281445 77.3104731510001,-78.83528174 77.3104729990001,-78.830342479 77.3099100060001,-78.806654965 77.307209136,-78.777217889 77.307209136,-78.741108818 77.3094181020001,-78.6905550449999 77.3155360530001,-78.303881925 77.373309159,-78.256673034 77.3819270970001,-77.9883357909999 77.4837360400001,-77.945899891 77.5073540640001,-77.9459002529999 77.507354713,-77.945899739 77.5073550000001,-77.958345739 77.5297100000001,-77.9580062169999 77.5311589340001,-77.9522268869999 77.5558180610001,-77.8722179329999 77.568327046,-77.724308858 77.6038731880001,-77.7332993639999 77.6128056300001,-77.7427637389999 77.6222100000001,-77.843208067 77.6508013740001,-77.862781922 77.6563732390001,-77.865793369 77.657169088,-77.882763739 77.6616550000001,-77.913581699 77.6684965890001,-77.9202728929999 77.669982265,-77.9811089139999 77.7013822150001,-77.953678687 77.743046061,-77.9406907389999 77.762773,-77.953190739 77.7992820000001,-77.953190944 77.7992820870001,-77.9531909739999 77.799282174,-77.9557202829999 77.8003517870001,-77.9719367389999 77.8072100000001,-78.139454739 77.8572100000001,-78.166482473 77.859385656,-78.173890844 77.8599822400001,-78.260281946 77.8613731340001,-78.263132636 77.8615514860001,-78.2824997389999 77.8627640000001,-78.315760715 77.8663216320001,-78.323973011 77.8672002330001,-78.332940718 77.871410709,-78.415380912 77.9101186120001,-78.260835823 77.9952540880001,-78.237499934 77.9958181900001,-78.1622178699999 77.9883091780001,-78.140835803 77.9852631950001,-78.048306912 77.9684468730001,-78.036945739 77.9663820000001,-78.0340915039999 77.965718983,-77.9974998929999 77.957218185,-77.8388998679999 77.942745153,-77.336117943 77.9408091010001,-77.298335843 77.942745153,-77.272226885 77.9463632850001,-77.250573387 77.948099809,-77.244445738 77.9485910000001,-77.238551391 77.9486883100001,-77.2108269299999 77.949145071,-77.1693403849999 77.9466524170001,-77.159999738 77.9460910000001,-77.112218738 77.9367820000001,-77.091477239 77.9237054560001,-77.085008863 77.9196271930001,-77.036390975 77.9097181070001,-76.986117828 77.9047090820001,-76.965738748 77.9029894660001,-76.959727738 77.9024820000001,-76.931109738 77.9013820000001,-76.8622097379999 77.9027730000001,-76.86220888 77.9027731960001,-76.8622088239999 77.9027732000001,-76.8100637379999 77.9147,-76.780290738 77.9299820000001,-76.77571146 77.930644837,-76.7572358799999 77.933318194,-76.7349037079999 77.935647503,-76.7305637379999 77.9361000000001,-76.694445738 77.937191,-76.6699997379999 77.9363730000001,-76.5958367379999 77.9397000000001,-76.5483367369999 77.9449730000001,-76.546981848 77.9452273730001,-76.5261089219999 77.949145071,-76.495835835 77.9634632060001,-76.474163921 77.982209165,-76.444717887 77.9885911250001,-76.4447177919999 77.9885911440001,-76.3030549109999 78.0094270480001,-76.282920845 78.011980796,-76.276672737 78.012773,-76.269599993 78.0134799740001,-76.246108931 78.0158271340001,-76.2223476139999 78.0154078800001,-76.2147187369999 78.015273,-76.157227737 78.0125,-76.109108235 78.002687033,-75.974590924 77.975254029,-75.922772992 77.9566450300001,-75.838608961 77.998318177,-75.8094359149999 78.008327175,-75.7611274339999 78.0224910690001,-75.7589636439999 78.022982814,-75.715281996 78.0329091180001,-75.699709393 78.037800648,-75.692763737 78.0399820000001,-75.631346578 78.068847013,-75.594035922 78.0863821400001,-75.582363954 78.1114450360001,-75.5823641549999 78.1114451020001,-75.582363737 78.1114460000001,-75.6219367369999 78.124419,-75.7355457369999 78.130819,-75.763899737 78.1316550000001,-76.0213907369999 78.138046,-76.537781737 78.158328,-76.641681738 78.164428,-76.661092653 78.165846044,-76.6644460319999 78.166091189,-76.688599827 78.168873143,-76.715298578 78.172034034,-76.8833277379999 78.1919280000001,-76.910281224 78.1983098790001,-76.893335859 78.2152731800001,-76.8843968739999 78.2181404550001,-76.8552727379999 78.2274820000001,-76.849409307 78.228311396,-76.831681932 78.2308180900001,-76.6305549799999 78.2477540610001,-76.608335896 78.2494182040001,-76.574172935 78.2497092230001,-76.548046039 78.2483181630001,-76.5202819909999 78.245527156,-76.474717797 78.2394271430001,-76.393063979 78.2322091510001,-76.361390946 78.2316541010001,-76.324446031 78.232754142,-76.29194604 78.2344181170001,-76.230787774 78.239556351,-76.225827737 78.2399730000001,-76.188890737 78.241091,-76.185354408 78.2410291260001,-76.157226895 78.240536068,-76.020576111 78.232135666,-75.9855457369999 78.2299820000001,-75.9685695599999 78.228790851,-75.902499851 78.224154142,-75.776399984 78.2105360630001,-75.679446007 78.1983180980001,-75.650282013 78.1969270380001,-75.613617892 78.198027079,-75.586380516 78.2007177630001,-75.582509737 78.2011000000001,-75.503745736 78.2149910000001,-75.497113837 78.2169417330001,-75.479173003 78.2222180900001,-75.4249255679999 78.258800186,-75.395145736 78.2788820000001,-75.392166961 78.2820925240001,-75.381108926 78.29400909,-75.358608881 78.3016540570001,-75.307499891 78.305545104,-75.2730549619999 78.305545104,-75.24610882 78.3033182,-75.221935914 78.3002631640001,-75.189990972 78.29970912,-75.086672951 78.3063631780001,-75.057217938 78.3127632640001,-75.03485502 78.328463239,-75.034855412 78.3284635260001,-75.0348547359999 78.3284640000001,-75.089999736 78.368864,-75.2697277359999 78.404164,-75.410827736 78.426655,-75.443599736 78.430546,-75.498890736 78.433046001,-75.617218737 78.4380370010001,-75.761127737 78.4438640010001,-76.0574997369999 78.461928001,-76.081172174 78.4650642340001,-76.091117818 78.4663822590001,-76.102508073 78.4750158750001,-76.115199737 78.4846370010001,-76.2524997369999 78.5129100010001,-76.2894457369999 78.5155460010001,-76.317444257 78.5153293020001,-76.32471794 78.51527323,-76.3312558969999 78.5149536600001,-76.364718737 78.5133190010001,-76.468336737 78.5052640010001,-76.539990737 78.5033280010001,-76.631406705 78.5028487050001,-76.645845918 78.50277313,-76.650291475 78.5040646370001,-76.686334846 78.5145364510001,-76.6427729449999 78.528318154,-76.468890866 78.545536091,-76.440475821 78.5482842270001,-76.437209737 78.5486000010001,-76.431559539 78.5485029100001,-76.404445933 78.5480360780001,-76.1979126219999 78.5403361140001,-76.151109737 78.538591001,-76.1447472579999 78.538191553,-76.120272927 78.5366541240001,-76.0970234919999 78.5337815300001,-76.095554737 78.5336000010001,-76.0944724079999 78.533412803,-76.0730640369999 78.529709214,-76.035888815 78.5221787990001,-76.030563737 78.521100001,-75.989990737 78.5138820010001,-75.986399745 78.5134416980001,-75.9650088989999 78.5108180810001,-75.898568589 78.5067297410001,-75.888336737 78.5061000010001,-75.882851621 78.5059701530001,-75.8299999079999 78.5047180670001,-75.520751508 78.509369801,-75.4794457359999 78.5099910010001,-75.4558850719999 78.5113064190001,-75.290555035 78.5205360590001,-75.2616730079999 78.523318181,-75.227499821 78.530545058,-75.205243993 78.5362266990001,-75.2002907359999 78.537491001,-75.1672187359999 78.5397000010001,-75.162952784 78.5396351250001,-75.131381855 78.5391541100001,-75.101390903 78.5377632170001,-75.0759820009999 78.5308181400001,-75.048045956 78.5280450710001,-75.024172955 78.531936118,-74.87013587 78.5648451470001,-74.805497739 78.5862404390001,-74.7899907359999 78.5913730010001,-74.819454736 78.6274730010001,-74.819454875 78.6274730320001,-74.8194550269999 78.6274732190001,-74.824774406 78.628672071,-74.857772736 78.6361100010001,-74.8619405869999 78.6487014740001,-74.869717948 78.6722002270001,-74.843335908 78.6930361300001,-74.827213001 78.6965722450001,-74.8230637359999 78.6974820010001,-74.81005039 78.697587706,-74.7558459379999 78.6980270510001,-74.723473016 78.704436021,-74.723473266 78.7044368960001,-74.723472736 78.704437001,-74.756672736 78.820273001,-74.75667284 78.8202730560001,-74.7566728959999 78.820273253,-74.775008812 78.8299912320001,-74.9647179359999 78.8560911370001,-75.006853872 78.8605935160001,-75.180554736 78.8791550010001,-75.264756161 78.887538647,-75.292217837 78.890273209,-75.297801796 78.8907258460001,-75.316099736 78.8922100010001,-75.430376527 78.8915504340001,-75.461117881 78.8913732500001,-75.527780072 78.8899173790001,-75.7916727369999 78.8841550010001,-75.9750097369999 78.872755001,-76.077499737 78.8730280010001,-76.1333277369999 78.876646001,-76.158336737 78.8791550010001,-76.178327737 78.8802640010001,-76.199325603 78.880921775,-76.204726805 78.8810911690001,-76.207522802 78.880890175,-76.2316727369999 78.8791550010001,-76.337363737 78.8602640010001,-76.3805682 78.8481391280001,-76.382908968 78.8474822520001,-76.382909223 78.8474821450001,-76.382909737 78.8474820010001,-76.403199737 78.8390100010001,-76.434527951 78.8505348250001,-76.44992681 78.8562001020001,-76.4150088069999 78.8738731770001,-76.375545969 78.882754139,-76.3355549029999 78.891663264,-76.319998103 78.895114462,-76.315554737 78.896100001,-76.3113999349999 78.8966306410001,-76.287217808 78.899718105,-76.2499999779999 78.9022092070001,-76.0952728949999 78.91026321,-75.896117869 78.920818205,-75.858608853 78.9233091390001,-75.8292407549999 78.9257815600001,-75.825563737 78.926091001,-75.8207752599999 78.9268929690001,-75.789026818 78.932209212,-75.773138578 78.9385119240001,-75.769454737 78.9399730010001,-75.755886574 78.9485684630001,-75.7262460279999 78.967345144,-75.7262469359999 78.967345241,-75.7262457369999 78.9673460010001,-75.989718737 78.9955280010001,-76.361390737 79.0197190010001,-76.41354759 79.0220222010001,-76.424164025 79.0224911940001,-76.683317887 79.0277731340001,-76.68727781 79.0278523690001,-76.710554738 79.0283190010001,-76.748276657 79.0278469040001,-76.7541820169999 79.0277731340001,-76.9602819529999 79.012773215,-76.972891255 79.0116010830001,-77.0261097379999 79.0066550010001,-77.0705343659999 79.0001050600001,-77.078890912 78.9988731700001,-77.0839896809999 78.9982768260001,-77.1074997379999 78.9955280010001,-77.1646242149999 78.9907713690001,-77.177490927 78.9897001830001,-77.258345951 78.9863732380001,-77.281517835 78.9859684670001,-77.370272738 78.984419001,-77.526399738 78.979155001,-77.6860258899999 78.968820819,-77.689435782 78.9686000830001,-77.689436202 78.9686000360001,-77.689436739 78.9686000010001,-77.691521861 78.9683675800001,-77.711946053 78.966091211,-77.751681974 78.957491211,-77.78083627 78.948884078,-77.894718739 78.9152640010001,-78.035972739 78.8645640010001,-78.0856647799999 78.8387757680001,-78.105272896 78.8286001710001,-78.1376459849999 78.8065001100001,-78.145391043 78.799919039,-78.163954739 78.7841460010001,-78.205836421 78.7713820980001,-78.210605936 78.771255678,-78.248045739 78.770264001,-78.277499739 78.7741550010001,-78.2913903 78.793727382,-78.147508971 78.8652632860001,-78.055880084 78.9001596310001,-78.040281739 78.9061000010001,-78.0220257239999 78.9142496000001,-77.9481910009999 78.94720913,-77.835008821 78.9794271550001,-77.796108911 78.9885910890001,-77.770621083 78.994600679,-77.709163739 79.0090910010001,-77.7091641379999 79.009091164,-77.709163932 79.009091213,-77.792499831 79.0431732050001,-77.7985310939999 79.0439668450001,-77.829454739 79.0480370010001,-77.8611187389999 79.0491460010001,-77.966109739 79.0491460010001,-78.070554739 79.0466460010001,-78.108336739 79.0466460010001,-78.144496125 79.049773562,-78.159726936 79.051091253,-78.23639084 79.0649911310001,-78.243782536 79.0652513480001,-78.283890739 79.066664001,-78.3853694049999 79.0652653270001,-78.405272946 79.0649911310001,-78.4285308139999 79.0642484000001,-78.5883367389999 79.059146001,-78.672872032 79.0586955420001,-78.692490929 79.0585912130001,-78.885417799 79.0617822020001,-78.8849163089999 79.0618894680001,-78.859999912 79.067218203,-78.818346044 79.069445107,-78.6713909969999 79.0719271560001,-78.42528189 79.0830541330001,-78.365819652 79.0857221850001,-78.351109739 79.0863820010001,-78.336935468 79.0856737400001,-78.289990932 79.0833270470001,-78.2404211589999 79.078401307,-78.224309739 79.076800001,-78.165281739 79.0699910010001,-78.1350097389999 79.0674910010001,-78.103336739 79.066082001,-78.094785579 79.0660138040001,-78.0349998579999 79.0655361230001,-77.9368546489999 79.0683850070001,-77.9197277389999 79.0688820010001,-77.9078930109999 79.0690235110001,-77.84972694 79.0697181890001,-77.80773526 79.0660060580001,-77.7915277389999 79.064573001,-77.762253833 79.0511290540001,-77.7422177999999 79.041927151,-77.719726807 79.0366540960001,-77.6986355769999 79.0342392040001,-77.6930547389999 79.0336000010001,-77.664983669 79.030937324,-77.529172954 79.0180539820001,-77.494999935 79.017763298,-77.457072997 79.0302632300001,-77.429717817 79.0372000930001,-77.3555639579999 79.048327069,-77.326955014 79.0516540140001,-77.223054953 79.060527097,-77.16217632 79.06534012,-77.152790738 79.066082001,-77.142957272 79.0666693800001,-77.07333589 79.070827115,-76.9963819719999 79.0747091100001,-76.828335876 79.082763281,-76.676390915 79.089427061,-76.6372179219999 79.0905450390001,-76.575563995 79.089427061,-76.51501782 79.085818149,-76.359999885 79.0783270740001,-76.2650178339999 79.074436027,-76.210008912 79.0747091100001,-76.170546074 79.075818203,-76.151975411 79.0773384060001,-76.146663737 79.0777730010001,-76.139566288 79.0792117410001,-76.108317819 79.0855450670001,-76.0834819039999 79.0965181510001,-76.083482799 79.0965185320001,-76.0834817369999 79.096519001,-76.136672737 79.1191370010001,-76.159727737 79.122210001,-76.188713806 79.123483208,-76.191372924 79.1236000810001,-76.194929658 79.1234354480001,-76.2336097369999 79.121646001,-76.260009737 79.121919001,-76.304349125 79.1239768440001,-76.319735904 79.124691237,-76.430555058 79.1322000810001,-76.433869182 79.132439225,-76.484727737 79.1361100010001,-76.610827738 79.1491550010001,-76.634853359 79.1507494620001,-76.6399998759999 79.1510912140001,-76.65204259 79.1514470830001,-76.706118738 79.1530460010001,-76.818733086 79.1534978610001,-76.8419460759999 79.153591201,-77.01861782 79.153591201,-77.1811088919999 79.1538731680001,-77.186480354 79.1540364100001,-77.208618738 79.1547100010001,-77.237781738 79.1569370010001,-77.471936738 79.167755001,-77.766716635 79.176368607,-77.842772978 79.1785912330001,-77.856668011 79.1787584740001,-77.912218739 79.1794280010001,-77.972570348 79.1778891420001,-77.9888908409999 79.1774732550001,-78.0263998569999 79.1747001860001,-78.031179298 79.174252611,-78.056109739 79.171919001,-78.084727739 79.1680460010001,-78.181672739 79.159428001,-78.228609739 79.1605370010001,-78.23481722 79.164505105,-78.246526908 79.1719911550001,-78.2136183219999 79.1835910500001,-78.158890739 79.1899730010001,-78.0898556399999 79.193570751,-78.0898555969999 79.1935707530001,-77.817508916 79.2077632730001,-77.7878268159999 79.208593432,-77.777499739 79.2088820010001,-77.771786299 79.208766901,-77.749999894 79.20832704,-77.695263887 79.204709076,-77.642499974 79.199709103,-77.548045983 79.1944271630001,-77.5163652909999 79.1948920250001,-77.510836738 79.1949730010001,-77.495858931 79.195554858,-77.3888999599999 79.199709103,-77.250564024 79.1980271900001,-77.204999831 79.1952541210001,-77.173424137 79.1908074730001,-77.1674997379999 79.1899730010001,-77.1116637379999 79.184982001,-77.0830727379999 79.1835910010001,-77.0759326039999 79.183539991,-77.04499986 79.183318123,-76.973326876 79.183318123,-76.859164014 79.1852540080001,-76.519164013 79.1902632010001,-76.309435886 79.1908091980001,-76.132763975 79.199709103,-76.098055017 79.199145001,-76.07419293 79.1963828360001,-76.071672737 79.1960910010001,-76.0477727369999 79.1922000010001,-76.04353808 79.191414643,-75.944446079 79.1730360430001,-75.8549285129999 79.1441456680001,-75.8840277369999 79.1316550010001,-75.888336737 79.0998460010001,-75.888335675 79.099845837,-75.888335775 79.0998450960001,-75.763335782 79.0805541460001,-75.655563953 79.0683271290001,-75.629558473 79.066306969,-75.6266637369999 79.066082001,-75.586521776 79.063671447,-75.243054957 79.0430451290001,-75.1161088539999 79.0358092000001,-74.960008815 79.0283181250001,-74.725008916 79.02276327,-74.654172949 79.0222181120001,-74.578335836 79.0233181520001,-74.54889823 79.024988507,-74.5438817359999 79.0252730010001,-74.5144547359999 79.0285910010001,-74.504645679 79.030629016,-74.463608871 79.039154082,-74.4428358329999 79.0590731720001,-74.617490891 79.151382234,-74.6277891789999 79.152421974,-74.672499736 79.1569370010001,-74.7565713719999 79.1608853550001,-74.766954977 79.161373127,-74.7698927979999 79.161602879,-74.795545736 79.1636100010001,-74.818865505 79.174253606,-74.820281651 79.1749000250001,-74.8142950169999 79.1765595750001,-74.791945956 79.1827540210001,-74.7580549039999 79.1855270900001,-74.601945981 79.192745082,-74.5765954679999 79.1955725560001,-74.571945736 79.1960910010001,-74.5635718999999 79.1972182860001,-74.5202819359999 79.2030451000001,-74.469236737 79.2172820060001,-74.46923581 79.217282266,-74.4969460469999 79.224991102,-74.525554991 79.227200236,-74.586445324 79.2303608610001,-74.777218736 79.2402640010001,-74.800281736 79.2405370010001,-74.876099736 79.2380370010001,-75.083072736 79.2352640010001,-75.333124121 79.2369893000001,-75.405835876 79.2374912020001,-75.465008928 79.239973251,-75.608335784 79.239973251,-75.614320342 79.2398622840001,-75.637790737 79.2394280010001,-75.667523134 79.2370052200001,-75.675281878 79.236373224,-75.6869875949999 79.2349986930001,-75.734436737 79.229428001,-75.77064173 79.2277811660001,-75.77721789 79.2274822040001,-75.783296831 79.2275386050001,-75.8074997369999 79.2277640010001,-75.913014967 79.2297788860001,-75.9388908889999 79.2302732100001,-75.991945989 79.236373224,-76.0013479839999 79.238571785,-76.0436097369999 79.2484550010001,-76.059131689 79.2540632370001,-76.06861794 79.257491094,-76.0787810429999 79.2597674040001,-76.1058367369999 79.265828001,-76.12994365 79.2680340810001,-76.1361267939999 79.2686001330001,-76.168064025 79.2699911930001,-76.237782013 79.271100119,-76.671390942 79.2774822680001,-76.748702829 79.2765017580001,-76.9997277379999 79.2733190010001,-77.1764263599999 79.2646435240001,-77.1919357959999 79.263882127,-77.358335853 79.2500001870001,-77.42470896 79.2460912020001,-77.4360525979999 79.246278766,-77.487349377 79.247127913,-77.457829577 79.2517456400001,-77.453063738 79.2524910010001,-77.4489603279999 79.252787486,-77.4222269099999 79.254718192,-77.3600405139999 79.2580475350001,-77.349718738 79.258600001,-77.349717991 79.2586001830001,-77.349717916 79.2586001870001,-77.32570896 79.2644361710001,-77.325711207 79.2644366440001,-77.3257097379999 79.264437001,-77.478609738 79.2966460010001,-77.5291727379999 79.305255001,-77.624436738 79.3155370010001,-77.650836738 79.3177640010001,-77.718491968 79.317521325,-77.726945972 79.3174911040001,-77.760008892 79.316373125,-77.767824547 79.3164184930001,-77.809999739 79.316664001,-77.846118739 79.3177640010001,-77.876099739 79.3197190010001,-77.895748888 79.3217187610001,-77.9033359159999 79.322491244,-78.0213909999999 79.3399822640001,-78.027559202 79.342215616,-78.051316618 79.350818233,-77.963802974 79.3629607660001,-77.957227739 79.3638730010001,-77.950305833 79.364183822,-77.9138909119999 79.36581814,-77.8197358199999 79.351654065,-77.7801316919999 79.347471877,-77.769727739 79.3463730010001,-77.764823169 79.346053694,-77.7399908959999 79.3444360720001,-77.707508842 79.343318094,-77.634172888 79.345536113,-77.596117874 79.3458271330001,-77.496528839 79.346046152,-77.471945738 79.3461000010001,-77.460159011 79.345203574,-77.413617858 79.3416631710001,-77.376808897 79.33734515,-77.336102696 79.3308056280001,-77.317227738 79.3277730010001,-77.260563738 79.322773001,-77.2548550499999 79.322576677,-77.228054926 79.3216540600001,-77.195363615 79.3225623220001,-77.187772738 79.322773001,-77.182255249 79.3251188120001,-77.166881953 79.3316540050001,-77.166883013 79.331654459,-77.166881738 79.3316550010001,-77.227646266 79.3576767280001,-77.262217887 79.3724822560001,-77.3137890199999 79.4008987290001,-77.390771829 79.4433185010001,-77.359163985 79.455554125,-77.326399964 79.454163232,-77.212508843 79.4477540940001,-77.10694598 79.4184541450001,-77.083346061 79.401936096,-77.018890902 79.3819271520001,-76.965246738 79.3686372480001,-76.9594457379999 79.3672000010001,-76.952348317 79.3656908670001,-76.894163991 79.3533182080001,-76.869717835 79.3494271610001,-76.8291819459999 79.3508180540001,-76.7905549509999 79.3533182080001,-76.7177728739999 79.3533182080001,-76.682772896 79.3527633260001,-76.351108865 79.341936086,-76.1599483809999 79.3328426310001,-76.123318737 79.331100001,-76.1195309889999 79.331215662,-76.0866728949999 79.3322181070001,-75.895346064 79.3534539940001,-75.895350068 79.3534545210001,-75.895345737 79.353455001,-76.0313787859999 79.371331818,-76.0591549389999 79.374982242,-76.065193028 79.375951705,-76.0833277369999 79.3788640010001,-76.117218737 79.3844280010001,-76.151709021 79.3916290600001,-76.16249995 79.393882261,-76.164070785 79.3954745410001,-76.198390215 79.430263472,-76.164817869 79.4412039100001,-76.1489547369999 79.446373001,-76.148955168 79.4463731920001,-76.1489549619999 79.446373259,-76.1531329379999 79.448218334,-76.179172737 79.4597190010001,-76.198641128 79.4609859130001,-76.204726805 79.4613822300001,-76.4063908689999 79.4736001950001,-76.612499857 79.474700236,-76.665166321 79.4757358860001,-76.867218738 79.4797100010001,-76.895554738 79.4805460010001,-77.071672738 79.4869280010001,-77.134445738 79.4902640010001,-77.182115009 79.505039642,-77.186445685 79.5063820610001,-77.180298094 79.5132756100001,-77.151526809 79.5455360350001,-77.11220881 79.5452540680001,-77.0960729939999 79.540643199,-77.092772738 79.5397000020001,-77.069736738 79.5238820020001,-77.050281738 79.5186000020001,-77.033662339 79.517578181,-76.9058357919999 79.5097181510001,-76.872772872 79.508609225,-76.840310894 79.5088403780001,-76.8344457379999 79.5088820020001,-76.7952727379999 79.5113820020001,-76.7183367379999 79.519991002,-76.70943797 79.5201313890001,-76.6652818749999 79.52082719,-76.6361269339999 79.51943613,-76.387264484 79.5052180900001,-76.320281737 79.5013910010001,-76.309122057 79.500705053,-76.261126787 79.49775399,-76.20877197 79.492931689,-76.2038907369999 79.492482001,-76.175827737 79.4888730010001,-76.131381737 79.4788730010001,-76.128007731 79.477239228,-76.1048549189999 79.4660271450001,-76.047369521 79.4434592110001,-76.040272737 79.4406730010001,-75.9852727369999 79.4297000010001,-75.957509737 79.426091001,-75.931381737 79.4236000010001,-75.907772737 79.426091001,-75.882023383 79.4273476660001,-75.799726821 79.4313632820001,-75.7042108329999 79.4118215490001,-75.6952637369999 79.409991001,-75.531390737 79.3924910010001,-75.5117662489999 79.3911402370001,-75.4102819729999 79.3841540560001,-75.3299978919999 79.3806819480001,-75.313609736 79.3799730010001,-75.213899736 79.376373001,-75.0583367359999 79.373873001,-75.051784128 79.3739973150001,-75.00847298 79.374818125,-74.943472997 79.3827631630001,-74.911117844 79.3938732080001,-74.883754954 79.4122091240001,-74.8837554949999 79.412209493,-74.883754736 79.4122100010001,-74.904727736 79.4265100010001,-74.948881736 79.440810001,-74.989163736 79.4516550010001,-75.0515907339999 79.491573004,-74.987499736 79.509991002,-74.982176947 79.510696351,-74.964446027 79.513045096,-74.934417859 79.5032632470001,-74.6811088649999 79.4455360740001,-74.623932881 79.439286274,-74.617490736 79.438582001,-74.609438772 79.4385221630001,-74.544154937 79.438036115,-74.270460875 79.4365039840001,-74.270460844 79.4365039840001,-74.1983367349999 79.4361000010001,-74.160281735 79.436373001,-74.1541037219999 79.4366057330001,-74.116108911 79.438036115,-74.0813909 79.4405361010001,-74.023617794 79.4469271350001,-73.997472936 79.452123504,-73.990681735 79.4534730010001,-73.953681735 79.4783820010001,-73.963890735 79.5129100020001,-73.991790625 79.5436750410001,-73.9929179 79.5449181210001,-73.966055244 79.5525828610001,-73.957645735 79.554982002,-73.916109735 79.5524730020001,-73.8702817349999 79.5424910020001,-73.837781735 79.5274820020001,-73.832758887 79.524565163,-73.8172268389999 79.5155450830001,-73.785972901 79.504854133,-73.763485214 79.5011642710001,-73.758054735 79.500273001,-73.729172735 79.4986000010001,-73.722347359 79.4982857370001,-73.693054978 79.4969360840001,-73.6627635629999 79.4964527820001,-73.657772735 79.4963730010001,-73.627971617 79.4967639290001,-73.446381937 79.4991450510001,-73.3538819349999 79.505827104,-73.300782102 79.5122113180001,-73.296109734 79.5127730020001,-73.294307486 79.51306993,-73.247217859 79.52082719,-73.1719460209999 79.5365181130001,-73.130435819 79.560436042,-73.162208413 79.6290516940001,-73.1713907339999 79.6488820020001,-73.171390907 79.6488820800001,-73.1713909709999 79.648882219,-73.173845043 79.6499924970001,-73.197772734 79.660819002,-73.256954734 79.6780370020001,-73.289360006 79.68689175,-73.295546068 79.6885822660001,-73.311241896 79.6947572540001,-73.3637362379999 79.7154098060001,-73.384735889 79.7488731280001,-73.510835755 79.7563821400001,-73.7147178389999 79.7663911380001,-73.760209748 79.7698577840001,-73.9513997349999 79.7844280020001,-74.106381735 79.7955370020001,-74.236390735 79.8019280020001,-74.309436735 79.8033190020001,-74.343375449 79.8026391990001,-74.351672912 79.802473219,-74.360643501 79.8019843710001,-74.3922277349999 79.8002640020001,-74.444990736 79.794710002,-74.488890736 79.7916550020001,-74.6351457119999 79.7892134420001,-74.6549999069999 79.788882131,-74.659484543 79.7891856790001,-74.691654736 79.7913640020001,-74.716663736 79.7969370020001,-74.8396618579999 79.8473452320001,-74.795272901 79.8508181930001,-74.680943178 79.85329935,-74.667499736 79.853591002,-74.6582315919999 79.85393141,-74.576399951 79.856936144,-74.415282002 79.86526323,-74.386902606 79.868245948,-74.383618735 79.8685910020001,-74.3775790999999 79.8692399340001,-74.3061088859999 79.876918098,-74.283617893 79.8813631890001,-74.2388908839999 79.887209064,-74.174870286 79.888516414,-74.1569547349999 79.8888820020001,-74.1174907349999 79.8888820020001,-74.092590059 79.8881705810001,-74.0102818509999 79.885818171,-73.945826859 79.881654041,-73.8908358739999 79.875263176,-73.8066249939999 79.8639701280001,-73.768618735 79.8588730020001,-73.756826439 79.854723451,-73.7451379349999 79.850609912,-73.788284367 79.847375857,-73.8016639909999 79.8463732700001,-73.859645974 79.8338822220001,-73.8596450439999 79.8338821510001,-73.859645735 79.8338820020001,-73.7802907349999 79.8277730020001,-73.775372218 79.827850955,-73.745272894 79.8283270320001,-73.667772978 79.8297092080001,-73.57639984 79.832763238,-73.433608922 79.8358181070001,-73.401993287 79.835104818,-73.396954735 79.834991002,-73.3939489539999 79.8347634500001,-73.371382008 79.8330540900001,-73.35320833 79.8308339230001,-73.348618734 79.8302730020001,-73.2849997339999 79.826100002,-73.2180637339999 79.8227730020001,-73.1783277339999 79.8227730020001,-73.091672734 79.8263820020001,-73.084608343 79.8262003850001,-73.05915494 79.8255450790001,-72.9324248889999 79.8153026740001,-72.921146235 79.8143910420001,-72.925332441 79.8126547110001,-72.945827734 79.8041550020001,-72.974529484 79.8024722330001,-72.979172976 79.8022001370001,-73.01889096 79.80540018,-73.0588178199999 79.8031001860001,-73.0588176649999 79.803100063,-73.0588187339999 79.8031000020001,-72.963403784 79.7278683270001,-72.9386089229999 79.708318127,-72.912781933 79.7022090610001,-72.7561177919999 79.682209169,-72.733324162 79.6800194750001,-72.729999734 79.6797000020001,-72.7257902659999 79.679486453,-72.697217822 79.678036155,-72.6665494929999 79.677320519,-72.661390734 79.6772000020001,-72.6546766769999 79.6772902800001,-72.6194459979999 79.67776324,-72.5741729919999 79.6791541330001,-72.467226781 79.6847091560001,-72.4249999259999 79.6855270620001,-72.398565043 79.6839655700001,-72.392227734 79.6835910020001,-72.383257205 79.682619806,-72.357635911 79.679845137,-72.324308961 79.669845024,-72.298080285 79.662876893,-72.287218734 79.6599910020001,-72.2848620469999 79.6598913870001,-72.2672268589999 79.6591450220001,-72.222006984 79.6599186540001,-72.2177727329999 79.6599910020001,-72.096663733 79.6749910020001,-72.077225488 79.67757742,-71.990281904 79.6891450270001,-71.922499967 79.6955271750001,-71.82446164 79.703065515,-71.817509733 79.703600002,-71.7811097329999 79.7061000020001,-71.777759453 79.706189963,-71.739435849 79.7072180860001,-71.705054414 79.7095850160001,-71.6991547329999 79.709991002,-71.6661956409999 79.7136866910001,-71.491108891 79.7333181590001,-71.458193126 79.7386006580001,-71.453890733 79.7392910020001,-71.400281733 79.7574910020001,-71.3943674069999 79.758304949,-71.376099959 79.7608181780001,-71.349609772 79.7633163470001,-71.3436097329999 79.7638820020001,-71.321441179 79.765669001,-71.212781928 79.7744270360001,-71.1901625899999 79.7768182740001,-71.183881732 79.7774820020001,-71.136127732 79.7849910020001,-71.116654732 79.7897000020001,-71.0898796289999 79.7969535810001,-71.0058459809999 79.8197181470001,-70.9133357539999 79.882618128,-70.913337132 79.88261873,-70.9133367319999 79.8826190020001,-70.935272732 79.8922100020001,-71.063045732 79.911655002,-71.109727732 79.9152640020001,-71.1683367319999 79.914155002,-71.3456997329999 79.887764002,-71.3827632799999 79.885655967,-71.394454986 79.884991212,-71.398124169 79.8852765660001,-71.4158367329999 79.8866550020001,-71.4362692509999 79.8896413830001,-71.438599917 79.8899821270001,-71.456672735 79.902272999,-71.408754733 79.9329000020001,-71.382637632 79.937486757,-71.270281951 79.957218072,-71.241673007 79.9608181,-71.11502996 79.967130942,-71.0855547319999 79.9686000020001,-71.055460157 79.96955388,-70.9541819419999 79.972763318,-70.9161088229999 79.974427125,-70.767226776 79.9816540020001,-70.726889397 79.985638764,-70.719454732 79.9863730020001,-70.6786727319999 80.003873002,-70.676301735 80.0081425590001,-70.6676358519999 80.0237450700001,-70.646663995 80.0319360340001,-70.597226859 80.039427108,-70.568072923 80.0427540530001,-70.494999827 80.0532450110001,-70.4950000329999 80.053245959,-70.4949997319999 80.053246002,-70.49799302 80.0670139750001,-70.503817924 80.0938090640001,-70.50381857 80.093809257,-70.503818732 80.0938100020001,-70.6266637319999 80.130537002,-70.651672732 80.1313640020001,-70.762509732 80.133328002,-70.8174944149999 80.131229336,-70.821117887 80.1310910990001,-70.822061552 80.1310129670001,-70.854718732 80.128310002,-70.952236881 80.116850791,-70.968063882 80.114991139,-71.1863908349999 80.0938732690001,-71.217269572 80.0910437910001,-71.316663733 80.0819370020001,-71.3760997329999 80.0769370020001,-71.47377116 80.069978613,-71.4891639539999 80.068882122,-71.5050866619999 80.068330652,-71.618054733 80.0644190020001,-71.701954733 80.064146002,-71.849727733 80.067764002,-71.885836733 80.0672190020001,-71.9136470879999 80.0665467860001,-71.9208358239999 80.0663732510001,-72.053054983 80.0574822310001,-72.137790995 80.0535911840001,-72.144106286 80.0536440820001,-72.1702727329999 80.0538640020001,-72.274960042 80.0566467620001,-72.306381914 80.0574822310001,-72.3157895319999 80.0584829900001,-72.349445734 80.0620640020001,-72.391952875 80.083736054,-72.250563971 80.085536125,-72.1321073829999 80.0872514340001,-72.115554733 80.087491002,-71.954727733 80.0963730020001,-71.9260997329999 80.0999910020001,-71.9214061709999 80.1018880490001,-71.899308918 80.110818125,-71.899310482 80.110818699,-71.8993097329999 80.1108190020001,-71.977218733 80.1394370020001,-71.996945733 80.143055002,-72.052490733 80.149719002,-72.0827817329999 80.151655002,-72.140836733 80.1569370020001,-72.184371281 80.1632671620001,-72.188599913 80.16388211,-72.2056188989999 80.1672610160001,-72.416671768 80.2091638110001,-72.3956999769999 80.220127195,-72.3718463929999 80.2247467560001,-72.368472734 80.2254000020001,-72.3654852879999 80.2254105660001,-72.3297268549999 80.225536037,-72.294445916 80.223309133,-72.272102139 80.218298916,-72.2654187329999 80.2168000020001,-72.232354733 80.2045730020001,-72.189163733 80.1922000020001,-72.165281733 80.188873002,-72.155298718 80.188577771,-72.1277819969999 80.187763326,-72.090554947 80.193445082,-72.0621055239999 80.194516176,-72.057218733 80.194700002,-72.006390733 80.188582002,-71.996120707 80.1870264190001,-71.9533358159999 80.1805449980001,-71.914254958 80.1726780110001,-71.9077727329999 80.1713730020001,-71.878599733 80.1624910020001,-71.842090733 80.137900002,-71.811663733 80.123600002,-71.8090322049999 80.1228903040001,-71.789990963 80.1177539820001,-71.7627908489999 80.114427037,-71.731945948 80.1119270510001,-71.694445983 80.1108090720001,-71.6608488369999 80.1112828780001,-71.654445733 80.1113730020001,-71.6287421709999 80.112071009,-71.5011088369999 80.1155361300001,-71.454581898 80.1197091450001,-71.418608949 80.1310910990001,-71.381946001 80.1391632070001,-71.257920729 80.1561842140001,-71.2383277329999 80.1588730020001,-71.231791643 80.1597534110001,-71.1805550189999 80.1666540050001,-71.121885026 80.172379715,-71.120836732 80.172482002,-71.1093787089999 80.1733630360001,-71.109378673 80.173363038,-70.821117887 80.1955271470001,-70.645554901 80.1991451120001,-70.611390934 80.19720906,-70.363740299 80.1890817410001,-70.3149997319999 80.1874820020001,-70.248890732 80.186100002,-70.216663732 80.186373002,-70.208561774 80.186963393,-70.178608965 80.1891449980001,-70.136935818 80.195400078,-69.99082684 80.2433180770001,-69.9629177849999 80.2543002140001,-69.978584857 80.263567154,-69.982636731 80.265964002,-70.0352817309999 80.278319002,-70.1505547319999 80.299146002,-70.2527907319999 80.313310002,-70.3099997319999 80.3180550020001,-70.352490732 80.3247100020001,-70.424163732 80.3361100020001,-70.441290781 80.3390595700001,-70.4483344509999 80.3402730020001,-70.444154732 80.3402730020001,-70.4441550349999 80.3402732270001,-70.4687455819999 80.3581098930001,-70.454726793 80.3835912390001,-70.434717849 80.391663179,-70.423326843 80.421645079,-70.4233278529999 80.4216456820001,-70.423327732 80.421646002,-70.4836097319999 80.457628002,-70.531390732 80.4744280020001,-70.637790732 80.5091550020001,-70.6708367319999 80.518055002,-70.726273078 80.5284776870001,-70.741672868 80.5313732450001,-70.746324102 80.5319746590001,-70.765290732 80.5344280020001,-70.804581732 80.5427640020001,-70.819445732 80.558873002,-70.810712387 80.559872553,-70.7830638789999 80.563036052,-70.7547268439999 80.559418087,-70.7195817799999 80.5543968090001,-70.7061187319999 80.5524730020001,-70.698256471 80.5510784250001,-70.681108923 80.548036133,-70.539990866 80.521927175,-70.5122344439999 80.516421096,-70.4994367319999 80.5138820020001,-70.437850066 80.4974429800001,-70.3141639529999 80.4644271510001,-70.275281981 80.4480271200001,-70.227499936 80.4233181070001,-70.2277819029999 80.401382164,-70.234327445 80.396326108,-70.250272732 80.3840100020001,-70.285827732 80.3724820020001,-70.308045732 80.3595640020001,-70.3080450159999 80.3595637450001,-70.308046002 80.359563172,-70.293314638 80.354277181,-70.284436732 80.351091002,-70.218890732 80.3463730020001,-70.190604319 80.3459981970001,-70.0727819049999 80.344436016,-69.9966991319999 80.344897679,-69.982772731 80.3449820020001,-69.932848034 80.346517303,-69.729717815 80.352763269,-69.609534884 80.3602781970001,-69.596390731 80.3611000020001,-69.551099731 80.3663820020001,-69.5391239109999 80.3679179660001,-69.479717829 80.375536062,-69.427490861 80.382754054,-69.384735779 80.3919360940001,-69.3327527169999 80.4074660780001,-69.325699731 80.4095730020001,-69.321103796 80.4118554820001,-69.3016639099999 80.4215091250001,-69.290072911 80.44616332,-69.280679012 80.455944113,-69.2730547309999 80.463882002,-69.224238161 80.4895527800001,-69.171108894 80.517491137,-69.146663912 80.5297091020001,-68.952499974 80.6030450550001,-68.8199541449999 80.6276100790001,-68.8147097299999 80.6285820030001,-68.8147091399999 80.6285821480001,-68.814708861 80.6285821990001,-68.738890859 80.6472181880001,-68.672499815 80.666927059,-68.320088265 80.741358532,-68.2252817299999 80.7613820030001,-68.220114171 80.7624035210001,-68.202790868 80.765827147,-68.1383367299999 80.7724910060001,-68.112736888 80.7743760020001,-68.1127367459999 80.774376095,-68.089445912 80.7760911230001,-68.065554973 80.779163258,-68.0113998319999 80.7883181400001,-67.965835806 80.797482243,-67.9102818929999 80.8119180590001,-67.863890908 80.8341540750001,-67.6440268819999 80.858591178,-67.583617835 80.8766451270001,-67.5393729529999 80.8992271480001,-67.5677819049999 80.9086001270001,-67.5974999429999 80.925327054,-67.562208945 80.9355271590001,-67.440826917 80.9366451370001,-67.349446067 80.936373228,-67.309154929 80.934418066,-67.279172861 80.9355271590001,-67.2086178559999 80.941927078,-67.1644460639999 80.9485911930001,-66.921108853 80.9910911310001,-66.7533460669999 81.021927147,-66.6858179339999 81.0358090870001,-66.603335816 81.055254097,-66.5372269069999 81.0733181040001,-66.506808813 81.0920632250001,-66.4827728669999 81.106936074,-66.4380460259999 81.1236001350001,-66.4183358129999 81.1288633,-66.264454966 81.1694360700001,-66.244446022 81.1744271580001,-66.1997178399999 81.183873228,-66.010281966 81.2202632610001,-65.980563928 81.2238731790001,-65.941099916 81.2263822180001,-65.7477729949999 81.2358091770001,-65.571672897 81.2449821640001,-65.527790952 81.2474821500001,-65.493055004 81.250545065,-65.441372859 81.2563822230001,-65.323626901 81.278045084,-65.2863909659999 81.287200134,-65.1680639739999 81.3099821470001,-65.060272867 81.326100211,-64.9949999689999 81.333327088,-64.855835901 81.3527632130001,-64.808608905 81.3605360870001,-64.7352729519999 81.3741451130001,-64.658890847 81.3930540160001,-64.6166549399999 81.4049821350001,-64.5541728809999 81.4258091520001,-64.514735859 81.439418178,-64.4919459669999 81.4488632420001,-64.443945992 81.481991206,-64.530281942 81.541582179,-64.5663908459999 81.54553609,-64.612499863 81.5449822140001,-65.002790948 81.5308181390001,-65.252790934 81.517209113,-65.466399881 81.506382209,-65.5574999369999 81.50305409,-65.64361779 81.4988731970001,-65.7247179 81.493863166,-65.831681881 81.484709121,-65.985545964 81.4680450600001,-66.050826908 81.45915404,-66.134172866 81.450818069,-66.169726887 81.4477541480001,-66.2902819569999 81.4402632420001,-66.365826877 81.4347092250001,-66.6213818859999 81.4138822070001,-66.9905549329999 81.3855450040001,-67.1241639789999 81.3797001350001,-67.200648593 81.3748743070001,-67.2006478659999 81.374874785,-67.247499729 81.3719190030001,-67.335104623 81.365242396,-67.356655007 81.363600176,-67.593063905 81.340273171,-67.607839606 81.3386352700001,-67.690827729 81.3294370030001,-67.791109729 81.315537003,-67.823627729 81.3102550030001,-67.887218729 81.303037003,-68.036309549 81.2877850980001,-68.052781958 81.2861000930001,-68.116654911 81.2802731610001,-68.142772997 81.2787677410001,-68.2469457299999 81.2727640030001,-68.37389073 81.2666640030001,-68.7608367299999 81.2394280030001,-68.857122894 81.2324636020001,-68.876099932 81.2310911710001,-68.954461883 81.2249671280001,-69.359436731 81.1933190030001,-69.421677723 81.1879559050001,-69.43055495 81.1871911200001,-69.434665982 81.1866711710001,-69.463336731 81.1830460030001,-69.534999731 81.1669280030001,-69.58965584 81.1498356980001,-69.6006998729999 81.146382148,-69.6075967199999 81.1448160740001,-69.632490731 81.1391640030001,-69.832227731 81.111646003,-69.919521314 81.1024840570001,-69.9222268299999 81.1022001310001,-69.924042141 81.1020491290001,-69.955563731 81.0994280030001,-69.9952727309999 81.0994280030001,-70.0145481439999 81.10440557,-70.018681363 81.105473121,-70.0056602829999 81.109650936,-69.976946074 81.118863187,-69.9530640199999 81.1222090750001,-69.887790954 81.1291539850001,-69.831954906 81.137209161,-69.6856430829999 81.166423916,-69.642781731 81.1749820030001,-69.6427830219999 81.1749819820001,-69.6427818889999 81.1749822080001,-69.6643518079999 81.1746241210001,-69.760009731 81.173037003,-69.864436731 81.1641550030001,-69.907227731 81.1616550030001,-69.960281731 81.1605370030001,-70.050554731 81.1616550030001,-70.126099731 81.165546003,-70.196875429 81.175239946,-70.208199033 81.1767910670001,-70.198950268 81.1776392830001,-70.158335823 81.181363183,-70.0289295819999 81.1802385110001,-69.9994367309999 81.1799820030001,-69.9119457309999 81.1824820030001,-69.5416727309999 81.2124910030001,-69.490376554 81.2191518340001,-69.318754946 81.241436116,-69.3187586349999 81.2414364960001,-69.318754731 81.241437003,-69.35827847 81.2455098460001,-69.366655008 81.2463732240001,-69.3806649589999 81.2469257810001,-69.4369367309999 81.2491460030001,-69.460771493 81.2612363750001,-69.4269367319999 81.269991008,-69.4198582659999 81.2700997310001,-69.391390842 81.2705360720001,-69.364954572 81.2688914330001,-69.360272731 81.2686000030001,-69.340563731 81.263882003,-69.319454731 81.2602730030001,-69.251609624 81.259885077,-69.028608828 81.2586091270001,-68.8381489939999 81.27230989,-68.79695473 81.2752730030001,-68.7653403579999 81.2779719760001,-68.618054995 81.2905450160001,-68.4869358779999 81.3038631900001,-68.429172998 81.3116451160001,-68.3595990439999 81.323254267,-68.35583673 81.3238820030001,-68.24471873 81.339982003,-68.2337302349999 81.3412155280001,-67.994717833 81.3680450990001,-67.857735299 81.3814256790001,-67.818345729 81.3852730030001,-67.799713512 81.3871204700001,-67.7538908339999 81.3916632900001,-67.4575089159999 81.423036084,-67.2571939159999 81.4488582870001,-67.248336729 81.4500000030001,-67.2325473779999 81.4515180920001,-67.2325473509999 81.4515180940001,-67.058874284 81.468215306,-67.043335777 81.469709203,-66.9627819999999 81.4749911430001,-66.8877909559999 81.4805451600001,-66.7411088229999 81.4919271140001,-66.6231179449999 81.5138090780001,-66.766108855 81.5374911390001,-66.79138197 81.5408180840001,-66.8597268349999 81.5466450160001,-66.9312109159999 81.5522659790001,-66.9312097769999 81.5522667290001,-67.064709729 81.562764003,-67.100704026 81.564625446,-67.107772999 81.5649911580001,-67.150281989 81.5649911580001,-67.182499846 81.564700138,-67.3836549609999 81.5608821810001,-67.724717788 81.551091113,-67.7307412059999 81.550827713,-67.8197367289999 81.546937003,-67.9099997289999 81.542210003,-68.0111277299999 81.5330550030001,-68.05109973 81.530546003,-68.09194573 81.5291640030001,-68.2858277299999 81.5269280030001,-68.37609973 81.5227640030001,-68.427212633 81.5189440280001,-68.446654966 81.5174912480001,-68.4661519759999 81.516587288,-68.53666373 81.513319003,-68.57945473 81.5144370030001,-68.77749973 81.529710003,-68.8130457299999 81.5333280030001,-68.835467035 81.5398609170001,-68.849235364 81.543873171,-68.8108187299999 81.548600003,-68.7152907299999 81.5397000030001,-68.7074300909999 81.5392792860001,-68.6375088899999 81.535536144,-68.551390869 81.532763243,-68.5044548939999 81.5322091990001,-68.424829328 81.5335757610001,-68.40749973 81.5338730030001,-68.381543772 81.542710055,-68.367526782 81.5474822,-68.394950573 81.5553251640001,-68.44915473 81.570828003,-68.62470973 81.6044280030001,-68.801563513 81.6343513300001,-68.9022179419999 81.651382261,-69.0052819919999 81.6674822200001,-69.1236088159999 81.6838732000001,-69.1472425439999 81.686843186,-69.214172731 81.695255004,-69.259142674 81.7012856540001,-69.268063877 81.702482198,-69.297208482 81.7145730760001,-69.247218731 81.717482004,-69.176390731 81.7124910040001,-69.139999731 81.708882004,-69.0588817299999 81.6974820040001,-69.0437533969999 81.6950701040001,-68.9769459619999 81.6844181910001,-68.71529094 81.6422091060001,-68.6613909439999 81.6333271380001,-68.5096572959999 81.606363855,-68.4597277299999 81.5974910030001,-68.447599912 81.5951743910001,-68.410281864 81.5880450800001,-68.3524909889999 81.573045161,-68.3344676309999 81.5693915730001,-68.3305637299999 81.5686000030001,-68.3258963439999 81.567923324,-68.3094358339999 81.5655361490001,-68.2747178239999 81.5627632480001,-68.2401860159999 81.5616555970001,-68.23138173 81.5613730030001,-68.1566637299999 81.561100003,-68.151158746 81.5613355340001,-68.111390908 81.563036163,-67.7927729739999 81.5897092230001,-67.7666640159999 81.5930450530001,-67.559717844 81.599154119,-67.509172956 81.6005361270001,-67.15695499 81.6080360870001,-66.8963909559999 81.611927134,-66.836735007 81.614466781,-66.804990828 81.6158181810001,-66.7274909129999 81.6202540520001,-66.575563888 81.6260821560001,-66.478335823 81.6285821430001,-66.4397088279999 81.626918168,-66.39389083 81.619709228,-66.3552728879999 81.6174821560001,-66.218890941 81.616927107,-66.172499956 81.6180450850001,-66.140835808 81.620527134,-66.093745941 81.6399822020001,-66.0647088489999 81.6477632900001,-66.0337459309999 81.6523540590001,-65.982226898 81.652773154,-65.924435855 81.637409125,-65.87165501 81.6272001350001,-65.7894459739999 81.6322001080001,-65.6180549969999 81.648609192,-65.523617938 81.6597180630001,-65.402217804 81.6744271300001,-65.3708357909999 81.6788631690001,-65.344581994 81.6899822660001,-65.404172967 81.6908092250001,-65.487781949 81.6874821120001,-65.6124999739999 81.6808181640001,-65.821945966 81.6844181910001,-65.991381948 81.682754048,-66.037426927 81.690118053,-66.01221785 81.696927176,-65.924435855 81.7013821570001,-65.773326904 81.7027732180001,-65.725554917 81.701663286,-65.668335855 81.7008180550001,-65.631381888 81.702482198,-65.409726816 81.7283180740001,-65.337508841 81.737763305,-65.216663925 81.7455271270001,-64.962217843 81.7522091800001,-64.9099999269999 81.7527732820001,-64.885563997 81.7508271720001,-64.8368088129999 81.7405360390001,-64.8069358769999 81.72957318,-64.767772943 81.7258180870001,-64.719999951 81.7238731510001,-64.6294358339999 81.7224911420001,-64.472499951 81.7213731640001,-64.355273 81.726382189,-64.2077818459999 81.7419271000001,-64.125135778 81.7639450180001,-64.232772994 81.8005360490001,-64.253063905 81.8060912390001,-64.310972965 81.8224911030001,-64.271664019 81.8216540860001,-64.2075089319999 81.814418157,-64.177781841 81.8105271100001,-64.136946047 81.8010910990001,-64.11166388 81.7949822,-64.086945983 81.7919271640001,-64.053054931 81.7899822270001,-64.010008829 81.790263188,-63.9627729489999 81.7924822130001,-63.924999902 81.795254109,-63.8497268909999 81.8010910990001,-63.8172178469999 81.8047001780001,-63.7611179359999 81.811645088,-63.714999867 81.8208271280001,-63.65610895 81.83749119,-63.387217831 81.8677540510001,-63.29249981 81.8777632170001,-63.040554887 81.909718049,-62.94499985 81.9222090970001,-62.570282006 81.9760911560001,-62.513617826 82.0047182050001,-62.3569459729999 82.0102732280001,-62.3130549749999 82.0125001320001,-62.278881956 82.015827077,-62.254172943 82.019991206,-62.1269460459999 82.0438732600001,-62.077781993 82.0535912390001,-61.877499937 82.103591135,-61.8044459509999 82.1466540010001,-61.599446056 82.1608091910001,-61.5341729909999 82.1655451340001,-61.4636178179999 82.1724821650001,-61.4333267929999 82.176373212,-61.38805496 82.1833181220001,-61.3063909159999 82.1972091150001,-61.2811089159999 82.2027731900001,-61.1933269199999 82.2236002080001,-61.15694594 82.2352632910001,-61.135563873 82.2474822610001,-61.1303639079999 82.252936031,-61.107781887 82.267763282,-61.081672929 82.297336145,-61.076390821 82.3208271,-61.105417855 82.3570731310001,-61.1362459919999 82.380254123,-61.170281883 82.3952632620001,-61.285563898 82.4302632390001,-61.32610884 82.439700089,-61.448608846 82.464427039,-61.499999971 82.4741540700001,-61.530826767 82.4783181990001,-61.582508912 82.4824821610001,-61.691663923 82.4880361780001,-61.884172937 82.492754016,-62.0980549669999 82.5022091380001,-62.2140819649999 82.493845004,-62.264455024 82.485809106,-62.300835837 82.4824821610001,-62.352917798 82.4837360940001,-62.327917934 82.5076360850001,-62.171526875 82.523463297,-62.244999956 82.5280450130001,-62.2869460169999 82.5280450130001,-62.506672916 82.52665412,-62.553326924 82.5244270490001,-62.6783358019999 82.516100131,-62.823617821 82.5044360420001,-62.9208358289999 82.4910912140001,-62.990835784 82.46720916,-63.015835817 82.4597180850001,-63.071672871 82.4519361590001,-63.148890986 82.4469271340001,-63.277217924 82.439145039,-63.328608881 82.4377631990001,-63.368054956 82.4419271610001,-63.346108954 82.4491451530001,-63.284999851 82.454991195,-63.243890974 82.4577632580001,-63.119999907 82.463609133,-63.0894357999999 82.466382201,-63.059435795 82.5119361690001,-62.960554986 82.5577539990001,-62.9354089409999 82.5773540740001,-62.964163898 82.585536152,-62.9963909749999 82.5902732690001,-63.033617857 82.5944360570001,-63.071108936 82.5963732820001,-63.113617926 82.597491093,-63.229717846 82.597218178,-63.272226836 82.5986001860001,-63.314999856 82.60109112,-63.3474998469999 82.604982168,-63.37576396 82.6164360380001,-63.339717921 82.6236002190001,-63.2872269219999 82.624982227,-63.255835857 82.627200078,-63.231517776 82.6408912470001,-63.254445969 82.650273279,-63.286945961 82.6544360670001,-63.422226861 82.6655451060001,-63.502035823 82.6827632120001,-63.5399998089999 82.694427133,-63.651664027 82.7150001790001,-63.678890963 82.717754137,-63.76445494 82.715273262,-63.842635801 82.7174822280001,-63.819454977 82.7213732750001,-63.666108896 82.7313732210001,-63.5908358849999 82.7330450760001,-63.518054981 82.73151806,-63.479163956 82.7394270570001,-63.389717817 82.764573269,-63.385835823 82.8016541380001,-63.434717909 82.816663277,-63.490835756 82.8252731680001,-63.529726781 82.8283270310001,-63.623608959 82.833600086,-63.6727730119999 82.8347180640001,-63.9727728939999 82.834991147,-64.059717873 82.8333271710001,-64.103054995 82.8316631960001,-64.13999991 82.828045064,-64.1863908939999 82.8191540440001,-64.32889096 82.7872002170001,-64.4117358469999 82.7629822160001,-64.4452639629999 82.7619361550001,-64.4786088499999 82.764436141,-64.648054891 82.799709202,-64.7069550269999 82.8130360920001,-64.743263923 82.829845161,-64.717564002 82.849009209,-64.746381991 82.86053617,-64.8399999709999 82.8619270630001,-64.8838998539999 82.8616450960001,-64.9263818539999 82.8722000910001,-64.9263812629999 82.8722000800001,-64.922549353 82.8728198150001,-64.8902908869999 82.8780360750001,-64.829726775 82.8777633280001,-64.7905549559999 82.8758091710001,-64.751954951 82.8752631740001,-64.7234194719999 82.8760955800001,-64.713899726 82.8763730050001,-64.699797422 82.8808044620001,-64.6634728989999 82.8922180880001,-64.663474036 82.8922185930001,-64.663472726 82.8922190050001,-64.684718726 82.9016550050001,-64.729718726 82.904164005,-64.835554727 82.906937005,-64.884736727 82.9058190050001,-64.9716123279999 82.9016058170001,-64.9822267869999 82.9010911710001,-64.99423143 82.900167191,-65.104718727 82.8916640050001,-65.234152313 82.879685135,-65.2580549369999 82.877473147,-65.2640984779999 82.876264614,-65.2983367269999 82.8694190050001,-65.2983347429999 82.8694183590001,-65.298335849 82.8694181380001,-65.274055726 82.8615147340001,-65.2727817269999 82.8611000050001,-65.26291166 82.860825543,-65.172772927 82.858318151,-65.11090297 82.8512364650001,-65.221936727 82.8327640050001,-65.3411817269999 82.7950550050001,-65.3411799099999 82.7950547080001,-65.341181959 82.79505406,-65.259172915 82.7816632990001,-65.162777773 82.765336834,-65.1974907269999 82.7641640050001,-65.369936162 82.774006543,-65.4308269159999 82.7774822380001,-65.437739213 82.777968204,-65.458618727 82.779437005,-65.505127723 82.789489028,-65.520908906 82.792900079,-65.501802927 82.8056107360001,-65.488754727 82.814291005,-65.480958147 82.8190979510001,-65.461254901 82.831245107,-65.4612560369999 82.831245197,-65.461254727 82.8312460050001,-65.546663727 82.8380460050001,-65.696448478 82.8427327910001,-65.7241640239999 82.8436002000001,-65.732404646 82.8434953140001,-65.767772727 82.8430460050001,-65.810272727 82.8408190050001,-66.0866727279999 82.8166640050001,-66.122772728 82.8130370050001,-66.647781728 82.746655005,-66.670836728 82.7402640050001,-66.900281728 82.719437004,-66.9858110329999 82.713087951,-66.9977729249999 82.7122001210001,-67.2108268229999 82.693591122,-67.245835853 82.6897002430001,-67.275281982 82.6861002150001,-67.328064 82.6772001430001,-67.342144595 82.6734274760001,-67.3819457289999 82.6627640040001,-67.4305547289999 82.655546004,-67.470836729 82.652210004,-67.509686968 82.6512894840001,-67.518063976 82.651091185,-67.532572811 82.6518206270001,-67.606654729 82.655546004,-67.812772729 82.659146004,-67.934999729 82.6583280040001,-68.3258367299999 82.6455370040001,-68.42443673 82.6419370040001,-68.46500973 82.6394370040001,-68.5736277299999 82.628864004,-68.625937022 82.6286498210001,-68.6424999779999 82.628582254,-68.6672178749999 82.6324731340001,-68.672226901 82.6377731790001,-68.655835754 82.6436001100001,-68.633617843 82.6486091360001,-68.42443673 82.6797000030001,-68.422906145 82.6798882620001,-68.3566549509999 82.688036099,-68.287159113 82.6937859560001,-68.27610973 82.6947000040001,-68.269741526 82.6949980860001,-68.234726925 82.6966361,-68.1435018669999 82.698409719,-68.13417273 82.698591004,-68.128602332 82.698827442,-68.081681922 82.7008181670001,-68.0496040639999 82.703249902,-68.04138173 82.7038730040001,-67.914172729 82.719982004,-67.8918437529999 82.7222483150001,-67.7991640079999 82.7316540150001,-67.644726771 82.7416541280001,-67.605819969 82.7432595170001,-67.597781729 82.743591005,-67.5780887129999 82.7448032140001,-67.499999969 82.7496092250001,-67.457781999 82.752209124,-67.3861267839999 82.7577633080001,-67.3152819329999 82.7647092240001,-67.169626712 82.780484325,-67.1383367289999 82.783873005,-67.112011997 82.786369306,-66.959726796 82.8008090750001,-66.8766639789999 82.8072091610001,-66.841108952 82.8108091880001,-66.811390914 82.815263164,-66.369154996 82.8883181560001,-66.3474998459999 82.898036135,-66.300417857 82.9306821390001,-66.329999941 82.9338731290001,-66.6530639709999 82.9363732830001,-66.69340705 82.9361010110001,-66.818890728 82.935255005,-66.9391547289999 82.949146005,-66.964718729 82.9541640050001,-67.041109729 82.9597190050001,-67.0922277289999 82.9611100050001,-67.118672729 82.9512280050001,-67.136127729 82.9366460050001,-67.1865070429999 82.936191545,-67.196655036 82.936100201,-67.204522174 82.936243135,-67.241672729 82.9369190050001,-67.327790729 82.9408100050001,-67.4099997289999 82.9466370050001,-67.464887249 82.952418003,-67.4761088619999 82.9536001060001,-67.480917673 82.9542880220001,-67.501399729 82.9572190050001,-67.5412130679999 82.961857298,-67.544154996 82.9622001060001,-67.610826834 82.9688732750001,-67.6243749399999 82.9690750610001,-67.666945729 82.9697100050001,-67.838365143 82.961065869,-67.881672948 82.9588822140001,-67.921733822 82.9540111640001,-68.06111873 82.9370640050001,-68.0963790439999 82.933892229,-68.099726819 82.9335911620001,-68.145555042 82.9349822230001,-68.150072515 82.9371055550001,-68.180135467 82.9512364110001,-68.151454896 82.9845631920001,-68.1514553329999 82.9845633040001,-68.15145473 82.984564005,-68.19082773 82.9947100050001,-68.31609973 83.0033280050001,-68.352788258 83.0057525650001,-68.3580460109999 83.006100157,-68.3642679289999 83.0063969730001,-68.4047277299999 83.0083280050001,-68.4666637299999 83.008046005,-68.5147277299999 83.0055550050001,-68.55055473 83.0016640050001,-68.5797277299999 82.9969370050001,-68.619728494 82.9880862090001,-68.6287459449999 82.9860912130001,-68.6650089079999 82.9802731660001,-68.670073234 82.980012796,-68.70834573 82.9780460050001,-68.9027907299999 82.9883100050001,-68.9755547299999 83.008610005,-68.97917273 83.0324820050001,-68.979172841 83.03248203,-68.9791728659999 83.032482197,-68.984823386 83.0337765420001,-69.0155637299999 83.0408190050001,-69.063609731 83.038037005,-69.0977817309999 83.0266550050001,-69.1205457309999 83.0216550050001,-69.150012964 83.01823189,-69.156390943 83.017491163,-69.2330638989999 83.0102731710001,-69.295030206 83.0087282650001,-69.56236225 83.0020640420001,-69.536117812 83.0144361270001,-69.5133357989999 83.019718067,-69.4511088849999 83.0358091420001,-69.451111522 83.035809542,-69.451109731 83.035810005,-69.469323574 83.038568889,-69.4713909119999 83.0388821160001,-69.636126825 83.039700189,-69.6719358249999 83.0410912500001,-69.69092374 83.0422552220001,-69.744445731 83.0455370050001,-69.764520385 83.0532081250001,-69.766045597 83.0537910240001,-69.716109731 83.0611000050001,-69.714476761 83.0614320910001,-69.667290909 83.0710270500001,-69.6672907669999 83.071027998,-69.667290731 83.0710280050001,-69.662090731 83.1056820050001,-69.662090968 83.105682034,-69.6620909439999 83.105682196,-69.66835048 83.1064498050001,-69.701672731 83.1105370050001,-69.748890731 83.111928005,-69.804602103 83.112167325,-69.812208819 83.1122001320001,-69.830810304 83.111762986,-70.0013997309999 83.1077550050001,-70.111936731 83.1094190050001,-70.1519529609999 83.1110458640001,-70.159999966 83.1113731730001,-70.260008812 83.113873159,-70.2783948209999 83.1137821130001,-70.373890732 83.1133100050001,-70.455678392 83.1083504440001,-70.469999962 83.107482126,-70.4855089339999 83.1069219450001),(-66.815826785 81.568600238,-66.644454918 81.5621910990001,-66.6080459419999 81.5641450890001,-66.511672999 81.5672180620001,-66.430554951 81.572218203,-66.3941639129999 81.5747091370001,-66.327499954 81.580827088,-66.2966639379999 81.5847181350001,-66.4302818689999 81.589982138,-66.528881884 81.5910912310001,-66.739163886 81.5905450660001,-66.8771326149999 81.5878699100001,-66.896664038 81.5874912040001,-66.92721792 81.583600157,-66.927217863 81.583600114,-66.9272187289999 81.5836000030001,-66.9194395389999 81.577698083,-66.9191550319999 81.5774822050001,-66.9191549889999 81.5774822010001,-66.919154729 81.5774820030001,-66.9147073629999 81.5770260360001,-66.896447748 81.5751532630001,-66.8894549309999 81.574436054,-66.815826785 81.568600238),(-74.362047194 78.6759616140001,-74.334163955 78.67526331,-74.306946071 78.6766540360001,-74.2844357989999 78.6788631700001,-74.256672924 78.682754049,-74.236390898 78.6871910940001,-74.1943615979999 78.7044134160001,-74.1692357599999 78.7147092170001,-74.169236882 78.7147099410001,-74.169236735 78.7147100010001,-74.192490735 78.7297100010001,-74.2657983459999 78.7431327400001,-74.2819549239999 78.74609123,-74.312045956 78.7500002150001,-74.319823201 78.7510095120001,-74.356945735 78.7558280010001,-74.5175207679999 78.772210601,-74.555554996 78.7760912350001,-74.59110885 78.7788731890001,-74.615826915 78.778591222,-74.618292529 78.7783833330001,-74.632218736 78.7772100010001,-74.645009736 78.772491001,-74.707918736 78.7297100010001,-74.70791724 78.7297095710001,-74.70791788 78.7297091360001,-74.633262569 78.7082603380001,-74.614163736 78.7027730010001,-74.582717465 78.699362518,-74.419445964 78.6816540080001,-74.37592911 78.6770189600001,-74.3672187349999 78.676091001,-74.362047194 78.6759616140001),(-77.8865314559999 77.780541032,-77.875272969 77.7744271490001,-77.851945965 77.7744271490001,-77.680554988 77.792754012,-77.658890953 77.796936079,-77.6280549369999 77.8041540710001,-77.5927729919999 77.813309121,-77.5773729209999 77.8211091530001,-77.5686178559999 77.8497180970001,-77.568618822 77.849718727,-77.5686187379999 77.8497190000001,-77.579036738 77.8565100000001,-77.596390738 77.8608100000001,-77.622772738 77.8627640000001,-77.671640576 77.864538113,-77.676099839 77.864700079,-77.6796476169999 77.864558419,-77.7177727389999 77.8630370000001,-77.821118739 77.854428,-77.8802817389999 77.848037,-77.906390739 77.8444370000001,-77.936390739 77.8391550000001,-77.9536097389999 77.831664,-77.9305547389999 77.8088730000001,-77.888063739 77.781373,-77.8865314559999 77.780541032),(-90.41594745 76.1605343860001,-90.44474414 76.170954416,-90.414682136 76.1779879640001,-90.4073637499999 76.179699998,-90.4008071979999 76.18002046,-90.3733179399999 76.1813632970001,-90.080827874 76.175847887,-89.97610975 76.173872998,-89.89639075 76.1674819980001,-89.885349635 76.1663387510001,-89.831954953 76.1608091940001,-89.588335774 76.1658180520001,-89.378054946 76.180263256,-89.353083383 76.1831968800001,-89.349727749 76.1835909980001,-89.3497270189999 76.1835911810001,-89.349726795 76.1835912070001,-89.326399958 76.1894181390001,-89.2955460049999 76.1977541090001,-89.198117947 76.2311632020001,-89.202795178 76.2494169770001,-89.204863749 76.257490998,-89.224163749 76.269718998,-89.2990277489999 76.2976189990001,-89.3677637489999 76.304154999,-89.54388175 76.3169369990001,-89.766948215 76.335042446,-89.831390851 76.3402732850001,-89.8912581119999 76.3457830780001,-90.06360975 76.3616459990001,-90.28139075 76.3891639990001,-90.31722775 76.3947189990001,-90.356070089 76.398726373,-90.3683268519999 76.3999911610001,-90.376779223 76.400550851,-90.41444575 76.4030459990001,-90.642227751 76.410536999,-90.797772751 76.426927999,-90.982636751 76.446918999,-91.0572187509999 76.450545999,-91.147509751 76.450818999,-91.242133122 76.4531568520001,-91.271117841 76.45387322,-91.409446066 76.458882245,-91.440551209 76.4670513870001,-91.5654160719999 76.4998452950001,-91.463378211 76.510456429,-91.441099751 76.512772999,-91.414718751 76.512772999,-91.405747488 76.5124075830001,-91.373890871 76.5111092130001,-91.34972685 76.509427133,-91.304172882 76.504163298,-91.090563935 76.47804512,-90.8263998739999 76.4630450330001,-90.779173046 76.461109149,-90.638335782 76.4558270410001,-90.61962605 76.4562867800001,-90.616109751 76.4563729990001,-90.5380547509999 76.4613819990001,-90.51083675 76.4638819990001,-90.510836061 76.4638821940001,-90.510835803 76.463882218,-90.472154996 76.4748450770001,-90.472155394 76.4748458160001,-90.47215475 76.4748459990001,-90.484569254 76.4979315570001,-90.500835857 76.5281821440001,-90.5730550059999 76.5624822330001,-90.6263909 76.569991245,-90.63796587 76.5707927720001,-90.674436751 76.573318999,-90.741109751 76.5805549990001,-90.779999751 76.5858189990001,-90.811469286 76.5922999810001,-90.817781936 76.5936002160001,-90.8228781029999 76.595950702,-90.846518751 76.6068549990001,-90.8614774339999 76.6154332400001,-90.877635934 76.624700095,-90.909547778 76.631893673,-90.9861187509999 76.6491549990001,-91.0088997509999 76.6516549990001,-91.132763751 76.6644279990001,-91.385281751 76.6883099990001,-91.410554751 76.6891459990001,-91.522207486 76.6889026810001,-91.535826894 76.6888731190001,-91.548748938 76.6884678920001,-91.668609752 76.6847099990001,-91.7603189659999 76.680413742,-91.775555025 76.6797001320001,-91.793923304 76.678448104,-91.909999752 76.670536999,-91.938599752 76.6683189990001,-91.969999752 76.6644279990001,-91.9981367519999 76.6593549990001,-92.043609752 76.6469459990001,-92.0774997519999 76.637209999,-92.183318291 76.6147000970001,-92.189925024 76.6139171500001,-92.330836752 76.5972189990001,-92.377781752 76.5941549990001,-92.39619164 76.5948235530001,-92.40055499 76.5949822250001,-92.404553654 76.5955763380001,-92.421109752 76.598036999,-92.440827752 76.6033189990001,-92.468336752 76.613036999,-92.502516837 76.617029496,-92.506390935 76.617482103,-92.5096722059999 76.617507801,-92.541109752 76.6177549990001,-92.5616521969999 76.616289631,-92.564435782 76.61609121,-92.56816252 76.6155356900001,-92.6119457519999 76.6090099990001,-92.64631825 76.5974821670001,-92.6836088429999 76.5924822380001,-92.689019622 76.5929702180001,-92.705272753 76.594436999,-92.789718753 76.6091459990001,-92.857227753 76.6183189990001,-92.880281753 76.6208189990001,-92.903063753 76.6219189990001,-92.935997787 76.622352585,-92.945826794 76.622482243,-93.0463908569999 76.61609121,-93.10077298 76.5922822460001,-93.1058160379999 76.588033952,-93.123609753 76.573045999,-93.363745753 76.4684639990001,-93.392772753 76.4616549990001,-93.422227753 76.4583279990001,-93.4542277529999 76.4564369990001,-93.471482104 76.4551515740001,-93.4765640429999 76.4547732680001,-93.4871753479999 76.4533481970001,-93.510145753 76.4502639990001,-93.533063753 76.4430369990001,-93.570699753 76.4193549990001,-93.570698785 76.4193547020001,-93.570699857 76.419354028,-93.529164006 76.4066541030001,-93.504864031 76.4084540330001,-93.4671382 76.405218312,-93.4976423109999 76.390738943,-93.503890892 76.3877731960001,-93.508487073 76.3872051290001,-93.528609753 76.384718999,-93.5483367529999 76.386109999,-93.6490990889999 76.4405366400001,-93.6299909259999 76.451936162,-93.602537233 76.4602826540001,-93.595272753 76.4624909990001,-93.5703555009999 76.469159523,-93.461399839 76.4983180940001,-93.3034639959999 76.5494270840001,-93.18040894 76.6679000890001,-93.169726875 76.686918124,-93.181946586 76.7113835220001,-93.199299753 76.7461279990001,-93.29586367 76.7673833920001,-93.301390984 76.7686001060001,-93.305258902 76.7700692880001,-93.488599753 76.839709999,-93.646390753 76.905536999,-93.747081753 76.9216549990001,-93.899990754 76.9333189990001,-93.9382023759999 76.933804432,-93.943600002 76.933873132,-93.9647178709999 76.9324822390001,-93.966453466 76.932110105,-93.9938907539999 76.926227999,-94.025272754 76.908736999,-94.054990754 76.8947189990001,-94.08814803 76.8897160930001,-94.089035913 76.8895821500001,-94.159726873 76.8875000850001,-94.164248641 76.8875519650001,-94.207227754 76.888045999,-94.243601255 76.8923594610001,-94.252299964 76.893391222,-94.278968184 76.897833421,-94.4019457539999 76.9183189990001,-94.458505945 76.9433732700001,-94.491935895 76.95818216,-94.5011358369999 76.9615382650001,-94.518199754 76.9677639990001,-94.593063754 76.975536999,-94.636127754 76.9769279990001,-94.6885997539999 76.975263999,-94.721390754 76.9733189990001,-94.790390067 76.971867403,-94.813890999 76.9713732640001,-94.906391001 76.9760911020001,-94.912786849 76.977078062,-94.999999755 76.9905369990001,-95.1158277549999 76.9958189990001,-95.175136755 76.9952549990001,-95.2088443979999 77.002819538,-95.2247179139999 77.0063821270001,-95.288054928 77.0224911390001,-95.3372178069999 77.039982159,-95.349921302 77.0433105010001,-95.377499755 77.050536999,-95.417772755 77.056927999,-95.465290755 77.0583189990001,-95.5481948939999 77.0542157960001,-95.5608178159999 77.0535911850001,-95.564875133 77.0535463950001,-95.585554755 77.0533189990001,-95.647204597 77.0579352780001,-95.659726956 77.058873125,-95.671145022 77.0607998510001,-95.707509755 77.0669369990001,-95.737406558 77.0683138960001,-95.743617904 77.0686001560001,-95.8880639129999 77.061100197,-95.9040785939999 77.059457154,-95.9666637559999 77.0530369990001,-96.1030547559999 77.0447099990001,-96.208211381 77.042948804,-96.2355459359999 77.0424911980001,-96.2433461639999 77.0420150020001,-96.278890756 77.0398459990001,-96.378489939 77.0298214480001,-96.385835807 77.029082165,-96.38583575 77.0290821,-96.3858367559999 77.0290819990001,-96.3699029809999 77.0111133080001,-96.353882714 76.9930458370001,-96.479429271 76.9718072090001,-96.483608864 76.971100182,-96.622772932 76.9799821490001,-96.630935564 76.9803417410001,-96.673327756 76.9822099990001,-96.7420367559999 76.9822099990001,-96.772036756 76.9810189990001,-96.815172756 76.9693189990001,-96.8151706309999 76.9693188270001,-96.815172982 76.969318189,-96.776373037 76.9661718990001,-96.765290756 76.965272999,-96.7562404459999 76.964838623,-96.718890898 76.9630450050001,-96.687364046 76.959154126,-96.6621460869999 76.9494911310001,-96.669372795 76.9467247470001,-96.703327756 76.933727999,-96.7238907559999 76.9352549990001,-96.7665367559999 76.9377639990001,-96.790275059 76.9375397680001,-96.7963909809999 76.9374822120001,-96.802934818 76.9366510710001,-96.833618756 76.9327549990001,-96.865136756 76.9156819990001,-96.858424467 76.8958991810001,-96.857363963 76.89277314,-96.857363769 76.8927730350001,-96.857363756 76.892772999,-96.85585889 76.8919578690001,-96.805555084 76.8647091870001,-96.619266776 76.834467868,-96.547227756 76.8227729990001,-96.536392512 76.821664523,-96.501108937 76.8180540050001,-96.453608859 76.8152631670001,-96.3669460149999 76.81276318,-96.3180550439999 76.8045541120001,-96.308746098 76.752627961,-96.325529794 76.7507934010001,-96.330290946 76.750273242,-96.352973102 76.7489559840001,-96.426099756 76.7447099990001,-96.5717521079999 76.757114958,-96.592499845 76.758882127,-96.605881908 76.7606283580001,-96.6797187559999 76.7702639990001,-96.724718756 76.7833279990001,-96.847354756 76.8116459990001,-96.87299332 76.8089639890001,-96.8805550119999 76.80817325,-96.887382464 76.803701953,-96.900281756 76.7952549990001,-96.954227756 76.7274189990001,-96.954226553 76.727418592,-96.954226912 76.7274181390001,-96.915835784 76.7144270270001,-96.8799909099999 76.7058270270001,-96.857772999 76.7019361480001,-96.822788432 76.698170744,-96.816390756 76.697481999,-96.811529461 76.6971788970001,-96.789717813 76.6958181960001,-96.764172957 76.695527177,-96.736935795 76.6972090890001,-96.661663957 76.7047092160001,-96.636126813 76.704436134,-96.617268587 76.702912892,-96.611936756 76.702481999,-96.594058796 76.70047528,-96.527790882 76.6930360750001,-96.464309081 76.6768541960001,-96.450009756 76.6598549990001,-96.450009442 76.6598548570001,-96.450008832 76.6598541320001,-96.412364028 76.6429091090001,-96.381381999 76.6358181860001,-96.347635786 76.6326181430001,-96.270281884 76.6327540980001,-96.22528196 76.6258091880001,-96.178608841 76.5941450400001,-96.158617834 76.5833271880001,-96.016954953 76.549145116,-95.99249086 76.5480360230001,-95.8180572269999 76.5487250960001,-95.7805637549999 76.5488729990001,-95.759172755 76.5535909990001,-95.7405641079999 76.5609437840001,-95.700272904 76.5768632320001,-95.6602820049999 76.5994271480001,-95.629308861 76.605127177,-95.591319829 76.6000543740001,-95.6471763979999 76.5675409990001,-95.657772966 76.5613731400001,-95.68735505 76.547900236,-95.758993269 76.525112742,-95.778609226 76.518873167,-95.806381931 76.516391153,-95.825274699 76.516655019,-95.944990756 76.5183279990001,-95.9972187559999 76.5194369990001,-96.0590187559999 76.5227639990001,-96.100209756 76.5025639990001,-96.096047735 76.49705642,-96.0816820209999 76.47804512,-95.99583591 76.4369181380001,-95.9066006579999 76.4148280900001,-95.851109755 76.4010909990001,-95.737499755 76.3938729990001,-95.7335142269999 76.393567042,-95.715835919 76.3922090660001,-95.668335841 76.38610922,-95.645281919 76.384154057,-95.447217882 76.365818141,-95.39444609 76.352618152,-95.3314639659999 76.3666539850001,-95.302379623 76.3719465720001,-95.299436755 76.3724819990001,-95.293304 76.3724145130001,-95.274717811 76.3722091750001,-95.163484002 76.3637182160001,-95.132763755 76.3613729990001,-94.965009755 76.3474909990001,-94.951032939 76.346332197,-94.894726912 76.341663173,-94.83444594 76.3344270760001,-94.806519253 76.3194278610001,-94.8449268959999 76.308873234,-94.851549523 76.3167187050001,-94.858063755 76.3244369990001,-94.915009755 76.329709999,-94.958890755 76.3322189990001,-94.97947895 76.332442998,-94.983890916 76.332491191,-95.010554923 76.3311001310001,-95.021055228 76.32839984,-95.067681755 76.316409999,-95.0927727549999 76.302763999,-95.1183277549999 76.298036999,-95.258899755 76.2827639980001,-95.275641008 76.281615324,-95.27917296 76.281373149,-95.28265285 76.2822180620001,-95.3180727549999 76.2908189990001,-95.350145755 76.3015189990001,-95.365689857 76.3000466780001,-95.3706909379999 76.2995732780001,-95.388063941 76.28360022,-95.386927502 76.2751718060001,-95.381527755 76.2351189980001,-95.38152701 76.2351189710001,-95.381526895 76.235118119,-95.354999847 76.234145148,-95.076784972 76.2358144660001,-95.029172755 76.236099998,-95.0020320799999 76.2406900270001,-94.838608896 76.2683270520001,-94.788473045 76.284918191,-94.641681948 76.2933181990001,-94.517335529 76.284425636,-94.4708367539999 76.2810999980001,-94.416995378 76.2810414320001,-94.212508891 76.280818099,-94.16013591 76.276236048,-94.128326922 76.26436325,-94.0974999589999 76.2594271470001,-93.955835904 76.2577631710001,-93.7844358739999 76.253054051,-93.6982927179999 76.26374868,-93.697218753 76.263881998,-93.697218799 76.2638820060001,-93.697217813 76.263882128,-93.7035957799999 76.264942832,-93.720554753 76.2677639980001,-93.759554293 76.281963831,-93.7251359209999 76.309709178,-93.6788818969999 76.3222181630001,-93.6451460769999 76.3262361120001,-93.624027908 76.3083099500001,-93.651377576 76.299703133,-93.659099934 76.2972732840001,-93.6590992449999 76.2972731580001,-93.659099753 76.297272999,-93.6266637529999 76.291372999,-93.617587962 76.291695583,-93.587782008 76.2927540970001,-93.561935907 76.297209078,-93.465049498 76.322459871,-93.449999753 76.326381999,-93.381381753 76.346372999,-93.345272753 76.3560909990001,-93.3402751679999 76.3567863710001,-93.315281977 76.3602632860001,-93.239990861 76.3666539850001,-93.212782029 76.368045045,-93.186935928 76.3683181280001,-93.1489065389999 76.3668117340001,-93.138063753 76.3663819990001,-93.115281753 76.3638729990001,-93.077781753 76.355672999,-93.0569367529999 76.3353999990001,-93.076672753 76.3169369990001,-93.076672494 76.3169365260001,-93.0766729969999 76.316936055,-93.066955019 76.2991451300001,-92.946654926 76.2458181210001,-92.8177467089999 76.213967154,-92.80165475 76.2099910030001,-92.636172971 76.108463203,-92.6144773569999 76.0673544570001,-92.583618752 76.008881998,-92.530327642 75.9830744510001,-92.438755011 75.938727149,-92.41969555 75.9323169570001,-92.4086187519999 75.9285909980001,-92.3270907519999 75.9067909980001,-92.238327752 75.8913729980001,-92.231276094 75.89044943,-92.215008822 75.888318047,-92.1727729149999 75.8855451460001,-92.1371459699999 75.8789360160001,-92.107772932 75.8528270580001,-92.106354362 75.8421453380001,-92.102636752 75.8141459980001,-92.115963752 75.7919279980001,-92.1397277519999 75.778318998,-92.1680979339999 75.7535232400001,-92.174999986 75.747491177,-92.156663904 75.7310911440001,-92.156663752 75.7310909980001,-92.137509752 75.7210999980001,-92.089999752 75.7002729980001,-92.084296692 75.6985630200001,-92.050555043 75.688445028,-92.009302732 75.6619868080001,-92.008345958 75.6613731300001,-92.009455051 75.5920732580001,-92.0292870219999 75.5842625610001,-92.063054752 75.5709639980001,-92.0852467349999 75.5657185530001,-92.09305498 75.5638731820001,-92.1038859509999 75.562624638,-92.155836752 75.556636998,-92.2125637519999 75.5493549980001,-92.328063752 75.4891549980001,-92.388336752 75.441927998,-92.4286097519999 75.3944369980001,-92.4688907519999 75.2847189980001,-92.490827752 75.213609998,-92.4908267819999 75.2136096340001,-92.490826914 75.2136092060001,-92.325563946 75.1516540330001,-92.1933268499999 75.143327115,-92.105272945 75.151927115,-92.083047842 75.1529169280001,-92.0770907519999 75.153181997,-92.073412251 75.152469909,-92.0534729509999 75.1486090550001,-92.011264034 75.0981731320001,-92.0380909849999 75.0856732,-92.0517307059999 75.0849803670001,-92.111663752 75.0819369970001,-92.147053193 75.0836225800001,-92.152499941 75.0838821550001,-92.186390993 75.0813732830001,-92.1974078279999 75.079004345,-92.224781752 75.0731189970001,-92.224781417 75.07311823,-92.224781954 75.0731181150001,-92.219086063 75.060055311,-92.2097277519999 75.038590997,-92.1868887539999 75.0182547380001,-92.1641729139999 74.9980271580001,-92.09875501 74.9741539890001,-92.04950912 74.9565181790001,-92.014309752 74.9109639970001,-92.01011391 74.898821013,-92.006390973 74.8880450520001,-92.007795884 74.8820563150001,-92.014863856 74.8519279380001,-92.047499752 74.8334639970001,-92.05750411 74.8199529170001,-92.06319093 74.8122731190001,-92.062065477 74.810431604,-92.0515187519999 74.7931729970001,-92.0072277519999 74.775681997,-91.991156846 74.7715941760001,-91.961946089 74.764163174,-91.892226927 74.750827063,-91.8591640069999 74.7211001410001,-91.8639111969999 74.7183969390001,-91.8752727519999 74.711927997,-91.875272486 74.7119274570001,-91.875273019 74.7119271540001,-91.871655054 74.7045732070001,-91.871654828 74.7045731530001,-91.871654752 74.7045729970001,-91.842090752 74.6974819970001,-91.837405093 74.6993437670001,-91.8062358079999 74.7117271610001,-91.779446072 74.725818147,-91.75418201 74.7277632510001,-91.7153969509999 74.727523949,-91.708618752 74.727481997,-91.693059244 74.7251182300001,-91.6437549619999 74.717627183,-91.6252006999999 74.7028367450001,-91.667918752 74.6915099970001,-91.6805457519999 74.674845997,-91.680545372 74.6748459190001,-91.680545985 74.6748451110001,-91.5466640239999 74.6473539770001,-91.455835877 74.6397091790001,-91.296040966 74.630794263,-91.256390751 74.6285819970001,-91.2349167089999 74.6278571770001,-91.133054987 74.6244180730001,-91.108646047 74.6388361200001,-91.108646649 74.638836466,-91.108645751 74.6388369970001,-91.154999751 74.665545997,-91.178911824 74.6798912470001,-91.1813819559999 74.6813732320001,-91.224445751 74.730681997,-91.215905413 74.735394619,-91.180126918 74.7551360320001,-91.142081962 74.7497090850001,-91.107958513 74.750891762,-91.101945751 74.751099997,-91.095241016 74.7536178880001,-91.075290934 74.761109144,-91.0178341439999 74.7829278030001,-90.999999751 74.7896999970001,-90.995667108 74.7913865900001,-90.975008838 74.799427182,-90.89616582 74.8431126740001,-90.8754817509999 74.854572997,-90.8657736759999 74.8627434460001,-90.84999996 74.8760181640001,-90.816954978 74.883609151,-90.775797201 74.8830474430001,-90.765009751 74.882899997,-90.754035844 74.8637315880001,-90.745691124 74.8491544520001,-90.752917601 74.838601714,-90.758055009 74.831100215,-90.851390854 74.776091126,-90.876804916 74.7652209280001,-90.8900093509999 74.759573168,-90.894422259 74.7587052920001,-90.932354751 74.7512459970001,-90.953714071 74.74969665,-90.955417816 74.749573131,-90.955418 74.7495730520001,-90.955418751 74.749572997,-90.978336751 74.7396999970001,-91.018545751 74.7064459970001,-91.0185449859999 74.706445853,-91.018545952 74.7064450540001,-90.8905910029999 74.682363175,-90.871654943 74.6972092020001,-90.749445956 74.7097181870001,-90.744689809 74.6960195400001,-90.734927751 74.6678999970001,-90.722559788 74.6587583,-90.708054944 74.6480360960001,-90.6412274849999 74.6269122360001,-90.613609751 74.6181819970001,-90.605926085 74.616615096,-90.589717894 74.6133092010001,-90.529999851 74.605254024,-90.496381881 74.6016539970001,-90.456663898 74.6008181540001,-90.3630549709999 74.5947090870001,-90.2541639899999 74.5687360840001,-90.2276136949999 74.5642317400001,-90.22389075 74.563599997,-90.2094709689999 74.561856871,-90.106655066 74.5494270290001,-89.937355039 74.5315180870001,-89.580563906 74.5402632620001,-89.489717822 74.545536149,-89.4469459759999 74.549709164,-89.1911088319999 74.585963242,-89.1505550049999 74.5997181130001,-89.1284728809999 74.614154097,-89.09583593 74.6849821850001,-89.103088454 74.688832695,-89.113881749 74.694563997,-89.141109749 74.6980279970001,-89.196109749 74.711245997,-89.2140060099999 74.7199374590001,-89.2163998839999 74.7211001410001,-89.2189365039999 74.7227913300001,-89.268062331 74.7555450510001,-89.243055007 74.7552632700001,-89.226905027 74.753024838,-89.223054749 74.7524909970001,-89.182354749 74.7378999970001,-89.170032563 74.7350610170001,-89.102217911 74.719436165,-89.0777908649999 74.7172090940001,-89.046526869 74.7255360120001,-89.011326899 74.776927137,-89.0113280209999 74.7769276000001,-89.011327749 74.776927997,-89.0540274319999 74.794563866,-89.059460744 74.8008923670001,-89.0894444689999 74.8358175060001,-88.911809754 74.7750544090001,-88.912018749 74.7491549970001,-88.917218749 74.7197099970001,-88.8925342649999 74.6782248820001,-88.886390944 74.6679002010001,-88.886390843 74.667900155,-88.886390749 74.6678999970001,-88.868045749 74.6595729970001,-88.860409878 74.6597751570001,-88.8419460699999 74.6602632820001,-88.823093108 74.66700209,-88.816663749 74.6692999970001,-88.797045249 74.6845768970001,-88.751391005 74.7201271700001,-88.751390999 74.720127802,-88.7513907489999 74.7201279970001,-88.751045749 74.753872997,-88.746663871 74.7808182430001,-88.6702729579999 74.840953981,-88.562645968 74.9040180790001,-88.535281904 74.904636161,-88.48472679 74.857753997,-88.3475004759999 74.7847183970001,-88.388016239 74.7512695520001,-88.4063908639999 74.7361002270001,-88.4565757519999 74.6917597130001,-88.542218749 74.6160909970001,-88.560818749 74.593045997,-88.5709817489999 74.553036997,-88.570981721 74.5530369630001,-88.570981938 74.5530361090001,-88.530555013 74.5028360520001,-88.4969459289999 74.4977541040001,-88.356108832 74.4891541040001,-88.2767986869999 74.4843911190001,-88.263627748 74.4835999970001,-88.23767458 74.4828388860001,-88.036117943 74.476927086,-87.903608938 74.4722181330001,-87.860496465 74.4752238500001,-87.848054748 74.476090997,-87.828391063 74.4767962220001,-87.755008859 74.4794270730001,-87.746289507 74.4744343940001,-87.732227748 74.466381997,-87.72451512 74.4643770740001,-87.710826841 74.460818074,-87.674613361 74.4600845620001,-87.669999748 74.459990997,-87.6579621179999 74.4602357140001,-87.5747178089999 74.461927168,-87.517917842 74.4666540580001,-87.474445939 74.4758181610001,-87.352781944 74.495254118,-87.312508911 74.474154018,-87.2702818879999 74.468318201,-87.2258267879999 74.4669360250001,-86.905835899 74.4605361070001,-86.693599907 74.4680451190001,-86.693600227 74.4680459800001,-86.693599747 74.468045997,-86.705563747 74.5002729970001,-86.7055638419999 74.500273045,-86.7055639 74.5002732010001,-86.7981907509999 74.5469911370001,-86.80027272 74.6133181280001,-86.7761179 74.6165090760001,-86.75677297 74.5976271630001,-86.714726829 74.5548360380001,-86.691099921 74.544145089,-86.664172889 74.53471813,-86.642824439 74.5287474230001,-86.633327747 74.526090997,-86.583291715 74.5142193290001,-86.4530550429999 74.48331812,-86.423326947 74.4788633060001,-86.399172984 74.4794270730001,-86.332781941 74.490263197,-86.278881945 74.508609172,-86.2361089249999 74.5349181220001,-86.225272968 74.5687360840001,-86.2252730129999 74.5687361670001,-86.225272746 74.568736997,-86.238190491 74.592836521,-86.220135923 74.609282148,-86.2188240789999 74.6095236080001,-86.1876358759999 74.6152631900001,-86.153608869 74.6091450710001,-86.146906832 74.602945446,-86.081318746 74.5422729970001,-86.101109746 74.5113819970001,-86.121872746 74.4844279970001,-86.121872287 74.484427935,-86.1218729719999 74.4844270460001,-86.0825088729999 74.47915399,-86.064177709 74.4787068860001,-86.059436746 74.4785909970001,-86.0508142319999 74.478747549,-86.0133358749999 74.4794270730001,-85.604172935 74.4958180520001,-85.580835873 74.4983180390001,-85.557112938 74.50247016,-85.5513817459999 74.5034729970001,-85.533721097 74.5084430920001,-85.5272178439999 74.5102731470001,-85.5038910069999 74.5205361170001,-85.4836460289999 74.5531360210001,-85.483646221 74.553136232,-85.483645746 74.5531369970001,-85.519581746 74.5925639970001,-85.546663496 74.6841541530001,-85.523890899 74.6884541370001,-85.499726878 74.6812361450001,-85.473546003 74.6634541050001,-85.369060915 74.546440256,-85.365899896 74.542900166,-85.365115486 74.5375468870001,-85.359927746 74.502136997,-85.359926899 74.5021368990001,-85.359926791 74.502136163,-85.259446044 74.490536112,-85.2144459529999 74.4919271730001,-85.14208989 74.4973417240001,-85.125272745 74.498599997,-85.119995956 74.4994597620001,-85.096254915 74.5033270640001,-85.079888742 74.507444326,-85.0741727449999 74.5088819970001,-85.0615489209999 74.51726747,-85.0391639279999 74.5321361680001,-85.039163975 74.532136844,-85.0391637449999 74.5321369970001,-85.040312818 74.5486715440001,-85.0447268299999 74.6122001080001,-85.068199729 74.646382009,-85.051243249 74.6586073610001,-84.996945958 74.697754026,-84.961390931 74.6879632920001,-84.958675156 74.6793715900001,-84.9542367449999 74.6653279970001,-84.974718745 74.6174819970001,-84.984172734 74.5748549880001,-84.984172943 74.574854035,-84.921240519 74.516057727,-84.9142997449999 74.5095729970001,-84.894445745 74.5027729970001,-84.871381745 74.501390997,-84.8677590899999 74.5015316110001,-84.850281931 74.5022090860001,-84.641682009 74.5069450290001,-84.4372662499999 74.5073996740001,-84.396118745 74.507490997,-84.385898302 74.506716129,-84.3558358079999 74.504436157,-84.3378230869999 74.5039963240001,-84.332781745 74.503872997,-84.285554745 74.503599997,-84.2780644599999 74.503913804,-84.2388909909999 74.5055541360001,-84.216399831 74.507218111,-84.145845999 74.5155450290001,-84.107499965 74.5233180710001,-84.063326832 74.5308181980001,-84.037781976 74.534145143,-83.907499876 74.546936095,-83.855272907 74.5508092050001,-83.834072624 74.5512984430001,-83.830836744 74.551372997,-83.826545567 74.5512774370001,-83.805554978 74.5508092050001,-83.786791905 74.548736703,-83.785554744 74.5485999970001,-83.780736439 74.5483719540001,-83.720835897 74.545536149,-83.605281974 74.5422092040001,-83.479299957 74.5773540210001,-83.454726899 74.5910911230001,-83.3258358589999 74.7526271610001,-83.323631339 74.773072106,-83.323199744 74.7770729970001,-83.32319993 74.7770730400001,-83.3231999179999 74.777073149,-83.326626367 74.7778655390001,-83.3549997439999 74.7844279970001,-83.378697175 74.78775468,-83.384717891 74.7886001100001,-83.429990897 74.7974822450001,-83.435781419 74.7997876540001,-83.465563744 74.8116459970001,-83.5229186719999 74.8423459580001,-83.524193521 74.8438094780001,-83.559154372 74.88394557,-83.544903619 74.8943657950001,-83.537781744 74.8995729970001,-83.53353097 74.899908457,-83.511399964 74.9016540470001,-83.4755549229999 74.8966540740001,-83.4022177959999 74.8752632900001,-83.3943231969999 74.871985597,-83.380827744 74.8663819970001,-83.3660631019999 74.8607128830001,-83.336672989 74.8494270790001,-83.299726901 74.835536086,-83.248890994 74.8236091410001,-83.227782009 74.8205450520001,-83.203063944 74.8208271870001,-83.155835775 74.826936086,-83.110690844 74.8276270900001,-83.09159346 74.8218318360001,-83.0887637439999 74.8209729970001,-83.086054888 74.8189773540001,-83.029373697 74.77721869,-83.082927744 74.759990997,-83.107772744 74.7480279970001,-83.129999744 74.7129099970001,-83.129999669 74.712909542,-83.129999899 74.712909177,-83.125972898 74.6884541370001,-83.090764043 74.64060906,-83.056381979 74.615536105,-83.01833585 74.594436172,-82.9536089489999 74.5658091230001,-82.914172933 74.549145061,-82.8855098559999 74.5419829900001,-82.8719367429999 74.538590997,-82.835993682 74.5311323990001,-82.783617917 74.5202632020001,-82.747499961 74.5180540680001,-82.6152819759999 74.5111091580001,-82.587256154 74.5111011480001,-82.583609743 74.511099997,-82.5836089429999 74.5111001060001,-82.55721785 74.5147091860001,-82.511126938 74.527209118,-82.3274998909999 74.5105450560001,-82.0915359049999 74.4784541020001,-82.060545997 74.475536026,-81.854717803 74.4594271810001,-81.81081792 74.45693608,-81.784999982 74.457763206,-81.759172991 74.4611090940001,-81.674961901 74.4777746600001,-81.6708367419999 74.4785909970001,-81.6684617879999 74.4791230760001,-81.510835807 74.514436103,-81.278617861 74.5645632370001,-81.233959125 74.5696853370001,-81.219163742 74.5713819970001,-81.1827574759999 74.5732197290001,-81.059590852 74.579436086,-81.029999883 74.576663185,-80.984435858 74.5683270470001,-80.957817225 74.5664878740001,-80.951945742 74.5660819970001,-80.927676192 74.565334874,-80.844164037 74.5627633070001,-80.753063981 74.563309137,-80.59167295 74.5644180630001,-80.488890867 74.5755450390001,-80.461672984 74.5801270900001,-80.385008912 74.5816631580001,-80.339999936 74.5805540640001,-80.253717798 74.5760451030001,-80.242731341 74.5768604360001,-80.239863741 74.5770729970001,-80.210927462 74.5948978980001,-80.1538549649999 74.630054064,-80.1538552919999 74.6300546570001,-80.153854741 74.6300549970001,-80.191372529 74.6980276140001,-80.169592998 74.719832083,-80.159163741 74.730272997,-80.144246795 74.74555086,-80.101672924 74.789153986,-80.10167296 74.7891547730001,-80.101672741 74.7891549970001,-80.103199741 74.8223459970001,-80.153609741 74.836654997,-80.186390741 74.843318997,-80.224163741 74.8494279970001,-80.2611277409999 74.8527639970001,-80.296954741 74.856936997,-80.335758137 74.8627342990001,-80.338755056 74.8631821170001,-80.3402620589999 74.8635649600001,-80.361118741 74.8688639970001,-80.380882653 74.8783436690001,-80.4147178969999 74.894573183,-80.391117811 74.911100117,-80.362208962 74.9236002170001,-80.354409732 74.9263281620001,-80.328472741 74.935399997,-80.326764593 74.935052737,-80.29770934 74.9291451080001,-80.290198496 74.9124729910001,-80.2780640409999 74.8855361500001,-80.253064009 74.870818199,-80.092668701 74.840960658,-80.092668674 74.8409606530001,-80.068072741 74.836381997,-80.050764628 74.8334781390001,-79.9305550289999 74.8133091230001,-79.8805549639999 74.81303604,-79.859953745 74.8162183760001,-79.856245741 74.8167909970001,-79.8368569899999 74.819910206,-79.732772959 74.8366540640001,-79.5799998649999 74.858318099,-79.530290988 74.857753997,-79.5019549579999 74.8594181400001,-79.4003792299999 74.8713601850001,-79.3908367399999 74.8724819970001,-79.37054574 74.876372997,-79.34118174 74.900190997,-79.341182186 74.900191093,-79.341182008 74.9001912370001,-79.391955051 74.911100117,-79.394870807 74.9116716510001,-79.43443674 74.9194279970001,-79.46471874 74.9333189970001,-79.544780782 74.988036342,-79.5148358229999 74.9942805360001,-79.50479974 74.996372997,-79.504800393 74.996373148,-79.504799944 74.9963732410001,-79.521537622 75.0002278810001,-79.5898637399999 75.015963997,-79.611910697 75.019659136,-79.6138909169999 75.019991098,-79.620371963 75.0206529000001,-79.69276374 75.028045997,-79.7116188209999 75.0287057180001,-79.7163999159999 75.0288732330001,-79.786108853 75.0279000940001,-79.786109574 75.0279,-79.78610974 75.0278999970001,-79.9191547409999 75.0105459970001,-79.942763741 75.0069459970001,-79.9752817409999 74.9994189970001,-80.026809741 74.9789369970001,-80.240827741 74.946636997,-80.25435537 74.9530910760001,-80.26982681 74.960473215,-80.243055011 74.973036011,-80.2190862369999 74.975753635,-80.216109741 74.976090997,-80.216108951 74.976091206,-80.216108869 74.9760912180001,-80.183681967 74.9846360620001,-80.183683953 74.9846364140001,-80.183681741 74.9846369970001,-80.238890741 74.9944279970001,-80.297227741 74.996645997,-80.307577103 74.9964338500001,-80.310545928 74.9963732410001,-80.327499836 74.9986001450001,-80.402499932 75.0211001910001,-80.4084801449999 75.0235495360001,-80.434017065 75.034009311,-80.308268663 75.056680919,-80.296109741 75.058872997,-80.282072989 75.0596409510001,-80.215008828 75.063309109,-80.150835803 75.065536013,-80.1288730379999 75.0680541040001,-79.999942494 75.0910389250001,-79.961454741 75.0978999970001,-79.955281741 75.1203999970001,-79.948687261 75.1268453330001,-79.9367998819999 75.1384632640001,-79.835555041 75.160263253,-79.774173022 75.167209169,-79.7370877 75.1650056390001,-79.73194574 75.1646999970001,-79.65167274 75.172481997,-79.629859457 75.1749433000001,-79.62943674 75.1749909930001,-79.629435827 75.174991096,-79.571117897 75.1991450580001,-79.519967682 75.2237282250001,-79.50695474 75.2299819980001,-79.44308174 75.2801909980001,-79.443082217 75.280191002,-79.4430819789999 75.2801911890001,-79.548890934 75.281100123,-79.5791819139999 75.2852731310001,-79.580122199 75.285996072,-79.6083268419999 75.3076821550001,-79.5633271789999 75.318600024,-79.53347274 75.319990998,-79.529640827 75.322939691,-79.510008961 75.3380450970001,-79.4958378279999 75.369366185,-79.49166374 75.3785909980001,-79.491664032 75.3785911260001,-79.491663993 75.3785912120001,-79.520008907 75.3911001970001,-79.561663948 75.394991244,-79.574090091 75.396245601,-79.61389074 75.4002639980001,-79.674371712 75.4380273560001,-79.6355640039999 75.4458180990001,-79.5823638969999 75.4514450390001,-79.58236721 75.4514456310001,-79.5823637399999 75.4514459980001,-79.635149669 75.460879988,-79.6441640039999 75.4624912130001,-79.660319128 75.4642585720001,-79.72401874 75.4712279980001,-79.9291727409999 75.479709998,-80.000290741 75.4769279980001,-80.108045741 75.469145998,-80.269380343 75.4585484360001,-80.306655048 75.4561001800001,-80.35617224 75.463700105,-80.329679816 75.469350057,-80.252499907 75.485809165,-80.200486874 75.4893692320001,-80.191663741 75.489972998,-80.176556539 75.492493037,-80.0850088619999 75.5077632140001,-79.97490093 75.5316249800001,-79.952990741 75.536372998,-79.952991072 75.5363731200001,-79.952990869 75.5363731640001,-80.068345973 75.578873269,-80.074513563 75.5803516230001,-80.101945741 75.5869279980001,-80.1805038799999 75.6046625530001,-80.199154961 75.6088732740001,-80.212754355 75.6118252860001,-80.2656997409999 75.6233189980001,-80.316954741 75.6305369980001,-80.473609741 75.6502639980001,-80.502499741 75.652209998,-80.547227741 75.650818998,-80.728863626 75.6406389860001,-80.779999898 75.6377732380001,-80.857772895 75.6349911170001,-80.8733720989999 75.634785304,-80.983890742 75.6333279980001,-81.010009742 75.6333279980001,-81.264036742 75.6505549980001,-81.2800723129999 75.6644276270001,-81.22083587 75.7047091050001,-81.212508952 75.771382116,-81.2592551389999 75.777160618,-81.450563742 75.800809998,-81.5369457419999 75.8094189980001,-81.6364901749999 75.81098912,-81.66082678 75.8113731820001,-81.885564045 75.8111001,-81.8923639559999 75.8114982550001,-81.956663743 75.815263998,-82.139999743 75.8269369980001,-82.2791727429999 75.836654998,-82.327227743 75.8369279980001,-82.466399743 75.8280459980001,-82.6411019299999 75.8133585020001,-82.664717938 75.8113731820001,-82.7994359099999 75.786100235,-82.801004365 75.7857869250001,-82.820281743 75.781936998,-82.949583323 75.75802794,-82.9600088669999 75.7561002300001,-82.9692862489999 75.754606815,-83.0652817439999 75.7391549980001,-83.123609744 75.7344189980001,-83.292218744 75.737763998,-83.3906872269999 75.7464311740001,-83.426381985 75.7495732420001,-83.4292641489999 75.7510289510001,-83.453054744 75.7630459980001,-83.472218744 75.7791549980001,-83.4933948839999 75.7857850570001,-83.495273015 75.78637315,-83.5152908439999 75.7897000950001,-83.5199499289999 75.7898792720001,-83.566099744 75.7916549980001,-83.619999744 75.7894279980001,-83.6627122689999 75.7889860860001,-83.672772891 75.788882189,-83.6777645929999 75.789149008,-83.698609744 75.7902639980001,-83.724511817 75.7968349130001,-83.746735808 75.8024732760001,-83.707563992 75.8139360330001,-83.707565285 75.8139365470001,-83.707563744 75.813936998,-83.7315277439999 75.8234639980001,-83.767227744 75.824154998,-83.878154744 75.8189639980001,-83.929445744 75.8108099980001,-84.0705547439999 75.7619369980001,-84.2455661399999 75.7166440560001,-84.2991639159999 75.702773221,-84.3041221189999 75.7020115440001,-84.322781745 75.6991459980001,-84.350554745 75.6977549980001,-84.482772745 75.694427998,-84.654036745 75.6866459980001,-84.6541335539999 75.6553166050001,-84.6541640029999 75.645545106,-84.6310998559999 75.640545133,-84.607773019 75.6391632930001,-84.548608852 75.638327114,-84.5122885499999 75.634109359,-84.5043823669999 75.6331910700001,-84.5080089699999 75.6322717510001,-84.524718745 75.6280369980001,-84.565206615 75.6266191810001,-84.572235929 75.626373179,-84.577004283 75.6264203420001,-84.5997277449999 75.6266459980001,-84.622499745 75.6280369980001,-84.683881745 75.634427998,-84.718336745 75.6427639980001,-84.754602787 75.6488525280001,-84.7630640369999 75.65027317,-84.7972268299999 75.6527731570001,-84.8124908679999 75.6535486720001,-84.879163745 75.656936998,-84.917785625 75.6585021490001,-84.9269357759999 75.65887317,-84.943893612 75.6585978640001,-85.046809745 75.6569279980001,-85.0741727449999 75.6519279980001,-85.189990746 75.6119279980001,-85.303327746 75.5688819980001,-85.3104607779999 75.5667349700001,-85.32918197 75.5611001140001,-85.341779512 75.5610071900001,-85.443881746 75.5602549980001,-85.7055738609999 75.5486495440001,-85.76306398 75.5461001950001,-85.782435951 75.5458372690001,-85.865554746 75.544709998,-85.903755388 75.543967523,-85.908617909 75.5438731230001,-86.0038909789999 75.5313731910001,-86.10513582 75.5163821570001,-86.1051358999999 75.5163821230001,-86.105136746 75.516381998,-86.1463277459999 75.498799998,-86.128562958 75.489607273,-86.1172178309999 75.4837361530001,-86.006390966 75.472218077,-85.908617909 75.4602633040001,-85.725503357 75.422960969,-85.677500578 75.4131821670001,-85.8336178119999 75.4160911770001,-86.0313909979999 75.4224822100001,-86.0825088729999 75.4213732840001,-86.169999849 75.418591163,-86.198608961 75.4160911770001,-86.1986094709999 75.416091022,-86.198609746 75.4160909980001,-86.2452727469999 75.4019279980001,-86.367218747 75.3780369980001,-86.491945747 75.362763998,-86.520281747 75.3602639980001,-86.544727747 75.359145998,-86.608543777 75.3659547880001,-86.583640426 75.374741756,-86.576672747 75.377199998,-86.571403887 75.378162638,-86.553881963 75.3813632750001,-86.5063909369999 75.3880449930001,-86.398472928 75.4041540050001,-86.371381946 75.4241361270001,-86.371382645 75.4241363350001,-86.371381747 75.4241369980001,-86.4740187469999 75.4547099980001,-86.575699747 75.4734549980001,-86.5976709 75.4759052590001,-86.601945975 75.476382206,-86.609429257 75.476706178,-86.637218747 75.477909998,-86.711615976 75.4753553800001,-86.722226789 75.474991146,-86.7299050349999 75.4750767350001,-86.7711187469999 75.4755369980001,-86.807499747 75.4791549980001,-86.862781747 75.4916549980001,-86.922772747 75.5059549980001,-86.967499747 75.5183279980001,-87.006239023 75.529698061,-87.0119459319999 75.5313731910001,-87.016699633 75.5330810520001,-87.055263747 75.546936998,-87.075981747 75.563327998,-87.0880547469999 75.5799909980001,-87.0880547789999 75.5799910060001,-87.088054954 75.5799912470001,-87.121662913 75.5886264320001,-87.2426367469999 75.6197099980001,-87.2580023149999 75.620735111,-87.2633358049999 75.6210912390001,-87.267350347 75.6209399780001,-87.2855547469999 75.6202549980001,-87.354718748 75.613036998,-87.38146212 75.6078755760001,-87.387081865 75.6067912090001,-87.409206811 75.5940028860001,-87.4627817479999 75.563036998,-87.462781814 75.5630362840001,-87.462782018 75.5630361660001,-87.466664013 75.5211001630001,-87.466663744 75.5211000340001,-87.466663748 75.5210999980001,-87.435690743 75.506173001,-87.433832804 75.5037712650001,-87.417364005 75.4824822200001,-87.428997543 75.4746101690001,-87.440136745 75.4670729900001,-87.459727748 75.461381998,-87.4999997479999 75.4522099980001,-87.541118748 75.4452549980001,-87.575563748 75.4441459980001,-87.597780315 75.451436528,-87.5638909049999 75.4591540430001,-87.5357226 75.4642399090001,-87.529999748 75.465272998,-87.5254902409999 75.467460746,-87.498535864 75.4805361100001,-87.498537152 75.4805368020001,-87.4985367479999 75.480536998,-87.6548727479999 75.564563998,-87.706936748 75.5744369980001,-87.751399748 75.5766639980001,-87.9580547479999 75.544145998,-88.068072748 75.5219279980001,-88.1116476939999 75.5052528370001,-88.122499993 75.501100104,-88.1480550749999 75.4888732540001,-88.166826353 75.4832486240001,-88.206945748 75.4712279980001,-88.226477489 75.4711140270001,-88.2288819349999 75.4711000990001,-88.263064007 75.4760911870001,-88.267396898 75.477865632,-88.2983350869999 75.4905363170001,-88.240826818 75.509154107,-88.202426805 75.5226632200001,-88.202427931 75.522663934,-88.202427748 75.522663998,-88.2288817479999 75.5394279980001,-88.3158277479999 75.5563639980001,-88.355092398 75.56653271,-88.364164009 75.568882208,-88.369367266 75.5703984250001,-88.3994457489999 75.5791639980001,-88.448881749 75.5952639980001,-88.5077817489999 75.619427998,-88.5427727489999 75.635818998,-88.57308481 75.6484293950001,-88.574172929 75.6488821090001,-88.5758298599999 75.649537631,-88.600827749 75.6594279980001,-88.631672749 75.667209998,-88.6783277489999 75.675263998,-88.717025892 75.6782318210001,-88.730835897 75.679291151,-88.7321571419999 75.679147013,-88.755009749 75.6766549980001,-88.8658277489999 75.586109998,-88.865826878 75.5861092580001,-88.86582695 75.586109198,-88.823459252 75.5501194270001,-88.801390749 75.5313729980001,-88.800256313 75.5301097120001,-88.7488911359999 75.4729093980001,-88.774309563 75.4335912860001,-88.796955031 75.4349821420001,-88.800013973 75.435255526,-88.8186187489999 75.4369189980001,-88.836970347 75.436484367,-88.841672988 75.4363732030001,-88.8473403789999 75.4359442240001,-88.871109749 75.4341459980001,-88.91151766 75.4285639020001,-88.9213909219999 75.4272002160001,-88.9290976569999 75.42797828,-88.957227749 75.4308189980001,-89.099727749 75.484145998,-89.146118053 75.5283183350001,-89.1536418329999 75.543058645,-89.155690749 75.547072998,-89.177081749 75.5734639980001,-89.226527749 75.585818998,-89.302218749 75.5891549980001,-89.351672749 75.5891549980001,-89.39642559 75.5874615210001,-89.4033357709999 75.5872001870001,-89.436672947 75.583882127,-89.462774425 75.5778463290001,-89.46611875 75.5770729980001,-89.479697587 75.5703714430001,-89.496255036 75.5622001550001,-89.500483699 75.5606154600001,-89.52070975 75.553036998,-89.547057545 75.5493942520001,-89.550826925 75.5488732640001,-89.5564928589999 75.54862991,-89.5766727499999 75.5477639980001,-89.64555475 75.548327998,-89.703898296 75.5552638250001,-89.684435803 75.5616451050001,-89.638749617 75.5614237060001,-89.62832775 75.5613729980001,-89.618141981 75.5624739400001,-89.5525460539999 75.569563321,-89.5525472259999 75.5695638380001,-89.55254575 75.569563998,-89.59694575 75.589145998,-89.640295529 75.587555675,-89.649990875 75.5872001870001,-89.681946043 75.5799912470001,-89.7309729679999 75.573882181,-89.736144283 75.574292761,-89.764170873 75.5765188490001,-89.6491729689999 75.6155360490001,-89.5430639419999 75.6105360760001,-89.336672987 75.627763234,-89.261390923 75.629427042,-89.1637459419999 75.7505450400001,-89.163746031 75.7505456480001,-89.163745749 75.7505459980001,-89.1674997489999 75.7759639980001,-89.201399749 75.7869279980001,-89.277499749 75.798327998,-89.320009749 75.8038639980001,-89.3597022449999 75.8130169130001,-89.38513581 75.8188821940001,-89.4058528479999 75.8300593600001,-89.416527749 75.835818998,-89.439163749 75.8452639980001,-89.527105854 75.854280106,-89.558335937 75.8574821990001,-89.564345444 75.8578247280001,-89.58750975 75.859145998,-89.611807098 75.8559005760001,-89.615554999 75.855400134,-89.635575816 75.8410252090001,-89.68989075 75.8020279980001,-89.7388907499999 75.7866549980001,-89.770534375 75.7894634400001,-89.7731997559999 75.7897000740001,-89.776663685 75.832554196,-89.750290908 75.846645069,-89.7281680309999 75.8612053940001,-89.71694575 75.8685909980001,-89.69179975 75.8936729980001,-89.691800095 75.8936731260001,-89.691799976 75.8936732450001,-89.72213256 75.9049135120001,-89.8250097499999 75.9430369980001,-89.892847834 75.9607417760001,-89.909163833 75.965000176,-89.92708175 76.003463998,-89.95707275 76.0079099980001,-90.000642167 76.009686731,-90.0150178979999 76.0102732300001,-90.0451459779999 76.0081911660001,-90.0498934409999 76.006387122,-90.06639075 76.0001189980001,-90.11325475 75.9483099980001,-90.25695475 75.9669369980001,-90.34166375 75.958454998,-90.50083675 75.896518998,-90.52854575 75.9027639980001,-90.523202322 75.9320006820001,-90.523190896 75.9320632000001,-90.49221792 75.9458180710001,-90.449259368 75.9654434820001,-90.43978175 75.9697729980001,-90.43978214 75.9697731090001,-90.4397819069999 75.969773215,-90.445202307 75.9713077630001,-90.47388175 75.9794279980001,-90.550694495 75.9798732520001,-90.569454978 75.979982206,-90.594931703 75.981563479,-90.7172277509999 75.9891549980001,-90.752459358 75.994471032,-90.755846042 75.994982124,-90.7856909819999 75.995400214,-90.791199508 75.9926647550001,-90.805554751 75.985536998,-90.8306997509999 75.9633279980001,-90.847781751 75.9522099980001,-90.897018751 75.9270639980001,-90.939990751 75.9152639980001,-91.053327751 75.881090998,-91.07536843 75.8568808480001,-91.085563962 75.8456821560001,-91.089642161 75.844727097,-91.107499751 75.840545998,-91.1331174379999 75.8449187740001,-91.1258269369999 75.8574821990001,-91.132798827 75.8874623090001,-91.1363905869999 75.902909295,-91.109581971 75.916236155,-91.078977376 75.9211342310001,-91.070554751 75.9224819980001,-91.061210413 75.9230145910001,-91.016955067 75.9255360450001,-90.978754555 75.929876527,-90.968063751 75.9310909980001,-90.959846924 75.9402877300001,-90.946564012 75.955154002,-90.9465645129999 75.9551541450001,-90.946563751 75.9551549980001,-91.0697367509999 75.990263998,-91.136258657 76.0133487790001,-91.151390503 76.0186000090001,-91.005281751 76.0249909980001,-90.9937382699999 76.023558472,-90.929172904 76.015545112,-90.9041730389999 76.015545112,-90.718455042 76.022663192,-90.6359459339999 76.028154009,-90.420431268 76.030899984,-90.40472775 76.0310999980001,-90.3286097499999 76.0313729980001,-90.30166375 76.032481998,-90.2956526569999 76.032907504,-90.274172934 76.0344270250001,-90.2244459519999 76.0434540000001,-90.195345996 76.0573449930001,-90.1953474439999 76.05734519,-90.1953457499999 76.0573459980001,-90.351454896 76.0785994390001,-90.408617823 76.0863822520001,-90.414398674 76.0869195560001,-90.42944575 76.088318998,-90.4741637499999 76.089709998,-90.534012234 76.091051835,-90.548335935 76.0913731730001,-90.575008827 76.0902731320001,-90.605417869 76.0863822520001,-90.6097084739999 76.0855517100001,-90.662436751 76.075345998,-90.703703984 76.065596403,-90.709690924 76.064182111,-90.857908228 76.0689822360001,-90.833618751 76.0727729980001,-90.827759848 76.072568269,-90.809435908 76.0719271570001,-90.790421687 76.0725931910001,-90.785281751 76.0727729980001,-90.757509751 76.076381998,-90.757509679 76.07638203,-90.757508844 76.076382139,-90.715460122 76.0953054670001,-90.672363751 76.114699998,-90.672364193 76.1147000730001,-90.672363962 76.114700177,-90.675965756 76.1153098120001,-90.700290751 76.119427998,-90.882490751 76.1372099980001,-91.0850879929999 76.153789707,-91.116654956 76.156373156,-91.124274145 76.156919235,-91.1633277509999 76.1597189980001,-91.211809751 76.1615189980001,-91.271945751 76.155818998,-91.328832577 76.1758326990001,-91.336672737 76.1785911270001,-91.332781751 76.2141549980001,-91.416654751 76.2252639980001,-91.579454751 76.2516639980001,-91.5993891699999 76.260894077,-91.601954531 76.2620820220001,-91.5713997509999 76.2652729980001,-91.5493526339999 76.2637599060001,-91.445826879 76.2566540780001,-91.428758245 76.254516795,-91.4236187509999 76.2538729980001,-91.386424617 76.2479528000001,-91.265699947 76.228736138,-91.212226925 76.2155450340001,-91.112208859 76.1919271780001,-90.937208969 76.1808181380001,-90.82625286 76.1738821270001,-90.7861187509999 76.171372998,-90.7572160189999 76.1702998800001,-90.666399903 76.166927145,-90.506476903 76.1581560700001,-90.4486097499999 76.154981998,-90.405182789 76.149803198,-90.308881892 76.1383182010001,-90.110826907 76.1241450730001,-90.085281884 76.124418156,-90.0601358389999 76.133591143,-90.0809765989999 76.1354289650001,-90.15167275 76.1416639980001,-90.2222277499999 76.1444369980001,-90.25695475 76.146945998,-90.3991020189999 76.1587200750001,-90.414445928 76.1599911210001,-90.41594745 76.1605343860001),(-79.1130547399999 76.1005369980001,-79.12193674 76.088590998,-79.127475902 76.084560131,-79.1337550499999 76.0799912190001,-79.1728233329999 76.065393704,-79.27278174 76.028045998,-79.37499974 76.005554998,-79.39695474 76.0019369980001,-79.5675097399999 75.9491459980001,-79.5799997399999 75.9452549980001,-79.75222774 75.8785819980001,-79.7460350979999 75.8714192410001,-79.739990951 75.8644271090001,-79.72811209 75.8613975540001,-79.72694574 75.861099998,-79.723831509 75.861016938,-79.7058358689999 75.8605360620001,-79.6202728979999 75.862763301,-79.603556214 75.8617174280001,-79.59805474 75.861372998,-79.568525323 75.850664889,-79.458617836 75.8108090800001,-79.4241640229999 75.8452632280001,-79.408335805 75.852763188,-79.3613909439999 75.8669270950001,-79.347406195 75.8701046040001,-79.3430637399999 75.8710909980001,-79.31945474 75.873599998,-79.313327676 75.873801632,-79.268890943 75.8752632330001,-79.054717893 75.872754027,-79.031681909 75.8708181420001,-79.02219944 75.8676604400001,-79.0216640909999 75.867482115,-79.026835287 75.8651377260001,-79.04249974 75.858036998,-79.05749974 75.8533189980001,-79.06945474 75.8453369980001,-79.0694540869999 75.845336731,-79.069454956 75.8453361510001,-79.048890962 75.8369270900001,-78.943273416 75.8373933450001,-78.92110974 75.8374909980001,-78.918176096 75.8377700510001,-78.8977820109999 75.8397092120001,-78.8792268239999 75.84769113,-78.904172877 75.8672001780001,-78.905049906 75.8677112110001,-78.91417274 75.8730279980001,-78.92639074 75.8758099980001,-78.94359974 75.8780369980001,-78.98943674 75.881927998,-79.01028174 75.884718998,-79.02944574 75.888318998,-79.11193674 75.9102639980001,-79.131686128 75.916260418,-79.140290922 75.9188732700001,-79.170812563 75.9353606710001,-79.171390741 75.9356729960001,-79.17666374 75.9495729980001,-79.1733647459999 75.954924679,-79.1692998509999 75.961518046,-79.1561089149999 75.9699822600001,-79.144726793 75.975263194,-79.085008918 75.9938633080001,-79.0697359169999 75.9983181220001,-78.99860893 76.0150001210001,-78.921663897 76.031936091,-78.861390973 76.043318045,-78.849091992 76.0465521180001,-78.84555474 76.0474819980001,-78.841195253 76.0496415980001,-78.829863952 76.055254043,-78.798608841 76.083182209,-78.805826833 76.0930450270001,-78.805827092 76.0930451140001,-78.80582774 76.093045998,-78.8216727399999 76.0983279980001,-78.8930637399999 76.115536998,-78.90417274 76.1197099980001,-78.920027691 76.12082044,-78.923890969 76.1210912110001,-79.0866728939999 76.115400234,-79.0943304159999 76.1110858430001,-79.1130547399999 76.1005369980001),(-97.652790986 74.4558271540001,-97.6063818969999 74.461927168,-97.413146365 74.5011750730001,-97.387509757 74.5063819970001,-97.387509347 74.5063821860001,-97.387508946 74.506382268,-97.376100003 74.511653982,-97.3171859349999 74.542399576,-97.299990757 74.551372997,-97.287017465 74.562842403,-97.259454923 74.587209128,-97.259455197 74.5872096080001,-97.259454757 74.5872099970001,-97.264445757 74.5959639970001,-97.291381757 74.605254997,-97.34622988 74.618570688,-97.357772971 74.6213732620001,-97.35984186 74.6216511040001,-97.368054757 74.6227549970001,-97.38331865 74.6253030870001,-97.389726798 74.6263732350001,-97.3945115069999 74.6269108810001,-97.4069547569999 74.628309997,-97.422772757 74.6294279970001,-97.443648323 74.6263983010001,-97.445826876 74.626082216,-97.46999995 74.621091128,-97.506314563 74.6130019880001,-97.5136277569999 74.611372997,-97.532227757 74.6063729970001,-97.582063365 74.574917343,-97.618055038 74.5522000980001,-97.640198883 74.546224624,-97.753890757 74.5155459970001,-97.762361974 74.5115772070001,-97.76514604 74.5102731470001,-97.770923064 74.5056273230001,-97.7813907569999 74.4972099970001,-97.785980357 74.490351462,-97.79097303 74.482891146,-97.790972749 74.4828910100001,-97.777218757 74.476381997,-97.753448619 74.469715518,-97.708890896 74.4572180470001,-97.691935815 74.4552632190001,-97.678112959 74.4550336280001,-97.675554757 74.454990997,-97.671946589 74.455123664,-97.652790986 74.4558271540001),(-110.98110877 74.621372997,-110.941951353 74.629500093,-110.833890995 74.6519271440001,-110.801935827 74.663182196,-110.779446007 74.6777541340001,-110.756663995 74.6852540940001,-110.591381916 74.7241540030001,-110.591381891 74.7241549680001,-110.591381769 74.7241549970001,-110.589999792 74.7780451260001,-110.436664053 74.7933181160001,-110.396435947 74.8065539790001,-110.39963728 74.8148841140001,-110.404163531 74.8266633790001,-110.365263984 74.841927119,-110.345554944 74.846936145,-110.328939474 74.84738501,-110.325008769 74.8474909970001,-110.304445769 74.8463729970001,-110.274781079 74.8439746390001,-110.139717865 74.8330540370001,-110.016399953 74.8422090870001,-109.999999921 74.846836065,-109.994717981 74.848327038,-109.977253028 74.8522350360001,-109.972572769 74.8532819970001,-109.967609992 74.8543913,-109.954999997 74.8572091730001,-109.934717971 74.8608092000001,-109.872499941 74.869136118,-109.833617969 74.8697091050001,-109.804308968 74.8658180580001,-109.76944595 74.8594181400001,-109.678197081 74.856846756,-109.661390768 74.8563729970001,-109.577918768 74.8571999970001,-109.576482305 74.8573757280001,-109.515417957 74.864845087,-109.420546045 74.8930540470001,-109.40353581 74.9144270620001,-109.361738444 74.9383442480001,-109.354999768 74.942199997,-109.320882925 74.947598231,-109.119717862 74.9794270450001,-109.019507843 75.0010256020001,-109.001108768 75.0049909970001,-108.992308494 75.0110313170001,-108.949717946 75.0402632330001,-108.927782002 75.051927155,-108.850476106 75.0665831490001,-108.832499768 75.069990997,-108.827231787 75.069874402,-108.794726833 75.069153977,-108.651399976 75.0538632070001,-108.632804782 75.047531915,-108.628599767 75.0460999970001,-108.530491009 75.0045820990001,-108.52084627 74.974428022,-108.552412104 74.9760033310001,-108.560000015 74.9763822350001,-108.572212428 74.9771286170001,-108.614436767 74.979709997,-108.63418291 74.9808247180001,-108.638899876 74.9810911880001,-108.658435683 74.9817006870001,-108.745536767 74.984418997,-108.804445768 74.9844279970001,-108.804441501 74.9844271850001,-108.804445985 74.9844271850001,-108.786151093 74.9809426250001,-108.781108767 74.979981997,-108.752533241 74.977243098,-108.679717901 74.9702632780001,-108.5816609 74.957645981,-108.551772771 74.9537999940001,-108.550986361 74.9530690970001,-108.535408767 74.9385909970001,-108.445690767 74.9167909970001,-108.440746664 74.9163353660001,-108.382364017 74.910954104,-108.236289782 74.921723032,-108.210827767 74.9235999970001,-108.197539879 74.9243218130001,-108.134173014 74.9277631730001,-108.024172939 74.9291540660001,-107.984130303 74.927712227,-107.977490767 74.9274729970001,-107.948608767 74.9296999970001,-107.894999767 75.003599997,-107.875780995 75.0078364930001,-107.777790918 75.029436161,-107.742008909 75.045818088,-107.742009622 75.0458186060001,-107.742008767 75.0458189970001,-107.772154772 75.0676999900001,-107.778199552 75.094845035,-107.755197338 75.0960514880001,-107.748890767 75.096381997,-107.741030826 75.0947219990001,-107.711399875 75.0884632,-107.696925955 75.076828672,-107.694990861 75.0752730730001,-107.693278161 75.0718113890001,-107.680827766 75.046645997,-107.713261228 75.026350538,-107.7179909 75.0233911330001,-107.691799967 74.9792910900001,-107.691799765 74.9792910020001,-107.662508904 74.9666632500001,-107.630826818 74.9611090660001,-107.534146975 74.9446129240001,-107.506954766 74.939972997,-107.49872175 74.9389041790001,-107.464172958 74.9344180690001,-107.266260821 74.9167160390001,-107.206527766 74.9113729970001,-107.198072249 74.9112210710001,-107.159999893 74.910536015,-107.085836595 74.9186469300001,-107.073627766 74.919981997,-107.069820898 74.9202631860001,-107.05109986 74.9216450540001,-107.018474329 74.9223097650001,-107.010008766 74.922481997,-106.972227766 74.9260909970001,-106.972227018 74.9260911320001,-106.972226821 74.926091151,-106.968254573 74.9268060630001,-106.930554766 74.9335909970001,-106.904800775 74.9418375070001,-106.79214599 74.9779090820001,-106.777926964 74.9938001260001,-106.776077725 74.994097126,-106.725564006 75.0022090580001,-106.663326866 75.0041632140001,-106.554990935 75.001245139,-106.454999859 75.00582719,-106.260008963 75.0191450280001,-106.239277528 75.021020671,-106.235281765 75.021381997,-106.192369411 75.0283057180001,-106.000772958 75.0592180690001,-106.000773857 75.0592188210001,-106.000772765 75.0592189970001,-106.018627765 75.0741549970001,-106.073335474 75.0993544030001,-106.011255031 75.134709178,-105.947380406 75.1351309560001,-105.925827765 75.1352729970001,-105.904999765 75.1363819970001,-105.899464978 75.1379273380001,-105.881099999 75.1430540330001,-105.872499999 75.1719181220001,-105.87250002 75.171918142,-105.872499765 75.171918997,-105.892113173 75.1907002670001,-105.892226809 75.190809087,-105.892227765 75.190809997,-105.928118566 75.20334489,-105.935408681 75.2058910850001,-105.917525266 75.2246821730001,-105.871099886 75.2734632030001,-105.817217827 75.2976181720001,-105.798195246 75.3013100920001,-105.793608765 75.302199998,-105.762508765 75.3049819980001,-105.757662782 75.305995254,-105.732635874 75.3112270300001,-105.651108958 75.3599181760001,-105.629792545 75.4072790110001,-105.602290765 75.468381998,-105.602290976 75.468382035,-105.602290909 75.4683821830001,-105.679164026 75.4820731830001,-105.689361921 75.483049507,-105.744298586 75.488309885,-105.685817916 75.5194360200001,-105.642279783 75.531984155,-105.636672765 75.5335999980001,-105.604445765 75.539981998,-105.591247941 75.541425046,-105.540835801 75.5469360380001,-105.516664069 75.5505360660001,-105.491946004 75.55802714,-105.390145945 75.6476271710001,-105.390146067 75.647627732,-105.390145764 75.6476279980001,-105.400281764 75.694427998,-105.449581764 75.836109998,-105.470623712 75.856097043,-105.472081899 75.8574821990001,-105.507303429 75.8774679420001,-105.610136765 75.9358189980001,-105.668327765 75.9555549980001,-105.728778139 75.9731772910001,-105.734999906 75.974991118,-105.746575148 75.977476186,-105.837218765 75.9969369980001,-105.899990765 76.005554998,-105.930677132 76.009445005,-105.937208962 76.0102732300001,-105.9520592 76.0120509100001,-106.016108765 76.019718998,-106.22443004 76.0428793830001,-106.30082682 76.0513732220001,-106.336673035 76.0547001670001,-106.341673421 76.054875215,-106.368608765 76.0558189980001,-106.540364685 76.0580108300001,-106.585826951 76.058591214,-106.589064874 76.0584575620001,-106.606108765 76.0577549980001,-106.638899765 76.053036998,-106.869718766 75.9641549980001,-106.895699766 75.939763998,-106.895699747 75.9397634420001,-106.895699877 75.9397633190001,-106.892372932 75.839573257,-106.892372771 75.839573171,-106.892372766 75.8395729980001,-106.860408766 75.822490998,-106.857629078 75.82196773,-106.829455014 75.816663169,-106.786117892 75.813309066,-106.73586401 75.8137859500001,-106.726672766 75.8138729980001,-106.679445766 75.8124819980001,-106.676825972 75.8119588070001,-106.622774474 75.801163472,-106.645981766 75.7940189980001,-106.67461477 75.7936527860001,-106.679446104 75.7935911420001,-106.684500034 75.7938508490001,-106.722781766 75.7958189980001,-106.744718766 75.795536998,-106.794445766 75.7916549980001,-106.830563766 75.785809998,-106.880281766 75.7658279980001,-106.896663766 75.7202639980001,-106.944190665 75.7332731160001,-106.963617936 75.7385911050001,-107.031681867 75.771100081,-107.035467869 75.7742321550001,-107.101526898 75.8288821400001,-107.091463714 75.8595828460001,-107.088054766 75.8699819980001,-107.080512139 75.8913148500001,-107.079999998 75.8927633070001,-107.079999766 75.8927639980001,-107.167792196 75.901907534,-107.186664068 75.903873183,-107.337508989 75.911373143,-107.341899391 75.9114117560001,-107.369454766 75.9116549980001,-107.487230678 75.9022522720001,-107.51555503 75.899991189,-107.556125607 75.8962151960001,-107.739436767 75.879154998,-107.759745767 75.872063998,-107.778345767 75.854709998,-107.820845767 75.8291639980001,-107.873608767 75.798036998,-107.913327767 75.7894279980001,-107.956945767 75.7847189980001,-108.006390767 75.7794369980001,-108.022227752 75.782345998,-108.043608737 75.802200047,-108.031108767 75.822490998,-108.008673374 75.836330381,-107.924172979 75.8884540020001,-107.906364725 75.8945800930001,-107.901945767 75.8960999980001,-107.842218767 75.8999909980001,-107.842218297 75.8999911640001,-107.842217914 75.899991189,-107.827239701 75.9052755970001,-107.785554767 75.9199819980001,-107.741163258 75.9405497660001,-107.638690888 75.988027156,-107.638691673 75.9880275780001,-107.638690766 75.9880279980001,-107.71856369 76.0309673680001,-107.73068194 76.037482229,-107.812208857 76.0560912280001,-107.83833592 76.061373168,-107.852301929 76.061668614,-107.916945767 76.063036998,-108.001399767 76.063036998,-108.020087744 76.0623824740001,-108.025554948 76.062191242,-108.351935865 76.0488732360001,-108.396117882 76.0461001670001,-108.408617982 76.147763265,-108.386255064 76.162345094,-108.331390982 76.181927064,-108.252226923 76.1969271500001,-108.114726831 76.2613821420001,-108.077499949 76.2805450170001,-108.07750083 76.2805454510001,-108.077499767 76.280545998,-108.245118949 76.3631308440001,-108.269172952 76.3749822440001,-108.274736855 76.3775400820001,-108.289718767 76.3844279990001,-108.317366341 76.3933405970001,-108.323755068 76.3954002250001,-108.363890973 76.3999911610001,-108.379160154 76.400943151,-108.475281767 76.406936999,-108.541411888 76.4082659140001,-108.5580358 76.4086002130001,-108.581126938 76.4391450420001,-108.583379048 76.4703820140001,-108.583890767 76.4774819990001,-108.618881767 76.5726279990001,-108.694854767 76.6030459990001,-108.71979036 76.64026339,-108.681108961 76.647763237,-108.653882025 76.647218078,-108.628599858 76.6452632500001,-108.611309637 76.642991699,-108.607499767 76.6424909990001,-108.603564749 76.6423347470001,-108.586672908 76.6416632230001,-108.565555038 76.6416632230001,-108.545482764 76.6462109670001,-108.544727767 76.6463819990001,-108.544727645 76.6463820530001,-108.544726847 76.646382234,-108.458890961 76.684709157,-108.442135872 76.7114360290001,-108.445549861 76.716408206,-108.459163767 76.7362369990001,-108.493764247 76.75263707,-108.496390925 76.7538821540001,-108.527217889 76.760273188,-108.552491004 76.7613821140001,-108.55810655 76.7613108780001,-108.596945767 76.760818999,-108.681790354 76.7732189390001,-108.653263944 76.8109540300001,-108.653264353 76.8109542240001,-108.653263767 76.810954999,-108.748045767 76.8558189990001,-108.776520052 76.8572511960001,-108.781108922 76.8574821430001,-108.791234301 76.8513928660001,-108.818054768 76.8352639990001,-108.844999768 76.823609999,-108.889445768 76.8141459990001,-108.927345768 76.8094189990001,-108.950845768 76.8116459990001,-108.970678909 76.8153739570001,-108.974446069 76.8160822460001,-109.025835853 76.8227731850001,-109.040530205 76.8222934330001,-109.127772768 76.819445999,-109.222781768 76.808027999,-109.302781768 76.7969369990001,-109.509745768 76.7083279990001,-109.560818768 76.6408279990001,-109.646663768 76.5933189990001,-109.696756493 76.5884540550001,-109.706673039 76.5874911500001,-109.755282043 76.572773199,-109.781599693 76.5598242130001,-109.837299768 76.5324189990001,-109.837298743 76.5324187950001,-109.837299971 76.53241819,-109.811108871 76.5272091730001,-109.749163924 76.531663316,-109.715282982 76.521236387,-109.746381768 76.5055549990001,-109.807218768 76.4905369990001,-109.945147001 76.473141028,-109.972572992 76.46968216,-109.97736626 76.4690767610001,-109.999999769 76.466218999,-110.095554769 76.4541639990001,-110.289436769 76.4330459990001,-110.384590769 76.4252549990001,-110.386918595 76.4161013930001,-110.393064075 76.3919361520001,-110.378199943 76.2961001530001,-110.378199788 76.296100123,-110.378199769 76.296099999,-110.37589861 76.2956558430001,-110.358045992 76.292209106,-110.331390869 76.290818045,-110.265835836 76.291363204,-110.241100002 76.2905451300001,-110.201681923 76.2855361050001,-110.160932711 76.2757683890001,-110.153063769 76.273881998,-110.123318769 76.2660999980001,-110.109376797 76.2621488240001,-110.076809 76.252918096,-110.014717872 76.2297091090001,-109.999999921 76.224309152,-109.972572992 76.2142361160001,-109.943672693 76.203626704,-109.940554769 76.2024819980001,-109.938105899 76.2018039160001,-109.919445975 76.196636131,-109.894920083 76.1965880720001,-109.887363769 76.1965729980001,-109.889837031 76.20570601,-109.895826946 76.2278270370001,-109.858608949 76.2358091230001,-109.837676503 76.236058326,-109.834163768 76.236099998,-109.830942994 76.2358810430001,-109.809435843 76.234418062,-109.722499916 76.2222182020001,-109.70325976 76.2193577950001,-109.699999768 76.2188729980001,-109.646631104 76.203799755,-109.396117826 76.133045146,-109.317737654 76.107207992,-109.308255099 76.1040821070001,-109.343120293 76.0830423720001,-109.421390768 76.035809998,-109.664445768 75.9459459980001,-109.697772768 75.940263998,-109.826681768 75.9305459980001,-109.926099769 75.927763998,-109.972572769 75.9151189980001,-109.999999769 75.9076549980001,-110.051872769 75.8935279980001,-110.0518713 75.893527529,-110.051873005 75.8935270650001,-109.999999921 75.8769632510001,-109.974763049 75.868899878,-109.972572769 75.8681999980001,-109.970352255 75.8674909210001,-109.936390999 75.8566450150001,-109.910275459 75.850571078,-109.907781769 75.8499909980001,-109.883899769 75.8499909980001,-109.877145196 75.852471214,-109.851390956 75.8619271220001,-109.733608956 75.8766450740001,-109.674306449 75.8701259110001,-109.660427768 75.868599998,-109.635649143 75.831693408,-109.632363947 75.8268000750001,-109.631930928 75.822835528,-109.629436768 75.7999909980001,-109.580056722 75.795271949,-109.452217904 75.7830540840001,-109.324799922 75.7726892920001,-109.305263768 75.7710999980001,-109.29845775 75.7709567100001,-109.265554931 75.7702633000001,-109.22279199 75.764496959,-109.210008768 75.7627729980001,-109.19351012 75.760138123,-109.126391031 75.7494181770001,-109.059499923 75.7317181120001,-108.961069092 75.7001325410001,-108.944990768 75.6949729980001,-108.913327768 75.6910819980001,-108.881945768 75.692199998,-108.83486408 75.689000019,-108.835178373 75.669889035,-108.836118768 75.612763998,-108.920418768 75.5185999980001,-108.907205118 75.4957688360001,-108.896664588 75.477554979,-108.936390768 75.4766549980001,-109.074718768 75.4983189980001,-109.183608768 75.5086099980001,-109.253890768 75.5141639980001,-109.295641037 75.5148543990001,-109.304445956 75.5150001490001,-109.337143031 75.5158753010001,-109.553045768 75.521654998,-109.749999768 75.529709998,-109.972572769 75.537436998,-109.973945685 75.5374835960001,-109.974164045 75.5374911420001,-109.97771582 75.5376060720001,-109.999999769 75.5383279980001,-110.067781769 75.5405459980001,-110.183571708 75.5397809740001,-110.195826828 75.5397001090001,-110.210770853 75.5396410100001,-110.333890769 75.5391549980001,-110.4046344 75.547885766,-110.427217983 75.5506731940001,-110.440400731 75.5562051090001,-110.465972769 75.5669369980001,-110.495536769 75.569154998,-110.533459373 75.568933223,-110.542217863 75.568882208,-110.587788401 75.5684414850001,-110.771663769 75.5666639980001,-110.794999769 75.565263998,-110.899436769 75.550263998,-110.972227769 75.5324819950001,-110.99499977 75.5291639980001,-111.22165477 75.5169369980001,-111.24721877 75.5180549980001,-111.26689161 75.5216653200001,-111.27139097 75.522491223,-111.28132454 75.5272790970001,-111.31861877 75.5452549980001,-111.350049659 75.5697206080001,-111.353608891 75.5724911200001,-111.354669003 75.573379904,-111.40778166 75.6179099060001,-111.389717962 75.6630361260001,-111.354854945 75.7204632280001,-111.354855113 75.720463432,-111.35485477 75.7204639980001,-111.44847277 75.8344369980001,-111.47639077 75.8391549980001,-111.49638177 75.839709998,-111.53971877 75.838318998,-111.60444577 75.8266639980001,-111.64499977 75.821654998,-111.680565323 75.82252264,-111.690826938 75.8227732410001,-111.726528477 75.8236590210001,-111.85860877 75.8269369980001,-112.028345771 75.815263998,-112.192490771 75.8058189980001,-112.219517097 75.809209788,-112.174164022 75.8492181450001,-112.097112146 75.8683771920001,-112.075008771 75.8738729980001,-112.068724102 75.8748967280001,-112.043473052 75.8790091060001,-112.009455098 75.8816540990001,-111.952192488 75.884593468,-111.94444577 75.884990998,-111.87138177 75.8874999980001,-111.856275054 75.8886616200001,-111.777500008 75.8947181340001,-111.739079837 75.909814392,-111.72999977 75.913381998,-111.75834577 75.9448369980001,-111.78443677 75.9497099980001,-111.928598376 75.9732179650001,-111.978608856 75.981373266,-112.043326872 75.9988731710001,-112.051439943 76.0003019540001,-112.068618771 76.003327998,-112.144258092 76.0136484400001,-112.154163963 76.0150001210001,-112.168936748 76.0164736520001,-112.298890771 76.0294369980001,-112.385554771 76.0366549980001,-112.418054771 76.0448459980001,-112.525763574 76.1060188860001,-112.499026809 76.1426271700001,-112.477218026 76.1513821990001,-112.477217934 76.151382233,-112.429990771 76.164081998,-112.429991051 76.1640821300001,-112.429990939 76.1640821600001,-112.433655861 76.1657970110001,-112.458336771 76.1773459980001,-112.481945771 76.1813639980001,-112.590290771 76.196636998,-112.621381771 76.198318998,-112.717218771 76.198318998,-112.750554771 76.2005459980001,-112.849575402 76.236291829,-112.86229095 76.2408821860001,-112.900981982 76.255682113,-112.906154639 76.2564183920001,-112.956672771 76.263609998,-112.991350531 76.266777361,-112.999164076 76.2674912080001,-113.052999265 76.2668620040001,-113.260554772 76.2644369980001,-113.312017959 76.2630729970001,-113.323335859 76.2627732030001,-113.327973837 76.2623097590001,-113.365008772 76.2586099980001,-113.524436772 76.235809998,-113.616099772 76.218318998,-113.634928291 76.2137390440001,-113.63889993 76.212773138,-113.685272977 76.2061001380001,-113.708891001 76.203600151,-113.74374572 76.2015390380001,-113.953336772 76.1891459980001,-113.989990772 76.1915099980001,-114.059718595 76.217754932,-114.129435895 76.3119181450001,-114.111799867 76.354427135,-114.09402688 76.3962360680001,-114.106389371 76.418061214,-114.112981772 76.429699999,-114.118894074 76.4336323040001,-114.141808925 76.4488732470001,-114.148290982 76.451117341,-114.174708773 76.4602639990001,-114.207227773 76.4680459990001,-114.248453495 76.474486648,-114.251681929 76.4749910890001,-114.29360888 76.480273197,-114.320157108 76.4830767170001,-114.451399773 76.4969369990001,-114.610281773 76.4883099990001,-114.697970109 76.4943189520001,-114.713745665 76.4954001570001,-114.701872773 76.512772999,-114.701873052 76.5127730310001,-114.701872944 76.512773189,-114.707646115 76.5134353810001,-114.740545773 76.517209999,-114.87796429 76.5159678050001,-114.909582038 76.5156822120001,-114.915261623 76.51362306,-114.931799773 76.5076279990001,-114.951381773 76.489836999,-114.978881773 76.4816549990001,-115.011536773 76.4759549990001,-115.269445774 76.461109999,-115.466663774 76.4558279990001,-115.507227774 76.453045999,-115.626390774 76.4258099990001,-115.648354774 76.4202549990001,-115.812013993 76.3757026330001,-115.860546004 76.3624911960001,-115.869373728 76.3595937270001,-115.905418774 76.3477639990001,-115.919018774 76.279572998,-115.899748459 76.2668845570001,-115.874299869 76.25012709,-115.847782041 76.2430450520001,-115.82721788 76.2394270880001,-115.7819551 76.2352632930001,-115.756664048 76.234145148,-115.549435908 76.23054512,-115.373045964 76.2308182030001,-115.293831059 76.2303899950001,-115.272227774 76.230272998,-115.159727773 76.2185999980001,-115.089445773 76.208881998,-115.081399522 76.2076666730001,-115.04527298 76.202209091,-115.009935882 76.1899091510001,-114.961570153 76.1796187050001,-114.944990773 76.1760909980001,-114.898618773 76.1724819980001,-114.889594567 76.1720637920001,-114.850564051 76.1702540900001,-114.807958226 76.1688295590001,-114.800827773 76.1685909980001,-114.788287844 76.168407621,-114.706390958 76.1672091130001,-114.676984436 76.158736703,-114.728336773 76.153045998,-114.781623615 76.151369796,-114.790772918 76.1510821630001,-114.800129588 76.1508254600001,-114.851099773 76.1494279980001,-114.875545773 76.1497189980001,-115.001482422 76.1554539690001,-115.021664009 76.156373156,-115.035246866 76.1575542570001,-115.130281773 76.1658189980001,-115.154445773 76.169436998,-115.273063774 76.1822099980001,-115.327499774 76.1847099980001,-115.447218774 76.1869189980001,-115.594999774 76.187763998,-115.640502724 76.186197561,-115.643335855 76.186100078,-115.6590472 76.186174593,-115.815827774 76.1869189980001,-115.865545774 76.1883099980001,-115.908618774 76.191927998,-115.958890774 76.194136998,-116.059436774 76.198027998,-116.084163774 76.198318998,-116.163618774 76.1972099980001,-116.207673155 76.1952390050001,-116.213617918 76.1949731610001,-116.296108921 76.1885821280001,-116.301733861 76.187906646,-116.342218775 76.1830459980001,-116.524999775 76.1555369980001,-116.641390775 76.113309998,-116.702990775 76.0572099980001,-116.7029907 76.057209459,-116.702990978 76.057209206,-116.700145992 76.0366540970001,-116.669446098 76.0258181400001,-116.645554992 76.0230360190001,-116.60221787 76.0222181130001,-116.537357112 76.026839995,-116.528345847 76.027481993,-116.471518802 75.974154996,-116.506945752 75.971727785,-116.516108902 75.9711002380001,-116.537217887 75.9724911310001,-116.540909971 75.9725326870001,-116.561390775 75.9727639980001,-116.585281775 75.9719279980001,-116.632218775 75.969145998,-116.668346099 75.9649452950001,-116.677490881 75.9638822460001,-116.684866535 75.9624824700001,-116.706808775 75.958318998,-116.729018775 75.948318998,-116.733651564 75.926655576,-116.733891031 75.9255360450001,-116.723078763 75.908575812,-116.719727775 75.903318998,-116.71972741 75.903318846,-116.719726956 75.9033181340001,-116.710445597 75.8994556380001,-116.699718775 75.8949909980001,-116.692384664 75.8933110400001,-116.676663922 75.889709108,-116.655850001 75.88606357,-116.649727775 75.884990998,-116.644431817 75.8843631570001,-116.623890957 75.8819271820001,-116.506083165 75.8752035530001,-116.482772775 75.8738729980001,-116.420736123 75.8721744260001,-116.142781951 75.864563231,-116.106654942 75.8641540260001,-116.053326927 75.865536035,-116.012380895 75.8681100800001,-116.004727774 75.8685909980001,-115.983770383 75.871034222,-115.868881974 75.8844271680001,-115.839287208 75.886993203,-115.830290774 75.8877729980001,-115.814236612 75.8880935230001,-115.74694607 75.8894360260001,-115.682217828 75.888318047,-115.540554947 75.8813632470001,-115.39472693 75.8777632200001,-115.29277298 75.878309217,-115.221655046 75.8802632060001,-115.129187727 75.886887061,-115.105272773 75.8885999980001,-115.096838538 75.8898554190001,-115.064163946 75.8947181340001,-115.029609588 75.8978393680001,-115.018063773 75.898881998,-114.907227773 75.9063729980001,-114.881663773 75.907481998,-114.830418773 75.9049909980001,-114.81433444 75.894298468,-114.807637021 75.889845875,-114.838608773 75.8744189980001,-114.911945773 75.8597099980001,-114.932499773 75.856645998,-114.980827773 75.8530459980001,-115.000836773 75.8533189980001,-115.049990773 75.8558189980001,-115.072772773 75.8577549980001,-115.139445773 75.8594189980001,-115.313608774 75.8552549980001,-115.346471344 75.850017635,-115.358046045 75.848173257,-115.366145917 75.8453047340001,-115.381945774 75.839709998,-115.404999774 75.838045998,-115.490493991 75.8354912980001,-115.507235876 75.834991206,-115.522048334 75.8347085840001,-115.594454774 75.8333279980001,-115.622772774 75.8344279980001,-115.666663774 75.8419279980001,-115.691936774 75.8483279980001,-115.727005218 75.8532238770001,-115.731654964 75.8538731190001,-115.734726525 75.8539735360001,-115.757227774 75.854709998,-115.781936774 75.8487279980001,-115.796895595 75.834498792,-115.799445953 75.8320731300001,-115.803472223 75.831243627,-115.823054774 75.8272099980001,-116.037218774 75.8097099980001,-116.105827774 75.806927998,-116.287564774 75.8050735470001,-116.324173042 75.804700181,-116.36719263 75.804296461,-116.530563775 75.802763998,-116.588608775 75.8033189980001,-116.719727775 75.8016549980001,-116.754498389 75.8003114250001,-116.762790995 75.7999912280001,-116.816390919 75.7963732630001,-116.859717983 75.7917912120001,-116.861633091 75.79144562,-116.886672775 75.7869279980001,-116.923318775 75.7746999980001,-116.955563775 75.7619369980001,-117.001700874 75.743257891,-117.016663923 75.7372002120001,-117.019744675 75.735110036,-117.023618775 75.7324819980001,-117.039718775 75.7258189980001,-117.064835274 75.71375986,-117.071246039 75.7106822170001,-117.101313757 75.6943454830001,-117.213618775 75.6333279980001,-117.236799775 75.617763998,-117.241368617 75.6072157670001,-117.248046026 75.5918001750001,-117.248045772 75.5918000030001,-117.224163972 75.5758180650001,-117.194990926 75.5736090980001,-116.895957076 75.566275042,-116.843608775 75.564990998,-116.792014467 75.5639467,-116.486108897 75.5577540580001,-116.463826476 75.557519466,-116.460281775 75.5574819980001,-116.450512085 75.5575197960001,-116.389717848 75.5577540580001,-116.347499878 75.5591451190001,-116.11360002 75.5734632530001,-116.091664076 75.580554008,-115.889181938 75.614427123,-115.759457376 75.6352620320001,-115.714445774 75.6424909980001,-115.702966455 75.643647097,-115.667499876 75.6472181340001,-115.620617136 75.6501887100001,-115.606372774 75.651090998,-115.518890774 75.6499909980001,-115.471936774 75.650272998,-115.392499774 75.6531729980001,-115.324718774 75.6599909980001,-115.324717922 75.6599911470001,-115.279163954 75.6677541320001,-115.217217834 75.6793181410001,-115.145555076 75.6941361720001,-115.103054971 75.700818058,-115.081216008 75.7021668,-115.076108773 75.7024819980001,-115.071568509 75.7025917720001,-115.052781992 75.7030451300001,-115.028346062 75.7016632890001,-115.003682264 75.6948739970001,-115.000773198 75.694073115,-115.042499912 75.6897001340001,-115.076108997 75.6897001340001,-115.096655053 75.6871910950001,-115.157279368 75.6703771040001,-115.194727773 75.6599909980001,-115.279863774 75.6278189980001,-115.366099774 75.6027639980001,-115.463054774 75.5919369980001,-115.501846277 75.587669969,-115.506117897 75.5872001870001,-115.530564053 75.5849912200001,-115.565273012 75.583882127,-115.619717831 75.578873269,-115.622076531 75.5784077580001,-115.646390774 75.5736099980001,-115.688890774 75.5644189980001,-115.818336774 75.529709998,-115.90285853 75.5087448890001,-115.922500003 75.5038731720001,-115.93097369 75.502019433,-115.973327774 75.4927549980001,-116.012465654 75.4864976700001,-116.021946088 75.484982207,-116.044097726 75.483194601,-116.125145774 75.4766549980001,-116.753345775 75.4794279980001,-116.860935263 75.48111362,-116.87749097 75.481373127,-116.897782049 75.4824822200001,-117.041381988 75.483600198,-117.053341896 75.4833304380001,-117.103054775 75.482209998,-117.136192707 75.480738096,-117.146664057 75.4802732530001,-117.218890917 75.476382206,-117.240546067 75.473600085,-117.261399907 75.4688731950001,-117.302399163 75.454948626,-117.321118775 75.448590998,-117.334039285 75.444173209,-117.353608888 75.437482129,-117.365774452 75.4330904170001,-117.420545776 75.4133189980001,-117.446302414 75.4036429210001,-117.455272992 75.4002731840001,-117.475122521 75.390852593,-117.536663776 75.361645998,-117.630539536 75.3122299560001,-117.668054981 75.292482244,-117.669953806 75.2829232890001,-117.677227776 75.2463099980001,-117.677226851 75.246309753,-117.677226962 75.246309189,-117.466390916 75.1905361730001,-117.42535539 75.1835393680001,-117.419154776 75.1824819970001,-117.384172776 75.1785909970001,-117.168608775 75.157481997,-117.1094004 75.152126761,-116.717217917 75.1166540550001,-116.686664036 75.1169271380001,-116.663326973 75.1224821600001,-116.635027411 75.141467461,-116.618608775 75.1524819970001,-116.614856817 75.1548728550001,-116.589517945 75.1710180730001,-116.560546065 75.1791540520001,-116.527217941 75.1847090740001,-116.27778189 75.2058271120001,-116.240827831 75.200127223,-116.243318774 75.165818997,-116.279654774 75.1347099970001,-116.279654767 75.1347094440001,-116.279655077 75.134709178,-116.279164066 75.099427065,-116.163063977 75.0402632330001,-115.847782041 74.985536111,-115.779722387 74.9738448690001,-115.757236774 74.969981997,-115.752376126 74.969376083,-115.735000013 74.96720908,-115.68124603 74.964427126,-115.65805498 74.96720908,-115.61040889 74.98234512,-115.574717908 74.998318178,-115.552891825 75.0101048510001,-115.548472774 75.012490997,-115.540908996 75.041718164,-115.540908774 75.041718997,-115.571994686 75.0743009890001,-115.604717913 75.1086002200001,-115.623890652 75.1213729930001,-115.60288628 75.120645397,-115.519445962 75.1177540960001,-115.487594472 75.1073882370001,-115.483608774 75.1060909970001,-115.451681774 75.0988729970001,-115.447137927 75.0987211600001,-115.426663993 75.098036172,-115.395555062 75.1005361580001,-115.373045964 75.105818098,-115.345359658 75.1136932810001,-115.344727774 75.113872997,-115.344727606 75.1138730640001,-115.344726866 75.1138732750001,-115.285273021 75.1376270860001,-115.267961727 75.156954726,-115.255763774 75.1705729970001,-115.226245852 75.171090996,-115.174573327 75.1044273850001,-115.191372773 75.085818997,-115.223290773 75.0585639970001,-115.223290606 75.0585636340001,-115.223291026 75.058563275,-115.190546115 74.9876181760001,-115.160554995 74.9794270450001,-115.067468204 74.962973655,-115.058463773 74.961381997,-115.054798771 74.961420134,-115.032226883 74.961654057,-114.961249966 74.96876961,-114.949154773 74.969981997,-114.888608773 74.977481997,-114.87934327 74.9790265400001,-114.825290937 74.9880360970001,-114.767948444 75.0014180790001,-114.763427773 75.002472997,-114.760819413 75.0031017030001,-114.724163945 75.0119360890001,-114.600826922 75.0383181290001,-114.518890968 75.0502631790001,-114.474864016 75.058309136,-114.429717912 75.0730450240001,-114.394999901 75.0905450970001,-114.367490998 75.1069360770001,-114.342364064 75.1251181010001,-114.314864045 75.1490180920001,-114.298117841 75.175473223,-114.343696918 75.2044606810001,-114.405008773 75.2434549980001,-114.443045773 75.257218998,-114.468063773 75.2622099980001,-114.496381773 75.2655459980001,-114.546663773 75.2669369980001,-114.573288615 75.264175535,-114.57611791 75.2638821850001,-114.608681481 75.27048217,-114.592940703 75.2797737050001,-114.535417902 75.3137271840001,-114.506391036 75.3134450490001,-114.369014708 75.2780567090001,-114.352490869 75.273800022,-114.346390898 75.2547180820001,-114.319454981 75.2447090840001,-114.295954374 75.2381268810001,-114.284727773 75.2349819980001,-114.275866554 75.2327670080001,-114.263635864 75.229709165,-114.225587476 75.2239817510001,-114.212908773 75.222072998,-114.20520847 75.2227595630001,-114.17874596 75.225118062,-114.158055065 75.2333180780001,-114.141947834 75.242462151,-114.137508772 75.2449819980001,-114.117704064 75.2698819410001,-114.043335811 75.363382249,-114.052711798 75.3753508730001,-114.061245772 75.386245998,-114.087290772 75.4025459980001,-114.081245772 75.4629729980001,-114.032499772 75.4624909980001,-114.022417059 75.457101837,-113.984927097 75.437063331,-113.958618772 75.4110999980001,-113.909236772 75.3776819980001,-113.90252152 75.377054732,-113.871381905 75.3741451160001,-113.833890994 75.376918184,-113.744455081 75.3858180890001,-113.660281997 75.398609209,-113.577790994 75.4116541320001,-113.471117865 75.4277633120001,-113.381099912 75.4183180810001,-113.340566628 75.4133184290001,-113.573627772 75.3669279980001,-113.634252057 75.355665849,-113.651390977 75.3524822540001,-113.67129731 75.3507542230001,-113.728054772 75.3458279980001,-113.770393119 75.339596423,-113.782782004 75.337773188,-113.790689562 75.3332931560001,-113.813190772 75.3205459980001,-113.931381772 75.1891459970001,-113.947319528 75.1465732570001,-113.970972997 75.083391143,-113.945826952 75.0587270570001,-113.920561743 75.054146255,-113.917499772 75.0535909970001,-113.894172772 75.0521999970001,-113.852177813 75.0520878250001,-113.690135822 75.0516540720001,-113.610817872 75.0627632790001,-113.343890968 75.0722180660001,-113.298890876 75.0730450240001,-113.26337428 75.075487471,-113.254463772 75.076099997,-113.190186075 75.080658499,-113.190186044 75.0806585010001,-112.956673024 75.097218098,-112.894173027 75.1033181120001,-112.806954966 75.115818044,-112.699999869 75.13831809,-112.693308933 75.174845083,-112.693308771 75.174845997,-112.724846719 75.1929818340001,-112.728672747 75.1951821060001,-112.715972771 75.253190998,-112.672499771 75.278181998,-112.651672771 75.275272998,-112.648271212 75.2738871320001,-112.612781976 75.259427036,-112.592500371 75.2374186270001,-112.630754771 75.213809998,-112.630754751 75.2138093240001,-112.630754955 75.213809198,-112.630146094 75.193591209,-112.630145774 75.1935910990001,-112.630145771 75.1935909970001,-112.627212193 75.1925815000001,-112.600690913 75.1834541360001,-112.561108883 75.1783180410001,-112.482283192 75.1797069690001,-112.466663771 75.1799819970001,-112.46148419 75.181820873,-112.436726972 75.1906090960001,-112.436727925 75.1906099430001,-112.436727771 75.1906099970001,-112.459926844 75.211236173,-112.43666394 75.2305450090001,-112.403199862 75.2409539920001,-112.339446101 75.223600096,-112.339446054 75.223600075,-112.310050193 75.2081580670001,-112.310050135 75.208158037,-112.295282058 75.200400148,-112.363472994 75.1710911640001,-112.374215394 75.1684150880001,-112.411972771 75.1590099970001,-112.458748637 75.1526261720001,-112.463335827 75.1520002060001,-112.463335762 75.152000135,-112.463336771 75.1519999970001,-112.452782648 75.1405095390001,-112.443881932 75.1308181300001,-112.419446002 75.1244270970001,-112.390555091 75.123027151,-112.248664483 75.1244826050001,-112.228336771 75.1246909970001,-111.95805477 75.134990997,-111.929404546 75.140301241,-111.787217987 75.166654119,-111.700554975 75.14846321,-111.586672906 75.143463237,-111.563869054 75.145788999,-111.56081877 75.1460999970001,-111.558129196 75.1465875440001,-111.475008857 75.1616539790001,-111.403680237 75.1782923580001,-111.39168177 75.1810909970001,-111.33416377 75.1974819970001,-111.318124698 75.204041535,-111.277790889 75.220536011,-111.257901101 75.2426010720001,-111.25268177 75.248390998,-111.250059674 75.2502834800001,-111.230826917 75.264163314,-111.095821511 75.2696546180001,-111.06028177 75.2710999980001,-111.043571728 75.266502948,-110.916109839 75.2314364270001,-110.99269612 75.190562636,-111.029164026 75.1711002160001,-111.080104702 75.15448366,-111.28971877 75.0861099970001,-111.54333622 75.0131911550001,-111.589717884 75.0063822400001,-111.626663972 75.003873201,-111.645573513 75.00033003,-111.71860877 74.986645997,-111.75889977 74.9816549970001,-111.830785864 74.985808095,-111.840563939 74.9863731280001,-111.84360669 74.9866114530001,-111.86528177 74.988309997,-111.894127234 74.9940348150001,-111.898899974 74.9949821810001,-111.935272908 74.998873228,-111.962217877 75.0013911510001,-112.015008947 75.002491192,-112.084985909 75.0016787700001,-112.374445771 74.9983189970001,-112.453054771 74.996936997,-112.499999771 74.996009997,-112.524172771 74.9955279970001,-112.572245771 74.9927549970001,-112.845281771 74.9769279970001,-112.867490771 74.9755369970001,-112.911118771 74.9708279970001,-113.007508771 74.9541639970001,-113.117884041 74.9329908670001,-113.120535878 74.932482184,-113.120536212 74.932482104,-113.120536772 74.9324819970001,-113.124514179 74.9315333920001,-113.151946055 74.9249911100001,-113.222690994 74.8964731930001,-113.253345961 74.8736001520001,-113.282782032 74.8486001200001,-113.300208599 74.8478500740001,-113.418608772 74.842754997,-113.556954772 74.839154997,-113.710008772 74.8297099970001,-113.731663772 74.8272099970001,-114.010272772 74.790545997,-114.101672772 74.776654997,-114.214445773 74.755554997,-114.400972773 74.7062459970001,-114.417017741 74.6984436100001,-114.42415501 74.6949732460001,-114.434374771 74.677340052,-114.441863773 74.664418997,-114.441863562 74.664418878,-114.44186396 74.664418191,-114.396955064 74.6391631810001,-114.37470899 74.629154016,-114.348617969 74.6188632180001,-114.298335938 74.602763258,-114.144100605 74.556837251,-114.121108772 74.5499909970001,-114.115564717 74.548409926,-114.053881922 74.5308181980001,-113.951762636 74.506047537,-113.941672772 74.503599997,-113.929241062 74.5006137560001,-113.842217911 74.479709208,-113.731164926 74.4541093660001,-113.696381772 74.4460909970001,-113.640836772 74.4374819970001,-113.599584451 74.432954743,-113.471691019 74.4189181140001,-113.437977047 74.4156388220001,-113.428327772 74.4146999970001,-113.423591952 74.4144056470001,-113.406108997 74.413318164,-113.257235835 74.4052541030001,-113.008899992 74.3980361110001,-112.930664432 74.3975564960001,-112.919999771 74.397490997,-112.911985991 74.397597374,-112.856945978 74.39832713,-112.770785205 74.400861009,-112.753063771 74.401381997,-112.717036431 74.4027550490001,-112.541946009 74.4094271170001,-112.438317857 74.4144270900001,-112.380729825 74.4179649650001,-112.370536771 74.4185909970001,-112.359923668 74.419847615,-112.293064001 74.4277632010001,-112.08721787 74.452209189,-112.00874642 74.4648982190001,-111.98416377 74.4688729970001,-111.974237222 74.4703008800001,-111.945546103 74.4744271000001,-111.823899878 74.48331812,-111.700290945 74.4913632380001,-111.677226965 74.493318066,-111.648066309 74.500097139,-111.64249977 74.501390997,-111.55888177 74.5274819970001,-111.524042807 74.536453518,-111.430555098 74.560527183,-111.409155093 74.5627633070001,-111.387217976 74.5630360540001,-111.280563958 74.5677632800001,-111.070038505 74.6054526280001,-110.98110877 74.621372997),(-121.518626879 74.548873153,-121.564164083 74.551091172,-121.571997929 74.550996888,-121.610281779 74.5505369970001,-121.648134042 74.548777208,-121.651946079 74.5486000700001,-121.659591765 74.5480826830001,-121.72999978 74.543318997,-121.760036954 74.540354112,-121.766663991 74.5397001650001,-121.79952062 74.535615824,-121.93859978 74.518327997,-122.06609978 74.4980279970001,-122.11860878 74.4919279970001,-122.298390157 74.474822074,-122.337508982 74.471100155,-122.438046055 74.4650001410001,-122.689990978 74.4538731650001,-123.022508957 74.4447001770001,-123.051488282 74.444437119,-123.205836781 74.443036997,-123.418872781 74.4283189970001,-123.574445781 74.424145997,-123.627589382 74.4218397810001,-123.638345993 74.4213731730001,-123.645002229 74.420846221,-123.676936781 74.418318997,-123.856945782 74.399427997,-123.887227818 74.3970219270001,-123.895282004 74.3963821930001,-123.939330658 74.3956349330001,-124.108608782 74.392763997,-124.404718782 74.3691369970001,-124.697218782 74.3472189970001,-124.755572782 74.342754997,-124.770997252 74.3348727480001,-124.777846119 74.3313731580001,-124.770047486 74.325917303,-124.686936782 74.2677729970001,-124.680286775 74.2669928450001,-124.660826871 74.2647092000001,-124.609173058 74.267354025,-124.434155063 74.1344270990001,-124.426663989 74.109709202,-124.41166407 74.0563632490001,-124.368608916 74.0144361310001,-124.217499965 73.8727541390001,-124.199522303 73.8650895160001,-124.198608782 73.8646999960001,-124.196207838 73.863987717,-124.16306403 73.8541540260001,-124.13417295 73.8483270940001,-124.076108992 73.8402632,-124.020000029 73.8383180960001,-123.980564013 73.8408180820001,-123.961383431 73.8412972530001,-123.958345782 73.8413729960001,-123.955928706 73.8412819500001,-123.93639088 73.8405450000001,-123.848608778 73.824223713,-123.843054907 73.823191019,-123.804718163 73.796936326,-123.774718781 73.764436996,-123.824430661 73.710531212,-123.833890933 73.7002731790001,-123.83973205 73.6993269230001,-123.861390782 73.6958189960001,-123.945545782 73.6816549960001,-124.068054782 73.6512369960001,-124.069247182 73.6460271620001,-124.075146079 73.6202539990001,-124.042093358 73.5863034010001,-124.040408986 73.5845732060001,-124.070008978 73.5461001400001,-124.093665632 73.530640195,-124.160554782 73.4869279960001,-124.181518782 73.4826279960001,-124.210845375 73.4825200700001,-124.218746018 73.4824912180001,-124.25222686 73.483600144,-124.256179919 73.4833093350001,-124.299436782 73.4801279960001,-124.405563782 73.434145996,-124.438127782 73.4176279960001,-124.498081925 73.3393953280001,-124.508054951 73.3263821260001,-124.529579066 73.300618183,-124.568745782 73.253736996,-124.586877379 73.2380185700001,-124.592781911 73.232900101,-124.606613971 73.2233449710001,-124.713618782 73.149427996,-124.781663942 73.138158086,-124.789864092 73.136800072,-124.814506925 73.117109514,-124.862872782 73.078463996,-124.862872406 73.0784636610001,-124.862872983 73.0784631990001,-124.831620465 73.05072548,-124.828754782 73.0481819950001,-124.769727782 73.0213819950001,-124.751712083 73.015425894,-124.728535886 73.0077631870001,-124.632779779 73.0020688870001,-124.621381782 73.0013909950001,-124.610213597 72.9990057300001,-124.495136615 72.9744273320001,-124.487105415 72.942495627,-124.482909105 72.9258099200001,-124.599027782 72.8986099950001,-124.636672782 72.8927639950001,-124.669707034 72.889173435,-124.678746039 72.888191147,-124.727490997 72.888600184,-124.733834431 72.888958136,-124.766954782 72.8908279950001,-124.799673459 72.8877153160001,-124.801935877 72.8875001430001,-124.803255597 72.8873063450001,-124.886254782 72.875118995,-124.939691607 72.8613795840001,-124.959163952 72.8563732750001,-125.026108872 72.8210911620001,-125.026108748 72.8210910130001,-125.026108783 72.8210909950001,-124.971936783 72.7558279950001,-124.944672799 72.709482178,-124.940554953 72.702482203,-124.966163543 72.660596841,-124.999999783 72.6052549950001,-125.014597453 72.5848742260001,-125.028064035 72.566073266,-125.063625287 72.552683872,-125.139445783 72.524136995,-125.162730095 72.516587863,-125.171946108 72.513600205,-125.240517921 72.497983391,-125.252818783 72.4951819950001,-125.257554073 72.494193049,-125.287772947 72.4878821790001,-125.312452042 72.474163387,-125.434436783 72.4063549950001,-125.460920267 72.3624367100001,-125.467772977 72.351073258,-125.514446096 72.291073248,-125.539386731 72.2727790230001,-125.573899783 72.247463995,-125.672056489 72.184620963,-125.714446018 72.1574821390001,-125.727752423 72.1239317440001,-125.733890783 72.108454995,-125.733890685 72.1084549030001,-125.733891027 72.1084540410001,-125.717427804 72.0930368250001,-125.720585082 72.0667399550001,-125.721246044 72.061236464,-125.737354783 72.0284459950001,-125.759736783 72.0010999950001,-125.783327783 71.984290994,-125.809999783 71.975536994,-125.849727783 71.967209994,-125.880545783 71.9633189940001,-125.895639159 71.96269441,-125.900554946 71.962491243,-125.919875208 71.964792297,-125.981763784 71.9721639940001,-125.981759616 71.9721627640001,-125.981764021 71.972163289,-125.952636039 71.9635648280001,-125.935818783 71.9585999940001,-125.905895885 71.9571776170001,-125.801390996 71.952209162,-125.76139993 71.950818102,-125.721654957 71.952209162,-125.691373974 71.9545980090001,-125.686390783 71.9549909940001,-125.678127585 71.956183428,-125.626664022 71.9636090540001,-125.595924144 71.966006571,-125.591108783 71.9663819940001,-125.573986932 71.967350955,-125.478335851 71.9727632650001,-125.416399957 71.974136054,-125.364222588 71.9745800630001,-125.352218783 71.974681994,-125.328514825 71.9748498820001,-125.232773077 71.975527114,-125.039611793 71.972742678,-125.022781783 71.972499994,-125.020432332 71.97231271,-124.987781949 71.969709068,-124.943292011 71.95140962,-124.965611558 71.9446053450001,-124.97487298 71.941782242,-124.988449579 71.944334149,-125.048045783 71.9555369940001,-125.245481783 71.9480189940001,-125.245478758 71.9480181690001,-125.245482054 71.948018043,-125.169736102 71.927340057,-125.159999783 71.9246819940001,-125.149141825 71.9226509160001,-125.07694612 71.909145123,-124.866655066 71.8505360060001,-124.831946107 71.8408181950001,-124.700290883 71.806363209,-124.678881994 71.800809192,-124.652790973 71.795254002,-124.609735819 71.78803601,-124.466901935 71.7676535400001,-124.458054782 71.7663909940001,-124.45446376 71.765819245,-124.384746091 71.754718112,-124.136946019 71.714427141,-124.113531963 71.710362758,-124.111390782 71.7099909940001,-124.108254487 71.709372429,-124.070554976 71.7019360940001,-124.033129815 71.6915124610001,-124.018627782 71.6874729940001,-124.000151191 71.680040052,-123.975826897 71.6702540090001,-123.948881928 71.6583270630001,-123.893199939 71.6283181740001,-123.843891046 71.583327135,-123.672772984 71.500818194,-123.637113889 71.474649432,-123.634172781 71.4724909940001,-123.613892395 71.45245744,-123.566964029 71.4061001730001,-123.513899876 71.3491540260001,-123.466399966 71.2855360510001,-123.448608873 71.2577632860001,-123.42999099 71.236927048,-123.395282032 71.2077632210001,-123.373491329 71.1913041820001,-123.370272781 71.1888729940001,-123.316963781 71.158599994,-123.307077306 71.1534292430001,-123.293064052 71.1461000740001,-123.283245322 71.1413089340001,-123.259454781 71.1296999940001,-123.251849562 71.1264275620001,-123.223326952 71.1141541260001,-123.162781951 71.092754122,-123.132464701 71.085421603,-123.126099781 71.0838819940001,-123.085554781 71.079572994,-123.029332397 71.0800709040001,-122.849445958 71.0816631870001,-122.79610889 71.084154121,-122.775554955 71.0876270790001,-122.748964051 71.098455207,-122.74249078 71.1010909940001,-122.732755237 71.1074803810001,-122.70694606 71.1244181020001,-122.678326889 71.143327173,-122.654026914 71.1562361420001,-122.617592303 71.170335112,-122.60790878 71.1740819940001,-122.583328906 71.1797679630001,-122.505573015 71.1977540550001,-122.430281898 71.2141540870001,-122.355272917 71.2277632810001,-122.300918293 71.235982656,-122.29833678 71.2363729940001,-122.25446378 71.2424819940001,-122.24451743 71.2438044730001,-122.210564052 71.248318054,-122.144173009 71.260818154,-122.121655026 71.267209188,-122.075008896 71.2869271120001,-121.965290957 71.3427541080001,-121.922765482 71.3668066770001,-121.90194578 71.3785819940001,-121.889610926 71.3854616460001,-121.846117896 71.4097181380001,-121.823498991 71.4210724770001,-121.82069078 71.4224819940001,-121.814100214 71.4255406080001,-121.776399907 71.4430360360001,-121.749726847 71.4518001540001,-121.703608945 71.4608180760001,-121.676273144 71.4623451030001,-121.668608779 71.462772994,-121.660721415 71.462312845,-121.630282044 71.460536108,-121.596390992 71.456936081,-121.569735869 71.4516631930001,-121.542145997 71.437754096,-121.536809087 71.4158189070001,-121.590272779 71.400745994,-121.590270957 71.400745731,-121.590273041 71.4007451430001,-121.438755053 71.3788631790001,-121.394445966 71.3802632920001,-121.332500013 71.386936125,-121.133326882 71.4094271180001,-120.921946013 71.4355270240001,-120.877208945 71.441363175,-120.818481167 71.4507305550001,-120.807499779 71.452481994,-120.803600835 71.453160788,-120.78029101 71.4572180480001,-120.636399884 71.4855361410001,-120.608536687 71.4919990940001,-120.601672779 71.493590994,-120.591769717 71.4975072390001,-120.543326896 71.5166631760001,-120.49665495 71.54414509,-120.473055031 71.5655360420001,-120.436108943 71.611927027,-120.378808911 71.690945072,-120.378809197 71.690945416,-120.378808778 71.6909459940001,-120.404308778 71.7216549940001,-120.422008778 71.7423459940001,-120.418890778 71.770272994,-120.384091021 71.886027164,-120.384090778 71.8860279940001,-120.435554778 71.9101189940001,-120.450630997 71.924534163,-120.451108772 71.924991026,-120.446590958 71.9482450680001,-120.41831785 71.9694271000001,-120.383617944 71.9816541180001,-120.345961744 71.992773485,-120.338481778 71.994981995,-120.330607181 71.9992642130001,-120.305264081 72.013045016,-120.194155081 72.0783271340001,-120.175826876 72.0944361460001,-120.145135867 72.1468000740001,-120.192999014 72.199061455,-120.195781778 72.2020999950001,-120.195781863 72.2021000250001,-120.195782008 72.2021001840001,-120.19898904 72.203236544,-120.228363778 72.213645995,-120.259517735 72.238654158,-120.246099914 72.260554068,-120.182089384 72.267594559,-120.166663778 72.2692909950001,-120.160530903 72.2686467840001,-120.134990914 72.2659632450001,-120.134481254 72.2608018870001,-120.132727778 72.2430369950001,-120.132727045 72.2430368940001,-120.132726962 72.243036058,-119.987885084 72.2232064150001,-119.972499778 72.221099995,-119.957647068 72.2209467470001,-119.837782038 72.219709053,-119.808147218 72.2210642380001,-119.801390778 72.2213729950001,-119.790681546 72.223337508,-119.760555037 72.228863265,-119.678046097 72.2594270370001,-119.657499873 72.2672091310001,-119.626664024 72.27831817,-119.515555024 72.305818189,-119.429172974 72.3197180670001,-119.404446024 72.3255449980001,-119.330615282 72.351527569,-119.306590777 72.3599819950001,-119.306590991 72.359982217,-119.329372732 72.3849099450001,-119.312908936 72.432345029,-119.163190878 72.6227540420001,-119.142907815 72.6304300140001,-119.137508777 72.6324729950001,-119.133814755 72.6335879900001,-119.114435862 72.6394360410001,-118.821980763 72.719253936,-118.778608777 72.731090995,-118.774084015 72.7321248980001,-118.753064019 72.7369271310001,-118.714683862 72.742681744,-118.708618777 72.743590995,-118.699829095 72.7443622910001,-118.658054979 72.748027118,-118.595517202 72.7499572390001,-118.585281777 72.750272995,-118.542081777 72.7535999950001,-118.535253297 72.7551872970001,-118.490691003 72.765545128,-118.45562682 72.791445041,-118.389999871 72.8177632110001,-118.366099879 72.824436044,-118.31443584 72.836109186,-118.273617983 72.8444361030001,-118.21806407 72.854709132,-118.115281987 72.8708181440001,-118.016108985 72.8883180490001,-117.981102298 72.895186568,-117.975008776 72.8963819950001,-117.924999776 72.9088729950001,-117.891954776 72.9199819950001,-117.836672776 72.9385819950001,-117.805020898 72.948224377,-117.708055099 72.977763182,-117.514482672 73.0246549030001,-117.466108776 73.0363729950001,-117.426390776 73.0449819950001,-117.393890776 73.0485999950001,-117.350918193 73.0549744840001,-117.16915505 73.081936157,-117.026400007 73.1069360220001,-116.953289215 73.123772493,-116.948036775 73.124981996,-116.948035953 73.1249822510001,-116.948035918 73.1249822600001,-116.809435951 73.168045125,-116.718453892 73.1960519730001,-116.693045775 73.203872996,-116.462781775 73.256099996,-116.455331922 73.2571953300001,-116.424999961 73.261654052,-116.37249991 73.2655450990001,-116.335564048 73.267209075,-116.267499977 73.273036006,-115.862208973 73.334427077,-115.837361022 73.339449808,-115.834727774 73.3399819960001,-115.823139717 73.342455821,-115.699435933 73.3688632880001,-115.455408892 73.4248450140001,-115.319026945 73.4770632650001,-115.325483709 73.4943512890001,-115.331945774 73.5116549960001,-115.348890774 73.5319369960001,-115.366945774 73.545818996,-115.402218774 73.5683279960001,-115.603881774 73.6522099960001,-115.817499774 73.6983189960001,-115.884424223 73.715958571,-115.894446108 73.7186002110001,-115.914435941 73.726382137,-115.935082039 73.7361034720001,-115.976390774 73.7555549960001,-116.005572774 73.7733189960001,-116.055827774 73.792754996,-116.208054774 73.8383189960001,-116.298890774 73.8616459960001,-116.317883155 73.8654208630001,-116.321254966 73.8660911970001,-116.343054955 73.873591156,-116.352151912 73.877304172,-116.441099775 73.913609996,-116.528063775 73.9497099960001,-116.622499775 73.990818996,-116.692143988 74.0208605500001,-116.735817863 74.039700193,-116.754109816 74.04714197,-116.784999775 74.059709996,-116.813296672 74.0680553510001,-116.828335802 74.0724912050001,-116.963414803 74.111616644,-117.157227775 74.167754997,-117.289436775 74.1997099970001,-117.376099775 74.218318997,-117.421702228 74.22660081,-117.430408915 74.228182207,-117.512508986 74.238591189,-117.628326939 74.2449822230001,-117.703661511 74.249453008,-117.918608776 74.2622099970001,-117.973618776 74.2691459970001,-118.019228037 74.2739830790001,-118.031391039 74.2752732480001,-118.101935818 74.2763821730001,-118.10482791 74.276302839,-118.122499776 74.275818997,-118.179990776 74.272218997,-118.469600831 74.243558937,-118.505835929 74.239973198,-118.515985377 74.2388065050001,-118.607227777 74.228318997,-118.661671969 74.2215101040001,-118.673890909 74.219982191,-118.719999926 74.212773251,-118.752574432 74.2063409410001,-118.843890777 74.188309997,-118.872826591 74.177394361,-118.88290892 74.1735912060001,-118.882908774 74.1735909990001,-118.867218777 74.151381997,-118.842490777 74.1413819970001,-118.835566523 74.1397988910001,-118.815135868 74.1351271560001,-118.792155081 74.1197633240001,-118.794579574 74.1143966920001,-118.804163957 74.0931821,-118.843576783 74.0718228920001,-118.972299777 74.0020639960001,-119.131106782 73.9899712330001,-119.167500014 73.9872001430001,-119.169387953 73.987559735,-119.187208411 73.9909549270001,-119.149726859 74.059145035,-119.119717969 74.068053993,-119.09486395 74.0712451510001,-119.082760767 74.0792875170001,-119.075845777 74.0838819960001,-119.073797414 74.0903751540001,-119.067917975 74.1090091450001,-119.079268616 74.1326476350001,-119.094999777 74.165409997,-119.114429067 74.192008667,-119.118326909 74.197345017,-119.118327157 74.1973451470001,-119.118327777 74.1973459970001,-119.13854106 74.2079548820001,-119.143199871 74.210400167,-119.148349135 74.2113009720001,-119.174999777 74.2159639970001,-119.257236777 74.218318997,-119.457508777 74.2215099970001,-119.491119966 74.2155873570001,-119.497291025 74.214500091,-119.650282048 74.1185911690001,-119.676367318 74.1005359270001,-119.737781778 74.0580279960001,-119.737781595 74.058027275,-119.737781909 74.0580270570001,-119.731473018 74.0331001150001,-119.773608846 74.0320731640001,-119.783891665 74.037265845,-119.82721813 74.059145669,-119.829927834 74.0714431900001,-119.831672669 74.0793635000001,-119.812360769 74.0990331900001,-119.798745778 74.1128999960001,-119.778665029 74.1213415460001,-119.723055073 74.1447180640001,-119.701319998 74.1531786850001,-119.696663778 74.1549909970001,-119.691844829 74.1571503900001,-119.672499959 74.1658181650001,-119.64555499 74.187345071,-119.609163952 74.2333181340001,-119.609164458 74.233318136,-119.609163778 74.2333189970001,-119.704428466 74.233774576,-119.725008895 74.2338731840001,-119.737962469 74.233973656,-119.795272778 74.234418997,-119.84330846 74.2363194490001,-119.854999976 74.236782207,-120.149991001 74.272491126,-120.217217888 74.2824821870001,-120.481664084 74.3299911500001,-120.705835905 74.373600181,-120.769610997 74.386848743,-120.906390779 74.4152639970001,-120.966901059 74.4388760580001,-120.980754954 74.4442822560001,-121.003469322 74.4668054840001,-121.006672784 74.469981992,-121.006672972 74.4699821770001,-121.012140862 74.4717651700001,-121.057772779 74.486645997,-121.081141608 74.4928599690001,-121.08389092 74.4935911480001,-121.090813604 74.4953608980001,-121.136127779 74.5069459970001,-121.253618779 74.525818997,-121.310818779 74.5316639970001,-121.46493449 74.5444265690001,-121.518626879 74.548873153),(-98.810272977 74.2983271690001,-98.746946022 74.29803615,-98.6572268 74.299427043,-98.572565706 74.3044651640001,-98.568618758 74.3046999970001,-98.568618122 74.3047000820001,-98.5686178459999 74.3047000980001,-98.525008983 74.3105270300001,-98.513346067 74.3162361110001,-98.513346554 74.3162366070001,-98.513345758 74.316236997,-98.521663758 74.3247099970001,-98.5338654779999 74.3284400420001,-98.5352820109999 74.328873172,-98.573626871 74.3349911230001,-98.585826899 74.3385911500001,-98.591955447 74.3392561030001,-98.616654758 74.3419369970001,-98.6280595379999 74.3423755490001,-98.630826823 74.342482197,-98.641834471 74.341749088,-98.718336758 74.336654997,-98.7524997579999 74.334154997,-98.835446416 74.313688724,-98.859790914 74.307682212,-98.8597904539999 74.307682072,-98.859790758 74.307681997,-98.8557705759999 74.3064611680001,-98.831682034 74.2991450760001,-98.810272977 74.2983271690001),(-93.7308367529999 74.1541639970001,-93.759172754 74.1355459960001,-93.759172737 74.1355452400001,-93.759172985 74.1355450770001,-93.758346049 74.0969370710001,-93.908054754 74.1347189960001,-93.943186788 74.1380512210001,-93.95194603 74.1388822480001,-93.992490972 74.1386001130001,-94.09306392 74.136382262,-94.114567339 74.135678392,-94.177781754 74.1336099960001,-94.217499754 74.1316549960001,-94.378813599 74.121653295,-94.399173037 74.1203910990001,-94.403226709 74.117836895,-94.424509754 74.1044279960001,-94.4602817539999 74.0944369960001,-94.588054284 74.091070604,-94.6183269479999 74.090273245,-94.747154956 74.0904732370001,-94.757502766 74.0862919040001,-94.796809754 74.0704099960001,-94.843417616 74.060353988,-94.8502818699999 74.058873126,-94.906954935 74.04748212,-95.04083589 74.0263821870001,-95.183464031 74.0088821150001,-95.186803847 74.0093409520001,-95.223890755 74.014436996,-95.240595908 74.0111837810001,-95.245273023 74.0102731750001,-95.2556721459999 74.004500652,-95.298336755 73.980818996,-95.324027755 73.9512279960001,-95.32839697 73.917339079,-95.3287549349999 73.9145632400001,-95.310764018 73.885954128,-95.263063948 73.862763246,-95.145145993 73.8236091970001,-95.1154819339999 73.838045014,-95.0842791319999 73.8496526100001,-95.0766727549999 73.8524819960001,-95.071220194 73.8530187210001,-95.0455460159999 73.8555450860001,-95.014726932 73.854009186,-94.975583337 73.8393276350001,-94.9998695789999 73.8337911400001,-95.005572888 73.832491164,-95.011098623 73.831948202,-95.036663755 73.8294369960001,-95.063332177 73.8242378160001,-95.0708459529999 73.8227731860001,-95.077901237 73.8197704230001,-95.112009755 73.805254996,-95.112008762 73.8052540940001,-95.112008977 73.8052540020001,-95.082364029 73.7783180860001,-94.9348547279999 73.7153649040001,-94.8747187549999 73.6896999960001,-94.862228678 73.6878515340001,-94.814708905 73.6808181120001,-94.7773119399999 73.6800675380001,-94.773054754 73.679981996,-94.7675355649999 73.680171349,-94.7327729519999 73.6813632710001,-94.6763909059999 73.6766539820001,-94.64375496 73.668318179,-94.618610307 73.6529099090001,-94.643199754 73.6490189960001,-94.7824260039999 73.644440188,-94.820408935 73.6431912450001,-94.826385721 73.6434179620001,-94.845554755 73.6441459960001,-94.890563755 73.6491549960001,-94.956663755 73.6591459960001,-95.0241727549999 73.6716459960001,-95.076399755 73.6833189960001,-95.106945755 73.6919279960001,-95.153409755 73.7084549960001,-95.236936755 73.752209996,-95.275009755 73.7666549960001,-95.293982258 73.7700667920001,-95.299726896 73.7711000940001,-95.315932661 73.771309677,-95.4283277549999 73.772763996,-95.450036287 73.7711591720001,-95.450835846 73.7711000940001,-95.450836123 73.771100043,-95.450836755 73.771099996,-95.652363755 73.7340099960001,-95.677499755 73.7176189960001,-95.6774997369999 73.717618321,-95.677499943 73.7176181870001,-95.6760909449999 73.6650633190001,-95.656064064 73.631863271,-95.6125639969999 73.610982107,-95.668364004 73.5817911220001,-95.68163265 73.570184506,-95.700290755 73.5538639960001,-95.700290686 73.5538635730001,-95.700291009 73.5538632910001,-95.682781883 73.4472091050001,-95.669161198 73.430999516,-95.653609755 73.412490996,-95.623609755 73.3610999960001,-95.6136187549999 73.3427549960001,-95.648754755 73.3280459960001,-95.648754171 73.328045461,-95.648755044 73.328045096,-95.602823894 73.286003512,-95.600536755 73.283909996,-95.5750097549999 73.164990996,-95.582509755 73.1277639960001,-95.683318755 73.0758189960001,-95.661987164 73.0329114080001,-95.655564 73.0199912100001,-95.645846021 72.912763199,-95.652167262 72.8845665840001,-95.653881755 72.876918995,-95.673609755 72.846790995,-95.670983547 72.817510865,-95.6703459889999 72.810400212,-95.596390948 72.6988632320001,-95.584415196 72.6936140230001,-95.5761097549999 72.6899729950001,-95.564227822 72.687650025,-95.533890952 72.681718049,-95.5049633419999 72.686285824,-95.499172755 72.6871999950001,-95.467090755 72.6842909950001,-95.458530766 72.6807943730001,-95.359999988 72.6405451350001,-95.314573528 72.603727613,-95.342090755 72.590127995,-95.342090443 72.5901273640001,-95.342090878 72.5901271490001,-95.318745937 72.5429001530001,-95.3187458209999 72.5429001300001,-95.318745755 72.5428999950001,-95.314517804 72.5420275550001,-95.283064007 72.5355361480001,-95.226390942 72.5316632060001,-95.200290869 72.524427109,-95.143958205 72.470450101,-95.133327755 72.460263995,-95.171109755 72.283327995,-95.191372755 72.245254995,-95.2117367549999 72.2051909950001,-95.209792968 72.1891896910001,-95.209163952 72.1840091870001,-95.1649998729999 72.137491131,-95.1649997549999 72.1374909950001,-95.130554755 72.1360999950001,-95.027499755 72.1449909950001,-95.019376564 72.146252363,-94.9613999219999 72.155254062,-94.854149174 72.1581901330001,-94.8391727549999 72.158599995,-94.8350841709999 72.1586675130001,-94.806108905 72.1591451090001,-94.756532761 72.1541546080001,-94.8680547549999 72.145536995,-94.899990755 72.144436995,-94.925008261 72.14373262,-94.9297178369999 72.143600199,-94.936220813 72.1430789940001,-94.981672755 72.139436995,-95.039445755 72.1313639950001,-95.2036097549999 72.1010999950001,-95.209199425 72.0130133860001,-95.210555013 71.991654064,-95.1758269439999 71.966936166,-95.161117877 71.964709095,-95.124886939 71.9659870130001,-95.121936755 71.9660909940001,-95.121935832 71.9660911,-94.902217819 71.9891540770001,-94.838017405 71.9961291600001,-94.825563754 71.997481995,-94.780290754 72.0060999950001,-94.743881754 72.0113819950001,-94.6883763009999 72.01363438,-94.449717925 72.0233180440001,-94.4180640019999 72.022763162,-94.3629089 72.0187450450001,-94.191717915 71.9943181680001,-94.105837258 71.9819728350001,-94.072636754 71.977199994,-94.072636341 71.9772002080001,-94.0726358809999 71.9772001420001,-94.0297269069999 71.9994180530001,-94.0608179 72.0352632620001,-94.060818135 72.0352632810001,-94.060818754 72.035263995,-94.0913817539999 72.037763995,-94.1357547539999 72.0323459950001,-94.192126511 72.038563857,-94.181615617 72.0538286300001,-94.179581754 72.0567819950001,-94.174206251 72.0567987050001,-94.1355088719999 72.056918076,-94.0931444779999 72.063259809,-94.086254754 72.0642909950001,-94.0533997539999 72.0874909950001,-94.0513348219999 72.0946868880001,-94.044017884 72.1201821670001,-94.0384729199999 72.1398539910001,-94.0222657 72.1558799700001,-94.014172754 72.1638819950001,-93.983203579 72.1878656160001,-93.919299858 72.2373541330001,-93.823617919 72.3045632500001,-93.794299865 72.3202632260001,-93.757917879 72.3284632420001,-93.699917233 72.330661003,-93.688327753 72.331099995,-93.666399753 72.333599995,-93.6366637529999 72.3395729950001,-93.4655547529999 72.453872995,-93.498890753 72.5219279950001,-93.568618753 72.5708279950001,-93.576961435 72.5749973590001,-93.5897178929999 72.5813732570001,-93.622973358 72.5957121600001,-93.680545753 72.6205369950001,-93.7636187539999 72.6240099950001,-93.787011738 72.630022839,-93.793890996 72.6317912430001,-93.796413808 72.6333129000001,-93.82014566 72.6476279390001,-93.798335919 72.7022091200001,-93.798336953 72.7022094970001,-93.798336754 72.702209995,-93.8394457539999 72.7172099950001,-93.886672754 72.704709995,-93.993199754 72.7040189950001,-94.0833503269999 72.7149640090001,-94.09847293 72.7168001700001,-94.107057756 72.7185539700001,-94.160281754 72.729427995,-94.222607522 72.7339761740001,-94.2363909439999 72.7349821940001,-94.26417293 72.7263731410001,-94.314235859 72.717000162,-94.333608952 72.7349821940001,-94.3247179319999 72.7569360750001,-94.3067999369999 72.7666540530001,-94.2544460669999 72.7740180580001,-94.176517836 72.7684632030001,-94.1324908839999 72.7647091170001,-94.099163934 72.764163287,-94.050384551 72.7659579520001,-94.0386097539999 72.7663909950001,-94.025490206 72.7673534200001,-93.9327729299999 72.774154013,-93.792552471 72.7801677560001,-93.764445754 72.7813729950001,-93.7261097529999 72.781099995,-93.719801423 72.7809098660001,-93.67999099 72.779709203,-93.579999914 72.7780450600001,-93.4122178489999 72.7922091350001,-93.391954933 72.79414502,-93.357908983 72.800118131,-93.3377820219999 72.8077540450001,-93.2542495549999 72.7907884430001,-93.248890753 72.789699995,-93.2363753609999 72.7882203410001,-93.0774999559999 72.7694360070001,-92.9161215509999 72.7521744620001,-92.8983457529999 72.750272995,-92.7452727529999 72.7399729950001,-92.6889848339999 72.735012704,-92.524717966 72.720536151,-92.4311088709999 72.710536038,-92.393335824 72.7072181450001,-92.3352819249999 72.7044360240001,-92.318313339 72.704887967,-92.3144367519999 72.7049909950001,-92.274718752 72.7074909950001,-92.270608682 72.7080283190001,-92.232226928 72.7130450770001,-92.166399986 72.725536124,-92.127490856 72.7344180920001,-92.095835928 72.743045082,-92.0707946159999 72.750999823,-92.066099752 72.7524909950001,-91.972417731 72.7930206400001,-91.849726822 72.8461000790001,-91.814026787 72.8740731720001,-91.8040268409999 72.894573128,-91.770846072 72.9130361140001,-91.6445178819999 73.014218091,-91.569454922 73.0633090540001,-91.3677640349999 73.2008181990001,-91.257645944 73.2665180710001,-91.244742429 73.2756399360001,-91.238599751 73.2799819960001,-91.186390751 73.3402729960001,-91.184015282 73.3421386210001,-91.175973014 73.348454024,-91.152217862 73.3611001370001,-91.089173042 73.3841540590001,-90.92631786 73.489073191,-90.849726878 73.540263318,-90.7247178329999 73.5830541070001,-90.581390976 73.657763184,-90.474717847 73.721645021,-90.359999934 73.800809079,-90.279172907 73.8384540500001,-90.257926794 73.8441540800001,-90.23611792 73.8570632170001,-90.205599811 73.8894538500001,-90.1975727499999 73.8979729960001,-90.1975730519999 73.897973113,-90.1975729 73.897973274,-90.225008881 73.908600187,-90.251371439 73.9123251130001,-90.33354575 73.9239369960001,-90.35144575 73.9138549960001,-90.396321953 73.914541736,-90.406664001 73.9147002010001,-90.411795963 73.9154407950001,-90.44137275 73.9197099960001,-90.633054751 73.9483189960001,-90.656119508 73.953073187,-90.659999985 73.953873193,-90.66997358 73.9557802040001,-90.735545751 73.9683189960001,-91.055972751 74.005136996,-91.097499751 74.008327996,-91.1323561839999 74.009691908,-91.1399998969999 74.009991208,-91.210073773 74.012596101,-91.528336751 74.024427996,-91.570845751 74.0258189960001,-91.799230519 74.0198884770001,-91.8383358149999 74.0188731760001,-91.843230327 74.0186292810001,-91.8772097519999 74.0169369960001,-91.917469948 74.0134693480001,-91.92555505 74.012773162,-92.1073550099999 73.982973149,-92.119399973 73.9547001510001,-92.157545951 73.9529167650001,-92.316972172 73.9454640230001,-92.286526908 73.9723541160001,-92.2746497159999 73.9858363170001,-92.273199752 73.987481996,-92.274600154 73.9895164310001,-92.286108986 74.006236115,-92.286109276 74.0062363050001,-92.286109752 74.006236996,-92.3041727519999 74.0180459960001,-92.331038496 74.029873029,-92.334446081 74.0313732760001,-92.339648612 74.0328769710001,-92.362781752 74.0395639960001,-92.6380637519999 74.103045996,-92.769664586 74.121279121,-92.796390871 74.1249822030001,-92.829928805 74.1288012540001,-92.9794457529999 74.1458279970001,-93.0232012659999 74.149512643,-93.0288819 74.14999112,-93.243881908 74.1649912060001,-93.327499942 74.1699821270001,-93.341644507 74.1702845170001,-93.431672753 74.172209997,-93.5150187529999 74.1730369970001,-93.5836187529999 74.1708189970001,-93.641109753 74.167754997,-93.681492889 74.1632180700001,-93.690555038 74.1622002,-93.699632825 74.1603889800001,-93.7308367529999 74.1541639970001),(-90.28395495 74.0265090890001,-90.265017884 74.0147092140001,-90.254003473 74.01118059,-90.25029075 74.0099909960001,-90.24516298 74.009115185,-90.217772951 74.004436018,-90.1708762279999 74.0020221670001,-90.15861875 74.0013909960001,-90.05804575 73.992481996,-90.0077817499999 73.984981996,-90.0047982089999 73.985507602,-89.9888910029999 73.9883090690001,-89.928326891 74.0055539960001,-89.918608912 74.0105450840001,-89.9029178219999 74.0345731510001,-89.913496885 74.0464193700001,-89.91444575 74.047481996,-89.9144458929999 74.04748205,-89.914445956 74.04748212,-89.941372988 74.057482233,-89.971935921 74.0647002260001,-89.977753497 74.0652709440001,-89.99194575 74.066663996,-90.20611875 74.057754996,-90.2405547499999 74.0538639960001,-90.27375475 74.040954996,-90.28395475 74.0265099960001,-90.283954444 74.026509806,-90.28395495 74.0265090890001),(-86.401399747 73.8458279960001,-86.493054747 73.8444369960001,-86.596663747 73.845263996,-86.716663747 73.8408189960001,-87.049436747 73.8083189960001,-87.1836097469999 73.792754996,-87.410425072 73.7657734640001,-87.456663899 73.760273189,-87.473012777 73.7575817320001,-87.5394457479999 73.746645996,-87.693381847 73.719577744,-87.7399910029999 73.711382219,-87.7494414 73.709427142,-87.780290748 73.7030459960001,-87.8172277479999 73.6944279960001,-87.923327748 73.667754996,-87.9744457479999 73.6547099960001,-88.074718748 73.6277639960001,-88.232342898 73.5826706600001,-88.263064007 73.5738821260001,-88.2675243479999 73.5725539700001,-88.286390748 73.566936996,-88.409163749 73.5236099960001,-88.433318749 73.514163996,-88.468063749 73.4919279960001,-88.689718749 73.4146999960001,-88.856945749 73.3361099960001,-88.995418749 73.2809639960001,-89.032430807 73.259196585,-89.03958196 73.25499111,-89.069499595 73.2345156850001,-89.2283367489999 73.125809996,-89.308881749 73.0483279950001,-89.361390749 72.991654995,-89.361390663 72.9916542460001,-89.3613908839999 72.9916540070001,-89.360739681 72.986030735,-89.358336749 72.9652729950001,-89.3423688789999 72.9558700270001,-89.3333276339999 72.9505455450001,-89.3103602899999 72.8606438080001,-89.294155076 72.7972096240001,-89.330563749 72.7558279950001,-89.364718749 72.762209995,-89.446381749 72.7755459950001,-89.47944575 72.7797099950001,-89.555724778 72.784963776,-89.572090975 72.786091184,-89.5806997509999 72.7144279950001,-89.580699861 72.7144270850001,-89.574384289 72.7022626660001,-89.5711097499999 72.6959549950001,-89.571109408 72.695954919,-89.571108952 72.6959540410001,-89.5517261099999 72.6916509540001,-89.54916375 72.691081995,-89.543945907 72.691130168,-89.518617953 72.691363273,-89.4834079139999 72.6746631170001,-89.472082073 72.6692911490001,-89.499263103 72.6549585800001,-89.56666375 72.619418995,-89.601169152 72.6158955010001,-89.6061089299999 72.615391211,-89.650281895 72.6285912000001,-89.655262707 72.628739646,-89.6783277499999 72.6294279950001,-89.69999975 72.6252639950001,-89.73693675 72.616654995,-89.75389075 72.6055459950001,-89.771451731 72.5811311250001,-89.7866640089999 72.5599821370001,-89.7726459469999 72.523036049,-89.776254928 72.4962277650001,-89.792387103 72.4754336170001,-89.8050730159999 72.459082127,-89.816170862 72.457459757,-89.8663907499999 72.4501189950001,-89.8847081929999 72.446219538,-89.8905639019999 72.4449732050001,-89.89407665 72.4418302280001,-89.91041875 72.4272099950001,-89.95562775 72.311918995,-89.93943675 72.261936995,-89.928890071 72.2443563790001,-89.895764035 72.189136062,-89.802490887 72.1619270630001,-89.7674999609999 72.1587360720001,-89.7317999269999 72.1705361150001,-89.705835935 72.1747000570001,-89.705835808 72.174700075,-89.676663935 72.1769271490001,-89.608472962 72.178453996,-89.5789644449999 72.1668543000001,-89.5974997499999 72.148327995,-89.67360975 72.111927995,-89.69819975 72.1116459950001,-89.7248637499999 72.1225459950001,-89.75083675 72.123027995,-89.81220975 72.111927995,-89.931327174 72.0846777830001,-89.9627818769999 72.0774822380001,-89.9970819659999 72.0667911200001,-90.010794512 72.0367462180001,-90.0486187499999 71.9538729940001,-90.034372952 71.9142053350001,-90.026672934 71.892763196,-89.9573639829999 71.822345151,-89.893617932 71.78942707,-89.8329909559999 71.7616541370001,-89.8083368919999 71.7477546380001,-89.8175097499999 71.724699994,-89.89042775 71.6823459940001,-89.93277275 71.6677549940001,-89.96471875 71.6558189940001,-90.00243675 71.634709994,-90.01306375 71.600263994,-90.013063733 71.6002638420001,-90.013063909 71.6002632730001,-90.010555037 71.577773118,-89.9830639039999 71.446927083,-89.966664039 71.4141540090001,-89.9034819239999 71.353045073,-89.8233358419999 71.3269361150001,-89.7038908709999 71.3158091390001,-89.428608886 71.2944361240001,-89.325291663 71.2888930030001,-89.2991637489999 71.2874909940001,-89.281945814 71.286716094,-89.206663968 71.2833270840001,-89.08140503 71.277473743,-89.058045749 71.2763819940001,-89.025522332 71.2737772130001,-88.849990853 71.2597181130001,-88.706663996 71.2477541200001,-88.6071636519999 71.237426133,-88.583618749 71.2349819940001,-88.321672748 71.2285909940001,-88.284632145 71.2267552220001,-88.131099994 71.2191450080001,-88.047199209 71.230667758,-88.028890748 71.2331819940001,-87.980579254 71.2476795140001,-87.971935867 71.2502732190001,-87.905972748 71.267772994,-87.8280549519999 71.259782015,-87.8241730249999 71.2204097150001,-87.850418748 71.1940729940001,-87.8125673069999 71.172648886,-87.760281914 71.1430540900001,-87.7143736049999 71.1272053740001,-87.707090748 71.124690994,-87.685559423 71.119973497,-87.572781925 71.095263161,-87.472781964 71.0741540080001,-87.399026915 71.0465091500001,-87.279172908 71.02692718,-87.175417855 71.0148540540001,-87.142134335 71.011994325,-87.135009747 71.011381994,-87.1173385499999 71.0094304030001,-87.03944595 71.0008271070001,-87.014067287 70.9947946130001,-87.005218747 70.992690994,-87.0255547469999 70.9866459940001,-87.051390747 70.987763994,-87.1161097469999 70.9947099940001,-87.14132227 70.998183678,-87.1463909889999 70.9988821700001,-87.21250895 71.007491223,-87.2199006289999 71.007848132,-87.246945747 71.009154994,-87.276672747 71.0055549940001,-87.3037457469999 70.9977639940001,-87.3334817479999 70.975263994,-87.346454748 70.9520639940001,-87.371218748 70.9447279940001,-87.4280598029999 70.9449435670001,-87.435817938 70.9449731220001,-87.559435923 70.947482161,-87.619017844 70.9504000690001,-87.626471016 70.9511070460001,-87.6644457479999 70.954709994,-87.699999748 70.9555549940001,-87.746133156 70.9538465430001,-87.752791007 70.9536001120001,-87.758897088 70.9530751090001,-87.7980457479999 70.949709994,-87.8577727479999 70.941363994,-87.907247834 70.9328750290001,-87.9216729459999 70.9304001770001,-87.968890889 70.9285911950001,-87.974651943 70.928695443,-87.9999997479999 70.929154994,-88.0252817479999 70.9305459940001,-88.260836748 70.947754994,-88.283328076 70.9497158400001,-88.2897179559999 70.950273167,-88.2978800669999 70.951473569,-88.325563748 70.955545994,-88.352585886 70.971870977,-88.355899855 70.973873193,-88.3727457479999 71.005363994,-88.432499749 71.0219279940001,-88.4793252809999 71.029544942,-88.4845819509999 71.0304001380001,-88.500846509 71.032114253,-88.6177637489999 71.0444369940001,-88.689163749 71.0469369940001,-88.904727749 71.0452549940001,-88.973086038 71.0414734560001,-88.979999871 71.041091088,-88.9883486369999 71.040272621,-89.039445749 71.035263994,-89.069767778 71.031136314,-89.076108953 71.030273236,-89.082050913 71.0297263130001,-89.1092997489999 71.0272189940001,-89.134445749 71.0269279940001,-89.1876277489999 71.0333189940001,-89.212227089 71.0477546060001,-89.21632952 71.0585337790001,-89.220554749 71.0696369940001,-89.4697277499999 71.091936994,-89.49138175 71.092209994,-89.542596686 71.0890333090001,-89.5497268839999 71.0885911660001,-89.5497266949999 71.0885910590001,-89.54972775 71.0885909940001,-89.529431054 71.077155003,-89.4949999299999 71.0577539760001,-89.347635845 70.9997091290001,-89.315281867 70.9916541200001,-89.2743334039999 70.98432524,-89.2702817489999 70.983599994,-89.194500058 70.965891066,-89.198654227 70.9603435320001,-89.2152097489999 70.9382369940001,-89.298618749 70.9330459940001,-89.371654749 70.9258099940001,-89.424445749 70.916927994,-89.446872749 70.9054639930001,-89.446872308 70.9054634720001,-89.4468728849999 70.9054631770001,-89.3871374239999 70.8348874110001,-89.371936749 70.816927993,-89.371936319 70.8169277330001,-89.371935821 70.8169271450001,-89.33056392 70.791927113,-89.285282029 70.7697180870001,-89.261126893 70.7597181410001,-89.213645446 70.7410378260001,-89.203890749 70.737199993,-89.1970202379999 70.7349109680001,-89.143890889 70.7172091510001,-89.112354984 70.7094361100001,-89.076672887 70.6969271250001,-89.003536754 70.647627679,-89.0038142129999 70.6298781240001,-89.003890978 70.624982232,-89.0038907489999 70.6249820210001,-89.0038907489999 70.6249819930001,-88.985827749 70.6083189930001,-88.985826803 70.6083181700001,-88.914446012 70.5461001410001,-88.897508868 70.5327631920001,-88.814436186 70.4968948580001,-88.797772749 70.489699993,-88.7844221989999 70.485713004,-88.678263929 70.454009177,-88.5980860349999 70.450985992,-88.579181749 70.4502729930001,-88.4399907489999 70.4385819930001,-88.4313728239999 70.4377443110001,-88.374435864 70.4322091880001,-88.166946041 70.394436141,-88.111935778 70.3841540600001,-88.083617853 70.3780361090001,-87.91471781 70.3316632300001,-87.88527371 70.3144185370001,-87.909036337 70.3031731880001,-87.9276601509999 70.3051057850001,-87.994445748 70.312036993,-88.035854748 70.316945993,-88.0583547479999 70.328454993,-88.2104187479999 70.3519279930001,-88.258827748 70.3271369930001,-88.258826033 70.32713655,-88.258826787 70.3271361640001,-88.1874441529999 70.3087077010001,-88.138609748 70.296099993,-88.0881637479999 70.2850999930001,-88.0825243789999 70.2845134190001,-88.0128268129999 70.277263169,-87.937838852 70.249099877,-87.921863748 70.243099993,-87.866390748 70.238872993,-87.860452588 70.2387202450001,-87.83389095 70.23803603,-87.79695492 70.2402632690001,-87.776945976 70.2433181380001,-87.704182004 70.2572181830001,-87.616173026 70.2835271330001,-87.616173948 70.2835276340001,-87.6161727479999 70.2835279930001,-87.636245748 70.294436993,-87.6662560629999 70.2981382710001,-87.6699997709999 70.298600122,-87.670672988 70.3024238260001,-87.6736178959999 70.3191540770001,-87.583950242 70.3220745720001,-87.5624997479999 70.3227729930001,-87.5030609139999 70.3196538510001,-87.255008887 70.3066360400001,-87.184435777 70.295536053,-87.107499963 70.2880360940001,-87.00429996 70.2808181020001,-86.983667902 70.282929331,-86.9811097469999 70.2831909930001,-86.981109751 70.2831911000001,-86.98110891 70.2831911860001,-86.983512199 70.34327039,-86.984163747 70.3595639930001,-87.0105637469999 70.3716459930001,-87.038866274 70.378169476,-87.047635908 70.380191096,-87.0755111249999 70.3830238790001,-87.1836081 70.3940098260001,-87.1366639569999 70.437063315,-87.0809819689999 70.455409122,-87.03416401 70.4641541290001,-87.005551141 70.466674556,-86.996381747 70.467481993,-86.988491717 70.467514146,-86.960554974 70.467627087,-86.9296841509999 70.454212193,-86.925473172 70.4523821770001,-86.945272921 70.442891085,-86.949583847 70.4420394590001,-86.988118747 70.434427993,-86.988117744 70.4344270620001,-86.988117857 70.4344270390001,-86.870272992 70.3250540990001,-86.839717938 70.3202631710001,-86.682868206 70.321493167,-86.644863747 70.321790993,-86.647363027 70.3318201170001,-86.656108828 70.366918185,-86.6277820179999 70.3955360140001,-86.574518014 70.422691129,-86.571459367 70.4232601580001,-86.515681942 70.433636123,-86.430187286 70.4544641270001,-86.407499747 70.4599909930001,-86.400928501 70.462055638,-86.368608877 70.472209138,-86.342499919 70.490054043,-86.3425005129999 70.490054469,-86.342499747 70.4900549930001,-86.364716376 70.5060344550001,-86.381035832 70.5177731250001,-86.361678033 70.5205578960001,-86.357909746 70.5210999860001,-86.350868162 70.518265533,-86.334446084 70.5116540400001,-86.305827128 70.49845415,-86.298381519 70.488305273,-86.291254975 70.47859112,-86.3130460789999 70.462773127,-86.325731794 70.459188339,-86.3730457469999 70.445818993,-86.448336747 70.4316549930001,-86.481108937 70.4247001730001,-86.48110909 70.4247001320001,-86.4811097469999 70.424699993,-86.518481747 70.4140189930001,-86.5344716119999 70.4054073360001,-86.541945965 70.401382224,-86.545166592 70.39859004,-86.5586097469999 70.3869369930001,-86.579172747 70.361236993,-86.579172654 70.3612365440001,-86.579173015 70.3612360930001,-86.569622559 70.3151321270001,-86.554027747 70.2398459930001,-86.554026925 70.239845604,-86.554026802 70.239845012,-86.326399959 70.1322000870001,-86.3263997459999 70.132199993,-86.3019358669999 70.1216450900001,-86.255008943 70.1055451300001,-86.2412637959999 70.1015961570001,-86.230836746 70.0985999930001,-86.093063746 70.0624819930001,-86.052450366 70.0528933350001,-85.851946017 70.0055540540001,-85.815835772 69.9994361030001,-85.726946024 69.99053603,-85.6867998929999 69.993309099,-85.6434818819999 70.005545001,-85.6174049219999 70.009463112,-85.613890746 70.009990993,-85.5774997459999 70.009990993,-85.564524857 70.0091374130001,-85.446226866 70.00135405,-85.413390928 69.9974271280001,-85.2458998829999 69.991336167,-85.245902658 69.9913370990001,-85.245899746 69.9913369930001,-85.3308084179999 70.0198440570001,-85.3502819019999 70.026382245,-85.357218211 70.0278986210001,-85.376936746 70.032209993,-85.468836746 70.0492639930001,-85.573289489 70.065575617,-85.585555052 70.067491122,-85.627226857 70.0713821690001,-85.637804075 70.071244774,-85.691663746 70.0705459930001,-85.732772746 70.0669369930001,-85.789058005 70.0571633770001,-85.793608977 70.0563731980001,-85.7936094899999 70.0563730370001,-85.793609746 70.0563729930001,-85.832645746 70.0441549930001,-85.853199746 70.0395639930001,-85.874645398 70.079427346,-85.847227436 70.088882035,-85.83454782 70.09062828,-85.752499933 70.1019271650001,-85.723389694 70.103405169,-85.719727746 70.1035909930001,-85.712836463 70.103735595,-85.666399849 70.1047091190001,-85.361517844 70.103454013,-85.340107598 70.10266096,-85.335281746 70.1024819930001,-85.3018562889999 70.1004098970001,-85.1695819829999 70.092209187,-84.861311287 70.0335940780001,-84.861311243 70.03359407,-84.783890745 70.0188729930001,-84.728609745 70.0102729930001,-84.656954745 70.002490993,-84.6427106039999 70.0012163790001,-84.560546024 69.993863311,-84.314164003 69.979709126,-84.190168592 69.983996566,-84.1616637449999 69.9849819930001,-84.144504107 69.9850433380001,-84.0827819 69.9852633100001,-84.052525717 69.9824002350001,-84.041672744 69.981372993,-84.006254744 69.9753999930001,-83.9967876059999 69.9739259830001,-83.9447178729999 69.9658181330001,-83.8986179079999 69.96081816,-83.7152909329999 69.9477541260001,-83.654172945 69.9463632330001,-83.613890859 69.948863219,-83.342226838 69.9783180650001,-83.255275695 69.9956139830001,-83.2388907439999 69.9988729930001,-83.2210604799999 70.0010554690001,-83.1502819259999 70.0097181830001,-83.0508358929999 70.004154111,-83.0501399839999 70.003433015,-83.035281879 69.9880360440001,-82.7413820099999 69.9102451090001,-82.66078892 69.895527262,-82.644163743 69.8924909930001,-82.6296577049999 69.887944981,-82.5750089429999 69.870818145,-82.526399939 69.8608091470001,-82.4106909509999 69.8590092170001,-82.308608925 69.857063274,-82.2141027389999 69.827764023,-82.241672743 69.8280459920001,-82.266389332 69.8266620360001,-82.271390928 69.8263821560001,-82.271390743 69.8263819920001,-82.243608942 69.801654033,-82.189990913 69.790263194,-82.131308874 69.7834540710001,-82.118746077 69.812618065,-82.061663975 69.8594180860001,-82.007017822 69.8742181800001,-81.975682497 69.856633822,-81.963472743 69.8497819930001,-81.880281742 69.8524819930001,-81.874013238 69.853217628,-81.8541729789999 69.8555451440001,-81.739855051 69.874418173,-81.739854812 69.8744189810001,-81.739854742 69.8744189930001,-81.7383298619999 69.8795772700001,-81.720208876 69.9408732540001,-81.736520236 69.9451897270001,-81.7656907419999 69.952909993,-81.841672742 69.963318993,-81.976390743 70.0122099930001,-82.103054743 70.065263993,-82.2997277429999 70.118863993,-82.415281743 70.1430549930001,-82.487100684 70.1575083260001,-82.4938820099999 70.158873145,-82.504538517 70.1605798990001,-82.573627743 70.1716459930001,-82.6479349639999 70.184028277,-82.683608904 70.189973191,-82.735085522 70.20143025,-82.822236743 70.2208279930001,-82.897781742 70.248599998,-82.897781954 70.248600077,-83.048042873 70.3069268790001,-82.9998639789999 70.3041451060001,-82.977782023 70.3019270870001,-82.949413734 70.2952054780001,-82.9455547429999 70.2942909930001,-82.9420920599999 70.2930304340001,-82.913890965 70.2827632060001,-82.7391639909999 70.237763283,-82.609999868 70.2072181190001,-82.475008814 70.17942708,-82.4519036249999 70.1758123400001,-82.446654743 70.1749909930001,-82.361663743 70.161372993,-82.2144457429999 70.134990993,-82.207362718 70.133306481,-82.101108876 70.108036064,-82.0649999729999 70.095827151,-81.952317857 70.0455360670001,-81.79527301 69.9885910930001,-81.795272742 69.9885909930001,-81.790312962 69.9875282990001,-81.682499867 69.964427072,-81.612149217 69.9543763550001,-81.598890742 69.952481993,-81.581092839 69.9486639350001,-81.486255038 69.9283181690001,-81.433063983 69.9130361150001,-81.354445922 69.8802632090001,-81.225530286 69.836602913,-81.216663742 69.8335999920001,-81.1729097419999 69.823190992,-81.1458459679999 69.812482082,-81.129436477 69.7977636620001,-81.1093097419999 69.7726279920001,-81.1093095369999 69.7726279020001,-81.109308949 69.7726271670001,-81.083617912 69.7612361600001,-81.022499924 69.7464360660001,-80.97058457 69.736695931,-80.954036742 69.7335909920001,-80.952789723 69.7176004350001,-80.952499968 69.7138822630001,-80.952499764 69.7138822750001,-80.952499742 69.713881992,-80.94930484 69.7140763770001,-80.938890943 69.7147090540001,-80.834308931 69.7311632330001,-80.767817807 69.7703732730001,-80.778804566 69.7797782910001,-80.791381741 69.790545992,-80.939990742 69.862763993,-80.9999997419999 69.886109993,-81.020121962 69.8914286720001,-81.028335908 69.8936001580001,-81.0897179259999 69.913882184,-81.110716624 69.923397058,-81.1388907419999 69.936163993,-81.153472742 69.965472993,-81.1555217499999 69.9676170450001,-81.16972688 69.982482195,-81.1885999089999 69.991091248,-81.262217829 70.016391184,-81.285429519 70.0235356540001,-81.313609742 70.032209993,-81.444696053 70.0256951050001,-81.464717905 70.0247001650001,-81.5017754309999 70.0390425560001,-81.535418742 70.052063993,-81.5583367419999 70.056927993,-81.625827742 70.062763993,-81.679163742 70.0665099930001,-81.702467998 70.0733329820001,-81.714308854 70.0768002310001,-81.736733804 70.0930451090001,-81.737499742 70.0935999930001,-81.742930295 70.1024053070001,-81.756808959 70.1249091700001,-81.72495517 70.1305029320001,-81.719999742 70.1313729930001,-81.698609742 70.1285819930001,-81.603054742 70.113872993,-81.462509742 70.096372993,-81.429990742 70.0935999930001,-81.378054742 70.092481993,-81.365680375 70.0928541600001,-81.28555506 70.0952632170001,-81.225826791 70.0969360770001,-81.0622088549999 70.0855360180001,-80.9063909509999 70.0708271190001,-80.7875089089999 70.0505360400001,-80.661108971 70.0394271690001,-80.5977820159999 70.0480360540001,-80.5693088579999 70.047909152,-80.5477728989999 70.0441450070001,-80.479999847 70.0269270690001,-80.464405843 70.0171357660001,-80.4620907409999 70.015681993,-80.434999741 70.004990993,-80.4220150359999 70.0020218390001,-80.3311178009999 69.9812361410001,-80.3064516329999 69.9833780720001,-80.301590741 69.983799993,-80.268054741 70.0010999930001,-80.262596977 70.00212293,-80.232499848 70.0077631880001,-80.196945994 70.0080449880001,-80.172404945 70.006632106,-80.168063741 70.006381993,-80.147754786 70.004762348,-80.0530550349999 69.9972091990001,-79.912172477 69.976872939,-79.891390741 69.973872993,-79.884026153 69.9707556760001,-79.833617926 69.9494181480001,-79.7964187429999 69.9108549900001,-79.796418689 69.9108549330001,-79.7947876809999 69.9089436260001,-79.776954976 69.8880451360001,-79.7047849689999 69.856733863,-79.69179974 69.851099993,-79.6799234969999 69.8504465770001,-79.636126932 69.8480361320001,-79.609265721 69.849723204,-79.60499974 69.8499909930001,-79.5809504919999 69.8554912820001,-79.5704178399999 69.8579001240001,-79.547218329 69.8667820970001,-79.54584791 69.867129349,-79.526945938 69.8719181860001,-79.47611383 69.8784040100001,-79.47471874 69.8785819930001,-79.40805474 69.884990993,-79.4044296289999 69.8851249900001,-79.377781924 69.8861090840001,-79.200290933 69.8844271710001,-79.182944081 69.883991146,-79.17860974 69.883881993,-79.157012801 69.882809642,-79.0663908669999 69.8783090520001,-78.8497268839999 69.8861090840001,-78.802008461 69.8902309850001,-78.79194574 69.8910999930001,-78.695972739 69.9292819930001,-78.6861350199999 69.9386385890001,-78.670699825 69.9533182010001,-78.6625088609999 69.9780451510001,-78.663709722 69.996892136,-78.664172739 70.0041639930001,-78.675680026 70.028854928,-78.685135809 70.049145147,-78.73749974 70.1149909920001,-78.75097274 70.1658189930001,-78.77014574 70.1892819930001,-78.7905547399999 70.2055549930001,-78.92166374 70.300809993,-78.93916374 70.3110999930001,-78.9666637399999 70.323318993,-78.980830318 70.3285856850001,-78.98832685 70.331373216,-79.0330550319999 70.339991153,-79.0637549259999 70.3410911940001,-79.07100105 70.3370387620001,-79.08784574 70.327618993,-79.1043096129999 70.3067821540001,-79.1258269429999 70.3047001560001,-79.217081896 70.3147001020001,-79.2182499529999 70.315084896,-79.2381907399999 70.321654993,-79.25945474 70.337209993,-79.2900090059999 70.3508268190001,-79.291255034 70.3513821600001,-79.294915558 70.352633885,-79.31722774 70.360263993,-79.34447757 70.366079922,-79.364717889 70.3704001950001,-79.3694131729999 70.3706631530001,-79.38694574 70.3716459930001,-79.41673674 70.3616459930001,-79.5697273599999 70.3877639280001,-79.5892358839999 70.4108911580001,-79.5755639939999 70.4294270660001,-79.416663896 70.4902632550001,-79.395835873 70.4930361560001,-79.305272929 70.4769360290001,-79.291172891 70.451791158,-79.291172795 70.4517910910001,-79.29117274 70.451790993,-79.26889074 70.4363729930001,-79.22985474 70.421372993,-79.225324052 70.420624069,-79.209726776 70.4180451120001,-79.1794459769999 70.4258181540001,-79.1597268799999 70.4380361190001,-79.147091355 70.4506725800001,-79.14389074 70.4538729930001,-79.095683249 70.556664095,-79.068072947 70.6155361630001,-79.068073146 70.615536128,-79.0680727399999 70.615536993,-79.09778174 70.610263993,-79.151171662 70.6218187600001,-79.0769592899999 70.660998782,-79.04916374 70.675672993,-79.0173637899999 70.679981986,-79.0165230379999 70.6793427970001,-78.9988187399999 70.665881993,-78.988246214 70.644925723,-78.9855460699999 70.639573114,-78.9855457369999 70.639573001,-78.965290865 70.632754101,-78.926997598 70.6245425170001,-78.91221874 70.6213729930001,-78.9122178279999 70.621373152,-78.863781994 70.629809203,-78.7827596399999 70.5813586930001,-78.7261101459999 70.5474822360001,-78.73586507 70.5481604760001,-78.7661097399999 70.550263993,-78.7833297559999 70.55483638,-78.788055019 70.5560912020001,-78.7908997059999 70.5578737550001,-78.813327124 70.5719276070001,-78.8247493439999 70.5883207140001,-78.82736374 70.592072993,-78.827363824 70.5920730000001,-78.827363966 70.592073204,-78.8701358119999 70.595682116,-78.870136476 70.595681971,-78.87013674 70.595681993,-78.89361874 70.590545993,-79.048293906 70.5415937700001,-79.0748730179999 70.53318212,-79.082270152 70.5211450690001,-79.09791874 70.4956819930001,-79.084989475 70.483410437,-79.070554997 70.4697091520001,-79.036055119 70.4565545550001,-79.0319547399999 70.4549909930001,-78.9444457399999 70.4502729930001,-78.93714254 70.4501212760001,-78.90333586 70.4494180730001,-78.863591092 70.4533529290001,-78.85833674 70.4538729930001,-78.7474997529999 70.4388729930001,-78.746851154 70.437899751,-78.704727739 70.3746909930001,-78.68419041 70.3630622690001,-78.6588908969999 70.348736161,-78.601334561 70.3266223630001,-78.5674187389999 70.313590993,-78.56741883 70.3135915540001,-78.567417846 70.313591176,-78.571283239 70.3375710390001,-78.5719457389999 70.3416819930001,-78.562352281 70.3450985980001,-78.528754976 70.3570632460001,-78.50192478 70.3573990370001,-78.495281739 70.3574819930001,-78.485926831 70.3563053980001,-78.4312459499999 70.3494271650001,-78.397572995 70.330891089,-78.431704886 70.313551089,-78.480836739 70.2885909930001,-78.442447913 70.251244705,-78.403473016 70.2133271850001,-78.3515268419999 70.198245124,-78.2634513369999 70.202656711,-78.2391637389999 70.2038729930001,-78.133618739 70.215272993,-78.1336182269999 70.2152730830001,-78.13361781 70.215273128,-77.888199876 70.258327109,-77.8108178099999 70.2455271040001,-77.677009714 70.1842094780001,-77.674466577 70.1316181660001,-77.673890872 70.119709205,-77.6669459619999 70.109982174,-77.6665268469999 70.105235705,-77.665009739 70.088045993,-77.672009739 70.0487279930001,-77.689436739 70.0145729930001,-77.694771816 69.994467489,-77.6948550179999 69.994153995,-77.693988921 69.9849244540001,-77.691936739 69.963045993,-77.675884152 69.8780586650001,-77.66806394 69.8366540110001,-77.658953389 69.8048149310001,-77.647636738 69.765263992,-77.647348246 69.7649701180001,-77.632090991 69.749427064,-77.604999842 69.7400540850001,-77.559163907 69.745463262,-77.471991701 69.7835895490001,-77.4511817379999 69.7926909920001,-77.45118189 69.7926910830001,-77.45118186 69.7926910960001,-77.4532731209999 69.7939339170001,-77.508345134 69.8266636340001,-77.438046076 69.8572091190001,-77.294832731 69.8816126950001,-77.2602817379999 69.8874999930001,-77.226945738 69.8949909930001,-77.2010344239999 69.902444739,-77.1883268839999 69.9061000900001,-77.164446004 69.9152631870001,-77.1331908929999 69.924145154,-76.990114599 69.93685363,-77.088667159 69.9092274500001,-77.116654906 69.9013822520001,-77.139444495 69.897721603,-77.2083457379999 69.886654993,-77.2486187379999 69.8791459930001,-77.291254738 69.855809993,-77.3050637379999 69.8339459920001,-77.305063482 69.8339459630001,-77.3050639969999 69.8339451470001,-77.1694235479999 69.8182912240001,-77.150281738 69.8160819920001,-77.1324514139999 69.815481489,-77.0266729959999 69.8119181760001,-76.933063901 69.8097092090001,-76.843609 69.8147091750001,-76.8356035099999 69.8058452230001,-76.7813910259999 69.745818349,-76.792918738 69.7201279920001,-76.821109738 69.6999099920001,-76.868054738 69.6847099920001,-76.896663738 69.6791549920001,-76.934718598 69.6787369940001,-76.94943577 69.695527068,-76.949435917 69.6955270560001,-76.949436738 69.6955279920001,-77.157227738 69.6787279920001,-77.191318738 69.6427279920001,-77.191317424 69.642727597,-77.191317883 69.642727113,-77.145437902 69.6289273730001,-77.136945738 69.626372992,-76.844727738 69.5760999920001,-76.815319774 69.5720284720001,-76.730281858 69.5602540470001,-76.69179987 69.5635181280001,-76.55749982 69.622754044,-76.5288908759999 69.6455360560001,-76.5243088249999 69.6674911110001,-76.550272943 69.6740001620001,-76.557150715 69.672451358,-76.581681738 69.6669279920001,-76.6203778829999 69.675313471,-76.633235848 69.678100086,-76.544726806 69.6958092030001,-76.450564002 69.6902632330001,-76.390490902 69.6768540320001,-76.295546067 69.6602632280001,-76.231062633 69.664383571,-76.2261097369999 69.6646999920001,-76.1856277369999 69.662072992,-76.2269457369999 69.6372099920001,-76.261399737 69.6266459920001,-76.3320155 69.637785825,-76.34778192 69.6402732270001,-76.366610118 69.642736385,-76.4506907369999 69.6537369920001,-76.477246502 69.6509309050001,-76.483473031 69.6502731730001,-76.524126855 69.6310284360001,-76.621245738 69.585054992,-76.639590738 69.5512279920001,-76.6395904459999 69.5512277970001,-76.6395908389999 69.5512270730001,-76.607499885 69.5297090510001,-76.4177729909999 69.4472091630001,-76.298046053 69.4077632560001,-76.241945975 69.4133181110001,-76.2104856509999 69.413768012,-76.202499737 69.413881992,-76.1686097369999 69.4113729920001,-76.095952826 69.3958861500001,-75.963335872 69.36761813,-75.8561841 69.3354634980001,-75.783327737 69.313599992,-75.759736737 69.3049819920001,-75.669727737 69.2710999920001,-75.6473396709999 69.260755821,-75.611390988 69.244145152,-75.591672896 69.221645107,-75.582242532 69.193477267,-75.570009737 69.1569369920001,-75.604436737 69.088945992,-75.644124357 69.0808226410001,-75.646808888 69.0802732450001,-75.681485041 69.077676925,-75.813890737 69.067763992,-75.904999737 69.0369279920001,-75.955876602 69.0157927320001,-75.9691639769999 69.0102731220001,-75.973031361 69.0092653180001,-75.9969367369999 69.003036992,-76.06667314 69.0073757640001,-76.082990893 69.0083912170001,-76.08749152 69.0109998070001,-76.1192997369999 69.0294369920001,-76.140563737 69.0347189920001,-76.2080547369999 69.044145992,-76.240281737 69.0483279920001,-76.3157806529999 69.0531122300001,-76.340835837 69.0547002260001,-76.347063685 69.0548244280001,-76.368609737 69.0552549920001,-76.422499737 69.050536992,-76.501399737 69.0427549920001,-76.5433367369999 69.038318992,-76.578336738 69.032209992,-76.603609738 69.025818992,-76.6379187379999 69.0088099920001,-76.655563738 68.9276189920001,-76.6555637229999 68.9276189700001,-76.655563897 68.9276181690001,-76.644164006 68.9111001200001,-76.6414512869999 68.9090398430001,-76.608327738 68.8838819920001,-76.603083806 68.8839454100001,-76.585008891 68.8841631970001,-76.5517999589999 68.8840181900001,-76.525346132 68.8727541420001,-76.541663737 68.8376279920001,-76.560537735 68.821026455,-76.569446044 68.8131911080001,-76.575828342 68.8100872050001,-76.608609738 68.794145992,-76.636945738 68.7816639920001,-76.6727727379999 68.763736991,-76.681085933 68.7460216680001,-76.686590853 68.73429108,-76.6674998949999 68.7048451190001,-76.6288729 68.6869180720001,-76.5830639549999 68.675263203,-76.557747853 68.6736699800001,-76.549854737 68.6731729910001,-76.525656155 68.673715954,-76.4566640159999 68.675263203,-76.4356928 68.6774272700001,-76.428463737 68.6781729910001,-76.3760997369999 68.6874819910001,-76.3384830809999 68.6951789670001,-76.3272268109999 68.6974821200001,-76.227217798 68.721100144,-76.0494357869999 68.764436092,-76.011595965 68.7748682750001,-76.002081737 68.7774909920001,-75.9952487899999 68.7807193340001,-75.9791639219999 68.7883181460001,-75.809154953 68.8369271490001,-75.647781859 68.8691361210001,-75.6134726879999 68.8773922650001,-75.6038817369999 68.879699992,-75.565281737 68.8913729920001,-75.538463737 68.9013729920001,-75.5021637359999 68.9360909920001,-75.502163923 68.93609107,-75.502163893 68.9360910990001,-75.5296824819999 68.9476870620001,-75.53778174 68.9510999840001,-75.571181316 68.9863635470001,-75.528335883 69.005827025,-75.4865178969999 69.0180540430001,-75.458852652 69.0189133690001,-75.4531277359999 69.019090992,-75.44030287 69.0119080950001,-75.422499938 69.001936146,-75.400281859 68.9855361140001,-75.3786089399999 68.9716451210001,-75.350387 68.9584089700001,-75.315827736 68.942199992,-75.257375935 68.917980803,-75.197217849 68.89305405,-75.175280831 68.8876767030001,-75.169999736 68.8863819920001,-75.131945736 68.8863819920001,-75.126243234 68.8883244840001,-75.112781909 68.89290921,-75.073482015 68.918454066,-75.036945969 68.989009072,-75.0369460869999 68.989009314,-75.036945736 68.989009992,-75.043219589 69.0018933680001,-75.047635914 69.010963288,-74.948608924 69.048873127,-74.8304184799999 69.0811729640001,-74.785827736 69.0763819920001,-74.7379639389999 69.0634158890001,-74.652499921 69.040263236,-74.645073098 69.0143639020001,-74.674999736 69.0069459920001,-74.741673513 69.005894465,-74.755145424 69.0056821960001,-74.7441070209999 69.0129069120001,-74.732226908 69.0206821040001,-74.7349744639999 69.0206512460001,-74.756527736 69.0204099920001,-74.882542815 68.9984468800001,-74.9114998919999 68.9934001830001,-74.921632631 68.9895057630001,-74.957672736 68.975654992,-75.0211187359999 68.9530459920001,-75.036084017 68.9305563820001,-75.0379908579999 68.927691091,-75.037990646 68.9276911270001,-75.037990736 68.9276909920001,-75.0024997359999 68.9337909920001,-74.9943819329999 68.9349405560001,-74.928026825 68.944336042,-74.892863903 68.953345079,-74.8714912839999 68.9544099570001,-74.867854736 68.9545909920001,-74.852024179 68.952368494,-74.72222798 68.9341451550001,-74.740172736 68.8727099920001,-74.7641637359999 68.8720369920001,-74.7877817359999 68.8544279920001,-74.837509736 68.840818992,-74.915836736 68.809299992,-74.8698729609999 68.798095419,-74.77166393 68.7741540700001,-74.656946018 68.788036011,-74.643202936 68.7971505290001,-74.636945736 68.8012999920001,-74.636946033 68.8013001560001,-74.636945958 68.8013002050001,-74.639111966 68.8024974740001,-74.665972736 68.8173459920001,-74.6894300339999 68.819848452,-74.6973268419999 68.8206912350001,-74.703268533 68.821131171,-74.719298291 68.8223188850001,-74.69247187 68.8348727690001,-74.682854736 68.8393729920001,-74.677315555 68.8409252660001,-74.657355055 68.8465180580001,-74.6386919019999 68.8464014530001,-74.634172736 68.8463729920001,-74.627808993 68.8453740960001,-74.604172885 68.8416632600001,-74.548046412 68.8260361590001,-74.571109736 68.7976189920001,-74.587165415 68.7908864870001,-74.591946035 68.7888822480001,-74.6174436809999 68.7832336290001,-74.6208367359999 68.782481992,-74.664172736 68.774154992,-74.722081736 68.7683189910001,-74.722081869 68.768318095,-74.722081955 68.7683180870001,-74.7224852699999 68.765602421,-74.7272187359999 68.7337369910001,-74.727217826 68.7337364140001,-74.7272178819999 68.73373603,-74.707081869 68.720954131,-74.5988909439999 68.6819271510001,-74.532227731 68.624009996,-74.52287187 68.609424027,-74.5202909879999 68.605400208,-74.520290828 68.6054001350001,-74.5202907359999 68.6053999910001,-74.3852727349999 68.5442909910001,-74.383752264 68.5439325250001,-74.3587460649999 68.5380360250001,-74.254782961 68.5283951270001,-74.2211187349999 68.5252729910001,-74.2086854629999 68.524363405,-74.1716639969999 68.5216540980001,-74.0283358 68.5136091470001,-73.990281959 68.4927541340001,-73.9419358119999 68.504718127,-73.921390929 68.51193612,-73.9036088889999 68.5277732230001,-73.884863936 68.5574091180001,-73.8848641879999 68.557409276,-73.884863735 68.557409991,-73.947072711 68.5963972960001,-73.9922178429999 68.6246911580001,-74.05740765 68.6623799160001,-74.1061087969999 68.690536449,-74.096284397 68.714754897,-74.0941637349999 68.7199819910001,-74.060530257 68.717930123,-73.89389091 68.707763195,-73.86582679 68.7058271430001,-73.7609728689999 68.685818199,-73.7047278049999 68.6566456850001,-73.735558424 68.520974138,-73.736254762 68.5179099860001,-73.815135889 68.503600148,-73.815135948 68.5036001340001,-73.815136735 68.503599991,-73.868609735 68.489845991,-73.884419598 68.4556050670001,-73.88945504 68.44470018,-73.8910746349999 68.431940608,-73.896118735 68.3922099910001,-73.88912807 68.3843252790001,-73.853755005 68.3444271370001,-73.628399826 68.247127155,-73.593746021 68.2533270810001,-73.506672967 68.291363152,-73.3497268579999 68.3415181140001,-73.358126866 68.3663002160001,-73.310427159 68.394572999,-73.279445734 68.394990991,-73.27635852 68.394503838,-73.253063901 68.390827174,-73.2305640229999 68.384154005,-73.211673913 68.376918468,-73.3198277339999 68.3289189910001,-73.354672734 68.3292189910001,-73.394082747 68.3163352220001,-73.404590941 68.3129001170001,-73.417047591 68.3078156540001,-73.4961097349999 68.2755459910001,-73.4961074239999 68.2755456020001,-73.4961089189999 68.2755449920001,-73.3955549139999 68.2586091890001,-73.355190853 68.2678271030001,-73.336672882 68.2756091970001,-73.308917886 68.2784360780001,-73.2711178499999 68.2819360250001,-73.202486933 68.261501309,-73.195063854 68.2592910270001,-73.161117943 68.2288631550001,-73.046098183 68.212779444,-72.9933277339999 68.205399991,-72.981109734 68.139163991,-72.959332434 68.09933105,-72.9569548979999 68.0949822010001,-72.956954783 68.0949820800001,-72.956954734 68.0949819910001,-72.956424973 68.094425533,-72.941099857 68.078327024,-72.925185583 68.0668377440001,-72.9122277339999 68.057481991,-72.896118734 68.014163991,-72.9033367339999 67.9617999910001,-72.926381734 67.9508189910001,-72.943081734 67.9298369910001,-72.943081449 67.9298367810001,-72.94308201 67.9298360760001,-72.8841099809999 67.8864965110001,-72.836318734 67.8513729910001,-72.8028152109999 67.84816248,-72.734999922 67.8416633160001,-72.612436482 67.7891452520001,-72.5965277339999 67.7424189910001,-72.673609734 67.700672991,-72.66912637 67.6903960760001,-72.666399911 67.6841450590001,-72.597781964 67.63970907,-72.503334454 67.6308981700001,-72.495754866 67.6301910030001,-72.489873211 67.621965695,-72.481109734 67.6097099900001,-72.456832962 67.535069735,-72.4363909319999 67.4722181920001,-72.382916496 67.3848490280001,-72.3636187339999 67.35331899,-72.3636182389999 67.353318587,-72.363617908 67.3533180460001,-72.2869459569999 67.2908180490001,-72.258346065 67.248027092,-72.260241516 67.2404310260001,-72.2793097329999 67.16401899,-72.315554734 67.13943699,-72.344590734 67.1230369900001,-72.368609734 67.1124909900001,-72.3727970739999 67.1112824240001,-72.3994460169999 67.103591142,-72.418908742 67.0989864740001,-72.431109734 67.09609999,-72.44303523 67.0938932880001,-72.464172918 67.089982116,-72.471863745 67.089152073,-72.5258367339999 67.08332799,-72.5508277339999 67.08276399,-72.626099734 67.0847189900001,-72.6736336009999 67.077763228,-72.684999857 67.0761001760001,-72.716664006 67.068600217,-72.7227058949999 67.067087751,-72.7388907339999 67.0630369900001,-72.7991637339999 67.04026399,-72.828681734 67.0215189900001,-72.837781734 66.9980279900001,-72.8442650439999 66.985056962,-72.852490903 66.9686000880001,-72.8608055509999 66.9543513460001,-72.873890734 66.9319279900001,-73.001109734 66.8155369900001,-73.108609734 66.7233099900001,-73.267227734 66.6727639900001,-73.2963907339999 66.66581899,-73.3283367339999 66.66026399,-73.346262506 66.6524639360001,-73.351946051 66.649991207,-73.3665696749999 66.640766844,-73.379718735 66.6324729900001,-73.398618735 66.613590989,-73.418336735 66.581509989,-73.4332374909999 66.5605041380001,-73.437354962 66.5547001990001,-73.443505471 66.551979084,-73.460554735 66.5444369890001,-73.5299997349999 66.5227639890001,-73.606654735 66.495254989,-73.666109735 66.4719279890001,-73.744999735 66.4377639890001,-73.860827735 66.3883189890001,-74.077790735 66.3008099890001,-74.187209735 66.2697189890001,-74.311527735 66.2370729890001,-74.3422277349999 66.225263989,-74.3666547349999 66.2141549890001,-74.406109735 66.195818989,-74.4405457359999 66.173454989,-74.470863736 66.134845989,-74.470863518 66.1348456360001,-74.470863911 66.1348451360001,-74.4502819799999 66.101382232,-74.450281817 66.1013821220001,-74.450281736 66.1013819890001,-74.448524611 66.1001979000001,-74.4255550299999 66.08471817,-74.380973028 66.0577540900001,-74.337781919 66.03665399,-74.29695501 66.018327126,-74.258899828 66.0016632320001,-74.187506302 65.9592215600001,-74.129436735 65.924699989,-74.100555941 65.9048113960001,-74.058045958 65.875536041,-74.020563931 65.858318103,-73.93708753 65.8281208810001,-73.9303457349999 65.825681989,-73.924769334 65.825185171,-73.885146071 65.821653982,-73.8490179729999 65.820289819,-73.841109735 65.8199909890001,-73.8108187349999 65.8110999890001,-73.709927735 65.7619999890001,-73.6955253739999 65.7397878740001,-73.684581879 65.722909127,-73.6777144499999 65.703161515,-73.662218735 65.658599989,-73.619532221 65.6207772340001,-73.618327564 65.619709809,-73.5636097349999 65.562190989,-73.529046477 65.514077306,-73.500564434 65.4744278480001,-73.550281367 65.464442805,-73.559999976 65.4624911060001,-73.5753610259999 65.4614363970001,-73.655072735 65.4559639880001,-73.688597648 65.4642856190001,-73.7051358149999 65.4683911280001,-73.7414178889999 65.509673175,-73.751123293 65.513780689,-73.7677727349999 65.5208279880001,-73.791381735 65.5244279880001,-73.845272735 65.532209988,-74.051383018 65.5344098040001,-74.105835882 65.534991216,-74.182772869 65.5252732380001,-74.210705274 65.5115139320001,-74.313327735 65.4609639880001,-74.3204060589999 65.4447571530001,-74.321399825 65.442482162,-74.328126272 65.4340034690001,-74.3528097349999 65.4028909880001,-74.502781736 65.3387369880001,-74.524445736 65.3333279880001,-74.5423412279999 65.3317533330001,-74.5466639759999 65.331373162,-74.589446048 65.3324911400001,-74.5936916639999 65.3330344240001,-74.629581736 65.3376279880001,-74.6490271919999 65.3427696970001,-74.653199978 65.343873262,-74.823626868 65.377473127,-74.870490694 65.3793025850001,-75.1049187359999 65.388454988,-75.090836736 65.3555459880001,-75.0849842969999 65.3481472240001,-75.070846074 65.3302731210001,-75.080915681 65.2951834990001,-75.082645736 65.2891549880001,-75.106109736 65.269781988,-75.153881736 65.256945988,-75.186663736 65.2519369880001,-75.211945736 65.2505459880001,-75.490136736 65.2687369880001,-75.547938355 65.2732856640001,-75.560826822 65.274300113,-75.567838036 65.2768313920001,-75.5838907369999 65.2826279880001,-75.603054737 65.295536988,-75.865827737 65.3198459880001,-75.9044457369999 65.322218988,-75.94018923 65.3197865700001,-75.943326928 65.319573119,-75.943326923 65.319573044,-75.9433277369999 65.3195729880001,-75.9420539129999 65.2981480700001,-75.941799912 65.293873198,-75.941799745 65.293873117,-75.9417997369999 65.293872988,-75.9363537519999 65.291244702,-75.8905640199999 65.269145075,-75.864164043 65.2583270550001,-75.8355549309999 65.2552633020001,-75.7816819239999 65.243045002,-75.761946063 65.2377632290001,-75.728055011 65.2241540360001,-75.529373724 65.1438443220001,-75.516399737 65.1385999880001,-75.5110368209999 65.1350881720001,-75.444708964 65.0916540840001,-75.425554974 65.0772090470001,-75.406245919 65.0598450960001,-75.378046011 65.0183181300001,-75.3578043329999 65.0055255400001,-75.3561817359999 65.0044999880001,-75.320707059 65.017193304,-75.299726849 65.0247001110001,-75.279999872 65.0352631530001,-75.269576812 65.0471418970001,-75.2620907359999 65.0556729880001,-75.262226026 65.0605235190001,-75.2629267739999 65.0856821450001,-75.249999867 65.1052632770001,-75.2190357759999 65.109418186,-75.190409788 65.101436349,-75.1926367359999 65.074154988,-75.250521395 64.9867130320001,-75.264172995 64.9660911620001,-75.275664894 64.9681990890001,-75.3490187359999 64.9816549880001,-75.385354736 64.9810279880001,-75.473890736 64.9358099880001,-75.561454737 64.877963988,-75.561453781 64.8779639410001,-75.561454962 64.8779631610001,-75.470290687 64.873473152,-75.458472736 64.8728909880001,-75.422772736 64.890272988,-75.4101856299999 64.8917115420001,-75.3572279639999 64.897763103,-75.373890736 64.8330549880001,-75.373890715 64.8330549500001,-75.373890934 64.8330540970001,-75.3343729429999 64.7644361500001,-75.298390941 64.7476181960001,-75.298154907 64.727200215,-75.3030939069999 64.7251284130001,-75.316663736 64.719436988,-75.361918273 64.715875667,-75.373045898 64.715000199,-75.389172736 64.736099988,-75.461399736 64.8116459880001,-75.5280700019999 64.8368287700001,-75.561808845 64.8495731520001,-75.5963909019999 64.863100203,-75.597773886 64.8647049410001,-75.66527203 64.9430271680001,-75.647298769 64.946290452,-75.644590737 64.9467819880001,-75.6336367009999 64.9459648110001,-75.557217909 64.940263165,-75.5263909459999 64.9369181160001,-75.50209097 64.939418102,-75.446490465 64.9627161020001,-75.419863736 64.973872988,-75.4105547359999 65.0246999880001,-75.4262457359999 65.046099988,-75.4520907359999 65.070254988,-75.470836736 65.0841639880001,-75.496736687 65.095241167,-75.528608965 65.1088731950001,-75.541223218 65.112440576,-75.570845737 65.1208189880001,-75.734291312 65.169208063,-75.740681767 65.171100036,-75.745823877 65.1792892700001,-75.76993586 65.2176910860001,-75.78003187 65.2210975070001,-75.805554737 65.2297099880001,-75.914027737 65.2566639880001,-75.960272737 65.2555459880001,-76.072509737 65.277209988,-76.1583298639999 65.2948433660001,-76.16444606 65.2961001020001,-76.167361388 65.29678863,-76.234999737 65.312763988,-76.361936737 65.342209988,-76.529147396 65.3779690920001,-76.626935842 65.3988821840001,-76.690887711 65.407412363,-76.8247187379999 65.425263988,-76.849990738 65.4283189880001,-76.9208367379999 65.429427988,-76.9554187379999 65.4169639880001,-77.100899738 65.412836988,-77.1216637379999 65.432336988,-77.1544457379999 65.445818988,-77.238054738 65.469436988,-77.265290738 65.4719279880001,-77.320485998 65.471498841,-77.336672992 65.4713732420001,-77.3484710709999 65.47057012,-77.385563738 65.468045988,-77.424509738 65.4481099880001,-77.424508782 65.4481091960001,-77.424508967 65.448109102,-77.398617939 65.4266541120001,-77.374396179 65.415633132,-77.367490738 65.4124909880001,-77.362307447 65.410376549,-77.326955014 65.3959540500001,-77.2938454979999 65.3710820040001,-77.291872949 65.369600146,-77.2973273119999 65.3669907570001,-77.314581738 65.358736988,-77.3418097379999 65.358036988,-77.402596896 65.369373158,-77.4080549559999 65.3703910890001,-77.412422233 65.370761804,-77.462881738 65.3750459880001,-77.491391662 65.3417296700001,-77.5095819319999 65.320473168,-77.509581714 65.320473017,-77.509581738 65.3204729880001,-77.503240117 65.3160804990001,-77.444717904 65.275544993,-77.422772908 65.2644361210001,-77.3898640469999 65.2512361330001,-77.320888807 65.1955729420001,-77.316799875 65.192273099,-77.336672992 65.1760911970001,-77.374354685 65.1672842900001,-77.493545738 65.1394279880001,-77.543609738 65.1397099880001,-77.679718739 65.1233099880001,-77.973054739 65.0413639880001,-78.147290739 64.9479639880001,-78.147290547 64.94796346,-78.147290874 64.9479632850001,-78.125272955 64.8874821530001,-78.109854943 64.872473181,-78.109854739 64.8724729880001,-78.101122647 64.868787056,-78.0674277969999 64.854563602,-78.073627739 64.8135999880001,-78.184436739 64.7310909880001,-78.1701633179999 64.706853306,-78.1605549 64.690536094,-78.168581914 64.6262001260001,-78.180690914 64.569991083,-78.1806907389999 64.569990987,-77.970272957 64.4544361540001,-77.8421444959999 64.4157389040001,-77.8313907359999 64.41249099,-77.7472187389999 64.3377729870001,-77.724453919 64.332153281,-77.679717803 64.321109075,-77.660239932 64.3799013880001,-77.659855017 64.3810631480001,-77.58833578 64.3683181330001,-77.434155029 64.320263174,-77.380265411 64.2522232310001,-77.3769997379999 64.248099987,-77.372055052 64.2472639650001,-77.351945993 64.2438632990001,-77.333158726 64.2457921810001,-77.327499738 64.246372987,-77.3223401339999 64.247287547,-77.296108939 64.251936078,-77.2761097379999 64.2563819850001,-77.27610888 64.2563821750001,-77.138335872 64.2894271580001,-76.9683357879999 64.2597181720001,-76.8472268419999 64.230545126,-76.670546046 64.1841450890001,-76.6620070339999 64.1916427150001,-76.657499738 64.195599987,-76.671663738 64.2232549870001,-76.7160457379999 64.2354639870001,-76.7231042069999 64.2580945350001,-76.732226795 64.2873450930001,-76.70583587 64.300809111,-76.591945922 64.3105270900001,-76.548472862 64.305517309,-76.5413817369999 64.304699987,-76.538617834 64.303328386,-76.5047999449999 64.286545124,-76.489164008 64.267627168,-76.336921011 64.2767048050001,-76.300554737 64.2788729870001,-76.279475906 64.2848117120001,-76.201590967 64.3067540600001,-76.201592768 64.3067544150001,-76.2015907369999 64.306754987,-76.2644546559999 64.319154971,-76.2536179429999 64.3577540850001,-76.043881938 64.3683181330001,-75.95056403 64.399153982,-75.873386943 64.3747917750001,-75.861663737 64.3710909870001,-75.857566483 64.3707518780001,-75.838054917 64.3691360390001,-75.721217892 64.3780449970001,-75.721219366 64.3780459390001,-75.721218737 64.3780459870001,-75.866527737 64.4709639870001,-75.915407454 64.482754437,-75.895281858 64.488036019,-75.8747088119999 64.4869270930001,-75.789355233 64.470268031,-75.769445737 64.466381987,-75.7683474959999 64.4657310480001,-75.7469459759999 64.4530450930001,-75.7290555929999 64.4431757880001,-75.727781737 64.442472987,-75.702499737 64.4385909870001,-75.6915997419999 64.4421589090001,-75.638508959 64.4595360390001,-75.63851045 64.4595367540001,-75.6385097369999 64.459536987,-75.7291727369999 64.503054988,-75.8184094759999 64.5319279030001,-75.8372179 64.5613731450001,-75.843365895 64.5960504980001,-75.8451457369999 64.6060909880001,-75.8412155359999 64.6071319580001,-75.824172977 64.6116451180001,-75.801738931 64.612102609,-75.796954737 64.612199988,-75.7933887849999 64.611498586,-75.768763903 64.6066540300001,-75.7420819559999 64.590273112,-75.7420818479999 64.5902730560001,-75.742081737 64.590272988,-75.740957066 64.589726446,-75.712635829 64.575963189,-75.701658212 64.5725679170001,-75.6933277369999 64.569990988,-75.6663997369999 64.5638729880001,-75.5660997369999 64.549990988,-75.552046504 64.5481544190001,-75.4852730169999 64.5394271430001,-75.409163995 64.522763249,-75.381673029 64.5136092050001,-75.3490806309999 64.501476756,-75.346945816 64.500682017,-75.3437319399999 64.498228866,-75.328199736 64.486372988,-75.323020602 64.483272931,-75.295272873 64.4666631710001,-75.2118088989999 64.4292181920001,-75.150108871 64.4554000730001,-75.182072658 64.48217299,-75.173231162 64.482429032,-75.142499947 64.4833181800001,-75.056381927 64.4522090820001,-75.012229497 64.430790109,-75.0105637359999 64.4299819870001,-74.979999736 64.417481987,-74.950794074 64.41160598,-74.7977728879999 64.3808180660001,-74.712631105 64.3734207900001,-74.685818736 64.3710909870001,-74.685818732 64.3710912820001,-74.685817819 64.3710912020001,-74.685618239 64.3864006860001,-74.685545743 64.3919364540001,-74.58582691 64.4802732030001,-74.553216299 64.5051317910001,-74.5169547359999 64.532772988,-74.501452657 64.541968308,-74.472846063 64.5589360230001,-74.4728466989999 64.5589364160001,-74.472845736 64.558936988,-74.511361888 64.5827177830001,-74.512790861 64.583600109,-74.545272916 64.6022002220001,-74.6130550199999 64.6402731740001,-74.667781975 64.6670731360001,-74.6944459819999 64.676373192,-74.701019606 64.677921203,-74.7333187359999 64.685527988,-74.7923616209999 64.703491967,-74.834726855 64.716382196,-74.893345081 64.746542516,-74.9789899799999 64.790609599,-74.9495818949999 64.804009126,-74.9229927119999 64.796455694,-74.912909736 64.7935909880001,-74.902032595 64.788660625,-74.8933358039999 64.7847181760001,-74.868326888 64.7819360550001,-74.8451188669999 64.7794407050001,-74.837218736 64.7785909880001,-74.812459831 64.7772141250001,-74.7226358309999 64.7722180760001,-74.7115671769999 64.7918434750001,-74.708545736 64.797199988,-74.718472736 64.818881988,-74.7370454429999 64.8469635450001,-74.687103811 64.878354846,-74.654445736 64.898881988,-74.6489599669999 64.9000161930001,-74.630963962 64.903736005,-74.547008808 64.8916539940001,-74.480000723 64.8376277990001,-74.501109201 64.8336000900001,-74.5085705129999 64.8335060540001,-74.567509736 64.8327639880001,-74.6833187359999 64.7583279880001,-74.698601766 64.739491238,-74.702090948 64.7351911860001,-74.702090728 64.7351909980001,-74.657499736 64.7002729880001,-74.645812489 64.6928081170001,-74.5352818549999 64.6222091660001,-74.433547188 64.586498685,-74.387918735 64.570481988,-74.232499735 64.586381988,-74.2287942249999 64.5901591690001,-74.210835816 64.6084631800001,-74.195263916 64.6630360760001,-74.143556487 64.716780666,-74.1174907349999 64.7438729880001,-74.113563074 64.7450515100001,-74.092917861 64.7512450460001,-74.05808941 64.7304815110001,-74.053881997 64.727973144,-74.0555550239999 64.610536025,-74.073754782 64.5340189900001,-74.105836735 64.535809988,-74.128054735 64.5330549880001,-74.128054596 64.533054093,-74.128054967 64.5330540470001,-74.1200248649999 64.4815946370001,-74.102218735 64.3674819870001,-74.085732019 64.3536668500001,-74.0627730159999 64.3344270810001,-73.999435836 64.3280451000001,-73.972781886 64.4302632480001,-73.925555059 64.4602632530001,-73.844726857 64.5019360640001,-73.928326786 64.59622711,-73.91028189 64.6058181870001,-73.890166681 64.6032622170001,-73.8818097349999 64.6021999880001,-73.864645734 64.5948923940001,-73.855417807 64.590963275,-73.837781948 64.5797090610001,-73.8278397249999 64.572419499,-73.821118735 64.567490988,-73.803704362 64.5567543830001,-73.795417797 64.5516451080001,-73.773703445 64.5434953490001,-73.754727735 64.536372988,-73.7547271889999 64.5363732430001,-73.754726842 64.5363731130001,-73.667499896 64.577209075,-73.655563898 64.6276270610001,-73.600558189 64.629509823,-73.594999735 64.629699988,-73.584183891 64.6282663630001,-73.4672274819999 64.612763343,-73.4487187349999 64.565418988,-73.46796195 64.5560662280001,-73.473054997 64.5535912190001,-73.472154948 64.506791197,-73.472154739 64.5067912110001,-73.4721547349999 64.506790988,-73.424163735 64.5099909880001,-73.312572734 64.5340819880001,-73.2988907339999 64.552199988,-73.30003591 64.5588833890001,-73.305126919 64.588600081,-73.31213817 64.595733088,-73.320272734 64.604009988,-73.3443727339999 64.636581988,-73.337130873 64.6401746070001,-73.301526892 64.6578361110001,-73.1661097369999 64.6071364840001,-73.166214741 64.5847806510001,-73.166245991 64.578182214,-73.3269549039999 64.476091136,-73.344133068 64.4702216590001,-73.4155547349999 64.4458189870001,-73.41555476 64.4458181210001,-73.415554973 64.445818048,-73.417772992 64.3710912020001,-73.379372979 64.2701271550001,-73.33971786 64.2580451440001,-73.271735764 64.274536036,-73.2238908539999 64.3116450680001,-72.902846025 64.161936063,-72.88826597 64.122581854,-72.876909734 64.0919279870001,-72.9224277339999 64.084018987,-72.938190734 64.0606099870001,-72.938190331 64.0606098260001,-72.938190834 64.0606090790001,-72.8361178609999 64.019718132,-72.7794459689999 64.010545145,-72.7558460499999 64.002218059,-72.719999835 63.9611091830001,-72.696108897 63.965545053,-72.667154953 63.9897090750001,-72.667155489 63.989709357,-72.667154734 63.9897099870001,-72.70249969 64.008327964,-72.6985416489999 64.0221538980001,-72.682699734 64.077490987,-72.6783111359999 64.077722937,-72.66152684 64.0786090490001,-72.592772958 64.0201360710001,-72.6116637339999 63.9430459870001,-72.6411097339999 63.9044369870001,-72.6375097339999 63.873599987,-72.6347367339999 63.8524909870001,-72.585554734 63.852772987,-72.5736097989999 63.8505354960001,-72.529164016 63.842209204,-72.464237224 63.810163888,-72.4911066299999 63.8047233680001,-72.496654972 63.8036001460001,-72.503665169 63.80085103,-72.5248907339999 63.792527987,-72.524889248 63.7925278050001,-72.5248909219999 63.7925271490001,-72.436108965 63.7816631960001,-72.3673548949999 63.7881181000001,-72.367355167 63.7881189460001,-72.3673547339999 63.7881189870001,-72.370407675 63.7976302530001,-72.37450885 63.8104091010001,-72.364717949 63.8455450330001,-72.242146025 63.949718176,-72.2230549 63.9294361500001,-72.216802286 63.912368138,-72.209727733 63.893054987,-72.215009733 63.867763987,-72.2700097329999 63.7872189870001,-72.297081734 63.7751279870001,-72.321254734 63.7773549870001,-72.3590277339999 63.756272987,-72.3266394459999 63.6868230640001,-72.3216730199999 63.6761732570001,-72.321672849 63.676173234,-72.3216727339999 63.676172987,-72.313245314 63.675078759,-72.2869459569999 63.6716632900001,-72.230555027 63.6715181150001,-72.213199961 63.6815180610001,-72.187687921 63.7206321620001,-72.16944575 63.7485999610001,-72.154172922 63.7355451270001,-72.093773321 63.7019031900001,-72.0519367329999 63.678599987,-72.007638088 63.663835444,-71.9636178969999 63.6491632440001,-71.9347894429999 63.6517891350001,-71.927081733 63.6524909870001,-71.881099733 63.6799909870001,-71.863498964 63.7250454630001,-71.8500638949999 63.759436065,-71.850064085 63.759436087,-71.850063733 63.7594369870001,-71.9259913619999 63.7681610490001,-71.9437358549999 63.7702001060001,-71.9437360969999 63.770199914,-71.943736733 63.7701999870001,-71.9589761459999 63.758168626,-71.9698639229999 63.749573248,-71.975451046 63.750068255,-71.998890516 63.752145968,-71.985545961 63.7819361110001,-71.964446029 63.7991632690001,-71.938599927 63.8080450690001,-71.900554971 63.809227085,-71.832545136 63.7845218370001,-71.826954733 63.7824909870001,-71.700563733 63.6963819870001,-71.69186611 63.6980382690001,-71.6629908799999 63.7035361470001,-71.624717937 63.722354023,-71.5830639009999 63.7158270350001,-71.572404338 63.693996864,-71.565836733 63.6805459870001,-71.583618733 63.649718987,-71.57828116 63.608772184,-71.57514602 63.584718143,-71.463054996 63.578463232,-71.444990989 63.5910360870001,-71.408472881 63.6339450610001,-71.3774908519999 63.632763212,-71.373745609 63.621691227,-71.367909733 63.604436987,-71.405525703 63.579873735,-71.416399982 63.5727732610001,-71.4163996459999 63.572773043,-71.4163997329999 63.5727729870001,-71.414791231 63.57172947,-71.410835907 63.569163175,-71.379990838 63.5655450420001,-71.330417916 63.5768000940001,-71.326030765 63.602655697,-71.325845887 63.6037450750001,-71.301108915 63.6119360270001,-71.25337297 63.6117180970001,-71.229855571 63.602627296,-71.316954733 63.530818987,-71.411663733 63.4858279870001,-71.6072277329999 63.424163987,-71.634736733 63.4197189870001,-71.683063733 63.4197189870001,-71.711118733 63.4227639870001,-71.748045733 63.4280459870001,-71.785281733 63.431936987,-71.825836733 63.435263987,-71.933318733 63.4433189870001,-72.023054733 63.4480459870001,-72.139999733 63.443118987,-72.139998522 63.443118187,-72.1399999619999 63.4431181260001,-72.0713908989999 63.3978360680001,-72.00917287 63.3911090870001,-71.8006909649999 63.3837450830001,-71.79499982 63.3266631480001,-71.7879415639999 63.3068135570001,-71.7700097329999 63.2563819860001,-71.710281911 63.1770822180001,-71.710281733 63.1770819860001,-71.6980081679999 63.1718644040001,-71.6249999039999 63.1408271340001,-71.612025391 63.136876036,-71.6058367329999 63.134990986,-71.564507237 63.12582745,-71.45987289 63.102627113,-71.411045954 63.0597821760001,-71.411045733 63.0597819860001,-71.395635633 63.0540257260001,-71.259181965 63.003054127,-71.238326784 63.001518059,-71.204617742 63.019765152,-71.199581732 63.022490986,-71.1747586179999 63.0411068330001,-71.1329091659999 63.072490976,-71.035699732 63.070690986,-71.026433558 63.078042226,-70.9919358779999 63.105409067,-71.000908873 63.1279731500001,-70.98360896 63.1523540950001,-70.9619459309999 63.160827026,-70.9147179299999 63.169854,-70.8563819729999 63.139436114,-70.863890732 63.112209986,-71.0112997319999 63.0440189860001,-71.070938514 63.033572034,-71.091381962 63.029991217,-71.0989884699999 63.0300794980001,-71.127390732 63.0304099860001,-71.137445522 63.0121282710001,-71.1503459689999 62.9886731280001,-71.1503457009999 62.9886730440001,-71.1503457319999 62.988672986,-71.1475503309999 62.9877972030001,-71.120835802 62.9794270500001,-71.065972893 62.9802632290001,-71.022421476 62.9882706210001,-71.013063732 62.9899909860001,-70.976090732 62.986599986,-70.965063906 62.9832148250001,-70.847782013 62.9472092300001,-70.855981732 62.925136986,-70.878454099 62.916292878,-70.886081996 62.9132911520001,-70.886081659 62.913291015,-70.886081732 62.9132909860001,-70.8533367319999 62.899990986,-70.84794956 62.8992132750001,-70.830290874 62.8966633000001,-70.6655549609999 62.8805450680001,-70.503746007 62.8651361120001,-70.477781889 62.848327043,-70.407602744 62.8138578840001,-70.3594367319999 62.7901999860001,-70.301718297 62.771657831,-70.234726813 62.750136065,-70.221074469 62.7482635060001,-70.217499732 62.747772986,-70.1219367309999 62.7488819860001,-69.906390731 62.7685999860001,-69.727490731 62.779990986,-69.6755289449999 62.7765166300001,-69.4825005129999 62.7636091740001,-69.4959638729999 62.7496190110001,-69.503890903 62.741382173,-69.510012849 62.7401854130001,-69.5344457309999 62.735409986,-69.561390731 62.722218986,-69.590627731 62.6579099860001,-69.590626788 62.6579092540001,-69.5906268369999 62.6579091460001,-69.541549298 62.619850576,-69.5415492659999 62.6198505510001,-69.5191637309999 62.6024909860001,-69.496315771 62.5880344060001,-69.436735765 62.5503361350001,-69.430898982 62.582280294,-69.430554891 62.5841631120001,-69.4180796489999 62.5762060540001,-69.408336731 62.5699909860001,-69.360827731 62.536381986,-69.327205088 62.5147594750001,-69.2705549789999 62.478327037,-69.2316730059999 62.4552731160001,-69.231672728 62.4552729910001,-69.193054896 62.438045119,-69.162526569 62.426249398,-69.159999731 62.425272986,-69.1568053199999 62.4240773770001,-69.1213819119999 62.4108181830001,-69.038999874 62.3813541170001,-68.995835755 62.3733180510001,-68.9224999689999 62.3655450100001,-68.882217883 62.3605450370001,-68.7591728849999 62.3280450450001,-68.724235772 62.3042270290001,-68.668344191 62.283426757,-68.61582773 62.2638819850001,-68.5563817299999 62.250272985,-68.548306722 62.2490474360001,-68.519726889 62.244709146,-68.469454916 62.242763203,-68.401672979 62.2394360910001,-68.337540684 62.235704024,-68.3252907299999 62.2349909850001,-68.321050419 62.2345348740001,-68.2994358879999 62.232209046,-68.2630639609999 62.2219360180001,-68.233063956 62.2197091140001,-68.137004743 62.2168001570001,-68.11389073 62.216099985,-68.00306373 62.2138819850001,-67.798336729 62.1660999850001,-67.787596088 62.164648561,-67.757235884 62.160545115,-67.731654986 62.158354085,-67.499999969 62.1386540980001,-67.4630550539999 62.13943613,-67.345272885 62.1194360710001,-67.254726873 62.078045059,-67.098335815 62.03151812,-66.811317824 62.015618153,-66.781390909 62.015545063,-66.751254949 62.0094450490001,-66.661454927 61.9388090740001,-66.629435889 61.918045088,-66.549446045 61.900127094,-66.5216638919999 61.896944988,-66.4286283609999 61.8777599580001,-66.399727728 61.8717999850001,-66.373857772 61.8688443710001,-66.281808859 61.8583270460001,-66.0619357799999 61.869154118,-65.9591639239999 61.8889540170001,-65.953904473 61.8978566440001,-65.948045728 61.9077729850001,-65.982085464 61.9462103450001,-65.995826877 61.96172704,-65.9958277279999 61.961727985,-66.0244248289999 61.956159547,-66.032572967 61.9545732550001,-66.109332883 62.0169491,-66.1099997279999 62.0174909850001,-66.13249052 62.08942732,-66.047217828 62.1497180430001,-65.966245961 62.1858271140001,-65.9364908749999 62.199709055,-65.936491572 62.199709591,-65.936490728 62.199709985,-65.9965277279999 62.2459639850001,-66.018668066 62.248025091,-66.025626884 62.2486731160001,-66.025627118 62.2486729290001,-66.025627728 62.248672985,-66.051836728 62.227736985,-66.077780645 62.226559099,-66.081681867 62.226382115,-66.092741061 62.227541467,-66.166399728 62.2352639850001,-66.196240893 62.241741544,-66.2125089589999 62.245273248,-66.227737087 62.2508681890001,-66.254097395 62.2605541280001,-66.20195497 62.2605541280001,-66.163746064 62.262909108,-66.16374611 62.262909962,-66.163745728 62.2629099850001,-66.165281728 62.291381985,-66.208345728 62.332218986,-66.289854728 62.344154986,-66.3106491029999 62.3449226650001,-66.312499868 62.3449910740001,-66.31465532 62.3446664030001,-66.332781728 62.3419369860001,-66.348483199 62.327995227,-66.357845964 62.3196822530001,-66.352192729 62.3117612730001,-66.3186187279999 62.2647189850001,-66.327357837 62.2670123500001,-66.329181867 62.267491159,-66.339190312 62.271584067,-66.374709728 62.2861099850001,-66.470862691 62.344263358,-66.44066463 62.348076441,-66.430972728 62.3492999860001,-66.413825206 62.3546864130001,-66.330835784 62.3807539730001,-66.354926883 62.445336034,-66.354927373 62.445336034,-66.354927728 62.445336986,-66.4249997279999 62.445263986,-66.606945728 62.6049999860001,-66.6069458169999 62.6050000050001,-66.6069460689999 62.6050002260001,-66.633880698 62.610756441,-66.77228995 62.6403368190001,-66.75131972 62.656014144,-66.740381728 62.6641909860001,-66.740382142 62.664191067,-66.740381945 62.6641912150001,-66.8190268279999 62.6795731810001,-66.913326927 62.669991156,-66.9259294029999 62.673142963,-66.957781729 62.6811099860001,-67.011222588 62.7334611570001,-67.012217794 62.73443609,-67.04833575 62.7713821780001,-67.194717811 62.8702732130001,-67.276693487 62.9093530660001,-67.398054729 62.9672099860001,-67.4665277289999 62.9852639860001,-67.5697367289999 62.964718986,-67.634535199 62.9305735390001,-67.6471999349999 62.9239001270001,-67.649631443 62.924948424,-67.66950869 62.933518538,-67.655156577 62.96044363,-67.6513997289999 62.967490986,-67.635939236 62.974172847,-67.630826925 62.9763822260001,-67.6308268929999 62.976382239,-67.593609291 62.987500046,-67.5733367289999 62.990272986,-67.540972729 62.993599986,-67.504863729 63.012490986,-67.5299997289999 63.036945986,-67.559163729 63.0490189860001,-67.6594367289999 63.0341639860001,-67.692490729 63.0237459860001,-67.731318729 62.9922189860001,-67.726436742 62.9602000720001,-67.763472766 62.95728225,-67.773054636 63.0258273170001,-67.723472907 63.053327106,-67.690826903 63.0575631520001,-67.630145947 63.0604091430001,-67.605935826 63.083563145,-67.6059370149999 63.083563713,-67.605936729 63.0835639860001,-67.631222136 63.095644146,-67.639446004 63.099573251,-67.7063420169999 63.0955971830001,-67.912781729 63.083327986,-67.9209637289999 63.135199986,-67.920963935 63.1352000540001,-67.920963958 63.135200195,-67.927222655 63.1372712130001,-67.952227729 63.1455459860001,-68.0733367299999 63.163609986,-68.105811043 63.1550571920001,-68.115555037 63.152491223,-68.119524289 63.151138384,-68.12859973 63.1480459860001,-68.148224166 63.1535593070001,-68.149372813 63.1538820640001,-68.18639073 63.188327986,-68.1984876 63.209085831,-68.205408872 63.2209631580001,-68.2054097239999 63.2209639930001,-68.27055473 63.2849999860001,-68.28860973 63.298336986,-68.35943673 63.3447099860001,-68.413174751 63.374916743,-68.495835783 63.4213821750001,-68.555466741 63.4513327430001,-68.55777273 63.452490987,-68.63784112 63.4905780180001,-68.717772935 63.528600102,-68.717772989 63.528600129,-68.76041873 63.5526279870001,-68.790385691 63.585880407,-68.793335847 63.589154013,-68.801068336 63.6076360860001,-68.8097817299999 63.628463987,-68.816850957 63.635760856,-68.82471786 63.6438821420001,-68.8696558669999 63.672464265,-68.92625473 63.7084639870001,-68.993044853 63.7465184870001,-68.962508805 63.7591631510001,-68.920135769 63.758054057,-68.876099932 63.7447090620001,-68.799999962 63.7294360600001,-68.7220688209999 63.73730921,-68.71441873 63.738081987,-68.64584573 63.747490987,-68.54277273 63.7324909870001,-68.42832773 63.6963819870001,-68.3957637299999 63.6608909870001,-68.36582773 63.6452729870001,-68.235755581 63.6008415090001,-68.068608836 63.5437450530001,-68.038263999 63.544018136,-67.950835887 63.5066631780001,-67.859645977 63.4569360290001,-67.844243884 63.434134101,-67.837509729 63.424163987,-67.832293839 63.41596808,-67.8238909569999 63.402763286,-67.741799939 63.367909153,-67.7204088189999 63.3640181060001,-67.6898549379999 63.3676360700001,-67.669781956 63.3896451040001,-67.669782082 63.3896456000001,-67.669781729 63.3896459860001,-67.6783907289999 63.423463987,-67.710554729 63.4585999870001,-67.7275551929999 63.4800001770001,-67.820008963 63.5963822320001,-67.87780291 63.6871724170001,-67.920863155 63.7548180850001,-67.8975088779999 63.753054084,-67.838899929 63.729718195,-67.6833181809999 63.6194363590001,-67.6368462039999 63.566263839,-67.6216549119999 63.5488821540001,-67.621654726 63.548881991,-67.499999969 63.4427632360001,-67.431672873 63.412763231,-67.210177476 63.288791718,-67.203890729 63.2852729860001,-67.2004485639999 63.283997045,-67.175417808 63.274718147,-67.072414995 63.2743939530001,-67.042636729 63.2742999860001,-67.0426360449999 63.274300226,-67.042635888 63.274300226,-67.0156999719999 63.283745122,-67.015700146 63.2837458400001,-67.0156997289999 63.283745986,-67.0205637289999 63.3038819860001,-67.0391636639999 63.331727889,-67.014172957 63.398609047,-66.9776369539999 63.396727196,-67.020418729 63.2469729860001,-66.9546309899999 63.2056459900001,-66.864154995 63.148809053,-66.8441639879999 63.1472181680001,-66.8269549349999 63.151663259,-66.801872928 63.1692270340001,-66.801873157 63.1692276860001,-66.801872728 63.1692279860001,-66.8096547279999 63.1913099860001,-66.839099727 63.2208909880001,-66.845763591 63.2555542700001,-66.811909316 63.2728358700001,-66.796317572 63.230693521,-66.789173003 63.2113821400001,-66.77888187 63.1436090880001,-66.769863948 63.0919361630001,-66.6776358549999 63.0247181610001,-66.5645836159999 62.9983374170001,-66.5454907279999 62.9938819860001,-66.548411788 63.0151038990001,-66.5583358919999 63.0872091050001,-66.6044358569999 63.206663296,-66.604436725 63.206663991,-66.643063728 63.237636986,-66.6784637279999 63.245409986,-66.725827092 63.270545649,-66.738817881 63.2913181710001,-66.653818389 63.3733905550001,-66.6454324439999 63.362732996,-66.637646 63.3528361910001,-66.639354635 63.347823777,-66.646663885 63.326382187,-66.626390911 63.252218102,-66.5519367049999 63.1794369040001,-66.5218097279999 63.0699909860001,-66.498965443 63.0549453140001,-66.464446003 63.032209068,-66.4444459439999 63.0205451470001,-66.400835907 62.998463191,-66.37380075 62.992794233,-66.3723547279999 62.9924909860001,-66.356869159 62.996611574,-66.348336473 62.9988819540001,-66.334129328 62.997109762,-66.2893088179999 62.991518113,-66.220835877 62.9694361570001,-66.192217881 62.954436071,-66.1640268579999 62.9377632920001,-66.146649955 62.936696178,-66.1415367279999 62.9363819860001,-66.141536157 62.93638214,-66.141535865 62.9363821220001,-66.133163111 62.938634135,-66.106181728 62.9458909860001,-66.096254728 62.9865909860001,-66.096255001 62.9865911420001,-66.09625498 62.986591231,-66.0986856709999 62.9879805480001,-66.121654728 63.0011099860001,-66.189709728 63.0276369860001,-66.206954728 63.040836986,-66.291108879 63.1229091590001,-66.273054967 63.1322180810001,-66.173053564 63.0917215970001,-66.162090913 63.0872820610001,-66.160402474 63.083552496,-66.1497367279999 63.0599909860001,-66.105477515 63.0312606480001,-66.0459638959999 62.9926270390001,-66.031052011 62.9856215180001,-66.022918728 62.9817999860001,-65.980554728 62.974290986,-65.9516997279999 62.9865909860001,-65.9446102799999 62.992610648,-65.9260998299999 63.008327014,-65.874480681 63.0252880100001,-65.8580637279999 63.030681986,-65.836527727 63.027981986,-65.910281728 62.9677639860001,-65.933318728 62.955827986,-65.9094367279999 62.9258279860001,-65.909436441 62.925827972,-65.909435768 62.9258271260001,-65.76811966 62.9188226200001,-65.746945849 62.917772992,-65.607354995 62.8202731490001,-65.607354942 62.8202731360001,-65.607354727 62.8202729860001,-65.5729187269999 62.811799986,-65.550569684 62.813054111,-65.436663906 62.8194450170001,-65.391955002 62.8436092050001,-65.3503745909999 62.8387392290001,-65.3397187269999 62.837490986,-65.353437608 62.7071457440001,-65.355272944 62.689709081,-65.342090892 62.6712450890001,-65.328674082 62.666323903,-65.328063727 62.6660999860001,-65.3248638429999 62.691518063,-65.2719466839999 62.691654016,-65.292699727 62.6706189860001,-65.292699398 62.6706185880001,-65.2926998569999 62.6706181230001,-65.208954921 62.569363223,-65.1874999309999 62.5622091010001,-65.145008879 62.5658270660001,-65.1147178539999 62.5716632180001,-65.079512129 62.582053095,-65.070972727 62.5845729860001,-65.044014072 62.5966634860001,-64.97278189 62.6286091970001,-64.948881899 62.648609089,-64.948882178 62.6486096080001,-64.948881727 62.6486099860001,-64.970560797 62.6890030760001,-64.981526898 62.7094360580001,-64.981527522 62.7094366040001,-64.981527727 62.7094369860001,-65.122218727 62.832627986,-65.150972727 62.8451279860001,-65.170824279 62.8603236930001,-65.188535767 62.8738821250001,-65.259487252 62.949656588,-65.269163727 62.959990986,-65.2640423089999 62.9646691570001,-65.25236396 62.9753360110001,-65.232426765 62.9573539790001,-65.162217932 62.943045064,-65.0599363159999 62.9200968710001,-65.005009727 62.9077729860001,-64.923327727 62.878872986,-64.9038817269999 62.8724909860001,-64.881945727 62.8674909860001,-64.8552727269999 62.865272986,-64.835967776 62.864583957,-64.769455024 62.862209152,-64.733608986 62.878873131,-64.7291101229999 62.8797531500001,-64.63061785 62.8990181120001,-64.6394499739999 62.916014971,-64.639999726 62.9170729860001,-64.6399997669999 62.917073013,-64.639999882 62.917073234,-64.6441486319999 62.9198755580001,-64.676390726 62.9416549860001,-64.6908039429999 62.9485242480001,-64.699717924 62.952773269,-64.728815877 62.9651775990001,-64.771390727 62.9833279860001,-64.770800212 62.9875762180001,-64.762508941 63.047218039,-64.754967611 63.0930768960001,-64.754172726 63.097909986,-64.7906997269999 63.1263819860001,-64.790699962 63.1263821000001,-64.8116639409999 63.137500189,-64.915835911 63.1824912280001,-64.922460395 63.1826829400001,-64.944718727 63.1833279860001,-65.007572727 63.173809986,-65.046090319 63.173298248,-65.054163903 63.173191172,-65.055768873 63.174880177,-65.083326788 63.2038821800001,-65.143408941 63.286936112,-65.111035852 63.2822181070001,-65.075699927 63.2566631920001,-65.046390926 63.2483270540001,-64.9329075159999 63.2386996000001,-64.908054727 63.2365909860001,-64.909163727 63.2805459860001,-64.9474907269999 63.3576279860001,-64.9650097269999 63.369436986,-65.0269457269999 63.3991639860001,-65.100963727 63.5379819870001,-65.088890727 63.561799987,-65.075002591 63.566934986,-65.069736265 63.5688820660001,-65.067020735 63.5693513580001,-65.039172934 63.5741631480001,-65.039173102 63.5741639220001,-65.0391727269999 63.5741639870001,-65.053054727 63.6380459870001,-65.131749725 63.7119557560001,-65.135281848 63.715273159,-65.1372661299999 63.7162515150001,-65.155672727 63.7253279870001,-65.215563727 63.754718987,-65.279705271 63.7878694880001,-65.281681764 63.788891037,-65.283969547 63.7920016090001,-65.297326835 63.8101631760001,-65.204726922 63.803318179,-65.160418808 63.7743276570001,-65.165544126 63.7534753790001,-65.166945996 63.7477731500001,-65.1615522769999 63.74356599,-65.067227727 63.6699909870001,-65.0602316539999 63.6673784980001,-65.046390926 63.6622091730001,-65.00323538 63.6540485030001,-64.9949997269999 63.6524909870001,-64.989675828 63.6509643970001,-64.964026825 63.6436090600001,-64.942490866 63.632209168,-64.8505549659999 63.5108271400001,-64.826955047 63.4524911060001,-64.767499861 63.3238822000001,-64.767499809 63.323882165,-64.767499727 63.3238819860001,-64.711948273 63.28585909,-64.6583357979999 63.249163233,-64.534581859 63.249027111,-64.4886087959999 63.286591113,-64.4957559709999 63.2873577400001,-64.5255547259999 63.2905549860001,-64.572236905 63.2965317170001,-64.579799879 63.29750016,-64.582537965 63.2991228010001,-64.617289389 63.3197181940001,-64.5888999439999 63.3219360900001,-64.533268789 63.311843132,-64.510836726 63.307772986,-64.510836473 63.307773318,-64.510835759 63.3077731880001,-64.50112998 63.320469012,-64.4955457259999 63.3277729860001,-64.500281726 63.4365189870001,-64.510147057 63.471226062,-64.5225088999999 63.514718187,-64.5281475159999 63.5312039930001,-64.5294457259999 63.534999987,-64.536663661 63.581109568,-64.527204211 63.5993141690001,-64.5184817259999 63.616099987,-64.516762045 63.6202914310001,-64.507708806 63.642354121,-64.532635748 63.6796450410001,-64.53263629 63.679645334,-64.532636726 63.6796459870001,-64.5594367259999 63.694154987,-64.584445726 63.7047099870001,-64.645419515 63.7303331940001,-64.683608912 63.7463822570001,-64.778063909 63.7477731500001,-64.804975876 63.752060741,-64.9515274679999 63.7754099460001,-64.985408892 63.8238181350001,-64.974717942 63.8519360670001,-64.8820908709999 63.898045084,-64.8175088099999 63.923609051,-64.715831164 63.957954617,-64.6949997259999 63.9649909870001,-64.6880466269999 63.96521241,-64.6644460379999 63.9659633100001,-64.6340909749999 63.974609076,-64.634091438 63.9746097840001,-64.634090726 63.9746099870001,-64.661747009 64.016943504,-64.673126839 64.034363161,-64.6731271749999 64.0343631440001,-64.673127726 64.0343639870001,-64.7804850799999 64.0288110640001,-64.800554902 64.0277731410001,-64.949154982 64.0150001260001,-65.092363989 64.0092912120001,-65.113412249 64.011656782,-65.189990727 64.0202639870001,-65.212244508 64.035327162,-65.15833577 64.038318078,-65.136672908 64.0413632240001,-65.1081235359999 64.048396466,-65.0988817269999 64.050672987,-65.0739309859999 64.0608733130001,-65.053317899 64.0693001070001,-65.094604359 64.095428133,-65.161945727 64.1380459870001,-65.265017541 64.1788635180001,-65.250738632 64.2005535260001,-65.2474997269999 64.2054729870001,-65.247499981 64.2054731170001,-65.2474999409999 64.205473177,-65.264494538 64.214140281,-65.428463727 64.2977639870001,-65.465836727 64.303036987,-65.497228368 64.302594465,-65.505845956 64.3024732550001,-65.5235416749999 64.301283045,-65.582090727 64.297345987,-65.6102727269999 64.2933189870001,-65.654288413 64.304172157,-65.657572554 64.3049820190001,-65.638296039 64.3084789310001,-65.558745991 64.322909173,-65.525008831 64.323318042,-65.504002288 64.322879841,-65.4988907269999 64.3227729870001,-65.451672727 64.319990987,-65.408890727 64.3124819870001,-65.381809727 64.3049819870001,-65.343336727 64.294981987,-65.3307607689999 64.294036265,-65.2935358679999 64.2912361400001,-65.200826822 64.307682104,-65.0722268019999 64.4346270340001,-65.076447588 64.4611837200001,-65.078199727 64.472209987,-65.144454727 64.511381988,-65.1444548059999 64.5113820170001,-65.144455003 64.511382134,-65.2072178559999 64.5349911050001,-65.218577782 64.5343515450001,-65.374999727 64.525545988,-65.39452184 64.521696843,-65.3961177899999 64.5213822470001,-65.396118055 64.5213821200001,-65.396118727 64.521381988,-65.446044657 64.497430733,-65.50557278 64.468873188,-65.5063498 64.4718055270001,-65.513335857 64.49817326,-65.573335867 64.4986000660001,-65.6433460489999 64.4949821020001,-65.66500891 64.4922001480001,-65.666117309 64.492020908,-65.701945727 64.4862279880001,-65.726227858 64.5035325710001,-65.727572717 64.5044910410001,-65.7141728949999 64.5705451630001,-65.6586178759999 64.6004001250001,-65.5796549839999 64.649918062,-65.579654793 64.6499189460001,-65.5796547269999 64.6499189880001,-65.5620457269999 64.7315459880001,-65.5988907239999 64.756381993,-65.598890949 64.7563821470001,-65.6007134079999 64.7572233490001,-65.6349907269999 64.773045988,-65.653335794 64.773161057,-65.656672939 64.7731821630001,-65.660628139 64.7715202260001,-65.680127727 64.7633279880001,-65.709654727 64.7249189880001,-65.7096546929999 64.724918492,-65.70965495 64.724918158,-65.707364093 64.691437394,-65.731945727 64.718736988,-65.739372589 64.7442275130001,-65.720272977 64.766663221,-65.690826848 64.78846321,-65.668608937 64.8101270770001,-65.6686100109999 64.8101277110001,-65.6686097269999 64.810127988,-65.722499727 64.841936988,-65.8022586869999 64.8697822140001,-65.838608854 64.8824731280001,-65.9378460619999 64.890400061,-65.9417802799999 64.8887182650001,-65.957645728 64.8819369880001,-65.957645425 64.8819362450001,-65.957645961 64.8819360160001,-65.920049138 64.789512631,-65.8943097279999 64.726236988,-65.894308962 64.7262361630001,-65.8943089479999 64.726236129,-65.893590403 64.725462678,-65.851727793 64.680400058,-65.8558245199999 64.6797981550001,-65.899990728 64.673309988,-66.012508839 64.6994187820001,-66.009659716 64.765877942,-66.008899728 64.783599988,-66.011223677 64.796799241,-66.020208822 64.847836086,-66.02020952 64.84783581,-66.0202097279999 64.847836988,-66.058336728 64.8327639880001,-66.086254728 64.814427988,-66.101898599 64.797579134,-66.116946043 64.7813731260001,-66.1283635029999 64.7651428010001,-66.140972728 64.747218988,-66.150009728 64.725536988,-66.148924499 64.704848703,-66.148546024 64.6976277520001,-66.167781728 64.6823459880001,-66.205972066 64.6870041650001,-66.215554749 64.688173212,-66.219163728 64.7260909880001,-66.217680198 64.733731155,-66.2133357499999 64.756100179,-66.194854995 64.778036123,-66.1772177939999 64.796373213,-66.148345998 64.8688632660001,-66.148345728 64.868863988,-66.177781728 64.8802639880001,-66.334727728 64.9347099880001,-66.364372728 64.9208189880001,-66.383890728 64.9127549880001,-66.490409042 64.942645795,-66.49610881 64.9830450700001,-66.496109686 64.983045691,-66.496109728 64.9830459880001,-66.532918728 65.009154988,-66.6005296609999 65.025925892,-66.618054941 65.0302732390001,-66.6670729809999 65.0379001000001,-66.6941730149999 65.035373124,-66.676099955 64.8760820940001,-66.641455306 64.778454808,-66.694645728 64.7618639880001,-66.734581728 64.8226279880001,-66.7391637279999 64.8599819880001,-66.728890728 64.9022729880001,-66.7430547279999 64.963045988,-66.767499728 65.0244279880001,-66.8016634319999 65.0608096720001,-66.7533460669999 65.1133090660001,-66.753345802 65.1133099080001,-66.7533457279999 65.1133099880001,-66.743770931 65.1437679920001,-66.732363984 65.1800539930001,-66.732364043 65.1800539860001,-66.7323637279999 65.1800549880001,-66.753114049 65.1775893380001,-66.7563908769999 65.177200123,-66.772402094 65.169111785,-66.835554728 65.1372099880001,-66.890563728 65.1033189880001,-67.080418121 65.0572001360001,-67.084805268 65.057677266,-67.10465414 65.0598369240001,-67.069454961 65.099018088,-67.055667163 65.1041921390001,-67.0498547289999 65.106372988,-67.044190584 65.106821547,-67.0252819959999 65.1083181450001,-66.9711044489999 65.115365173,-66.9532907289999 65.1176819880001,-66.932845729 65.2327549880001,-67.063890729 65.2183189880001,-67.077790729 65.2502729880001,-67.122772729 65.310954988,-67.285418729 65.3501189880001,-67.302252516 65.3385913960001,-67.3058908479999 65.33610022,-67.32458199 65.318182226,-67.407217832 65.3395000880001,-67.370880547 65.347117053,-67.316099729 65.358599988,-67.3088207929999 65.3588329310001,-67.255572942 65.36053615,-67.222013862 65.358803977,-67.2180637289999 65.358599988,-67.206066741 65.358988992,-67.121872869 65.3617181660001,-67.078335755 65.392209183,-67.0605550559999 65.4220631760001,-67.0605550889999 65.4220633830001,-67.0605547289999 65.422063988,-67.065972729 65.456518988,-67.1488997289999 65.4680369880001,-67.1824907289999 65.4591549880001,-67.214808837 65.4568437040001,-67.221390871 65.4563731550001,-67.347499957 65.458600227,-67.455899538 65.4988731160001,-67.387118035 65.5446788310001,-67.327635852 65.5842912240001,-67.3191300789999 65.5870357250001,-67.2569457289999 65.6070999890001,-67.264095889 65.6183551350001,-67.277926808 65.640127104,-67.277927313 65.6401273340001,-67.2779277289999 65.6401279890001,-67.323763729 65.6609549890001,-67.376138269 65.6721604540001,-67.395826826 65.6763731360001,-67.400722131 65.6764150920001,-67.428609729 65.676654989,-67.466109729 65.6741459890001,-67.625016079 65.6547385950001,-67.652499812 65.6513821560001,-67.721255056 65.6386000890001,-67.754449924 65.6256646130001,-67.860272729 65.5844279890001,-67.922499729 65.538036988,-67.941936729 65.525272988,-67.974464207 65.5105246240001,-68.02329933 65.4883824180001,-67.99007669 65.524092915,-67.954099968 65.5627633110001,-67.954100249 65.5627634300001,-67.954099729 65.5627639890001,-67.9791637289999 65.5733279890001,-68.00514573 65.562909989,-68.01250973 65.557754989,-68.02721873 65.558318989,-68.05888092 65.56805474,-67.989163984 65.6191361370001,-67.942490864 65.6180451480001,-67.870272889 65.68941806,-67.8211178889999 65.7680540580001,-67.821118938 65.7680546540001,-67.821118729 65.7680549890001,-67.847165316 65.7828502070001,-67.8861269239999 65.8049822090001,-67.886127717 65.8049819770001,-67.92361873 65.793872993,-68.00306373 65.7783189890001,-68.02860973 65.775827989,-68.14722664 65.7983277820001,-68.136035882 65.8260450930001,-68.1437125739999 65.9051677990001,-68.14579973 65.926681989,-68.145799934 65.9266819650001,-68.145799961 65.926682247,-68.194154993 65.9211000670001,-68.260008925 65.911373203,-68.2657795229999 65.9108696000001,-68.29626373 65.9082099890001,-68.315661039 65.9167150980001,-68.3283358529999 65.922273198,-68.324342432 65.995731348,-68.3238997299999 66.0038729890001,-68.3174620029999 66.011872329,-68.30444592 66.028045105,-68.2780638789999 66.0141631640001,-68.203754955 65.97665398,-68.173617822 65.969436156,-68.145050984 65.96542965,-68.12902773 65.9631819890001,-68.129027031 65.9631822870001,-68.129026767 65.96318225,-68.0547178429999 65.9949090950001,-68.047226768 66.0649911930001,-68.1265267809999 66.1067912410001,-68.157499925 66.1174821910001,-68.167104383 66.119977657,-68.19860973 66.128163989,-68.215622724 66.1284964540001,-68.219999921 66.128582178,-68.2455550029999 66.1063731520001,-68.2415549849999 66.0985908600001,-68.23033673 66.076763989,-68.2672257249999 66.0820476480001,-68.2780638789999 66.0836001920001,-68.280775176 66.0847172490001,-68.3002817299999 66.0927549890001,-68.356160153 66.118739288,-68.3872178839999 66.133182167,-68.408297433 66.152121605,-68.40916373 66.152899989,-68.409163782 66.1528999970001,-68.409163886 66.152900091,-68.568345951 66.1785911270001,-68.583316797 66.1786317520001,-68.66860973 66.178863989,-68.843887149 66.1887277880001,-68.808335765 66.195818118,-68.7303202479999 66.198082206,-68.71278173 66.1985909890001,-68.680974127 66.198996578,-68.538054926 66.20081809,-68.3402909609999 66.1969270430001,-68.244717819 66.1827540830001,-68.130826865 66.12664512,-68.0265277409999 66.0633096720001,-68.028571654 66.007200229,-68.028963942 65.99643611,-67.938599817 65.908036032,-67.9144460219999 65.8991540650001,-67.877007853 65.8905858430001,-67.8647187289999 65.887772989,-67.854988894 65.8861042350001,-67.824172925 65.880818149,-67.7999332219999 65.8777835990001,-67.795272729 65.8771999890001,-67.7827538079999 65.881077061,-67.740554891 65.8941450390001,-67.4299909599999 65.9055450980001,-67.18874604 65.9124180910001,-67.1887467619999 65.912418959,-67.1887457289999 65.9124189890001,-67.2172988 65.9467626420001,-67.243517922 65.9783001860001,-67.202083542 66.008320811,-67.1637547289999 66.0360909890001,-67.163755048 66.0360911160001,-67.163754893 66.0360912290001,-67.1809159549999 66.042942291,-67.281390729 66.0830549890001,-67.385680662 66.1211463160001,-67.399990955 66.126373211,-67.4074640759999 66.1288903590001,-67.454454729 66.1447189890001,-67.570554729 66.1841459890001,-67.672227729 66.2283189890001,-67.724717616 66.2608183,-67.704935825 66.2838091580001,-67.7584728849999 66.3556732490001,-67.803599644 66.394229781,-67.8786097289999 66.4583189890001,-67.906109729 66.4680459890001,-67.9369457289999 66.4759549890001,-67.989298823 66.507563442,-67.952499863 66.5147091330001,-67.9282365889999 66.5158777390001,-67.9236187289999 66.5160999890001,-67.8366730239999 66.4874910830001,-67.828608978 66.4773419420001,-67.819727729 66.4661639890001,-67.819727413 66.466163899,-67.8197268279999 66.466163162,-67.721672977 66.438036009,-67.690826903 66.4352540560001,-67.6366558669999 66.4251626060001,-67.6341727289999 66.424699989,-67.603054729 66.4185909890001,-67.598801373 66.4174704110001,-67.564581862 66.408454094,-67.5419043429999 66.392978935,-67.526109729 66.3821999890001,-67.501681232 66.362540306,-67.494717861 66.356936067,-67.451672932 66.3186000910001,-67.451672731 66.318599985,-67.406535881 66.294563307,-67.312314682 66.2786009320001,-67.297499729 66.2760909890001,-67.2822277289999 66.275272989,-67.2822275029999 66.2752732280001,-67.282226892 66.2752731950001,-67.257926916 66.300954006,-67.2338909709999 66.304154049,-67.200759428 66.2993580420001,-67.192636729 66.2981819890001,-67.162218729 66.2988729890001,-67.1622183969999 66.2988731010001,-67.162217819 66.2988731140001,-67.131426898 66.30929115,-67.192217824 66.353591184,-67.240826828 66.3588731240001,-67.257030866 66.3622609920001,-67.288609729 66.368863989,-67.302312644 66.372979797,-67.313608905 66.3763731970001,-67.378399843 66.3992911650001,-67.3795179049999 66.4004786070001,-67.404162781 66.4266539830001,-67.343517882 66.422945063,-67.291672961 66.3994271190001,-67.191517935 66.3647091080001,-67.1666639159999 66.3647091080001,-67.138890983 66.3794270600001,-67.138891072 66.3794278070001,-67.138890729 66.3794279890001,-67.146190729 66.440254989,-67.231973442 66.4896375380001,-67.289026795 66.5224821750001,-67.37902681 66.54520015,-67.416935811 66.5417912300001,-67.435444627 66.5424696920001,-67.499999729 66.544836989,-67.7011097289999 66.555818989,-67.734299729 66.5687999890001,-67.7255807509999 66.5698837310001,-67.639726798 66.5805540120001,-67.5971200119999 66.5767150680001,-67.581118729 66.575272989,-67.565016909 66.5748678860001,-67.515017825 66.5736091030001,-67.471965908 66.578018297,-67.463618729 66.578872989,-67.456323905 66.5799151420001,-67.404308809 66.5873450300001,-67.334655026 66.5966539720001,-67.1931187069999 66.518527551,-67.192170496 66.499232288,-67.1918729929999 66.493173174,-67.1918727359999 66.4931731440001,-67.191872729 66.4931729890001,-67.125972729 66.485399989,-67.12283533 66.485463017,-67.105564033 66.485809169,-66.887163989 66.5665091280001,-66.8871648259999 66.5665095840001,-66.887163728 66.5665099890001,-66.9083367279999 66.578045989,-66.950563729 66.5922099890001,-67.016663729 66.615263989,-67.0547175249999 66.6356093460001,-67.032772903 66.644018095,-66.999726914 66.6383180660001,-66.9722268959999 66.628863279,-66.8519459139999 66.5833270810001,-66.8063819069999 66.531936144,-66.809581521 66.5167637650001,-66.821672995 66.4594271290001,-66.7677729979999 66.380536153,-66.7279909769999 66.3702540730001,-66.615617818 66.371018167,-66.5977819669999 66.3869360720001,-66.4717999499999 66.4143631680001,-66.4439833 66.4047365260001,-66.500563728 66.388045989,-66.536945728 66.3780369890001,-66.5719457279999 66.362063989,-66.5719455569999 66.3620634440001,-66.571945923 66.3620632770001,-66.530690866 66.2308911860001,-66.5306907689999 66.230891118,-66.530690728 66.230890989,-66.492499728 66.204572989,-66.477073585 66.2039334840001,-66.4019460069999 66.20081809,-66.3713819 66.2252632410001,-66.265293804 66.24020267,-66.251109728 66.242199989,-66.191099934 66.2399729970001,-66.192999281 66.2311941180001,-66.200836728 66.1949729890001,-66.1445908109999 66.1349748310001,-66.1426459639999 66.1329001990001,-66.142645917 66.132900191,-66.1426457279999 66.1328999890001,-66.128712204 66.1304022990001,-66.073626858 66.1205271690001,-65.9601459469999 66.1084540430001,-65.926935841 66.1147000700001,-65.844163876 66.135818107,-65.6997178679999 66.1790090490001,-65.60471788 66.2403912350001,-65.565417818 66.2833912360001,-65.559326934 66.3138610020001,-65.5576997269999 66.3219999890001,-65.535143314 66.3404232830001,-65.480754896 66.3848451220001,-65.477912697 66.3723512020001,-65.471118727 66.3424819890001,-65.5455457269999 66.243318989,-65.5641637269999 66.226927989,-65.644027727 66.1674099890001,-65.6747097269999 66.1574819890001,-65.786118727 66.1263729890001,-65.802718107 66.1215737090001,-65.9133999059999 66.0895731360001,-65.9296583829999 66.0732023320001,-65.963481728 66.0391459890001,-65.9634815319999 66.039145508,-65.963481945 66.0391450920001,-65.9298549229999 65.9564450440001,-65.8763909529999 65.9480270980001,-65.827790834 65.9530450090001,-65.389999839 65.975254035,-65.126099976 66.0377632510001,-64.941245985 66.0786091040001,-64.8536819189999 66.1153270360001,-64.853682022 66.115327865,-64.853681727 66.115327989,-64.857354727 66.1449909890001,-64.8426867539999 66.1858364970001,-64.8399999709999 66.1933181310001,-64.792635848 66.2340181380001,-64.716663953 66.2741540440001,-64.464717857 66.343045074,-64.4438819549999 66.3447090490001,-64.3623196519999 66.3432181100001,-64.382081726 66.324436989,-64.405563726 66.3158099890001,-64.4439938199999 66.3056878250001,-64.451954901 66.3035911200001,-64.4805640129999 66.296373128,-64.5009073419999 66.290329,-64.605836726 66.2591549890001,-64.7169457259999 66.2205459890001,-64.7508367259999 66.185527989,-64.821672727 66.0447099890001,-64.821672593 66.0447098550001,-64.82167294 66.0447091670001,-64.7664939859999 65.9895127440001,-64.7650187259999 65.9880369890001,-64.765018664 65.9880369540001,-64.7650178119999 65.9880361020001,-64.737700853 65.9728276980001,-64.7589343029999 65.967337398,-64.763754994 65.9660911060001,-64.7674634649999 65.9664207110001,-64.801390727 65.969436989,-64.8435945799999 65.978622967,-64.846663919 65.9792910940001,-64.848347576 65.979846584,-64.889590727 65.993454989,-64.923297969 66.0006124170001,-64.928890893 66.0018001930001,-64.95499985 65.9999912100001,-64.975283608 65.995851487,-65.050281727 65.9805459890001,-65.1450097269999 65.959436989,-65.357227727 65.9024819890001,-65.449781727 65.8384549890001,-65.501809727 65.748881989,-65.495847609 65.742121335,-65.490281935 65.735809212,-65.46028193 65.7413632280001,-65.448881871 65.680982177,-65.448881757 65.6809821480001,-65.448881727 65.680981989,-65.3699997269999 65.661099989,-65.3426110729999 65.6604841820001,-65.1662549919999 65.6565180840001,-65.141535753 65.669291098,-65.109581927 65.689845034,-65.0666639 65.707909209,-65.0247178389999 65.716936016,-65.002332925 65.720512527,-64.996945727 65.721372989,-64.973054727 65.723599989,-64.960231295 65.724621207,-64.906954949 65.728863296,-64.801731904 65.721927436,-64.881955288 65.711317175,-64.902499967 65.7086002130001,-64.9323549649999 65.709291217,-64.944764327 65.707932521,-64.9849997269999 65.7035279890001,-65.105481727 65.6666459890001,-65.105481762 65.6666451730001,-65.105482003 65.6666450990001,-65.1056938799999 65.6617601120001,-65.106518727 65.6427639890001,-65.1258277269999 65.6333279890001,-65.1538817269999 65.6302639890001,-65.1787288799999 65.630055724,-65.188599972 65.6299732670001,-65.2177730189999 65.6299732670001,-65.252226832 65.6299732670001,-65.2587267549999 65.630365118,-65.2752817269999 65.6313639890001,-65.3018727269999 65.6279639890001,-65.311282059 65.6118477030001,-65.335963889 65.5695732720001,-65.335963679 65.569573071,-65.335963727 65.5695729890001,-65.333799934 65.5675002830001,-65.3167460289999 65.5511632600001,-65.153063888 65.5391540050001,-65.1190188909999 65.540695284,-65.1102727269999 65.5410909880001,-65.0798751789999 65.5431640410001,-64.98389093 65.549709168,-64.9524998639999 65.5644180670001,-64.8944459639999 65.622763154,-64.872217828 65.6449911230001,-64.848609138 65.6563731080001,-64.846543401 65.656793877,-64.823345967 65.6615180570001,-64.794726797 65.6619270940001,-64.773600647 65.660376812,-64.7683457269999 65.6599909890001,-64.7591039129999 65.658501018,-64.711456477 65.6508183030001,-64.732363726 65.6426279890001,-64.7658231629999 65.6400885880001,-64.7672267789999 65.6399820980001,-64.767226868 65.639982054,-64.767227727 65.639981989,-64.8369457269999 65.6058189890001,-64.845625782 65.594798294,-64.854446013 65.5836002200001,-64.887238205 65.5579403630001,-64.929718727 65.5246999880001,-65.0825097269999 65.5005459880001,-65.120136727 65.4980369880001,-65.152751646 65.48901599,-65.161946023 65.4864732400001,-65.141599959 65.4267181490001,-65.0669460349999 65.379845038,-65.0086088269999 65.366927016,-64.9885998829999 65.3782451000001,-64.9792357969999 65.402273146,-64.8585367269999 65.4226909880001,-64.851915167 65.420390748,-64.838754923 65.4158181550001,-64.820369163 65.414070721,-64.815418727 65.413599988,-64.8134435979999 65.413763128,-64.795272962 65.4152632730001,-64.695263949 65.4277632050001,-64.551935751 65.4577632100001,-64.418746094 65.4798449780001,-64.4385367259999 65.425536988,-64.46285907 65.4205150540001,-64.469799973 65.4190822360001,-64.476400607 65.4202341370001,-64.508345726 65.4258099880001,-64.571801491 65.429154576,-64.5874998309999 65.4299822300001,-64.609164033 65.4263731500001,-64.675995749 65.405991548,-64.903472727 65.3366189880001,-64.9034687339999 65.3366193370001,-64.903472939 65.336618054,-64.868055039 65.339709133,-64.817967042 65.345718193,-64.806672727 65.347072988,-64.792932236 65.3456291630001,-64.690056774 65.334818318,-64.7360524599999 65.319766401,-64.754672867 65.313673265,-64.763133196 65.3135819290001,-64.788399727 65.3133099880001,-64.8287997269999 65.3186279880001,-64.855890727 65.3145459880001,-64.910690727 65.3015099880001,-64.910690296 65.3015092630001,-64.910690931 65.3015091120001,-64.892499851 65.2708911920001,-64.892499727 65.2708909880001,-64.886741845 65.2679700890001,-64.864435901 65.2566540270001,-64.8079088489999 65.2330360030001,-64.783335791 65.236363284,-64.767789449 65.246596593,-64.7626457269999 65.2499819880001,-64.7626221039999 65.249967332,-64.718336726 65.2224909880001,-64.657786862 65.168339454,-64.655272883 65.1660910840001,-64.654350746 65.165042913,-64.641109726 65.1499909880001,-64.632411998 65.1476338590001,-64.611390937 65.1419361150001,-64.5866763029999 65.129872133,-64.571109726 65.1222729880001,-64.550618726 65.0942909880001,-64.5506179559999 65.094291438,-64.55061778 65.0942911980001,-64.515426863 65.1148360810001,-64.465281959 65.1855360930001,-64.455563981 65.2072180650001,-64.455564012 65.2072183510001,-64.455563726 65.2072189880001,-64.4605547259999 65.253454988,-64.473190593 65.27790973,-64.466775487 65.287418668,-64.461672726 65.2949819880001,-64.452952906 65.304180821,-64.431381855 65.326936118,-64.281945932 65.425536133,-64.239155029 65.4274091510001,-64.253209726 65.3885999880001,-64.3052727259999 65.3529099880001,-64.3333277259999 65.3371999880001,-64.355836726 65.3249999880001,-64.385089711 65.3043708290001,-64.3990999599999 65.2944911120001,-64.400634221 65.2909658780001,-64.407227726 65.2758189880001,-64.3997877199999 65.230977624,-64.395845938 65.2072180650001,-64.3770729889999 65.1791450600001,-64.3449353999999 65.1640753630001,-64.339172726 65.161372988,-64.3320361629999 65.1609395850001,-64.3071459559999 65.159427135,-64.212636511 65.1990819590001,-64.1854292149999 65.1954273860001,-64.130411072 65.18803638,-64.176518726 65.1672099880001,-64.2154187259999 65.1510999880001,-64.270345726 65.0976189880001,-64.270345331 65.097618841,-64.270346048 65.097618143,-64.128881986 65.0448450100001,-63.948608873 65.1005360510001,-63.9055147609999 65.0905157660001,-63.8847277259999 65.085681988,-63.873087336 65.0508720180001,-63.870282 65.0424821510001,-63.870281725 65.0424819880001,-63.849727726 65.030272988,-63.824445726 65.027481988,-63.801936726 65.030272988,-63.800840035 65.0304884000001,-63.782217869 65.0341450070001,-63.7519459549999 65.0452540470001,-63.732812133 65.0487641550001,-63.732218726 65.048872988,-63.691663725 65.0485909880001,-63.664618972 65.0373730900001,-63.671680002 65.0365414290001,-63.720272726 65.0308189880001,-63.808054509 65.0151620660001,-63.8269549359999 65.0117911420001,-63.8241729819999 64.984709045,-63.751226409 64.963215027,-63.747781726 64.9621999880001,-63.6597187249999 64.939699988,-63.655533678 64.9195921130001,-63.6538818779999 64.9116540530001,-63.546954945 64.887209071,-63.546954731 64.887209989,-63.5277818439999 64.9698360290001,-63.4647179139999 65.0180541,-63.424446054 65.049145094,-63.3769459759999 65.110809079,-63.3769462509999 65.110809305,-63.376945725 65.110809988,-63.418890725 65.1452639880001,-63.472217872 65.1963631660001,-63.4247177949999 65.229427091,-63.3356909189999 65.298036154,-63.335691378 65.2980364850001,-63.3356907249999 65.298036988,-63.4159619659999 65.3560728580001,-63.483608879 65.404982198,-63.523912293 65.4205125830001,-63.5636097249999 65.4358099880001,-63.627490725 65.4558279880001,-63.651944392 65.4704091930001,-63.576108881 65.472209085,-63.560951367 65.469989663,-63.553327725 65.468872988,-63.542031309 65.4662930150001,-63.5272179099999 65.4629091960001,-63.499026887 65.452218078,-63.474764517 65.442139979,-63.4688907249999 65.439699988,-63.458669749 65.43760144,-63.401946008 65.425954055,-63.326965166 65.4365696770001,-63.302154725 65.440081988,-63.302155286 65.4400822050001,-63.302154924 65.440082256,-63.311789394 65.4437920030001,-63.362499725 65.4633189880001,-63.388608486 65.4714514870001,-63.391946062 65.4724912200001,-63.3974022899999 65.474084825,-63.432781725 65.4844189880001,-63.530281725 65.5122099880001,-63.6122905509999 65.5357549380001,-63.593972896 65.59051814,-63.5620819329999 65.5869271650001,-63.541254916 65.5722090460001,-63.5349143719999 65.5638851840001,-63.527918725 65.554699989,-63.486736725 65.5283909880001,-63.477879778 65.5262611580001,-63.463335905 65.5227631930001,-63.357917882 65.53901805,-63.33666389 65.55692716,-63.3233358259999 65.597073123,-63.336140711 65.6064184160001,-63.351672725 65.617754989,-63.369797514 65.629387921,-63.3717998229999 65.6306731560001,-63.375974453 65.6311934840001,-63.3997277249999 65.6341549890001,-63.432499725 65.6319279890001,-63.451047984 65.6299438560001,-63.453326907 65.629700185,-63.464088319 65.629934292,-63.504718725 65.630818989,-63.629848291 65.6443900450001,-63.677635857 65.6495731740001,-63.6851372149999 65.6516171490001,-63.700554726 65.6558189890001,-63.718572024 65.6782091170001,-63.455273017 65.6809540140001,-63.40597301 65.677209147,-63.368326865 65.669436105,-63.368326865 65.6938631510001,-63.373552543 65.7065933330001,-63.379163725 65.720263989,-63.474163236 65.8330544080001,-63.4397185399999 65.849981809,-63.293890725 65.7088819890001,-63.2685714959999 65.688130437,-63.206108875 65.636936114,-63.175309065 65.6303586120001,-63.1669907249999 65.6285819890001,-63.1592629039999 65.632699754,-63.137781947 65.644145054,-63.0338909389999 65.6366539790001,-63.0105639349999 65.6288631680001,-62.978050617 65.5881337850001,-62.9722187249999 65.5808279890001,-62.972218598 65.580828024,-62.972217901 65.5808271510001,-62.9596975229999 65.584369381,-62.9574997249999 65.5849909890001,-62.9386900069999 65.600208847,-62.8952819199999 65.6353271240001,-62.895282062 65.6353277160001,-62.895281725 65.6353279890001,-62.9155547249999 65.7202729890001,-62.9155548859999 65.7202731530001,-62.915554894 65.720273186,-62.9299999309999 65.7349822530001,-62.932693049 65.7367035010001,-62.953680671 65.7501183150001,-62.930270648 65.7534627420001,-62.9293097249999 65.7535999890001,-62.9041637249999 65.7463729890001,-62.902615611 65.74476617,-62.88475492 65.7262270200001,-62.862499962 65.685254098,-62.859864021 65.6409632830001,-62.793890899 65.5951271810001,-62.763288664 65.5874208550001,-62.759163725 65.5863819890001,-62.740447853 65.586428438,-62.6491639289999 65.5866540820001,-62.622773004 65.6084632920001,-62.606945959 65.6322090560001,-62.5942358089999 65.6671270590001,-62.594236871 65.6671275850001,-62.594236724 65.6671279890001,-62.662772725 65.7010999890001,-62.6627728079999 65.701100013,-62.662772955 65.7011000860001,-62.663618485 65.7013476390001,-62.690281725 65.7091549890001,-62.7208325989999 65.7110391950001,-62.7263909289999 65.7113821660001,-62.737245862 65.711179481,-62.793609729 65.710127985,-62.829971831 65.7522089540001,-62.6747178369999 65.735809212,-62.620405002 65.724238907,-62.617363724 65.7235909890001,-62.6144535509999 65.7236593810001,-62.58485495 65.7243540000001,-62.5785294199999 65.737825586,-62.570699724 65.7544999890001,-62.570699944 65.7545001500001,-62.570699927 65.754500185,-62.5714681919999 65.7550668630001,-62.5899997239999 65.768736989,-62.6588907249999 65.791927989,-62.728472725 65.809018989,-62.751171394 65.8128487640001,-62.753199889 65.8131911,-62.8729814869999 65.8943638280001,-62.86083608 65.9110997610001,-62.829445724 65.8999909890001,-62.807499725 65.889981989,-62.752781725 65.8535909890001,-62.749595612 65.8508101520001,-62.7231908859999 65.8277632160001,-62.698996969 65.820652695,-62.684436725 65.8163729890001,-62.658466947 65.811237179,-62.6120818859999 65.802063295,-62.5133358579999 65.7916450920001,-62.478881878 65.7908181340001,-62.449510511 65.793006559,-62.441663724 65.7935909890001,-62.4193559089999 65.796178943,-62.317217931 65.8080270190001,-62.321108811 65.8311002190001,-62.390835852 65.943318145,-62.40068216 65.9542665500001,-62.411945724 65.9667909890001,-62.411945907 65.9667910470001,-62.41194601 65.9667911620001,-62.5201357609999 66.0013821030001,-62.5484657809999 66.0039777170001,-62.6747187249999 66.015545989,-62.7394701059999 66.011354919,-62.7497268189999 66.010691213,-62.753649471 66.010531373,-62.773609725 66.0097189890001,-62.793618725 66.010818989,-62.8186075199999 66.0174767,-62.8212549629999 66.0181821190001,-62.8419460269999 66.027482175,-62.8686088599999 66.0435911880001,-62.880392118 66.0575500210001,-62.890072725 66.069018989,-63.006390725 66.116927989,-63.039445725 66.1133099890001,-63.054274662 66.116930977,-63.061108823 66.11860017,-63.0416728659999 66.1302632530001,-63.0136180169999 66.1388821290001,-63.01207654 66.1391859280001,-62.964999909 66.1484632140001,-62.9445273539999 66.1479249760001,-62.938754725 66.147772989,-62.933491847 66.1466720650001,-62.905554949 66.1408271330001,-62.879979812 66.1263706130001,-62.878745852 66.125673061,-62.868148075 66.113557201,-62.8681480499999 66.1135571730001,-62.863199833 66.107900113,-62.8627109459999 66.106397938,-62.855836725 66.085272989,-62.8381277249999 66.0610999890001,-62.8045817249999 66.041790989,-62.769309725 66.033190989,-62.7693090459999 66.0331911120001,-62.769308956 66.033191091,-62.7411088809999 66.0383181330001,-62.695546029 66.04220918,-62.5333357499999 66.034845008,-62.398190972 66.0130450190001,-62.317254417 65.977977379,-62.3077817239999 65.973872989,-62.291672724 65.9802729890001,-62.272496786 65.9863577140001,-62.1927729879999 66.0116541260001,-62.1694459839999 66.0090181850001,-62.1491428529999 66.0031088800001,-62.1408367239999 66.0006909890001,-62.088890724 66.0002729890001,-61.959790724 66.0215819890001,-61.99157303 66.0539850640001,-62.037508792 66.1008181300001,-62.037508924 66.100818174,-62.037509724 66.1008189890001,-62.1805547239999 66.1486099890001,-62.3527711789999 66.173021717,-62.366663952 66.1749911000001,-62.488055032 66.2002732670001,-62.5175968459999 66.2015488600001,-62.6036187239999 66.2052639890001,-62.6472277249999 66.199709989,-62.681390725 66.1969279890001,-62.707523161 66.200291765,-62.7105549999999 66.2006821360001,-62.7166456589999 66.203080442,-62.8054185349999 66.2380369140001,-62.8153028579999 66.2501443470001,-62.883545037 66.3337361470001,-62.858890882 66.3341540540001,-62.824506686 66.3234601780001,-62.821390725 66.3224909890001,-62.781036725 66.305190989,-62.781313214 66.2868583150001,-62.7813909669999 66.281718041,-62.754581952 66.2431731880001,-62.7545818359999 66.243173149,-62.754581725 66.2431729890001,-62.673890725 66.2156819890001,-62.6673714689999 66.215952261,-62.6436177909999 66.216936155,-62.622451585 66.2212676520001,-62.621936725 66.221372989,-62.621935826 66.221373198,-62.393617805 66.274563248,-62.3201358389999 66.302754103,-62.3201369189999 66.302754915,-62.320136724 66.3027549890001,-62.3374997239999 66.3158099890001,-62.465274926 66.3650564640001,-62.478054919 66.3699821640001,-62.6299998809999 66.3877732560001,-62.673617796 66.3936001880001,-62.685936222 66.398834584,-62.7087443 66.4085273840001,-62.639661087 66.4233099570001,-62.626663725 66.426090989,-62.618749442 66.4263441860001,-62.565835909 66.428036063,-62.484766597 66.424960481,-62.456109724 66.4238729890001,-62.418609724 66.4210999890001,-62.262081724 66.408872989,-62.222636724 66.398599989,-62.229369648 66.373843116,-62.229645986 66.372827149,-62.2091639669999 66.3205450280001,-61.9727704109999 66.2896145330001,-61.928890724 66.283872989,-61.91985439 66.2837771760001,-61.8774908839999 66.2833270310001,-61.7091902879999 66.316376156,-61.665272724 66.324999989,-61.4649997229999 66.3696999890001,-61.4650000469999 66.3697001470001,-61.4649998259999 66.3697001960001,-61.476167258 66.3751543770001,-61.5512727239999 66.4118369890001,-61.574027724 66.4154099890001,-61.7382547089999 66.4082159500001,-61.7550088149999 66.4074821280001,-61.775760571 66.406710235,-61.934163724 66.4008189890001,-61.973352096 66.4111844130001,-61.977845604 66.4123730570001,-61.973083995 66.4150552780001,-61.956945962 66.4241450160001,-61.866992222 66.443495543,-61.8539547239999 66.4462999890001,-61.731381724 66.4510999890001,-61.634999724 66.4599909890001,-61.6300057839999 66.4607232070001,-61.6141640079999 66.4630450940001,-61.579199904 66.4810180740001,-61.579200633 66.4810185220001,-61.579199724 66.4810189890001,-61.749762526 66.58604891,-61.753890837 66.588591084,-61.75740461 66.5905423180001,-61.7929187239999 66.610263989,-61.82272839 66.6191271850001,-61.830281994 66.6213732100001,-61.950554929 66.6461001600001,-61.955828111 66.6463929720001,-61.9854187239999 66.64803699,-62.018609724 66.64082799,-62.045937215 66.627272459,-62.050554889 66.6249821230001,-62.123890283 66.626373173,-62.015554724 66.6713729900001,-61.998534975 66.6728275230001,-61.950554929 66.676927124,-61.730135853 66.644436017,-61.6913819549999 66.6283090680001,-61.6701837589999 66.6169296080001,-61.669163724 66.616381989,-61.6685807389999 66.6159492450001,-61.6365998479999 66.5922090490001,-61.620972963 66.5620732570001,-61.620972832 66.5620731980001,-61.620972724 66.5620729890001,-61.617051996 66.5603255240001,-61.591663962 66.5490090550001,-61.557597057 66.5478007,-61.5486187239999 66.5474819890001,-61.529488718 66.5465660390001,-61.461672881 66.5433180780001,-61.447773003 66.538318105,-61.424999875 66.5597090570001,-61.405695839 66.571346411,-61.396663723 66.5767909890001,-61.347009723 66.5713729890001,-61.347009311 66.5713731860001,-61.3470089479999 66.571373146,-61.321708837 66.583407804,-61.300281723 66.593599989,-61.2645817229999 66.6260909900001,-61.2900727259999 66.6699819880001,-61.290072859 66.6699822140001,-61.3066790619999 66.681844448,-61.314163723 66.68719099,-61.6127817239999 66.87081899,-61.7322187239999 66.93351899,-61.749727724 66.9480279900001,-61.844718724 66.96956399,-61.8655547239999 66.97082799,-61.9133277239999 66.97082799,-61.950408919 66.9661000980001,-61.9504097239999 66.96609999,-61.9892748349999 66.933007161,-62.020555052 66.9063731740001,-62.072226803 66.9074821,-62.080925926 66.9095620300001,-62.1041634709999 66.9151189290001,-62.0760049199999 66.9525924910001,-62.049999724 66.9871999900001,-62.006254724 67.03359999,-62.025836724 67.04372799,-62.0544457239999 67.0491459900001,-62.0943477449999 67.0538667450001,-62.101390965 67.054700171,-62.1343378079999 67.0516640610001,-62.2791637239999 67.0383189900001,-62.292709724 67.0148549900001,-62.2797277239999 66.97915499,-62.278464948 66.957915884,-62.278199893 66.9534549410001,-62.329740779 66.938562319,-62.3469460269999 66.933591225,-62.40110888 66.9292911410001,-62.401109385 66.9292910170001,-62.401109724 66.9292909900001,-62.404270798 66.928510552,-62.423055049 66.9238732470001,-62.4369460419999 66.8844271720001,-62.422646013 66.8463731640001,-62.422645743 66.8463730390001,-62.4226457239999 66.8463729900001,-62.417524413 66.8439961190001,-62.362217855 66.818327148,-62.292846039 66.760200158,-62.297685121 66.753334115,-62.314727724 66.72915499,-62.398818031 66.787554508,-62.4013891449999 66.801736083,-62.402781724 66.80941899,-62.5199997239999 66.9110999900001,-62.549999724 66.9316549900001,-62.573754724 66.94594599,-62.599999724 66.9515189900001,-62.6289069009999 66.951403101,-62.6341728949999 66.95138215,-62.734163971 66.9447000970001,-62.741384766 66.9402868230001,-62.762781725 66.9272099900001,-62.768336725 66.90776399,-62.771118725 66.8355459900001,-62.7711179309999 66.8355452750001,-62.771117938 66.8355450860001,-62.7513658399999 66.817754344,-62.747218725 66.8140189900001,-62.7427525529999 66.8075194840001,-62.735000079 66.7962365240001,-62.8199997249999 66.68441899,-62.850972725 66.6573459900001,-62.909126304 66.6465192540001,-62.8751107149999 66.7249385060001,-62.8679817249999 66.7413729900001,-62.861812099 66.7481462480001,-62.834517816 66.7781091000001,-62.820835868 66.821936061,-62.8349463449999 66.91232783,-62.842363725 66.9598459900001,-62.872218725 66.96442799,-62.939990725 66.96666399,-62.961848377 66.9634295220001,-62.968190899 66.962491189,-63.01426062 66.9511654980001,-63.2247187249999 66.89942799,-63.302905052 66.83175197,-63.319863874 66.817073216,-63.3448809179999 66.7805483280001,-63.376663725 66.7341459900001,-63.40059631 66.7129731730001,-63.4116639869999 66.7031820940001,-63.449090633 66.7092911230001,-63.447322127 66.7118462670001,-63.436108802 66.728044998,-63.420805882 66.766672322,-63.416245725 66.7781819900001,-63.414113029 66.7864340840001,-63.408117939 66.8096270680001,-63.421211268 66.8569848320001,-63.4344457249999 66.90485499,-63.465272725 66.9084549900001,-63.484027725 66.8997099900001,-63.4958367249999 66.8731729900001,-63.481418725 66.8394639900001,-63.543127725 66.8138639900001,-63.5930547249999 66.8037369900001,-63.624445725 66.8019279900001,-63.6496065379999 66.8024073020001,-63.65305492 66.8024731140001,-63.665972013 66.8041854370001,-63.7736052179999 66.818454392,-63.7252728949999 66.8230449860001,-63.7018218869999 66.822557852,-63.698609726 66.8224909900001,-63.693594167 66.8226482960001,-63.64555496 66.82415408,-63.615008958 66.8272091160001,-63.593326819 66.831663259,-63.5697529399999 66.840845824,-63.563754725 66.8431819900001,-63.562318896 66.8492546480001,-63.556808878 66.8725540390001,-63.557528484 66.8900201490001,-63.557772695 66.8959542410001,-63.5204268919999 66.9108821350001,-63.469990969 66.9205360760001,-63.436390936 66.9255360490001,-63.362354927 66.9347092040001,-63.320555046 66.9402632200001,-63.277781859 66.9497091220001,-63.228472966 66.974709154,-63.2273421739999 66.9780211140001,-63.2205547249999 66.9978999900001,-63.222499725 67.0208189900001,-63.2573637249999 67.0694279900001,-63.2788907249999 67.09199999,-63.2778079239999 67.097284732,-63.274508893 67.113382211,-63.262504302 67.1189909,-63.237499725 67.1306729900001,-63.225022039 67.1340171620001,-63.1902819979999 67.1433270630001,-63.170281938 67.14721811,-63.140042578 67.1518701360001,-63.134172725 67.1527729900001,-63.129466185 67.153161212,-63.1005548969999 67.1555450280001,-63.079623042 67.1583325820001,-63.0755637249999 67.1588729900001,-63.068597615 67.1609030770001,-63.0402819729999 67.169154054,-63.023054982 67.1794270820001,-62.972355029 67.229563268,-62.972355163 67.2295635570001,-62.9723547249999 67.22956399,-62.995281725 67.2788819900001,-62.9952818 67.2788820440001,-62.995281881 67.2788822190001,-62.997897457 67.2807693780001,-63.018754725 67.29581899,-63.031085011 67.301858026,-63.0397269229999 67.3060912180001,-63.1102819279999 67.3299912090001,-63.137217845 67.331100135,-63.1381802029999 67.3309844280001,-63.1602817249999 67.32832799,-63.274436306 67.3082586790001,-63.27652692 67.3078911480001,-63.2765269779999 67.3078911210001,-63.2765277249999 67.30789099,-63.298890725 67.2977639900001,-63.331024536 67.2806405050001,-63.344099812 67.2736732010001,-63.355030346 67.263351001,-63.417427725 67.2044279900001,-63.4182996659999 67.1865794920001,-63.4184729419999 67.1830361620001,-63.399199929 67.151791109,-63.4156578549999 67.140620605,-63.497218725 67.08526399,-63.5352817249999 67.0708279900001,-63.560684048 67.063824793,-63.565554891 67.062482098,-63.6008358299999 67.0574821230001,-63.603394027 67.057246574,-63.644581725 67.05345499,-63.689309725 67.04235499,-63.7424997259999 67.0208189900001,-63.767081726 67.00443699,-63.767081917 67.0044361290001,-63.7670819959999 67.004436077,-63.773854721 66.974045989,-63.8027086929999 66.9925543270001,-63.7797267669999 67.0174912270001,-63.737917834 67.0445632650001,-63.717772936 67.053454118,-63.679725214 67.0620325900001,-63.672772725 67.0635999900001,-63.669721427 67.0640119240001,-63.6480549469999 67.0669360740001,-63.609308929 67.074018111,-63.5490361019999 67.0967661510001,-63.5338907249999 67.1024819900001,-63.4523637249999 67.1745729900001,-63.454496333 67.187466698,-63.460626874 67.2245361380001,-63.4606276 67.2245362300001,-63.4606277249999 67.22453699,-63.5541727249999 67.23636399,-63.802499726 67.2397099900001,-63.862218726 67.2258189900001,-63.9227097259999 67.1955999900001,-63.965972726 67.1833099900001,-64.002218726 67.1791459900001,-64.0726650509999 67.179605134,-64.087217892 67.1797001640001,-64.099484692 67.1783645570001,-64.229999726 67.16415499,-64.474717803 67.134991094,-64.4747187259999 67.1349909900001,-64.506390726 67.1294279900001,-64.5272187259999 67.12414599,-64.543526013 67.1196793970001,-64.54749988 67.1185912280001,-64.558758875 67.1133429760001,-64.590699726 67.0984549900001,-64.606663726 67.08512799,-64.610222724 67.0753654320001,-64.617981963 67.0540822570001,-64.618890897 67.0338731530001,-64.625962457 67.022313147,-64.632354726 67.0118639900001,-64.6534814939999 67.005818801,-64.6602819079999 67.0038731480001,-64.696972704 67.009091174,-64.6875638189999 67.0855452380001,-64.6580550039999 67.1130360380001,-64.611935761 67.132473169,-64.579590835 67.143463185,-64.551978107 67.150719967,-64.545272726 67.1524819900001,-64.5378225429999 67.15403968,-64.501399915 67.161654094,-64.474478701 67.1662823890001,-64.467499726 67.1674819900001,-64.423486925 67.173575731,-64.220217909 67.2017180830001,-64.0886089529999 67.2077632790001,-64.0567196549999 67.2050803430001,-64.050690726 67.20457299,-64.045635792 67.205477591,-64.017363949 67.2105360130001,-64.0022398849999 67.2206211800001,-63.9956997259999 67.2249819900001,-63.991800691 67.230270762,-63.975826925 67.251936077,-63.971365954 67.2747299540001,-63.971145726 67.27585499,-64.005301463 67.2753506870001,-64.010563878 67.275273139,-64.025301349 67.2741321,-64.114718726 67.2672099900001,-64.1641727259999 67.2616549900001,-64.232772726 67.2514369900001,-64.2671097259999 67.24142799,-64.287445726 67.23825499,-64.350781726 67.23476399,-64.425281726 67.2280459900001,-64.466663726 67.22915499,-64.655836726 67.2172099900001,-64.703863666 67.2038371080001,-64.716663953 67.20027321,-64.725755566 67.198420712,-64.765836726 67.19025499,-64.802735271 67.2040454460001,-64.7836232499999 67.2160726210001,-64.7791727269999 67.2188729900001,-64.766780678 67.221123694,-64.724163913 67.2288632120001,-64.668608826 67.238591081,-64.6186000279999 67.2457087700001,-64.5436097259999 67.2563819900001,-64.509172726 67.2549909900001,-64.499306713 67.254135423,-64.419446025 67.2472091860001,-64.3922267999999 67.2466450840001,-64.362029564 67.249678515,-64.3561097259999 67.25027299,-64.3526639249999 67.2510776930001,-64.315699856 67.259709118,-64.245235878 67.2942180840001,-64.245237942 67.294218395,-64.245236726 67.29421899,-64.271589664 67.298182024,-64.283617786 67.299991204,-64.3447268899999 67.2974821650001,-64.349042089 67.2974397350001,-64.3724997259999 67.2972099900001,-64.4022187259999 67.2991459900001,-64.4416637259999 67.3030369900001,-64.652771461 67.324005458,-64.687772874 67.3274821700001,-64.7279089469999 67.332491195,-64.792390607 67.3553999960001,-64.786297466 67.3557120770001,-64.7488908619999 67.357627182,-64.560174708 67.3404658590001,-64.530563726 67.3377729900001,-64.5069142569999 67.335498564,-64.3399998309999 67.3194450980001,-64.242917182 67.3148129730001,-64.217499726 67.3135999900001,-64.181672726 67.31219099,-64.158855887 67.312454356,-64.0847267899999 67.3133092100001,-64.0605337539999 67.3117194480001,-64.055263726 67.3113729900001,-64.05061985 67.3108947630001,-64.022781843 67.308027102,-63.937217867 67.2927541010001,-63.907908866 67.3016821690001,-63.95110886 67.4099911110001,-64.003863888 67.4559732260001,-64.012129832 67.457503778,-64.0480457259999 67.4641549900001,-64.077847681 67.4667401470001,-64.086399818 67.4674822490001,-64.094413371 67.467087276,-64.117218726 67.46596399,-64.145009726 67.4616549900001,-64.1669457259999 67.45693699,-64.1974997259999 67.4527639900001,-64.290136726 67.4480279900001,-64.342272784 67.452589281,-64.356946028 67.4538732240001,-64.362037342 67.4546891950001,-64.384736726 67.45832799,-64.409999726 67.4641549900001,-64.424270436 67.4713581460001,-64.4328357379999 67.475682077,-64.4122187259999 67.4774819900001,-64.405474531 67.476667019,-64.386946033 67.4744271590001,-64.352945414 67.4709170070001,-64.343890726 67.4699819900001,-64.276527726 67.4652729900001,-64.244718726 67.4667909900001,-64.1652817259999 67.4824819900001,-64.161216569 67.4834759610001,-64.1397358799999 67.488727021,-64.058240026 67.5217329180001,-64.041799726 67.52839099,-64.070281726 67.6063729900001,-64.070281858 67.606373063,-64.0702819209999 67.606373235,-64.138263271 67.6434640910001,-64.300418726 67.7319369910001,-64.326809726 67.7299099910001,-64.354863726 67.7062369910001,-64.380827726 67.6980279910001,-64.4541817259999 67.6933189900001,-64.5079197439999 67.6870269660001,-64.5158359 67.6861002220001,-64.521615341 67.685071098,-64.5813907259999 67.6744279900001,-64.63028099 67.662137176,-64.6172178689999 67.67859121,-64.597226862 67.6897000820001,-64.5783358959999 67.696927126,-64.466254931 67.7109632940001,-64.438326764 67.710545037,-64.402081906 67.7097091940001,-64.366245917 67.760545101,-64.366246271 67.7605452180001,-64.366245726 67.7605459910001,-64.5069547259999 67.807209991,-64.556495143 67.8175698860001,-64.568072926 67.819991235,-64.611935761 67.826382101,-64.653063916 67.8288732030001,-64.671862768 67.827307046,-64.7506277259999 67.8207459910001,-64.762218726 67.7624999910001,-64.775136727 67.702136991,-64.7997277269999 67.69080999,-64.8205547269999 67.6883099900001,-64.851396211 67.6892483130001,-64.8593723069999 67.689491187,-64.823881727 67.706099991,-64.817343162 67.7207301380001,-64.8074998119999 67.7427540090001,-64.807499932 67.742754532,-64.8074997269999 67.7427549910001,-64.815754727 67.778799991,-64.815754934 67.778800012,-64.8157549809999 67.778800216,-64.8332472239999 67.780591122,-64.921590727 67.7896369910001,-65.126936727 67.7169369910001,-65.150836727 67.6823819900001,-65.170209523 67.6354734830001,-65.1821281319999 67.6410738770001,-65.2037547269999 67.6512369910001,-65.191863885 67.7011631730001,-65.164012751 67.724276854,-65.1519457269999 67.7342909910001,-65.145189332 67.7369801240001,-65.121246016 67.7465091010001,-65.085281951 67.7491450420001,-65.05582677 67.7533271090001,-65.0195868129999 67.777273635,-65.011263727 67.7827729910001,-65.017772727 67.820827991,-65.015290727 67.8624909910001,-64.9424907269999 67.9124909910001,-64.847227727 67.934981991,-64.847227227 67.93498214,-64.8472268479999 67.9349822300001,-64.734445993 67.9687361540001,-64.7261819399999 67.988827073,-64.726182089 67.98882711,-64.7261817259999 67.9888279910001,-64.973054727 68.0502639910001,-65.001109727 68.055545991,-65.0477727269999 68.0494279910001,-65.176381727 68.0142639910001,-65.176381223 68.014263514,-65.176382007 68.014263299,-65.146873359 67.986309476,-65.1619119759999 67.974044307,-65.1716640019999 67.9660911610001,-65.179549676 67.963000365,-65.201399727 67.9544369910001,-65.2265854299999 67.947197207,-65.235272924 67.944700208,-65.2476494909999 67.942417425,-65.2924997269999 67.934145991,-65.423618727 67.8980369910001,-65.5276878449999 67.802309484,-65.550972949 67.7808911650001,-65.550972685 67.780891029,-65.550972727 67.780890991,-65.547888633 67.7792972490001,-65.501663889 67.7554091740001,-65.4625088339999 67.7419270500001,-65.4026459519999 67.723218139,-65.3741639099999 67.7072180920001,-65.347653969 67.6433593940001,-65.3279187269999 67.5958189900001,-65.346390727 67.5933189900001,-65.3580848129999 67.5956616830001,-65.360272913 67.5961002070001,-65.3847358369999 67.6258091920001,-65.3983358099999 67.6497091840001,-65.402242321 67.661033682,-65.405281727 67.6698459900001,-65.41214335 67.6792271450001,-65.4200088969999 67.6899822170001,-65.441667017 67.7052501050001,-65.4472187269999 67.7091639910001,-65.473618727 67.7197099910001,-65.517499727 67.733045991,-65.5647277269999 67.7484549910001,-65.5919457269999 67.7630459910001,-65.5993393689999 67.7755074550001,-65.608217828 67.7904731890001,-65.566117875 67.8106732410001,-65.5452729199999 67.822218139,-65.523055009 67.8404090480001,-65.460972934 67.9290091180001,-65.45477368 67.95113759,-65.4441637269999 67.989009991,-65.462385319 67.996112081,-65.463054999 67.9963731330001,-65.684435815 67.992482253,-65.6944317699999 67.9903654340001,-65.817218727 67.964363991,-65.811200389 67.9558086770001,-65.79889087 67.938309175,-65.764246267 67.9168542140001,-65.799718727 67.8658189910001,-65.8316817269999 67.8544279910001,-65.869154728 67.8441459910001,-65.9263907279999 67.832763991,-65.943802062 67.8240818880001,-65.952990987 67.819500223,-65.953890868 67.7983270330001,-65.947434115 67.787110511,-65.938736728 67.771999991,-65.948611882 67.729684859,-65.950290841 67.722491093,-65.96139988 67.6897000820001,-65.97108593 67.6751774840001,-66.002018369 67.6288005280001,-66.020972731 67.642773022,-66.0288817219999 67.721927931,-66.0073729439999 67.8091541050001,-65.974026882 67.8480360770001,-65.985826925 67.9166540250001,-65.9858276589999 67.9166545910001,-65.9858277279999 67.916654991,-65.9990954049999 67.92689941,-66.032226795 67.9524821350001,-65.9875819279999 67.983509091,-65.9603268289999 67.996427112,-65.933835824 68.0122632100001,-65.854645949 68.074154009,-65.854646094 68.0741547040001,-65.854645728 68.0741549910001,-65.864154728 68.1197639910001,-65.925690728 68.1600459910001,-65.947101695 68.1473453080001,-65.957154949 68.1413822370001,-65.955655769 68.132803982,-65.948609728 68.0924819910001,-65.944422742 68.053719367,-65.9435999029999 68.0461001150001,-65.968224385 68.0354645670001,-65.9941367279999 68.024272991,-66.128472728 67.978727991,-66.201634848 67.964188698,-66.220699923 67.960400184,-66.224772749 67.9607550950001,-66.2462547279999 67.962627991,-66.272645728 67.9562369910001,-66.295836728 67.938309991,-66.3144683899999 67.9168446880001,-66.319455003 67.911100176,-66.3327818939999 67.887773172,-66.34639092 67.861100112,-66.356654896 67.821382128,-66.4013998419999 67.8111002150001,-66.4273599699999 67.8162835690001,-66.5613907279999 67.8430459910001,-66.653881728 67.859418991,-66.6880687839999 67.862547691,-66.694999974 67.8631821760001,-66.701124194 67.8651427030001,-66.735207261 67.876054201,-66.672499928 67.880263154,-66.628599878 67.876645022,-66.6001934779999 67.8732111080001,-66.594163728 67.872481991,-66.581426076 67.8704816360001,-66.528754982 67.8622092050001,-66.403617861 67.8933181360001,-66.3444550359999 67.956645091,-66.326294719 67.9727287380001,-66.3152817279999 67.982481991,-66.3100384219999 67.984790344,-66.2944459189999 67.9916541210001,-66.258617809 68.0009632310001,-66.18804604 68.0139451220001,-66.188046667 68.0139458180001,-66.188045728 68.0139459910001,-66.245563728 68.077763991,-66.262799501 68.0853874570001,-66.265972929 68.0867912370001,-66.300273018 68.0849911400001,-66.3049198369999 68.0839429320001,-66.3261097279999 68.079163991,-66.369445728 68.0716549910001,-66.389999728 68.0694459910001,-66.438045728 68.0680549910001,-66.465726111 68.080163283,-66.42680329 68.085900479,-66.420699728 68.0867999910001,-66.414842957 68.086037483,-66.380135792 68.0815181820001,-66.358335803 68.0868001220001,-66.3311918429999 68.1117332300001,-66.3180547279999 68.1237999910001,-66.3180550609999 68.1238000330001,-66.31805489 68.1238001900001,-66.356461166 68.1286167760001,-66.513627728 68.148327991,-66.5516637279999 68.1479099910001,-66.610272728 68.1345639910001,-66.625545728 68.103318991,-66.6255458329999 68.103318544,-66.6255460149999 68.1033181710001,-66.626317437 68.100016919,-66.633336728 68.0699819910001,-66.647227728 68.0155459910001,-66.7059727279999 67.985545991,-66.727128437 67.9829142200001,-66.7338904599999 67.9820733170001,-66.730149775 67.986610963,-66.713617857 68.00666326,-66.682426784 68.0364450000001,-66.671878025 68.1120292420001,-66.670554728 68.121509991,-66.677255326 68.1336536430001,-66.6808268459999 68.140127131,-66.6808272759999 68.1401271710001,-66.6808277279999 68.140127991,-66.695629778 68.1415001190001,-66.701808929 68.142073242,-66.705195729 68.1413100500001,-66.748045728 68.1316549910001,-66.836118728 68.0955369910001,-66.9248547289999 68.045954991,-66.946654729 68.0136099910001,-66.957363729 68.021099991,-66.959276609 68.024130814,-66.9717358839999 68.0438732110001,-66.952917841 68.072000196,-66.938744631 68.076512355,-66.897090728 68.0897729910001,-66.889574141 68.094043033,-66.8522178229999 68.1152632210001,-66.780290868 68.207763223,-66.780290784 68.2077639190001,-66.780290728 68.207763991,-66.776181728 68.241918991,-66.824922811 68.2455586780001,-66.8358268439999 68.2463731190001,-66.865826849 68.250000136,-66.93057286 68.2624821310001,-66.934827054 68.2638588710001,-66.977145729 68.277554991,-67.003063729 68.2928279910001,-67.045022547 68.291495807,-67.0577729349999 68.291091243,-67.139726826 68.2799822040001,-67.1397275799999 68.2799820110001,-67.139727729 68.2799819910001,-67.1430735129999 68.2791282410001,-67.1788818809999 68.2699911430001,-67.19413796 68.2649078680001,-67.285618729 68.2344279910001,-67.275736729 68.1970639910001,-67.2998383739999 68.165186465,-67.305972991 68.15707316,-67.353881938 68.1352731710001,-67.374163965 68.1274731400001,-67.378453435 68.1270739340001,-67.4024997289999 68.1248369910001,-67.438045729 68.128036991,-67.473618729 68.133463991,-67.544727729 68.147763991,-67.568858674 68.153412491,-67.5755639989999 68.1549822110001,-67.598617921 68.163882115,-67.574446021 68.1690091580001,-67.5272052029999 68.164443985,-67.521390729 68.163881991,-67.477781729 68.1549819910001,-67.4747893269999 68.1541839980001,-67.45695504 68.1494270200001,-67.4271512289999 68.1447803080001,-67.4213907289999 68.1438819910001,-67.415274382 68.1441523240001,-67.393199937 68.145127104,-67.3711089289999 68.153873117,-67.3422269019999 68.1685912360001,-67.332618958 68.1786610250001,-67.327645729 68.183872991,-67.328752502 68.186103286,-67.3372269289999 68.203182177,-67.33734049 68.225342921,-67.3373637249999 68.229909251,-67.323763916 68.24665408,-67.307899736 68.256411004,-67.303881729 68.2588819910001,-67.29240822 68.264340911,-67.234999896 68.2916540040001,-67.157820735 68.2994268720001,-67.152218729 68.2999909910001,-67.1416830429999 68.301093565,-67.019654889 68.313863197,-67.019656832 68.3138637710001,-67.019654729 68.3138639910001,-67.078063728 68.3310999940001,-67.0780640139999 68.3311000780001,-67.079842046 68.3314309780001,-67.1302817289999 68.340818991,-67.182499729 68.3494279910001,-67.2283517669999 68.356403238,-67.238190887 68.357900208,-67.396045929 68.3533821950001,-67.4198605619999 68.3457468940001,-67.4941547289999 68.3219279910001,-67.5369817289999 68.290363991,-67.5521547289999 68.259436991,-67.5797271169999 68.25139117,-67.6877358259999 68.242573269,-67.654726884 68.253045114,-67.616390909 68.2583270540001,-67.5809818939999 68.2676271110001,-67.5809819369999 68.267627937,-67.580981729 68.267627991,-67.583072729 68.3080279910001,-67.597781729 68.3230459910001,-67.748890729 68.3197099910001,-67.818827729 68.2852639910001,-67.831454729 68.2633189910001,-67.8715907289999 68.2622189910001,-67.868472805 68.2962361680001,-67.849726833 68.3099822090001,-67.832226928 68.320263283,-67.813965851 68.3272850690001,-67.810545729 68.328599991,-67.781390729 68.337199991,-67.776948008 68.3379247510001,-67.743882003 68.3433180430001,-67.657180539 68.3446922910001,-67.638890729 68.3449819910001,-67.6286074509999 68.345637869,-67.595272871 68.347763302,-67.494717861 68.3608090640001,-67.455563979 68.367753973,-67.421150771 68.377913178,-67.414172729 68.379972991,-67.408983034 68.3816080450001,-67.3797178139999 68.390827174,-67.2863908539999 68.395827147,-67.238054932 68.3954090570001,-67.136255042 68.3812270450001,-67.111390964 68.3702541280001,-67.075564028 68.360536149,-67.048890968 68.3558181430001,-67.0199779019999 68.3544669500001,-67.011745729 68.354081991,-66.943599729 68.3715729910001,-66.933015215 68.3840591040001,-66.914299898 68.4061360490001,-66.808150658 68.422240898,-66.7827727279999 68.4260909910001,-66.771928542 68.4266579110001,-66.724163968 68.429154097,-66.7089625359999 68.43418812,-66.702363728 68.436372991,-66.702364272 68.4363731650001,-66.702363979 68.4363732620001,-66.7952819019999 68.4661001850001,-66.8213999119999 68.4652732260001,-66.908055045 68.453873167,-67.124226843 68.4738001360001,-67.124226532 68.473799881,-67.124227729 68.4737999910001,-67.105199921 68.458182138,-67.10735491 68.414082261,-67.15695499 68.406373257,-67.3317724409999 68.4157820820001,-67.327242982 68.417202822,-67.307772921 68.4233090600001,-67.2183358349999 68.4334451280001,-67.2238861659999 68.4627513130001,-67.2266637289999 68.477418991,-67.3259727289999 68.4965189910001,-67.426099729 68.4944279910001,-67.511127729 68.483318991,-67.550481729 68.444909991,-67.550481743 68.4449093000001,-67.550481992 68.4449090570001,-67.5510998899999 68.4144278680001,-67.5944547289999 68.3813639910001,-67.603336729 68.3788639910001,-67.618472729 68.382336991,-67.623054695 68.4967181420001,-67.556817812 68.5044869720001,-67.543063729 68.506099991,-67.5062457289999 68.5147819910001,-67.504220645 68.518529168,-67.496526843 68.5327633050001,-67.4965278449999 68.5327637770001,-67.496527729 68.5327639910001,-67.5324997289999 68.549709991,-67.643618729 68.5627639910001,-67.668609729 68.5619279910001,-67.7855035589999 68.5362877840001,-67.8091549009999 68.5311001680001,-67.822346808 68.5262193040001,-67.866945729 68.5097189910001,-67.920272729 68.534427991,-68.0653457299999 68.545818991,-68.13667273 68.5722189910001,-68.21556373 68.5855369910001,-68.2444457299999 68.5880459910001,-68.33778173 68.593318991,-68.39611873 68.5930459910001,-68.42555473 68.576409991,-68.453609518 68.5629000930001,-68.473762226 68.5625825270001,-68.65610973 68.559709991,-68.701862922 68.5686395810001,-68.709345459 68.5701000540001,-68.6889727299999 68.574790991,-68.6819637469999 68.57550337,-68.654172952 68.578327163,-68.6136472709999 68.5787849260001,-68.60583673 68.5788729910001,-68.5974843389999 68.5795031870001,-68.526672972 68.5848450990001,-68.5092841749999 68.5887660870001,-68.50389073 68.5899819910001,-68.47798173 68.610681991,-68.477982077 68.6106820810001,-68.4779819939999 68.6106821480001,-68.533326862 68.624982177,-68.540790283 68.6260984360001,-68.5630457299999 68.6294279910001,-68.5941637299999 68.6336099910001,-68.63805473 68.6355459910001,-68.67999073 68.6308189910001,-68.71116373 68.621145991,-68.74992773 68.602818991,-68.7938284369999 68.5924299530001,-68.804172977 68.5899822000001,-68.810029271 68.589828987,-68.8358277299999 68.589154991,-68.8977715949999 68.6052636960001,-68.777790936 68.6430540640001,-68.7477729939999 68.649154078,-68.68028191 68.655545111,-68.662948426 68.6561828320001,-68.65777273 68.6563729910001,-68.649162249 68.6562398790001,-68.621935817 68.6558181930001,-68.562208889 68.651927146,-68.388759541 68.6333320090001,-68.3887595109999 68.633332006,-68.3444547299999 68.628581991,-68.09098173 68.6285909910001,-68.0474907299999 68.6794999910001,-68.047491005 68.679500042,-68.0474909659999 68.6795000880001,-68.0552682429999 68.680933198,-68.19638173 68.7069369910001,-68.94373673 68.785954992,-68.96514573 68.7908189920001,-69.1935997309999 68.8041549920001,-69.3723515359999 68.8217276770001,-69.314999853 68.8316633140001,-69.294154898 68.8319360610001,-69.229999978 68.8272091710001,-69.1749592099999 68.8287974200001,-69.157845731 68.829290992,-69.1578461679999 68.8292912320001,-69.157846041 68.8292912360001,-69.160933246 68.830987603,-69.178327731 68.840545992,-69.231299395 68.8490853850001,-69.245546062 68.851382244,-69.25149878 68.852062114,-69.279445731 68.8552549920001,-69.3316817309999 68.856936992,-69.3704097309999 68.854709992,-69.379020591 68.859070639,-69.390135904 68.8647000830001,-69.3619358289999 68.874145147,-69.323063914 68.8766451330001,-69.280835886 68.8758091220001,-69.258814645 68.8733445730001,-69.251109731 68.8724819920001,-69.105836731 68.8485999920001,-69.078348005 68.841514902,-69.002355031 68.821927063,-68.972370149 68.815709987,-68.96749973 68.814699992,-68.956456288 68.8134694380001,-68.90028189 68.8072091120001,-68.8012460159999 68.7998451070001,-68.678881964 68.7966450640001,-68.619385103 68.7953499960001,-68.6024907299999 68.794981992,-68.5862155249999 68.795040806,-68.5269460549999 68.7952540030001,-68.526947215 68.795254986,-68.52694573 68.7952549920001,-68.557772729 68.821381993,-68.557773018 68.8213822390001,-68.5684651999999 68.82573132,-68.601108115 68.8390093350001,-68.556108875 68.8469270950001,-68.426390877 68.8391540530001,-68.364747 68.8336165970001,-68.3522187299999 68.832490992,-68.17083673 68.814699992,-68.142185083 68.8108369030001,-68.076108963 68.801927171,-67.944446027 68.7780451180001,-67.9150089509999 68.7741540700001,-67.865272916 68.7715181300001,-67.811672992 68.7734632340001,-67.774090885 68.7823450340001,-67.774092719 68.7823455210001,-67.774090729 68.782345992,-67.8613907289999 68.8055459920001,-67.881296263 68.808165472,-67.886672921 68.808873255,-67.893312387 68.8087514850001,-67.916945729 68.8083189920001,-67.959818072 68.810835394,-67.964173004 68.811091106,-67.968219935 68.811601599,-68.00834573 68.816663992,-68.125873511 68.8358871980001,-68.1338998379999 68.8372000640001,-68.136463088 68.8380239540001,-68.1797187299999 68.8519279920001,-68.252364131 68.8670127010001,-68.2666639879999 68.86998219,-68.293063966 68.8749821630001,-68.304173691 68.8760356860001,-68.36332773 68.8816459920001,-68.43249973 68.883327992,-68.480715303 68.8937362520001,-68.373890993 68.897218179,-68.299330214 68.895251784,-68.28944573 68.894990992,-68.2491727299999 68.8910999920001,-68.1836097299999 68.8785819920001,-68.167962277 68.8754703770001,-68.129163895 68.867754113,-68.0913296699999 68.863511799,-68.0822277299999 68.8624909920001,-68.00611873 68.854981992,-68.003619476 68.85490981,-67.986935906 68.854427055,-67.974917933 68.8613091,-67.9774659289999 68.8643006390001,-68.04416373 68.942609992,-68.0642421059999 68.945523119,-68.072917804 68.9467822170001,-68.1161089129999 68.9474821060001,-68.1205264079999 68.9474272860001,-68.16083673 68.946927992,-68.186826748 68.9485606040001,-68.191799846 68.9488731660001,-68.2018021919999 68.9510617780001,-68.26417273 68.9647099920001,-68.29083673 68.980045992,-68.3229143139999 68.9851404140001,-68.3288999549999 68.9860911630001,-68.353616191 68.983140866,-68.44055473 68.9727639920001,-68.5471410329999 68.9756098660001,-68.335008853 69.009154138,-68.3141638979999 69.010545031,-68.2736485419999 69.003714657,-68.2680637299999 69.0027729920001,-68.265185404 69.0021434320001,-68.2413819889999 68.9969360050001,-68.211117786 68.9919271470001,-68.076413621 68.975710678,-68.0588817299999 68.9735999920001,-68.02944573 68.9713729920001,-68.016581823 68.971699954,-67.9747179409999 68.9727632670001,-67.76612821 69.0162517410001,-67.718890729 69.0260999920001,-67.7188911499999 69.0261001050001,-67.718890856 69.026100167,-68.089445912 69.12608219,-68.105518962 69.1298023700001,-68.17832773 69.146654992,-68.3513907299999 69.171645992,-68.38138173 69.1752639920001,-68.4127817299999 69.1769279920001,-68.466608805 69.1671972830001,-68.471117885 69.1663822130001,-68.484830578 69.1636312740001,-68.75361873 69.109709992,-68.8729817299999 69.083118992,-68.89257273 69.0560189920001,-68.9254187299999 68.997763992,-68.948878126 68.982340784,-68.954581871 68.9785912040001,-68.958987243 68.9767396410001,-68.9730547299999 68.9708279920001,-69.0018097299999 68.964854992,-69.022771614 68.9705456890001,-69.0001358389999 68.9804001860001,-68.976515816 68.993277505,-68.9608997299999 69.0017909920001,-68.932627509 69.0822857370001,-68.928264041 69.094709063,-68.92826373 69.094709992,-68.96167273 69.1038639920001,-68.98987074 69.1036523500001,-68.998044104 69.1035912120001,-68.967904187 69.1076661500001,-68.872772987 69.1205271680001,-68.698890908 69.1397091530001,-68.509172899 69.197209177,-68.5091747499999 69.1972093800001,-68.50917273 69.1972099920001,-68.61805473 69.209154992,-68.6569547299999 69.2105369920001,-68.7047277299999 69.209154992,-68.731486234 69.204658002,-68.737781933 69.20360021,-68.7438750869999 69.202795021,-68.7672277299999 69.1997099920001,-68.792031123 69.1988013330001,-68.797772891 69.1985911850001,-68.808505367 69.199143399,-68.8627817299999 69.2019369920001,-68.9091997749999 69.207065109,-68.913054905 69.2074910900001,-68.9156359139999 69.2079539270001,-68.94402773 69.213045992,-68.9662575679999 69.220586068,-68.967772609 69.2210999910001,-68.9627288309999 69.221069318,-68.923045966 69.220827033,-68.839717946 69.2147090820001,-68.706216556 69.2226365940001,-68.68999073 69.2235999920001,-68.6868729619999 69.2241426260001,-68.66444598 69.228045025,-68.643617789 69.229427033,-68.549990924 69.2269270470001,-68.438908446 69.2224938960001,-68.4108277299999 69.2213729920001,-68.2630637299999 69.211381992,-68.1630547299999 69.1999999920001,-68.157780005 69.199644768,-68.129717939 69.197754,-68.098224321 69.2037697740001,-68.09763673 69.203881992,-68.0976367069999 69.2038820170001,-68.097635869 69.2038821780001,-68.082846001 69.2209541030001,-68.082846323 69.2209543070001,-68.08284573 69.220954992,-68.14403673 69.2597099920001,-68.16583673 69.2679099920001,-68.185735729 69.2720327210001,-68.198608801 69.2747002070001,-68.2308358779999 69.2777731800001,-68.2519549209999 69.2774821610001,-68.33056393 69.2752731940001,-68.504726803 69.2802731670001,-68.5157665149999 69.281968679,-68.53721873 69.2852639920001,-68.65833673 69.3002639920001,-68.9312457299999 69.332218992,-68.9566637299999 69.3319369920001,-69.005024259 69.3281354260001,-69.0133358269999 69.327482225,-69.0206317829999 69.3259781230001,-69.1480547309999 69.299709992,-69.170239201 69.2901436440001,-69.176390834 69.2874911590001,-69.191527046 69.278436481,-69.209018277 69.267973264,-69.2477456199999 69.27169107,-69.2361218199999 69.2798455760001,-69.203063894 69.303036069,-69.176663917 69.3108091110001,-69.04028197 69.3497180730001,-69.0171511619999 69.3545377460001,-69.01501873 69.354981992,-69.009866556 69.3553113520001,-68.984435863 69.3569360650001,-68.96043823 69.355948331,-68.95375473 69.3556729920001,-68.8444547299999 69.3460999920001,-68.840677474 69.345616422,-68.811935793 69.3419361470001,-68.74028192 69.3305540250001,-68.675281937 69.3222180550001,-68.464717799 69.3016540610001,-68.365690978 69.294427184,-68.340197678 69.2952577560001,-68.3358277299999 69.2953999920001,-68.3108187299999 69.298599992,-68.3108178419999 69.298600197,-68.2852818709999 69.3044271300001,-68.2423640119999 69.3105360280001,-68.221476217 69.311512275,-68.21569973 69.3117819920001,-68.209097935 69.3109862150001,-68.1844819419999 69.308018105,-67.8641639909999 69.2219270740001,-67.676390919 69.1694360760001,-67.6486178179999 69.1669270370001,-67.5133459699999 69.1576271480001,-67.4624998369999 69.1616539820001,-67.432488452 69.172289284,-67.4209637289999 69.176372992,-67.408608782 69.178647733,-67.378746016 69.184145142,-67.1755533529999 69.1827714520001,-67.132763729 69.1824819920001,-67.109620779 69.1816780600001,-66.9969459659999 69.177763161,-66.959308874 69.1733180700001,-66.929213456 69.1626441540001,-66.9205547289999 69.1595729920001,-66.843327728 69.1370729920001,-66.821039056 69.1348910300001,-66.760217886 69.128936061,-66.7252819459999 69.1415181360001,-66.6894358989999 69.1619270640001,-66.663472954 69.183309131,-66.653540947 69.1952985600001,-66.646663728 69.2035999920001,-66.648063728 69.230681992,-66.688881728 69.2759639920001,-66.7708367279999 69.3297099920001,-66.790409728 69.3391459920001,-66.921109729 69.3791549920001,-67.180827729 69.4547099920001,-67.2005711049999 69.4592240010001,-67.210008917 69.4613821230001,-67.258346011 69.467482137,-67.2646777639999 69.4674452830001,-67.3052637289999 69.4672099920001,-67.432772729 69.463318992,-67.4758277289999 69.463045992,-67.503796698 69.465421931,-67.511672942 69.466091244,-67.522403676 69.4673304120001,-67.562209729 69.4719279920001,-67.604999729 69.478045992,-67.763230855 69.48165328,-67.7995819289999 69.482482223,-67.804358523 69.481146999,-67.819454729 69.4769279920001,-67.840836729 69.4694369920001,-67.868045729 69.458454992,-67.893345729 69.4544369920001,-67.9263907289999 69.4541639920001,-67.9461097289999 69.4547099920001,-67.971824533 69.4566899710001,-67.982226785 69.4574912430001,-68.0255550219999 69.466091244,-68.0535440359999 69.471858839,-68.1819457299999 69.4983189920001,-68.29333673 69.523609992,-68.306925999 69.527399926,-68.3172268129999 69.5302731530001,-68.536390951 69.578600189,-68.611935871 69.5874912090001,-68.626258172 69.588336059,-68.66833673 69.590818992,-68.76098173 69.5884639920001,-68.92609973 69.566663992,-68.96430973 69.558172992,-68.99729073 69.5396369920001,-69.151672731 69.5202639920001,-69.194935718 69.5161226530001,-69.206663922 69.5150001520001,-69.299990882 69.5061000790001,-69.302823635 69.506052733,-69.333199731 69.5055459920001,-69.375827731 69.509718992,-69.4333915349999 69.5168232780001,-69.449999959 69.5188732620001,-69.461426354 69.5209924000001,-69.506954731 69.5294369920001,-69.613890731 69.543045992,-69.663327731 69.5483279920001,-69.686748419 69.548551736,-69.691799929 69.5486001840001,-69.699934376 69.5479358870001,-69.732772731 69.5452549920001,-69.788574339 69.5378626390001,-69.796663909 69.536791088,-69.813437246 69.531139319,-69.8201367309999 69.528881992,-69.831625988 69.5234350320001,-69.844163986 69.5174910860001,-69.84973575 69.5159067180001,-69.876390731 69.508327992,-69.899445731 69.507218992,-69.950487934 69.5124293270001,-69.9647178829999 69.5138821740001,-69.975054789 69.5152933040001,-70.0033367309999 69.519154992,-70.028889466 69.5326273250001,-69.861366244 69.555734241,-69.838609731 69.558872992,-69.744445731 69.5677729920001,-69.736919786 69.5679996310001,-69.688890906 69.569445139,-69.63082678 69.567218068,-69.5494358179999 69.5605271300001,-69.418608894 69.5470632780001,-69.364163906 69.5377632220001,-69.336726722 69.5329768130001,-69.3338907309999 69.532481992,-69.3182511759999 69.5330457650001,-69.210554969 69.536927043,-69.188599914 69.541927183,-68.980835836 69.5891540110001,-68.855626628 69.613102246,-68.83999973 69.6160909920001,-68.64528173 69.6410999920001,-68.641459238 69.6405054270001,-68.620273015 69.637209139,-68.5328099509999 69.6276874860001,-68.5180637299999 69.6260819920001,-68.514711576 69.6260399400001,-68.496381948 69.6258090800001,-68.352782008 69.626918173,-68.318963879 69.6308181050001,-68.256462761 69.667506872,-68.23569073 69.6796999920001,-68.233208957 69.6835372610001,-68.219026782 69.7054633120001,-68.1044788519999 69.749658078,-68.08778173 69.756099992,-68.00458173 69.773181992,-67.8108187289999 69.7788729920001,-67.802067498 69.7789022110001,-67.76709099 69.7790182000001,-67.622793853 69.753818761,-67.602490729 69.7502729920001,-67.590725974 69.7481567580001,-67.499999969 69.7318361320001,-67.436108911 69.7191450920001,-67.408383532 69.7155150300001,-67.399036729 69.714290992,-67.395450705 69.7143087570001,-67.3713818429999 69.714427087,-67.193599832 69.7219270460001,-67.1277819429999 69.7269270190001,-67.127782189 69.726927957,-67.1277817289999 69.7269279920001,-67.150554729 69.8140099920001,-67.2198637289999 69.9408099930001,-67.2424907289999 69.9583279930001,-67.378054729 70.048036993,-67.408472729 70.066654993,-67.480115438 70.1068365690001,-67.5283358309999 70.133882165,-67.5388849719999 70.1395132040001,-67.5569457289999 70.1491549930001,-67.574890447 70.157662133,-67.583617835 70.161800106,-67.643385592 70.184339175,-67.648054729 70.1860999930001,-67.648055057 70.1861000820001,-67.674435756 70.1935911560001,-67.685136476 70.197638974,-67.697218729 70.2022099930001,-67.734307701 70.216470966,-67.740554891 70.218873155,-67.741242626 70.2194704230001,-67.7690997289999 70.243663993,-67.798513537 70.2591781770001,-67.8013818589999 70.2606911410001,-68.039446015 70.3013732110001,-68.070390744 70.2965962470001,-68.15999973 70.2827639930001,-68.31611873 70.220409993,-68.3480547299999 70.1742189930001,-68.348054539 70.174218658,-68.3480549499999 70.1742180630001,-68.327090972 70.137354117,-68.299581901 70.1362361390001,-68.2718822259999 70.1373668730001,-68.26861873 70.1374999930001,-68.22944573 70.1352729930001,-68.223671768 70.132328783,-68.200137035 70.1203277400001,-68.2213907299999 70.1027639930001,-68.2413817299999 70.0958279930001,-68.33833673 70.0641459930001,-68.47166373 70.0466459930001,-68.6228187299999 69.982409993,-68.75930973 69.947754993,-68.80193673 69.9522099930001,-68.87027273 69.953045993,-68.9397097299999 69.950545993,-69.045252924 69.929991875,-69.0766730079999 69.923873245,-69.101945955 69.916091151,-69.1615992449999 69.8964570790001,-69.194309731 69.8856909930001,-69.261118731 69.8574819930001,-69.2854187309999 69.836790992,-69.301939083 69.824943825,-69.313890927 69.816373158,-69.331238442 69.8076279470001,-69.381390731 69.782345992,-69.396654611 69.778533096,-69.402499881 69.777073263,-69.4516639349999 69.775682203,-69.458973833 69.7764502520001,-69.489990731 69.7797099920001,-69.553190731 69.797209992,-69.572781731 69.8044279920001,-69.6027817309999 69.8097099920001,-69.643063731 69.810809992,-69.704031178 69.8077021330001,-69.722081902 69.806782249,-69.756463966 69.798591118,-69.7623124639999 69.795780742,-69.783063731 69.7858099920001,-69.812354731 69.7628369920001,-69.812354705 69.762836328,-69.812354999 69.762836098,-69.81201033 69.7540551710001,-69.811109731 69.7310909920001,-69.944445731 69.649718992,-69.974616398 69.6269952960001,-69.990554932 69.6149912280001,-69.991682431 69.6155116320001,-70.000145731 69.6194189920001,-69.999941936 69.629550157,-69.999226849 69.6650539890001,-69.885776979 69.768941999,-69.8724997309999 69.7810999920001,-69.867653979 69.7845088180001,-69.8499999699999 69.7969271420001,-69.827790944 69.80941819,-69.805826837 69.819991122,-69.7654269019999 69.8334631880001,-69.74844745 69.8370457450001,-69.744999731 69.8377729920001,-69.713899731 69.839981992,-69.683881731 69.839981992,-69.6701795769999 69.8394310310001,-69.573335809 69.8355360320001,-69.543335804 69.826936032,-69.5194708769999 69.820653457,-69.5169547309999 69.819990992,-69.5113252909999 69.8192449360001,-69.467635819 69.813454076,-69.433326845 69.8180450120001,-69.403964762 69.8268316580001,-69.3980547309999 69.8285999920001,-69.3705457309999 69.839981992,-69.3657883289999 69.843013237,-69.346117836 69.8555451440001,-69.313108896 69.882291127,-69.1530639979999 69.953045118,-69.088608838 69.9749911200001,-68.954454969 70.0047180430001,-68.90028189 70.011654068,-68.8680549809999 70.0169360080001,-68.80693582 70.0351270850001,-68.7830639919999 70.0444360270001,-68.744017901 70.063873157,-68.645626931 70.1528271110001,-68.664209129 70.1772776650001,-68.6836817299999 70.2028999930001,-68.683681866 70.2028999930001,-68.6836819449999 70.2029000970001,-68.700462575 70.202943395,-68.84916373 70.2033279930001,-68.93693673 70.1930369930001,-69.0111277299999 70.1783189930001,-69.162363731 70.1847099930001,-69.178201412 70.1866613880001,-69.182499901 70.187191237,-69.1911229099999 70.1874521030001,-69.219454731 70.1883099930001,-69.404172731 70.177763993,-69.423186503 70.1763132680001,-69.426099968 70.1760910830001,-69.653335878 70.1449912050001,-69.6533367329999 70.144991002,-69.675827731 70.1397099930001,-69.740827731 70.1141549930001,-69.789927731 70.084018993,-69.804027731 70.043872993,-69.77528201 70.0231822010001,-69.775281731 70.023181993,-69.773303044 70.0222934600001,-69.7520819069999 70.0127631610001,-69.748376042 70.000570183,-69.742627731 69.9816549930001,-69.7772187309999 69.963609993,-69.8131097309999 69.9554279930001,-69.83471933 69.95307662,-69.837508923 69.95277321,-69.8437032689999 69.9528855290001,-69.868054731 69.9533279930001,-69.8933787569999 69.955756996,-69.896955057 69.9561001550001,-69.933472997 69.9620732660001,-69.943111326 69.9625175850001,-69.9786097309999 69.9641549930001,-70.058073838 69.9594703910001,-70.068055014 69.9588821080001,-70.072398801 69.9580525200001,-70.098618731 69.953045993,-70.1315277309999 69.936927993,-70.1927637319999 69.9077639930001,-70.255281732 69.879154993,-70.349727732 69.8433189930001,-70.378472732 69.8377639920001,-70.3984591349999 69.837551611,-70.404163968 69.837491195,-70.410048311 69.8378387920001,-70.4369367319999 69.8394279920001,-70.465835248 69.843463785,-70.447218183 69.8588730690001,-70.444416334 69.859264383,-70.427363903 69.8616449900001,-70.392781847 69.8598360080001,-70.29138194 69.8894360290001,-70.2384190029999 69.9184558000001,-70.2209997319999 69.9279999930001,-70.2058713879999 69.9370027940001,-70.164446063 69.9616540040001,-70.1131698259999 69.9709981500001,-70.098890731 69.9735999930001,-70.057499731 69.9810909930001,-70.0030637309999 69.989699993,-69.99767733 69.9900429020001,-69.97235497 69.9916540090001,-69.9363909049999 69.9894271050001,-69.897508933 69.9830451230001,-69.844455006 69.9783180650001,-69.815826783 69.9890180680001,-69.821455494 69.9997352390001,-69.829863731 70.0157459930001,-69.8536097309999 70.029709993,-69.886191713 70.0428358290001,-69.8947908489999 70.0463001620001,-69.915182307 70.0482546150001,-70.024445731 70.058727993,-70.050122428 70.056216691,-70.05847299 70.0554002260001,-70.089855003 70.038182121,-70.102029452 70.0307650240001,-70.113327531 70.023882115,-70.11643501 70.023227692,-70.1528727319999 70.0155549930001,-70.177505261 70.0270698730001,-70.181381519 70.0288820690001,-70.1713546029999 70.032501848,-70.1413909679999 70.0433180480001,-70.096616349 70.061317853,-70.082299731 70.0670729930001,-70.072403309 70.0682169570001,-70.037781927 70.0722181800001,-69.990281849 70.0744360320001,-69.9683358469999 70.074709114,-69.9500134749999 70.0761229840001,-69.946654731 70.076381993,-69.940283419 70.0784015680001,-69.9177730219999 70.0855360180001,-69.875826793 70.1019271650001,-69.847154985 70.1208090790001,-69.830217841 70.151754059,-69.689480362 70.1924051250001,-69.668063731 70.198590993,-69.6634686689999 70.199592888,-69.6399999349999 70.20470908,-69.511597863 70.2311179120001,-69.473890731 70.238872993,-69.43251588 70.2444993190001,-69.283890922 70.2647090900001,-69.234999951 70.2702632740001,-69.07194595 70.2880360940001,-68.941372997 70.2930451190001,-68.914950451 70.293680871,-68.9069547299999 70.293872993,-68.8789520879999 70.297608929,-68.784164033 70.310254005,-68.735545977 70.3177631840001,-68.68037257 70.3349708330001,-68.65759973 70.342072993,-68.6580528109999 70.3501564360001,-68.6595179239999 70.3763091020001,-68.664323987 70.3894634920001,-68.6705547019999 70.406518915,-68.658335908 70.4335911960001,-68.643675754 70.44125761,-68.62165473 70.4527729930001,-68.612525107 70.4551743050001,-68.573608948 70.465409068,-68.5527732199999 70.4464364390001,-68.5659752179999 70.4314854250001,-68.575146021 70.4211001480001,-68.572299862 70.395818149,-68.512926819 70.3726180470001,-68.496853927 70.3694833640001,-68.49013673 70.368172993,-68.490135891 70.3681731500001,-68.4901357529999 70.3681731240001,-68.452008823 70.3753270780001,-68.4509089489999 70.4046360790001,-68.371935831 70.455827044,-68.322646049 70.480545109,-68.292917785 70.497073216,-68.284503914 70.5174973300001,-68.28104573 70.5258909930001,-68.282976535 70.5298070050001,-68.2936089569999 70.551373197,-68.309011153 70.5593178350001,-68.31972773 70.5648459930001,-68.3905637299999 70.5822189930001,-68.48472773 70.6041549930001,-68.5152907299999 70.6091459930001,-68.542695636 70.612690479,-68.5497268939999 70.613600111,-68.556441766 70.614450973,-68.58250973 70.6177549930001,-68.6186097299999 70.6205279930001,-68.66444573 70.6269189930001,-68.92832773 70.6816549930001,-68.95612447 70.6881322030001,-68.958054996 70.6885821020001,-69.1319459599999 70.7374911780001,-69.135927481 70.7394914820001,-69.190554731 70.7669369930001,-69.2209817309999 70.7780369930001,-69.239141875 70.78174289,-69.242763941 70.7824822170001,-69.2849289929999 70.7841769280001,-69.460563731 70.791236993,-69.536384187 70.7789070530001,-69.538326779 70.7785911700001,-69.5383271809999 70.778591083,-69.538327731 70.7785909930001,-69.569172731 70.7719279930001,-69.619999731 70.7580459930001,-69.645972731 70.736163993,-69.775836731 70.6822099930001,-69.864699174 70.6777575840001,-69.875826793 70.6772001480001,-69.875827322 70.6772000140001,-69.875827731 70.677199993,-69.987699731 70.648745993,-70.0233277309999 70.610536993,-70.082008248 70.6119477620001,-70.092499829 70.612200165,-70.1040633919999 70.612786106,-70.158336732 70.615536993,-70.344454732 70.613036993,-70.371109732 70.573609993,-70.371108792 70.5736094120001,-70.371108927 70.5736092120001,-70.3486179339999 70.5597091670001,-70.321255043 70.5356732210001,-70.317920624 70.524792925,-70.309718732 70.4980279930001,-70.41794972 70.4813529640001,-70.450272985 70.476373268,-70.4879177889999 70.483900217,-70.467226893 70.4938632820001,-70.4050358539999 70.5247091890001,-70.4103513059999 70.5340314520001,-70.417781732 70.5470639930001,-70.4427637319999 70.5619189930001,-70.4605547319999 70.574154993,-70.475481494 70.6133093700001,-70.454726793 70.62776318,-70.415554975 70.637909139,-70.353885374 70.6381580660001,-70.345699732 70.6381909930001,-70.337094929 70.637929511,-70.277217865 70.636109209,-70.235272977 70.640127158,-70.214619488 70.6451179260001,-70.2105547319999 70.6460999930001,-70.19578889 70.6503430550001,-70.1216549379999 70.671645126,-70.079317945 70.6855361190001,-69.9652908689999 70.7277633090001,-69.915555003 70.7491450410001,-69.879435873 70.7680541120001,-69.802363938 70.8158180520001,-69.7886912659999 70.83623764,-69.7746547309999 70.8571999930001,-69.774655087 70.857200112,-69.7746550419999 70.857200178,-69.781603827 70.8595239410001,-69.8336187309999 70.8769189930001,-69.866460446 70.8823808930001,-69.8695819399999 70.882900099,-69.8742103869999 70.8825329810001,-69.9072907309999 70.8799099930001,-69.973894408 70.8582054940001,-69.988054945 70.853591098,-70.043084269 70.8388341790001,-70.075009731 70.8302729930001,-70.2288817319999 70.7972099930001,-70.252066806 70.7942488560001,-70.255008839 70.793873223,-70.26342069 70.7929001270001,-70.324718732 70.785809993,-70.356571124 70.7831966570001,-70.365281996 70.7824822170001,-70.372548346 70.781526892,-70.396954732 70.7783189930001,-70.421663732 70.7722189930001,-70.6119367319999 70.7235999930001,-70.771118429 70.6688730980001,-70.91305496 70.6377731840001,-70.968890841 70.6322002250001,-70.9904717749999 70.6250426710001,-71.001536732 70.6213729930001,-71.0506097319999 70.551163993,-71.0506087529999 70.5511634740001,-71.050608865 70.5511633140001,-71.030564258 70.54054532,-71.093063732 70.4605369930001,-71.135836732 70.4105369930001,-71.171663732 70.3680459930001,-71.2308367329999 70.288036993,-71.230835874 70.2880360980001,-71.212846262 70.2697093640001,-71.291444815 70.1763668030001,-71.331681907 70.12858212,-71.3389378959999 70.1251266370001,-71.366654733 70.1119279930001,-71.393618733 70.1044279930001,-71.438045733 70.0866549930001,-71.475827733 70.068054993,-71.493609733 70.050536993,-71.500290733 70.0383189930001,-71.5333635169999 70.0271370660001,-71.5298045059999 70.035790101,-71.523054733 70.052199993,-71.509673247 70.065942115,-71.49166394 70.084436145,-71.4347177929999 70.126918145,-71.3630550349999 70.1822092020001,-71.3298434549999 70.20842601,-71.316954733 70.2185999930001,-71.312671662 70.22338175,-71.2824358789999 70.25713604,-71.286838242 70.2674888020001,-71.2927727329999 70.281445993,-71.32125447 70.3080367470001,-71.2605639729999 70.3777631940001,-71.173046007 70.5323360510001,-71.173046238 70.5323361010001,-71.1730457319999 70.5323369930001,-71.253063733 70.5497099930001,-71.397781733 70.5744369930001,-71.427772733 70.5780369930001,-71.5054187329999 70.5744369930001,-71.50462444 70.5548492780001,-71.5043819919999 70.548863694,-71.51732509 70.5338992430001,-71.5252819099999 70.5247001370001,-71.5279386679999 70.5232298860001,-71.5433367329999 70.5147099930001,-71.6409817329999 70.4477639930001,-71.680545733 70.362763993,-71.740827644 70.311791069,-71.745387594 70.3106894760001,-71.806945733 70.2958189930001,-71.843743234 70.2935191490001,-71.816664023 70.3030360130001,-71.790056675 70.3116177690001,-71.7830637329999 70.3138729930001,-71.778849825 70.316067171,-71.759317891 70.326236115,-71.746381932 70.347763189,-71.746381739 70.3477639870001,-71.730835849 70.4120632830001,-71.730836774 70.412063824,-71.7308367329999 70.4120639930001,-71.7555547329999 70.4265099930001,-71.803053743 70.4283189550001,-71.743608863 70.4669360830001,-71.608135933 70.5383109950001,-71.583481733 70.551299993,-71.591945733 70.5961999930001,-71.586643451 70.5983025510001,-71.5586088599999 70.6094180440001,-71.46194607 70.6077540690001,-71.415135823 70.604009202,-71.389726922 70.6005360760001,-71.345835756 70.591663161,-71.317187148 70.587827663,-71.312499733 70.5871999930001,-71.309276547 70.586881523,-71.2816820099999 70.584153982,-71.224717926 70.5822180980001,-71.183472927 70.5830450560001,-71.1456179049999 70.5942912230001,-71.1287459719999 70.6173360930001,-71.113335843 70.6444361270001,-71.0916639289999 70.658318067,-71.055264006 70.6691451390001,-71.0312008719999 70.673709801,-71.0244457319999 70.6749909930001,-71.014580317 70.6765320170001,-70.9658358039999 70.6841450580001,-70.8859350769999 70.7005272260001,-70.881809732 70.7013729930001,-70.881809059 70.701373189,-70.8818089009999 70.701373222,-70.798890924 70.725536069,-70.7733267899999 70.7344180370001,-70.743890887 70.7501181800001,-70.678881851 70.8405450010001,-70.6135177529999 70.8665173510001,-70.5894457319999 70.8760819930001,-70.5678463789999 70.887478973,-70.553608944 70.8949911620001,-70.53267794 70.9116297300001,-70.5153547319999 70.925399994,-70.603054732 71.053727994,-70.635563732 71.0722189940001,-70.724718732 71.104427994,-70.745461349 71.111020307,-70.763617864 71.116791241,-70.774366336 71.117408008,-70.799727732 71.118863994,-70.836118732 71.114427994,-70.8955547319999 71.0997189940001,-71.162218732 71.0283189940001,-71.185545732 71.019436994,-71.199861652 71.010366477,-71.208346057 71.0049912370001,-71.243486908 70.962715717,-71.288409733 70.908672993,-71.354445733 70.882754993,-71.5030960249999 70.8746937780001,-71.543881856 70.872482232,-71.58597464 70.8660447180001,-71.689163733 70.8502639930001,-71.818890733 70.8230459930001,-71.896954733 70.806927993,-72.004727733 70.7869279930001,-72.145981733 70.774845993,-72.177251548 70.768163497,-72.18554605 70.766391142,-72.191568962 70.7643811630001,-72.210554733 70.7580459930001,-72.233054733 70.7466459930001,-72.247218733 70.7298549930001,-72.2711097329999 70.703590993,-72.289494937 70.689977228,-72.306381914 70.6774732310001,-72.3341639 70.664700216,-72.371935773 70.6549822380001,-72.3719358129999 70.65498223,-72.380795414 70.653356155,-72.496809734 70.632063993,-72.551663734 70.608036993,-72.567430034 70.6097606430001,-72.569454987 70.6099821450001,-72.6115173059999 70.6341541730001,-72.5847970089999 70.639920272,-72.578063734 70.6413729930001,-72.570249377 70.6421081980001,-72.5424999589999 70.644718094,-72.4994359199999 70.6466539780001,-72.467635817 70.6516450660001,-72.3951149439999 70.6732727900001,-72.3819457339999 70.677199993,-72.370937344 70.682462356,-72.363326888 70.6861002210001,-72.1706909709999 70.8379090600001,-72.170691646 70.8379092740001,-72.170690733 70.837909993,-72.257090733 70.865263993,-72.2964301929999 70.866930869,-72.3027818859999 70.8672001240001,-72.309224037 70.866395068,-72.356109734 70.860536993,-72.401109734 70.8497189930001,-72.476945734 70.8333279930001,-72.511399734 70.8272099930001,-72.627379585 70.8248414130001,-72.653889038 70.8243002410001,-72.524581734 70.843181993,-72.323536734 70.8872729930001,-72.323536716 70.887273076,-72.323535814 70.8872732740001,-72.318345275 70.912301798,-72.316463734 70.9213729940001,-72.3066327349999 70.9334686980001,-72.293890866 70.94914513,-72.269590891 70.9572091920001,-72.23499995 70.9619270300001,-72.200290992 70.9611091240001,-72.172635908 70.9651270730001,-72.105555034 71.026027131,-72.105555115 71.0260276480001,-72.105554733 71.0260279940001,-72.1095816279999 71.0517183250001,-72.0775088509999 71.0727731750001,-71.9108268259999 71.10775404,-71.890290996 71.1094181830001,-71.8688819389999 71.1094181830001,-71.848890932 71.108318142,-71.8124998929999 71.1041540130001,-71.714446043 71.0880450010001,-71.656236411 71.076845232,-71.640836733 71.073881994,-71.608336733 71.0685999940001,-71.5510997329999 71.0646999940001,-71.537612066 71.0641206500001,-71.4799998519999 71.061645023,-71.45976065 71.06503459,-71.458336733 71.0652729940001,-71.458336597 71.0652730830001,-71.458335817 71.0652732140001,-71.41583588 71.093318056,-71.3447179459999 71.160536058,-71.324717886 71.1777632160001,-71.2280549289999 71.214853976,-71.2061178119999 71.2205360680001,-71.169445979 71.233318135,-71.147781945 71.241927021,-71.128334154 71.2573464450001,-71.1235997319999 71.2610999940001,-71.123599859 71.2611000890001,-71.1235998189999 71.2611001210001,-71.1300715799999 71.265953412,-71.241381733 71.3494279940001,-71.295545733 71.3847189940001,-71.447563733 71.4695639940001,-71.5369409159999 71.4983274360001,-71.5541729889999 71.5038732300001,-71.585555003 71.509991181,-71.593157962 71.511172779,-71.635563733 71.5177639940001,-71.679990733 71.5233189940001,-71.847781733 71.5466459940001,-72.076114928 71.579148769,-72.152217927 71.589982198,-72.301099974 71.6122001090001,-72.31236474 71.6140789880001,-72.4444457339999 71.636109994,-72.474718734 71.6427639940001,-72.49613814 71.6484383040001,-72.503063943 71.6502732280001,-72.5084546589999 71.652131178,-72.5308367339999 71.6598459940001,-72.5694913729999 71.6558940450001,-72.5736088899999 71.655473193,-72.573609099 71.655473059,-72.5736097339999 71.655472994,-72.5851869699999 71.6480623300001,-72.593890917 71.6424911340001,-72.609582007 71.601091237,-72.610376534 71.5930519300001,-72.612636734 71.570190994,-72.649736734 71.5369279940001,-72.677227686 71.525816757,-72.679990832 71.5247000800001,-72.6968038759999 71.5113024600001,-72.7669457339999 71.455409994,-72.766945585 71.4554094260001,-72.766946037 71.4554090660001,-72.760282164 71.4300548990001,-72.8363997339999 71.4133189940001,-72.858045734 71.4133189940001,-72.897227734 71.4166549940001,-72.985836734 71.393809994,-72.981460066 71.387449626,-72.963273009 71.3610181070001,-72.952090879 71.3135911190001,-72.9816729629999 71.2674911550001,-72.9850721399999 71.26322738,-72.999727734 71.2448459940001,-73.019581734 71.2308099940001,-73.045545734 71.225536994,-73.073754734 71.230963994,-73.108472734 71.230963994,-73.142227734 71.2244279940001,-73.1740496049999 71.2028932950001,-73.1808640309999 71.198282115,-73.1780493859999 71.1883146320001,-73.171109734 71.163736994,-73.3294283769999 71.022670142,-73.37374604 70.983182195,-73.448963624 71.032691067,-73.440563469 71.038300226,-73.42639093 71.0477632500001,-73.3794358439999 71.0583180780001,-73.329724471 71.073635794,-73.319454734 71.0767999940001,-73.294445734 71.0924819940001,-73.275298586 71.1136561500001,-73.252364012 71.139018036,-73.236664037 71.1597091,-73.236664096 71.1597095170001,-73.2366637339999 71.1597099940001,-73.237601728 71.1662554390001,-73.239726784 71.181091167,-73.2488577679999 71.1909249720001,-73.2577817339999 71.2005369940001,-73.264293795 71.2134076660001,-73.2690269 71.2227633080001,-73.2401359679999 71.2360911360001,-73.239199035 71.236265415,-73.2147178669999 71.2408180950001,-73.155563926 71.2466450260001,-73.057355011 71.2664450930001,-73.05735591 71.266445757,-73.0573547339999 71.266445994,-73.083618734 71.285809994,-73.320845734 71.3408189940001,-73.3563907339999 71.3455459940001,-73.382218735 71.345263994,-73.424335229 71.3392127230001,-73.4348640279999 71.3377001550001,-73.4338490119999 71.3316042340001,-73.431036735 71.3147099940001,-73.4547277349999 71.300263994,-73.5319906939999 71.2754960920001,-73.549164019 71.269991141,-73.5622251199999 71.262200814,-73.6197187349999 71.2279099940001,-73.671245735 71.168036994,-73.671245583 71.1680364280001,-73.6712459359999 71.1680360180001,-73.6614639219999 71.131654032,-73.6624477519999 71.1267757240001,-73.669154804 71.0935189520001,-73.692763735 71.079436994,-73.724309735 71.0697099940001,-73.753063735 71.0658099940001,-73.8463907349999 71.0620639940001,-73.865788461 71.0513423790001,-73.872772873 71.047482121,-73.8859727349999 71.059490994,-73.873362454 71.0638264030001,-73.842499953 71.0744361430001,-73.7906132379999 71.0799848880001,-73.7879187349999 71.080272994,-73.787918181 71.080273096,-73.7879178379999 71.080273133,-73.753335782 71.0866541080001,-73.732217912 71.0959632170001,-73.715072896 71.1328360480001,-73.715072904 71.13283663,-73.715072735 71.1328369940001,-73.715554735 71.1699819940001,-73.696787483 71.2048088510001,-73.67888185 71.2380361410001,-73.663054973 71.2541632580001,-73.622426882 71.290882197,-73.610328157 71.296190643,-73.5902907349999 71.3049819940001,-73.5675831899999 71.3131687100001,-73.500899847 71.3372091430001,-73.383545994 71.3877632510001,-73.3835464589999 71.3877636820001,-73.383545735 71.3877639940001,-73.4379097349999 71.4380369940001,-73.468803564 71.436738206,-73.477490868 71.436373261,-73.4819334709999 71.4344539700001,-73.5000097349999 71.4266459940001,-73.514454735 71.405963994,-73.514454786 71.4059636060001,-73.514455061 71.4059632130001,-73.517772849 71.3810189530001,-73.540390735 71.3728639940001,-73.6040272069999 71.3567911270001,-73.607949344 71.3569886050001,-73.628754735 71.358036994,-73.6302817329999 71.45664586,-73.617499832 71.5180450170001,-73.598346009 71.528318045,-73.565835792 71.5480361370001,-73.575913622 71.558011456,-73.591809735 71.573745994,-73.630827735 71.5848549940001,-73.649542943 71.5870204440001,-73.653608903 71.5874910970001,-73.657828115 71.5875568430001,-73.689163735 71.5880459940001,-73.729589461 71.586494348,-73.739863884 71.5861002030001,-73.744983624 71.5848623370001,-73.7616727349999 71.5808279940001,-73.8649907349999 71.5284549940001,-73.970972735 71.4165189940001,-74.0081997349999 71.3640099940001,-74.0208922849999 71.3389019320001,-74.039446012 71.3022001130001,-74.053423268 71.2917665470001,-74.118327735 71.243318994,-74.153199735 71.226236994,-74.190827735 71.2111099940001,-74.231562487 71.204110208,-74.212364005 71.21735413,-74.187773009 71.2294270880001,-74.145008875 71.2519271340001,-74.099026927 71.2801181570001,-74.063890995 71.3369271760001,-74.063890816 71.3369278640001,-74.063890735 71.3369279940001,-74.0625564549999 71.342050031,-74.0372268199999 71.4392821170001,-74.083617804 71.4410822140001,-74.1213819659999 71.438582228,-74.130499335 71.437175815,-74.1591637349999 71.432754994,-74.191663735 71.4255369940001,-74.307484501 71.4141196090001,-74.169999854 71.4458181570001,-74.115776922 71.4581210210001,-74.095272735 71.462772994,-74.074604235 71.469771586,-74.010835894 71.4913632400001,-73.987917927 71.5308181990001,-73.8908358739999 71.6094181550001,-73.8064347169999 71.6532778320001,-73.791381735 71.661099994,-73.788463538 71.662499686,-73.771117822 71.6708181110001,-73.741331528 71.680959353,-73.732772735 71.6838729940001,-73.7206351089999 71.6858969350001,-73.694446038 71.690263288,-73.663326882 71.697209204,-73.64255386 71.7047444710001,-73.6380637349999 71.706372994,-73.632002062 71.7099242050001,-73.616246067 71.7191540320001,-73.592426877 71.7526271620001,-73.5954635379999 71.7565555250001,-73.607563735 71.772209994,-73.7188907349999 71.7769279940001,-73.7480457349999 71.7769279940001,-73.928327735 71.769145994,-73.9711187349999 71.7615189940001,-73.991462535 71.7535412190001,-73.996946075 71.7513911670001,-74.004935745 71.7466661020001,-74.016945735 71.739563994,-74.039718735 71.7222189940001,-74.146118735 71.6374999940001,-74.162609735 71.5391459940001,-74.2188907349999 71.556636994,-74.235069973 71.5682059900001,-74.2461088759999 71.5761000900001,-74.253617888 71.6030360070001,-74.245707082 71.6238415890001,-74.244163735 71.6278999940001,-74.2381254919999 71.6318996970001,-74.2265269069999 71.63958211,-74.2027908649999 71.645827131,-74.1784761929999 71.6501301440001,-74.173045735 71.6510909940001,-74.146390735 71.659572994,-74.141215105 71.663881061,-74.1263819389999 71.6762271210001,-74.108672989 71.7342181560001,-74.108672735 71.7342189940001,-74.142822302 71.7383706080001,-74.146954985 71.7388731300001,-74.26833584 71.7302731290001,-74.2683361479999 71.730273036,-74.2683367349999 71.7302729940001,-74.301099735 71.7203279940001,-74.317781735 71.704436994,-74.333200775 71.6958686040001,-74.340554988 71.6917822570001,-74.381946 71.6772000920001,-74.416258165 71.6674878580001,-74.5438817359999 71.6313639940001,-74.580009736 71.5885909940001,-74.624436736 71.556363994,-74.663890736 71.5572099940001,-74.694027736 71.553027994,-74.719036736 71.5442909940001,-74.7395817359999 71.521236994,-74.739581602 71.521236297,-74.73958186 71.5212360070001,-74.729655005 71.4694271280001,-74.652090884 71.435818044,-74.634581926 71.423045029,-74.628046163 71.3957545100001,-74.6386331309999 71.383739694,-74.6459819849999 71.3754001120001,-74.671663969 71.359982104,-74.7183999229999 71.3340020220001,-74.869299736 71.250118994,-74.993754736 71.2016099940001,-75.0649997359999 71.180818994,-75.081390593 71.1794280060001,-75.0750088619999 71.204436109,-74.8883358319999 71.287200194,-74.705208849 71.3835181530001,-74.71185947 71.4042026060001,-74.716663736 71.4191459940001,-74.775296635 71.4696146210001,-74.8333357939999 71.519573205,-74.841157498 71.520894513,-74.857227736 71.5236099940001,-74.877490736 71.5241549940001,-74.944154736 71.5216549940001,-74.989158298 71.518850274,-74.996526923 71.5183911890001,-75.051726785 71.508882256,-75.051727319 71.5088820660001,-75.051727736 71.508881994,-75.089309736 71.4955369940001,-75.110836736 71.475963994,-75.144517734 71.4667912670001,-75.116245982 71.4977631580001,-75.088463836 71.5117199060001,-75.0813907359999 71.515272994,-75.073207875 71.5179616130001,-75.031945997 71.531518088,-74.995135863 71.5361180770001,-74.9740999919999 71.537054826,-74.970836736 71.537199994,-74.931390736 71.537899994,-74.926522851 71.5381963830001,-74.869717948 71.5416539880001,-74.81193579 71.5477632220001,-74.733890883 71.5755450400001,-74.708890851 71.585963243,-74.6908899279999 71.597521079,-74.682072736 71.6031819940001,-74.67097377 71.612123501,-74.6463908549999 71.6319270860001,-74.631381883 71.6560270690001,-74.631382184 71.656027275,-74.631381736 71.6560279940001,-74.687343405 71.694428719,-74.688745953 71.6953911690001,-74.718335915 71.6935912390001,-74.726758874 71.6921257210001,-74.791799736 71.6808099940001,-74.856390736 71.652209994,-74.999999736 71.6072369940001,-75.160914868 71.559525222,-75.205273026 71.5463731670001,-75.244354394 71.541150798,-75.4024961699999 71.5200194710001,-75.20055502 71.593736117,-75.124406494 71.6090413890001,-75.114163736 71.611099994,-75.055554736 71.6224819940001,-75.045336006 71.6245509280001,-75.008899954 71.6319270860001,-74.940272954 71.6642182000001,-74.9402737299999 71.6642185260001,-74.9402727359999 71.6642189940001,-75.015045973 71.69564073,-75.017090917 71.696500095,-75.0197465749999 71.6968214710001,-75.043609736 71.699709994,-75.085009736 71.700818994,-75.178327736 71.6941369940001,-75.231361434 71.6874371320001,-75.241946032 71.686100164,-75.26701078 71.6845478830001,-75.390207233 71.6769191490001,-75.371245941 71.68913609,-75.342772951 71.6958181430001,-75.198918345 71.710969349,-75.1580547359999 71.715272994,-75.1539145409999 71.7155951940001,-75.136673016 71.7169360130001,-75.0905639979999 71.718045106,-75.051570343 71.7163095000001,-75.046663736 71.7160909940001,-75.041864904 71.715661954,-74.999999881 71.7119181030001,-74.909328445 71.709301914,-74.885009736 71.7085999940001,-74.867485243 71.711355725,-74.704864017 71.736927187,-74.678326912 71.7452541050001,-74.604999843 71.7847181170001,-74.5705549149999 71.809418077,-74.5108704089999 71.8136446930001,-74.507518736 71.813881994,-74.469172736 71.8038729940001,-74.461980856 71.8033936510001,-74.4399908469999 71.8019271700001,-74.403064037 71.8038632220001,-74.263335867 71.8158091110001,-74.238410443 71.820348218,-74.236527735 71.8206909940001,-74.236527595 71.820691099,-74.2365268519999 71.820691234,-74.1720819189999 71.868445116,-74.1186088969999 71.962909165,-74.1222178089999 71.9836002280001,-74.150240658 72.0081059950001,-74.1774907349999 72.0319369950001,-74.2256907349999 72.0627639950001,-74.248928193 72.0731619000001,-74.252081988 72.0745732140001,-74.262810416 72.075934664,-74.3068097349999 72.0815189950001,-74.5352817359999 72.0897099950001,-74.607327024 72.091037338,-74.625546067 72.091373231,-74.659435778 72.0910910960001,-74.6725177879999 72.0915417780001,-74.7644547359999 72.0947099950001,-74.801390736 72.098327995,-74.835009736 72.103863995,-74.951672736 72.1233099950001,-74.9839651199999 72.1270452900001,-74.9922179549999 72.1280001360001,-74.995203255 72.128045591,-75.012509736 72.1283099950001,-75.043609736 72.1238639950001,-75.087499736 72.1105369950001,-75.114154736 72.098727995,-75.1324997359999 72.083463995,-75.154445736 72.0497099950001,-75.174436736 72.0319369950001,-75.1977727359999 72.0233189950001,-75.23559728 72.015515527,-75.248890941 72.012773274,-75.2692945699999 72.0093196000001,-75.3277907359999 71.999418995,-75.349445736 71.998027995,-75.371936736 71.997754995,-75.4144457359999 71.999709995,-75.476672736 72.0008279950001,-75.4996402149999 71.9979564660001,-75.505690998 71.9972002010001,-75.528123442 71.9898219180001,-75.5386097369999 71.9863729940001,-75.568472737 71.963109994,-75.5684727349999 71.963109333,-75.5684729609999 71.9631091570001,-75.568459009 71.956222488,-75.568409737 71.931499994,-75.5770225919999 71.912624539,-75.579999922 71.906100145,-75.654999851 71.826100076,-75.6589724569999 71.8230068340001,-75.674999737 71.810527994,-75.7911097369999 71.7281819940001,-75.8194547369999 71.716936994,-75.840269668 71.7106266640001,-75.84695499 71.70860021,-75.88028194 71.7024822590001,-75.901672892 71.701100083,-75.923536386 71.7005560050001,-76.092016338 71.6963640540001,-76.073346004 71.7055450060001,-76.040281911 71.709427169,-75.997499838 71.7091540860001,-75.950145462 71.7105036080001,-75.943881737 71.7106819940001,-75.937642899 71.71119523,-75.8983459469999 71.714427141,-75.872218737 71.7213729960001,-75.872217878 71.721373225,-75.8299999079999 71.736645052,-75.8024908369999 71.750545098,-75.693635899 71.8498450020001,-75.687066352 71.8811290520001,-75.6866639089999 71.883045172,-75.611381936 71.9853270680001,-75.580417844 72.001373216,-75.548045928 72.0111091310001,-75.5150178769999 72.0183271240001,-75.497661237 72.0208687250001,-75.494154736 72.0213819950001,-75.4494367359999 72.0252729950001,-75.440803452 72.0253250640001,-75.404172907 72.025545116,-75.3505231349999 72.0282571590001,-75.338336736 72.028872995,-75.33566632 72.029230854,-75.317508889 72.0316632340001,-75.2895494329999 72.0370698510001,-75.2816817359999 72.0385909950001,-75.255281736 72.0460999950001,-75.225899736 72.0746729950001,-75.2258999749999 72.0746730380001,-75.2258998839999 72.074673127,-75.248357786 72.07880233,-75.433063736 72.1127639950001,-75.488054736 72.1188639950001,-75.528336737 72.120818995,-75.5861187369999 72.1216459950001,-75.630554737 72.1197099950001,-75.7105547369999 72.1133099950001,-75.778041925 72.105692812,-75.7966639059999 72.1035911960001,-75.802412966 72.102383172,-75.828336737 72.0969369950001,-75.894454737 72.0822189950001,-75.9561187369999 72.0672189950001,-75.998609737 72.054154995,-76.019694343 72.045581892,-76.0245909879999 72.0435911860001,-76.029106177 72.0394284270001,-76.0476367369999 72.0223459950001,-76.068190737 71.9947099950001,-76.0897187369999 71.9788639940001,-76.310818737 71.8847189940001,-76.348054223 71.891663898,-76.332388403 71.9065968180001,-76.318345737 71.9199819940001,-76.3118788689999 71.9240771870001,-76.3016640179999 71.9305451280001,-76.268481907 71.9470631770001,-76.23472681 71.9574911020001,-76.192490902 71.967754072,-76.1718754949999 71.9772373610001,-76.164999737 71.980399994,-76.1595957929999 71.9837182190001,-76.1351358859999 71.9987361010001,-76.1058357699999 72.0234632190001,-76.0811178719999 72.0545632650001,-76.054717895 72.073045026,-76.0286693429999 72.082286852,-76.024172737 72.0838819950001,-75.866654737 72.1138729950001,-75.813890737 72.122481995,-75.800980769 72.1243523470001,-75.73331784 72.1341541290001,-75.710008941 72.136654116,-75.607499941 72.1433271170001,-75.534023598 72.1456559850001,-75.520009737 72.146099995,-75.511242184 72.1458132660001,-75.477781942 72.1447181770001,-75.4473302439999 72.141758671,-75.440554736 72.141099995,-75.431305169 72.1399365840001,-75.387508845 72.1344270440001,-75.32362684 72.125536024,-75.281526887 72.1183182,-75.2456999509999 72.117345061,-75.2294480319999 72.121433993,-75.2252817359999 72.122481995,-75.189263055 72.1354665360001,-75.068073005 72.179154053,-75.044999973 72.1883091030001,-74.946108938 72.259709172,-74.946109839 72.25970992,-74.946109736 72.259709995,-74.980563736 72.2883189950001,-74.9974850739999 72.297072192,-74.999999881 72.2983732150001,-75.034163732 72.3174910010001,-75.034164017 72.3174911610001,-75.054172738 72.3288729920001,-75.1180552819999 72.381669613,-75.132490731 72.393600001,-75.1602817359999 72.4210999950001,-75.176740474 72.4391826130001,-75.1997178359999 72.464427099,-75.190199849 72.4874091040001,-75.190200073 72.4874091820001,-75.190199736 72.4874099950001,-75.2234817359999 72.499018995,-75.301663736 72.5097189950001,-75.357982992 72.5148945240001,-75.36971792 72.515973122,-75.435272953 72.5224912250001,-75.47222692 72.5274821450001,-75.529445982 72.5379001800001,-75.531196941 72.5388201040001,-75.559172737 72.553518995,-75.759172737 72.579163995,-75.798890737 72.581936995,-75.8419457369999 72.5830549950001,-75.885281737 72.5841549950001,-75.9249529319999 72.583683164,-75.931945979 72.583600161,-75.997217871 72.5799912480001,-75.9979680389999 72.579798967,-76.0188907369999 72.574436995,-76.071181737 72.538463995,-76.071181471 72.5384636160001,-76.0711819639999 72.5384632770001,-76.06299889 72.5267776650001,-76.052218737 72.5113819950001,-76.0460535459999 72.497595231,-76.041873261 72.488245782,-76.0786187369999 72.4733189950001,-76.107338007 72.4751988740001,-76.114717905 72.4756821510001,-76.159308959 72.5220731360001,-76.16243616 72.539634456,-76.163190737 72.5438729950001,-76.156872737 72.5759549950001,-76.173175003 72.584977006,-76.1822178739999 72.5899821420001,-76.2152908529999 72.5961000930001,-76.2883269009999 72.604982228,-76.328335905 72.6074822150001,-76.3519126259999 72.6090553560001,-76.428327737 72.614154995,-76.552294188 72.6255901870001,-76.5847269239999 72.628582147,-76.603003862 72.6318948050001,-76.646118141 72.639709887,-76.651418524 72.6525920130001,-76.6577727379999 72.6680369950001,-76.6753696279999 72.682030056,-76.689026801 72.6928911260001,-76.711735343 72.7026944570001,-76.753063738 72.720536995,-76.7862898179999 72.7254820310001,-76.7997269319999 72.7274822350001,-76.844755261 72.7324832560001,-76.9472187379999 72.7438639950001,-77.002499738 72.749418995,-77.055818738 72.752863995,-77.259736738 72.7516639950001,-77.413054738 72.752209995,-77.522927738 72.7558279950001,-77.576399738 72.7555549950001,-77.620690738 72.7501279950001,-77.6421485019999 72.7422916090001,-77.648472918 72.7399821670001,-77.653386268 72.738230254,-77.670272739 72.7322099950001,-77.6961718059999 72.7259613370001,-77.701399943 72.724700113,-77.774726844 72.7081822320001,-77.7843536949999 72.7069056030001,-77.8449997389999 72.6988639950001,-77.863892445 72.6978196060001,-77.8699999139999 72.69748223,-78.00168196 72.6824821430001,-78.02929127 72.6778330940001,-78.163327739 72.655263995,-78.436808852 72.5843002190001,-78.436809739 72.584299995,-78.556654739 72.504436995,-78.556654781 72.5044362340001,-78.556654979 72.5044361020001,-78.557226417 72.4941055950001,-78.560136739 72.441509995,-78.560135803 72.4415093630001,-78.560135816 72.4415091320001,-78.52084598 72.4149911370001,-78.520845878 72.4149910890001,-78.520845739 72.414990995,-78.520292355 72.414728596,-78.499164008 72.4047090560001,-78.4828515309999 72.3985736600001,-78.473327739 72.3949909950001,-78.4359694999999 72.3853205830001,-78.381526847 72.3712270410001,-78.3269549569999 72.3591450310001,-78.235434904 72.34085743,-78.2199997389999 72.3377729950001,-78.208708708 72.3356579160001,-78.154726795 72.3255449980001,-78.121381908 72.3197180670001,-78.0833129919999 72.314081748,-78.0725097389999 72.312481995,-77.949999739 72.2960999950001,-77.866109739 72.281099995,-77.854950505 72.2787222480001,-77.823063938 72.271927137,-77.760835851 72.2572180700001,-77.658617871 72.231654104,-77.626331249 72.221841747,-77.623890736 72.2211,-77.604172883 72.2119271270001,-77.578890884 72.2041633050001,-77.54999092 72.1980270820001,-77.5141728679999 72.1938632870001,-77.476945986 72.1913633010001,-77.455835828 72.1908090890001,-77.397226878 72.192745141,-77.30694607 72.1980270820001,-77.278064043 72.196927041,-77.2516820019999 72.193318128,-77.0686178839999 72.152209084,-77.0066294869999 72.129210125,-77.039445738 72.1316549950001,-77.115827738 72.148327995,-77.239990738 72.174427995,-77.289445738 72.183318995,-77.3195112069999 72.1857266910001,-77.324172892 72.1861001360001,-77.381099929 72.1849821580001,-77.407089038 72.183671604,-77.5408367379999 72.176927995,-77.653409739 72.1967189950001,-77.7663679299999 72.2332917750001,-77.793882007 72.242200214,-77.8274999769999 72.2486001330001,-77.834566095 72.2497572190001,-77.893618739 72.2594279950001,-77.9782616699999 72.270507874,-78.012508865 72.2749912250001,-78.0920969909999 72.2854082870001,-78.3052637389999 72.3133099950001,-78.4083367389999 72.3258189950001,-78.445272739 72.325409995,-78.4655637389999 72.316936995,-78.465563746 72.3169362090001,-78.4655639759999 72.3169361130001,-78.46625498 72.238173213,-78.466254738 72.2381731250001,-78.466254739 72.2381729950001,-78.414936739 72.219499995,-78.390209795 72.1713001040001,-78.415135764 72.1686002310001,-78.467953331 72.2014538550001,-78.529790739 72.239918995,-78.529445739 72.3113729950001,-78.5141727389999 72.3274909950001,-78.514172983 72.327491104,-78.515297429 72.3279426930001,-78.580563739 72.354154995,-78.6063741629999 72.3586505120001,-78.6099999259999 72.359282159,-78.726370823 72.3306557230001,-78.73472774 72.328599995,-78.823253676 72.2628835310001,-78.869999858 72.228182152,-78.869999696 72.2281820270001,-78.86999974 72.2281819950001,-78.84860974 72.2117909950001,-78.8345471769999 72.206480292,-78.809999848 72.1972091750001,-78.696655059 72.163609143,-78.599990928 72.145263169,-78.515017875 72.1313632910001,-78.468890921 72.124145131,-78.4306908999999 72.115536078,-78.394446042 72.1002540250001,-78.375546024 72.08581804,-78.356946077 72.0583181900001,-78.349694798 72.0379573380001,-78.3417367389999 72.015609995,-78.328336739 71.988590994,-78.2899997389999 71.9756819940001,-78.284423685 71.975096309,-78.262217831 71.9727632650001,-78.2056330249999 71.9777515900001,-78.196109739 71.9785909940001,-78.1895896729999 71.978887113,-78.153063993 71.980545024,-78.109093652 71.9726383880001,-78.104381739 71.9717909940001,-78.092770032 71.9645414390001,-77.9600088139999 71.881653989,-77.8077729999999 71.8230450400001,-77.785554921 71.7874911860001,-77.9747178809999 71.859982243,-78.007684379 71.8831450500001,-78.018618739 71.8908279940001,-78.149318739 71.966236994,-78.178881739 71.967209994,-78.258899739 71.956645994,-78.274821131 71.9542538200001,-78.279172912 71.9536002230001,-78.28525438 71.9491947980001,-78.3117277389999 71.9300189940001,-78.311726587 71.930018288,-78.3117268829999 71.930018074,-78.178881933 71.8486001200001,-78.178881739 71.848599994,-78.177522715 71.8479692760001,-78.139999959 71.8305540520001,-78.107226885 71.819153993,-78.0858268809999 71.8133091240001,-78.05065732 71.8042590970001,-78.029727739 71.7988729940001,-78.021557284 71.797464942,-77.9974998929999 71.7933181170001,-77.966664045 71.786654001,-77.908337806 71.7696456670001,-77.924436739 71.764709994,-78.0597187389999 71.7941459940001,-78.0905637389999 71.8008099940001,-78.123045739 71.806363994,-78.149021332 71.8095339130001,-78.157608829 71.8105821560001,-78.184999883 71.817491191,-78.1893345239999 71.819025497,-78.218745739 71.829436994,-78.3177817389999 71.888318994,-78.373609744 71.922763989,-78.3891727389999 71.938454994,-78.391390739 71.9597189940001,-78.395281739 71.9824819940001,-78.395281876 71.9824821980001,-78.395281885 71.98248225,-78.396494974 71.984279793,-78.432772739 72.0380369950001,-78.4562022919999 72.067502027,-78.460826859 72.0733181080001,-78.460827323 72.0733184710001,-78.460827739 72.0733189950001,-78.481945739 72.0898459950001,-78.501885968 72.0972528550001,-78.512217817 72.1010912090001,-78.554446013 72.111373122,-78.576161041 72.1155849,-78.85839974 72.170327995,-78.87749074 72.1533189950001,-78.91923674 72.0127639950001,-78.9192357489999 72.01276348,-78.919235828 72.0127632160001,-78.855564041 71.979709181,-78.740554941 71.9580360940001,-78.6913729509999 71.9497091760001,-78.627203261 71.9418939810001,-78.614863739 71.940390994,-78.612752402 71.9396177090001,-78.595555057 71.9333181970001,-78.5141179189999 71.8687360050001,-78.51306389 71.8679001240001,-78.551390977 71.8611002220001,-78.5784729059999 71.8642912120001,-78.6327728859999 71.881791117,-78.652431601 71.893496596,-78.6530637399999 71.893872994,-78.6530639649999 71.8938731280001,-78.653609779 71.8941537570001,-78.683881739 71.9097189940001,-78.7184693459999 71.9179176310001,-78.7224999869999 71.91887316,-78.728217797 71.919865837,-78.76889074 71.926927994,-78.8180727399999 71.935254994,-79.02667274 71.970536994,-79.0666727399999 71.975127994,-79.09528174 71.9698459940001,-79.13082774 71.956645994,-79.1687547399999 71.9551279940001,-79.1966727399999 71.9601279940001,-79.231526464 71.978327328,-79.2063909459999 71.9866450380001,-79.143481913 72.0038091640001,-79.036390862 72.0694449980001,-78.97420055 72.1552468730001,-78.94539974 72.194981995,-79.01279074 72.2738819950001,-79.012790909 72.2738820920001,-79.012790943 72.273882132,-79.082226797 72.3138731980001,-79.113326843 72.3311001880001,-79.125008927 72.3362607980001,-79.14666374 72.345827995,-79.18249974 72.358318995,-79.24332774 72.374418995,-79.34583674 72.3989459950001,-79.48499974 72.3255459950001,-79.56582774 72.2752729950001,-79.70694574 72.213463995,-79.733450008 72.2137787060001,-79.741390896 72.213873237,-79.765908969 72.2432821500001,-79.725835928 72.267073177,-79.7055639599999 72.2736092170001,-79.668063995 72.2808181570001,-79.638899834 72.2891541270001,-79.595555001 72.334718153,-79.595555358 72.3347183450001,-79.59555474 72.3347189950001,-79.6811071509999 72.3807552360001,-79.687863895 72.3843911550001,-79.705079452 72.390225193,-79.768635419 72.4117635470001,-79.696390972 72.4697092070001,-79.696391478 72.4697094040001,-79.69639074 72.4697099950001,-79.73416374 72.4844189950001,-79.7756997399999 72.498027995,-79.796942768 72.5010726720001,-79.7991640019999 72.5013911250001,-79.8288999769999 72.4999911790001,-79.840383171 72.4940823300001,-79.870754741 72.4784549950001,-79.9572277409999 72.408327995,-79.9864557989999 72.4036514040001,-79.991945932 72.4027731720001,-80.058569516 72.384678782,-80.067427741 72.3822729950001,-80.115281741 72.3594189950001,-80.133618741 72.349718995,-80.154101157 72.3296586440001,-80.1595819839999 72.3242912330001,-80.159581703 72.3242910320001,-80.159581741 72.3242909950001,-80.068360229 72.258849024,-80.045546023 72.2424821810001,-80.045545967 72.242482157,-80.045545741 72.242481995,-79.932499741 72.1931729950001,-79.854999741 72.1710999950001,-79.8434963719999 72.168259929,-79.811108885 72.1602632550001,-79.789990847 72.155818164,-79.7191639329999 72.1483270890001,-79.685583779 72.1344639860001,-79.7611277399999 72.1341549950001,-79.783370614 72.1368897180001,-79.790554949 72.1377732670001,-79.8014269449999 72.1394105140001,-79.840290741 72.1452639950001,-79.899736741 72.1555459950001,-79.942890634 72.164547224,-79.9549998429999 72.1670732160001,-79.960966501 72.1686320030001,-79.9916727409999 72.176654995,-80.018695684 72.188516974,-80.0213908869999 72.189700164,-80.026268272 72.1925091900001,-80.085554741 72.226654995,-80.113054741 72.2441369950001,-80.1244926429999 72.2539680410001,-80.134735844 72.2627732600001,-80.149934059 72.2705783660001,-80.155836741 72.2736099950001,-80.194154741 72.287763995,-80.233327741 72.296927995,-80.266536741 72.292627995,-80.292636741 72.2772099950001,-80.304027741 72.2519279950001,-80.3023936399999 72.2501788910001,-80.276390846 72.2223449940001,-80.2404829719999 72.2021366420001,-80.315692552 72.180588625,-80.331390883 72.1760911380001,-80.335202603 72.1758287550001,-80.355563741 72.174427995,-80.3851367409999 72.1758099950001,-80.4177817409999 72.190118995,-80.479927741 72.1767549950001,-80.479926782 72.1767540100001,-80.479926925 72.1767539790001,-80.442145999 72.137963201,-80.4154532919999 72.1240657260001,-80.4102817409999 72.1213729950001,-80.376663741 72.1106729950001,-80.350209741 72.081890995,-80.385009741 72.0483279950001,-80.4105547409999 72.039427995,-80.448881741 72.029163995,-80.512092654 72.0196062700001,-80.535282019 72.0161002200001,-80.555766106 72.0139669540001,-80.6299997409999 72.0062369950001,-80.659163741 72.0030549950001,-80.7516727409999 71.9722099940001,-80.751672679 71.9722091350001,-80.75167292 71.9722090540001,-80.7511314609999 71.964808227,-80.749518741 71.942754994,-80.7672277409999 71.929427994,-80.868054741 71.8930549940001,-80.903609444 71.88527306,-80.9043551029999 71.8851906090001,-80.926390742 71.882754994,-80.945309739 71.8814377890001,-80.950291002 71.8810912280001,-80.954129957 71.8821311950001,-80.977771533 71.888536667,-80.933317815 71.908873214,-80.886126862 71.9208180970001,-80.841381916 71.9402632740001,-80.828318302 71.9507954200001,-80.8213997409999 71.956372994,-80.8058894229999 71.9945463880001,-80.793463916 72.0251270260001,-80.793464098 72.0251271180001,-80.793463741 72.025127995,-80.850560236 72.053973947,-80.856945937 72.0572002110001,-80.879536361 72.0504553420001,-80.891109742 72.0469999950001,-80.927218742 72.037763995,-80.990554742 72.037763995,-81.055827742 72.0408189950001,-81.082644514 72.0488636260001,-80.982134472 72.0762928780001,-80.9410997419999 72.0874909950001,-80.896584649 72.0889785270001,-80.741946057 72.0941451260001,-80.686664053 72.073045026,-80.6383358429999 72.06275406,-80.574245967 72.070609077,-80.574246005 72.070609962,-80.574245741 72.070609995,-80.575145741 72.0913819950001,-80.575146014 72.091382077,-80.575146016 72.091382115,-80.582382004 72.093562089,-80.7097277409999 72.1319279950001,-80.761672741 72.1411099950001,-80.816663741 72.1505459950001,-80.8952745509999 72.1848671400001,-80.901263689 72.187482048,-80.8848157149999 72.2042667280001,-80.854173035 72.2355360980001,-80.801246011 72.279436149,-80.7833268429999 72.290263221,-80.674854957 72.344709214,-80.655564007 72.351927038,-80.603054904 72.3630360780001,-80.564435787 72.3666540420001,-80.5336178759999 72.3723361350001,-80.517616942 72.378395889,-80.514172741 72.3796999950001,-80.509883083 72.396354708,-80.4942267869999 72.457136017,-80.501053956 72.476698044,-80.505981741 72.490818995,-80.520981741 72.5059549950001,-80.542573601 72.511050255,-80.546945941 72.5120822420001,-80.580290996 72.5099911250001,-80.5837185729999 72.5094266820001,-80.6005547409999 72.5066549950001,-80.715009741 72.473036995,-80.821672741 72.439145995,-80.901195217 72.41046277,-80.929446046 72.400273186,-80.9986615609999 72.3687715470001,-81.0375097419999 72.3510909950001,-81.0931573509999 72.323021382,-81.164173031 72.2872001380001,-81.18378938 72.279142494,-81.244445742 72.2542279950001,-81.2936097419999 72.246654995,-81.3723610919999 72.2416551630001,-81.3047179339999 72.268327109,-81.230835816 72.2797181160001,-81.191517817 72.295254141,-80.988326905 72.429700204,-80.968880267 72.44094103,-80.948190742 72.4528999950001,-80.9094746439999 72.466455286,-80.7652909989999 72.5169360350001,-80.6763908569999 72.5472091220001,-80.648617924 72.5549821640001,-80.556245997 72.6137270680001,-80.5413818659999 72.6288632760001,-80.464717794 72.6652632000001,-80.448771848 72.6720023010001,-80.444990741 72.6735999950001,-80.361663741 72.706099995,-80.3322277409999 72.7124909950001,-80.252781741 72.7274819950001,-80.2527819059999 72.727482229,-80.2527818739999 72.7274822350001,-80.254511646 72.7299329830001,-80.291799741 72.782763995,-80.3257054379999 72.8007279080001,-80.32639091 72.801091103,-80.328304858 72.8015342020001,-80.349163741 72.8063639950001,-80.405563741 72.8133099950001,-80.4345320039999 72.817689467,-80.440554946 72.818600228,-80.487781942 72.828600174,-80.513899952 72.8388822540001,-80.537217904 72.8510911670001,-80.6415268329999 72.9306731470001,-80.6338999719999 72.940536132,-80.633900156 72.940536459,-80.6338997409999 72.9405369950001,-80.645004778 72.9603122510001,-80.6515267789999 72.9719270300001,-80.6447705589999 72.9923378920001,-80.64444601 72.993318183,-80.617490888 73.0055540530001,-80.593335919 73.025818142,-80.550617885 73.095682143,-80.572533929 73.120749059,-80.5963907409999 73.148036996,-80.617218741 73.157763996,-80.640836741 73.165545996,-80.6560849259999 73.1690921150001,-80.664717883 73.1711001610001,-80.67914674 73.1738509300001,-80.712781741 73.1802639960001,-80.9002817419999 73.209427996,-81.074445742 73.2322099960001,-81.1016727419999 73.2383099960001,-81.184990742 73.258463996,-81.207081742 73.2697189960001,-81.214999742 73.2978999960001,-81.213890742 73.320399996,-81.2093819689999 73.332624815,-81.188326826 73.389709081,-81.1959702039999 73.4626816240001,-81.197490742 73.4771999960001,-81.224163742 73.5284549960001,-81.238614516 73.5456249870001,-81.239717951 73.5469361510001,-81.239718182 73.546936331,-81.239718742 73.5469369960001,-81.271990197 73.572083702,-81.282499856 73.5802731590001,-81.457226831 73.6910822550001,-81.467242115 73.6947659190001,-81.4761097419999 73.6980279960001,-81.545272742 73.7155459960001,-81.572509742 73.7197099960001,-81.609399783 73.720835853,-81.618054934 73.7211001970001,-81.990826835 73.7313732250001,-82.044461417 73.729939884,-82.219454743 73.7252639960001,-82.367490743 73.7191459960001,-82.408326072 73.7189057370001,-82.413890994 73.7188731260001,-82.475008814 73.719982219,-82.488152468 73.720516644,-82.529999743 73.722218996,-82.636127743 73.7277639960001,-82.7913389459999 73.7326677550001,-82.820845973 73.7336001290001,-82.824272725 73.7333253250001,-82.8468097429999 73.731518996,-82.869645743 73.719563996,-82.896109743 73.702763996,-82.931109743 73.690536996,-83.018336744 73.666090996,-83.085281744 73.657763996,-83.219163744 73.6566459960001,-83.445263744 73.615818996,-83.5565644339999 73.5994516440001,-83.5774999879999 73.5963731190001,-83.601245768 73.5922135750001,-83.7408277439999 73.5677639960001,-83.991454744 73.504954996,-83.9914532399999 73.504954496,-83.9914550299999 73.5049540480001,-83.9547268709999 73.4927540200001,-83.810546066 73.4705361090001,-83.75445504 73.463318117,-83.688326853 73.455545075,-83.66325138 73.448834107,-83.6581997439999 73.4474819960001,-83.637918744 73.434281996,-83.630545989 73.4234285970001,-83.6249998979999 73.4152631570001,-83.592290862 73.3117912450001,-83.597557187 73.3065023410001,-83.607227544 73.2967911960001,-83.613319379 73.2971589370001,-83.6394457439999 73.2987369960001,-83.6606895199999 73.3053688630001,-83.661663876 73.3056730810001,-83.689436324 73.323609725,-83.692242786 73.32704355,-83.707363744 73.3455459960001,-83.719722297 73.3658997580001,-83.7243088549999 73.3734540570001,-83.721735778 73.403118115,-83.721736752 73.4031189010001,-83.7217367439999 73.403118996,-83.724733497 73.4055388770001,-83.7519178379999 73.4274911810001,-83.8345795389999 73.437003432,-84.1138907449999 73.4691459960001,-84.1713907449999 73.4752639960001,-84.192405203 73.474749914,-84.19444595 73.474700071,-84.19849941 73.474182184,-84.229172745 73.470263996,-84.2844367449999 73.4611099960001,-84.4341547449999 73.4352549960001,-84.583890745 73.4091459960001,-84.633608895 73.3993001590001,-84.6336097449999 73.3992999960001,-84.645035 73.39381788,-84.653881869 73.3895731270001,-84.6538817429999 73.3895729980001,-84.5923638959999 73.3269361700001,-84.570145985 73.3158180780001,-84.489717936 73.299709066,-84.455972897 73.2902631640001,-84.413055038 73.2722181,-84.349447248 73.2261549520001,-84.384854745 73.225118996,-84.4167997449999 73.2305369960001,-84.6549997449999 73.305545996,-84.690136218 73.323463727,-84.705916535 73.341972952,-84.7173637449999 73.3553999960001,-84.7215899299999 73.3584940910001,-84.749026863 73.3785821050001,-84.7589054279999 73.3810473790001,-84.786945745 73.3880459960001,-84.808045745 73.3883189960001,-84.979999745 73.3566459960001,-85.017227745 73.3483279960001,-85.077790745 73.3294369960001,-85.115827745 73.314418996,-85.1365367449999 73.3027639960001,-85.177627746 73.2160549960001,-85.177626612 73.2160546630001,-85.177626934 73.216053984,-85.138064016 73.2044361640001,-85.105078044 73.201750405,-85.100554745 73.2013819960001,-85.0949189039999 73.2012703950001,-85.0583358549999 73.200545117,-85.0200089319999 73.1969271520001,-84.9852729839999 73.1905361180001,-84.9422178299999 73.181653983,-84.912781927 73.1755360320001,-84.8650089339999 73.1636090870001,-84.789446077 73.1458270470001,-84.736390977 73.1372091090001,-84.584446015 73.115818157,-84.5393089629999 73.110818184,-84.448377342 73.1067410620001,-84.433881745 73.106090996,-84.41674268 73.104020151,-84.275281862 73.086927078,-84.242490851 73.0822181240001,-84.204368743 73.0706815840001,-84.197490745 73.068599996,-84.178412436 73.066686227,-84.094999865 73.0583181330001,-84.05971792 73.056363306,-84.039717861 73.056363306,-83.9652818659999 73.0612271570001,-83.9378187999999 73.061112979,-83.934718744 73.0610999950001,-83.930250883 73.060511127,-83.9136178269999 73.0583181330001,-83.8797178899999 73.0519271000001,-83.782652678 73.03230868,-83.7766727439999 73.031099995,-83.774762255 73.0305202580001,-83.692490983 73.0055540530001,-83.655485336 72.9920729620001,-83.637919441 72.9856732490001,-83.652933906 72.9863186850001,-83.718890744 72.989154995,-83.75755249 73.0048228750001,-83.7613999499999 73.0063821850001,-83.775545656 73.009831036,-83.841118744 73.0258189950001,-83.8677637439999 73.0297099950001,-83.915709239 73.0330666290001,-83.92332692 73.0336000680001,-84.077226877 73.0338731510001,-84.104427143 73.035157951,-84.212509745 73.040263995,-84.5566547449999 73.064418996,-84.744635798 73.0789276500001,-84.772782015 73.081100146,-84.7798997 73.0816545980001,-84.829727745 73.085536996,-84.895985493 73.094515066,-84.912781927 73.096791237,-84.933670247 73.1024819840001,-84.995836745 73.119418996,-85.034820353 73.128085561,-85.0533268299999 73.132200084,-85.089172877 73.137500129,-85.097501366 73.1380860800001,-85.148345745 73.141663996,-85.191936746 73.141663996,-85.2251727459999 73.123627996,-85.225172089 73.1236275370001,-85.2251729449999 73.1236270730001,-85.1869363929999 73.0969364370001,-85.166536746 73.0645999980001,-85.188054746 73.0598189950001,-85.2506817459999 73.0696099960001,-85.3002817459999 73.0780459960001,-85.322544511 73.087686493,-85.333617841 73.0924821,-85.365898671 73.121707895,-85.369745746 73.1251909960001,-85.369745941 73.1251910620001,-85.3697460229999 73.1251911360001,-85.371383243 73.12575086,-85.401254746 73.135963996,-85.4222500069999 73.132955414,-85.422635832 73.1329001400001,-85.422635874 73.13290012,-85.422636746 73.132899996,-85.444027746 73.1228909960001,-85.471936746 73.0980369960001,-85.536245746 73.025127995,-85.536245333 73.0251278850001,-85.536245992 73.0251271380001,-85.513899838 73.0191451410001,-85.279008646 73.015776653,-85.223609746 73.0149819950001,-85.18444561 73.010592816,-85.059999831 72.9966450950001,-84.881340014 72.9453759720001,-84.870272745 72.9421999950001,-84.855836745 72.937481995,-84.791109745 72.9213729950001,-84.7520817449999 72.9124819950001,-84.7431690449999 72.9111822790001,-84.706390972 72.9058181220001,-84.65249986 72.899427088,-84.5772268489999 72.892209096,-84.5376141259999 72.8842317180001,-84.528881745 72.8824729950001,-84.51463476 72.878687632,-84.419155051 72.853318071,-84.349357291 72.8339058940001,-84.335281745 72.8299909950001,-84.3285224539999 72.827174648,-84.3119359249999 72.8202631980001,-84.2922367159999 72.812805682,-84.291381745 72.812481995,-84.2894835979999 72.811936421,-84.246946 72.7997090950001,-84.226097281 72.796231327,-84.218609745 72.7949819950001,-84.190011082 72.792468322,-84.1080459619999 72.78526322,-84.07362685 72.7816631920001,-84.049604554 72.778600198,-84.040836744 72.7774819950001,-83.989436744 72.768872995,-83.9747592639999 72.76092757,-83.9557010249999 72.7506097190001,-83.977400914 72.7459305250001,-83.981799915 72.74498214,-84.009717134 72.7489623540001,-84.188327745 72.7744279950001,-84.2575097449999 72.785263995,-84.291109745 72.791654995,-84.320845745 72.8008099950001,-84.397227745 72.8241549950001,-84.423457131 72.8303511970001,-84.4372088329999 72.8336001470001,-84.504454998 72.8461000790001,-84.510978471 72.847053412,-84.6108277449999 72.8616459950001,-84.654663956 72.866073466,-84.668608873 72.867482146,-84.70750895 72.8699821330001,-84.7306367909999 72.8721061840001,-84.819454745 72.8802639950001,-84.874436745 72.885545995,-84.9254492009999 72.895066188,-84.932499851 72.89638211,-84.966663986 72.904982111,-85.0150178439999 72.9160911500001,-85.077499904 72.9299821430001,-85.08369033 72.931255256,-85.127490745 72.9402639950001,-85.257509746 72.9608189950001,-85.283063746 72.9644279950001,-85.372646032 72.9706663760001,-85.3788729089999 72.9711000720001,-85.387431485 72.971333525,-85.490836746 72.974154995,-85.549163746 72.9697099950001,-85.5841637459999 72.9623459950001,-85.656497421 72.9157026030001,-85.6850640009999 72.897282159,-85.709445951 72.7369271310001,-85.7047998629999 72.6381180710001,-85.659446051 72.6017912360001,-85.659445746 72.601790995,-85.6553765529999 72.599958654,-85.632917834 72.589845014,-85.574315903 72.5839349990001,-85.559999746 72.5824909950001,-85.5462343419999 72.5805353850001,-85.4822565759999 72.5714452880001,-85.501598395 72.5639779570001,-85.508345989 72.5613731970001,-85.53159665 72.556487738,-85.610972746 72.539809995,-85.6109719839999 72.5398092900001,-85.6109730059999 72.5398090750001,-85.535281905 72.4697092070001,-85.516520615 72.459548146,-85.5152907459999 72.4588819950001,-85.370272746 72.414699995,-85.366719277 72.4137584750001,-85.339017798 72.4064181260001,-85.1447267899999 72.3594181130001,-85.01500896 72.3970731430001,-84.918608858 72.4252631590001,-84.7724283269999 72.450817805,-84.793472745 72.407763995,-84.827090745 72.407336995,-84.869927745 72.3990819950001,-84.869431133 72.375193202,-84.869299966 72.3688732350001,-84.86929975 72.3688732300001,-84.869299745 72.3688729950001,-84.5716727449999 72.3613729950001,-84.5423130089999 72.366632602,-84.46236393 72.3809540720001,-84.4368744779999 72.377827315,-84.492636745 72.3559459950001,-84.521118745 72.3505369950001,-84.557413024 72.349160689,-84.564999832 72.348873176,-84.58095915 72.3497425260001,-84.661945745 72.354154995,-84.715009745 72.3558189950001,-84.761922867 72.356293973,-84.769726812 72.3563731350001,-84.772659695 72.356174917,-84.808745745 72.3537369950001,-84.829454745 72.348327995,-84.917499745 72.2997099950001,-84.934299745 72.286927995,-84.9342990379999 72.286927749,-84.934299949 72.2869270560001,-84.721935882 72.213045105,-84.6522178929999 72.1788632010001,-84.6133268679999 72.163609143,-84.4647179039999 72.1347091790001,-84.380272911 72.1159632200001,-84.360920945 72.086365137,-84.352218745 72.0730549950001,-84.3522183549999 72.0730548610001,-84.3522178429999 72.073054078,-84.3197357889999 72.061918049,-84.277917803 72.0526181600001,-84.218063974 72.044145062,-84.1679186119999 72.0226273470001,-84.158618745 71.977199994,-84.174572745 71.936854994,-84.1847187449999 71.9305459940001,-84.196837272 71.9319417630001,-84.201526814 71.9324821860001,-84.221730929 71.9457758780001,-84.2277090439999 71.949709533,-84.239555264 71.973016182,-84.2399907449999 71.973872994,-84.259654745 72.0117909950001,-84.280972745 72.026236995,-84.512218745 72.114154995,-84.6040277449999 72.139436995,-84.710554745 72.1516549950001,-84.809299745 72.1795639950001,-84.843336745 72.199845995,-84.864581745 72.2192909950001,-84.864581833 72.2192910150001,-84.86458196 72.2192911320001,-84.928190883 72.2342821660001,-84.9410006319999 72.2365019490001,-85.021254745 72.250409995,-85.271945746 72.2597189950001,-85.289349923 72.2599556920001,-85.291946035 72.2599911390001,-85.320692977 72.2592534340001,-85.497427746 72.2547189950001,-85.5013577889999 72.189520364,-85.5016818729999 72.184145141,-85.481946011 72.1733091840001,-85.449155 72.1583270350001,-85.440555187 72.1327545720001,-85.502354746 72.0734639950001,-85.5383277459999 72.0591459950001,-85.778881746 72.0269279950001,-85.958255579 72.0284030560001,-85.981108966 72.028591099,-85.981109421 72.028590992,-85.981109746 72.0285909950001,-85.997358143 72.0247491490001,-86.049163985 72.0125001920001,-86.041390943 71.9922002280001,-86.0413907989999 71.9922001320001,-86.041390746 71.9921999950001,-86.0247277459999 71.981099994,-86.020987888 71.980586159,-86.002499918 71.9780450380001,-85.963335811 71.9744270730001,-85.93999087 71.9730360130001,-85.9008358149999 71.969145133,-85.863886672 71.9646750360001,-85.845836746 71.9624909940001,-85.807208383 71.9543977210001,-85.7449999729999 71.941363315,-85.555691001 71.898463226,-85.487981675 71.8492247770001,-85.4340187459999 71.8099819940001,-85.454309746 71.7951189940001,-85.538532101 71.7953563440001,-85.5508268149999 71.79539113,-85.55082709 71.7953909920001,-85.550827746 71.7953909940001,-85.5737637459999 71.7839459940001,-85.573762869 71.783945649,-85.573763893 71.783945138,-85.312403794 71.680977742,-85.2855547459999 71.670399994,-85.282848924 71.6697934800001,-85.263899852 71.6655450550001,-85.239691277 71.661478667,-85.230836746 71.6599909940001,-85.220286086 71.659091587,-85.186799921 71.6562361140001,-85.097499963 71.65525409,-84.975281923 71.64443607,-84.926664035 71.6361091530001,-84.886199894 71.654254129,-84.8672179009999 71.6680450420001,-84.8274999179999 71.6752632020001,-84.777917943 71.678727107,-84.7239137179999 71.6766053360001,-84.710827745 71.676090994,-84.6935956789999 71.6745234150001,-84.634581866 71.669154135,-84.611800334 71.6425545590001,-84.651390745 71.6133099940001,-84.651390647 71.6133094150001,-84.6513909349999 71.613309202,-84.6494254629999 71.6017469870001,-84.6449367449999 71.5753369940001,-84.644935956 71.5753367080001,-84.6449358629999 71.575336163,-84.6102730059999 71.562763309,-84.56290917 71.551227198,-84.5529819559999 71.5374668870001,-84.5506909169999 71.534291157,-84.5320909709999 71.4974821970001,-84.526254987 71.4735910900001,-84.5325388699999 71.465302781,-84.544099745 71.4500549940001,-84.5716727449999 71.4408099940001,-84.6453064 71.4329845090001,-84.656535914 71.43179121,-84.685690856 71.4347002330001,-84.6953522319999 71.4327488760001,-84.726245745 71.4265099940001,-84.755972745 71.4116549940001,-84.768349639 71.378047709,-84.796946036 71.3004001830001,-84.782991006 71.2656821720001,-84.7666638969999 71.1974821470001,-84.780112883 71.1785547540001,-84.8013907449999 71.1486099940001,-84.8112208429999 71.1223475200001,-84.828272897 71.076791122,-84.8113909049999 71.0523451340001,-84.786308914 71.043094141,-84.771118745 71.0374909940001,-84.7493020589999 70.9844907560001,-84.7481908519999 70.981791134,-84.7627374909999 70.966483732,-84.80520964 70.9217911040001,-84.819680534 70.921392192,-84.941099745 70.9180459940001,-84.966428943 70.9253459400001,-84.967563748 70.925673036,-84.968064292 70.932801054,-84.9693089789999 70.950536023,-84.946108877 70.968036096,-84.929164022 70.9946451180001,-84.929164145 70.994645367,-84.929163745 70.9946459940001,-84.968472745 71.074018994,-84.9872564029999 71.0767583100001,-84.992217894 71.0774821260001,-85.061390891 71.0763822530001,-85.0735990169999 71.0770428760001,-85.112781745 71.0791639940001,-85.138996919 71.083621785,-85.144590114 71.084573065,-85.113318529 71.08811387,-85.001108914 71.1008181830001,-84.9796890379999 71.1007128090001,-84.973472745 71.1006819940001,-84.968150624 71.099632403,-84.9431909689999 71.094709117,-84.904173042 71.0780450550001,-84.8744358929999 71.0716632420001,-84.847917899 71.1512361690001,-84.847918787 71.1512368680001,-84.847918745 71.151236994,-84.875272745 71.172763994,-84.926677411 71.1827798160001,-84.952908947 71.1878912380001,-84.998890895 71.1874822010001,-85.006336281 71.186545375,-85.039718745 71.1823459940001,-85.110545745 71.1616549940001,-85.2471292989999 71.1580934040001,-85.281390872 71.1572002280001,-85.3058210149999 71.16075642,-85.401672746 71.1747099940001,-85.505009746 71.158036994,-85.660281746 71.1491549940001,-85.779172746 71.1391639940001,-85.8022187459999 71.135818994,-85.832509746 71.1271999940001,-85.846860804 71.123080143,-86.026946074 71.0713821130001,-86.069552403 71.0590796880001,-86.224163746 71.0144369940001,-86.258364988 71.005786938,-86.270281944 71.0027732170001,-86.292217888 71.0002732310001,-86.430281915 70.9888731720001,-86.45292643 70.986939411,-86.547499747 70.9788639940001,-86.6019457469999 70.9716459940001,-86.7130547469999 70.9741549940001,-86.757781747 70.9766549940001,-86.816244459 70.987827747,-86.792081905 70.9983180680001,-86.770281916 71.004163272,-86.74999989 71.0077633000001,-86.643890863 71.0194361060001,-86.5177728909999 71.031663291,-86.470243255 71.0314573620001,-86.450836747 71.031372994,-86.440778468 71.0322877890001,-86.408054952 71.035263318,-86.292916071 71.0515894040001,-86.288609747 71.052199994,-86.288608975 71.0522001250001,-86.248890747 71.058590994,-86.2104457459999 71.0874909940001,-86.203381754 71.0909590540001,-86.17083586 71.1069361340001,-85.993204597 71.162759319,-85.9666637459999 71.171099994,-85.96058393 71.1724928030001,-85.932772877 71.178863257,-85.8519718749999 71.186237685,-85.838336746 71.1874819940001,-85.7613997459999 71.1921999940001,-85.74208277 71.192637619,-85.6630549669999 71.19442711,-85.5236089319999 71.1766450700001,-85.50315267 71.1771320020001,-85.500290746 71.177199994,-85.483939976 71.1800037770001,-85.3949998589999 71.195254069,-85.174299989 71.27033614,-85.063896997 71.2772220470001,-85.041945745 71.2785909940001,-85.0262140139999 71.2775756680001,-84.9216638949999 71.270827152,-84.8786613939999 71.26924339,-84.868609745 71.268872994,-84.868609275 71.2688731750001,-84.8686089619999 71.2688731630001,-84.836872897 71.2810633,-84.836873188 71.2810638240001,-84.8368727449999 71.2810639940001,-84.859163745 71.321109994,-84.9404817449999 71.4190099940001,-85.228609746 71.4655459940001,-85.383054746 71.480263994,-85.5008367459999 71.511109994,-85.871936746 71.676927994,-85.905563746 71.699709994,-85.947218746 71.7269279940001,-86.024445746 71.7658279940001,-86.051663746 71.7716549940001,-86.078609746 71.7755459940001,-86.110545746 71.7830549940001,-86.132763746 71.7958189940001,-86.150726623 71.8115382620001,-86.1661089689999 71.8250002030001,-86.237452434 71.878094902,-86.336672747 71.9519369940001,-86.4231907509999 72.0188819890001,-86.433463747 72.046654995,-86.45527271 72.2072187210001,-86.431935832 72.276100151,-86.396117948 72.3091451340001,-86.377781865 72.3236091140001,-86.3508268369999 72.339154024,-86.308045939 72.3591450310001,-86.283415468 72.3702169910001,-86.275281747 72.3738729950001,-86.2678241 72.378963803,-86.252081983 72.3897091380001,-86.240826931 72.4134540640001,-86.258618363 72.445057284,-86.261390747 72.449981995,-86.261390836 72.449982074,-86.261390924 72.44998223,-86.26260548 72.451047503,-86.279445747 72.4658189950001,-86.3455547469999 72.5073549950001,-86.405836747 72.5383189950001,-86.451399747 72.5530369950001,-86.466109747 72.5563639950001,-86.4797187469999 72.560527995,-86.504181746 72.5685999990001,-86.50418197 72.5686000760001,-86.611390747 72.6091459950001,-86.638336747 72.620527995,-86.6622187469999 72.6316549950001,-86.697981747 72.653799995,-86.732772747 72.7160909950001,-86.71251702 72.7723290420001,-86.696099894 72.8179090560001,-86.651735821 72.8697631970001,-86.627208864 72.883609096,-86.571117838 72.9088731580001,-86.500417826 72.9408092150001,-86.474717904 72.9533270840001,-86.4544549889999 72.963609165,-86.328335844 73.036654099,-86.286181912 73.0798450400001,-86.286182136 73.079845596,-86.2861817469999 73.0798459960001,-86.2888789789999 73.0865401610001,-86.293817826 73.0988002110001,-86.137790877 73.2288632090001,-86.070388114 73.272012568,-86.046663746 73.2871999960001,-86.01999478 73.3027948170001,-85.930281943 73.3552540950001,-85.851108833 73.3911001420001,-85.766399978 73.4252632710001,-85.5963910089999 73.486645121,-85.340835833 73.556363278,-84.984999902 73.6558180790001,-84.956117875 73.665263311,-84.9269357759999 73.677900203,-84.865554932 73.7133181030001,-84.840281985 73.738727172,-84.8402824309999 73.738727306,-84.840281745 73.7387279960001,-84.946878775 73.7708136050001,-84.969999983 73.777773262,-84.9845050119999 73.7815685050001,-85.0347277449999 73.7947099960001,-85.069454745 73.8019279960001,-85.1130547449999 73.809009996,-85.1633277449999 73.813309996,-85.307772746 73.8211099960001,-85.421936746 73.8241549960001,-85.462509746 73.820827996,-85.508886912 73.820152906,-85.520008904 73.8199912320001,-85.527180274 73.8201726190001,-85.553054746 73.820827996,-85.7066637459999 73.8322189960001,-85.740998906 73.835696027,-85.7477730419999 73.836382212,-86.109163995 73.849991237,-86.208617959 73.849991237,-86.214321417 73.8498363000001,-86.239436746 73.849154996,-86.401399747 73.8458279960001),(-80.857772895 73.741927047,-80.8099999029999 73.6444361250001,-80.8202819319999 73.4891547610001,-80.853863818 73.4478902910001,-80.872499899 73.424991194,-80.8760999259999 73.333182197,-80.876099739 73.333182062,-80.876099742 73.3331819960001,-80.871509012 73.329896412,-80.79749997 73.2769270530001,-80.766609446 73.2750922110001,-80.760009741 73.274699996,-80.7285357819999 73.2723315250001,-80.619999927 73.264163259,-80.4152819989999 73.244136042,-80.238055038 73.244136042,-80.216946053 73.2433181360001,-80.140972985 73.2144270570001,-80.114902456 73.1859668320001,-80.1122187409999 73.1830369960001,-80.1214500729999 73.1230263400001,-80.122772964 73.114427484,-80.135627741 73.0849819960001,-80.164172741 73.061918995,-80.1812457409999 73.047063995,-80.181245495 73.047063704,-80.181246019 73.0470632490001,-80.151672988 73.011936034,-80.1258541559999 72.984245399,-80.1208367409999 72.978863995,-80.069595631 72.9302439620001,-80.003890982 72.867900068,-79.972781883 72.854709132,-79.930557436 72.8432362440001,-79.927781741 72.8424819950001,-79.9096045319999 72.8377468690001,-79.623890863 72.7633180560001,-79.560519153 72.751739603,-79.54333674 72.7485999950001,-79.521576878 72.746162198,-79.4291728809999 72.735809153,-79.391390949 72.7333180510001,-79.364646734 72.733552187,-79.35916374 72.7335999950001,-79.3452925129999 72.734516032,-79.296108827 72.7377633090001,-79.2248332409999 72.7436811600001,-79.20916374 72.744981995,-79.2015085199999 72.745884059,-79.161946072 72.7505450410001,-79.0657243809999 72.7681059110001,-79.04777274 72.7713819950001,-79.023038631 72.77587436,-78.865826843 72.8044271000001,-78.623890919 72.8480361310001,-78.486117911 72.865536036,-78.317419838 72.885396008,-78.2972277389999 72.887772995,-78.294036647 72.8881390610001,-78.273054961 72.8905451210001,-78.236354966 72.8930090650001,-78.1310384179999 72.887604181,-78.1072277389999 72.8863819950001,-78.091843465 72.8866542470001,-77.997772976 72.8883180490001,-77.904172933 72.8916632660001,-77.859999968 72.893053992,-77.736087003 72.8964670540001,-77.713754739 72.8970819950001,-77.686396399 72.895510173,-77.522781921 72.8861090820001,-77.464113617 72.881345147,-77.4472187379999 72.8799729950001,-77.435399596 72.8777789060001,-77.408335918 72.872754028,-77.365826928 72.8644271100001,-77.314435803 72.855545143,-77.265835852 72.8494270240001,-77.229430785 72.846312647,-77.226945738 72.846099995,-77.2208317829999 72.8457935430001,-77.143890895 72.841936117,-77.107609797 72.840507001,-77.1016727379999 72.8402729950001,-77.084754738 72.839681995,-77.056172641 72.837966818,-76.93720892 72.8308270780001,-76.891955025 72.8308270780001,-76.78214686 72.8335225700001,-76.767499738 72.8338819950001,-76.731381738 72.8338819950001,-76.672081738 72.830272995,-76.666040122 72.828747617,-76.62639085 72.8187360150001,-76.60446538 72.8143743470001,-76.601945738 72.8138729950001,-76.5720907369999 72.812481995,-76.3397187369999 72.8149909950001,-76.3379656499999 72.8151526360001,-76.315555011 72.817218052,-76.262341383 72.8248192440001,-76.251399737 72.8263819950001,-76.140545737 72.8438729950001,-76.133822905 72.8454718500001,-76.1095819769999 72.8512360060001,-76.09014602 72.8608181980001,-76.060817909 72.9038822370001,-76.067857808 72.9137812220001,-76.074445737 72.9230459950001,-76.1111097369999 72.938318995,-76.162218737 72.9463639950001,-76.211945737 72.9455279950001,-76.283481737 72.9477549950001,-76.3246547369999 72.959227995,-76.323787475 72.9692948530001,-76.315626928 73.06400911,-76.313608901 73.1005361030001,-76.3136097829999 73.1005361750001,-76.313609737 73.1005369960001,-76.37426271 73.105466558,-76.381946055 73.1060911260001,-76.5010358 73.1183821810001,-76.530058987 73.127672144,-76.584590738 73.145127996,-76.6052727379999 73.1591459960001,-76.607714874 73.1681078110001,-76.6108358819999 73.1795632010001,-76.580490878 73.2098450060001,-76.580491345 73.2098453890001,-76.580490738 73.2098459960001,-76.714999738 73.3201279960001,-76.736390738 73.3247099960001,-76.8372187379999 73.3272099960001,-76.856551243 73.3264616760001,-76.858608964 73.3263821260001,-76.85897639 73.3263263710001,-76.887427738 73.3220099960001,-76.913618738 73.324436996,-76.9523581 73.33324896,-76.969726849 73.337200146,-76.981788963 73.3407027810001,-76.999436738 73.3458279960001,-77.052081738 73.3641549960001,-77.145639922 73.463099911,-77.152017821 73.469845105,-77.1520180699999 73.4698452900001,-77.152018738 73.4698459960001,-77.1905105989999 73.4983054800001,-77.1974998709999 73.5034731330001,-77.23720897 73.5099912360001,-77.294726931 73.5127731900001,-77.305967074 73.514018299,-77.344863738 73.518327996,-77.368190738 73.5272099960001,-77.395554738 73.545818996,-77.415485255 73.5519474820001,-77.424435877 73.5547001400001,-77.431903862 73.5559701220001,-77.453890738 73.559709996,-77.534999738 73.565536996,-77.608045738 73.5741549960001,-77.7385997389999 73.5919369960001,-77.823063739 73.603863996,-77.965290739 73.628309996,-77.998234064 73.6351216140001,-78.009735796 73.6375001010001,-78.027982371 73.6423125730001,-78.064436739 73.651927996,-78.1081170969999 73.6612255810001,-78.12055495 73.663873256,-78.130087991 73.6647407520001,-78.166399739 73.668045996,-78.206663739 73.667754996,-78.4083367389999 73.661654996,-78.644163739 73.6566459960001,-78.8613907399999 73.6583279960001,-78.88779074 73.6566459960001,-78.92416374 73.648527996,-78.94027274 73.6366549960001,-78.96167274 73.6327549960001,-79.3736097399999 73.6308189960001,-79.45194574 73.630536996,-79.48472774 73.635963996,-79.52305474 73.6466549960001,-79.58611874 73.6627639960001,-79.62554574 73.670818996,-79.901399741 73.6983189960001,-80.043244503 73.6976329120001,-80.074445987 73.6974821730001,-80.080873631 73.696801276,-80.108609741 73.6938639960001,-80.150281741 73.6980279960001,-80.192763741 73.7072189960001,-80.2233277409999 73.7158189960001,-80.257044424 73.7274325830001,-80.2652908589999 73.7302731840001,-80.312226835 73.7508911580001,-80.32388116 73.7534108090001,-80.3530547409999 73.7597189960001,-80.3733187409999 73.7616549960001,-80.428239852 73.765612849,-80.434999924 73.7661001210001,-80.4527570819999 73.766335354,-80.5605457409999 73.767763996,-80.6833187409999 73.7558279960001,-80.7716637409999 73.749709996,-80.857772741 73.7419279960001,-80.857772303 73.741927101,-80.857772895 73.741927047),(-86.005009746 72.2966459950001,-86.061413235 72.2941321420001,-86.067226819 72.2938731390001,-86.071611409 72.293914015,-86.097363746 72.294154995,-86.108609746 72.286790995,-86.097463596 72.2772959230001,-86.096390981 72.2763821180001,-86.096390806 72.276382046,-86.0963907459999 72.2763819950001,-86.094715863 72.2756828650001,-86.061108868 72.2616541090001,-86.009147056 72.2446700850001,-86.005845746 72.243590995,-85.981109746 72.2363729950001,-85.95799821 72.230460217,-85.908335774 72.2177540580001,-85.889172899 72.218045078,-85.8774908729999 72.2216451050001,-85.851672935 72.2413631970001,-85.8372178399999 72.2627732600001,-85.8372178399999 72.2888822180001,-85.843209165 72.2920325160001,-85.847227746 72.2941459950001,-85.863890746 72.2972099950001,-86.005009746 72.2966459950001),(-80.131664044 72.521236119,-80.1274908619999 72.5095732030001,-80.1274907929999 72.509573141,-80.127490741 72.509572995,-80.074800537 72.461537977,-80.022226898 72.4136091290001,-80.009446004 72.410536156,-79.993608901 72.413318109,-79.978881897 72.41775398,-79.961207854 72.424474086,-79.9569547409999 72.426090995,-79.952170544 72.4289293510001,-79.9391639139999 72.4366451130001,-79.92693589 72.4477539850001,-79.920916784 72.457766571,-79.919163741 72.4606819950001,-79.919164071 72.4606821510001,-79.919164022 72.4606822330001,-80.036946023 72.516391211,-80.063608857 72.5238821180001,-80.0720101759999 72.5243681210001,-80.1162457409999 72.5269279950001,-80.131663741 72.521236995,-80.131663499 72.5212363200001,-80.131664044 72.521236119),(-79.536390662 72.3461953790001,-79.5338907399999 72.346099995,-79.50805474 72.348599995,-79.503240815 72.3494850070001,-79.4702728729999 72.355545003,-79.459005658 72.3589439670001,-79.4555637399999 72.3599819950001,-79.4506563309999 72.3631740260001,-79.44359998 72.3677633030001,-79.443599841 72.3677639300001,-79.44359974 72.3677639950001,-79.43305474 72.4149819950001,-79.433055084 72.4149820710001,-79.433055043 72.4149822520001,-79.439090732 72.4163177070001,-79.4694547399999 72.4230369950001,-79.498839316 72.4291587810001,-79.502790969 72.4299821710001,-79.529173009 72.4397001500001,-79.541381922 72.4449732050001,-79.552490961 72.4511002080001,-79.581399978 72.454991088,-79.593617732 72.4520605420001,-79.6833187399999 72.430545995,-79.683317744 72.4305451340001,-79.6833178859999 72.4305451000001,-79.624163945 72.379427057,-79.609435768 72.3669271250001,-79.59445496 72.3569360640001,-79.5819550269999 72.351654124,-79.572235875 72.3491541370001,-79.555826791 72.346936118,-79.536390662 72.3461953790001),(-79.0752909399999 72.4063822520001,-79.053054924 72.3608091740001,-78.968648114 72.3396032040001,-78.95029074 72.3349909950001,-78.93499974 72.3363819950001,-78.931735912 72.337670367,-78.917082014 72.3434541080001,-78.889446041 72.3547091600001,-78.874435897 72.3588731250001,-78.85417274 72.3621999950001,-78.8308367399999 72.3649909950001,-78.826132128 72.365059946,-78.812208814 72.365263317,-78.753890885 72.36330916,-78.733335776 72.367482174,-78.74082685 72.374418199,-78.740826904 72.374418221,-78.74082774 72.374418995,-78.83389074 72.411927995,-78.8469547399999 72.4155459950001,-78.93999074 72.4358099950001,-78.94986374 72.4417909950001,-78.949863823 72.441791009,-78.9498639719999 72.4417910990001,-78.9513755 72.4420406840001,-78.97083674 72.4452549950001,-79.00139974 72.4383099950001,-79.04444574 72.426654995,-79.06875474 72.417627995,-79.07118056 72.4134540700001,-79.0752909399999 72.4063822520001),(-74.9336088379999 72.170818083,-74.841381919 72.1666541210001,-74.796663962 72.168045014,-74.778335757 72.171373132,-74.76306393 72.1752631740001,-74.744155027 72.1844180560001,-74.7077819249999 72.207218174,-74.6742999099999 72.2246361040001,-74.674301022 72.2246363260001,-74.674299736 72.2246369950001,-74.7038907359999 72.2305459950001,-74.769028211 72.2274814130001,-74.775008812 72.2272001280001,-74.7763246929999 72.2270571330001,-74.813327736 72.223036995,-74.850827736 72.2177549950001,-74.882218736 72.2108189950001,-74.906109736 72.202209995,-74.916109736 72.197209995,-74.932218736 72.1877639950001,-74.947081736 72.175118995,-74.947081154 72.1751188090001,-74.947081909 72.1751181670001,-74.9336088379999 72.170818083),(-73.444990735 71.596509994,-73.450145735 71.5870639940001,-73.450145602 71.587063856,-73.450145914 71.5870632840001,-73.437564889 71.573972638,-73.436936735 71.573318994,-73.4369365709999 71.573318869,-73.436935867 71.5733181360001,-73.428608949 71.5669361550001,-73.4247009649999 71.5647160760001,-73.418336735 71.5610999940001,-73.414005968 71.5593429040001,-73.406663953 71.5563632230001,-73.394455041 71.554427171,-73.370272915 71.554427171,-73.356579803 71.5567797100001,-73.352490734 71.5574819940001,-73.339163734 71.568181994,-73.3333429689999 71.5836355750001,-73.3316819619999 71.5880451400001,-73.322645935 71.6023450020001,-73.3036089559999 71.621918088,-73.2857435349999 71.635512636,-73.2827727339999 71.637772994,-73.279921537 71.6392172370001,-73.2625089649999 71.648036098,-73.249435878 71.6524821950001,-73.221117953 71.6602632830001,-73.1705460749999 71.6683181240001,-73.151108945 71.6790001890001,-73.167499924 71.6922001780001,-73.170805999 71.6929184670001,-73.190554734 71.697209994,-73.209163734 71.6988639940001,-73.212547077 71.6986426540001,-73.213335859 71.6985912120001,-73.217464476 71.6983220600001,-73.2433277339999 71.6966369940001,-73.276109734 71.6919279940001,-73.348345734 71.658327994,-73.388609735 71.6341549940001,-73.444990735 71.596509994),(-73.0281253169999 71.5705798770001,-73.020554935 71.565809125,-73.010116097 71.5615915490001,-73.008899734 71.5610999940001,-72.982499734 71.553590994,-72.9782416369999 71.5527549660001,-72.9499999299999 71.5472091780001,-72.88324239 71.536419138,-72.8674907339999 71.533872994,-72.8639063689999 71.533552521,-72.8488908749999 71.5322090920001,-72.8343786359999 71.5313177580001,-72.8308367339999 71.531099994,-72.786390734 71.530272994,-72.781894973 71.530565745,-72.760835797 71.53193601,-72.742490996 71.534145144,-72.731677513 71.5373503120001,-72.727490734 71.5385909940001,-72.7217944129999 71.54171483,-72.7158358739999 71.5449821070001,-72.70110887 71.5574822070001,-72.6824998709999 71.5747091970001,-72.671108865 71.5858180690001,-72.6613820009999 71.6012360770001,-72.661382147 71.6012363390001,-72.661381734 71.601236994,-72.674947494 71.6256718380001,-72.684435755 71.6427632100001,-72.68443667 71.642763879,-72.684436734 71.6427639940001,-72.685417676 71.643481078,-72.695826929 71.6510911340001,-72.699571033 71.652259793,-72.709163734 71.6552549940001,-72.726672734 71.658327994,-72.7421469 71.6597115180001,-72.74527295 71.659991206,-72.752210551 71.6601495470001,-72.781109734 71.660809994,-72.8066547339999 71.6591459940001,-72.924709734 71.6494279940001,-72.9486097339999 71.6447189940001,-72.9680637339999 71.6366549940001,-73.020796719 71.5990623770001,-73.0364549029999 71.5879001330001,-73.0359753449999 71.585961286,-73.032918734 71.5735999940001,-73.0281253169999 71.5705798770001),(-73.1694891189999 71.5658784610001,-73.176935768 71.566373227,-73.178941647 71.566244596,-73.1899907339999 71.5655369940001,-73.327923417 71.5358739260001,-73.36694597 71.527482202,-73.370012819 71.5258384430001,-73.378599735 71.521236994,-73.3785996249999 71.521236119,-73.378599833 71.5212360070001,-73.374163962 71.4858090550001,-73.364128638 71.4817500130001,-73.362499735 71.4810909940001,-73.3595184329999 71.4804297410001,-73.3474999539999 71.4777632660001,-73.3205549849999 71.469709096,-73.29749989 71.4572180480001,-73.254863998 71.4120731180001,-73.2580029499999 71.4072224340001,-73.265018734 71.3963819940001,-73.2763997339999 71.379154994,-73.276399614 71.3791545510001,-73.276399957 71.379154031,-73.271945982 71.3627539990001,-73.2488006839999 71.350831161,-73.244999734 71.348872994,-73.1986097339999 71.3363819940001,-73.1633277339999 71.3324909940001,-73.089445734 71.3138729940001,-73.08655289 71.3119548080001,-73.060546001 71.2947092060001,-73.0305230659999 71.297069988,-73.025281734 71.2974819940001,-73.020385322 71.2986233550001,-72.9966549439999 71.304154102,-72.9867731859999 71.3075892270001,-72.9838907339999 71.308590994,-72.972781734 71.3153999940001,-72.973599856 71.31801095,-72.9765268089999 71.3273540370001,-72.976527644 71.3273547060001,-72.9765277339999 71.3273549940001,-72.982499001 71.3321434550001,-73.007508838 71.352200177,-73.027917934 71.404018109,-73.0100088249999 71.4155450700001,-72.992763897 71.419436117,-72.9216638999999 71.4283180840001,-72.872499847 71.430818071,-72.849726886 71.4327541230001,-72.831954905 71.435809159,-72.820417886 71.442336147,-72.822427488 71.4481277840001,-72.823890734 71.452345994,-72.9341547339999 71.5091549940001,-72.965383951 71.5199918650001,-72.967372933 71.5206821310001,-72.9852729899999 71.5213821880001,-72.989802515 71.5194951510001,-73.0019457339999 71.5144369940001,-73.012543255 71.5038519380001,-73.0163998579999 71.50000012,-73.022803322 71.494862342,-73.039445734 71.4815099940001,-73.068423735 71.4699900700001,-73.077499909 71.4663821510001,-73.0856276219999 71.46394646,-73.129435358 71.4508194060001,-73.116935758 71.4827540190001,-73.083538021 71.5258136960001,-73.0760457339999 71.535472994,-73.076045983 71.5354731750001,-73.090290861 71.5463731670001,-73.132217811 71.561373254,-73.1378183689999 71.5624884530001,-73.147509734 71.5644189940001,-73.1694891189999 71.5658784610001),(-71.2438771129999 71.0651398860001,-71.2394358769999 71.062618162,-71.1433358479999 71.082491152,-71.112499832 71.0894271770001,-71.0762640259999 71.1048450170001,-71.060272864 71.1183180880001,-71.0441549669999 71.142763238,-71.036526932 71.1526911000001,-71.042455559 71.153620377,-71.063609732 71.156936994,-71.082227732 71.1552549940001,-71.118054732 71.1494279940001,-71.148899732 71.142209994,-71.200563732 71.1258099940001,-71.2183367329999 71.1180459940001,-71.229718733 71.1105459940001,-71.247363733 71.0941549940001,-71.2518516379999 71.0862867060001,-71.255281865 71.080273133,-71.2550563569999 71.0793192250001,-71.2529187329999 71.070272994,-71.2438771129999 71.0651398860001),(-71.831681733 71.071109994,-71.851672733 71.0722189940001,-71.879395409 71.0693725150001,-71.884172877 71.0688821260001,-71.888352504 71.068297896,-71.916109733 71.0644189940001,-72.0086187329999 71.0497099940001,-72.01766674 71.0409778530001,-72.020564044 71.0381822320001,-72.0266728889999 70.9827545310001,-72.033327733 70.9630459940001,-72.042081733 70.947345994,-72.057772733 70.9330459940001,-72.078336733 70.923599994,-72.097781733 70.9197099940001,-72.117490733 70.9172099940001,-72.136127733 70.916927994,-72.145141833 70.922273396,-72.1473636659999 70.923591043,-72.14296866 70.926841794,-72.1351460019999 70.9326270810001,-72.1351467069999 70.932627273,-72.1351457329999 70.932627994,-72.1477309539999 70.9360547530001,-72.148899867 70.936373121,-72.1508783309999 70.9365584280001,-72.166654733 70.9380369940001,-72.202227733 70.9366459940001,-72.2138997329999 70.9347099940001,-72.226390733 70.9305459940001,-72.2263905519999 70.9305451320001,-72.226390897 70.9305450160001,-72.225805023 70.9277697090001,-72.224309733 70.9206819940001,-72.198609733 70.882754993,-72.1986092619999 70.8827546040001,-72.198608911 70.8827540870001,-72.17954138 70.86700109,-72.112209733 70.8113729930001,-72.1090542379999 70.8110354410001,-72.0966640139999 70.809709153,-72.081954947 70.809709153,-72.043448137 70.8111873600001,-72.038609733 70.8113729930001,-71.991672733 70.814699993,-71.950972733 70.819581993,-71.948150916 70.8213402960001,-71.935826858 70.8290180400001,-71.7714231529999 70.866286594,-71.7330637329999 70.8749819930001,-71.7152485559999 70.8785727650001,-71.6544460329999 70.8908270330001,-71.5318992099999 70.9000401910001,-71.495545733 70.902772993,-71.474445733 70.902481993,-71.469834379 70.902593444,-71.45110894 70.903044998,-71.4330640439999 70.9047091410001,-71.4155549179999 70.9077631710001,-71.402499936 70.9119271330001,-71.39433898 70.916710589,-71.389454733 70.9195729940001,-71.341390733 70.9881729940001,-71.341945733 71.0019369940001,-71.3574997329999 71.0097189940001,-71.371109733 71.0119369940001,-71.384712271 71.0134016970001,-71.389172878 71.013882257,-71.3981439619999 71.0135042480001,-71.428881733 71.012209994,-71.465163344 71.01268745,-71.471663881 71.0127731630001,-71.5469549969999 71.0186000950001,-71.6444549719999 71.034991242,-71.661747256 71.0371021620001,-71.7308367329999 71.045536994,-71.7947277329999 71.0530369940001,-71.831681733 71.071109994),(-68.0783367299999 69.6652639920001,-68.24889073 69.596645992,-68.248890445 69.5966452420001,-68.248890833 69.5966450860001,-68.238890887 69.570263213,-68.106272427 69.5447901960001,-68.04943673 69.5338729920001,-68.0365999319999 69.5319103150001,-68.0022268439999 69.5266540150001,-67.950284876 69.520617814,-67.935272729 69.5188729920001,-67.9312785609999 69.5196864710001,-67.920272954 69.5219271240001,-67.9102818929999 69.5266540150001,-67.8316819359999 69.6019270260001,-67.83168181 69.601927915,-67.831681729 69.6019279920001,-67.8308372389999 69.6078797160001,-67.8211178889999 69.6763732460001,-67.8494503429999 69.690623911,-67.8697187289999 69.7008189920001,-67.8926367289999 69.7084639920001,-67.933389411 69.706878471,-67.9463819109999 69.7063732510001,-67.9597269069999 69.7049912430001,-67.959945564 69.7049311070001,-67.970836729 69.7019369920001,-68.0783367299999 69.6652639920001),(-67.48443578 69.5902731630001,-67.484436492 69.590272987,-67.484436729 69.5902729920001,-67.529309729 69.5791639920001,-67.5458277289999 69.5673459920001,-67.578063729 69.5597099920001,-67.6633277289999 69.5419279920001,-67.674709729 69.5402639920001,-67.684440388 69.540937177,-67.6866639469999 69.5410911720001,-67.689878945 69.541614145,-67.707227729 69.544436992,-67.723054729 69.5452549920001,-67.735136729 69.5426279920001,-67.7470817289999 69.5184639920001,-67.747081528 69.5184639280001,-67.747081879 69.5184632190001,-67.731946006 69.513609091,-67.663681804 69.5034622410001,-67.642227729 69.5002729920001,-67.640205556 69.5003084620001,-67.6266639369999 69.5005450570001,-67.6048656039999 69.5051264790001,-67.5988907289999 69.5063819920001,-67.585554729 69.507490992,-67.583822453 69.5073695720001,-67.5736267739999 69.506654123,-67.5183403729999 69.4968538000001,-67.507781729 69.4949819920001,-67.50521414 69.4950736740001,-67.492490957 69.4955271470001,-67.4835652479999 69.4992176530001,-67.481672729 69.499999992,-67.499027729 69.5122279920001,-67.543264064 69.5209160590001,-67.549154562 69.5220730570001,-67.5459568429999 69.5233109120001,-67.530835817 69.529163221,-67.492764039 69.5330541010001,-67.476698805 69.5337217490001,-67.473054729 69.5338729920001,-67.458396556 69.5337310020001,-67.388608834 69.5330541010001,-67.351108869 69.5308181440001,-67.327926872 69.5326271270001,-67.30999094 69.55095399,-67.3099913359999 69.550954371,-67.3099907289999 69.5509549920001,-67.314278381 69.5550798560001,-67.317917874 69.5585821930001,-67.342499673 69.568427333,-67.3672187289999 69.5783279920001,-67.389426333 69.5837608480001,-67.3944550429999 69.584991223,-67.4249998719999 69.5888821020001,-67.48443578 69.5902731630001),(-68.41889973 68.8102549920001,-68.42832773 68.813036992,-68.437467805 68.8125688540001,-68.439163891 68.812482167,-68.453055052 68.804700073,-68.4540221519999 68.800615539,-68.45701873 68.7879639920001,-68.4570177419999 68.7879637020001,-68.457017848 68.7879632560001,-68.444497274 68.7842924430001,-68.4336097299999 68.7810999920001,-68.36749073 68.774990992,-68.365879274 68.7750506150001,-68.3524909889999 68.7755451310001,-68.34224648 68.778043289,-68.33999973 68.778590992,-68.3236277299999 68.779981992,-68.3204714839999 68.7798837980001,-68.306108889 68.779436011,-68.221100575 68.7682101710001,-68.18832773 68.7638819910001,-68.145286902 68.756424044,-68.039172933 68.7380361140001,-67.951399822 68.7216451350001,-67.928036569 68.7151229740001,-67.918609729 68.712490991,-67.897781729 68.704990991,-67.8697187289999 68.6985909910001,-67.865670612 68.6984143990001,-67.850554965 68.6977540290001,-67.6766640009999 68.695818144,-67.6635357609999 68.7014450840001,-67.663537004 68.7014458730001,-67.663536729 68.7014459910001,-67.6757332349999 68.709196342,-67.679172872 68.711382165,-67.6920348909999 68.7136120320001,-67.781681729 68.729154991,-67.8065042539999 68.733428604,-67.807499978 68.7336000760001,-67.824654977 68.736385645,-68.11027273 68.7827639920001,-68.1867972429999 68.7926052070001,-68.224717927 68.7974822480001,-68.2419459229999 68.7988731410001,-68.2581763919999 68.799985205,-68.3755457299999 68.8080279920001,-68.41889973 68.8102549920001),(-66.354999973 68.153318068,-66.329479867 68.148015737,-66.326954728 68.147490991,-66.3248341309999 68.1475343720001,-66.3136089609999 68.1477632130001,-66.301390829 68.1491541060001,-66.2697268479999 68.1586001750001,-66.256672872 68.163609201,-66.2219357509999 68.2410911790001,-66.245185369 68.2450945570001,-66.2994367279999 68.254436991,-66.476940596 68.2413943340001,-66.499999857 68.239700118,-66.5137409279999 68.236817912,-66.6072277279999 68.2172099910001,-66.602910387 68.1888244100001,-66.601945928 68.1824822290001,-66.6019457639999 68.1824822230001,-66.601945728 68.182481991,-66.594676066 68.1822206570001,-66.5708460499999 68.1813632450001,-66.5277908959999 68.1777632180001,-66.480692142 68.1724605160001,-66.4686097279999 68.1710999910001,-66.396390728 68.1610999910001,-66.381099728 68.1585999910001,-66.3775326429999 68.157878237,-66.354999973 68.153318068),(-65.721936727 68.1644279910001,-65.711818727 68.1094279910001,-65.711817894 68.109427495,-65.711817816 68.10942707,-65.6915178519999 68.0973541120001,-65.678254306 68.096312217,-65.675554727 68.0960999910001,-65.521118727 68.1113729910001,-65.521118536 68.111373106,-65.521117783 68.11137318,-65.498190931 68.1251181600001,-65.498190902 68.1251188860001,-65.498190727 68.1251189910001,-65.4973637269999 68.1459549910001,-65.5103823279999 68.1517085930001,-65.5127908659999 68.1527732440001,-65.5251744569999 68.152642916,-65.5663907269999 68.1522099910001,-65.6444457269999 68.161518991,-65.6483457269999 68.168590991,-65.64834602 68.1685912310001,-65.656663727 68.1752639910001,-65.668939813 68.17828625,-65.675826929 68.179982243,-65.6829916949999 68.180369157,-65.701399727 68.1813639910001,-65.7143097269999 68.1780369910001,-65.721936727 68.1644279910001),(-63.9791639279999 67.503054041,-63.935554897 67.5019360620001,-63.881945921 67.5033271230001,-63.8462074029999 67.5060759850001,-63.842227726 67.5063819900001,-63.840491729 67.5065438840001,-63.818335825 67.5086090630001,-63.7694460279999 67.5133181840001,-63.759445914 67.5179091200001,-63.7594461529999 67.517909794,-63.759445726 67.5179099900001,-63.761502849 67.5237269240001,-63.763617923 67.5297091630001,-63.7645813029999 67.5309249410001,-63.769999726 67.53776399,-63.787227726 67.5505369900001,-63.815281726 67.5666639900001,-63.853890726 67.58553699,-63.875554726 67.5930459900001,-63.9044457259999 67.6080369900001,-63.915554726 67.6171999900001,-63.916364065 67.6181438360001,-63.922226833 67.6249822340001,-63.924710255 67.6299589750001,-63.926390726 67.6333279900001,-63.935555918 67.6434310330001,-63.937217867 67.645263254,-63.93721833 67.6452635540001,-63.937218726 67.64526399,-63.9490277259999 67.6529099900001,-63.963071712 67.6542557980001,-63.9663818609999 67.6545732020001,-63.9713681659999 67.6515044720001,-63.979027726 67.6467909900001,-64.034436726 67.55859099,-64.0377285719999 67.544182565,-64.038055012 67.542754087,-64.036836969 67.5376738640001,-64.034727726 67.5288729900001,-64.030552079 67.5179213660001,-64.0295909659999 67.5154000810001,-64.0295907289999 67.5153999840001,-64.0052819379999 67.505263175,-63.994999858 67.5041633020001,-63.9791639279999 67.503054041),(-63.796672964 67.299991204,-63.819454977 67.289982206,-63.821490318 67.2888255880001,-63.829727726 67.2841459900001,-63.829726073 67.2841454790001,-63.829726831 67.284145048,-63.8136089339999 67.2791631800001,-63.778639588 67.2744960350001,-63.7636187259999 67.2724909900001,-63.735138859 67.2718263670001,-63.620281846 67.2691451300001,-63.578335785 67.273318144,-63.5597179009999 67.2730360090001,-63.5448846849999 67.272581277,-63.5419457249999 67.2724909900001,-63.53544321 67.271914306,-63.50750887 67.2694361490001,-63.456108861 67.2644360090001,-63.423834238 67.2660824270001,-63.4177817249999 67.26639099,-63.396109725 67.2699909900001,-63.3961095779999 67.269991078,-63.396108851 67.2699911990001,-63.3663909809999 67.2877631810001,-63.3611640349999 67.2914728820001,-63.3577817249999 67.2938729900001,-63.357782003 67.2938732000001,-63.357781928 67.2938732530001,-63.369163882 67.3024732530001,-63.48499994 67.341091196,-63.502765011 67.3432454900001,-63.5858277249999 67.35331899,-63.603979028 67.3522898400001,-63.6055638939999 67.3522000670001,-63.6091443079999 67.3518323590001,-63.646109725 67.3480369900001,-63.666663725 67.34553699,-63.688327725 67.34166399,-63.7741917979999 67.3086378840001,-63.796672964 67.299991204),(-62.73523039 67.107035141,-62.8084727249999 67.0580369900001,-62.820281725 67.05581899,-62.8576219729999 67.0572073110001,-62.8650088329999 67.057482125,-62.8698087719999 67.0577460270001,-62.894599725 67.0591099900001,-62.899445725 67.05831899,-62.899444525 67.0583183850001,-62.8994460499999 67.0583181360001,-62.832217822 67.0244270840001,-62.813054947 67.0169360090001,-62.7827729749999 67.009427165,-62.764454996 67.0091540830001,-62.7524998869999 67.0105451430001,-62.6486088789999 67.0503271650001,-62.635135808 67.0669360740001,-62.5961088289999 67.0922091880001,-62.5815898879999 67.1012139110001,-62.5799997239999 67.10219999,-62.578642037 67.102665943,-62.569455047 67.1058180460001,-62.538609723 67.1138729850001,-62.535607559 67.1143572660001,-62.5041729289999 67.1194270720001,-62.4779404139999 67.1249389870001,-62.472499724 67.12608199,-62.4477727239999 67.13428199,-62.388054724 67.1574819900001,-62.376590724 67.16609099,-62.376590977 67.166091136,-62.421672724 67.19094599,-62.510860441 67.1879616210001,-62.5338909669999 67.1871912390001,-62.54778196 67.186100083,-62.557898909 67.1849974420001,-62.631945725 67.1769279900001,-62.641945725 67.1741459900001,-62.652218725 67.16609099,-62.681190855 67.144694488,-62.7028729849999 67.1286822020001,-62.73523039 67.107035141),(-62.9611088619999 67.054700171,-62.971837594 67.0597217310001,-62.978336725 67.0627639900001,-63.002227725 67.0694459900001,-63.1000817249999 67.0797099900001,-63.111973367 67.079592012,-63.1138908409999 67.079573134,-63.1172980549999 67.0782153210001,-63.133054725 67.07193699,-63.137018725 67.05851899,-63.137017794 67.0585183250001,-63.137017853 67.0585181280001,-63.1238909539999 67.0491451490001,-63.092772971 67.0358092050001,-63.068335867 67.025545062,-63.037781986 67.0158270840001,-63.01601765 67.011299691,-63.0097277249999 67.0099909900001,-63.0041332719999 67.0094069470001,-62.977772924 67.006654096,-62.938046055 67.005827138,-62.9152729269999 67.012218171,-62.915272868 67.01221895,-62.915272725 67.0122189900001,-62.914445725 67.02303699,-62.922499725 67.03109999,-62.924086818 67.0321652440001,-62.941108803 67.0435911320001,-62.9611088619999 67.054700171),(-62.375552027 66.2183620740001,-62.1991640209999 66.216936155,-62.191261276 66.227415153,-62.1838817239999 66.237199989,-62.231381724 66.269436989,-62.245972724 66.2777639890001,-62.258989188 66.2798441360001,-62.261672903 66.2802731680001,-62.282781888 66.2788821080001,-62.3019358779999 66.274991228,-62.301936466 66.2749910420001,-62.301936724 66.2749909890001,-62.319454724 66.269436989,-62.419163724 66.237763989,-62.428336724 66.231099989,-62.4192091799999 66.221459807,-62.418472998 66.2206821950001,-62.418472906 66.220682181,-62.418472724 66.2206819890001,-62.4049997239999 66.218599989,-62.375552027 66.2183620740001),(-62.484163985 65.7240180530001,-62.4775707169999 65.7020580000001,-62.466109724 65.6638819890001,-62.4549997239999 65.6599909890001,-62.2969547239999 65.624981989,-62.2856564859999 65.6228702610001,-62.219717789 65.6105450210001,-62.198745932 65.6115091080001,-62.142226927 65.6449911230001,-62.1336088209999 65.654300065,-62.13015146 65.6755764550001,-62.129999724 65.6765099890001,-62.1662277849999 65.701692816,-62.167781841 65.7027731140001,-62.169101107 65.703422081,-62.186390724 65.7119279890001,-62.2041727239999 65.7116549890001,-62.221109724 65.7080369890001,-62.235455088 65.703334215,-62.2380550459999 65.7024820940001,-62.263890922 65.7006821640001,-62.297499467 65.708600125,-62.2905800939999 65.7122703060001,-62.270281956 65.7230360290001,-62.258608814 65.7285912200001,-62.255145617 65.7376135220001,-62.253890724 65.7408819890001,-62.2538910019999 65.740882039,-62.253890976 65.7408821070001,-62.255251049 65.7411272310001,-62.271945724 65.7441369890001,-62.2838907239999 65.744427989,-62.466454724 65.7441369890001,-62.482081724 65.7347099890001,-62.482081879 65.734709196,-62.482081921 65.7347091710001,-62.484163985 65.7240180530001),(-66.782227728 66.3691369890001,-66.8010997279999 66.3755369890001,-66.8208457279999 66.388045989,-66.826390728 66.3955459890001,-66.851945728 66.402209989,-66.9281426489999 66.411824805,-66.944445916 66.4138822140001,-66.947960758 66.4123723290001,-66.957081729 66.4084549890001,-66.957081207 66.408454421,-66.9570819699999 66.408454094,-66.9506695279999 66.4014717430001,-66.944718729 66.3949909890001,-66.916109729 66.3799729890001,-66.91138547 66.378442997,-66.9058358519999 66.3766451060001,-66.847385151 66.363465449,-66.8430637279999 66.362490989,-66.741945728 66.3163729890001,-66.738971346 66.315007866,-66.701399892 66.297763183,-66.678881909 66.2869270580001,-66.667499955 66.282763264,-66.6582676579999 66.2805831370001,-66.656954728 66.2802729890001,-66.654539095 66.280138358,-66.641954932 66.279436151,-66.623317938 66.2808181600001,-66.6052728729999 66.2866539760001,-66.594734488 66.2920294910001,-66.5916727279999 66.2935909890001,-66.588744554 66.2967540380001,-66.5743178339999 66.312336127,-66.5743188009999 66.312336911,-66.574318728 66.3123369890001,-66.5844457279999 66.320545989,-66.6238907279999 66.3352639890001,-66.639727728 66.3405459890001,-66.650281728 66.3430459890001,-66.6603120459999 66.343511499,-66.662217847 66.343600123,-66.6656796029999 66.3440161360001,-66.6783277279999 66.345536989,-66.705563728 66.3497189890001,-66.723220337 66.3540650150001,-66.726945921 66.354982245,-66.7397017449999 66.3582481780001,-66.782227728 66.3691369890001),(-65.6671196409999 64.5101569870001,-65.658335909 64.5097181580001,-65.492763984 64.517763276,-65.4688909829999 64.5191451170001,-65.454445946 64.5266450760001,-65.420272927 64.5544270620001,-65.309435836 64.6005360790001,-65.228054932 64.6202540040001,-65.216429449 64.625040611,-65.213899727 64.6260819880001,-65.213068601 64.627494589,-65.208335834 64.6355360570001,-65.208336865 64.6355367520001,-65.208336727 64.6355369880001,-65.249999727 64.6636099880001,-65.266399495 64.6933185670001,-65.260384373 64.700038707,-65.2563907269999 64.7044999880001,-65.25639096 64.704500179,-65.2924997269999 64.735536988,-65.381945727 64.716936988,-65.435818727 64.696363988,-65.446518727 64.6817819880001,-65.489021738 64.6566871160001,-65.546955 64.622482249,-65.551157141 64.6205729850001,-65.558881727 64.617063988,-65.615827727 64.5991549880001,-65.6511097269999 64.5805549880001,-65.659042245 64.574783761,-65.660281852 64.5738821300001,-65.6633953319999 64.570478887,-65.6724997269999 64.560527988,-65.6883277269999 64.5344279880001,-65.689775348 64.523673112,-65.689990837 64.5220732510001,-65.6899907119999 64.5220731030001,-65.689990727 64.522072988,-65.682918727 64.5137369880001,-65.682918563 64.5137369450001,-65.6829178519999 64.5137361070001,-65.672114756 64.510959213,-65.669445727 64.5102729880001,-65.6671196409999 64.5101569870001),(-64.9449908519999 64.3705271000001,-64.9377728599999 64.3616451330001,-64.8880639829999 64.321109075,-64.877208916 64.313309211,-64.8629587899999 64.3080596900001,-64.861390727 64.3074819870001,-64.849727727 64.3074819870001,-64.849727468 64.3074821120001,-64.849726834 64.3074821120001,-64.77214595 64.344918039,-64.7721466479999 64.3449185420001,-64.772145727 64.344918987,-64.820009727 64.379427987,-64.855487871 64.3927824190001,-64.897508879 64.4086002190001,-64.901317976 64.4112634950001,-64.9062457269999 64.414709987,-64.928890727 64.4180369870001,-64.9454822879999 64.4134981030001,-64.949164034 64.412491098,-64.953230898 64.4080324990001,-64.959172727 64.401518987,-64.959172617 64.4015184530001,-64.959172865 64.401518181,-64.955563953 64.383882154,-64.9449908519999 64.3705271000001),(-65.007226819 64.3601912080001,-65.0251357609999 64.361791145,-65.025136642 64.3617909800001,-65.025136727 64.3617909870001,-65.0894457269999 64.3497189870001,-65.105533028 64.345069756,-65.105835887 64.3449822440001,-65.105835906 64.3449822250001,-65.1058367269999 64.344981987,-65.1133367269999 64.337345987,-65.114189599 64.3277571520001,-65.1142999319999 64.326518085,-65.109164005 64.310809057,-65.1024908379999 64.29637324,-65.102490727 64.296372987,-65.101611341 64.2947044040001,-65.073063986 64.240536019,-65.0627730209999 64.2254001460001,-65.062772727 64.2253999870001,-65.062769308 64.225398141,-65.0506997269999 64.218881987,-65.041218837 64.2171667650001,-65.00306403 64.2102632670001,-64.9891639849999 64.2091540060001,-64.9385998189999 64.2355360460001,-64.926935897 64.2424821290001,-64.886608885 64.2837360130001,-64.8866100779999 64.283736628,-64.886609727 64.2837369870001,-64.982227278 64.3330547560001,-64.986481714 64.3385114160001,-64.9988907269999 64.3544279870001,-65.003253684 64.3574439070001,-65.007226819 64.3601912080001),(-64.474446062 63.6791632490001,-64.454999879 63.672218172,-64.43639088 63.6733270980001,-64.4191550049999 63.6797181310001,-64.408108241 63.6854494150001,-64.404172726 63.687490987,-64.399331252 63.690955666,-64.388064011 63.699018134,-64.388063989 63.699018799,-64.388063726 63.699018987,-64.387801756 63.7067928600001,-64.38681779 63.7359632160001,-64.394726786 63.7458270400001,-64.39472753 63.7458277420001,-64.394727726 63.745827987,-64.39688943 63.747869053,-64.429435912 63.778600114,-64.43088868 63.7784622230001,-64.457218726 63.7759639870001,-64.466195618 63.772066685,-64.467772893 63.771382122,-64.525835845 63.771382122,-64.5411543979999 63.7742573450001,-64.5761089279999 63.7808188370001,-64.5840878769999 63.8350247970001,-64.5855547259999 63.8449909870001,-64.583209175 63.8491889640001,-64.5711179039999 63.8708270330001,-64.549435764 63.8952731890001,-64.555135794 63.908182158,-64.647226926 63.9161002070001,-64.6602819079999 63.916382174,-64.664308949 63.9160294370001,-64.6824997259999 63.914436987,-64.7043094919999 63.910118568,-64.7105548869999 63.9088822140001,-64.73819644 63.900223328,-64.8116637269999 63.8772099870001,-64.877823388 63.8522717610001,-64.896390901 63.8452731240001,-64.899319539 63.843428219,-64.914027727 63.8341639870001,-64.918688554 63.8216340340001,-64.919299816 63.8199911250001,-64.9163998449999 63.8063820990001,-64.9163997209999 63.806381994,-64.9034729369999 63.795691151,-64.903472903 63.7956911320001,-64.903472727 63.7956909870001,-64.902697003 63.7953229570001,-64.8902908869999 63.7894360700001,-64.8133269109999 63.767209107,-64.802217872 63.764445091,-64.6881905389999 63.756782721,-64.661663726 63.7549999870001,-64.640327477 63.7466876600001,-64.4969459399999 63.69082717,-64.474446062 63.6791632490001),(-64.183326806 63.866382109,-64.1833275079999 63.866381834,-64.183327726 63.8663819870001,-64.2002907259999 63.8597189870001,-64.2116817259999 63.8515279870001,-64.261981453 63.8467096380001,-64.2683459579999 63.8461000830001,-64.27243064 63.8463142690001,-64.310818726 63.8483279870001,-64.321889852 63.8497883690001,-64.3255640149999 63.8502732650001,-64.3340909249999 63.8520822470001,-64.3368904609999 63.8533591330001,-64.3538817259999 63.8611099870001,-64.398272726 63.849436987,-64.3982717599999 63.849436407,-64.3982730019999 63.8494360810001,-64.3255640149999 63.8058270500001,-64.2569549519999 63.774163237,-64.2492198419999 63.772228527,-64.2458367259999 63.771381987,-64.234436726 63.771381987,-64.234435951 63.771382122,-64.234435796 63.771382122,-64.2306639999999 63.772037922,-64.1992997259999 63.7774909870001,-64.189983453 63.7814158050001,-64.1808268189999 63.7852731140001,-64.17482906 63.84223102,-64.1730457259999 63.859163987,-64.17871946 63.8631469680001,-64.183326806 63.866382109),(-64.200290939 63.6855450630001,-64.181108954 63.675827084,-64.16111778 63.6744360230001,-64.049506186 63.6923393860001,-64.027363726 63.695890987,-64.030290726 63.7297189870001,-64.043336726 63.734163987,-64.0496762829999 63.7355019090001,-64.0548357499999 63.736591188,-64.077435876 63.757773264,-64.0921908029999 63.755992276,-64.1706817259999 63.7465189870001,-64.180281726 63.7422189870001,-64.2088907259999 63.7219279870001,-64.20911691 63.721035408,-64.2120909829999 63.7093002140001,-64.208345948 63.6974911190001,-64.200290939 63.6855450630001),(-64.3651358179999 63.6736001800001,-64.38194606 63.6763821340001,-64.40428482 63.6674799360001,-64.476390726 63.6387459870001,-64.490554726 63.6205459870001,-64.496109726 63.6097189870001,-64.421936726 63.4716549870001,-64.3518097259999 63.3940279860001,-64.351809529 63.39402783,-64.351808927 63.394027163,-64.2885016929999 63.3435591250001,-64.2885016389999 63.3435590820001,-64.2669547259999 63.3263819860001,-64.2648622369999 63.3256348510001,-64.2513999299999 63.320827164,-64.1819459709999 63.2969451100001,-64.1112865329999 63.2778069190001,-64.078336726 63.2688819860001,-64.0768427739999 63.2689483180001,-64.065835824 63.269436039,-64.057499854 63.275963195,-64.0575002209999 63.2759635990001,-64.0574997259999 63.2759639860001,-64.099990726 63.3227729860001,-64.099990905 63.3227731090001,-64.144727726 63.3555549860001,-64.1669457259999 63.369436986,-64.206663726 63.384163986,-64.2246411099999 63.3859579240001,-64.2288908309999 63.386382197,-64.262508801 63.4211090920001,-64.3125961279999 63.553247803,-64.3160997259999 63.562490987,-64.321672726 63.577490987,-64.324445726 63.588045987,-64.325563726 63.598045987,-64.325563726 63.6374999870001,-64.3288907259999 63.6444369870001,-64.349040492 63.660649193,-64.3651358179999 63.6736001800001),(-64.1091638939999 63.483044987,-64.0972178379999 63.4805450000001,-64.086817907 63.4898541100001,-64.077825462 63.5435488630001,-64.077781879 63.5438090910001,-64.077781726 63.543809987,-64.0881569109999 63.5601634920001,-64.093335843 63.568327164,-64.093336606 63.5683277970001,-64.093336726 63.568327987,-64.171936726 63.6336099870001,-64.1824997259999 63.6394369870001,-64.1956241939999 63.6353365750001,-64.1958269049999 63.6352732570001,-64.195826934 63.6352732340001,-64.1958277259999 63.6352729870001,-64.214036726 63.6205459870001,-64.216527726 63.5981909870001,-64.210654397 63.579694466,-64.209164022 63.5750001650001,-64.1823550079999 63.5351360010001,-64.169446039 63.5236092070001,-64.1091638939999 63.483044987),(-64.9618513629999 63.5626994180001,-64.972354727 63.568327987,-65.033031126 63.554658857,-65.052499825 63.5502732150001,-65.05249968 63.550272997,-65.0524997269999 63.550272987,-65.051434221 63.5486741700001,-65.0352818869999 63.5244359980001,-65.0266730019999 63.5155451460001,-64.950835889 63.439153989,-64.9422187279999 63.4308279850001,-64.9422177829999 63.4308270710001,-64.936690234 63.426905123,-64.9183367269999 63.4138819870001,-64.9041727269999 63.406381987,-64.89924095 63.403947772,-64.882217941 63.3955451260001,-64.854446013 63.385827147,-64.84625505 63.392218181,-64.846255092 63.392218701,-64.846254727 63.392218986,-64.847499727 63.4074909870001,-64.849896386 63.414633311,-64.8608268209999 63.4472091650001,-64.864094343 63.4542962340001,-64.867490727 63.4616639870001,-64.910690727 63.5309639870001,-64.933609727 63.5447189870001,-64.942872875 63.548738223,-64.9547267679999 63.5538821270001,-64.9547267679999 63.5588821000001,-64.9618513629999 63.5626994180001),(-65.060941333 62.578260351,-65.1373639129999 62.5449911630001,-65.1373636119999 62.5449910360001,-65.137363727 62.5449909860001,-65.119718727 62.5374999860001,-65.096390727 62.5349999860001,-65.007236727 62.526381986,-65.0041898929999 62.526591721,-64.983063971 62.5280451340001,-64.96903585 62.530545121,-64.874435847 62.554709142,-64.863463935 62.559709115,-64.848833116 62.57351041,-64.841663727 62.5802729860001,-64.8416639869999 62.58027307,-64.841663946 62.5802731090001,-64.844789705 62.581280458,-64.884736727 62.594154986,-64.890361239 62.59757331,-64.8924998539999 62.5988732220001,-64.895389505 62.5998378640001,-64.909163727 62.6044369860001,-64.960152455 62.602870356,-64.972499923 62.6024911870001,-65.00306403 62.5988732220001,-65.0225088719999 62.5949912280001,-65.022509175 62.5949910960001,-65.0225097269999 62.594990986,-65.060941333 62.578260351),(-64.846118727 62.5552639860001,-64.965836727 62.4658279860001,-64.958836775 62.445915819,-64.953190868 62.429853988,-64.94586863 62.4254122940001,-64.941518727 62.422772986,-64.9374750869999 62.4215630240001,-64.926663988 62.418327027,-64.884950437 62.4093582090001,-64.871109727 62.406381986,-64.7727817269999 62.3863819860001,-64.653609726 62.3724909860001,-64.594727726 62.366799986,-64.5947271909999 62.3668001460001,-64.594726876 62.366800116,-64.528608914 62.3866539950001,-64.477217789 62.4080451140001,-64.411495493 62.4502519260001,-64.394163726 62.461381986,-64.382763726 62.5113819860001,-64.382763726 62.5258279860001,-64.3894547259999 62.533118986,-64.556254726 62.5589459860001,-64.580845726 62.538609986,-64.653881726 62.540836986,-64.7416727259999 62.5608189860001,-64.750885497 62.5621712600001,-64.753063877 62.562491236,-64.756206568 62.562552752,-64.7669547259999 62.5627639860001,-64.79245822 62.5616100870001,-64.797499866 62.5613821430001,-64.80068195 62.5610888790001,-64.8155547269999 62.5597189860001,-64.846118727 62.5552639860001),(-65.251954923 61.8697091670001,-65.22090277 61.83000616,-65.212636727 61.819436985,-65.212636297 61.8194367190001,-65.2126357499999 61.8194360210001,-65.1523549459999 61.782218191,-64.955929808 61.723675734,-64.951954727 61.722490985,-64.9269367269999 61.7188819850001,-64.925436767 61.7189588740001,-64.916108825 61.7194360600001,-64.906777178 61.720988988,-64.9061097269999 61.7210999850001,-64.906109069 61.721100171,-64.90610888 61.721100203,-64.889455044 61.7258180410001,-64.858046041 61.739153984,-64.841934508 61.746122831,-64.835554727 61.7488819850001,-64.8323104839999 61.7531321880001,-64.827226789 61.7597912360001,-64.8827723059999 61.8198061100001,-64.8901457269999 61.8277729850001,-64.9808367269999 61.885827985,-65.0391727269999 61.8997189850001,-65.065288396 61.9215540340001,-65.068072898 61.9238822460001,-65.069240822 61.924615122,-65.077372727 61.9297189850001,-65.156954727 61.946936985,-65.168182337 61.9476417670001,-65.170272941 61.947773184,-65.173907282 61.9473565550001,-65.189709727 61.9455459850001,-65.234897577 61.919634208,-65.247354934 61.9124912390001,-65.249019129 61.9101349480001,-65.255009727 61.9016549850001,-65.25568784 61.8885956350001,-65.2558459699999 61.885553982,-65.251954923 61.8697091670001),(-65.768379006 61.863003792,-65.778063727 61.865545985,-65.789990727 61.865545985,-65.807954815 61.862935555,-65.813890957 61.8620732530001,-65.945963935 61.7929822310001,-65.9459637259999 61.792981986,-65.935136728 61.7802729850001,-65.923591245 61.775860546,-65.903881919 61.7683270310001,-65.892934892 61.7666304410001,-65.891390728 61.766390985,-65.881262436 61.7650737060001,-65.8272269 61.758045118,-65.803055 61.7555540160001,-65.719454903 61.7541632910001,-65.695263892 61.776654116,-65.695264096 61.776654643,-65.6952637269999 61.7766549850001,-65.704192357 61.7997653240001,-65.713617913 61.8241632460001,-65.715632549 61.8339883940001,-65.716663727 61.8390189850001,-65.7652064869999 61.8617014290001,-65.7674999719999 61.862773142,-65.768379006 61.863003792),(-70.373608914 62.533336127,-70.283326931 62.5544360600001,-70.264726818 62.559154065,-70.211808845 62.5797180590001,-70.214632761 62.5866868470001,-70.217772732 62.5944369860001,-70.225998967 62.6029404880001,-70.2261088769999 62.603054114,-70.2261097319999 62.6030549860001,-70.396954732 62.723045986,-70.415554732 62.7291549860001,-70.537703044 62.7625912870001,-70.547499877 62.765273112,-70.552002219 62.7662667700001,-70.5877817319999 62.7741639860001,-70.659727732 62.798336986,-70.700676976 62.8114656550001,-70.7116728629999 62.814991209,-70.760281866 62.829991127,-70.763180243 62.830629591,-70.788054732 62.8361099860001,-71.073899732 62.871936986,-71.1910997319999 62.8847189860001,-71.232918733 62.887354986,-71.239857674 62.880046888,-71.240963898 62.8788820980001,-71.17609987 62.8091540510001,-71.158335767 62.7972180530001,-71.1472416679999 62.795391631,-71.144863732 62.7949999860001,-71.1356334709999 62.796397885,-71.1063818809999 62.800827133,-71.047499849 62.811236116,-71.035906293 62.8122061970001,-71.032499732 62.8124909860001,-71.030007357 62.812387448,-71.019163987 62.8119360050001,-70.945546067 62.798045012,-70.846663916 62.766109123,-70.8544460109999 62.7136090720001,-70.8394018929999 62.6629257000001,-70.825009732 62.614436986,-70.819736732 62.6047189860001,-70.819736075 62.6047184510001,-70.819735879 62.6047180910001,-70.7679268319999 62.5626270230001,-70.7463819879999 62.554709142,-70.728549142 62.551191992,-70.723890732 62.550272986,-70.715270242 62.5493159960001,-70.686390863 62.546109142,-70.501108893 62.5336092090001,-70.466663965 62.5316632670001,-70.4144460489999 62.529436027,-70.397334739 62.5301059970001,-70.393063732 62.5302729860001,-70.3889401179999 62.5309224540001,-70.373608914 62.533336127),(-77.867218739 62.589154986,-78.0083457389999 62.593609986,-78.019163739 62.5919369860001,-78.0308367389999 62.593318986,-78.047499739 62.5919369860001,-78.107772739 62.581863986,-78.1099619239999 62.5761896230001,-78.1137459939999 62.5663821160001,-78.103335838 62.559154065,-77.913054901 62.5394361410001,-77.88947631 62.5378084810001,-77.8850097389999 62.5374999860001,-77.873045739 62.5377729860001,-77.8709237749999 62.538098839,-77.862208935 62.5394361410001,-77.8518069739999 62.5423393990001,-77.848754739 62.5431909860001,-77.846529741 62.5456110390001,-77.8393089049999 62.553463256,-77.840877802 62.563146427,-77.841672739 62.5680549860001,-77.850554738 62.5827729860001,-77.850554904 62.582773263,-77.8551947079999 62.5845500070001,-77.867218739 62.589154986),(-82.2823640129999 62.5829090500001,-82.1874999789999 62.5994361510001,-82.102217802 62.629154021,-81.965972983 62.693736082,-81.9295088539999 62.7203360520001,-81.925199886 62.7401270670001,-81.925199773 62.7401278450001,-81.925199751 62.7401279870001,-81.906954742 62.8663909860001,-81.867981742 62.9249909860001,-81.908754742 62.9511099860001,-81.9346572119999 62.9533874510001,-81.940281947 62.9538821940001,-82.008054999 62.95499112,-82.024408632 62.9566672730001,-82.1219367429999 62.9666639860001,-82.1614045539999 62.974897722,-82.185817899 62.9799911520001,-82.239435928 62.990273233,-82.244689358 62.9900573020001,-82.266663743 62.9891549860001,-82.2927727429999 62.9833279860001,-82.378745743 62.953954986,-82.3787459499999 62.953954131,-82.3787460089999 62.953954111,-82.380655769 62.946068402,-82.383472743 62.934436986,-82.428472743 62.925136986,-82.45803481 62.927250422,-82.461399956 62.927491102,-82.507781888 62.9336001680001,-82.513533694 62.9346141250001,-82.5408367429999 62.9394279860001,-82.562987012 62.942436656,-82.5736269349999 62.9438822490001,-82.583628183 62.944277685,-82.615681743 62.9455459860001,-82.645166396 62.94420317,-82.652217838 62.9438822490001,-82.659116228 62.9431544560001,-82.694445743 62.9394279860001,-82.755845743 62.927909986,-82.7933367429999 62.915545986,-82.819241544 62.905278756,-82.8255639779999 62.902773204,-82.8574998679999 62.889991137,-82.943009603 62.8610475630001,-82.982227743 62.8477729860001,-82.984188409 62.847240641,-83.001682014 62.842491227,-83.0096172739999 62.84126136,-83.031245744 62.8379099860001,-83.058912638 62.837532272,-83.0619358279999 62.837491087,-83.087508847 62.840273208,-83.116526828 62.845682218,-83.1493089539999 62.857491146,-83.180272773 62.8788820250001,-83.183341287 62.8830092800001,-83.20200883 62.9081181760001,-83.2020091859999 62.9081182350001,-83.202009744 62.908118986,-83.304718744 62.925136986,-83.374163744 62.9069369860001,-83.395522203 62.8992123510001,-83.400281912 62.8974910970001,-83.425624923 62.8821144760001,-83.5252727439999 62.8216549860001,-83.552909744 62.7299909860001,-83.547909744 62.7061099860001,-83.5647187439999 62.6797189860001,-83.701109744 62.5712459860001,-83.741381744 62.5516549860001,-83.814436744 62.523881986,-83.8327078409999 62.516350007,-83.8612550719999 62.504582176,-83.911254968 62.480682185,-83.923698545 62.4672188900001,-83.944436744 62.4447819860001,-83.943961519 62.427361348,-83.943881862 62.424436094,-83.9356928989999 62.415795201,-83.926109744 62.405681986,-83.903547224 62.388306647,-83.902499903 62.3875000640001,-83.824445944 62.3372091480001,-83.808189334 62.3273159710001,-83.806654744 62.3263819860001,-83.783327744 62.3188819850001,-83.7725635369999 62.3161072030001,-83.747781872 62.3097181810001,-83.7254186819999 62.291727687,-83.7118097439999 62.226518985,-83.719112028 62.174587053,-83.720490898 62.1647821670001,-83.7077819209999 62.1437450990001,-83.6780459459999 62.140409101,-83.646526805 62.1484632720001,-83.589262989 62.170559451,-83.574172744 62.176381985,-83.565563552 62.1802997190001,-83.539990971 62.191936013,-83.5061089719999 62.209854007,-83.482713635 62.2189224640001,-83.476390744 62.2213729850001,-83.4055637439999 62.238881985,-83.395227338 62.241325821,-83.3597269109999 62.249718171,-83.330281956 62.2526360800001,-83.3124479159999 62.252746061,-83.308045744 62.252772985,-83.2758367439999 62.2485999850001,-83.263569334 62.2449885340001,-83.2494358169999 62.2408271510001,-83.198608962 62.222218153,-83.1874899809999 62.21718386,-83.1722277439999 62.2102729850001,-83.1551367439999 62.1906819850001,-83.1389669709999 62.179459089,-83.131035902 62.1739539810001,-83.0955363259999 62.1779986930001,-83.087781744 62.178881985,-82.993754743 62.2070729850001,-82.769163743 62.2902729850001,-82.761173254 62.29430154,-82.737499848 62.306236004,-82.719027755 62.3176813810001,-82.713054743 62.3213819850001,-82.6885997429999 62.3410999860001,-82.681071692 62.3486321440001,-82.670272961 62.359436111,-82.651024997 62.376954647,-82.644172743 62.383190986,-82.621381743 62.3952729860001,-82.614856905 62.398295149,-82.5836178279999 62.4127632880001,-82.5429178209999 62.426245076,-82.499435859 62.438600169,-82.4459728959999 62.4569360850001,-82.4201267939999 62.4740180690001,-82.4052819409999 62.5118632000001,-82.376935853 62.5422821320001,-82.315555008 62.5716632180001,-82.2823640129999 62.5829090500001),(-79.60556374 62.413045986,-79.73083674 62.3991639860001,-79.819667725 62.4030676080001,-79.838199866 62.403882158,-79.850994811 62.402198846,-79.909999741 62.3944369860001,-79.9426367409999 62.387354986,-79.981381741 62.374163986,-80.013472741 62.360545986,-80.134441344 62.2568036000001,-80.180281932 62.2174910950001,-80.186697404 62.2109738090001,-80.198609741 62.198872985,-80.267636741 62.1092999850001,-80.295272747 61.983609986,-80.295272927 61.983609173,-80.29138188 61.929991144,-80.277781907 61.812427073,-80.1984730089999 61.7591632630001,-80.1676358189999 61.7494360650001,-80.1451330529999 61.748788086,-80.138609741 61.7485999850001,-80.0829907409999 61.747281985,-79.9541819359999 61.683600073,-79.8711093919999 61.6097185630001,-79.8670000229999 61.604738592,-79.836954986 61.5683271090001,-79.8058267769999 61.568054026,-79.770426815 61.5744360080001,-79.747364008 61.5844361210001,-79.6495909509999 61.6491539690001,-79.635984622 61.661955952,-79.6305457399999 61.6670729850001,-79.6171094539999 61.698367562,-79.606872917 61.7222091290001,-79.606872959 61.7222094750001,-79.60687274 61.7222099850001,-79.610272676 61.750127461,-79.590145991 61.7787450660001,-79.560563907 61.793327063,-79.541317884 61.7997911860001,-79.53240181 61.8059165190001,-79.52444574 61.8113819850001,-79.501767638 61.8372422720001,-79.4625729209999 61.881936017,-79.420686541 61.9369639650001,-79.39639074 61.9688819850001,-79.382615915 61.978874558,-79.353881933 61.9997181860001,-79.329726796 62.0152731540001,-79.261808905 62.1612450040001,-79.260131923 62.2329497280001,-79.2597997399999 62.247145985,-79.3286097399999 62.2833369850001,-79.35319974 62.2924999860001,-79.42054574 62.339990986,-79.42867274 62.358318986,-79.4463817399999 62.3813819860001,-79.446381867 62.381382026,-79.446381934 62.381382113,-79.540554963 62.41110015,-79.543505271 62.4119443550001,-79.56193674 62.4172189860001,-79.58416374 62.4172189860001,-79.60556374 62.413045986),(-92.9744903879999 61.8873712010001,-93.062209753 61.930545985,-93.0714866819999 61.9300461120001,-93.0725088679999 61.929991144,-93.214164037 61.919991199,-93.2248640399999 61.9106911420001,-93.2245000999999 61.9053964670001,-93.223327753 61.888327985,-93.221396068 61.8857807030001,-93.214999881 61.877345081,-93.184581954 61.8748539790001,-93.148054961 61.8758271180001,-93.131382015 61.870545011,-93.118046071 61.8623540470001,-93.0866729429999 61.829436134,-93.075008854 61.8261091890001,-93.051935821 61.829436134,-92.998473025 61.849163278,-92.977808995 61.8698666340001,-92.964999753 61.882699985,-92.9649999329999 61.8827000740001,-92.9649998949999 61.8827001110001,-92.9744903879999 61.8873712010001),(-92.3083367519999 62.4144369860001,-92.319454752 62.4152639860001,-92.351109752 62.4126279860001,-92.372218752 62.3894369860001,-92.349727752 62.3566549860001,-92.349727435 62.3566549240001,-92.349726794 62.35665399,-92.3397179629999 62.3547181050001,-92.306108878 62.3516632370001,-92.2236178749999 62.3555541160001,-92.158335925 62.390545042,-92.14041793 62.3972180420001,-92.1404200059999 62.397218519,-92.140418752 62.397218986,-92.1622187519999 62.402218986,-92.3083367519999 62.4144369860001),(-74.537217907 62.7488821320001,-74.537218461 62.7488819750001,-74.5372187359999 62.7488819860001,-74.6495187359999 62.7170729860001,-74.6397277359999 62.7063819860001,-74.617218736 62.696099986,-74.606910613 62.691736786,-74.586399897 62.6830540170001,-74.551099847 62.670827167,-74.541381868 62.6683270130001,-74.3336177899999 62.6294361560001,-74.240420177 62.6135600110001,-74.1836097349999 62.603881986,-74.179498652 62.6034090190001,-74.169154958 62.6022181050001,-74.154446059 62.601109179,-74.128872873 62.600827044,-73.9885998789999 62.6022181050001,-73.96972685 62.604163209,-73.9595909499999 62.6144360700001,-73.959591309 62.6144364040001,-73.9595907349999 62.614436986,-74.012509735 62.663745986,-74.145845735 62.6877639860001,-74.1570656809999 62.6887255730001,-74.1588909829999 62.6888821220001,-74.181672996 62.6888821220001,-74.216108872 62.6849910770001,-74.216109081 62.6849910600001,-74.250290943 62.6824910890001,-74.2855549509999 62.679991102,-74.28934631 62.679862713,-74.309999735 62.679163986,-74.347781735 62.679436986,-74.377072735 62.681936986,-74.3922277349999 62.687209986,-74.482771693 62.739718381,-74.4808367379999 62.7402729940001,-74.4808358609999 62.7402732470001,-74.496283529 62.743229688,-74.522918736 62.748327986,-74.5347839999999 62.7487876610001,-74.537217907 62.7488821320001),(-77.495136738 63.2714459860001,-77.6005339289999 63.369240872,-77.636672875 63.402773176,-77.6402989709999 63.405389572,-77.6805547389999 63.4344369870001,-77.8449997389999 63.4722189870001,-77.8993952 63.475601538,-77.911945975 63.476382212,-77.915799621 63.4762775030001,-77.927363739 63.4759639870001,-77.9419361229999 63.469573256,-77.974835258 63.4695405160001,-78.079727739 63.4694369870001,-78.091672739 63.470545987,-78.158618739 63.482209987,-78.1946506629999 63.491438015,-78.2128179109999 63.4960910840001,-78.213359237 63.4962777120001,-78.214109739 63.4965369870001,-78.278881739 63.4897189870001,-78.35596994 63.4795505020001,-78.379990947 63.476382212,-78.551663891 63.4449911460001,-78.5649940339999 63.440194997,-78.5725097389999 63.437490987,-78.5650601519999 63.4064847750001,-78.562499848 63.395827093,-78.537980598 63.3810972190001,-78.5218097389999 63.3713819860001,-78.486936739 63.364999986,-78.4466547389999 63.3502729860001,-78.354445739 63.3035999860001,-78.352737861 63.3025512400001,-78.343608961 63.2969451100001,-78.3222357779999 63.281109181,-78.311390936 63.2722181610001,-78.295545953 63.2599911450001,-78.295545911 63.2599911190001,-78.295545739 63.259990986,-78.293346103 63.2587617560001,-78.226945944 63.2216539940001,-78.124708853 63.165827166,-78.0250089639999 63.11720911,-77.9583460119999 63.093045089,-77.948108536 63.091341975,-77.9466547389999 63.0910999860001,-77.944339172 63.091015993,-77.931381932 63.0905451030001,-77.902781873 63.0922090780001,-77.785282007 63.1216540340001,-77.641954982 63.1719360650001,-77.573335861 63.2005450090001,-77.516427106 63.243113893,-77.5038907379999 63.2524909860001,-77.502211637 63.256126738,-77.49513589 63.2714450140001,-77.495136798 63.2714458570001,-77.495136738 63.2714459860001),(-85.449155 63.1166632810001,-85.396955022 63.122763295,-85.37809642 63.123761932,-85.375827746 63.1238819860001,-85.369707851 63.123671404,-85.3433358189999 63.122763295,-85.2880549879999 63.118327089,-85.2683094989999 63.1175648010001,-85.266399746 63.1174909860001,-85.244999746 63.118599986,-85.2412729439999 63.118998494,-85.224163931 63.1208270750001,-85.143335897 63.1399911230001,-84.890564016 63.2072181780001,-84.8708358659999 63.214154035,-84.84194596 63.227209185,-84.8230640469999 63.2372091300001,-84.801814012 63.2467221950001,-84.793881745 63.250272986,-84.789423223 63.2518442940001,-84.774172908 63.257218074,-84.7544549839999 63.264163152,-84.563326804 63.3374912260001,-84.4774909179999 63.383609128,-84.44819097 63.448463266,-84.448190973 63.4484634830001,-84.448190745 63.4484639870001,-84.4485997369999 63.4829093330001,-84.412733659 63.5295348010001,-84.392990745 63.555199987,-84.378415575 63.5634299550001,-84.286117819 63.6155451070001,-84.261126839 63.620827047,-84.2074670709999 63.6242782290001,-84.1963817449999 63.624990987,-84.168190742 63.6213819930001,-84.1387460239999 63.6087450360001,-84.1189451929999 63.60456859,-84.1156907449999 63.6038819870001,-84.111119618 63.604453269,-84.094590996 63.6065181320001,-84.074454982 63.614163266,-84.050281909 63.6269361130001,-84.0243089049999 63.6477731890001,-84.010008875 63.6654090490001,-83.860557518 63.731420459,-83.824172744 63.747490987,-83.803571254 63.755586614,-83.745699975 63.7783270310001,-83.721919901 63.7797877830001,-83.7186097439999 63.7799909870001,-83.712318201 63.778907073,-83.694445978 63.775827045,-83.6684012169999 63.7666646540001,-83.664445744 63.7652729870001,-83.6369435189999 63.770320993,-83.634926921 63.7706911170001,-83.5962549989999 63.8233271230001,-83.596255043 63.8233275800001,-83.596254744 63.823327987,-83.5994696399999 63.857255233,-83.6067358989999 63.9339451110001,-83.618974505 63.9479477100001,-83.626099744 63.9560999870001,-83.626099922 63.9561001380001,-83.62609994 63.956100157,-83.642499744 63.969981987,-83.6538266379999 63.9771534010001,-83.6712457629999 63.988182049,-83.678045594 64.0109634830001,-83.548335826 64.102482218,-83.525008822 64.1127632930001,-83.4883272339999 64.1224820290001,-83.478489069 64.1232906540001,-83.339446058 64.1347181790001,-83.157226835 64.1630361040001,-83.126390987 64.1758091190001,-83.10527295 64.1816539870001,-83.072782011 64.1866450750001,-83.021709448 64.18798137,-83.014036743 64.1881819870001,-82.966789874 64.1470276650001,-82.962218782 64.143045923,-82.975563743 64.120536987,-82.996945743 64.1002639870001,-83.022781744 64.0798459870001,-83.095554744 64.028318987,-83.135597682 64.007234284,-83.1424998319999 64.003600067,-83.1404581529999 63.999960607,-83.126527744 63.9751279870001,-83.126527326 63.975127763,-83.126526941 63.9751270780001,-83.111860798 63.9672487970001,-83.092918744 63.9570729870001,-83.086220211 63.9558765460001,-83.064163905 63.951936028,-82.978836658 63.963462534,-82.972636743 63.9642999870001,-82.959077612 63.965724182,-82.828608956 63.979427162,-82.5488909319999 63.9691541330001,-82.5307189339999 63.9667469500001,-82.525836743 63.9660999870001,-82.489779015 63.9534856120001,-82.413890994 63.9269361630001,-82.3667275509999 63.9075543010001,-82.3526367429999 63.8570819870001,-82.3746362919999 63.828836295,-82.383472899 63.8174911390001,-82.389529071 63.817890156,-82.423618743 63.8201369870001,-82.478890743 63.806663987,-82.5094547429999 63.792909987,-82.537781743 63.7748549870001,-82.5483367429999 63.7488819870001,-82.535794088 63.727265001,-82.535281907 63.7263821980001,-82.535281832 63.7263821400001,-82.535281743 63.7263819870001,-82.5311626709999 63.723203374,-82.4798550629999 63.683609178,-82.3762597039999 63.659256987,-82.345699743 63.6520729870001,-82.337894085 63.652608694,-82.314299902 63.654227087,-82.2949998989999 63.6718632820001,-82.242811376 63.682369491,-82.2194457429999 63.6870729870001,-82.198509541 63.6881387650001,-82.129435854 63.691654129,-82.107772992 63.692218063,-82.065250684 63.6903134570001,-82.058054743 63.689990987,-82.0563520279999 63.6894813980001,-82.036246021 63.683463165,-82.026300732 63.676723409,-82.019036743 63.671799987,-81.995272932 63.6611000780001,-81.995272743 63.6610999870001,-81.991413318 63.659784277,-81.909726892 63.6319360860001,-81.882090919 63.6297091820001,-81.860217877 63.6319781810001,-81.855272742 63.632490987,-81.850374313 63.6335661800001,-81.823626809 63.6394360450001,-81.801935785 63.6411090730001,-81.774022031 63.6377772330001,-81.765836742 63.6367999870001,-81.7557355719999 63.6332108550001,-81.7341639059999 63.6255450530001,-81.6976577889999 63.6090800310001,-81.694154742 63.607499987,-81.386127742 63.526381987,-81.3123928749999 63.5082094270001,-81.1099999529999 63.4583270900001,-81.0811887789999 63.4523720060001,-81.076399742 63.451381987,-81.072870805 63.4510240130001,-81.054446039 63.4491541020001,-81.03728066 63.448715425,-81.032772742 63.4485999870001,-81.028169221 63.4487180260001,-81.011126855 63.4491541020001,-80.989435831 63.4508271300001,-80.963335925 63.4568000740001,-80.933190913 63.480963257,-80.933190962 63.48096381,-80.933190742 63.4809639870001,-80.9337452359999 63.487285264,-80.9356268619999 63.508745075,-80.92046131 63.521308735,-80.917354742 63.523881987,-80.884824755 63.535137245,-80.7744460489999 63.573327137,-80.608890887 63.628327174,-80.587781902 63.6358271330001,-80.510763947 63.6822090650001,-80.489435859 63.712909127,-80.4541819089999 63.7277632000001,-80.4359143949999 63.7308503310001,-80.434436741 63.7310999870001,-80.4300313749999 63.7315396220001,-80.396808955 63.734854123,-80.374717946 63.7341632860001,-80.352363914 63.728318082,-80.190417832 63.7501360090001,-80.177988731 63.7664324930001,-80.174372741 63.7711729870001,-80.189990741 63.799999987,-80.1899908409999 63.8000000870001,-80.18999086 63.8000001170001,-80.1944818819999 63.8044732050001,-80.2172268469999 63.8099911790001,-80.363055031 63.8411001100001,-80.368485069 63.8422062750001,-80.4530637409999 63.859436987,-80.567507448 63.8894363860001,-80.502169802 63.905081996,-80.4929817409999 63.907281987,-80.5287547409999 63.9808909870001,-80.5287549989999 63.9808910790001,-80.5287550309999 63.980891145,-80.530592058 63.9815435560001,-80.566099741 63.9941549870001,-80.734727741 64.0541549870001,-80.777499741 64.0794369870001,-80.80066204 64.0872138070001,-80.812208869 64.091091211,-80.84553886 64.101453377,-80.890836742 64.115536987,-80.935818742 64.1119279870001,-80.972427742 64.055263987,-80.9724268639999 64.0552633830001,-80.972426937 64.0552632690001,-80.968166251 64.0523329380001,-80.948609742 64.0388819870001,-80.913127742 64.0244999870001,-80.9168308119999 64.000902657,-80.917354874 63.99756395,-80.942490742 63.9905459870001,-80.9647187419999 63.991936987,-81.239758364 64.0578307100001,-81.259172838 64.0624820560001,-81.282090742 64.078881987,-81.2820907939999 64.078881993,-81.2820909869999 64.0788821310001,-81.294496989 64.0803072730001,-81.383618742 64.090545987,-81.440281742 64.067763987,-81.560818742 64.0294369870001,-81.875827742 63.991663987,-81.894011414 63.9902609210001,-81.897508927 63.989991209,-81.90298702 63.9896685990001,-81.930554742 63.9880459870001,-81.958199743 63.9886099870001,-81.989372529 63.9966549320001,-81.965908945 64.0550450040001,-81.879163959 64.0808270680001,-81.8382507489999 64.0849807480001,-81.824445742 64.086381987,-81.810115169 64.0869393070001,-81.763890997 64.088736064,-81.7177729269999 64.0994270140001,-81.6270992359999 64.1226541070001,-81.606654742 64.1278909870001,-81.5945764319999 64.1863199530001,-81.593890916 64.189636078,-81.593890742 64.189636987,-81.6177727419999 64.2144279870001,-81.6461187419999 64.2255369870001,-81.669727742 64.2327549870001,-81.707790742 64.247627987,-81.7272187419999 64.258327987,-81.748890742 64.273609987,-81.776872634 64.316363821,-81.77191874 64.327625201,-81.7670907419999 64.3385999870001,-81.76332973 64.3432168590001,-81.7530639249999 64.355818033,-81.753063922 64.355818766,-81.7530637419999 64.3558189870001,-81.752645742 64.4797099880001,-81.763063742 64.5010999880001,-81.7630639819999 64.501100105,-81.763064038 64.5011002200001,-81.777017082 64.5079621890001,-81.9324997419999 64.5844279880001,-82.064436743 64.648609988,-82.2036096209999 64.6844189560001,-82.2093873709999 64.690313915,-82.217499743 64.698590988,-82.2127098719999 64.7040885530001,-82.206664027 64.7110271650001,-82.2066643599999 64.7110272790001,-82.206663743 64.7110279880001,-82.355418743 64.7619369880001,-82.541104913 64.7636221450001,-82.569735887 64.763882106,-82.5930352459999 64.7658453230001,-82.7031907429999 64.7751279880001,-82.763890743 64.793309988,-82.798247111 64.808002855,-82.800281849 64.808873089,-82.8250095939999 64.8325548440001,-82.841380887 64.8525348460001,-82.853054743 64.8667819880001,-82.853054774 64.866781997,-82.853054944 64.8667822050001,-82.998891008 64.9113732600001,-83.156390992 64.9399731520001,-83.201172986 64.9428912270001,-83.286725076 64.9938885230001,-83.3251457439999 65.0167909880001,-83.341945744 65.040399988,-83.340716662 65.047127817,-83.337008936 65.0674181460001,-83.3409690249999 65.0720638980001,-83.383472744 65.121927988,-83.408618744 65.135545988,-83.534172744 65.163036988,-83.620545744 65.160809988,-83.666945744 65.160809988,-83.852781744 65.1616549880001,-83.876099744 65.1627639880001,-83.899990744 65.1655459880001,-84.035283068 65.1930769620001,-84.0883359169999 65.203873183,-84.1413908489999 65.2199821950001,-84.227572666 65.274573042,-84.219136905 65.280366734,-84.19805503 65.2948449960001,-84.153263983 65.335744995,-84.153264624 65.3357451860001,-84.1532637449999 65.335745988,-84.291945745 65.3769189880001,-84.314436745 65.381654988,-84.416849013 65.441509045,-84.4337729229999 65.451400172,-84.5556908899999 65.479982127,-84.5600251819999 65.4797753350001,-84.587718745 65.4784549880001,-84.7147722459999 65.3765560130001,-84.743054925 65.353873208,-84.7478574309999 65.3477808310001,-84.7590367449999 65.3335999880001,-84.749927745 65.303527988,-84.786835507 65.2405862860001,-84.7963909869999 65.2242911640001,-84.803474804 65.2216198950001,-84.824163745 65.2138189880001,-84.906245745 65.2062369880001,-84.927636314 65.2119368730001,-84.99325547 65.32146004,-85.0116727449999 65.3521999880001,-85.010407506 65.3568938870001,-85.005008846 65.376918077,-85.00243607 65.396464768,-85.002099745 65.3990189880001,-85.013072745 65.415963988,-85.035281745 65.4319189880001,-85.072150693 65.446908406,-85.0886089429999 65.4536000860001,-85.127781935 65.4660911340001,-85.1655549819999 65.4749912060001,-85.170662507 65.476421617,-85.204181746 65.485809988,-85.240827746 65.4983189880001,-85.271118746 65.511654988,-85.277061443 65.516882186,-85.3059268819999 65.542273246,-85.27701827 65.5565819610001,-85.2379187459999 65.5542819890001,-85.234094609 65.5548380160001,-85.1758268359999 65.563309141,-85.142819289 65.5698733660001,-85.142227745 65.5699909890001,-85.142227116 65.569991132,-85.142226805 65.569991196,-85.120272745 65.574999989,-85.111554397 65.577851352,-85.088055067 65.585536104,-85.0515178479999 65.614836053,-85.0767054249999 65.6531517700001,-85.159445745 65.7790189890001,-85.194309746 65.7991459890001,-85.213618746 65.808027989,-85.2630637459999 65.821109989,-85.288609746 65.8266639890001,-85.3234727459999 65.8312459890001,-85.3759727459999 65.8351279890001,-85.402645746 65.821309989,-85.419027746 65.804699989,-85.450827746 65.7926189890001,-85.471154016 65.7915404380001,-85.474308924 65.7913731830001,-85.4831990879999 65.7940546520001,-85.501945746 65.7997099890001,-85.518609044 65.810954515,-85.5212562569999 65.827639183,-85.5220907459999 65.8328999890001,-85.5199967679999 65.8376473960001,-85.511126937 65.857754001,-85.492757389 65.874960521,-85.488890746 65.8785819890001,-85.477563746 65.9194909890001,-85.4775639699999 65.9194911810001,-85.477563952 65.919491244,-85.49100886 65.9310633000001,-85.491008978 65.9310633280001,-85.491009746 65.9310639890001,-85.500272746 65.9333099890001,-85.542499746 65.933318989,-85.565281746 65.9302639890001,-85.6211097459999 65.9174819890001,-85.696654746 65.891936989,-85.728336746 65.8794279890001,-85.763836661 65.8649414540001,-85.770555055 65.8622000980001,-85.775412976 65.860128354,-85.791381746 65.8533189890001,-85.832509746 65.8324909890001,-85.8883367459999 65.799990989,-85.949902182 65.760466453,-85.9864549439999 65.737000112,-86.011955041 65.712073171,-86.067622824 65.5934367500001,-86.097781746 65.5291639880001,-86.111936746 65.494136988,-86.151536746 65.3897189880001,-86.171109746 65.274009988,-86.165488388 65.2545536220001,-86.164172917 65.250000137,-86.144173026 65.213244989,-86.135563973 65.1827539720001,-86.1414639449999 65.0927548870001,-86.1652817459999 65.0805549880001,-86.181538353 65.0706255920001,-86.187354915 65.067073147,-86.195000475 65.0572446830001,-86.207290746 65.0414459880001,-86.226245746 64.9915099880001,-86.226245674 64.991509814,-86.22624594 64.991509116,-86.216672968 64.9684632410001,-86.185834424 64.9583252190001,-86.184154979 64.957773064,-86.153745995 64.9253271160001,-86.153991568 64.9244392240001,-86.183536746 64.817618988,-86.215699746 64.813863988,-86.2420097469999 64.800327988,-86.272509747 64.7680549880001,-86.308150934 64.7126163610001,-86.31555495 64.701100142,-86.339082552 64.669478391,-86.368881747 64.629427988,-86.368881926 64.6294272040001,-86.36888196 64.6294271580001,-86.369269193 64.627733891,-86.383618747 64.564990988,-86.399193219 64.454706861,-86.4013910039999 64.4391450480001,-86.384172898 64.364427086,-86.373903759 64.338472768,-86.3547187469999 64.289981987,-86.305618747 64.225254987,-86.3056183689999 64.225254792,-86.3056178689999 64.2252541330001,-86.275813193 64.209869687,-86.273899747 64.208881987,-86.2729840489999 64.2085156380001,-86.253064006 64.2005451210001,-86.2296783789999 64.1879758870001,-86.212218746 64.1785909870001,-86.179436746 64.1292099870001,-86.193024486 64.1033099110001,-86.196664024 64.0963731510001,-86.225963972 64.0815911620001,-86.255008943 64.0761001770001,-86.4136178529999 64.048600159,-86.413617958 64.0486001240001,-86.413618747 64.048599987,-86.503890747 64.0183279870001,-86.6686097469999 63.9783279870001,-86.7002907469999 63.9722189870001,-86.763627747 63.9622099870001,-86.784163747 63.9569369870001,-86.875827747 63.928599987,-86.9152817469999 63.914436987,-86.939154747 63.903318987,-87.161118747 63.7436099870001,-87.186663747 63.7222189870001,-87.205836747 63.6988819870001,-87.220409747 63.6708279870001,-87.225836747 63.6460999870001,-87.221639754 63.6323211650001,-87.2199998569999 63.6269361130001,-87.18804603 63.5899911980001,-87.188045836 63.5899910900001,-87.188045747 63.5899909870001,-87.1859118089999 63.588791406,-87.1455640299999 63.566109145,-87.118608835 63.555827064,-87.089446015 63.550827091,-87.05055499 63.5497181650001,-86.9468835449999 63.5521862140001,-86.922227747 63.5527729870001,-86.9156016269999 63.553199659,-86.879164012 63.555545097,-86.852834074 63.5602695800001,-86.8427817469999 63.5620729870001,-86.807499747 63.5713819870001,-86.800352844 63.573743893,-86.77806401 63.581109063,-86.763579367 63.588135574,-86.759172747 63.590272987,-86.75300244 63.5942711660001,-86.733890878 63.606654087,-86.6944459759999 63.6336091140001,-86.666399961 63.648327065,-86.626935781 63.661663176,-86.5967912949999 63.668448621,-86.5961187469999 63.6685999870001,-86.5891025019999 63.6689348950001,-86.5581999839999 63.6704091890001,-86.4502908589999 63.66054503,-86.381381892 63.6522181130001,-86.346117884 63.645545112,-86.300281949 63.63971818,-86.266954999 63.6380449850001,-86.244999945 63.6394360450001,-86.229184115 63.64200393,-86.224445746 63.6427729870001,-86.216002906 63.6448969290001,-86.183608874 63.6530450710001,-86.017226922 63.6883270160001,-85.9858268039999 63.6933181040001,-85.87943581 63.7047091110001,-85.7391134709999 63.7145797640001,-85.717499746 63.7160999870001,-85.610409746 63.6674909870001,-85.592918746 63.6270729870001,-85.606109746 63.5017999870001,-85.6220817459999 63.4740189870001,-85.6312953459999 63.462329078,-85.640146052 63.4511002130001,-85.6493008429999 63.4268388660001,-85.652354746 63.4187459870001,-85.6523547309999 63.41874568,-85.652354965 63.41874506,-85.648346068 63.335545116,-85.644958268 63.3048330180001,-85.638618746 63.2473549860001,-85.584309746 63.171309986,-85.584309106 63.1713094850001,-85.584308831 63.171309099,-85.540135865 63.1366631720001,-85.490690851 63.120054096,-85.449155 63.1166632810001),(-90.7441491119999 63.5492701360001,-90.7480460099999 63.5502732150001,-90.7523779809999 63.550585422,-90.771118751 63.551936987,-90.9323731219999 63.5514568340001,-90.957508933 63.551382141,-90.9575093719999 63.5513819880001,-90.957509751 63.5513819870001,-90.9670907509999 63.5480459870001,-90.967089727 63.548045566,-90.967090957 63.548045137,-90.933317922 63.5341631970001,-90.877208959 63.514718187,-90.816954978 63.4958270540001,-90.8044459929999 63.4933270670001,-90.793608863 63.494154026,-90.708638991 63.50407618,-90.688890751 63.5063819870001,-90.6856189439999 63.5076462150001,-90.676654994 63.511109107,-90.676655178 63.511109821,-90.6766547509999 63.5111099870001,-90.679163751 63.5208279870001,-90.705281751 63.5380549870001,-90.719999751 63.5430549870001,-90.7441491119999 63.5492701360001),(-85.1819459609999 65.945527112,-85.1180550719999 65.7647091760001,-85.1069460319999 65.7505451000001,-85.078064005 65.729991167,-85.078063973 65.72999115,-85.078063745 65.729990989,-85.077190935 65.729602705,-85.0630459819999 65.723309112,-85.028608933 65.7116540750001,-84.9002819949999 65.678036106,-84.8785998549999 65.6691450860001,-84.867228599 65.660619259,-84.866390839 65.659991059,-84.865061553 65.6580668500001,-84.8583277449999 65.6483189890001,-84.854803107 65.623642712,-84.852773032 65.609427043,-84.8480550259999 65.5974912130001,-84.8457756019999 65.5945086510001,-84.840836745 65.5880459890001,-84.840836187 65.5880455700001,-84.840835861 65.588045143,-84.838679068 65.586427246,-84.8286097449999 65.578872989,-84.814853258 65.5715347280001,-84.803608979 65.565536045,-84.784726898 65.5566361400001,-84.746108955 65.5458181210001,-84.73389099 65.5447091950001,-84.7243471039999 65.5459041250001,-84.722781745 65.546099988,-84.714728994 65.5482120990001,-84.667773029 65.5605270200001,-84.598617802 65.608600084,-84.5850089429999 65.6191361370001,-84.576108871 65.62915402,-84.574318606 65.6384102850001,-84.5741727449999 65.6391639890001,-84.586672745 65.6921999890001,-84.586672887 65.692200047,-84.586672919 65.692200181,-84.587804278 65.6926637010001,-84.5974997449999 65.6966369890001,-84.6251391019999 65.707466851,-84.637217807 65.7122000730001,-84.6732412279999 65.753323397,-84.707781745 65.7927549890001,-84.713481745 65.804699989,-84.71394667 65.8069147520001,-84.71610895 65.817218111,-84.716109709 65.817218815,-84.716109745 65.8172189890001,-84.7550097449999 65.8533189890001,-84.807772745 65.8958279890001,-84.885272745 65.9431729890001,-84.910281745 65.9999999890001,-84.9102819399999 66.0000000960001,-84.924709745 66.008045989,-84.937499745 66.010545989,-85.045106529 66.0244855510001,-85.0574998439999 66.026091116,-85.0602995789999 66.0261562900001,-85.081681745 66.0266549890001,-85.140554745 66.022209989,-85.173045746 65.9947099890001,-85.173045879 65.9947092530001,-85.173046056 65.9947091020001,-85.1819459609999 65.945527112),(-84.382764013 66.000545086,-84.3699998829999 65.9972090890001,-84.358045948 65.9977540800001,-84.3262590479999 66.002092244,-84.3233367449999 66.0024909890001,-84.321414225 66.002581756,-84.311390934 66.0030541250001,-84.302107199 66.0026169830001,-84.299436745 66.0024909890001,-84.295091821 66.0013769490001,-84.2863909019999 65.999145141,-84.232403769 65.9839117380001,-84.208618745 65.977199989,-84.193736745 65.9706819890001,-84.123609745 65.900272989,-84.102218745 65.814845989,-84.114299745 65.7923459890001,-84.1342663359999 65.7769957880001,-84.1428459479999 65.7704001530001,-84.140154609 65.767691041,-84.133327745 65.760818989,-84.133327618 65.7608189640001,-84.133326788 65.760818129,-84.120546062 65.7583270270001,-84.0817331329999 65.7517884170001,-84.071118744 65.7499999890001,-83.983890744 65.738590989,-83.971663744 65.737199989,-83.970086252 65.7372763320001,-83.960008979 65.7377632010001,-83.94860892 65.740263187,-83.938046045 65.744427149,-83.927490882 65.7597180880001,-83.9058358999999 65.7674911290001,-83.849726937 65.780545105,-83.8088819229999 65.7880360120001,-83.7974999689999 65.7894270730001,-83.787871221 65.7889977080001,-83.785281744 65.7888819890001,-83.771633955 65.7836029360001,-83.686173447 65.750545258,-83.6911382229999 65.7453816940001,-83.695264052 65.7410911520001,-83.703201151 65.7397370790001,-83.7408277439999 65.7333189890001,-83.775009744 65.7280459890001,-83.7877987109999 65.7229469630001,-83.789990957 65.722073116,-83.8405640079999 65.678591155,-83.8436106999999 65.6754335300001,-83.8480637439999 65.6708189890001,-83.848063643 65.6708184500001,-83.848063968 65.670818114,-83.844446003 65.651509058,-83.834605838 65.6471516280001,-83.829727744 65.6449909890001,-83.80692634 65.6452907980001,-83.6602820109999 65.6472181950001,-83.6157347399999 65.653861384,-83.598890744 65.656372989,-83.583692637 65.656795753,-83.52860885 65.6583270660001,-83.505008931 65.6583270660001,-83.493054996 65.6577632990001,-83.475783053 65.6557983580001,-83.4686097439999 65.6549819890001,-83.458254557 65.652137404,-83.4433268399999 65.6480361010001,-83.431952036 65.6443285060001,-83.4305547439999 65.643872989,-83.430026949 65.6436511700001,-83.419999836 65.6394361000001,-83.413783811 65.6355018930001,-83.409027744 65.6324909890001,-83.402482979 65.626072396,-83.395281939 65.619009067,-83.379164042 65.6155361090001,-83.344999907 65.620818049,-83.3126128499999 65.626916975,-83.311109744 65.6271999890001,-83.310736536 65.6272730430001,-83.299726901 65.6294271020001,-83.2888909439999 65.632754047,-83.2628099619999 65.6477458700001,-83.2552817439999 65.652072989,-83.244539125 65.666207297,-83.212635909 65.708182123,-83.2171962909999 65.7100852790001,-83.226945744 65.7141549890001,-83.251109744 65.716936989,-83.348054744 65.726927989,-83.358564201 65.7274154090001,-83.359999994 65.727482126,-83.383604728 65.7289528480001,-83.525009744 65.737763989,-83.727490744 65.7997099890001,-83.730220805 65.8108077160001,-83.735826931 65.833600206,-83.7247178919999 65.8369271510001,-83.7152988139999 65.840552646,-83.7138997439999 65.8410909890001,-83.7087888309999 65.844799924,-83.69971786 65.8513822460001,-83.6891640379999 65.8666540730001,-83.689163917 65.8666547380001,-83.689163744 65.866654989,-83.682072744 65.9058189890001,-83.6941547439999 65.924699989,-83.705836744 65.9341459890001,-83.730836744 65.947754989,-83.921390744 66.0097189890001,-83.995810466 66.031853691,-84.001681833 66.0336000900001,-84.039445744 66.076936989,-84.126796529 66.080337254,-84.14639099 66.081100205,-84.160273569 66.08364734,-84.2402817449999 66.098327989,-84.3680547449999 66.1258099890001,-84.381099745 66.129154989,-84.4259226469999 66.1375452660001,-84.433063982 66.1388821960001,-84.460146078 66.1399911220001,-84.4640528099999 66.1365955370001,-84.470699745 66.130818989,-84.4706997329999 66.13081828,-84.4706998999999 66.1308181350001,-84.469999844 66.0894271230001,-84.469552215 66.0849100890001,-84.467709745 66.066309989,-84.467708907 66.0663092180001,-84.467708902 66.0663091640001,-84.466056544 66.0647870560001,-84.436109745 66.037199989,-84.430950195 66.033246321,-84.424163909 66.028045105,-84.382764013 66.000545086),(-83.485272901 65.8008091950001,-83.473326845 65.800263197,-83.459963817 65.807056812,-83.456390744 65.8088729890001,-83.451917965 65.811677203,-83.439990843 65.8191539960001,-83.429172991 65.824436103,-83.4213982969999 65.826771632,-83.4180637439999 65.827772989,-83.406663744 65.830272989,-83.40368094 65.830637519,-83.395281939 65.8316631480001,-83.3539768429999 65.8323831290001,-83.347781744 65.8324909890001,-83.327499744 65.827481989,-83.3155547439999 65.8260999890001,-83.303609744 65.8263819890001,-83.3036094139999 65.8263822010001,-83.303608896 65.826382214,-83.28812685 65.836373275,-83.308751703 65.847335877,-83.3330727439999 65.860263989,-83.3445350599999 65.8635781610001,-83.345554957 65.863873126,-83.348173547 65.8641710260001,-83.369999744 65.866654989,-83.4424907439999 65.870818989,-83.478054744 65.870254989,-83.525281744 65.868318989,-83.555697105 65.8654261790001,-83.560272998 65.8649911040001,-83.562855782 65.8643273480001,-83.575981744 65.860954989,-83.582368549 65.854846798,-83.585564049 65.8517911150001,-83.58238285 65.8474650650001,-83.578618744 65.8423459890001,-83.5786183069999 65.8423457360001,-83.578617799 65.8423450450001,-83.562120948 65.8328138160001,-83.559154744 65.8310999890001,-83.529727744 65.8174909890001,-83.5183564279999 65.812704426,-83.498046084 65.8041540770001,-83.485272901 65.8008091950001),(-77.9527819369999 63.952354117,-77.7486088329999 63.926109205,-77.732908858 63.9302731670001,-77.686390972 63.9544360140001,-77.639454996 63.9819360330001,-77.625972872 63.9934631610001,-77.625767109 63.99437463,-77.624999738 63.9977729870001,-77.605621953 64.0032115640001,-77.5448640449999 64.020263291,-77.544864632 64.0202637360001,-77.5448637379999 64.0202639870001,-77.553472744 64.0267909790001,-77.5534729299999 64.0267911170001,-77.591108849 64.030273127,-77.6486179249999 64.032482094,-77.661791078 64.0325172730001,-77.753890739 64.0327639870001,-77.774445739 64.0316639870001,-77.861679884 64.0228517940001,-77.889999973 64.0199912140001,-77.9238908579999 64.0150001260001,-77.926977769 64.014390694,-77.943599739 64.0111099870001,-77.953899739 64.0069369870001,-77.9792997389999 63.986663987,-77.979299799 63.986663364,-77.9792999319999 63.9866632590001,-77.980690992 63.9723540090001,-77.9669460119999 63.9591632400001,-77.9527819369999 63.952354117),(-72.5066727339999 63.707218987,-72.6786211949999 63.684476832,-72.723055039 63.678600153,-72.7304562799999 63.6773150970001,-72.7566727339999 63.6727639870001,-72.770554734 63.6697189870001,-72.781945734 63.662209987,-72.7819448669999 63.662209891,-72.781945956 63.6622091730001,-72.635033466 63.6459940890001,-72.5995907339999 63.642081987,-72.5962793149999 63.642596902,-72.58444602 63.6444360180001,-72.4620179309999 63.672145082,-72.4633359009999 63.6891539750001,-72.464901744 63.691972794,-72.468890734 63.699154987,-72.471390734 63.7008279870001,-72.4724997339999 63.704018987,-72.482860225 63.7084420460001,-72.4838908419999 63.7088821250001,-72.4873528049999 63.708629269,-72.5066727339999 63.707218987),(-77.281542262 63.6920083970001,-77.343335767 63.6961002260001,-77.347727215 63.6956091910001,-77.3780547379999 63.692218987,-77.405418738 63.687763987,-77.440281738 63.6652639870001,-77.448543963 63.6558018920001,-77.455555034 63.6477731890001,-77.4515335689999 63.635879238,-77.442218738 63.6083279870001,-77.4260367379999 63.5885999870001,-77.411663738 63.5849909870001,-77.407223116 63.5851125550001,-77.391390894 63.5855451020001,-77.3672178209999 63.5830540000001,-77.327790857 63.5722180430001,-77.108746079 63.4781821400001,-77.10874603 63.4781821120001,-77.058472931 63.446654116,-77.052499987 63.435545077,-77.0446960199999 63.429958497,-77.039027738 63.425899987,-76.984163738 63.406381987,-76.847781738 63.3852729860001,-76.818852625 63.3809133620001,-76.726108844 63.366936014,-76.7103570639999 63.365849331,-76.708063738 63.3656909860001,-76.705232998 63.3660613320001,-76.692217792 63.3677633080001,-76.678608934 63.3727731710001,-76.544508876 63.4632539720001,-76.544510671 63.463254357,-76.5445097369999 63.463254987,-76.565554737 63.4677639870001,-76.602617806 63.47229165,-76.613326816 63.473600091,-76.626657401 63.4751138780001,-76.681608491 63.4813548450001,-76.675554904 63.4966540120001,-76.6755548259999 63.496654763,-76.675554738 63.4966549870001,-76.675338675 63.498747876,-76.672226785 63.528882095,-76.690646165 63.5466367600001,-76.710554738 63.565827987,-76.810545738 63.601109987,-77.021390738 63.6641549870001,-77.0613907379999 63.6727639870001,-77.1033367379999 63.6797189870001,-77.116945738 63.6811099870001,-77.281542262 63.6920083970001),(-73.7047277349999 64.2688729870001,-73.704726963 64.2688732670001,-73.704726778 64.2688732220001,-73.7018598509999 64.269910817,-73.693599735 64.2728999870001,-73.6951246469999 64.2825108600001,-73.700826846 64.3184540240001,-73.720298724 64.3664430310001,-73.726245735 64.381099987,-73.72648638 64.3813768520001,-73.730835903 64.3863821410001,-73.7390085599999 64.3974722840001,-73.746799735 64.408045987,-73.7655637349999 64.4094279870001,-73.778745735 64.4065189870001,-73.833618735 64.3316639870001,-73.833617752 64.331663323,-73.8336178179999 64.331663232,-73.823335905 64.324709103,-73.7766730119999 64.2947090980001,-73.753890999 64.2827632090001,-73.72083579 64.2727632630001,-73.7125318459999 64.270758008,-73.7047277349999 64.2688729870001),(-73.5801858089999 64.310009366,-73.577790735 64.3099819870001,-73.574614557 64.310537733,-73.556382011 64.313727133,-73.489299963 64.4415090800001,-73.4892999429999 64.4415095910001,-73.489299735 64.4415099870001,-73.489167819 64.444749556,-73.488608959 64.4584541030001,-73.49837741 64.509474321,-73.5038997349999 64.5383189880001,-73.5091727349999 64.552472988,-73.509172913 64.5524731340001,-73.509172953 64.55247324,-73.515662182 64.557788712,-73.5244547349999 64.564990988,-73.524454901 64.5649910240001,-73.524455007 64.5649911100001,-73.5256545249999 64.5652516440001,-73.537218735 64.5677639880001,-73.5741666069999 64.560577396,-73.577226799 64.5599822520001,-73.577227737 64.5599819940001,-73.666654735 64.535536988,-73.678890735 64.5291549880001,-73.678890901 64.529154115,-73.682499982 64.5097181580001,-73.615820954 64.4734173910001,-73.6104460179999 64.4704911420001,-73.6218096709999 64.46209751,-73.669536735 64.426845987,-73.658336735 64.3349909870001,-73.6529277349999 64.3187369870001,-73.652927005 64.3187368230001,-73.652926784 64.318736158,-73.626390852 64.312763214,-73.601672954 64.3102540080001,-73.5801858089999 64.310009366),(-74.285281735 64.4816549880001,-74.310409735 64.4988369880001,-74.335145735 64.4958189880001,-74.438327736 64.4517999870001,-74.427507191 64.4460751980001,-74.423326785 64.4438632210001,-74.377208883 64.424427096,-74.360711877 64.421642352,-74.357499735 64.421099987,-74.347197459 64.4199542320001,-74.2849999009999 64.41303609,-74.271945925 64.413609077,-74.174918734 64.43678198,-74.174917852 64.436782189,-74.178709779 64.4396933410001,-74.183063735 64.443036987,-74.1992148749999 64.446189485,-74.205835843 64.4474821920001,-74.228608804 64.4511001560001,-74.251073065 64.463211207,-74.285281735 64.4816549880001),(-82.906015487 66.271014639,-82.913326863 66.2760911020001,-82.937208917 66.2752731950001,-82.9608269409999 66.2724912420001,-82.964989185 66.271723292,-82.996945743 66.2658279890001,-83.019454743 66.2591549890001,-83.0311097439999 66.2566549890001,-83.0430637439999 66.2552639890001,-83.052613422 66.255045404,-83.054990918 66.2549911690001,-83.057050035 66.255085901,-83.067227744 66.2555549890001,-83.170972744 66.2862279890001,-83.204726965 66.316663287,-83.2161088669999 66.3355360620001,-83.216109289 66.3355362350001,-83.2161097439999 66.335536989,-83.225827614 66.3395233250001,-83.226945997 66.339982159,-83.2522268229999 66.344982132,-83.252227616 66.3449819640001,-83.252227744 66.3449819890001,-83.268618744 66.3415189890001,-83.2849997439999 66.3291639890001,-83.298336744 66.3138729890001,-83.297218744 66.267772989,-83.2932842179999 66.262422917,-83.2902729529999 66.2583271660001,-83.263335863 66.2472090750001,-83.093064037 66.1988632630001,-83.080290855 66.196636024,-83.032367999 66.1953202870001,-83.019727743 66.1949729890001,-83.017578592 66.195023722,-83.00778186 66.195254015,-82.9933269329999 66.2011002250001,-82.959401296 66.2306281290001,-82.935545743 66.2513909890001,-82.934700957 66.2515097260001,-82.9297178429999 66.2522090480001,-82.9176275409999 66.2580390680001,-82.914445743 66.259572989,-82.912090855 66.261604183,-82.903335802 66.2691540710001,-82.903336914 66.269154842,-82.903336743 66.2691549890001,-82.906015487 66.271014639),(-76.490827737 67.2363729900001,-76.308609737 67.2535999900001,-76.29661566 67.2546602520001,-76.226946057 67.2608180440001,-76.116654963 67.255554041,-75.946108881 67.251936077,-75.844455003 67.2641632620001,-75.662508863 67.305254033,-75.553608958 67.3336000880001,-75.3919547359999 67.3538729900001,-75.34963607 67.373450613,-75.19860891 67.4433180610001,-75.16111783 67.4638822220001,-75.133617812 67.4816540360001,-75.0704179259999 67.540818035,-75.034150116 67.606239977,-75.025145736 67.62248199,-75.064163736 67.7824819910001,-75.1091727359999 67.8547099910001,-75.1403652239999 67.914233891,-75.1613178229999 67.9542181950001,-75.14805497 67.9744271310001,-75.109838387 67.9985329890001,-75.091672736 68.0099909910001,-75.085057632 68.0146145900001,-75.053535768 68.036644993,-75.001108807 68.117054099,-75.007508893 68.139982124,-75.018550223 68.1530213930001,-75.030563736 68.1672099910001,-75.1283367359999 68.2319369910001,-75.146098701 68.236650522,-75.1586178439999 68.2399732000001,-75.1911089509999 68.2447000910001,-75.1952623729999 68.2447910210001,-75.2288817359999 68.2455279910001,-75.2630637359999 68.247209991,-75.386672736 68.2580459910001,-75.429718736 68.2622099910001,-75.4538907359999 68.266663991,-75.5624997369999 68.2944369910001,-75.5827817369999 68.3002639910001,-75.599173132 68.3062669890001,-75.602490916 68.307482222,-75.605687885 68.3083696,-75.6224997369999 68.313036991,-75.6623211529999 68.3216525760001,-75.667499951 68.322773161,-75.671189253 68.3233207750001,-75.695545737 68.3269369910001,-75.720101713 68.329617227,-75.7261089 68.3302731200001,-75.756673007 68.3324911390001,-75.7643205479999 68.333009647,-75.818072737 68.336654991,-75.887509737 68.3397099910001,-75.924163737 68.337627991,-75.9545611949999 68.3333056910001,-75.960290894 68.3324911390001,-75.992782 68.3206910960001,-76.011726869 68.313010831,-76.032227737 68.3046999910001,-76.056663737 68.2977639910001,-76.0833277369999 68.295254991,-76.116109737 68.296645991,-76.2287457369999 68.302345991,-76.251045737 68.318172991,-76.270501039 68.331234416,-76.272372736 68.332490992,-76.2723729539999 68.3324911390001,-76.3282883099999 68.3236243320001,-76.606945738 68.2794369910001,-76.635009738 68.271927991,-76.673890738 68.2591549910001,-76.69634235 68.250871697,-76.702499873 68.24860019,-76.715734905 68.2431472810001,-76.7261097379999 68.2388729910001,-76.862218738 68.1597099910001,-77.1561672289999 67.9159484780001,-77.203890905 67.8763731130001,-77.224446014 67.857891184,-77.238199879 67.8431821170001,-77.255146075 67.821382128,-77.2703485059999 67.7943807680001,-77.320836738 67.7047099910001,-77.3165277379999 67.6840189900001,-77.2750097379999 67.6146999900001,-77.237219205 67.5631076980001,-77.236254942 67.5617912330001,-77.235424439 67.5601412220001,-77.2251367379999 67.53969999,-77.2369367379999 67.49525499,-77.244863841 67.463466877,-77.2470820139999 67.454573113,-77.101390958 67.305818135,-77.074445989 67.2808181030001,-77.050972972 67.263882133,-77.0509728979999 67.263882106,-77.050972738 67.2638819900001,-77.0266727379999 67.2549909900001,-77.0231447639999 67.2543043060001,-76.9780549399999 67.2455271060001,-76.7484705269999 67.2258498040001,-76.748470496 67.225849801,-76.6930547379999 67.22109999,-76.663618738 67.2199819900001,-76.490827737 67.2363729900001),(-78.914525758 68.33242913,-78.929990983 68.3388821730001,-78.947567691 68.3395601030001,-79.04499974 68.343318991,-79.093088629 68.3479833820001,-79.0994460759999 68.348600151,-79.103671253 68.3488693880001,-79.12554574 68.3502639910001,-79.14680974 68.3477639910001,-79.19109974 68.3194459910001,-79.191099707 68.3194451270001,-79.1910998399999 68.319445042,-79.190680315 68.3085161320001,-79.18832774 68.247209991,-79.183656419 68.2294682740001,-79.179990969 68.215545149,-79.174164037 68.207345133,-79.10167298 68.175263231,-79.0897178709999 68.1702540380001,-79.075008972 68.1683181540001,-79.032499983 68.165263285,-79.020554932 68.1691451120001,-78.8419459629999 68.2405361290001,-78.8194459169999 68.253053998,-78.803608814 68.271236023,-78.806402151 68.281702754,-78.8073547399999 68.2852729910001,-78.807355006 68.285273137,-78.807355022 68.285273196,-78.8097639649999 68.2865914820001,-78.8261097399999 68.2955369910001,-78.914525758 68.33242913),(-82.002119755 68.345407815,-82.012509743 68.350818991,-82.135563743 68.3727549910001,-82.2169457429999 68.3841549910001,-82.2305637429999 68.3855459910001,-82.333327743 68.371918991,-82.343399743 68.364145991,-82.3433991429999 68.3641456130001,-82.3433998579999 68.364145061,-82.328575211 68.354791478,-82.326672743 68.353590991,-82.324493638 68.352895559,-82.3127728869999 68.3491540270001,-82.282790979 68.3415512230001,-82.271118743 68.338590991,-82.208469447 68.3273758240001,-82.072508817 68.3030361250001,-82.0618733589999 68.3056335950001,-82.0599997429999 68.3060909910001,-82.052657111 68.310008775,-82.0100088199999 68.332763216,-82.001853275 68.3411251800001,-81.999172743 68.3438729910001,-81.999173108 68.343873182,-81.9991730309999 68.3438732610001,-82.002119755 68.345407815),(-75.0021000039999 68.3627633790001,-75.007645736 68.350118991,-75.007645694 68.3501188590001,-75.007646021 68.3501181140001,-75.005820603 68.344381608,-75.0026367359999 68.3343729910001,-74.814445736 68.319572991,-74.793421238 68.369840363,-74.7763998729999 68.4105360460001,-74.7763998 68.410536839,-74.776399736 68.4105369910001,-74.7702907359999 68.4766459910001,-74.7826457359999 68.492481991,-74.782645964 68.492482093,-74.782646067 68.4924822250001,-74.801935844 68.501100163,-74.8119413699999 68.5041163270001,-74.836945736 68.5116549910001,-74.934854736 68.569163991,-74.942763736 68.576099991,-74.999999736 68.6722459910001,-75.0141761679999 68.677104521,-75.014454976 68.6772000930001,-75.031352138 68.6802677540001,-75.239436736 68.7180459910001,-75.2524860199999 68.7175646760001,-75.2547269249999 68.7174821790001,-75.254727523 68.717481999,-75.254727736 68.7174819910001,-75.280563736 68.709718991,-75.3037457359999 68.697627991,-75.389172736 68.6230279910001,-75.393428692 68.6165045990001,-75.3969549139999 68.611100069,-75.4141923769999 68.531438069,-75.416399736 68.5212369910001,-75.416399715 68.521236973,-75.416399924 68.5212360090001,-75.404970744 68.5112979770001,-75.3961187359999 68.503599991,-75.369999736 68.4896999910001,-75.3621532609999 68.4863709310001,-75.294726876 68.4577632090001,-75.2736942669999 68.4490368890001,-75.263899736 68.444972991,-75.2413817359999 68.436372991,-75.225808968 68.4322582450001,-75.153063995 68.413036032,-75.140495689 68.41048484,-75.1380637359999 68.409990991,-75.1324925549999 68.4093966440001,-75.109435853 68.4069360180001,-75.08660587 68.4053288360001,-75.081681736 68.4049819910001,-75.0717611859999 68.4024469110001,-75.0333358839999 68.392627104,-75.028478854 68.3891995220001,-75.0150187359999 68.3796999910001,-75.007608994 68.3699862830001,-75.0021000039999 68.3627633790001),(-78.623048083 68.509386792,-78.636127739 68.5130459910001,-78.650371172 68.5125940820001,-78.6533358739999 68.512500222,-78.6555081069999 68.5122138030001,-78.674436739 68.5097189910001,-78.691372739 68.5091549910001,-78.7158367389999 68.515827991,-78.724717687 68.5219272680001,-78.668881958 68.5541540900001,-78.654727425 68.5585909800001,-78.6523420469999 68.558506133,-78.6388998899999 68.558027032,-78.614554987 68.5536451400001,-78.599226833 68.55064509,-78.5622088279999 68.5419270720001,-78.5458357859999 68.540818146,-78.533903208 68.541035386,-78.5308367389999 68.541090991,-78.527831106 68.541572144,-78.5030639399999 68.5455361520001,-78.478335817 68.555818065,-78.46805491 68.5665091830001,-78.4680548709999 68.5665098540001,-78.468054739 68.566509991,-78.464999739 68.619145991,-78.4808254769999 68.6245961870001,-78.4819460699999 68.624982177,-78.48451311 68.625496168,-78.495836739 68.6277639910001,-78.689436739 68.653318991,-78.7199997389999 68.6572099910001,-78.822676195 68.6606010990001,-78.8377820009999 68.661100134,-78.8418141079999 68.6608867050001,-78.86389074 68.659718991,-78.8870186089999 68.652153555,-78.892990915 68.650200139,-78.892990628 68.650200028,-78.89299074 68.6501999910001,-78.890037616 68.6490609800001,-78.8513908589999 68.6341539910001,-78.790054002 68.6199546700001,-78.7841637399999 68.6185909910001,-78.775368003 68.6165636160001,-78.705835925 68.600536021,-78.693055031 68.5969361620001,-78.676664052 68.590953997,-78.6730624369999 68.5858380880001,-78.6697277389999 68.581099991,-78.6824379879999 68.5702223580001,-78.688890902 68.5647002000001,-78.691224862 68.5631602870001,-78.701527739 68.5563639910001,-78.71892666 68.5494535940001,-78.7238908799999 68.5474822620001,-78.7438818859999 68.5461000860001,-78.7450992829999 68.546254225,-78.7591727399999 68.5480369910001,-78.79167274 68.5502639910001,-78.80943674 68.5505369910001,-78.82278174 68.5477639910001,-78.93693674 68.516390991,-78.94471874 68.5099909910001,-78.9597277399999 68.4746999910001,-78.9328652839999 68.466914305,-78.876390891 68.4505450490001,-78.861663887 68.4463631500001,-78.828064022 68.4408091330001,-78.8160536249999 68.4392609440001,-78.81304574 68.438872991,-78.79527274 68.438581991,-78.791589669 68.4386936710001,-78.776672898 68.43914499,-78.7430549279999 68.4427450170001,-78.7161089529999 68.447754043,-78.705564016 68.451663195,-78.637395302 68.4832410380001,-78.6180547389999 68.4921999910001,-78.615676605 68.494707975,-78.610545923 68.5001181390001,-78.610546259 68.5001184430001,-78.610545739 68.5001189910001,-78.619388401 68.5081172150001,-78.619781942 68.50847322,-78.623048083 68.509386792),(-74.726672736 68.5560909910001,-74.586945736 68.5488729910001,-74.5808143199999 68.549159946,-74.551390867 68.5505361250001,-74.53195491 68.552763197,-74.5202909879999 68.5619271310001,-74.5202914349999 68.5619274420001,-74.5202907359999 68.5619279910001,-74.648714033 68.6512425940001,-74.652090884 68.6535911220001,-74.66398781 68.6557720800001,-74.756672736 68.6727639910001,-74.771943098 68.673036944,-74.769498474 68.6737066840001,-74.7688907359999 68.6738729910001,-74.768891434 68.6738729910001,-74.768890861 68.673873148,-74.7799999 68.673873148,-74.781961107 68.673614704,-74.791663736 68.6723369910001,-74.805827736 68.6688729910001,-74.8432653309999 68.649418633,-74.8902909939999 68.624982177,-74.883054897 68.6130361210001,-74.8708718029999 68.5992421980001,-74.8705457359999 68.5988729910001,-74.861791067 68.5914552200001,-74.843335908 68.5758181240001,-74.8338908439999 68.5697181100001,-74.821945961 68.565809126,-74.810768171 68.5641326360001,-74.807218736 68.563599991,-74.742763736 68.557481991,-74.726672736 68.5560909910001),(-74.388608942 68.3983271330001,-74.260563971 68.2733180880001,-74.2446590709999 68.261748878,-74.2441547349999 68.2613819910001,-74.243044751 68.2606655860001,-74.224999891 68.249018112,-74.2077819529999 68.2433180830001,-74.194088729 68.2426536950001,-74.190554735 68.242481991,-74.162218735 68.2460909910001,-74.162218528 68.246091075,-74.162217928 68.246091151,-74.147090939 68.252218155,-74.077290976 68.3301271070001,-74.077291314 68.3301273450001,-74.077290735 68.330127991,-74.198045738 68.4149909870001,-74.198046038 68.4149911950001,-74.217499932 68.4260911820001,-74.227350227 68.4314886940001,-74.2697277349999 68.4547099910001,-74.279445735 68.458327991,-74.293881735 68.4605369910001,-74.307772735 68.461654991,-74.336488527 68.46238105,-74.3408357819999 68.4624911050001,-74.360272913 68.4638821660001,-74.3628618129999 68.4632351880001,-74.376936735 68.459718991,-74.3930637349999 68.4452549910001,-74.400281735 68.434145991,-74.400281789 68.434145212,-74.400281916 68.434145017,-74.400981972 68.4240091170001,-74.3931376099999 68.4077270270001,-74.388609735 68.398327991,-74.388609018 68.398327291,-74.388608942 68.3983271330001),(-74.475890299 68.093282576,-74.615281736 68.078327991,-74.6284874359999 68.0785721920001,-74.62999099 68.0786001060001,-74.6411089229999 68.0777994270001,-74.718609736 68.0722189910001,-74.7319457359999 68.070827991,-74.7513997359999 68.063036991,-74.760009736 68.0544279910001,-74.7702195159999 68.035295122,-74.773054991 68.029982218,-74.776542849 68.0203941920001,-74.777499736 68.017763991,-74.7774997499999 68.0177636970001,-74.777499914 68.0177632470001,-74.778064016 68.006100164,-74.7770725139999 67.9958864970001,-74.774309736 67.967418991,-74.765912164 67.9580753980001,-74.758899968 67.9502731680001,-74.684436741 67.8819279850001,-74.68443581 67.8819271290001,-74.679194104 67.87827264,-74.659727736 67.8646999910001,-74.640836736 67.8521999910001,-74.597227736 67.828599991,-74.581681736 67.8213819910001,-74.580380152 67.8208646410001,-74.564163881 67.814418108,-74.5380397119999 67.8056280690001,-74.5352817359999 67.8046999910001,-74.527647616 67.802547804,-74.481108944 67.7894271280001,-74.400835792 67.7766541130001,-74.3912273399999 67.7755688550001,-74.388609735 67.7752729910001,-74.320281735 67.7688729910001,-74.305827735 67.768599991,-74.303362667 67.7687760920001,-74.263063958 67.7716539730001,-74.2536516819999 67.7723632880001,-74.251954735 67.772490991,-74.228881735 67.7752729910001,-74.219708934 67.7764028120001,-74.1680639699999 67.7827631800001,-74.1223656189999 67.7864675280001,-74.113327735 67.7871999910001,-74.108265218 67.7873924340001,-74.0838908859999 67.788318035,-74.0434536079999 67.78856039,-74.0383277349999 67.788590991,-74.0324961919999 67.788519631,-73.993055028 67.7880360670001,-73.947017882 67.7867777800001,-73.9322187349999 67.7863729910001,-73.664172735 67.774699991,-73.4494367349999 67.7624999910001,-73.4294457349999 67.7627729910001,-73.425586482 67.7642933430001,-73.414999924 67.7684631500001,-73.4075169289999 67.7729749600001,-73.404172735 67.774990991,-73.395925216 67.7808069960001,-73.380554995 67.7916451470001,-73.36166403 67.810253978,-73.348617932 67.8280450710001,-73.377658657 67.8957414120001,-73.410699735 67.9727639910001,-73.418881735 67.9788639910001,-73.428327735 67.982209991,-73.439990735 67.9855369910001,-73.543881735 68.008327991,-73.567509735 68.0130459910001,-73.5780637349999 68.0144369910001,-73.608890735 68.0155459910001,-73.61909174 68.015044618,-73.6199998179999 68.0150000690001,-73.621831207 68.0147810330001,-73.6433367349999 68.0122099910001,-73.655472735 68.0077099910001,-73.736390735 68.0136099910001,-73.930574083 68.036000782,-73.974717938 68.0410910890001,-74.012359735 68.045934001,-74.1647187089999 68.0655369880001,-74.213199733 68.121372992,-74.2144547349999 68.1323459910001,-74.2355547349999 68.143463991,-74.2631761009999 68.1530075140001,-74.268890889 68.1549822110001,-74.281321836 68.159167886,-74.322509735 68.1730369910001,-74.3418160149999 68.1765399280001,-74.343199982 68.176791085,-74.345020102 68.1762109000001,-74.355836735 68.1727639910001,-74.362804927 68.167242387,-74.363890877 68.1663821020001,-74.436663902 68.0974912400001,-74.475890299 68.093282576),(-78.97888174 68.882472992,-78.939142767 68.8879512390001,-78.934435906 68.8886000740001,-78.867490986 68.9005451240001,-78.845332277 68.907107178,-78.8402907399999 68.9085999920001,-78.838478105 68.9094042580001,-78.830290927 68.913036004,-78.734999919 68.9636090550001,-78.728098469 68.9673475290001,-78.725281739 68.9688729920001,-78.714445739 68.982072992,-78.717363667 69.0001185450001,-78.7111178649999 69.0122180590001,-78.639832312 69.0518855770001,-78.6277817389999 69.0585909920001,-78.601945739 69.0660819920001,-78.596826214 69.0673290890001,-78.572235764 69.0733181100001,-78.554026917 69.0863821440001,-78.472499833 69.1913633020001,-78.396117896 69.2105360680001,-78.3183460719999 69.238309169,-78.2120088899999 69.2956821220001,-78.240018708 69.32827867,-78.270845739 69.3641549920001,-78.279727739 69.3702549920001,-78.29056432 69.3746504370001,-78.291381992 69.374982135,-78.293426048 69.3753756840001,-78.3058277389999 69.377763992,-78.3386097389999 69.3808189920001,-78.396390739 69.377763992,-78.4082616709999 69.379215984,-78.412217856 69.3797001410001,-78.4586178929999 69.3899822220001,-78.462921841 69.3907666790001,-78.4708367389999 69.3922099920001,-78.4863642019999 69.391310155,-78.4899908529999 69.3911002,-78.507346861 69.3883689100001,-78.573063739 69.3780279920001,-78.5982141229999 69.3730880300001,-78.606946063 69.371373223,-78.638299538 69.361368274,-78.7220727389999 69.3346369920001,-78.722072843 69.334636066,-78.7220730129999 69.334636012,-78.7224310679999 69.331421651,-78.724309739 69.314563992,-78.74916374 69.2611099920001,-78.85999974 69.143318992,-78.939718507 69.1108557850001,-78.960282008 69.102482104,-78.962857196 69.10207869,-78.97444574 69.1002639920001,-78.983831279 69.100038877,-78.9858268629999 69.0999911700001,-79.0494357859999 69.1022001360001,-79.146117854 69.0936001360001,-79.146118738 69.0935999820001,-79.149415392 69.0930181780001,-79.2169459419999 69.0811002040001,-79.2228336319999 69.0783959060001,-79.22721874 69.0763819920001,-79.23439286 69.0702300240001,-79.2388909379999 69.0663732,-79.283063903 69.0127732760001,-79.289080666 69.0022661470001,-79.29277274 68.9958189920001,-79.3066547399999 68.9759639920001,-79.3305637399999 68.9583279920001,-79.35388174 68.943863992,-79.37943674 68.9316549920001,-79.40221874 68.923599992,-79.3983367399999 68.8684549920001,-79.38972774 68.8583189920001,-79.389727453 68.8583188630001,-79.3897268059999 68.8583181020001,-79.36610895 68.847763274,-79.353335768 68.8441451410001,-79.3088242109999 68.835546843,-79.28721874 68.8313729920001,-79.23889074 68.8274819920001,-79.21694574 68.829990992,-79.213623177 68.8313488890001,-79.200972884 68.8365181130001,-79.189708966 68.8513731670001,-79.187498214 68.8518737150001,-79.0952728939999 68.872754086,-79.041056563 68.876663755,-79.03361874 68.877199992,-78.97888174 68.882472992),(-77.35805506 69.394709112,-77.383754981 69.267073178,-77.3819459979999 69.247482156,-77.3202820129999 69.1813631890001,-77.3013908789999 69.164154136,-77.292415283 69.158062547,-77.285827738 69.153590992,-77.2577817379999 69.1399819920001,-77.255484973 69.139116664,-77.2385998629999 69.1327540180001,-77.2136179359999 69.1258091080001,-77.17998462 69.118907602,-77.171663738 69.1171999920001,-77.1650598419999 69.1170937380001,-77.1377908809999 69.1166540580001,-77.1180550189999 69.1194271270001,-76.98162509 69.1391967650001,-76.958890738 69.142490992,-76.949999738 69.195399992,-76.9480747119999 69.198379302,-76.942908949 69.2063731120001,-76.9361142779999 69.211272987,-76.9299997379999 69.215681992,-76.831896907 69.2583673140001,-76.799435912 69.2724912400001,-76.7369359159999 69.296373127,-76.718890852 69.3016540610001,-76.708203393 69.3033102480001,-76.706390738 69.3035909920001,-76.676390738 69.3060909920001,-76.668380245 69.3140278440001,-76.64778197 69.3344360200001,-76.64778189 69.3344368410001,-76.6477817379999 69.3344369920001,-76.643890738 69.3744189920001,-76.648472738 69.3838729920001,-76.648472961 69.3838731290001,-76.648472974 69.3838731550001,-76.70583587 69.418873133,-76.709124163 69.419911536,-76.716399738 69.422209992,-76.726950846 69.4230899300001,-76.728054954 69.4231821020001,-76.730898038 69.4219893310001,-76.747927738 69.414845992,-76.760836738 69.409145992,-76.779667015 69.404179189,-76.783481966 69.4031731580001,-76.804173029 69.400273187,-76.8231774929999 69.3991964320001,-76.902218738 69.394718992,-76.920544903 69.3937607220001,-76.9236178319999 69.3936001860001,-76.930189304 69.39400169,-76.950836738 69.3952639920001,-76.968706507 69.3983356430001,-76.978335902 69.3999912200001,-77.0069549039999 69.4063732010001,-77.014789378 69.408706674,-77.0433367379999 69.417209992,-77.075563738 69.4283189920001,-77.113618738 69.4416549920001,-77.1299907379999 69.4452549920001,-77.1536097379999 69.444427992,-77.1891637379999 69.438309992,-77.242436622 69.4279535530001,-77.259172909 69.4247002320001,-77.264616356 69.4234032700001,-77.288327738 69.4177549920001,-77.348345738 69.401654992,-77.358054738 69.3947099920001,-77.3580548909999 69.3947092320001,-77.35805506 69.394709112),(-78.713207739 69.48248284,-78.698045952 69.4891540500001,-78.685272937 69.4983181530001,-78.669272431 69.505365366,-78.664445739 69.507490992,-78.646118739 69.509990992,-78.626099739 69.509990992,-78.6243893559999 69.5099255260001,-78.6113909869999 69.509427024,-78.589370641 69.506287656,-78.588054739 69.506099992,-78.58785786 69.506025058,-78.576399894 69.5016632030001,-78.529203063 69.4932077280001,-78.5050097389999 69.488872992,-78.505008877 69.488873255,-78.3977818719999 69.520827083,-78.31193576 69.5430449940001,-78.1699999639999 69.5705450130001,-78.070281971 69.5927540390001,-77.965835913 69.6249821210001,-77.945546008 69.636518134,-77.94554608 69.6365187980001,-77.945545739 69.636518992,-77.9466547389999 69.646654992,-77.955563739 69.6683189920001,-77.964696787 69.6798682370001,-77.966108828 69.6816540130001,-77.966109288 69.6816544230001,-77.966109739 69.6816549920001,-77.973890737 69.6885819940001,-77.973890922 69.6885821590001,-77.982772734 69.6947000000001,-77.982772889 69.69470011,-77.9832237959999 69.694913038,-77.9927637389999 69.6994189920001,-78.0183367389999 69.7083279920001,-78.079999739 69.7294279920001,-78.134567179 69.7409254240001,-78.141954954 69.7424821550001,-78.14218185 69.7426318880001,-78.154172739 69.7505459920001,-78.1632226099999 69.752306192,-78.1641730329999 69.7524911530001,-78.1669740359999 69.7524429420001,-78.1805547389999 69.7522099920001,-78.268199739 69.7305369920001,-78.268199518 69.7305361750001,-78.268199827 69.7305360990001,-78.2667224579999 69.725067627,-78.263627739 69.713609992,-78.262487268 69.7122799840001,-78.2569550009999 69.7058270860001,-78.240964006 69.690945017,-78.228755231 69.674563666,-78.245272739 69.663609992,-78.2608362999999 69.6599910940001,-78.268214073 69.659109437,-78.400281739 69.6433279920001,-78.482772739 69.649427992,-78.499727739 69.650545992,-78.522509739 69.6483279920001,-78.575836739 69.6363819920001,-78.5863997389999 69.631927992,-78.6088365959999 69.6208107620001,-78.615554948 69.617482162,-78.628055048 69.6086001940001,-78.6378313559999 69.598061752,-78.652790739 69.5819369920001,-78.674436739 69.568327992,-78.695263739 69.5569279920001,-78.7177727389999 69.544709992,-78.7641727399999 69.5272099920001,-78.7833277399999 69.5210999920001,-78.8097187399999 69.5141639920001,-78.8261097399999 69.511654992,-78.84138174 69.5080459920001,-78.8650097399999 69.4949819920001,-78.87832774 69.4801909920001,-78.87110974 69.4626279920001,-78.871109172 69.4626277090001,-78.8711089509999 69.4626271710001,-78.857499925 69.4558271000001,-78.843946723 69.452638119,-78.83860974 69.4513819920001,-78.8175097399999 69.4527729920001,-78.816523434 69.4529664790001,-78.8019357859999 69.4558271000001,-78.763819144 69.465703552,-78.75695474 69.467481992,-78.718890739 69.479981992,-78.713207739 69.48248284),(-80.032772944 69.5872001610001,-80.0813902959999 69.6275456230001,-80.068422805 69.6379937570001,-80.062490741 69.6427729920001,-80.056080645 69.6434264360001,-80.038054949 69.645263309,-80.0249210969999 69.643907336,-80.021945741 69.6435999920001,-79.994999741 69.6385999920001,-79.992381372 69.6377272450001,-79.974163892 69.6316541160001,-79.9659943089999 69.626613659,-79.960418741 69.623172992,-79.6316727399999 69.608872992,-79.621570431 69.6101252010001,-79.600281891 69.6127633180001,-79.571672947 69.6194270990001,-79.544999887 69.6266450910001,-79.482226808 69.6461001590001,-79.354717944 69.6880361610001,-79.331672907 69.6994360530001,-79.331672764 69.6994369810001,-79.33167274 69.6994369920001,-79.3316336249999 69.699691649,-79.330008931 69.710263292,-79.330009748 69.7102639390001,-79.33000974 69.7102639920001,-79.42736374 69.787345992,-79.440569352 69.7940120900001,-79.442490887 69.7949822050001,-79.4538909459999 69.7988732530001,-79.476946041 69.803591091,-79.479480896 69.803827003,-79.51279074 69.8069279920001,-79.68277274 69.814563992,-79.7486097399999 69.7860909920001,-79.753155221 69.7818744040001,-79.756390982 69.778873193,-79.7680639559999 69.75277312,-79.8627819769999 69.7410910940001,-79.8773626349999 69.738734057,-79.9727817409999 69.7233099920001,-80.0730637409999 69.7497099920001,-80.129163741 69.7655459920001,-80.187218741 69.794009992,-80.2066637409999 69.7980369920001,-80.232772741 69.7994279920001,-80.244066531 69.7987543680001,-80.246655038 69.79860017,-80.250437464 69.7978776950001,-80.264172741 69.7952549920001,-80.289445741 69.7866549920001,-80.3147097409999 69.778045992,-80.3297277409999 69.774154992,-80.343754734 69.78053699,-80.339446064 69.792627059,-80.339445741 69.7926279920001,-80.3713817409999 69.799145992,-80.3856727419999 69.7998353350001,-80.388899959 69.799991231,-80.4079124789999 69.798019647,-80.4666637409999 69.7919279920001,-80.485458589 69.7893028030001,-80.49055501 69.7885911720001,-80.492514399 69.787353314,-80.5015367409999 69.781654992,-80.5036277409999 69.7706909920001,-80.501350825 69.7648952600001,-80.499864058 69.761109359,-80.520009741 69.7208279920001,-80.608502566 69.7397725660001,-80.649735902 69.7486001060001,-80.657963658 69.748547639,-80.726736741 69.7481099920001,-80.789372971 69.7086676430001,-80.80139085 69.7011001960001,-80.8024482439999 69.699146517,-80.809436741 69.686236992,-80.807415222 69.68190314,-80.804446054 69.675536062,-80.793335841 69.670254121,-80.761126869 69.6669271760001,-80.747418414 69.666272969,-80.7436097409999 69.6660909920001,-80.5777907409999 69.667481992,-80.492763741 69.6649909920001,-80.461945741 69.6563729920001,-80.353609741 69.6146999920001,-80.3086268709999 69.6056170090001,-80.2147185329999 69.5866541710001,-80.206030223 69.5523821510001,-80.200563959 69.5308181440001,-80.0461089519999 69.4977540510001,-80.025825777 69.4939448470001,-80.016536741 69.4921999920001,-80.01359285 69.4924895080001,-79.993881984 69.494427106,-79.9744460269999 69.5022092,-79.937490886 69.525409134,-79.93749142 69.5254095660001,-79.937490741 69.5254099920001,-79.9913817359999 69.5688819980001,-79.991381997 69.5688822110001,-80.032772944 69.5872001610001),(-82.467226888 69.709991216,-82.454035784 69.7174821230001,-82.4585881959999 69.7496759620001,-82.4602817429999 69.761654992,-82.5446820559999 69.7754511270001,-82.5638908509999 69.7785912260001,-82.576553759 69.7806147760001,-82.629990743 69.7891549920001,-82.677781743 69.794709992,-82.776109743 69.8041549920001,-82.796109743 69.8052549920001,-82.807354743 69.8059549920001,-82.842918743 69.8034549920001,-82.856381743 69.8002639920001,-82.878609743 69.776790992,-82.871922593 69.773858972,-82.865008879 69.7708270690001,-82.719999942 69.7333180520001,-82.684593617 69.7273456400001,-82.678881743 69.726381992,-82.655203344 69.722516806,-82.542772981 69.7041632780001,-82.5170142919999 69.7047727840001,-82.507781743 69.704990992,-82.467227743 69.709990992,-82.467227478 69.7099911430001,-82.467226888 69.709991216),(-83.577499744 69.7977639920001,-83.76118776 69.8175791900001,-83.832508832 69.8252732300001,-83.837569286 69.825120639,-83.860272744 69.8244369920001,-83.8738907439999 69.8230459920001,-83.883244189 69.8198605910001,-83.88694594 69.8186002290001,-83.8898434929999 69.8164553120001,-83.9008367439999 69.8083189920001,-83.913054744 69.7933189920001,-83.913054976 69.7933181720001,-83.913055066 69.7933180620001,-83.9133306959999 69.792342954,-83.917218744 69.778590992,-83.908796052 69.769340721,-83.9086178539999 69.769144989,-83.898899875 69.7644360360001,-83.806946039 69.7394271190001,-83.7769460339999 69.7327541180001,-83.717772982 69.7233090540001,-83.6885999359999 69.719436112,-83.675660772 69.719934891,-83.674436744 69.719981992,-83.6744365979999 69.7199820810001,-83.67443586 69.7199821090001,-83.6584088229999 69.7296360500001,-83.658410239 69.7296366940001,-83.658409744 69.7296369920001,-83.693327744 69.7455279920001,-83.708263414 69.7534638170001,-83.695826815 69.7638821560001,-83.601945744 69.779981992,-83.5985070039999 69.7800958780001,-83.5766730289999 69.7808181300001,-83.5422178749999 69.7833271690001,-83.5312459639999 69.7890090940001,-83.531247074 69.789009304,-83.531245744 69.789009992,-83.577499744 69.7977639920001),(-82.688599992 69.8508180860001,-82.564435842 69.800809137,-82.551390919 69.7966450070001,-82.526108919 69.7905449930001,-82.513335905 69.788318089,-82.47734002 69.7824746360001,-82.470554743 69.7813729920001,-82.466568476 69.7809118540001,-82.4441550289999 69.7783181440001,-82.432536178 69.7827545010001,-82.4277727429999 69.7845729920001,-82.426245743 69.7965189920001,-82.432772743 69.8148459920001,-82.446109743 69.822218992,-82.517227743 69.8541549930001,-82.555827743 69.860809993,-82.6174951689999 69.8686787660001,-82.636399846 69.8710912280001,-82.660554982 69.8760821480001,-82.662410898 69.8760415730001,-82.673045743 69.8758099930001,-82.6885997429999 69.8508189930001,-82.6885994909999 69.8508188910001,-82.688599992 69.8508180860001),(-91.409163934 69.874982102,-91.419446012 69.879973195,-91.422039711 69.8800743360001,-91.4338817509999 69.8805369930001,-91.449436751 69.879154993,-91.4758277509999 69.8755369930001,-91.734436752 69.790545992,-91.734435514 69.7905451280001,-91.734435923 69.7905449930001,-91.725281878 69.7841450750001,-91.5602728819999 69.7283180790001,-91.551317728 69.7273942350001,-91.549436751 69.7271999920001,-91.547832426 69.727169164,-91.5352819029999 69.7269270190001,-91.520008901 69.7313731150001,-91.470555002 69.755554068,-91.4633358359999 69.7636090770001,-91.458044268 69.7726364800001,-91.456663751 69.774990992,-91.4091637509999 69.8749819930001,-91.409163934 69.874982102),(-86.523617928 69.9780451510001,-86.50279091 69.980545137,-86.4901496969999 69.98376331,-86.489718747 69.983872993,-86.4897186919999 69.9838730340001,-86.489717823 69.983873255,-86.468890973 69.999709185,-86.4594460769999 70.0091540810001,-86.459446456 70.009154284,-86.459445747 70.009154993,-86.471936747 70.0158279930001,-86.487499747 70.0177639930001,-86.497163569 70.020282068,-86.50403579 70.0220732760001,-86.504726794 70.03276322,-86.506963512 70.0446753400001,-86.5080637469999 70.050536993,-86.532959937 70.060935069,-86.5366640249999 70.062482264,-86.539370492 70.0638792620001,-86.5501357589999 70.0694364830001,-86.546562802 70.078728783,-86.5455457469999 70.0813729930001,-86.545546024 70.0813731480001,-86.545545992 70.0813732300001,-86.549378334 70.0835214670001,-86.586672747 70.1044279930001,-86.594499657 70.107161449,-86.598617856 70.108600166,-86.602531562 70.109598218,-86.611663747 70.1119279930001,-86.6397277469999 70.1166549930001,-86.670272747 70.1180459930001,-86.688599747 70.115263993,-86.761127747 70.0935999930001,-86.778063747 70.089709993,-86.794864579 70.087685213,-86.798890861 70.0872001610001,-86.803060704 70.0880596420001,-86.825836747 70.092754993,-86.8566547469999 70.0977639930001,-86.8715012229999 70.098719246,-86.873890957 70.0988731350001,-86.877537145 70.0993534150001,-86.905563747 70.1030459930001,-86.922499747 70.1041549930001,-86.9866117779999 70.1126057380001,-86.994155007 70.1136001390001,-87.009173032 70.116382259,-87.0230547529999 70.1290819870001,-87.023054971 70.1290821850001,-87.025693242 70.1302675590001,-87.051663747 70.1419369930001,-87.063609747 70.1477639930001,-87.086538634 70.149835452,-87.0913818989999 70.150273145,-87.1138909969999 70.1488822520001,-87.1171344589999 70.14907005,-87.128327747 70.1497189930001,-87.140871429 70.1432084580001,-87.14319983 70.142000206,-87.143199569 70.1420000850001,-87.143199747 70.1419999930001,-87.101464058 70.1226911360001,-87.1041010709999 70.122135191,-87.118327747 70.119136993,-87.130827747 70.1202549930001,-87.156292429 70.118454984,-87.160281981 70.118173138,-87.164174428 70.1164378060001,-87.176799747 70.110809993,-87.1877727469999 70.1083189930001,-87.214734134 70.1106900610001,-87.222499843 70.111373235,-87.2547269199999 70.112200193,-87.2575715689999 70.112554098,-87.265609747 70.113554993,-87.2672277469999 70.113309993,-87.2758776919999 70.1144482510001,-87.2777909 70.1147001800001,-87.284006447 70.1131329390001,-87.307499747 70.1072099930001,-87.3366108869999 70.1083847150001,-87.341945987 70.108600166,-87.344270272 70.1083673900001,-87.3558367479999 70.1072099930001,-87.371965104 70.099868804,-87.375690859 70.098173246,-87.375690619 70.0981730510001,-87.375690748 70.098172993,-87.363890748 70.0885909930001,-87.3607968749999 70.088049024,-87.349726908 70.0861091730001,-87.335554953 70.0855360180001,-87.319454994 70.0833270520001,-87.307499885 70.0808270650001,-87.293245242 70.075809608,-87.2920817469999 70.0753999930001,-87.291589824 70.0750528450001,-87.275554943 70.063736029,-87.2730640089999 70.05275406,-87.273273839 70.0516722580001,-87.275836747 70.0384639930001,-87.275835869 70.038463436,-87.275835905 70.0384632500001,-87.2710689319999 70.035444247,-87.255009747 70.025272993,-87.240827747 70.021381993,-87.2381783009999 70.020929245,-87.229445926 70.019436162,-87.218127927 70.0180454160001,-87.2136187469999 70.0174909930001,-87.209751388 70.01742991,-87.195826783 70.0172090900001,-87.1844193159999 70.014301738,-87.1827727469999 70.013881993,-87.181900801 70.013551066,-87.168881982 70.0086090900001,-87.148054964 69.997482113,-87.1480547469999 69.9974819930001,-87.147224804 69.9971812540001,-87.135008867 69.99275405,-87.104173018 69.9877632970001,-87.0863998629999 69.9877632970001,-87.066664002 69.989154022,-87.0502819069999 69.9916540090001,-87.0333358779999 69.998736046,-87.0190267959999 70.0079001490001,-87.0022273229999 70.0149999650001,-86.985272747 70.013881993,-86.984010278 70.0133802140001,-86.962217944 70.0047180430001,-86.9385999199999 69.993318152,-86.9263910079999 69.989154022,-86.8980549779999 69.9822091120001,-86.881381864 69.979709126,-86.867784844 69.9788120920001,-86.864436747 69.9785909930001,-86.856614631 69.977552749,-86.8330729319999 69.9744271860001,-86.765563911 69.9697091800001,-86.747772986 69.9694360980001,-86.714446036 69.9669361110001,-86.6678898869999 69.967422813,-86.6622187469999 69.967481993,-86.542499747 69.9774819930001,-86.538510248 69.9776011640001,-86.523617928 69.9780451510001),(-96.489299756 72.0266549950001,-96.5115367559999 72.0387369950001,-96.560700835 72.0342467130001,-96.5677819479999 72.0336001250001,-96.574601049 72.032195411,-96.604854756 72.025963995,-96.626536756 72.0161099950001,-96.6617279709999 72.0135550460001,-96.672499914 72.012773274,-96.709369447 72.017027398,-96.828890756 72.0308189950001,-96.8604072109999 72.0387363550001,-96.781246056 72.0526181600001,-96.721663967 72.0527631670001,-96.5572179 72.0719270480001,-96.533007728 72.076728777,-96.5291637559999 72.0774909950001,-96.523746455 72.079618006,-96.5033460669999 72.087627023,-96.485281892 72.107345115,-96.485281915 72.1073458220001,-96.4852817559999 72.1073459950001,-96.485412552 72.1114057290001,-96.4861088499999 72.1330450360001,-96.557635821 72.26971817,-96.55763647 72.269718448,-96.557636756 72.2697189950001,-96.567777333 72.2740652360001,-96.578335937 72.2785910850001,-96.588430038 72.278654869,-96.668881756 72.279163995,-96.733943975 72.291706531,-96.771117867 72.2988732790001,-96.868254469 72.3206820180001,-96.861802633 72.321194468,-96.831390959 72.3236091140001,-96.776399974 72.3233180940001,-96.738890958 72.3211091270001,-96.69694607 72.3105271420001,-96.668335785 72.3097090680001,-96.538608901 72.343318153,-96.34220734 72.411639859,-96.300063756 72.4262999950001,-96.331254756 72.4945639950001,-96.374709756 72.534427995,-96.405272756 72.559418995,-96.459726984 72.6077543100001,-96.466644548 72.6151670510001,-96.521945756 72.674427995,-96.517499756 72.7147099950001,-96.611936756 72.7469369950001,-96.8777619429999 72.687098355,-96.91555499 72.678591096,-96.928379116 72.6741394460001,-96.975554756 72.657763995,-97.005572757 72.6447189950001,-97.0312729139999 72.6305175000001,-97.039299877 72.6260821610001,-97.0482608789999 72.6220255530001,-97.083099757 72.606254995,-97.158238838 72.6026217140001,-97.175417962 72.601791238,-97.182696734 72.6035778450001,-97.197490683 72.6072099770001,-97.190281926 72.6405451350001,-97.1735358889999 72.67025412,-97.1344460449999 72.6883090750001,-97.105835928 72.696363246,-97.079455061 72.701936038,-97.026526862 72.7293540810001,-97.0265278209999 72.7293549620001,-97.0265277569999 72.7293549950001,-97.081681757 72.7799819950001,-97.081681883 72.7799820430001,-97.081681965 72.7799821180001,-97.089418512 72.7828905120001,-97.203609757 72.8258189950001,-97.257380079 72.845916286,-97.265290748 72.8488730880001,-97.264823968 72.8537842550001,-97.262226819 72.8811002240001,-97.227363969 72.941509104,-97.227364215 72.941509201,-97.227363757 72.941509995,-97.270241121 72.9584099480001,-97.291526935 72.966800155,-97.3313062289999 72.9753231070001,-97.442490757 72.999145995,-97.517021553 73.0098737870001,-97.527499973 73.0113821570001,-97.547345019 73.0141582690001,-97.6763817569999 73.0322099950001,-97.855563757 73.0480459950001,-97.960454687 73.040552313,-97.9877819609999 73.038600209,-98.126528074 73.009259758,-98.176936758 72.9985999950001,-98.21467785 72.9902617070001,-98.227217899 72.987491219,-98.227218127 72.9874911350001,-98.227218758 72.987490995,-98.260699758 72.9751189950001,-98.400899758 72.892136995,-98.424999758 72.8598369950001,-98.445216273 72.8690416100001,-98.448199792 72.870400171,-98.453608758 72.8986099950001,-98.459163743 72.9933187380001,-98.4523481369999 73.014016268,-98.4502909889999 73.0202632940001,-98.365826918 73.0377631920001,-98.3194550439999 73.0505360390001,-98.2342999369999 73.082836038,-98.227731166 73.0926197380001,-98.2227817579999 73.099990996,-98.2179214129999 73.1025550090001,-98.202791022 73.1105360490001,-98.163447734 73.126356404,-98.151672758 73.1310909960001,-98.112499758 73.142490996,-98.076672758 73.1513819960001,-98.062404639 73.1555518910001,-98.029172973 73.165263171,-97.9963964569999 73.176649092,-97.983608757 73.1810909960001,-97.9208748299999 73.2118138370001,-97.851735794 73.245673116,-97.842917864 73.270818155,-97.708617814 73.304700154,-97.698923438 73.306843175,-97.652645757 73.317072996,-97.593036008 73.3235580030001,-97.375545959 73.3472181970001,-97.239999855 73.3516540670001,-97.2075089159999 73.3483271220001,-97.1736730169999 73.3541450010001,-97.1609879819999 73.3735796070001,-97.150281757 73.3899819960001,-97.1502819739999 73.389982165,-97.1572269499999 73.395536351,-97.164279562 73.4319788080001,-97.169163757 73.4572189960001,-97.1901367569999 73.467354996,-97.232227757 73.474427996,-97.380665144 73.490124257,-97.409582018 73.493182168,-97.413972127 73.4929827230001,-97.4372097569999 73.4919279960001,-97.5130637569999 73.480818996,-97.5274789329999 73.476073602,-97.534163921 73.4738732800001,-97.560187919 73.4620393490001,-97.571109195 73.457073252,-97.580170429 73.45675971,-97.615272757 73.4555459960001,-97.638703501 73.461583789,-97.6465268539999 73.4636000840001,-97.6551482149999 73.470450606,-97.66679955 73.479709831,-97.6317359669999 73.5374819480001,-97.58782015 73.534802465,-97.4361088969999 73.525545031,-97.223398313 73.55552135,-97.193745757 73.5596999960001,-97.045226242 73.6067082980001,-96.995417932 73.622473192,-96.966254943 73.636654031,-96.949808651 73.6686819600001,-96.9354817559999 73.6965819960001,-96.9657637559999 73.7398369960001,-97.1258974039999 73.8122084250001,-97.223617928 73.856373218,-97.234342302 73.8575110730001,-97.260281757 73.8602639960001,-97.321966565 73.8644112540001,-97.3366730389999 73.8654001930001,-97.357772971 73.8624911690001,-97.399735796 73.8588732050001,-97.410673157 73.8586832440001,-97.464172757 73.857754996,-97.507236757 73.8648369960001,-97.5125585 73.8684136700001,-97.5250088719999 73.876782147,-97.535040732 73.880859872,-97.5537457569999 73.888463996,-97.5781998149999 73.8931529960001,-97.581955019 73.893873183,-97.609441744 73.8966302320001,-97.761945757 73.911927996,-97.796663757 73.9119369960001,-97.887508757 73.899427996,-97.913336757 73.892490996,-97.940890757 73.866509996,-97.94990639 73.8549464970001,-97.954308831 73.8493002330001,-97.959882969 73.8476883330001,-97.976945757 73.8427549960001,-98.071672758 73.8194459960001,-98.094999758 73.815536996,-98.134172758 73.809709996,-98.1753068629999 73.805011371,-98.185273012 73.8038731680001,-98.18839067 73.8040692590001,-98.207227758 73.805254996,-98.290836758 73.8016549960001,-98.419186989 73.7939078680001,-98.4244358669999 73.793591087,-98.514445941 73.7874912410001,-98.5451197369999 73.7850177650001,-98.6419547579999 73.7772099960001,-98.688327758 73.772018996,-98.716663758 73.766663996,-98.746861519 73.7586339630001,-98.756390918 73.756100175,-98.772016981 73.7551477090001,-98.8291817579999 73.751663996,-98.971936758 73.7505459960001,-99.085465152 73.7490018350001,-99.11500897 73.7486002160001,-99.144671933 73.7459212110001,-99.2349997589999 73.7377639960001,-99.4469137999999 73.8101519740001,-99.4870819879999 73.823873227,-99.494712176 73.825261691,-99.531390759 73.8319369960001,-99.5729045309999 73.8360906510001,-99.58971789 73.837773272,-99.723199866 73.848182255,-99.807317964 73.897891132,-99.807658631 73.9254072370001,-99.8076997589999 73.9287369960001,-99.8561087589999 73.940809996,-99.896954759 73.9441369960001,-99.9345518329999 73.945901066,-99.938599858 73.9460910990001,-99.943378751 73.9460604170001,-99.9811087589999 73.9458189960001,-100.029085207 73.9429727340001,-100.037508831 73.9424731340001,-100.104446039 73.93637312,-100.1085611 73.9357391550001,-100.135136759 73.931645996,-100.238318197 73.9085262040001,-100.247926955 73.9063732830001,-100.247927343 73.90637309,-100.24792776 73.9063729960001,-100.27222776 73.8942909960001,-100.29715476 73.8646279960001,-100.297154434 73.864627774,-100.297155046 73.8646270460001,-100.27116216 73.8468611550001,-100.25541876 73.836099996,-100.243072573 73.8348635200001,-100.174999871 73.8280450680001,-100.141691657 73.827555852,-100.136672759 73.8274819960001,-100.122631993 73.8283321420001,-100.049435944 73.8327632410001,-100.017372984 73.8391450550001,-99.994163997 73.8483091570001,-99.986296399 73.8561069800001,-99.979854759 73.8624909960001,-99.973546186 73.866302067,-99.961945973 73.8733091890001,-99.885823949 73.871522876,-99.875563874 73.8712819990001,-99.861800268 73.8402638060001,-100.02502618 73.7792189400001,-100.063045975 73.7650000800001,-100.075043404 73.7672132760001,-100.34305476 73.8166549960001,-100.36999976 73.8280459960001,-100.39249976 73.8397099960001,-100.41777276 73.8455369960001,-100.520386078 73.8529010680001,-100.529999958 73.853591097,-100.532160371 73.853691014,-100.55417276 73.8547099960001,-100.65625476 73.846654996,-100.692491444 73.8298267500001,-100.706799945 73.8231822230001,-100.714201447 73.8210402570001,-100.73416376 73.8152639960001,-100.75009673 73.8131366430001,-100.754999912 73.81248222,-100.760824516 73.8124543550001,-100.78555476 73.8123369960001,-100.82860876 73.815536996,-100.93804576 73.8102549960001,-100.95972776 73.809145996,-100.98986376 73.804145996,-101.01389976 73.797209996,-101.11916376 73.725254996,-101.119163192 73.7252546080001,-101.119163934 73.7252541010001,-101.047376782 73.6762375590001,-101.04278176 73.6730999960001,-101.029118414 73.674455073,-100.983191024 73.6790091290001,-100.889550314 73.668488928,-100.85582776 73.6646999960001,-100.866825411 73.646851913,-100.871181975 73.6397821570001,-100.879040825 73.6364214010001,-100.90659976 73.624636996,-100.90659822 73.624636766,-100.906599875 73.6246360580001,-100.767499844 73.603863188,-100.628599974 73.593318083,-100.573626926 73.5966450280001,-100.554814003 73.5967656450001,-100.55082776 73.596790996,-100.547661035 73.567639404,-100.546791007 73.559627805,-100.589514549 73.5265393460001,-100.608181993 73.512082186,-100.595208986 73.4892181980001,-100.537679368 73.468370023,-100.53139076 73.466090996,-100.527609262 73.46494721,-100.493763985 73.454709064,-100.454999862 73.441927165,-100.423127969 73.4171368900001,-100.440909666 73.40815846,-100.44444604 73.4063731430001,-100.447375013 73.4064939340001,-100.46471876 73.4072099960001,-100.50903676 73.4147099960001,-100.67278176 73.464427996,-100.69749353 73.4851898050001,-100.697981807 73.485600058,-100.70777101 73.498576654,-100.712081885 73.5042912070001,-100.770845758 73.5399819990001,-100.770846068 73.5399821890001,-100.883890952 73.5931821280001,-100.917917959 73.5999912510001,-100.985568686 73.6011240860001,-101.20831876 73.604854996,-101.24423676 73.592554996,-101.25903676 73.5660909960001,-101.280836413 73.552473213,-101.286960977 73.552181933,-101.315827761 73.5508099960001,-101.382196314 73.552981189,-101.400835947 73.553591215,-101.43401789 73.5506731390001,-101.434018153 73.5506730490001,-101.434018761 73.5506729960001,-101.619018761 73.4877639960001,-101.580836761 73.4502729960001,-101.573559135 73.4490974020001,-101.558326879 73.4466361180001,-101.489732459 73.4384022460001,-101.470554761 73.4360999960001,-101.431826853 73.42572877,-101.312636678 73.393809392,-101.309308129 73.369546536,-101.30887289 73.3663731920001,-101.308872784 73.3663731650001,-101.308872761 73.3663729960001,-100.97749076 73.2802729960001,-100.960886898 73.277286582,-100.889445975 73.264436006,-100.841582903 73.2609791310001,-100.83180876 73.2602729960001,-100.58361876 73.2835999960001,-100.58148665 73.2838966750001,-100.561663939 73.2866540840001,-100.427791439 73.3266427620001,-100.38779076 73.3385909960001,-100.387790916 73.3385912050001,-100.405835809 73.361373219,-100.386117884 73.3959541020001,-100.370751508 73.3949012850001,-100.36596376 73.3945729960001,-100.35791025 73.3927236810001,-100.328473021 73.3859632090001,-100.293546467 73.3689718530001,-100.27222776 73.3585999960001,-100.199436759 73.318599996,-100.180935515 73.305201498,-100.159155056 73.2894271530001,-100.086254963 73.254300103,-100.086254759 73.254299996,-100.079836273 73.2525290990001,-99.954855051 73.2180450220001,-99.9327049089999 73.2157216620001,-99.925827759 73.2149999960001,-99.916452821 73.2146030370001,-99.886126797 73.2133181310001,-99.854541334 73.2150015610001,-99.849445759 73.2152729960001,-99.844911009 73.215306001,-99.81193589 73.215545035,-99.782844477 73.2083211670001,-99.775000166 73.206373097,-99.781400962 73.2037694460001,-99.801663759 73.1955279960001,-99.841108759 73.1913639960001,-99.9774055299999 73.18486289,-100.012646094 73.183182172,-100.017567341 73.183472878,-100.045418759 73.185118996,-100.115625025 73.213398146,-100.134745948 73.221100225,-100.157125358 73.229961184,-100.28139076 73.2791639960001,-100.36970876 73.290118996,-100.40221876 73.282490996,-100.49082776 73.230818996,-100.58306376 73.170254996,-100.595626982 73.1548875190001,-100.604855048 73.1436001430001,-100.586673023 73.1327541270001,-100.518626889 73.0977632020001,-100.454293142 73.088806515,-100.44275476 73.087199996,-100.437181075 73.090646398,-100.414435809 73.1047091180001,-100.38693579 73.1205361620001,-100.345555005 73.1302631930001,-100.32362694 73.1333271140001,-100.288890992 73.135818048,-100.240835865 73.1357451260001,-100.230846927 73.127717772,-100.169727759 73.078599996,-100.141876611 73.052785865,-100.112782009 73.025818142,-100.047499892 72.957218131,-100.031390879 72.9349821160001,-100.035894218 72.9308637,-100.067227759 72.9022099950001,-100.091999285 72.888765435,-100.096390862 72.886382165,-100.115388992 72.884749185,-100.196663759 72.8777639950001,-100.21721876 72.876645995,-100.278352866 72.8739100820001,-100.285281912 72.8736000970001,-100.286615722 72.874181827,-100.32315476 72.8901189950001,-100.38138156 72.9491457930001,-100.35041785 73.0122181690001,-100.314582029 73.0297091890001,-100.314582797 73.0297094890001,-100.31458176 73.0297099950001,-100.35852776 73.0468639950001,-100.41161328 73.0369254230001,-100.421945994 73.034991129,-100.430797608 73.030669238,-100.45750876 73.0176279950001,-100.49930876 72.9534639950001,-100.499308468 72.9534639450001,-100.499308949 72.953463206,-100.47777299 72.9497091200001,-100.352573005 72.8538632300001,-100.316704919 72.8013812,-100.314990921 72.7988732310001,-100.324070234 72.7908577650001,-100.34299076 72.7741549950001,-100.41221876 72.7419279950001,-100.43443676 72.736927995,-100.44803676 72.7355369950001,-100.47582776 72.742754995,-100.49872171 72.7475392220001,-100.503755046 72.74859122,-100.533072932 72.751391111,-100.553733189 72.751917367,-100.70722776 72.7558279950001,-100.787408348 72.7450588080001,-100.79833586 72.743591247,-100.798335951 72.7435911040001,-100.79833676 72.743590995,-100.81784576 72.712836995,-100.882218441 72.68970011,-100.885621685 72.689531661,-100.91583676 72.6880369950001,-101.01501098 72.6894406270001,-101.033335928 72.6897001350001,-101.297499989 72.7099912140001,-101.307624296 72.7122731700001,-101.369572761 72.7262369950001,-101.413326738 72.748318479,-101.406276918 72.7754387800001,-101.404445761 72.7824819950001,-101.45661564 72.8258534180001,-101.515699872 72.8749732210001,-101.529741878 72.8797789210001,-101.595281761 72.9022099950001,-101.675281761 72.909718995,-101.748181761 72.9273459950001,-101.791030727 72.95093811,-101.814026894 72.9636001120001,-101.879184919 73.0203553210001,-101.884172761 73.024699995,-101.884172956 73.024700099,-101.884173031 73.024700163,-101.889665659 73.027605785,-101.970836761 73.0705459960001,-102.014181761 73.0797099960001,-102.084445761 73.0841549960001,-102.137218761 73.086927996,-102.235433877 73.0842015630001,-102.246945992 73.0838821,-102.27610898 73.082491207,-102.368054938 73.0674911200001,-102.371886031 73.0665858820001,-102.388063762 73.0627639950001,-102.507081762 73.0283189950001,-102.553592242 72.9965235240001,-102.56986401 72.985400102,-102.581984437 72.9642196,-102.593190762 72.9446369950001,-102.593190799 72.944636432,-102.593191014 72.944636056,-102.593478304 72.9402802120001,-102.594936762 72.9181819950001,-102.612781762 72.8966549950001,-102.646663762 72.864427995,-102.663618762 72.8533189950001,-102.698608762 72.8366549950001,-102.745136762 72.819218995,-102.760918333 72.792851269,-102.763881935 72.787900166,-102.763019226 72.7850568970001,-102.755836762 72.7613819950001,-102.739027762 72.7220729950001,-102.621936762 72.664699995,-102.573960352 72.646261361,-102.4658461 72.6047091460001,-102.389038384 72.5811158830001,-102.377208762 72.5774819950001,-102.357191761 72.572699115,-102.25861796 72.5491450070001,-102.222226921 72.542209149,-102.080335885 72.5160091640001,-101.981317948 72.4781092150001,-101.941673054 72.4519360520001,-101.888346045 72.3586002070001,-101.888345759 72.358599998,-101.837646093 72.321791245,-101.837645761 72.3217909950001,-101.830386411 72.319150242,-101.776946025 72.2997091230001,-101.712216778 72.2909460880001,-101.689718761 72.287899995,-101.689718253 72.287900242,-101.689717906 72.2879001950001,-101.662290977 72.3012270850001,-101.634746032 72.3069271150001,-101.595798731 72.302529012,-101.585563761 72.3013729950001,-101.572088302 72.2981416790001,-101.509173052 72.283054113,-101.469455068 72.265545156,-101.417577795 72.278585778,-101.401245761 72.2826909950001,-101.325290761 72.3149909950001,-101.315411026 72.3177012260001,-101.276672971 72.3283271190001,-101.229717884 72.3330451250001,-101.211634424 72.3292143560001,-101.20152776 72.327072995,-101.169362538 72.3106973930001,-101.117763989 72.2844270690001,-101.054864008 72.2341540900001,-101.017090961 72.193727165,-100.967773016 72.1741450280001,-100.953902403 72.171565581,-100.95139976 72.1710999950001,-100.940793318 72.1820187420001,-100.923890903 72.1994181420001,-100.887635819 72.2076270430001,-100.719999934 72.201663319,-100.639308861 72.1869180420001,-100.579455031 72.154436156,-100.334027192 72.0019272920001,-100.31832776 71.9824819940001,-100.195843641 71.9271450580001,-100.101935827 71.884718078,-100.068100199 71.8715881520001,-100.059299759 71.8681729940001,-99.968190759 71.854990994,-99.842227759 71.8349909940001,-99.760871707 71.7962397050001,-99.6754187829999 71.7555364770001,-99.676282461 71.737180831,-99.676454997 71.733518099,-99.585282019 71.629009178,-99.567202362 71.61691591,-99.5663907589999 71.6163729940001,-99.5622753379999 71.615124999,-99.529726932 71.6052540260001,-99.462782012 71.5930451130001,-99.319728724 71.4459986850001,-99.3133277589999 71.4394189940001,-99.294974639 71.412806861,-99.288055038 71.4027732280001,-99.229446088 71.343600177,-99.229445948 71.3436001850001,-99.229445759 71.343599994,-99.210475609 71.3447582250001,-99.115826876 71.3505360340001,-99.077623646 71.3550306430001,-99.068608758 71.3560909940001,-99.063943452 71.3589076320001,-99.043535811 71.3712270980001,-99.0051364829999 71.382199986,-98.9986161529999 71.382021734,-98.969581943 71.3812270430001,-98.938326832 71.3691361480001,-98.923902389 71.360073093,-98.882218758 71.3338819940001,-98.859987041 71.3170476070001,-98.837090876 71.299709179,-98.816390928 71.2891540160001,-98.751108978 71.2741540970001,-98.725281987 71.2702632180001,-98.701673015 71.2719270260001,-98.5480459729999 71.2883181730001,-98.505573026 71.299145077,-98.4661088459999 71.313309152,-98.1894358 71.4191539820001,-98.120545944 71.460536108,-98.039446001 71.528736134,-98.039446571 71.5287363100001,-98.039445757 71.528736994,-98.179990758 71.5719279940001,-98.3744367579999 71.6505459940001,-98.495690758 71.7177639940001,-98.493190758 71.7413729940001,-98.4856408639999 71.754032259,-98.477781987 71.7672091590001,-98.4565358739999 71.789009148,-98.287081955 71.896936043,-98.261254964 71.903318192,-98.21388688 71.8871253840001,-98.212908988 71.8867910850001,-98.228881875 71.862200095,-98.233944965 71.8592765020001,-98.259172758 71.8447099940001,-98.279172758 71.8347189940001,-98.309036731 71.811247479,-98.3238909149999 71.799573196,-98.32907441 71.7876799100001,-98.356036758 71.7258189940001,-98.35603578 71.725818308,-98.356035849 71.725818148,-98.33111796 71.7083271280001,-98.268055062 71.674347949,-98.246808758 71.662899994,-98.241420652 71.6605263580001,-98.2127819149999 71.6479091960001,-98.187763946 71.642627088,-98.1354972089999 71.638549223,-98.1219367579999 71.6374909940001,-98.1170913349999 71.637902345,-98.072782004 71.6416631690001,-98.044299961 71.650827104,-97.995168292 71.659062384,-97.981381757 71.661372994,-97.94365657 71.6580258490001,-97.787217938 71.6441450510001,-97.7240279329999 71.627207232,-97.719863757 71.626090994,-97.718776239 71.625791996,-97.696654994 71.619709121,-97.659264547 71.6150575760001,-97.6563907569999 71.614699994,-97.64206353 71.6144109530001,-97.50500898 71.6116450590001,-97.47497631 71.612382557,-97.4705547569999 71.612490994,-97.465302618 71.6132564640001,-97.43443587 71.6177541260001,-97.210008903 71.6636091710001,-97.1650089789999 71.675536116,-97.096916499 71.696371109,-97.0841637569999 71.700272994,-97.061657039 71.715743751,-97.013064017 71.749145152,-96.983608836 71.7758180450001,-96.8329863119999 71.8165284140001,-96.791381756 71.827772994,-96.7380549869999 71.825000006,-96.739282365 71.8189595850001,-96.7447187559999 71.7922099940001,-96.74471771 71.7922100740001,-96.744717889 71.792209192,-96.7303635809999 71.7933085480001,-96.726672756 71.7935909940001,-96.705046776 71.7961894700001,-96.6133268629999 71.80720911,-96.585835896 71.8129000870001,-96.56430899 71.8244361010001,-96.525835886 71.8688632050001,-96.4949269479999 71.922827071,-96.494927979 71.9228276050001,-96.494927756 71.922827994,-96.5159727559999 71.933727994,-96.565554756 71.9322099940001,-96.607227756 71.926927994,-96.639932146 71.9188099080001,-96.64528203 71.917482099,-96.700835947 71.8999912470001,-96.7068277559999 71.899793227,-96.730281756 71.8990189940001,-96.755278592 71.9098139220001,-96.759372631 71.9115820960001,-96.741245756 71.9263729940001,-96.6908886259999 71.941600168,-96.638336002 71.957491035,-96.63675002 71.957576971,-96.6101358719999 71.9590181180001,-96.587364802 71.9529091920001,-96.581672756 71.951381994,-96.5779116419999 71.9508015060001,-96.559999853 71.948036148,-96.510846026 71.9672090810001,-96.491946008 72.006653982,-96.491945919 72.006654655,-96.491945756 72.0066549950001,-96.489985131 72.0214745310001,-96.489299841 72.026654041,-96.489299879 72.026654062,-96.489299756 72.0266549950001),(-95.450290855 71.818882251,-95.4868730009999 71.74219119,-95.4868727319999 71.742191043,-95.486872755 71.7421909940001,-95.471118755 71.733599994,-95.435818755 71.7299819940001,-95.431244586 71.7299148910001,-95.398055002 71.72942706,-95.349538028 71.7310534360001,-95.339999755 71.7313729940001,-95.337673388 71.731583389,-95.324717875 71.7327540050001,-95.312582569 71.7365612,-95.310545755 71.737199994,-95.278551067 71.7988533650001,-95.261745978 71.8312361710001,-95.2617461309999 71.831236269,-95.2617457549999 71.8312369940001,-95.269330797 71.8361009810001,-95.275835789 71.8402732040001,-95.2793095979999 71.8411624550001,-95.286663755 71.8430459940001,-95.3016637549999 71.844145994,-95.3286097549999 71.842209994,-95.348890755 71.8405459940001,-95.384172755 71.8361099940001,-95.420836755 71.8288729940001,-95.4402817549999 71.8241549940001,-95.4472768099999 71.820469819,-95.450290855 71.818882251),(-96.650836756 71.2901189940001,-96.6437171269999 71.245690746,-96.641455021 71.2315731910001,-96.628599864 71.2202631540001,-96.578064028 71.2105361230001,-96.561108947 71.2083271560001,-96.484172966 71.206236039,-96.471390899 71.229145121,-96.471391134 71.2291453170001,-96.4713907559999 71.2291459940001,-96.535554756 71.282763994,-96.546954756 71.2891549940001,-96.563327756 71.2922099940001,-96.576532705 71.2932350080001,-96.581117891 71.2935912280001,-96.585254078 71.2931630860001,-96.610545756 71.2905459940001,-96.650836756 71.2901189940001),(-104.444308854 71.2649911680001,-104.461052782 71.2798112900001,-104.462508767 71.28109999,-104.494163686 71.3192189010001,-104.492743584 71.324518632,-104.488599763 71.3399819940001,-104.484009478 71.3427839560001,-104.466526933 71.35345411,-104.444308854 71.3612360370001,-104.404419045 71.3639105650001,-104.398608763 71.3642999940001,-104.394185331 71.363632829,-104.364435855 71.3591450870001,-104.343312137 71.3956912450001,-104.338745763 71.4035909940001,-104.360141615 71.4391046760001,-104.402217954 71.5089451200001,-104.379572901 71.541509149,-104.361390877 71.560254102,-104.361390856 71.560254899,-104.361390763 71.560254994,-104.361336563 71.562315196,-104.360826942 71.5816541070001,-104.360827768 71.5816549790001,-104.376390763 71.598036994,-104.534727764 71.7197099940001,-104.639480689 71.7984475870001,-104.66665493 71.8188731990001,-104.670535083 71.820282697,-104.693054764 71.8284639940001,-104.783608764 71.8383189940001,-104.820563764 71.8716459940001,-104.821110488 71.8778064510001,-104.822917913 71.8981822640001,-104.825799209 71.923472899,-104.826808764 71.9323369940001,-104.847913982 71.9592918870001,-104.871935786 71.9899731570001,-104.898195711 72.0101426460001,-104.929445764 72.0341459950001,-105.018626963 72.0669367,-105.030427065 72.109257895,-105.033472764 72.1201819950001,-105.022396487 72.1259593890001,-104.993890969 72.14082713,-104.966526904 72.156373214,-104.956381952 72.176227092,-104.956382148 72.176227243,-104.956381764 72.176227995,-104.991672764 72.2033279950001,-105.011443232 72.213377359,-105.024435797 72.2199821360001,-105.033607369 72.2335184010001,-105.039581764 72.2423369950001,-105.139999764 72.3447099950001,-105.160554764 72.3577549950001,-105.189990764 72.3697099950001,-105.223472764 72.386236995,-105.241381764 72.3997189950001,-105.29249902 72.4572091580001,-105.266238613 72.458634352,-105.261672764 72.4588819950001,-105.224863764 72.4460909950001,-105.220105808 72.4481633300001,-105.201735849 72.4561632130001,-105.195826942 72.482482222,-105.216717451 72.51850325,-105.231108764 72.5433189950001,-105.281344598 72.613287825,-105.294726862 72.6319270290001,-105.294727274 72.6319273120001,-105.294727764 72.6319279950001,-105.356654764 72.674427995,-105.382490764 72.6813639950001,-105.452227402 72.7008188940001,-105.491945758 72.7605072380001,-105.504172764 72.7788819950001,-105.497030956 72.7786099300001,-105.47125494 72.7776271380001,-105.431108977 72.7619360480001,-105.415555014 72.748045055,-105.39867642 72.73774596,-105.397781764 72.7371999950001,-105.395503508 72.7363146650001,-105.377781967 72.7294271710001,-105.346517971 72.7269271850001,-105.327308864 72.736823853,-105.323472764 72.7387999950001,-105.323472939 72.738800149,-105.335214083 72.7483499470001,-105.445827764 72.8383189950001,-105.562208764 72.9130369950001,-105.622462349 72.9372737580001,-105.629173014 72.9399732040001,-105.637966297 72.942624213,-105.688181765 72.9577639950001,-105.737499765 72.9694369950001,-105.760836765 72.976927995,-105.799581765 72.9923459950001,-105.826945765 73.0140189950001,-105.830208765 73.0458819950001,-105.830208921 73.0458820640001,-105.830208939 73.045882239,-105.833729019 73.0474156070001,-105.855563765 73.0569279950001,-105.876390765 73.058318995,-105.904316231 73.0587754800001,-105.910281931 73.0588731830001,-105.918260685 73.0577249410001,-105.948881765 73.053318995,-106.030982565 73.04525433,-106.037917865 73.044573153,-106.045091883 73.0454543070001,-106.063890765 73.0477639950001,-106.240281765 73.0858189960001,-106.398618765 73.1491549960001,-106.513300764 73.190452233,-106.582226924 73.2152731260001,-106.586066481 73.2155293770001,-106.603054765 73.2166639960001,-106.631826201 73.219865633,-106.642917938 73.221100225,-106.664717927 73.226091146,-106.696664042 73.2374912050001,-106.734154854 73.2617911150001,-106.737414435 73.2662028890001,-106.754935871 73.2899181650001,-106.7549362 73.2899182300001,-106.754936766 73.289918996,-106.861390766 73.310809996,-106.878563962 73.3119339850001,-106.882491004 73.3121912290001,-107.024454963 73.2974821620001,-107.066312494 73.2710706560001,-107.118118766 73.238381996,-107.106604972 73.2320330250001,-107.090290957 73.2230361100001,-107.057205203 73.2138062990001,-107.052490766 73.212490996,-107.049990129 73.210826608,-107.018264523 73.18970956,-107.043608766 73.1751279960001,-107.064833639 73.174108506,-107.069735848 73.1738732300001,-107.081568369 73.175694074,-107.105827766 73.1794279960001,-107.180554766 73.192609996,-107.210281766 73.201663996,-107.241760588 73.214200679,-107.249999908 73.217482261,-107.272567088 73.2255136570001,-107.335827766 73.2480279960001,-107.403345766 73.270536996,-107.593684608 73.3122285640001,-107.622772983 73.3186002,-107.631084103 73.3193509710001,-107.674999766 73.3233189960001,-107.75890052 73.323809043,-107.771391 73.3238821400001,-107.794298047 73.3270668770001,-107.947218767 73.3483279960001,-107.984272201 73.350906815,-107.991099961 73.351382158,-108.062364076 73.353591125,-108.084446032 73.349991098,-108.153608971 73.30247325,-108.15360874 73.302473014,-108.153608767 73.3024729960001,-108.152229713 73.3010636320001,-108.116390974 73.264436006,-108.087808656 73.2492668690001,-108.084445767 73.247481996,-108.051663767 73.2360999960001,-108.010272767 73.226090996,-108.004934575 73.2250979670001,-107.946108922 73.214153975,-107.904717911 73.204163249,-107.885771511 73.192923459,-107.876109165 73.187191232,-107.885960771 73.186997062,-107.924572767 73.186236996,-108.010311451 73.19906668,-108.023899857 73.2011001660001,-108.033143801 73.201869839,-108.073899767 73.205263996,-108.124863767 73.2072189960001,-108.173754767 73.202763996,-108.211092778 73.19267132,-108.23029098 73.1874822560001,-108.260559841 73.1747630940001,-108.268627767 73.1713729960001,-108.293190767 73.1491549960001,-108.293190779 73.1491541560001,-108.293190961 73.149153992,-108.293608882 73.120254028,-108.263635867 73.0919361030001,-108.165281945 73.0108180550001,-108.151946001 72.9711000720001,-108.140503716 72.9481432530001,-108.111936767 72.8908279950001,-108.090534064 72.851807503,-108.054564044 72.7862271380001,-108.026672926 72.7199821080001,-108.026541218 72.7123546980001,-108.025836767 72.6715099950001,-108.005255106 72.6275882570001,-107.99944599 72.6151912190001,-107.999445859 72.6151911910001,-107.999445767 72.615190995,-107.922218767 72.5988729950001,-107.906866753 72.590090269,-107.879855007 72.5746360510001,-107.880346018 72.5233911060001,-107.877490975 72.4244271480001,-107.843890942 72.3541541100001,-107.778064067 72.2080362280001,-107.787218767 72.184709995,-107.781064409 72.146712796,-107.779863931 72.1393001150001,-107.779863782 72.1393000910001,-107.779863767 72.139299995,-107.77708422 72.1388453870001,-107.751799978 72.1347091790001,-107.729445945 72.1372091650001,-107.690690874 72.1373540050001,-107.635272915 72.1219180590001,-107.615482211 72.0861637680001,-107.648536766 72.0692909950001,-107.636944453 72.0436793980001,-107.628046038 72.0240181010001,-107.614533594 72.0148496620001,-107.605136766 72.008472995,-107.418063766 71.9538729940001,-107.400971559 71.9468635270001,-107.26142841 71.8896366720001,-107.290136766 71.8752639940001,-107.344934196 71.872303258,-107.35458192 71.871782119,-107.45168191 71.8574822570001,-107.464895767 71.8356488200001,-107.494718766 71.786372994,-107.630281766 71.7322099940001,-107.744299767 71.725127994,-107.796936767 71.7273459940001,-107.819163767 71.7198459940001,-107.830381767 71.6786279940001,-107.830381738 71.6786279780001,-107.830381996 71.6786270270001,-107.775835923 71.648036098,-107.745418118 71.639436179,-107.730818767 71.621090994,-107.753345767 71.610263994,-107.837081767 71.6041459940001,-107.891400606 71.6185169840001,-107.915835835 71.6249821760001,-107.939870167 71.6385931630001,-107.967363767 71.654163994,-107.982072767 71.670963994,-108.029163767 71.7015189940001,-108.066099767 71.7177549940001,-108.095127767 71.7194279940001,-108.135827767 71.7124909940001,-108.150749972 71.708821072,-108.184990984 71.7004001940001,-108.189606076 71.700994053,-108.214163767 71.7041549940001,-108.238599767 71.7151279940001,-108.266590683 71.7633366950001,-108.281817892 71.7895631920001,-108.285592799 71.848375171,-108.286390724 71.8608093240001,-108.233608872 71.899718164,-108.192908865 71.9301181540001,-108.192908814 71.9301189590001,-108.192908767 71.9301189940001,-108.191245767 71.956445994,-108.316390767 71.9841459940001,-108.395208767 72.0384549950001,-108.398899767 72.1135999950001,-108.399726775 72.119322138,-108.403335874 72.1443000880001,-108.423190927 72.156382266,-108.428432039 72.156932715,-108.449581767 72.1591549950001,-108.524172767 72.199709995,-108.660563767 72.341236995,-108.661733375 72.3494786100001,-108.663617941 72.3627631630001,-108.654010459 72.39279143,-108.650554767 72.4035909950001,-108.644461277 72.4241989400001,-108.641108843 72.43553602,-108.617626941 72.4637360950001,-108.602309059 72.4765919020001,-108.599590767 72.4788729950001,-108.588754767 72.4999909950001,-108.618881767 72.5476189950001,-108.634244926 72.5564537330001,-108.644726807 72.5624821230001,-108.676664038 72.573882182,-108.681160506 72.5748219340001,-108.713199767 72.5815189950001,-108.798208026 72.589198009,-108.819163936 72.5910912350001,-108.83084225 72.582082917,-108.846518768 72.5699909950001,-108.873890768 72.564709995,-109.018715194 72.5688673270001,-109.040754798 72.5695001180001,-109.049154701 72.6041547190001,-109.029999982 72.6472181350001,-109.030000081 72.6472182900001,-109.029999768 72.6472189950001,-109.051099768 72.6802639950001,-109.227781768 72.7616549950001,-109.379708768 72.770536995,-109.658618768 72.8447099950001,-109.747562674 72.8812365460001,-109.724717936 72.8905451210001,-109.694717931 72.8944361680001,-109.661117898 72.896654019,-109.625135896 72.907763226,-109.625137177 72.9077638690001,-109.625136768 72.907763995,-109.636109623 72.913275056,-109.659435818 72.9249912220001,-109.731711674 72.9369854610001,-109.918872769 72.9680459950001,-109.971372769 72.9746639950001,-109.9962466 72.9777998340001,-109.999999921 72.978273137,-110.006060162 72.9790364150001,-110.051099769 72.9847099950001,-110.14490724 72.993992946,-110.166108958 72.9960912190001,-110.390835829 73.012500136,-110.397406565 73.012805439,-110.432499769 73.014436995,-110.497594649 73.0151267210001,-110.511399952 73.015273205,-110.618608852 73.0113821570001,-110.629312485 73.0105016380001,-110.686245769 73.0058189950001,-110.70464149 73.003048816,-110.708346011 73.0024911370001,-110.743608845 72.98678211,-110.74407762 72.9847283600001,-110.749027769 72.9630459950001,-110.749026816 72.9630454640001,-110.749026907 72.963045063,-110.588457888 72.873624808,-110.554981769 72.8549819950001,-110.552877223 72.8541410220001,-110.535555088 72.8472180570001,-110.496281411 72.8387774590001,-110.485136769 72.8363819950001,-110.466296943 72.8349267980001,-110.366391015 72.827209113,-110.33236334 72.826505469,-110.326399769 72.8263819950001,-110.31480605 72.8259858540001,-110.245273016 72.823609086,-110.211672984 72.8183271460001,-110.177652818 72.778925348,-110.175299769 72.7761999950001,-110.152301589 72.7716630740001,-110.031108852 72.7477540350001,-110.003710015 72.7453127200001,-109.999999769 72.744981995,-109.996182487 72.744641431,-109.971373039 72.7424271680001,-109.810281912 72.7280449960001,-109.783857528 72.7224342860001,-109.773336768 72.720199995,-109.825008768 72.664154995,-109.852218768 72.6658189950001,-109.971372769 72.6949639950001,-109.992490769 72.7001279950001,-109.999999769 72.703645995,-110.036118769 72.7205459950001,-110.078081769 72.727063995,-110.179572769 72.7265099950001,-110.205145769 72.720263995,-110.252753382 72.684863605,-110.282291021 72.6629001730001,-110.282290715 72.6629000360001,-110.282290769 72.662899995,-110.276456261 72.660277308,-110.248617899 72.6477632940001,-110.22111788 72.645263308,-110.189172661 72.6469487540001,-110.178890769 72.6474909950001,-110.164432202 72.6496343200001,-110.11332694 72.6572091960001,-110.096920505 72.6565322970001,-110.093063769 72.6563729950001,-110.083262984 72.6530710330001,-109.999999921 72.6250181620001,-109.973532531 72.6161090580001,-109.971372769 72.6153819950001,-109.968688198 72.6144784310001,-109.95081793 72.6084632330001,-109.82399985 72.5266531010001,-109.823999803 72.5266530700001,-109.783755099 72.500691208,-109.802354979 72.492900089,-109.811905718 72.4921977340001,-109.896808769 72.485954995,-109.971118769 72.5083279950001,-109.993899363 72.5161147760001,-109.999999921 72.518200193,-110.00064692 72.5184211960001,-110.003618769 72.519436995,-110.017235354 72.5254102970001,-110.030826884 72.531373192,-110.044219221 72.5368487740001,-110.068890769 72.5469369950001,-110.096300264 72.555749081,-110.097363941 72.5560910900001,-110.099115115 72.5564017950001,-110.120827769 72.560254995,-110.207843362 72.565283805,-110.221654992 72.566082151,-110.227142068 72.5648738130001,-110.249645769 72.559918995,-110.249644787 72.559918371,-110.249646023 72.5599180990001,-110.229855008 72.547345077,-110.042499858 72.5047180700001,-110.0075539 72.496062287,-109.999999769 72.4941909950001,-109.995037716 72.4929651720001,-109.971373039 72.4871180850001,-109.830291024 72.452209134,-109.805826931 72.4455270810001,-109.799236178 72.4412283,-109.785827805 72.4324820190001,-109.786863901 72.43232829,-109.813890768 72.428318995,-109.919727769 72.454709995,-109.961808769 72.4601279950001,-109.968795303 72.4592112130001,-109.971373039 72.4588732500001,-109.978702121 72.4579117470001,-109.998890769 72.4552639950001,-109.999697874 72.4549990840001,-109.999999921 72.454900228,-110.005222269 72.4531996960001,-110.021945769 72.4477549950001,-110.053327769 72.436718995,-110.127694319 72.468490644,-110.155273001 72.480273255,-110.160944077 72.483414979,-110.201399769 72.5058279950001,-110.219063107 72.513362182,-110.220282037 72.5138821720001,-110.227668728 72.516577354,-110.318472769 72.5497099950001,-110.343336769 72.553863995,-110.374727769 72.555545995,-110.392170911 72.5528517810001,-110.39639102 72.5522002100001,-110.438669697 72.5352642930001,-110.526045769 72.5002639950001,-110.526045217 72.5002635640001,-110.526045986 72.500263256,-110.508754956 72.4867821380001,-110.508754769 72.4867819950001,-110.410281769 72.462199995,-110.400477644 72.4588690080001,-110.313611542 72.4293548960001,-110.350563769 72.4280369950001,-110.530836769 72.466663995,-110.547821774 72.4723186040001,-110.552490891 72.4738731690001,-110.560411935 72.4778217210001,-110.59791753 72.496518377,-110.578248279 72.5114268400001,-110.575008769 72.5138819950001,-110.565750105 72.5163668960001,-110.52639987 72.5269270960001,-110.526400221 72.5269278740001,-110.526399769 72.5269279950001,-110.535281769 72.5466459950001,-110.660923435 72.5714004700001,-110.673472935 72.57387313,-110.708346011 72.574291219,-110.714760318 72.572541286,-110.732772769 72.5676279950001,-110.798326803 72.530055293,-110.827781929 72.5131732310001,-110.827781736 72.5131730140001,-110.827781769 72.513172995,-110.826669697 72.5119182720001,-110.803046612 72.4852637540001,-110.824445769 72.479154995,-110.869163769 72.4733099950001,-110.98099824 72.4666668790001,-111.004464066 72.4652731690001,-111.032791218 72.444628224,-111.09138177 72.4019279950001,-111.091914499 72.398891711,-111.095281987 72.3797001390001,-111.106703656 72.350697542,-111.11278177 72.335263995,-111.249497976 72.364079991,-111.277499869 72.3699821610001,-111.278031733 72.3707431000001,-111.301390507 72.404163619,-111.272226814 72.4285911100001,-111.238881926 72.4352540530001,-111.207917835 72.453600195,-111.216758171 72.458703692,-111.22860877 72.4655459950001,-111.25736377 72.465963995,-111.293353029 72.4625731670001,-111.301655005 72.461791158,-111.31106265 72.460153656,-111.35028177 72.4533279950001,-111.37444577 72.4466369950001,-111.58833677 72.3763729950001,-111.61054577 72.364154995,-111.61054536 72.3641544490001,-111.610546075 72.3641540560001,-111.597499978 72.3467911110001,-111.597499819 72.34679106,-111.59749977 72.346790995,-111.596076333 72.346333713,-111.569854953 72.337909144,-111.519446019 72.334154051,-111.487208884 72.3366540370001,-111.442226898 72.346936118,-111.421800986 72.340536383,-111.440926532 72.3309171180001,-111.444990914 72.3288731170001,-111.456025796 72.3257272340001,-111.50446377 72.311918995,-111.632462595 72.2833874770001,-111.663891022 72.2763821180001,-111.673786111 72.2790659950001,-111.85694577 72.3287459950001,-111.893760104 72.3499041490001,-111.899099624 72.3529730710001,-111.890590027 72.357369577,-111.859735867 72.3733091060001,-111.812208967 72.3866541020001,-111.779853268 72.392380755,-111.77763677 72.392772995,-111.77045435 72.393203822,-111.736108997 72.3952631540001,-111.674999894 72.4022090700001,-111.656222738 72.4074467520001,-111.65110877 72.4088729950001,-111.52779077 72.449999995,-111.515471004 72.4545260890001,-111.452217959 72.47776321,-111.269863955 72.5733271330001,-111.235776406 72.6219761030001,-111.20389077 72.6674819950001,-111.209378013 72.6792781890001,-111.229926869 72.7234540600001,-111.229927395 72.7234541890001,-111.22992777 72.7234549950001,-111.511495712 72.7925080320001,-111.533482019 72.797900112,-111.538211243 72.7985809450001,-111.59416377 72.8066369950001,-111.66735477 72.8133099950001,-111.78333677 72.8347189950001,-111.94777277 72.870527995,-112.061663771 72.889436995,-112.098345771 72.894145995,-112.137386794 72.8961477780001,-112.14195505 72.89638211,-112.152475073 72.8962892280001,-112.237781771 72.895536995,-112.279445771 72.8969459950001,-112.353336771 72.9034549950001,-112.382090771 72.909427995,-112.413890771 72.9241459950001,-112.445827771 72.935254995,-112.471654771 72.9419279950001,-112.507499771 72.949509995,-112.563608771 72.9591549950001,-112.600827771 72.9636099950001,-112.643627771 72.9669369950001,-112.708618771 72.9697099950001,-112.762790771 72.9740189950001,-112.790272771 72.980263995,-112.817218771 72.9970639950001,-112.974268816 73.0068461000001,-113.006955055 73.008882171,-113.010477564 73.0089731150001,-113.028063771 73.0094279950001,-113.058175166 73.0077471380001,-113.062763946 73.00749111,-113.074287112 73.005775547,-113.148618772 72.9947099950001,-113.268627772 72.960263995,-113.302781772 72.9488639950001,-113.331390772 72.935254995,-113.370244683 72.915831187,-113.386945954 72.9074822650001,-113.59069091 72.787900166,-113.607208959 72.7638821580001,-113.607208747 72.763882031,-113.607208772 72.7638819950001,-113.606260185 72.7633140030001,-113.588899865 72.7529181260001,-113.544169251 72.749543642,-113.535281772 72.7488729950001,-113.518691021 72.7480008970001,-113.439990996 72.743863156,-113.417897539 72.7350339760001,-113.413264031 72.733182099,-113.438390891 72.676791166,-113.444685436 72.6742004490001,-113.466399772 72.665263995,-113.604510498 72.626316192,-113.657499876 72.611373262,-113.665832618 72.609868206,-113.692081772 72.605127995,-113.727771988 72.6115098550001,-113.70944605 72.624145103,-113.687764078 72.6319270290001,-113.642773039 72.6466540330001,-113.625809485 72.6517007690001,-113.619454772 72.6535909950001,-113.572508772 72.6674819950001,-113.565693391 72.6698978330001,-113.550555005 72.6752633130001,-113.514790933 72.697763191,-113.514792036 72.6977632000001,-113.514790772 72.6977639950001,-113.546663772 72.6980279950001,-113.578335071 72.6917821310001,-113.587508972 72.689973218,-113.612781919 72.6838732040001,-113.626498264 72.6798434,-113.671390772 72.666654995,-113.708345772 72.6569369950001,-113.762218397 72.646100071,-113.763336462 72.6459255710001,-113.806663772 72.639163995,-113.858045772 72.6358189950001,-113.877518901 72.642678963,-113.886635796 72.6458911130001,-113.894373407 72.653001433,-113.901672772 72.6597099950001,-113.966287496 72.65363712,-113.990282052 72.6513822650001,-114.062764057 72.640273226,-114.103055028 72.6322001120001,-114.12805506 72.6260821610001,-114.185589921 72.6089392110001,-114.336872773 72.5638639950001,-114.385272773 72.555254995,-114.423037615 72.5560177550001,-114.426664049 72.5560910900001,-114.438406984 72.5565118860001,-114.558327625 72.5608099900001,-114.563145011 72.566142321,-114.597354141 72.6040092950001,-114.576682012 72.6091450170001,-114.540777825 72.6137795550001,-114.531390773 72.6149909950001,-114.495536773 72.616381995,-114.49553593 72.616382114,-114.495535801 72.616382119,-114.458345967 72.6216451160001,-114.365826855 72.6627632130001,-114.331117897 72.6912271510001,-114.340634364 72.7126289870001,-114.354154452 72.7430362740001,-114.229990905 72.793318061,-114.20861789 72.7969360260001,-114.151672916 72.7980360670001,-114.068072987 72.7958180470001,-114.004309 72.7980360670001,-113.974990946 72.8201181910001,-113.974991427 72.8201185020001,-113.974990772 72.820118995,-114.042972772 72.864081995,-114.054990772 72.883609995,-114.047499772 72.9549909950001,-114.035554772 73.0049909950001,-114.000408772 73.071099996,-113.984595803 73.0881863340001,-113.955690943 73.119418184,-113.955691014 73.1194187350001,-113.955690772 73.119418996,-113.959308772 73.147763996,-114.012384325 73.2019999830001,-114.016663925 73.206373221,-114.056108769 73.2336000010001,-114.056108994 73.2336001580001,-114.080120243 73.246957002,-114.110545772 73.2638819960001,-114.118099428 73.2675953940001,-114.163063922 73.289700236,-114.16886872 73.292486986,-114.197772773 73.3063639960001,-114.226099773 73.3183279960001,-114.275008773 73.3322189960001,-114.304990773 73.3380459960001,-114.337781773 73.3433189960001,-114.505281773 73.3688639960001,-114.533088063 73.372567852,-114.540835797 73.3736000690001,-114.544066809 73.3739004030001,-114.561663773 73.3755369960001,-114.645844077 73.3730805340001,-114.666663922 73.3724732060001,-114.673940052 73.3716788900001,-114.707227773 73.368045996,-114.810545773 73.3427549960001,-114.830563773 73.3341549960001,-114.866390773 73.3236099960001,-114.894172773 73.3180549960001,-114.951108773 73.307754996,-115.001815697 73.3015132040001,-115.014181987 73.2999912010001,-115.029308474 73.298986696,-115.102218773 73.2941459960001,-115.149172773 73.288318996,-115.316108774 73.2616549960001,-115.346390774 73.2533279960001,-115.440827774 73.2238729960001,-115.609736774 73.1941369960001,-115.900554774 73.1541639960001,-116.089864348 73.1322842930001,-116.155564018 73.1246912390001,-116.201946118 73.118591226,-116.212401997 73.116429027,-116.242218774 73.1102639960001,-116.319163775 73.0916639960001,-116.53291797 73.0581731250001,-116.535129364 73.0579234630001,-116.580836775 73.0527639950001,-116.659727775 73.031099995,-116.707227775 73.017209995,-116.775281775 72.995254995,-116.826607164 72.9816299290001,-116.838054954 72.978591146,-116.842442496 72.9774472620001,-116.862499775 72.972218995,-116.899727775 72.9641549950001,-116.940646188 72.956761145,-116.948881987 72.9552731950001,-117.127208989 72.9324821290001,-117.249164004 72.923873244,-117.314854991 72.9213732580001,-117.353608888 72.9163821700001,-117.358694566 72.9152552250001,-117.379990775 72.910536995,-117.402218776 72.9033189950001,-117.420545776 72.894436995,-117.429164591 72.8844331220001,-117.436108944 72.8763731660001,-117.44971467 72.8672680940001,-117.481454776 72.846027995,-117.506551496 72.8346954630001,-117.519446017 72.8288732560001,-117.536797879 72.8221552110001,-117.601936776 72.7969369950001,-117.628369991 72.786789454,-117.633055003 72.7849911430001,-117.868882029 72.7000001530001,-117.873700076 72.6985073860001,-117.897227776 72.691218995,-118.083072776 72.6497189950001,-118.114809053 72.644318157,-118.125545963 72.642491245,-118.179813202 72.6266124480001,-118.207227776 72.618590995,-118.528336777 72.498318995,-118.550281777 72.483318995,-118.570690777 72.463736995,-118.579262725 72.4502499340001,-118.586673015 72.438591224,-118.588608899 72.4166541070001,-118.580802913 72.4030705180001,-118.575836777 72.3944279950001,-118.575836132 72.3944275740001,-118.575835885 72.394427143,-118.554990929 72.380818118,-118.528314389 72.36665988,-118.523063777 72.3638729950001,-118.517411192 72.3619583240001,-118.491099872 72.3530450170001,-118.446664051 72.345263258,-118.412977876 72.3429039710001,-118.406954776 72.3424819950001,-118.364163776 72.341372995,-118.356014071 72.3414912370001,-118.325290907 72.341936145,-118.279999964 72.3440180420001,-118.251399904 72.344709214,-118.200554944 72.341518056,-118.178470308 72.3374931690001,-118.170827776 72.336099995,-118.138054779 72.3224909910001,-118.121382001 72.308027156,-118.107564049 72.244427661,-118.123881776 72.2244369950001,-118.157227776 72.2177549950001,-118.348906696 72.190741771,-118.39764601 72.1838732320001,-118.407018795 72.1834094120001,-118.442490776 72.181654995,-118.553745777 72.1820639950001,-118.582508777 72.177618995,-118.691936777 72.1305369950001,-118.717918777 72.108454995,-118.712519287 72.0960999480001,-118.706600152 72.0825546010001,-118.727218777 72.060881995,-118.764718777 72.0463729950001,-118.774821577 72.0438645900001,-118.80166397 72.0372001520001,-118.8089521 72.035863195,-118.842499777 72.0297099950001,-118.861954912 72.025071832,-118.866946088 72.0238821460001,-118.882672139 72.0176571160001,-118.937499777 71.995954995,-119.089727777 71.9052639940001,-119.102567356 71.883009369,-119.104308846 71.879991187,-119.134455032 71.7745731640001,-119.12470889 71.7305450380001,-119.114536246 71.7064435450001,-119.105827777 71.6858099940001,-119.101609061 71.6799485340001,-119.07944611 71.6491540760001,-119.050281948 71.626645146,-118.903755048 71.5794360880001,-118.873808855 71.585063194,-118.873809566 71.5850638460001,-118.873808777 71.5850639940001,-118.900335899 71.6093631740001,-118.857365338 71.6553406470001,-118.850690777 71.6624819940001,-118.819180222 71.6626968,-118.605272961 71.664153995,-118.566390988 71.662763269,-118.485817932 71.65554511,-118.455000021 71.650818052,-118.386264056 71.6166540850001,-118.365281973 71.5894271490001,-118.326108981 71.583736172,-118.299990971 71.583327135,-118.183746043 71.5952633000001,-118.165135871 71.603463316,-118.175135817 71.6249731240001,-118.121799923 71.650827104,-118.018899991 71.6720631590001,-117.775538846 71.6745877500001,-117.736654776 71.674990994,-117.711836941 71.664082067,-117.725049793 71.6619365830001,-117.863618776 71.6394369940001,-117.90178322 71.6188289360001,-117.908891032 71.6149911150001,-117.908890609 71.6149910840001,-117.908890776 71.614990994,-117.880136776 71.612899994,-117.658818776 71.5687999940001,-117.673084996 71.5576462290001,-117.681108957 71.5513731400001,-117.684633234 71.551110539,-117.707227776 71.549427994,-117.820019281 71.5540519200001,-117.83582682 71.554700085,-117.844866746 71.5542181480001,-118.054445776 71.5430459940001,-118.086118776 71.540263994,-118.126099776 71.5330549940001,-118.184154776 71.521236994,-118.207363776 71.5148549940001,-118.263345776 71.494136994,-118.279794052 71.4866823130001,-118.285972908 71.4838822230001,-118.295163631 71.475126737,-118.312072776 71.4590189940001,-118.312072807 71.4590183120001,-118.312072981 71.4590181460001,-118.313190959 71.4341450160001,-118.290554959 71.4091540360001,-118.249726876 71.3916541310001,-118.198117281 71.3821418050001,-118.185363776 71.3797909940001,-118.112208776 71.3735999940001,-118.108536729 71.373454748,-118.090846057 71.372754113,-118.023899964 71.372754113,-117.948335933 71.3777633060001,-117.827499902 71.3722091210001,-117.794446035 71.3680449920001,-117.765072568 71.3742934950001,-117.756663776 71.3760819940001,-117.681381776 71.3796999940001,-117.668158231 71.3784788880001,-117.594163978 71.3716450190001,-117.525346038 71.376854037,-117.481864077 71.4282361090001,-117.481864402 71.4282362540001,-117.481863776 71.428236994,-117.506390776 71.4391459940001,-117.546390776 71.444554994,-117.598514028 71.447164544,-117.604855056 71.4474821300001,-117.629581776 71.4594999940001,-117.554299776 71.499290994,-117.549229353 71.498468153,-117.517499906 71.4933180670001,-117.494455037 71.4869270340001,-117.454004217 71.4756156670001,-117.447772776 71.473872994,-117.385273052 71.442973131,-117.38992021 71.4312119420001,-117.406427776 71.3894369940001,-117.406426673 71.3894368090001,-117.406426948 71.3894361120001,-117.36832684 71.3830450780001,-117.32805498 71.386109167,-117.208199967 71.3973539930001,-117.176664062 71.4047091130001,-117.010270913 71.4243482900001,-116.986108775 71.427199994,-116.806108775 71.4360999940001,-116.733409973 71.4455694550001,-116.443599907 71.4833181210001,-116.41361784 71.4866450660001,-116.33389102 71.4933180670001,-116.282499895 71.4955270340001,-116.208055016 71.495818054,-116.160282024 71.4997091010001,-115.965008993 71.5222181990001,-115.876390986 71.5327633040001,-115.814912712 71.5406463200001,-115.791945774 71.5435909940001,-115.773483504 71.546229725,-115.706390901 71.5558180640001,-115.654999944 71.5580270300001,-115.618881988 71.555254129,-115.525105614 71.5321943700001,-115.514446115 71.5295730780001,-115.51937585 71.5267035700001,-115.543918774 71.512418994,-115.543917099 71.512418564,-115.543917934 71.5124180780001,-115.485614033 71.497429186,-115.451236774 71.488590994,-115.322245774 71.4924819940001,-115.306295026 71.4939828650001,-115.252773029 71.499018097,-115.188730821 71.5124671660001,-115.163463773 71.517772994,-115.119550912 71.5238756000001,-115.113618501 71.5246999890001,-115.066946393 71.523873005,-115.175281999 71.4849822640001,-115.181912431 71.4835094570001,-115.200290773 71.479427994,-115.378327774 71.449709994,-115.415554774 71.449709994,-115.535554774 71.470263994,-115.576352866 71.4843300220001,-115.584308984 71.4870732140001,-115.587959941 71.4883907440001,-115.612772774 71.4973459940001,-115.763063774 71.490263994,-115.828054774 71.4830459940001,-116.01268809 71.448355958,-116.064708881 71.438582228,-116.064708553 71.4385820360001,-116.064708774 71.4385819940001,-116.017772774 71.411099994,-116.008032589 71.4086429660001,-115.926381998 71.3880450510001,-115.885555088 71.3891631970001,-115.84874596 71.3933271590001,-115.80271337 71.395743882,-115.790554774 71.3963819940001,-115.785186792 71.395587806,-115.751108858 71.390545037,-115.730200704 71.378727531,-115.753608774 71.367063994,-115.776672774 71.364427994,-115.810272774 71.362763994,-115.995843287 71.357651607,-116.052490916 71.3560912240001,-116.056796232 71.357648259,-116.081672774 71.3666459940001,-116.141954774 71.3677549940001,-116.177227774 71.366654994,-116.208890774 71.364154994,-116.405836775 71.3430459940001,-116.492821068 71.330096574,-116.517773045 71.3263822390001,-116.601673046 71.313873254,-116.618487048 71.3111283060001,-116.669727775 71.302763994,-116.713336775 71.2972099940001,-116.785695296 71.2879928230001,-116.80055499 71.2861001530001,-116.807639948 71.2833873500001,-116.832845775 71.273736994,-116.966300545 71.2407865280001,-116.98528191 71.236100089,-117.018073841 71.2329156870001,-117.288599775 71.206645994,-117.387217973 71.1924731180001,-117.41665505 71.1888732610001,-117.437611631 71.1870022310001,-117.494454776 71.181927994,-117.533119635 71.1792736570001,-117.543064041 71.1785911810001,-117.562847165 71.1772334,-117.640290776 71.1719189940001,-117.690554776 71.1694369940001,-117.728881776 71.1697099940001,-117.787517917 71.1668310420001,-117.796664054 71.1663821010001,-117.80313569 71.165230041,-117.849727776 71.156936994,-117.980563776 71.1244189940001,-118.211814167 71.064578811,-118.272508889 71.0488731820001,-118.286350862 71.04485377,-118.339445776 71.029436994,-118.370827776 71.019145994,-118.410899776 71.0002639940001,-118.410899864 71.0002632260001,-118.410899979 71.0002631730001,-118.41360901 70.976645149,-118.316391002 70.901654105,-118.272372935 70.875945131,-118.198080711 70.8406004170001,-118.196799776 70.8399909930001,-118.167499776 70.8285999930001,-118.164145226 70.8274827990001,-118.135835923 70.818054008,-118.095419172 70.8055206930001,-118.092772776 70.804699993,-118.090466288 70.8040354,-118.047499883 70.7916540310001,-118.008899878 70.7830540300001,-117.948092896 70.7691811500001,-117.945545776 70.7685999930001,-117.898063776 70.7560999930001,-117.878122865 70.7506564030001,-117.741382049 70.713327157,-117.713264283 70.6963633920001,-117.734508776 70.6711639930001,-117.734508718 70.6711633690001,-117.734508889 70.671163166,-117.732281985 70.6470631830001,-117.704726813 70.634154046,-117.671108844 70.62441813,-117.618908809 70.610195145,-117.613054776 70.608599993,-117.604078246 70.606796547,-117.55151786 70.59623616,-117.512408906 70.610327145,-117.367636776 70.6247000010001,-117.347781775 70.6174819930001,-117.319996737 70.6158902020001,-117.100563925 70.6033181980001,-117.067664293 70.6017587950001,-117.059718775 70.6013819930001,-117.03365113 70.6006788830001,-116.910417936 70.5973541380001,-116.71500895 70.603045115,-116.674188235 70.6070387240001,-116.662499775 70.6081819930001,-116.634645316 70.61444536,-116.632218327 70.61499107,-116.529999775 70.6324729930001,-116.507792312 70.6333951810001,-116.372363956 70.6390180650001,-116.263635919 70.634718148,-116.185345884 70.6268388030001,-116.166808774 70.624972993,-116.085564062 70.5877731210001,-116.055555005 70.5722181520001,-115.976099927 70.585263243,-115.935990458 70.591438076,-115.921945774 70.5935999930001,-115.914958106 70.5939607930001,-115.889717877 70.595263189,-115.389990987 70.604845045,-115.270996071 70.6018479960001,-115.252499774 70.6013819930001,-115.236386012 70.6009155400001,-115.136946023 70.5980360900001,-114.989164018 70.603863189,-114.726286967 70.61792568,-114.641108773 70.6224819930001,-114.625249879 70.624494548,-114.571117937 70.631363208,-114.545273009 70.636109209,-114.494999862 70.646944998,-114.453608851 70.656927174,-114.425774212 70.6678392200001,-114.416945773 70.671299993,-114.410678628 70.6720163740001,-114.377490944 70.6758090880001,-114.323055009 70.675263258,-114.275028892 70.672206036,-114.261945773 70.671372993,-114.251766579 70.6703182310001,-114.208345981 70.6658181940001,-114.179090205 70.664939841,-114.171108773 70.6646999930001,-114.145048182 70.6683898790001,-114.14362696 70.6685910950001,-114.120826842 70.6747001620001,-114.089446002 70.685253984,-114.068335843 70.6924731490001,-114.04791482 70.699250906,-114.015554772 70.7099909930001,-113.981945772 70.7149909930001,-113.938318772 70.715272993,-113.919251351 70.7135705210001,-113.882217862 70.7102632360001,-113.775414033 70.6976780970001,-113.761945772 70.696090993,-113.759432399 70.6957565500001,-113.728608925 70.6916540700001,-113.683881916 70.6783181260001,-113.666828665 70.6709434320001,-113.657227772 70.6667909930001,-113.630545772 70.654981993,-113.625771589 70.6538111670001,-113.599445976 70.647354035,-113.562917977 70.6448540490001,-113.532425839 70.653633078,-113.527708772 70.6549909930001,-113.515554772 70.6756819930001,-113.492218772 70.677199993,-113.443753784 70.6681658240001,-113.303045953 70.64193614,-113.182596785 70.6150891630001,-113.142227772 70.6060909930001,-113.110172951 70.5993373250001,-113.008473018 70.577909129,-112.937499923 70.5672181790001,-112.852363926 70.5652631840001,-112.814708897 70.5680540220001,-112.718891003 70.567909183,-112.674708985 70.5548451490001,-112.652790979 70.545254072,-112.621935852 70.534427168,-112.600130347 70.5286826350001,-112.586118771 70.5249909930001,-112.518754771 70.513881993,-112.515837644 70.5140388190001,-112.497773044 70.515009148,-112.434150989 70.5252659560001,-112.427227771 70.526381993,-112.366983205 70.5199970570001,-112.199155002 70.5022091430001,-112.160269163 70.4942865800001,-112.154445771 70.493099993,-112.152877103 70.4923411730001,-112.11528199 70.4741540750001,-112.086350272 70.4474225110001,-112.082508771 70.4438729930001,-112.069236771 70.418036993,-112.060834721 70.40876437,-112.053882035 70.4010912040001,-112.053881915 70.401091152,-112.053881771 70.4010909930001,-112.044846358 70.3971640930001,-112.000835819 70.3780361090001,-111.980564019 70.3708181170001,-111.803882049 70.3508180580001,-111.742917952 70.3498450860001,-111.693881974 70.355545116,-111.66471798 70.3580360500001,-111.631100011 70.358318185,-111.536946092 70.3494271650001,-111.50171521 70.3414907380001,-111.494090765 70.3397729960001,-111.452627771 70.2831819990001,-111.54721877 70.2698549930001,-111.74360877 70.2694369930001,-111.830291308 70.27092457,-111.856946034 70.2713822580001,-111.889855062 70.267491211,-111.898592103 70.263805448,-111.91916377 70.255127993,-112.092714225 70.2755760410001,-112.108890957 70.2774821040001,-112.122072475 70.2795950030001,-112.239727771 70.2984549930001,-112.274990771 70.300127993,-112.292087844 70.2946793890001,-112.29895497 70.292491243,-112.298954311 70.292491139,-112.298954771 70.2924909930001,-112.242490771 70.2835999930001,-112.223994516 70.2808128720001,-112.155139867 70.270436703,-112.204308771 70.2658279930001,-112.295545771 70.2666639930001,-112.549290771 70.236236993,-112.561673266 70.2252568480001,-112.568955015 70.2188002330001,-112.568954634 70.218800114,-112.568954771 70.2187999930001,-112.562428446 70.2167783960001,-112.524583609 70.205054611,-112.556381771 70.198454993,-112.645853413 70.2028509680001,-112.666654982 70.203873236,-113.090846004 70.2474820990001,-113.097354542 70.248462567,-113.168327772 70.259154993,-113.26755567 70.2705911940001,-113.296108922 70.273882245,-113.30529631 70.274703512,-113.333327772 70.277209993,-113.391390772 70.280545993,-113.428045772 70.2816639930001,-113.460008772 70.280545993,-113.500199563 70.27784332,-113.505573019 70.2774821040001,-113.511093574 70.2769580300001,-113.549436772 70.273318993,-113.585111784 70.269332198,-113.591664049 70.2686001370001,-113.602300862 70.2676986820001,-113.650554772 70.263609993,-113.683881772 70.263045993,-113.841663772 70.2694369930001,-114.009654798 70.2795902710001,-114.057499887 70.282482245,-114.064694981 70.2834575620001,-114.090290772 70.2869279930001,-114.106768146 70.292424936,-114.111108863 70.293873251,-114.115373727 70.2959814660001,-114.135272772 70.3058189930001,-114.169581773 70.3126189930001,-114.210693922 70.3155391320001,-114.218335869 70.3160821100001,-114.223918273 70.3162550870001,-114.254999773 70.317218993,-114.323627773 70.3166639930001,-114.487743583 70.314944935,-114.511126811 70.3147001020001,-114.513668671 70.3145894020001,-114.543063773 70.3133099930001,-114.588336773 70.3097099930001,-114.616945773 70.306636993,-114.658890773 70.3016549930001,-114.700234439 70.295714951,-114.713055074 70.293873251,-114.719887855 70.2931363020001,-114.741381773 70.2908189930001,-114.793396183 70.2867655540001,-114.801935937 70.28610021,-114.867217887 70.283873138,-115.030290999 70.2799822590001,-115.043497289 70.2799149750001,-115.083890773 70.279709993,-115.155652305 70.2780474670001,-115.167499905 70.2777731240001,-115.229446025 70.273882245,-115.308055034 70.2652731920001,-115.448335907 70.2524911250001,-115.452742614 70.2523136400001,-115.496654774 70.2505459930001,-115.646954774 70.2466459930001,-115.693599774 70.243863993,-115.801936774 70.2366459930001,-115.908336774 70.2288639930001,-116.071672774 70.213609993,-116.099990774 70.2102639930001,-116.153671987 70.201967166,-116.166399975 70.2000001270001,-116.178840116 70.1984588030001,-116.236108774 70.191363993,-116.583072775 70.156936993,-116.877208775 70.129154993,-117.010836775 70.116927993,-117.066285311 70.110623554,-117.081682011 70.1088732480001,-117.12082684 70.1024822150001,-117.169999946 70.092482101,-117.194446102 70.0874911810001,-117.245699931 70.074291192,-117.252273752 70.0723872280001,-117.283618775 70.0633099930001,-117.317349359 70.0526708840001,-117.325846013 70.0499912170001,-117.356372905 70.0397000840001,-117.385273036 70.028591212,-117.415281926 70.0099910980001,-117.421858569 69.999892521,-117.432563776 69.9834549930001,-117.432563557 69.98345478,-117.43256407 69.9834539930001,-117.396482187 69.9484070680001,-117.367218775 69.9199819930001,-117.33519982 69.8792917530001,-117.307772954 69.8444361050001,-117.270973046 69.787209164,-117.244660791 69.756704304,-117.243190775 69.7549999920001,-117.226512269 69.7492228390001,-117.118054945 69.711654018,-117.079120907 69.69960467,-117.075845775 69.698590992,-117.071616531 69.697742444,-117.042635921 69.691927041,-117.017773017 69.6894181700001,-116.991109212 69.685511014,-116.987499775 69.6849819920001,-116.984032852 69.6842287440001,-116.961935795 69.6794271090001,-116.953454986 69.676954112,-116.873335893 69.653618055,-116.84944596 69.6466632550001,-116.84971408 69.643760785,-116.851936775 69.6197099920001,-116.874033481 69.611339829,-116.880546006 69.608873277,-116.897508967 69.5874912090001,-116.897508655 69.5874911430001,-116.897508775 69.587490992,-116.773754775 69.561190992,-116.765138082 69.566622823,-116.754718048 69.5731910740001,-116.752715763 69.5734174710001,-116.733891031 69.5755451530001,-116.636673024 69.570263213,-116.607517553 69.5664682460001,-116.598336775 69.5652729920001,-116.578472922 69.558173045,-116.576002452 69.5455661680001,-116.564727775 69.4880279920001,-116.625436775 69.4654729920001,-116.558757891 69.418667547,-116.557081992 69.4174911250001,-116.557081937 69.4174911060001,-116.557081775 69.4174909920001,-116.532208775 69.4088729920001,-116.479001238 69.398572723,-116.219455075 69.3483271800001,-116.175281942 69.341663232,-116.068199445 69.3311511910001,-116.056381774 69.329990992,-116.021945774 69.3238819920001,-116.021510288 69.3236299320001,-116.003208846 69.3130360150001,-115.982626915 69.3005360830001,-115.965717431 69.294817596,-115.962090774 69.2935909920001,-115.954840566 69.2929983280001,-115.921390909 69.2902632220001,-115.795272938 69.282763263,-115.644726916 69.2733181990001,-115.400835829 69.256944989,-115.253617925 69.2452540780001,-115.088899948 69.244709087,-114.764182001 69.2522092140001,-114.669726837 69.2558271790001,-114.518335919 69.2633180860001,-114.492490991 69.2672091330001,-114.447217985 69.278045089,-114.421390994 69.2819361370001,-114.392772997 69.2841451030001,-114.320135927 69.2852632490001,-114.275555098 69.2819361370001,-113.908890922 69.241927133,-113.623317972 69.1997091630001,-113.590068593 69.1941551190001,-113.579999772 69.192472992,-113.553599772 69.1871909920001,-113.51577325 69.1724821780001,-113.538890916 69.1685911800001,-113.553492689 69.1702518750001,-113.621936772 69.178036992,-113.643463469 69.1842598120001,-113.660835873 69.189282243,-113.686517857 69.190673136,-113.686517908 69.1906729450001,-113.686518772 69.190672992,-113.696108772 69.1547099920001,-113.696108713 69.1547098990001,-113.696108933 69.1547090720001,-113.652499903 69.0865180980001,-113.623608991 69.0701271190001,-113.554157881 69.0483521130001,-113.547845999 69.046373063,-113.578263846 68.951163965,-113.615418772 68.937899992,-113.676727772 68.8992279920001,-113.672755562 68.824602343,-113.671799905 68.8066450100001,-113.584475771 68.7582590740001,-113.524436772 68.7249909910001,-113.453215353 68.6546547440001,-113.446873042 68.648391157,-113.446872776 68.648390985,-113.440845595 68.6444208340001,-113.366108772 68.595190991,-113.360645846 68.593540057,-113.334163936 68.585536103,-113.268890871 68.5722180970001,-113.205273064 68.561227075,-113.141390892 68.5505361250001,-113.118055003 68.544436111,-113.072508914 68.52053612,-113.041736889 68.4937369930001,-113.15506672 68.4957041440001,-113.193599923 68.496373272,-113.211537194 68.496087178,-113.263199772 68.4952639910001,-113.302008772 68.471718991,-113.302008 68.4717186450001,-113.302008944 68.471718072,-113.26041794 68.453036151,-113.226066376 68.452809492,-113.220554772 68.4527729910001,-113.200332599 68.453950858,-113.091946045 68.460263195,-113.051663959 68.4641540750001,-112.807499957 68.4666632810001,-112.773899925 68.4655451350001,-112.727491003 68.4658180500001,-112.670272947 68.4691449950001,-112.638190877 68.478945116,-112.509172935 68.498027022,-112.401108913 68.4991450000001,-112.359164025 68.5019360060001,-112.236654966 68.5108181410001,-112.210008896 68.5136091470001,-112.060272901 68.5230361060001,-111.851099992 68.5341451460001,-111.655481008 68.541520657,-111.60056377 68.543590991,-111.586808068 68.5432486110001,-111.522782017 68.54165399,-111.468063947 68.5369270990001,-111.399463464 68.5274650870001,-111.38152777 68.524990991,-111.376624426 68.52427728,-111.358608864 68.5216540980001,-111.245835889 68.5144361060001,-111.214172914 68.525127056,-111.214172975 68.5251279220001,-111.21417277 68.525127991,-111.21597277 68.5505369910001,-111.25029077 68.557209991,-111.29804577 68.5577549910001,-111.405689887 68.57012789,-111.385555006 68.583318084,-111.328472905 68.5862361590001,-111.275554932 68.5816541080001,-111.232499945 68.5780450280001,-111.166399921 68.5758181240001,-111.135273053 68.5758181240001,-111.086681987 68.579154122,-111.063890922 68.584154095,-111.032985015 68.594461289,-111.02389977 68.597490991,-110.990142731 68.5985685270001,-110.849873593 68.6030450390001,-110.863463769 68.5873459910001,-110.897227769 68.5819369910001,-110.91895685 68.5806605700001,-110.925554985 68.580273273,-110.936860926 68.5800295650001,-110.97409077 68.579227991,-111.02979077 68.557409991,-111.029789063 68.557409874,-111.029790992 68.5574091180001,-110.950290988 68.5519270180001,-110.922235919 68.5538632380001,-110.896664074 68.557209126,-110.681381931 68.58610909,-110.662822245 68.5892730200001,-110.656954769 68.5902729910001,-110.617499769 68.6038729910001,-110.609307534 68.6067149140001,-110.58306405 68.6158180750001,-110.561108996 68.616654086,-110.449864042 68.6119270280001,-110.423746031 68.6062360510001,-110.394718774 68.5787459860001,-110.394717824 68.578745085,-110.370699983 68.5744361160001,-110.337090898 68.5799180480001,-110.287355032 68.6040091470001,-110.274407877 68.6116151080001,-110.267499769 68.6156729910001,-110.259391669 68.6190053870001,-110.244163923 68.6252633060001,-110.219999902 68.6291540180001,-110.191672925 68.630818161,-110.160554941 68.6305360270001,-110.129745195 68.6277118,-110.124163769 68.6271999910001,-109.970281769 68.6271999910001,-109.756954768 68.628581991,-109.743475489 68.6289398600001,-109.683317872 68.6305360270001,-109.656580947 68.6329877640001,-109.649999768 68.6335909910001,-109.602165978 68.6429108400001,-109.597226841 68.6438731430001,-109.553599873 68.6552540910001,-109.529700388 68.6628749930001,-109.523063768 68.6649909910001,-109.515302629 68.6670288970001,-109.491382011 68.673309214,-109.434717831 68.6861001660001,-109.399990936 68.6933181580001,-109.374163945 68.6963633030001,-109.345555001 68.6977540290001,-109.311946083 68.695818144,-109.263900008 68.694427084,-109.240847182 68.6948504980001,-109.234163768 68.694972991,-109.223097146 68.6955516470001,-109.191381961 68.697209205,-109.104717944 68.7105360960001,-108.993852922 68.7301042650001,-108.972499768 68.7338729910001,-108.965630919 68.735389114,-108.932217873 68.7427631720001,-108.674435793 68.829436075,-108.597226897 68.8591450600001,-108.536735875 68.891445059,-108.539926866 68.9132450490001,-108.539927721 68.9132456790001,-108.539927767 68.913245992,-108.554136671 68.9237117930001,-108.563599608 68.9306820610001,-108.530690767 68.944972992,-108.492218767 68.9474819920001,-108.483525675 68.9472567160001,-108.42804606 68.9458181300001,-108.298335941 68.941363316,-108.264446062 68.9391451290001,-108.209446025 68.9333181980001,-108.179960397 68.931380619,-108.175554767 68.9310909920001,-108.148768652 68.9310174920001,-107.976935886 68.9305451290001,-107.946673024 68.933018126,-107.746109001 68.9608180490001,-107.673891025 68.9636090550001,-107.646117924 68.9655451070001,-107.553881953 68.9755361680001,-107.50334595 68.982753992,-107.448258917 68.993221593,-107.431672766 68.996372992,-107.417199819 68.9996746560001,-107.374446025 69.009427052,-107.342217942 69.0188731220001,-107.30888194 69.030536038,-107.27180895 69.052209125,-107.248890982 69.0680541070001,-107.226672904 69.0841540660001,-107.199633296 69.106046147,-107.191672766 69.1124909920001,-107.187945995 69.115266648,-107.162217912 69.1344270450001,-107.138070168 69.1494547290001,-107.133190766 69.1524909920001,-107.039990766 69.1810909920001,-107.029549339 69.1834463690001,-106.963617936 69.1983181030001,-106.940281879 69.2087361380001,-106.931885451 69.2213033570001,-106.925345766 69.2310909920001,-106.961390766 69.2981819920001,-106.961390862 69.2981821110001,-106.990899749 69.339291001,-106.960554766 69.355681992,-106.956283038 69.3565390100001,-106.930826925 69.361645018,-106.862781964 69.3691360930001,-106.745535902 69.4077632560001,-106.738874858 69.4323872850001,-106.737572766 69.437199992,-106.611108765 69.4969909920001,-106.604594029 69.497076131,-106.563054997 69.4976180960001,-106.541381909 69.4933181800001,-106.524279334 69.4871430900001,-106.521390765 69.486099992,-106.518497924 69.4848071960001,-106.49527306 69.4744270460001,-106.316391008 69.3866541030001,-106.286891775 69.3302125600001,-106.268336765 69.294709992,-106.278595545 69.2792617440001,-106.280972941 69.2756822310001,-106.289016804 69.271638362,-106.307772765 69.2622099920001,-106.367387653 69.247104666,-106.381255037 69.2435911090001,-106.405408999 69.224073177,-106.407908986 69.1845632320001,-106.28889099 69.1602632560001,-106.261697252 69.1557663670001,-106.256954765 69.154981992,-106.247177466 69.1535340010001,-106.185690986 69.144427159,-106.073439212 69.151650171,-106.038890765 69.1538729920001,-106.007445158 69.157204049,-105.911100005 69.167409164,-105.882870662 69.1702301510001,-105.874163765 69.1710999920001,-105.8646896 69.1713396910001,-105.830290914 69.1722091450001,-105.776795109 69.1714904350001,-105.768063765 69.171372992,-105.749986456 69.1701094060001,-105.616945997 69.160809086,-105.586794851 69.15713291,-105.580563765 69.1563729920001,-105.553881764 69.152481992,-105.545943469 69.149339092,-105.511126816 69.1355540760001,-105.480073038 69.1139450270001,-105.160281973 69.0719270490001,-105.130115746 69.0873395300001,-105.122772764 69.091090992,-105.115488439 69.0943616270001,-105.089990998 69.1058092160001,-105.06499985 69.1041541260001,-104.920899961 69.0723451640001,-104.927201643 69.045926917,-104.929445812 69.0365189720001,-105.039172764 68.9902639920001,-105.064708764 68.9869279920001,-105.137636764 68.9912279920001,-105.178181764 68.9901189920001,-105.248890764 68.9455279920001,-105.248890079 68.9455276460001,-105.248890927 68.945527111,-105.212730039 68.927275491,-105.193327764 68.917481992,-105.166108764 68.9060999920001,-105.16284823 68.9051679950001,-105.136946084 68.8977631700001,-104.849990957 68.8702540990001,-104.583617929 68.8597091620001,-104.543608926 68.8633091900001,-104.516535882 68.8710822310001,-104.495146103 68.883327019,-104.474445987 68.90165405,-104.468567529 68.913318395,-104.461181763 68.927972992,-104.438045763 68.937899992,-104.402499763 68.9310909920001,-104.391825358 68.928377401,-104.287782009 68.9019271320001,-104.138346086 68.865536094,-104.102499871 68.858036134,-103.892447657 68.8409797890001,-103.835827763 68.836381992,-103.509172763 68.801372992,-103.499140737 68.7990885120001,-103.403063912 68.777209107,-103.364026874 68.811100159,-103.341108907 68.8222180830001,-103.320845991 68.8297091570001,-103.201808884 68.844018072,-103.164036193 68.842222765,-103.155145762 68.8417999920001,-103.133076614 68.8352370640001,-103.04723586 68.809709098,-102.998190998 68.7948451340001,-102.904499885 68.7995050440001,-102.894727762 68.7999909920001,-102.894727542 68.799991091,-102.894726964 68.7999911190001,-102.818891024 68.8341540810001,-102.763064028 68.8777632790001,-102.6401461 68.8658180610001,-102.614387342 68.8611267570001,-102.611945762 68.8606819920001,-102.60884413 68.860661758,-102.589717888 68.8605361210001,-102.535826945 68.8644271680001,-102.497880981 68.8696692390001,-102.485545762 68.871372992,-102.390145762 68.9172729920001,-102.344469531 68.930950179,-102.323627233 68.9371910190001,-102.163054761 68.945399992,-102.157537295 68.9472805020001,-102.137926936 68.953963161,-102.123362193 68.9683343470001,-102.119572761 68.9720729920001,-102.096654761 68.9885909920001,-102.089449724 68.9900342820001,-102.054991021 68.9969360050001,-102.032012856 68.9929971380001,-102.027363761 68.9921999920001,-102.024317662 68.9899767630001,-101.997508935 68.9704091250001,-101.969855024 68.966663253,-101.948881994 68.9677540740001,-101.899172949 68.975263253,-101.851390904 68.984418136,-101.809863938 68.999836144,-101.793176429 69.0477434430001,-101.753063761 69.1628999920001,-101.777781761 69.1927549920001,-101.930263763 69.2610999880001,-101.930263943 69.261100066,-101.932637211 69.2608808150001,-101.957227761 69.2586099920001,-102.004385498 69.2439584700001,-102.011390875 69.241782126,-102.024101189 69.236209795,-102.040836761 69.228872992,-102.057145761 69.2056099920001,-102.067918761 69.188172992,-102.087363761 69.1794279920001,-102.107560135 69.1809489560001,-102.113190933 69.1813732470001,-102.146494048 69.195424157,-102.217218063 69.2252636970001,-102.230835806 69.262636134,-102.197426881 69.279018061,-102.159745522 69.2729691390001,-102.154163761 69.2720729920001,-102.035281761 69.2871999920001,-101.933881761 69.4110909920001,-101.933881911 69.4110912020001,-101.934272939 69.411590694,-101.951381761 69.433445992,-102.039506442 69.4755788240001,-102.052499919 69.4817912190001,-102.060217712 69.4829274510001,-102.093063761 69.4877639920001,-102.305545761 69.4984549920001,-102.466108762 69.4808189920001,-102.489727762 69.4694369920001,-102.509727762 69.442609992,-102.722781762 69.380263992,-102.74527707 69.3764380040001,-102.753890874 69.37497325,-102.764043105 69.375735417,-102.800136762 69.3784459920001,-102.832154762 69.3841639920001,-102.872499762 69.3605369920001,-102.947081762 69.2934549920001,-102.974990762 69.265263992,-102.990573321 69.2463031070001,-103.002499966 69.2317912330001,-103.029163974 69.211382137,-103.07417295 69.187482146,-103.104999914 69.1760911390001,-103.111583365 69.172978567,-103.135554762 69.161645992,-103.182218339 69.11110045,-103.206108762 69.1231730630001,-103.206108762 69.1974092450001,-103.16625503 69.212209095,-103.118882022 69.2222180940001,-103.081370416 69.235306037,-103.071954762 69.2385909920001,-103.044445762 69.252490992,-103.039777913 69.257437387,-103.02111785 69.2772090780001,-103.007781907 69.32693606,-103.004392812 69.346272486,-102.991108762 69.4220639920001,-103.013899762 69.4741549920001,-103.022043734 69.4871235300001,-103.035135912 69.5079732670001,-103.066117941 69.52179117,-103.070115203 69.5218147410001,-103.089172762 69.521927992,-103.306325343 69.568755706,-103.335281975 69.575000162,-103.505708704 69.6153911740001,-103.488344421 69.668956887,-103.48179999 69.689145087,-103.423481893 69.7058180340001,-103.330325033 69.693322794,-103.321954762 69.6921999940001,-103.266108762 69.669981992,-103.262763293 69.6678941070001,-103.228745974 69.6466632550001,-103.205563977 69.6369360560001,-103.186663958 69.6294270440001,-103.085281989 69.5972180730001,-102.943881965 69.5594180360001,-102.820826908 69.5312360660001,-102.603055005 69.538318104,-102.513963924 69.5611540960001,-102.497772936 69.5952632450001,-102.497772823 69.5952638640001,-102.497772762 69.5952639920001,-102.49723152 69.5982064660001,-102.480835792 69.687336105,-102.480836829 69.6873366240001,-102.480836762 69.687336992,-102.500554762 69.697199992,-102.50055483 69.697199982,-102.500555058 69.6972000960001,-102.50413428 69.6966553070001,-102.526118762 69.6933099920001,-102.567918762 69.6902549920001,-102.596245762 69.6959459920001,-102.658054762 69.7369279920001,-102.672008762 69.7604819920001,-102.668918391 69.7606388580001,-102.648899992 69.7616540820001,-102.611108841 69.7434541200001,-102.586135579 69.7382520510001,-102.584445762 69.7378999920001,-102.572397974 69.741172271,-102.510273036 69.7580450020001,-102.375817921 69.80941819,-102.235554986 69.9152631870001,-102.217288384 69.9150445440001,-102.212081761 69.9149819930001,-102.194030596 69.907042791,-102.065555069 69.8505361190001,-102.023064016 69.817763212,-101.955700002 69.7472092130001,-101.935272969 69.7354001160001,-101.935272761 69.7353999920001,-101.931512271 69.7350602170001,-101.896946045 69.7319360440001,-101.872424823 69.7404029090001,-101.863190761 69.7435909920001,-101.765345759 69.7206729960001,-101.694581761 69.6824909920001,-101.687008327 69.682538504,-101.652499908 69.682754054,-101.607772899 69.7058270860001,-101.562108961 69.7555091410001,-101.555440392 69.7693387880001,-101.543745761 69.7935909920001,-101.538713393 69.8008692560001,-101.519726874 69.828327093,-101.474026893 69.887209124,-101.450826959 69.907345138,-101.424073526 69.8948463620001,-101.420064061 69.8929731330001,-101.433044171 69.8653884,-101.437354761 69.8562279930001,-101.455543791 69.8429658700001,-101.467155074 69.8345001970001,-101.464654554 69.827332142,-101.454727761 69.798872992,-101.438318761 69.769718992,-101.438318148 69.7697184510001,-101.438317974 69.769718143,-101.3263909 69.6709540100001,-101.294705831 69.665715408,-101.283618761 69.663881992,-101.224733051 69.659778998,-101.064435806 69.648609197,-100.972832566 69.6599115560001,-100.96319976 69.6610999920001,-100.961398753 69.661869058,-100.94303584 69.6697091300001,-100.92429994 69.6926180450001,-100.924299894 69.6926188290001,-100.92429976 69.6926189920001,-100.922908808 69.7162361860001,-100.908344624 69.7401542550001,-100.89999076 69.7538729920001,-100.894109729 69.7586403380001,-100.878054968 69.7716540280001,-100.869999959 69.788318089,-100.869999959 69.7883185810001,-100.86999976 69.788318992,-100.86999976 69.8144189920001,-100.88694576 69.884154993,-100.92194576 69.965272993,-100.96028176 70.053036993,-100.97470876 70.1398459930001,-100.97860876 70.1601279930001,-100.99973676 70.172763993,-101.03971876 70.1830459930001,-101.11151876 70.1923369930001,-101.13228176 70.163245993,-101.204288676 70.140706558,-101.230563954 70.13248222,-101.259946045 70.1417911620001,-101.286663758 70.1524820000001,-101.286664032 70.152482112,-101.29085598 70.153758817,-101.366927761 70.176927993,-101.394727761 70.1449909930001,-101.533199761 70.107763993,-101.555972761 70.1115099930001,-101.586893527 70.1344510150001,-101.618326889 70.157773272,-101.642214977 70.1967732590001,-101.646390761 70.203590993,-101.640554969 70.228809094,-101.605563933 70.2477540080001,-101.597034903 70.261484017,-101.591563761 70.2702909930001,-101.59156399 70.2702910770001,-101.591563975 70.270291102,-101.689990758 70.3065,-101.689990988 70.306500086,-101.714717938 70.3088731700001,-101.804726837 70.2999821500001,-101.804726885 70.2999820790001,-101.804727761 70.2999819930001,-101.821181761 70.275409993,-101.843608761 70.2584639930001,-101.869027761 70.2537369930001,-101.893336761 70.2544369930001,-101.925554761 70.2605459930001,-101.967281962 70.2756915400001,-101.987917858 70.2831821340001,-102.031466527 70.3020856730001,-102.117490761 70.3394279930001,-102.281390761 70.384154993,-102.333327761 70.3977639930001,-102.373672359 70.4083298610001,-102.408617817 70.4174821840001,-102.457499903 70.4263732040001,-102.468731878 70.4285086020001,-102.520281762 70.4383099930001,-102.591379163 70.4549461280001,-102.608199985 70.4588822480001,-102.63302398 70.4654094750001,-102.744454762 70.4947099930001,-102.835826968 70.54803653,-102.84497627 70.5808575780001,-102.847154762 70.588672993,-102.847154941 70.5886730670001,-102.847154969 70.5886731690001,-103.002499966 70.6527732710001,-103.006881165 70.6542311250001,-103.025008762 70.6602639930001,-103.076245762 70.671236993,-103.103145208 70.6734877920001,-103.112635828 70.6742822400001,-103.112636626 70.6742819820001,-103.112636762 70.6742819930001,-103.119746311 70.6719839080001,-103.152263957 70.6614731830001,-103.139999892 70.6094180440001,-103.126099846 70.573882127,-103.126099803 70.5738820970001,-103.126099762 70.573881993,-103.104036762 70.5585819930001,-103.088216825 70.5531801270001,-103.055264047 70.5419271270001,-103.031345157 70.535283883,-103.030290762 70.5349909930001,-102.966254762 70.5263729930001,-102.923190999 70.5030731210001,-102.933117551 70.500129277,-102.968745762 70.489563993,-103.005769328 70.491823116,-103.011946036 70.4922001450001,-103.022368489 70.492926514,-103.095554762 70.4980279930001,-103.123058238 70.5031144070001,-103.12720894 70.503882171,-103.149726923 70.513882117,-103.181579529 70.533661941,-103.204727762 70.548036993,-103.239436762 70.569445993,-103.265008762 70.5816639930001,-103.318181762 70.5959549930001,-103.342772762 70.596645993,-103.398354762 70.590545993,-103.439056667 70.5874211120001,-103.441935826 70.5872001330001,-103.447813155 70.5872014720001,-103.481663763 70.587209993,-103.515145763 70.5916639930001,-103.556381763 70.6008189930001,-103.598890763 70.6158189930001,-103.635136763 70.6396369930001,-103.731108763 70.691654993,-103.806108763 70.7230369930001,-103.923109675 70.740417624,-103.932354947 70.7417910940001,-103.934815896 70.7419790660001,-103.963054763 70.744136993,-103.994999763 70.754018993,-104.022354763 70.777909993,-104.042772763 70.8041549930001,-104.049308763 70.8297099930001,-104.076399763 70.863036993,-104.099990763 70.8913729930001,-104.114638924 70.907054504,-104.119708756 70.9124820000001,-104.119708924 70.9124821830001,-104.133265367 70.9186937310001,-104.230972763 70.9634639940001,-104.337781763 70.9797099940001,-104.456672763 71.013609994,-104.487287988 71.0240597440001,-104.489163939 71.024700109,-104.491172468 71.0255223360001,-104.536663764 71.0441459940001,-104.578054764 71.062490994,-104.604718707 71.079709957,-104.604718758 71.07971,-104.648617867 71.1191361880001,-104.623608995 71.133609194,-104.584308934 71.1466541180001,-104.556108858 71.155545138,-104.533811629 71.1652715260001,-104.525554764 71.1688729940001,-104.51836864 71.1723318310001,-104.496108848 71.1830449890001,-104.47055494 71.1997092180001,-104.446664001 71.2219271290001,-104.44013584 71.241518151,-104.444009705 71.2633084670001,-104.444308763 71.2649909940001,-104.444308834 71.264991057,-104.444308854 71.2649911680001),(-100.538160765 70.6751253460001,-100.65194576 70.6697099930001,-100.66443676 70.6377729930001,-100.67832776 70.594145993,-100.680781515 70.585672743,-100.681381991 70.5836001060001,-100.681381991 70.5730451100001,-100.676390903 70.5633091940001,-100.668038564 70.5576198310001,-100.66680876 70.5567819930001,-100.661211011 70.554703773,-100.630546084 70.5433181880001,-100.499163942 70.503327122,-100.475598729 70.4971813240001,-100.47249976 70.4963729930001,-100.448967901 70.4911814880001,-100.276108925 70.45304509,-100.261285519 70.450241546,-100.26000876 70.4499999930001,-100.258298875 70.4499124540001,-100.243326799 70.4491449910001,-100.227626824 70.4541540160001,-100.218335819 70.5644181200001,-100.218336801 70.5644184980001,-100.21833676 70.5644189930001,-100.31945476 70.6033189930001,-100.33639976 70.6044279930001,-100.34722776 70.608036993,-100.44763676 70.649845993,-100.450047237 70.6516598410001,-100.461117813 70.6599910950001,-100.465445503 70.6650712190001,-100.46916376 70.669436993,-100.47999976 70.673309993,-100.49499976 70.675263993,-100.508664194 70.676158237,-100.511946009 70.67637319,-100.538160765 70.6751253460001),(-97.423710903 69.8936960570001,-97.418336757 69.8935999930001,-97.390064901 69.886803838,-97.3177819049999 69.8694270840001,-97.308882 69.860263317,-97.299580135 69.8562697890001,-97.299163757 69.8560909930001,-97.2977024309999 69.855772664,-97.283891021 69.8527631900001,-97.272446359 69.8525448490001,-97.2691637569999 69.8524819930001,-97.263388875 69.8539591520001,-97.2404088919999 69.8598360080001,-97.228755029 69.870818145,-97.228755187 69.870818587,-97.228754757 69.8708189930001,-97.231569448 69.8786849690001,-97.2340269109999 69.8855540340001,-97.234027489 69.885554244,-97.234027757 69.885554993,-97.246474559 69.8900888950001,-97.249999969 69.891373254,-97.2547364339999 69.8920219450001,-97.2723637569999 69.8944369930001,-97.2899907569999 69.8930549930001,-97.301663757 69.8897099930001,-97.3166316699999 69.888811043,-97.320145937 69.888600185,-97.324306013 69.8895976490001,-97.337509757 69.8927639930001,-97.349445757 69.8990189930001,-97.3491704469999 69.90181362,-97.3479269169999 69.9144271760001,-97.327499884 69.931653999,-97.327500131 69.931654677,-97.3274997569999 69.9316549930001,-97.331945757 69.9438729930001,-97.331945949 69.943873049,-97.331945981 69.9438731370001,-97.334025541 69.9444838640001,-97.350827757 69.9494189930001,-97.437499757 69.9619279930001,-97.453609757 69.963045993,-97.466399757 69.960818993,-97.476109757 69.9555549930001,-97.486799757 69.9466369930001,-97.486799924 69.9466361820001,-97.486799966 69.946636148,-97.492764025 69.917754121,-97.488890915 69.9080361420001,-97.48028203 69.8988820980001,-97.4802818219999 69.898882062,-97.4802817569999 69.898881993,-97.465836757 69.896381993,-97.4621162729999 69.895891341,-97.448881912 69.8941451490001,-97.423710903 69.8936960570001),(-97.942236534 69.893405085,-97.945546054 69.8936001580001,-97.950399579 69.8933642380001,-97.974163757 69.8922099930001,-98.0059727569999 69.8869369930001,-98.038608757 69.874836993,-98.051815462 69.8607683340001,-98.0576999419999 69.8545000880001,-98.065217648 69.847065054,-98.084163758 69.8283279920001,-98.112918758 69.8126189920001,-98.1438907579999 69.8063639920001,-98.2022907579999 69.801709992,-98.221920913 69.7927136850001,-98.2302819879999 69.7888821920001,-98.2504174329999 69.7743790690001,-98.281954758 69.751663992,-98.317918758 69.717909992,-98.35273231 69.628280681,-98.364155064 69.5988731630001,-98.364154725 69.5988730770001,-98.364154758 69.5988729920001,-98.330290758 69.5902729920001,-98.323595037 69.589299553,-98.295835847 69.5852632990001,-98.268112478 69.5788072880001,-98.2594547589999 69.5767909910001,-98.257664657 69.575378841,-98.211399758 69.538881992,-98.188599957 69.5161001930001,-98.188599758 69.5160999920001,-98.162090758 69.501372992,-98.071399758 69.4688729920001,-98.0014550239999 69.443800078,-98.040208922 69.424491188,-98.085555018 69.4238732740001,-98.248608852 69.4849822090001,-98.2844357879999 69.506382214,-98.316663959 69.528182149,-98.316664037 69.5281822050001,-98.336536758 69.5437279920001,-98.354163758 69.5569189920001,-98.383550772 69.5654970310001,-98.385555068 69.566082152,-98.391776192 69.567314713,-98.433318758 69.5755459920001,-98.4850402019999 69.582713428,-98.49347291 69.5838821290001,-98.531390964 69.584991223,-98.5404729589999 69.582420572,-98.568681758 69.5744369920001,-98.601318758 69.5400549920001,-98.596965389 69.5254386010001,-98.594308882 69.5165181140001,-98.5709729929999 69.5065181690001,-98.555536758 69.5028434810001,-98.549436758 69.501390992,-98.52618145 69.4972218520001,-98.456390868 69.484709127,-98.422669345 69.4699294870001,-98.4221461179999 69.4697001500001,-98.4280431129999 69.4678486550001,-98.447772758 69.461654992,-98.477490758 69.461927992,-98.508345758 69.463318992,-98.547081758 69.4715099920001,-98.579445758 69.474354992,-98.6104087579999 69.4469189920001,-98.610408408 69.4469185280001,-98.610408842 69.4469181430001,-98.598054922 69.4305451010001,-98.575310024 69.4139520750001,-98.559027758 69.4020729920001,-98.550005691 69.3984299460001,-98.5294460269999 69.390127061,-98.49236179 69.3834830540001,-98.482918758 69.381790992,-98.4487548709999 69.3679000380001,-98.418598846 69.3462619640001,-98.418598781 69.346261917,-98.389245973 69.325200147,-98.39679925 69.3159164510001,-98.4069457579999 69.303445992,-98.4413727579999 69.2980369920001,-98.533890758 69.2913639920001,-98.615554758 69.294709992,-98.702227758 69.2169279920001,-98.723127758 69.192963992,-98.774445758 69.175536992,-98.7980457579999 69.1705369920001,-98.958144595 69.1443620750001,-99.0069550059999 69.136382208,-99.012639668 69.136269004,-99.0352817579999 69.1358189920001,-99.1683367589999 69.1383189920001,-99.238054759 69.149718992,-99.304027759 69.1587369920001,-99.4804087589999 69.1278279920001,-99.513627759 69.1019279920001,-99.591681759 69.0219369920001,-99.591681332 69.0219366580001,-99.591681937 69.021936037,-99.5625000059999 68.9991451390001,-99.538487005 68.9896161680001,-99.523327759 68.9835999920001,-99.489163938 68.9674820760001,-99.452008921 68.9388001250001,-99.4499999449999 68.9051271750001,-99.432917962 68.8891541180001,-99.41332694 68.884153977,-99.311390927 68.8688632060001,-99.267226846 68.8591450600001,-99.2461089769999 68.852763247,-99.2381059419999 68.8494671190001,-99.236663759 68.8488729920001,-99.2334737319999 68.846770377,-99.210554955 68.8316633140001,-99.185525884 68.8257413790001,-99.182354759 68.824990992,-99.159852073 68.8310688770001,-99.044017938 68.8623539880001,-99.044018911 68.8623549500001,-99.0440187579999 68.8623549920001,-99.069308758 68.887354992,-99.0958355719999 68.8994274520001,-99.077499953 68.9183181120001,-98.987082016 68.949145075,-98.965835903 68.9494181580001,-98.862727255 68.9353971410001,-98.849445821 68.933591,-98.8400648419999 68.926431687,-98.819964023 68.9110911940001,-98.833594399 68.9014420620001,-98.859581758 68.8830459920001,-98.864572043 68.8713349330001,-98.875208922 68.846373219,-98.875208732 68.8463730540001,-98.875208758 68.8463729920001,-98.868313836 68.840377763,-98.853335842 68.8273540100001,-98.7753359869999 68.8053625800001,-98.7247187579999 68.7910909920001,-98.5194547579999 68.747481991,-98.5132197889999 68.7473164200001,-98.483190997 68.746518097,-98.455415766 68.749532667,-98.451108758 68.749999991,-98.443472057 68.7530587620001,-98.40555496 68.7682449960001,-98.397781918 68.794427044,-98.397782007 68.794427151,-98.397781758 68.7944279920001,-98.415281758 68.815263992,-98.415205401 68.823052648,-98.4149269339999 68.85137315,-98.413541521 68.8516388310001,-98.3765269199999 68.8587360230001,-98.28849349 68.8366404770001,-98.269172758 68.831790992,-98.243608981 68.81707312,-98.252784613 68.8035477170001,-98.262363758 68.7894279920001,-98.273019505 68.773831848,-98.285973029 68.7548731790001,-98.284682499 68.7537682350001,-98.261127758 68.7335999910001,-98.253358146 68.728839678,-98.2402819339999 68.7208270610001,-98.12485508 68.6727632170001,-98.099164044 68.6709632870001,-98.0811179739999 68.6804001360001,-98.070199356 68.6865277810001,-98.056381758 68.6942819910001,-98.050056362 68.6942516230001,-98.028054995 68.6941451160001,-97.918608964 68.6755361180001,-97.781677298 68.644531199,-97.7272187569999 68.6321999910001,-97.6875918599999 68.6134855290001,-97.6672179179999 68.603863302,-97.592045032 68.5717207320001,-97.578899757 68.566099991,-97.575711199 68.5649200550001,-97.553326796 68.556636139,-97.506117906 68.5419270720001,-97.467508848 68.5348450340001,-97.2571866869999 68.517614774,-97.1811097569999 68.5113819910001,-97.148336757 68.5138819910001,-97.1476525159999 68.5140393600001,-97.125408845 68.5191541120001,-97.0958358139999 68.535263291,-96.9211088389999 68.519718046,-96.768335913 68.4852632270001,-96.728465462 68.4772069110001,-96.7174997559999 68.4749909910001,-96.5305637559999 68.444972991,-96.503618756 68.4460909910001,-96.479244643 68.4490381090001,-96.299708902 68.4707451,-96.2636179359999 68.4923360450001,-96.1497358669999 68.557209126,-95.994863944 68.6205360810001,-95.859726877 68.6533180390001,-95.850783045 68.6664138520001,-95.848345755 68.669981991,-95.836971539 68.6842563760001,-95.7961089029999 68.735536128,-95.614990894 68.7530539700001,-95.597082051 68.7528156430001,-95.593890755 68.752772991,-95.59044169 68.751700677,-95.563890957 68.7434451240001,-95.553768029 68.7281652360001,-95.5423187549999 68.7108819910001,-95.5354678859999 68.7109906860001,-95.4763909279999 68.7119271560001,-95.268055036 68.800127074,-95.2097268809999 68.8511001090001,-95.234581906 68.8649822180001,-95.250555643 68.870158776,-95.328472755 68.8954099920001,-95.352812875 68.8985877090001,-95.35819989 68.899291191,-95.3629017169999 68.8987863520001,-95.384027755 68.896518992,-95.424709755 68.886654992,-95.4466547549999 68.8791549920001,-95.489990755 68.861645992,-95.5061050589999 68.8543683080001,-95.5102819799999 68.8524821180001,-95.518345355 68.8470292920001,-95.5283367549999 68.8402729920001,-95.550281755 68.833054992,-95.5719343439999 68.8306978210001,-95.575835839 68.8302732590001,-95.585918659 68.829549087,-95.626099755 68.8266639920001,-95.664027053 68.8357548230001,-95.670135938 68.8629001530001,-95.697894365 68.871345289,-95.760972755 68.8905369920001,-95.8202817549999 68.8702549920001,-95.843890755 68.9230369920001,-95.932072756 68.999563992,-95.952394651 69.021535746,-95.974726925 69.045682137,-95.953608887 69.067218096,-95.93103163 69.0828538380001,-95.9273547559999 69.0853999920001,-95.933338946 69.097776449,-95.95361794 69.1397180380001,-95.953618596 69.1397186630001,-95.953618756 69.139718992,-96.044445756 69.2260999920001,-96.044446083 69.2261000840001,-96.0666727559999 69.231936992,-96.154790756 69.167409992,-96.1547907299999 69.1674093560001,-96.154790992 69.167409164,-96.1541430939999 69.1512023380001,-96.152218756 69.103045992,-96.1340466679999 69.063521619,-96.1299909529999 69.0547002260001,-96.128552479 69.051001983,-96.120136756 69.0293639920001,-96.155358897 69.0308935350001,-96.166399928 69.0313732220001,-96.171299113 69.0325520010001,-96.195263756 69.038318992,-96.230972756 69.058309992,-96.230279384 69.0661947580001,-96.223617817 69.1419360570001,-96.212548754 69.211646569,-96.211399756 69.218881992,-96.20886124 69.2220106830001,-96.198335818 69.2349822240001,-96.182989713 69.248509874,-96.172563756 69.257699992,-96.2024997569999 69.3013729910001,-96.202499947 69.301373267,-96.2181669569999 69.308545548,-96.301390756 69.346645992,-96.320281756 69.354709992,-96.502499756 69.4097189920001,-96.627443488 69.43508989,-96.6377909559999 69.4371911120001,-96.6579847249999 69.4416864470001,-96.873054756 69.4895639920001,-96.9555637559999 69.523318992,-97.018371068 69.5518483130001,-97.064435864 69.572773258,-97.080836661 69.5848719030001,-97.098681757 69.5980369920001,-97.1095817569999 69.6190819920001,-97.1095819669999 69.619082098,-97.20695504 69.6674822260001,-97.208924974 69.668298523,-97.226390757 69.675536992,-97.281536757 69.696363992,-97.3058156709999 69.6930685120001,-97.310135933 69.692482258,-97.310136083 69.6924820840001,-97.310136757 69.6924819920001,-97.3297277569999 69.669709992,-97.346484185 69.6421057740001,-97.350554979 69.6354001560001,-97.365915759 69.6177435160001,-97.385345757 69.595409992,-97.484090188 69.669009568,-97.469117949 69.6789335610001,-97.4620907569999 69.6835909920001,-97.457732054 69.6840099070001,-97.441935829 69.6855271220001,-97.404864012 69.685118086,-97.3716514669999 69.68892263,-97.364863757 69.689699992,-97.3607566859999 69.692014934,-97.3424268799999 69.702345076,-97.3424281549999 69.702345768,-97.3424277569999 69.7023459920001,-97.425444198 69.7474038820001,-97.449154995 69.760273247,-97.4783185759999 69.7651117030001,-97.5797277569999 69.7819369920001,-97.604498811 69.7873818460001,-97.6099998609999 69.7885911720001,-97.61732653 69.7907491670001,-97.659999757 69.8033189920001,-97.688390757 69.8165099920001,-97.749598794 69.848550082,-97.755008966 69.8513821880001,-97.880281874 69.884991105,-97.8840485759999 69.885643658,-97.9219457569999 69.8922099930001,-97.942236534 69.893405085),(-95.919999756 69.5952639920001,-96.010427756 69.480545992,-95.990827756 69.3533189920001,-95.990826983 69.3533187400001,-95.9908268839999 69.3533181010001,-95.978882002 69.3494270530001,-95.964141969 69.346811335,-95.961672756 69.3463729920001,-95.950705474 69.34539412,-95.8994460339999 69.3408181680001,-95.872217925 69.3427540530001,-95.862208927 69.34803616,-95.797226881 69.4816540910001,-95.809435794 69.4955271470001,-95.817508907 69.504991154,-95.820468408 69.5102920990001,-95.8227817549999 69.5144369920001,-95.829590632 69.5569272230001,-95.815826827 69.5627632540001,-95.751931691 69.5564828650001,-95.7366637549999 69.5549819920001,-95.733756345 69.5545950120001,-95.719999881 69.5527633080001,-95.710589842 69.549698779,-95.708054755 69.548872992,-95.706476682 69.547874709,-95.694445972 69.5402632080001,-95.66915492 69.5074911400001,-95.666399957 69.4977540510001,-95.648346121 69.403318756,-95.6577727549999 69.397218992,-95.669154755 69.3941459920001,-95.693881755 69.3894369920001,-95.716945755 69.3827549920001,-95.7297277549999 69.375809992,-95.740345755 69.330754992,-95.7403457199999 69.3307549720001,-95.7403459449999 69.3307540170001,-95.722782002 69.3208271620001,-95.7069549569999 69.3194451530001,-95.692490977 69.319154134,-95.634173047 69.318327175,-95.621834771 69.3185694260001,-95.620272755 69.318599992,-95.618707746 69.31866252,-95.606382009 69.319154134,-95.551874485 69.3241573990001,-95.539718755 69.3252729920001,-95.527218755 69.3274819920001,-95.52721798 69.32748222,-95.527217951 69.327482226,-95.515835829 69.3308271070001,-95.402499925 69.383327158,-95.362208955 69.4988732020001,-95.3629178959999 69.511382187,-95.367824314 69.5138613840001,-95.375545755 69.5177639920001,-95.452499755 69.5502639920001,-95.4888907549999 69.565536992,-95.612209755 69.6144279920001,-95.624411368 69.615949534,-95.625546057 69.6160911010001,-95.6357240729999 69.617234281,-95.7738997549999 69.6327549920001,-95.789445755 69.634154992,-95.9091637559999 69.5994279920001,-95.919999756 69.5952639920001),(-96.169727756 69.5669369920001,-96.184436756 69.5672189920001,-96.194139953 69.5607764390001,-96.196390881 69.559282249,-96.198308992 69.5577340560001,-96.207227756 69.550536992,-96.216584327 69.5469414990001,-96.218063968 69.5463731130001,-96.291673004 69.5311001110001,-96.316390901 69.526382106,-96.332081854 69.532200102,-96.342613948 69.543911789,-96.344581924 69.546100198,-96.347986866 69.5489338660001,-96.3554187559999 69.5551189920001,-96.373609756 69.560809992,-96.401672756 69.562763992,-96.461118756 69.5641459920001,-96.563327756 69.5641459920001,-96.663054756 69.569718992,-96.676936756 69.5783279920001,-96.691663756 69.5819369920001,-96.715744819 69.582381689,-96.721663967 69.5824912360001,-96.731954496 69.5802178540001,-96.736109756 69.5792999920001,-96.654172756 69.524990992,-96.651132205 69.523326341,-96.630826935 69.512209146,-96.557251736 69.4787888770001,-96.548890756 69.4749909920001,-96.524718756 69.467481992,-96.51980645 69.466623842,-96.50723594 69.4644271010001,-96.470983212 69.4628775050001,-96.461945756 69.462490992,-96.45597192 69.4619634690001,-96.430554937 69.459718147,-96.401108976 69.4530451470001,-96.3919765379999 69.449010958,-96.382218756 69.444699992,-96.368886786 69.4361737190001,-96.3483460689999 69.4230360890001,-96.333618203 69.4097183650001,-96.328785457 69.404236843,-96.3252909729999 69.400273187,-96.3252908709999 69.400273122,-96.325290756 69.4002729920001,-96.3049907559999 69.3874999920001,-96.302485153 69.386179048,-96.2886089149999 69.3788632920001,-96.2700089689999 69.370818173,-96.248608964 69.363036079,-96.2338910129999 69.3597091340001,-96.1633269549999 69.34803616,-96.146955239 69.348536219,-96.144863756 69.3485999920001,-96.137167273 69.3667679850001,-96.098617824 69.457763152,-96.0961178379999 69.4680450650001,-96.097307535 69.478963751,-96.097781756 69.4833189920001,-96.099699892 69.4882034240001,-96.102635941 69.4956822120001,-96.135378932 69.544575604,-96.1363997559999 69.5460999920001,-96.135554756 69.554009992,-96.1458266399999 69.55992138,-96.152217916 69.5636001030001,-96.156984487 69.5645082820001,-96.169727756 69.5669369920001),(-104.553326905 68.537200182,-104.682499912 68.57388224,-104.711935815 68.5786000780001,-104.717527528 68.5791920840001,-104.746108764 68.582218991,-104.761672764 68.582763991,-104.88084555 68.583662244,-104.909999852 68.583882186,-104.915347779 68.5837783970001,-104.938599764 68.583327991,-104.983542839 68.5782154770001,-104.989990869 68.5774821000001,-104.993163744 68.5769295170001,-105.013899764 68.5733189910001,-105.024718764 68.5705459910001,-105.044154764 68.5627639910001,-105.068797448 68.5520005880001,-105.081682017 68.546373169,-105.081681724 68.546373009,-105.081681764 68.5463729910001,-104.937499764 68.4674819910001,-104.91915507 68.4599911180001,-104.919154764 68.459990991,-104.883054764 68.4499999910001,-104.866100241 68.445606437,-104.759746023 68.418045057,-104.708617922 68.405254105,-104.698643353 68.4034459650001,-104.693327764 68.4024819910001,-104.679800259 68.4005530520001,-104.646663923 68.395827147,-104.586672965 68.394436086,-104.554108476 68.395745069,-104.545272764 68.396099991,-104.539283668 68.396611244,-104.519172996 68.3983271330001,-104.483317896 68.4047091140001,-104.451108925 68.4133181670001,-104.441381894 68.4172092140001,-104.432917848 68.4266541100001,-104.427180152 68.4367055660001,-104.426108763 68.438581991,-104.427781763 68.4569369910001,-104.440554765 68.476090991,-104.440554935 68.4760912460001,-104.441158728 68.4767351960001,-104.449154763 68.4852639910001,-104.466390763 68.501099991,-104.466390857 68.5011000520001,-104.466390978 68.501100163,-104.46687108 68.5014094620001,-104.482772763 68.5116549910001,-104.509172764 68.5233189910001,-104.529999764 68.5305459910001,-104.545791079 68.5350502530001,-104.553326905 68.537200182),(-101.860281924 68.5697181100001,-101.845555088 68.5666632420001,-101.831126815 68.566936157,-101.719332171 68.6281142570001,-101.701681761 68.6377729910001,-101.696287497 68.6444889650001,-101.682499913 68.6616540100001,-101.682338398 68.662553233,-101.680554761 68.672481991,-101.699999761 68.7377639910001,-101.693881761 68.768054991,-101.765080201 68.7813472940001,-101.778608995 68.7838732230001,-101.911945964 68.816082194,-101.939435924 68.822491165,-101.9436466 68.8229106890001,-101.956127761 68.824154992,-101.984999761 68.824154992,-101.998336761 68.8230459920001,-102.023063761 68.8194459920001,-102.046799761 68.8083189920001,-102.052289314 68.801267533,-102.055554955 68.7970732110001,-102.049582011 68.7820731250001,-102.050526565 68.779712256,-102.054027761 68.7709639920001,-102.073054761 68.7569459910001,-102.087505517 68.7509464570001,-102.09249987 68.7488732450001,-102.11389099 68.742482211,-102.119037418 68.7412120760001,-102.136399761 68.7369279910001,-102.147233536 68.7352026030001,-102.148617886 68.7349822520001,-102.152592771 68.7340088280001,-102.216663761 68.718318991,-102.287738975 68.696265028,-102.312499851 68.6885822150001,-102.315268823 68.676930725,-102.316390761 68.672209991,-102.316390709 68.67220997,-102.316390898 68.6722091730001,-102.254999995 68.646945111,-102.231741844 68.6407379880001,-102.229999761 68.6402729910001,-102.112208761 68.623599991,-102.005836761 68.6138729910001,-101.905272761 68.5838819910001,-101.885272761 68.5763819910001,-101.880884401 68.5752119840001,-101.860281924 68.5697181100001),(-100.421929576 68.7097906910001,-100.407226869 68.708036109,-100.366945957 68.7105360960001,-100.359987533 68.7140256810001,-100.35749976 68.7152729910001,-100.31639076 68.7624999910001,-100.30860876 68.7688729920001,-100.306645813 68.7697961200001,-100.299154968 68.7733180590001,-100.285554995 68.7741540700001,-100.2691729 68.772218186,-100.254464001 68.7691450450001,-100.220835806 68.764436092,-100.173745938 68.7970631530001,-100.158906004 68.8335727580001,-100.128745759 68.907772992,-100.128746046 68.9077730980001,-100.128746015 68.907773175,-100.130839688 68.9085533250001,-100.143627759 68.913318992,-100.160281759 68.9152639920001,-100.20360876 68.915545992,-100.21666376 68.9169279920001,-100.22888176 68.9202549920001,-100.23889076 68.924145992,-100.31276376 68.965818992,-100.32918176 68.9770639920001,-100.33028176 68.9871999920001,-100.328269199 68.989889153,-100.32362694 68.9960911090001,-100.326039648 68.9990539200001,-100.32860876 69.0022099920001,-100.33736376 69.0087369920001,-100.35082776 69.0147099920001,-100.38109976 69.0208279920001,-100.411752849 69.0256909490001,-100.416108837 69.0263821340001,-100.426541159 69.0274470250001,-100.49777276 69.0347189920001,-100.52916376 69.0366549920001,-100.54360876 69.0366549920001,-100.56110876 69.025818992,-100.59999076 69.0005459920001,-100.62581876 68.9124909920001,-100.631590658 68.7991307520001,-100.632763935 68.7760911280001,-100.625545943 68.7641631770001,-100.613326805 68.7580450580001,-100.439057285 68.713904036,-100.439057257 68.713904029,-100.42360876 68.709990991,-100.421929576 68.7097906910001),(-100.025901378 68.940177593,-100.021118759 68.939699992,-100.019246373 68.9398891220001,-100.003199857 68.9415091610001,-99.9928821249999 68.9660182060001,-99.976945759 69.0038729920001,-99.978881759 69.0138819920001,-99.98100907 69.0171006570001,-100.03083583 69.09249121,-100.05271593 69.102333614,-100.053045762 69.1024819850001,-100.053046029 69.102482104,-100.095555019 69.11748219,-100.099367927 69.1189090550001,-100.129708759 69.130263992,-100.21333676 69.0972189920001,-100.230315658 69.0868204320001,-100.234446005 69.0842911940001,-100.239412337 69.0755871010001,-100.25861876 69.0419279920001,-100.257938709 69.0315574310001,-100.257781894 69.0291632490001,-100.236935933 69.0086091460001,-100.202363935 68.9790091260001,-100.183524684 68.9699082990001,-100.181381759 68.9688729920001,-100.161663759 68.961381992,-100.157106563 68.9602266140001,-100.120000001 68.9508181030001,-100.037781913 68.941363316,-100.025901378 68.940177593),(-101.559581985 69.1026180580001,-101.49749991 69.1573450130001,-101.497499811 69.1573459470001,-101.497499761 69.157345992,-101.496381761 69.1678999920001,-101.503534413 69.1767531190001,-101.520281923 69.1974822590001,-101.52202479 69.198870141,-101.535281761 69.209427992,-101.558608761 69.2166639920001,-101.601672761 69.215545992,-101.658336761 69.213609992,-101.684436761 69.210818992,-101.699436761 69.2042999920001,-101.708880629 69.196163944,-101.713481942 69.1922001510001,-101.718063993 69.1785911260001,-101.713926686 69.1625919690001,-101.695618761 69.091790992,-101.688447058 69.0882197780001,-101.677490888 69.082763173,-101.666982009 69.0834236490001,-101.664172761 69.0835999920001,-101.661466185 69.0840104390001,-101.651399867 69.0855360750001,-101.559581985 69.1026180580001),(-101.008617863 69.4502732510001,-101.006117876 69.486927146,-101.006118795 69.486927489,-101.00611876 69.4869279920001,-101.05304576 69.5044369920001,-101.06138176 69.528881992,-101.061381872 69.528882051,-101.061381943 69.52888226,-101.072829214 69.534872954,-101.073054761 69.53499099,-101.073055085 69.5349911590001,-101.091532285 69.539563204,-101.26167276 69.5816639920001,-101.275554761 69.5808279920001,-101.329337446 69.5752419070001,-101.345146079 69.573600216,-101.348063426 69.572126229,-101.358336761 69.5669369920001,-101.385836761 69.5352639920001,-101.385835569 69.535263571,-101.385835861 69.5352632350001,-101.31749988 69.5111091050001,-101.266954992 69.4983181530001,-101.256334938 69.4999074130001,-101.25389076 69.5002729920001,-101.251738161 69.5001197980001,-101.238055028 69.4991451110001,-101.22749098 69.4955271470001,-101.204107271 69.4820115210001,-101.18763676 69.4724909920001,-101.23166376 69.400818992,-101.237950434 69.3949975790001,-101.241108891 69.3920731710001,-101.244600661 69.3908790560001,-101.25695476 69.386654992,-101.269721025 69.3822833900001,-101.272008945 69.3815000710001,-101.272008734 69.3815000010001,-101.27200876 69.381499992,-101.27151668 69.381337161,-101.243055001 69.3719180470001,-101.231236429 69.368837559,-101.23029076 69.3685909920001,-101.21860876 69.371372992,-101.12526376 69.401381992,-101.051795429 69.4321757700001,-101.008617863 69.4502732510001),(-110.98473677 68.5155459910001,-111.07529077 68.4955279910001,-111.083520307 68.492786734,-111.085282042 68.49220009,-111.088988238 68.4870370900001,-111.09395477 68.480118991,-111.093954383 68.480118889,-111.093954964 68.4801180800001,-111.054446025 68.4697090970001,-110.926099977 68.4658180500001,-110.862499939 68.4741540200001,-110.804224231 68.479185681,-110.794999769 68.479981991,-110.785520162 68.4806129410001,-110.728335844 68.484418164,-110.708891002 68.4847091830001,-110.697217861 68.4888731450001,-110.745826864 68.5263821620001,-110.763899924 68.5336001540001,-110.768669156 68.5352368310001,-110.792218769 68.543318991,-110.798777183 68.545121979,-110.803326888 68.546373169,-110.80749318 68.5467508190001,-110.821672769 68.5480369910001,-110.98473677 68.5155459910001),(-112.128806056 70.3009746130001,-112.090291011 70.2958181880001,-112.053046024 70.2922091080001,-112.02195956 70.290389132,-112.015008771 70.2899819930001,-112.000839863 70.289870319,-111.944717971 70.2894271550001,-111.869748762 70.29397049,-111.85305477 70.2949819930001,-111.820513191 70.2975001570001,-111.675417983 70.3087271570001,-111.675427946 70.3087272830001,-111.67541877 70.308727993,-111.79666377 70.3102549930001,-111.967977779 70.331794556,-112.00446401 70.3363822410001,-112.111654973 70.3535911270001,-112.115315907 70.354029874,-112.146390771 70.3577549930001,-112.193634794 70.360698794,-112.204455047 70.3613732210001,-112.237208842 70.362491199,-112.246270515 70.362586207,-112.289172771 70.363036993,-112.304445771 70.3619279930001,-112.315222173 70.3556131020001,-112.320208962 70.3526912450001,-112.320208708 70.3526910300001,-112.320208771 70.3526909930001,-112.319229396 70.3518622730001,-112.307499985 70.34193609,-112.204458628 70.315777993,-112.196954771 70.3138729930001,-112.169999771 70.3074819930001,-112.139999771 70.302472993,-112.128806056 70.3009746130001),(-116.323335857 70.5136092020001,-116.291108948 70.5155450870001,-116.129299995 70.5341450330001,-116.129301828 70.534145757,-116.129299774 70.534145993,-116.140254002 70.538472208,-116.140555047 70.53859113,-116.145659221 70.5393163210001,-116.189436774 70.545536993,-116.243327774 70.550263993,-116.256705568 70.550048464,-116.260272932 70.5499911890001,-116.264831942 70.5505425550001,-116.287781774 70.5533189930001,-116.300420333 70.552392464,-116.303045952 70.552200155,-116.330406362 70.5498789470001,-116.469999775 70.538036993,-116.495418775 70.521381993,-116.488238746 70.5175369310001,-116.477781979 70.511936007,-116.464717945 70.509154053,-116.448678476 70.508919689,-116.446108775 70.508881993,-116.426423016 70.5096401000001,-116.323335857 70.5136092020001),(-117.183318775 70.5374909930001,-117.036118775 70.546372993,-117.010653485 70.5455562080001,-116.923317853 70.5427540860001,-116.896669169 70.5436345800001,-116.889445775 70.543872993,-116.887584362 70.545343458,-116.881526857 70.5501271430001,-116.881528116 70.550127724,-116.881527775 70.550127993,-116.892373515 70.5551344300001,-116.894446052 70.5560912020001,-117.163326945 70.5885911940001,-117.172890465 70.5894048110001,-117.199436775 70.5916639930001,-117.213285563 70.5911961890001,-117.216399983 70.59109118,-117.220603231 70.5907151960001,-117.238054775 70.5891549930001,-117.256118775 70.5859639930001,-117.291039779 70.5737416840001,-117.297781893 70.5713821410001,-117.300533374 70.5646745290001,-117.301663775 70.5619189930001,-117.301663721 70.5619189480001,-117.301664055 70.5619181340001,-117.297169982 70.5581753340001,-117.293336775 70.5549819930001,-117.287718268 70.553491266,-117.275555097 70.5502632650001,-117.22000001 70.5391540580001,-117.201946061 70.5377631650001,-117.185449849 70.5375222260001,-117.183318775 70.5374909930001),(-128.120546097 70.5772181250001,-128.114435858 70.5919360760001,-128.114436805 70.5919369470001,-128.114436785 70.591936993,-128.120180792 70.5972180800001,-128.10415495 70.595827123,-128.086381963 70.6095632190001,-128.08638232 70.60956358,-128.086381785 70.6095639930001,-128.099163785 70.622472993,-128.099163856 70.6224730180001,-128.09916403 70.6224731930001,-128.100878859 70.623075929,-128.114990785 70.6280369930001,-128.188327786 70.648609993,-128.216399786 70.654709993,-128.230695546 70.6558286100001,-128.234163969 70.6561002160001,-128.237185051 70.6548011580001,-128.249027786 70.649709993,-128.320851502 70.5646675180001,-128.341109007 70.5406822470001,-128.341108515 70.540682314,-128.341108786 70.5406819930001,-128.291118214 70.5475135470001,-128.13275501 70.569154063,-128.120546097 70.5772181250001),(-106.45429997 73.3962360690001,-106.333028576 73.3436811070001,-106.321954765 73.3388819960001,-106.081946024 73.2410911010001,-106.092499755 73.1997099930001,-106.09249998 73.1997091050001,-105.94638195 73.1602631980001,-105.913891011 73.145536027,-105.732773002 73.047763305,-105.574717968 72.984418078,-105.459100007 72.933654087,-105.449164859 72.9144710080001,-105.442918764 72.9024099950001,-105.442918115 72.9024096080001,-105.442917905 72.9024092020001,-105.383055023 72.8666540140001,-105.282772927 72.8466450700001,-105.265089462 72.8483270880001,-105.262218764 72.848599995,-105.262218126 72.848600204,-105.262217818 72.8486002330001,-105.251212467 72.8521940080001,-105.207790764 72.8663729950001,-105.207791225 72.866373126,-105.207790936 72.8663732200001,-105.214031611 72.86813936,-105.245563764 72.8770639950001,-105.279445764 72.885545995,-105.327781764 72.9083189950001,-105.347499351 72.9530360570001,-105.311099904 72.9526270280001,-105.225826947 72.9330450580001,-105.141682027 72.9765090820001,-105.093247989 72.991976616,-105.081672764 72.9956729950001,-105.073015071 72.9971435100001,-105.031681953 73.0041631600001,-104.998309586 73.017359275,-104.983054764 73.0233909950001,-104.979372813 73.0767632870001,-104.868054965 73.1366540590001,-104.794155077 73.168045125,-104.762226899 73.199491176,-104.694990959 73.252209156,-104.649172962 73.2808181010001,-104.601935908 73.3063632920001,-104.578405062 73.321904369,-104.572354764 73.325899996,-104.568991118 73.341656641,-104.555826891 73.4033181070001,-104.512791015 73.4930450400001,-104.488264058 73.5483091070001,-104.48826413 73.548309169,-104.488263763 73.5483099960001,-104.521808764 73.5772099960001,-104.580836764 73.6002639960001,-104.683336764 73.626645996,-104.711399764 73.6308189960001,-104.843063764 73.6508189960001,-104.952730714 73.6861493470001,-104.960281884 73.6885821010001,-104.96807697 73.691450165,-105.098472764 73.7394279960001,-105.148618764 73.754163996,-105.169999764 73.7555549960001,-105.293881764 73.761936996,-105.525972764 73.7630459960001,-105.577090765 73.7591549960001,-105.612781765 73.752209996,-105.637790765 73.7444279960001,-105.67333592 73.736373196,-105.726672988 73.728591104,-105.735222399 73.7283985540001,-105.800554765 73.726927996,-105.990097554 73.730458818,-106.039172971 73.7313732250001,-106.185545979 73.7336001290001,-106.203486425 73.732720521,-106.327218765 73.726654996,-106.572245765 73.711927996,-106.618327765 73.705263996,-106.644034301 73.6990977310001,-106.651946086 73.697200206,-106.700290892 73.676091221,-106.71434295 73.6673270470001,-106.745272766 73.648036996,-106.893336766 73.562481996,-106.929445766 73.5505369960001,-106.971118766 73.5316639960001,-107.014036766 73.5077639960001,-107.030754766 73.485545996,-107.030754438 73.485545786,-107.030754969 73.4855450800001,-107.008473021 73.471236166,-106.947598653 73.4637354810001,-106.937499766 73.462490996,-106.932775783 73.4623611630001,-106.907081999 73.461654142,-106.88138191 73.463318117,-106.737158186 73.4513952600001,-106.720281766 73.449999996,-106.698032287 73.445502704,-106.45429997 73.3962360690001),(-107.804445767 73.624145996,-107.824445767 73.624418996,-107.862781767 73.624145996,-107.899436767 73.6227549960001,-107.989766067 73.6192746200001,-108.007508878 73.6185911970001,-108.01373698 73.618020276,-108.040836767 73.6155369960001,-108.051854172 73.6130710530001,-108.054446027 73.6124911840001,-108.06609989 73.6086001360001,-108.079863981 73.6004001210001,-108.081882008 73.5822092110001,-108.027257262 73.553571554,-108.023063767 73.5513729960001,-108.021404832 73.5509745940001,-108.009173021 73.5480360240001,-107.971935913 73.5427540840001,-107.95194608 73.540263318,-107.93055496 73.5394271390001,-107.895554982 73.5413631910001,-107.749164037 73.555818119,-107.665049595 73.5675126,-107.657227766 73.568599996,-107.65619106 73.5687444020001,-107.645281913 73.5702631550001,-107.606318701 73.5747961000001,-107.602218766 73.5752729960001,-107.602218579 73.5752731040001,-107.602217874 73.5752731860001,-107.588335934 73.583318137,-107.585260095 73.5991648070001,-107.584790766 73.6015819960001,-107.584790902 73.6015820800001,-107.584790892 73.601582137,-107.600563957 73.6113732050001,-107.614726859 73.61470015,-107.68110885 73.6213731510001,-107.698151708 73.621756174,-107.804445767 73.624145996),(-99.104173013 73.8144181050001,-98.961672947 73.8052540020001,-98.92565209 73.805954264,-98.9186087579999 73.8060909960001,-98.7772187579999 73.8135999960001,-98.4788817579999 73.837490996,-98.4642785359999 73.838809219,-98.392772893 73.845263173,-98.168335868 73.870818087,-98.149243081 73.87309521,-98.145008758 73.8735999960001,-98.124163758 73.878581996,-97.823054757 73.9685999960001,-97.812603929 73.9720661960001,-97.763626903 73.9883090690001,-97.728054944 74.004163271,-97.717226867 74.0097181260001,-97.673326816 74.035536064,-97.6530550159999 74.0497091920001,-97.6383358909999 74.0638732670001,-97.637847483 74.0743332440001,-97.6377907569999 74.0755459960001,-97.639413829 74.0798090760001,-97.642226938 74.087200104,-97.645548999 74.093221209,-97.648054757 74.0977639960001,-97.652620717 74.0995948200001,-97.653608892 74.0999912230001,-97.6908268889999 74.1113731770001,-97.703608956 74.113873164,-97.737208989 74.117482243,-97.7583459689999 74.1185911690001,-97.766521526 74.1187342690001,-97.8061087569999 74.1194279960001,-97.9944457569999 74.109418996,-98.0399907569999 74.105818996,-98.153752764 74.094223351,-98.170835854 74.0924822110001,-98.175982252 74.0916896360001,-98.230281758 74.083327996,-98.251262071 74.0793163930001,-98.2550089379999 74.078600103,-98.2758357879999 74.0738822650001,-98.355835857 74.057482233,-98.425281937 74.043873208,-98.438629217 74.041925457,-98.491945758 74.0341459960001,-98.532499758 74.0322099960001,-98.565867533 74.03156554,-98.575835838 74.0313732760001,-98.6619459789999 74.0313732760001,-98.697353511 74.0279979090001,-98.801663758 74.018054996,-98.908232186 74.0028529260001,-98.938046038 73.998600202,-98.9570631829999 73.9942316030001,-99.020281758 73.9797099960001,-99.092772758 73.9522099960001,-99.223890759 73.9402639960001,-99.282499759 73.936918996,-99.4061087589999 73.9152639960001,-99.4216652009999 73.910837411,-99.4261088389999 73.9095731580001,-99.436945969 73.8995732120001,-99.436945765 73.8995729910001,-99.429718759 73.891663996,-99.429718545 73.8916638960001,-99.429717919 73.89166321,-99.3819460999999 73.8691360070001,-99.3636178949999 73.864427054,-99.140835793 73.8180540070001,-99.104173013 73.8144181050001),(-97.138336757 73.0488729950001,-97.121330864 73.0215247300001,-97.108890964 73.001518166,-97.08971876 72.9816549920001,-97.089717863 72.981654061,-97.061390886 72.9633181450001,-97.032226892 72.9466361460001,-97.01777297 72.940536132,-96.9950303699999 72.9326442560001,-96.990554757 72.931090995,-96.968336756 72.9238729950001,-96.964010027 72.9227681290001,-96.955272974 72.9205360730001,-96.9152819079999 72.9177541190001,-96.8253343709999 72.9250032680001,-96.808336756 72.9263729950001,-96.802567073 72.926965174,-96.765017853 72.9308181540001,-96.747578269 72.933020099,-96.743054756 72.933590995,-96.734077709 72.935170342,-96.697217811 72.941654111,-96.658335839 72.9541632630001,-96.6400089749999 72.9636001120001,-96.5736268159999 73.0333271540001,-96.565135781 73.047618131,-96.567217845 73.0591450920001,-96.5779269 73.0780451100001,-96.577927598 73.0780457160001,-96.577927756 73.0780459960001,-96.602218756 73.099154996,-96.653063753 73.1363820000001,-96.653063957 73.13638215,-96.660762375 73.139351543,-96.755281756 73.1758099960001,-96.771945756 73.1816549960001,-96.7863907559999 73.1880369960001,-96.809436756 73.189145996,-96.839642845 73.1878444540001,-96.8480550209999 73.1874822560001,-96.904445951 73.1799821290001,-96.9469460559999 73.172482169,-96.9589592739999 73.1697634050001,-97.003345757 73.159718996,-97.035164583 73.1504990760001,-97.045546071 73.14749119,-97.0483456489999 73.1464265490001,-97.059436757 73.1422099960001,-97.069736757 73.136936996,-97.127781757 73.0958279960001,-97.141109757 73.085536996,-97.14242847 73.077397928,-97.142772963 73.075273215,-97.141955057 73.064145065,-97.140623303 73.0585254050001,-97.138336757 73.0488729950001),(-96.955272974 72.734145009,-96.7702820229999 72.719709193,-96.757320003 72.72104884,-96.754181756 72.7213729950001,-96.751505562 72.7222435950001,-96.7413818919999 72.725536124,-96.728055001 72.7305451500001,-96.640690927 72.7844270410001,-96.640690972 72.784427862,-96.640690756 72.784427995,-96.641254756 72.7947099950001,-96.651672756 72.804154995,-96.666945756 72.8110999950001,-96.674718 72.8269883020001,-96.692217838 72.8627633020001,-96.6883269589999 72.8833271280001,-96.688327853 72.883327486,-96.688327756 72.8833279950001,-96.713336756 72.8933279950001,-96.7232446149999 72.8946765600001,-96.725555014 72.894991217,-96.728360863 72.895056724,-96.737209756 72.8952639950001,-96.7572367559999 72.8927639950001,-96.7986187559999 72.8813639950001,-96.911118756 72.8410909950001,-96.9213907559999 72.8358189950001,-97.010281757 72.7766549950001,-97.010281203 72.77665446,-97.010281896 72.7766539990001,-96.977781904 72.745254049,-96.969454986 72.7377633090001,-96.955272974 72.734145009),(-124.30749998 73.632200223,-124.331390918 73.636382122,-124.33317165 73.6360468140001,-124.346118782 73.6336099960001,-124.358608782 73.6302639960001,-124.358608697 73.6302632380001,-124.35860897 73.630263165,-124.35670928 73.6134229960001,-124.351936782 73.5711099960001,-124.343608782 73.559981996,-124.340934328 73.5591707130001,-124.331681938 73.556363278,-124.30749998 73.556363278,-124.126391024 73.560809207,-124.114717883 73.5673450790001,-124.116170047 73.5692272270001,-124.123190782 73.578327996,-124.149172782 73.5947099960001,-124.167772782 73.603045996,-124.177942629 73.6059445720001,-124.179446124 73.6063732320001,-124.181675915 73.606809916,-124.193599782 73.6091459960001,-124.207435639 73.6109930440001,-124.210281973 73.6113732050001,-124.268063963 73.6160912110001,-124.27158467 73.616780309,-124.282227782 73.6188639960001,-124.290535755 73.621445211,-124.293873017 73.6224822450001,-124.295705876 73.6232892940001,-124.303327643 73.6266459350001,-124.306558133 73.63094642,-124.307499782 73.6321999960001,-124.307499813 73.632200002,-124.30749998 73.632200223),(-118.583072987 75.4994181910001,-118.354718774 75.5588729900001,-118.354717925 75.5588732100001,-118.342875405 75.5630809670001,-118.316390776 75.572490998,-118.308855922 75.5754973190001,-118.268335875 75.591663215,-118.266475313 75.610236608,-118.266254862 75.6124361450001,-118.221935838 75.6338821910001,-118.191836472 75.645288813,-118.142772776 75.6638819980001,-118.113890776 75.673872998,-118.096945776 75.6785909980001,-118.091627601 75.679696214,-118.06220895 75.6858090870001,-118.015835903 75.699418113,-117.971391029 75.7288632360001,-117.955346054 75.764436033,-117.941100004 75.7822091880001,-117.838335859 75.8599821860001,-117.809440297 75.877886382,-117.775554776 75.898881998,-117.765501917 75.9030733540001,-117.746945957 75.910809208,-117.704455072 75.9169271590001,-117.685996557 75.9202265370001,-117.681108776 75.921099998,-117.654465726 75.9361006760001,-117.573054993 75.9819360270001,-117.489164044 76.0469360100001,-117.467646022 76.085963157,-117.467646202 76.0859632250001,-117.467645776 76.0859639980001,-117.487401205 76.0933787590001,-117.491672916 76.0949822530001,-117.49763361 76.095998686,-117.519445776 76.0997189980001,-117.623045776 76.1144279980001,-117.641108776 76.1166549980001,-117.662218776 76.1177549980001,-117.700330341 76.117282087,-117.706946006 76.1172001640001,-117.7100473 76.1169307160001,-117.726099776 76.115536998,-117.769838585 76.109788521,-117.778882014 76.1086001630001,-117.889100018 76.0772821880001,-117.887364065 76.0634458590001,-117.899727776 76.0574819980001,-117.912075201 76.0538376470001,-117.933608929 76.0474821750001,-117.937562712 76.0467393900001,-117.957227776 76.0430459980001,-117.989864951 76.0405960910001,-117.998045984 76.0399822160001,-118.005853947 76.0396529560001,-118.037508776 76.0383189980001,-118.071399776 76.034145998,-118.088608776 76.0294369980001,-118.100673337 76.0253482520001,-118.104999907 76.023882256,-118.109305078 76.0186912180001,-118.129436776 75.9944189980001,-118.134445776 75.9826189980001,-118.152218776 75.971372998,-118.168327776 75.968318998,-118.191246699 75.9675762430001,-118.194155026 75.967482106,-118.340290994 75.967482106,-118.367764022 75.9663822320001,-118.377105162 75.9649653330001,-118.404445776 75.960818998,-118.52002941 75.9374565260001,-118.563891002 75.928591248,-118.581390907 75.9249912210001,-118.590509165 75.922710979,-118.619163777 75.9155459980001,-118.716945777 75.8827549980001,-118.744364788 75.8691979770001,-118.756955066 75.8629731840001,-118.766615133 75.8569452580001,-118.788890777 75.843045998,-118.954727777 75.7785909980001,-119.113890777 75.7205369980001,-119.188317979 75.702482199,-119.188318107 75.702482161,-119.188318777 75.7024819980001,-119.202840721 75.6978426840001,-119.275281902 75.674700215,-119.37554606 75.6310911850001,-119.38337595 75.6261986330001,-119.401108777 75.6151189980001,-119.404262516 75.6086694210001,-119.406946011 75.6031821290001,-119.395281922 75.5947091990001,-119.383326813 75.589154008,-119.367490884 75.584154035,-119.340290937 75.5794360300001,-119.222499884 75.5652632370001,-119.199797514 75.562791588,-119.196954777 75.5624819980001,-119.188516165 75.56305051,-119.130826841 75.566936098,-119.081946096 75.567763224,-118.972228545 75.565155797,-118.953054777 75.564699998,-118.949612887 75.5644335540001,-118.928045972 75.562763251,-118.880371057 75.5515052790001,-118.875690777 75.550399998,-118.87256074 75.5492545280001,-118.827500014 75.5327632460001,-118.722499912 75.5044361010001,-118.703608946 75.5030540930001,-118.627469537 75.4979102670001,-118.604718777 75.4963729980001,-118.602391651 75.496700468,-118.583072987 75.4994181910001),(-120.921108996 75.803318173,-120.898354978 75.8258180510001,-120.891953848 75.834832227,-120.884745779 75.844981998,-120.880762446 75.8542481760001,-120.870417927 75.878309217,-120.868243621 75.9069917730001,-120.867763779 75.9133189980001,-120.867763779 75.9246999980001,-120.877772779 75.936099998,-120.877772955 75.936099987,-120.877773047 75.9361000930001,-120.889100745 75.9353606610001,-120.979999779 75.9294279980001,-120.993489148 75.927109311,-120.997773068 75.926373229,-121.010968623 75.920378084,-121.040554779 75.906936998,-121.042329979 75.9028732770001,-121.044863941 75.8970732810001,-121.044863701 75.897073177,-121.044863779 75.8970729980001,-121.038351047 75.894273162,-121.010290937 75.8822091490001,-121.000302408 75.870131873,-120.998336779 75.8677549980001,-121.000836779 75.856645998,-121.014153801 75.8277539440001,-121.017091007 75.8213821800001,-121.0294461 75.8113731820001,-121.043326867 75.808873196,-121.046087139 75.808383706,-121.116945779 75.7958189980001,-121.267499779 75.772345998,-121.287081779 75.755827998,-121.287081356 75.755827691,-121.287082 75.755827148,-121.275555039 75.747482125,-121.27555493 75.7474821070001,-121.275554779 75.7474819980001,-121.264644692 75.7456981390001,-121.143063972 75.7258180900001,-121.113567615 75.724820746,-121.109999779 75.7246999980001,-121.093063779 75.7260909980001,-121.084636326 75.7274751830001,-121.05249097 75.732754115,-121.03278193 75.7377633080001,-121.018626907 75.7444270890001,-120.99388202 75.7577632000001,-120.938045972 75.790545158,-120.921108996 75.803318173),(-122.512324154 75.9214221940001,-122.537508904 75.9224821820001,-122.544943531 75.9223883970001,-122.58222778 75.9219189980001,-122.63332778 75.919709998,-122.68277278 75.9116549980001,-122.69408178 75.9046369980001,-122.694081024 75.904636721,-122.694082017 75.9046361040001,-122.675577998 75.8978538110001,-122.66471878 75.8938729980001,-122.58262998 75.883244334,-122.398617918 75.859418083,-122.362781929 75.858036075,-122.337781897 75.865954124,-122.334342748 75.8769394940001,-122.32625478 75.902772998,-122.333496974 75.908176214,-122.337781897 75.911373143,-122.339627561 75.9117422030001,-122.35305478 75.9144279980001,-122.37917278 75.9158189980001,-122.512324154 75.9214221940001),(-122.44220878 75.927472998,-122.41639978 75.9285909980001,-122.37666378 75.9338729980001,-122.335827781 75.942473002,-122.335826902 75.9424731880001,-122.169446123 75.978045148,-122.144726885 75.9969361140001,-122.140274148 76.028667177,-122.13958178 76.0335999980001,-122.080058774 76.033761666,-121.834726889 76.0344270250001,-121.662008686 76.0134464640001,-121.589036779 76.004581998,-121.479445779 75.9763819980001,-121.477622059 75.975226558,-121.424146066 75.9413451520001,-121.34861791 75.928036031,-121.274990937 75.9369270510001,-121.269672969 75.947461957,-121.262645779 75.961381998,-121.225488831 75.9689437760001,-121.113890925 75.991654006,-121.092773055 75.9933181490001,-121.015235925 75.99064516,-121.005664167 75.986288535,-120.993327779 75.980672998,-121.011127779 75.9708279980001,-121.015836779 75.9453909980001,-120.990136779 75.9406729980001,-120.990135851 75.940673266,-120.990135813 75.9406732590001,-120.986675031 75.9416713900001,-120.935699779 75.9563729980001,-120.935699924 75.956373221,-120.935699878 75.9563732340001,-120.949240165 75.9771814950001,-120.974872779 76.0165729980001,-120.974872941 76.0165730890001,-120.974873037 76.0165732360001,-120.976488805 76.0174719990001,-120.993290779 76.0268189980001,-121.018593731 76.059251315,-121.024035917 76.066227128,-121.011817952 76.137136017,-120.962226925 76.1749912070001,-120.893055101 76.1973450720001,-120.857226823 76.196636131,-120.760086651 76.1681566340001,-120.760086625 76.168156626,-120.727490772 76.1586000020001,-120.711936779 76.129154998,-120.747672779 76.107163998,-120.747672619 76.1071634050001,-120.747673002 76.10716317,-120.72944605 76.0394271660001,-120.704164051 76.0177731900001,-120.704163956 76.01777315,-120.704163779 76.0177729980001,-120.643063779 75.9924819980001,-120.640549236 75.9915814770001,-120.613617871 75.9819360270001,-120.591583893 75.979452107,-120.584027778 75.9785999980001,-120.584027251 75.9786002370001,-120.584026903 75.978600197,-120.561926842 75.988591091,-120.533335835 76.0030540650001,-120.463199924 76.0119360320001,-120.435000017 76.0030540650001,-120.405972983 75.9631821890001,-120.458681911 75.922691227,-120.477365404 75.8743238120001,-120.487972778 75.8468639980001,-120.48797269 75.846863903,-120.487972975 75.846863166,-120.462918781 75.8198459960001,-120.462917957 75.819845107,-120.432078551 75.8115814940001,-120.430281778 75.811099998,-120.428156657 75.810876136,-120.403882034 75.808318146,-120.378055043 75.8066360660001,-120.35556405 75.8063633180001,-120.335026263 75.807347926,-120.332227778 75.8074819980001,-120.332226944 75.8074821290001,-120.33222682 75.807482135,-120.330051725 75.8078232180001,-120.309154778 75.811099998,-120.288890778 75.8160819980001,-120.285780191 75.817030936,-120.269726823 75.8219271720001,-120.220417931 75.845409073,-120.190272919 75.8676180990001,-120.173335942 75.8862270980001,-120.15211163 75.8951470580001,-120.149172778 75.896381998,-120.121108778 75.890681998,-120.08069993 75.869982076,-120.04915503 75.8388822520001,-120.049154778 75.838881998,-120.025836778 75.839981998,-120.022636424 75.8402149890001,-119.979999969 75.8433181240001,-119.935546042 75.8483271490001,-119.883836044 75.855549658,-119.869999778 75.8574819980001,-119.859828071 75.859535211,-119.810817958 75.8694270820001,-119.612499949 75.910263211,-119.612501185 75.9102637080001,-119.612499778 75.9102639980001,-119.697708087 75.94455472,-119.642917876 75.989427102,-119.616670879 75.9920632290001,-119.612499778 75.9924819980001,-119.609077444 75.9919590100001,-119.578891032 75.9873450370001,-119.554964305 75.9742575660001,-119.553745778 75.9735909980001,-119.535555084 75.962491185,-119.535554778 75.9624909980001,-119.531904253 75.962214617,-119.50974603 75.960536023,-119.485135924 75.9681821620001,-119.474164013 75.991654006,-119.474164041 75.9916544340001,-119.474163777 75.9916549980001,-119.476108777 76.021381998,-119.47610894 76.0213821250001,-119.47610895 76.0213822700001,-119.497635856 76.0381821180001,-119.540111353 76.0508499410001,-119.626663778 76.0766639980001,-119.647227778 76.0816639980001,-119.732853254 76.0956442990001,-119.744164058 76.097491124,-119.747386633 76.097709136,-119.772781778 76.0994279980001,-119.797080811 76.110463559,-119.778414553 76.1145431890001,-119.769999778 76.1163819980001,-119.76487353 76.116438595,-119.745272984 76.1166539990001,-119.663726483 76.1133239010001,-119.643336778 76.1124909980001,-119.643336475 76.1124912380001,-119.643335798 76.11249121,-119.568408959 76.171927118,-119.568409297 76.171927586,-119.568408778 76.1719279980001,-119.586872772 76.197491003,-119.586872951 76.1974912530001,-119.594829135 76.2019727370001,-119.645554778 76.2305459980001,-119.662059716 76.2441848060001,-119.6751359 76.2549911080001,-119.654999886 76.3030360100001,-119.599250713 76.3156845600001,-119.586399778 76.3185999990001,-119.579291189 76.319660227,-119.549155057 76.324154047,-119.369164079 76.2297091090001,-119.298190987 76.1830361580001,-119.306027777 76.1528999980001,-119.282499777 76.127472998,-119.252636777 76.1142909980001,-119.243220986 76.111381791,-119.229717876 76.1072091030001,-119.12470889 76.0880450540001,-119.101099918 76.0841540070001,-119.075846082 76.083327049,-118.960145979 76.1295633030001,-118.904717961 76.169144997,-118.911874063 76.180923469,-118.918045777 76.1910819980001,-118.93999072 76.2076279560001,-118.935827437 76.2187216930001,-118.921799777 76.2560999980001,-118.912849269 76.2623925780001,-118.903617921 76.2688822700001,-118.876663777 76.277481998,-118.865632369 76.278498923,-118.828335857 76.2819360770001,-118.790377126 76.2823725360001,-118.780836777 76.282481998,-118.763389902 76.2822924010001,-118.705563941 76.2816631630001,-118.679173016 76.28220916,-118.648480209 76.28585989,-118.646536777 76.2860909990001,-118.646536593 76.286091072,-118.646535897 76.2860911540001,-118.625546103 76.2944360100001,-118.570346073 76.3368631920001,-118.570346284 76.336863608,-118.570345777 76.3368639990001,-118.594163777 76.383881999,-118.594163903 76.383882112,-118.594163922 76.383882149,-118.598040756 76.387347726,-118.612499777 76.400272999,-118.648618777 76.428863999,-118.681954777 76.445254999,-118.811448617 76.469412999,-118.821955049 76.4713731250001,-118.832848858 76.472149679,-118.931108777 76.4791549990001,-118.969926416 76.4959544100001,-118.944154984 76.5180541230001,-118.863724448 76.5470336480001,-118.841663777 76.5549819990001,-118.839200043 76.554804222,-118.814708894 76.553036164,-118.76139999 76.5469361500001,-118.715073043 76.5271360830001,-118.682425773 76.512019233,-118.678045777 76.5099909990001,-118.673678264 76.5092563730001,-118.651672998 76.5055540230001,-118.623608877 76.5019360580001,-118.600711896 76.500273598,-118.596945777 76.4999999990001,-118.593063649 76.4998729740001,-118.57084597 76.4991450520001,-118.550115089 76.4998616880001,-118.546108777 76.4999999990001,-118.523899777 76.5038729990001,-118.517734654 76.505580389,-118.502790951 76.5097181520001,-118.316099983 76.5747090830001,-118.316100235 76.574709839,-118.316099776 76.574709999,-118.338054776 76.640545999,-118.356112266 76.648075749,-118.358046044 76.6488822210001,-118.365339858 76.6503211130001,-118.403063776 76.6577639990001,-118.426621426 76.663346372,-118.428882011 76.6638821390001,-118.467226871 76.6767911090001,-118.492507142 76.709021916,-118.494999777 76.7121999990001,-118.328481776 76.770681999,-118.32233004 76.7710974300001,-118.29360899 76.7730361440001,-118.213617973 76.769145097,-118.161527037 76.76303627,-118.156954776 76.7624999990001,-118.106108776 76.7574909990001,-118.101287349 76.7573809670001,-118.082226946 76.75694507,-118.029717843 76.7586092130001,-118.006353193 76.7613220580001,-118.005836776 76.761381999,-118.005836509 76.7613820500001,-118.005835957 76.7613821140001,-117.998215098 76.7628313180001,-117.960563776 76.7699909990001,-117.954310248 76.7738810180001,-117.921935956 76.79401806,-117.896526887 76.8155360820001,-117.866654957 76.8222181350001,-117.843535476 76.823792391,-117.842218776 76.823881999,-117.807781776 76.8195729990001,-117.806511462 76.818796386,-117.737700469 76.7767273920001,-117.792218776 76.7290099990001,-117.813318776 76.719436999,-117.856245776 76.706245999,-117.883327776 76.700545999,-117.906647013 76.693085357,-117.912908981 76.691082254,-117.915829861 76.6883488460001,-117.928327776 76.6766549990001,-117.973327776 76.596372999,-118.027499776 76.4847099990001,-118.047499776 76.441654999,-118.052227776 76.4070639990001,-118.052226868 76.4070638470001,-118.052226941 76.407063308,-118.021390925 76.401927045,-117.997217852 76.396945009,-117.904173026 76.3697091880001,-117.883472905 76.348873118,-117.883472776 76.348872999,-117.869258018 76.346692633,-117.724163944 76.3244360150001,-117.699155027 76.324154047,-117.656590884 76.314154102,-117.657781953 76.2933181990001,-117.631108893 76.2815091030001,-117.60767819 76.2751391240001,-117.603054776 76.273881998,-117.575008776 76.2688729980001,-117.5649914 76.2678414490001,-117.523899992 76.263609214,-117.368881889 76.2569450980001,-117.349137393 76.256468619,-117.345554775 76.2563819980001,-117.341024976 76.2566244720001,-117.319735941 76.2577631710001,-117.139717974 76.2869271650001,-117.095555067 76.295254083,-116.937208846 76.3491540800001,-116.937208916 76.3491549510001,-116.937208775 76.3491549990001,-116.939990775 76.3837369990001,-116.983608766 76.4549910040001,-116.983608882 76.4549911980001,-117.010699864 76.4799821770001,-117.050281895 76.4892911170001,-117.075554461 76.5116547210001,-117.068026703 76.5210817920001,-117.061245775 76.529572999,-117.039990775 76.5374909990001,-117.034434187 76.538656867,-117.017499934 76.5422090920001,-116.994717922 76.5458181710001,-116.971505952 76.548554374,-116.971118775 76.548599999,-116.758899775 76.5699909990001,-116.732772775 76.5724909990001,-116.373518775 76.5817999990001,-116.322508775 76.5810999990001,-116.254463774 76.598599999,-116.249790233 76.599522752,-116.231945955 76.6030451130001,-116.170567556 76.609970403,-116.160554774 76.611099999,-116.155215907 76.611497248,-116.115826924 76.6144270670001,-116.093064022 76.61913602,-116.071399987 76.6258091880001,-115.894381903 76.6989451490001,-115.894382443 76.6989457230001,-115.894381774 76.698945999,-116.000290774 76.8113729990001,-116.000290835 76.8113730170001,-116.000290938 76.811373126,-116.003380305 76.8122643290001,-116.031108774 76.8202639990001,-116.102490983 76.8327255870001,-116.107500006 76.8336000890001,-116.111673896 76.8341969050001,-116.163890774 76.841663999,-116.183608774 76.8458279990001,-116.337918775 76.895545999,-116.362845531 76.913527823,-116.35167306 76.93275398,-116.327217852 76.935527049,-116.30980902 76.935999737,-116.306108774 76.9360999990001,-116.253890774 76.9324819990001,-116.229813395 76.9284363360001,-116.11500885 76.909145009,-116.073440912 76.9039636370001,-116.063890774 76.902772999,-116.046276304 76.901217586,-115.981945969 76.895536151,-115.928600017 76.8930541020001,-115.907790671 76.8937290250001,-115.903345774 76.8938729990001,-115.895035139 76.8944290470001,-115.85333589 76.8972180640001,-115.82945501 76.9008180910001,-115.813236012 76.90482251,-115.806954774 76.906372999,-115.734572774 76.943590999,-115.754999774 76.9608189990001,-115.860818774 76.9791549990001,-115.950290774 76.991363999,-115.989185633 76.995647993,-116.005835902 76.997482222,-116.063890975 77.0074912200001,-116.082954317 77.0109171830001,-116.173608774 77.027209999,-116.242490774 77.0441459990001,-116.274727395 77.061518795,-116.31973583 77.1177539830001,-116.314525636 77.1427045070001,-116.31416394 77.1444362080001,-116.274863982 77.1869271480001,-116.217772995 77.1927450270001,-116.190554944 77.1916540390001,-116.147347739 77.192103606,-116.138063774 77.1921999990001,-116.132709351 77.192548527,-116.112499979 77.1938631730001,-115.983363257 77.2055790750001,-115.946954774 77.2088819990001,-115.931598938 77.210671727,-115.868326924 77.218045132,-115.825290881 77.235409082,-115.772508863 77.2477541170001,-115.69499101 77.2552632960001,-115.669154967 77.2569450410001,-115.616946104 77.25832705,-115.595697312 77.2596956580001,-115.591108774 77.2599909990001,-115.583358384 77.260892057,-115.543326842 77.265545042,-115.389735842 77.3092821480001,-115.414951179 77.3240624260001,-115.452081774 77.3458279990001,-115.495272774 77.3594190000001,-115.520554774 77.364428,-115.880281774 77.433319,-116.082090774 77.4883100000001,-116.166150429 77.5102743850001,-116.203335837 77.5199911240001,-116.232125871 77.523724778,-116.351099775 77.5391550000001,-116.487781775 77.5502640000001,-116.536118775 77.5444370000001,-116.585827775 77.5405460000001,-116.647508775 77.537764,-116.754181775 77.534428,-116.821566299 77.533720766,-116.833072918 77.53360015,-116.874999869 77.534991211,-116.880363983 77.533809746,-116.907527775 77.5278280000001,-116.907525736 77.527827276,-116.90752685 77.5278270300001,-116.879173051 77.5177632140001,-116.851099878 77.516663174,-116.763337892 77.5140182430001,-116.785281775 77.4991460000001,-116.894445775 77.4733100000001,-116.919727775 77.470537,-116.991672775 77.466664,-117.029974909 77.4702230180001,-117.038335837 77.4710000740001,-117.04544357 77.47190104,-117.073545775 77.475464,-117.123269092 77.4621150190001,-117.148755007 77.4552732760001,-117.148754501 77.4552730730001,-117.148754775 77.455273,-117.097763776 77.434780587,-117.002917937 77.3966633210001,-116.975826956 77.3933271560001,-116.899172942 77.3994271700001,-116.870826854 77.400818063,-116.741381938 77.3952632080001,-116.679201698 77.3881336570001,-116.653618775 77.3852000000001,-116.787354775 77.318318999,-116.848345775 77.3158099990001,-116.876390775 77.3180549990001,-116.946663775 77.3294369990001,-117.007499775 77.343036999,-117.060818775 77.3533189990001,-117.105409573 77.3583859970001,-117.119455058 77.3599822690001,-117.126414496 77.3600123830001,-117.150836775 77.3601190000001,-117.177563775 77.3436639990001,-117.177563144 77.3436636980001,-117.177563943 77.343663206,-117.154697139 77.3327456690001,-117.154163775 77.3324909990001,-117.117981775 77.3383909990001,-117.109741309 77.3367004660001,-117.060817945 77.3266631980001,-117.052197679 77.3208366110001,-117.020619067 77.2994911970001,-117.065726916 77.297668199,-117.276399775 77.2891549990001,-117.42953169 77.309376425,-117.450846006 77.3121911710001,-117.61193596 77.327773129,-117.731517891 77.3399910940001,-117.738376673 77.3427989960001,-117.753899776 77.3491549990001,-117.773154322 77.359619325,-117.774590982 77.3604001900001,-117.784901437 77.3635934910001,-117.858890776 77.38651,-117.911118776 77.386937,-118.085912955 77.3790984090001,-118.097226865 77.3785911000001,-118.097227043 77.378591032,-118.097227776 77.378591,-118.130336776 77.366091,-118.165836776 77.3552549990001,-118.193727526 77.355012371,-118.197217941 77.3549821280001,-118.22471796 77.356091222,-118.449717913 77.358873175,-118.485178511 77.359165988,-118.651108777 77.3605370000001,-118.732499777 77.3555459990001,-118.756482546 77.352575421,-118.75723586 77.352482142,-118.757236776 77.352481992,-118.761584516 77.3517648500001,-118.869999951 77.333882196,-118.893890889 77.3274821100001,-118.916945985 77.3224911890001,-118.9217849 77.321942053,-118.941381777 77.319718999,-119.001108777 77.321109999,-119.086672777 77.3266639990001,-119.110409627 77.3273633490001,-119.114435862 77.3274821100001,-119.117414925 77.3273547110001,-119.153345777 77.325818999,-119.201108777 77.3130369990001,-119.222227777 77.306363999,-119.260699777 77.2922099990001,-119.295836777 77.2766549990001,-119.315827777 77.258045999,-119.335870055 77.237889485,-119.339863963 77.2338731820001,-119.355755046 77.209291239,-119.367684022 77.200414816,-119.389181777 77.1844189990001,-119.410827777 77.1785909990001,-119.433318777 77.173599999,-119.600563778 77.1458279990001,-119.729645283 77.116657,-119.77640002 77.1060912360001,-119.818890904 77.0938732710001,-119.821725154 77.0895499230001,-119.835418778 77.0686639990001,-119.920272778 77.023609999,-119.955554778 77.011245999,-119.976936778 77.013318999,-119.991822045 77.0155735860001,-119.997217907 77.016391125,-120.030826824 77.0143001760001,-120.031716751 77.0141549750001,-120.069163778 77.008045999,-120.091381778 77.0030549990001,-120.365281778 76.836109999,-120.374436778 76.807963999,-120.401672778 76.7972099990001,-120.581127778 76.7494189990001,-120.600801244 76.7468186350001,-120.604172975 76.7463731430001,-120.633326911 76.7474822360001,-120.669155021 76.751100201,-120.766108998 76.7435911890001,-120.812208962 76.737200155,-120.816435176 76.7358133450001,-120.840136779 76.728036999,-120.861936779 76.7119279990001,-120.892227779 76.696090999,-120.923317963 76.6899731600001,-121.056663984 76.6713732140001,-121.062046223 76.67065175,-121.079454779 76.6683189990001,-121.109845779 76.6708189990001,-121.212508779 76.6497189990001,-121.311527779 76.5917909990001,-121.308501399 76.5828812760001,-121.306955167 76.5783275680001,-121.310312809 76.5745973520001,-121.312208934 76.5724912310001,-121.421945984 76.4935912030001,-121.454493625 76.476670492,-121.523754779 76.440663999,-121.549990779 76.4347099990001,-121.706162146 76.4234080360001,-121.738055047 76.4211001460001,-121.744307699 76.420979641,-121.78195478 76.4202549990001,-121.82668178 76.422763999,-121.957602706 76.4295301650001,-122.014717867 76.4324822670001,-122.309435809 76.408873128,-122.30943678 76.408872999,-122.39889978 76.3969459990001,-122.553980061 76.359532705,-122.578608896 76.353591124,-122.608326933 76.3452732580001,-122.608327011 76.345273214,-122.60832778 76.345272999,-122.62943678 76.333181999,-122.638940216 76.301954837,-122.641399912 76.2938732490001,-122.633900148 76.267627846,-122.721118409 76.2313731530001,-122.848617993 76.2088822590001,-122.848618258 76.2088820910001,-122.848618781 76.208881998,-122.979172781 76.1258099980001,-123.037781781 76.0847189980001,-123.037780767 76.0847189450001,-123.037781958 76.0847181090001,-123.011399918 76.083327049,-122.921391018 76.092754008,-122.893755045 76.1012361580001,-122.856849691 76.1228478520001,-122.842772781 76.131090998,-122.73360878 76.1624909980001,-122.72860459 76.1634973650001,-122.69359989 76.170536058,-122.670273054 76.1744271050001,-122.646664082 76.1758091130001,-122.62027299 76.1744271050001,-122.595555092 76.1708181930001,-122.576003815 76.166495878,-122.57417278 76.1660909980001,-122.570310411 76.1647399600001,-122.495975208 76.1387368760001,-122.58721878 76.134154998,-122.69999978 76.1141459980001,-122.699997042 76.114145648,-122.699999976 76.114145127,-122.684387628 76.1121483750001,-122.67832778 76.111372998,-122.62221878 76.111372998,-122.60134578 76.1150999980001,-122.491945808 76.1203909970001,-122.47354646 76.108527307,-122.56945478 76.0109639980001,-122.59110878 76.0016639980001,-122.64943678 75.982209998,-122.66915478 75.9769279980001,-122.72569078 75.9709549980001,-122.725689329 75.9709542360001,-122.725691013 75.9709540580001,-122.696382012 75.955553987,-122.676099985 75.951663275,-122.563608977 75.9319270780001,-122.516663949 75.9283181660001,-122.494096982 75.927400735,-122.48916378 75.927199998,-122.44220878 75.927472998),(-112.789677508 77.441754684,-112.764181946 77.441654025,-112.738890894 77.4458181540001,-112.693325231 77.4553459520001,-112.689718771 77.4561,-112.653881771 77.4588820000001,-112.648844109 77.4589840800001,-112.626935825 77.45942718,-112.606168308 77.4548090930001,-112.594436771 77.4522000000001,-112.57277566 77.436081432,-112.545546036 77.4158181490001,-112.519864052 77.3914450830001,-112.491108928 77.3746631720001,-112.439905304 77.361363532,-112.438890771 77.3611000000001,-112.413063771 77.3560909990001,-112.166399771 77.325272999,-112.162385794 77.325006709,-112.136946025 77.3233181480001,-112.083617842 77.323045065,-112.057217865 77.3233181480001,-112.031108907 77.3247092080001,-111.875795878 77.342918759,-111.82500877 77.348872999,-111.61832777 77.3738730000001,-111.596408188 77.3765808840001,-111.463055089 77.3930540740001,-111.29999103 77.419145094,-111.19996506 77.4167540700001,-111.17223677 77.4160910000001,-111.11721877 77.4088730000001,-111.06527277 77.4061,-111.00974577 77.4061,-110.95639077 77.4074820000001,-110.877208769 77.4113730000001,-110.872216816 77.4119510830001,-110.850826966 77.4144270890001,-110.821254941 77.4220631700001,-110.502226964 77.4602631910001,-110.296954993 77.4916540890001,-110.270555016 77.4958180510001,-110.225008927 77.505263282,-110.20333584 77.5113822390001,-110.178923385 77.5195154340001,-110.117490769 77.5399820000001,-110.113243793 77.542438819,-110.084235869 77.5592180960001,-110.050936586 77.618895104,-110.040554769 77.6375,-110.085290769 77.766237,-110.101749164 77.7735472030001,-110.104999855 77.7749912510001,-110.110479288 77.7760759660001,-110.133054769 77.7805460000001,-110.161118769 77.7841460000001,-110.269607295 77.782736244,-110.289172899 77.7824821580001,-110.368608866 77.7763821440001,-110.372351626 77.775870045,-110.393063769 77.773037,-110.415836769 77.7708280000001,-110.519727769 77.7633190000001,-110.584404694 77.7598049050001,-110.601390914 77.7588822390001,-110.607480661 77.7587106330001,-110.631099769 77.758046,-110.658890769 77.7597190000001,-110.710415985 77.7680415140001,-110.715564003 77.7688731320001,-110.71808756 77.7692951760001,-110.743881769 77.7736100000001,-110.896181769 77.8296460000001,-110.899445651 77.85143621,-110.878118345 77.860419472,-110.873890769 77.8622,-110.846945769 77.866382,-110.836986848 77.8671935880001,-110.792499983 77.8708181970001,-110.654164047 77.871918071,-110.626664029 77.8730271640001,-110.521233124 77.8814008620001,-110.489990769 77.8838820000001,-110.248890769 77.893873,-110.221118769 77.893873,-110.22041732 77.8939510260001,-110.196108963 77.896654073,-110.164717897 77.904018078,-110.144999973 77.9119270740001,-110.018414359 77.9206066670001,-110.007236769 77.9213730000001,-110.006845806 77.921413301,-109.999999921 77.922118127,-109.972572992 77.92496328,-109.897508858 77.932754092,-109.853904079 77.9376046340001,-109.842499768 77.9388730000001,-109.836299417 77.939754991,-109.815273 77.942745153,-109.773738633 77.9490546580001,-109.760272768 77.9511000000001,-109.705563768 77.9599910000001,-109.697940249 77.9622765140001,-109.676390899 77.9687360930001,-109.583199894 78.038454082,-109.583199932 78.038454878,-109.583199768 78.0384550000001,-109.584308768 78.0615100000001,-109.605272768 78.07111,-109.653881768 78.0883190000001,-109.677781768 78.091937,-109.789172768 78.0997190000001,-109.959163769 78.1047100000001,-109.96925124 78.104983082,-109.972572992 78.105073281,-109.979240434 78.105256545,-109.999999769 78.105828,-110.078475426 78.1079854810001,-110.10082684 78.108600218,-110.131187071 78.1090899020001,-110.237781769 78.1108100000001,-110.417285483 78.1090705620001,-110.465845984 78.108600218,-110.549990904 78.106091179,-110.670517979 78.101091206,-110.679669429 78.1004165190001,-110.736372769 78.096237,-110.774372769 78.0799190000001,-110.805554769 78.0652640000001,-110.833072769 78.0630370000001,-110.861108769 78.0616460000001,-110.897989544 78.062121887,-110.903345959 78.062191129,-110.91150426 78.0639279820001,-110.99805477 78.0823550000001,-111.02749977 78.0933190000001,-111.04576398 78.0935621310001,-111.048608868 78.0936001320001,-111.093335877 78.092482154,-111.111858663 78.0914803470001,-111.28832777 78.081937,-111.31358188 78.0805366590001,-111.318335831 78.080273241,-111.321323737 78.0799106540001,-111.34583677 78.076937,-111.63221877 78.0408190000001,-111.70556377 78.0269280000001,-111.73056377 78.0241550000001,-111.75639077 78.0244280000001,-111.78166377 78.0308190000001,-111.937633346 78.0211831780001,-111.97944604 78.0186002030001,-112.125263999 78.0061001030001,-112.140629154 78.006502475,-112.294999771 78.010546,-112.434320089 77.9959095310001,-112.46694608 77.9924821930001,-112.488296707 77.9898893010001,-112.574445771 77.979428,-112.741945771 77.9516640000001,-112.774990771 77.9398370000001,-112.804990771 77.933046,-112.943599771 77.911928,-113.043190771 77.9048460000001,-113.068650132 77.9114195600001,-113.071672903 77.912200156,-113.076544145 77.9122979310001,-113.099727772 77.912764,-113.122486834 77.9122969100001,-113.127208879 77.912200156,-113.209726872 77.9088732110001,-113.209727631 77.9088730060001,-113.209727772 77.9088730000001,-113.232781772 77.9026280000001,-113.278692771 77.861814619,-113.306381951 77.837200228,-113.313592928 77.821228352,-113.318608772 77.810119,-113.318608705 77.8101187130001,-113.318608968 77.8101181310001,-113.312291025 77.7827632870001,-113.289923484 77.7648196120001,-113.288754772 77.7638820000001,-113.285131708 77.76273252,-113.26250889 77.7555541200001,-113.19653659 77.7419272920001,-113.175770728 77.6608960030001,-113.162509137 77.6091458810001,-113.220838879 77.590232755,-113.239163949 77.584291218,-113.201382017 77.526654067,-113.173890883 77.519436075,-113.14611795 77.5177632140001,-113.064999902 77.517209171,-113.037508936 77.5158271620001,-113.003064008 77.51082719,-112.971318492 77.4948453850001,-112.960836771 77.4717910000001,-112.951787374 77.4696285460001,-112.928881985 77.4641540700001,-112.822054775 77.4460784870001,-112.796663771 77.441782,-112.789677508 77.441754684),(-113.923890772 77.9108100000001,-113.953980107 77.9144612410001,-113.958345995 77.914991162,-113.959785129 77.9157819100001,-113.972227219 77.922618696,-113.974446196 77.9264889820001,-113.978199772 77.9330370000001,-114.073054772 77.981655,-114.277642517 78.0624098210001,-114.286946105 78.0660821760001,-114.288694182 78.066558431,-114.303327773 78.070546,-114.326945773 78.07111,-114.354999773 78.070546,-114.395908168 78.0678194880001,-114.400835885 78.0674911740001,-114.403445607 78.0670208170001,-114.605827773 78.0305460000001,-114.724972473 78.0034780510001,-114.74028201 78.0000000890001,-114.748140959 77.9961261550001,-114.777499773 77.981655,-114.797781773 77.975537,-114.819736773 77.973037,-114.930281773 77.960537,-115.01426267 77.9618849550001,-115.033891027 77.962200221,-115.060545982 77.9638821330001,-115.065022754 77.9638418110001,-115.090845773 77.9636100000001,-115.109422411 77.958408644,-115.11269986 77.9574911000001,-115.112699707 77.957491019,-115.112699773 77.9574910000001,-115.077218773 77.9385820000001,-114.9951599 77.9085109920001,-114.848346032 77.854709185,-114.751477213 77.825311781,-114.730290773 77.818882,-114.709163773 77.8136000000001,-114.704512986 77.81262947,-114.662508845 77.8038632190001,-114.544962814 77.7732814620001,-114.514181773 77.765273,-114.415008773 77.7313730000001,-114.398352254 77.7270730960001,-114.331126949 77.709718185,-114.2772179 77.7022091740001,-114.223055048 77.6988632860001,-114.19304599 77.698027107,-114.114435808 77.7066450440001,-113.954022713 77.7220226060001,-113.934718772 77.7238730000001,-113.908336772 77.7263820000001,-113.897090076 77.7281506910001,-113.788326968 77.745254102,-113.659726947 77.783327054,-113.619164068 77.7958181010001,-113.587508972 77.8080271810001,-113.576108913 77.8141451320001,-113.576109309 77.8141457120001,-113.576108772 77.8141460000001,-113.582081772 77.82291,-113.706390772 77.891664,-113.723460758 77.895397481,-113.726673041 77.8961001970001,-113.840290912 77.9061001420001,-113.847112486 77.9063778110001,-113.894999772 77.908328,-113.923890772 77.9108100000001),(-100.755281879 77.9555540420001,-100.622083583 77.8879473700001,-100.60637276 77.8799730000001,-100.59048127 77.8757861110001,-100.49889086 77.8516539810001,-100.377582619 77.8327362570001,-100.32972776 77.825273,-100.21000876 77.809982,-99.906954759 77.7785910000001,-99.861607904 77.7880608470001,-99.861027759 77.7881819980001,-99.852701624 77.789455231,-99.7130550809999 77.8108091350001,-99.574106667 77.8122299,-99.5494367589999 77.812482,-99.5252817589999 77.8136000000001,-99.50464793 77.8152933090001,-99.396664051 77.8241541310001,-99.272358803 77.834827691,-99.238054759 77.8377730000001,-99.197182966 77.848078688,-99.024935864 77.8915090930001,-99.024937236 77.8915098790001,-99.024936758 77.89151,-99.0605397849999 77.9119195220001,-99.073890847 77.9195731990001,-99.093472414 77.9635272260001,-99.021663905 77.9816541150001,-98.98986397 77.989563279,-98.967226796 78.0034541040001,-98.945826959 78.0587270560001,-98.945827964 78.0587274690001,-98.945827758 78.058728,-98.969163758 78.0683280000001,-98.989163758 78.073046,-99.1885997589999 78.133046,-99.406254759 78.2026280000001,-99.428327759 78.2116550000001,-99.447772759 78.2241550000001,-99.479718759 78.2491460000001,-99.5219457589999 78.2798460000001,-99.549673653 78.285794078,-99.551099947 78.2861000940001,-99.557606988 78.286490175,-99.620545759 78.290264,-99.673045759 78.2908190000001,-99.7261241099999 78.2901688810001,-99.74138189 78.289982256,-99.791735838 78.3004001240001,-99.77860894 78.332218164,-99.753063916 78.385545005,-99.7530641389999 78.3855452080001,-99.753063759 78.385546,-99.7816727589999 78.4116550000001,-99.801390759 78.4208190000001,-99.8198655749999 78.4269628070001,-99.821399897 78.4274731290001,-99.862908555 78.439073077,-99.855965527 78.4416605760001,-99.831390958 78.4508180710001,-99.7772180009999 78.461382095,-99.777217879 78.4613821170001,-99.712508916 78.469436122,-99.678990321 78.4786105900001,-99.669163759 78.4813000010001,-99.628917943 78.5116394400001,-99.536873008 78.5810270810001,-99.536873645 78.5810273330001,-99.5368727589999 78.5810280010001,-99.573627759 78.5955370010001,-99.817508759 78.6305370010001,-99.8533367589999 78.6330460010001,-99.907472347 78.6242398840001,-99.909726884 78.623873191,-99.963055067 78.6149912240001,-99.988890942 78.613873245,-99.9940022069999 78.61438501,-100.016663759 78.6166550010001,-100.062499759 78.6355460010001,-100.062499759 78.6388820010001,-99.972781759 78.659991001,-99.932266381 78.673421848,-99.913326911 78.679700187,-99.8949358419999 78.692891123,-99.91530413 78.705180371,-99.944445759 78.722764001,-100.004999759 78.7358100010001,-100.032499759 78.7394280010001,-100.133754759 78.751110001,-100.22778176 78.7605460010001,-100.28307276 78.767764001,-100.32555476 78.790055001,-100.34777276 78.8274910010001,-100.347772875 78.8274909940001,-100.347773024 78.827491245,-100.530408827 78.8168001280001,-100.533294898 78.8156614540001,-100.55471876 78.807210001,-100.58778176 78.7991460010001,-100.61389076 78.7980370010001,-100.70556376 78.7997100010001,-100.80055476 78.793319001,-100.827197166 78.7901060030001,-100.830563943 78.7897000930001,-100.863890893 78.781373176,-100.99194609 78.7888821870001,-101.01878827 78.7907091710001,-101.17959076 78.801655001,-101.199435688 78.8182451040001,-101.159023566 78.8370776520001,-101.15279076 78.8399820010001,-101.145267369 78.8435406310001,-101.116946082 78.8569360330001,-101.026729972 78.910213173,-100.98597276 78.934282001,-100.985973099 78.934282152,-100.985972978 78.9342822240001,-100.988134243 78.9352475000001,-101.00557276 78.9430370010001,-101.09389076 78.9636100010001,-101.135470779 78.965058275,-101.145281944 78.9654002070001,-101.176663958 78.9538732460001,-101.183663956 78.9539455870001,-101.20472776 78.954164001,-101.23166376 78.959428001,-101.308036761 78.975819001,-101.520281761 79.038319001,-101.541945761 79.0447100010001,-101.628054761 79.0719280010001,-101.648899761 79.0758190010001,-101.881945761 79.0861100010001,-101.897790954 79.0863196870001,-101.902499894 79.086382251,-101.911408654 79.0860089000001,-101.942208761 79.0847190010001,-101.984308761 79.078464001,-102.009319046 79.0674879890001,-102.01500884 79.0649911310001,-102.018919812 79.0637910350001,-102.049436761 79.0544280010001,-102.093608761 79.0441460010001,-102.279445761 79.0180550010001,-102.3538035 79.0153380340001,-102.363054965 79.015000119,-102.398063995 78.9872001960001,-102.378464065 78.9545634850001,-102.391954762 78.9316550010001,-102.528881762 78.8730280010001,-102.555827762 78.8695640010001,-102.587227762 78.8748370010001,-102.720835664 78.93830948,-102.698608869 78.971927028,-102.670690929 78.9801181590001,-102.654445962 78.9941360540001,-102.609290973 79.0623451320001,-102.609291051 79.0623455640001,-102.609290762 79.062346001,-102.614372762 79.0904730010001,-102.614372908 79.090473047,-102.614372921 79.090473123,-102.76862693 79.1388821340001,-102.801218009 79.1468109300001,-102.892499762 79.169019001,-102.906567192 79.1868054120001,-102.924026912 79.2088822580001,-102.984440461 79.235850805,-103.075845762 79.2766550010001,-103.093919891 79.2814561480001,-103.097781922 79.2824822410001,-103.106510904 79.2835741260001,-103.139999762 79.2877640010001,-103.241039328 79.2978482460001,-103.262508951 79.299991198,-103.335563942 79.299991198,-103.398354959 79.299991198,-103.431279111 79.3043399200001,-103.593890763 79.3258190010001,-103.620536763 79.3305550010001,-103.678543224 79.3473568250001,-103.695263931 79.3522002290001,-103.700397503 79.353092883,-103.722499763 79.3569370010001,-103.835008763 79.3644280010001,-103.949154763 79.368046001,-103.977781763 79.3688640010001,-104.007236763 79.367755001,-104.148544925 79.3605598180001,-104.181672982 79.35887323,-104.241625468 79.355294373,-104.460827763 79.3422100010001,-104.490827763 79.3391550010001,-104.537720466 79.3328394480001,-104.548608899 79.3313732120001,-104.5554037 79.330994102,-104.583327764 79.329437001,-104.707535191 79.3240257720001,-104.742763952 79.322491244,-104.767425777 79.321784193,-104.859163764 79.3191550010001,-104.954727764 79.3152640010001,-105.016108764 79.3105280010001,-105.096852687 79.3007356190001,-105.117908938 79.298182216,-105.161117816 79.2974821590001,-105.168247426 79.2979219640001,-105.197218764 79.2997100010001,-105.332781764 79.3194460010001,-105.383054764 79.326937001,-105.402041379 79.3283748860001,-105.408617816 79.3288732250001,-105.415940791 79.328940919,-105.439990764 79.329164001,-105.459727764 79.3241550010001,-105.482772764 79.3063640010001,-105.562643482 79.227901531,-105.624563973 79.1670731570001,-105.603055004 79.046100165,-105.59886866 79.042736,-105.586108765 79.0324820010001,-105.580975847 79.030914915,-105.552908927 79.0223450140001,-105.52269989 79.017541442,-105.513636764 79.016100001,-105.507116394 79.015430559,-105.483890995 79.013045124,-105.426099951 79.0111090720001,-105.39528204 79.0116540640001,-105.156390926 79.0194361580001,-105.129950045 79.02084963,-105.125263764 79.021100001,-105.099163764 79.0238820010001,-105.077930859 79.027453973,-105.013346036 79.038318071,-104.986391009 79.0430451290001,-104.902499893 79.049709078,-104.737208929 79.03193609,-104.705454145 79.0260766120001,-104.701099764 79.0252730010001,-104.691527889 79.0151043000001,-104.680827797 79.0037369840001,-104.833890764 78.926655001,-105.012218764 78.8447100010001,-105.027154764 78.8199190010001,-105.027154646 78.8199188740001,-105.027155054 78.8199181960001,-105.011946091 78.8035912540001,-105.011945982 78.8035912350001,-105.011945764 78.803591001,-105.004738851 78.8023312990001,-104.978608915 78.797763317,-104.909154956 78.796645003,-104.878599902 78.798036064,-104.828266234 78.8014664360001,-104.817499764 78.8022000010001,-104.812410992 78.802912898,-104.785826818 78.806636064,-104.571526866 78.861645154,-104.538326818 78.88192718,-104.511126872 78.91026321,-104.463472902 78.9533270810001,-104.292102179 78.983861055,-104.265554763 78.988591001,-104.261883174 78.9889779420001,-104.233890897 78.9919270870001,-104.203608925 78.9916540040001,-104.178600008 78.990263279,-104.129435787 78.9858091360001,-104.081126856 78.9794271550001,-104.048808919 78.9590450480001,-103.998190941 78.9341450960001,-103.966781152 78.9304236190001,-103.963054763 78.929982001,-103.867490763 78.916091001,-103.859844917 78.91230606,-103.825419066 78.89526384,-103.860545763 78.876646001,-103.986654763 78.8502640010001,-104.042452972 78.8399677200001,-104.048335845 78.8388822520001,-104.133054926 78.827482193,-104.155218706 78.820275022,-104.167218763 78.816373001,-104.211390763 78.7805370010001,-104.211390222 78.780536806,-104.211391019 78.7805361590001,-104.170546005 78.7658270920001,-104.073899979 78.7577631980001,-104.055085311 78.7567011070001,-104.049436763 78.7563820010001,-104.021663763 78.7574910010001,-103.991099763 78.7588820010001,-103.960563763 78.7613820010001,-103.929172763 78.765000001,-103.92189216 78.767760471,-103.8969461 78.777218098,-103.896946434 78.7772187460001,-103.896945763 78.777219001,-103.906954325 78.7966451500001,-103.869435856 78.805736015,-103.753106985 78.8028495730001,-103.726936763 78.8022000010001,-103.717200368 78.798765008,-103.699573794 78.792545395,-103.796108763 78.7358100010001,-103.796107013 78.7358102910001,-103.796108955 78.7358091500001,-103.729966179 78.7467815740001,-103.710563763 78.750000001,-103.700530076 78.752555369,-103.669154973 78.7605451520001,-103.642226106 78.7648703570001,-103.639718763 78.7652730010001,-103.468063763 78.787491001,-103.439163763 78.784991001,-103.416654762 78.7788730010001,-103.41037268 78.7757220290001,-103.322082892 78.7314365980001,-103.350721948 78.721214165,-103.358046051 78.718600097,-103.361529573 78.7184104390001,-103.388608762 78.7169370010001,-103.412218762 78.720264001,-103.439436763 78.720264001,-103.488599763 78.7158190010001,-103.521045763 78.7007460010001,-103.521045226 78.700745527,-103.521046073 78.700745134,-103.490281973 78.6735911210001,-103.509172939 78.6663821810001,-103.539435801 78.6649911200001,-103.550375327 78.6649221490001,-103.628881763 78.664428001,-103.654163764 78.6649112380001,-103.658335947 78.6649911200001,-103.772226901 78.671100187,-103.781881508 78.6712467390001,-103.826108763 78.671919001,-103.851936763 78.6694370010001,-103.969468057 78.6494494780001,-103.989163967 78.6461001540001,-103.997059506 78.643068188,-104.039827763 78.626646001,-104.03982597 78.6266454330001,-104.039826872 78.626645087,-104.015397027 78.6189068840001,-104.010008763 78.6172000010001,-104.005765508 78.617152821,-103.985546002 78.6169271080001,-103.74082695 78.6197090620001,-103.546767544 78.6210849890001,-103.506118763 78.6213730010001,-103.446663763 78.6213730010001,-103.439838093 78.620519518,-103.399990939 78.615536047,-103.378055288 78.58610959,-103.428157573 78.5469487570001,-103.465846043 78.517491249,-103.483502761 78.5114274460001,-103.527154763 78.4964370010001,-103.580076793 78.5028406230001,-103.588608906 78.5038731710001,-103.665835907 78.512500161,-103.677444916 78.513464905,-103.722499763 78.5172100010001,-103.782499763 78.5197190010001,-103.871108763 78.5180550010001,-103.920687549 78.516424504,-103.930555017 78.516100189,-104.033890976 78.5199912360001,-104.04451409 78.5208034670001,-104.088336763 78.5241550010001,-104.142772763 78.5294370010001,-104.166108763 78.532764001,-104.197617016 78.5376962620001,-104.212217978 78.5399822420001,-104.227701708 78.5428739550001,-104.262790763 78.5494280010001,-104.287781763 78.555255001,-104.347282155 78.5650964920001,-104.355000011 78.566373168,-104.397781915 78.569991132,-104.430963115 78.5711904130001,-104.666654764 78.5797100010001,-104.68935505 78.579070846,-104.69638202 78.5788732670001,-104.806108844 78.5724911190001,-104.831391011 78.569991132,-104.838284655 78.568238169,-104.868608764 78.5605280010001,-104.939335676 78.5413593430001,-104.953608883 78.537491141,-104.963222109 78.5348813890001,-105.011945764 78.5216550010001,-105.034672629 78.504693359,-105.048891006 78.49408227,-105.048890751 78.494082011,-105.047766021 78.492949733,-104.995973033 78.4408090730001,-104.820555054 78.355818083,-104.494454931 78.2705360730001,-104.472457218 78.266241134,-104.467499763 78.265273,-104.455392041 78.263619695,-104.412508919 78.2577632260001,-104.363617949 78.254436114,-104.304717979 78.25220921,-104.190282034 78.251663213,-104.110817904 78.2466451350001,-104.076454951 78.243154072,-104.042772943 78.236927156,-104.022508854 78.234145035,-103.991946088 78.2330451620001,-103.968996907 78.2334860570001,-103.963054763 78.2336000000001,-103.933318763 78.2372,-103.933318092 78.2372002110001,-103.93331786 78.2372002390001,-103.899372996 78.2478360360001,-103.877208897 78.272218154,-103.840210689 78.282114285,-103.829454763 78.284991,-103.825980881 78.2858919910001,-103.8080359 78.2905450170001,-103.786474445 78.295137562,-103.781954763 78.2961000000001,-103.751108763 78.3013730000001,-103.732368752 78.3041519330001,-103.679990929 78.3119182,-103.584726912 78.321927031,-103.536590821 78.325674452,-103.527499763 78.3263820000001,-103.498045763 78.327773,-103.480636238 78.3281062620001,-103.411117915 78.3294360420001,-103.381099973 78.3316632820001,-103.264717917 78.3452632550001,-103.238326825 78.3505361430001,-103.214173029 78.356645041,-103.163890998 78.3669271220001,-103.133899878 78.3691360890001,-103.02443591 78.3652633140001,-102.966945945 78.3641540530001,-102.929164013 78.3652540940001,-102.889999906 78.3691360890001,-102.8395754 78.375872411,-102.835827762 78.3763730000001,-102.830915728 78.376602909,-102.806108957 78.377763246,-102.783341828 78.376645673,-102.777790762 78.3763730000001,-102.722499762 78.3713730000001,-102.717864341 78.370763347,-102.694990904 78.367754081,-102.668337593 78.360818527,-102.686390762 78.350537,-102.735767346 78.341702291,-102.743046032 78.340400075,-102.757582965 78.3332812830001,-102.814090762 78.3056100000001,-102.814090432 78.3056093590001,-102.814090876 78.305609142,-102.803608971 78.2852632450001,-102.782443609 78.2765256820001,-102.781390762 78.2760910000001,-102.732227762 78.2638820000001,-102.706514554 78.258454031,-102.645282028 78.245527156,-102.618608968 78.2413631950001,-102.596360332 78.2400439290001,-102.590563762 78.2397000000001,-102.561390762 78.241091,-102.553170639 78.241741903,-102.501681921 78.2458181760001,-102.477999245 78.24820672,-102.471390762 78.2488730000001,-102.454314416 78.2513459250001,-102.388899893 78.260818095,-102.347226914 78.2677631720001,-102.298890993 78.2733181950001,-102.191049366 78.280511076,-102.182218761 78.2811,-102.157499761 78.2824820000001,-102.153836376 78.282524262,-102.133055038 78.282763259,-101.898941716 78.26888876,-101.833327761 78.265,-101.496654761 78.2372,-101.489943274 78.2364007740001,-101.465281886 78.233463251,-101.428464041 78.2182450670001,-101.342499912 78.189418194,-101.320094004 78.1855697600001,-101.316672761 78.184982,-101.289436761 78.1824820000001,-101.23137276 78.1838730000001,-101.200238713 78.1869781350001,-101.089446064 78.198027079,-101.067241507 78.1984965180001,-101.06276376 78.1985910000001,-101.055228491 78.196331516,-101.020836687 78.1860184160001,-101.017766594 78.1614527560001,-101.016463995 78.1510270650001,-100.998608864 78.1316541400001,-100.914175755 78.1098821630001,-100.87581876 78.099991,-100.870304893 78.099150234,-100.853881895 78.0966451100001,-100.836172945 78.0324181060001,-100.820690899 78.001791134,-100.82069078 78.0017910390001,-100.82069076 78.0017910000001,-100.81834972 77.9999196310001,-100.786117895 77.9741539880001,-100.755281879 77.9555540420001),(-103.017772968 78.133609135,-102.977217967 78.150273197,-102.931955019 78.166927033,-102.898063967 78.1780360720001,-102.865202563 78.1863584690001,-102.855272762 78.1888730000001,-102.843205323 78.1909274550001,-102.79332689 78.199418139,-102.778890906 78.2089450110001,-102.778890956 78.2089458720001,-102.778890762 78.2089460000001,-102.780290762 78.2327550000001,-102.785699762 78.2415100000001,-102.797131269 78.249270036,-102.79860883 78.2502731580001,-102.800335022 78.25096333,-102.812499762 78.2558280000001,-102.82367441 78.2584403220001,-102.825564025 78.2588822110001,-102.836069383 78.26038078,-102.897508762 78.269146,-102.934154762 78.2727640000001,-102.986936762 78.2727640000001,-103.041381762 78.2636100000001,-103.062763762 78.258046,-103.124708762 78.2366460000001,-103.161656713 78.2231331250001,-103.170272979 78.219982133,-103.178324263 78.216839362,-103.227218762 78.197755,-103.237260045 78.1930853210001,-103.239164009 78.1922001470001,-103.248670134 78.186416127,-103.271108762 78.172764,-103.276969723 78.165585155,-103.280972942 78.16068218,-103.27375495 78.1440181180001,-103.264631191 78.1385771660001,-103.258618762 78.1349910000001,-103.230290762 78.1238730000001,-103.227200961 78.1232827100001,-103.212781969 78.1205271640001,-103.194446053 78.1191361030001,-103.114435925 78.1177540950001,-103.056955012 78.1197090900001,-103.041672959 78.122209076,-103.017772968 78.133609135),(-101.859446081 78.1552540590001,-101.675281921 78.1444360400001,-101.651399867 78.144718174,-101.625817964 78.1480360670001,-101.614752716 78.1528521690001,-101.613054761 78.1535910000001,-101.602499761 78.1617910000001,-101.600208761 78.1797730000001,-101.619299761 78.2020640000001,-101.633618761 78.2108190000001,-101.664217342 78.222837763,-101.672499968 78.2260911990001,-101.681672955 78.22748226,-101.682550019 78.228364443,-101.684718761 78.2305460000001,-101.707227761 78.2327550000001,-101.726236522 78.232540074,-101.731372947 78.232482233,-101.753345939 78.2272001250001,-101.776108841 78.2163821060001,-101.797229907 78.205033777,-101.880554761 78.160264,-101.880554007 78.1602638210001,-101.880555066 78.1602632520001,-101.859446081 78.1552540590001),(-111.430973019 78.270409171,-111.409999989 78.277209074,-111.306108981 78.3211091250001,-111.280253587 78.339720549,-111.27139077 78.3461,-111.277790549 78.3722091000001,-111.169999949 78.384154112,-111.141391004 78.3861091080001,-111.002500019 78.3680451000001,-110.980637482 78.364727412,-110.97500877 78.3638730000001,-110.857772769 78.3324910000001,-110.848694195 78.3291752090001,-110.787781978 78.306927112,-110.72812716 78.294995096,-110.715563769 78.2924820000001,-110.704353166 78.292592486,-110.658335888 78.2930450040001,-110.580609467 78.290045036,-110.571672769 78.2897,-110.562474769 78.2891422120001,-110.484735944 78.284427066,-110.411945988 78.277209074,-110.354445964 78.2766540250001,-110.288608965 78.2830450580001,-110.252499893 78.2958180730001,-110.231204354 78.2989859100001,-110.224445769 78.299991,-110.216852163 78.3010389630001,-110.196382045 78.3038631910001,-110.012508906 78.3236091110001,-109.999999921 78.324454007,-109.983890909 78.325544995,-109.972572992 78.3256541280001,-109.955272912 78.3258180780001,-109.922439215 78.3211266370001,-109.917354769 78.3204000000001,-109.913021212 78.318098058,-109.88923592 78.3054632960001,-109.853335893 78.2966450310001,-109.827757158 78.2941908320001,-109.824445768 78.2938730000001,-109.817245812 78.2939071900001,-109.766955016 78.2941450450001,-109.595835948 78.3027633180001,-109.42859988 78.3033182,-109.404999961 78.3063631780001,-109.32263586 78.3551181940001,-109.260554959 78.4558270960001,-109.260554892 78.4558277990001,-109.260554768 78.455828001,-109.260302529 78.4585107670001,-109.257917844 78.483863221,-109.257918794 78.4838637230001,-109.257918768 78.483864001,-109.334163768 78.5241550010001,-109.405272768 78.5569280010001,-109.500554768 78.582764001,-109.559718768 78.5865190010001,-109.648063768 78.5880460010001,-109.667278713 78.5908895250001,-109.67054603 78.5913732000001,-109.701521331 78.601798767,-109.859127768 78.6548460010001,-109.954604594 78.674914271,-109.972572992 78.6786911730001,-109.997217967 78.683873201,-109.997873526 78.68396082,-109.999999769 78.6842460010001,-110.067517073 78.693556308,-110.077791023 78.6949731880001,-110.088790886 78.696778975,-110.164172769 78.7091550010001,-110.271118769 78.7277640010001,-110.389863769 78.7537460010001,-110.410554769 78.7577640010001,-110.430554769 78.7586100010001,-110.456601396 78.7576295390001,-110.460281909 78.757491122,-110.63750887 78.7486001020001,-110.659189503 78.7467176160001,-110.791108769 78.7352640010001,-110.95612777 78.7183190010001,-111.16055477 78.6916550010001,-111.36305477 78.642764001,-111.38561877 78.616091001,-111.45556377 78.5927550010001,-111.547886691 78.5894602970001,-111.572245975 78.5885912460001,-111.579413677 78.587756642,-111.60082777 78.585264001,-111.64195477 78.5741550010001,-111.67778177 78.5630370010001,-111.75249977 78.5505370010001,-111.80971877 78.545255001,-111.85305477 78.542755001,-111.87304577 78.5444370010001,-111.897628164 78.548004958,-111.903608927 78.548873262,-111.92585472 78.549898022,-111.98805477 78.5527640010001,-112.129708771 78.5519280010001,-112.238054771 78.5472100010001,-112.294481852 78.5416691710001,-112.311663947 78.5399822420001,-112.324649643 78.5383006170001,-112.363054771 78.533328001,-112.607499771 78.499419001,-112.711672771 78.4847100010001,-113.038327771 78.436919001,-113.119718772 78.421928,-113.196382013 78.3927746540001,-113.216108853 78.385273264,-113.237570173 78.375303122,-113.333327772 78.3308190000001,-113.333326498 78.3308182470001,-113.33332692 78.3308180510001,-113.279099862 78.2987270960001,-113.223653741 78.279782486,-113.217772772 78.2777730000001,-113.178463772 78.2692910000001,-113.172100941 78.269121903,-113.142226903 78.2683271070001,-113.066965953 78.2709627720001,-113.054990771 78.2713820000001,-113.04991111 78.2716323160001,-113.026946062 78.272763313,-112.965789399 78.281053747,-112.944990771 78.2838730000001,-112.890836771 78.2924820000001,-112.882931107 78.2938588420001,-112.787217931 78.310527139,-112.739163977 78.3230450090001,-112.690836455 78.330399255,-112.684436771 78.331373,-112.583072771 78.3436,-112.562152284 78.345158934,-112.437763981 78.3544271900001,-112.215008869 78.3652633140001,-112.133054978 78.3655360610001,-111.939435864 78.3383181780001,-111.918608846 78.3327633230001,-111.888817886 78.3149180830001,-111.883052387 78.3104798590001,-111.86472777 78.2963730000001,-111.848033063 78.2878750100001,-111.820008998 78.273609214,-111.799191086 78.2714975980001,-111.79527277 78.2711,-111.76666377 78.2713820000001,-111.761685969 78.2716247770001,-111.738326849 78.272763313,-111.652500015 78.272763313,-111.575564035 78.2705360730001,-111.505281944 78.2669360460001,-111.466474654 78.2674396340001,-111.46250877 78.2674910000001,-111.458733694 78.267840425,-111.430973019 78.270409171),(-95.3122187549999 79.3297820010001,-95.161663755 79.2811000010001,-95.148830209 79.279308545,-95.0875549419999 79.2707541140001,-95.018617811 79.266936157,-94.985443445 79.272558802,-94.976454755 79.2740820010001,-94.952499755 79.2899820010001,-94.92079402 79.2936456950001,-94.765017966 79.311645061,-94.719999937 79.3216540600001,-94.697491006 79.326663253,-94.676770005 79.330213309,-94.6699997539999 79.331373001,-94.638899754 79.3324910010001,-94.573627754 79.331100001,-94.538054754 79.333600001,-94.506672754 79.337200001,-94.489155994 79.342621497,-94.394026883 79.3720631610001,-94.394028572 79.3720637480001,-94.394027754 79.3720640010001,-94.432772754 79.3855460010001,-94.458754754 79.382346001,-94.4915271 79.3777550930001,-94.499125159 79.4077406120001,-94.501945754 79.4188730010001,-94.476546484 79.419209622,-94.3763908559999 79.420536042,-94.245835841 79.4041631680001,-94.067200627 79.381097024,-94.067200601 79.3810970210001,-94.056382076 79.3797000430001,-94.067957016 79.3703224880001,-94.0886097539999 79.353591001,-94.119718754 79.3447100010001,-94.155418754 79.3279100010001,-94.1978897119999 79.2860936850001,-94.209590982 79.2745732450001,-94.2095905529999 79.274573199,-94.209590754 79.2745730010001,-94.0472277539999 79.2574910010001,-94.042089313 79.2574350020001,-93.9972178629999 79.256945096,-93.971799925 79.257449921,-93.969727754 79.2574910010001,-93.966241366 79.257659892,-93.906663972 79.260545124,-93.8749735929999 79.263429439,-93.869999754 79.2638820010001,-93.806245943 79.274015094,-93.806245912 79.2740150990001,-93.801936752 79.2746999940001,-93.801935779 79.274700147,-93.775904763 79.279914954,-93.757509753 79.2836000010001,-93.757508898 79.2836002080001,-93.757508843 79.28360022,-93.641390985 79.311645061,-93.485273008 79.3541540510001,-93.4481540039999 79.3818835810001,-93.428745753 79.3963820010001,-93.346254753 79.444282001,-93.342225931 79.4449017140001,-93.320008867 79.4483181960001,-93.284581915 79.4473361720001,-93.246535121 79.4359744340001,-93.237154983 79.4331730700001,-93.2383166659999 79.429030631,-93.243618753 79.410128001,-93.3124997529999 79.372755001,-93.3124987429999 79.3727546010001,-93.3124998549999 79.3727539970001,-93.265454806 79.3540993980001,-93.264172753 79.353591001,-93.2468346909999 79.3543533020001,-93.1249998659999 79.3597090740001,-93.032464754 79.3865253930001,-93.012599753 79.3922820010001,-93.012599974 79.3922821290001,-93.012599885 79.392282155,-93.016060242 79.394283155,-93.033618753 79.4044370010001,-93.061109753 79.415819001,-93.078397753 79.4248154780001,-93.081391003 79.4263732000001,-93.084956731 79.428276043,-93.1058367529999 79.439419001,-93.1249997529999 79.4508190010001,-93.1363020649999 79.4666454630001,-93.140417874 79.4724091260001,-93.098890908 79.4822090800001,-93.053890984 79.478318201,-93.0314640289999 79.46442704,-92.9969268679999 79.440173289,-92.973327753 79.4236000010001,-92.950836753 79.416382001,-92.929445753 79.412491001,-92.901672753 79.4088730010001,-92.8984515879999 79.408733312,-92.876099921 79.407763195,-92.854445945 79.407763195,-92.8030549869999 79.4130360830001,-92.774172961 79.417754088,-92.700599665 79.4329380140001,-92.679990752 79.437191001,-92.668679443 79.4393210370001,-92.634173049 79.445818209,-92.605272917 79.4505451000001,-92.580835814 79.452209075,-92.419726917 79.4572181,-92.338054993 79.453045086,-92.2833268649999 79.4491451540001,-92.238610719 79.4363637720001,-92.3136095149999 79.4185910580001,-92.3176923679999 79.4183030400001,-92.411945752 79.411655001,-92.462321715 79.4065816460001,-92.471255002 79.4056821360001,-92.492352325 79.3990836890001,-92.569645752 79.374910001,-92.5696441699999 79.374909716,-92.569645973 79.374909152,-92.510008899 79.3641539970001,-92.411945996 79.3644270790001,-92.351945986 79.3627632710001,-92.290835877 79.3580360460001,-92.210008849 79.3483271200001,-92.181108885 79.3458271330001,-92.1508357979999 79.3444360720001,-91.897781949 79.339154132,-91.864717856 79.3394270470001,-91.8352819529999 79.3408181080001,-91.789598623 79.346222675,-91.788327752 79.3463730010001,-91.7883276319999 79.3463730400001,-91.788326866 79.3463731300001,-91.7666640049999 79.3533182080001,-91.729717917 79.3594180540001,-91.7059628549999 79.361107518,-91.7022277519999 79.3613730010001,-91.685483963 79.3624439110001,-91.58083587 79.3691360320001,-91.508617895 79.3733092140001,-91.4222267919999 79.3741450580001,-91.230564014 79.3894361640001,-91.191099835 79.3933270430001,-91.156390877 79.3944361370001,-91.128536893 79.3893257760001,-91.124581999 79.3886000470001,-91.133471444 79.380038454,-91.158336751 79.3560910050001,-91.231672751 79.3480370010001,-91.2677727509999 79.345828001,-91.441603317 79.3351854740001,-91.467499966 79.3336001160001,-91.493882006 79.33249119,-91.49990847 79.332588118,-91.528881751 79.333055001,-91.589718751 79.3322190010001,-91.646065659 79.330404092,-91.658891002 79.3299912030001,-91.727491013 79.3261001560001,-91.7389232369999 79.324933318,-91.795545752 79.3191550010001,-91.825096 79.3152726590001,-91.8294550209999 79.3147000970001,-91.834997688 79.31328375,-91.865281752 79.305546001,-91.887548513 79.302111391,-91.894163984 79.3010912390001,-91.902774614 79.300219268,-91.932499752 79.2972100010001,-91.961945752 79.2955370010001,-91.994999752 79.295255001,-92.107985828 79.2991785550001,-92.131381903 79.299991198,-92.1530276249999 79.3007678700001,-92.255009752 79.3044280010001,-92.303327752 79.3063640010001,-92.372797604 79.308056664,-92.394726885 79.308591199,-92.454454986 79.308591199,-92.465970181 79.3084512240001,-92.5233277519999 79.307755001,-92.571945752 79.3041550010001,-92.603881752 79.3008100010001,-92.6255457519999 79.295255001,-92.6852727529999 79.2555460010001,-92.685271926 79.2555458560001,-92.685272986 79.255545151,-92.621935805 79.244427059,-92.510281982 79.2327540860001,-92.238890876 79.2055541390001,-92.213899896 79.2041632460001,-92.180826918 79.2030451000001,-92.0877819249999 79.2041632460001,-92.053608906 79.205263287,-92.03211602 79.2070231540001,-92.026399752 79.2074910010001,-91.861118752 79.2152730010001,-91.822844151 79.216605858,-91.470835796 79.2288632060001,-91.198881929 79.241363306,-91.1399998969999 79.244427059,-90.885835782 79.2441360390001,-90.732226844 79.2383091080001,-90.502226918 79.2494181470001,-90.4727819619999 79.2508271450001,-90.4055639599999 79.251936071,-90.380191768 79.2473272060001,-90.37053675 79.2455730010001,-90.390836501 79.2363731140001,-90.399215952 79.2350950800001,-90.4927637499999 79.220828001,-90.5222538309999 79.2180541610001,-90.528335876 79.2174822580001,-90.5347722229999 79.2171342450001,-90.564163751 79.2155460010001,-90.601672751 79.2141550010001,-90.811936751 79.208037001,-91.0091727509999 79.2030460010001,-91.2052727509999 79.1919280010001,-91.391154646 79.1853022770001,-91.4391639359999 79.1835912060001,-91.4867674179999 79.1816548240001,-91.6919367519999 79.1733100010001,-91.8707001019999 79.1629572030001,-91.8980550319999 79.161373127,-91.941036691 79.1595756090001,-92.243054752 79.1469460010001,-92.309436752 79.145264001,-92.3930481469999 79.145976799,-92.4074998999999 79.1461001260001,-92.415868701 79.1472438320001,-92.478609752 79.1558190010001,-92.506954752 79.158328001,-92.746945753 79.164155001,-92.7868097529999 79.1584640010001,-92.803987064 79.1501917040001,-92.808745964 79.1479002240001,-92.83669644 79.1420272820001,-92.841109089 79.141100141,-92.844015972 79.140958799,-92.869718753 79.1397100010001,-92.890633 79.1430799500001,-92.8955549889999 79.1438732220001,-92.914494318 79.1457340320001,-93.0030637529999 79.1544370010001,-93.227781753 79.166928001,-93.2535486419999 79.1673827450001,-93.2591730139999 79.1674821940001,-93.265873351 79.1673783890001,-93.294999753 79.166928001,-93.329727753 79.164428001,-93.3642771519999 79.1615268850001,-93.366108832 79.161373127,-93.366109023 79.1613730620001,-93.366109753 79.1613730010001,-93.400235069 79.1498231480001,-93.454964046 79.1313002000001,-93.472781961 79.1088732440001,-93.509756298 79.097266571,-93.6019457529999 79.0683280010001,-93.784163754 79.0380370010001,-93.8138907539999 79.0355370010001,-93.854718754 79.0405460010001,-93.873797382 79.042128801,-93.878055027 79.042482201,-93.884318934 79.0423743160001,-93.910281754 79.041928001,-94.005281754 79.0297100010001,-94.241381754 78.996646001,-94.288054754 78.9837370010001,-94.288054298 78.9837363130001,-94.288054984 78.9837361230001,-94.275982026 78.965536162,-94.2530640589999 78.956936161,-94.150815834 78.9271282660001,-94.0958367539999 78.9111000010001,-94.052490754 78.9024820010001,-94.0462316639999 78.9008559630001,-93.9594459899999 78.8783092150001,-93.939435872 78.8716451000001,-93.911946079 78.854845083,-93.897363915 78.840263254,-93.8819481149999 78.8357292690001,-93.874709754 78.833600001,-93.842772754 78.8324910010001,-93.779727754 78.833600001,-93.746945753 78.834991001,-93.730111823 78.835086086,-93.650282005 78.835536028,-93.5897178929999 78.8347181220001,-93.5605460199999 78.833327061,-93.434052697 78.8260198950001,-93.416399753 78.825000001,-93.413589725 78.8245312320001,-93.391390999 78.8208271290001,-93.3710049269999 78.8164768980001,-93.369154753 78.816082001,-93.346390753 78.809982001,-93.271945753 78.7961000010001,-93.1702727529999 78.7799820010001,-93.118881753 78.772491001,-93.04342781 78.749773018,-93.099726919 78.7372002100001,-93.110146266 78.73692758,-93.163327753 78.7355370010001,-93.18481481 78.7361967570001,-93.1905550659999 78.7363732520001,-93.202594714 78.7375533270001,-93.247218753 78.7419280010001,-93.2884429979999 78.7471661150001,-93.2997268409999 78.7486001020001,-93.3513908799999 78.7561002290001,-93.356131138 78.756943031,-93.376390753 78.7605460010001,-93.429172753 78.7672100010001,-93.509601795 78.7761213470001,-93.534435888 78.7788731890001,-93.5897178929999 78.78360008,-93.595218529 78.7837016180001,-93.6502817529999 78.784719001,-93.676266186 78.7830029680001,-93.684154952 78.7824822690001,-93.715232237 78.7788652930001,-93.808199754 78.7680460010001,-93.808198281 78.768045301,-93.808199911 78.768045111,-93.77139095 78.750545038,-93.4341549659999 78.633609107,-93.277782012 78.5858181770001,-93.242491015 78.582763309,-93.210554958 78.5841540340001,-93.178572436 78.5862736460001,-93.176936753 78.5863820010001,-93.168690644 78.586975631,-92.991672955 78.599718055,-92.942217882 78.611582136,-92.9072267889999 78.6230271220001,-92.828890863 78.6319270270001,-92.80610885 78.633609107,-92.7577819809999 78.628036147,-92.73506156 78.6239586170001,-92.733063753 78.6236000010001,-92.730946252 78.6230332900001,-92.697772919 78.6141540390001,-92.595135843 78.597354023,-92.557217957 78.594709197,-92.351945986 78.5869271030001,-92.1513998999999 78.579436028,-91.945263922 78.5722182040001,-91.663890975 78.5648451470001,-91.637846383 78.5448453390001,-91.653472752 78.5284550010001,-91.6757258169999 78.5266426790001,-91.6824999739999 78.52609125,-91.690836699 78.5269372130001,-91.726390752 78.5305460010001,-91.918609752 78.534428001,-91.945788418 78.5308304420001,-91.9499998649999 78.530273149,-91.957916734 78.529804416,-92.0111277519999 78.5266550010001,-92.070845752 78.5255460010001,-92.216663752 78.5280460010001,-92.242855833 78.5278119820001,-92.247217961 78.5277731620001,-92.52944603 78.5213821290001,-92.533609357 78.521278162,-92.563327752 78.520537001,-92.5633227929999 78.5205361610001,-92.5633268559999 78.5205360590001,-92.5024382829999 78.5102276280001,-92.491591284 78.5083910910001,-92.520281927 78.498600116,-92.527832174 78.4975204120001,-92.576672752 78.4905370010001,-92.6005547519999 78.4880370010001,-92.6183256419999 78.487341358,-92.621935805 78.487200224,-92.646391014 78.4874912440001,-92.6544448829999 78.4890097670001,-92.690554753 78.495819001,-92.856254753 78.505410001,-92.972772753 78.485955001,-92.980963753 78.4559550010001,-92.9809636479999 78.4559549210001,-92.9809638999999 78.455953998,-92.949435874 78.4319271050001,-92.58944604 78.3236091110001,-92.546935877 78.3126180890001,-92.3871615099999 78.289832613,-92.3083367519999 78.2785910000001,-92.237571931 78.2573601230001,-92.105563965 78.217754056,-92.0898957049999 78.2140458530001,-92.0833277519999 78.2124910000001,-92.0583367519999 78.2088820000001,-92.031109752 78.2074910000001,-92.0262029519999 78.2081250590001,-91.994590919 78.212209091,-91.9688909979999 78.22553615,-91.9463818999999 78.232754142,-91.926675711 78.23610991,-91.920272752 78.2372,-91.913210097 78.2376802860001,-91.8875089209999 78.2394271430001,-91.863708925 78.239643723,-91.857499752 78.2397000000001,-91.852322311 78.2391503100001,-91.831390906 78.236927156,-91.8077728819999 78.232754142,-91.7159729369999 78.2120632460001,-91.661946039 78.1997091590001,-91.6138909109999 78.1919270650001,-91.539990856 78.1813631850001,-91.489717877 78.1769271460001,-91.354487923 78.170013268,-91.326672751 78.168591,-91.2383907509999 78.1666000000001,-91.030554751 78.1481820000001,-91.016062026 78.1469420620001,-90.9672269119999 78.142763179,-90.711117859 78.135818102,-90.624435905 78.134427041,-90.514250201 78.1349177610001,-90.49777275 78.1349910000001,-90.46500975 78.135273,-90.43388175 78.1363820000001,-90.4179484489999 78.1377654090001,-90.353881983 78.143327114,-90.33484792 78.145564522,-90.33029075 78.1461,-90.32249746 78.148839057,-90.297490886 78.1576271430001,-90.270764014 78.1846270980001,-90.2707643689999 78.184627375,-90.27076375 78.184628,-90.3633277499999 78.2569460000001,-90.41028175 78.2766550000001,-90.452661712 78.2784840900001,-90.461672923 78.2788732170001,-90.477342312 78.2796594210001,-90.544999751 78.283055,-90.5916936959999 78.286937847,-90.598346057 78.2874911550001,-90.6227729349999 78.2910911820001,-90.635614709 78.2935897510001,-90.715563751 78.3091460000001,-90.739925964 78.3209541350001,-90.681684322 78.3262235870001,-90.667772751 78.327482,-90.659642758 78.3271506390001,-90.620272949 78.325544995,-90.599337346 78.3232974190001,-90.5944547509999 78.322773,-90.576291305 78.3223063040001,-90.50778194 78.320545022,-90.478881976 78.3211091250001,-90.411390892 78.32443607,-90.353576013 78.3298758810001,-90.3405637499999 78.3311,-90.27417275 78.3349910000001,-90.266792455 78.335251671,-90.242490848 78.3361092110001,-90.213617874 78.3352633090001,-90.1793089 78.332218164,-90.0602729669999 78.3080271530001,-90.023326879 78.2980360920001,-89.986355066 78.2806320270001,-89.9802818759999 78.2777730600001,-89.9784950649999 78.2749453540001,-89.95721875 78.241273,-89.942325936 78.233110937,-89.920145985 78.220954099,-89.891438464 78.2160419040001,-89.8869457499999 78.2152730000001,-89.880828016 78.214925125,-89.847781998 78.2130451020001,-89.7833268379999 78.2144271110001,-89.748890963 78.217209064,-89.700835835 78.2191451160001,-89.6583363079999 78.2102541820001,-89.64402775 78.183728,-89.6440268819999 78.183727172,-89.644026816 78.1837270490001,-89.6252729779999 78.1658181070001,-89.595835901 78.156936139,-89.5562459929999 78.1491632650001,-89.530290927 78.148327087,-89.512637546 78.1496322460001,-89.5077817499999 78.1499910000001,-89.4616727489999 78.1683820000001,-89.470958789 78.17637596,-89.61083582 78.2967912120001,-89.672194997 78.3341191420001,-89.74804575 78.3802640000001,-89.7798637499999 78.3959550000001,-89.8097187499999 78.4047100000001,-89.86999975 78.4177550000001,-89.9060356859999 78.4252648900001,-89.909999859 78.4260911210001,-89.91409393 78.4267453480001,-89.93610975 78.4302640000001,-89.956207099 78.432087519,-89.9605549729999 78.4324821550001,-89.984999858 78.436100105,-90.064709211 78.513318478,-90.082913562 78.5333604910001,-90.10028175 78.552482001,-90.098030051 78.561709331,-90.090417811 78.592900215,-90.051390999 78.6058180690001,-90.014726878 78.6094180960001,-89.980563917 78.609709116,-89.9513908709999 78.602336058,-89.9216639479999 78.5780451350001,-89.8911097449999 78.5527640060001,-89.891109661 78.552763939,-89.891108893 78.5527633040001,-89.843250569 78.5194631400001,-89.843250516 78.519463102,-89.81167275 78.4974910010001,-89.67666375 78.4474820010001,-89.638547847 78.4341757280001,-89.518335819 78.3922091210001,-89.363326936 78.3428271390001,-89.264655004 78.268954073,-89.227490986 78.2452540740001,-89.115826936 78.200818085,-89.0824656789999 78.1900444890001,-89.072363749 78.1867820000001,-89.06003034 78.1837072020001,-89.002790937 78.1694360720001,-88.9788818929999 78.1658181070001,-88.861622279 78.1529061480001,-88.847781749 78.1513820000001,-88.843563393 78.1518115690001,-88.817781881 78.1544361530001,-88.782773019 78.1716450380001,-88.75139989 78.1969270380001,-88.719717805 78.2371360330001,-88.709609314 78.261151624,-88.708199749 78.2645000000001,-88.703471985 78.2708657740001,-88.6679178109999 78.31873604,-88.614717871 78.3483271760001,-88.565835785 78.3766451010001,-88.542155065 78.397627184,-88.5421549979999 78.3976277790001,-88.542154749 78.3976280000001,-88.541660554 78.4020781820001,-88.539717942 78.419563295,-88.553813443 78.4367683820001,-88.557354749 78.4410910010001,-88.557354846 78.4410910490001,-88.557354975 78.4410912070001,-88.5952730289999 78.4599912260001,-88.659163919 78.4910911040001,-88.6611470559999 78.4920869010001,-88.725009749 78.5241550010001,-88.746109393 78.5358098040001,-88.75757586 78.5530104210001,-88.796390199 78.6112361770001,-88.723054976 78.6158181820001,-88.583320508 78.60673739,-88.567081751 78.6056819950001,-88.389446009 78.5213821280001,-88.389445745 78.521382008,-88.241664003 78.45512704,-88.211382527 78.4529262440001,-88.205272748 78.4524820010001,-88.173344524 78.4568151550001,-88.055826815 78.4727632340001,-88.019028985 78.4799833740001,-88.011945748 78.4813730010001,-87.9960719059999 78.4876874280001,-87.984726818 78.492200197,-87.908335829 78.5486001800001,-87.893899845 78.5723451060001,-87.893900028 78.5723455410001,-87.893899748 78.5723460010001,-87.901672748 78.590828001,-87.987918748 78.6423460010001,-88.017499748 78.6547100010001,-88.04270073 78.658387803,-88.0441550149999 78.6586000870001,-88.046819647 78.6592723680001,-88.1322185019999 78.6808189390001,-88.201108834 78.7572182070001,-88.218340978 78.7806405570001,-88.223681748 78.7879000010001,-88.211872748 78.962900001,-88.20174946 78.968567755,-88.162508829 78.990536026,-88.0938908809999 79.004436072,-88.06139089 79.005827132,-88.036509839 79.004128295,-88.032772748 79.003873001,-88.000563748 79.0036000010001,-87.985554094 79.004306184,-87.929445987 79.0069451100001,-87.892008887 79.0252632570001,-87.872772922 79.0452540960001,-87.8540141189999 79.052983629,-87.849163748 79.054982001,-87.806381748 79.0699910010001,-87.8015026049999 79.07156467,-87.772782014 79.080827061,-87.74945501 79.085818149,-87.7290914229999 79.073954309,-87.794445748 79.0069460010001,-87.813609748 78.996937001,-87.8336187479999 78.9922000010001,-87.894163748 78.9797100010001,-87.980136748 78.9603370010001,-87.999048943 78.8373048240001,-88.002372904 78.8156821490001,-87.993881868 78.79525411,-87.9556288859999 78.7532780920001,-87.951109748 78.7483190010001,-87.951109458 78.7483188030001,-87.951108849 78.748318134,-87.889420967 78.7063101200001,-87.8894209279999 78.7063100930001,-87.872772748 78.6949730010001,-87.6844367479999 78.6449910010001,-87.663054748 78.6424910010001,-87.650958906 78.643201225,-87.615826853 78.6452633050001,-87.591024809 78.6503107140001,-87.582363748 78.6520730010001,-87.5726586069999 78.655408058,-87.537917901 78.667345094,-87.5299998529999 78.686918179,-87.353881985 78.7841450710001,-87.328064046 78.7947091190001,-87.282772935 78.8102540290001,-87.17944603 78.8305539930001,-87.0524908739999 78.8627633,-87.02166391 78.873027108,-87.002780582 78.880408877,-86.9974997469999 78.8824730010001,-86.9854708839999 78.8886207460001,-86.970835882 78.89610014,-86.956482754 78.9092468590001,-86.945972747 78.9188730010001,-86.945973033 78.9188732170001,-86.9459729769999 78.9188732680001,-86.9801997449999 78.9447730040001,-87.003481747 78.9842820010001,-86.986654747 79.0522000010001,-86.9811682119999 79.053159157,-86.957217804 79.0573451590001,-86.930972891 79.043245122,-86.9098639059999 79.013045124,-86.8083359239999 78.9672091900001,-86.7849998679999 78.9572181290001,-86.77020943 78.954540148,-86.7650187469999 78.953600001,-86.760712037 78.953296999,-86.741381952 78.9519360210001,-86.7022268969999 78.9552633010001,-86.6769358449999 78.959718115,-86.6066639809999 78.9758180750001,-86.591891219 78.9819065470001,-86.587781747 78.9836000010001,-86.555063747 79.0382820010001,-86.535204505 79.0454317620001,-86.485545982 79.063309218,-86.422499989 79.0755451210001,-86.341672961 79.0883181350001,-86.2713908699999 79.095536128,-86.1588909769999 79.1033180540001,-86.035725413 79.1097188310001,-86.003890746 79.1113730010001,-85.9783489169999 79.1134442760001,-85.877208906 79.1216450850001,-85.7944290899999 79.1296890350001,-85.779999746 79.1310910010001,-85.7451671109999 79.135351959,-85.591381983 79.154163182,-85.332422724 79.1845859570001,-85.2888907459999 79.1897000010001,-85.265972746 79.2024820010001,-85.261142378 79.2050278510001,-85.2404088979999 79.2159540690001,-85.211399969 79.2233091890001,-85.158890866 79.2319360120001,-85.0999908969999 79.239427086,-84.931108958 79.258327105,-84.905563935 79.271027029,-84.905564441 79.2710276550001,-84.9055637449999 79.271028001,-84.926381745 79.296791001,-84.9263817949999 79.2967910250001,-84.9263819 79.2967911550001,-84.942076177 79.3042725720001,-85.039718745 79.350819001,-85.108058329 79.3717691890001,-85.1302819209999 79.37858227,-85.150555063 79.382200234,-85.168308575 79.3868429620001,-85.278063746 79.4155460010001,-85.3066547459999 79.428319001,-85.364681546 79.4558137860001,-85.402217851 79.4736001950001,-85.484999874 79.5186001180001,-85.531109746 79.5594190020001,-85.591381746 79.585264002,-85.631527746 79.601655002,-85.6819457459999 79.613310002,-85.7436097459999 79.6169280020001,-85.7813907459999 79.6155370020001,-85.840909746 79.6005370020001,-85.894245746 79.5503280020001,-85.894245708 79.55032737,-85.894245962 79.5503271310001,-85.893640256 79.5402052950001,-85.8917367459999 79.5083820020001,-85.93543593 79.4767836660001,-85.9699999269999 79.451791153,-85.990555036 79.4449731460001,-85.995143404 79.4439628580001,-86.011945746 79.4402640010001,-86.030817805 79.4370788200001,-86.03499991 79.4363731450001,-86.0401395929999 79.4360536790001,-86.070845746 79.434146001,-86.0988907459999 79.4358100010001,-86.128481746 79.4423370010001,-86.151150307 79.4540360600001,-86.164026746 79.4606820920001,-86.154250152 79.4615635230001,-86.054717834 79.4705361060001,-86.033764995 79.4738095760001,-86.028063746 79.474700001,-86.044163746 79.5672100020001,-86.109163746 79.5952640020001,-86.235913648 79.6288924770001,-86.25889999 79.6349912260001,-86.279446047 79.640273167,-86.282921625 79.640644034,-86.302781747 79.642764002,-86.334163747 79.6455370020001,-86.52187964 79.655059491,-86.547772896 79.6563731260001,-86.5511850409999 79.656477862,-86.575009747 79.6572100020001,-86.613054747 79.655819002,-86.640836747 79.653319002,-86.6872097469999 79.645264002,-86.769581747 79.6295640020001,-86.804299747 79.614346002,-86.804298497 79.614345692,-86.80429987 79.61434509,-86.756642681 79.602534178,-86.746381747 79.5999910020001,-86.739474601 79.5978179780001,-86.7172268159999 79.590818094,-86.694164663 79.570545694,-86.783609747 79.540546002,-86.810110773 79.5398677220001,-86.8166640159999 79.5397002190001,-86.820831131 79.542597157,-86.836945747 79.5538000020001,-86.829110253 79.5682389940001,-86.8216819259999 79.5819270740001,-86.821682174 79.5819272140001,-86.821681747 79.581928002,-86.841381747 79.5930460020001,-86.932499747 79.601655002,-86.966663747 79.601655002,-86.994851532 79.5993784410001,-87.001108969 79.5988732700001,-87.004943751 79.5983497770001,-87.0255547469999 79.5955370020001,-87.067627741 79.5889146900001,-87.076673 79.5874911490001,-87.093542649 79.5839629660001,-87.164999747 79.5690190020001,-87.185963747 79.5475550020001,-87.2555637469999 79.514164002,-87.280563747 79.5069460020001,-87.3099997469999 79.502210001,-87.345272748 79.5030550010001,-87.364166929 79.5060316540001,-87.366390969 79.5063821540001,-87.371036233 79.5074031170001,-87.398609748 79.513464002,-87.4218642819999 79.5203973700001,-87.441935889 79.526382213,-87.4529077619999 79.5308278940001,-87.462508737 79.534718592,-87.444854971 79.5711092220001,-87.425554968 79.5791632250001,-87.370298323 79.5908891290001,-87.344454748 79.5963730020001,-87.321263847 79.600126028,-87.258617799 79.6102632710001,-87.1640268479999 79.6313821470001,-87.139163944 79.641518047,-87.055554962 79.7319361510001,-86.9633999599999 79.9053361030001,-86.963400178 79.9053361900001,-86.963399747 79.9053370020001,-86.994445747 79.917755002,-87.023330054 79.916167333,-87.0247179409999 79.9160910910001,-87.024718089 79.916091038,-87.024718747 79.916091002,-87.051390747 79.9066460020001,-87.0797277469999 79.8961000020001,-87.1562547469999 79.8733190020001,-87.19082681 79.8660911950001,-87.190826906 79.866091178,-87.1950751209999 79.8653646640001,-87.338609748 79.840819002,-87.412781748 79.833328002,-87.4391637479999 79.8319370020001,-87.4598466749999 79.831459996,-87.463617861 79.831373183,-87.4715828069999 79.836703325,-87.482498887 79.8440094260001,-87.4570699659999 79.8525807140001,-87.446654748 79.8560910020001,-87.4303569309999 79.856323837,-87.368326854 79.8572090590001,-87.338242639 79.8610984900001,-87.336118748 79.8613730020001,-87.3361178869999 79.8613731880001,-87.314436749 79.86609101,-87.31443591 79.866091194,-87.093608971 79.9294270340001,-87.0433358239999 79.965000166,-87.1487669909999 80.0168549530001,-87.224309747 80.054010002,-87.2670907469999 80.0654100020001,-87.299990747 80.0694460020001,-87.353444512 80.0721812130001,-87.3650089609999 80.0727731690001,-87.641682007 80.0763822490001,-87.6805549269999 80.0763822490001,-87.690348587 80.0759668590001,-87.719999748 80.0747100020001,-87.763063748 80.0711100020001,-87.829590748 80.0601190020001,-87.853571588 80.054970956,-87.859999908 80.0535911840001,-87.86455563 80.053874738,-87.8913907479999 80.0555460020001,-87.9424496669999 80.066062694,-87.947354929 80.06707314,-88.055972701 80.1224730110001,-88.038309294 80.125828127,-87.966663984 80.1394361220001,-87.944416172 80.1430257380001,-87.9391637479999 80.1438730020001,-87.902313407 80.1454252060001,-87.721390889 80.1530451470001,-87.688804045 80.155547755,-87.678054748 80.1563730020001,-87.5779025209999 80.1777818040001,-87.5647178629999 80.1806001510001,-87.564006406 80.225955024,-87.5638907479999 80.233319002,-87.607499748 80.3241550020001,-87.627415796 80.3539115040001,-87.636126817 80.366927177,-87.675135859 80.4070632500001,-87.675136032 80.4070632660001,-87.6751367479999 80.4070640020001,-87.708039486 80.4101186670001,-87.718608935 80.4111001420001,-87.918881939 80.4211000880001,-87.9333871539999 80.4219820690001,-88.1105457479999 80.4327550020001,-88.308336748 80.442746002,-88.368791049 80.4434220460001,-88.383899871 80.4435912490001,-88.4205460539999 80.4422001880001,-88.427935109 80.441481115,-88.463336749 80.438037002,-88.4824087059999 80.4347882550001,-88.487781994 80.43387327,-88.494636312 80.4323470240001,-88.5102817489999 80.4288640020001,-88.5836643659999 80.411398241,-88.615281973 80.4038732650001,-88.6488999429999 80.393600237,-88.662615274 80.3828575960001,-88.683627749 80.366400002,-88.6655000499999 80.289844977,-88.66139099 80.2724911230001,-88.6241729929999 80.2462271000001,-88.5952730289999 80.236927043,-88.506954927 80.218318045,-88.4799998999999 80.2136090920001,-88.4227729579999 80.2105361180001,-88.365039145 80.2092089170001,-88.350827748 80.2088820020001,-88.294154748 80.2013820020001,-88.267227748 80.1917820020001,-88.1544459419999 80.093800178,-88.2352729689999 80.102482154,-88.249236702 80.1048792660001,-88.363054748 80.1244190020001,-88.414581749 80.1065100020001,-88.441936749 80.1005370020001,-88.487599771 80.0992028860001,-88.498890865 80.0988732420001,-88.534726854 80.0988732420001,-88.5901438609999 80.1060224300001,-88.749999749 80.126646002,-88.7766727489999 80.1313640020001,-89.0727817489999 80.1955280020001,-89.092227749 80.2008190020001,-89.113890749 80.2080370020001,-89.168067847 80.2325484200001,-89.180499857 80.2381732650001,-89.192315817 80.245901303,-89.2585452449999 80.2892186720001,-89.241946081 80.3041540980001,-89.220272994 80.3091450190001,-89.1691549509999 80.318054143,-89.134445993 80.3255450500001,-89.11527057 80.3339027530001,-89.109581749 80.3363820020001,-89.0795817489999 80.395691002,-89.079581967 80.395691076,-89.079581911 80.3956911870001,-89.0997268089999 80.4024822050001,-89.1361269 80.4024822050001,-89.139587482 80.4021150980001,-89.1674997489999 80.399155002,-89.189709749 80.3941460020001,-89.216945749 80.3897100020001,-89.241785728 80.4013619930001,-89.24225473 80.4015820110001,-89.203890749 80.4197000020001,-89.199177118 80.4208796400001,-89.176099861 80.4266541050001,-89.130340645 80.432085783,-89.115281749 80.433873002,-89.0875097489999 80.438582002,-89.087509643 80.438582088,-89.087508844 80.4385822230001,-89.071817477 80.4512000170001,-89.059154749 80.4613820020001,-89.059155119 80.4613821140001,-89.059155045 80.4613821740001,-89.074871754 80.4661034040001,-89.244999749 80.5172100020001,-89.272781749 80.5233190020001,-89.326399749 80.5319370020001,-89.3490844029999 80.534431473,-89.354172892 80.5349912090001,-89.447217885 80.542482116,-89.482772912 80.54498227,-89.5461089199999 80.5474822570001,-89.5544099259999 80.5470866690001,-89.58694575 80.5455370020001,-89.74833675 80.5327640020001,-89.7841637499999 80.500828002,-89.7841634059999 80.5008276240001,-89.784164023 80.5008270750001,-89.751109752 80.464428001,-89.760442607 80.464896283,-89.7625088729999 80.4650001380001,-89.769246707 80.466076334,-89.79028175 80.4694370020001,-89.812388961 80.4741397280001,-89.816390932 80.474991199,-89.840564005 80.48137318,-89.954235856 80.516100076,-89.9673913779999 80.5217270970001,-89.99499975 80.5335370020001,-90.0163997499999 80.5380370020001,-90.0463907499999 80.5416550020001,-90.156625197 80.547736822,-90.177217951 80.5488731500001,-90.1818065429999 80.549020027,-90.2033367499999 80.549710002,-90.2388907499999 80.5505370020001,-90.40163398 80.552047509,-90.4180640599999 80.552200095,-90.5830728889999 80.56137325,-90.6072268519999 80.56137325,-90.7061178869999 80.56137325,-90.741381894 80.562191156,-90.743593464 80.563206758,-90.768481132 80.5746367180001,-90.742490988 80.594709084,-90.715835865 80.6055450410001,-90.6780549389999 80.6155361020001,-90.602490909 80.644745023,-90.602491792 80.6447456000001,-90.6024907509999 80.6447460030001,-90.634647408 80.6657335800001,-90.658608924 80.6813732700001,-90.6789195599999 80.6904391590001,-90.712781751 80.705555003,-90.750858173 80.714241761,-90.7541818989999 80.7150001240001,-90.7567809079999 80.7153108360001,-90.777218751 80.717755003,-90.905272751 80.7244280030001,-90.9658534599999 80.7296731440001,-90.972781934 80.7302731250001,-91.034726881 80.737491117,-91.0492656439999 80.7398579760001,-91.099445751 80.7480280030001,-91.1216547509999 80.754719003,-91.149236751 80.7752640030001,-91.3136097509999 80.8791460030001,-91.481672751 80.919437003,-91.5224997509999 80.9362280030001,-91.523974503 80.9426847220001,-91.527226894 80.956927164,-91.532226866 80.9783271690001,-91.532227615 80.9783274200001,-91.5322277509999 80.9783280030001,-91.722227752 81.042210003,-91.7672277519999 81.049146003,-91.8497599199999 81.0570518480001,-91.8658269489999 81.0585911000001,-91.87725826 81.062302598,-91.90757187 81.0721457170001,-91.888063971 81.0819360420001,-91.8443683949999 81.0806282030001,-91.832509752 81.0802730030001,-91.8273639 81.080958798,-91.78619099 81.0864450030001,-91.7861917549999 81.086445869,-91.786190752 81.086446003,-91.858045752 81.1677550030001,-91.955836752 81.196364003,-92.039733382 81.215665072,-92.052490927 81.218600123,-92.060426201 81.22015536,-92.1247097519999 81.2327550030001,-92.142387266 81.2354946580001,-92.148055017 81.2363732790001,-92.161860441 81.2383174810001,-92.2130547519999 81.2455280030001,-92.486087974 81.2794923390001,-92.530290926 81.284991167,-92.557207626 81.28779253,-92.727781753 81.3055460030001,-92.8316817529999 81.317764003,-92.928054753 81.3308280030001,-93.001893632 81.3397257280001,-93.015564061 81.3413732120001,-93.1774908639999 81.358600203,-93.2045485639999 81.360862023,-93.340290753 81.3722100030001,-93.498743507 81.38363823,-93.517499917 81.3849911280001,-93.524426591 81.3830455730001,-93.559090753 81.3733100030001,-93.559090064 81.3733093420001,-93.559090921 81.3733091020001,-93.545853568 81.360613856,-93.533327753 81.3486000030001,-93.507258662 81.33380764,-93.4874282329999 81.3225547960001,-93.515290753 81.3105280030001,-93.553327753 81.3055460030001,-93.602918753 81.3134550030001,-93.630418753 81.3244370030001,-93.665836753 81.3327640030001,-93.687764479 81.336387071,-93.694446085 81.3374912180001,-93.706748826 81.3389574830001,-93.755009753 81.344710003,-93.789445754 81.3480370030001,-94.035281754 81.363310003,-94.068072754 81.363310003,-94.1538817539999 81.359710003,-94.200563754 81.355546003,-94.240827754 81.3508190030001,-94.2736097539999 81.3440190030001,-94.378199754 81.2787370030001,-94.385699754 81.2544370030001,-94.385699695 81.2544369890001,-94.385699965 81.2544361120001,-94.314897746 81.237882868,-94.302490754 81.2349820030001,-94.282227754 81.2310910030001,-94.200563754 81.2211000030001,-94.197758956 81.2208492760001,-94.166399873 81.218045074,-94.048173073 81.2100211360001,-94.031390754 81.208882003,-93.928881754 81.2038730030001,-93.909540385 81.2036643590001,-93.8522178109999 81.203045155,-93.728335796 81.207218169,-93.687500002 81.2102633150001,-93.5147268489999 81.2177540540001,-93.431151513 81.219708408,-93.419445753 81.219982003,-93.259736753 81.2122000030001,-93.211339483 81.2019202050001,-93.121108986 81.182754076,-93.094655029 81.1583912360001,-93.102014572 81.1473176390001,-93.123318753 81.1152640030001,-93.157636753 81.093319003,-93.255845753 81.0827640030001,-93.299990753 81.0797100030001,-93.517227753 81.0844280030001,-93.6894367529999 81.093046003,-93.7952727539999 81.0994280030001,-93.866390754 81.103046003,-93.907227754 81.1016550030001,-93.935272754 81.0983280030001,-93.960827754 81.094146003,-93.986918449 81.0926432890001,-93.989717904 81.0924821520001,-94.0091242839999 81.0925196920001,-94.130281754 81.092755003,-94.1496477809999 81.093640678,-94.1547269 81.0938732130001,-94.16907058 81.0965534330001,-94.205272754 81.1033190030001,-94.2308367539999 81.110537003,-94.255281754 81.115537003,-94.273036523 81.116817687,-94.278335832 81.1172002170001,-94.283753598 81.1169404680001,-94.313045754 81.115537003,-94.3547097539999 81.1028280030001,-94.354708323 81.1028272680001,-94.354708884 81.102827097,-94.328608979 81.0894271160001,-94.1825000009999 81.068054101,-94.042217954 81.0555451160001,-94.01847622 81.0539388890001,-94.013336754 81.0535910030001,-93.9072195909999 81.03998211,-94.071672968 81.0249912350001,-94.086696895 81.0230775370001,-94.143618754 81.0158280030001,-94.337363754 80.9769280030001,-94.358177411 80.9709809270001,-94.3655550669999 80.96887322,-94.374168084 80.968207562,-94.408618754 80.965546003,-94.434154754 80.965546003,-94.472781754 80.969146003,-94.49954575 80.9888000080001,-94.493881754 81.017491003,-94.4938820099999 81.0174910810001,-94.493882005 81.0174911080001,-94.4959100839999 81.0181060500001,-94.546109754 81.0333280030001,-94.56818143 81.0379240620001,-94.572782033 81.038882228,-94.663054963 81.0486002070001,-94.6888510109999 81.0495483130001,-94.814163754 81.0541550030001,-94.916224464 81.0499813580001,-94.943326863 81.0488732890001,-94.987486223 81.043502946,-95.183063755 81.019719003,-95.219751706 81.0116214880001,-95.22083592 81.0113822100001,-95.2208360719999 81.011382154,-95.2208367549999 81.0113820030001,-95.227831354 81.0088098470001,-95.248054977 81.001373211,-95.25494964 80.9872242740001,-95.260981755 80.974846003,-95.283618755 80.9500000030001,-95.311936755 80.9391460030001,-95.334163755 80.9347100030001,-95.422772755 80.9208190030001,-95.472009755 80.896137003,-95.4720077489999 80.896136631,-95.472008869 80.8961360700001,-95.4294687409999 80.888261239,-95.413327755 80.8852730030001,-95.3008277549999 80.8852730030001,-95.2855090739999 80.8852078630001,-95.170546009 80.884718074,-95.1504721649999 80.882658307,-95.1487552739999 80.8824820560001,-95.152149446 80.881456309,-95.170836755 80.8758100030001,-95.212781755 80.8683190030001,-95.371381755 80.8533190030001,-95.429674846 80.847211342,-95.4402820239999 80.8461001310001,-95.449502735 80.8449151550001,-95.500836755 80.838319003,-95.527218755 80.819291003,-95.5131557239999 80.812631948,-95.501108825 80.806927139,-95.475554917 80.8030360920001,-95.442763906 80.799709147,-95.3561139299999 80.7910705520001,-95.334163755 80.7888820030001,-95.2824997549999 80.7861000030001,-95.276774239 80.7863415350001,-95.243055004 80.787763258,-95.02528211 80.8016540720001,-95.036045755 80.7734640030001,-95.0360456769999 80.7734639880001,-95.036045967 80.7734632280001,-94.895555044 80.747754087,-94.752252808 80.731859935,-94.722781754 80.7285910030001,-94.7179287769999 80.7282562070001,-94.6947179379999 80.7266539870001,-94.659726844 80.7252632620001,-94.571487673 80.725045585,-94.5494367539999 80.7249910030001,-94.5413406329999 80.7252598690001,-94.491108936 80.72692707,-94.4543765239999 80.7298566800001,-94.4491547539999 80.730273003,-94.423045754 80.7349820030001,-94.304445754 80.733873003,-94.283419973 80.7323430280001,-94.140290915 80.721927097,-94.116410061 80.7196448610001,-94.1083367539999 80.7188730030001,-94.0818097539999 80.707491003,-94.0925610149999 80.7048092890001,-94.1174909649999 80.698591208,-94.1318041819999 80.697624218,-94.1997187539999 80.693037003,-94.226911249 80.692324725,-94.231672939 80.6922001740001,-94.2514925519999 80.6925316410001,-94.331118754 80.693864003,-94.424297458 80.696984189,-94.439163935 80.6974821140001,-94.4495191729999 80.6973287900001,-94.514727754 80.696364003,-94.5449802099999 80.695281724,-94.553608932 80.694973243,-94.559713228 80.6943483630001,-94.596954754 80.690537003,-94.6283277539999 80.6858100030001,-94.6643727539999 80.6635550030001,-94.664371998 80.663554591,-94.664372933 80.6635540140001,-94.552635794 80.6027632550001,-94.52417303 80.598327049,-94.484726955 80.598327049,-94.457508904 80.600263269,-94.4377730419999 80.6055450410001,-94.327321366 80.606251705,-94.308336754 80.606373003,-94.259025133 80.6033751780001,-94.093608911 80.593318191,-94.0050088419999 80.5852631820001,-93.973617944 80.58193607,-93.9491550239999 80.5780450230001,-93.8947267999999 80.56580912,-93.8105460049999 80.5413633000001,-93.788296461 80.5296589480001,-93.786664037 80.528800151,-93.8394459689999 80.5186002300001,-93.845280915 80.5185422870001,-93.866945754 80.518328002,-93.8991727539999 80.5191460020001,-93.965554754 80.5336640020001,-94.0105547539999 80.5494280020001,-94.2308367539999 80.5563640020001,-94.374999754 80.557210002,-94.554990754 80.5544280020001,-94.658618754 80.5558190020001,-94.696654754 80.5569280020001,-94.750968442 80.5600235410001,-94.76236392 80.5606731930001,-94.773194234 80.5622721880001,-94.823627754 80.5697190020001,-94.846954755 80.5747100020001,-94.902499755 80.586655003,-94.962781755 80.5997190030001,-94.994999755 80.603046003,-95.0308367549999 80.6033190030001,-95.06070496 80.601729194,-95.067226815 80.6013822530001,-95.132217913 80.593873241,-95.1722269159999 80.5913732550001,-95.246655031 80.5899821940001,-95.26031163 80.5901414480001,-95.3183457549999 80.590819003,-95.4045934819999 80.593097411,-95.423617963 80.5936001590001,-95.498046078 80.59248218,-95.505543071 80.5921568480001,-95.536390755 80.590819003,-95.6716637549999 80.584719003,-95.896672987 80.5861048930001,-95.941664005 80.5863821670001,-95.9485274689999 80.586084257,-95.979999756 80.584719003,-96.0117926839999 80.577498458,-96.019790886 80.5756821640001,-96.01979075 80.5756820080001,-95.957227756 80.5049910020001,-95.892388892 80.4736073600001,-95.852217866 80.4541631760001,-95.7216640239999 80.412763279,-95.698376003 80.4069457750001,-95.694990755 80.4061000020001,-95.690372839 80.4050390130001,-95.653881919 80.3966541,-95.6249998929999 80.391663179,-95.564164039 80.3858181430001,-95.514734787 80.3843584670001,-95.498609755 80.3838820020001,-95.483439875 80.3812317090001,-95.4583363579999 80.376845244,-95.44960099 80.3601710400001,-95.4388823309999 80.3397099270001,-95.460281755 80.336928002,-95.4883277549999 80.3380460020001,-95.513899755 80.340819002,-95.542772755 80.3458280020001,-95.564809522 80.3516347290001,-95.566955045 80.3522001730001,-95.574163046 80.3534844490001,-95.612209755 80.3602640020001,-95.6369457549999 80.3641550020001,-95.686968549 80.368969319,-95.69749095 80.3699822130001,-95.7036680589999 80.3704712950001,-95.732499755 80.3727550020001,-95.944135097 80.386380462,-95.978608919 80.3886000960001,-96.047773032 80.3899822720001,-96.056031315 80.3892896260001,-96.0808367559999 80.3872100020001,-96.2405547559999 80.3730280020001,-96.275836756 80.362346002,-96.275835125 80.3623453610001,-96.2758359009999 80.362345126,-96.255008883 80.354153995,-96.242387921 80.3470863110001,-96.225627877 80.33770007,-96.2278048859999 80.3375381760001,-96.254727756 80.3355370020001,-96.363890756 80.3422100020001,-96.401224531 80.3516521290001,-96.4088909019999 80.3535912340001,-96.414865053 80.3541674130001,-96.440554756 80.356646002,-96.565279641 80.361255321,-96.598472957 80.362482254,-96.608025888 80.3610712430001,-96.6341727559999 80.357210002,-96.671527756 80.3445640020001,-96.6715264539999 80.3445634190001,-96.6715269429999 80.344563253,-96.645845965 80.333054062,-96.617566875 80.3303434860001,-96.613890756 80.329991002,-96.5971928819999 80.3280966880001,-96.464445989 80.3130360660001,-96.4349998599999 80.2697180550001,-96.216664023 80.2358090650001,-96.0368146069999 80.2082882270001,-95.984436756 80.2002730020001,-95.9280547559999 80.1942820020001,-95.916996352 80.195507746,-95.884173033 80.1991451120001,-95.7105549839999 80.2277632760001,-95.6945137869999 80.2314971100001,-95.6902817549999 80.232482002,-95.645845755 80.2397000020001,-95.640177936 80.2394338730001,-95.586808924 80.236927043,-95.557645936 80.2222090920001,-95.496946037 80.2194360230001,-95.467146304 80.219893895,-95.4613997549999 80.2199820020001,-95.398345755 80.2236000020001,-95.38449106 80.2252389920001,-95.3255639449999 80.2322092050001,-95.2835988209999 80.2422517890001,-95.2826367549999 80.242482002,-95.270202688 80.2408927850001,-95.2384007909999 80.23682725,-95.261399755 80.2201280020001,-95.293610633 80.2132484540001,-95.295835848 80.2127732480001,-95.327791016 80.2086002340001,-95.338303072 80.2076435550001,-95.370545755 80.2047100020001,-95.400524339 80.2037204330001,-95.4041729529999 80.203600093,-95.471117873 80.203600093,-95.477209395 80.203481851,-95.542772755 80.2022100020001,-95.580836755 80.1997100020001,-95.621654755 80.1952550020001,-95.6864547549999 80.179910002,-95.6864535239999 80.179909497,-95.686455001 80.179909147,-95.6626465259999 80.170133288,-95.658890755 80.1685910020001,-95.420272755 80.1224820020001,-95.4110629849999 80.121751836,-95.367763977 80.1183180840001,-95.333617948 80.118045002,-95.263626877 80.1183180840001,-95.1049998619999 80.1288631890001,-95.042717951 80.1341882660001,-95.033327755 80.134991002,-95.011021962 80.1375402,-94.8169549199999 80.1597181480001,-94.748335799 80.169436127,-94.7044550269999 80.178036127,-94.646108934 80.19720906,-94.5039168439999 80.2084902930001,-94.4849997539999 80.209991002,-94.470832502 80.2079138920001,-94.354172945 80.190809142,-94.217772893 80.188036073,-94.184435885 80.186645012,-94.119999837 80.183045152,-94.090911133 80.1749097890001,-94.121109754 80.170255002,-94.2613126859999 80.1657744460001,-94.2858269069999 80.1649912030001,-94.304300225 80.16468638,-94.3872187539999 80.163319002,-94.4163997539999 80.163610002,-94.4805637539999 80.1591460020001,-94.5105547539999 80.1544370020001,-94.6119367539999 80.1355460020001,-94.630485686 80.1315782920001,-94.632763938 80.1310910990001,-94.646236204 80.1275104690001,-94.728881754 80.105546002,-94.74089377 80.090204553,-94.748891016 80.0799911610001,-94.748890703 80.0799910680001,-94.7488907539999 80.079991002,-94.7394093949999 80.0771796650001,-94.671108966 80.056927181,-94.6211089019999 80.043045073,-94.5255550379999 80.0227632140001,-94.45167292 80.0097181230001,-94.413890988 79.99775413,-94.385701329 79.9851186870001,-94.416945754 79.9788640020001,-94.569454754 79.997210002,-94.6006953409999 80.00177805,-94.607499876 80.0027732130001,-94.627091134 80.0059806990001,-94.717772754 80.020828002,-94.825836754 80.040546002,-94.852781755 80.044146002,-94.8875097549999 80.045819002,-94.9152674269999 80.046272877,-94.921390919 80.046373191,-94.926915616 80.0462175870001,-94.9511097549999 80.0455370020001,-94.9888907549999 80.043046002,-95.008586411 80.0394461110001,-95.0116729009999 80.0388821170001,-95.015450258 80.037887583,-95.038054755 80.0319370020001,-95.0603201169999 80.0302336650001,-95.06360885 80.0299822120001,-95.193881898 80.031373273,-95.3250088949999 80.0338732590001,-95.346185973 80.0345005820001,-95.418881755 80.036655002,-95.545836755 80.040546002,-95.847781755 80.0533190020001,-96.0177727559999 80.070828002,-96.077790756 80.0780460020001,-96.163054756 80.0930460020001,-96.308160652 80.12432162,-96.322781935 80.1274731340001,-96.351390879 80.1324732750001,-96.381099864 80.1363822590001,-96.409999996 80.138882245,-96.468325337 80.140342182,-96.675827756 80.1455370020001,-96.706636888 80.1450603430001,-96.711117857 80.1449911440001,-96.7111183929999 80.144991008,-96.711118756 80.144991002,-96.741663756 80.1372190020001,-96.784163425 80.1032111070001,-96.802081958 80.088873129,-96.802081754 80.0888730060001,-96.781681915 80.07666321,-96.737499897 80.058027054,-96.6988819539999 80.0469361200001,-96.676099941 80.0419270950001,-96.627781958 80.039427108,-96.590835869 80.0465181980001,-96.548617899 80.0533181010001,-96.518574967 80.0546916070001,-96.512218756 80.054982002,-96.5033684639999 80.0546825820001,-96.479172993 80.0538632600001,-96.428881909 80.0505361470001,-96.399570884 80.045958365,-96.3964643579999 80.0454730960001,-96.4005310489999 80.0448375710001,-96.419154756 80.0419280020001,-96.468863928 80.041273996,-96.482773021 80.0410912510001,-96.5211204729999 80.0366927420001,-96.628054756 80.024428002,-96.661756983 80.0156583950001,-96.672846087 80.0127731590001,-96.612974763 79.9682878510001,-96.601245756 79.9595730020001,-96.5805637559999 79.9527730020001,-96.577491534 79.9522707090001,-96.5566549709999 79.948863326,-96.524172917 79.9452540790001,-96.492763914 79.9433181950001,-96.4199953199999 79.9415797,-96.399172756 79.941082002,-96.382384491 79.941146319,-96.325564056 79.9413631990001,-96.262508842 79.936918109,-96.233317858 79.9330449990001,-96.156246091 79.9148450370001,-96.1399942419999 79.907272629,-96.138064279 79.906373246,-96.144035488 79.90541905,-96.1588907559999 79.9030460020001,-96.189315697 79.901632942,-96.194717853 79.9013821920001,-96.231740184 79.9028833560001,-96.386390756 79.909155002,-96.4213083989999 79.915811831,-96.4227730109999 79.9160910910001,-96.426283782 79.915928115,-96.458618756 79.9144280020001,-96.558686677 79.90211191,-96.5736268159999 79.9002732660001,-96.573627227 79.9002730670001,-96.573627756 79.9002730020001,-96.588478706 79.8930851170001,-96.611381926 79.8820002140001,-96.6113817409999 79.882000012,-96.5965358989999 79.866181801,-96.582508951 79.8512361150001,-96.490554947 79.8361091260001,-96.4065914289999 79.8284320560001,-96.3841727559999 79.8263820020001,-96.360827756 79.822491002,-96.352816777 79.8202867380001,-96.335554949 79.8155360800001,-96.289971157 79.8012196880001,-96.2824997559999 79.7988730020001,-96.229870026 79.7795397690001,-96.032226948 79.706936119,-95.980835823 79.6827539930001,-95.9547268649999 79.6719182040001,-95.933064004 79.664427129,-95.901108836 79.6544360680001,-95.865205378 79.6481712280001,-95.853336755 79.6461000020001,-95.799436755 79.642491002,-95.7408277549999 79.6413730020001,-95.691795794 79.6407346680001,-95.485272896 79.6380450890001,-95.426092698 79.6375509680001,-95.419999755 79.6375000020001,-95.413104199 79.637587646,-95.35556395 79.638318171,-95.1908268619999 79.6441451030001,-95.1563264819999 79.6472468330001,-95.153609755 79.647491002,-95.152192557 79.647707138,-95.091672971 79.6569360550001,-95.006609945 79.6633593940001,-94.984999755 79.6649910020001,-94.976872599 79.6653986430001,-94.946381899 79.6669271160001,-94.87832688 79.668045094,-94.8144358229999 79.670254061,-94.7811280669999 79.673205366,-94.7766727539999 79.6736000020001,-94.7729688109999 79.674216846,-94.748335799 79.6783181220001,-94.605135844 79.711109133,-94.586035834 79.7321270910001,-94.3841729499999 79.7780450010001,-94.36166402 79.781936048,-94.326808881 79.779709144,-94.287710035 79.761654509,-94.329454754 79.688310002,-94.3602727539999 79.6777640020001,-94.406954754 79.667755002,-94.69943612 79.612200122,-94.704683743 79.6116061810001,-94.802490754 79.6005370020001,-94.839999755 79.597219002,-95.0516637549999 79.582219002,-95.149322166 79.5764999130001,-95.170272927 79.5752731840001,-95.192929192 79.5742789820001,-95.3097187549999 79.5691550020001,-95.5655547549999 79.559146002,-95.621904199 79.5578173710001,-95.636126869 79.557482259,-95.638069165 79.557103839,-95.6574997549999 79.5533190020001,-95.717229625 79.5413353230001,-95.73639086 79.5374912520001,-95.74254676 79.5204448580001,-95.779027755 79.4194280010001,-95.779026845 79.4194273210001,-95.779026919 79.4194271160001,-95.775187825 79.416555841,-95.7625097549999 79.4070730010001,-95.731779441 79.402645314,-95.655564 79.3916632350001,-95.4772178869999 79.380818059,-95.403386816 79.386758092,-95.394163755 79.387500001,-95.383357296 79.3866128620001,-95.295836618 79.379427229,-95.2897277549999 79.3448460010001,-95.3122187549999 79.3297820010001),(-98.654381053 79.8251349170001,-98.7058358039999 79.965818073,-98.7058366369999 79.9658186710001,-98.705836758 79.965819002,-98.723205623 79.9782890210001,-98.774717949 80.015273145,-98.854164151 80.070751747,-98.856654758 80.072491002,-98.856654842 80.0724910380001,-98.856655076 80.072491202,-98.868881926 80.0777731420001,-99.08168202 80.1246911800001,-99.084926447 80.1253481680001,-99.1105457579999 80.130537002,-99.136672759 80.1330460020001,-99.298045759 80.1188640020001,-99.404727759 80.1080370020001,-99.4366637589999 80.107210002,-99.471663759 80.109710002,-99.5711187589999 80.1327550020001,-99.596936759 80.1422100020001,-99.620406566 80.1476834740001,-99.625546 80.148882191,-99.6437431639999 80.149180626,-99.726945759 80.1505460020001,-99.759172759 80.149719002,-99.7952727589999 80.147764002,-99.827227759 80.1436000020001,-100.023618759 80.099719002,-100.056928634 80.0919848770001,-100.065555014 80.0899822220001,-100.069664905 80.088566503,-100.081681759 80.084428002,-100.193327759 80.0338730020001,-100.179770883 79.9275096820001,-100.177908894 79.9129001000001,-100.17790876 79.9129000010001,-100.158617944 79.8986091230001,-100.14389094 79.8930541,-100.121108927 79.886654014,-100.099308362 79.8814551300001,-100.097781759 79.8810910020001,-100.0954398 79.8807357050001,-100.070281904 79.876918098,-100.043165558 79.8751655070001,-100.035827759 79.8746910020001,-100.030279237 79.874641119,-100.005572941 79.8744181120001,-99.800826851 79.8766450160001,-99.73222684 79.878863203,-99.700835942 79.8827540820001,-99.679717905 79.888045075,-99.647782015 79.8930541,-99.614164046 79.8933271830001,-99.584446008 79.8919361220001,-99.562362503 79.889509441,-99.556654759 79.8888820020001,-99.521730648 79.883092656,-99.368881898 79.85775405,-99.329474461 79.850954877,-99.3158277589999 79.8486000020001,-99.310483354 79.8472899180001,-99.3022182459999 79.8452632460001,-99.3006454439999 79.842941882,-99.296108873 79.8362450810001,-99.297499936 79.81276318,-99.303745764 79.7848549980001,-99.309515472 79.7794178230001,-99.313046017 79.776091179,-99.316605695 79.7718832180001,-99.322436759 79.764991002,-99.3143028649999 79.7610210620001,-99.3013909809999 79.7547181640001,-99.2811681059999 79.7522956620001,-99.273618759 79.751391002,-99.243054759 79.748600002,-99.22449805 79.747198908,-99.139999949 79.740818119,-98.967772961 79.7241540570001,-98.936108981 79.7197091340001,-98.868054967 79.7008181680001,-98.829999953 79.664427129,-98.7791729309999 79.7022090610001,-98.673045966 79.77192705,-98.648617915 79.7836001910001,-98.645192584 79.794059255,-98.644163758 79.7972000020001,-98.654381053 79.8251349170001),(-95.200563952 80.6974821140001,-95.22729789 80.6977480630001,-95.424436755 80.6997100030001,-95.478058749 80.699942288,-95.491381962 80.700000205,-95.58141168 80.697907618,-96.006118756 80.688037003,-96.026057647 80.687277785,-96.028335901 80.6871911490001,-96.032115986 80.6868669190001,-96.0766727559999 80.6830460030001,-96.139445756 80.669710003,-96.1465188459999 80.6660669280001,-96.1491729379999 80.664700155,-96.149172558 80.6647001050001,-96.149172756 80.6647000030001,-96.145640074 80.664227397,-96.118054955 80.660536026,-96.061935934 80.6566451460001,-95.863326905 80.6458271270001,-95.8236268589999 80.6486090810001,-95.788055067 80.6522091080001,-95.7580451599999 80.653493229,-95.749163755 80.6538730030001,-95.7403795449999 80.654006118,-95.711946045 80.6544361800001,-95.676935841 80.653318201,-95.611117952 80.6480360940001,-95.453608915 80.629427095,-95.226108975 80.6091450690001,-95.195447754 80.6089123660001,-95.1902817549999 80.608873003,-95.159384226 80.6118684250001,-95.006955063 80.626645141,-94.981381877 80.6319270820001,-94.972216835 80.636634465,-94.9699997549999 80.6377730030001,-94.969999953 80.637773108,-94.969999923 80.637773124,-94.9737715479999 80.6397868330001,-95.0308367549999 80.6702550030001,-95.045836755 80.6769280030001,-95.065280872 80.6805458380001,-95.063293288 80.6819297810001,-95.062499755 80.6824820030001,-95.06250011 80.682482066,-95.062499924 80.682482195,-95.096664059 80.6885822090001,-95.101724056 80.689107687,-95.128872755 80.691928003,-95.166945755 80.6952550030001,-95.197496653 80.6972788250001,-95.200563952 80.6974821140001),(-86.292772747 78.983046001,-86.328609747 78.9508190010001,-86.3461187469999 78.9397000010001,-86.3661097469999 78.9297000010001,-86.36792185 78.929285023,-86.3866728849999 78.92499122,-86.436390982 78.9111002270001,-86.480690849 78.8945731250001,-86.480690645 78.8945730390001,-86.480690747 78.8945730010001,-86.479844105 78.894215821,-86.469164055 78.889709107,-86.444445991 78.8872091200001,-86.414717894 78.8844271670001,-86.3880639449999 78.8830451580001,-86.31945505 78.8836090930001,-86.291864377 78.8849101280001,-86.284163747 78.885273001,-86.275704559 78.885930918,-86.244999945 78.8883180460001,-86.213899899 78.891663264,-86.026946074 78.91026321,-85.7655639669999 78.9341450960001,-85.588297672 78.9489945650001,-85.546663746 78.9524820010001,-85.533040458 78.9534706760001,-85.466108908 78.9583270540001,-85.3013909319999 78.975263193,-85.2469459439999 78.9841451600001,-85.2258269009999 78.9885910890001,-85.219916273 78.9903952600001,-85.209445746 78.9935910010001,-85.186663746 79.002773001,-85.176390746 79.0088820010001,-85.173590156 79.011973638,-85.16833593 79.017773188,-85.182499837 79.031373161,-85.1997179429999 79.037491113,-85.205258385 79.038799952,-85.216109746 79.041364001,-85.246417319 79.046182845,-85.2633359179999 79.048873234,-85.2810051819999 79.0503917510001,-85.3213997459999 79.0538640010001,-85.646118746 79.064419001,-85.712509746 79.064146001,-85.8059299029999 79.0617361960001,-85.8200089539999 79.0613731660001,-85.828213836 79.0608938570001,-85.896118746 79.0569280010001,-85.924436746 79.0538640010001,-85.990827746 79.0469370010001,-86.037427024 79.040007759,-86.0469550179999 79.0385911540001,-86.28444602 78.995673127,-86.288418626 78.9896485560001,-86.292772747 78.983046001),(-88.113054748 78.455264001,-88.2352727479999 78.426928,-88.407090749 78.2951190000001,-88.407090915 78.2951181880001,-88.40717467 78.2946765360001,-88.411118749 78.2738820000001,-88.4061097489999 78.2622190000001,-88.393618749 78.2488730000001,-88.38194605 78.2424821760001,-88.381945748 78.2424820000001,-88.37938528 78.2419315450001,-88.35999988 78.2377631670001,-88.287217802 78.2433181900001,-88.2550088309999 78.2472090690001,-88.247105033 78.2518564430001,-88.245545748 78.252773,-88.2292653929999 78.2637298970001,-88.187772891 78.2916541110001,-88.166399876 78.3080271530001,-88.057217876 78.407482122,-88.049636103 78.4162959710001,-88.045690748 78.4208820000001,-88.0452680609999 78.4237126030001,-88.043335935 78.4366451110001,-88.049726801 78.4444270370001,-88.0497270229999 78.444427117,-88.049727748 78.4444280010001,-88.052781748 78.4455280010001,-88.0604072959999 78.450242932,-88.065835813 78.4536001920001,-88.072418914 78.4543675130001,-88.094454748 78.4569370010001,-88.113054748 78.455264001),(-95.0680727549999 78.148037,-95.104927243 78.1646367700001,-95.108552133 78.1727415130001,-95.114863755 78.186855,-95.227490755 78.216664,-95.2552817549999 78.2180460000001,-95.3458367549999 78.2177550000001,-95.366262826 78.2185039710001,-95.3688819559999 78.2186001250001,-95.369850668 78.2190148750001,-95.393680853 78.229218614,-95.363617953 78.2413631950001,-95.096390976 78.2902632180001,-95.000215683 78.3059475690001,-94.966945755 78.3113730000001,-94.942760181 78.316208374,-94.9419367529999 78.3163729930001,-94.941935802 78.3163731820001,-94.834690859 78.35744501,-94.8346916089999 78.357445673,-94.8346907549999 78.357446,-94.869299755 78.388046,-94.895009755 78.3958280000001,-95.086945755 78.4377640010001,-95.206390755 78.4616550010001,-95.4077727549999 78.497210001,-95.470071078 78.5070495950001,-95.481673036 78.5088821960001,-95.49141105 78.5099037620001,-95.537218755 78.5147100010001,-95.601945755 78.5197190010001,-95.6445026819999 78.521126758,-95.652217944 78.5213821290001,-95.684717935 78.521100161,-95.6888911789999 78.520919624,-95.716663755 78.5197190010001,-95.7410026169999 78.5158893490001,-95.7466550029999 78.5150001480001,-95.758836979 78.512875938,-95.8200097549999 78.502210001,-95.851974967 78.4960917220001,-95.8577728879999 78.494982151,-96.009445941 78.4924821650001,-96.1780549649999 78.5188732570001,-96.179037203 78.5199402540001,-96.216399418 78.560527634,-96.173243053 78.5987469440001,-96.155690756 78.6142910010001,-96.155690941 78.614291107,-96.155690874 78.614291167,-96.157331771 78.6152344240001,-96.175963756 78.625946001,-96.202499756 78.6302640010001,-96.235545756 78.6277640010001,-96.265018756 78.6188640010001,-96.293881756 78.6152640010001,-96.315827756 78.618046001,-96.356109756 78.6277640010001,-96.3734234999999 78.6331775720001,-96.387217815 78.6374911020001,-96.408895964 78.6441810640001,-96.466399756 78.661928001,-96.505432468 78.6712576630001,-96.5105550059999 78.672482195,-96.514524614 78.6732472620001,-96.533618756 78.6769280010001,-96.585009756 78.683319001,-96.6130547559999 78.6855280010001,-96.6412272429999 78.686032293,-96.6450089479999 78.686100105,-96.6489660399999 78.685892838,-96.708890756 78.682755001,-96.7680637559999 78.684146001,-96.895145756 78.699146001,-96.918199756 78.710128001,-96.94028911 78.719957182,-96.954726809 78.7263821910001,-96.9718315009999 78.7303903580001,-96.999727757 78.7369280010001,-97.025281757 78.7419280010001,-97.0780637569999 78.749710001,-97.146810059 78.757379138,-97.160281921 78.758882182,-97.178201014 78.7597602800001,-97.273618757 78.764437001,-97.359163757 78.773037001,-97.385554757 78.776928001,-97.436936757 78.786928001,-97.461945757 78.792755001,-97.488599757 78.7966460010001,-97.579669154 78.805526103,-97.599726833 78.8074821330001,-97.656954948 78.8113731810001,-97.678808825 78.812076716,-97.777790757 78.8152640010001,-98.006312045 78.818179339,-98.061390997 78.818882192,-98.077423341 78.8184538940001,-98.1444547579999 78.816664001,-98.173327758 78.8127640010001,-98.3654087579999 78.765828001,-98.366402555 78.7585334730001,-98.371655023 78.719982105,-98.321390929 78.647618117,-98.234999994 78.6191360750001,-98.169154947 78.6030450000001,-98.140000006 78.5994270350001,-98.1184511879999 78.5946381840001,-98.115008758 78.5938730010001,-98.109175461 78.5920219880001,-98.079999996 78.582763309,-98.03513639 78.566509314,-98.028365191 78.5538711820001,-98.0207002 78.5395639220001,-98.048188666 78.5347058290001,-98.054446087 78.5336000940001,-98.068186794 78.533142926,-98.171390758 78.5297100010001,-98.2845736639999 78.533136992,-98.308881944 78.533873176,-98.33195373 78.5252800170001,-98.410690758 78.4959550010001,-98.410690245 78.4959543560001,-98.410690887 78.4959541170001,-98.3880639399999 78.467482132,-98.388063755 78.467482004,-98.3572178649999 78.4462271350001,-98.249386741 78.42069016,-98.198336758 78.4086,-98.172227758 78.4049820000001,-98.1483457579999 78.403873,-98.1326769 78.4017133470001,-98.04360896 78.3894360530001,-98.062154758 78.306228,-98.062154715 78.3062279920001,-98.062154924 78.3062270550001,-98.012790878 78.296936051,-97.93055502 78.2908181000001,-97.9041729799999 78.2880361460001,-97.874435831 78.281653997,-97.7718103829999 78.2430456340001,-97.817508757 78.2327550000001,-97.849445757 78.2347100000001,-97.849444531 78.234709045,-97.849446025 78.234709137,-97.829455018 78.2191451160001,-97.635554943 78.206645016,-97.407773036 78.207763162,-97.35961668 78.2084509000001,-97.349163757 78.2086,-97.321118757 78.2074910000001,-97.314130908 78.206594717,-97.2994359309999 78.2047091320001,-97.2066729049999 78.1865091700001,-97.189854952 78.1747091270001,-97.166371447 78.1693153730001,-97.164445757 78.1688730000001,-97.161664429 78.168551032,-97.1380640099999 78.1658181070001,-97.059154929 78.1577632660001,-96.9838909709999 78.1508181880001,-96.895046604 78.138119783,-96.878054891 78.1356910200001,-96.8559729 78.1060911810001,-96.86087663 78.102508997,-96.887509756 78.0830550000001,-96.910281756 78.079164,-96.972660514 78.0763898210001,-96.997772911 78.075273268,-97.0043457199999 78.0751342610001,-97.024445757 78.07471,-97.246575817 78.0760688170001,-97.297772961 78.0763821940001,-97.302216815 78.076477396,-97.3236277569999 78.076937,-97.432499757 78.0805550000001,-97.5130637569999 78.0866550000001,-97.567509757 78.0897100000001,-97.618327757 78.091664,-97.657363757 78.0894280000001,-97.763408757 78.028737,-97.763407576 78.028736903,-97.763408974 78.0287361030001,-97.691798777 78.0228711870001,-97.673618757 78.0213820000001,-97.6605026779999 78.0203014150001,-97.6027820369999 78.015544999,-97.578734192 78.0131479350001,-97.572236757 78.0125,-97.503063757 78.0024910000001,-97.4956477549999 78.0009972440001,-97.454726948 77.992754102,-97.431673027 77.9869271700001,-97.385293276 77.9716345310001,-97.380281757 77.9699820000001,-97.354445757 77.9622000000001,-97.309999757 77.9511000000001,-97.304603953 77.9505700990001,-97.2816818859999 77.948318112,-97.162541013 77.93688,-97.142772757 77.934982,-96.995482166 77.9156820540001,-97.001959373 77.9119667730001,-97.0155637569999 77.904164,-97.081390757 77.8866550000001,-97.116727757 77.8692820000001,-97.1015143669999 77.812570689,-97.0995909069999 77.8054001250001,-97.09959079 77.8054001230001,-97.099590757 77.8054000000001,-97.095550013 77.8053352840001,-97.064999966 77.8048450750001,-97.0141729429999 77.8041540710001,-96.949171531 77.798752736,-96.9338817559999 77.7974820000001,-96.929624009 77.7966101280001,-96.912217819 77.7930450320001,-96.907772896 77.790545046,-96.89041783 77.7876180850001,-96.856124628 77.787263572,-96.849990756 77.7872,-96.846852322 77.7874987750001,-96.8294550749999 77.789153985,-96.741390944 77.8329091960001,-96.711672906 77.8397090990001,-96.687208981 77.8405451100001,-96.628326949 77.8405451100001,-96.542773031 77.841936171,-96.515564032 77.8455360300001,-96.491672925 77.8702540950001,-96.491673654 77.870254071,-96.491672756 77.870255,-96.516109756 77.8694280000001,-96.549299756 77.861928,-96.58359274 77.856593429,-96.585008938 77.8563731610001,-96.5912894259999 77.855821641,-96.667218756 77.8491550000001,-96.698230114 77.8525996610001,-96.7034728899999 77.8531821700001,-96.708549282 77.855889394,-96.73471719 77.8698451650001,-96.5411088879999 77.897218175,-96.4566640629999 77.901654046,-96.426381923 77.896236151,-96.410114118 77.883547348,-96.409645878 77.8831820950001,-96.39514609 77.8656732170001,-96.395145912 77.8656731890001,-96.395145756 77.8656730000001,-96.3554187559999 77.859291,-96.346801462 77.8590700500001,-96.3175088789999 77.8583180970001,-96.2855550529999 77.8594181380001,-96.197851897 77.865506866,-96.189436756 77.866091,-96.17006695 77.86761441,-95.938599916 77.8858181160001,-95.834946062 77.8983838710001,-95.830836755 77.8988820000001,-95.8308361649999 77.898882106,-95.830835798 77.8988821500001,-95.758055062 77.9119270740001,-95.549726881 77.934145152,-95.4497178679999 77.94331814,-95.419445954 77.953727122,-95.405308266 77.9604005940001,-95.400281755 77.9627730000001,-95.3799907549999 77.9663820000001,-95.3730045089999 77.9665457130001,-95.321399983 77.9677540700001,-95.27247762 77.9662898810001,-95.265836755 77.9660910000001,-95.261447091 77.965796938,-95.236935879 77.9641540420001,-95.2116729909999 77.9611090640001,-95.1863909909999 77.9577631760001,-95.1695637559999 77.9548299680001,-95.162509755 77.9536000000001,-95.155840948 77.9527853390001,-95.1375089049999 77.9505450170001,-95.108528727 77.952365382,-95.1065277549999 77.9524910000001,-95.1065274539999 77.9524910910001,-95.106526877 77.952491127,-95.098248165 77.95498158,-95.085281755 77.9588820000001,-95.0506907549999 77.9720730000001,-95.036504811 77.97903798,-95.0113999869999 77.991363209,-94.911664056 78.055254098,-94.888473006 78.1058180970001,-94.888473133 78.1058181750001,-94.888472755 78.1058190000001,-94.905254545 78.1161530310001,-94.906954935 78.117200219,-94.921097247 78.1201346550001,-94.983318755 78.133046,-95.0680727549999 78.148037),(-95.566799755 77.7893550000001,-95.583890755 77.7797100000001,-95.619615847 77.7731183440001,-95.630555083 77.771100204,-95.655584211 77.7691169870001,-95.7427637549999 77.76221,-95.848054755 77.7552640000001,-95.869445755 77.7572190000001,-95.892475959 77.757444477,-95.897226842 77.7574911780001,-95.899255424 77.757302597,-95.918063756 77.7555550000001,-95.934436756 77.7530550000001,-96.077227756 77.726928,-96.1792694069999 77.7078312080001,-96.1944459439999 77.7049911270001,-96.241108837 77.694973244,-96.241109153 77.6949731290001,-96.241109756 77.6949730000001,-96.2447100649999 77.6936603790001,-96.255572985 77.6897001890001,-96.328891001 77.6049821140001,-96.324406288 77.6023840280001,-96.318345756 77.5988730000001,-96.314355882 77.5970561720001,-96.259173012 77.571927073,-96.099726918 77.5044361560001,-96.083326886 77.497754103,-96.0613909419999 77.4916540890001,-96.005838107 77.4810921150001,-95.999999756 77.4799820000001,-95.9883602849999 77.478344426,-95.889446089 77.464427153,-95.865955824 77.4623579270001,-95.8641637549999 77.4622000000001,-95.8388997549999 77.4624910000001,-95.829520044 77.4648807620001,-95.823627382 77.466382014,-95.810559402 77.4669022250001,-95.7261089469999 77.4702633040001,-95.5654304459999 77.4730364960001,-95.5327727549999 77.4736,-95.477490755 77.4738730000001,-95.346390755 77.4699820000001,-95.294999755 77.4663820000001,-95.289659101 77.4656781200001,-95.2527909199999 77.460818073,-95.204454999 77.460818073,-95.133502031 77.4635072080001,-95.123609755 77.4638820000001,-95.032227755 77.4699820000001,-94.8010997539999 77.4802730000001,-94.7570720479999 77.4798296860001,-94.468890858 77.4769270850001,-94.367815133 77.4733081040001,-94.344999754 77.472491,-94.319454754 77.4686,-94.309929294 77.4667256320001,-94.2516818829999 77.4552632180001,-93.97540453 77.436422727,-93.975404493 77.4364227250001,-93.933881754 77.433591,-93.930499208 77.433557196,-93.906663972 77.433318054,-93.5705550179999 77.4377633130001,-93.553054945 77.4408091290001,-93.537781944 77.4458181540001,-93.495268145 77.4631435300001,-93.477772753 77.4702730000001,-93.4762457529999 77.4899820000001,-93.476246041 77.4899821430001,-93.476246034 77.4899822350001,-93.478264999 77.4909874690001,-93.5024996349999 77.5030549410001,-93.4863909869999 77.5455361480001,-93.393763916 77.6227540960001,-93.37943589 77.6308181570001,-93.359435831 77.6358181300001,-93.3144653539999 77.6420252790001,-93.303054753 77.6436,-93.2772187529999 77.6436,-93.27022512 77.6431173880001,-93.249164015 77.6416631660001,-93.224603826 77.638841782,-93.222499753 77.6386000000001,-93.22020066 77.6384776420001,-93.1963819969999 77.6372091910001,-93.173188736 77.6394156010001,-93.1641727529999 77.640273,-93.159230532 77.641916764,-93.148345981 77.645536109,-93.115359427 77.65739668,-93.104299753 77.6613730000001,-93.104300033 77.66137317,-93.104299918 77.6613732120001,-93.122339575 77.6723365280001,-93.1747097529999 77.704164,-93.2277076729999 77.7285471440001,-93.237781894 77.7331821500001,-93.283196924 77.7387270670001,-93.5461097529999 77.7708280000001,-93.614495012 77.7751472680001,-93.6294358759999 77.7760911240001,-93.6330117369999 77.7761642720001,-93.656954753 77.7766550000001,-93.6817672769999 77.7743175520001,-93.686390908 77.7738821570001,-93.703999198 77.7716391720001,-93.786663754 77.76111,-93.8012430749999 77.757661897,-93.806654958 77.756382252,-93.809937669 77.7547433450001,-93.817781754 77.7508280000001,-93.820605852 77.7464487190001,-93.82334601 77.74220024,-93.9335998879999 77.732482261,-93.9379568859999 77.733242196,-93.951109754 77.7355370000001,-94.030290754 77.760546,-94.089999754 77.7658280000001,-94.252499754 77.7722190000001,-94.3417708709999 77.768166637,-94.3566549939999 77.7674911240001,-94.4486088309999 77.7652732720001,-94.455397905 77.7651406730001,-94.477490754 77.76471,-94.521118754 77.7677640000001,-94.533176472 77.771260167,-94.542217926 77.7738821570001,-94.550172706 77.7756162910001,-94.5727817539999 77.7805460000001,-94.614659962 77.7830767410001,-94.6233178689999 77.7836001360001,-94.6411341199999 77.7843964030001,-94.728881754 77.7883190000001,-94.7472220509999 77.7885326790001,-94.752226846 77.7885912240001,-94.951672891 77.7824821580001,-94.956760596 77.782199964,-94.981672755 77.7808190000001,-95.007217837 77.7781509740001,-95.0108358849999 77.7777732040001,-95.010836126 77.7777730660001,-95.010836755 77.7777730000001,-95.029172755 77.76721,-95.059436755 77.7566550000001,-95.087781755 77.75221,-95.118609755 77.7497100000001,-95.343890755 77.7380370000001,-95.361778556 77.7372883950001,-95.363890867 77.7372000990001,-95.3666267679999 77.7374359340001,-95.389727755 77.739428,-95.4074997549999 77.749155,-95.4074325989999 77.7497497150001,-95.405835923 77.7638822120001,-95.404818921 77.773028605,-95.404445755 77.7763820000001,-95.406954755 77.7872,-95.414581755 77.7956820000001,-95.414581857 77.7956820590001,-95.414581936 77.795682146,-95.415095276 77.795979103,-95.427781755 77.803319,-95.465290755 77.808028,-95.496109755 77.805546,-95.523851639 77.8017747900001,-95.5288819259999 77.801091156,-95.5527819179999 77.796100236,-95.556931532 77.7941032640001,-95.566799755 77.7893550000001),(-90.9063907509999 77.6530460000001,-91.100260565 77.6262502860001,-91.10943579 77.624982173,-91.1205622109999 77.623211482,-91.158336751 77.6172000000001,-91.1736187509999 77.6130370000001,-91.184436751 77.6086000000001,-91.2000336309999 77.580894378,-91.2069550429999 77.5686001280001,-91.208890927 77.4149911910001,-91.2088907519999 77.4149909990001,-91.184854982 77.388600098,-91.146664013 77.3622001200001,-91.146663872 77.3622000830001,-91.1466637509999 77.3622,-91.1365969779999 77.3595434470001,-90.946655039 77.3094181020001,-90.909726888 77.303036121,-90.843063936 77.2927540410001,-90.7545720379999 77.282997956,-90.727218751 77.279981999,-90.704727751 77.2763819990001,-90.696948946 77.2747636710001,-90.683317936 77.27192719,-90.416655062 77.213045159,-90.366946018 77.197754053,-90.271144898 77.2007284140001,-90.2591727499999 77.2010999990001,-90.245804639 77.2010430350001,-90.129163997 77.200545059,-90.119941544 77.1989230440001,-90.1180547499999 77.198590999,-90.11107133 77.1988590300001,-90.088899848 77.199709215,-90.004581925 77.2128632710001,-89.939063135 77.2263492980001,-89.91999975 77.2302729990001,-89.88276375 77.239972999,-89.859255922 77.2471080340001,-89.849726934 77.2500001320001,-89.707781918 77.2941451010001,-89.67470894 77.310254113,-89.6382089369999 77.3362450540001,-89.6525979 77.357943929,-89.71916375 77.4583280000001,-89.75361875 77.473037,-89.7979835199999 77.4893028000001,-89.806655016 77.492482221,-89.814476796 77.495134072,-89.84110975 77.5041640000001,-89.91721875 77.5272100000001,-89.93720975 77.532764,-89.998563573 77.5495957480001,-90.0597179169999 77.5663732240001,-90.1777818849999 77.582491121,-90.196654797 77.587200045,-90.2039803439999 77.59431419,-90.208608849 77.5988091780001,-90.211758093 77.601811873,-90.21916375 77.6088730000001,-90.21916386 77.6088730170001,-90.219164012 77.6088731610001,-90.242490848 77.6124911260001,-90.339172917 77.6238732470001,-90.348762098 77.624962542,-90.38806375 77.6294280000001,-90.409205372 77.63076067,-90.414445928 77.63109124,-90.419282306 77.630980068,-90.43859975 77.6305370000001,-90.48193465 77.6269546390001,-90.492491002 77.6260822140001,-90.521117884 77.6260822140001,-90.5384320319999 77.626552782,-90.6030547509999 77.6283100000001,-90.6836097509999 77.6333280000001,-90.7274907509999 77.64221,-90.801663751 77.6516550000001,-90.8263997509999 77.654437,-90.880827751 77.654437,-90.9063907509999 77.6530460000001),(-90.976150837 77.2548755000001,-90.987499886 77.2549912200001,-91.0020946389999 77.254875026,-91.0572187509999 77.2544369990001,-91.072236751 77.2533279990001,-91.0847277509999 77.2544369990001,-91.107227751 77.254718999,-91.155130546 77.25181997,-91.162217808 77.2513911920001,-91.164081 77.2511631890001,-91.189709751 77.248027999,-91.247499751 77.2358099990001,-91.277218751 77.2274819990001,-91.299163751 77.2177549990001,-91.299163603 77.217754299,-91.299164025 77.2177541120001,-91.29824867 77.2134219050001,-91.296527751 77.205272999,-91.292239383 77.2016196160001,-91.28639101 77.1966360740001,-91.262508956 77.1841450270001,-91.2388909319999 77.174427048,-91.221663942 77.170254034,-91.184717854 77.163609196,-91.0497268 77.1455361370001,-90.9962733419999 77.139701345,-90.978609751 77.137772999,-90.966114461 77.1376401300001,-90.899990972 77.1369361370001,-90.868326824 77.1383181450001,-90.835554924 77.1422091920001,-90.811390903 77.146654115,-90.779173046 77.1566450080001,-90.7280550039999 77.1805450000001,-90.715981878 77.2040181840001,-90.715982083 77.204018353,-90.715981751 77.2040189990001,-90.736390751 77.2208279990001,-90.760483907 77.2279173850001,-90.7722267949999 77.2313731960001,-90.785935324 77.234222388,-90.814999751 77.240263999,-90.9091637509999 77.2516639990001,-90.933063751 77.2544369990001,-90.976150837 77.2548755000001),(-104.071399993 77.16137324,-104.113890877 77.1660912460001,-104.128226056 77.166321086,-104.183608763 77.1672099990001,-104.273327763 77.1597189990001,-104.300827763 77.1552549990001,-104.319736763 77.1516549990001,-104.405563763 77.1277639990001,-104.423336763 77.119290999,-104.429473625 77.1042595160001,-104.431672968 77.0988732440001,-104.431672764 77.098872999,-104.421946104 77.0872001020001,-104.421945764 77.0871999970001,-104.421808563 77.0871575740001,-104.402218763 77.0810999990001,-104.39661698 77.080106416,-104.377208869 77.0766632120001,-104.359310613 77.0745024840001,-104.354172763 77.073881999,-104.342655406 77.0735093000001,-104.302781927 77.072218121,-104.260773702 77.0726818380001,-104.252499763 77.0727729990001,-104.196663763 77.077481999,-104.150281763 77.0863819990001,-104.128160053 77.0908182110001,-104.047781969 77.1069361310001,-104.028985873 77.1113587190001,-104.024172763 77.112490999,-104.021013941 77.11368323,-104.009455046 77.1180450030001,-104.00233171 77.1219750060001,-103.998890763 77.1238729990001,-104.001108763 77.135818999,-104.011420448 77.1415128840001,-104.0197269 77.1461002390001,-104.031108854 77.151091159,-104.061390994 77.1588732540001,-104.071399993 77.16137324),(-113.727781966 77.1080361720001,-113.703055017 77.1116450850001,-113.679172963 77.116927192,-113.662635803 77.127482188,-113.674680893 77.139407712,-113.675554772 77.140272999,-113.675554876 77.1402730190001,-113.675554998 77.14027314,-113.677669237 77.1406713430001,-113.699154772 77.1447189990001,-113.722499772 77.1480369990001,-113.774172772 77.1516549990001,-113.793934114 77.1523237920001,-113.798608881 77.1524822200001,-113.859446075 77.1513821790001,-113.863541007 77.1510634900001,-113.880827772 77.1497189990001,-113.896891431 77.147075913,-113.901108996 77.1463822060001,-113.913439694 77.143080502,-113.920836772 77.1410999990001,-113.926613191 77.1352177860001,-113.929300018 77.132482161,-113.927908958 77.1215090760001,-113.908890922 77.1130361450001,-113.880546008 77.1080361720001,-113.853335835 77.1055450710001,-113.806955077 77.1041540100001,-113.778608989 77.1041540100001,-113.753063966 77.1055450710001,-113.727781966 77.1080361720001),(-104.790281764 77.1088729990001,-104.740281764 77.108599999,-104.714985084 77.111148218,-104.522508994 77.13053605,-104.499999895 77.1330450890001,-104.478681897 77.136498719,-104.472499763 77.1374999990001,-104.464211887 77.140638202,-104.438046064 77.1505449950001,-104.416945964 77.1619271160001,-104.408025588 77.1698087570001,-104.404999763 77.1724819990001,-104.400108707 77.1794553870001,-104.366517919 77.2273450210001,-104.377033336 77.253950547,-104.380681763 77.263181999,-104.391945763 77.2738819990001,-104.391946035 77.2738821250001,-104.391946099 77.273882186,-104.488891024 77.318600142,-104.492107106 77.319882906,-104.538327764 77.3383189990001,-104.658812818 77.3835652020001,-104.736926962 77.4129000730001,-104.741635898 77.413408954,-104.771663764 77.416655,-104.825845764 77.4136100000001,-104.908054764 77.4069370000001,-104.961936764 77.404437,-104.986654764 77.404437,-105.011080394 77.409360484,-105.014163755 77.4099821280001,-105.011108764 77.4556910000001,-104.967499764 77.468873,-104.947281764 77.480891,-104.948881764 77.496091,-104.959163764 77.508046,-104.968608764 77.514437,-105.023011304 77.5437938910001,-105.027790906 77.546373165,-105.039717851 77.552200096,-105.156955028 77.6060912070001,-105.173608864 77.612200106,-105.389717965 77.6838732580001,-105.417226881 77.6925055010001,-105.470281764 77.7091550000001,-105.506663764 77.7197100000001,-105.552490764 77.729428,-105.639013272 77.746633961,-105.648899991 77.748600158,-105.700564031 77.753600131,-105.913891011 77.7625002030001,-105.919535387 77.761934969,-105.941672765 77.7597190000001,-106.012218765 77.750546,-106.035428703 77.7459885430001,-106.040554979 77.7449821930001,-106.049249828 77.7422489780001,-106.079454765 77.7327550000001,-106.091945765 77.7265100000001,-106.09194558 77.7265094110001,-106.091946104 77.726509149,-106.090360124 77.7214550100001,-106.087636765 77.7127730000001,-106.014718765 77.6885820000001,-106.003301489 77.685571725,-105.979999919 77.679427161,-105.950763488 77.669852523,-105.947772765 77.6688730000001,-105.945798148 77.6681929250001,-105.930826814 77.6630360140001,-105.888899863 77.6452631940001,-105.878600013 77.639709177,-105.858335924 77.6269180580001,-105.834445991 77.6102632160001,-105.691099856 77.4972091110001,-105.679172911 77.4474821300001,-105.571954958 77.3233181480001,-105.550282038 77.311645006,-105.531681924 77.30525414,-105.506663955 77.2991450740001,-105.483547949 77.2953794470001,-105.481108764 77.2949819990001,-105.478507998 77.29467457,-105.455272998 77.291927082,-105.416032701 77.2838072820001,-105.413054769 77.2831909910001,-105.246945991 77.1938631730001,-105.165522185 77.1746424180001,-105.151672764 77.1713729990001,-105.137508764 77.1760909990001,-105.134361856 77.176190766,-105.11971792 77.1766541200001,-105.100585763 77.1762031520001,-105.095836764 77.1760909990001,-105.044445764 77.1713729990001,-104.993608764 77.1649909990001,-104.985268801 77.1636487040001,-104.945264028 77.1572091100001,-104.926173914 77.153245107,-104.922499764 77.152481999,-104.906390764 77.1474909990001,-104.905548236 77.1471541340001,-104.892499947 77.1419361090001,-104.88332696 77.1355450760001,-104.869164058 77.1236001930001,-104.869163939 77.123600147,-104.869163764 77.1235999990001,-104.853336764 77.1174819990001,-104.846975893 77.1162084210001,-104.832499937 77.1133090600001,-104.796606408 77.1095377030001,-104.790281764 77.1088729990001),(-102.016954761 77.6797000000001,-101.826399761 77.676091,-101.798890761 77.6763730000001,-101.778729243 77.6788548380001,-101.652217941 77.694427079,-101.627885413 77.6978365840001,-101.622499761 77.6985910000001,-101.610714419 77.702324816,-101.605826957 77.7038731490001,-101.589717945 77.712345074,-101.56470886 77.720536037,-101.539332325 77.7231783840001,-101.535281761 77.7236,-101.506954761 77.724991,-101.318072761 77.7260910000001,-101.307553883 77.726034118,-101.267772898 77.7258181450001,-101.216946043 77.721927098,-101.096946023 77.7194361640001,-100.964717812 77.72553601,-100.940554965 77.726927071,-100.931148652 77.7350464530001,-100.92679976 77.7388000000001,-100.926799997 77.738800143,-100.926799926 77.738800204,-100.929706395 77.7405522970001,-100.96056376 77.7591550000001,-101.149674942 77.8190616620001,-101.161390957 77.8227731280001,-101.163693474 77.8233914640001,-101.19138176 77.8308280000001,-101.232776666 77.8380132280001,-101.237781946 77.8388821400001,-101.24073213 77.8392934350001,-101.26555476 77.8427550000001,-101.368327761 77.853864,-101.431100698 77.8594058300001,-101.45029102 77.861100219,-101.524435827 77.8699821860001,-101.552065197 77.8741226400001,-101.620827761 77.8844280000001,-101.671945761 77.8933280000001,-101.711399761 77.9016550000001,-101.749736761 77.8997190000001,-101.774409227 77.896947718,-101.779446012 77.896382164,-101.831946062 77.8938731250001,-101.915835838 77.8938731250001,-101.934228898 77.894296942,-102.049154761 77.8969460000001,-102.083890761 77.8972190000001,-102.130539526 77.8965231220001,-102.139999948 77.896382164,-102.181950265 77.8943119940001,-102.387790762 77.8841550000001,-102.416654762 77.8819280000001,-102.442490762 77.8766460000001,-102.455911095 77.8721002710001,-102.458890964 77.871091112,-102.465809697 77.8684021290001,-102.498890762 77.8555460000001,-102.518063762 77.8441460000001,-102.529718762 77.8341550000001,-102.510836762 77.7861,-102.454558747 77.7419194650001,-102.44041792 77.7308181180001,-102.141682028 77.690809115,-102.067781973 77.682209114,-102.020462748 77.6798732350001,-102.016954761 77.6797000000001),(-95.362781942 77.1719181770001,-95.314435795 77.166654007,-95.295433518 77.165283436,-95.291381755 77.1649909990001,-95.283488388 77.164847885,-95.245273023 77.1641540200001,-95.2244460049999 77.167209056,-95.2106998519999 77.1751271050001,-95.206663965 77.1891450000001,-95.206664022 77.189145072,-95.206663755 77.1891459990001,-95.2163997549999 77.2016639990001,-95.242659487 77.2132237690001,-95.244155045 77.2138821760001,-95.252762492 77.2157748220001,-95.313609755 77.2291549990001,-95.344719191 77.2344384800001,-95.3561089409999 77.236373169,-95.3600661249999 77.2367816780001,-95.3722187549999 77.238036999,-95.3875097549999 77.2408189990001,-95.438045755 77.244427999,-95.511127755 77.2430459990001,-95.608045755 77.2408189990001,-95.6310240459999 77.237482598,-95.6344089139999 77.2369912500001,-95.634408763 77.2369911430001,-95.634409755 77.2369909990001,-95.624907047 77.2302881530001,-95.61305501 77.2219271260001,-95.572508894 77.213045159,-95.419999998 77.1819271750001,-95.362781942 77.1719181770001),(-94.671108966 78.2408182030001,-94.598258618 78.2102774510001,-94.5200097539999 78.1774730000001,-94.513758434 78.1753538250001,-94.506117907 78.1727631840001,-94.420472257 78.1620043820001,-94.4044457539999 78.159991,-94.4001538699999 78.15962883,-94.378054999 78.1577632660001,-94.36665494 78.159145106,-94.308055043 78.182063241,-94.3080552709999 78.1820637980001,-94.308054754 78.1820640000001,-94.313045754 78.194282,-94.313045921 78.194282108,-94.313045964 78.1942822120001,-94.318647189 78.197893708,-94.344727754 78.2147100000001,-94.361118754 78.2216460000001,-94.481945754 78.2683280000001,-94.515018754 78.2780460000001,-94.546390754 78.284428,-94.572236754 78.287764,-94.598261473 78.2872744420001,-94.602217936 78.287200135,-94.635554944 78.2838731900001,-94.64047702 78.282955858,-94.660827754 78.279164,-94.681109754 78.2741550000001,-94.693181754 78.2616550000001,-94.69318144 78.261654551,-94.69318187 78.261654106,-94.683063907 78.2472090690001,-94.671108966 78.2408182030001),(-97.335008896 76.9680451460001,-97.284163936 76.9658180740001,-97.2620223009999 76.9671447920001,-97.256390757 76.967481999,-97.231109757 76.971372999,-97.092645757 77.0078999990001,-97.092645996 77.0079000910001,-97.136672757 77.025545999,-97.149230836 77.0288338440001,-97.154726898 77.0302732330001,-97.1697693899999 77.0328092240001,-97.199154757 77.037763999,-97.232220781 77.037558372,-97.243055059 77.0374912250001,-97.25192758 77.0366332630001,-97.2861187569999 77.0333279990001,-97.3713106719999 77.022906796,-97.374708942 77.0224911390001,-97.374709127 77.0224910760001,-97.3747097569999 77.0224909990001,-97.423890757 77.0058279990001,-97.4730547569999 76.9805459990001,-97.47305368 76.980545749,-97.473054986 76.980545078,-97.4629067879999 76.978193886,-97.458618757 76.9771999990001,-97.446648863 76.9761868100001,-97.409435837 76.9730360660001,-97.335008896 76.9680451460001),(-114.075082367 76.706132843,-114.054718772 76.7035999990001,-113.889181772 76.718599999,-113.836672772 76.7199819990001,-113.825962332 76.719410446,-113.78472694 76.717209149,-113.718228397 76.7082628910001,-113.704181772 76.7063729990001,-113.700269363 76.7060598900001,-113.679991037 76.704436134,-113.652499903 76.704436134,-113.628599912 76.7080361610001,-113.61361793 76.713045019,-113.482865672 76.7603310920001,-113.466108772 76.7663909990001,-113.461055707 76.7693695020001,-113.451517957 76.7749911400001,-113.484621012 76.823550029,-113.487499772 76.827772999,-113.487499895 76.827773064,-113.487499959 76.8277731570001,-113.488105702 76.8280921670001,-113.498045772 76.8333279990001,-113.734445772 76.879154999,-113.762508772 76.8844279990001,-113.807499772 76.8894369990001,-113.885554772 76.8916639990001,-113.95229189 76.8901997940001,-113.962217932 76.889982134,-113.981582995 76.889371366,-114.138345772 76.8844279990001,-114.299276223 76.878570708,-114.336935943 76.877200235,-114.585826836 76.8674822560001,-114.589394339 76.867193306,-114.606372773 76.8658189990001,-114.624163773 76.861927999,-114.741796028 76.830521425,-114.76666405 76.8238821100001,-114.774160579 76.821784274,-114.804445773 76.8133099990001,-114.837218773 76.8016549990001,-114.855272773 76.7944369990001,-114.874981773 76.767009999,-114.874981567 76.7670098840001,-114.874982044 76.7670092210001,-114.858890969 76.7580451110001,-114.830123796 76.7542711930001,-114.825008773 76.7535999990001,-114.786945773 76.7502729990001,-114.77707433 76.7495946670001,-114.734164059 76.7466450520001,-114.501108928 76.7341451190001,-114.214445995 76.7205360940001,-114.161946112 76.7169360660001,-114.075082367 76.706132843),(-101.05999976 76.6858099990001,-101.21361876 76.6519279990001,-101.317781761 76.6427639990001,-101.372151062 76.642545898,-101.385835861 76.6424911870001,-101.521946066 76.623873136,-101.530725697 76.622281678,-101.575563761 76.6141549990001,-101.68514007 76.587164951,-101.68831796 76.586382224,-101.688317898 76.5863822110001,-101.688318761 76.5863819990001,-101.623318761 76.5727729990001,-101.564708761 76.5635999990001,-101.559311529 76.562969206,-101.540835859 76.5608092050001,-101.45389088 76.5541541420001,-101.404164066 76.5527632490001,-101.386041949 76.553398546,-101.380545761 76.5535909990001,-101.367477552 76.55426377,-101.32668192 76.5563632760001,-101.273899902 76.5608092050001,-101.207675807 76.569438006,-101.19275476 76.571381999,-101.137404086 76.5793615060001,-100.923046007 76.6102632720001,-100.761126916 76.6358181860001,-100.487208834 76.6844181380001,-100.317226854 76.7166633190001,-100.293064007 76.7219271540001,-100.293067636 76.7219271540001,-100.29306376 76.7219279990001,-100.29723063 76.7219279990001,-100.263798198 76.727339671,-100.26291876 76.7274819990001,-100.262918686 76.7274820370001,-100.262917821 76.7274821770001,-100.248890874 76.7347092210001,-100.248891997 76.7347093610001,-100.24889076 76.7347099990001,-100.265978419 76.7368374120001,-100.268890933 76.737200155,-100.303019135 76.7399700060001,-100.48473676 76.754718999,-100.505652512 76.756142427,-100.50917294 76.7563821410001,-100.51278161 76.7565015610001,-100.53443676 76.757218999,-100.69193676 76.754718999,-100.74388176 76.7533279990001,-100.87067071 76.739775271,-100.902499951 76.736373197,-100.913065377 76.7349864060001,-100.95749976 76.7291549990001,-100.977968201 76.7256624520001,-100.983608946 76.7247002230001,-100.999965683 76.720412083,-101.00583676 76.718872999,-101.03667276 76.7051279990001,-101.04097276 76.693454999,-101.05999976 76.6858099990001),(-100.126518759 76.7219279990001,-100.126517284 76.721927759,-100.126517937 76.7219271540001,-100.097499956 76.717209149,-100.051390939 76.7155450060001,-100.029999986 76.715818088,-100.011126958 76.7191450330001,-99.915554989 76.7201540470001,-99.90021795 76.7201540470001,-99.888390917 76.7186540210001,-99.7637668899999 76.7056575410001,-99.733318759 76.702481999,-99.706245138 76.693623743,-99.657772909 76.6777632420001,-99.6269358869999 76.6730360160001,-99.581681991 76.6702540620001,-99.5561089719999 76.6705360290001,-99.528063963 76.6744270770001,-99.432217905 76.697063244,-99.432219075 76.6970639240001,-99.432218759 76.6970639990001,-99.447772759 76.7060999990001,-99.447772916 76.7061000360001,-99.4477730409999 76.706100109,-99.4511125829999 76.7069003560001,-99.5288817589999 76.725536999,-99.6224997589999 76.7452549990001,-99.646390759 76.748027999,-99.693881759 76.7477549990001,-99.720836759 76.7458189990001,-99.748336759 76.7427549990001,-99.8194547589999 76.7383099990001,-99.860841281 76.736723973,-99.869999848 76.736373197,-99.97639101 76.733600128,-99.978400229 76.7339288970001,-99.9975532619999 76.7370637540001,-99.973617941 76.7448451220001,-99.9736199559999 76.7448456100001,-99.973618759 76.7448459990001,-99.98964122 76.7487271850001,-99.999435879 76.751100201,-100.037781913 76.7513912200001,-100.041389202 76.7512748230001,-100.055263759 76.7508279990001,-100.082781759 76.748027999,-100.101936759 76.7447099990001,-100.126518759 76.7219279990001),(-98.821399758 76.676927999,-98.854299758 76.6668549990001,-98.8542983139999 76.6668545220001,-98.854299929 76.6668540270001,-98.817307779 76.6546300240001,-98.814163758 76.6535909990001,-98.744445758 76.6438729990001,-98.674436758 76.6438729990001,-98.6676239189999 76.6443165740001,-98.62304607 76.647218078,-98.594308882 76.6565090820001,-98.546954985 76.658036097,-98.489028477 76.6477543120001,-98.5145907579999 76.623318999,-98.53295005 76.618077912,-98.5388909229999 76.6163822290001,-98.5663909419999 76.6136001080001,-98.589172955 76.6113732040001,-98.593977528 76.6111301990001,-98.611118758 76.610263999,-98.7147187579999 76.6141549990001,-98.860827758 76.614427999,-98.971663758 76.6077549990001,-98.994227048 76.6054797990001,-98.9991640269999 76.6049821700001,-99.027217922 76.60109112,-99.0272187579999 76.6010909990001,-99.039355297 76.5542789360001,-99.044646077 76.5338731210001,-99.0446457579999 76.533872999,-98.9538910209999 76.4991450520001,-98.913621118 76.4859916280001,-98.8986187579999 76.4810909990001,-98.886449399 76.4764155110001,-98.860690963 76.466518159,-98.851946174 76.433727967,-98.882763758 76.431363999,-98.916108758 76.4347099990001,-98.9472181 76.4507456590001,-98.95064946 76.4585837070001,-98.955272758 76.469145999,-98.984122677 76.47113963,-98.987499938 76.4713731250001,-99.008387095 76.4690768290001,-99.132708759 76.455409999,-99.1327081759999 76.4554091950001,-99.132708867 76.4554091190001,-99.114163906 76.429845153,-99.078300647 76.4077276020001,-99.099990758 76.3980369990001,-99.123318758 76.4008189990001,-99.163618759 76.409145999,-99.1844367589999 76.4158189990001,-99.257436759 76.464845999,-99.350540688 76.5171635560001,-99.366946013 76.5263822140001,-99.57889987 76.6222001080001,-99.590085325 76.6233794240001,-99.6844367589999 76.6333279990001,-99.733890759 76.6337369990001,-99.770554759 76.6277639990001,-99.803536421 76.6129001510001,-99.837781991 76.6086001350001,-99.84314892 76.6088201310001,-99.885008759 76.610536999,-99.911118759 76.613036999,-99.981672759 76.6222099990001,-100.052227759 76.631363999,-100.191936759 76.642209999,-100.21666376 76.6430549990001,-100.31889076 76.635545999,-100.357453318 76.6317283060001,-100.363890921 76.631091128,-100.383826942 76.627500152,-100.38382776 76.627500001,-100.386776864 76.6269519040001,-100.45861876 76.613599999,-100.514821448 76.6028424500001,-100.653064067 76.576382111,-100.663325699 76.572868537,-100.72002776 76.5534549990001,-100.733682943 76.535687604,-100.737208987 76.53110022,-100.752279631 76.5291332890001,-100.80526376 76.5222189990001,-100.82972776 76.5197189990001,-100.89277276 76.5194369990001,-100.93943676 76.5144369990001,-100.958399065 76.5110547310001,-100.962781928 76.5102732020001,-100.965883817 76.507839953,-100.98103676 76.495954999,-100.98103569 76.4959542020001,-100.981035869 76.4959540620001,-100.963592524 76.4829621390001,-100.95249976 76.4746999990001,-100.69444576 76.3749819990001,-100.690461185 76.374396274,-100.67360895 76.3719181550001,-100.576678237 76.37125174,-100.55332776 76.371090999,-100.48137276 76.3738729990001,-100.463453048 76.375361518,-100.374446084 76.382754112,-100.35056403 76.3844271400001,-100.32362694 76.384154057,-100.301664007 76.382754112,-100.28256419 76.3794945160001,-100.27721876 76.3785819990001,-100.038599759 76.318881999,-99.8466733559999 76.2820731130001,-99.85237377 76.2805445500001,-99.8699997589999 76.275818998,-99.891642732 76.2748712980001,-99.8955549299999 76.2747001480001,-100.111108981 76.2663911670001,-100.120991255 76.2670028630001,-100.182772759 76.2708279980001,-100.255448035 76.2773578380001,-100.2691729 76.278591195,-100.287262246 76.279162796,-100.36639076 76.2816639980001,-100.403873683 76.2806267000001,-100.416655002 76.2802732750001,-100.438045954 76.2788731620001,-100.46500886 76.274991168,-100.509372933 76.257073173,-100.498608893 76.2377632800001,-100.483254221 76.2311393300001,-100.47222776 76.2263819980001,-100.43889076 76.2124909980001,-100.406785494 76.2092280530001,-100.225564037 76.1908091990001,-100.205933019 76.1901300230001,-100.20139976 76.189972998,-100.197059868 76.1901304400001,-100.178326816 76.1908091990001,-100.150281974 76.1933180710001,-99.9691413039999 76.1900640470001,-99.948881759 76.189699998,-99.9453096029999 76.1886799690001,-99.915835783 76.180263256,-99.874435886 76.170536058,-99.71694596 76.1397090940001,-99.696571932 76.1387634100001,-99.6930547589999 76.1385999980001,-99.688827439 76.1387877590001,-99.668064042 76.1397090940001,-99.54889098 76.1533181200001,-99.4988909159999 76.157763211,-99.4537802199999 76.160799856,-99.4452637589999 76.161372998,-99.42380934 76.1565821280001,-99.437011153 76.1546519940001,-99.492645759 76.146518998,-99.556108759 76.1416639980001,-99.609163759 76.135818998,-99.650082262 76.1276241040001,-99.650835878 76.1274731920001,-99.650836055 76.1274731390001,-99.650836759 76.127472998,-99.68082701 76.11859122,-99.73083578 76.117482131,-99.8683268199999 76.139982176,-99.905402873 76.1435526060001,-100.021254759 76.154709998,-100.071672759 76.155818998,-100.103881759 76.153318998,-100.119508051 76.1500358340001,-100.124999974 76.1488822490001,-100.152791013 76.1324731650001,-100.151360183 76.1297273700001,-100.142227759 76.1121999980001,-100.082427767 76.0441549920001,-100.082426947 76.0441540560001,-100.002796026 76.003482418,-100.002796002 76.0034824050001,-99.898618759 75.9502729980001,-99.861381759 75.9353909980001,-99.852520315 75.9376697710001,-99.811108931 75.948318058,-99.7892969329999 75.950905811,-99.785281759 75.951381998,-99.657772759 75.961381998,-99.494445759 75.9735999980001,-99.485724249 75.9725610950001,-99.448510926 75.9681274100001,-99.4772723039999 75.9603200480001,-99.483608863 75.9586001380001,-99.5086179469999 75.957491212,-99.587782005 75.9500001380001,-99.60396141 75.9466699340001,-99.678327759 75.9313639980001,-99.723199759 75.9133189980001,-99.753617961 75.906373172,-99.753618094 75.90637315,-99.888335932 75.8863821630001,-99.9057972369999 75.887154121,-99.982499759 75.8905459980001,-100.024434885 75.9056625170001,-100.047235862 75.9138821820001,-100.131663923 75.952482187,-100.165550337 75.9706885150001,-100.31262776 76.0497099980001,-100.43999076 76.1052549980001,-100.63028176 76.1333279980001,-100.703627689 76.163526254,-100.710563923 76.1663821540001,-100.714569421 76.1679457330001,-100.75110876 76.1822099980001,-100.780519558 76.190373326,-100.783072917 76.191082114,-100.865826945 76.212200152,-100.880000065 76.2153405130001,-100.91916376 76.2240189980001,-100.98110876 76.2352639980001,-101.00446376 76.237763998,-101.093890463 76.2830548480001,-101.063190926 76.3294361550001,-101.063191255 76.3294362510001,-101.06319076 76.3294369990001,-101.13694576 76.3508189990001,-101.187552599 76.358539281,-101.20612685 76.361373218,-101.234173034 76.3692822140001,-101.279142505 76.3922603610001,-101.280145761 76.3927729980001,-101.281625276 76.393849571,-101.296935887 76.4049911340001,-101.308047243 76.410541241,-101.315827761 76.4144279990001,-101.411663761 76.4308189990001,-101.434718761 76.4344189990001,-101.453586362 76.4360982960001,-101.456673001 76.436373147,-101.485780797 76.438106835,-101.671108761 76.4491459990001,-101.783336761 76.4544369990001,-101.808327761 76.4541639990001,-101.851528615 76.451044262,-101.862208924 76.4502731920001,-101.880955351 76.4460679480001,-101.885836761 76.4449729990001,-102.018627761 76.4094279990001,-102.049018761 76.3950549990001,-102.049017637 76.395054181,-102.049017909 76.395054052,-102.029445998 76.3808180600001,-102.001109162 76.3527633580001,-102.060954761 76.2572099980001,-102.082227761 76.250827998,-102.128478054 76.246818638,-102.133617967 76.2463731710001,-102.162781961 76.2406731410001,-102.162781766 76.240672992,-102.140700005 76.2233180760001,-102.114435814 76.2155450340001,-102.051935817 76.213609149,-101.774717948 76.2155450340001,-101.749735853 76.215818116,-101.698882008 76.2194360810001,-101.542174812 76.2306396640001,-101.496945761 76.233872998,-101.486003307 76.2354210030001,-101.441935939 76.2416539920001,-101.391257888 76.2468538210001,-101.447948367 76.2255062990001,-101.465564021 76.2188731520001,-101.470447275 76.2177572690001,-101.488599761 76.213609998,-101.533618761 76.2052639980001,-101.608336761 76.194427998,-101.685272761 76.187763998,-101.711399761 76.1847099980001,-101.761127761 76.174145998,-101.895418761 76.113445998,-101.905972761 76.081445998,-101.905972746 76.081445973,-101.90597302 76.081445144,-101.897736093 76.067307219,-101.893627761 76.0602549980001,-101.893627093 76.0602544990001,-101.893626812 76.060254016,-101.85586079 76.032022338,-101.840690761 76.020681998,-101.806381761 76.007490998,-101.728881761 75.9874909980001,-101.681108761 75.9799909980001,-101.677406374 75.9799644270001,-101.641954971 75.9797091230001,-101.617217963 75.9808180490001,-101.400145949 75.9980361550001,-101.381126031 76.010574653,-101.376108761 76.013881998,-101.325690761 76.0199909980001,-101.30597301 76.010691116,-101.324943946 76.003129626,-101.394172761 75.9755369980001,-101.452218761 75.963609998,-101.487218761 75.9576279980001,-101.552711319 75.934112279,-101.56499988 75.9297001740001,-101.579181892 75.908600074,-101.561042951 75.8894823750001,-101.534372761 75.861372998,-101.52574403 75.8600036170001,-101.488891025 75.854154081,-101.424320427 75.8558728040001,-101.416118761 75.8560909980001,-101.385418761 75.8531819980001,-101.376308482 75.8503823820001,-101.360126887 75.845409073,-101.344457228 75.833041736,-101.337781854 75.8277730720001,-101.329173193 75.8046366040001,-101.34516308 75.7900581700001,-101.353472997 75.7824821030001,-101.353472736 75.78248202,-101.353472761 75.782481998,-101.352734779 75.7822481600001,-101.328055043 75.774427094,-101.231108945 75.7772092150001,-101.182220241 75.7797090860001,-101.20249976 75.7672099980001,-101.24700876 75.7469369980001,-101.290832103 75.7462620320001,-101.30193586 75.7460912320001,-101.414172896 75.7524911500001,-101.417200491 75.7528707810001,-101.438599761 75.755554998,-101.462414168 75.765869788,-101.467290861 75.7679822480001,-101.481459575 75.776431345,-101.556381761 75.8211099980001,-101.744708761 75.858036998,-101.768794126 75.8673697790001,-101.771946052 75.8685912380001,-101.787565513 75.8792282910001,-101.802354761 75.8892999980001,-101.802354891 75.8893000470001,-101.802354927 75.8893000690001,-101.826399761 75.8983279980001,-101.864436761 75.902209998,-102.087429411 75.884999044,-102.138064064 75.881091171,-102.143470051 75.8806094060001,-102.163063761 75.878863998,-102.266399761 75.8619279980001,-102.290281761 75.857209998,-102.316672761 75.846645998,-102.33278787 75.8383984420001,-102.339445993 75.834991206,-102.345272705 75.8273710860001,-102.367836762 75.7978639980001,-102.367835678 75.7978634360001,-102.367835835 75.7978632300001,-102.335282032 75.780963302,-102.282226931 75.781936106,-102.232773032 75.7866541110001,-102.106918537 75.7863270510001,-102.098414517 75.7504267630001,-102.091664027 75.7219270430001,-102.008610325 75.7040184040001,-102.022740276 75.69864684,-102.027646068 75.696782172,-102.033895458 75.6955431360001,-102.057772761 75.6908099980001,-102.078608761 75.6883099980001,-102.161245761 75.7076279980001,-102.263899761 75.7219279980001,-102.311390761 75.7266549980001,-102.351936762 75.7291549980001,-102.377490762 75.7291549980001,-102.512780548 75.722631918,-102.538890866 75.7213731670001,-102.543852969 75.7205161620001,-102.572636762 75.715545998,-102.689163762 75.670536998,-102.701399762 75.628863998,-102.802781762 75.6308189980001,-102.855391717 75.6176241900001,-102.874264056 75.6128912230001,-102.874263651 75.6128910260001,-102.874263762 75.6128909980001,-102.859373938 75.6056257540001,-102.673046076 75.514709129,-102.558114587 75.5119561050001,-102.534154762 75.511381998,-102.499163762 75.5210999980001,-102.489771112 75.5228549770001,-102.448608883 75.5305450590001,-102.405934959 75.5362898180001,-102.399172762 75.5371999980001,-102.393015532 75.537853053,-102.351935867 75.542209148,-102.206672959 75.5533181870001,-102.167492461 75.5546902010001,-102.159154761 75.5549819980001,-102.155618216 75.554723537,-102.136399921 75.5533181870001,-102.084930686 75.5479475290001,-102.067227761 75.546099998,-102.054915292 75.5462929070001,-101.996381904 75.547209121,-101.97249985 75.5483270990001,-101.907168502 75.5551681970001,-101.898354761 75.5560909980001,-101.880354989 75.5583086190001,-101.749446007 75.5744360570001,-101.495535863 75.6019271910001,-101.474489277 75.6021677150001,-101.471654761 75.6021999980001,-101.382636761 75.599572998,-101.306381761 75.5910909980001,-101.24916376 75.5871999980001,-101.22556376 75.5874909980001,-101.152817107 75.5921858360001,-100.829726926 75.613036062,-100.808077773 75.614728552,-100.80471876 75.6149909980001,-100.785646613 75.6171019760001,-100.65416394 75.6316541130001,-100.628881941 75.634718202,-100.540282039 75.645536054,-100.397226924 75.6544361260001,-100.37331788 75.654709209,-100.256391001 75.6516540050001,-100.031681899 75.6644271870001,-99.889330097 75.6746337500001,-99.849727759 75.677472998,-99.833962629 75.6794037560001,-99.7408268409999 75.69080906,-99.6438909679999 75.6941361720001,-99.619999862 75.6941361720001,-99.557499865 75.6919270380001,-99.329454934 75.695253983,-98.9719359169999 75.7102632890001,-98.955334232 75.710054606,-98.9502907579999 75.7099909980001,-98.916799758 75.7060999980001,-98.898127758 75.6935819980001,-98.929717947 75.6863731880001,-98.982773047 75.6810912490001,-99.033063964 75.6772002020001,-99.042781765 75.6769328030001,-99.0836187579999 75.675809998,-99.202499759 75.675536998,-99.2266727589999 75.675536998,-99.4200495009999 75.6729900000001,-99.458617883 75.672482196,-99.5128936469999 75.670150113,-99.788054759 75.6583279980001,-99.820563759 75.653454998,-99.862781759 75.6166459980001,-99.862781169 75.6166458870001,-99.862782023 75.616645142,-99.844681524 75.613261063,-99.840563759 75.6124909980001,-99.830825599 75.613306444,-99.79083579 75.616654027,-99.694337108 75.6105318370001,-99.674782278 75.6092910310001,-99.684403273 75.604155716,-99.7125087589999 75.5891549980001,-99.7466637589999 75.5876279980001,-99.800554759 75.586654998,-99.823627759 75.584154998,-100.036172759 75.5524189980001,-100.036170176 75.552418548,-100.036172923 75.5524181380001,-99.9902820029999 75.544436052,-99.946655035 75.5447091340001,-99.909532564 75.5469151820001,-99.899990759 75.5474819980001,-99.843019009 75.5433820160001,-99.8486590109999 75.542924413,-99.9669457589999 75.5333279980001,-100.034154759 75.5294369980001,-100.129990759 75.525818998,-100.30625476 75.4726279980001,-100.306252427 75.4726278730001,-100.306254943 75.472627114,-100.215291009 75.4677540430001,-100.191935842 75.4677540430001,-100.100564044 75.4705361640001,-100.013121362 75.4643634770001,-100.062763759 75.4544369980001,-100.102122214 75.4517360460001,-100.111390949 75.4511002070001,-100.123477926 75.4507381590001,-100.176663759 75.4491459980001,-100.256407487 75.44867608,-100.270846096 75.4485911680001,-100.339717847 75.447482242,-100.358878701 75.4471436170001,-100.43388176 75.4458189980001,-100.639411929 75.4396068340001,-100.67331793 75.4385821700001,-100.697772971 75.4363732030001,-100.703332784 75.4349836800001,-100.71999976 75.4308189980001,-100.719997468 75.430818797,-100.719999934 75.4308181810001,-100.67555506 75.426927133,-100.606945997 75.4280360590001,-100.579790248 75.4248662310001,-100.57486376 75.4242909980001,-100.558150915 75.4186811370001,-100.43728365 75.37810963,-100.594726859 75.347491168,-100.594726911 75.347491163,-100.614726918 75.3461001060001,-100.617266424 75.3460704070001,-100.63806376 75.3458279980001,-100.672375978 75.3544751170001,-100.685135911 75.3576911040001,-100.679689632 75.3586166370001,-100.64389076 75.364699998,-100.61790876 75.3742819980001,-100.617909329 75.3742820690001,-100.617908856 75.374282243,-100.65221783 75.3785821600001,-100.654398694 75.3784074010001,-100.67639076 75.3766459980001,-100.76971876 75.3496369980001,-100.769716697 75.3496364330001,-100.769717863 75.3496360950001,-100.635774291 75.3129785390001,-100.61569076 75.3074819980001,-100.605405775 75.3058790740001,-100.523063933 75.2930450050001,-100.504507092 75.292592218,-100.49999976 75.2924819980001,-100.467806451 75.2941375410001,-100.359445998 75.299709121,-100.33876074 75.301641654,-100.33278176 75.302199998,-100.322909468 75.303772995,-100.282226876 75.3102540580001,-100.25444693 75.3044182560001,-100.28666376 75.284009998,-100.31166376 75.277209998,-100.33444576 75.2744279980001,-100.391955036 75.2704393180001,-100.404446089 75.269573162,-100.384717939 75.257763228,-100.354172942 75.2516632140001,-100.314435848 75.250827035,-100.226099976 75.2541632000001,-100.203335901 75.2533271890001,-100.130862118 75.249242972,-100.119454759 75.248599998,-100.107281678 75.24695819,-100.001775378 75.2327274850001,-100.031390759 75.2269279980001,-100.22556376 75.2230369980001,-100.243651028 75.2237009840001,-100.248335824 75.223873182,-100.257888041 75.225378554,-100.27999976 75.2288639980001,-100.30222776 75.2308189980001,-100.32529076 75.2305459980001,-100.399412393 75.2280754910001,-100.41721793 75.227482261,-100.421762226 75.22730626,-100.43859976 75.2266549980001,-100.46333676 75.2235999980001,-100.53958176 75.1962279970001,-100.539580781 75.1962275820001,-100.539581982 75.1962271500001,-100.51112693 75.1841451400001,-100.476935805 75.179427134,-100.46016505 75.1778446340001,-100.45333676 75.1771999970001,-100.43249976 75.1735999970001,-100.427642566 75.1717750220001,-100.405136445 75.163318319,-100.392987009 75.1371262850001,-100.37930002 75.1076185060001,-100.39028176 75.086927997,-100.390281979 75.0869271980001,-100.390282014 75.0869271320001,-100.397372936 75.061100142,-100.39638173 75.0562163100001,-100.39222776 75.035745997,-100.392227079 75.035745687,-100.392226951 75.035745052,-100.355835912 75.0191540810001,-100.266259981 75.0048764730001,-100.25306376 75.0027729970001,-100.248115346 75.002125279,-100.210563951 74.9972090850001,-100.152337806 74.9917048120001,-100.145845759 74.9910909970001,-100.134070471 74.9905378870001,-100.05721787 74.986927172,-99.990555085 74.9844181330001,-99.733470934 74.9747908800001,-99.701672759 74.9735999970001,-99.619718759 74.9713729970001,-99.602781759 74.9710999970001,-99.597484306 74.9712471560001,-99.5625000059999 74.9722181050001,-99.5386089 74.9741539890001,-99.452031641 74.9936639260001,-99.432908759 74.997972997,-99.432909149 74.997973125,-99.432908909 74.997973179,-99.4932637429999 75.0176910270001,-99.4873387 75.028740208,-99.4824999369999 75.037763247,-99.44554597 75.058318188,-99.3679624219999 75.097926235,-99.333199759 75.115672997,-99.308045759 75.1224819970001,-99.278127759 75.112272997,-99.2994367589999 75.092754997,-99.335554759 75.0705459970001,-99.374543718 75.043567217,-99.390564037 75.0324821450001,-99.393084428 75.0214732600001,-99.400136759 74.990672997,-99.39291424 74.989092677,-99.376663992 74.985536111,-99.354446081 74.9844181330001,-99.133169466 74.993619761,-99.066954758 74.996372997,-98.984999758 74.999999997,-98.784999758 74.9949819970001,-98.7746664649999 74.994042838,-98.723890926 74.9894271580001,-98.64941842 74.991979072,-98.634736758 74.9924819970001,-98.613435926 74.9938354450001,-98.468335918 75.003054121,-98.448620951 75.0046526620001,-98.444445758 75.0049909970001,-98.4316989499999 75.00660228,-98.369717965 75.014436075,-98.312422236 75.0199350280001,-98.300281758 75.0210999970001,-98.2680547579999 75.022490997,-98.108890758 75.022490997,-98.088807565 75.021343658,-98.0116729 75.0169360610001,-97.98873761 75.0156287980001,-97.982499757 75.0152729970001,-97.950418757 75.0229730140001,-97.950417952 75.0229732110001,-97.9450430539999 75.059620593,-97.942981757 75.0736729970001,-97.960472887 75.092549928,-97.97430889 75.1074822410001,-97.980108323 75.108547318,-98.003063757 75.1127639970001,-98.025859068 75.1144965970001,-98.032363963 75.1149912530001,-98.04112033 75.1177676240001,-98.0813907579999 75.130536997,-98.128754758 75.1508279970001,-98.146381758 75.171372997,-98.1231509579999 75.19330433,-98.091946052 75.2227632500001,-98.061663912 75.220263263,-98.037799939 75.214595543,-98.033608787 75.2136000040001,-98.025208882 75.191645221,-98.026203815 75.1854635590001,-98.02916392 75.1670732150001,-98.029163733 75.1670731510001,-98.029163757 75.167072997,-97.9946088629999 75.155412943,-97.8719358449999 75.114018114,-97.843891003 75.1102631890001,-97.746946078 75.11164503,-97.654837414 75.115724926,-97.6399997569999 75.1163819970001,-97.6194457569999 75.1185909970001,-97.5740997569999 75.1490819970001,-97.574100093 75.149082069,-97.574100002 75.1490821300001,-97.60388191 75.1554000730001,-97.628599975 75.151091104,-97.6320173399999 75.1520146650001,-97.676936757 75.1641549970001,-97.724503236 75.178187683,-97.759735856 75.188582184,-97.735972993 75.2058271120001,-97.7359733069999 75.205827599,-97.735972757 75.205827997,-97.7453784429999 75.2204490350001,-97.749726858 75.2272091790001,-97.749727338 75.2272093450001,-97.749727757 75.227209998,-97.873890757 75.2702639980001,-97.9130547569999 75.2641639980001,-98.0647087579999 75.285809998,-98.101390758 75.2919279980001,-98.124854758 75.2998459980001,-98.164999337 75.331654665,-98.153421516 75.3447247330001,-98.147781758 75.3510909980001,-98.141599704 75.355925896,-98.1305549419999 75.3645632590001,-98.107772929 75.371918044,-98.074435921 75.3677091550001,-98.042772946 75.359145029,-97.9905550299999 75.3558180840001,-97.929434369 75.3560492,-97.918336757 75.3560909980001,-97.9183362319999 75.3560911650001,-97.918335882 75.356091167,-97.880417828 75.3681822300001,-97.910835922 75.3803911420001,-97.9199112269999 75.381180939,-97.960554757 75.384718998,-98.0134440909999 75.4031971000001,-98.0211544049999 75.4058910270001,-97.984727757 75.408872998,-97.934436757 75.407481998,-97.921056923 75.407830523,-97.801108931 75.4109540760001,-97.785787074 75.4210388210001,-97.778745757 75.425672998,-97.778746214 75.425673068,-97.778746013 75.4256732010001,-97.91111789 75.446091182,-97.9162953379999 75.4465426660001,-97.9333187569999 75.448027998,-97.957508757 75.4472099980001,-97.985545757 75.457218998,-98.042498539 75.48234546,-97.968716265 75.50283417,-97.951945757 75.507490998,-97.932499757 75.5124999980001,-97.928827767 75.5126244590001,-97.908335936 75.513318069,-97.861582015 75.4926539950001,-97.839372989 75.4641451310001,-97.807499964 75.4566450040001,-97.787610237 75.4573412920001,-97.7833277569999 75.4574909980001,-97.783327065 75.457491234,-97.7833268909999 75.4574912410001,-97.747426864 75.4697732430001,-97.75175849 75.4846422040001,-97.7534727569999 75.4905279980001,-97.782081757 75.5135999990001,-97.782082012 75.513600201,-97.815990757 75.5394729980001,-97.774701174 75.5593151160001,-97.7533365099999 75.5695819890001,-97.74382547 75.5692590620001,-97.720408972 75.5684632800001,-97.573626928 75.5130451540001,-97.497773051 75.4742910890001,-97.495805649 75.4643802370001,-97.490136757 75.4358189980001,-97.490135851 75.4358184340001,-97.4901357959999 75.4358181530001,-97.4691639389999 75.422763172,-97.444270725 75.4157278690001,-97.441663757 75.4149909980001,-97.341672757 75.3938729980001,-97.313054757 75.390681998,-97.288263757 75.398881998,-97.288264068 75.39888211,-97.288264027 75.3988821240001,-97.2894744879999 75.3993191490001,-97.3305637569999 75.4141549980001,-97.3430703939999 75.4179577620001,-97.3497268469999 75.4199822240001,-97.366886772 75.4284799100001,-97.378327757 75.4341459980001,-97.3997269289999 75.4555451700001,-97.408869787 75.475839573,-97.419999757 75.5005459980001,-97.423890757 75.5285909980001,-97.410972757 75.6181819980001,-97.402904157 75.626727574,-97.3895910109999 75.6408271000001,-97.37844223 75.655235013,-97.370899757 75.664981998,-97.370899938 75.664982148,-97.37089987 75.6649822370001,-97.3955637559999 75.685390999,-97.3955639549999 75.6853911650001,-97.425555076 75.6922001200001,-97.450157274 75.694833509,-97.690281757 75.7205369980001,-97.8272277569999 75.7269279980001,-97.8705457569999 75.7305459980001,-97.934580374 75.7441457040001,-97.913326856 75.751663186,-97.8372178339999 75.7655451260001,-97.7274772759999 75.7808247190001,-97.700554757 75.784572998,-97.691025638 75.787162638,-97.659172967 75.7958180460001,-97.597781896 75.8469360880001,-97.597782003 75.846936794,-97.597781757 75.846936998,-97.599442249 75.8579418470001,-97.605135843 75.8956822200001,-97.626419062 75.9189968860001,-97.645699757 75.9401189980001,-97.656390674 75.9727637460001,-97.588335827 76.0808270620001,-97.5633269099999 76.097491124,-97.542499892 76.1083181960001,-97.510417822 76.123309062,-97.4947178469999 76.1438821080001,-97.508000216 76.175893865,-97.518054757 76.2001279980001,-97.583618757 76.234145998,-97.607322742 76.2412359780001,-97.610546026 76.2422001570001,-97.6480550429999 76.25027327,-97.661812309 76.254661695,-97.6994367569999 76.2666639980001,-97.7274907569999 76.2805369980001,-97.7613997569999 76.3349909990001,-97.740730389 76.367392436,-97.7211819509999 76.3980361660001,-97.664299842 76.4212361,-97.6643001529999 76.421236837,-97.664299757 76.421236999,-97.677348578 76.4520928580001,-97.689026959 76.479709095,-97.689027466 76.47970931,-97.689027757 76.4797099990001,-97.757372757 76.508745999,-97.807772757 76.5144369990001,-97.897781757 76.5158279990001,-97.944445757 76.5180549990001,-98.055355209 76.5286841130001,-98.08056393 76.53110022,-98.322781989 76.5611002250001,-98.3289315379999 76.561879816,-98.357772758 76.5655369990001,-98.378054758 76.572218999,-98.3979897849999 76.590545105,-98.362499973 76.5933180820001,-98.32573665 76.589280993,-98.3194547579999 76.5885909990001,-98.315368007 76.5879471580001,-98.2983358339999 76.5852632400001,-98.2850729 76.5825024640001,-98.278336758 76.5810999990001,-98.250690758 76.5724909990001,-98.194617519 76.581993357,-98.185135884 76.583600103,-98.281390978 76.6022002170001,-98.298055387 76.6037426450001,-98.366936758 76.6101189990001,-98.4188973029999 76.636189126,-98.421872749 76.6376820200001,-98.413854476 76.657664439,-98.410973022 76.664845052,-98.410973126 76.6648450820001,-98.410972758 76.6648459990001,-98.439990758 76.673036999,-98.480281758 76.679154999,-98.499205318 76.6806536490001,-98.504726956 76.681091193,-98.5399207089999 76.6814221270001,-98.712508758 76.6830459990001,-98.7336087579999 76.6827549990001,-98.821399758 76.676927999),(-94.854445755 76.136654998,-94.9927637549999 76.1094189980001,-95.013063755 76.1058189980001,-95.0305637549999 76.104709998,-95.060545755 76.1058189980001,-95.0769457549999 76.1083189980001,-95.0928630879999 76.1131199260001,-95.094454924 76.1136001360001,-95.121108874 76.1185912240001,-95.122311747 76.1183483470001,-95.144163755 76.113936998,-95.144162931 76.1139362920001,-95.144163969 76.1139360830001,-95.101945998 76.0777732010001,-95.101945965 76.0777731790001,-95.101945755 76.0777729980001,-95.101257419 76.077342711,-95.086399915 76.0680540480001,-95.065438872 76.057562278,-95.062499755 76.0560909980001,-95.060471131 76.0553037870001,-95.048890899 76.0508091200001,-95.0272178119999 76.0477633040001,-95.0108583259999 76.047539446,-95.006672755 76.0474819980001,-94.928609755 76.0510909980001,-94.9286090799999 76.0510910790001,-94.928608912 76.0510910900001,-94.905564042 76.0538633180001,-94.8891728949999 76.058027112,-94.875972793 76.0656085480001,-94.870272755 76.0688819980001,-94.862667702 76.0742747210001,-94.831117822 76.0966450550001,-94.843608869 76.122209189,-94.846062293 76.1254793700001,-94.854445755 76.136654998),(-94.898899926 75.9127631980001,-94.843647502 75.8272741050001,-94.822236754 75.794145998,-94.822236125 75.7941454360001,-94.822235854 75.7941450180001,-94.809155056 75.7824821030001,-94.795272948 75.775818154,-94.778928315 75.7691802480001,-94.777499754 75.7685999980001,-94.7394367539999 75.757490998,-94.7208367539999 75.7538729980001,-94.710542013 75.7524651430001,-94.676099887 75.7477540340001,-94.638112942 75.7464082690001,-94.629163754 75.7460909980001,-94.6191880229999 75.746032497,-94.5827819789999 75.7458181490001,-94.405563903 75.750827175,-94.362826738 75.753345977,-94.353881754 75.7538729980001,-94.349464455 75.754410815,-94.326399844 75.757218041,-94.313216144 75.760622196,-94.310272754 75.761381998,-94.294163754 75.7692999980001,-94.2920253359999 75.7731974310001,-94.287917856 75.7806821730001,-94.296633962 75.7917292010001,-94.305554754 75.803036998,-94.315622277 75.8102511910001,-94.322235882 75.8149911470001,-94.3558262189999 75.833803172,-94.370836754 75.842209998,-94.410281754 75.8619279980001,-94.419373561 75.867991326,-94.4202727959999 75.868591123,-94.443599754 75.9383099980001,-94.446722177 75.946301163,-94.451526907 75.9586001380001,-94.464484337 75.9670035410001,-94.4669457539999 75.9685999980001,-94.481945754 75.9744279980001,-94.52246052 75.9828152200001,-94.538326879 75.9861001570001,-94.538327753 75.986099992,-94.6997187539999 75.9555549980001,-94.737781754 75.9522099980001,-94.813609754 75.9505459980001,-94.85508157 75.9480997640001,-94.865555039 75.947482214,-94.868647681 75.947063352,-94.8799907549999 75.945527998,-94.8931090039999 75.942672885,-94.895281961 75.942200106,-94.905281907 75.9338731880001,-94.9051325089999 75.932517294,-94.904027755 75.9224819980001,-94.900751331 75.916272894,-94.898899926 75.9127631980001),(-96.484436756 75.8272099980001,-96.507509756 75.8283279980001,-96.522550108 75.8266811080001,-96.52528201 75.8263821530001,-96.528075438 75.825647218,-96.541109756 75.822218998,-96.6638907559999 75.7880369980001,-96.678609756 75.777481998,-96.713890756 75.736645998,-96.713890216 75.736645815,-96.713890926 75.7366449950001,-96.6966550499999 75.7308180630001,-96.5791820059999 75.736927129,-96.555207941 75.7384870650001,-96.553609756 75.7385909980001,-96.55360955 75.7385910680001,-96.553608987 75.7385911050001,-96.5397178269999 75.7433181630001,-96.459164049 75.7894271800001,-96.459163949 75.789427888,-96.459163756 75.7894279980001,-96.458858714 75.7915789680001,-96.4575089589999 75.8010911010001,-96.455835931 75.8177632100001,-96.455836801 75.817763546,-96.4558367559999 75.817763998,-96.46729665 75.8221944320001,-96.4680639539999 75.822491106,-96.4693107579999 75.822850407,-96.484436756 75.8272099980001),(-96.963839165 75.4010532630001,-96.932499756 75.3760819980001,-96.876099756 75.3535909980001,-96.8735277059999 75.353077699,-96.86220887 75.3508181110001,-96.8511088829999 75.3502632290001,-96.836072184 75.352170883,-96.833618756 75.352481998,-96.658336756 75.3885999980001,-96.6583366629999 75.3886000410001,-96.658335839 75.388600211,-96.508063905 75.458045117,-96.50494344 75.4632231990001,-96.501954756 75.468181998,-96.501955021 75.4681821660001,-96.5019550059999 75.4681821900001,-96.502425909 75.4684809650001,-96.517499756 75.4780459980001,-96.5310986009999 75.4831175480001,-96.53721784 75.485400128,-96.542175739 75.4898927460001,-96.5474907559999 75.4947099980001,-96.549609414 75.4991631280001,-96.552908931 75.506100077,-96.521664046 75.522818118,-96.5059089169999 75.5340632790001,-96.446408972 75.554409176,-96.433113769 75.5553527340001,-96.431163756 75.555490998,-96.430487636 75.555179024,-96.414537195 75.547818803,-96.4377541119999 75.5375055980001,-96.441163912 75.535991117,-96.450999908 75.5299911830001,-96.4509995349999 75.5299911330001,-96.450999756 75.5299909980001,-96.4464042179999 75.5293734860001,-96.420964028 75.5259541230001,-96.401830793 75.5175576020001,-96.399172756 75.5163909980001,-96.2550097559999 75.461381998,-96.250770309 75.460136386,-96.2388909859999 75.4566450040001,-96.220272935 75.4555540150001,-96.170835799 75.4580360640001,-95.934717921 75.5405450050001,-95.9105639589999 75.557209067,-95.91056437 75.5572095740001,-95.910563756 75.5572099980001,-95.920145756 75.569018998,-95.9366247789999 75.576458954,-95.938890936 75.577482208,-95.957781901 75.5836001590001,-95.967067924 75.5862416590001,-96.025436756 75.6028459980001,-96.090848576 75.60348294,-96.101945943 75.6035911660001,-96.104476652 75.6036407700001,-96.115827756 75.6038639980001,-96.133327756 75.606645998,-96.204591217 75.622069378,-96.241108837 75.629973206,-96.275118508 75.6382243880001,-96.314436756 75.6477639980001,-96.335554756 75.650818998,-96.344125224 75.6512323600001,-96.3472269169999 75.6513822640001,-96.379717856 75.651091244,-96.39639097 75.6499912030001,-96.399741152 75.6494430650001,-96.415009756 75.646945998,-96.424436756 75.6355459980001,-96.422818879 75.625568114,-96.422499928 75.62360011,-96.4688909119999 75.600682143,-96.4679640419999 75.590182133,-96.5135237979999 75.581614561,-96.666945756 75.552763998,-96.891681756 75.5291639980001,-96.913617936 75.5263821020001,-96.9136187559999 75.526381998,-96.940827756 75.521654998,-97.006954757 75.5083279980001,-97.053054757 75.4947099980001,-97.053054362 75.4947092830001,-97.0530550829999 75.4947090700001,-97.037955385 75.4673404330001,-97.030836757 75.4544369980001,-97.0308360509999 75.454436436,-97.030835831 75.4544360370001,-96.9638391939999 75.4010532870001,-96.963839165 75.4010532630001),(-95.104172755 75.6002639980001,-95.124709755 75.5952639980001,-95.178609755 75.5844279980001,-95.205651597 75.582895163,-95.212781917 75.582491234,-95.217569554 75.5829835960001,-95.234436755 75.5847189980001,-95.269727755 75.596645998,-95.4699997549999 75.5669369980001,-95.7076348849999 75.5201907520001,-95.755972997 75.510682128,-95.767052008 75.505881204,-95.800554755 75.4913639980001,-95.832509755 75.4679729980001,-95.829236755 75.4442189980001,-95.829235933 75.444218688,-95.829235861 75.4442181620001,-95.791117815 75.4298450420001,-95.758617823 75.425536073,-95.724999853 75.4276181380001,-95.684747436 75.4153636990001,-95.7695547549999 75.400318998,-95.828954755 75.4098099980001,-95.866988507 75.421641019,-95.874164035 75.423873271,-95.886651365 75.4259345660001,-95.936390756 75.4341459980001,-95.966254756 75.4362369980001,-96.040525244 75.4275586670001,-96.062499868 75.4249912490001,-96.0686821739999 75.4236490660001,-96.095836756 75.4177549980001,-96.1328438639999 75.406491273,-96.142373035 75.403591244,-96.1482213739999 75.401184378,-96.161945756 75.3955369980001,-96.177081756 75.381927998,-96.17708112 75.3819278280001,-96.1770819929999 75.381927042,-96.157599926 75.3767177410001,-96.151109756 75.3749819980001,-96.148957861 75.37514866,-96.126099905 75.376918184,-96.085346086 75.3882540380001,-96.055263939 75.400818176,-96.035300472 75.4010665370001,-96.0333277559999 75.401090998,-96.021491822 75.4007485220001,-95.9277818959999 75.398036054,-95.906772991 75.3874270790001,-95.842595095 75.374604731,-95.834564126 75.3730000720001,-95.846068041 75.3691249810001,-95.888863755 75.354709998,-95.921494923 75.350610912,-95.9304818749999 75.3494822040001,-95.943400996 75.348345114,-96.003618756 75.343045998,-96.061936756 75.315263998,-96.058220578 75.30956281,-96.049990883 75.296936052,-96.026672931 75.299145019,-95.988825081 75.2989334750001,-95.9780547559999 75.298872998,-95.967327137 75.2984639910001,-95.9344357859999 75.2972091350001,-95.91471957 75.28936385,-95.9480457559999 75.2833279980001,-96.0500963169999 75.274804186,-96.077790974 75.272491238,-96.1605717739999 75.257127708,-96.378599756 75.2166639980001,-96.459727756 75.1951189970001,-96.553037547 75.1165520070001,-96.5713999119999 75.1010912080001,-96.576894478 75.094860435,-96.604718756 75.063309997,-96.615032607 74.9916641450001,-96.61555494 74.9880360970001,-96.590146039 74.9837360130001,-96.563781058 74.985784514,-96.5597187559999 74.9860999970001,-96.559718205 74.9861001880001,-96.559717886 74.986100213,-96.528473001 74.996927117,-96.500836557 75.002773011,-96.498288676 75.002948465,-96.476673007 75.0044361290001,-96.326672982 75.003054121,-96.3270909029999 74.9772001410001,-96.357499945 74.971373209,-96.3861268269999 74.9738731960001,-96.3861269 74.973872923,-96.386127756 74.9738729970001,-96.3998637559999 74.9227639970001,-96.3998637189999 74.922763978,-96.3998639279999 74.9227632000001,-96.388047633 74.9165159450001,-96.380418756 74.912481997,-96.374152576 74.9108864030001,-96.357499945 74.9066451350001,-96.341435737 74.904226216,-96.337218756 74.903590997,-96.315281756 74.9024819970001,-96.2683367559999 74.9038729970001,-96.2649262039999 74.904150465,-96.247772953 74.905545094,-96.210208951 74.9207450050001,-96.202917869 74.9510271450001,-96.154565909 75.004877019,-96.144863756 75.0156819970001,-96.1358231849999 75.0168197620001,-96.078617933 75.024018099,-96.060827979 75.0119368620001,-96.0947277559999 74.9913639970001,-96.126559039 74.967787307,-96.1346549789999 74.961791185,-96.132590332 74.95966938,-96.077227756 74.9027729970001,-96.0537908539999 74.8941848370001,-96.00667304 74.8769180450001,-96.002499858 74.8727540830001,-95.96197054 74.8573239980001,-95.959472756 74.8563729970001,-95.8641637549999 74.826099997,-95.856932106 74.825905902,-95.7713910049999 74.8236091410001,-95.747045767 74.8238266590001,-95.7408277549999 74.8238819970001,-95.705563755 74.829990997,-95.625827755 74.8074819970001,-95.572537344 74.7760420100001,-95.5472268949999 74.761109144,-95.468890969 74.763318111,-95.4688914609999 74.763318977,-95.468890755 74.7633189970001,-95.476820545 74.777284593,-95.481035844 74.784709063,-95.457508847 74.7983271410001,-95.4374919639999 74.8009378950001,-95.434154755 74.801372997,-95.4295178679999 74.8017477940001,-95.403335936 74.803863221,-95.290835876 74.7991450470001,-95.266399946 74.7933181160001,-95.104445985 74.7441361250001,-95.078890904 74.6919270940001,-95.024717825 74.6730361290001,-94.687773028 74.62830912,-94.653353383 74.624661711,-94.643336754 74.623599997,-94.5474997539999 74.621372997,-94.5387833299999 74.621847872,-94.511946012 74.623309147,-94.4711179289999 74.6266451440001,-94.400703215 74.6339601240001,-94.388063754 74.6352729970001,-94.249999754 74.646381997,-94.213703991 74.64542077,-94.0402819019999 74.640827157,-93.741381893 74.635545049,-93.717226924 74.6369361100001,-93.697459161 74.6392916900001,-93.6916637529999 74.6399819970001,-93.663208413 74.6442936670001,-93.5633268 74.659427103,-93.530563952 74.6677540210001,-93.4904178209999 74.6848450570001,-93.461590947 74.7104091910001,-93.406390917 74.883609151,-93.4063909719999 74.883609312,-93.406390753 74.8836099970001,-93.434154753 74.966381997,-93.488890753 75.072490997,-93.529172753 75.176372997,-93.506523279 75.230355715,-93.494790995 75.2583181100001,-93.494791106 75.2583181570001,-93.494790753 75.2583189980001,-93.742490753 75.3644279980001,-93.839718754 75.3880459980001,-93.935733587 75.418089679,-93.989717904 75.4349821420001,-94.010281897 75.4422001350001,-94.025191252 75.4488912300001,-94.205272754 75.529709998,-94.243881754 75.5497099980001,-94.326945754 75.5797099980001,-94.363890754 75.590818998,-94.4041727539999 75.5991549980001,-94.465563754 75.6083189980001,-94.5022484519999 75.6105580490001,-94.511126932 75.6111001780001,-94.5597178309999 75.6124912390001,-94.604653662 75.615373898,-94.741381754 75.6241459980001,-94.909718755 75.637354998,-95.0538907549999 75.6202549980001,-95.078541027 75.610908984,-95.084654971 75.6085911390001,-95.089434577 75.6065517740001,-95.104172755 75.6002639980001),(-95.624163755 74.6416639970001,-95.638063755 74.643327997,-95.653881755 74.6422099970001,-95.676346757 74.6365431140001,-95.682499916 74.6349911730001,-95.729616236 74.6194680990001,-95.8616637549999 74.575963997,-95.8616631469999 74.575963556,-95.861663935 74.5759632960001,-95.847636699 74.5657863000001,-95.8449997549999 74.563872997,-95.835432611 74.5613321070001,-95.809435794 74.5544271690001,-95.736905182 74.538357734,-95.716663755 74.5338729970001,-95.713712893 74.5332227170001,-95.697772917 74.5297091040001,-95.6616640139999 74.52360909,-95.603055064 74.5155450290001,-95.5354807909999 74.5066607780001,-95.522781755 74.5049909970001,-95.480563755 74.499999997,-95.458890755 74.498599997,-95.353336755 74.496372997,-95.331390755 74.4960909970001,-95.328703326 74.4963114930001,-95.31110885 74.4977541040001,-95.293242536 74.5007537600001,-95.289445755 74.501390997,-95.2860680969999 74.5021584200001,-95.271117951 74.5055541360001,-95.2591729009999 74.5105450560001,-95.251735358 74.516485501,-95.248745755 74.5188729970001,-95.2480547549999 74.5309639970001,-95.2602817549999 74.540545997,-95.291945755 74.5602549970001,-95.315428437 74.572640757,-95.3177820179999 74.5738822370001,-95.31973126 74.5746946030001,-95.334445755 74.580827997,-95.403609755 74.603318997,-95.4362704229999 74.612513467,-95.4410999309999 74.6138731350001,-95.497499913 74.6272001940001,-95.501228693 74.62777127,-95.517499755 74.630263997,-95.628596902 74.6408277260001,-95.6241640489999 74.641663168,-95.62416656 74.641663468,-95.624163755 74.6416639970001),(-103.586945763 75.1660279970001,-103.741672763 75.2860999980001,-103.810545763 75.3485999980001,-103.810545913 75.348600063,-103.810545945 75.3486000920001,-103.848054962 75.3649912390001,-103.935273023 75.394991244,-103.953055063 75.399991217,-103.956381625 75.4008098210001,-103.971118763 75.4044369980001,-104.114163763 75.430263998,-104.151781763 75.4345549980001,-104.182218763 75.4355279980001,-104.329999763 75.4330459980001,-104.377781763 75.428036998,-104.428045763 75.4208189980001,-104.495054499 75.4068249800001,-104.497217942 75.406373198,-104.497218122 75.4063731320001,-104.497218764 75.4063729980001,-104.677908764 75.3397189980001,-104.710827764 75.322218998,-104.768627764 75.281936998,-104.744718764 75.2460909980001,-104.796527764 75.192063997,-104.820008764 75.1777639970001,-104.857227764 75.1646999970001,-104.847227764 75.109145997,-104.847227082 75.109145825,-104.847226941 75.1091450430001,-104.723981032 75.0780600210001,-104.662218764 75.0624819970001,-104.459445763 75.0288729970001,-104.417954181 75.0266668,-104.261126886 75.0183271220001,-104.229173059 75.01805404,-103.974337036 75.0482479200001,-103.917499763 75.0549819970001,-103.911860497 75.0556662970001,-103.889999849 75.058318188,-103.832664977 75.0695703280001,-103.817781763 75.072490997,-103.799436764 75.0774820010001,-103.7994359 75.077482236,-103.793798108 75.0792908350001,-103.763899763 75.088881997,-103.730290763 75.0999909970001,-103.705682023 75.1099569290001,-103.608890933 75.1491540470001,-103.586946104 75.1660271530001,-103.586946481 75.1660274450001,-103.586945763 75.1660279970001),(-100.885554927 75.54581806,-100.865281954 75.547209121,-100.749735909 75.55802714,-100.527790991 75.5772091260001,-100.378618371 75.589058492,-100.36332776 75.590272998,-100.33917276 75.5913729980001,-100.335434701 75.591266449,-100.319735893 75.5908181510001,-100.308937077 75.5893526260001,-100.30332776 75.588590998,-100.299253938 75.586846032,-100.293609556 75.5844274290001,-100.30332776 75.5774819980001,-100.31778176 75.5730459980001,-100.36110876 75.5655369980001,-100.397270519 75.5622315960001,-100.406663941 75.561373196,-100.41206863 75.560720336,-100.43195476 75.5583189980001,-100.45749976 75.5541549980001,-100.471163697 75.551005273,-100.475564023 75.549991242,-100.476489701 75.549061269,-100.47971876 75.5458189980001,-100.479716954 75.5458190370001,-100.479717927 75.54581806,-100.460028229 75.5462461640001,-100.45418176 75.546372998,-100.383327761 75.5535910070001,-100.383326878 75.5535910990001,-100.233317968 75.569154117,-100.188610711 75.577664983,-100.176390759 75.5799909980001,-100.171271966 75.5819470920001,-100.157499966 75.5872090720001,-100.157500596 75.5872096780001,-100.157499759 75.587209998,-100.165045807 75.594466739,-100.172235855 75.6013821990001,-100.181901646 75.606448481,-100.194990759 75.613309998,-100.204131491 75.617339492,-100.204455052 75.6174821590001,-100.2053877 75.617792814,-100.21777276 75.6219189980001,-100.23499976 75.6230279980001,-100.27639976 75.6230279980001,-100.39444576 75.6230279980001,-100.51112776 75.619136998,-100.59861876 75.6102639980001,-100.616494731 75.6068190720001,-100.620273056 75.6060911530001,-100.641681945 75.596100092,-100.643417975 75.5955558900001,-100.65583676 75.5916639980001,-100.68055476 75.5894279980001,-100.6974119 75.589008586,-100.702499861 75.588882267,-100.735211637 75.588426322,-100.84277276 75.5869279980001,-101.02583676 75.5705459980001,-101.03638176 75.565127998,-101.036380874 75.565127648,-101.036381911 75.5651271150001,-101.027642134 75.561682762,-101.02332776 75.5599819980001,-100.99445476 75.5549819980001,-100.988511352 75.554272514,-100.95029088 75.5497091070001,-100.9202426 75.5473038090001,-100.90861876 75.546372998,-100.903043716 75.5462390850001,-100.885554927 75.54581806),(-102.545273014 75.779709202,-102.509172995 75.7894271800001,-102.496945978 75.795536079,-102.482773018 75.8063633180001,-102.471654926 75.8183271440001,-102.460008942 75.847218056,-102.452635885 75.855400134,-102.440826957 75.8644271090001,-102.432055668 75.8691705470001,-102.430554762 75.8699819980001,-102.424088631 75.871908046,-102.394172948 75.8808180880001,-102.346654933 75.8894360260001,-102.319163967 75.8930539900001,-102.300812994 75.8946150510001,-102.296390761 75.8949909980001,-102.275728682 75.8959678130001,-102.196381993 75.8997181060001,-102.146390982 75.9033181340001,-102.094726942 75.911654104,-102.020554978 75.9255360450001,-101.988599977 75.9344181800001,-101.988599843 75.9344189760001,-101.988599761 75.9344189980001,-101.986245761 75.948318998,-102.06830954 75.968802291,-102.078608877 75.9713731530001,-102.090992279 75.9741289820001,-102.164718761 75.990536998,-102.187046129 75.9898361020001,-102.19138202 75.9897001840001,-102.196522345 75.98888063,-102.217499761 75.985536998,-102.283527346 75.9780863070001,-102.291381981 75.9772000840001,-102.305135921 75.975938473,-102.433608762 75.9641549980001,-102.522781762 75.9580369980001,-102.587092826 75.954287794,-102.598890876 75.9536001650001,-102.615594628 75.952403625,-102.696108762 75.946636998,-102.986936762 75.9094279980001,-103.009324353 75.906448835,-103.011946036 75.9061000870001,-103.015037349 75.9055624200001,-103.037508762 75.9016549980001,-103.059436762 75.896381998,-103.077499762 75.8908279980001,-103.311390762 75.8052549980001,-103.371030107 75.7690321160001,-103.381799862 75.7624910960001,-103.381799738 75.762491013,-103.381799762 75.762490998,-103.368882006 75.753873158,-103.368881762 75.7538729980001,-103.362853187 75.75298001,-103.323899854 75.7472092100001,-103.301099903 75.744709056,-103.206672902 75.7427540610001,-103.137790925 75.7427540610001,-103.015290918 75.7472092100001,-102.881057038 75.752970599,-102.866390762 75.7535999980001,-102.846818828 75.7545443280001,-102.63612681 75.7647091150001,-102.611655005 75.767209102,-102.590290875 75.7705360470001,-102.545273014 75.779709202),(-103.359736762 75.884154998,-103.426936763 75.8855459980001,-103.564163763 75.881654998,-103.605900884 75.8790316490001,-103.613055062 75.8785821320001,-103.637790897 75.8760821450001,-103.646963727 75.8754159220001,-103.698881763 75.8716459980001,-103.744718763 75.8719189980001,-103.835008763 75.8766459980001,-103.862636763 75.8739279980001,-103.862034686 75.8733919480001,-103.841663928 75.8552541220001,-103.827499853 75.8502632010001,-103.793872998 75.8427540220001,-103.708890893 75.8341540210001,-103.628878462 75.831504866,-103.616654763 75.8310999980001,-103.590845763 75.8310999980001,-103.566672763 75.8324909980001,-103.56041868 75.833134412,-103.539717935 75.8352632820001,-103.368326958 75.8591450010001,-103.348617919 75.8641540260001,-103.331945978 75.871918183,-103.331945894 75.871918937,-103.331945762 75.8719189980001,-103.330972762 75.8806729980001,-103.330973031 75.8806730310001,-103.330973006 75.880673249,-103.337196178 75.8814263680001,-103.359736762 75.884154998),(-102.52406071 75.9903403120001,-102.517227762 75.9910909980001,-102.416654762 76.0002729980001,-102.40402364 76.001653483,-102.36582686 76.0058271340001,-102.348300714 76.009379429,-102.343890761 76.0102729980001,-102.341252598 76.011307736,-102.329726841 76.0158270790001,-102.318554938 76.0293541300001,-102.318555011 76.029354696,-102.318554761 76.029354998,-102.321672761 76.0535909980001,-102.321673006 76.053591241,-102.335690769 76.0674909910001,-102.335690901 76.0674911190001,-102.353335813 76.0738821530001,-102.354734566 76.074773812,-102.356372762 76.075818998,-102.368100726 76.0777459330001,-102.370755084 76.0781822370001,-102.389999934 76.0836001310001,-102.390798128 76.0838805490001,-102.400272762 76.087209998,-102.428045762 76.0894279980001,-102.463224862 76.0901708230001,-102.468063951 76.0902731320001,-102.476120814 76.0901654900001,-102.531390762 76.0894279980001,-102.607772762 76.085818998,-102.658054762 76.082218998,-102.681381762 76.0791639980001,-102.704627313 76.0777284870001,-102.708617867 76.0774821800001,-102.713656344 76.0770168780001,-102.756663762 76.0730459980001,-102.836362801 76.068603201,-102.860063938 76.067282242,-102.866545489 76.066656229,-102.889718762 76.0644189980001,-102.915554762 76.0602549980001,-102.955563762 76.050263998,-102.981108762 76.046936998,-103.006390762 76.044709998,-103.045245144 76.043737531,-103.051099918 76.0435911280001,-103.059390943 76.043558267,-103.119999762 76.0433189980001,-103.136672762 76.0416549980001,-103.156663762 76.0366549980001,-103.172467856 76.0283581690001,-103.178882032 76.0249911820001,-103.182800328 76.024009484,-103.196663762 76.0205369980001,-103.221390762 76.0191459980001,-103.263636762 76.0194369980001,-103.286274911 76.0187258660001,-103.290281884 76.0186001480001,-103.293948471 76.018393803,-103.314999762 76.0172099980001,-103.336107602 76.014432453,-103.340291001 76.013882143,-103.344277858 76.013186595,-103.365827762 76.009427998,-103.386276483 76.006765817,-103.391390938 76.0061002160001,-103.396747598 76.0050035680001,-103.413063762 76.0016639980001,-103.456945763 75.9908189980001,-103.474718763 75.9852639980001,-103.491523142 75.981270624,-103.496946089 75.979982206,-103.502908053 75.9789452510001,-103.522508763 75.9755369980001,-103.554718763 75.9752639980001,-103.574445763 75.9766549980001,-103.596410551 75.9771558690001,-103.598345996 75.9772000840001,-103.687763971 75.973873139,-103.70834607 75.9724911310001,-103.717228157 75.971455844,-103.758345763 75.9666639980001,-103.771390763 75.963045998,-103.782109685 75.9587595100001,-103.785281883 75.957491212,-103.802490936 75.953873248,-103.807731277 75.9531793510001,-103.825563763 75.950818998,-103.901945763 75.943863998,-103.942208763 75.9427459980001,-103.968181763 75.936363998,-103.968180671 75.9363635820001,-103.968181884 75.936363284,-103.936108866 75.9241451520001,-103.925555045 75.9191450110001,-103.916509677 75.90985003,-103.916036763 75.9093639980001,-103.916036511 75.909363806,-103.916035885 75.909363162,-103.901946073 75.898609181,-103.888063965 75.8980360260001,-103.811663923 75.899427087,-103.777420302 75.8968554100001,-103.771118763 75.896381998,-103.757655627 75.8943486250001,-103.723326878 75.8891632790001,-103.705302786 75.8878935690001,-103.699718763 75.8874999980001,-103.655563763 75.8885999980001,-103.634745763 75.8910999980001,-103.631095489 75.891856197,-103.613326803 75.8955360400001,-103.592773036 75.89721812,-103.539356079 75.8985189270001,-103.524436763 75.898881998,-103.511551999 75.899384522,-103.453335885 75.901653991,-103.433063917 75.9033181340001,-103.396390911 75.904436112,-103.381697893 75.905926891,-103.379990762 75.9060999980001,-103.3758843 75.9062961810001,-103.339446105 75.908036139,-103.289435815 75.913036112,-103.265008937 75.914427173,-103.218890867 75.9202541050001,-103.156954973 75.925809127,-103.085281989 75.935809073,-103.010273008 75.9430361170001,-102.936108923 75.9480270380001,-102.834385853 75.9577853000001,-102.811390762 75.9599909980001,-102.790554762 75.961381998,-102.779823452 75.962788995,-102.739726798 75.9680450340001,-102.714717881 75.970263221,-102.695263987 75.9733092050001,-102.567781945 75.9855360550001,-102.52406071 75.9903403120001),(-102.780563934 76.089709197,-102.748003443 76.0963022970001,-102.736654762 76.0985999980001,-102.721773457 76.102146804,-102.671390985 76.114154012,-102.654395746 76.118907828,-102.650554762 76.1199819980001,-102.648180169 76.1208963160001,-102.63612681 76.1255361340001,-102.588826772 76.148474965,-102.580563762 76.152481998,-102.530208762 76.2158909980001,-102.530208894 76.2158912020001,-102.530546663 76.2163331180001,-102.540554762 76.2294279980001,-102.558327762 76.235809998,-102.603608762 76.2455279980001,-102.629581762 76.254718998,-102.642772762 76.2699909980001,-102.644830189 76.2738621250001,-102.652217885 76.2877631760001,-102.652218482 76.2877634720001,-102.652218762 76.287763999,-102.667354762 76.295263999,-102.726936762 76.3058189990001,-102.765554762 76.3116459990001,-102.806973794 76.3120850920001,-102.816964025 76.3121912280001,-102.864726959 76.3111000710001,-102.878511324 76.310765701,-103.059999762 76.306363999,-103.100769902 76.305007168,-103.109999887 76.3047001530001,-103.113084939 76.3044600470001,-103.131381762 76.3030369990001,-103.307805496 76.2832493540001,-103.336935892 76.279982256,-103.594454948 76.2652731890001,-103.851390959 76.2500001880001,-103.91806397 76.2399732520001,-103.927893254 76.238221831,-103.956945763 76.2330459980001,-104.074718763 76.2222189980001,-104.148063763 76.2227639980001,-104.172236763 76.2241549980001,-104.235657177 76.219456532,-104.247217956 76.2186002380001,-104.27250884 76.2160911990001,-104.298045985 76.2124911710001,-104.300876924 76.2117818550001,-104.315827763 76.2080369980001,-104.454181763 76.1644279980001,-104.461812983 76.160065843,-104.463899877 76.1588731420001,-104.469416823 76.152296253,-104.480554763 76.139018998,-104.480554479 76.1390187750001,-104.480555054 76.13901809,-104.408335905 76.0822181230001,-104.391108915 76.0783270760001,-104.130826848 76.0563633040001,-104.087108853 76.059363187,-104.067406802 76.061460804,-104.060545763 76.0621909980001,-104.042709609 76.0610405990001,-103.983317925 76.057209206,-103.888608956 76.0497090790001,-103.87619661 76.0463130590001,-103.873891492 76.0456821980001,-103.885191628 76.0445828760001,-103.923890763 76.0408189980001,-103.968544342 76.039796983,-103.97278204 76.039700081,-103.962217824 76.034718045,-103.914435947 76.031663177,-103.866390878 76.0308181130001,-103.82737303 76.031285037,-103.820008763 76.0313729980001,-103.798692255 76.0317951630001,-103.679990929 76.034145058,-103.364726931 76.0358092010001,-103.342217833 76.0366540970001,-102.933608936 76.070827116,-102.875698694 76.0769713400001,-102.857772762 76.0788729980001,-102.84627923 76.0803633930001,-102.806382039 76.0855360150001,-102.780563934 76.089709197),(-103.554445945 76.3102540020001,-103.378054995 76.325545108,-103.281390864 76.336927062,-103.20472696 76.3547091020001,-103.172499883 76.362763273,-103.098346024 76.38471816,-103.054563193 76.401695465,-103.042499762 76.406372999,-103.037535827 76.4087491320001,-103.02971785 76.4124910930001,-103.022299966 76.4166608580001,-103.015145762 76.4206819990001,-103.010164255 76.42624877,-103.004464014 76.432618054,-103.00446424 76.4326184650001,-103.004463762 76.4326189990001,-103.007385011 76.43792202,-103.011117904 76.4447002320001,-103.036663933 76.45387322,-103.040844106 76.4546435570001,-103.057772762 76.4577639990001,-103.244999762 76.485536999,-103.300488852 76.492422198,-103.3211179 76.494982264,-103.384455081 76.4922001420001,-103.386611548 76.4924707970001,-103.404445762 76.4947099990001,-103.559034878 76.5193102470001,-103.570282008 76.5211001010001,-103.570282042 76.521100108,-103.589926877 76.529291238,-103.584999994 76.5448450320001,-103.585000061 76.544845057,-103.584999763 76.5448459990001,-103.787508763 76.620527999,-103.804172763 76.6219189990001,-103.826399763 76.6183189990001,-103.859445763 76.6072099990001,-103.869299763 76.5998459990001,-103.86929969 76.5998452270001,-103.869299901 76.5998450700001,-103.868968473 76.5963244590001,-103.867627763 76.582072999,-103.878881763 76.573609999,-104.033890763 76.5597099990001,-104.052907664 76.5659546380001,-104.027790962 76.579163226,-103.958617965 76.5991540650001,-103.938317833 76.6105360190001,-103.926099868 76.621918141,-103.926099785 76.6219189780001,-103.926099763 76.6219189990001,-103.926072481 76.6221937760001,-103.92471786 76.6358270710001,-103.9247188 76.6358276290001,-103.924718763 76.6358279990001,-103.939708763 76.6447189990001,-103.956750819 76.648521509,-103.963335803 76.649991147,-103.980095857 76.6528753470001,-104.031108763 76.6616549990001,-104.04762068 76.6639178720001,-104.053326933 76.6647002130001,-104.072413271 76.6658182880001,-104.134172763 76.6694369990001,-104.216663763 76.6683189990001,-104.267499763 76.6672099990001,-104.308222221 76.6643568550001,-104.314999892 76.6638821390001,-104.320311678 76.6633616940001,-104.351936763 76.6602639990001,-104.374163763 76.6558189990001,-104.406663763 76.6455369990001,-104.445263763 76.635818999,-104.518391522 76.620922218,-104.536664016 76.6172001350001,-104.542096428 76.616286524,-104.563045764 76.612763999,-104.637218764 76.6033189990001,-104.662363764 76.5487369990001,-104.662363671 76.5487369360001,-104.662364066 76.5487360800001,-104.563890953 76.4822090810001,-104.522781908 76.4805451060001,-104.500229849 76.4810321470001,-104.497499764 76.4810909990001,-104.480754763 76.4888729990001,-104.448881763 76.4910909990001,-104.433881763 76.4849819990001,-104.431450979 76.4836253560001,-104.391108915 76.461109149,-104.328891279 76.3609547560001,-104.343336763 76.3541549990001,-104.358512951 76.3525828570001,-104.362208951 76.352200231,-104.365010156 76.351403012,-104.375818763 76.348327999,-104.389718763 76.3427549990001,-104.404445763 76.3344279990001,-104.404445198 76.3344275470001,-104.404446031 76.3344270760001,-104.39966873 76.3306101580001,-104.396118763 76.327772999,-104.390510186 76.326323755,-104.378881897 76.323318204,-104.343423576 76.3195051000001,-104.335008763 76.3185999990001,-104.111654763 76.3163729990001,-104.061945763 76.317490999,-104.043145383 76.3168541090001,-103.848345981 76.3102540020001,-103.768976916 76.304767827,-103.751954763 76.3035909990001,-103.742388122 76.3036959890001,-103.700563976 76.3041539880001,-103.554445945 76.3102540020001),(-90.538915561 76.6954942510001,-90.5044549949999 76.6752632550001,-90.4806841019999 76.6635011290001,-90.47805475 76.6621999990001,-90.463662456 76.6564965090001,-90.41221785 76.6361092060001,-90.226673024 76.535536091,-90.214856147 76.52882414,-90.21444575 76.5285909990001,-90.18443675 76.515272999,-90.1700961939999 76.510610285,-90.1511088249999 76.504436045,-90.088439882 76.4868757510001,-90.08168175 76.4849819990001,-90.076533705 76.483966884,-90.040835836 76.476927141,-89.999726792 76.4702631930001,-89.978882004 76.469709149,-89.934435789 76.4766540590001,-89.783617858 76.4830450920001,-89.7582739969999 76.4860106040001,-89.7575097499999 76.486099999,-89.7575093889999 76.4861000710001,-89.7575088999999 76.4861001290001,-89.673116729 76.5030943450001,-89.67263675 76.5031909990001,-89.672635928 76.503191164,-89.681219594 76.509347371,-89.68443675 76.511654999,-89.69915475 76.5169369990001,-89.7216637499999 76.5197189990001,-89.748503942 76.5235991610001,-89.7561178399999 76.5247001340001,-89.766490043 76.5270347370001,-89.79444575 76.5333279990001,-89.81750963 76.546936928,-89.85833582 76.5910911770001,-89.8626359039999 76.600682254,-89.839026932 76.6601270470001,-89.819735814 76.667209084,-89.7680638959999 76.6680450950001,-89.7441550199999 76.6694361560001,-89.729445953 76.6733090980001,-89.702226896 76.689700078,-89.692607471 76.7024662520001,-89.68777275 76.7088819990001,-89.681104515 76.7211530490001,-89.673890866 76.734427087,-89.673891167 76.734427231,-89.6738907499999 76.734427999,-89.77944575 76.7852639990001,-89.807955138 76.798063142,-89.825835828 76.8060911850001,-89.865281903 76.8160822460001,-89.927781899 76.8288731980001,-89.9362098249999 76.8301010320001,-89.98306375 76.8369279990001,-90.02528175 76.8391549990001,-90.10305475 76.836109999,-90.23056375 76.828045999,-90.47471875 76.7997099990001,-90.51028175 76.7933189990001,-90.544445751 76.7830549990001,-90.570281751 76.7719279990001,-90.5829277509999 76.7641639990001,-90.5990907509999 76.7469369990001,-90.599090667 76.7469362910001,-90.599090873 76.7469360710001,-90.597364034 76.7323450220001,-90.5733357989999 76.715818088,-90.5699743759999 76.713804409,-90.5636097509999 76.7099909990001,-90.538915561 76.6954942510001),(-84.122322761 76.50936518,-84.128054906 76.509991235,-84.131112268 76.50924695,-84.139445745 76.507218999,-84.1394455499999 76.507218295,-84.13944608 76.507218166,-84.123890944 76.451100151,-84.123890764 76.4511000670001,-84.123890745 76.4510999990001,-84.122145088 76.450294199,-84.109435849 76.4444271500001,-84.009173032 76.425809099,-83.986117937 76.4233091120001,-83.967018697 76.4258168950001,-83.962781744 76.4263729990001,-83.908054744 76.464999999,-83.90805503 76.465000122,-83.908054925 76.4650001960001,-83.909919915 76.465804877,-83.918336744 76.469436999,-83.96577683 76.4869644710001,-83.976945955 76.4910912170001,-83.992490865 76.494982264,-83.997513598 76.495705829,-84.013627744 76.498027999,-84.0974997449999 76.506654999,-84.122322761 76.50936518),(-85.388375239 77.533546576,-85.344163951 77.532209089,-85.3197359 77.532209089,-85.279097968 77.5303580600001,-85.270845746 77.5299820000001,-85.248890746 77.5274820000001,-85.2379851649999 77.5252865400001,-85.170272987 77.5116539810001,-85.152790852 77.5077632690001,-85.141255481 77.4969364740001,-85.1591637449999 77.4841460000001,-85.169148768 77.476249925,-85.172499891 77.47360014,-85.173389694 77.4722242940001,-85.178609746 77.4641550000001,-85.178608791 77.4641543290001,-85.178608958 77.4641540700001,-85.16833593 77.4569360780001,-85.1536089259999 77.454436092,-85.1269358659999 77.453045031,-85.0955550259999 77.454436092,-85.0272178719999 77.4597182000001,-84.96478343 77.465985007,-84.960827745 77.4663820000001,-84.9604018489999 77.4664446470001,-84.934435903 77.4702633040001,-84.856704297 77.484671721,-84.8430637449999 77.4872,-84.8397446019999 77.488042889,-84.824446055 77.491927171,-84.813890892 77.4972091110001,-84.81389146 77.497209642,-84.813890745 77.4972100000001,-84.821485076 77.5043065,-84.8225088299999 77.505263282,-84.822509075 77.505263373,-84.822509745 77.5052640000001,-84.995272745 77.5694460000001,-85.005929033 77.572427475,-85.011126797 77.573882236,-85.107226826 77.5811002280001,-85.1358082369999 77.5823399120001,-85.235272746 77.5866550000001,-85.259736746 77.5866550000001,-85.2829870579999 77.587415902,-85.2852819189999 77.587491094,-85.287835198 77.5874092390001,-85.311390746 77.5866550000001,-85.3522187459999 77.5827640000001,-85.536945746 77.541928,-85.5369426519999 77.5419278190001,-85.5369460479999 77.5419270680001,-85.42466068 77.535363171,-85.399172746 77.5338730000001,-85.388375239 77.533546576),(-91.860224382 81.608296683,-91.868326935 81.6086001890001,-91.8739666929999 81.6085554360001,-91.903881752 81.6083190030001,-91.932499752 81.6058190030001,-91.958336752 81.5979000030001,-91.956169231 81.59079705,-91.954864051 81.5865180650001,-91.8636178149999 81.5552540690001,-91.843850275 81.5521022230001,-91.837509752 81.5510910030001,-91.801390752 81.548600003,-91.795154221 81.548511601,-91.7616729169999 81.5480360770001,-91.718335795 81.549145002,-91.673617839 81.5527633020001,-91.643618751 81.5574820020001,-91.6436178339999 81.557482146,-91.637954789 81.5586810300001,-91.619999752 81.5624820030001,-91.6144334479999 81.5647756060001,-91.582226931 81.578045134,-91.582229037 81.5780454740001,-91.5822277509999 81.5780460030001,-91.597781751 81.580555003,-91.7052391729999 81.593714489,-91.724717944 81.5961000890001,-91.734785089 81.5972227020001,-91.7894457519999 81.6033190030001,-91.823899752 81.606937003,-91.860224382 81.608296683),(-78.4058367389999 82.947755005,-78.415972739 82.938728005,-78.415972809 82.938727214,-78.415972948 82.9387270890001,-78.419446074 82.8991541130001,-78.383326777 82.883609203,-78.365826872 82.883609203,-78.336399853 82.888045074,-78.241166617 82.906016713,-78.212781739 82.911373005,-78.200808877 82.9143795080001,-78.1508359159999 82.9269270460001,-78.120417822 82.9412911140001,-78.1304593799999 82.9467101160001,-78.145281739 82.954710005,-78.223618739 82.9611100050001,-78.2738997389999 82.9630460050001,-78.323336739 82.9619280050001,-78.35816741 82.9589035970001,-78.361663915 82.9586000790001,-78.364441776 82.9580781330001,-78.389727739 82.9533280050001,-78.4058367389999 82.947755005),(-134.422441049 69.662547557,-134.403118791 69.645190992,-134.468872791 69.5427549920001,-134.468872553 69.5427546920001,-134.468873013 69.5427539740001,-134.443725832 69.5111047720001,-134.442508791 69.5095729920001,-134.418734599 69.4928294650001,-134.40986408 69.486582147,-134.412172555 69.4800374170001,-134.417236791 69.465681992,-134.438327791 69.4547099920001,-134.475127178 69.443591177,-134.477815921 69.4433777420001,-134.496090791 69.441927992,-134.531127791 69.4455279920001,-134.564999792 69.4523459920001,-134.605196608 69.4673281990001,-134.608608895 69.4686001150001,-134.612035408 69.469522661,-134.635418792 69.475818992,-134.686108792 69.481236992,-134.915281792 69.4852639920001,-134.996645792 69.484145992,-135.130283456 69.4768918980001,-135.152572955 69.475682153,-135.230594335 69.442741035,-135.283336792 69.420472992,-135.239718792 69.3316639920001,-135.239717982 69.3316634000001,-135.239717926 69.331663286,-135.16395526 69.2763093310001,-135.175963792 69.259363992,-135.236781792 69.2673459920001,-135.255240125 69.270893508,-135.257781933 69.2713821470001,-135.269633765 69.2738917790001,-135.323336792 69.2852639920001,-135.382354792 69.3034549920001,-135.413327792 69.3230459920001,-135.448608792 69.332218992,-135.485808792 69.3352639920001,-135.564027792 69.3387369920001,-135.798199793 69.318054992,-135.844436793 69.299009992,-135.849716473 69.2759224610001,-135.850754981 69.2713821470001,-135.850754788 69.2713820060001,-135.847903879 69.269338394,-135.810817895 69.242754092,-135.665739247 69.168723818,-135.635281793 69.153181992,-135.630947072 69.151959382,-135.607208893 69.1452631700001,-135.491385699 69.1187279050001,-135.546015514 69.117514139,-135.560155068 69.1172002230001,-135.661391024 69.1452732280001,-135.673140574 69.149729483,-135.746672793 69.1776189920001,-135.813290969 69.211195145,-135.821381943 69.2152731840001,-135.895008916 69.253473205,-135.920563997 69.256100093,-135.953199943 69.2338731300001,-135.955139768 69.229846368,-135.966518793 69.206227992,-135.956356082 69.1636193990001,-135.951381909 69.1427631830001,-135.923463968 69.0908822200001,-135.923463909 69.0908822070001,-135.923463793 69.0908819920001,-135.720827793 69.0460999920001,-135.672135191 69.040431165,-135.524602126 69.02325425,-135.569563915 69.0089729370001,-135.578609001 69.0061001070001,-135.586061768 69.0043666120001,-135.634736793 68.9930459920001,-135.648899793 68.9919279920001,-135.770018793 68.9891549920001,-135.802490793 68.9894279920001,-135.831390793 68.9959549920001,-135.842657531 69.00283698,-135.850126842 69.0074001410001,-135.888608997 69.0260911140001,-135.961517976 69.0449822480001,-135.961518618 69.0449819460001,-135.961518793 69.044981992,-135.985472793 69.0337369920001,-135.985472948 69.0337360830001,-135.99957299 68.945873116,-135.999572786 68.9458730320001,-135.999572793 68.945872992,-135.948054793 68.9246999920001,-135.905854793 68.9113729920001,-135.903042752 68.9106372090001,-135.882472941 68.9052540770001,-135.843317886 68.897218179,-135.808044826 68.895263184,-135.77615612 68.8961809370001,-135.769163793 68.896381992,-135.707493896 68.9044112240001,-135.450899977 68.9378181070001,-135.421390984 68.9288632160001,-135.391963966 68.9266540820001,-135.361117892 68.9266540820001,-135.2746013 68.9327578850001,-135.262790792 68.9335909920001,-135.259114952 68.933730509,-135.233308955 68.9347090910001,-135.201664086 68.9327540960001,-135.174235816 68.916309137,-135.134035873 68.90040917,-135.003755114 68.8921451160001,-134.974892066 68.8920869580001,-134.968063792 68.8920729920001,-134.947265577 68.9000312520001,-134.930144904 68.906582106,-134.918408899 68.9453180660001,-134.900981916 68.9701271580001,-134.86462038 68.974845923,-134.852781792 68.976381992,-134.846082897 68.9769990510001,-134.825835975 68.978863281,-134.783063961 68.965354,-134.760991057 68.9488731660001,-134.760990795 68.9488729870001,-134.741672949 68.9355271650001,-134.669464027 68.8944360580001,-134.536409025 68.7869270850001,-134.459717963 68.721509181,-134.436126929 68.713609069,-134.388608914 68.707218036,-134.356935881 68.703045021,-134.267790988 68.695818144,-134.230835847 68.6997180760001,-134.234519952 68.703905223,-134.260590791 68.7335369910001,-134.277943273 68.744065699,-134.290344846 68.7515911610001,-134.35110895 68.765000194,-134.354997925 68.7659069530001,-134.376099791 68.7708279920001,-134.408063791 68.780818992,-134.435699791 68.7973369920001,-134.448869511 68.8149393800001,-134.452226889 68.8194270770001,-134.469435942 68.8492911270001,-134.4790717 68.8598363720001,-134.488590791 68.8702549920001,-134.509874241 68.8847063360001,-134.510708936 68.885273129,-134.515244119 68.8876964980001,-134.597490792 68.931645992,-134.665699792 68.959154992,-134.667158462 68.9640722670001,-134.669735936 68.9727632670001,-134.673282998 69.0019080690001,-134.674654792 69.0131819920001,-134.638511218 69.046066443,-134.576663953 69.102336091,-134.531126917 69.1127631780001,-134.477199931 69.118045119,-134.448882007 69.119709094,-134.398773016 69.1181506350001,-134.390718791 69.117899992,-134.390718561 69.1179001300001,-134.390717969 69.117900112,-134.279308896 69.1848450310001,-134.279308859 69.1848459510001,-134.279308791 69.1848459920001,-134.27795482 69.2184182760001,-134.21471795 69.2736001660001,-134.085535891 69.3405450860001,-133.964444882 69.400273187,-133.941373023 69.4052540490001,-133.920835851 69.4122001320001,-133.876917864 69.433045087,-133.850555102 69.445818102,-133.81805511 69.464154018,-133.79861798 69.481091162,-133.7494551 69.5448450920001,-133.749455328 69.5448452960001,-133.749454791 69.544845992,-133.784767014 69.5764387360001,-133.785018008 69.576663298,-133.785018791 69.5766639920001,-133.816836791 69.5634729920001,-133.871508791 69.5158279920001,-133.918336791 69.508327992,-133.954181791 69.507763992,-133.976175465 69.52717341,-133.977781999 69.5285912400001,-133.979112697 69.529839343,-134.004881791 69.554009992,-134.028763791 69.559836992,-134.061954791 69.5558189920001,-134.089854791 69.5441549920001,-134.107782639 69.540124399,-134.113308992 69.538882206,-134.24298172 69.5765820620001,-134.226890264 69.592359538,-134.200135953 69.6185910880001,-134.184843699 69.633233085,-134.177490791 69.6402729920001,-134.177490958 69.6402731730001,-134.177490901 69.6402732270001,-134.189024199 69.6527675180001,-134.203890791 69.668872992,-134.203891025 69.6688730960001,-134.203891047 69.668873116,-134.309718791 69.715818992,-134.486781791 69.712036992,-134.486780527 69.712036095,-134.486781955 69.7120360650001,-134.442781993 69.6808181690001,-134.422441049 69.662547557),(-135.331390792 69.3227729920001,-135.297518792 69.3049819920001,-135.297518211 69.304982367,-135.297517854 69.304982179,-135.286117963 69.312336126,-135.277217891 69.328327121,-135.271390959 69.3469361190001,-135.27139098 69.3469363930001,-135.271390792 69.3469369920001,-135.271580358 69.3494605500001,-135.272244907 69.3583180730001,-135.272245754 69.3583184780001,-135.272245792 69.3583189920001,-135.324823809 69.383442803,-135.328064024 69.384991133,-135.33777295 69.3886002130001,-135.36581796 69.3936001860001,-135.420290943 69.397491233,-135.438837392 69.398675939,-135.507236792 69.403045992,-135.520228311 69.403457427,-135.524444808 69.4035912470001,-135.549991005 69.3999912200001,-135.562773072 69.3936001860001,-135.562739011 69.390874598,-135.562636792 69.382627992,-135.562635951 69.382627707,-135.562635944 69.3826271010001,-135.526944962 69.3705271540001,-135.519838228 69.3687128130001,-135.515018792 69.3674819920001,-135.486936792 69.3621999920001,-135.479000838 69.3611211130001,-135.439999983 69.355818087,-135.39779995 69.34803616,-135.38968671 69.345911856,-135.386136792 69.344981992,-135.374062997 69.340407951,-135.348055031 69.3305540250001,-135.333966726 69.3239759400001,-135.331390792 69.3227729920001),(-139.053073001 69.5705450130001,-139.034182035 69.57804514,-139.023072996 69.580827093,-138.996090979 69.5841540380001,-138.977200013 69.583053997,-138.954652346 69.5800493360001,-138.945827796 69.5788729920001,-138.909999796 69.5760999920001,-138.904700056 69.5767563380001,-138.883054979 69.579436033,-138.87411238 69.5838060570001,-138.870272796 69.585681992,-138.876663796 69.594845992,-138.921108796 69.6105369920001,-138.956118796 69.6197099920001,-139.020290796 69.633327992,-139.103336796 69.6480369920001,-139.117278811 69.6496455600001,-139.120273066 69.649991206,-139.12386199 69.6493656490001,-139.133054796 69.6477639920001,-139.140731419 69.6458477730001,-139.144164004 69.644991233,-139.155913796 69.641934931,-139.199736796 69.630536992,-139.232754796 69.6219189920001,-139.242218796 69.6183189920001,-139.267790796 69.6058189920001,-139.322236796 69.5760999920001,-139.331236796 69.5688729920001,-139.275432105 69.557895295,-139.137790908 69.5308181440001,-139.121090972 69.529163221,-139.053073001 69.5705450130001),(-111.774173063 68.2337360590001,-111.765500019 68.228479995,-111.76041877 68.2253999910001,-111.74221877 68.2210999910001,-111.738737374 68.2209252420001,-111.72556406 68.2202631550001,-111.710282006 68.22053607,-111.699814554 68.221179566,-111.69666377 68.2213729910001,-111.67166377 68.2246999910001,-111.652939613 68.2291495790001,-111.649435927 68.2299821390001,-111.635972914 68.2358181230001,-111.633997489 68.2411460500001,-111.63179977 68.247072991,-111.630554829 68.2637362,-111.616316163 68.2739527150001,-111.60944577 68.278881991,-111.58278177 68.2860999910001,-111.578141039 68.2867175430001,-111.557772942 68.2894271000001,-111.528608948 68.290545078,-111.501954999 68.294709208,-111.501955479 68.29470988,-111.50195477 68.294709991,-111.506939755 68.3017039910001,-111.513635852 68.3111001870001,-111.516362046 68.311048149,-111.52888177 68.310809991,-111.70389077 68.2994279910001,-111.71500877 68.2969369910001,-111.77444577 68.255963991,-111.77901877 68.244009991,-111.777385186 68.2405469670001,-111.774173063 68.2337360590001),(-109.676936768 68.224154991,-109.771945768 68.188309991,-109.845554768 68.1580369910001,-109.855418768 68.1508189910001,-109.855417878 68.1508181400001,-109.855417958 68.1508180810001,-109.845682042 68.141518192,-109.828055067 68.136936141,-109.81166392 68.136109182,-109.786839755 68.1373523980001,-109.783890768 68.1374999910001,-109.772508768 68.1399819910001,-109.770729174 68.140577443,-109.76250892 68.143327174,-109.673890913 68.173309074,-109.594163926 68.2144271710001,-109.581945961 68.2258181770001,-109.579118225 68.2295869760001,-109.576945768 68.232481991,-109.574001548 68.2390354350001,-109.571672933 68.2442181310001,-109.571673149 68.2442181440001,-109.571672768 68.2442189910001,-109.588899768 68.2452549910001,-109.644172768 68.232209991,-109.676936768 68.224154991),(-109.885835885 68.1363820970001,-109.89639088 68.137500075,-109.898795242 68.137181748,-109.921663769 68.1341549910001,-109.932772769 68.1319279910001,-110.181954769 68.0697189910001,-110.221654769 68.0566369910001,-110.244582133 68.048113948,-110.249999907 68.0461001150001,-110.257508919 68.0392911590001,-110.257508643 68.0392911050001,-110.257508769 68.039290991,-110.255097037 68.038811756,-110.239990909 68.035809149,-110.213617921 68.038036053,-110.087217982 68.0533181070001,-109.932217984 68.0791632020001,-109.921108945 68.081663189,-109.899590923 68.0930360900001,-109.887635815 68.1047090640001,-109.882763917 68.1141541280001,-109.877346023 68.1241450210001,-109.877346175 68.1241452410001,-109.877345769 68.124145991,-109.881522612 68.130165053,-109.885835885 68.1363820970001),(-109.540973039 68.0498451490001,-109.502355096 68.0245732070001,-109.502354768 68.0245729910001,-109.495362295 68.0224190430001,-109.43249998 68.0030540130001,-109.378054992 67.9869270630001,-109.359895193 67.9830656570001,-109.351936768 67.9813729910001,-109.335563768 67.980272991,-109.332584673 67.980810224,-109.317917854 67.9834541050001,-109.311390866 67.9948451120001,-109.311390872 67.9948458090001,-109.311390768 67.994845991,-109.311663768 68.0255459910001,-109.318472768 68.0378999910001,-109.318472864 68.037900026,-109.318472904 68.0379000990001,-109.323668798 68.039820133,-109.410554768 68.0719279910001,-109.447218768 68.0922099910001,-109.484736768 68.0952639910001,-109.501108768 68.0912369910001,-109.540972768 68.049845991,-109.540972437 68.0498457740001,-109.540973039 68.0498451490001),(-109.196645768 67.9869279910001,-109.196645913 67.986927053,-109.196645964 67.9869270630001,-109.198881921 67.9724912470001,-109.198881777 67.9724909860001,-109.192082018 67.959982262,-109.192081858 67.9599821570001,-109.192081768 67.9599819910001,-109.185862419 67.955884633,-109.169726811 67.9452540840001,-109.135554966 67.9302632180001,-109.103054974 67.9202540520001,-109.053181163 67.9051706290001,-109.048890768 67.9038729910001,-109.037335973 67.900952875,-108.916946045 67.8705270710001,-108.900555066 67.869709164,-108.888543418 67.8721859020001,-108.883754768 67.873172991,-108.879579879 67.880126406,-108.865817945 67.903044999,-108.879992835 67.93768636,-108.884454768 67.9485909910001,-108.884454937 67.94859109,-108.897227768 67.9569369910001,-108.951108768 67.9733099910001,-108.976936768 67.9769279910001,-108.989475397 67.9764351470001,-108.990826822 67.976382126,-108.990827313 67.9763820090001,-108.990827768 67.976381991,-109.030290768 67.9669369910001,-109.049990768 67.958327991,-109.196645768 67.9869279910001),(-108.227908767 67.9359549910001,-108.237636767 67.923318991,-108.250962818 67.888193104,-108.252708883 67.8835911050001,-108.25270873 67.8835910870001,-108.252708767 67.8835909910001,-108.242295164 67.8823879780001,-108.151672919 67.871918131,-108.141193221 67.872352526,-108.138063767 67.872481991,-108.13198979 67.8732159520001,-108.112781894 67.8755360960001,-108.091381889 67.8808180360001,-108.078755055 67.8873540760001,-108.065826807 67.8988731580001,-108.051390991 67.9266539710001,-108.051390895 67.9266547440001,-108.051390767 67.9266549910001,-108.048707883 67.948344687,-108.04860887 67.9491451320001,-108.048608767 67.9491459910001,-108.051258746 67.955463104,-108.054026932 67.962063153,-108.05402755 67.962063475,-108.054027767 67.962063991,-108.06773598 67.969194282,-108.071399935 67.9711001860001,-108.084164065 67.9738732550001,-108.100563929 67.9749912330001,-108.10357197 67.974868911,-108.114436767 67.9744279910001,-108.125818767 67.972218991,-108.147227767 67.9666639910001,-108.198036767 67.9508189910001,-108.227908767 67.9359549910001),(-108.397420835 67.922191754,-108.531108767 67.9288639910001,-108.544727767 67.9283189910001,-108.566099767 67.9227639910001,-108.585008767 67.915545991,-108.646663767 67.8872099910001,-108.658464438 67.876561893,-108.664990897 67.870673251,-108.664990509 67.870673224,-108.664990767 67.870672991,-108.661311972 67.8704190490001,-108.646955053 67.8694270300001,-108.412217842 67.885818177,-108.368562549 67.8975427120001,-108.359445767 67.899990991,-108.361108767 67.905254991,-108.36226239 67.90882228,-108.364435797 67.915545099,-108.36443661 67.9155455060001,-108.364436767 67.915545991,-108.375545764 67.9210999970001,-108.37554601 67.921100122,-108.397420835 67.922191754),(-111.071673015 67.8474910880001,-111.07167277 67.847490991,-111.070333525 67.8476731170001,-111.05943594 67.849154056,-110.900743532 67.883120508,-110.880281769 67.8874999910001,-110.871758676 67.890443035,-110.865826884 67.8924911770001,-110.816964077 67.940263164,-110.809999889 67.952963256,-110.810000121 67.9529633500001,-110.809999769 67.952963991,-110.826681769 67.959718991,-110.839172769 67.958036991,-110.848890769 67.9547099910001,-111.021005697 67.8866775170001,-111.070281955 67.8672001260001,-111.074520124 67.8641114530001,-111.08790877 67.854354991,-111.087908029 67.8543546770001,-111.08790893 67.8543540210001,-111.071673015 67.8474910880001),(-108.132218767 67.63943699,-108.133618767 67.6280369900001,-108.141484153 67.553815032,-108.142773014 67.5416540460001,-108.143890992 67.5305450070001,-108.109854933 67.472691099,-108.109854804 67.4726910530001,-108.109854767 67.47269099,-108.108444686 67.4721906410001,-108.089717914 67.4655450240001,-108.059999876 67.4752631700001,-107.92485493 67.5376181600001,-107.922217983 67.549145121,-107.928326882 67.5616450530001,-107.977328979 67.6344497690001,-107.986381767 67.64789999,-107.986381856 67.6479000530001,-107.986381955 67.6479002010001,-107.991950555 67.6518261320001,-107.999572767 67.65719999,-107.999573059 67.657200092,-108.014181769 67.662490984,-108.014182046 67.6624910830001,-108.087217927 67.674991183,-108.090321174 67.675362895,-108.101099767 67.67665499,-108.115690767 67.67261899,-108.132218767 67.63943699),(-107.975568429 67.4703807610001,-108.064863767 67.43984599,-108.075290767 67.42775499,-108.075290946 67.427754081,-108.075290982 67.4277540400001,-108.084446032 67.3813632230001,-107.948035922 67.3083181220001,-107.934435949 67.306636042,-107.910826809 67.3105270890001,-107.899581983 67.3166540920001,-107.899581887 67.316654924,-107.899581767 67.3166549900001,-107.882763767 67.46249099,-107.883543975 67.4648727700001,-107.887217838 67.476091135,-107.892970075 67.4816325510001,-107.898899767 67.4873459900001,-107.917772767 67.4894279900001,-107.940685087 67.482145206,-107.94749093 67.4799821820001,-107.975568429 67.4703807610001),(-108.129154767 67.4630459900001,-108.129470438 67.4667566080001,-108.130535938 67.479291178,-108.151782119 67.5173686200001,-108.166108767 67.5430459900001,-108.172793478 67.551448226,-108.173608862 67.5524732390001,-108.202363987 67.5686001880001,-108.205908129 67.56855017,-108.222354767 67.5683189900001,-108.275281767 67.48165499,-108.27528162 67.48165469,-108.275282019 67.4816540360001,-108.272335109 67.4756459050001,-108.268536767 67.46789999,-108.251681767 67.4588819900001,-108.248604434 67.4584240870001,-108.236655024 67.456645119,-108.169446074 67.4497090940001,-108.142835699 67.45164343,-108.136799767 67.4520819900001,-108.134124946 67.4559180580001,-108.129154936 67.463045037,-108.12915499 67.463045671,-108.129154767 67.4630459900001),(-108.335827767 67.56580999,-108.457781767 67.5680549900001,-108.478411969 67.566584091,-108.481372902 67.5663731170001,-108.483080698 67.5658037370001,-108.491381767 67.5630369900001,-108.491381855 67.5630361290001,-108.4913819 67.5630361130001,-108.491535165 67.561525116,-108.495136767 67.52602799,-108.490695584 67.521372994,-108.458890961 67.4880360170001,-108.448617933 67.481927118,-108.433882044 67.4766540630001,-108.398063993 67.4677539910001,-108.381946096 67.4666631700001,-108.368326844 67.4672091670001,-108.357226857 67.4694360710001,-108.298472901 67.4940091290001,-108.285135952 67.5404091660001,-108.287804024 67.544034508,-108.297499767 67.55720999,-108.335827767 67.56580999),(-107.527790932 67.078045113,-107.517499967 67.0747091150001,-107.507222039 67.0726570350001,-107.506390766 67.0724909900001,-107.490545766 67.0713819900001,-107.476221206 67.0734023200001,-107.407782027 67.0830539710001,-107.40778178 67.0830549890001,-107.403818133 67.0994985560001,-107.400554986 67.1130360390001,-107.400554766 67.1130369900001,-107.412781766 67.11581899,-107.440627011 67.1250920040001,-107.443599911 67.126082135,-107.446334104 67.1271624830001,-107.461936766 67.1333279900001,-107.477781766 67.14082799,-107.506886533 67.154866951,-107.510008892 67.15637316,-107.561946014 67.183873179,-107.567030787 67.186919247,-107.575845766 67.1921999900001,-107.581681766 67.1963639900001,-107.597781766 67.20416399,-107.604272142 67.2062097960001,-107.608335825 67.207491202,-107.620535853 67.2061001420001,-107.620535898 67.2061000890001,-107.620536766 67.20609999,-107.628181766 67.19720999,-107.628181876 67.197209258,-107.628181993 67.1972091220001,-107.629864073 67.18595407,-107.591108835 67.1308180780001,-107.58389101 67.1213731820001,-107.578218562 67.115864136,-107.578218543 67.1158641170001,-107.574445766 67.1121999900001,-107.574132962 67.1119058950001,-107.564999877 67.10331806,-107.556877899 67.0962261830001,-107.549727766 67.0899819900001,-107.541235795 67.085361478,-107.527790932 67.078045113),(-107.945826955 66.854009078,-107.934999883 66.8491541120001,-107.923045948 66.8505361200001,-107.9066567 66.8562903480001,-107.899299767 66.8588729900001,-107.871309506 66.8741327380001,-107.826946087 66.898318165,-107.790135953 66.982482196,-107.79085379 66.986781179,-107.791108767 66.9883099900001,-107.794999767 66.99720999,-107.806663767 67.0058279900001,-107.816963767 67.0091549900001,-107.834036767 67.00623699,-107.945827767 66.8540099900001,-107.945826652 66.8540094900001,-107.945826955 66.854009078),(-104.49724179 68.0819801850001,-104.482772905 68.0797092000001,-104.464144669 68.0938073670001,-104.453054763 68.1021999910001,-104.436041708 68.1153831170001,-104.404999908 68.1394361270001,-104.374164059 68.1788632590001,-104.369299873 68.187763164,-104.369300061 68.1877634470001,-104.369299763 68.1877639910001,-104.377208763 68.1997099910001,-104.391954763 68.2069369910001,-104.411016744 68.2035736820001,-104.415555071 68.20277314,-104.426391027 68.2000000720001,-104.448589188 68.1934271200001,-104.550272764 68.163318991,-104.550273037 68.1633181830001,-104.555763759 68.146518987,-104.555764027 68.146518165,-104.500554946 68.082500205,-104.500554764 68.0824999910001,-104.49724179 68.0819801850001),(-97.530290757 67.62498199,-97.5155637569999 67.6238729900001,-97.513548339 67.623959142,-97.502790961 67.6244181320001,-97.483471414 67.626886734,-97.478881757 67.6274729900001,-97.4453461529999 67.634900573,-97.433608911 67.637500103,-97.370545986 67.6577631870001,-97.3416730119999 67.6705360340001,-97.3299998699999 67.6787360500001,-97.329999951 67.6787368540001,-97.3299997569999 67.6787369900001,-97.332781757 67.7063729910001,-97.337781757 67.7210999910001,-97.3420907569999 67.7262369910001,-97.359999757 67.731654991,-97.3877907569999 67.732209991,-97.400554757 67.731654991,-97.5605457569999 67.69274599,-97.560545604 67.692745147,-97.560545962 67.6927450600001,-97.557946919 67.6783891010001,-97.551736757 67.6440819900001,-97.545523063 67.6349501710001,-97.5413819139999 67.6288632230001,-97.5321491829999 67.6256324650001,-97.530290757 67.62498199),(-95.527499918 67.223036113,-95.45955608 67.2087949070001,-95.4308277549999 67.20277299,-95.426356791 67.2018920840001,-95.415281992 67.199709108,-95.400554988 67.1972091220001,-95.373608846 67.1963632200001,-95.361663963 67.197754113,-95.339717962 67.209854061,-95.314708877 67.238591081,-95.307973012 67.2461632920001,-95.307973203 67.2461634860001,-95.307972755 67.2461639900001,-95.317042875 67.255367393,-95.317226806 67.255554042,-95.317227755 67.2555549900001,-95.3668382989999 67.261468537,-95.377782028 67.2627732070001,-95.3804161049999 67.26282695,-95.3911097549999 67.2630459900001,-95.542218755 67.23859099,-95.547648983 67.233889494,-95.550072886 67.231791178,-95.550072646 67.2317910850001,-95.550072755 67.23179099,-95.54720217 67.2306777530001,-95.527499918 67.223036113),(-90.30193675 69.4344189920001,-90.49167275 69.3766459920001,-90.50110975 69.3724819920001,-90.5069625149999 69.368703764,-90.5144460559999 69.3638732640001,-90.508199862 69.331936033,-90.361390995 69.238309169,-90.34722692 69.2347091410001,-90.329454938 69.2358091820001,-90.288608918 69.2494180400001,-90.271664062 69.2555540960001,-90.1572269439999 69.34803616,-90.149035813 69.3728911860001,-90.1786088439999 69.4099911660001,-90.184229035 69.41233163,-90.19526375 69.4169279920001,-90.2013817499999 69.4421279920001,-90.30193675 69.4344189920001),(-90.638608865 69.3738732090001,-90.655272926 69.3746911160001,-90.673326875 69.3738732090001,-90.675320923 69.3736380230001,-90.692218751 69.3716459920001,-90.740827751 69.357481992,-90.749599884 69.352875989,-90.759873043 69.3474821170001,-90.76533962 69.341492202,-90.775836751 69.329990992,-90.778609751 69.3172189920001,-90.777218751 69.272490992,-90.686438083 69.2366381370001,-90.613326865 69.2077631660001,-90.5818391719999 69.200115312,-90.5755637509999 69.198590992,-90.5125097499999 69.2024819920001,-90.512509252 69.2024822060001,-90.512508831 69.2024822320001,-90.456255029 69.2266541320001,-90.4562551079999 69.2266548380001,-90.45625475 69.2266549920001,-90.4575891979999 69.23857135,-90.4608268539999 69.2674911,-90.471935893 69.2811001260001,-90.548617902 69.3399821570001,-90.5559331439999 69.344875158,-90.559436751 69.3472189920001,-90.582509751 69.359709992,-90.594999751 69.3652639920001,-90.608045751 69.3697099920001,-90.6305051529999 69.3727690970001,-90.638608865 69.3738732090001),(-89.94913401 68.9252010430001,-89.915008885 68.9133181390001,-89.9074998729999 68.9201180420001,-89.907499931 68.9201188270001,-89.9074997499999 68.9201189920001,-89.91389075 69.005827992,-89.93360975 69.011654992,-89.944582942 69.0104676330001,-89.9463820129999 69.0102731220001,-89.9693530499999 69.005030993,-90.07055475 68.981936992,-90.0705548779999 68.9819361250001,-90.070555047 68.9819360860001,-90.075563905 68.9480270970001,-90.0319550419999 68.9430360090001,-90.004616964 68.9383624910001,-89.99999975 68.9375729920001,-89.97833675 68.933872992,-89.95249975 68.926372992,-89.94913401 68.9252010430001),(-89.974163999 68.7058271430001,-89.9563910109999 68.6616540100001,-89.946427189 68.662109587,-89.9444457499999 68.6621999910001,-89.926952192 68.669675022,-89.877490983 68.6908091190001,-89.857499976 68.7005450350001,-89.80888192 68.733318109,-89.798767434 68.7443996580001,-89.79138175 68.7524909910001,-89.7896498699999 68.754792389,-89.782917802 68.7637360350001,-89.7829189139999 68.7637367730001,-89.78291875 68.763736991,-89.91819075 68.8534549920001,-89.929578136 68.852416012,-89.931946029 68.85220015,-89.944445961 68.8474911970001,-89.947224292 68.8456393490001,-89.95861875 68.838045992,-90.00306375 68.8066369920001,-90.02555475 68.771927992,-90.025554831 68.7719273600001,-90.025554956 68.7719271660001,-90.027646073 68.7555450720001,-90.019863979 68.7431821000001,-89.999164031 68.7308181220001,-89.974163999 68.7058271430001),(-86.742490747 68.2827639910001,-86.9022187469999 68.1828999910001,-86.9788817469999 68.0969369910001,-86.988327747 68.081663991,-86.990827747 68.067899991,-86.954716736 68.047369556,-86.942217885 68.0402632930001,-86.932499906 68.035809149,-86.904172929 68.0305451460001,-86.878326828 68.032209122,-86.863891011 68.029163306,-86.8497271479999 68.022627196,-86.840836747 68.0108189910001,-86.838111816 68.0040126160001,-86.836946042 68.001100191,-86.838899864 67.9863731870001,-86.839571916 67.9821656080001,-86.843336747 67.958599991,-86.8544457469999 67.954163991,-86.913327747 67.9319279910001,-86.926099747 67.9313639910001,-86.940554747 67.934418991,-86.947106138 67.9289997970001,-86.950281946 67.9263731770001,-86.949520551 67.9234770620001,-86.945827747 67.909427991,-86.926936747 67.876372991,-86.9186097469999 67.8619279910001,-86.916238875 67.8578956860001,-86.9102819949999 67.8477631630001,-86.881672883 67.812618178,-86.858335821 67.7969361400001,-86.73019479 67.7487724420001,-86.690554747 67.7338729910001,-86.688286315 67.7335107860001,-86.676663936 67.731654022,-86.5966640349999 67.7255360710001,-86.583617938 67.725263156,-86.5719459699999 67.728863183,-86.4899909059999 67.770536162,-86.467926887 67.7840090660001,-86.403608855 67.848873262,-86.396117948 67.859709051,-86.370835781 67.9399731500001,-86.368608877 67.9547092070001,-86.374609439 67.979195841,-86.377490747 67.9909549910001,-86.390957752 68.011607224,-86.397508841 68.021654126,-86.407648275 68.038329624,-86.426390747 68.0691549910001,-86.433190747 68.093745991,-86.4349997469999 68.1624909910001,-86.422972796 68.1744163750001,-86.402790949 68.194427112,-86.402791177 68.1944275640001,-86.402790747 68.1944279910001,-86.408890747 68.2065189910001,-86.4586187469999 68.2355369910001,-86.482550862 68.2463615890001,-86.487499972 68.24860019,-86.495938598 68.2522220430001,-86.538609747 68.270536991,-86.6027817469999 68.2913639910001,-86.646663747 68.3016549910001,-86.671268155 68.3055068100001,-86.674999961 68.306091162,-86.700563928 68.3035911750001,-86.703325348 68.302512506,-86.711945747 68.299145991,-86.742490747 68.2827639910001),(-78.659426362 60.7029336590001,-78.656390739 60.702772984,-78.6498334199999 60.7033245820001,-78.623317932 60.705554008,-78.3972268219999 60.7438821040001,-78.2811089639999 60.76762703,-78.2398215819999 60.798917395,-78.226672739 60.808881984,-78.225082382 60.8105721040001,-78.2201358149999 60.815827165,-78.221296669 60.824532747,-78.221672739 60.8273549840001,-78.36496211 60.813401953,-78.399990838 60.809991181,-78.431986235 60.805231931,-78.573627739 60.784163984,-78.6163907389999 60.771936984,-78.698054739 60.7229099840001,-78.698054379 60.722909449,-78.698055004 60.722909074,-78.6923549749999 60.7144361430001,-78.66944606 60.7034632260001,-78.659426362 60.7029336590001),(-80.16694599 59.7424910980001,-80.166945741 59.742490983,-80.157825521 59.7436065200001,-80.089717815 59.751935996,-80.025281934 59.7644449810001,-79.925135793 59.8136001490001,-79.906663922 59.8280450180001,-79.882572991 59.8532631480001,-79.8825733799999 59.8532633140001,-79.882572741 59.853263983,-79.925593084 59.871713975,-79.9299909269999 59.873600159,-79.9310386179999 59.8740589220001,-79.942363741 59.879018983,-80.0113997409999 59.8855549830001,-80.078218898 59.8559826490001,-80.103054932 59.8449912150001,-80.109588071 59.8410463930001,-80.1150097409999 59.837772983,-80.1224805479999 59.830287087,-80.1288730379999 59.82388223,-80.1828459559999 59.749373146,-80.1828457029999 59.7493730360001,-80.1828457409999 59.7493729830001,-80.16694599 59.7424910980001),(-80.327443653 59.612437227,-80.3191729179999 59.6122091670001,-80.2874672089999 59.617071604,-80.277499741 59.6185999830001,-80.264143223 59.62260782,-80.260835878 59.6236001730001,-80.24034598 59.635754101,-80.2313909219999 59.6537361330001,-80.22529522 59.6583647360001,-80.2227817409999 59.660272983,-80.2195328989999 59.6612299010001,-80.20583584 59.6652632610001,-80.178837828 59.67185707,-80.170545741 59.6738819830001,-80.165680037 59.6760202070001,-80.155690937 59.6804091930001,-80.155690767 59.6804099710001,-80.1556907409999 59.6804099830001,-80.155518935 59.681198366,-80.149726877 59.707773257,-80.1713909119999 59.7152732160001,-80.2222268199999 59.723600134,-80.225239863 59.7240752960001,-80.232772741 59.725263983,-80.295272741 59.678327983,-80.324371371 59.6404382160001,-80.341463919 59.6181821110001,-80.341463717 59.6181820140001,-80.341463741 59.6181819830001,-80.3297277409999 59.6124999830001,-80.327443653 59.612437227),(-79.806343 57.422536875,-79.802564037 57.4177001750001,-79.8025639529999 57.4177002530001,-79.802563741 57.4176999810001,-79.783324653 57.435399155,-79.712508869 57.5005450620001,-79.704999858 57.508609124,-79.698608824 57.519991078,-79.69582687 57.5316632130001,-79.698608824 57.5633270260001,-79.704726943 57.5766633050001,-79.7055382249999 57.578407192,-79.70666374 57.580827981,-79.70658974 57.581468591,-79.706117836 57.5855451050001,-79.7254178379999 57.6149912330001,-79.7293617719999 57.6157181620001,-79.73749974 57.6172189810001,-79.74916374 57.6097189810001,-79.777933629 57.5893750830001,-79.7927729689999 57.5788821620001,-79.800123215 57.5710254740001,-79.8088817409999 57.561663981,-79.826945741 57.538045981,-79.8269458249999 57.538045239,-79.826945988 57.5380450270001,-79.828092801 57.5280020380001,-79.8358277409999 57.4602729810001,-79.806343 57.422536875),(-79.8949277409999 56.8983189800001,-79.895836741 56.88346398,-79.895835791 56.883464019,-79.895835844 56.8834631460001,-79.852755041 56.885209097,-79.823772935 56.8950090500001,-79.793145962 56.8598912240001,-79.794372906 56.8329450800001,-79.793555 56.795791121,-79.792556716 56.794602974,-79.78471874 56.7852729800001,-79.75361874 56.7827729800001,-79.753618305 56.782773219,-79.753617914 56.782773187,-79.740353361 56.7900257740001,-79.72708174 56.79728198,-79.72540824 56.7996796350001,-79.717917879 56.8104091600001,-79.737270554 56.865856449,-79.75209074 56.90831898,-79.7841637399999 56.9408279800001,-79.7876584649999 56.9444651540001,-79.790835911 56.9477731310001,-79.803890893 56.948882224,-79.817236005 56.946429294,-79.8552817409999 56.93943698,-79.8949277409999 56.8983189800001),(-79.5708357619999 56.8168001940001,-79.570836345 56.8167997520001,-79.5708367399999 56.81679998,-79.58000974 56.8098549800001,-79.58750974 56.7888909800001,-79.589653406 56.771188093,-79.589999978 56.7683271450001,-79.5837549569999 56.6504091890001,-79.572966002 56.630784304,-79.5656187399999 56.6174189800001,-79.565618393 56.6174191550001,-79.56561786 56.6174181860001,-79.495280465 56.6528775960001,-79.48749974 56.6567999800001,-79.486174144 56.6601557160001,-79.4747177959999 56.6891540340001,-79.4762906999999 56.712095574,-79.47694574 56.72165498,-79.4963817399999 56.7669369800001,-79.51666374 56.78555498,-79.5492872519999 56.8043710260001,-79.5708357619999 56.8168001940001),(-79.857787409 56.7678589860001,-79.835972962 56.7912451120001,-79.813608871 56.8169361480001,-79.816317902 56.833536005,-79.816318721 56.833536861,-79.816318741 56.8335369800001,-79.834445741 56.85249098,-79.834445789 56.8524910100001,-79.8344459469999 56.8524911760001,-79.835116606 56.8529055750001,-79.8438907409999 56.8583279800001,-79.861936741 56.8659639800001,-79.9170817409999 56.8598549800001,-79.945827741 56.83359998,-79.9547277409999 56.8236099800001,-79.958336741 56.8067999800001,-79.945127741 56.7695099800001,-79.941044185 56.765758599,-79.927364038 56.7531911040001,-79.9047268639999 56.741663305,-79.88527297 56.7423539740001,-79.877697296 56.74770404,-79.874445741 56.74999998,-79.857787409 56.7678589860001),(-79.2863908479999 56.5702731660001,-79.291672956 56.4988821490001,-79.2920067759999 56.4967067320001,-79.29333674 56.48804598,-79.297370363 56.4635401570001,-79.298046052 56.4594360740001,-79.299894669 56.452034606,-79.30109974 56.4472099800001,-79.30999974 56.4241639800001,-79.41472774 56.2144369800001,-79.4272187399999 56.2030459800001,-79.43889074 56.1972099800001,-79.46167274 56.1933189800001,-79.504357227 56.187708113,-79.5144459049999 56.1863821800001,-79.531390544 56.2069367410001,-79.474999931 56.3204361240001,-79.442999836 56.3934361300001,-79.432150931 56.416541711,-79.41944574 56.44359998,-79.4191679259999 56.4554309860001,-79.418335918 56.4908271400001,-79.4391039769999 56.540805086,-79.44367274 56.5517999800001,-79.4436728489999 56.551799993,-79.4436729029999 56.551800121,-79.4451859229999 56.551976912,-79.45666374 56.55331898,-79.465297084 56.5483684910001,-79.468746025 56.546391112,-79.474446055 56.52110006,-79.472430988 56.515730047,-79.46610974 56.4988819800001,-79.45861874 56.4785999800001,-79.458728586 56.4686144830001,-79.45875496 56.4662364910001,-79.48733674 56.40271898,-79.493950398 56.3706751920001,-79.49466394 56.3672185400001,-79.4998043269999 56.355905577,-79.516173013 56.3198822480001,-79.518644539 56.3162514680001,-79.52683674 56.30421898,-79.53632774 56.29505498,-79.5786233009999 56.241803707,-79.587781959 56.230273165,-79.597956747 56.2249039450001,-79.6454277399999 56.1998549800001,-79.664944922 56.191350055,-79.668063995 56.189991079,-79.700909057 56.1659761880001,-79.77444574 56.11220998,-79.902347514 56.0085672500001,-79.961945927 55.9602731190001,-79.96567019 55.9505685450001,-79.985827741 55.8980459800001,-79.985826733 55.898045224,-79.985826807 55.898045032,-79.909163909 55.840545008,-79.864864042 55.8490181070001,-79.862394891 55.852992025,-79.858045741 55.859990979,-79.846663741 55.8741639790001,-79.831681741 55.8899909800001,-79.819454741 55.90109998,-79.7976486749999 55.9197811070001,-79.6450088999999 56.0505450430001,-79.597226855 56.0913821790001,-79.567508817 56.112773131,-79.550281994 56.1233180680001,-79.537217792 56.129718154,-79.5254946809999 56.133164847,-79.52305474 56.1338819800001,-79.51306374 56.1349909800001,-79.509443773 56.1346754750001,-79.4972178419999 56.1336092010001,-79.475690935 56.1201270780001,-79.472895896 56.114032352,-79.47040974 56.10860998,-79.47471874 56.0983279800001,-79.48693674 56.0872099800001,-79.59805474 55.98165498,-79.76306374 55.8141549790001,-79.7819547399999 55.7880459790001,-79.781954077 55.78804633,-79.781954949 55.7880451250001,-79.665021509 55.849909477,-79.60499974 55.8816639790001,-79.603162033 55.8804684520001,-79.593890857 55.8744360600001,-79.5677818999999 55.8647180820001,-79.5347745129999 55.855626602,-79.5324997399999 55.8549999790001,-79.530465896 55.8550162920001,-79.5154178029999 55.855136058,-79.498181689 55.85757864,-79.4968097399999 55.8577729790001,-79.496809362 55.8577731170001,-79.4968089719999 55.8577731720001,-79.493225488 55.8590755490001,-79.47999974 55.863881979,-79.45249974 55.8799909790001,-79.441507358 55.8910484570001,-79.3586088229999 55.974436021,-79.323626782 56.0169361260001,-79.3114752289999 56.0332643190001,-79.3091547399999 56.03638198,-79.307714458 56.038715429,-79.299726791 56.051653969,-79.2841639439999 56.0780450620001,-79.277499828 56.090827129,-79.270845938 56.1047181220001,-79.26256955 56.1198233850001,-79.25639074 56.13109998,-79.2438817399999 56.15109998,-79.2347904709999 56.1605257830001,-79.2055639879999 56.19082709,-79.1702729899999 56.2255451010001,-79.163934544 56.2293464190001,-79.16055474 56.2313729800001,-79.158168412 56.2317722130001,-79.150555066 56.2330450600001,-79.140099983 56.2073910720001,-79.138663811 56.2012398890001,-79.13271874 56.17577298,-79.13374801 56.1329654630001,-79.133899873 56.1266547320001,-79.13749969 56.1199378270001,-79.139999903 56.1152731170001,-79.150819434 56.0959774040001,-79.18360974 56.0374999800001,-79.21337736 55.9856494490001,-79.226672973 55.9624911390001,-79.233786104 55.9520643010001,-79.26722774 55.9030459800001,-79.2780637399999 55.8855549800001,-79.282845747 55.867836981,-79.282845973 55.8678361500001,-79.259446047 55.8861092020001,-79.2361178689999 55.9175001,-79.220512388 55.94201861,-79.21278174 55.95416398,-79.169914792 56.0270140160001,-79.0833268379999 56.174164202,-79.092817834 56.2140451290001,-79.0929105609999 56.2268235120001,-79.0929457399999 56.23171898,-79.092418231 56.2390383410001,-79.0906268049999 56.2638822500001,-79.0622089679999 56.3297180760001,-79.055263891 56.344436027,-79.043335772 56.360545039,-79.007325556 56.3796818330001,-78.99889074 56.38416398,-78.980272742 56.3891639770001,-78.970555036 56.3808270660001,-78.968992723 56.365113637,-78.96610974 56.3361099800001,-78.9690277399999 56.3188819800001,-78.97278174 56.3066549800001,-78.9858277399999 56.2736099800001,-78.99082774 56.26166398,-79.0088997399999 56.22165498,-79.0166401449999 56.2109694060001,-79.022782004 56.202491179,-79.0312621859999 56.19082108,-79.06193674 56.1486099800001,-79.12211874 56.04671898,-79.1585966219999 55.9865323340001,-79.1662639259999 55.9738821450001,-79.171661034 55.960729847,-79.19943674 55.8930459800001,-79.1994340479999 55.893049354,-79.1994358109999 55.893045059,-79.175282016 55.923327031,-79.1299909049999 55.9894361080001,-79.1121944939999 56.0219994350001,-79.0941637399999 56.0549909800001,-79.09155829 56.061395023,-79.085008918 56.077491186,-79.075478056 56.0971511060001,-79.0716727399999 56.1049999800001,-79.066908742 56.114005799,-79.0613908939999 56.124436046,-79.040634374 56.1553956490001,-79.02917274 56.1724909800001,-79.008764834 56.202102553,-78.958335897 56.275273256,-78.946663929 56.283745013,-78.943154856 56.295275121,-78.93639074 56.31749998,-78.92304574 56.38693698,-78.922605518 56.390823557,-78.9208268799999 56.4065181020001,-78.92248985 56.4126912300001,-78.92374574 56.41735498,-78.9323547399999 56.4273549800001,-78.942265081 56.4297585350001,-78.9461088799999 56.430691176,-78.950702056 56.430282634,-78.98832774 56.4269369800001,-79.0051465989999 56.4264949650001,-79.0094460609999 56.4263822070001,-79.011756853 56.4264869620001,-79.02166374 56.4269369800001,-79.035827382 56.4285361140001,-79.038890849 56.428882193,-79.05555491 56.4338731140001,-79.0563571449999 56.4342853110001,-79.07556374 56.4441549800001,-79.09138174 56.4544369800001,-79.09999074 56.46305498,-79.109479917 56.472753068,-79.111935782 56.4752632870001,-79.116463317 56.4840393320001,-79.12096374 56.4927639800001,-79.12554574 56.51416398,-79.127347023 56.522025849,-79.131526804 56.5402731610001,-79.139999734 56.546390988,-79.139999903 56.546391112,-79.2863908479999 56.5702731660001),(-78.753169124 56.431251774,-78.76250974 56.42470998,-78.83361874 56.34819098,-78.811663997 56.3411000630001,-78.812012508 56.3334727710001,-78.81332774 56.30470998,-78.8231031619999 56.270441663,-78.825290954 56.262773156,-78.827880841 56.2578802780001,-78.83029074 56.2533279800001,-78.8463907399999 56.2347189800001,-78.88332774 56.20193698,-78.90610974 56.1848549800001,-78.914509778 56.1752704400001,-78.9169460589999 56.1724911740001,-78.9305549169999 56.1286001760001,-78.9310461219999 56.1262792460001,-78.9333187399999 56.11554598,-78.9333177839999 56.1155457070001,-78.933317928 56.1155450260001,-78.9286096439999 56.114201447,-78.9274907399999 56.11388198,-78.8399997399999 56.1299909800001,-78.688599739 56.1727639800001,-78.68439205 56.1756403310001,-78.6763909699999 56.1811091110001,-78.668213763 56.1977921590001,-78.6555637389999 56.2235999800001,-78.652790881 56.2419360800001,-78.652790739 56.24193698,-78.652571525 56.247235258,-78.650835888 56.2891642490001,-78.662226894 56.434227165,-78.6622276959999 56.434227429,-78.6622277389999 56.4342279800001,-78.6870300049999 56.4423946110001,-78.690690999 56.4436001450001,-78.697959531 56.4430583060001,-78.73167274 56.4405459800001,-78.747169415 56.4342183210001,-78.7513999509999 56.432491106,-78.753169124 56.431251774),(-79.039172983 55.9524911930001,-79.0736535949999 55.8877476980001,-79.10278174 55.8330549790001,-79.106218309 55.827894782,-79.108890972 55.8238821200001,-79.114698399 55.8173363660001,-79.12540974 55.8052639790001,-79.132269019 55.7948405930001,-79.1349999299999 55.7906911250001,-79.134999637 55.790691135,-79.13499974 55.790690979,-79.1329455759999 55.790766256,-79.119855004 55.7912450010001,-79.104446049 55.800827025,-79.089999839 55.8169360370001,-79.054445984 55.86554504,-78.939708961 56.025273102,-78.947589389 56.0609339380001,-78.9509727399999 56.0762459800001,-78.95875474 56.08332798,-79.0093547399999 56.0636189800001,-79.009354892 56.0636181850001,-79.009355033 56.0636181300001,-79.010970022 56.055182195,-79.0222277399999 55.9963819800001,-79.0290277399999 55.9727639800001,-79.036052484 55.9587262630001,-79.039172983 55.9524911930001),(-79.5465202199999 56.524401858,-79.5463907399999 56.52512798,-79.58610974 56.49714598,-79.591023675 56.47105608,-79.5913818619999 56.469154711,-79.59805474 56.4544369800001,-79.60417274 56.4441549800001,-79.612031969 56.434808343,-79.6166639859999 56.429300115,-79.624667998 56.4215971680001,-79.6424997399999 56.4044369800001,-79.6533340999999 56.395339581,-79.6563908539999 56.3927731220001,-79.6616441739999 56.3894420240001,-79.67917274 56.3783279800001,-79.693533961 56.371445029,-79.6988819059999 56.368882183,-79.724446041 56.3627731170001,-79.7290235849999 56.3626542260001,-79.7566727399999 56.3619369800001,-79.790084721 56.365999914,-79.795546037 56.366664164,-79.86749093 56.357500062,-79.8841326689999 56.3534440340001,-80.022509741 56.3197189800001,-80.038834696 56.3132445300001,-80.042499872 56.311791197,-80.0552640019999 56.3036000650001,-80.076770279 56.27344692,-80.099445741 56.2416549800001,-80.099445846 56.241654356,-80.099446019 56.241654113,-80.100460551 56.2356456780001,-80.107009741 56.19686398,-80.0877889559999 56.187693848,-80.0873640089999 56.1874910930001,-80.087363967 56.1874910880001,-80.087363741 56.1874909800001,-80.0852208379999 56.187246949,-80.060545942 56.184436056,-80.030000909 56.1895565720001,-80.0191637409999 56.19137298,-80.011431554 56.193325857,-79.986117827 56.19971811,-79.928326783 56.219709117,-79.906663922 56.2272090760001,-79.764820718 56.280923751,-79.71444574 56.2999999800001,-79.7068491589999 56.303635356,-79.7011088099999 56.3063821870001,-79.690684559 56.3126101990001,-79.68249974 56.31749998,-79.674901856 56.3239921840001,-79.663326879 56.3338822050001,-79.654758927 56.3415977390001,-79.64944574 56.34638198,-79.644947617 56.3519795390001,-79.63806399 56.360545039,-79.628354039 56.373837155,-79.61999974 56.3852729800001,-79.61389074 56.3952729800001,-79.603704277 56.413095893,-79.549435925 56.5080450780001,-79.5465202199999 56.524401858),(-79.7678930289999 54.773052245,-79.7636277399999 54.771663978,-79.763626911 54.771664258,-79.660281901 54.805545087,-79.515290901 54.8405450650001,-79.3070773699999 54.882233075,-79.23499974 54.896663979,-79.21056127 54.896630186,-79.130135911 54.896518073,-79.1087029879999 54.9022881880001,-79.10278174 54.9038819790001,-79.05749974 54.9177729790001,-79.027218741 54.9252729830001,-79.027217875 54.9252731980001,-79.015017847 54.9352731440001,-79.0243706059999 54.938938777,-79.04194574 54.9458279790001,-79.05388174 54.9466549790001,-79.16417274 54.925554979,-79.33944574 54.8969459790001,-79.402771393 54.893642754,-79.419446018 54.8927732060001,-79.4305550569999 54.8927732060001,-79.4629179199999 54.8891641270001,-79.462918445 54.889164012,-79.46291874 54.889163979,-79.6566637399999 54.8466549790001,-79.68693674 54.838327979,-79.71471874 54.8263819790001,-79.720532127 54.8223583160001,-79.7255549659999 54.818882204,-79.73501914 54.811958039,-79.77110974 54.7855549780001,-79.77555474 54.7755459780001,-79.775554646 54.7755459480001,-79.775555031 54.7755450820001,-79.7678930289999 54.773052245),(-80.021943595 53.267951328,-80.0136178449999 53.2648540490001,-79.942763941 53.266936114,-79.924026867 53.271664177,-79.913326865 53.2830540100001,-79.912571191 53.292441495,-79.912499741 53.293327977,-79.951945466 53.3483275940001,-79.950563973 53.349718136,-79.94471793 53.3680450000001,-79.944719074 53.368044931,-79.944718741 53.3680459770001,-79.999727741 53.3647189770001,-80.061390741 53.3555549770001,-80.071109741 53.351099977,-80.0840277409999 53.3227729770001,-80.024445741 53.268881977,-80.021943595 53.267951328),(-80.743264027 52.695618048,-80.7094460659999 52.691445033,-80.671108917 52.7465910830001,-80.668750195 52.771422396,-80.668463741 52.7744369770001,-80.769172741 52.9379099770001,-80.809436741 52.976936977,-80.9762457419999 53.1112459770001,-81.045272742 53.148609977,-81.0877817419999 53.1794369770001,-81.111254742 53.2002729770001,-81.111254865 53.200272989,-81.111255059 53.200273161,-81.295545953 53.2177641810001,-81.380146011 53.224991226,-81.54306389 53.2091641810001,-81.714717891 53.1886001870001,-81.8261088579999 53.181382195,-81.831547519 53.181157328,-81.8562457419999 53.1801369770001,-81.892227742 53.168327977,-81.910827742 53.1588819770001,-81.962090743 53.124018977,-82.014509017 53.0766019820001,-82.052982 53.0418002050001,-82.0541000809999 53.0368364400001,-82.057909743 53.0199279770001,-82.057908788 53.0199275470001,-82.057908883 53.019927126,-81.9562550049999 52.974154056,-81.924990841 52.963745073,-81.8889285449999 52.9558222000001,-81.881381742 52.9541639770001,-81.834163742 52.946381977,-81.811663742 52.9452639770001,-81.80547567 52.9443861980001,-81.772508934 52.9397091270001,-81.649172917 52.9072091360001,-81.595645441 52.8922864720001,-81.584445742 52.8891639770001,-81.545587338 52.8830970490001,-81.4172178269999 52.863054108,-81.37652387 52.8571663110001,-81.369154742 52.856099977,-81.2872187419999 52.8399909770001,-81.251954745 52.832499968,-81.250808186 52.832116441,-81.205836742 52.8170729770001,-81.1843966549999 52.807640093,-81.145564033 52.7905539980001,-81.060993684 52.7629505190001,-81.020009742 52.7495729770001,-80.995545742 52.746099977,-80.9188817419999 52.7402729770001,-80.898899742 52.737499977,-80.861390741 52.731099977,-80.806254741 52.7210999770001,-80.79860996 52.7189473400001,-80.765835822 52.7097180850001,-80.743264027 52.695618048),(-79.919888778 53.083128388,-79.909163909 53.0819361110001,-79.8397178289999 53.083045036,-79.7931999429999 53.0947181780001,-79.788326872 53.1044359890001,-79.795835884 53.1163910970001,-79.839470278 53.1547076480001,-79.8461187409999 53.160545977,-79.858890741 53.166936977,-79.866390741 53.1694459770001,-79.877490741 53.1730459770001,-79.887509741 53.174436977,-79.900244497 53.173705506,-79.902081871 53.173600101,-79.909165751 53.168183824,-79.932781741 53.1501279770001,-79.934615223 53.1453577080001,-79.9385999789999 53.1349912110001,-79.9385999789999 53.122491111,-79.93097295 53.0919360560001,-79.9267729439999 53.087523623,-79.922909741 53.0834639770001,-79.919888778 53.083128388),(-79.4088907399999 52.0719369760001,-79.5383277399999 52.023318976,-79.5630563409999 52.0163346200001,-79.5677818999999 52.0150001320001,-79.585281972 52.0127732280001,-79.587639424 52.0129550730001,-79.59611874 52.0136099760001,-79.60624574 52.0180459760001,-79.6190187399999 52.024154976,-79.6316727399999 52.019854976,-79.65215474 51.987909976,-79.652154614 51.9879097130001,-79.652154975 51.9879091500001,-79.619573009 51.919991092,-79.6195727369999 51.919990985,-79.6080549329999 51.9155540470001,-79.59580443 51.921037159,-79.59194574 51.9227639760001,-79.588571218 51.9248632420001,-79.572508958 51.9348540500001,-79.505759933 51.9419936530001,-79.5011097399999 51.942490976,-79.4934004259999 51.9424494900001,-79.450564001 51.9422180550001,-79.42846394 51.9376271190001,-79.381245997 51.9358270210001,-79.367490958 51.9404090720001,-79.319735903 51.9699821030001,-79.275092613 52.0376023640001,-79.25279074 52.0713819760001,-79.2535465619999 52.0722537830001,-79.2636269399999 52.08388211,-79.266915661 52.0856429930001,-79.27347274 52.089154976,-79.29722774 52.0919369760001,-79.34194574 52.109436976,-79.3838997399999 52.0908279760001,-79.39666374 52.077218976,-79.4088907399999 52.0719369760001),(-64.887217914 61.3247181560001,-64.869999976 61.3233270960001,-64.837466084 61.344347041,-64.8205547269999 61.3552729850001,-64.797766978 61.3721254910001,-64.715008863 61.43332717,-64.705272947 61.444154074,-64.686935857 61.465827162,-64.6747178919999 61.505963234,-64.685817879 61.5333271310001,-64.685818404 61.5333271900001,-64.685818726 61.533327985,-64.711809726 61.5362459850001,-64.72233776 61.539460268,-64.724999644 61.5402731290001,-64.72251548 61.5446229720001,-64.717226882 61.5538822400001,-64.688601487 61.5717009590001,-64.6627817259999 61.5877729850001,-64.662383162 61.5878086130001,-64.6597268579999 61.5880450330001,-64.647426918 61.6004821010001,-64.675824916 61.6232690910001,-64.719163726 61.6580459850001,-64.732078838 61.6598531710001,-64.7330639849999 61.6599910990001,-64.9949999689999 61.6899911040001,-64.997200342 61.690222196,-65.017499727 61.6923549850001,-65.033089947 61.6933824490001,-65.03639098 61.693600184,-65.042592527 61.6934924650001,-65.068345727 61.6930459850001,-65.1744367269999 61.686936985,-65.2474997269999 61.6808279850001,-65.3397187269999 61.670545985,-65.4385997269999 61.6573459850001,-65.451109727 61.652763985,-65.462918727 61.6470819850001,-65.472227727 61.6402729850001,-65.483609727 61.6252639850001,-65.4869367269999 61.6108279850001,-65.4876621669999 61.601048706,-65.487781949 61.5994360400001,-65.477772949 61.588882217,-65.4777727269999 61.5888819850001,-65.3767997269999 61.538881985,-65.372444018 61.538109159,-65.353335886 61.5347181920001,-65.3294550059999 61.53193607,-65.3013823379999 61.529428028,-65.2952727269999 61.5288819850001,-65.192909727 61.4970819850001,-65.188893171 61.4847532270001,-65.1866639199999 61.4779091720001,-65.179173013 61.4669360870001,-65.005850902 61.3781699460001,-64.984999779 61.367491011,-64.97499991 61.345963264,-64.887217914 61.3247181560001),(-68.3402909609999 60.2233181390001,-68.3105459339999 60.223045056,-68.251399872 60.230818098,-68.2052729169999 60.2380451430001,-68.177217849 60.2430451160001,-68.167499871 60.2455451020001,-68.0144776769999 60.292918183,-67.968754729 60.3070729840001,-67.962015881 60.3099381430001,-67.9344358549999 60.3216631770001,-67.905834077 60.340224811,-67.898054729 60.3452729840001,-67.893588182 60.3482541380001,-67.885563995 60.3536091240001,-67.853335913 60.3752632680001,-67.8388908759999 60.3865181530001,-67.8152819049999 60.4080450590001,-67.806108917 60.4175001820001,-67.798617843 60.4322090810001,-67.7953569589999 60.4454851740001,-67.795272729 60.4458279840001,-67.796393141 60.449736365,-67.798617843 60.4575001320001,-67.802107704 60.4613420370001,-67.805545729 60.465127984,-67.819560678 60.471636882,-67.821399856 60.4724911660001,-67.823369638 60.4730515480001,-67.835554729 60.4765189840001,-67.862209729 60.4880459840001,-67.948481729 60.5613639840001,-67.949420152 60.5622447540001,-67.9504177979999 60.5631821850001,-67.999435838 60.5774911,-68.005909689 60.5781445100001,-68.03528173 60.5811099840001,-68.07574077 60.582322011,-68.081681922 60.5825001250001,-68.083452327 60.582359625,-68.0922277299999 60.581663984,-68.1191547299999 60.5772189840001,-68.12943673 60.570545984,-68.1752817299999 60.5344369840001,-68.31443673 60.390272984,-68.3592651499999 60.33365804,-68.3777818729999 60.3102731760001,-68.3806971399999 60.3054585190001,-68.38417273 60.299718984,-68.387055673 60.292060426,-68.393063926 60.276100157,-68.394445935 60.2559001050001,-68.3925783559999 60.2520055520001,-68.38721873 60.2408279840001,-68.387218042 60.2408274260001,-68.3872178839999 60.240827096,-68.3853263519999 60.239293579,-68.37693673 60.232490984,-68.368913955 60.2289224530001,-68.361935885 60.225818125,-68.3402909609999 60.2233181390001),(-64.728881918 60.3633271030001,-64.71000889 60.3583271300001,-64.670826845 60.3561091110001,-64.6582536559999 60.3572550280001,-64.655563726 60.3574999840001,-64.6438907259999 60.3577729840001,-64.632218726 60.3574999840001,-64.62444032 60.3558513030001,-64.605972875 60.3519360970001,-64.574958661 60.3388612540001,-64.557218726 60.3313819840001,-64.548975238 60.3278280060001,-64.541108847 60.3244360780001,-64.521708932 60.31072714,-64.487099886 60.2969539970001,-64.4367005399999 60.2847896630001,-64.425445726 60.2820729840001,-64.441390726 60.306518984,-64.458399726 60.315027984,-64.4680431099999 60.3306022690001,-64.4722178169999 60.337345047,-64.456272922 60.3543541080001,-64.4276728629999 60.3729361170001,-64.425945712 60.3785449630001,-64.423190726 60.3874909840001,-64.423467933 60.388960254,-64.425417795 60.39930022,-64.5326279399999 60.442535278,-64.618609726 60.4772099840001,-64.639999726 60.484718984,-64.823063727 60.485263984,-64.8350748359999 60.483000986,-64.8377819519999 60.482491112,-64.8430096339999 60.4804885940001,-64.847227727 60.4788729840001,-64.8561097269999 60.4738729840001,-64.867909727 60.4531819840001,-64.833387256 60.421253085,-64.831117836 60.4191540990001,-64.815554988 60.406100123,-64.790281874 60.3911090890001,-64.728881918 60.3633271030001),(-69.356317942 59.13540913,-69.319455002 59.0980451200001,-69.318345918 59.025554685,-69.3586097309999 58.961654982,-69.352918731 58.9480459820001,-69.352918223 58.9480458520001,-69.3529179069999 58.9480450950001,-69.338899844 58.9444360150001,-69.325930131 58.945520591,-69.3238907309999 58.945690982,-69.310156192 58.9494185670001,-69.227217857 58.9719271490001,-69.178326886 59.029718024,-69.183608826 59.0658270960001,-69.183609638 59.065827347,-69.1836097309999 59.065827982,-69.1983997309999 59.0704099820001,-69.194990804 59.094154469,-69.1909996809999 59.105160642,-69.182499731 59.1285999830001,-69.186390731 59.1383279830001,-69.1941979379999 59.142765421,-69.198608913 59.1452731210001,-69.2154740989999 59.147258746,-69.2787547309999 59.154709983,-69.342499731 59.145409983,-69.356318731 59.135409983,-69.356317911 59.1354091520001,-69.356317942 59.13540913),(-64.118881726 59.8511099830001,-64.192490726 59.765545983,-64.2044547259999 59.7344369830001,-64.2044545959999 59.7344368860001,-64.204454901 59.7344360910001,-64.1602819359999 59.701663185,-64.1461178609999 59.6966539920001,-64.134172978 59.6955450660001,-64.1241639799999 59.695263267,-64.015564019 59.7155451250001,-63.997217877 59.723600134,-63.975625861 59.7412129950001,-63.959581726 59.7542999830001,-63.959582038 59.754300131,-63.9595819579999 59.754300196,-63.9639720339999 59.756373769,-64.0027907259999 59.774709983,-64.020281726 59.7811099830001,-64.040791535 59.783637803,-64.04277275 59.783882078,-64.054854684 59.8323548170001,-64.047772991 59.849436138,-64.047773034 59.84943624,-64.0477727259999 59.849436983,-64.051254726 59.857627983,-64.064445726 59.8641639830001,-64.105207806 59.8554326540001,-64.1072268359999 59.855000213,-64.107227165 59.8550001030001,-64.107227726 59.854999983,-64.118881726 59.8511099830001),(-62.089163947 57.808045072,-61.957217871 57.7869451390001,-61.944163895 57.788054065,-61.884235802 57.811236062,-61.870612099 57.8356039080001,-61.867772724 57.840681981,-61.8844457239999 57.866936981,-61.922363724 57.904918981,-61.935600967 57.908500508,-61.9411088589999 57.9099911430001,-61.971663914 57.9113731510001,-61.9749276049999 57.911087213,-61.9905547239999 57.9097189810001,-62.0091727239999 57.9044369810001,-62.022313283 57.8966602560001,-62.02888197 57.8927732050001,-62.040381941 57.8857505820001,-62.065281724 57.8705459810001,-62.097081724 57.8484639810001,-62.103017404 57.8426808450001,-62.1080549129999 57.8377731680001,-62.108890924 57.827073166,-62.1002818709999 57.8161000810001,-62.100281727 57.8160999780001,-62.089163947 57.808045072),(-61.865836724 57.7997189810001,-61.8916727239999 57.7791639810001,-61.896109724 57.769718981,-61.895673218 57.759122501,-61.895554891 57.7562450780001,-61.768890923 57.7169361310001,-61.757508801 57.7155450700001,-61.691317918 57.713118174,-61.674172902 57.7269360770001,-61.668608827 57.7388821330001,-61.6581308089999 57.762252441,-61.6541637239999 57.7710999810001,-61.65278459 57.778989386,-61.6524998149999 57.780618143,-61.652499861 57.7806181930001,-61.6524997239999 57.780618981,-61.672834037 57.8025161840001,-61.6986088319999 57.830273209,-61.704982607 57.8322567320001,-61.711109724 57.8341639810001,-61.775972724 57.845409981,-61.8047187239999 57.839154981,-61.8536187239999 57.808327981,-61.865836724 57.7997189810001),(-62.0125089279999 57.5083271570001,-61.959308821 57.4601270220001,-61.942217785 57.4540181240001,-61.9287785399999 57.452674347,-61.926945724 57.452490981,-61.920677386 57.4538532540001,-61.87833578 57.4630539830001,-61.866018326 57.465946628,-61.864163724 57.466381981,-61.781245724 57.5109729810001,-61.7773637239999 57.5210999810001,-61.780690724 57.5465909810001,-61.780690953 57.5465911090001,-61.780690966 57.546591215,-61.7879959919999 57.5506837880001,-61.8175097239999 57.5672189810001,-61.833327724 57.5744369810001,-61.854999724 57.580554981,-61.874254515 57.584259785,-61.8780549859999 57.584991228,-61.89201302 57.5860878440001,-61.9487457239999 57.590545981,-61.971945724 57.5829099810001,-61.992499724 57.569163981,-62.014454724 57.549436981,-62.021663724 57.5372189810001,-62.021663733 57.5372184840001,-62.0216639779999 57.5372180680001,-62.021945945 57.5211001710001,-62.019102861 57.5172520530001,-62.012509724 57.508327981,-62.0125091589999 57.5083274690001,-62.0125089279999 57.5083271570001),(-61.812999724 57.4737099810001,-61.880497406 57.4468515020001,-61.8982639229999 57.4397821310001,-61.897143726 57.437579096,-61.892227724 57.427909981,-61.892226934 57.4279094820001,-61.8922267729999 57.4279091660001,-61.8774908839999 57.4186000560001,-61.8774907919999 57.4186000240001,-61.877490724 57.4185999810001,-61.859999724 57.4124909810001,-61.856603896 57.411746715,-61.839717837 57.4080450610001,-61.6953467009999 57.3922212320001,-61.674999724 57.389990981,-61.651809724 57.392490981,-61.651809649 57.392491008,-61.651808811 57.3924910980001,-61.643394523 57.3955403400001,-61.6341727239999 57.398881981,-61.628082902 57.4031254390001,-61.614445975 57.4126271120001,-61.614446102 57.4126277180001,-61.614445724 57.4126279810001,-61.622147157 57.4493880680001,-61.6347268279999 57.509436082,-61.637125274 57.5129240650001,-61.643890724 57.5227639810001,-61.648054724 57.5302729810001,-61.648054797 57.530272987,-61.6480548919999 57.5302731580001,-61.7199909 57.5363822250001,-61.739999844 57.5359731880001,-61.749528265 57.524076349,-61.772736724 57.4950999810001,-61.812999724 57.4737099810001),(-61.737363903 57.2911091290001,-61.6551357559999 57.290409073,-61.608335903 57.3083270670001,-61.5949900799999 57.323700892,-61.591454724 57.3277729810001,-61.5914550319999 57.327773118,-61.591454917 57.3277732500001,-61.608335903 57.3352732100001,-61.611277555 57.3353332230001,-61.621663724 57.3355459810001,-61.6289349749999 57.337080143,-61.632217789 57.3377731960001,-61.649534068 57.345209084,-61.677499724 57.3572189810001,-61.693327724 57.3680459810001,-61.7024997239999 57.372763981,-61.726945724 57.374436981,-61.7477817239999 57.3660279810001,-61.7674997239999 57.328327981,-61.767499683 57.32832747,-61.767499862 57.328327126,-61.766664019 57.317909091,-61.759875702 57.310056413,-61.753336724 57.3024909810001,-61.74630573 57.2974812940001,-61.737363903 57.2911091290001),(-61.62486401 56.825909143,-61.633173992 56.780798851,-61.634990724 56.77093698,-61.635709355 56.7672895440001,-61.641955046 56.735591119,-61.639435378 56.7340917430001,-61.605336724 56.71379998,-61.598503985 56.7098451680001,-61.588154962 56.703854048,-61.5610358169999 56.6825180810001,-61.5219729629999 56.6698540310001,-61.4839999239999 56.641645071,-61.4587234379999 56.627632545,-61.4442187229999 56.6195909800001,-61.435440292 56.6185948300001,-61.409135782 56.6156092040001,-61.396027358 56.6174415470001,-61.3935907229999 56.6177819800001,-61.3897348799999 56.6208820410001,-61.378754903 56.6297090740001,-61.3787547489999 56.6297099600001,-61.378754723 56.62970998,-61.3707997229999 56.6752819800001,-61.3705547279999 56.6764702570001,-61.3686357669999 56.6857731090001,-61.3687267939999 56.695991152,-61.372574172 56.7311930380001,-61.373963723 56.7439099800001,-61.379808697 56.7586804860001,-61.38603576 56.774418106,-61.3860364289999 56.774418235,-61.386036723 56.7744189800001,-61.424655054 56.7818845090001,-61.43399986 56.7836911730001,-61.47631791 56.7902000560001,-61.476318637 56.790199967,-61.476318723 56.7901999800001,-61.493309723 56.78811898,-61.515281723 56.7747099800001,-61.52305116 56.768268215,-61.526663979 56.7652731140001,-61.5330076019999 56.761915957,-61.540836723 56.75777298,-61.560272724 56.7522189800001,-61.5791727239999 56.7548549800001,-61.585281724 56.7638819800001,-61.580738981 56.771609062,-61.576954895 56.778045123,-61.566808937 56.783191109,-61.489672964 56.8075450640001,-61.443173015 56.81771818,-61.375826769 56.8405451200001,-61.3616729199999 56.848045079,-61.35402678 56.8552731290001,-61.3602317 56.866013379,-61.360281728 56.8660999780001,-61.3602818589999 56.8661002010001,-61.362926821 56.8669267130001,-61.3780547229999 56.8716549800001,-61.4009719909999 56.8790187450001,-61.3552818859999 56.910818158,-61.342054908 56.9322361000001,-61.342055207 56.9322361970001,-61.3420547229999 56.93223698,-61.3548907219999 56.936399985,-61.354890954 56.9364000620001,-61.365553829 56.9331340700001,-61.372609535 56.930973038,-61.3733817739999 56.9308708560001,-61.3972097229999 56.9277189800001,-61.429209723 56.92970998,-61.446572723 56.9351279800001,-61.460672723 56.95501898,-61.4717048799999 56.958392695,-61.473690854 56.9590001870001,-61.479359652 56.9576435610001,-61.499372723 56.95285498,-61.5250457229999 56.93675498,-61.525045644 56.9367542960001,-61.525045936 56.9367541130001,-61.5244257859999 56.931388978,-61.522518723 56.9148819800001,-61.534809723 56.90186398,-61.588699724 56.8935369800001,-61.6320997239999 56.8595459800001,-61.632099583 56.8595453290001,-61.6320999389999 56.8595450500001,-61.62486401 56.825909143),(-61.231799856 56.6156911790001,-61.230847403 56.6132525720001,-61.2201367229999 56.58582798,-61.220135952 56.5858276010001,-61.220135767 56.5858271280001,-61.2116728949999 56.5816631660001,-61.187499821 56.586109095,-61.10389084 56.6066539780001,-61.0611089349999 56.625891117,-61.0723628759999 56.65652063,-61.079863723 56.6769369800001,-61.1319457229999 56.68720998,-61.1502727229999 56.6894279800001,-61.159921069 56.6870243770001,-61.162499957 56.686382139,-61.173871087 56.675704769,-61.226109723 56.6266549800001,-61.230944356 56.6173391790001,-61.231799856 56.6156911790001),(-61.4495121859999 56.4945565040001,-61.420419378 56.485336648,-61.435171568 56.4778421300001,-61.4380459719999 56.476382103,-61.512781871 56.47499121,-61.5258358469999 56.4788732050001,-61.532490223 56.482092918,-61.5424997229999 56.4869369800001,-61.637918724 56.4882549800001,-61.632247589 56.4705561740001,-61.630554987 56.4652732320001,-61.630554794 56.4652731990001,-61.630554724 56.4652729800001,-61.62642764 56.4645763830001,-61.6091729189999 56.461663146,-61.517499876 56.446936142,-61.2208358239999 56.435545136,-61.200281888 56.4352631690001,-61.1819459719999 56.4352631690001,-61.1590268309999 56.4376270330001,-61.149435755 56.443318178,-61.1562891959999 56.4548670550001,-61.1680637229999 56.4747099800001,-61.366730821 56.52417717,-61.435826779 56.5413820860001,-61.44091945 56.542352061,-61.459163723 56.5458279800001,-61.525945723 56.55020998,-61.558054724 56.5519369800001,-61.5616727239999 56.5541639800001,-61.5737589029999 56.5570736610001,-61.5766638759999 56.557773233,-61.580284971 56.557640748,-61.592081724 56.55720998,-61.602227724 56.55277298,-61.633190724 56.5144459800001,-61.633190504 56.514445521,-61.633190928 56.5144449960001,-61.6287460039999 56.505136055,-61.5272178549999 56.501663265,-61.501756534 56.5002773300001,-61.496663723 56.49999998,-61.455272723 56.4963819800001,-61.4495121859999 56.4945565040001),(-61.7880547239999 56.4133549800001,-61.7880532089999 56.4133539220001,-61.788054971 56.413354047,-61.7199909 56.3658271470001,-61.690778318 56.3544777430001,-61.686390724 56.3527729800001,-61.5997277239999 56.3277729800001,-61.579727724 56.3224909800001,-61.576664646 56.321911044,-61.5694549359999 56.3205450890001,-61.4903431389999 56.310912806,-61.482772723 56.3099909800001,-61.424172723 56.32027298,-61.421485757 56.3213908270001,-61.414163918 56.324436136,-61.414163887 56.3244369120001,-61.4141637229999 56.32443698,-61.412290723 56.3708189800001,-61.468327723 56.4044369800001,-61.478745723 56.40665498,-61.491276785 56.405197737,-61.493054894 56.404991087,-61.500689769 56.4029742110001,-61.546672724 56.39082798,-61.609040643 56.39825584,-61.623608904 56.399991114,-61.634412826 56.4010987710001,-61.6777817239999 56.4055459800001,-61.7880547239999 56.4133549800001),(-61.2316618089999 56.0704076530001,-61.228336723 56.0633279800001,-61.2183367229999 56.04860998,-61.2183362389999 56.0486097510001,-61.218335837 56.0486091590001,-61.205699059 56.042628634,-61.1872187229999 56.03388198,-61.171109723 56.0285999800001,-61.161604325 56.0260239680001,-61.141390972 56.0205450380001,-61.086715724 56.0121173200001,-61.0819457229999 56.0113819800001,-61.040554723 56.00527298,-61.0173697549999 56.0068708570001,-60.9367359089999 56.0124271650001,-60.9440268229999 56.092636111,-60.944027691 56.092636634,-60.944027723 56.0926369800001,-60.974357007 56.1108820950001,-61.045835767 56.153882175,-61.0510997109999 56.1561870790001,-61.059163723 56.15971898,-61.08590322 56.168874583,-61.0891640039999 56.1699911870001,-61.214581918 56.100964203,-61.223168663 56.0955079820001,-61.231736723 56.0900639800001,-61.232522412 56.076950717,-61.2327729949999 56.0727731800001,-61.2316618089999 56.0704076530001),(-60.898472856 55.8698540090001,-60.8832334799999 55.8657846850001,-60.876109723 55.863881979,-60.872771476 55.8640416430001,-60.8586088599999 55.8647180820001,-60.84162007 55.8660391120001,-60.8408367229999 55.8660999790001,-60.840836187 55.8661000660001,-60.840835872 55.86610009,-60.82465053 55.8687011320001,-60.7786097229999 55.8760999790001,-60.756390723 55.880272979,-60.726444691 55.8930413190001,-60.7186089479999 55.89638223,-60.704999922 55.9030450050001,-60.689781906 55.9190180620001,-60.6897824769999 55.9190181880001,-60.689781723 55.91901898,-60.738986935 55.9297989770001,-60.7474996619999 55.931664132,-60.745439451 55.9368691600001,-60.743681903 55.9413090640001,-60.743682076 55.941309086,-60.743681723 55.94130998,-60.837729742 55.953439519,-60.851945917 55.9552731470001,-60.8545249159999 55.954391473,-60.868409723 55.9496459800001,-60.8984727229999 55.8698549790001,-60.898472512 55.869854923,-60.898472856 55.8698540090001),(-58.172381887 54.7973180810001,-58.175563993 54.7693000610001,-58.1743339069999 54.768696167,-58.15943672 54.761381978,-58.153750897 54.760214412,-58.139163902 54.7572180500001,-58.119999853 54.7555540750001,-58.044999925 54.752918134,-58.02708193 54.754718064,-57.8784729659999 54.7919360610001,-57.843681865 54.814227062,-57.843682424 54.8142275280001,-57.84368172 54.8142279790001,-57.86396372 54.8311099790001,-57.92389072 54.8233279790001,-57.9572277199999 54.8044369780001,-57.96860972 54.7987459780001,-57.9820817199999 54.8004099780001,-57.9919457199999 54.8338819790001,-57.990783435 54.8425215450001,-57.9872179339999 54.869018055,-57.940835834 54.9119360810001,-57.9402157119999 54.9195834970001,-57.94006372 54.921454979,-57.96777272 54.919154979,-58.0494457199999 54.893327979,-58.174320322 54.8809584680001,-58.213545916 54.8770732310001,-58.2180579609999 54.8723718140001,-58.22527272 54.864854979,-58.225272735 54.8648542330001,-58.225272869 54.8648540930001,-58.2255550039999 54.8502731020001,-58.222981928 54.8316540450001,-58.1889477779999 54.8113252910001,-58.1841727199999 54.8084729780001,-58.183212538 54.80756467,-58.172381887 54.7973180810001),(-55.818471901 53.3969450560001,-55.8013907179999 53.3924909770001,-55.799472683 53.3925633200001,-55.790281878 53.3929090780001,-55.746002859 53.436376334,-55.7292997179999 53.4527729770001,-55.729299872 53.4527731060001,-55.729299844 53.4527731330001,-55.729848439 53.4532330640001,-55.7405547179999 53.462209977,-55.757227718 53.4683189770001,-55.799593337 53.480368689,-55.8119459129999 53.483882232,-55.8247168139999 53.4844176720001,-55.878054718 53.4866549770001,-55.882043572 53.486437186,-55.883054962 53.4863822180001,-55.8908380039999 53.486252629,-55.9163907179999 53.485827977,-55.9277817179999 53.4847189770001,-55.941886349 53.4798604860001,-55.945545906 53.4786001240001,-55.958890902 53.4724912250001,-55.977699893 53.459991125,-55.971663916 53.44582705,-55.9537459219999 53.4322180250001,-55.818471901 53.3969450560001),(-56.461736719 51.4144369750001,-56.512509719 51.402218975,-56.620418719 51.367636975,-56.682499719 51.339427975,-56.717768614 51.313674706,-56.737354965 51.2993731860001,-56.793890902 51.23999109,-56.7969711 51.229016388,-56.8097187189999 51.1835999750001,-56.797414396 51.16638748,-56.788300197 51.1536365320001,-56.8861097189999 51.0629099750001,-56.914105439 51.053834963,-56.9216730159999 51.0513821740001,-56.930516907 51.049727208,-56.964718719 51.0433279750001,-56.964715569 51.043327579,-56.964717777 51.0433271650001,-56.927226865 51.0386091600001,-56.9026368199999 51.0263095270001,-56.9274997329999 50.915827967,-56.9830547189999 50.8683279750001,-57.039815097 50.821085725,-57.0724998319999 50.7938822290001,-57.0755144189999 50.791508235,-57.0894367189999 50.7805459750001,-57.155418719 50.7536099750001,-57.2369457189999 50.7272099750001,-57.316802195 50.7139258490001,-57.329581855 50.7118000950001,-57.353082657 50.7002786290001,-57.37860972 50.6877639750001,-57.344268427 50.6719503210001,-57.2764459539999 50.6407180360001,-57.178611742 50.625994259,-57.171945719 50.6249909750001,-57.17031073 50.6248919450001,-57.1513913639999 50.6237450410001,-57.1631907189999 50.606654975,-57.196394853 50.598159771,-57.204445908 50.5961001590001,-57.2104984069999 50.595970347,-57.236663719 50.5954099750001,-57.27621872 50.6014369750001,-57.293634319 50.6069809470001,-57.299264009 50.6087732610001,-57.341663866 50.6075000500001,-57.345749515 50.605267365,-57.3679817199999 50.593118975,-57.44860972 50.486109974,-57.49459072 50.414718974,-57.51139072 50.3822189740001,-57.52200972 50.345127974,-57.54333672 50.2983369740001,-57.63167272 50.1447189740001,-57.6711097199999 50.084163974,-57.82917272 49.8455459740001,-57.8999907199999 49.7622189740001,-57.93082772 49.717490974,-57.94971872 49.664718974,-57.9447035379999 49.6169872180001,-57.943472949 49.6052732030001,-57.9434727139999 49.605272981,-57.936511185 49.598775925,-57.869764001 49.536482085,-57.8697637239999 49.5364819650001,-57.788890872 49.5008271450001,-57.7036832919999 49.464018595,-57.74694572 49.4536099740001,-57.859670974 49.505071759,-57.8614457149999 49.505881984,-57.861445969 49.5058821010001,-57.90815472 49.5283369740001,-57.949533741 49.5458560970001,-57.971108922 49.554991171,-57.978351209 49.556098461,-57.9983367199999 49.5591549740001,-58.016971606 49.554436975,-58.0191638809999 49.5538820780001,-58.0228987639999 49.552097195,-58.0380547199999 49.544854974,-58.120460028 49.4897576760001,-58.1549998309999 49.4666641840001,-58.168005885 49.4537524940001,-58.1924997199999 49.4294369730001,-58.2069806919999 49.4119443370001,-58.219864027 49.3963820930001,-58.241945984 49.3022181160001,-58.240794035 49.2958726080001,-58.23832772 49.2822819730001,-58.2203228179999 49.2613837650001,-58.204163884 49.2426271430001,-58.0864599179999 49.227141911,-58.0540817199999 49.222881973,-58.049420781 49.223161922,-58.0333358359999 49.2241271090001,-58.005454944 49.2331270940001,-57.9485382469999 49.237334956,-57.9332643179999 49.238463929,-57.946277887 49.229134532,-57.99953672 49.190954973,-58.03020972 49.1857459730001,-58.052904455 49.1869372940001,-58.0591267839999 49.18726417,-58.059127057 49.1872639380001,-58.0591277199999 49.187263973,-58.08984572 49.1612459730001,-58.089845194 49.161245711,-58.089845957 49.161245066,-58.0684694779999 49.150602076,-58.05721872 49.144999973,-58.043600274 49.1450962220001,-57.940064029 49.1458270580001,-57.9051358 49.155682164,-57.8808294469999 49.164017217,-57.9177097199999 49.126518973,-58.02521393 49.1214218750001,-58.0494460209999 49.1202731490001,-58.0867729829999 49.123182173,-58.090953304 49.1238076910001,-58.1171457199999 49.127727973,-58.14444572 49.1219369730001,-58.144445543 49.121936218,-58.144446009 49.1219361190001,-58.1352728539999 49.0827731850001,-58.135272718 49.0827729750001,-58.10333672 49.0337459730001,-58.1033360819999 49.0337455330001,-58.1033357919999 49.0337450860001,-58.043190942 48.9922181200001,-58.0202935629999 48.983653057,-58.01849972 48.9829819730001,-57.96666372 48.976099973,-57.9294457199999 48.9788729730001,-57.89572772 48.9772819730001,-57.9386097199999 48.9583279730001,-57.9613907199999 48.9566549730001,-57.9892817479999 48.960452343,-57.996108954 48.9613821040001,-58.059790966 48.9761642610001,-58.06708976 48.979057647,-58.0915277199999 48.9887459730001,-58.14372772 49.0417369730001,-58.1783187199999 49.0632189730001,-58.225844057 49.0686056260001,-58.2405549229999 49.070273253,-58.3017998129999 49.0706732370001,-58.3602636329999 49.0636641570001,-58.3429637209999 49.100199973,-58.344957009 49.1129928460001,-58.350417869 49.1480450770001,-58.35041854 49.148044817,-58.350418721 49.1480459730001,-58.398472721 49.1294369730001,-58.502918721 48.9963099730001,-58.5060534039999 48.9571698570001,-58.506672942 48.949436441,-58.539863721 48.8697099730001,-58.618327721 48.7797189730001,-58.658054721 48.7430459730001,-58.658055009 48.7430450940001,-58.6801367209999 48.677081973,-58.6720097209999 48.6440909730001,-58.6799997209999 48.6119369730001,-58.693268345 48.5919859480001,-58.701245948 48.5799910920001,-58.708224628 48.575577153,-58.7269457209999 48.5637369730001,-58.892645721 48.551518973,-58.947490721 48.6011099730001,-58.9536523089999 48.6127180550001,-58.9572178719999 48.6194359930001,-58.945992382 48.6424410440001,-58.943190721 48.6481819730001,-58.9305717789999 48.659187144,-58.912772998 48.6747091130001,-58.891108796 48.6908270100001,-58.8763171589999 48.7001370040001,-58.873890721 48.7016639730001,-58.86443064 48.706885164,-58.8497268369999 48.7150000830001,-58.814999942 48.735827101,-58.7852689859999 48.761867097,-58.771872721 48.773599973,-58.771873216 48.773599845,-58.77187287 48.7736001480001,-58.778009389 48.772013513,-58.8056997209999 48.7648549730001,-58.8288907209999 48.7508279730001,-58.908890721 48.701936973,-59.027363721 48.6433279730001,-59.050281721 48.6355549730001,-59.0744123169999 48.629436427,-59.080972985 48.6277731370001,-59.1143124819999 48.6107306980001,-59.137509721 48.598872973,-59.1708687559999 48.57614132,-59.2124999659999 48.5477732350001,-59.2195734489999 48.539408236,-59.230827721 48.526099973,-59.247017839 48.490255792,-59.254964029 48.472664174,-59.254963615 48.472664208,-59.254963721 48.4726639730001,-59.192772721 48.477763973,-59.178978607 48.4823088750001,-59.14639089 48.4930451070001,-59.118890871 48.5011091690001,-59.0986088449999 48.5065181780001,-59.009026919 48.521245015,-58.9871561589999 48.514521519,-58.9837457209999 48.513472973,-58.9787668389999 48.5130192870001,-58.954717886 48.510827147,-58.931390882 48.5119360730001,-58.86791425 48.517661634,-58.857509721 48.5185999730001,-58.8124997209999 48.5238819730001,-58.771809721 48.5338819730001,-58.771808832 48.5338822420001,-58.7322179189999 48.5458271250001,-58.687635749 48.5539449980001,-58.5694549369999 48.5386091330001,-58.420281871 48.508045026,-58.4198694309999 48.5035116400001,-58.4183367209999 48.486654973,-58.4488959569999 48.4520369460001,-58.457081946 48.442764249,-58.4663258799999 48.4369003560001,-58.477218721 48.429990973,-58.520315809 48.4207282130001,-58.595481298 48.404573247,-58.5832449279999 48.4125093480001,-58.5526460359999 48.4323540930001,-58.528982809 48.439112553,-58.522499721 48.4409639730001,-58.498990721 48.4496819730001,-58.498991955 48.4496818000001,-58.498990959 48.449682169,-58.513245195 48.4476884200001,-58.5623637209999 48.440818973,-58.593327721 48.4269369730001,-58.673681721 48.3662459720001,-58.690345721 48.3308279720001,-58.733889055 48.2992015,-58.749999959 48.2875000540001,-58.958054889 48.149991076,-59.020554886 48.1163912110001,-59.0276238279999 48.1141683160001,-59.047499721 48.1079189720001,-59.0786922899999 48.095375695,-59.091381968 48.0902732010001,-59.1862103449999 48.044725747,-59.218609721 48.029163972,-59.2386097209999 48.0173549720001,-59.262781721 47.9994369720001,-59.2627819589999 47.99943603,-59.262781998 47.999436001,-59.264491042 47.9926598420001,-59.2663907209999 47.985127972,-59.319581721 47.933118972,-59.355188034 47.9268307670001,-59.365555027 47.925000175,-59.384863915 47.9195821120001,-59.3878697339999 47.9155163340001,-59.4036097219999 47.8942279720001,-59.387330338 47.874636094,-59.36916394 47.8527731470001,-59.327646026 47.811800057,-59.303746035 47.73054505,-59.3048504829999 47.718062032,-59.3094367209999 47.666236972,-59.3047235989999 47.623110001,-59.303472953 47.611664181,-59.3034727359999 47.611664105,-59.3034727209999 47.611663972,-59.1619457209999 47.5616639720001,-59.1584738289999 47.5610521560001,-59.127226842 47.5555449920001,-59.110462195 47.5605223580001,-59.107872721 47.5612909720001,-59.0766637209999 47.5716639720001,-58.9374997209999 47.5899909720001,-58.931225705 47.590426715,-58.8895819489999 47.5933180390001,-58.861945976 47.589154077,-58.785263755 47.591034961,-58.771109721 47.5913819720001,-58.690554721 47.598872972,-58.607711358 47.6109691250001,-58.359446017 47.647218035,-58.031945949 47.6951271500001,-57.9003592509999 47.6566098340001,-57.8824997199999 47.6513819720001,-57.77944572 47.627490972,-57.7598796189999 47.6235614460001,-57.657772928 47.6030539550001,-57.530826825 47.630818171,-57.204717817 47.5930451240001,-57.163326806 47.5797180660001,-57.142364001 47.5695731120001,-57.1423637189999 47.5695729720001,-57.1222187189999 47.563881972,-57.0966637189999 47.5660999720001,-57.0287787239999 47.5794850230001,-57.005418493 47.584090933,-56.960690719 47.576381972,-56.9549550369999 47.574139288,-56.924445917 47.562209108,-56.9105402279999 47.5561296430001,-56.902218719 47.552490972,-56.840836719 47.521381972,-56.836632805 47.52205308,-56.774717801 47.531936021,-56.646454901 47.583745068,-56.615555015 47.6133271510001,-56.5620516979999 47.613760052,-56.546954719 47.6138819720001,-56.5286434879999 47.612462543,-56.443054944 47.6058270240001,-56.4149678489999 47.602150921,-56.4106907189999 47.6015909720001,-56.4024556219999 47.6018641960001,-56.358335863 47.603327037,-56.1874999349999 47.6272090910001,-56.162499903 47.6361091640001,-56.162500227 47.6361097910001,-56.1624997179999 47.636109972,-56.1852727209999 47.68027297,-56.172499478 47.6955670450001,-56.1183358229999 47.760418153,-56.071458966 47.773216495,-56.059864207 47.7763818390001,-56.065221806 47.7680412760001,-56.084309718 47.738327972,-56.049727718 47.6994369720001,-56.0497275769999 47.6994370370001,-56.0497267599999 47.699436119,-55.883054962 47.775827108,-55.8542358 47.79721806,-55.835417924 47.8481910960001,-55.817508814 47.886936108,-55.7689549639999 47.951653956,-55.74459107 47.927909147,-55.76256 47.885735636,-55.799445981 47.799164171,-55.814999943 47.7724911110001,-55.832781983 47.742491106,-55.8663908999999 47.7138821610001,-55.873809197 47.709499921,-55.895554718 47.696654972,-55.912081718 47.6822099720001,-55.912081751 47.6822093420001,-55.912081996 47.6822091280001,-55.9134728889999 47.6557539980001,-55.879711038 47.6349705320001,-55.855836718 47.6202729720001,-55.849463752 47.619649759,-55.8316728899999 47.617909034,-55.804717862 47.6244360220001,-55.774717857 47.6383270150001,-55.757304206 47.6462563010001,-55.753054718 47.6481909720001,-55.7041727179999 47.6649909720001,-55.655063718 47.6768729720001,-55.6517658889999 47.6762691060001,-55.634165488 47.6730453170001,-55.889999718 47.5783279720001,-55.941936718 47.5616639720001,-55.965306449 47.5556474210001,-56.0444459939999 47.535273192,-56.0613381169999 47.5316827020001,-56.1202817179999 47.5191549720001,-56.157285196 47.5052333990001,-56.1667729979999 47.5016641070001,-56.112981966 47.4633271260001,-55.987781981 47.5005451230001,-55.892226776 47.536664253,-55.868450782 47.547046794,-55.8241727179999 47.566381972,-55.81429965 47.568957916,-55.7730548879999 47.5797180660001,-55.747342776 47.584957149,-55.745836718 47.5852639720001,-55.7771949799999 47.560380717,-55.788890817 47.551100069,-55.7979944099999 47.5438884320001,-55.8316727179999 47.517209972,-55.920381718 47.445027972,-55.920380052 47.445028608,-55.920381924 47.4450270840001,-55.8275453369999 47.4804527320001,-55.795281718 47.492763972,-55.654163716 47.495272974,-55.624999967 47.4636090930001,-55.587772918 47.3986091100001,-55.57361678 47.4176945080001,-55.5614547179999 47.434090972,-55.5539255529999 47.438425061,-55.5261089319999 47.4544361060001,-55.5059028329999 47.4537287750001,-55.502227718 47.4535999720001,-55.502227024 47.4536001000001,-55.5022268779999 47.4536000950001,-55.493474637 47.4552173930001,-55.4330547179999 47.4663819720001,-55.4256691859999 47.4728747730001,-55.411172923 47.4856181270001,-55.4002729279999 47.514718083,-55.400272849 47.514718622,-55.4002727179999 47.514718972,-55.3993889129999 47.5207252380001,-55.3897268169999 47.5863821820001,-55.4054179079999 47.6206180660001,-55.405418383 47.620618241,-55.405418718 47.620618972,-55.427531947 47.628797519,-55.433954936 47.6311732290001,-55.462499725 47.613673228,-55.462600395 47.6172234920001,-55.4633358529999 47.643191201,-55.4299998509999 47.709018143,-55.370490853 47.7256091140001,-55.348754901 47.7073540000001,-55.262781888 47.6505449800001,-55.168935964 47.6245258860001,-55.130218718 47.6137909720001,-55.130218273 47.6137912770001,-55.130217898 47.613791173,-55.0320819039999 47.6812450420001,-55.028545658 47.69027828,-55.021454717 47.7083909720001,-54.9919135659999 47.73395773,-54.9414550939999 47.7776268900001,-54.944024186 47.77024678,-54.951946048 47.747491079,-55.0107729269999 47.656273173,-55.032154995 47.6270821890001,-55.0321546599999 47.6270820500001,-55.032154717 47.627081972,-54.9618727169999 47.5977639720001,-54.845554872 47.633881924,-54.8413818719999 47.583600061,-54.843745817 47.5601279050001,-54.862306925 47.5477232910001,-54.868054932 47.543882077,-54.951390831 47.505000104,-55.04028192 47.4849911600001,-55.0797268219999 47.4809641590001,-55.104163925 47.4838822350001,-55.119608983 47.479213676,-55.175836718 47.4622189720001,-55.202227718 47.4460999720001,-55.235606961 47.4208058420001,-55.263890981 47.399373204,-55.286046028 47.3114540810001,-55.294446036 47.272773106,-55.329446014 47.242491134,-55.3814094379999 47.2079971810001,-55.4905547179999 47.1355459710001,-55.580281718 47.1119459710001,-55.667091184 47.0954016430001,-55.682363869 47.092491109,-55.685565029 47.0934473730001,-55.719581718 47.103609971,-55.7422187179999 47.104436971,-55.771945718 47.1026279710001,-55.8683277179999 47.070963971,-55.879655847 47.0619199650001,-55.886946009 47.0561000700001,-55.952499868 46.9963821950001,-55.966663943 46.981373224,-55.971098877 46.9718562300001,-55.981627718 46.9492639710001,-55.966109718 46.9099909710001,-55.939027718 46.8960999710001,-55.928949884 46.892271846,-55.919308873 46.888609192,-55.845835791 46.869709174,-55.803326802 46.860545072,-55.6897178149999 46.858327053,-55.6397063009999 46.8663120030001,-55.630554718 46.8677729710001,-55.6079664179999 46.869450854,-55.4652088729999 46.880053951,-55.3920819649999 46.8658270120001,-55.358335752 46.8741641560001,-55.258608873 46.9102732270001,-55.234999902 46.9258270220001,-55.193326756 46.984991189,-55.1520819249999 47.010127008,-55.1002819299999 47.0547091770001,-55.081032761 47.074210776,-55.0676457169999 47.087772971,-55.0646468589999 47.1012449720001,-55.0536088109999 47.1508271430001,-55.043851672 47.21266323,-55.0429908409999 47.2181181870001,-54.9805549929999 47.285554,-54.856390843 47.3905450490001,-54.7915999049999 47.418609169,-54.791721799 47.4180235000001,-54.798336717 47.386245972,-54.819027717 47.366099972,-54.7236097169999 47.351799972,-54.7002817169999 47.3577729720001,-54.621381717 47.3899909720001,-54.6185714709999 47.3920041690001,-54.604717829 47.401927003,-54.583316232 47.42012025,-54.578890717 47.4238819720001,-54.574289569 47.4287324320001,-54.563608785 47.439991069,-54.535690845 47.4740180760001,-54.508608916 47.5133270220001,-54.4356999359999 47.592353953,-54.4149277289999 47.595481954,-54.4650090879999 47.5227001420001,-54.489999917 47.486382221,-54.509397269 47.4645084630001,-54.529163717 47.442218972,-54.5495070929999 47.4235242560001,-54.559999873 47.4138821110001,-54.600555041 47.3804822390001,-54.607352525 47.3616201900001,-54.609790717 47.3548549720001,-54.6097905569999 47.3548549990001,-54.609790892 47.3548540670001,-54.536881367 47.3672407240001,-54.514163717 47.3710999720001,-54.477563717 47.3983999720001,-54.475539521 47.40817846,-54.4686087969999 47.4416540390001,-54.4352729619999 47.505553981,-54.337772988 47.621654069,-54.2924405639999 47.6756486800001,-54.259172717 47.715272972,-54.247627044 47.7301859980001,-54.219926782 47.7659641230001,-54.196181856 47.841245013,-54.082995071 47.8102589170001,-54.0333367169999 47.796663972,-54.003336716 47.7788819720001,-53.9838908799999 47.7577731580001,-53.983890861 47.757773129,-53.9795424869999 47.7503657620001,-53.895836716 47.6077729720001,-53.8893001669999 47.5881582330001,-53.8855639459999 47.5769449970001,-53.891673012 47.524709144,-53.9002730129999 47.4861091390001,-53.890036273 47.458950676,-53.879436716 47.430827972,-53.8693489149999 47.4071190610001,-53.867499939 47.40277324,-53.8761623789999 47.359246505,-53.877781716 47.3511099720001,-53.9106560179999 47.318134624,-53.92528193 47.3034641150001,-53.930905512 47.302929927,-53.9647187159999 47.2997189720001,-53.990058994 47.269797431,-53.9938908249999 47.2652731470001,-54.0666640169999 47.1311001670001,-54.082624884 47.0991831960001,-54.092499717 47.0794369710001,-54.115009717 47.0397189710001,-54.1287654729999 47.0176111580001,-54.131945967 47.012500092,-54.1367486029999 47.0074175460001,-54.160827717 46.981936971,-54.189894737 46.9024356250001,-54.19499984 46.8884732380001,-54.1963909 46.862500067,-54.1868729139999 46.82187315,-54.186872749 46.821873108,-54.186872717 46.8218729710001,-54.1716169269999 46.8180551950001,-54.0972178979999 46.7994361360001,-54.062868576 46.7959644690001,-54.0533277169999 46.794999971,-54.0533274159999 46.7950001500001,-54.0533268999999 46.7950000980001,-53.945826812 46.858891155,-53.914868778 46.8835195780001,-53.894163716 46.8999909710001,-53.872158086 46.9175286230001,-53.823063949 46.956653986,-53.703608921 47.053045034,-53.656099183 47.0964115080001,-53.646390716 47.105272971,-53.591381715 47.156099973,-53.5451367159999 47.1104099710001,-53.570460904 47.0909030940001,-53.5777819689999 47.085264232,-53.637646025 46.9924911480001,-53.617128774 46.9696540620001,-53.5947187159999 46.9447099710001,-53.6305859129999 46.850936581,-53.639445955 46.827773171,-53.641801976 46.8198549040001,-53.6479187159999 46.799299971,-53.643609716 46.7067999710001,-53.637970055 46.689787977,-53.634999858 46.680827009,-53.6142999099999 46.641173231,-53.6142998249999 46.6411731800001,-53.6142997159999 46.6411729710001,-53.5713907159999 46.6154819710001,-53.5269457159999 46.6174909710001,-53.485928147 46.641286548,-53.4575088669999 46.6577732550001,-53.4263908839999 46.687209158,-53.410554954 46.7008270680001,-53.392085763 46.71521068,-53.384172716 46.7213729710001,-53.3771994159999 46.7256037280001,-53.358054903 46.737218107,-53.315554966 46.6947091170001,-53.206599947 46.6303361000001,-53.1651358459999 46.6198540280001,-53.110974053 46.6357847940001,-53.0966727159999 46.639990971,-52.936663715 46.7970819710001,-52.932781715 46.825554971,-52.932397685 46.8288380880001,-52.929726909 46.8516641100001,-52.915109123 46.896124409,-52.909999715 46.9116639710001,-52.884172715 46.9741639710001,-52.8527817149999 47.0224909710001,-52.846195528 47.051199517,-52.843890856 47.06124505,-52.843890861 47.0612453370001,-52.843890715 47.0612459710001,-52.845272715 47.142490971,-52.8457061889999 47.144356515,-52.84972684 47.161664274,-52.818608857 47.2241642700001,-52.787508811 47.3080449930001,-52.7329776679999 47.352762957,-52.7180547149999 47.3649999720001,-52.692438809 47.393796545,-52.653326778 47.437764165,-52.6258267589999 47.4891541160001,-52.6188568229999 47.5050651450001,-52.617363715 47.5084729720001,-52.657772715 47.6574909720001,-52.7023637149999 47.7516639720001,-52.702363823 47.7516640360001,-52.7023639289999 47.751664261,-52.779681957 47.797673198,-52.823881644 47.706725954,-52.8405547149999 47.6724189720001,-52.840554701 47.672418728,-52.8405550259999 47.67241806,-52.8400871649999 47.6644050890001,-52.839027715 47.646245972,-52.845836715 47.6269369720001,-52.8867647719999 47.5722127430001,-52.896945956 47.558600196,-52.9131909229999 47.5450000550001,-52.9195067379999 47.5426719100001,-52.9516637149999 47.5308189720001,-52.9878974 47.514567492,-52.9949998069999 47.511382086,-53.0130639819999 47.501391192,-53.0407626319999 47.484905359,-53.065836716 47.469981972,-53.083063716 47.4583279720001,-53.118545716 47.4179099720001,-53.1672618119999 47.4294204290001,-53.1755638609999 47.4313821650001,-53.261672716 47.546390972,-53.264790681 47.6099272700001,-53.240835831 47.622491086,-53.221108854 47.628600152,-53.212896593 47.6318867410001,-53.201663716 47.636381972,-53.180972716 47.648881972,-53.176512772 47.6556972320001,-53.158608858 47.6830540240001,-53.075835887 47.850827037,-53.0594358549999 47.8866539730001,-53.059026818 47.9197180670001,-52.928335848 48.0755540760001,-52.907772861 48.0882540000001,-52.885396853 48.0843809090001,-52.876109715 48.082772972,-52.876109002 48.082773263,-52.8761088799999 48.082773241,-52.834655004 48.099645007,-52.834655605 48.09964561,-52.8346547149999 48.0996459720001,-52.861441037 48.1265847450001,-52.884026761 48.1493000720001,-52.897875331 48.1597639010001,-52.9022187149999 48.1630459720001,-52.9214539819999 48.1699566950001,-52.923473004 48.1706821390001,-52.935175892 48.1622709280001,-52.9580547159999 48.1458279720001,-52.974718716 48.116390972,-52.990119689 48.0955978910001,-52.9969459169999 48.086382154,-53.0215233759999 48.0700865630001,-53.04763664 48.0527730220001,-53.10049092 48.0390911210001,-53.170554914 48.0536001950001,-53.20076727 48.041888467,-53.2744457159999 48.0133279720001,-53.2908367159999 47.9994369720001,-53.306109716 47.984163972,-53.382163195 47.897783765,-53.4349999359999 47.8377732280001,-53.440649681 47.831039322,-53.461109716 47.806654972,-53.496809716 47.7374999720001,-53.541118716 47.5852639720001,-53.5452097159999 47.541036972,-53.631109716 47.543327972,-53.749724424 47.6045425720001,-53.7602817819999 47.609991048,-53.837499716 47.6994369720001,-53.850554716 47.7605549720001,-53.852499716 47.785272972,-53.825563716 47.794999972,-53.819366567 47.7897820850001,-53.797426893 47.771309095,-53.750048566 47.8152798190001,-53.737781716 47.8266639720001,-53.7329405 47.832545715,-53.723608812 47.843882127,-53.620826898 47.9959642170001,-53.606808835 48.048745061,-53.6068100379999 48.04874476,-53.606809716 48.0487459720001,-53.650218716 48.037881972,-53.668727716 48.0298819720001,-53.693390716 48.018718972,-53.7868097159999 47.996518972,-53.90973408 48.0228274080001,-53.885135798 48.027909159,-53.8444460169999 48.0226361040001,-53.80644982 48.021815416,-53.799445716 48.0216639720001,-53.763336716 48.0263819720001,-53.763336195 48.0263820980001,-53.7633358479999 48.0263821440001,-53.759880945 48.0272188420001,-53.736945716 48.032772972,-53.6917727159999 48.0585639720001,-53.691773003 48.0585641260001,-53.726108799 48.0770732120001,-53.732546278 48.076527266,-53.7702817159999 48.0733279720001,-53.7933367159999 48.073609972,-53.8236187159999 48.0744369720001,-53.909654716 48.0840189720001,-53.924427924 48.120826858,-53.944717887 48.1713821960001,-53.938823939 48.2199642530001,-53.937354716 48.232072972,-53.929777572 48.2313178640001,-53.8969458999999 48.228045035,-53.710555004 48.1758271190001,-53.685835766 48.1665181770001,-53.6654088999999 48.1629090980001,-53.633149905 48.1713730750001,-53.6262547159999 48.1731819720001,-53.3888907159999 48.3038819720001,-53.344999716 48.3602729720001,-53.260763716 48.3708999730001,-53.256606221 48.3691617060001,-53.2081908329999 48.3489181140001,-53.123848997 48.391851407,-53.097499716 48.405263973,-53.075563716 48.422490973,-53.053890716 48.4427639730001,-53.041020536 48.4630873200001,-52.9872178799999 48.5480449770001,-52.977685341 48.5948720800001,-52.977081716 48.597836973,-53.020972716 48.658599973,-53.0247758849999 48.661533966,-53.072008878 48.697973253,-53.0720094499999 48.6979727680001,-53.072009716 48.697972973,-53.1179789949999 48.6590216000001,-53.153881967 48.6286000960001,-53.176651578 48.60588239,-53.221390716 48.561245973,-53.306381716 48.5864459730001,-53.3419457159999 48.6141639730001,-53.3419459039999 48.6141639910001,-53.341946059 48.614164111,-53.430826754 48.6227731640001,-53.430826923 48.6227728960001,-53.430827716 48.6227729730001,-53.464518716 48.5693639730001,-53.488609716 48.5072189730001,-53.533890716 48.451936973,-53.562218716 48.439154973,-53.588054351 48.4280461290001,-53.5580549919999 48.474709191,-53.558055093 48.4747093870001,-53.558054716 48.4747099730001,-53.568815731 48.4957031210001,-53.574717881 48.5072180670001,-53.5863907149999 48.525272973,-53.5863908539999 48.5252731900001,-53.631317856 48.5402001860001,-53.674445933 48.53416421,-53.756363451 48.5032643440001,-53.7531249589999 48.5078015720001,-53.749381991 48.513044999,-53.7493819489999 48.5130456470001,-53.749381716 48.513045973,-53.746390716 48.5585999730001,-53.7463908349999 48.558599993,-53.7463908249999 48.5586001400001,-53.754524014 48.560009914,-53.7961097159999 48.5672189730001,-53.898199716 48.5626279730001,-53.9187457159999 48.5529099730001,-53.951034858 48.543255528,-53.9308268939999 48.5740270330001,-53.783890957 48.6230450730001,-53.728881868 48.6294361070001,-53.685899907 48.636354254,-53.671945716 48.6385999730001,-53.667858962 48.6399542140001,-53.6522177959999 48.6451360820001,-53.614396535 48.675224574,-53.607181716 48.6809639730001,-53.607182021 48.6809640390001,-53.6071818299999 48.680964192,-53.6319466379999 48.686372007,-53.759172716 48.7141549730001,-53.857563716 48.704936973,-53.885972716 48.6903099730001,-53.913818716 48.666099973,-53.852781716 48.6663819730001,-53.846119905 48.6676942550001,-53.824581912 48.6719360440001,-53.7958369839999 48.6800638190001,-53.863190716 48.6415189730001,-53.8856907159999 48.632636973,-53.9147424029999 48.626495108,-53.922845835 48.6247821700001,-53.9505546949999 48.6708279380001,-53.932217787 48.7139360840001,-53.8989186709999 48.730057017,-53.893890716 48.732490973,-53.8677727159999 48.7499999730001,-53.863176768 48.7534595980001,-53.8452729749999 48.766936032,-53.801526817 48.8102731540001,-53.813552328 48.8205890780001,-53.824999716 48.830409973,-53.875554716 48.836936973,-53.899172716 48.8380459730001,-53.915070181 48.8357452120001,-53.920281957 48.834991218,-53.956860385 48.8302516900001,-54.0961019229999 48.8122109830001,-54.0213819579999 48.8333270750001,-53.984589688 48.8446510690001,-53.9744457159999 48.8477729730001,-53.813054716 48.938881973,-53.811009569 48.9473622420001,-53.8036088819999 48.978044993,-53.7702819319999 48.9894359990001,-53.7416268869999 49.000373209,-53.7557589859999 49.0038486550001,-53.785281716 49.011109973,-53.804444448 49.0222182380001,-53.729472307 49.0280220240001,-53.7147187159999 49.029163973,-53.704621996 49.0297467450001,-53.6619459999999 49.032209186,-53.6019441559999 49.0372761730001,-53.5911097159999 49.038190973,-53.591109635 49.038191118,-53.59110886 49.038191183,-53.488608913 49.220545019,-53.511117843 49.277218084,-53.5111184629999 49.277218336,-53.5111187159999 49.2772189730001,-53.6733367159999 49.3430459730001,-53.767761841 49.392322805,-53.774999937 49.3961001260001,-53.919999822 49.4477732180001,-53.942299035 49.453531937,-54.045281717 49.480127974,-54.140136717 49.445545974,-54.15190376 49.417145405,-54.154581967 49.4106821230001,-54.15656483 49.40441436,-54.164027717 49.3808279730001,-54.1791584219999 49.3728658890001,-54.1827729899999 49.3709641400001,-54.248890951 49.3974911870001,-54.325281941 49.4238821120001,-54.3311976649999 49.4232969660001,-54.368118717 49.4196459730001,-54.400418717 49.3851999730001,-54.413190717 49.3505459730001,-54.4131905849999 49.3505456730001,-54.4131908379999 49.3505449850001,-54.4041638639999 49.33006414,-54.425995035 49.3117200250001,-54.481563717 49.265027973,-54.48187171 49.281948232,-54.483326916 49.361935992,-54.458185688 49.412443506,-54.4505547169999 49.4277729730001,-54.436394602 49.4577387150001,-54.431390968 49.4683271540001,-54.431391047 49.468327275,-54.4313907169999 49.468327974,-54.450671131 49.497996174,-54.474717864 49.5350001640001,-54.48208124 49.5345771560001,-54.528054717 49.5319369740001,-54.579727717 49.494709974,-54.642636717 49.423463973,-54.650421388 49.4093285340001,-54.653190878 49.4043001420001,-54.661534026 49.3966571540001,-54.6797277169999 49.3799909730001,-54.784727717 49.290690973,-54.821109717 49.270409973,-54.966389996 49.2823389590001,-54.9902727849999 49.284300107,-55.0102817169999 49.323881973,-55.010281855 49.323882032,-55.010281915 49.3238821510001,-55.018808039 49.3274863080001,-55.077636717 49.352354973,-55.081118717 49.2838819730001,-55.099102945 49.2774629880001,-55.148054923 49.259991094,-55.176598832 49.2464977290001,-55.280345718 49.197454973,-55.2803457049999 49.1974541880001,-55.280345998 49.197454049,-55.2788909129999 49.108745824,-55.32311563 49.074930474,-55.3455550259999 49.057773153,-55.352837956 49.054507442,-55.383321794 49.0408396290001,-55.3202819109999 49.0855450810001,-55.312631198 49.0954434060001,-55.307499718 49.1020819730001,-55.308229002 49.103929296,-55.327535778 49.152836005,-55.327536364 49.1528360770001,-55.327536718 49.152836973,-55.366108132 49.1575547790001,-55.314999804 49.216936107,-55.301750033 49.2236618520001,-55.2963907179999 49.2263819730001,-55.279867953 49.2330120620001,-55.231663904 49.2523540070001,-55.12471786 49.465273123,-55.1233268 49.496936098,-55.1413178839999 49.5433270820001,-55.141318368 49.5433270730001,-55.141318718 49.5433279740001,-55.261390718 49.5411099740001,-55.3055547179999 49.5344369740001,-55.305554808 49.5344360770001,-55.305554907 49.5344360620001,-55.3060956539999 49.5290805430001,-55.3104187179999 49.486272974,-55.277009221 49.417006831,-55.271454978 49.40549121,-55.279628991 49.394769986,-55.308918718 49.3563549730001,-55.314769492 49.3178114030001,-55.315281784 49.314437099,-55.3276161429999 49.337877593,-55.336108789 49.3540181110001,-55.335834109 49.3827099580001,-55.335781718 49.3881639730001,-55.332945718 49.4164909730001,-55.349281718 49.4681549740001,-55.373472718 49.5034639740001,-55.373472766 49.5034639670001,-55.373472966 49.5034642590001,-55.435972963 49.494991161,-55.464349951 49.475592605,-55.496109718 49.4538819740001,-55.514184331 49.4379496970001,-55.52778196 49.425964177,-55.528571826 49.420119578,-55.531527718 49.3982549730001,-55.555078921 49.37434197,-55.5611459579999 49.3681821860001,-55.5615401969999 49.368469444,-55.572772718 49.376654973,-55.568042888 49.4007413850001,-55.5663908499999 49.4091541020001,-55.522635807 49.4842911590001,-55.528017795 49.4845266090001,-55.5481907179999 49.485409974,-55.576233771 49.4697235770001,-55.5891639779999 49.4624911700001,-55.636946023 49.416382153,-55.638131992 49.410220726,-55.6408367179999 49.396172973,-55.668054718 49.383536973,-55.707907134 49.445584689,-55.7235357769999 49.469918039,-55.723536415 49.469918502,-55.7235367179999 49.4699189740001,-55.767076499 49.501504432,-55.779163954 49.510273215,-55.827781842 49.5241642080001,-55.836984898 49.5228004670001,-55.8747187179999 49.5172099740001,-55.909723906 49.509181337,-55.9170549789999 49.507500146,-55.927257674 49.504983614,-55.963054718 49.496154974,-56.002499718 49.483045974,-56.022781718 49.463054974,-56.054885837 49.4449269570001,-56.0680549649999 49.437491138,-56.0798205529999 49.43490495,-56.125545194 49.4248550890001,-56.0799998479999 49.4869359850001,-56.0443618629999 49.5026583380001,-56.035281718 49.506663974,-56.021627773 49.5119977800001,-55.971399886 49.5316180660001,-55.949143486 49.537697483,-55.940445718 49.5400729740001,-55.8802817179999 49.5849909740001,-55.872305422 49.602261115,-55.8333268069999 49.686654107,-55.833327891 49.6866545990001,-55.833327718 49.6866549740001,-55.893890718 49.7141549740001,-55.9608367179999 49.699436974,-56.0359903789999 49.6723406200001,-56.0474998559999 49.6681911210001,-56.0664541519999 49.6546282190001,-56.124172653 49.613328021,-56.1229766989999 49.616914686,-56.1152817179999 49.6399909740001,-56.087680775 49.6628443490001,-55.986117838 49.746936084,-55.8430550109999 49.7883270950001,-55.7130830629999 49.8303428900001,-55.6591637179999 49.8477729740001,-55.511390718 49.9088819740001,-55.5076358859999 49.9105155400001,-55.4922267649999 49.917218135,-55.4701357559999 49.935554052,-55.4610358589999 49.959709188,-55.471572334 49.9760650380001,-55.491699718 50.0073099740001,-55.523242765 50.0010606870001,-55.527217858 50.0002732410001,-55.527218041 50.000273108,-55.527218718 50.000272974,-55.549999718 49.983745974,-55.587218718 49.9641549740001,-55.7505547179999 49.923609974,-55.8236108789999 49.966875929,-55.8362548539999 49.9743642240001,-55.83770155 49.977022204,-55.847708811 49.995409055,-55.847709596 49.995409749,-55.847709718 49.995409974,-55.851416956 49.9986933210001,-55.881108852 50.0249911380001,-55.888605731 50.028022531,-55.900690718 50.0329099740001,-55.929620826 50.035558919,-55.9386088749999 50.0363821440001,-56.0050088039999 50.0313821720001,-56.066108855 50.0938821680001,-56.122635739 50.154500092,-56.1226366939999 50.1544999480001,-56.122636718 50.154499974,-56.127775839 50.1537241450001,-56.157081841 50.1493001270001,-56.214864 50.1163822140001,-56.2377819669999 50.100273202,-56.274184017 50.0706525090001,-56.327227719 50.027490974,-56.386527719 49.946099974,-56.412218719 49.909718974,-56.4319457189999 49.8905459740001,-56.464619039 49.8936888150001,-56.4709728839999 49.894300168,-56.493421812 49.881369238,-56.561390719 49.842218974,-56.598609719 49.811936974,-56.6777817189999 49.733609974,-56.697844313 49.712096919,-56.7124999389999 49.6963821430001,-56.722828281 49.683190713,-56.7355547189999 49.6669369740001,-56.7425242579999 49.6578409520001,-56.7491729449999 49.6491642010001,-56.763063938 49.631382161,-56.782772978 49.6099912080001,-56.826663976 49.562764213,-56.83339454 49.556720156,-56.843054719 49.548045974,-56.848880962 49.544446442,-56.817081951 49.591936086,-56.782772978 49.690827121,-56.7827729809999 49.6908272200001,-56.782772719 49.6908279740001,-56.783074061 49.7006740850001,-56.784008805 49.7312449930001,-56.7840096969999 49.731245255,-56.784009719 49.731245974,-56.818238949 49.7412898790001,-56.820999821 49.742100061,-56.82880514 49.742601558,-56.9053258609999 49.7475188540001,-56.87277169 49.7729796100001,-56.866863719 49.7775999740001,-56.827899719 49.7849999740001,-56.7598457189999 49.837272974,-56.726663719 49.9160999740001,-56.7266640729999 49.9161000180001,-56.726664015 49.9161001570001,-56.734823095 49.917111472,-56.777635687 49.922418846,-56.767499809 49.9622091740001,-56.758206464 49.985230786,-56.743054719 50.022763974,-56.6352727189999 50.106381974,-56.605958199 50.1289339890001,-56.555826914 50.167500089,-56.506946001 50.20901817,-56.462499953 50.2722180550001,-56.4246908649999 50.3380540490001,-56.323617852 50.446382101,-56.258608817 50.502773199,-56.163326862 50.6177641940001,-56.138526822 50.670464237,-56.1572177959999 50.6908270650001,-56.1693229269999 50.8215258600001,-56.172499655 50.855827285,-56.14916396 50.8890181720001,-56.113954937 50.89741818,-56.1215999039999 50.8636000500001,-56.123323098 50.845353968,-56.130827718 50.7658999750001,-56.098027718 50.726918975,-56.0980275919999 50.726918964,-56.0980268069999 50.7269180310001,-56.068890976 50.724436149,-55.9994459019999 50.788609174,-55.917541996 50.878459245,-55.859172718 50.9424909750001,-55.8055547179999 51.009163975,-55.803491771 51.0157164820001,-55.79610881 51.039164209,-55.754035846 51.05610018,-55.734026902 51.077082095,-55.7191639439999 51.1230451000001,-55.719163925 51.123045334,-55.7191637179999 51.1230459750001,-55.718531367 51.130999655,-55.714717847 51.1789540710001,-55.714718739 51.1789547170001,-55.714718718 51.1789549750001,-55.764999718 51.2154099750001,-55.844581718 51.2287369750001,-55.935196458 51.204087406,-55.959445951 51.1974911520001,-55.9925638509999 51.1765732160001,-56.012254718 51.212336975,-56.025554718 51.2383279750001,-56.096390594 51.3183278340001,-56.0819459579999 51.3690180840001,-56.039796479 51.3768770020001,-56.030554718 51.378599975,-56.0122350999999 51.3761772490001,-55.820554966 51.3508270070001,-55.70278185 51.328044994,-55.613754973 51.3028360850001,-55.508054983 51.363327107,-55.4922267649999 51.3777731500001,-55.466649532 51.4302400070001,-55.4544457179999 51.4552729750001,-55.406772718 51.5644729750001,-55.4067729559999 51.5644731030001,-55.406772926 51.56447317,-55.4162132129999 51.569526045,-55.4586097179999 51.592218976,-55.5158367179999 51.6022189760001,-55.541092458 51.5884771980001,-55.5474998839999 51.5849912310001,-55.568616079 51.5719398950001,-55.586036236 51.5611732740001,-55.600410333 51.563366396,-55.628336718 51.5676279750001,-55.653327718 51.590545976,-55.7124182169999 51.5840667690001,-55.724299871 51.5827641590001,-55.731542969 51.56588064,-55.736245718 51.5549189750001,-55.736245614 51.554918867,-55.736245927 51.554918136,-55.708298999 51.525760113,-55.683609718 51.499999975,-55.644310127 51.4836001460001,-55.694446047 51.4811000560001,-55.882217778 51.4949912160001,-55.88538665 51.541186436,-55.886390679 51.5558274110001,-55.852081986 51.597627118,-55.8459328279999 51.6078317210001,-55.8377727179999 51.621372976,-55.837773034 51.6213730000001,-55.837772903 51.621373217,-55.851284719 51.6224369000001,-55.903127718 51.6265189760001,-55.943327718 51.6063819760001,-55.9532813819999 51.5990432470001,-55.960281962 51.593882084,-56.004863964 51.569300141,-56.1105549019999 51.5238821280001,-56.141254739 51.513912443,-56.271381719 51.471654975,-56.461736719 51.4144369750001),(-55.637321071 50.7581079890001,-55.650763926 50.72409115,-55.650763685 50.724091059,-55.650763718 50.7240909750001,-55.584445718 50.6988819750001,-55.579906853 50.699074555,-55.564717822 50.699718085,-55.5544459669999 50.7023540260001,-55.524999839 50.715827097,-55.512508791 50.7227641270001,-55.4826016439999 50.763066752,-55.466945718 50.7841639750001,-55.458597891 50.7885546630001,-55.4524268059999 50.7918001640001,-55.458608795 50.8041540840001,-55.458609254 50.8041540470001,-55.4586097179999 50.8041549750001,-55.582135879 50.7943277540001,-55.619163983 50.791382243,-55.622339284 50.7884289950001,-55.6270817179999 50.784018975,-55.637321071 50.7581079890001),(-54.27244074 49.7211497490001,-54.285418717 49.7140189740001,-54.2956631389999 49.6618820510001,-54.297781922 49.6511000850001,-54.298890848 49.6099912080001,-54.291390888 49.57832706,-54.28141026 49.572842075,-54.274718717 49.569163974,-54.2618097169999 49.566799974,-54.2618091269999 49.566800158,-54.261808805 49.566800099,-54.169027822 49.59588976,-54.004445716 49.6474909740001,-54.003063716 49.659990974,-54.029129941 49.681162371,-54.039999837 49.689991107,-54.081117771 49.7363820940001,-54.0858268919999 49.745545023,-54.085827297 49.745545157,-54.085827717 49.745545974,-54.0957333549999 49.748808426,-54.098054915 49.7495731980001,-54.141945913 49.7500001720001,-54.269999936 49.7224911010001,-54.27244074 49.7211497490001),(-54.529726785 49.6338821470001,-54.536117819 49.664154061,-54.536118479 49.664153846,-54.536118717 49.664154974,-54.547318326 49.660503614,-54.548890834 49.6599911050001,-54.561945983 49.653600071,-54.565958794 49.6478419170001,-54.5747187169999 49.635272974,-54.6147277169999 49.6060999740001,-54.7086097169999 49.5544369740001,-54.729718717 49.548045974,-54.741798859 49.545449578,-54.74389095 49.54500011,-54.74637489 49.5451350160001,-54.7643097169999 49.546109974,-54.787090717 49.557145974,-54.792781717 49.5698549740001,-54.805554717 49.595827974,-54.878380738 49.592296058,-54.888608867 49.5918001310001,-54.888608941 49.591800011,-54.888609717 49.591799974,-54.894027717 49.5829099740001,-54.8793034569999 49.519264209,-54.8724998549999 49.48985406,-54.8594460469999 49.484854087,-54.8391640199999 49.484435998,-54.809435757 49.488045078,-54.7811038249999 49.492590824,-54.773054717 49.493881974,-54.7287234679999 49.5086693550001,-54.573608899 49.560409066,-54.544559669 49.5821158590001,-54.5406997169999 49.584999974,-54.533466677 49.6148223390001,-54.531672896 49.622218058,-54.5316728 49.6222186300001,-54.5316727169999 49.6222189740001,-54.5316181819999 49.622545985,-54.529726785 49.6338821470001),(-53.615555016 48.1675002010001,-53.6477819249999 48.1552641310001,-53.651784213 48.1543062800001,-53.667499716 48.150545972,-53.6855102769999 48.1475980860001,-53.6861088479999 48.1475001420001,-53.712772856 48.1488821500001,-53.7327650399999 48.152099434,-53.857781716 48.1722189720001,-53.8821598019999 48.19191764,-53.902635871 48.2084642390001,-53.9256998509999 48.2109642250001,-53.929217368 48.2046876310001,-53.932781716 48.1983279720001,-53.9327818629999 48.198327211,-53.932781889 48.1983271650001,-53.932843458 48.1980069620001,-53.9358277159999 48.182490972,-53.932915551 48.173979365,-53.932499922 48.172764204,-53.932499717 48.172763972,-53.874299842 48.1066539540001,-53.856108932 48.0980450690001,-53.839435818 48.094435989,-53.826886537 48.0931328450001,-53.823336716 48.0927639720001,-53.634172716 48.0752729720001,-53.628630866 48.0759268570001,-53.598881902 48.079436071,-53.563608841 48.084991093,-53.559592128 48.0860146570001,-53.549445716 48.0885999720001,-53.546440003 48.089918341,-53.533608836 48.095545083,-53.511672893 48.148045133,-53.511672888 48.1480455610001,-53.511672716 48.148045972,-53.5115844869999 48.155798949,-53.511117843 48.1967270590001,-53.511118724 48.1967272680001,-53.5111187159999 48.1967279720001,-53.5312223079999 48.2014766190001,-53.535554947 48.202500179,-53.5391850939999 48.2018060520001,-53.553054716 48.199154972,-53.5641637159999 48.1905459720001,-53.571109716 48.1860999720001,-53.583327716 48.180827972,-53.6085605229999 48.170392534,-53.615555016 48.1675002010001),(-55.945872021 46.7372329740001,-55.9825 46.8027777780001,-56.091666667 46.8555555560001,-56.096203411 46.8581479810001,-56.096920246 46.858557601,-56.099444444 46.8600000000001,-56.1297222219999 46.9311111110001,-56.11949949 47.0011770310001,-56.112838526 47.0468308270001,-56.105 47.1005555560001,-56.2549999999999 47.3052777780001,-56.359702258 47.3313926100001,-56.4301599679999 47.3489661690001,-56.494444444 47.3650000000001,-56.5068845709999 47.35373056,-56.5231368889999 47.339007678,-56.6311111109999 47.241194444,-56.6546727319999 47.222590972,-56.661142774 47.2174824420001,-56.662527778 47.216388889,-56.730314127 47.187818388,-56.868416667 47.129611111,-57.006668577 47.0408177670001,-57.096777452 46.9829446540001,-57.0967777779999 46.9829444440001,-57.096777558 46.982944075,-56.98675 46.798472222,-56.9359175 46.68952711,-56.8986944439999 46.6097500000001,-56.8444753799999 46.5601400520001,-56.8379166669999 46.5541388890001,-56.837916556 46.5541388180001,-56.688138889 46.4578888890001,-56.648333895 46.444740385,-56.648333849 46.44474037,-56.5066666669999 46.3979444440001,-56.45851578 46.3837239870001,-56.404333333 46.3677222220001,-56.403229914 45.879486822,-56.402111111 45.3844444440001,-56.400731258 44.7331538870001,-56.400027778 44.401111111,-56.398027778 43.417916667,-56.3146654829999 43.417291618,-56.2360990719999 43.416702528,-56.157222718 43.416111115,-56.157222552 43.416111114,-56.157222222 43.4161111110001,-56.1550833329999 44.4625,-56.1528333329999 45.5083333330001,-56.150444444 46.5547777780001,-56.125402288 46.560216487,-56.058580161 46.574729059,-56.029194444 46.581111111,-55.9533888889999 46.617138889,-55.944942785 46.6220275050001,-55.903333604 46.6461109540001,-55.903333333 46.646111111,-55.924444444 46.698888889,-55.938005344 46.723155762,-55.945872021 46.7372329740001),(-60.931392042 45.576522341,-60.936945959 45.5766641480001,-60.951590907 45.576396061,-61.020418723 45.5751369700001,-61.092048017 45.550051314,-61.102499947 45.5463910610001,-61.10389084 45.5249912240001,-61.1038907129999 45.524991132,-61.103890723 45.52499097,-61.041685494 45.4799758790001,-61.019446015 45.4638821200001,-61.007781926 45.4572181720001,-60.998317146 45.4568483480001,-60.997081723 45.4567999700001,-60.950554723 45.49777297,-60.961463723 45.5127729700001,-60.949999723 45.5317999700001,-60.941426824 45.536345026,-60.9361089459999 45.539164181,-60.9102819519999 45.546109094,-60.8865268 45.5494360390001,-60.880698938 45.5564890900001,-60.879299723 45.5581819700001,-60.8792999789999 45.558182152,-60.879299923 45.5581822190001,-60.8816407969999 45.559843432,-60.904163723 45.57582797,-60.931392042 45.576522341),(-61.101672988 45.564436125,-60.96082684 45.5994361030001,-60.803450007 45.595853774,-60.765554723 45.59499097,-60.7199865699999 45.6000404700001,-60.557499884 45.6180451020001,-60.51969208 45.618757267,-60.513063723 45.6188819700001,-60.4988907229999 45.62027297,-60.475408822 45.6248136030001,-60.40194601 45.639018132,-60.3797178729999 45.645000129,-60.234508944 45.7018000960001,-60.196212192 45.7413842020001,-60.174445722 45.7638819700001,-60.170962346 45.7801723330001,-60.157635827 45.842491179,-60.1411085779999 45.8586498230001,-60.133199722 45.8663819700001,-60.1089759939999 45.871275971,-59.958608877 45.9016540050001,-59.8405549669999 45.9383270110001,-59.8405551399999 45.938327841,-59.840554722 45.93832797,-59.853890722 46.0024909700001,-59.847882226 46.022120586,-59.826808813 46.09096415,-59.814477293 46.1036835780001,-59.8091637219999 46.1091639700001,-59.8730547219999 46.1758279700001,-59.945396097 46.1996810220001,-59.950555041 46.2013821460001,-59.9659004809999 46.2060468990001,-60.0958367219999 46.2455459710001,-60.1330547219999 46.247627971,-60.1899850089999 46.241852491,-60.205554927 46.2402731780001,-60.285281722 46.3213819710001,-60.285281783 46.3213819590001,-60.285281987 46.321382166,-60.3537549279999 46.3077731400001,-60.3649808489999 46.3018942960001,-60.399654722 46.2837369710001,-60.456109722 46.2413819710001,-60.644927723 46.07134597,-60.644925697 46.0713461450001,-60.6449268219999 46.071345132,-60.605835805 46.0747181780001,-60.528054928 46.1216539860001,-60.4712459089999 46.1583271590001,-60.447628035 46.1764720900001,-60.435272722 46.18596397,-60.422056469 46.195469857,-60.4031178 46.2090911500001,-60.3691638829999 46.2241541010001,-60.298682124 46.227009138,-60.3074997219999 46.2087459700001,-60.490836723 46.0944369700001,-60.5236097229999 46.07555497,-60.541118723 46.0655459700001,-60.601390723 46.0397189700001,-60.666212706 46.0123480230001,-60.685272945 46.004300132,-60.735021665 45.9710574000001,-60.7872277229999 45.93617297,-60.7161097229999 45.8902729700001,-60.708659772 45.889204412,-60.689999836 45.8865270160001,-60.658608938 45.897418126,-60.6404403399999 45.9100157250001,-60.634863723 45.91388197,-60.611672723 45.92499997,-60.598980835 45.92991275,-60.554999897 45.9469360630001,-60.402711962 45.988808201,-60.4669457219999 45.9380459700001,-60.491945723 45.92943697,-60.5169457229999 45.9208279700001,-60.661259538 45.8253554950001,-60.7245818919999 45.78346414,-60.738837598 45.7728253660001,-60.811036723 45.7189459700001,-60.839452762 45.732943402,-60.844163991 45.7352641740001,-60.85067406 45.7377149880001,-60.8818097229999 45.74943697,-60.918336723 45.7536099700001,-60.940405277 45.749393873,-60.945272877 45.7484641630001,-60.951947315 45.745935392,-60.9727727229999 45.73804597,-61.0045817229999 45.7233279700001,-61.0317805559999 45.709377685,-61.041946061 45.7041641280001,-61.051511376 45.6997926860001,-61.0741727229999 45.68943697,-61.146526631 45.701518788,-61.1229179279999 45.7594451260001,-61.073335785 45.7888910880001,-61.050195865 45.7979513350001,-61.0194457229999 45.8099909700001,-60.939645723 45.82319097,-60.935220393 45.829489837,-60.91812691 45.8538181480001,-60.9181278849999 45.8538187400001,-60.9181277229999 45.8538189700001,-60.9579919569999 45.8780439920001,-60.9641728949999 45.881800126,-60.967996972 45.881820256,-60.989999723 45.88193697,-61.0261097229999 45.86970997,-61.055136723 45.8555549700001,-61.090516693 45.8528371260001,-61.0553689 45.8833044420001,-61.048472723 45.8892819700001,-61.03110251 45.891894135,-60.9569460179999 45.9030450650001,-60.898054934 45.9066539780001,-60.870282001 45.9108181070001,-60.80749987 45.9311091860001,-60.7367358189999 46.055127155,-60.736737085 46.0551273350001,-60.736736723 46.0551279700001,-60.7641727229999 46.0590189700001,-60.827378225 46.0393658290001,-60.853055011 46.031382229,-60.892772994 46.0152732170001,-60.910828878 46.0070508850001,-60.948890723 45.9897189700001,-60.973893903 45.970945735,-60.9875639369999 45.9606822170001,-60.997403904 45.9542700260001,-61.016163723 45.94204597,-61.054918723 45.9315459700001,-61.124445395 45.9258279970001,-61.107917841 45.9532540070001,-61.0840269029999 45.9515181140001,-61.023890938 45.9694361090001,-60.9861178909999 45.982491091,-60.863335905 46.0524911260001,-60.788890723 46.06666397,-60.6944457229999 46.0867999700001,-60.662947112 46.0993063620001,-60.6458357559999 46.1061001910001,-60.608199837 46.125545033,-60.594926888 46.1352157760001,-60.590281723 46.13859997,-60.581618792 46.1471647440001,-60.535826797 46.192436141,-60.46263585 46.2566641500001,-60.425135886 46.277973128,-60.4208358019999 46.3275001170001,-60.423634367 46.327432715,-60.443881722 46.326945971,-60.465789532 46.317408711,-60.4738909019999 46.3138822070001,-60.4920378799999 46.301770651,-60.535690723 46.2726369710001,-60.552363723 46.2519369710001,-60.5714997229999 46.228654971,-60.588663723 46.2086549700001,-60.609172609 46.2019370080001,-60.5894357729999 46.2550001750001,-60.553042434 46.299800798,-60.535281723 46.3216639710001,-60.478881723 46.389990971,-60.324999722 46.7306909710001,-60.3204671 46.7497646890001,-60.3029178469999 46.823609042,-60.30582687 46.8443001050001,-60.3259248059999 46.8611135460001,-60.3318097219999 46.866036971,-60.348210735 46.8626170960001,-60.3527819559999 46.861664223,-60.373681356 46.861941351,-60.446663722 46.8629099710001,-60.495972288 46.89943665,-60.427499918 46.96582714,-60.4275002429999 46.9658274660001,-60.4274997219999 46.9658279710001,-60.444113735 46.9824459720001,-60.460826868 46.9991641490001,-60.500615512 47.0083109660001,-60.595554723 47.030136971,-60.6269296579999 47.0089965770001,-60.640281907 47.0000001600001,-60.647174161 46.990663822,-60.660690723 46.9723549710001,-60.670554723 46.953609971,-60.670554994 46.9536091750001,-60.678336723 46.930827971,-60.6886641689999 46.911399089,-60.690963922 46.9070731840001,-60.717145971 46.8809642260001,-60.759748197 46.8509443470001,-60.799727659 46.822773016,-60.8370819529999 46.8145731830001,-60.8434729799999 46.8110560260001,-60.8686187229999 46.7972189710001,-60.892227723 46.773881971,-60.996945723 46.634718971,-61.0102254019999 46.609713626,-61.03298195 46.566864138,-61.0493994719999 46.5356339000001,-61.093327723 46.4520729710001,-61.297081723 46.2299189710001,-61.343327723 46.21249097,-61.35683653 46.2068186970001,-61.3823639829999 46.196100206,-61.391948354 46.190498403,-61.4127727229999 46.1783279700001,-61.443336723 46.1544369700001,-61.453414638 46.1404666280001,-61.4555549299999 46.137500141,-61.4870067919999 46.0727715300001,-61.5274997229999 45.98943697,-61.527499604 45.989436449,-61.527499822 45.9894360010001,-61.5190099719999 45.9523880260001,-61.4947187229999 45.84638197,-61.480838247 45.8109810920001,-61.478054975 45.8038821210001,-61.473009482 45.782392391,-61.4561097229999 45.7104099700001,-61.446284223 45.6931604590001,-61.430554898 45.6655450120001,-61.3755729649999 45.6221270880001,-61.33694597 45.5733271450001,-61.273054913 45.5619361390001,-61.228108801 45.581153999,-61.196917974 45.5837361210001,-61.168336723 45.5513819700001,-61.168335773 45.5513821500001,-61.148336725 45.555263977,-61.148335881 45.5552641420001,-61.101672988 45.564436125),(-62.448190724 46.09679097,-62.470972724 46.1481819700001,-62.470972773 46.1481819620001,-62.470972881 46.1481822060001,-62.49696963 46.143557107,-62.499027724 46.14319097,-62.4781909239999 46.1249911450001,-62.48341919 46.1237695500001,-62.503754724 46.1190189700001,-62.533337232 46.121688647,-62.54222677 46.12249117,-62.5730360649999 46.1511514250001,-62.603890076 46.1798543670001,-62.5075089269999 46.214153987,-62.4538908979999 46.2144361220001,-62.430303851 46.2169039930001,-62.422081724 46.2177639700001,-62.399824747 46.2395601600001,-62.3619459459999 46.2766539840001,-62.334726889 46.3119360960001,-62.338049134 46.3169917340001,-62.348054724 46.332218971,-62.352667363 46.3433404090001,-62.3568088449999 46.353327108,-62.334581882 46.355545127,-62.312824382 46.350798696,-62.309163724 46.349999971,-62.304367645 46.348052276,-62.279726852 46.3380450540001,-62.215555001 46.3436091290001,-62.173335857 46.3494360610001,-62.10110883 46.3797180330001,-62.0130639779999 46.421109044,-61.974617864 46.4547090770001,-61.974619311 46.454709458,-61.974618724 46.4547099710001,-61.999631209 46.4612971930001,-62.0147267789999 46.4652731250001,-62.058055016 46.472764199,-62.133326854 46.482764145,-62.1744459569999 46.485964188,-62.455555041 46.478600183,-62.477217902 46.477764172,-62.495763288 46.476671901,-62.5949997239999 46.4708279710001,-62.665836725 46.461109971,-62.694027725 46.454645971,-62.8627817249999 46.4347189710001,-62.9427727249999 46.426936971,-63.2163907249999 46.412209971,-63.2406637249999 46.420454971,-63.2719817249999 46.4269279710001,-63.3149997419999 46.4885999700001,-63.314999856 46.4886001290001,-63.497781839 46.5277731210001,-63.6188909529999 46.5611000710001,-63.654717889 46.5668001010001,-63.6554145649999 46.5667150460001,-63.676390725 46.5641549710001,-63.7181187259999 46.549299971,-63.739027726 46.493736971,-63.7390268509999 46.493736261,-63.7390269269999 46.493736056,-63.722772908 46.48054512,-63.700209733 46.4562459570001,-63.7074835509999 46.4414754420001,-63.7094460179999 46.437491139,-63.7138691119999 46.437752065,-63.7376367259999 46.4391549710001,-63.775584834 46.4443481980001,-63.7802819839999 46.4449910980001,-63.783175087 46.4458569710001,-63.834590726 46.461245971,-63.866945658 46.534718818,-63.852593246 46.567600993,-63.8320907259999 46.614572971,-63.832090863 46.614573093,-63.976936726 46.744436971,-64.001454726 46.7501369710001,-64.031872726 46.7432549710001,-64.0742364669999 46.7535369080001,-64.086870784 46.7716975230001,-64.091672726 46.7785999710001,-64.086623512 46.784301294,-64.0712548929999 46.8016539880001,-64.048147163 46.817772173,-64.0413817259999 46.822490971,-63.968745726 46.8966639710001,-63.9949997259999 46.984163971,-63.9949998559999 46.9841642310001,-64.0208457259999 47.038609971,-64.137443568 46.9727151910001,-64.175690892 46.951100136,-64.2316638999999 46.9017910760001,-64.23856449 46.890745381,-64.247145726 46.8770099710001,-64.279590726 46.8165189710001,-64.296390726 46.8016549710001,-64.317265952 46.790065043,-64.323899872 46.7863821600001,-64.330362286 46.7828018450001,-64.346954726 46.773609971,-64.382490726 46.7466549710001,-64.39776561 46.7283212230001,-64.405281949 46.719300112,-64.4126732679999 46.698093935,-64.415690726 46.6894369710001,-64.4156907129999 46.689436689,-64.415690932 46.689436062,-64.4154810859999 46.684811827,-64.414727726 46.6681909710001,-64.389736726 46.6227729710001,-64.3742390529999 46.6228460190001,-64.2738999749999 46.6233181010001,-64.1055640339999 46.618045045,-64.102499945 46.5470821760001,-64.1145819559999 46.5288822150001,-64.1273459179999 46.4109270440001,-63.9855549609999 46.3937449800001,-63.963618257 46.401099962,-63.841109726 46.398881971,-63.827922175 46.398278922,-63.7500729349999 46.3947181190001,-63.7294459089999 46.3536731130001,-63.734981276 46.3545987540001,-63.772227726 46.360827971,-63.811109726 46.327490971,-63.793912312 46.3220611150001,-63.748199915 46.307627128,-63.70229089 46.2708270520001,-63.646255017 46.2265181330001,-63.5919459839999 46.2119361360001,-63.536411946 46.2074490270001,-63.519718725 46.20609997,-63.487678853 46.1976482600001,-63.409164 46.1769359900001,-63.3008063309999 46.1470867840001,-63.289172725 46.1438819700001,-63.257645725 46.1377729700001,-63.231527725 46.1388819700001,-63.231527477 46.138882122,-63.231526829 46.138882149,-63.1404178879999 46.1945731910001,-63.151286585 46.201635024,-63.164999161 46.2105456040001,-63.0908357449999 46.269154024,-63.047008953 46.2965271410001,-62.966529999 46.31561737,-62.9970097249999 46.2941549710001,-63.016807488 46.291863972,-63.0209729169999 46.2913821610001,-63.0388909119999 46.280273122,-63.051735153 46.26804121,-63.113818725 46.2089189700001,-63.113817371 46.2089186680001,-63.1138179179999 46.2089181470001,-63.025273001 46.1891539550001,-62.888055043 46.157627103,-62.880715527 46.148315903,-62.8736097249999 46.1392999700001,-62.919863725 46.0944369700001,-62.970836725 46.07416397,-62.952192609 46.0571794590001,-62.930281898 46.0372180460001,-62.882772936 45.9955450670001,-62.858679975 45.9788769510001,-62.856663725 45.97748197,-62.837772725 45.96749097,-62.761118725 45.9541639700001,-62.650272725 45.9602729700001,-62.613890724 45.9627729700001,-62.5916637239999 45.9649999700001,-62.545145724 45.96999097,-62.5347294109999 45.9728724350001,-62.503472873 45.98151812,-62.46639083 46.0005450400001,-62.4547178559999 46.0188821290001,-62.4491841729999 46.0849345710001,-62.448190724 46.09679097),(-61.79180889 47.239718065,-61.7829178699999 47.2579091420001,-61.7829194189999 47.2579085500001,-61.782918724 47.2579099710001,-61.79505468 47.2532665520001,-61.7970819459999 47.25249108,-61.800779153 47.2478826620001,-61.8077817239999 47.2391549710001,-61.823618724 47.2337459710001,-61.9386097239999 47.257218971,-61.9489074749999 47.260923215,-61.9604179139999 47.26506427,-61.962860421 47.274590249,-61.963890616 47.2786095490001,-61.9333267649999 47.3333271600001,-61.9252819819999 47.343609073,-61.9058909519999 47.3549360420001,-61.843326917 47.3886001120001,-61.7408358549999 47.4449912100001,-61.701390954 47.4919360700001,-61.6913819549999 47.515545042,-61.6913822619999 47.5155447020001,-61.6913817239999 47.515545972,-61.7058987629999 47.4994610370001,-61.7144459359999 47.489991133,-61.733660919 47.4712843250001,-61.766663724 47.439154972,-61.777218724 47.4316639720001,-61.789172724 47.425827972,-61.8376367239999 47.410409972,-61.8526450159999 47.4154097360001,-61.653608909 47.550000196,-61.559435879 47.6091641950001,-61.5381998249999 47.6180449890001,-61.486085015 47.616672447,-61.475063985 47.616381979,-61.475554958 47.60305479,-61.5170817229999 47.5708279720001,-61.536779167 47.5607002510001,-61.5469460049999 47.5554732430001,-61.544071314 47.5519822850001,-61.538890723 47.545690972,-61.495836723 47.5513819720001,-61.495836488 47.551382119,-61.495835842 47.551382204,-61.43277796 47.5907592990001,-61.378745723 47.6244999720001,-61.381226743 47.6288165660001,-61.3854178459999 47.6361091640001,-61.38541832 47.6361092700001,-61.385418723 47.636109972,-61.4077727229999 47.641109972,-61.422976934 47.6425540640001,-61.4252818419999 47.642773112,-61.438980214 47.6415813510001,-61.5211097229999 47.6344369720001,-61.5324997229999 47.6326369720001,-61.553609724 47.6230459720001,-61.5711097239999 47.6136099720001,-61.6169457239999 47.588045972,-61.662218724 47.5616639720001,-61.684436724 47.547490972,-61.7058367239999 47.5324909720001,-61.7361187239999 47.507218972,-61.88621983 47.426129519,-61.908890835 47.4138821110001,-61.919221604 47.410523132,-61.925136724 47.408599972,-61.9347227109999 47.3995747430001,-61.939581844 47.395000198,-61.9409040529999 47.3927204620001,-61.9486097239999 47.3794369720001,-62.013963724 47.2374189710001,-62.0139636929999 47.2374187950001,-62.0139640259999 47.237418071,-62.013109815 47.2325748960001,-62.011527724 47.2235999710001,-62.000554724 47.216381971,-61.997274653 47.215939629,-61.9799998839999 47.2136091070001,-61.959527948 47.211998855,-61.9552727239999 47.2116639710001,-61.938116582 47.212806556,-61.8594459879999 47.2180449780001,-61.844445901 47.2194360390001,-61.816432118 47.2251103720001,-61.8136097239999 47.225681971,-61.81360942 47.2256821230001,-61.8136088799999 47.225682233,-61.8097288719999 47.2276223970001,-61.799445724 47.2327639710001,-61.7976014449999 47.2344437720001,-61.79180889 47.239718065),(-54.132081714 47.6692999750001,-54.1320819219999 47.669300159,-54.145030257 47.6558071920001,-54.2047187169999 47.5936099720001,-54.2271466409999 47.5551637500001,-54.229999818 47.5502731110001,-54.230555027 47.5236094840001,-54.2577817169999 47.4808189720001,-54.2647187169999 47.472072972,-54.278054717 47.460818972,-54.29116161 47.4525875050001,-54.295281936 47.4500000670001,-54.3009988909999 47.4475474440001,-54.326390717 47.436654972,-54.354330577 47.4153160060001,-54.361945894 47.4095000520001,-54.3413818999999 47.3980450080001,-54.301280116 47.392749221,-54.2930637169999 47.3916639720001,-54.28840831 47.3912893900001,-54.268890843 47.38971809,-54.258199893 47.39151802,-54.241108857 47.401654088,-54.16082682 47.5350001090001,-54.124999884 47.640827002,-54.1249997749999 47.640827798,-54.124999717 47.6408279720001,-54.1222907169999 47.6606909720001,-54.122290854 47.660691102,-54.132081714 47.6692999750001),(-55.8794457179999 47.6097189720001,-55.8894457179999 47.6188819720001,-55.889445817 47.6188820090001,-55.8894459959999 47.618882173,-55.891665249 47.6197301670001,-55.9141637179999 47.6283279720001,-55.9223780579999 47.6340093470001,-55.928817807 47.6384641430001,-55.9344358609999 47.656382138,-55.927499836 47.6766541060001,-55.9274999469999 47.6766543040001,-55.927499718 47.6766549720001,-55.9330547179999 47.6865819720001,-55.933054925 47.6865819540001,-55.933055026 47.686582135,-56.0058357619999 47.680273244,-56.103472865 47.655964216,-56.105223564 47.654343059,-56.1129187179999 47.6472189720001,-56.105418718 47.6320729720001,-56.0133367179999 47.611663972,-55.992317826 47.6085717610001,-55.947217928 47.601936144,-55.923054913 47.5994359900001,-55.9039315489999 47.6022024870001,-55.9019367179999 47.6024909720001,-55.901936155 47.6024911530001,-55.9019358699999 47.602491194,-55.87944605 47.609718071,-55.8794466909999 47.6097186590001,-55.8794457179999 47.6097189720001),(-64.499841222 47.8624225360001,-64.482772726 47.9177729720001,-64.48277309 47.917772772,-64.4827729799999 47.9177731300001,-64.508054979 47.903882137,-64.584164001 47.8849911710001,-64.588338727 47.8853159540001,-64.609163726 47.8869369720001,-64.6196125399999 47.8858336480001,-64.620963909 47.8856910600001,-64.6648549069999 47.8688821590001,-64.671661883 47.863399992,-64.685545726 47.8522189720001,-64.697772726 47.836109972,-64.7027907259999 47.823609972,-64.7027906819999 47.8236096910001,-64.7027908979999 47.8236091530001,-64.699632862 47.8038100410001,-64.6919367259999 47.755554972,-64.691935928 47.755554583,-64.69193583 47.755553967,-64.6712981539999 47.7454867750001,-64.647509726 47.7338819720001,-64.6463300149999 47.7340786410001,-64.6358357519999 47.7358271570001,-64.6117741419999 47.745235564,-64.607772726 47.7467999720001,-64.597157862 47.755799589,-64.541108847 47.8033180740001,-64.5230548979999 47.8222180930001,-64.5147268059999 47.832500173,-64.502645969 47.8533270230001,-64.499841222 47.8624225360001),(-61.6647907239999 49.1442279730001,-61.8234727239999 49.310545973,-61.880982687 49.346379046,-61.88389097 49.348191179,-61.9041085539999 49.3534568010001,-62.0430547239999 49.389645973,-62.079618405 49.387583061,-62.09236399 49.3868642750001,-62.169164016 49.4011000990001,-62.1706674119999 49.4015397220001,-62.204790724 49.4115189730001,-62.340554724 49.4869369740001,-62.4436097239999 49.547218974,-62.5260126059999 49.589882238,-62.545554888 49.6000001470001,-62.562168586 49.606123843,-62.710554725 49.6608189740001,-62.782937923 49.6756201110001,-62.786664022 49.6763820840001,-62.7937304229999 49.6784155820001,-62.9961097249999 49.736654974,-63.056320704 49.757799069,-63.074445939 49.764164248,-63.089979988 49.768359054,-63.136118725 49.7808189740001,-63.251850108 49.8028606020001,-63.309717916 49.813882177,-63.346945971 49.820273211,-63.368298749 49.823646308,-63.475272725 49.8405459740001,-63.492227725 49.840827974,-63.5450097249999 49.8433189740001,-63.600384381 49.8478887690001,-63.615835749 49.849164122,-63.694150932 49.8603230190001,-63.9588907259999 49.8980459740001,-64.029172726 49.9244369740001,-64.135618726 49.947136974,-64.1895592499999 49.949624913,-64.203608832 49.9502731760001,-64.206573309 49.9500259660001,-64.2269457259999 49.9483279740001,-64.452081726 49.902627974,-64.4727817259999 49.895827974,-64.499581726 49.8791549740001,-64.512509726 49.861109974,-64.5125088 49.861109389,-64.512508955 49.8611091720001,-64.418335758 49.8016539860001,-64.4012892929999 49.7952686,-64.386109726 49.789581974,-64.306945726 49.777490974,-64.015563726 49.7024909740001,-63.994889256 49.6965255360001,-63.9183357859999 49.674436142,-63.881945921 49.659154088,-63.847514152 49.641946934,-63.8419457259999 49.639163974,-63.714445726 49.5663819740001,-63.670827725 49.538881974,-63.619940979 49.487795019,-63.615418736 49.483254894,-63.618331858 49.4616432820001,-63.6188819 49.457564119,-63.573063905 49.396664227,-63.5730637249999 49.396663973,-63.5646390049999 49.3926803570001,-63.537226908 49.379718032,-63.504987348 49.371340316,-63.501299725 49.3703819730001,-63.4937787499999 49.3686385450001,-63.416945927 49.3508271200001,-63.39706259 49.346182087,-63.387218725 49.3438819730001,-63.2747907249999 49.3136729730001,-63.266811876 49.307013936,-63.247917808 49.2912450320001,-63.2424925679999 49.2877621970001,-63.230827725 49.2802729730001,-63.223387008 49.2769862100001,-63.209446046 49.270827051,-63.108154155 49.234418056,-63.0938907249999 49.229290973,-62.946663725 49.1988729730001,-62.929983749 49.1955211550001,-62.7822179249999 49.165827117,-62.726108795 49.154709193,-62.435131328 49.109569741,-62.3680547239999 49.099163973,-62.1955457239999 49.074999973,-62.1687455269999 49.074129332,-62.024581886 49.0694451210001,-61.7961088069999 49.0780451210001,-61.743153362 49.0938344990001,-61.7355547239999 49.096099973,-61.731397708 49.0979722330001,-61.702226797 49.1111090470001,-61.6647908699999 49.14422712,-61.6647912449999 49.144227512,-61.6647907239999 49.1442279730001),(-71.128599959 46.8580450850001,-71.114864032 46.8504091720001,-71.082226912 46.85332708,-71.037081982 46.861518043,-71.013689943 46.869549238,-71.009172732 46.871099971,-70.9905310779999 46.8786471780001,-70.904172992 46.913609057,-70.887508931 46.9236091700001,-70.8772089129999 46.93110913,-70.8144358339999 46.998327132,-70.808872932 47.0085361220001,-70.808873069 47.0085363540001,-70.8088727319999 47.0085369710001,-70.8162547319999 47.0210999710001,-70.816255022 47.0211000580001,-70.816255042 47.021100092,-70.840835812 47.028464265,-70.85999986 47.0277730930001,-70.868940467 47.0251322390001,-70.872218732 47.0241639710001,-70.896663732 47.0133279710001,-70.9369367319999 46.9924909710001,-71.078336732 46.913609971,-71.098890732 46.898045971,-71.112607199 46.8834811830001,-71.1213819669999 46.8741641560001,-71.126085847 46.863659549,-71.1285997319999 46.8580459710001,-71.1285995969999 46.8580458960001,-71.128599959 46.8580450850001)))', 'Canadian Exclusive Economic Zone', 'Canada', 'Canada', '', '218', '218', 'CAN', '8493', '2012-10', '5717902341000', '8493', 'Y'),('SRID=4326;MULTIPOLYGON(((153.984148643 27.6302619530001,154.636467644 27.5782119530001,155.267239645 27.423835953,155.855825645 27.172238953,156.383318646 26.831684952,156.833250646 26.413259952,156.834217646 26.4119639520001,156.834243646 26.4119399520001,157.193117646 25.929103952,157.450786647 25.3971949510001,157.600613647 24.832868951,157.601015647 24.8268859510001,157.601394647 24.825452951,157.601472647 24.8243029510001,157.602284647 24.8212319510001,157.641166647 24.24190795,157.641010647 24.2406619500001,157.641094647 24.23940895,157.569393647 23.6627169490001,157.390692647 23.105972949,157.111552646 22.585688948,156.741203646 22.1171329480001,156.739914646 22.1159839480001,156.739194646 22.115068948,156.289207646 21.7118529480001,155.773094645 21.3856159470001,155.205976645 21.145713947,154.604179644 20.998994947,153.984842643 20.949638947,153.983376643 20.9497589470001,153.981909643 20.949638947,153.362575643 20.999034947,152.760788642 21.145790947,152.758778642 21.146646947,152.749042642 21.1489989470001,152.181907642 21.388892947,151.665777641 21.715122948,151.215773641 22.118331948,150.84542064 22.586888948,150.56627764 23.1071719490001,150.38757464 23.6639159490001,150.31587164 24.24060795,150.31588864 24.2408579500001,150.31585764 24.2411069500001,150.31588464 24.24150795,150.31583464 24.24190795,150.35471664 24.8212319510001,150.50452664 25.3855579510001,150.76216864 25.917468952,150.76312764 25.9187649520001,150.76313864 25.9187879520001,151.121981641 26.401623952,151.130984641 26.410037952,151.131936641 26.4113129520001,151.133216641 26.4125089520001,151.133919641 26.4134499520001,151.583887641 26.831845952,152.111410642 27.1723649530001,152.700019642 27.423922953,153.330805643 27.5782559530001,153.983128643 27.6302619530001,153.983638643 27.630222953,153.984148643 27.6302619530001)),((141.247930172 45.8211855180001,141.352515396 45.8093106790001,141.492395862 45.8467281060001,141.621211712 45.7859737250001,141.707403399 45.7675942810001,141.838487341 45.7397751920001,141.937492827 45.7212776490001,141.969370008 45.715511486,142.081992219 45.694566723,142.274918317 45.658980969,142.299111693 45.6544385010001,142.377175281 45.6398938730001,142.395655213 45.6400220850001,142.401280225 45.640076412,142.424017309 45.6404210680001,142.470666745 45.643140558,142.486036498 45.644071238,142.494407279 45.644653524,142.664465782 45.656767062,142.806149544 45.667653382,142.837273581 45.6402643180001,142.86085762 45.6195837770001,142.871296769 45.611369655,142.876647016 45.607159772,142.878289294 45.605883347,142.891213265 45.5958384690001,142.912975533 45.579096683,142.918545397 45.5749047420001,142.952274231 45.5521423320001,142.993664715 45.526385351,142.994679697 45.5257607870001,142.994846758 45.5256579860001,142.996500655 45.5246578200001,143.013446312 45.5144102200001,143.314930824 45.3728125660001,143.380012171 45.3440534470001,143.41649549 45.329810067,143.489771186 45.301044,143.60437256 45.2560101270001,143.717462868 45.229881484,143.732262638 45.2267767600001,143.882618292 45.1996140370001,143.937334635 45.1928159780001,143.937334856 45.1928159550001,143.937335108 45.1928159230001,144.168144177 45.177412281,144.320310949 45.173057376,144.370605985 45.1817516090001,144.38027007 45.1837899990001,145.229148123 45.6495282220001,145.257993944 45.5815879680001,145.299909395 45.482864954,145.33097356 45.4077210020001,145.476926569 45.053671781,145.533350182 44.9148939500001,145.580314235 44.7852209540001,145.607976085 44.705021575,145.616637926 44.6799084950001,145.618808703 44.6734034940001,145.629560161 44.6411854260001,145.639114007 44.6139855150001,145.639829806 44.6119476260001,145.647513851 44.5898105360001,145.648050716 44.585378087,145.64867247 44.5802447730001,145.650707799 44.563991607,145.654718099 44.53196726,145.659505075 44.492588825,145.664947304 44.4478201750001,145.662086477 44.4381470230001,145.649879358 44.4004831870001,145.647224217 44.3923719540001,145.641435204 44.375792824,145.637674137 44.3618703600001,145.636184931 44.3563577190001,145.63430377 44.349394165,145.633211641 44.3460511430001,145.632967534 44.3453039280001,145.631526321 44.3412830190001,145.629426025 44.3302000950001,145.62669402 44.315783744,145.624708427 44.305593903,145.624003443 44.3019760060001,145.621825168 44.2907973470001,145.621026187 44.2892630950001,145.619358362 44.2860604360001,145.617568054 44.282622578,145.611962832 44.2723884480001,145.61158164 44.2716893910001,145.61158157 44.2716892620001,145.603837126 44.2573745670001,145.602672899 44.2553255340001,145.593693893 44.237628339,145.587958068 44.228538181,145.580807526 44.2172059760001,145.577736179 44.2123384920001,145.576766038 44.2109652790001,145.573477046 44.2063097810001,145.57070593 44.202387324,145.559892031 44.1887182680001,145.55795826 44.185361614,145.556904201 44.18353197,145.549197876 44.1703180220001,145.54430181 44.161922793,145.536284022 44.1486175730001,145.534412205 44.145511362,145.533959931 44.1445287130001,145.533278786 44.143048799,145.531128691 44.1408203400001,145.527195888 44.136744198,145.52648101 44.1359935020001,145.519781064 44.128862966,145.509811211 44.1182523730001,145.501786016 44.109526327,145.499751463 44.1073140940001,145.49779207 44.1055784320001,145.496957206 44.1048388950001,145.495385205 44.1038077470001,145.494807627 44.1034288860001,145.485957343 44.097751981,145.484498622 44.096816302,145.471836493 44.0868933740001,145.449837421 44.0696533650001,145.442870742 44.06349857,145.442487526 44.063162753,145.442437287 44.0631187270001,145.441088923 44.060498651,145.43998983 44.058362947,145.438546814 44.0556955480001,145.438048468 44.054774362,145.434944469 44.050682372,145.434427505 44.0500008610001,145.433257623 44.048706387,145.414930718 44.028427675,145.412938111 44.0262228560001,145.407014125 44.0195323560001,145.404906633 44.0178753960001,145.40490661 44.017875378,145.40476369 44.0177552490001,145.401508299 44.015018979,145.400292347 44.013996929,145.399500511 44.0133401300001,145.394713111 44.0093691530001,145.386460047 44.002415468,145.380522232 43.9974125140001,145.370753634 43.989552449,145.367409178 43.9865934530001,145.366701767 43.9859885440001,145.366100234 43.9854612710001,145.361130149 43.9811047470001,145.360321615 43.980396028,145.359978205 43.9800878020001,145.355481802 43.976052087,145.354158929 43.9749586030001,145.353528777 43.9744377210001,145.345802721 43.967908913,145.344580002 43.96687567,145.326177775 43.950490014,145.322315547 43.9470510210001,145.321437228 43.946268951,145.320227281 43.944600881,145.320155207 43.9445075470001,145.320042933 43.944362153,145.319951799 43.9442441370001,145.317330827 43.9409474730001,145.312635568 43.9373404990001,145.29049319 43.9203303690001,145.285850264 43.915590127,145.284289053 43.9140131630001,145.281958479 43.911659071,145.279047889 43.9088446050001,145.27522476 43.9051477370001,145.270555175 43.898231927,145.269619442 43.896846075,145.266861774 43.8928882530001,145.25939391 43.880123371,145.259114647 43.8796460240001,145.258767242 43.879078781,145.258259639 43.8782499660001,145.258259523 43.8782497770001,145.258259137 43.878249146,145.25780116 43.877467031,145.2577685 43.8774125310001,145.257759764 43.8773979540001,145.255269593 43.8733312360001,145.253024631 43.8696649710001,145.25302455 43.8696648380001,145.252074868 43.8649043990001,145.251405551 43.8615493350001,145.25054304 43.856971043,145.246543302 43.835740059,145.24573038 43.830853346,145.245638556 43.8303013670001,145.245553602 43.829837318,145.244559209 43.8244055920001,145.244442243 43.823624916,145.244414852 43.8234421010001,145.24426012 43.822409366,145.243382994 43.808657334,145.243366028 43.8056380520001,145.242703856 43.78253081,145.2426955 43.78206634,145.24268024 43.7812180930001,145.242683544 43.781100951,145.250973329 43.7680577,145.251577205 43.764677792,145.252974755 43.759618925,145.253287884 43.7584854560001,145.255112956 43.753451958,145.25533013 43.752908066,145.255581351 43.7522789060001,145.256216197 43.750688993,145.259992807 43.739758958,145.261314937 43.7359325290001,145.261622167 43.7351875800001,145.262416683 43.7332610920001,145.263676841 43.7321273950001,145.278436539 43.7194771860001,145.284636704 43.71360078,145.284888828 43.713361821,145.292190254 43.7083657200001,145.293782878 43.707245969,145.294713022 43.7065919980001,145.294931914 43.7064338340001,145.295648444 43.7059160960001,145.29824516 43.7042607660001,145.320499689 43.6896644930001,145.327730732 43.685645579,145.332474437 43.6825685960001,145.348836294 43.67301945,145.354949006 43.6694519340001,145.357079693 43.6682363290001,145.361734865 43.6655804500001,145.368509404 43.662459923,145.372142307 43.6607374880001,145.397639463 43.6496601470001,145.418420797 43.6411502940001,145.426523764 43.6382534350001,145.428613614 43.6374888340001,145.442463409 43.618049624,145.448508666 43.6097905950001,145.457505934 43.59857957,145.459683855 43.595865776,145.47239708 43.5812787790001,145.472700943 43.5809541400001,145.473005039 43.5806292520001,145.475386361 43.578211191,145.49107243 43.561965582,145.516877817 43.5359024360001,145.532524941 43.52009902,145.534182178 43.5183855970001,145.539709137 43.5126712580001,145.539710276 43.512671503,145.556315316 43.5162387490001,145.586919813 43.522947947,145.625143076 43.5315691280001,145.655006587 43.5379553290001,145.656501951 43.538280808,145.661499214 43.5393781880001,145.688258572 43.545728716,145.688259024 43.54572799,145.689924252 43.5430519130001,145.705746628 43.527447555,145.720886636 43.512857968,145.720886921 43.512857694,145.72144685 43.5123102100001,145.757499685 43.477058648,145.766142627 43.4688449450001,145.778696134 43.4569148900001,145.780719735 43.455113173,145.781381961 43.4545235580001,145.792563389 43.4441019110001,145.814955333 43.428812312,145.824312631 43.425070384,145.82871026 43.423077913,145.838582514 43.4192934640001,145.840800709 43.4173710640001,145.841031519 43.4171348450001,145.841293081 43.4152947100001,145.841727873 43.4122358650001,145.842254031 43.4089856530001,145.843290282 43.402584473,145.844540149 43.39210052,145.844838767 43.389595695,145.844852197 43.3894482700001,145.844893326 43.3889968010001,145.845008081 43.387510004,145.845171131 43.385397492,145.846345683 43.3781141710001,145.847686181 43.3698018320001,145.851581847 43.363232134,145.85507047 43.3568457430001,145.856484225 43.3549334370001,145.883780756 43.2931255670001,145.891446176 43.282918866,145.900258037 43.271185648,145.90310766 43.2673913020001,145.903107934 43.2673909370001,145.903486365 43.2659766450001,145.903550295 43.2657377240001,145.904521171 43.2621093240001,145.917556744 43.211458457,145.917556834 43.211458108,145.918430759 43.207353862,145.941451393 43.09924119,145.95472563 43.0812129880001,146.274978399 42.6239400580001,146.785231465 41.895375196,146.851939156 41.7986403370001,147.583933385 40.7681128770001,147.859705265 40.3498917790001,147.859705689 40.3498911350001,147.859704796 40.349891545,147.589485637 40.2149349650001,147.585408637 40.213677965,147.584653637 40.213317965,147.156648637 40.080281965,147.109645637 40.057563965,147.101963637 40.0551519650001,147.097072637 40.0527849650001,147.067908637 40.0436209650001,147.062296637 40.040902965,147.061870637 40.040768965,147.060359637 40.0400369650001,146.962164637 40.0091009650001,146.960919637 40.0084959650001,146.782781637 39.952083965,146.558162636 39.726673964,146.383891636 39.602827964,146.389576636 39.512793964,146.388663636 39.507231964,146.388948636 39.5027109640001,146.388839636 39.502048964,146.388873636 39.501510964,146.388837636 39.5012909640001,146.388848636 39.5011109640001,146.388623636 39.499734964,146.388693636 39.4986159640001,146.388621636 39.498174964,146.388643636 39.497815964,146.388264636 39.495502964,146.388382636 39.4936219640001,146.294783636 38.9176809640001,146.290160636 38.9060179640001,146.280586636 38.8464359640001,146.271162636 38.8226159640001,146.268108636 38.8035559640001,146.050618636 38.248564963,146.004446636 38.1772299630001,145.962887636 38.069758963,145.962156636 38.068624963,145.961796636 38.0676939630001,145.954446636 38.056289963,145.905971636 37.930413963,145.739566636 37.670276963,145.739527636 37.6700179630001,145.529808636 37.1138999620001,145.206078635 36.5943809620001,145.204340635 36.5924869620001,145.204005635 36.5919459620001,145.203029635 36.5908829620001,145.202963635 36.5907769620001,145.077873635 36.4542049610001,145.072014635 36.4115599610001,144.948318635 36.069535961,144.976965635 35.7168639610001,144.976890635 35.716305961,144.976918635 35.7159649610001,144.976885635 35.7157189610001,144.976897635 35.715568961,144.899887635 35.1380649600001,144.703617635 34.5799779600001,144.700294635 34.5743739600001,144.694671635 34.5582549600001,144.692029635 34.5537959600001,144.691423635 34.5520609600001,144.384184634 34.029693959,143.976612634 33.558082959,143.811306634 33.421945959,143.834125634 33.0171219580001,143.833756634 33.014706958,143.833901634 33.0121269580001,143.833842634 33.0117399580001,143.833865634 33.011325958,143.833740634 33.0105069580001,143.833789634 33.0096309580001,143.760684634 32.528150958,143.766256634 32.5169639580001,143.917619634 31.9508749570001,143.930777634 31.7147129570001,144.012457634 31.548543957,144.161296634 30.9822139560001,144.185649634 30.527096956,144.605104635 30.2611949560001,145.065968635 29.839981955,145.066778635 29.8389129550001,145.068947635 29.836919955,145.069753635 29.8358569550001,145.069924635 29.8356999550001,145.099029635 29.7972889550001,145.109367635 29.7877789550001,145.474919635 29.302522955,145.474969635 29.3024219550001,145.475884635 29.3011999550001,145.736314636 28.767509954,145.744536636 28.736395954,145.760447636 28.7036109540001,145.909093636 28.138238954,145.909158636 28.137135954,145.910845636 28.130693954,145.911977636 28.111560954,145.939755636 28.005358954,145.973942636 27.425812953,145.973916636 27.4256269530001,145.973928636 27.425414953,145.973766636 27.424244953,145.973844636 27.422916953,145.973818636 27.422729953,145.973831636 27.4225169530001,145.971567636 27.4061749530001,145.994403636 27.0191499530001,145.994294636 27.018356953,145.994347636 27.017452953,145.951149636 26.7028729520001,145.963374636 26.497534952,145.885334636 25.9214479520001,145.698690636 25.366026951,145.410369635 24.8476939510001,145.106073635 24.47525295,145.125937635 24.1805749500001,145.125781635 24.17931895,145.125864635 24.1780759500001,145.0961111 23.8930555600001,144.9013889 23.74222222,144.6730556 23.56444444,144.595777651 23.50397844,144.2963889 23.2697222200001,143.749166701 22.836944439,143.749166628 22.836944381,143.0838889 22.3036111100001,142.584166701 21.899444439,142.3441667 21.70388889,142.3013889 21.6688888900001,142.0625 21.4725,141.4591667 20.9733333300001,141.3483333 20.88083333,140.840897631 20.9283119470001,140.838018631 20.929018947,140.836993631 20.9290979470001,140.235685631 21.0753009470001,139.66891663 21.314661947,139.48183163 21.4327649470001,139.60386763 20.9688299470001,139.64452563 20.3896739460001,139.64442663 20.3888259460001,139.64448663 20.387974946,139.57751263 19.8109899460001,139.40606963 19.253529945,139.13627163 18.7321969450001,138.776907629 18.262382944,138.339134629 17.8578539440001,137.836131628 17.530394944,137.835636628 17.5301799440001,137.834155628 17.5292119440001,137.280757628 17.288311944,136.693047627 17.140937943,136.087967627 17.091340943,136.086987627 17.0914229430001,136.086008627 17.091340943,135.480928626 17.140941943,134.893219626 17.288318944,134.891635626 17.289011944,134.891252626 17.289106944,134.337850625 17.530003944,133.834850625 17.8574659440001,133.397081624 18.261996944,133.396188624 18.263167944,133.396066624 18.263280944,133.036700624 18.7330949450001,132.766900624 19.254427945,132.595456623 19.8118869460001,132.528481623 20.388872946,132.528510623 20.3892739460001,132.528463623 20.3896739460001,132.569121623 20.9688299470001,132.693950624 21.443380947,132.415904623 21.3257969470001,132.415641623 21.3257329470001,132.413945623 21.3250109470001,131.811602623 21.1780819470001,131.191672622 21.128454947,131.190198622 21.1285749470001,131.188741622 21.128454947,130.568763622 21.1775249470001,129.966280621 21.3239099470001,129.398427621 21.563449948,128.88153862 21.889316948,128.43074662 22.2921779480001,128.233475619 22.5410579480001,128.227996619 22.534876948,128.073984619 22.3812689480001,127.910279619 22.2367759480001,127.737521619 22.1019299480001,127.556373619 21.9772309480001,127.367526619 21.863138948,127.171692618 21.7600729480001,126.969604618 21.668407948,126.762015618 21.588483948,126.549690618 21.5205929470001,126.333411618 21.4649839470001,126.113971617 21.421862947,126.028942617 21.4101799470001,125.915964617 21.330019947,125.729483617 21.213777947,125.537209864 21.1092013910001,125.525075928 21.1165468500001,124.745787483 21.554049003,124.72959966 21.563022217,124.17227268 21.871012556,124.168431326 21.8731272090001,123.790108428 22.080934406,123.609937251 22.1789603170001,123.585420708 22.201050767,123.53091858 22.2498783460001,123.521648781 22.258140235,123.422551685 22.3464624490001,123.373233447 22.39011464,123.224417122 22.5270305330001,123.130129707 22.659007423,123.129697761 22.6596115040001,123.113334589 22.682504164,123.005113172 22.83345732,122.832888836 23.0757918520001,122.821255914 23.115487821,122.749825674 23.292118354,122.682416488 23.379820183,122.654908923 23.419881493,122.652484648 23.423633782,122.635313431 23.449853064,122.585221175 23.5362439410001,122.550704843 23.5946278340001,122.522594456 23.6490155990001,122.498255953 23.6974013500001,122.479942401 23.741603642,122.42056029 23.886336468,122.413092893 23.9275707830001,122.410047862 23.9446688260001,122.409449681 23.949155698,122.402802027 23.9986135880001,122.382001622 24.1505459040001,122.392998413 24.4139837320001,122.396162602 24.443998283,122.396276574 24.4450991860001,122.401274383 24.4936217000001,122.416187526 24.5776189740001,122.531616146 24.8142283390001,122.565646677 24.8609400600001,122.575746951 24.875529499,122.666591059 25.0088519760001,122.668825932 25.012092216,122.745780096 25.1233170890001,122.74603304 25.1234917520001,122.900096165 25.229875222,122.953630593 25.2113419900001,122.995512579 25.19767087,123.001513062 25.195714798,123.152272353 25.147528709,123.295245987 25.1026271160001,123.377583502 25.0782847180001,123.417142185 25.0642618210001,123.509994772 25.0776357570001,123.605502912 25.090846007,123.818495662 25.1199381910001,123.86829373 25.1267911460001,123.927437568 25.157467883,124.0078057 25.1989412660001,124.192435161 25.293577955,124.216998118 25.2897192620001,124.352307158 25.3012598610001,124.552523575 25.318864358,124.5674759 25.320212021,124.694001688 25.3314641440001,124.767068938 25.3381224410001,124.979508046 25.4581076480001,125.055365051 25.5011476190001,125.708129638 25.866550105,125.706513531 25.8726872230001,125.700938316 25.8934564520001,125.700763681 25.89410816,125.576056065 26.3580423240001,125.388441459 27.0466212600001,125.042386499 27.9288597180001,124.904928185 28.2716094130001,125.024977916 28.3419316390001,125.133020238 28.4886595900001,125.344124013 28.649664241,125.413722428 28.703264888,125.431288292 28.7167707020001,125.966239247 29.6515482780001,126.242080869 30.1269362840001,126.243144687 30.128759152,126.244094565 30.130384663,126.244728308 30.131468956,126.245706739 30.13313987,127.633333333 28.6,128 29.3166666670001,128.633333333 29.716666667,129.15 30.3166666670001,129.066666667 30.9,128.833333333 31.783333333,128.233333333 31.783333333,127.833333333 32.2,127.933333333 32.45,128.3 32.45,128.3 32.95,127.685 32.95,127.698333333 32.958333333,127.700222681 32.9617521530001,127.733333333 33.021666667,127.805 33.145,127.86 33.228333333,127.871666667 33.27,128.361666667 33.7516666670001,128.425 33.7900000000001,128.435 33.84,128.688333333 34.136666667,128.793333333 34.216666667,128.88 34.3000000000001,128.888333333 34.3083333330001,128.955 34.408333333,128.99 34.46,129.003333333 34.4866666670001,129.013333333 34.535,129.013333333 34.5433333330001,129.051666667 34.6716666670001,129.201666667 34.828333333,129.216666667 34.843333333,129.263333333 34.8733333330001,129.306666667 34.905,129.361666667 34.95,129.376666667 34.96,129.421666667 34.9766666670001,129.548333333 35.02,129.678333333 35.0683333330001,130.125 35.1133333330001,130.273333333 35.1166666670001,130.388333333 35.3033333330001,130.568333333 35.5616666670001,130.711666667 35.705,131.138333333 36.0633333330001,131.265 36.1666666670001,131.539364049 36.1384380330001,131.872586185 36.340332561,131.932058635 36.376129312,132.178406825 36.5250156760001,132.271045495 36.5818145690001,132.365570963 36.640833881,132.401910069 36.6638386240001,132.43410245 36.685125301,132.440012291 36.690323947,132.562637267 36.7976619310001,132.583200262 36.81704296,132.619932271 36.8515012940001,132.708985391 36.934698611,133.023013295 37.2460723510001,134.270552642 38.4481772280001,134.26707947 38.5868741520001,134.267029206 38.588847496,134.250115181 39.1171703530001,134.234522342 39.5393440140001,134.221631595 39.878541295,134.371778558 39.949314843,134.544693151 40.0289611470001,134.742584522 40.1201120220001,134.798156507 40.1397285460001,134.798156575 40.13972857,135.277507338 40.3089360600001,135.868849302 40.513740302,135.889357053 40.5206644720001,136.116102527 41.0295261740001,136.193610425 41.1617122820001,136.393461942 41.47288559,136.421534663 41.5163503480001,136.496854896 41.629685995,136.54537076 41.6871048720001,136.778412653 41.9622985870001,136.913846747 42.2017754550001,137.084319215 42.503207773,137.206615714 42.670147323,137.308271673 42.8089117220001,137.453377532 42.99755356,137.483993967 43.035728326,137.498443535 43.053743409,137.563765713 43.1368687670001,137.603801164 43.187815647,137.607152504 43.1915157070001,137.626787119 43.213193387,137.70308058 43.27205437,137.704020823 43.2727797740001,137.720784129 43.285712791,137.734529372 43.295949562,137.804202017 43.3478382690001,138.053052746 43.5995135850001,138.149950746 43.697106186,138.175223458 43.743690187,138.266325485 43.871480579,138.401890886 44.050207019,138.45513104 44.1086445670001,138.497861431 44.152024248,138.671608892 44.295961538,138.802778891 44.398113009,139.009737445 44.5495937320001,139.12536207 44.619600813,139.130837799 44.6633894660001,139.211680076 45.0882514420001,139.235846443 45.2152564030001,139.236968178 45.2204752690001,139.239754675 45.2334394260001,139.241936085 45.239859003,139.304009431 45.3976922420001,139.337194844 45.464878105,139.414242701 45.6213032520001,139.549088319 45.873568215,139.557041468 45.8884467170001,139.557041545 45.888446812,139.658895357 46.012981197,139.689295723 46.04871754,140.606722557 45.9201993400001,140.749177092 45.8995248370001,140.966463322 45.86693089,141.073275676 45.8508136950001,141.163740651 45.8353135190001,141.247930172 45.8211855180001),(141.971072632 45.48638197,141.869890632 45.4472189700001,141.833036632 45.4233279700001,141.813872632 45.4166639700001,141.693863632 45.39999097,141.581499632 45.2388819700001,141.573581632 45.20985497,141.574827632 45.1891549700001,141.587190632 45.1552639700001,141.600254632 45.1274909690001,141.611636632 45.1099909690001,141.676908632 45.0138819690001,141.691227632 44.9970819690001,141.708590632 44.970827969,141.721345632 44.948327969,141.761654632 44.8609639690001,141.770536632 44.830554969,141.789981632 44.7344369690001,141.793854632 44.7088819690001,141.795254632 44.6830549690001,141.797481632 44.6411099690001,141.795672632 44.6166639690001,141.788299632 44.5797189690001,141.750945632 44.432418969,141.725799632 44.3888819690001,141.678036632 44.3224909690001,141.658527632 44.3029729690001,141.652463632 44.263327969,141.659699632 44.2172099690001,141.668308632 44.065545968,141.670254632 44.0288819680001,141.665527632 44.0008279680001,141.648863632 43.9538819680001,141.645808632 43.9422189680001,141.621490632 43.9024909680001,141.597472632 43.878045968,141.566363632 43.8561729680001,141.508608632 43.8297189680001,141.487454632 43.8217999680001,141.461899632 43.8215279680001,141.421936632 43.8084639680001,141.381363632 43.7836099680001,141.338227632 43.7115819680001,141.382718632 43.5669369680001,141.432190632 43.4147099680001,141.438708632 43.382281968,141.428318632 43.3306909680001,141.411090632 43.2969369680001,141.389436632 43.2724909680001,141.367190632 43.2491639680001,141.348299632 43.232490968,141.279972632 43.181518968,141.242763632 43.1594909680001,141.208163632 43.1423549680001,141.158527631 43.138536968,141.019136631 43.173881968,140.799281631 43.187209968,140.777190631 43.2038819680001,140.648863631 43.2788819680001,140.511108631 43.3549999680001,140.483427631 43.365890968,140.356218631 43.316518968,140.322599631 43.235890968,140.346927631 43.189709968,140.364545631 43.1769369680001,140.389436631 43.1666639680001,140.421627631 43.1505459680001,140.478572631 43.0838819680001,140.529636631 43.0074909680001,140.514572631 42.9881819670001,140.460508631 42.9574909670001,140.405545631 42.916936967,140.374408631 42.8892999670001,140.322754631 42.828045967,140.308318631 42.809154967,140.219972631 42.7986099670001,140.139008631 42.7505459670001,140.03538163 42.679854967,139.98772763 42.677218967,139.96441863 42.6788819670001,139.92096363 42.678463967,139.89539963 42.672354967,139.86363663 42.6531909670001,139.83620863 42.6139459670001,139.83093663 42.5767999670001,139.83996363 42.547490967,139.84745463 42.5198549670001,139.84801863 42.4959639670001,139.84469963 42.4677639670001,139.84164563 42.4449909670001,139.82518163 42.397909967,139.80523663 42.3688819670001,139.78802763 42.349999967,139.76976363 42.3120729670001,139.78609063 42.2431549670001,139.91665463 42.1422189670001,139.93969963 42.1285999670001,139.98828163 42.118327967,140.01596363 42.109163967,140.03888163 42.0980459670001,140.05511863 42.0848549670001,140.137636631 41.983599967,140.145954631 41.9148549660001,140.127454631 41.817218966,140.07302763 41.7577729660001,140.02302763 41.698745966,140.00915463 41.674999966,139.97941863 41.5882549660001,139.98481863 41.548327966,140.03219963 41.449154966,140.05190863 41.429163966,140.07400863 41.417909966,140.198990631 41.397281966,140.219818631 41.418872966,140.248736631 41.4622189660001,140.270263631 41.4798549660001,140.284427631 41.4863819660001,140.414563631 41.5142999660001,140.443436631 41.5423549660001,140.438445631 41.5644369660001,140.432463631 41.6055549660001,140.434690631 41.6468639660001,140.456008631 41.6819369660001,140.523999631 41.6969369660001,140.599818631 41.7329099660001,140.616908631 41.773045966,140.631208631 41.8050549660001,140.666363631 41.8241639660001,140.699963631 41.821245966,140.721218631 41.809854966,140.980790631 41.7051279660001,141.011654631 41.7074999660001,141.041654631 41.7177639660001,141.194408631 41.794954966,141.138736631 41.850409966,141.093290631 41.8755459660001,141.068299631 41.880818966,141.038299631 41.882763966,141.013881631 41.887218966,140.991345631 41.8956909660001,140.968427631 41.909436966,140.850799631 42.0094369670001,140.810245631 42.0494369670001,140.793027631 42.0702729670001,140.771908631 42.095272967,140.743027631 42.115127967,140.712327631 42.1262369670001,140.688172631 42.1212369670001,140.581208631 42.103599967,140.537672631 42.1078459670001,140.489963631 42.1384639670001,140.474681631 42.1548549670001,140.427463631 42.189990967,140.382172631 42.2124909670001,140.358308631 42.2205459670001,140.328718631 42.227072967,140.298718631 42.2412459670001,140.279981631 42.2701279670001,140.280818631 42.3166639670001,140.284790631 42.344909967,140.298872631 42.3794369670001,140.337327631 42.4458279670001,140.354945631 42.470272967,140.385254631 42.503054967,140.403872631 42.520272967,140.427181631 42.5411099670001,140.470654631 42.5708279670001,140.499390631 42.5774909670001,140.520263631 42.5791639670001,140.687336631 42.575545967,140.715808631 42.569581967,140.752254631 42.550963967,140.879836631 42.4449909670001,140.899554631 42.418190967,140.904281631 42.388881967,140.929408631 42.321109967,140.945036631 42.3062369670001,140.990245631 42.2970099670001,141.024408631 42.3272189670001,141.055799631 42.3587459670001,141.090518631 42.3849909670001,141.111354631 42.3983279670001,141.154690631 42.422490967,141.402190632 42.5542999670001,141.436490632 42.5694369670001,141.532472632 42.596936967,141.557736632 42.603054967,141.623445632 42.614581967,141.658872632 42.616099967,141.695527632 42.6152729670001,141.748990632 42.6127729670001,141.790527632 42.6063819670001,141.816654632 42.598872967,141.840518632 42.5908279670001,141.928163632 42.5487459670001,141.963590632 42.518881967,142.016508632 42.482627967,142.056490632 42.4665189670001,142.103572632 42.454436967,142.254154632 42.3802729670001,142.286518633 42.3561099670001,142.313599633 42.3408279670001,142.485227633 42.258045967,142.657472633 42.1908279670001,142.706363633 42.172218967,142.793308633 42.1416639670001,142.827454633 42.1322099670001,142.867190633 42.1235999670001,142.922881633 42.1127729670001,142.950381633 42.103327967,143.114318633 42.0265189670001,143.144681633 41.9999999670001,143.171572633 41.970199967,143.202754633 41.944154967,143.243145633 41.9247189660001,143.316927633 42.0427729670001,143.338590633 42.1651369670001,143.325654633 42.220199967,143.331908633 42.2877729670001,143.344418633 42.3130459670001,143.373836634 42.361663967,143.386108634 42.3783279670001,143.434963634 42.442490967,143.464145634 42.4791549670001,143.539981634 42.5647099670001,143.562745634 42.587772967,143.590972634 42.6149369670001,143.622172634 42.6423549670001,143.649718634 42.6630459670001,143.781372634 42.7491639670001,143.799990634 42.7666639670001,143.852445634 42.813609967,143.892763634 42.849163967,143.989681634 42.9066549670001,144.015399634 42.918190967,144.141663634 42.958045967,144.179408634 42.9674909670001,144.291927634 42.993327967,144.332199634 42.998190967,144.360790634 42.9892999670001,144.375363634 42.9591639670001,144.404145634 42.946654967,144.463590635 42.930827967,144.486072635 42.9292999670001,144.661654635 42.9372099670001,144.740508635 42.9608189670001,144.734818635 42.980199967,144.762754635 43.0191549680001,144.782336635 43.0355459680001,144.806227635 43.0442999680001,144.836154635 43.0346459680001,144.842118635 43.0074279680001,144.874663635 42.978872967,144.905399635 42.9729099670001,144.978572635 42.976936967,144.998090233 42.982714641,145.003445258 42.9843000750001,145.024408486 42.996733475,145.107181635 43.045827968,145.121629195 43.070880635,145.127045305 43.0802732010001,145.119472423 43.0990181550001,145.119472758 43.099018664,145.119472635 43.0990189680001,145.137054635 43.1258279680001,145.240604932 43.1514537420001,145.289136226 43.1634642610001,145.309270539 43.165553205,145.370790635 43.1719369680001,145.426363635 43.175554968,145.453858794 43.1760199460001,145.458591319 43.176100148,145.491336229 43.1688821560001,145.520808811 43.170273191,145.557681636 43.2172819680001,145.571699636 43.257072968,145.623290636 43.3047099680001,145.651927636 43.3051279680001,145.673016241 43.305227239,145.680818204 43.3052642700001,145.737727303 43.326100173,145.801199657 43.359571067,145.812408636 43.365481968,145.799694347 43.370922674,145.771363378 43.383044979,145.666195875 43.378792844,145.651091071 43.378181985,145.587179063 43.3327926260001,145.497072636 43.2687999680001,145.487794036 43.2621276740001,145.472472421 43.251109129,145.423053816 43.2525154630001,145.413999635 43.252772968,145.407970228 43.253771902,145.382172334 43.2580449860001,145.357454269 43.2636090610001,145.311491265 43.2751271380001,145.256100295 43.3176361270001,145.256100366 43.3176364070001,145.256099635 43.317636968,145.259587242 43.3315609650001,145.261245275 43.3381821840001,145.281354132 43.340200043,145.292361229 43.3542576790001,145.303590635 43.3685999680001,145.279690635 43.4244369680001,145.268516769 43.4502602310001,145.233127175 43.532045043,145.208127311 43.6009090840001,145.208127991 43.600908987,145.208127635 43.6009099680001,145.243836635 43.595827968,145.275508635 43.581327968,145.295699635 43.5703279680001,145.295699463 43.5703274750001,145.295700262 43.5703270390001,145.287282316 43.546264104,145.35684524 43.5531910760001,145.350723078 43.5600591360001,145.335799635 43.576799968,145.294436635 43.5963819680001,145.288566853 43.5966588040001,145.259154158 43.598044987,145.231495132 43.6013027810001,145.228427635 43.601663968,145.225666952 43.602216866,145.201600323 43.607036087,145.186696708 43.617202078,145.163881635 43.6327639680001,145.139299635 43.654299968,145.118558897 43.681076949,145.117463449 43.6824911530001,145.104945244 43.7000001110001,145.076087419 43.746616954,145.071499635 43.7540279680001,145.070871629 43.7716534670001,145.070663428 43.777491141,145.078647636 43.8016478000001,145.109681635 43.8955459680001,145.12564941 43.9216307190001,145.131618304 43.9313822130001,145.141605378 43.945991684,145.167599635 43.984018968,145.184963635 44.0047189680001,145.193856424 44.0132135100001,145.203854216 44.022764237,145.223018265 44.0343000820001,145.231995994 44.0404728290001,145.246645635 44.0505459680001,145.262078607 44.0746959850001,145.332736204 44.1852641940001,145.352759625 44.218771426,145.359127635 44.229427969,145.377590635 44.2678459690001,145.371143835 44.280546013,145.338854155 44.344154066,145.319409313 44.3333271610001,145.243282354 44.260827051,145.217882337 44.2309641740001,145.189282278 44.197491212,145.165519379 44.183637699,145.114963635 44.1541639690001,145.106677706 44.1504172090001,145.083018353 44.139718106,145.047603198 44.1184277450001,145.019718635 44.1016639690001,144.978572635 44.071381968,144.953956496 44.0459345030001,144.93309125 44.024364174,144.923276782 44.0115877210001,144.909145635 43.9931909680001,144.896840594 43.9842526790001,144.883327221 43.9744360270001,144.822105805 43.93655011,144.791645635 43.9176999680001,144.744690635 43.9102729680001,144.723018635 43.9102729680001,144.700527635 43.9108189680001,144.656645635 43.9136099680001,144.617736635 43.9177729680001,144.539981635 43.926381968,144.499999635 43.9308279680001,144.411090634 43.942072968,144.367736634 43.9538819680001,144.352445634 43.9597189680001,144.330808634 43.9744369680001,144.171354634 44.1085369690001,144.033327634 44.1336099690001,143.991290634 44.1299909690001,143.899990634 44.1027729690001,143.776227634 44.0940819690001,143.726490634 44.1159639690001,143.683654634 44.183181969,143.691654634 44.2080459690001,143.658872634 44.219154969,143.494690634 44.2747099690001,143.464145634 44.2866639690001,143.403872634 44.315545969,143.384708634 44.3255549690001,143.369808634 44.3395729690001,143.139708633 44.479154969,143.121890633 44.490272969,143.028045633 44.5522189690001,142.979945633 44.584990969,142.812181633 44.711799969,142.778872633 44.741381969,142.761654633 44.7572189690001,142.740508633 44.777218969,142.627336633 44.887636969,142.612045633 44.904018969,142.590236633 44.936936969,142.534427633 45.0202729690001,142.516236633 45.043609969,142.489136633 45.064436969,142.452454633 45.089990969,142.413027633 45.120545969,142.383881633 45.143327969,142.341918633 45.1783279700001,142.319427633 45.1977729700001,142.301908633 45.2136099700001,142.245508632 45.2702729700001,142.178727632 45.33151897,142.152345632 45.3470729700001,142.092190632 45.3708279700001,142.073854632 45.38082797,142.048308632 45.4047099700001,141.989963632 45.4658279700001,141.971072632 45.48638197),(140.838581631 41.400545966,140.762618631 41.1698549660001,140.766663631 41.1524909660001,140.773590631 41.1385999660001,140.781372631 41.1305459660001,140.791654631 41.1233189660001,140.802608631 41.122627966,140.819427631 41.125827966,140.835508631 41.134718966,140.886108631 41.1574909660001,140.971072631 41.1822099660001,141.000945631 41.186099966,141.031218631 41.175963966,141.046508631 41.174572966,141.062745631 41.1772189660001,141.122236631 41.2059639660001,141.156508631 41.2365189660001,141.144699631 41.2416549660001,141.161518631 41.2624999660001,141.183445631 41.2602729660001,141.198581632 41.2519369660001,141.228854632 41.2299909660001,141.245508632 41.2141549660001,141.252199632 41.2055549660001,141.261381632 41.192763966,141.273318632 41.1691549660001,141.278736632 41.1469369660001,141.239408632 41.0094369660001,141.233036632 40.991099966,141.228027632 40.978599966,141.205808632 40.9344369660001,141.195527631 40.9158279660001,141.179699631 40.888881966,141.169127631 40.876654966,141.159427631 40.8691549660001,141.149408631 40.8622099660001,141.134827631 40.8569459660001,141.116054631 40.8605459660001,141.084963631 40.8747099660001,140.997463631 40.9255549660001,140.987454631 40.9327729660001,140.963008631 40.956654966,140.949963631 40.9710999660001,140.932063631 40.980963966,140.882736631 40.9915189660001,140.873154631 40.9838819660001,140.857454631 40.944990966,140.870236631 40.911663966,140.873290631 40.9019279660001,140.871608631 40.890545966,140.843845631 40.854163966,140.835236631 40.8447099650001,140.825808631 40.8369369650001,140.815518631 40.8302729650001,140.797763631 40.824163965,140.778590631 40.820827965,140.753727631 40.820690965,140.721908631 40.830827965,140.708590631 40.839718965,140.697208631 40.851936966,140.683872631 40.8688819660001,140.671627631 40.891381966,140.660799631 40.9255549660001,140.657472631 40.9405459660001,140.632172631 41.072490966,140.631072631 41.0883279660001,140.632445631 41.104999966,140.638581631 41.1233189660001,140.644990631 41.136109966,140.649718631 41.1541639660001,140.648318631 41.167072966,140.639281631 41.1813819660001,140.594408631 41.213045966,140.566072631 41.2210999660001,140.548718631 41.2199909660001,140.525127631 41.2116639660001,140.510545631 41.200127966,140.493563631 41.1872099660001,140.478990631 41.181663966,140.456772631 41.182627966,140.439972631 41.1902729660001,140.423036631 41.2060999660001,140.415254631 41.2141549660001,140.403363631 41.2247819660001,140.356081631 41.247490966,140.345518631 41.2470729660001,140.337154631 41.237790966,140.328718631 41.2092999660001,140.320799631 41.134718966,140.316654631 41.094436966,140.339963631 41.037772966,140.304408631 40.9022189660001,140.286372631 40.843045965,140.282472631 40.830827965,140.276363631 40.8177729650001,140.268863631 40.8066549650001,140.260254631 40.7972189650001,140.246063631 40.7855549650001,140.229945631 40.776654965,140.218845631 40.7716639650001,140.150545631 40.743327965,140.133027631 40.737209965,140.11386363 40.731936965,140.10314563 40.732072965,140.08523663 40.7391549650001,140.06665463 40.7488819650001,140.05413663 40.7513819650001,140.03227263 40.749163965,140.00888163 40.738045965,139.99911863 40.730545965,139.85232763 40.5981909650001,139.85383663 40.5877729650001,139.86550863 40.575690965,139.90441863 40.565827965,139.92524563 40.551663965,139.93551863 40.536381965,139.94497263 40.5072189650001,139.94607263 40.4913819650001,139.94497263 40.474709965,139.93850863 40.428599965,140.01193663 40.3469369650001,140.01873663 40.335818965,140.02469063 40.3188819650001,140.02691863 40.2872189650001,140.02664563 40.276381965,140.02053663 40.230818965,140.00832763 40.192763965,139.96637263 40.1069459650001,139.94051863 40.0563819650001,139.91970863 40.0208279650001,139.90832763 40.0047189650001,139.89526363 39.9913819650001,139.88579963 39.983609965,139.85412763 39.9658279650001,139.84274563 39.9616639650001,139.82995463 39.9594369650001,139.80759963 39.9577729650001,139.74163663 39.9741639650001,139.72148163 39.9817909650001,139.70982763 39.9926279650001,139.69859063 39.9901279650001,139.69620863 39.9790189650001,139.70315463 39.929436965,139.70830863 39.917772965,139.71386363 39.908881965,139.75332763 39.858045965,139.82289063 39.855409965,139.86065463 39.8641549650001,139.86288163 39.8741549650001,139.87106363 39.8852729650001,139.89526363 39.8916639650001,139.91219963 39.8930459650001,139.93191863 39.889718965,139.94885463 39.884990965,139.96136363 39.878599965,139.97744563 39.8680459650001,139.99774563 39.853609965,140.01052763 39.8419369650001,140.02469063 39.8252729650001,140.03829963 39.8030459650001,140.04248163 39.793881965,140.04720863 39.7791639650001,140.05746363 39.7341639640001,140.06079063 39.719154964,140.06274563 39.7088819640001,140.06359963 39.698327964,140.06441863 39.6877639640001,140.07025463 39.6027729640001,140.07079963 39.5855459640001,140.06219063 39.522763964,140.05218163 39.4649999640001,140.04635463 39.4466549640001,140.03359963 39.409427964,140.02276363 39.378599964,140.01165463 39.3527729640001,139.99410863 39.3213819640001,139.98690863 39.310272964,139.97439963 39.2958279640001,139.90414563 39.1597099640001,139.86050863 39.0277729640001,139.78998163 38.843318964,139.76580863 38.791109964,139.75469963 38.774990964,139.74163663 38.7613819640001,139.70190863 38.722490964,139.64622763 38.6817999630001,139.62862763 38.673390963,139.61218163 38.6513819630001,139.57025463 38.582499963,139.48745463 38.438881963,139.47247263 38.406099963,139.46219063 38.381381963,139.45358163 38.352218963,139.45135463 38.3349909630001,139.45052763 38.3183279630001,139.45080863 38.2966639630001,139.44998163 38.279990963,139.44662763 38.2188819630001,139.42622763 38.1545729630001,139.36578163 38.088327963,139.34274563 38.068881963,139.31441863 38.047490963,139.29999063 38.0366639630001,139.27609063 38.0188819630001,139.25609963 38.0060999630001,139.23578163 37.993881963,139.13498163 37.953327963,139.12383663 37.9491549630001,139.08303663 37.9352639630001,139.039154629 37.921109963,139.027190629 37.9177729630001,138.982181629 37.9005459630001,138.971618629 37.8955459630001,138.921081629 37.870409963,138.903872629 37.8588909630001,138.875518629 37.8372099630001,138.856627629 37.8224909630001,138.838563629 37.8069369630001,138.826627629 37.7924999630001,138.816072629 37.7752729630001,138.798854629 37.7469369630001,138.791354629 37.727763963,138.788881629 37.715827963,138.787018629 37.6998729630001,138.784427629 37.6866549630001,138.780818629 37.6744369630001,138.773590629 37.6499909630001,138.768036629 37.6366549630001,138.756381629 37.6102729620001,138.747190629 37.591663962,138.740236629 37.580272962,138.729399629 37.563881962,138.580536629 37.3986099620001,138.300808629 37.2033279620001,138.271090629 37.184154962,138.243836629 37.172490962,138.209963629 37.1605459620001,138.024690629 37.1077729620001,137.956081628 37.0744369620001,137.939972628 37.0669369620001,137.911654628 37.0569369620001,137.899990628 37.053318962,137.830263628 37.0324909620001,137.805818628 37.0274909620001,137.764981628 37.015545962,137.625790628 36.9722099620001,137.616581628 36.969272962,137.582454628 36.9633279620001,137.545254628 36.9558279620001,137.484408628 36.9424909620001,137.473018628 36.939154962,137.461908628 36.934718962,137.443436628 36.925690962,137.429408628 36.9122819620001,137.421081628 36.887499962,137.420808628 36.8735999620001,137.420808628 36.857218962,137.404418628 36.8147099620001,137.396381628 36.799990962,137.385527628 36.7897189620001,137.346927628 36.7633279620001,137.331636628 36.7549999620001,137.314972628 36.7483279620001,137.302463628 36.746381962,137.196918628 36.7445729620001,137.178008628 36.7481729620001,137.092745628 36.771663962,137.072481628 36.781663962,137.005554628 36.8291639620001,136.997745628 36.837209962,136.990372628 36.854854962,137.010799628 36.8777729620001,137.053008628 36.9585909620001,137.053863628 36.991518962,137.044436628 37.056654962,137.014436628 37.0616639620001,137.003863628 37.048390962,136.982745628 37.040827962,136.869718627 37.0676999620001,136.863281627 37.087772962,136.865236627 37.099436962,136.875790627 37.131381962,136.921354628 37.197209962,136.956418628 37.197145962,137.008318628 37.1790279620001,137.022763628 37.178190962,137.034836628 37.1808279620001,137.070799628 37.201936962,137.145536628 37.2863819620001,137.248836628 37.3605459620001,137.352736628 37.429854962,137.359954628 37.4394369620001,137.359681628 37.494990962,137.356354628 37.504718962,137.343290628 37.5131909620001,137.324127628 37.5183279620001,137.294708628 37.5208279620001,137.280272628 37.521936962,137.266936628 37.5208279620001,137.248563628 37.516936962,137.142763628 37.483327962,137.125790628 37.4774819620001,137.103854628 37.466936962,137.094972628 37.459163962,137.086090628 37.4510999620001,137.077181628 37.443318962,137.027190628 37.423327962,136.922763628 37.3897189620001,136.910518628 37.3872189620001,136.881072627 37.3897189620001,136.867736627 37.388881962,136.844118627 37.3824909620001,136.786927627 37.3622099620001,136.771908627 37.353054962,136.752472627 37.339709962,136.737745627 37.3248549620001,136.689418627 37.195545962,136.682463627 37.1760999620001,136.679963627 37.1472189620001,136.683290627 37.133809962,136.729945627 37.0924909620001,136.766081627 36.981099962,136.767763627 36.965272962,136.768863627 36.8827639620001,136.761381627 36.8574999620001,136.751645627 36.8313819620001,136.721618627 36.7697189620001,136.712463627 36.7513909620001,136.695527627 36.723599962,136.656372627 36.6655459620001,136.649136627 36.6558189620001,136.613281627 36.6138819620001,136.584963627 36.582499962,136.531099627 36.5260999610001,136.518581627 36.5130549610001,136.406918627 36.3972189610001,136.358581627 36.353327961,136.243136627 36.269709961,136.181918627 36.241663961,136.128299627 36.1955459610001,136.069699627 36.119154961,135.961072627 35.976099961,135.960527627 35.959709961,136.006790627 35.8704819610001,136.020808627 35.858327961,136.031918627 35.851936961,136.054136627 35.8330549610001,136.061918627 35.8249999610001,136.080263627 35.804990961,136.085781627 35.7961099610001,136.091918627 35.782209961,136.098572627 35.7627729610001,136.098572627 35.746099961,136.081363627 35.660545961,136.072754627 35.648609961,136.062045627 35.6491549610001,136.037281627 35.668463961,136.043027627 35.6790189610001,136.049990627 35.695127961,136.043581627 35.711936961,136.029554627 35.7380459610001,136.014708627 35.740963961,135.971345627 35.7166639610001,135.963718627 35.702909961,135.968018627 35.648745961,135.831081627 35.528881961,135.822208626 35.5216639610001,135.736354626 35.4838819610001,135.725527626 35.4794279600001,135.713590626 35.47638196,135.627445626 35.4766549600001,135.521636626 35.4863819610001,135.510954626 35.4890189610001,135.475372626 35.521518961,135.476290626 35.5393999610001,135.461090626 35.588045961,135.448581626 35.586109961,135.353990626 35.546936961,135.346499626 35.5387459610001,135.345790626 35.524709961,135.354536626 35.501863961,135.376345626 35.494154961,135.391645626 35.499227961,135.401581626 35.4778999600001,135.387208626 35.46638196,135.339963626 35.4719279600001,135.193436626 35.525409961,135.187745626 35.538463961,135.191927626 35.554163961,135.198027626 35.565827961,135.205536626 35.5755549610001,135.266081626 35.649436961,135.274136626 35.6583279610001,135.289690626 35.659645961,135.303318626 35.668599961,135.306363626 35.6837369610001,135.284699626 35.716381961,135.278045626 35.724709961,135.222199626 35.762218961,135.210236626 35.761381961,135.191654626 35.7580459610001,135.168027626 35.752490961,135.086090626 35.7291549610001,135.068299626 35.703609961,135.054136626 35.694154961,135.034145626 35.6822099610001,134.916518626 35.6351279610001,134.897063626 35.6334729610001,134.826081626 35.638045961,134.813018626 35.646381961,134.794127626 35.6510999610001,134.772218626 35.652772961,134.537754625 35.6474909610001,134.514845625 35.6459639610001,134.391936625 35.607499961,134.368654625 35.597545961,134.358854625 35.595272961,134.334963625 35.5894279610001,134.302463625 35.576381961,134.283327625 35.5636099610001,134.272490625 35.5488819610001,134.260054625 35.5390189610001,134.116636625 35.513881961,134.084690625 35.509990961,133.813599625 35.4855459610001,133.779418625 35.4849909610001,133.751372625 35.485827961,133.736636625 35.4872099610001,133.698299625 35.492763961,133.649136624 35.504718961,133.634708624 35.5094369610001,133.618290624 35.513609961,133.599272624 35.516245961,133.574672624 35.5166639610001,133.561918624 35.5152729610001,133.543581624 35.5116639610001,133.519990624 35.5058279610001,133.480254624 35.492490961,133.470245624 35.486936961,133.456081624 35.47720996,133.447208624 35.46998196,133.434690624 35.4577729600001,133.417618624 35.4472099600001,133.401645624 35.44526396,133.381072624 35.44499096,133.359954624 35.4455459600001,133.344699624 35.4477729600001,133.328308624 35.4516639600001,133.313872624 35.45638196,133.279418624 35.4749909600001,133.267490624 35.4836099610001,133.253872624 35.5027729610001,133.249008624 35.5147099610001,133.248563624 35.5285999610001,133.101627624 35.582218961,133.091063624 35.5824999610001,133.069699624 35.564990961,133.054690624 35.5502729610001,132.961208624 35.494163961,132.929136624 35.4955459610001,132.886654624 35.496654961,132.866054624 35.4963819610001,132.853027624 35.494990961,132.829681624 35.4888819610001,132.681090624 35.4405459600001,132.633654624 35.42110996,132.629954624 35.40777296,132.641663624 35.39888196,132.666927624 35.3880459600001,132.678318624 35.38166396,132.681363624 35.3690189600001,132.674681624 35.34638196,132.664981624 35.3202729600001,132.658872624 35.30859996,132.651918624 35.2986099600001,132.638881624 35.28638196,132.629390624 35.2799909600001,132.613281624 35.2719369600001,132.595790623 35.26749096,132.579408623 35.2611099600001,132.547208623 35.2474909600001,132.414699623 35.1720819600001,132.404690623 35.1613729600001,132.398318623 35.15054596,132.359681623 35.09999996,132.316654623 35.0516549600001,132.299990623 35.03610996,132.288881623 35.0319369600001,132.247745623 35.0210999600001,132.215790623 35.0074999600001,132.130799623 34.9499999600001,132.098845623 34.92609996,132.076918623 34.90304596,132.051908623 34.8680459600001,131.845381623 34.7027729600001,131.832736623 34.69609996,131.816372623 34.6897099600001,131.780545623 34.68193696,131.744418623 34.67416396,131.680208623 34.66220996,131.623018623 34.65581896,131.603854623 34.6535999600001,131.591063623 34.6419369600001,131.554690623 34.6033279600001,131.413608622 34.4516639600001,131.406099622 34.4220819600001,131.316654622 34.3888819590001,131.262754622 34.376936959,131.210099622 34.370336959,131.211908622 34.398327959,131.165527622 34.41720996,130.976627622 34.42859996,130.964963622 34.42527296,130.944690622 34.41388196,130.936372622 34.4010999590001,130.879672622 34.2930549590001,130.883999622 34.2602729590001,130.906099622 34.233881959,130.912199622 34.2252639590001,130.924681622 34.191372959,130.927763622 34.1813819590001,130.923736622 34.166381959,130.894990622 34.1336099590001,130.886936622 34.1252639590001,130.884427622 33.934436959,130.893308622 33.9216639590001,130.905118622 33.9137369590001,130.916918622 33.9166639590001,130.980254622 33.9760999590001,130.990918622 33.9885999590001,130.997727622 34.0073549590001,131.030399622 34.039581959,131.059963622 34.033881959,131.092190622 34.020827959,131.108581622 34.0113819590001,131.148036622 33.980272959,131.163881622 33.9536099590001,131.164699622 33.9424909590001,131.172608622 33.9322189590001,131.258318622 33.918472959,131.324399622 33.9466549590001,131.334963622 33.951663959,131.396090622 33.976381959,131.604672623 34.029718959,131.745790623 34.0535999590001,131.787199623 34.0433279590001,131.824127623 34.0165189590001,131.836636623 33.9974909590001,132.048581623 33.8952729590001,132.068572623 33.8058279590001,132.037754623 33.771099959,132.050536623 33.772490959,132.060790623 33.7772099590001,132.143308623 33.8263819590001,132.154554623 33.834854959,132.153745623 33.856990959,132.132372623 33.908499959,132.129527623 33.9414729590001,132.179245623 33.9507459590001,132.197018623 33.9649099590001,132.213290623 33.990545959,132.239681623 34.1488819590001,132.241054623 34.1610999590001,132.237454623 34.176381959,132.232572623 34.191909959,132.224945623 34.236381959,132.322481623 34.3341639590001,132.336363623 34.344154959,132.353990623 34.3534639590001,132.370654623 34.3592999590001,132.398590623 34.364436959,132.408718623 34.3645819590001,132.503872623 34.322490959,132.500408623 34.2931909590001,132.550463623 34.191936959,132.570527623 34.1894279590001,132.632172624 34.195263959,132.654281624 34.1981819590001,132.690518624 34.2070729590001,132.764981624 34.231654959,132.774899624 34.241172959,132.768581624 34.2547189590001,132.780272624 34.270827959,132.809690624 34.303045959,132.820118624 34.307909959,132.901918624 34.3155459590001,133.046354624 34.324163959,133.065245624 34.301109959,133.071154624 34.2497819590001,133.190318624 34.277490959,133.209790624 34.318827959,133.216963624 34.351490959,133.234681624 34.4041639590001,133.240663624 34.41638196,133.251918624 34.4231909600001,133.267208624 34.4205549600001,133.315945624 34.3649909590001,133.313718624 34.353881959,133.300127624 34.343745959,133.342472624 34.345545959,133.476072624 34.42166396,133.668027624 34.5127729600001,133.679136624 34.5166639600001,133.703036625 34.5216639600001,133.722199625 34.5208279600001,133.769436625 34.49027296,133.826354625 34.46388196,133.899136625 34.44832796,133.918163625 34.4455459600001,133.936845625 34.45081896,134.023936625 34.5471729600001,134.042072625 34.58471896,134.022763625 34.59221896,134.004154625 34.5894279600001,133.980254625 34.5844369600001,133.970245625 34.57888196,133.957736625 34.56666396,133.950808625 34.5566549600001,133.937227625 34.5501729600001,133.927199625 34.56012796,133.926772625 34.57346396,133.932463625 34.5833279600001,133.993990625 34.60624596,134.033445625 34.6058279600001,134.049408625 34.59943696,134.059418625 34.5924909600001,134.073254625 34.58259996,134.099118625 34.57555496,134.119263625 34.58110996,134.137208625 34.5902729600001,134.189418625 34.6247099600001,134.249390625 34.6891549600001,134.242099625 34.70388196,134.250272625 34.7152729600001,134.299381625 34.7041189600001,134.323163625 34.6983189600001,134.345790625 34.7005459600001,134.413299625 34.71998196,134.499690625 34.75471896,134.651090625 34.7774909600001,134.663881625 34.7785999600001,134.674699625 34.7777729600001,134.708590625 34.77249096,134.742581625 34.76302796,134.762481626 34.75666396,134.876890626 34.69221896,134.890536626 34.6813819600001,134.913027626 34.66331896,134.969127626 34.63401896,135.048854626 34.61859996,135.063599626 34.61693696,135.153318626 34.63582796,135.170254626 34.6411099600001,135.188563626 34.6522099600001,135.192536626 34.66374596,135.223299626 34.6840189600001,135.314972626 34.7158279600001,135.333590626 34.71831896,135.419236626 34.69136396,135.454818626 34.6290189600001,135.457927626 34.5652729600001,135.452608626 34.5481909600001,135.436372626 34.5258279600001,135.379390626 34.4622099600001,135.366908626 34.4499999600001,135.295808626 34.390827959,135.227172626 34.3499999590001,135.144990626 34.3199909590001,135.132445626 34.3172189590001,135.098018626 34.249436959,135.112727626 34.2391549590001,135.134708626 34.2152729590001,135.195954626 34.1404099590001,135.129118626 34.0566549590001,135.085508626 33.968318959,135.061918626 33.888327959,135.064681626 33.8755459590001,135.194699626 33.808045959,135.279972626 33.7661099590001,135.320254626 33.751390959,135.378572626 33.7194369590001,135.398527626 33.7015189590001,135.381072626 33.6791639590001,135.365936626 33.6765189590001,135.348845626 33.682072959,135.336208626 33.6567999590001,135.399718626 33.5813819590001,135.407199626 33.5736099590001,135.457736626 33.5399909590001,135.531918626 33.513327959,135.589808626 33.4965189590001,135.772218626 33.454990959,135.890808627 33.5238819590001,135.909145627 33.5374999590001,135.938290627 33.563327959,135.951354627 33.576663959,135.983854627 33.664154959,135.996063627 33.685027959,136.016663627 33.7080459590001,136.023863627 33.717763959,136.041072627 33.754999959,136.048581627 33.774990959,136.054136627 33.794154959,136.063599627 33.8180549590001,136.072754627 33.835263959,136.083590627 33.8499999590001,136.095790627 33.8630549590001,136.118990627 33.8845819590001,136.149990627 33.9027729590001,136.175263627 33.913609959,136.203308627 33.9199909590001,136.229399627 33.9366549590001,136.265808627 33.9619369590001,136.274690627 33.969154959,136.277772627 33.981654959,136.264981627 34.028327959,136.292463627 34.142699959,136.303318627 34.1602729590001,136.343845627 34.189709959,136.353572627 34.196099959,136.371827627 34.191863959,136.480527627 34.2213729590001,136.589690627 34.259436959,136.668854627 34.298336959,136.764981627 34.294445959,136.779418627 34.269990959,136.771499627 34.2627729590001,136.788027627 34.251390959,136.827181627 34.2422189590001,136.837872627 34.241245959,136.852754627 34.2441549590001,136.897690627 34.2665189590001,136.921627628 34.4055459590001,136.915681628 34.4336099600001,136.867736627 34.4694369600001,136.857999627 34.47638196,136.827608627 34.49082796,136.793581627 34.49609996,136.768190627 34.49916396,136.694699627 34.5433279600001,136.641936627 34.58110996,136.626218627 34.58831896,136.607181627 34.5919369600001,136.587736627 34.59054596,136.572054627 34.58874596,136.535736627 34.6012729600001,136.521090627 34.6766549600001,136.519990627 34.6969369600001,136.530818627 34.7349909600001,136.537199627 34.7463819600001,136.551908627 34.76582796,136.572208627 34.78777296,136.584963627 34.7997189600001,136.600799627 34.8123549600001,136.616054627 34.82582796,136.639708627 34.8541639600001,136.645808627 34.8704099600001,136.655108627 34.9143639600001,136.648508627 34.93373696,136.642063627 34.9463729600001,136.650818627 34.9694369600001,136.657745627 34.9799909600001,136.666654627 34.98693696,136.697481627 35.00305496,136.735508627 35.0177729600001,136.744754627 35.02089096,136.821345627 35.0644369600001,136.849836627 35.0790279600001,136.893036627 35.0793729600001,136.902190628 35.04540996,136.901363627 35.03110996,136.885254627 35.00325496,136.860927627 34.97957296,136.849972627 34.97027296,136.838290627 34.95638196,136.831908627 34.94499096,136.826763627 34.9290189600001,136.823854627 34.91388196,136.823027627 34.9024909600001,136.824672627 34.88665496,136.847472627 34.7466549600001,136.854672627 34.73832796,136.863281627 34.7308189600001,136.877745627 34.72027296,136.923036628 34.6947099600001,136.932327628 34.6902729600001,136.963436628 34.68263696,136.973845628 34.6854099600001,136.967472628 34.7074999600001,136.956636628 34.7252639600001,136.950254628 34.73360996,136.923854628 34.7613819600001,136.917754628 34.7726369600001,136.916654628 34.7831909600001,136.924681628 34.8280459600001,136.937681628 34.85731896,136.958527628 34.8918279600001,136.977890628 34.9190189600001,136.986072628 34.90818196,136.983518628 34.8733819600001,136.981018628 34.85912796,136.980527628 34.83138196,136.988863628 34.80693696,137.006099628 34.78110996,137.016390628 34.7685999600001,137.026781628 34.7592999600001,137.043581628 34.75666396,137.090927628 34.7552729600001,137.153872628 34.76805496,137.214145628 34.79790996,137.276918628 34.80193696,137.289699628 34.7963909600001,137.299408628 34.7891639600001,137.321345628 34.77054596,137.327754628 34.76221896,137.348299628 34.71874596,137.342054628 34.70804596,137.183590628 34.65388196,137.141936628 34.64554596,137.086208628 34.64082796,137.069972628 34.63999096,137.061372628 34.6322099600001,137.023863628 34.57832796,137.028790628 34.5678369600001,137.125518628 34.5719369600001,137.143308628 34.57582796,137.176090628 34.5883279600001,137.243008628 34.61054596,137.298854628 34.62887296,137.328036628 34.63721896,137.346345628 34.6402729600001,137.408599628 34.64804596,137.528590628 34.66193696,137.591336628 34.6688819600001,137.636108628 34.6549909600001,137.799408628 34.6338819600001,137.819699628 34.6336099600001,137.845672628 34.6350279600001,137.864136628 34.63721896,137.929136628 34.65138196,137.961363628 34.6535999600001,137.982454629 34.6522099600001,138.037472629 34.6380459600001,138.165799629 34.5974909600001,138.214145629 34.5991639600001,138.206636629 34.6072189600001,138.201354629 34.61609996,138.197754629 34.63109996,138.199127629 34.6535999600001,138.205227629 34.6660999600001,138.224399629 34.7010999600001,138.332454629 34.85804596,138.566908629 35.0897099600001,138.576627629 35.0958279600001,138.698299629 35.12193696,138.710508629 35.12443696,138.723299629 35.12526396,138.741208629 35.12346396,138.761108629 35.11832796,138.816654629 35.09638196,138.834408629 35.0869369600001,138.846072629 35.08055496,138.905945629 35.03478196,138.893863629 35.00889096,138.844118629 35.00249096,138.823854629 35.00999096,138.799708629 35.00582796,138.782763629 34.9980459600001,138.773590629 34.97638196,138.767899629 34.9546459600001,138.765254629 34.88109996,138.766390629 34.82221896,138.765808629 34.7619369600001,138.763608629 34.7291549600001,138.748581629 34.7149909600001,138.745999629 34.68082796,138.807463629 34.6041639600001,138.829563629 34.5948549600001,138.850390629 34.59318196,138.885799629 34.6066549600001,138.911927629 34.6191549600001,138.981627629 34.66638196,139.06079063 34.7611099600001,139.06802763 34.77138196,139.13858163 34.8747099600001,139.14303663 34.8874999600001,139.15122763 34.9206909600001,139.14733663 34.94096396,139.12898163 34.96110996,139.10927263 34.9676279600001,139.09634563 34.9816549600001,139.09106363 34.9905459600001,139.08829063 35.0572099600001,139.09356363 35.08471896,139.09997263 35.0969369600001,139.11282763 35.1111189600001,139.14080863 35.1849909600001,139.14636363 35.1980459600001,139.15942763 35.2219279600001,139.17330863 35.2380459600001,139.19024563 35.24916396,139.21606363 35.2624999600001,139.23745463 35.2719369600001,139.28387263 35.28943696,139.32580863 35.29804596,139.34497263 35.29999996,139.40277263 35.3038819600001,139.43524563 35.30526396,139.44939963 35.30416396,139.55789063 35.2855549600001,139.56789063 35.2784639600001,139.60830863 35.22581896,139.61245463 35.2166639600001,139.62342763 35.1798549600001,139.62189063 35.15970996,139.61427263 35.13221896,139.62454563 35.12582796,139.64135463 35.12582796,139.65942763 35.12999096,139.67872763 35.13721896,139.74502763 35.25172796,139.72497263 35.2577729600001,139.70718163 35.2587459600001,139.68747263 35.26332796,139.65719963 35.28138196,139.64984563 35.29749996,139.63470863 35.38499096,139.64609063 35.45749096,139.67776363 35.47027296,139.70330863 35.4724909600001,139.72689963 35.47804596,139.75860863 35.4891549610001,139.77804563 35.501945961,139.78448163 35.5116459610001,139.77136363 35.5644369610001,139.76720863 35.5899909610001,139.76641863 35.6065639610001,139.76866363 35.621163961,139.77719063 35.6333279610001,139.93747263 35.6566549610001,139.96856363 35.6608189610001,139.99579063 35.658045961,140.04164563 35.6433279610001,140.06414563 35.6272099610001,140.07525463 35.6152729610001,140.10869963 35.5669369610001,140.11314563 35.552354961,140.10412763 35.5363819610001,140.04248163 35.4866549610001,139.96969963 35.43027296,139.92053663 35.37499096,139.84884563 35.27888196,139.82358163 35.16470996,139.82439963 35.1541639600001,139.84551863 35.0638819600001,139.86468163 35.0094369600001,139.86719063 34.9965369600001,139.85912763 34.98416396,139.82635463 34.97165496,139.80859063 34.96804596,139.79553663 34.9674909600001,139.77165463 34.96311896,139.77206363 34.95138196,139.83816363 34.8949999600001,139.86359063 34.88999096,139.88943663 34.89138196,139.90747263 34.8949999600001,139.94165463 34.90470996,139.95468163 34.9108279600001,139.96594563 34.92513696,139.97204563 34.9719999600001,139.99300863 35.00832796,140.00219963 35.0152729600001,140.12189063 35.08638196,140.223018631 35.09720996,140.235227631 35.10027296,140.332181631 35.12985496,140.390808631 35.1733279600001,140.398318631 35.18359996,140.407199631 35.20332796,140.414699631 35.2224909600001,140.416381631 35.2338819600001,140.417208631 35.2947189600001,140.413454631 35.3122099600001,140.402463631 35.3324999600001,140.398318631 35.34720996,140.396090631 35.36277296,140.396363631 35.3738819600001,140.398036631 35.3852729600001,140.405545631 35.40970996,140.413027631 35.4288819600001,140.436918631 35.48137296,140.450808631 35.503881961,140.470518631 35.527772961,140.479127631 35.5363819610001,140.537108631 35.588718961,140.545536631 35.5960999610001,140.569118631 35.6136099610001,140.588008631 35.6272099610001,140.626063631 35.654436961,140.641663631 35.6624909610001,140.663608631 35.6705459610001,140.675263631 35.6738819610001,140.824127631 35.694990961,140.837190631 35.743327961,140.777463631 35.819445961,140.630527631 36.031663961,140.621890631 36.0447189610001,140.600527631 36.0808279610001,140.592327631 36.096799961,140.588863631 36.1097189610001,140.572208631 36.1794369610001,140.570254631 36.1897099610001,140.567745631 36.210545961,140.565518631 36.247490961,140.567745631 36.262218961,140.605808631 36.421663961,140.636654631 36.530545961,140.746063631 36.779163962,140.753054631 36.790554962,140.767490631 36.813045962,140.798581631 36.8460639620001,140.797481631 36.8480459620001,140.797608631 36.8669369620001,140.809690631 36.886109962,140.824399631 36.9017909620001,140.872745631 36.9194459620001,140.924008631 36.9334639620001,140.958308631 36.959163962,140.967472631 36.968599962,140.974545631 36.984718962,141.003872631 37.183054962,141.036654631 37.3580459620001,141.039154631 37.374990962,141.038881631 37.4563819620001,141.033054631 37.578609962,141.022490631 37.720827963,141.019436631 37.730818963,141.014436631 37.739718963,140.999390631 37.7560999630001,140.979945631 37.7705459630001,140.958308631 37.7844369630001,140.926090631 37.895272963,140.920536631 37.919154963,140.918163631 37.9373549630001,140.917481631 37.9722099630001,140.917754631 37.9830459630001,140.918854631 38.005272963,140.923036631 38.0336099630001,140.939972631 38.1052729630001,140.953581631 38.1480459630001,141.044127631 38.317772963,141.055818631 38.3380459630001,141.081218631 38.359718963,141.095790631 38.3644369630001,141.256099632 38.395827963,141.293854632 38.4016549630001,141.307463632 38.4022099630001,141.343290632 38.3997189630001,141.357727632 38.398327963,141.423036632 38.3809639630001,141.438854632 38.3616639630001,141.436099632 38.331936963,141.458708632 38.3006909630001,141.519427632 38.263463963,141.537472632 38.298881963,141.546627632 38.386109963,141.546936632 38.5136099630001,141.531099632 38.620272963,141.515254632 38.681381963,141.533054632 38.7805459640001,141.580536632 38.8735999640001,141.592527632 38.8856819640001,141.632172632 38.8872189640001,141.642490632 38.8849909640001,141.643581632 38.9224909640001,141.633636632 38.9694819640001,141.629808632 38.9851279640001,141.636108632 38.9948549640001,141.748563632 39.0188819640001,141.848163632 39.019854964,141.867190632 39.063045964,141.884708632 39.1174909640001,141.889981632 39.1538819640001,141.899018632 39.2483279640001,141.898590632 39.2661099640001,141.906372632 39.329990964,141.943299632 39.380963964,141.986618632 39.416381964,142.014163632 39.414154964,142.033872632 39.4145729640001,142.054699632 39.465827964,142.069699632 39.5466639640001,142.064418632 39.555545964,142.031099632 39.606654964,141.978854632 39.6527729640001,141.988554632 39.7883279650001,141.957181632 39.9627729650001,141.948727632 39.989436965,141.940518632 39.9974909650001,141.897763632 40.018327965,141.848018632 40.0552639650001,141.840518632 40.063327965,141.834136632 40.0777729650001,141.833590632 40.0883279650001,141.836636632 40.100272965,141.844699632 40.110545965,141.854399632 40.1180459650001,141.862454632 40.1574909650001,141.841336632 40.2252639650001,141.820254632 40.2672099650001,141.707181632 40.4160999650001,141.696927632 40.4288819650001,141.689145632 40.436936965,141.674563632 40.4479099650001,141.658327632 40.4585999650001,141.647218632 40.465545965,141.639163632 40.4788729650001,141.632718632 40.487499965,141.582736632 40.5302729650001,141.571208632 40.5316639650001,141.481899632 40.552772965,141.476627632 40.561663965,141.471345632 40.5705459650001,141.466063632 40.579718965,141.460508632 40.593881965,141.428590632 40.6905459650001,141.421081632 40.7149999650001,141.418027632 40.7299909650001,141.415799632 40.745272965,141.403872632 40.8599909660001,141.401918632 40.879718966,141.399990632 40.9263819660001,141.395536632 41.144718966,141.396790632 41.1585999660001,141.403027632 41.176799966,141.412199632 41.191099966,141.418854632 41.2041639660001,141.455808632 41.343881966,141.417754632 41.3738819660001,141.395263632 41.3627729660001,141.373018632 41.351936966,141.355227632 41.3458279660001,141.335508632 41.341936966,141.314972632 41.340272966,141.300808632 41.3397189660001,141.270808632 41.3424909660001,141.254427632 41.345545966,141.224818632 41.354436966,141.208590632 41.3622099660001,141.194699631 41.373599966,141.186099631 41.3819369660001,141.176636631 41.3949999660001,141.171354631 41.403881966,141.164699631 41.4124909660001,141.151918631 41.424163966,141.131618631 41.442490966,141.106081631 41.460818966,141.087463631 41.470545966,140.923018631 41.529572966,140.911236631 41.525545966,140.838581631 41.400545966),(134.383090625 33.623045959,134.588563625 33.7488819590001,134.638308625 33.776381959,134.698581625 33.797772959,134.744690625 33.8173549590001,134.694408625 33.932772959,134.642272625 33.9794999590001,134.605236625 33.9839549590001,134.591918625 34.027354959,134.609545625 34.0910999590001,134.619690625 34.1160999590001,134.632445625 34.145827959,134.579127625 34.2241639590001,134.551908625 34.214154959,134.471908625 34.200827959,134.434281625 34.207627959,134.336636625 34.2505459590001,134.260608625 34.2915909590001,134.223572625 34.3444369590001,134.152327625 34.3838819590001,134.131499625 34.3863819590001,134.106081625 34.3683279590001,134.082608625 34.3387459590001,134.006381625 34.3485999590001,133.893863625 34.3599909590001,133.738163625 34.2511099590001,133.679690624 34.220681959,133.646790624 34.1510999590001,133.643581624 34.0991639590001,133.620508624 34.0465909590001,133.587527624 34.0243279590001,133.548581624 33.975818959,133.523099624 33.9627729590001,133.472745624 33.9672099590001,133.420390624 33.9794279590001,133.354127624 33.9841639590001,133.315318624 33.983945959,133.273863624 33.9622099590001,133.248308624 33.942209959,133.203445624 33.922772959,133.168308624 33.914154959,133.145954624 33.912345959,133.113690624 33.9217999590001,133.063508624 33.9622819590001,133.054408624 33.996099959,133.040408624 34.020690959,132.979963624 34.1030549590001,132.945527624 34.1177639590001,132.896927624 34.106109959,132.777190624 33.987772959,132.708927624 33.874927959,132.699708624 33.8049909590001,132.695590624 33.7555549590001,132.671645624 33.7122099590001,132.639827624 33.6737369590001,132.617872624 33.660681959,132.589418623 33.647490959,132.563599623 33.635554959,132.417754623 33.5391639590001,132.308008623 33.4794279590001,132.285108623 33.473045959,132.110090623 33.3963819590001,132.018718623 33.3404729590001,132.127445623 33.3488729590001,132.149627623 33.358672959,132.173736623 33.385554959,132.305236623 33.4530459590001,132.366718623 33.4677279590001,132.393172623 33.432772959,132.377318623 33.3108279580001,132.413863623 33.290690958,132.461090623 33.294154958,132.488281623 33.279718958,132.534699623 33.244709958,132.515118623 33.201236958,132.492463623 33.173881958,132.464145623 33.024990958,132.483018623 32.8955459580001,132.514218623 32.888599958,132.613299624 32.900127958,132.641536624 32.907290958,132.651927624 32.908463958,132.714008624 32.906654958,132.709963624 32.879781958,132.688445624 32.8590279580001,132.661372624 32.8338819580001,132.634708624 32.774990958,132.639299624 32.751809958,132.816708624 32.740409958,132.855863624 32.7674189580001,132.901781624 32.774163958,132.934827624 32.7687459580001,132.964418624 32.743045958,133.007472624 32.7674909580001,132.996063624 32.8558279580001,133.007899624 32.9735999580001,133.017345624 32.9983279580001,133.035536624 33.0162459580001,133.057327624 33.024163958,133.110227624 33.0470279580001,133.145263624 33.083599958,133.241636624 33.1966549580001,133.253327624 33.217763958,133.265608624 33.251109958,133.253018624 33.277699958,133.249281624 33.3213819580001,133.281508624 33.362909959,133.359545624 33.384299959,133.394436624 33.388599959,133.583845624 33.493609959,133.604263624 33.503327959,133.633327624 33.510554959,133.657472624 33.514718959,133.716918625 33.5169369590001,133.747608625 33.5163819590001,133.874118625 33.490545959,133.905245625 33.482209959,133.924545625 33.474018959,134.034208625 33.388954959,134.042481625 33.356245959,134.115099625 33.282354958,134.186554625 33.242009958,134.196781625 33.272072958,134.198027625 33.303318958,134.202745625 33.333599958,134.216063625 33.3733189590001,134.246763625 33.4454099590001,134.267763625 33.480545959,134.296508625 33.5195819590001,134.305145625 33.5275729590001,134.339963625 33.5563819590001,134.383090625 33.623045959),(131.989408623 32.8305549580001,131.985227623 32.9038819580001,131.905545623 32.989718958,131.816554623 33.119645958,131.836636623 33.158327958,131.869418623 33.199999958,131.896681623 33.2471819580001,131.847472623 33.244154958,131.826490623 33.2352729580001,131.800663623 33.2331909580001,131.759427623 33.2341639580001,131.593290623 33.2444369580001,131.571227623 33.246936958,131.539427623 33.2538819580001,131.517381622 33.264663958,131.501936622 33.315545958,131.503172622 33.3399279590001,131.531645622 33.351518959,131.558718623 33.339990959,131.583454623 33.3429099590001,131.700863623 33.414718959,131.729554623 33.466381959,131.740708623 33.5426279590001,131.730381623 33.5747189590001,131.692472623 33.624163959,131.669708623 33.647490959,131.643581623 33.663609959,131.586499623 33.680136959,131.527190622 33.668881959,131.505536622 33.6608279590001,131.484272622 33.6291549590001,131.463145622 33.5952729590001,131.418927622 33.566663959,131.351899622 33.5624909590001,131.272063622 33.5702729590001,131.214145622 33.595545959,131.194918622 33.6071099590001,131.098772622 33.6125639590001,131.046081622 33.6741639590001,131.027190622 33.6991549590001,130.954972622 33.814299959,130.982181622 33.881099959,130.844972622 33.9120729590001,130.806636622 33.9197189590001,130.702745622 33.9358909590001,130.534972622 33.877209959,130.496336622 33.8460999590001,130.450999621 33.799572959,130.456418621 33.773390959,130.468154622 33.750409959,130.416645621 33.628463959,130.399408621 33.6041639590001,130.365372621 33.584018959,130.283581621 33.575963959,130.236345621 33.618045959,130.207454621 33.650827959,130.144990621 33.591381959,130.060790621 33.4891549590001,130.036318621 33.4574999590001,130.027754621 33.448327959,130.003327621 33.4394279590001,129.982745621 33.442072959,129.952327621 33.473563959,129.963854621 33.5049909590001,129.921099621 33.5366639590001,129.869263621 33.5272099590001,129.801190621 33.4492639590001,129.825527621 33.409854959,129.870699621 33.3951189590001,129.878390621 33.3750729590001,129.851727621 33.342490959,129.834336621 33.2922279580001,129.588581621 33.3640189590001,129.566654621 33.2419369580001,129.570145621 33.2095099580001,129.636654621 33.1860999580001,129.743518621 33.115881958,129.882718621 33.0424999580001,129.926908621 33.012772958,129.943163621 32.9948549580001,129.969972621 32.8630549580001,129.948581621 32.846099958,129.851763621 32.8224909580001,129.803999621 32.8584639580001,129.793854621 32.8849909580001,129.792208621 32.9127729580001,129.801708621 32.9351279580001,129.819899621 32.9074549580001,129.821490621 32.9754099580001,129.767208621 33.0411099580001,129.747272621 33.0531099580001,129.724899621 33.066690958,129.687527621 33.0785729580001,129.635545621 32.9654099580001,129.637618621 32.940545958,129.685518621 32.8380459580001,129.735718621 32.793254958,129.775272621 32.8024909580001,129.857608621 32.7187459580001,129.857454621 32.6982549580001,129.806090621 32.630545958,129.746063621 32.5610999580001,129.752199621 32.561936958,129.794145621 32.570272958,129.821918621 32.5838819580001,129.897490621 32.6438819580001,129.910672621 32.659154958,129.927463621 32.6922189580001,129.944427621 32.7260999580001,129.965790621 32.7394369580001,130.088145621 32.7844369580001,130.174072621 32.7829819580001,130.201981621 32.7251999580001,130.190536621 32.7016549580001,130.144654621 32.674018958,130.135463621 32.633809958,130.176908621 32.5872819580001,130.215236621 32.598327958,130.339399621 32.6592999580001,130.370236621 32.7288729580001,130.376618621 32.769299958,130.370790621 32.792218958,130.342390621 32.836936958,130.314136621 32.8619369580001,130.273863621 32.8674909580001,130.240663621 32.861245958,130.219545621 32.8479099580001,130.194699621 32.834990958,130.167618621 32.8295819580001,130.127045621 32.835963958,130.096208621 32.854018958,130.110654621 32.8734639580001,130.159972621 32.895827958,130.183854621 32.9054099580001,130.218427621 32.9581819580001,130.176363621 33.0305459580001,130.164699621 33.0483369580001,130.137754621 33.1058279580001,130.211090621 33.1708279580001,130.363572621 33.136663958,130.415799621 33.087490958,130.429490621 33.0442279580001,130.422763621 32.9899909580001,130.433318621 32.9602729580001,130.456636621 32.9112369580001,130.510527622 32.8749909580001,130.554963622 32.8405459580001,130.584836622 32.815409958,130.606918622 32.783463958,130.602445622 32.7155459580001,130.564972622 32.691936958,130.462463622 32.6365189580001,130.450236621 32.6194369580001,130.587463622 32.631936958,130.609127622 32.5888819580001,130.598590622 32.503609958,130.564563622 32.435272958,130.548872622 32.418881958,130.514436622 32.3855549580001,130.460236622 32.3230549580001,130.345272621 32.160990957,130.321918621 32.1169369570001,130.287281621 32.096099957,130.268718621 32.1052729570001,130.257890621 32.1227729570001,130.206072621 32.123454957,130.177336621 32.089436957,130.162472621 32.006945957,130.199399621 31.899436957,130.181363621 31.820272957,130.176636621 31.776799957,130.185808621 31.754690957,130.217881621 31.7386099570001,130.256518621 31.7163189570001,130.336208621 31.625972957,130.333590621 31.5509729570001,130.318299621 31.4933279570001,130.304699621 31.453672957,130.271363621 31.4194459570001,130.233854621 31.3958279570001,130.203308621 31.339163957,130.231081621 31.247490957,130.254836621 31.244990957,130.338863621 31.2444369570001,130.458308621 31.235827957,130.486127622 31.231590957,130.513408622 31.1948549570001,130.520190622 31.163672956,130.584408622 31.1549909560001,130.638308622 31.1822819560001,130.653590622 31.215272957,130.663454622 31.262499957,130.638445622 31.2786099570001,130.607454622 31.291663957,130.574963622 31.3126369570001,130.560945622 31.3312459570001,130.524690622 31.4194459570001,130.515545622 31.446245957,130.520263622 31.4802729570001,130.534427622 31.5288819570001,130.561099622 31.593890957,130.610227622 31.6766639570001,130.624390622 31.6949999570001,130.644990622 31.714163957,130.677890622 31.724990957,130.774136622 31.706936957,130.807954622 31.682490957,130.807190622 31.6406909570001,130.794690622 31.6013819570001,130.774990622 31.576109957,130.751099622 31.5533279570001,130.722318622 31.5578639570001,130.718427622 31.595309957,130.680736622 31.6183999570001,130.650545622 31.617081957,130.602108622 31.585899957,130.605654622 31.564372957,130.630936622 31.549718957,130.673718622 31.5429099570001,130.771908622 31.399299957,130.798718622 31.3142999570001,130.796081622 31.248881957,130.762772622 31.157909956,130.731899622 31.1151369560001,130.678372622 31.073818956,130.668245622 30.999581956,130.706363622 31.006381956,130.721208622 31.0216639560001,130.747463622 31.044163956,130.849972622 31.090272956,130.876063622 31.100827956,130.899136622 31.1061099560001,130.934963622 31.1170819560001,130.978027622 31.146945956,131.129118622 31.2673549570001,131.106081622 31.322499957,131.053454622 31.3427729570001,131.029972622 31.343890957,131.005218622 31.351709957,131.026918622 31.401390957,131.039427622 31.4224999570001,131.071627622 31.448745957,131.132463622 31.4673549570001,131.150118622 31.4658459570001,131.205463622 31.4597189570001,131.241408622 31.412490957,131.246272622 31.3849279570001,131.334545622 31.3692369570001,131.362727622 31.4119459570001,131.397218622 31.4894369570001,131.450254622 31.618054957,131.490781622 31.7895819570001,131.472454622 31.821945957,131.451418622 31.832909957,131.446636622 31.8890279570001,131.473845622 31.9697189570001,131.542754623 32.1341639570001,131.576354623 32.241381957,131.615781623 32.339990958,131.649408623 32.3938819580001,131.704127623 32.4602729580001,131.689754623 32.508399958,131.685181623 32.534927958,131.702754623 32.5641549580001,131.767272623 32.647627958,131.817963623 32.682281958,131.845790623 32.679018958,131.873427623 32.726518958,131.874390623 32.731272958,131.897218623 32.7833369580001,131.989408623 32.8305549580001),(130.207608621 32.333463958,130.211090621 32.373318958,130.201627621 32.467763958,130.198581621 32.483609958,130.182954621 32.5263099580001,130.153872621 32.543609958,130.110090621 32.542081958,130.046081621 32.5122189580001,130.027190621 32.4983279580001,129.992736621 32.421381958,129.987454621 32.409427958,129.971072621 32.355554958,129.955227621 32.243609957,129.988008621 32.200545957,129.999999621 32.188318957,130.029972621 32.1949909570001,130.064972621 32.2124909570001,130.074399621 32.218599957,130.092190621 32.2319369570001,130.207608621 32.333463958),(130.235790621 32.397072958,130.358854621 32.370545958,130.369418621 32.374709958,130.381072621 32.3872189580001,130.403318621 32.423609958,130.448027621 32.505272958,130.365099621 32.5222189580001,130.331908621 32.516390958,130.278045621 32.491381958,130.240263621 32.4628189580001,130.239381621 32.4603459580001,130.223845621 32.455963958,130.210508621 32.4441549580001,130.208708621 32.4292999580001,130.235790621 32.397072958),(128.84411862 32.7516639580001,128.81329062 32.7924999580001,128.78665462 32.791381958,128.66079962 32.7819369580001,128.64886362 32.7745729580001,128.64749062 32.7558279580001,128.64749062 32.711936958,128.65240862 32.6966369580001,128.61967262 32.661727958,128.60107262 32.6185999580001,128.61022762 32.6116639580001,128.63830862 32.6052729580001,128.66998162 32.599718958,128.74190862 32.5891549580001,128.90101862 32.6468729580001,128.88610862 32.6860999580001,128.84411862 32.7516639580001),(129.18304562 32.986109958,129.17704562 32.9973549580001,129.14915462 32.990272958,129.13693662 32.9833279580001,129.12579062 32.979990958,129.10399062 32.977627958,129.09690862 32.985545958,129.10718162 33.039718958,129.11051862 33.0495729580001,129.12369062 33.068518958,129.12497262 33.070545958,129.12801862 33.083599958,129.11515462 33.1424189580001,129.10079962 33.1029099580001,129.04135462 32.9613819580001,129.00555462 32.9349909580001,129.05552762 32.818672958,129.06789062 32.8226279580001,129.17330862 32.9613819580001,129.17913662 32.972490958,129.18304562 32.986109958),(129.565672621 33.340263959,129.568727621 33.3804099590001,129.561645621 33.388327959,129.539154621 33.386799959,129.454127621 33.331663958,129.36107262 33.169718958,129.38525462 33.1647099580001,129.395399621 33.165127958,129.409699621 33.168881958,129.441345621 33.1824909580001,129.456636621 33.1899909580001,129.471072621 33.198599958,129.484408621 33.208599958,129.492736621 33.2163819580001,129.502472621 33.231654958,129.538881621 33.292218958,129.537963621 33.3074909580001,129.565672621 33.340263959),(129.772472621 33.8433279590001,129.699554621 33.855972959,129.687745621 33.8338819590001,129.682463621 33.8222189590001,129.658872621 33.749163959,129.663027621 33.735545959,129.713590621 33.6997189590001,129.720790621 33.697490959,129.754699621 33.7269369590001,129.794127621 33.7627729590001,129.772472621 33.8433279590001),(132.448299623 33.933599959,132.420118623 33.940263959,132.367736623 33.9119369590001,132.353299623 33.9030459590001,132.328018623 33.894854959,132.297481623 33.9216639590001,132.285808623 33.941236959,132.246063623 33.947490959,132.213008623 33.9455459590001,132.192945623 33.9377639590001,132.184827623 33.904854959,132.191072623 33.8877729590001,132.196927623 33.8791549590001,132.218290623 33.8535999590001,132.331636623 33.8491639590001,132.427218623 33.896699959,132.431363623 33.8974999590001,132.440518623 33.904018959,132.451627623 33.9227639590001,132.448299623 33.933599959),(132.446072623 34.1148549590001,132.483699623 34.1299909590001,132.495790623 34.209718959,132.498836623 34.233881959,132.498108623 34.2550819590001,132.498654623 34.2585639590001,132.482099623 34.2772099590001,132.403454623 34.2602729590001,132.386445623 34.2453459590001,132.389163623 34.228045959,132.393036623 34.2185999590001,132.446072623 34.1148549590001),(134.673872625 34.237909959,134.737454625 34.193599959,134.751772625 34.185963959,134.762208626 34.184436959,134.790254626 34.1933189590001,134.934963626 34.2530549590001,134.946499626 34.2613819590001,134.951908626 34.2763099590001,134.946072626 34.2888909590001,134.935808626 34.298609959,134.920245626 34.314163959,134.894990626 34.3560999590001,134.893581626 34.3666639590001,134.901645626 34.3980459590001,134.909145626 34.4180549600001,134.919981626 34.4330549600001,134.944427626 34.45804596,134.973299626 34.48720996,134.992190626 34.5102729600001,135.024845626 34.56012796,135.027681626 34.5761729600001,135.019972626 34.5908279600001,135.003190626 34.5941639600001,134.982727626 34.58638196,134.874972626 34.5116639600001,134.799990626 34.43859996,134.674136625 34.3066549590001,134.666927625 34.296945959,134.661227625 34.282627959,134.662763625 34.2665189590001,134.673872625 34.237909959),(134.371581625 34.5124099600001,134.364818625 34.55082796,134.335508625 34.54916396,134.277908625 34.5422189600001,134.192745625 34.50999096,134.193845625 34.4713729600001,134.349272625 34.4315189600001,134.362608625 34.46138196,134.371581625 34.5124099600001),(129.34788162 34.2776999590001,129.28274562 34.307209959,129.22092762 34.3220819590001,129.21052762 34.3173549590001,129.20553662 34.3022189590001,129.18774562 34.198872959,129.18331862 34.1644369590001,129.18518162 34.1003369590001,129.22219962 34.0736099590001,129.23690862 34.082218959,129.27026362 34.1033279590001,129.29345462 34.124299959,129.33080862 34.2088819590001,129.33078162 34.2296999590001,129.34788162 34.2776999590001),(129.25497262 34.3397099590001,129.33649962 34.2947189590001,129.35275462 34.2966639590001,129.37079062 34.301381959,129.37829962 34.3099909590001,129.396363621 34.3485999590001,129.476072621 34.5344369600001,129.480254621 34.54804596,129.500272621 34.6280459600001,129.505263621 34.6576279600001,129.488281621 34.67499996,129.473054621 34.6856189600001,129.459972621 34.6898459600001,129.440518621 34.6849909600001,129.33329962 34.6313819600001,129.30026362 34.55693696,129.24523662 34.356654959,129.25497262 34.3397099590001),(133.321072624 36.315827961,133.310118624 36.318881961,133.298554624 36.318272961,133.291927624 36.3249999610001,133.276645624 36.3249999610001,133.247327624 36.319227961,133.227754624 36.306654961,133.197481624 36.278045961,133.189145624 36.269718961,133.182463624 36.238599961,133.188563624 36.203045961,133.246336624 36.155545961,133.256363624 36.151936961,133.335236624 36.1588819610001,133.376772624 36.198181961,133.385254624 36.251518961,133.362727624 36.283609961,133.321072624 36.315827961),(138.565808629 38.075963963,138.542754629 38.0797189630001,138.531645629 38.0749909630001,138.522354629 38.067636963,138.443027629 38.045754963,138.429827629 38.060481963,138.441654629 38.102490963,138.447481629 38.115545963,138.453854629 38.128045963,138.471072629 38.1563819630001,138.491336629 38.191372963,138.499999629 38.2111099630001,138.507754629 38.241381963,138.511108629 38.2811099630001,138.519854629 38.3134639630001,138.512072629 38.3213819630001,138.494108629 38.321109963,138.477172629 38.314709963,138.466918629 38.3085999630001,138.448299629 38.293881963,138.308008629 38.1669369630001,138.242463629 38.074999963,138.235108629 38.058045963,138.233308629 38.017772963,138.239818629 37.973390963,138.255536629 37.9670729630001,138.266936629 37.9769369630001,138.276090629 37.9902729630001,138.286236629 37.996381963,138.299145629 37.997909963,138.313308629 37.993045963,138.332608629 37.9785999630001,138.337190629 37.966663963,138.332745629 37.9458279630001,138.282199629 37.8488729630001,138.271363629 37.8383189630001,138.256381629 37.8347189630001,138.236081629 37.833599963,138.211490629 37.822909963,138.209963629 37.8119369630001,138.218290629 37.8008279630001,138.228563629 37.7965279630001,138.251081629 37.793745963,138.278872629 37.798881963,138.361499629 37.8181909630001,138.375518629 37.823609963,138.477245629 37.8817279630001,138.510545629 37.9152729630001,138.563290629 38.0133279630001,138.578581629 38.0452729630001,138.581081629 38.057209963,138.578018629 38.0697189630001,138.565808629 38.075963963),(139.56190863 42.2321459670001,139.54830863 42.236799967,139.53123663 42.2291549670001,139.46523663 42.2124909670001,139.45497263 42.2116549670001,139.45303663 42.213609967,139.44192763 42.2113819670001,139.43331863 42.2019369670001,139.42553663 42.191654967,139.41206363 42.165690967,139.40774563 42.1508279670001,139.42719963 42.0634639670001,139.45454563 42.0476369670001,139.50191863 42.081109967,139.51749063 42.1136099670001,139.55331863 42.203881967,139.56190863 42.2321459670001),(141.211363632 45.24943697,141.197327632 45.25027297,141.175872631 45.2423369700001,141.170536631 45.24027297,141.160245631 45.2327639700001,141.133572631 45.21082797,141.128981631 45.16415497,141.137481631 45.1508279700001,141.149718631 45.1388819690001,141.165799631 45.128045969,141.218290632 45.102490969,141.240527632 45.097218969,141.259427632 45.0980459690001,141.282881632 45.1027729690001,141.310790632 45.1238819690001,141.330381632 45.1460999700001,141.333863632 45.1572099700001,141.327454632 45.1685999700001,141.320527632 45.17693697,141.308318632 45.1888819700001,141.282472632 45.2127729700001,141.271908632 45.21998197,141.211363632 45.24943697),(140.994936631 45.44895497,140.981845631 45.4636729700001,140.968154631 45.45985497,140.991636631 45.3797189700001,141.030408631 45.2665189700001,141.041363631 45.26971897,141.055236631 45.2963909700001,141.059963631 45.31109997,141.074399631 45.41415497,141.068027631 45.4333279700001,141.052472631 45.4469369700001,140.994936631 45.44895497),(130.869418622 30.4697189560001,130.866363622 30.4569369560001,130.863008622 30.4380459560001,130.861827622 30.4104819560001,130.871627622 30.3654099560001,130.879118622 30.354999956,130.902481622 30.354163956,130.969699622 30.3905549560001,131.055236622 30.6327729560001,131.074399622 30.6891639560001,131.076627622 30.701381956,131.082736622 30.7477729560001,131.085099622 30.803190956,131.071899622 30.826672956,131.065936622 30.833745956,131.051090622 30.8390279560001,131.039699622 30.831109956,131.008327622 30.789436956,130.944136622 30.6785369560001,130.947754622 30.626381956,130.954681622 30.598472956,130.951908622 30.5830549560001,130.947208622 30.5702729560001,130.931090622 30.544999956,130.904145622 30.5066639560001,130.883572622 30.480554956,130.869418622 30.4697189560001),(130.510799622 30.458881956,130.486636622 30.460409956,130.473845622 30.4549909560001,130.384336621 30.3940909560001,130.381899621 30.377490956,130.383881621 30.367218956,130.388454621 30.3495819560001,130.444408621 30.250690956,130.489136622 30.241099956,130.522336622 30.2362459560001,130.561645622 30.236799956,130.598299622 30.2436099560001,130.647472622 30.2856909560001,130.656645622 30.304163956,130.661372622 30.324718956,130.671354622 30.3702729560001,130.668181622 30.3801369560001,130.643036622 30.398881956,130.633327622 30.405272956,130.592472622 30.424718956,130.546372622 30.4424999560001,130.523527622 30.443099956,130.519718622 30.4519369560001,130.510799622 30.458881956),(136.341479627 30.141420956,135.671433626 30.1056449550001,135.670387626 30.105744955,135.668548626 30.1056419550001,135.529365626 30.1185369560001,135.361259626 30.075485955,135.103888626 29.9097729550001,135.095433626 29.906085955,135.085914626 29.8999329550001,134.768325626 29.7605859550001,134.674625625 29.4728129550001,134.671090625 29.466425955,134.658067625 29.4261539550001,134.627730625 29.3712709550001,134.594942625 29.2695479550001,134.592791625 29.2656469550001,134.587256625 29.2484509550001,134.586713625 29.2474649550001,134.585054625 29.2423109550001,134.298214625 28.7186699540001,133.961945625 28.3031259540001,134.224727625 28.061438954,134.225494625 28.060421954,134.226708625 28.059299954,134.589668625 27.575833953,134.849668626 27.0434409530001,135.000103626 26.478821952,135.037981626 25.8994219520001,135.037820626 25.8981849520001,135.037903626 25.8969239520001,134.963730626 25.3203749510001,134.824534626 24.8964289510001,134.856330626 24.4239959500001,134.856279626 24.4235939500001,134.856306626 24.42319495,134.784562626 23.84648495,134.665502625 23.4759129490001,134.841531626 23.553199949,135.452448626 23.7068659500001,136.083940627 23.75865895,136.085986627 23.7584949500001,136.088032627 23.75865895,136.719525627 23.7068699500001,137.330443628 23.5532079490001,137.901036628 23.3026869490001,137.902999628 23.301391949,137.903058628 23.3013659490001,137.982315629 23.2488589490001,137.905128628 23.4887949490001,137.871819628 23.549983949,137.690846628 24.10621395,137.689905628 24.1136169500001,137.689622628 24.11448295,137.615865628 24.69096295,137.615891628 24.6913739500001,137.615841628 24.6917639500001,137.617904628 24.72394195,137.616572628 24.73427695,137.616628628 24.7351479500001,137.616521628 24.7359749500001,137.616547628 24.7363859500001,137.616497628 24.73677595,137.616523628 24.73718495,137.616473628 24.7375739500001,137.632404628 24.986046951,137.582233628 25.372445951,137.582370628 25.374601951,137.582104628 25.3766419510001,137.601171628 25.6764439510001,137.394740628 26.0441929520001,137.206485628 26.5995299520001,137.127410628 27.175591953,137.127464628 27.176496953,137.127354628 27.1772899530001,137.161477628 27.7568189530001,137.211753628 27.9488149530001,137.071060628 28.1192179540001,136.778700627 28.639587954,136.590994627 29.1963929550001,136.515203627 29.773224955,136.515283627 29.774379955,136.515105627 29.775722955,136.520002627 29.846261955,136.512638627 29.8677369550001,136.474046627 30.1576959560001,136.469090627 30.1662419560001,136.370462627 30.1463029560001,136.363571627 30.145954956,136.341479627 30.141420956),(123.925263615 24.32138195,123.936508615 24.35429995,123.927408615 24.3672189500001,123.902208615 24.37666395,123.792254615 24.4052459500001,123.781090615 24.4165189500001,123.769154615 24.4162459500001,123.678863615 24.3161099500001,123.718318615 24.2772189500001,123.861927615 24.25139095,123.872890615 24.25389095,123.901927615 24.28360995,123.925263615 24.32138195),(124.153872616 24.3294369500001,124.163736616 24.32735495,124.179154616 24.3283279500001,124.219145616 24.33527295,124.231654616 24.34013695,124.239436616 24.3513909500001,124.252490616 24.39040995,124.252490616 24.40527295,124.253599616 24.41749995,124.261654616 24.4574999500001,124.276372616 24.49069095,124.296099616 24.5280549500001,124.304981616 24.53763695,124.326299616 24.5545099500001,124.330554616 24.57360995,124.325054616 24.58610995,124.311081616 24.58347295,124.285672616 24.55679995,124.246090616 24.4961099500001,124.217208616 24.4451369500001,124.191790616 24.4361099500001,124.148318616 24.4345819500001,124.094918616 24.43949095,124.080745616 24.43575495,124.076790616 24.4223549500001,124.123718616 24.3431909500001,124.141663616 24.33360995,124.153872616 24.3294369500001),(125.402481617 24.774999951,125.388318617 24.7769459510001,125.360118617 24.775972951,125.349699617 24.7812459510001,125.325136617 24.8074999510001,125.288308617 24.865554951,125.281372617 24.8752729510001,125.266027617 24.882981951,125.252208617 24.7377729500001,125.259163617 24.7273549500001,125.273318617 24.72110995,125.304272617 24.71638195,125.320263617 24.71638195,125.345263617 24.7174909500001,125.446372617 24.73277295,125.450545617 24.7422189500001,125.442618617 24.7549999510001,125.402481617 24.774999951),(128.300263619 26.848054952,128.287199619 26.8549999520001,128.247190619 26.839999952,128.123290619 26.7161099520001,128.103763619 26.692954952,128.100527619 26.6809639520001,128.105027619 26.667563952,128.067472619 26.6424909520001,128.023863619 26.631109952,127.993736619 26.636245952,127.986499619 26.6437459520001,127.985672619 26.6599999520001,127.995672619 26.6808279520001,127.958454619 26.6955549520001,127.943308619 26.6941639520001,127.907763619 26.688881952,127.883881619 26.6674999520001,127.876781619 26.623745952,127.884008619 26.6119369520001,127.912490619 26.6002729520001,127.945954619 26.6001369520001,127.965136619 26.581799952,127.965818619 26.567772952,127.959990619 26.547354952,127.797899619 26.441518952,127.764427619 26.438609952,127.717545619 26.432081952,127.718045619 26.4127729520001,127.725272619 26.381936952,127.734418619 26.346663952,127.744145619 26.309445952,127.724845619 26.271527952,127.671918619 26.2311099520001,127.639972619 26.2086099520001,127.652208619 26.0856909520001,127.680945619 26.0787459520001,127.702472619 26.079999952,127.716799619 26.082636952,127.728590619 26.0886099520001,127.776090619 26.1163909520001,127.787490619 26.1274909520001,127.813027619 26.155554952,127.818181619 26.1842999520001,127.810118619 26.190272952,127.778590619 26.2366639520001,127.839290619 26.4258999520001,127.849718619 26.436381952,127.863599619 26.4441639520001,127.874690619 26.4466639520001,127.946372619 26.451109952,128.146636619 26.568881952,128.240236619 26.628609952,128.252772619 26.6388819520001,128.271363619 26.658327952,128.33260862 26.7554189520001,128.33550862 26.764999952,128.33303662 26.796945952,128.33010862 26.809581952,128.311354619 26.8395819520001,128.300263619 26.848054952),(128.95969962 27.900690953,128.95052762 27.9067999530001,128.93914562 27.9051369530001,128.93362762 27.901099953,128.89886362 27.8977729530001,128.89025462 27.881936953,128.88552762 27.862218953,128.88189962 27.837218953,128.88066362 27.8220819530001,128.89721862 27.7258279530001,128.91887262 27.687636953,128.94136362 27.6766639530001,128.95344562 27.677081953,128.98550862 27.7011099530001,129.00665462 27.727218953,129.02179062 27.747499953,129.02928162 27.771663953,128.95969962 27.900690953),(129.696072621 28.4913819540001,129.690463621 28.4977189540001,129.667481621 28.4769369540001,129.619672621 28.4513819540001,129.621608621 28.4769369540001,129.574981621 28.4616639540001,129.32662762 28.352218954,129.25665462 28.320827954,129.14330862 28.252499954,129.15774562 28.2349909540001,129.37329062 28.1163189540001,129.465518621 28.211381954,129.511936621 28.294999954,129.584408621 28.3699909540001,129.621608621 28.3974999540001,129.649718621 28.4041639540001,129.662754621 28.4041639540001,129.707736621 28.4241639540001,129.717745621 28.433809954,129.715518621 28.4511099540001,129.704408621 28.478609954,129.696072621 28.4913819540001)))', 'Japanese Exclusive Economic Zone', 'Japan', 'Japan', '', '210', '210', 'JPN', '8487', '', '4033971253000', '8487', 'Y'),('SRID=4326;MULTIPOLYGON(((124.352307158 25.3012598610001,124.216998118 25.2897192620001,124.192435161 25.293577955,124.0078057 25.1989412660001,123.927437568 25.157467883,123.86829373 25.1267911460001,123.818495662 25.1199381910001,123.605502912 25.090846007,123.509994772 25.0776357570001,123.417142185 25.0642618210001,123.377583502 25.0782847180001,123.295245987 25.1026271160001,123.152272353 25.147528709,123.001513062 25.195714798,122.995512579 25.19767087,122.953630593 25.2113419900001,122.900096165 25.229875222,122.894102414 25.255099312,122.838929477 25.485668778,122.799734683 25.6519339120001,122.788409264 25.7585702750001,122.78831292 25.7594700170001,122.788135074 25.7611189020001,122.726954591 26.3150137600001,122.699844265 26.5509413190001,122.646802295 26.7807029190001,122.607522531 26.950310319,122.749922781 27.1142784310001,122.838520429 27.1843399310001,122.840097947 27.1853721630001,122.997724824 27.274376956,123.068496092 27.3142637020001,123.338842433 27.465351372,123.365423965 27.480140679,123.679250726 27.654624029,123.761740917 27.700330589,124.202267406 27.85846796,124.212755313 27.8646557270001,124.567597132 28.0740090510001,124.904928185 28.2716094130001,125.042386499 27.9288597180001,125.388441459 27.0466212600001,125.576056065 26.3580423240001,125.700763681 25.89410816,125.700938316 25.8934564520001,125.706513531 25.8726872230001,125.708129638 25.866550105,125.055365051 25.5011476190001,124.979508046 25.4581076480001,124.767068938 25.3381224410001,124.694001688 25.3314641440001,124.5674759 25.320212021,124.552523575 25.318864358,124.352307158 25.3012598610001)))', 'Conflict Zone', 'Conflict Zone', 'Disputed', 'China / Taiwan / Japan', '0', '217', '-', '21793', '', '73215297890', '21793', 'Y'),('SRID=4326;MULTIPOLYGON(((180 -13.8811358634932,179.999999501 -16.1547280879999,179.963163501 -16.1534730879999,179.915527501 -16.1791640879999,179.871063501 -16.2058370879999,179.842190501 -16.207500088,179.770808501 -16.2036100879999,179.672763501 -16.228337088,179.503327501 -16.273891088,179.463290501 -16.2922280879999,179.401363501 -16.3491640879999,179.391663501 -16.381946088,179.403027501 -16.4060370879999,179.331908501 -16.413055088,179.298581501 -16.412782088,179.230854501 -16.402219088,178.981899501 -16.469719088,178.9273995 -16.509237088,178.8945635 -16.550837088,178.8632815 -16.566664088,178.8269085 -16.5747190879999,178.7752545 -16.6004190879999,178.7410545 -16.631600088,178.6987185 -16.6740280879999,178.5977455 -16.642782088,178.5283185 -16.706664088,178.4778725 -16.765764088,178.4921725 -16.804446088,178.5216545 -16.8162550879999,178.5476085 -16.8113910879999,178.6249725 -16.835555088,178.6708085 -16.9216640879999,178.6805275 -16.967500088,178.6943365 -16.9969460879999,178.7182905 -17.0094460879999,178.7471905 -17.011946088,178.7563815 -17.0104190879999,178.7921905 -16.987219088,178.8096905 -16.9497190879999,178.8106725 -16.920073088,178.8696905 -16.860837088,178.9066455 -16.8550000879999,178.9441185 -16.879164088,178.9528815 -16.8983370879999,179.021363501 -16.9262550879999,179.071427501 -16.889310088,179.037336501 -16.879373088,179.019908501 -16.894928088,179.048781501 -16.8053460879999,179.168308501 -16.724164088,179.206363501 -16.7052730879999,179.270463501 -16.6913190879999,179.353854501 -16.7449280879999,179.344408501 -16.765837088,179.331908501 -16.8022280879999,179.409427501 -16.810837088,179.571627501 -16.801110088,179.662754501 -16.7397190879999,179.709963501 -16.7297190879999,179.746336501 -16.7263910879999,179.778872501 -16.7275000879999,179.810518501 -16.734719088,179.844699501 -16.7438910879999,179.861263501 -16.765764088,179.900118501 -16.7701460879999,179.946208501 -16.7456280879999,179.880936501 -16.6681280879999,179.874390501 -16.6366640879999,179.901090501 -16.5772280879999,179.925381501 -16.534446088,179.949063501 -16.513755088,179.938645501 -16.467946088,179.852445501 -16.5088910879999,179.813018501 -16.540555088,179.751918501 -16.591391088,179.714690501 -16.625000088,179.643036501 -16.690837088,179.616054501 -16.720555088,179.564136501 -16.7608370879999,179.543027501 -16.7648640879999,179.493008501 -16.7616730879999,179.481490501 -16.696946088,179.591645501 -16.539719088,179.653045501 -16.5016640879999,179.681918501 -16.4913910879999,179.748854501 -16.450064088,179.809690501 -16.360837088,179.853027501 -16.291110088,179.894990501 -16.240973088,179.958008501 -16.197500088,179.986208501 -16.179582088,179.999999501 -16.1727460879999,179.999999501 -16.7873910879999,179.968845501 -16.8525000879999,179.959408501 -16.871110088,179.954127501 -16.880000088,179.946927501 -16.8869460879999,179.932190501 -16.9008370879999,179.904418501 -16.929719088,179.892763501 -16.946110088,179.883572501 -16.9616640879999,179.884845501 -16.972082088,179.918581501 -16.9991640879999,179.929136501 -17.0061100879999,179.947481501 -17.002782088,179.957454501 -16.998610088,179.984681501 -16.9830550879999,179.999999501 -16.9657280879999,179.999999501 -24.1925016449999,179.903333333 -24.164722222,179.610833333 -24.0505555559999,179.331111111 -23.913055556,179.066111111 -23.7533333329999,178.817777778 -23.5722222219999,178.588055556 -23.371944444,178.378888889 -23.153333333,178.191944444 -22.918888889,178.062777778 -22.723055556,178.062777601 -22.723056248,178.0627775 -22.723056094,178.0311105 -22.8472230939999,177.972711347 -22.986330176,177.916944444 -23.1191666669999,177.837403183 -23.26826692,177.837403156 -23.2682669709999,177.777499499 -23.3805560939999,177.741602975 -23.434946825,177.613055556 -23.6297222219999,177.309949646 -23.9747087809999,177.309949621 -23.9747088089999,177.214999499 -24.082778095,177.032310278 -24.241915933,176.984444444 -24.283611111,176.734722222 -24.464444444,176.468333333 -24.6244444439999,176.186944444 -24.7622222219999,175.893055556 -24.8763888889999,175.713013011 -24.929497329,175.588888497 -24.966111096,175.554269304 -24.973293981,175.276944444 -25.030833333,174.959722222 -25.0697222219999,174.64 -25.082777778,174.320277778 -25.0697222219999,174.275709444 -25.0730201499999,172.764876111 -20.0224629729999,173.56 -18.543333333,173.581944444 -18.3136111109999,173.495277778 -18.033888889,173.458309235 -17.8592210039999,173.434722495 -17.7477780889999,173.412256555 -17.557276225,173.412256552 -17.557276197,173.400555556 -17.4580555559999,173.392777778 -17.166388889,173.411388889 -16.8749999999999,173.456111111 -16.586388889,173.526666667 -16.3027777779999,173.536943827 -16.2729919369999,173.622222496 -16.0258340869999,173.741944496 -15.7580560869999,173.799372701 -15.654907715,173.885 -15.5011111109999,173.989343302 -15.3471389769999,174.050277496 -15.2572230869999,174.236388496 -15.0280560869999,174.366728386 -14.8960514419999,174.453888889 -14.807777778,174.338888889 -14.6822222219999,174.154722222 -14.4519444439999,173.9925 -14.206666667,173.853055556 -13.948333333,173.759878285 -13.73181349,173.737222496 -13.6791670849999,173.716346921 -13.615327824,173.646388889 -13.401388889,173.580555556 -13.1166666669999,173.540277778 -12.8272222219999,173.525833333 -12.5358333329999,173.574722222 -11.9544444439999,173.6375 -11.6691666669999,173.725 -11.3902777779999,173.836388684 -11.11972272,173.847860227 -11.0976073739999,173.971111111 -10.86,174.127777778 -10.6125,174.188020938 -10.5335249819999,174.305555496 -10.379445082,174.446674176 -10.224213961,174.502777778 -10.1624999999999,174.56194321 -10.10768609,174.718055497 -9.96305608199999,174.949999497 -9.78305608199997,175.864444498 -9.81916708199999,175.944444498 -9.82194508199995,176.086666498 -9.82666708199998,176.229999498 -9.83111108199995,177.100833499 -10.088056082,177.186110499 -10.1147230819999,177.291666499 -10.2680560819999,177.316944499 -10.3050000819999,178.2463885 -11.5638890829999,178.3080555 -11.6458340829999,178.5633335 -11.982778084,178.6688885 -12.1208340839999,178.7344445 -12.2069450839999,179.044444501 -12.6094450839999,179.530153501 -13.234684085,179.494320501 -13.3280170849999,180 -13.881135475,180 -13.8811358634932),(178.1246635 -17.357773089,177.9514185 -17.410210089,177.897763499 -17.407773089,177.834472499 -17.383891089,177.824199499 -17.3637550889999,177.624663499 -17.4447190889999,177.514690499 -17.5066730889999,177.386645499 -17.6420820889999,177.388736499 -17.6652820889999,177.422472499 -17.6870100889999,177.431781499 -17.749864089,177.371336499 -17.812500089,177.280881499 -17.854173089,177.258045499 -17.8720820889999,177.248563499 -17.959582089,177.259154499 -17.998337089,177.299136499 -18.0786100889999,177.331499499 -18.117637089,177.473018499 -18.162782089,177.516081499 -18.1530550889999,177.613572499 -18.177364089,177.864136499 -18.26389109,177.9602365 -18.2683370899999,178.0191365 -18.26778209,178.1638635 -18.2512460899999,178.1821905 -18.23416409,178.1944275 -18.21778209,178.2249725 -18.1915280889999,178.2435635 -18.188610089,178.2733185 -18.1475000889999,178.3437085 -18.1180550889999,178.3983185 -18.103891089,178.4468815 -18.1514190889999,178.5321995 -18.0922280889999,178.5580905 -18.107219089,178.5882905 -18.1352730889999,178.6610995 -18.089719089,178.6795635 -18.076255089,178.6948365 -18.0520820889999,178.6932995 -18.025000089,178.6207905 -17.8938910889999,178.5977455 -17.784173089,178.5969085 -17.6880550889999,178.6009365 -17.6643000889999,178.5946815 -17.6394460889999,178.3724635 -17.4750000889999,178.3027635 -17.430282089,178.2804545 -17.3872190889999,178.2702455 -17.3463910889999,178.2418995 -17.3247190889999,178.2174725 -17.310000089,178.1907995 -17.302500089,178.1869185 -17.3233370889999,178.1705365 -17.3425000889999,178.1246635 -17.357773089),(178.7477455 -17.719719089,178.7719085 -17.7544460889999,178.8202545 -17.742773089,178.8377365 -17.731946089,178.8496995 -17.7152730889999,178.8532995 -17.7050000889999,178.8535725 -17.688328089,178.8530275 -17.6697190889999,178.8502545 -17.658610089,178.8313635 -17.6266640889999,178.8134455 -17.620973089,178.7919275 -17.6211100889999,178.7780455 -17.6286100889999,178.7585905 -17.6411100889999,178.7496905 -17.6534730889999,178.7441085 -17.672500089,178.7477455 -17.719719089),(179.336090501 -18.121110089,179.341645501 -18.122500089,179.351899501 -18.121110089,179.358581501 -18.113610089,179.367736501 -18.089719089,179.354263501 -18.011528089,179.308018501 -17.9483370889999,179.296236501 -17.939582089,179.269990501 -17.9358370889999,179.243281501 -17.9511100889999,179.236354501 -17.968328089,179.243008501 -18.025282089,179.245790501 -18.036391089,179.336090501 -18.121110089),(177.9582995 -19.14194609,178.0017725 -19.16263709,178.0158085 -19.15944609,178.0358085 -19.14791909,178.0855085 -19.15833709,178.0941185 -19.16278209,178.1361085 -19.13778209,178.1698275 -19.09111009,178.1713725 -19.07291909,178.1899725 -19.04750009,178.3052545 -18.99916409,178.3271185 -19.0061100899999,178.3280365 -19.0277820899999,178.3395545 -19.0506910899999,178.3771815 -19.05222809,178.4201185 -19.0462550899999,178.4655185 -19.0338910899999,178.4863545 -19.0188910899999,178.4980185 -19.0094460899999,178.4982905 -18.99000009,178.4943275 -18.9747910899999,178.4682905 -18.95639109,178.3721905 -18.93166409,178.3420545 -18.9269460899999,178.3069185 -18.93555509,178.1792725 -18.98492809,178.1713545 -19.00000009,178.0685725 -19.0661100899999,177.9699725 -19.10417309,177.9521815 -19.1295820899999,177.9582995 -19.14194609)),((180 -24.1925017897007,179.999999501 -24.1925016449999,180 -18.7697054458203,180 -24.1925017897007)),((-180 -13.8811354749999,-179.239568333 -14.8049615749999,-178.516512778 -15.2963505829999,-177.376235 -15.9366285199999,-177.375554328 -15.971420118,-177.375277778 -15.985555556,-176.896666667 -16.8274999999999,-176.891772013 -16.8327862259999,-176.889722222 -16.835,-176.273333333 -17.474444444,-176.275054564 -17.5541589449999,-176.275088663 -17.55573814,-176.275784562 -17.587966955,-176.275819448 -17.5895826109999,-176.277777778 -17.6802777779999,-176.3575 -17.984722222,-176.427122833 -18.4361275749999,-176.433320433 -18.4763102269999,-176.450555556 -18.588055556,-176.579444444 -18.856388889,-176.592298253 -18.8902318289999,-176.601388889 -18.914166667,-176.624004245 -18.998438624,-176.627777778 -19.0124999999999,-176.63468443 -19.052282314,-176.669444444 -19.2524999999999,-176.666944444 -19.341944444,-176.883333333 -20.4352777779999,-177.024166667 -20.91,-177.031944444 -20.961666667,-177.044847129 -20.9784900559999,-177.078920731 -21.022917515,-177.1325 -21.092777778,-177.189030049 -21.1867146749999,-177.207804657 -21.2179127439999,-177.300833333 -21.3724999999999,-177.767388735 -22.135250325,-177.903333333 -22.3575,-178.51936265 -23.418553349,-178.630648793 -23.6102334079999,-179.071111111 -24.368888889,-179.160833833 -24.3580560949999,-179.476388833 -24.318889095,-179.786388834 -24.2544450949999,-180 -24.1925017897007,-180 -18.7697051369522,-179.999999834 -16.9657280879999,-179.993318834 -16.9552730879999,-179.987581834 -16.946964088,-179.935881834 -16.899700088,-179.902190834 -16.8755100879999,-179.821108834 -16.781091088,-179.853118834 -16.6927820879999,-179.864863834 -16.679891088,-179.892454834 -16.6874000879999,-179.929536834 -16.7101190879999,-179.938599834 -16.7158640879999,-179.999999834 -16.7873640879999,-180 -13.8811357339955,-180 -13.8811354749999)))', 'Fijian Exclusive Economic Zone', 'Fiji', 'Fiji', '', '18', '18', 'FJI', '8325', '', '1286744252000', '8325', 'Y'),('SRID=4326;MULTIPOLYGON(((56.843130037 25.640646362,56.8580778530001 25.5969204200001,56.867847436 25.5683420510001,56.900932433 25.4738872390001,56.910160578 25.4475416810001,56.9159740360001 25.4357096970001,56.9306204430001 25.4059002320001,56.9310462390001 25.405055685,56.9720407660001 25.339187511,57.0191338560001 25.2635204360001,57.034288561 25.2403468700001,57.0467349040001 25.220941253,57.08032595 25.169266948,57.087242679 25.1585743420001,57.0918103220001 25.1515132000001,57.09379713 25.149092492,57.0959077750001 25.1465209020001,57.1081538180001 25.132334927,57.1099899700001 25.130455221,57.1105083960001 25.129924498,57.120137668 25.12012701,57.1254895850001 25.1146815980001,57.0341073060001 25.089745454,56.8339376280001 25.0552593530001,56.7242446120001 25.038769254,56.684719242 25.0333445740001,56.6748419690001 25.0319889630001,56.614322938 25.0204318040001,56.5203293860001 25.0024819510001,56.440907386 24.989943951,56.3803113860001 24.9819829510001,56.373527386 24.9793809510001,56.356663386 25.0691629510001,56.3563813860001 25.0816629510001,56.357499386 25.101662951,56.3727723860001 25.2616629510001,56.3816633860001 25.3208269510001,56.3758273860001 25.3419449510001,56.365554386 25.382217951,56.3602723860001 25.4211089510001,56.3652723860001 25.4658269510001,56.3687453860001 25.519444951,56.3469453860001 25.594299951,56.3281903860001 25.608326951,56.2697183860001 25.636017951,56.2804595420001 25.640293253,56.3002199040001 25.6402814370001,56.3037822860001 25.6426641940001,56.305776628 25.644160218,56.311097094 25.647765968,56.314217028 25.648702934,56.3148167790001 25.6488830490001,56.314999549 25.648936733,56.3200886610001 25.6504315190001,56.3263906510001 25.6525065640001,56.331097496 25.6540563780001,56.3342027750001 25.655155972,56.337398632 25.656287639,56.3677459720001 25.673183624,56.368959708 25.6733464500001,56.369181263 25.6733761720001,56.369313919 25.673393968,56.3708025700001 25.673672132,56.3708091770001 25.6736733660001,56.3709000050001 25.673690337,56.371023742 25.6737134580001,56.3793887750001 25.6752765150001,56.3801736390001 25.6753649790001,56.380735525 25.6754283110001,56.3851403880001 25.675790448,56.389900035 25.6761144490001,56.3955596970001 25.6764181120001,56.4191134070001 25.6786801600001,56.4507864760001 25.6813259790001,56.4610810300001 25.682185938,56.47028333 25.683074995,56.5011310420001 25.6860552680001,56.516011758 25.687113223,56.5290393390001 25.687374177,56.5718333510001 25.6844480890001,56.6732372330001 25.6778277110001,56.7771760690001 25.6710418330001,56.8343225500001 25.6582218670001,56.838958296 25.6571819060001,56.8402722120001 25.6568871490001,56.840910195 25.6567440260001,56.8413639080001 25.6534538270001,56.8417654030001 25.6505422970001,56.843130037 25.640646362)),((55.859436386 25.7204189510001,55.7470993860001 25.6611099510001,55.6911093860001 25.623054951,55.647345386 25.582236951,55.6379273860001 25.5557729510001,55.632127386 25.5364729510001,55.5852453860001 25.5264099510001,55.549136386 25.5257549510001,55.545581386 25.5480729510001,55.564745386 25.5740549510001,55.5636723860001 25.5815909510001,55.5427093860001 25.565481951,55.527499386 25.539999951,55.518072386 25.5118639510001,55.5041633860001 25.4736099510001,55.4930183860001 25.459436951,55.466518385 25.4139549510001,55.4392813850001 25.4072819510001,55.4248543850001 25.3942459510001,55.3697183850001 25.3611099510001,55.3308273850001 25.311945951,55.3267093850001 25.305599951,55.301936385 25.2819459510001,55.263881385 25.2436099510001,55.229163385 25.2047189510001,55.216945385 25.188054951,55.205554385 25.1702729510001,55.191663385 25.154163951,55.1780543850001 25.138881951,55.129718385 25.0855549510001,55.0663813850001 25.0180549510001,55.049999385 25.005836951,55.0169363850001 24.983054951,55.0063723850001 24.9760459510001,54.946390385 24.953609951,54.7077723850001 24.801390951,54.6502723850001 24.746945951,54.653045385 24.7197189500001,54.669163385 24.6633279500001,54.575554385 24.4409729500001,54.546663385 24.43305495,54.5028453850001 24.4377099500001,54.4774903850001 24.41027295,54.469445385 24.3669459500001,54.456381385 24.33528195,54.427499385 24.2856909500001,54.3819453840001 24.25221895,54.2458273840001 24.2177819500001,54.186390384 24.18305495,54.1237453840001 24.1416639500001,53.874163384 24.05971895,53.5877723840001 24.04416395,53.567499384 24.0529099500001,53.5569453840001 24.07055495,53.529445384 24.08777295,53.459718384 24.1061099500001,53.4149903840001 24.10749995,53.325827383 24.10277295,53.224445383 24.13610995,53.145827383 24.1358279500001,53.0802723830001 24.12416395,53.055545383 24.12166395,52.943599383 24.1377729500001,52.7722183830001 24.1363909500001,52.6772183830001 24.13971895,52.6536093830001 24.16666395,52.6262453830001 24.1967999500001,52.581590383 24.19131895,52.5230453830001 24.12166395,52.4341633830001 24.0523549500001,52.330899383 24.00203695,52.2544363820001 23.97999995,52.2316633820001 23.9738909500001,52.207499382 23.96999995,52.085963382 23.95597295,51.9341633820001 23.98749995,51.8541633820001 23.98805495,51.815972382 23.9979819500001,51.8003363820001 24.01329995,51.788190382 24.0447189500001,51.772772382 24.1291639500001,51.769999382 24.15249995,51.7736093820001 24.1783369500001,51.725827382 24.26110995,51.6233273820001 24.26444595,51.5842273820001 24.26046395,51.584227174 24.260464303,51.5842270950001 24.2604642360001,51.5771256140001 24.272546801,51.5705428420001 24.28900373,51.5623143770001 24.3005235800001,51.5540859130001 24.3153348160001,51.544211755 24.331791745,51.535983291 24.348248674,51.5244634410001 24.3663512960001,51.5236594350001 24.369969321,51.5211720550001 24.3811625320001,51.5192786060001 24.3887363280001,51.5178806690001 24.394328075,51.5178806690001 24.407493619,51.5112978970001 24.420659162,51.5080065120001 24.4338247050001,51.5096522040001 24.4469902480001,51.5195263620001 24.470029949,51.537628984 24.5095265790001,51.5688971490001 24.547377516,51.5935825430001 24.5802913740001,51.610039472 24.6263707750001,51.6123869560001 24.6697992420001,52.2722220000001 24.811111,52.3417967120001 24.8696079210001,52.3806000870001 24.9022329640001,52.3789181910001 24.9025363540001,52.3760577830001 24.9041563070001,52.375619423 24.904235337,52.371340531 24.9068276470001,52.3663513650001 24.9096525960001,52.3635127150001 24.9112598880001,52.3632055840001 24.9115060030001,52.3630130230001 24.9116603090001,52.3630127500001 24.911660656,52.3629600510001 24.9117275990001,52.362694359 24.912065107,52.3577440670001 24.9150633460001,52.356956704 24.916131411,52.3569368010001 24.91615841,52.3569367640001 24.9161584330001,52.3558945360001 24.9168234370001,52.3520910610001 24.920623746,52.3485841090001 24.9256401280001,52.3394909960001 24.93836909,52.3393456420001 24.939030325,52.3393454640001 24.9390305790001,52.3386893730001 24.9399690830001,52.338631815 24.9402309220001,52.3385397550001 24.9406497190001,52.338277389 24.941005438,52.3377885420001 24.9416682250001,52.337788382 24.9416689510001,52.333584403 24.9607878580001,52.3335844010001 24.9607900300001,52.3335835440001 24.9627042600001,52.333583392 24.9627049530001,52.331981925 24.96998641,52.336168473 24.9891093900001,52.344830732 25.002072807,52.345730561 25.0030472710001,52.3460322270001 25.0033739580001,52.3468002020001 25.00413475,52.3493139070001 25.0066249440001,52.3671984810001 25.017460624,52.388299289 25.02126646,52.388301665 25.02126646,52.389198483 25.02126646,52.3907242700001 25.020991463,52.3916995660001 25.0211672780001,52.412800642 25.0173627390001,52.43068593 25.006528207,52.4306860130001 25.006528157,52.4313199330001 25.0056678600001,52.4315068550001 25.0055546030001,52.4318837910001 25.005326215,52.431982002 25.005192929,52.4321175970001 25.005008908,52.4326069940001 25.004695858,52.4338047350001 25.0034939020001,52.443828877 24.9891125190001,52.4439982870001 24.988339066,52.4441381060001 24.987700708,52.4455291300001 24.985812228,52.4455843110001 24.9855602800001,52.445604605 24.9854676210001,52.4456046970001 24.9854672000001,52.4462118100001 24.984567586,52.44712666 24.983211969,52.4471406540001 24.983148069,52.4471474440001 24.983117065,52.448827244 24.980710856,52.448836327 24.980669377,52.4491515780001 24.9802172500001,52.449750685 24.979387377,52.450527869 24.978310833,52.4505461810001 24.978227211,52.450549412 24.978212458,52.4518320390001 24.976372817,52.4522246380001 24.9758097220001,52.4530754720001 24.971923196,52.4546940710001 24.9645295920001,52.6141670000001 25.0986110000001,53.034721715 25.5305557080001,53.034722 25.530556,53.0541413120001 25.516309042,53.065863241 25.5077092610001,53.0777397050001 25.4989961060001,53.122499873 25.4836752950001,53.1793557240001 25.4729530870001,53.1846997270001 25.4720783330001,53.1891808870001 25.4713448160001,53.2904328380001 25.470376297,53.3040036250001 25.4702464870001,53.511652084 25.4780713000001,53.5796435140001 25.494427327,53.6087719220001 25.505458305,53.6244977760001 25.511413713,53.7670274440001 25.5603358500001,53.8438319360001 25.5892486180001,53.9338431730001 25.623133017,54.075852259 25.6358740260001,54.0761550070001 25.635901188,54.0766526670001 25.6359458380001,54.087777385 25.636943945,54.0877780000001 25.636944,54.4383323850001 25.6652779510001,54.4383330000001 25.6652780000001,54.506943838 25.6930559350001,54.506944 25.6930560000001,54.508148792 25.693012239,54.5147475910001 25.6927725530001,54.5197640330001 25.692376945,54.5532610180001 25.689735297,54.5775842150001 25.691645927,54.591775591 25.6927606850001,54.603023792 25.69546997,54.629126818 25.7017572460001,54.6302260250001 25.702218196,54.631625802 25.702555127,54.6666843990001 25.7172502110001,54.6764467670001 25.723393173,54.6983884630001 25.737199966,54.725776614 25.761800608,54.7257767180001 25.761800701,54.725782936 25.7618086740001,54.725863449 25.7619119030001,54.726975139 25.762910119,54.727074025 25.7629989110001,54.7472217000001 25.7888886150001,54.7472220000001 25.788889,54.751944 25.7916670000001,54.767203212 25.7958392680001,54.7711482280001 25.796917939,54.7726282520001 25.79752968,54.786393977 25.803219492,54.786398272 25.803221267,54.7864124440001 25.803227125,54.7941596420001 25.8064292870001,54.886823259 25.844462177,54.913342352 25.861663181,54.9352396740001 25.8763226090001,54.9363162770001 25.877043353,54.9363165460001 25.8770435340001,55.0752488470001 25.970626668,55.078742527 25.9729780820001,55.1009632500001 25.9879336980001,55.106269323 25.989132833,55.106816859 25.989256572,55.2262895530001 26.015865321,55.284296549 26.028784538,55.2842967080001 26.0287845730001,55.2949523830001 26.0316959620001,55.294952584 26.0316960170001,55.351429812 26.047015344,55.351638355 26.047071911,55.408977657 26.062625075,55.4232286640001 26.06676551,55.4252972940001 26.067366523,55.4601921980001 26.0845920400001,55.486572418 26.097614369,55.4993401840001 26.103527118,55.5367244280001 26.120839753,55.5468446190001 26.124612149,55.5527607390001 26.126817438,55.5573222800001 26.128113307,55.569975098 26.131707793,55.5699752740001 26.1317079200001,55.5714351300001 26.132766201,55.587579127 26.144469336,55.611562023 26.1618550590001,55.6151705870001 26.165100841,55.615659167 26.1655403020001,55.6173746760001 26.167116875,55.627920024 26.176808173,55.658765821 26.200029294,55.682623779 26.2179898790001,55.683920093 26.218965761,55.6839203850001 26.2189659520001,55.7175475880001 26.2409265740001,55.7199287000001 26.2424815860001,55.7225635720001 26.243956113,55.757958236 26.263763673,55.816444882 26.2280581690001,55.850564041 26.2072287680001,55.900751805 26.1765896470001,55.9007798740001 26.1765725110001,55.936697779 26.154644994,55.952823918 26.1444107620001,55.960880231 26.139297933,55.9992484160001 26.1149480930001,56.0094414550001 26.1096684620001,56.015572262 26.106492922,56.023791428 26.101785153,56.0436597520001 26.0904049860001,56.061278142 26.0790788780001,56.076384386 26.0693679520001,56.079936386 26.065563952,56.073609386 26.0259729520001,56.0436093860001 25.928609952,56.0247903860001 25.882572952,55.859436386 25.7204189510001),(54.330581384 24.4567819500001,54.472636385 24.41977295,54.3866903840001 24.5128819500001,54.330581384 24.4567819500001),(53.8526993840001 24.2677729500001,53.7086093840001 24.2216639500001,53.6402723840001 24.18305495,53.6313813840001 24.17749995,53.6247183840001 24.1697189500001,53.6269453840001 24.1588909500001,53.638327384 24.1517999500001,53.654718384 24.1522189500001,53.6655543840001 24.1555549500001,53.6780543840001 24.16013695,53.7841633840001 24.1249999500001,53.821390384 24.13721895,53.899990384 24.1324999500001,53.9463813840001 24.1399999500001,53.9549993840001 24.1458279500001,53.964854384 24.1794459500001,53.9591633840001 24.1911099500001,53.8526993840001 24.2677729500001)))', 'United Arab Emirates Exclusive Economic Zone', 'United Arab Emirates', 'United Arab Emirates', '', '54', '54', 'ARE', '8360', '', '55228505360', '8360', 'Y'),('SRID=4326;MULTIPOLYGON(((14.290000347 53.822772978,14.339445347 53.804854978,14.412572347 53.859926978,14.4766633470001 53.864581978,14.553472347 53.8577729780001,14.5808363470001 53.847499978,14.614163347 53.816381978,14.6202813470001 53.7679179780001,14.5547183470001 53.678599977,14.5250003470001 53.6605549770001,14.4106913470001 53.6805449770001,14.3661093470001 53.6994359770001,14.2756273470001 53.699063977,14.274491347 53.7069049770001,14.2198883470001 53.862180978,14.219742836 53.8631779780001,14.2188913470001 53.869017978,14.2661093470001 53.836663978,14.290000347 53.822772978)),((19.4787451610001 54.3141642260001,19.371109118 54.2686002,19.2533271180001 54.278191109,19.230763202 54.333673106,19.2776361460001 54.3461091680001,19.376109091 54.3525002010001,19.408054033 54.3588910670001,19.42833606 54.365273216,19.5244360890001 54.396664114,19.5505318800001 54.408099228,19.630345124 54.443073203,19.6511091090001 54.4558271070001,19.766303624 54.4413925800001,19.791086352 54.4385329780001,19.7970092090001 54.437545001,19.797009352 54.4375449780001,19.797009159 54.43754497,19.7970090630001 54.4375449070001,19.713609106 54.3833271650001,19.6287451860001 54.3505450390001,19.5710361180001 54.3469361260001,19.4787451610001 54.3141642260001)),((18.9257500000001 55.8797999990001,18.9366666670001 55.849999999,19.0633333330001 55.346666666,19.345 54.8149999990001,19.3150000000001 54.669999999,19.3587225840001 54.6391729470001,19.3975312910001 54.614061431,19.4523200530001 54.5775355900001,19.51395741 54.538726883,19.6075548790001 54.4748066610001,19.6211228970001 54.4668629000001,19.627254045 54.463273255,19.6133271780001 54.454718181,19.5842686280001 54.4398727600001,19.562773237 54.428891191,19.5421517830001 54.4191086330001,19.5168003520001 54.4070819780001,19.4397183520001 54.3858269780001,19.417500352 54.3805549780001,19.3744453520001 54.3735999780001,19.2125003520001 54.3538819780001,19.1388813520001 54.346663978,19.0463913520001 54.3422179780001,19.022781352 54.3422179780001,18.970554351 54.345135978,18.953891351 54.351663978,18.9273543510001 54.3463819780001,18.893191351 54.3455549780001,18.8437453510001 54.351799978,18.757772351 54.3708269780001,18.7083363510001 54.382772978,18.5952093510001 54.4277729780001,18.574300351 54.4465269780001,18.569791351 54.476663978,18.566663351 54.550690978,18.547772351 54.587699978,18.511391351 54.6310999780001,18.468327351 54.6658359780001,18.4061093510001 54.738190978,18.466945351 54.7368269780001,18.4834003510001 54.7591179780001,18.503945351 54.753499978,18.5719453510001 54.7296639780001,18.7062453510001 54.693608978,18.7308273510001 54.678326978,18.7555543510001 54.6561089780001,18.7720813510001 54.633608978,18.7861093510001 54.6186089780001,18.820972351 54.5937449780001,18.832672351 54.6210359780001,18.774718351 54.6663819780001,18.740000351 54.6852729780001,18.703891351 54.700272978,18.6058363510001 54.7356089780001,18.5781633510001 54.744108978,18.526836351 54.760772978,18.4493363510001 54.7882729780001,18.372772351 54.816108979,18.3361093510001 54.836035979,18.0433273510001 54.834026979,17.9188913510001 54.826663979,17.8969453500001 54.8238819790001,17.77443635 54.8063909780001,17.68660935 54.789090978,17.59291835 54.769999978,17.53055435 54.7622179780001,17.4341633500001 54.7527729780001,17.36221835 54.7477729780001,17.25110935 54.7302729780001,17.06583635 54.6734729780001,17.03652735 54.6605549780001,17.01916335 54.647499978,16.93944535 54.6054089780001,16.9152723500001 54.5977729780001,16.8841633500001 54.5897179780001,16.793327349 54.5758269780001,16.701945349 54.568744978,16.6652723490001 54.5669359780001,16.638609349 54.563608978,16.5716633490001 54.5511089780001,16.5436093490001 54.5447179780001,16.5155543490001 54.534163978,16.4895273490001 54.518672978,16.4605543490001 54.499717978,16.408218349 54.4615269780001,16.318336349 54.391108978,16.304927349 54.3722909780001,16.329445349 54.356799978,16.2177813490001 54.273608978,16.174718349 54.2591639780001,16.1440273490001 54.252917978,16.0813913490001 54.2542999780001,16.0477723490001 54.2616639780001,15.8763913490001 54.246381978,15.839300349 54.241390978,15.794163349 54.2261089780001,15.7523633480001 54.214163978,15.6541633480001 54.193881978,15.4934723480001 54.1665179780001,15.4294453480001 54.1622179780001,15.3958543480001 54.160626978,15.353891348 54.156390978,15.3027813480001 54.147772978,15.2280543480001 54.1294359780001,14.9797183480001 54.0713909780001,14.814445348 54.039163978,14.745281348 54.0286089780001,14.5594453470001 53.976663978,14.504300347 53.959163978,14.4833273470001 53.947217978,14.4254183470001 53.9224999780001,14.376391347 53.9122179780001,14.350272347 53.9105549780001,14.3277723470001 53.912499978,14.249863347 53.922354978,14.2255543470001 53.9285999780001,14.227994444 53.929291666,14.234770917 53.9545032730001,14.244122222 53.9892944440001,14.229578889 54.0401739320001,14.204560837 54.1276989730001,14.204560815 54.1276990490001,14.210894346 54.127636388,14.239372529 54.127354638,14.28737613 54.145016508,14.3225946860001 54.157974401,14.3484258440001 54.16749034,14.352222222 54.168888888,14.3566092030001 54.172690636,14.473029813 54.2735804820001,14.4751849850001 54.27544815,14.599677553 54.3833331370001,14.5996777780001 54.3833333320001,14.7500000000001 54.4999999990001,14.7246957180001 54.508091413,14.724670142 54.5080995910001,14.715146243 54.511144997,14.6885899210001 54.5196367680001,14.636722616 54.536222095,14.6367222220001 54.5362222210001,15.605336209 54.960069011,15.8531530720001 55.0685088880001,16.50825 55.3551666660001,16.5336553490001 55.360569979,17.0000003500001 55.4999999790001,17.37800035 55.587249979,18.000000351 55.783082979,18.3633333510001 55.9215499800001,18.9000003510001 55.881266979,18.9257500000001 55.8797999990001)))', 'Polish Exclusive Economic Zone', 'Poland', 'Poland', '', '178', '178', 'POL', '5687', '2011-03-30', '31881195850', '5687', 'Y'),('SRID=4326;MULTIPOLYGON(((6.21099234000008 -4.74126307699993,5.63080833900005 -4.79201107699993,5.63001133900002 -4.79194107699993,5.62921433900004 -4.79201107699993,5.62795033900005 -4.79190007699998,5.62668733900006 -4.79201107699993,5.62607233900007 -4.79195707699995,5.61582733900002 -4.79285107699997,5.61539133900004 -4.79281307699995,5.61495533900006 -4.79285107699997,5.03477033900003 -4.74210507699996,4.47240433800005 -4.59143607699997,3.94509133700006 -4.34548107699993,3.46893433700006 -4.01180007599993,3.05839633700003 -3.60062307599998,3.05832633700004 -3.60052207599995,3.05714733700006 -3.59934107599997,2.72461933600005 -3.12324107499995,2.48006533600005 -2.59673407499997,2.48001733600006 -2.59655207499998,2.47506433600006 -2.58589007499995,2.32575333600005 -2.02499007399996,2.32464733600006 -2.01208607399997,2.31922033600006 -1.99171307399996,2.26952833600006 -1.41344007399994,2.32087133600004 -0.83531407299995,2.32157733600008 -0.832688072999929,2.32164433600002 -0.831936072999952,2.47241533600004 -0.271458072999963,2.71805233600003 0.254400928000052,3.05115633700007 0.729706928000041,3.05275733700006 0.73130592800004,3.05453533700006 0.733843928000056,3.20915277800003 0.916527778000045,3.61755555600007 0.695916667000063,4.49235436900005 0.228681944000073,5.32305555600004 -0.214999999999975,5.89363350500003 -0.59112866199996,6.19186111100004 -0.787722221999957,7.27500000000003 -1.48444444399996,7.28027777800003 -1.50555555599993,7.28833333300003 -1.53861111099997,7.30472222200007 -1.62416666699994,7.30777777800006 -1.64694444399993,7.36333333300007 -2.07416666699993,7.37805555600005 -2.30944444399995,7.37305555600005 -2.38444444399994,7.28166666700002 -3.27166666699998,7.22277777800002 -3.67972222199995,7.14083333300005 -4.05333333299996,7.13361111100005 -4.08694444399993,7.03500000000003 -4.49222222199995,6.77335734000008 -4.59059207699994,6.21099234000008 -4.74126307699993)),((8.60277777800007 4.12222222200006,8.68083333300007 4.08444444400004,8.74317232600004 4.03154621200002,8.79638888900007 3.98638888900007,8.80087628700005 3.98283283700005,8.81111111100006 3.97472222200003,8.82801289400004 3.96476637800004,8.83138888900004 3.96277777800003,8.88805555600004 3.94638888900005,8.92499933800002 3.91333392700005,8.92500000000007 3.91333333300003,8.97361111100003 3.91138888900002,8.99361111100006 3.90444444400003,9.05222222200007 3.85277777800007,9.05361111100007 3.85166666700007,9.09166666700003 3.81055555600005,9.10194444400003 3.80083333300007,9.13472222200005 3.76111111100005,9.15722222200003 3.73583333300007,9.16820805600003 3.72163213400006,9.18000000000006 3.70638888900004,9.21000000000004 3.67250000000007,9.21205448600006 3.67018870400005,9.21222222200004 3.67000000000007,9.21571488200004 3.66426205800002,9.22388888900002 3.65083333300004,9.24193285300004 3.61535192400004,9.25694444400006 3.58583333300004,9.26561724000004 3.56991491200006,9.27888888900003 3.54555555600007,9.26416666700004 3.42555555600006,9.26333335600003 3.41666693000008,9.26333333300005 3.41666666700007,9.25944444400005 3.36555555600006,9.25833862400003 3.33860117200004,9.25722222200005 3.31138888900006,9.25735033400002 3.30946721500004,9.25777777800005 3.30305555600006,9.26638888900004 3.22277777800002,9.27277777800003 3.18222222200006,9.27500000000003 3.16555555600007,9.30805555600006 3.03472222200003,9.28694444400003 2.98166666700007,9.25277777800005 2.89916666700003,9.23472222200007 2.86555555600006,9.22738100700008 2.84879128800003,9.21611111100003 2.82305555600004,9.21400980000004 2.81900126100004,9.16888888900007 2.73194444400002,9.15583333300003 2.70944444400004,9.11166666700007 2.62972222200005,9.10138888900008 2.61277777900006,9.12491962000007 2.60632308400005,9.64416666700004 2.46388888900003,9.65522373900006 2.45952835300005,9.70333333300005 2.44055555600005,9.76611111100004 2.40222222200003,9.78531218500007 2.38186445700006,9.78916666700007 2.37777777800005,9.79750000000007 2.35472222200002,9.80000000000007 2.35138888900002,9.80070732700005 2.34997423400006,9.80111111100007 2.34916666700002,9.80834721400004 2.34157758300006,9.80834872800006 2.34157599500003,9.81250000000006 2.33722222200004,9.80428653900003 2.33905045500006,9.77263634300004 2.31937293000004,9.77805434300006 2.11778192900005,9.79916334300003 1.99666392900002,9.81339934300007 1.92979092900003,9.79499934300003 1.88889092900007,9.71048134300003 1.76041892900002,9.68139034300003 1.74110992900006,9.64027234300005 1.70055492900002,9.61194534300006 1.66028192900006,9.61097234300007 1.63347292900005,9.63639034300007 1.58778192900007,9.56055434300004 1.49249992900008,9.48999934300002 1.42680992900006,9.45798134300003 1.38979092900007,9.42583634300007 1.29194592900006,9.36027234300008 1.17471892900005,9.36471834300005 1.14944592900002,9.40777234300003 1.10631892800006,9.48389034300004 1.13326392900007,9.51749934300005 1.13305492900002,9.54700934300007 1.12131892800005,9.57124534300004 1.07444592800005,9.67555434300004 1.08889092800007,9.70221834300003 1.09721892800007,9.74736334300007 1.10069092800006,9.78471834300007 1.09444592800003,9.84589934300004 1.07471892800004,9.80401053200006 1.03027243400004,9.80166334300003 1.02778192800002,9.80397228900006 1.00261051100006,9.80397234300005 1.00260992800003,9.80397222900007 1.00261019000004,9.80397172000005 1.00261135900007,9.80175886600006 1.00769336900004,9.79656134300006 1.01962992800003,9.79640107200004 1.02007061700004,9.79294234300005 1.02958092800003,9.79093534300006 1.03967392800007,9.78906588400002 1.05276163200006,9.78842434300003 1.05725292800003,9.76582234300002 1.06729892800007,9.73317434300003 1.07483292800003,9.70806134300005 1.07483292800003,9.66536834300007 1.06980992800004,9.64778834300006 1.05474192800006,9.62769734300002 1.04720792800003,9.59756134300005 1.03465092800008,9.58000099000003 1.01972432900004,9.58000000000004 1.01972222200004,9.56944444400006 1.02222222200004,9.56055555600005 1.02222222200004,9.54888888900007 1.02500000000003,9.54805555600007 1.01027777800005,9.54916666700007 0.997777778000057,9.54861111100007 0.994722222000064,9.54833333300007 0.986944444000073,9.53805555600007 0.972777778000022,9.52972222200003 0.966111111000032,9.52527777800003 0.952222222000046,9.47250000000003 0.88472222200005,9.47388888900002 0.883333333000053,9.47944444400002 0.871111111000062,9.47944444400002 0.869722222000064,9.49277777800006 0.784166667000022,9.47000000000003 0.765555556000038,9.44027777800005 0.749166667000054,9.42166666700007 0.740277778000063,9.41250000000002 0.738055556000063,9.41222222200003 0.738055556000063,9.41222222200003 0.729444444000023,9.39111111100004 0.726111111000023,9.38472222200005 0.721666667000022,9.37555555600005 0.712222222000037,9.35277777800007 0.704166667000038,9.33333333300004 0.703055556000038,9.26944444400004 0.707777778000036,9.25166666700005 0.710277778000034,9.08083333300004 0.689166667000052,9.07055555600004 0.687777778000054,8.19500000000005 0.623611111000059,8.30277777800006 1.00416666700005,8.36076388900005 1.19240277800003,8.38000000000005 1.29666666700007,8.40222222200003 1.40388888900003,8.46611111100003 1.64583333300004,8.50416666700005 1.81944444400006,8.52083333300004 1.91250000000002,8.55013888900004 2.06711111100003,8.49999170100006 2.10689631000002,8.36583333300007 2.21333333300004,8.21810902600004 2.31087989400004,8.04444444400002 2.42555555600006,7.88900000000007 2.52647222200005,7.70361111100004 2.64277777800004,7.60679375400002 2.71048084300003,7.43111111100006 2.83333333300004,7.12151388900003 3.04215277800006,7.14250000000004 3.07472222200005,7.37661111100005 3.25333333300006,7.59463888900007 3.44625000000002,7.81952777800007 3.64511111100006,7.81944444400006 3.71027777800003,8.05519209200003 3.87385192200003,8.06777777800005 3.85561111100003,8.08302777800003 3.86522222200006,8.06957981300008 3.88383488100004,8.27583333300004 4.02694444400004,8.32479528000005 4.06091682400006,8.35138888900002 4.07500000000005,8.39666666700003 4.09166666700003,8.43888888900005 4.09444444400003,8.45475744100003 4.09735368000003,8.45555549400007 4.09749999000007,8.45555555600004 4.09750000200006,8.49166666700006 4.11111111100007,8.50555555600005 4.10333333300002,8.55388888900006 4.11111111100007,8.57500000000005 4.12055555600006,8.60277777800007 4.12222222200006),(8.58194534200004 3.46721893100005,8.56916334200002 3.45610993100007,8.55444534200007 3.45360993100007,8.54360934200002 3.45639093100004,8.53389034200006 3.46055493100005,8.52221834200003 3.46249993100002,8.46916334200006 3.46013693100002,8.45778134200003 3.44749993100004,8.44971834200004 3.43528193100002,8.43444534200006 3.39555493100005,8.43110934200007 3.38528193100007,8.42833634200002 3.37444593100003,8.42416334200004 3.34694593100005,8.42458134200007 3.33694593100006,8.42916334200004 3.31889093100006,8.44610934200006 3.27444593100006,8.45847234200005 3.25930993000003,8.48194534200007 3.24833693000005,8.49749934200003 3.24360993000005,8.68194534200006 3.19708193000002,8.69527234200007 3.19944593000002,8.77166334200007 3.30652793100006,8.77777234200005 3.32083693100003,8.77999934200005 3.33249993100003,8.80249934200003 3.39610993100007,8.85666334200005 3.49944593100003,8.86610934200007 3.51721893100006,8.87444534200006 3.52944593100005,8.92027234200003 3.59305493100004,8.94333634200007 3.61471893100003,8.95055434200003 3.62471893100007,8.95471834200004 3.63416393100005,8.96083634200005 3.65528193100005,8.96221834200003 3.67444593100004,8.96013634200006 3.70180993100007,8.93555434200005 3.73666393100007,8.92305434200006 3.74499993100005,8.91139034200006 3.75124593100003,8.73944534200007 3.76333693100003,8.68610934200007 3.74166393100006,8.64499934200006 3.68278193100002,8.62504534200002 3.64999993100002,8.62582734200004 3.64305493100005,8.62444534200006 3.59528193100005,8.61937234200008 3.55270993100004,8.58666334200007 3.47610993100005,8.58194534200004 3.46721893100005)))', 'Equatorial Guinean Exclusive Economic Zone', 'Equatorial Guinea', 'Equatorial Guinea', '', '104', '104', 'GNQ', '8398', '', '309747323000', '8398', 'Y'),('SRID=4326;MULTIPOLYGON(((-52.8662350133496 -34.0724772741604,-52.857561158666 -34.0781189529416,-52.7294357785052 -34.1613719150072,-52.6011844691358 -34.2446239025603,-52.4728068920077 -34.3278747699452,-52.3443024837147 -34.4111243749325,-52.2156705689135 -34.4943729371507,-52.0869108926414 -34.577620311388,-51.9580227584245 -34.6608665376229,-51.8290056772809 -34.7441115637931,-51.6998590436838 -34.8273555192913,-51.5705824587849 -34.9105982619787,-51.4411754077105 -34.9938399215212,-51.3116371450551 -35.0770803580451,-51.1819673557835 -35.1603197009803,-51.0521653855151 -35.2435578106737,-50.9222305704424 -35.3267948178419,-50.7921626767837 -35.4100306734379,-50.6619609113638 -35.4932653285701,-50.5316249114531 -35.5764988255163,-50.4011539735226 -35.6597312060749,-50.2705474946259 -35.7429624222531,-50.1398050833303 -35.8261924278012,-50.0915388065579 -35.8568961005254,-50.1507451419999 -35.9713815789999,-50.5339310049999 -36.4626091349999,-51.0221750599999 -36.8910911519999,-51.3127278029999 -37.0682681039999,-51.3361299479999 -37.088482959,-51.4296091639999 -37.1690857689999,-52.0123817489999 -37.518782385,-52.349064842 -37.6528416689999,-52.5964523559999 -37.7513455549998,-52.6310314489999 -37.765114136,-52.6461888509999 -37.7546918179999,-52.6688988739999 -37.7390762729999,-52.6760086849999 -37.7341875259999,-52.8291008169999 -37.6418778919999,-52.8355748239999 -37.6379742739999,-52.9310506419998 -37.5804054259999,-53.1607757669999 -37.3560239409998,-53.613186954 -36.9141362909999,-53.8720303569999 -36.6887017209999,-54.0696232049999 -36.585734765,-54.4157968169999 -36.4053413789998,-54.4157969839998 -36.4053412919998,-54.8926629279999 -36.1568432569999,-55.66134813 -35.7436884449999,-55.8666666669998 -35.6333333329999,-55.9625710049999 -35.581244114,-56.2099477999999 -35.4468845609998,-56.2099479999998 -35.4468844519999,-56.716666667 -35.1716666669998,-56.8245858519999 -35.1761103979999,-56.9999997699999 -35.1833333239999,-56.9999999999999 -35.183333333,-57.2534492069998 -34.9425565869998,-57.3333333329999 -34.8666666669998,-57.3333334679999 -34.8666666099999,-57.3606160809998 -34.8552988549998,-57.5333333329999 -34.7833333329999,-57.786039934 -34.7128573879999,-57.9516666669999 -34.6666666669998,-57.9450344669999 -34.6202412669999,-57.9349999999998 -34.5499999999999,-57.9399999999998 -34.4433333329999,-58.0099999999998 -34.3799999999998,-58.0159382059999 -34.3691132889999,-58.02 -34.3616666669998,-58.0649999999999 -34.333333333,-58.091666667 -34.2949999999998,-58.1516926399999 -34.261652237,-58.1666666669999 -34.2533333329999,-58.2083333329999 -34.2216666669999,-58.208333449 -34.2216666089999,-58.2516666669999 -34.1999999999998,-58.2906286959999 -34.1688303759998,-58.2933333329999 -34.166666667,-58.2941506379998 -34.1660828779999,-58.3166666669999 -34.1499999999999,-58.3197353209999 -34.1377253819999,-58.3233333329999 -34.1233333329998,-58.3333333329999 -34.103333333,-58.3378146339999 -34.0783660889998,-58.3449999999999 -34.0383333329999,-58.3766666669998 -33.9999999999998,-58.405 -33.9549999999999,-58.4190855239999 -33.9226032949999,-58.4216666669998 -33.9166666669999,-58.4216664399999 -33.9166667899999,-58.4216665539999 -33.9166665289998,-58.4287833059999 -33.9012643859999,-58.4406601149999 -33.8755598439999,-58.4495579529999 -33.8466418699998,-58.4586475539999 -33.8170995289999,-58.4713965089999 -33.7597306499999,-58.4766354429998 -33.7361554489999,-58.4856292749999 -33.6552109619999,-58.4856292749999 -33.5292973149999,-58.4765814509998 -33.5093921019999,-58.4631445539999 -33.479831528,-58.4496535539999 -33.4348625279998,-58.4448637459999 -33.4013306699999,-58.4406601149999 -33.3719052559999,-58.426724239 -33.3510014419999,-58.4046845539999 -33.3179425279999,-58.3911935539999 -33.2549855279999,-58.3956905539999 -33.151556528,-58.3956905539999 -33.1155815279998,-58.355218554 -33.0975935279999,-58.2967585539999 -33.1020905279998,-58.229305554 -33.1065875279999,-58.1798385539998 -33.1020905279998,-58.1455524099999 -33.078089693,-58.13486983 -33.0706118869999,-58.1348697369999 -33.0706116559999,-58.1348695539999 -33.0706115279999,-58.1309149859999 -33.0607247789998,-58.116882166 -33.0256427269999,-58.1033914179998 -32.9671828199999,-58.1078883339999 -32.904225997,-58.1078885479999 -32.904225611,-58.1078885539999 -32.9042255279999,-58.1303725539999 -32.863753528,-58.1528575209999 -32.8052936139998,-58.161851325 -32.728846274,-58.1708451569999 -32.6613925349999,-58.1777740489998 -32.631367336,-58.1843355539998 -32.6029325269999,-58.2002335289999 -32.5274189149999,-58.2023235689998 -32.5174912239999,-58.2065125309999 -32.4879026979999,-58.2044032869998 -32.469341319,-58.1996642709998 -32.4518545109999,-58.1992460539999 -32.4503089469999,-58.1976454549998 -32.4783363639999,-58.1958636469999 -32.483898541,-58.1932358939998 -32.4920999429999,-58.1520819229999 -32.598335872,-58.1520818659999 -32.5983362409999,-58.1520818179999 -32.5983363639999,-58.1405545449999 -32.672227273,-58.1380636359999 -32.7083363639999,-58.1384727269999 -32.7401454549999,-58.1385271849999 -32.7495564719999,-58.1386179039998 -32.7652819269999,-58.1348889569999 -32.785614661,-58.1334727679998 -32.793336144,-58.1208358639999 -32.8193089919999,-58.1007734199999 -32.8354381239999,-58.0893090909998 -32.844654545,-58.0786724599999 -32.854048639,-58.0590357569999 -32.8713909539999,-58.0499465309999 -32.895121068,-58.0475727269998 -32.9013181819999,-58.0455636359999 -32.9347181819999,-58.0811281299999 -33.0332056149998,-58.0890999669999 -33.0552820309999,-58.1057192389999 -33.0689991949998,-58.1419454549999 -33.0988999999999,-58.1615363639999 -33.1097272729999,-58.2031999999999 -33.1208363639998,-58.220593574 -33.1202006209999,-58.2412549799998 -33.1194460029998,-58.2788262999999 -33.1160067789999,-58.289727273 -33.1150090909998,-58.3066343889999 -33.1142174749999,-58.3136089089999 -33.1138909799998,-58.3404179239999 -33.1170910229999,-58.3563859059998 -33.128106116,-58.360554545 -33.130981818,-58.3670818199998 -33.1573636359998,-58.3652818179999 -33.1813999999999,-58.362317198 -33.1961225439998,-58.3575087919999 -33.220000007,-58.3534369999999 -33.2398102649998,-58.346945455 -33.2713909089998,-58.3567017649999 -33.3167207149999,-58.3581999639998 -33.3236819709998,-58.3684559409999 -33.3339078209999,-58.3799999999999 -33.3454181819999,-58.389493971 -33.3519223389998,-58.401390905 -33.3600730089999,-58.4159088639998 -33.40833584,-58.3888909729998 -33.4224999159999,-58.3888909339999 -33.4224999869999,-58.3888909089998 -33.4224999999998,-58.3801454549998 -33.4386090909998,-58.3843818239999 -33.4679909139999,-58.3843818439998 -33.467991019,-58.3864298909999 -33.4704843889999,-58.4169454549999 -33.5076363639998,-58.4301454549999 -33.5287545449999,-58.4348418069999 -33.5430151119999,-58.4386089019998 -33.5544550439998,-58.4384536279999 -33.5959606539999,-58.4380545449999 -33.7025090909999,-58.4298636359998 -33.8349999999999,-58.4230545449999 -33.8555636359998,-58.4153837169998 -33.8748723589999,-58.4151088949998 -33.8755640789999,-58.4131980289999 -33.8841305209999,-58.4037545449998 -33.9264636359999,-58.3618818179999 -33.9616,-58.3350090909998 -33.9747272729998,-58.3155636359999 -33.986672727,-58.300836364 -34.0016727269999,-58.2511090909998 -34.0624999999999,-58.2211181819999 -34.1047272729999,-58.2108363639998 -34.1230636359999,-58.1054181819999 -34.1769454549999,-58.0794454549998 -34.1906999999999,-57.964445455 -34.3083363639998,-57.9105636359999 -34.3659727269998,-57.8976363639998 -34.3855636359999,-57.8774363639999 -34.4427818179998,-57.8368727269998 -34.492781818,-57.6618090909999 -34.4601454549999,-57.5533363639998 -34.4433363639999,-57.433336364 -34.449718182,-57.1852818179999 -34.4484090909999,-57.174272727 -34.452972727,-57.111254545 -34.4641727269998,-56.8959090909999 -34.6566999999999,-56.8297272729998 -34.6894454549999,-56.5788999999999 -34.7638909089998,-56.4116636359999 -34.7875090909998,-56.366909091 -34.7954363639999,-56.4036181819998 -34.814727273,-56.4258363639999 -34.840554545,-56.3179181819999 -34.9103454549999,-56.158336364 -34.927227273,-56.0343363639999 -34.890827273,-56.0279181819999 -34.8912545449999,-56.0051454549999 -34.8830636359999,-55.9655545449999 -34.8613909089999,-55.930972727 -34.8383363639999,-55.910281818 -34.8283363639999,-55.8116727269999 -34.7958363639999,-55.7875090909999 -34.7888909089999,-55.692781818 -34.775072727,-55.6000090909999 -34.7816727269998,-55.4333363639999 -34.8038909089999,-55.3733999999999 -34.808445455,-55.3563909089999 -34.8141727269999,-55.3336181819998 -34.8269545449999,-55.3047272729999 -34.8513909089999,-55.2837545449999 -34.8815272729999,-55.2487545449999 -34.9079181819999,-55.2233363639999 -34.906536364,-55.1705636359999 -34.8925,-55.1301454549999 -34.8862545449999,-55.0919454549999 -34.885281818,-55.0531272729999 -34.8929181819998,-54.9543727269999 -34.9438181819999,-54.896118182 -34.9436090909999,-54.8305545449999 -34.9236181819999,-54.724445455 -34.8755545449999,-54.6861090909999 -34.8588909089999,-54.5886181819999 -34.8247181819999,-54.5483363639999 -34.8111090909998,-54.531109091 -34.8060818179999,-54.336536364 -34.7245909089999,-54.278890909 -34.6906999999998,-54.2909818179999 -34.6606999999999,-54.312918182 -34.5628545449999,-54.243818182 -34.5840272729999,-54.2495181819999 -34.6056999999998,-54.2524999999999 -34.6283363639999,-54.2356999999998 -34.6752818179999,-54.171390909 -34.6763909089998,-54.1407636359999 -34.6646545449999,-54.1395181819999 -34.6367363639998,-54.1138909089998 -34.6094545449998,-54.0936090909998 -34.5919454549999,-53.982227273 -34.4990272729999,-53.904163636 -34.4508363639999,-53.8419454549999 -34.4205636359998,-53.7768818179999 -34.3422272729998,-53.7518727269999 -34.2613909089998,-53.718336364 -34.2141727269999,-53.6979181819999 -34.1894454549999,-53.598890909 -34.105281818,-53.5683363639999 -34.0824999999999,-53.5355545449999 -34.0623636359999,-53.5127818179999 -33.9797272729999,-53.499172727 -33.9043090909999,-53.4905636359998 -33.8761090909999,-53.4825090909999 -33.8544454549998,-53.4607 -33.8165363639998,-53.4397272729999 -33.7922272729999,-53.4166727269998 -33.7697272729998,-53.399172727 -33.7569545449999,-53.3742999999999 -33.7406727269999,-53.3742995499999 -33.7406728899998,-53.3739204789998 -33.740469812,-53.3739188599999 -33.740468945,-53.3705706709999 -33.742844228,-53.3598935079148 -33.7509151092386,-53.2411878420213 -33.8283527550318,-53.1134367111734 -33.9116092288024,-52.9855613612283 -33.9948646152666,-52.8662350133496 -34.0724772741604)))', 'Uruguayan Exclusive Economic Zone', 'Uruguay', 'Uruguay', '', '173', '173', 'URY', '8467', '2012-10', '129736166400', '8467', 'Y'),('SRID=4326;MULTIPOLYGON(((-58.199246054 -32.4503089469999,-58.199664271 -32.451854511,-58.2044032869999 -32.469341319,-58.206512531 -32.487902698,-58.202323569 -32.517491224,-58.2002335289999 -32.5274189149999,-58.184335554 -32.602932527,-58.1777740489999 -32.631367336,-58.170845157 -32.6613925349999,-58.161851325 -32.728846274,-58.152857521 -32.8052936139999,-58.130372554 -32.863753528,-58.1078885539999 -32.904225528,-58.1078885479999 -32.904225611,-58.1078883339999 -32.904225997,-58.1033914179999 -32.9671828199999,-58.116882166 -33.0256427269999,-58.1309149859999 -33.0607247789999,-58.134869554 -33.070611528,-58.134869737 -33.070611656,-58.13486983 -33.070611887,-58.1455524099999 -33.078089693,-58.179838554 -33.102090528,-58.229305554 -33.106587528,-58.296758554 -33.102090528,-58.355218554 -33.0975935279999,-58.3956905539999 -33.115581528,-58.3956905539999 -33.151556528,-58.391193554 -33.254985528,-58.404684554 -33.3179425279999,-58.426724239 -33.351001442,-58.440660115 -33.3719052559999,-58.444863746 -33.4013306699999,-58.449653554 -33.4348625279999,-58.4631445539999 -33.479831528,-58.476581451 -33.5093921019999,-58.485629275 -33.529297315,-58.485629275 -33.655210962,-58.476635443 -33.736155449,-58.471396509 -33.7597306499999,-58.458647554 -33.817099529,-58.449557953 -33.8466418699999,-58.440660115 -33.875559844,-58.428783306 -33.901264386,-58.421666554 -33.9166665289999,-58.42166644 -33.91666679,-58.421666667 -33.916666667,-58.419085524 -33.9226032949999,-58.405 -33.955,-58.3766666669999 -33.9999999999999,-58.345 -34.038333333,-58.337814634 -34.0783660889999,-58.333333333 -34.103333333,-58.3233333329999 -34.1233333329999,-58.3197353209999 -34.1377253819999,-58.3166666669999 -34.15,-58.294150638 -34.1660828779999,-58.293333333 -34.166666667,-58.2906286959999 -34.168830376,-58.2516666669999 -34.1999999999999,-58.208333449 -34.221666609,-58.208333333 -34.221666667,-58.166666667 -34.2533333329999,-58.15169264 -34.261652237,-58.091666667 -34.295,-58.0649999999999 -34.333333333,-58.02 -34.361666667,-58.015938206 -34.369113289,-58.0099999999999 -34.3799999999999,-57.9399999999999 -34.4433333329999,-57.9349999999999 -34.55,-57.945034467 -34.620241267,-57.951666667 -34.666666667,-57.786039934 -34.712857388,-57.533333333 -34.783333333,-57.3606160809999 -34.8552988549999,-57.333333468 -34.86666661,-57.333333333 -34.8666666669999,-57.253449207 -34.942556587,-56.9999999999999 -35.183333333,-56.9999997699999 -35.1833333239999,-56.824585852 -35.1761103979999,-56.716666667 -35.171666667,-56.2099479999999 -35.4468844519999,-56.2099478 -35.4468845609999,-55.962571005 -35.581244114,-55.8666666669999 -35.6333333329999,-55.66134813 -35.743688445,-54.8926629279999 -36.1568432569999,-54.4157969839999 -36.4053412919999,-54.4157968169999 -36.4053413789999,-54.069623205 -36.585734765,-53.872030357 -36.688701721,-53.613186954 -36.914136291,-53.160775767 -37.3560239409999,-52.9310506419999 -37.580405426,-52.8355748239999 -37.6379742739999,-52.829100817 -37.641877892,-52.6760086849999 -37.734187526,-52.668898874 -37.739076273,-52.646188851 -37.754691818,-52.631031449 -37.765114136,-52.6397472529999 -37.784285525,-52.6741423829999 -37.8599414719999,-52.728642722 -37.97982086,-52.865280549 -38.2803705329999,-53.058270579 -38.55619942,-53.098304669 -38.613417617,-53.112340004 -38.633369897,-53.164472555 -38.7073735289999,-53.164472678 -38.707373704,-53.16463248 -38.7076002859999,-53.176738997 -38.7247616719999,-53.1927955479999 -38.747508394,-53.223556758 -38.7910422049999,-53.225382969 -38.79281279,-53.22754004 -38.795863111,-53.229563388 -38.8004647069999,-53.2296895499999 -38.800751533,-53.229760395 -38.800912737,-53.230230709 -38.8019822589999,-53.230509351 -38.8023762079999,-53.2306795499999 -38.8026165329999,-53.23116155 -38.803712533,-53.231195933 -38.803761198,-53.231734965 -38.804523253,-53.2319199959999 -38.804943981,-53.2320975499999 -38.805346533,-53.2338760499999 -38.8078615699999,-53.2345316289999 -38.808788315,-53.234908716 -38.809645614,-53.236388087 -38.8117365849999,-53.23836355 -38.8145285329999,-53.23958655 -38.817308533,-53.242175894 -38.820967766,-53.244666762 -38.824487516,-53.244987613 -38.825216569,-53.2452465499999 -38.8258045329999,-53.245769588 -38.826543822,-53.246049636 -38.826939484,-53.247075701 -38.8292707479999,-53.2472881159999 -38.829570927,-53.247409486 -38.8297423889999,-53.24740955 -38.8297425329999,-53.2497956349999 -38.835163168,-53.251750445 -38.8379242789999,-53.2517505549999 -38.8379245309999,-53.251785226 -38.8380032749999,-53.25349755 -38.841891533,-53.254519176 -38.843334811,-53.255760685 -38.8450880779999,-53.256827409 -38.847510299,-53.2581235499999 -38.850452533,-53.258446835 -38.850909541,-53.258563662 -38.8510744939999,-53.258837103 -38.851695333,-53.259053546 -38.852186536,-53.2634105499999 -38.8583365329999,-53.26411755 -38.859335533,-53.2641176229999 -38.85933568,-53.264136989 -38.85937963,-53.2645061709999 -38.860217599,-53.26471255 -38.860685533,-53.26758255 -38.864736533,-53.2678324569999 -38.865304061,-53.268453907 -38.8667143559999,-53.3177437529999 -38.9361277689999,-53.36658555 -39.0049095329999,-53.5835455499999 -39.3083495339999,-53.592307658 -39.32054118,-53.6045830319999 -39.337620127,-53.649740381 -39.438177219,-53.6555255499999 -39.451059534,-53.6787795499999 -39.502724534,-53.68412455 -39.5101265339999,-53.686044185 -39.5143873069999,-53.6895809609999 -39.5222361799999,-53.6898898659999 -39.522663806,-53.69002592 -39.5229656779999,-53.69047855 -39.5239685339999,-54.0603315499999 -40.031798535,-54.474149551 -40.416042535,-54.505764051 -40.4451420469999,-54.544908918 -40.481172315,-54.572230991 -40.498874781,-54.634632591 -40.556122333,-54.6351427819999 -40.556451984,-54.6364755509999 -40.5573125349999,-54.6366565509999 -40.557478535,-54.636996551 -40.5576985349999,-54.637216479 -40.557900246,-54.6376608109999 -40.558307382,-54.641637553 -40.560876532,-54.6416377629999 -40.560876666,-54.641646414 -40.560884592,-54.641681551 -40.5609165349999,-54.646182986 -40.5638243139999,-54.649926923 -40.566242573,-54.6510106279999 -40.567235118,-54.651727551 -40.5678915349999,-54.654354551 -40.569587535,-54.6636735509999 -40.578120535,-54.6646049459999 -40.578721904,-54.66764182 -40.580682103,-54.66769385 -40.5807297279999,-54.673321551 -40.584361535,-54.683541551 -40.590955535,-54.683680566 -40.591082769,-54.683777106 -40.591171091,-54.751828271 -40.6348789809999,-54.9493325509999 -40.761731535,-54.958306551 -40.767469535,-55.0644197619999 -40.8351286939999,-55.118974141 -40.869913098,-55.148953405 -40.888940727,-55.236966551 -40.944801535,-55.269743929 -40.9655536019999,-55.27098065 -40.966336578,-55.272804551 -40.967131535,-55.2730435509999 -40.967282535,-55.2758390019999 -40.9685011619999,-55.2767500579999 -40.9688982339999,-55.2767505469999 -40.968898542,-55.293403551 -40.9794305349999,-55.2947255509999 -40.980006535,-55.2960931929999 -40.9808713899999,-55.29645528 -40.9811003199999,-55.3045872669999 -40.9846412969999,-55.30465075 -40.984681424,-55.3077884699999 -40.986047444,-55.309765704 -40.987297048,-55.3124327859999 -40.988457921,-55.3152545519999 -40.989685535,-55.3169475519999 -40.9907555349999,-55.3201825519999 -40.992163535,-55.3208420509999 -40.992450686,-55.321018125 -40.992527302,-55.321018365 -40.992527454,-55.3210185519999 -40.992527535,-55.321045552 -40.992544535,-55.3405963399999 -41.001046018,-55.3613081409999 -41.010052273,-55.361308553 -41.010052533,-55.426641552 -41.0512325349999,-55.4291742739999 -41.0528273539999,-55.430681443 -41.053480565,-55.4372855519999 -41.0563425349999,-55.439804973 -41.0579284459999,-55.4434877849999 -41.0602462699999,-55.4442729479999 -41.060586434,-55.445504765 -41.0613615669999,-55.4465365519999 -41.062010535,-55.902274248 -41.2579204149999,-55.902274549 -41.257920543,-56.118195552 -41.349685536,-56.121126552 -41.350462536,-56.121206215 -41.350496483,-56.121302086 -41.3505370739999,-56.121686515 -41.35063896,-56.122044552 -41.350733536,-56.126659494 -41.352687432,-56.131657543 -41.3548031679999,-56.133193009 -41.3552099039999,-56.1352055519999 -41.355742536,-56.152561552 -41.363085536,-56.235744552 -41.3982175359999,-56.272574369 -41.41373799,-56.283162002 -41.418199656,-56.3157942999999 -41.431932219,-56.316827841 -41.432203764,-56.3183165519999 -41.432594536,-56.3205080559999 -41.4335164949999,-56.320983562 -41.433716465,-56.3238948499999 -41.434481174,-56.3240094339999 -41.4345293539999,-56.324091552 -41.434563536,-56.325099181 -41.434828449,-56.326822905 -41.435281162,-56.3402039429999 -41.440905083,-56.347907552 -41.444142536,-56.349804102 -41.444640474,-56.3504175419999 -41.444801416,-56.3530973539999 -41.445927168,-56.353375216 -41.446000054,-56.361370333 -41.449358047,-56.367150377 -41.450873487,-56.3671505519999 -41.450873536,-56.367181006 -41.4508863469999,-56.367585479 -41.4510561719999,-56.3691546159999 -41.451467497,-56.369914552 -41.4516665359999,-56.374885919 -41.453753572,-56.3769101199999 -41.4546032969999,-56.377169721 -41.454671322,-56.3784622169999 -41.4552138029999,-56.378995553 -41.455437536,-56.381491554 -41.456091536,-56.381491718 -41.45609158,-56.390372897 -41.459818174,-56.390578906 -41.459872124,-56.3906305529999 -41.4598855359999,-56.391223867 -41.4601346169999,-56.3924579069999 -41.460652328,-56.39263313 -41.460698212,-56.3933300909999 -41.4609905849999,-56.394510553 -41.4614855359999,-56.3961028689999 -41.461902751,-56.396820013 -41.4620905149999,-56.399687886 -41.463293306,-56.403835553 -41.465032536,-56.406562553 -41.465746536,-56.412045656 -41.4680452919999,-56.4172987489999 -41.470247587,-56.4176409309999 -41.470337125,-56.419805562 -41.470903296,-56.421204051 -41.471489414,-56.4224885529999 -41.472027536,-56.422740553 -41.4720935359999,-56.424573553 -41.472861536,-56.4274385529999 -41.473610536,-56.427681553 -41.4737125359999,-56.4305695529999 -41.474467536,-56.430789553 -41.474559536,-56.431975913 -41.47487011,-56.433016416 -41.475142101,-56.433416171 -41.4753095739999,-56.433894553 -41.4755095359999,-56.434043102 -41.4755487529999,-56.434144053 -41.4755751389999,-56.4346268749999 -41.475777401,-56.435979553 -41.4763435359999,-56.438454553 -41.476990536,-56.441169553 -41.4781275359999,-56.441608553 -41.478242536,-56.445307553 -41.4797915359999,-56.447531553 -41.4803725359999,-56.448412553 -41.480741536,-56.4484984709999 -41.480764146,-56.4486596849999 -41.480806257,-56.449691253 -41.481238188,-56.4504975529999 -41.481575536,-56.4506167339999 -41.481606899,-56.450687307 -41.481625332,-56.452550674 -41.482405495,-56.454854395 -41.4830071179999,-56.455259661 -41.4831767759999,-56.455687553 -41.483355536,-56.458072553 -41.4839785359999,-56.458650463 -41.4842204949999,-56.460845401 -41.485139245,-56.461090724 -41.4852032909999,-56.462930555 -41.485973335,-56.465811365 -41.4867253149999,-56.4660384549999 -41.486820349,-56.46628291 -41.486884155,-56.468123619 -41.487654434,-56.470342256 -41.4882334439999,-56.470342347 -41.4882334819999,-56.470342553 -41.4882335359999,-56.470444985 -41.4882764279999,-56.4712284459999 -41.4886042429999,-56.4738534919999 -41.489289218,-56.520623883 -41.508841248,-56.538168594 -41.516166261,-56.5488595529999 -41.5206295359999,-56.5516975529999 -41.521367536,-56.5519251969999 -41.521462809,-56.5519675319999 -41.5214804739999,-56.554167031 -41.5220523369999,-56.555072604 -41.5224301649999,-56.556490319 -41.5227987119999,-56.558014553 -41.5231945359999,-56.558194532 -41.5232699819999,-56.558212722 -41.523277573,-56.56078504 -41.523946179,-56.564338595 -41.5254284009999,-56.5654565529999 -41.525894536,-56.565853553 -41.525997536,-56.568464718 -41.5270868009999,-56.569595491 -41.527558383,-56.570795227 -41.527870068,-56.571790553 -41.5281285359999,-56.5718498209999 -41.528153285,-56.5727006119999 -41.528508049,-56.5806399049999 -41.5305701089999,-56.582053909 -41.5311595489999,-56.582302953 -41.531224218,-56.5835382229999 -41.531739118,-56.5841395529999 -41.531989536,-56.586555553 -41.532616536,-56.5881269289999 -41.5332719369999,-56.589330005 -41.5337733389999,-56.591602053 -41.534363098,-56.606931687 -41.540749535,-56.607022647 -41.5407731289999,-56.607070553 -41.5407855359999,-56.608985553 -41.541582536,-56.619747553 -41.544373536,-56.6198900159999 -41.544432867,-56.621447109 -41.545081105,-56.6292876589999 -41.5471130299999,-56.632280553 -41.547888536,-56.6339415529999 -41.548579536,-56.636122553 -41.549144536,-56.636666283 -41.54937109,-56.637046412 -41.549529261,-56.649904921 -41.5528592279999,-56.658835801 -41.556573182,-56.65893807 -41.556599649,-56.6590475529999 -41.556627536,-56.660099311 -41.5570653,-56.660921361 -41.557407089,-56.6661198589999 -41.5587521529999,-56.6692206349999 -41.5600410549999,-56.67236142 -41.560853408,-56.6744935529999 -41.5614045359999,-56.6801240349999 -41.563744388,-56.683601132 -41.565189168,-56.684524363 -41.5655727079999,-56.6857955529999 -41.566100536,-56.687965553 -41.566661536,-56.688901173 -41.5670503769999,-56.691353754 -41.567683969,-56.709353553 -41.572333536,-56.714937553 -41.574651536,-56.7407665499999 -41.585366543,-56.761719553 -41.5907665359999,-56.7698300599999 -41.594127337,-56.769830105 -41.59412735,-56.7698608489999 -41.5941352679999,-56.7700225529999 -41.594176536,-56.7707494059999 -41.5944779509999,-56.771915844 -41.5949611409999,-56.77305518 -41.5952545169999,-56.7733975529999 -41.595342536,-56.777849315 -41.597186047,-56.791571539 -41.602868163,-56.7934413409999 -41.603349189,-56.794438553 -41.603605536,-56.794712553 -41.603718536,-56.799959553 -41.605068536,-56.805066553 -41.607181536,-56.806940202 -41.607663686,-56.8079303179999 -41.607918253,-56.8080158349999 -41.607953634,-56.8082075529999 -41.6080325359999,-56.859195553 -41.621126536,-57.104660553 -41.683761536,-57.1053265529999 -41.684034536,-57.118237907 -41.689323811,-57.1253451589999 -41.692235291,-57.1355199289999 -41.6948136189999,-57.1560255529999 -41.700009536,-57.156551553 -41.700224536,-57.157670079 -41.7005081579999,-57.1592850279999 -41.700917085,-57.159585755 -41.701040099,-57.159660553 -41.701070536,-57.1624495529999 -41.701776536,-57.162607733 -41.7018415109999,-57.16280248 -41.7019211649999,-57.1628499519999 -41.7019331829999,-57.1648570479999 -41.7027540789999,-57.188597643 -41.7087604659999,-57.189384553 -41.708959536,-57.189384677 -41.7089595859999,-57.189384845 -41.7089596289999,-57.189841793 -41.7091463629999,-57.2001412769999 -41.711749491,-57.211066553 -41.714510536,-57.2468945529999 -41.729132536,-57.2490905769999 -41.729686801,-57.249609042 -41.7298175559999,-57.249750348 -41.729875185,-57.2500045529999 -41.729978536,-57.265772054 -41.733952404,-57.28056078 -41.7376792909999,-57.2892622749999 -41.739870031,-57.2941345529999 -41.7410965359999,-57.2965178599999 -41.742067219,-57.301053946 -41.7439142929999,-57.318576569 -41.751046403,-57.334630365 -41.7550767929999,-57.382823553 -41.767175536,-57.644466065 -41.832076699,-57.866728622 -41.887209205,-57.968219456 -41.912059513,-57.968219554 -41.9120595369999,-57.9748535539999 -41.913679536,-58.0714424769999 -42.091916394,-58.456565731 -42.546251543,-58.4635406959999 -42.554404215,-58.489008554 -42.584171537,-58.4988624919999 -42.592166999,-58.506416008 -42.598295407,-58.81446956 -42.955417332,-59.030015314 -43.127054449,-59.030015369 -43.1270544929999,-59.1070765549999 -43.188417537,-59.111457555 -43.202645537,-59.115192555 -43.2147725369999,-59.1181442769999 -43.22435,-59.123263798 -43.240960377,-59.1268549169999 -43.2972150329999,-59.127152754 -43.30187756,-59.176832942 -43.4613725849999,-59.303592555 -43.868324538,-59.618052556 -44.403361538,-60.064076556 -44.889665539,-60.3312281679999 -45.088795341,-60.567134477 -45.264635197,-60.5821798269999 -45.2757414669999,-60.632020666 -45.419656523,-60.672506557 -45.5365585389999,-60.679936557 -45.5579065389999,-60.682221354 -45.561549989,-60.688906994 -45.572210162,-60.700084923 -45.6927969769999,-60.7026446529999 -45.72034739,-60.708004767 -45.735667655,-60.721096557 -45.77308554,-60.725731713 -45.8226668679999,-60.730434018 -45.8729616859999,-60.731761944 -45.8871359949999,-60.733182557 -45.90229454,-60.751724511 -45.955044411,-60.7517245569999 -45.95504454,-60.761173557 -46.0552665399999,-60.7643295569999 -46.08866854,-60.782505557 -46.14012854,-60.791769557 -46.2375615399999,-60.7948514 -46.2699092409999,-60.795340627 -46.275043712,-60.7970610789999 -46.2798912499999,-60.813145557 -46.3252105399999,-60.814071204 -46.334865313,-60.822219025 -46.419844962,-60.826214034 -46.461420039,-60.84364271 -46.510290514,-60.846736181 -46.542284939,-60.8525215569999 -46.6021175399999,-60.8545508089999 -46.6230611129999,-60.856947899 -46.6477975239999,-60.865008911 -46.6702915929999,-60.8739955569999 -46.6953675409999,-60.877170436 -46.7279329149999,-60.882674042 -46.784379094,-60.886434993 -46.822870409,-60.8865615569999 -46.824165541,-60.887540535 -46.834176316,-60.887574629 -46.8342710749999,-60.8876425569999 -46.8344595409999,-60.887642493 -46.83445969,-60.887642579 -46.8344599279999,-60.869214805 -46.8779009639999,-60.869214018 -46.8779059239999,-60.869213557 -46.8779105409999,-60.800429207 -47.306792673,-60.776629616 -47.455187751,-60.789189805 -47.584928147,-60.790995847 -47.603537364,-60.7861472549999 -47.6333323229999,-60.778887184 -47.677948414,-60.77873998 -47.678853042,-60.778739549 -47.678853235,-60.7785541279999 -47.679992661,-60.775937982 -47.680108425,-61.097703613 -47.8941446219999,-61.219604021 -47.975231901,-61.478960128 -48.1477537289999,-61.52792419 -48.1795876799999,-61.575090597 -48.209770808,-62.2806331959999 -48.645666935,-62.280633294 -48.6456669949999,-62.280633538 -48.6456671459999,-62.984687138 -49.080643344,-63.0132461119999 -49.099761899,-63.2062923829999 -49.228995036,-64.1703899679999 -49.997722911,-64.170390098 -49.997723014,-64.170390133 -49.997723043,-64.5706262319999 -50.316853233,-64.5706263609999 -50.3168535359999,-64.57066659 -50.316947923,-64.570741359 -50.317123349,-64.6077165299999 -50.4038756539999,-64.607716549 -50.403875699,-65.0039324209999 -51.365962805,-64.946723079 -51.4806110389999,-64.93777353 -51.5170696769999,-64.935658713 -51.525685009,-64.92598098 -51.5651101189999,-64.9118999039999 -51.628037805,-64.90281177 -51.6731790429999,-64.7639456869999 -52.3869380209999,-64.725858248 -52.4303336739999,-64.7135714309999 -52.444332894,-64.6892225679999 -52.4720752379999,-64.5774945329999 -52.531204149,-64.520120839 -52.561567559,-64.5201207699999 -52.561567586,-64.132291556 -52.709964536,-64.132291424 -52.7099645869999,-63.5087852079999 -52.939943382,-63.49263767 -52.945935048,-63.4891868349999 -52.947215507,-63.325716743 -53.018867411,-63.220977239 -53.0647766339999,-63.21605274 -53.066952634,-63.2021283019999 -53.0731054569999,-63.172670795 -53.0861219129999,-63.120517246 -53.109845487,-63.108788519 -53.115180643,-63.07917513 -53.1290109249999,-63.0122598299999 -53.160262243,-62.057689119 -53.548153381,-62.041876897 -53.555030927,-62.036858239 -53.557213799,-62.033754147 -53.558600865,-61.9971129479999 -53.574974015,-61.768215469 -53.6778906719999,-61.680070789 -53.717522195,-61.6118760539999 -53.7476590209999,-61.517477952 -53.789375718,-61.1064456779999 -54.151140743,-60.9375028059999 -54.299833743,-60.3978502529999 -54.774802333,-59.983315556 -55.117779575,-59.505580913 -55.5130471149999,-58.5798388859999 -56.2454734359999,-58.668094555 -56.36840155,-58.683073895 -56.381809733,-58.6906995209999 -56.3886353139999,-58.693009612 -56.3918380659999,-58.7062668199999 -56.4102077869999,-58.707996555 -56.41175355,-58.708475869 -56.412417583,-58.709200736 -56.4134213579999,-58.709257379 -56.413471971,-58.709342555 -56.41354755,-59.268538555 -56.90606955,-59.989403556 -57.33394055,-60.232678584 -57.4321338469999,-60.8510849749999 -57.6817412199999,-61.0577870609999 -57.736559848,-61.156747557 -57.7628045509999,-61.198865557 -57.779333551,-61.380748282 -57.8270084879999,-61.380748555 -57.827008559,-62.177930558 -58.0318445509999,-62.574562155 -58.088091692,-63.2337502939999 -58.181572171,-63.2380129439999 -58.1817492339999,-63.2407225589999 -58.1818615509999,-63.252132559 -58.1823345509999,-63.270777559 -58.184895551,-63.354136559 -58.188313551,-63.3712655589999 -58.189009551,-63.427649875 -58.1966823659999,-63.4767984379999 -58.2033702689999,-63.5442950199999 -58.206042348,-63.5641354969999 -58.2068209509999,-63.574295559 -58.207219551,-63.595937513 -58.2101324669999,-63.6538224829999 -58.217923291,-63.682848298 -58.221817361,-63.697905151 -58.22239411,-63.7127175959999 -58.224376895,-63.7152405589999 -58.224714551,-64.6160835599999 -58.256194551,-64.6291228169999 -58.256608109,-64.640676925 -58.256974155,-64.817994981 -58.279279494,-64.88962256 -58.2882895509999,-65.0010765609999 -58.291569551,-65.043988128 -58.292804729,-65.0741021759999 -58.293671412,-65.1843546659999 -58.307232171,-65.2044027919999 -58.3096856779999,-65.231820561 -58.313040551,-65.817248561 -58.383242551,-66.9179035619999 -58.4045975509999,-67.2415837409999 -58.378193658,-67.2666665629999 -58.376147514,-67.2666665629999 -58.376147127,-67.266667 -56.3799999999999,-65.726667 -56.3799999999999,-65.726667 -56.3799991659999,-65.7266665609999 -55.3816665489999,-65.7266665609999 -55.3816661239999,-66.078332562 -55.1833321239999,-66.4166665619999 -55.1216661239999,-66.529382562 -55.1138331239999,-66.6123795619999 -55.101976124,-66.683519562 -55.0723351239999,-66.754659562 -55.0367641239999,-66.831727562 -54.989338124,-66.926581562 -54.971553124,-67.062933562 -54.947839124,-67.1992855629999 -54.930054124,-67.288210563 -54.912269124,-67.412705563 -54.9063411239999,-67.495702563 -54.900413124,-67.620197563 -54.900413124,-67.756549563 -54.900413124,-67.910686563 -54.8885561239999,-68.070751563 -54.882628124,-68.183389564 -54.870771124,-68.3078855639999 -54.870771124,-68.408667564 -54.894484124,-68.5390905639999 -54.9063411239999,-68.5711905639999 -54.907498124,-68.601844564 -54.909811124,-68.625557564 -54.9103901239999,-68.640595564 -54.909811124,-68.6417525639999 -54.899400124,-68.642330564 -54.893038124,-68.643108839 -54.8886089929999,-68.631563564 -54.8907185479999,-68.620709564 -54.8915725479999,-68.606145564 -54.8915725479999,-68.595299564 -54.8895725479999,-68.587590564 -54.887581548,-68.580172564 -54.8855815479999,-68.569036564 -54.884154548,-68.5596185639999 -54.881009548,-68.557899564 -54.875018548,-68.566181564 -54.8693095479999,-68.577890564 -54.865309548,-68.5853095639999 -54.861027548,-68.595299564 -54.847609548,-68.6112905639999 -54.825909548,-68.620990564 -54.815636548,-68.632418564 -54.807354548,-68.6361275639999 -54.804772548,-68.635836564 -54.788336548,-68.5755635639999 -54.835836548,-68.5543095639999 -54.8477815479999,-68.5341815639999 -54.853336548,-68.5150185639999 -54.856118548,-68.492509564 -54.855563548,-68.332781564 -54.844999548,-68.320281564 -54.841945548,-68.3091725639999 -54.8274995479999,-68.245563564 -54.816945548,-68.152509563 -54.8255635479999,-68.116954563 -54.8322275479999,-68.100281563 -54.8363905479999,-68.069454563 -54.8461185479999,-68.066599563 -54.847209548,-68.062227563 -54.848890548,-68.028899563 -54.857227548,-68.000290563 -54.861118548,-67.8261275629999 -54.8774995479999,-67.714172563 -54.886945548,-67.679454563 -54.8874995479999,-67.656681563 -54.886945548,-67.624454563 -54.8847275479999,-67.604172563 -54.882509548,-67.488890563 -54.8774995479999,-67.156681563 -54.898336548,-67.021663562 -54.907499548,-67.0113365619999 -54.9086185479999,-66.9930545619999 -54.911390548,-66.8216725619999 -54.939727548,-66.796399562 -54.945554548,-66.746945562 -54.964999548,-66.727236562 -54.9744455479999,-66.709163562 -54.984454548,-66.694454562 -54.9966725479999,-66.685836562 -55.0055635479999,-66.674727562 -55.0130635479999,-66.6529275619999 -55.024445548,-66.6322365619999 -55.029727548,-66.580563562 -55.040836548,-66.5516815619999 -55.044727548,-66.458072562 -55.0516725479999,-66.446118562 -55.0516725479999,-66.3850095619999 -54.9911095479999,-66.375563562 -54.986390548,-66.351963562 -54.9825095479999,-66.339736562 -54.9825095479999,-66.260836562 -54.9841725479999,-66.186399562 -54.988618548,-66.165009562 -54.9869455479999,-66.123336562 -54.983063548,-66.104172562 -54.979999548,-66.009863561 -54.9545905479999,-65.9830635609999 -54.9391725479999,-65.9523725609999 -54.918336548,-65.936109561 -54.898609548,-65.888627561 -54.8922275479999,-65.878063561 -54.8913905479999,-65.767918561 -54.895836548,-65.7377905609999 -54.902227548,-65.727509561 -54.9063905479999,-65.7144455609999 -54.916118548,-65.706681561 -54.925563548,-65.603054561 -54.9316725479999,-65.485836561 -54.902499548,-65.4016725609999 -54.913754548,-65.3966725609999 -54.9251455479999,-65.3766815609999 -54.930554548,-65.3505635609999 -54.927781548,-65.3369455609999 -54.918618548,-65.3188905609999 -54.901945548,-65.238345561 -54.8136095479999,-65.140072561 -54.653263548,-65.158890561 -54.643054548,-65.218890561 -54.634172548,-65.2352905609999 -54.633609548,-65.2972275609999 -54.633609548,-65.330290561 -54.6355635479999,-65.428072561 -54.649445548,-65.673618561 -54.673054548,-65.685563561 -54.673336548,-65.7058455609999 -54.6716725479999,-65.807509561 -54.657499548,-66.047499562 -54.5927815479999,-66.063336562 -54.588336548,-66.227509562 -54.5419455479999,-66.241672562 -54.5377815479999,-66.2633365619999 -54.530009548,-66.277790562 -54.524727548,-66.321118562 -54.508609548,-66.5495905619999 -54.412227548,-66.569454562 -54.399727548,-66.654872562 -54.326254548,-66.685563562 -54.2994455479999,-66.7036095619999 -54.289172548,-66.716672562 -54.2830545479999,-66.729736562 -54.277227548,-66.7572365619999 -54.265009548,-66.8438995619999 -54.2336095479999,-66.870009562 -54.228336548,-66.994172562 -54.1861095469999,-67.2672275629999 -54.0711095469999,-67.359172563 -54.0288905469999,-67.4908455629999 -53.9580635469999,-67.5636095629999 -53.9186185469999,-67.5733365629999 -53.910281547,-67.579181563 -53.8999995469999,-67.586399563 -53.8836095469999,-67.588899563 -53.871118547,-67.588899563 -53.857509547,-67.5841635629999 -53.8463905469999,-67.5855635629999 -53.831390547,-67.628890563 -53.8052815469999,-67.658054563 -53.791672547,-67.738890563 -53.7472185469999,-67.803890563 -53.7097275469999,-67.9702905629999 -53.608609547,-67.988618563 -53.5922275469999,-67.9969455629999 -53.5833365469999,-68.008345563 -53.569454547,-68.043063563 -53.522781547,-68.066118563 -53.460836547,-68.083345563 -53.401672547,-68.086672563 -53.390009547,-68.092509563 -53.379718547,-68.0994545629999 -53.3694455469999,-68.151118563 -53.304172547,-68.163199563 -53.2937545469999,-68.1797365629999 -53.2861185469999,-68.2005635639999 -53.2847275469999,-68.225836564 -53.286809547,-68.283336564 -53.3004185469999,-68.309718564 -53.301672547,-68.363890564 -53.300836547,-68.404172564 -53.297227547,-68.430554564 -53.292499547,-68.458072564 -53.2813905469999,-68.4980635639999 -53.263890547,-68.5152905639999 -53.253618547,-68.5255545639999 -53.246118547,-68.543627564 -53.229445547,-68.557509564 -53.210009547,-68.5630635639999 -53.1991725469999,-68.567509564 -53.188054547,-68.567227564 -53.174172547,-68.562363564 -53.1530635469999,-68.543627564 -53.1263995469999,-68.3918185639999 -53.013618546,-68.368345564 -53.003890546,-68.3272275639999 -52.994172546,-68.313481564 -52.994863546,-68.291263564 -53.003963546,-68.278063564 -53.0183365459999,-68.2713905639999 -53.0349995459999,-68.2636275639999 -53.0644455459999,-68.258054564 -53.0816725459999,-68.253345564 -53.092781546,-68.2400095639999 -53.117436547,-68.2237545639999 -53.118336547,-68.224172564 -53.1062545459999,-68.257509564 -52.999172546,-68.261945564 -52.988063546,-68.2697275639999 -52.9722275459999,-68.2877815639999 -52.9419455459999,-68.294727564 -52.932499546,-68.302781564 -52.923336546,-68.319454564 -52.906109546,-68.3322275639999 -52.893054546,-68.3480725639999 -52.881954546,-68.4102815639999 -52.843890546,-68.4511275639999 -52.8127815459999,-68.524445564 -52.7402815459999,-68.5713995639999 -52.686390546,-68.617581921 -52.6415089229999,-68.441754905 -52.3777820619999,-68.4209095639999 -52.3725095459999,-68.3827905639999 -52.327363546,-68.407790564 -52.283890546,-68.4399995639999 -52.244445546,-68.513336564 -52.1719545459999,-68.5730635639999 -52.1293095459999,-68.595836564 -52.112227546,-68.613618564 -52.095554546,-68.6655545639999 -52.044445546,-68.687499564 -52.022227545,-68.7711185639999 -51.9238905449999,-68.7918095639999 -51.8990365449999,-68.810290564 -51.872218545,-68.865981564 -51.782509545,-68.922790564 -51.701118545,-68.990145564 -51.624445545,-69.013481564 -51.6170905449999,-69.1791725639999 -51.634172545,-69.257236565 -51.6094545449999,-69.3468095649999 -51.594590545,-69.387645565 -51.592090545,-69.495845565 -51.603481545,-69.5258455649999 -51.6124995449999,-69.549454565 -51.618336545,-69.609518565 -51.624172545,-69.480009565 -51.576254545,-69.374454565 -51.556399545,-69.296390565 -51.557645545,-69.205845564 -51.593890545,-69.155290564 -51.607509545,-69.130845564 -51.6099995449999,-69.078472564 -51.5769455449999,-69.054454564 -51.5677815449999,-69.0144545639999 -51.563336545,-68.995709564 -51.572499545,-68.970072564 -51.5727815449999,-68.953272564 -51.5399365449999,-68.9643185639999 -51.504445545,-68.9776455639999 -51.4716725449999,-68.990845564 -51.449172545,-69.008054564 -51.418618545,-69.047499564 -51.3466725449999,-69.057781564 -51.325836545,-69.132236564 -51.157227545,-69.141399564 -51.132227545,-69.145281564 -51.107509545,-69.142918564 -51.077499545,-69.143545564 -51.046245545,-69.163063564 -51.0055545449999,-69.192509564 -50.9668095439999,-69.302372565 -51.0102815449999,-69.366681565 -51.052690545,-69.405972565 -51.079654545,-69.378345565 -51.048336545,-69.3336185649999 -51.014454545,-69.311399565 -51.000836545,-69.246945564 -50.964999544,-69.172227564 -50.908618544,-69.143618564 -50.881672544,-69.1381995639999 -50.860690544,-69.145145564 -50.803754544,-69.1457635639999 -50.743754544,-69.1027815639999 -50.5936095439999,-69.080845564 -50.541390544,-69.067509564 -50.522227544,-68.9586185639999 -50.4044455439999,-68.941118564 -50.388063544,-68.874736564 -50.3337545439999,-68.852236564 -50.3205545439999,-68.8206995639999 -50.306254544,-68.7719545639999 -50.289454544,-68.672227564 -50.2569545439999,-68.650281564 -50.2499995439999,-68.547790564 -50.226390544,-68.4752815639999 -50.2102815439999,-68.445009564 -50.202227544,-68.423618564 -50.195281544,-68.3969545639999 -50.181254544,-68.3731995639999 -50.1552095439999,-68.378263564 -50.132781544,-68.418336564 -50.115281544,-68.469999564 -50.093054544,-68.488063564 -50.084163544,-68.509036564 -50.0729185439999,-68.523199564 -50.0576365439999,-68.5360455639999 -50.024727544,-68.552790564 -49.997645544,-68.584936564 -49.980418544,-68.617781564 -49.9801365439999,-68.6463905639999 -49.989309544,-68.668336564 -49.9922275439999,-68.782227564 -49.990009544,-68.814181564 -49.9830635439999,-68.8441815639999 -49.982781544,-68.883054564 -49.9922275439999,-68.9088905639999 -50.003063544,-69.002854564 -50.0096545439999,-68.9662545639999 -49.9890365439999,-68.946118564 -49.984727544,-68.853899564 -49.968890544,-68.833345564 -49.968336544,-68.729172564 -49.972499544,-68.692227564 -49.9744455439999,-68.6060455639999 -49.949236544,-68.592509564 -49.928609544,-68.506390564 -49.978618544,-68.423963564 -50.0681905439999,-68.3311905639999 -50.1206995439999,-68.2950095639999 -50.123336544,-68.273345564 -50.123336544,-68.243345564 -50.122218544,-68.2002905639999 -50.115281544,-68.1777815629999 -50.1091725439999,-68.061399563 -50.073336544,-68.042236563 -50.0649995439999,-68.005572563 -50.047227544,-67.973345563 -50.029863544,-67.924999563 -50.0022275439999,-67.8972275629999 -49.9858365439999,-67.875836563 -49.9719455439999,-67.8102815629999 -49.924590544,-67.788072563 -49.904163544,-67.774872563 -49.8780635429999,-67.7658365629999 -49.856118543,-67.753345563 -49.8158365429999,-67.7469455629999 -49.792499543,-67.737499563 -49.7572275429999,-67.729172563 -49.707499543,-67.719181563 -49.631672543,-67.689999563 -49.522781543,-67.656681563 -49.427509543,-67.605772563 -49.264099543,-67.625699563 -49.252645543,-67.650636563 -49.260072543,-67.688063563 -49.323481543,-67.697509563 -49.3518095429999,-67.722363563 -49.378545543,-67.827781563 -49.3863905429999,-67.790699563 -49.3298635429999,-67.768481563 -49.316672543,-67.7263905629999 -49.284172543,-67.678063563 -49.2441725429999,-67.6143815629999 -49.1710455429999,-67.628063563 -49.141945543,-67.638545563 -49.1183365429999,-67.5856995629999 -49.0404185429999,-67.560563563 -49.0188905429999,-67.518890563 -48.9911095429999,-67.508345563 -48.9841725429999,-67.504181563 -48.979999543,-67.4866815629999 -48.964172543,-67.404445563 -48.8940275429999,-67.337781563 -48.8552815429999,-67.312790563 -48.843890543,-67.2847275629999 -48.834727543,-67.2444455629999 -48.8231995429999,-67.2049995629999 -48.7647275419999,-67.124654563 -48.669999542,-67.088481562 -48.6420905419999,-67.063336562 -48.6311095419999,-66.966672562 -48.598063542,-66.937790562 -48.589445542,-66.912781562 -48.583618542,-66.879727562 -48.577781542,-66.825699562 -48.5701365419999,-66.751109562 -48.511118542,-66.688063562 -48.455836542,-66.6644545619999 -48.440281542,-66.639727562 -48.4316725419999,-66.549727562 -48.4080545419999,-66.4672275619999 -48.398054542,-66.410572562 -48.3413905419999,-66.335554562 -48.2836185419999,-66.2813995619999 -48.2441725419999,-66.0670815619999 -48.1004185419999,-65.9641725609999 -48.092781542,-65.9461185609999 -48.049727542,-65.967536561 -47.9618455419999,-65.913054561 -47.946181542,-65.884172561 -47.951954542,-65.852781561 -47.965281542,-65.8283455609999 -47.972645542,-65.789790561 -47.965836542,-65.788345561 -47.932918542,-65.904527561 -47.8095815419999,-65.9568095609999 -47.7863905419999,-65.977372561 -47.784727542,-66.0802725619999 -47.819454542,-66.1268995619999 -47.835599542,-66.181945562 -47.839172542,-66.2117815619999 -47.843963542,-66.2436185619999 -47.8602815419999,-66.2291185619999 -47.8403815419999,-66.1705365619999 -47.8230455419999,-66.1138905619999 -47.817499542,-66.0906995619999 -47.805418542,-66.065699562 -47.784309542,-66.0491815619999 -47.771254542,-66.029590561 -47.762918542,-66.001672561 -47.757363542,-65.969181561 -47.758754542,-65.930845561 -47.7674995419999,-65.887927561 -47.766181542,-65.870418561 -47.755554542,-65.784999561 -47.6113905409999,-65.755290561 -47.5363905409999,-65.744445561 -47.460281541,-65.735418561 -47.389163541,-65.732509561 -47.350836541,-65.7327905609999 -47.330554541,-65.775281561 -47.1952095409999,-65.8943815609999 -47.101672541,-65.9893185609999 -47.067227541,-66.013627561 -47.0669455409999,-66.0538905619999 -47.0745815409999,-66.100354562 -47.0915995409999,-66.209163562 -47.093609541,-66.3514635619999 -47.0780635409999,-66.370072562 -47.061463541,-66.506118562 -47.045836541,-66.576954562 -47.046672541,-66.621399562 -47.049999541,-66.641681562 -47.0502815409999,-66.668899562 -47.0486185409999,-66.709590562 -47.0420905409999,-66.734999562 -47.0319545409999,-66.818554562 -46.989172541,-66.9538995619999 -46.8702815409999,-67.0997275619999 -46.758054541,-67.179172563 -46.708890541,-67.208481563 -46.698199541,-67.338054563 -46.6252815399999,-67.357227563 -46.61083654,-67.405009563 -46.5677815399999,-67.446118563 -46.52486354,-67.5025725629999 -46.4624365399999,-67.5336185629999 -46.4223635399999,-67.5733365629999 -46.32556354,-67.581681563 -46.30333654,-67.609172563 -46.2119455399999,-67.618763563 -46.1772275399999,-67.620563563 -46.12999954,-67.617927563 -46.07139054,-67.584354563 -46.00029954,-67.5369545629999 -45.9286185399999,-67.417227563 -45.81847254,-67.381118563 -45.7955635399999,-67.329590563 -45.64319954,-67.319027563 -45.61986354,-67.298336563 -45.596527539,-67.273054563 -45.583063539,-67.250836563 -45.571109539,-67.197363563 -45.539863539,-67.181818563 -45.526527539,-67.101118562 -45.421954539,-67.037781562 -45.337499539,-66.9904185619999 -45.2816725389999,-66.9465365619999 -45.254172539,-66.853336562 -45.2125095389999,-66.829181562 -45.208890539,-66.685836562 -45.198336539,-66.566681562 -45.157499539,-66.532645562 -45.111809539,-66.517718562 -45.0843815389999,-66.353899562 -45.031954539,-66.1827815619999 -44.9644455389999,-66.1119545619999 -44.9611095389999,-65.842509561 -44.986390539,-65.749599561 -45.010972539,-65.725009561 -45.024727539,-65.688472561 -45.042363539,-65.611118561 -45.020563539,-65.5372995609999 -44.8922905389999,-65.628063561 -44.854863539,-65.648481561 -44.8533365389999,-65.6688995609999 -44.8516725389999,-65.712581561 -44.829590539,-65.7208365609999 -44.805836539,-65.719181561 -44.776118539,-65.6890455609999 -44.712090539,-65.639590561 -44.648472539,-65.624727561 -44.634999539,-65.596681561 -44.616672539,-65.3875095609999 -44.521663538,-65.3391725609999 -44.427509538,-65.3227815609999 -44.4050095379999,-65.2494545609999 -44.313054538,-65.269181561 -44.285563538,-65.3086185609999 -44.207499538,-65.312499561 -44.186954538,-65.293545561 -44.131290538,-65.255427561 -44.1199995379999,-65.2287635609999 -44.111254538,-65.2101455609999 -43.958063538,-65.2308365609999 -43.9613905379999,-65.2583455609999 -43.969727538,-65.271254561 -43.909863538,-65.283890561 -43.876945538,-65.297918561 -43.8520815379999,-65.3162545609999 -43.8272275379999,-65.334454561 -43.740145538,-65.336399561 -43.716663538,-65.3268095609999 -43.6618095379999,-65.283890561 -43.606118538,-65.2552815609999 -43.5724995379999,-65.132372561 -43.459309538,-65.0431995609999 -43.329309537,-65.0337635609999 -43.311527537,-64.9298635599999 -43.235836537,-64.83153656 -43.1765365369999,-64.80029056 -43.1611185369999,-64.7691815599999 -43.149172537,-64.7041815599999 -43.1333365369999,-64.59139956 -43.1166725369999,-64.5269455599999 -43.0938905369999,-64.39195456 -43.045563537,-64.36445456 -43.030836537,-64.29652756 -42.9911815369999,-64.32188156 -42.9520905369999,-64.3538995599999 -42.9630545369999,-64.38987256 -42.9752815369999,-64.4141725599999 -42.977499537,-64.59389956 -42.941118537,-64.62764556 -42.932227537,-64.65668156 -42.919727537,-64.67834556 -42.9080545369999,-64.72986356 -42.8741725369999,-64.8056995599999 -42.8415275369999,-64.94056356 -42.802227537,-64.989445561 -42.794590537,-65.009236561 -42.7781275369999,-65.018690561 -42.743963537,-64.9537545599999 -42.661109537,-64.92875456 -42.647636537,-64.87610956 -42.637218537,-64.8397365599999 -42.635281537,-64.82084556 -42.628618537,-64.7782095599999 -42.604727537,-64.75500956 -42.580145537,-64.73430956 -42.5593095369999,-64.6183365599999 -42.519172537,-64.52237256 -42.5084725369999,-64.49444556 -42.507509537,-64.45403656 -42.5072275369999,-64.3980545599999 -42.515836537,-64.33515456 -42.5404185369999,-64.31668156 -42.550836537,-64.19881856 -42.645281537,-64.2250095599999 -42.691390537,-64.25069956 -42.749727537,-64.2481995599999 -42.775145537,-64.1369545599999 -42.872918537,-64.0984095599999 -42.888545537,-64.06389956 -42.8859725369999,-63.838336559 -42.843336537,-63.7513995589999 -42.828890537,-63.717227559 -42.8254275369999,-63.684518559 -42.815763537,-63.6286455589999 -42.764827537,-63.579309559 -42.6150095369999,-63.586945559 -42.331809536,-63.5945815589999 -42.3091725359999,-63.603890559 -42.2913905359999,-63.616390559 -42.272781536,-63.651599559 -42.2436815359999,-63.672363559 -42.2172275359999,-63.685009559 -42.191390536,-63.696399559 -42.1644545359999,-63.732499559 -42.100009536,-63.7508365589999 -42.0899995359999,-63.7730545589999 -42.0899995359999,-63.848336559 -42.0986185359999,-63.871945559 -42.102499536,-63.8980545599999 -42.111672536,-64.01362756 -42.1655545359999,-64.16139056 -42.210281536,-64.2961095599999 -42.229727536,-64.3282365599999 -42.2461815359999,-64.29306356 -42.261945536,-64.24860956 -42.2616725359999,-64.22278156 -42.2591725359999,-64.14222756 -42.256954536,-64.1105635599999 -42.259999536,-64.08362756 -42.2666725359999,-64.0630635599999 -42.278618536,-64.0446635599999 -42.310690536,-64.04723656 -42.3777815359999,-64.06250956 -42.396809537,-64.11348156 -42.431527537,-64.1354185599999 -42.436390537,-64.4519545599999 -42.4458365369999,-64.59535456 -42.4344455369999,-64.60087256 -42.4072635369999,-64.55195456 -42.344172536,-64.53389056 -42.323063536,-64.50723656 -42.301672536,-64.4797365599999 -42.284172536,-64.46445456 -42.265627536,-64.50000956 -42.2509725359999,-64.5390365599999 -42.2459095359999,-64.5827815599999 -42.257227536,-64.6038995599999 -42.256954536,-64.73779056 -42.228336536,-64.8770905599999 -42.1894455359999,-64.93444556 -42.1569545359999,-64.963054561 -42.137218536,-64.994172561 -42.112227536,-65.013627561 -42.0922275359999,-65.062227561 -42.009999536,-65.076118561 -41.9820905359999,-65.079727561 -41.957781536,-65.071954561 -41.926809536,-65.0366725609999 -41.8654185359999,-65.023054561 -41.8416635359999,-65.0080545609999 -41.812499536,-64.994309561 -41.768127536,-65.011672561 -41.739727536,-65.0205725609999 -41.718336536,-65.028209561 -41.6854185359999,-65.0272365609999 -41.640554536,-65.015072561 -41.6111815359999,-65.000427561 -41.580281536,-64.995836561 -41.5602815359999,-64.991745561 -41.5174365359999,-65.004036561 -41.4927815359999,-65.0247365609999 -41.481109536,-65.0455635609999 -41.465972536,-65.066536561 -41.4402815359999,-65.1327815609999 -41.226109535,-65.1616725609999 -41.114172535,-65.167509561 -41.0908365349999,-65.179309561 -40.990563535,-65.166545561 -40.9315275349999,-65.1301455609999 -40.844172535,-64.983754561 -40.723754535,-64.9372275599999 -40.7108365349999,-64.90972756 -40.7069455349999,-64.88473656 -40.7083365349999,-64.80445456 -40.721945535,-64.7776455599999 -40.731109535,-64.74903656 -40.799063535,-64.72278156 -40.832227535,-64.53139956 -40.8877815349999,-64.50973656 -40.893890535,-64.48611856 -40.8986095349999,-64.29918156 -40.9594455349999,-64.14903656 -41.019863535,-64.06360956 -41.0358365349999,-63.9933365599999 -41.053063535,-63.9579185599999 -41.066245535,-63.93028156 -41.083890535,-63.9091725599999 -41.1019545349999,-63.8749365589999 -41.1293095349999,-63.839727559 -41.147227535,-63.807499559 -41.159172535,-63.774727559 -41.1648635349999,-63.7019545589999 -41.1663905349999,-63.6783365589999 -41.166118535,-63.5633365589999 -41.161945535,-63.439172559 -41.158618535,-63.3666725589999 -41.161945535,-63.141945559 -41.1605635349999,-63.119045559 -41.1588095349999,-63.061109559 -41.153618535,-63.036399559 -41.1493095349999,-63.015281559 -41.138618535,-62.999172559 -41.126399535,-62.945554559 -41.107509535,-62.7715995579999 -41.047309535,-62.753063558 -41.048481535,-62.726672558 -41.046809535,-62.5944545579999 -40.9849995349999,-62.410009558 -40.9098635349999,-62.390009558 -40.901945535,-62.3208365579999 -40.8653545349999,-62.2791635579999 -40.781390535,-62.225772558 -40.6615995349999,-62.1998635579999 -40.649654535,-62.1953185579999 -40.6284095349999,-62.2599995579999 -40.645281535,-62.326663558 -40.678336535,-62.338336558 -40.671318535,-62.3364635579999 -40.6070905349999,-62.308263558 -40.6305545349999,-62.262918558 -40.6320185349999,-62.247499558 -40.601181535,-62.266809558 -40.557709535,-62.296672558 -40.556945535,-62.421463558 -40.458127535,-62.442509558 -40.4172275349999,-62.488754558 -40.302572535,-62.475145558 -40.277781535,-62.4226455579999 -40.232918535,-62.387090558 -40.222781534,-62.369027558 -40.2091725339999,-62.351809558 -40.178618534,-62.338054558 -40.1247275339999,-62.3422275579999 -40.102781534,-62.3416635579999 -40.014163534,-62.3091725579999 -39.892227534,-62.2622995579999 -39.845354534,-62.1729185579999 -39.860554534,-62.117090558 -39.836872534,-62.1127815579999 -39.782499534,-62.109999558 -39.744172534,-62.106945558 -39.7183365339999,-62.093609558 -39.6419455339999,-62.068754558 -39.508472534,-62.146809558 -39.433472534,-62.2748635579999 -39.3384725339999,-62.259181558 -39.3163455339999,-62.191390558 -39.309309534,-62.177918558 -39.3286185339999,-62.1644545579999 -39.3483365339999,-62.1355635579999 -39.370836534,-62.056354558 -39.4114905339999,-62.024372558 -39.387499534,-62.024445558 -39.365554534,-62.072645558 -39.327090534,-62.1659815579999 -39.286390534,-62.2248095579999 -39.276554534,-62.248890558 -39.275890534,-62.285136558 -39.271099534,-62.3274995579999 -39.2600095339999,-62.349727558 -39.1674995339999,-62.336945558 -39.078609533,-62.315281558 -39.036663533,-62.2788905579999 -38.955836533,-62.324718558 -38.923890533,-62.3666725579999 -38.880836533,-62.3816725579999 -38.8591725329999,-62.395145558 -38.820281533,-62.385145558 -38.802645533,-62.3517455579999 -38.790136533,-62.208336558 -38.8163905329999,-62.1127815579999 -38.864445533,-62.104445558 -38.887218533,-62.0888275579999 -38.9160455329999,-62.023199558 -38.943054533,-61.9777815579999 -38.954445533,-61.8413905579999 -38.9816725329999,-61.8180635579999 -38.986118533,-61.6341725569999 -39.0055635329999,-61.540281557 -39.013336533,-61.5052815569999 -39.0088905329999,-61.4533365569999 -38.990009533,-61.423199557 -38.984027533,-61.3908365569999 -38.980427533,-61.360009557 -38.982645533,-61.311109557 -38.991672533,-61.194727557 -38.997509533,-61.1622275569999 -38.998890533,-61.0944545569999 -38.9958365329999,-60.859999557 -38.976390533,-60.823890557 -38.9727815329999,-60.701390557 -38.953609533,-60.467227556 -38.9280635329999,-60.1911185559999 -38.8863905329999,-59.909172556 -38.8441725329999,-59.8877815559999 -38.842227533,-59.7897275559999 -38.8369455329999,-59.672781556 -38.803890533,-59.4947275549999 -38.766945533,-59.267227555 -38.7250095329999,-59.171672555 -38.709445533,-59.099863555 -38.7020905329999,-59.0648635549999 -38.697509533,-59.032090555 -38.6905635329999,-58.7931995549999 -38.608890533,-58.766945555 -38.599727533,-58.657227555 -38.574718533,-58.301118554 -38.484999533,-58.189172554 -38.446945533,-58.161390554 -38.435281533,-57.836399554 -38.293063533,-57.6744455539999 -38.2038905329999,-57.645281554 -38.1855635329999,-57.626109554 -38.173054533,-57.577918554 -38.138336533,-57.551945554 -38.113618533,-57.5334095539999 -38.0859095329999,-57.5261185539999 -38.0255545319999,-57.5409095539999 -37.989654532,-57.531672554 -37.937781532,-57.5252815539999 -37.913609532,-57.515836554 -37.8847275319999,-57.501672554 -37.859454532,-57.484027554 -37.830418532,-57.411663553 -37.755281532,-57.3299995529999 -37.673618532,-57.273609553 -37.6266725319999,-57.2555635529999 -37.613618532,-57.210554553 -37.580836532,-57.1844455529999 -37.560009532,-57.119999553 -37.493054532,-57.082781553 -37.452781532,-57.033336553 -37.390145532,-57.0261185529999 -37.3708365319999,-56.9458365529999 -37.2511095319999,-56.8208365529999 -37.082781532,-56.738336553 -36.9869455309999,-56.7227815529999 -36.9713905309999,-56.703609553 -36.9522275309999,-56.678336553 -36.9236185309999,-56.663063553 -36.900554531,-56.6605545529999 -36.873481531,-56.670972553 -36.581672531,-56.6936095529999 -36.4316725309999,-56.6983365529999 -36.409445531,-56.7453455529999 -36.3159725309999,-56.770145553 -36.3052815309999,-56.872218553 -36.3488905309999,-56.903063553 -36.364727531,-56.9333365529999 -36.368618531,-57.053336553 -36.3141725309999,-57.104863553 -36.285281531,-57.146118553 -36.2561095309999,-57.220281553 -36.198618531,-57.2419455529999 -36.178336531,-57.310418553 -36.0948635309999,-57.365836553 -35.9869455309999,-57.3766725529999 -35.962781531,-57.3849995529999 -35.9302815299999,-57.387781553 -35.90667253,-57.387781553 -35.8308365299999,-57.3831995529999 -35.8012545299999,-57.3761095529999 -35.78139053,-57.354999553 -35.74917253,-57.310009553 -35.68833653,-57.233063553 -35.58917253,-57.179027553 -35.5395905299999,-57.141945553 -35.4888905299999,-57.129718553 -35.47028153,-57.122781553 -35.4237545299999,-57.1355635529999 -35.39889053,-57.1883365529999 -35.32055453,-57.312781553 -35.1777815299999,-57.335554553 -35.15555453,-57.4965365539999 -35.0470905299999,-57.7958365539999 -34.87889053,-57.854999554 -34.851109529,-58.010699554 -34.791527529,-58.077509554 -34.770836529,-58.129718554 -34.755563529,-58.1641725539999 -34.747509529,-58.230836554 -34.717227529,-58.325836554 -34.6581995289999,-58.344727554 -34.6361185289999,-58.3463365539999 -34.6336185289999,-58.369681554 -34.586554529,-58.400009554 -34.5768095289999,-58.427645554 -34.572572529,-58.4630545539999 -34.547781529,-58.469727554 -34.5397275289999,-58.4761095539999 -34.488618529,-58.4933365539999 -34.3969455289999,-58.498890554 -34.326663529,-58.475418554 -34.281945529,-58.434172554 -34.2618095289999,-58.4119455539999 -34.2344545289999,-58.377509554 -34.185909529,-58.385281554 -34.050418529,-58.396945554 -34.032918529,-58.424445554 -34.019999529,-58.448245554 -34.0104635289999,-58.440490554 -33.9807635289999,-58.4512635739999 -33.926152002,-58.466599554 -33.848409529,-58.488890554 -33.8275095289999,-58.532363555 -33.7712545279999,-58.546945555 -33.736254528,-58.5497275549999 -33.686109528,-58.549547778 -33.669823841,-58.5494459929999 -33.660564071,-58.531954973 -33.516946027,-58.5255548869999 -33.4852820469999,-58.5073639779999 -33.4093089789999,-58.4720909169999 -33.353190964,-58.472090647 -33.3531906759999,-58.472090554 -33.353190528,-58.4555548129999 -33.335554804,-58.426672904 -33.261946069,-58.425699933 -33.097435963,-58.408472404 -33.084891758,-58.4031905539999 -33.0810455279999,-58.3879550789999 -33.0810766889999,-58.367499853 -33.081117906,-58.265699962 -33.0890269029999,-58.244308842 -33.093335871,-58.230243244 -33.09445346,-58.221527554 -33.0951455279999,-58.1881995539999 -33.090972528,-58.1693095539999 -33.0812545279999,-58.16104747 -33.072993015,-58.154863877 -33.0668089919999,-58.150096456 -33.0545766819999,-58.1465275539999 -33.045418528,-58.149125491 -32.980101732,-58.1505549079999 -32.9441730309999,-58.168063866 -32.8591729889999,-58.1810407899999 -32.7939283119999,-58.198618554 -32.7055545269999,-58.224036554 -32.5713905269999,-58.224727554 -32.5216635269999,-58.221118554 -32.486390527,-58.2129185539999 -32.464309527,-58.200009554 -32.448336527,-58.200009397 -32.4483369339999,-58.200008807 -32.448335847,-58.199246054 -32.4503089469999),(-61.904036558 -39.2415275339999,-61.893336558 -39.243618534,-61.878890558 -39.2424995339999,-61.863472558 -39.235490534,-61.859727558 -39.2183365339999,-61.8766725579999 -39.164445534,-61.8899995579999 -39.1404905329999,-61.9441725579999 -39.1199995329999,-61.957509558 -39.1158365329999,-62.079172558 -39.0880545329999,-62.0923635579999 -39.0876455329999,-62.098472558 -39.0976455329999,-62.0963905579999 -39.1116725329999,-62.090836558 -39.1205635329999,-62.061118558 -39.1666725339999,-61.904036558 -39.2415275339999),(-63.92000956 -54.714172548,-64.0230545599999 -54.732227548,-64.1683365599999 -54.742781548,-64.3375095599999 -54.7277815479999,-64.37861856 -54.7480635479999,-64.51610956 -54.783336548,-64.59834556 -54.7994455479999,-64.6091725599999 -54.798890548,-64.62389956 -54.793890548,-64.6486185599999 -54.780836548,-64.66806356 -54.774999548,-64.69278156 -54.776945548,-64.7408365599999 -54.8065365479999,-64.75556356 -54.8315275479999,-64.7505635599999 -54.8427815479999,-64.7272365599999 -54.8444545479999,-64.70306356 -54.847363548,-64.66930956 -54.8691725479999,-64.67834556 -54.907227548,-64.6394545599999 -54.9013905479999,-64.5769545599999 -54.867781548,-64.4849995599999 -54.847227548,-64.4633455599999 -54.848063548,-64.45251856 -54.846945548,-64.42279056 -54.839727548,-64.34916356 -54.803063548,-64.32639956 -54.788609548,-64.26529056 -54.806118548,-64.26813656 -54.827781548,-64.25750956 -54.840972548,-64.13556356 -54.818890548,-64.04028156 -54.789999548,-64.01139956 -54.7786185479999,-63.9758365599999 -54.790836548,-63.95472756 -54.811954548,-63.868618559 -54.784309548,-63.813754559 -54.728618548,-63.8223635589999 -54.7202815479999,-63.90805456 -54.7136185479999,-63.92000956 -54.714172548)))', 'Argentinean Exclusive Economic Zone', 'Argentina', 'Argentina', '', '172', '172', 'ARG', '8466', '', '1082107803000', '8466', 'Y'),('SRID=4326;MULTIPOLYGON(((49.2460651400002 46.1274566650001,49.2697143550002 46.0900230410001,49.3316516880002 45.9848232270002,49.3472671510002 45.9574584960002,49.4684791560001 45.7498302460001,49.4772663120001 45.7346572880002,49.6825561520001 45.3778686520001,49.5999946590001 45.311906815,49.588565826 45.297233582,49.5257625580001 45.2257175450002,49.4075984950001 45.0919666290002,49.1202850340001 44.7646789550001,49.036846161 44.6627902980001,48.9253177640002 44.5273494720002,48.894834518 44.4906654360002,48.8877296450001 44.4823055270001,48.9034996030002 44.4216690060001,48.9274482730002 44.3070068360001,48.951732635 44.1853504180001,49.0599498750001 43.6370983120001,49.1018161770002 43.4228382110001,49.1515350340002 43.3708190920001,49.1543579100002 43.3678741460001,49.34069252 43.174373627,49.3430194850001 43.1720924380001,49.3756942750002 43.1389179230002,49.421380997 43.0985870360001,49.4518203740002 43.077178955,49.5051231380002 43.039531708,49.4887104030001 43.0172634120001,49.0406970980001 42.4119129180001,48.9491291050001 42.2962703700001,48.9077377320001 42.2445487980001,48.8717060090002 42.2000274660002,48.836305618 42.1568679810001,48.6616077420002 41.9471073150001,48.6580181120001 41.9430046080002,48.6563282010001 41.940992355,48.6307849880001 41.909152985,48.6305656430002 41.9089031220002,48.6099224090001 41.8870201110001,48.6032829280001 41.8702831270002,48.5981655120002 41.8554115300001,48.5924191150002 41.8444465210001,48.5424909090002 41.8806090910001,48.5061000000002 41.8883272730001,48.479145455 41.8911090910001,48.4480454550001 41.8963818180002,48.4243000000001 41.9027636360001,48.3942272730001 41.9202000000002,48.3672090910002 41.9515181820001,48.3233272730002 42.0359636360002,48.3194454550002 42.057772727,48.3059636360002 42.0929000000001,48.113872727 42.3302727270002,48.0870545450001 42.3521000000001,48.0411 42.3733181820001,48.0241545450001 42.3866545450002,47.9488727270002 42.4586000000002,47.9252000000001 42.4889454550001,47.9088727270001 42.5202636360002,47.8972181820001 42.543872727,47.8872181820001 42.5613727270001,47.8654000000003 42.5881909090002,47.8379090910001 42.6058181820002,47.7988818180002 42.613881818,47.7543000000001 42.624845455,47.7323454550001 42.642554545,47.7085272730001 42.722,47.7185909090002 42.746936364,47.7202636360001 42.7738727270002,47.711654545 42.8274909090001,47.6933909090002 42.8673454550001,47.6563818180002 42.8855454550002,47.6361000000001 42.8922181820001,47.6147181820002 42.9044272730001,47.538045455 42.9530454550001,47.4663090910001 43.013809091,47.4544272730002 43.0895727270002,47.4874909090001 43.2156818180001,47.5012363640001 43.2302727270002,47.537281818 43.2434636360002,47.5859636360001 43.2913818180001,47.5793000000001 43.322209091,47.557218182 43.3268000000002,47.5352727270001 43.3161090910002,47.4919363640001 43.3322090910002,47.483736364 43.426936364,47.4872090910001 43.4563818180001,47.5249909090001 43.5741545450002,47.5327636360001 43.5980363640002,47.554990909 43.6563818180002,47.5663727270002 43.6847090910001,47.5849818180002 43.7222181820001,47.6072181820001 43.7638818180002,47.6356818180001 43.8159636360002,47.648872727 43.8349818180002,47.6842909090001 43.8692545450001,47.6361000000001 43.9008181820002,47.6092909090001 43.9004000000002,47.5883272730002 43.8922181820001,47.5508272730002 43.8723454550002,47.5377727270002 43.8485363640002,47.542072727 43.8149909090001,47.5387454550001 43.7922181820001,47.5227545450002 43.7563818180003,47.4733818180001 43.6339454550001,47.4641454550001 43.5713818180002,47.4626272730001 43.5313818180001,47.438527273 43.5030454550002,47.4051272730001 43.5029090910001,47.3637363640001 43.5893,47.3681181820002 43.6131818180002,47.392272727 43.6083909090002,47.4513818180002 43.6811090910002,47.5008272730001 43.7700545450001,47.4901272730001 43.8105454550001,47.3502636360001 44.0266454550001,47.2658272730001 44.1436000000001,47.1804090910002 44.2024909090001,47.1554000000001 44.2017909090001,47.0849181820002 44.249854545,47.063318182 44.294436364,47.056790909 44.3183181820002,47.037627273 44.3475545450001,47.0122181820001 44.3608272730002,46.9891545450002 44.3661000000002,46.8315181820001 44.3962363640002,46.8022090910001 44.3884636360002,46.760272727 44.3919272730001,46.7136000000002 44.4251363640001,46.6984636360001 44.4476272730002,46.679981818 44.5154000000002,46.7152727270001 44.6024818180001,46.7729090910001 44.6915818180001,46.8561000000001 44.7263727270002,46.9488636360001 44.7688818180001,46.9697000000002 44.7858272730002,46.9880454550001 44.8083272730001,47.0330545450002 44.8299909090002,47.0733272730001 44.7831818180001,47.1166545450002 44.8652636360002,47.1352636360002 44.9402636360002,47.2408181820002 45.0558181820002,47.371090909 45.2333272730002,47.4216545450002 45.3630454550001,47.4819272730001 45.4188090910001,47.5681818180001 45.5637363640001,47.5599909090002 45.6002636360003,47.5406818180002 45.6362363640002,47.4805090910001 45.6525818180001,47.4142909090002 45.6744363640002,47.3902272730001 45.7446727270001,47.4883272730002 45.7261000000001,47.5146545450002 45.6999363640001,47.5733181820001 45.6344363640001,47.5961000000001 45.6038818180002,47.6154727270002 45.564154545,47.6471363640002 45.5584181820001,47.654363636 45.608527273,47.6237363640001 45.7111000000001,47.5885909090001 45.7244363640001,47.5537363640001 45.7390181820001,47.5556181820002 45.7679818180001,47.5966545450001 45.7641545450001,47.6159727270002 45.757172727,47.8305454550002 45.6558272730001,47.8543000000002 45.7167909090002,47.9780454550001 45.728045455,48.1372181820001 45.7405363640001,48.192754545 45.7374909090001,48.2238727270001 45.7441545450001,48.2569454550001 45.7680454550001,48.3413727270001 45.8374909090001,48.3733181820002 45.8749818180001,48.4526272730001 45.9336090910002,48.5708272730001 45.9640818180002,48.5994363640002 45.9470636360001,48.6267909090001 45.9108181820001,48.713327273 45.8302727270002,48.7616545450001 45.8547090910001,48.7388818180001 45.9680363640001,48.7249181820001 46.0231818180002,48.6964454550002 46.0598454550002,48.6347090910002 46.0808181820001,48.6699909090001 46.1184545450001,48.7101272730001 46.1315181820002,48.7819363640002 46.0927636360001,48.9110909090002 46.1305454550001,49.0463909090001 46.1958272730001,49.1544272730001 46.2866545450001,49.1874818180001 46.2736000000001,49.2308535670002 46.2673562990002,49.2355442050002 46.2422294620001,49.2302513120002 46.2268524170001,49.222112656 46.1942863460001,49.2162113190002 46.174324036,49.2257423400002 46.1597404480001,49.227489471 46.1568584440002,49.2402839660001 46.1370735170001,49.2460651400002 46.1274566650001)),((39.2776275370002 47.2312359710001,39.2999905370001 47.0769359710001,39.279572537 47.0172089710001,39.2597815370001 47.008253971,39.1835905360002 47.0202629710002,39.0747095360002 47.0272089710001,39.0149905360001 46.9938719710001,38.9899815360001 46.9772089710002,38.9141455360001 46.9377629710001,38.8003725360001 46.889290971,38.7774905360001 46.8819269710002,38.7392416300001 46.8715199280002,38.7392416100001 46.8715198540002,38.7024822320001 46.8615180430001,38.7024817820002 46.8615180380002,38.702481536 46.8615179710001,38.6738365360001 46.861190971,38.6394365360001 46.8591539710001,38.4903995350001 46.8603359800001,38.4836826190001 46.8598476930001,38.4836826250001 46.8598477550001,38.4665182460001 46.8586001350001,38.4103271410002 46.826935987,38.3663092410002 46.7451359880002,38.3839092260001 46.7112001760002,38.3933911700001 46.7345731130001,38.4175002060001 46.743045038,38.4830451800001 46.7390180370002,38.4830453290002 46.7390179840002,38.4830455360001 46.7390179710001,38.495447298 46.7346168770001,38.5018445160002 46.7323466860001,38.5581822370002 46.7123540290002,38.5734906750001 46.7016578570002,38.5816545360001 46.6959539710001,38.5849455360002 46.657208971,38.4624998360001 46.6413305630001,38.4624999460002 46.6413316930002,38.4574912720001 46.640682219,38.4388176690001 46.6439207030001,38.3877732830001 46.6527731140001,38.3022822290002 46.6790180270001,38.2906912300001 46.7042911410001,38.2675181180002 46.7241822360002,38.2610721560001 46.722278368,38.1216540590002 46.6811000910001,38.0997092310002 46.6683270770002,38.0547181920001 46.631100195,38.0254091910001 46.6206821600002,38.0005451130002 46.6188731770002,37.8736001840002 46.6213731640001,37.8455451150002 46.6231821460001,37.8054092100001 46.6366540440001,37.7769271680002 46.6549820810002,37.7374822670001 46.667109186,37.8240182090001 46.479982191,37.8977633660002 46.4072091670001,37.9933911590001 46.3456821420001,38.0044002860002 46.3675181730002,37.983218211 46.3932450840002,38.0516434850001 46.3959201800001,38.0669361570002 46.3965180490001,38.087345085 46.3901270160001,38.1608091140002 46.3485911650002,38.205572374 46.3166800820002,38.267763372 46.2723450150001,38.2801271830001 46.2437360700001,38.2959632800002 46.2184540710002,38.344991211 46.1991540680002,38.4247091450001 46.1675001460001,38.5149912950002 46.129154113,38.5313745330002 46.1180017020002,38.5313744340001 46.1180013410001,38.5708545360002 46.09112697,38.5661635360001 46.0433909700001,38.5479815360002 46.0268629700001,38.453945536 46.0263809700002,38.4063815360001 46.0452719700001,38.404803078 46.0461429530001,38.4048032260001 46.0461444780001,38.3555540850002 46.073318064,38.3141541890001 46.097773105,38.2666541110002 46.1309540430001,38.2206912750001 46.135682106,38.1962360660001 46.1295732080002,38.1761002200001 46.118327041,38.161518223 46.103600204,38.0955451010001 45.9449822420002,38.0705450690002 45.953609064,38.0954002620001 46.052209079,38.0763822270001 46.059153989,38.0522182050001 46.059153989,38.0148617850001 46.049115191,37.9511731890002 46.032000143,37.927491295 46.0116540790002,37.912763285 45.9874910640002,37.8906821670002 45.9229091700001,37.8843001860002 45.872700061,37.882180997 45.862965483,37.8769361810001 45.8388732140001,37.868318243 45.8166641890001,37.8512360920002 45.7830450450001,37.8345732040002 45.7613821840002,37.8098541330001 45.7398450520001,37.78483874 45.7263953510001,37.7197002270001 45.6913731760002,37.6927540840002 45.6783180260002,37.6655092110001 45.6602642450001,37.7027632500001 45.6280359950002,37.7048451470001 45.6204000810001,37.66956337 45.6151821790002,37.6452632260001 45.6291539730001,37.6308540640002 45.6581449650001,37.6024912130001 45.6505450930002,37.5913732890002 45.6274821190001,37.5844151130001 45.4452031740001,37.5837362010001 45.4274181590001,37.6074911860002 45.415335981,37.6313822920002 45.4238731170001,37.6462361980002 45.4515181430002,37.6474822520002 45.5202641660001,37.624573169 45.567554025,37.642673218 45.5867821110001,37.7016541570002 45.5577641300001,37.7408180960002 45.3830450340001,37.7346361080001 45.2988090860002,37.7133271300002 45.2961000550001,37.5969361900001 45.3277001660002,37.5241221290002 45.3606127710001,37.5208912060002 45.3620731770002,37.483600286 45.3466539960001,37.4619360840001 45.3347181660001,37.4344271800002 45.3233181070001,37.3977732850001 45.3163731970001,37.3604505240001 45.3188160670001,37.3169361990001 45.3216641900001,37.2041632240002 45.32415395,37.2108271720002 45.2988821770001,37.3138451210002 45.2754091600001,37.226373256 45.2488732280001,37.154163327 45.2394271580001,37.1104091220001 45.234427017,37.0675911750002 45.2510642570001,37.0941450450001 45.3405450970002,36.896382253 45.4236090870001,36.8277002670002 45.4356822130002,36.751109118 45.4141539650001,36.724982223 45.3979091660001,36.6802632610002 45.359582076,36.6698091830001 45.3325539580001,36.6977001340002 45.341582106,36.7188822090002 45.3619269970002,36.769645194 45.3838731660001,36.9667912460001 45.3076270160002,36.9623451490002 45.2790180720001,36.8886001590001 45.246936002,36.8366541520001 45.2280359840001,36.728600188 45.2033180870002,36.7023541020002 45.2000001940002,36.6697181560001 45.2052732490001,36.5804361350001 45.1927000590001,36.6255451910001 45.1273450190001,36.7165181770002 45.0991539960002,36.8822091250001 45.085818053,37.1533936250001 44.996153872,37.2029091230001 44.9797821160001,37.2367153170002 44.9573841270002,37.2763733200001 44.9311090750001,37.3095002780001 44.8933180910002,37.2963911490002 44.8716540560001,37.2991632120002 44.8594270390002,37.3744271700002 44.7426270620001,37.484082245 44.6714450900002,37.5566541040001 44.6541641200001,37.7587451430001 44.6298540860001,37.8133912970002 44.6380450490002,37.8227002380001 44.6636641690002,37.7992912590001 44.6901181260001,37.7830821670001 44.7233540490002,37.8654001680001 44.6928360420001,38.0882738150001 44.5117615990002,38.0882736940002 44.5117611610002,38.1160995350001 44.4891539689999,38.1333275360001 44.4666629690001,38.1460995360001 44.440544969,38.1585995360002 44.4158179690001,38.175545536 44.400689969,38.1974905360001 44.389435969,38.2196995360001 44.3836089690002,38.3244365360001 44.3597089690002,38.3508185360002 44.3549989690002,38.4135995360001 44.350262969,38.5711095360001 44.3338809690001,38.5998455360001 44.329435969,38.7537455360001 44.2733179690002,38.7722185360001 44.2605449690001,38.8147095360001 44.2147089690001,38.8444365360002 44.189980969,38.8758185360001 44.1708269690002,38.9008275360002 44.1644269690002,38.9295725360002 44.1599899690001,38.964290536 44.1472089690002,39.0516545360001 44.0802719690001,39.2869455370001 43.9269359680001,39.3767905370001 43.8597089680002,39.3919275370001 43.8438809680001,39.4169365370001 43.8099909680002,39.4542995370001 43.7709629680002,39.4719275370001 43.7577629680001,39.5899905370001 43.6747089680001,39.6966455370002 43.6016629680001,39.8454095370003 43.5104089680001,39.874572537 43.4909629680001,39.8925635370002 43.465262968,39.9168995370001 43.4129359680002,39.9455365370002 43.396935968,40.0029633470002 43.3792642380002,40.0027668050002 43.3778316440001,40.001199732 43.3598820180002,39.9999308000002 43.3479909410001,39.9952300230001 43.3264206370001,39.9936127130001 43.3189993400001,39.9904452920001 43.304465099,39.985253825 43.2780145520002,39.9829471160002 43.2662618620002,39.9756388060002 43.2290259920002,39.9663396490002 43.1945548290001,39.9622783230001 43.1794998470002,39.9522103400001 43.1421787120001,39.9452327500002 43.1367580740002,39.9436084800001 43.1354962380002,39.7005847080001 42.9483590930001,39.7005845400001 42.9483589630001,39.6999836380001 42.9478943770002,39.6709202410001 42.9254240660001,39.170140857 42.508545613,39.1698145100001 42.508271005,38.9733739810001 42.3431234230001,38.6168604760002 42.4094268860001,38.5361111110001 42.4244444440001,37.9530527570001 42.6856139800001,36.8450000000001 43.1819444440002,36.1825000000001 43.4344444440002,36.1512555490002 43.4344958330001,36.1829181240001 43.5278110030001,36.2317628550001 43.66843787,36.2344042170001 43.6751736200001,36.242034776 43.6946323510002,36.2472556470001 43.7049591080001,36.2473054170001 43.7050575510002,36.2705988000002 43.751131301,36.3464240460001 43.9011118120001,36.5320721110002 44.303407377,36.537055726 44.3142067700002,36.5645513470001 44.3733519730001,36.6938832870002 44.5917048530001,36.6536900380002 44.7361573990001,36.6399188140001 44.7969365510002,36.62587094 44.8713706160001,36.6148212250001 44.9311012850002,36.614394637 44.9335937950001,36.6078886830001 44.982903772,36.607786973 44.9836030370001,36.6071588790001 44.9857204320002,36.6020102230001 44.9963867040001,36.5877794560001 45.0291525980001,36.5830898350001 45.0402190400002,36.5817855880001 45.0431949990002,36.5717237600002 45.0653918490002,36.568429789 45.0724496900001,36.5583385760001 45.0934075500001,36.555222712 45.1012104280002,36.5542970380002 45.1032599710001,36.549063174 45.1153377570001,36.5480983940001 45.1174108270001,36.5467603360001 45.1200900460001,36.5358403380002 45.1384171240001,36.5328001760002 45.1424707690002,36.5314585900002 45.1443485110001,36.5260042860001 45.1517273250001,36.523346605 45.1539583810002,36.5168561660001 45.1591551490001,36.5045867790002 45.1955867410001,36.5046156690001 45.19565557,36.50465903 45.1957588760001,36.5048226050001 45.1962092810001,36.504823107 45.1962106610002,36.5049751960001 45.19662944,36.505360201 45.1976895520002,36.5054831150001 45.1977345560001,36.5055318300001 45.197752392,36.5173469870001 45.2015554140001,36.5350124190002 45.2072415030001,36.5467466090001 45.2088628110001,36.5547803330001 45.209708666,36.5559594540001 45.209813013,36.5570451480002 45.2099090930002,36.5596828900001 45.2103464940002,36.5599051470001 45.2103833500001,36.5608590870002 45.2105247000002,36.5653446840001 45.2111893539999,36.5657503470001 45.2112726530002,36.5673182840002 45.211594615,36.571820228 45.2123496850001,36.5790818460001 45.2135676100001,36.5799004910002 45.2137049140001,36.5808150580001 45.2139089220001,36.589351966 45.2158132060001,36.5953165250002 45.2171436890001,36.5966318660002 45.217535311,36.5985103190001 45.2180945910001,36.5986995740002 45.2181509390002,36.599286228 45.2183070010001,36.6052878260001 45.2199035460001,36.6079006140001 45.2205986000002,36.60873221 45.2209584110001,36.6115016530001 45.2220571760001,36.6194155310001 45.2251969750001,36.6201984010001 45.2255598930001,36.6208495990001 45.2258617710001,36.6209468390002 45.2259652409999,36.620968549 45.2259883410001,36.6211818700002 45.2262806400002,36.621255142 45.2263945,36.621450286 45.2266977390001,36.622529591 45.2281665540001,36.6232114860001 45.2292007170001,36.6240570250001 45.2306497110001,36.6249412350001 45.2321649750001,36.6257169740001 45.233494352,36.6285126150002 45.2375016860001,36.6294967280002 45.2389123350001,36.6315114510002 45.2422408650001,36.6368851570002 45.2511187830002,36.6390454510002 45.2542286430001,36.6396518960002 45.2551016540001,36.6453915840001 45.2613521970001,36.6409241240001 45.263021893,36.6335773190002 45.2652348020001,36.6331053170001 45.2653901560001,36.6240900420001 45.268999175,36.6034659250001 45.27738364,36.5995553820001 45.2793531740001,36.5977765590001 45.2802918770001,36.5917151940001 45.2854400360001,36.5897741750001 45.2878636180001,36.5884428370002 45.289435003,36.5836603820002 45.296397751,36.57538471 45.3092255390002,36.5753845700002 45.3092257560002,36.5759358610001 45.3096805370002,36.5766398520001 45.3102612860002,36.5768177040001 45.3104080030002,36.5793234310001 45.3116758670001,36.5883006950002 45.3162182400001,36.5906791430001 45.3173204670001,36.5926030310001 45.318212041,36.5934784810001 45.3186636650001,36.5945491680001 45.319216006,36.5972566330001 45.3202844000002,36.6007499580002 45.3216629030001,36.601856785 45.3220508800001,36.604041368 45.3228166440002,36.6053563870002 45.3232775980002,36.6130713470001 45.3269038880002,36.6161221630001 45.3281493630001,36.6178875920001 45.3288700880001,36.6221266010001 45.3322291550002,36.6225835940002 45.3325624210002,36.6231999020002 45.3329772910001,36.6274936720002 45.335947521,36.6306784480001 45.3381506000001,36.6354959410002 45.3412208940001,36.6385314360002 45.3420604370002,36.6389668010001 45.3423697870001,36.6464986390001 45.3473527600001,36.6469131180002 45.3477362940001,36.6479194150001 45.3486992830001,36.648504503 45.349259191,36.6499161350001 45.3504975680002,36.6507568620001 45.3512351090001,36.6514275420002 45.3520333140002,36.6525643940001 45.35338633,36.653786369 45.3548406530001,36.6674374250001 45.3607277150001,36.6691124100001 45.3614284450001,36.6718363460002 45.3637174570002,36.6747380080001 45.3664534440001,36.6786949880001 45.3701844940003,36.682871432 45.373068231,36.6830513270001 45.3732705890001,36.6859852750002 45.3765708840002,36.6861372640001 45.3767533170001,36.6872114010002 45.3784550910001,36.688234698 45.3800763190001,36.6882347570001 45.3800764130001,36.6882405690001 45.3800888130001,36.6882406430001 45.3800889720002,36.688322368 45.3802633550001,36.6884444660002 45.3805238850002,36.6900396320002 45.383601276,36.6910435610002 45.3855380540002,36.6910439560002 45.3855388160001,36.6918757690001 45.3881528630001,36.692613163 45.3904701870002,36.6929025750002 45.3913796900002,36.6930587420001 45.3924654170002,36.6933037160001 45.3941685560002,36.6936144990001 45.395883998,36.694200552 45.3991188580002,36.6942005530001 45.3994094290001,36.6940165480001 45.4026361660002,36.6941199550002 45.408673218,36.6938118400002 45.4131969310001,36.693717846 45.4138244140001,36.6928819480001 45.4205495220002,36.6923408540002 45.4230729470002,36.689899509 45.4312172070001,36.689943412 45.4314178440001,36.6906083310001 45.4344565530002,36.690888076 45.4364306530001,36.6909624760002 45.4369556770001,36.6911527580001 45.4382984620002,36.6913985960002 45.4397890340001,36.6915197130002 45.4405233900001,36.692207115 45.4446912610002,36.6925697180001 45.4474098310001,36.692824768 45.4493220310001,36.6928997980002 45.450144454,36.692899858 45.4628760590001,36.6920095780001 45.4707328510002,36.69191843 45.4723766840001,36.6921334640002 45.4780348190002,36.6921447480001 45.4782151580002,36.6921833010002 45.5132072140001,36.69080046 45.566376662,36.6908005220002 45.573723607,36.6915791100002 45.657201703,36.6911723940001 45.7083262680001,36.6904568940001 45.7539764860002,36.6824210540001 45.8929869990001,36.6848067760001 45.932119599,36.6866839400002 45.9629104050002,36.6893198000001 46.0034432090001,36.6893227420002 46.0034884560002,36.6895160120002 46.006460457,36.6910722950001 46.0303921340001,36.6912077510001 46.0323403710001,36.6912257910002 46.0325998280002,36.6913287020002 46.0340799750002,36.6913287080001 46.0340800590002,36.6979401180002 46.0342832100002,36.750696862 46.0363827350001,36.7574980450001 46.0366533970001,36.8653630530002 46.0404304480001,36.8768243950001 46.0408693720001,36.9448906910001 46.0434760420002,36.9501365830001 46.0436769390002,36.9548866900001 46.045734317,36.9937534880002 46.0625684010002,37.0132560540002 46.0710154000002,37.0521974650002 46.0879573070001,37.0676896780001 46.094697372,37.0705257980001 46.095935259,37.0885992980001 46.1038238350001,37.1071450110001 46.111843875,37.1138429810001 46.1147403920002,37.140082426 46.1261090340001,37.1534972700001 46.137300166,37.1886962350001 46.1667309400001,37.1897295130001 46.1676353930001,37.1959845450002 46.1851983550002,37.1994117890002 46.1948214180001,37.2009234250001 46.199037661,37.2033858710001 46.2059058950002,37.2065872230001 46.2148350780001,37.207838171 46.2183030570001,37.208323998 46.2196336970001,37.2086373490001 46.2204919390001,37.2090980030002 46.2217536300001,37.212702803 46.2315691650002,37.2140976840001 46.2356129640002,37.2151168300002 46.238567496,37.2168741680001 46.2436620670001,37.2174492780001 46.245349702,37.2177757590002 46.246307744,37.2180579270001 46.2471357540002,37.219522924 46.251488751,37.219523677 46.2514910180001,37.2195249150001 46.2514947430001,37.2195254320001 46.2514962970001,37.2203035310001 46.253911406,37.2217905010002 46.2585267490001,37.2230978260001 46.2625845000002,37.2234172570002 46.2635892960001,37.2235686430001 46.2640654920001,37.2242357880001 46.2661111020001,37.2268172190001 46.27402633,37.2309530620001 46.2878850820001,37.2391114130002 46.315616016,37.2393859390002 46.316668407,37.2406073290001 46.3213505570001,37.2412296620002 46.323736243,37.2456556770001 46.3413162300002,37.247853945 46.3508627850001,37.2478594130001 46.350886529,37.2504871930001 46.3622983500001,37.2511955930001 46.3653747640002,37.2586603920002 46.401488973,37.2633074640001 46.4246650760002,37.2633148170001 46.4247093510002,37.2633420810002 46.4248734990001,37.263417782 46.4253292820002,37.2677058310002 46.4449444240001,37.2678700100001 46.4458248410002,37.2679315390002 46.4461547940001,37.2682280760001 46.4477449850001,37.2683373940001 46.448341618,37.2701691130002 46.4575940540001,37.2710019720001 46.461801016,37.2717006890001 46.465330396,37.2717808140001 46.4658155340001,37.2722780990001 46.4688264700001,37.2713526520002 46.4808255390002,37.2708840440001 46.4927346550002,37.2697608600001 46.5158820130002,37.2966979830002 46.5480817620002,37.4222509190002 46.693901295,37.4459369450001 46.7207013440001,37.4571099820001 46.7329449900001,37.4578680280002 46.733767974,37.4579738370001 46.7338828470002,37.4813917170002 46.7585807770001,37.4890297370001 46.7663707740002,37.50453472 46.781919606,37.5123118750002 46.7889928830001,37.5198857000001 46.7959017590001,37.5366287400002 46.8103156010001,37.550727328 46.8218475530001,37.5763864330002 46.840772122,37.579342531 46.8429523570002,37.5830927930002 46.8453938000001,37.5863279910001 46.8474999330001,37.592234965 46.8507306250002,37.5960868000001 46.8528373040002,37.5969673370001 46.85329999,37.5987650510002 46.854244614,37.6004701860001 46.8551103180001,37.6019624460001 46.8558679440001,37.6411256600001 46.8743821730001,37.6502872310001 46.8785106530001,37.6632200940001 46.8843385910002,37.6720100780002 46.8879673120002,37.6720103460002 46.8879673170001,37.6733251850002 46.8879934550001,37.68215009 46.8881688870002,37.697900803 46.8884308190001,37.7256300730002 46.8889751370002,37.7472269040002 46.8893990770001,37.7554837610001 46.889370431,37.760910601 46.8893516040001,37.7695818720001 46.8890873740001,37.7824886070002 46.8886940810002,37.7937011250001 46.8873931330002,37.8184553990001 46.8844893220002,37.8184682350001 46.884487816,37.8471543720001 46.8811227760002,37.864689535 46.8792734000001,37.8646898740001 46.8792733640001,37.8815050790001 46.8702158450002,37.8865789870002 46.867500765,37.896352011 46.8623774920001,37.8969248240002 46.8620772090002,37.8990288210002 46.8610450410002,37.8990360860001 46.8610414770001,37.9075058460002 46.8568864250001,37.9091449630001 46.8560933960001,37.9127524740001 46.8543480290002,37.9202325880001 46.8508066430001,37.9202440070001 46.8508012360001,37.9301066090001 46.8461318840001,37.932334575 46.8451808350002,37.944464353 46.8458775570001,37.950081998 46.8462133980001,37.9639382240001 46.8470417700001,37.9654291120002 46.8471309000001,37.9654384010001 46.8471314780001,37.9655226410001 46.8471367160001,37.9655690460002 46.8471396010001,38.0869994420001 46.909752498,38.0877066590001 46.9101035540001,38.0905300100002 46.911505037,38.1322160050001 46.9325230740001,38.1494018940002 46.9412242450002,38.193583962 46.9631018400001,38.2071760540002 46.9675878160002,38.2234265100001 46.9728422270002,38.2270608940001 46.9739947640001,38.2307073540002 46.9750507200001,38.2507999090002 46.9807458550001,38.2712840850001 46.9866343300001,38.2783733070001 46.988960724,38.3052219970002 46.9958760660001,38.3090361480002 46.9969152950002,38.3204521540001 47.000194155,38.3232748000001 47.0009297610002,38.302935661 47.0213534160001,38.2916489430002 47.0384175790001,38.2802715670001 47.0566289800001,38.2764937900001 47.0633012030001,38.267461827 47.0729745280001,38.2517827090002 47.090651355,38.237355885 47.1039616140001,38.2373552940002 47.1039618350002,38.2373551680002 47.1039622860001,38.2358275360002 47.109427396,38.2780492050001 47.1182489770001,38.3133185360002 47.1256179710002,38.3335995360001 47.1197089710001,38.3538815360001 47.1216539710001,38.4520815360002 47.1352719710001,38.4883185360001 47.1708269710001,38.5234545360001 47.2070719710001,38.545272536 47.2202629710001,38.5819365360001 47.2349899710002,38.6047095360002 47.2402719710001,38.6744275360002 47.2485989710001,38.7685905360001 47.2533179710002,38.7430455360001 47.2422089710001,38.6763815360002 47.2363809710002,38.5991545360001 47.224435971,38.562490536 47.215817971,38.503609536 47.1622089710001,38.486481536 47.1280089710001,38.5227545360001 47.116935971,38.5596365360001 47.1114539710001,38.6591545360002 47.1358179710002,38.7613815360002 47.1590179710003,38.8105455360002 47.1622089710001,38.9302635360002 47.2172089710002,38.9566545360001 47.2542269710001,39.0674905360001 47.2777719710001,39.0924815360002 47.2805359710001,39.2515185370002 47.2631809710002,39.2690275370001 47.2498539710001,39.2776275370002 47.2312359710001)),((21.2450630690002 54.9550545170001,21.2321748120001 54.9418486660001,21.2225002090001 54.9319361400002,21.093054119 54.895691115,20.9844360530001 54.8924910720002,20.8651361300001 54.9024911820002,20.8031217050001 54.9348150530001,20.7931915200001 54.9399909800002,20.7931911970002 54.9399911490001,20.7552733110001 54.9430450120001,20.6549912150001 54.9424911360001,20.5863821530002 54.9398451370002,20.5832303400001 54.939759892,20.5608275190002 54.9391549790002,20.5317005190002 54.964363979,20.583745519 55.000135979,20.630827519 55.0210999790002,20.6725005190002 55.043326979,20.7083275190001 55.063881979,20.8430545190001 55.1492999790001,20.8835365190001 55.1967269790001,20.9083275190002 55.2283269790001,20.9325618500001 55.2436086570001,20.9848092160001 55.2765540670002,20.9848084010002 55.2765542740001,20.9848095200002 55.2765549790003,20.9848095910001 55.2765549750001,20.9927845200001 55.2761579790001,21.2580975200001 55.249876979,21.2639361970002 55.248982029,21.2741632430001 55.2274181770001,21.2625001600001 55.2022821910002,21.2276361360001 55.1997181660001,21.190827176 55.1491642260002,21.2166632190002 55.018600158,21.227909219 54.9879731870001,21.2450630690002 54.9550545170001)),((19.924433333 55.6362499990001,20.6532550700002 55.3841827020001,20.653255074 55.3841827450002,20.6537835190002 55.3839999790002,20.658835951 55.3823335540001,20.6588359430002 55.3823335090001,20.7917258590001 55.3385027470002,20.7917259500002 55.3385029400001,20.9352165190001 55.2911759790001,20.9428364000001 55.287200038,20.9428361650001 55.2872000900001,20.9355541350001 55.2794361010001,20.894436206 55.2430450620001,20.8679061610001 55.2198325070001,20.8277725190001 55.184717979,20.7620173910001 55.131179988,20.6969361030002 55.0781911310002,20.6725001730001 55.0624911560001,20.6250002630002 55.034718055,20.6047182360001 55.0236091830001,20.5486091060001 54.9963822470002,20.4226361420002 54.947627063,20.3619451270002 54.9419360860002,20.0304182250001 54.9463821830003,19.9904092210002 54.9572181400002,19.9612129960002 54.9397577020001,19.9411725190002 54.9277729790001,19.9314788130001 54.9086588280002,19.9266633390001 54.8991642400002,19.9238181860002 54.8609642190002,19.9394361860001 54.8369361520002,19.9597182120002 54.7986001770001,19.9590181560001 54.7644360430002,19.9230091640001 54.712582237,19.8991633200002 54.6888822380001,19.872709196 54.6405449750002,19.9008271280002 54.6283270100002,19.9008274070001 54.6283270270001,19.9008275190001 54.6283269780002,19.9294455190001 54.6299999780001,19.9541635190002 54.6404449780001,19.9441636380001 54.6591547560002,19.9507212300002 54.6721812580001,19.9610095190001 54.6926179780002,19.9813915190001 54.7054909780002,20.0096455190001 54.7197819780002,20.1936095190001 54.696935978,20.3972909670002 54.6750640380002,20.24555402 54.6118000770001,20.2169361900001 54.6033271460001,20.102500245 54.5741641580001,20.0361092020001 54.5638822450002,19.8223632940001 54.4663821030001,19.797009316 54.4375451230001,19.7970092820002 54.437545084,19.7970092090001 54.4375450010001,19.791086352 54.4385329780001,19.7663036240002 54.4413925800002,19.6511091090001 54.4558271070001,19.6977731760001 54.479436079,19.748403544 54.5107512390002,19.7552732 54.5150001590001,19.7738813570002 54.5293341540003,19.8302732960002 54.572773265,19.8363821950002 54.6000002010001,19.8363814250001 54.5999995630002,19.8363815180001 54.5999999780001,19.771381518 54.5461089780002,19.7699011060001 54.545130764,19.7699011840001 54.5451304540002,19.7318001830002 54.5199540310001,19.6987451420002 54.499164229,19.6272540450001 54.4632732550001,19.6211228970002 54.4668629000002,19.6075548790002 54.4748066610003,19.5139574100002 54.5387268830002,19.4523200530002 54.5775355900002,19.3975312910002 54.6140614310002,19.3587225840002 54.6391729470001,19.3150000000001 54.669999999,19.345 54.8149999990001,19.0633333330002 55.346666666,18.9366666670001 55.8499999990001,18.9257500000002 55.879799999,18.9452833300001 55.8913666690001,19.0225378180001 55.931595476,19.04675 55.923666666,19.0764437650001 55.9139427910001,19.081083184 55.9124235110002,19.0848056800002 55.9112044980001,19.7003833810001 55.7096200720002,19.924433333 55.6362499990001)),((28.7324905270001 60.677217984,28.6779095270001 60.6116639840001,28.6329547160001 60.6180263330002,28.6266544090001 60.618918105,28.6219970990001 60.6236892220002,28.6118001590001 60.6341360020002,28.574645193 60.6377732450001,28.5682652520002 60.6285820140002,28.5542995270001 60.608463984,28.5583820120001 60.6022130330001,28.5694450610002 60.5852731940001,28.5694454530001 60.5852730970001,28.5694455270001 60.585272984,28.5735304430002 60.5842626960001,28.605100168 60.5764540910002,28.6292998990001 60.5926998400001,28.6396125940001 60.5887134290001,28.6661271290001 60.5784632330002,28.7057361480002 60.4608731780001,28.68250017 60.4538821720002,28.656109529 60.4622089900001,28.6561092470002 60.4622090880001,28.5819361070002 60.490273205,28.5638821590002 60.4997181020001,28.5227094580001 60.5235820960001,28.5203819600001 60.5273513770001,28.5054822540001 60.5514822220002,28.494469756 60.5510082970001,28.4467365260001 60.5489549840001,28.446737334 60.5489541220001,28.4467361770002 60.5489540720002,28.598327087 60.3872180420001,28.6379091160002 60.3698540910001,28.6981471600002 60.3522103060001,28.7190995270002 60.3460729840002,28.7394365270002 60.3413819840002,28.7425304070002 60.3409593610001,28.787218137 60.3348541130002,28.8253161800002 60.3169524230001,28.842490527 60.3088819840002,28.8547616640001 60.301684795,28.876109227 60.2891631850001,28.9447062580001 60.2414705940001,28.987172527 60.2119449840002,28.9994792390001 60.200934076,29.0033270710001 60.1974911480001,29.0058343970001 60.1962221680002,29.026390527 60.185817984,29.0338537510001 60.1842678720001,29.0463912780002 60.1816632650001,29.1484201440001 60.1701776890001,29.1623545270001 60.1686089830002,29.4005545270002 60.1590179830001,29.4447185270002 60.1674909830001,29.4541973560001 60.1730245620001,29.4710360960001 60.1828539979999,29.5093378130002 60.1915058420001,29.5186095270001 60.1935999840002,29.553563528 60.1977179840002,29.5799995280001 60.1985999840002,29.672218528 60.1960999840001,29.7216635280001 60.1922179840001,29.7485995280002 60.1869359840002,29.8241635280002 60.1683269830002,29.8455541140001 60.1602731460002,29.8455545250002 60.1602729780001,29.854798815 60.1562302920001,29.8798540880002 60.145273176,29.902009251 60.1206822370001,29.8934632300002 60.0934631800001,29.9232721980001 60.0569602320002,29.9475815280001 60.0271909830001,29.9568036850001 60.0236509150001,29.9713822410002 60.0180540470001,30.0213425740001 60.0103960310001,30.0369725280001 60.0079999830001,30.045495148 60.0071763010001,30.0766633030001 60.0041632210001,30.144205206 60.0001904750002,30.1699995280002 59.9986729830002,30.233881528 59.9829089830002,30.2428826650001 59.9716607320001,30.2466632200001 59.9669360040002,30.2180541080002 59.8969360480002,30.2047768340001 59.8868253390002,30.1848545280002 59.8716549830002,30.1636274660002 59.8660236540002,30.1555541120001 59.8638821810001,30.0762450780001 59.8676270460001,30.0762450470002 59.8676270490001,30.0394365280002 59.8727639830001,30.0115427600002 59.8804448360001,30.0091633340001 59.8811001190001,29.9308270730002 59.902491239,29.7916633400001 59.9358181890002,29.7627732660001 59.9402731700001,29.4927732210002 59.9738732030002,29.1945821530001 60.0068001680002,29.1894364350002 60.0057252710002,29.1067995270001 59.9884639830001,29.0627725270001 59.9691549830002,29.0375082650002 59.9408358320002,29.028327103 59.9305451330002,29.0314669680002 59.9163623360001,29.0361815270002 59.8950639830001,29.0287042720001 59.871006654,29.0273542860001 59.8666637900001,29.003742769 59.8478001060002,28.9811091600001 59.8297180460001,28.9745771240001 59.8269143970001,28.9565185270001 59.819163983,28.8322185270001 59.7834639830001,28.7371961740001 59.7817051970001,28.7270821730001 59.7815180800001,28.694163251 59.7927002050001,28.665690527 59.814854983,28.5744861100001 59.8434116950001,28.519300157 59.8606911900001,28.4958271400001 59.8552731280001,28.4587837390001 59.8347824190002,28.4370725260001 59.8227729830001,28.4265306820002 59.8042843910001,28.4173540860001 59.7881910800002,28.4161461940002 59.7760518920001,28.4142995260002 59.757499983,28.421799526 59.7344359830002,28.4198939710002 59.715195737,28.418745147 59.7036000750002,28.4072181860001 59.6812361510001,28.3986925270002 59.674155329,28.3899995260002 59.6669359830001,28.3668000340002 59.6612361080002,28.2526261160001 59.6768850650001,28.2441635260001 59.6780449830001,28.2396030380001 59.6804422300002,28.2129821640002 59.6944361400002,28.2076931970001 59.70909777,28.2047185260001 59.717344983,28.1958275260002 59.7486729830002,28.1697185260001 59.7674909830001,28.1697181320002 59.7674911330001,28.101800241 59.7933271750001,28.0745821900002 59.7945821140002,28.0745819150002 59.7945819650002,28.0745815260001 59.7945819830001,28.0464059240002 59.7793389190001,28.0086092350001 59.7588911320001,27.9929092600001 59.689709082,28.002918091 59.6720732230002,28.028745081 59.6487361600001,28.033988041 59.6418176000002,28.037742559 59.636863174,28.0634733180001 59.6029091100002,28.0651526250002 59.5938975090002,28.066918819 59.5844196460001,28.0694208130002 59.5709932880002,26.9150000000001 59.6316666690003,26.44 59.9383333290001,26.3357833330002 59.9946333330001,26.3466666670002 59.9999999990001,26.5433333330001 60.1066666660001,26.6400000000001 60.1133333320001,26.7983333330001 60.146666666,26.9150000000001 60.173333332,26.965 60.1766666660001,27.1883333330001 60.1766666660001,27.4638888890001 60.2283333320001,27.5119444440001 60.2597222210001,27.5534241480001 60.2819816810001,27.60621647 60.3157101080001,27.651676524 60.3377069090001,27.7000694860001 60.3714353360001,27.73673082 60.4066302170002,27.7543282600001 60.4447580050001,27.7660598870002 60.474087072,27.7748586080001 60.5136813130001,27.7909895950002 60.5312787540001,27.807827526 60.5463995590002,27.8078274830001 60.5463996410002,27.8121987950001 60.5408781370001,27.8238905260002 60.5261089840001,28.0203185260001 60.527999984,28.1466635260001 60.529435984,28.192397167 60.5446578730001,28.3411091090001 60.5941539880001,28.3688397940002 60.613885809,28.3834635260001 60.624290984,28.385246416 60.6324278430001,28.3888822690002 60.6490180710001,28.4011863190001 60.658163829,28.4105545260001 60.665126984,28.5136095270001 60.6802729840002,28.6767275270001 60.735826984,28.7309633320001 60.7162450540001,28.7313065070002 60.7074791030001,28.7324905270001 60.677217984)),((176.916072665 65.0824909880001,177.166654282 65.0249910760001,177.181209753 65.0155096690002,177.189681526 65.0099910790001,177.211636352 64.9617910780001,177.226627218 64.9469180610001,177.259854256 64.9330361210002,177.298581331 64.9294270410001,177.335236231 64.930818102,177.413181393 64.9302632200001,177.441845323 64.9162270520001,177.485927261 64.8531822320001,177.504972453 64.8047001300002,177.605791326 64.7204091970002,177.72775422 64.7041632250001,177.954409265 64.6844181430001,178.093018283 64.6866450470002,178.249972438 64.6802632340002,178.268715957 64.6697792200001,178.269572666 64.6692999880001,178.288733525 64.6686636570001,178.374391398 64.6658180290002,178.550536255 64.6744270820001,178.597375298 64.6831299130001,178.609545666 64.6853909880001,178.701645666 64.6978909880002,178.749281392 64.683382071,178.744963385 64.6622000650002,178.736285021 64.6582998320001,178.687190666 64.6362369880002,178.656372666 64.6291549880001,178.620363666 64.6272099880001,178.543077656 64.6188784100002,178.519836194 64.6163731820001,178.495518281 64.6113732100002,178.491638891 64.6101102640001,178.482727666 64.6072099880001,178.482728185 64.6072093590001,178.482727329 64.6072090800001,178.497325735 64.5894982660001,178.497608683 64.5891549870001,178.497609398 64.5891541250002,178.522218331 64.5880450320001,178.554823 64.590797265,178.561645666 64.5913729880002,178.573535256 64.5941065610002,178.623291343 64.6055451050001,178.792996995 64.6605858130002,178.808145618 64.6654988740002,178.835254667 64.6742909880001,178.842523663 64.676973585,178.864963405 64.685253987,178.896184152 64.6984928890001,178.908872667 64.7038729880002,178.922882567 64.7103609710001,178.950254299 64.723036086,178.983854164 64.7369270790001,179.074400344 64.7658270430002,179.162472353 64.7880360690001,179.23341746 64.8036569250001,179.255827667 64.808590988,179.371490667 64.8188819880002,179.379168826 64.8182607050002,179.41395426 64.8154450600002,179.453893764 64.8132363100002,179.459972667 64.8128999880001,179.512502007 64.8418294880001,179.648863467 64.9169271090001,179.74469142 64.9822090590001,179.777054283 65.0115180600002,179.795809294 65.0216541280001,179.821900315 65.0297091370001,179.885236323 65.0469270750001,179.999988540844 65.0689068596906,179.999988540844 64.6181471275581,179.999988540844 64.1673873954257,179.999988540844 63.7166276632934,179.999988540844 63.265867931161,179.999988540844 62.8151081990287,179.999988540844 62.3643484668962,179.999988540844 61.9135887347639,179.999988540844 61.4628290026316,179.999988540844 61.0120692704992,179.999988540844 60.5613095383669,179.991206282 60.5562222350001,179.990283387 60.0859640060001,179.999988540844 60.0866789838051,179.999988540844 60.0866725514359,174.007658905 56.281543232,173.98378859 56.266385582,173.948883057 56.2519454960002,173.685562134 56.0761108400001,173.674962569 56.0689962000001,173.597452783 56.0169700860001,173.472055972 55.9328012460002,173.42277527 55.8997230550002,173.160278321 55.7227783230001,173.003727429 55.6164179260001,172.898605348 55.544998171,172.637222291 55.3663902310001,172.376663209 55.1872215300001,172.178247422 55.0499985810001,172.116394044 55.0072212240001,171.856674195 54.8266677880001,171.597503663 54.6452789330001,171.422431553 54.5221117940001,171.338882447 54.4633331320002,171.306116896 54.4401504890001,171.080551148 54.2805557280001,170.905967248 54.1563844400001,170.822784425 54.0972213770001,170.565551759 53.9130554220001,170.466893784 53.8421276080001,170.30860901 53.7283325210001,170.272175462 53.6977699040001,170.091384889 53.5461120620002,170.031517454 53.4954141440002,169.875549317 53.3633346570001,169.720312851 53.2308125570001,169.661117555 53.18027878,169.448059083 52.9966659560001,169.284188144 52.8541187030001,169.236663819 52.812778474,169.179254667 52.7624297060001,169.026672363 52.628612518,168.818054199 52.4438896180001,168.610839844 52.2586097720001,168.404724121 52.0730552670001,168.200271606 51.8872222900001,167.996948242 51.7008323670001,167.814870261 51.53253577,167.814870227 51.5325357390001,167.794998169 51.5141677860001,167.641113281 51.370834351,167.584164554 51.2089049810001,166.977428819 51.2453069860001,166.977295656 51.2453149750002,166.974449993 51.2457954750001,166.973789656 51.2459069750001,166.958723655 51.2467469750001,166.789560817 51.2745386020002,166.060569655 51.3943039750002,166.058748655 51.3948189750001,165.749903654 51.409061975,164.937014654 51.5328999750002,164.936936735 51.532854523,164.936918654 51.5328439750002,164.935951125 51.5320484060002,164.931781654 51.5286199750001,164.930661654 51.527972975,164.926497052 51.5245461680001,164.925530654 51.5237509750001,164.925318577 51.5236285510001,164.924404654 51.5231009750001,164.92024411 51.5196774150002,164.919278654 51.5188829750002,164.919065635 51.5187597980002,164.918147654 51.5182289750001,164.913027654 51.5140149750001,164.91210399 51.5134809070002,164.911889654 51.513356975,164.910926645 51.5125640420001,164.906776654 51.5091469750002,164.905632654 51.5084859750001,164.900524654 51.5042789750001,164.899375654 51.5036139750002,164.894273654 51.499410975,164.893118654 51.4987419750001,164.888021654 51.4945429750002,164.887080134 51.493996732,164.886861654 51.4938699750001,164.881770654 51.489673975,164.881550855 51.4895468430001,164.880603654 51.4889989750001,164.8764772 51.4855957060001,164.875519654 51.4848059750001,164.875298725 51.4846780890002,164.874346654 51.484126975,164.870224258 51.4807269530001,164.869267654 51.479937975,164.868089654 51.4792549750002,164.867134179 51.4784667510002,164.863016654 51.4750699750001,164.861832654 51.4743839750002,164.856765654 51.4702019750001,164.855575654 51.4695119750002,164.850514654 51.4653339750001,164.849543914 51.4647706870001,164.849318654 51.4646399750001,164.84836638 51.4638538220001,164.844262654 51.460465975,164.843287044 51.4598994400002,164.843060654 51.4597679750002,164.8421097 51.4589825770001,164.838011654 51.4555979750002,164.836803654 51.4548969750001,164.831760654 51.4507299750001,164.830775305 51.450157759,164.830546654 51.4500249750002,164.829597771 51.4492408950002,164.825508654 51.4458619750002,164.824289654 51.445153975,164.819257653 51.4409939750001,164.818032653 51.440281975,164.813006653 51.436125975,164.812007506 51.4355448300001,164.811775653 51.4354099750001,164.810830162 51.434627967,164.806755653 51.4312579750001,164.805518653 51.4305389750001,164.800503653 51.4263899750002,164.799261653 51.4256669750001,164.794252653 51.4215219750001,164.793238897 51.4209319020002,164.793003653 51.4207949750002,164.792061551 51.420015038,164.788001653 51.4166539750002,164.786746653 51.4159239750002,164.781750653 51.4117859750002,164.780727157 51.4111902210001,164.780489653 51.4110519750002,164.779549622 51.4102733560001,164.775498653 51.4069179750001,164.774232653 51.406180975,164.769247653 51.4020499750002,164.767975653 51.4013089750001,164.762996653 51.3971819750001,164.761959358 51.3965772920001,164.761718653 51.3964369750001,164.760782014 51.3956604290001,164.756745653 51.392313975,164.755461653 51.3915659750001,164.750493653 51.3874459750001,164.74944743 51.386835611,164.749204653 51.3866939750001,164.748270085 51.3859187470002,164.744242653 51.382577975,164.742947653 51.3818229750001,164.737991653 51.3777099750001,164.73693569 51.3770939290001,164.736690653 51.376950975,164.735758346 51.3761770660002,164.731740653 51.372841975,164.730433653 51.3720799750001,164.725489653 51.3679739750002,164.724423951 51.3673522480001,164.724176653 51.3672079750002,164.723246417 51.3664353840001,164.719237653 51.3631059750001,164.717919653 51.3623369750002,164.713915759 51.3590100010001,164.712986653 51.3582379750002,164.711662653 51.3574649750001,164.706735653 51.3533699750001,164.706485155 51.3532238200002,164.705405653 51.3525939750002,164.701411499 51.3492726830002,164.700484653 51.3485019750001,164.699148653 51.3477219750001,164.694233653 51.3436339750001,164.693980894 51.3434865010001,164.692891653 51.3428509750001,164.687982653 51.3387669750001,164.686888543 51.3381273910001,164.686634653 51.3379789750001,164.685711009 51.3372105270001,164.681730653 51.3338989750002,164.680377653 51.3331079750001,164.675479653 51.3290309750001,164.674376614 51.3283857100001,164.674120653 51.328235975,164.67319927 51.3274688460001,164.669228653 51.3241629750002,164.667864653 51.3233649750001,164.663898096 51.32006154,164.662977653 51.3192949750001,164.661607653 51.3184929750002,164.656726653 51.3144269750002,164.65646749 51.3142753570001,164.655350653 51.3136219750002,164.650475653 51.3095599750001,164.649093653 51.3087509750001,164.644224653 51.3046919750001,164.642836653 51.303878975,164.637973653 51.2998239750001,164.636579653 51.2990079750001,164.632637445 51.2957191490001,164.631722653 51.2949559750002,164.630322653 51.2941359750002,164.625470653 51.2900879750001,164.625206029 51.289932967,164.624065653 51.289264975,164.619219653 51.2852209750001,164.61807522 51.2845489250003,164.617809653 51.2843929750002,164.616897875 51.283632061,164.612968653 51.280352975,164.611552653 51.2795219750002,164.606717653 51.2754849750001,164.605295653 51.274650975,164.601376172 51.2713767600001,164.600466653 51.2706169750002,164.599038653 51.2697789750001,164.598130265 51.2690201330001,164.594215653 51.265749975,164.592781653 51.264907975,164.587964653 51.2608819750001,164.586524653 51.2600369750002,164.581713653 51.256013975,164.580540812 51.2553248800002,164.580268653 51.2551649750001,164.575462653 51.2511459750002,164.575189365 51.2509855050002,164.574011653 51.2502939750001,164.569211653 51.2462789750002,164.567754653 51.245422975,164.562960653 51.2414109750001,164.561773202 51.2407129520001,164.561497653 51.2405509750001,164.556709653 51.2365429750002,164.556433162 51.2363804330002,164.555241653 51.2356799750002,164.551359509 51.2324292980002,164.550458653 51.2316749750001,164.550181032 51.2315118680002,164.548984653 51.230808975,164.544207653 51.2268079750001,164.543006404 51.2261010240001,164.542727653 51.2259369750001,164.537956653 51.2219399750002,164.537676773 51.2217753620001,164.536470653 51.2210659750002,164.532603117 51.2178242250002,164.531705653 51.2170719750001,164.531424831 51.2169067970001,164.530214653 51.2161949750002,164.525454653 51.2122049750001,164.524239606 51.2114890960001,164.523957653 51.2113229750001,164.519203653 51.2073369750002,164.517700653 51.2064519750002,164.516806391 51.2057019850001,164.512952653 51.2024699750002,164.511443653 51.2015809750002,164.506701653 51.1976019750001,164.505187653 51.1967099750002,164.501342844 51.1934828350002,164.500450653 51.1927339750002,164.498930653 51.1918379750002,164.498039592 51.1910900570001,164.494199653 51.1878669750001,164.492673653 51.1869669750002,164.487948653 51.1829989750001,164.486417653 51.1820959750002,164.482586642 51.1788777630001,164.481697653 51.178130975,164.481408167 51.1779603350001,164.480160653 51.1772249750001,164.475446653 51.1732639750001,164.47419427 51.1725245570002,164.473903653 51.1723529750002,164.469195653 51.1683959750002,164.467647653 51.1674819750002,164.466761865 51.1667374460002,164.462944653 51.1635289750002,164.461390653 51.1626109750002,164.456693653 51.1586609750001,164.455133653 51.1577399750001,164.450442653 51.1537939750001,164.448877653 51.1528689750001,164.444191653 51.148925975,164.442916543 51.1481719480001,164.442620653 51.1479969750002,164.437941653 51.1440579750001,164.436364653 51.1431259750001,164.435484329 51.1423848380002,164.431690653 51.1391909750001,164.430107653 51.1382549750001,164.426318848 51.1350635480001,164.425439653 51.134322975,164.425140373 51.1341461190002,164.423850653 51.1333839750001,164.419188653 51.129455975,164.417594653 51.128512975,164.413814776 51.1253272300001,164.412937653 51.1245879750001,164.412636301 51.1244098010001,164.411337653 51.1236419750002,164.406686653 51.1197209750001,164.405383947 51.1189490910002,164.405081653 51.1187699750001,164.400435653 51.1148529750001,164.398824653 51.1138989750002,164.397950732 51.1131619810001,164.394184653 51.1099859750001,164.392873019 51.1092084100001,164.392568653 51.109027975,164.387933653 51.1051179750002,164.387628157 51.1049369750001,164.386311653 51.1041569750003,164.381683653 51.1002509750002,164.380055653 51.0992859750001,164.376303372 51.096118086,164.375432653 51.0953829750001,164.375124897 51.0952006570001,164.373798653 51.0944149750001,164.369181653 51.0905159750001,164.367542653 51.0895439750001,164.363799302 51.0863817680003,164.362930653 51.085647975,164.362620825 51.0854643380002,164.361285653 51.0846729750002,164.356679653 51.080780975,164.355029653 51.0798019750002,164.350428653 51.0759139750002,164.349084553 51.075115307,164.348772653 51.0749299750001,164.344178653 51.0710459750001,164.342516653 51.0700589750002,164.341652338 51.0693281970001,164.337927653 51.0661789750001,164.336573813 51.0653746250002,164.336259653 51.065187975,164.331676653 51.0613109750002,164.330003653 51.060316975,164.32914141 51.0595875150001,164.325425653 51.056443975,164.324062884 51.0556339430001,164.323746653 51.0554459750001,164.32288554 51.054717268,164.319174653 51.0515769750002,164.317807826 51.0507636970001,164.317490653 51.0505749750001,164.312924653 51.0467089750001,164.311233653 51.0457039750001,164.310374799 51.0449765860001,164.306673653 51.0418419750001,164.305297086 51.0410230150001,164.304977653 51.0408329750001,164.300422653 51.0369739750001,164.298720653 51.035961975,164.29786387 51.035235904,164.294171653 51.032106975,164.292786158 51.0312823340001,164.292464653 51.031090975,164.291609002 51.0303656580001,164.287921653 51.027239975,164.286531288 51.0264120870002,164.286208653 51.0262199750002,164.281670653 51.0223719750002,164.279951653 51.0213489750001,164.279098073 51.0206249760001,164.275419653 51.0175049750002,164.27402036 51.0166714050001,164.273695653 51.0164779750001,164.272843015 51.01575473,164.269168653 51.0126379750002,164.267765302 51.0118011590002,164.267439653 51.0116069750001,164.262918653 51.0077699750001,164.261182653 51.0067359750001,164.260332275 51.0060140490001,164.256667653 51.0029029750001,164.255254562 51.002060477,164.254926653 51.0018649750002,164.254077216 51.001143801,164.250416653 50.9980359750001,164.248998692 50.9971902300002,164.248669653 50.9969939750002,164.244165653 50.9931679750002,164.242413653 50.992122975,164.237915653 50.9883009750002,164.236157653 50.9872519750001,164.235311419 50.986532874,164.231664653 50.9834339750002,164.230232894 50.9825793020001,164.229900653 50.9823809750001,164.229055548 50.9816626270002,164.225413653 50.9785669750002,164.223644653 50.977510975,164.220007628 50.9744169470002,164.219163653 50.9736989750001,164.21882934 50.9734995170001,164.217388653 50.9726399750001,164.212912653 50.9688319750001,164.211132653 50.9677689750001,164.206661653 50.9639649750001,164.204875653 50.9628979750001,164.200411653 50.9590979750001,164.198619653 50.9580269750002,164.195000483 50.954945121,164.194160653 50.9542299750002,164.193822197 50.9540276920001,164.192363653 50.9531559750002,164.188748542 50.9500773680001,164.187909653 50.949362975,164.187570067 50.9491599390001,164.186106653 50.948284975,164.181659653 50.9444959750001,164.179648653 50.9432929750002,164.175389653 50.9396639750001,163.637989654 50.6136554530002,163.513285652 50.538004975,163.509441652 50.536353975,163.506400652 50.5344829750001,163.502551652 50.532828975,163.499515652 50.5309609750002,163.495660652 50.5293039750001,163.492630652 50.5274389750001,163.491903452 50.5271265100001,163.488769652 50.5257799750001,163.485745652 50.5239179750001,163.481879652 50.5222549750002,163.478860652 50.520395975,163.475717925 50.5190437580001,163.474988652 50.5187299750002,163.47442098 50.5183804060001,163.471974652 50.5168739750001,163.468827866 50.5155193230001,163.468097652 50.5152049750002,163.46753111 50.5148559710001,163.465089652 50.5133519740001,163.461206652 50.5116809740001,163.458770064 50.5101786010002,163.458204652 50.5098299740002,163.457472179 50.5095146850001,163.454315652 50.508155974,163.451883123 50.5066560360001,163.451318652 50.5063079740001,163.447424652 50.5046309740001,163.446861312 50.5042836660001,163.444433652 50.5027869740001,163.440533652 50.501106974,163.437547652 50.499264974,163.433642652 50.4975819740002,163.431223921 50.4960893410002,163.430662652 50.4957429740001,163.426751652 50.4940569740002,163.423776652 50.4922209740002,163.423039093 50.4919030480002,163.419860652 50.4905329740001,163.416890652 50.4886999740002,163.413707341 50.4873266540002,163.412968652 50.487007974,163.412410586 50.4866633030002,163.410005652 50.4851779740001,163.406077652 50.4834839740001,163.403676777 50.4820002690001,163.403119652 50.481655974,163.399185652 50.4799589740001,163.398629657 50.4796154330002,163.396233652 50.4781349740002,163.392294652 50.4764349740002,163.389902705 50.4749561390001,163.389347652 50.4746129740001,163.385402652 50.4729099740001,163.38484873 50.472567563,163.382461652 50.471091974,163.378511652 50.4693859740001,163.376128633 50.4679120090001,163.375575652 50.4675699740002,163.371619652 50.4658609740002,163.371067801 50.4655196930001,163.368689652 50.4640489740002,163.364727652 50.4623369740001,163.362353561 50.4608678790001,163.361802652 50.4605269740001,163.357836652 50.4588119740001,163.357286684 50.4584718230001,163.354916652 50.4570059740001,163.350944652 50.455287974,163.34857949 50.4538237490001,163.348030652 50.4534839740002,163.347281415 50.4531600210001,163.344052652 50.4517639740001,163.341143652 50.4499629740001,163.337910831 50.448563682,163.337160652 50.4482389740002,163.334257652 50.446440974,163.333506344 50.4461158910001,163.330268652 50.4447149740002,163.327370652 50.4429199740001,163.323376652 50.4411909740002,163.320484652 50.439398974,163.317238032 50.4379923760002,163.316484652 50.4376659740002,163.313597652 50.4358769740001,163.309591652 50.4341419740001,163.309049029 50.4338055900001,163.306710652 50.4323559740001,163.302699652 50.430617974,163.299824652 50.4288349740001,163.295807652 50.4270939740001,163.293478202 50.4256484170002,163.292937652 50.4253129740002,163.29217994 50.4249846890002,163.288914652 50.423569974,163.286050652 50.421791974,163.282781306 50.4203740130002,163.282022652 50.4200449740001,163.281484174 50.4197108500001,163.279163652 50.418270974,163.275890248 50.4168505780001,163.275130652 50.4165209740002,163.274593115 50.4161874150002,163.272276652 50.4147499740002,163.268237652 50.4129969740001,163.265926059 50.4115611570001,163.265389652 50.4112279740001,163.264627796 50.410897429,163.261344652 50.409472974,163.259037929 50.4080395920001,163.258502652 50.4077069740001,163.257739854 50.4073758630001,163.254452652 50.4059489740001,163.251615652 50.4041859740001,163.247559652 50.402424974,163.244728652 50.4006649740001,163.240666652 50.3989009740001,163.237840652 50.3971439740001,163.233773652 50.395376974,163.230953652 50.393622974,163.226880652 50.3918529740002,163.224065652 50.3901019740002,163.219988652 50.3883289740001,163.217178652 50.386580974,163.213095652 50.3848049740002,163.210290652 50.383059974,163.206201652 50.3812809740001,163.203930642 50.3798662600001,163.203403652 50.3795379740001,163.202632379 50.3792025320002,163.199308652 50.3777569740002,163.196515652 50.3760179740002,163.192415652 50.3742329740001,163.189627652 50.372496974,163.185522652 50.3707089740001,163.182740652 50.3689759740002,163.179403939 50.3675223010001,163.178629652 50.3671849740002,163.178106617 50.3668591370001,163.175852652 50.3654549740002,163.172511068 50.363998865,163.171735652 50.3636609740001,163.171213748 50.3633357030001,163.168964652 50.3619339740002,163.164842652 50.3601379740001,163.162076652 50.358412974,163.157948652 50.356613974,163.155188652 50.3548919740002,163.151055652 50.3530899740001,163.148819543 50.351694739,163.148300652 50.3513709740002,163.144161652 50.349565974,163.141412652 50.3478499740002,163.137267652 50.3460419740001,163.136751021 50.345719527,163.134524652 50.3443299740001,163.130374652 50.3425189740001,163.127635652 50.340808974,163.123480652 50.3389949740001,163.120747652 50.337287974,163.117370356 50.3358131970002,163.116586652 50.3354709740001,163.113859652 50.333766974,163.113074818 50.3334243750001,163.109692652 50.3319479740002,163.106970652 50.3302469740001,163.102798652 50.3284239740001,163.100082652 50.3267259740001,163.096691557 50.3252438920001,163.095904652 50.3248999740002,163.093193652 50.3232049740001,163.092405805 50.3228606800002,163.089010652 50.3213769740002,163.086304652 50.319684974,163.082905441 50.3181980230002,163.082116652 50.3178529740001,163.08160812 50.3175348600001,163.079416652 50.3161639740002,163.075222652 50.3143299740001,163.073035242 50.3129607130001,163.072527652 50.3126429740001,163.068328652 50.3108059740001,163.067822004 50.3104889900001,163.065638652 50.309122974,163.061433652 50.307282974,163.05925517 50.3059185819999,163.058749652 50.3056019740001,163.054539652 50.3037589740002,163.054035075 50.3034431200001,163.051860652 50.3020819740001,163.047644652 50.3002359740001,163.045475098 50.2988764520001,163.044971652 50.2985609740001,163.040750652 50.2967119740001,163.040248147 50.2963972500002,163.038082652 50.2950409740002,163.033855652 50.2931889740001,163.031695026 50.2918343220001,163.031193652 50.291519974,163.026961652 50.2896649740002,163.026461219 50.28935138,163.024304652 50.2879999740001,163.020066652 50.2861419740002,163.017914955 50.2847921930002,163.017415652 50.2844789740001,163.016616314 50.284128652,163.013171652 50.282618974,163.010526652 50.2809589740002,163.00707793 50.2794460500002,163.006277652 50.2790949740001,163.005780232 50.2787830750001,163.003636652 50.2774389740002,162.999382652 50.2755719740001,162.997243941 50.2742294970002,162.996747652 50.2739179740001,162.995945301 50.2735659570001,162.992487652 50.2720489740001,162.989858652 50.2703979740002,162.986396132 50.2688777440001,162.985592652 50.2685249740002,162.985098434 50.2682147700002,162.982968652 50.266877974,162.979502074 50.2653553100002,162.978697652 50.2650019740001,162.976078652 50.2633569740002,162.975273288 50.2630032620001,162.971802652 50.2614789740001,162.969189652 50.2598369740001,162.964907652 50.2579559740001,162.962299652 50.2563169740002,162.958012652 50.2544329740001,162.955409652 50.2527969740001,162.951925217 50.2512645700001,162.951116652 50.250908974,162.948520652 50.2492759740001,162.944221652 50.247385974,162.941630652 50.2457559740001,162.940820015 50.2453994370001,162.937326652 50.243862974,162.934740652 50.242235974,162.930430652 50.2403399740002,162.927850652 50.2387159740001,162.923535652 50.2368169740002,162.920960652 50.2351959740002,162.916639652 50.233293974,162.914070652 50.2316759740001,162.909744652 50.229770974,162.907179652 50.2281559740002,162.902848652 50.2262479740002,162.900771627 50.224938775,162.900289652 50.2246349740002,162.899472799 50.2242752350002,162.895952652 50.2227249740002,162.893880496 50.2214182100001,162.893399652 50.221114974,162.892581858 50.2207546700001,162.889057652 50.219201974,162.886989555 50.2178976450001,162.886509652 50.2175949740001,162.885690727 50.217234105,162.882161652 50.2156789740002,162.880097613 50.2143770800002,162.879618652 50.214074974,162.878798786 50.2137135400002,162.875265652 50.2121559740001,162.873206483 50.2108565150001,162.872728652 50.2105549740001,162.871907655 50.2101929750001,162.868369652 50.2086329740001,162.866314541 50.2073359500002,162.865837652 50.2070349740002,162.865015714 50.2066724100002,162.861473652 50.2051099740001,162.858947652 50.203515974,162.854577652 50.2015869740001,162.852056652 50.1999959740001,162.847681652 50.1980639740001,162.845165652 50.196475974,162.841610603 50.194905422,162.840785652 50.1945409740001,162.840312717 50.1942424470002,162.838274652 50.192955974,162.834715544 50.191382987,162.833889652 50.1910179740001,162.833417847 50.1907200120002,162.831384652 50.1894359740001,162.826992652 50.187495974,162.824964327 50.1862135600001,162.824493652 50.185915974,162.823665497 50.1855500190002,162.820096652 50.1839729740002,162.818072384 50.1826929940001,162.817602652 50.1823959740001,162.816773557 50.1820294550002,162.813200652 50.1804499740001,162.810711652 50.1788769740001,162.807133878 50.1772942480001,162.806303652 50.176926974,162.80583599 50.1766312720001,162.803820652 50.1753569740002,162.799407652 50.1734049740001,162.796929652 50.1718369740001,162.792510652 50.1698819740001,162.790503429 50.1686117340002,162.790037652 50.1683169740002,162.785613652 50.1663589740002,162.785149004 50.1660649680002,162.783146652 50.1647979740001,162.778717652 50.1628369740002,162.776255652 50.161277974,162.771820652 50.159313974,162.769827228 50.1580510390001,162.769364652 50.1577579740001,162.764923652 50.1557909740001,162.764462018 50.1554986630001,162.762472652 50.1542389740001,162.758026652 50.1522689740002,162.755581652 50.1507189740001,162.751129652 50.1487459740002,162.748689652 50.1471999740002,162.744232652 50.1452239740001,162.741798652 50.143679974,162.737335652 50.1417009740001,162.735364142 50.1404502140002,162.734906652 50.1401599740001,162.730438652 50.1381779740001,162.729982103 50.1378884880001,162.728014652 50.1366409740001,162.723541652 50.1346559740002,162.721578258 50.1334100840001,162.721122652 50.1331209740002,162.716644652 50.1311329740002,162.716190175 50.1308446180001,162.714231652 50.1296019740001,162.709747652 50.1276109740001,162.707793186 50.1263699540001,162.707339652 50.1260819740002,162.706493982 50.125706603,162.702849652 50.1240889740002,162.700447652 50.122562974,162.696799264 50.1209421,162.695952652 50.1205659740002,162.695501188 50.1202793130002,162.693555652 50.1190439740002,162.689055652 50.1170439740001,162.687114173 50.1158102590001,162.686663652 50.1155239740001,162.682157652 50.1135209740001,162.68170826 50.113235443,162.679771652 50.1120049740002,162.675260652 50.1099989740002,162.673327289 50.1087701280001,162.672878652 50.1084849740001,162.672028086 50.1081067770002,162.668362651 50.1064769740001,162.665986651 50.1049659740002,162.662316348 50.1033329250001,162.661464651 50.1029539740001,162.661018273 50.1026701380002,162.659094651 50.1014469740001,162.654567651 50.099431974,162.652647276 50.0982104330001,162.652201651 50.0979269740002,162.651348072 50.0975470820002,162.647669651 50.0959099740001,162.645754146 50.0946908690002,162.645309651 50.0944079740001,162.644454941 50.094027517,162.640771651 50.0923879740002,162.638417651 50.0908889740002,162.634729491 50.0892461840001,162.633873651 50.088864974,162.633431229 50.088583398,162.631524651 50.0873699740001,162.629630651 50.0865259740001,162.411283651 49.8870139740001,162.40971878 49.8860067100002,162.409355651 49.8857729740002,162.408569311 49.8850506710001,162.405180651 49.881937974,162.403611722 49.8809274640001,162.403247651 49.8806929740001,162.399078651 49.8768609740001,162.398713638 49.876626108,162.397140651 49.8756139740001,162.39376092 49.8725061470001,162.392976651 49.871784974,162.392610508 49.8715493540001,162.391032651 49.8705339740001,162.387656978 49.8674293940001,162.386873651 49.8667089740001,162.386506755 49.866472601,162.384925651 49.865453974,162.381554036 49.8623526400001,162.380771651 49.8616329740001,162.378817651 49.860373974,162.378036396 49.8596550600002,162.374669651 49.8565569740002,162.373079619 49.8555318540001,162.372710651 49.8552939740001,162.371930338 49.854575814,162.368567651 49.8514809740001,162.366602651 49.850214974,162.362464651 49.8464049740001,162.360495651 49.8451349740001,162.356362651 49.8413289740002,162.354387651 49.8400549740001,162.350260651 49.8362529740001,162.348653574 49.835215679,162.348280651 49.8349749740001,162.347504293 49.83425964,162.344158651 49.8311769740002,162.342546705 49.8301364320001,162.342172651 49.8298949740001,162.341397423 49.8291803920001,162.338056651 49.826100974,162.336065651 49.8248159740001,162.331954651 49.8210249740001,162.329958651 49.8197359740003,162.325851651 49.8159489740001,162.323850651 49.8146559740002,162.319749651 49.8108729740002,162.318121472 49.8098202580001,162.317743651 49.8095759740002,162.316972189 49.8088642170002,162.313647651 49.8057969740001,162.312015413 49.8047410110001,162.311636651 49.8044959740001,162.310866132 49.8037849720001,162.307545651 49.8007209740001,162.305528651 49.7994169740002,162.302213041 49.7963546000001,162.301443651 49.7956439740001,162.301062817 49.7953978070001,162.299421651 49.7943369740001,162.296110099 49.7912778470002,162.295341651 49.7905679740001,162.293314651 49.7892569740001,162.289239651 49.7854919740001,162.287207651 49.784176974,162.283137651 49.7804159740001,162.282753992 49.7801677350002,162.281100651 49.7790979740001,162.277801274 49.7760477740002,162.277035651 49.775339974,162.276650862 49.7750909820001,162.274992651 49.7740179740001,162.271698145 49.7709710220002,162.270933651 49.7702639740002,162.268885651 49.7689379740002,162.268122099 49.7682318670002,162.264831651 49.7651889740002,162.262778651 49.7638589740001,162.258729651 49.7601129740002,162.256671651 49.7587789740001,162.252627651 49.7550369740001,162.250953207 49.7539509800001,162.250564651 49.753698974,162.249803925 49.7529949400002,162.246525651 49.749960974,162.244847149 49.748871733,162.244457651 49.7486189740002,162.243698056 49.7479156940001,162.240424651 49.7448849740001,162.238510651 49.7436439740001,162.235126862 49.740509363,162.234341651 49.7397819740002,162.233985114 49.739550686,162.232448651 49.7385539740001,162.228262651 49.7346759740001,162.226363651 49.7334439740001,162.222183651 49.729569974,162.220279651 49.7283339740001,162.216890992 49.7251920570001,162.216104651 49.7244629740002,162.2157451 49.7242296140001,162.214195651 49.7232239740002,162.210025651 49.719356974,162.208110651 49.718113974,162.203946651 49.7142509740002,162.202388273 49.7132380280001,162.202026651 49.7130029740001,162.197867651 49.709143974,162.195942651 49.7078929740001,162.195160266 49.7071669040002,162.191788651 49.7040379740001,162.190222157 49.7030193470001,162.189858651 49.702782974,162.189077207 49.7020576570001,162.185709651 49.6989319740001,162.184139099 49.6979101000001,162.183774651 49.6976729740002,162.179630651 49.6938249740001,162.177689651 49.6925629740002,162.176910279 49.691838975,162.173551651 49.688718974,162.171972171 49.6876914190002,162.171605651 49.6874529740001,162.170827221 49.6867297280002,162.167472651 49.683612974,162.165889112 49.6825821720001,162.165521651 49.6823429740001,162.161393651 49.6785059740002,162.159437651 49.677232974,162.155315651 49.6733999740002,162.153353651 49.6721229740002,162.152578234 49.6714018000002,162.149236651 49.6682939740001,162.147640126 49.667254244,162.147269651 49.6670129740002,162.146495176 49.6662925540001,162.143157651 49.663187974,162.141557067 49.662144997,162.141185651 49.6619029740002,162.137078651 49.6580809740001,162.135101651 49.6567929740001,162.134329059 49.6560738720001,162.130999651 49.6529749740002,162.129390951 49.651926315,162.129017651 49.6516829740001,162.128246002 49.6509646260001,162.124920651 49.6478689740002,162.123307893 49.6468170690001,162.122933651 49.646572974,162.122163132 49.6458553790001,162.118842651 49.6427629740001,162.117225023 49.6417078230001,162.116849651 49.641462974,162.112763651 49.6376559740002,162.110765651 49.6363529740001,162.109997015 49.6356366980002,162.106684651 49.6325499740001,162.105058906 49.6314891410001,162.104681651 49.6312429740001,162.103913957 49.6305274510001,162.100605651 49.627443974,162.098975848 49.6263798940001,162.098597651 49.6261329740001,162.097831086 49.6254182030002,162.094527651 49.6223379740002,162.092892978 49.6212706470002,162.092513651 49.6210229740001,162.088448651 49.6172309740002,162.086430651 49.615912974,162.085665782 49.6151995230001,162.082369651 49.6121249740002,162.080727673 49.6110519660002,162.080346651 49.6108029740002,162.079582912 49.6100902760002,162.076291651 49.6070189740001,162.074644803 49.6059427190002,162.074262651 49.6056929740001,162.073499853 49.6049810290002,162.070212651 49.601912974,162.068561745 49.6008334730001,162.068178651 49.6005829740001,162.064134651 49.5968059740001,162.062095651 49.5954729740001,162.058055651 49.5916999740001,162.056011651 49.5903629740001,162.055251867 49.5896531010002,162.051977651 49.5865939740002,162.049927651 49.5852539740001,162.045898651 49.5814879740001,162.043843651 49.5801439740001,162.039819651 49.576381974,162.037760651 49.5750339740001,162.033741651 49.5712759740002,162.027230651 49.567012974,162.027189256 49.566974014,162.027179651 49.5669649740001,161.90952486 49.4889112260001,161.40250265 49.1525459730001,161.39943065 49.1510979730002,161.396465675 49.1491045490001,161.39577765 49.1486419730002,161.39270065 49.1471909730002,161.392013567 49.146729151,161.38905265 49.1447389730002,161.38596965 49.1432849730002,161.383014414 49.1412964180002,161.38232865 49.1408349730001,161.37923965 49.1393779730002,161.378554827 49.1389172810001,161.37560365 49.1369319730001,161.37250965 49.1354719730001,161.369562532 49.1334882890001,161.36887865 49.133027973,161.36577865 49.1315649730001,161.3650959 49.1311054110001,161.36215365 49.1291249730002,161.35904865 49.1276589730001,161.35611046 49.1256801590001,161.35542865 49.1252209730001,161.354842896 49.1249442940001,161.35231865 49.1237519730001,161.34870365 49.1213179730001,161.34558765 49.1198459730001,161.342658388 49.1178720290001,161.34197865 49.1174139730001,161.33885765 49.1159389730001,161.338178854 49.1154816710001,161.33525365 49.1135109730001,161.33212665 49.1120329730002,161.32852865 49.1096079730001,161.326082322 49.1084505530002,161.32551465 49.1081819730002,161.32181265 49.1056859730001,161.31883065 49.1042759730001,161.31509865 49.1017589730001,161.314536064 49.101492842,161.31211165 49.1003459730001,161.309087424 49.0983054730002,161.30838565 49.0978319730001,161.307821934 49.0975652770002,161.30539265 49.0964159730001,161.302372483 49.0943779080002,161.30167165 49.0939049730001,161.301106991 49.0936377110002,161.29867365 49.0924859730001,161.295657541 49.0904503430002,161.29495765 49.089977973,161.294392049 49.0897101460001,161.29195465 49.0885559730002,161.28894341 49.0865227770001,161.28824465 49.0860509730002,161.287677732 49.0857825820001,161.28523465 49.084625973,161.28222828 49.0825952120002,161.28153065 49.0821239730001,161.28096279 49.0818550170001,161.27851565 49.0806959730001,161.275513338 49.0786676470001,161.27481665 49.0781969730001,161.274247848 49.0779274510002,161.27179665 49.0767659730002,161.268798398 49.0747400830001,161.26810265 49.0742699730001,161.267532717 49.073999886,161.26507665 49.0728359730001,161.262083267 49.0708125180001,161.26138865 49.0703429730001,161.260817776 49.0700723210001,161.25835765 49.068905973,161.255368325 49.066884952,161.25467465 49.0664159730001,161.254102646 49.0661447560001,161.25163765 49.0649759730001,161.24796065 49.0624899730001,161.24491865 49.061045973,161.24124665 49.0585629730001,161.238772726 49.0573885080001,161.23819865 49.0571159730002,161.237508177 49.0566488780001,161.23453265 49.0546359730001,161.232054667 49.053459073,161.23147965 49.0531859730002,161.230790119 49.0527194430001,161.22781865 49.050708973,161.225335798 49.0495296390001,161.22475965 49.0492559730001,161.22110465 49.0467819730002,161.220527373 49.0465079310001,161.21803965 49.0453269730002,161.215077922 49.0433205630001,161.21439065 49.0428549730001,161.213812242 49.0425803660001,161.21131965 49.0413969730001,161.20767565 49.0389289730002,161.20500765 49.0376609730001,161.20099265 49.0349409730001,161.199410735 49.034188569,161.19904365 49.0340139730001,161.198162572 49.0334169190001,161.19436565 49.0308439730001,161.192778865 49.0300891340002,161.19241065 49.0299139730002,161.191530513 49.0293174840002,161.18773765 49.0267469730002,161.18577765 49.0258149730001,161.181989656 49.023246085,161.18111065 49.0226499730001,161.180740364 49.0224738710001,161.17914465 49.021714973,161.175360715 49.01914852,161.17448265 49.0185529730001,161.17251165 49.0176149730001,161.171634716 49.0170201800001,161.16785565 49.0144569730001,161.166250197 49.0136923940001,161.16587765 49.0135149730001,161.165001845 49.012920744,161.16122765 49.010359973,161.15924465 49.009415973,161.155474513 49.0068568250002,161.15459965 49.0062629730002,161.154225032 49.00608461,161.15261065 49.0053159730001,161.14797265 49.0021669730002,161.146353398 49.0013950890001,161.14597765 49.0012159730002,161.145105048 49.0006234400001,161.14134465 48.9980699730001,161.13934365 48.9971169730001,161.135588123 48.9945651300001,161.13471665 48.993972973,161.13433883 48.9937929150001,161.13271065 48.9930169730002,161.12808865 48.9898769730001,161.126455601 48.9890977840002,161.12607665 48.988916973,161.125207249 48.9883261340001,161.12146065 48.985779973,161.11944365 48.9848179730002,161.115701109 48.9822734350001,161.11483265 48.9816829730001,161.114451628 48.9815012200001,161.11280965 48.980717973,161.10820465 48.9775869730001,161.106557802 48.9768004800002,161.10617565 48.9766179730001,161.105309451 48.976028829,161.10157665 48.9734899730001,161.09954165 48.9725189730002,161.095813719 48.96998174,161.09494865 48.969392973,161.09290865 48.9684189730001,161.092044523 48.9678309600002,161.08832065 48.9652969730001,161.08627465 48.964319973,161.082555647 48.9617876090001,161.08169265 48.9611999730002,161.07964065 48.9602199730001,161.078778595 48.9596330900001,161.07506365 48.9571039730002,161.07300665 48.9561209730001,161.069296575 48.9535934790002,161.06843565 48.9530069730001,161.06637265 48.9520209730001,161.065512855 48.9514352200002,161.06180765 48.9489109730002,161.05973865 48.9479219730002,161.056037503 48.9453993490001,161.05517865 48.9448139730001,161.05310465 48.9438219730001,161.052246927 48.9432373500001,161.04855065 48.9407179730001,161.04647065 48.9397229730001,161.042779243 48.9372052190001,161.04192265 48.9366209730001,161.03983665 48.9356229730001,161.038980997 48.9350394790001,161.03529365 48.9325249730001,161.03320265 48.9315239730001,161.02866565 48.9284289730001,161.026962798 48.9276132600002,161.02656765 48.9274239730001,161.02203665 48.9243319730001,161.02164056 48.924142309,161.01993365 48.923324973,161.01540765 48.9202359730001,161.01329965 48.919225973,161.00963097 48.9167203940001,161.00877965 48.9161389730002,161.00666465 48.915125973,161.00581446 48.9145453050002,161.00215065 48.912042973,161.00003065 48.9110269730002,160.99552165 48.9079469730001,160.99339665 48.9069279730002,160.989740956 48.904429699,160.98889265 48.903849973,160.98676165 48.9028279730002,160.98226465 48.899753973,160.981862157 48.8995609190001,160.98012765 48.8987289730002,160.97563565 48.8956579730001,160.97349265 48.8946299730001,160.96900665 48.8915619730001,160.967263215 48.8907243450003,160.96685865 48.8905299730001,160.96237765 48.887464973,160.96022365 48.8864309730001,160.95574865 48.8833689730001,160.955380058 48.8831921170002,160.95379165 48.8824299730002,160.94913565 48.8792429730001,160.948462788 48.8789191230001,160.94830665 48.8788439730001,160.94261565 48.8749479730002,160.942458382 48.8748724470001,160.94178065 48.8745469730002,160.93609465 48.8706539730002,160.935412048 48.8703252530001,160.93525365 48.8702489730002,160.93418385 48.869516311,160.92957365 48.866358973,160.92872765 48.8659519730001,160.924122319 48.8627962580001,160.92305365 48.8620639730001,160.92220065 48.8616539730002,160.921133111 48.8609224410002,160.91653265 48.8577699730001,160.91567365 48.857356973,160.911078059 48.8542061280002,160.91001165 48.853474973,160.90914765 48.8530589730001,160.908082181 48.8523285700001,160.90349065 48.849180973,160.90262065 48.8487619730001,160.898033987 48.845615998,160.89696965 48.8448859730001,160.89609365 48.8444639730002,160.895030441 48.8437347000001,160.89044865 48.8405919730002,160.88956665 48.8401669730002,160.884989727 48.8370258680001,160.88392765 48.8362969729999,160.883760399 48.8362165500001,160.88303965 48.8358699730002,160.87740665 48.8320029730002,160.87651365 48.8315719730002,160.871945655 48.8284357380001,160.87088565 48.8277079730002,160.870716328 48.8276264200001,160.86998665 48.8272749730001,160.86436465 48.8234139730002,160.863630102 48.8230592800001,160.86345965 48.8229769730001,160.85784365 48.8191189730001,160.857672068 48.8190362890002,160.85693265 48.818679973,160.85132265 48.8148249730001,160.85040565 48.8143829730001,160.84480165 48.8105309730001,160.844052493 48.8101689750001,160.84387865 48.8100849730001,160.83828065 48.8062359730001,160.838105677 48.8061515940002,160.83735165 48.805787973,160.83175865 48.8019419730001,160.83082465 48.8014909730001,160.82523765 48.7976479730001,160.824473883 48.79727867,160.82429665 48.7971929730001,160.81871665 48.7933529730002,160.818538287 48.7932668990002,160.81776965 48.7928959730002,160.81219465 48.7890589730002,160.81124265 48.7885989730001,160.80567365 48.7847649730002,160.80341465 48.783672973,160.79905865 48.7806729730002,160.59585436 48.6818499340002,160.54870065 48.6589179730002,160.53435865 48.6429849730001,160.533010287 48.6419502050001,160.52719965 48.6374909730001,160.522890649 48.6326979730002,160.061898206 48.2743571610001,159.954924649 48.1912039720001,159.914928074 48.1689530780001,159.742566649 48.0730649720002,159.528218649 47.9021949720001,159.339174046 47.7950634190001,159.264237648 47.752596972,159.26423627 47.752596512,159.264234648 47.7525959720001,159.037497648 47.4838289720001,159.036441648 47.4825689720001,158.596542636 47.118172519,158.494463648 47.0336139710001,158.488120367 47.0298696670001,158.460784648 47.0137339710001,158.256115647 46.8411859710001,157.915244647 46.6367259710001,157.854095371 46.584168875,157.839905647 46.5719729710001,157.826866711 46.5640649290002,157.770676647 46.5299859710001,157.504921647 46.2992429710001,157.396528647 46.2325179710001,157.193408646 45.9695749700002,157.191733646 45.9680899700001,157.191317646 45.9675479700001,156.776669154 45.5958806610001,156.680449646 45.5096349700002,156.673236646 45.5050379700001,156.632847536 45.4682462520001,156.458794646 45.3096959700002,156.454354646 45.30683897,156.451718646 45.3044259700002,156.043135578 45.0389806960001,155.948323645 44.9773839690001,155.916956292 44.9479953690002,155.781781645 44.8213479690002,155.771522645 44.8145689690001,155.77086277 44.8139480530001,155.770709645 44.813803969,155.768711645 44.8124839690001,155.768515201 44.8122992030001,155.767668645 44.8115029690001,155.70149686 44.7676979570002,155.686141645 44.7575329690002,155.680566062 44.7522672140001,155.656538645 44.7295749690001,155.17548213 44.4066272120002,155.063852644 44.3316869690001,155.063847559 44.3316847090001,155.063825644 44.331674969,155.060872644 44.3296699690002,154.968602644 44.2859189690002,154.857672644 44.2102089690001,154.313699126 43.9475274260001,154.187469644 43.8865719680002,154.097719603 43.8573183890002,153.710950643 43.7312529680001,153.673603643 43.7047149680001,153.627089314 43.6815625070002,153.616295643 43.676189968,153.548684533 43.6276930400002,153.257320643 43.4186999680001,153.247250643 43.4136099680002,153.198139844 43.3780919530001,153.186743643 43.3698499680002,153.185297529 43.369117117,153.179065643 43.3659589680001,153.113424668 43.3183472860001,153.098192643 43.3072989680001,152.752244642 43.130289968,152.739662642 43.1210399680001,152.739064458 43.1207320230001,152.736486642 43.1194049680002,152.733428326 43.1171550600002,152.732718642 43.1166329680001,152.611033268 43.053216264,152.086641642 42.7799279670001,152.01763798 42.7555361110002,152.001625642 42.7498759670002,152.001564642 42.7498439670002,152.001425643 42.749794809,152.000826642 42.749582967,152.000646454 42.7494871920001,152.000604642 42.7494649670002,151.992714116 42.7466689860001,151.958710642 42.7346199670001,151.957068642 42.7337509670002,151.956093642 42.7334049670001,151.955128642 42.7328939670002,151.380027348 42.5261378800002,151.246574641 42.4781599670002,151.228256004 42.4741389860001,151.149313409 42.4568106490001,150.382198598 43.6874384100001,149.748234471 44.6304149630002,149.562128916 44.9072337410001,149.554950061 44.917875852,149.528768769 44.9566876470001,149.524014507 44.9637354830001,149.493279384 45.0090247730001,149.455271949 45.0650300699999,149.339370948 45.2084700680001,149.334965031 45.2137064530001,149.334964639 45.2137069690002,149.298287623 45.2619954550002,149.275635869 45.2909894530002,149.25495091 45.3182340800001,149.244195806 45.3329534350001,149.233594062 45.3474629020002,149.219764768 45.3667616490001,149.211911962 45.3777202220001,149.195626262 45.4002200210001,149.186682634 45.41257625,149.180683858 45.4286392700002,149.160707722 45.4821296930001,149.159968474 45.484077202,149.159660498 45.4848885500001,149.159597352 45.4850556090001,149.159429912 45.4854985910002,149.159239076 45.4860034720001,149.156571113 45.4954506250001,149.155106904 45.500635333,149.152431248 45.5101097280001,149.134078293 45.5772972090001,149.127968763 45.5996633060001,149.12678143 45.604096972,149.124157443 45.6138952990001,149.119644533 45.6334441120001,149.116897354 45.6453442150001,149.112418914 45.6647437170002,149.109425831 45.6821902670002,149.108150122 45.6896263170001,149.103971352 45.713984184,149.087525606 45.7528789760001,149.0636624 45.8216671070002,149.018707538 45.9515095990001,149.0015295 45.996258369,148.963788273 46.0563248650001,148.898254685 46.171494324,148.809538734 46.3038576160001,148.794720773 46.3267653000001,148.753996155 46.3897231280002,148.667921645 46.5225074000001,148.667921569 46.5225075180001,148.559495328 46.6843634640002,148.152210255 47.2803702250001,148.030350824 47.4529179830002,147.93201571 47.5921563110001,147.850647046 47.7073708690002,147.551051266 47.5778766420001,146.46870992 47.0909396220001,146.459330951 47.086657512,146.438487791 47.0771412510001,146.285900028 47.007371521,146.275006529 46.9846313120001,146.26596291 46.9657527310002,146.257098161 46.9472475420002,146.072240472 46.5563609210001,146.014137154 46.431514576,145.997845005 46.3977221120001,145.982369275 46.3656230270001,145.975591775 46.3515654310001,145.970726774 46.3414215190001,145.966982885 46.3336412850001,145.833791782 46.137472116,145.745562693 46.007524796,145.670115721 45.9580379730001,145.670005717 45.9579658200001,145.669958812 45.9579350550001,145.65057908 45.9452235920002,145.627192471 45.9298200100001,145.613721952 45.9209476580002,145.603664363 45.9143041380001,145.60356207 45.9142365690001,145.603538623 45.9142210810001,145.603486489 45.9141866440001,145.581390847 45.8995914140001,145.522105857 45.860933134,145.393673773 45.7771857400001,145.340734849 45.7404639650001,145.229148123 45.6495282220001,144.38027007 45.1837899990002,144.370605985 45.1817516090001,144.320310949 45.1730573760001,144.168144177 45.177412281,143.937335108 45.1928159230002,143.937334856 45.192815955,143.937334635 45.1928159780001,143.882618292 45.1996140370001,143.732262638 45.2267767600002,143.717462868 45.229881484,143.60437256 45.2560101270002,143.489771186 45.301044,143.41649549 45.329810067,143.380012171 45.3440534470001,143.314930824 45.3728125660001,143.013446312 45.5144102200002,142.996500655 45.5246578200001,142.994846758 45.525657986,142.994679697 45.5257607870001,142.993664715 45.5263853510001,142.952274231 45.5521423320002,142.918545397 45.5749047420001,142.912975533 45.5790966830001,142.891213265 45.5958384690001,142.878289294 45.6058833470001,142.876647016 45.6071597720001,142.871296769 45.6113696550002,142.86085762 45.6195837770002,142.837273581 45.6402643180002,142.806149544 45.6676533820001,142.664465782 45.656767062,142.494407279 45.6446535239999,142.486036498 45.6440712380001,142.470666745 45.643140558,142.424017309 45.640421068,142.401280225 45.6400764120002,142.395655213 45.6400220850002,142.377175281 45.6398938730001,142.299111693 45.6544385010002,142.274918317 45.6589809690001,142.081992219 45.694566723,141.969370008 45.7155114860001,141.937492827 45.7212776490001,141.838487341 45.7397751920002,141.707403399 45.7675942810002,141.621211712 45.7859737250002,141.492395862 45.8467281060002,141.352515396 45.8093106790001,141.247930172 45.8211855180002,141.163740651 45.8353135190002,141.073275676 45.8508136950002,140.966463322 45.8669308900001,140.749177092 45.8995248370002,140.606722557 45.9201993400001,139.689295723 46.0487175400001,139.658895357 46.012981197,139.557041545 45.8884468120001,139.557041468 45.8884467170001,139.549088319 45.8735682150001,139.414242701 45.6213032520002,139.337194844 45.464878105,139.304009431 45.3976922420001,139.241936085 45.2398590030002,139.239754675 45.2334394260001,139.236968178 45.2204752690001,139.235846443 45.2152564030001,139.211680076 45.0882514420002,139.130837799 44.6633894660001,139.12536207 44.6196008130002,139.009737445 44.5495937320001,138.802778891 44.398113009,138.671608892 44.2959615380001,138.497861431 44.1520242480001,138.45513104 44.1086445670002,138.401890886 44.050207019,138.266325485 43.8714805790001,138.175223458 43.7436901870001,138.149950746 43.6971061860001,138.053052746 43.5995135850001,137.804202017 43.3478382690001,137.734529372 43.295949562,137.720784129 43.2857127910001,137.704020823 43.2727797740002,137.70308058 43.2720543700002,137.626787119 43.2131933870002,137.607152504 43.1915157070001,137.603801164 43.187815647,137.563765713 43.1368687670002,137.498443535 43.053743409,137.483993967 43.0357283260001,137.453377532 42.99755356,137.308271673 42.8089117220002,137.206615714 42.6701473230002,137.084319215 42.5032077730002,136.913846747 42.2017754550001,136.778412653 41.9622985870001,136.54537076 41.6871048720001,136.496854896 41.6296859950002,136.421534663 41.5163503480002,136.393461942 41.4728855900001,136.193610425 41.1617122820001,136.116102527 41.0295261740002,135.889357053 40.5206644720001,135.868849302 40.5137403020001,135.277507338 40.3089360600001,134.798156575 40.1397285700002,134.798156507 40.1397285460001,134.742584522 40.1201120220001,134.544693151 40.0289611470002,134.371778558 39.949314843,134.221631595 39.8785412950002,133.640220926 40.0399889680001,133.110186505 40.187170347,132.815554096 40.268984663,132.612218825 40.4924606050001,132.420206884 40.7038621710001,132.343145355 40.7686847470002,132.332950909 40.7772403190002,132.310758564 40.8253210740002,132.302260595 40.843773211,131.649680865 41.621616065,130.883333 42.15,130.696989 42.2928720000002,130.698068081 42.2925952470001,130.723845202 42.3079091530001,130.744109291 42.3308271200002,130.869045246 42.523809042,130.869045112 42.5238091800001,130.869045622 42.5238099670002,130.849637797 42.5437280100002,130.842431455 42.551123802,130.837245622 42.5564459670001,130.794043493 42.5645612490001,130.790254321 42.5652731170001,130.747463622 42.5866549670001,130.736004045 42.5972250140001,130.732940622 42.6000506440001,130.687925617 42.6415714340001,130.676609456 42.652009198,130.714200314 42.6856181630001,130.805236164 42.6880450590002,130.878450088 42.6567214650001,130.884427622 42.654163967,130.893813621 42.6511275240001,130.967745174 42.6272090380001,130.991336208 42.6361091100002,131.073706916 42.6538374260002,131.092907956 42.657969809,131.114254407 42.662563921,131.164154121 42.6036091190001,131.165453611 42.5913962180001,131.166150492 42.5848437960001,131.167190622 42.5750639670001,131.196213119 42.5595011550001,131.19793435 42.5585781750002,131.199760859 42.5575987410001,131.202945234 42.5558911110001,131.202945331 42.5558911230002,131.202945622 42.555890967,131.206990008 42.5563766610001,131.22316339 42.5583181750001,131.223163611 42.5583189660001,131.230403275 42.5849279430002,131.231627622 42.5894279670002,131.231654597 42.5895504919999,131.233036622 42.5958279670002,131.228731852 42.5997675020001,131.219004923 42.6086691550001,131.212245622 42.6148549670002,131.216687666 42.6378591560002,131.2174888 42.6420080180001,131.2190994 42.6503488920002,131.219272485 42.6512452550002,131.27810928 42.7637450440002,131.303863348 42.7783270410002,131.356354179 42.7994360260001,131.47260028 42.871936136,131.498456783 42.9415374760001,131.499118509 42.9433186620001,131.524991365 43.0052731050001,131.584136254 43.0455449650001,131.638882319 43.100545002,131.753600231 43.2213731540001,131.759147021 43.2603094340001,131.761654579 43.2779096590002,131.777482285 43.3040180490001,131.810518216 43.3255540080001,132.050799461 43.3130450630001,132.044981623 43.2805459680001,132.039951116 43.2762657490001,132.034600102 43.2717128270001,132.032094766 43.2695811560002,132.006656708 43.2479371260001,132.004101425 43.2457629570001,131.991772346 43.2352731990001,131.963009342 43.227764188,131.963009152 43.2277641060002,131.963008623 43.227763968,131.957062047 43.2252083210001,131.931363299 43.2141642140001,131.925106413 43.2088099890002,131.908308623 43.1944369680002,131.845376544 43.084438156,131.844699623 43.0832549680002,131.844700737 43.0832547590002,131.844700288 43.0832539740002,131.948854152 43.0637450940002,132.046100322 43.1237451040001,132.067104584 43.1480892230001,132.072463623 43.1542999679999,132.084949893 43.1653931810001,132.085455983 43.1658428080002,132.085909166 43.1662454300001,132.097318623 43.1763819680002,132.104127565 43.1795002470002,132.131900333 43.1922180450002,132.150455145 43.1982581730001,132.151574496 43.1986224840001,132.151850192 43.1987122140002,132.152802119 43.1990220350002,132.156645623 43.200272968,132.165658986 43.2029523870002,132.187472352 43.2094359830002,132.228991271 43.2304732190001,132.287000244 43.2876270700001,132.302463346 43.3172180380001,132.348736621 43.2936129420002,132.35134528 43.2922821430001,132.368836275 43.213327073,132.352469107 43.1712308660001,132.350799623 43.1669369680001,132.34229276 43.1487201560001,132.338403544 43.1403916910002,132.337932975 43.1393840020002,132.336069439 43.1353933810001,132.335236623 43.1336099680001,132.33523648 43.1336095820002,132.335236252 43.133609096,132.305236247 43.0530450920001,132.300473736 43.031787492,132.284699623 42.9613819670001,132.287890623 42.879718967,132.287891239 42.8797180750001,132.311218244 42.8463822280001,132.311218427 42.846382247,132.311218623 42.8463819670002,132.319571189 42.8472846630001,132.320668019 42.8474032020002,132.351682385 42.8507540610001,132.351714307 42.8832196080002,132.351727622 42.8964451320001,132.423036186 42.9294359920002,132.45846683 42.9332322470001,132.461899623 42.9335999670002,132.47585988 42.9259133740001,132.506163375 42.9092270560002,132.589145223 42.8419361310002,132.688563312 42.8594360360001,132.759907221 42.8684712260001,132.771908624 42.8699909670001,132.77310794 42.8462708800001,132.773409576 42.8403051390001,132.774408624 42.8205459670002,132.798308624 42.7629099670002,132.798308936 42.7629097820001,132.798309247 42.7629090330001,132.817745204 42.7513911250001,132.825255679 42.7480186850001,132.837894208 42.7423435340002,132.840663624 42.7410999670002,132.842106355 42.7408411530002,132.853027624 42.7388819670002,132.856215572 42.740839296,132.858082792 42.7419857270001,132.87768235 42.7540180130002,132.890744463 42.7945755420001,132.891727361 42.7976271510001,132.916072305 42.8183271590001,132.936100359 42.821936072,132.994400352 42.818818171,133.039427265 42.7708270820002,133.038414004 42.7678554010001,133.030265587 42.7439591660001,133.029698888 42.742297252,133.029008624 42.7402729670001,133.002964115 42.7178894670001,133.001246951 42.7164136800002,133.000808624 42.7160369670002,133.000809427 42.7160361790001,133.000809323 42.7160360890001,133.033036232 42.6844359790001,133.078395886 42.6822487820001,133.090518624 42.6816639670001,133.105976301 42.6818977780002,133.154845234 42.6826360490001,133.188854136 42.6991540980001,133.216372427 42.7280450100001,133.341537428 42.7512502790001,133.371472624 42.7567999670002,133.387597422 42.7616891880001,133.442472422 42.7783270410002,133.569699726 42.8191639840001,133.600864625 42.8243784020001,133.905427231 42.8753360040002,133.92845021 42.8859463470001,133.940245625 42.8913819670001,133.955401914 42.9024387990001,134.052279276 42.9731128750001,134.130245625 43.0299909680001,134.185672625 43.0781909680002,134.205916905 43.0839228390001,134.270536229 43.1022180300001,134.299604549 43.1096170730001,134.302181625 43.1102729680001,134.30252694 43.1103315260002,134.308407514 43.1113287490001,134.348018207 43.118045075,134.42190921 43.151653992,134.597745278 43.232209111,134.64580929 43.259718014,134.82621819 43.3719361080001,134.862591291 43.3948540750002,135.000000356 43.4623361070001,135.040931428 43.4809920370002,135.043242873 43.4820455010001,135.043314524 43.4820781560001,135.044735003 43.4827255530003,135.045208066 43.4829411560001,135.057345626 43.488472968,135.077237931 43.4935104660001,135.078069915 43.4937211560001,135.079452996 43.4940714060002,135.089690626 43.4966639680002,135.094046052 43.4973754100001,135.131100363 43.5034270470002,135.200734262 43.6064414740002,135.218058969 43.6320706560002,135.221861194 43.6376954510002,135.222472626 43.6385999680001,135.249939802 43.6645672810002,135.274409281 43.6877001740001,135.35912719 43.714718062,135.422336295 43.7561090740001,135.466645215 43.8019361240002,135.477168096 43.8154229200002,135.498621369 43.8429181570001,135.503054626 43.8485999680001,135.502363626 43.878672968,135.502363358 43.8786729410001,135.502363354 43.8786731180001,135.476900306 43.8761000390001,135.467099214 43.9141780030001,135.460986944 43.937926313,135.459472781 43.943809367,135.559891205 44.0113820020002,135.564194075 44.0116316000001,135.598300271 44.013609187,135.620896797 44.02764032,135.629392658 44.0329153130001,135.629836626 44.0331909680001,135.630613427 44.0393082250002,135.631900304 44.0494361230001,135.632606086 44.0668366680002,135.633027626 44.0772189690001,135.634961709 44.087917857,135.637519016 44.102064272,135.647336626 44.1563729690001,135.647748714 44.1567985240002,135.674630789 44.1845591570003,135.689575625 44.1999924210002,135.722454195 44.2339451140002,135.759355957 44.2444646880002,135.769972626 44.247490969,135.779142319 44.252514675,135.801418261 44.2647180980002,135.837263302 44.317145059,135.837263297 44.3171454870001,135.837263627 44.3171459690001,135.837065723 44.3332966540002,135.837035628 44.3357525960001,135.837024547 44.3366569620002,135.836896853 44.3470778810002,135.836872636 44.349054213,135.89191834 44.4017270120002,135.982182385 44.4266539540001,136.049409272 44.4458270540002,136.130100346 44.4770731130001,136.183991289 44.513600106,136.223928866 44.5948360050002,136.225449555 44.5979291500002,136.225645627 44.5983279690001,136.227327622 44.6290188770001,136.22854653 44.6315621350001,136.243836627 44.6634639690002,136.257754627 44.6813819690001,136.278512417 44.7003944800001,136.312279843 44.7313228000002,136.37387241 44.7877361180002,136.428978121 44.7865629450001,136.437472627 44.7863819690001,136.447035403 44.7958363710002,136.498445627 44.8466639690002,136.515906141 44.8670948660002,136.559691325 44.9183270080001,136.576627295 44.950545032,136.600800369 44.980818119,136.654691313 45.030127012,136.686157294 45.0465050920002,136.695527627 45.051381969,136.715001822 45.0687481580001,136.746549303 45.0968807450001,136.793027249 45.1383271560001,136.857727327 45.2133270850002,136.947515484 45.2712590210002,137.005827628 45.3088819700001,137.020071933 45.3171862300001,137.042754152 45.3304090290001,137.091063419 45.3547180570002,137.149479305 45.3966201850001,137.152145628 45.3985327220001,137.176636628 45.4160999700001,137.259154628 45.4792999700001,137.274187143 45.501004842,137.290800317 45.5249912240001,137.333982373 45.5724911340001,137.356560564 45.5918850530001,137.377163628 45.6095819700001,137.445254628 45.6495819700002,137.528318628 45.69137297,137.600352786 45.7429193800001,137.664000366 45.788464113,137.678725839 45.8079165390002,137.680014468 45.8096187510001,137.689972628 45.8227729700002,137.691206351 45.8257323660001,137.705518628 45.8600639700002,137.708966979 45.8637275950002,137.716223475 45.8714371000001,137.718623189 45.873986622,137.71878022 45.874153457,137.719916139 45.8753602890002,137.732083737 45.8882874860002,137.733282376 45.889560954,137.741576549 45.8983729160001,137.774991349 45.9338732020001,137.78239757 45.9406371440002,137.793854628 45.9510999700001,137.853027628 45.9985999700002,137.872169033 46.0147435040001,137.931091388 46.0644360970001,138.035956459 46.1575544620002,138.062472629 46.18109997,138.079472685 46.2002222470002,138.101363381 46.2248451050002,138.106026447 46.2364321900001,138.106226312 46.2369288210002,138.106595863 46.2378470960001,138.10708007 46.2390502360001,138.107136539 46.239190552,138.107894629 46.2410742600001,138.108303218 46.2420895280001,138.110645629 46.247909971,138.110607388 46.2512439360001,138.11049586 46.2609673660001,138.110309218 46.2772911760002,138.134317096 46.3318906390002,138.157054629 46.3835999710001,138.181939799 46.420168859,138.199963396 46.446654068,138.233563429 46.482627017,138.253436251 46.492909098,138.269582834 46.4982871710001,138.275545629 46.5002729710001,138.294766107 46.5088576060001,138.30510029 46.5134730910002,138.324009361 46.5252731350002,138.334017285 46.5375488960001,138.343427629 46.5490909710001,138.353145629 46.5831909710001,138.351327822 46.5920200050002,138.349000341 46.6033270940001,138.344682319 46.6258271390002,138.348217911 46.6440046970001,138.348572576 46.6458276970002,138.351673578 46.6554352050002,138.355330026 46.6667634370001,138.360227625 46.6819369730001,138.383882301 46.7347181200001,138.393582343 46.754164136,138.477849241 46.892156324,138.500396629 46.9290787780002,138.508849738 46.9429211600001,138.539577678 46.9932396700001,138.53967978 46.993406867,138.540447732 46.9946644250001,138.541019657 46.995600982,138.541208444 46.99591013,138.555236629 47.0188819710002,138.561139239 47.0267338180001,138.573300238 47.0429091340001,138.60676331 47.0786091680002,138.63350024 47.0932540300001,138.67220921 47.1133270110002,138.716645199 47.1444361100001,138.741118526 47.1626114560001,138.763027629 47.1788819710001,138.806031332 47.220971097,138.841645192 47.2558270770001,138.896091353 47.3077732520002,138.987182357 47.3544361450001,139.025082306 47.390044984,139.039568885 47.401649358,139.043854629 47.405081972,139.047292256 47.4193762360001,139.052200277 47.4397821920002,139.048807545 47.455582679,139.045536665 47.4708188040001,139.059935893 47.4928427340002,139.09911863 47.5527729720001,139.178142006 47.665231831,139.265809224 47.789991183,139.284009354 47.814300211,139.371336212 47.88610915,139.424991289 47.9222180530002,139.450476553 47.9329841350001,139.45522763 47.9349909720002,139.459485825 47.9368606780001,139.473572297 47.9430450710001,139.5229003 47.9680451030001,139.65497244 48.0669361380002,139.674136153 48.0844360430002,139.704127273 48.120545115,139.865509253 48.2391540740002,140.005245302 48.3233271580002,140.176091288 48.4501270810002,140.190460545 48.509498021,140.191772631 48.5149189730002,140.175536631 48.5480459730002,140.176896899 48.5670581610001,140.178579974 48.5905821300001,140.184282251 48.6702732420001,140.213291348 48.7636090870001,140.245100335 48.839718109,140.262962142 48.8561607460001,140.266372631 48.8592999730001,140.27327614 48.8628611610002,140.273357204 48.8629029780002,140.274941347 48.8637201610001,140.274989335 48.8637449160002,140.276532687 48.8645410570001,140.301636631 48.8774909730002,140.319896942 48.888435321,140.348218196 48.9054090960001,140.388736316 48.9658270280001,140.388736436 48.9658276830001,140.388736631 48.9658279730001,140.389388131 48.9693904220001,140.393309315 48.9908270600001,140.393308566 48.9908276180001,140.393308631 48.9908279730003,140.384336647 48.997507666,140.367191305 49.0102732430001,140.349094678 49.184183408,140.34844001 49.1904750660001,140.347146825 49.2029031700001,140.343095901 49.2418344180001,140.34246418 49.2479055400002,140.342119179 49.2512211620001,140.339963688 49.2719364260003,140.388537844 49.3140778220001,140.417114631 49.3388697850001,140.434418631 49.353881973,140.491952911 49.4516014490001,140.553891325 49.556800154,140.535754958 49.6786406040002,140.528318631 49.7285999740001,140.52125199 49.7365824660001,140.470518631 49.7938909740002,140.44509963 49.8163099730002,140.418445329 49.8544297990001,140.417934546 49.855160299,140.416393607 49.8573640820002,140.411254631 49.8647136230002,140.410672845 49.865545667,140.486618338 49.9789449850002,140.559009315 50.0024910920001,140.605489022 50.0264095220002,140.658327631 50.0535999740002,140.686415738 50.0862501620002,140.689727631 50.0900999740001,140.689727181 50.090099976,140.689727275 50.0901000860002,140.683441326 50.0901325770002,140.629954631 50.0904099740001,140.604382799 50.0793193550002,140.592327375 50.0740912240001,140.586694516 50.0795778910002,140.579139829 50.0869365080001,140.533800239 50.1311001650002,140.525729912 50.1496188800001,140.516218631 50.1714459740001,140.516936631 50.1899909740002,140.528556695 50.2102064170002,140.5325453 50.2171450950001,140.53254529 50.2171453810001,140.532545631 50.2171459740001,140.530626424 50.2706346690001,140.527191276 50.366391084,140.517230201 50.4083431430003,140.508727631 50.4441549740001,140.495938248 50.465447138,140.493291339 50.4698541120001,140.493290898 50.4698545290001,140.493290631 50.469854974,140.449263631 50.5115189740001,140.439418631 50.5368729750002,140.486072631 50.6095819750001,140.482930735 50.6214346790001,140.477846727 50.6406139390002,140.477480477 50.6419956080002,140.477332605 50.6425534500002,140.472450732 50.660970164,140.471988926 50.6627123120001,140.461627631 50.7017999750001,140.482101814 50.7518659140002,140.528591389 50.8655449870002,140.587463362 50.9158270180002,140.61187613 50.9270903280002,140.618163631 50.9299909750002,140.621567825 50.9304991290001,140.640518295 50.9333270910002,140.67721829 50.9466271600001,140.677218584 50.9466279580001,140.677218631 50.9466279750001,140.678359416 50.9497245390001,140.706909338 51.027218153,140.70954457 51.0443592780001,140.710645631 51.0515189750002,140.701956057 51.0838185270002,140.697400237 51.100754099,140.67609126 51.1736090990002,140.674991386 51.2044360620001,140.687842312 51.3010030030001,140.689972522 51.3170091540001,140.708591251 51.3297180220002,140.729127249 51.3358180360001,140.756761252 51.339440399,140.763045631 51.3402639750001,140.785127246 51.331664129,140.785127631 51.331663975,140.818436631 51.3359639750001,140.837827935 51.3460565370002,140.867536276 51.3615181250001,140.867536516 51.3615189150002,140.867536631 51.3615189750002,140.870297847 51.370605159,140.886309224 51.4232910750001,140.884888581 51.4230931350001,140.864769241 51.4202901240002,140.814272631 51.413254975,140.808061297 51.4277580650001,140.79621883 51.455409511,140.835591334 51.4819360670002,140.871837784 51.4800442740002,140.880863631 51.4795729750002,140.902463631 51.4940909750002,140.904015658 51.5195476650001,140.907409324 51.5752001620001,140.908309206 51.6123541220001,140.996063374 51.6594270580001,141.011232076 51.6637252110002,141.016663631 51.6652639760002,141.033389444 51.6686270030002,141.081636235 51.6783270760001,141.132342822 51.7336900750001,141.178219458 51.7837791640002,141.179162631 51.7848089400001,141.179438819 51.7851104880002,141.180330816 51.786084389,141.187472631 51.7938819760001,141.190708705 51.800816861,141.201082379 51.8230449930002,141.215927232 51.8369359860001,141.255460787 51.8615379300002,141.275954632 51.8742909760002,141.300864786 51.8833993840001,141.365236253 51.9069361100001,141.401509275 51.9087360400002,141.422682297 51.9230451220002,141.42810036 51.9440181520002,141.428099539 51.9440186190001,141.428099632 51.9440189760001,141.416721019 51.9504876350002,141.356763632 51.9845729760002,141.356763323 51.9845731530001,141.353601327 51.985537961,141.325808632 51.994018976,141.305254632 52.0088189760001,141.306337476 52.0147350760002,141.309691392 52.033054081,141.343291257 52.103054037,141.398591366 52.138327097,141.473707101 52.1578183390002,141.4836517 52.16039865,141.48631767 52.1610903860001,141.486354632 52.1610999760002,141.486359345 52.1611115920002,141.506927632 52.2117999760001,141.506927213 52.2117999690001,141.506927298 52.2118001780001,141.498366639 52.2116573240002,141.465518632 52.2111099760002,141.434418632 52.2137459760002,141.418205076 52.2187232150001,141.395536631 52.2256819750002,141.376695315 52.235745187,141.277191233 52.2888912240001,141.234101326 52.3170471380002,141.232811184 52.3178901650001,141.227427438 52.3214081050002,141.164763631 52.3623549760002,141.160222073 52.3686027810001,141.159103631 52.3701414160001,141.158324093 52.3712138250002,141.157440631 52.3724291990001,141.155480038 52.3751263800001,141.130645631 52.4092909760002,141.124263631 52.4305459760002,141.127745568 52.4607544230001,141.136476017 52.4696145400002,141.149845631 52.4831819760001,141.168854631 52.491663976,141.175493162 52.4927782120001,141.198591277 52.4966539620001,141.220245254 52.5072181770001,141.234573343 52.522685127,141.255245632 52.5449999760001,141.261156632 52.5521360820001,141.268582348 52.5611000680001,141.278424801 52.5762100880002,141.283872632 52.584572976,141.312745251 52.6580449950002,141.312745632 52.6580459760002,141.282745632 52.7163819770001,141.210225992 52.8284879560001,141.200809296 52.8430449960002,141.200809258 52.8430450080002,141.200808632 52.843045977,141.079418631 52.8797189770002,141.074882946 52.8820349190001,141.055786631 52.8917855890001,140.991598872 52.9245601650001,140.971089247 52.9350324770002,140.959472578 52.9409641130002,140.949173639 52.9674340650001,140.941072631 52.9882549770001,140.846928299 53.0438333550002,140.824198227 53.0572521190002,140.805620478 53.0682195470001,140.800263456 53.0713821210002,140.796154456 53.0734795580001,140.722181007 53.1112402520001,140.713337867 53.1157543460002,140.750000368 53.121936061,140.793936363 53.1224186230002,140.800536631 53.1224909770002,140.840654474 53.1199909870001,140.865372404 53.108745125,140.928928849 53.0750013230002,140.961908631 53.0574909770001,141.010255545 53.0362605409999,141.127318278 52.9848540580002,141.153623652 52.9798612500001,141.156627631 52.9792909770002,141.178318631 52.9813729770001,141.186834517 52.9835902110001,141.206636228 52.9887451050001,141.253600367 53.0274270850002,141.253599058 53.0274275040002,141.253599632 53.0274279770001,141.248779204 53.0289704160001,141.233854632 53.0337459770003,141.199508149 53.0391098440001,141.190082304 53.0405821470001,141.210440087 53.056944679,141.236354632 53.0777729770001,141.241735838 53.0805847650001,141.260800254 53.0905449960001,141.353854132 53.0955451360001,141.435809364 53.1537359960001,141.424194119 53.2311668780002,141.415987397 53.285878229,141.414827632 53.2936099770001,141.399856975 53.3004378470002,141.394436632 53.3029099770001,141.312745632 53.3119369770002,141.294460985 53.3098405470001,141.272129298 53.3072801020001,141.269136632 53.3069369770001,141.241772632 53.3076369770001,141.221345632 53.3149909770002,141.141081631 53.3611099770002,141.097522793 53.3783486650001,141.034427631 53.403318977,141.024670892 53.4062501660001,141.000287624 53.413575559,140.955406156 53.4270591660002,140.953454189 53.4276455890001,140.926009271 53.4358911420002,140.935803731 53.4706267540001,140.938854432 53.4814452720001,140.954273726 53.4923309770001,140.957458388 53.4945791660002,140.961272491 53.4972717050001,140.964145631 53.4992999770002,140.906099631 53.5169369770001,140.826085343 53.5405847580001,140.785800314 53.5524911270001,140.582736631 53.6320729780002,140.57086511 53.6388505370001,140.555236535 53.647773107,140.554273061 53.6490817610002,140.550846415 53.6537360550001,140.527682287 53.6852001240001,140.538591334 53.7095731900001,140.486909358 53.741382177,140.469556874 53.7496275370002,140.453581631 53.757218978,140.416907413 53.763681859,140.409427212 53.7650002010002,140.404960769 53.7657201880002,140.381908631 53.769436978,140.360790631 53.7798549780001,140.310840542 53.8173715080001,140.310468555 53.8176509000001,140.307494631 53.819884556,140.307138135 53.8201523130001,140.304170312 53.8223813860002,140.303814211 53.8226488460001,140.300801993 53.8249112640001,140.278872631 53.8413819780002,140.255872631 53.8626369780001,140.25458385 53.8716002190002,140.251800326 53.8909641130001,140.258609281 53.9841641710001,140.240200274 54.0499911120001,140.188845192 54.0699911720002,140.187173009 54.0705950700001,140.138854631 54.0880459780002,140.09701863 54.0924189780002,140.06634563 54.0980459780002,140.031779979 54.1089131250001,140.02745416 54.1102732570001,139.999363385 54.1213732440001,139.87246663 54.1834085860002,139.859148657 54.1899192880002,139.81524563 54.2113819780001,139.79261863 54.2276279780001,139.792460829 54.2364487010001,139.792209341 54.2505450780002,139.799916293 54.283984773,139.80184563 54.2923549780001,139.763990074 54.304359716,139.751909319 54.3081911140001,139.749452706 54.3080997630001,139.72939963 54.3073549780001,139.70190863 54.2980459780001,139.67969063 54.287499978,139.671123717 54.2812702810002,139.65886363 54.2723549780001,139.65246563 54.2684638600001,139.651381738 54.2678046620002,139.65075946 54.267426206,139.63579963 54.2583279780001,139.58325703 54.2446896380001,139.569427239 54.2411001820001,139.517618198 54.2282273330001,139.368668846 54.1912191660002,139.33690863 54.1833279780002,139.328887726 54.1840072220001,139.264962028 54.1894207190001,139.241909233 54.1913732000001,139.208591336 54.194991165,139.173946474 54.2004674840001,139.06274563 54.2180459780001,139.002534695 54.2277025240001,138.995236192 54.2288731640001,138.972745199 54.2349911150001,138.92776338 54.2474912150002,138.919326246 54.2498896060001,138.871063629 54.2636099780001,138.805545629 54.287499978,138.731490629 54.3144369780002,138.703581629 54.3133279780001,138.663678254 54.2918850930002,138.657836629 54.2887459780001,138.657837484 54.2887457580001,138.657836258 54.2887450990001,138.68970023 54.2805450830001,138.712191391 54.2730451240001,138.741272404 54.2489540250001,138.778454192 54.0472180440002,138.777750034 54.0404287560001,138.776090629 54.0244369780002,138.770263629 54.0047189780001,138.768662142 54.0000770310002,138.756654203 53.9652732050001,138.705227203 53.8316641590001,138.669127184 53.7527731840001,138.64886343 53.7199821720001,138.639089264 53.7054305480002,138.622190629 53.6802729770002,138.569693138 53.6077595730001,138.569148114 53.6070067460003,138.568678103 53.6063575320002,138.560245629 53.5947099770002,138.550172629 53.5797099770001,138.486636629 53.5347189770002,138.473268471 53.5262114570001,138.465236216 53.5211000610001,138.443502249 53.5121726730002,138.43059989 53.5068730850002,138.428080566 53.5066687970001,138.400545629 53.5044369770002,138.38201985 53.5063950140001,138.296647526 53.5154182340001,138.296638947 53.5154191410001,138.250854629 53.5202582030001,138.249418629 53.5204099770002,138.248738822 53.5230877530001,138.248359708 53.5245810940001,138.239545629 53.5592999770001,138.373563629 53.6785999770002,138.380445505 53.6840989640002,138.390254224 53.6919359890001,138.424893399 53.717652623,138.451627629 53.7374999780001,138.460273412 53.7428868690002,138.47301831 53.7508270730001,138.507136176 53.7645091890001,138.535717466 53.7869801800001,138.571345629 53.8149909780001,138.578172213 53.8295991940002,138.579118517 53.831624192,138.579148502 53.8316883570001,138.57964301 53.8327465560002,138.580327551 53.834211404,138.589809234 53.8545001520001,138.573300238 53.9519360880001,138.569770896 53.9587453490002,138.553863629 53.9894369780001,138.52557036 53.9773665130001,138.524793965 53.9770352880001,138.507446629 53.969634573,138.391081629 53.919990978,138.374218443 53.9083499500002,138.365819496 53.9025519730002,138.365576543 53.902384258,138.364105629 53.9013688530002,138.341381629 53.8856819780001,138.331155393 53.855427831,138.323027169 53.8313821920001,138.29275425 53.7427641850002,138.256857213 53.7246820130001,138.220263203 53.7062491660002,138.184146888 53.6880569390001,138.181363629 53.6866549770002,138.105808629 53.6641549770001,138.016067807 53.6262211660001,138.002445222 53.6204628430001,137.954681628 53.6002729770001,137.898927628 53.5732549770001,137.885231854 53.5712511660001,137.705808628 53.5449999780001,137.683045223 53.5425000660002,137.38916346 53.5249911080001,137.386386365 53.5249209550001,137.367190628 53.5244369770002,137.350005411 53.5250916520002,137.345245137 53.5252732430001,137.310791324 53.532773203,137.289563369 53.5403101610001,137.242736628 53.5569369770002,137.238421534 53.560469443,137.235893475 53.5625389880001,137.212109442 53.5820093100002,137.224540162 53.5976810580001,137.229127628 53.6034639770001,137.236460647 53.6046684630001,137.267209283 53.6097180680002,137.299709274 53.6405450320002,137.3283786 53.6561216990002,137.336772628 53.6606819770002,137.369418628 53.665963977,137.375582313 53.6659422610002,137.408018215 53.6658270310001,137.43338143 53.6653952120002,137.441072628 53.6652639770001,137.452742094 53.6650495610001,137.4860824 53.664436138,137.564136192 53.7306181370001,137.564136197 53.730618612,137.564136628 53.7306189770001,137.564189047 53.735034768,137.564354429 53.7489664400001,137.564700294 53.7780451250002,137.589375542 53.8146521350001,137.597472628 53.8266639780002,137.617196681 53.8392711790001,137.651363306 53.8611091150001,137.67996059 53.8721751640001,137.694427628 53.8777729780001,137.700897108 53.8795183260001,137.716063384 53.8836091600002,137.738009218 53.886653971,137.759982377 53.8911091200001,137.781645239 53.8969451040002,137.803036191 53.9091540160001,137.855791387 53.9619360340001,137.855789719 53.9619360680001,137.855790628 53.961936978,137.853178366 53.9619899420002,137.821148779 53.9626393490001,137.698884757 53.9651182810001,137.683391669 53.9654324070002,137.679766573 53.9655059070002,137.663881628 53.9658279780001,137.610805923 53.9564577530001,137.603674832 53.9551987980001,137.595445628 53.953745978,137.558454628 53.9644369780001,137.513308628 53.9894369780001,137.496691403 53.9995611660002,137.490518831 54.003321859,137.489136261 54.0041642280002,137.464381628 54.0208279780002,137.439882451 54.0304786720002,137.427018628 54.0355459780002,137.425532333 54.0356884260001,137.394162899 54.0386949120002,137.390781628 54.0390189780002,137.384206467 54.0388549980001,137.37208195 54.0385526200001,137.368527214 54.0384641510002,137.36460434 54.0387959310001,137.340481628 54.0408369780001,137.305827628 54.0514549780001,137.297439628 54.0671854010002,137.293272628 54.0749999780001,137.31855414 54.1215180830001,137.347569203 54.1317872590001,137.357418628 54.1352729780002,137.369049328 54.1369853790002,137.429109263 54.1458271110002,137.452009293 54.1372180590001,137.50125401 54.1485808410002,137.512172628 54.1510999780002,137.531637733 54.1663946080001,137.613282308 54.2305450190001,137.741136171 54.307418135,137.741135498 54.3074182980001,137.741136628 54.3074189780002,137.739158021 54.3078992330002,137.716160735 54.3134812270002,137.702446852 54.3168099160001,137.693728813 54.3189259930001,137.687054628 54.3205459780001,137.68101832 54.3162501660001,137.650954628 54.294854978,137.631192165 54.2943642080001,137.628804971 54.294304926,137.564616023 54.292710894,137.550186915 54.2923525700001,137.539291392 54.2920821020001,137.532547345 54.2947783500001,137.516372628 54.3012459780002,137.502527213 54.3067896280002,137.499721134 54.3079131710002,137.493145628 54.3105459780001,137.470111109 54.3121512720001,137.465236272 54.3124911980001,137.431636239 54.3113821050001,137.39112167 54.3055178380001,137.387481628 54.3049909780002,137.294436628 54.266109978,137.231596958 54.2361543750001,137.192445221 54.2174912100002,137.098731039 54.1594537260002,137.063281628 54.1374999780001,137.113365965 54.0895770520002,137.117758734 54.0853738550002,137.144497915 54.059788616,137.156618284 54.048191182,137.156618626 54.0481909750001,137.177718217 54.0351360330001,137.209927188 54.0361091720001,137.253554156 54.04443609,137.28265428 54.0377091100002,137.264436311 53.9808184180002,137.200527628 53.8680459780002,137.200293085 53.8677644250001,137.175536628 53.8380459780003,137.155092842 53.82297249,137.142763333 53.8138821190001,137.117396589 53.8055970880002,137.113009182 53.804164159,137.074827566 53.8136000540001,137.059963628 53.832072978,137.059963514 53.8320730210002,137.059963373 53.8320731960002,137.054354489 53.8342106780001,137.0271574 53.8445757670001,137.026781628 53.8447189780001,136.98929227 53.8490618450002,136.982298674 53.8498720010001,136.977690084 53.8504058730002,136.959691336 53.852491177,136.955856079 53.8523947750001,136.94969775 53.8522402730001,136.940811628 53.8520173350001,136.937608628 53.8519369780001,136.879576958 53.838656483,136.861772434 53.8345822350001,136.855130314 53.8315577390001,136.841627627 53.8254099780002,136.776630174 53.7703878930001,136.77190885 53.7663911660001,136.76080034 53.7686000610001,136.726500487 53.7867462860001,136.712539628 53.7941324200002,136.712463718 53.7941725810001,136.681000088 53.8108187340001,136.654009361 53.919573225,136.657200352 53.9394271040002,136.688627292 54.0062451210002,136.713854138 54.029436004,136.764436242 54.0697180890001,136.774862743 54.0854364280001,136.777253763 54.0890409080001,136.794769575 54.1154461300001,136.805249116 54.13124412,136.805527627 54.1316639780001,136.809230522 54.1507869770001,136.809963627 54.1545729780001,136.808028362 54.1581132950002,136.79940923 54.1738821800001,136.767817168 54.214953624,136.766082275 54.2172091360001,136.748291355 54.4280451210001,136.807736316 54.5108271440002,136.880391323 54.583191132,136.812182245 54.6502000900002,136.809557948 54.6500036240001,136.768581627 54.646936978,136.721636627 54.6130549780001,136.713447084 54.6120201140001,136.709136627 54.6114754260001,136.678856577 54.6076491130002,136.546060304 54.5908684230001,136.535809271 54.5895731130001,136.509317471 54.5911617520002,136.377502627 54.5990671800002,136.371336627 54.5994369780001,136.37001633 54.5995960830002,136.304092705 54.6075403200001,136.302869314 54.6076877460001,136.275005405 54.6110455330002,136.249127227 54.614164276,136.239583136 54.6148959330001,136.209408627 54.6172099780001,136.099972627 54.6066549780001,136.050208678 54.594276399,136.03857231 54.5913820960001,136.025788916 54.5880775270001,135.973018627 54.5744369780001,135.872818386 54.5684717090001,135.861082324 54.5677731240002,135.848213902 54.5678131750001,135.783059938 54.5680167070001,135.770808626 54.5680549780002,135.768936343 54.5682240630001,135.730945626 54.5716549780001,135.707525645 54.582887467,135.705318626 54.5839459780001,135.683318626 54.6205459780001,135.674136626 54.6399909780001,135.674136223 54.6399910730001,135.674136211 54.6399910990001,135.504154232 54.6799912180003,135.422763437 54.6974911230002,135.406798591 54.6991997680001,135.396852422 54.7002643390002,135.395470112 54.7004122920002,135.394961897 54.7004666880001,135.285245626 54.7122099780001,135.261381626 54.7205459780001,135.260441383 54.7214939790001,135.259348918 54.7225954570001,135.251591787 54.7304165870001,135.250526744 54.7314904170001,135.177627626 54.8049909780001,135.164836626 54.8240279790001,135.156436626 54.8611729790002,135.163639914 54.8735722750002,135.171082377 54.8863821730002,135.19590068 54.9098635400002,135.217472626 54.9302729790002,135.234748507 54.9409304030002,135.299409315 54.980818059,135.450254235 55.065827153,135.558027238 55.123736046,135.585020583 55.1286771430002,135.586090626 55.1288729790001,135.653872626 55.1341639790001,135.676908626 55.1324909790002,135.679599098 55.1327713950002,135.713636265 55.136318121,135.743836262 55.1455450880001,135.92609136 55.2286001930001,135.943835709 55.2372524800001,136.004154627 55.2666639790001,136.051026522 55.289395133,136.064009196 55.2956911190001,136.086227285 55.3011091880002,136.126972387 55.3019361460001,136.148396518 55.3170830360001,136.166654627 55.3299909790001,136.241277715 55.3891018350001,136.298854209 55.4347091810001,136.298854443 55.4347098340001,136.298854627 55.434709979,136.308927627 55.4626999790001,136.329127627 55.5041639790002,136.358154627 55.5345729790002,136.416927627 55.5685999790001,136.427451022 55.573703634,136.444427248 55.5819361370002,136.474951747 55.5883906550001,136.483854627 55.590272979,136.538027627 55.6013909790001,136.55847112 55.6097836300001,136.559187556 55.6100777410002,136.600254204 55.6269360610001,136.644431211 55.6472648610001,136.666654627 55.6574909790001,136.672231734 55.659008311,136.689145293 55.663609067,136.728572425 55.6615181170001,136.823582304 55.7094361170002,136.845245165 55.7230449750001,136.968845212 55.7908361310002,137.194118248 55.893609161,137.216605382 55.9020797320001,137.216766856 55.9021405540001,137.223190812 55.9045601680001,137.228027628 55.90638198,137.230428647 55.907270926,137.241928775 55.9115286990001,137.273036214 55.9230450640001,137.457736313 56.0433270510002,137.524409323 56.0841641870001,137.563563372 56.1072181080002,137.591846306 56.1170315680002,137.603572628 56.1210999800002,137.605747743 56.1220591680001,137.7063831 56.166437625,137.725800306 56.1750002130001,137.842191246 56.2505451330002,137.870428012 56.2781906400002,137.881636628 56.2891639800002,137.890550397 56.3019020410001,137.897763432 56.3122091180002,137.90451759 56.3240307530002,137.916654628 56.3452729800002,138.012754629 56.3824909800001,138.023030969 56.386206176,138.049138767 56.3956449060001,138.058872629 56.3991639800001,138.087921227 56.4191541580001,138.144436305 56.4580450140001,138.144436405 56.4580458260002,138.144436629 56.4580459800002,138.147609098 56.4837321850001,138.149136629 56.49609998,138.129700251 56.5216631580002,138.124381098 56.5394457470001,138.116136742 56.5670096010002,138.138027166 56.5936090550002,138.159062471 56.6054026690001,138.172954629 56.6131909800001,138.183359501 56.6161264550001,138.204954149 56.6222181670001,138.244418328 56.6372180850001,138.262754245 56.6466631490002,138.263949715 56.6488946420001,138.272811161 56.6654347770001,138.273318629 56.6663819800002,138.280569038 56.6775993670001,138.290693565 56.693263412,138.290790331 56.6934131230001,138.291501388 56.6945132260001,138.299927626 56.7075497820001,138.305818284 56.716663273,138.330113795 56.7224039670002,138.341063629 56.7249909800001,138.345740546 56.7256030160001,138.364409296 56.7280450590001,138.40088231 56.7370091690001,138.455966868 56.8142031830001,138.462772074 56.823739598,138.478201151 56.8453609950001,138.478436629 56.84569098,138.479515957 56.8460103520001,138.483125492 56.8470784100002,138.483490985 56.8471865590002,138.490582384 56.8492848970001,138.491793934 56.8496433930001,138.530545155 56.8611091130002,138.546997227 56.8640131210001,138.554136629 56.8652729800002,138.567452066 56.8691877690002,138.587190629 56.8749909800001,138.587190656 56.8749910520001,138.587191231 56.874991221,138.608446994 56.931960974,138.614136466 56.947209544,138.634263328 56.973463161,138.652772415 56.9855450040002,138.671249324 56.9898959260001,138.676363629 56.991099981,138.701657036 56.9958954440002,138.787754249 57.0122180640002,138.884987153 57.0238318320001,138.894010138 57.0249094810002,138.909763629 57.0267909810001,138.965236629 57.0613819810001,139.023402773 57.1150121550002,139.082736221 57.169718049,139.095281678 57.1871699170002,139.12037263 57.2220729810001,139.156639535 57.2479362010002,139.179000319 57.2638821590001,139.180417869 57.2642476430001,139.244691355 57.2808181640001,139.395444979 57.31473458,139.41080863 57.3181909810002,139.44107263 57.316381981,139.44843197 57.3167923870001,139.471072311 57.3180540980001,139.519718195 57.3458270320002,139.565091281 57.3804090880001,139.57679295 57.412130876,139.58253663 57.4276999810001,139.589632842 57.435991997,139.596618301 57.4441539650001,139.62050924 57.4558271060002,139.688718318 57.48304499,139.730809218 57.4919360100001,139.754972401 57.494709078,139.785432232 57.4958737120001,139.79135463 57.4960999810001,139.796563267 57.4969171580001,139.821491353 57.5008270300002,139.839691314 57.5094360820002,139.860791247 57.5356912210001,139.870236307 57.5552633020001,139.884282369 57.5780449780002,139.944691248 57.6499912110002,139.984409232 57.6794359990002,140.009709336 57.6958271460002,140.054089086 57.7160858480001,140.06704563 57.7219999810001,140.111754735 57.7311951620001,140.247745161 57.7591631540001,140.286554645 57.7615628690001,140.290390631 57.7617999810002,140.309173631 57.7544887770001,140.313581631 57.7527729810001,140.313582254 57.7527731550001,140.313582328 57.7527731260002,140.37439136 57.769718149,140.501218272 57.826518116,140.501218438 57.826518895,140.501218631 57.8265189810002,140.502102755 57.8306702510002,140.506100228 57.8494360830001,140.508184815 57.8783269280002,140.509427631 57.8955459810002,140.510782924 57.9057753500001,140.512342456 57.9175462570001,140.513974195 57.929862159,140.514175631 57.9313825390003,140.514212297 57.9316592810001,140.515536593 57.9416546970002,140.638027193 58.1422181410002,140.638027634 58.1422189800001,140.684827214 58.2305451290001,140.790254122 58.3084633010001,140.902191254 58.375263213,141.020400091 58.4320731720002,141.020400231 58.4320732350001,141.089145247 58.4605450550001,141.114136226 58.4683180970002,141.139163416 58.4708271360002,141.163882319 58.470545001,141.212784406 58.4766156770002,141.219836632 58.4774909820002,141.255324576 58.4892305050001,141.27609136 58.496100083,141.299459547 58.50450299,141.302743337 58.5056837770002,141.324173393 58.5133896090001,141.336363632 58.517772982,141.379001762 58.5363594920002,141.492463318 58.585818131,141.522175985 58.5989207390002,141.530272632 58.6024909820001,141.555545632 58.6152729820002,141.595807002 58.6357845960002,141.601623602 58.6387479300001,141.616054632 58.6460999820002,141.617502466 58.6468952800001,141.635591589 58.6568316680001,141.697482323 58.6908271170001,141.715305876 58.705873015,141.720518632 58.7102729820002,141.776233514 58.7586742500001,141.839145204 58.8133271230001,141.87050928 58.851936013,141.903592377 58.8926672630002,141.912472632 58.9035999820002,141.952527632 58.9485999820001,141.965124648 58.9581694600001,141.977754223 58.9677631870002,142.044709201 59.006100168,142.159700363 59.0691632610001,142.219418239 59.0997181480003,142.234466395 59.1071682600001,142.245236632 59.1124999830001,142.303318633 59.137772983,142.355823312 59.1570642600001,142.542209354 59.225545099,142.580436071 59.2358742750001,142.587463633 59.237772983,142.773590633 59.2724909830002,142.778597801 59.273437873,142.982182326 59.3119360340001,143.054780105 59.3290043820002,143.075527633 59.3338819830002,143.090839942 59.3395738860002,143.138309355 59.3572180930001,143.211091264 59.3766540500001,143.310245156 59.3722181790001,143.335509218 59.3691540910001,143.379272308 59.3565180360001,143.425736215 59.3380449920002,143.46306136 59.3378317480001,143.473299634 59.3377729830001,143.531081634 59.3410999830002,143.53608795 59.3418992590001,143.576354154 59.3483270730001,143.625518207 59.3591631970002,143.667481633 59.371099986,143.667482373 59.3711002010002,143.693572388 59.379718139,143.719700289 59.3855541230001,143.784700272 59.39971803,143.823582412 59.405263162,143.847100158 59.408302862,143.849399634 59.4085999830002,143.900818634 59.4124909830001,143.906717427 59.4126821830001,143.926363321 59.4133181710001,143.951265712 59.4138140700002,143.954681634 59.413881983,143.963111633 59.4138446380001,144.016082374 59.413609191,144.126300724 59.4037019550001,144.155245634 59.4010999830001,144.327327634 59.3963819830001,144.33798597 59.3966429620002,144.378582253 59.397636133,144.409972313 59.3941541230002,144.438560485 59.3846009050001,144.448790635 59.3811819830001,144.467269715 59.3797436520001,144.553318281 59.3730451380001,144.591645204 59.3719360440002,144.679627192 59.3738451070003,144.679618767 59.3738457900001,144.679627635 59.3738459830001,144.670580138 59.3745801710002,144.667882467 59.374799082,144.638172635 59.3772099830002,144.617738057 59.3892271460001,144.736836455 59.3940136990001,144.761381635 59.394999983,144.770270254 59.3930950830002,144.797054135 59.387354052,144.815348981 59.3815053710001,144.823581635 59.3788729830002,144.861354635 59.376381983,144.8646197 59.3762636800001,144.884427262 59.3755451240002,144.930545164 59.3755451240002,145.059145184 59.384436144,145.080006198 59.3877654300002,145.085236635 59.3885999830002,145.092460109 59.390617294,145.118409263 59.3978632830002,145.164700335 59.410818185,145.203854216 59.417218103,145.249554197 59.4229090800001,145.293582323 59.4132539660002,145.314836315 59.3940270530002,145.350475362 59.393911245,145.359408635 59.3938819830001,145.363940343 59.3943646660001,145.385527274 59.396663162,145.46606345 59.4055451290002,145.518309362 59.4141540150002,145.665591303 59.4246540250001,145.805818197 59.4022181840002,145.862558739 59.4115658730001,145.876618636 59.413881983,145.880585338 59.4138118140002,145.908445214 59.4133181710001,145.9234453 59.3848540660002,145.910672453 59.349991216,145.888027233 59.344991076,145.883598939 59.3427933800001,145.866208636 59.3341639830001,145.83753594 59.3094153920001,145.826627277 59.3000002040002,145.811589142 59.2820172350002,145.797472636 59.2651369830001,145.797472866 59.2651366480002,145.797472336 59.265136013,145.811218322 59.2451361220002,145.956500341 59.1522180310001,145.98242679 59.1496749830002,145.990508636 59.1488819830001,145.995923106 59.149770061,146.029418205 59.1552631760001,146.108309348 59.171663208,146.281212349 59.180741057,146.314545636 59.182490983,146.315699141 59.1832796360002,146.317486978 59.1845019840001,146.321269927 59.1870883930001,146.327428472 59.1912990030002,146.329175264 59.1924932880002,146.335865284 59.197067268,146.339508543 59.1995581710001,146.341763636 59.2010999830002,146.337329626 59.2275357950001,146.336545636 59.2322099830001,146.329469952 59.2595515290002,146.328376841 59.2637754830001,146.327262073 59.2680831200001,146.320800318 59.2930541210002,146.318579857 59.3388250080002,146.317472637 59.3616549770001,146.317875486 59.3631578470001,146.325236452 59.3906182960001,146.353813935 59.4082425770001,146.369945636 59.418190983,146.458863636 59.452772983,146.463442506 59.4539065580001,146.485782324 59.4594360730001,146.511654242 59.4611091010001,146.544554218 59.4590181510002,146.664427336 59.424436095,146.696563385 59.3981180930001,146.745391324 59.373736142,146.826909356 59.363054077,146.874663405 59.3583270190001,146.888309311 59.364154118,146.899182515 59.3668748790001,146.901645637 59.3674909830002,146.908710906 59.368535353,146.941072386 59.3733180530002,146.998854209 59.3733271050002,147.072527739 59.3567008890002,147.078854589 59.3552729940002,147.078854633 59.355272976,147.125518345 59.3308271680002,147.164827292 59.3184631900002,147.239682381 59.326663206,147.265536194 59.3280450470001,147.293138736 59.3259930200002,147.297199637 59.3256909830002,147.321971599 59.3169068120002,147.329757201 59.3141460270001,147.373982264 59.2984632990001,147.405254139 59.2813821530001,147.425672455 59.2619361380001,147.489136202 59.2397180590002,147.552182364 59.2487450340002,147.548075791 59.2622614780001,147.544418637 59.2742999830001,147.546734676 59.276248529,147.553330662 59.281797909,147.562745238 59.2897181240002,147.606063417 59.299227058,147.647336243 59.2976360050001,147.673618204 59.2850001180002,147.706700235 59.2648540460001,147.754427294 59.2641632100001,147.78081822 59.2680540890001,147.815564765 59.2824135110001,147.829545638 59.288190983,147.814136638 59.3135369830001,147.799403968 59.3298838480001,147.794156581 59.3357061690002,147.781782439 59.3494360930002,147.816082395 59.373736142,147.837416678 59.3807821310001,147.843445638 59.3827729830002,147.850617427 59.3839739380002,147.876618344 59.3883270240001,147.902772396 59.3908270100002,148.136024092 59.4129467540002,148.186918638 59.4177729830001,148.212736638 59.4188819830002,148.220993034 59.4184603950001,148.250827239 59.4169361360002,148.288027299 59.410818185,148.365236194 59.3940181680001,148.398518217 59.3607540830001,148.411027202 59.2624271500002,148.456363408 59.2536090520001,148.544127298 59.2458271260002,148.596945354 59.2522902830002,148.609954638 59.253881983,148.689972638 59.2685999830001,148.799008639 59.2810999830002,148.823718639 59.277072983,148.832058365 59.2731300210002,148.869827639 59.2552729830001,148.89803623 59.239154125,148.91165414 59.2422180460002,148.934956475 59.252563479,148.948718639 59.2586729830002,148.952470455 59.292496978,148.953489387 59.3016830190002,148.962191317 59.380127176,148.962190567 59.3801273400001,148.962190639 59.3801279830002,148.861354639 59.4022189830001,148.822208639 59.3877729830002,148.813154196 59.3824026130001,148.79691829 59.372773229,148.773547094 59.3645034670001,148.771791298 59.3638822160001,148.721772481 59.3699910920001,148.703018638 59.3829099830002,148.694961462 59.4062714990001,148.689700338 59.4215270720001,148.69470031 59.4488731990001,148.714418235 59.4672091150001,148.743009242 59.4916631500002,148.77053625 59.509718105,148.835954155 59.5476361580001,148.861618201 59.5526270790002,148.877808431 59.5392278630001,148.848008639 59.5220819830001,148.841490639 59.4995729830002,148.846882032 59.4916720170002,148.8549452 59.4798540540001,148.902482326 59.4626270640001,148.972630784 59.4610211660001,148.987045639 59.460690983,149.003129742 59.4663368570002,149.033327188 59.4769361460001,149.088563427 59.4930449900002,149.121127289 59.491627108,149.162200291 59.4780450720002,149.209063344 59.4689450070001,149.209063361 59.468946037,149.209063639 59.4689459830002,149.209246894 59.4798051110001,149.209691316 59.5061001400001,149.17673523 59.5312334600001,149.172618639 59.534372983,149.172618507 59.534372999,149.172618326 59.5343731380001,149.167425427 59.5350194900001,149.123763639 59.540454983,149.104186639 59.5456826460001,149.08440896 59.550963897,149.033491306 59.631554097,149.136654261 59.6719360950001,149.346927211 59.7419360500002,149.372191046 59.7599910100001,149.389248264 59.761127612,149.480527205 59.7672091650001,149.592036189 59.7712359990002,149.640254261 59.769363146,149.808591375 59.7394360640002,149.829438224 59.7346996710002,149.83303664 59.7338819830002,149.940938465 59.708737811,149.942406603 59.708395694,149.944493342 59.707909425,149.96774564 59.7024909830001,149.975462857 59.7003840260001,150.076627205 59.6727632210001,150.265536193 59.6516540680001,150.289707151 59.6484407580002,150.29678164 59.647499983,150.306493911 59.6453811280002,150.309739735 59.6446730100002,150.310247791 59.6445621710002,150.359155633 59.6338923050002,150.41649964 59.6213819830002,150.419462345 59.6170676170001,150.432499431 59.5980826840002,150.436145306 59.5927732100001,150.436145585 59.592773063,150.43614564 59.592772983,150.440976696 59.5902284370002,150.494691391 59.5619360200001,150.514812499 59.556535884,150.52469964 59.5538819830001,150.559172277 59.5513649530002,150.57412764 59.5502729830002,150.581307391 59.5521000640002,150.604672355 59.5580451410001,150.623973547 59.562825445,150.63271864 59.5649909830001,150.644350051 59.5673443110002,150.68080032 59.5747180870001,150.706909278 59.5754090920001,150.728181449 59.5563099180001,150.69411864 59.5447189830001,150.62744564 59.5380459830002,150.58773664 59.5341639830002,150.549618715 59.5269965690001,150.533054189 59.52388218,150.522977722 59.5215369430001,150.49844564 59.5158279830001,150.47967264 59.5080459830001,150.45830864 59.4963819830001,150.452295672 59.4910150130002,150.442745217 59.4824911680001,150.442745984 59.4824912890001,150.44274564 59.482490983,150.448403831 59.4833848230001,150.465654132 59.4861091330001,150.531434884 59.4976494090002,150.55276364 59.5013909830001,150.59274564 59.5063819830001,150.65261864 59.5117999830002,150.68441864 59.5102729830002,150.686054325 59.509666982,150.728853968 59.4938091980001,150.723790199 59.4879003740001,150.71343664 59.4758189830001,150.68121864 59.4523189830001,150.681219161 59.4523188320002,150.681218242 59.4523181610001,150.713163351 59.4430450940001,150.848096425 59.4512031310002,150.869399641 59.4524909830001,150.897063641 59.4581909830001,150.908739082 59.4620953940001,150.936918257 59.4715180840001,150.936917985 59.471518764,150.936918641 59.4715189830001,150.930707092 59.4870612390002,150.924209159 59.5033200720001,150.922763641 59.5069369830002,150.889145641 59.5205459830001,150.869536641 59.5531819830001,150.87972874 59.5571839020001,150.903872436 59.5666632460002,151.049409265 59.590545132,151.101900264 59.5916632780002,151.13533513 59.5879469490001,151.139436641 59.5874909830002,151.14196074 59.5869602680002,151.188291366 59.5772180740001,151.237454246 59.5680539710001,151.386109311 59.5711091750001,151.60580922 59.4726270090001,151.659700331 59.4255540730002,151.673213219 59.4084113690002,151.716690641 59.3532549830002,151.726131724 59.3363280950001,151.748563425 59.296109157,151.981472375 59.2648540460001,152.017159847 59.2723863350001,152.026227642 59.2742999830001,152.035723884 59.277547622,152.069691403 59.289163242,152.103572397 59.2941539940002,152.141663453 59.29221811,152.284271832 59.2200634120001,152.264281642 59.2059639830001,152.245422562 59.2081887070001,152.239545307 59.2088822110002,152.193845159 59.2075002030001,152.187217113 59.2061573340001,152.166381642 59.2019369830002,152.131154118 59.1896204240001,152.122463363 59.1865821580001,152.116454934 59.183233519,152.094699642 59.171109983,152.073299642 59.1597189830002,152.053196411 59.1547399470001,152.045254132 59.1527732480001,151.993675003 59.1528304590001,151.988279337 59.152836472,151.800263641 59.1530459830002,151.78965924 59.1538468190002,151.779116741 59.1546429810002,151.652464378 59.1642076730002,151.64396846 59.1648492780001,151.607054641 59.1676369830001,151.48079168 59.1608525260002,151.471110907 59.1603323510002,151.444118284 59.1588821470001,151.418726901 59.1509454310001,151.379134641 59.138570304,151.335254641 59.124854983,151.289427641 59.113327983,151.163590641 59.0904099820001,151.160916869 59.0907569570001,151.146541875 59.0926223960002,151.139009296 59.0936001970002,151.116482261 59.1038821100001,151.110476453 59.1042078090002,151.100812221 59.1047321660001,151.076763641 59.1060369830002,151.076764366 59.1060360410001,151.076763439 59.1060360910001,151.134709212 59.0308180650002,151.216372418 58.9441540480001,151.242463439 58.9329090540002,151.269889538 58.9217886470001,151.27261845 58.9206820600001,151.307736169 58.873882183,151.313872393 58.8602731570001,151.308718361 58.839018159,151.332224731 58.839863232,151.335781641 58.8399909820001,151.335782022 58.839991119,151.335782353 58.839991131,151.401918251 58.8637360570001,151.45553628 58.8752631850001,151.486134385 58.8759271500002,151.494108641 58.8760999820001,151.517490641 58.8688819820001,151.529017472 58.8639014240002,151.539982278 58.8591632260002,151.563018263 58.851936013,151.583588788 58.851492566,151.588290641 58.8513909820001,151.592535543 58.8514816140002,151.613863391 58.851936013,151.689857691 58.8577211269999,151.705227641 58.858890982,151.766762356 58.8652756400002,152.021091284 58.8916632170001,152.05922215 58.895924722,152.060790642 58.8960999820001,152.060791015 58.8961000580001,152.060791331 58.8961000940001,152.088009214 58.9016541100001,152.121418307 58.9225540510002,152.121418137 58.922554667,152.121418642 58.9225549820002,152.11022769 58.9630548060001,152.12425424 58.9891539710001,152.191909275 59.0066632640001,152.225254162 59.0111091930002,152.357182301 59.023318106,152.472318303 58.9975632000002,152.56747235 58.9547090430001,152.737727244 58.9211091780001,152.860630494 58.9179280260001,152.877163642 58.9174999820001,152.878083381 58.9187201710002,152.895007117 58.9411723700001,152.914427319 58.9669360610001,152.971972437 59.0484631450001,152.993991361 59.0751360369999,153.060518359 59.0855450200001,153.087191252 59.088327141,153.111222324 59.089841796,153.113590643 59.0899909820001,153.11794723 59.0902303240002,153.154145224 59.0922181880002,153.176459938 59.0924540700001,153.179963643 59.0924909820002,153.18677383 59.0925271600001,153.231354287 59.0927631800001,153.269136219 59.090544993,153.296782418 59.142773135,153.331009249 59.225618189,153.361618283 59.241663164,153.381618342 59.2430450040002,153.450672316 59.237909077,153.5017602 59.2274925830001,153.522899643 59.2231819830001,153.584222487 59.2083699990001,153.587400293 59.2076024290001,153.587823649 59.207500171,153.59051989 59.206848918,153.591392401 59.2066381710001,153.593353643 59.2061644500001,153.659145643 59.1902729830002,153.677919943 59.1882223920002,153.771091353 59.1780450210001,153.795254201 59.1744361090001,153.816927288 59.1630451030001,153.834963467 59.1494360770001,153.847338156 59.1386610910001,153.856490643 59.1306909830003,153.870314034 59.1157986280002,153.886918359 59.097909165,153.914836299 59.0776360240001,154.022063472 59.0461091710001,154.041072455 59.0455450690001,154.123094203 59.081647602,154.155454644 59.0958909820001,154.189972644 59.0949909820001,154.199664104 59.0927075700001,154.231218644 59.0852729820002,154.255108644 59.0802729820002,154.255109103 59.0802731620002,154.255109215 59.0802731380002,154.289982291 59.0938821640001,154.345654221 59.1363180630001,154.345653949 59.1363184530001,154.345654644 59.136318983,154.316927722 59.1773548710001,154.319380676 59.1818841670001,154.330654644 59.2026999830001,154.451081644 59.219981983,154.459520356 59.2191410600001,154.488572377 59.2162450420002,154.524417314 59.2006157500002,154.528872644 59.1986729830001,154.529857988 59.1978939900002,154.55496342 59.1780450210001,154.612290419 59.1484530320001,154.614136644 59.147499983,154.617196488 59.1465286270001,154.648727245 59.1365180560002,154.741636283 59.1269360310001,154.741636307 59.1269370170002,154.741636644 59.1269369830002,154.741899348 59.1378758880001,154.742463644 59.1613729830001,154.763745057 59.1683059120001,154.828582268 59.189427143,154.9116362 59.1865181200001,154.979620668 59.1853037110001,154.997618644 59.1849819830001,155.053157914 59.1861887310001,155.078980614 59.1867498030002,155.099699644 59.1871999830001,155.099699834 59.1872000610001,155.099700292 59.1872000710001,155.140254286 59.2041090520002,155.140254546 59.2041099410002,155.140254644 59.2041099830002,155.14409549 59.2172537400002,155.186282334 59.361618089,155.186281523 59.361618568,155.186281645 59.3616189830001,155.155849462 59.3795798990001,155.148036642 59.3841909780002,155.148036213 59.3841912250001,155.144270238 59.385021331,155.124118644 59.3894639830001,155.087408482 59.3928423950002,155.083218644 59.3932279830001,155.052751094 59.41542666,155.047079247 59.4195591710001,155.044860372 59.4211758450001,155.023591269 59.4366731710002,155.015336822 59.4465863840002,155.003736644 59.460518983,154.987727644 59.480272983,154.966918644 59.4930459830001,154.965229595 59.4930606390001,154.934418644 59.4933279830002,154.893245644 59.4773459830001,154.85983687 59.4661683400002,154.848845184 59.4624911090001,154.846879946 59.4629350530001,154.835879442 59.4654201710002,154.761518644 59.4822189830001,154.690799644 59.5172099830002,154.684133632 59.518033964,154.614195759 59.5266789300002,154.508251805 59.5397745810001,154.437882314 59.548473175,154.416927221 59.5452731320001,154.431563365 59.4841539700003,154.457182317 59.4616631450002,154.47215471 59.4551820380001,154.48244081 59.4507291140001,154.485090644 59.4495819830001,154.486979586 59.447671084,154.488919369 59.445708754,154.491460833 59.4431377490002,154.501435417 59.4330458240001,154.497467968 59.4325325760001,154.435191859 59.4244762420001,154.419845446 59.4224911780001,154.375518644 59.4660999830001,154.352997526 59.4819052240002,154.343845644 59.488327983,154.291654644 59.4441549830001,154.264436644 59.4416549830001,154.237454644 59.442218983,154.172659922 59.4490780360001,154.132557455 59.4533232110001,154.131227644 59.4534639830002,154.130795781 59.4536452160002,154.108718644 59.4629099830001,154.086918644 59.4810999830001,154.065245834 59.5130547020002,154.078111913 59.525115735,154.087463644 59.5338819830001,154.187472644 59.590272983,154.272116518 59.6266107030001,154.297482418 59.6375002190001,154.272413653 59.6637351480002,154.241618644 59.6959639830001,154.230434235 59.718121382,154.227600312 59.723736089,154.225518659 59.7421369280001,154.224256349 59.7532981930001,154.224190967 59.7538763020001,154.223436644 59.7605459830001,154.223418333 59.7636286530001,154.223375505 59.7708387250001,154.223300228 59.783609197,154.231491359 59.8787451390002,154.252609049 59.8893000450001,154.273590644 59.8924909830002,154.312473561 59.8925832030002,154.357075216 59.892688987,154.384777715 59.8927546900001,154.392490644 59.8927729830002,154.404387284 59.8970601720001,154.468018644 59.919990983,154.472403429 59.9309850640001,154.483309379 59.9583271190001,154.495791374 59.9836091180002,154.513338691 60.0169834450002,154.518863644 60.027490983,154.520800624 60.0308166740001,154.520826851 60.0308617030002,154.521469255 60.0319646760001,154.527370571 60.0420969150001,154.531645301 60.0494360600001,154.62356343 60.1361091300001,154.800536252 60.2722181620001,154.826354191 60.2897180670002,154.846736508 60.3025759310002,154.862454644 60.3124909840002,154.880527644 60.3238819840001,154.881466403 60.3244735220002,154.885395553 60.326949389,154.898591276 60.3352631500002,154.916927193 60.3466539890002,154.94525417 60.36360907,154.966063418 60.3747090570001,155.221345176 60.4766541220002,155.371336317 60.5311091680001,155.55440932 60.62331815,155.642491305 60.6542910970001,155.711363645 60.6660999840001,155.71914582 60.6691247230002,155.720186404 60.6695291720001,155.733657275 60.6747649670002,155.784972343 60.6947091660001,155.89679129 60.7622181880002,155.894029455 60.7737174640002,155.890254645 60.7894369840002,155.896945645 60.8286099840001,155.899957082 60.839031413,155.913882326 60.8872181810002,155.924498874 60.9016192030001,155.928318645 60.906799984,155.932690559 60.9103315950001,155.939145215 60.915544991,155.944151641 60.9202620270002,155.946058217 60.9220581730002,155.948727645 60.9245729840001,155.987810106 60.949796887,156.084963645 61.0124999840002,156.268351349 61.1119817570001,156.354809326 61.1588822020001,156.416654193 61.1819361240002,156.44885428 61.1916541020001,156.492623661 61.2011615570001,156.510254646 61.2049909840001,156.592899646 61.2188819840002,156.599544687 61.2174041260001,156.617872341 61.2133270220001,156.656236312 61.2097181090002,156.666363327 61.2279091860001,156.666363315 61.2279093900002,156.666363646 61.2279099840002,156.664174571 61.2650144900002,156.660800258 61.3222181700001,156.652012686 61.3494856720002,156.650110049 61.3553897180001,156.636363646 61.3980459850001,156.635856743 61.4030601180002,156.635455445 61.4070296290002,156.633991411 61.4215180740001,156.659972461 61.4751270510002,156.695527321 61.5337450530001,156.738863437 61.5341633100002,156.771518326 61.5297180510001,156.795299 61.5270995560001,156.798018646 61.5267999850001,156.826918646 61.5288819850001,156.858308645 61.5359729890001,156.858309246 61.5359731300002,156.89941829 61.5512451250002,156.978991385 61.6020822070002,156.992057038 61.6156782330002,157.000835828 61.6248130120002,157.002072646 61.6260999850001,157.002732118 61.6267375040001,157.012901068 61.6365679440001,157.026645187 61.6498540260002,157.151918262 61.6927631670002,157.183591295 61.700000103,157.190824891 61.7014866130003,157.261936646 61.716099985,157.350275296 61.7469900300001,157.368009259 61.7531911570001,157.432463412 61.7858271030002,157.486636323 61.8033181240001,157.517735799 61.806453532,157.523881647 61.807072985,157.565536646 61.8060999840001,157.610227318 61.7969450270001,157.634567337 61.794123992,157.636654647 61.7938819850002,157.803036647 61.7888909850002,157.818126332 61.788448945,157.893327272 61.7862450250001,157.930100358 61.7758271580001,157.950254141 61.7554091770002,158.021382301 61.7301271770002,158.109127249 61.7416539710001,158.200809344 61.7733181190001,158.234954201 61.7891632680001,158.252200302 61.8002731460001,158.305391356 61.8226360640001,158.361058578 61.8280665820002,158.369418647 61.8288819850001,158.411372648 61.8277729850001,158.446938116 61.8286821040002,158.618009356 61.8330540990002,158.733036225 61.8361091350001,158.820671472 61.8538732960001,158.838563648 61.8574999850001,158.884418648 61.888599985,158.890812937 61.8907876080002,158.905545181 61.895827178,158.952454167 61.903318084,159.104672379 61.9216632210001,159.205536179 61.923609163,159.247463464 61.922218103,159.364136204 61.8904091150002,159.381636277 61.8592270940001,159.476453004 61.7093804370001,159.484243626 61.6970681560002,159.487014482 61.692689102,159.493990649 61.6816639850001,159.493990911 61.6816638440001,159.49399133 61.6816631810001,159.525272426 61.6648541120002,159.556091343 61.671663235,159.578854245 61.6819360950002,159.605462757 61.6905758870001,159.615645649 61.693881985,159.641185624 61.6987081230002,159.749391274 61.7191540920001,159.830800341 61.7130450260001,159.869418283 61.7280451120001,159.909836324 61.7697180910001,159.921909282 61.7947821610001,159.966063471 61.8259631760002,160.075527272 61.8683271590001,160.158772836 61.8967949460002,160.194118649 61.9088819850001,160.229217585 61.9202622350002,160.322618234 61.95054508,160.349488803 61.9480066740001,160.354945247 61.9474910230002,160.363435628 61.8788917900002,160.371497886 61.8137485850001,160.37335377 61.7987530030001,160.375090649 61.7847189850002,160.366363649 61.7658279850002,160.318723085 61.7095522330001,160.294750283 61.681234191,160.158018649 61.5197189850001,160.137515307 61.5020646410001,160.072694847 61.4462511730002,160.008327649 61.3908279850001,159.979769808 61.3754096560001,159.967832424 61.3689646830002,159.964448879 61.3671379130002,159.942472437 61.3552732110001,159.921682049 61.3452382680002,159.854399649 61.3127639850001,159.845170595 61.288750173,159.835508649 61.2636099850002,159.835509652 61.2636099850002,159.835509294 61.2636090530002,159.87400922 61.2636090530002,159.912608875 61.2516632730001,159.92466933 61.213730961,159.92672145 61.2072766730001,159.94051828 61.163882175,159.946627347 61.1361090740001,159.939145178 61.0994361720001,159.913881649 61.0558279840001,159.903045649 61.0372189839999,159.876618649 61.0205459840001,159.819972649 60.9947099840001,159.799408649 60.9806909840001,159.780681649 60.9434639840002,159.780682698 60.9434638050001,159.780682427 60.9434632660001,159.845733696 60.9323264620002,159.857727649 60.9302729840001,159.870518649 60.9285999840001,159.874954649 60.9470729840002,159.934145649 60.9763819840001,159.973264424 60.9906046280001,160.096500302 61.0354090560001,160.154827903 61.0481318870001,160.171645649 61.0517999840001,160.203249529 61.0520452780001,160.332182321 61.0530450830001,160.391353963 61.0258271400001,160.328581649 60.9485999840001,160.286927649 60.9133189840001,160.250987626 60.896517203,160.237027268 60.8899910820002,160.201146328 60.8581818640001,160.166290649 60.8272819840001,160.174185456 60.8219565220001,160.176221589 60.8205830440001,160.177394432 60.8197918990001,160.180450166 60.817730646,160.203445173 60.8022181390002,160.224672342 60.7844360990002,160.22287244 60.7341548210002,160.197142267 60.7141725330001,160.182463425 60.7027732280001,160.171639601 60.692560743,160.133881649 60.6569369840001,160.13710456 60.6136908300002,160.138927317 60.5892271060002,160.206791396 60.6029090540002,160.247545984 60.6207058740001,160.262127649 60.627072984,160.309963649 60.6713819840001,160.370620652 60.7183867260002,160.373226678 60.7204062060001,160.398863649 60.7402729840002,160.429143984 60.7441141080001,160.43587674 60.744968172,160.459864768 60.7480111040001,160.676927317 60.7755450790002,160.704127264 60.7636090810001,160.725254186 60.7524911570001,160.725254649 60.7524909810001,160.758882382 60.739436008,160.796018236 60.7381180370002,160.796018606 60.7381189860001,160.79601865 60.7381189840002,160.80996365 60.7738819840001,160.813723976 60.7834400600001,160.825100255 60.8123540390002,160.888309361 60.8841631450002,160.939145268 60.9133180870002,161.035245297 60.9655450550001,161.065518217 60.9691539670001,161.098018208 60.9766540940003,161.128572425 60.9858270810001,161.165800313 61.000545033,161.291306665 61.0675742980001,161.32912765 61.0877729840002,161.343665665 61.0972685580002,161.362727261 61.1097181480002,161.387209291 61.1263822100001,161.417482379 61.1699910730001,161.4430113 61.1859252250001,161.46844565 61.201799984,161.487234742 61.2081312620001,161.493590883 61.210272984,161.53429065 61.210272984,161.542506299 61.2076473540002,161.56407231 61.2007539990001,161.611636258 61.2366540260002,161.719776313 61.3029997510001,161.784145651 61.3424909850002,161.798446763 61.3447527870001,161.845654302 61.3522181750001,161.865781431 61.3505449800002,161.939700261 61.377491122,162.027618212 61.4205451030001,162.21414523 61.5394360300002,162.350800259 61.6327631570002,162.409700396 61.6734631650001,162.480951962 61.668606928,162.497190651 61.6674999850002,162.4986831 61.6672747400001,162.50369137 61.6665180870001,162.536100334 61.661663289,162.572481315 61.6519270380001,162.59411836 61.6416632300002,162.618281375 61.6266631430001,162.659427299 61.6113820960001,162.659427388 61.6113820830001,162.659427651 61.6113819850002,162.711167723 61.6037223270002,162.711869765 61.6036183960002,162.716653359 61.6029102270002,162.719006932 61.6025618010001,162.722327895 61.6020701620002,162.726096286 61.601512286,162.728076225 61.601219173,162.730811229 61.6008142800002,162.743863652 61.5988819850001,162.750131899 61.6029456650001,162.76164528 61.6104091240001,162.76164504 61.6104095880001,162.761645652 61.610409985,162.761311514 61.6110573510001,162.755282047 61.6227389920002,162.752472652 61.6281819850002,162.752472517 61.6281820020001,162.75247246 61.6281821120001,162.749811866 61.628518312,162.726072652 61.6315189850001,162.700236652 61.6355459850002,162.671627652 61.6460999860003,162.640518651 61.6682819850002,162.642289281 61.6715992690001,162.642443782 61.6718887290002,162.643438098 61.6737515840001,162.651124475 61.6881520570001,162.653736322 61.6930451350001,162.692200373 61.7013821110001,162.803318258 61.7208271200001,162.831929801 61.7197975070001,162.838163652 61.7195729850001,162.843689508 61.7175442330001,162.879391406 61.704436141,162.910518274 61.687209151,162.931499697 61.6697096280001,162.932072385 61.6652207780001,162.932478166 61.6620401770001,162.932987061 61.6580513440002,162.934917368 61.642921173,162.94278548 61.5812491730001,162.943299652 61.577218985,162.943300379 61.5772182970002,162.9433004 61.5772181290001,163.005554304 61.518327045,163.088227195 61.5550632500002,163.088226998 61.5550636940002,163.088227652 61.5550639850001,163.078854652 61.5762459850002,163.065445898 61.596454614,163.080922659 61.6076921480001,163.094418652 61.6174909850001,163.102690519 61.6202365680001,163.126218338 61.6280449839999,163.214963415 61.62971818,163.283309286 61.6618000820001,163.305591402 61.6822821000001,163.303300293 61.7177001680002,163.238509354 61.7461000670002,163.123291378 61.7613821210002,163.043027279 61.7699911740001,163.038695684 61.7704367860002,163.038099776 61.7704981100001,163.016081652 61.7727639850001,162.984954652 61.7797099850001,162.952391515 61.8012454140001,162.960509286 61.825273178,163.029145171 61.9355449940002,163.070527297 61.9822090600001,163.138309234 62.0452731590001,163.10760934 62.1467091070002,163.101501693 62.158559849,163.094965345 62.1712428930001,163.092915148 62.175221068,163.080936679 62.1984639330001,163.125654236 62.2840180930002,163.233291284 62.3340181570001,163.326909264 62.3459632070002,163.351000363 62.361936097,163.348630983 62.3666492550001,163.341645652 62.3805459860001,163.315027552 62.3889342360002,163.311645316 62.3900002180001,163.291354237 62.3924911520001,163.254427259 62.3920821150001,163.253322104 62.3923099430002,163.229171652 62.3972896220001,163.228854652 62.3973549860002,163.199818756 62.41869689,163.185024579 62.4295708750001,163.164427845 62.4447098440001,163.228009344 62.5268000870001,163.25735422 62.542636016,163.289563359 62.5505450130001,163.332454228 62.556936046,163.379091382 62.5615744400001,163.388308652 62.5624909860001,163.586918652 62.5874909860002,163.625988285 62.5942059930001,163.756654303 62.6166633090001,163.898921391 62.6400201490002,163.944427653 62.647490986,164.069972653 62.6602729860002,164.076597176 62.6603215900001,164.107181304 62.6605450870001,164.149991371 62.6680540990001,164.218768147 62.6823710920002,164.231354653 62.6849909860001,164.335663653 62.7085999860002,164.366481653 62.7117999860001,164.377902571 62.7108639200001,164.513881305 62.6997180790001,164.568115044 62.6928476320002,164.581908653 62.6910999860002,164.597530126 62.6792167480002,164.609152468 62.670375645,164.654018345 62.6362451110001,164.669373901 62.62009609,164.681090653 62.6077729860002,164.700399377 62.5894785940002,164.706009279 62.5841631500002,164.763609382 62.5680539700001,165.016492956 62.5163801680001,165.034145654 62.5127729860002,165.038081409 62.512358979,165.068454172 62.5091632210001,165.135506243 62.506573535,165.147763654 62.506099986,165.249118654 62.5027729860001,165.257702289 62.5028781080001,165.294436317 62.5033270700001,165.337463476 62.4994360220001,165.391936292 62.4930449890002,165.566927297 62.4697091000002,165.629989711 62.4427640120002,165.53474946 62.4454615510001,165.512209227 62.4461001280002,165.495372283 62.4492000950001,165.445799654 62.4583279860001,165.390963654 62.473045986,165.347641454 62.4780644760001,165.343018331 62.47860012,165.321026141 62.4784635360001,165.284127668 62.4782346050001,165.186354654 62.4776279860001,165.132925085 62.4724613050003,165.121763412 62.4713821280002,165.113448633 62.4666925770001,165.094054654 62.455754986,165.094055117 62.4557545970001,165.094054181 62.4557540690003,165.120518364 62.4336001960002,165.120518428 62.433600175,165.120518654 62.4335999860001,165.127525282 62.4312411710001,165.173309267 62.4158270410001,165.231827356 62.4007540320001,165.290254251 62.3555541160002,165.329953369 62.3158280090001,165.284563654 62.3166549850001,165.262418654 62.3333999860001,165.231336654 62.3730459860001,165.203820815 62.3824200670002,165.091081654 62.4208279860001,165.062529018 62.4233396440001,165.056363444 62.4238822180002,165.047246734 62.4229397850002,165.016081654 62.4197189860002,164.990944107 62.4174226690002,164.984127197 62.4168001800001,164.962736245 62.4177731510001,164.957780289 62.418271712,164.921354654 62.421936986,164.784145653 62.4455459860002,164.767881643 62.452119978,164.761791347 62.4545821120001,164.750263684 62.4587990660002,164.718154653 62.4705459860001,164.633125547 62.4736061170001,164.613845224 62.474300204,164.533172423 62.4581911910001,164.520464754 62.4508266810002,164.514708653 62.4474909860002,164.490508653 62.427490986,164.416654653 62.3847189860001,164.396945653 62.374436986,164.328154653 62.347909986,164.305425939 62.3436051150001,164.297336177 62.3420731660001,164.27441821 62.3411001950002,164.232745231 62.330691212,164.120518253 62.277073183,164.097118326 62.251800069,164.08163628 62.2013822500001,164.06414526 62.101109207,164.06798376 62.0384499700002,164.073299653 61.9516639850002,164.072352954 61.8632770110002,164.071856539 61.8169300310001,164.071499653 61.7836099850001,164.036908653 61.7105459850002,164.016843554 61.6924239630002,164.011381347 61.6874911180002,164.003888909 61.684027569,163.985245653 61.675409985,163.948027653 61.6719369850001,163.872745653 61.653463985,163.846636653 61.6330459850001,163.771662381 61.493745037,163.770817742 61.4921757120001,163.770423083 61.4914424430001,163.749065431 61.4517602810002,163.748563653 61.4508279850002,163.748563783 61.4508277510001,163.748563419 61.4508270750001,163.756444215 61.4367456150001,163.758590653 61.4329099850002,163.758590903 61.4329098990002,163.758591361 61.4329090810001,163.783863469 61.4242271050001,163.808591257 61.4369360820001,163.837890739 61.447772978,163.86545461 61.445666072,163.897696606 61.443201582,163.939699653 61.439990985,163.956044782 61.4315000650002,163.973509226 61.4224271760001,164.020399648 61.3634639560001,164.016559732 61.3399403960001,164.014981374 61.3302731790002,163.996184333 61.3188235350001,163.979399653 61.3085999850002,163.854127653 61.2130549840002,163.764436653 61.1869369840001,163.720790652 61.1736099840002,163.651039763 61.1511102840001,163.636381368 61.1463821020001,163.6298915 61.1424703530002,163.614254652 61.1330459840001,163.509981652 61.0469459840001,163.509981633 61.0469452380002,163.509981429 61.0469450700002,163.508881388 61.0047180470002,163.612454219 60.9711000770002,163.729126548 60.9366541960002,163.70870285 60.9220787600001,163.643308652 60.875409984,163.592171076 60.8774914620001,163.585254273 60.8777731170001,163.580360997 60.8770249130002,163.561645652 60.8741639840002,163.443708652 60.8479099840002,163.400681652 60.8344369840001,163.379605283 60.8217451460001,163.369536271 60.8156821580001,163.350215618 60.8150926980001,163.273863652 60.8127639840001,163.207182463 60.8192460710001,163.192318362 60.8206911830001,163.177600984 60.8148698680001,163.138581652 60.7994369840002,163.110227652 60.7780459840001,163.023886662 60.7845600230002,163.014436272 60.7852731160001,162.970791366 60.7827731290001,162.899981383 60.771100156,162.875227276 60.7634731270002,162.838781838 60.7298067910001,162.802745652 60.6965189840002,162.775545652 60.6601279840001,162.754008652 60.6465189840001,162.722585434 60.6374442810001,162.719116652 60.636442532,162.621763651 60.608327984,162.569672599 60.6030598370001,162.499448712 60.5959578530001,162.459690651 60.591936984,162.367190904 60.5477731050001,162.346972095 60.5427302160001,162.322545722 60.536637965,162.184181641 60.5021281860001,162.146636651 60.4927639840001,162.097187979 60.4781173450002,162.086067602 60.4748235030002,161.942199651 60.4322099840001,161.912472651 60.419718984,161.911321489 60.4165580890001,161.87524527 60.3175002210001,161.875245783 60.3175003460002,161.875245651 60.317499984,161.900792084 60.3237544660003,161.916090651 60.3274999840002,161.922561458 60.307479985,161.926660437 60.2947981720001,161.928572447 60.2888822240002,161.928774581 60.2839173020001,161.929408651 60.2683279840001,161.922330181 60.2513922760002,161.918727231 60.2427732070001,161.837463338 60.1874912020001,161.809691561 60.1703717280001,161.793308651 60.160272983,161.718845651 60.1244369830001,161.626063651 60.101936983,161.49983665 60.0651279830002,161.46551865 60.0465279830001,161.401751421 59.9923963890001,161.341645266 59.9413732110001,161.270536216 59.8774912060001,161.255683727 59.8599400620001,161.24761865 59.8504099830002,161.196573104 59.819574125,161.187485842 59.814084645,161.10162765 59.7622189830002,161.081277684 59.75041285,160.94578565 59.671806475,160.86078165 59.6224909830001,160.82011865 59.6055459830001,160.725060633 59.5903807200001,160.690832828 59.5849201210001,160.665808972 59.5809278920001,160.660534705 59.5800864520001,160.62689065 59.5747189830001,160.543859976 59.5618866310002,160.524418253 59.5588821580001,160.515458617 59.5553462130001,160.483781649 59.5428459830002,160.479121844 59.5364742230002,160.462599649 59.5138819830001,160.459149825 59.4966960360002,160.459136649 59.4966304000001,160.458032792 59.4911313290002,160.457542694 59.4886898120002,160.457456249 59.4882591680001,160.454681649 59.4744369830001,160.444118649 59.4558279830002,160.443018533 59.454746884,160.432403798 59.4443156510001,160.414154149 59.4263822050001,160.377483558 59.3936338270001,160.341063649 59.3611099830001,160.322555394 59.3500278690001,160.307190649 59.3408279830001,160.16748195 59.2904563800001,160.157745649 59.2869459830002,160.11222569 59.2654094200002,160.1041424 59.2615850260001,159.923172649 59.175963983,159.908545107 59.167856826,159.898863407 59.1624912270001,159.88765814 59.1558149160001,159.867172649 59.143609983,159.789981649 59.083881982,159.733854649 59.0190189820001,159.733854522 59.0190185120001,159.733854243 59.0190181900002,159.730017092 59.0047919780002,159.728572649 58.9994369820001,159.728572701 58.9994369060001,159.72857247 58.9994360520002,159.743718234 58.9770731340001,159.756436227 58.9448451450002,159.718445649 58.8694369820003,159.702181649 58.8513909820001,159.670704151 58.8303911710001,159.627465948 58.8015453540002,159.621331519 58.7974528470001,159.496063337 58.7138822120002,159.478699447 58.7034995350002,159.450527648 58.6866549820002,159.339145648 58.6230459820001,159.2234613 58.5562931730001,159.220802268 58.554758844,159.198581648 58.541936982,159.147336648 58.5037459820001,159.129118648 58.4777639820001,159.043927648 58.4206189820001,158.829216195 58.3282416760001,158.757763343 58.2975001070002,158.754351506 58.296407033,158.736081648 58.2905549820001,158.664981648 58.2708279820002,158.590518648 58.226654982,158.473572648 58.1680549820001,158.358581647 58.104436982,158.297091683 58.0687680450001,158.283872329 58.0611000940001,158.274017572 58.052979738,158.261962638 58.0430468860001,158.233308647 58.0194369810002,158.220914484 58.017392582,158.218429713 58.0169827220003,158.150811075 58.005829124,158.068299647 57.9922189810002,158.043413513 57.9881955720001,158.040800321 57.9877731930001,158.02063646 57.9863474690001,157.922763647 57.9794279810001,157.859954647 57.9797189810001,157.797681647 57.9887459810001,157.760738436 57.992507668,157.666695011 58.0020834980001,157.643581647 58.004436981,157.593181109 57.9312211700001,157.58581695 57.9205234100002,157.583413858 57.917032487,157.582563712 57.9157974990002,157.579968878 57.9120280270001,157.558872403 57.8813821990001,157.55338512 57.8745407900001,157.534699647 57.8512459810001,157.508012356 57.8298480770002,157.498836183 57.8224911140001,157.476072443 57.808600121,157.465982571 57.8042573040001,157.434145647 57.7905549810001,157.413220002 57.7863695510002,157.406372392 57.7850002020002,157.382316852 57.7813713570002,157.325254647 57.7727639810001,157.286372646 57.7697189810001,157.205381646 57.7712369810001,157.175123259 57.7724952900002,157.168445196 57.7727731850001,157.054272439 57.798191134,157.029554646 57.8156189810002,156.985882235 57.8477446280001,156.981690646 57.8508279810002,156.870818449 57.80117763,156.845808089 57.7899775890002,156.786927646 57.7636099810002,156.760181646 57.7382549810002,156.76018315 57.7382547940001,156.760182305 57.7382539930001,156.816500313 57.7312359930002,156.840100232 57.7276270810002,156.884154174 57.6938822090002,156.902191359 57.6783270730001,156.917754206 57.6630450200001,156.932563996 57.6450575510002,156.933299646 57.6441639810001,156.946940824 57.6144470910002,156.970790646 57.5624909810001,156.977771826 57.5375990650001,156.980527285 57.5277731720001,156.982694323 57.5024455920001,156.987181646 57.4499909810001,156.981852598 57.4266349510001,156.980527396 57.4208276140002,156.963290646 57.3955459810001,156.820425413 57.234685633,156.771227306 57.1792911880001,156.731959375 57.1427579930001,156.695254646 57.1086099810001,156.683873981 57.1012464840001,156.682458449 57.100330609,156.680831646 57.0992780380001,156.673504936 57.0945375230002,156.649139646 57.0787727390002,156.646091016 57.0768002200001,156.545882353 57.1045821110001,156.54588223 57.1045818190001,156.545881646 57.1045819810001,156.541276055 57.0936961280001,156.533785469 57.0759912580002,156.52692735 57.0597821800001,156.515118254 57.0274912330001,156.481354272 56.9806821590001,156.449554169 56.9545732010001,156.423036174 56.9411001300001,156.38943631 56.9252732530002,156.376311984 56.9195808940001,156.353572646 56.9097189800001,156.242405277 56.866026828,156.201627196 56.850000074,156.063645743 56.7227004850002,156.065387339 56.7317236550002,156.069691345 56.7540180620002,156.091956889 56.7768259370002,156.098845645 56.78388198,156.129945645 56.7999999800001,156.137443321 56.8054062250001,156.157482394 56.8198540560001,156.164609358 56.8414450010001,156.164608158 56.8414445040002,156.164608645 56.8414459800001,156.110790645 56.81916398,156.076645645 56.7951369800001,156.019990645 56.7455459800001,156.000545645 56.7277639800002,155.942063645 56.65353698,155.942063604 56.653536327,155.942063458 56.6535361420001,155.941863207 56.65037707,155.940799645 56.6336099800001,155.940896563 56.6170563650001,155.940945312 56.6086731790001,155.895263437 56.505273183,155.855088398 56.4140732270001,155.844972645 56.3911099800002,155.832181645 56.3594369800002,155.799408645 56.2699909800001,155.774457708 56.200138936,155.774125416 56.1992086590001,155.773741932 56.1981350680002,155.764981645 56.1736099800001,155.759184463 56.1623562060001,155.755245645 56.1547099800002,155.738008645 56.1233189800001,155.722917055 56.0984967660002,155.717745288 56.0899911180002,155.694963443 56.0593001090002,155.684145256 56.0338821550001,155.671581292 55.9936202520001,155.657477671 55.9484260320002,155.656501887 55.9452991890001,155.655848597 55.943205762,155.646090645 55.9119369800001,155.644553197 55.8569022660002,155.643863338 55.8322180900001,155.645236294 55.803027107,155.645161207 55.7996268190001,155.644990645 55.7919369790001,155.640814576 55.7675001330001,155.639436184 55.759436013,155.604127249 55.6030540070001,155.578854302 55.506100198,155.569781533 55.4606304500002,155.549008645 55.356527979,155.544981645 55.3302729790001,155.544440429 55.3133691720001,155.544127239 55.303600122,155.565945166 55.1476360370002,155.598845309 54.929991204,155.632445174 54.7791642200002,155.686918325 54.5616642260001,155.69019353 54.5487638550002,155.699399645 54.5124999780001,155.723299645 54.4294369780001,155.746047028 54.3599429330001,155.794127225 54.213053998,155.820254288 54.1695732110002,155.840099678 54.1436098910001,155.85082511 54.114736416,155.851853141 54.1119688980002,155.852482178 54.1102754940001,155.852996692 54.1088903950003,155.854171645 54.1057273530001,155.854891402 54.103789728,155.855816505 54.1012992970001,155.856422143 54.0996688850001,155.857456408 54.0968845840002,155.857940804 54.0955805640001,155.859151746 54.0923206380002,155.859454589 54.0915053690002,155.862181645 54.0841639780002,155.887481645 54.0005459780002,155.913269306 53.9035201800001,155.930818297 53.8374910910001,155.939090883 53.7848945710001,155.955808645 53.6785999770002,155.996779251 53.483989889,156.026918326 53.3408271160002,156.076627203 53.132491224,156.091336269 52.9361002150002,156.102327291 52.8526270200001,156.128572371 52.792218141,156.171627191 52.7063820880002,156.183318269 52.684718053,156.209136207 52.6411091900002,156.262481642 52.566036974,156.262482327 52.5660360040001,156.340236214 52.5241539800001,156.361633907 52.5176727150002,156.364963646 52.5166639760002,156.385782133 52.5214913430002,156.399093562 52.524577982,156.403854646 52.5256819760001,156.440654273 52.5154820800001,156.441927308 52.4938822340001,156.423036174 52.4731821180001,156.412281174 52.4674934660002,156.394148725 52.4579033140002,156.37948216 52.4501462490001,156.376209331 52.4770731650001,156.368780025 52.4872996000001,156.361072646 52.4979099760001,156.344124657 52.5028267600001,156.330657183 52.5067338100001,156.319135153 52.5100764680001,156.281354646 52.5210369760002,156.281355287 52.5210357600002,156.281354182 52.5210360800001,156.294601223 52.495893122,156.306781646 52.472772976,156.353299646 52.3861099760001,156.398590646 52.2794369760001,156.424681646 52.2091639760001,156.428590646 52.2019369760001,156.433114821 52.187853921,156.441218199 52.1626270730001,156.444960489 52.148109886,156.447481646 52.138327976,156.47751345 51.9962343700001,156.482059244 51.9747262290002,156.485874173 51.9566761290001,156.489860302 51.937816008,156.491604122 51.9295652340002,156.492599646 51.924854976,156.498175055 51.8137988960001,156.498345671 51.8104004080001,156.499690646 51.7836099760002,156.496745788 51.722265163,156.495236212 51.6908270080002,156.486636212 51.5919361410002,156.485461768 51.5883204180001,156.485069272 51.5871122210001,156.484147275 51.5842740930001,156.484095934 51.5841160510001,156.482498646 51.5791992140002,156.481506477 51.5761450790002,156.478290646 51.5662459750001,156.478287992 51.5662264910002,156.474950999 51.5417256840001,156.47384526 51.5336091590001,156.472745219 51.5136090990001,156.477142245 51.4875553650002,156.480808646 51.4658279750001,156.520808646 51.3156819750001,156.528925641 51.3010138390001,156.538863348 51.2830539560001,156.555800324 51.2712361430001,156.575952793 51.2624965900002,156.592608646 51.2552729750002,156.597483451 51.255179618,156.621536238 51.2547180940001,156.652754301 51.2451360690001,156.673582325 51.2294270420002,156.706363447 51.1913732030001,156.745236198 51.0779090540001,156.7459272 50.9944362460001,156.727172646 50.9637459750001,156.718379936 50.9552808710001,156.709136179 50.9463822410002,156.698742862 50.9380420430002,156.688018646 50.9294369750002,156.663863646 50.913045975,156.658074479 50.9043684360001,156.647554169 50.888600082,156.656918263 50.8794361470002,156.666651742 50.8813400130002,156.668308646 50.8816639750002,156.668309271 50.8816642230002,156.693027646 50.8913819750001,156.706422487 50.9000915560001,156.726345232 50.9130450650002,156.772082741 50.9442934100001,156.798718646 50.962490975,156.807580783 50.9700766500002,156.818845234 50.9797180760002,156.993920297 51.092338742,157.010831412 51.1032171000002,157.038829639 51.1212274390001,157.067524318 51.1396857820001,157.09545103 51.157650116,157.096927646 51.158599975,157.149083609 51.185784269,157.171109119 51.1972640760001,157.174054857 51.1978918460001,157.214536276 51.2065181270002,157.241417799 51.2219277740002,157.247828649 51.2256025990002,157.255813646 51.2301797540001,157.259845646 51.2324909750001,157.269052025 51.2416639900001,157.270263869 51.2428714410001,157.367736647 51.3399909750001,157.385475719 51.3553977390002,157.457068155 51.4175773000002,157.536927239 51.4869360390001,157.585479548 51.5110293430002,157.609127647 51.5227639750001,157.624237788 51.5287228120002,157.657745166 51.5419360770002,157.674600185 51.5475589770002,157.682736647 51.550272975,157.692955541 51.5522180760001,157.72940038 51.5591540150002,157.776363345 51.5648540440002,157.912200301 51.643327098,158.277682293 51.9413091210001,158.28888236 51.9680450460001,158.286393043 51.9796877740001,158.284427647 51.9888819760002,158.283471248 51.997705486,158.282200307 52.0094360570001,158.283452486 52.0244141210002,158.283872647 52.0294369760002,158.284730737 52.0319520830002,158.317609321 52.1283180990002,158.429272365 52.2658270760001,158.487045304 52.2647181510002,158.526654155 52.2751271330001,158.535401401 52.2833531650001,158.538611769 52.2863721,158.542413781 52.2899473990001,158.545118648 52.292490976,158.549782621 52.301170165,158.550674648 52.3028301370001,158.555118648 52.3110999760002,158.556101937 52.3806521040001,158.556347193 52.3980000940002,158.556363648 52.3991639760002,158.552025431 52.415359165,158.551116813 52.4187511650002,158.546875829 52.4345833710001,158.5112913 52.5674270640001,158.51129086 52.5674271820001,158.511290648 52.567427976,158.482463648 52.5751369760002,158.441513521 52.5976438160001,158.435472589 52.6009641610001,158.430742944 52.6157954810001,158.428854589 52.6217170240002,158.419995033 52.6494990120001,158.419127993 52.6522178940002,158.457454168 52.6436091770001,158.474208521 52.6361077180002,158.476072648 52.6352729760001,158.479471947 52.6338729860001,158.499691249 52.6255450020003,158.524700333 52.6194361030001,158.546351807 52.6226459860002,158.547208648 52.6227729760002,158.547208675 52.6227730190001,158.547209264 52.6227731060002,158.59891823 52.7042271010002,158.598918141 52.704227179,158.598918648 52.7042279770001,158.566772648 52.7326279770001,158.564816009 52.7522216100001,158.561100257 52.7894360200001,158.632718255 52.8466540760002,158.632718372 52.8466547560001,158.632718648 52.846654977,158.635483649 52.8627219950001,158.642209252 52.9018001260001,158.634704697 52.9164188400001,158.627163648 52.9311099770002,158.537510342 52.940134001,158.511382327 52.942764163,158.511381646 52.942763981,158.484408648 52.9357549770001,158.484409745 52.9357541420001,158.484409363 52.9357540420001,158.498636781 52.9249288550002,158.513474154 52.9136391650001,158.522199559 52.9070000440001,158.446072543 52.9024911400001,158.425736648 52.934154977,158.424024642 52.9520251390002,158.422299975 52.9700274750001,158.418591306 53.0087449970001,158.439418324 53.0272180410001,158.531645243 53.0694450630001,158.574879643 53.0637470510001,158.584408648 53.0624909770001,158.591342584 53.0589832560002,158.607463413 53.0508270120002,158.650272307 53.0075001160002,158.659345215 52.9640910780001,158.671956535 52.943204053,158.698299648 52.8995729770001,158.724963648 52.890681977,158.728663235 52.8920221930001,158.743009349 52.8972180750001,158.828991415 52.9710271030002,158.87594516 53.004018106,158.965678042 53.0536752790001,159.020263648 53.0838819770002,159.108812909 53.1161911970001,159.110108649 53.1166639750001,159.11943065 53.1189914230001,159.255827262 53.1530449920002,159.368145268 53.1547091350001,159.39150932 53.1591540580001,159.424682379 53.1874910940001,159.452745158 53.2164450370001,159.491900381 53.2330450610001,159.614682355 53.2594361540001,159.64970027 53.255553992,159.753054165 53.219154069,159.910800243 53.1508271410001,160.0503824 53.0951270470002,160.055659591 53.1234860280001,160.057878472 53.1354079350002,160.058318649 53.1377729770002,160.054874033 53.1479490990001,160.052487641 53.1549990060002,160.051218551 53.1587481650001,160.044189649 53.1795130260001,160.0436673 53.181056156,160.042495649 53.1845174600001,160.031753952 53.2162507010001,160.019916683 53.2512204930001,160.018472526 53.2554868380002,160.013045649 53.271518977,159.978427649 53.2679189770002,159.959323626 53.2917381540001,159.9397732 53.316113914,159.910664996 53.3524064520001,159.88618845 53.382924171,159.859127649 53.4166639770001,159.84410534 53.4424668080001,159.814265249 53.4937211660001,159.803142224 53.5128264530002,159.798246015 53.521236349,159.822482308 53.5311090600001,159.869809383 53.5015180910001,159.895536294 53.4836000970001,159.897415448 53.4826942890001,159.918581649 53.472490977,159.923706654 53.4727509620001,159.947263365 53.4739449830001,159.962191367 53.5163822230001,159.964285867 53.5571008380002,159.964963649 53.5702729770001,159.944972649 53.6141549770001,159.923036649 53.6449999770001,159.90368212 53.6605919070002,159.897951749 53.665208271,159.890727649 53.671027977,159.890727263 53.6710271630001,159.890629726 53.6708193210002,159.887177109 53.6634624280001,159.879681649 53.6474909770001,159.895528462 53.6287601610001,159.89636342 53.6277731910001,159.90414474 53.600828567,159.877432352 53.6181697670001,159.853615363 53.6336313260001,159.834409253 53.6461000540001,159.817472652 53.658599995,159.818156474 53.6620601660001,159.822520978 53.6841447770001,159.8227671 53.685390166,159.828000506 53.711871462,159.855791321 53.852491177,159.880027478 53.9234890930002,159.899554649 53.9806909780001,159.925637599 54.0221299650001,159.988282388 54.121654038,160.001098833 54.1344451330002,160.005827649 54.1391639780002,160.010807376 54.1425235950001,160.102172649 54.2041639780001,160.110330262 54.2086344490002,160.140809222 54.2253360010001,160.19094524 54.2315181580001,160.236033465 54.247694434,160.251354649 54.2531909780002,160.314868319 54.294494786,160.315786009 54.295091572,160.320531793 54.2981778200001,160.320833276 54.2983738790001,160.350663649 54.3177729780002,160.355035485 54.3218901440001,160.372191324 54.3380451060001,160.388027254 54.3555540640002,160.49300925 54.4124911590002,160.579409238 54.458882143,160.728291014 54.5293000610002,160.80887265 54.5474909780001,160.818085199 54.5493266540001,160.874391378 54.5605450740002,160.945475036 54.5730497810002,160.96441865 54.5763819780001,161.01525465 54.583881978,161.03998165 54.5863819780001,161.047594565 54.5868110430001,161.113863358 54.590545079,161.159972375 54.5891540180001,161.203445284 54.5720091700002,161.213598361 54.55146648,161.21628165 54.5460369780001,161.218819777 54.5395312640002,161.224818299 54.524154035,161.240236307 54.511109112,161.270416431 54.5001690180001,161.28469965 54.4949909780001,161.30636365 54.4913819780001,161.35302765 54.4910999780001,161.365842393 54.4933513780002,161.371824345 54.4944023360001,161.43054524 54.5047180780001,161.486287936 54.5127545740002,161.49410865 54.513881978,161.623018651 54.5199909780001,161.644436651 54.5163909780001,161.650403765 54.5148335070001,161.688354142 54.5049271230001,161.727106928 54.5069188470002,161.734176651 54.507282049,161.738418651 54.5074999780002,161.763181651 54.522772978,161.767746847 54.5287107590001,161.771978168 54.5342142800001,161.780536302 54.5453449950001,161.800400239 54.5758271270001,161.886109222 54.619991208,161.993009333 54.6824912040001,162.113009354 54.7635359940001,162.151700386 54.8591641220002,161.970091366 55.0256910800002,161.918581652 55.0513819810001,161.918581386 55.0513821170002,161.916838131 55.0520133500001,161.887457629 55.062652756,161.873718651 55.0676279790002,161.82823858 55.1253891670001,161.827323289 55.1265516170002,161.813018651 55.1447189790002,161.797209091 55.1680543290001,161.784000375 55.194154091,161.753406532 55.274044625,161.718154651 55.3660999790001,161.711345651 55.4902729790001,161.749118651 55.6274909790002,161.813236651 55.7118639790002,161.916654651 55.8163819790001,161.976101611 55.8997480950001,162.018463329 55.9591539680001,162.02603763 55.9748352670001,162.048854651 56.0220729800001,162.036436831 56.0498545770001,162.064579005 56.0788324870002,162.086072651 56.1009639800002,162.224545651 56.1610999800001,162.241103108 56.165441329,162.244691181 56.1663820500002,162.284427651 56.1716639800002,162.333572651 56.1820729800001,162.443999651 56.2074909800002,162.443999754 56.2074910220002,162.444000317 56.2074911520002,162.514981291 56.2366539720001,162.56712729 56.2733180930001,162.567127036 56.2733185480001,162.567127651 56.2733189800001,162.553318651 56.29804598,162.491636651 56.3405459800002,162.467881651 56.3530549800001,162.415527651 56.37040998,162.393864364 56.3896453470001,162.481899651 56.4238819810001,162.605663651 56.4556909800002,162.614928862 56.4637210450002,162.62857234 56.4755450870001,162.650116678 56.483662221,162.658445651 56.4867999800001,162.698718652 56.4917999800001,162.703254567 56.491575573,162.740781381 56.4897180470002,162.77366342 56.4770090700001,162.82995427 56.449718096,162.894761277 56.4325566790002,162.897618652 56.4317999800002,162.922472652 56.4506909800002,162.923612156 56.4601606960002,162.926700376 56.4858181150001,162.93570461 56.5129995210002,162.936918443 56.51666335,162.949106856 56.5272940250001,162.962872652 56.5392999800002,162.985227652 56.5474909800002,162.999411885 56.544520575,163.093490375 56.5248183120002,163.080079298 56.4924940390002,163.073854242 56.4774911970002,162.986884586 56.4407348240001,162.718290652 56.3272189800001,162.627445651 56.2436099800001,162.627445797 56.2436095570001,162.62744531 56.2436091080002,162.645263392 56.1919360160001,162.746336236 56.1036091960002,162.865323482 56.0418155050002,162.868836652 56.0399909800001,162.870922334 56.0393449240001,162.889436279 56.0336090730001,163.033718337 56.0179090980002,163.090791386 56.0622091320001,163.107454275 56.086654115,163.225800378 56.1399911820001,163.30496343 56.1733270170002,163.336554258 56.1892187560002,163.349963652 56.1959639800001,163.349943957 56.1962553380001,163.347403706 56.2338343190001,163.340791372 56.3316641860002,163.334489776 56.3479252020001,163.332181652 56.3538819800002,163.320254652 56.38359998,163.272415652 56.467556916,163.262517142 56.484928695,163.26249544 56.4849667820002,163.262481652 56.4849909800001,163.261820092 56.4869845040002,163.260851523 56.489903157,163.260157904 56.4919932880001,163.259411684 56.4942419240001,163.257529528 56.4999135500001,163.257476652 56.5000728850002,163.25652249 56.5029481270001,163.250866603 56.5199913920002,163.249896188 56.5229156120002,163.24915771 56.5251409160002,163.248222435 56.5279592440001,163.247510408 56.5301048430001,163.246554361 56.5329857660002,163.245818999 56.5352016800002,163.245571123 56.5359486210001,163.243505172 56.542174093,163.214754652 56.6288099800001,163.221345652 56.6538819800002,163.229795174 56.6644931880001,163.247609252 56.68686326,163.210800291 56.7418000970001,163.189876724 56.7424273020002,163.071918652 56.7459639800001,163.001354652 56.7366639800001,162.919709134 56.7049911670002,162.916203725 56.7054442790001,162.902481652 56.7072189800001,162.878299652 56.71915498,162.853008652 56.7333189800001,162.829954652 56.7511099800001,162.814145652 56.76639098,162.789827652 56.79485498,162.78407669 56.8367339610001,162.783963594 56.8375575360001,162.782448888 56.8485877460002,162.781645652 56.8544369800001,162.781645652 56.8817999800002,162.790527652 56.9283279800001,162.797744218 56.949931197,162.814281452 56.9994359970001,162.828036323 57.0244360290001,162.828036318 57.0244363750001,162.828036652 57.0244369810002,162.827754652 57.0449999810002,162.825869639 57.056870696,162.82330038 57.073054085,162.819523288 57.0829863630001,162.812054652 57.1026279810001,162.809819473 57.1071240840002,162.804329082 57.1181681040001,162.79720936 57.1324911670001,162.787092143 57.1498407430001,162.785827652 57.1520093400002,162.774854652 57.1708279810002,162.762642825 57.1958725100002,162.752000391 57.2177000860002,162.749898507 57.2472305110002,162.749118652 57.2581909810001,162.749596251 57.2654054130002,162.750691305 57.2819361420001,162.758609354 57.318327013,162.763468564 57.3400940390002,162.764182932 57.343293477,162.765836652 57.350699981,162.764113502 57.3513418550002,162.74238235 57.3594367210001,162.780818213 57.3841631750001,162.842191346 57.4163822050002,162.882718351 57.436654005,162.954954263 57.4677632710001,163.0013543 57.470545057,163.052900322 57.48804513,163.072754201 57.501663208,163.15997243 57.5930450640001,163.215313781 57.6594993840002,163.282345652 57.7399909810001,163.263551814 57.7656504950001,163.209409231 57.8395732650001,163.197927751 57.840819557,163.167208652 57.8441549810001,163.140241194 57.8406409210002,163.13204527 57.8395732650001,163.123136089 57.8381973340001,163.098781652 57.8344369810001,163.018863652 57.845827981,163.002363815 57.8488114390001,162.995791398 57.8500001850001,162.986898178 57.8547528930001,162.971636652 57.8629099810001,162.946927649 57.874990976,162.94692725 57.8749911650002,162.945858214 57.8754426300001,162.875245652 57.9052639810001,162.847583068 57.9149714680001,162.843563463 57.9163821770001,162.826469526 57.9220943350002,162.701827652 57.9637459810002,162.666927651 57.9647189810002,162.563718651 57.9497189810002,162.543308651 57.943599981,162.534940307 57.938253032,162.526363413 57.9327731560001,162.503327261 57.9163821770001,162.474272399 57.8870822280001,162.465236204 57.8681910950001,162.46547144 57.8478830420001,162.465790651 57.8202729810002,162.467608651 57.7890279810001,162.472307488 57.7760219900002,162.477445285 57.7618001000001,162.380936219 57.6895001500002,162.339263674 57.6913822110001,162.341645651 57.7155459810001,162.318997026 57.7900659490002,162.316654651 57.7977729810002,162.316654289 57.7977730230002,162.31665423 57.7977732170002,162.312510904 57.7982483300001,162.292481651 57.8005459810001,162.250088594 57.8079016120002,162.24606335 57.808600121,162.243834452 57.8092431050001,162.213290651 57.8180549810002,162.166818775 57.833624555,162.166611475 57.8336940070002,162.164091993 57.8345381140002,162.117050125 57.8502986530001,162.106354487 57.853882114,162.040527651 57.907209981,162.020439571 57.9288649400002,162.002900315 57.9477732420001,161.958237118 58.0155497180002,161.939836651 58.0434729820002,161.938581671 58.0676275880002,161.981081382 58.1627631920002,162.002989215 58.2023500400002,162.050263651 58.2877729820001,162.065241275 58.3143772790002,162.06635364 58.3163531390001,162.073325996 58.3287379230002,162.143309263 58.4530450960001,162.331793957 58.6156164160002,162.405945651 58.6795729820002,162.445538824 58.703009713,162.509427274 58.7408270130002,162.529531013 58.7488324710001,162.532333071 58.7499481570001,162.539427651 58.7527729820001,162.560448049 58.7608682790002,162.591336238 58.7727632380002,162.633881438 58.786109072,162.701081335 58.8091541090001,162.765409257 58.8356912140002,162.786281369 58.86464499,162.786280865 58.8646448910001,162.786281652 58.8646459820001,162.731661406 58.8539236820001,162.725800238 58.8527731980001,162.760254219 58.8905450710001,162.819700353 58.9133180320001,162.864136174 58.9291631810001,162.896144177 58.9358714180001,162.903872652 58.9374909820002,162.91081707 58.9393629220002,162.949568756 58.9498088390002,162.982181652 58.9585999820001,162.986839668 58.9611462310002,163.00860934 58.973045127,163.032900263 58.9962450620001,163.043400273 59.0213911060001,163.040073469 59.0214297730002,163.019990652 59.0216639820001,162.998854652 59.0259639820001,162.958590652 59.0566549820002,162.952397945 59.0615428560001,162.952072047 59.0618000860001,162.950776406 59.0628227290001,162.896636652 59.1055549830001,162.882045652 59.1274909830002,162.893869026 59.1305640090001,162.941927277 59.1430540960001,163.000865823 59.1551845920001,163.012072614 59.1574909750001,163.174681329 59.070200102,163.146436327 59.042491207,163.146436707 59.0424910360001,163.146436652 59.0424909820001,163.147703141 59.0419235350001,163.165954259 59.0337450260001,163.18719132 59.0479091010001,163.195694444 59.0610494250001,163.199145652 59.0663819820001,163.19656505 59.08881757,163.191909325 59.1293000630001,163.178591317 59.1479090600002,163.178590652 59.1479099830001,163.155818652 59.1641549830001,163.154987025 59.1645581710001,163.111747433 59.1855215360001,163.109972366 59.1863821650001,163.104885428 59.1872870430002,163.08094758 59.1915457890001,163.066281652 59.194154983,163.064171551 59.2130453100001,163.061100338 59.2405450180001,163.082600255 59.267773128,163.087823564 59.2702465430001,163.103718652 59.2777729830001,163.120728556 59.282491227,163.169300315 59.2959631440001,163.257754204 59.296109157,163.257108726 59.2839681370002,163.256099652 59.2649999830002,163.231199652 59.2400549830002,163.231201235 59.240054908,163.231200335 59.2400540060002,163.261654304 59.2386091340002,163.284129654 59.2536616850001,163.296281652 59.2617999830001,163.306918652 59.2891639830002,163.307414803 59.2912336060001,163.311645652 59.3088819830001,163.328854652 59.3880459830002,163.31974028 59.408892365,163.319136652 59.410272983,163.314130277 59.41570548,163.312536125 59.417435319,163.312530705 59.417441201,163.308266427 59.4220684360001,163.307447042 59.4229575630001,163.306810006 59.4236488210001,163.301090652 59.429854983,163.292428381 59.4350935370001,163.225832623 59.4753676730001,163.219118652 59.4794279830001,163.199675811 59.4868780030001,163.196627652 59.4880459830001,163.195810257 59.4884278430001,163.189117652 59.4915544120001,163.166154654 59.5022819880001,163.179272467 59.566518079,163.250096149 59.5814455240001,163.266918652 59.5849909830001,163.304290652 59.5799909830001,163.304707601 59.580074998,163.32775416 59.5847180330001,163.371354306 59.6116541170002,163.389554268 59.6291540230002,163.389554208 59.6291545560001,163.389554652 59.6291549830001,163.388591437 59.637709779,163.387209346 59.6499910990001,163.374282065 59.6763760800002,163.368836652 59.6874909830001,163.356081652 59.7374999830002,163.360227652 59.8238819830001,163.3960207 59.8423959020001,163.504700328 59.898609076,163.534972409 59.9030451150002,163.555990447 59.9026130850001,163.561918652 59.9024909830001,163.638881652 59.8949999830001,163.642704971 59.8944328980002,163.669827341 59.8904090600001,163.697034785 59.8967754820002,163.699199652 59.8972819830001,163.699199702 59.8972820630001,163.69920038 59.8972822210001,163.730288116 59.9466428810001,163.73161445 59.9487487750002,163.741599806 59.9646030850001,163.749281653 59.976799983,163.74928121 59.976799841,163.749281413 59.9768001630002,163.74243517 59.9746005510001,163.722881652 59.9683189830001,163.676636652 59.970827983,163.638045652 60.000690983,163.62665107 60.0160945710002,163.6212004 60.0234632240001,163.635146294 60.0401252170002,163.639972652 60.0458909830001,163.657918391 60.0467323990001,163.73925431 60.050544986,163.808872386 60.0419361010001,163.9688452 60.031109196,164.028350723 60.0304473470001,164.044008653 60.030272983,164.056494605 60.0187491720001,164.058340832 60.0170452110001,164.083963906 59.9933965960002,164.102330816 59.9764450000002,164.107363358 59.9718001900001,164.0945986 59.9591392840001,164.078372653 59.9430459830002,164.046709224 59.9328821690001,164.046708653 59.9328819830001,164.041794049 59.910257071,164.039836232 59.9012450170001,164.052336332 59.8738821270001,164.052336596 59.8738821080001,164.052336653 59.873881983,164.065235087 59.8729673440001,164.146300316 59.8672181780001,164.139600093 59.8951207610002,164.135863653 59.910681983,164.137245587 59.9174455340002,164.140309267 59.932436091,164.16040588 59.9448495210002,164.166272653 59.9484729830001,164.185499796 59.9583239020001,164.218563386 59.9752632570001,164.294421573 60.0084457660001,164.317504653 60.0185427700001,164.340663653 60.0286729830001,164.317200284 60.0569362230001,164.317404092 60.0745903250001,164.317536644 60.0860362340001,164.442472351 60.1133271170001,164.464254334 60.1117033940001,164.468563653 60.1113819830001,164.472387789 60.110483044,164.492191286 60.1058271580001,164.514981346 60.099163209,164.541781308 60.0859632210002,164.675263452 59.9969360090002,164.70162722 59.9755450570001,164.734681422 59.9408270460002,164.779354284 59.8551271150001,164.773372455 59.8286731580002,164.796918227 59.795000203,164.796918655 59.7949999860001,164.823581396 59.7816540340002,164.949591624 59.822788846,164.998027654 59.8385999830002,164.999525993 59.8395801720001,165.026918654 59.8574999830001,165.160823224 59.963903949,165.182463654 59.9810999830001,165.182463654 59.9824596740001,165.182463654 60.0072189830001,165.181258065 60.0087201720001,165.14506499 60.0537874460001,165.123117615 60.0811161100001,165.119618654 60.0854729830001,165.119618497 60.0854729880002,165.119618315 60.0854732150001,165.075672332 60.08680007,165.069645634 60.0833727100001,165.054427654 60.0747189830001,165.037199654 60.0641639830002,165.02964842 60.0677202310001,165.006236654 60.078745983,164.996627853 60.126653989,165.123241284 60.1224314640001,165.147537654 60.1216209970002,165.154972653 60.1213729820001,165.189972323 60.09165403,165.228758412 60.0957308420001,165.234954654 60.0963819830001,165.280853654 60.1160301390001,165.284263449 60.1174897830001,165.399136179 60.1666631790001,165.439145182 60.1869361530001,165.504272403 60.2108270910001,165.527772409 60.2141540360001,165.643863445 60.2466540280002,165.7675453 60.2878450470001,165.929691373 60.380545041,165.948089902 60.3963752970001,165.953581655 60.4010999840002,165.96004156 60.4062349680001,165.981900404 60.4236090800001,166.001100078 60.4338730910001,166.005730143 60.435041873,166.0638724 60.4497180380001,166.09774518 60.4572181650001,166.223018255 60.4808180840001,166.268309366 60.484718184,166.33408983 60.486081912,166.348572655 60.4863819840002,166.350920702 60.4852378710001,166.381072187 60.4705451840001,166.372680051 60.456195499,166.366266398 60.4452288140001,166.360403718 60.4352042390001,166.346636655 60.4116639840001,166.33564218 60.4030522320001,166.321636208 60.3920822280001,166.314210232 60.3901352450002,166.298854655 60.3861099840001,166.266539129 60.3844719680001,166.26310466 60.384297881,166.254900332 60.3838822120002,166.254900339 60.383882018,166.254899655 60.383881984,166.255068916 60.378821347,166.255668487 60.360895084,166.257293139 60.3123204600003,166.259154149 60.2566631930001,166.258943846 60.2563332090002,166.177890655 60.1291549830001,166.147162332 60.0522531160001,166.136381395 60.0252732120001,166.101627342 59.9138822450001,166.096618316 59.8524911740002,166.097986313 59.8436276760001,166.100390655 59.828045983,166.100391245 59.8280456720001,166.100391346 59.8280450180001,166.119127247 59.8181910850002,166.119127551 59.8181910380001,166.119127655 59.8181909830002,166.137754655 59.8152729830002,166.144858735 59.8161776760001,166.168309237 59.8191632180001,166.24606346 59.8305540570001,166.286500275 59.8401270290001,166.3055453 59.8469361520001,166.343291357 59.8674910930002,166.518036269 59.9866540960001,166.631900401 60.0691632040002,166.66943624 60.0972181050002,166.700527233 60.1191540490001,166.805818355 60.189154004,166.980452324 60.2854051379999,166.986539722 60.2887602410001,167.002426413 60.2975162650002,167.050263656 60.3238819840001,167.086199098 60.3314589360002,167.160205933 60.3470632030001,167.176426132 60.350483216,167.184008726 60.3520819830001,167.18671792 60.3520634700001,167.205227274 60.3519360970001,167.236354309 60.3555540610001,167.266556307 60.3628908240001,167.276363656 60.365272984,167.32323654 60.3803851370001,167.323345802 60.3804203640001,167.326464869 60.3814259730001,167.45468143 60.4227631790001,167.614963368 60.4473451210001,167.720202329 60.4758366440002,167.759154656 60.4863819840002,167.794164663 60.4946958720001,167.84084831 60.5057819210002,168.074981657 60.5613819840002,168.081273505 60.5626618750001,168.109127356 60.5683271650001,168.188872448 60.5816632760001,168.321363348 60.5947092060001,168.40109134 60.5958270160002,168.462040119 60.5948426230002,168.478718657 60.5945729840002,168.47902105 60.594532452,168.510799657 60.5902729840002,168.534972657 60.584990984,168.541534127 60.5830782540002,168.574981298 60.5733271380002,168.703142325 60.5623507860001,168.717745657 60.5610999840001,168.747695421 60.560938831,168.752164213 60.5609147850002,168.974400276 60.559718112,169.134192181 60.5612020290001,169.153581658 60.5613819840002,169.170417443 60.5736145800001,169.170720333 60.5738346510001,169.205381388 60.5990181740001,169.205381422 60.599018813,169.205381658 60.5990189840002,169.205654021 60.6041281040001,169.20650036 60.6199909770002,169.219079032 60.6198718190001,169.264981414 60.6194361550001,169.289427234 60.6144360150001,169.321627321 60.6019360820001,169.344836308 60.5891540150001,169.366617805 60.5633276820001,169.347745658 60.556654984,169.318299658 60.5558279840002,169.321351194 60.547864657,169.327454253 60.5319361270002,169.4038724 60.5044361080001,169.447754177 60.4894360220001,169.537754193 60.4613821280001,169.537754658 60.4613819850002,169.587186333 60.4465471410002,169.587736658 60.4463819840001,169.591407971 60.4453083970002,169.594515585 60.4443996510001,169.644718341 60.4297181470001,169.668969892 60.4240192790002,169.674272658 60.4227729840002,169.680011485 60.4196951230001,169.703290726 60.4072094190002,169.710308658 60.3488819840001,169.726720949 60.316602872,169.746745214 60.2772181350002,169.931354285 60.0691539840001,169.958927226 60.0563821430001,169.958927351 60.0563821260001,169.958927658 60.0563819830001,169.966359242 60.0553529140001,170.038163369 60.0454090580001,170.074382036 60.0331582690002,170.07635427 60.032491115,170.083613802 60.0260019710001,170.109599658 60.0027729830002,170.105920181 59.9890777950001,170.102936202 59.9779731270001,170.12387324 59.9668497340002,170.214690659 59.918599983,170.221346028 59.9165698,170.242463374 59.910127152,170.342679898 59.9384023250001,170.369963659 59.9460999830001,170.377437364 59.9499648420002,170.393872397 59.9584632410002,170.408327325 59.9808181120002,170.408327663 59.9808189820002,170.43150027 60.0395821270002,170.444700258 60.0936091930002,170.453800251 60.1372043550001,170.457454659 60.154709983,170.458572659 60.1795729840001,170.46066363 60.2040186420002,170.462578095 60.2087641210002,170.468563659 60.2235999840001,170.474433635 60.231504063,170.482181447 60.2419360220001,170.498854226 60.2630450070002,170.51540634 60.2745498110002,170.529827659 60.2845729840002,170.537084489 60.2865363620001,170.55859138 60.2923540080001,170.582454155 60.2947180400001,170.623291291 60.3033270930002,170.65858145 60.326036016,170.658581394 60.326036813,170.658581659 60.3260369840001,170.656645659 60.3534639840001,170.656405876 60.3537164860001,170.640906158 60.3700384160001,170.617736947 60.3944366810001,170.630585181 60.4066818380002,170.641936659 60.4174999840001,170.644289995 60.4174532960002,170.656100407 60.4172180470002,170.680846873 60.4185662830002,170.686645659 60.4188819840001,170.707950444 60.4234460110001,170.762481343 60.435127156,170.778879827 60.4417285990001,170.785245659 60.4442909840001,170.803269758 60.459770217,170.856900297 60.5058271690002,170.986636233 60.5233181890002,171.168591426 60.5533270790002,171.320703976 60.6138375090001,171.36654566 60.632072984,171.40747266 60.7138819840001,171.432922034 60.7162024850002,171.585645257 60.7301270660003,171.611636198 60.734163288,171.63161832 60.7473540560001,171.631618032 60.7473545700001,171.63161866 60.7473549840001,171.61871866 60.7704099840001,171.617968481 60.7730271010002,171.617442727 60.7748612790001,171.617116894 60.7759979990001,171.616791937 60.7771316620001,171.609681895 60.8019361620002,171.688291385 60.8255540280002,171.755835332 60.8378931430001,171.76886366 60.8402729840001,171.80629066 60.8295819840002,171.810317612 60.8293746490002,171.819511468 60.8289012870001,171.86578137 60.8265181150001,171.953091297 60.8532540390001,171.953090619 60.8532549720001,171.95309066 60.8532549840001,171.947856929 60.8604551740001,171.939009364 60.8726271320002,171.935791384 60.8963821160002,171.950120936 60.9424914080001,171.951372399 60.9465181440001,171.972045295 60.9497181780002,172.00191823 60.9215181020002,172.001772387 60.9004093660001,171.995506404 60.8862331100001,171.99099966 60.8760369840001,171.99100039 60.8760362580002,171.991000298 60.8760360520001,172.020463359 60.8467270510001,172.068300389 60.8811000620001,172.114254173 60.9380450360001,172.1463634 60.9391541300001,172.186218344 60.9448539920002,172.201218263 60.9629091140002,172.201218146 60.9629093650001,172.20121866 60.9629099840001,172.186328645 60.9947665760002,172.185849904 60.9957908230001,172.184328555 60.9990456880002,172.18414566 60.9994369840001,172.184131738 60.999454547,172.181211685 61.0031380850002,172.180801042 61.0036560960001,172.180171032 61.0044508300001,172.179165299 61.0057195250002,172.179046193 61.0058697720001,172.165840907 61.0225277500001,172.16179066 61.0276369840001,172.148038901 61.0303219740001,172.14093583 61.031708828,172.12551866 61.0347189840001,172.05038166 61.0708279840001,172.033519496 61.082085169,172.027759022 61.085930862,172.018245661 61.0922819870001,172.133027289 61.0630450290001,172.209336304 61.0322821030001,172.241054264 61.0133271000002,172.281645306 61.0094360530001,172.351117176 61.0086068360001,172.362318661 61.008472984,172.365829661 61.0093767380002,172.36896576 61.0101839910001,172.384427221 61.0141632790001,172.453036284 61.0411090860001,172.482391385 61.0709632460001,172.48239028 61.0709635970002,172.482390661 61.0709639840001,172.472532989 61.0740996170001,172.471023598 61.07457974,172.424149133 61.0894900640002,172.393736661 61.0991639840001,172.37742277 61.1000258830002,172.372745504 61.1002732360001,172.371650731 61.1020375110002,172.364382754 61.1137501730001,172.359127661 61.1222189840001,172.346338759 61.1987216200001,172.344557311 61.209378166,172.342945762 61.2190183780001,172.359675392 61.2251410360001,172.369127661 61.2285999840001,172.372340419 61.2277243680001,172.404281435 61.2190181660001,172.430661756 61.2109107320002,172.432736661 61.210272984,172.435835658 61.2094645330002,172.46469132 61.2019360150002,172.536203817 61.187091454,172.544963661 61.1852729840002,172.644427661 61.1903999840002,172.697750263 61.2266920430002,172.769836182 61.2757540950001,172.769835821 61.2757544130002,172.769836661 61.275754985,172.748836661 61.2941549850001,172.729399661 61.3044369850002,172.671783909 61.3290180250001,172.694908179 61.3285920050002,172.701354661 61.3284729850001,172.709883414 61.3262289210001,172.754700309 61.3144360760002,172.79830934 61.2983361160001,172.81884517 61.2891632970001,172.844272344 61.2772180790001,172.873154203 61.2762451070001,172.897218312 61.2805450240002,172.941455355 61.297250009,172.956081661 61.3027729850002,172.953983772 61.3070791730001,172.948725531 61.3178723880001,172.937745661 61.3404099850001,172.934435803 61.3431298000002,172.925686366 61.3503194900002,172.91830936 61.356382137,172.911687745 61.3599759040001,172.898863661 61.3669369850001,172.854127661 61.381936985,172.817745661 61.3905459850001,172.749186765 61.4118009730001,172.737094079 61.4155500110002,172.732181411 61.4170731230003,172.713855503 61.4272185180002,172.792754317 61.4541632400002,172.818300347 61.461109156,172.86648137 61.4712360040002,172.883193281 61.4704989080001,172.888308661 61.4702729850002,172.912922516 61.4615251700002,172.959827273 61.4448541310001,172.981491308 61.4256181660002,173.041072391 61.3994361180002,173.063018225 61.3913821150001,173.063018336 61.3913821040001,173.063018661 61.3913819850001,173.066049425 61.3910883780001,173.097454268 61.388045112,173.127239645 61.3935372110001,173.136654661 61.3952729850002,173.142383937 61.397382696,173.160800334 61.4041631760001,173.276381415 61.45235409,173.289422477 61.4678782440002,173.304554661 61.4858909850001,173.30049576 61.4957769020002,173.292891417 61.5143002110001,173.314281364 61.5344360570001,173.34886342 61.5515180400001,173.372745306 61.5552632420002,173.467881416 61.5519361300002,173.494400249 61.5639450500001,173.492262018 61.5839534680001,173.490236662 61.6029099850001,173.491370462 61.613054897,173.49489704 61.6446096790002,173.496336662 61.6574909850002,173.527320784 61.7290312050001,173.527618345 61.7297182550001,173.533811872 61.7360949790001,173.537024473 61.7394023940001,173.541781662 61.7442999850001,173.548712464 61.7462831570002,173.568027222 61.7518091490002,173.591336289 61.751936051,173.618009349 61.7483271390002,173.777191414 61.6969360140001,173.808445184 61.679991159,173.808445359 61.679991149,173.808445662 61.6799909850002,173.874118662 61.676381985,173.909144882 61.6871584210001,173.912299672 61.6881290480002,173.989681377 61.7119361,174.001501268 61.7191702050002,174.006927662 61.7224909850002,174.030831252 61.7524574120001,174.048581346 61.7747091790001,174.048581126 61.7747093130001,174.048581662 61.7747099850001,174.032447125 61.7845592970001,174.020809196 61.7916636590001,174.01834955 61.8096736150001,174.017792783 61.8137511730001,174.017063662 61.8190909850002,174.035201802 61.8254436010002,174.079127348 61.8408271400002,174.111754242 61.842209149,174.138581361 61.8387450760002,174.165571041 61.8291696100002,174.166381662 61.8288819850001,174.179744629 61.8281424800001,174.311918281 61.8208270810001,174.382401806 61.8190161380001,174.393329892 61.818735219,174.398590662 61.818599985,174.453463662 61.8060999850002,174.454229863 61.8060744860001,174.461636339 61.8058271630002,174.514709377 61.8144360480002,174.579394189 61.827196083,174.593563663 61.8299909850002,174.609191662 61.8342878430001,174.674409275 61.852218147,174.690559007 61.8587905740002,174.696927663 61.8613819850001,174.712935443 61.8757829340001,174.723636193 61.8854091420001,174.723635957 61.8854093500001,174.723636663 61.8854099850003,174.682631303 61.9215320330001,174.67996346 61.9238822460002,174.674938639 61.9259103790002,174.646945663 61.937209985,174.616636663 61.9522189850001,174.606735327 61.973506412,174.604400267 61.9785270580001,174.712471801 61.9565070880002,174.712497289 61.9565018950002,174.732181662 61.9524909840002,174.77201804 61.9237363120001,174.761108663 61.9119369850001,174.761115183 61.9119423480001,174.761109335 61.9119360220001,174.786100315 61.9324911310002,174.808591308 61.9416540600001,174.854672329 61.9522181080001,174.900018431 61.9614028140001,174.919127663 61.9652729850001,174.953854663 61.9710999850001,175.013814165 61.9833618080001,175.171236194 62.0155541150002,175.213036984 62.0297128790002,175.214690663 62.0302729850001,175.21469077 62.0302730500001,175.214691333 62.03027324,175.244672395 62.0483270210002,175.317745324 62.101109207,175.585781321 62.169718102,175.797209292 62.2263821130002,175.893036244 62.2458271240001,175.977564517 62.2623071059999,176.004154664 62.2674909850002,176.036927664 62.2738819850001,176.111081664 62.2827729850002,176.195527664 62.2977729850001,176.213688257 62.3010459420001,176.280272461 62.3130451260001,176.512637631 62.4372178710001,176.593581664 62.4804729860001,176.602335294 62.4885199580001,176.641100317 62.524154087,176.684691411 62.5387451370001,176.7166273 62.5307539980001,176.813872465 62.5197180490002,176.843094295 62.5260349980001,176.844699665 62.526381986,176.863740947 62.5287932420001,177.035518316 62.5505450130001,177.088563358 62.5544360600001,177.141663386 62.5583271070001,177.177181365 62.5608180410001,177.242754167 62.5694450310002,177.264145287 62.5787450880002,177.264143936 62.5787452340001,177.264145665 62.5787459860001,177.187274833 62.58706004,177.173036346 62.5886001940002,177.119963476 62.5849911140001,177.112992379 62.5840172290001,177.075254665 62.5787459860001,177.049990665 62.5780459860001,177.028590665 62.5866549860001,176.959836665 62.636663986,176.942683231 62.6525492820001,176.929700309 62.664573262,176.920809289 62.68471816,176.97440938 62.8640181340002,176.997745269 62.86651812,177.022354202 62.8601270870001,177.112727212 62.8127632990001,177.136613474 62.7911675340002,177.151508665 62.7776999860002,177.140910658 62.7619736380001,177.131481385 62.7479822510001,177.143036341 62.7163821410001,177.143036637 62.7163820620002,177.143036665 62.7163819860002,177.147044227 62.7153197380002,177.191772415 62.7034632810002,177.228973654 62.7037801590001,177.240954665 62.7038819860001,177.250924582 62.713336188,177.258527233 62.7205450970001,177.258527178 62.720545524,177.258527665 62.720545986,177.255818732 62.7416544650002,177.264952544 62.7513023470001,177.275545665 62.762490986,177.292808509 62.7762898540002,177.310654289 62.7905541050001,177.328581336 62.8005449980001,177.35217237 62.8091540510001,177.431491326 62.8204091030001,177.452608385 62.8099186320002,177.434434752 62.7869634370001,177.428036305 62.778882137,177.3980363 62.7718001000002,177.366909264 62.7718001000002,177.366908917 62.7717999860001,177.366908665 62.7717999860001,177.341899665 62.763609986,177.315045665 62.7371459860001,177.315045565 62.7371454490001,177.315045233 62.7371451210001,177.291072664 62.608045986,177.291072486 62.6080450360001,177.322932163 62.5864909960001,177.338290665 62.576099986,177.342957863 62.5757987060002,177.368281382 62.5741632040001,177.476900286 62.5705450720002,177.512481465 62.573054111,177.55988501 62.5780035560002,177.568299665 62.578881986,177.575404059 62.578943117,177.601072482 62.5791631770001,177.663609359 62.5772180730001,177.690644361 62.5762459410001,177.694699665 62.576099986,177.701714272 62.5756222410001,177.739409257 62.573054111,177.921124385 62.5551259490001,177.984408666 62.5488819860001,177.993945531 62.5479063950001,178.027772375 62.5444449990001,178.077537692 62.5344824170002,178.080536666 62.5338819860002,178.083730154 62.5329986260001,178.140809381 62.5172091780001,178.177181309 62.5066632350002,178.324127304 62.46915405,178.461168315 62.4454520310001,178.470245666 62.4438819860002,178.48777937 62.4409184360001,178.724972378 62.4008271220001,178.747930917 62.3970011800001,178.751645666 62.3963819860002,178.778853258 62.3912870670001,178.960781467 62.3572180920002,178.989818223 62.3480451040001,179.029418355 62.3224911920001,179.029418382 62.3224911690002,179.052891374 62.2969361140001,179.092947289 62.2906236550001,179.101345667 62.2892999850002,179.132489633 62.3192594160001,179.149854236 62.3359632610001,179.149854204 62.3359635400001,179.149854667 62.3359639860002,179.14981379 62.3363186760001,179.147831364 62.3535202290002,179.141556525 62.4079671510002,179.139618667 62.4247819860001,179.12183601 62.4388002470001,179.103500526 62.4532543080001,179.123304201 62.47294733,179.129272667 62.4788819860001,179.178572667 62.498881986,179.213145667 62.5027729860001,179.217901073 62.5025457570002,179.236354304 62.5016632620001,179.261762964 62.497721949,179.270399667 62.4963819860001,179.278182831 62.4964247380001,179.320100413 62.4966540690002,179.357936324 62.506736157,179.398163425 62.5332539840001,179.40278973 62.5433168550002,179.412754667 62.5649909860002,179.455733026 62.5857588220001,179.510168905 62.6120631160001,179.520536667 62.617072986,179.527838472 62.6176531090001,179.553727357 62.619709125,179.604400321 62.7002632380002,179.597878534 62.7301299600001,179.593845667 62.7485999860001,179.581805119 62.7694690210001,179.574188667 62.7826700810001,179.539836667 62.8422099860002,179.51167889 62.8620721110001,179.496509301 62.8727731990001,179.476812525 62.8755621600001,179.419981667 62.8836099860001,179.350254667 62.8873549860002,179.32249466 62.8974682670002,179.308990077 62.902388138,179.305663554 62.9036001150002,179.256718667 62.9597099860001,179.235654667 63.0056909860002,179.2461607 63.0228007040001,179.249554293 63.0283270740001,179.289000367 63.0512450410002,179.314836243 63.059154037,179.35752457 63.0607929100001,179.365527667 63.0610999860002,179.366319183 63.060818473,179.388172364 63.0530451380002,179.409972353 63.0569360180001,179.409972372 63.0569369330001,179.409972667 63.0569369860002,179.411654667 63.1388819860001,179.409292943 63.1404392130001,179.332045667 63.1913729860001,179.332045434 63.1913731040001,179.332045296 63.1913731960001,179.302472433 63.2063821670002,179.299690791 63.2075355179999,179.264981667 63.2219279860001,179.248298923 63.2278300080001,179.242191294 63.2299911380001,179.207956748 63.2393307360001,179.205536667 63.2399909860002,179.205536232 63.2399910820002,179.108102052 63.2613708600001,179.09025533 63.2652869290002,179.089892418 63.2653665620001,179.084094373 63.2666388150001,179.077544109 63.2680761260002,178.962463667 63.2933279860001,178.929136667 63.2933279860001,178.928936667 63.3140909860002,178.912414767 63.3249628160002,178.900545667 63.3327729860001,178.900545619 63.332772981,178.900545254 63.3327732200001,178.893911308 63.3319453850001,178.880323048 63.3302503220001,178.876063667 63.329718986,178.852599667 63.3247189860001,178.821781667 63.339154986,178.806227667 63.3524909860002,178.805119049 63.3652535060001,178.803791269 63.3805450400001,178.828018322 63.3984632020001,178.855791423 63.3991540380002,178.897763468 63.3741632260001,178.925536234 63.35750017,178.942472372 63.3455450620002,178.958309308 63.3322181710001,178.976627287 63.3211091320001,179.002209358 63.3201361600001,179.002208459 63.3201369940002,179.002208667 63.3201369860002,178.997174051 63.3248063740002,178.995631252 63.3262372540001,178.984188042 63.3368503340001,178.98275114 63.3381829980001,178.982455198 63.3384574720001,178.976899667 63.343609986,178.97572271 63.3445710930001,178.913299667 63.3955459860001,178.893618459 63.413873606,178.891970408 63.4154083120002,178.855008667 63.449827987,178.850814667 63.454329634,178.849721745 63.4555027260001,178.845869979 63.4596370360001,178.84525022 63.4603022560002,178.836536667 63.4696549870002,178.835807809 63.4705835130001,178.83444733 63.4723166930002,178.834092836 63.4727683000001,178.82584667 63.4832734870001,178.819781667 63.4909999870002,178.812075794 63.5031550530002,178.809074532 63.5078891750002,178.797506125 63.5261369160002,178.796267517 63.5280906680002,178.79576646 63.5288810230001,178.79472224 63.5305281510002,178.794163493 63.5314095070001,178.793151512 63.533005783,178.781236667 63.5517999870002,178.778654667 63.585336987,178.756927666 63.5922099870001,178.756927441 63.592208977,178.756927211 63.5922090500001,178.754476211 63.581258141,178.746608666 63.5461099870001,178.767490666 63.5044369870002,178.770109365 63.4922118270001,178.773036223 63.4785450780001,178.794115409 63.4562446350001,178.807690667 63.4418819870001,178.790092893 63.4197703150001,178.774018246 63.3995731330002,178.721072446 63.3875001750001,178.713565989 63.3867822000001,178.689097079 63.3844424910002,178.680390666 63.3836099860002,178.654145666 63.3891639860001,178.594619464 63.411654685,178.667054265 63.4586090570002,178.704357092 63.4691031190002,178.721345666 63.4738819870001,178.724042442 63.4783010630001,178.727342259 63.4837083140001,178.732392225 63.4919834510001,178.737872462 63.500963149,178.737872329 63.5009634340001,178.737872666 63.500963987,178.720192553 63.5388980970001,178.715216313 63.5495750220001,178.708225755 63.5645738280001,178.704145666 63.5733279870001,178.679146786 63.5739923730002,178.658360335 63.5745448070001,178.637422596 63.5751012610001,178.625049674 63.575430092,178.519260467 63.5782416130002,178.505399666 63.5786099870002,178.473436666 63.5734639870001,178.460124688 63.56219874,178.449963475 63.5536001600002,178.395672379 63.519300071,178.369963406 63.5163912150002,178.322891308 63.525273183,178.278365694 63.5607467090001,178.26109156 63.5745092750001,178.329127276 63.6177632940001,178.343468048 63.6227619810001,178.353854666 63.6263819870001,178.405385377 63.6309908710001,178.524718317 63.6416632850001,178.589536245 63.6708271110001,178.603535584 63.6740042000001,178.609127666 63.675272987,178.621548632 63.6721287160002,178.725445285 63.6458270790001,178.755789557 63.6402977380001,178.757472666 63.639990987,178.745518666 63.710818987,178.692745666 63.8963819870002,178.66895442 63.9353901750001,178.66793527 63.9370611750001,178.663863666 63.9437369870002,178.629976586 63.951221365,178.554095885 63.9679805490001,178.529174709 63.9734846970001,178.522354285 63.9749911230002,178.476072433 63.9699820980001,178.409700333 63.964991177,178.399751214 63.9671826850002,178.390716915 63.9691729900001,178.387548434 63.9698710230002,178.376891391 63.9722188270001,178.377103194 63.997731683,178.377163666 64.0049909870001,178.388840362 64.0199072620001,178.398036244 64.03165413,178.463291372 64.0633090580001,178.483581445 64.06553613,178.483581363 64.0655369540001,178.483581666 64.065536987,178.477754666 64.1238729870002,178.404145666 64.2252639870001,178.38663483 64.2487449390002,178.37079137 64.2699912000001,178.35878114 64.2825398190002,178.346072666 64.2958189870001,178.322361021 64.3200017140002,178.303036666 64.3397099870002,178.286099666 64.3538639870002,178.075518666 64.2551369870002,178.075519171 64.2551364930002,178.075518378 64.2551361210001,178.100936332 64.2302631580001,178.138854218 64.2172091820001,178.159427264 64.2133181350001,178.174328596 64.2076967080001,178.181499329 64.2049911140001,178.175961816 64.2044231980001,178.158796395 64.2026632480002,178.140808666 64.2008189870001,178.087736666 64.1997099870002,177.998018666 64.2094279870001,177.955536666 64.2158189870001,177.879118666 64.2352639870001,177.802763666 64.2547189870001,177.776164497 64.2639944620001,177.668581665 64.301509987,177.643947434 64.3131763600001,177.631900284 64.3188821710002,177.565230229 64.3563901170001,177.433436665 64.430536987,177.418872665 64.4452549870001,177.386654665 64.4919279880002,177.371599234 64.5227849880001,177.361009243 64.5444911540002,177.3757914 64.5761001490001,177.394808564 64.5932166300001,177.414981665 64.6113729880001,177.430793481 64.6263695600002,177.452181383 64.6466539810001,177.487609341 64.758745005,177.487608397 64.7587451390002,177.487608665 64.7587459880002,177.398627984 64.771420311,177.381345249 64.7738822190001,177.375156573 64.774440815,177.342881665 64.7773549880002,177.299709368 64.7711000940001,177.299709229 64.7711000700001,177.299708665 64.7710999880001,177.009845665 64.711236988,176.976899665 64.7008189880001,176.899427665 64.664427988,176.866908665 64.6463819880001,176.829054665 64.6068189880001,176.806090665 64.5874909880001,176.746021496 64.5673442660001,176.738572665 64.5648459880002,176.716645665 64.5871999880001,176.711012295 64.5953629440001,176.697191343 64.6153911590002,176.602618662 64.6610909830001,176.602618329 64.6610911390001,176.599817293 64.6620639170001,176.525818664 64.6877639880001,176.487872664 64.6916549880002,176.452745664 64.688318988,176.431831971 64.675938913,176.417545236 64.6674821720001,176.406880742 64.6568588910002,176.396636664 64.6466549880001,176.376618664 64.6366549880001,176.342981131 64.6266099790001,176.329127222 64.6224731960002,176.320551723 64.6215799590001,176.293163664 64.6187279880001,176.248172664 64.623454988,176.238198272 64.6228454800001,176.216490664 64.6215189880001,176.195450842 64.6104201760002,176.192246032 64.6087295920001,176.130390664 64.576099988,176.113285158 64.5494980060002,176.112562071 64.5483734820001,176.112522169 64.5483114270002,176.110182346 64.544672603,176.109891519 64.5442203170001,176.113591275 64.5894270400001,176.120791329 64.5952631920002,176.147754236 64.6291540760002,176.164189289 64.6354364410001,176.171372664 64.638181988,176.178016262 64.639463882,176.196627269 64.6430541210001,176.273591413 64.6497180700001,176.301636255 64.6540181540001,176.351207369 64.6685789190002,176.370654664 64.6742909880001,176.419539858 64.7022829690002,176.422681664 64.7040819880001,176.422681333 64.7040822580001,176.280818664 64.8211099880001,176.237541674 64.8500426080002,176.224749985 64.8585944290002,176.199191293 64.8756821100001,176.187327976 64.8792766800001,176.146927664 64.891518988,176.077333203 64.89989444,176.06497238 64.9013821990001,176.056542366 64.9018163440001,176.024563664 64.9034639880002,175.973708664 64.877827988,175.946363664 64.8422099880001,175.923036664 64.829436988,175.867036151 64.8037181760001,175.857448713 64.7993150460001,175.843462422 64.7928916980001,175.842530963 64.7924639160001,175.836173821 64.7895443330002,175.822618664 64.7833189880002,175.814192943 64.7814136290002,175.794954612 64.7770631510001,175.782473286 64.7742406750002,175.711500313 64.7581911320002,175.711500247 64.7581911200001,175.70969424 64.757942926,175.682190664 64.7541639880002,175.663581532 64.752797162,175.654523265 64.7521318400001,175.644436204 64.7513912260001,175.596783126 64.7501592680001,175.428863663 64.7458189880002,175.395796005 64.7421345760001,175.386712876 64.7411225300001,175.375652029 64.7398901260001,175.326887952 64.7344568140001,175.288036663 64.730127988,175.204309956 64.733397198,175.174427663 64.7345639880001,175.114136663 64.7409549880001,175.052463663 64.7391549880002,174.992736663 64.7322099880002,174.963008663 64.7246999880002,174.938290663 64.7158189880001,174.865781663 64.6958189880001,174.846163663 64.6907369880001,174.795979763 64.6783496380001,174.782336337 64.6749821320002,174.772750279 64.6741928770002,174.718290663 64.6697099880001,174.641936663 64.6655459880001,174.518863663 64.6684549880001,174.474818662 64.674009988,174.450183369 64.6863631320001,174.498017288 64.6834616420001,174.514163663 64.6824819880001,174.524675688 64.6820582410001,174.562191349 64.6805450330001,174.661372398 64.6783181290001,174.69615039 64.6787694320002,174.704145663 64.6788729880001,174.742618663 64.6838729880001,174.846618663 64.7074909880001,174.861423694 64.7113427640001,174.906372411 64.723036086,174.933944613 64.7329213830002,174.943572663 64.736372988,175.042345663 64.7610999880001,175.046980583 64.7614438910001,175.068572464 64.7630450890002,175.112727324 64.7572181580001,175.178379458 64.7542601600001,175.193027663 64.7535999880002,175.218245264 64.7536269080001,175.321363456 64.753736147,175.391081445 64.7619361630001,175.414567395 64.7669074520001,175.423854663 64.7688729880002,175.432819854 64.7709422130001,175.463009238 64.7779090530001,175.562054165 64.7901181330002,175.586918243 64.7894271290001,175.622881469 64.7840090670002,175.662343148 64.7787712290002,175.666781664 64.778181988,175.67009082 64.7781642820001,175.692200311 64.778045008,175.738018309 64.7855451350001,175.773318359 64.7955360280001,175.84830035 64.8219271210001,175.865100158 64.8290696530001,175.870518664 64.8313729880002,175.910245664 64.8513819880001,175.918447421 64.8611708080001,175.923380272 64.8670581740001,175.937118349 64.8834539780001,175.983568934 64.9151515460002,176.006927664 64.9310909880001,176.026645664 64.9410819880002,176.036758636 64.9431902990001,176.059963355 64.9480271550001,176.194985141 64.9191826550002,176.197754448 64.9185910340001,176.418308875 64.8439451930001,176.42132859 64.832567995,176.426145236 64.814418109,176.444620918 64.8085114470001,176.452190664 64.8060909880002,176.455024657 64.806859403,176.551636241 64.8330540970001,176.614118301 64.8658181190001,176.63388132 64.8691360110001,176.870236238 64.8476270420002,176.896163476 64.8313091530001,176.927063362 64.7991451080001,177.043718332 64.7701271270001,177.153045172 64.7833271150002,177.196636265 64.7909539770001,177.247745255 64.804427048,177.267216597 64.809865141,177.275545665 64.8121909880002,177.291023714 64.8245771760001,177.298663665 64.830690988,177.298663434 64.8306912080001,177.298663473 64.8306912390001,177.216491318 64.908873273,177.196511904 64.9209095210001,177.160945665 64.9423369880001,177.137599665 64.9509549880001,177.088863665 64.9665189880002,177.002344363 65.0020430590001,176.992463507 65.006100163,176.975254665 65.0255459880002,176.957199665 65.038036988,176.933950827 65.0430471510001,176.93011823 65.0438732120001,176.88093624 65.046091231,176.873471348 65.0453434500001,176.850527665 65.0430459880002,176.755554665 65.0216549880001,176.725641552 65.0119373310002,176.70982723 65.0068002220001,176.681363460001 65.0027732200002,176.663622105 65.0014814560002,176.604945664 64.9972099880001,176.566654664 64.9947099880002,176.527783871 64.9969262420001,176.518036209 64.9974822280001,176.494908806 65.0024190890001,176.329972664 65.0376279880001,176.307210563 65.0466542350001,176.438291285 65.0736091870002,176.473572392 65.0608091830001,176.55803139 65.034413473,176.590390664 65.0242999880001,176.59165555 65.0245410430001,176.662472327 65.0380360550001,176.742191267 65.0558180950002,176.792570048 65.066944798,176.806363665 65.069990988,176.818200909 65.0722411610001,176.850936235 65.078463147,176.89011828 65.0829090760002,176.91219408 65.0825536040001,176.916072665 65.0824909880001),(163.938870375 59.0341957000001,163.892027653 59.030827982,163.868349037 59.0306142840001,163.863772343 59.0305731460001,163.843691315 59.0304911710001,163.834121777 59.0300372240001,163.774690653 59.0272189820002,163.746063653 59.024163982,163.699399652 59.0144459820001,163.677181652 59.0047189820002,163.664154652 58.9930459820001,163.664156807 58.993047263,163.664154301 58.993045018,163.673036269 58.9983271260001,163.684145308 59.0033270990002,163.69332126 59.0063249390001,163.697754652 59.0077729820001,163.706951879 59.0100743600001,163.729945201 59.0158270310002,163.741366257 59.0171402510002,163.744418652 59.017490982,163.757754653 59.0177729820001,163.759371352 59.0176672430001,163.770536243 59.016936125,163.818300351 59.0086092070001,163.841845285 58.994991129,163.839227965 58.9861815360001,163.833590653 58.9672099820001,163.815799653 58.956654982,163.770808653 58.916663982,163.749690653 58.8927729820002,163.746792511 58.8865846050002,163.743836193 58.8802732160001,163.74273632 58.8666631850002,163.744963392 58.8455449800001,163.744770404 58.842470055,163.744108652 58.8319369820001,163.740508652 58.8188819820001,163.717061886 58.7832197890002,163.691927235 58.7449911430001,163.662804377 58.718234098,163.585508652 58.647218982,163.573027652 58.6358279820001,163.523689538 58.6056667650002,163.494418247 58.5877731260002,163.48688284 58.5843815270001,163.483308652 58.5827729820002,163.469972652 58.5783279820001,163.408147943 58.5644702270001,163.385527266 58.559400216,163.395536264 58.536663297,163.401234271 58.5255345,163.407199652 58.5138819820001,163.424999251 58.4884114430002,163.429136297 58.4824912250001,163.436918223 58.474436048,163.445527276 58.4674911380002,163.445527515 58.4674910930001,163.445527652 58.4674909820002,163.456687313 58.4653670650001,163.457181652 58.465272982,163.461564485 58.4698673780002,163.465654237 58.4741540810001,163.46565446 58.4741547810001,163.465654652 58.4741549820002,163.466518422 58.476865699,163.470791338 58.4902731510001,163.474743391 58.496400119,163.478854652 58.5027729820002,163.503172861 58.5263786970002,163.517627234 58.5404091700001,163.561372387 58.5691632890001,163.578854187 58.5797181170001,163.592191304 58.5841632080001,163.713488988 58.6302658260001,163.742736652 58.641381982,163.78523223 58.6586149620001,163.923581414 58.7147180550002,163.962078446 58.7365753660002,163.978854653 58.7460999820001,164.105227653 58.7963909820001,164.125786081 58.803383979,164.184418362 58.8233270690001,164.294436206 58.8405450070002,164.469418326 58.8666631850002,164.574539659 58.8697609760001,164.591918653 58.8702729820001,164.5941494 58.8704865380002,164.606354149 58.8716541050001,164.621609381 58.8744360590001,164.637481353 58.878327106,164.651363461 58.8827631450002,164.66712836 58.8927236260002,164.672472653 58.8960999820001,164.676784918 58.901218171,164.679963653 58.9049909820002,164.687373945 58.941704799,164.698384383 58.9962553160001,164.704127653 59.0247099820001,164.656918653 59.0844369820001,164.598292539 59.1904113260002,164.595826505 59.1948690040001,164.595773574 59.1949646830001,164.594093594 59.1980014660001,164.577472653 59.228045983,164.570602765 59.2329519530001,164.565800322 59.2363822300001,164.562475875 59.2365976130002,164.553036653 59.2372099830001,164.538572653 59.2358279830001,164.522218653 59.2319369830001,164.439418653 59.205554983,164.428036653 59.2008279830001,164.379833733 59.1725392900001,164.356081416 59.1586001800001,164.322653065 59.144383177,164.231354653 59.1055549830001,164.030818653 59.0505459820001,164.014709296 59.0463911430001,164.014709161 59.046391114,163.953854166 59.0352732140001,163.938870375 59.0341957000001),(166.630077551 54.6941528350001,166.663999655 54.6774909780002,166.663999696 54.6774914990001,166.66400024 54.6774912310001,166.667331129 54.7205143910002,166.667884259 54.7276576420002,166.668581655 54.7366639780001,166.662537921 54.7648967350002,166.645809331 54.843045051,166.645808724 54.8430456590001,166.645808655 54.8430459790001,166.638581655 54.8502729790002,166.615236655 54.8697099790001,166.600161741 54.8804839370001,166.589180399 54.8883322420002,166.584136655 54.8919369790001,166.548804581 54.9132539540002,166.54776336 54.913882191,166.538027276 54.9175001560002,166.481081296 54.9413731580001,166.4807151 54.9415372960002,166.462463655 54.9497189790001,166.453581655 54.954436979,166.413608575 54.9838651710001,166.388309386 55.0024911460001,166.264709338 55.1274911390001,166.251290036 55.143784362,166.248581655 55.1470729790001,166.24638691 55.1516928760001,166.239409234 55.1663821640002,166.229607276 55.205428678,166.228993227 55.2078749250001,166.225824448 55.2204986940001,166.225742068 55.2208268780001,166.223716714 55.228895477,166.222745655 55.232763979,166.222591732 55.2407549850001,166.222472664 55.2469365150001,166.226068705 55.2530500690002,166.231627655 55.2624999790002,166.238873211 55.2674485520002,166.243009262 55.270273172,166.253600299 55.274991177,166.264709338 55.3083270120002,166.264708612 55.3083278500001,166.264708655 55.3083279790002,166.246245655 55.3296279790002,166.224127824 55.3233449220002,166.211363655 55.3197189790001,166.200652091 55.3188014770001,166.198300358 55.3186002080002,166.193196655 55.3185438250002,166.187836124 55.3184848370001,166.173581655 55.3183279790002,166.119108655 55.3286099790002,166.090268475 55.3354516950001,166.075809236 55.3388822350001,165.95608146 55.3616642470001,165.944700344 55.3627731730002,165.931363395 55.3613821130002,165.928831763 55.3602179790001,165.921081655 55.3566549790002,165.879996022 55.332080912,165.831908654 55.3033189790002,165.838008654 55.2644459790001,165.838009151 55.2644458740002,165.838009278 55.2644450670002,165.902191355 55.2508271560001,165.960781361 55.2283271110001,165.987630429 55.215846291,165.988863494 55.2152730540001,166.048581294 55.1508270280001,166.082745261 55.1051361,166.082472346 55.0841642430001,166.076924032 55.0778695680002,166.072190655 55.072499979,166.072938289 55.0648310290001,166.073436319 55.0597180870001,166.175809364 54.9683181270001,166.341336195 54.8411001140001,166.357454259 54.8291641170001,166.375518266 54.8197180470002,166.457850586 54.7971549650001,166.475829655 54.7922275940001,166.483990655 54.7899909780002,166.498537083 54.7787382290002,166.51253952 54.7679062980002,166.516842109 54.7645779240002,166.569272329 54.7240181700001,166.630077551 54.6941528350001),(167.546354656 54.7591639790001,167.736354281 54.6605450350002,167.746063375 54.6566539880001,167.777191417 54.6494359950001,167.799991367 54.6469450610001,167.811918312 54.6469450610001,167.823300266 54.6455451160002,167.832736277 54.6419360360002,167.897218259 54.6125001330001,167.938018346 54.584436012,167.970245255 54.561382091,168.059845292 54.5075001970002,168.059845657 54.5074999780002,168.073581657 54.5013909780001,168.083863657 54.4988819780002,168.104895714 54.5065093660002,168.112591261 54.5093001290001,167.965005151 54.6032808630001,167.950527656 54.6124999780002,167.939258577 54.620695132,167.85580931 54.6813821110001,167.813506629 54.707534223,167.733581656 54.7569459780001,167.646090656 54.7886099780001,167.586033822 54.8137349310002,167.566081636 54.8220821690002,167.564972656 54.8327729790001,167.564972364 54.8327731270001,167.564972356 54.8327731960002,167.562803167 54.8338749710002,167.528872656 54.8511099790002,167.509708656 54.8583279790001,167.499118656 54.8608279790001,167.461987936 54.865690231,167.456636258 54.866391166,167.443572391 54.8652731880001,167.432981353 54.8630731060001,167.431363478 54.8386001280001,167.435245305 54.8272181740002,167.441654276 54.8186000690002,167.457454164 54.8066540130001,167.546354306 54.7591641630001,167.546354656 54.7591639790001),(155.598226706 50.931696844,155.580263645 50.9341549750001,155.569699645 50.9341549750001,155.505554645 50.931109975,155.496044811 50.9301543800001,155.494418362 50.9299910940001,155.482727284 50.926100214,155.480636128 50.9247051280001,155.474399645 50.9205459750001,155.454775578 50.9037736400002,155.447754296 50.8977732370001,155.447731593 50.8913750620001,155.447690645 50.8800099750001,155.449399645 50.8722189750001,155.461090645 50.8505459750001,155.46109099 50.8505455410001,155.461091245 50.8505450680001,155.473018358 50.8355449820002,155.480809337 50.8280450230002,155.489769614 50.8226402790001,155.498290645 50.817499975,155.507190098 50.815103897,155.527191269 50.8097181590001,155.546936183 50.8055449770001,155.555845964 50.8043124870001,155.556918645 50.8041639750001,155.588008645 50.8027729750001,155.602365212 50.804230003,155.620790645 50.8060999750002,155.620791312 50.806100191,155.644436325 50.813609038,155.659991293 50.827909068,155.669709272 50.8566539670001,155.668185189 50.8624751960001,155.666072645 50.8705459750001,155.65552509 50.8944075870002,155.648882421 50.9094361520002,155.648138819 50.9103076820002,155.639163645 50.9208279750002,155.603163701 50.9306618970001,155.600527222 50.9313821540001,155.598226706 50.931696844),(156.341063646 50.851109975,156.188999645 50.7684639750001,156.175263645 50.7536099750002,156.173394953 50.7500446170001,156.168854289 50.7413821780002,156.164427303 50.728600111,156.164120992 50.7211115000001,156.163608645 50.708599975,156.169981645 50.6912459750001,156.169982175 50.6912453970001,156.169982326 50.6912449860001,156.1805452 50.6797180250001,156.189145201 50.6744360850001,156.195714188 50.671449056,156.198299645 50.6702729750002,156.249596738 50.6563875480001,156.285518646 50.646663975,156.294246232 50.645386999,156.350754162 50.6371181760001,156.400845253 50.625636142,156.400845381 50.6256370350002,156.400845646 50.6256369750002,156.40186848 50.632797297,156.405072567 50.6552274220001,156.407394551 50.6599970590001,156.414154646 50.6738819750001,156.423300019 50.6813295930002,156.434963455 50.6908270650001,156.451909316 50.708327137,156.480556519 50.7437776930001,156.488163646 50.7531909750002,156.495654646 50.832218975,156.491336646 50.8462459750001,156.471599732 50.8645636860001,156.468445646 50.8674909750001,156.468445365 50.8674910390001,156.468445303 50.8674910970001,156.46781324 50.8676356080001,156.453854646 50.8708279750001,156.444328515 50.8701102350001,156.442745214 50.869991084,156.430798794 50.8682492360002,156.364681646 50.8586099750001,156.353299646 50.8560999750003,156.341063646 50.851109975),(156.076908645 50.773045975,156.067199645 50.775827975,156.045536645 50.7736099750002,156.036174138 50.7715469520001,156.034145203 50.7711000490002,156.022218257 50.767491136,156.014912258 50.7645109810001,156.009981645 50.7624999750001,155.979127645 50.7469369750002,155.892918645 50.6958279750002,155.882718645 50.6872099750001,155.877715393 50.6788705620002,155.862472426 50.6534642280002,155.862051916 50.6493519800001,155.860781645 50.6369369750001,155.858308645 50.6174909750001,155.855808645 50.6044369750001,155.852962429 50.5957417540001,155.851627249 50.5916641210001,155.763454153 50.4609642660002,155.749118249 50.446382101,155.730505567 50.433410854,155.70913096 50.4185152730001,155.70801031 50.417734312,155.707529143 50.417398996,155.703772519 50.4147810710002,155.702454469 50.4138625460001,155.699449241 50.411768256,155.699145744 50.4115567540001,155.682599049 50.4000256590001,155.679174517 50.3976391640002,155.678357984 50.3970701370001,155.675809648 50.395294247,155.674105249 50.3941064820001,155.665408645 50.3880459740001,155.657512701 50.3844066200001,155.649136645 50.380545974,155.638027645 50.3780459740001,155.627745645 50.3780459740001,155.601634926 50.3770789810002,155.569180699 50.3758770600001,155.555822467 50.3753823470001,155.54525427 50.3749910850001,155.533040719 50.3741085410001,155.449127645 50.3680459740002,155.438290645 50.3669369740001,155.427181645 50.3644369740002,155.392208645 50.3533279740001,155.286361035 50.3152672950001,155.247745154 50.3013822170001,155.221618259 50.2344361230001,155.217621275 50.1873052670001,155.208590645 50.0808279740001,155.209175255 50.0785721890002,155.21049045 50.0734973620002,155.210815645 50.0722425640001,155.211740973 50.0686720800001,155.212190645 50.0669369740002,155.212191226 50.0669363100002,155.2121913 50.0669360260002,155.224118245 50.0533181150001,155.226026691 50.0526481260001,155.226163645 50.052599974,155.229820309 50.0533886860001,155.244963368 50.056654113,155.254113805 50.057596605,155.255827645 50.0577729740002,155.284425717 50.0592855300001,155.289111694 50.059533371,155.297763645 50.0599909740002,155.299182262 50.0599724309999,155.300411601 50.0599563620002,155.318572404 50.0597180330003,155.338291334 50.057209162,155.357454208 50.0530450330002,155.471072415 50.1080450700002,155.483309323 50.1194360760001,155.499391346 50.1305451160002,155.511006532 50.138544576,155.514637762 50.1410450110002,155.515536645 50.141663974,155.519244752 50.1436208350002,155.52554523 50.1469449800002,155.596345155 50.1783271610001,155.618563401 50.1830540510001,155.68602883 50.1835580260001,155.691654645 50.1835999740002,155.701908645 50.1835999740002,155.706524759 50.1829533550001,155.731627229 50.179436086,155.739881423 50.1792178050001,155.741908645 50.1791639740002,155.759404688 50.1809522790001,155.763608645 50.181381974,155.764175645 50.1814753700002,155.785518645 50.1849909740001,155.795254645 50.1888819740001,155.836490256 50.2204837210002,155.89276345 50.2636091700001,156.150954232 50.5219360740002,156.150954169 50.5219364980002,156.150954645 50.5219369750001,156.134114943 50.6358084870001,156.13411034 50.635839613,156.133710908 50.6385406060002,156.132507645 50.6466771730001,156.132110316 50.6493639450001,156.131821702 50.6513155810001,156.131480698 50.6536214810001,156.130826104 50.6580479010001,156.124663645 50.6997189750002,156.121336645 50.7199819750001,156.119125026 50.7299157450001,156.114409302 50.7511001570002,156.110297165 50.75510308,156.104127645 50.7611099750001,156.076908645 50.773045975),(143.686918634 50.6955459750001,143.659972634 50.8008279750001,143.649136634 50.8338819750001,143.588563634 50.9952729750001,143.571072634 51.0622099750001,143.570527634 51.0774909750001,143.568581255 51.0897291220001,143.565800332 51.107218055,143.552034883 51.1647140110002,143.534145634 51.239436975,143.523027634 51.2677729750002,143.501499634 51.3005459750001,143.497466634 51.2963535840001,143.477737765 51.2758449980001,143.46997238 51.2677732430001,143.457154337 51.279012338,143.428689215 51.3039711800001,143.422465515 51.3094282560001,143.4209828 51.3107283330001,143.420777461 51.3109083790001,143.399079295 51.3299338050001,143.381191467 51.3456182450001,143.421508633 51.3627729780001,143.456981634 51.3567999750002,143.45698169 51.3568002170001,143.456982274 51.356800119,143.465569256 51.3934368520001,143.466063634 51.3955459750001,143.463165004 51.4236392000003,143.45760924 51.4774911430001,143.449982379 51.498600128,143.380829942 51.615745916,143.380100064 51.6169823530001,143.379104629 51.6186686530002,143.378677756 51.6193917910002,143.377467454 51.6214421080001,143.376575548 51.622953034,143.375838449 51.6242017120001,143.374494939 51.6264776760002,143.374164895 51.6270367850001,143.367172634 51.6388819760001,143.367172518 51.6388819080001,143.36717236 51.6388821750002,143.355619242 51.6321315510002,143.331636633 51.6181189760001,143.331636461 51.6181181300002,143.331636276 51.6181180210001,143.330581865 51.612940801,143.328668724 51.6035486180002,143.328187618 51.601186721,143.325775633 51.5893455660002,143.324690633 51.5840189750001,143.331908633 51.5605549750001,143.316747123 51.5264929650002,143.310518238 51.5125001740001,143.295453629 51.5117869810002,143.262987185 51.5102504130002,143.250854633 51.5096762050001,143.237290039 51.5090342210002,143.23119967 51.5087459770001,143.230727456 51.5094306140002,143.219418633 51.5258279750002,143.22153744 51.5377448870001,143.234409216 51.6101361030001,143.253529182 51.6581351250002,143.261518633 51.6781909760002,143.268229683 51.6850276170001,143.292191375 51.7094360070001,143.310554385 51.7054911090002,143.312504884 51.705072,143.313854633 51.7047819760002,143.314276698 51.7140862620001,143.314721392 51.7238894340002,143.314940594 51.7287216730002,143.314972633 51.7294279760001,143.299145633 51.7666549760001,143.228427633 51.8793999760001,143.228427468 51.879399653,143.228427219 51.8794000490001,143.224614011 51.8719398340002,143.215099633 51.8533279760001,143.200024876 51.8529122910001,143.194972362 51.8527732570001,143.189689739 51.8545640990002,143.180175616 51.8577897870001,143.177449184 51.8587141620001,143.174133633 51.8598382730002,143.172460743 51.8604054530002,143.169981886 51.8612458900001,143.163694577 51.8722240100001,143.158106322 51.8819818440001,143.149169633 51.8975864880002,143.134427633 51.9233279760002,143.134324883 51.9237324360003,143.126071833 51.956219164,143.124972633 51.9605459760001,143.125522648 51.9701324200001,143.126266658 51.9831000890001,143.128728388 52.026006652,143.129658111 52.042211184,143.130311275 52.0535954580001,143.131214653 52.0693408300002,143.131518944 52.0746444510001,143.131618633 52.0763819760001,143.134170633 52.0840969120002,143.136512444 52.0911764250002,143.138190109 52.0962481640001,143.142937245 52.1105992020002,143.149718633 52.1310999760001,143.180527633 52.3135999760001,143.177504419 52.3162484490001,143.164982375 52.327218327,143.156557881 52.364783984,143.152772633 52.3816639760001,143.170614767 52.4182159510002,143.172512374 52.4221034510001,143.185127123 52.4479464350001,143.187496078 52.4527995550002,143.20666457 52.4920687490001,143.218863154 52.5170591650001,143.227116381 52.5339669940001,143.227460245 52.5346714470001,143.240849894 52.5621019160002,143.255954228 52.59304501,143.291490304 52.586309337,143.288022975 52.579574978,143.274171681 52.5526725450001,143.268710347 52.5420653660001,143.233953848 52.4745601650002,143.22795819 52.4629152030002,143.219408633 52.4463099760002,143.194899633 52.4167999760001,143.195569796 52.406541813,143.195938828 52.4008930460001,143.197647529 52.3747379810001,143.199554245 52.3455450110001,143.235382355 52.3718001490001,143.243650957 52.3809141600001,143.254154633 52.3924909760001,143.265464355 52.4070882550001,143.288591347 52.436936087,143.306154284 52.4782540080002,143.306154343 52.4782542930001,143.306154633 52.4782549760001,143.316927633 52.530545976,143.321627633 52.5572099760001,143.322816532 52.5690571570001,143.325809344 52.5988731150001,143.332500568 52.667303948,143.334963633 52.6924909770001,143.337327633 52.7322819770001,143.337463633 52.8291639770002,143.329127633 52.9144369770002,143.287754633 53.1417999770001,143.226345633 53.3208279770001,143.211947687 53.3483746490001,143.201082266 53.3691641520001,143.1909791 53.3815114260001,143.176654633 53.3990189770001,143.167485812 53.3969101789999,143.16164654 53.395567165,143.15554523 53.3941641840002,143.147167126 53.389521123,143.135236633 53.3829099770001,143.121409587 53.3794504840001,143.118449769 53.3787099450002,143.112454633 53.3772099770001,143.104168549 53.3804211660001,143.094092351 53.3843260950002,143.092728026 53.384854825,143.100561168 53.3922419720001,143.109954633 53.4010999770001,143.110852968 53.404170159,143.112112463 53.4084746520001,143.118568956 53.4305405870001,143.118924149 53.4317545070001,143.131900384 53.4761001380002,143.125578738 53.4991534240001,143.124663633 53.5024909770002,143.103854633 53.5549909770001,143.081079836 53.582149664,143.011382362 53.6652642700002,142.954682308 53.7186001640002,142.917989062 53.7576136810001,142.914170462 53.7616738410001,142.901645633 53.7749909780001,142.881345633 53.8080459780002,142.881173658 53.8135068890002,142.879504481 53.8665100220001,142.878908899 53.8854221660001,142.878572633 53.8960999780001,142.890801686 53.9177046840001,142.89824288 53.9308508220001,142.931091273 53.9888821770001,142.955654273 54.0112450940002,142.986209328 54.0400000510001,142.998291338 54.059154041,143.008609294 54.0852641730002,143.009082368 54.1308270250001,143.00908163 54.130827674,143.009081633 54.1308279780002,142.913608633 54.2147189780001,142.816499636 54.2955549760002,142.773863633 54.3583279780001,142.767603541 54.3692762530002,142.76068232 54.3813822280002,142.753587018 54.3974090240001,142.750536633 54.404299978,142.735654633 54.4202729780002,142.735654325 54.420273038,142.735654125 54.4202732530001,142.713427329 54.42457317,142.685727318 54.4177642140001,142.670713724 54.3942342730002,142.63702033 54.34143018,142.626890633 54.3255549780001,142.633468995 54.3128179610001,142.649272301 54.2822183210001,142.646084141 54.2759152560002,142.639436246 54.2627731010002,142.574263428 54.2313731510001,142.568346727 54.2318581230001,142.534345633 54.2346459780001,142.529853389 54.2379045180001,142.519137072 54.2456778150001,142.518553497 54.2461011230001,142.515819327 54.2480844080002,142.514808053 54.2488179560001,142.504140935 54.2565555660001,142.503597366 54.2569498550001,142.502529349 54.2577245620002,142.480254633 54.2738819780002,142.480254433 54.2738819580002,142.480254181 54.27388214,142.464786379 54.272347316,142.401918633 54.266109978,142.401918389 54.2661091120001,142.401918255 54.2661090990002,142.393863414 54.2375001540001,142.462600217 54.148327098,142.467830369 54.1428712990001,142.484708633 54.1252639780001,142.490483758 54.1202398190002,142.500027259 54.1119360590001,142.596372374 54.0361091720001,142.662472396 53.9841641680002,142.662472634 53.9841639800002,142.664571705 53.982489204,142.708436241 53.9474911650002,142.720654206 53.9276270600002,142.693345295 53.845891099,142.667845198 53.805273234,142.649554197 53.7768078900001,142.611081633 53.7169369770002,142.610712898 53.7025980600001,142.610454139 53.6925540710001,142.655682386 53.7058271500001,142.67371823 53.7165180990002,142.689145291 53.7391541000002,142.692088332 53.7456373320001,142.708863633 53.782590978,142.712981256 53.7900073580001,142.727600289 53.8163360050001,142.760175605 53.833346483,142.769836318 53.8383908130001,142.777745952 53.8171622130001,142.785799633 53.7955459780001,142.790166325 53.7723767740001,142.794436244 53.7497181470002,142.7967433 53.7275934350001,142.799208633 53.7039459770002,142.774990633 53.671663977,142.731490633 53.6367999770002,142.710236633 53.6291549770002,142.696508651 53.6345612940002,142.690734141 53.636835396,142.682191329 53.6402002000001,142.673459709 53.6520067860001,142.662627633 53.6666549770001,142.64742737 53.6751346380001,142.642208633 53.6780459770002,142.588733621 53.6756371100003,142.551214857 53.673947018,142.537472633 53.6733279770001,142.511097601 53.6660404900001,142.501772371 53.663464173,142.494263359 53.6186090880001,142.509354138 53.54860008,142.509354592 53.5486001640001,142.509354633 53.5485999770002,142.511220163 53.5489450050001,142.515283759 53.5496965620002,142.538654254 53.554018142,142.548417295 53.5616286220002,142.559145633 53.5699909770001,142.56880936 53.5699643190002,142.608445165 53.569854072,142.656886925 53.5525904640002,142.674281633 53.5463909770002,142.681090633 53.5167999770001,142.670651477 53.5125554680002,142.663282223 53.5095591660001,142.555390633 53.4656909770001,142.514981633 53.4174909770002,142.498990633 53.4015189770003,142.472472633 53.386245977,142.381011182 53.3634299990002,142.351627171 53.3561001180001,142.345708894 53.3571469900002,142.29910477 53.3653911650001,142.274690633 53.3697099770002,142.261990726 53.3767181180002,142.249009207 53.3838821030001,142.242471983 53.3991104090001,142.236072632 53.4140189770001,142.236614604 53.4198797510001,142.239682328 53.4530450420002,142.252272449 53.4806181510001,142.252272323 53.4806183000001,142.252272632 53.4806189770002,142.242794696 53.4918186680001,142.220245632 53.5184639770001,142.220245366 53.5184639210001,142.220245197 53.5184641200001,142.092191342 53.4913821910001,142.092190795 53.4913820120001,142.092190632 53.4913819770001,142.085605464 53.4892198560001,141.981354251 53.454991153,141.770127272 53.367773259,141.810518323 53.2952731490001,141.809418282 53.256382124,141.832945278 53.1543000980001,141.842472317 53.1452731240001,141.851627199 53.137500082,141.856247426 53.132624418,141.861424502 53.1271607240001,141.862431578 53.1260978940001,141.862915011 53.125587697,141.866908632 53.1213729770002,141.880817919 53.1062998410002,141.881588516 53.1054647650002,141.882507632 53.1044687420001,141.883045403 53.1038859730002,141.884185632 53.1026503370002,141.884455964 53.1023573850001,141.885834941 53.1008630230002,141.885890658 53.1008026450001,141.887506654 53.099051431,141.888754336 53.0976993500001,141.889173261 53.0972453720002,141.893308632 53.0927639770001,141.900557046 53.081754289,141.900818428 53.0813572740001,141.902147385 53.0793387090002,141.902465632 53.0788553200002,141.903002103 53.0780404680002,141.904156752 53.0762866620001,141.904618236 53.0755857080001,141.914699632 53.0602729770001,141.915981771 53.0533566560001,141.916831297 53.0487740030001,141.917243263 53.0465517080002,141.918392898 53.0403501580002,141.92065558 53.0281444340002,141.923427253 53.0131910930002,141.914382006 52.991477392,141.891081632 52.9355459770002,141.858581632 52.8513909770002,141.849699632 52.7130549770001,141.838299632 52.5808279760001,141.790799632 52.4816549760002,141.768308632 52.4552729760002,141.760236992 52.4475963230001,141.7484453 52.4363822100001,141.728206379 52.4231323500001,141.703036632 52.406654976,141.665172632 52.385827976,141.651918632 52.365545976,141.651918474 52.3655453410001,141.651918297 52.3655450700002,141.650080987 52.3581324830001,141.639008632 52.3134639760002,141.645937509 52.3007416270002,141.656240167 52.281824563,141.658414956 52.2778313580002,141.664167626 52.2672686840002,141.665851729 52.2641764440001,141.665862375 52.2641568970002,141.668581632 52.2591639760001,141.688077275 52.196755453,141.693572333 52.1791642320002,141.693701225 52.1714243210001,141.693999632 52.1534639760002,141.682208632 52.1308279759999,141.643127632 52.0871459760002,141.643127643 52.0871455230001,141.64312719 52.0871450170002,141.648036303 51.8866540830001,141.726883749 51.8503698530002,141.759708632 51.8352639760001,141.764175632 51.8325695180001,141.768564969 51.8299219060001,141.777191373 51.8247180210002,141.81913626 51.7850002050002,141.823027269 51.7322096560001,141.807890632 51.7188819760001,141.798007257 51.6805855180001,141.797208632 51.6774909760001,141.834125928 51.6461815370002,141.844732369 51.6371862490001,141.84917032 51.633422437,141.868315349 51.6171856000001,141.923309236 51.5705450210001,142.005245189 51.5161090860001,142.049850937 51.4884390490001,142.073990632 51.4734639750001,142.083487201 51.4601007360001,142.094618231 51.4444361120001,142.082608632 51.4190189750001,142.083616724 51.4110819800001,142.083970604 51.4082957820001,142.085236206 51.3983270850002,142.234272312 51.1780451370001,142.253736265 51.1524912290001,142.258744631 51.1413887430001,142.264008632 51.1297189750001,142.266191302 51.1150233000002,142.26776338 51.104436101,142.267108076 51.100718032,142.263308632 51.0791639750001,142.251908632 51.0476279750001,142.244112858 51.028592097,142.243977535 51.0282616620001,142.24248232 51.024610618,142.241815139 51.0229814810002,142.234127636 51.0042099740002,142.231728117 50.9994064690002,142.219118334 50.9741642260001,142.201354231 50.9527731070001,142.189485586 50.941179306,142.177045632 50.9290279750001,142.149408632 50.9101279750002,142.129699632 50.8917999750002,142.094972632 50.8130459750001,142.094972597 50.8130458000002,142.094972289 50.8130451040001,142.087153817 50.7749283290001,142.080372571 50.7418689530001,142.073412341 50.7079370130002,142.051499632 50.6011099750001,142.047561632 50.5732246260001,142.046308308 50.5643497170002,142.045334629 50.5574550090001,142.043163411 50.5420821459999,142.045672449 50.5195732150002,142.056636314 50.4969360420002,142.088073905 50.447651336,142.105678254 50.4200522000002,142.111208632 50.4113819740001,142.12686078 50.393408537,142.134127177 50.385064121,142.147218201 50.351391166,142.150818228 50.3316641890002,142.173854213 50.094154077,142.152772385 50.0052732140002,142.148217803 49.9870828650002,142.142361401 49.9636948100001,142.138581632 49.9485999740001,142.13829021 49.9470601930001,142.129151665 49.8987751080001,142.126754287 49.8861090370001,142.13916336 49.8586091860002,142.152891627 49.8292536650002,142.152962942 49.8291011660001,142.153731606 49.8274574400002,142.154447197 49.825927202,142.156508632 49.8215189740001,142.158834856 49.8011357990002,142.16051827 49.786382159,142.157330185 49.7346207730002,142.156515358 49.7213928850002,142.15638512 49.7192785950002,142.155786601 49.7095622500001,142.155403531 49.7033434930001,142.155370827 49.702812586,142.155238285 49.7006609050002,142.154554251 49.6895562990002,142.151463427 49.6393799110002,142.151090632 49.6333279740002,142.146268224 49.59639136,142.14418477 49.5804334100002,142.143786413 49.5773822270001,142.143734933 49.5769879440001,142.140536315 49.5524911850001,142.135254208 49.5249911660002,142.130112547 49.5007051830001,142.121199632 49.4586099740001,142.11330072 49.4403920110001,142.100663632 49.4112459730001,142.087072969 49.3872648940002,142.078427632 49.3720099730002,142.078427568 49.3720097560001,142.078427251 49.3720091950001,142.076816465 49.3665188410002,142.073544036 49.3553658420001,142.071797044 49.3494117970002,142.07017792 49.3438935440002,142.068965225 49.3397604740002,142.067608632 49.335136973,142.065313353 49.3129409860002,142.064563415 49.3056910740002,142.064563415 49.2693002030002,142.068454127 49.2469361120001,142.027772392 49.041664141,141.99926336 48.957773192,141.974294227 48.8895227800001,141.972700593 48.8851668170001,141.964963632 48.864018973,141.963233175 48.8620253420002,141.958041125 48.8560436650001,141.950254205 48.8470732290002,141.936463355 48.8397970130002,141.917618632 48.8298549730002,141.869690632 48.7833369730001,141.853699632 48.757145973,141.857866487 48.7383195500001,141.860508632 48.7263819730002,141.864572829 48.7144374930002,141.86689045 48.7076261170003,141.867034632 48.707202373,141.871562146 48.693896228,141.874972309 48.6838732150002,141.877842821 48.6780750180001,141.888581632 48.6563819730001,141.899294554 48.6375085010001,141.912627171 48.6140180990002,141.925486963 48.5960565480001,141.935790632 48.581663973,141.947036632 48.5686976360002,141.949363104 48.5660152760001,141.950424632 48.564791363,141.965785095 48.5470811610002,141.970149735 48.5420488480001,142.015536155 48.4897181620001,142.0805182 48.4122091950001,142.103854257 48.3772090490001,142.120190911 48.3454644980002,142.133299632 48.3199909720001,142.142082534 48.2959725710002,142.149272438 48.2763090390001,142.15664516 48.243327089,142.161927268 48.1663822230001,142.164098325 48.1395605080001,142.168581632 48.0841639720001,142.173308632 48.0438819720001,142.177890632 48.0191639720001,142.186508632 47.9823459720002,142.187681632 47.9539549720002,142.179571259 47.9375108760001,142.178842445 47.9360331770001,142.1744272 47.9270822390001,142.16731601 47.9200582370001,142.150799632 47.9037459720003,142.127608632 47.8854099720001,142.10996672 47.8701289270001,142.102754216 47.8638821860001,142.093103303 47.8517929050001,142.087046374 47.8442061130002,142.083572632 47.8398549720001,142.003327632 47.696654972,142.002097332 47.6937039600001,141.963027219 47.5999912080002,141.958401354 47.5568530370001,141.951081632 47.4885999720001,141.952124139 47.4692204360002,141.952754191 47.4575001940001,141.97427238 47.2840181,141.993563331 47.2686000920001,142.016100253 47.25194508,142.029690632 47.2322099710002,142.033535687 47.222357821,142.041072293 47.2030450590001,142.053436271 47.1649912190001,142.058318227 47.1452731270002,142.059418268 47.1247091330001,142.057063456 47.078882083,142.049427207 47.0409641970001,142.030818208 46.9947091670001,142.030056858 46.9930334830001,142.022490632 46.9763819710001,142.002898983 46.9401925560001,141.987454264 46.9116641200001,141.979326019 46.9003738600001,141.978739454 46.8995591590001,141.975254632 46.894718971,141.958665797 46.8634681550002,141.958449879 46.8630613980002,141.899581632 46.7521626680002,141.898200676 46.7495611590001,141.879771052 46.7148425790002,141.878718726 46.7128601590002,141.854306973 46.6668721670001,141.822556878 46.6070598670001,141.813718632 46.590409971,141.813718634 46.5904098940001,141.813718198 46.5904090720001,141.815245213 46.5394360370002,141.81942728 46.4858270600002,141.824429769 46.4590129060001,141.831281632 46.4222819710001,141.848177205 46.3894322090001,141.852172358 46.3816641430002,141.866228957 46.3505648180002,141.884690632 46.3097189710002,141.887080962 46.3041193980001,141.893581632 46.2888909710001,141.899990632 46.2697189710001,141.921496935 46.1616730820001,141.937118253 46.0831911080001,141.926745145 46.0456540960001,142.034145153 45.9308270510002,142.0505363 45.914709154,142.087582301 45.8916540590001,142.198163409 46.0229091310001,142.201741007 46.033958161,142.227172632 46.1124999700001,142.235359275 46.1425832910002,142.250000283 46.1963821730002,142.285920413 46.3110347830001,142.29525456 46.3408277400001,142.306856019 46.3630621510001,142.421354633 46.5824999710001,142.468018633 46.6416639710001,142.475016791 46.6482523170001,142.491909218 46.6641540620001,142.519151915 46.6786530940002,142.526363633 46.6824909710002,142.575254633 46.7027729710001,142.600254633 46.711381971,142.636635793 46.720722845,142.71954528 46.7420090350002,142.727736244 46.7194360670001,142.733154138 46.684436089,142.746918229 46.6491642020001,142.780336207 46.5982540310001,142.798417547 46.5950083650002,142.804690633 46.5938819710001,142.817635701 46.5944623670001,142.879118277 46.5972180270002,142.978876503 46.5908503260001,143.009708633 46.5888819710001,143.059418633 46.5824999710001,143.061754544 46.5824428810002,143.082454196 46.5819361420001,143.111933486 46.5876141980001,143.114881633 46.588181971,143.136108633 46.5938819710001,143.169127633 46.5899909710002,143.192374617 46.5862460430001,143.356200281 46.5598540180002,143.365050209 46.5516322620001,143.371799988 46.5453613170002,143.384899634 46.5331909710001,143.368990634 46.489436971,143.345245634 46.4622099710002,143.345245574 46.462209349,143.345245301 46.462209036,143.339554157 46.402764243,143.345518216 46.3783271400001,143.358854159 46.355554012,143.388027206 46.2961090510001,143.409377357 46.2498581070001,143.414699634 46.2383279710002,143.41954539 46.2253074700001,143.425245203 46.2099911990002,143.428036209 46.181936131,143.426797777 46.162241921,143.424681634 46.1285999700001,143.407608634 46.0799909700002,143.417294322 46.0467705120003,143.425263308 46.0194360060001,143.431363322 46.0194360060001,143.441980562 46.0397584790002,143.474536634 46.1020729700001,143.468563634 46.1384639700002,143.468212344 46.1443588810001,143.467182379 46.1616541040001,143.478163343 46.1905450160002,143.487457298 46.1989971480001,143.495118634 46.2059639700001,143.501369048 46.2107838260001,143.517000221 46.2228361300001,143.5692634 46.3183890850001,143.587463634 46.3516639710001,143.590665342 46.3587491590001,143.590891813 46.3592503260001,143.601900351 46.3836090800001,143.601899602 46.3836099000002,143.601899634 46.3836099710001,143.599517913 46.3862191590001,143.578582384 46.4091541490001,143.554409326 46.4805451200002,143.548582394 46.4997180530002,143.524409321 46.5822181090001,143.514982362 46.6427731680001,143.513391663 46.665204137,143.512618634 46.6761099710002,143.522827321 46.7065180450001,143.522827634 46.706518971,143.491636634 46.808599971,143.481559156 46.8229322650002,143.476500373 46.8301271450001,143.476500193 46.830127175,143.476499634 46.8301279710001,143.473038242 46.8307018660001,143.442354349 46.8357892170001,143.439436268 46.8362730920001,143.406821877 46.8102571930002,143.387165809 46.794578159,143.376890634 46.7863819710003,143.371476607 46.7505286690001,143.368836168 46.7330450920001,143.38125563 46.7166301340002,143.381384556 46.7164597230001,143.389008634 46.706381971,143.374254634 46.686236971,143.353092924 46.6811444240001,143.351209361 46.6806912220001,143.302837923 46.6876892350001,143.174072633 46.706318971,143.173475323 46.707062159,143.155400326 46.7295515380002,143.143323188 46.744578224,143.129968977 46.7611938780001,143.0944373 46.8054033070001,143.085445633 46.816590971,143.099745633 46.838881971,143.104027742 46.857070809,143.104266813 46.8580863000001,143.11190921 46.8905450770002,143.105809363 46.919991206,143.057469396 47.0999266540002,143.030386517 47.200738675,143.02729686 47.2122394700001,143.027046979 47.2131696150001,143.026974818 47.2134382200002,143.017545633 47.2485369710002,143.016231591 47.2499710980001,142.995986331 47.2720664850002,142.995400184 47.2727061970002,142.988333971 47.2804181600002,142.968700314 47.3018460510002,142.920254633 47.3547189720001,142.900545633 47.3724909720002,142.891903176 47.377940048,142.891255189 47.3783486040002,142.890622813 47.378747317,142.880117657 47.3853708260002,142.866618345 47.3938822200001,142.863318322 47.3952611940001,142.837054633 47.4062369720002,142.794029227 47.4212044030002,142.788318362 47.4231911960001,142.772588888 47.4362471560001,142.7722216 47.4365520170002,142.770639336 47.437865346,142.762083846 47.4449666720002,142.758555173 47.4478955830001,142.713863633 47.4849909719999,142.659107025 47.5454354790001,142.631072494 47.5763821850002,142.631072452 47.576382239,142.619691332 47.5938821410001,142.612636836 47.6057588630002,142.603854633 47.6205459720001,142.570254633 47.6787459720002,142.563722671 47.69770486,142.557191336 47.7166641150001,142.541383703 47.7754312530001,142.535672633 47.7966639720001,142.531382211 47.8562511600002,142.530589455 47.8672612820002,142.529972633 47.8758279720001,142.529145633 47.8966639720001,142.531444195 47.9376409380002,142.533721073 47.978231313,142.53496356 48.0003814030001,142.535245633 48.0054099720002,142.535967621 48.0069234670001,142.540005564 48.015388161,142.5513217 48.0391100450001,142.568572633 48.0752729720002,142.591226662 48.1273899960001,142.599118286 48.1455449790001,142.600634695 48.1496815090001,142.614545633 48.1876279720001,142.6158093 48.1918925120002,142.619691332 48.2049911130002,142.67220932 48.3044360240001,142.748736262 48.482345106,142.748736633 48.4823459730002,142.749141746 48.4833452690001,142.764282347 48.5206911390001,142.781100301 48.5541642690002,142.863009265 48.709718143,142.928036237 48.8194451350003,142.946554639 48.8463748760001,142.976072633 48.889299973,142.985598267 48.905584547,142.991345255 48.9154090420001,142.991345249 48.9154093170002,142.991345633 48.9154099730001,142.991130321 48.92559472,142.990800264 48.9412360320001,142.98440923 48.9679090920001,142.98049151 48.9757343220001,142.974118633 48.9884639730002,142.971526836 48.9976923360002,142.96538231 49.0195731320002,142.968155534 49.041183437,142.969527633 49.0518729730001,142.98578979 49.0933928470001,142.986636302 49.0955540790002,143.015536266 49.136936038,143.03387235 49.1572091790001,143.057288087 49.174954315,143.076218633 49.1892999730002,143.098274197 49.2014042040001,143.137327331 49.2228361290001,143.180515736 49.2406996250002,143.193572633 49.2460999730001,143.204325401 49.2498685640001,143.266100354 49.2715180550002,143.290254149 49.2772180840001,143.339418202 49.2869451150002,143.426091272 49.2997181300001,143.478965039 49.3053352530001,143.492754634 49.3067999730002,143.542208634 49.3038819730002,143.605527634 49.3038819730002,143.613288768 49.3044146350002,143.660109316 49.3076271260001,143.660107432 49.3076278910001,143.660108634 49.3076279730001,143.649143193 49.3120801620001,143.634427634 49.3180549730001,143.608014406 49.3198113680002,143.601072386 49.3202732390001,143.497463346 49.321382165,143.487233216 49.321245726,143.434690634 49.3205459730001,143.409620978 49.3191802540002,143.404145271 49.3188821780002,143.366909336 49.3152730980002,143.343845188 49.3138822050001,143.316227488 49.3149911240001,143.253582418 49.3798181610002,143.289700273 49.3976360260001,143.359272416 49.4004090950002,143.397789692 49.397720932,143.400954493 49.3974999830002,143.42913625 49.3858270980001,143.461209267 49.3636091870002,143.611312736 49.326270891,143.675083497 49.3104076220001,143.706908634 49.3024909730001,143.836090634 49.2863819730001,143.870054634 49.2821909730001,143.920808634 49.2777729730001,143.936838094 49.2768709560002,143.945527634 49.2763819730001,143.950197139 49.2754191090002,143.950895332 49.2752751400001,143.954349115 49.2745629610001,143.955201121 49.2743872750001,143.958364903 49.273734896,143.961425936 49.273103702,143.962320885 49.2729191620002,143.964620238 49.2724450290002,143.966434137 49.2720709990001,143.968800461 49.2715830560002,143.970621705 49.2712075110001,143.972970042 49.270723278,143.974670124 49.2703727170001,143.976093536 49.270079206,143.978548227 49.2695730420001,143.980385954 49.2691940980002,143.981899634 49.2688819730002,143.985594723 49.2678926100002,143.985810613 49.2678348050001,143.991627485 49.266277331,144.020263435 49.2586090860001,144.061100235 49.2441539910002,144.102172399 49.2244360660001,144.147218256 49.200545128,144.213594258 49.1490212170001,144.246229284 49.1236879450001,144.254481634 49.1172819730002,144.258563389 49.1093503290001,144.258739355 49.1090083930001,144.260989826 49.104635289,144.266663394 49.0936091420002,144.274761496 49.082248484,144.282208634 49.0717999730002,144.349518937 49.0264614230002,144.359745267 49.0195731320002,144.359745547 49.0195730320002,144.359745634 49.0195729730001,144.440457697 48.9907421180001,144.447599635 48.9881909730002,144.481222237 48.9600782980002,144.537472293 48.9130450100001,144.549667493 48.9010072920001,144.554498168 48.8962384820001,144.558008635 48.8927729730001,144.566222202 48.8824960150001,144.56632209 48.8823710330001,144.569564534 48.8783140300002,144.569574933 48.8783010200002,144.582900014 48.8616284470002,144.595216247 48.8462181610002,144.608709254 48.829335477,144.609526257 48.8283132280001,144.610408168 48.8272097660001,144.614524642 48.822059161,144.615508635 48.8208279730001,144.634981635 48.789990973,144.645009744 48.7596938650002,144.65034518 48.7435731530001,144.653136187 48.722654102,144.681563411 48.6465180900001,144.728025907 48.6455610770001,144.7337693 48.6454426670001,144.740690635 48.6452999730002,144.740690335 48.645300221,144.740691368 48.6453002000001,144.729496675 48.6545703080001,144.727486631 48.6562349360001,144.713718635 48.667636973,144.700672635 48.6873549730001,144.693721587 48.705641165,144.690800269 48.713327055,144.690128612 48.7311403540002,144.689636635 48.744199973,144.700945635 48.7704099730001,144.700549242 48.7742790540002,144.700006302 48.7795785410002,144.691554635 48.8620729730002,144.666187327 48.8823635740001,144.664981635 48.8833279730002,144.664326931 48.8837452440002,144.663823582 48.8840660490002,144.66307254 48.8845447200001,144.661526869 48.885529842,144.660472152 48.8862020580001,144.659215075 48.8870032470001,144.659094538 48.8870800700003,144.656931514 48.8884586570002,144.656485866 48.888742687,144.636654635 48.9013819730001,144.609572067 48.915745014,144.589854882 48.9262018810002,144.586670505 48.9278906960001,144.586612443 48.9279214890001,144.565945283 48.938882226,144.559464463 48.9420186820002,144.557305867 48.943063383,144.555944678 48.9437221610002,144.555900998 48.9437433010002,144.518308635 48.961936973,144.499118635 48.9722189730001,144.47304121 48.9887709560001,144.439317991 49.0101759140002,144.408100299 49.029991167,144.401535226 49.0396778660001,144.393036634 49.0522189730001,144.391405465 49.0551296200001,144.283458289 49.2477498260001,144.2829248 49.2487017790001,144.282339837 49.249745584,144.282104634 49.2501652780001,144.275818634 49.2613819730001,144.251296285 49.3319058510002,144.225109271 49.4072180500002,144.219017019 49.4427145950002,144.214145634 49.471099974,144.174940621 49.5687492070001,144.174538647 49.5697504170001,144.174376028 49.5701554570001,144.118713634 49.7087956370002,144.073158175 49.8222621370001,144.064145634 49.8447099740002,144.03469427 49.926272103,144.00330936 50.0131910950001,143.998608578 50.0220824750002,143.993836634 50.0311099740001,143.941345634 50.1041639740002,143.890536634 50.1733279740001,143.874663634 50.194709974,143.852736634 50.2170729740001,143.850814634 50.2190969700002,143.850685081 50.2192333990001,143.849125514 50.2208757290001,143.831499634 50.2394369740001,143.809400039 50.2669364700001,143.807486028 50.270461907,143.794845634 50.2937459740002,143.772063634 50.359990974,143.760911534 50.3968932780001,143.722200275 50.5249911100001,143.700411535 50.6249930750002,143.696684733 50.6420981910002,143.693572634 50.6563819750001,143.686918634 50.6955459750001),(154.635825115 49.2792400500001,154.702327337 49.2629091700001,154.714046638 49.26375606,154.715790644 49.2638819730001,154.71579103 49.2638821180001,154.715791355 49.2638821410002,154.791654285 49.2922181710002,154.807209253 49.3000000970001,154.811229 49.3045992530002,154.814972644 49.3088819730002,154.827763594 49.332521332,154.834963411 49.3458271470001,154.834963347 49.3458274240002,154.834963644 49.3458279730001,154.830031887 49.3670611620001,154.828095867 49.3753965010002,154.824963644 49.3888819730001,154.823898493 49.390031635,154.796782333 49.4193000610002,154.792335606 49.4265824300001,154.790254644 49.4299909730001,154.790254644 49.443318974,154.794127644 49.4560999740001,154.816051563 49.5017164010001,154.818027273 49.5058271180001,154.825810196 49.5129350010002,154.833845644 49.5202729740001,154.839368988 49.5234737320001,154.84774531 49.5283271640002,154.874545272 49.5394360350002,154.878177907 49.5432725900001,154.882172644 49.547490974,154.901761028 49.6120667760001,154.904418644 49.6208279740001,154.895263644 49.6266549740001,154.856354644 49.6333279740002,154.851660363 49.6336698360002,154.850743895 49.633736578,154.849927317 49.6337960450001,154.819984089 49.6359766690002,154.81441836 49.6363821330002,154.798808937 49.6255444860003,154.746199644 49.5890189740001,154.747219538 49.581984139,154.748172307 49.5754092670001,154.703036644 49.480818974,154.638308644 49.4230459730002,154.604399644 49.3766639730001,154.600527644 49.3672099730002,154.60052764 49.3672099290002,154.600527278 49.3672090470001,154.598572451 49.3474911230002,154.597623155 49.3360184720002,154.593899644 49.2910279730001,154.593900431 49.2910277490001,154.593900378 49.2910271020001,154.629424287 49.2808986610001,154.631618644 49.2802729730002,154.635825115 49.2792400500001),(154.468563432 49.1686001860002,154.4676886 49.1684449920001,154.467086376 49.1683383300002,154.464718644 49.167918973,154.453797637 49.1683341190001,154.450382414 49.1684642310002,154.45038216 49.1684639540001,154.450381644 49.1684639730001,154.445995051 49.1636719780001,154.441227196 49.1584641180001,154.471345219 49.0983271480001,154.487336213 49.0808270750001,154.499798253 49.0760359490002,154.505399644 49.0738819730001,154.506884624 49.0740661410001,154.521091311 49.0758271020001,154.58330934 49.1005449990002,154.59592729 49.109018098,154.595927633 49.1090189680001,154.600800361 49.1215180300001,154.593991405 49.1356821050001,154.589645369 49.1397067280001,154.583036644 49.1458279730002,154.564699644 49.1522189730002,154.539751978 49.1573228280002,154.503482258 49.164742976,154.498231369 49.1658172150002,154.493427342 49.1668000880001,154.468563432 49.1686001860002),(153.980808643001 48.734690973,154.004272643 48.7224909730001,154.007194291 48.7226505040001,154.019436249 48.723318116,154.030818203 48.7269360810002,154.053591331 48.7372091090002,154.063291372 48.7427641320002,154.12221502 48.786037838,154.161029472 48.814543041,154.188872644 48.8349909730001,154.205880035 48.8547872730001,154.206252646 48.8552209810001,154.219418233 48.8705450730002,154.221417697 48.8736958870001,154.223469233 48.8769284990001,154.227172644 48.8827639730001,154.227582155 48.8852711710002,154.229827644 48.8990189730002,154.216081644 48.9098549730002,154.181918644 48.9136099730001,154.164911723 48.9126837220001,154.16137238 48.9124911340001,154.157524082 48.9119789640002,154.140536644 48.9097189730002,154.129390644 48.9058189730001,154.119007129 48.8995458270001,154.116072384 48.897773182,154.04868618 48.8357968320001,153.988008643 48.7799909730002,153.982478363 48.7710854760001,153.976627187 48.7616641500001,153.973018275 48.7455450800002,153.974972431 48.7355451340001,153.979305271 48.7349112240002,153.980808643001 48.734690973),(137.831909333 54.3924911000001,137.928318319 54.4598541090002,137.928318216 54.4598546900002,137.928318628 54.4598549780002,137.922745628 54.4915189780001,137.919711784 54.497082167,137.917944469 54.5003229090001,137.913882334 54.5077731140001,137.90798113 54.5077054020002,137.865508628 54.5072189780001,137.844766085 54.5003762040002,137.840236251 54.4988820940002,137.828392874 54.4849587180001,137.816372628 54.4708279780002,137.816372641 54.470827425,137.816372302 54.4708270260001,137.816565097 54.462699421,137.816908628 54.4481909780002,137.809690628 54.4383279780001,137.784145628 54.4180549780002,137.762754628 54.4044369780001,137.741336628 54.3922189780002,137.730527628 54.386654978,137.722536703 54.3829671040001,137.718018211 54.3808821640002,137.713452875 54.3762838310002,137.712493628 54.3753177890002,137.710921951 54.3737349640001,137.709136628 54.3719369780001,137.709136865 54.3719366170002,137.709136244 54.3719359910002,137.715518225 54.3622091280001,137.724672437 54.3572180390001,137.7677359 54.3643614070001,137.779972628 54.3663909780001,137.797851175 54.375375691,137.810892458 54.381929478,137.831909333 54.3924911000001),(137.645536628 54.5074999780002,137.644790105 54.5095680730002,137.632754628 54.5429099780001,137.622892593 54.5543738800001,137.619865921 54.5578921670001,137.614118628 54.564572978,137.614118571 54.5645729550001,137.614118319 54.564573249,137.608728523 54.5623690100001,137.598845628 54.5583279780001,137.590518628 54.5516549780002,137.574338247 54.5350930380001,137.570925117 54.5315994220001,137.549681628 54.5098549780002,137.572208628 54.4338729780001,137.574986995 54.432045795,137.614765386 54.4058856780001,137.642791301 54.3874540790002,137.63919243 54.3961271840001,137.632172628 54.4130459780001,137.632390148 54.4142268660001,137.641829591 54.4654724880001,137.644145628 54.4780459780002,137.645536628 54.5074999780002),(148.645004638 54.5727059780003,148.647810638 54.5642869780002,148.661115638 54.0903279780002,148.772251639 53.750704978,148.772298639 53.7488849780001,148.772823639 53.7472679780002,148.772934639 53.7429429780001,148.775343639 53.7355239770001,148.775390635 53.7336611660002,148.775390639 53.7336609770001,148.775486695 53.7333652760001,148.775900639 53.7320909770001,148.775971639 53.7293149770001,148.779249913 53.7192123080002,148.78001064 53.716867978,148.780053639 53.715159977,148.780482192 53.7138402270001,148.78058164 53.713533978,148.780605635 53.7125941660001,148.780605639 53.712593977,148.78194664 53.7084589780001,148.782160635 53.700055166,148.782160639 53.7000549770001,148.78629164 53.6873089770001,148.786335639 53.6856059770001,148.786764192 53.6842821690001,148.78686364 53.6839749770001,148.786885635 53.6831001660001,148.786885639 53.683099977,148.78824564 53.6789029770002,148.788395639 53.6729709770002,148.789183639 53.670538977,148.789219635 53.6691251660001,148.789219639 53.6691249770001,148.79122664 53.662927977,148.791455639 53.6538389770001,148.792622639 53.650232977,148.792646634 53.6493101660001,148.792646639 53.649309977,148.79399064 53.6451569770001,148.794063635 53.6422461660001,148.794063639 53.6422459770001,148.794138035 53.642016008,148.794458639 53.6410249770002,148.794545639 53.6375839770001,148.795622639 53.6342569770001,148.795927639 53.6221269770001,148.796012051 53.6218648130001,148.79603164 53.6218039770002,148.796070639 53.620259977,148.798064639 53.6140949770001,148.798120639 53.6118449770001,148.800859163 53.603373734,148.80149464 53.601407977,148.801516639 53.600499977,148.802609938 53.5971178120002,148.80286364 53.596332977,148.803389639 53.575327977,148.804693639 53.5712879770001,148.804834635 53.565663166,148.804834639 53.5656629770001,148.804852908 53.5656060970002,148.804931639 53.5653609770001,148.805238635 53.553114166,148.805238639 53.5531139770001,148.805256908 53.5530572850001,148.805335639 53.5528129770002,148.805811639 53.5337839770001,148.805876571 53.5335818750001,148.80589164 53.5335349770001,148.806099639 53.525229977,148.806532251 53.5238883120002,148.80663264 53.5235769770001,148.806847639 53.5149749770001,148.807348639 53.5134219770001,148.807419639 53.5105819770001,148.807758099 53.5095316960001,148.80783664 53.5092879770002,148.807922635 53.505827166,148.807922639 53.5058269770001,148.80898964 53.5025169770001,148.811383635 53.4066101650001,148.811383639 53.4066099770001,148.81172564 53.4055459770002,148.812444635 53.3767701650001,148.812444639 53.3767699770001,148.81291164 53.3753179770001,148.813829639 53.3385099770001,148.814884639 53.335226977,148.814958635 53.3322601650001,148.814958639 53.3322599770001,148.81536464 53.3309939770001,148.815534639 53.3241669770001,148.817689639 53.3174559770002,148.832155639 52.7369739770002,148.83215562 52.7369739070002,148.831470639 52.7343929770001,148.831470657 52.7343922350001,148.831530639 52.7319929770002,148.83153062 52.7319929070002,148.816049639 52.6736169770001,148.816049658 52.6736162370001,148.816074639 52.6726449770002,148.814681262 52.6673786600002,148.808676639 52.6446839760002,148.808676657 52.6446832360001,148.809170639 52.6253429760001,148.80917062 52.6253429050001,148.798586639 52.5852559760002,148.798586658 52.5852552380002,148.798686639 52.5814149760002,148.798686619 52.5814149030001,148.798358639 52.5801709760001,148.798358657 52.5801702360002,148.798387639 52.579018976,148.798255797 52.5785187320002,148.797687639 52.576362976,148.797687658 52.576362237,148.798095639 52.5605899760002,148.797645639 52.5588829760002,148.797686639 52.5573009760002,148.797365699 52.5560829500001,148.795982639 52.5508339760001,148.795982658 52.5508332370002,148.796137639 52.5448409760001,148.796137619 52.5448409040001,148.79309718 52.5332927530002,148.792391639 52.530612976,148.792733639 52.5174289760001,148.792733619 52.517428904,148.792160639 52.5152509760002,148.792160658 52.5152502380001,148.792560639 52.4998969760002,148.791539639 52.4960159760001,148.791633639 52.4924179760001,148.791633619 52.4924179030002,148.791457509 52.4917467380001,148.791416639 52.4915909760001,148.791611639 52.4841019760002,148.791380639 52.4832219760002,148.791401639 52.482405976,148.789362639 52.4746479760001,148.789374639 52.4741769760002,148.773646123 52.4138287400001,148.705865638 52.1537639760002,148.705865754 52.1537636090001,148.763595639 51.9708209760001,148.764032639 51.9546439760001,148.768209639 51.9413479760001,148.768257639 51.939563976,148.769299803 51.9362467420002,148.76954164 51.9354769760001,148.769798639 51.9259269760001,148.771004639 51.9220839760001,148.771088639 51.9189489760002,148.772230639 51.9153119760002,148.772286634 51.9132161640002,148.772286639 51.9132159760002,148.772659939 51.9120267650001,148.774268639 51.9069019760001,148.774351634 51.9037771640001,148.774351639 51.9037769760001,148.774566917 51.9030908340001,148.775494639 51.9001339760002,148.775510639 51.8995579760002,148.776655883 51.8959055320001,148.77692164 51.8950579760002,148.776960634 51.8935981640002,148.776960639 51.8935979760002,148.77754864 51.8917229760001,148.777696634 51.8862001640002,148.777696639 51.886199976,148.777864454 51.8856646980001,148.778587639 51.8833579760001,148.778739639 51.8776889760002,148.779615639 51.8748929760001,148.779938639 51.8628229760001,148.780884639 51.859803976,148.781024634 51.8545491640001,148.781024639 51.8545489760001,148.781058352 51.8544414310002,148.781203639 51.8539779760001,148.781254634 51.8520631640001,148.781254639 51.8520629760001,148.781494214 51.851298671,148.782526639 51.8480049760001,148.782573634 51.846246164,148.782573639 51.846245976,148.782816227 51.8454715000001,148.783861639 51.8421339760001,148.783999639 51.8369309760001,148.784196639 51.8363039760001,148.784278634 51.8331991640002,148.784278639 51.8331989760002,148.78449467 51.8325090680001,148.785425639 51.8295359760002,148.785671639 51.8202879760002,148.786175639 51.8186789760001,148.786196639 51.817874976,148.788327639 51.811066976,148.788373639 51.8093129760001,148.789663639 51.805192976,148.789729639 51.8026889760001,148.814633644 51.7229203480001,148.82041264 51.7044099760001,148.820420639 51.7041049760001,148.823991109 51.6926411600002,148.82481964 51.6899809760002,148.824832639 51.6894659760002,148.826252639 51.6849059760002,148.826325639 51.6820819760001,148.826764639 51.6806739760002,148.826851635 51.6772661640001,148.826851639 51.6772659760001,148.82944564 51.6689319760001,148.829464639 51.6681919760002,148.831604639 51.6613169760001,148.831682635 51.6582731640002,148.831682639 51.6582729760001,148.83284064 51.6545479760001,148.832884639 51.6528519760001,148.834182639 51.6486779760001,148.834235635 51.6466071640002,148.834235639 51.6466069760002,148.83623764 51.6401679760001,148.836309639 51.6373529760001,148.836667578 51.6362028600001,148.83675064 51.6359359760001,148.836824635 51.6330431640002,148.836824639 51.6330429760002,148.837045945 51.6323310290002,148.837999639 51.6292629760001,148.838011635 51.6287701640001,148.838011639 51.6287699760001,148.83943464 51.6241909760001,148.839447639 51.623693976,148.840601812 51.6199774070001,148.84086964 51.6191149760001,148.840970635 51.6151611640001,148.840970639 51.6151609760001,148.841033734 51.6149581280002,148.841305639 51.6140839760002,148.841348639 51.6123999760001,148.84240379 51.609001576,148.84264864 51.6082129760001,148.842775639 51.6032389760001,148.848341157 51.585307082,148.84963264 51.5811459760002,148.849726639 51.5774299750001,148.852412404 51.5687712430001,148.85303564 51.5667619760002,148.853201639 51.5601719750002,148.853998639 51.5576019750002,148.854004639 51.557385975,148.854724639 51.5550619750002,148.854796639 51.552230975,148.863351639 51.5246149750002,148.863469639 51.5199119750001,148.882167639 51.4594409750002,148.882174639 51.4591459750001,148.883619639 51.4544679750001,148.883630639 51.454020975,148.885059639 51.449391975,148.885103635 51.4476071640001,148.885103639 51.4476069750002,148.885347169 51.4468181870002,148.886396639 51.443418975,148.886441635 51.441597164,148.886441639 51.4415969750001,148.886824356 51.4403567220002,148.888473639 51.435011975,148.888503635 51.4337941640001,148.888503639 51.4337939750001,148.889175842 51.4316150100001,148.892072639 51.422224975,148.892199635 51.4170691640002,148.892199639 51.4170689750001,148.892238626 51.4169422190001,148.892406639 51.4163959750002,148.892519635 51.4118101640001,148.892519639 51.411809975,148.892987488 51.4102924790002,148.895003639 51.4037529750002,148.895133635 51.3984201640001,148.895133639 51.3984199750002,148.895309553 51.3978494780002,148.896067639 51.3953909750002,148.896115635 51.3934371640001,148.896115639 51.393436975,148.89813564 51.3868809750001,148.898290639 51.3805419750001,148.898362876 51.3803074070001,148.89837964 51.3802529750002,148.898629635 51.3700331640002,148.898629639 51.3700329750001,148.89940807 51.3675048160001,148.902762639 51.3566099750001,148.902910635 51.3505351640001,148.902910639 51.3505349750002,148.907939642 51.3341662750001,148.929611639 51.2636269750001,148.932079639 51.1602009750001,148.934451294 51.1524504830001,148.93500164 51.1506519750002,148.935436635 51.132384163,148.935436639 51.132383975,148.940584681 51.1239048580002,148.962769639 51.0873649750001,148.963085372 51.0863276800002,148.963158639 51.0860869750001,148.963891678 51.0848783640002,148.967050639 51.0796699750001,148.969192639 51.0726419750002,148.984127639 51.0479909750002,148.984704639 51.0460969750001,148.986288178 51.043480199,148.986655639 51.0428729750002,148.986832118 51.0422930610002,148.987592639 51.0397939750001,148.988129954 51.0389068360002,148.988254639 51.0387009750002,149.050773639 50.8323459750001,149.055449639 50.824569975,149.055647639 50.823910975,149.055769686 50.8237081270001,149.056295639 50.8228339750002,149.057401113 50.8191661060001,149.057657639 50.8183149750001,149.090887639 50.7629659750002,149.090945272 50.7627738630001,149.091193639 50.7619459750002,149.095195639 50.7552709750001,149.098313639 50.744850975,149.236698357 50.8846163170002,149.268810639 50.9170489750002,149.31977854 50.9951747440002,149.539419639 51.3318499750001,149.947311898 51.7289472250001,150.04196364 51.8210939760001,150.12939745 51.8790199270001,150.50618464 52.128645976,150.712186481 52.4222777490001,150.71218664 52.422277976,150.66862464 52.582159976,150.66741064 52.5842439760002,150.66631564 52.5882219760001,150.66581564 52.5890799760001,150.657446666 52.619459411,150.65550464 52.6265089760003,150.655441168 52.6266176520002,150.65516764 52.627085976,150.651067972 52.6419457540001,150.65011664 52.6453939760002,150.64737764 52.6500829760001,150.647286104 52.6504144640001,150.64689164 52.6518429760001,150.64596664 52.6534259760002,150.645199626 52.656203459,150.64502164 52.6568479760002,150.64317264 52.6600109760002,150.64202764 52.6641539770001,150.64156164 52.6649499770002,150.64123505 52.6661318410001,150.63982764 52.6712249770002,150.63351264 52.682019977,150.632537032 52.6855458040002,150.63231064 52.6863639770001,150.63190464 52.6870579770002,150.63169364 52.6878189770001,150.62933264 52.6918529770001,150.62768064 52.697818977,150.627425244 52.6982551840001,150.62632464 52.7001349770002,150.62484564 52.7054719769999,150.62461364 52.7058689770001,150.622734659 52.7126487300002,150.62229864 52.7142219770001,150.62140464 52.7157469770002,150.621362828 52.7158978410002,150.62118264 52.7165479770002,150.614174813 52.7285020280001,150.61254864 52.7312759770002,150.60852764 52.745756977,150.60505264 52.7516789770001,150.604762024 52.7527244810001,150.60350964 52.7572299770002,150.603373282 52.7574621100001,150.60334164 52.7575159770002,150.60310764 52.7583569770002,150.59448164 52.7730449770001,150.594393495 52.773361773,150.59401364 52.7747269770002,150.59309564 52.7762889770001,150.59283564 52.7772229770001,150.59050864 52.7811829770002,150.585044581 52.8007925530002,150.58377664 52.8053429770002,150.583713168 52.805450898,150.58343964 52.805915977,150.57724664 52.828112977,150.57530664 52.8314069770001,150.57258164 52.8411649769999,150.56191964 52.8592539770001,150.537323257 52.9469256670001,150.537323247 52.9469257030001,150.53161564 52.9672699770002,150.53134819 52.967721816,150.53019564 52.969668977,150.52741364 52.979552977,150.52307164 52.9868809770001,150.52279364 52.9878659770002,150.52047764 52.9917739770001,150.519244737 52.9961487940001,150.51895864 52.9971639770002,150.518920218 52.9972285790002,150.51875464 52.9975069770002,150.518494911 52.9984290160002,150.51843464 52.998642977,150.51614864 53.0024989770002,150.51577082 53.0038384860001,150.51414264 53.0096109770001,150.51303364 53.0114799770001,150.51055664 53.020255977,150.50602064 53.0278979770001,150.504783678 53.0322784780001,150.50449664 53.0332949770003,150.504459159 53.0333582610002,150.50429764 53.033630977,150.50401564 53.0346289770001,150.50170164 53.0385239770002,150.49879364 53.0488109770001,150.497378926 53.051190749,150.49705064 53.0517429770001,150.496617635 53.0532738460001,150.49475164 53.0598709770001,150.491980651 53.0645314980001,150.49133764 53.0656129770001,150.49118864 53.066137977,150.49004664 53.0680579770001,150.48907026 53.071505067,150.48486264 53.0863599770001,150.48346564 53.0887069770001,150.47918564 53.103800977,150.47840264 53.1051159770001,150.47835964 53.1052679770001,150.47531837 53.110371662,150.47461264 53.1115559770001,150.47119264 53.1236029770001,150.470697293 53.124433955,150.46856264 53.1280149770001,150.467893025 53.1303704000001,150.46773764 53.1309169770001,150.46455764 53.1362499770001,150.464430695 53.1366963550001,150.46388364 53.1386199770001,150.45555564 53.152575977,150.454577596 53.156009277,150.45435064 53.156805977,150.454271159 53.1569393250001,150.45392864 53.1575139770002,150.45159464 53.165708977,150.44884313 53.1703143070001,150.44820464 53.1713829770002,150.44231564 53.1920379770002,150.440488316 53.1950929350002,150.43261364 53.2082579770002,150.430045564 53.217245431,150.42944964 53.2193309770001,150.42939389 53.2194243960001,150.42915364 53.2198269770001,150.42742564 53.2258699770002,150.41983464 53.2385429770001,150.41822064 53.2441819770002,150.418126488 53.2443386260001,150.41810464 53.2443749770001,150.41448164 53.2570239770001,150.41072964 53.2632809770001,150.409800722 53.2665203230001,150.40579764 53.280479977,150.39793764 53.293569977,150.396685257 53.2979293750001,150.39639464 53.2989409770001,150.395890252 53.2997804310002,150.39371664 53.3033979770001,150.393598138 53.3038102980001,150.39357064 53.3039059770001,150.39240764 53.3058419770002,150.392364509 53.305992277,150.39217864 53.306639977,150.38731464 53.3147309770001,150.38645564 53.3177169770001,150.38329864 53.3229659770001,150.38305839 53.3238011700001,150.38300264 53.3239949770001,150.382564926 53.3247225540002,150.38067864 53.3278579770002,150.380427839 53.3287296940001,150.38036964 53.328931977,150.3799372 53.3296505140001,150.37807364 53.3327469770001,150.37648464 53.3382639770002,150.37635264 53.3384839770001,150.375503649 53.3414294710001,150.37530664 53.3421129770002,150.374971574 53.3426697260001,150.37352764 53.3450689770001,150.37347864 53.3452379770001,150.35841964 53.3702319770002,150.35759164 53.3730969770002,150.35441264 53.378367977,150.35409664 53.3794639770001,150.352237951 53.382545018,150.35180664 53.3832599770001,150.35126464 53.3851329770002,150.351097766 53.385409656,150.35037864 53.3866019770001,150.34865864 53.392552977,150.345559741 53.3976858830002,150.34484064 53.3988769770002,150.344607281 53.39968347,150.34360164 53.403158977,150.343279413 53.4036914230001,150.34320464 53.4038149770001,150.34288764 53.4049129770002,150.34059764 53.4087039770002,150.340397994 53.4093935080001,150.33953764 53.412364977,150.33776964 53.415292977,150.336183667 53.4207659640002,150.33581564 53.422035977,150.333707681 53.4255224340001,150.32462364 53.4405469770002,150.324290862 53.4416914110002,150.32421364 53.4419569770001,150.31821064 53.4518789770001,150.317907405 53.4529225970001,150.31660064 53.457419977,150.316506488 53.4575758150002,150.31648464 53.4576119770001,150.31635364 53.4580609770002,150.29883764 53.4869709770001,150.298165625 53.4892780150003,150.29526964 53.4992199770002,150.27892164 53.5261499770002,150.277603512 53.5306619670001,150.27729764 53.5317089770001,150.277277864 53.531741749,150.27719264 53.531882977,150.276635034 53.5337903650001,150.27650564 53.5342329770002,150.276123299 53.5348622400001,150.27447564 53.5375739770002,150.274168023 53.5386250700002,150.27409664 53.5388689770001,150.273673617 53.5395651010001,150.27185064 53.5425649770002,150.27175064 53.5429049770002,150.268740212 53.5478552600002,150.26804164 53.5490039770002,150.267821464 53.5497573580002,150.26687264 53.5530039770002,150.260393198 53.5636512680002,150.25888964 53.566121977,150.258856303 53.566235926,150.25871264 53.566726977,150.25759064 53.568570977,150.256421045 53.572564319,150.25614964 53.5734909770001,150.255867311 53.5739546830001,150.25465064 53.5759529770001,150.25341264 53.5801759770001,150.249012658 53.5873988950001,150.24799164 53.5890749770001,150.247426417 53.5910019350002,150.24499064 53.5993059770001,150.239557423 53.6082155110001,150.23829664 53.6102829770002,150.23741164 53.6132979770001,150.237294113 53.6134906540001,150.23678764 53.6143209770001,150.23639964 53.615639977,150.23415964 53.6193119770001,150.23382964 53.6204349770001,150.23152964 53.6242039770002,150.230484228 53.6277590260001,150.23024164 53.6285839770001,150.230177603 53.6286890740001,150.22990164 53.629141977,150.228440662 53.6341076800001,150.22810164 53.6352599770001,150.227393462 53.6364196180001,150.22434164 53.6414169770001,150.223638747 53.6438048660001,150.22347564 53.6443589770002,150.22030664 53.6495469770001,150.21884664 53.6545019770001,150.21736164 53.6569329770002,150.21725364 53.6572979770002,150.216082697 53.6592132610002,150.21103664 53.6674669770001,150.21009864 53.670647977,150.20951164 53.6716069770001,150.20845064 53.6752059770002,150.20668464 53.6780919770002,150.20571564 53.6813759770002,150.20513164 53.6823299770001,150.204558611 53.6842722680001,150.20442564 53.6847229770002,150.204045936 53.6853433860001,150.20240964 53.6880169770001,150.20170064 53.6904179770002,150.200065967 53.6930875100001,150.19968664 53.6937069770001,150.199620342 53.693931862,150.19933464 53.6949009770001,150.197496242 53.6979024770002,150.19706964 53.6985989770001,150.196971324 53.698931783,150.19654764 53.700365977,150.19313564 53.7059359770001,150.19278264 53.7071279770002,150.190944242 53.7101278530001,150.19051764 53.7108239770001,150.189919832 53.7128454860001,150.18734364 53.7215569770001,150.18581964 53.7240419770002,150.181799513 53.7376185300001,150.18086664 53.7407689780002,150.180812208 53.7408580650002,150.18057764 53.7412419780001,150.17722064 53.7525719780001,150.17707264 53.7528129780002,150.17540964 53.7584229780002,150.175347954 53.7585219990001,150.17533364 53.7585449780001,150.17458664 53.7610669780001,150.174208819 53.7616823020001,150.17258064 53.7643339780001,150.172290067 53.7653128330001,150.17222264 53.7655399780002,150.16996064 53.7692219780002,150.169790188 53.7697962410002,150.16905564 53.7722709780001,150.168561342 53.7730761390001,150.16844664 53.773262978,150.168446263 53.7732639190002,150.16844464 53.7732679780001,150.166404951 53.7765868340001,150.16593164 53.7773569780002,150.165863647 53.7775861930001,150.16557064 53.778573978,150.163737112 53.7815568090002,150.16331164 53.7822489780002,150.162720424 53.7842388440001,150.16017264 53.792813978,150.158899965 53.7948828860001,150.15860464 53.7953629780002,150.158147338 53.7969013810002,150.15617664 53.8035309780001,150.152456826 53.8095753710001,150.15159364 53.8109779780001,150.15086864 53.8134149780001,150.150491385 53.8140278520002,150.14886564 53.8166689780001,150.14216964 53.8391529780002,150.13432064 53.8518859780002,150.132813397 53.8569369050002,150.13246364 53.8581089780001,150.13125864 53.860061978,150.12958164 53.8656809780001,150.129092319 53.8664740990001,150.12698364 53.8698919780002,150.12543864 53.8750649780001,150.124282032 53.8769374660001,150.12401364 53.8773719780002,150.123345203 53.8796087630001,150.12046464 53.8892479780001,150.119443578 53.8909005070001,150.11920664 53.8912839780002,150.118778343 53.892716342,150.11693264 53.8988889780002,150.116194034 53.900083733,150.11602264 53.9003609780002,150.115775531 53.9011870590002,150.11471064 53.9047469780002,150.11436964 53.905298978,150.11286364 53.910331978,150.111685117 53.9122377430001,150.11141164 53.912679978,150.11140938 53.9126877000001,150.11139964 53.9127209780002,150.10889264 53.9167739780002,150.10647764 53.9248389780001,150.10440064 53.9281959780002,150.099943845 53.9430573720002,150.09890964 53.9465059780001,150.098457234 53.947236946,150.09650764 53.950386978,150.085422059 53.9872831800002,150.08284964 53.995844978,150.08241064 53.9965519780002,150.081763295 53.9987036400001,150.07897364 54.0079759780001,150.07888464 54.008118978,150.077350612 54.0132129240001,150.07699464 54.0143949780001,150.07581364 54.016297978,150.075776159 54.0164224740001,150.07561464 54.0169589780001,150.07450664 54.0187429780001,150.072340333 54.025932615,150.07183764 54.0276009780001,150.07120664 54.0286169780002,150.070637461 54.0305047610001,150.06818464 54.0386399780001,150.06778364 54.0392859780001,150.067306387 54.040867081,150.06719564 54.0412339780002,150.066564684 54.0422487810002,150.06384564 54.0466219780001,150.063063205 54.0492152150001,150.06288164 54.0498169780001,150.062771269 54.0499947760001,150.06229564 54.050760978,150.06134925 54.0538947780001,150.06112964 54.0546219780001,150.060810772 54.0551346530002,150.05943664 54.0573439780001,150.058823029 54.0593763610001,150.05868064 54.0598479780002,150.05830734 54.0604480450002,150.05669864 54.0630339780001,150.05667564 54.0631109780001,150.054646503 54.0663705840002,150.05417564 54.067126978,150.04899864 54.0842519780002,150.048978298 54.0842847500001,150.04889064 54.0844259780002,150.048584646 54.085438923,150.04851364 54.0856739780002,150.048086284 54.0863601200002,150.04624464 54.089316978,150.04452564 54.094997978,150.044498043 54.095041807,150.04449164 54.0950519780001,150.044412911 54.0953120820001,150.04407364 54.0964329780001,150.03933664 54.1040339780002,150.02663364 54.1459309780002,150.02552364 54.1477079780001,150.024409238 54.1513790910001,150.02415064 54.1522309780001,150.02315015 54.153832477,150.01883864 54.1607339780002,150.01244564 54.1817629780001,150.010998459 54.1840761940001,150.01066264 54.1846129780001,150.00873464 54.1909469780002,150.008517289 54.1912946630001,150.00758064 54.1927929780002,150.00314364 54.2073619780002,150.00249464 54.2083979780001,150.00208964 54.2097269780001,150.000278838 54.212618092,149.99985864 54.2132889780001,149.99850364 54.2177349780001,149.997974767 54.2185793290001,149.99569564 54.2222179780001,149.99487164 54.2249189780001,149.99293664 54.2280059780001,149.98848364 54.2425959780001,149.987966616 54.2434198080001,149.98784664 54.243610978,149.98454964 54.2544049780002,149.98309564 54.2567229780001,149.96466064 54.316948978,149.964270766 54.3175686330001,149.96259064 54.3202389780001,149.95142764 54.3566059780002,149.95050064 54.358076978,149.945237058 54.3751939680001,149.94401564 54.3791659780002,149.943695453 54.3796735680001,149.94231564 54.3818609780002,149.930790952 54.4192636590001,149.92811664 54.4279429780001,149.928107411 54.4279576690002,149.92806764 54.4280209780002,149.92667264 54.4325419780001,149.926459174 54.4328796270001,149.92640964 54.4329579780001,149.892691715 54.5405181240001,149.747387637 55.0040379790001,149.747339639 55.0087289790001,149.738831639 55.0354229790001,149.738726639 55.0452609790001,149.732613639 55.064409979,149.732497639 55.0751069790001,149.732341313 55.0755964870001,149.731667637 55.077705979,149.731249647 55.1160461670001,149.731249639 55.116046979,149.718038637 55.1572929790001,149.718022639 55.1586939790001,149.717957095 55.1588988980001,149.717674637 55.1597819790001,149.717333647 55.1896461670001,149.717333639 55.1896469790001,149.715428637 55.1955809790002,149.715112639 55.2230809790002,149.713758639 55.2272939790001,149.713731639 55.2295899790001,149.713623529 55.2299261750001,149.713157637 55.2313749790001,149.708225648 55.6346781680002,149.708225639 55.6346789790002,149.415988497 55.6852199150001,149.348174639 55.6969479790002,149.339637142 55.669620605,149.302845639 55.551855979,149.302228639 55.550889979,149.301437275 55.5483154100001,149.301253639 55.5477179790001,149.236512681 55.4448119200002,148.957517639 55.0013479790001,148.623700638 54.6588149780001,148.623700842 54.6588143760001,148.640418293 54.6093251350001,148.64429764 54.5978409780002,148.645004638 54.5727059780003),(137.637036269 55.196243468,137.634981628 55.1972099790001,137.578308628 55.1905459790001,137.56938046 55.1892406040002,137.566927198 55.18888221,137.563230305 55.187496439,137.555818628 55.1847189790001,137.541781628 55.1747099790001,137.534427628 55.1647099790001,137.534427387 55.1647093820001,137.534427206 55.1647091360001,137.532744461 55.1605394800001,137.521090628 55.1316639790001,137.513350094 55.1146241940002,137.510252606 55.1078054730002,137.509652107 55.1064835530001,137.497745148 55.0802731960001,137.478228218 55.0512398690001,137.463008628 55.028599979,137.457833008 55.0230735400001,137.450527205 55.0152732130002,137.446822559 55.0138845370002,137.439418628 55.0111099790001,137.428318628 55.0080459790001,137.369108628 54.9816549790002,137.278590628 54.894436979,137.249836628 54.8529099790001,137.249836706 54.852909659,137.249836279 54.8529090420002,137.254154133 54.8352641300001,137.248027297 54.7991642790002,137.240125552 54.7916386840002,137.221308628 54.7737189780001,137.221309781 54.7737186110002,137.22130931 54.773718162,137.226593245 54.7720342300001,137.227754628 54.771663978,137.242472572 54.7712953440001,137.250272628 54.7710999780001,137.261381628 54.7741639780002,137.261381815 54.7741640990001,137.261382351 54.7741642470001,137.295809342 54.7963912100002,137.306363332 54.8066540130001,137.316927212 54.8133270130002,137.364963396 54.8380450780002,137.375791306 54.843609153,137.430545251 54.8658270640001,137.437933713 54.8687841440001,137.441654628 54.8702729790001,137.447055047 54.8710043680002,137.464145283 54.873318139,137.482564042 54.87264091,137.486636433 54.8724909860001,137.49691819 54.8597181650001,137.506927188 54.8469360980002,137.562899825 54.768943512,137.607999628 54.7060999780001,137.646499628 54.6451369780002,137.646499763 54.645136919,137.646500293 54.6451360790002,137.707182255 54.6183270650001,137.715357578 54.6206252720001,137.718018628 54.6213729780001,137.727505228 54.6272051600001,137.732036628 54.6299909780002,137.733539714 54.6354748740002,137.734696436 54.6396950870001,137.735654628 54.6431909780001,137.737587691 54.646726798,137.738334613 54.6480930130002,137.744691271 54.6597180760001,137.76731156 54.6778022740002,137.776645628 54.6852639780001,137.781254108 54.6881043200001,137.787472338 54.6919361000002,137.919982348 54.7680540070001,137.966339184 54.8399689560002,137.984127629 54.8675639790002,137.990487624 54.8834361770002,137.991336317 54.8855540410001,138.007754286 54.9122091640001,138.063291268 54.9655450580001,138.087191259 54.9855451170002,138.104400312 54.9988822340001,138.115509351 55.0030540740001,138.143072819 55.0046221330001,138.149718629 55.0049999790002,138.160799629 55.0066639790002,138.161330776 55.006795002,138.183318277 55.0122181770001,138.190254625 55.0156866640002,138.194427629 55.017772979,138.197294189 55.0204178580001,138.205109214 55.0276271320001,138.205382297 55.0406911670002,138.200731726 55.047815278,138.199127629 55.0502729790002,138.199127333 55.0502730140001,138.199127217 55.0502731910001,138.095791259 55.0624911560001,137.83856339 55.1274911390001,137.699009228 55.1484641690002,137.701082408 55.1647091360001,137.701081574 55.1647095560002,137.701081628 55.1647099790001,137.679051162 55.1758024810002,137.658600241 55.1861000880002,137.648089233 55.19104411,137.640844099 55.1944522500001,137.637036269 55.196243468),(136.766071642 54.9089798000002,136.775272627 54.9260999790002,136.785423523 54.9293543130002,136.79147111 54.9312931430002,136.861082268 54.9536090600002,136.872191307 54.9566540380001,136.883609303 54.9583270660001,136.892947463 54.9585566160001,136.894718627 54.9585999790002,136.899183045 54.9581785900001,136.906372628 54.957499979,136.917754627 54.9552729770001,136.927463421 54.9505451390001,136.930527174 54.927627172,136.943572433 54.9208271010002,136.954178245 54.9200663400001,136.955227628 54.9199909790001,137.000827628 54.9174999790001,137.023590628 54.9166639790002,137.046081628 54.9174999790001,137.04608196 54.9175001450002,137.046082271 54.9175001560002,137.05719131 54.9230451200002,137.070638566 54.9324042390001,137.076354628 54.9363819790001,137.078849758 54.9384583610001,137.084691329 54.9433180940001,137.18788228 55.1054091820001,137.185046405 55.1104283960001,137.182463628 55.1149999790001,137.182463404 55.1150000480001,137.18246338 55.1150000910002,137.170809349 55.1186001190002,137.164628631 55.1191483820002,137.136381628 55.1216549790002,137.126958551 55.1202806250002,137.124972409 55.119991179,137.109146313 55.1171042210001,137.043740096 55.1051739700002,137.039699628 55.104436979,137.010807643 55.0936506680001,136.808318627 55.0180549790001,136.797481627 55.012499979,136.794240925 55.0104221670002,136.792438353 55.0092664280001,136.791635307 55.008751547,136.790834253 55.0082379420001,136.779855386 55.0011987220001,136.769140561 54.9943287950001,136.768094506 54.9936581050002,136.76743705 54.9932365710001,136.760427164 54.9887421060001,136.759151914 54.9879244650002,136.755984332 54.9858935350001,136.755812642 54.9857834540001,136.753924911 54.984573115,136.688290627 54.942490979,136.684112627 54.9350543490002,136.676881161 54.9221827030001,136.676060809 54.9207225220002,136.667263329 54.9050642620001,136.66726371 54.9050641250002,136.667263627 54.9050639790001,136.669182875 54.9043767420001,136.670610531 54.9038655330001,136.682191331 54.8997181160001,136.709205438 54.8905721350001,136.717472627 54.887772979,136.729127627 54.8841639790002,136.730636814 54.8838755830001,136.740782343 54.8819360760001,136.754972403 54.8883271100001,136.763182198 54.9036034410001,136.766071642 54.9089798000002),(150.74746364 59.1019369820002,150.74383664 59.1119369830002,150.73578164 59.119154983,150.70608164 59.1411099830001,150.702714235 59.1434129890002,150.69552764 59.1483279830001,150.68441864 59.154436983,150.67190864 59.1555459830001,150.659938549 59.1540493840002,150.658600346 59.1538821740002,150.658600095 59.1538820390001,150.65859964 59.1538819830001,150.50524564 59.0719369820002,150.46329064 59.0486099820001,150.45636364 59.0329189820002,150.456363557 59.0329182799999,150.456363462 59.032918067,150.454563365 59.0178001310001,150.460509319 59.010827058,150.510397628 59.0040539680001,150.52190864 59.002490982,150.53442764 59.0013909820001,150.551068168 59.006828354,150.590518338 59.019718078,150.622490265 59.0312120400002,150.63302764 59.034999982,150.73855464 59.0924909820002,150.742606467 59.0967870370001,150.74746344 59.1019359990001,150.747463238 59.1019365560001,150.74746364 59.1019369820002),(131.85635415 43.0574911890002,131.836491387 43.0627642440001,131.831027102 43.0614756640001,131.82374098 43.0597575890001,131.810434412 43.0566198870002,131.791244623 43.0520949160002,131.779972623 43.0494369680002,131.759824798 43.002390342,131.755003409 42.9911320500002,131.753944628 42.9886597200001,131.753327623 42.9872189670002,131.753327659 42.9872189500001,131.753327317 42.9872181500002,131.824127241 42.953327098,131.873291295 42.95693601,131.894195967 42.9601571120001,131.899018623 42.9608999670002,131.901015281 42.9634802,131.903551972 42.9667583050002,131.904566645 42.9680695420002,131.918309323 42.98582709,131.922791295 42.995054056,131.923309296 43.0013911100002,131.917209282 43.0211001500002,131.876891322 43.0491641030001,131.85635415 43.0574911890002),(151.865394777 46.8642352530002,151.859954641 46.860827971,151.849399641 46.8566549710001,151.834690641 46.8551369710001,151.825049364 46.8561114040002,151.823871957 46.8562304030002,151.821459632 46.8564742140002,151.808999195 46.8577335760001,151.764708641 46.8622099710002,151.749466168 46.8617825680001,151.745236312 46.8616642230002,151.739152991001 46.8603106620001,151.725254641 46.8572189710001,151.724759329 46.8570365340001,151.718530838 46.8547424170001,151.718071455 46.8545732140001,151.71722941 46.8542630670001,151.714690641 46.8533279710002,151.705108641 46.8442999710001,151.705404775 46.842493565,151.706292892 46.8370760780001,151.712190641 46.8010999710002,151.718138093 46.7965960040001,151.720245165 46.7950000980002,151.723385598 46.7931965730001,151.737181641 46.7852729710002,151.756881402 46.7776660620002,151.767763641 46.7734639710001,151.781645641 46.7713819710001,151.78619235 46.7717710540001,151.801091303 46.7730450430002,151.818664574 46.777798643,151.821627641 46.7785999710001,151.829571176 46.7818242070001,151.831908641 46.7827729710002,151.831908876 46.7827731100002,151.831909215 46.7827732480002,151.859113932 46.7989138430001,152.015672642 46.8917999710001,152.017185849 46.894575528,152.023177476 46.9055654910001,152.025818342 46.9104091820002,152.03260936 46.9226360310001,152.073161324 46.9635592840001,152.087354642 46.9778819710001,152.12819429 47.0179601880002,152.174136287 47.0630449800001,152.231900341 47.1024912220001,152.25360025 47.1130540970001,152.273591257 47.1272091190002,152.285904687 47.1444559240002,152.288863642 47.1485999710001,152.288863419 47.1486000710001,152.288418961 47.1487998420001,152.282666776 47.151385277,152.264145642 47.1597099710001,152.261302956 47.1582181010001,152.25478574 47.1547978010001,152.246420928 47.1504078630002,152.236636284 47.1452731270002,152.229538678 47.1404868020001,152.222887716 47.1360020470001,152.206600726 47.1250197020001,152.216571744 47.1578786740002,152.219831345 47.1686196000002,152.221218642 47.173190971,152.221218142 47.173190628,152.221218276 47.1731910670002,152.202454212 47.1602732130002,152.196018803 47.155086102,152.181090642 47.1430549710001,152.158761885 47.1238916630002,152.156620145 47.1220535480001,152.148727642 47.1152799290001,152.145385642 47.1124117100002,152.143667391 47.110937048,152.135261789 47.1037230710001,152.134563811 47.103124042,152.120236642 47.0908279710001,152.104399642 47.0730549710001,152.061045702 47.02997293,152.047954278 47.0169641260002,152.034032423 47.0026599060002,152.020463642 46.988718971,152.012232277 46.9820781600001,151.938968143 46.9229709100002,151.868836192 46.8663911140002,151.865394777 46.8642352530002),(149.440309324 45.5837361280001,149.529145261 45.582636087,149.543582418 45.5858180250001,149.651244641 45.621174955,149.656521492 45.622907851,149.667922639 45.626651931,149.673854639 45.62859997,149.676535172 45.6297580350002,149.684145259 45.6330450200001,149.690145996 45.63704813,149.692472639 45.6385999700002,149.722682196 45.6623987330001,149.784145219 45.7108180180001,149.81079129 45.734436042,149.86856339 45.7730451000002,149.875636053 45.7768662570001,149.87884564 45.77859997,149.895372291 45.7870765280001,149.896316669 45.787560902,149.897014941 45.7879190470001,149.910536052 45.7948540560002,149.914918338 45.7971017410001,149.986345223 45.8337361140001,150.017821146 45.827909047,150.02233664 45.8270729700002,150.06637264 45.8474909700001,150.15887264 45.8999909700001,150.166836356 45.9063728670001,150.196491271 45.9301360470002,150.201180915 45.9496241170001,150.20247264 45.9549909700002,150.212736502 45.983327591,150.224400326 46.0048540090002,150.240509339 46.01971814,150.248215246 46.0236562930001,150.25082764 46.0249909700001,150.271437659 46.033855103,150.310245264 46.0505451040001,150.381197358 46.0926009150002,150.42553664 46.1188819700002,150.444927931 46.1347861550001,150.474972461 46.1594270320001,150.487629026 46.1771660100002,150.495278475 46.1878867820001,150.49856364 46.1924909700001,150.498563302 46.19249109,150.498563328 46.1924911260002,150.49497391 46.1937581060002,150.463737061 46.2047843730002,150.447041754 46.2106776350003,150.43719064 46.21415497,150.362617985 46.2127699110001,150.347600389 46.2124911850001,150.347599948 46.212490976,150.34759964 46.2124909700001,150.26253468 46.172258552,150.072754263 46.082500104,150.037472318 46.064991147,150.01341219 46.052624698,149.990419674 46.0408073080002,149.96884564 46.0297189700002,149.95859064 46.0241639700001,149.950646317 46.019669362,149.929136219 46.0075001750001,149.908850635 45.9888053130001,149.89053664 45.9719279700001,149.85689964 45.92304597,149.85121319 45.9208943960002,149.671918639 45.8530549700001,149.668080838 45.8495601590002,149.662754639 45.8447099700002,149.619108639 45.79027297,149.587060914 45.750063158,149.548036226 45.7011002070003,149.528273031 45.6737157650002,149.481081639 45.6083279700001,149.473545639 45.6033189700001,149.460781639 45.5997189700001,149.450808639 45.59554597,149.440308639 45.5837369700001,149.440310058 45.5837369520001,149.440309324 45.5837361280001)),((-168.972209004 72.783529994,-168.97694397 65.5000000000001,-169.360549927 65.3327789310001,-169.742782593 65.1641693120002,-170.123062134 64.9947204590001,-170.501663208 64.8238906860001,-170.878616333 64.6522216800001,-171.253890991 64.4794464110001,-171.6277771 64.305557251,-172 64.130554199,-172.310836792 63.9908332820001,-172.636947632 63.8502769470001,-172.928329468 63.7091674800001,-173.235275269 63.5669441220001,-173.54083252 63.4241676330001,-173.845001221 63.2805557250002,-174.147781372 63.1363906860001,-174.449447632 62.9913902280002,-174.749725342 62.8455543520001,-175.04888916 62.6988906860001,-175.346664429 62.55166626,-175.643325806 62.403610229,-175.938613892 62.2547225950001,-176.233062744 62.1052780150002,-176.526107788 61.9550018310001,-176.817779541 61.8038902280002,-177.108612061 61.6522216800001,-177.39805603 61.4997215270001,-177.686386108 61.3463897710002,-177.973892212 61.192501068,-178.259994507 61.03805542,-178.544998169 60.8824996950002,-178.829162598 60.7263870240001,-179.112228394 60.5697212220001,-179.393890381 60.4122238160001,-179.675003052 60.2538871770001,-179.728995939 60.223257424,-179.750475229 60.2110723880001,-179.750480041 60.211069746,-179.759652309 60.2060352360002,-179.77782297 60.1960616540001,-179.985253147 60.0822065790002,-179.985251482 60.0960451370001,-179.985194883 60.5662900900001,-179.991092668 65.036566176,-179.991123785 65.073252514,-179.919208668 65.1084369880001,-179.828618667 65.1413729880002,-179.807390667 65.1469279880001,-179.769745667 65.1505279880002,-179.735408667 65.1505459880001,-179.700699667 65.1640099880001,-179.682799667 65.1782999880002,-179.660554667 65.2024729880001,-179.638499667 65.2194189880001,-179.589599667 65.2481729880001,-179.568754667 65.2652549880001,-179.551390667 65.363863988,-179.548372667 65.4085999880001,-179.537808667 65.4284459880001,-179.413936667 65.4866459880001,-179.320827667 65.5301189880001,-179.326663667 65.6258099890001,-179.365263667 65.6480369890002,-179.388063667 65.6571999889999,-179.413518667 65.6585999890002,-179.459990667 65.6702549890001,-179.482790667 65.679136989,-179.740536667 65.7922099890001,-179.800308667 65.8741369890002,-179.816436667 65.911372989,-179.822818667 65.9437189890001,-179.815308667 65.987490989,-179.777218667 66.083309989,-179.761963667 66.1169099890001,-179.689190667 66.1835819890001,-179.654172667 66.1785909890002,-179.580199667 66.1478279890002,-179.598890667 66.140118989,-179.645290667 66.141372989,-179.672199667 66.1349459890001,-179.634463667 66.1174639890001,-179.597808667 66.1171999890001,-179.436708667 66.1269189890001,-179.395845667 66.1313639890002,-179.346372667 66.141372989,-179.327072667 66.1476279890001,-179.283781667 66.1667909890001,-179.245163667 66.1945459890001,-179.317690667 66.2621459890001,-179.360990667 66.2820639890001,-179.384336667 66.291099989,-179.423918667 66.3406729890001,-179.325318667 66.3222189890001,-179.279063667 66.3020099890002,-179.175136667 66.291054989,-179.167818667 66.3357999890001,-179.175708667 66.363727989,-179.189036667 66.4035909890002,-179.170990667 66.4148459890001,-179.129972667 66.3896909890001,-179.109254667 66.3703819890001,-179.083281667 66.2980999890001,-179.104999667 66.2809549890001,-179.110790667 66.2477099890001,-179.062499667 66.1946909890002,-179.020845667 66.176072989,-178.994472667 66.1691459890001,-178.961118667 66.1666459890002,-178.909590667 66.1705369890001,-178.783236667 66.2056639890002,-178.639772666 66.3299909890002,-178.605281666 66.3652639890001,-178.549472666 66.3991549890001,-178.526154666 66.4029099890001,-178.504745666 66.3927729890002,-178.508908666 66.2847189890002,-178.518645666 66.227763989,-178.542508666 66.1633189890001,-178.579927666 66.129272989,-178.618472666 66.1248279890002,-178.654190666 66.1235819890002,-178.674027666 66.1135909890001,-178.710218666 66.0603099890002,-178.708081666 66.027472989,-178.724699666 66.0088819890001,-178.790708667 65.9899729890002,-178.885590667 66.0136099890001,-178.909454667 65.9938639890001,-178.867799667 65.9266369890002,-178.809718667 65.8669099890002,-178.696681666 65.7863729890001,-178.654727666 65.7613639890002,-178.615818666 65.7508279890001,-178.589445666 65.7522099890002,-178.549881666 65.7559549890001,-178.516263666 65.753727989,-178.469999666 65.7419099890001,-178.456099666 65.727481989,-178.453918666 65.6963459890001,-178.517790666 65.5866549890001,-178.571399666 65.5401189880001,-178.557390666 65.5141549880001,-178.508363666 65.4984549880002,-178.476408666 65.4896819880001,-178.418063666 65.4797099880001,-178.369472666 65.4755279880001,-178.273927666 65.4799639880002,-178.114199666 65.4802549880001,-178.002808666 65.4748459880002,-177.699436665 65.4755279880001,-177.500336665 65.4857909880002,-177.465027665 65.4913639880002,-177.407499665 65.5060999880001,-177.351408665 65.528872988,-177.320281665 65.5433189880002,-177.299745665 65.5567819890001,-177.209590665 65.5931819890002,-177.089481665 65.6080189890002,-177.068054665 65.6097099890001,-177.015872665 65.6071909890001,-176.950863665 65.6010729890001,-176.588590664 65.559127989,-176.537090664 65.5395639880002,-176.478336664 65.5241549880001,-176.451418664 65.5177459880001,-176.40172246 65.5061485890002,-176.370544887 65.4988732600002,-176.327482022 65.4908001460001,-176.246400016 65.4821910930002,-176.243608588 65.481902848,-176.214172664 65.4788639880001,-176.178345664 65.477763988,-176.078063664 65.4702639880002,-175.959399962 65.4208731130001,-175.959399664 65.420872988,-175.928481664 65.397618988,-175.882199664 65.306927988,-175.878508664 65.2811819880002,-175.862208668 65.2349729840003,-175.780608664 65.1607999880001,-175.810563664 65.0627549880001,-175.810563782 65.0627548860001,-175.810564016 65.0627541190001,-175.830873032 65.0452449940001,-175.886717965 65.026645048,-175.913363095 65.0163636660002,-175.806454664 64.955745988,-175.760036664 64.9474639880001,-175.701936664 64.9377459880002,-175.678183927 64.9329191960001,-175.678184513 64.9329185090002,-175.639755078 64.9251091870001,-175.471926913 64.8563541120001,-175.454708975 64.833600094,-175.448882043 64.784427156,-175.131955075 64.7763632630001,-175.053072984 64.77887314,-175.016555043 64.7873360120002,-175.005581959 64.8133091830001,-174.846373072 64.7777732660002,-174.756135849 64.753309173,-174.688900077 64.7274632390001,-174.573335928 64.6972090950001,-174.444155042 64.6641361170001,-174.158309009 64.5709912120001,-174.12749093 64.5566450810001,-174.100573118 64.5266450760001,-174.105408973 64.4990091030001,-174.071117937 64.4395633050001,-174.05139096 64.4241451290002,-174.008755068 64.4112361600001,-173.76864489 64.361373224,-173.673081973 64.3467912270001,-173.599444942 64.3483091890001,-173.467655105 64.3944270910001,-173.363055155 64.4649911490001,-173.35098203 64.4952540110001,-173.381655102 64.5510731270001,-173.410108981 64.5879632240001,-173.415572976 64.6166450910002,-173.345155098 64.5884540690002,-173.284317904 64.52053601,-173.299164098 64.4608001980002,-173.335535858 64.419436008,-173.397964106 64.3761002280002,-173.434191027 64.3274181340003,-173.401264061 64.3076001290002,-173.341673088 64.299000129,-173.270844832 64.2810821350002,-173.213044904 64.2633180320001,-173.191409033 64.2544271800002,-173.150326978 64.2649821750002,-173.12277298 64.2719270850001,-173.088344984 64.2766450900002,-173.043072983 64.2798360810002,-172.993044924 64.2816631680003,-172.898091036 64.3372001500001,-172.882373124 64.4487181870002,-172.904773089 64.4674822510001,-172.934599924 64.4719271740001,-172.970835898 64.4686000610001,-173.015873037 64.4633181210002,-173.044617936 64.463173114,-173.061200022 64.476982132,-173.02572697 64.4967821990001,-172.892000075 64.5194361370001,-172.828899934 64.5251271140001,-172.764255008 64.4649820970001,-172.760281986 64.4213541230002,-172.699982072 64.4024631570002,-172.661435878 64.392745011,-172.63086406 64.3886001600002,-172.610017931 64.3896911480001,-172.505891057 64.4033090590002,-172.359163997 64.4235822000001,-172.355835879 64.4583090960001,-172.458482006 64.552318175,-172.495300019 64.558300172,-172.54197297 64.5587180940001,-172.579708969 64.5641450410002,-172.734708967 64.5935821170001,-172.754181972 64.5984451300002,-172.825009054 64.6271821500001,-172.955263998 64.6724732610002,-173.002500046 64.6652631470001,-173.058382027 64.659427163,-173.084944948 64.6626091020001,-173.073090926 64.6808181160001,-173.043072983 64.6909360790002,-172.964173123 64.70942706,-172.869473039 64.7299632260001,-172.793064113 64.761363176,-172.773772995 64.7797091510002,-172.898526895 64.8303732290001,-172.968490976 64.8456631620002,-173.000426866 64.840809202,-173.018918015 64.830682186,-173.050017893 64.8124822250001,-173.108035918 64.7910911050001,-173.16143585 64.7763632630001,-173.195217937 64.7781631930002,-173.078200031 64.8535731640001,-173.045564085 64.8630180600001,-172.998873028 64.8719181330001,-172.97305509 64.8756732250001,-172.911091033 64.8708360290001,-172.883926961 64.8638270810002,-172.834690991 64.8561732300001,-172.782255145 64.8505271800001,-172.760027009 64.855263291,-172.737782108 64.8683181050002,-172.704164138 64.8855450960001,-172.541135954 64.9247001500001,-172.520599956 64.9244181830001,-172.498764092 64.9155360480001,-172.464717975 64.9202540540001,-172.430882075 64.9302632200001,-172.328617995 64.9735911210001,-172.168635961 65.0513632810002,-172.149782043 65.0613731170002,-172.128982015 65.083173274,-172.251982086 65.199700169,-172.306672999 65.2169181060002,-172.334200007 65.223036058,-172.45223598 65.2183180520001,-172.603909033 65.213027059,-172.683073091 65.2277632830001,-172.69883593 65.2442821710002,-172.679717983 65.268727153,-172.386173004 65.2697001240002,-172.348908906 65.2688632750001,-172.317508956 65.2646910990001,-172.289735855 65.2588821050001,-172.244717994 65.2455181660002,-172.237764031 65.2677451290002,-172.239163977 65.2885822050001,-172.256481995 65.3201821480001,-172.254726992 65.353300221,-172.190555141 65.4466271810001,-172.211426918 65.4666632820001,-172.290282019 65.4355270270001,-172.321382065 65.4294090760001,-172.400573113 65.4227451270002,-172.421555029 65.4273451160001,-172.462099971 65.4724731150001,-172.425044918 65.4791451100001,-172.419190997 65.5750002200001,-172.43471797 65.591373262,-172.464172983 65.601782244,-172.547244852 65.614973181,-172.586944899 65.614973181,-172.691099937 65.6324732530001,-172.802644963 65.6747001080001,-172.654191064 65.7026180480001,-172.542508909 65.6908000680002,-172.350982086 65.6626821350001,-172.328064119 65.6183180630002,-172.288082105 65.5621911630001,-172.246290942 65.5376090520001,-172.214172997 65.5369091630001,-172.15893592 65.5555449840001,-172.129973092 65.5621911630001,-172.10307305 65.5640001450003,-172.063335955 65.5548360430002,-172.043517951 65.534282107,-172.011718016 65.530400113,-171.943599965 65.529982191,-171.8358449 65.5292911870001,-171.814035858 65.5211002230001,-171.832517955 65.5116539860002,-171.921417929 65.4963539950002,-171.976255022 65.4916361570001,-172.046664015 65.4888632560001,-172.082517941 65.484418165,-172.059308954 65.4830361570001,-171.968626987 65.4841271450001,-171.946964126 65.4852451240002,-171.855563998 65.4958001190001,-171.819490969 65.500000123,-171.783355075 65.504427109,-171.708891085 65.5121910980002,-171.535308911 65.5280451330002,-171.455835896 65.5341360940001,-171.393100032 65.5377632790001,-171.350555001 65.5340091920001,-171.285999929 65.5162360370001,-171.255999924 65.501100164,-171.235018009 65.4915090880001,-171.168881943 65.4797092120003,-171.125426971 65.4765001160001,-171.074463994 65.4830361570001,-171.053773098 65.4926000760001,-171.023500011 65.5791450710001,-171.145017994 65.6379002000001,-171.195708894 65.642491136,-171.230435957 65.6451091400001,-171.261417986 65.6549821840001,-171.28834485 65.6663540800002,-171.343627022 65.6941360650002,-171.542390949 65.8355451430001,-171.448636008 65.823045043,-171.420317916 65.8172181110002,-171.384217897 65.8049632660002,-171.271700067 65.7605450460002,-171.235808925 65.740727042,-171.070573115 65.6853821730001,-170.894055095 65.6339360630001,-170.785555046 65.6138632490002,-170.67669994 65.6080180450001,-170.635591063 65.6105361360002,-170.575717955 65.6271820930002,-170.531144838 65.6701091720002,-170.515591043 65.8212451130001,-170.538072984 65.8490091610002,-170.578291032 65.852763248,-170.450863975 65.9163822290001,-170.195826968 66.0024732590001,-170.158391041 66.0146912240002,-170.123608993 66.023463221,-170.037108925 66.0355450640001,-169.995990996 66.0363540860001,-169.955017906 66.0313541130001,-169.912781999 66.0219271540001,-169.869244885 66.0058912320002,-169.813326862 65.990800118,-169.78472697 65.9916361290001,-169.761982005 66.0005360340001,-169.699763976 66.0585911070001,-169.694963995 66.0680631610001,-169.69166404 66.0810271150002,-169.707173076 66.1266451200001,-169.763064109 66.1444360450002,-169.791135941 66.1508181940002,-169.950864003 66.1780360780002,-170.013064095 66.1877450040002,-170.040281979 66.189682229,-170.006135949 66.1824451260001,-169.915835862 66.1591451120001,-170.000336007 66.1466361270001,-170.028355033 66.1530450980001,-170.146181961 66.1535091200001,-170.198336007 66.1427450800002,-170.223208969 66.1435911490001,-170.331255054 66.1787361340002,-170.306135999 66.1919181860002,-170.264500068 66.1902632630001,-170.21061801 66.188727027,-170.181881996 66.2024000910001,-170.201808965 66.2488732180001,-170.245844969 66.272218159,-170.349582086 66.2916271270001,-170.388899917 66.2897541070002,-170.418899922 66.2848449940002,-170.45056407 66.2756000900002,-170.519635982 66.2658271260001,-170.545317965 66.2452540800001,-170.565564117 66.239691178,-170.63748202 66.2391091390001,-170.554199933 66.284973237,-170.512817974 66.3088631700001,-170.48420903 66.3204001890001,-170.50890899 66.3444361340001,-170.539491034 66.3497001370001,-170.571964036 66.3538632610001,-170.584199938 66.35801817,-170.704164084 66.4294091870001,-170.723600041 66.4451091620002,-170.739873003 66.4572181620001,-170.879972994 66.5144360510002,-170.91696401 66.526363164,-171.060582054 66.5571911330002,-171.126373121 66.5752732460001,-171.252255057 66.614682105,-171.301700072 66.6308181060002,-171.343317898 66.6508181660001,-171.362209031 66.6627632160001,-171.423100037 66.7038732660002,-171.416408932 66.7310820970002,-171.395582082 66.7523451420001,-171.416827021 66.7723361480002,-171.487209024 66.7833090650001,-171.563664051 66.7946911870001,-171.592526967 66.8008091380001,-171.617799914 66.8088540890002,-171.640873114 66.8177451090001,-171.681117984 66.8396911110001,-171.69998196 66.8505270680002,-171.715164102 66.8635822170002,-171.718735966 66.8859540200002,-171.70724488 66.9027632560001,-171.691835924 66.9369910930001,-171.726109023 66.9552450340001,-171.759464136 66.9591360810001,-171.92724486 66.9730361270002,-172.036435913 66.9591360810001,-172.109709002 66.957763293,-172.328064119 66.962491189,-172.361663983 66.9663822370001,-172.676144945 67.0052450980002,-172.776963985 67.020809119,-172.724699969 67.0202632900001,-172.597264027 67.0116540690001,-172.56555512 67.006654096,-172.536135981 67.0008271650001,-172.498782029 67.0019912440001,-172.592227006 67.0183270700001,-172.676144945 67.02777314,-172.795864004 67.0402631810001,-173.011964052 67.0560731270001,-173.017000068 67.0288731810001,-172.837644941 66.999845141,-172.722500055 66.9905360320001,-172.567508942 66.9749911220002,-172.543355146 66.9716450660001,-172.436200058 66.9376732120002,-172.580991065 66.912900162,-172.7800269 66.9080180390001,-172.81949108 66.9088731610001,-173.014209061 66.929836133,-173.059735872 66.9383181160001,-173.085418023 66.946636149,-173.096817914 66.9709540620001,-173.108608905 66.9898270900001,-173.136417881 66.996627161,-173.199326914 66.9876090710002,-173.22179997 66.9783271190001,-173.222808983 66.9424540820002,-173.20910893 66.8833821170001,-173.155091085 66.8603821740001,-173.200572968 66.8394181960002,-173.357235935 66.8395732610001,-173.36499104 66.9116541080001,-173.35417302 66.969436099,-173.295564071 67.0302540150001,-173.274199941 67.0494091790001,-173.240264129 67.0458091510001,-173.219755121 67.0458091510001,-173.172944874 67.0590091400001,-173.223600067 67.0719271620001,-173.265717958 67.0766450000002,-173.41919094 67.0874911820002,-173.625564126 67.1266360110001,-173.676390981 67.132063294,-173.70864488 67.1313632370001,-173.727644978 67.1088631920002,-173.765026925 67.0960911830001,-173.807799945 67.0888633000001,-173.828064034 67.0869181960001,-173.871644902 67.0855360200001,-173.918916165 67.0874011320002,-173.928345662 67.0877729900001,-173.998318662 67.0949819900001,-174.011713504 67.0955107210002,-174.054990987 67.0972180460001,-174.249999989 67.1019271669999,-174.370013518 67.1031014520002,-174.390318662 67.1032999900001,-174.395822306 67.1032291700001,-174.431973119 67.1027631780001,-174.530878786 67.0954376100001,-174.540836663 67.0946999900002,-174.542962624 67.0944809010001,-174.581144844 67.090545045,-174.619004749 67.0837289830002,-174.623608663 67.0828999900001,-174.632370987 67.0756534020001,-174.651154113 67.060118821,-174.564208663 67.03330999,-174.537799663 67.0312459900002,-174.51213244 67.0311068950001,-174.507535976 67.0310821470002,-174.506054264 67.0312469810002,-174.487518663 67.03330999,-174.389193691 67.0468870150002,-174.376917929 67.0485822200001,-174.370683522 67.049568913,-174.324190662 67.05692799,-174.294599662 67.0587189900001,-174.125272662 66.9891369900002,-174.103881662 66.9685819900001,-174.077481662 66.93997299,-174.033431373 66.8584128500001,-174.033431798 66.8584123530001,-174.022799953 66.838727024,-173.999317884 66.7727540700001,-173.995544854 66.7357912180001,-173.995844926 66.6913450030002,-174.008664041 66.6752450430001,-174.073335956 66.6516451240001,-174.100582003 66.6438631980002,-174.135035984 66.638318066,-174.164735917 66.6310732520001,-174.265317917 66.5988731650002,-174.302380885 66.5819276550001,-174.278410029 66.5716190420001,-174.27841065 66.5716183150001,-174.226808939 66.5494271440002,-174.181118011 66.549145009,-174.133908953 66.5446912010001,-174.004726893 66.5283091070002,-173.918491023 66.5158271120001,-173.76196401 66.4494912210001,-173.781844879 66.372745007,-173.812773096 66.3541450610001,-173.939455001 66.3336001780001,-173.956390972 66.278045091,-174.036818016 66.2135181830001,-174.078044909 66.235318172,-174.087490979 66.262200109,-174.083618037 66.2928911180002,-174.0730731 66.3174821130001,-174.034900068 66.3378912090001,-173.991135973 66.4626181200001,-174.024355131 66.4798271730001,-174.064755067 66.484973158,-174.085299949 66.4847091280002,-174.135844837 66.4799731860001,-174.196135867 66.463863168,-174.321155138 66.397073145,-174.377472978 66.3613731110001,-174.353764095 66.33324512,-174.42556398 66.2972000870001,-174.467373081 66.3034451070002,-174.483608995 66.316927063,-174.49143833 66.3334515020001,-174.494136663 66.339145989,-174.506194319 66.4026940040001,-174.516008907 66.4544181040002,-174.516008556 66.4544184280002,-174.516008663 66.4544189890001,-174.496427663 66.4724909890001,-174.496427137 66.4724909790001,-174.496426937 66.4724911630001,-174.49131955 66.4723878110001,-174.467663662 66.471909989,-174.436709881 66.4619193830001,-174.481309001 66.5337271690001,-174.496909807 66.5451854680001,-174.506436663 66.5521819890001,-174.513225213 66.5542522340001,-174.531955142 66.5599631960001,-174.612764065 66.5805360750001,-174.636777247 66.5850152460002,-174.642545663 66.5860909890002,-174.666589372 66.5897074630001,-174.751400074 66.6024633010002,-174.816641713 66.6081907630002,-174.836945663 66.609972989,-174.905608663 66.615799989,-174.905608977 66.6158000830002,-174.931427663 66.62358199,-174.986572848 66.6656581700001,-174.994873072 66.6719911880001,-174.956567694 66.6925981090001,-174.857927663 66.7456639900001,-174.833308663 66.7505369900002,-174.810818663 66.7516459900002,-174.761790663 66.7321639900002,-174.758369353 66.7388346580001,-174.744600003 66.7656822580001,-174.764499983 66.8535911560001,-174.813900069 66.9460911610001,-174.891999962 66.9797091270002,-174.913820034 66.9910241170001,-174.915281663 66.99178199,-174.915281692 66.9917820730001,-174.915282039 66.9917822530001,-174.954755104 67.1040090640002,-174.947249293 67.1264449050001,-174.892545663 67.28996399,-174.872423859 67.3045036300001,-174.864855001 67.3099732130001,-174.836808985 67.3128822360001,-174.83680866 67.3128819950001,-174.820444995 67.3010912450001,-174.812835454 67.2974396070002,-174.800172663 67.2913639900001,-174.782027663 67.3079639900001,-174.809433654 67.349243924,-174.833890971 67.386082075,-175.043063663 67.4435729900001,-175.098690663 67.3708729900001,-175.136718663 67.3599729900001,-175.144687291 67.3584747880001,-175.186955112 67.350527039,-175.215991031 67.3494271660001,-175.311155136 67.343036133,-175.331391062 67.3408090610001,-175.375973064 67.343036133,-175.375972559 67.3430369850001,-175.375972663 67.34303699,-175.359636663 67.3705999900001,-175.281399663 67.41943699,-175.23907921 67.4388223080001,-175.217773023 67.448582231,-175.191099963 67.5108000930001,-175.193614691 67.5168931880002,-175.201418663 67.5357999900001,-175.254345663 67.5460909900002,-175.260666403 67.5491122720001,-175.276408962 67.5566360270002,-175.283723855 67.5635162920001,-175.283723411 67.5635170310001,-175.374172663 67.6485909900002,-175.463618663 67.707472991,-175.622527664 67.7549909910001,-175.952818664 67.8521909910002,-176.032808664 67.8752459910001,-176.081681664 67.8874819910001,-176.234463664 67.9210999910001,-176.517790664 68.000536991,-176.636418665 68.0363729910001,-176.662227665 68.0446909910002,-176.767245665 68.0766459910002,-176.970308665 68.1336099910002,-177.105454665 68.1530369910001,-177.162245665 68.1278819910002,-177.240845665 68.1509549910002,-177.249545665 68.2093909910001,-177.361663665 68.2497099910001,-177.453372665 68.2446909910002,-177.547790665 68.2210909910001,-177.616390665 68.213863991,-177.680327665 68.2238729910001,-177.753345666 68.2570549910002,-177.629972665 68.2966279910002,-177.632199665 68.324690991,-177.752836666 68.3713549910001,-177.840572666 68.4024639910001,-178.151427666 68.4924639910001,-178.206699666 68.5074729910001,-178.290590666 68.5294189910001,-178.376681666 68.5505189910002,-178.344999666 68.5291639910002,-178.113063666 68.4636099910001,-177.873872666 68.3908099910001,-177.833308666 68.3794099910001,-177.727799666 68.3523459910001,-177.706127666 68.3366459910001,-177.735263666 68.324690991,-177.950563666 68.2899639910002,-177.963618666 68.3280459910001,-178.018627666 68.4099729910001,-178.035718666 68.4232909910001,-178.055299666 68.4294099910002,-178.207518666 68.4594279910002,-178.407499666 68.4944279910001,-178.561399666 68.5119189910002,-178.593872666 68.5169189910001,-178.740399666 68.5428909910001,-178.758363666 68.5744189910002,-178.741945666 68.6458099910002,-178.715572666 68.655818991,-178.625581666 68.6255189910001,-178.591672666 68.609709991,-178.566281666 68.595254991,-178.529327666 68.5870099910002,-178.490418666 68.5845549910002,-178.532499666 68.6060819910002,-178.788081667 68.7169189910001,-178.872527667 68.7502729910001,-178.923372667 68.7683279910001,-179.053072667 68.7883189920001,-179.179199667 68.8058189920001,-179.324190667 68.8082999920001,-179.390872667 68.8230459920001,-179.411045667 68.8448369920001,-179.421108667 68.893327992,-179.463481667 68.9337279920002,-179.507245667 68.9557999920002,-179.539808667 68.950881992,-179.528827667 68.915045992,-179.583645667 68.906936992,-179.605836667 68.9060819920002,-179.626127667 68.906354992,-179.759045667 68.9166459920001,-179.958072668 68.963318992,-179.999988540844 68.9800955384306,-179.999988540844 69.3835185396287,-179.999988540844 69.7869415408267,-179.999988540844 70.1903645420247,-179.999988540844 70.5937875432225,-179.999988540844 70.9972105444205,-179.972263668 70.998581994,-179.929745668 70.9972099940002,-179.744718667 70.9646909940002,-179.578063667 70.9347099940001,-179.495145667 70.9135909930001,-179.324736667 70.9052459930001,-179.274445667 70.9077639930001,-179.251399667 70.9105369930001,-179.031708667 70.9438639940002,-178.951936667 70.9566459940001,-178.885036667 70.9719279940002,-178.864990667 70.9752639940001,-178.818599667 70.9799639940002,-178.742799666 70.9860819940001,-178.611118666 70.995254994,-178.513945666 70.9980279940002,-178.463045666 71.0005369940001,-178.357481666 71.0074729940001,-178.297545666 71.016918994,-178.243590666 71.0277729940001,-178.223354666 71.0308189940001,-178.170563666 71.0341369940002,-178.121945666 71.035536994,-178.077481666 71.034972994,-178.037227666 71.0321999940001,-177.988618666 71.0333099940001,-177.930436666 71.0394279940001,-177.710845666 71.0930369940002,-177.626972665 71.1144189940001,-177.513645665 71.1607999940002,-177.488354665 71.1740099940002,-177.441545665 71.2293459940001,-177.460536665 71.248872994,-177.502836665 71.2774639940001,-177.556972665 71.2847189940001,-177.577481665 71.2816639940002,-177.601108665 71.2794189940002,-177.629336665 71.2826279940002,-177.694736665 71.3013639940002,-177.750336666 71.3191549940001,-177.833308666 71.346099994,-177.961945666 71.3960999940001,-177.992527666 71.4259909940002,-178.011563666 71.4469189940001,-178.061708666 71.462199994,-178.132372666 71.4785909940002,-178.161990666 71.4788639940002,-178.182527666 71.4758189940001,-178.207518666 71.475263994,-178.238036666 71.4771999940002,-178.323208666 71.5102999940001,-178.339054666 71.5228999940001,-178.394745666 71.535245994,-178.429445666 71.5410909940001,-178.568599666 71.5641459940002,-178.748318666 71.5802639940001,-179.044054667 71.5974819940001,-179.195554667 71.5813819940003,-179.222499667 71.5647099940002,-179.305299667 71.5513639940001,-179.502254667 71.5663729940001,-179.628599667 71.5771909940001,-179.900772668 71.5487909940002,-179.927245668 71.5355369940001,-179.999988540844 71.535845946741,-179.999988540844 72.0204632398575,-179.999988540844 72.505080532974,-179.999988540844 72.9896978260903,-179.999988540844 73.474315119207,-179.999988540844 73.9589324123235,-179.999988540844 74.44354970544,-179.999988540844 74.9281669985565,-178.562956666 74.928367997,-178.290187666 74.9234229970002,-177.179824665 74.8978869970001,-177.173771665 74.8974469970001,-177.149695665 74.8968329970001,-177.136309665 74.8958569970002,-177.134084665 74.8957999970001,-177.109039665 74.8939729970001,-177.104050665 74.8938439970001,-177.094773665 74.8931659970001,-177.083592665 74.892876997,-177.012365665 74.887653997,-176.995933665 74.8872229970001,-176.995074665 74.8871599970002,-176.947688665 74.8859099970002,-176.924001665 74.8841599970001,-176.921286665 74.8840879970001,-176.919776665 74.883975997,-176.875462665 74.8827929970002,-176.850146665 74.8809129970001,-176.847859665 74.8808519970002,-176.774393665 74.875377997,-176.765082665 74.8751239970002,-176.728014665 74.872350997,-176.725524665 74.8722819970002,-176.714329665 74.871442997,-176.711111665 74.8713539970001,-174.919536663 74.7287449970001,-173.233254661 74.6619589970001,-173.225063661 74.6611979970002,-173.217761661 74.6608799970002,-172.18919366 74.5623489970001,-171.173548659 74.4592039970001,-171.171367659 74.4588489970001,-171.165478659 74.4582329970001,-170.971578659 74.4264729970002,-170.914222659 74.4203999970001,-169.107594657 74.1092789960001,-168.972941667 74.0732464860001,-168.971370843 74.0728257500001,-168.972209003 72.783530889,-168.972209004 72.783529994),(-172.456144964 64.8588540980002,-172.531155119 64.8430361060001,-172.556973057 64.835536146,-172.573199918 64.8205451130002,-172.577818012 64.8097091560001,-172.584444912 64.7958091100001,-172.632100055 64.7523271490002,-172.675991053 64.7312449860001,-172.666409029 64.72221818,-172.648373017 64.7113632800002,-172.638608938 64.7063633070001,-172.624999913 64.703309109,-172.60748207 64.7024732660002,-172.590573089 64.703309109,-172.441099951 64.7180361130001,-172.408391082 64.7233001160002,-172.391999935 64.7260731850002,-172.167264011 64.7724732210001,-172.171108958 64.7952540610001,-172.303072971 64.8480360790002,-172.316655007 64.8510731780001,-172.424708971 64.861373195,-172.43975499 64.861373195,-172.456144964 64.8588540980002),(-172.698090947 64.6749911840001,-172.750364015 64.6714451360001,-172.756700064 64.656363243,-172.751163984 64.6438633100001,-172.700318018 64.629954045,-172.673099967 64.6241450510001,-172.62859994 64.6172001410001,-172.597500062 64.6133090940001,-172.563081956 64.6113732100002,-172.544464072 64.6133090940001,-172.530608954 64.6166360390001,-172.490826932 64.6312270880001,-172.508664125 64.6535911800001,-172.51864496 64.658600205,-172.532254992 64.661373274,-172.661435878 64.6741451149999,-172.698090947 64.6749911840001)),((57.7699789210001 85.1901315840001,58.5808742480001 85.1874671360001,58.9220235550002 85.1863460070001,59.2293983680001 85.1848198170002,60.0718165980002 85.1806365230001,60.7242061530002 85.1762970020001,61.2184575570001 85.1730090070001,61.8862805630002 85.1674360320001,62.361059196 85.163473749,63.4987528640002 85.1520408550002,64.6306933400002 85.138724009,64.6306935600002 85.1387240040001,64.6634879970001 85.1377589200002,65.8333425610001 85.1033320070002,66.4117584400001 85.0850293510001,67.0183225110001 85.0658358150001,67.4145987240001 85.0524015580001,68.1850475640001 85.0262820070002,68.6767582570001 85.008480019,69.3330088220001 84.9847204970001,71.0338229840002 84.9475687340002,71.0600854640001 84.946497632,71.0644448690001 84.9463958160001,71.0652045660001 84.9463780070001,71.0914935660002 84.9453040070001,71.092996203 84.945268927,71.0964192390001 84.9451887870002,71.1138336100001 84.9444762880001,71.1180185660002 84.944305007,71.1239521940001 84.9441657670001,71.1429909540001 84.9437187880001,71.8602346440001 84.9133803840001,72.325338567 84.893707007,72.6825191690002 84.877645775,73.4844179840001 84.8415867400001,74.6200107300002 84.7874206410001,75.7319783130002 84.7312717870002,76.8202586630002 84.6732027080001,76.8227340170002 84.6730058950001,76.8412158630001 84.6719914460001,76.8690215720001 84.6704650060001,76.874601769 84.6700204690002,76.8797164480002 84.669612821,76.8829034390002 84.669437546,76.889306572 84.6690850060002,77.8882071010001 84.5870550040001,78.0531849480001 84.5735069120001,79.1766308790001 84.47579559,79.7845886110002 84.4198758740001,80.2609285750002 84.3760620060001,80.448108158 84.357880193,80.8267139920002 84.321103445,81.0572157870002 84.332681531,82.010107528 84.3780819370002,82.0898665760001 84.3818820060001,82.226405721 84.388041497,83.1401968700001 84.4292637430001,83.1927622730001 84.4305577280002,83.2013297190002 84.430932461,83.2512673650001 84.4321557430001,83.2591195780001 84.432348006,83.2596455540001 84.4323710320001,83.2626140160002 84.4325004520002,83.3023063680001 84.4334688600002,83.3389053080001 84.4350596230001,83.9118550330001 84.4486697460001,83.923749979 84.4491710250001,83.945329578 84.4500800060001,84.736986961 84.4675622780001,85.1157705070001 84.4759268030002,85.9002174890001 84.4915800300001,86.2965735800001 84.499489006,87.4868895810001 84.5207380060002,87.7883191290001 84.5254922410001,88.6858279510001 84.5396474520001,89.8924513960002 84.5561928160002,89.9226775560002 84.556070462,89.9388225840003 84.5560050060001,89.9433203260001 84.5560617340002,89.9648281390002 84.55633254,91.2346629820001 84.549768515,92.5007902200001 84.5405797620002,93.8261261980003 84.5502737910001,95.1553907090002 84.5570945750001,96.4872055120001 84.5610316820002,96.9585019750001 84.5536649190002,97.3786085910001 84.5470980060002,97.9016347620002 84.5470463090001,98.0159856540002 84.547034941,99.2111501240002 84.5248985400002,100.164320922 84.5052269710001,100.396215594 84.5004410060001,100.849879185 84.4901063560002,101.570337865 84.473693816,102.732723197 84.444690021,102.732723596 84.444690011,103.882632597 84.4134650060001,104.942354598 84.361247006,105.982400599 84.3071720060001,106.640134259 84.2711487350002,107.002671711 84.2512928140001,107.457857049 84.225071532,108.003120601 84.1936610060001,108.298619364 84.1757824610001,108.983750328 84.1343295040002,109.774868826 84.0615532880001,110.035002602 84.037623006,111.052617603 83.939018006,111.902927758 83.8523362470001,112.037605626 83.8386069480002,112.175376753 83.8238483250002,112.990990605 83.736476005,113.837446739 83.5975445380001,114.457038128 83.4958488610001,115.818627928 83.2513946860001,117.543356562 82.7093337240001,118.074151734 82.324649487,118.379590346 82.2102014420002,118.385440401 82.2055271390001,118.385440479 82.2055271090001,118.38544061 82.2055270040001,118.526481246 82.1514161430001,118.802433791 81.9096589730001,119.181799611 81.5773030030002,119.146839611 81.3027820030001,119.14683971 81.3027819750001,119.146839685 81.3027817810001,119.699874767 81.148093482,119.829985799 81.0872916040001,120.472012741 80.8974737990001,120.537383734 80.8647497020001,120.588626298 80.8491075530002,120.596827612 80.8466040030002,120.741734612 80.7727920030001,120.84189443 80.74160506,121.148908367 80.5796019310001,121.181368301 80.5691329570001,121.191435613 80.5658860020001,121.863850613 80.1884730020001,122.501629602 79.9566987700001,123.155042847 79.719242534,123.955719704 79.1574506660002,124.002403218 79.0364546850002,124.077178616 78.8426490010002,124.178542335 78.8223224750002,124.369308852 78.7840677810001,124.883465328 78.6281398960002,125.847956617 78.3356390000001,126.849418618 78.5166580010001,127.354369827 78.603442358,127.882305525 78.6941766600002,128.517063643 78.7652936510002,129.17561462 78.8390760010001,130.501948622 78.9783260010001,130.53303233 78.9802522050001,130.578116495 78.9830454370002,130.641617517 78.9924686600001,130.908918279 79.0192396460002,131.317567172 79.0778663220001,131.750844623 79.140026001,132.537972749 79.2121609330001,133.145132613 79.2678027700001,134.571938679 79.3892637760002,134.891079057 79.4037568650001,136.185238382 79.5045085120001,137.228406983 79.544587454,138.279261664 79.5812756060002,139.33720663 79.6145360080001,140.765926631 79.6086630020001,140.765927006 79.608663061,140.991171631 79.6400360020002,140.991707282 79.640086474,141.001700015 79.6410277479999,141.003131794 79.6412259750001,141.003182201 79.641232948,141.003182631 79.6412329980001,141.019055631 79.6427270020001,141.030537631 79.6443150020002,142.483660633 79.7759940020001,143.973629634 79.9010880020001,143.980577209 79.901409292,143.981738812 79.9014629730001,143.991491528 79.9022495230002,144.00751592 79.9029888400001,144.011984698 79.9033488200002,144.027521156 79.9040645380002,144.033748501 79.9045656480001,144.043026581 79.9049923150001,144.052225634 79.9054150020002,144.055557634 79.9056830020001,144.056534634 79.9057280020001,144.058474159 79.9058838790002,144.068255869 79.9066697280001,144.09233079 79.9077737250002,144.101993288 79.9085485280001,144.106627634 79.9089200020001,144.10680838 79.9089284140002,144.107508493 79.9089604530001,144.119308449 79.9099059520001,144.132190088 79.9104946100002,144.139787365 79.911102654,144.197071641 79.9137119980001,144.204743759 79.9143229160002,144.272497634 79.9197180020002,144.273228634 79.9197510020001,144.276396732 79.9200027780001,144.285207059 79.9207026720001,144.285549323 79.9207181210001,144.285885634 79.9207330020001,144.29459109 79.9214243940002,144.297897523 79.92168688,144.299141555 79.9217429770001,144.366628132 79.9270503810001,144.635761635 79.948216002,144.635877503 79.9482211520001,144.63603144 79.9482279090002,144.641817907 79.9486787170002,144.648471635 79.9491970020002,144.648727635 79.949208002,144.661183635 79.9501780020001,144.679490839 79.950979446,144.682975897 79.951132,144.683178095 79.9511477180001,144.686930635 79.951439002,144.693060707 79.95170733,144.696982253 79.9518787250001,144.704887117 79.9524926930001,145.789041491 79.9978649400002,146.047706542 80.0077621660001,146.882723637 80.0397120020001,147.985283638 80.077988002,148.002673869 80.0780343120001,148.005561792 80.078041932,148.006165245 80.0780617820001,148.006507638 80.0780730020001,148.903937639 80.0792260020002,149.504343949 80.1359757800002,150.621402244 80.241558724,151.717015039 80.300372934,152.825637935 80.355670558,153.591428299 80.390999632,153.946687643 80.4073890020001,154.329988475 80.412288904,155.110302091 80.4222635830001,156.277210845 80.4332625690001,157.446490742 80.440370982,157.457712122 80.4400956970001,157.490760202 80.4402387960001,158.64444593 80.4098248110001,159.790667558 80.375640741,160.92862849 80.3377246640002,161.509890898 80.2976569670001,161.995290651 80.2641970020002,162.386013864 80.2356537900001,163.04603197 80.1874374910001,163.626096098 80.1426264600001,164.080558653 80.1075180020001,164.085515975 80.1069275320002,164.088878585 80.1065267610001,164.088940377 80.1065218540002,164.091452063 80.1062223790001,164.097280653 80.1055270020001,164.097293027 80.10552644,164.0973024 80.105525695,164.10270087 80.1048818090001,164.104797014 80.1047151720001,164.109473653 80.1043430020002,164.112063653 80.1040340020002,164.121708653 80.1032670020001,164.12333506 80.1030729590001,164.128933247 80.1024044840002,164.132582839 80.1021139650001,165.499656273 79.933350481,166.469606204 79.8056413510002,166.822151655 79.7592230020001,167.906608656 79.543763002,168.948301657 79.3248470010001,169.937885658 79.0044710010001,170.10551659 78.965666028,170.193727267 78.9452458560001,171.617959831 78.4367645340001,171.618142296 78.4366525070002,171.624400188 78.4343046660002,172.482151646 77.8827477210001,172.816098185 77.3093552610001,172.682537662 76.7331793050001,172.681110947 76.731761367,172.681110923 76.7317612600001,172.681110661 76.7317609990002,172.680149661 76.7273459990001,172.679034277 76.7262362320002,172.678362782 76.7255683790001,172.67836271 76.7255680470001,172.678362661 76.7255679990001,172.678293624 76.7252501710001,172.677663284 76.7223498590001,172.13802854 76.1600669290001,172.137854188 76.1599662780002,172.137491938 76.159757283,172.137491697 76.159757019,172.13749166 76.1597569980001,172.13555566 76.1576439980001,172.12772266 76.1531219980002,172.12606068 76.151304957,172.125364849 76.1505443830002,171.239732896 75.6164972510001,171.235062686 75.6146182870001,171.233128672 75.6134003940002,170.056260246 75.1198452650002,169.578660764 74.9707730090001,169.162330658 74.8408249970001,168.840096713 74.740246358,168.637887947 74.6771313040002,168.081681176 74.5450968030001,167.023187656 74.2938279970002,167.021568944 74.2935502870001,167.020191301 74.29331433,167.015408331 74.2921311410001,166.443126902 74.1901547540001,165.445251654 74.012340996,165.445252768 74.0123408430001,165.445251321 74.0123405850001,166.222928381 73.9052557450001,166.845763655 73.8194919960001,168.488825657 73.461388996,168.715251657 73.388460996,169.375580658 73.4228449960002,170.536214659 73.419852996,170.676238659 73.4659539960001,170.936341659 73.5891239960001,172.31632966 74.0174129960001,172.318865265 74.017942911,172.31886566 74.0179429960001,172.321400293 74.01869995,172.323660573 74.0193749420001,172.330883962 74.0208826790002,172.332207297 74.0212776640001,172.354438305 74.0259118910002,172.374261661 74.0300439960002,172.699260661 74.1259929960002,172.701254426 74.1264010980002,172.701478946 74.1264470090002,172.712861632 74.1297764490001,172.715168085 74.1302477340001,172.72335464 74.1326407630002,172.725519234 74.1330828110001,172.727743936 74.1337328130001,172.730715661 74.1346009960001,172.742965661 74.1371009960002,172.744631661 74.1375869970001,172.786178661 74.1460539970001,172.787640661 74.146479997,174.518804663 74.4841029970001,174.518906474 74.4841157230001,174.518964418 74.4841228930001,174.51965004 74.4842509020002,174.524435663 74.485143997,174.525645276 74.4852940020001,174.526330953 74.48537881,174.530081086 74.4860787590001,174.532039992 74.4863209690001,174.533964929 74.486680102,174.541373663 74.4880619970001,174.542030299 74.4881434690001,174.543130816 74.4882794550001,174.545604026 74.48874069,174.547017663 74.4890039970001,174.547076424 74.489011552,174.547157663 74.4890215880002,174.550023136 74.4895558490001,174.552648663 74.490044997,175.542907663 74.6090859970001,175.558590232 74.6108703420001,175.575435765 74.6127865540002,175.606616685 74.617824685,175.637151664 74.6227579970002,175.700232648 74.6292558900002,175.739220963 74.6332717540001,175.795542079 74.6422864690001,175.846490664 74.6504409970001,176.313628664 74.6967569970001,176.548522664 74.7234769970001,176.557610891 74.7239938310001,176.629639146 74.7280894890002,176.875967007 74.7525126080001,177.458863842 74.8069589330001,177.918568666 74.8498979970001,177.919444186 74.8499349770002,177.919444666 74.849934997,177.930472666 74.850932997,177.933109894 74.8510437070001,177.933402342 74.851055935,177.934374412 74.8511438759999,177.942392666 74.8518689970002,177.945676205 74.8520063680001,177.948535995 74.8521257650001,177.952947849 74.8523098380002,177.954679666 74.8523819970002,177.960822666 74.852637997,177.966966666 74.8528939970001,177.973110666 74.8531499970001,177.973930466 74.8531841550001,177.979254572 74.853405692,177.983106072 74.853565845,177.985398666 74.8536609970001,177.987091722 74.85373153,177.991543407 74.8539165150001,177.997688125 74.85417168,178.003833044 74.8544266820002,178.009978162 74.8546815190002,178.014228413 74.8548576580001,178.016123666 74.8549359970001,178.018567717 74.8550374180001,178.022268999 74.8551907020001,178.027575826 74.8554103300002,178.028414666 74.8554449970001,178.034560666 74.8556989970002,178.040706666 74.855952997,178.046853666 74.8562069970001,178.049213967 74.8563045430002,178.052999583 74.8564607890002,178.055341478 74.8565573820002,178.059146666 74.8567139970001,178.062361975 74.8568468570001,178.065293212 74.8569676750001,178.071440325 74.857220872,178.077587636 74.8574739050001,178.083735146 74.8577267740002,178.089882855 74.8579794790001,178.095826069 74.8582236110001,178.096030666 74.8582319970001,178.102178666 74.858483997,178.105339191 74.8586140360001,178.108327171 74.8587366080001,178.114475672 74.8589886560001,178.120624372 74.85924054,178.124405347 74.8593953230001,178.126773666 74.8594919970001,178.130598728 74.8596487570001,178.132922364 74.8597438150002,178.135667848 74.8598560540001,178.139071666 74.8599949970002,178.140789877001 74.860065402,178.145221147 74.8602464340001,178.151370834 74.860497497,178.154820339 74.8606382280002,178.157520666 74.8607479970001,178.163670666 74.8609989970001,178.165639175 74.8610793250002,178.16982108 74.8612497010001,178.174147833 74.8614258570001,178.175971666 74.8614999970002,178.182122666 74.8617499970001,178.188273666 74.861999997,178.194424666 74.862249997,178.200575666 74.8624999970002,178.202028775 74.8625590570001,178.206726883 74.862749675,178.211413807 74.8629397070001,178.212878666 74.862998997,178.219030666 74.863247997,178.221505277 74.8633485580001,178.225182434 74.8634974440001,178.228827105 74.8636449120001,178.231334666 74.8637459970002,178.237487666 74.8639949970002,178.239801737 74.8640886580002,178.243639748 74.8642437340001,178.247344732 74.8643933320002,178.249792666 74.8644919970001,178.251273137 74.8645519090001,178.255945602 74.8647404400002,178.262098821 74.8649885460001,178.268252236 74.8652364880002,178.272272681 74.8653983730001,178.274405666 74.8654839970001,178.278643904 74.8656547940001,178.28055965 74.8657318780001,178.282177547 74.8657969330001,178.286713666 74.865978997,178.289527767 74.8660924020001,178.292867843 74.866226612,178.299022231 74.8664737310001,178.305176814 74.8667206870001,178.311331591 74.866967478,178.316386706 74.8671700340001,178.317486666 74.8672139970001,178.318755725 74.8672649240001,178.323641728 74.8674605670001,178.329797087 74.8677068650002,178.335791192 74.8679465430001,178.33595264 74.8679529970001,178.335952666 74.8679529980002,178.336816716 74.8679875250002,178.342108386 74.8681989680001,178.348264326 74.8684447730001,178.35030994 74.8685263960001,178.354420666 74.8686899970002,178.359276955 74.868884059,178.360576787 74.8689358880002,178.362691195 74.8690201390002,178.366733666 74.8691809970001,178.372889666 74.8694259970001,178.379046666 74.8696709970002,178.385203666 74.8699159970002,178.387812861 74.8700198060001,178.391361317 74.8701607990002,178.393769844 74.8702564320002,178.397518666 74.8704049970002,178.400173859 74.8705106360001,178.403676478 74.870649612,178.409834347 74.8708937720002,178.415992408 74.871137767,178.422150662 74.8713815980002,178.425723059 74.8715229440002,178.428309666 74.8716249970002,178.431706666 74.8717595970001,178.434467744 74.8718687650001,178.438676163 74.8720350410002,178.440626666 74.8721119970002,178.446785666 74.8723549970002,178.452944666 74.8725979970001,178.459104666 74.8728409970001,178.461717785 74.8729440960002,178.465263805 74.8730838040002,178.467605265 74.8731759880002,178.471423666 74.8733259970001,178.474493212 74.8734470850001,178.477583569 74.8735686670001,178.483743737 74.8738108520001,178.489904096 74.8740528720001,178.496064645 74.8742947270001,178.498427527 74.8743874250001,178.502225666 74.8745359970002,178.507876232 74.874757947,178.508386316 74.8747779440002,178.509061028 74.8748043760001,178.514547666 74.8750189970002,178.516947904 74.8751132770001,178.520708748 74.8752605020002,178.526870249 74.8755015350001,178.530141195 74.8756294000002,178.533031666 74.8757419970001,178.539193666 74.8759829970002,178.540541612 74.8760357160002,178.545355892 74.8762236430002,178.550919585 74.8764406680001,178.551518666 74.876463997,178.557680666 74.8767039970002,178.563843666 74.8769439970001,178.570006666 74.8771839970001,178.573749005 74.877329731,178.576169088 74.8774238620001,178.577449371 74.8774736240001,178.582332666 74.8776629970001,178.586527637 74.877826358,178.58849569 74.877902797,178.59374825 74.8781066580001,178.594659666 74.8781419970001,178.600822666 74.8783809970001,178.604267043 74.8785145480001,178.606987009 74.8786199630001,178.613151159 74.8788586880002,178.616401974 74.8789844960001,178.619315666 74.8790969970001,178.621873325 74.879196166,178.625480024 74.8793356460002,178.631644738 74.8795738770001,178.63780964 74.8798119440002,178.64397473 74.880049845,178.650140008 74.8802875820001,178.654592085 74.8804591330002,178.656305666 74.8805249970001,178.658058348 74.8805926480001,178.662471126 74.8807625620001,178.668636967 74.8809998040001,178.674802994 74.881236881,178.680969208 74.8814737940002,178.68713561 74.8817105420001,178.691803676 74.8818896330002,178.693302666 74.8819469970002,178.694769173 74.882003365,178.699468973 74.882183543,178.705635935 74.8824197960001,178.711803083 74.8826558840001,178.717970417 74.8828918070002,178.724137938 74.8831275650002,178.728648578 74.8832998620001,178.730305666 74.8833629970001,178.732071035 74.8834305440001,178.736473537 74.8835985870001,178.742641616 74.8838338510001,178.74880988 74.884068949,178.75497833 74.8843038830001,178.761146966 74.8845386510002,178.764757072 74.8846759450002,178.767315666 74.8847729970002,178.770096601 74.8848789330001,178.773484793 74.8850076930001,178.779653985 74.8852419670001,178.781614394 74.8853163580001,178.785823667 74.8854759970001,178.791992667 74.8857100030001,178.791992923 74.8857100130001,178.798162669 74.8859437980002,178.800157385 74.886019324,178.804332667 74.886176997,178.808961397 74.8863525440001,178.810502715 74.8864108600001,178.813650265 74.8865298610001,178.816672667 74.8866439970001,178.822843667 74.8868769970001,178.829014667 74.8871099970002,178.835016586 74.8873366500001,178.835184667 74.8873429940002,178.835185019 74.887343007,178.841356056 74.8875756270001,178.846225833 74.8877590620001,178.847527667 74.8878079970002,178.853698667 74.8880399970002,178.856442341 74.8881435740001,178.859870267 74.8882725060001,178.866042038 74.8885044690002,178.870224176 74.888661536,178.872213667 74.8887359970002,178.876963618 74.8889145150001,178.87838613 74.8889679000001,178.879433005 74.8890071580001,178.884558667 74.8891989970002,178.887817767 74.8893215040001,178.890730954 74.8894306700002,178.89690364 74.889661807,178.903076509 74.8898927790001,178.909249561 74.8901235860002,178.91321786 74.8902718480002,178.915422667 74.8903539970001,178.918206222 74.8904581440001,178.921596212 74.890584705,178.927476792 74.8908040850001,178.927769667 74.8908149970001,178.933943667 74.8910449970001,178.940117667 74.8912749970002,178.945028374 74.8914579360001,178.946291699 74.8915049590001,178.952466026 74.8917346100001,178.957370821 74.8919169050001,178.958640667 74.8919639970001,178.964815667 74.8921929970001,178.968015717 74.8923121890002,178.970990095 74.8924225710001,178.977165148 74.892651561,178.980320923 74.8927684990001,178.983340667 74.8928799970001,178.989515667 74.8931089970002,178.99005641 74.8931290470001,178.995691391 74.8933375390001,179.001867168 74.8935658680001,179.006016027 74.8937191420001,179.008043667 74.893793997,179.014219667 74.894021997,179.015856227 74.8940824140001,179.02039558 74.8942498620002,179.026572079 74.8944775300002,179.03233272 74.894689709,179.032748667 74.8947049970001,179.038925667 74.8949319970002,179.041713346 74.8950348930002,179.045102654 74.895159541,179.051279872 74.8953865480001,179.054549196 74.8955066010001,179.057457667 74.8956129970001,179.063634667 74.895839997,179.064417869 74.8958687740002,179.069812605 74.8960665750001,179.075990541 74.8962929200001,179.078538259 74.8963861920002,179.082168667 74.896518997,179.088346667 74.8967449970001,179.093347375 74.8969279,179.094525425 74.8969709630002,179.100704078 74.8971966470002,179.104869692 74.8973486850002,179.106882667 74.8974219970002,179.108399441 74.897477474,179.113061919 74.8976475180001,179.119241107 74.8978727050002,179.125420473 74.8980977270001,179.131600018 74.8983225830001,179.135356987 74.8984591850002,179.137779667 74.8985469970002,179.141388621 74.898678391,179.143959642 74.8987718000002,179.147346013 74.8988947380001,179.150139667 74.898995997,179.156319667 74.8992199970001,179.162500667 74.8994439970002,179.168680667 74.8996679970002,179.17369838 74.8998498390001,179.174861812 74.8998919470001,179.181042778 74.9001154800002,179.187223922 74.9003388470001,179.191560799 74.9004954480002,179.193405667 74.9005619970001,179.199586667 74.9007849970001,179.204123598 74.9009486550001,179.205768414 74.901007957,179.211950264 74.9012306620001,179.215626235 74.9013629890001,179.218132667 74.9014529970001,179.2202667 74.9015299770001,179.224314495 74.9016755760001,179.230496875 74.9018977850001,179.236679431 74.9021198290002,179.242862163 74.9023417060002,179.245218981 74.9024262190002,179.249045667 74.9025629970001,179.255044829 74.9027783960001,179.255228155 74.9027849650002,179.255454579 74.9027930720001,179.261411667 74.9030059970002,179.264179631 74.9031053800001,179.267594849 74.9032275620001,179.27377846 74.903448611,179.279962245 74.9036694960001,179.284137639 74.9038185240001,179.286146667 74.9038899970001,179.289348823 74.9040044340001,179.292330342 74.9041107680002,179.295909712 74.9042383240001,179.298514667 74.904330997,179.304699667 74.9045509970001,179.30724866 74.9046420910002,179.310883799 74.9047714330001,179.314806459 74.9049108960001,179.317068667 74.9049909970001,179.323253667 74.9052109970002,179.323979583 74.9052368180001,179.329438826 74.9054306080001,179.335302735 74.9056386000001,179.335624667 74.9056499970001,179.341809667 74.9058689970001,179.347995667 74.9060879970001,179.354181667 74.9063069970001,179.35884652 74.9064721450001,179.360367355 74.9065259190001,179.366553582 74.906744485,179.372739982 74.9069628840001,179.37582315 74.907071644,179.378926667 74.9071809970001,179.385113667 74.907398997,179.391300667 74.9076169970001,179.393784376 74.9077045110001,179.397487315 74.9078348250002,179.399246004 74.9078966680001,179.403674667 74.908051997,179.407750114 74.9081955960001,179.40986202 74.9082698010001,179.414953821 74.9084485680001,179.416049667 74.9084869970002,179.422237667 74.908703997,179.428425667 74.9089209970002,179.429262931 74.9089503580002,179.434613498 74.9091377640001,179.437094704 74.9092246010001,179.440801667 74.9093539970002,179.444475855 74.909482822,179.446990271 74.9095707510001,179.453178667 74.9097869920001,179.453178914 74.9097870010001,179.453885626 74.9098116700001,179.459367667 74.9100029970002,179.464785982 74.9101921000001,179.465556667 74.9102189920002,179.465556717 74.9102189930001,179.471745876 74.9104347350002,179.474498065 74.9105305970002,179.477935667 74.9106499970001,179.481390225 74.9107705630001,179.484124708 74.9108657330002,179.49031438 74.9110809850002,179.490314667 74.9110809950002,179.496504667 74.911295997,179.502694238 74.9115109830001,179.502694667 74.9115109980002,179.508884423 74.9117257370001,179.511598192 74.9118198090001,179.515074667 74.911939997,179.518620218 74.9120631260002,179.521265305 74.9121547440001,179.527455667 74.9123689920001,179.527456002 74.9123690040001,179.533646667 74.9125829970001,179.539837667 74.9127970000002,179.539837906 74.9127970080002,179.546029113 74.9130107670002,179.548284553 74.9130885760001,179.552220667 74.913223997,179.556053722 74.9133564920001,179.558412036 74.9134377840001,179.563614942 74.9136169860001,179.564603667 74.913650997,179.570795667 74.9138639970001,179.576987667 74.9140769970001,179.57864149 74.914133887,179.583179917 74.9142898250001,179.584992912 74.914352068,179.589372667 74.9145019970001,179.593949319 74.9146594300001,179.595564873 74.9147148500002,179.599056849 74.9148345420002,179.601757667 74.9149269970001,179.607950667 74.915138997,179.614143667 74.9153509970002,179.617958684 74.9154815930002,179.620336811 74.9155629090001,179.626530216 74.9157745090001,179.63272379 74.9159859420001,179.634045188 74.9160310150002,179.638917667 74.916196997,179.645111667 74.9164079970001,179.651305667 74.9166189970001,179.657499667 74.9168299970002,179.657771624 74.9168392600001,179.663694179 74.9170406200001,179.669030292 74.9172218950001,179.669888667 74.9172509970002,179.676083667 74.9174609970001,179.67843181 74.9175409740001,179.682278424 74.917671435,179.685940938 74.9177955510001,179.688473667 74.9178809970001,179.694668667 74.918090997,179.697124131 74.9181742200001,179.700864173 74.9183007550002,179.704174502 74.918412661,179.707059667 74.9185099970001,179.708757279 74.9185675340001,179.713255507 74.918719471,179.719451423 74.9189285800002,179.725647506 74.9191375230001,179.729422983 74.9192647350002,179.731843667 74.9193459970002,179.736876979 74.9195157500001,179.738040171 74.919554911,179.739052704 74.9195889710002,179.744236667 74.9197629970002,179.74732712 74.919867226,179.7504335 74.9199716340001,179.756630413 74.9201797460001,179.762827492 74.9203876920001,179.769024736 74.9205954720001,179.774178091 74.9207681100002,179.775222667 74.9208029970001,179.776380432001 74.9208418570001,179.781419721 74.9210105340001,179.787617461 74.921217816,179.793815366 74.9214249310002,179.800013437 74.9216318800002,179.806211671 74.9218386630002,179.809462745 74.9219470340001,179.812410667 74.9220449970002,179.815713996 74.922155321,179.818608635 74.9222517310001,179.824214671 74.922438291,179.824807667 74.9224579970001,179.831006667 74.9226639970001,179.837205667 74.9228699970001,179.839998799 74.9229628160002,179.843404535 74.923075871,179.84960392 74.9232814900001,179.855803468 74.923486944,179.85678201 74.9235193450002,179.862003668 74.9236919970002,179.868202668 74.9238969970001,179.874403668 74.924101997,179.880603668 74.9243069970001,179.882339624 74.9243643960002,179.886803664 74.9245117160001,179.890500375 74.9246336110002,179.893004668 74.9247159970002,179.894613189 74.9247691820001,179.899204885 74.9249204610001,179.90540574 74.9251245840002,179.911606757 74.9253285410001,179.915235172 74.9254477820001,179.917807668 74.9255319970001,179.923505813 74.9257194240002,179.924009279 74.9257359550001,179.924414261 74.9257492420002,179.930210668 74.9259389970001,179.933877887 74.926059621,179.93641245 74.9261427050001,179.942614279 74.9263458300001,179.948816269 74.9265487890002,179.955018422 74.9267515810001,179.959125382 74.9268857530001,179.961220668 74.9269539970001,179.96368765 74.9270347320001,179.967423211 74.9271566670002,179.973625848 74.9273589600001,179.975599397 74.927423271,179.979828668 74.9275609970002,179.986031668 74.9277629970001,179.987599232 74.927814045,179.992234726 74.9279648420002,179.998438008 74.9281664700001,179.999988540844 74.9281666864467,179.999988540844 74.443550751581,179.999988540844 73.958934816715,179.999988540844 73.4743188818493,179.999988540844 72.9897029469836,179.999988540844 72.5050870121178,179.999988540844 72.0204710772521,179.999988540844 71.5358551423865,179.981627668 71.5360999940002,179.931363668 71.5316639940001,179.894136668 71.5244269940001,179.860227668 71.5166639940001,179.849699667 71.5113819940001,179.857999668 71.5038729940002,179.863999668 71.4916459940001,179.764436667 71.4655459940001,179.720518667 71.4560999940002,179.699127667 71.4544359940001,179.653872667 71.4547089940002,179.604399667 71.452772994,179.564145667 71.4460909940001,179.530272667 71.4383089940002,179.469545667 71.4174819940002,179.462463667 71.4080359940002,179.382172667 71.3758089940001,179.224118667 71.3124819940001,179.210781667 71.3077549940001,179.197481667 71.3033179940002,179.094699667 71.2755459940002,179.008327667 71.2560999940001,178.958590667 71.2441359940001,178.872190667 71.2174819940001,178.858309667 71.2099909940001,178.673854666 71.1041549940001,178.650818666 71.0869269940002,178.631072666 71.0691549940001,178.619399666 71.0531729940001,178.619399666 71.0315089940001,178.647763666 70.9891549940002,178.703036666 70.9347089940001,178.748836666 70.8922089930001,178.783872667 70.8344269930002,178.783599667 70.8055459930001,178.791018667 70.7963999930001,178.815245667 70.7997089930002,178.834963667 70.8033179930002,178.851072667 70.8072089930002,178.890254667 70.8213819930002,178.919436667 70.8299909930002,178.984681667 70.8460999930001,179.056363667 70.8608089930001,179.095518667 70.8674819930001,179.272763667 70.8885999930001,179.298854667 70.8908269930001,179.345245667 70.8916639930001,179.363281667 70.8894359930001,179.379390667 70.8861089930002,179.391663667 70.8808179930001,179.405818667 70.8763729930002,179.441927667 70.8722089930001,179.518309667 70.8769179930002,179.678318667 70.8955359930002,179.711363667 70.9035909930001,179.724399667 70.9080359930002,179.747745667 70.9180459940001,179.781372667 70.9367819940001,179.791927667 70.9530459940001,179.805236667 70.9574909940001,179.904690668 70.9810909940002,179.957454668 70.992199994,179.977172668 70.9955269940002,179.999988540844 70.9972081740989,179.999988540844 70.5937865096421,179.999988540844 70.1903648451852,179.999988540844 69.7869431807284,179.999988540844 69.3835215162714,179.999988540844 68.9800998518146,179.924990668 68.9791549920002,179.885799668 68.980545992,179.789427667 68.9844179920001,179.749554667 68.9912359920001,179.718845667 69.003326992,179.677763667 69.021381992,179.587736667 69.0752729920001,179.549699667 69.1059459920002,179.574418667 69.1094269920001,179.594972667 69.1033179920001,179.692745667 69.063035992,179.776645667 69.0280459920002,179.809963667 69.011654992,179.836090667 69.0030549920001,179.884427668 68.9949819920001,179.917754668 68.9905359920001,179.946290668 68.995535992,179.861636668 69.0224909920001,179.764981667 69.061917992,179.574127667 69.142763992,179.381618667 69.2121999920001,179.351490667 69.2248459920002,179.320254667 69.2427639920002,179.296918667 69.2622819920001,179.132445667 69.2844269920002,178.879118667 69.2963729920002,178.858309667 69.2963729920002,178.827881667 69.2919269920001,178.788299667 69.2819359920001,178.766936666 69.2791639920001,178.715381666 69.2794359920002,178.693572666 69.2847179920001,178.651563666 69.3094179920001,178.658327666 69.3347179920002,178.678999666 69.3588819920002,178.743281666 69.3722089920001,178.764163666 69.3722089920001,178.811645667 69.3635999920002,178.848863667 69.3549909920001,178.877109667 69.338181992,178.940245667 69.319990992,178.981627667 69.319717992,179.065518667 69.3237359920001,179.042754667 69.3361089920002,179.004699667 69.3499909920001,178.873563667 69.3824729920001,178.770536666 69.4074819920001,178.665527666 69.431090992,178.479672666 69.4660909920001,178.443299666 69.4694359920001,178.368563666 69.4755359920002,178.330536666 69.4777639920002,178.309690666 69.4777639920002,178.269654666 69.4757819920001,178.186918666 69.4494179920001,177.854945666 69.5072179920001,177.734954666 69.534717992,177.684690665 69.5494269920001,177.657199665 69.5577549920001,177.593018665 69.5752729920001,177.436099665 69.6038729919999,177.315672665 69.6181729920001,177.185790665 69.6210909920001,177.027190665 69.6255359920002,176.992463665 69.6294269920001,176.741054665 69.6669269920001,176.704418665 69.6762269920001,176.673309665 69.6888729920001,176.635936665 69.7105359920002,176.601899664 69.7213729920001,176.530272664 69.7410909920002,176.412063664 69.7642999920001,176.330536664 69.771381992,176.234681664 69.7941459920001,176.237181664 69.8266639920001,176.118990664 69.8884639930002,176.084399664 69.8929089930001,175.958309664 69.8983269930002,175.763609664 69.9038729930001,175.723018664 69.9041639930002,175.522199663 69.889990993,175.498290663 69.8694269930002,175.468290663 69.8608089930001,175.431918663 69.8535909930001,175.382718663 69.8483269930001,175.317472663 69.8463729930001,175.296354663 69.8460999930001,175.215236663 69.8469359930002,175.155245663 69.8480359930001,175.045254663 69.8513819930001,174.889436663 69.8516549930002,174.723845663 69.8508179930002,174.626618663 69.8541549930001,174.453309662 69.8616459930001,174.403318662 69.869135993,174.364118662 69.877063993,174.324672662 69.8847179930002,174.088863662 69.883326993,174.024563662 69.8799819930001,173.986081662 69.869135993,173.958845662 69.8563729930001,173.934281662 69.8466549930002,173.742463662 69.8671999930001,173.673854662 69.8910999930001,173.483699662 69.9488729930001,173.458590662 69.9524819930002,173.435790662 69.9508179930001,173.236909661 69.9294269930002,173.205109661 69.924426993,173.168854661 69.8935269930001,173.207472661 69.9049909930002,173.270954661 69.910817993,173.294436661 69.9060999930001,173.417754662 69.8652639930002,173.475727662 69.833317992,173.460781662 69.8113729920001,173.378863661 69.787208992,173.201645661 69.7794359920001,173.178163661 69.7940089920001,173.202472661 69.8163729920001,173.165954661 69.847217993,173.052463661 69.8597089930001,172.876618661 69.8924909930001,172.826218661 69.9066549930002,172.806363661 69.9144269930001,172.784145661 69.9327549930001,172.638581661 69.965681993,172.543309661 69.9599909930001,172.491227661 69.9591549930002,172.407745661 69.9647089930002,172.29330966 69.9755359930002,172.25888166 69.9797089930001,172.20800966 69.9869269929999,172.15414566 69.9916549930002,172.11636366 69.9935909930002,172.02816366 69.9956729930001,171.97607266 69.9947089930001,171.92927266 69.997481993,171.86773666 70.0038729930002,171.70996366 70.0213819930001,171.67526366 70.0255459930002,171.50219966 70.0466459930002,171.41943666 70.0599819930002,171.38470966 70.0641459930001,171.34829966 70.067217993,171.178863659 70.0763819930002,170.979127659 70.092754993,170.900272659 70.0941459930002,170.859681659 70.0908179930001,170.819118659 70.0924819930001,170.783054659 70.0952639930001,170.711636659 70.1021999930001,170.633590659 70.1117819930001,170.594972659 70.1205269930002,170.563018659 70.1269179930001,170.520536659 70.132626993,170.471890659 70.1341549930001,170.449127659 70.1319269930002,170.420963659 70.1260909930001,170.404281659 70.1149819930002,170.424136659 70.1056819930001,170.468845659 70.1016549930001,170.516663659 70.099708993,170.557872659 70.0791549930001,170.539427659 70.0427549930001,170.525818659 70.0172089930001,170.521790659 69.928035993,170.538590659 69.9090179930001,170.555681659 69.8933269930002,170.567199659 69.7780459920002,170.524136659 69.757490992,170.496063659 69.7480269920001,170.461636659 69.7396999920001,170.439145659 69.7377639920001,170.409145659 69.7376179920001,170.361354659 69.738872992,170.318572659 69.7380359920001,170.282199659 69.7283819920001,170.230527659 69.7038729920001,170.198581659 69.688308992,170.180545658 69.6771999920001,170.152481658 69.6570729920001,170.137481658 69.6422089920002,170.122454658 69.6135909920002,170.141099658 69.6005359920001,170.170945658 69.593181992,170.263045659 69.588181992,170.293581659 69.588881992,170.381899659 69.6024819920002,170.424990659 69.6052549920001,170.466645659 69.6072089920001,170.506654659 69.6074819920001,170.550672659 69.603317992,170.580245659 69.5959639920002,170.609127659 69.5802729920001,170.628572659 69.5646999920001,170.665527659 69.5327639920002,170.743009659 69.4444269920002,170.865236659 69.3335999920002,170.907472659 69.3060909920001,170.928863659 69.2266549920001,170.964145659 69.1516549920001,171.007754659 69.0655359920001,171.031918659 69.042208992,171.022490659 69.0230359920001,170.935790659 69.009717992,170.762209659 68.9552639920002,170.709972659 68.903881992,170.723163659 68.820399992,170.704954659 68.8044269920001,170.652818659 68.9033909920001,170.619418659 68.9097179920001,170.599699659 68.9060999920001,170.458018659 68.8637269920001,170.442263659 68.8396459920002,170.551090659 68.8235999920001,170.611936659 68.7563359910001,170.544281659 68.7692909920001,170.521236659 68.7813729920002,170.493836659 68.7977639920001,170.359818659 68.8204089920001,170.332454659 68.8213819920001,170.312190659 68.8205459920001,170.290799659 68.8185999920001,170.250827659 68.813872992,170.205809659 68.8069269920001,170.056090658 68.793872992,169.783054658 68.7758179920001,169.728854658 68.7746999920001,169.680663658 68.7742909920001,169.589281658 68.7770729920001,169.473709658 68.8229089920002,169.453154658 68.840545992,169.440518658 68.8630359920001,169.424681658 68.9066459920001,169.439699658 68.9316549920001,169.424772658 68.9975549920001,169.402072658 69.0471999920001,169.387327658 69.0666549920001,169.365527658 69.0804089920002,169.336072658 69.0876269920002,169.260799658 69.096645992,169.206636658 69.0994269920001,169.053318657 69.131363992,168.907745657 69.1697089920002,168.863009657 69.1808179920001,168.733290657 69.2084639920001,168.610781657 69.2105359920001,168.476345657 69.2102639920001,168.420536657 69.2116549920001,168.355227657 69.2213729920001,168.310518657 69.2322089920001,168.283327657 69.2416549920002,168.233309657 69.2791549920001,168.193981657 69.3816549920001,168.201490657 69.404290992,168.236636657 69.4672089920001,168.257890657 69.529154992,168.239818657 69.5513729920002,168.221890657 69.560808992,168.100799657 69.6027639920001,168.070254657 69.609981992,168.024418656 69.6205269920002,167.993836656 69.627472992,167.994109656 69.687190992,167.994963656 69.7141549920001,167.859681656 69.7549909920001,167.816372656 69.7677639920002,167.777209656 69.7760909920001,167.746609656 69.774990992,167.702181656 69.7702639920001,167.653454656 69.760417992,167.604672656 69.7435909920001,167.581081656 69.7333179920001,167.542345656 69.7151269920003,167.523863656 69.7008179920001,167.493563656 69.6849819920001,167.419981656 69.6547089920001,167.393036656 69.644990992,167.213009656 69.582490992,166.933163655 69.498599992,166.901645655 69.4927549920001,166.860499655 69.4905359920002,166.751645655 69.4960909920001,166.695799655 69.5097089920001,166.648036655 69.5236089920002,166.589963655 69.5233179920002,166.425536655 69.5136089920002,166.369690655 69.5116549920002,166.342472655 69.5111089920001,166.137599655 69.5112359920001,166.095245655 69.516099992,166.063018655 69.5219269920001,165.969972655 69.5422089920001,165.924681655 69.5535909920002,165.887890654 69.5637269920001,165.824554654 69.5760999920001,165.627336654 69.590545992,165.535245654 69.5849909920001,165.476072654 69.5833269920001,165.438872654 69.5841549920001,165.376345654 69.5869269920001,165.322209654 69.5897089920001,165.268036654 69.5927549920002,165.231899654 69.5947089920001,165.195527654 69.5966459920001,165.155818654 69.5972179920002,165.096618654 69.5952639920001,164.997190654 69.5877729920001,164.944136654 69.5826269920001,164.858309654 69.5827639920001,164.784699653 69.585263992,164.532472653 69.5994269920001,164.490645653 69.6052639920001,164.405245653 69.6244179920001,164.376063653 69.633326992,164.232454653 69.6802639920001,164.158445653 69.7109639920001,164.133863653 69.7245639920002,164.115799653 69.7465179920002,164.092327653 69.7594359920002,164.050809653 69.7658269920001,164.014436653 69.7674909920001,163.992463653 69.7647089920002,163.960236653 69.7552639920002,163.927763653 69.7419269920001,163.895536653 69.7327549920001,163.759418653 69.699290992,163.726899652 69.6933179920002,163.683318652 69.6877639920002,163.599972652 69.6805459920002,163.541927652 69.6794269920002,163.506654652 69.6822089920001,163.446345652 69.6887269920001,163.403181652 69.7029089920001,163.319409652 69.7147179920001,163.292481652 69.7166639920001,163.217190652 69.7172089920002,163.178318652 69.7166639920001,163.067745652 69.696363992,162.965518652 69.676372992,162.855227652 69.6560999920001,162.832454652 69.6522089920002,162.743318652 69.6477639920001,162.717745652 69.650817992,162.658018651 69.668045992,162.609954651 69.6774729920001,162.554136651 69.6783179920001,162.515536651 69.6774729920001,162.494963651 69.6758089920001,162.431336651 69.669663992,162.413027651 69.669145992,162.323299651 69.6621999920001,162.234127651 69.647217992,162.180545651 69.6255359920002,162.016299651 69.546999992,161.976072651 69.528317992,161.931363651 69.5202639920001,161.901781651 69.5188729920002,161.870799651 69.5262359920001,161.838436651 69.5316549920001,161.810790651 69.528317992,161.668581651 69.4669269920002,161.649418651 69.4494179920001,161.609054651 69.4252639920002,161.55998165 69.4091549920001,161.45385465 69.3879089920001,161.43496365 69.3767819920001,161.42162765 69.2410909920001,161.42553665 69.2027729920001,161.45052765 69.1499909920001,161.48025465 69.0902729920001,161.50442765 69.0604639920002,161.54608165 69.0404089920001,161.56733665 69.0117999920002,161.57718165 68.912072992,161.54011865 68.8963819920002,161.45190965 68.8633089920002,161.31886365 68.7910269920001,161.29268165 68.737972991,161.27527265 68.6769269910002,161.16579965 68.583881991,161.13593665 68.5609549910001,161.05928165 68.533045991,161.00942765 68.5246999910001,160.94998165 68.5180549910001,160.91525465 68.5194359910001,160.83787265 68.5237359910001,160.76359965 68.5384549910001,160.76207265 68.5609549910001,160.87246365 68.555545991,161.00329965 68.5505359910001,161.06607265 68.5633089910002,161.09247265 68.5866549910001,161.21023665 68.6985909910001,161.20522765 68.7188729910002,161.21552765 68.783590992,161.28081865 68.8485999920001,161.34023665 68.8955359920001,161.36134565 68.9095729920002,161.38428165 68.9301179920001,161.40109065 68.9544359920001,161.41080965 68.9765089920002,161.39499065 68.994708992,161.36274565 69.0105459920002,161.263181650001 69.0444269920002,161.22411865 69.0524729920002,161.18941865 69.0549819920001,161.10871865 69.0571999920001,161.02957265 69.0722089920001,161.00832765 69.0797089920002,160.96844565 69.1144909920002,160.98913665 69.1336089920002,161.02441865 69.1494269920001,161.04302765 69.1672089920001,161.02138165 69.2728999920001,161.01457265 69.2998459920002,160.98274565 69.3653909920002,160.96011865 69.3867909920002,160.93900965 69.4015089920001,160.92220965 69.4588819920002,160.93219065 69.5099909920002,160.96300965 69.5460999920002,160.98592765 69.5599819920002,160.99920965 69.5797819920001,160.91969065 69.6380459920002,160.68664565 69.6621999920001,160.288299649 69.7063729920002,160.132754649 69.7224909920001,160.091645649 69.7271999920002,160.046936649 69.7369269920001,159.804409649 69.8013729920001,159.729672649 69.834717992,159.684418649 69.8939459930001,159.698299649 69.9169269930001,159.706636649 69.9224819930002,159.711636649 69.9285909930001,159.745790649 69.947481993,159.778045649 69.9638819930001,159.813172649 69.9766549930001,159.878845649 70.0772089930002,159.797481649 70.1033179930002,159.794981649 70.1372089930002,159.956909649 70.134717993,160.094699649 70.2445639930002,160.103718649 70.2827639930001,160.035245649 70.409017993,159.893599649 70.532481993,159.810518649 70.5952639930001,159.775272649 70.6180459930001,159.680254649 70.6694269930002,159.509981649 70.7341459930001,159.464418649 70.7497089930001,159.279972648 70.8102549930002,159.248290648 70.819445993,159.151645648 70.8449819930001,159.044690648 70.869835993,158.964145648 70.8794269930001,158.912199648 70.8880459930002,158.757754648 70.9155459930001,158.706636648 70.924990994,158.655545648 70.9347089940001,158.449127648 70.971372994,158.101072647 71.0216549940002,157.903318647 71.0458179940002,157.660518647 71.0630359940001,157.603854647 71.0660819940001,157.565799647 71.0680549940001,157.316372647 71.076381994,156.819118646 71.0924819940001,156.770245646 71.0931819940001,156.720518646 71.0924819940001,156.639981646 71.0897089940001,156.598299646 71.0863819940002,156.517763646 71.0835999940001,156.344118646 71.0874909940001,156.229672646 71.092208994,156.132172645 71.0930459940002,155.937190645 71.0944359940001,155.836363645 71.0902729940001,155.814972645 71.0880459940002,155.730527645 71.0785999940001,155.500827645 71.053590994,155.461918645 71.0538639940001,155.421909645 71.052763994,155.059236644 71.0348359940001,154.999118644 71.0313459940002,154.894136644 71.0205359940002,154.810245644 71.011108994,154.706081644 71.0002729940001,154.499118644 70.9797089940002,154.356354644 70.9685999940001,154.220790644 70.9558269940002,154.035799643 70.9183179940002,153.781645643 70.8769179930002,153.698027643 70.865535993,153.636081643 70.8751179930001,153.452454643 70.8774729930001,153.334409643 70.8733089930001,153.313018643 70.8694269930001,153.235781643 70.8552549930001,153.085236643 70.840272993,153.002472642 70.8438729930002,152.866636642 70.8447089930001,152.769436642 70.842754993,152.610509642 70.8330549930002,152.538299642 70.8377729930001,152.296354642 70.8674819930001,152.224118642 70.8766459930001,152.119109642 70.8974909930001,152.077318642 70.9098549930001,152.047618642 70.9234549940001,152.026090642 70.9338729940002,151.971618642 70.9405359940001,151.844418641 70.9560999940001,151.743318641 70.9659549940001,151.688309641 70.9719269940001,151.659572641 70.9841549940002,151.806918641 70.977763994,151.909009641 70.969699994,151.995790642 70.9702639940002,152.016663642 70.972763994,152.134827642 70.9950459940002,152.131345642 71.0169359940002,152.107454642 71.0308179940002,152.068027642 71.0516549940001,151.895263641 71.1402729940002,151.803036641 71.1813639940001,151.759081641 71.2185999940001,151.732181641 71.2427549940001,151.625518641 71.2958179940001,151.461918641 71.341099994,151.434145641 71.344435994,151.356354641 71.345826994,151.278872641 71.3472179940002,151.186099641 71.3577549940002,151.111499641 71.3783089940001,151.039272641 71.391935994,150.990509641 71.392208994,150.85705464 71.3703909940001,150.81802764 71.3580359940001,150.69359064 71.3119179940001,150.67276364 71.3002639940001,150.63969064 71.2830459940001,150.60633664 71.2783179940001,150.64276364 71.3422089940001,150.66247264 71.3602639940001,150.69269964 71.3749459940001,150.72926364 71.3908269940001,150.67526364 71.3883179940001,150.65387264 71.3844269940001,150.62536364 71.3774819940001,150.58829964 71.360399994,150.56483664 71.342754994,150.39859064 71.275272994,150.35467264 71.2730359940002,150.31747264 71.2772089940001,150.29748164 71.2755459940002,150.27609064 71.2713819940001,150.23272764 71.260817994,150.19692764 71.249999994,150.16928164 71.235535994,150.14580964 71.2210999940002,150.12411864 71.2155459940001,150.10302764 71.2116549940001,150.06274564 71.2083269940002,150.02359064 71.2074909940002,150.04443664 71.2246999940001,150.13470964 71.2544359940001,150.20190964 71.275272994,150.33746364 71.3094179940002,150.35912764 71.3146999940001,150.43273664 71.3313729940001,150.45358164 71.3341549940001,150.49383664 71.3371999940001,150.52053664 71.3442909940001,150.64956364 71.4401179940001,150.66789064 71.483108994,150.63566364 71.505135994,150.55386364 71.5158269940002,150.25998164 71.5188729940001,150.23996364 71.5185999940001,150.19970964 71.5166639940001,150.13916364 71.5130459940001,150.11883664 71.5113819940001,150.07690964 71.5055549940001,149.97134564 71.4788639940002,149.90691864 71.4655459940001,149.86564564 71.4631909940001,149.86800964 71.4902549940001,149.94678164 71.5885999940001,149.96884564 71.5987359940002,150.00427264 71.5984549940002,150.01349964 71.5695639940001,150.09801864 71.587063994,149.96191864 71.6572089940001,149.86910964 71.6621999940001,149.79788164 71.6483179940001,149.769718639 71.6427639940001,149.690518639 71.6422089940002,149.540254639 71.6522089940001,149.426090639 71.6630359940002,149.275545639 71.6824819940001,149.112027639 71.695117994,149.083163639 71.6867819940001,149.051227639 71.675535994,148.998836639 71.6633179940001,148.829409639 71.6721269940001,148.852872639 71.6956729940001,148.906781639 71.6966459940002,148.964127639 71.6913639940001,148.996781639 71.6988729940001,149.037472639 71.7588819940001,148.976899639 71.761108994,148.928572639 71.7648549940001,148.891218639 71.7710999940001,148.840745639 71.8033459940001,148.954954639 71.7869269940001,149.095654639 71.7654089940002,149.125518639 71.7655459940001,149.156436639 71.7760999940001,149.194090639 71.8088729940001,149.216918639 71.8266639940001,149.290527639 71.8815089940001,149.337981639 71.9002729940001,149.369799639 71.9045729940001,149.406063639 71.8956819940001,149.582454639 71.7991459940002,149.633709639 71.7691549940001,149.668318639 71.7615179940001,149.698854639 71.7633179940001,149.742736639 71.7727639940001,149.98080964 71.831935994,150.02413664 71.848872994,150.07129064 71.8840819940002,150.06233664 71.9187269940001,150.04525464 71.9349819940001,150.01776364 71.954708994,149.93220964 72.0041639950001,149.720245639 72.1160909950001,149.526927639 72.1609549950001,149.402463639 72.1783179950002,149.345518639 72.1877639950001,149.240781639 72.2091549950001,149.185245639 72.222490995,149.029145639 72.2380359950001,148.910799639 72.2474819950001,148.713863639 72.2633179950001,148.618009638 72.2788729950002,148.552063638 72.2923459950001,148.503599638 72.2991459950002,148.266936638 72.3194459950001,148.146363638 72.3233179950002,147.883881638 72.3294359950002,147.558318637 72.3297089950001,147.224399637 72.3283269950002,147.182190637 72.3233179950002,147.130663637 72.3144269950001,147.066072637 72.2883179950001,146.722472637 72.1077549950001,146.547763636 72.0136089950001,146.522336636 71.9979089950002,146.327181636 71.8894359940002,146.189418636 71.8333269940001,146.079681636 71.790954994,145.823854636 71.7469359940001,145.669981636 71.7308179940002,145.612181636 71.736926994,145.572754636 71.737763994,145.544145636 71.7328909940001,145.481763635 71.709572994,145.376890635 71.6716459940001,145.339145635 71.6599909940001,145.318845635 71.6580359940002,145.266372635 71.6795639940001,145.238281635 71.6858089940001,145.086363635 71.6938639940002,144.984681635 71.6983179940001,144.920672635 71.6933179940002,144.893190635 71.7241549940001,144.888318635 71.770681994,144.919963635 71.7805359940002,144.968018635 71.7741549940001,145.026645635 71.7705359940002,145.047209635 71.7736089940001,145.191463635 71.8121999940001,145.214036635 71.8395729940001,145.112163635 71.8701179940002,145.083036635 71.8730269940002,145.037199635 71.882063994,144.957472635 71.9212359940002,144.967390635 71.9658179940001,144.995236635 71.971099994,145.209972635 71.9199819940002,145.290736635 71.8880359940002,145.318727635 71.870126994,145.347745635 71.8663819940002,145.487454635 71.888317994,145.676463636 71.905535994,145.706027636 71.9044359940002,145.726290636 71.906372994,145.747127636 71.9094269940001,145.801845636 71.9271359940002,145.817690636 71.9560999940001,145.805818636 72.0058269950002,145.790954636 72.0277639950002,145.755109636 72.0372089950002,145.710309636 72.0299179950001,145.676636636 72.0267909950001,145.654418636 72.0424819950001,145.618227636 72.082072995,145.658018636 72.1105359950002,145.682190636 72.1283089950001,145.732454636 72.170535995,145.740781636 72.1888729950001,145.741818636 72.214426995,145.715236636 72.2163819950001,145.683318636 72.2183179950001,145.621899636 72.2428549950001,145.691345636 72.252772995,145.721499636 72.251381995,145.750545636 72.2466459950002,145.836345636 72.2248459950002,145.901645636 72.2028999950002,145.956281636 72.1327549950001,145.955809636 72.1122089950001,145.936763636 72.1003999950001,145.952609636 72.075272995,145.985445636 72.0655359950001,146.059418636 72.1245729950002,146.051790636 72.1541549950002,146.204836636 72.1741459950001,146.234127636 72.1702549950001,146.341081636 72.1249729950001,146.252199636 72.0847179950001,146.154972636 72.049990995,146.106354636 72.0327639950002,146.075518636 72.0290179950002,146.039563636 72.0380359950001,145.996627636 72.030063995,145.934245636 71.8569909940001,145.964663636 71.846935994,145.985472636 71.8513819940002,146.026918636 71.8659549940002,146.064563636 71.889708994,146.086090636 71.904708994,146.193572636 71.9513819940001,146.271363636 71.9741549940002,146.337463636 71.9999999950002,146.401090636 72.0266549950001,146.428318636 72.0383179950002,146.622745637 72.1319269950001,146.683318637 72.161372995,146.826081637 72.237763995,146.848018637 72.2499999950001,146.917327637 72.299845995,146.665254637 72.305545995,146.544127636 72.3074819950002,146.462736636 72.3072089950001,146.422209636 72.3069269950001,146.381618636 72.3066359950001,146.047209636 72.2999909950001,145.985781636 72.2977639950001,145.821899636 72.2905459950001,145.678318636 72.2827639950001,145.595790636 72.277208995,145.534427636 72.2736089950001,145.472745635 72.2699909950002,145.248018635 72.2597179950002,145.187472635 72.2597179950002,145.127163635 72.2608179950001,145.086363635 72.2591549950001,144.819118635 72.2371999950001,144.778045635 72.2330459950001,144.757199635 72.2297089950001,144.715236635 72.2219269950001,144.674563635 72.2084639950001,144.656236635 72.1963639950001,144.635254635 72.1813639950001,144.614136635 72.1755359950002,144.531918635 72.1672089950001,144.431636635 72.1688729950001,144.382336634 72.1739999950001,144.295809634 72.1969269950001,144.276363634 72.202208995,144.192472634 72.2308179950002,144.143445634 72.2634639950002,144.284236634 72.2953909950002,144.378572634 72.2805459950001,144.423999635 72.2624179950001,144.535518635 72.2310909950002,144.589690635 72.284426995,144.609409635 72.3024729950001,144.688290635 72.3566459950001,144.734681635 72.3866549950001,144.770127635 72.4012459950002,144.800263635 72.409990995,144.885527635 72.4280359950001,144.906372635 72.4313639950001,144.927181635 72.4333179950001,144.968290635 72.4349819950001,144.988281635 72.4335909950001,145.173872635 72.4145729950001,145.253327635 72.3963819950001,145.272218635 72.3897089950002,145.304690635 72.3705269950001,145.410245635 72.3524819950001,145.794981636 72.3466459950002,145.937190636 72.3469359950002,146.099699636 72.3469359950002,146.220790636 72.3438729950001,146.445527636 72.3483269950002,146.585236637 72.338590995,146.664427637 72.331372995,146.744963637 72.3294359950002,146.806918637 72.3324909950001,146.838718637 72.343799995,146.754699637 72.3624909950001,146.715518637 72.3683179950001,146.675809637 72.3719179950002,146.636654637 72.3766459950001,146.528445636 72.3905459950002,146.325527636 72.4313639950001,146.227190636 72.4528999950001,146.197754636 72.4577639950001,146.058590636 72.4722179950001,146.018581636 72.4758179950001,145.978027636 72.4766549950001,145.917481636 72.4805459950002,145.818299636 72.4924819950001,145.529690636 72.5358089950001,145.470790635 72.5469359950001,145.249690635 72.566081995,145.046936635 72.5774819950001,144.661099635 72.5980359950002,144.600254635 72.6027639950001,144.560245635 72.6083179950001,144.480254635 72.6208179950001,144.440518635 72.6274729950001,144.339418634 72.637772995,144.136381634 72.6519269950002,144.095245634 72.653872995,144.033872634 72.6560999950001,143.951909634 72.6572089950002,143.910518634 72.6552549950002,143.868563634 72.6508179950001,143.811099634 72.651654995,143.790799634 72.6533179950001,143.770536634 72.6560999950001,143.649990634 72.6746999950002,143.589418634 72.6841459950002,143.569118634 72.686917995,143.548854634 72.6894179950001,143.508027634 72.6913639950002,143.425536634 72.6921999950001,143.384427634 72.6916549950001,143.363590634 72.6905359950001,143.301636633 72.689972995,143.239963633 72.6894179950001,143.116054633 72.6885819950001,143.054409633 72.6891459950002,142.894136633 72.693317995,142.791354633 72.6966359950001,142.709690633 72.7022089950001,142.482454633 72.6980269950001,142.297481633 72.7030459950003,142.014163632 72.718599995,141.993563632 72.7199819950002,141.870236632 72.7291549950001,141.849972632 72.731654995,141.583309632 72.7672089950001,141.562745632 72.7710999950002,141.521909632 72.7810999950001,141.472745632 72.7952639950001,141.415799632 72.8230459950001,141.393599632 72.838463995,141.371063632 72.847763995,141.350527632 72.8513819950001,140.935790631 72.8780359950001,140.748836631 72.8894359950001,140.663609631 72.8935999950002,140.643036631 72.8935999950002,140.622190631 72.8924909950001,140.593018631 72.8874909950001,140.578445631 72.8712269950001,140.665663631 72.8024819950001,140.824672631 72.7588819950002,140.968563631 72.7133179950002,141.001372631 72.7010999950002,141.019699631 72.6858179950002,141.024136631 72.5858179950002,140.999118631 72.5699909950002,140.806363631 72.5285909950001,140.663299631 72.5016639950001,140.602172631 72.4941359950001,140.398318631 72.4830459950001,140.09274563 72.472763995,140.05190963 72.4752639950001,139.86773663 72.4966459950002,139.78609963 72.501390995,139.66360963 72.5010999950001,139.62274563 72.4997089950001,139.54135463 72.4944269950001,139.49302763 72.481926995,139.46911863 72.4730359950001,139.31441863 72.4072089950002,139.16568163 72.3235999950001,139.13537263 72.2949819950001,139.08746363 72.2302639950001,139.13470963 72.1899729950001,139.15164563 72.1777639950002,139.18482763 72.1624819950001,139.24469063 72.1408269950001,139.26498163 72.1347179950001,139.28524563 72.1299729950001,139.32552763 72.1277639950001,139.36773663 72.1599909950001,139.48565463 72.2090179950001,139.56094563 72.2327639950002,139.62939063 72.2349819950001,139.73025463 72.229154995,139.77053663 72.229154995,139.85134563 72.2294269950002,139.95190963 72.2322089950001,140.01220963 72.237490995,140.03247263 72.2349819950001,140.149718631 72.2191459950002,140.194272631 72.2063729950001,140.216899631 72.1819179950002,140.198990631 72.1694359950001,140.08330963 72.1377729949999,140.06329063 72.1341549950001,140.04330963 72.1366549950002,140.01887263 72.1458179950002,139.96606363 72.1672089950001,139.94579963 72.1708179950001,139.92580963 72.1733089950001,139.90554563 72.1744269950001,139.88552763 72.1730359950001,139.85968163 72.1649819950001,139.74035463 72.0968639950001,139.71300963 72.075272995,139.69656363 72.036654995,139.71403663 72.0028359950001,139.68936363 71.9766549940001,139.64629963 71.9549909940001,139.60891863 71.9473359940002,139.55939063 71.9463639940001,139.51940963 71.9513819940001,139.45940963 71.9572179940002,139.40957263 71.9580359940002,139.37967263 71.9566459940001,139.33663663 71.9455269940001,139.35689963 71.9405359940001,139.39694563 71.9358089940002,139.53634563 71.9280359940001,139.59628163 71.9233089940001,139.61629963 71.9208179940001,139.64436363 71.9116549940001,139.73895463 71.836235994,139.68969963 71.7866549940002,139.70886363 71.7091549940001,139.73203663 71.6690179940001,139.79940963 71.6044269940001,139.84731863 71.5766639940002,139.92636363 71.5491459940001,139.93246363 71.4849819940001,139.74246363 71.4644269940001,139.64051863 71.480126994,139.55440963 71.489699994,139.44691863 71.4959459940001,139.41802763 71.491363994,139.37016363 71.441363994,139.35385463 71.4212359940001,139.25137263 71.4113729940001,139.20288163 71.4123549940002,139.11440963 71.427763994,139.08746363 71.4833179940001,139.044418629 71.5663729940001,139.026090629 71.5744359940001,138.986636629 71.5802729940002,138.827454629 71.613599994,138.732881629 71.6424909940001,138.703581629 71.6410999940001,138.655399629 71.630817994,138.588563629 71.6127639940001,138.561918629 71.6033179940002,138.588909629 71.5879089940001,138.591354629 71.5508089940002,138.457199629 71.5337359940001,138.435245629 71.537199994,138.397827629 71.5712359940001,138.429699629 71.5941549940002,138.456636629 71.5994269940001,138.488709629 71.6113729940002,138.391081629 71.6080359940001,138.239409629 71.596372994,138.104399629 71.5788729940002,138.066072629 71.5736089940002,138.034427629 71.5590089940001,138.023318629 71.537199994,138.024354629 71.4954729940001,138.008027629 71.468872994,137.935790628 71.421099994,137.914154628 71.4083269940002,137.874972628 71.3956819940001,137.825654628 71.386935994,137.876890628 71.3633089940002,137.992890629 71.334572994,138.083481629 71.3336549940001,138.164790629 71.3331549940001,138.188136629 71.3326459940001,138.233218629 71.323608994,138.164890629 71.3223179940002,138.124799629 71.3248459940001,137.985927629 71.2941549940002,138.050518629 71.286799994,138.079127629 71.291363994,138.118009629 71.2894269940001,138.205427629 71.2762269940001,138.215790629 71.2590179940001,138.173445629 71.2405359940001,138.062045629 71.220535994,138.013881629 71.2199819940002,137.946090628 71.223590994,137.880527628 71.2408179940001,137.828581628 71.2563819940002,137.783581628 71.2451269940001,137.747036628 71.2214459940002,137.792345628 71.2056819940001,137.917054628 71.1941359940001,138.010527629 71.183454994,138.067890629 71.1360269940002,137.984954629 71.1069359940001,137.954409628 71.1385999940001,137.906081628 71.1419359940001,137.876209628 71.133463994,137.859409628 71.1145639940002,137.803863628 71.1158179940002,137.771909628 71.1252639940001,137.709136628 71.180817994,137.696072628 71.220535994,137.641354628 71.2555549940001,137.595227628 71.2408179940001,137.537763628 71.238726994,137.421918628 71.2792909940001,137.445254628 71.3063639940002,137.476345628 71.3313729940001,137.451909628 71.3410909940002,137.278590628 71.3855459940001,137.238281628 71.3949909940002,137.182190628 71.4063729940001,137.162199628 71.4097179940001,137.122745628 71.4141549940001,137.074145628 71.4140179940001,136.885527627 71.461108994,136.832745627 71.496090994,136.806636627 71.511245994,136.778045627 71.5185999940001,136.717745627 71.5288729940001,136.668727627 71.529163994,136.631209627 71.5209639940001,136.564563627 71.5006819940001,136.497463627 71.5676179940001,136.460936627 71.5742909940001,136.421918627 71.5729089940002,136.353027627 71.575272994,136.313290627 71.5783269940001,136.253327627 71.5833269940001,136.192745627 71.5933179940002,136.172209627 71.597763994,136.086090627 71.6158179940001,136.005245627 71.6266459940002,135.964963627 71.6319269940001,135.855099627 71.639572994,135.771090626 71.6377729940001,135.591336626 71.615263994,135.440799626 71.588317994,135.353836626 71.565817994,135.378572626 71.5521999940001,135.418581626 71.532272994,135.357999626 71.5244269940001,135.338009626 71.5252729940001,135.297481626 71.5316639940001,135.278318626 71.5380359940001,135.257472626 71.5435909940002,135.226909626 71.547899994,135.057890626 71.5344269940001,135.020399626 71.5284639940002,134.808872626 71.4766549940002,134.784699626 71.4647089940001,134.696345625 71.4152639940002,134.452454625 71.3674819940001,134.273881625 71.3662359940001,134.006381625 71.3827549940001,133.924681625 71.3949909940002,133.679136624 71.433317994,133.617190624 71.4438639940001,133.575809624 71.451381994,133.513027624 71.4641549940001,133.470245624 71.475263994,133.367736624 71.5019359940001,133.332454624 71.5130459940001,133.157627624 71.5726269940001,133.107454624 71.5988729940001,132.988863624 71.6680459940001,132.963290624 71.6847089940002,132.943999624 71.7056819940001,132.925809624 71.723735994,132.898036624 71.7351179940001,132.805545624 71.7499999940001,132.741909624 71.761381994,132.715518624 71.7684639940002,132.706636624 71.793035994,132.721499624 71.8121999940001,132.756145624 71.8291549940002,132.752727624 71.934563994,132.718445624 71.941090994,132.652772624 71.929426994,132.616636624 71.9183179940002,132.537890623 71.888881994,132.509981623 71.8722089940002,132.254836623 71.6703999940001,132.113009623 71.5205359940001,132.086363623 71.4883089940001,131.946627623 71.2891549940002,131.940672623 71.2545819940001,131.968172623 71.2487359940001,132.016936623 71.248026994,132.057463623 71.243590994,132.098018623 71.2388729940001,132.118563623 71.2358089940002,132.139709623 71.2316549940001,132.175736623 71.2181819940001,132.098018623 71.2188729940001,132.017763623 71.2258179940001,131.988436623 71.2265089940001,131.875672623 71.2119359940001,131.843018623 71.2013729940001,131.770809623 71.1391639940001,131.744690623 71.0824909940001,131.657472623 70.9769269940001,131.629390623 70.9505459940001,131.571072623 70.9044359930001,131.535799623 70.877763993,131.498018622 70.8574819930001,131.349972622 70.7896999930002,131.317472622 70.7758179930001,131.284427622 70.7630459930002,131.208309622 70.7401179930002,131.181918622 70.7347089930001,131.130245622 70.7310909930001,131.024409622 70.7344179930001,130.964145622 70.7416549930001,130.923581622 70.7474819930002,130.897609622 70.7549999930002,130.883654622 70.7835999930001,130.897490622 70.804563993,130.892272622 70.837281993,130.783581622 70.9717909940002,130.747754622 70.9656819940001,130.720654622 70.953181994,130.710663622 70.9277549940001,130.710527622 70.9056819930001,130.693727622 70.882899993,130.662472622 70.8708089930001,130.626218622 70.8666459930001,130.577181622 70.8694269930001,130.514436622 70.8813639930002,130.491899622 70.8929089930002,130.360381621 70.921235994,130.288572621 70.9308179940001,130.223845621 70.9466359940002,130.168872621 70.9658179940001,130.195527621 70.9709549940001,130.222318621 70.9835999940001,130.156372621 71.0469359940001,130.078018621 71.0824909940001,129.911654621 71.0988729940002,129.805818621 71.1055459940001,129.743836621 71.121090994,129.758181621 71.1437459940001,129.708163621 71.216935994,129.653581621 71.2583269940001,129.624363621 71.2663909940002,129.602999621 71.2702639940002,129.419954621 71.323608994,129.38422762 71.3437359940002,129.35909962 71.3894359940001,129.34659062 71.4138819940002,129.31411862 71.462199994,129.24019062 71.5499089940001,129.18435462 71.5908179940001,129.15340962 71.6042909940001,129.10464562 71.6066459940002,129.06717262 71.602199994,129.02773662 71.598326994,128.92243662 71.5909549940001,128.89190962 71.5924819940001,128.86993662 71.596372994,128.84382762 71.6042909940001,128.81396362 71.6559549940001,128.83715462 71.6790089940002,128.88424562 71.6990089940001,128.92910962 71.7083269940002,128.98742762 71.7113819940001,129.04745462 71.7108179940002,129.11449962 71.716099994,129.21466362 71.7344179940001,129.27508162 71.7487359940001,129.38104562 71.7366459940001,129.425509621 71.7274819940002,129.527172621 71.7199179940001,129.480227621 71.737763994,129.31479962 71.7988729940002,129.28875462 71.825681994,129.30688162 71.8484549940001,129.29536362 71.866654994,129.27773662 71.8813639940002,129.07248162 72.0019359950001,129.05465462 71.9749909940001,129.08008162 71.9199819940002,129.09742762 71.899017994,129.11910962 71.8847179940001,129.14135462 71.8730269940002,129.16998162 71.8497179940002,129.18481862 71.825408994,129.18229962 71.803454994,129.15952762 71.7897089940001,129.08132762 71.7674909940001,128.95992762 71.7399729940002,128.91995462 71.7402639940001,128.71163662 71.7705359940002,128.64605462 71.7984549940001,128.65632762 71.8272179940001,128.61297262 71.890545994,128.54687262 71.9008179940001,128.52606362 71.9022089940001,128.49493662 71.9141549940002,128.43077262 71.965472994,128.38360962 72.039426995,128.256772619 72.1113729950002,128.019718619 72.185254995,127.937763619 72.2058269950001,127.845054619 72.2596459950001,127.787199619 72.2922089950002,127.763890619 72.3035909950001,127.697763619 72.3341549950001,127.658599619 72.3474909950001,127.635818619 72.3513819950002,127.614154619 72.3524819950001,127.553036619 72.351654995,127.492481619 72.349426995,127.471918619 72.349426995,127.450545619 72.3508179950001,127.292763619 72.3716459950001,127.246936619 72.3788639950001,127.176372618 72.392490995,127.029163618 72.4024819950001,126.946090618 72.4024819950001,126.905545618 72.4013819950001,126.720118618 72.3874819950001,126.814699618 72.331935995,126.891790618 72.2928999950001,126.904709618 72.2494999950001,126.915263618 72.1744269950001,126.974354618 72.0542909950001,127.025827618 72.0149819950002,127.047209618 72.0069459950002,127.078345618 71.9999999950002,127.113590618 71.9919269950001,127.191354618 71.9716459940001,127.222472618 71.9608179940001,127.268863619 71.9385819940001,127.291927619 71.9274729940002,127.314972619 71.9131819940001,127.326081619 71.8949909940001,127.313854619 71.8722089940002,127.290254619 71.8583179940001,127.241709619 71.8374909940001,127.197736618 71.7736089940001,127.188018618 71.7472089940001,127.224690618 71.6424909940001,127.239272619 71.605681994,127.261927619 71.5819269940002,127.293581619 71.5430359940001,127.311499619 71.4905269940001,127.312763619 71.4591549940001,127.312045619 71.430672994,127.305799619 71.4113729940001,127.288309619 71.3947179940001,127.276090619 71.3888819940001,127.215263618 71.394572994,127.214427618 71.4222089940001,127.230127618 71.4577639940002,127.219972618 71.5233179940002,127.204136618 71.594708994,127.179409618 71.615263994,127.104427618 71.7363729940001,127.089418618 71.7670639940001,127.104409618 71.8008089940001,127.131218618 71.8480359940001,127.113863618 71.8627639940001,127.029136618 71.9077639940002,126.998018618 71.9185909940002,126.974690618 71.9233089940001,126.943572618 71.9341459940002,126.908599618 71.950817994,126.803318618 72.0165269950002,126.808872618 72.0426269950001,126.775545618 72.1127639950001,126.751390618 72.140272995,126.625499618 72.1781459950001,126.552463618 72.2513909950001,126.400545618 72.3424819950001,126.364981618 72.3521999950001,126.316654618 72.3352729950001,126.273590618 72.3074819950002,126.246090618 72.2899819950001,126.127627617 72.2674909950001,126.094709617 72.270535995,126.054699617 72.2805459950001,125.974427617 72.3066359950001,125.906372617 72.3274819950001,125.882199617 72.3322179950001,125.859990617 72.3344269950001,125.829299617 72.3337359950001,125.800536617 72.3305549950002,125.760818617 72.3280459950001,125.718045617 72.3302729950001,125.671654617 72.337199995,125.647490617 72.341935995,125.590818617 72.3572089950002,125.552481617 72.3702549950002,125.526990617 72.3953729950001,125.455554617 72.4235999950002,125.406936617 72.4330459950002,125.342209617 72.4363729950001,125.319718617 72.4385819950001,125.296372617 72.4419269950001,125.255827617 72.4519359950001,125.230818617 72.4627729950001,125.217481617 72.4808179950001,125.200272617 72.498599995,125.160127617 72.5240179950001,125.137499617 72.5319359950001,125.117199617 72.536926995,125.092754617 72.5416549950001,125.046372616 72.5472089950001,124.975809616 72.5574819950001,124.951390616 72.562190995,124.861099616 72.5810999950001,124.763609616 72.6097089950001,124.738036616 72.6237359950002,124.706936616 72.628581995,124.663309616 72.6305359950001,124.554981616 72.6344269950001,124.451390616 72.6372089950001,124.430545616 72.636935995,124.387772616 72.637772995,124.343045616 72.6408269950001,124.269709616 72.6533179950001,124.229709616 72.6663729950001,124.199436616 72.6830359950002,124.146654616 72.7013819950001,124.108872616 72.711381995,123.859709615 72.7463729950001,123.787772615 72.7563819950001,123.743590615 72.7580459950001,123.680545615 72.7572179950002,123.660263615 72.7558269950002,123.569990615 72.7366459950002,123.493872615 72.7260909950001,123.473872615 72.724426995,123.411927615 72.7224909950001,123.389972615 72.7233089950001,123.343872615 72.7274819950001,123.222209615 72.7430459950002,123.148881615 72.7538729950002,123.097490615 72.7691459950001,123.047209615 72.7777729950002,123.000818615 72.7819359950001,122.956645615 72.7835999950001,122.867199614 72.7883179950002,122.749418614 72.8008089950002,122.653590614 72.8121909950002,122.518881614 72.8385909950001,122.490818614 72.8459639950001,122.472072614 72.857072995,122.419709614 72.8674819950001,122.396381614 72.8694269950001,122.374154614 72.870254995,122.310809614 72.8691359950002,122.266390614 72.8708179950001,122.220836614 72.8735999950001,122.125263614 72.883608995,122.053309614 72.8919359950002,122.027772614 72.8960999950001,122.006099614 72.9008179950002,121.925190614 72.9288729950001,121.960818614 72.9520729950002,121.937190614 72.9611089950001,121.865809613 72.9680459950002,121.843318613 72.9688729950002,121.799990613 72.9691459950001,121.472209613 72.9699819950001,121.388318613 72.9669359950001,121.299145613 72.9581819950001,121.214427613 72.9446999950001,121.155545613 72.9385819950002,121.135536613 72.9369179950002,121.054154613 72.9313639950001,121.014427613 72.929981995,120.969709613 72.9313639950001,120.923863613 72.9338729950001,120.875809613 72.9385819950002,120.826390613 72.9446999950001,120.777209612 72.9508179950001,120.681663612 72.9680459950002,120.629963612 72.9763819950001,120.604981612 72.979426995,120.581672612 72.981090995,120.559145612 72.9816549950002,120.474154612 72.979426995,120.428309612 72.9819359950001,120.358599612 72.986099995,120.135272612 72.9997089950002,119.879963612 73.0144359950002,119.811372612 73.0172089950001,119.782627612 73.0131909950002,119.757209612 72.9978359950001,119.790263612 72.9705359950001,119.818599612 72.960263995,119.854709612 72.9508179950001,119.876645612 72.9463639950001,119.901381612 72.943317995,119.946090612 72.942199995,120.059145612 72.9383089950002,120.172209612 72.9341459950001,120.268881612 72.924699995,120.365254612 72.9152639950001,120.439418612 72.9063729950001,120.561509612 72.8819999950002,120.456099612 72.8810909950001,120.379963612 72.892208995,120.332209612 72.9008179950002,120.259163612 72.9085999950001,120.235527612 72.9102639950002,120.189699612 72.912763995,120.098036612 72.9174819950002,119.999999612 72.9199089950002,119.963881612 72.9208179950001,119.916927612 72.9244269950001,119.867199612 72.929981995,119.817754612 72.9358089950001,119.760681612 72.9467819950001,119.586109611 72.9963729950001,119.563736611 73.0247089950001,119.533181611 73.0585909950001,119.501099611 73.0641459960001,119.477199611 73.065808996,119.454709611 73.0663729960002,119.433590611 73.0655359960002,119.298318611 73.068599996,119.250818611 73.0719269960002,119.004172611 73.1044269960001,118.852481611 73.1341549960001,118.672209611 73.164699996,118.64721861 73.1674819960002,118.47109961 73.2016549960001,118.38887261 73.2387269960002,118.35151861 73.2833179960002,118.34719961 73.4098459960002,118.36692761 73.4277639960002,118.47137261 73.4797179960001,118.49664561 73.483317996,118.59789961 73.475399996,118.63248161 73.4530459960002,118.687481611 73.442199996,118.911099611 73.4549909960002,118.954845611 73.4659549960002,118.985881611 73.4852639960001,118.953872611 73.504717996,118.832209611 73.5447089960001,118.660263611 73.5688819960002,118.63442761 73.5716549960001,118.46748161 73.579163996,118.42109961 73.579990996,117.95166361 73.5861089960002,117.82110961 73.5813729960002,117.80053661 73.5794359960001,117.71360961 73.5763819960001,117.574709609 73.578326996,117.337772609 73.5863819960001,117.289981609 73.5880459960001,117.242199609 73.5899819960002,117.216381609 73.5924819960001,117.165545609 73.6005359960002,117.083327609 73.6116459960002,117.005254609 73.6194269960002,116.730818609 73.6449909960001,116.601090609 73.6605359960002,116.574999609 73.6630359960001,116.525545609 73.6658179960001,116.432481608 73.666926996,116.388890608 73.664990996,116.328045608 73.6588729960001,116.284418608 73.6569359960001,116.238036608 73.6574819960001,116.163599608 73.6616549960001,116.111363608 73.666381996,116.055818608 73.6738729960001,116.001936608 73.6799819960002,115.871918608 73.691081996,115.820827608 73.6949729960001,115.796099608 73.6960909960001,115.596936608 73.7019359960001,115.456936608 73.7030459960001,115.389972607 73.701099996,115.243318607 73.6933179960001,115.153590607 73.6774729960001,115.116381607 73.6708179960001,114.980390607 73.6433179960001,114.956381607 73.6355459960002,114.920818607 73.6191459960002,114.878863607 73.607481996,114.858872607 73.605254996,114.648609607 73.5902729960001,114.540545607 73.584990996,114.427754607 73.5830549960001,114.404709607 73.5830549960001,114.376645607 73.5863819960001,114.324154606 73.5910909960001,114.274427606 73.5933179960002,114.206645606 73.5924819960001,114.098599606 73.586926996,114.018599606 73.577772996,113.981654606 73.571108996,113.947063606 73.554699996,113.921099606 73.548599996,113.844709606 73.5371999960001,113.824709606 73.534990996,113.637499606 73.520263996,113.551654606 73.5155459960001,113.511936606 73.5111089960002,113.470545606 73.5009639960001,113.504709606 73.4563729960001,113.526927606 73.4391459960001,113.617481606 73.4030459960001,113.769990606 73.353590996,113.821381606 73.3463729960002,113.856509606 73.3458179960001,113.924699606 73.3541549960001,113.947745606 73.3541549960001,113.972209606 73.353045996,113.998318606 73.3508179960001,114.027890606 73.3444359960002,114.010545606 73.3338819960002,113.983872606 73.3283269960001,113.859009606 73.3113729960001,113.826390606 73.3102549960001,113.804154606 73.3127639960001,113.780545606 73.316663996,113.754436606 73.318881996,113.723327606 73.3166549960002,113.695254606 73.3121909960001,113.543045606 73.2384549960001,113.529854606 73.2140179960002,113.530399606 73.1810909960002,113.540545606 73.1624909960001,113.561099606 73.076663996,113.534563606 72.9673459950001,113.508045606 72.9444269950001,113.369427606 72.8855459950001,113.334154606 72.8785819950002,113.238036605 72.8671999950002,113.175536605 72.855535995,113.152899605 72.8428999950001,113.155681605 72.8199819950001,113.179699605 72.7963729950002,113.211109605 72.7738819950002,113.211381605 72.7672089950001,113.223872605 72.7390179950001,113.348045606 72.6878999950001,113.374981606 72.6813639950002,113.440263606 72.6694359950001,113.684418606 72.6366549950001,113.711109606 72.6333269950001,113.736363606 72.6310909950001,113.758609606 72.6310909950001,113.779163606 72.6321999950001,113.823318606 72.6321999950001,113.846936606 72.6310909950001,113.969709606 72.621917995,114.023036606 72.6152639950001,114.055545606 72.609154995,114.091927606 72.5949819950001,114.044709606 72.597217995,114.019709606 72.599426995,113.994427606 72.6019269950001,113.914427606 72.6121999950001,113.795536606 72.6216459950001,113.748318606 72.6238729950001,113.681927606 72.6238729950001,113.661372606 72.6227549950002,113.639163606 72.6227549950002,113.614154606 72.624981995,113.533863606 72.6349909950001,113.464999606 72.6463819950002,113.380536606 72.6627639950001,113.301372606 72.6783179950001,113.236927605 72.6974819950001,113.185390605 72.7194269950001,113.089572605 72.8351269950002,113.110818605 72.8569269950002,113.131654605 72.8660909950001,113.189145605 72.873026995,113.220545605 72.8749819950002,113.297209606 72.8841549950001,113.329436606 72.8933269950002,113.475118606 72.9615819950002,113.454009606 72.9994359950002,113.459427606 73.0197179950002,113.486099606 73.049426995,113.516518606 73.0859639960002,113.519709606 73.1127639960002,113.495390606 73.336926996,113.475536606 73.3444359960002,113.451663606 73.3483269960001,113.396099606 73.354981996,113.317754606 73.3616459960001,113.289981606 73.364990996,113.264018605 73.371645996,113.135263605 73.448172996,113.259163605 73.5494269960002,113.292481606 73.5665089960001,113.319154606 73.5722179960001,113.339154606 73.5744359960001,113.410818606 73.5794359960001,113.429563606 73.6020639960001,113.424427606 73.6408269960002,113.403318606 73.6777639960001,113.364572606 73.7027639960001,113.338045606 73.7160909960002,113.309418606 73.7324819960001,113.268327605 73.7574909960001,113.210272605 73.7999909960001,113.160263605 73.8399819960001,113.142772605 73.8596999960002,112.887772605 73.9649999960001,112.868590605 73.9274729960002,112.933036605 73.8624909960002,112.951518605 73.7973359960001,112.918054605 73.7780459960001,112.874690605 73.7597179960002,112.844709605 73.7483179960001,112.752772605 73.7310909960001,112.732754605 73.728590996,112.691363605 73.7252639960001,112.606372605 73.7191459960002,112.454709605 73.7102639960002,112.409990605 73.7091549960001,112.271654605 73.7069359960001,112.248318605 73.7069359960001,112.098327604 73.712490996,112.021381604 73.7166639960001,111.774990604 73.7474819960001,111.647772604 73.764999996,111.585818604 73.7774819960002,111.410809604 73.8188819960001,111.318327604 73.8441459960001,111.294154604 73.8593459960001,111.237763604 73.9124909960001,111.218045604 73.9363729960001,111.203181604 73.9694269960001,111.223036604 73.991508996,111.251390604 73.9963729960001,111.274990604 73.9966459960002,111.303863604 73.9933179960001,111.338045604 73.984417996,111.358872604 73.9802729960001,111.382472604 73.9805459960001,111.402481604 73.983045996,111.536099604 74.004435996,111.575054604 74.026026996,111.551790604 74.0427639960002,111.518336604 74.0485999960001,111.441936604 74.0513729960002,111.372481604 74.0494269960001,111.326927604 74.0477639960002,111.239154604 74.0424819960001,111.197199604 74.0385909960002,111.176936604 74.0360999960002,111.140263604 74.029163996,111.107481603 74.0197179960001,111.065745603 73.9860909960001,111.077618603 73.961108996,111.097490603 73.9502639960001,111.060545603 73.9197089960001,111.031236603 73.9081819960001,111.001390603 73.9044359960001,110.976090603 73.905254996,110.948863603 73.9072089960001,110.903054603 73.9146999960001,110.713881603 73.951099996,110.665336603 73.9665179960001,110.627472603 73.9799819960002,110.564145603 73.9919269960001,110.534990603 73.9949819960001,110.396945603 74.0083269960001,110.367754603 74.0111089960001,110.200409603 74.0244459960001,110.112763603 74.0188729960001,110.070827603 74.0147089960001,110.031099602 74.0097179960001,109.986781602 74.000117996,109.910536602 73.9734549960002,109.885536602 73.9595819960002,109.850272602 73.9049819960002,109.837209602 73.879708996,109.816090602 73.8708179960001,109.703454602 73.8448459960001,109.654981602 73.8377729960001,109.613872602 73.833599996,109.561645602 73.8288819960001,109.529845602 73.819299996,109.526927602 73.7799819960001,109.539981602 73.7580459960002,109.633327602 73.6958179960002,109.651654602 73.6849819960001,109.678036602 73.6749909960002,109.712199602 73.6660909960001,109.733045602 73.662199996,109.757763602 73.6588729960001,109.780336602 73.6669729960001,109.848327602 73.6988639960002,109.988036602 73.701099996,110.171654603 73.6969269960001,110.194699603 73.694426996,110.241090603 73.6952549960001,110.262772603 73.696635996,110.389427603 73.721099996,110.630536603 73.7779089960002,110.648327603 73.7874909960002,110.671654603 73.7877639960001,110.694699603 73.7852639960001,110.820827603 73.7694359960001,110.893372603 73.7654089960001,110.877618603 73.733517996,110.914318603 73.6966819960001,110.909145603 73.6938639960002,110.872481603 73.6798359960002,110.846363603 73.6738729960001,110.628309603 73.6474909960002,110.535263603 73.6463819960001,110.424145603 73.603863996,110.392490603 73.5972179960001,110.251936603 73.5813729960002,110.142627603 73.5379999960001,110.102199603 73.5083269960001,109.872209602 73.4669359960001,109.813872602 73.4591549960001,109.752209602 73.453599996,109.667481602 73.4477549960001,109.600536602 73.4455269960001,109.575818602 73.4460909960001,109.549145602 73.4480269960001,109.520536602 73.4508179960001,109.496090602 73.4541639960001,109.440699602 73.4712639960001,109.408954602 73.4843819960002,109.371645602 73.4988729960001,109.213045602 73.5447089960001,109.177827602 73.5396359960001,109.183654602 73.5066549960001,109.241363602 73.4999999960001,109.283054602 73.4921999960001,109.320827602 73.4838729960002,109.407009602 73.4438909960002,109.424572602 73.4148359960001,109.354727602 73.4243089960002,109.331381602 73.4380359960001,109.289599602 73.449372996,109.252854602 73.4585459960002,109.202972602 73.448172996,109.237218602 73.4211549960001,109.246618602 73.400463996,109.189972602 73.3830459960002,109.153318602 73.3763729960002,109.088181602 73.366235996,108.853045601 73.3444359960002,108.784418601 73.3430459960001,108.721645601 73.3383179960001,108.666090601 73.3291639960001,108.614436601 73.3177639960001,108.576390601 73.3124819960002,108.490809601 73.307208996,108.361645601 73.2997089960001,108.268599601 73.2988729960001,108.238309601 73.295817996,108.205472601 73.2778999960001,108.233318601 73.2685999960001,108.260818601 73.273317996,108.334718601 73.2713819960001,108.367899601 73.2659729960002,108.391236601 73.2523459960001,108.375818601 73.2270729960001,108.353045601 73.2197089960001,108.330272601 73.2191459960001,108.262209601 73.2174819960001,108.237763601 73.218045996,108.196090601 73.225817996,108.145263601 73.238872996,108.092209601 73.2449819960001,108.069445601 73.2444269960002,108.031663601 73.238872996,107.997481601 73.2313729960001,107.952209601 73.2166639960001,107.9072096 73.2016639960001,107.8713726 73.1883089960002,107.8299906 73.1783179960001,107.7922096 73.1727639960001,107.7274816 73.1680459960002,107.6822096 73.1669269960001,107.6085996 73.1683179960001,107.4483186 73.165263996,107.3863816 73.1602639960002,107.3410906 73.1591459960002,107.3166726 73.1594269960002,107.2902636 73.1610999960001,107.2619366 73.163608996,107.2124906 73.1699819960001,107.1558186 73.175263996,107.0535906 73.1794269960002,107.0310996 73.1785909960003,106.9823456 73.1727639960001,106.9491456 73.158035996,106.9102636 73.1466549960001,106.791927599 73.1399819960002,106.767490599 73.1402729960001,106.741090599 73.1416639960001,106.667209599 73.1483269960002,106.493872599 73.1702549959999,106.423309599 73.1802639960001,106.381090599 73.1874819960001,106.343318599 73.1887269960001,106.190809599 73.1327549960001,106.171927599 73.0951269960002,106.182481599 73.0516549950001,106.208454599 72.983181995,106.226381599 72.9720729950001,106.250263599 72.9655459950001,106.283309599 72.9616549950002,106.247481599 72.956645995,106.204709599 72.9541639950002,106.135818599 72.9530459950002,106.062763599 72.9541639950002,106.029427599 72.9530459950002,106.003881599 72.9474819950001,105.978590599 72.929154995,105.959990599 72.9019269950001,105.834427599 72.8749819950002,105.701927598 72.8316639950002,105.634718598 72.8041549950001,105.493045598 72.7658269950002,105.456645598 72.7599909950001,105.436654598 72.7580459950001,105.384427598 72.7608179950001,105.211927598 72.764708995,105.175536598 72.786926995,105.327472598 72.814417995,105.591090598 72.8888819950001,105.672490598 72.9241459950002,105.838863599 73.0049179950001,105.846581599 73.075199996,105.849154599 73.0980359960002,105.876081599 73.1094179960001,105.923599599 73.1222089960001,105.996099599 73.1412459960001,106.021381599 73.1520729960001,106.050263599 73.2022089960001,106.046945599 73.2260909960001,106.044699599 73.256799996,106.067627599 73.2741549960002,106.196099599 73.3083089960001,106.265545599 73.3177639960001,106.286372599 73.3194459960002,106.431090599 73.316663996,106.567345599 73.3103999960001,106.597209599 73.3046999960001,106.625809599 73.3019269960001,106.650545599 73.3016549960002,106.671372599 73.3033179960001,106.804554599 73.3419359960001,106.822627599 73.3570639960001,106.8671996 73.4222089960001,107.0502546 73.499981996,107.1590096 73.5504729960001,107.1030366 73.5741549960002,107.1388816 73.6115089960002,107.1616546 73.617481996,107.3291636 73.6266459960001,107.6222096 73.628035996,107.6822096 73.6256729960001,107.7084636 73.6165089960002,107.7422096 73.6083179960002,107.7710996 73.6097089960001,107.8480366 73.6344269960002,107.8805366 73.6430549960002,107.913309601 73.6516549960001,107.956790601 73.6612269960002,107.986645601 73.6646999960001,108.033054601 73.6658179960001,108.058318601 73.6652639960002,108.098381601 73.6543549960001,108.189699601 73.670254996,108.230554601 73.6880359960001,108.296372601 73.7163819960001,108.401654601 73.7524909960001,108.464154601 73.7652729960001,108.491363601 73.770263996,108.543590601 73.8052549960001,108.588599601 73.844572996,108.629154601 73.869708996,108.734418601 73.9202549960002,108.774145601 73.9391459960002,109.081099602 74.0366549960001,109.123872602 74.0470639960001,109.232209602 74.0619179960001,109.297490602 74.066663996,109.363036602 74.0711089960001,109.524427602 74.0908179960002,109.747481602 74.1472179970002,109.812763602 74.1660909970001,109.845263602 74.1755359970002,109.894845602 74.1965179970002,109.922763602 74.2160909970002,109.947481602 74.2359549970001,109.969845602 74.2971999970001,109.941090602 74.3052549970001,109.915263602 74.3058179970001,109.841927602 74.2913639970002,109.801654602 74.286099997,109.757490602 74.2833269970001,109.709427602 74.2824819970002,109.683590602 74.2833269970001,109.653872602 74.286099997,109.600809602 74.2994269970001,109.577472602 74.3072089970001,109.617481602 74.3195729970001,109.744981602 74.3244359970001,109.782554602 74.3191549970001,109.914145602 74.3251269970001,109.947063602 74.3345819970001,109.962490602 74.348454997,109.982754602 74.3624909970002,110.009427602 74.3685909970001,110.029709602 74.3710909970002,110.053863602 74.371372997,110.082199603 74.3687909970001,110.133327603 74.3627639970001,110.181372603 74.363308997,110.209990603 74.3681729970001,110.371363603 74.418181997,110.390263603 74.4403909970002,110.339709603 74.4727639970001,110.284990603 74.4784639970001,110.326663603 74.488872997,110.346936603 74.4913639970001,110.373027603 74.4908179970002,110.433036603 74.4847089970001,110.461381603 74.4783179970001,110.498027603 74.4727639970001,110.522218603 74.4730359970001,110.544709603 74.4746999970001,110.634136603 74.4873459970001,110.656645603 74.4960909970001,110.690263603 74.5055549970001,110.806090603 74.5320729970002,110.838045603 74.5352639970001,110.886654603 74.5358089970002,110.946636603 74.5444359970001,110.992618603 74.553872997,111.047554603 74.5779729970001,111.020263603 74.6008179970001,111.209427604 74.627199997,111.222763604 74.6338819970001,111.253327604 74.6455359970001,111.350536604 74.6766549970001,111.396099604 74.6865089970001,111.468045604 74.6955269970002,111.517209604 74.6960909970001,111.577472604 74.6896999970002,111.620818604 74.6816549970001,111.677199604 74.6685909970001,111.728863604 74.6613729970001,111.755254604 74.6605359970001,111.786654604 74.6640179970001,111.900272604 74.7111089970002,112.050536604 74.7833269970002,112.067490604 74.7944359970001,112.087136604 74.8263819970001,112.082627604 74.8503999970001,112.100118604 74.8641549970001,112.141099604 74.8771999970002,112.179699604 74.8841549970001,112.222209605 74.888881997,112.246936605 74.8891639970001,112.293054605 74.8916639970002,112.314145605 74.8938729970001,112.526381605 74.9172089970001,112.567209605 74.9230359970001,112.726645605 74.9483179970001,112.746372605 74.9519359970001,112.863590605 74.9801269970001,112.888599605 74.9880359970001,113.007490605 75.0670729970002,113.210536605 75.1352729970001,113.344436606 75.1777639970001,113.395263606 75.1935909970001,113.576663606 75.270535998,113.610390606 75.287481998,113.668245606 75.3643549980001,113.648318606 75.3816549980002,113.613872606 75.383881998,113.593599606 75.3805359980001,113.569990606 75.379426998,113.533672606 75.3892909980001,113.574709606 75.4083269980001,113.596645606 75.4105359980001,113.644145606 75.4127639980002,113.669709606 75.4127639980002,113.697199606 75.4116549980001,113.717481606 75.4085999980001,113.717209606 75.4344179980002,113.698872606 75.4712359980001,113.676372606 75.5010999980001,113.650409606 75.5145729980001,113.627909606 75.5135999980002,113.599154606 75.5074909980001,113.577209606 75.505263998,113.553309606 75.5041639980001,113.527481606 75.5041639980001,113.502772606 75.506654998,113.341518606 75.529572998,113.264981605 75.5714459980002,113.283336606 75.5899819980002,113.305818606 75.6141549980001,113.284499606 75.644290998,113.250263605 75.6491549980001,113.228045605 75.6469459980001,113.185527605 75.6410999980002,113.164990605 75.6377729980001,112.991518605 75.5993549980001,113.011236605 75.5774909980001,113.032127605 75.5603999980002,113.011936605 75.546099998,112.989963605 75.5435909980001,112.966090605 75.5424819980001,112.916381605 75.5410909980002,112.855545605 75.5420729980001,112.828045605 75.5474819980001,112.794563605 75.5844359980001,112.877409605 75.6279729980001,112.869136605 75.7055549980002,112.827209605 75.7302639980001,112.804154605 75.7374909980001,112.685527605 75.7641639980001,112.653872605 75.7672089980002,112.579436605 75.7647089980001,112.512763605 75.7713819980001,112.349699605 75.8471359980001,112.379963605 75.8524819980001,112.408045605 75.8516549980001,112.550536605 75.8455359980001,112.580554605 75.8435999980001,112.607754605 75.8399819980001,112.649145605 75.8313729980001,112.690263605 75.8224909980001,113.042072605 75.7394269980002,113.133318605 75.7067909980001,113.523318606 75.6663819980002,113.594981606 75.6576269980002,113.608736606 75.6413089980001,113.571499606 75.6103459980002,113.505536606 75.5744359980001,113.447745606 75.5544269980001,113.421654606 75.5388819980002,113.509427606 75.532481998,113.533599606 75.5335999979999,113.553863606 75.5369269980001,113.714009606 75.606708998,113.718045606 75.6441459980001,113.722209606 75.6638819980001,113.761936606 75.7159549980001,113.788590606 75.7347089980001,113.833454606 75.761517998,113.891372606 75.8450549980003,113.854709606 75.9097089980001,113.827345606 75.9262269980001,113.802463606 75.9333179980001,113.776927606 75.936099998,113.642490606 75.923308998,113.617899606 75.9190179980001,113.621090606 75.8919359980002,113.547490606 75.8666549980001,113.531663606 75.9202549980001,113.553309606 75.967345998,113.510818606 76.027208998,113.483318606 76.0308179980001,113.453590606 76.0374819980001,113.437190606 76.0519269980001,113.437754606 76.1063729980002,113.453454606 76.120808998,113.466309606 76.138245998,113.416927606 76.1735999980001,113.365254606 76.2035999980002,113.266099605 76.2580459980001,113.242754605 76.2622089980001,113.216927605 76.2647089980001,113.182209605 76.261381998,113.159990605 76.2541639980002,113.138890605 76.2508269980002,113.058318605 76.2505459980002,112.933445605 76.2554089980002,112.963736605 76.2212359980001,112.992072605 76.2112459980001,113.029163605 76.2052639980002,113.061654605 76.202208998,113.132063605 76.1955359980001,113.229981605 76.1699819980002,113.255818605 76.1433179980001,113.218872605 76.1438729980002,113.191090605 76.1474909980002,113.126372605 76.153872998,113.097763605 76.1549819980001,113.044436605 76.1549819980001,113.011090605 76.1508179980002,112.994081605 76.1328999980001,113.041090605 76.113599998,113.026654605 76.077763998,112.939418605 76.0563639980001,112.914699605 76.0552549980002,112.854154605 76.0594179980002,112.829436605 76.0583179980001,112.755545605 76.054699998,112.683590605 76.0499909980002,112.661099605 76.0477639980001,112.594990605 76.0396999980001,112.575054605 76.0456819980001,112.608599605 76.0499909980002,112.661654605 76.050263998,112.703327605 76.0572089980002,112.752490605 76.067217998,112.793318605 76.0791639980001,112.852763605 76.1448549980001,112.789845605 76.1899819980002,112.759427605 76.1963639980001,112.709718605 76.1941359980001,112.688872605 76.1908089980002,112.666090605 76.1883089980001,112.637209605 76.1894179980001,112.604709605 76.1924729980002,112.562190605 76.2074909980001,112.512490605 76.2385179980002,112.557763605 76.2372089980001,112.586236605 76.2273359980002,112.645263605 76.2185999980002,112.687190605 76.2252639980002,112.737763605 76.2745639980002,112.744281605 76.3259639990002,112.659427605 76.3596999990002,112.576099605 76.3805359990002,112.308872605 76.443590999,112.265827605 76.4522089990001,112.236645605 76.453045999,112.112199604 76.4160909990002,112.028172604 76.3799729990001,111.998599604 76.3738729990001,111.906372604 76.3644269990001,112.061372604 76.4199819990001,112.190036604 76.470263999,112.099154604 76.5099909990003,112.074999604 76.514163999,112.017763604 76.5210999990002,111.993872604 76.5249909990001,111.974427604 76.5297089990002,111.944972604 76.5394269990001,111.906990604 76.5613819990001,111.854981604 76.5819359990001,111.767490604 76.6033179990002,111.685527604 76.6141549990001,111.654163604 76.6160909990001,111.552463604 76.6110999990001,111.497754604 76.610535999,111.452209604 76.6191359990002,111.493590604 76.661099999,111.544136604 76.6784549990001,111.499154604 76.6874819990001,111.225536604 76.7072179990002,111.200272604 76.7058269990001,111.128590603 76.7513909990001,111.103863603 76.7552639990001,111.071927603 76.7572179990001,110.929427603 76.758045999,110.903181603 76.7515179990001,110.833054603 76.7327549990002,110.737490603 76.7238729990002,110.705836603 76.7258179990001,110.649427603 76.7316549990001,110.631363603 76.7492269990001,110.600809603 76.7588819990001,110.541090603 76.7602729990001,110.490254603 76.7577639990001,110.369136603 76.7474819990001,110.296945603 76.7410909990002,110.254709603 76.7341459990001,110.167209603 76.714572999,110.124154603 76.700817999,110.083054603 76.6919269990001,110.034418602 76.6880359990001,109.884427602 76.6977549990001,109.682209602 76.7138819990002,109.620954602 76.7282459990001,109.594709602 76.736926999,109.562763602 76.7385909990001,109.405818602 76.7416549990001,109.263318602 76.739154999,109.133609602 76.7249909990001,108.924990601 76.7238729990002,108.796099601 76.717481999,108.613872601 76.7133179990001,108.586381601 76.7130459990001,108.386936601 76.7127729990001,108.320545601 76.719708999,108.194427601 76.735535999,107.999418601 76.7327549990002,107.944136601 76.7316549990001,107.916790601 76.7273459990001,107.9094276 76.6637459990001,107.935809601 76.6569359990001,107.974709601 76.654845999,107.995890601 76.6332459990002,107.916381601 76.5663729990001,107.8758096 76.5352639990001,107.6791546 76.5080459990001,107.6294366 76.504717999,107.5752726 76.5035999990001,107.5458186 76.5041639990001,107.5163906 76.5072179990001,107.4708366 76.5149999990001,107.4091456 76.527772999,107.3430456 76.5316639990001,107.3160906 76.5310999990001,107.1185906 76.5160999990002,107.0086096 76.5013909990001,106.8666366 76.4769269990001,106.8435996 76.4680459990002,106.823609599 76.4644269990001,106.800809599 76.4669359990002,106.574709599 76.4938639990001,106.447199599 76.5022089990001,106.392909599 76.5120819990001,106.371645599 76.553035999,106.370809599 76.5834639990001,106.400118599 76.5958269990001,106.429154599 76.6019269990002,106.456381599 76.602763999,106.488309599 76.601381999,106.522081599 76.595408999,106.545681599 76.5849909990001,106.640827599 76.5772089990001,106.786927599 76.6549819990001,106.9608186 76.715545999,107.0580276 76.7555549990001,107.0540096 76.7817909990001,107.0723456 76.799008999,107.1355366 76.8033179990001,107.1610996 76.7997089990001,107.1910906 76.7991459990002,107.2195546 76.8059549990001,107.2727726 76.8272089990001,107.3399096 76.868935999,107.2738726 76.883381999,107.3177546 76.894717999,107.3663816 76.8988819990001,107.4680456 76.9055459990001,107.4981726 76.9183909990002,107.3972186 76.9341459990001,107.3358186 76.9535999990001,107.3285996 76.9591549990002,107.3422096 76.9660909990001,107.2733276 77.0156819990001,107.1321996 77.011654999,107.0328546 77.018226999,106.9838726 77.0274819990001,106.9080456 77.0424819990001,106.8819276 77.046099999,106.813872599 77.049990999,106.783336599 77.0502639990001,106.646099599 77.0270729990001,106.668872599 77.0210999990001,106.746936599 77.0102729990002,106.772072599 77.0034639990001,106.752781599 76.9977549990001,106.727199599 76.9960909990001,106.671372599 76.9949819990002,106.643054599 76.9969359990002,106.540818599 77.015272999,106.488036599 77.0301179990001,106.293318599 77.0549819990002,106.226927599 77.0602549990001,106.194136599 77.0616459990002,106.171099599 77.0588729990001,106.123872599 77.0413639990002,106.015545599 77.0122089990002,105.958881599 76.9985999990002,105.918054599 76.9910909990001,105.712199598 76.9780459990001,105.448454598 76.9760999990002,105.440918598 77.0102459990001,105.488872598 77.0249909990001,105.534709598 77.0305459990002,105.631090598 77.0274819990001,105.661372598 77.0272089990002,105.717481598 77.0285909990001,105.774990599 77.0344269990002,105.868654599 77.080317999,105.934145599 77.1275459990001,105.909990599 77.1413729990002,105.864490599 77.125535999,105.838209599 77.1150269990001,105.787772599 77.1080359990002,105.723872598 77.1094179990001,105.688309598 77.111926999,105.629436598 77.111372999,105.580836598 77.1069359990001,105.534709598 77.1013819990001,105.493590598 77.0935999990002,105.447745598 77.0880459990001,105.399145598 77.0833269990001,105.343045598 77.081935999,105.004709598 77.0830549990002,104.913036598 77.0835999990002,104.889163598 77.0861089990001,104.840554598 77.0933179990001,104.818600598 77.0974909990001,104.779163598 77.1058179990001,104.712772598 77.1083179990001,104.635818597 77.1055459990002,104.607754597 77.104426999,104.511109597 77.0949819990001,104.465554597 77.0891549990001,104.363872597 77.081935999,104.162772597 77.0871999990001,104.123309597 77.0895729990002,104.187481597 77.1105359990001,104.344709597 77.131926999,104.367481597 77.134990999,104.398881597 77.131926999,104.452209597 77.1252639990001,104.511109597 77.1260819990001,104.540263597 77.1324819990001,104.583036597 77.1510999990001,104.701663598 77.1699819990001,104.724700598 77.173035999,104.750263598 77.174699999,104.778872598 77.173035999,104.805818598 77.169435999,104.827763598 77.1655459990001,104.859154598 77.1627639990001,104.912772598 77.1652639990002,105.194972598 77.1974819990001,105.261654598 77.2069359990001,105.445827598 77.2371999990002,105.512081598 77.2533269990001,105.536654598 77.2616549990001,105.689972598 77.3291639990001,105.733181598 77.3581819990001,105.761109598 77.364155,105.787199599 77.366091,105.815536599 77.3666550000002,105.846936599 77.3663820000001,106.028872599 77.3638730000002,106.053036599 77.3613730000001,106.119136599 77.3494269990001,106.150545599 77.346372999,106.184145599 77.344981999,106.207763599 77.3477639990002,106.282481599 77.366091,106.121090599 77.4077640000002,106.089709599 77.410809,106.027209599 77.4113730000001,105.998027599 77.4133180000001,105.977481599 77.4241460000001,105.911090599 77.4694270000001,105.914981599 77.4997090000001,105.871918599 77.5636,105.839981599 77.5663730000002,105.671099598 77.5627640000001,105.642209598 77.5619180000001,105.589427598 77.5583180000002,105.518336598 77.549991,105.386654598 77.5410910000002,105.352763598 77.5424820000001,105.261936598 77.5549820000002,105.166927598 77.570264,105.072490598 77.5830550000002,105.040263598 77.5858180000002,104.977200598 77.5863820000001,104.910809598 77.5902730000002,104.808590598 77.6246910000001,104.782763598 77.641664,104.784290598 77.6738000000001,104.770545598 77.691646,104.745818598 77.698591,104.676654597 77.7011000000002,104.647490597 77.7002730000001,104.621090597 77.698318,104.573609597 77.6927460000001,104.522209597 77.6824820000002,104.491927597 77.676091,104.420818597 77.6674820000002,104.368045597 77.6638820000001,104.336381597 77.6638820000001,104.262554597 77.6851820000001,104.277772597 77.7024820000001,104.298863597 77.7063730000002,104.326445597 77.7177000000002,104.302200597 77.730818,104.275272597 77.7316550000002,104.071381597 77.732209,104.024145597 77.726655,103.854636597 77.692964,103.793054597 77.673309,103.642209597 77.6386000000002,103.566090596 77.6316550000001,103.461381596 77.6238730000001,103.356645596 77.616382,103.324718596 77.6210910000001,103.294345596 77.6481360000002,103.258327596 77.6563730000001,103.226645596 77.6566460000001,103.203327596 77.6535910000001,103.105554596 77.6319270000002,102.919700596 77.5838820000001,102.895827596 77.5719360000002,102.851927596 77.5410910000002,102.649145596 77.5122090000002,102.547890596 77.4977640000001,102.453872595 77.454709,102.429409595 77.4348460000001,102.408336595 77.4249910000001,102.285536595 77.3780360000002,102.265545595 77.3738729999999,102.224981595 77.3760910000001,102.199218595 77.3915910000001,102.155545595 77.3977640000002,102.127200595 77.3966550000001,102.104154595 77.3936,102.055545595 77.3830460000001,102.028881595 77.3640090000001,101.884718595 77.295535999,101.853318595 77.2844269990001,101.494981595 77.1788639990001,101.234990594 77.104708999,101.194709594 77.0915179990002,101.165609594 77.0656089990002,101.189972594 77.056926999,101.233581594 77.0474819990001,101.237763594 77.0180549990002,101.225536594 76.9891459990001,101.200818594 76.9816549990001,101.176090594 76.9794269990001,101.145536594 76.9791549990002,101.120527594 76.9883089990001,101.097763594 76.9919269990002,101.064700594 76.9927549990001,100.968600594 76.9874909990001,100.937045594 76.9820639990002,100.914154594 76.9705459990001,100.929981594 76.9485909990001,100.889709594 76.9191459990001,100.849718594 76.8785819990001,100.870527594 76.8306909990001,100.964154594 76.7849909990002,101.000263594 76.7763819990001,101.028590594 76.774990999,101.055818594 76.7760909990001,101.115809594 76.7763819990001,101.148609594 76.7755459990001,101.179700594 76.7730359990001,101.215672594 76.7677729990002,101.231163594 76.7515819990001,101.135536594 76.7019359990002,101.101645594 76.610535999,101.052618594 76.5812359990001,101.025818594 76.5744359990002,100.982754594 76.5680549990001,100.958600594 76.566081999,100.915818594 76.5597089990001,100.878309594 76.5513729990001,101.034145594 76.5185999990001,101.069154594 76.5166639990001,101.152209594 76.5191459990001,101.214154594 76.5183269990001,101.316090594 76.5138819990001,101.416381594 76.5074909990002,101.446927594 76.5049909990001,101.780272595 76.4602639990002,101.815263595 76.451381999,101.979154595 76.4252639990002,102.035536595 76.419435999,102.096100595 76.4144269990002,102.165263595 76.410263999,102.199981595 76.4049909990001,102.240818595 76.3790089990001,102.209427595 76.3752639990001,102.174990595 76.3771999990002,101.889163595 76.394145999,101.836927595 76.4005459990001,101.802972595 76.4129729990001,101.781509595 76.4305459990002,101.735390595 76.4446999990001,101.704709595 76.4508179990001,101.674145595 76.4533269990002,101.615254595 76.453045999,101.537772595 76.448590999,101.508327595 76.448590999,101.484990595 76.4508179990001,101.414700594 76.4613819990002,101.393054594 76.4652729990001,101.339981594 76.4783179990001,101.318045594 76.4819359990001,101.296372594 76.4788639990002,101.198027594 76.4644269990001,101.099154594 76.456935999,101.054336594 76.4840089990001,100.864154594 76.5324819990001,100.833736594 76.5315179990001,100.808590594 76.5241549990001,100.756945594 76.512499999,100.676936594 76.4977549990002,100.655818594 76.4944269990002,100.386381593 76.4722179990002,100.270545593 76.479426999,100.237200593 76.4849819990001,99.9988725930002 76.4838729990002,99.9160905930001 76.4810909990002,99.8683185930002 76.4766549990002,99.8416635930001 76.475263999,99.6816545930001 76.4677549990001,99.4997095930001 76.4677549990001,99.4352545930003 76.4691459990001,99.2811005920002 76.4808179990002,99.0944365920003 76.4969359990001,99.0227635920002 76.506945999,98.9508185920002 76.5172089990001,98.9197095920002 76.5194359990002,98.8902725920003 76.5188729990001,98.8604095920001 76.5134639990002,98.8361095920002 76.5060999990002,98.814281592 76.482063999,98.828872592 76.466663999,98.9022095920001 76.4497089990002,98.9347095920001 76.440535999,99.0204095920001 76.3810179990001,99.0234545920002 76.3531089990001,99.0510905920001 76.3449819990001,99.0802725920002 76.3452639990001,99.1858095920001 76.350535999,99.2150005920001 76.3508179990001,99.2427545920002 76.3497179990001,99.2830545920002 76.3416639990002,99.3222095930005 76.3301269990002,99.348600593 76.3166639990001,99.3652635930001 76.2977639990002,99.3948455930001 76.2776269980001,99.4358095930002 76.2749909980002,99.4938635930001 76.2755459980001,99.5202635930001 76.2766549980002,99.5941545930002 76.2706819980002,99.6156725930001 76.252763998,99.6149905930002 76.2277639980001,99.6284545930001 76.2015089980002,99.6522095930001 76.1876179980001,99.7049905930002 76.1780359980001,99.8006725930001 76.1541549980002,99.8772005930002 76.0916639980001,99.9100455930002 75.942199998,99.8949905930001 75.9185909980001,99.869418593 75.900963998,99.8483275930002 75.8927639980001,99.7977635930002 75.878863998,99.7447095930003 75.8660909980001,99.6937365930002 75.8472089980002,99.6554005930001 75.8183179980001,99.6213725930002 75.7877549980001,99.5956815930002 75.7756909980001,99.5719275930002 75.7727639980001,99.5410905930001 75.773317998,99.4485905930002 75.779708998,99.3919365930003 75.7788729980001,99.3691365930001 75.7766549980001,99.3261005930001 75.771099998,99.3060905920002 75.7677639980001,99.2779095920001 75.7459549980002,99.2469365920002 75.6771999980002,99.2138815920002 75.631363998,99.1742095920001 75.568663998,99.2024815920001 75.5499819980001,99.2266545920002 75.5433179980001,99.2530545920001 75.5419269980001,99.3405455930001 75.5349909980001,99.391100593 75.5291639980001,99.4294275930001 75.5210999980001,99.5152725930001 75.4994179980001,99.595827593 75.4841459980001,99.6208185930001 75.4810909980001,99.6472185930001 75.479981998,99.6777635930002 75.4791549980002,99.7608185930004 75.479981998,99.8023365930002 75.4762359980001,99.8277005930001 75.4590179980001,99.7920725930001 75.434563998,99.7919275930002 75.371517998,99.857481593 75.3474909980001,99.891372593 75.338590998,99.9792905930002 75.3210999980002,100.070536593 75.2933179980001,100.203663593 75.1919269970001,100.186254593 75.168535997,100.182209593 75.1805459970001,100.030272593 75.283872998,100.012500593 75.2952549980001,99.9697095930001 75.3094179980001,99.9191455930003 75.322490998,99.8683185930002 75.335535998,99.8058185930003 75.346645998,99.7654005930002 75.3577549980001,99.7238725930002 75.4054459980001,99.7144275930001 75.4358089980002,99.6358185930003 75.4658179980001,99.349154593 75.5113819980002,99.1980275920001 75.5291639980001,99.1597095920001 75.5371999980001,99.1163725920002 75.5477639980001,99.0930455920001 75.561926998,99.0966455920001 75.5841549980001,99.1358185920001 75.6422089980001,99.2234545920001 75.7585999980001,99.2476275920001 75.7709639980001,99.2724905920001 75.7780459980001,99.3127635920001 75.7847179980001,99.3758095930002 75.793590998,99.444427593 75.800263998,99.4702635930002 75.8016549980001,99.515827593 75.8063639980001,99.581372593 75.8219269980002,99.6174815930001 75.8355359980001,99.6708185930002 75.8670549980001,99.7656185930001 76.0342909980002,99.7211005930001 76.059145998,99.6899725930001 76.0685999980001,99.6497095930001 76.079854998,99.6283095930002 76.0715179980002,99.5844275930002 76.0616459980001,99.5585905930001 76.0605269980001,99.4696365930002 76.1027639980002,99.4933185930001 76.1097089980001,99.5633095930002 76.1166549980001,99.5966455930002 76.1265729980001,99.5794275930002 76.1526359980001,99.4838725930002 76.1452639980001,99.3124815920002 76.1321999980001,99.263045592 76.1285819980001,99.2108185920001 76.1258089980002,99.1819275920001 76.1255359980001,99.1502725920002 76.1347179980001,99.0997725920001 76.1601269980002,99.1313635920001 76.1594269980001,99.2263815920001 76.1577639980001,99.2956815920003 76.206517998,99.2769275920001 76.2141549980001,99.2188725920002 76.217754998,99.0036005920001 76.2219269980001,98.9286005920002 76.2165819980002,98.891100592 76.202208998,98.8583185920001 76.1927459980001,98.7397005920002 76.1963639980001,98.7173455920002 76.2021999980001,98.745272592 76.2123459980002,98.7738725920001 76.223454998,98.8174905920001 76.261935998,98.795254592 76.2655459980001,98.7688725920002 76.2641639980002,98.7455275920002 76.261935998,98.724990592 76.258326998,98.6124905920002 76.234708998,98.5023455920002 76.203745998,98.4726275920002 76.193172998,98.3819275920002 76.1774729980001,98.3613725920001 76.1741459980001,98.3094185920002 76.171372998,98.2460905910001 76.1724819980001,98.156100591 76.171372998,98.0497095910001 76.1580359980002,98.0206815910001 76.1524909980002,97.9240815910002 76.1199089980001,97.9980275910002 76.099154998,98.0202635910002 76.0955359980001,98.0523455910003 76.0978999980001,98.0799905910001 76.1038639980001,98.2174815910001 76.0980359980001,98.147218591 76.0849909980001,98.0266545910002 76.0660819980002,97.928863591 76.0585909980001,97.8948545910002 76.0578999980002,97.874690591 76.066517998,97.8581815910001 76.0778999980001,97.760272591 76.0938729980001,97.7258185910001 76.0952639980001,97.5841545910002 76.0613729980001,97.5479095910002 76.0499819980001,97.5722185910001 76.0447089980001,97.6294275910001 76.045817998,97.6524815910002 76.0483269980002,97.6783185910001 76.0497089980001,97.7097185910001 76.0491459980001,97.8066365910001 76.0222179980001,97.840672591 75.9952639980002,97.8213815910001 75.9797089980001,97.7072185910002 75.9777639980001,97.6010905910002 75.9916549980002,97.5750005910001 75.9944269980002,97.5435905910002 75.9949819980001,97.5177635910001 75.9933179980001,97.3680455910001 75.9808179980002,97.3261005910001 75.968599998,97.306509591 75.955681998,97.3288005910001 75.9399819980001,97.2122005910002 75.9285909980001,97.183590591 75.9280359980002,97.1934545910001 75.9851179980002,97.2205455910002 75.9963729980001,97.2491455910001 76.0019359980001,97.3008095910002 76.0152729980001,97.3897095910001 76.0412359980002,97.3641545910002 76.0449819980001,97.289427591 76.0394269980001,97.2435905910002 76.0344269980001,97.2149905910003 76.0288819980001,97.0435905900002 75.9797089980001,96.9952545900002 75.9655459980001,96.8508185900001 75.9227639980001,96.5577545900001 75.8813639979999,96.4429005900001 75.8684549980002,96.5344275900001 75.915545998,96.6019275900001 75.943590998,96.6299725900001 75.9544359980001,96.63665459 75.9805459980003,96.5383185900002 76.0072179980002,96.5119365900001 76.0099909980001,96.4608185900001 76.0066549980001,96.3469365900002 75.9941359980001,96.3338815900002 75.9626909980001,96.3058185900001 75.951381998,96.1822095900002 75.9499999980001,96.1072095900002 75.9588819980001,95.9511005890002 75.9499999980001,95.9313635890002 75.9466359980001,95.8299905890001 75.9149819980001,95.786518589 75.8894359980001,95.7438635890002 75.8505359980001,95.7099905890003 75.8519269980001,95.5748545890002 75.8881819980001,95.6022005890002 75.893054998,95.7697185890001 75.927763998,95.9049815890001 75.9833179980001,96.0711095890002 76.0466459980001,96.1972005900001 76.0815179980002,96.1799815900001 76.0931819980001,96.1538725900002 76.0997179980002,95.718045589 76.1433269980001,95.5774815890002 76.1449909980001,95.4119275890001 76.1580359980002,95.3833275890002 76.157481998,95.3338815890001 76.1486089980002,95.1974815890001 76.123872998,95.0441455890003 76.1027639980002,95.016390588 76.1035909980002,94.9154095880001 76.1119269980002,94.8785905880001 76.1250459980001,94.840681588 76.1423549980001,94.7852635880002 76.1508179980002,94.7586095880002 76.153317998,94.6930365880002 76.1563729980001,94.600818588 76.1558179980001,94.5722185880003 76.1549819980001,94.5441545880001 76.1490179980001,94.565809588 76.1433269980001,94.5944365880002 76.144145998,94.6638815880002 76.1419359980001,94.7019365880001 76.1341549980001,94.7370635880002 76.1162269980002,94.6066455880002 76.0627639980001,94.584154588 76.0599819980001,94.4938635880001 76.0491459980001,94.4713725880001 76.0466459980001,94.4435905880001 76.0567819980002,94.444700588 76.0822179980001,94.3877635880002 76.117208998,94.3533185880002 76.1222089980002,94.3277725880001 76.1202549980002,94.169436588 76.1072089980001,94.0141635880001 76.113599998,93.755263587 76.123599998,93.7202635870001 76.1246909980001,93.659990587 76.123872998,93.6369365870002 76.1192819980001,93.6694365870002 76.0922089980001,93.6924725870002 76.0891549980002,93.8355365870002 76.0799909980001,93.9244275870001 76.0749999980001,93.9565095880002 76.0726269980001,93.9929005880002 76.050817998,93.9724905880002 76.0447089980001,93.9438635870001 76.043872998,93.7363725870002 76.042208998,93.6302635870001 76.0402639980001,93.4991455870002 76.0227639980002,93.4608185870001 76.0152729980001,93.438581587 76.012499998,93.4099905870001 76.0116549980001,93.3872095870003 76.0147089980002,93.3436635870002 76.0702639980001,93.3905455870002 76.0822179980001,93.4272725870001 76.1001909980001,93.3938725870001 76.1116459980002,93.1810905870001 76.0997179980002,93.1388095870002 76.0890819980002,93.162490587 76.0749999980001,93.193309587 76.0733179980001,93.2242185870002 76.0601179980002,93.214709587 76.0392909980002,93.0974095870002 76.0257459980002,93.0552635870002 76.0624819980002,93.022490587 76.067490998,92.925400587 76.0540089980001,92.8652635860003 75.9483179980002,92.9062365870001 75.8984639980001,92.9885905870001 75.8885999980002,93.0191455870002 75.8869359980002,93.0472095870002 75.888045998,93.0788815870002 75.8926269980001,93.1054005870001 75.9016549980002,93.0299815870002 75.919708998,93.0088815870002 75.9344179980001,93.0630365870002 75.9466359980001,93.1935905870002 75.9660909980001,93.2599905870001 75.9744269980002,93.285263587 75.9760909980001,93.3140185870002 75.9703999980001,93.315809587 75.9363729980002,93.4051185870001 75.8741459980001,93.442745587 75.8730269980001,93.4744365870001 75.8776179980002,93.4883815870002 75.8943639980002,93.4569365870003 75.9183179980001,93.5252725870002 75.9452549980001,93.5505365870002 75.946926998,93.5972815870001 75.9388639980001,93.5981815870001 75.9113729980001,93.6361095870001 75.8997179980001,93.6624905870002 75.897217998,93.7533275870001 75.8980359980001,93.8288725870002 75.9035909980001,93.851090587 75.9063729980001,93.9533275880002 75.9227639980001,94.1551905880001 75.9467819980001,94.1352725880001 75.9316549980001,94.0770725880002 75.9159549980001,93.8924905870001 75.8913729980001,93.7474815870001 75.878863998,93.691081587 75.8769179980001,93.6658185870002 75.8752639980001,93.533327587 75.8585999980001,93.4730365870003 75.8485999980001,93.4099905870001 75.8391549980001,93.3466455870002 75.8299909980001,93.2094275870002 75.8244359980001,93.0280455870001 75.8133089980001,92.9530455870001 75.8074819980001,92.8875005870001 75.7991459979999,92.7935905860002 75.7896999980002,92.7219275860002 75.7830549980001,92.6969275860001 75.7810999980002,92.5541545860002 75.7772089980001,92.5011005860002 75.774154998,92.4699815860002 75.769426998,92.4136095860001 75.753599998,92.3919365860002 75.7505459980001,92.3330545860001 75.7494179980002,92.2369275860001 75.7502729980001,92.1813635860001 75.748026998,92.1594275860002 75.7452549980002,92.0694455860003 75.7252639980001,92.0477635860001 75.7224909980001,92.0199905860001 75.7213729980002,91.7984545850002 75.716381998,91.7677635850001 75.7303999980001,91.7341455850001 75.7371999980002,91.7094275850001 75.7352639980001,91.6815095850001 75.7294269980001,91.6267815850004 75.6936549980001,91.6475635850002 75.6653269980001,91.6411005850001 75.6402729980001,91.6197095850002 75.6372089980001,91.5919365850002 75.636381998,91.5619185850002 75.6377729980001,91.4822095850002 75.6444359980001,91.4522095850002 75.6460999980001,91.4213725850003 75.6458269980001,91.3749815850002 75.6399819980001,91.3383185850001 75.6321999980001,91.3169365850002 75.6294269980002,91.2647095850002 75.6260819980001,91.2338725850003 75.6260819980001,91.2027545850002 75.6295639980001,91.1826275850002 75.6409639980001,91.0726275850001 75.6384639980002,90.9684635850001 75.616099998,90.9313725850001 75.6230359980001,90.9144275850002 75.6426269980002,90.9045725850001 75.6628999980002,90.867200585 75.663608998,90.8427545850001 75.6616549980002,90.8213815850001 75.6585999980001,90.7083095840001 75.6399909980001,90.6841455840002 75.6333269980001,90.6574905840001 75.618035998,90.6269185840001 75.613308998,90.3988815840002 75.6002639980002,90.3680455840002 75.5999909980002,90.300536584 75.601090998,90.0991545840002 75.585817998,90.0294365840002 75.578599998,89.9597185840001 75.5713819980002,89.9310905840002 75.5658179980001,89.9152635840002 75.5569269980001,89.9397005840001 75.546372998,89.909145584 75.518872998,89.8091455840001 75.5111089980002,89.6608095840001 75.4988729980001,89.6308095830001 75.4938729980001,89.6095635830001 75.4819359980001,89.5338725830001 75.446635998,89.4377635830002 75.4380359980001,89.3974905830001 75.4394179980002,89.3199905830002 75.4691459980002,89.3022005830002 75.481372998,89.2527815830002 75.503054998,89.2262365830001 75.4970729980002,89.1960905830002 75.4741549980002,89.1766545830002 75.4619269980001,89.1388725830001 75.4499819980001,89.1027635830001 75.446635998,88.982754583 75.4355269980001,88.8502635830002 75.3924909980002,88.598327583 75.3335999980001,88.5666635820002 75.324708998,88.3370725820002 75.2369269980001,88.3177635820003 75.220126998,88.3166545820002 75.1817819970002,88.2958185820002 75.1653999970001,88.1855275820001 75.1474909970001,88.0326275820001 75.1183179970001,88.0072185820001 75.1033179970001,87.9872005820003 75.0999909970002,87.9636095820002 75.0977639970001,87.933872582 75.097217997,87.9077635820001 75.0991549970001,87.861090582 75.1084549970001,87.7855365820002 75.1238729970001,87.6055455820001 75.1380459970001,87.5791635820002 75.1399819970001,87.290263581 75.1605359970002,87.2013815810001 75.1638819970001,87.1383185810002 75.1649909970002,87.0852635810001 75.1619269970001,87.0585905810001 75.1602639970001,87.035263581 75.1580359970001,86.9865095810002 75.1492999970001,86.9474815810001 75.1380459970001,86.9199905810001 75.1238639970001,86.903318581 75.0798549970002,86.9224815810002 75.0722179970001,86.9673275810001 75.0765459970001,87.0132455810001 75.0879089970001,87.0391545810001 75.0894269970001,87.068881581 75.0899819970002,87.2680545810001 75.068463997,87.3465095810001 75.046372997,87.3733185810001 75.0363729970001,87.4686005810002 75.0358089970001,87.5280455820001 75.0369269970001,87.5841545820002 75.0391549970001,87.6169275820001 75.038881997,87.7380365820001 75.0352639970002,87.7754005820001 75.0246459970001,87.5924815820001 74.9421999970002,87.4749185810002 74.9798459970002,87.4365095810001 74.9973359970001,87.4058185810002 75.0022089970001,87.3799725810001 75.004163997,87.3505365810003 75.005263997,87.291363581 75.0038729970001,87.2416545810003 74.9999999970001,87.181718581 74.9813729970001,87.2536005810002 74.9549909970002,87.283054581 74.9538729970002,87.3124815810002 74.9544359970001,87.3388815810001 74.9560999970001,87.3796275810001 74.946163997,87.3658185810001 74.9310909970001,87.2080365809999 74.8872089970001,87.174700581 74.8788639970002,87.1349905810001 74.872481997,87.072909581 74.8520639970001,87.0461005810002 74.821926997,87.0374905810001 74.7983269970001,86.956100581 74.7527729970001,86.8977635810001 74.7513909970001,86.8716455810002 74.7497089970002,86.7619365810002 74.7027729970002,86.7733185810001 74.6822089970001,86.795818581 74.6813639970002,86.8608095810002 74.6894179970001,86.8899815810001 74.6902639970001,86.928454581 74.6873359970001,86.9485905810002 74.6766549970001,86.9130365810001 74.6124909970001,86.7106815810002 74.6119269970002,86.6852545810002 74.6180459970003,86.6048455810001 74.6685269970001,86.5808275810002 74.6999999970001,86.5172095810001 74.7174819970001,86.472490581 74.7227639970001,86.3980365800002 74.7210999970001,86.3593545800002 74.7061639970001,86.3198455800001 74.7060999970001,86.22671858 74.759990997,86.2641635800003 74.7641639970002,86.2837365800001 74.769990997,86.2330455800002 74.7999909970002,86.2074905800002 74.8102549970001,86.0683275800001 74.8199909970001,86.0356095800002 74.8110179970002,86.0677635800002 74.7977639970001,86.09331858 74.7874909970001,86.1233095800001 74.7658269970001,86.1144275800001 74.743308997,86.0748545800001 74.7195729970001,86.0423455800001 74.7110999970001,86.0066545800002 74.7077639970001,85.9761005800001 74.7124909970001,85.94886358 74.7180459970002,85.92637258 74.7208269970001,85.8938725800002 74.7163819970002,85.8615095800001 74.708045997,85.8370725800002 74.697345997,85.7891545800001 74.6308179970001,85.9205365800001 74.610808997,85.9430365800001 74.608317997,85.9857455800002 74.6161549970001,86.0205365800002 74.621645997,86.1008185800001 74.6191359970002,86.2385905800002 74.6094179970001,86.3119185800002 74.603317997,86.620818581 74.558590997,86.6835905810001 74.5396999970001,86.6094275810001 74.5297089970002,86.5442095810001 74.5083269970001,86.7063725810002 74.4483179970001,86.7874905810002 74.4222089970002,86.816081581 74.4213729970001,86.8447095810001 74.4219179970001,87.0170725810002 74.4305359970001,87.0533185810002 74.4072089970001,87.1172005810002 74.3735999970001,87.1327545810001 74.3691359970001,87.0933185810001 74.3541549970001,87.0252725810001 74.334990997,86.9457095810002 74.3304819970001,86.910536581 74.3249089970001,86.888790581 74.3127359970002,86.8424815810002 74.3008089970001,86.8169365810001 74.2991459970002,86.7380365810001 74.2972089970001,86.7022095810002 74.3062269970002,86.7236005810001 74.318599997,86.748872581 74.319990997,86.7809635810002 74.3241549970001,86.874545581 74.3554549970002,86.9000005810001 74.371035997,86.8774725810001 74.3910999970001,86.8488725810001 74.3905459970001,86.7630455810003 74.3883179970002,86.6839005810002 74.3875089970001,86.6399815810002 74.4033179970002,86.5877725810001 74.4324819970002,86.5563635810002 74.441363997,86.499709581 74.4516639970001,86.4774815810001 74.4544359970001,86.4552635810002 74.4535999970001,86.3211095800002 74.4421999970001,86.0847185800002 74.4205359970001,86.0561005800001 74.4155459970001,86.0960725800002 74.4037359970001,86.1483185800001 74.3998179970001,86.1768185800001 74.397154997,86.2394275800002 74.3885999970001,86.2708275800001 74.379972997,86.3065095800001 74.3252729970001,86.2915095800002 74.3095639970001,86.23040058 74.3245729970001,86.2027635800001 74.3426269970001,86.1125905800001 74.357754997,86.0008275800002 74.3652639970001,85.9722095800002 74.3660909970002,85.9469275800002 74.3644269970002,85.91164558 74.3526179970001,85.9496365800002 74.2826269970001,85.99498158 74.2672089970002,86.0388815800002 74.2619359970001,86.0641455800001 74.2602729970001,86.2152725800001 74.2580459970002,86.3791545800001 74.2574909970001,86.5238815810002 74.253599997,86.5491455810002 74.251935997,86.5711095810001 74.2491459970003,86.7205365810001 74.2227639970002,86.7649905810001 74.205126997,86.7966455810002 74.1739359970001,86.782763581 74.118317996,86.8516545810001 74.0741549960001,86.8886005810001 74.0672179960001,86.9285455810001 74.0665909960001,86.9622095810001 74.0674359960001,87.0041635810001 74.0674909960001,87.0913725810002 74.0669359960002,87.1472185810001 74.0646999960001,87.1722095810002 74.0630359960001,87.2713815810002 74.0555459960001,87.3208275810001 74.051654996,87.3667815810002 74.0426179960002,87.3936005810002 74.0288729960001,87.4108185810002 74.0074179960001,87.3615005810002 74.0047179960001,87.3392905810002 74.015545996,87.2985905810001 74.0299909960001,87.2541635810002 74.0391549960002,87.2016635810002 74.0422089960001,87.0552545810002 74.0458179960001,86.9804365810001 74.0286089960001,86.9930455810001 74.0058269960002,87.0410905810003 73.9849819960002,87.1377725809999 73.932481996,87.1501275810001 73.9148459960001,87.1713725810002 73.8910999960002,87.2049905810002 73.8708179960001,87.240818581 73.8549819960001,87.2677635810001 73.8455359960001,87.3217905810001 73.8305459960001,87.4195545810002 73.8214729960001,87.4722095810002 73.8241549960001,87.528427582 73.8603269960002,87.5304005820002 73.9087359960001,87.5677635820002 73.9110999960001,87.6169275820001 73.9072089960001,87.6473455820001 73.902626996,87.6661005820002 73.8908269960001,87.6424185820001 73.8363819960002,87.6072095820001 73.8180549960001,87.578600582 73.8088729960001,87.5497095820002 73.7997089960002,87.4721635810001 73.7802089960001,87.4496545810002 73.7762179960001,87.3986095810002 73.7647089960001,87.2983275810002 73.7413639960001,87.2622185810002 73.716799996,87.2588095810002 73.6874179960001,87.3176275810001 73.7013819960001,87.3406815810002 73.7034729960001,87.2752725810003 73.658326996,87.1833095810002 73.6194179960002,87.1244185810003 73.6060909960001,87.099990581 73.6044269960001,87.041927581 73.603863996,86.9536005810002 73.605254996,86.8590185810001 73.6024819960001,86.7877635810002 73.5838819960001,86.7661005810001 73.5813729960002,86.6469455810002 73.5724909960002,86.5677635810002 73.5694459960001,86.5372005810002 73.5697179960001,86.4338725800001 73.5699909960001,86.2783185800003 73.559417996,86.02192758 73.520535996,85.9485905800001 73.5069459960002,85.9152635800001 73.4991459960002,85.8610185800002 73.4823459960001,85.8418005800001 73.4510999960001,85.8448455800001 73.3706729959999,85.8744185800001 73.3447089960002,85.9147005800002 73.3263819960001,85.9444275800001 73.3174909960001,85.9833185800001 73.3113729960001,86.1208185800002 73.2905459960001,86.2255365800001 73.2772089960001,86.2760905800002 73.2658269960002,86.3263815800001 73.254435996,86.3812365800001 73.2399819960001,86.6297005810002 73.1602639960002,86.6877635810002 73.1341549960001,86.7548545810002 73.089154996,86.7758185810002 73.0695639960001,86.7820725810003 73.0501269950002,86.7836005810002 72.994081995,86.7444275810003 73.0158269950001,86.722354581 73.0435909950002,86.7169365810001 73.076935996,86.6802635810002 73.1088729960001,86.6630365810001 73.1210909960001,86.5899815810001 73.1430549960002,86.519145581 73.1572089960002,86.4983185810001 73.1599909960001,86.4333185800001 73.1669269960001,86.3855455800001 73.170817996,86.3649905800003 73.1733089960001,86.3159545800002 73.1808179960001,86.2822095800002 73.1924729960001,86.25666358 73.2088729960001,86.24825458 73.2443549960001,86.2158185800002 73.2609639960002,86.0397005800003 73.2838729960001,85.9619275800002 73.2960999960001,85.8752635800002 73.3124819960002,85.8395725800001 73.3237459960001,85.8127635800003 73.337490996,85.7935905800002 73.3665089960001,85.7859545800002 73.4705459960001,85.83942758 73.502772996,86.10123658 73.5834549960002,86.1302635800001 73.5883179960002,86.2766545800003 73.5980359960002,86.2980365800002 73.6005359960002,86.3533185800001 73.6108089960002,86.3905365800001 73.6217819960002,86.4341455800002 73.639708996,86.5102725810001 73.6655359960002,86.5394275810001 73.670254996,86.5947095810002 73.671645996,86.616090581 73.6741459960001,86.7561005810002 73.7121999960001,86.810409581 73.7444269960001,86.8480365810001 73.7555549960001,86.9227635810003 73.7688729960002,86.9474815810001 73.770263996,87.0213095810001 73.7817179960001,87.0957095810001 73.8416549960002,87.0474815810002 73.8701179960001,86.9955275810001 73.8771999960001,86.7869275810001 73.9008179960001,86.7561005810002 73.9008179960001,86.5230365810001 73.8821999960001,86.3369275800002 73.8658179960001,86.1113725800001 73.8638729960002,86.0497095800001 73.8638729960002,86.0247005800002 73.8621999960001,85.9938815800001 73.8580359960002,85.9301815800002 73.8392909960002,85.8819275800002 73.8238819960001,85.8605365800001 73.8213819960002,85.8358185800002 73.8197179960002,85.8049815800001 73.8197179960002,85.7802725800001 73.8216549960002,85.72192758 73.8208269960001,85.6138725800001 73.816372996,85.5894275800002 73.8146999960001,85.5631905800001 73.8092909960001,85.51220958 73.7760909960002,85.4892905800002 73.734081996,85.4724905800001 73.717763996,85.4416545800001 73.7136089960002,85.2488725790001 73.6988639960002,85.2244275790001 73.697208996,85.0497095790003 73.7113819960001,84.978863579 73.7258179960001,84.8583185790002 73.7505459960001,84.8305545790001 73.7547179960002,84.8091455790001 73.7572179960001,84.7844275790001 73.7588819960001,84.7536005790001 73.7588819960001,84.7260905790001 73.7577639960001,84.6249815790001 73.751663996,84.6005365790001 73.7497089960002,84.557754579 73.7444269960001,84.5363725790001 73.7416549960001,84.474300579 73.7291459960002,84.3938725790002 73.7127729960001,84.3513815790001 73.707490996,84.0519275780002 73.6955269960001,83.840818578 73.6952549960001,83.758327578 73.6919269960001,83.733872578 73.690263996,83.688581578 73.6855269960001,83.6313635780002 73.675535996,83.570827578 73.666654996,83.525545578 73.661926996,83.4527725780001 73.6560999960002,83.3980365780002 73.6541639960002,83.2758185780001 73.6530459960001,82.9147005770002 73.6563729960002,82.7549905770001 73.6616549960001,82.7088815770002 73.6636089960001,82.5986005770002 73.6658179960001,82.4822095770001 73.6660909960001,82.4516635770001 73.6658179960001,82.2905455770002 73.6594269960001,82.0372005760001 73.6560999960002,81.976090576 73.6552549960001,81.7691455760002 73.6505459960002,81.5169365760001 73.6422089960001,81.4688725760001 73.6380459960001,81.3102545760001 73.6208179960002,81.0683275760002 73.5966459960002,80.8802635750002 73.5785999960001,80.7588815750001 73.5763819960001,80.715000575 73.5808269960002,80.5750005750001 73.5797089960002,80.5477635750001 73.578326996,80.5186005750002 73.573463996,80.510272575 73.4909549960001,80.532336575 73.4815179960002,80.5637365750002 73.496226996,80.6052545750001 73.5060999960002,80.6258095750001 73.5091549960002,80.6533185750002 73.5088819960001,80.6747095750001 73.501926996,80.6088725750001 73.442472996,80.5872005750001 73.4316549960001,80.3883185750001 73.3810909960001,80.3669275750001 73.3813639960001,80.3477635750001 73.3740089960001,80.2530455750002 73.3230459960001,80.2780455750001 73.305254996,80.3315185750001 73.2903999960001,80.3638725750002 73.2871999960002,80.4380365750001 73.2913639960001,80.4755365750001 73.2852639960001,80.510545575 73.2780459960001,80.5477635750001 73.2673459960001,80.5630365750002 73.2537459960001,80.5699185750001 73.2224819960001,80.5077635750002 73.2047089960002,80.4841455750001 73.2024819960001,80.3766455750001 73.201935996,80.3233185750001 73.1991459960001,80.3033185750003 73.1960909960001,80.2691455750002 73.1883089960002,80.2388725750001 73.175399996,80.261381575 73.1727639960001,80.3924905750001 73.1624909960001,80.4597185750001 73.1569359960002,80.4810905750001 73.1547089960001,80.5372005750002 73.1455359960001,80.5726275750001 73.1341549960001,80.5881095750001 73.1137999960001,80.549990575 73.1052549960001,80.493863575 73.1030459960001,80.4669365750001 73.1035909960001,80.4472095750002 73.0926179960001,80.5369275750001 73.0730459960002,80.5797095750002 73.068599996,80.651927575 73.0646999960001,80.6812275750002 73.0606729950001,80.715000575 73.0488729950002,80.743454575 73.035126995,80.8111005750001 72.9733179950001,80.8361005750001 72.9091549950001,80.8060185750001 72.843735995,80.7570725750001 72.7915089950001,80.6783185750001 72.750826995,80.635681575 72.7334549950001,80.6270635750001 72.7073549950001,80.6738635750001 72.6504089950001,80.7008185750001 72.6410999950002,80.7388725750002 72.6399819950002,80.789709575 72.634281995,80.8236725750001 72.6192179950001,80.7755455750001 72.5688819950001,80.7535905750001 72.562199995,80.7227635750001 72.5580269950001,80.7065095750002 72.5460909950002,80.7263725750001 72.523035995,80.8294365750001 72.4699819950001,80.9061005750001 72.449708995,81.1119275760001 72.3752639950001,81.2138815760001 72.3547089950001,81.3549815760002 72.3530459950002,81.4730365760003 72.3505359950001,81.7230365760002 72.3341549950001,81.7433185760002 72.3316639950001,81.8286095760001 72.3191639950001,81.8547095760001 72.3095639950001,81.930545576 72.2938729950002,81.9836005760001 72.2841459950001,82.065263576 72.2749909950002,82.1318185760001 72.2698639950002,82.1363815760001 72.2769269950001,82.1597095770001 72.2828999950002,82.1987275770002 72.2804089950001,82.2879005770002 72.2253359950001,82.3092905770002 72.191508995,82.3004005770002 72.1269179950001,82.2713815770001 72.1122089950001,82.1932455770001 72.0941549950002,82.2616545770002 72.072490995,82.3141455770001 72.0627639950001,82.3436005770002 72.054426995,82.4708275770001 72.0152729950001,82.4949815770001 72.0049909950001,82.5761005770001 71.9685549940001,82.6189275770002 71.9374269940001,82.7330815770001 71.8869819940002,82.7597635770001 71.8957639940001,82.7816635770002 71.8980729940002,82.8044905770001 71.898390994,82.9010185770001 71.8940729940002,83.038881577 71.8861999940002,83.1466185770001 71.8763909940001,83.2063635770002 71.8693359940002,83.2697005780002 71.8544179940002,83.3716455780001 71.8297089940002,83.4022095780002 71.8174909940002,83.4178275780001 71.8000459940001,83.5161005780001 71.703045994,83.5338725780002 71.6910819940001,83.6263635780002 71.6253999940001,83.6308095780001 71.5652639940002,83.5772095780001 71.513317994,83.5588725780001 71.5016639940002,83.5377635780002 71.491090994,83.5162365780002 71.4848459940001,83.4511005780001 71.4744269940002,83.4072095780002 71.4705359940002,83.384427578 71.4647179940002,83.3740005780001 71.429699994,83.3778185780002 71.3889359940001,83.3734455780002 71.3635819940002,83.2894275780001 71.2975549940001,83.2369275780003 71.2772089940001,83.214290577 71.2713819940001,83.1708185770001 71.2547179940001,83.1502005770002 71.2380359940001,83.2588815780001 71.1110999940001,83.3524185780001 71.0459549940001,83.3952635780001 71.0133179940001,83.4772005780001 70.9113729930001,83.4924815780001 70.8894359930001,83.5163815780001 70.8480359930002,83.5469365780002 70.7855359930001,83.5995635780001 70.699845993,83.6766545780001 70.6336089930002,83.7227635780001 70.5858179930001,83.7480275780001 70.5297089930001,83.7455275780002 70.4599909930001,83.6549815780002 70.4030459930001,83.5316635780002 70.3391549930002,83.3673455780001 70.313308993,83.334990578 70.3108089930001,83.2066455770001 70.3102549930001,83.122209577 70.3163729930001,83.0688815770001 70.3247089930001,83.0462365770002 70.3301269930001,83.0158275770002 70.3327639930002,82.985681577 70.3310999930002,82.951663577 70.3205459930001,83.044981577 70.2538729930001,83.1116455770001 70.2141549930001,83.133463577 70.204563993,83.1783185770001 70.1452639930002,83.1935905770001 70.1233089930001,83.1797905770001 70.085635993,83.1572095770001 70.0774819930002,83.106936577 70.0685999930002,83.0716545770001 70.0633089930001,82.9816545770001 70.0816639930002,82.8266635770001 70.1205269930002,82.6445725770002 70.1712359930001,82.6430455770001 70.2335999930002,82.6552635770001 70.2522089930001,82.8158095770002 70.3288729930001,83.0002725770001 70.4108089930001,83.0181815770001 70.4262269930002,83.0524815770002 70.5031819930001,83.0243005770001 70.5245729930002,82.993863577 70.5652639930001,83.0549815770002 70.6694359930001,83.1102635770001 70.7447089930001,83.1319275770001 70.775545993,83.1466635770003 70.8468639930001,83.1348455770003 70.874835993,83.1097005770001 70.890681993,82.895827577 70.9441359940001,82.7467905770001 70.9626269940001,82.6833185770001 70.9533269940001,82.6638815770002 70.947208994,82.5817905770002 70.9110909930001,82.4856815770002 70.8117909930001,82.4905275770001 70.7837359930002,82.5219365770001 70.7730359930002,82.4333095770001 70.6088729930002,82.2544365770001 70.5916639930001,82.2169365770001 70.5869269930002,82.1581095770002 70.5727639930002,82.2613815770001 70.3524819930001,82.3487365770001 70.2149179930002,82.3461005770001 70.1985909930002,82.3247095770002 70.211381993,82.2355455770001 70.2773549930002,82.2088815770002 70.3366549930003,82.1988635770001 70.3616459930002,82.1688725770001 70.4366459930002,82.0809635760002 70.5645639930001,82.1941365770002 70.666654993,82.2099905770001 70.6791549930001,82.2330455770002 70.691363993,82.2905455770002 70.7097179930001,82.3326365770001 70.724981993,82.3674815770001 70.740263993,82.4085905770002 70.769645993,82.3008095770001 70.9136089930002,82.2785905770001 70.9260909940001,82.248872577 70.9385819940001,82.2269275770001 70.9574909940001,82.2019365770002 70.9885909940002,82.2000545770002 71.0102729940001,82.2673455770001 71.0402639940002,82.3158095770001 71.0549819940001,82.3394275770001 71.0672179940001,82.3558095770002 71.0887359940001,82.3459545770001 71.116781994,82.3317905770002 71.138463994,82.2864455770001 71.1697729940003,82.2572185770001 71.256663994,82.2812365770002 71.2749909940001,82.3283275770002 71.2880359940002,82.3869365770001 71.3024729940001,82.5827455770001 71.3432179940002,82.7005275770002 71.3670359940002,82.720227577 71.3706359940002,82.8577275770002 71.3930819940002,82.9850185770001 71.4546549940001,83.0113365770002 71.5362909940001,83.0305005770001 71.5547819940001,83.0602185770001 71.559445994,83.1192545770001 71.5627999940002,83.1488635770002 71.567599994,83.1752365770001 71.576554994,83.2896905780002 71.6466359940002,83.318727578 71.6726089940001,83.2616455780002 71.721081994,83.2424635780001 71.7274459940001,83.2134365770001 71.7319999940001,83.1444095770001 71.7319819940002,83.0356095770002 71.7261909940001,82.9769815770001 71.731526994,82.9469725770002 71.7494639940002,82.9189095770001 71.768245994,82.8625005770002 71.7783359940002,82.8033185770001 71.778599994,82.7734635770001 71.7757549940002,82.2573545770002 71.7147549940001,82.2176365770002 71.7089549940001,82.1382185760001 71.7003819940001,82.0398545760002 71.6983359940002,81.7847005760001 71.699372994,81.6530455760001 71.7080359940001,81.4174815760001 71.7498639940001,81.3385635760001 71.7641269940002,81.2914185760002 71.7766729940001,81.2591905760002 71.8042909940001,81.2666635760001 71.8387359940001,81.2507095760001 71.8512909940001,81.1472635760001 71.884126994,80.9321905750002 71.9477359940001,80.6510905750001 72.031099995,80.6365815750002 72.0511639950001,80.6702545750001 72.0680549950002,80.7102635750001 72.0730459950001,80.7500005750001 72.0769359950001,80.7992185750001 72.070472995,80.7645095750001 72.0481999950001,80.8212545750001 72.0313729950001,80.8485905750001 72.0499819950001,80.850127575 72.074581995,80.8261005750001 72.0869269950001,80.8058185750001 72.0905459950002,80.7858095750001 72.0916639950001,80.6855275750001 72.103863995,80.5649905750002 72.124417995,80.4641545750002 72.1427639950001,80.4238725750002 72.1474909950001,80.3430455750002 72.1558179950001,80.2424815750001 72.1652639950001,80.1697095750001 72.1760909950001,80.108872575 72.1869179950002,79.8849905740003 72.2349819950001,79.843872574 72.2447089950002,79.8030365740001 72.2555549950002,79.7824815740002 72.2616549950001,79.7370635740002 72.2766549950002,79.6705365740001 72.3038639950001,79.6083185740001 72.3280459950001,79.5416545740002 72.3521999950001,79.5002725740002 72.3641549950001,79.4797095740001 72.367754995,79.377472574 72.376917995,79.296100574 72.3810909950002,79.235263574 72.3805359950001,79.1319275740001 72.3766459950001,79.0105455740001 72.3719179950002,78.9297005740002 72.371090995,78.8461005730001 72.3735999950001,78.8258185730001 72.3744179950002,78.7641635730002 72.3799729950001,78.5791635730001 72.4002729950001,78.5380365730001 72.4035909950001,78.5177635730001 72.4033179950002,78.4960905730001 72.3987359950002,78.5001545730001 72.3773359950002,78.450272573 72.391372995,78.4297005730002 72.392490995,78.3230455730001 72.3844269950001,78.3063725730001 72.3731729950002,78.2791635730001 72.364699995,78.259427573 72.3608089950002,78.2188725730002 72.3602639950002,78.0899815730002 72.3538639950002,77.9252635730002 72.3158089950001,77.9058185730001 72.3108089950001,77.7819365720001 72.2474819950001,77.757763572 72.222490995,77.7394275720001 72.2099909950002,77.6702635720001 72.1885909950002,77.6427635720001 72.1838729950001,77.6224815720001 72.1860999950001,77.5779005720002 72.1994269950001,77.553872572 72.2113819950001,77.524427572 72.2188729950002,77.5038725720001 72.221099995,77.4741545720001 72.217490995,77.4491455720001 72.2102639950002,77.3732365720001 72.0974089950001,77.3976275720001 72.0776269950001,77.4474815720001 72.0666639950002,77.4883095720002 72.062481995,77.538036572 72.0644179950002,77.5672185720001 72.0699909950001,77.6109635720001 72.083463995,77.6451275720001 72.0956909950001,77.7727635720001 72.1124909950001,77.8124815720002 72.1155359950002,77.8522005730002 72.1171999950002,77.9124905730001 72.1183179950002,77.9530455730001 72.1138729950001,77.9736005730001 72.1102639950001,77.9944275730001 72.1058179950001,78.0158275730003 72.099990995,78.0644275730001 72.0790179950001,78.1141545730001 72.0519269950001,78.1711005730001 72.0155459950001,78.193818573 71.9999819950001,78.2150275730002 71.9853179940001,78.2268905730001 71.956363994,78.203627573 71.9236639940002,78.177654573 71.9014359940001,78.133490573 71.882681994,78.1047365730002 71.8761459940001,78.0214095730003 71.8625459940002,77.8369275720001 71.8363999940001,77.7591545720002 71.8255459940002,77.7104005720002 71.8222089940001,77.660809572 71.822772994,77.6208185720001 71.824708994,77.5602545720002 71.8322179940001,77.498600572 71.8449819940002,77.4586005720001 71.859563994,77.419145572 71.8813639940002,77.2441365720001 71.9499999940002,77.2102635720001 71.9616549940001,76.9599905720002 72.0410909950001,76.9183185720001 72.048872995,76.897763572 72.051090995,76.817763572 72.0508089950002,76.7863725720002 72.0477639950001,76.7277635710002 72.041654995,76.6111005710002 72.0246999950001,76.5527635710002 72.0172089950001,76.4249905710001 72.0073549950001,76.3952635710002 72.0055549950001,76.3642005710002 72.0001999950002,76.299709571 71.986117994,76.0974905710002 71.9285909940002,76.0611005710002 71.8783089940001,76.1711005710001 71.7180459940001,76.2544365710001 71.608599994,76.2476275710002 71.5866549940001,76.2640185710001 71.5747179940001,76.3121905710001 71.5602549940002,76.3324905710002 71.5569269940002,76.3924905710001 71.5508089940002,76.4519365710001 71.547208994,76.4924815710002 71.5405459940001,76.5538635710001 71.5269269940002,76.6037275710002 71.5126359940001,76.6249815710001 71.5035999940001,76.670254571 71.4735999940002,76.7313725710002 71.459990994,76.8944365720001 71.4327549940002,77.0033185720002 71.4224819940002,77.0319365720001 71.4255359940001,77.079990572 71.4281729940001,77.1163725720001 71.4213729940001,77.1660275720002 71.3876269940002,77.1897005720001 71.3681819940001,77.311918572 71.333881994,77.3522005720002 71.325817994,77.4716455720002 71.3044269940001,77.5172095720002 71.2988729940001,77.4822095720001 71.3119179940001,77.4619275720001 71.3166639940002,77.4377635720001 71.322908994,77.461654572 71.3308269940001,77.4908185720001 71.3294359940001,77.530818572 71.3224909940001,77.5708275720001 71.3133089940001,77.5910905720002 71.3074819940001,77.6160905720001 71.295535994,77.6363815720002 71.2896999940002,77.6563725720001 71.2849909940001,77.724845572 71.280535994,77.7487455720001 71.288317994,77.736990572 71.3147089940001,77.9823455730001 71.372890994,78.0090185730002 71.362763994,77.9980365730001 71.3440179940001,77.9269275730002 71.3262359940002,77.9050545730001 71.309563994,77.9391455730001 71.2533269940001,77.9778275730001 71.2591639940001,78.094981573 71.2702639940002,78.2604095730001 71.260272994,78.2963725730001 71.250126994,78.3119185730001 71.234981994,78.3149905730001 71.2099909940001,78.2933185730002 71.1663819940002,78.2727635730001 71.1474909940001,78.2340185730001 71.1190819940001,78.2483185730001 71.0974909940001,78.3769275730002 71.047763994,78.4144275730002 71.037763994,78.4527545730001 71.0356729940001,78.4977635730002 71.0441549940001,78.4758185730002 71.051926994,78.4369185730002 71.0577549940002,78.3535275730001 71.0906179940002,78.419436573 71.1072089940002,78.4669365730002 71.1115089940001,78.4958185730002 71.1105359939999,78.5197185730002 71.1016549940002,78.5358095730001 71.0613729940002,78.5294365730001 71.0347179940001,78.4847095730001 70.991926994,78.5497095730001 70.9555549940001,78.7137365730001 70.933726994,78.7517905730001 70.9335819940001,78.7986005730002 70.9408089940002,78.8355365730002 70.9513819940001,78.8883095730002 70.976999994,78.8836095730002 71.0052639940001,79.067345574 71.0192909940002,79.1085185740002 71.0070729940002,79.0551185740002 70.9428909940002,79.0311005740001 70.9347089940001,78.9563725740001 70.9213729940002,78.8736005730001 70.914426993,78.759718573 70.9119269930001,78.7027725730001 70.9113729930001,78.6263725730002 70.9155459930001,78.5597095730001 70.917072994,78.4361005730002 70.8858179930001,78.4072095730002 70.8884639930002,78.3777635730001 70.8960999930001,78.3461005730001 70.9083269930002,78.3119365730002 70.9233179940002,78.2741545730001 70.9371909940002,78.1199815730002 70.952481994,78.0341455730001 70.9524909940001,78.0049905730001 70.9569359940002,77.9658185730001 70.9663819940001,77.9377635730002 70.9752639940001,77.913181573 70.9872089940001,77.889018573 71.024299994,77.8912365730001 71.0490089940002,77.883590573 71.0894269940001,77.8619275730001 71.1077549940001,77.816509572 71.1285909940001,77.7883185720002 71.137499994,77.7686005720001 71.1422089940001,77.6798365720001 71.1569269940002,77.5752725720002 71.1633179940001,77.3824725720001 71.1663819940002,77.1408185720002 71.173726994,77.0430455720002 71.1831729940002,77.0045725720001 71.182490994,76.9766545720001 71.1774729940002,76.9346275720002 71.154708994,76.9592905720002 71.1040089940001,76.9320635720001 71.0754089940002,76.9158185720002 71.069717994,76.916381572 71.0883179940001,76.880536572 71.1558179940002,76.8436005720002 71.1885819940001,76.6568005710001 71.208454994,76.6179005710001 71.2101269940001,76.570545571 71.2066459940001,76.4842815710001 71.2035999940001,76.4169275710001 71.2035999940001,76.3780365710002 71.2049909940001,76.2994275710001 71.2119269940001,76.260272571 71.2160909940001,76.2106815710002 71.221235994,76.1243635710001 71.223590994,75.7916545710002 71.2560999940001,75.4497095700002 71.3083179940002,75.3875005700001 71.3241549940001,75.30802757 71.3469359940001,75.2673455700002 71.3612359940001,75.2325545700002 71.3919269940001,75.2366455700001 71.4481819940002,75.2669365700001 71.4594269940001,75.3248545700002 71.4615179940001,75.4191455700001 71.4819359940001,75.4986005700001 71.5238819940001,75.4954725700001 71.6594269940002,75.4719275700001 71.6744269940001,75.4508185700003 71.679981994,75.4299815700001 71.6844179940001,75.4072095700001 71.6880359940001,75.3774905700002 71.696781994,75.2713815700002 71.7357459940001,75.21387257 71.791526994,75.2223545700002 71.8412549940002,75.2841455700002 71.951672994,75.30442757 71.9511089940001,75.3909545700001 71.963199994,75.42622757 71.9733359940001,75.4379635700001 71.9944999950002,75.4180365700001 72.0270729950002,75.51457257 72.1490179950001,75.5927635700001 72.2126269950001,75.6365095700002 72.2309549950001,75.6945725700001 72.2409639950001,75.7280455710001 72.2529089950001,75.7463725710002 72.268599995,75.7602725710001 72.2937359950002,75.7410905710001 72.305545995,75.6994185710001 72.3094179950001,75.6733185700002 72.3169359950001,75.5526185700001 72.4833179950002,75.5702635700001 72.5331819950002,75.59387257 72.5447089950002,75.6138725700001 72.546372995,75.6580365700001 72.541926995,75.6887275700002 72.542617995,75.7124185710001 72.5581729950001,75.6905365700001 72.5747089950002,75.6491545700001 72.5922089950002,75.6091455700002 72.6035909950001,75.4777635700002 72.6483269950002,75.3774725700001 72.6827549950002,75.4306815700002 72.7080459950001,75.4544365700001 72.7044359950002,75.5281815700002 72.744845995,75.5055545700001 72.7597179950001,75.36026357 72.805254995,75.2511005700001 72.8247089950001,75.1005365700001 72.8694269950001,75.0694455700001 72.8766459950002,75.0480365700001 72.8785819950002,75.0058275700002 72.8799729950001,74.9855365700002 72.8783089950001,74.8299905700001 72.8341549950001,74.8147005700002 72.7746999950002,74.8591455700001 72.7513909950002,74.9508185700001 72.7009549950001,75.0117905700001 72.6591549950001,75.0274815700001 72.6438729950001,75.0410905700001 72.6258089950001,75.05053657 72.6074819950002,75.0606725700001 72.5863819950001,75.09610057 72.4485909950001,75.1094275700002 72.3913819950001,75.1108095700001 72.3541549950001,75.0875545700001 72.2317179950002,75.0613725700001 72.1985909950001,75.0427545700001 72.1796999950001,75.01360957 72.1541639950001,74.9744275700001 72.1222089950001,74.9508095700001 72.1060909950001,74.9255365700001 72.0960999950001,74.8138725700001 72.0658089950001,74.4929365690002 71.994308995,74.4551365690002 71.9870729940002,74.3981365690001 71.9767909940002,74.1516905690002 71.9333179940001,73.9597185690002 71.9099909940001,73.7341275690001 71.8691359940001,73.6971905690002 71.8605359940001,73.6602455690001 71.8519269940002,73.6049635690001 71.8388819940001,73.5683095690001 71.8299909940002,73.525527568 71.8158179940002,73.477645568 71.7635999940001,73.4991275680002 71.7433179940001,73.5212275680002 71.7192909940001,73.5230275680001 71.6913729940002,73.5033095680002 71.662763994,73.4841275680001 71.6497179940001,73.369136568 71.5835999940001,73.3291635680001 71.5635999940002,73.1935905680002 71.5027729940001,73.1080365680002 71.468599994,73.0644185680001 71.448317994,73.0163815680001 71.418526994,73.0347095680001 71.4005459940001,73.106645568 71.3849909940002,73.1477635680001 71.3791549940001,73.1688725680002 71.3746909940001,73.2330455680001 71.3585999940001,73.339981568 71.3310999940001,73.3924905680002 71.3144179940001,73.441081568 71.2974819940001,73.472209568 71.286099994,73.5033275680001 71.2746999940002,73.5266545680002 71.2630459940002,73.565536569 71.239426994,73.5869275690001 71.221372994,73.6222095690001 71.1852549940002,73.6419365690001 71.1610999939999,73.661372569 71.1369359940001,73.674427569 71.1091549940001,73.6852545690002 71.0877729940001,73.726090569 71.0455359940001,73.7547185690001 71.0277729940001,73.7844275690001 71.0131819940001,73.8255455690002 70.9988729940001,73.8758095690001 70.9790089940002,73.8948545690002 70.9670729940001,73.9090185690001 70.9435999940002,73.9165185690002 70.9165089940001,73.9131815690001 70.8852639930001,73.9265095690001 70.8481819930002,73.9530455690002 70.8305549930001,73.9927545690001 70.8130359930001,74.053036569 70.789981993,74.0869275690001 70.7785909930001,74.1938635690001 70.7385909930002,74.2433275690001 70.7181819930001,74.2630455690002 70.7094269930001,74.2899815690002 70.6948359930003,74.3094275690002 70.679699993,74.3205455690001 70.655254993,74.3402725690002 70.5744359930001,74.3269365690002 70.530272993,74.309981569 70.5111089930002,74.2933185690001 70.4972089930001,74.2747005690001 70.4841459930001,74.1995725690002 70.4346999930001,74.163318569 70.4180459930001,74.0904095690002 70.387490993,74.0611005690001 70.3670639930001,74.0435905690001 70.3256819930001,74.0069455690002 70.2994269930002,73.9738725690002 70.2855359930002,73.930954569 70.2741549930001,73.9061005690001 70.2644359930002,73.718600569 70.1638819930002,73.6879545690002 70.134563993,73.7160905690001 70.1179089930001,73.7524905690001 70.1078909930001,73.7656815690002 70.0770729930001,73.6499905690001 69.876372993,73.5454005680001 69.7785999920001,73.5157545680001 69.7429089920001,73.5444365680001 69.6999999920001,73.6012365690002 69.6517909920001,73.636654569 69.6246999920001,73.6565185690001 69.6128999920001,73.6835905690002 69.601245992,73.716936569 69.5869269920001,73.7385905690001 69.5749999920002,73.7702635690001 69.5535909920002,73.845827569 69.4933179920001,73.876363569 69.4566549920001,73.8958905690001 69.4147819920001,73.8880455690001 69.3749819920002,73.879154569 69.3558179920002,73.8669275690002 69.336654992,73.8391545690001 69.2977639920001,73.7958185690001 69.251935992,73.754163569 69.1999999920002,73.7484545690002 69.171235992,73.763609569 69.1560999920002,73.7813725690002 69.1441459920002,73.799145569 69.1321999920001,73.8962095690001 69.0852179920002,73.934563569 69.0733269920001,73.9697095690001 69.0745819920002,74.102200569 69.1060909920001,74.1666455690001 69.1291549920001,74.1910815690002 69.1363819920001,74.3366545690001 69.1419359920001,74.4371905690001 69.1366549920002,74.4919275690002 69.1308179920002,74.5844275690001 69.1149909920002,74.64082757 69.103045992,74.6865095700001 69.0901269920001,74.7223545700001 69.0810999920002,74.74941857 69.0788729920001,74.8366545700001 69.0830549920001,75.00860957 69.1021999920002,75.14249057 69.1188639920002,75.1438725700002 69.1566459920001,75.17665457 69.1677549920001,75.2094275700001 69.1788639920002,75.3527635700001 69.2185999920001,75.4497095700002 69.245254992,75.4833185700001 69.253599992,75.5352635700001 69.2588819920001,75.5795635700002 69.2595729920001,75.6066455700001 69.2572179920001,75.7174815710002 69.2374909920002,75.763327571 69.2312359920001,75.8349815710002 69.2281819920001,75.8788635710001 69.230545992,75.9313635710001 69.2344179920001,75.9660905710001 69.2380359920001,76.0013905710002 69.2388729920001,76.0465095710002 69.234981992,76.0991545710002 69.2206819920001,76.2330455710002 69.1791549920001,76.3736005710001 69.147490992,76.4099905710001 69.1419359920001,76.5115095710001 69.1287269920002,76.5470635710001 69.127063992,76.579427571 69.1334639920001,76.601927571 69.1459639920001,76.6266455710001 69.1463819920001,76.7267905710002 69.1292909920001,76.7927635720001 69.1055359920002,76.8159545720001 69.0933179920002,76.8343005720002 69.068735992,76.851518572 69.0502639920002,76.8913725720003 69.0227639920001,76.9201275720002 69.0088819920001,76.9469275720001 69.004990992,77.0361005720002 68.9969359920001,77.1424905720002 68.991363992,77.2138815720002 68.9827549920002,77.2954005720001 68.9667909920001,77.3272095720001 68.9524819920001,77.3535905720001 68.9402639920001,77.3993005720001 68.9280359920002,77.4441365720001 68.9205359920001,77.5056815720001 68.9185909920001,77.5316635720001 68.9197089920002,77.566936572 68.9177549920002,77.6077635720002 68.9135999920001,77.6441545720001 68.9047089920001,77.6758185720002 68.889581992,77.6922005720001 68.8710909920001,77.7438635720001 68.7208269910002,77.7488725720002 68.683045991,77.740818572 68.6638819910002,77.723318572 68.6397179910001,77.7146365720002 68.6140729910001,77.7791635720001 68.5163819910001,77.8109545720001 68.5106909910001,77.844436572 68.5188819910001,77.8951275730001 68.5255459910001,77.9290095730001 68.5165269910001,77.949290573 68.4915729910001,77.9349815730001 68.4694359910001,77.9352545730001 68.4391459910001,77.9561005730001 68.3951359910001,77.9730365730002 68.3827549910001,78.001663573 68.3719179910001,78.0881815730002 68.3562999910002,78.171018573 68.2680459910001,78.148881573 68.2519359910002,78.0226275730001 68.239145991,77.9113725730001 68.230817991,77.8605365730002 68.2288639910002,77.809418572 68.228045991,77.7338725720002 68.2202639910001,77.7008095720001 68.2120639910002,77.6441455720001 68.1896999910002,77.6155365720001 68.1763729910001,77.5772095720001 68.1566459910002,77.5585905720001 68.1438729910003,77.5433185720001 68.1308179910001,77.5208275720001 68.1108089910001,77.5030545720002 68.0913729910001,77.4716455720002 67.9891549910001,77.4537455720001 67.7778999910002,77.466381572 67.7591549910002,77.489845572 67.747072991,77.5333275720001 67.7344179910001,77.5674905720002 67.7288639910001,77.601381572 67.7258179910002,77.6602635720001 67.7228999910001,77.7259545720001 67.7312359910001,77.7562455720002 67.741917991,77.940672573 67.7242909910001,78.0061005730001 67.6924729900001,78.094981573 67.6597089900001,78.1372095730001 67.6552549900002,78.1666545730001 67.6608089900002,78.3002635730002 67.6724819900001,78.459154573 67.6849819900001,78.604572573 67.66220899,78.6180455730001 67.6434639900002,78.5991545730001 67.6312359900001,78.5747095730001 67.6258089900001,78.5413635730002 67.62776399,78.4990185730001 67.63416399,78.4688005730001 67.6283089900002,78.5027815730002 67.6133089900002,78.5787365730002 67.6016549900002,78.6119275730002 67.6015089900002,78.6606815730001 67.6135909900001,78.6905365730001 67.6329639900002,78.7158185730001 67.6480359900001,78.7488725730002 67.6522089900001,78.7819365730002 67.6524819900001,78.8573455730001 67.6472179900001,79.0097185740002 67.59512699,79.041172574 67.5734359900002,78.9745725740001 67.5567819900001,78.9413725740001 67.55637299,78.8827545730001 67.5638729900001,78.8488725730002 67.57110899,78.8149905730002 67.5808269900001,78.7811005730001 67.58665499,78.7226275730001 67.5909549900002,78.615536573 67.58193599,78.5744365730002 67.57693599,78.542209573 67.5663729900002,78.5134545730001 67.55455499,78.480681573 67.5509459900002,78.3645635730002 67.5498459900002,78.330827573 67.5551179900001,78.3030365730001 67.5666549900001,78.2719365730001 67.5781819900001,78.2384545730002 67.5809729900001,78.213881573 67.5774819900001,78.1494275730001 67.5610999900002,78.1169275730001 67.55415499,78.0437275730001 67.5404089900001,77.9798455730001 67.54818199,77.9595725730001 67.56498199,77.8674815730001 67.5708269900001,77.8344275720002 67.5691549900001,77.7855365720001 67.5619179900002,77.6965095720001 67.5963729900001,77.6798365720001 67.6085999900001,77.5044365720001 67.66289999,77.427200572 67.6791549900001,77.393054572 67.6860999900001,77.341090572 67.6977549910001,77.2888815720002 67.7130459910002,77.1226185720001 67.763463991,77.0843005720001 67.7848459910002,77.0724905720002 67.8118549910001,77.0920725720002 67.8331819910001,77.122209572 67.8451269910001,77.1454005720001 67.8470729910002,77.1598545720001 67.828326991,77.1926185720002 67.8220729910002,77.2174815720001 67.8249999910001,77.2422005720001 67.8383179910002,77.300118572 67.9090819910002,77.246645572 67.946090991,77.1962275720002 67.9736639910003,77.2427545720001 68.0646999910001,77.3103905720001 68.1579089910001,77.3598455720002 68.2284639910001,77.3379095720001 68.2380359910001,77.2597185720001 68.2485999910002,77.1980455720001 68.261099991,77.1648365720002 68.2917909910001,77.177618572 68.3176269910001,77.2070725720001 68.325826991,77.2492185720002 68.3357459910001,77.3033815720001 68.3804729910001,77.3208275720002 68.5183909910002,77.2788725720002 68.5449819910002,77.1985905720001 68.5844269910001,76.8883185720002 68.6863729910002,76.8041545720002 68.7108179910002,76.7680545710002 68.7202639910001,76.6758095710001 68.7497089910001,76.641372571 68.7677639910001,76.6210905710002 68.7986639920002,76.6424905710002 68.8213819920001,76.6945005710001 68.8476909920002,76.7002725710002 68.8699819920002,76.6109635710002 68.9591549920001,76.5824905710002 68.970545992,76.5552545710001 68.9760909920002,76.5105545710002 68.9806819920001,76.3252725710002 68.9858089920001,76.220263571 68.9830459920001,76.0994275710001 68.9724909920001,75.8252725710001 68.9399729920002,75.7916545710002 68.9341459920001,75.724427571 68.9197089920002,75.5266455700003 68.9020729920001,75.5005455700001 68.9019269920001,75.4663815700002 68.898608992,75.1441455700002 68.8521999920001,75.0772095700002 68.839981992,75.0272095700001 68.8297089920001,74.82527257 68.7980359920001,74.7241545699999 68.783326992,74.6905365700002 68.778317992,74.6405455700001 68.7691459920002,74.5588725690002 68.7474819910001,74.5269275690001 68.7360999910002,74.4897095690001 68.719154991,74.4505365690001 68.6892819910001,74.4153095690002 68.6027179910001,74.4283185690001 68.581099991,74.4538725690001 68.563035991,74.4666545690002 68.5412359910002,74.4629095690001 68.5151269910001,74.4506725690002 68.4894269910002,74.4274725690001 68.4658179910002,74.3870725690002 68.4359549910001,74.3415185690002 68.3995729910002,74.3385905690001 68.370881991,74.371645569 68.3499909910001,74.4216455690001 68.3288729910002,74.4910905690002 68.2997089910002,74.5366545690002 68.2822089910001,74.6072095690001 68.2466459910002,74.6322005700001 68.228590991,74.6919275700001 68.179699991,74.72589057 68.149290991,74.8119185700002 67.9738729910001,74.8206905700002 67.9299819910001,74.8030365700002 67.8208269910002,74.7938725700001 67.7885909910001,74.7830545700001 67.763045991,74.7744275700001 67.7435909910001,74.7552635700002 67.7111089910001,74.7399725700001 67.6916549900001,74.7047095700001 67.6713729900001,74.6744275700001 67.6574819900001,74.6444365700002 67.6438729900001,74.5383185690002 67.5994269900002,74.4169275690002 67.5516549900001,74.3713725690002 67.5347179900001,74.2713815690001 67.4999999900002,74.2488725690002 67.4919269900002,74.1583275690001 67.4566459900001,74.091236569 67.4281729900001,74.0608095690001 67.4110999900001,74.0410905690002 67.3974909900002,73.9034545690002 67.2898359900001,73.9291545690001 67.2586089900001,73.9506815690001 67.22414599,73.9185905690002 67.0694459900002,73.8687365690001 66.9978999900001,73.8527635690002 66.9845639900002,73.8252635690003 66.9712359900002,73.7727635690001 66.9538729900001,73.742200569 66.9460909900001,73.7113815690001 66.9396999900002,73.6131725690003 66.9056819900001,73.5227635680001 66.8322089900002,73.5002725680001 66.8255459900003,73.374690568 66.8097089900002,73.2049905680002 66.77943599,73.1588725680002 66.7697179900001,72.9924095680001 66.7239359900001,72.9945635680002 66.7001269900002,72.9484545680002 66.6595729900001,72.9124905680002 66.6494269900001,72.7962275680001 66.6331819900001,72.7408185680002 66.6299729900001,72.692200568 66.6302639900001,72.6127635680001 66.6263729900001,72.5347095680002 66.6174819890001,72.5036005680001 66.6133089890003,72.4741545670001 66.6041549890002,72.3547095670002 66.5327639890002,72.3497185670002 66.5083269890001,72.3617815670002 66.4595729890001,72.3945725670001 66.4162359890001,72.3891635670002 66.3615089890001,72.3749815670002 66.3349909890002,72.3433185670002 66.2981819890001,72.3219275670001 66.2899819890001,72.2913635670002 66.286099989,72.2133185670002 66.2805459890002,72.0524725670002 66.2394269890001,72.0105455670001 66.2263819890001,72.000000567 66.2194359890001,71.9763815670001 66.2335999890001,71.9448455670001 66.2467909890001,71.9137365670001 66.2444179890002,71.8919365670001 66.2383089890001,71.8545725670001 66.2303999890001,71.8217905670002 66.2331819890001,71.7974815670001 66.2440089890001,71.774427567 66.265272989,71.7492905670001 66.2928999890001,71.7158185670002 66.3072089890001,71.6720725670001 66.3181909890001,71.4619275670001 66.347217989,71.4288635670002 66.3505359890001,71.3130365660001 66.3608089890001,71.2483185660002 66.3621999890001,71.0063815660001 66.3663819890001,70.9738725660001 66.366926989,70.8802635660001 66.3602639890001,70.6769275660001 66.3455359890001,70.6313635660002 66.3388819890001,70.568600566 66.3349909890002,70.4566455660002 66.330272989,70.4247005660001 66.3294359890001,70.3758095660001 66.331663989,70.324436565 66.3399819890001,70.2361005650001 66.3602639890001,70.097763565 66.3852729890001,70.029163565 66.3960999890001,69.9952545650001 66.4005459890001,69.8091455650001 66.4541639890001,69.7516455650002 66.4724819890001,69.6651185650001 66.486090989,69.6399815650002 66.4883089890001,69.5902725650002 66.4916549890002,69.5577545650002 66.4919269890001,69.506654565 66.494426989,69.4208185650002 66.5022089890002,69.3769275650002 66.5101269890002,69.2308185640002 66.5602549890002,69.1541635640002 66.5871999890003,69.1145635640002 66.6072089890001,69.100263564 66.6287359900002,69.0988725640002 66.6545729900001,69.1069275640002 66.68081799,69.1155365640002 66.7138819900002,69.114836564 66.7523459900002,69.0862365640001 66.77303599,69.0523365640001 66.7790179900001,68.9940815640002 66.7835269900001,68.9716455640001 66.8063729900002,69.0052635640002 66.8158089900001,69.035809564 66.8205459900001,69.1147005640001 66.8272089900002,69.1624905640001 66.8305549900001,69.381509565 66.8276269900002,69.4158185650002 66.8241549900001,69.4611095650002 66.8141459900001,69.5150005650001 66.8024729900002,69.6106725650001 66.7887359900001,69.801654565 66.8133089900001,69.8633095650002 66.8222179900001,69.8919365650001 66.8319359900001,69.9807455650001 66.80269099,70.0630365650001 66.7563819900001,70.1499905650001 66.71053599,70.183590565 66.69970899,70.2372005650002 66.68748199,70.2885905650001 66.6802639900002,70.3306905660002 66.6770639900001,70.3547095660001 66.6780359900001,70.5111095660001 66.6938639900001,70.5355365660002 66.7377639900001,70.577490566 66.7538819900001,70.6169275660001 66.7569459900002,70.7054095660002 66.7601269900002,70.7383815660002 66.7479729900002,70.6791545660001 66.7130459900001,70.6005365660001 66.6888729900002,70.5697185660002 66.6847089900001,70.5077635660002 66.6769269900001,70.4438635660001 66.67442699,70.3099905650001 66.64693599,70.2926905650001 66.620817989,70.2977635650001 66.5952729890001,70.319981565 66.5838819890002,70.4697095660002 66.5485999890002,70.5047185660001 66.5416549890001,70.686645566 66.5088819890002,70.7111095660002 66.5077639890001,70.7427545660001 66.5097179890001,70.9824815660001 66.5341459890001,71.0486005660002 66.5649909890001,71.066100566 66.5928999890001,71.0427635660002 66.6030459890001,71.0598545660002 66.6233179900001,71.0824905660001 66.6277639900001,71.2702635660001 66.6372089900001,71.3742815660002 66.6402639900001,71.3988815660002 66.63916399,71.5509545670001 66.6442909900001,71.5724905670001 66.6524819900001,71.5994275670002 66.68748199,71.5922095670002 66.7222179900001,71.568054567 66.7305459900001,71.5158275670001 66.7597179900001,71.4047095670001 66.9269269900001,71.4102635670002 66.9669359900002,71.5611005670002 66.9288639900001,71.6802635670001 66.9341459900002,71.774427567 66.9455269900002,71.8746905670001 66.9877639900001,72.0108905670003 67.0681179900001,72.0141635670002 67.1102639900001,72.0649905670001 67.1549819900001,72.1144275670001 67.1944269900001,72.1683185670001 67.1658179900001,72.188872567 67.1483269900001,72.212763567 67.1513729900001,72.2318545670001 67.1735179900001,72.2072185670001 67.2234549900001,72.1812275670002 67.2369269900001,72.0444365670002 67.26068199,72.0477635670001 67.2976909900001,72.1942905670002 67.3276269900001,72.2262365670002 67.3209729900001,72.2481815670001 67.3098359900001,72.2804005670001 67.30761799,72.3767905670002 67.3166549900001,72.4115185670001 67.3321359900001,72.4361005670002 67.3635999900002,72.4482455670001 67.4009549900001,72.4202545670001 67.43304599,72.3974185670002 67.4575459900001,72.4088455670001 67.4759999900001,72.4566455670002 67.4858089900002,72.5022095680002 67.4994179900002,72.5372095680001 67.5145819900001,72.5487365680001 67.53109999,72.5413725680001 67.5801269900001,72.5560905680002 67.6016549900002,72.5894365680002 67.6177639900001,72.6133095680001 67.6222089900001,72.6555455680002 67.6202639900001,72.6894185680001 67.61928199,72.8361005680002 67.6317819900001,72.867763568 67.6381819900001,72.889436568 67.66026399,72.8913725680002 67.6858089900001,73.0327635680002 67.723181991,73.0742275680001 67.816445991,73.1067905680001 67.8340179910002,73.1745725680001 67.8388729910001,73.2043635680002 67.8545639910002,73.2026275680001 67.964154991,73.1927455680001 67.9860999910002,73.1594275680001 68.0227639910001,73.1203905680001 68.0559549910001,73.0877725680001 68.073599991,73.0718005680002 68.0920729910001,73.1026905680002 68.2187999910001,73.263609568 68.2983269910002,73.3783095680001 68.3499909910001,73.4127635680002 68.3671999910001,73.4263725680001 68.4026269910001,73.4494185680001 68.4352549910001,73.4694365680001 68.4488639910001,73.5272095680001 68.475263991,73.5690095690002 68.4863729910001,73.600400569 68.4793549910001,73.5916545690003 68.4440819910001,73.6166455690002 68.4294269910001,73.638881569 68.4415089910001,73.6504095690001 68.4673459910002,73.651790569 68.4927639910001,73.6297005690002 68.5205359910002,73.5863815690001 68.5505359910001,73.513318568 68.586926991,73.4724905680002 68.6010999910001,73.417072568 68.612072991,73.388600568 68.6197089910001,73.3069275680002 68.648035991,73.2599905680001 68.6652639910001,73.2230365680001 68.6827549910001,73.1549815680001 68.7116549910002,73.126918568 68.7230359910002,73.0952635680001 68.7344179910001,73.056927568 68.7455269910002,73.0016635680002 68.7547179910002,72.9638815680001 68.7633179910001,72.8913725680002 68.7816639920001,72.8244365680002 68.8041549920001,72.7927545680002 68.8155359920002,72.7202635680001 68.8438729920001,72.6702545680002 68.8671999920002,72.6413725680001 68.8855459920001,72.611927568 68.9094269920002,72.5747185680001 68.944290992,72.5538635680001 68.9766549920001,72.481372568 69.1252639920002,72.4727635670001 69.1502729920002,72.4794275680002 69.182208992,72.5078365680002 69.2170729920001,72.5494275680001 69.2427549920001,72.5802725680001 69.2566549920001,72.6224815680002 69.341935992,72.635545568 69.4385819920001,72.6323455680001 69.4844269920001,72.6188635680002 69.5233179920002,72.5927545680001 69.5616459920002,72.5569275680002 69.6074819920001,72.5342905680001 69.6253999920002,72.5563635680001 69.686372992,72.5733185680001 69.6997089920002,72.635818568 69.7344179920001,72.6555365680001 69.7509639920002,72.6708185680001 69.779981992,72.6785905680002 69.7991459920001,72.6867815680002 69.8434639930001,72.6777635680001 69.8746909930001,72.6469365680002 69.9049819930001,72.5922095680002 69.9402639930001,72.5631815680002 69.9548459930002,72.528318568 69.9755359930002,72.4905275680003 70.0492819930002,72.5077635680001 70.0627639930001,72.5361005680002 70.0763819930002,72.5680545680001 70.090272993,72.6194185680001 70.1610269930001,72.6086005680001 70.1838729930001,72.5894275680002 70.1955269930002,72.538881568 70.2121999930002,72.5183275680002 70.2177549930001,72.4844185680002 70.2288639930002,72.4580365670002 70.2402639930002,72.4294905670001 70.267417993,72.4324815670002 70.2894269930001,72.4660905670001 70.3097089930001,72.4997095680001 70.3299909930001,72.532481568 70.347072993,72.5894275680002 70.3702549930002,72.6386005680002 70.3897089930001,72.6972095680001 70.4084639930001,72.7238725680001 70.4119269930001,72.7744275680001 70.4199819930002,72.7752635680002 70.5306819930001,72.7611095680001 70.5488729930001,72.7352635680001 70.563590993,72.6994185680001 70.5841549930001,72.6818545680001 70.614772993,72.7733185680002 70.7246999930001,72.8344275680001 70.8399819930001,72.8394275680001 70.868317993,72.8144185680001 70.8952639930001,72.7102635680001 70.9599909940001,72.6185905680001 71.0235999940002,72.634427568 71.0508089940001,72.659709568 71.070681994,72.6752545680002 71.0960909940001,72.6590095680002 71.1142909940001,72.6111005680002 71.1435999940001,72.5910905680001 71.1552549940002,72.5699905680001 71.160808994,72.5391545680001 71.1649819940001,72.509427568 71.1669269940002,72.4888725680001 71.1699819940001,72.342754567 71.207763994,72.2188725670001 71.2463729940001,72.129972567 71.274154994,72.0983275670001 71.2852639940001,72.0563635670001 71.302199994,71.8461005670001 71.4244269940002,71.8294365670001 71.4360999940002,71.806227567 71.463326994,71.803172567 71.4916549940002,71.8201185670001 71.5144359940002,71.8588725670001 71.5348459940001,71.9513815670002 71.563035994,72.0469365670002 71.570545994,72.1924725670002 71.6002639940001,72.3641545670002 71.7197459940001,72.3497095670002 71.765872994,72.3280635670001 71.7898909940001,72.316390567 71.8086269940001,72.3183455670002 71.8336459940002,72.3391635670001 71.856154994,72.3638905670001 71.868926994,72.3889005670001 71.8761639940002,72.4463815670001 71.8819999940001,72.4830635680001 71.8908999940002,72.5143095680002 71.9078639940001,72.5336185680001 71.9246639940001,72.5519365680002 71.9595179940002,72.5658545680002 72.0002179950001,72.7366455680002 72.195817995,72.7680455680002 72.2247089950002,72.8097095680001 72.2480269950001,72.862763568 72.2683269950002,72.8792185680001 72.2937269950002,72.8622005680002 72.311645995,72.8363815680001 72.335535995,72.7949185680002 72.4051909950001,72.7919275680001 72.4699819950001,72.7252635680001 72.6059549950001,72.7394275680002 72.621926995,72.7923545680001 72.6398549950002,72.811100568 72.6497179950002,72.8238725680002 72.711381995,72.769718568 72.7224909950001,72.612200568 72.7513909950002,72.5447095680001 72.7636089950001,72.2797095670002 72.7994269950001,72.065127567 72.8222179950002,72.0391545670003 72.8149909950002,71.9713725670001 72.8024819950001,71.9224815670001 72.7958179950001,71.901927567 72.7949819950002,71.880263567 72.7966459950002,71.822900567 72.8127639950001,71.8499905670001 72.8174909950001,71.8716455670002 72.8158089950002,71.9136095670002 72.8152639950002,71.9633185670002 72.8206909950002,71.9966545670001 72.835335995,71.939700567 72.8508179950001,71.9185905670001 72.8510909950002,71.8535905670002 72.8560909950002,71.8097095670002 72.8605359950002,71.7652725670001 72.8660909950001,71.7424815670002 72.8699819950002,71.676372567 72.8861089950001,71.583327567 72.9058179950002,71.5605275670002 72.9097179950001,71.5385905670001 72.9113729950001,71.5174905670002 72.9116549950001,71.4969365670001 72.9108089950001,71.3333275660002 72.9016549950002,71.1685905660001 72.9035909950001,71.1466545660001 72.9049819950001,71.1255365660001 72.9055459950001,70.9772005660001 72.907763995,70.9172095660001 72.9016549950002,70.878581566 72.8949909950002,70.7986005660001 72.8863819950001,70.7574905660001 72.8847179950001,70.6299725660001 72.8877729950001,70.5869275660001 72.8894359950001,70.522218566 72.8927639950001,70.434981566 72.8988819950001,70.3077545650002 72.9005459950001,70.244981565 72.8999909950002,69.8924905650001 72.8897089950001,69.871918565 72.8888819950001,69.8209635650001 72.8858269950001,69.772763565 72.8780359950001,69.7111095650001 72.8749819950002,69.6483275650001 72.874417995,69.6047095650002 72.8771999950002,69.5726275650003 72.8817909950001,69.5562635650001 72.906717995,69.7013815650002 72.9302639950001,69.7936635650002 72.9445639950001,69.788036565 72.9641549950001,69.7666635650002 72.968599995,69.744709565 72.9699819950001,69.5519275650001 72.974426995,69.5305455650002 72.974699995,69.5099905650002 72.9735999950001,69.3793005650001 72.9616549950002,69.3273545650001 72.9453999950001,69.3072005650002 72.9288729950001,69.3090095650001 72.9041549950001,69.3105275650001 72.8794269950001,69.2963725650001 72.859981995,69.2294275640002 72.7977639950001,69.2033275640002 72.7808179950001,69.1609545640002 72.7637359950002,69.1155365640002 72.7516639950002,69.0441455640002 72.7305459950001,69.0105455640001 72.716381995,68.9764365640002 72.694281995,68.9269275640001 72.5813729950002,68.7736095640002 72.2927549950001,68.739154564 72.2396999950001,68.6763725640002 72.1299729950001,68.6537365640001 72.0817909950002,68.5644185640001 71.967226994,68.4961005640002 71.8770819940002,68.4655455640001 71.8188909940002,68.3133095640001 71.716090994,68.1271815630001 71.615263994,68.0997005630001 71.6010909940001,67.9688725630001 71.5405459940001,67.7947095630001 71.4871999940002,67.6249815630001 71.4402639940001,67.417209563 71.3730269940001,67.3669275630001 71.3585999940001,67.3322185630001 71.3513819940001,67.085818562 71.303863994,67.002763562 71.2946999940002,66.924981562 71.2933089940001,66.9033185620002 71.2869269940001,66.8366545620001 71.2097179940002,66.8369275620001 71.2033269940001,66.827900562 71.1806729940001,66.8113725620001 71.1638819940001,66.7783185620001 71.1387359940002,66.7422005620002 71.1216459940001,66.689427562 71.0973459940001,66.6377635620001 71.0684549940001,66.6195635620001 71.0451179940001,66.6183185620001 71.0227639940001,66.6524905620001 71.0060999940001,66.6791545620002 71.0010999940001,66.7091455620001 70.9997089940002,66.767209562 71.0125549940001,66.7449905620002 71.050399994,66.8169365620003 71.0997089940001,66.8879095620001 71.0802729940001,66.833881562 71.0024909940001,66.7586095620001 70.9435909940001,66.7227635620001 70.926654994,66.6824815620002 70.913735993,66.6577635620001 70.9069359930002,66.6212275620001 70.891108993,66.6108185620001 70.8681729930001,66.6851185620001 70.7634639930001,66.7074905620001 70.7619359930001,67.0080455620001 70.8049819930002,67.0508185620001 70.8152729930001,67.0826275620001 70.8277639930001,67.1072095620002 70.8352639930002,67.1858095630002 70.8327639930001,67.2066455630002 70.8302729930001,67.2288635630002 70.8255459930001,67.2586095630001 70.8146999930001,67.2844275630002 70.8038639930002,67.3140095630002 70.7866549930001,67.3370005630002 70.7580459930002,67.337909563 70.7216549930001,67.280681563 70.6640089930002,67.2511005630001 70.6113729930001,67.2124905630001 70.5173459930002,67.2594275630001 70.4613819930001,67.2069365630001 70.396945993,67.0988725620001 70.2369269930001,67.089854562 70.2141549930001,67.105400562 70.2005359930002,67.2565815630001 70.1451269930002,67.2537005630002 70.1763359930002,67.2863725630002 70.1645639930001,67.3277725630001 70.0974909930002,67.3097095630002 70.0769359930001,67.2772095630002 70.0430459930001,67.2431815630002 70.0120819930001,67.2161005630002 69.998035993,67.1755365630002 69.9877639930001,67.0202725620001 69.957772993,66.9883185620001 69.9612459930001,66.9648545620001 69.9913729930001,66.977481562 70.0108269930002,67.0030545620001 70.0209549930001,66.988454562 70.0517909930001,66.959290562 70.0534549930001,66.920818562 70.0399819930002,66.8994275620001 70.0258179930001,66.8715095620001 69.9977639930001,66.7673455620001 69.7541549920001,66.7937275620002 69.5802729920001,66.8736005620001 69.5413639920002,66.9160905620002 69.5252729920002,66.9476905620002 69.531863992,66.9394185620001 69.5535909920002,66.9341455620001 69.6313639920001,66.9765185620001 69.6967819920001,67.010127562 69.6991459920001,67.0591455620002 69.693863992,67.0797095620001 69.6902639920001,67.1081815620001 69.6826179920002,67.1330455630002 69.6746999920002,67.1719185630001 69.664699992,67.3299905630001 69.625808992,67.3609545630001 69.6198459920001,67.3855455630001 69.6183179920002,67.4385815630002 69.6219179920001,67.4752635630002 69.6219179920001,67.4955275630001 69.6180459920001,67.6130365630002 69.5916639920002,67.6411005630001 69.5840179920001,67.6897005630001 69.5490089920002,67.7861005630001 69.5166639920002,67.8069275630001 69.5116549920002,67.8272095630001 69.5080459920001,67.9577545630002 69.4853999920001,67.9956815630001 69.4827549920001,68.0322815630001 69.4926179920001,68.0080455630002 69.5138819920001,68.0306815630001 69.5360909920001,68.058036563 69.5494269920001,68.0991545630002 69.5445639920001,68.0994275630001 69.4010909920001,68.0429005630002 69.3609549920001,68.022209563 69.3388729920002,68.0524815630001 69.2754089920001,68.0777725630001 69.2516639920001,68.0947095630002 69.2399729920002,68.2460905640001 69.1363819920001,68.2766545640001 69.1191359920001,68.3172185640002 69.1027639920001,68.357754564 69.0797089920002,68.4041635640002 69.0383179920001,68.4349815640001 68.9987359920002,68.4547095640001 68.9808179920001,68.4733095640002 68.9724909920001,68.5577545640001 68.9460909920001,68.6552545640001 68.9216459920001,68.6749905640003 68.9177549920002,68.7302725640002 68.9136089920002,68.7849905640002 68.9108089920001,68.8199905640001 68.9119269920001,68.8474905640001 68.9210999920002,68.8979005640002 68.944835992,69.0216545640002 68.9641549920001,69.1835905640002 68.959990992,69.2174815640001 68.9558269920001,69.1174815640002 68.9165089920001,69.0755455640002 68.9113729920001,69.0055545640001 68.9094269920002,68.9627725640001 68.9060999920001,68.9500545640001 68.888799992,68.9833185640001 68.874981992,69.018872564 68.8746909920001,69.079709564 68.8770639920001,69.1098455640001 68.8694269920001,69.0952635640002 68.8333269920001,68.923036564 68.6347179910001,68.9012365640002 68.6109549910002,68.8797005640001 68.5935999910001,68.7872005640001 68.5172089910001,68.7449815640001 68.4888729910002,68.6758095640002 68.4524819910001,68.6574815640002 68.4396999910001,68.566654564 68.3727549910001,68.5573455640002 68.3529089910001,68.5765185640001 68.3349909910001,68.5641455640001 68.3105269910001,68.5285905640002 68.2772089910001,68.4824815640001 68.251099991,68.4363725640001 68.2249909910002,68.2911005640001 68.1867819910001,68.2650005640001 68.1874819910001,68.1853905640002 68.2392909910001,68.2050545640003 68.296645991,68.254636564 68.3328359910001,68.1594275630001 68.4113729910001,68.0497005630002 68.4383179910002,67.8824815630001 68.4709639910002,67.8119275630001 68.472354991,67.7830545630002 68.477481991,67.7563815630002 68.4883089910002,67.7061005630001 68.5105459910002,67.7349815630002 68.5086089910001,67.7974185630001 68.5035359910001,67.7722185630001 68.5177639910002,67.6456815630001 68.5748549910001,67.6086005630001 68.588317991,67.4094275630001 68.6574819910001,67.2663905630001 68.6933179910001,67.229709563 68.695817991,67.2015185630002 68.7020639910001,67.0409545620002 68.7913729920002,67.0499815620001 68.818035992,67.0812365620001 68.8254089920001,67.1186635630002 68.8349179920001,67.0549815620001 68.856372992,66.9955275620001 68.8671999920002,66.898881562 68.8808179920001,66.8419365620002 68.886654992,66.8049815620001 68.8891639920001,66.7336005620001 68.8888819920001,66.6780365620001 68.8924909920001,66.6205275620001 68.8997179920001,66.5813725620001 68.9058179920002,66.3680455620001 68.9460909920001,66.3472095620001 68.9508179920002,66.2986005620002 68.9663819920002,66.2706815620002 68.9803999920001,66.1960905620001 69.0060999920001,66.1163815620002 69.030817992,66.0955365620001 69.0355359920002,65.9211005610001 69.0566359920002,65.8819275610002 69.0613729920001,65.8238815610002 69.0683269920001,65.766100561 69.0738819920002,65.7077635610001 69.0808269920001,65.6822095610002 69.087199992,65.662372561 69.114817992,65.7116545610002 69.1210909920001,65.7316545610001 69.1092909920002,65.7517905610001 69.0999819920002,65.7791635610001 69.0994269920001,65.889500561 69.1075549920001,65.8702545610001 69.1271999920002,65.761381561 69.142490992,65.6513905610001 69.1493639920001,65.6201005610001 69.1516459920001,65.5438725610001 69.1580359920001,65.5038725610002 69.1636089920001,65.3819275610001 69.1847089920001,65.3199905610002 69.1963639920001,65.2774815610002 69.2058269920002,65.1874815610002 69.2274819920002,65.1319275610001 69.2455269920002,65.1066455610001 69.2563819920002,65.076100561 69.2698549920001,65.0434455610002 69.2730179920002,65.0136095610001 69.2705359920001,64.9373365600001 69.262217992,64.91692756 69.243590992,64.9389365600001 69.2076269920001,64.8325635600001 69.1521269920001,64.7967905600001 69.1429089920001,64.7706815600001 69.1495639920001,64.76123656 69.1745729920001,64.7840095600001 69.2410999920002,64.8351275600001 69.2873459920001,64.8597095600001 69.2938729920002,64.8802635600001 69.2902639920001,64.9190095600002 69.278881992,64.9633185610002 69.280545992,64.9985275610001 69.2963729920002,64.9591545600002 69.319990992,64.9019275600002 69.3347179920002,64.7730365600001 69.3691359920001,64.71011856 69.3863819920002,64.6685905600002 69.3988819920001,64.5811005600002 69.4302639920002,64.5499905600001 69.4438639920001,64.5152725600001 69.4569359920001,64.4574905600002 69.4713729920002,64.3780365600001 69.4905359920002,64.3383185600001 69.499999992,64.2769275600001 69.5141639920001,64.1505455600001 69.5419269920002,63.6463815590002 69.6255359920002,63.4774815590001 69.6533179920001,63.4352635590002 69.6599909920001,63.2688815590001 69.6835909920002,63.2274815590001 69.6888729920001,63.0861095590001 69.703326992,62.9913815590001 69.7102639920001,62.8950005590001 69.7141549920001,62.7783275580001 69.720263992,62.679990558 69.7266549920002,62.5794365580001 69.7355359920001,62.559154558 69.7374909920002,62.4994365580001 69.7421999920001,62.421936558 69.7452549920001,62.3844365580002 69.7455269920001,62.328327558 69.7455269920001,62.2161005580001 69.7452549920001,62.1058275580001 69.7424819920002,62.011109558 69.7435909920001,61.990827558 69.7455269920001,61.9063815580002 69.7569459920001,61.7666635580001 69.7719269920002,61.7161005570001 69.7760999920001,61.6491635570002 69.7772089920001,61.533881557 69.7802729920001,61.4355455570001 69.7899819920002,61.3452725570001 69.8121909920001,61.2519365570001 69.8288729920001,61.1547095570002 69.8322179920002,61.0238815570002 69.8435999930002,61.0024905570002 69.8466459930002,60.9618005570001 69.8588729930001,60.9316635570001 69.8630359930002,60.8656905570001 69.862763993,60.7905545570002 69.851090993,60.7597185570002 69.8427549930001,60.7247095570001 69.8287459920001,60.6920725570001 69.8051179920002,60.6499905560001 69.7297089920001,60.6660275560001 69.6838729920001,60.6483275560002 69.6705359920001,60.540836556 69.664699992,60.5041635560001 69.6633179920001,60.4247095560002 69.6660909920002,60.4041635560001 69.6677549920002,60.3516545560001 69.674145992,60.295554556 69.6715089920002,60.2708275560001 69.667481992,60.2405455560001 69.659145992,60.1608275560002 69.632063992,60.1452725560001 69.5731089920001,60.2156905560001 69.5528999920001,60.2801275560001 69.4877639920001,60.2909725560002 69.4627729920001,60.3108185560002 69.4483179920001,60.4311095560001 69.369708992,60.541381556 69.3124819920001,60.5713815560001 69.2797089920001,60.5934635560001 69.2494359920001,60.593609556 69.1969269920001,60.583600556 69.1564359920001,60.602218556 69.1258089920001,60.6377725560001 69.1099819920001,60.692627557 69.1013729920002,60.7280095570001 69.1193909920001,60.7284635570002 69.1726179920001,60.7558275570001 69.1730359920001,60.7997185570001 69.1644269920001,60.845272557 69.149717992,60.8947185570001 69.1233179920001,60.9302635570002 69.0872819920001,60.944290557 68.9903999920002,60.9355455570002 68.9502729920001,60.9144365570002 68.9047089920001,60.8683275570002 68.9058179920002,60.8277725570002 68.899426992,60.8002725570001 68.8885999920002,60.7758275570001 68.8741459920001,60.7366635570001 68.8470729920002,60.720681557 68.8288819920002,60.705554557 68.8141459920001,60.6705455570001 68.7905459920001,60.5947095560001 68.7508269910001,60.567500556 68.7399729910002,60.5383275560001 68.7313729910001,60.4944365560002 68.7188729910002,60.4633275560001 68.7127729910001,60.4311095560001 68.7077639910001,60.3813815560001 68.702481991,60.2438815560001 68.6938639910002,60.1230455560001 68.6869179910001,60.086654556 68.686645991,60.0397185560002 68.6885909910002,60.0008275560002 68.6960909910002,59.977209556 68.7066459910001,59.950409556 68.716790991,59.9233275560001 68.7208269910002,59.8941545560002 68.7124909910002,59.8383275560001 68.693035991,59.8116635560002 68.6819269910002,59.7823545560001 68.6653999910001,59.7628365560002 68.6374909910001,59.7841635560002 68.6169269910001,59.822490556 68.6060909910001,59.8524905560001 68.5962359910002,59.8719365560001 68.5819359910003,59.946590556 68.5113089910001,59.9684635560001 68.4642909910002,59.8963815560001 68.4013819910001,59.8736005560001 68.3855459910001,59.8426365560002 68.3694269910001,59.7127725560002 68.3430459910001,59.6811095560001 68.3380459910001,59.6486095560001 68.334154991,59.6152725560002 68.3355359910001,59.5099905550001 68.3538639910003,59.245000555 68.3899819910001,59.187763555 68.3938729910002,59.1272095550002 68.401090991,59.0980455550001 68.4076269910001,59.072354555 68.4245729910002,59.0602725550001 68.5766639910001,59.061800555 68.6198459910001,59.171245555 68.6949729910001,59.2088815550001 68.7041639910001,59.2504095550001 68.7083179910001,59.277772555 68.7083269910001,59.3194455550002 68.702481991,59.3679095550002 68.6988639910002,59.401663555 68.7021999910002,59.4205455550002 68.7116549910002,59.4272185550002 68.745254991,59.421381555 68.7644359910001,59.3108185550001 68.8172179920001,59.270127555 68.836245992,59.1004095550002 68.9088729920002,59.0705455550001 68.9152639920001,59.0099905550002 68.9213729920002,58.9513815550001 68.9252639920001,58.9015185550002 68.9335269920001,58.9730455550001 68.9580359920001,59.0197185550002 68.967481992,59.053045555 68.9713729920001,59.1452725550002 68.9815179920002,59.1916545550001 68.9810909920002,59.2216905550002 68.9906359920002,59.1766545550001 68.997754992,58.9349905550001 68.9999999920001,58.8983275550001 68.9997089920002,58.8627725550001 68.9980269920001,58.8119365550002 68.9933179920001,58.6011095550001 68.9619269920001,58.4894365540002 68.9430359920001,58.2763095540003 68.8918639920001,58.2722185540001 68.8558179920001,58.2747095540002 68.8297089920001,58.2822185540001 68.7940179920002,58.3094365540001 68.7808179920001,58.3655455540002 68.779708992,58.3940185540001 68.7744269920001,58.4352725540001 68.7526179910001,58.4216635540001 68.736645991,58.3899905540001 68.7313729910001,58.345409554 68.7301269910001,58.2014545540002 68.8372819920002,58.2216545540001 68.854981992,58.2402725540001 68.8790819920001,58.1843005540001 68.8849909920002,58.0022185540001 68.853317992,57.9713725540001 68.8469359920001,57.9453365540001 68.8230459920001,57.9770725540001 68.778699992,57.9440185540001 68.7537359910001,57.9151275540001 68.7453999910002,57.7630545540002 68.7410909910001,57.6511005540002 68.7430459910001,57.6084635540001 68.7396999910001,57.5866545540002 68.7335999910001,57.4486005540001 68.6501269910002,57.4293005530002 68.6167909910001,57.4152635530002 68.5917999910002,57.398045553 68.5808269910002,57.3487455530001 68.565817991,57.2761005530001 68.5558179910002,57.1416635530001 68.5435909910001,57.0994365530001 68.5401179910002,57.072218553 68.5399819910002,57.013054553 68.5444359910001,56.8702725530002 68.563035991,56.8253365530001 68.5789459910001,56.793054553 68.5930459910001,56.7650005530002 68.6027639910001,56.6869365530001 68.6258089910002,56.6491635530001 68.6344269910002,56.628045553 68.6369359910001,56.5911005530001 68.6372089910001,56.508609553 68.6277639910001,56.4524905530001 68.619417991,56.3894365530002 68.6091459910001,56.3291635520001 68.6049819910002,56.2919365520001 68.605254991,56.252490552 68.6080359910001,56.2105455520001 68.6130359910001,56.1450005520001 68.6230269910002,56.0505455520001 68.6505459910002,56.0061005520001 68.6580359910001,55.976800552 68.6594269910001,55.9462365520002 68.6531819910002,55.8998545520001 68.626781991,55.8672095520002 68.613599991,55.8397185520002 68.604417991,55.7950185520001 68.5941179910001,55.6895005520001 68.5713089910001,55.657300552 68.566863991,55.5811005520002 68.5604089910001,55.5298815520001 68.565381991,55.454372552 68.566745991,55.332645552 68.5511179910001,55.2258905510001 68.5210909910001,54.9944365510001 68.434981991,54.9397095510002 68.3999909910002,54.9202725510002 68.3838819910001,54.8565185510002 68.3142909910002,54.9192275510002 68.282690991,54.9231905510002 68.2426179910001,54.8687455510002 68.1851179910001,54.8447185510001 68.1734549910001,54.8233275510002 68.167754991,54.782081551 68.1637359910001,54.689154551 68.1738729910002,54.6609635510002 68.1798359910001,54.635827551 68.2066549910001,54.6233185510001 68.2252639910002,54.6077725510001 68.2433179910001,54.5733275510001 68.2788729910001,54.5465185510002 68.298863991,54.5065275510001 68.3051179910002,54.4722095510002 68.3027549910001,54.4530455510001 68.2952549910002,54.4313815510001 68.2810999910002,54.3952725510001 68.2636089910002,54.2454095510003 68.2073549910001,54.1997185500001 68.2072179910001,54.1708275500001 68.2505459910001,54.09971855 68.2466549910002,54.0416635500001 68.2244269910001,53.9955455500001 68.2160909910001,53.9616635500001 68.2136089910001,53.8644365500002 68.2199819910002,53.8466635500001 68.2377639910001,53.8180545500001 68.2435909910001,53.70762755 68.2520729910001,53.5213815500001 68.2555549910001,53.4283275500002 68.2447089910001,53.37277255 68.2367909910001,53.3361095500002 68.2366459910002,53.2455455500001 68.2463729910001,53.2091545500002 68.2647089910002,53.2127725500001 68.2852639910001,53.3201365500002 68.3455459910002,53.42485455 68.3644269910001,53.45110055 68.3658179910001,53.49054555 68.3635999910001,53.53138155 68.3602639910001,53.5631905500001 68.3549909910001,53.5986005500001 68.343317991,53.6305455500001 68.3344269910002,53.6833905500002 68.3343549910001,53.6361095500002 68.378863991,53.5945815500002 68.3897179910002,53.5766635500001 68.4005549910001,53.6019365500001 68.4078999910001,53.6322095500001 68.4055459910001,53.6786005500002 68.3955459910001,53.7252635500001 68.378863991,53.7894365500001 68.3442909910001,53.8116635500002 68.3441459910002,53.9442905500001 68.4013729910001,53.9222185500001 68.4710999910001,53.9058185500002 68.5027729910001,53.8813815500001 68.5263819910002,53.8473545500002 68.545117991,53.8116635500002 68.5635999910002,53.7466545500001 68.6083179910001,53.7234635500002 68.6320639910001,53.7327005500002 68.6585269910001,53.7812455500001 68.668590991,53.8127635500001 68.682208991,53.8348545500002 68.702481991,53.8438815500001 68.7342909910001,53.9313815500001 68.8097089920001,53.9823545500001 68.8229089920002,54.0204095500002 68.8392909920001,54.01262755 68.8577549920001,53.9897185500001 68.8646999920001,53.9444365500001 68.8713729920001,53.8813815500001 68.877199992,53.7983365500002 68.8838819920001,53.7366545500001 68.8883179920001,53.6989455500002 68.8858909920002,53.7212365500002 68.861372992,53.6858185500001 68.8583179920002,53.6075005500001 68.8808179920001,53.6043635500002 68.908181992,53.7556905500001 68.927890992,53.80193655 68.9285909920001,53.8247185500001 68.9252639920001,53.87457255 68.923035992,53.9727635500002 68.9280359920002,54.1991545500002 68.9446999920001,54.3383275510002 68.9552639920002,54.5311095510002 68.9767909920002,54.5591545510001 68.995672992,54.5380455510001 69.0027729920001,54.5166635510002 69.0052639920001,54.4761005510001 69.0074909920002,54.4183275510001 69.0088819920001,54.0966545500002 68.9921999920001,54.0088905500001 68.986099992,53.8434635500001 68.9734549920001,53.7755545500002 68.9669359920002,53.6702725500001 68.9513819920002,53.4702725500002 68.9194359920002,53.4394275500002 68.9136089920002,53.3774905500001 68.9016549920001,53.3466545500002 68.8955359920001,53.28638155 68.882472992,53.19915455 68.8597089920002,53.1711095500002 68.8513819920001,53.1177635490001 68.832217992,53.0188815490001 68.8035909920002,52.9602725490001 68.7891549920001,52.9041635490001 68.779163992,52.7141545490002 68.7319359910001,52.5839905490001 68.6954819910001,52.5149905490002 68.677154991,52.3920815490001 68.645826991,52.356654549 68.6361089910001,52.2948545490001 68.6166459910002,52.283118549 68.5990089910001,52.3233275490002 68.588317991,52.3613815490002 68.584717991,52.4083275490001 68.5845729910001,52.4477725490001 68.599017991,52.5063275490002 68.6293729910002,52.5436635490001 68.638372991,52.5843275490001 68.6422089910001,52.6379815490001 68.6420999910002,52.6108275490001 68.623172991,52.5791545490001 68.6183089910001,52.5412365490002 68.6184549910001,52.507500549 68.6153999910001,52.488045549 68.585535991,52.5555455490002 68.5410909910001,52.5752725490001 68.530817991,52.622909549 68.514163991,52.6730455490002 68.5049909910001,52.712072549 68.494008991,52.7304005490002 68.4830359910002,52.7304095490001 68.4590179910002,52.6992275490002 68.4274729910001,52.664709549 68.4130359910002,52.6231905490002 68.4085909910001,52.5870815490002 68.4076269910001,52.5581815490002 68.4004089910001,52.5169365490001 68.3799729910001,52.4637455490001 68.3537359910002,52.4229095490002 68.3409549910001,52.258736549 68.3063729910002,52.2358275490001 68.3116459910001,52.1412455490001 68.3820639910001,52.1718005490001 68.3956819910001,52.1988725490001 68.3963819910002,52.257218549 68.4023549910002,52.2830545490002 68.4120729910001,52.3555545490001 68.4773459910002,52.3387455490001 68.4883179910001,52.3111005490001 68.4941359910001,52.178609549 68.5047179910002,52.2011005490002 68.5549819910001,52.0747185480001 68.5444359910001,52.0458275480001 68.5369269910001,51.8127635480002 68.4966459910001,51.7813815480002 68.491363991,51.7299905480002 68.4871999910001,51.6744365480001 68.4863729910001,51.6254095480001 68.4878999910001,51.5748545480001 68.483181991,51.5498545480002 68.4727639910001,51.5411095480001 68.4531089910001,51.5749905480001 68.4383819910001,51.5536095480002 68.4252639910001,51.5058275480001 68.4166549910001,51.0676275480001 68.349708991,50.937490547 68.3410909910002,50.8816635470001 68.339154991,50.8550005470001 68.3423459910001,50.8008275470001 68.3676179910001,50.7687455470002 68.370535991,50.742218547 68.3544269910001,50.6793005470001 68.3144269910001,50.6499905470001 68.3002639910001,50.6261005470001 68.2891549910001,50.5883275470001 68.2744269910002,50.536663547 68.255826991,50.5091635470002 68.246090991,50.4002725470002 68.2133179910002,50.3586095470002 68.2019359910001,50.2691545470002 68.1835909910001,50.2413815470001 68.1758089910002,50.2150005470002 68.1672089910002,50.1138815470002 68.1283089910002,50.0572095470002 68.0919359910001,50.034163547 68.070954991,50.003054547 68.0549819910002,49.9661005470001 68.039981991,49.8893005460001 68.0194359910001,49.8508275460001 68.0188819910001,49.8711005460002 68.0308179910002,49.9145815460002 68.0406819910001,49.9698545470002 68.0560909910001,50.0031815470001 68.0850179910001,49.9652725470002 68.0847179910002,49.9238815460002 68.0730459910002,49.8838815460001 68.060254991,49.8344365460001 68.0402639910001,49.7838815460001 68.0213819910001,49.7455455460002 68.0074909910001,49.7194365460001 67.998872991,49.6508275460002 67.9794269910001,49.5944365460002 67.9649999910001,49.2261005460001 67.8738729910002,49.1940095460002 67.8697639910002,49.0802725460002 67.8569359910002,49.0472185460001 67.8535909910001,48.9794275460001 67.8480359910001,48.943600546 67.8469359910002,48.922490546 67.8485999910002,48.869436546 67.8549819910002,48.8102725450002 67.8685909910001,48.7863815450002 67.878308991,48.7519365450001 67.8930549910001,48.6994365450002 67.9185909910002,48.6724905450002 67.927472991,48.6527725450001 67.9310909910001,48.5952725450002 67.9304639910002,48.613609545 67.9124909910001,48.6408275450002 67.903317991,48.7097185450002 67.8738729910002,48.7441545450002 67.859145991,48.7755545450001 67.8438729910001,48.802009545 67.8222819910001,48.8791545460002 67.7249909910001,49.047354546 67.6699819900001,49.0972095460002 67.63261799,49.0655455460001 67.6271999900002,49.0030545460002 67.6352729900001,48.9742455460002 67.6504089900001,48.9455455460002 67.6738729900002,48.8618005460001 67.6969179910001,48.667909545 67.7099909910002,48.6349905450002 67.7063729910001,48.5827725450001 67.68248199,48.5426365450001 67.6634639900001,48.4586005450001 67.65942699,48.4256905450001 67.6659639900002,48.3793005450001 67.6855359900001,48.3502725450002 67.68914599,48.2640185450002 67.67679099,48.2373545450001 67.66887299,48.1448545450002 67.6260909900001,48.0895725450001 67.6381819900001,48.0015185450002 67.65235499,47.879718545 67.6108089900001,47.837218545 67.5940089900001,47.8143635450001 67.5742909900002,47.8583275450001 67.5299819900001,47.8891635450001 67.5109729900001,47.9169365450002 67.4916549900001,47.936654545 67.47415499,47.951100545 67.4519269900001,47.936654545 67.4232359900001,47.8899905450001 67.39220899,47.8433185450001 67.3716459900001,47.6822095440001 67.1863729900002,47.7069365440002 67.16636399,47.7401275440002 67.13734599,47.7522185440001 67.1184549900001,47.748045544 67.0424909900001,47.731518544 67.0106909900001,47.6997185440002 66.9863729900001,47.5983275440001 66.93858199,47.4974905440001 66.9155459900001,47.4538815440001 66.9208179900002,47.4336005440001 66.9224819900002,47.3958275440001 66.9233089900001,47.3638815440001 66.9224819900002,47.3322185440001 66.9188729900002,47.3019365440001 66.9141549900001,47.2447095440002 66.9024819900001,47.216100544 66.89638199,47.088600544 66.86859099,46.923881544 66.84166399,46.7586095440001 66.82859999,46.6391635430002 66.8224909900001,46.596663543 66.8198549900001,46.5547185430001 66.8103909900001,46.5354095430001 66.7976179900002,46.5067275430002 66.7683909900001,46.3819365430002 66.7410909900001,46.516936543 66.8124819900001,46.597490543 66.8388729900002,46.5879095430001 66.8613729900001,46.5612455430002 66.86998199,46.5311005430001 66.8744179900001,46.5108275430001 66.8760819900001,46.4783275430001 66.8724729900001,46.4474905430002 66.86192699,46.4191545430001 66.8558179900002,46.3274905430001 66.84220899,46.2802725430002 66.8366549900002,46.2474905430001 66.8338819900001,46.0336275430002 66.8248999900001,45.8416635430002 66.88720899,45.8149905430002 66.9010999900001,45.7159635430001 67.0127729900001,45.7091635430002 67.0274819900001,45.6502725430001 67.07290899,45.6379095430001 67.1065179900001,45.6349905430001 67.1348459900001,45.607081542 67.1679729900001,45.5786095420002 67.1822089900001,45.5429095420001 67.1926179900001,45.4655455420001 67.20859999,45.4074905420001 67.2177549900002,45.3713725420002 67.22469999,45.1638815420002 67.2705459900001,45.1252635420001 67.2802729900002,44.9925005420001 67.32101799,44.9273545420002 67.3470729900002,44.9129095420002 67.3656729900001,44.9216635420001 67.4333179900001,44.9316635420001 67.4572179900002,44.9480455420002 67.4781819900002,45.002781542 67.5119359900002,45.0236095420001 67.5238819900001,45.0569365420001 67.53969999,45.1144365420001 67.5652639900001,45.1602725420001 67.57929999,45.1997185420001 67.5849909900002,45.2383275420001 67.5844269900001,45.2690185420001 67.5830549900001,45.2947185420001 67.5849909900002,45.3343005420002 67.6085999900001,45.346936542 67.6321999900001,45.3516635420002 67.65498199,45.3477725420001 67.6849729900001,45.3004095420002 67.6996269910001,45.3224905420001 67.7176269910001,45.3824905420001 67.7355359910001,45.4261005420001 67.744708991,45.4569365420001 67.749708991,45.5038815420002 67.7569459910002,45.5363815420002 67.7608179910001,45.6213725420001 67.7691459910001,45.6669365430001 67.7706819910002,45.7252725430002 67.7648549910002,45.8380455430001 67.7724909910001,46.145545543 67.7972089910002,46.1944365430002 67.8030359910002,46.2424905430001 67.810526991,46.2883275430002 67.8185999910001,46.4088815430001 67.8274819910001,46.6202725430001 67.8069269910001,46.6715185430001 67.8044269910002,46.7111095440002 67.8167909910002,46.7183185440001 67.8424819910001,46.714854544 67.9227639910001,46.6613815430001 67.9335819910001,46.5669365430001 67.996935991,46.5500005430002 68.022217991,46.5368005430001 68.0553999910002,46.5494365430002 68.086654991,46.5273545430001 68.1381729910001,46.4988815430001 68.1538729910001,46.3933275430001 68.1974819910001,46.3461095430002 68.2087359910001,46.3193005430002 68.201799991,46.2823545430002 68.2073459910001,46.0256905430002 68.326663991,45.9538815430001 68.409145991,45.9404095430001 68.4351179910001,45.9591635430002 68.4490089910001,45.9033185430002 68.4822089910002,45.5052725420002 68.545817991,45.4030455420001 68.561099991,45.2858275420001 68.5730459910001,45.2641635420001 68.5744359910002,45.1399905420002 68.5777729910001,44.9436005420001 68.5794359910002,44.8849905420001 68.5788729910001,44.8030455420001 68.5740179910002,44.7799905420002 68.5699909910001,44.7130545420002 68.561917991,44.4891545410002 68.5527639910001,44.2172095410001 68.5360999910001,44.1805455410002 68.5341459910001,44.1405455410001 68.5341459910001,44.1186005410001 68.535263991,44.073327541 68.5388819910001,44.0527725410001 68.541654991,43.973318541 68.5538639910001,43.9205455410001 68.5644179910001,43.8441545410001 68.584717991,43.7852725410002 68.601381991,43.671100541 68.6321999910001,43.4861005400002 68.6780359910001,43.4563815400001 68.6824819910001,43.4088815400001 68.6869179910001,43.3869365400001 68.688035991,43.36693654 68.688035991,43.3116635400001 68.6849819910001,43.26971854 68.6681089910001,43.2788815400002 68.641099991,43.31138154 68.6188639910002,43.3319365400001 68.608599991,43.35500054 68.5983269910002,43.5633275410001 68.5183269910002,43.6366545410001 68.4902639909999,43.6630455410002 68.4813729910001,43.6894275410001 68.4724909910001,43.7186005410002 68.4641549910001,43.7824905410002 68.4480269910002,43.8466545410001 68.4324819910001,43.8994365410002 68.421917991,44.0013905410001 68.3927639910001,44.0505455410001 68.3741459910001,44.1316635410001 68.340545991,44.1833275410002 68.315263991,44.2036095410002 68.3049819910001,44.2279095410001 68.2919269910002,44.2449185410002 68.264572991,44.2258185410003 68.2074909910002,44.2099905410002 68.1749909910001,44.1786005410002 68.0997179910001,44.140409541 67.9948459910001,44.131590541 67.928245991,44.1627635410002 67.9238729910001,44.195827541 67.933872991,44.2211005410002 67.9363729910001,44.2581905410001 67.928099991,44.2106185410001 67.8946359910002,44.167209541 67.8880459910001,44.1124905410001 67.8922089910001,44.0865185410001 67.8769909910001,44.0861095410002 67.8388729910001,44.125400541 67.8072089910002,44.1274905410001 67.7858089910002,44.1138815410001 67.7066459910001,44.0920725410001 67.6806729900001,44.0591545410001 67.6806729900001,44.0309005410001 67.6644999900003,43.939427541 67.5666639900001,43.8561005410001 67.4733089900002,43.8141545410002 67.4255359900002,43.800827541 67.4094269900001,43.7875005410001 67.3930549900001,43.7581905410001 67.3422089900001,43.7518005410002 67.3115179900001,43.7513905410002 67.28942699,43.7505455410001 67.2522089900001,43.7598545410001 67.2176269900001,43.7788815410002 67.1962269900001,43.870827541 67.1656819900001,43.904018541 67.1599909900001,43.9340185410002 67.1652639900001,43.9683185410001 67.1738729900001,44.0016635410002 67.1769269900002,44.036381541 67.17915499,44.0761005410001 67.1777639900002,44.1083275410001 67.1740089900002,44.141663541 67.16679099,44.167909541 67.1544359900002,44.246936541 67.0988729900001,44.3129095410001 67.0469269900001,44.3497185410001 67.0297089900002,44.4083275410001 67.0115819900001,44.4799905410001 66.94914599,44.496381541 66.9074819900001,44.4851275410001 66.8358179900002,44.4673455410001 66.8187359900001,44.4341545410001 66.8097089900002,44.3811005410001 66.8013729900002,44.3614545410002 66.7836639900001,44.4486005410002 66.7030459900001,44.4830455410003 66.6741459900001,44.4569365410001 66.6463819900001,44.4238815410001 66.6372089900001,44.3973545410001 66.617199989,44.3897095410001 66.597072989,44.3602725410001 66.5028999890001,44.3205455410002 66.4872089890002,44.2891635410001 66.4769269890002,44.2575005410001 66.4608179890002,44.2411005410001 66.4466359890001,44.2177635410001 66.4119269890001,44.2183725410001 66.407135989,44.2105455410001 66.4044359890001,44.1819365410001 66.3858179890001,44.1643635410001 66.3728179890001,44.1511005410001 66.3566459890001,44.134990541 66.3322179890002,44.1236005410001 66.3146999890001,44.1088905410002 66.2819359890001,44.0763815410001 66.200545989,44.0787455410002 66.1642179890002,44.1036725410001 66.1240089890001,44.149718541 66.0483269890001,44.1744365410001 65.874690989,44.0406905410001 65.991372989,44.0245725410001 66.0189549890001,44.0529815410001 66.0574089890002,44.0486005410001 66.0781819890001,43.9436005410002 66.138317989,43.8580455410001 66.1769269890002,43.7162365410002 66.1802639890002,43.692490541 66.1774729890002,43.5062455410002 66.1359639890001,43.4755455400001 66.1255359890001,43.4533275400001 66.1158179890002,43.38512754 66.0726999890001,43.4072185400001 66.0565089890001,43.4516635400001 66.054699989,43.47165454 66.0535909890001,43.516654541 66.0365819890002,43.5249905410002 66.0069459890001,43.5162455410001 65.9756819890001,43.3547095400002 66.0385909890001,43.2943725400001 66.0906729890002,43.4483275400002 66.1555459890001,43.519990541 66.181654989,43.5472185410001 66.1880359890002,43.6080455410001 66.1966359890002,43.6349905410001 66.2030459890001,43.6762455410001 66.2188729890001,43.6938815410001 66.231926989,43.6869365410001 66.2555359890001,43.6655455410001 66.2724909890001,43.6466635410001 66.282763989,43.5711095410001 66.3166639890001,43.5359635410002 66.3267999890001,43.5086095410002 66.3313729890001,43.4669365400001 66.3347179890001,43.3486005400001 66.3821999890001,43.3187455400001 66.4120639890001,43.2929185400002 66.4242909890001,43.2438815400001 66.429699989,43.0736095400002 66.424426989,43.0129095400002 66.4216549890002,42.9552725400001 66.416654989,42.8741635400002 66.408872989,42.82832754 66.4022089890002,42.7548545400002 66.3955359890002,42.6697185400002 66.3963819890002,42.66687254 66.4221999890001,42.6541635400001 66.443317989,42.5855455400001 66.4638819890001,42.5524905400001 66.4708269890001,42.3847185390001 66.5044359890001,42.3488725390001 66.510545989,42.236109539 66.5274819890001,42.205681539 66.529017989,42.1751365390001 66.5244269890001,42.1424905390001 66.5122179890002,42.083327539 66.4688729890001,42.0680545390001 66.4544359890002,42.0366635390001 66.4205359890001,41.9086005390001 66.3308269890001,41.8433185390001 66.2885909890001,41.8047095390001 66.2655459890001,41.7747095390002 66.2488729890001,41.6477725390001 66.1866459890001,41.4250005390001 66.0897089890001,41.3552725390002 66.0624819890002,41.2988815380002 66.051090989,41.2044365380002 66.0402639890002,41.007772538 65.9994179890003,40.9397095380001 65.995254989,40.886654538 65.993590989,40.8533275380001 65.9908179890001,40.7591635380001 65.979708989,40.7294275380002 65.9749909890001,40.7033275380002 65.9680459890001,40.6802725380001 65.9588819890001,40.6591545380001 65.9488639890002,40.6416635380001 65.9363729890002,40.6097185380002 65.9097179890001,40.5952725380001 65.8952639890002,40.544154538 65.8572089890001,40.4722095380002 65.8091459890001,40.4336005380001 65.7866549890002,40.412763538 65.776381989,40.390272538 65.7672089890001,40.2022185370002 65.7102639890001,40.0224905370001 65.6591459890002,39.978600537 65.6516549890002,39.9399905370002 65.6410999890001,39.915827537 65.633045989,39.891936537 65.6246909890001,39.8566545370001 65.611926989,39.8122095370002 65.5935999890002,39.774436537 65.5708269890002,39.7513905370001 65.550808989,39.7238095370001 65.5104089880002,39.7038815370001 65.462908988,39.701381537 65.427763988,39.7041635370002 65.4052549880001,39.7180455370002 65.3783089880001,39.7538815370002 65.3422089880001,39.782772537 65.3194459880002,39.8133275370002 65.3005359880001,39.832772537 65.2905459880001,39.8579095370001 65.2783179880002,39.9141545370002 65.2441359880001,39.9611005370002 65.2109639880002,40.0180545370002 65.1577639880001,40.0591545370002 65.115535988,40.101663537 65.0813729880001,40.1515185370002 65.047199988,40.1813815370002 65.0422089880001,40.2158275370001 65.036372988,40.2424905370001 65.0285909880002,40.2794365380002 65.0119359880001,40.3759635380002 64.9234549880001,40.4122095380002 64.8608819880001,40.4097095380001 64.8391549880001,40.426654538 64.824717988,40.4505455380001 64.7891549880001,40.4470725380001 64.7645729880002,40.4163095380001 64.7501269880001,40.412763538 64.7249909880001,40.4702725380002 64.6299819880001,40.4911005380001 64.615263988,40.5155455380001 64.5944359880002,40.5322185380001 64.5647089880002,40.5237365380002 64.540963988,40.497218538 64.5351269880001,40.4505455380001 64.5363729880002,40.2169365370002 64.5524729880001,40.1640815370001 64.5624729880001,40.1352725370002 64.5894269880001,40.0816635370001 64.6124909880001,40.0577725370001 64.6210909880002,40.0180545370002 64.632754988,39.8627725370002 64.6658179880001,39.8177005370002 64.6639359880002,39.7951275370002 64.6272089880002,39.7940905370001 64.5948359880002,39.8324905370002 64.6008179880002,39.8523545370001 64.6110909880001,39.8781905370001 64.6176179880001,39.9160365370001 64.6100459880001,39.7373545370002 64.5534549880001,39.614436537 64.5574819880002,39.5459635370001 64.5631729880001,39.4958275370001 64.5758179880002,39.3891635370002 64.6066459880002,39.2297095370002 64.6594269880001,38.9322095360001 64.7435909880002,38.868600536 64.7558269880001,38.8477725360002 64.7574909880001,38.791936536 64.7583269880002,38.7550005360001 64.763045988,38.7038815360002 64.7697179880001,38.6511005360001 64.777481988,38.5686005360002 64.7922089880001,38.536663536 64.7983269880001,38.4908275360001 64.761381988,38.3527725360002 64.756381988,38.3277725360001 64.7535999880002,38.1880455360001 64.7180459880001,38.1644365360002 64.6973459880002,38.1585275360001 64.6708179880001,38.072218535 64.6426269880001,38.0413815350001 64.643317988,38.0392275350001 64.759917988,38.0726275350002 64.7758269880001,38.1652635360002 64.7833269880001,38.2098545360001 64.7841459880002,38.2355455360001 64.7808179880002,38.2563815360001 64.7791639880001,38.3652725360001 64.806926988,38.4043635360001 64.8540819880002,38.3733185360002 64.862490988,38.3345725360002 64.8578909880001,38.248600536 64.848872988,38.2133275360001 64.8477639880001,38.1555455360001 64.8491549880001,38.1172095350001 64.850263988,38.0774905350002 64.8541549880001,38.0297185350001 64.8641549880001,38.004163535 64.8705269880002,37.9769365350002 64.8780359880001,37.9386005350001 64.889981988,37.7769365350002 64.9513819880001,37.7443635350002 64.9690089880002,37.748881535 64.999499988,37.7317275350002 65.0368549880001,37.6902725350001 65.0558179880001,37.4733185350001 65.1241459880001,37.3691545350002 65.1477639880001,37.1188815350002 65.195254988,37.0416545340001 65.2072179880001,37.0005455340001 65.204990988,36.8568635340002 65.1783179880002,36.834163534 65.1571999880002,36.848045534 65.1416639880001,36.860272534 65.1216459880001,36.8674905340001 65.0763819880002,36.8330455340001 64.9919269880002,36.6530455340001 64.9226179880001,36.6091635340002 64.920817988,36.5715185340001 64.9273459880001,36.5486005340001 64.9362359880001,36.5120815340001 64.9485909880001,36.473745534 64.9502549880001,36.4395725340001 64.9378999880001,36.4586005340001 64.8866549880001,36.5619365340002 64.7438729880001,36.6077725340002 64.742199988,36.676381534 64.7359549880001,36.7037365340001 64.7285999880001,36.729154534 64.716090988,36.755827534 64.700545988,36.866663534 64.6160909880001,36.9202725340001 64.5694459880002,36.9455455340001 64.5455359880002,36.975818534 64.5233179880001,37.006100534 64.5010999880002,37.1272095350001 64.4194359870001,37.144718535 64.4088729870001,37.1669365350002 64.3999909870001,37.1916545350001 64.3919359870001,37.3340185350001 64.352481987,37.3591635350001 64.3516549870002,37.3902725350001 64.3549819870001,37.5608185350002 64.3841549870002,37.688600535 64.4227639870001,37.8012455350001 64.4196999870001,37.8120725350001 64.387554987,37.9058185350001 64.3416639870001,37.9788725350002 64.3166639870001,37.922636535 64.2501179870001,37.907909535 64.2301909870001,37.9262815350002 64.2112089870002,37.9827635350002 64.1827549870001,38.0047185350001 64.1738729870001,38.026381535 64.1649909870001,38.0472185350001 64.1476269870001,38.0630455350001 64.1133089870001,38.0845095350001 64.0569999870001,38.0801275350002 64.0210999870001,38.0619365350002 64.0044359870002,38.044718535 63.9930459870001,38.0088905350001 63.9708269870001,37.9966545350001 63.9560999870001,37.9491545350001 63.9366549870001,37.8715185350002 63.914708987,37.8279095350001 63.9083269870001,37.7863815350002 63.9063819870001,37.7466545350002 63.912208987,37.6884635350002 63.9213819870001,37.6547095350002 63.9236089870001,37.5841635350001 63.8813179870002,37.5788185350002 63.8436729870001,37.537772535 63.8220819870002,37.5047185350001 63.8147089870001,37.4226365350001 63.8047179870002,37.3887365350001 63.803326987,37.3591635350001 63.804990987,37.2974905350002 63.8131909870001,37.268054535 63.823608987,37.2456815350002 63.8481909870002,37.2037365350001 63.8792999870003,37.1727635350002 63.8891639870001,37.1391635350001 63.8944359870001,37.0890275350001 63.8974999870001,36.9805455340002 63.9008269870001,36.8330455340001 63.9113089870001,36.7969365340001 63.9287459870001,36.5966545340001 63.9638819870001,36.5605455340001 63.968045987,36.522609534 63.9676549870002,36.4984635340001 63.9670729870002,36.473318534 63.9702729870002,36.2824905340002 64.0097089870002,36.2638815340002 64.0195729870001,36.2672095340002 64.0791639870001,36.2779095340001 64.1437459870002,36.1097185340002 64.231372987,36.0193635340001 64.198726987,35.9842905340001 64.196090987,35.8930545330001 64.2586089870001,35.8986095330001 64.2852639870002,35.8786005330002 64.3069179870002,35.8041635330002 64.3428999870002,35.6324905330002 64.3952639870001,35.5966725330001 64.4040549870001,35.5676185330001 64.3982819870001,35.5386005330001 64.3555269870001,35.4222275330001 64.3229179870002,35.3987275330001 64.3205089870001,35.3248275330001 64.3265179870001,35.1358725330002 64.3849639870002,34.9606815330002 64.4578999870001,34.9666635330001 64.4972729880001,34.9477725330001 64.5144359880001,34.8602725320001 64.5199909880002,34.7877725320002 64.5477639880001,34.8108185320001 64.5683269880001,34.8352635320001 64.586381988,34.9572185330002 64.652772988,34.9361005330001 64.8383179880001,34.8391545320002 64.9166549880002,34.7747095320001 64.9685999880001,34.7952725320001 65.0158269880002,34.7450005320002 65.0577549880001,34.6822095320002 65.1083179880002,34.6853365320001 65.1831729880001,34.6345725320001 65.2412269880001,34.6075005320001 65.2527729880001,34.5861095320002 65.2538729880001,34.5505455320001 65.2519359880001,34.474436532 65.2781819880001,34.3812455320002 65.3826179880001,34.4224905320001 65.4188729880001,34.494990532 65.4497089880001,34.5413815320002 65.4510999880001,34.6180455320002 65.4433179880002,34.6730455320001 65.4478999880002,34.7783275320001 65.600399989,34.7522185320001 65.6341459890001,34.6901275320002 65.716935989,34.6741635320001 65.7772089890001,34.689163532 65.8016459890001,34.7580455320001 65.7766549890001,34.815272532 65.7463729890002,34.8413815320001 65.7305459890001,34.888881532 65.7052639890001,34.930618533 65.6970639890002,34.9647185330001 65.7212269890001,34.8677635320001 65.8802639890002,34.850127532 65.898735989,34.7124905320001 65.9908179890001,34.5666635320001 66.078045989,34.5311095320001 66.093599989,34.4969365320002 66.1069359890001,34.4238815320002 66.1324729890001,34.3505455320001 66.1577639890002,34.1672095320001 66.2144269890001,34.109718532 66.2490179890002,33.8833275320002 66.2602729890002,33.7794365310002 66.284145989,33.7500005310002 66.2908179890001,33.6363815310001 66.3130359890001,33.5533185310002 66.3222179890001,33.5020815310001 66.3120639890001,33.3215185310001 66.3196999890001,33.3430455310001 66.3291639890002,33.4391545310002 66.3424819890002,33.5630455310001 66.392208989,33.6688815310001 66.4149909890002,33.7218635310002 66.4224819890002,33.6336005310001 66.4810909890001,33.6088905310001 66.489426989,33.5736005310002 66.489563989,33.5443635310002 66.473663989,33.4449905310002 66.466935989,33.4077725310001 66.4713729890001,33.330272531 66.4833179890001,33.3026275310001 66.5029089890002,33.2472185310001 66.5299909890001,33.213045531 66.5338729890001,33.1679095310001 66.5256819890001,33.1397185310001 66.5091639890001,33.1172095310002 66.5052639890001,33.0763815310002 66.5049909890001,33.0313815310001 66.5066549890001,32.9584275310001 66.5303639890002,33.0709635310001 66.5508179890001,33.119154531 66.5485999890002,33.1397185310001 66.5485999890002,33.1744365310001 66.5516549890002,33.1813905310001 66.5539549890001,33.1992005310001 66.5639999890001,33.3069365310002 66.554426989,33.3422185310002 66.5491459890001,33.389718531 66.5399819890002,33.4347185310001 66.5299819890002,33.4872095310002 66.5222179890001,33.5249185310001 66.5274819890001,33.4276275310002 66.589008989,33.4063815310001 66.594435989,33.283609531 66.612199989,33.2401275310002 66.6162359890002,33.1536365310002 66.6029549890002,33.0838815310001 66.5807179890001,33.0573815310002 66.5785459890001,32.8710365310002 66.5806819890001,32.862545531 66.585281989,32.8705455310002 66.5949909890001,32.8952725310002 66.5980359890002,32.938327531 66.5972179889999,32.9783275310001 66.5938729890001,33.0136095310001 66.588881989,33.0336095310001 66.5871999890003,33.0686005310001 66.5952729890001,33.0956905310002 66.612272989,33.1222815310001 66.6470729900002,33.1522185310001 66.6502729900001,33.1949905310001 66.6394359900002,33.3077725310002 66.6216549900001,33.3218725310001 66.6408819900001,33.2222095310001 66.6785999900002,33.1794365310001 66.6852549900001,33.1569365310001 66.6860999900001,33.1197095310001 66.6841459900002,33.059990531 66.68275499,32.9697095310001 66.6863729900001,32.9344365310001 66.6913639900001,32.8009005310001 66.7265819900002,32.8359635310001 66.7267909900002,32.9308275310001 66.7362359900002,32.912772531 66.76900899,32.8505455310001 66.7858089900001,32.6797185300002 66.82748199,32.5183275300002 66.8821999900001,32.5294365300001 66.9485909900001,32.5590815300002 66.9858819900002,32.5388905300002 67.0077639900001,32.5208275300001 67.01832699,32.4973545300001 67.0313729900002,32.3563815300002 67.0758179900002,32.2594455300001 67.1227549900001,32.2158275300001 67.1291549900001,32.1927635300002 67.1299729900001,32.1468005300002 67.1266359900001,32.1240185300001 67.1174819900001,32.1011005300001 67.1133089900001,32.07097253 67.1134549900002,31.9236095300001 67.12234599,31.8588095300001 67.1528269900001,31.8800005300002 67.1621999900001,31.93290953 67.16039999,31.9856185300002 67.1464549900001,32.0249905300001 67.1366549900002,32.0661005300001 67.1333269900002,32.2402725300001 67.1447179900001,32.3395725300001 67.1626269900001,32.3647185300001 67.16192699,32.4131815300001 67.14039999,32.4505455300001 67.1316549900002,32.4888815300001 67.1277639900001,32.5213815300002 67.12748199,32.5736005300001 67.1327639900001,32.61249053 67.1303999900001,32.6677725300002 67.1194269900001,32.6961005300001 67.11192699,32.793881531 67.0858179900001,32.8018005310001 67.05302699,32.7974905310001 67.02623599,32.8137455310001 66.99845499,32.8347185310001 66.9805459900001,32.9016545310002 66.9444269900001,32.9427635310001 66.9249909900001,33.0886005310001 66.8569359900001,33.1549905310002 66.82887299,33.1880455310001 66.8149909900002,33.2513905310001 66.7944359900002,33.483881531 66.7213729900002,33.5348545310001 66.7197089900002,33.6280455310002 66.7460909900001,33.6077725310002 66.7558269900001,33.5699905310001 66.7683269900001,33.5358275310002 66.7860999900002,33.5184635310002 66.8127639900001,33.5988725310001 66.8230459900002,33.7437455310001 66.77539999,33.7765185310001 66.7612459900001,33.7977725310001 66.7333819900001,33.8185365310002 66.7033179900001,33.855554532 66.6924729900002,33.9333275320001 66.6847089900001,34.1574905320002 66.66998199,34.2419365320001 66.6694359900001,34.3186005320001 66.6658179900002,34.4343005320001 66.6437359900002,34.4026275320001 66.6412459900002,34.3754005320001 66.6342909900001,34.360618532 66.6134459890001,34.443181532 66.545535989,34.4790185320001 66.5323459890001,34.5129095320001 66.5316549890001,34.5513815320001 66.5380359890001,34.6619365320002 66.5641459890001,34.6872095320002 66.5719269890001,34.7083275320001 66.5819359890001,34.740963532 66.6016549890001,34.7711095320001 66.6067909890002,34.845827532 66.604981989,34.8755455320001 66.5980359890002,34.974163533 66.563872989,35.0276365330002 66.5392639890001,35.0787455330001 66.514826989,35.164581533 66.4848359890001,35.377981533 66.4157359890002,35.4049365330001 66.407972989,35.436890533 66.4015999890001,35.5091365330001 66.3877359890001,35.5572005330002 66.3821729890001,35.5797005330001 66.3810729890001,35.7322095330002 66.3699819890001,35.9144365330001 66.3533179890001,36.2256905340001 66.3202639890001,36.3038815340001 66.3077549890002,36.3822095340001 66.2994269890001,36.5347185340001 66.2894269890002,36.625136534 66.288463989,36.6544365340001 66.2885909890001,36.715272534 66.287490989,36.757772534 66.2858089890001,36.9083275340001 66.2763819890001,36.9744365340001 66.2722179890002,37.0161095340002 66.2685999890002,37.1477725350001 66.2519359890002,37.266390535 66.2313729890002,37.295272535 66.224154989,37.3952725350001 66.197481989,37.4069365350001 66.1930359890002,37.4827635350002 66.1677549890001,37.6736095350001 66.121090989,37.9099905350001 66.0874909890001,37.9680455350002 66.0808269890001,37.9899905350001 66.079163989,38.1991545360002 66.0672179890001,38.492763536 66.0524729890001,38.5530455360001 66.0508089890001,38.6077725360001 66.0521999890001,38.8169365360001 66.0752729890001,38.8463815360001 66.0802729890001,39.0194365360001 66.1021999890002,39.1108275360002 66.104426989,39.2763815370001 66.1191359890001,39.3208275370002 66.1266459890001,39.352627537 66.1337359890002,39.383609537 66.1438729890001,39.5849905370001 66.1941359890001,39.8099905370001 66.2302729890001,40.0666545370001 66.276099989,40.100963537 66.289835989,40.137772537 66.319445989,40.1727725370001 66.3385999890002,40.2963905380002 66.3744179890001,40.3230545380001 66.3813639890001,40.353054538 66.386108989,40.4016545380001 66.3913729890002,40.4433185380002 66.4008179890001,40.4663815380001 66.4099909890002,40.5655455380002 66.4538729890001,40.721027538 66.543726989,40.7212365380001 66.5733269890001,40.7366635380001 66.5871999890003,40.9724905380001 66.7074909900002,41.0497185380002 66.7421999900002,41.0969365380001 66.7599909900002,41.1272095380001 66.77692699,41.1558185380002 66.7944359900002,41.2197095380001 66.8377729900001,41.246381538 66.86859099,41.2713815380002 66.9005459900001,41.2830545380002 66.9169269900001,41.3019365380002 66.9465089900001,41.3908275390002 67.1191459900001,41.3609635390001 67.2010999900001,41.3444365390001 67.2158179900002,41.3183275380001 67.2283179900001,41.2848545380001 67.2297089900001,41.2659635380001 67.2176269900001,41.2452725380001 67.21249099,41.2244365380001 67.2133179900001,41.1618005380001 67.22415499,41.1330455380001 67.2320639900002,41.110690538 67.2509549900001,41.1316545380002 67.3070639900001,41.1411095380002 67.3508179900001,41.1502725380002 67.41692699,41.1063815380001 67.4513819900001,41.0830455380001 67.4606819900001,41.0586005380002 67.4658179900001,41.0358275380002 67.4677549900002,41.0341635380001 67.58942699,41.0519365380002 67.6140179900001,41.0559635380002 67.6338729900001,41.0497185380002 67.65859099,40.9922185380001 67.716090991,40.9391545380002 67.733317991,40.9099905380002 67.7351179910002,40.8783185380001 67.7303999910002,40.833600538 67.721790991,40.8040185380001 67.7249819910001,40.6966545380001 67.770263991,40.5204095380002 67.7465179910001,40.4843005380002 67.7488819910001,40.4636095380002 67.7549909910001,40.3994365380001 67.7922089910002,40.3304725380002 67.8467909910001,40.3901275380001 67.8494359910001,40.4120005380001 67.8650459910001,40.3620725380001 67.8999909910001,40.2697185380001 67.9263729910002,40.183327537 67.9413639910001,40.1447185370001 67.9506819910001,40.0130545370002 68.0127729910001,39.9862365370001 68.0287359910002,39.930690537 68.089426991,39.919990537 68.1116459910001,39.895545537 68.1208179910001,39.8099905370001 68.1527729910002,39.778045537 68.1635999910002,39.752490537 68.168872991,39.7211005370002 68.1559909910001,39.7724905370001 68.1327549910001,39.7913815370002 68.1222089910001,39.8526275370001 68.044072991,39.7413815370001 68.046645991,39.571109537 68.0610999910002,39.527909537 68.0691639910002,39.4958275370001 68.0802729910001,39.4647185370001 68.0952639910002,39.2622185370001 68.166090991,39.1094365360001 68.2113819910001,38.9506905360001 68.2901179910001,38.9305455360001 68.3035909910002,38.6297185360002 68.3826179910001,38.6038815360002 68.3874999910001,38.5079095360002 68.3660179910001,38.522218536 68.3513819910001,38.6086005360001 68.3274819910002,38.5461005360002 68.3252729910002,38.4327725360002 68.339154991,38.3959635360002 68.3872729910001,38.3273545360001 68.4388639910001,38.0473545350002 68.5369269910001,37.9541635350001 68.5908179910001,37.824718535 68.6583269910001,37.7733275350001 68.6760909910001,37.6933185350001 68.701663991,37.646381535 68.7127729910001,37.4950005350001 68.7352639910001,37.295000535 68.7994269920001,37.1511005350001 68.8458269920002,36.991381534 68.897217992,36.600827534 69.0133179920002,36.5616545340002 69.0217909920001,36.4763815340002 69.0335999920002,36.2647185340002 69.0744359920002,35.9749905340001 69.1730359920001,35.8366545330002 69.1988639920002,35.5433095330001 69.236645992,35.4585725330002 69.253326992,35.2951815330002 69.2689089920001,35.1781905330002 69.2736549920001,35.1579725330001 69.2638549920002,35.2607815330002 69.2178639920002,35.185127533 69.1807179920002,35.1476815330001 69.1882819920002,35.1362275330002 69.2136359920001,35.1076185330001 69.2197549920001,35.0701185330001 69.220599992,35.038163533 69.2197639920001,34.9469365330002 69.2216459920001,34.7927725320002 69.234708992,34.6474725320002 69.2509269920002,34.4430455320001 69.2813729920001,34.4173005320002 69.304590992,34.3616545320002 69.3170729920002,34.1736095320002 69.3213819920001,34.0011095320001 69.3274819920001,33.871100532 69.3327639920001,33.7191545310002 69.3313729920001,33.6413815310001 69.3255459920001,33.609436531 69.319717992,33.5780545310001 69.3084459920001,33.5604095310002 69.2795639920001,33.5742095310001 69.2065089920001,33.5677725310001 69.1838549920001,33.4405455310002 69.103045992,33.4188815310002 69.0974909920001,33.2855545310002 69.086381992,33.0968005310002 69.0648459920002,33.0752725310001 69.0594179920001,33.0477005310001 69.039145992,33.0406185310002 68.9942729920002,33.0322815310001 68.9625549920002,33.0106005310002 68.9671639920002,33.0181905310002 69.0516549920002,33.0433275310002 69.0704089920001,33.0763815310002 69.0808269920001,33.1216545310001 69.0908179920001,33.1961005310001 69.0977639920001,33.2369365310001 69.0999909920002,33.2730455310001 69.1038639920002,33.3141545310001 69.1158179920002,33.5166545310001 69.1813639920001,33.5381815310002 69.204190992,33.4744365310002 69.2749909920001,33.4094365310001 69.2845729920002,33.3791545310001 69.2847179920001,33.2678635310002 69.2659639920002,33.2415185310001 69.2690909920001,33.2983275310001 69.297063992,33.360827531 69.299708992,33.4713275310001 69.350435992,33.5161725310002 69.422481992,33.4575005310001 69.444135992,33.3269455310001 69.4488639920001,33.1658275310002 69.419145992,32.9726635310001 69.3878999920001,32.9444365310001 69.3708179920001,32.921100531 69.3413729920001,32.9011005310001 69.3103999920002,32.8060455310002 69.3027729920001,32.8345185310001 69.3304179920002,32.8328365310002 69.3457909920001,32.913045531 69.3941459920001,32.9397095310002 69.4074819920001,33.0084905310001 69.435781992,33.029418531 69.4718639920001,32.8252725310001 69.4880359920001,32.6683275300001 69.4997089920001,32.48777253 69.4896999920001,32.4374905300001 69.4813729920002,32.3638815300002 69.4524819920002,32.2931905300001 69.4285999920002,32.2680545300001 69.424426992,32.2224905300001 69.424145992,32.2017635300002 69.4285089920001,32.2691635300002 69.4387269920002,32.4945545300002 69.5054089920001,32.4290185300002 69.570126992,32.40638153 69.575817992,32.3863815300001 69.5783269920001,32.2136095300001 69.5899819920001,32.10000053 69.5941459920002,32.0638815300001 69.6130359920002,32.0263905300001 69.6365359920001,32.1102725300001 69.6758089920001,32.1701275300001 69.6547089920001,32.3261005300001 69.6405459920001,32.4674905300002 69.6341549920001,32.61749053 69.6124909920002,32.8266635310001 69.5841549920001,32.8705275310002 69.581863992,32.895000531 69.5827639920001,32.9274905310001 69.5885909920001,33.0455455310002 69.6174819920001,33.071109531 69.6263729920002,33.0870425310001 69.6348799920001,33.1083455310002 69.6462549920001,33.1304365310002 69.7260729920002,33.1133005310001 69.7373089920001,33.0936095310001 69.7474819920002,32.9369365310001 69.7741549920001,32.9169365310001 69.7766549920001,32.70416353 69.797208992,32.6784635300001 69.7834549920001,32.6552635300001 69.7783179920002,32.6322005300001 69.7772729920001,32.6088905300002 69.7780459920002,32.5804095300001 69.7822089920001,32.5040365300001 69.8121179920001,32.46865453 69.8474549930001,32.3822095300001 69.8733179930001,32.3577725300001 69.8785819930002,32.2133275300002 69.8988819930001,32.09054553 69.9492909930001,32.0558275300002 69.9594269930001,32.0355545300002 69.9619269930002,32.0127725300001 69.9636089930001,31.9365185300001 69.9644269930001,31.9152365300001 69.9230819930001,31.9887455300002 69.8674819930002,32.0138815300002 69.8544269930002,32.0372185300002 69.8447089930001,32.0967905300001 69.792854992,32.0419545300002 69.7688819920002,31.9988815300002 69.7998459920001,31.9647185300001 69.8124819920002,31.8580095300001 69.8446549930001,31.8372185300001 69.848872993,31.8172185300002 69.851090993,31.7938905300002 69.851090993,31.7569455300001 69.8466459930002,31.7142095300001 69.8246549920002,31.6919855300002 69.7340939920002,31.6915095300001 69.7321549920002,31.72638153 69.718045992,31.7608275300001 69.711654992,31.7986095300002 69.6889729920001,31.7738905300001 69.6810909920002,31.72777253 69.6808179920001,31.541645529 69.6969639920001,31.4058275290001 69.7160909920001,31.2408275290002 69.757763992,30.921381529 69.7880359920001,30.8548365290001 69.7923089920001,30.8196464000002 69.7961235570002,30.8196360242345 69.7961246817071,30.8890758060001 69.841144389,31.0630232500001 69.9529528890002,31.1043277780001 69.979302778,31.105086306 69.979573222,31.225306722 70.022309472,31.4448 70.099677778,31.4672306670001 70.1075367500001,31.5053972220001 70.1208888890001,31.585588972 70.143751056,31.7759916670001 70.1976888890002,32.0730555560001 70.2747083330001,32.271400444 70.4410938330001,32.3223067800001 70.4833286400001,32.473009833 70.607255917,32.6779639439999 70.773188917,32.8863453890001 70.9388869439999,33.0982394440001 71.1043439720001,33.313733944 71.2695536670001,33.5329195 71.434509556,33.755889639 71.5992049440001,33.9827407220001 71.763632861,34.213572222 71.9277861390001,34.448486806 72.091657306,34.687590333 72.255238722,34.9309921390001 72.418522333,35.178805056 72.581499917,35.4311455000001 72.744162917,35.688133694 72.9065024720001,35.8941399720001 73.0342808890001,35.949893833 73.0685093330001,36.2165540560001 73.2301740560001,36.47622092 73.38441786,36.5415042956416 73.368883910848,36.5415518769243 73.3689171667926,36.5715108610001 73.3617392220001,36.6192261670001 73.350156,36.666658222 73.338488361,36.7138056110001 73.326736806,36.7606668330001 73.3149018330001,36.8072404999999 73.302984028,36.8535251940001 73.290983833,36.8995195830001 73.278901806,36.9452222780001 73.2667384440001,36.990631972 73.254494306,37.0357473890001 73.2421699170001,37.0805672220001 73.229765778,37.1250902220002 73.2172824440001,37.1693151389999 73.204720444,37.1922031670001 73.1981546110001,37.3135503329999 73.163121722,37.357144944 73.1504161389999,37.4004388060001 73.1376334170001,37.4434307220001 73.1247741110001,37.486119583 73.111838806,37.5285043330001 73.098827972,37.5705838610001 73.0857422220001,37.6123571390002 73.0725820830001,37.6538231390001 73.059348111,37.694980833 73.046040833,37.73582925 73.0326608330001,37.736114556 73.032566778,38.1399675280001 72.8980088330001,38.537770806 72.762681917,38.6657420280001 72.7185486110001,38.704877444 72.7049185830001,38.743705389 72.6912184440001,38.7822250560001 72.677448778,38.8204355830002 72.6636101390001,38.8583361390001 72.649703083,38.8959259440002 72.635728194,38.9332042500001 72.6216860000001,38.970170306 72.607577083,39.0068233330002 72.593402028,39.043162667 72.5791614170001,39.0791876110001 72.5648557500001,39.114897472 72.5504856670001,39.1502916390001 72.536051722,39.185369444 72.5215544440001,39.2201303330001 72.5069944720001,39.2545736670002 72.492372333,39.2886988890002 72.477688639,39.322505472 72.4629439440001,39.3559928610001 72.448138833,39.389160556 72.433273861,39.422008056 72.4183496390001,39.454534917 72.40336675,39.486740667 72.38832575,39.5186248890001 72.3732272219999,39.5501871670001 72.3580717500001,39.5814270560001 72.3428599170001,39.61234425 72.327592333,39.6429383610002 72.3122695280001,39.673209028 72.296892139,39.703155972 72.281460722,39.7327788330001 72.265975861,39.74090325 72.2616703610001,39.771714389 72.257300583,39.8508333330001 72.245555556,39.9827777780001 72.225833333,40.113055556 72.2055555560001,40.2425000000001 72.1847222220001,40.370555556 72.1630555560001,40.4975 72.140833333,40.6230555560001 72.118055556,40.7472222220001 72.0947222220001,40.870277778 72.070833333,40.991666667 72.046388889,41.0127777780002 72.0419444440001,40.975277778 72.186111111,40.9644444440002 72.230833333,40.955833333 72.2755555560001,40.9488888890001 72.3202777780001,40.944166667 72.3650000000001,40.9411111110002 72.4097222220001,40.9402777780001 72.454722222,40.9413888890001 72.499444444,40.944444444 72.5441666670001,40.949444444 72.5888888890001,40.9566666670001 72.6336111110001,40.965833333 72.6783333330001,40.9772222220001 72.723055556,40.990555556 72.7674999999999,41.006111111 72.8122222220001,41.015 72.835555556,41.1222222220001 73.102222222,41.2325000000001 73.368611111,41.2550000000001 73.4219444440001,41.2750000000001 73.4663888890001,41.2969444440001 73.5108333330001,41.321388889 73.555,41.3480555560001 73.599166667,41.376666667 73.643333333,41.4077777780001 73.6872222220001,41.4411111110001 73.730833333,41.4766666670001 73.774444444,41.514722222 73.8180555559999,41.535 73.8402777780001,41.6680555560001 73.9825000000001,41.710277778 74.0258333330001,41.7438888890001 74.0586111109999,41.741666667 74.1033333330001,41.741944444 74.148333333,41.7441666670001 74.193055556,41.7486111110001 74.237777778,41.7552777780001 74.2825000000001,41.764444444 74.3272222220002,41.7758333330001 74.371944444,41.7894444440001 74.416388889,41.8052777779999 74.461111111,41.8236111109999 74.505555556,41.844166667 74.55,41.8547222220001 74.5708333330001,41.858333333 74.577777778,41.8825000000002 74.622222222,41.908888889 74.6663888890001,41.938055556 74.7105555560001,41.9691666670001 74.7544444440001,42.003055556 74.798333333,42.0391666670001 74.8419444440001,42.078055556 74.885555556,42.1191666670001 74.9291666670001,42.1627777780001 74.9725000000001,42.208888889 75.0155555560001,42.2575 75.0586111110001,42.3088888889999 75.101388889,42.3625000000001 75.143888889,42.418611111 75.186388889,42.4775 75.2286111110001,42.5388888890001 75.270555556,42.602777778 75.312222222,42.6691666670001 75.3536111110001,42.7383333330001 75.395,42.7900000000001 75.424722222,42.7916666670001 75.469444444,42.795833333 75.5141666670001,42.8022222220001 75.5588888890001,42.8113888890001 75.6036111110001,42.822777778 75.6483333330001,42.8366666670001 75.6927777780001,42.853055556 75.7375000000001,42.8722222220001 75.7819444440001,42.893888889 75.8263888890001,42.918055556 75.870833333,42.944722222 75.915,42.9741666670001 75.9594444440001,43.0061111109999 76.003333333,43.040833333 76.0475000000001,43.0783333330002 76.0911111110001,43.1183333330001 76.135,43.161111111 76.178611111,43.2066666670002 76.2219444439999,43.2547222220002 76.2652777779999,43.4163888890001 76.404444444,43.4683333330001 76.4475000000001,43.523333333 76.490555556,43.580833333 76.533055556,43.6413888890002 76.575555556,43.7044444439999 76.6177777780001,43.7705555560001 76.66,43.8397222220001 76.701944444,43.911666667 76.7433333330001,43.9863888890001 76.784722222,44.035555556 76.8111111110001,43.8433333330001 76.82,43.6513888890001 76.829166667,43.4594444440002 76.8388888890001,43.2680555560001 76.849166667,43.0769444440001 76.859722222,42.886111111 76.870833333,42.6813888890001 76.8794444440001,42.6566054170001 76.884509167,42.5805075560001 76.8892723610001,42.5044690830001 76.8941063610001,42.4284909170001 76.8990110560001,42.352574028 76.9039864170001,42.276719306 76.9090323610001,42.2009277500001 76.9141488060001,42.1252002500001 76.919335694,42.0495378330001 76.924592944,41.9739413890001 76.9299205280001,41.898411889 76.9353183330001,41.8410181940001 76.9394702500001,40.271225583 76.8830501390001,40.19344 76.880039972,40.115618389 76.877101694,40.0377616670001 76.8742354170001,39.9598707500001 76.871441111,39.8819465000001 76.868718861,39.803989806 76.866068667,39.7260015830001 76.8634905830002,39.6479826670001 76.8609846110001,39.569934028 76.858550833,39.4918564720001 76.8561892500001,39.4137509170001 76.8538999169999,39.3356182500002 76.851682833,39.257459361 76.8495380560001,39.1792750829999 76.8474655830001,39.1010663610001 76.8454654439999,39.022834056 76.8435376940001,38.9445790000001 76.841682333,38.866302139 76.8398994170001,38.7880043060001 76.8381889170001,38.7096864170001 76.8365508890001,38.6313493060001 76.8349853610001,38.552993861 76.833492333,38.4746209720001 76.8320718330001,38.3962314999999 76.8307238890001,38.317826333 76.8294485,38.2394063060001 76.828245694,38.1609723330001 76.8271155,38.0825252780001 76.826057889,38.004066 76.8250729170001,38.0000000000002 76.8250250000001,38.0000000000002 78.6228964050002,38.0000000000002 78.624861111,37.9285173170001 78.6405766500001,34.9988888890001 79.284658333,34.9991879780001 80.3054801290001,35.0000805560002 83.3519444440002,34.2175434750001 83.7622918800001,34.2167928300002 83.7626855040002,34.217700592 83.7628158560001,34.5900280500002 83.815204463,34.6879244820002 83.8242237410002,35.3976115520002 83.8896077860001,35.6777935330001 83.915421006,35.9600660590001 83.940038407,36.8013152950001 84.0134044690002,37.8143435030001 84.0969114870001,37.9615125350002 84.1090430060001,38.4025626240002 84.1783752400002,39.3014010310001 84.319670698,39.3176760960001 84.321376932,39.3176765380002 84.3213770020002,39.3230325370002 84.3221820060002,39.331945616 84.3231156240001,39.3332281540001 84.3232499440001,39.333228537 84.3232500040001,39.334209537 84.323397006,39.7485456090001 84.3656240480001,40.3604475300002 84.4279854580001,41.425354563 84.5307436910002,42.3887905950002 84.6186458190001,42.5304115400001 84.6315670060001,43.677094541 84.7303440060001,44.7575835420002 84.7914870060002,45.2468057590002 84.817712493,45.8632148310001 84.8507557180001,46.4789276360001 84.8819699490001,46.9940425440001 84.9080840070002,47.4938998390002 84.9320056870001,48.1500480130002 84.963406648,49.3311285960001 85.0166559740002,49.3347331430002 85.0167499540001,49.3414383800001 85.0170424830001,49.415954546 85.0202930070001,49.4859891610002 85.0221022980001,49.5169449230002 85.022901844,49.6354339010001 85.0280184760001,49.6419301190001 85.0282989930001,49.6419305460001 85.028299008,49.6471326110001 85.0284316790001,50.1481743200001 85.0495006070002,50.5323255470001 85.065654007,51.6213155480001 85.0906520070001,52.7210115490001 85.113876007,53.8307645500001 85.1353010070001,54.949881551 85.154903007,55.6809807880002 85.1664145380001,56.0776309580001 85.1726598820001,57.2132445200001 85.188550774,57.2629039930001 85.188467567,57.2810253630001 85.1887038030002,57.4228349640002 85.188428216,57.5638305540002 85.1881540070002,57.5912000450002 85.1884978680001,57.6268690330002 85.188945724,57.64989187 85.1888937650001,57.668832126 85.1891297550001,57.6725381910002 85.1891212140002,57.6738895540002 85.1891180070002,57.6900791240001 85.1893184890001,57.7531081590001 85.190098652,57.764957618 85.190069839,57.7699789210001 85.1901315840001),(57.9805455540001 81.6885820040001,58.0613815540002 81.6877640040001,58.135272554 81.6902640040002,58.201936554 81.695818004,58.2302725540002 81.700818004,58.3230545540001 81.7122000040001,58.4852635540001 81.7280460040001,58.5858275550002 81.7361000040002,58.6216545550002 81.7380360040002,58.6647095550001 81.736646004,58.7052725550002 81.7327550040002,58.8869365550001 81.728318004,59.1236005550002 81.7272000040001,59.1597095550002 81.7288640040001,59.224709555 81.7352640040001,59.2875005550001 81.7427550040001,59.3455455550002 81.7524910040001,59.3724905550001 81.7583270040002,59.4355455550001 81.8193000040001,59.4216635550001 81.8272090040001,59.2566635550002 81.846936004,59.2083275550001 81.8505360040001,59.1649905550001 81.8519270040001,59.087490555 81.8508180040002,58.7000005550001 81.844146004,58.6274905550001 81.8408180040002,58.1158275540002 81.8169360040001,58.0436095540001 81.8133090040001,57.9763815540002 81.8077550040002,57.9477725540002 81.8030360040001,57.9383275540001 81.7966460040001,57.8898545540001 81.7098550040001,57.9133185540002 81.6966360040002,57.9397095540001 81.6922000040001,57.9805455540001 81.6885820040001),(62.1847185580002 81.691655004,62.1619275580002 81.6871910040001,62.1369365580001 81.6841460040001,62.1063815580001 81.6754000040001,62.1411095580001 81.6694360040001,62.2216545580001 81.6683180040002,62.2658275580001 81.6655460040001,62.4444365580001 81.6533180030001,62.5050005580002 81.6438730030001,62.5305455580001 81.636382003,62.6105455580001 81.6224820030001,62.6805455580001 81.6141550030002,62.7263815580001 81.6102640030001,63.0288815590001 81.592482003,63.070545559 81.590818003,63.1863815590002 81.590818003,63.3855545590002 81.5869270030001,63.4291635590001 81.5841550030001,63.470827559 81.5824910030001,63.5069455590001 81.583882003,63.5394365590003 81.5872000030001,63.6927635590002 81.609709003,63.7466545590001 81.6230270030001,63.7666635590001 81.6294270030001,63.7919365590001 81.6416640030001,63.8027725590001 81.6533180030001,63.7916635590001 81.664155004,63.7824905590001 81.6694360040001,63.7494365590001 81.679427004,63.7016635590001 81.688873004,63.639436559 81.697755004,63.6008275590001 81.7019360040001,63.4630545590001 81.7138820040002,63.3363815590002 81.7191460040002,63.2961095590002 81.7199820040001,63.217209559 81.7202640040001,63.1058275590001 81.7172090040002,62.9655455590001 81.7086000040001,62.7647185580001 81.7030460040002,62.793327558 81.7086000040001,62.8055455580002 81.714709004,62.7886095580002 81.719709004,62.7552725580001 81.7208270040002,62.7169365580002 81.7202640040001,62.6805455580001 81.7188730040002,62.3888815580001 81.707491004,62.247490558 81.6997090040001,62.2152725580001 81.696091004,62.1847185580002 81.691655004),(62.1205455580002 81.584427003,61.9972185580002 81.5963730030001,61.848872558 81.6049820030001,61.7766815580001 81.608318003,61.6841545570001 81.6077550030002,61.654436557 81.6030460030001,61.6644365570002 81.5980360030002,61.8436095580001 81.5594180030001,61.8922185580003 81.5499910030001,61.9238815580001 81.5458180030001,61.9674905580002 81.5430460030001,62.0072185580001 81.5422090030001,62.0808275580002 81.5441460030002,62.1147185580002 81.546646003,62.1783275580002 81.5538640030001,62.2013815580001 81.5620640030002,62.1936005580002 81.570264003,62.1763815580001 81.5752730030001,62.1522095580002 81.5799910030001,62.1205455580002 81.584427003),(57.811381554 81.553591003,57.7922185540002 81.5585910030002,57.7544365540001 81.5613730030001,57.714436554 81.5616460030002,57.6769365540001 81.560809003,57.4988815540001 81.5527640030002,57.4711005540001 81.5480360030001,57.4236095530002 81.5316640030002,57.248881553 81.5224910030002,57.0469455530002 81.5247000030002,56.9697095530001 81.524155003,56.9441545530001 81.5216550030001,56.9074005530002 81.502864003,56.8283275530001 81.4708270030001,56.7741635530002 81.4608180030001,56.7494365530002 81.4547090030001,56.7413815530001 81.4485910030001,56.7674905530001 81.4441360030001,56.8052635530001 81.4416550030002,56.8497185530001 81.4391460030002,57.1069455530001 81.4297000030001,57.3277725530002 81.4285910030001,57.3647185530001 81.4310910030001,57.4016545530002 81.4319270030001,57.4413725530002 81.4316550030002,57.4880455540002 81.4283180030001,57.5399905540001 81.4194360030001,57.559154554 81.4147000030001,57.5736095540001 81.406646003,57.6813815540001 81.3919360030001,57.7933275540001 81.3805360030001,57.8330545540002 81.3766460030001,58.0391635540001 81.3674820030002,58.0805545540002 81.3663820030001,58.228327554 81.3691360030001,58.2630545540001 81.3708180030002,58.3274905540001 81.3763730030001,58.5472185550001 81.3991550030001,58.5713815550001 81.4090090030001,58.5494365550002 81.422209003,58.4538815540002 81.4577640030002,58.4352635540002 81.4627730030001,58.4097095540001 81.4672090030001,58.376936554 81.471373003,58.3302725540001 81.4747000030001,58.1199905540002 81.4816550030001,58.035827554 81.4841460030001,57.9166635540002 81.4852640030001,57.872218554 81.4874910030001,57.8461005540001 81.4919270030002,57.7966635540001 81.529982003,57.8236095540001 81.548600003,57.811381554 81.553591003),(58.6974905550001 81.3816550030001,58.4711005540001 81.3449820030002,58.461936554 81.338591003,58.461936554 81.3352640030001,58.4711005540001 81.3241550030002,58.4894365540002 81.3194460030001,58.6411095550002 81.3027640030001,58.9777635550001 81.2847180030001,59.0533185550001 81.2849910030001,59.3202725550002 81.3027640030001,59.3505455550002 81.3063640030002,59.369436555 81.3119180030002,59.380272555 81.3212460030002,59.373318555 81.3352640030001,59.3399905550001 81.350818003,59.2927725550002 81.3658180030002,59.2677725550001 81.3702550030001,59.128045555 81.3924910030001,59.0866545550002 81.3972180030001,58.9966545550002 81.4033180030002,58.9549905550001 81.4047090030002,58.8550005550001 81.3974910030001,58.759990555 81.3883180030001,58.6974905550001 81.3816550030001),(59.7480455560001 81.2891550030001,59.7222095560001 81.2833270030001,59.746936556 81.278873003,59.8333275560001 81.273609003,59.8741635560002 81.272218003,59.9930455560001 81.2697180030002,60.0663815560002 81.2708270030001,60.1072185560001 81.2694360030001,60.1455455560002 81.2655460030001,60.208327556 81.2569460030002,60.3347185560002 81.246646003,60.3774905560002 81.244136003,60.450827556 81.2452550030001,60.4833275560001 81.2477550030001,60.5808275560001 81.2558270030001,60.6111095560001 81.2594270030001,60.6361725560001 81.2706910030002,60.624990556 81.2830550030002,60.593609556 81.2872000030001,60.5555455560001 81.2913640030001,60.5102725560002 81.2949820030001,60.4261005560002 81.299146003,60.1883275560002 81.304155003,60.110272556 81.3052550030001,59.9608275560001 81.3038640030001,59.8872455560002 81.3027000030001,59.8617275560002 81.3002640030001,59.7783275560001 81.2930460030001,59.7480455560001 81.2891550030001),(95.065400589 81.2594360030001,95.0349905890002 81.2427550030001,95.0624815890002 81.2391550030002,95.0958275890002 81.2361000030002,95.1405455890002 81.2341460030001,95.2836005890001 81.2327550030002,95.4969365890001 81.2241550030002,95.5387365890001 81.2194270030002,95.5141635890001 81.215273003,95.4308185890001 81.213882003,95.296936589 81.2136090030002,95.2002725890002 81.2150000030002,95.1672095890002 81.212491003,95.1386005890002 81.2091550030001,95.051654589 81.1813640030001,94.9766545880001 81.1599910030001,94.9172095880002 81.1447180030001,94.8252725880001 81.1272000030002,94.8013725880001 81.1227550030001,94.7447095880001 81.1160910030001,94.642490588 81.1097090030001,94.5358095880001 81.103864003,94.4347095880001 81.1044270030001,94.3902725880001 81.1060910030001,94.3533185880002 81.1044270030001,94.1952545880001 81.091091003,94.1672095880001 81.0874910030001,94.128581588 81.0774820030002,94.0988725880002 81.0652640030002,94.066372588 81.062764003,93.8986095870001 81.0549820030001,93.8619275870001 81.0533180030001,93.8208275870002 81.0524730030002,93.7211005870003 81.054427003,93.684709587 81.0527640030001,93.468318587 81.040264003,93.1510905870002 81.0047180030001,93.0593005870001 80.9917910030002,93.076236587 80.9691550030001,93.128581587 80.9580360030001,93.1604725870001 80.9337270030001,93.0580275870001 80.9138820030002,93.0219275870002 80.9119270030001,92.9455275870001 80.9094270030002,92.9138815870001 80.9066460030001,92.7486005860001 80.8899820030001,92.686990586 80.8710000030001,92.6866455860001 80.840546003,92.6369365860001 80.8169360030001,92.5512275860001 80.794300003,92.4936635860001 80.7675550030002,92.5263815860001 80.7511000030001,92.6588725860002 80.7513910030002,92.9111005870002 80.7611090030001,93.120254587 80.7724910030002,93.1524185870002 80.780336003,93.1783185870001 80.7927550030001,93.2324815870002 80.7997090030001,93.2952545870002 80.8049820030001,93.3255455870002 80.8058180030001,93.2724905870002 80.7794360030002,93.249154587 80.770682003,93.0736545870001 80.7252640030001,92.9141545870001 80.6916550030001,92.8280455860001 80.6491550030001,92.8094185860001 80.6352730030001,92.7788815860001 80.5988730030002,92.8141545860003 80.5820730030001,92.7933185860002 80.5341460020001,92.774436586 80.5159640020001,92.7394275860001 80.5097180020001,92.6613725860003 80.5080460020001,92.506381586 80.5058270020002,92.4122005860001 80.5088820020002,92.3741455860002 80.5094270020001,92.3352635860002 80.5086090020001,92.3005365860001 80.5066550020001,91.9030455860001 80.4586000020002,91.9650005860001 80.4391460020001,92.0611005860001 80.4236000020001,92.0877725860002 80.4199820020001,92.1246905860002 80.417755002,92.3399815860001 80.4111000020001,92.4341455860001 80.4097180020001,92.5130455860001 80.405818002,92.5444365860002 80.4030460020002,92.6040455860001 80.390446002,92.5560905860001 80.3830460020002,92.5141635860001 80.3844270020001,92.4408095860002 80.3888820020001,92.3674815860002 80.393327002,92.2108185860002 80.4022090020002,92.1741455860001 80.4041640020001,92.1269185860002 80.4049820020001,92.0783275860002 80.403455002,92.0066545860001 80.3941460020001,91.8652635860003 80.3877730020002,91.8266635860002 80.3866550020001,91.783872585 80.3866550020001,91.7472095850002 80.388600002,91.7041635850001 80.388600002,91.6572095850002 80.380536002,91.5255455850001 80.3547090020001,91.4747005850002 80.338882002,91.4249095850001 80.310118002,91.5408185850001 80.2830550020001,91.5686005850002 80.2827640020002,91.8136005860001 80.2916550020001,91.9580365860002 80.2974820020001,92.0344275860002 80.2994270020001,92.076936586 80.2994270020001,92.2069365860002 80.2958180020001,92.4108095860001 80.2980360020001,92.449145586 80.2991460020001,92.5558185860002 80.3035910020002,92.6580365860002 80.308873002,92.7180455860002 80.3144180020002,92.8113725860001 80.3199910020002,92.8497185860001 80.320827002,93.1480365870001 80.313873002,93.2466455870001 80.3055460020001,93.2724905870002 80.3019270020002,93.3130455870001 80.274155002,93.2755455870001 80.2636090020002,93.2549905870001 80.2680550020002,93.1358185870001 80.2805460020002,93.1047095870001 80.2836000020001,93.0061005870002 80.2916550020001,92.9335905870001 80.2961000020002,92.8191545860001 80.302200002,92.7299815860001 80.3030360020001,92.5936005860002 80.2958180020001,92.5297095860001 80.2913640020001,92.4699815860002 80.2861000020002,92.4016545860001 80.2824820020001,92.3594185860001 80.2822090020001,92.2661005860002 80.2838730020001,92.1361095860001 80.2874910020001,92.1067905860003 80.2811000020002,92.2558275860002 80.233046002,92.3341545860003 80.2222180020001,92.4172095860001 80.212200002,92.4483185860003 80.2091550020002,92.6238725860001 80.197482002,92.6599905860002 80.1952550020001,92.7011005860002 80.1938640020001,92.7422005860002 80.1922000020001,92.7733185860001 80.1894180020001,92.8608095860001 80.1797000020001,92.8810275870001 80.1706820020001,92.8441455860001 80.160264002,92.8022005860003 80.160264002,92.7661005860001 80.1624910020001,92.7352635860002 80.1652640020002,92.6577635860001 80.176091002,92.626918586 80.1791550020001,92.5908185860002 80.1813640020001,92.2530545860002 80.194973002,92.1839725860002 80.190336002,92.0997185860003 80.1799820020001,92.0763005860001 80.169491002,92.105254586 80.1647000020001,92.3111005860001 80.1574820020001,92.5172095860003 80.151655002,92.6210905860002 80.1458270020001,92.6774725860001 80.139164002,92.7599905860001 80.1288640020001,92.8113725860001 80.1216460020001,92.8727545860001 80.1158180020001,92.934145587 80.1099820020001,92.9650005870002 80.1069360020001,92.9905365870001 80.1033180020001,93.1397095870002 80.0677640020002,93.2922095870001 80.0313730020001,93.4005455870002 80.0205360020001,93.678318587 79.9941360020002,93.7197095870001 79.9941360020002,93.7530545870002 79.9958180020001,93.7824815870002 79.9983180020001,93.8255455870001 80.0072180020001,94.0038725880001 80.0313730020001,94.122209588 80.0416550020001,94.1813635880001 80.0469360020001,94.2625005880002 80.0563640020002,94.3911005880002 80.0733180020002,94.4624905880002 80.0941460020001,94.4810905880003 80.1037360020001,94.6055455880002 80.1174820020001,94.6411005880001 80.1149910020001,94.6816545880002 80.1133090020001,94.7155455880002 80.1149910020001,94.7824815880002 80.1230270020001,94.8026185880001 80.1369360020001,94.8474905880001 80.1408270020002,95.0311005890001 80.1363820020002,95.0730455890001 80.1363820020002,95.3780365890001 80.160264002,95.4383095890001 80.1652640020002,95.4869275890001 80.1727640020001,95.506663589 80.1823360020002,95.5647005890002 80.1924730020002,95.9299815890002 80.212200002,95.9641545890001 80.2136090020001,96.0908185890002 80.2127730020001,96.3586005900002 80.2169360020001,96.6519275900001 80.2227640020001,96.7747005900001 80.2224910020001,96.8052545900001 80.2249910020002,96.8436005900001 80.2255360020002,96.99552759 80.2260910020001,97.15887259 80.233600002,97.3641545910002 80.2869270020002,97.4030455910002 80.297209002,97.420963591 80.3135910020002,97.357481591 80.3369270020001,97.3166635910001 80.338882002,97.281663591 80.337491002,97.2295725910001 80.340127002,97.2001275910003 80.3537360020002,97.1863725910001 80.3830460020002,97.2013725910001 80.3977640020001,97.2088815910002 80.4219270020001,97.1448545900001 80.484846002,97.1122005900002 80.4980270020001,97.0786005900001 80.507764002,97.0169365900002 80.5296360020001,97.0491455900001 80.5844360030001,97.12915459 80.6627640030001,97.1649905900001 80.6641550030001,97.2727635910001 80.6683180030001,97.4861005910002 80.6655460030001,97.7536005910002 80.6763730030001,97.9658275910001 80.7100640030001,97.8847185910002 80.7641640030001,97.7077635910001 80.820264003,97.5663725910001 80.8369270030001,97.5236095910003 80.838882003,97.4872005910001 80.8374910030002,97.4194365910001 80.8441460030002,96.9541635900001 80.905546003,96.7847095900001 80.9408090030001,96.7435905900001 80.9497090030001,96.6558185900002 80.977336003,96.5366545900002 81.0265180030001,96.5269275900001 81.049146003,96.2766545900001 81.1547090030001,96.15165459 81.193864003,95.9586005890001 81.2172090030002,95.9483185890001 81.2433180030002,95.8308275890001 81.2711000030001,95.7877635890002 81.2799820030001,95.7327545890001 81.2872000030001,95.6994185890002 81.2902640030002,95.6530455890002 81.290546003,95.527481589 81.2894270030002,95.4522095890001 81.2863730030001,95.1930365890001 81.2747000030001,95.1222095890001 81.2708270030001,95.0933185890001 81.2674910030001,95.065400589 81.2594360030001),(97.4922005910003 80.1699820020002,97.3163725910002 80.1638820020001,97.1844185910001 80.1685910020001,97.1424905900003 80.1688730020001,97.1119275900001 80.1666550020002,97.0852635900002 80.1633180020002,97.0605365900001 80.1548460020001,96.9141545900003 80.1272000020001,96.7283185900001 80.1138730020002,96.4380365900002 80.0986000020002,96.3699815900002 80.0955360020001,96.1763725900003 80.0880460020002,96.1383185900001 80.0874910020001,96.1001275900001 80.091518002,95.9683185890002 80.1060910020002,95.5802725890002 80.1113730020001,95.4902635890001 80.1038640020001,95.4380365890001 80.097218002,95.3936005890002 80.0885910020002,95.3576185890002 80.0659550020001,95.3535905890001 80.034427002,95.3343005890002 80.0247090020001,95.2994275890001 80.0188730020002,95.2694365890002 80.016391002,95.2333185890001 80.0172090020002,95.1023365890002 80.0651910020001,95.0069455880001 80.1002640020002,94.970536588 80.101091002,94.9366455880001 80.0994270020002,94.910672588 80.0933180020001,94.9355275880002 80.0626910020002,94.7733185880002 80.0088820020001,94.7516635880001 80.0044360020001,94.6388815880001 79.9838730020001,94.6133095880001 79.980546002,94.4736005880001 79.9658180020002,94.4322095880002 79.9660910020002,94.3599815880003 79.949146002,94.2238725880003 79.9001270020001,94.3458275880001 79.8660910020001,94.4247005880003 79.8555460020001,94.5383185880001 79.8424820020001,94.6316545880002 79.8266640020001,94.6160905880001 79.8119180020002,94.5127725880001 79.7949820020001,94.4136095880001 79.7899820020001,94.3477635880001 79.786655002,94.281936588 79.7833270020001,94.1041545880003 79.768600002,94.0791635880002 79.7652730020001,93.8502635870001 79.7074910020001,93.7991455870002 79.6916550020001,93.7847095870001 79.6767910020001,93.6381815870001 79.6134550020001,93.2813725870002 79.5455360020002,93.2569455870002 79.5419270020002,93.1885815870002 79.5394270020001,93.1486095870001 79.5394270020001,93.1144275870002 79.541655002,93.0802635870002 79.5474820020001,93.0216545870001 79.557209002,92.9630455870002 79.563036002,92.9238725870002 79.5647000020001,92.8551185860002 79.557482002,93.0447095870001 79.528591002,93.1561005870001 79.5222180020002,93.2358095870002 79.5222180020002,93.2772095870001 79.5173460020001,93.3102635870002 79.4953910010001,93.2458185870003 79.4874910010001,93.2136095870001 79.4855360010001,93.126918587 79.466027001,93.1573455870001 79.443173001,93.1935905870002 79.4377640010001,93.2244275870002 79.4377640010001,93.2524905870002 79.4405360010002,93.3330545870001 79.4494180010002,93.3572095870002 79.4530460010001,93.4638815870001 79.4758180010001,93.4488005870001 79.5046360010002,93.5280455870002 79.5355360020002,93.7176185870001 79.5916550020001,93.7469365870001 79.5986000020001,93.7713815870001 79.6022000020001,93.7999905870003 79.6047090020002,93.8790095870001 79.5994360020002,93.8538635870001 79.5849910020001,93.7806815870001 79.5515180020001,93.7477545870001 79.5455360020002,93.7194365870002 79.5427550020001,93.6880365870001 79.5390090020001,93.826100587 79.5091550020001,93.9083275870001 79.4991460010001,93.9855455880002 79.4923360010001,93.9605365880002 79.4780460010001,93.9361005870001 79.4744270010002,93.8077545870001 79.4674820010002,93.7137275870001 79.456864001,93.8866545870001 79.4327550010001,93.9155455870001 79.4297000010001,93.9491455870001 79.4272000010002,93.9888725880001 79.4272000010002,94.0527635880001 79.4305460010001,94.0779005880001 79.4385910010001,94.0565815880001 79.464509001,94.0955365880001 79.4749910010001,94.2355365880001 79.479155001,94.2705365880002 79.478318001,94.2944365880001 79.4744270010002,94.3324905880001 79.465546001,94.351236588 79.4573550010002,94.3560905880002 79.4294270010001,94.3385905879999 79.4102640010001,94.319990588 79.3963820010001,94.311100588 79.3447090010002,94.3246365880002 79.250609001,94.3660905880001 79.2333180010001,94.4266545880003 79.2205360010001,94.4502725880001 79.216664001,94.5066545880001 79.2105360010002,94.5677635880003 79.204991001,94.6237365880002 79.1949730010002,94.6468635880002 79.1767910010001,94.7000005880001 79.1091460010001,94.7772095880001 79.0844270010002,94.9847095880001 79.0441460010001,95.0077635880001 79.0402640010001,95.0883185890003 79.0388820010001,95.1230275890001 79.0397000010001,95.150818589 79.0422090010001,95.2836005890001 79.0655360010001,95.3341545890002 79.0813730010001,95.3556815890001 79.0901270010002,95.3847185890002 79.0969360010001,95.4086005890002 79.1005360010001,95.464154589 79.1055460010002,95.4955275890001 79.1072090010001,95.5330545890001 79.105255001,95.5691545890002 79.0961000010002,95.6674815890002 79.067218001,95.6451275890002 79.0492820010002,95.6550635890003 79.0061640010002,95.6952545890001 78.9972090010002,95.9358095890001 78.992755001,95.9705365890001 78.9935910010001,96.0016635890001 78.9949820010001,96.0847185890001 79.0024910010001,96.1611005900002 79.012500001,96.18192759 79.0169360010001,96.2061005900001 79.0202640010001,96.2722185900003 79.0222180010002,96.3105275900002 79.0219270010001,96.3562005900002 79.0155820010002,96.3030365900001 78.9969360010002,96.2822095900002 78.992482001,96.3060905900002 78.9902640010002,96.34776359 78.9891550010001,96.5285905900002 78.9902640010002,96.6927455900002 78.9916550010002,96.86720059 78.9650000010001,96.9563725900002 78.9294270010002,97.0333275900002 78.9049820010001,97.1197095900001 78.8816550010001,97.2463725910002 78.8513820010001,97.2730365910001 78.8480360010002,97.3047005910003 78.845264001,97.4113725910001 78.845827001,97.5558185910002 78.845827001,97.5926185910001 78.841791001,97.6465545910001 78.8302730010001,97.743318591 78.8183270010002,97.8705275910002 78.8088730010001,98.0163905910002 78.8063640010001,98.1835905910002 78.8038640010001,98.221372591 78.803318001,98.2574905920002 78.8010910010001,98.2890095920002 78.7861640010001,98.3424815920001 78.7791640010001,98.559981592 78.776091001,98.5927545920001 78.7835910010001,98.5619365920002 78.8020640010002,98.5910905920001 78.8080270010001,98.6530455920002 78.8105270010001,98.8560905920002 78.8138730010001,99.0183275920002 78.810255001,99.150545592 78.8233180010001,99.1785905920002 78.8255460010001,99.2097185920001 78.826936001,99.288318592 78.824709001,99.3605365930001 78.8202640010001,99.3949905930002 78.8205460010001,99.4260905930002 78.8219270010002,99.4752635930002 78.8280460010002,99.5180545930001 78.8363820010002,99.6437365930001 78.8696270010001,99.6874815930001 78.8916640010001,99.7238725930002 78.9016550010001,99.7852635930002 78.9149910010001,99.8502635930002 78.9272000010001,99.8749815930003 78.9302640010001,99.8966545930001 78.9344180010002,99.9226275930001 78.9424730010001,99.9424815930002 78.9606820010002,99.8534545930001 79.085400001,99.8147005930001 79.097491001,99.7344185930002 79.1080360010001,99.7027725930001 79.1111000010002,99.5605275930002 79.1205270010001,99.5288725930002 79.1233090010001,99.4944275930002 79.1311000010001,99.5105455930002 79.1430550010002,99.5744365930001 79.1455360010002,99.5970005930003 79.1592180010001,99.5144365930003 79.1791550010002,99.4874905930001 79.1824820010001,99.4385815930002 79.1899730010002,99.4169275930002 79.1941360010002,99.0447005920002 79.2877550010001,99.0638725920002 79.3008090010002,99.0894275920001 79.3038640010001,99.1180455920002 79.306091001,99.1538725920001 79.3063640010001,99.1877635920002 79.3052550010001,99.2150005920001 79.3016550010001,99.2813725920001 79.289427001,99.3205455920002 79.2808180010001,99.3883185930002 79.2616550010001,99.4558275930002 79.2469360010001,99.5866545930003 79.2738820010001,99.601381593 79.2913640010001,99.6591455930002 79.295818001,99.6833185930001 79.309709001,99.7401185930002 79.3648360010001,99.7042815930001 79.377482001,99.6847095930002 79.4669360010001,99.725536593 79.5750000020001,99.776090593 79.6349910020002,99.8983275930001 79.7405360020001,99.9652725930002 79.7430460020001,100.043590593 79.7627730020002,100.068036593 79.7726910020002,100.015263593 79.8241550020002,99.8010905930002 79.901091002,99.6841455930001 79.9280360020001,99.6611005930001 79.932209002,99.5897095930001 79.930818002,99.5502635930002 79.9330460020002,99.5005455930002 79.9440090020001,99.4452545930001 79.9747000020002,99.3736005930002 79.9974820020001,99.2402635920001 80.0361000020001,99.2169365920003 80.0402640020001,99.1880365920002 80.0435910020001,99.148327592 80.0458180020001,99.0616455920002 80.047764002,99.0230365920002 80.0466460020001,98.9061005920001 80.0385910020001,98.8038635920003 80.0305460020001,98.7697185920002 80.0294360020001,98.7283185920001 80.0299820020001,98.6938635920003 80.0327640020001,98.6702545920002 80.0366550020001,98.6336095920002 80.0458180020001,98.6047095920002 80.0494270020001,98.5702635920003 80.0519270020001,98.5285905920001 80.0524730020001,98.5055545920002 80.0486000020001,98.4762365920002 80.0409640020001,98.4430365920002 80.0047180020002,98.5186005920001 79.9916550020001,98.5422095920002 79.9874910020001,98.579709592 79.974982002,98.4397005920002 79.8922090020001,98.3927725920003 79.869427002,98.3549815920002 79.8641550020001,98.3174905920002 79.863873002,98.2888815920001 79.8672000020002,98.232900591 79.8773460020001,98.1766545910002 79.8877730020001,98.0772095910002 79.9030460020001,98.0430455910001 79.9058180020001,97.9719275910002 79.9038730020001,97.9419275910001 79.9016550020001,97.8966545910001 79.8933270020001,97.881781591 79.8765090020001,97.8663815910002 79.8361090020002,97.8211095910002 79.8277730020001,97.732900591 79.8058180020001,97.7181815910001 79.7737460020001,97.6494275910003 79.7513910020001,97.5491455910001 79.7374910020002,97.239427591 79.6983180020001,97.2017905910002 79.7054090020001,97.2349815910002 79.7180460020002,97.2608185910001 79.7213730020001,97.2902635910002 79.7236000020001,97.3974905910001 79.7358090020001,97.4491455910002 79.7422000020001,97.5383185910001 79.7588820020001,97.6274545910002 79.784336002,97.6486095910001 79.8338820020001,97.8286005910002 79.9260910020001,97.9711005910002 80.006655002,98.0344275910001 80.0674910020001,97.8269365910002 80.1246910020001,97.7036005910001 80.155818002,97.614990591 80.1655460020001,97.5341455910001 80.1697090020001,97.4922005910003 80.1699820020002),(99.9069275930001 79.5970730020001,99.942745593 79.5788730020001,100.010818593 79.622209002,100.026927593 79.628036002,100.069154593 79.6372090020002,100.160809593 79.653318002,100.187190593 79.6563730020001,100.305118593 79.6672090020001,100.053590593 79.7013820020002,100.023609593 79.6991460020002,99.9972095930002 79.6960910020001,99.9422005930001 79.6844180020001,99.9308185930001 79.662764002,99.9069275930001 79.5970730020001),(102.177481595 79.3933270010001,102.140263595 79.3599820010002,102.144145595 79.3305550010001,102.155818595 79.3052550010001,102.172490595 79.2805460010001,102.220263595 79.2658270010001,102.262909595 79.2474820010002,102.243318595 79.239155001,102.207763595 79.239155001,101.984154595 79.2549910010001,101.957354595 79.2652640010001,101.966790595 79.2830460010002,101.952900595 79.298173001,101.841090595 79.3588730010001,101.808872595 79.3683180010001,101.776381595 79.367482001,101.626081595 79.3583180010002,101.570545595 79.3533180010002,101.544290595 79.3448460010001,101.527490595 79.304700001,101.555545595 79.284427001,101.545109595 79.2479000010001,101.511109595 79.2419270010001,101.481936595 79.2399730010001,101.449709594 79.2388730010002,101.378590594 79.2385910010001,101.346363594 79.2374910010002,101.287200594 79.2324820010002,101.242200594 79.224700001,101.197200594 79.2058270010001,101.023600594 79.119982001,100.991163594 79.063109001,101.026090594 79.0522000010002,101.057209594 79.0491460010001,101.176654594 79.0433180010002,101.207763594 79.0402640010001,101.233872594 79.036655001,101.381090594 79.0069460010001,101.428036594 78.999146001,101.459154594 78.9960910010002,101.536654595 78.9919270010001,101.598600595 78.9858090010002,101.619981595 78.9802640010002,101.587200595 78.9763820010002,101.549145595 78.9772000010002,101.518054595 78.9802730010001,101.434981594 78.9905360010001,101.372209594 79.0033270010001,101.288881594 79.0136090010001,101.200545594 79.0230360010002,101.164145594 79.0255460010002,101.072209594 79.0287360010001,101.037772594 79.0252730010001,100.996654594 79.0161090010001,100.887763594 78.9731820010001,100.782072594 78.8912460010001,100.780963594 78.8638730010001,100.871509594 78.8074270010002,100.895009594 78.8021820010002,100.974436594 78.797764001,100.995927594 78.7962640010001,101.095263594 78.7766550010002,101.136654594 78.7680550010002,101.164427594 78.755273001,101.139300594 78.749573001,101.026100594 78.7406730010002,100.935909594 78.759236001,100.905900594 78.7662460010001,100.632200594 78.793318001,100.594436594 78.7941460010002,100.551372594 78.7858090010001,100.402490594 78.753600001,100.372345593 78.741782001,100.253600593 78.658327001,100.133045593 78.4991460010002,100.151090593 78.4808180010002,100.152481593 78.474155001,100.080963593 78.4338730010001,100.003881593 78.3680460000001,99.9944275930002 78.3352640000001,99.9063725930002 78.3097090000002,99.7841455930002 78.266664,99.5213095930001 78.1630360000001,99.529990593 78.1387360000002,99.4611095930002 78.0933180000002,99.4361005930001 78.0802730000001,99.3994275930001 78.065409,99.3535905930001 78.0535910000001,99.3413725930002 78.019991,99.4308185930002 77.9544360000001,99.4916545930003 77.9424730000001,99.520827593 77.9397000000001,99.5616545930002 77.9426090000001,99.5980365930002 77.9572180000001,99.6180455930002 77.9613820000001,99.6474905930002 77.9627730000001,99.7369275930001 77.9638820000001,99.7616545930002 77.960264,99.7806815930002 77.9533270000002,99.8783095930001 77.9485910000002,99.9105365930001 77.9488640000002,99.9399725930001 77.9502730000001,99.9663815930001 77.952482,100.015827593 77.9577640000001,100.123309593 77.9763820000001,100.344709593 78.011936,100.543872594 78.0438730000002,100.911100594 78.1066460000002,100.994136594 78.1230270000002,101.032490594 78.1322000000001,101.068045594 78.1422090000001,101.094709594 78.1552550000001,101.125681594 78.1722,101.174700594 78.1833180000001,101.276381594 78.1935910000001,101.309145594 78.1938640000001,101.381090594 78.1922000000001,101.458881594 78.1883090000001,101.494981595 78.187482,101.653590595 78.1899730000001,101.713318595 78.1922000000001,101.761381595 78.1983180000001,101.821381595 78.200546,101.971363595 78.2058270000002,101.996645595 78.2061,102.130536595 78.2013820000001,102.458036595 78.2169360000001,102.482209595 78.2199820000001,102.542481595 78.2219270000001,102.617200596 78.2188730000001,102.646381596 78.2158180000001,102.676609596 78.2042820000001,102.661100596 78.1670730000002,102.689972596 78.160536,102.718045596 78.159991,102.818881596 78.181655,102.883872596 78.2060910000002,102.935809596 78.2363730000002,102.972763596 78.2460910000001,102.994427596 78.2500000000001,103.027481596 78.2500000000001,103.058590596 78.2483180000002,103.164990596 78.2344180000001,103.195254596 78.2352640000001,103.315263596 78.2483180000002,103.575818596 78.2608180000002,103.667209597 78.2608180000002,103.739154597 78.258609,103.829709597 78.2613820000001,103.881927597 78.2661000000001,103.931090597 78.2719270000001,103.996372597 78.2836000000001,104.018054597 78.287491,104.102763597 78.3038640000001,104.168318597 78.3155360000002,104.267490597 78.326936,104.369427597 78.3372000000002,104.424427597 78.3410910000001,104.647490597 78.3538640000002,104.685890597 78.3466460000001,104.718036598 78.3319270000001,104.758609598 78.328046,104.780545598 78.331936,104.819154598 78.3413730000001,104.855263598 78.3522000000002,104.902772598 78.3680460000001,104.952472598 78.3855460000001,104.999709598 78.403873,105.091800598 78.4359550010002,105.186918598 78.4669360010001,105.230272598 78.4763820010001,105.252781598 78.4799820010001,105.317209598 78.4924820009999,105.365118598 78.504855001,105.413181598 78.5710910010001,105.228036598 78.7633180010001,105.195536598 78.7924820010002,105.158336598 78.8113730010002,105.070827598 78.831373001,105.021381598 78.8391550010001,104.971918598 78.8469360010001,104.917209598 78.854155001,104.767763598 78.847218001,104.737000598 78.838736001,104.753818598 78.812200001,104.731509598 78.7908180010001,104.704436598 78.7824820010002,104.681663597 78.7788730010001,104.605818597 78.775827001,104.637063597 78.7906820010001,104.655745597 78.823873001,104.523881597 78.8772000010001,104.499154597 78.9205360010001,104.486363597 78.9388730010002,104.431218597 78.9688820010001,104.384163597 78.9802730010001,104.333881597 78.9880360010001,104.303309597 78.991091001,104.231936597 78.9966460010001,104.191090597 78.9986000010002,104.156372597 78.9988730010002,104.127472597 78.9969360010002,104.095545597 78.9960910010002,104.071109597 78.997482001,104.020263597 79.045255001,104.018390597 79.0949090010001,104.000400597 79.1224820010001,103.946927597 79.1333270010002,103.639709597 79.1569360010001,103.519572596 79.1313820010002,103.501663596 79.1167820010001,103.474700596 79.1086000010001,103.451663596 79.104709001,103.294145596 79.099155001,103.247754596 79.0780460010001,103.170536596 79.060255001,103.118872596 79.0544270010001,103.039700596 79.057482001,102.969436596 79.057482001,102.940536596 79.0555460010001,102.914700596 79.052473001,102.882272596 79.0372820010001,102.860527596 79.005264001,102.803763596 78.9555090010001,102.660536596 78.8824730010001,102.586645596 78.8552550010001,102.567209596 78.8502640010001,102.528872595 78.8405460010001,102.462200595 78.828600001,102.399436595 78.826655001,102.400272595 78.8527640010001,102.476927595 78.9080360010001,102.542763596 78.9488640010001,102.575545596 78.960536001,102.628590596 78.9880360010001,102.698181596 79.0413730010002,102.691090596 79.085818001,102.745536596 79.1615820010001,102.825545596 79.2230360010002,102.877200596 79.2513910010001,102.904427596 79.2650000010001,102.961381596 79.2805460010001,103.008327596 79.2758180010001,103.044145596 79.2758180010001,103.090554596 79.2836000010002,103.154636596 79.3113000010001,103.140263596 79.3258180010001,103.108600596 79.329164001,103.004436596 79.3280460010001,102.972763596 79.331373001,102.928381596 79.3462360010002,102.902481596 79.3731730010002,102.841927596 79.3830460010001,102.809981596 79.3861090010001,102.678036596 79.3980360010002,102.533863595 79.4111000010002,102.425536595 79.4244270010001,102.398881595 79.4280360010001,102.364700595 79.4297000010001,102.305545595 79.4255360010002,102.279163595 79.422764001,102.232754595 79.414991001,102.204427595 79.407073001,102.177481595 79.3933270010001),(106.436099599 78.3308270000001,106.418872599 78.3252730000001,106.404427599 78.318327,106.392763599 78.310527,106.385818599 78.303318,106.382472599 78.2899820000002,106.364836599 78.2779550000001,106.339099599 78.2700460000001,106.294709599 78.2594270000001,106.261654599 78.2599910000002,106.199709599 78.2663910000002,106.070263599 78.266664,106.045254599 78.2638820000001,106.019572599 78.256382,105.992754599 78.214155,106.008881599 78.2080360000002,106.155254599 78.1913640000001,106.190809599 78.1899730000001,106.240809599 78.1955270000001,106.489154599 78.2355360000002,106.508881599 78.2402640000001,106.526790599 78.2493000000001,106.497209599 78.2519360000002,106.464736599 78.2562640000002,106.475209599 78.2635460000001,106.522490599 78.2769270000001,106.641663599 78.2791550000001,106.651790599 78.2679180000001,106.669145599 78.2599910000002,106.692199599 78.2558270000001,106.714999599 78.2569460000001,106.734990599 78.2616550000002,106.746936599 78.269436,106.759854599 78.3067820000001,106.647490599 78.3338820000002,106.575545599 78.3391550000001,106.539699599 78.3408180000002,106.509163599 78.3399820000001,106.458599599 78.3347180000001,106.436099599 78.3308270000001),(107.3972186 78.1905360000001,107.3719186 78.1880360000001,107.2991456 78.1791550000001,107.2871996 78.1713730000001,107.2799816 78.1641550000002,107.2549906 78.1613730000002,107.1535906 78.166382,106.8969456 78.1760910000001,106.703872599 78.1644270000001,106.563309599 78.1572090000001,106.494981599 78.1588730000001,106.493045599 78.1216460000001,106.776381599 78.099991,106.814418599 78.0974910000001,107.0308186 78.0894270000001,107.2644276 78.0816640000001,107.4246996 78.0858180000001,107.4388726 78.049427,107.4938726 78.0527640000001,107.5188816 78.0552550000001,107.5635996 78.062764,107.5833276 78.067491,107.6008096 78.0730460000001,107.6871906 78.1147000000001,107.6997096 78.1222090000002,107.6991456 78.1352730000002,107.6838726 78.1466550000001,107.6352726 78.1660910000001,107.6174816 78.1708180000001,107.5947096 78.174991,107.5388816 78.1819270000001,107.5060996 78.1849820000002,107.4299816 78.1902640000002,107.3972186 78.1905360000001),(93.6402725870001 78.222764,93.6283095870001 78.2230360000002,93.576936587 78.2177550000002,93.5547005870001 78.214155,93.5361005870001 78.2094270000002,93.5244275870002 78.2033270000001,93.5219365870003 78.184427,93.5372005870002 78.1758090000002,93.5722185870002 78.166655,93.616090587 78.1591460000001,93.6652635870001 78.1538730000001,93.7399725870001 78.1513820000002,93.7505455870001 78.1558180000001,93.7163815870001 78.1871910000001,93.6402725870001 78.222764),(92.9858185870002 79.4136000010001,92.934145587 79.430818001,92.909990587 79.434418001,92.7719275860003 79.439418001,92.7441365860002 79.4369180010001,92.6049815860002 79.4160910010001,92.583600586 79.409291001,92.5976365860002 79.4020550010002,92.6083185860001 79.3983270010001,92.6572095860002 79.3836090010002,92.6766545860002 79.3791550010001,92.706645586 79.3777640010001,92.8055455860001 79.3824730010002,92.9072095870001 79.3916640010002,92.9352545870001 79.394436001,92.9552635870001 79.3988820010002,92.9858185870002 79.4136000010001),(92.4674815860001 79.4299820010002,92.3233185860003 79.4477550010001,92.2844275860001 79.4494180010002,92.2524905860001 79.4474820010002,92.1530455860001 79.4338730010001,92.1252635860002 79.4222090010001,92.105254586 79.4177550010002,92.0577545860002 79.410536001,92.0141635860002 79.4113730010002,91.9558275860002 79.4172090010001,91.9216455860001 79.4194360010001,91.8908275860002 79.4191460010001,91.835536586 79.4136090010001,91.8309365860001 79.411500001,91.8041545850002 79.4124910010001,91.9505455860001 79.397764001,92.2000005860001 79.3805360010001,92.243590586 79.3799730010001,92.2749905860002 79.3816550010001,92.2988725860001 79.385273001,92.4674815860001 79.4299820010002),(76.8969455720001 79.4861000010002,77.1749905720002 79.4938640010001,77.4099905720001 79.493318001,77.4460905720002 79.4924820010001,77.4780455720002 79.490536001,77.517763572 79.490536001,77.5905455720002 79.4944270010001,77.605254572 79.4997090010002,77.617345572 79.5088820020002,77.6108095720002 79.5191460020001,77.5941455720002 79.5244270020001,77.5736095720001 79.5288730020001,77.4694365720002 79.5324820020001,77.3085905720002 79.5410910020001,77.2477545720001 79.545255002,77.191081572 79.5505360020002,77.1666545720002 79.5541550020001,77.1213725720001 79.5619180020001,76.9983185720001 79.5794360020002,76.8710905720001 79.5961000020002,76.5574815710002 79.6347180020001,76.528872571 79.6372090020002,76.4963725710001 79.6391640020001,76.4597185710001 79.6397090020001,76.4258095710002 79.6375000020001,76.4066455710001 79.6330460020002,76.3976275710002 79.6233180020001,76.3052545710001 79.599718002,76.2613815710002 79.5988730020001,76.2324815710001 79.601382002,76.1730365710001 79.6152640020001,76.1437365710001 79.6306730020001,76.1705365710002 79.6369360020001,76.2094275710002 79.638600002,76.2777725710002 79.6436000020001,76.2141545710001 79.6566460020001,76.137500571 79.6572090020001,76.0983275710002 79.6552550020001,76.0741545710001 79.6516550020002,76.0549815710002 79.6469460020001,76.0440095710002 79.6379090020002,76.0430455710001 79.627473002,76.0549815710002 79.611646002,76.1088725710001 79.586927002,76.153318571 79.5694460020002,76.1705365710002 79.5644180020002,76.1952545710001 79.5608090020002,76.2524905710002 79.5558180020002,76.3705275710002 79.5466460020002,76.5324815710001 79.5383180020002,76.5761005710001 79.5391550020001,76.6178455710001 79.5435640020001,76.6341545710002 79.5388820020001,76.6952095710001 79.5080640020002,76.7808185720002 79.4810910010002,76.8969455720001 79.4861000010002),(91.5794365850003 79.6508180020002,91.618863585 79.649427002,91.6510905850002 79.651091002,91.7460905850001 79.6535910020001,91.7863725850001 79.6538730020002,91.8147005860001 79.6566460020001,91.8388815860004 79.6602640020001,91.8584545860002 79.6683090020002,91.837200586 79.683591002,91.7877635850001 79.7099910020002,91.717209585 79.7127730020001,91.632200585 79.7133180020001,91.5130455850001 79.7174820020001,91.3636005850001 79.7244270020002,91.302472585 79.7285910020001,91.2858095850002 79.7313730020001,91.241654585 79.732755002,91.1969275850003 79.7333180020001,91.160536585 79.732209002,91.1322005850001 79.7294270020002,91.1244185850002 79.722491002,91.1352725850001 79.7166640020002,91.1510905850001 79.711655002,91.2330455850002 79.6944270020001,91.4344185850002 79.6658180020002,91.4897005850001 79.6591460020002,91.5794365850003 79.6508180020002),(92.3391545860001 79.7408180020001,92.3499905860002 79.7277640020001,92.341663586 79.720827002,92.3291635860002 79.714427002,92.2966455860001 79.7127730020001,92.2652725860001 79.7124910020001,92.2402635860001 79.716091002,92.2297095860001 79.7219270020001,92.2144275860001 79.7269270020001,92.1944275860001 79.7313730020001,92.1547095860003 79.732755002,91.9799815860001 79.7172090020002,91.9516635860001 79.714427002,91.931363586 79.7099910020002,91.9152635860002 79.7047090020001,91.9216455860001 79.6733090020002,92.2369275860001 79.6599910020001,92.2763815860001 79.6586000020001,92.3974905860001 79.6588730020002,92.5547005860002 79.6599910020001,92.5869275860002 79.6616550019999,92.6358185860001 79.6688730020001,92.7702635860003 79.6841460020001,92.8558185860002 79.6922000020001,92.9208185870001 79.6955270020001,93.0063815870001 79.703600002,93.0477635870002 79.7124910020001,93.1433275870003 79.7363730020001,93.3336005870002 79.766391002,93.3583185870003 79.7697180020002,93.3791545870001 79.7741550020001,93.3922095870003 79.7805460020001,93.4010905870002 79.7874910020001,93.4180455870001 79.792755002,93.4810905870002 79.8058180020001,93.538881587 79.811100002,93.617754587 79.8208270020002,93.6644275870001 79.8294360020001,93.7066455870003 79.8383180020002,93.7236005870002 79.8433180020002,93.7766545870002 79.8680460020001,93.8087275870002 79.8917910020002,93.789427587 79.9069360020001,93.7744275870003 79.912200002,93.7347095870002 79.9211000020001,93.5394275870001 79.9513820020001,93.2522095870002 79.983318002,93.0294365870001 80.009991002,92.9077635870001 80.0219270020001,92.8672005860003 80.0233180020001,92.8255455860002 80.0233180020001,92.6213725860002 80.0133180020001,92.5424815860001 80.0125000020001,92.4960905860001 80.027482002,92.4655455860002 80.0305460020001,92.4297005860003 80.0327640020001,92.3891635860002 80.034146002,92.2213725860001 80.0394270020001,92.008609586 80.0469360020001,91.9519365860001 80.0533180020002,91.9211005860003 80.0563640020002,91.8577545860002 80.0588730020001,91.6922005850003 80.059709002,91.6088725850001 80.0594180020001,91.5380365850002 80.0566360020001,91.4752635850002 80.0510910020001,91.325545585 80.0469360020001,91.2383095850002 80.0474820020002,91.1763725850001 80.0530360020002,91.1241455850002 80.0602550020001,91.0474815850001 80.063600002,90.9097095850001 80.065536002,90.8763725850001 80.063600002,90.8644275850001 80.0572090020001,90.880809585 80.0522000020001,90.9224815850002 80.0524730020001,91.0508095850002 80.0508090020001,91.086654585 80.0486000020001,91.1119275850002 80.0435910020001,91.1280365850002 80.0385910020001,91.1391635850002 80.0327640020001,91.1819185850001 80.005964002,91.2399725850001 79.9341460020001,91.1963635850002 79.8997180020002,91.1677545850001 79.8969460020001,91.1230275850002 79.8886000019999,91.0666635850001 79.8744180020001,91.0571275850002 79.8584550020001,91.0730455850002 79.848600002,91.093872585 79.8444360020001,91.1194275850002 79.8408180020001,91.2880365850002 79.823318002,91.4991455850002 79.8105270020001,91.8347185860002 79.8027640020001,91.9563725860002 79.8016550020001,91.9930455860001 79.8027640020001,92.0174905860001 79.8063640020001,92.0502635860002 79.8083180020001,92.0952635860001 79.807482002,92.1202545860002 79.8038640020001,92.1658185860002 79.795818002,92.2419275860001 79.7777730020002,92.2880365860001 79.762500002,92.3391545860001 79.7408180020001),(58.9277725550002 79.9099910020001,58.8505455550001 79.914991002,58.8141545550002 79.916382002,58.7794365550001 79.920255002,58.7572185550002 79.9249910020002,58.6863815550002 79.944700002,58.669990555 79.9494180020002,58.6508275550001 79.9633270020001,58.6643005550002 79.9758180020001,58.631663555 79.976927002,58.4947095540001 79.9594270020002,58.450000554 79.9474820020002,58.4255545540001 79.942473002,58.399163554 79.9385820020001,58.3624635540002 79.9380820020002,58.2801365540001 79.9297000020001,58.3158275540001 79.9252640020001,58.4480455540001 79.9272000020002,58.4847185540001 79.9258090020001,58.5255545550002 79.922209002,58.6391635550001 79.9049820020001,58.7061005550001 79.891100002,58.7383275550001 79.8810910020002,58.7605545550002 79.8766460020001,58.794718555 79.8724820020002,58.8313815550002 79.871091002,58.8658275550001 79.8708180020002,58.8941545550002 79.8736000020002,58.9861005550002 79.8984640020002,58.9622095550002 79.9058180020001,58.9277725550002 79.9099910020001),(51.4916635480002 79.9247000020001,51.5019365480001 79.9316550020002,51.3858275480001 79.9658180020002,51.2049905480001 80.0380360020002,51.0274905480001 80.0944360020001,51.008045548 80.098873002,50.9702725470001 80.0997180020001,50.9433185470002 80.0963730020001,50.9272185470001 80.088882002,50.9072095470002 80.0750000020001,50.8697095470001 80.0621910020002,50.8427635470001 80.0585910020001,50.746100547 80.0547000020002,50.7166635470002 80.0524730020001,50.6897095470002 80.0488730020001,50.665827547 80.044709002,50.6472185470001 80.0380360020002,50.6058275470002 80.006936002,50.5899905470001 79.9902640020001,50.5716635470001 79.9838730020001,50.5450005470001 79.9802730019999,50.5130545470001 79.9788640020001,50.4436005470001 79.978318002,50.4063815470001 79.981373002,50.3630545470001 79.9910910020001,50.3258275470001 79.9941360020002,50.2883275470001 79.9947090020002,50.2563815470001 79.9935910020002,50.1072185470001 79.9824820020001,50.0663725470002 79.9792000020002,50.0563815470002 79.9788640020001,50.0438815470002 79.9730360020001,50.054990547 79.9688730020001,50.0863815470001 79.9652730020002,50.1663815470001 79.9594270020002,50.289436547 79.9508180020002,50.5097185470001 79.940264002,50.5472185470001 79.9397000020001,50.6163905470002 79.940264002,50.6483275470002 79.941655002,50.7174905470002 79.9422000020002,50.7550005470001 79.941655002,50.840272547 79.9361000020001,50.9141545470001 79.9294270020001,50.9538815470002 79.9277640020001,51.0711095480002 79.9236000020002,51.3399905480002 79.9152640020001,51.3744365480001 79.9155460020002,51.4383275480002 79.918046002,51.4677635480002 79.9205360020002,51.4916635480002 79.9247000020001),(49.6747095460001 80.0419270020001,49.5961005460002 80.0727730020002,49.5761005460002 80.0774820020001,49.4922185460002 80.0891550020001,49.460545546 80.092755002,49.4313815460002 80.092755002,49.331527546 80.0588730020001,49.355272546 80.0452550020001,49.3555635460002 80.0478360020001,49.3780455460001 80.0347180020001,49.4005455460002 80.0241550020001,49.414709546 80.0188730020002,49.431663546 80.0152730020001,49.4666635460001 80.015827002,49.6502725460001 80.027482002,49.6812455460001 80.033182002,49.6747095460001 80.0419270020001),(47.9019275450001 80.0838820020001,47.9954545450001 80.1016550020001,48.0405545450001 80.1136000020001,48.0608185450002 80.1191360020001,48.1072185450001 80.128309002,48.1627635450001 80.1344270020001,48.2036095450001 80.1327550020002,48.2456815450001 80.1223360020002,48.3274905450001 80.0933180020001,48.3477725450001 80.088882002,48.374163545 80.087200002,48.3974905450001 80.0919360020002,48.4816545450002 80.1130360020002,48.5109635450002 80.1216550020001,48.5459635450001 80.1459550020001,48.5386095450002 80.167482002,48.5194365450002 80.1749910020001,48.4944365450002 80.194836002,48.5283275450001 80.1997090020002,48.5663815450001 80.1991460020002,48.6047095450001 80.1960910020002,48.6611725450001 80.1806730020001,48.6986005450001 80.1666550020002,48.7394365450001 80.1574820020001,48.765827545 80.153591002,48.7980455450002 80.149991002,48.9208275460001 80.1452640020001,48.9591635460002 80.144991002,48.9883275460001 80.1474910019999,49.1072815460001 80.1854640020002,48.9950005460001 80.249146002,48.9483275460001 80.2699910020001,48.9188815460002 80.2799820020001,48.8833275460001 80.2822090020001,48.8477725450002 80.2816640020001,48.7144365450001 80.2766550020001,48.6699905450002 80.2791640020001,48.6419365450001 80.286373002,48.6279095450001 80.302200002,48.8006905450001 80.3731730020001,48.836654545 80.3799730020002,48.8666635460001 80.382473002,48.9024905460003 80.3827550020001,49.2011005460002 80.3799730020002,49.2430455460001 80.3783090020002,49.2816635460001 80.3752640020001,49.3794365460001 80.3647000020001,49.4211095460003 80.3630360020001,49.4627725460001 80.361646002,49.5702725460001 80.3627640020002,49.603327546 80.3641550020002,49.6302725460001 80.3677550020001,49.7822095460002 80.3922090020002,49.8066545460002 80.396655002,49.8298545460001 80.4054000020001,49.795827546 80.4522090020001,49.723045546 80.461655002,49.6881185460001 80.4770090020002,49.7224905460001 80.4852640020002,49.7527815460002 80.4874910020001,49.852772546 80.4919270020001,50.0530455470002 80.5000000020001,50.0767545470001 80.510036002,50.100545547 80.5174910020002,50.1311005470001 80.519718002,50.1980455470001 80.522491002,50.3422185470001 80.5258180020001,50.5913815470002 80.529982002,50.7733275470002 80.5316640020001,50.8097185470001 80.531936002,50.8908275470002 80.5294360020001,50.9216635470002 80.531936002,50.9497185470001 80.5352640020001,51.0000005470001 80.5438730020001,51.0247185480001 80.5537360020001,51.0741635480002 80.5788730020001,51.1077725480001 80.5936000030002,51.1586005480002 80.6155360030001,51.1811095480002 80.6210910030002,51.2063815480001 80.6252640030001,51.2405455480001 80.6266460030001,51.3194455480001 80.6249820030001,51.3561005480001 80.6252640030001,51.4155455480001 80.6308180030001,51.500545548 80.6408270030001,51.7058275480002 80.6752640030002,51.731236548 80.6837270030002,51.746245548 80.7151270030001,51.725263548 80.7227640030001,51.6861005480002 80.7260910030001,51.5802725480002 80.7341460030001,51.5088905480001 80.7327550030001,51.476100548 80.7363730030002,51.4494365480001 80.7405360030002,51.3141905480001 80.7768360030001,51.2672095480001 80.7852640030001,51.1738815480001 80.7763820030001,51.0305455480001 80.773318003,50.928327547 80.771927003,50.6419365470002 80.7630460030001,50.6166635470002 80.7586090030002,50.469709547 80.7305460030001,50.4024905470002 80.7144270030001,50.3741635470001 80.711109003,50.3433185470001 80.711109003,50.3163815470002 80.7152730030001,50.2483275470002 80.743727003,50.2697185470001 80.7522090030002,50.2950005470001 80.7566550030002,50.3233275470002 80.7599910030001,50.391663547 80.7625000030001,50.4230455470001 80.7650000030001,50.5080455470001 80.7749910030001,50.537354547 80.7872090030001,50.4693005470001 80.8013730030002,50.4983275470001 80.8072090030002,50.5297185470002 80.8097090030001,50.563881547 80.810809003,50.6502725470002 80.8074820030001,50.6905455470001 80.8069270030002,50.7219275470001 80.8091460030001,51.0188815480001 80.8333270030001,51.0384635480001 80.8472730030001,50.8808275470001 80.9104000030001,50.8461005470002 80.9169270030001,50.808600547 80.9166550030001,50.7483275470001 80.8977640030001,50.7224905470002 80.8933270030001,50.6649905470002 80.886655003,50.166936547 80.8455360030001,50.1330455470001 80.8466460030001,50.0118005470002 80.8607360030001,50.1161095470001 80.883327003,50.1419365470001 80.8877730030002,50.2336095470001 80.8958270030001,50.2683275470002 80.897218003,50.3433185470001 80.8977640030001,50.4127635470001 80.900546003,50.4402635470001 80.9067910030002,50.4116635470002 80.9138820030002,50.2972185470002 80.9236000030001,50.2508275470001 80.926373003,50.2161005470002 80.9249910030001,50.1844365470001 80.9224820030001,50.0291635470001 80.9097180030001,49.8141545460001 80.8911000030001,49.7886095460002 80.886655003,49.7644455460002 80.880536003,49.6677725460002 80.8486000030001,49.6199905460001 80.838882003,49.5919365460001 80.8355360030001,49.5605455460001 80.833055003,49.5202725460002 80.8336000030001,49.4858275460002 80.832218003,49.4233275460001 80.827482003,49.332772546 80.8191550030001,49.3044365460001 80.8158090030002,49.1169365460001 80.7888820030001,48.961727546 80.7302550030002,49.0211005460001 80.7119270030002,49.0611005460001 80.7116550030001,49.0949905460002 80.713046003,49.1386005460002 80.7238730030001,49.1633185460001 80.7283180030001,49.1941545460001 80.730818003,49.2561005460001 80.735536003,49.3331905460001 80.7341550030001,49.3080455460001 80.7285910030002,49.2583275460001 80.7197090030002,49.2284635460002 80.7105460030002,49.2076365460001 80.693455003,49.2349905460001 80.686918003,49.4199905460002 80.7016640030001,49.5099905460002 80.709718003,49.5702725460001 80.716382003,49.595272546 80.7208270030001,49.6263815460001 80.7230360030001,49.660272546 80.7219270030002,49.6813815460001 80.7174820030001,49.6633275460001 80.6427730030002,49.6277725460002 80.6383180030002,49.5849905460002 80.6397090030002,49.5394365460001 80.6424910030001,49.506100546 80.6458270030001,49.4788725460001 80.6499910030002,49.4394275460001 80.6530460030002,49.3163815460001 80.6433270030002,49.2935365460001 80.632000003,49.3197185460002 80.623309003,49.3530545460001 80.6197090030002,49.4087365460001 80.6086000030001,49.392490546 80.5949820030001,49.3352635460001 80.5824910030001,49.2805455460001 80.5805550030001,49.2588905460001 80.5774820020002,49.1769365460002 80.5492820020001,49.2206815460001 80.530191002,49.1922185460002 80.5213820020001,49.1180455460002 80.519718002,49.0394365460002 80.5208270020001,48.9519365460001 80.524991002,48.9063815460001 80.522491002,48.8938815460001 80.5063820020001,48.8483275450001 80.4966460020001,48.824163545 80.4922000020001,48.7877725450002 80.4916550020001,48.7486005450002 80.494709002,48.5433275450001 80.5326270020002,48.434154545 80.563309002,48.3944365450002 80.5663730020001,48.3308275450001 80.5624820020002,48.3036005450002 80.558873002,48.2794365450001 80.554427002,48.2493005450001 80.5456820020001,48.2224905450001 80.5322000020002,48.1833275450001 80.526382002,48.149990545 80.5274820020001,48.1227635450001 80.5313730020002,48.0799905450002 80.540264002,48.040272545 80.543046002,48.0102725450001 80.5405460020001,47.8355455450002 80.5233180020002,47.808600545 80.519991002,47.4180545440001 80.4627730020002,47.3915905440002 80.4500550020002,47.4349905440002 80.4452550020001,47.4677635440001 80.446927002,47.6199905440001 80.4586000020002,47.7097185440002 80.4663820020002,48.0888815450001 80.4686000020002,48.1298545450001 80.464991002,48.2288815450001 80.4202550020001,48.1930455450001 80.4147000020002,48.0433275450002 80.4144270020002,47.7527815440002 80.4111000020001,47.7169365440002 80.4105360020001,47.6513815440001 80.407482002,47.6234635440001 80.398800002,47.6694455440002 80.3674820020001,47.7052725440002 80.3655360020002,47.8186005450002 80.3652640020001,47.8902725450002 80.366382002,47.9291635450002 80.3633090020002,48.1538815450001 80.338882002,48.185409545 80.3333180020001,48.0038815450001 80.3047000020001,47.9772095450001 80.3010910020001,47.8763815450001 80.299991002,47.8494365450002 80.301373002,47.6469455440002 80.3113730020002,47.4772095440002 80.3155360020002,47.3113815440001 80.3085910020002,47.2317545440001 80.3293360020001,47.1930455440001 80.3430460020001,47.173881544 80.3538640020001,47.1427725440001 80.3638730020001,47.1155455440002 80.3677550020001,47.0763815440001 80.3705270020002,47.040554544 80.3699820020002,47.0111095440002 80.3672000020001,46.9552725440001 80.3611000020002,46.6836005430002 80.3147000020001,46.6261005430002 80.294982002,46.6483275430001 80.2772090020001,46.6988725430001 80.266100002,46.7261005440001 80.2622090020001,46.8813815440001 80.2316550020002,46.9011005440002 80.2176180020002,46.8915185440002 80.1913640020001,46.9116635440001 80.1838730020002,46.9330545440002 80.1794270020002,47.114154544 80.1641550020001,47.157490544 80.175127002,47.4536095440001 80.2347090020001,47.4861095440002 80.2363730020002,47.6980455440001 80.2422000020002,47.8411005450001 80.2452550020001,47.879718545 80.2449820020001,47.9241635450002 80.242482002,47.9622815450002 80.2316550020002,47.9399905450002 80.2224910020001,47.8568725450002 80.207073002,47.9086005450002 80.2008180020001,48.050000545 80.2030460020001,48.0825005450001 80.1972090020001,48.0563815450001 80.1910820020001,48.0005455450001 80.1849820020001,47.9422185450002 80.1799820020001,47.8013815450001 80.1777640020001,47.7749905440001 80.174146002,47.7550005440001 80.1685910020001,47.6413815440002 80.1181730020002,47.5956185440001 80.0797090020001,47.6161005440002 80.0705460020001,47.6541635440002 80.0674910020001,47.688881544 80.0680550020001,47.720827544 80.0697180020002,47.9019275450001 80.0838820020001),(46.1494365430001 80.4402640020001,46.2283275430001 80.451382002,46.2875005430001 80.4566460020002,46.3202725430001 80.458327002,46.4313815430002 80.4594270020001,46.4911005430002 80.462200002,46.5174905430001 80.465818002,46.528600543 80.4719270020001,46.520545543 80.4836000020002,46.5116635430002 80.4899730020001,46.5016635430001 80.4952550020001,46.4936095430002 80.5072180020002,46.5072185430001 80.5147090020002,46.5274905430002 80.5202640020001,46.6647095430002 80.5136090020001,46.6831815430002 80.5208180020001,46.6341635430002 80.5513730020001,46.6486095430001 80.5563640020001,46.7288725440001 80.5563640020001,46.8447095440002 80.5538640020002,47.0058275440001 80.5516550020002,47.0230455440001 80.5580270020002,47.0313815440001 80.5649910020001,47.035554544 80.5780460020001,47.0438815440002 80.5849910030002,47.061100544 80.5916640030002,47.1666635440002 80.6258090030001,47.191372544 80.6227550030002,47.2688815440001 80.6105360030001,47.2847185440001 80.6058180030001,47.306654544 80.6013820030001,47.356381544 80.5930460030002,47.3841635440001 80.5891550030001,47.423609544 80.588882003,47.444709544 80.5989360030001,47.4336005440001 80.6122000030001,47.3861095440002 80.6269180030002,47.3583275440001 80.6308180030001,47.3108185440001 80.6455360030002,47.3022095440001 80.6542910030002,47.3325005440001 80.6724820030002,47.3533275440001 80.678036003,47.3772095440001 80.6824820030002,47.4108185440002 80.6841460030002,47.5130545440001 80.7077640030002,47.5591545440002 80.7416550030002,47.5802725440001 80.7472090030002,47.6044365440002 80.751664003,47.631936544 80.7552640030002,47.659427544 80.7586090030002,47.7516635440002 80.7663910030001,47.7797185440002 80.7625000030001,47.9063815450001 80.710536003,48.0144455450002 80.6677550030001,48.036109545 80.6633180030001,48.0638815450001 80.6594270030001,48.0977725450002 80.655818003,48.1377725450001 80.6530460030002,48.2663905450001 80.6461000030001,48.339718545 80.6472180030001,48.4972185450001 80.6369360030001,48.5980455450001 80.6241460030001,48.6833275450001 80.6136000030001,48.7230455450002 80.6105360030001,48.7505455450002 80.614155003,48.7597185450001 80.6210910030002,48.7648545450002 80.6494270030001,48.754163545 80.6577640030001,48.6349905450002 80.6916550030001,48.5827725450001 80.7061000030002,48.5613815450001 80.710536003,48.5305455450002 80.713046003,48.4936095450001 80.7124910030001,48.4627725450002 80.7150000030001,48.4536095450002 80.7205360030002,48.4627725450002 80.7274820030001,48.478045545 80.7349820030001,48.4963815450001 80.7413640030001,48.5211005450001 80.7458180030002,48.558045545 80.7463730030001,48.6044365450001 80.7438640030002,48.638327545 80.7452550030001,48.6538815450002 80.7502730030002,48.6169365450001 80.771927003,48.5302725450001 80.789982003,48.3408275450001 80.818055003,48.2847185450001 80.8258180030002,48.2441545450001 80.8263820030001,48.2133275450001 80.8238820030001,48.1855455450001 80.8205460030001,48.1608185450002 80.8158090030002,48.1019365450002 80.8099820030001,48.009436545 80.802473003,47.9752635450001 80.800809003,47.9380455450002 80.8002640030001,47.8977725450001 80.8033180030001,47.7722185440001 80.8227730030001,47.6494365440001 80.8438730029999,47.5019365440002 80.855546003,47.464718544 80.854709003,47.1986005440002 80.8402730030002,47.1127725440002 80.8305550030001,47.0916635440002 80.8250000030002,47.1016635440001 80.8197180030001,47.1302725440001 80.8158090030002,47.1708275440001 80.8127640030001,47.1933185440001 80.8085910030002,47.2030455440002 80.8030360030001,47.1947095440001 80.7961000030002,47.0266545440001 80.7569460030001,46.9994365440002 80.7533270030001,46.8338815440001 80.7441360030001,46.8002725440002 80.742482003,46.763327544 80.7419270030001,46.685545543 80.7466460030001,46.5377725430001 80.7438640030002,46.4369365430001 80.7391550030001,46.4024905430001 80.7341550030001,46.4294365430001 80.7294270030001,46.5172185430001 80.7219270030002,46.3858275430001 80.7005460030002,46.3588905430001 80.696927003,46.2986095430001 80.6916550030001,45.9875005430001 80.6680460030001,45.9541635430002 80.6663820030001,45.7338815430001 80.6644270030002,45.534436542 80.6655460030001,45.4647185420002 80.6630360030001,45.2274815420001 80.6510910030001,45.1611005420002 80.6474910030001,45.0000005420001 80.6326730030001,44.8805455420001 80.6210910030002,44.8600005420001 80.6134550030002,44.8794365420001 80.6058180030001,44.9019275420001 80.6013820030001,44.9830455420001 80.5961000030001,45.0724905420001 80.592755003,45.1583275420001 80.5905460030001,45.251109542 80.5863820030002,45.2913815420001 80.583600003,45.3197185420002 80.579991003,45.3872185420001 80.5669360020001,45.4038815420002 80.5621910020001,45.4311095420001 80.5519270020001,45.4416545420001 80.5463730020001,45.4508275420002 80.5344270020001,45.4719275420001 80.5236090020001,45.4944365420001 80.5194360020001,45.5369455420001 80.518327002,45.5730545420001 80.5188730020001,45.6258275420001 80.526382002,45.7766545430001 80.5527640020001,45.9997185430001 80.5741550020001,46.0363815430002 80.5722180020002,46.0527725430001 80.5674910020001,46.0811005430001 80.552555002,46.0549905430001 80.5297090020002,46.0338815430001 80.5150000020001,46.0263815430002 80.5080460020001,46.0174905430001 80.4944270020002,46.0199905430001 80.4819360020002,46.0272185430002 80.4636090020001,46.0399905430002 80.4458180020001,46.0561005430001 80.4408090020001,46.0841635430002 80.4369180020002,46.1494365430001 80.4402640020001),(55.403881552 80.921373003,55.4230455520002 80.9166550030001,55.531109552 80.8936000030002,55.5566545520001 80.8891640030001,55.5772185520002 80.8869360030002,55.6549905520001 80.8855460030001,55.6874905520001 80.8877730030002,55.7252635520001 80.8875000030001,55.764018552 80.882209003,55.764718552 80.861373003,55.777209552 80.856373003,55.8088815520001 80.8522000030001,55.9938815520002 80.833882003,56.0336095520002 80.832491003,56.1013905520001 80.8355360030001,56.1786095520002 80.834155003,56.2208275520001 80.8319360030001,56.2969455520001 80.8247090030001,56.4680455530002 80.8144180030002,56.5452725530001 80.813036003,56.6316635530001 80.8074820030001,56.6813815530001 80.798600003,56.8341635530002 80.7602730030002,56.9302725530001 80.7305460030001,56.9883275530001 80.7044360030002,57.0177725530002 80.6944270030002,57.0594365530001 80.691927003,57.0963815530001 80.691927003,57.130818553 80.6924730030001,57.1633185530001 80.6944270030002,57.253327553 80.7049910030001,57.3691545530002 80.7186000030001,57.5133275540001 80.7361000030001,57.5413815540001 80.7399730030001,57.7041635540002 80.779709003,57.7188095540002 80.7908180030001,57.6263815540001 80.822218003,57.601936554 80.8269360030001,57.5083275540002 80.8391550030002,57.3013815530001 80.8627640030002,57.2255455530001 80.870255003,57.183327553 80.8727550030001,57.1036095530001 80.875264003,57.0213815530001 80.878864003,56.9322095530001 80.8855460030001,56.8558275530002 80.8927640030001,56.7741635530002 80.905818003,56.7491635530002 80.9102640030002,56.6750005530002 80.9297000030002,56.6444365530002 80.9397000030002,56.6181905530001 80.954227003,56.6247095530002 80.970818003,56.6000005530002 80.9783180030001,56.4427635530002 80.9974820030001,56.4105455530001 81.0013910030001,56.1286005520001 81.0344270030001,56.0897095520002 81.0383180030001,56.0491635520002 81.0394270030001,56.0111095520002 81.0394270030001,55.978045552 81.0374910030001,55.8197185520001 81.0247000030001,55.5986005520001 81.006946003,55.5655455520002 81.0049910030001,55.5224905520001 81.0072180030002,55.4836095520001 81.0108180030001,55.4641545520001 81.0155460030002,55.425827552 81.0249910030002,55.3027725520001 81.047209003,55.1855455510001 81.0638730030001,55.1161095510002 81.0702640030001,54.9780455510002 81.079709003,54.9397095510002 81.079709003,54.7494365510001 81.1097090030001,54.6902725510001 81.123600003,54.6344365510002 81.1155360030002,54.6091635510001 81.1105360030002,54.4538815510002 81.0427550030001,54.4408275510001 81.0361000030001,54.429454551 81.0241550030001,54.4250005510001 81.0183270030002,54.4183275510001 81.0061000030002,54.4313815510001 81.001100003,54.4577725510002 80.9966460030001,54.4944365510002 80.9941360030001,54.6186005510002 80.989973003,54.6591545510001 80.9888730030002,54.724709551 80.9930460030001,54.8127635510001 81.0033270030001,54.8455455510002 80.9994180030001,54.8716545510001 80.9949820030001,54.8837455510002 80.9749820030001,54.9158275510001 80.9622000030002,54.954709551 80.9527730030002,54.9844365510001 80.9497090030001,55.0952725510001 80.9505460030001,55.1711095510001 80.9505460030001,55.2088815510002 80.9505460030001,55.2391545510002 80.9533270030002,55.2913815510001 80.964427003,55.3191635520001 80.9683180030001,55.3622095520001 80.9660910030001,55.3880455520002 80.9619270030001,55.400272552 80.9537360030001,55.3758185520001 80.9344270030001,55.403881552 80.921373003),(50.973045547 81.1119270030002,50.9480455470001 81.1283090030001,50.9394275470001 81.1338820030001,50.9247095470002 81.138882003,50.8175005470001 81.1613730030001,50.7827725470001 81.1649910030001,50.7383275470002 81.1669270030002,50.5486095470001 81.164155003,50.5163905470001 81.161927003,50.492763547 81.156646003,50.3647185470001 81.118046003,50.3474905470002 81.0902730030001,50.3561005470001 81.084718003,50.3841635470001 81.080555003,50.418600547 81.0769360030001,50.446381547 81.0730460030001,50.4677635470001 81.0683270030001,50.4774905470001 81.0599820030001,50.4583275470001 81.0508090030002,50.415245547 81.0394640030001,50.4088815470002 81.0385910030001,50.388881547 81.032209003,50.3759635470001 81.0220730030002,50.388881547 81.0141640030002,50.410272547 81.0094270030001,50.4355455470002 81.0088820030002,50.5972095470001 81.0461000030001,50.7494365470002 81.0788730030001,50.8847185470001 81.086382003,50.9552725470002 81.0888820030002,50.9786005470002 81.0941460030001,50.9823545470001 81.1034550030001,50.973045547 81.1119270030002),(56.4419365530002 81.164155003,56.4830455530002 81.1627640030002,56.5191545530002 81.1638820030001,56.5502725530001 81.1666550030001,56.5766635530002 81.171646003,56.6244365530002 81.1835910030002,56.7566635530001 81.2086000030001,56.8699905530002 81.2252640030001,57.0783275530001 81.2505460030001,57.1099905530002 81.253600003,57.3777725530002 81.2702640030002,57.411936553 81.272218003,57.516663554 81.276655003,57.633609554 81.275818003,57.716100554 81.2730360030001,57.7894365540001 81.2747000030001,57.8577725540001 81.2799820030001,57.8872185540001 81.2838730030002,57.9027725540001 81.2902640030002,57.891109554 81.2955360030001,57.6938815540002 81.3247090030002,57.6499905540001 81.3272090030001,57.6155455540001 81.3252730030001,57.588327554 81.3202640030001,57.5636095540002 81.3144180030001,57.5341635540001 81.310527003,57.4974905540001 81.3097090030002,57.4580455540001 81.3136000030001,57.2730455530001 81.3433180030001,57.169445553 81.361100003,57.1433275530001 81.3655360030001,57.1105455530001 81.3694270030002,57.0241635530001 81.3763730030001,56.7519365530002 81.3863820030001,56.7099905530002 81.3875000030002,56.6313815530002 81.3877730030001,56.439427553 81.3866550030001,56.3658275520002 81.3849910030001,56.3333275520001 81.3791460030002,56.387772553 81.321927003,56.4436005530002 81.2958180030001,56.4561005530001 81.290546003,56.475263553 81.2858090030002,56.5794365530001 81.2683270030001,56.6026275530001 81.2602730030001,56.570545553 81.2544360030001,56.5316635530001 81.2544360030001,56.4558275530001 81.2572180030001,56.230272552 81.273882003,56.1147185520001 81.289700003,55.8938815520001 81.3194460030001,55.8591635520001 81.3208270030001,55.4905455520002 81.3222180030001,55.4661005520002 81.319718003,55.4319365520001 81.2747090030001,55.4733185520001 81.2705360030001,55.5433275520001 81.273609003,55.5797185520001 81.274427003,55.610272552 81.271655003,55.5831905520001 81.2376180030002,55.5647095520001 81.2219270030001,55.5563365520001 81.2191640030001,55.5694365520001 81.2044360030001,55.5852635520002 81.196636003,55.6158275520002 81.1935910030002,55.8558275520001 81.1880360030001,55.9255545520001 81.191082003,56.018881552 81.2000000030002,56.1647095520001 81.2186000030001,56.1961005520001 81.2216460030001,56.2299905520001 81.2236000030001,56.2686005520001 81.223309003,56.312490552 81.2211000030001,56.3449905520001 81.2172090030002,56.371100552 81.2127730030001,56.383609553 81.207491003,56.3947185530001 81.196636003,56.3897185530001 81.187473003,56.3876365530001 81.175536003,56.4094275530001 81.1680460030001,56.4419365530002 81.164155003),(54.3936095510002 81.2661000030001,54.4219365510001 81.273182003,54.2936095510001 81.3333270030002,54.2799905510001 81.3383180030002,54.2391545510002 81.3477640030001,54.19860055 81.3510910030001,54.1538815500001 81.3533180030001,54.1159635500001 81.3497090030001,54.230545551 81.301091003,54.2577725510002 81.2908180030001,54.259763551 81.2917000030001,54.269990551 81.2833270030001,54.2969455510001 81.2730360030001,54.3172185510002 81.2686000030002,54.354709551 81.2661000030001,54.3936095510002 81.2661000030001),(56.9947095530001 81.1655460030001,57.1536005530001 81.1463820030001,57.3774905530001 81.1244180030002,57.5311095540002 81.123600003,57.5649905540001 81.125264003,57.6927635540002 81.1358180030002,57.7219275540001 81.1397090030001,57.7752725540001 81.1494270030001,58.0580455540002 81.2027730030001,58.0805545540002 81.2097180030001,58.068881554 81.2150000030002,57.9813725540001 81.2336000030001,57.949436554 81.237764003,57.9105455540001 81.2380360030002,57.8741635540002 81.2372000030001,57.7330455540002 81.2322090030001,57.4608275540001 81.217755003,57.186936553 81.1877640030002,57.083290553 81.1814000030001,57.0675005530001 81.1799820030002,57.0097185530001 81.1722090030001,56.9947095530001 81.1655460030001),(90.4994185840001 81.2263820030001,90.1691455840001 81.2188730030002,90.1327545840001 81.2169360030001,90.0738815840002 81.2105360030001,89.8936005840001 81.168591003,89.9133185840002 81.130264003,89.9466365840002 81.1127640030001,89.9594275840002 81.107209003,89.9774815840001 81.1024820030001,90.0011005840001 81.098327003,90.0694455840002 81.0927550030002,90.6772005840002 81.0652640030002,90.8449815850002 81.0585910030001,90.8897095850001 81.0572090030001,91.029709585 81.0555460030001,91.102200585 81.0594180030001,91.1822095850002 81.0583180030001,91.2502725850001 81.063036003,91.3044275850002 81.0699910030001,91.3313725850001 81.0736090029999,91.3388815850002 81.0874910030001,91.3522005850002 81.0936000030001,91.3749815850002 81.0980360030001,91.4474815850001 81.1105360030002,91.5566365850001 81.124691003,91.576518585 81.1330460030001,91.5772095850002 81.1430550030001,91.4697095850002 81.1874820030001,91.4002725850002 81.2000000030002,91.3719185850001 81.2044360030001,91.3433185850001 81.2077640030001,91.2747005850001 81.2133180030001,91.1155365850001 81.2216460030001,91.0302725850002 81.2249910030001,90.9038725850001 81.2272000030001,90.5455365840002 81.2266550030001,90.4994185840001 81.2263820030001),(64.7011005600001 81.1963640030001,64.6627635600001 81.1972090030002,64.5502635600001 81.1958180030001,64.4836005600002 81.191082003,64.4188725600001 81.1852550030002,64.29331856 81.171646003,64.2652725600001 81.1660910030001,64.24581856 81.159718003,64.2336005600001 81.1535910030001,64.1187365600001 81.0897090030002,64.1280365600002 81.081373003,64.1991455600001 81.0666640030001,64.2160905600001 81.0558180030002,64.1938635600001 81.023746003,64.1669275600001 81.0086090030001,64.1480365600002 81.0022090030001,64.1222095600002 80.9955270030001,64.0947095600001 80.989700003,64.0655365600001 80.9852640030002,63.9733185600001 80.9747000030001,63.93915456 80.9736000030002,63.9013815600002 80.9741550030001,63.8230545590002 80.9780460030001,63.666663559 80.982755003,63.3761005590001 80.982482003,63.3402725590001 80.982209003,63.3061005590001 80.9808180030002,63.1161095590001 80.9638820030001,63.0874905590002 80.9591550030001,63.0372185590002 80.9458180030001,63.007772559 80.9330460030001,62.9849905590001 80.9205360030001,62.966663559 80.914155003,62.9133185590001 80.9027730030001,62.5758275580002 80.846100003,62.5574635580001 80.8441180030002,62.5197185580001 80.8305550030001,62.506381558 80.8212460030001,62.509163558 80.8069270030002,62.538327558 80.802473003,62.7283275580002 80.7705360030001,62.9327725590001 80.7333180030001,63.0099905590001 80.7188730030001,63.0783275590002 80.6988640030001,63.0877185590002 80.6909000030002,63.1027725590002 80.6838730030001,63.1411095590001 80.6819270030001,63.2124905590002 80.6816550030001,63.3736005590002 80.691927003,63.4663815590001 80.7002730030001,63.5874905590001 80.713318003,63.757772559 80.713318003,63.9227635600001 80.7213730030002,64.16581856 80.7269270030002,64.2024815600003 80.7260910030001,64.2377635600001 80.7263820030002,64.3030365600001 80.7299820030001,64.5866545600002 80.7536000030001,64.6152635600002 80.7583270030001,64.66638156 80.7716550030001,64.6952545600001 80.7760910030001,64.7866545600001 80.786373003,64.9177545600002 80.7963730030002,64.9788635610001 80.8033180030001,65.0077635610002 80.8077550030001,65.0338725610002 80.8144180030002,65.0461005610001 80.8205460030001,65.2352635610001 80.8674820030001,65.3919365610001 80.902482003,65.4447005610002 80.9158180030001,65.4673455610002 80.925127003,65.4524815610001 81.0277730030002,65.3491545610002 81.0636000030001,65.2947095610001 81.095536003,65.2785905610001 81.1063730030002,65.2691545610002 81.1201180030002,65.2385905610002 81.1330460030001,65.2169365610001 81.1380460030001,65.1877635610001 81.1427640030001,65.0719275610001 81.1611000030002,65.0358095610001 81.1655460030001,64.8638725600001 81.1863730030001,64.8208275600002 81.1905360030001,64.7011005600001 81.1963640030001),(79.5399815740001 80.9583270030002,79.4733095740002 80.9527730030002,79.4344185740002 80.9508180030001,79.3894365740002 80.9511000030001,79.2186005740001 80.9533270030002,79.217772574 80.954682003,79.1280365740002 80.928318003,79.0963725740001 80.9147000030002,79.0097185740002 80.875809003,78.9866455740002 80.8644270030001,78.9741545740002 80.8516550030001,78.9749815740002 80.8336000030001,78.986372574 80.8227730030001,79.0308185740001 80.8138730030002,79.0574815740003 80.8105270030001,79.0930455740001 80.8085910030002,79.1330455740001 80.8074820030001,79.1730365740001 80.8066360030001,79.3505365740002 80.8058180030001,79.813036574 80.8160820030002,79.889981574 80.820264003,80.0713815750001 80.8319360030001,80.2661005750002 80.847764003,80.2941455750002 80.8510910030001,80.3169365750001 80.8552550030001,80.4097095750002 80.8791550030001,80.4359545750002 80.9304000030002,80.4074815750002 80.937764003,80.3719185750001 80.9399730030001,80.2460905750001 80.942200003,80.1563725750002 80.9427460030001,80.116090575 80.943864003,80.0802725750002 80.9458180030001,79.9772005740001 80.9524820030001,79.9147005740002 80.9577640030001,79.8611005740001 80.9650000030001,79.7447095740001 80.9777640030001,79.7086005740001 80.9794270030002,79.6588725740001 80.9788640030001,79.6308095740002 80.975264003,79.5855365740001 80.966936003,79.5680545740001 80.9619270030001,79.5399815740001 80.9583270030002),(61.8519365580001 80.8861090030001,61.5955455570001 80.887209003,61.5619365570001 80.8858180030001,61.5343005570001 80.8770640030002,61.4780455570001 80.8599820030002,61.4124905570001 80.8541550030002,61.3608275570002 80.8505360030001,61.120827557 80.8413730030001,60.8933275570001 80.8272090030002,60.5608185560001 80.8113730030001,60.3506815560001 80.8016550030001,60.3188815560001 80.808873003,60.2816635560002 80.8091460030001,60.1369365560002 80.8091460030001,60.1016635560001 80.8085910030002,60.0022185560002 80.8035910030002,59.967490556 80.806509003,59.9969365560002 80.8138730030002,60.0261005560002 80.8174910030001,60.057209556 80.820264003,60.123600556 80.823609003,60.1608185560002 80.8230460030002,60.2291545560001 80.825273003,60.2565275560002 80.831791003,60.2313725560002 80.8391550030002,60.2011005560001 80.8436000030001,60.157772556 80.8472180030001,60.1163905560002 80.8497180030001,60.0788815560001 80.8502640030001,59.9086005560002 80.8441460030002,59.8752635560002 80.8424820030002,59.7247095560002 80.833882003,59.6938815560001 80.8311000030001,59.6647095560002 80.827482003,59.6380455560002 80.822491003,59.6133275560001 80.8166640030002,59.5480455550002 80.798327003,59.3699905550002 80.734418003,59.2802725550001 80.6960910030002,59.2220725550001 80.645818003,59.2563815550001 80.5902730030001,59.2752725550001 80.5824910030001,59.3702725550001 80.5612360020001,59.3569455550002 80.5516550020002,59.3133455550001 80.5414270020001,59.3024905550002 80.5413640020001,59.2451365550002 80.530682002,59.254163555 80.522491002,59.2711005550001 80.5174910020002,59.3111005550002 80.507764002,59.357218555 80.4986000020001,59.4458275550002 80.4858090020002,59.4986005550002 80.476655002,59.5216635550001 80.472218002,59.5383275550003 80.467209002,59.5649905550001 80.4569360020002,59.625827556 80.4249910020001,59.6594275560001 80.4222090020002,59.8533275560001 80.4310910020001,59.8855545560001 80.4327550020002,59.9455455560001 80.4380360020002,60.0880455560002 80.4561000020001,60.1444365560002 80.4636090020001,60.1705455560001 80.4683180020001,60.1881365560001 80.4794270020002,60.2166635560001 80.4930460020001,60.2491635560002 80.4944270020002,60.3313815560002 80.4883090020001,60.3897185560001 80.4794270020002,60.4122095560001 80.4747000020001,60.4286095560001 80.4697090020001,60.4963815560001 80.4558270020001,60.6125005560001 80.4383090020002,60.9583275570001 80.4052550020002,61.0000005570002 80.4016550020002,61.0338815570001 80.4019270020001,61.0661005570001 80.4035910020002,61.0944365570001 80.4072090020002,61.2461005570001 80.4402640020001,61.3205455570002 80.4577640020001,61.3452725570001 80.4636090020001,61.368327557 80.4705360020001,61.3865275570001 80.480127002,61.579990557 80.5547000020001,61.7041635570002 80.5930460030002,61.7352635570001 80.5955360030001,61.7680545580001 80.5969360030002,61.8044365580001 80.5963730030001,61.8736005580002 80.5972180030002,61.9391545580001 80.6002640030002,62.0575005580001 80.6138730030002,62.0866545580002 80.6174820030001,62.1436095580002 80.6297000030002,62.136381558 80.6380460030001,62.1208275580001 80.6430550030001,62.0983275580001 80.6480360030001,62.069445558 80.652482003,62.0472185580001 80.657209003,62.0380455580001 80.6624910030001,62.1069455580001 80.6885820030001,62.1497185580002 80.7008180030001,62.2013815580001 80.7124910030001,62.2188815580001 80.7188730030001,62.2511095580002 80.7377640030001,62.276936558 80.756100003,62.2840185580001 80.770827003,62.2183185580002 80.8111000030001,62.1997185580001 80.8216550030002,62.1213725580002 80.8647000030001,62.0891545580001 80.8746910030001,62.0461095580001 80.8785820030001,61.9286095580001 80.8838820030001,61.8519365580001 80.8861090030001),(59.1524905550001 80.380536002,58.8008275550002 80.4288640020001,58.6777725550002 80.4371910020002,58.5269365550001 80.4524820020001,58.4802725540001 80.461655002,58.395000554 80.4686000020002,58.0472185540002 80.4858090020002,57.9683185540002 80.4894270020002,57.9297185540001 80.4908180020001,57.8186005540001 80.4927550020002,57.7824905540002 80.4930460020001,57.714436554 80.4916550020001,57.6122095540001 80.4874910020001,57.4049905530002 80.4908180020001,57.3666635530001 80.4922000020001,57.2644455530001 80.489700002,56.965000553 80.4791550020001,56.9463815530002 80.4744270020002,56.994436553 80.4655460020001,57.0791635530002 80.4527730020002,57.1861005530001 80.4294270020001,57.203609553 80.4247000020002,57.2709635530002 80.3895730020001,57.2572185530001 80.3810910020001,57.2388815530001 80.3361090020001,57.271936553 80.1660910020001,57.4022095530001 80.126373002,57.4333275530001 80.1246910020001,57.536663554 80.1249820020001,57.5783275540001 80.121373002,57.6350095540002 80.110518002,57.647772554 80.1060910020002,57.6769365540001 80.1016550020001,57.7186005540001 80.0983270020001,57.7555545540001 80.0969360020002,57.9002725540002 80.0936000020002,57.9661005540002 80.0952640020002,57.9950005540002 80.098036002,58.0152725540001 80.1069360020001,57.9741635540001 80.1430550020001,57.9636095540001 80.148327002,57.9133185540002 80.1633180020002,57.9034635540001 80.1715090020002,57.9186005540002 80.1813640020001,57.9411005540001 80.1874820020002,57.9905455540001 80.1972090020001,58.019436554 80.2002730020001,58.0527725540001 80.201100002,58.0633275540002 80.1955270020001,58.1697185540001 80.184146002,58.3694365540001 80.167209002,58.4069365540001 80.165818002,58.4358185540001 80.1685910020001,58.4441545540001 80.1749910020001,58.4781815540001 80.221236002,58.4624905540002 80.2291550020001,58.3436095540001 80.2366460020002,58.2308185540002 80.2408180020002,58.1638815540002 80.2394270020001,58.1283275540002 80.2397000020001,58.0927635540002 80.2435910020001,58.0768005540001 80.2513820020001,58.0922185540002 80.2611090020001,58.1336095540001 80.2752730020002,58.1833275540001 80.2852640020001,58.3716545540001 80.313873002,58.401100554 80.316664002,58.4325005540002 80.3183270020002,58.5480455550002 80.313036002,58.5819365550001 80.313873002,58.5986455550001 80.3241550020001,58.6072185550001 80.3363820020001,58.6366545550001 80.339155002,58.7080455550001 80.3383180020001,58.7922185550001 80.3313730020001,59.2166635550001 80.3216550020002,59.2463815550001 80.3244360020001,59.275127555 80.3312360020001,59.2458275550001 80.3502640020001,59.1986005550002 80.3710910020001,59.1524905550001 80.380536002),(60.1522095560002 80.1669270020001,60.1933185560002 80.1630360020001,60.2302725560001 80.161655002,60.261663556 80.1633180020002,60.2876275560001 80.169846002,60.2763815560001 80.1780360020001,60.2319365560001 80.1874820020002,60.1750005560001 80.1960910020002,60.1399905560001 80.2002730020001,60.0988725560001 80.2038730020001,60.063609556 80.2044360020002,59.9927635560002 80.2036000020001,59.9594365560001 80.2030460020001,59.928045556 80.2013820020001,59.8991545560002 80.1945640020001,59.9091455560002 80.1816270020001,59.9169365560002 80.1791550020001,59.9436005560001 80.1758090020002,60.0847185560001 80.173873002,60.1238815560002 80.1711000020001,60.1522095560002 80.1669270020001),(59.3244365550001 80.1094180020002,59.0152725550002 80.071382002,58.9325005550002 80.0611000020002,58.9058185550002 80.0572090020001,58.8005455550002 80.040546002,58.7758275550001 80.0355360020001,58.7612455550001 80.0243640020001,58.7996815550001 80.006700002,58.8811005550001 79.9852640020001,58.9094275550002 79.9810910020001,59.0197185550002 79.9766550020001,59.0522185550002 79.9738730020001,59.0805545550001 79.9694360020002,59.1597095550002 79.956100002,59.1819365550002 79.9513820020001,59.1966545550001 79.9435910020001,59.1747095550002 79.9333180020001,59.1847185550001 79.9280360020001,59.213054555 79.9238730020001,59.3647185550003 79.9144270020001,59.4222185550002 79.920255002,59.4308275550002 79.9263730020002,59.5436095550001 79.9385820020001,59.6338815560001 79.9449730020001,59.691372556 79.9502730020002,59.718318556 79.9541640020001,59.743327556 79.959155002,59.8605455560001 79.9877640020002,59.8447095560001 80.068327002,59.8252725560002 80.0788730020001,59.8091545560002 80.0841550020001,59.7872185560001 80.0885910020002,59.5538815550002 80.1113730020001,59.4508275550002 80.1149910020001,59.353609555 80.1122000020001,59.3244365550001 80.1094180020002),(57.0724905530001 80.0813730020001,57.1322095530002 80.0991550020001,57.1373545530001 80.1084640020001,57.1180455530001 80.1160910020002,57.0905455530001 80.1727640020001,57.1044365530001 80.2130460020001,57.1297185530001 80.2974820020001,57.1301275530003 80.3124820020001,57.0969365530001 80.3430460020001,57.079436553 80.3480360020002,57.0494365530001 80.3522000020001,56.9769365530001 80.359709002,56.8999905530001 80.3658180020001,56.756381553 80.3666550020001,56.7249905530002 80.3647000020001,56.7005455530001 80.3594180020001,56.6861005530001 80.3497090020001,56.539436553 80.3258180020002,56.447209553 80.3358180020002,56.2636095520002 80.3483270020001,56.1897095520002 80.3497180020001,56.0358275520002 80.338882002,56.0072185520001 80.3358180020002,55.9830455520002 80.3305550020001,55.969709552 80.3238820020001,55.9547095520001 80.257218002,55.9916635520002 80.2116550020001,56.0443005520002 80.1941460020002,56.0247095520001 80.1838730020002,55.9599905520002 80.1655460020001,55.8480455520001 80.1366550020001,55.8244365520002 80.1316550020001,55.8028455520002 80.1271360020001,55.7569455520001 80.1194270020002,55.7169365520002 80.1042910020001,55.9297185520002 80.0755460020001,55.9655455520002 80.0719270020002,56.0072185520001 80.070264002,56.105554552 80.073046002,56.2083275520002 80.0736090020001,56.5050005530002 80.0747090020001,56.5422185530002 80.0733180020002,56.662763553 80.0652640020001,56.7616635530001 80.0644180020001,56.9630545530002 80.0674910020001,56.9958275530002 80.0680550020001,57.0244365530002 80.0711090020002,57.0505455530002 80.0750000020001,57.0724905530001 80.0813730020001),(50.1499905470002 80.1441460020001,50.1822095470001 80.1455360020002,50.2202725470001 80.144991002,50.2527815470002 80.1463820020001,50.2766545470002 80.1508180020001,50.3138815470001 80.163609002,50.3316635470002 80.1744270020002,50.3254095470002 80.1924730020002,50.3072095470001 80.2002730020001,50.2733275470001 80.2099910020001,50.233327547 80.2191460020001,50.1813815470001 80.2272000020002,50.1436095470002 80.2305460020001,50.0997185470002 80.2333180020001,50.020272547 80.2355360020002,49.9522185470001 80.233600002,49.9222185460002 80.2313730020002,49.8952725460001 80.2277640020001,49.625827546 80.1810910020002,49.6019365460002 80.1766550020002,49.5597185460001 80.1655460020001,49.5416635460002 80.1591460020001,49.532209546 80.1522090020001,49.5388905460002 80.143464002,49.5833275460002 80.1316550020001,49.6955455460002 80.109709002,49.8108185460001 80.0944360020001,49.874363546 80.0636640020001,49.8944365460002 80.0588730020001,49.9319365470001 80.0558180020001,49.9724905470002 80.054155002,50.0072185470002 80.0544270020001,50.0394365470001 80.0558180020001,50.066100547 80.0591460020001,50.0862365470001 80.0690180020002,50.0483365470002 80.0813730020001,50.0788815470001 80.1149910020001,50.0922185470001 80.128309002,50.101936547 80.1355460020002,50.1202725470001 80.141936002,50.1499905470002 80.1441460020001),(52.3322185490001 80.2005460020002,52.4783275490001 80.1966360020002,52.5491635490001 80.1969270020001,52.5924905490001 80.1941360020001,52.6158275490001 80.189146002,52.623181549 80.1805360020001,52.6366545490001 80.172482002,52.7116635490002 80.1680460020002,52.9349905490001 80.1758090020002,53.0963815490001 80.182755002,53.1266545490002 80.1847090020001,53.3163815500002 80.1802640020002,53.3472095500001 80.1763730020001,53.3658275500001 80.1716460020002,53.39666355 80.1677550020001,53.4319365500002 80.1677550020001,53.4927635500001 80.172209002,53.5130545500001 80.1783180020001,53.5183275500002 80.1877640020001,53.5261005500001 80.2065180020001,53.5524905500001 80.2236000020001,53.5905455500002 80.2372000020002,53.61610955 80.2413640020001,53.6491635500001 80.242482002,53.67708155 80.2352640020001,53.6840185500002 80.2237360020001,53.7241635500002 80.2174820020001,53.7547185500001 80.2197090020002,53.7799905500002 80.2238730020001,53.80054555 80.2299820020002,53.8597185500002 80.250000002,53.86991855 80.261100002,53.8524905500001 80.2736090020002,53.8338815500001 80.278318002,53.8027725500001 80.2822090020001,53.6830545500002 80.2872000020001,53.62110055 80.294982002,53.5961005500001 80.2994270020001,53.4522185500002 80.3255460020001,53.4333275500002 80.330273002,53.3827635500002 80.3449820020001,53.3508275500001 80.3547090020001,53.3380455500001 80.359982002,53.31832755 80.3705270020002,53.3172185500001 80.3827550020001,53.3380455500001 80.3931820020001,53.30277255 80.405818002,53.2711005500001 80.4097180020001,53.2299905500002 80.4116550020001,53.1577725500002 80.4113730020001,52.9316635490002 80.4088730020002,52.9008275490002 80.4066460020001,52.8752635490001 80.4024820020001,52.7838815490002 80.3813640020001,52.7180455490001 80.3644270020001,52.6977725490001 80.358318002,52.6802725490001 80.3508180020002,52.6819365490001 80.338882002,52.6672095490001 80.313600002,52.5880455490002 80.2991460020001,52.5133275490001 80.2888820020002,52.4130455490001 80.2913640020001,52.3747095490002 80.2922090020001,52.3416635490001 80.2910910020001,52.3113815490001 80.2888820020002,52.1977725490002 80.2766550020001,52.181381549 80.271927002,52.250000549 80.2341460020001,52.2630545490001 80.2291550020001,52.3189185490002 80.2185090020002,52.3186095490001 80.2087360020001,52.3322185490001 80.2005460020002),(54.4547095510001 80.3947180020002,54.5652725510001 80.3936000020002,54.6372185510002 80.3936000020002,54.668327551 80.3955360020001,54.8069365510001 80.4130360020002,54.8308275510001 80.4183180020001,54.8497185510001 80.4255360020001,54.8625005510001 80.4383090020002,54.8630545510001 80.4502730020001,54.733045551 80.483873002,54.714436551 80.4885910020001,54.6730455510001 80.4905360020001,54.6202725510001 80.482482002,54.5086095510001 80.453327002,54.4961005510002 80.4466360020001,54.4516635510001 80.415436002,54.396381551 80.4099910020001,54.373327551 80.4030460020002,54.4138815510001 80.396655002,54.4547095510001 80.3947180020002),(54.4619365510002 80.4712360020002,54.4588815510002 80.4980270020001,54.4113725510002 80.535809002,54.3797185510002 80.5397000020001,54.3016545510001 80.5416550020002,54.1897095500001 80.5427550020001,54.15192755 80.5461000020001,54.1361095500001 80.5542820020001,54.1602725500001 80.5636000020002,54.1894275500002 80.566664002,54.2208275500002 80.5688820020002,54.2863815510001 80.5719270020001,54.312763551 80.576100002,54.2747095510002 80.5855360030001,54.2052725500001 80.5930460030002,54.00750055 80.607482003,53.9683185500001 80.6086000030001,53.90277255 80.6052550030001,53.8711005500002 80.6033180030001,53.8447095500001 80.5991550030001,53.8394275500002 80.5805550030001,53.8402725500001 80.5627640020001,53.8533275500001 80.5516550020002,53.8724905500001 80.5469360020002,53.8980455500002 80.542482002,53.9294365500002 80.538591002,53.9549905500001 80.5344270020001,53.9676275500001 80.5261000020001,53.9441545500001 80.5180550020001,53.83140955 80.499973002,53.8568005500002 80.4826180020001,53.83082755 80.4755360020001,53.7997185500002 80.4733090020001,53.7799905500002 80.4694360020001,53.8113815500001 80.4655460020001,53.8488725500002 80.462200002,53.9727635500002 80.4561000020001,54.05416355 80.4497090020001,54.11054555 80.4413640020002,54.12943655 80.436646002,54.1422185500002 80.4313640020002,54.1672095500001 80.4269270020001,54.1922185500002 80.4227640020001,54.2294275510001 80.419146002,54.268054551 80.4183180020001,54.3016545510001 80.419146002,54.3302725510001 80.4224820020002,54.4619365510002 80.4712360020002),(53.5439545500001 80.526655002,53.3986095500001 80.6266460030001,53.2169365500001 80.6541640029999,53.1874905500001 80.6569360030002,53.1586005500001 80.6538730030001,53.1413815490001 80.6488820030001,53.1052725490001 80.6199820030001,53.1186005490001 80.6147000030002,53.1505455500001 80.611100003,53.27555455 80.6027640030001,53.30138155 80.5954090030001,53.2836095500001 80.5852640030002,53.2627725500001 80.5788730020001,53.2263815500002 80.5644180020001,53.2144365500001 80.5574820020002,53.19749055 80.5383180020002,53.2022095500002 80.5233180020002,53.2144455500001 80.5157460020002,53.2369365500001 80.508327002,53.2563815500001 80.5036000020001,53.3011005500002 80.494709002,53.3519365500002 80.4861000020001,53.38999055 80.482755002,53.4288815500002 80.4816550020001,53.44221855 80.4849820020001,53.5338815500001 80.5155460020002,53.5439545500001 80.526655002),(55.9049905520002 80.6316550030001,56.0152725520002 80.6313640030002,56.1063815520002 80.6391640030002,56.1361095520001 80.6422090030001,56.2002725520001 80.6461000030001,56.2691545520001 80.6477640030001,56.308327552 80.6466550030002,56.3394275520002 80.6427640030001,56.3511095520001 80.637500003,56.4399905530001 80.6238730030001,56.7083275530001 80.6338820030001,56.7380455530001 80.636655003,56.9102725530001 80.657482003,56.9355455530001 80.6624910030001,56.9486005530002 80.6927460030001,56.9305455530001 80.6974820030001,56.7788815530001 80.735809003,56.5538815530001 80.7772090030001,56.5141635530001 80.778318003,56.4769365530001 80.778591003,56.3374905520001 80.7749910030001,55.9247095520001 80.7622090030001,55.7838815520002 80.7577640030001,55.5527725520001 80.730818003,55.5002815520002 80.7233090030001,55.4458275520002 80.7152730030001,55.4325005520002 80.708327003,55.4486005520001 80.7047090030002,55.5202725520001 80.705555003,55.6313815520001 80.7052640030001,55.6708275520002 80.704164003,55.6958275520001 80.6997090030002,55.7044365520001 80.6912270030001,55.6808275520002 80.680818003,55.6586005520002 80.6747000030001,55.6313815520001 80.6708180030002,55.6031905520001 80.662482003,55.6119365520001 80.6541640029999,55.6430545520001 80.6499910030002,55.7866635520002 80.6386000030001,55.9049905520002 80.6316550030001),(55.5297185520002 80.7683270030001,55.828045552 80.7830550030001,55.9252725520002 80.7888820030001,55.9552725520001 80.7919270030002,55.9799905520002 80.798600003,55.8113815520001 80.815264003,55.632490552 80.8280460030002,55.6005455520001 80.8319360030001,55.4500005520001 80.8513820030001,55.306100552 80.8769180030001,55.286945551 80.881655003,55.2547185510001 80.8855460030001,55.1711095510001 80.8924910030001,55.1308185510001 80.8936000030002,55.0555455510002 80.8936000030002,55.0186005510001 80.8919360030002,54.9883275510002 80.888882003,54.9611095510002 80.8847180030002,54.7741635510002 80.861927003,54.4647095510001 80.844709003,54.424709551 80.8458270030002,54.3341635510002 80.8580360030001,54.2616635510001 80.856936003,54.0899905500002 80.8505360030001,54.0602725500001 80.8474910030002,54.03860955 80.8413730030001,54.0047005500002 80.8266460030001,53.9908275500002 80.8233180030001,53.9755455500002 80.8174910030001,53.9761005500002 80.8055460030001,54.0066635500002 80.794982003,54.0777725500001 80.7816640030001,54.1036095500001 80.7774820030002,54.1808275500001 80.7705360030001,54.22331855 80.7683270030001,54.2602725510001 80.7683270030001,54.4311095510002 80.7747000030002,54.5622095510001 80.7816640030001,54.5969365510002 80.7827640030002,54.6416635510001 80.779709003,54.6738815510002 80.7758180030001,54.6929095510002 80.7680550030001,54.6830455510001 80.7554090030001,54.6649905510001 80.7409550030002,54.8016545510002 80.7205360030002,54.8411005510001 80.7197090030002,54.8783275510001 80.7194360030001,55.0063815510002 80.7277640030001,55.0655455510002 80.733873003,55.1150005510001 80.7438640030002,55.1438815510002 80.7486000030001,55.3069365520003 80.7594270030002,55.3713725520001 80.7633180030001,55.5297185520002 80.7683270030001),(58.8058275550002 80.6469460030002,58.6002725550001 80.627764003,58.5486095550001 80.6180460030001,58.538745555 80.608736003,58.5655455550002 80.5955360030001,58.7699905550002 80.5830550030002,58.8063815550001 80.5827640030001,58.8552725550001 80.6402730030001,58.8447095550002 80.6455360030002,58.8058275550002 80.6469460030002),(58.010554554 80.6411000030001,57.9758185540001 80.6438730030001,57.8438815540002 80.6413730030002,57.6022185540001 80.6394360030001,57.4161005530001 80.641936003,57.3924905530001 80.6391640030002,57.384436553 80.6330460030001,57.369990553 80.6260820030001,57.3147095530002 80.6183180030001,57.2827095530002 80.6147270030001,57.2572185530001 80.613309003,57.2294275530002 80.609146003,57.2155455530001 80.600818003,57.2405455530001 80.5874910030001,57.2647185530002 80.5830550030002,57.4894365540002 80.5488730020001,57.5280455540001 80.547482002,57.802218554 80.5519270020001,57.8708275540002 80.5533180020001,57.9005455540001 80.5563640020001,57.9238815540002 80.5621910020001,58.0313815540002 80.6072090030002,58.0350005540001 80.6191360030001,58.021381554 80.6358180030001,58.010554554 80.6411000030001),(55.015827551 80.5569270020001,54.9972185510001 80.5619180020001,54.9694365510001 80.5613730020001,54.9161005510001 80.5530360020001,54.884718551 80.5510910020001,54.8505455510002 80.5499910020002,54.7044365510001 80.5502640020002,54.6755545510001 80.547209002,54.6563815510002 80.5397000020001,54.6443005510001 80.5312360020002,54.6536005510001 80.5230360020001,54.665590551 80.5193910020001,54.6872095510002 80.5119360020001,54.8466545510001 80.4755360020001,54.8713725510002 80.4711000020001,54.9474905510001 80.4666640020001,55.019990551 80.4663820020002,55.0538815510002 80.4674820020001,55.1499905510001 80.488036002,55.1631815510001 80.4977640020001,55.1266545510002 80.5163910020001,55.015827551 80.5569270020001),(55.1536005510002 80.4247000020002,55.1222185510001 80.4227640020001,55.1030725510001 80.423309002,55.0177725510002 80.4244270020001,54.9888815510002 80.4213730020001,54.980545551 80.414155002,55.167500551 80.3694270020001,55.2008275510001 80.3705270020002,55.3038815520001 80.3877730020002,55.3130455520002 80.393327002,55.3640185520001 80.4316360020001,55.3433185520001 80.4452550020001,55.3250005520001 80.4502730020001,55.2863815510001 80.451382002,55.2524905510001 80.4502730020001,55.2261005510001 80.4463640020002,55.2072185510001 80.4373360020001,55.1799905510002 80.4288640020001,55.1536005510002 80.4247000020002),(56.2233185520002 80.371373002,56.2594365520001 80.3710910020001,56.3080455520001 80.3813640020001,56.3251365520001 80.3913730020001,56.3111005520001 80.399427002,56.2869455520001 80.4038730020002,56.2069365520001 80.4108090020001,56.0299905520002 80.4260910020002,55.9138815520002 80.4330460020001,55.8730455520001 80.4352550020001,55.8197185520001 80.4272000020001,55.8027455520001 80.4171460020001,55.7930545520001 80.4136090020002,55.7888905520002 80.4044360020001,55.8222185520002 80.3974910020001,55.979709552 80.3847180020002,56.2233185520002 80.371373002),(55.2974905510002 80.3424820020002,55.0974905510001 80.3055460020001,55.1046635510002 80.2890550020001,55.0730545510001 80.2805460020002,55.009163551 80.2774820020002,54.9424905510001 80.2755460020002,54.9141545510002 80.272491002,54.8991635510001 80.2666640020001,54.8941005510001 80.262755002,54.8575005510001 80.2524910020001,54.869436551 80.2472090020002,55.0194365510002 80.2283180020002,55.1205455510001 80.2183180020002,55.1511005510001 80.2202640020001,55.2883275510002 80.2377640020001,55.3688815520001 80.248873002,55.5236095520002 80.2744270020002,55.5427725520001 80.2816640020001,55.5438815520002 80.2938730020001,55.521381552 80.316373002,55.5050005520002 80.3219270020001,55.3713725520001 80.3413730020001,55.328609552 80.3444360020002,55.2974905510002 80.3424820020002),(54.322218551 80.3269360020001,54.285272551 80.330273002,54.249436551 80.330273002,54.22110055 80.327209002,54.2002725500001 80.320827002,54.16331855 80.3063640020001,54.1483275500001 80.2962360020001,54.1484635500001 80.2841460019999,54.2166635500001 80.2527730020001,54.1770185500002 80.2185640020001,54.1679095500001 80.2119360020001,54.1863815500001 80.204164002,54.2219275500001 80.204164002,54.3952725510001 80.2208270020001,54.421109551 80.2249910020002,54.4363815510001 80.235118002,54.4455455510001 80.2627730020001,54.4458275510001 80.2808180020001,54.4365185510001 80.301373002,54.396381551 80.313873002,54.322218551 80.3269360020001),(58.6208275550001 80.767491003,58.638327555 80.7730360030001,58.6647095550001 80.7780460030001,58.7347185550001 80.7794360030002,58.771663555 80.7791640030001,58.8458275550001 80.7713820030001,58.8852725550001 80.7697180030001,58.9161005550002 80.7724910030002,58.9424905550002 80.7774820030002,58.986654555 80.7916550030001,59.0252725550002 80.822491003,58.976381555 80.860809003,58.9588815550002 80.8658180030001,58.9105455550001 80.8749820030002,58.8250005550001 80.8880460030002,58.794154555 80.8922090030002,58.7566635550001 80.8961000030001,58.719154555 80.8963820030002,58.6505455550002 80.893873003,58.5155455540001 80.8880460030002,58.2486005540002 80.8749820030002,58.1849905540002 80.870255003,58.1277725540002 80.8624910030002,58.1038815540001 80.856646003,58.0252725540001 80.8419360030001,57.9443815540001 80.8299910030001,57.8680455540002 80.8227730030001,57.841936554 80.8177640030001,57.824718554 80.8121910030001,57.8187455540002 80.8030360030001,57.8388815540002 80.7952550030002,57.8633275540001 80.7908180030001,57.9250005540002 80.7824820030001,58.0455455540001 80.7774820030002,58.0827725540001 80.7772090030001,58.1222185540001 80.7758180030001,58.1638815540002 80.773318003,58.2077725540001 80.7699910030001,58.2450005540002 80.7661000030002,58.2755545540001 80.7619360030001,58.3238815540001 80.7527730030001,58.3522185540002 80.7497090030001,58.3936095540002 80.7472090030002,58.4330545540002 80.7458180030002,58.4699815540002 80.7455270030001,58.5050005540001 80.7460910030001,58.5377725550002 80.7480270030002,58.5683275550002 80.750827003,58.596654555 80.7547180030001,58.6119365550001 80.7613820030001,58.6208275550001 80.767491003),(58.0780455540001 80.8927640030001,58.2522185540002 80.9147000030002,58.2786005540001 80.9197090030002,58.2672095540001 80.9249910030001,58.2361095540001 80.9291550030002,58.1538815540002 80.9363730030002,58.0694455540001 80.9413640030002,57.9894365540001 80.943864003,57.9024905540002 80.9497090030001,57.8644365540001 80.953600003,57.770272554 80.9660910030001,57.7272095540001 80.975264003,57.6974905540002 80.9855360030001,57.6861005540001 80.9905360030001,57.6603365540002 81.0047730030001,57.5119365540001 81.0419270030001,57.4866545540001 81.0463730030001,57.2811095530001 81.0608090030001,57.2472185530002 81.0624820030002,57.216100553 81.0597090030001,57.1294365530001 81.0547000030001,56.990827553 81.0658090030001,56.9522185530001 81.0697180030001,56.9202725530001 81.0736090029999,56.8947185530001 81.0780460030001,56.8761005530001 81.0830550030001,56.8505455530001 81.0874910030001,56.7863815530002 81.095536003,56.715272553 81.1033180030001,56.6719365530002 81.1055460030001,56.6336095530002 81.1058180030001,56.421663553 81.1055460030001,56.3883275530001 81.1035910030002,56.359990552 81.0997180030002,56.3263815520001 81.0977640030002,56.288045552 81.0977640030002,56.242490552 81.1010910030001,56.1852635520001 81.1155360030002,56.1552635520002 81.1183180030001,56.124163552 81.1155360030002,56.1099905520002 81.108873003,56.1045095520003 81.1030730030001,56.0968005520001 81.092073003,56.1222185520002 81.084718003,56.1586005520001 81.0822180030002,56.199436552 81.0811000030002,56.4049905530002 81.0644180030001,56.6652635530002 81.0405460030001,56.786663553 81.0241550030001,56.8691545530001 81.011109003,56.892909553 80.9941460030002,56.9094275530002 80.980546003,56.9383275530001 80.964427003,56.9766545530001 80.960818003,57.0619365530001 80.9561000030001,57.1422185530002 80.953600003,57.1805455530002 80.9500000030001,57.205554553 80.9455270030002,57.2238725530001 80.940536003,57.2338815530001 80.9294270030001,57.2177635530002 80.9169270030001,57.2023545530001 80.9072090030002,57.226381553 80.8997180029999,57.3899905530002 80.879427003,57.5347185540002 80.8641550030002,57.6102725540002 80.856646003,57.7366545540002 80.846100003,57.774163554 80.8458270030002,57.8661095540001 80.8541550030002,58.0780455540001 80.8927640030001),(58.3708275540001 81.113873003,58.4113725540001 81.1124910030001,58.4452635540002 81.1141550030001,58.4769365540001 81.1169270029999,58.5805545550002 81.1210910030001,58.6122095550001 81.1238730030002,58.6394365550001 81.128864003,58.6486095550001 81.1349910030002,58.6372185550001 81.1402730030002,58.6125005550002 81.1447180030001,58.5672185550001 81.1483270030001,58.4833275540001 81.1522090030001,58.4066545540001 81.1527730030001,58.3724905540002 81.151091003,58.3455455540001 81.146100003,58.3208275540001 81.1402730030002,58.2158815540001 81.1363550030002,58.1672095540002 81.1347180030001,58.1494365540001 81.128864003,58.160818554 81.1238730030002,58.2061005540002 81.1202550030002,58.328045554 81.1163820030002,58.3708275540001 81.113873003),(61.0663815570001 81.1155360030002,60.7563815570002 81.1008180030001,60.6602725560002 81.0927550030002,60.6302725560003 81.089155003,60.3952725560001 81.0574820030002,60.2463815560002 81.0238820030001,60.2188815560002 81.0191460030001,60.1597095560002 81.0116550030001,60.1010905560001 81.0074730030001,60.0830545560001 81.0072180030002,60.0513815560001 81.0047180030001,60.0350005560001 80.9980270030001,60.0249905560002 80.9916550030001,60.0419365560001 80.9833180030001,60.0655455560002 80.9785910030001,60.3319365560001 80.944136003,60.3991635560001 80.9358090030001,60.4827635560001 80.9305460030002,60.8391545570001 80.9163820030001,60.9141545570002 80.9152640030001,60.985263557 80.9160910030002,61.0524905570001 80.919436003,61.0841635570001 80.921918003,61.1436095570001 80.9294270030001,61.3805455570002 80.9791550030001,61.5836005570001 81.028591003,61.6080455570001 81.0355360030002,61.6313815570001 81.0508090030002,61.6561005570002 81.0938730030001,61.6541635570002 81.110809003,61.5375005570002 81.1216460030001,61.4974905570001 81.1233090030001,61.3847185570002 81.1241460030001,61.2397185570002 81.1222090030002,61.1691545570002 81.1202550030002,61.0663815570001 81.1155360030002),(58.0511005540002 81.106936003,58.012772554 81.107209003,57.8351365540001 81.0483180030001,57.8479725540001 81.0392000030001,57.8661095540001 81.0341460030001,58.1974905540001 80.964427003,58.2466545540001 80.9552640030003,58.2777725540001 80.9511000030001,58.3999905540002 80.9460910030001,58.5333365550001 80.9530460030001,58.5644365550001 80.9558270030001,58.5911005550001 80.960818003,58.6965185550001 81.0240820030002,58.6833275550001 81.0363730030002,58.6588815550002 81.0410910030001,58.369154554 81.0888820030002,58.3397095540002 81.0919360030001,58.0849905540001 81.1052550030002,58.0511005540002 81.106936003),(59.8427725560001 81.1827550030001,59.788045556 81.2002730030001,59.763609556 81.2047090030001,59.727481556 81.2077640030001,59.6844365560001 81.2102640030002,59.6436095560001 81.2116550030001,59.4119365550002 81.214155003,59.1752725550002 81.2188730030002,59.0958275550001 81.2205360030001,59.0155095550001 81.212100003,59.0130545550002 81.2044360030001,59.0399905550001 81.1972090030002,59.0852635550002 81.1935910030002,59.4969365550002 81.1733090030002,59.5761005550001 81.171373003,59.7299905560001 81.1697090030002,59.7663905560001 81.170255003,59.8005455560001 81.1719180030001,59.8327725560002 81.1747000030001,59.8427725560001 81.1827550030001),(93.9274725870001 79.968318002,93.9424725870001 79.9630460020001,93.9836005880002 79.9630460020001,94.0172095880001 79.9647090020001,94.0463725880001 79.9672090020001,94.149990588 79.976927002,94.1716455880002 79.981373002,94.3077545880001 80.0169360020001,94.3233275880001 80.0252640020002,94.3063635880001 80.0336000020001,94.2711005880001 80.0361000020001,94.2466455880001 80.034146002,94.2288635880003 80.0288730020002,94.203327588 80.0255460020001,94.1480365880002 80.0194360020001,94.0633095880001 80.0108180020001,94.0338725880002 80.0083270020002,93.9882545880001 80.0097820020001,93.9630455880001 80.0058270020001,93.9274725870001 79.968318002),(58.4202725540001 81.5588730030001,58.4555545540002 81.5569270030002,58.4908275540002 81.5588730030001,58.674709555 81.581664003,58.7005455550002 81.5874910030001,58.7172815550002 81.5981730030002,58.6891545550001 81.609709003,58.6488815550002 81.6136000030001,58.5686005550002 81.6144270030001,58.377209554 81.6119270030001,58.3394275540002 81.611100003,58.3063815540001 81.608318003,58.2958275540001 81.5992910030001,58.2996905540002 81.5909270030002,58.2291545540002 81.5787360030001,58.271663554 81.572218003,58.4202725540001 81.5588730030001),(91.9019275860002 77.601927,91.9316545860001 77.5997180000001,91.966381586 77.5999910000001,92.0116545860002 77.6063730000001,92.0291635860002 77.6111000000002,92.0377005860001 77.6262270000002,91.8991545860002 77.659146,91.8474905860002 77.6649910000002,91.8174905860001 77.6672090000002,91.797763585 77.6660910000001,91.777481585 77.6638820000001,91.7602725850003 77.660264,91.7466455850002 77.6547090000001,91.7399815850002 77.6436,91.7494185850002 77.6338820000001,91.7627725850002 77.6285820000002,91.7799815850001 77.6241460000001,91.8366545860001 77.6116460000001,91.9019275860002 77.601927),(82.503600577 77.4588820000002,82.5380365770002 77.4583270000001,82.5602545770001 77.4619270000001,82.5776275770002 77.4702730000001,82.575545577 77.4810910000001,82.503600577 77.4986000000002,82.4674815770002 77.5072180000002,82.4438635770001 77.510273,82.4166545770001 77.5125000000001,82.2736095770001 77.5219270000001,82.2352635770002 77.5213820000001,82.2052635770001 77.519436,82.1676905770001 77.5158090000002,82.1344275760001 77.5113820000001,82.1230275760001 77.5026270000001,82.1383185760002 77.4933180000002,82.1583275770001 77.4894270000001,82.205554577 77.4833180000002,82.503600577 77.4588820000002),(89.142909583 77.1866459990001,89.1678275830003 77.164426999,89.1569365830001 77.1980269990001,89.263318583 77.1894179990001,89.3092815830002 77.1788729990001,89.3219275830003 77.1697089990001,89.3552545830001 77.1683179990001,89.3891635830002 77.168872999,89.4158185830001 77.171099999,89.4622005830001 77.1769269990001,89.485263583 77.1799819990001,89.5641455830003 77.195526999,89.5966455830001 77.2052639990001,89.6222095830003 77.2163819990002,89.6441455830001 77.2285909990002,89.6719185840002 77.2480269990002,89.6541635830001 77.252490999,89.6246905830002 77.254435999,89.5991545830002 77.257217999,89.5813725830002 77.2616549990001,89.5502635830001 77.2710999990002,89.5390185830003 77.279163999,89.5758185830001 77.2824819990001,89.5894275830001 77.2772089990001,89.6111005830001 77.2738819990001,89.6405455830001 77.2716549990001,89.671100584 77.2730359990001,89.6845725840002 77.2810999990002,89.6719185840002 77.290263999,89.6544365830001 77.2947089990001,89.6111005830001 77.301926999,89.5636005830003 77.3083179990001,89.4747005830002 77.3144179990002,89.4408095830002 77.3138729990002,89.3797005830002 77.3113729990001,89.3060905830001 77.3033179990001,89.2827635830001 77.300263999,89.2630455830002 77.2963729990001,89.214427583 77.281935999,89.1763725830002 77.2649999990001,89.1547095830001 77.2527729990001,89.1436005830002 77.238035999,89.1358185830001 77.2049909990001,89.142909583 77.1866459990001),(96.34776359 77.1708179990002,96.3174905900001 77.160263999,96.2844275900002 77.1505459990001,96.2444275900001 77.1416639990001,96.1658185900003 77.1260819990001,96.0811005890001 77.1121999990001,95.7691455890002 77.078045999,95.6255365890001 77.0760999990001,95.5930455890002 77.078045999,95.5299815890001 77.0674909990001,95.4669365890002 77.056926999,95.4041635890002 77.0463729990002,95.3124815890001 77.0249909990001,95.2591545890002 77.011654999,95.2447095890001 77.0060999990001,95.231236589 76.996654999,95.2408185890002 76.9880359990001,95.2627725890002 76.987199999,95.4963725890001 76.991654999,95.6099815890001 76.994426999,95.6402725890001 76.9952549990002,95.6674815890002 76.9969359990002,95.7155455890002 77.001935999,95.7605455890002 77.0080459990002,95.802472589 77.0149999990002,95.8474905890002 77.0210999990001,95.8746905890001 77.0227639990001,95.9049815890001 77.0233179990001,95.9409545890002 77.0183269990001,95.9474815890001 77.008608999,95.9327545890002 77.0030549990002,95.9116545890001 76.9997089990001,95.8877725890002 76.997208999,95.8060905890001 76.992199999,95.7852635890001 76.9888729990003,95.6860905890002 76.9480359990002,95.7124905890001 76.9458179990002,95.9371905890002 76.9760909990001,96.1660905900002 76.9891549990001,96.2655455900002 77.020263999,96.4344185900002 77.0638729990001,96.4555545900001 77.0672179990001,96.5755455900002 77.1302639990002,96.5844275900002 77.1374999990002,96.54123659 77.1905359990001,96.5208545900001 77.2015819990001,96.4924815900002 77.2044359990002,96.4597185900001 77.2063729990002,96.4383095900001 77.202772999,96.4199815900001 77.198317999,96.3597095900003 77.1771999990001,96.34776359 77.1708179990002),(68.5081905640001 76.9537359990002,68.417481564 76.9613819990001,68.3680455640001 76.9569359990001,68.2661005640002 76.9585999990001,68.1258095630001 76.9652729990001,68.1005365630002 76.9702639990001,68.0858185630001 76.9844269990001,68.0608095630001 76.9924819990001,68.0302725630002 76.997208999,68.0008275630001 77.0005459990001,67.9435905630001 77.0052639990002,67.9160905630001 77.006654999,67.7033275630002 77.0127729990001,67.6766545630002 77.0130459990002,67.5969365630001 77.0130459990002,67.5702635630001 77.0130459990002,67.5458185630001 77.010817999,67.3549815630002 76.985535999,67.3316635630002 76.9822089990001,67.2886545630001 76.970490999,67.1030455620002 76.946635999,67.0458185620001 76.9510999990001,67.0183275620001 76.9524819990002,66.9938635620001 76.9499999990002,66.9472095620001 76.9430359990002,66.6824815620002 76.9019269990002,66.6602635620002 76.8972179990001,66.6320005620001 76.8820639990002,66.5974905620002 76.8677549990001,66.501663562 76.857208999,66.4511005620003 76.8547089990001,66.4269275620001 76.852481999,66.405818562 76.8466459990001,66.3852635620001 76.8348459990001,66.1516545620001 76.758326999,66.0522005620001 76.7522089990001,66.0249905610002 76.7533269990002,65.998872561 76.7533269990002,65.9477545610001 76.7488729990001,65.9260905610001 76.744135999,65.8847185610002 76.7324819990001,65.7576185610001 76.6818549990001,65.8044275610002 76.6630359990002,65.832772561 76.6555359990001,65.8869365610002 76.6372089990002,65.9077635610002 76.6260819990002,66.0192275610001 76.5412999990002,65.9744275610002 76.5280459990002,65.9497095610001 76.5269269990002,65.9227635610001 76.527772999,65.6246905610001 76.5680549990001,65.5755455610002 76.5810999990002,65.5486005610001 76.5822179990001,65.5260905610001 76.5785999990001,65.4144275610001 76.5594179990002,65.3884635610002 76.5513729990001,65.3581815610002 76.5135999990001,65.3344275610001 76.5033269990001,65.1613725610002 76.4683179990001,65.1111005610002 76.4669359990002,65.0769365610001 76.4698359990001,65.0671185610001 76.4902549990001,64.9855365610001 76.4941359990001,64.9608185600002 76.492754999,64.9374815600002 76.4902639990001,64.7980365600002 76.4741549990001,64.72082756 76.4477549990002,64.66622756 76.4174909990001,64.4719275600002 76.3924909990001,64.30914556 76.359981999,64.1966365600002 76.3291639990001,64.1772005600002 76.3233179990001,64.1566455600001 76.3183269990001,64.1097095600001 76.3113729990001,64.08553656 76.309981999,64.0599815600002 76.3097089990001,64.0358095600001 76.3130359990001,64.01457256 76.3211089990001,63.8805455590001 76.3380459990001,63.7177635590001 76.3455359990001,63.6947095590001 76.3430459990001,63.5216635590002 76.3116459990002,63.3663905590001 76.2791639980001,63.154163559 76.237763998,63.024990559 76.2149999980002,62.9794275590001 76.2097179980001,62.9047095590001 76.2074909980001,62.8477725590001 76.2308179980001,62.8630455590001 76.247072998,62.8430455590001 76.2580459980001,62.8058275580001 76.2636089980001,62.7575005580001 76.2605459980001,62.7349905580001 76.2580459980001,62.6933185580002 76.2491459980001,62.5455455580002 76.2066459980002,62.5024905580002 76.1766549980001,62.4794275580001 76.1788639980001,62.4272185580002 76.1841459980001,62.3923545580002 76.1898359980001,62.3715815580001 76.2146359980001,62.3069365580001 76.2574909980002,62.1816635580002 76.2541639980002,62.028327558 76.2524909980002,61.9988815580001 76.255554998,61.7850005580001 76.2830549980002,61.7638815580001 76.2877639990002,61.728872557 76.303863999,61.7077725570002 76.3085909990002,61.6794365570001 76.3105269990001,61.6541635570002 76.309981999,61.6299905570001 76.3083179990002,61.6102725570002 76.3033179990002,61.3030455570001 76.282208998,61.1729095570002 76.2783179980001,61.0902725570002 76.2755459980001,61.0663815570001 76.2738819980001,61.0452725570001 76.2699909980002,60.9954095570002 76.2473459980001,60.9049185570001 76.1481089980002,60.9455455570002 76.1369359980001,60.9722095570001 76.1363819980002,60.9972185570001 76.1369359980001,61.0686005570003 76.1419359980001,61.1188815570001 76.1430549980002,61.1561005570001 76.1315819980002,61.0833275570002 76.0749999980001,61.0638815570001 76.0699909980002,60.9444365570001 76.0627639980001,60.8694365570001 76.0610999980001,60.8191635570001 76.0580269980002,60.7951275570001 76.0484549980001,60.7819365570002 76.0258179980001,60.7588815570001 76.0092999980001,60.7291545570001 76.0022089980001,60.7072185570001 75.9994179980001,60.6836005570001 75.9974819980002,60.6586005560002 75.9969359980001,60.6324905560001 75.9974819980002,60.4684635560002 76.0138819980002,60.6463815560002 76.0730459980001,60.7266545570001 76.0910909980001,60.8351275570001 76.1138729980001,60.8088815570001 76.1205269980001,60.5577725560001 76.1271999980002,60.5075005560001 76.1260819980002,60.4602725560001 76.1227549980001,60.2961095560001 76.109417998,60.2741635560001 76.106645998,60.253327556 76.1024819980001,60.0665185560001 76.0570639980001,60.0444455560001 76.0441549980001,60.0694455560001 76.036654998,60.0955455560001 76.0324819980001,60.1219365560002 76.0319359980001,60.1966545560002 76.033872998,60.2566635560002 76.027208998,60.3086005560002 76.0185999980001,60.3434005560002 76.0101999980001,60.3276365560001 75.9931819980002,60.2947185560001 75.988872998,60.2697185560002 75.988308998,60.2433275560001 75.988872998,60.1863815560001 75.9933179980001,60.1616635560001 75.992754998,60.0649905560001 75.988035998,60.0416635560002 75.9863729980001,59.9895725560002 75.9767909980001,59.9644365560001 75.9642909980002,59.7661095560001 75.9294269980002,59.7441545560001 75.926372998,59.6961005560001 75.9238729980001,59.6569365560001 75.9302639980001,59.619436556 75.935526998,59.4650005550001 75.936099998,59.4402725550001 75.935526998,59.4169365550002 75.9335909980001,59.3950005550001 75.9305459980002,59.374709555 75.9266549980001,59.3543005550002 75.9169269980001,59.265000555 75.8855459980001,59.1655455550001 75.8638729980001,59.1452725550002 75.859981998,59.1236005550002 75.8569359980001,59.0741635550002 75.855545998,59.0161095550002 75.8608089980001,58.9883275550001 75.8624909980002,58.9374005550001 75.8621089980002,58.892772555 75.8572089980001,58.7894365550001 75.838881998,58.769436555 75.8347179980001,58.5677725550001 75.7683269980001,58.5433275550001 75.7581909980001,58.5158275540001 75.7238729980001,58.232490554 75.6891459980002,58.1105455540001 75.6833179980001,58.0863815540002 75.6824819980002,58.0436095540001 75.6802639980002,57.9922185540001 75.671508998,57.9591635540002 75.6584549980001,57.9344365540002 75.644990998,57.9261095540002 75.6255359980001,57.9558275540002 75.6185909980001,57.984718554 75.6160909980002,58.0458815540002 75.6176179980001,58.1013905540001 75.6233089980002,58.1258275540001 75.6241459980002,58.1530455540001 75.6227549980002,58.1933185540002 75.602408998,58.181381554 75.5779089980001,58.154163554 75.569990998,58.1240275540001 75.5698549980002,57.9608275540002 75.5635999980001,57.6505455540001 75.5316639980002,57.6297185540001 75.5285909980001,57.5713815540002 75.5160999980001,57.5122185540001 75.4941459980001,57.545000554 75.4516639980002,57.6227725540001 75.4427549980001,57.654990554 75.4266549980001,57.7330455540002 75.3480359980001,57.7372095540001 75.3230459980001,57.7116635540001 75.3233179980001,57.581663554 75.3272089980001,57.5547095540001 75.3285999980001,57.5305455540001 75.331372998,57.4283185530001 75.3547089980001,57.2619365530002 75.3735999980001,57.079436553 75.388881998,57.0522185530002 75.3902729980002,57.0283275530002 75.3894359980002,56.8694365530001 75.3597089980001,56.8415185530002 75.3527639980001,56.7555545530002 75.3163729980001,56.7323455530001 75.2982459980002,56.7513905530001 75.2841459980001,56.7797185530001 75.2816639980001,56.8052635530001 75.2813729980002,56.8288815530001 75.282208998,56.8511095530002 75.2844269980001,56.8752635530002 75.2813729980002,56.9056815530001 75.2652639980001,56.9082545530001 75.236863998,56.8636095530001 75.2155459980001,56.8224905530002 75.209154997,56.7973545530002 75.2005359970001,56.7613815530002 75.1819269970001,56.6669365530002 75.1291459970002,56.640409553 75.1145639970002,56.5093005530002 75.0672089970001,56.4805455530001 75.061372997,56.4593635530002 75.0682459970001,56.4674905530001 75.1035909970001,56.3840185530001 75.1791549970001,56.354709552 75.1891459970002,56.324854552 75.183872997,56.2847185520002 75.1685909970001,56.2397185520002 75.1547089970002,56.2099905520002 75.1494269970001,56.1883275520001 75.1472179970001,56.1613725520001 75.1486089970001,56.139990552 75.153045997,56.1194365520002 75.186099997,56.0997185520001 75.209717997,56.0786095520001 75.2141549980001,56.0558275520002 75.215817998,56.0338815520001 75.2138819980001,55.9256815520001 75.1938639970001,55.8033275520002 75.1494269970001,55.7463815520002 75.1066459970002,55.7288815520001 75.0762359970002,55.7516635520001 75.0727729970002,55.7886095520003 75.0813729970002,55.8086005520001 75.084717997,55.8555545520001 75.086654997,55.8805455520002 75.086381997,55.9173545520002 75.0817909970001,55.9398545520002 75.0645729970001,55.8983275520001 75.026654997,55.8616635520002 74.995535997,55.8891635520002 74.9885909970001,55.9872095520001 74.9891549970002,56.0105545520001 74.9899729970002,56.0538815520001 74.9944269970001,56.0741635520001 74.9974819970001,56.1111095520001 75.0063819970002,56.2163815520001 75.0208269970001,56.4188815530002 75.0349909970001,56.442490553 75.0322089970002,56.4726275530001 75.0127729970002,56.4526275530001 75.0024909970001,56.423327553 74.9972089970001,56.4013815530002 74.9949819970002,56.3644365520002 74.986372997,56.2961095520002 74.9580359970002,56.4344365530001 74.950817997,56.4875005530002 74.9483179970001,56.5122185530001 74.948026997,56.5355545530002 74.9488639970002,56.5758275530001 74.955263997,56.6313815530002 74.968317997,56.6611005530001 74.9665179970002,56.6759635530001 74.9488089970001,56.5216635530001 74.9169269970002,56.4797095530002 74.9116549970001,56.4349905530001 74.9085999970001,56.3830455530002 74.9138819970001,56.341381552 74.9085999970001,56.3213815520001 74.9055459970002,55.9205455520001 74.8422089970001,55.8349905520002 74.8247179970001,55.8177005520001 74.804499997,55.9136095520001 74.778590997,55.9386005520002 74.7746999970001,55.9880455520002 74.7744269970001,56.059990552 74.776926997,56.1047095520001 74.7799819970002,56.1733275520002 74.7919269970001,56.2024905520001 74.797208997,56.2255455520001 74.7983269970001,56.2997185520001 74.7977639970001,56.3241635520001 74.7974819970002,56.4843005530001 74.7930359970001,56.5502905530001 74.733426997,56.5744365530001 74.7230359970001,56.5765185530001 74.7040089970001,56.6005455530002 74.693590997,56.6266545530002 74.692199997,56.7297095530001 74.6880359970001,56.7640185530001 74.6892819970002,56.8105455530001 74.6994179970001,56.8305545530002 74.7027729970002,56.8997185530001 74.7055549970001,56.9224905530001 74.7063729970001,56.9458275530001 74.703326997,56.9845815530002 74.6871459970002,56.7858275530002 74.6735999970001,56.7611095530001 74.6735999970001,56.6111095530001 74.6771999970001,56.5849905530001 74.6785909970001,56.4972185530001 74.6894179970001,56.4220455530002 74.7059459970002,56.3886005530001 74.7185999970002,56.3030455520001 74.7102639970002,56.1747095520001 74.6977549970001,56.0330545520001 74.6774729970001,55.9845815520001 74.6687359970002,55.9558275520002 74.6633179970001,55.914709552 74.6577639970001,55.8902725520001 74.6580359970002,55.8649905520001 74.6638729970002,55.8480455520001 74.6808179970001,55.7977725520001 74.688581997,55.773327552 74.6888729970001,55.6781815520001 74.6787359970002,55.648609552 74.6738729970002,55.5716635520001 74.6597179970001,55.5281905520001 74.6474819970001,55.4979095520002 74.5690179970001,55.5269365520001 74.5621909970001,55.7061005520001 74.551926997,55.9044365520002 74.546935997,56.0083275520002 74.5416549970001,56.0370725520002 74.5349909970001,56.0755545520001 74.5144359970002,56.0250635520001 74.4945639970002,56.1352725520001 74.488872997,56.2027725520002 74.497481997,56.2336095520001 74.501099997,56.2580455520001 74.501099997,56.2813815520002 74.487545997,56.2497185520002 74.475817997,56.161936552 74.4697089970002,56.0502725520001 74.4636089970001,55.8930545520001 74.455554997,55.4369365520001 74.4394179970001,55.415545552 74.4410819970001,55.364436552 74.434699997,55.3233275520002 74.4213729970001,55.2343005510002 74.3660909970002,55.2588905510001 74.3588729970002,55.3166635520002 74.3519269970001,55.4197185520001 74.347217997,55.5444455520002 74.3369269970001,55.6649905520002 74.3260999970001,55.7418635520001 74.2928269970001,55.7034635520001 74.2679179970002,55.6690185520001 74.2722089970002,55.558327552 74.2847179970001,55.3980455520002 74.2797089970001,55.3069365520003 74.2766549970002,55.2686005510002 74.2869269970001,55.2526365510001 74.301372997,55.2166635510002 74.3046999970002,55.0752725510001 74.2613819970002,55.1302725510002 74.2380359970001,55.1558185510002 74.2369269970002,55.1783275510001 74.2377639970002,55.2197095510001 74.242199997,55.2422185510002 74.2433179970001,55.2661095510002 74.2433179970001,55.295000551 74.2396999970001,55.5244365520002 74.2055549970001,55.5894275520002 74.192745997,55.6168635520002 74.1842089970001,55.628718552 74.1612089970001,55.6733275520001 74.149717997,55.727209552 74.1449909970001,55.7527815520002 74.1435999970001,55.7763815520001 74.1435999970001,55.8113815520001 74.1387359970002,55.8620005520002 74.1081819960002,55.8250005520001 74.0980359960002,55.7997185520001 74.0994269960001,55.6686005520001 74.1155359960001,55.4199905520001 74.137499997,55.3674905520001 74.1410999970002,55.2677725510001 74.151381997,55.2474905510001 74.1558179970001,55.2233185510001 74.1724819970001,55.203181551 74.1801179970002,55.166381551 74.1860999970001,55.1438815510002 74.1849819970001,55.0212455510001 74.1724819970001,54.7500005510001 74.0883179960001,54.6936005510002 74.0697179960001,54.590618551 74.0080459960001,54.6324905510002 73.9985999960002,54.6563815510002 73.9985999960002,54.7002725510001 74.0008269960001,54.7558275510001 73.9952549960001,54.7761005510001 73.990817996,54.8002725510001 73.9772729960002,54.5497185510001 73.9480269960001,54.5024905510001 73.9480269960001,54.4805455510001 73.9469269960001,54.4602725510002 73.9444269960002,54.3805455510002 73.9344179960002,54.343045551 73.9277639960001,54.2497185510001 73.9108089960002,54.21582755 73.901654996,54.08471855 73.8621999960001,54.0650635500002 73.845817996,54.0377725500001 73.8202639960001,53.9416545500002 73.7896999960002,53.89860055 73.7788819960002,53.8491635500001 73.772490996,53.82582755 73.772490996,53.8008275500001 73.7736089960002,53.7458275500002 73.7788729960002,53.7172095500001 73.7856819960001,53.6841545500001 73.8046999960002,53.6501275500001 73.8031089960002,53.6327005500002 73.758945996,53.6711095500001 73.735535996,53.7602725500001 73.7165179960002,53.7969455500001 73.7041639960001,53.9365635500001 73.6437729960001,53.9563815500001 73.6266459960001,54.0608185500002 73.605817996,54.1877635500002 73.6047089960001,54.2655455510001 73.6055459960001,54.397072551 73.6388819960002,54.4311095510002 73.6558179960001,54.4581815510002 73.6767909960001,54.4934635510002 73.695399996,54.5422185510002 73.7022089960001,54.8552725510001 73.7277639960002,54.9897185510002 73.7130459960001,55.1738815510001 73.711099996,54.821663551 73.6588729960001,54.751936551 73.6588729960001,54.7142275510001 73.641999996,54.6672095510001 73.623308996,54.6302725510001 73.6166549960002,54.5686005510001 73.6110999960001,54.4769365510001 73.5922089960001,54.3747095510001 73.5660819960002,54.350409551 73.5588729960002,54.2466545510002 73.509717996,54.2452725510001 73.4780459960001,54.2930545510002 73.4638819960001,54.3329095510002 73.458599996,54.2988815510002 73.4172089960001,54.274018551 73.4105359960001,54.2380455510001 73.4116549960001,54.1952635500001 73.4094269960002,54.0980455500002 73.3966549960002,54.0599905500001 73.3910999960001,54.03694555 73.3831819960001,54.0463815500001 73.365117996,54.2142905500002 73.3241549960001,54.2994365510001 73.3319359960001,54.3358275510002 73.3388819960002,54.3672095510001 73.3488729960001,54.4288815510001 73.3705269960001,54.4755455510002 73.3863819960001,54.5072185510001 73.3963819960001,54.5354095510001 73.400963996,54.8016545510002 73.4324819960001,54.8611095510001 73.4391459960001,54.9041635510001 73.4410819960001,54.9716545510001 73.442199996,54.9977725510003 73.4399729960002,55.021381551 73.4360999960002,55.1788815510001 73.407763996,55.1986005510001 73.4033179960001,55.2297095510001 73.3938729960002,55.2844365510001 73.3735999960001,55.3075005520002 73.3633089960001,55.3438815520001 73.350535996,55.3922185520001 73.339154996,55.4180545520001 73.336926996,55.4411005520002 73.3366549960001,55.5552635520002 73.3380459960001,55.576381552 73.339154996,55.6161095520002 73.3435999960001,55.6588815520001 73.3455359960001,55.7491635520001 73.3463729960002,55.7969455520002 73.3410909960002,55.839709552 73.332763996,55.8705455520002 73.3230459960001,55.9049905520002 73.3069269960001,55.9266545520002 73.3041549960001,55.9801545520001 73.326908996,55.9829905520001 73.3674819960001,55.975409552 73.3920729960001,55.9258275520001 73.4160909960002,55.8780455520001 73.4340089960002,55.9077725520002 73.4402639960002,55.9724905520001 73.4308179960001,56.0091635520002 73.4185909960001,56.0331905520002 73.3983179960001,56.0347185520001 73.3477639960002,56.0411095520001 73.324435996,56.0633275520001 73.307208996,56.0899905520001 73.2972089960002,56.1286005520001 73.2880359960001,56.1561005520002 73.284717996,56.203045552 73.2830549960001,56.2244365520002 73.2841459960001,56.247218552 73.2838729960001,56.2958275520002 73.2813729960002,56.3930545530001 73.2760909960001,56.4716545530001 73.2674909960002,56.5180545530001 73.2594269960002,56.5450005530001 73.2558269960002,56.5708275530001 73.2533269960001,56.7188815530001 73.242754996,56.7495815530002 73.2452639960002,56.7480455530001 73.3333179960001,56.7580545530001 73.3602639960001,56.787500553 73.3638729960001,56.8555545530002 73.3385909960001,56.9063815530001 73.308872996,56.977763553 73.3383179960001,57.0363815530001 73.3635999960001,57.2274815530001 73.4502729960001,57.2524905530001 73.4912359960001,57.147100553 73.5229549960001,57.1206095530002 73.530035996,57.0046095530001 73.557035996,56.9092725530002 73.5737089960001,56.7888905530001 73.5938729960001,56.755127553 73.598726996,56.727009553 73.6715089960002,56.7636095530002 73.6777639960001,56.7899905530002 73.6752639960001,56.8172185530001 73.6683179960002,56.842909553 73.6483179960001,56.9525725530001 73.6180999960002,57.053072553 73.5865179960001,57.0929905530001 73.5809359960001,57.1649905530002 73.572681996,57.3280455530002 73.5499909960001,57.3511095530001 73.549708996,57.586109554 73.6105359960001,57.604718554 73.6192819960001,57.6136095540001 73.662199996,57.5837455540002 73.7009549960001,57.4816545540001 73.7552639960001,57.3613815530001 73.8142909960001,57.3305545530001 73.8241549960001,57.287772553 73.8249909960001,57.2386005530001 73.8183269960001,57.0847185530002 73.8299909960002,57.0586005530002 73.8324909960001,56.9833275530002 73.8405459960001,56.8627725530001 73.8497179959999,56.7452725530002 73.850817996,56.6983275530001 73.8513819960002,56.6744365530001 73.8552549960002,56.5678365530001 73.8801179960001,56.6677725530001 73.8819269960001,56.7352635530002 73.8691359960001,56.7616635530001 73.8666549960001,56.8116635530002 73.864154996,56.9305455530001 73.8635999960001,56.9524905530002 73.8646999960002,57.0463905530002 73.8635999960001,57.171109553 73.8566459960001,57.2738815530002 73.8485999960002,57.4027725530001 73.8383179960001,57.4263815530001 73.8341549960001,57.4891545540002 73.8211089960002,57.5086095540001 73.816372996,57.5988725540002 73.7738819960001,57.6125005540001 73.7590179960001,57.6216545540001 73.7406729960002,57.6974905540002 73.7127729960001,57.724163554 73.7152639960001,57.7572185540001 73.7255359960001,57.9137455540001 73.7849909960001,57.9394365540001 73.7995729960002,57.9116635540002 73.9155459960001,57.8891635540002 73.9263729960001,57.8084635540001 73.9538819960002,57.7616635540002 73.9652729960001,57.7305455540001 73.9752639960003,57.6727635540001 73.9952549960001,57.627209554 74.0166639960001,57.5744365540002 74.043590996,57.5543005540002 74.0576179960001,57.5247095540001 74.064417996,57.3497185530002 74.0733179960001,57.278600553 74.0741549960001,57.2575005530002 74.0760999960001,57.2822185530002 74.0841549960001,57.3124905530001 74.0877729960001,57.3363815530001 74.087490996,57.3616635530001 74.0861089960001,57.4149905530001 74.080826996,57.443045553 74.0772089960002,57.4683185540001 74.0758179960002,57.4905455540002 74.0766639960002,57.5181905540001 74.082490996,57.5290185540002 74.1015089960001,57.519718554 74.1198459960002,57.4699815540001 74.1438729970001,57.4147095530001 74.179563997,57.4608275540001 74.1841459970001,57.5086095540001 74.1833179970001,57.533881554 74.1819269970001,57.5595725540001 74.1748459970001,57.604718554 74.1374819970002,57.6327635540002 74.1080359960001,57.7063815540001 74.0574819960001,57.7254095540001 74.0497089960002,57.9172095540002 74.004435996,57.9449905540001 74.0008269960001,58.1150005540001 73.9833179960002,58.1358275540001 73.985263996,58.2166545540002 74.0073549960002,58.1972095540001 74.0447089960002,58.1734635540002 74.050954996,58.1394365540001 74.0763819960001,58.1368005540002 74.1370819960002,58.1605455540002 74.142490997,58.2080455540001 74.1416639970001,58.2319365540002 74.137499997,58.2516635540001 74.1330459960002,58.2981545540001 74.1037639960002,58.329163554 74.0909549960001,58.3847185540001 74.1310909960001,58.3584365540002 74.150981997,58.3192725540002 74.1553999970001,58.265136554 74.1731729970001,58.2528545540002 74.1924819970002,58.2798545540001 74.2178999970001,58.3108185540002 74.2213729970002,58.3305545540002 74.2166639970001,58.3572185540001 74.2022089970001,58.3815455540002 74.1906549970002,58.4838815540001 74.1683179970001,58.5063815540001 74.1652639970001,58.5763815550001 74.1748459970001,58.7241635550001 74.235808997,58.7427635550002 74.2669359970001,58.7222095550001 74.3030359970001,58.6616635550001 74.3219269970002,58.6249905550002 74.3630359970002,58.6125005550002 74.405817997,58.6138815550001 74.4277639970001,58.4244365540002 74.4997089970001,58.3230545540001 74.5160999970002,58.262772554 74.5297089970002,58.1813725540002 74.5567359970001,58.1919455540001 74.5752359970002,58.2247095540001 74.5766639970002,58.2491635540002 74.572490997,58.3424905540001 74.5552549970002,58.3884635540001 74.5437269970001,58.4141545540001 74.5363729970002,58.5558275550001 74.5147089970001,58.6627635550002 74.5052639970002,58.7169365550002 74.4997089970001,58.7361005550001 74.4919269970001,58.7487455550001 74.4740179970001,58.7836095550001 74.461108997,58.885827555 74.4472089970001,59.0277725550001 74.4394179970001,59.0519365550001 74.4388729970001,59.1472185550002 74.438581997,59.0931815550002 74.483245997,59.1219365550002 74.5413639970001,59.1395725550001 74.5524819970001,59.1891545550002 74.5763819970001,59.2876365550001 74.6413819970002,59.2356815550002 74.6752639970001,59.1874905550002 74.6933179970002,59.1694455550002 74.7197089970001,59.2252635550002 74.705263997,59.3722185550001 74.6672089970002,59.3991635550001 74.6569359970001,59.4883275550002 74.6263729970001,59.5347185550002 74.611372997,59.5744365550001 74.6021999970001,59.598600556 74.597763997,59.6555455560001 74.5899819970001,59.6825005560001 74.5871999970001,59.7083275560001 74.5855359970001,59.7637455560001 74.5890089970001,59.8713095560001 74.6247729970001,59.869572556 74.6808179970001,59.7758275560002 74.7174819970001,59.7516635560002 74.7216459969999,59.7258185560001 74.7233089970001,59.7024905560002 74.7227639970001,59.6522095560001 74.7246999970001,59.6277725560002 74.7291549970001,59.6052725560002 74.7399729970001,59.5099905550001 74.7949819970002,59.5372185550002 74.792208997,59.5861095550001 74.783599997,59.6174905560002 74.7736089970001,59.7224905560001 74.7419269970001,59.9374905560001 74.7180459970002,59.9852635560001 74.7183179970001,60.0069455560002 74.7199819970001,60.050545556 74.7235999970002,60.243045556 74.7430459970001,60.273190556 74.7479089970001,60.3186005560001 74.760545997,60.3674905560002 74.7863729970001,60.3408275560001 74.8030359970001,60.261663556 74.8174909970001,60.2037365560001 74.8464459970002,60.246654556 74.8591459970001,60.3922185560002 74.8580359970001,60.4894365560002 74.856935997,60.5127725560001 74.8574819970001,60.5350005560002 74.859417997,60.5555455560001 74.8621999970002,60.582636556 74.8698459970001,60.6825005570002 74.927208997,60.6627635560002 74.9444269970001,60.6294365560002 74.9608179970002,60.609436556 74.965545997,60.583327556 74.9672089970002,60.418881556 74.9630459970001,60.276936556 74.964426997,60.1541635560002 74.966090997,60.104709556 74.9669359970001,60.075554556 74.9708269970002,59.930200556 74.997272997,59.9902725560002 75.001935997,60.0166635560001 74.9999999970001,60.1036095560002 74.9883089970002,60.1311005560001 74.9855359970001,60.1547095560001 74.9860999970002,60.297772556 74.9960909970001,60.425272556 75.0113819970002,60.4582545560001 75.0235999970002,60.4394365560001 75.040545997,60.4424905560002 75.062763997,60.4888815560003 75.1102639970002,60.5158275560001 75.1141549970001,60.6016545560001 75.1001909970002,60.568327556 75.0569179970002,60.587490556 75.0363729970001,60.6152725560001 75.0291639970001,60.6686005570001 75.0208269970001,60.693600557 75.020263997,60.7158275570001 75.0219269970002,60.7366545570001 75.0249909970001,60.7605545570001 75.0335909970001,60.8052635570001 75.0808179970001,60.7730455570001 75.0938729970001,60.7497185570001 75.101517997,60.8108185570002 75.1369359970001,60.8358275570001 75.1469359970001,60.8647185570001 75.153590997,60.885827557 75.1563729970002,60.9691545570001 75.1688729970001,61.1105455570001 75.196363997,61.1477725570001 75.2066459970001,61.1729095570002 75.2166549980002,61.2402725570001 75.2497089980002,61.3020725570001 75.2949819980001,61.2832545570002 75.3183179980001,61.3811005570001 75.3305549980002,61.3891635570001 75.282481998,61.3833275570002 75.2509639980001,61.3973545570001 75.2363729980001,61.4216545570001 75.2256819980001,61.4583275570002 75.219145998,61.482209557 75.2194359980001,61.5143005570001 75.223872998,61.6502725570001 75.2791639980002,61.6774905570001 75.3158089980001,61.6872095570001 75.337772998,61.6986005570002 75.3671999980002,61.8541635580002 75.3819269980001,62.0177725580001 75.4406729980001,62.1438815580001 75.4494179980002,62.1705455580001 75.4477549980001,62.2169365580001 75.432208998,62.241109558 75.4327549980001,62.2819365580002 75.4405359980001,62.3890185580002 75.468881998,62.517772558 75.4980269980001,62.5380455580002 75.5019359980002,62.5816635580001 75.5074909980001,62.7430455580001 75.5183269980001,62.7852725580002 75.5246999980001,62.8058275580001 75.5285909980001,62.9674905590001 75.562763998,62.9941635590001 75.572626998,63.022500559 75.5855459980001,63.0811095590001 75.586381998,63.1080455590002 75.5844269980001,63.1858185590002 75.5808269980001,63.2591635590002 75.5819359980002,63.2822095590001 75.5833269980002,63.3044365590002 75.5861089980002,63.3250005590002 75.5899819980002,63.4880455590002 75.6235999980001,63.5373545590001 75.636090998,63.616518559 75.6906089980001,63.5808275590001 75.7022089980001,63.5562455590002 75.7066459980001,63.581936559 75.7108179980001,63.629990559 75.7124909980001,63.6555455590001 75.7116549980001,63.6763815590001 75.7006549980002,63.7138815590001 75.6716459980001,63.8111005590002 75.6544359980001,63.833190559 75.6644269980001,63.8636095590002 75.6713729980001,64.1149905600003 75.7174819980001,64.1386005600001 75.7188729980001,64.1877635600002 75.7194359980002,64.3730275600001 75.7330459980002,64.54026356 75.755263998,64.7352635600002 75.7849909980001,64.8455365600002 75.7999909980001,64.9216455600001 75.7983269980001,64.9755365610002 75.7941459980001,65.0002725610001 75.7941459980001,65.0238815610001 75.795535998,65.1366545610001 75.8080269980001,65.1662365610001 75.8269269980001,65.1924725610002 75.8413729980001,65.2130455610001 75.8460999980002,65.4088725610002 75.8796999980001,65.7433185610001 75.9235999980001,65.972490561 75.9466359980001,66.022490561 75.946926998,66.2063725620001 75.9652729980001,66.4077635620002 75.992754998,66.4516635620002 75.9997089980001,66.4727635620002 76.0044359980002,66.5755455620001 76.0302729980001,66.6577635620001 76.0513729980001,66.6797005620001 76.0549819980001,66.7030455620001 76.057481998,66.8486005620002 76.0663729980001,66.8708185620002 76.0699909980002,66.9169275620001 76.0747089980001,67.0347095620002 76.084154998,67.1013815620002 76.094708998,67.2505455630002 76.1271999980002,67.393327563 76.1680459980001,67.4138815630002 76.1735999980001,67.4566455630002 76.1830459980001,67.4791545630001 76.1863729980001,67.5258185630001 76.1910819980001,67.7086005630001 76.215272998,67.9294275630001 76.255554998,67.9974815630001 76.2658269980001,68.0916635630002 76.2746999980001,68.1899725640001 76.2791639980001,68.2661005640002 76.2788729980001,68.2908185640002 76.2799819980002,68.318590564 76.2880359990001,68.2908185640002 76.2991459990001,68.2130455640001 76.3272089990002,68.3983275640001 76.3641549990002,68.8611005640002 76.5419269990002,68.8672005640001 76.5744359990002,68.8136005640001 76.5772089990001,68.7894275640002 76.5849909990001,68.8563725640001 76.6566459990001,68.8877725640001 76.6699819990002,68.9313635640002 76.7827639990001,68.7555545640002 76.8344269990001,68.6863725640002 76.8758089990001,68.5081905640001 76.9537359990002),(96.0291635890002 76.8858179990002,96.0613725890003 76.8838819990002,96.2219275900001 76.8858179990002,96.2774815900002 76.896381999,96.3133095900002 76.905254999,96.3427545900002 76.9158179990001,96.3432455900002 76.9165459990001,96.3486005900002 76.9241459990001,96.3010905900001 76.930817999,96.21304559 76.9380359990002,96.1871905900001 76.9383089990001,96.0433185890002 76.928863999,95.9536005890001 76.9169269990002,95.9427455890001 76.9063729990002,95.9902635890002 76.8938729990001,96.0291635890002 76.8858179990002),(97.7399725910003 76.8127639990002,97.8516545910001 76.7660999990001,97.8699815910002 76.770263999,97.8972185910002 76.7819359990002,97.9038725910002 76.7899819990001,97.9267905910003 76.828745999,97.9194365910002 76.8383179990001,97.8961005910001 76.841935999,97.7941455910001 76.8444359990001,97.7644365910002 76.8397089990002,97.7444275910001 76.8327639990002,97.7358095910002 76.826381999,97.7294275910001 76.8183269990001,97.7399725910003 76.8127639990002),(97.6158185910002 76.7763819990001,97.5686005910003 76.777481999,97.5058275910001 76.777208999,97.1313635900001 76.7699909990002,97.1051275900002 76.7641639990002,97.1766545910002 76.7513909990001,97.2399725910001 76.7472089990001,97.3324905910001 76.7477549990002,97.3594185910001 76.7494179990001,97.3827545910002 76.7458179990001,97.4397005910001 76.7335999990001,97.493863591 76.7466459990002,97.5177635910001 76.7488729990001,97.5474815910001 76.7494179990001,97.6005365910002 76.7466459990002,97.6158185910002 76.7763819990001),(97.370818591 76.7149999990002,97.3580365910001 76.6927459990001,97.3174905910001 76.6031819990001,97.5199905910001 76.5808269990002,97.5463725910002 76.5822179990001,97.5702635910002 76.5847179990001,97.5880455910001 76.5888819990001,97.5941455910002 76.5972179990001,97.4511005910001 76.709426999,97.4405365910002 76.7149999990002,97.4197095910002 76.7166639990002,97.3947185910001 76.717481999,97.370818591 76.7149999990002),(94.0608095880002 76.603045999,93.9518095870001 76.6098179990001,93.9219185870002 76.6077549990001,93.8986095870001 76.605254999,93.8849905870002 76.5997179990002,93.872200587 76.5891549990002,93.8824725870001 76.5813729990001,94.142763588 76.5730459990001,94.3399815880001 76.5699909990001,94.3572095880002 76.5744359990002,94.3455365880002 76.579708999,94.3219275880002 76.5830549990001,94.2941455880002 76.5855359990001,94.0608095880002 76.603045999),(95.8999905890001 76.6099819990002,95.9527725890002 76.6072089990001,95.9816545890001 76.6180459990002,96.0052635890001 76.6208179990001,96.1641545900001 76.6183179990001,96.1916545900001 76.6158179990001,96.2150005900002 76.6124909990001,96.2422005900002 76.6097089990001,96.3586005900002 76.630817999,96.4711005900002 76.6942819990001,96.4640815900001 76.7060089990002,96.4119275900002 76.703872999,96.3094185900003 76.7041639990001,96.1869185900001 76.6908089990002,96.1722095900001 76.6855269990002,96.1047635900002 76.6708639990002,96.0942725890001 76.6682089990001,96.0725005890001 76.670290999,96.0274815890003 76.6713729990002,96.0000005890002 76.6738729990001,95.9733095890002 76.6722089990001,95.9322095890002 76.6652639990001,95.9147005890001 76.6608089990001,95.9002725890001 76.6555459990002,95.8919365890002 76.6480359990002,95.8905455890001 76.6178999990002,95.8999905890001 76.6099819990002),(94.9466365880001 76.640545999,95.0260905880002 76.6455359990001,95.0913725890002 76.645263999,95.1985905890002 76.6419359990001,95.231372589 76.6416639990002,95.2608185890002 76.6422089990002,95.2844275890001 76.6449909990001,95.3047005890001 76.6486089990001,95.3244365890001 76.657072999,95.239972589 76.6683179990002,95.2247005890001 76.6730359990001,95.1330455890002 76.7027729990002,95.1216455890002 76.7080359990001,95.1240815890001 76.7123549990002,95.082763589 76.6858089990002,95.0716545890002 76.6794269990001,95.0513725890002 76.675808999,95.0266545890003 76.6774729990001,95.0030545880001 76.6808179990001,94.9752635880001 76.6833179990002,94.9599905880001 76.6822089990001,94.8755365880002 76.6688729990001,94.834990588 76.6616549990001,94.820827588 76.656099999,94.8147095880001 76.6455459990002,94.823609588 76.6361089990001,94.8391545880002 76.6313639990001,94.853045588 76.6299729990001,94.8824725880002 76.630817999,94.9230365880002 76.6380459990002,94.9466365880001 76.640545999),(95.5327635890001 76.6460999990001,95.6819275890002 76.645263999,95.7116545890001 76.6458269990002,95.8313815890001 76.6817819990001,95.8166635890002 76.690263999,95.7347095890002 76.693863999,95.7022095890002 76.6941359990001,95.6847095890001 76.6896999990001,95.6484545889999 76.6734179990001,95.6266455890001 76.6672089990001,95.5988725890002 76.6699819990002,95.5836005890001 76.6746999990002,95.5724905890001 76.6799819990002,95.5526185890001 76.6949819990002,95.5438725890002 76.7044359990001,95.5130455890002 76.7138819990002,95.4833185890001 76.7133179990001,95.4260905890001 76.7033269990001,95.4127635890002 76.6997089990001,95.4383095890001 76.6702549990001,95.4506815890003 76.6574819990001,95.4736005890002 76.650545999,95.4972095890001 76.6472179990002,95.5327635890001 76.6460999990001),(96.8258185900002 76.339708999,96.7380365900002 76.253326998,96.7111095900001 76.213608998,96.7160905900002 76.1997089980001,96.7236005900002 76.1791549980002,96.7341455900001 76.1735999980001,96.7588815900001 76.1735999980001,96.8727005900001 76.2006639980001,97.0180545900001 76.2297089980002,97.0383185900001 76.2330459980001,97.0277725900001 76.2385909980001,96.94552759 76.2535999980001,96.9227635900001 76.2572179980001,96.89037259 76.253399998,96.8817005900002 76.247145998,96.8678635900002 76.2396549980002,96.8420365900002 76.229826998,96.8275365900002 76.2273269980001,96.8383185900002 76.2586089980001,96.84693659 76.2660999980001,96.8583185900002 76.2722179980001,96.88136359 76.2746999980001,96.9394185900001 76.275817998,96.9713725900002 76.2755459980001,96.9974815900001 76.277208998,97.0322095900002 76.2858089990001,97.0730455900002 76.3030359990001,97.0385905900002 76.3408179990001,97.0216545900001 76.3422089990002,96.8827545900002 76.3494269990002,96.8577545900002 76.3494269990002,96.8344275900001 76.3469359990001,96.8258185900002 76.339708999),(96.3394275900002 76.303863999,96.3074815900002 76.3041549990001,96.2611095900002 76.2991459990001,96.2238725900002 76.2910909990001,96.0435905890001 76.2774819980002,95.8102545890002 76.298326999,95.7852635890001 76.298326999,95.7172095890002 76.2805459980001,95.700000589 76.275817998,95.5684905890001 76.2540999980002,95.5333275890002 76.2538729980001,95.4935905890002 76.2763819980001,95.478590589 76.2810999980001,95.377763589 76.2852639990001,95.345827589 76.285535999,95.3197185890002 76.2838729980002,95.3119185890001 76.2763819980001,95.2636095890002 76.2130459980002,95.2935905890003 76.2035999980002,95.3124815890001 76.199417998,95.3355365890001 76.1960909980001,95.3702545890001 76.1949729980001,95.4019275890001 76.1949729980001,95.4794275890002 76.1997089980001,95.5312095890001 76.2008269980003,95.5649905890002 76.2002729980001,95.6337815890002 76.1947999980002,95.6676275890001 76.185254998,95.7005455890002 76.1727639980002,95.716381589 76.169708998,95.8113725890001 76.1569359980001,95.8380455890001 76.154435998,95.9785905890003 76.1466549980001,96.0102725890001 76.1463819980001,96.1452635900001 76.1524819980002,96.1769275900002 76.1522089980002,96.1997095900001 76.148881998,96.2502725900002 76.1283089980001,96.3191545900001 76.1038639980001,96.3338815900002 76.0988729980001,96.3505365900002 76.097490998,96.3674815900001 76.1019269980002,96.3944365900002 76.1433269980001,96.4058185900001 76.1658179980001,96.3844275900001 76.1766549980001,96.3097095900002 76.1930359980001,96.3508185900002 76.2558269980001,96.3622005900001 76.2622089980001,96.3763725900001 76.2677639980001,96.3994275900001 76.2702639980002,96.4255365900001 76.2719269980001,96.4494185900001 76.2699909980002,96.4641545900001 76.2652729980001,96.5399815900001 76.2344179980001,96.5513725900001 76.224699998,96.5344275900001 76.2102639980002,96.52261859 76.1898459980001,96.53610059 76.1591459980002,96.5466455900001 76.1535909980001,96.5691545900002 76.1502729980002,96.5944275900002 76.156099998,96.6494275900002 76.2488729980001,96.6451365900001 76.2609639980001,96.36638159 76.3010909990001,96.3394275900002 76.303863999),(97.3372815910002 76.1020819980001,97.202209591 76.0863819980001,96.7669365900001 76.028045998,96.7269275900001 76.0210999980002,96.7099905900001 76.0166639980001,96.6951185900001 76.0074909980002,96.7023455900002 75.9867819980002,96.7199815900001 75.9788639980002,96.7383095900003 75.9746999980001,96.7669365900001 75.975263998,96.8919365900001 75.983872998,96.9147005900002 75.9863729980001,97.0260905900002 75.9999999980001,97.0658095900001 76.006945998,97.0830545900002 76.011381998,97.1144275900002 76.0210999980002,97.3124815910001 76.086926998,97.3269365910001 76.0924819980002,97.3372815910002 76.1020819980001),(94.8630365880001 76.1822089980001,94.9974815880001 76.2691459980001,94.9347095880002 76.2838729980002,94.9155455880002 76.2877639990002,94.899718588 76.2849909990001,94.8919365880002 76.2774819980002,94.8783095880002 76.2719269980001,94.8477635880001 76.2622089980001,94.8080275880002 76.254990998,94.751009588 76.2541639980002,94.7877635880001 76.2252639980002,94.802200588 76.2127729980001,94.7894275880001 76.2091549980001,94.7605455880001 76.2083269980001,94.6369365880003 76.215545998,94.5361005880002 76.2255359980001,94.5169365880002 76.229426998,94.4938635880001 76.2324819980001,94.4749905880002 76.2305459980002,94.4416545880001 76.2216459980001,94.411227588 76.2077639980001,94.4805455880001 76.1883089980001,94.500545588 76.1858089980002,94.6922005880001 76.1866459980002,94.8402725880001 76.1794269980001,94.8630365880001 76.1822089980001),(82.4927545770002 75.9785909980001,82.3527635770002 75.966381998,82.3033185770001 75.9708269980001,82.2794365770001 75.9697089980001,82.2581905770001 75.962345998,82.268600577 75.9527729980002,82.2866545770001 75.948863998,82.3113725770002 75.9463639980002,82.3674815770001 75.943590998,82.4233095770001 75.9410819980001,82.454163577 75.942199998,82.4708275770001 75.9463639980002,82.7724905770001 75.9444269980001,82.8463725770001 75.936099998,82.8922095770002 75.9094269980002,82.9122005770001 75.913035998,82.9563725770001 75.919435998,83.0002725770001 75.9255359980001,83.0277725770001 75.9274729980001,83.0588725770003 75.9269269980001,83.1224815770001 75.9172089980001,83.1783185770001 75.9144269980002,83.209427577 75.9138819980002,83.2333185780001 75.9166549980001,83.2536005780001 75.9199819980001,83.2869275780002 75.9288639980001,83.2995635780001 75.9380359980001,83.2947095780002 75.9480269980001,83.2736095780001 75.951381998,83.2491455780001 75.9535999980001,83.189972577 75.9558269980001,83.1308095770002 75.9577639980001,83.0783275770001 75.961381998,82.9730365770002 75.9691459980001,82.895827577 75.9749909980002,82.8466455770002 75.9797089980001,82.8252725770001 75.9827549980001,82.7727635770001 75.9863729980001,82.6535905770001 75.9930459980001,82.6255365770002 75.9944269980002,82.5627635770001 75.9952549980001,82.5388815770001 75.992754998,82.4927545770002 75.9785909980001),(81.6397095760001 75.9283179980001,81.600263576 75.9352549980001,81.5602545760001 75.9280359980002,81.5508095760002 75.9235999980001,81.5658095760002 75.9188729980002,81.5872005760001 75.9158179980002,81.8508185760001 75.8805359980002,82.0049905760001 75.8688639980001,82.200000577 75.8594179980001,82.2310905770001 75.8588729980002,82.2540185770002 75.8659549980001,82.251936577 75.8769179980001,82.153590577 75.8858179980002,81.982754576 75.893054998,81.7855365760001 75.9108089980002,81.7394275760001 75.9160909980002,81.6363635760002 75.9279179980002,81.6397095760001 75.9283179980001),(81.8988815760001 75.4874909980002,81.9316545760001 75.425263998,81.878309576 75.3908269980002,81.7744275760001 75.374145998,81.7505455760001 75.3763729980001,81.7391545760001 75.3819269980001,81.7287275760002 75.4156729980002,81.7399725760001 75.425263998,81.7524905760001 75.4305459980001,81.7736095760002 75.4416549980002,81.7824815760002 75.4477549980001,81.7930455760001 75.4613819980001,81.7794365760001 75.4621999980001,81.7369275760001 75.4555549980001,81.7174815760001 75.4519359980001,81.7016635760002 75.4474819980002,81.6611005760002 75.4324819980001,81.6488815760001 75.427472998,81.5383185760002 75.3802639980001,81.5016635760001 75.3644269980001,81.4955365760001 75.3545729980001,81.5558185760002 75.3169359980001,81.6216455760001 75.2908179980002,81.6361095760001 75.2858089980002,81.6499905760001 75.2827639980001,81.6913635760001 75.2763819980002,81.7183185760001 75.2752729980001,81.8106725760002 75.2966459980001,81.8008185760002 75.3117819980002,81.8158095760001 75.3205459980002,81.8397095760002 75.3183269980001,81.8572095760002 75.3141459980002,81.8716455760002 75.3094179980001,81.896100576 75.270690998,81.893736576 75.2326269980001,81.8902635760001 75.2173459980002,81.910263576 75.200545997,81.9324815760002 75.1888729970002,81.9435905760002 75.1833179970001,81.9577635760002 75.1783179970001,81.9749905760002 75.1744269970001,81.9955275760001 75.1710999970001,82.011936576 75.172208997,82.045254576 75.258326998,82.0483275760002 75.2930459980001,82.0441455760001 75.3149909980001,82.0391545760002 75.3402729980001,82.0555455760001 75.343045998,82.1594275770001 75.3419359980001,82.1799815770001 75.338590998,82.1974815770002 75.334717998,82.2086005770002 75.3288729980001,82.2260905770001 75.324708998,82.253054577 75.3233179980001,82.2794365770001 75.3252729980002,82.2895635770003 75.3344359980002,82.2222095770002 75.3999909980001,82.214427577 75.406645998,82.196636577 75.4108089980001,82.133045576 75.4108089980001,82.1058185760002 75.4121999980001,82.0819365760002 75.4144269980001,82.0291635760002 75.4263729980001,82.0177635760002 75.432208998,82.0097185760002 75.438872998,82.0258185760002 75.4433179980001,82.1244185760001 75.4547089980001,82.1504635770001 75.4975909980001,82.1691545770001 75.5131819980001,82.1394365760002 75.5174909980001,82.0463725760001 75.5102729980001,81.9469275760001 75.5005459980001,81.9077635760001 75.4933179980002,81.8988815760001 75.4874909980002),(87.0148275810002 74.9881459970002,86.9713725810001 74.9827549970001,86.7991455810001 74.9599909970001,86.7794365810001 74.9566459970001,86.7530545810002 74.9549909970002,86.6744275810001 74.9522089970002,86.6497095810001 74.9598909970001,86.639163581 74.9666639970002,86.6230275810002 74.9708269970002,86.5255455810002 74.9797089970002,86.4956725810002 74.9765089970001,86.5030545810001 74.9288639970001,86.5158275810002 74.9238729970001,86.5319365810002 74.9194359970002,86.5772095810001 74.9141549970002,86.5963725810001 74.9065179970002,86.5861095810001 74.8980359970002,86.5663725810002 74.8947179970001,86.4552635810002 74.8899819970001,86.3316635800001 74.9008179970002,86.2572185800001 74.9152639970001,86.2377635800001 74.9172089970001,86.2277635800002 74.911099997,86.2111095800001 74.8986089970002,86.2205365800001 74.892490997,86.2908185800002 74.8591459970001,86.3163725800001 74.8488729970001,86.3358185800001 74.8455359970002,86.3877725800002 74.8419359970001,86.5663725810002 74.838881997,86.8352635810002 74.8263819970001,86.8461005809999 74.8424819970001,86.8236095810001 74.8452639970001,86.8077545810001 74.8497179970002,86.6991455810002 74.8805359970001,86.6866455810001 74.890126997,86.6905365810002 74.9010909970002,86.7041635810002 74.9060999970002,86.7435905810001 74.9127639970002,86.7763815810002 74.9124909970001,86.8055455810001 74.9116549970001,86.870254581 74.9027729970001,86.895536581 74.892490997,86.952772581 74.8735999970002,87.0549815810001 74.8891639970001,87.0819365810002 74.899154997,87.1024815810001 74.9108089970001,87.1361095810002 74.9390089970001,87.0497095810002 74.9791549970002,87.0148275810002 74.9881459970002),(85.4319275800001 74.795817997,85.3347185790001 74.7702639970001,85.3121905790001 74.767763997,85.2830545790001 74.7685999970003,85.2602725790001 74.7710999970001,85.198863579 74.771926997,85.114700579 74.759990997,85.097072579 74.7516549970001,85.1055455790002 74.7435909970001,85.1216455790002 74.7410909970002,85.1766545790001 74.7385909970001,85.2024815790003 74.7385909970001,85.2249905790002 74.7413639970002,85.2508275790001 74.7430459970001,85.3383185790001 74.7455269970001,85.3705275800001 74.7455269970001,85.5744365800001 74.734708997,85.6002635800001 74.7330459970001,85.61942758 74.7294269970002,85.6324725800002 74.7244269970002,85.6422095800001 74.7183179970001,85.6613725800001 74.714999997,85.6841455800001 74.7174819970001,85.7019365800001 74.7255359970001,85.65554558 74.7916549970002,85.6427635800001 74.7966459970002,85.62330958 74.7999909970002,85.5130455800001 74.8035909970001,85.4709185800001 74.8122359970001,85.4577635800002 74.806090997,85.4319275800001 74.795817997),(79.1969275740001 74.6230269970001,79.233981574 74.612972997,79.2514905740001 74.612972997,79.263654574 74.6111459970001,79.2739815740001 74.6088179970002,79.2896905740001 74.5952269970001,79.3030365740001 74.5760999970001,79.2747005740001 74.5744359970001,79.2602725740002 74.5791639970001,79.2516635740002 74.5858179970002,79.2283185740001 74.5972179970001,79.1674815740002 74.6060909970001,79.1644005740002 74.6052359970001,79.1491545740001 74.6030459970001,79.1580365740002 74.5955359970001,79.1927455740001 74.5785999970001,79.2219275740001 74.5688819970001,79.2536005740002 74.5602549970002,79.3230455740002 74.5447089970002,79.3952635740002 74.5302729970001,79.4358095740001 74.5244269970001,79.4791545740002 74.5194359970002,79.4986005740002 74.5180549970001,79.5299905740002 74.5205459970002,79.5211005740001 74.5335999970001,79.5176275740001 74.5492909970002,79.5530365740001 74.5688819970001,79.5969365740001 74.5827639970001,79.6122005740001 74.594981997,79.6008185740001 74.6008179970001,79.586381574 74.6055459970001,79.569154574 74.6094179970001,79.5197185740001 74.6127639970002,79.4413635740002 74.6160909970001,79.412200574 74.6160909970001,79.3861095740002 74.6171999970001,79.3443185740001 74.6262089970001,79.3321545740001 74.6278729970001,79.3183185740002 74.6319549970002,79.3289905740002 74.6376269970002,79.3172185740002 74.6497179970001,79.3027635740002 74.6547089970001,79.279436574 74.6566459970001,79.2536005740002 74.6560999970001,79.2174815740001 74.6483269970001,79.1852545740001 74.6315089970002,79.1969275740001 74.6230269970001),(85.1451275790001 74.527490997,85.1969275790001 74.4858089970002,85.2066455790002 74.4799819970002,85.2194365790002 74.4746999970001,85.334427579 74.4544359970001,85.3566455790002 74.4519359970001,85.3852725800001 74.451099997,85.4394185800002 74.4535999970001,85.4841455800002 74.4585999970001,85.6244185800001 74.5030549970002,85.6501275800001 74.5259639970001,85.6402905800001 74.5412459970001,85.5513725800001 74.568599997,85.5288725800001 74.5713819970001,85.5030545800002 74.5730459970002,85.36859058 74.5797089970001,85.310809579 74.5813729970001,85.2819365790001 74.5805549970001,85.2435905790001 74.5736089970002,85.1465185790001 74.5441549970001,85.1451275790001 74.527490997),(85.6609545800001 74.473590997,85.7449815800002 74.444135997,85.7672095800002 74.4416549970001,85.8244365800001 74.439699997,85.8563725800001 74.439699997,85.8886005800002 74.4566459970001,85.9662365800002 74.507763997,85.9919275800001 74.5127729970001,86.0461005800003 74.5102729970002,86.0716545800003 74.5083269970001,86.0969365800001 74.4980269970002,86.1347185800001 74.4860999970001,86.2055545800001 74.5063819970001,86.2126275800001 74.5226269970001,86.2066455800001 74.5335999970001,85.9869275800001 74.5691549970001,85.9647095800001 74.5716549970002,85.9388725800001 74.5733179970001,85.9069365800001 74.5736089970002,85.8491545800001 74.5719269970001,85.82360958 74.570263997,85.8044275800001 74.5669359970001,85.7913635800001 74.5616459970001,85.7719275800001 74.5497089970002,85.6609545800001 74.473590997),(84.5991545790001 74.446926997,84.5447005790001 74.4536089970001,84.5602545790001 74.4605359970002,84.6841455790001 74.4702639970001,84.7127725790001 74.4710999970001,84.8119185790002 74.4638819970001,84.8724815790001 74.4630459970001,84.8977635790001 74.4647089970002,84.9199815790001 74.4674819970001,84.9422005790002 74.4742999970001,84.9385815790002 74.4847089970001,84.9222095790001 74.497208997,84.8933275790001 74.5041639970001,84.7622095790001 74.5063819970001,84.7305455790001 74.506099997,84.7049905790001 74.5044359970002,84.692200579 74.502745997,84.5336005790001 74.482481997,84.4924815790001 74.476381997,84.4324815790001 74.4669359970001,84.3744185790001 74.4524819970001,84.3797005790001 74.4419269970002,84.4058185790003 74.4316549970001,84.4380365790002 74.423308997,84.4541635790001 74.419145997,84.4991455790001 74.4141549970001,84.6108095790001 74.4019269970001,84.6619275790001 74.3986089970001,84.7444275790002 74.3952639970001,84.7633275790002 74.4031819970001,84.7533275790001 74.4116549970002,84.7372005790001 74.415817997,84.6183185790002 74.4435909970001,84.5991545790001 74.446926997),(85.2012185790001 74.4213909970002,85.3824725800001 74.3913729970002,85.40470958 74.3888819970001,85.5602545800002 74.4049819970002,85.5794365800001 74.4083269970002,85.5858185800003 74.4177639970001,85.5699905800001 74.4263729970001,85.5541545800001 74.430545997,85.5319365800001 74.4330459970001,85.5063815800001 74.434708997,85.3250005790001 74.4355269970001,85.2647095790001 74.434708997,85.220263579 74.4296999970002,85.2041635790002 74.4252639970002,85.2012185790001 74.4213909970002),(82.3198455770001 74.0935999960001,82.3294365770001 74.0830549960002,82.3427545770001 74.0780459960001,82.3588725770001 74.0738819960001,82.500000577 74.0713819960001,82.538318577 74.0649909960002,82.5872005770001 74.0527639960001,82.5972095770002 74.0485999960001,82.609709577 74.0485999960001,82.6244185770001 74.0530359960001,82.7077635770001 74.0813729960001,82.7338725770002 74.0954089960001,82.7263815770001 74.104708996,82.7027725770001 74.1155359960001,82.6660905770001 74.1313639960001,82.6394365770001 74.141372997,82.623309577 74.1455359970001,82.5647005770001 74.1593179970001,82.3880455770002 74.1452639970001,82.3516545770001 74.1380459970001,82.3366545770002 74.1336089960001,82.3173455770002 74.1178999960001,82.3198455770001 74.0935999960001),(82.8184545770002 74.0945639960001,82.8294185770002 74.0836359960001,82.9508185770002 74.0866549960002,82.9760905770002 74.0849909960002,83.0738815770001 74.0783269960002,83.1372095770001 74.070263996,83.1755365770002 74.063872996,83.299145578 74.0469359960001,83.3624905780002 74.0388819960002,83.4497095780001 74.0377639960002,83.465000578 74.0422089960001,83.4458185780001 74.0455359960002,83.4138815780001 74.053863996,83.4008185780002 74.058872996,83.3890185780001 74.0685999960002,83.3986095780002 74.0777729960001,83.5011005780002 74.0827639960001,83.5324815780002 74.0830549960002,83.5397005780001 74.073735996,83.5249905780001 74.0649909960002,83.5438725780001 74.063599996,83.5686005780001 74.0652639960001,83.5899815780001 74.0680549960002,83.6052545780001 74.0724909960001,83.6184545780002 74.0816549960002,83.6158185780002 74.0930459960001,83.6027635780001 74.0980359960002,83.5385905780001 74.1146999960001,83.4722095780002 74.1219179960002,83.3388815780001 74.1363819960002,83.2502725780001 74.1458269970001,83.2027725770002 74.149717997,83.1433275770001 74.1483269970001,82.9177545770001 74.1230269960001,82.8630365770001 74.1121999960001,82.8327635770002 74.103317996,82.8184545770002 74.0945639960001),(84.3685905790002 74.043590996,84.328600579 74.0374909960001,84.2522095780001 74.0158269960002,84.230545578 74.0130459960001,84.1624275780001 74.0155359960001,84.1455905780002 74.0160459960002,84.1306005780002 74.0170459960001,84.0761005780003 74.022372996,83.9741545780001 74.0288729960001,83.9775095780002 74.0260459960002,83.9216455780001 74.020826996,83.8822095780001 74.010126996,83.8861095780001 73.9999999960002,83.8988815780002 73.9949819960001,83.9149905780001 73.990817996,83.9338725780001 73.9874909960001,83.9588815780001 73.9858089960002,84.015000578 73.984417996,84.255827578 73.9574909960002,84.2777725780001 73.9549909960001,84.3027635790001 73.953326996,84.333600579 73.9535999960001,84.3894365790001 73.955554996,84.4047095790002 73.959990996,84.4166545790001 73.9649999960001,84.4174815790001 74.0358179960001,84.3966545790001 74.043045996,84.3685905790002 74.043590996),(80.1691455750001 73.5688819960002,80.077209575 73.5588729960002,80.0566365750001 73.5558179960001,80.1352725750002 73.524990996,80.2108185750001 73.514435996,80.314700575 73.501935996,80.3363815750002 73.4999999960001,80.3605365750002 73.5002729960001,80.3875005750001 73.5016639960001,80.4035905750002 73.5460999960001,80.389981575 73.5519269960001,80.3769185750001 73.5549819960001,80.3385905750002 73.5610999960001,80.3169365750001 73.563308996,80.223600575 73.5699909960001,80.196090575 73.5702639960001,80.1691455750001 73.5688819960002),(76.1880365710002 73.5558179960001,76.1663815710001 73.5566359960002,76.1449905710002 73.556363996,76.1244185710001 73.5521999960001,76.0814365710001 73.5275089960002,76.0741545710001 73.5213819960002,76.0841545710001 73.5155459960001,76.1019275710001 73.5133179960002,76.166090571 73.5147089960001,76.2949815710002 73.5147089960001,76.3166635710002 73.5138819960001,76.339154571 73.5108179960001,76.5188725710001 73.4855359960001,76.6086005710001 73.4677549960001,76.6538725710001 73.4574909960001,76.6763725710001 73.451935996,76.7047095710001 73.4402639960002,76.7147095710001 73.4341459960001,76.7288635710001 73.428317996,76.751100571 73.4238729960001,76.7642185710001 73.432345996,76.7536005710001 73.451935996,76.7252635710001 73.463608996,76.7027725710001 73.4694359960001,76.6574815710001 73.479426996,76.6124905710001 73.4885909960001,76.567763571 73.4960909960001,76.5458185710001 73.4994179960001,76.4794275710001 73.5080459960001,76.434709571 73.514435996,76.3902725710002 73.5208269960001,76.2783185710001 73.539426996,76.2330455710002 73.5483269960001,76.210263571 73.5538639960001,76.1880365710002 73.5558179960001),(75.3805365700002 73.4433179960001,75.4391455700001 73.4630459960002,75.53360057 73.493317996,75.5438725700001 73.4952549960001,75.5359545700001 73.4615179960001,75.5127725700001 73.4530459960002,75.4969365700001 73.4477549960001,75.5188725700002 73.4458179960001,75.5405455700002 73.4452549960002,75.62691857 73.4433179960001,75.7963725710002 73.4508179960001,75.8802635710001 73.4574909960001,75.895827571 73.4638819960001,76.0748545710001 73.5609549960001,76.0497095710001 73.5672179960002,76.0061005710002 73.5688819960002,75.8755365710002 73.5655359960001,75.7049905710002 73.5580269960001,75.6627635700001 73.554699996,75.6210905700001 73.5499909960001,75.58027257 73.5419269960001,75.52053657 73.5246999960001,75.4222095700001 73.4919269960001,75.3719185700001 73.472490996,75.3566455700001 73.466090996,75.3202725700001 73.4437359960001,75.3074815700002 73.4280359960001,75.30631857 73.4183359960001,75.31903657 73.4095359960001,75.33875457 73.4040459960001,75.3530005700002 73.4077909960001,75.3469185700002 73.4195359960001,75.3570725700001 73.4274819960001,75.3805365700002 73.4433179960001),(71.2852635660003 73.4124909960002,71.2627725660001 73.414154996,71.2472095660001 73.4110999960002,71.2333185660002 73.4041639960001,71.1758095660001 73.3724819960001,71.1663815660002 73.3658179960001,71.1486095660001 73.3498459960002,71.1436455660001 73.3385639960002,71.1416635660001 73.3205459960001,71.1399815660002 73.2896999960001,71.1544365660002 73.286654996,71.2208275660002 73.2819359960001,71.3410905660002 73.3249999960001,71.3513725660002 73.3345729960001,71.3591455660001 73.3933269960002,71.3477635660002 73.3991549960001,71.3322185660001 73.4044359960002,71.2852635660003 73.4124909960002),(71.2760905660002 73.2830549960001,71.2105365660001 73.2680549960001,71.0385905660001 73.2694359960001,70.9991455660001 73.2888819960001,71.1422095660001 73.3883179960001,71.2647815660002 73.440945996,71.247481566 73.4541639960001,71.0469365660002 73.4999999960001,70.9760905660002 73.511935996,70.9305455660001 73.5160999960002,70.8869365660001 73.5166639960001,70.865536566 73.5158269960001,70.7208275660001 73.5024909960002,70.5069455660002 73.4894269960001,70.4855365660002 73.4930459960001,70.4035905660001 73.4844179960001,70.240818565 73.4649999960002,70.2013815650002 73.4583269960002,69.9894275650001 73.4116549960001,69.9744275650002 73.4072089960001,69.9611095650001 73.4005459960001,69.9556815650002 73.390963996,69.9577635650002 73.375808996,69.9686005650001 73.3638729960001,69.9797095650002 73.3519269960002,70.0097185650001 73.328599996,70.0205365650001 73.3169359960002,70.0649905650001 73.2602729960001,70.0630365650001 73.232481996,70.0522005650001 73.2133179960002,70.0319365650001 73.1877639960001,70.0136095650002 73.1744269960002,69.9869275650002 73.1608089960002,69.9522095650001 73.1469459960001,69.9255365650002 73.1333269960001,69.9163815650001 73.126645996,69.8858185650001 73.0819359960001,69.8735095650001 73.0505549950001,69.868045565 73.0452549950002,69.866381565 73.0327639950002,69.8822005650001 73.0274819950001,69.9049815650001 73.0246999950001,69.9269275650001 73.0233179950002,70.1005365650001 73.0152729950001,70.1105365650001 73.0208269950001,70.0955365650001 73.0324819950001,70.0799905650001 73.0377639950001,70.0602545650002 73.0430459950002,70.0374905650001 73.045817995,70.0161005650001 73.0460999950001,70.000545565 73.0516549950001,70.002209565 73.063872996,70.0869275650001 73.0949819960001,70.1063725650002 73.0983269960001,70.1305365650001 73.0933179960001,70.1422095650001 73.0877729960001,70.1531815650002 73.0788819960001,70.1633185650001 73.063872996,70.1980275650001 73.0469359950001,70.2177545650001 73.0416549950002,70.2410905650002 73.0377639950001,70.2849905650002 73.034990995,70.349154566 73.0341459950001,70.4116545660002 73.0355359950001,70.4319275660001 73.0377639950001,70.4505455660001 73.042208995,70.5033275660002 73.0633089950001,70.5397005660002 73.0747089960001,70.5786005660002 73.0813729960001,70.7347095660001 73.1080359960002,70.8944365660001 73.1283089960002,70.9158185660002 73.1280359960001,70.9377635660001 73.126645996,71.0058275660002 73.118317996,71.0694455660002 73.1185909960001,71.0899815660001 73.1194269960001,71.1924725660001 73.1271999960001,71.2530545660002 73.1336089960001,71.272763566 73.1369359960002,71.2913635660001 73.1424909960001,71.3049815660002 73.1491549960001,71.3241545660001 73.1621999960001,71.3380455660001 73.1691459960001,71.3574815660001 73.1722089960002,71.3994275660001 73.173872996,71.5066545670002 73.1722089960002,71.5508095670002 73.1688729960002,71.6138725670001 73.1702549959999,71.657481567 73.172481996,71.6766545670001 73.1769269960001,71.6777635670002 73.2108179960001,71.6624905670001 73.225817996,71.6202545670002 73.2608179960001,71.6019275670001 73.2724909960002,71.4861005670001 73.3355359960001,71.4747005670002 73.341372996,71.4549905670001 73.3466459960001,71.4327545670001 73.3483269960001,71.4230365670002 73.3416639960001,71.4177635670001 73.3262359960001,71.4010905660002 73.3163729960001,71.382472566 73.3105269960001,71.2760905660002 73.2830549960001),(76.1843725710001 73.1710639960001,76.2297095710002 73.1599909960001,76.2516635710002 73.1555459960001,76.3399815710002 73.1388819960001,76.3619275710001 73.1355459960001,76.4049815710002 73.1316549960001,76.4688725710002 73.1291549960002,76.6366545710001 73.1321999960001,76.6988635710001 73.1372089960001,76.7191455710002 73.1410999960002,76.7361005710001 73.1505459960001,76.726381571 73.165817996,76.7166635710001 73.1716459960001,76.688872571 73.183317996,76.666381571 73.1891459960002,76.6447185710001 73.1921999960001,76.6233095710001 73.1930359960002,76.6027635710001 73.1902639960001,76.5819365710001 73.188581996,76.5399815710001 73.1880359960002,76.5166635710001 73.1880359960002,76.4527725710001 73.1905359960001,76.3444365710001 73.2008179960001,76.1930365710002 73.2147089960001,76.1502725710001 73.216381996,76.1341545710001 73.2136089960001,76.1235905710002 73.2041549960002,76.1683185710002 73.1774729960001,76.1843725710001 73.1710639960001),(74.4913635690002 73.129972996,74.427200569 73.1319269960002,74.4066455690001 73.1302639960001,74.2836005690002 73.1194269960001,74.2630455690002 73.1174819960002,74.2224905690001 73.1127639960002,74.184145569 73.1016549960002,74.1736005690001 73.0952639960001,74.0958275690002 73.0269269950002,74.0906815690001 73.0174909950001,74.1041545690001 73.0024909950002,74.2080365690002 72.9563729950002,74.4033185690002 72.9102639950002,74.6108095690001 72.861926995,74.6330455700001 72.8577549950002,74.65443657 72.8558179950001,74.6744275700001 72.8588729950001,74.6849815700001 72.8652639950001,74.7086005700002 72.8966549950002,74.6983185700001 72.9024819950002,74.6697095700002 72.914154995,74.6491545700001 72.9258089950001,74.6362365700001 72.9408089950001,74.6419365700001 72.9624909950001,74.68941857 73.0648459960001,74.7030455700001 73.0744359960001,74.7222095700001 73.0810999960001,74.74192757 73.085263996,74.7625005700002 73.0871999960002,74.7838725700001 73.0863819960001,74.8272095700001 73.0827639960001,74.8927635700001 73.0747089960001,74.91554557 73.0688819960001,74.9441365700001 73.057481995,74.9624905700001 73.0530359950002,74.9576275700001 73.0620639950001,74.9258095700002 73.076663996,74.9072095700001 73.0822179960001,74.8849905700002 73.0866549960002,74.8627635700002 73.0897089960001,74.4913635690002 73.129972996),(79.0955365740002 73.0791639960001,79.0194365740001 73.0419269950002,78.9438635740001 73.0044359950002,78.9158185730003 72.9919269950001,78.8719185730002 72.9733089950001,78.8238815730002 72.9544359950001,78.6757185730002 72.9016729950002,78.6599905730002 72.8952639950002,78.6088725730002 72.870254995,78.5972095730001 72.8641549950001,78.5802725730001 72.8485909950001,78.583318573 72.8241549950001,78.6047095730002 72.8030359950001,78.8461005730001 72.7538729950002,78.9302635740002 72.7399729950001,79.0427545740002 72.728863995,79.0841545740001 72.726654995,79.1461005740001 72.727199995,79.1874815740002 72.725263995,79.3127635740001 72.7102639950001,79.375263574 72.7008179950001,79.3961005740002 72.699708995,79.4166545740001 72.6999999950001,79.534709574 72.720263995,79.5549815740001 72.7241549950001,79.5708275740001 72.7302729950001,79.5811005740001 72.7473359950002,79.5363725740002 72.803590995,79.5133185740001 72.8891639950001,79.5410905740002 72.9052549950001,79.3905455740001 73.014163995,79.3727545740001 73.0263819950002,79.2333185740002 73.0863819960001,79.2160905740001 73.0924819960002,79.1947005740001 73.0958269960002,79.173600574 73.0969359960001,79.1527725740002 73.094435996,79.1322005740001 73.0905459960001,79.1116455740001 73.0855359960001,79.0955365740002 73.0791639960001),(56.2561095520001 72.9683179950001,56.230272552 72.9755359950001,56.1880455520002 72.9735999950001,56.0993005520002 72.9647089950001,56.0704095520002 72.9521999950002,56.046390552 72.9449729950002,56.0058275520001 72.9419269950002,55.983327552 72.9419269950002,55.9383275520002 72.9424729950001,55.6886005520001 72.9460909950001,55.664709552 72.9474819950001,55.6215185520001 72.9634639950001,55.647218552 72.9677549950001,55.7550005520001 72.972490995,55.8238815520001 72.970826995,55.8658275520001 72.9727639950001,56.0041635520001 72.9866459950001,56.0627635520001 72.993317995,56.1088815520001 73.0008269950002,56.139718552 73.002772995,56.2072185520001 73.0024909950002,56.2566635520001 72.9985999950001,56.3088815520001 72.9924819950002,56.3404095520001 72.9938639950001,56.3799905530001 73.0066549950001,56.460136553 73.0469269950001,56.4347185530002 73.055545995,56.292500552 73.0688819960001,56.2461005520001 73.0705459960001,56.0077725520001 73.0641459960001,55.9250005520001 73.058872995,55.882763552 73.0569269950001,55.8122095520002 73.057754995,55.8655455520002 73.066935996,56.025554552 73.081663996,56.1508275520001 73.0888819960001,56.4199905530002 73.106090996,56.5533275530001 73.1174819960002,56.5860365530002 73.1323459960002,56.4674905530001 73.2155459960001,56.4372095530001 73.2255359960001,56.3866545530001 73.2330459960002,56.2038815520001 73.2527729960001,56.1099905520002 73.2555549960001,55.8076275520001 73.2991359960001,55.7901365520001 73.3167909960002,55.763054552 73.3236089960002,55.7386005520002 73.3249999960001,55.7158275520001 73.3249999960001,55.5602725520002 73.3224909960001,55.5174905520001 73.3202639960002,55.4777635520001 73.316081996,55.4563815520002 73.3149909960002,55.321936552 73.3322089960001,55.284154551 73.3458909960001,55.246100551 73.3597089960002,55.1955455510002 73.3735999960001,55.1602725510001 73.3827549960001,55.1208275510001 73.391663996,54.987209551 73.4158179960002,54.9633275510002 73.419708996,54.9372095510001 73.421917996,54.9144365510001 73.4222089960001,54.8119365510001 73.413317996,54.569709551 73.3813729960002,54.5272095510001 73.3705269960001,54.4474905510002 73.339154996,54.3261005510001 73.3016549960002,54.2269365510002 73.2744269960001,54.1680545500002 73.2674909960002,54.1469455500001 73.2663909960001,54.0555455500001 73.2660999960002,54.0297185500002 73.268326996,53.9920725500002 73.2804089960002,53.9702725500001 73.2877639960001,53.9441545500001 73.2899819960002,53.7894365500001 73.3021999960002,53.7593005500001 73.2991459960001,53.6977725500001 73.2860999960001,53.6415185500001 73.2694359960001,53.6151275500002 73.2558269960002,53.5605545500001 73.2301179960002,53.5297185500001 73.2277639960001,53.50582755 73.2313729960001,53.4661005500002 73.2399729960001,53.4419365500002 73.2410909960002,53.3289275500001 73.2170359960001,53.25832755 73.1938639960001,53.1533275500001 73.153535996,53.1256905490002 73.091517996,53.1783275500001 73.0613729950001,53.20416355 73.0594179950002,53.2347185500001 73.0617819950002,53.2625005500001 73.0599819950001,53.3816635500001 73.0083269950001,53.3608275500002 73.0069459950002,53.2819365500002 73.0147089950001,53.2322095500001 73.0177639950002,53.1409005490002 73.0039359950002,53.144572549 72.957272995,53.1999905500001 72.9376179950002,53.2333275500001 72.9316549950001,53.2893005500002 72.931926995,53.3405455500002 72.935526995,53.3647185500001 72.9347089950002,53.3920815500002 72.9280269950001,53.3740185500001 72.8787269950001,53.3244365500001 72.8738729950001,53.136936549 72.9013819950001,53.0583275490001 72.9180459950001,53.0327725490002 72.9202549950001,53.0088905490001 72.9210999950002,52.9768005490002 72.9198459950002,52.8969455490001 72.9047089950001,52.8602725490002 72.8986089950002,52.7302725490001 72.8777639950001,52.6287455490001 72.8622089950001,52.5962365490001 72.8534549950002,52.3862455490001 72.7426179950001,52.3805545490001 72.7217909950001,52.5441545490002 72.674145995,52.5680545490001 72.6730359950002,52.7327635490001 72.667481995,52.8144365490002 72.6699819950001,52.8688815490002 72.6802639950001,52.889436549 72.6813639950002,52.976654549 72.6830459950001,53.001936549 72.681090995,53.0288815490001 72.6777639950001,53.2144365500001 72.649299995,53.1769365500001 72.6458269950001,53.1311005490002 72.6466549950001,53.0712455490001 72.6558179950002,53.0152725490001 72.6655459950001,52.9883275490002 72.6685909950001,52.9644365490002 72.6697089950001,52.9233275490002 72.6672089950002,52.7551275490001 72.636508995,52.7365185490002 72.6213729950001,52.7344365490002 72.5556729950002,52.7697185490002 72.5576179950002,52.825272549 72.5733179950001,52.8683275490001 72.5822179950001,52.9144365490001 72.5888819950001,52.9727635490001 72.5947089950001,53.0136095490002 72.597217995,53.0841545490002 72.5939359950001,53.0377725490002 72.5897089950001,52.9811005490002 72.5824909950001,52.9105455490001 72.5697179950002,52.8719365490002 72.5373459950001,52.8736005490002 72.5141639950001,52.7919365490001 72.5091549950001,52.6651275490001 72.4322729950002,52.6908185490001 72.3699819950001,52.7122095490002 72.3624909950001,52.7461005490002 72.3369269950002,52.5801275490002 72.2598549950001,52.5519365490002 72.2594269950001,52.5272185490001 72.2613819950002,52.4799905490001 72.2513909950001,52.4095725490001 72.225126995,52.4193005490002 72.2044269950002,52.4033275490002 72.0795729950001,52.3519365490001 72.061917995,52.3302725490001 72.0616459950001,52.303327549 72.0669359950001,52.2511095490001 72.089981995,52.1191545490001 72.1058179950001,52.0519365480002 72.1008179950001,52.0169365480001 72.106935995,51.922763548 72.1238729950001,51.8645725480001 72.1595729950001,51.8419365480001 72.1585999950001,51.6611005480002 72.101654995,51.6011095480001 72.0824909950002,51.5744365480002 72.0708269950002,51.4891545480001 71.9969359950001,51.4575005480001 71.9585999940001,51.4419365480002 71.9363729940001,51.4175005480002 71.8991549940002,51.4058185480001 71.8771999940001,51.3950005480002 71.848599994,51.4016545480001 71.7899819940001,51.4187365480001 71.7313729940001,51.5519365480001 71.5944359940002,51.6391635480002 71.5297089940001,51.7972185480002 71.4749909940002,51.9627725480001 71.475263994,52.1661005490001 71.4819359940001,52.2216545490002 71.491090994,52.1647095490001 71.5169359940001,52.140963549 71.5372089940003,52.216100549 71.563035994,52.2632635490002 71.5288819940001,52.2888905490001 71.506945994,52.3340185490001 71.4897089940001,52.3812365490001 71.490435994,52.4322095490001 71.5483269940001,52.5119365490001 71.5930459940001,52.552490549 71.5944359940002,52.5874905490001 71.5655359940001,52.6222185490001 71.4963729940001,52.7938815490002 71.4488639940001,52.9194455490002 71.4055459940001,52.9827635490001 71.443590994,53.0090185490001 71.4840819940001,53.0288815490001 71.5008269940002,53.0513815490002 71.4999999940002,53.1827725500001 71.4933179940001,53.2112365500001 71.511799994,53.2438815500001 71.5269269940002,53.3649905500001 71.565126994,53.4349185500002 71.542545994,53.4008275500001 71.5283179940002,53.3558275500002 71.5142999940001,53.2558275500001 71.4460909940001,53.3643005500002 71.3263819940001,53.4463815500001 71.2970639940002,53.48054555 71.2916549940001,53.5230545500001 71.2992819940002,53.5466635500001 71.3197819940001,53.5419365500001 71.346099994,53.5565185500001 71.380117994,53.5961005500001 71.3899819940002,53.7158275500001 71.4110999940001,53.88123655 71.4667999940002,53.9074905500001 71.4708269940001,53.9412365500002 71.4585269940001,53.8933275500002 71.4181729940001,53.8319365500001 71.408872994,53.7362365500002 71.4097089940001,53.6808275500002 71.3877639940001,53.6091635500002 71.3247089940001,53.5150005500002 71.2746999940002,53.4573545500002 71.2597089940001,53.50500055 71.2210999940002,53.5594365500002 71.2013819940001,53.5816635500001 71.200545994,53.6199905500002 71.2030459940001,53.6408275500001 71.2030459940001,53.7208275500001 71.1873359940002,53.7566635500001 71.1674819940002,53.8101275500001 71.1531819940001,53.9530455500001 71.174572994,53.9959635500002 71.152072994,54.1283275500001 71.1208179940002,54.1491635500001 71.1208179940002,54.20277255 71.1358269940001,54.2360275510001 71.124781994,54.2102725500001 71.1113729940001,54.1184635500001 71.0940089940001,54.0888815500001 71.0927549940001,53.9374905500002 71.0983269940002,53.9155455500001 71.0994269940001,53.9290275500001 71.1245639940001,53.9547095500001 71.1274729940001,54.02249055 71.116090994,54.0568635500001 71.117690994,54.0294365500001 71.1305359940001,54.0080455500002 71.1344269940001,53.9830455500002 71.137772994,53.9388815500001 71.139981994,53.8154095500001 71.1309549940001,53.6750005500002 71.0949819940001,53.5083275500002 71.086108994,53.5039545500002 71.061926994,53.6458275500001 71.0105459940001,53.6997185500001 70.9841459940001,53.7395725500002 70.9492909940001,53.6763095500001 70.8650549930001,53.6454365500001 70.877426993,53.5938815500002 70.8824729930001,53.5724905500002 70.886381993,53.3797185500001 70.8588819930002,53.4636095500002 70.8138729930002,53.50693655 70.8198909930001,53.5297185500001 70.8341549930001,53.5566545500002 70.8324909930001,53.64370955 70.8204909930002,53.6710815500001 70.8085179930002,53.7293005500002 70.7927549930002,53.8102725500002 70.7997089930002,53.8311095500001 70.8091459930001,53.9661005500001 70.7697179930001,54.01180055 70.752354993,54.0505455500002 70.740535993,54.21443655 70.726381993,54.2522185510002 70.728590993,54.2862455510001 70.7415089930002,54.2625005510001 70.7602729930001,54.2820815510001 70.7708179930002,54.4577725510002 70.7130459930001,54.535554551 70.683726993,54.5583275510001 70.6766549930002,54.6723545510002 70.6488819930001,54.7562455510002 70.6522729930001,54.7333275510002 70.668872993,54.6170725510002 70.7019359930001,54.5455455510001 70.7158179930001,54.4984635510002 70.726372993,54.4791545510001 70.7338729930001,54.499572551 70.784008993,54.5734365510002 70.781481993,54.6876275510002 70.757908993,54.7097815510002 70.7410999930001,54.7004725510001 70.7158179930001,54.7480455510001 70.680263993,54.7811095510001 70.6677549930001,54.8019365510001 70.6638819930001,54.8250005510001 70.6613729930002,54.8463815510001 70.6602639930001,54.8977725510001 70.6508179930001,54.994390551 70.613235993,55.114636551 70.565399993,55.1421455510002 70.5556819930001,55.1649275510002 70.5531729930001,55.1863185510001 70.552063993,55.2063275510001 70.5537269930002,55.2683005510002 70.583208993,55.2917905510002 70.6062639930001,55.2723365510001 70.6230459930001,55.2535815510001 70.6306909930001,55.2327365510002 70.6580549930001,55.2494185510001 70.6754179930002,55.4070275520001 70.748099993,55.4540635520002 70.7397729930001,55.5929455520001 70.6990999930001,55.6654725520002 70.681626993,55.6031725520002 70.7234179930001,55.6343725520001 70.729672993,55.7513545520001 70.697735993,55.7629095520001 70.681399993,55.7858275520001 70.6522459930001,55.7783005520001 70.6319089930002,55.731327552 70.6380179930001,55.7096635520001 70.6394089930002,55.7085455520001 70.6191089930002,55.875127552 70.5802729930001,56.032390552 70.5807909930002,56.006945552 70.6033179930001,55.966381552 70.6183179930001,55.9455455520002 70.6222089930001,55.8908275520002 70.6352729930002,55.8706275520002 70.652117993,55.8535455520001 70.6719459930001,55.9277725520001 70.666654993,55.968745552 70.654981993,56.0244545520001 70.6291089930002,56.1229095520002 70.5944269930001,56.1636095520003 70.5902639930001,56.1794365520001 70.6063729930001,56.1241545520002 70.6344269930001,56.0850005520002 70.6388819930002,56.0473545520001 70.6422089930001,56.0588815520001 70.662208993,56.1380455520002 70.6541639930002,56.1588815520002 70.6499909930001,56.2199815520001 70.6310909930002,56.2568095520001 70.6122089930002,56.2794365520002 70.6063729930001,56.3758275530002 70.5877729930002,56.3974905530001 70.586381993,56.4349905530001 70.5883179930001,56.4797095530002 70.5931819930001,56.5094365530001 70.5933179930001,56.5404095530001 70.5885999930001,56.5543005530001 70.5723459930001,56.4934635530001 70.5569179930002,56.4236095530001 70.5591459930002,56.3718005530001 70.562763993,56.4016545530002 70.5538639930001,56.4699815530002 70.5422089930001,56.4927635530001 70.5396999930001,56.5409635530001 70.5409549930001,56.6526275530002 70.5789459930001,56.4544365530001 70.6702549930002,56.4250005530002 70.675263993,56.3652725520001 70.6785909930002,56.3366545520001 70.6744269930001,56.3754725530002 70.652972993,56.3316635520001 70.6438729930001,56.2683275520001 70.6469459930002,56.2390185520002 70.6499909930001,56.219572552 70.6601269930001,56.3213815520001 70.7016639930002,56.4609635530001 70.7438729930001,56.5147185530001 70.7497089930001,56.545827553 70.748872993,56.574581553 70.7363729930001,56.5513815530002 70.7255359930001,56.5145095530001 70.7218549930001,56.4958275530001 70.6924729930001,56.5050005530002 70.6697089930001,56.5965185530002 70.641108993,56.6424905530002 70.6299729930002,56.6913725530002 70.627335993,56.7299905530001 70.6338819930002,56.9147095530001 70.607208993,57.0797185530002 70.5830549930001,57.1633185530001 70.571926993,57.2688815530002 70.5658089930001,57.3141545530001 70.5605269930001,57.3329095530001 70.5691549930002,57.2424905530001 70.5944359930001,57.0954095530002 70.6259459930001,57.028600553 70.625263993,56.9855455530002 70.6280359930002,56.8662455530001 70.639017993,56.7443635530001 70.6994999930002,56.7688815530001 70.7027729930001,56.7902725530003 70.7013819930001,57.0016635530002 70.672208993,57.1622095530001 70.649154993,57.2572185530001 70.6271999930001,57.3865185530001 70.6026179930001,57.451663554 70.6049819930001,57.450545554 70.6285819930001,57.4833275540001 70.6655459930001,57.5508275540001 70.7238729930001,57.6116635540002 70.7230359930001,57.6331185540001 70.7281089930001,57.4661005540001 70.8058179930001,57.2424905530001 70.827208993,57.1144365530001 70.8491549930001,57.0645725530001 70.859835993,56.9541635530001 70.896381993,56.9272185530002 70.9063729930001,56.6383275530001 71.0174909940001,56.5744365530001 71.0560909940002,56.5541635530001 71.0669359940001,56.5302725530001 71.0774819940001,56.4244365530001 71.1241459940002,56.3934635530002 71.1370819940001,56.3380455520001 71.1535909940002,56.2961095520002 71.165117994,56.2752725520001 71.1724819940002,56.2280455520001 71.1941359940001,56.1972095520002 71.2102639940001,56.0769455520001 71.2749909940001,56.0569365520001 71.2924819940001,56.0411095520001 71.323608994,56.0338815520001 71.3438729940002,55.9138815520002 71.4285909940001,55.8522185520001 71.480817994,55.8322185520001 71.5047179940001,55.8047095520001 71.5280459940001,55.7801365520001 71.5415089940002,55.709718552 71.5760999940001,55.674990552 71.6049819940002,55.5610905520002 71.723308994,55.5374815520002 71.7602729940001,55.5238635520002 71.7849909940002,55.5183005520001 71.8174819940002,55.5276725520002 71.8565089940002,55.5053905520001 71.8917999940001,55.4819095520001 71.8988819940001,55.4271905520002 71.912199994,55.4016365520001 71.9158179940001,55.3544185520001 71.9194359940001,55.2874725510001 71.9219179940001,55.2660815510002 71.9219179940001,55.221018551 71.925617994,55.247609551 71.9520729940001,55.2724725510002 71.9544359940001,55.2969185510001 71.9522089940002,55.3224725520001 71.9485909940001,55.4030455520001 72.0280459950001,55.3688815520001 72.0621909950001,55.344436552 72.064699995,55.383327552 72.102199995,55.444990552 72.1319269950001,55.486936552 72.1499909950001,55.523745552 72.1635999950001,55.5491635520001 72.1691459950001,55.575554552 72.1892819950002,55.5299905520002 72.2499999950001,55.4786005520002 72.2702639950001,55.463881552 72.3474909950001,55.4837455520001 72.3780359950002,55.4636005520001 72.4283179950001,55.4424905520001 72.4363729950001,55.356100552 72.432208995,55.1329725510001 72.450672995,55.1688815510001 72.459154995,55.2758275510001 72.4611089950001,55.2977725520001 72.4611089950001,55.3211095520002 72.4597179950001,55.3474905520002 72.456372995,55.3708275520002 72.4549909950001,55.3913815520002 72.456099995,55.5206905520002 72.4658179950001,55.541936552 72.4746999950002,55.551936552 72.5185999950002,55.4483275520003 72.563863995,55.4133185520001 72.5688819950001,55.3661095520001 72.5713819950002,55.2666545510002 72.5822179950001,55.3538815520001 72.5844269950001,55.3994365520001 72.5830549950001,55.4524905520001 72.5760999950001,55.4844365520001 72.5699909950002,55.5891545520001 72.5338729950001,55.6083275520002 72.536099995,55.6702725520001 72.5616549950001,55.7225545520001 72.6395639950002,55.8019365520001 72.6688729950002,55.9199905520002 72.6624909950001,55.9437365520002 72.664572995,55.8658275520001 72.7297089950001,55.8372185520001 72.7434549950001,55.6216545520002 72.7758179950001,55.466663552 72.779163995,55.4369365520001 72.7816549950001,55.485272552 72.809417995,55.6019365520001 72.7944359950001,55.6516545520003 72.786926995,55.6894275520001 72.7780459950001,55.7397185520001 72.773317995,55.7865185520001 72.7816549950001,55.839709552 72.8008089950002,55.861936552 72.8005359950002,55.9402725520002 72.7910909950001,55.981800552 72.7809639950001,56.0105545520001 72.7738819950002,56.032772552 72.7738819950002,56.0744365520001 72.7758179950001,56.1415185520002 72.7838729950001,56.1641545520002 72.7922089950001,56.2161005520002 72.8316639950002,56.240545552 72.8933269950002,56.2561095520001 72.9683179950001),(56.8738815530002 70.598872993,56.854709553 70.6019269930001,56.8431815530001 70.5959549930002,56.8538815530001 70.5805549930002,56.9061005530001 70.5433179930001,56.9158275530002 70.5377639930001,56.9658275530001 70.5174909930001,57.0172095530001 70.506381993,57.0569365530002 70.5004549930002,57.0816635530001 70.4941359930002,57.1055545530001 70.490535993,57.1255455530002 70.4902639930001,57.2047095530001 70.5088819930001,57.2197095530001 70.5133179930002,57.2245725530001 70.5235999930002,57.2152725530001 70.532481993,57.1983275530002 70.5371999930001,57.1408275530002 70.5502639930002,56.8738815530002 70.598872993),(52.3930545490002 71.2380359940001,52.4613815490001 71.2341459940001,52.4997185490001 71.2369269940002,52.514445549 71.2413639940001,52.531936549 71.2438639940002,52.5477725490001 71.2447089940001,52.5713815490002 71.2427549940001,52.5861095490002 71.2380359940001,52.6302725490002 71.2238729940001,52.6450005490002 71.2191459940001,52.7694365490001 71.1616549940001,52.7791635490001 71.152772994,52.8055455490002 71.1058179940002,52.9609635490001 71.0491459940002,53.0133275490002 71.0058269940001,53.0174905490002 70.9963729940002,53.0010275490001 70.9771729940002,52.999018549 70.967490994,53.020827549 70.9602639940002,53.0411095490001 70.9605359940001,53.0586005490001 70.9627729940001,53.1288725490001 70.972490994,53.141936549 70.9783179940002,53.1413815490001 70.9884459940001,53.123318549 70.9960909940001,53.1019365490001 70.9997089940002,53.0658275490001 71.0083269940002,53.0422185490002 71.0219359940002,53.0483365490001 71.0666639940001,53.0544365490002 71.0808269940001,53.0647095490002 71.0888819940001,53.0838815490002 71.0902729940001,53.1058275490002 71.0797089940002,53.1199905490002 71.0816639940001,53.1361095490002 71.0852639940001,53.1491635490001 71.0910909940001,53.2180455500001 71.1597179940002,53.2174905500002 71.1985909940001,53.2037455500001 71.253872994,53.18554555 71.2613819940001,53.1672095500001 71.265545994,53.1436095490001 71.2677639940001,53.1244365490002 71.2666639940002,53.081245549 71.2499819940001,53.1061005490001 71.2452549940002,53.1269365490001 71.2455269940001,53.1447185490002 71.2477549940001,53.1558185500002 71.2424819940001,53.143881549 71.235535994,53.1277725490002 71.2322089940001,53.1086095490002 71.2308179940001,53.0861095490001 71.2319359940002,53.0644365490002 71.235535994,52.9627725490002 71.2622089940002,52.813045549 71.302199994,52.7983365490002 71.306926994,52.7834635490002 71.3149819940002,52.7427635490001 71.3708179940001,52.7588905490001 71.3741459940001,52.7808185490001 71.3705269940002,52.817500549 71.361926994,52.8948545490001 71.3355359940001,52.9072185490001 71.3103999940001,52.9699815490002 71.2819359940001,52.9847185490002 71.2772089940001,53.0027815490001 71.2730359940002,53.013718549 71.2783549940001,53.0116635490002 71.2916549940001,52.9966545490001 71.3030359940001,52.924854549 71.3572089940001,52.891663549 71.3694269940001,52.8586095490001 71.3783089940001,52.8222185490001 71.386935994,52.7783275490002 71.3944359940001,52.7530545490002 71.3977639940001,52.7102725490001 71.4010909940002,52.4308275490002 71.3735999940001,52.4130455490001 71.3710909940002,52.271381549 71.3494269940002,52.229154549 71.3341549940001,52.2174905490001 71.327208994,52.2111095490001 71.319445994,52.2086095490001 71.3088729940002,52.2172095490001 71.2933179940002,52.2327635490001 71.2819359940001,52.2552725490002 71.2716549940001,52.2813815490002 71.2616549940001,52.2961095490001 71.2569459940001,52.329163549 71.248026994,52.3474905490002 71.2438639940002,52.3691545490001 71.240263994,52.3930545490002 71.2380359940001),(58.870545555 75.9060999980001,59.1866545550001 75.940535998,59.2086005550001 75.943590998,59.2272095550001 75.948863998,59.2447095550002 75.9549909980002,59.263609555 75.9659639980001,59.2611095550001 75.9813729980001,59.2444365550001 75.9863729980001,59.197772555 75.9824819980002,58.8711005550001 75.9380359980001,58.8511095550001 75.9338729980001,58.7935455550001 75.9213999980002,58.7130545550002 75.9047089980001,58.694709555 75.899426998,58.7052725550002 75.8955359980001,58.7547185550001 75.8969459980001,58.825827555 75.9013819980001,58.870545555 75.9060999980001),(60.269154556 76.1205269980001,60.265272556 76.1356819980001,60.2827725560001 76.1463819980001,60.3022185560002 76.1513819980001,60.3983275560001 76.1572089980001,60.4516635560001 76.156099998,60.4724905560001 76.1599909980001,60.4923545560002 76.1708179980001,60.494718556 76.1833179980002,60.4663815560002 76.1894179980001,60.4411005560001 76.1888729980001,60.041109556 76.1569359980001,59.932727556 76.1347179980001,59.910545556 76.1299729980001,59.8927725560001 76.123599998,59.8797185560002 76.1177549980001,59.8672185560002 76.1073459980002,59.8799905560002 76.1016549980001,60.1569365560001 76.1072089980001,60.2486005560001 76.1163819980002,60.269154556 76.1205269980001),(88.7616545830001 77.0083269990001,88.7830545830001 77.004990999,88.7916545830002 77.0113819990002,88.8286095830002 77.0808269990001,88.7880365830002 77.0994269990002,88.7622095830002 77.1005359990001,88.716381583 77.094435999,88.6902635830001 77.093872999,88.6647005830001 77.0963729990001,88.6455455830001 77.1029089990001,88.6566455830001 77.1121999990001,88.6833185830001 77.1146999990002,88.7469365830002 77.1163819990001,88.8510905830001 77.116926999,88.9149905830001 77.1188639990001,88.9413635830001 77.1210909990002,88.9562365830001 77.1295729990001,88.9344005830002 77.1410089990001,88.9022095830001 77.146381999,88.8766455830001 77.1491549990001,88.8433185830001 77.1502729990001,88.7797095830002 77.1483269990002,88.7530545830002 77.1460999990001,88.7299815830002 77.1430549990001,88.7105365830002 77.1391639990002,88.694700583 77.1344269990001,88.6630365830001 77.1246909990001,88.6505455830003 77.119135999,88.6366545830001 77.1049819990001,88.6297005830002 77.0894269990002,88.6272005830001 77.0760999990001,88.6316545830001 77.0610999990001,88.667481583 77.0366549990001,88.6774725830001 77.0308179990001,88.7049905830002 77.0205359990001,88.7616545830001 77.0083269990001),(58.6808275550002 70.2880359930001,58.7880455550001 70.2538729930001,58.8230455550002 70.2158269930001,58.7827725550001 70.2133179930001,58.6640185550001 70.2316549930002,58.638327555 70.238035993,58.602354555 70.2567999930002,58.4902725540001 70.2699909930001,58.428881554 70.2669269930002,58.4091545540002 70.2536089930001,58.4950005540001 70.1902639930001,58.5172095540001 70.1796999930002,58.5816545550001 70.177963993,58.6077725550002 70.1405459930001,58.5938815550001 70.1133089930001,58.5766545550001 70.0735269930001,58.6213725550001 70.0374909930002,58.6491635550001 70.0208269930002,58.6711095550001 70.0102729930002,59.0177725550001 69.8538639930001,59.0386095550001 69.8521999930001,59.1183905550002 69.8704359930002,59.0772095550001 69.8901269930001,59.0080455550001 69.9087269930001,58.9502005550001 69.937335993,59.0033275550001 69.9338729930002,59.1238815550001 69.9119269930001,59.285690555 69.8838819930002,59.3325005550001 69.8849909930001,59.3940185550002 69.8905459930002,59.4311005550002 69.8834549930002,59.613609556 69.8115089920001,59.6233275560001 69.7863729920002,59.6016545560001 69.7767909920001,59.5573545550001 69.7785999920001,59.5383275550003 69.7508179920001,59.5783275550002 69.7258179920002,59.6016635560002 69.7124909920001,59.7455455560002 69.6913639920002,59.7661095560001 69.6896999920002,59.8488815560002 69.692199992,59.8811005560001 69.6858179920001,59.9119365560002 69.6663819920001,59.9256905560001 69.6887269920001,59.9433185560001 69.698590992,59.9713725560001 69.7094269920001,60.010827556 69.7183179920002,60.0402725560002 69.7169359920002,60.094990556 69.706381992,60.1505455560002 69.6926179920002,60.1766545560002 69.6823459920001,60.205554556 69.6794269920002,60.261663556 69.6906639920002,60.4397095560001 69.7435909920001,60.5469365560001 69.802481992,60.477481556 69.9160909930002,60.418881556 69.9523459930001,60.3654095560001 69.9545729930001,60.3211095560001 69.9636089930001,60.256100556 69.9894269930001,60.079436556 70.0624819930001,59.9286095560002 70.0974909930002,59.8702725560001 70.1108089930001,59.8152725560002 70.1246909930001,59.769990556 70.163381993,59.6408275560001 70.1963639930001,59.461109555 70.2766549930001,59.422909555 70.2985909930001,59.4041635550003 70.3160819930002,59.3527725550002 70.3499909930002,59.3344365550001 70.3610999930001,59.3088815550001 70.3713729930001,59.2494365550001 70.384426993,59.1061005550001 70.4280359930001,59.0395815550002 70.4502639930002,59.0347905550001 70.474208993,59.0036095550001 70.4730359930002,58.8674905550002 70.4319269930002,58.7566635550001 70.3935999930001,58.631663555 70.3258179930002,58.6480455550001 70.297481993,58.6808275550002 70.2880359930001),(48.9097095460002 69.502490992,48.832772545 69.4891549920001,48.663881545 69.4519359920001,48.6349905450002 69.444135992,48.607772545 69.4352549920001,48.5825005450001 69.4249909920002,48.4374905450002 69.3588729920002,48.413881545 69.3477639920001,48.3916635450001 69.335263992,48.3711005450001 69.321926992,48.3174905450001 69.2827729920001,48.2891635450001 69.2538729920001,48.2722095450002 69.2226359920001,48.2656185450001 69.186235992,48.2650635450001 69.128181992,48.2321005450002 69.084090992,48.2144365450002 69.0602549920001,48.2188815450002 68.8902549920002,48.5830455450001 68.7308179910002,48.7854095450001 68.7230359910002,48.8204095450001 68.7258179910002,48.9127635460001 68.7360999910002,49.1472185460001 68.7674909910001,49.4437365460001 68.8099819920001,49.4884635460002 68.8197089920001,49.6783275460002 68.8730269920001,49.6966635460001 68.8810999920001,49.7552725460002 68.9172089920001,49.8055455460001 68.9522089920001,49.8677635460002 69.0047179920001,49.9594365470001 69.0760999920002,50.129990547 69.1383179920001,50.1981815470002 69.1530359920001,50.224436547 69.1463819920001,50.1825005470001 69.0955359920002,50.1658275470001 69.0788729920001,50.1474905470001 69.063308992,50.1230455470001 69.0428999920002,50.1133275470002 68.9949819920001,50.1351275470002 68.9916549920001,50.1772185470001 69.0113819920002,50.2622185470001 69.064699992,50.3119365470001 69.1008179920001,50.3294365470001 69.1244909920002,50.3127725470001 69.1562359920001,50.1936005470002 69.2405359920002,50.1752725470002 69.251390992,50.1427725470002 69.266663992,50.1041635470001 69.2810999920001,49.9069365460002 69.3310999920001,49.724709546 69.378308992,49.6933185460001 69.3869359920001,49.5705455460001 69.4216459920002,49.4788725460001 69.4480269920001,49.3794365460001 69.4797089920002,49.3474905460001 69.4883089920001,49.312763546 69.4963729920001,49.2919365460002 69.4997089920001,49.2441545460002 69.5055549920001,49.1194365460002 69.509154992,49.0090185460002 69.5097089920001,48.9433185460001 69.5069459920001,48.9097095460002 69.502490992),(59.1755545550002 69.1663819920002,59.2489545550002 69.137299992,59.2383275550002 69.1790089920001,59.1966545550001 69.2309549920001,59.0347185550002 69.2816639920002,58.8738815550002 69.3244359920001,58.7863815550001 69.338045992,58.7633275550001 69.336654992,58.769436555 69.3280459920001,58.8636095550001 69.2994269920001,58.9483275550002 69.2763819920002,58.983045555 69.2669359920002,59.0452725550001 69.2477549920001,59.0752725550001 69.2316549920001,59.0841635550001 69.2258179920001,59.1011095550002 69.2113819920001,59.1205815550001 69.1952359920002,59.1633185550002 69.171645992,59.1755545550002 69.1663819920002),(34.2133725320002 69.4027269920001,34.1375005320002 69.4041639920002,34.1169365320001 69.403045992,34.0780455320001 69.4002729920001,34.0433275320002 69.3952639920001,34.0272185320002 69.3924909920001,33.9994365320002 69.3847179920002,33.9875005320001 69.3796999920002,33.9758185320001 69.3628999920001,33.992490532 69.355545992,34.0505455320001 69.3477639920001,34.072772532 69.3460999920001,34.1949905320001 69.3399819920002,34.2197095320001 69.3391549920001,34.386381532 69.3374909920001,34.4049185320001 69.343799992,34.3736005320002 69.3594179920001,34.246381532 69.3960999920001,34.2133725320002 69.4027269920001),(42.6299905400002 66.6871909900001,42.6708275400001 66.6849819900001,42.7066545400002 66.6863729900001,42.7155455400001 66.6927459900002,42.7206815400002 66.70540899,42.7150005400001 66.7224909900002,42.6866545400001 66.75305499,42.6616635400002 66.7691459900002,42.6505455400001 66.7741549900001,42.6227635400002 66.7822089900001,42.6061005400001 66.7855359900001,42.5616635400001 66.7899819900001,42.5406455400001 66.7903909900002,42.5294365400001 66.7910909900002,42.5125005400002 66.7899819900001,42.4952725400001 66.78859099,42.47999054 66.78637299,42.4661005400001 66.7830549900002,42.4422185400001 66.7744269900002,42.4337455400001 66.7626359900001,42.4494365400001 66.7477549900001,42.4941545400001 66.72886399,42.5802725400001 66.69748199,42.59415454 66.6933179900003,42.6108275400001 66.6899729900001,42.6299905400002 66.6871909900001),(35.7394365330002 64.9683179880002,35.7491635330001 64.9649999880001,35.7908365330001 64.9733089880002,35.8169365330001 64.9802729880001,35.8411005330001 64.9877639880002,35.8513905330001 64.9927549880001,35.8599905330001 64.9985999880002,35.866245533 65.0110999880001,35.8688815330001 65.0319359880001,35.8633275330001 65.0733179880001,35.8430455330001 65.1549819880001,35.8377725330001 65.1654089880001,35.8121905330001 65.180554988,35.791381533 65.1891459880002,35.7747095330001 65.191926988,35.6966545330001 65.1927459880003,35.565818533 65.1785909880001,35.5536005330002 65.174699988,35.5330455330002 65.1646999880001,35.5247005330002 65.158872988,35.5213725330001 65.1458269880001,35.5249905330002 65.1269089880003,35.5415545330001 65.1039999880002,35.5678545330001 65.0841179880002,35.5837275330002 65.0732729880002,35.7394365330002 64.9683179880002),(40.2608275370001 64.7069359880001,40.274990538 64.6955269880001,40.2911005380002 64.6733179880002,40.2926365380001 64.6583269880001,40.2841635380001 64.6474909880002,40.274990538 64.6419359880001,40.2608275370001 64.639435988,40.2450005370001 64.6380459880001,40.2274815370001 64.6377729880001,40.2086005370002 64.6385999880001,40.190272537 64.6410999880001,40.1769365370001 64.6449909880001,40.1605455370001 64.6555459880002,40.1538815370001 64.6691459880001,40.1433275370001 64.6738729880001,40.0769455370001 64.6935909880002,40.0586005370002 64.695817988,40.0013905370001 64.6983179880001,39.9872095370002 64.6955269880001,39.9780455370001 64.6899729880001,39.9762365370001 64.6794179880001,39.9886005370001 64.6716459880002,40.0227635370001 64.6658179880001,40.0383275370002 64.6624909880002,40.0516545370001 64.6585999880001,40.1536005370002 64.6183179880001,40.1827725370001 64.602763988,40.199154537 64.5922089880001,40.2305455370001 64.5855359880001,40.2480455370002 64.5858179880001,40.2952725380001 64.589981988,40.3094365380001 64.5924819880001,40.3252725380001 64.5938729880001,40.3427635380002 64.5941459880001,40.3741635380001 64.587772988,40.3872185380001 64.5838819880001,40.4191545380002 64.5697179880001,40.4349905380002 64.5666639880002,40.4555545380001 64.564699988,40.471372538 64.5660819880001,40.4773455380001 64.576099988,40.4549905380001 64.6119269880002,40.4124905380002 64.6535909880001,40.348545538 64.7583179880002,40.3433185380001 64.760817988,40.3299905380001 64.7647089880001,40.310818538 64.7655459880001,40.293327538 64.765272988,40.258327537 64.7647089880001,40.1481185370001 64.7485999880001,40.1988725370002 64.735535988,40.212209537 64.7316549880001,40.2444365370002 64.7177549880002,40.2608275370001 64.7069359880001),(50.7968005470001 68.3753999910001,50.8141545470002 68.372208991,50.8297185470001 68.3746909910001,50.9213815470002 68.391663991,51.0530455480001 68.4222089910001,51.170827548 68.4488639910001,51.1863815480002 68.4513819910002,51.3099905480001 68.4580359910001,51.4194455480002 68.4611089910001,51.4336005480001 68.4647089910001,51.4566545480001 68.4769269910001,51.4441545480002 68.4824819910002,51.2777725480001 68.4949819910001,51.2180455480001 68.4974819910001,51.1811095480002 68.4969359910001,51.1638815480001 68.4952549910001,51.1169365480001 68.487490991,51.0575005480001 68.4746999910001,50.9836095470001 68.458326991,50.9552725470002 68.4508179910001,50.9141545470001 68.4383089910002,50.8872185470002 68.4296999910002,50.8491635470001 68.4146999910002,50.8367275470002 68.4090089910001,50.8113815470002 68.395263991,50.7968005470001 68.3753999910001),(57.6772185540001 68.7849909920001,57.6419365540002 68.783326992,57.5672185540002 68.7844269920001,57.5144455540002 68.7816639920001,57.4805455540002 68.7788729920001,57.3799905530002 68.768599991,57.3308275530001 68.7624999910001,57.2872005530002 68.7548089910001,57.2655455530002 68.7499999910001,57.2513905530002 68.7455269910002,57.2000005530001 68.7209549910001,57.3213815530002 68.7266549910001,57.4280455530001 68.7494179910001,57.4419365530002 68.7538729910001,57.4561005540002 68.7583269910002,57.4877725540002 68.7636089910001,57.558045554 68.7672089910002,57.5941545540001 68.7677639910001,57.6338815540001 68.7647089910001,57.7000005540002 68.7572179910001,57.8647185540001 68.761935991,57.8788725540001 68.7660999910001,57.9208275540001 68.8033179920001,57.9119365540002 68.808872992,57.8908275540002 68.8116459920001,57.8250005540001 68.8033179920001,57.8097185540001 68.8002639920001,57.760272554 68.793872992,57.7274815540001 68.7899819920002,57.6772185540001 68.7849909920001),(67.0385905620001 69.468045992,67.1963635630001 69.4472089920001,67.2160905630001 69.444699992,67.2524905630002 69.444699992,67.2691455630002 69.4472089920001,67.2852635630001 69.4510999920002,67.2994275630002 69.4583269920001,67.355672563 69.510126992,67.3660905630001 69.5269269920001,67.3663815630002 69.5396999920001,67.3505365630001 69.5735999920002,67.3383185630001 69.588881992,67.3208275630001 69.5938729920002,67.301654563 69.5952639920001,67.2847095630001 69.5927549920002,67.1488815630001 69.5711089920001,67.1336095630002 69.566081992,67.1055455620001 69.5513729920002,67.063600562 69.5230359920002,67.039009562 69.5051359920001,67.0328815620001 69.497363992,67.0220005620002 69.4813729920002,67.0385905620001 69.468045992),(66.9716455620002 69.4549909920001,66.9561005620002 69.456372992,66.9398455620001 69.446926992,66.9416545620002 69.431090992,66.9524815620001 69.4159549920002,66.9666635620001 69.4072089920001,66.9910905620002 69.3960999920001,67.000627562 69.393435992,67.0191455620001 69.3855459920002,67.0919365620001 69.3663819920001,67.113036563 69.3613729920001,67.1310905630001 69.3613729920001,67.1477635630001 69.3638729920002,67.158872563 69.369708992,67.2174815630001 69.4072089920001,67.2105365630001 69.4258089920002,66.9716455620002 69.4549909920001),(65.9647095610001 69.1024819920001,65.9541005610002 69.0959639920001,65.9519365610002 69.0938729920001,65.9660905610002 69.088590992,65.9855365610001 69.086108992,66.004990561 69.0838819920002,66.043318562 69.0802729920001,66.0611005620001 69.080554992,66.1358185620001 69.0760999920002,66.1566455620001 69.0711089920001,66.2686005620001 69.0347179920001,66.3908275620003 68.986372992,66.4010905620001 68.9808179920001,66.5080455620002 68.945254992,66.525545562 68.9399729920002,66.5376275620002 68.9467909920001,66.5304005620001 68.9590179920002,66.5163905620002 68.967754992,66.4013815620002 69.0166639920001,66.3316635620001 69.0435909920001,66.3035905620001 69.0541549920001,66.2338725620002 69.0744359920002,66.1719185620001 69.0877729920002,66.1516545620001 69.0913729920002,66.1127635620002 69.0960999920001,66.0747095620001 69.0994269920001,66.0177635610001 69.1041549920001,65.9819365610002 69.1038639920002,65.9647095610001 69.1024819920001),(70.1024815650001 66.527763989,70.0905455650002 66.6796999900002,70.0852635650001 66.6888639900001,70.070545565 66.6977549900002,70.0552545650002 66.7033269900001,70.0383185650002 66.70470899,69.9880365650001 66.7080359900002,69.9716455650002 66.7083269900001,69.955827565 66.7072179900002,69.8555455650002 66.7213729900002,69.7749185650002 66.7455639900002,69.7527815650002 66.75721799,69.735263565 66.7599909900002,69.7013815650002 66.7630459900001,69.584990565 66.7683269900001,69.5691545650001 66.7672089900001,69.554427565 66.76388199,69.5418815650001 66.75584599,69.5451185650001 66.7431819900001,69.5569275650001 66.7341459900001,69.5933185650002 66.7172089900001,69.620818565 66.70609999,69.6574815650002 66.6924729900002,69.6449905650001 66.6871909900001,69.6272005650002 66.6910819900002,69.545818565 66.7141549900002,69.533600565 66.71998199,69.5247005650002 66.7258179900001,69.4958635650002 66.75409999,69.4938635650001 66.7752729900002,69.4849815650001 66.78109999,69.4669365650002 66.7927549900002,69.4577635650001 66.7985999900002,69.4222095650002 66.8052549900002,69.4058185650002 66.8055459900002,69.2827635650002 66.78692699,69.2669365650002 66.7858089900001,69.2522095640001 66.7899819900001,69.2338725640001 66.8016549900001,69.2186005640002 66.80720899,69.202209564 66.80720899,69.1844185640001 66.8066359900001,69.153045564 66.80331799,69.1383185640001 66.7997089900002,69.1269185640001 66.7919269900002,69.1541635640002 66.77109999,69.1663815640002 66.7655459900001,69.2508275640001 66.7363729900002,69.2677635650002 66.7349819900002,69.283054565 66.7374909900001,69.2935905650002 66.7433179900002,69.2909095650002 66.75716399,69.3072095650002 66.7647089900001,69.3224905650002 66.7672089900001,69.4019275650001 66.7724909900001,69.4194365650002 66.7697179900001,69.431654565 66.7641639900001,69.4408095650001 66.7580459900001,69.5088815650003 66.70470899,69.520536565 66.6924729900002,69.5709725650001 66.63470899,69.5733185650001 66.6058179890001,69.7611095650002 66.5199909890001,69.8231365650001 66.4885269890002,69.8291635650001 66.483872989,69.841090565 66.4783179890001,69.8591455650002 66.4741549890001,69.8763725650002 66.4716459890002,70.0344275650002 66.495817989,70.0488725650001 66.5005459890002,70.1024815650001 66.527763989),(77.3158095720001 72.5422089950001,77.3044275720002 72.5358089950001,77.2933185720001 72.529435995,77.2829095720001 72.520126995,77.2705365720002 72.4983179950002,77.268190572 72.488590995,77.2566545720002 72.4730359950001,77.2344185720002 72.4602639950001,77.196090572 72.447481995,77.1383185720001 72.4291549950001,77.0999905720002 72.4174819950001,76.9838725720001 72.3858179950001,76.945527572 72.374145995,76.8883185720002 72.3547089950001,76.8736005720001 72.3483269950002,76.8682725720001 72.3438459950002,76.855400572 72.326935995,76.8624905720001 72.311645995,76.8905455720002 72.2935909950001,76.9116545720001 72.289154995,76.9324815720001 72.2858089950001,76.973600572 72.281663995,77.0758185720002 72.2760909950001,77.0963725720001 72.2752729950003,77.1163815720001 72.2755459950001,77.1363815720001 72.277208995,77.1752635720002 72.2852639950002,77.194972572 72.288035995,77.215000572 72.289699995,77.378581572 72.2916549950002,77.4397005720001 72.289154995,77.5419275720001 72.2833269950002,77.7625005720001 72.2952549950001,77.7824815720001 72.2966459950001,77.8019275720002 72.3005359950001,77.8244365720001 72.3133089950002,77.838590572 72.3258179950001,77.8611005730003 72.3383179950002,77.9219185730001 72.3638729950002,77.9413635730002 72.3702549950002,78.0000005730001 72.3858179950001,78.0591455730003 72.397763995,78.193863573 72.4227639950001,78.3824725730001 72.4766549950001,78.3913815730001 72.485954995,78.383327573 72.5010999950001,78.3563725730002 72.519435995,78.3261005730001 72.5313729950001,78.248600573 72.5610999950001,78.227200573 72.5669359950001,78.1849815730002 72.5760999950001,78.1619275730001 72.578872995,77.8697095730003 72.6130359950002,77.807209572 72.6197089950002,77.6819275720001 72.6299729950002,77.6405455720001 72.6319269950002,77.6202545720002 72.6305359950001,77.5802725720002 72.624981995,77.5605275720002 72.6197089950002,77.3502635720001 72.554981995,77.3308275720001 72.5485999950001,77.3158095720001 72.5422089950001),(82.3730365770001 70.8808179930001,82.3955365770001 70.8763729930002,82.4147005770003 70.8785819930002,82.4458185770002 70.8908269930001,82.4574905770001 70.8969459930001,82.4894275770001 70.9216459940002,82.4977545770002 70.9341459940001,82.502209577 70.9463639940001,82.5030545770002 70.9588819940002,82.4958095770002 70.9681819940002,82.477481577 70.977763994,82.383045577 70.9905359940002,82.3638725770001 70.991926994,82.348600577 70.9883089940001,82.3405455770001 70.9822089940001,82.3065095770002 70.9494269940002,82.3077635770002 70.9370639940001,82.3444365770001 70.908872993,82.3548095770002 70.9025549930001,82.3730365770001 70.8808179930001),(83.0524725770001 70.9769269940001,83.0719365770001 70.9363729940001,83.0863815770002 70.9269269940002,83.1631455770001 70.8918269930001,83.1774725770002 70.8838819930001,83.2136095770002 70.8649909930001,83.2285905780001 70.8635999930001,83.2552725780001 70.884990993,83.2570815780002 70.9035909930001,83.2249815780001 70.9473459940002,83.2069365770001 70.9569359940002,83.1883095770001 70.9608179940002,83.0794365770002 70.9805459940002,83.0605275770002 70.9830459940001,83.0524725770001 70.9769269940001),(83.0731905770001 70.3945729930002,83.0952635770002 70.3913729930001,83.2708275780001 70.444426993,83.3016545780001 70.4563729930001,83.3101185780002 70.4656819930001,83.2841455780002 70.506381993,83.2661005780002 70.513045993,83.2474815780001 70.5144359930001,83.2294275780002 70.5213819930001,83.288318578 70.6733089930001,83.2963725780001 70.6794269930002,83.3155365780001 70.6816549930002,83.3341545780002 70.6813639930001,83.3722095780001 70.6860999930001,83.391372578 70.689699993,83.4108095780001 70.695526993,83.4383095780001 70.707763993,83.4502725780002 70.7138819930001,83.4586005780002 70.719981993,83.4633275780001 70.7292909930001,83.4572185780001 70.7449819930002,83.4402635780002 70.763608993,83.377200578 70.8141459930001,83.3627635780001 70.8205459930001,83.2863725780001 70.8535909930001,83.2672095780001 70.8499909930001,83.2591545780002 70.8438729930002,83.2141545770002 70.8072089930002,83.1951185770002 70.7855359930001,83.144990577 70.7083269930002,83.1260815770001 70.6649909930002,83.102481577 70.565535993,83.0936005770001 70.503326993,83.0802725770001 70.4349819930002,83.067609577 70.4162639930001,83.0666635770001 70.4038729930002,83.0731905770001 70.3945729930002),(83.4466365780001 70.4885909930001,83.465000578 70.487199993,83.4838725780001 70.4894269930001,83.4958185780001 70.4955269930002,83.5730455780002 70.556926993,83.5729095780001 70.572490993,83.5527635780002 70.5783269930002,83.4066455780001 70.5774819930001,83.3683185780002 70.567763993,83.361781578 70.5585909930001,83.4036095780002 70.511272993,83.4102635780001 70.4988729930001,83.4283185780002 70.4924819930001,83.4466365780001 70.4885909930001),(83.5583185780002 70.5227639930001,83.4124905780001 70.440263993,83.4033185780001 70.4260909930001,83.3797005780001 70.364990993,83.3905455780002 70.3624909930001,83.416654578 70.3627639930002,83.4791545780001 70.3685909930002,83.518327578 70.3735999930002,83.5336005780002 70.3771999930001,83.5435905780002 70.3824729930002,83.5711095780002 70.3994269930001,83.593318578 70.4183179930002,83.6140725780002 70.445463993,83.6065095780002 70.4543639930001,83.5516545780001 70.446090993,83.5502635780001 70.463608993,83.5811005780002 70.4708269930002,83.5938725780002 70.4755359930001,83.6141545780002 70.486372993,83.6236005780002 70.5005459930001,83.6260905780001 70.520272993,83.6160905780002 70.530272993,83.5997185780002 70.5335999930002,83.581663578 70.530817993,83.5583185780002 70.5227639930001),(83.0452545770001 70.1216459930002,83.081663577 70.118863993,83.0969365770002 70.1249819930002,83.1129005770002 70.1402639930002,83.113600577 70.1933179930002,83.1074815770002 70.2058269930001,83.0969365770002 70.2121999930002,83.0827635770001 70.2185999930002,82.955554577 70.2460909930002,82.8822005770002 70.2516639930001,82.863872577 70.2516639930001,82.7847095770002 70.2274819930002,82.776654577 70.2213729930001,82.7720725770001 70.205681993,82.7825905770002 70.1978179930002,82.875536577 70.1605359930001,82.8933275770002 70.1541639930001,82.9547095770001 70.1361089930002,82.9724905770001 70.1310909930001,82.9908185770001 70.1283089930001,83.0452545770001 70.1216459930002),(87.068881581 73.7147089960001,86.9925905810001 73.6930909960001,86.975600581 73.687590996,86.9216455810001 73.6699819960002,86.8838815810001 73.6547089960002,86.8629005810001 73.6390179960001,86.8669275810001 73.628308996,86.8785815810002 73.6230269960002,86.9102635810002 73.6366549960001,86.9950005810001 73.6520999960001,87.0173095810003 73.6560999960002,87.0647005810001 73.6613729960002,87.0894275810002 73.6630359960001,87.1116455810002 73.6738729960001,87.1755365810001 73.708035996,87.185254581 73.7138819960002,87.2544365810002 73.765826996,87.227200581 73.8063639960002,87.218600581 73.8149909960001,87.197481581 73.8177639960002,87.178590581 73.8144179960001,87.1649905810001 73.8008089960001,87.1502725810002 73.7699909960002,87.1230365810001 73.738317996,87.068881581 73.7147089960001),(86.7927545810002 73.6138729960001,86.8988815810001 73.6933179960001,86.896272581 73.6930729960001,86.9022095810001 73.6974819960002,86.8841545810001 73.701099996,86.8380455810001 73.697208996,86.825272581 73.6919269960001,86.8158095810001 73.6860999960001,86.7533275810002 73.6691459960001,86.7163815810001 73.6624909960001,86.6947005810001 73.659990996,86.5722185810002 73.651926996,86.5352635810002 73.6452639960001,86.5011005810001 73.6377729960001,86.4858095810001 73.6333269960001,86.3949905800002 73.5883179960002,86.4194365800001 73.5880459960001,86.6877635810002 73.5922089960001,86.7366455810002 73.5952639960001,86.7522095810001 73.5997179960002,86.7799815810002 73.6088729960001,86.7927545810002 73.6138729960001),(86.5555455810002 74.7647089970002,86.5999905810002 74.751099997,86.6977545810002 74.7608179970001,86.7433185810002 74.7658269970001,86.7733185810001 74.774990997,86.7833275810002 74.780817997,86.7680545810002 74.7935909970001,86.748872581 74.797208997,86.5422095810002 74.8149909970001,86.4969365810001 74.8185999970001,86.4676185810001 74.8187549970002,86.4702635810002 74.8033179970001,86.511109581 74.778590997,86.5555455810002 74.7647089970002),(106.594145599 77.3752640000001,106.623027599 77.373309,106.646654599 77.3760820000001,106.8705276 77.4160910000001,106.8869366 77.4219180000001,106.9041636 77.4449730000001,106.9008186 77.459155,106.813309599 77.4702640000001,106.781936599 77.470536,106.755545599 77.4688730000001,106.731936599 77.4663820000001,106.573318599 77.4388730000002,106.559709599 77.4322090000002,106.504172599 77.389982,106.523709599 77.386918,106.594145599 77.3752640000001),(107.3533186 77.3472179990001,107.3280456 77.3324909990002,107.2031096 77.2344269990001,107.2194366 77.230817999,107.2616546 77.2355359990001,107.2924816 77.2349819990001,107.3544276 77.2288639990002,107.5619186 77.2549909990001,107.6896996 77.2641639990001,107.6666546 77.3308269990002,107.4149906 77.356645999,107.3960996 77.3544269990001,107.3533186 77.3472179990001),(156.496854646 77.1470639990001,156.450254646 77.1402729990001,156.436354646 77.1320639990001,156.448027646 77.1224819990001,156.468845646 77.1163819990001,156.515536646 77.109145999,156.564418646 77.104426999,156.589963646 77.1030459990001,156.617736646 77.1038639990001,156.673854646 77.1058179990001,156.703854646 77.109145999,156.720245646 77.1144269990002,156.731763646 77.1227549990002,156.722745646 77.132199999,156.700809646 77.1369359990001,156.677463646 77.1405459990001,156.653045646 77.1430549990001,156.603027646 77.1469459990001,156.555545646 77.1480359990001,156.496854646 77.1470639990001),(149.301636639 76.7683269990002,149.113863639 76.7558269990001,148.982454639 76.7522089990001,148.746609639 76.7458179990001,148.666381638 76.7299819990001,148.491054638 76.6883089990001,148.473018638 76.6830459990001,148.441927638 76.6719179990002,148.416072638 76.6608089990001,148.393327638 76.640545999,148.401118638 76.6341999990001,148.484127638 76.6372089990002,148.644136638 76.6494269990002,148.752199639 76.6597179990001,148.978572639 76.6699819990002,149.029145639 76.6685909990001,149.054136639 76.6666549990001,149.078036639 76.6636089990001,149.125245639 76.6552549990001,149.148036639 76.6497179990001,149.168854639 76.650545999,149.210509639 76.661099999,149.218845639 76.6669269990002,149.314418639 76.7535999990001,149.301636639 76.7683269990002),(112.374981605 76.654163999,112.348036605 76.6566459990001,112.324709605 76.654163999,112.316936605 76.6373549990001,112.309145605 76.6208179990001,112.292209605 76.6177549990001,112.262772605 76.6185909990002,112.229427605 76.6216459990002,112.171918604 76.6288639990001,112.147772604 76.6330459990002,112.118318604 76.633881999,112.090818604 76.633608999,111.989154604 76.6285819990001,111.967754604 76.6252639990002,111.956645604 76.598599999,112.079990604 76.553035999,112.104154604 76.5488729990002,112.132754604 76.5455359990002,112.191363604 76.5435909990002,112.218599605 76.543872999,112.280545605 76.5371999990002,112.304427605 76.5330549990001,112.333881605 76.5230359990001,112.343872605 76.5177639990002,112.369981605 76.488308999,112.424699605 76.4552639990001,112.448590605 76.4510999990001,112.481654605 76.4480269990001,112.574999605 76.441926999,112.593318605 76.443590999,112.608872605 76.4502729990001,112.713599605 76.5137359990001,112.703599605 76.5224909990001,112.684418605 76.5269269990002,112.565809605 76.5499909990002,112.524563605 76.619426999,112.507218605 76.6274729990002,112.374981605 76.654163999),(113.306927606 76.3591459990001,113.416654606 76.358317999,113.442199606 76.3638729990001,113.434981606 76.3727549990001,113.416090606 76.3771999990002,113.388045606 76.3810909990001,113.331936606 76.3819269990001,113.271099605 76.3888819990001,113.263881605 76.3977639990001,113.297209606 76.4144269990002,113.303872606 76.4245639990001,113.287199606 76.4324819990001,113.258881605 76.4363729990002,113.233599605 76.4349819990001,113.214154605 76.4308179990001,113.167481605 76.4108089990002,113.140263605 76.3952639990002,113.122209605 76.380817999,113.118763605 76.369990999,113.160263605 76.3652639990001,113.306927606 76.3591459990001),(138.496227629 76.1652639980001,138.459545629 76.1234549980001,138.474399629 76.1027639980002,138.445527629 76.0592909980002,138.415799629 76.0608089980001,138.388518629 76.0711089980001,138.343563629 76.1197089980001,138.340099629 76.1456819980001,138.218290629 76.1319269980001,138.170254629 76.1219179980001,138.136899629 76.1127639980002,137.968845628 76.0513729980001,137.992736629 76.0563639980001,138.034972629 76.0685999980001,138.082199629 76.0831819980002,138.112872629 76.0769359980001,138.100509629 76.0590089980001,138.068572629 76.043872998,138.003327629 76.0194359980002,137.979127629 76.0169359980002,137.954681628 76.0155459980002,137.905545628 76.0163909980001,137.783054628 76.0138819980002,137.734409628 76.0111089980001,137.710236628 76.0086089980001,137.686372628 76.004717998,137.567472628 75.982208998,137.496609628 75.9669359980002,137.449981628 75.9547089980002,137.412754628 75.9378999980001,137.430036628 75.878663998,137.594454628 75.8106729980001,137.689418628 75.7883179980002,137.721418628 75.7792179980001,137.740236628 75.745817998,137.711909628 75.7419269980002,137.687190628 75.7452549980002,137.636672628 75.757290998,137.613736628 75.7638819980002,137.561599628 75.7712089980002,137.511654628 75.7791639980001,137.301636628 75.7874909980002,137.229127628 75.7855359980001,137.205227628 75.7841459980002,137.174972628 75.7772179980001,137.071545628 75.7207459980002,137.094699628 75.7077639980002,137.119690628 75.7033269980001,137.148181628 75.6945639980001,137.163727628 75.6769269980001,137.145618628 75.653517998,137.071072628 75.634717998,137.047763628 75.631926998,137.001645628 75.6216459980001,136.968445628 75.6061359980002,136.981354628 75.5815089980002,137.068927628 75.5637999980001,137.029690628 75.5802729980001,136.980418628 75.5968179980002,137.007809628 75.6176459980001,137.029972628 75.6244179980001,137.131027628 75.6451729980002,137.164699628 75.6477639980002,137.210236628 75.636381998,137.287472628 75.591854998,137.207645628 75.528990998,137.188018628 75.4705359980001,137.138881628 75.4533269980001,137.131772628 75.417345998,137.149718628 75.3994269980001,137.173854628 75.3974909980002,137.198163628 75.4066549980001,137.227172628 75.4160909980001,137.249999628 75.4210999980002,137.273318628 75.4224819980001,137.297209628 75.4227639980002,137.345245628 75.4197089980001,137.394436628 75.4108089980001,137.419418628 75.403454998,137.426227628 75.379426998,137.404972628 75.3521999980002,137.382445628 75.3460999980001,137.266936628 75.3327639980002,137.219972628 75.3297089980002,137.172481628 75.3316639980001,137.148318628 75.3349909980001,137.123563628 75.3394269980001,137.098299628 75.3480359980001,137.069118628 75.3746909980002,137.047763628 75.3863819980001,137.023863628 75.388317998,136.999999628 75.3880459980001,136.976627628 75.3866549980002,136.930818628 75.3788639980002,136.908327628 75.3735999980001,136.877045627 75.3644269980001,136.860654627 75.3520639980001,136.910799628 75.2719269980002,136.975527628 75.2322089980001,137.119963628 75.1438729970001,137.140809628 75.1321999970001,137.324399628 75.0744359970001,137.480809628 75.0344269970002,137.504699628 75.0297089970001,137.528590628 75.0263819970002,137.599699628 75.0177639970001,137.623290628 75.0155459970001,137.675809628 75.0063819970002,137.743290628 74.9916549970001,137.767490628 74.9858089970001,137.789836628 74.9752639970001,137.806499628 74.9573549970002,137.817609628 74.9153999970002,137.833036628 74.8916639970002,137.874545628 74.8526909970001,138.025272629 74.8044269970002,138.068299629 74.7927549970001,138.115509629 74.782481997,138.139163629 74.7777729970002,138.162472629 74.7744269970001,138.185518629 74.7722179970001,138.208590629 74.771381997,138.257199629 74.7674909970002,138.465518629 74.7499999970001,138.673581629 74.7299819970001,138.742736629 74.7230359970001,138.766081629 74.7185999970002,138.812745629 74.7069359970002,138.854945629 74.6949729970002,138.892763629 74.6833179970002,138.934690629 74.671372997,139.004699629 74.6538729970002,139.027772629 74.6502729970001,139.05053663 74.648035997,139.07358163 74.6469459970001,139.09607263 74.647217997,139.16415463 74.6510909970002,139.20913663 74.6560999970001,139.23162763 74.6599909970001,139.32134563 74.6796999970002,139.34384563 74.6858089970001,139.38608163 74.7008179970001,139.49858163 74.7616549970001,139.53526363 74.7977639970001,139.56650963 74.8527639970001,139.52026363 74.8560909970001,139.49691863 74.860808997,139.47329963 74.871508997,139.46259963 74.928599997,139.53305463 74.9497089970001,139.64694563 74.9791549970002,139.66998163 74.9791549970002,139.69357263 74.9744269970001,139.75915463 74.9577639970001,139.85745463 74.9316549970001,139.97885463 74.8954089970001,140.05849063 74.8313089970001,140.295809631 74.8369269970002,140.456363631 74.8574819970001,140.594118631 74.8719179970001,140.640254631 74.8744179970002,140.686372631 74.878035997,140.755554631 74.8838819970001,140.824672631 74.8910999970002,140.916927631 74.9055459970002,140.981627631 74.9077639970002,141.050809631 74.9099909970001,141.120236631 74.911099997,141.235509632 74.9169269970002,141.443845632 74.9330459970002,141.513609632 74.938872997,141.536654632 74.9410819970002,141.583309632 74.9469269970001,141.690518632 74.9647089970001,141.798309632 74.9858089970001,141.984681632 74.996935997,142.170536632 75.004163997,142.193845632 75.004163997,142.228145632 74.9977639970002,142.356136633 74.929417997,142.327181633 74.9174819970001,142.304136633 74.916381997,142.281372633 74.9213729970002,142.258881632 74.9274729970001,142.218290632 74.9385819970001,142.136654632 74.9583269970001,142.113863632 74.9608179970002,142.067745632 74.9633179970001,142.044436632 74.9621999970001,142.021090632 74.9599909970001,141.997745632 74.9566459970001,141.973354632 74.9386639970002,142.017209632 74.9083269970001,142.071345632 74.8899819970001,142.350799633 74.8236089970001,142.373563633 74.8197179970001,142.396090633 74.8172179970002,142.441654633 74.813308997,142.487454633 74.8116459970001,142.556363633 74.8135999970002,142.579681633 74.8169359970001,142.703290633 74.8431819970001,142.646636633 74.8419359970001,142.621899633 74.846235997,142.656099633 74.8849909970002,142.689136633 74.8926269970001,142.744690633 74.8938729970001,142.775863633 74.8879639970001,142.955536633 74.8838819970001,143.131899633 74.8930549970001,143.178318633 74.8938729970001,143.270536633 74.8952639970001,143.316654633 74.8947179970001,143.430818634 74.8874999970001,143.454127634 74.8897089970001,143.644436634 74.9235999970001,143.698518634 74.9371909970001,143.667190634 74.9780459970001,143.637209634 74.9933179970002,143.602172634 75.0058269970001,143.579954634 75.012208997,143.557190634 75.0147089970001,143.533872634 75.0138819970001,143.510254634 75.0116549970001,143.439145634 75.0016639970001,143.415799634 75.0005459970001,143.392763634 75.0022089970001,143.347199634 75.0086089970001,143.166381633 75.042754997,143.098845633 75.0577549970002,143.029972633 75.065535997,142.960509633 75.0697179970001,142.890536633 75.0669359970001,142.843845633 75.0672179970001,142.818572633 75.0691549970002,142.749690633 75.0769359970002,142.680818633 75.085817997,142.634981633 75.0935999970002,142.609745633 75.1072089970002,142.587190633 75.1477639970002,142.418027633 75.2566549980001,142.390809633 75.2688729980001,142.318299633 75.2969359980002,142.286372633 75.3091459980002,142.213009632 75.3333269980001,142.153027632 75.3785909980001,142.113590632 75.501390998,142.140254632 75.590817998,142.229945632 75.655254998,142.374663633 75.6602639980001,142.399136633 75.6624909980001,142.427081633 75.6731269980001,142.447481633 75.711108998,142.544981633 75.719981998,142.593845633 75.7244269980001,142.666654633 75.7274819980001,142.902190633 75.718317998,142.926090633 75.7169359980001,142.949709633 75.7119269980002,143.004972633 75.6938639980001,143.023163633 75.6845729980002,143.042054633 75.663599998,143.038590633 75.6217909980002,143.015809633 75.5951269980001,142.961363633 75.5819359980002,142.893036633 75.5730459980001,142.805236633 75.5594179980001,142.731899633 75.5469359980001,142.677181633 75.530545998,142.632172633 75.5130459980002,142.509263633 75.458108998,142.497054633 75.362408998,142.533054633 75.3427549980001,142.569427633 75.3305549980002,142.615509633 75.3205459980002,142.638581633 75.3144179980001,142.661090633 75.3052639980002,142.679690633 75.2638819980001,142.711345633 75.2308179980002,142.741054633 75.223872998,142.764436633 75.2224909980001,142.788027633 75.2235999980002,142.811372633 75.2222179980002,142.834409633 75.2183179980001,142.866618633 75.1762269970001,142.871063633 75.1552639970001,142.896927633 75.1369359970001,142.926090633 75.1288639970001,142.949127633 75.126372997,142.972472633 75.1260819970001,143.041654633 75.1194269970002,143.206909633 75.0988729970001,143.252472633 75.0910909970001,143.297209633 75.078599997,143.319972633 75.0736089970001,143.342472633 75.0697179970001,143.365509634 75.0672179970001,143.388581634 75.0658089970001,143.435790634 75.069990997,143.459409634 75.0733179970002,143.479263634 75.0804089970002,143.503599634 75.0861089970002,143.550809634 75.0905459970001,143.574127634 75.0902729970001,143.597199634 75.0888819970001,143.758027634 75.0749999970001,143.780545634 75.0711089970002,143.824981634 75.0585909970001,143.859954634 75.0460999970001,143.904418634 75.0335999970002,143.949709634 75.0269269970001,143.972472634 75.0255459970001,143.995790634 75.0252729970001,144.019136634 75.026090997,144.066927634 75.0327639970001,144.115509634 75.044145997,144.186645634 75.0502639970001,144.233036634 75.049708997,144.256099634 75.0483269970001,144.278590634 75.0455359970001,144.301636634 75.0438729970002,144.324981634 75.0435909970001,144.348299634 75.0444359970001,144.404845634 75.0587269970001,144.460236635 75.0896359970001,144.512209635 75.1144269970002,144.587190635 75.1372089970001,144.607181635 75.1430549970001,144.631345635 75.1460999970001,144.687899635 75.157899997,144.709136635 75.169572997,144.719118635 75.2024819970002,144.725799635 75.2322089980001,144.834136635 75.2535999980001,144.936372635 75.2662459980002,144.909990635 75.2841459980001,144.881345635 75.2935909980001,144.858581635 75.2960999980001,144.811645635 75.298035998,144.788881635 75.3008089980002,144.703036635 75.3188819980002,144.673445635 75.3281819980002,144.688563635 75.400545998,144.710954635 75.4152639980001,144.746081635 75.4326179980001,144.778872635 75.4410819980002,144.803863635 75.4455269980001,144.877163635 75.4541639980001,144.925809635 75.4580359980002,144.986909635 75.4738729980002,145.057736635 75.4908179980001,145.083036635 75.4949819980002,145.206636635 75.512208998,145.231081635 75.5141639980001,145.279145635 75.5147089980001,145.349699635 75.5108179980001,145.382109635 75.5154729980001,145.293718635 75.569990998,145.222745635 75.5919359980002,145.200254635 75.597217998,145.154145635 75.6049819980001,145.107454635 75.6105359980001,145.013309635 75.6180459980001,144.895809635 75.6294269980002,144.825527635 75.6377729980001,144.803036635 75.6438729980001,144.764163635 75.6624909980001,144.722181635 75.6894179980001,144.689699635 75.694699998,144.641663635 75.696363998,144.617463635 75.695526998,144.522218635 75.7016639980001,144.475527635 75.709717998,144.225254634 75.7605459980001,144.017490634 75.8133089980001,143.924136634 75.8333269980001,143.900545634 75.8371999980001,143.657199634 75.8649909980001,143.633027634 75.8663819980001,143.584409634 75.8669269980001,143.559963634 75.8658179980001,143.410799634 75.8472179980002,143.385527634 75.8413729980001,143.364681634 75.8328999980001,143.235509633 75.814417998,143.161372633 75.806635998,143.136936633 75.8058179980001,143.088563633 75.8060909980001,142.992463633 75.8141459980001,142.897218633 75.8291639980001,142.873290633 75.8316639980002,142.753054633 75.8410909980002,142.656372633 75.846372998,142.560245633 75.8577549980002,142.512754633 75.8677549980001,142.458018633 75.8817909980001,142.431972633 75.9013179980002,142.401090633 75.9208179980001,142.363281633 75.9330459980001,142.129390632 75.9997089980001,142.009427632 76.0333269980002,141.763027632 76.0997179980002,141.581909632 76.1277639980001,141.405818632 76.1710999980002,141.356627632 76.1805459980001,141.331909632 76.1805459980001,141.306781632 76.1753999980002,141.385118632 76.1515179980001,141.487454632 76.068181998,141.612545632 76.0170359980002,141.579681632 75.9997089980001,141.558027632 76.0073549980001,141.531372632 76.0152729980001,141.507199632 76.0188729980001,141.384981632 76.0358089980001,141.213590632 76.0563639980001,141.189145631 76.0577549980001,141.041072631 76.0519269980001,141.016390631 76.0497089980001,140.991909631 76.0449819980001,140.971890631 76.0391549980001,140.949690631 76.0272179980001,140.922209631 76.004717998,140.902190631 75.9810909980001,140.877790631 75.8978999980002,140.909836631 75.8413819980001,140.894436631 75.7847179980001,140.869609631 75.738799998,140.979672631 75.6799819980001,141.055936631 75.6423459980001,141.031645631 75.6333269980001,140.983309631 75.6216459980001,140.935245631 75.6119269980001,140.911099631 75.6085999980002,140.887209631 75.6085999980002,140.863009631 75.6097089980001,140.647218631 75.6219179980002,140.479127631 75.6361089980001,140.454954631 75.6397089980002,140.430818631 75.6504089980002,140.459136631 75.7040089980002,140.480790631 75.7188729980001,140.541990631 75.7516549980002,140.530945631 75.778454998,140.496918631 75.7933179980002,140.438563631 75.8110999980001,140.389981631 75.8158089980002,140.268309631 75.8241549980001,140.244109631 75.8241549980001,140.219972631 75.8191549980001,140.159699631 75.8008089980002,140.03305463 75.8183269980001,139.93524563 75.8361089980001,139.79420963 75.8841459980001,139.83359063 75.9260909980002,139.85799963 75.9249909980001,139.88271863 75.9213729980001,139.90553663 75.929635998,139.86663663 75.9524819980001,139.83663663 75.9641549980001,139.81692763 75.9699819980002,139.79220963 75.9724909980001,139.76776363 75.9735999980002,139.69411863 75.9733089980001,139.66970963 75.9755359980002,139.64499063 75.9791549980001,139.57995463 75.9966459980001,139.54999063 76.0083269980001,139.50970963 76.0199909980001,139.46469063 76.0319359980001,139.38998163 76.0447089980001,139.36523663 76.048035998,139.34023663 76.050263998,139.29052763 76.0572089980002,139.19079963 76.072217998,139.09497263 76.0955359980001,139.023036629 76.1246909980001,138.981081629 76.1483269980001,138.959136629 76.1719179980002,138.956363629 76.1983909980002,138.870181629 76.2197729980001,138.832181629 76.2202639980002,138.782745629 76.2188729980002,138.733309629 76.2160909980002,138.708590629 76.213608998,138.635254629 76.2047089980001,138.562190629 76.1924729980002,138.523863629 76.1802639980001,138.496227629 76.1652639980001),(152.485781642 76.1858089980002,152.457318642 76.159854998,152.465790642 76.150545998,152.516663642 76.1305359980001,152.559690642 76.1197549980002,152.616909642 76.109417998,152.639709642 76.1060909980001,152.663881642 76.105254998,152.741336642 76.1077549980001,152.768863642 76.1116459980002,152.785127642 76.1198459980001,152.803036642 76.1583269980001,152.771636642 76.2047089980001,152.756654642 76.2119269980001,152.540799642 76.1991459980001,152.513609642 76.196635998,152.485781642 76.1858089980002),(140.850918631 76.094081998,140.895536631 76.0594909980002,140.910799631 76.0669359980001,140.930818631 76.0730459980001,140.955536631 76.0777729980001,141.054136631 76.0822179980001,141.078854631 76.0858179980002,141.077045631 76.1124819980001,141.035799631 76.1391639980001,141.011109631 76.1438729980002,140.986354631 76.144145998,140.961636631 76.1405459980001,140.936645631 76.135817998,140.916927631 76.1299729980001,140.862181631 76.1074819980001,140.850918631 76.094081998),(140.596618631 75.652208998,140.644990631 75.6486089980001,140.745945631 75.6518549980001,140.769990631 75.6652639980001,140.769990631 75.6771999980002,140.582181631 75.7105359980001,140.558009631 75.7141549980002,140.533872631 75.7116549980001,140.519436631 75.7029089980001,140.563018631 75.6641549980001,140.577454631 75.6580359980001,140.596618631 75.652208998),(146.357999636 75.5583179980002,146.244690636 75.4224819980001,146.186918636 75.3444359980001,146.170254636 75.2908179980002,146.155399636 75.2730359980001,146.126345636 75.255554998,146.094418636 75.244426998,146.074145636 75.2237269980002,146.136109636 75.1955269970001,146.179963636 75.1849819970001,146.313018636 75.1605359970002,146.357727636 75.153590997,146.380245636 75.1508179970001,146.471890636 75.1438729970001,146.673581637 75.1155359970001,146.739409637 75.1033179970001,146.890809637 75.0672179970001,146.975254637 75.0410909970002,147.054963637 75.016390997,147.096927637 75.003326997,147.118281637 74.9980269970001,147.140254637 74.9938639970001,147.272490637 74.9735999970001,147.316654637 74.967754997,147.339418637 74.966090997,147.385254637 74.9647089970001,147.408872637 74.965545997,147.455227637 74.965545997,147.547481637 74.9630459970001,147.592472637 74.959426997,147.658872638 74.9505459970001,147.709963638 74.9389999970001,147.726072638 74.9263729970002,147.834690638 74.8902729970002,148.025272638 74.8344269970002,148.127445638 74.813308997,148.234127638 74.792208997,148.256099638 74.7891549970001,148.300536638 74.7855359970002,148.636654638 74.7633179970002,148.681636638 74.7608179970001,148.704409638 74.759990997,148.979672639 74.7574909970002,149.025818639 74.7572179970001,149.163609639 74.7566549970001,149.209963639 74.7574909970002,149.233854639 74.7591549970002,149.534699639 74.7613819970001,149.649136639 74.7597179970001,149.695799639 74.7608179970001,149.725663639 74.764981997,149.742190639 74.7797089970001,149.769990639 74.7938729970001,149.83108164 74.8049819970001,150.04220964 74.8377729970001,150.14080964 74.8488729970001,150.36272764 74.8735999970002,150.46023664 74.8819269970001,150.50860964 74.8849909970002,150.57635464 74.8813639970001,150.60357264 74.884426997,150.63357264 74.8926269970001,150.68899964 74.9420639970001,150.68469064 74.9724909970002,150.64371864 74.9912999970002,150.81997264 75.1044269970002,150.866345641 75.1238729970001,150.901645641 75.1316549970001,150.953036641 75.1394359970001,150.895263641 75.153590997,150.873563641 75.156935997,150.82718164 75.1585999970001,150.68441864 75.156645997,150.66296364 75.1417819970001,150.63523664 75.1155359970001,150.54776364 75.0974909970001,150.52190964 75.0935999970002,150.49691864 75.0910909970001,150.47329964 75.0905459970001,150.21163664 75.1863729970001,150.15609964 75.2156819980002,150.10439964 75.2252639980002,150.05859064 75.2280459980001,150.01220964 75.2297089980001,149.96300964 75.226654998,149.93969964 75.2274819980002,149.89443664 75.2313729980001,149.643581639 75.2549909980001,149.599399639 75.261108998,149.462736639 75.2727639980001,149.326081639 75.2844269980001,149.302181639 75.283872998,149.277190639 75.2810999980001,149.055818639 75.2544359980001,148.974399639 75.2421999980001,148.948854639 75.238308998,148.912472639 75.2213729980001,148.887481639 75.2185999980002,148.789981639 75.2119269980001,148.766081639 75.2113819980001,148.600799638 75.2113819980001,148.578036638 75.2133179979999,148.555818638 75.2163819980001,148.463863638 75.2647089980002,148.446409638 75.2817179980001,148.467190638 75.3097089980001,148.496918638 75.3180549980002,148.533445638 75.3334639980002,148.570736638 75.3742179980001,148.432736638 75.4099909980002,148.410799638 75.4141549980002,148.387754638 75.4160909980001,148.364136638 75.4166549980002,148.340236638 75.4160909980001,148.302154638 75.4125549980001,148.193027638 75.4072089980001,148.144990638 75.4060999980002,148.104399638 75.4063729980001,147.867190638 75.4091459980002,147.843563638 75.409717998,147.732727638 75.4308179980001,147.664427638 75.4385819980001,147.593290637 75.440263998,147.454409637 75.438872998,147.406099637 75.4377639980001,147.356627637 75.4330459980002,147.331363637 75.4288639980001,147.212190637 75.384154998,147.170945637 75.362972998,147.206909637 75.358035998,147.240509637 75.3649729980001,147.273590637 75.370817998,147.297209637 75.3702549980002,147.325945637 75.364699998,147.338854637 75.3487359980001,147.184145637 75.3344269980001,147.135254637 75.3308269980001,147.111354637 75.3302729980001,147.018309637 75.334717998,146.972199637 75.338317998,146.836363637 75.356935998,146.769718637 75.3705269980001,146.634963637 75.4246359980002,146.678590637 75.4791549980002,146.699709637 75.484708998,146.724118637 75.486645998,146.749118637 75.4896999980002,146.772218637 75.5010999980001,146.655963637 75.5520639980002,146.624972637 75.5605269980002,146.507263636 75.5871909980002,146.489136636 75.5916639980001,146.464690636 75.5910909980001,146.414981636 75.5861089980002,146.383590636 75.5783269980002,146.357999636 75.5583179980002),(135.884981627 75.3869359980001,135.907745627 75.391099998,135.930263627 75.3960999980002,136.012754627 75.4249909980001,136.030272627 75.4313639980001,136.027190627 75.4433179980001,136.016081627 75.4491459980001,136.000272627 75.4547089980001,135.973299627 75.4663819980001,135.958999627 75.4751269980002,135.952754627 75.4899729980002,135.962190627 75.508045998,135.970245627 75.5141639980001,136.089690627 75.569990998,136.124663627 75.5824909980001,136.146945627 75.5885909980001,136.172763627 75.601090998,136.178454627 75.6160909980002,136.161654627 75.6246909980001,136.069972627 75.644717998,136.019136627 75.6547089980002,135.947754627 75.6691459980001,135.921909627 75.6746999980001,135.889981627 75.686099998,135.867463627 75.697754998,135.854672627 75.7094269980001,135.823581626 75.7505459980001,135.818572626 75.7685999980001,135.810518626 75.7802729980002,135.768309626 75.809417998,135.708009626 75.8499909980001,135.678318626 75.8341549980001,135.600254626 75.7605459980001,135.538181626 75.6669269980001,135.548309626 75.6402729980001,135.556636626 75.6283089980002,135.576354626 75.610808998,135.591063626 75.593045998,135.594418626 75.5813729980002,135.589963626 75.5633089980001,135.529009626 75.4933179980002,135.487454626 75.4716459980001,135.467472626 75.459426998,135.445663626 75.4438729980002,135.447509626 75.3743729980002,135.463009626 75.3688639980002,135.483581626 75.363035998,135.507472626 75.3624909980001,135.653872626 75.3649909980002,135.677463626 75.365535998,135.770809626 75.370817998,135.794127626 75.3722089980002,135.817199626 75.3749819980001,135.884981627 75.3869359980001),(111.971099604 74.4785909970002,111.965554604 74.412199997,111.975272604 74.399990997,111.982354604 74.3911089970002,111.968872604 74.3796999970002,111.877763604 74.345263997,111.857209604 74.3430459970002,111.831381604 74.3438729970002,111.809981604 74.348035997,111.793054604 74.352481997,111.766663604 74.3624909970002,111.749709604 74.3671999970001,111.728318604 74.371372997,111.700545604 74.373308997,111.676372604 74.3730269970001,111.611363604 74.3680459970001,111.568327604 74.364154997,111.548027604 74.3619269970001,111.510536604 74.354708997,111.493590604 74.3502639970002,111.478590604 74.3444359970001,111.455963604 74.3215909970001,111.465554604 74.3046999970002,111.483599604 74.2935909970001,111.574999604 74.2583269970002,111.592209604 74.253599997,111.613309604 74.2494179970002,111.693036604 74.2391549970001,111.722490604 74.2360999970002,111.804981604 74.229981997,111.891099604 74.221926997,111.941363604 74.2144269970001,111.962490604 74.2105359970001,112.013318604 74.196635997,112.026381604 74.1916549970002,112.048027604 74.1810909970001,112.069718604 74.170254997,112.078327604 74.1646999970001,112.116927604 74.1494269970001,112.159418604 74.1347179960002,112.184418604 74.1310909960001,112.206381605 74.132472996,112.267490605 74.1394359970002,112.294981605 74.137499997,112.407490605 74.1269179960001,112.496518605 74.117808996,112.517763605 74.1146999960001,112.631927605 74.1030459960001,112.711381605 74.0949819960001,112.738590605 74.0927549960002,112.787772605 74.0919359960001,112.815118605 74.0938269960001,112.828045605 74.0985999960001,112.942545605 74.1655999970001,112.958881605 74.1855269970001,112.971099605 74.1933179970001,113.005254605 74.2024819970002,113.023881605 74.206099997,113.085536605 74.2127729970001,113.109418605 74.2130459970001,113.154163605 74.2152729970002,113.174427605 74.2177549970002,113.215818605 74.2380359970001,113.323036606 74.323045997,113.359709606 74.3466459970001,113.425263606 74.3863819970001,113.433318606 74.3938729970001,113.419981606 74.4249909970001,113.411372606 74.436917997,113.394145606 74.4483179970001,113.368872606 74.458326997,113.351927606 74.4630459970001,113.288881606 74.475817997,113.213045605 74.4869269970001,113.102199605 74.4955269970001,113.049990605 74.4977549970001,112.998027605 74.4997089970001,112.831381605 74.4969359970002,112.784418605 74.4955269970001,112.713318605 74.498872997,112.373599605 74.5244269970001,112.232754605 74.538590997,112.211381605 74.542754997,112.181663604 74.5460999970001,112.153872604 74.5480359970001,112.127763604 74.548872997,112.078872604 74.5485999970002,112.041090604 74.5416549970001,112.025545604 74.5360999970002,112.012209604 74.529163997,112.000263604 74.5213819970001,111.975681604 74.4953999970001,111.971099604 74.4785909970002),(115.998318608 74.2863729970001,116.048027608 74.2849909970001,116.068881608 74.2869269970001,116.086927608 74.2913639970002,116.103318608 74.2969359970001,116.118045608 74.3033179970002,116.127199608 74.310808997,116.124418608 74.3233179970002,116.114154608 74.341663997,116.083599608 74.364154997,116.067490608 74.3691359970001,116.042763608 74.3730269970001,116.017209608 74.3744179970001,115.993045608 74.3746909970001,115.939145608 74.3616459970001,115.922763608 74.3560909970002,115.909418608 74.3483269970001,115.900545608 74.341090997,115.885818608 74.320263997,115.883881608 74.3008089970001,115.917236608 74.2958819970001,115.971363608 74.288881997,115.998318608 74.2863729970001),(140.317472631 74.2627729970001,140.273036631 74.2555549970001,140.228854631 74.2433179970001,140.211090631 74.2371999970001,140.11413663 74.2008179970002,140.09661863 74.1885819970001,140.08829063 74.1766549970002,140.07275463 74.097763996,140.07329963 74.0858179960002,140.08245463 74.0674909960001,140.10995463 74.031372996,140.11883663 74.0252729960002,140.252472631 73.9588819960002,140.305545631 73.934708996,140.349399631 73.922481996,140.371336631 73.9177549960001,140.448609631 73.9016089960002,140.559690631 73.9202549960002,140.577181631 73.9263729960001,140.620790631 73.938581996,140.813872631 73.9710999960001,140.857727631 73.975817996,140.923581631 73.975817996,140.945527631 73.9744269960001,140.967472631 73.9744269960001,141.020536631 73.9927549960001,141.049699631 74.013735996,141.083863631 74.0652639960001,141.117054631 74.164981997,141.087190631 74.2102639970001,141.078309631 74.2163819970001,141.056363631 74.228590997,140.985509631 74.2527729970001,140.963590631 74.2577639970001,140.918854631 74.2649999970002,140.874390631 74.2710999970001,140.807736631 74.2772089970002,140.740781631 74.2808179970002,140.696345631 74.2822089970002,140.562472631 74.2822089970002,140.495509631 74.2785909970001,140.384154631 74.2688729970002,140.317472631 74.2627729970001),(141.697209632 73.909426996,141.563290632 73.898326996,141.519136632 73.893599996,141.474972632 73.8841549960002,141.430799632 73.8716459960001,141.399990632 73.8638729960002,141.378018632 73.8613729960001,141.356354632 73.8602639960001,141.312745632 73.8605359960001,141.225527632 73.8630359960002,141.175536631 73.8722089960001,141.160799631 73.8773359960001,141.129672631 73.877763996,141.077045631 73.8677639960001,140.949981631 73.8224909960001,140.923581631 73.8102549960003,140.892763631 73.7922089960001,140.822754631 73.7435909960002,140.744418631 73.6646999960001,140.679409631 73.591935996,140.644972631 73.5673459960001,140.604127631 73.5499909960001,140.484127631 73.5072179960001,140.416072631 73.4830459960001,140.313109631 73.4613729960001,140.287609631 73.4569549960002,140.263181631 73.458054996,140.176636631 73.4572179960001,140.155245631 73.4583269960002,140.06997263 73.4558269960001,139.77109063 73.4427459960001,139.72857263 73.4402639960002,139.70745463 73.4374819960001,139.68637263 73.4327549960001,139.65900963 73.423454996,139.65359063 73.4022089960001,139.67205463 73.371654996,139.71136363 73.3547089960002,139.73272763 73.3510909960002,139.75415463 73.3488729960001,139.77527263 73.3477639960002,139.83914563 73.3455359960001,139.88189963 73.3455359960001,139.96664563 73.3494269960001,140.00915463 73.3544269960001,140.05136363 73.3619269960002,140.09356363 73.3705269960001,140.252681631 73.4053729960001,140.285236631 73.4125729960002,140.424990631 73.433045996,140.574399631 73.4463639960001,140.638581631 73.449999996,140.702754631 73.4513819960002,140.745509631 73.4513819960002,140.788027631 73.448863996,140.809418631 73.4463639960001,140.979945631 73.4180459960001,141.234681632 73.373872996,141.505245632 73.3252729960002,141.547209632 73.316663996,141.589418632 73.3102549960001,141.631618632 73.305254996,141.800536632 73.2924819960001,141.842745632 73.2896999960001,141.965518632 73.2841459960001,142.007754632 73.282763996,142.028872632 73.2824819960001,142.050263632 73.2835999960001,142.092472632 73.2822089960001,142.134709632 73.2794359960001,142.218845632 73.272763996,142.261109632 73.2688729960001,142.281918633 73.2638819960002,142.323299633 73.2513909960002,142.364681633 73.2438639960001,142.385799633 73.2410909960002,142.408872633 73.2405359960001,142.451354633 73.242481996,142.579681633 73.2572179960002,142.622463633 73.2594269960002,142.643309633 73.2580459960001,142.896945633 73.2344179960002,143.018309633 73.2222179960001,143.080809633 73.2141549960002,143.143309633 73.2074909960002,143.184963633 73.203326996,143.227445633 73.204163996,143.505827634 73.2302729960001,143.508181634 73.2772179960001,143.475527634 73.317217996,143.450236634 73.3633179960001,143.436372634 73.4030459960001,143.485090634 73.4154089960001,143.507754634 73.4241459960002,143.529145634 73.4391459960001,143.470245634 73.4916549960001,143.431918634 73.5224909960001,143.212190633 73.6163819960001,143.179136633 73.6288639960001,143.141936633 73.641372996,143.120790633 73.6452639960001,143.056918633 73.6530459960001,143.014709633 73.6608089960002,142.735509633 73.7594269960001,142.702181633 73.7719269960001,142.666781633 73.7873459960001,142.614409633 73.8077549960001,142.576627633 73.8202639960001,142.513027633 73.8388819960001,142.470245633 73.8477639960001,142.448581633 73.8502639960002,142.405245633 73.854426996,142.340236633 73.8572089960002,142.154972632 73.8899819960002,142.112181632 73.9022089960001,142.090790632 73.9074819960001,142.047763632 73.917208996,142.026090632 73.9197089960001,142.004154632 73.9199819960001,141.697209632 73.909426996),(128.89276362 73.2111089960002,128.72689962 73.2452549960001,128.65524562 73.2577639960001,128.63271862 73.259154996,128.56802762 73.2597179960001,128.51664562 73.2558269960002,128.39025462 73.2483179960001,128.257627619 73.2680549960001,128.306499619 73.3212359960001,128.33677262 73.3352639960002,128.35273662 73.3530359960001,128.191927619 73.3563729960002,128.082736619 73.3580359960001,128.067109619 73.3979819960002,127.976645619 73.470263996,127.784709619 73.4774819960002,127.726927619 73.479426996,127.594436619 73.4824819960002,127.464999619 73.4802729960002,127.296372619 73.5172089960001,127.237763618 73.5324819960002,127.192463618 73.534990996,127.063599618 73.5377639960001,127.041654618 73.5377639960001,126.955836618 73.5355359960001,126.913599618 73.5333269960001,126.853045618 73.5260909960001,126.831099618 73.5198549960002,126.872209618 73.5111089960002,126.905818618 73.5037359960002,126.922618618 73.4921999960001,126.905545618 73.4508179960001,126.828727618 73.3817179960001,126.790818618 73.3848459960001,126.768727618 73.4192179960001,126.726927618 73.4444269960001,126.697345618 73.4402549960002,126.659418618 73.416926996,126.626081618 73.3777639960001,126.612490618 73.326663996,126.604709618 73.253108996,126.737763618 73.1908089960001,126.764718618 73.1706819960001,126.775818618 73.0955359960001,126.771927618 73.0763819960002,126.734990618 73.055545995,126.681663618 73.0120819950001,126.658736618 72.992617995,126.617199618 72.9788639950002,126.509427618 72.9502729950001,126.453045618 72.9391459950001,126.397772618 72.9271999950001,126.355954618 72.914008995,126.331999618 72.8908269950001,126.340681618 72.8663729950002,126.367481618 72.849154995,126.404427618 72.8327639950001,126.420818618 72.8211089950001,126.445818618 72.789835995,126.342481618 72.6913639950002,126.303372618 72.5028269950002,126.330963618 72.4779089950001,126.367481618 72.4549909950001,126.427754618 72.4274729950002,126.490245618 72.403981995,126.526927618 72.4005459950001,126.555263618 72.4045729950001,126.583454618 72.4198459950001,126.558590618 72.4335909950001,126.520536618 72.446917995,126.494281618 72.4673549950001,126.528872618 72.514435995,126.589427618 72.5358089950001,126.653590618 72.5490089950002,126.746645618 72.5502639950001,126.766663618 72.5513729950002,126.868590618 72.5610999950001,126.924145618 72.5719269950002,126.958036618 72.5838819950001,127.093599618 72.6319269950002,127.326790619 72.7083179950002,127.391936619 72.7213729950001,127.431663619 72.724990995,127.452472619 72.7246999950001,127.496090619 72.7222179950001,127.519436619 72.718599995,127.563027619 72.7160909950001,127.646381619 72.716935995,127.683872619 72.7238729950001,127.747490619 72.7398359950001,127.776790619 72.7533269950001,127.821109619 72.7663909950001,127.896654619 72.7802729950001,127.934981619 72.7860999950001,127.974154619 72.7908179950001,128.075254619 72.7974819950001,128.134981619 72.8030359950001,128.174136619 72.8077549950001,128.237045619 72.825581995,128.212527619 72.8641459950001,128.248836619 72.8861089950001,128.299136619 72.9074819950002,128.33663662 72.915545995,128.37606362 72.9202549950001,128.41858162 72.919708995,128.50137262 72.9227639950002,128.63233662 72.9338729950001,128.95025462 72.987490995,128.98718162 72.9966459950001,129.01387262 73.0059549950001,129.05276362 73.0233179950002,129.08121862 73.040263995,129.11856362 73.0977639960003,129.09787262 73.1283089960002,129.04275462 73.1294269960001,129.01318162 73.1255359960002,128.96551862 73.1158179960001,128.93887262 73.1065179960002,128.90859962 73.0926269960001,128.86413662 73.0774819960001,128.78088162 73.0726269960002,128.86523662 73.1194269960001,128.94802762 73.1458269960001,128.96676362 73.1668549960002,128.89276362 73.2111089960002),(128.78998162 72.9244269950001,128.78205462 72.9124819950002,128.80719062 72.9091459950002,128.91415462 72.9069359950001,128.95636362 72.9066459950001,128.99829062 72.9074819950002,129.10162762 72.911099995,129.16302762 72.914154995,129.18304562 72.9163819950001,129.19537262 72.9242819950001,129.12689062 72.9408089950001,129.06997262 72.951663995,128.96163662 72.9563729950002,128.94107262 72.9552639950001,128.90136362 72.9510999950001,128.84384562 72.9408089950001,128.80691862 72.9313639950001,128.78998162 72.9244269950001),(128.31329062 72.8105269950001,128.32690962 72.8088729950001,128.55800962 72.8097089950001,128.79635462 72.7969359950002,129.05581862 72.7835999950001,129.14080962 72.7816639950001,129.22219962 72.785535995,129.24190962 72.7877639950001,129.29803662 72.800263995,129.23025462 72.8319359950001,129.11719062 72.8535909950002,128.91360962 72.8783089950001,128.78027262 72.890272995,128.75832762 72.8916639950002,128.54275462 72.899426995,128.52163662 72.8997179950001,128.43664562 72.9002729950002,128.41607262 72.8991549950001,128.37744562 72.8935999950002,128.291990619 72.8696999950001,128.31329062 72.8105269950001),(128.51275462 72.7860999950001,128.301909619 72.7877639950001,128.279145619 72.787199995,128.140809619 72.7797089950002,127.919981619 72.7630459950001,127.818045619 72.7374909950001,127.776099619 72.7209549950001,127.686499619 72.6998459950001,127.638318619 72.6963639950002,127.596363619 72.6966359950001,127.574709619 72.6980269950001,127.551936619 72.7005459950001,127.530272619 72.7016639950001,127.488309619 72.701935995,127.468045619 72.7008179950001,127.420127619 72.6937269950001,127.394145619 72.6852549950001,127.360527619 72.6722089950002,127.320681619 72.6562359950001,127.318172619 72.6507089950001,127.380809619 72.6502729950001,127.421372619 72.6524819950001,127.704163619 72.6683179950001,127.918318619 72.660263995,127.984990619 72.653872995,128.006099619 72.6535909950002,128.166654619 72.6574819950002,128.247745619 72.6616549950002,128.32718162 72.6683179950001,128.38579962 72.6752639950001,128.51052762 72.6977549950001,128.63442762 72.7005459950001,128.68246362 72.6966359950001,128.74883662 72.689972995,128.92580962 72.6727639950001,129.12329062 72.6552549950002,129.16579962 72.6535909950002,129.18691862 72.6535909950002,129.21259962 72.655963995,129.34350962 72.7040089950002,129.22857262 72.7138819950001,128.96551862 72.7358089950002,128.84634562 72.7533269950001,128.69051862 72.7691459950001,128.53469962 72.7847179950002,128.51275462 72.7860999950001),(128.73303662 72.6669269950001,128.68829062 72.6722089950002,128.62606362 72.6713729950001,128.53857262 72.667481995,128.50277262 72.664426995,128.44411862 72.6577639950001,128.226627619 72.6374999950002,128.100527619 72.631954995,128.149990619 72.6227549950002,128.169709619 72.6177549950002,128.185518619 72.6121999950001,128.220518619 72.5955359950001,128.236081619 72.5899819950001,128.267763619 72.5794359950001,128.33829062 72.5580269950001,128.36218162 72.5530359950001,128.38442762 72.550535995,128.44692762 72.5502639950001,128.46637262 72.5524729950001,128.48663662 72.553317995,128.52969062 72.5508089950001,128.57498162 72.5444359950002,128.60940962 72.5274819950002,128.63161862 72.5249909950001,128.65331862 72.5236089950002,128.69219962 72.5280459950001,128.73052762 72.5335999950001,128.76255462 72.5402639950001,128.77719062 72.5460999950002,128.83886362 72.576663995,128.85302762 72.5810999950001,128.89193662 72.5855359950002,128.93246362 72.5874909950001,128.97219962 72.5908179950002,128.96190962 72.6013819950001,128.90914562 72.636108995,128.89358162 72.6413729950002,128.86969062 72.6463819950002,128.80080962 72.658035995,128.73303662 72.6669269950001),(128.57079962 72.486926995,128.143036619 72.578872995,128.077454619 72.5977639950001,127.958327619 72.6224819950002,127.845545619 72.636108995,127.800536619 72.6413729950002,127.778872619 72.6424909950001,127.728590619 72.6391639950002,127.483599619 72.6135999950001,127.421654619 72.612763995,127.318599619 72.6105359950001,127.278318619 72.6083179950001,127.239699619 72.6035909950001,127.201663618 72.597490995,127.164699618 72.590272995,127.129154618 72.5808269950001,127.087063618 72.5652639950001,127.044436618 72.5508089950001,126.957490618 72.5244269950002,126.904427618 72.510272995,126.866090618 72.505263995,126.826099618 72.503054995,126.784418618 72.503054995,126.762772618 72.5041639950001,126.721099618 72.5041639950001,126.691927618 72.5012359950002,126.665818618 72.4933179950002,126.649990618 72.479981995,126.651927618 72.433726995,126.675663618 72.4289359950001,126.804427618 72.4291549950001,127.010818618 72.430263995,127.070827618 72.4335909950001,127.192199618 72.4383089950001,127.316936619 72.4410819950002,127.419709619 72.4421999950001,127.461381619 72.4419269950001,127.504436619 72.4394179950002,127.549709619 72.4333179950001,127.596363619 72.4246999950001,127.639972619 72.4146999950001,127.679154619 72.4044359950001,127.879154619 72.3405459950001,127.945536619 72.3191549950002,128.041354619 72.2863729950001,128.198854619 72.2349819950001,128.40246362 72.2010999950001,128.54295462 72.1698459950002,128.50329962 72.1572089950001,128.47800962 72.1408909950002,128.69247262 72.0852639950001,128.76360962 72.074154995,128.90832762 72.0691549950001,128.96941862 72.0685999950001,129.00970962 72.0694459950001,129.23330962 72.0833269950001,129.35954562 72.0938729950001,129.387481621 72.098326995,129.484836621 72.129426995,129.461363621 72.1358179950002,129.439699621 72.1383179950001,129.387618621 72.1408269950001,129.33163662 72.1312359950002,129.29372762 72.1260909950003,129.24864562 72.1344909950002,129.456772621 72.2102639950002,129.485781621 72.2130459950001,129.536636621 72.2135999950002,129.558727621 72.2220729950001,129.524699621 72.2439999950001,129.433045621 72.2513909950001,129.391936621 72.2519359950001,129.35538162 72.2549909950001,129.32426362 72.2924089950002,129.38093662 72.3148459950002,129.410245621 72.3174909950002,129.431363621 72.3160819950001,129.453309621 72.3133089950002,129.482609621 72.3160909950001,129.499281621 72.3274909950001,129.486081621 72.3521999950001,129.448299621 72.3691359950001,129.390809621 72.3849909950001,129.34524562 72.392763995,129.32220962 72.397763995,129.26079962 72.412199995,129.27386362 72.4453269950001,129.26193662 72.4633179950001,129.23913662 72.4672089950001,129.21719062 72.4697089950002,129.12994562 72.4780459950001,129.10858162 72.4794269950001,129.08773662 72.4797089950002,129.02746362 72.4766549950001,129.00747262 72.475535995,128.87079062 72.4685999950001,128.75027262 72.4624909950002,128.72939962 72.4627729950001,128.70800962 72.464154995,128.57079962 72.486926995),(126.530272618 73.3569359960001,126.423463618 73.4059639960001,126.366454618 73.4020269960002,126.320872618 73.3883179960001,126.274009618 73.3778909960001,126.243590618 73.3746909960001,126.157063617 73.3770639960001,126.198863618 73.4541639960001,126.317372618 73.4478729960001,126.345945618 73.460699996,126.402209618 73.5077639960002,126.317345618 73.543181996,126.287772618 73.5508089960001,126.264163618 73.5530359960002,126.243045618 73.5519269960001,126.017209617 73.5074909960002,125.972763617 73.5022089960001,125.870527617 73.4985999960001,125.684981617 73.4591549960001,125.629009617 73.4302639960001,125.600118617 73.4079089960002,125.566236617 73.402490996,125.518181617 73.4508819960002,125.536799617 73.4706819960001,125.584990617 73.479426996,125.621154617 73.4931359960001,125.628727617 73.5224819960001,125.583881617 73.540817996,125.416236617 73.5528909960001,125.310527617 73.5333269960001,125.288881617 73.533054996,125.251390617 73.5358089960002,125.229981617 73.540545996,125.172899617 73.5612999960001,125.186372617 73.623872996,125.157345617 73.6712359960002,125.135999617 73.6843549960001,125.101381617 73.6858089960002,125.052618616 73.680117996,125.058863616 73.6546999960001,125.028872616 73.6324729960002,124.989554616 73.6238639960001,124.922490616 73.6658179960001,124.836927616 73.699999996,124.741927616 73.707763996,124.721645616 73.7052639960002,124.699709616 73.7049909960001,124.604427616 73.728590996,124.527772616 73.7510999960001,124.505254616 73.7622089960002,124.390681616 73.8002639960001,124.358599616 73.8035909960001,124.338590616 73.8010909960001,124.240809616 73.7583269960002,124.223027616 73.7478999960001,124.166654616 73.719708996,124.086236616 73.6863729960001,124.057209616 73.6813639960001,124.035263616 73.6810909960001,123.999072615 73.6920639960001,124.034845616 73.7022089960001,124.055118616 73.714854996,123.965536615 73.7644359960001,123.934709615 73.7716549960002,123.911372615 73.772490996,123.884699615 73.7660999960001,123.908863615 73.6674819960001,123.944427615 73.6574819960001,123.991290615 73.6401999960001,123.965545615 73.6199819960001,123.685527615 73.600263996,123.621918615 73.6069359960002,123.601927615 73.609417996,123.588590615 73.649717996,123.546945615 73.6969269960001,123.404154615 73.6694269960001,123.373309615 73.6591549960002,123.371918615 73.6183179960001,123.312472615 73.5852639960001,123.240809615 73.5513729960001,123.221790615 73.401790996,123.379963615 73.296935996,123.533336615 73.2130459960001,123.554981615 73.208326996,123.575545615 73.209990996,123.617481615 73.2116549960002,123.639972615 73.210535996,123.665963615 73.2031819960001,123.658863615 73.1680459960002,123.600536615 73.1602639960002,123.580272615 73.1585729960001,123.536372615 73.1594269960002,123.515263615 73.1659549960002,123.531163615 73.1848359960001,123.493045615 73.186917996,123.398881615 73.1702549959999,123.376918615 73.1628999960001,123.309418615 73.0208269950001,123.326799615 73.0031819950001,123.315809615 72.9733089950001,123.256381615 72.9424729950001,123.217481615 72.9251269950001,123.181227615 72.9173459950001,123.131363615 72.913035995,123.110263615 72.912763995,123.088045615 72.913608995,122.891936614 72.9555549950001,122.866718614 72.969426995,122.855818614 72.9938639950001,122.822772614 72.9997089950002,122.701663614 73.0144359950002,122.630254614 73.0216549950001,122.606645614 73.0236089950001,122.584427614 73.0244269950001,122.521654614 73.0222179950001,122.465272614 73.012772995,122.432354614 72.9771819950001,122.478863614 72.9594269950001,122.513609614 72.949417995,122.535263614 72.9446999950001,122.584990614 72.937190995,122.923863614 72.8949909950002,122.970263615 72.8908269950001,123.036927615 72.8883179950001,123.102481615 72.8869359950002,123.187190615 72.8880459950002,123.328599615 72.8683179950002,123.358872615 72.8580359950001,123.435254615 72.8383179950001,123.456381615 72.8335999950002,123.531936615 72.8202639950002,123.646381615 72.8008089950002,123.670254615 72.7974819950001,123.736645615 72.7947089950001,123.758609615 72.7938729950001,123.800809615 72.7944359950001,123.843872615 72.7938729950001,123.909145615 72.7922089950001,123.931372615 72.7910909950001,123.955263615 72.7877639950001,124.121090616 72.7619359950001,124.166927616 72.752490995,124.251099616 72.7269269950002,124.286099616 72.7044359950002,124.324436616 72.6880359950002,124.361927616 72.6780359950002,124.382754616 72.6733089950001,124.451390616 72.6666549950002,124.473309616 72.665817995,124.512209616 72.6697089950001,124.652481616 72.679426995,124.673599616 72.6796999950002,124.695536616 72.6785909950001,124.718318616 72.6763729950001,124.778809616 72.6622819950002,124.800536616 72.6355459950001,124.834427616 72.6188639950001,124.863599616 72.6083179950001,124.900545616 72.5983269950001,124.949709616 72.5891549950001,124.971645616 72.5880459950002,125.112199617 72.5685999950001,125.156099617 72.560254995,125.193036617 72.5502639950001,125.242481617 72.5347179950001,125.259427617 72.523035995,125.287899617 72.4873459950001,125.314836617 72.4734549950002,125.343318617 72.4658179950001,125.367754617 72.4611089950001,125.414427617 72.4541639950001,125.436099617 72.4533269950001,125.482754617 72.4463639950001,125.547763617 72.431654995,125.572490617 72.4144269950001,125.724154617 72.3652639950002,125.748318617 72.3605359950001,125.784145617 72.3566459950001,125.804699617 72.3566459950001,125.842754617 72.3616459950001,125.863599617 72.3616459950001,125.908336617 72.3572089950002,125.931372617 72.3535909950002,125.979427617 72.3441459950001,126.015681617 72.3306909950001,126.051936617 72.3172179950001,126.118718617 72.3013729950001,126.165818618 72.3019269950001,126.211381618 72.3199909950001,126.348327618 72.3799729950001,126.334154618 72.4366459950002,126.273463618 72.4767909950002,126.248881618 72.5004089950002,126.246227618 72.5252729950002,126.293054618 72.665817995,126.342209618 72.7463729950001,126.361927618 72.7602729950002,126.378036618 72.7736089950001,126.381645618 72.7957459950002,126.356645618 72.816081995,126.328045618 72.8330549950002,126.303309618 72.8441459950002,126.286654618 72.8555459950002,126.278181618 72.8737269950003,126.293872618 72.8997179950001,126.323863618 72.923454995,126.363872618 72.9388729950001,126.435527618 72.958035995,126.490254618 72.9713729950001,126.574009618 72.9888729950002,126.682209618 73.057481995,126.710890618 73.0810269960001,126.679563618 73.1538819960001,126.639972618 73.1921999960001,126.619427618 73.203326996,126.602763618 73.208599996,126.562763618 73.2301269960001,126.563881618 73.2697089960002,126.589009618 73.292345996,126.547209618 73.3452639960001,126.530272618 73.3569359960001),(126.538881618 72.3521999950001,126.528881618 72.342208995,126.523318618 72.3199909950001,126.523318618 72.3074819950002,126.527481618 72.2949819950001,126.543590618 72.283599995,126.555545618 72.278045995,126.579436618 72.266935995,126.621454618 72.2406729950002,126.634990618 72.2202639950002,126.625390618 72.1976269950002,126.652772618 72.1874819950001,126.673309618 72.1874819950001,126.691363618 72.1910819950002,126.699145618 72.1977549950001,126.717763618 72.219572995,126.711645618 72.2349819950001,126.691936618 72.2588819950001,126.679981618 72.2644359950001,126.659318618 72.2781639950002,126.644909618 72.288572995,126.626090618 72.3205459950001,126.635818618 72.3305549950002,126.647772618 72.3374909950001,126.663599618 72.347899995,126.651654618 72.3566459950001,126.631654618 72.3616459950001,126.609418618 72.3641549950001,126.588590618 72.3641549950001,126.569718618 72.3616459950001,126.551372618 72.358035995,126.538881618 72.3521999950001),(123.601790615 72.7749909950001,123.452472615 72.808026995,123.323609615 72.8338819950002,123.272218615 72.849154995,123.229981615 72.8585999950001,123.187472615 72.868045995,123.165263615 72.868863995,123.144145615 72.868590995,123.063599615 72.8624909950001,123.000263615 72.861372995,122.955836615 72.8633089950001,122.818599614 72.873026995,122.771927614 72.8769179950001,122.723309614 72.8833269950002,122.596363614 72.9052549950001,122.579163614 72.9102639950002,122.557745614 72.9149909950001,122.506654614 72.9235999950001,122.368045614 72.9413639950001,122.321109614 72.9452549950002,122.317145614 72.9449269950001,122.304418614 72.934154995,122.323881614 72.9258089950001,122.681927614 72.8333269950001,122.728590614 72.824435995,122.752772614 72.8211089950001,122.800263614 72.8158089950002,122.867481614 72.8121909950002,122.907763614 72.8152639950002,122.991090615 72.8177639950001,123.034418615 72.817217995,123.100809615 72.8146999950001,123.173309615 72.8049819950002,123.236645615 72.7908179950001,123.270827615 72.7808179950001,123.283863615 72.7755459950002,123.301090615 72.7702639950001,123.326099615 72.7658269950002,123.372209615 72.7619359950001,123.456381615 72.7630459950001,123.539699615 72.7652729950001,123.579709615 72.7683269950001,123.601790615 72.7749909950001),(122.374009614 72.894299995,122.203045614 72.949417995,122.177463614 72.953599995,122.154163614 72.9555549950001,122.084990614 72.960263995,122.042481614 72.9594269950001,122.026927614 72.9530459950002,122.004172614 72.9380359950001,122.016036614 72.931963995,122.067209614 72.9233089950002,122.091663614 72.9202549950001,122.256654614 72.9002729950002,122.328599614 72.8919359950002,122.351927614 72.8899819950001,122.374009614 72.894299995),(119.964999612 73.0313729950001,119.999999612 73.0381909950001,120.136381612 73.034990995,120.213881612 73.0424819950001,120.275272612 73.0954089960001,120.258327612 73.109981996,120.244136612 73.1149909960001,120.226090612 73.119981996,120.171654612 73.1344269960001,120.135536612 73.1438729960001,120.113309612 73.1483269960002,120.086927612 73.1524819960001,119.999999612 73.1620639960001,119.940263612 73.1663819960002,119.896381612 73.1663819960002,119.832209612 73.164426996,119.751663612 73.1574819960001,119.733872612 73.1533179960001,119.632618611 73.1180359960001,119.808872612 73.0341459950001,119.901381612 73.0297089950001,119.964999612 73.0313729950001),(125.708327617 73.5908179960001,125.709990617 73.542481996,125.792136617 73.506617996,125.812190617 73.5063819960001,125.829436617 73.5122089960003,125.837199617 73.5252729960002,125.803863617 73.6388819960002,125.708327617 73.5908179960001),(127.571381619 73.5399819960001,127.508045619 73.536654996,127.466663619 73.533054996,127.405818619 73.5260909960001,127.388045619 73.520263996,127.400099619 73.5177729960002,127.424990619 73.514163996,127.675536619 73.4977549960001,127.989154619 73.4844179960001,128.033599619 73.4830459960001,128.059009619 73.4844269960001,127.824999619 73.5230359960001,127.753881619 73.5316639960001,127.707763619 73.5355359960001,127.662199619 73.5380359960001,127.571381619 73.5399819960001),(126.606936618 73.4630459960002,126.468045618 73.4438639960001,126.481372618 73.3949909960002,126.492245618 73.3920639960001,126.574154618 73.3927639960001,126.613027618 73.399435996,126.658336618 73.458599996,126.645536618 73.4641549960001,126.627199618 73.4655459960001,126.606936618 73.4630459960002),(124.618318616 73.8727549960002,124.636654616 73.877763996,124.653054616 73.8849909960001,124.660399616 73.8948549960002,124.644145616 73.9038729960002,124.618872616 73.9072089960001,124.521654616 73.915817996,124.474990616 73.9177549960001,124.458327616 73.9216459960002,124.468045616 73.9260909960002,124.487199616 73.9296999960001,124.505545616 73.934708996,124.544436616 73.9421999960001,124.564699616 73.9446999960002,124.575545616 73.9480269960001,124.553036616 73.9477549960002,124.467754616 73.9421999960001,124.447481616 73.939699996,124.426090616 73.938308996,124.344990616 73.928035996,124.323881616 73.9209549960001,124.370945616 73.9079089960001,124.351927616 73.8986089960001,124.329709616 73.898326996,124.309418616 73.8958269960001,124.289427616 73.8876269960001,124.291927616 73.8689999960002,124.318599616 73.864154996,124.334427616 73.8613729960001,124.353045616 73.8499909960001,124.370527616 73.8449819960001,124.391663616 73.8413729960001,124.411927616 73.8438729960002,124.429154616 73.8499909960001,124.451390616 73.8502639960002,124.500818616 73.8447089960001,124.509454616 73.8377089960002,124.533599616 73.8456819960001,124.545254616 73.8533179960001,124.565536616 73.8558179960002,124.583599616 73.8608089960001,124.618318616 73.8727549960002),(136.127445627 73.8796999960002,136.150545627 73.8741459960002,136.163299627 73.8755359960001,136.241336627 73.8988819960001,136.270963627 73.9327549960002,136.268718627 73.9813729960002,136.255827627 73.990263996,136.220790627 74.0077639960001,136.063599627 74.0766639960002,136.034145627 74.0883179960001,135.909145627 74.1283089960001,135.889981627 74.1341549960001,135.649990626 74.2035999970001,135.503599626 74.234708997,135.417599626 74.2477459970001,135.393581626 74.253599997,135.370236626 74.2569459970001,135.353572626 74.2527729970001,135.416381626 74.170535997,135.433045626 74.1585999970001,135.443572626 74.1527729970001,135.466918626 74.1486089970001,135.489136626 74.1477639970002,135.511381626 74.1480359970001,135.533054626 74.149717997,135.555818626 74.1477639970002,135.570799626 74.1419359970001,135.669981626 74.1013819960001,135.677463626 74.0894269960002,135.680818626 74.0774819960002,135.688290626 74.0655359960002,135.700254626 74.0535909960002,135.731081626 74.0358089960001,135.750272626 74.0302729960001,135.797209626 74.0188729960001,135.820254626 74.014435996,135.877445627 73.997481996,135.892209627 73.9916549960002,136.040527627 73.9330459960001,136.053454627 73.9241459960001,136.057754627 73.9058179960001,136.070799627 73.8969459960002,136.127445627 73.8796999960002),(126.963299618 71.9541639940001,127.143945618 71.9042639940001,127.174063618 71.9395639940002,127.156627618 71.9558269940002,127.141081618 71.9611089940001,127.032199618 71.9921999950001,127.004499618 71.9999999950002,126.962199618 72.0130459950001,126.942463618 72.0180549950001,126.923863618 72.021926995,126.902772618 72.0233179950002,126.932045618 71.9679089940001,126.947454618 71.9594269940002,126.963299618 71.9541639940001),(138.449127629 71.6555459940002,138.468845629 71.6533179940001,138.527190629 71.6585999940001,138.624390629 71.668317994,138.663299629 71.6733089940001,138.682736629 71.6760909940001,138.702181629 71.679981994,138.721072629 71.6863729940002,138.708863629 71.6924729940001,138.668581629 71.7019359940002,138.628845629 71.7063729940001,138.530272629 71.709426994,138.510799629 71.7080359940001,138.373563629 71.6830359940001,138.432736629 71.6602639940001,138.449127629 71.6555459940002),(137.270809628 71.5791639940001,137.232454628 71.5736089940002,137.027772628 71.5322089940001,137.008881628 71.5280459940001,136.992872628 71.5185999940001,137.106354628 71.4802729940001,137.126890628 71.4741549940001,137.312745628 71.4299819940001,137.332454628 71.427763994,137.351899628 71.4269269940001,137.371336628 71.4271999940001,137.390254628 71.4324819940002,137.406372628 71.4538729940001,137.394136628 71.4585999940001,137.374663628 71.458326994,137.354945628 71.4591549940001,137.334963628 71.4638819940001,137.269427628 71.4851179940002,137.279690628 71.4938639940002,137.318572628 71.494426994,137.512209628 71.4763819940002,137.528590628 71.471645994,137.539563628 71.4624909940001,137.567745628 71.4410819940001,137.596618628 71.4291549940002,137.676909628 71.4116549940002,137.695799628 71.414426994,137.790527628 71.4341459940002,137.805236628 71.4394179940001,137.921081628 71.4864819940001,137.961090628 71.5030549940001,137.964599628 71.5079639940001,137.946345628 71.527772994,137.911372628 71.558026994,137.902772628 71.5641459940002,137.890254628 71.5702639940002,137.849972628 71.579708994,137.829954628 71.5830549940001,137.750272628 71.5944359940002,137.730809628 71.5941459940001,137.426363628 71.5852639940001,137.289981628 71.5808269940002,137.270809628 71.5791639940001),(160.503054649 70.8169359930002,160.53942765 70.8133089930001,160.61910965 70.8146999930001,160.69192765 70.8166639930001,160.71219065 70.8174909930001,160.71979065 70.8185089930001,160.71637265 70.8352639930002,160.64471865 70.896381993,160.55053665 70.923599994,160.518309649 70.9319269940002,160.502472649 70.9319269940002,160.416927649 70.9246999940001,160.407199649 70.9159549930001,160.439145649 70.8403999930001,160.454681649 70.8291639930001,160.469972649 70.8238819930001,160.485781649 70.8197179930002,160.503054649 70.8169359930002),(161.48358165 70.833881993,161.46329065 70.8035909930001,161.49273665 70.7927549930002,161.648590651 70.7483179930001,161.666654651 70.7463729930001,161.691681651 70.7454089930001,161.692890651 70.7470729930001,161.668854651 70.8035909930001,161.657745651 70.808590993,161.52636365 70.8374909930001,161.50609965 70.8369269930001,161.48358165 70.833881993),(167.913881656 69.7858089920001,168.044981657 69.7644359920002,168.058872657 69.759717992,168.071627657 69.7538729920001,168.093845657 69.739972992,168.133027657 69.7072179920001,168.147890657 69.6981819920001,168.334409657 69.6583269920001,168.650545657 69.5972179920002,168.683590657 69.5922089920002,168.832454657 69.570263992,168.868281657 69.5677639920001,168.926090657 69.5672179920001,169.167754658 69.568599992,169.185245658 69.5699909920002,169.205536658 69.5738819920001,169.215790658 69.578872992,169.225254658 69.5849909920001,169.249999658 69.6019269920001,169.282054658 69.6276179920002,169.296627658 69.6424909920001,169.304554658 69.6583179920001,169.296354658 69.6801179920001,169.273027658 69.7041549920002,169.274699658 69.7542999920001,169.282199658 69.7633179920001,169.296081658 69.7680549920001,169.315518658 69.7680549920001,169.412718658 69.7637819920002,169.447481658 69.808872992,169.455536658 69.8211089920001,169.441072658 69.8505359930001,169.431636658 69.8588729930001,169.421081658 69.8660909930002,169.407199658 69.8708179930001,169.359954658 69.880535993,169.209963658 69.9027729930002,169.137481658 69.9083269930002,169.098299657 69.908599993,169.042481657 69.9113729929999,168.902772657 69.9263729930001,168.868009657 69.9302639930002,168.851072657 69.9327549930001,168.820527657 69.939699993,168.792754657 69.9494179930001,168.731354657 69.9636089930001,168.613590657 69.9808179930001,168.563290657 69.988035993,168.529690657 69.9927549930001,168.355527657 70.0124999930001,168.320254657 70.016099993,168.270263657 70.0205359930002,168.250827657 70.0205359930002,168.143581657 70.0005459930002,167.984954656 69.9541639930001,167.949981656 69.9413639930002,167.915799656 69.9260909930001,167.895263656 69.9155459930001,167.799709656 69.8613729930001,167.758881656 69.8367909920001,167.751918656 69.8274819920002,167.758609656 69.8197179920001,167.768581656 69.8116459920001,167.779972656 69.8046999920001,167.795254656 69.8010909920001,167.913881656 69.7858089920001),(161.688018651 69.6419359920002,161.654281651 69.6291459920001,161.650545651 69.616372992,161.709963651 69.5646999920001,161.730499651 69.5566089920001,161.760527651 69.5541549920001,161.780818651 69.5558179920001,161.803318651 69.5599819920002,161.818845651 69.5646999920001,161.843290651 69.5752729920001,161.854536651 69.583735992,161.857036651 69.603317992,161.847199651 69.6469459920001,161.834409651 69.6497179920001,161.786654651 69.650817992,161.748836651 69.651090992,161.728572651 69.6491549920001,161.707181651 69.6463819920002,161.688018651 69.6419359920002),(161.53164565 69.634990992,161.49606365 69.6374999920001,161.47689965 69.6369359920002,161.39580965 69.587490992,161.40664565 69.5569269920002,161.41665465 69.5424819920001,161.42776365 69.5316549920001,161.43331865 69.5147089920002,161.42843665 69.4595729920001,161.41720965 69.444135992,161.37246365 69.4058549920001,161.43774565 69.4080359920001,161.48940965 69.4116549920002,161.52941865 69.419145992,161.56497265 69.4258089920002,161.58386365 69.4302639920002,161.59607265 69.4355269920001,161.619263651 69.4492909920001,161.626618651 69.4833179920001,161.633027651 69.5710999920001,161.622190651 69.5885909920001,161.613863651 69.5960999920001,161.58856365 69.6144269920001,161.56164565 69.6266459920002,161.53164565 69.634990992),(161.37524565 69.5358179920001,161.36328165 69.5458179920001,161.34719965 69.5447089920002,161.28915465 69.5338729920001,161.27136365 69.530545992,161.10830965 69.4758179920001,161.09634565 69.470535992,161.07580965 69.4466359920002,161.06579965 69.4347089920001,161.06219065 69.4219179920001,161.06829965 69.4048549920001,161.07940965 69.3938729920001,161.09133665 69.386108992,161.10522765 69.380535992,161.14220965 69.3583179920003,161.15414565 69.3505359920001,161.16247265 69.3430459920002,161.16664565 69.3198549920002,161.15832765 69.2969359920001,161.14303665 69.2788729920002,161.13638165 69.266663992,161.12774565 69.234708992,161.11910965 69.1766549920001,161.11910965 69.1636089920001,161.13107265 69.1033179920001,161.13442765 69.0897089920002,161.14276365 69.0824909920001,161.15747265 69.0780459920001,161.22079065 69.0660819920001,161.28802765 69.0588729920001,161.35608165 69.039426992,161.39941865 69.0255459920001,161.45800965 68.995526992,161.46969965 68.9877639920001,161.47274565 68.9741549920001,161.46662765 68.945254992,161.43856365 68.9252639920001,161.41748165 68.9047089920001,161.40801865 68.8913729920001,161.42272765 68.886781992,161.44329965 68.8899819920001,161.48025465 68.8991549920001,161.50054565 68.9099909920001,161.50915465 68.915545992,161.51776365 68.9344179920001,161.52136365 68.9472089920002,161.51999065 68.9669359920002,161.51525465 68.9871999920001,161.49719065 69.0088819920001,161.48052765 69.0238819920001,161.46884565 69.0319359920002,161.44469965 69.0463729920001,161.43191865 69.053035992,161.42025465 69.0608089920001,161.40691865 69.0752729920001,161.38610965 69.1024819920001,161.32066365 69.2377549920001,161.32498165 69.246935992,161.36135465 69.3585999920002,161.28933665 69.4158639920001,161.38888165 69.4591549920002,161.38775465 69.5049909920002,161.37524565 69.5358179920001)))', 'Russian Exclusive Economic Zone', 'Russia', 'Russia', '', '73', '73', 'RUS', '5690', '2014-02', '7636833755000', '5690', 'Y'),('SRID=4326;MULTIPOLYGON(((145.522105857 45.860933134,145.581390847 45.899591414,145.603486489 45.914186644,145.603538623 45.9142210810001,145.60356207 45.9142365690001,145.603664363 45.914304138,145.613721952 45.920947658,145.627192471 45.9298200100001,145.65057908 45.945223592,145.669958812 45.9579350550001,145.670005717 45.95796582,145.670115721 45.958037973,145.745562693 46.007524796,145.833791782 46.137472116,145.966982885 46.3336412850001,145.970726774 46.3414215190001,145.975591775 46.351565431,145.982369275 46.365623027,145.997845005 46.3977221120001,146.014137154 46.431514576,146.072240472 46.5563609210001,146.257098161 46.9472475420001,146.26596291 46.9657527310001,146.275006529 46.984631312,146.285900028 47.007371521,146.438487791 47.0771412510001,146.459330951 47.086657512,146.46870992 47.0909396220001,147.551051266 47.577876642,147.850647046 47.707370869,147.93201571 47.5921563110001,148.030350824 47.4529179830001,148.152210255 47.2803702250001,148.559495328 46.6843634640001,148.667921569 46.5225075180001,148.667921645 46.5225074000001,148.753996155 46.3897231280001,148.794720773 46.3267653,148.809538734 46.3038576160001,148.898254685 46.171494324,148.963788273 46.0563248650001,149.0015295 45.996258369,149.018707538 45.9515095990001,149.0636624 45.8216671070001,149.087525606 45.752878976,149.103971352 45.713984184,149.108150122 45.689626317,149.109425831 45.6821902670001,149.112418914 45.6647437170001,149.116897354 45.6453442150001,149.119644533 45.6334441120001,149.124157443 45.613895299,149.12678143 45.604096972,149.127968763 45.599663306,149.134078293 45.5772972090001,149.152431248 45.510109728,149.155106904 45.500635333,149.156571113 45.495450625,149.159239076 45.4860034720001,149.159429912 45.4854985910001,149.159597352 45.485055609,149.159660498 45.4848885500001,149.159968474 45.484077202,149.160707722 45.482129693,149.180683858 45.4286392700001,149.186682634 45.41257625,149.195626262 45.4002200210001,149.211911962 45.3777202220001,149.219764768 45.3667616490001,149.233594062 45.3474629020001,149.244195806 45.332953435,149.25495091 45.31823408,149.275635869 45.2909894530001,149.298287623 45.261995455,149.334964639 45.213706969,149.334965031 45.213706453,149.339370948 45.2084700680001,149.455271949 45.06503007,149.493279384 45.0090247730001,149.524014507 44.9637354830001,149.528768769 44.9566876470001,149.554950061 44.9178758520001,149.562128916 44.907233741,149.748234471 44.6304149630001,150.382198598 43.68743841,151.149313409 42.456810649,151.023606414 42.398761979,150.808783414 42.094291979,150.802795414 42.0885019790001,150.801489414 42.086638979,150.328963414 41.6251489790001,149.763174413 41.2291049780001,149.757375413 41.2262479780001,149.756290413 41.2254809780001,149.705164413 41.2002689780001,149.660654413 41.168713978,149.590242033 41.1335405030001,149.055862412 40.8665989780001,149.033857412 40.850674978,149.033034412 40.8502589780001,149.031881412 40.8494249780001,149.027691412 40.8473079780001,149.023987412 40.8446259780001,148.389230412 40.5203999780001,147.859707411 40.3498909780001,147.859707126 40.349891411,147.859707038 40.3498913670001,147.859704607 40.3498950530001,147.859705689 40.3498911350001,147.859705265 40.3498917790001,147.583933385 40.7681128770001,146.851939156 41.7986403370001,146.785231465 41.895375196,146.274978399 42.6239400580001,145.95472563 43.0812129880001,145.941451393 43.09924119,145.918430759 43.207353862,145.917556834 43.211458108,145.917556744 43.211458457,145.904521171 43.2621093240001,145.903550295 43.2657377240001,145.903486365 43.2659766450001,145.903107934 43.2673909370001,145.90310766 43.2673913020001,145.900258037 43.271185648,145.891446176 43.282918866,145.883780756 43.2931255670001,145.856484225 43.3549334370001,145.85507047 43.3568457430001,145.851581847 43.363232134,145.847686181 43.3698018320001,145.846345683 43.3781141710001,145.845171131 43.385397492,145.845008081 43.387510004,145.844893326 43.3889968010001,145.844852197 43.3894482700001,145.844838767 43.389595695,145.844540149 43.39210052,145.843290282 43.402584473,145.842254031 43.4089856530001,145.841727873 43.4122358650001,145.841293081 43.4152947100001,145.841031519 43.4171348450001,145.840800709 43.4173710640001,145.838582514 43.4192934640001,145.82871026 43.423077913,145.824312631 43.425070384,145.814955333 43.428812312,145.792563389 43.4441019110001,145.781381961 43.4545235580001,145.780719735 43.455113173,145.778696134 43.4569148900001,145.766142627 43.4688449450001,145.757499685 43.477058648,145.72144685 43.5123102100001,145.720886921 43.512857694,145.720886636 43.512857968,145.705746628 43.527447555,145.689924252 43.5430519130001,145.688259024 43.54572799,145.688258572 43.545728716,145.661499214 43.5393781880001,145.656501951 43.538280808,145.655006587 43.5379553290001,145.625143076 43.5315691280001,145.586919813 43.522947947,145.556315316 43.5162387490001,145.539710276 43.512671503,145.539709137 43.5126712580001,145.534182178 43.5183855970001,145.532524941 43.52009902,145.516877817 43.5359024360001,145.49107243 43.561965582,145.475386361 43.578211191,145.473005039 43.5806292520001,145.472700943 43.5809541400001,145.47239708 43.5812787790001,145.459683855 43.595865776,145.457505934 43.59857957,145.448508666 43.6097905950001,145.442463409 43.618049624,145.428613614 43.6374888340001,145.426523764 43.6382534350001,145.418420797 43.6411502940001,145.397639463 43.6496601470001,145.372142307 43.6607374880001,145.368509404 43.662459923,145.361734865 43.6655804500001,145.357079693 43.6682363290001,145.354949006 43.6694519340001,145.348836294 43.67301945,145.332474437 43.6825685960001,145.327730732 43.685645579,145.320499689 43.6896644930001,145.29824516 43.7042607660001,145.295648444 43.7059160960001,145.294931914 43.7064338340001,145.294713022 43.7065919980001,145.293782878 43.707245969,145.292190254 43.7083657200001,145.284888828 43.713361821,145.284636704 43.71360078,145.278436539 43.7194771860001,145.263676841 43.7321273950001,145.262416683 43.7332610920001,145.261622167 43.7351875800001,145.261314937 43.7359325290001,145.259992807 43.739758958,145.256216197 43.750688993,145.255581351 43.7522789060001,145.25533013 43.752908066,145.255112956 43.753451958,145.253287884 43.7584854560001,145.252974755 43.759618925,145.251577205 43.764677792,145.250973329 43.7680577,145.242683544 43.781100951,145.24268024 43.7812180930001,145.2426955 43.78206634,145.242703856 43.78253081,145.243366028 43.8056380520001,145.243382994 43.808657334,145.24426012 43.822409366,145.244414852 43.8234421010001,145.244442243 43.823624916,145.244559209 43.8244055920001,145.245553602 43.829837318,145.245638556 43.8303013670001,145.24573038 43.830853346,145.246543302 43.835740059,145.25054304 43.856971043,145.251405551 43.8615493350001,145.252074868 43.8649043990001,145.25302455 43.8696648380001,145.253024631 43.8696649710001,145.255269593 43.8733312360001,145.257759764 43.8773979540001,145.2577685 43.8774125310001,145.25780116 43.877467031,145.258259137 43.878249146,145.258259523 43.8782497770001,145.258259639 43.8782499660001,145.258767242 43.879078781,145.259114647 43.8796460240001,145.25939391 43.880123371,145.266861774 43.8928882530001,145.269619442 43.896846075,145.270555175 43.898231927,145.27522476 43.9051477370001,145.279047889 43.9088446050001,145.281958479 43.911659071,145.284289053 43.9140131630001,145.285850264 43.915590127,145.29049319 43.9203303690001,145.312635568 43.9373404990001,145.317330827 43.9409474730001,145.319951799 43.9442441370001,145.320042933 43.944362153,145.320155207 43.9445075470001,145.320227281 43.944600881,145.321437228 43.946268951,145.322315547 43.9470510210001,145.326177775 43.950490014,145.344580002 43.96687567,145.345802721 43.967908913,145.353528777 43.9744377210001,145.354158929 43.9749586030001,145.355481802 43.976052087,145.359978205 43.9800878020001,145.360321615 43.980396028,145.361130149 43.9811047470001,145.366100234 43.9854612710001,145.366701767 43.9859885440001,145.367409178 43.9865934530001,145.370753634 43.989552449,145.380522232 43.9974125140001,145.386460047 44.002415468,145.394713111 44.0093691530001,145.399500511 44.0133401300001,145.400292347 44.013996929,145.401508299 44.015018979,145.40476369 44.0177552490001,145.40490661 44.017875378,145.404906633 44.0178753960001,145.407014125 44.0195323560001,145.412938111 44.0262228560001,145.414930718 44.028427675,145.433257623 44.048706387,145.434427505 44.0500008610001,145.434944469 44.050682372,145.438048468 44.054774362,145.438546814 44.0556955480001,145.43998983 44.058362947,145.441088923 44.060498651,145.442437287 44.0631187270001,145.442487526 44.063162753,145.442870742 44.06349857,145.449837421 44.0696533650001,145.471836493 44.0868933740001,145.484498622 44.096816302,145.485957343 44.097751981,145.494807627 44.1034288860001,145.495385205 44.1038077470001,145.496957206 44.1048388950001,145.49779207 44.1055784320001,145.499751463 44.1073140940001,145.501786016 44.109526327,145.509811211 44.1182523730001,145.519781064 44.128862966,145.52648101 44.1359935020001,145.527195888 44.136744198,145.531128691 44.1408203400001,145.533278786 44.143048799,145.533959931 44.1445287130001,145.534412205 44.145511362,145.536284022 44.1486175730001,145.54430181 44.161922793,145.549197876 44.1703180220001,145.556904201 44.18353197,145.55795826 44.185361614,145.559892031 44.1887182680001,145.57070593 44.202387324,145.573477046 44.2063097810001,145.576766038 44.2109652790001,145.577736179 44.2123384920001,145.580807526 44.2172059760001,145.587958068 44.228538181,145.593693893 44.237628339,145.602672899 44.2553255340001,145.603837126 44.2573745670001,145.61158157 44.2716892620001,145.61158164 44.2716893910001,145.611962832 44.2723884480001,145.617568054 44.282622578,145.619358362 44.2860604360001,145.621026187 44.2892630950001,145.621825168 44.2907973470001,145.624003443 44.3019760060001,145.624708427 44.305593903,145.62669402 44.315783744,145.629426025 44.3302000950001,145.631526321 44.3412830190001,145.632967534 44.3453039280001,145.633211641 44.3460511430001,145.63430377 44.349394165,145.636184931 44.3563577190001,145.637674137 44.3618703600001,145.641435204 44.375792824,145.647224217 44.3923719540001,145.649879358 44.4004831870001,145.662086477 44.4381470230001,145.664947304 44.4478201750001,145.659505075 44.492588825,145.654718099 44.53196726,145.650707799 44.563991607,145.64867247 44.5802447730001,145.648050716 44.585378087,145.647513851 44.5898105360001,145.639829806 44.6119476260001,145.639114007 44.6139855150001,145.629560161 44.6411854260001,145.618808703 44.6734034940001,145.616637926 44.6799084950001,145.607976085 44.705021575,145.580314235 44.7852209540001,145.533350182 44.9148939500001,145.476926569 45.053671781,145.33097356 45.4077210020001,145.299909395 45.482864954,145.257993944 45.5815879680001,145.229148123 45.6495282220001,145.340734849 45.7404639650001,145.393673773 45.7771857400001,145.522105857 45.860933134),(148.540256412 45.4477719820001,148.460510412 45.392217982,148.390683412 45.3292989820001,148.370238412 45.3049899820001,148.346365412 45.2842989820001,148.317047412 45.268744982,148.074420411 45.248326982,148.043029411 45.2527719820001,148.001083411 45.274917982,148.001783411 45.308735982,147.999556411 45.3319359820001,147.946565411 45.4215899820001,147.904147411 45.4041629820001,147.873838411 45.3806809820001,147.857592411 45.351171982,147.873292411 45.2899899820001,147.892274411 45.2269989820001,147.868501411 45.2126539820001,147.840238411 45.2085989820001,147.783329411 45.197489982,147.752201411 45.1826359820001,147.707738411 45.142353982,147.691347411 45.124162982,147.677465411 45.1058269820001,147.661574411 45.079717982,147.603429411 45.059089982,147.504974411 45.0438809820001,147.484547411 44.9807539820001,147.393583411 44.920271982,147.310520411 44.876098982,147.227174411 44.836108982,147.111910411 44.7938809820001,147.154774411 44.7208899820001,147.160047411 44.687626982,147.144138411 44.661371982,147.102329411 44.6223539820001,147.00638341 44.5716629820001,146.94080141 44.554435982,146.83899241 44.4645719810001,146.83218341 44.4352629810001,146.84454741 44.4119359810001,146.86551041 44.3994359810001,146.88302941 44.396944981,146.92024741 44.400689981,146.95372041 44.411517981,146.96912941 44.4265179810001,146.97996541 44.4487449810001,146.98886541 44.4708269810001,147.00247441 44.489435981,147.021092411 44.507498981,147.040529411 44.5177719810001,147.083710411 44.528744981,147.106356411 44.5291629810001,147.143310411 44.5330539810001,147.175538411 44.537080981,147.204129411 44.5473539810001,147.225256411 44.5619359820001,147.240510411 44.579989982,147.251374411 44.605271982,147.286638411 44.6606899820001,147.344974411 44.7002719820001,147.474274411 44.775271982,147.502610411 44.782908982,147.522201411 44.791798982,147.541647411 44.8065179820001,147.618720411 44.9008269820001,147.591965411 44.917144982,147.590520411 44.9372089820001,147.612456411 44.9608269820001,147.634692411 44.9701269820001,147.667329411 44.9741539820001,147.708165411 44.9709629820001,147.732183411 44.947489982,147.757901411 44.938598982,147.848847411 44.965271982,147.872883411 44.973044982,147.916656411 44.9897179820001,147.944029411 45.000826982,147.964147411 45.0116629820001,147.985365411 45.0447179820001,147.998565411 45.0613809820001,148.040938411 45.092008982,148.215520412 45.1888809820001,148.235510412 45.1988719820001,148.265538412 45.2133269820001,148.285247412 45.2208269820001,148.337329412 45.2299899820001,148.371338412 45.2349899820001,148.437620412 45.2462449820001,148.471501412 45.2563809820001,148.493010412 45.2702719820001,148.521910412 45.2872179820001,148.562474412 45.3097179820001,148.587056412 45.3179089820001,148.619692412 45.3202719820001,148.673856412 45.3140179820001,148.714401412 45.3081809820001,148.775329412 45.3139449820001,148.835447412 45.343744982,148.845247412 45.3655449820001,148.851920412 45.4777629820001,148.795256412 45.5152719820001,148.768465412 45.521517982,148.710392412 45.5226359820001,148.558874412 45.4591629820001,148.540256412 45.4477719820001),(146.563024445 44.439021504,146.53802941 44.4424899810001,146.52053841 44.434435981,146.48886541 44.4255539810001,146.46884741 44.4222179810001,146.35995641 44.4208269810001,146.359955613 44.4208270400001,146.359954199 44.420827022,146.344972385 44.421936116,146.328309329 44.42555408,146.30331835 44.434154081,146.280375265 44.4434185700001,146.27303841 44.4463809810001,146.273036732 44.4463818930001,146.27303621 44.4463821040001,146.260254143 44.4533270140001,146.2427363 44.4691540590001,146.232727302 44.4769359850001,146.198163351 44.501109059,146.1910201 44.503844235,146.18330141 44.506798981,146.172726856 44.5084013210001,146.171356012 44.5086089070001,146.16076541 44.506617981,146.160764234 44.506618293,146.160763466 44.506618148,146.156242214 44.5078163950001,146.14803841 44.509989981,146.13066541 44.508189981,146.10052941 44.4885989810001,146.08386541 44.4724899810001,146.07803841 44.4636089810001,146.05081041 44.4119359810001,146.00802941 44.339153981,145.97384741 44.287771981,145.96329241 44.280544981,145.95162941 44.274989981,145.93942041 44.2705449810001,145.924001409 44.265689981,145.909429409 44.258889981,145.889847409 44.2481899810001,145.877747409 44.237208981,145.789983409 44.148326981,145.761656409 44.1141539810001,145.753329409 44.093880981,145.755129409 44.0761089810001,145.754583409 44.0655449810001,145.747038409 44.0538809810001,145.661374409 43.9922179810001,145.644992409 43.982208981,145.552465409 43.9260989810001,145.485365409 43.8966629810001,145.408583409 43.832353981,145.426092409 43.7399899810001,145.437474409 43.7169359810001,145.545945342 43.6499912560001,145.559482276 43.657282077,145.57552725 43.7388820840001,145.574127305 43.7749911550001,145.574127305 43.785554029,145.575254168 43.8175001450001,145.579009261 43.8315180390001,145.593718327 43.8562449890001,145.657472424 43.8997180650001,145.657474374 43.8997179570001,145.657474409 43.899717981,145.657796936 43.899699995,145.672482401 43.8988822220001,145.69204526 43.8961001010001,145.708863381 43.8988822220001,145.762754157 43.919718125,145.776782278 43.9268001620001,145.788182337 43.9442911830001,145.797763355 43.9784642020001,145.808009226 43.992491149,145.817200318 44.002491095,145.831082259 44.0169361320001,145.93081819 44.119154112,145.940245149 44.128044964,146.091918201 44.2361091540001,146.102754158 44.2433271460001,146.119963379 44.251391208,146.138309353 44.257773189,146.157472396 44.263053955,146.177182274 44.2666642090001,146.20440921 44.2699911540001,146.329682285 44.291664241,146.508327297 44.3580450590001,146.537472348 44.378318033,146.550263467 44.3988821940001,146.568027235 44.438327095,146.563024445 44.439021504),(146.65124741 43.705826981,146.666645705 43.704018181,146.682736262 43.7077731530001,146.780272446 43.75193606,146.797482338 43.7599910690001,146.861636251 43.7966642420001,146.898105123 43.8331253540001,146.898105823 43.833122819,146.90497441 43.839989981,146.894138464 43.847493899,146.894138553 43.8474935780001,146.87493632 43.8607911660001,146.866909307 43.868045033,146.846637206 43.874435738,146.78470141 43.861935981,146.60759241 43.8052629810001,146.59982041 43.7958269810001,146.59732041 43.734435981,146.65124741 43.705826981)))', 'Russia-Japan conflict zone', 'Southern Kuriles', 'Disputed', 'Russia / Japan', '0', '27', '-', '21799', '', '214148051300', '21799', 'Y'),('SRID=4326;MULTIPOLYGON(((-179.931455689 -12.8986263969999,-180 -12.9439643359999,-179.99999998 -11.8398617729999,-179.999999839 -4.14498607999997,-179.999920967 -4.14509692999997,-179.999210834 -4.14609507599988,-179.998921186 -4.14650473899985,-179.998277085 -4.14741615299994,-179.997343205 -4.14873760199993,-179.99640932 -4.15005904799995,-179.995655923 -4.15112509599987,-179.995475834 -4.1513800759999,-179.994541834 -4.15270207599997,-179.993607836 -4.15402307799991,-179.993607633 -4.15402336599993,-179.992673834 -4.15534507599989,-179.991973675 -4.15633534399984,-179.991739821 -4.15666623399994,-179.991448623 -4.15707826099992,-179.990805834 -4.15798807599998,-179.99027126 -4.15874414999985,-179.989871988 -4.15930908899986,-179.988938064 -4.16063051299994,-179.988004136 -4.16195193299995,-179.987070202 -4.16327335099987,-179.986136264 -4.16459476499995,-179.985202321 -4.16591617699987,-179.984820392 -4.16645655399998,-179.984268834 -4.16723807599982,-179.983334834 -4.16855907599995,-179.982400834 -4.16988007599991,-179.981466834 -4.17120207599987,-179.980532834 -4.17252307599995,-179.979598834 -4.17384507599991,-179.978664834 -4.17516607599987,-179.977730834 -4.17648707599983,-179.976796834 -4.17780907599996,-179.975862834 -4.17913007599992,-179.97530164 -4.17992379899988,-179.974928627 -4.18045152299993,-179.974697983 -4.18077782599994,-179.973994834 -4.18177307599984,-179.973060834 -4.18309407599992,-179.972126834 -4.18441607599988,-179.971192834 -4.18573707599984,-179.970258834 -4.18705807599997,-179.969324834 -4.18838007599993,-179.968390834 -4.18970107599989,-179.967456834 -4.19102207599985,-179.966522834 -4.19234407599981,-179.965588834 -4.19366507599989,-179.964654834 -4.19498607599985,-179.964330442 -4.19544473499997,-179.963720293 -4.19630787399996,-179.962786233 -4.19762921799986,-179.961852169 -4.19895055999996,-179.9609181 -4.20027189899986,-179.959984026 -4.20159323399986,-179.959049947 -4.20291456699994,-179.958278419 -4.2040059499999,-179.958115834 -4.20423607599986,-179.957481348 -4.20513345899985,-179.957181775 -4.20555722499984,-179.956247681 -4.2068785489999,-179.955954098 -4.20729383499997,-179.955313834 -4.20820007599991,-179.954379834 -4.20952107599987,-179.953445834 -4.21084207599984,-179.953076577 -4.21136416999997,-179.952511259 -4.21216381899995,-179.951577141 -4.21348512999987,-179.950643018 -4.21480643699994,-179.949980079 -4.2157441519999,-179.949708834 -4.21612807599996,-179.948774834 -4.21744907599992,-179.947840834 -4.21877007599988,-179.946906834 -4.22009207599984,-179.946320989 -4.22091977899993,-179.945972331 -4.2214129329999,-179.945038179 -4.22273422299997,-179.944104023 -4.22405551099996,-179.943409421 -4.22503796099988,-179.943169834 -4.22537707599997,-179.942235834 -4.22669807599993,-179.941301834 -4.2280190759999,-179.940367834 -4.22934107599986,-179.939628626 -4.23038545399993,-179.939433165 -4.23066190799989,-179.938498979 -4.23198317899988,-179.937564788 -4.23330444699997,-179.937283222 -4.23370267399997,-179.936630834 -4.23462607599981,-179.935696834 -4.23594707599995,-179.93520426 -4.23664300199988,-179.934762185 -4.23726823399983,-179.933827974 -4.23858949099991,-179.9332829 -4.23936038499983,-179.932893834 -4.23991107599983,-179.931959834 -4.2412320759999,-179.931613019 -4.24172206899993,-179.931025313 -4.24255324399996,-179.930091083 -4.24387448899995,-179.929435147 -4.24480214699997,-179.929156834 -4.24519607599996,-179.928222834 -4.24651707699991,-179.927288834 -4.24783807699981,-179.926903312 -4.24838275399992,-179.926354113 -4.24915944299988,-179.925724241 -4.25005021399994,-179.925419834 -4.2504810769999,-179.924485834 -4.25180207699987,-179.924111503 -4.25233094299983,-179.923551334 -4.25312312799991,-179.922617064 -4.2544443509999,-179.92168279 -4.25576557099981,-179.921339795 -4.25625061999989,-179.920748834 -4.25708707699982,-179.920180736 -4.25788970399987,-179.919814226 -4.25840800299994,-179.918879937 -4.25972921399983,-179.917945643 -4.26105042299992,-179.917886914 -4.26113347299986,-179.917011834 -4.26237207699984,-179.916114025 -4.26364053099991,-179.91607704 -4.26369283199989,-179.915890312 -4.26395688299988,-179.915142834 -4.26501407699988,-179.914208834 -4.26633507699984,-179.913857171 -4.26683191699982,-179.913274099 -4.26765642399982,-179.912740764 -4.26841059299989,-179.912339834 -4.26897807699993,-179.911405834 -4.27029907699989,-179.910727323 -4.27125769899982,-179.910471113 -4.27161999099985,-179.909536837 -4.27294107899991,-179.909536771 -4.27294117199983,-179.909492795 -4.27300336199983,-179.908602834 -4.27426207699989,-179.908355623 -4.27461134499993,-179.907668083 -4.27558353199987,-179.907097694 -4.27639006299984,-179.906733834 -4.27690507699998,-179.905799834 -4.27822607699994,-179.905056553 -4.27927620899987,-179.904865009 -4.27954704799981,-179.904286094 -4.28036561599987,-179.903930834 -4.28086807699998,-179.90381095 -4.28103745199985,-179.902996268 -4.28218937799994,-179.90206189 -4.28351053799986,-179.901695984 -4.28402790699994,-179.901127834 -4.28483207699986,-179.900356964 -4.28592118799992,-179.90019312 -4.28615285099988,-179.89977762 -4.28674033299984,-179.899258834 -4.28747407699996,-179.899049743 -4.28776948699988,-179.89832433 -4.28879515299985,-179.897389927 -4.29011629899992,-179.896624175 -4.29119898299996,-179.896455834 -4.29143707699996,-179.895520834 -4.29275907699991,-179.894586834 -4.29408007699988,-179.894038285 -4.29485508499988,-179.893652267 -4.29540085699983,-179.89287288 -4.29650278699995,-179.892717834 -4.29672207699997,-179.891783834 -4.29804307699993,-179.891216314 -4.29884488799985,-179.890848971 -4.29936424499994,-179.89017328 -4.30031954499992,-179.889914834 -4.30068507699997,-179.889771187 -4.30088802599988,-179.888980081 -4.30200648999988,-179.888510619 -4.30267021099991,-179.888045834 -4.30332807699989,-179.887244482 -4.30446025299995,-179.887111172 -4.30464872399983,-179.886892741 -4.30495753499997,-179.886176834 -4.30597007699981,-179.885728129 -4.30660402299986,-179.885242244 -4.30729094599997,-179.884493206 -4.30834989499982,-179.884307834 -4.30861207699985,-179.88418461 -4.30878617199994,-179.883373295 -4.30993315699982,-179.882438813 -4.31125425799996,-179.881504326 -4.31257535699984,-179.880569835 -4.31389645199982,-179.879992127 -4.31471315399989,-179.879635834 -4.31521707699994,-179.878700834 -4.3165390769999,-179.878178748 -4.3172766969999,-179.87776633 -4.31785972199992,-179.877259406 -4.31857634199997,-179.876831834 -4.31918107699983,-179.87647423 -4.31968631099988,-179.875897301 -4.32050188799985,-179.875227126 -4.32144927499991,-179.874962834 -4.32182307699992,-179.87472894 -4.32215352999992,-179.874028253 -4.32314404199997,-179.873258634 -4.32423199099986,-179.873093834 -4.32446507699996,-179.872939537 -4.32468307199997,-179.872159186 -4.32578618499991,-179.871348546 -4.32693210399998,-179.871224834 -4.32710707699988,-179.871102306 -4.32728018799992,-179.870290098 -4.32842831699986,-179.869492068 -4.32955639399995,-179.869355834 -4.32974907699997,-179.869213097 -4.32995073899997,-179.86842099 -4.33107043699988,-179.867684913 -4.33211092299985,-179.867486834 -4.33239107699984,-179.86726727 -4.33270128299984,-179.866551862 -4.33371254599984,-179.865617291 -4.3350335959999,-179.865414865 -4.33531972999987,-179.864682834 -4.33635507699989,-179.86379949 -4.33760309499996,-179.863748133 -4.33767568799993,-179.863706104 -4.33773509599996,-179.862813834 -4.33899707699993,-179.861878834 -4.34031807699989,-179.860944834 -4.34163907699985,-179.860009834 -4.34296007699982,-179.859460481 -4.34373622099992,-179.859075152 -4.34428086899993,-179.858804452 -4.3446634899999,-179.858140834 -4.34560207699991,-179.857205834 -4.34692307699987,-179.857160511 -4.34698710999993,-179.856271303 -4.34824394299994,-179.855698901 -4.34905298799981,-179.855336834 -4.34956507699991,-179.854752877 -4.35039011099997,-179.854402046 -4.35088597799995,-179.854189043 -4.35118703599983,-179.853467834 -4.35220707699983,-179.852532834 -4.35352807699996,-179.852226687 -4.35396061099988,-179.851598122 -4.35484900999995,-179.851249394 -4.35534189099997,-179.850663834 -4.35617007699983,-179.849728834 -4.35749107699996,-179.849560717 -4.35772859799982,-179.848794154 -4.35881201599983,-179.848406362 -4.35936009699998,-179.847859834 -4.36013307699989,-179.846924834 -4.36145407699996,-179.846727081 -4.3617334679999,-179.84599014 -4.36277499699992,-179.84565116 -4.36325407899994,-179.845055834 -4.36409607699989,-179.844120834 -4.36541707699985,-179.843689934 -4.36602586599986,-179.843186081 -4.36673795199988,-179.842976033 -4.36703480799986,-179.842251834 -4.36805907699994,-179.841316834 -4.3693800769999,-179.840381975 -4.37070088099995,-179.840381836 -4.37070107799997,-179.839447266 -4.37202185299992,-179.839100337 -4.37251214399981,-179.838512834 -4.3733430769999,-179.837577834 -4.37466407699986,-179.836779961 -4.37579133899987,-179.836643102 -4.37598474899988,-179.836598318 -4.37604803799996,-179.835708834 -4.3773060769999,-179.834773834 -4.37862707699986,-179.833838834 -4.37994807699982,-179.833571464 -4.38032553899995,-179.832904146 -4.38126856999992,-179.832119831 -4.38237692799987,-179.831969834 -4.38258907699992,-179.831392021 -4.38340543099997,-179.831034638 -4.38391046399994,-179.830099876 -4.38523140599989,-179.82916511 -4.38655234599986,-179.828630759 -4.38730744399987,-179.828230834 -4.38787307699988,-179.827295834 -4.38919407699984,-179.826360833 -4.39051507599982,-179.826360781 -4.3905151489999,-179.825425993 -4.39183607599995,-179.824491201 -4.39315700199984,-179.824145453 -4.39364556399994,-179.823556834 -4.39447807699997,-179.822621834 -4.39579907699994,-179.821686834 -4.3971200769999,-179.820751834 -4.39844107699997,-179.819817171 -4.39976158999997,-179.819816829 -4.39976207399991,-179.818882834 -4.4010820769999,-179.817947834 -4.40240307699986,-179.817012838 -4.4037240799999,-179.817012681 -4.40372430099984,-179.816077849 -4.40504520399998,-179.815143006 -4.40636610099995,-179.814208159 -4.40768699599988,-179.813273307 -4.40900788699986,-179.812934494 -4.40948660599986,-179.812338834 -4.41032907699991,-179.811403834 -4.41165007699988,-179.810736972 -4.41259152799989,-179.81046872 -4.41297054499989,-179.809533847 -4.41429142499993,-179.80859897 -4.41561230199989,-179.807664087 -4.41693317599993,-179.806729199 -4.41825404799988,-179.805794307 -4.41957491699992,-179.805455256 -4.42005394199987,-179.804859834 -4.42089607699984,-179.803924834 -4.42221707699997,-179.803081037 -4.42340831799993,-179.802989598 -4.42353750599989,-179.802054685 -4.42485836399993,-179.801119767 -4.42617921799996,-179.800184839 -4.42750007299992,-179.799249834 -4.4288210769999,-179.798314834 -4.43014207699986,-179.797379834 -4.43146307699982,-179.797205837 -4.4317087199999,-179.796445101 -4.43278344899983,-179.795510152 -4.43410428599987,-179.794575199 -4.43542512099998,-179.79364024 -4.43674595299996,-179.792705276 -4.43806678199991,-179.791770307 -4.43938760799995,-179.790835334 -4.44070843099996,-179.763956401 -4.49763347999988,-179.757318834 -4.51169107699985,-179.656784833 -4.55786107699993,-179.178158833 -4.88822807699984,-179.175295086 -4.89104983399983,-179.175295047 -4.89104986599983,-179.175294833 -4.89105007699993,-179.175173242 -4.89113379999992,-179.155391066 -4.91062610399996,-179.154197501 -4.91144848999988,-179.151330308 -4.91427341499985,-179.151217437 -4.91435118299989,-179.151211833 -4.91435507699987,-179.122549994 -4.94255096699982,-178.736737883 -5.32209154399993,-178.465699092 -5.70156729999997,-178.398958832 -5.79500907799996,-178.398900878 -5.79513002599992,-178.398660314 -5.79563343999985,-178.397945851 -5.79663211299987,-178.374447088 -5.84571794099998,-178.147134832 -6.32054407799984,-178.146939832 -6.32124507799995,-178.145691741 -6.32384634899995,-178.145111117 -6.32505696299995,-178.097171004 -6.49706269099994,-178.0971709 -6.49706283599994,-178.097170832 -6.49706307899987,-177.910119832 -6.75721207899988,-177.909938038 -6.75758893199998,-177.909750281 -6.75797911499984,-177.909106032 -6.75887423699993,-177.908230629 -6.76069338299982,-177.907225832 -6.76278207899998,-177.904069832 -6.76716707899988,-177.900949832 -6.77365007899982,-177.900017036 -6.77494532899988,-177.89904321 -6.77629821499988,-177.897698423 -6.77909238199982,-177.897092832 -6.78035107899996,-177.897026832 -6.78044307899984,-177.896745827 -6.78102629599994,-177.896655853 -6.78121323899995,-177.89601333 -6.78210582299982,-177.895628046 -6.7829063289999,-177.895015175 -6.78375771099991,-177.89494114 -6.78391152999984,-177.894674832 -6.78446607899997,-177.894001832 -6.78540007899983,-177.887909612 -6.7980507989999,-177.824675806 -6.92935852399989,-177.685313945 -7.06475045999986,-177.562312832 -7.18424807899993,-177.450110803 -7.33929042799997,-177.221092318 -7.65575238299994,-177.220307781 -7.65736866899982,-177.220137831 -7.65771907999994,-177.220100184 -7.65777069299986,-177.220076125 -7.65780387199993,-177.219673324 -7.65863370399995,-177.219258389 -7.65920594099987,-177.219077831 -7.65945507999987,-177.218434683 -7.66077973499989,-177.215557202 -7.66670754299997,-177.191919309 -7.69930025399987,-177.190414764 -7.70239858299988,-177.190004831 -7.70324307999994,-177.189967124 -7.70329469799987,-177.18990219 -7.70338421699989,-176.935508868 -8.22611136299997,-176.934384295 -8.23005682699994,-176.933129286 -8.23262979499992,-176.931445831 -8.23608207999985,-176.827562698 -8.59952039599989,-176.771861153 -8.79439464599994,-176.771511251 -8.79780006599998,-176.77082028 -8.80021070599997,-176.711221912 -9.37733262499984,-176.749347614 -9.89451762099992,-176.782302987 -9.92557617699987,-176.885394347 -10.0223789749999,-177.17398882 -10.2933692149998,-177.256233348 -10.3785013739999,-177.283471223 -10.406695579,-177.311633757 -10.4358469079999,-177.317988216 -10.442422096,-177.32012888 -10.4446371189999,-177.362452213 -10.4884305939999,-177.380518448 -10.507124378,-177.553614363 -10.6865643199998,-177.711038978 -10.8497586039999,-177.950890525 -11.2758366959999,-178.001778257 -11.3662348939999,-178.220138469 -11.7541352589998,-178.225824531 -11.7642361169998,-178.823394347 -12.1615806949999,-178.824399813 -12.1622492629999,-178.973109662 -12.2611315199999,-178.979347673 -12.2652748269999,-178.982955672 -12.2676712719999,-178.98598608 -12.2696840789998,-179.661684262 -12.719134751,-179.699718082 -12.7444898969999,-179.702992386 -12.7466727029998,-179.729749594 -12.7645103259999,-179.890047827 -12.87121531,-179.931455689 -12.8986263969999)),((179.892221916 -4.00266952999993,179.8922204 -4.00267022999998,179.892221501 -4.00267007599996,179.916979501 -4.0335600759999,179.951898501 -4.07689607599997,179.974764501 -4.10926107599983,179.999855501 -4.14477407599992,179.999999501 -12.9439646449998,179.999999501 -12.9439650849999,179.530153501 -13.234684085,179.044444501 -12.609445084,178.7344445 -12.2069450839998,178.6688885 -12.1208340839999,178.5633335 -11.9827780839999,178.3080555 -11.6458340829999,178.2463885 -11.5638890829998,177.316944499 -10.3050000819998,177.291666499 -10.2680560819998,177.186110499 -10.1147230819999,177.100833499 -10.0880560819999,176.229999498 -9.83111108199995,176.086666498 -9.82666708199986,175.944444498 -9.82194508199996,175.864444498 -9.81916708199998,174.949999497 -9.78305608199997,174.567379496 -9.42288508099989,174.234571496 -8.94440808099984,174.234282496 -8.94378008099983,174.233588496 -8.94278108099996,174.205438496 -8.88162308099993,174.162348496 -8.8512160809999,173.751168496 -8.43671707999988,173.750504496 -8.43575707999992,173.750181496 -8.43543107999994,173.749710091 -8.43475045199995,173.749095496 -8.43386307999998,173.749056033 -8.43382331299989,173.748189955 -8.43294918199996,173.416763478 -7.95402267599991,173.41603606 -7.95243401199991,173.414782263 -7.95062045999987,173.414564184 -7.95014417699991,173.41378331 -7.94901467599988,173.402408436 -7.92415496399991,173.171909835 -7.42040086999992,173.17168396 -7.41952736399992,173.170919354 -7.41785522799995,173.100543123 -7.14568286699989,172.955304837 -6.8278259949999,172.923128495 -6.75740707899985,172.878029134 -6.58288218399997,172.777859719 -6.19524669099997,172.732953758 -5.61670892599989,172.73299367 -5.61630266499986,172.732979334 -5.61611857199989,172.732959495 -5.61586007799991,172.758054641 -5.35921510899993,172.789417885 -5.03847101099996,172.945236575 -4.47965989799991,173.034129744106 -4.28173983810717,173.489059744452 -4.15528727729594,173.575297222223 -4.13131666666652,174.394586111111 -4.10998333333333,174.556594444445 -4.10678333333323,175.216122222222 -4.0936777777776,175.520080555556 -4.08768888888881,175.865747222222 -4.08077499999985,176.147747222222 -4.07520000000005,176.205849565324 -4.09079805656768,176.350644444444 -4.12966944444435,176.4737 -4.16185833333327,176.575313888889 -4.18745555555557,176.727883333333 -4.22524444444429,176.994766666667 -4.29093611111108,177.282808333333 -4.36169722222223,177.804911111111 -4.31760555555542,178.132796048181 -4.24595931407288,178.286594444445 -4.21235277777765,178.642038888889 -4.15901944444443,179.908352740064 -3.9678182644908,179.892221916 -4.00266952999993),(177.281372499 -6.10986407799993,177.290254499 -6.1144460779999,177.295808499 -6.11389107799988,177.305527499 -6.10597307799986,177.281372499 -6.08944607799987,177.278045499 -6.09944607799991,177.281372499 -6.10986407799993),(176.298718498 -6.28513707799982,176.306363498 -6.28833707799993,176.311981498 -6.2821550779999,176.306018498 -6.26013707799996,176.295254498 -6.27458207799992,176.298718498 -6.28513707799982),(178.6888545 -7.4808370799999,178.6957995 -7.48416407999991,178.7017815 -7.4752100799999,178.6887815 -7.46757307999985,178.6888545 -7.4808370799999),(179.202408501 -8.46541907999995,179.213227501 -8.56129108099987,179.222363501 -8.55414608099994,179.228318501 -8.54342808099989,179.231490501 -8.5335000799999,179.232281501 -8.51841907999983,179.231090501 -8.50491907999998,179.225145501 -8.49221907999987,179.218381501 -8.48189107999985,179.202408501 -8.46541907999995)))', 'Tuvaluan Exclusive Economic Zone', 'Tuvalu', 'Tuvalu', '', '19', '19', 'TUV', '8326', '2014-02', '755297929500', '8326', 'Y'),('SRID=4326;MULTIPOLYGON(((179.999999501 -12.9439650849999,180 -13.8811358634932,179.494320501 -13.3280170849999,179.530153501 -13.234684085,179.999999501 -12.9439650849999)),((-174.436066552 -12.799734261,-174.471805482 -13.28136211,-174.471842657 -13.281862635,-174.471853745 -13.2820119239999,-174.471898118 -13.282611677,-174.484357961 -13.4510422769999,-174.488983478 -13.5135694469999,-174.502020226 -13.6885167679999,-174.527065972 -14.024619458,-174.52997972 -14.092548667,-174.532155416 -14.1432714339999,-174.570091809 -14.1534530829999,-174.626535249 -14.168601789,-174.684434218 -14.182778738,-174.782391504 -14.2067642339999,-174.868191863 -14.2277560719999,-174.966941836 -14.2519161499999,-174.984545588 -14.2562246809999,-175.065335717 -14.2759177899999,-175.067239386 -14.2763792399999,-175.071868221 -14.2775012719999,-175.298387351 -14.3317011949999,-175.562887243 -14.3949888909999,-175.600900909 -14.4040006889999,-175.628483066 -14.410539517,-175.81021454 -14.4532844729999,-175.859232196 -14.4646390649999,-176.002081478 -14.4977290859999,-176.039427188 -14.5062722059999,-176.047642387 -14.5081514959999,-176.082782664 -14.5160686589999,-176.082782817 -14.516068693,-176.170765247 -14.535413471,-176.215421486 -14.5460506139999,-176.215421665 -14.5460506569999,-176.362270674 -14.5810259379999,-176.384913673 -14.5863531579999,-176.642178665 -14.6460626629999,-176.642178973 -14.6460627349999,-176.769279897 -14.8693225169999,-176.783026394 -14.8933507309999,-176.808186231 -14.9373289109999,-176.87094317 -15.0464727489999,-176.916658806 -15.1259791759999,-176.947546714 -15.1792091679999,-176.973905275 -15.2246336119999,-176.979066264 -15.233467334,-177.189441517 -15.5936737499999,-177.201615618 -15.6144136499999,-177.220593061 -15.6481761429999,-177.323963825 -15.832081563,-177.376235 -15.9366285199999,-178.516512778 -15.2963505829999,-179.239568333 -14.8049615749999,-180 -13.881135475,-179.999998311 -13.881136501,-180 -13.8811344485223,-180 -12.943964336,-179.931455689 -12.8986263969999,-179.890047827 -12.87121531,-179.729749594 -12.7645103259999,-179.702992386 -12.7466727029999,-179.699718082 -12.7444898969999,-179.661684262 -12.719134751,-178.98598608 -12.2696840789999,-178.982955672 -12.267671272,-178.979347673 -12.2652748269999,-178.973109662 -12.2611315199999,-178.824399813 -12.1622492629999,-178.823394347 -12.1615806949999,-178.225824531 -11.7642361169999,-178.220138469 -11.7541352589999,-178.001778257 -11.3662348939999,-177.950890525 -11.2758366959999,-177.711038978 -10.8497586039999,-177.553614363 -10.6865643199999,-177.380518448 -10.507124378,-177.362452213 -10.488430594,-177.32012888 -10.4446371189999,-177.317988216 -10.442422096,-177.311633757 -10.4358469079999,-177.283471223 -10.406695579,-177.256233348 -10.3785013739999,-177.17398882 -10.2933692149999,-176.885394347 -10.0223789749999,-176.782302987 -9.92557617699987,-176.749347614 -9.89451762099992,-176.379913663 -9.86306806899995,-176.202844623 -9.84799435399992,-175.962508936 -9.86981357699995,-175.621849668 -9.90074229499987,-175.259355948 -10.183258714,-175.032556846 -10.3596809289999,-174.987993493 -10.394287554,-174.958489647 -10.4171993959999,-174.847757197 -10.503167606,-174.365323269 -10.8758698809999,-174.27337121 -10.946565565,-174.323974239 -11.4797969319999,-174.328501515 -11.5298543599999,-174.385031552 -12.1478688929999,-174.385127525 -12.1488406889999,-174.425793116 -12.6663223219999,-174.432498657 -12.7516523059999,-174.436066552 -12.799734261),(-176.169064254 -13.3519441349999,-176.165037254 -13.353053135,-176.161437254 -13.352771135,-176.142028254 -13.3438171349999,-176.121937254 -13.258608135,-176.148091254 -13.216108135,-176.158355254 -13.214862135,-176.178346254 -13.232226135,-176.183073254 -13.2436081349999,-176.185819254 -13.2577801349999,-176.191100254 -13.2869441349999,-176.188082254 -13.3136081349999,-176.177246254 -13.3413891349999,-176.169064254 -13.3519441349999),(-178.137391256 -14.317080136,-178.060819256 -14.3238891359999,-178.043019256 -14.3174981359999,-178.127337256 -14.248608136,-178.181700256 -14.2323621359999,-178.190273256 -14.2397261359999,-178.188328256 -14.256108136,-178.179355256 -14.2754171359999,-178.171109256 -14.2877801359999,-178.153900256 -14.3080531359999,-178.137391256 -14.317080136)))', 'Wallis and Futuna Exclusive Economic Zone', 'Wallis and Futuna', 'France', '', '179', '161', 'WLF', '8454', '2014-02', '262340566300', '8454', 'Y'),('SRID=4326;MULTIPOLYGON(((-91.106127751 13.91583594,-91.081390751 13.9130539400001,-91.0158367509999 13.9130539400001,-90.943890751 13.91777194,-90.889727751 13.92166294,-90.771954751 13.92638994,-90.673336751 13.9294449400001,-90.627627751 13.93055394,-90.612499751 13.92916294,-90.589445751 13.9247179400001,-90.49223675 13.90027194,-90.46250975 13.8913899400001,-90.41111875 13.87305394,-90.3491637499999 13.84777194,-90.23713675 13.80128094,-90.21750975 13.79166294,-90.15194575 13.76333594,-90.10556375 13.74721794,-90.0963909229999 13.74583606,-90.1041458399999 13.719161705,-90.113304966 13.664450478,-90.129616568 13.5670145670001,-90.23349275 13.356317113,-90.347218891 13.1605942320001,-90.3739955089999 13.110084665,-90.461845554 12.987571578,-90.548260575 12.8670597340001,-90.689294543 12.6703779150001,-90.794052842 12.514439845,-90.794052888 12.5144397760001,-90.8382136119999 12.4487042860001,-90.8382137739999 12.4487040450001,-90.872091647 12.3534695750001,-90.9145083189999 12.224730063,-90.925114846 12.1925380270001,-90.925114858 12.192537988,-91.049115235 11.8161824910001,-91.3266348229999 10.9222941240001,-91.424937627 10.605661582,-91.438534751 10.611807937,-91.4837727509999 10.6154459370001,-91.6018167509999 10.6248999370001,-91.6561167519999 10.629229937,-91.660580752 10.6303759370001,-91.680541752 10.631963937,-91.703230752 10.637786937,-91.757470752 10.642089937,-91.8637017519999 10.6692939370001,-91.8684317519999 10.669666937,-92.075348752 10.7225049370001,-92.288348752 10.7766969370001,-92.440304752 10.8152329380001,-92.4534227519999 10.821094938,-92.527644752 10.839874938,-92.882775753 10.998078938,-93.066073753 11.079452938,-93.069686753 11.0818739380001,-93.208042753 11.143164938,-93.2121297529999 11.1458999380001,-93.233005753 11.1598649380001,-93.2433787529999 11.1644539380001,-93.254798753 11.1720899380001,-93.267347753 11.177640938,-93.267620753 11.1778229380001,-93.300662753 11.192432938,-93.444735753 11.2886429380001,-93.448088753 11.290121938,-93.451600753 11.292464938,-93.490403753 11.309576938,-93.5421667529999 11.344084938,-93.951395754 11.6161419380001,-93.980444754 11.635401938,-94.010945754 11.664347938,-94.0738177539999 11.7059919380001,-94.080879754 11.710667938,-94.099609754 11.728423938,-94.1276037539999 11.7469479380001,-94.146302754 11.7646649380001,-94.157769754 11.7722489380001,-94.193441754 11.8060279380001,-94.208686754 11.8204589380001,-94.247656754 11.8462089380001,-94.260724754 11.8585709380001,-94.3305737539999 11.904684939,-94.336173754 11.909977939,-94.3847227539999 11.942001939,-94.407824754 11.9638199390001,-94.4078857539999 11.963859939,-94.5606507539999 12.1030739390001,-93.852878754 12.8632579390001,-93.140926753 13.62136494,-92.424459752 14.377327941,-92.409031752 14.3928529410001,-92.263161752 14.537740941,-92.2481137519999 14.548499941,-92.2467817519999 14.5505449410001,-92.2421457519999 14.5437179410001,-92.218899752 14.521662941,-92.164463752 14.483889941,-92.081118752 14.424717941,-91.990845752 14.349998941,-91.960554752 14.324444941,-91.913618752 14.2877719410001,-91.812709752 14.211662941,-91.770009752 14.191944941,-91.697236752 14.149998941,-91.680554752 14.1388899410001,-91.658890752 14.1223899410001,-91.6400187519999 14.106389941,-91.6213997519999 14.0933359410001,-91.587781751 14.078335941,-91.5636097509999 14.0649989410001,-91.527981751 14.0434899410001,-91.493618751 14.0297179410001,-91.384736751 13.97888994,-91.296399751 13.9538899400001,-91.184036751 13.9261089400001,-91.106127751 13.91583594)),((-88.511293026 16.0664050620001,-88.501453816 16.06632053,-88.494356221 16.066574986,-88.48777778 16.0668875920001,-88.485047966 16.0670173130001,-88.4700225 16.0678473340001,-88.457422884 16.0687331230001,-88.457374849 16.0687365000001,-88.445930399 16.0576751620001,-88.440624655 16.052714494,-88.440038183 16.0521661670001,-88.416968598 16.032157275,-88.412765902 16.028744542,-88.408171236 16.0250135160001,-88.406191193 16.0235762520001,-88.4042333149999 16.022155077,-88.3988428929999 16.0150916970001,-88.397408521 16.0133332840001,-88.396777519 16.012630653,-88.396450214 16.0122661940001,-88.389685395 16.0053184920001,-88.3837613219999 15.999829768,-88.38292286 15.999052922,-88.3826444809999 15.9988107240001,-88.381795354 15.998071958,-88.375481877 15.992663841,-88.374558527 15.9919036060001,-88.37219089 15.990029324,-88.371545522 15.989518434,-88.359169421 15.98017205,-88.358785918 15.9799074700001,-88.3587051229999 15.9798517290001,-88.358559005 15.9797509220001,-88.357753518 15.9792086530001,-88.355527541 15.9777100850001,-88.354975779 15.977338628,-88.354975581 15.97733852,-88.351173289 15.9752504410001,-88.334358438 15.9659277820001,-88.327092539 15.962273698,-88.322950242 15.960247447,-88.319239779 15.958432434,-88.315492964 15.9567343840001,-88.314360646 15.956250482,-88.305451218 15.952701855,-88.3016011029999 15.9511683530001,-88.300184686 15.9506217320001,-88.288888947 15.9462624970001,-88.286866819 15.9455813170001,-88.2805571329999 15.9434558150001,-88.278512806 15.942823291,-88.277478703 15.942503334,-88.2602705849999 15.9371215090001,-88.260270277 15.9371214130001,-88.2582994159999 15.9365361600001,-88.254211938 15.9353854940001,-88.246654032 15.9335654230001,-88.2439489659999 15.9329813860001,-88.239322814 15.9321090340001,-88.236149873 15.931510713,-88.225019499 15.929742479,-88.194432077 15.924883188,-88.1819621339999 15.9231490620001,-88.181108835 15.923038821,-88.180728233 15.92298965,-88.1805880969999 15.917680139,-88.1805880699999 15.917679338,-88.1800947579999 15.9029382300001,-88.180094745 15.9029379420001,-88.180022 15.9015644130001,-88.179575222 15.8931284280001,-88.179090375 15.8830985480001,-88.179089941 15.883089576,-88.17908956 15.883081707,-88.1788929799999 15.879015113,-88.1763911959999 15.8714284490001,-88.1665121029999 15.841470089,-88.164808685 15.829503763,-88.164795256 15.8294094290001,-88.174387473 15.8119832890001,-88.185819191 15.791215333,-88.1992775589999 15.7662827980001,-88.208915748 15.748426942,-88.216736748 15.7346339420001,-88.2147431719999 15.7244776700001,-88.214736748 15.724444942,-88.21478024 15.7244610540001,-88.216491699 15.723693848,-88.218558136 15.7258605970001,-88.228627748 15.7295909420001,-88.2547277479999 15.736808942,-88.4063997489999 15.8377719420001,-88.551390749 15.940835942,-88.576672749 15.9163909420001,-88.5499997489999 15.8977809420001,-88.495845749 15.8495089420001,-88.603681749 15.7330359420001,-88.598072749 15.706390942,-88.618063749 15.698535942,-88.638472749 15.712499942,-88.678618749 15.778053942,-88.747927749 15.8372179420001,-88.786118749 15.8566629420001,-88.812227749 15.8655539420001,-88.834727749 15.864717942,-88.8729907489999 15.862980942,-88.910572902 15.893609068,-88.90190968 15.9048512470001,-88.90119514 15.9052749460001,-88.899972761 15.905999778,-88.8796713529999 15.917607338,-88.853928737 15.9323259710001,-88.85392817 15.9323262950001,-88.853604259 15.9331031470001,-88.853548624 15.9332365810001,-88.853432799 15.9335143700001,-88.853426998 15.9335268630001,-88.8534233349999 15.9335347520001,-88.853413614 15.9335556890001,-88.853413312 15.9335563390001,-88.8501166679999 15.940259828,-88.850108903 15.940275618,-88.848513428 15.943519902,-88.847409463 15.9457647360001,-88.84659265 15.9474256670001,-88.8398309089999 15.949800429,-88.830389966 15.9531161420001,-88.827302397 15.9539095220001,-88.824606304 15.9545444340001,-88.819432198 15.95582555,-88.814860269 15.956827532,-88.8031698469999 15.9591450950001,-88.8028277129999 15.9592082130001,-88.792059762 15.9609070560001,-88.78035512 15.9627536790001,-88.7766264809999 15.9633419400001,-88.776066121 15.963445087,-88.774970749 15.963646715,-88.773642153 15.9638912730001,-88.770382075 15.9648558480001,-88.768523703 15.965405694,-88.7484289879999 15.9717490080001,-88.7458250179999 15.979901608,-88.74568254 15.9803476820001,-88.7453786629999 15.981299071,-88.7453784639999 15.9812996970001,-88.745378454 15.9812997240001,-88.7268696739999 16.009114106,-88.7168087749999 16.0237857120001,-88.713527567 16.028570632,-88.712899723 16.029501388,-88.71145768 16.0316391650001,-88.711021789 16.032272004,-88.7091869339999 16.0349358980001,-88.675277538 16.0519946160001,-88.675164314 16.052021617,-88.67469636 16.0521332110001,-88.637896094 16.061322498,-88.634764361 16.0621698960001,-88.6304312249999 16.0633423740001,-88.6278163489999 16.064049918,-88.616899475 16.06706,-88.612195435 16.0683289560001,-88.608927638 16.06930801,-88.599863821 16.072023589,-88.594487535 16.07363436,-88.594127548 16.073752513,-88.594127106 16.073752658,-88.581909189 16.071947788,-88.575763013 16.071176581,-88.575762582 16.0711765240001,-88.575089708 16.0710861810001,-88.5738454899999 16.070941207,-88.562453507 16.069813262,-88.546280302 16.0682119190001,-88.537536788 16.0676166120001,-88.5316025179999 16.067263692,-88.526088042 16.067030555,-88.511293026 16.0664050620001)))', 'Guatemalan Exclusive Economic Zone', 'Guatemala', 'Guatemala', '', '136', '136', 'GTM', '8430', '', '118239097000', '8430', 'Y'),('SRID=4326;MULTIPOLYGON(((136.119093627 7.86558735900007,136.148458627 7.61767435900003,136.168496627 7.54602235900006,136.182220627 7.49670835900002,136.186722627 7.47797735900002,136.233065627 7.31640535900004,136.355613627 6.88770735800006,136.642795627 6.01413235800004,136.975509628 5.00835035700004,136.943317628 4.95969035700006,136.811653627 4.81128335600005,136.786334627 4.78609535600003,136.740735627 4.73466935600004,136.626313053 4.62077228500004,136.592019244 4.58663619700008,136.567369169 4.56498222300007,136.472367627 4.48152835600007,136.446208569 4.45546266100007,136.442387374 4.45165521000007,136.28487344 4.31314552200007,136.119086163 4.18476184800005,136.114894952 4.18191530700005,136.114239627 4.18147035600003,136.106137627 4.17519635600007,136.105647316 4.17486323400004,136.103835524 4.17363247600002,136.102157441 4.17233334800005,135.928744844 4.05456761000005,135.864351334 4.01648123600006,135.748372626 3.94788435600003,135.7459146 3.94643029800005,135.745914554 3.94643027100005,135.745914289 3.94643011400007,135.705986825 3.95104721500007,135.567025824 3.94785279700005,134.694819377 3.44316301800006,133.880094103 2.96883258400004,133.850249374 2.93327831700003,132.926443674 1.81127224000005,132.80061475 1.64871288100005,132.246119263 1.79685292700003,131.315929649 2.04419514000006,130.121637871 1.99080549700005,130.12108331 1.99173537300004,130.052634576 2.10623363100007,129.946745909 2.63548675200002,129.87160619 3.00780059200002,129.766183207 3.52502050600003,129.626966891 4.50368339500005,129.58838459 4.77271105100004,129.557354879 4.82440832100002,129.578176077 5.93866167100003,129.489699545 6.67085227000007,129.489699539 6.67085232300008,129.489699516 6.67085251800006,129.943936621 7.81023735900004,129.989374683 7.85088803200006,130.071735621 7.92457135900003,130.237200621 8.05478235900006,130.410624621 8.17434836000007,130.591323622 8.28279236000003,130.778585623 8.37967735700005,130.778585761 8.37967742300003,130.971671622 8.46461036000005,130.972583622 8.46494536000006,130.973051117 8.46515109200004,130.973676857 8.46542606500003,131.171084818 8.53779624900005,131.218472409 8.64893801100004,131.242258622 8.70472536000005,131.270848189 8.76152642300002,131.336858744 8.89267398400006,131.406788191 9.01213189300006,131.443194622 9.07432336000005,131.560863623 9.24895436100007,131.563649623 9.25257236100003,131.565972623 9.25912436100003,131.568239623 9.26442536100006,131.585582624 9.31333336000006,131.592017075 9.32837884600002,131.668303899 9.50675711600007,131.734737281 9.63834774100008,131.763146623 9.69462036100003,131.785567972 9.73280608000005,131.869754049 9.87618200800006,131.987721075 10.0507222270001,132.077550717 10.167002838,132.116598623 10.2175483610001,132.116631486 10.2175856060001,132.116673695 10.2176330190001,132.117601057 10.218834585,132.228601817 10.34510067,132.256894623 10.3772843620001,132.26169944 10.382097908,132.406064059 10.526723922,132.564532057 10.666559439,132.662506092 10.742565557,132.731676624 10.796226362,132.906844624 10.915206362,133.089342624 11.0230183620001,133.146023424 11.051854217,133.278448846 11.1192240620001,133.473409515 11.203433261,133.673445516 11.2753012520001,133.877754776 11.33453124,133.93028243 11.346249549,134.085513625 11.3808793630001,134.086116645 11.380975253,134.086733709 11.3810729030001,134.089399396 11.381667443,134.089542625 11.3816993630001,134.139258086 11.389561784,134.299915041 11.414969372,134.512044746 11.435021137,134.725072845 11.4417673560001,134.738919972 11.4413389310001,134.938132626 11.435175363,135.150354626 11.4152633630001,135.277609626 11.3952223630001,135.274677626 11.3766033630001,135.290519626 11.341208363,135.363374626 11.1777163620001,135.501782626 10.863790362,135.726043626 10.3454913620001,135.928823627 9.06181136000004,136.003945627 8.58537536000006,136.018171627 8.49617136000006,136.018271627 8.49554736000005,136.018368627 8.49493736000005,136.084539627 8.07776135900002,136.119093627 7.86558735900007),(134.485227625 7.43805435900003,134.522336625 7.35916335900004,134.531372625 7.35444535900007,134.561372625 7.37194535900005,134.628572625 7.49027235900007,134.649718625 7.57805435900002,134.654690625 7.60027235900003,134.658872625 7.64389035900007,134.658872625 7.65749935900004,134.654690625 7.69416335900007,134.651508625 7.70791835900008,134.642208625 7.72389035900005,134.630663625 7.72944535900007,134.620227625 7.72597235900002,134.618145625 7.71583635900004,134.623018625 7.70360935900004,134.632718625 7.68582735900003,134.638027625 7.67083635900002,134.643036625 7.64860935900003,134.641663625 7.63639035900007,134.633436625 7.62749935900007,134.621608625 7.62194535900005,134.605227625 7.61805435900004,134.589554625 7.61666335900003,134.562190625 7.61333635900007,134.553036625 7.60860935900007,134.544981625 7.59610935900002,134.485227625 7.43805435900003),(134.516145625 7.34325435900007,134.460081625 7.36320935900005,134.452481625 7.32710935900008,134.513290625 7.30525435900006,134.516145625 7.34325435900007)))', 'Palau Exclusive Economic Zone', 'Palau', 'Palau', '', '8', '8', 'PLW', '8315', '', '606964882300', '8315', 'Y'),('SRID=4326;MULTIPOLYGON(((-88.0358659889999 18.3945870060001,-88.0102366 18.368957618,-88.005279102 18.3598688710001,-87.9974219059999 18.345464012,-87.9898978209999 18.332923871,-87.984607212 18.324106188,-87.971792517 18.2877978870001,-87.9709790049999 18.2780357390001,-87.969861553 18.264626321,-87.9696567349999 18.262168499,-87.9684824189999 18.2551226040001,-87.966647925 18.2441156420001,-87.963249388 18.223724416,-87.961287415 18.204104687,-87.96111364 18.2023669440001,-87.961113605 18.202366592,-87.946163129 18.202366592,-87.914126583 18.193823514,-87.9141263929999 18.193823464,-87.9134725819999 18.193678172,-87.896711141 18.1899534070001,-87.894904352 18.189551898,-87.867938098 18.1858579240001,-87.866544205 18.1857301330001,-87.8518541509999 18.1843833630001,-87.8373119089999 18.183050145,-87.8301987519999 18.1830498680001,-87.826400591 18.18304972,-87.8261975569999 18.183076838,-87.818606373 18.183530064,-87.8107657149999 18.1839981850001,-87.802939263 18.183996752,-87.79305684 18.1839949430001,-87.792274709 18.1841265,-87.767929841 18.188221361,-87.753055194 18.1907233090001,-87.731061687 18.1930597590001,-87.702124918 18.196133816,-87.676878244 18.1978566920001,-87.6688899229999 18.1982155050001,-87.666941991 18.1983030010001,-87.665509121 18.198341403,-87.655699786 18.198604302,-87.645894997 18.1988670800001,-87.6295336649999 18.1986651400001,-87.5939048879999 18.197217218,-87.540263693 18.1956403740001,-87.477143656 18.193784888,-87.4639069689999 18.194113993,-87.4507485349999 18.1944411530001,-87.43665498 18.192761471,-87.4284174429999 18.1917797150001,-87.424818933 18.1913404700001,-87.419696228 18.190715176,-87.41875506 18.18984562,-87.412387149 18.18396224,-87.403133272 18.1752607600001,-87.346499974 18.122008109,-87.1568869929999 18.0749886240001,-86.99407079 18.041068582,-86.112897185 17.856131799,-86.162847142 17.7843868410001,-86.281714754 17.597219234,-86.307469996 17.569575399,-86.4325855819999 17.441844272,-86.546069345 17.325475754,-86.5732535609999 17.2975998740001,-86.580088114 17.290858825,-86.6309805659999 17.2415869010001,-86.66122724 17.2012120380001,-86.6770073929999 17.180221897,-86.677494525 17.179573491,-86.677980357 17.178926033,-86.7757846499999 17.0483993890001,-86.785169836 17.036926699,-86.858161708 16.9571763870001,-86.8677140729999 16.946750077,-86.911634312 16.9004430470001,-86.912778865 16.899313765,-86.9643521519999 16.8495288130001,-87.007952094 16.8078764000001,-87.011094038 16.804885852,-87.0127026769999 16.8033547260001,-87.0290823559999 16.7881595120001,-87.065487395 16.754387034,-87.0943539 16.727708826,-87.108329703 16.714706232,-87.1211988699999 16.7083020040001,-87.145387318 16.6964093080001,-87.210589286 16.6180346900001,-87.363167472 16.4512323120001,-87.41826338 16.3897208990001,-87.418466291 16.3894832940001,-87.467536796 16.3790325200001,-87.604281325 16.3488996990001,-87.60775917 16.348123215,-87.675980927 16.2949241310001,-87.762769577 16.247102872,-87.802158549 16.2248748960001,-87.809068353 16.220255674,-87.8453392059999 16.1962552430001,-87.867404552 16.185896846,-87.869732954 16.184122062,-87.90545224 16.1583807580001,-87.925849681 16.143847328,-87.932034111 16.140048934,-87.9337586 16.13900754,-87.9792108029999 16.0988620090001,-88.025177404 16.0698273030001,-88.028058465 16.068053487,-88.0497146609999 16.046842977,-88.063191699 16.031897826,-88.075829076 16.017149771,-88.082727296 16.009251207,-88.101867839 15.98610589,-88.114011515 15.971535841,-88.1209465009999 15.9631465590001,-88.180728233 15.92298965,-88.181108835 15.923038821,-88.1819621339999 15.9231490620001,-88.194432077 15.924883188,-88.225019499 15.929742479,-88.236149873 15.931510713,-88.239322814 15.9321090340001,-88.2439489659999 15.9329813860001,-88.246654032 15.9335654230001,-88.254211938 15.9353854940001,-88.2582994159999 15.9365361600001,-88.260270277 15.9371214130001,-88.2602705849999 15.9371215090001,-88.277478703 15.942503334,-88.278512806 15.942823291,-88.2805571329999 15.9434558150001,-88.286866819 15.9455813170001,-88.288888947 15.9462624970001,-88.300184686 15.9506217320001,-88.3016011029999 15.9511683530001,-88.305451218 15.952701855,-88.314360646 15.956250482,-88.315492964 15.9567343840001,-88.319239779 15.958432434,-88.322950242 15.960247447,-88.327092539 15.962273698,-88.334358438 15.9659277820001,-88.351173289 15.9752504410001,-88.354975581 15.97733852,-88.354975779 15.977338628,-88.355527541 15.9777100850001,-88.357753518 15.9792086530001,-88.358559005 15.9797509220001,-88.3587051229999 15.9798517290001,-88.358785918 15.9799074700001,-88.359169421 15.98017205,-88.371545522 15.989518434,-88.37219089 15.990029324,-88.374558527 15.9919036060001,-88.375481877 15.992663841,-88.381795354 15.998071958,-88.3826444809999 15.9988107240001,-88.38292286 15.999052922,-88.3837613219999 15.999829768,-88.389685395 16.0053184920001,-88.396450214 16.0122661940001,-88.396777519 16.012630653,-88.397408521 16.0133332840001,-88.3988428929999 16.0150916970001,-88.4042333149999 16.022155077,-88.406191193 16.0235762520001,-88.408171236 16.0250135160001,-88.412765902 16.028744542,-88.416968598 16.032157275,-88.440038183 16.0521661670001,-88.440624655 16.052714494,-88.445930399 16.0576751620001,-88.457374849 16.0687365000001,-88.457422884 16.0687331230001,-88.4700225 16.0678473340001,-88.485047966 16.0670173130001,-88.48777778 16.0668875920001,-88.494356221 16.066574986,-88.501453816 16.06632053,-88.511293026 16.0664050620001,-88.526088042 16.067030555,-88.5316025179999 16.067263692,-88.537536788 16.0676166120001,-88.546280302 16.0682119190001,-88.562453507 16.069813262,-88.5738454899999 16.070941207,-88.575089708 16.0710861810001,-88.575762582 16.0711765240001,-88.575763013 16.071176581,-88.581909189 16.071947788,-88.594127106 16.073752658,-88.594127548 16.073752513,-88.594487535 16.07363436,-88.599863821 16.072023589,-88.608927638 16.06930801,-88.612195435 16.0683289560001,-88.616899475 16.06706,-88.6278163489999 16.064049918,-88.6304312249999 16.0633423740001,-88.634764361 16.0621698960001,-88.637896094 16.061322498,-88.67469636 16.0521332110001,-88.675164314 16.052021617,-88.675277538 16.0519946160001,-88.7091869339999 16.0349358980001,-88.711021789 16.032272004,-88.71145768 16.0316391650001,-88.712899723 16.029501388,-88.713527567 16.028570632,-88.7168087749999 16.0237857120001,-88.7268696739999 16.009114106,-88.745378454 15.9812997240001,-88.7453784639999 15.9812996970001,-88.7453786629999 15.981299071,-88.74568254 15.9803476820001,-88.7458250179999 15.979901608,-88.7484289879999 15.9717490080001,-88.768523703 15.965405694,-88.770382075 15.9648558480001,-88.773642153 15.9638912730001,-88.774970749 15.963646715,-88.776066121 15.963445087,-88.7766264809999 15.9633419400001,-88.78035512 15.9627536790001,-88.792059762 15.9609070560001,-88.8028277129999 15.9592082130001,-88.8031698469999 15.9591450950001,-88.814860269 15.956827532,-88.819432198 15.95582555,-88.824606304 15.9545444340001,-88.827302397 15.9539095220001,-88.830389966 15.9531161420001,-88.8398309089999 15.949800429,-88.84659265 15.9474256670001,-88.847409463 15.9457647360001,-88.848513428 15.943519902,-88.850108903 15.940275618,-88.8501166679999 15.940259828,-88.853413312 15.9335563390001,-88.853413614 15.9335556890001,-88.8534233349999 15.9335347520001,-88.853426998 15.9335268630001,-88.853432799 15.9335143700001,-88.853548624 15.9332365810001,-88.853604259 15.9331031470001,-88.85392817 15.9323262950001,-88.853928737 15.9323259710001,-88.8796713529999 15.917607338,-88.899972761 15.905999778,-88.90119514 15.9052749460001,-88.90190968 15.9048512470001,-88.910572902 15.893609068,-88.926809583 15.947363518,-88.923199583 15.987081518,-88.853345583 16.0541635180001,-88.791945583 16.1188905180001,-88.744799583 16.2076365180001,-88.726818583 16.2316635180001,-88.650845583 16.279718518,-88.530009582 16.2980545180001,-88.387927582 16.4904185180001,-88.3852815819999 16.527081518,-88.394181582 16.5416635180001,-88.3788905819999 16.5619455180001,-88.347227582 16.6027725180001,-88.361290582 16.5017635180001,-88.302718582 16.6436095180001,-88.279727582 16.8005545190001,-88.278199582 16.889445519,-88.262845582 16.925972519,-88.234309582 16.9459725190001,-88.213336582 16.962081519,-88.234872582 17.064790519,-88.265699582 17.0804095190001,-88.280009582 17.097909519,-88.289136582 17.122499519,-88.299454582 17.1855545190001,-88.298618582 17.2383275190001,-88.294727582 17.2767995190001,-88.284999582 17.323327519,-88.2605545819999 17.4222185190001,-88.248899582 17.4652725190001,-88.168781582 17.4991095190001,-88.2784095819999 17.580827519,-88.282499582 17.6238815190001,-88.273472582 17.644854519,-88.2518185819999 17.6656905190001,-88.233609582 17.6961095190001,-88.225845582 17.7158275190001,-88.211954582 17.7755545200001,-88.209036582 17.80249952,-88.202427582 17.88708152,-88.186463582 17.92402752,-88.163072582 17.95110952,-88.150836582 17.96597252,-88.123063582 18.02944552,-88.087363582 18.12236352,-88.077790582 18.2155545200001,-88.081954582 18.27138152,-88.0835873029999 18.282082384,-88.083587742 18.2820828970001,-88.09749985 18.373263471,-88.208618582 18.3530545200001,-88.315563582 18.36416352,-88.313336582 18.4244455200001,-88.289699582 18.4509635200001,-88.299499235 18.4829263880001,-88.299499973 18.4829269910001,-88.299499366 18.4829268140001,-88.260123138 18.4714751720001,-88.221679056 18.462932043,-88.167367811 18.4493542320001,-88.15333402 18.445845784,-88.104211025 18.4266237420001,-88.100387364 18.4251898690001,-88.0700385069999 18.4138090480001,-88.048667687 18.4017879620001,-88.0358659889999 18.3945870060001),(-87.919009159 18.1085630810001,-87.924436248 18.0956902770001,-87.924436282 18.095690317,-88.0061185819999 17.90194552,-87.991118582 17.8974995200001,-87.973618582 17.8983275200001,-87.961399582 17.9038905200001,-87.9529185819999 17.9147185200001,-87.936672582 17.9386095200001,-87.928618582 17.95138152,-87.920290582 17.9705545200001,-87.905809582 18.0196185200001,-87.925054582 17.99931852,-87.8901455819999 18.04582752,-87.88725766 18.0521480250001,-87.8872577559999 18.0521481370001,-87.8466730169999 18.1409731680001,-87.847645988 18.1586090280001,-87.853727995 18.162763227,-87.856390582 18.1645815200001,-87.887957908 18.154890069,-87.901190733 18.1508271600001,-87.919009159 18.1085630810001),(-87.928481582 17.277354519,-87.924181582 17.2749995190001,-87.925009582 17.2900635190001,-87.903481582 17.3861095190001,-87.890018582 17.4055545190001,-87.8626365819999 17.422499519,-87.852918582 17.417636519,-87.840981582 17.412772519,-87.831536582 17.4170815190001,-87.819027582 17.429027519,-87.785845582 17.489436519,-87.779590582 17.5022185190001,-87.781054582 17.518954519,-87.810009582 17.5469455190001,-87.8218185819999 17.549027519,-87.917854582 17.4182635190001,-87.934718582 17.306663519,-87.935972582 17.2929185190001,-87.928481582 17.277354519)))', 'Belizean Exclusive Economic Zone', 'Belize', 'Belize', '', '164', '164', 'BLZ', '8457', '', '36113266370', '8457', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5045296320001 42.4493842100001,18.5045300260001 42.449384713,18.5043613870001 42.449391351,18.5032011120001 42.449436861,18.5080540500001 42.453882176,18.575681672 42.4565276450001,18.6786090910001 42.460554545,18.7076363640001 42.4198545450001,18.7034727270001 42.3990181820001,18.625618182 42.4189545450001,18.5896643830001 42.4286802250001,18.589664439 42.4286801120001,18.585827216 42.429718155,18.566586989 42.4282285740001,18.5535361010001 42.4272181690001,18.561577481 42.413635899,18.5772181630001 42.3872180500001,18.580080632 42.3857379560001,18.58008059 42.3857380870001,18.589568167 42.3808322470001,18.620063267 42.3650641770001,18.621381007 42.365514627,18.62138128 42.3655140830001,18.6470818180001 42.3743000000001,18.8108363640001 42.2847181820001,18.847354545 42.286936364,18.879372727 42.279436364,18.964445455 42.1899909090001,19.0050000000001 42.157490909,19.0500636360001 42.137009091,19.078609091 42.1116636360001,19.138609091 42.043327273,19.1459727270001 42.0195818180001,19.1379818180001 41.9827727270001,19.1527727270001 41.9488909090001,19.1761090910001 41.931518182,19.2323545450001 41.9117272730001,19.278890909 41.9033272730001,19.2994454550001 41.8947181820001,19.367772727 41.849,19.3683419020001 41.8479462130001,19.374238905 41.8394914580001,19.4096574020001 41.7458844130001,19.4132946280001 41.734529706,19.3964331120001 41.7150373600001,19.347611113 41.694427068,19.2864884960001 41.670539761,19.154606755 41.6135098180001,18.461944444 41.277499999,18.216666667 41.4999999990001,18.020445856 41.622009092,18.1985613210001 41.826416743,18.2019072680001 41.8302208550001,18.2786570220001 41.9194553450001,18.354013041 42.0394158510001,18.490497025 42.253486679,18.5210066710001 42.3043239090001,18.5438031210001 42.349361931,18.54598414 42.353744383,18.5464003970001 42.3548130710001,18.5487472040001 42.3663429740001,18.548750253 42.3663549610001,18.550580843 42.375870723,18.5516538860001 42.381973649,18.551662171 42.382392371,18.551895598 42.3882265840001,18.5523630550001 42.3918801830001,18.552130434 42.3922870420001,18.550645649 42.394520103,18.5497837880001 42.3956275990001,18.5469796470001 42.3995471280001,18.544992942 42.4016577450001,18.5434723000001 42.4035547400001,18.5416043230001 42.404573145,18.5383015200001 42.40611641,18.5357059310001 42.4076080350001,18.534948146 42.40820297,18.5332870440001 42.4094415930001,18.5330031770001 42.409823686,18.53398652 42.4152365400001,18.5358276000001 42.42352055,18.5358275200001 42.4290435400001,18.53398665 42.4345662600001,18.5312252200001 42.4387084100001,18.52570237 42.4423903100001,18.52229945 42.44409219,18.52017951 42.44515174,18.5165905900001 42.44654788,18.5118952300001 42.4483734,18.5101125 42.4486975400001,18.5068326100001 42.44929388,18.5045296320001 42.4493842100001)))', 'Montenegrin Exclusive Economic Zone', 'Montenegro', 'Montenegro', '', '186', '186', 'MNE', '5691', '2012-10', '7479867106', '5691', 'Y'),('SRID=4326;MULTIPOLYGON(((124.38860045 40.022490965,124.32395445 39.9158909650001,124.36360045 39.864999965,124.40637245 39.8316639650001,124.43956345 39.829026965,124.49887245 39.8211089650001,124.53637245 39.8097179650001,124.56165445 39.799999965,124.65005445 39.6769359640001,124.63109045 39.649854964,124.63588145 39.598008964,124.74081845 39.629299964,124.75568145 39.677844964,124.74637245 39.714154964,124.74529045 39.773217964,124.84610045 39.7213729640001,124.94553645 39.662490964,125.03749045 39.6055549640001,125.12025445 39.558744964,125.290400451 39.519299964,125.311372451 39.525826964,125.372754451 39.5522179640001,125.441990451 39.576726964,125.450436451 39.5723549640001,125.403318451 39.5254089640001,125.346790451 39.459299964,125.338109451 39.434508964,125.359981451 39.393463964,125.401654451 39.3588909640001,125.421918451 39.308044964,125.411654451 39.279717964,125.388318451 39.2374999640001,125.359418451 39.215826964,125.339709451 39.203326964,125.290263451 39.155263964,125.28414545 39.115544964,125.25916345 39.0522179640001,125.23580945 38.999163964,125.19970945 38.9219359640001,125.14943645 38.8695819640001,125.14053645 38.798117964,125.24470945 38.7163819640001,125.28324545 38.697072963,125.367754451 38.7072179640001,125.432209451 38.7222089640001,125.479154451 38.721654964,125.517209451 38.717763964,125.629790451 38.6569359630001,125.633045451 38.654854963,125.652072451 38.629435963,125.652590451 38.624508963,125.649154451 38.6220729630001,125.625536451 38.6241549630001,125.592481451 38.636799963,125.576390451 38.6488819630001,125.554009451 38.6742269630001,125.447200451 38.700544963,125.377063451 38.6917999630001,125.346100451 38.6702729630001,125.309009451 38.6516549630001,125.15664545 38.6447179630001,125.05526345 38.5806909630001,124.99330945 38.586372963,124.95832745 38.463326963,124.86553645 38.332499963,124.86790045 38.2608269630001,124.867045231 38.2558202180001,124.862491271 38.2291540210001,124.821382395 38.188882162,124.744145169 38.1438820700001,124.721645123 38.139164232,124.6763002 38.1396450180001,124.670054173 38.1195091720001,124.766936234 38.0966540690001,124.788882236 38.095273234,124.864982373 38.102909148,125.021791353 38.0629090300001,125.060682378 38.0701360740001,125.083054181 38.0794361310001,125.106645215 38.0869360900001,125.133045193 38.0911000520001,125.256854117 38.07728215,125.273800314 38.0637450410001,125.24158229 38.0139540210001,125.219018206 38.02617316,125.2060913 38.043045093,125.185254224 38.0463911480001,125.117482345 38.042500101,124.982900328 37.9332911110001,125.021518271 37.8954821900001,125.086654208 37.8772091380001,125.132472374 37.8680450350001,125.176018205 37.8641539880001,125.219009321 37.888809021,125.239982352 37.927144997,125.308591247 37.8863821250001,125.352763374 37.8616642280001,125.387500328 37.896100104,125.42637241 37.906654093,125.456100338 37.9124910830001,125.509709315 37.885545108,125.487491236 37.8374911540001,125.443872315 37.8191641230001,125.383872305 37.7923820980001,125.333454151 37.7161000730001,125.337200359 37.680273137,125.342754208 37.6713821170001,125.38067243 37.708745121,125.521100321 37.784436054,125.565400356 37.782282072,125.643054163 37.818882156,125.724427188 37.9108180550001,125.646236269 37.9665181490001,125.613036221 37.9787449990001,125.592491338 37.991800148,125.577145246 38.0171450120001,125.605263346 38.0261000690001,125.672491239 38.016936135,125.748454249 38.0026361050001,125.803727201 37.985336024,125.824436201 37.941100195,125.920118308 37.8359001010001,125.985118291 37.8292271010001,125.972209322 37.8690910970001,125.94330919 37.8900641270001,125.96998225 37.9056821280001,126.042763322 37.8636091650001,126.066382352 37.7947181340001,126.104836176 37.7412451120001,126.149427231 37.73436424,126.16109132 37.757636092,126.15886341 37.7797180480001,126.143527209 37.818327106,126.208182361 37.845409035,126.3533182 37.880544968,126.388600313 37.8872181360001,126.399800212 37.8859911930001,126.421509341 37.856873132,126.479154204 37.820273216,126.582354208 37.7720090440001,126.624691368 37.788609068,126.642617008 37.80133686,126.648698271 37.8056547570001,126.68849123 37.8339090640001,126.662918471 37.785668867,126.627168843 37.777724505,126.567586128 37.769780143,126.531836499 37.781696686,126.508003414 37.7936132290001,126.480198147 37.8055297710001,126.45239288 37.821418495,126.420615432 37.8412794000001,126.392810166 37.8452515810001,126.349116175 37.8412794000001,126.32925527 37.837307219,126.28953346 37.833335038,126.265700374 37.833335038,126.233922927 37.833335038,126.194201117 37.8174463140001,126.186256755 37.7896410480001,126.186256755 37.769780143,126.186256755 37.7499192380001,126.178312393 37.7221139710001,126.162423669 37.7181417900001,126.138590583 37.7181417900001,126.106813136 37.7181417900001,126.071063507 37.7101974280001,126.019425154 37.702253066,125.983675526 37.702253066,125.947925897 37.694308704,125.912176268 37.690336523,125.860537916 37.6823921610001,125.79698302 37.6794130260001,125.716546355 37.6913295690001,125.662921912 37.694308704,125.618234876 37.6823921610001,125.609275088 37.646553006,125.606318334 37.63472599,125.585464383 37.551310189,125.56616447 37.4845027970001,125.546735619 37.4172490820001,125.519923397 37.321916738,125.460340683 37.295104517,125.362029204 37.2653131600001,124.947794329 37.1079584760001,124.931146086 37.224496177,124.908948429 37.346583293,124.886750771 37.479769237,124.870102528 37.607405767,124.864553114 37.6961963970001,124.866003105 37.7881514800001,124.863768754 37.8909316620001,124.854831346 37.975837031,124.79148773 38.0119769040001,124.65405784 38.044812592,124.620794652 38.051658843,124.5962532 38.056466389,124.587950474 38.057925047,124.413582018 38.08175936,124.105387709 38.1268305070001,124.095665597 38.1282346830001,123.547708292 38.2047340120001,123.569518193 38.2272536030001,123.714893387 38.368932246,123.742038392 38.395244135,123.825871593 38.4765901750001,123.861888786 38.545718821,124.071747096 38.9465208190001,124.106684934 39.1100180290001,124.148555 39.365044793,124.186618696 39.585814231,124.194231435 39.69239258,124.205650544 39.768519972,124.220876022 39.814196408,124.235275498 39.842995359,124.236101501 39.8446473650001,124.236101555 39.8446474190001,124.281777936 39.8903238,124.281777834 39.890323788,124.284696307 39.893651015,124.30167645 39.9130099650001,124.327695616 39.94423254,124.315204669 39.929243308,124.32769645 39.944232965,124.35544945 39.982393965,124.36088745 39.9914571,124.355449616 39.98239454,124.37366345 40.0127499650001,124.376265616 40.0361665400001,124.368459616 40.06392054,124.368820106 40.0675266970001,124.368821397 40.0675395980001,124.37019445 40.0812669650001,124.373600361 40.0936176440001,124.37360045 40.0936179650001,124.38860045 40.022490965)),((130.596263455 42.2788809670001,130.599681455 42.254580967,130.682345456 42.2799179670001,130.697073059 42.2919273190001,130.696989 42.292872,130.883333 42.15,131.649680865 41.6216160650001,132.302260595 40.843773211,132.310758564 40.825321074,132.332950909 40.777240319,132.343145355 40.7686847470001,132.420206884 40.703862171,132.612218825 40.4924606050001,132.815554096 40.268984663,130.776437843 39.289556803,130.406049175 39.1543225950001,130.402482482 39.153060801,130.321440648 39.0470585520001,129.462357642 38.802669947,128.523696354 38.6525211370001,128.387266733 38.6280445800001,128.379997441 38.627186323,128.363554235 38.6252450480001,128.362727453 38.6768629630001,128.337190453 38.7022179630001,128.293308453 38.7274809640001,128.263599453 38.737908964,128.226627453 38.7333269640001,128.201354453 38.7352629640001,128.136654453 38.802771964,128.122190453 38.819162964,128.093845453 38.8344359640001,128.064972453 38.846380964,128.038027453 38.852490964,128.010818453 38.8584629640001,127.880254453 38.9627719640001,127.855818453 38.9873539640001,127.809708453 39.0491629640001,127.782763453 39.088326964,127.645536453 39.1249909640001,127.540818453 39.1402719640001,127.447754453 39.164508964,127.399708452 39.195271964,127.376427452 39.2351269640001,127.374690452 39.3722179640001,127.411099452 39.3922179640001,127.438754453 39.404944964,127.457481453 39.4200629640001,127.497836453 39.427771964,127.531654453 39.3887449640001,127.536236453 39.359017964,127.524290453 39.3422089640001,127.528318453 39.302980964,127.560190453 39.3111359640001,127.556636453 39.3272179640001,127.535808453 39.4272179640001,127.530681453 39.4566539640001,127.504436453 39.6447179640001,127.503118453 39.7128359640001,127.517627453 39.739571964,127.560527453 39.7822089650001,127.612336453 39.8112449650001,127.727199453 39.8460989650001,127.869045453 39.8859449650001,127.885745453 39.910753965,127.933590453 39.971653965,128.001372453 40.037217965,128.055236453 40.033880965,128.111908453 40.0272089650001,128.141081453 40.022762965,128.184145453 40.0236089650001,128.332454453 40.053598965,128.598018454 40.1741629650001,128.636654454 40.272762965,128.791072454 40.3347089650001,128.812190454 40.3416629650001,128.873290454 40.364298965,128.893599454 40.3765179650001,128.914336454 40.397626965,128.941927454 40.424708965,128.977754454 40.4504089650001,129.055545454 40.461653965,129.077881454 40.462217965,129.107881454 40.4778999650001,129.155945454 40.535408965,129.170245454 40.5601269650001,129.171081454 40.5656179650001,129.170536454 40.5855449650001,129.215163454 40.679298965,129.564563454 40.8212449650001,129.601499455 40.827217965,129.664154455 40.8335989650001,129.702045455 40.830690965,129.727327455 40.8598539660001,129.752199455 40.941862966,129.739136455 40.958880966,129.723018455 40.980135966,129.718563455 41.0038809660001,129.713863455 41.112208966,129.715518455 41.1427719660001,129.719681455 41.1805449660001,129.769718455 41.300271966,129.788036455 41.3258269660001,129.803590455 41.3774179660001,129.753327455 41.407208966,129.721890455 41.421662966,129.696227455 41.435826966,129.676636455 41.4583269660001,129.666645455 41.479571966,129.660518455 41.5281909660001,129.664154455 41.5497179660001,129.688718455 41.625690966,129.697872455 41.6456909660001,129.760527455 41.730544966,129.782199455 41.755962966,129.808854455 41.7609629660001,129.847245455 41.7567359660001,129.949708455 41.8838719660001,129.984127455 41.9799449670001,130.087736455 42.069717967,130.208308455 42.1677719670001,130.420808455 42.3119359670001,130.472881455 42.324580967,130.500272455 42.323880967,130.579699455 42.305062967,130.596263455 42.2788809670001)))', 'North Korean Exclusive Economic Zone', 'North Korea', 'North Korea', '', '21', '21', 'PRK', '8328', '', '115667473100', '8328', 'Y'),('SRID=4326;MULTIPOLYGON(((-85.865508694 11.050367656,-85.848216752 11.0429960340001,-85.836107434 11.047337511,-85.816442583 11.0527637380001,-85.815992405 11.052879322,-85.788536935 11.060422369,-85.787514355 11.0604769340001,-85.785793331 11.060568771,-85.770611265 11.065623703,-85.7652613719999 11.0657526110001,-85.763230297 11.0658015500001,-85.763230267 11.065801552,-85.7496567009999 11.0664723030001,-85.7447876809999 11.0675356900001,-85.7446427739999 11.0675717980001,-85.7444522769999 11.0676192660001,-85.740075502 11.0685906570001,-85.7379526239999 11.0689420900001,-85.734399423 11.0695303090001,-85.734194288 11.0695941490001,-85.7295440669999 11.069979099,-85.728668955 11.069954786,-85.728668925 11.0699547850001,-85.725366079 11.069392355,-85.7253660489999 11.06939235,-85.725088033 11.069361143,-85.723902836 11.0687652030001,-85.722595925 11.068108061,-85.72259574 11.068107948,-85.720474876 11.066812407,-85.711664309 11.0661501700001,-85.708052003 11.0661501970001,-85.7055279309999 11.0658683940001,-85.704464397 11.065749655,-85.701856774 11.065749641,-85.6977535189999 11.064273585,-85.697753204 11.064273472,-85.696656809 11.067400664,-85.696132689 11.0688955860001,-85.694544036 11.0713043000001,-85.69293028 11.0737510750001,-85.692381905 11.0760641040001,-85.691356564 11.075647342,-85.688063746 11.0743089380001,-85.669590746 11.054999938,-85.6898727459999 10.963053938,-85.7049997459999 10.9330539380001,-85.726081746 10.9275999380001,-85.820845746 10.943890938,-85.8488907459999 10.941662938,-85.884172746 10.9138909380001,-85.9113907459999 10.8911089380001,-85.817509746 10.8463899380001,-85.7377817459999 10.8155539380001,-85.708072746 10.8088899380001,-85.6800097459999 10.799308938,-85.632509746 10.6216629370001,-85.6547277459999 10.5902719370001,-85.801390746 10.410826937,-85.8575097459999 10.369444937,-85.851527746 10.2472179370001,-85.833345746 10.1947179370001,-85.795290746 10.0999999370001,-85.764872746 10.0572179370001,-85.752790746 10.0488899370001,-85.714172746 9.99471793700008,-85.6566817459999 9.90499993700007,-85.6191727459999 9.88888993700004,-85.572509746 9.87388993700006,-85.551954746 9.86999893700005,-85.531881746 9.87228993700006,-85.439727746 9.85832693700007,-85.385009746 9.84624493700005,-85.344999746 9.83277193700008,-85.278481746 9.78597193700006,-85.2267907459999 9.72734493700005,-85.142227745 9.58944493600006,-84.951127745 9.73055393700002,-84.897227745 9.80749993700005,-84.932236745 9.89221793700005,-85.006390745 9.93721793700007,-85.137163745 9.99402693700006,-85.167281745 10.020108937,-85.1577907449999 10.0452719370001,-85.1976367459999 10.0783359370001,-85.2229907459999 10.084999937,-85.2385457459999 10.1072909370001,-85.243345746 10.180271937,-85.236254746 10.207362937,-85.070018745 10.1553359370001,-85.040554745 10.1302809370001,-84.917509745 10.028326937,-84.8816727449999 10.003335937,-84.8498187449999 9.96758093700004,-84.8055547449999 9.96778093700004,-84.747572745 9.96715393700003,-84.707509745 9.91833593700005,-84.6309097449999 9.76582693700004,-84.637090745 9.73833593700004,-84.6537637449999 9.72513593700006,-84.6734817449999 9.69263593600004,-84.671399745 9.66194493600005,-84.658618745 9.63305393600007,-84.6186187449999 9.57944493600007,-84.532581745 9.51978993600005,-84.489527745 9.52402693600004,-84.381390745 9.50416293600006,-84.229445745 9.46860893600007,-84.164736745 9.40110893600007,-84.147781745 9.37680893600003,-84.123063745 9.37028093600003,-84.073627744 9.35971793600004,-84.008899744 9.33777193600002,-83.950072744 9.31180893600003,-83.7705727439999 9.18166293600007,-83.725845744 9.13888993600006,-83.704999744 9.11832693600007,-83.626463744 9.03645393600004,-83.602509744 8.96778093600005,-83.587509744 8.87499993600005,-83.590572744 8.84110893600007,-83.674181744 8.68860893600004,-83.706254744 8.67673593600006,-83.729036744 8.63499993500005,-83.735836744 8.61249993500007,-83.733472744 8.58736293500004,-83.5955637439999 8.46833593500003,-83.511127744 8.44305393500002,-83.483209744 8.44249893500006,-83.448627744 8.43388993500002,-83.395845744 8.41513593500002,-83.3680547439999 8.39721793500007,-83.310154744 8.37208093500004,-83.291118744 8.37028093500004,-83.279454744 8.37763593500006,-83.272227744 8.41971793500005,-83.272509744 8.46277193500003,-83.293336744 8.53055393500006,-83.324727744 8.55958093500004,-83.350418744 8.57041793500002,-83.378890744 8.57721793500002,-83.400009744 8.58694493500008,-83.4263907439999 8.61278093500005,-83.480418744 8.70454493600005,-83.404727744 8.72916293600002,-83.373899744 8.73221793600004,-83.3440367439999 8.72805393600004,-83.325490744 8.70319093600006,-83.3259097439999 8.67110893600005,-83.2322277439999 8.62416293500007,-83.180281744 8.59971793500006,-83.095254744 8.44753593500008,-83.117918744 8.40450893500002,-83.137581744 8.38798093500003,-83.143336744 8.35805393500004,-83.121399744 8.33360893500003,-83.084454744 8.30652693500002,-83.041399744 8.28582693500005,-82.994445743 8.24999893500006,-82.970981743 8.22944493500006,-82.939863743 8.18332693500003,-82.897299743 8.09582693500005,-82.898845743 8.02567193500005,-84.316666745 4.99999993200004,-84.316666745 3.53333293100008,-84.766666745 3.04999993000007,-85.3672637459999 2.64067293000005,-85.367748746 2.64044793000005,-85.369272746 2.63938693000006,-85.3750737459999 2.63669993000002,-85.379223746 2.63380993000004,-85.384996746 2.63113593000003,-85.409141746 2.61431893000002,-85.936076746 2.36992193000003,-86.4973007469999 2.22026693000004,-86.9535767469999 2.16384092900006,-87.146598 2.15073800000005,-89.427761 3.42182700000006,-90.309044 4.57239400000003,-90.3900737499999 4.93471793200007,-90.44405475 5.51262293300005,-90.44400775 5.51319793300007,-90.4440617499999 5.51377193300004,-90.3965787499999 6.09224593300007,-90.24875475 6.65374493400003,-90.24679575 6.65798293400007,-90.2467927499999 6.65799393400005,-90.24639775 6.65884893400005,-90.2458017499999 6.66110893400003,-90.24579475 6.66112493400004,-90.24481575 6.66484293400003,-90.0007967499999 7.19227693400006,-89.9999667499999 7.19346593400007,-89.99982575 7.19377093400004,-89.66672075 7.67101693500007,-89.65922875 7.67851793500006,-89.6587357499999 7.67922293500004,-89.2464347489999 8.09162293500003,-88.767387749 8.42645993500003,-88.759819749 8.42998293500006,-88.732265749 8.44921693500004,-88.7177537489999 8.45596093500006,-88.887485749 8.78145893600004,-88.902095749 8.80257693600004,-88.903726749 8.81025893600003,-88.904140749 8.81085593600005,-88.9043767489999 8.81197093600002,-88.906180749 8.81493693600004,-88.906248749 8.81525593600003,-88.907198749 8.81662893600003,-88.911053749 8.83477893600002,-88.9113337489999 8.83518393600002,-88.911596749 8.83642193600002,-88.912325749 8.83747493600004,-88.9126357489999 8.83893293600005,-88.913350749 8.83996593600006,-88.913387749 8.84014193600007,-88.914366749 8.84155693600007,-88.914881749 8.84397993600004,-88.915397749 8.84484593600007,-88.916121749 8.84825393600005,-88.917739749 8.85129993600003,-88.9214607489999 8.85719193600005,-88.921497749 8.85736693600006,-88.9224777489999 8.85878193600007,-88.922987749 8.86118293600003,-88.939150749 8.89161393600006,-88.9476907489999 8.90533593600003,-88.947772749 8.90545493600007,-88.947776749 8.90547593600007,-88.9498077489999 8.90873793600002,-88.964640749 8.95547893600008,-88.965131749 8.95618693600005,-88.965168749 8.95636493600006,-88.966148749 8.95777893600007,-88.9677287489999 8.96520493600002,-89.033257749 9.17144393600006,-89.037897749 9.18385193600005,-89.047329749 9.19843193600008,-89.070041749 9.26181593600006,-89.072793749 9.27712793600006,-89.084992749 9.30971593600003,-89.086299749 9.31383493600003,-89.094188749 9.36287093600004,-89.151078749 9.54130493600007,-89.152130749 9.54629293600004,-89.1549847489999 9.57215393600006,-89.189583749 9.67959593600006,-89.204881566 9.75010738600002,-88.4009981149999 10.100185272,-88.011206887 10.2699328730001,-87.44274845 10.606426309,-87.419530008 10.61967358,-87.3718635609999 10.6468696470001,-86.950068148 10.8543038510001,-86.891321018 10.883187353,-86.891320988 10.8831873680001,-86.865998573 10.895366687,-86.860255146 10.898129103,-86.841709443 10.907027471,-86.750374102 10.9508508530001,-86.747724675 10.9520883550001,-86.685140731 10.971852079,-86.475894766 11.0435437030001,-86.423519003 11.0613959,-86.369167078 11.073612709,-86.293737119 11.0864738380001,-86.263632693 11.089855663,-86.216109474 11.095194255,-86.1443708469999 11.103097158,-86.128931549 11.104487809,-86.123671872 11.1050223230001,-86.1173236559999 11.105667463,-86.096085413 11.1017455680001,-86.075196493 11.0978881830001,-86.006533205 11.0970084860001,-86.006533174 11.0970084850001,-85.9956073279999 11.096938632,-85.976118324 11.0968140310001,-85.960370624 11.094294604,-85.886514124 11.0609380930001,-85.876006718 11.055153494,-85.865508694 11.050367656)),((-81.4333327419999 10.816666938,-82.566666743 9.57111093600003,-82.563572743 9.56287193600002,-82.6083367429999 9.60278093600004,-82.659727743 9.62694493600003,-82.700563743 9.63194493600002,-82.763127743 9.65263593600002,-82.853054743 9.74444493700003,-82.920290743 9.82999993700003,-82.979736743 9.90889093700002,-83.010836743 9.95028093700006,-83.025290744 10.002790937,-83.077090744 9.99083593700004,-83.1048637439999 10.0097179370001,-83.3397367439999 10.299717937,-83.4108367439999 10.3969449370001,-83.4616727439999 10.4788909370001,-83.505836744 10.5693089370001,-83.5555547439999 10.692499937,-83.5700097439999 10.750271937,-83.576672744 10.785553937,-83.5930637439999 10.838053938,-83.600981744 10.8629179380001,-83.622081744 10.9058359380001,-83.6374637439999 10.9201999380001,-83.645799744 10.924844938,-83.6395238979999 10.929710158,-83.637515316 10.9312672,-83.129160154 11.2076193240001,-82.697938208 11.458629113,-82.233333 11.767564238,-82.2333327429999 10.9833709380001,-82.2333327429999 10.8184059380001,-81.4333327419999 10.816666938)))', 'Costa Rican Exclusive Economic Zone', 'Costa Rica', 'Costa Rica', '', '130', '130', 'CRI', '8424', '', '574599511400', '8424', 'Y'),('SRID=4326;MULTIPOLYGON(((22.826800355 65.8216639890001,23.0002723550001 65.7527729890001,23.0773543550001 65.7008269890001,23.1363913550001 65.7131909890001,23.234445355 65.763608989,23.249718355 65.800826989,23.3944453560001 65.7674909890001,23.4347183560001 65.760544989,23.518327356 65.800826989,23.653891356 65.806381989,23.7733363560001 65.7952729890001,23.9313183560001 65.7604729890001,23.953191356 65.7799909890001,23.986109356 65.7924999890001,24.046245356 65.8073449890001,24.080827356 65.8061089890001,24.113609356 65.7995729890001,24.1487453560001 65.8035999890001,24.167009159 65.814027121,24.166817499 65.8129131690001,24.1666612710001 65.8120061980001,24.164145907 65.7974061900001,24.157624576 65.7619011690001,24.1574645100001 65.7610296980001,24.157283567 65.760044565,24.157034416 65.758688073,24.157034416 65.7405142630001,24.1562613990001 65.7312380660001,24.153873753 65.7025863120001,24.152772832 65.687173413,24.1522934220001 65.6804616730001,24.151924083 65.67566027,24.1507130910001 65.6599173660001,24.148332806 65.639684946,24.147552428 65.633051734,24.146477658 65.6233788050001,24.144391765 65.60460577,24.1436016000001 65.5840614630001,24.143226074 65.5799306750001,24.142557144 65.5725724500001,24.1412311030001 65.5579859960001,24.14062899 65.5442984840001,24.140628771 65.5442935040001,24.14 65.529999999,24.1379879690001 65.5183980300001,24.1371634770001 65.5136437630001,24.13693333 65.512316669,24.1385606210001 65.495611329,24.142100342 65.459273502,24.1421003460001 65.4592734610001,24.1421170420001 65.459102063,24.1421269730001 65.4590001110001,24.148271713 65.395919845,24.1482715080001 65.395919711,23.0053029470001 64.6495906980001,21.5000000000001 63.6666666690001,20.9400000000001 63.5216666690001,20.93999984 63.521666645,20.6966666700001 63.4849999990001,20.6307866070001 63.4513197420001,20.569293744 63.4198823790001,20.4 63.333333329,19.641397055 62.784249296,19.525 62.6999999990001,19.5249999860001 62.6999999000001,19.2350000000001 60.6783333290001,19.1856489570001 60.483074865,19.1583333300001 60.3749999990001,19.1583333300001 60.3716669310001,19.1583333300001 60.371666669,19.1455688730001 60.3403673600001,19.1341542530001 60.312377945,19.1027 60.2352499990001,19.0832 60.1916833320001,19.083200387 60.191683063,19.217784452 60.098072932,19.658283333 59.791683332,19.9077737380001 59.616973693,20.153333333 59.4450166660001,20.241062265 59.2843995050001,20.2410623010001 59.2843994400001,20.241062379 59.2843992960001,20.419455439 58.957791118,20.4712666670001 58.8629333320001,20.4814666670001 58.8445,20.476615372 58.779565189,20.476615349 58.7795649830001,20.475979814 58.7741780750001,20.475979809 58.7741780320001,20.4615550450001 58.651910985,20.4416666700001 58.4833333290001,20.397164703 58.298812997,20.380421751 58.229391009,20.37333333 58.1999999990001,20.3962500000001 58.0239999990001,20.4104563070001 57.9402634350001,20.41533329 57.9115169200001,20.415333333 57.9115166670001,20.362109418 57.8587370660001,20.334940664 57.8317951170001,20.2356500000001 57.7333333330001,20.094906952 57.592230612,20.0660833330001 57.5633333330001,20.0585496750001 57.5337705060001,20.0360000000001 57.4452833330001,19.89275 57.2365333330001,19.7756049860001 57.093862249,19.695444206 56.9962343170001,19.6954441720001 56.9962342750001,19.671166667 56.966666667,19.6634465970001 56.95492855,19.528666667 56.7500000000001,19.4684442070001 56.6594399110001,19.4452589690001 56.6245748910001,19.4312043630001 56.603440144,19.417833333 56.583333333,19.3979535510001 56.543573769,19.3918118060001 56.5312902790001,19.351166667 56.45,19.237715725 56.268599427,19.237715709 56.2685994020001,19.2260833330001 56.2500000000001,19.0944834800001 56.040550233,19.094483333 56.0405500000001,19.093579714 56.036482006,19.090729346 56.0236499550001,19.081266667 55.98105,19.0686847600001 55.9572706530001,19.067483333 55.955,19.022537818 55.931595476,18.9452833300001 55.891366669,18.9257500000001 55.8797999990001,18.9000003510001 55.881266979,18.3633333510001 55.9215499800001,18.000000351 55.783082979,17.37800035 55.587249979,17.0000003500001 55.4999999790001,16.5336553490001 55.360569979,16.50825 55.3551666660001,15.768662003 55.5249187460001,15.3309217020001 55.62538999,15.042888889 55.691499999,14.46 55.3122222210001,13.9928361410001 54.9624423170001,13.9928360060001 54.9624422160001,13.7856666700001 55.0213611090001,13.147958642 55.008304681,13.0555555560001 55.0649999990001,12.794888889 55.166666666,12.6772222220001 55.2499999990001,12.638888889 55.3083333320001,12.641972364 55.3372783030001,12.6105833300001 55.4317222190001,12.715277778 55.4891944440001,12.7294444400001 55.540861109,12.8813611100001 55.614166669,12.895222221 55.644166667,12.8469166670001 55.6991666660001,12.70861111 55.827194439,12.6933441150001 55.86668752,12.685658489 55.88291273,12.671995155 55.8931602310001,12.6668714040001 55.9042616900001,12.6591857780001 55.917925025,12.652354111 55.9264646090001,12.655769945 55.985387739,12.6591857780001 56.0033208660001,12.656623903 56.0272317020001,12.654915986 56.0400410780001,12.6497922360001 56.0485806620001,12.64210661 56.0571202460001,12.6310051510001 56.063951913,12.62075765 56.0690756640001,12.6036784820001 56.0793231650001,12.586599313 56.0912785830001,12.572935979 56.1023800420001,12.5575647270001 56.111773584,12.531945975 56.125436919,12.5003495130001 56.1408081710001,12.4644832600001 56.1621571310001,12.4166615890001 56.186921925,12.3633333330001 56.21636111,12.358196406 56.2179931630001,12.236991577 56.256501138,12.08775 56.3039166660001,12.108244352 56.373893218,12.147805556 56.5089722210001,11.3992777780001 57.4499999990001,11.048777778 57.816833332,11.048773162 57.816836218,10.5424444440001 58.1333611100001,10.030027778 58.2614444440001,10.146361058 58.5114443300001,10.146361111 58.5114444440001,10.450858163 58.681351949,10.594444444 58.7614722210001,10.640277778 58.892777777,10.7578055560001 58.913944444,10.820251048 58.9249463470001,10.8706657600001 58.9350292890001,10.924441454 58.9484732130001,10.9647732240001 58.9585561550001,11.008465975 58.9720000790001,11.042075783 58.9720000790001,11.075685591 58.9820830210001,11.0953154850001 58.9969079100001,11.10732169 59.0075016210001,11.1157966590001 59.01597659,11.1235653800001 59.0293952900001,11.1292153590001 59.0470514740001,11.1313341010001 59.0597639270001,11.1341590910001 59.0745951220001,11.1419278120001 59.0795388540001,11.15605276 59.084482585,11.1765339340001 59.086601328,11.188714614 59.089060014,11.2122710620001 59.0937713280001,11.2353565620001 59.097540328,11.245534779 59.0992951160001,11.249019344 59.0998959820001,11.262682344 59.101780982,11.283411562 59.104607328,11.2948512610001 59.1055349330001,11.3008435620001 59.1060208280001,11.317804344 59.1055499830001,11.3295823440001 59.1036649820001,11.3384437130001 59.1009381850001,11.347956062 59.098011328,11.361619062 59.085762328,11.3616193440001 59.0857619820001,11.371984062 59.073041828,11.3823485620001 59.059378828,11.393655562 59.0424183280001,11.3979718730001 59.0360709070001,11.401665344 59.0306399820001,11.4092030620001 59.0188618280001,11.4162703440001 59.007554982,11.4242793440001 58.994833982,11.429190487 58.987637239,11.429190647 58.9876370050001,11.4291913440001 58.987635982,11.4232633440001 58.9877549820001,11.401663344 59.0127729820001,11.3733363440001 59.050826982,11.344163344 59.0881909820001,11.3200003440001 59.100272982,11.2655543440001 59.0938909820001,11.1954183440001 59.077217982,11.1694453440001 59.0665179820001,11.1233363440001 59.021108982,11.1133363440001 59.0036089820001,11.119445344 58.9412449820001,11.166663344 58.924435982,11.1941633440001 58.917499982,11.232218344 58.8391639820001,11.229300344 58.7942269820001,11.200836344 58.7699999820001,11.1793003440001 58.739299982,11.179445344 58.711517982,11.2102813440001 58.6797179820001,11.2500003440001 58.655272982,11.260272344 58.634990982,11.2663913440001 58.5794359820001,11.2556913440001 58.554026982,11.235554344 58.5052729820001,11.2013913440001 58.3994359820001,11.2383363440001 58.346935982,11.3841633440001 58.3119449820001,11.4055543440001 58.2611089820001,11.495281345 58.2361089820001,11.5286093450001 58.2307549820001,11.6011093450001 58.259017982,11.622772345 58.276108982,11.7291633450001 58.328608982,11.798054345 58.318326982,11.880481345 58.202081982,11.8372183450001 58.1547179820001,11.796109345 58.095272982,11.776663345 58.0594359820001,11.776663345 58.053144982,11.798681345 58.0390909820001,11.795554345 58.006099981,11.7493003450001 57.894717981,11.699027345 57.885826981,11.668054345 57.8458359810001,11.723054345 57.8072179810001,11.701872345 57.699926981,11.745972345 57.6887449810001,11.8877813450001 57.6938819810001,11.868609345 57.6805449810001,11.830000345 57.661381981,11.8625003450001 57.607772981,11.9077723450001 57.617390981,11.922218345 57.563890981,11.914581345 57.5315269810001,11.9111093450001 57.5266449810001,11.906663345 57.5149999810001,11.9027723450001 57.4243089810001,11.9177723450001 57.402217981,11.9427813450001 57.3761089810001,11.9860363450001 57.3449909810001,12.0095813450001 57.425517981,12.0476363450001 57.457290981,12.0950003450001 57.426935981,12.1458363450001 57.309163981,12.142363345 57.279854981,12.1100003450001 57.249999981,12.148054345 57.1861089810001,12.2456913450001 57.0538819810001,12.2861093450001 57.0324909810001,12.3500003450001 56.9699909810001,12.348891345 56.91680898,12.418054345 56.8972179800001,12.476527345 56.8847179800001,12.576663346 56.8320819800001,12.598054346 56.8103449800001,12.5993723460001 56.7836729800001,12.613609346 56.74693598,12.6708273460001 56.67610898,12.721945346 56.6415179800001,12.7580543460001 56.63999998,12.7850003460001 56.6436089800001,12.817500346 56.6574999800001,12.8802093460001 56.6429819800001,12.917218346 56.5786089800001,12.9347913460001 56.53631798,12.930272346 56.50110898,12.914445346 56.4726359800001,12.9011093460001 56.4572179800001,12.8836093460001 56.44639098,12.872363346 56.4424909800001,12.852645346 56.4399179800001,12.832781346 56.4397179800001,12.794372346 56.4479089800001,12.7313913460001 56.4668089800001,12.676245346 56.4649999800001,12.668340534 56.460122643,12.6343731900001 56.4391632680001,12.625847697 56.4215281480001,12.624300346 56.4183269800001,12.6255872620001 56.4142211990001,12.6325732600001 56.3919361050001,12.6700001340001 56.3799912220001,12.7340271460001 56.3567270830001,12.734027188 56.356727037,12.7340273460001 56.3567269800001,12.7426000080001 56.3475298640001,12.8303732680001 56.253364134,12.8096346940001 56.235072007,12.799236346 56.2258999800001,12.718681346 56.22278198,12.638782454 56.255469094,12.6372183440001 56.2561089760001,12.5580795160001 56.2742266640001,12.558079246 56.274226926,12.4600731890001 56.296664208,12.581109213 56.14166421,12.6206272040001 56.1079822030001,12.6636091010001 56.0786091640001,12.6813911410001 56.061945102,12.9127732430001 55.8380540740001,12.928054123 55.823053988,13.061109125 55.6807641400001,13.038745034 55.626945113,12.981945067 55.599164134,12.960282206 55.5911091250001,12.921182136 55.5724270360001,12.91673604 55.5459001560001,12.9822181500001 55.400554099,13.162719822 55.3664524970001,13.162719748 55.3664527780001,13.236558836 55.3525023290001,13.295418188 55.3413822210001,13.334633307 55.339617923,13.3346333600001 55.3396177010001,13.344718346 55.339163979,13.3755543460001 55.339999979,13.4240273460001 55.354581979,13.465827346 55.3735999790001,13.497772346 55.3822179790001,13.6369453470001 55.4166639790001,13.710281347 55.4241639790001,13.7305543470001 55.425554979,13.891391347 55.433608979,13.911945347 55.433881979,13.9358363470001 55.4313909790001,13.969445347 55.4211089790001,14.0047183470001 55.405826979,14.037500347 55.3894449790001,14.058891347 55.386108979,14.122500347 55.3794359790001,14.1630543470001 55.380272979,14.1935453470001 55.3861449790001,14.312500347 55.4866639790001,14.3366633470001 55.501108979,14.3659363470001 55.5428449790001,14.3413913470001 55.5786089790001,14.276945347 55.6472179790001,14.210554347 55.7008269790001,14.192563347 55.7286729790001,14.1950003470001 55.773190979,14.204718347 55.8043639790001,14.217218347 55.830272979,14.2387453470001 55.8592999790001,14.2636093470001 55.8861089800001,14.3302723470001 55.9369449800001,14.3694453470001 55.9588819800001,14.511663347 56.0374999800001,14.5413913470001 56.05110898,14.555136347 56.05624498,14.603609347 56.0519359800001,14.620836347 56.0294449800001,14.6352723470001 56.00749998,14.720000348 56.00027298,14.7383363480001 56.01082698,14.767218348 56.03332698,14.750827348 56.0597179800001,14.7123633480001 56.1009639800001,14.6824633470001 56.1231909800001,14.6926363480001 56.15819098,14.7172183480001 56.1616639800001,14.8480543480001 56.16138198,15.0888913480001 56.1599999800001,15.2258273480001 56.1511089800001,15.3752723480001 56.13805498,15.5980543480001 56.1947179800001,15.6588913480001 56.1788909800001,15.775836349 56.1477729800001,15.7886093490001 56.1119359800001,15.865554349 56.09221798,16.003472349 56.21305498,16.043327349 56.2688819800001,16.054718349 56.31360898,16.0905543490001 56.3949999800001,16.104163349 56.4255549800001,16.120554349 56.45569098,16.216109349 56.60721798,16.253609349 56.6461089800001,16.281527349 56.65791798,16.3043003490001 56.6566639800001,16.379827349 56.6633269800001,16.3750003490001 56.7208359800001,16.407772349 56.7955549800001,16.426663349 56.8436089800001,16.440554349 56.8938819800001,16.454445349 56.9552729800001,16.497218349 57.037908981,16.5844453490001 57.0466639810001,16.5633273490001 57.0938909810001,16.534927349 57.118399981,16.513881349 57.1172179810001,16.460900349 57.1706909810001,16.4554183490001 57.202917981,16.465972349 57.270554981,16.4722183490001 57.290272981,16.552354349 57.3813819810001,16.600827349 57.3774909810001,16.6299273490001 57.3786729810001,16.636945349 57.4030549810001,16.665827349 57.4085359810001,16.691245349 57.478744981,16.6325003490001 57.5522179810001,16.625554349 57.6197179810001,16.7113913490001 57.7026359810001,16.697081349 57.7179089810001,16.6605543490001 57.741099981,16.599609349 57.7699999810001,16.4682543490001 57.8457909810001,16.4192363490001 57.889090981,16.557918349 57.823190981,16.596663349 57.798744981,16.616181349 57.776317981,16.6951723490001 57.7416999810001,16.6852723490001 57.7597179810001,16.5643273490001 57.8541639810001,16.522327349 57.8778269810001,16.5062093490001 57.9919729810001,16.6034723490001 57.927772981,16.617918349 57.8912449810001,16.659163349 57.883326981,16.7370813490001 57.872635981,16.763609349 57.881235981,16.7761813490001 57.920272981,16.742563349 57.9503359810001,16.735618349 57.9650639810001,16.6719453490001 57.980272981,16.655500349 57.9777449810001,16.620209349 57.987008981,16.6392543490001 57.987499981,16.746945349 58.010963981,16.7318093490001 58.0491999820001,16.742809349 58.0861269820001,16.7644723490001 58.1251819820001,16.8028183490001 58.1386729820001,16.825836349 58.176663982,16.824718349 58.1994359820001,16.788891349 58.322217982,16.770000349 58.3672179820001,16.6927723490001 58.408744982,16.5730543490001 58.435826982,16.4228453490001 58.477772982,16.475554349 58.4797179820001,16.5056913490001 58.472635982,16.540691349 58.461381982,16.573336349 58.452035982,16.600554349 58.4469359820001,16.7461093490001 58.429026982,16.8263913490001 58.4426999820001,16.93360935 58.488326982,16.777500349 58.581381982,16.719027349 58.6036089820001,16.649436349 58.620554982,16.434581349 58.639581982,16.411663349 58.613326982,16.370554349 58.605272982,16.293327349 58.6136089820001,16.193609349 58.627490982,16.237918349 58.6638909820001,16.2983363490001 58.6630549820001,16.412772349 58.6588819820001,16.4363913490001 58.6574909820001,16.4613913490001 58.655544982,16.6777723490001 58.6369359820001,16.736118349 58.6289909820001,16.7897183490001 58.623599982,16.90729135 58.616663982,17.0344453500001 58.637217982,17.14027235 58.696726982,17.0822183500001 58.7230549820001,17.0319453500001 58.747699982,17.0884723500001 58.763054982,17.15666335 58.732772982,17.2236093500001 58.7305549820001,17.2711093500001 58.736935982,17.3500003500001 58.752217982,17.5811093500001 58.847499982,17.62910035 58.9101999820001,17.59139135 58.9435999820001,17.5783273500001 58.950508982,17.61360935 58.9747179820001,17.6159723500001 59.0290909820001,17.6241633500001 59.0744359820001,17.6662453500001 59.1673549830001,17.7647183500001 59.1207639830001,17.76889135 59.0966639820001,17.7566633500001 59.0183269820001,17.7894453500001 58.943054982,17.8947183500001 58.858890982,17.8919453500001 58.874163982,17.8939543500001 58.9047909820001,18.0213813510001 59.041935982,18.140272351 59.0908269820001,18.2258273510001 59.1177729830001,18.3113913510001 59.1324999830001,18.310000351 59.2197179830001,18.2694453510001 59.268608983,18.277218351 59.310826983,18.3305003510001 59.3228819830001,18.3465273510001 59.3072819830001,18.3831913510001 59.302217983,18.522218351 59.295826983,18.593054351 59.3016639830001,18.6431543510001 59.321872983,18.610281351 59.369990983,18.526391351 59.419299983,18.498336351 59.4305449830001,18.477218351 59.4352729830001,18.430481351 59.4279819830001,18.450272351 59.3941639830001,18.4686093510001 59.365554983,18.474445351 59.3376999830001,18.4547183510001 59.331108983,18.4392723510001 59.3471089830001,18.397918351 59.3676359830001,18.3486093510001 59.373326983,18.2785363510001 59.3661089830001,18.246463351 59.350763983,18.2069453510001 59.3294359830001,18.1336093510001 59.3180549830001,18.0747183510001 59.3166639830001,18.052500351 59.316381983,18.021527351 59.320972983,17.996536351 59.3330999830001,17.983472351 59.3324269830001,17.944027351 59.3183359830001,17.90805435 59.2972179830001,17.84721835 59.264444983,17.7402723500001 59.2694359830001,17.58582735 59.2822179830001,17.4708363500001 59.296390983,17.44277235 59.304717983,17.41305435 59.312217983,17.3529093500001 59.3214549830001,17.35694535 59.2920819830001,17.37180935 59.270972983,17.39200935 59.2521449830001,17.3705543500001 59.248054983,17.29194535 59.257217983,17.2869453500001 59.2590449830001,17.2529183500001 59.264308983,17.2638813500001 59.2908359830001,17.3009723500001 59.322844983,17.3085723500001 59.346799983,17.28055435 59.356663983,17.17444535 59.373054983,17.1116633500001 59.374444983,16.9579183500001 59.4249999830001,16.9325633500001 59.447844983,16.89750035 59.467499983,16.836736349 59.4896449830001,16.695418349 59.4704819830001,16.726663349 59.453608983,16.800554349 59.4255449830001,16.8543723500001 59.4071449830001,16.8912453500001 59.3981179830001,16.87777235 59.3819359830001,16.811945349 59.388117983,16.7500003490001 59.424163983,16.6893723490001 59.463672983,16.6647183490001 59.4736089830001,16.335000349 59.4533269830001,16.309309349 59.451108983,16.276418349 59.4439819830001,16.175281349 59.439717983,16.1072183490001 59.445417983,16.0715913490001 59.455344983,16.0324633490001 59.4901639830001,16.0663913490001 59.4824999830001,16.096663349 59.4722179830001,16.1733363490001 59.465135983,16.330000349 59.467772983,16.4808363490001 59.4997549830001,16.543018349 59.554363983,16.5216633490001 59.5716639830001,16.499091349 59.592908983,16.5379183490001 59.608190983,16.5586093490001 59.609854983,16.619718349 59.583472983,16.6598543490001 59.5502729830001,16.7869453490001 59.558881983,16.826381349 59.585272983,16.86496335 59.5847269830001,16.9447183500001 59.5448549830001,17.02527235 59.536799983,17.06500035 59.541526983,17.11721835 59.5477729830001,17.18527235 59.5386089830001,17.25860935 59.506244983,17.3255543500001 59.488054983,17.4044453500001 59.469163983,17.41895435 59.4884729830001,17.4054813500001 59.5496449830001,17.3708273500001 59.5830549830001,17.3487453500001 59.6144359830001,17.38284535 59.6523549830001,17.37298135 59.6118729830001,17.44277235 59.5587449830001,17.4952723500001 59.5411089830001,17.5460813500001 59.5369909830001,17.5226633500001 59.5074909830001,17.54791835 59.4901359830001,17.73139135 59.444854983,17.78582735 59.532635983,17.76236335 59.5767999830001,17.74221835 59.5905549830001,17.6941633500001 59.6074999830001,17.5897093500001 59.6394269830001,17.56117235 59.668444983,17.61610935 59.695544983,17.6125633500001 59.732426983,17.58889135 59.7369359830001,17.5375003500001 59.7322179830001,17.51013635 59.6967269830001,17.5144453500001 59.6465179830001,17.52166335 59.6113819830001,17.5282003500001 59.5997179830001,17.5431543500001 59.5730089830001,17.5236813500001 59.5785359830001,17.4447183500001 59.6761089830001,17.4480543500001 59.7355449830001,17.5138813500001 59.744990983,17.5384723500001 59.748190983,17.58103635 59.778044983,17.59103635 59.803054983,17.6296723500001 59.786481983,17.65416335 59.718044983,17.6533363500001 59.682126983,17.6453453500001 59.666035983,17.6280543500001 59.6622179830001,17.59756335 59.658599983,17.6039633500001 59.6506269830001,17.64250035 59.6374999830001,17.71826335 59.6228449830001,17.72069135 59.6586089830001,17.7105913500001 59.6693999830001,17.70680035 59.677354983,17.7211093500001 59.6960359830001,17.7396633500001 59.6639549830001,17.75650935 59.6182729830001,17.81770935 59.5864549830001,17.8434723500001 59.5306909830001,17.8091633500001 59.5181909830001,17.78465435 59.4933999830001,17.7596543500001 59.414863983,17.7827723500001 59.3891639830001,17.80874535 59.374444983,17.83277235 59.3649999830001,17.8591633500001 59.3561089830001,17.8977813500001 59.3438909830001,17.932145351 59.3365179830001,18.007363351 59.3449639830001,18.091391351 59.3344449830001,18.088891351 59.367217983,18.0572183510001 59.3913909830001,18.087218351 59.434581983,18.120000351 59.453881983,18.1950813510001 59.450117983,18.191709351 59.424563983,18.165618351 59.410826983,18.328263351 59.3979449830001,18.286591351 59.4122819830001,18.2594453510001 59.446381983,18.2751363510001 59.475826983,18.3172183510001 59.4736089830001,18.3733273510001 59.4669449830001,18.645554351 59.5805549830001,18.666381351 59.5913819830001,18.736872351 59.6420819830001,18.699791351 59.6440909830001,18.717218351 59.671390983,18.7455543510001 59.6891639830001,18.841391351 59.7124909830001,18.9536093510001 59.7199909830001,18.9856913520001 59.716663983,19.032218352 59.7199909830001,19.0726363520001 59.738190983,19.079654352 59.7674269830001,18.9686093510001 59.7836089830001,18.9347183510001 59.7836089830001,18.864718351 59.7980449830001,18.936109351 59.869990983,18.9692183510001 59.8656089830001,19.0331913520001 59.828744983,19.065445352 59.832499983,19.070554352 59.8897179830001,19.0455543520001 59.8991639830001,19.0072183520001 59.9127729830001,18.956972351 59.9203269830001,18.9297183510001 59.9247179830001,18.9073633510001 59.9379089830001,18.890000351 59.9580549830001,18.8172183510001 60.075481983,18.8163913510001 60.0963819830001,18.776663351 60.1108359830001,18.711391351 60.128054983,18.632772351 60.144999983,18.5316633510001 60.1530549830001,18.507427351 60.152654983,18.4216633510001 60.187217984,18.3961093510001 60.2080549840001,18.3170813510001 60.3081909840001,18.3541633510001 60.2908359840001,18.381527351 60.2705449840001,18.440900351 60.242981984,18.4708363510001 60.234990984,18.5311093510001 60.2269449840001,18.556945351 60.2244449840001,18.5996183510001 60.235617984,18.574163351 60.2499999840001,18.465827351 60.2994359840001,18.4378453510001 60.339999984,18.3138913510001 60.3538819840001,18.2702093510001 60.3452729840001,18.239581351 60.3290179840001,18.214163351 60.3430449840001,18.1000003510001 60.453044984,17.9933273510001 60.558881984,17.9609723510001 60.5920819840001,17.9372183510001 60.598054984,17.8858273500001 60.597354984,17.84250035 60.589999984,17.7730543500001 60.571108984,17.7284003500001 60.536726984,17.7335093500001 60.4983269840001,17.6879183500001 60.4973549840001,17.65791835 60.505408984,17.6320813500001 60.520408984,17.60874535 60.5534639840001,17.6059003500001 60.5809639840001,17.65062735 60.600963984,17.6358273500001 60.618608984,17.6091633500001 60.6322179840001,17.5783273500001 60.639999984,17.5552723500001 60.6433269840001,17.5205543500001 60.6430549840001,17.40180035 60.630408984,17.37710035 60.6189909840001,17.35971835 60.640544984,17.27527235 60.6761089840001,17.2852723500001 60.7319449840001,17.2836093500001 60.771663984,17.2761093500001 60.8430449840001,17.24291835 60.8934639840001,17.20166335 60.9169359840001,17.15250035 60.942772984,17.1627543500001 61.0466639840001,17.18110935 61.190272984,17.20360935 61.2788819850001,17.20916335 61.3270819850001,17.14500035 61.3577729850001,17.1052723500001 61.399926985,17.15395435 61.4282639850001,17.21965435 61.4346549850001,17.16541835 61.5195729850001,17.1177723500001 61.555544985,17.0986093500001 61.6027729850001,17.1370813500001 61.6373549850001,17.1648633500001 61.631935985,17.1855543500001 61.6347179850001,17.26454535 61.6853729850001,17.21402735 61.704299985,17.1893003500001 61.705554985,17.14878135 61.7172819850001,17.2273633500001 61.7227729850001,17.3331913500001 61.713463985,17.36110935 61.7034729850001,17.3880543500001 61.6895819850001,17.42221835 61.6422179850001,17.44527235 61.6288819850001,17.4951723500001 61.6345819850001,17.5236093500001 61.6988819850001,17.4973633500001 61.7259639850001,17.4768003500001 61.731517985,17.4402813500001 61.726944985,17.3856633500001 61.7564999850001,17.33639135 61.8180549850001,17.35082735 61.943472985,17.40506335 61.989717985,17.44034535 61.991735985,17.4636093500001 62.0063819850001,17.48325435 62.1251449850001,17.50903635 62.2025819850001,17.51470935 62.229854985,17.5375543500001 62.2307819850001,17.56243635 62.2307179850001,17.5464633500001 62.2023909850001,17.6000003500001 62.2094449850001,17.6488813500001 62.2317269850001,17.6238913500001 62.2394359850001,17.57700035 62.247163985,17.5521633500001 62.250163985,17.50250035 62.2584999850001,17.4652723500001 62.2655449850001,17.3738913500001 62.3267999860001,17.35971835 62.360272986,17.3308273500001 62.487772986,17.4052723500001 62.536244986,17.4300003500001 62.533608986,17.47471835 62.5063819860001,17.5091633500001 62.4816639860001,17.5336093500001 62.4544359860001,17.5550003500001 62.4433359860001,17.6125003500001 62.4345819860001,17.6738913500001 62.444299986,17.65826335 62.467981986,17.68944535 62.491935986,17.7236093500001 62.4988819860001,17.78180035 62.501172986,17.81860935 62.4824909860001,17.8394453500001 62.4855549860001,17.978054351 62.555272986,18.0463913510001 62.5952729860001,18.0401363510001 62.624999986,17.966391351 62.634435986,17.87923635 62.6624269860001,17.951663351 62.6697179860001,17.9718003510001 62.656517986,17.9938913510001 62.654854986,18.0045813510001 62.699026986,17.9947183510001 62.7305549860001,17.88194535 62.8836089860001,17.8347183500001 62.9333269860001,17.7936093500001 62.950554986,17.7620813500001 62.9587449860001,17.73055435 62.9727729860001,17.7005543500001 62.9927089860001,17.82430035 62.9945819860001,17.84332735 62.962217986,17.8673633500001 62.9258269860001,17.927500351 62.8424999860001,17.9807633510001 62.8184729860001,18.037218351 62.8391639860001,18.073327351 62.8366639860001,18.135381351 62.8091269860001,18.104445351 62.804163986,18.0827723510001 62.781108986,18.126109351 62.765826986,18.204027351 62.777354986,18.470418351 62.860408986,18.575200351 62.9617999860001,18.5572183510001 62.980544986,18.532354351 62.985135986,18.3962453510001 62.9933269860001,18.3672183510001 62.9913909860001,18.3466633510001 62.9880549860001,18.2891633510001 62.9972179860001,18.3822183510001 63.0516639860001,18.5669453510001 63.1174909860001,18.647218351 63.1405449860001,18.7373633510001 63.1701269860001,18.729554351 63.2061449860001,18.7851633510001 63.1983359860001,18.756236351 63.186526986,18.780281351 63.1623549860001,18.8975003510001 63.191663986,18.9116633510001 63.2084729860001,18.883891351 63.2271089860001,18.847218351 63.234099986,18.8065723510001 63.2474639860001,18.896663351 63.273190986,18.966072351 63.2211449860001,19.041945352 63.175408986,19.062500352 63.176935986,19.109445352 63.2109639860001,19.085281352 63.2141639860001,19.0547183520001 63.217354986,19.0472183520001 63.241172986,19.1493003520001 63.312772986,19.2305543520001 63.3274999860001,19.2766633520001 63.414299987,19.2890273520001 63.457354987,19.3091813520001 63.463608987,19.315554352 63.4512449870001,19.358745352 63.4351359870001,19.4472183520001 63.4402729870001,19.473609352 63.4530449870001,19.4258273520001 63.5463179870001,19.466945352 63.559990987,19.501663352 63.549435987,19.6163913520001 63.4947179870001,19.641527352 63.4670729870001,19.6384723520001 63.444581987,19.6755543520001 63.4305549870001,19.7050003520001 63.431935987,19.7759003520001 63.4600179870001,19.7533003520001 63.5057179870001,19.7752723520001 63.533335987,19.8962453520001 63.607772987,20.0119453520001 63.635826987,20.100000353 63.6558269870001,20.263881353 63.665835987,20.2986093530001 63.646381987,20.316663353 63.659999987,20.3807633530001 63.6740909870001,20.4156913530001 63.6944449870001,20.4477723530001 63.758326987,20.5025003530001 63.820617987,20.535000353 63.799163987,20.6383363530001 63.813326987,20.728609353 63.8480549870001,20.7740273530001 63.8670819870001,20.793891353 63.8863819870001,20.895554353 64.002490987,20.905000353 64.049435987,20.963745353 64.1426999870001,21.2477723540001 64.3072089870001,21.2722913540001 64.296935987,21.3177723540001 64.308463987,21.3905543540001 64.3352639870001,21.4580543540001 64.361099987,21.585000354 64.4397089870001,21.554163354 64.532481988,21.465272354 64.575544988,21.364654354 64.5990819880001,21.271381354 64.615263988,21.119163353 64.684363988,21.1047183530001 64.719844988,21.1289723530001 64.725017988,21.1528273540001 64.723599988,21.238891354 64.6852729880001,21.273472354 64.668326988,21.297354354 64.6629089880001,21.3034003540001 64.761654988,21.2583273540001 64.777499988,21.2222183540001 64.7823549880001,21.1594453540001 64.775544988,21.129945353 64.7754909880001,21.094236353 64.783044988,21.039372353 64.823817988,21.0422183530001 64.844844988,21.075554353 64.8533909880001,21.095900353 64.8269999880001,21.127218353 64.8184639880001,21.183054354 64.8299909880001,21.208881354 64.862490988,21.205972354 64.889017988,21.249445354 64.9485999880001,21.300827354 64.9544359880001,21.3733363540001 64.9755549880001,21.466663354 65.007217988,21.471600354 65.040263988,21.4860363540001 65.0597729880001,21.5337003540001 65.0587449880001,21.577709354 65.0599179880001,21.6193723540001 65.151372988,21.5536093540001 65.215135988,21.5052723540001 65.2485999880001,21.4172183540001 65.3061089880001,21.3290273540001 65.3226269880001,21.2648633540001 65.3382549880001,21.328681354 65.3702729880001,21.466554354 65.3120449880001,21.493891354 65.286708988,21.5395813540001 65.2535999880001,21.558054354 65.2342179880001,21.5880543540001 65.2347089880001,21.659300354 65.245826988,21.699200354 65.2837089880001,21.617081354 65.324717988,21.5840913540001 65.3205819880001,21.538691354 65.3270179880001,21.501772354 65.3499359880001,21.4712453540001 65.383744988,21.5447183540001 65.4080549880001,21.6028453540001 65.4140819880001,21.6318003540001 65.3973549880001,21.654863354 65.3919359880001,21.675827354 65.3910999880001,21.9294453540001 65.3980359880001,22.0140273540001 65.426235988,22.030972354 65.4597179880001,21.979163354 65.4897179880001,21.926800354 65.5081909880001,21.939718354 65.4852729880001,21.920000354 65.4870729880001,21.901109354 65.496654988,21.8572183540001 65.5300639880001,21.889581354 65.5344269880001,21.909163354 65.5266549880001,21.993891354 65.514444988,22.053845354 65.517435988,22.164163354 65.5330549880001,22.1943723540001 65.5422819880001,22.1209723540001 65.5813819890001,22.057781354 65.5891549890001,22.022500354 65.598054989,21.8481913540001 65.6561089890001,21.8280543540001 65.665263989,21.7658273540001 65.7121449890001,21.8241633540001 65.6992999890001,21.8513183540001 65.6721449890001,22.079718354 65.6072089890001,22.2063273540001 65.5787729890001,22.241836355 65.5772729890001,22.3726363550001 65.549990989,22.400000355 65.536799988,22.422427355 65.546799988,22.3855543550001 65.6288729890001,22.3230543550001 65.659163989,22.290963355 65.6647819890001,22.315272355 65.629535989,22.2859273550001 65.6273999890001,22.2490543550001 65.6324909890001,22.257772355 65.6910999890001,22.329163355 65.829708989,22.3681913550001 65.859154989,22.4186093550001 65.8594359890001,22.451381355 65.8561089890001,22.479163355 65.8511089890001,22.6086093550001 65.7969359890001,22.654091355 65.759017989,22.6793003550001 65.7604729890001,22.7047183550001 65.807490989,22.676181355 65.8754729890001,22.6425633550001 65.8987449890001,22.675827355 65.9022179890001,22.723327355 65.886108989,22.7902723550001 65.8563819890001,22.826800355 65.8216639890001),(17.4676363500001 62.4599999860001,17.3707633500001 62.4717999860001,17.4161093500001 62.3779819860001,17.4441633500001 62.3674909860001,17.45666335 62.365272986,17.48471835 62.3630549860001,17.5091633500001 62.3633269860001,17.5425003500001 62.3660999860001,17.5144453500001 62.414444986,17.4676363500001 62.4599999860001),(18.4011093510001 60.3652729840001,18.5169453510001 60.3174909840001,18.5491633510001 60.306108984,18.5616633510001 60.3052729840001,18.571391351 60.3105549840001,18.537218351 60.342499984,18.5072183510001 60.348054984,18.4561093510001 60.4274999840001,18.4225003510001 60.4866639840001,18.408881351 60.499717984,18.385272351 60.5047179840001,18.3729183510001 60.4969359840001,18.3819453510001 60.4163819840001,18.393327351 60.3772179840001,18.4011093510001 60.3652729840001),(17.78805435 59.314581983,17.7755543500001 59.3704089830001,17.7408273500001 59.391517983,17.6505543500001 59.424163983,17.6388813500001 59.4261089830001,17.6231913500001 59.4252729830001,17.60805435 59.419163983,17.6175003500001 59.397772983,17.6619453500001 59.343044983,17.67194535 59.3347179830001,17.68694535 59.328044983,17.72166335 59.316108983,17.75444535 59.3094359830001,17.7777723500001 59.3086089830001,17.78805435 59.314581983),(17.31708135 59.4055549830001,17.2802813500001 59.436944983,17.2669453500001 59.4441639830001,17.25694535 59.4466639830001,17.23610935 59.449717983,17.1505543500001 59.4566639830001,17.0897183500001 59.459999983,17.07013635 59.4566639830001,17.15139135 59.3851359830001,17.2311093500001 59.3755449830001,17.25638135 59.373326983,17.26639135 59.374444983,17.31347235 59.396108983,17.31708135 59.4055549830001),(19.0923633520001 57.971944981,19.0352723520001 57.9155549810001,19.035972352 57.8987449810001,19.075418352 57.860408981,19.0933273520001 57.851944981,19.1261093520001 57.839717981,19.1408363520001 57.904717981,19.1483363520001 57.916108981,19.1666633520001 57.9281909810001,19.2380543520001 57.9469359810001,19.256663352 57.9494359810001,19.2712453520001 57.946799981,19.282081352 57.9388819810001,19.3342363520001 57.9593639810001,19.307500352 57.974444981,19.2963913520001 57.9766639810001,19.2858273520001 57.9766639810001,19.1047183520001 57.975272981,19.0923633520001 57.971944981),(18.8819453510001 57.9197179810001,18.720554351 57.921935981,18.685972351 57.9148549810001,18.466527351 57.8102729810001,18.419718351 57.7602729810001,18.401663351 57.738608981,18.3819453510001 57.718608981,18.3558273510001 57.695826981,18.338891351 57.681663981,18.294718351 57.645826981,18.2761093510001 57.634163981,18.2456913510001 57.619163981,18.219854351 57.608608981,18.185300351 57.592235981,18.1386093510001 57.551108981,18.115272351 57.5252729810001,18.1101363510001 57.5045819810001,18.115272351 57.4808269810001,18.142500351 57.4094359810001,18.158054351 57.315826981,18.148327351 57.235272981,18.173336351 57.1419359810001,18.2544453510001 57.0791639810001,18.256663351 57.032217981,18.209163351 56.989163981,18.1583363510001 56.94166398,18.1445813510001 56.9147909800001,18.1688913510001 56.9099999800001,18.210827351 56.9124999800001,18.298745351 56.9360999800001,18.3403453510001 57.013463981,18.342918351 57.0754819810001,18.393127351 57.130826981,18.417218351 57.1441639810001,18.447500351 57.154854981,18.506527351 57.1673549810001,18.5519363510001 57.1827819810001,18.658054351 57.2208359810001,18.713191351 57.244299981,18.7883273510001 57.448326981,18.7687453510001 57.469717981,18.7597183510001 57.5080449810001,18.7933273510001 57.6591639810001,18.8091633510001 57.7036089810001,18.8488913510001 57.721108981,18.929445351 57.7397179810001,19.033336352 57.8269449810001,19.003891352 57.8988909810001,19.0054093520001 57.906108981,18.908327351 57.917908981,18.8819453510001 57.9197179810001),(17.10208135 57.349444981,17.0566633500001 57.3591639810001,17.03555435 57.351944981,17.0222183500001 57.3449909810001,17.01000035 57.337490981,16.99305435 57.324717981,16.9827723500001 57.315554981,16.97332735 57.305272981,16.9661093500001 57.293608981,16.9598543500001 57.277217981,16.9602813500001 57.2569449810001,16.96555435 57.241663981,16.9612453500001 57.2265269810001,16.90000035 57.134990981,16.84805435 57.064163981,16.749445349 56.9397179800001,16.645000349 56.8836089800001,16.6291633490001 56.87916398,16.6143003490001 56.8709639800001,16.542500349 56.7763819800001,16.4202723490001 56.58639098,16.3945813490001 56.53249098,16.3916633490001 56.4649999800001,16.4033273490001 56.2741639800001,16.410827349 56.2249999800001,16.4184723490001 56.21319098,16.429718349 56.2088819800001,16.437218349 56.21139098,16.4736093490001 56.22444498,16.4863813490001 56.23138198,16.4961093490001 56.2408269800001,16.553054349 56.3263819800001,16.5716633490001 56.3549999800001,16.5754183490001 56.3642999800001,16.571109349 56.37429998,16.5700003490001 56.3912449800001,16.5766633490001 56.40694498,16.6355543490001 56.5188819800001,16.726663349 56.7022179800001,16.770272349 56.7958269800001,16.7822183490001 56.8079179800001,16.8126363490001 56.82499998,16.8280543490001 56.8252729800001,16.83889135 56.8295819800001,16.84832735 56.84389098,16.88027235 56.9297179800001,16.9266633500001 57.0380549810001,16.9611093500001 57.0752729810001,17.0088913500001 57.1319449810001,17.05055435 57.186663981,17.1241633500001 57.320826981,17.10208135 57.349444981),(11.7358813450001 58.0417179820001,11.5252723450001 58.0484729820001,11.500000345 58.0340269820001,11.497772345 58.009854981,11.5097183450001 57.9897179810001,11.518127345 57.9806909810001,11.5252813450001 57.9499999810001,11.5747183450001 57.931663981,11.585000345 57.9308269810001,11.5944453450001 57.9324909810001,11.6461093450001 57.950826981,11.6594453450001 57.9574999810001,11.7259723450001 57.9920819810001,11.735554345 58.0015179810001,11.7416633450001 58.0277729810001,11.7358813450001 58.0417179820001),(11.466527344 58.098608982,11.553336345 58.1152729820001,11.5830543450001 58.118890982,11.6066633450001 58.1186089820001,11.6241633450001 58.110272982,11.6763913450001 58.0988819820001,11.7147183450001 58.101108982,11.803336345 58.1187449820001,11.811109345 58.1336089820001,11.8147183450001 58.147217982,11.815836345 58.1719449820001,11.8124273450001 58.217708982,11.786663345 58.245554982,11.7366633450001 58.2816639820001,11.721663345 58.2847179820001,11.708891345 58.2858269820001,11.6731913450001 58.285544982,11.410554344 58.1474999820001,11.4019453440001 58.1336089820001,11.452636344 58.074717982,11.465000344 58.0661089820001,11.4636093440001 58.0716639820001,11.466527344 58.098608982)))', 'Swedish Exclusive Economic Zone', 'Sweden', 'Sweden', '', '222', '222', 'SWE', '5694', '', '159865002500', '5694', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0917963260001 54.8799803750001,14.1727777780001 54.8124999990001,14.4141665130001 54.8124999990001,14.4141666670001 54.8124999990001,14.414166666 54.6583338040001,14.4141666670001 54.658333332,14.422743681 54.653627322,14.6367222220001 54.5362222210001,14.636722616 54.536222095,14.6885899210001 54.5196367680001,14.715146243 54.511144997,14.724670142 54.5080995910001,14.7246957180001 54.508091413,14.7500000000001 54.4999999990001,14.5996777780001 54.3833333320001,14.599677553 54.3833331370001,14.4751849850001 54.27544815,14.473029813 54.2735804820001,14.3566092030001 54.172690636,14.352222222 54.168888888,14.3484258440001 54.16749034,14.3225946860001 54.157974401,14.28737613 54.145016508,14.239372529 54.127354638,14.210894346 54.127636388,14.204560815 54.1276990490001,14.204560837 54.1276989730001,14.229578889 54.0401739320001,14.244122222 53.9892944440001,14.234770917 53.9545032730001,14.227994444 53.929291666,14.2255543470001 53.9285999780001,14.2141633470001 53.932490978,14.184027347 53.946381978,14.104999347 53.9985999780001,14.0013183470001 54.0653639780001,13.9654453470001 54.0732369780001,13.9297903470001 54.0795819780001,13.892381347 54.0902999780001,13.8661093470001 54.106663978,13.827081347 54.1425639780001,13.8127723470001 54.1667369780001,13.7684723470001 54.165827978,13.758054347 54.1473549780001,13.810809347 54.104472978,13.8086813470001 54.0716189780001,13.8227723470001 54.036663978,13.8590273470001 53.9994369780001,13.900418347 54.0119369780001,13.919145347 54.031572978,13.924099347 54.059018978,13.954072347 54.0605459780001,13.9798813470001 54.056609978,14.003281347 54.033199978,14.013999347 54.014172978,14.0476903470001 54.0054279780001,14.0559993470001 53.9848639780001,14.039599347 53.942645978,14.012690347 53.9494279780001,13.9820633470001 53.9625549780001,13.9575723470001 53.941109978,13.9396273470001 53.914863978,13.929163347 53.897499978,13.8719453470001 53.8780549780001,13.8291903470001 53.8595099780001,13.8852723470001 53.840136978,13.949163347 53.8436099780001,14.0002723470001 53.851799978,14.039372347 53.869781978,14.0824993470001 53.8733279780001,14.1934723470001 53.8749999780001,14.2188903470001 53.869018978,14.219742836 53.8631779780001,14.2198883470001 53.862180978,14.274491347 53.7069049770001,14.2756273470001 53.699063977,14.256390347 53.697354977,14.2238903470001 53.7008279770001,13.9591633470001 53.7749909780001,13.808536347 53.8547819780001,13.8211093470001 53.8763909780001,13.865272347 53.904163978,13.829718347 53.9863819780001,13.786109347 54.0499999780001,13.799027347 54.084163978,13.7888903470001 54.109718978,13.7108273470001 54.170827978,13.4840273460001 54.119445978,13.4997183460001 54.0861099780001,13.487081346 54.0873549780001,13.4545813460001 54.0970819780001,13.379163346 54.1744369780001,13.2851363460001 54.2348639780001,13.2124993460001 54.2519369780001,13.118609346 54.2764549780001,13.023890346 54.3997189780001,12.7647183460001 54.3724999780001,12.6827813460001 54.376109978,12.6247183460001 54.3727729780001,12.5819453460001 54.3683279780001,12.5497183460001 54.3605459780001,12.4801363450001 54.331936978,12.4191633450001 54.2814549780001,12.423954345 54.2589549780001,12.451599345 54.249718978,12.408190345 54.248745978,12.374372345 54.2624279780001,12.3656903450001 54.3051999780001,12.4258363450001 54.3724999780001,12.463890345 54.395136978,12.643218346 54.413890978,12.6706903460001 54.4146189780001,12.703799346 54.429672978,12.7292363460001 54.4233639780001,12.758336346 54.4130459780001,12.8805543460001 54.4119459780001,12.9215273460001 54.427463978,12.900690346 54.442354978,12.803336346 54.4424999780001,12.7339353850001 54.4438850080001,12.733934364 54.4438846140001,12.680773227 54.4449450500001,12.6604451000001 54.446109129,12.638609236 54.4489450620001,12.552989634 54.4576218990001,12.540554345 54.4588819780001,12.5405542140001 54.458882126,12.540554045 54.458882143,12.526945262 54.474163924,12.480554345 54.4441639780001,12.460182 54.4193793140001,12.436945172 54.3911090920001,12.374298067 54.3278605570001,12.3498633450001 54.303190978,12.3269453450001 54.286663978,12.1297183450001 54.191109978,12.054796805 54.181837714,12.0547935380001 54.1818364530001,12.054788015 54.1818366260001,11.986109345 54.1733369780001,11.7474993450001 54.156390978,11.687499345 54.1532549780001,11.626109345 54.1111729780001,11.626354345 54.082390978,11.5768093450001 54.034299978,11.554718345 54.026936978,11.544718345 54.0263819780001,11.5220813450001 54.033263978,11.492772345 53.994581978,11.4808363450001 53.960272978,11.4127723440001 53.919718978,11.251627344 53.9387819780001,11.1835363440001 54.0119369780001,11.0947183440001 54.013609978,11.055390344 54.0073549780001,11.0130543440001 53.995281978,10.9647183440001 53.9802729780001,10.904436344 53.957345978,10.8988903440001 53.9311099780001,10.8185363440001 53.8900549780001,10.8636093440001 53.9169369780001,10.890136344 53.9542999780001,10.8797903440001 53.9858999780001,10.861390344 53.9938909780001,10.822218344 53.9941639780001,10.795554344 53.995554978,10.7770813440001 54.0066639780001,10.7573633440001 54.035827978,10.7622183440001 54.056518978,10.801390344 54.089436978,10.8322183440001 54.0908279780001,10.8805543440001 54.090763978,11.0599993440001 54.177218978,11.0939543440001 54.2054819780001,11.0931976910001 54.211927292,11.0931974650001 54.2119272990001,11.0890022680001 54.247664715,11.073890346 54.376390959,11.0447180910001 54.369718139,11.0231462720001 54.3699302480001,11.016945344 54.369990978,11.011302577 54.3703570060001,10.986945153 54.371935991,10.958263286 54.3789539910001,10.958266413 54.3789542270001,10.958263344 54.3789549780001,10.979440636 54.380554622,10.9464540220001 54.3845091810001,10.8852731700001 54.3619360450001,10.8318732380001 54.330344987,10.79500024 54.31235407,10.772500194 54.3072181430001,10.7080726340001 54.3088551000001,10.6905543440001 54.3092999780001,10.6897421670001 54.3098155600001,10.646245095 54.3374270250001,10.609718102 54.3605449840001,10.3683271690001 54.435553966,10.260896116 54.4596606310001,10.260895104 54.459661829,10.126945343 54.489718978,10.1061093430001 54.4894369780001,10.0066633430001 54.4742369780001,9.89332734300007 54.4538909780001,9.86603634300008 54.4572909780001,9.84555434300006 54.476727978,9.87110934300006 54.477490978,9.89305434300007 54.4819459780001,9.97055434300006 54.5074999780001,10.0042993430001 54.523736978,10.032499343 54.5552729780001,10.039999343 54.633072978,10.0379121870001 54.660915453,10.0373631950001 54.668236101,10.0252792370001 54.6853426640001,10.015983175 54.698502563,9.97200916000003 54.7607540400001,9.93583605100002 54.7819450000001,9.90215404400004 54.7911091030001,9.78555405900005 54.7861091300001,9.66055406600003 54.8122180880001,9.57833614500004 54.8255540310001,9.43944515900006 54.807982209,9.44476773200006 54.8236717780001,9.44712832100004 54.8255618540001,9.44984169600002 54.826368604,9.45509482100005 54.830402604,9.46437432100004 54.831689979,9.46657569600006 54.8334338540001,9.47572382100003 54.8351162290001,9.47591444600005 54.835253354,9.48275544600006 54.836766729,9.48478407100004 54.836385104,9.49299244600007 54.8382162290001,9.49440682100004 54.8390987290001,9.49839632100003 54.8441338540001,9.49951757100007 54.8448846040001,9.50081844600004 54.845144729,9.50128882100006 54.8454203540001,9.51477269600002 54.8498757290001,9.51553294600006 54.8499764790001,9.52190757100004 54.8538637290001,9.52502894600008 54.8576106040001,9.52540282100006 54.858454979,9.53249169600002 54.8627621040001,9.53621444600003 54.8637326040001,9.53817057100002 54.865005979,9.54218719600004 54.8662829790001,9.54651394600006 54.866373104,9.54706619600006 54.866186854,9.55807232100005 54.8664604790001,9.56051744600006 54.8676538540001,9.56165457100008 54.868929479,9.57296844600006 54.8735071040001,9.57374857100007 54.8743972290001,9.57632032100003 54.875449604,9.57809557100006 54.877252604,9.58019219600004 54.882492729,9.59208332100008 54.8907496040001,9.59338294600008 54.892705979,9.59709044600004 54.893411729,9.60287144600005 54.8911951040001,9.60750757100004 54.891174479,9.60935319600003 54.890439729,9.61331857100004 54.8904726040001,9.61428823700004 54.8900834710001,9.62189763100002 54.86197724,9.61941157100006 54.8540079790001,9.62665894600002 54.8505883540001,9.62747182100003 54.849936729,9.64028019600005 54.844337604,9.64324532100005 54.8440599790001,9.65091532100007 54.8407322290001,9.65346444600004 54.840475229,9.65425944600003 54.8406302290001,9.66473207200005 54.839510229,9.66926594700004 54.8403886040001,9.67631869700006 54.839660979,9.67771794700008 54.8398997290001,9.68356532200005 54.839296604,9.68494794700007 54.838765229,9.69177757200004 54.8380542290001,9.69237219700005 54.8378239790001,9.69737482200003 54.833524104,9.70377994700004 54.8305447290001,9.71029007200002 54.8297028540001,9.71337719700006 54.8282697290001,9.71474832200005 54.8270971040001,9.71966732200002 54.8249243540001,9.72923282200003 54.824138229,9.73065607200004 54.8235264790001,9.74028732200003 54.822796354,9.74140107200003 54.823050229,9.75006657200004 54.8222886040001,9.75381169700006 54.8230491040001,9.75957982200003 54.822621354,9.77946482200002 54.8263293540001,9.77987594700005 54.826657229,9.79594294700007 54.8359707290001,9.80088644700004 54.8382651040001,9.81096219700004 54.8442991040001,9.81257244700004 54.8440066040001,9.83616707200002 54.834854229,9.84719407200004 54.824231479,9.85090844700005 54.8220042290001,9.85125782200004 54.8217514790001,9.85239069700003 54.8210612290001,9.85740307200007 54.8223784790001,9.86498794700003 54.823710104,9.89310344700004 54.831207604,9.89995194700003 54.832034729,9.90090332200003 54.8320119790001,9.91178107200005 54.830145229,9.91474982200003 54.829144479,9.92414607200004 54.827453979,9.93035019700005 54.8252737290001,9.93657494700005 54.824152729,9.94237482200003 54.822129729,9.95103044700005 54.820552354,9.95460594700006 54.819329354,9.95916482200005 54.8184824790001,9.96133394700007 54.8183847290001,9.97133494700006 54.816505229,9.97529957200004 54.815193729,9.98133619700008 54.8139243540001,10.000536572 54.8072974790001,10.0055584470001 54.805015354,10.005749947 54.8049467290001,10.016409572 54.8021184790001,10.0352636970001 54.7986148540001,10.047015822 54.795560229,10.0525663220001 54.792143104,10.0557080720001 54.7899331040001,10.0612338220001 54.7855384790001,10.0674860720001 54.781050979,10.0715639470001 54.7798161040001,10.076096697 54.778925729,10.1605897470001 54.7773591860001,10.218340246 54.7566750340001,10.218333333 54.7566666660001,10.218333398 54.7566666070001,10.268861111 54.7138055550001,10.3083055560001 54.6748888880001,10.355111111 54.633305555,10.374333333 54.620944444,10.454416667 54.5991111100001,10.5329166670001 54.576944444,10.6138888890001 54.5516666660001,10.660361111 54.5443888880001,10.7330555560001 54.546999999,10.8005833330001 54.5811944440001,10.8736388890001 54.619499999,10.90425 54.637388888,11.00575 54.6411944440001,11.075 54.6378611100001,11.157833333 54.6221388880001,11.208583333 54.6091666660001,11.2601111110001 54.5864444440001,11.321583333 54.569888888,11.384666667 54.532499999,11.4435 54.4980833320001,11.513861111 54.4648333320001,11.581972222 54.4299166660001,11.6367222220001 54.3933333320001,11.6724166670001 54.3657499990001,11.6707500000001 54.364833332,11.940444444 54.366805555,12.112083333 54.411083332,12.44325 54.6877499990001,12.7499722220001 54.763805555,12.934 54.833805555,13.147958642 55.008304681,13.7856666700001 55.0213611090001,13.9928360060001 54.9624422160001,13.992836262 54.962442002,13.992837708 54.962440798,14.057500208 54.908558709,14.0917963260001 54.8799803750001),(13.2265273460001 54.6411819780001,13.248745346 54.557781978,13.284136346 54.5642999780001,13.3105543460001 54.5733279780001,13.3297183460001 54.582772978,13.355436346 54.6043549780001,13.3746723460001 54.6100729780001,13.3835183460001 54.5783549780001,13.4261453460001 54.5700459780001,13.4594183460001 54.550799978,13.502572346 54.549763978,13.5166093460001 54.5133729780001,13.503090346 54.493099978,13.483854346 54.4837369780001,13.4474633460001 54.488936978,13.4204273460001 54.521690978,13.3949543460001 54.5419639780001,13.3777993460001 54.5580819780001,13.3673993460001 54.5804369780001,13.337763346 54.566399978,13.303972346 54.550281978,13.2556183460001 54.551318978,13.2313903460001 54.5524999780001,13.1469633460001 54.5456099780001,13.167236346 54.5133729780001,13.2322273460001 54.4858189780001,13.228609346 54.464999978,13.1646363460001 54.4343459780001,13.207790346 54.4281099780001,13.2389813460001 54.4114729780001,13.263890346 54.3799999780001,13.235836346 54.3716639780001,13.2201363460001 54.369718978,13.200554346 54.3727729780001,13.1540273460001 54.3752729780001,13.1339543460001 54.371381978,13.1188183460001 54.3367279780001,13.1561093460001 54.3055459780001,13.253336346 54.257218978,13.268054346 54.2549999780001,13.3186093460001 54.2485999780001,13.395418346 54.221663978,13.426945346 54.235827978,13.427636346 54.247918978,13.420972346 54.260272978,13.406945346 54.265136978,13.3574993460001 54.2597189780001,13.357636346 54.2731909780001,13.469445346 54.3283279780001,13.506390346 54.3422189780001,13.6869453470001 54.3487459780001,13.7124993470001 54.322636978,13.7108363470001 54.2969459780001,13.6953453470001 54.2820099780001,13.713054347 54.271936978,13.7291633470001 54.275136978,13.743890347 54.331109978,13.731109347 54.3547189780001,13.710690347 54.380972978,13.7024993470001 54.3880549780001,13.6713903470001 54.401527978,13.646390347 54.4013819780001,13.6311093470001 54.4011099780001,13.619027347 54.4033279780001,13.5836093460001 54.4416639780001,13.5772813460001 54.456936978,13.577363346 54.4673549780001,13.5873633460001 54.483190978,13.6441633470001 54.5141639780001,13.668609347 54.5215189780001,13.676527347 54.529436978,13.679163347 54.5424999780001,13.674509347 54.5665909780001,13.6384723470001 54.5849279780001,13.617772347 54.5861099780001,13.593054346 54.5847189780001,13.5160903460001 54.5767999780001,13.4817723460001 54.5747189780001,13.456299346 54.573154978,13.433427346 54.5778369780001,13.4074273460001 54.5887549780001,13.3913093460001 54.606954978,13.384299346 54.641936978,13.393890346 54.6506909780001,13.4255543460001 54.6586099780001,13.441599346 54.6747819780001,13.427081346 54.6824999780001,13.383890346 54.6808279780001,13.364445346 54.679445978,13.292218346 54.6733369780001,13.2786093460001 54.671390978,13.2633363460001 54.666663978,13.2447183460001 54.656663978,13.2265273460001 54.6411819780001),(11.0124089670001 54.3796885290001,10.9950001620001 54.381944989,10.9794482680001 54.380554386,10.9902102290001 54.378375829,10.9945822400001 54.377491181,11.0164531510001 54.3791641330001,11.0124089670001 54.3796885290001),(11.184163288 54.5200001320001,11.0668002150001 54.5345821290001,11.0438911320001 54.518327104,11.0287450330001 54.5045821240001,11.018609133 54.490827085,11.011391141 54.4769449770001,11.0061092010001 54.4576360900001,11.009027109 54.4472180550001,11.0210450820001 54.438754009,11.123891202 54.4069450210001,11.1391631970001 54.4066642280001,11.3125001170001 54.4083360820001,11.302218204 54.42401812,11.273927101 54.4587361310001,11.2437450410001 54.4944450500001,11.2322180800001 54.5030541030001,11.184163288 54.5200001320001)),((4.75000000000006 55.404166666,5.15000000000003 55.2499999990001,5.40333333300003 55.2499999990001,5.75000000000006 55.5111944440001,7.55266666700004 55.1676111100001,7.90682949500007 55.118597622,8.30194444400007 55.0639166660001,8.33859357000006 55.0702002300001,8.37381357000004 55.083747105,8.39745278300006 55.085323052,8.41445044500006 55.0864562300001,8.44966944500004 55.07561923,8.47134357000004 55.05665523,8.50164944500006 55.03627923,8.51450257000005 55.02763723,8.61027449900007 54.9545225270001,8.66454497000007 54.913090965,8.60048134200002 54.9107729790001,8.55090979500005 54.9061689860001,8.49046334200006 54.900554979,8.46121834200005 54.899972979,8.42041834200006 54.9196459790001,8.35319034200006 54.9661099790001,8.35607714800005 54.970428106,8.37194534200006 54.9941639790001,8.40763634200005 55.009299979,8.43832734200004 55.024163979,8.45423634200006 55.0509729790001,8.40932124300002 55.0563755900001,8.40805434200007 55.0565279790001,8.38819034200003 55.0491639790001,8.37333634200007 55.0333369790001,8.33618489300005 54.97698891,8.30721834200006 54.9330549790001,8.29333634200003 54.900554979,8.28208134200003 54.826663979,8.28055434200007 54.7749909780001,8.29083634200003 54.7428099780001,8.29659934200004 54.7786099780001,8.29444534200007 54.825272979,8.30089934200004 54.856454979,8.39010934200007 54.8669369790001,8.54560934200003 54.8706099790001,8.57618134200004 54.8573819790001,8.64139034200002 54.8322189790001,8.65131834200002 54.806727978,8.69694534200005 54.7469369780001,8.73444534200007 54.7211099780001,8.75444534200005 54.711663978,8.80958134200006 54.6769369780001,8.85082734200006 54.6208279780001,8.91889034200005 54.561109978,8.94360934200006 54.5479099780001,8.96402734200007 54.542354978,9.01124534200005 54.5034639780001,9.01395434200003 54.4749909780001,8.99471834200006 54.451945978,8.88694534200005 54.414163978,8.84492734200006 54.4054099780001,8.82652734200008 54.4147189780001,8.76860934200005 54.410827978,8.64242734200008 54.3970819780001,8.62194534200006 54.378609978,8.60048134200002 54.326381978,8.60958134200007 54.3049999780001,8.63763634200006 54.276099978,8.66249934200005 54.2681909780001,8.69020934200006 54.2675639780001,8.82999934200006 54.293327978,8.88360934200006 54.294163978,8.84562734200006 54.2541639780001,8.81986334200008 54.198609978,8.81277234200007 54.1749999780001,8.82736334200007 54.151663978,8.85236334200005 54.127981978,8.97110934200003 54.1316639780001,9.01721834200004 54.084999978,9.01194534200005 54.0469369780001,9.00179934200003 54.0270819780001,8.97499934200005 54.0181909780001,8.95305434200003 54.0263819780001,8.92666334200004 54.0372189780001,8.88569034200003 54.044718978,8.84427234200007 54.0347549780001,8.84999934200005 54.0088909780001,8.88305434200004 53.9611099780001,8.90679934200006 53.934718978,8.92749934200003 53.919718978,8.94749934200007 53.9072189780001,8.98416334200004 53.891872978,9.06305434200004 53.898045978,9.21305434200002 53.8897189780001,9.23444534200007 53.886381978,9.28236334200005 53.8755549780001,9.33277234300004 53.8549999780001,9.39374534300003 53.822636978,9.40777234300003 53.7922189780001,9.41721834300006 53.771109978,9.43416334300002 53.744018978,9.55389034300003 53.6276369770001,9.57528134300003 53.6136099770001,9.67278134300005 53.5752729770001,9.69944534300004 53.5683279770001,9.72416334300004 53.565554977,9.74108134300008 53.5649999770001,9.77902734300005 53.562081977,9.82906334300003 53.5416999770001,9.80937234300006 53.5337459770001,9.76474534300007 53.5437279770001,9.69583634300005 53.5502819770001,9.67278134300005 53.5555459770001,9.57791834300002 53.588609977,9.55499934300008 53.604436977,9.41236334300004 53.727499977,9.37944534300004 53.7608279780001,9.35139034300005 53.7980459780001,9.32236334300006 53.8281909780001,9.28339934200005 53.8555459780001,9.21597234200004 53.864854978,9.12889034200003 53.8660999780001,9.10527234200003 53.863327978,9.02055434200003 53.846663978,8.90749934200005 53.828045978,8.85305434200006 53.8297189780001,8.79721834200006 53.8358279780001,8.77555434200002 53.8405549780001,8.75639034200003 53.846663978,8.71159934200006 53.870345978,8.68221834200006 53.8938909780001,8.65902734200006 53.892636978,8.60458134200007 53.879018978,8.57736334200007 53.8549999780001,8.54805434200006 53.8183279780001,8.48409934200004 53.686318977,8.49082734200005 53.648881977,8.51173634200006 53.6172189770001,8.56551834200008 53.529054977,8.56086334200006 53.515436977,8.50437234200007 53.483190977,8.49736334200003 53.4565279770001,8.50541834200004 53.4297189770001,8.50389034200003 53.3623549770001,8.48971834200006 53.377354977,8.48471834200006 53.4122189770001,8.48402734200005 53.4620819770001,8.49492734200004 53.4892369770001,8.51333634200006 53.509581977,8.49444534200006 53.554990977,8.33221834200003 53.6152729770001,8.30610934200007 53.6169459770001,8.26958134200004 53.6074909770001,8.24305434100006 53.586109977,8.23694534100002 53.557781977,8.23368134100002 53.5231189770001,8.26819034200003 53.520272977,8.30499934200003 53.5248549770001,8.31992734200003 53.505554977,8.31187234200007 53.4563189770001,8.28603634200005 53.4208909770001,8.24624534100008 53.4017999770001,8.23444534100003 53.4005549770001,8.21027234100006 53.403045977,8.09777234100005 53.444445977,8.07298134100006 53.4681909770001,8.06242734100005 53.5008999770001,8.09374534100004 53.503054977,8.12944534100006 53.509718977,8.16659934100005 53.528881977,8.16124534100004 53.558681977,8.12389034100005 53.5847189770001,8.05208134100008 53.631381977,8.02496334100005 53.6896189770001,8.01430934100006 53.7083279770001,7.98166334100006 53.715272977,7.94916334100003 53.717499977,7.90749934100006 53.7194459770001,7.88249934100003 53.717499977,7.84333634100005 53.7141639770001,7.69833634100007 53.7002729770001,7.58166334100002 53.681390977,7.51347234100007 53.6720819770001,7.46874534100004 53.685963977,7.34110934100005 53.6886099770001,7.29583634100004 53.6852729770001,7.23208134100003 53.6672189770001,7.18471834100006 53.642218977,7.09353634000007 53.5881909770001,7.03236334000007 53.4823549770001,7.02194534000006 53.4424999770001,7.01499934000003 53.4098549770001,7.01895434000005 53.3753459770001,7.04992734000007 53.341109977,7.08291834000005 53.3370819770001,7.12639034000006 53.339999977,7.18389034100005 53.3408279770001,7.22694534100003 53.3363909770001,7.33708134100004 53.323054977,7.35089934100006 53.3072549770001,7.32486334100003 53.3169369770001,7.25583634100008 53.3160369770001,7.21606699000006 53.254692839,7.20836334100005 53.242809977,7.17464034100004 53.2872369770001,7.15067934000007 53.2912299770001,7.10914734000005 53.296820977,7.07160934000007 53.3048079770001,7.02129134000006 53.3231779770001,6.99493434000004 53.342345977,6.97397934000003 53.377014977,6.94511734000002 53.441952977,6.93790250600006 53.499675553,6.90904134000004 53.528536977,6.86574934000004 53.5213209770001,6.80802634000003 53.514105977,6.72865834000004 53.514105977,6.64928934000005 53.5357519770001,6.60599789800006 53.593474218,6.60599772400008 53.593474262,6.52662938900005 53.615120172,6.46311458000002 53.6468775760001,6.45447622700004 53.6511967530001,6.45447620300007 53.6511967660001,6.40396897100004 53.687273358,6.34713888900006 53.725222219,6.33286111100006 53.750833329,6.26425000000006 53.8146944390001,6.10783333300003 53.9991111090001,6.00000000000006 54.186666669,5.00000000000006 54.6199999990001,5.00000000000006 54.9999999990001,4.33333333300004 55.333333329,3.37027777800006 55.7649999990001,3.40000000000003 55.834999999,3.35000000000002 55.919277777,3.35000011000005 55.9192777590001,3.56270030700006 55.884641764,4.25000000000006 55.772722221,4.75000000000006 55.404166666),(8.48833634200003 54.685554978,8.56360934200006 54.6841639780001,8.56999934200007 54.687354978,8.59486334200005 54.7198549780001,8.58513634200006 54.7445099780001,8.56971834200004 54.7502729780001,8.55110934200007 54.753881978,8.53860934200003 54.7552729780001,8.46166334200007 54.7519369780001,8.44471834200004 54.7483279780001,8.42583634200003 54.742218978,8.40986334200005 54.7326369780001,8.39833634200005 54.710199978,8.47833634200003 54.686945978,8.48833634200003 54.685554978)))', 'German Exclusive Economic Zone', 'Germany', 'Germany', '', '176', '176', 'DEU', '5669', '2009-08-11', '56800468860', '5669', 'Y'),('SRID=4326;MULTIPOLYGON(((49.263463546 30.429090531,49.2224905460001 30.3733365310001,49.1904725460001 30.360690531,49.1148545460001 30.393609531,49.0638815460001 30.406109531,48.928872546 30.3870455310001,49.0047095460001 30.2973545310001,49.2383185460001 30.1880455310001,49.3158185460001 30.1636095310001,49.353045546 30.171663531,49.4233275460001 30.170272531,49.461790546 30.1611095310001,49.4858275460001 30.148672531,49.494999546 30.1244365310001,49.5001365460001 30.0963815310001,49.498527546 30.067354531,49.5550545460001 30.007218531,49.578881546 30.008190531,49.7233275460001 30.0913905310001,49.833745546 30.163045531,49.874163546 30.185554531,49.8988905460001 30.198054531,49.9266545460001 30.207772531,50.003190547 30.2186365310001,50.026109547 30.2158275310001,50.0380455470001 30.212772531,50.0555455470001 30.2027725310001,50.0805545470001 30.1795815310001,50.0994455470001 30.1483275310001,50.1105455470001 30.124445531,50.133609547 30.068881531,50.138881547 30.026945531,50.137218547 29.9858365310001,50.1335365470001 29.9524995310001,50.1474995470001 29.932781531,50.161663547 29.917772531,50.187218547 29.8949995310001,50.205972547 29.883609531,50.237563547 29.8622185310001,50.280272547 29.807218531,50.3940275470001 29.655272531,50.415272547 29.6438905310001,50.4416635470001 29.6383275310001,50.4658275470001 29.624445531,50.6252725470001 29.4922185300001,50.6391635470001 29.4704185300001,50.658609547 29.43305453,50.6687455470001 29.40034553,50.6563905470001 29.2488815300001,50.629854547 29.1859725300001,50.638881547 29.1427725300001,50.6871455470001 29.1195815300001,50.7166635470001 29.13242753,50.8265905470001 29.13659053,50.8852725470001 29.10333653,50.9237455470001 29.0645815300001,50.928890547 29.02958153,50.9259725470001 29.0052725300001,50.8917275470001 28.94485453,50.8606185470001 28.9740905300001,50.8257635470001 28.99159953,50.8002725470001 28.9708995300001,50.8010365470001 28.92979053,50.852772547 28.85916353,50.878954547 28.8308995300001,50.903881547 28.8234725300001,50.9237455470001 28.8259725300001,50.947918547 28.8217995300001,51.008609548 28.8005545300001,51.0248545480001 28.78388153,51.054718548 28.7387455300001,51.0691635480001 28.70444553,51.072772548 28.6811095300001,51.076381548 28.59944553,51.075481548 28.56249953,51.093327548 28.4972185300001,51.138881548 28.4083365290001,51.234163548 28.2816635290001,51.2647185480001 28.154990529,51.325272548 28.048336529,51.4302725480001 27.937772529,51.5822185480001 27.8491635290001,51.6063815480001 27.841945529,51.717345548 27.8326815290001,51.767209548 27.846381529,51.7922185480001 27.851109529,51.8224905480001 27.8499995290001,51.978327548 27.8369365290001,52.026099548 27.828327529,52.048599548 27.8179095290001,52.1284635490001 27.761390529,52.1398545490001 27.744299529,52.1580455490001 27.7255545290001,52.173881549 27.712218529,52.193318549 27.7011095290001,52.2241635490001 27.6863815290001,52.247772549 27.6783275290001,52.363054549 27.6511095290001,52.434018549 27.6424995290001,52.4997185490001 27.608609529,52.5416635490001 27.5638815290001,52.626381549 27.4616635290001,52.614990549 27.4112455280001,52.5736095490001 27.3862455280001,52.6083275490001 27.348190528,52.670190549 27.3236095280001,52.6858905490001 27.3215455280001,52.7563815490001 27.2891635280001,52.816381549 27.2449905280001,52.853054549 27.209436528,53.001109549 27.129436528,53.109990549 27.084163528,53.16638155 27.0633275280001,53.2369365500001 27.0402725280001,53.30749955 27.0172185280001,53.38999955 27.001109528,53.43929955 26.9744365280001,53.46235455 26.9531905280001,53.4706815500001 26.933745528,53.4703365500001 26.8994905280001,53.47318155 26.8730545280001,53.4859635500001 26.8551365280001,53.6463815500001 26.7530545280001,53.68693655 26.7327725280001,53.74777255 26.709163528,53.8361095500001 26.699163528,53.93138155 26.709999528,54.0658275500001 26.724718528,54.0888815500001 26.716663528,54.1258275500001 26.7061095280001,54.1541635500001 26.701663528,54.1830545500001 26.6980545280001,54.2119365500001 26.6958275280001,54.237636551 26.706799528,54.269854551 26.7176365280001,54.296936551 26.7161095280001,54.3274995510001 26.7011095280001,54.360545551 26.655827528,54.4724905510001 26.588327528,54.6902725510001 26.506109528,54.7884635510001 26.490409528,54.852772551 26.519163528,55.1624905510001 26.7169365280001,55.2397185510001 26.7787455280001,55.274718551 26.786945528,55.3556905520001 26.7769455280001,55.370827552 26.7629185280001,55.417209552 26.7547185280001,55.4433185520001 26.756663528,55.4816545520001 26.7605545280001,55.5983275520001 26.798609528,55.594709552 26.823890528,55.5869365520001 26.854718528,55.578881552 26.9112455280001,55.6072185520001 26.9486095280001,55.641381552 26.9801365280001,55.6599905520001 26.9906905280001,55.689990552 26.996109528,55.796390552 27.007499528,55.8448545520001 27.006799528,55.956318552 27.032081528,55.9752635520001 27.0616635280001,56.1130545520001 27.1502725280001,56.132763552 27.1602725280001,56.328045552 27.200136528,56.3558275520001 27.200272528,56.532209553 27.160827528,56.6158545530001 27.154945528,56.618327553 27.155554528,56.645272553 27.154990528,56.690545553 27.148327528,56.808881553 27.123609528,56.855554553 27.0761095280001,56.867490553 27.059436528,56.8440815530001 27.030690528,56.8654095530001 27.0063815280001,57.0090275530001 26.871381528,57.0234635530001 26.8474995280001,57.032209553 26.822499528,57.0372185530001 26.8013905280001,57.0563815530001 26.7377725280001,57.0660995530001 26.7080455280001,57.088181553 26.6337455280001,57.0913815530001 26.587499528,57.0930455530001 26.5402725280001,57.090409553 26.493609528,57.0751365530001 26.455136528,57.082072553 26.412490528,57.1695095530001 26.1039455270001,57.1663815530001 26.077909527,57.195545553 25.999445527,57.2022185530001 25.9916635270001,57.2306815530001 25.9851365270001,57.2713815530001 25.9194455270001,57.2911095530001 25.865554527,57.2994365530001 25.8273545270001,57.300827553 25.800554527,57.3190905530001 25.7714545270001,57.524163554 25.7377725270001,57.6340185540001 25.732218527,57.6640185540001 25.746245527,57.7304095540001 25.7477725270001,57.7565905540001 25.740690527,57.7861095540001 25.7008275270001,57.778599554 25.6686095270001,57.8338815540001 25.664718527,57.8683275540001 25.6802725270001,57.951236554 25.6999905270001,57.976099554 25.685409527,57.999581554 25.6463815270001,58.0090185540001 25.622218527,58.027227554 25.5952095270001,58.0517995540001 25.572081527,58.071381554 25.561381527,58.128181554 25.5429095270001,58.1630455540001 25.539027527,58.3238365540001 25.580536527,58.340063554 25.595763527,58.3685995540001 25.6044455270001,58.3955455540001 25.604718527,58.4997185540001 25.5872185270001,58.7204095550001 25.5565275270001,58.761936555 25.5655545270001,58.789990555 25.564718527,58.8183275550001 25.5599995270001,58.9120725550001 25.518472527,58.9365185550001 25.5001365270001,58.9515185550001 25.4752725270001,59.000136555 25.413327527,59.0229095550001 25.3986095270001,59.0519365550001 25.393609527,59.1199905550001 25.391663527,59.143054555 25.396663527,59.2469995550001 25.4261905270001,59.369709555 25.4613815270001,59.4292905550001 25.474854527,59.4505455550001 25.4777725270001,59.490545555 25.4735365270001,59.528599555 25.4508275270001,59.5616635550001 25.415554527,59.590963555 25.3990185270001,59.613045556 25.392909527,59.634990556 25.3931905270001,59.6658275560001 25.3997185270001,59.733045556 25.408054527,59.7802725560001 25.4122185270001,59.8316635560001 25.4113815270001,59.9580455560001 25.3727725270001,60.0919365560001 25.3752725270001,60.1969365560001 25.3652725270001,60.2955545560001 25.345690527,60.309709556 25.3280545270001,60.4440185560001 25.2672185270001,60.4667995560001 25.265972526,60.4373095560001 25.329418527,60.4084635560001 25.332909527,60.394990556 25.365345527,60.4102725560001 25.397772527,60.427772556 25.415827527,60.454990556 25.4316635270001,60.488045556 25.4405545270001,60.519154556 25.4433275270001,60.5509635560001 25.441109527,60.5722185560001 25.4341635270001,60.593318556 25.4151365270001,60.603609556 25.397772527,60.605272556 25.377772527,60.6035995560001 25.3554095270001,60.6060995560001 25.3297185270001,60.6226275560001 25.2698545270001,60.648881556 25.2630545260001,60.717209557 25.258054526,60.7785995570001 25.2485995260001,60.9660995570001 25.2172185260001,60.992763557 25.2122185260001,61.1763815570001 25.1736095260001,61.1989455570001 25.158472526,61.219018557 25.123054526,61.3962365570001 25.0808275260001,61.4413725570001 25.075972526,61.4994365570001 25.118054526,61.5183995570001 25.1640905260001,61.581109557 25.199718526,61.6110275 25.1976450760001,61.6110271640001 25.197645,61.5915759160001 25.046085373,61.5915476810001 24.3234919720001,61.4166666670001 23.346666667,60.9652527870001 23.6028797380001,60.866768463 23.656144956,60.8161443860001 23.680092013,60.788027814 23.6933921880001,60.7635726070001 23.704499363,60.7558395830001 23.708011583,60.45678674 23.842635913,60.450374911 23.8455086660001,60.4211474090001 23.8515187090001,60.3744248900001 23.8732223420001,60.2809250120001 23.916655083,60.2656379590001 23.925784546,60.2335024070001 23.9449759720001,60.211759676 23.9593696630001,60.2117595970001 23.959369715,60.1146022190001 24.023687911,60.0982877500001 24.032451386,59.9618510240001 24.105739699,59.9059925400001 24.128699758,59.9059487900001 24.1287177410001,59.901830981 24.130410324,59.9018307380001 24.130410451,59.9014208900001 24.130623972,59.895362881 24.1337800630001,59.602352631 24.283773298,59.532020392 24.3197766800001,59.503181974 24.3305737210001,59.5031408190001 24.330589129,59.3588026050001 24.3846290400001,59.3480429430001 24.390378302,59.346270207 24.3913130940001,59.3281555140001 24.4008652530001,59.324841125 24.4026129820001,59.285702535 24.4139145440001,59.2496799080001 24.424316349,59.14470333 24.454629127,59.0998585830001 24.467093778,59.0895335550001 24.469963632,58.7673790090001 24.5588967740001,58.639660932 24.620836479,58.6395969860001 24.6208674910001,58.4990784460001 24.6890150630001,58.4789923180001 24.6939022930001,58.431156645 24.7006783960001,58.400447597 24.700525498,58.3878102780001 24.700462578,58.3788203460001 24.700660853,58.3787940170001 24.700661434,58.2829161920001 24.702776043,58.237451654 24.703605211,58.2111543710001 24.7040848130001,58.1500108120001 24.7065665920001,58.1216902040001 24.707544517,58.0993921780001 24.7083144800001,58.0963622790001 24.7084289210001,58.084187365 24.7088887740001,57.725012851 24.7192478160001,57.7167856200001 24.722169797,57.710925445 24.724236623,57.7109252700001 24.7242366850001,57.7065319440001 24.7257861680001,57.697530301 24.727312161,57.693262847 24.7287988190001,57.6927754590001 24.728968611,57.668075673 24.7376095610001,57.5811684110001 24.7852050000001,57.5312598960001 24.817100161,57.511762715 24.829560273,57.4848509620001 24.8476382310001,57.4848505510001 24.8476385230001,57.341967632 24.9485245870001,57.2981068710001 24.979591918,57.2881621080001 24.9866359650001,57.286937955 24.987501867,57.2805565480001 24.9920157380001,57.280160118 24.9922961510001,57.2801047070001 24.9923661930001,57.279812437 24.992735623,57.2798123200001 24.9927357720001,57.278716289 24.9936515140001,57.2721561180001 24.9991325890001,57.2222014010001 25.0409731560001,57.1954130120001 25.0634103040001,57.193312953 25.0649459530001,57.186845164 25.0696754620001,57.180762363 25.074134282,57.1772930330001 25.076677374,57.173110944 25.0796855520001,57.1630932260001 25.0868913,57.1621963380001 25.087543253,57.1410252690001 25.1029681790001,57.125876557 25.1143495320001,57.1258764350001 25.114349625,57.125643144 25.114525358,57.125512874 25.114657902,57.1254895850001 25.1146815980001,57.120137668 25.12012701,57.1105083960001 25.129924498,57.1099899700001 25.130455221,57.1081538180001 25.132334927,57.0959077750001 25.1465209020001,57.09379713 25.149092492,57.0918103220001 25.1515132000001,57.087242679 25.1585743420001,57.08032595 25.169266948,57.0467349040001 25.220941253,57.034288561 25.2403468700001,57.0191338560001 25.2635204360001,56.9720407660001 25.339187511,56.9310462390001 25.405055685,56.9306204430001 25.4059002320001,56.9159740360001 25.4357096970001,56.910160578 25.4475416810001,56.900932433 25.4738872390001,56.867847436 25.5683420510001,56.8580778530001 25.5969204200001,56.843130037 25.640646362,56.8417654030001 25.6505422970001,56.8413639080001 25.6534538270001,56.840910195 25.6567440260001,56.8493534340001 25.7236328490001,56.85581489 25.774821645,56.8350784740001 25.9334552240001,56.8305555590001 25.968055528,56.830555555 25.968055556,56.8329581510001 25.996886708,56.8375 26.0513888890001,56.8000000000001 26.193055556,56.798368199 26.2411936930001,56.7972222220001 26.275,56.7993742630001 26.3223449020001,56.8013888890001 26.3666666670001,56.795440915 26.39980538,56.7916666670001 26.4208333330001,56.793078946 26.477324498,56.7951336470001 26.5595125300001,56.795833331 26.587499919,56.7958333330001 26.5875,56.7930642170001 26.592392106,56.7841144870001 26.6082032950001,56.7541666670001 26.661111111,56.7426793330001 26.6787250240001,56.7333333330001 26.693055556,56.71449633 26.709799559,56.6833333870001 26.7374999520001,56.6833333330001 26.7375000000001,56.6508195740001 26.7293715600001,56.5500000000001 26.704166667,56.5499998120001 26.704166593,56.455243093 26.666856135,56.45524299 26.666856094,56.327777778 26.6166666670001,56.318223937 26.6123925800001,56.275 26.593055556,56.274999553 26.5930555190001,56.273735636 26.592950192,56.2416666670001 26.590277778,56.211578891 26.571242655,56.182395586 26.552779747,56.1736114700001 26.54722245,56.1736111110001 26.5472222220001,56.1586943770001 26.5329835220001,56.143055556 26.518055556,56.141074028 26.5154435420001,56.123210446 26.491896094,56.1125000000001 26.4777777780001,56.0895475250001 26.462212306,56.0895474850001 26.462212279,55.9285590360001 26.353036205,55.8708333330001 26.3138888890001,55.7958333330001 26.276388889,55.757958236 26.263763673,55.7225635720001 26.243956113,55.7199287000001 26.2424815860001,55.7175475880001 26.2409265740001,55.6839203850001 26.2189659520001,55.683920093 26.218965761,55.682623779 26.2179898790001,55.658765821 26.200029294,55.627920024 26.176808173,55.6173746760001 26.167116875,55.615659167 26.1655403020001,55.6151705870001 26.165100841,55.611562023 26.1618550590001,55.587579127 26.144469336,55.5714351300001 26.132766201,55.5699752740001 26.1317079200001,55.569975098 26.131707793,55.5573222800001 26.128113307,55.5527607390001 26.126817438,55.5468446190001 26.124612149,55.5367244280001 26.120839753,55.4993401840001 26.103527118,55.486572418 26.097614369,55.4601921980001 26.0845920400001,55.4252972940001 26.067366523,55.4232286640001 26.06676551,55.408977657 26.062625075,55.351638355 26.047071911,55.351429812 26.047015344,55.294952584 26.0316960170001,55.2949523830001 26.0316959620001,55.2842967080001 26.0287845730001,55.284296549 26.028784538,55.2262895530001 26.015865321,55.106816859 25.989256572,55.106269323 25.989132833,55.1009632500001 25.9879336980001,55.078742527 25.9729780820001,55.0752488470001 25.970626668,54.9363165460001 25.8770435340001,54.9363162770001 25.877043353,54.9352396740001 25.8763226090001,54.913342352 25.861663181,54.886823259 25.844462177,54.7941596420001 25.8064292870001,54.7864124440001 25.803227125,54.786398272 25.803221267,54.786393977 25.803219492,54.7726282520001 25.79752968,54.7711482280001 25.796917939,54.767203212 25.7958392680001,54.751944 25.7916670000001,54.7472220000001 25.788889,54.7472217000001 25.7888886150001,54.727074025 25.7629989110001,54.726975139 25.762910119,54.725863449 25.7619119030001,54.725782936 25.7618086740001,54.7257767180001 25.761800701,54.725776614 25.761800608,54.6983884630001 25.737199966,54.6764467670001 25.723393173,54.6666843990001 25.7172502110001,54.631625802 25.702555127,54.6302260250001 25.702218196,54.629126818 25.7017572460001,54.603023792 25.69546997,54.591775591 25.6927606850001,54.5775842150001 25.691645927,54.5532610180001 25.689735297,54.5197640330001 25.692376945,54.5147475910001 25.6927725530001,54.508148792 25.693012239,54.506944 25.6930560000001,54.506943838 25.6930559350001,54.4383330000001 25.6652780000001,54.4383323850001 25.6652779510001,54.0877780000001 25.636944,54.087777385 25.636943945,54.0766526670001 25.6359458380001,54.0761550070001 25.635901188,54.075852259 25.6358740260001,53.9338431730001 25.623133017,53.8438319360001 25.5892486180001,53.7670274440001 25.5603358500001,53.6244977760001 25.511413713,53.6087719220001 25.505458305,53.5796435140001 25.494427327,53.511652084 25.4780713000001,53.3040036250001 25.4702464870001,53.2904328380001 25.470376297,53.1891808870001 25.4713448160001,53.1846997270001 25.4720783330001,53.1793557240001 25.4729530870001,53.122499873 25.4836752950001,53.0777397050001 25.4989961060001,53.065863241 25.5077092610001,53.0541413120001 25.516309042,53.034722 25.530556,52.708333 26.105556,52.2027780000001 26.556944,51.734722 26.9388890000001,51.3833330000001 27.0097220000001,51.1218012850001 27.0431145530001,51.0983330000001 27.0461110000001,50.95 27.1083330000001,50.9 27.1666670000001,50.7583333330001 27.3083333330001,50.6166666670001 27.4416666670001,50.4026366940001 27.770943548,50.4029816180001 27.7724641450001,50.403793051 27.776041342,50.3944198090001 27.818112328,50.386746456 27.852553512,50.3861324060001 27.853486617,50.3861183720001 27.853507947,50.386118234 27.8535081540001,50.3860926070001 27.8536230870001,50.385951897 27.854254156,50.383375318 27.8576760390001,50.3689843810001 27.879537085,50.368984063 27.879537568,50.368984063 27.8799079560001,50.368984063 27.879908598,50.311105033 27.880327526,50.281419149 27.8804881780001,50.176649093 27.881205015,50.133435945 27.8809346690001,50.042268065 27.881189244,50.040161062 27.8811840430001,49.983923503 27.881286792,49.983928823 27.8812943570001,49.9647464230001 27.908354785,49.9473686760001 27.984812414,49.947698481 27.9862910000001,49.9474664320001 27.9873112010001,49.9476004970001 27.9879122300001,49.947655877 27.9881604990001,49.9479970880001 27.9896901590001,49.9475032230001 27.9920864710001,49.9475521050001 27.9933358650001,49.9475688370001 27.9937635140001,49.947600988 27.994585258,49.964545259 28.063823504,50.0036998240001 28.1194514210001,50.0042985110001 28.120052973,50.0048972050001 28.1206545220001,50.0097760260001 28.1237408540001,50.0135454900001 28.128730612,50.0140670770001 28.1290388460001,50.0147430850001 28.1299336290001,50.0788027400001 28.167756803,49.9366666670001 28.2933333330001,49.848333333 28.35,49.7966666670001 28.4116666670001,49.7900000000001 28.406666667,49.7 28.465,49.6616666670001 28.58,49.6033333330001 28.6200000000001,49.5583333330001 28.6816666670001,49.571666667 28.6883333330001,49.5555409890001 28.7709712880001,49.539830464 28.848867742,49.5340936860001 28.880738734,49.5296317470001 28.909422627,49.5248796160001 28.9350000000001,49.5063673080001 28.997325785,49.420334369 29.058225839,49.218206594 29.3512293040001,49.2072995400001 29.3672578470001,49.1463888660001 29.404191574,48.9320985430001 29.53422841,48.8374799040001 29.568220567,48.7637259190001 29.5949828620001,48.7491488220001 29.6091460530001,48.72043131 29.6779894040001,48.6568383850001 29.83153134,48.634417065 29.87125094,48.6249134080001 29.88768501,48.6158574150001 29.903547164,48.6120906350001 29.9092636460001,48.6115032540001 29.910517096,48.605895445 29.9206915670001,48.5973534130001 29.930847166,48.5455535770001 29.963027079,48.595681545 29.9509635310001,48.617772545 29.9531905310001,48.642354545 29.9623545310001,48.659854545 29.995418531,48.708054545 30.0272185310001,48.7708185450001 30.0255545310001,48.867763546 30.0208275310001,48.9173545460001 30.0406905310001,48.9347095460001 30.0872185310001,48.9429095460001 30.169027531,48.9349905460001 30.2024995310001,48.913609546 30.2549995310001,48.8885365460001 30.2731185310001,48.8620095460001 30.308118531,48.8663815460001 30.359027531,48.9488815460001 30.4963815310001,48.9788815460001 30.5115275310001,49.038881546 30.5191635310001,49.1002635460001 30.516109531,49.1927725460001 30.4897185310001,49.223881546 30.4733275310001,49.263463546 30.429090531),(55.9872095520001 26.7277725280001,56.0605455520001 26.771663528,56.118327552 26.8197185280001,56.1330455520001 26.834999528,56.146945552 26.8502725280001,56.153045552 26.8583275280001,56.1585995520001 26.868609528,56.2452725520001 26.9274905280001,56.2883275520001 26.949972528,56.290272552 26.963327528,56.282772552 26.9702725280001,56.273045552 26.975827528,56.232209552 26.996109528,56.220545552 27.0005545280001,56.155545552 26.9985995280001,56.100545552 26.9852725280001,55.9994365520001 26.957499528,55.956654552 26.9299995280001,55.8533635520001 26.915554528,55.8422185520001 26.9219365280001,55.781109552 26.9486095280001,55.754581552 26.9520815280001,55.737072552 26.926381528,55.742490552 26.912218528,55.752218552 26.9038815280001,55.763054552 26.892772528,55.7685995520001 26.881109528,55.7841635520001 26.8411095280001,55.7699905520001 26.7927725280001,55.7511095520001 26.7827725280001,55.7405455520001 26.7786095280001,55.711381552 26.780554528,55.675827552 26.7722185280001,55.666099552 26.767772528,55.646381552 26.7586095280001,55.636654552 26.753609528,55.599436552 26.732490528,55.5185995520001 26.6988815280001,55.360272552 26.642772528,55.328609552 26.641936528,55.3155455520001 26.6447185280001,55.294999551 26.6552725280001,55.2824905510001 26.658054528,55.274990551 26.650827528,55.283609551 26.558609528,55.3004095520001 26.541245528,55.327490552 26.546109528,55.5588815520001 26.622499528,55.674999552 26.681381528,55.684718552 26.6855545280001,55.6960995520001 26.688881528,55.8191635520001 26.709163528,55.9108185520001 26.709436528,55.9872095520001 26.7277725280001),(55.6694455520001 26.7902725280001,55.703745552 26.8123545280001,55.721372552 26.798881528,55.7316545520001 26.7974995280001,55.7349905520001 26.838054528,55.717209552 26.892772528,55.7133275520001 26.9036095280001,55.692627552 26.9299905280001,55.6383275520001 26.8644365280001,55.6263815520001 26.833054528,55.632763552 26.794718528,55.6374995520001 26.7852725280001,55.647772552 26.784445528,55.658045552 26.785827528,55.6694455520001 26.7902725280001)),((51.6595668790001 38.3689460750001,51.6939353940001 38.344964981,51.862430573 38.2270145420001,51.902812958 38.201423645,51.908903122 38.197893143,51.909276962 38.1976776120001,51.9690628050001 38.176753998,51.9988174440001 38.166482925,52.0035114290001 38.164907455,52.035282135 38.1544017790001,52.0909481050001 38.137704849,52.2196140290001 38.1000366210001,52.2376518250001 38.094718933,52.2902069090001 38.0795021060001,52.331420898 38.0676803590001,52.358242035 38.060144424,52.3790531160001 38.0556392670001,52.4636268620001 38.038208008,52.472200394 38.0366230010001,52.48000145 38.0352211000001,52.481903076 38.0336189270001,52.4854450230001 38.030694962,52.5174942020001 38.002464294,52.551292419 37.972999573,52.5914154050001 37.9412307740001,52.5969944 37.93683815,52.636650085 37.905099869,52.658569336 37.887458801,52.717552185 37.845197678,52.7262306210001 37.8388671880001,52.7556724550001 37.8175277710001,52.7804279330001 37.799928665,52.786849976 37.79539299,52.836921692 37.7593574520001,52.867570877 37.737918854,52.887678146 37.7241630550001,52.897546768 37.7172756200001,52.902633667 37.7132892610001,52.9226512910001 37.6979465480001,52.956703186 37.672836304,52.99971199 37.642356873,53.012269974 37.633321762,53.0253047940001 37.624492645,53.0803260800001 37.587553024,53.1277236940001 37.555469513,53.1831054690001 37.518768311,53.190402985 37.514410019,53.200782776 37.5072479250001,53.2073554990001 37.5027637480001,53.2304821010001 37.4875106810001,53.2489070890001 37.475503922,53.264461517 37.4635391240001,53.2919788360001 37.4431324010001,53.2986412050001 37.43825531,53.3200340270001 37.4227905270001,53.3359680180001 37.4123058320001,53.388690948 37.3799343110001,53.3899497990001 37.379173279,53.4013290410001 37.372709274,53.4047584530001 37.3707370760001,53.466316223 37.3224105830001,53.475160599 37.315937042,53.485897064 37.307859421,53.4972782140001 37.299749374,53.7428436280001 37.3437290190001,53.9057354620001 37.348777007,53.9062345310001 37.3487924730001,53.9436000000001 37.2199818180001,54.0087454550001 37.0377727270001,54.0316636360001 36.9483272730001,54.0338818180001 36.873881818,54.0329090910001 36.842354545,54.0157545450001 36.818118182,53.943318182 36.8000000000001,53.8862454550001 36.7941636360001,53.6899909090001 36.8162454550001,53.666236364 36.8223545450001,53.6366545450001 36.8436090910001,53.6130454550001 36.8686000000001,53.6438818180001 36.878872727,53.671381818 36.872218182,53.772290909 36.884572727,53.827790909 36.887736364,53.934336364 36.9059,54.0067727270001 36.9415000000001,53.8720636360001 36.913972727,53.8230727270001 36.908681818,53.7372363640001 36.9063454550001,53.5352727270001 36.890272727,53.478045455 36.8844363640001,53.450272727 36.880818182,53.223045455 36.8483272730001,53.043881818 36.8069363640001,53.0104181820001 36.7973545450001,52.9641636360001 36.781127273,52.8158272730001 36.7449909090001,52.795827273 36.741381818,52.6016636360001 36.7072181820001,52.483881818 36.6911000000001,52.4544363640001 36.6886000000001,52.4336000000001 36.685818182,52.2922181820001 36.654436364,52.2538818180001 36.645545455,52.2138818180001 36.634572727,52.1747090910001 36.6227636360001,52.1426272730001 36.611936364,52.104436364 36.5991636360001,52.0844363640001 36.595545455,52.0644363640001 36.591936364,52.016663636 36.5836,51.995827273 36.5808272730001,51.9727636360001 36.5799909090001,51.8819363640001 36.5833272730001,51.6130545450001 36.6324909090001,51.499718182 36.6558272730001,51.453609091 36.6686,51.376381818 36.684718182,51.2877727270001 36.699718182,51.241936364 36.7061,51.2183181820001 36.7086,51.180272727 36.714154545,51.091590909 36.731654545,51.029436364 36.7544363640001,51.000272727 36.766109091,50.9822181820001 36.775963636,50.961109091 36.789990909,50.9111 36.8213818180001,50.8858272730001 36.835545455,50.6440181820001 36.9569363640001,50.6046909090001 36.970663636,50.5877727270001 36.978327273,50.4834636360001 37.030409091,50.3516636360001 37.1211000000001,50.3336 37.1344363640001,50.3187454550001 37.148745455,50.2936090910001 37.189427273,50.239718182 37.2808272730001,50.2308181820001 37.3005454550001,50.2261 37.3263818180001,50.220336364 37.3675636360001,50.1968000000001 37.386518182,50.1761000000001 37.3944363640001,49.9361000000001 37.4524909090001,49.8830454550001 37.4588818180001,49.6230454550001 37.476645455,49.486381818 37.482490909,49.4402636360001 37.4886000000001,49.419990909 37.4933181820001,49.3102636360001 37.5322,49.274709091 37.545827273,49.149709091 37.6086,49.1024818180001 37.643045455,49.0659545450001 37.6755454550001,49.046936364 37.6976272730001,49.0022090910001 37.7569454550001,48.9880454550001 37.7877636360001,48.943181818 37.9020727270001,48.9094272730001 38.0438727270001,48.869290909 38.3063727270001,48.870536364 38.3522181820001,48.8711568780001 38.4483697050001,48.8818493380001 38.4540499730001,48.8946743010001 38.4608631130001,48.927936554 38.4703998570001,48.92827034 38.4704380040001,48.9903526310001 38.4736614230001,49.065795898 38.479566574,49.4423198700001 38.502164841,49.449548721 38.4985084530001,49.5470829010001 38.449857712,49.671611786 38.387060165,49.7408370970001 38.3528976440001,49.755878448 38.344993591,49.773866653 38.350465775,49.857791901 38.3899192810001,49.8626308440001 38.392175674,49.8759689330001 38.3984661100001,50.0712394710001 38.48985672,50.116771698 38.511381149,50.354488373 38.5807189940001,50.3608264920001 38.5825862880001,50.4659118650001 38.6138381960001,50.4931259160001 38.6248855590001,50.6635913850001 38.694616318,50.810079575 38.755327225,50.838670731 38.767122269,50.8727569580001 38.7647399900001,51.0694026950001 38.751768112,51.3148784640001 38.7364463810001,51.403982162 38.7310237880001,51.4331588750001 38.689397812,51.442623138 38.6759395600001,51.5082511900001 38.570652008,51.5172996520001 38.556043625,51.6047801970001 38.4138870240001,51.627344131 38.3915367130001,51.6595668790001 38.3689460750001)))', 'Iranian Exclusive Economic Zone', 'Iran', 'Iran', '', '191', '191', 'IRN', '8469', '2011-03-30', '224480936800', '8469', 'Y'),('SRID=4326;MULTIPOLYGON(((7.45350000000008 43.743194444,7.52833333300003 43.5524999990001,7.75694444400006 42.966388888,7.72469072500007 42.9485788320001,7.49666666700006 43.529444444,7.41958333300005 43.7258055550001,7.39161095700007 43.727545338,7.39160909100002 43.727545455,7.42028181800003 43.737081818,7.43929090900002 43.7575181820001,7.43948333300006 43.750413888,7.45350000000008 43.743194444)))', 'Monégasque Exclusive Economic Zone', 'Monaco', 'Monaco', '', '185', '185', 'MCO', '21790', '', '285661880.5', '21790', 'Y'),('SRID=4326;MULTIPOLYGON(((115.133590546 4.85763732500004,115.133590441 4.85763693200005,115.124690441 4.84944593200004,115.078710441 4.81560693200004,115.061654441 4.80305493200007,115.058390441 4.80173493200004,115.049981441 4.79833693200004,115.035472441 4.80694493200002,115.034444441 4.80909393200005,115.029127441 4.82020993200007,115.027757176 4.83257050600002,115.023782646 4.86843050900006,115.022900441 4.87639093200005,115.019406441 4.89157693200002,115.018436441 4.89579093200007,115.0184362 4.89579089200004,115.018436138 4.89579116200002,115.018435967 4.89579085300005,114.996706441 4.89216293200008,114.982063441 4.88971893200005,114.989700441 4.90471793200004,115.022101441 4.94473893200006,115.041654441 4.96889093200002,115.103599441 5.03909993200006,115.103600441 5.03909993200006,115.098036441 5.04749993200005,115.086601441 5.05090893200003,115.082208441 5.05221893200007,115.071407441 5.05290993200003,115.069154441 5.05305493200007,115.051372441 5.05027293200004,115.040263441 5.04749993200005,115.018771441 5.04033393200007,115.009427441 5.03721893200003,114.963608441 5.02166393200002,114.962021441 5.02096393200003,114.954163441 5.01749993200002,114.937928441 5.00919093200002,114.931372441 5.00583693200002,114.922790441 5.00127493200006,114.913600441 4.99639093200005,114.775968441 4.91040393200007,114.736645441 4.88583593200002,114.716927441 4.87139093200005,114.685527441 4.84749993200006,114.666090441 4.83249993200008,114.655254441 4.82277293200002,114.641434441 4.81002293200004,114.633881441 4.80305493200007,114.592754441 4.76221893200005,114.579990441 4.74777293200003,114.570865441 4.73721793200002,114.564145441 4.72944493200004,114.555254441 4.71778193200004,114.54498144 4.70749993200008,114.53472344 4.69993593200007,114.52916344 4.69583693200002,114.52026344 4.69110993200007,114.30080844 4.59555493200003,114.29819144 4.59495293200007,114.28691844 4.59236393200007,114.20304544 4.58166393200003,114.19053644 4.58999993200007,114.17970044 4.59278193200004,114.16053644 4.59416393200007,114.13997244 4.59416393200007,114.10164544 4.59139093200002,114.09677344 4.59075693200003,114.09508144 4.59053693200002,114.08119844 4.59298893200003,114.06667244 4.59555493200003,114.066672406 4.59555493400006,114.071036337 4.70326769400003,112.497029644 6.23307919200005,112.827419938 6.28959606300003,112.928615982 6.29101991200002,113.762615948 6.30253061700006,113.774623754 6.30555948400007,113.817794942 6.32648228500005,114.762803652 5.34982906500005,114.845367534 5.26503372700006,115.003800928 5.20478440800002,115.119836653 5.11998907100002,115.258186941 5.08874868300006,115.144382672 4.99279606400006,115.137688303 4.97940732700005,115.146614128 4.96601858900004,115.157771409 4.96155567700004,115.148845584 4.94593548300003,115.126531022 4.91692655100007,115.115373741 4.89014907600006,115.133590546 4.85763732500004)))', 'Bruneian Exclusive Economic Zone', 'Brunei', 'Brunei', '', '237', '247', 'BRN', '26521', '2012-10', '25702208040', '26521', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.64207434999997 35.7941251460001,-3.61201525999996 35.774231205,-3.45200423599994 35.670921686,-3.43932772899996 35.6627527630001,-3.35827295899998 35.6676445910001,-3.22021960899997 35.675976405,-3.19179251499997 35.6775888450001,-3.17969880499993 35.678274824,-3.09778285599998 35.6829926360001,-3.05962595999995 35.6860551280001,-3.04048750099997 35.68759119,-3.02307909399997 35.6889571580001,-2.98001096799993 35.6923365430001,-2.94744212599994 35.694965424,-2.87811851699996 35.7016291730001,-2.78372434599993 35.7103690590001,-2.75133092999994 35.7134318330001,-2.71423327999997 35.7167106410001,-2.63879348299997 35.7239755370001,-2.51933009199996 35.7351965180001,-2.37026065399994 35.7489675520001,-2.10138888899996 35.905555559,-2.07404580299993 35.7762522020001,-2.06713016899994 35.7308625900001,-2.06129364699996 35.647157119,-2.15901263199993 35.4340498240001,-2.16500930299998 35.421128507,-2.16951061799995 35.411720571,-2.19717353599998 35.354079891,-2.20529252199998 35.3124353150001,-2.21853103299998 35.2348267450001,-2.22200030599993 35.2009244440001,-2.22200028999993 35.190397267,-2.21948581699996 35.160480853,-2.21819857499997 35.154114877,-2.21734252799996 35.150838413,-2.21261494699996 35.134905545,-2.21264446099997 35.133969258,-2.21261944199995 35.133301234,-2.21209024899997 35.12768871,-2.21100917499996 35.122203036,-2.20788693899993 35.1013495940001,-2.20935857599994 35.086900787,-2.20935865799993 35.0869000020001,-2.20944565799994 35.085827002,-2.21694565799993 35.085827002,-2.25805465799994 35.0969360020001,-2.34305465799997 35.123600002,-2.48139065799995 35.1081910020001,-2.52610965799994 35.096381002,-2.54971865799996 35.0938910020001,-2.62721865799995 35.0984720020001,-2.67639065799995 35.110836002,-2.74889065799994 35.139745002,-2.77639065799997 35.1583360020001,-2.80778165799995 35.184436002,-2.88368165899993 35.234581002,-2.85749965799994 35.199436002,-2.82333665799996 35.165836002,-2.79416365799995 35.147218002,-2.78379965799996 35.1223810020001,-2.83486365799996 35.125136002,-2.87694565899994 35.141800002,-2.90555465899996 35.169718002,-2.91208165899997 35.198327002,-2.90278165899997 35.220554002,-2.90139065899996 35.259163002,-2.91471865899996 35.2736090020001,-2.91466382699997 35.2736697240001,-2.91466387199995 35.273669786,-2.91423499499996 35.2741457120001,-2.90425314199996 35.278295471,-2.89649060699998 35.279768774,-2.87743706099997 35.282001114,-2.86213621599995 35.285753502,-2.84604140799996 35.2911735010001,-2.84064117199995 35.29295984,-2.81220468399994 35.3028230570001,-2.72803194999995 35.3373234590001,-2.69580826699996 35.3544339170001,-2.66922668399997 35.3683323230001,-2.66533018799993 35.370482114,-2.63479193699993 35.387844801,-2.63058404899994 35.400165762,-2.75779008099994 35.383733109,-2.80752407399996 35.3745463650001,-2.82116397499993 35.3710647930001,-2.85211129499993 35.358353886,-2.89450823699997 35.3473999140001,-2.89964041099995 35.346135105,-2.93130661099997 35.3376032400001,-2.94424394699996 35.3302758780001,-2.94694598799992 35.3291642090001,-2.96083665899994 35.3619360020001,-2.98610965899996 35.4180540020001,-3.02360965899993 35.346109002,-3.07076365899997 35.287709002,-3.16833665899998 35.246936002,-3.30639065899993 35.195272002,-3.33625465899996 35.1913810020001,-3.38639065899997 35.1930540020001,-3.41055465899996 35.195000002,-3.58479065899996 35.229509002,-3.65471865899997 35.2695810020001,-3.75555465899993 35.2416630020001,-3.80166365899993 35.2030450020001,-3.82069065899998 35.1997180020001,-3.86437265899997 35.2029810020001,-3.90208165899998 35.2236720020001,-3.91492765899994 35.2561090020001,-4.02083665999993 35.2452810020001,-4.06999965999995 35.2301360020001,-4.09291865999995 35.214581002,-4.11930965999994 35.2026360020001,-4.21555465999995 35.1897180020001,-4.26499965999994 35.186663002,-4.31749965999995 35.1568630020001,-4.35791865999994 35.1461090020001,-4.42041865999994 35.1512450020001,-4.51900965999994 35.179981002,-4.60194565999996 35.1922180020001,-4.69583665999994 35.2088810020001,-4.72999965999998 35.2208270020001,-4.79166365999993 35.2508270020001,-4.91680965999996 35.3184720020001,-4.96639065999995 35.3669450020001,-5.21069066099994 35.5505540020001,-5.24895466099997 35.5743720020001,-5.32028166099997 35.7002720020001,-5.32971866099996 35.737500002,-5.33889066099994 35.7905540020001,-5.34499966099997 35.829991002,-5.34583666099996 35.8416630020001,-5.34189359899995 35.8419989490001,-5.34172866099993 35.842013002,-5.34172819199995 35.8420129830001,-5.34172848899993 35.8420131990001,-5.32339658899997 35.8412529920001,-5.30797678499994 35.8385298420001,-5.29230680199993 35.835437755,-5.28697548699995 35.8318717500001,-5.27562873799997 35.8266191590001,-5.27270878799993 35.8251583220001,-5.25984784199994 35.8178638420001,-5.25516767399995 35.8153596330001,-5.25153303099995 35.8134354790001,-5.24624203599996 35.8110973300001,-5.24279986299996 35.809538343,-5.23622496599995 35.806489437,-5.22433073799994 35.801842966,-5.20321354499993 35.794841734,-5.19834069599995 35.793110245,-5.19648548499993 35.792451026,-5.18773280999994 35.7926074710001,-5.18760670199993 35.792609725,-5.07694151099997 35.794587746,-5.06278162899997 35.7948750680001,-5.01077140699994 35.7955751640001,-4.78850758499993 35.797617814,-4.78034063299998 35.799091011,-4.54408249399995 35.861089097,-4.50082125499995 35.875919395,-3.98947637799995 35.9949089770001,-3.94935232299997 35.995366287,-3.94243003399993 35.9961521170001,-3.85322495399993 35.9362800170001,-3.71001653699994 35.839774795,-3.64207434999997 35.7941251460001)),((-5.38785473899998 35.940261159,-5.39104034199994 35.930274336,-5.39104035199995 35.9302742940001,-5.39165189799996 35.9270614960001,-5.39165190599994 35.9270614540001,-5.39173655199994 35.926616761,-5.39173655599996 35.926616719,-5.39173656299994 35.926616536,-5.39173656399993 35.926616494,-5.39175010099996 35.926217466,-5.39175010199995 35.9262174240001,-5.39175370599997 35.926111185,-5.39178688499993 35.925133164,-5.39178688899995 35.925133122,-5.39192480799994 35.92385369,-5.39192481299995 35.923853648,-5.39213928099997 35.9218640980001,-5.39213929299996 35.921864058,-5.39214852999993 35.921841124,-5.39214854899996 35.9218410870001,-5.39391718899998 35.9187505940001,-5.39391720799995 35.9187505570001,-5.39424739399993 35.918066971,-5.39424740999993 35.9180669290001,-5.39461862399997 35.9176684620001,-5.39543312999996 35.916794155,-5.39555488999997 35.916335975,-5.40778166099994 35.9191630020001,-5.45555466099995 35.9144360020001,-5.48833666099995 35.897218002,-5.50902766099995 35.8715270020001,-5.54375466099998 35.842491002,-5.59583666099996 35.821936002,-5.74444566099993 35.805545002,-5.84833666099996 35.7966630020001,-5.91874566099995 35.7906450020001,-5.93749966099995 35.759436002,-5.96610966099996 35.664718002,-5.99666366099996 35.5794360020001,-6.05221866099993 35.4502720020001,-6.10471866199993 35.333054002,-6.17139066199996 35.1838810020001,-6.21166366199998 35.0930450020001,-6.24249966199994 35.0083270010001,-6.27944566199994 34.9069450010001,-6.31528166199996 34.835000001,-6.33416366199998 34.800281001,-6.35860966199994 34.7555540010001,-6.37916366199994 34.7213810010001,-6.48833666199994 34.5408360010001,-6.58249966199998 34.3911090010001,-6.59778166199993 34.376109001,-6.63971866199995 34.3183270010001,-6.65499966199997 34.295554001,-6.71639066199998 34.196109001,-6.79749966199995 34.062072001,-6.84305466199993 34.0186090010001,-6.93333666199993 33.9416630000001,-6.96889066199998 33.9163810000001,-7.03902766199997 33.868745,-7.08083666199997 33.8536090000001,-7.08666366199998 33.8519450000001,-7.19554566299996 33.8098910000001,-7.22833666299994 33.796391,-7.38860966299995 33.718891,-7.49666366299994 33.6483270000001,-7.60610966299993 33.6063810000001,-7.63659966299997 33.612945,-7.70749966299996 33.576109,-7.83360966299995 33.535827,-7.85791866299996 33.5275,-7.95028166299994 33.487218,-8.11354566299997 33.4230450000001,-8.17889066299995 33.4086090000001,-8.24875466399993 33.395136,-8.30618166399995 33.372981,-8.32972766399996 33.3472180000001,-8.35583666399998 33.320272,-8.40778166399997 33.277636,-8.45139066399997 33.258045,-8.47528166399997 33.2533270000001,-8.50194566399995 33.2548540000001,-8.53833666399993 33.250545,-8.56778166399994 33.2197180000001,-8.61507266399997 33.1453450000001,-8.62958166399994 33.1140270000001,-8.75194566399995 32.991945,-8.84166366399995 32.9152720000001,-8.94889066399998 32.827280999,-9.02999966399994 32.764780999,-9.05317266399993 32.7347999990001,-9.08569966399995 32.7056909990001,-9.13555466399993 32.6647179990001,-9.17028166399996 32.638880999,-9.20510242699993 32.6141388930001,-9.21444566399998 32.607499999,-9.27933666399997 32.5439539990001,-9.27083666399994 32.5102719990001,-9.26055466399993 32.316380999,-9.26499966399996 32.2274909990001,-9.27778166399997 32.1836089990001,-9.35666366499993 32.0334629990001,-9.37499966499996 32.014444999,-9.45444566499998 31.9433359990001,-9.62583666499995 31.775835998,-9.64305466499997 31.7558359980001,-9.68069066499993 31.706244998,-9.68499966499996 31.6708269980001,-9.68916366499997 31.6269449980001,-9.73528166499995 31.560553998,-9.77528166499997 31.503053998,-9.80916366499997 31.4466629980001,-9.81875466499997 31.3770089980001,-9.80278166499994 31.326180998,-9.80680966499995 31.281944998,-9.81458166499993 31.2559719980001,-9.82778166499998 31.2091629980001,-9.84263666499993 31.1349999980001,-9.84444566499997 31.114999998,-9.82625466499996 30.951944998,-9.81726366499993 30.882353998,-9.81299066499997 30.8186089980001,-9.82389066499996 30.779444998,-9.83749966499994 30.755553998,-9.85389066499994 30.726944997,-9.83125466499996 30.627562997,-9.79360966499996 30.612498997,-9.70499966499995 30.5431899970001,-9.60839966499998 30.4024999970001,-9.60819966499997 30.3737449970001,-9.64097266499994 30.1649999970001,-9.66347266499997 30.097917997,-9.73694566499995 29.9627719970001,-9.76972766499995 29.9063909970001,-9.79291866499995 29.867635997,-9.80778166499994 29.8488909970001,-9.82194566499993 29.833326997,-9.87722766499996 29.776944997,-10.0619456649999 29.586390996,-10.072781665 29.5638909960001,-10.0744456649999 29.543053996,-10.080554665 29.5194449960001,-10.138054665 29.4280539960001,-10.228199665 29.3179179960001,-10.254927665 29.2908999960001,-10.284581665 29.2744449960001,-10.3069456649999 29.263335996,-10.347636665 29.2291629960001,-10.394445666 29.168608996,-10.430763666 29.117708996,-10.441663666 29.097217996,-10.5009726659999 29.045408996,-10.521109666 29.028326996,-10.5505546659999 29.006108996,-10.6136096659999 28.9620809960001,-10.639581666 28.947499996,-10.7202816659999 28.9174999960001,-10.9252816659999 28.8188809960001,-11.0544456659999 28.7563909960001,-11.082781666 28.7366629960001,-11.1021546659999 28.7002089960001,-11.162499666 28.6427719960001,-11.261109666 28.556944995,-11.303336666 28.5247179950001,-11.451109666 28.3404089950001,-11.511945667 28.303744995,-11.546663667 28.290553995,-11.6413906669999 28.259999995,-11.7327816669999 28.226390995,-11.941945667 28.1480539950001,-12.063054667 28.083890995,-12.3824996669999 28.0311089950001,-12.6147276679999 27.9902719950001,-12.704727668 27.985553995,-12.764445668 27.9788809950001,-12.846390668 27.9647179950001,-12.902499668 27.954162995,-12.9627096679999 27.920480995,-12.977218668 27.8894449950001,-12.985281668 27.8608359950001,-13.0024996679999 27.8197179950001,-13.022363668 27.7773539950001,-13.039863668 27.7581909950001,-13.067781668 27.7386089950001,-13.1158366679999 27.7130539950001,-13.151390668 27.7006909950001,-13.169581668 27.682217995,-13.174963519 27.6669543780001,-13.190355876 27.666579396,-13.190356058 27.6665793500001,-13.2286693579999 27.6665963,-13.851429552 27.6668718180001,-13.851429939 27.6668718180001,-13.8514306459999 27.6668718180001,-13.727651534 27.761725992,-13.684948188 27.808180013,-13.669748367 27.8251701990001,-13.6059886489999 27.8973201200001,-13.6019778479999 27.9018748500001,-13.596978758 27.9074975290001,-13.577867351 27.9288542560001,-13.549666465 27.959850827,-13.544680564 27.965404118,-13.4923253219999 28.022044313,-13.4757808799999 28.0388263950001,-13.4522800739999 28.0626141120001,-13.4113700089999 28.1400217350001,-13.399267911 28.1624042730001,-13.392304209 28.176716304,-13.386818977 28.186261856,-13.3865902439999 28.186664879,-13.3146859729999 28.2953374410001,-13.2957205929999 28.3227902630001,-13.2943325599999 28.325031451,-13.2763963149999 28.3539127710001,-13.260396806 28.379604559,-13.249308985 28.3969776050001,-13.236589266 28.4120839920001,-13.164954367 28.4968819750001,-12.976734044 28.571598841,-12.967730423 28.575751215,-12.9059389509999 28.604677757,-12.8962249909999 28.609390111,-12.8434977169999 28.636049368,-12.771995465 28.6754709370001,-12.7536243179999 28.687169113,-12.6867088679999 28.730021794,-12.6442558379999 28.7624012100001,-12.636126718 28.7686646760001,-12.629379688 28.7739936070001,-12.610317799 28.78911557,-12.5758478239999 28.817019811,-12.5688740869999 28.822694084,-12.5512607439999 28.8326622750001,-12.542910408 28.8374551800001,-12.54190435 28.8380443560001,-12.509163836 28.8578787010001,-12.500168818 28.8635802430001,-12.484622664 28.87348738,-12.437995589 28.9054839660001,-12.431719471 28.910914269,-12.4041656799999 28.934798094,-12.400173405 28.938317855,-12.39367412 28.9443306090001,-12.3196196489999 29.014852107,-12.318533821 29.0158980150001,-12.3053979179999 29.02864049,-12.2890515999999 29.0449885630001,-12.265532132 29.06866638,-12.237088792 29.0990735400001,-12.228513618 29.1086524930001,-12.2092588319999 29.130801132,-12.2045075099999 29.140050339,-12.179687541 29.1888708400001,-12.1686490989999 29.211223069,-12.1351483679999 29.2798287620001,-12.1275102029999 29.2955323620001,-12.0839907979999 29.400495489,-12.081397781 29.4067968630001,-12.0691749719999 29.4367491510001,-11.9939036019999 29.6759169310001,-11.972941836 29.743553525,-11.900170648 29.9856680340001,-11.8369983499999 30.1088156390001,-11.7942820719999 30.1961723740001,-11.7833878559999 30.219098337,-11.7673525239999 30.253890943,-11.753226529 30.323090359,-11.7531667989999 30.3243100620001,-11.860662245 30.644523495,-11.9964693119999 31.0131506280001,-12.5156780469999 32.0104778460001,-12.9087724249999 32.7544935830001,-12.48362 34.1756800000001,-12.5901079079999 34.3954648260001,-12.6258478349999 34.4692299490001,-12.0458829889999 34.9371649870001,-11.66667 34.9166700000001,-10.4999999999999 35.01667,-9.21666999999997 35.1166700000001,-8.88332999999994 35.1833300000001,-8.34999999999997 35.31667,-8.08332999999993 35.4333300000001,-7.55846988299993 35.7514334030001,-7.54861537499994 35.7574059510001,-7.52094696499995 35.7600532220001,-7.25253679299993 35.786673314,-7.07600301999997 35.807245553,-7.06737185099996 35.8082845220001,-7.05005464099997 35.81148326,-6.95466072199997 35.8312494470001,-6.91391345799997 35.8400243680001,-6.89256156899995 35.8448106070001,-6.80016242599993 35.866377491,-6.78446175199997 35.8676716730001,-6.76629890799995 35.8693268390001,-6.75464210799993 35.8704966830001,-6.71504555599995 35.874470484,-6.67159846899995 35.8792477220001,-6.64061413199994 35.882654615,-6.62302088499996 35.88476867,-6.60267912699993 35.8872998890001,-6.05388888899995 35.958888889,-5.98055555599996 35.958888889,-5.88833333299993 35.952222222,-5.64944444399993 35.9361111110001,-5.58277777799998 35.9422222220001,-5.48333333299996 35.9716666670001,-5.41333333299997 35.9886111110001,-5.38638888899993 35.9944444440001,-5.37506790199996 35.9962624130001,-5.37506799299996 35.996261949,-5.37506800199998 35.9962619070001,-5.37710885499996 35.9860752290001,-5.37882042599995 35.977532125,-5.37884000799994 35.9774343820001,-5.38369117499997 35.9532203540001,-5.38399862499995 35.9523114290001,-5.38399863799998 35.952311389,-5.38415436999998 35.95185099,-5.38421466199998 35.9516727450001,-5.38421467599994 35.951672704,-5.38567430399996 35.947096791,-5.38785472599994 35.9402612000001,-5.38785473899998 35.940261159)))', 'Moroccan Exclusive Economic Zone', 'Morocco', 'Morocco', '', '62', '62', 'MAR', '8367', '', '275552015900', '8367', 'Y'),('SRID=4326;MULTIPOLYGON(((52.2027780000001 26.556944,52.708333 26.105556,53.034722 25.530556,53.034721715 25.5305557080001,52.6141670000001 25.0986110000001,52.4546940710001 24.9645295920001,52.4530754720001 24.971923196,52.4522246380001 24.9758097220001,52.4518320390001 24.976372817,52.450549412 24.978212458,52.4505461810001 24.978227211,52.450527869 24.978310833,52.449750685 24.979387377,52.4491515780001 24.9802172500001,52.448836327 24.980669377,52.448827244 24.980710856,52.4471474440001 24.983117065,52.4471406540001 24.983148069,52.44712666 24.983211969,52.4462118100001 24.984567586,52.4456046970001 24.9854672000001,52.445604605 24.9854676210001,52.4455843110001 24.9855602800001,52.4455291300001 24.985812228,52.4441381060001 24.987700708,52.4439982870001 24.988339066,52.443828877 24.9891125190001,52.4338047350001 25.0034939020001,52.4326069940001 25.004695858,52.4321175970001 25.005008908,52.431982002 25.005192929,52.4318837910001 25.005326215,52.4315068550001 25.0055546030001,52.4313199330001 25.0056678600001,52.4306860130001 25.006528157,52.43068593 25.006528207,52.412800642 25.0173627390001,52.3916995660001 25.0211672780001,52.3907242700001 25.020991463,52.389198483 25.02126646,52.388301665 25.02126646,52.388299289 25.02126646,52.3671984810001 25.017460624,52.3493139070001 25.0066249440001,52.3468002020001 25.00413475,52.3460322270001 25.0033739580001,52.345730561 25.0030472710001,52.344830732 25.002072807,52.336168473 24.9891093900001,52.331981925 24.96998641,52.333583392 24.9627049530001,52.3335835440001 24.9627042600001,52.3335844010001 24.9607900300001,52.333584403 24.9607878580001,52.337788382 24.9416689510001,52.3377885420001 24.9416682250001,52.338277389 24.941005438,52.3385397550001 24.9406497190001,52.338631815 24.9402309220001,52.3386893730001 24.9399690830001,52.3393454640001 24.9390305790001,52.3393456420001 24.939030325,52.3394909960001 24.93836909,52.3485841090001 24.9256401280001,52.3520910610001 24.920623746,52.3558945360001 24.9168234370001,52.3569367640001 24.9161584330001,52.3569368010001 24.91615841,52.356956704 24.916131411,52.3577440670001 24.9150633460001,52.362694359 24.912065107,52.3629600510001 24.9117275990001,52.3630127500001 24.911660656,52.3630130230001 24.9116603090001,52.3632055840001 24.9115060030001,52.3635127150001 24.9112598880001,52.3663513650001 24.9096525960001,52.371340531 24.9068276470001,52.375619423 24.904235337,52.3760577830001 24.9041563070001,52.3789181910001 24.9025363540001,52.3806000870001 24.9022329640001,52.3417967120001 24.8696079210001,52.2722220000001 24.811111,51.6123869560001 24.6697992420001,51.4680555480001 24.6388885260001,51.4524468920001 24.6345545670001,51.4330240880001 24.6312058080001,51.4149407880001 24.625847793,51.4042247580001 24.6198200260001,51.3941784800001 24.6131225080001,51.3868112100001 24.600397222,51.3727464200001 24.5863324330001,51.3586816310001 24.572937396,51.342607586 24.5602121100001,51.3205057750001 24.5535145920001,51.316487264 24.559542358,51.316487264 24.5702583880001,51.3184965190001 24.582983674,51.3198360230001 24.5950392070001,51.319166271 24.607764493,51.3158175120001 24.619150275,51.311129249 24.627187297,51.2910366930001 24.630536056,51.2689348810001 24.63187556,51.2421448060001 24.630536056,51.2274102650001 24.6298663040001,51.2213824990001 24.6265175450001,51.215163611 24.6208913410001,51.2143727270001 24.634445455,51.271109091 24.656945455,51.2738415700001 24.656719702,51.2738409510001 24.6567193450001,51.328327087 24.652218131,51.3480540640001 24.6340270540001,51.3350632880001 24.598953986,51.3349271660001 24.5727090730001,51.366245141 24.58958218,51.4355540930001 24.6611091510001,51.4425509100001 24.6790836070001,51.4425513210001 24.6790835950001,51.474636364 24.7615090910001,51.4743090910001 24.784445455,51.503818182 24.853890909,51.531390909 24.8769454550001,51.5695818180001 24.9219454550001,51.6119454550001 25.013745455,51.615827273 25.1786090910001,51.614436364 25.211663636,51.604436364 25.2330636360001,51.603190909 25.2718727270001,51.575618182 25.287081818,51.5320818180001 25.2872181820001,51.510272727 25.302218182,51.510554545 25.3308272730001,51.517590909 25.3834181820001,51.5199272730001 25.4322909090001,51.5040272730001 25.464854545,51.4886090910001 25.4800000000001,51.4753818180001 25.521772727,51.491172727 25.5500909090001,51.485136364 25.5890272730001,51.4966636360001 25.6086090910001,51.516945455 25.6136090910001,51.5419454550001 25.6211090910001,51.5874909090001 25.693881818,51.5934636360001 25.759863636,51.593045455 25.7808272730001,51.567218182 25.9077090910001,51.500763636 25.9490909090001,51.4786090910001 25.953054545,51.4133 25.9495909090001,51.3968727270001 25.961245455,51.344436364 26.0427727270001,51.345136364 26.079163636,51.3407636360001 26.105136364,51.3094363640001 26.126809091,51.2448545450001 26.1525,51.1719454550001 26.123609091,51.067367216 26.060721302,51.036945406 26.0424271750001,50.998327273 25.9652727270001,50.9689856690001 25.901863829,50.9689861850001 25.901865485,50.949163314 25.8590271190001,50.95100854 25.844213037,50.951008653 25.8442133990001,50.9525981730001 25.831450944,50.952909124 25.8289545280001,50.9603365730001 25.825001909,50.9622362330001 25.8239910990001,50.969718255 25.8241731540001,50.9717272720001 25.81782667,50.974645455 25.8086090910001,50.955963636 25.776663636,50.9365292270001 25.7977793760001,50.9365292840001 25.79777956,50.9319002820001 25.8028090240001,50.900691271 25.7746540430001,50.8981632890001 25.730736055,50.8899272310001 25.717709069,50.8909002020001 25.659718034,50.9142767910001 25.631228422,50.9191633180001 25.625273108,50.9508271220001 25.6338910430001,50.960567256 25.637420408,50.9730545450001 25.641945455,50.9518002560001 25.5991641470001,50.9518 25.5991636360001,50.9072181820001 25.588890909,50.8819609930001 25.590210078,50.827500157 25.5930540750001,50.833327088 25.5652730950001,50.8425002430001 25.4883270560001,50.8387816040001 25.462833174,50.8383272730001 25.4597181820001,50.8383272400001 25.459718191,50.8383272290001 25.4597181120001,50.8354018970001 25.4605193560001,50.8316799770001 25.46153868,50.831680007 25.4615387760001,50.818809129 25.4650640900001,50.8077822330001 25.4902731670001,50.7829821930001 25.5227731580001,50.7563822230001 25.499582108,50.7536816640001 25.458162907,50.7519363640001 25.4313909090001,50.755272727 25.2598545450001,50.760272727 25.186109091,50.7663909090001 25.1388818180001,50.7676636360001 25.129454545,50.8051363640001 25.0643000000001,50.8494454550001 24.9136090910001,50.8572181820001 24.8705545450001,50.8630545450001 24.790481818,50.8436 24.7592000000001,50.8309545450001 24.7499636360001,50.8108877500001 24.779911204,50.7926995890001 24.8253816070001,50.7699643870001 24.889040171,50.756323266 24.929963533,50.748299585 24.946010895,50.733588065 24.9754339360001,50.7291888030001 24.9856988810001,50.7199469440001 25.007263218,50.7108528630001 25.02999842,50.6926647020001 25.070921782,50.683570622 25.1027510640001,50.6790235810001 25.130033306,50.6699295010001 25.1618625880001,50.660835551 25.1845974620001,50.6608354200001 25.1845977900001,50.664111388 25.194425693,50.6641150620001 25.194436716,50.66538246 25.19823891,50.65628838 25.230068192,50.647194299 25.270991555,50.6454168820001 25.27987864,50.6381002190001 25.316461958,50.6290061380001 25.366479401,50.6275404990001 25.371364865,50.6275352160001 25.371382473,50.615365017 25.4119498040001,50.6017238960001 25.457420207,50.5835357350001 25.5028906100001,50.565347574 25.548361013,50.5573955450001 25.568769795,50.5675000000001 25.576111111,50.58 25.586111111,50.6894444440001 25.581388889,50.693055556 25.580555556,50.7347222220001 25.5725,50.763611111 25.5580555560001,50.769722222 25.5469444440001,50.78 25.5486111110001,50.7961111110001 25.5452777780001,50.8100000000001 25.535,50.8150000000001 25.5444444440001,50.8133333330001 25.5486111110001,50.8177777780001 25.5622222220001,50.8088888890001 25.5636111110001,50.7936111110001 25.575833333,50.780277778 25.5925,50.7983333330001 25.6225000000001,50.828888889 25.6291666670001,50.839444444 25.638611111,50.840555556 25.645277778,50.835 25.658611111,50.841666667 25.6694444440001,50.8619444440001 25.6908333330001,50.8525000000001 25.7075,50.8661111110001 25.7352777780001,50.8680555560001 25.7494444440001,50.8647222220001 25.7597222220001,50.8611111110001 25.766666667,50.8563888890001 25.7825,50.842222222 25.8119444440001,50.831388889 25.8611111110001,50.8200000000001 25.8738888890001,50.8158333330001 25.895,50.8500000000001 26.011111111,50.9075 26.077222222,50.9175000000001 26.1838888890001,50.9227777780001 26.265277778,50.9327777780001 26.2994444440001,50.954444444 26.333888889,50.9866666670001 26.4363888890001,51.0544444440001 26.7327777780001,51.1197222220001 27.033333333,51.1218012850001 27.0431145530001,51.3833330000001 27.0097220000001,51.734722 26.9388890000001,52.2027780000001 26.556944)))', 'Qatari Exclusive Economic Zone', 'Qatar', 'Qatar', '', '190', '190', 'QAT', '8468', '', '31934566420', '8468', 'Y'),('SRID=4326;MULTIPOLYGON(((-69.341032888 15.356442375,-69.3408219999999 15.3497170000001,-69.340808 13.496881,-69.3883079999999 13.3065970000001,-69.4541419999999 12.962142,-69.495808 12.6388000000001,-69.499631 12.6121640000001,-69.5003139999999 12.6074170000001,-69.5041419999999 12.580742,-69.5191389999999 12.3118470000001,-69.5442609999999 12.169817,-69.5443079999999 12.169544,-69.547519005 12.1513862840001,-69.7391665649999 12.2627773630001,-70.140277565 12.365000363,-70.164166565 12.350000363,-70.4166665659999 12.350000363,-70.4166665659999 12.8166663640001,-69.5772225649999 15.4133333660001,-69.341032888 15.356442375),(-69.946945565 12.436663364,-69.882236565 12.411109363,-69.8748635649999 12.415272364,-69.885563565 12.4577723640001,-69.891399565 12.4722183640001,-69.896954565 12.480836364,-69.932236565 12.5280543640001,-70.033199565 12.618327364,-70.0596635649999 12.6277723640001,-70.059036565 12.5402093640001,-69.946945565 12.436663364)))', 'Aruban Exclusive Economic Zone', 'Aruba', 'Netherlands', '', '177', '250', 'ABW', '26519', '2012-10', '25331853040', '26519', 'Y'),('SRID=4326;MULTIPOLYGON(((-68.390654906 11.666666363,-68.4240829999999 11.829444,-68.4298889999999 11.857722,-68.436722 11.9120830000001,-68.4413309999999 11.9330440000001,-68.441992 11.93605,-68.4511669999999 11.9777780000001,-68.453722 11.9878610000001,-68.460361 12.024194,-68.486278 12.0739170000001,-68.520167 12.106056,-68.600611 12.1851110000001,-68.608278 12.189556,-68.612361 12.199667,-68.620306 12.215422,-68.620392 12.2155940000001,-68.623814 12.222381,-68.624 12.2227500000001,-68.624025 12.2228420000001,-68.6265 12.232,-68.652833 12.3227220000001,-68.6700279999999 12.369444,-68.68375 12.4150000000001,-68.7103329999999 12.522861,-68.7214719999999 12.5515,-68.721122 12.5553360000001,-68.720836 12.5584890000001,-68.714333 12.629917,-68.708694 12.696444,-68.6700279999999 13.2521110000001,-68.5914999999999 14.373472,-68.591410219 14.374787796,-67.989722563 12.4500003640001,-67.989722563 11.666666363,-68.390654906 11.666666363),(-68.3668095639999 12.3061093630001,-68.384172564 12.307499363,-68.3972275639999 12.3029183630001,-68.404445564 12.292772363,-68.416536564 12.2537453630001,-68.400563564 12.2224993630001,-68.391254564 12.217781363,-68.367509564 12.2163903630001,-68.354736564 12.2174993630001,-68.3280635639999 12.2152723630001,-68.312227564 12.209445363,-68.3016725639999 12.199163363,-68.2876455639999 12.1754183630001,-68.281399564 12.157772363,-68.279172564 12.1433363630001,-68.2852815639999 12.1022183630001,-68.278627564 12.061663363,-68.275281564 12.0513903630001,-68.257509564 12.024445363,-68.2511095639999 12.020554363,-68.237227564 12.023890363,-68.228899564 12.0397183630001,-68.205563564 12.1130543630001,-68.1929275639999 12.2074993630001,-68.1973635639999 12.222636363,-68.3668095639999 12.3061093630001)))', 'Bonaire Exclusive Economic Zone', 'Bonaire', 'Netherlands', '', '177', '245', 'BES', '26520', '2012-10', '13260554440', '26520', 'Y'),('SRID=4326;MULTIPOLYGON(((-63.63789652 16.681776072,-63.198611 17.416861,-63.151583 17.495556,-63.127639 17.537361,-63.120194 17.552583,-63.111056 17.571583,-63.1064719999999 17.5799440000001,-63.0966109999999 17.598333,-63.0677499999999 17.6501940000001,-63.047972 17.685,-63.0260279999999 17.725194,-63.020592055 17.735150815,-63.01780753 17.731768435,-62.994003294 17.725184042,-62.952830346 17.713984403,-62.936876207 17.707939814,-62.8965984489999 17.6930132260001,-62.88463044 17.688475704,-62.861022745 17.6776843320001,-62.8482457009999 17.672362068,-62.812524711 17.6574825270001,-62.8046269659999 17.6549701270001,-62.8006128819999 17.6535707090001,-62.799499665 17.6531860310001,-62.7742817819999 17.6444119930001,-62.769858396 17.6428729680001,-62.7917815499999 17.6034160940001,-62.820495829 17.5541530100001,-62.8259948099999 17.544941184,-62.855389652 17.4947999830001,-62.868379419 17.4774858380001,-62.870277667 17.474690121,-62.873358277 17.4702968230001,-62.874074895 17.469341135,-62.884349955 17.455863059,-62.8864888379999 17.452629625,-62.894936244 17.440964003,-62.898416641 17.4364170220001,-62.900701079 17.433939077,-62.902282627 17.43211577,-62.903984252 17.430254773,-62.9139639009999 17.4190156130001,-62.920498698 17.411927855,-62.922634574 17.4097134470001,-62.924941997 17.407428439,-62.9302750859999 17.401959041,-62.939288668 17.391235035,-62.9464820369999 17.383661568,-62.960989759 17.369978527,-62.963500752 17.3676522970001,-62.9948718739999 17.33571707,-63.112053921 17.211559064,-63.2119090479999 17.103511683,-63.6290261449999 16.680056248,-63.629026368 16.680056021,-63.629944095 16.6803558120001,-63.6305555559999 16.6805555560001,-63.63789652 16.681776072)))', 'Sint-Eustasius Exclusive Economic Zone', 'Sint-Eustasius', 'Netherlands', '', '177', '249', 'BES', '26526', '2012-10', '2259558969', '26526', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.75087287 13.059973084,-16.749172852 13.0466641310001,-16.748336841 13.0261090220001,-16.749172852 13.00055394,-16.75749977 12.8980539930001,-16.7776367889999 12.8581911700001,-16.796808884 12.827500161,-16.800145888 12.807364147,-16.793608841 12.7122181460001,-16.7749998429999 12.579027022,-16.752917886 12.564718108,-16.718054869 12.5811090870001,-16.646663852 12.6323640900001,-16.646945987 12.661318033,-16.6497267669999 12.6858361060001,-16.649026878 12.7212449530001,-16.5939639769999 12.78333608,-16.597226884 12.735418081,-16.5711088739999 12.671391069,-16.452226832 12.594164237,-16.421663898 12.5768090030001,-16.36743684 12.5641642320001,-16.349726717 12.582218013,-16.294172972 12.601391113,-16.205554965 12.612218018,-16.158263932 12.6078450110001,-16.0715268239999 12.6345821090001,-16.04610887 12.6579179980001,-16.02138192 12.724936008,-16.0152819059999 12.7013910740001,-15.9824268579999 12.6534269740001,-15.945417737 12.616391032,-15.905899914 12.593954018,-15.845836704 12.6080540560001,-15.832069432 12.610035532,-15.886887633 12.5658273060001,-15.9363909309999 12.5777730900001,-15.964708855 12.596145048,-15.997781834 12.6241642420001,-16.0282639659999 12.6304821850001,-16.115836749 12.6058360370001,-16.1963908619999 12.580273076,-16.233608859 12.590827066,-16.292226861 12.5888911810001,-16.343472812 12.560136056,-16.3743728649999 12.5454181050001,-16.4216729509999 12.558891176,-16.5016639679999 12.5961090060001,-16.583754987 12.6326359990001,-16.7623639559999 12.5356910740001,-16.786663932 12.5111091310001,-16.8001368349999 12.4863910660001,-16.801808857 12.4461091480001,-16.793199804 12.422918098,-16.730836768 12.3344450990001,-16.728876262 12.3326415510001,-19.653161799 10.6443045090001,-19.711919623 10.7251359640001,-19.967647637 11.2484191730001,-19.967666778 11.2484861520001,-19.9717255109999 11.256769578,-19.973954729 11.2645688870001,-19.975841185 11.26841846,-19.976639582 11.2712114940001,-19.976882017 11.271706195,-19.980446279 11.2841740010001,-19.9820478239999 11.2874416400001,-20.142270976 11.8462033820001,-20.142393312 11.847400452,-20.145402095 11.8578615700001,-20.1461154699999 11.864839967,-20.151735161 11.884374608,-20.2110606959999 12.461866624,-20.2110263509999 12.462317367,-20.2110725909999 12.462765475,-20.210915981 12.464820823,-20.2111268379999 12.466864158,-20.211092494 12.4673149000001,-20.211138736 12.4677630080001,-20.1973715089999 12.648492338,-20.2056090259999 12.7281432140001,-20.2055937559999 12.728343895,-20.2056144169999 12.72854355,-20.205454308 12.7306478420001,-20.205670964 12.732741361,-20.205640463 12.733142247,-20.205681738 12.7335410800001,-20.205616955 12.734392545,-20.205704624 12.7352396490001,-20.204705502 12.7483718020001,-20.2048994039999 12.7502451280001,-20.204769816 12.7519484630001,-20.204945242 12.7536432200001,-20.2048880639999 12.75439479,-20.2049654699999 12.755142574,-20.181979053 13.0575000000001,-20.121698395 13.0575000000001,-16.757237894 13.0575000000001,-16.756970974 13.0575000000001,-16.756111 13.0575000000001,-16.7561109599999 13.0574999400001,-16.75571188 13.05690114,-16.7549999999999 13.0558330000001,-16.7509104719999 13.0600636510001,-16.75087287 13.059973084)),((-17.532781895 14.750136087,-17.446255005 14.656736037,-17.4277819609999 14.6747180690001,-17.4314639629999 14.7089180780001,-17.4209178529999 14.7311359890001,-17.390872921 14.739973197,-17.337781946 14.7333270190001,-17.225836767 14.6886090620001,-17.194726831 14.670000064,-17.175554903 14.654445095,-17.1633367709999 14.6383360830001,-17.148308856 14.61391809,-17.1216728439999 14.546664214,-17.089445935 14.486664204,-17.062499793 14.4540270840001,-17.036390835 14.4416641120001,-17.000626763 14.428209146,-16.9720818559999 14.405136113,-16.947781881 14.37555403,-16.900554885 14.2633361040001,-16.8766639469999 14.1784001,-16.857781866 14.1569449420001,-16.813336824 14.1227730960001,-16.798054938 14.0902731050001,-16.7758366919999 14.0125001070001,-16.6606998519999 14.000000175,-16.6363908239999 14.0034731330001,-16.5613908949999 14.06721801,-16.5441729569999 14.0913910830001,-16.513336774 14.1433270320001,-16.4530549639999 14.1744450150001,-16.3847087579999 14.1624731430001,-16.3674267819999 14.1663911800001,-16.3651998779999 14.1622910880001,-16.4119459199999 14.145827018,-16.505836814 14.1050001090001,-16.559445959 14.053609152,-16.57236398 14.022082131,-16.5783367569999 14.0016641510001,-16.638890811 13.9616642,-16.6574998089999 13.978054006,-16.6873638599999 13.9929181370001,-16.7188908799999 13.982773185,-16.7453460099999 13.953473069,-16.7394459889999 13.8411091300001,-16.735554942 13.8163910650001,-16.6984366889999 13.770444992,-16.560281802 13.8625000820001,-16.490836728 13.9580539460001,-16.497217871 13.8675000550001,-16.5211178619999 13.8319450280001,-16.5408367919999 13.842782158,-16.573063869 13.833053953,-16.5998638309999 13.8073640910001,-16.625281952 13.7770821180001,-16.638617896 13.7527730900001,-16.642154891 13.696873172,-16.6199998449999 13.658336031,-16.565672874 13.5900000510001,-16.5727790289999 13.5922796890001,-16.5815113209999 13.5924005000001,-16.648912874 13.593333,-19.957158997 13.593333,-20.0736111109999 13.593333,-20.0736111109999 13.65,-20.0736111109999 14.85,-20.036852876 14.8832904770001,-19.9999999999999 14.9166666670001,-19.861482786 15.1611088080001,-19.858333333 15.1666666670001,-19.7472222219999 15.4166666670001,-19.641666667 15.6666666670001,-19.594444444 15.9166666670001,-19.558333333 16.0666666670001,-19.558331473 16.0666666650001,-19.558331096 16.066666664,-16.526511409 16.0629297090001,-16.526602575 16.062010512,-16.527681898 16.060244992,-16.5324998159999 16.01388217,-16.535970376 15.9675577530001,-16.5472908579999 15.8164539840001,-16.5396728809999 15.80555399,-16.5366728299999 15.7861820700001,-16.5463908089999 15.7566641920001,-16.6702818759999 15.5552732100001,-16.7077818409999 15.501945027,-16.723055009 15.4825000180001,-16.730645996 15.4743090540001,-16.742226769 15.4597180050001,-16.7769459529999 15.410553952,-16.792781883 15.385000043,-16.829726797 15.312218134,-16.8793729779999 15.224309068,-16.973336795 15.1102821600001,-17.1291729709999 14.9311090890001,-17.146117827 14.9180539390001,-17.166946018 14.9030540210001,-17.180836843 14.895554061,-17.233608803 14.869445103,-17.3833367519999 14.7966642000001,-17.4236178309999 14.7830000210001,-17.4611089109999 14.7723642240001,-17.483608789 14.7694449750001,-17.532781895 14.750136087)))', 'Senegalese Exclusive Economic Zone', 'Senegal', 'Senegal', '', '66', '66', 'SEN', '8371', '', '158088542200', '8371', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.6716780153045 20.7716666666666,-17.0597528523795 20.7716666666666,-17.0570368039999 20.76739107,-17.057036516 20.7673908710001,-17.0570243149999 20.7673823440001,-17.052327287 20.7641004770002,-17.0523275159999 20.7640998710002,-17.0531185159998 20.7624803710001,-17.1190825159999 20.1745873710001,-17.135286516 20.165782371,-17.284614516 20.102173371,-17.3832005159999 20.0618893710001,-18.0242245169999 19.7976643700001,-18.7712725169998 19.4868293700001,-19.382438518 19.2275913700001,-19.4695785179999 19.1892343700001,-19.8220645179999 19.0637193700001,-20.0389155189999 18.9856363700001,-20.1402595189999 19.11216137,-20.1409085189999 19.11339437,-20.147352519 19.12162937,-20.4219665189999 19.6406923700001,-20.598458519 20.1966413710002,-20.5985095189998 20.197056371,-20.6006275189999 20.2036933710002,-20.6716780153045 20.7716666666666)))', 'Disputed Western Sahara/Mauritania', 'Western Sahara/Mauritania', 'Disputed', 'Western Sahara/Mauritania', '0', '257', '-', '33182', '2014-02', '49895014760', '33182', 'Y'),('SRID=4326;MULTIPOLYGON(((-57.9064158245951 16.3680307867075,-57.5387793162088 16.4842347739738,-57.5385884551677 16.4842951020791,-57.5256455539999 16.304511367,-57.5256895539999 16.3041183670002,-57.5256595539999 16.3037103670001,-57.559410554 15.996800367,-57.7691865539999 15.9399903670001,-58.038043554 15.8522113670001,-58.862110555 15.1865303660001,-58.9119645549999 15.1460463660001,-59.2251075549999 14.8752813660001,-59.3588985549999 14.7518863660002,-59.595488556 14.5191963650001,-59.6605575559999 14.453959365,-59.6611525559999 14.453362365,-59.7286725559999 14.3855363650001,-59.8665715559999 14.246950365,-59.962610556 14.1510063650001,-59.985407556 14.1285633650002,-59.995236556 14.118707365,-59.9997225559999 14.1141663650002,-60.061111556 14.1222223650001,-60.154166556 14.1333333650001,-60.176944556 14.1355553650001,-60.6797225569999 14.204444365,-60.736666557 14.2191663650001,-60.891944557 14.2433333650001,-61.003888557 14.2725003650002,-61.0763885569999 14.252777365,-61.1883335569999 14.2302773650002,-61.278055557 14.2075003650001,-61.399444557 14.187777365,-61.7169445569999 14.1750003650001,-61.7741665579999 14.1708333650001,-62.2277775579999 14.1544443650002,-62.7772225579999 14.0863893650001,-62.813888559 14.0805553650001,-62.813888559 14.4886113650001,-61.283055557 15.030833366,-61.1555555569999 15.0805553660001,-60.9999995569999 15.1250003660001,-60.899444557 15.1644443660001,-57.8749995539999 16.2308333670001,-57.884042554 16.2760323670001,-57.8942885539998 16.3209733670001,-57.9057305539999 16.3656253670002,-57.9064158245951 16.3680307867075),(-61.172499557 14.6930543660002,-61.0338905569999 14.465827365,-61.0111185569999 14.469999365,-60.9750095569999 14.471390365,-60.8869455569998 14.4655543650002,-60.860836557 14.4027723650001,-60.854999557 14.4030543650001,-60.8394455569999 14.415272365,-60.8280635569999 14.4370813650001,-60.820554557 14.455827365,-60.8169455569999 14.4733363650001,-60.8297275569999 14.5699993660001,-60.8497275569999 14.5947183660001,-60.9066725569999 14.652499366,-60.9425095569999 14.7277723660002,-60.940836557 14.740836366,-61.0370905569998 14.8305543660001,-61.0973635569999 14.8602723660002,-61.1447275569999 14.877772366,-61.1618095569999 14.880136366,-61.174727557 14.876945366,-61.1986185569999 14.858890366,-61.2127815569999 14.846663366,-61.226672557 14.8322183660001,-61.231536557 14.8124993660002,-61.172499557 14.6930543660002)))', 'Martinican Exclusive Economic Zone', 'Martinique', 'France', '', '179', '252', 'MTQ', '33178', '2014-02', '47701073500', '33178', 'Y'),('SRID=4326;MULTIPOLYGON(((-72.1876595649892 20.287491985232,-72.1123270306211 20.068719232127,-72.1006895732523 20.0354355162098,-72.0792406357617 19.9733835784855,-72.0747103015668 19.9604930895821,-72.0597688528698 19.9187218545072,-72.0594814162562 19.9182391315189,-72.0514985820748 19.9096506458076,-72.0292392893763 19.8858270447246,-72.0282696555809 19.8847779287233,-72.0181651950857 19.8738073738178,-72.0149342321385 19.8703702397175,-71.9966832472593 19.8575321355538,-71.9684909866632 19.8405584837584,-71.9341675705531 19.8200890009217,-71.9116102415562 19.8111520223243,-71.8829019322011 19.8047032528976,-71.8824394263063 19.8046075825033,-71.8731496296019 19.7961507890802,-71.8616149889537 19.7884840768193,-71.8611769782499 19.7882095799846,-71.8598648206021 19.7875678315553,-71.8574987101189 19.7863780526321,-71.8485589482199 19.7823895388352,-71.8448214158949 19.7783882430205,-71.8395022064592 19.7725402324533,-71.8367938266817 19.7689547374864,-71.8333018903195 19.7655051327194,-71.8322278399828 19.7645926399615,-71.8214385738487 19.7542766763483,-71.8120292835063 19.7471978102129,-71.80235897442 19.741833328089,-71.7974390696272 19.739596628318,-71.7956063691755 19.7390732496561,-71.7947926845031 19.7387852186697,-71.7844637182531 19.7348686435948,-71.7842591619433 19.7347999455358,-71.7757776819078 19.7337325319797,-71.7754971434441 19.7337473971481,-71.7656883147952 19.7340918648491,-71.7645771117631 19.7331736238515,-71.7626074271005 19.7311375898094,-71.7599691090189 19.728999862819,-71.7570040651257 19.7269795696419,-71.7570039173443 19.7156235666315,-71.7573287964054 19.7124220466467,-71.7545013654292 19.706122007349,-71.7541823903068 19.7058274477266,-71.8188905669999 19.7119363700002,-71.980836567 19.7236093700002,-72.0580635669999 19.7208363700003,-72.0974995669998 19.7225003700003,-72.1905635669999 19.7388913700003,-72.2050725669997 19.7450003700004,-72.2066725669999 19.7743093700003,-72.3175095669998 19.7627723700002,-72.4930545679999 19.8205543700002,-72.5400095679998 19.8455543700003,-72.5794455679998 19.8844273700003,-72.6736185679999 19.9166633700003,-72.6850095679997 19.9202723700002,-72.7844545679999 19.9422183710002,-72.7983365679999 19.9427723710002,-72.8175095679998 19.9413913710004,-72.8447275679998 19.9336093710002,-72.8969545679997 19.9238813700003,-72.984999568 19.9144453700002,-73.0336185679998 19.9125003700003,-73.1547275679997 19.9222183700003,-73.1908455679999 19.9027723700002,-73.2738995679998 19.8588913700002,-73.2883455679999 19.8525003700002,-73.329181568 19.8375003700002,-73.3449995679999 19.8325003700003,-73.3577905679998 19.8347183700002,-73.3897275679998 19.8336093700001,-73.4051455679999 19.8318093700003,-73.418063568 19.8197183700003,-73.4598725679998 19.7329453700002,-73.4619455679999 19.7199998700002,-73.4652905679997 19.6877723700003,-73.4541815679999 19.6711093700003,-73.4472365679999 19.6636093700002,-73.4283455679999 19.6472183700002,-73.407645568 19.6342993700003,-73.3763995679998 19.6241633700003,-73.3636185679999 19.6230543700002,-73.1502815679998 19.6138903700003,-73.111109568 19.6269453700003,-73.1052815679997 19.6263903700002,-73.0577815679998 19.6133273700003,-73.0144545679998 19.5983273700003,-72.7233455679998 19.4549993700002,-72.7258455679998 19.3744453700003,-72.7747365679998 19.2816633700003,-72.8011185679998 19.2211093700002,-72.7613995679998 19.1619453700003,-72.800290568 19.0330543700003,-72.7258455679998 18.9652723700002,-72.6838995679999 18.9349993700002,-72.6525095679999 18.9155543700003,-72.6402905679999 18.9055543700002,-72.6138905679998 18.8752723700002,-72.5730635679998 18.8244453690002,-72.5669455679999 18.8133273690003,-72.564181568 18.7997183690003,-72.559172568 18.7908363690003,-72.5469545679999 18.7816633690003,-72.4363995669999 18.7152093690003,-72.4166725669998 18.7102813690002,-72.3958455669998 18.7091633690002,-72.3827815669999 18.7069453690002,-72.329727567 18.6834723690003,-72.3212545669998 18.6663813690004,-72.3467365669999 18.5359723690002,-72.3687635669999 18.5256913690002,-72.3952815669999 18.5388913690003,-72.4222275669997 18.5463913690002,-72.458345567 18.5505543690002,-72.5816815679999 18.5636093690002,-72.5918095679997 18.5637453690003,-72.6247275679999 18.5555543690002,-72.637645568 18.5472183690001,-72.6547275679998 18.5252723690002,-72.6591815679998 18.5149998690002,-72.6644635679999 18.4905543690002,-72.6769545679999 18.4674998690003,-72.6827815679999 18.4591633690003,-72.6905635679999 18.4527723690001,-72.7227539271499 18.4330912131566,-72.7366725679999 18.4245813690003,-72.779442444845 18.4310699053954,-72.863890568 18.4438813690002,-72.9233365679998 18.4538913690004,-72.9605545679997 18.4622183690001,-72.9730725679999 18.4644453690003,-72.995699568 18.4654093690003,-73.0364365679998 18.4562183690003,-73.0694545679999 18.4536093690003,-73.2172275679999 18.476945369,-73.3477815679999 18.5016633690003,-73.3644545679998 18.5069453690003,-73.4041725679998 18.5133363690003,-73.4300095679999 18.5166633690002,-73.5069545679999 18.5255543690003,-73.5238995679997 18.5219453690001,-73.5742905689999 18.5075003690002,-73.604445569 18.4980543690003,-73.6551455689998 18.4972183690002,-73.6663995689998 18.5038913690002,-73.7075095689998 18.5438183690001,-73.6938905689999 18.5533363690002,-73.6775095689997 18.5577813690003,-73.648054569 18.5472183690001,-73.6043905689999 18.5525543690003,-73.5774365689999 18.5774998690002,-73.5911185689999 18.5852723690003,-73.6077905689999 18.5852813690003,-73.696118569 18.571391369,-73.7168185689998 18.5641633690002,-73.7227815689998 18.5559723690004,-73.731809569 18.5434723690003,-73.7444455689999 18.5388913690003,-73.7872275689998 18.5322183690003,-74.0222275689997 18.5952723690002,-74.0336185689999 18.5988913690002,-74.048336569 18.6061093690002,-74.0855545689999 18.6272183690002,-74.1272275689997 18.650836369,-74.149172569 18.6583363690003,-74.1748635689998 18.6663913690003,-74.236681569 18.6672183690004,-74.2709815689999 18.6652723690003,-74.3845905689998 18.6366633690003,-74.4223635689999 18.6101363690003,-74.467790569 18.4508363690003,-74.4536047002152 18.3713753270625,-74.4511275689997 18.3574998690002,-74.4466725689999 18.3419363690003,-74.3725095689999 18.2936093690003,-74.3619545689999 18.2894453690002,-74.3217455689997 18.2822903690001,-74.3047365689998 18.2869453690003,-74.2776455689999 18.3063903690003,-74.2619455689999 18.3077813690003,-74.2336095689997 18.3063903690003,-74.191118569 18.2945813690002,-74.0980725689997 18.2449993690003,-74.0527815689998 18.2116633690002,-73.9605545689998 18.1363903690002,-73.9501455689999 18.1256908690003,-73.9277815689998 18.0927813690003,-73.9116635689999 18.0674998690003,-73.9080635689998 18.0574998690002,-73.9015995689999 18.0371453690002,-73.881672569 18.0227813690001,-73.8091725689999 18.0230543690003,-73.7980635689998 18.0258363690003,-73.7899365689999 18.0340998690003,-73.7958365689998 18.0545813690003,-73.8044545689997 18.0669453690003,-73.8227905689999 18.0902723690002,-73.8344545689999 18.1000003690002,-73.8405725689997 18.1111093690003,-73.838345569 18.1249998690003,-73.833345569 18.1344453690002,-73.8269545689998 18.1422183690003,-73.8191725689998 18.1486093690003,-73.7997275689999 18.1644453690003,-73.7861185689997 18.1716633690003,-73.485290568 18.2497183690003,-73.4513995679999 18.2569453690002,-73.3863995679999 18.261945369,-73.3116095679998 18.2424993690003,-73.2666815679999 18.2194453690002,-73.150009568 18.1983273690003,-73.0266725679999 18.180827369,-73.0072365679997 18.1774993690002,-72.9838905679999 18.1696813690001,-72.8893095679998 18.1419453690003,-72.8158365679998 18.1384723690003,-72.8013905679998 18.1411093690002,-72.7875095679998 18.1483273690002,-72.7747365679998 18.1563903690003,-72.756390568 18.167499369,-72.7388905679998 18.1736093690002,-72.7116725679999 18.1791633690002,-72.7000095679999 18.1811093690003,-72.6594545679998 18.1794453690003,-72.5458365679999 18.1830543690003,-72.522781568 18.2094453690002,-72.3822365669998 18.2294453690004,-72.3555635669999 18.2294453690004,-72.3305635669997 18.2270813690001,-72.292781567 18.2224993690003,-72.2280545669998 18.2158273690004,-72.1863995669999 18.2213813690003,-72.1383365669998 18.2280543690003,-72.0919455669999 18.2361093690004,-72.0723635669999 18.2399993690003,-71.9266815669999 18.1847183690001,-71.9059815669998 18.1726363690002,-71.8352815669998 18.1116633690001,-71.8202815669998 18.0855543690002,-71.8162545669999 18.066663369,-71.805281567 18.0533363690003,-71.7961095669999 18.0477723690002,-71.7678641547686 18.0384995619615,-71.7703157387877 18.0336492410174,-71.770492696863 18.0335045692747,-71.771209949704 18.032799469464,-71.7726654910748 18.0315500699867,-71.7839948956285 18.023890296865,-71.7988584571425 18.009622949582,-71.8334884848759 17.971307697592,-71.9410557417166 17.8458030214011,-71.9832166722186 17.8328672984014,-72.008419731053 17.8242621845802,-72.0164197188105 17.8214948255235,-72.0236226200455 17.8188954961124,-72.1399054203491 17.7754251447402,-72.160993719558 17.7673457185744,-72.1687898486501 17.7643657881026,-72.2827296546735 17.6434496237467,-72.2989159829851 17.6236820192125,-72.3462374926199 17.5318417051915,-72.3602185762164 17.5153696426438,-72.3965702744804 17.4723293209703,-72.397587468401 17.4711259524784,-72.4217489000437 17.4426015567777,-72.5712677382854 17.2634296250695,-72.65831206908 17.1277866928804,-72.8210058858012 16.8667825135035,-72.9084523374491 16.7254131293731,-73.0195233844243 16.5401275214636,-73.0327368029252 16.4998204347439,-73.0685129774285 16.3909699427554,-73.1808613817686 16.046246981549,-73.3107825357139 15.6469724991286,-73.4192853993472 15.2583167209112,-73.458333 15.033333,-74.5138889999997 14.7361110000002,-74.6704604529999 17.0203876890003,-74.865955409 17.3461985210002,-74.9421784449997 17.4147946800003,-75.0099843849998 17.4758539650003,-75.1834143739999 17.6310931020003,-75.3307713299998 17.7620121080002,-75.3987970079999 17.8221655610002,-75.4021077659999 17.8250985300002,-75.4838175819999 17.8971978730003,-75.4899247929999 17.9104167410003,-75.4905009159999 17.9116679890003,-75.491467754 17.9137712240003,-75.4924278249997 17.9158744300002,-75.4929754119999 17.9170759840003,-75.556979434 18.0578626140003,-75.5841418669997 18.1155707160002,-75.6849171917593 18.3274711717898,-75.6991479589998 18.3709571140003,-75.7076597259999 18.3984078290001,-75.7116957579998 18.4146457930003,-75.7121604999998 18.4164942120003,-75.7196754449997 18.4463367010002,-75.7200219619999 18.4477216300001,-75.671547802 18.6336740980001,-75.6028089349999 18.7480279620003,-75.5063888889997 18.832222222,-75.4607555699998 18.8720983700003,-75.4110855699999 18.9045583700002,-75.2920835699999 18.9830163700001,-75.2799725699998 18.9910153700003,-75.2224245699999 19.0271053700004,-75.1686135699999 19.0600633700003,-75.1580195699997 19.0655093700002,-75.0291545699998 19.1315033700002,-75.0213795699999 19.1351973700003,-74.9283775699998 19.1773423700002,-74.9052215699999 19.1869843700003,-74.9005865699999 19.1888763700003,-74.8269785699998 19.2200803700002,-74.7884785699998 19.2371323700003,-74.7376305699998 19.2585843700003,-74.6803205699999 19.2825073700004,-74.5550995689999 19.3342763700002,-74.5200615689998 19.3384873700003,-74.5050225689998 19.3408893700002,-74.450086569 19.3505393700002,-74.4421025689998 19.3519143700003,-74.3910875689999 19.3622053700002,-74.3797115689997 19.3637023700003,-74.3251355689999 19.3651163700004,-74.322676569 19.3652413700002,-74.3039305689999 19.3662673700002,-74.2869785689999 19.3670853700002,-74.2069945689998 19.3705143700003,-74.1788785689998 19.3720373700003,-74.1268835689998 19.3746083700003,-74.0885925689998 19.4486973700002,-74.0874435689998 19.4509073700003,-74.0273045689999 19.5657763700003,-74.0171685689998 19.5849373700003,-74.0099065689998 19.5985983700003,-73.9989755689999 19.6188003700003,-73.9756845689999 19.6625333700003,-73.9544165689999 19.7022193700002,-73.9505595689998 19.7097283700003,-73.9474965689998 19.7155373700003,-73.9438835689999 19.7225963700003,-73.9419795689998 19.7263513700003,-73.9381905689999 19.7339113700003,-73.8972145689999 19.8182463700002,-73.8907445689998 19.8322973700003,-73.8851085689998 19.8441653700003,-73.8364015689999 19.9156133700002,-73.833182569 19.9202943700003,-73.8190025689998 19.9411793710002,-73.7962265689998 19.9826913710003,-73.7904295689997 19.9931913710003,-73.7898445689997 19.9942443710002,-73.7785925689998 20.0140113710003,-73.7747045689999 20.0207963710003,-73.7340615689997 20.0902953710003,-73.7321795689998 20.0934783710003,-73.7310745689999 20.0953283710003,-73.7126545689998 20.1279083710002,-73.6668255689999 20.2076863710003,-73.6346545689998 20.2628763710002,-73.6227575689998 20.2828083710003,-73.5722186579999 20.3682634390003,-73.5249720409999 20.3775547650004,-73.4942715809997 20.3798845630002,-73.489859883 20.3811179650003,-73.4499808239998 20.3919114950002,-73.3960148339999 20.4072196880002,-73.3950751699998 20.4074185140003,-73.3352881719998 20.4340077710002,-73.2751900269998 20.4592977000003,-73.2035713739999 20.4742006760004,-73.1784958379999 20.4794394390003,-73.119312102 20.4917304300004,-73.083514474 20.4994648880003,-72.9995311709998 20.5204164670002,-72.9870149449997 20.5241450420003,-72.9286295689998 20.5415884590003,-72.9215603609998 20.5437665330002,-72.8776187449998 20.5580966070002,-72.8589453889999 20.5642405820003,-72.8115084679998 20.5819312750002,-72.7473958189998 20.6064113170003,-72.6323816799999 20.6504773790003,-72.5639277239999 20.6768430550003,-72.4879507869999 20.6995198930002,-72.4820144289997 20.7012468480002,-72.4720085919999 20.7050071710002,-72.4643853099998 20.7071979330003,-72.4602498199999 20.7083921900002,-72.4515480419998 20.7109616840002,-72.4390033539999 20.7147092690002,-72.3591355669998 20.6870863710003,-72.3253655669997 20.6642653710002,-72.2680045669998 20.6260223710002,-72.241180567 20.6081863710002,-72.2216865669999 20.5956383710003,-72.1472219999999 20.5452780000002,-72.1873543775309 20.2893204736659,-72.1876595649892 20.287491985232),(-72.6938995679998 19.9877723710003,-72.6402905679999 19.9852723710002,-72.6257725679999 19.9897183710002,-72.6222275679998 20.0041633710002,-72.6580635679998 20.0299993710003,-72.6825095679998 20.0422183710003,-72.7941725679999 20.0872183710002,-72.8104185679999 20.0914543710002,-72.8624995679998 20.0874993710002,-72.9155545679998 20.0783273710003,-72.9252905679999 20.0744453710003,-72.954590568 20.0586093710003,-72.9543185679997 20.0484723710003,-72.9427815679999 20.0419453710003,-72.8761095679999 20.0249993710003,-72.6938995679998 19.9877723710003),(-72.850009568 18.7269453690004,-72.8258365679999 18.6955543690003,-72.815563568 18.6988903690002,-72.799454568 18.7347183690002,-72.8111095679999 18.7763903690003,-72.8154185679999 18.788890369,-72.8268095679998 18.8083363690003,-72.8488905679998 18.8288903690002,-72.8572275679998 18.8349993690002,-72.9980635679998 18.8938903700002,-73.0727815679999 18.9230543700003,-73.2020905679998 18.9694453700003,-73.2244545679999 18.9686093700003,-73.262509568 18.9583273700002,-73.2873725679997 18.9445813700003,-73.2999995679999 18.9272183700003,-73.2986185679998 18.9166633700003,-73.294445568 18.9074993700002,-73.2875095679997 18.8999993700003,-73.2469455679999 18.8563903700002,-73.2180635679998 18.8341633690003,-73.0641815679998 18.7788903690002,-72.9319455679998 18.7413903690002,-72.850009568 18.7269453690004)))', 'Haitian Exclusive Economic Zone', 'Haiti', 'Haiti', '', '114', '114', 'HTI', '8408', '', '123859660600', '8408', 'Y'),('SRID=4326;MULTIPOLYGON(((-80.1423253629976 14.1414818331243,-80.1453198964622 14.1411286436377,-80.1466783910261 14.1410280779427,-80.148944194414 14.1408848247054,-80.1503113675905 14.1408132091066,-80.1546616775774 14.1406332226794,-80.1564886090702 14.1405770277086,-80.1592141161108 14.140522455511,-80.160700757937 14.1405067900437,-80.1614473378752 14.1405041319761,-80.1634380734223 14.1405124238399,-80.1652007313444 14.1405368828338,-80.16784951561 14.1406012593505,-80.1696068783863 14.1406622873812,-80.173778005432 14.1408497050244,-80.1750722667393 14.1409213696579,-80.1772170587748 14.1410621534063,-80.1785030165568 14.1411597201221,-80.1803041394899 14.141313726338,-80.1812388317651 14.1412145193144,-80.1819013075654 14.1411482146666,-80.1837318429317 14.140953434234,-80.1851368574828 14.1408177943039,-80.1892035598784 14.1404710203996,-80.1902750793744 14.1403879997139,-80.1914188843078 14.1402816444133,-80.1954301782486 14.1399428997626,-80.1958000560975 14.1399036465558,-80.1963095210519 14.1398463571444,-80.1983638991164 14.1396292221949,-80.1997350420501 14.1394985275822,-80.2038516000987 14.1391512586945,-80.2052253363943 14.1390503969712,-80.2066534797746 14.1389598901189,-80.207638042362 14.1382944715862,-80.2086565818345 14.1376193885844,-80.2103654708163 14.136510843102,-80.2114031302738 14.1358522376568,-80.2149872271169 14.1336279835219,-80.2165052750048 14.132707757841,-80.2188041759148 14.1313476287659,-80.2201471848308 14.1305709547384,-80.2205636521872 14.1303337548032,-80.2211875021671 14.1299839445254,-80.2216710881378 14.1297167868393,-80.2224256150568 14.1290729370765,-80.2255737583565 14.1262626830319,-80.2269043082904 14.1251000266842,-80.2289247655983 14.1233725885367,-80.2301067238234 14.1223823227519,-80.2304736747698 14.1220789996233,-80.231189494039 14.1214967697339,-80.2323859162975 14.1205414085877,-80.234479000155 14.1189038924575,-80.2358919605715 14.117822738367,-80.2392791578425 14.115287458421,-80.2403631463844 14.1144946492298,-80.242175495602 14.1131991419755,-80.2432715693593 14.1124334179143,-80.2465843551446 14.1101719521976,-80.247697254578 14.1094297256216,-80.2495656996446 14.1082125464351,-80.2507004594087 14.1074907282901,-80.2543004285467 14.1052560950251,-80.2558182942329 14.1043358618586,-80.2581169229604 14.1029757197331,-80.2594597858596 14.1021990310069,-80.2598801975111 14.1019595901711,-80.2607090735329 14.1014962588639,-80.2621022354285 14.1007341570494,-80.2645413384996 14.0994320616625,-80.2661945228912 14.0985730031576,-80.2703358025043 14.0964789089216,-80.271885700131 14.0957115242733,-80.2729255022614 14.0952054691671,-80.273529687123 14.0949128773598,-80.2740867636938 14.0946431332083,-80.2745056382382 14.0944403072468,-80.2750802582075 14.0941609635878,-80.2759190812906 14.0937599429411,-80.2773222313417 14.0931019112959,-80.2781671699305 14.0927133027111,-80.2815333684164 14.0911958060706,-80.2826735099052 14.0906952408475,-80.2845822095344 14.0898797945387,-80.2857385718204 14.0893993765105,-80.2896662028874 14.087814408215,-80.2913256127819 14.0871647658781,-80.2938125080474 14.0862213412574,-80.2952671879929 14.0856855247702,-80.2958479724946 14.0854682052464,-80.2978410785232 14.0847216449752,-80.2990347590041 14.084285249099,-80.2995108667233 14.0841147272047,-80.3002760143689 14.0838367636676,-80.3012785761814 14.0834714233396,-80.3016495826879 14.0833382677986,-80.3024839822398 14.083045263527,-80.3039237185455 14.0825532191676,-80.3049162531007 14.0822235963006,-80.3073681355745 14.0811099920833,-80.3085959565068 14.0805674896499,-80.3106521988148 14.0796851881641,-80.311897926646 14.0791664837315,-80.3158403534708 14.077575285208,-80.3174996910581 14.0769256412526,-80.3200072170442 14.0759745877693,-80.3214710717871 14.0754358810219,-80.3219246641737 14.0752723277121,-80.3227964123894 14.074965640726,-80.3242503757113 14.0744685611138,-80.3267863124349 14.0736292070879,-80.3284903497206 14.0730851387677,-80.3325601070924 14.0718324629046,-80.3338561935279 14.0714489543764,-80.3360126746506 14.0708359534513,-80.33731065136 14.0704819261137,-80.3412151684301 14.0694615953097,-80.3425207328874 14.0691352636626,-80.3447025123778 14.068614587624,-80.3460214923628 14.0683147241564,-80.3501870701851 14.0674152851873,-80.3519378631392 14.0670562817445,-80.3545568856938 14.0665479109192,-80.3560537163795 14.0662723295879,-80.3569349692668 14.0661178309537,-80.3573800430933 14.0660431823296,-80.3587785054132 14.0658173825296,-80.3611756605333 14.0654522306644,-80.3627695535308 14.0652249875372,-80.365198947586 14.0649006666854,-80.36926670286 14.064370409691,-80.3706501838298 14.0642051280271,-80.3729573425013 14.0639552317986,-80.3743432711453 14.0638205283964,-80.378503138499 14.063462349675,-80.3798914158473 14.0633581760563,-80.3822069513361 14.0632100093337,-80.3836039864931 14.0631361051196,-80.3879345294336 14.0629556797052,-80.3897516941269 14.0628991973472,-80.3924643977375 14.0628438737585,-80.3939469212353 14.0628276511978,-80.39468861982 14.0628246298029,-80.4115898320673 14.062868676035,-80.4133597381456 14.0628916196587,-80.4160153921314 14.0629538868082,-80.4177787665025 14.0630136722216,-80.4219790825672 14.0631991781341,-80.4233115701086 14.0632723304324,-80.4255199766545 14.0634169315576,-80.4268440498738 14.0635175865203,-80.4308117097603 14.0638610854643,-80.4321332658744 14.0639894750532,-80.4343332799843 14.0642265315974,-80.4356581719873 14.0643834414484,-80.439826670919 14.0649224774699,-80.4415744145153 14.0651667363049,-80.4441801219749 14.065558524824,-80.4456571626374 14.0657949453081,-80.446505849443 14.0659378560305,-80.4468978080942 14.0660066301252,-80.4480789703963 14.0662204675496,-80.4501120280191 14.0666044893749,-80.4514930163812 14.0668772726178,-80.4535865642783 14.0673085588483,-80.4579886831444 14.0682445404201,-80.4594313827317 14.0685687109118,-80.4618168877793 14.069134158045,-80.463243422461 14.0694899164015,-80.467498688702 14.0706039601201,-80.4689155646649 14.0709926028182,-80.4712696951879 14.0716679561575,-80.4726833688883 14.072091498958,-80.4769793512792 14.073432712041,-80.4792585142699 14.0741592781952,-80.4805735773372 14.0745901726872,-80.4825148535668 14.0752440120704,-80.4836460678242 14.0756346009533,-80.4840347589222 14.075771263253,-80.4849043511885 14.0760841557136,-80.4864435740202 14.0766532723236,-80.4891647304361 14.0776919584724,-80.4909841881259 14.0784107378049,-80.4952037479564 14.0801326364498,-80.4974696245107 14.0810691220976,-80.4985992512114 14.0815485945219,-80.5004656527894 14.0823624607123,-80.5015801245657 14.0828614419279,-80.504901285889 14.0843874916229,-80.5060032510469 14.0849068985406,-80.5078309272669 14.0857902442149,-80.5089280350702 14.0863338292859,-80.5126954565448 14.0882477985644,-80.5142780724491 14.0890727745295,-80.5166484353027 14.0903409492647,-80.5180296508385 14.0910978772981,-80.5184641078009 14.0913398264863,-80.5192963203768 14.0918121490753,-80.5206984016595 14.0926252374238,-80.5231450293363 14.0940785171223,-80.5247984849549 14.0950867231905,-80.528961143634 14.0976910834051,-80.5304752640261 14.0986556840435,-80.5314921272445 14.0993176722164,-80.5331114739942 14.1003945327239,-80.5340734271526 14.1010473855881,-80.5368674345635 14.1029821202637,-80.5377913998867 14.1036345280109,-80.5393209559413 14.1047356548339,-80.5402377112557 14.10540853111,-80.5435971037303 14.1079235522201,-80.5450100000143 14.1090047056327,-80.5471029877136 14.1106422197629,-80.5482766366067 14.1115790858845,-80.5490212404083 14.1121843721239,-80.5499613218651 14.1129639601401,-80.5512709036987 14.114066308509,-80.5521399886916 14.1148082708692,-80.5543070948029 14.1166846889864,-80.5551685787756 14.1174412339619,-80.5564521214196 14.1185844511556,-80.5572920043043 14.1193430100382,-80.5780852450285 14.1383612503902,-80.5784471757904 14.1386530109272,-80.5790011110964 14.1391046009841,-80.5793680829157 14.1394079181298,-80.5805501154508 14.1403981701077,-80.5825707149725 14.1421255967421,-80.5839013602488 14.1432882466781,-80.5870497387331 14.1460984935178,-80.5880391069573 14.1470015372664,-80.5896630678577 14.148516687514,-80.5906272794467 14.1494361325315,-80.5934882025935 14.1522243368095,-80.5944316610266 14.1531640729082,-80.5959864347883 14.154746861571,-80.5969131758489 14.155711229542,-80.5997988429164 14.1587818587757,-80.6009989446436 14.1600865834644,-80.6027705619699 14.1620550632214,-80.6037804534538 14.1632001070927,-80.6043833034129 14.1638962989239,-80.6046900580636 14.1642563196687,-80.6056763037661 14.1654295833537,-80.6073580219424 14.1674715752058,-80.6084612572253 14.1688412267222,-80.6110622303244 14.1721418280517,-80.6118760709191 14.173198710922,-80.6132060740995 14.1749658833732,-80.613992221051 14.1760346629895,-80.6163141089136 14.1792650467537,-80.6170762018936 14.1803502945236,-80.618326017359 14.1821723608193,-80.6190672630609 14.1832790395878,-80.6213633581012 14.1867919013935,-80.6223136821887 14.1882806811662,-80.6237091743789 14.1905205176317,-80.6245009931786 14.1918206236488,-80.6249717397441 14.1926097682362,-80.625209355891 14.1930154957838,-80.625970855977 14.1943360036689,-80.6272632270808 14.1966305067261,-80.6281058306083 14.1981655627906,-80.6300803659559 14.2018563782134,-80.6306939236706 14.2030350367439,-80.6316895054286 14.2050006186362,-80.6322736677207 14.2061863073919,-80.6339858636047 14.2097608623415,-80.6345433971241 14.210958695059,-80.6354502123526 14.2129647558474,-80.6359833959414 14.2141801668669,-80.6376199403329 14.2180286621397,-80.6382912569181 14.2196562761047,-80.6392675635626 14.2220994041898,-80.6398165412134 14.2235150015454,-80.6401401928609 14.2243730302199,-80.6403017931068 14.2248122106081,-80.6408162574676 14.2262400483212,-80.641680496057 14.2287175414058,-80.642237078106 14.230371476117,-80.643525059358 14.2343405116512,-80.643919630361 14.2356051752981,-80.6445504327994 14.2377095119628,-80.6449147946876 14.2389761238642,-80.6459650695847 14.242786358171,-80.6463010329999 14.2440604192129,-80.6468371751105 14.2461895851728,-80.6471460206877 14.2474768357757,-80.6480729959067 14.2515441135985,-80.6484445847882 14.2532610196961,-80.6489714657436 14.2558330072254,-80.6492603454159 14.2573208082779,-80.6494265274404 14.2582213568569,-80.6495074445003 14.2586808258417,-80.6497598263723 14.2601730790947,-80.6501699473383 14.2627586357833,-80.6504236961226 14.2644813808977,-80.6509859514348 14.2686096784796,-80.6511504836939 14.2699310104252,-80.6513985587307 14.2721253415538,-80.6515325756399 14.2734435171354,-80.6518899789234 14.2774010558436,-80.651994279578 14.2787217835652,-80.6521433079141 14.2809246213675,-80.6522181325944 14.2822538133212,-80.6524068584744 14.2864705955406,-80.6524665155039 14.2882434770311,-80.6525258664473 14.2908912119216,-80.6525439475664 14.2923412214309,-80.6525477489914 14.2930909941751,-80.6525439864492 14.2943440455586,-80.6525223621433 14.2960602640216,-80.6524610901855 14.2986619985067,-80.6524013757654 14.3003886444886,-80.652214985404 14.3044934709783,-80.6521411544849 14.3057954094364,-80.6519947751644 14.3079531581338,-80.6518926621058 14.3092468692732,-80.6515435995274 14.3131235717232,-80.6514129577581 14.3144148401094,-80.6511714954246 14.3165644475526,-80.6510115281443 14.3178590334807,-80.6504613812344 14.321933500501,-80.6502111064585 14.3236470566924,-80.6498089468051 14.3262043210709,-80.6495615420046 14.3276796610276,-80.6494033968364 14.32857219295,-80.6493185796364 14.3290292940741,-80.6490323657683 14.3305157013414,-80.6485108935136 14.3330821074978,-80.6481450845617 14.3347855856304,-80.6472257260477 14.3388509538036,-80.6469190589821 14.3401386156719,-80.6463864573995 14.3422686634525,-80.6460525962372 14.3435432760688,-80.6450085416204 14.347355228703,-80.6446462244306 14.3486224346076,-80.6440187881274 14.3507277973866,-80.6436261911002 14.3519931934251,-80.6423433456349 14.3559674998228,-80.6417848162554 14.3576352671144,-80.6409223541602 14.3601189922706,-80.6404097865143 14.3615476555628,-80.6400921143594 14.3624079306096,-80.6399264231199 14.3628456532794,-80.6393793419504 14.364261946137,-80.6384082328625 14.3667016514826,-80.6377442988302 14.3683175873238,-80.6361144004072 14.3721655331443,-80.6355829140495 14.3733816872737,-80.6347703344715 14.375188880924,-80.6342101354033 14.3763796118043,-80.6330502171209 14.3787426447475,-80.6324504581193 14.3799150206575,-80.6318332607416 14.3810762389216,-80.6311619547694 14.3824946956457,-80.6308130681468 14.3832130071049,-80.63012931197 14.3845855103801,-80.6297713052929 14.3852866643679,-80.62856237214 14.3875956597953,-80.6278488721596 14.3889279487518,-80.6272816323939 14.3899610998135,-80.6267510518897 14.3909071881963,-80.6264654047994 14.39140702817,-80.6258247254384 14.392508248613,-80.6255396500176 14.3929872203336,-80.6248431837325 14.3941365141363,-80.6241282634203 14.3952996202762,-80.6238278004953 14.3957810753144,-80.6235268049089 14.3962970419527,-80.6231255267212 14.3969905238725,-80.6226754620768 14.397732147479,-80.6217525086501 14.39921645107,-80.6212828083909 14.3999537449873,-80.6192301197142 14.403097291744,-80.6184934121172 14.4041995426296,-80.6172451217267 14.4060233734165,-80.61648390017 14.4071096909337,-80.6141644643644 14.4103433042947,-80.6133790807365 14.4114131672732,-80.6120502751066 14.4131821612066,-80.6112370616746 14.4142402145024,-80.6086363073626 14.4175464713444,-80.6075266640856 14.4189262790454,-80.6058309893486 14.4209880055888,-80.6046851560029 14.422112762067,-80.6044094474685 14.4225111065721,-80.6038102364616 14.4232018819058,-80.6027709068447 14.424449158418,-80.6017096961321 14.4257091323871,-80.6009256166188 14.4265769684955,-80.5996261585042 14.427950153964,-80.5989650240787 14.4286408092639,-80.5966882593318 14.4308480155368,-80.5964592826512 14.4313440832231,-80.5957413549138 14.4320869451989,-80.5942916726877 14.4335597521721,-80.5934126565531 14.4344348141351,-80.5907489568746 14.4370331577458,-80.5898518607349 14.4378906295078,-80.588341932582 14.4393048153806,-80.5874242179381 14.4401469703221,-80.5842356349977 14.4430137402369,-80.5833643635274 14.4437852852286,-80.5830566296622 14.4440547577983,-80.5805256386521 14.446315851283,-80.5791370574975 14.4475312538195,-80.5770848969065 14.4492871884385,-80.5758785441028 14.4502981395141,-80.5754967001883 14.4506136921632,-80.5747657613754 14.4512078525038,-80.5735195934671 14.4522017694181,-80.5713168838013 14.4539214872842,-80.5698292779434 14.4550561047885,-80.568085658574 14.4563573697774,-80.5655313041715 14.4585073836672,-80.5645357371388 14.4593344250071,-80.5642370050263 14.459579899499,-80.5634937948421 14.4601816397085,-80.5621220457041 14.4612739345626,-80.5612876488736 14.4619266737163,-80.559029763483 14.4636620904109,-80.5582706830118 14.464236184077,-80.556905643993 14.4652518961945,-80.5564763983643 14.4655676872774,-80.5553844479797 14.4663745400703,-80.5546690465113 14.4668956958958,-80.554130583315 14.4672827295253,-80.5532214339063 14.4679829994447,-80.5527228737539 14.4683610023341,-80.5517199756584 14.4691094411654,-80.5512155845402 14.4694799180739,-80.5492182433686 14.4709237185057,-80.5487160560171 14.4712810391657,-80.547706205541 14.4719882622328,-80.5471985434218 14.4723381639237,-80.5454942373751 14.4734941459181,-80.4757963406512 14.5423783818661,-80.4751327943136 14.5432854697365,-80.4738703881229 14.5449760807326,-80.4730999449139 14.5459855413966,-80.4720346167385 14.5473529719255,-80.4693961788994 14.5507139380344,-80.4682473120273 14.552145069688,-80.4665083839654 14.5542618294143,-80.4654907237449 14.5554745148492,-80.464865387578 14.5562054141421,-80.4645345391295 14.5565855984464,-80.4634432138399 14.5578218188821,-80.4615364313494 14.5599352365457,-80.4602518595692 14.5613260440481,-80.4572623074812 14.5644908622984,-80.456718529886 14.5650586348347,-80.455814227337 14.5659907256473,-80.4552623734915 14.5665522358876,-80.4534188184133 14.5684025161224,-80.4523517126906 14.5694548595462,-80.4515843070827 14.5701999587895,-80.4511877945511 14.5705843061006,-80.4507691064051 14.5709901458364,-80.4502108849978 14.5715312333778,-80.449652642534 14.5720723375737,-80.4490814983108 14.5726259319022,-80.4482551587937 14.5734245282045,-80.4474354018142 14.5742056829822,-80.4461561231661 14.5756263241977,-80.4449631597601 14.5769241402651,-80.4420781265266 14.579996317864,-80.441150975235 14.5809617695833,-80.4398862592877 14.5822518377291,-80.439428402178 14.5828480857999,-80.4387207628299 14.583753951714,-80.4365716089081 14.586451839748,-80.435843852532 14.5873477422477,-80.4347399484255 14.5886819757103,-80.4344058450125 14.5890801131432,-80.4336781342415 14.589935407269,-80.4333114944109 14.5903582148226,-80.4322968752327 14.5915093773344,-80.4305246692894 14.5934797286856,-80.4293316158243 14.5947775383203,-80.4264463540108 14.5978497123073,-80.4255191288663 14.5988151632761,-80.4239633709261 14.6003998493493,-80.4230192667531 14.6013407274643,-80.4201562099472 14.6041323503156,-80.419191221374 14.6050529324106,-80.4175658739638 14.606569981025,-80.4165755635681 14.6074742164008,-80.4134224002746 14.6102895995876,-80.4120831461954 14.6114599446904,-80.4100628181161 14.6131873730524,-80.4088883047875 14.6141714791771,-80.4081747473059 14.6147584790197,-80.407804229853 14.6150583962377,-80.4065972956092 14.6160221894862,-80.4044987945805 14.6176638690188,-80.4030943649624 14.6187384338465,-80.4025314601759 14.6191613027384,-80.3999435970114 14.6214896577629,-80.3984799061603 14.6227766595186,-80.3962746797174 14.6246699123428,-80.3949981538126 14.625741978372,-80.3942349271937 14.6263705494608,-80.3938555202391 14.6266777509035,-80.3926485327381 14.6276415357373,-80.3905499285712 14.6292832094057,-80.3891425097431 14.630359956601,-80.385824625112 14.6328441317961,-80.385386537668 14.6331679962005,-80.3841248429296 14.6341524177457,-80.3827268490081 14.6352217724863,-80.3793365147426 14.6377591116622,-80.3782509255286 14.6385529770453,-80.37643574548 14.6398502949794,-80.375337920401 14.6406171012896,-80.3720196955317 14.6428817780603,-80.3709049209256 14.6436250631343,-80.3690332652229 14.6448439969967,-80.3678964727937 14.6455668953012,-80.3642884830163 14.6478057446548,-80.3627614132952 14.6487311180119,-80.3604649608934 14.6500893791176,-80.3591345669753 14.6508586071214,-80.3583290903776 14.6513147761468,-80.3579094674107 14.6515480995282,-80.3565457662034 14.6522946497927,-80.3541839208203 14.6535573205505,-80.3526046255326 14.6543800480649,-80.3488124503249 14.6563052539664,-80.3476015787188 14.6569033608645,-80.3455822988129 14.6578738091993,-80.3443642139491 14.6584431951449,-80.3406919662719 14.6601119673012,-80.3394613883743 14.6606553222354,-80.3374004831967 14.6615390240246,-80.3361518689114 14.6620585739923,-80.3321991352324 14.6636527779203,-80.3305311202741 14.6643052681644,-80.3282191448225 14.6651825866308,-80.3273675878427 14.6654947690342,-80.325538340385 14.6660507080619,-80.3248375584325 14.6663107389298,-80.3224245502045 14.6671867865566,-80.3211190526468 14.6676313652912,-80.3198392428017 14.6680435881943,-80.31884726422 14.6683496504779,-80.3162580942387 14.6691136680377,-80.3147815226737 14.6695203807699,-80.3117622674867 14.6704629357754,-80.3106775483292 14.6707573033578,-80.3067630695246 14.671779344093,-80.3054541516744 14.6721062194147,-80.3032667406923 14.6726277730246,-80.3019443211688 14.6729281523094,-80.2977672496908 14.6738292412441,-80.2960093062474 14.6741893363825,-80.2933784359167 14.6746994166917,-80.291863253351 14.6749779103811,-80.2909514616765 14.6751372134265,-80.2904720792494 14.6752171584748,-80.2889204921468 14.6754654919026,-80.2862521186926 14.6758656280686,-80.2844763429241 14.6761127130806,-80.2802332338545 14.676658190113,-80.2788723436165 14.6768179973578,-80.2766123708627 14.6770586975848,-80.275254769216 14.6771885693449,-80.2711788874732 14.6775343631204,-80.2698186718098 14.6776350682929,-80.2675499897588 14.6777785746624,-80.2661806032942 14.6778503749773,-80.261812426712 14.6780312268236,-80.2599181410535 14.6780889072437,-80.257289124265 14.6781407601172,-80.2567815039764 14.6781475081767,-80.2560429402289 14.6782119645501,-80.2519660286329 14.6785578005064,-80.2506054689874 14.6786585125295,-80.2483362131979 14.6788020182588,-80.2469664705215 14.678873811284,-80.2425959764822 14.6790546610108,-80.2407011426271 14.6791123113591,-80.2378473262893 14.6791672026482,-80.2359453886185 14.6791824417923,-80.2316152928981 14.6791688527485,-80.229845855503 14.6791446936416,-80.2271938431195 14.6790807902536,-80.2254328432754 14.6790200349128,-80.2212407596236 14.6788325799227,-80.2199109827237 14.6787589169293,-80.2179274150151 14.6786293337968,-80.2151279132028 14.6783512396577,-80.2127875753195 14.6780399734591,-80.2121453905662 14.6779795390034,-80.2111689989493 14.6778762253418,-80.2090305028924 14.6776242870591,-80.2084042682856 14.6775466171777,-80.2066421718072 14.6773975474029,-80.2053116193902 14.677263804872,-80.2045609246046 14.6771763605932,-80.2038936894404 14.6770932644801,-80.2024967292628 14.6769080139612,-80.2018180339834 14.6768124149701,-80.2002835018367 14.6765835786672,-80.1997067681071 14.6764935023786,-80.1984187090684 14.6762824972417,-80.1978669173695 14.6761866916603,-80.1963514890729 14.6759117622813,-80.1950348393005 14.6756647706149,-80.1942303840081 14.6755509847825,-80.1929964467387 14.6753578383045,-80.192155184562 14.6752046397791,-80.190478663655 14.6748817866048,-80.1896421212563 14.6747119115669,-80.188466481814 14.6744603548603,-80.1876837790128 14.6742879795229,-80.1846799103923 14.6736060935867,-80.1836161172199 14.6733550638232,-80.1818470541506 14.6729214490199,-80.1807879898725 14.6726521454776,-80.1793436835645 14.6722715709669,-80.1757240643652 14.6713816946728,-80.1745589109055 14.6710785758121,-80.1721799101264 14.6704232675932,-80.1709828517434 14.6700743933064,-80.1671256184429 14.6688868061391,-80.1654222465595 14.668343438216,-80.1628684689058 14.6674987939838,-80.1613886372489 14.6669930767461,-80.1609323252662 14.6668337898185,-80.1600601645087 14.6665217176324,-80.158615126427 14.6659901739595,-80.1561131510804 14.6650419147921,-80.1544451304244 14.664389424511,-80.1505089718846 14.6628021156643,-80.1493594327249 14.6623249489706,-80.147462083311 14.6615152341325,-80.1465170936751 14.6611019958384,-80.1459695834204 14.6608576933031,-80.1449616125587 14.660422416459,-80.1438280870672 14.6599254038457,-80.140454061998 14.6584062424432,-80.1393905230958 14.6579153347232,-80.1376260947427 14.6570808127813,-80.1365723337577 14.6565703006842,-80.1354643914498 14.6560217015586,-80.1342106067962 14.6554000598535,-80.1300387045293 14.6532895769595,-80.1284038681237 14.6524398124792,-80.125980400827 14.6511459016656,-80.1245816675303 14.6503807000667,-80.1241540176928 14.6501430062673,-80.1233435757117 14.6496841124354,-80.1220112763718 14.6489138041699,-80.1197148366949 14.6475555433213,-80.1181877753526 14.6466301700953,-80.1145798047616 14.6443913206938,-80.113443018359 14.6436684223629,-80.1115713725743 14.6424494884552,-80.1104566038738 14.6417062033523,-80.1071383965773 14.6394415264946,-80.1060405773093 14.638674720154,-80.1042254068677 14.6373774021691,-80.1031398233993 14.6365835367549,-80.0997495069871 14.6340461974177,-80.0983420658446 14.6329694511519,-80.0962434289336 14.6313277793416,-80.0950364245186 14.6303639971722,-80.0946588421587 14.6300583000122,-80.0939058742594 14.6294383395767,-80.0926504282289 14.6283845124705,-80.0904833754983 14.6265256600439,-80.0890479433928 14.6252652046258,-80.0857973518724 14.6223455550522,-80.085204701859 14.6218057255118,-80.0842318417983 14.6209078506287,-80.0836517254227 14.6203654356053,-80.0818963758013 14.618702398845,-80.0809705716831 14.6184112434613,-80.0798679541233 14.6181422067884,-80.0780876364817 14.6176908920863,-80.0770246765067 14.6174115481145,-80.0738430884721 14.6165457703836,-80.0727790889516 14.6162462111087,-80.0710089112885 14.6157310587338,-80.0699387661029 14.6154093358242,-80.06561649556 14.6140679833176,-80.0639135649344 14.6135258237657,-80.0625685627189 14.6130851376436,-80.0606658354779 14.6124440739075,-80.0595735261892 14.6120670633331,-80.059207053194 14.6119383922166,-80.0583903520702 14.6116453365949,-80.0569664143968 14.6111212024272,-80.0544650781264 14.610172948534,-80.0527974806453 14.6095204609254,-80.0488493900859 14.6079277846115,-80.0476230220297 14.6074176392875,-80.0455988329916 14.6065503791311,-80.0443900682282 14.6060173488503,-80.0408118168648 14.6043946653384,-80.0398701296505 14.6039580469667,-80.0383070495877 14.6032175150993,-80.0373730501965 14.6027654995839,-80.0366611850015 14.6024144720408,-80.0360780546015 14.6021273760497,-80.0347091458419 14.601448273278,-80.0303663581718 14.5992518896075,-80.0287109368425 14.5983914828172,-80.0263035603978 14.5971061454729,-80.0249605161411 14.5963719441396,-80.0242112606659 14.5959543327218,-80.0238788014499 14.5957660501588,-80.0229229241426 14.5952180469552,-80.0213019850921 14.5942735478365,-80.0202381526228 14.593642982438,-80.0194163223308 14.593148631675,-80.0181400183875 14.5923920617382,-80.0163105073602 14.5912859655719,-80.0119997123601 14.5886199081953,-80.0106462839616 14.5877678580727,-80.0093714431943 14.5869522065283,-80.0083926833557 14.5863129496574,-80.0068338905992 14.5852738281884,-80.0059077146951 14.5846442101272,-80.0031475318517 14.5827310823493,-80.0022333249379 14.5820851011115,-80.0007198542108 14.5809950027318,-79.9998126882087 14.5803289678259,-79.9964526936409 14.577813214706,-79.9950455922754 14.5767364543411,-79.9929474537726 14.5750947541667,-79.9917407066923 14.5741309312911,-79.9913631374002 14.5738251657074,-79.9906100373751 14.5732049327036,-79.9893542101922 14.5721504987048,-79.9871864072179 14.5702904739869,-79.985745309947 14.5690245589203,-79.9822445762755 14.5658759257018,-79.9808579528242 14.5645994511304,-79.9788012440496 14.5626617587267,-79.9774539387402 14.5613628897229,-79.9763873976206 14.5603122695356,-79.9754093063706 14.5593308542302,-79.9739675937781 14.5578593733632,-79.9730126204352 14.5568680192196,-79.9698096088358 14.5534842499304,-79.9684992267865 14.5520672508035,-79.9665739694645 14.5499354264601,-79.965491469784 14.5487104593118,-79.9648628806722 14.5479852724871,-79.964543924989 14.5476111301515,-79.9638156070718 14.5467461239133,-79.9632699806454 14.5461080654683,-79.9621461156099 14.5447720687437,-79.9605213954407 14.5428075967556,-79.9601759588745 14.5424673559307,-79.9590092332973 14.5413197935062,-79.9582303010765 14.540540468221,-79.9566569071995 14.5389364391212,-79.9555380577728 14.5377738576811,-79.9524450721891 14.5344945711559,-79.9511883529227 14.5331315871076,-79.9493428031191 14.5310838852793,-79.9483025470871 14.5299053140614,-79.9476939523189 14.5292027414512,-79.9473740253555 14.5288273036562,-79.9463646661682 14.5276260584267,-79.9446681348243 14.5255642734963,-79.9435579416104 14.5241844386151,-79.9409704153798 14.5208969702685,-79.9402423663128 14.5199524737832,-79.9390514739257 14.5183755763877,-79.9383464142596 14.5174226647527,-79.9362589613448 14.514542571118,-79.9355646607511 14.513564290785,-79.9344220615309 14.5119198284823,-79.9337324594841 14.5109054595498,-79.9328388824619 14.5095625590218,-79.9303116500566 14.5057091784433,-79.9293072290313 14.5041392575217,-79.927836842187 14.5017810934795,-79.927001340664 14.5004086745184,-79.9267475223591 14.4999850443228,-79.9262622517492 14.4991594061552,-79.925473454078 14.4977873659184,-79.9241301709113 14.4953924039007,-79.9232377320481 14.4937571309808,-79.9210562418617 14.4895802757648,-79.9203976514874 14.4883420699938,-79.919821363731 14.4872399546717,-79.918940331047 14.4854425682715,-79.9184704919858 14.4843695035619,-79.9180342600818 14.4833740056909,-79.9169481766364 14.4812674594866,-79.9164693248431 14.4802235878107,-79.9156882405105 14.4784765660245,-79.9152269085196 14.4774172106258,-79.9135951218114 14.4735648347434,-79.9129055302956 14.4718848849328,-79.9123543628455 14.4705135522684,-79.9122024430704 14.4701456134474,-79.9118049134133 14.4691685831353,-79.9108712330564 14.4668213352921,-79.9103253445182 14.465408664664,-79.9101595965222 14.4649709911735,-79.9098417397326 14.4641106057587,-79.9093289048652 14.4626818410766,-79.908466030259 14.4601980394527,-79.9079072395422 14.4585302347537,-79.906623829671 14.4545559429293,-79.9062310614168 14.4532905550748,-79.9056033522535 14.4511852066288,-79.9052408778764 14.4499180094383,-79.9041963715392 14.4461060832843,-79.9038623663523 14.4448314796084,-79.9033295357104 14.4427014469209,-79.903022737278 14.4414137946339,-79.9021029889819 14.4373484687112,-79.9017370351515 14.435645055546,-79.9012153619429 14.4330787761623,-79.9009290564758 14.4315925450269,-79.9008439238721 14.4311338828877,-79.9006841456505 14.4302320694188,-79.9004336783539 14.4287375064613,-79.9000265849733 14.4261447877316,-79.8997735399972 14.4244074288539,-79.8992177548685 14.4202737591153,-79.8990548519492 14.4189462384186,-79.8988097453298 14.4167417825469,-79.898677657987 14.4154175448952,-79.8983264910915 14.4114418810091,-79.8982244180124 14.4101151245982,-79.8980793450886 14.4079022741859,-79.8980070517578 14.406567065346,-79.8978261770416 14.4023159465182,-79.8977702088758 14.4005314925477,-79.8977168365499 14.397870452139,-79.897702242274 14.3964209235366,-79.8977002671573 14.395710142005,-79.8977378178043 14.3882787933782,-79.8977649788872 14.386562858128,-79.8978338950506 14.3839894361666,-79.8978983026985 14.3822810037688,-79.8980921140377 14.3782669955926,-79.8981471685202 14.3772988447398,-79.8982515450747 14.3756965704084,-79.8983220475096 14.3747357004611,-79.898543413899 14.3720152297532,-79.8986022091755 14.3713621996926,-79.8987307144063 14.3700571595888,-79.8988004241733 14.3694051508031,-79.8991010134158 14.3667998473381,-79.8991816179418 14.3661490330672,-79.8993537011218 14.3648487709019,-79.8994451795436 14.3641993242842,-79.8998639901529 14.3614000560235,-79.9000115221484 14.3604640430221,-79.9002664331625 14.358926336502,-79.9003836210472 14.3582228711284,-79.900575693261 14.3569631094812,-79.9009485230123 14.3546496867084,-79.9011642936865 14.353381341596,-79.9012785404279 14.3527351372683,-79.9014905289781 14.3515849623436,-79.9018154425601 14.3499099924837,-79.902337958978 14.3473645005456,-79.9027050631319 14.3456710326238,-79.9034876368301 14.3422381593111,-79.9035719740081 14.3417872237825,-79.9038687038181 14.3402570494728,-79.9044001468479 14.3376626125186,-79.9047718926255 14.3359456772912,-79.9056992381298 14.3318784225044,-79.906008205966 14.3305911823158,-79.9065445595685 14.3284620342034,-79.9068806551539 14.3271879839116,-79.9079313421522 14.3233777819692,-79.9082958466581 14.3221111808967,-79.908926895468 14.3200068623461,-79.9093216201722 14.3187422099426,-79.910610099104 14.3147732188395,-79.9111668833385 14.313119338436,-79.9120314268967 14.310641948141,-79.9125460435965 14.3092142464279,-79.9127361087538 14.3087000098483,-79.9132157297972 14.3074436737945,-79.9139245564158 14.3056491607846,-79.914159011584 14.3050493344614,-79.9145401894349 14.3039217933785,-79.9149585097241 14.3027142781816,-79.9156065240184 14.3008914188169,-79.9160746652482 14.2996091548548,-79.9164221782664 14.2986880131413,-79.9169637944698 14.297292468382,-79.917940461687 14.2948492922189,-79.9186120222543 14.2932216565483,-79.9202476046611 14.2893766607666,-79.9207715867424 14.2881820215643,-79.9216623079677 14.2862102441937,-79.9222097318527 14.2850327780974,-79.9238782985742 14.2815427374113,-79.9243397181143 14.280599288637,-79.9251255368071 14.2790278592815,-79.9256253859377 14.2780507600704,-79.9263696620477 14.2766284694061,-79.9285931191999 14.2724582286823,-79.9294730974427 14.2708516405469,-79.9307999167077 14.2684936342216,-79.9315802168644 14.2671400745189,-79.9318269218755 14.2667189415139,-79.9323274934177 14.2658808384595,-79.9331782556724 14.2644873945433,-79.9346873781382 14.2620751754029,-79.9357347976167 14.260444713368,-79.9384422704699 14.2563385084753,-79.9394537137386 14.2548331518715,-79.9401319749924 14.2538453382825,-79.9412304031966 14.2522790712761,-79.941895950109 14.2513490117088,-79.9438604630938 14.2486578643846,-79.9445226218853 14.2477680804048,-79.9456399873921 14.2462950251027,-79.9463226601281 14.2454120767127,-79.9489022766383 14.2421402830487,-79.950005853092 14.2407706671082,-79.9516880801623 14.2387287405344,-79.9526745859234 14.2375555585299,-79.9529874008252 14.2371886475669,-79.953624616359 14.2364537116729,-79.9547070798104 14.2352291203409,-79.9566154021707 14.2331164672721,-79.9579139975281 14.2317121962299,-79.9611426122568 14.2283021283172,-79.9624523194278 14.2269505241713,-79.9644404335072 14.2249457317072,-79.9657564730671 14.2236484490192,-79.9664794517185 14.2229485817998,-79.9672058406546 14.2222485670729,-79.9682474298971 14.221259623624,-79.9698449161916 14.2197694011469,-79.9709212069163 14.2187832153259,-79.9744052004654 14.2156490804132,-79.9758586543256 14.2143717509385,-79.9780633153095 14.21247991603,-79.9793547265431 14.2113960206589,-79.979753216 14.2110664199117,-79.9805194470067 14.2104435522532,-79.9817950735285 14.2094269050423,-79.9840312498264 14.2076832614914,-79.9855744023495 14.2065087125307,-79.9896051425391 14.2035146971337,-79.9910450929714 14.2024645842583,-79.9918452408994 14.2018772055894,-79.9927118921578 14.2012514519735,-79.9941655530383 14.2002208635643,-79.9950432654191 14.19960993232,-79.9976943269876 14.1977984812077,-79.9985954224306 14.1971942662171,-80.0001093806619 14.1961982506489,-80.0010449758576 14.1955946763176,-80.0024058955517 14.1947336544868,-80.0063580357667 14.1922684672306,-80.0079696605209 14.1912877861595,-80.0103716490935 14.189863028957,-80.0117506410039 14.189064116258,-80.0125717522051 14.1885984266809,-80.0130043758146 14.1883576224191,-80.0143862521689 14.1876006640811,-80.0167576732946 14.1863324804171,-80.0183409874356 14.18550750334,-80.0221284720276 14.1835844320161,-80.0233373303142 14.1829872293789,-80.0253531263157 14.1820183009886,-80.0265690800528 14.1814498157939,-80.0302347918835 14.1797836848341,-80.0314631433482 14.179241189987,-80.0335202739838 14.1783589008867,-80.0347665397784 14.1778402038112,-80.0356447396798 14.1774536988021,-80.0361445097763 14.1771311033664,-80.0370920243977 14.1765300206022,-80.040693081277 14.1742954109429,-80.0422113910466 14.1733751960028,-80.0445106831912 14.1720150856445,-80.045853902033 14.1712384326945,-80.0462704318021 14.1710012406402,-80.0470770794847 14.170550232165,-80.0484234968046 14.1698131294716,-80.0507747480017 14.1685558965636,-80.0523579341363 14.167730919688,-80.0561524374247 14.1658042319658,-80.0574053393314 14.1651858318862,-80.0594953291261 14.1641831752788,-80.0607562680119 14.1635954152209,-80.0645585492039 14.1618742545332,-80.0658350980675 14.1613134405472,-80.0679739539745 14.1604020734015,-80.0692685012048 14.159867470784,-80.0733385128689 14.1582387204296,-80.0753403498856 14.1574505931285,-80.0766932539688 14.1569308745867,-80.0787069596261 14.1561771941434,-80.0798780876734 14.155749413547,-80.0802456894395 14.1556173500702,-80.0809729494319 14.1553613352655,-80.0821965352389 14.1549406965903,-80.0842481368257 14.1542535941965,-80.0848544353055 14.1540535882824,-80.0852222335502 14.1539216549048,-80.0856550507612 14.1537696973048,-80.0869139354278 14.1533365585711,-80.0890768467582 14.1526127420095,-80.0905408154636 14.1521376810124,-80.0920735069601 14.1516547390561,-80.0961727264431 14.1503881999212,-80.097491816378 14.1499960852331,-80.0994698363155 14.1494302339322,-80.099963939314 14.1492924665816,-80.1007654893061 14.149074240104,-80.1013433421444 14.1489109142115,-80.1023549518829 14.1486304018642,-80.1056608969533 14.1477437202985,-80.106789316548 14.1474522002558,-80.1086802805906 14.1469823286267,-80.1098570504486 14.14670183499,-80.1117163843513 14.1462775278699,-80.1165414181293 14.145216722385,-80.1184649538444 14.1448168504138,-80.1213025998773 14.1442610462044,-80.1229055620506 14.1439642795654,-80.1238154619326 14.1438039991073,-80.1242261513757 14.1437347354842,-80.1254258133371 14.1435393113712,-80.1273412310371 14.1432410814681,-80.1294927801325 14.1429104508467,-80.1302755550868 14.1427950253553,-80.1316108575344 14.142724290527,-80.1323732724821 14.1425629924355,-80.1351770898438 14.1421681900088,-80.1362858867051 14.1420205104958,-80.1376367633901 14.1418499576226,-80.1399438200258 14.1416267994448,-80.1412511852654 14.141543534198,-80.1423253629976 14.1414818331243)))', 'Colombian Exclusive Economic Zone (Serrana)', 'Colombia', 'Colombia', '', '132', '259', 'COL', '33184', '2014-02', '3996460640', '33184', 'Y'),('SRID=4326;MULTIPOLYGON(((41.5737322027416 -1.65944444444443,45.8918815430001 -1.65944444444443,45.9112305581247 -1.65944444444443,45.8996515430002 -1.66756064999981,45.8939805430001 -1.67323764999986,45.893941543 -1.67326464999996,45.8918815430001 -1.67532764999993,45.8836715430001 -1.68108164999995,45.8831795430001 -1.6815746499999,45.8830535430001 -1.68166264999991,45.8818785430001 -1.68283964999995,45.8735645430002 -1.68866764999996,45.8706765430001 -1.69155764999988,45.8706015430001 -1.69161164999991,45.8693755430002 -1.69283764999994,45.8552675430001 -1.70272664999987,45.855176543 -1.70281864999993,45.8441985430001 -1.71051464999988,45.8435745430002 -1.7111386499999,45.837969543 -1.71506764999992,45.832773543 -1.72027064999992,45.8297395430001 -1.72239664999995,45.8268705430001 -1.72526864999992,45.8242175430001 -1.72712864999988,45.8218725430001 -1.72947664999992,45.8188115430002 -1.73162164999997,45.8178155430002 -1.73261964999995,45.815929543 -1.73531564999996,45.8034405430002 -1.74782064999982,45.801725543 -1.75027164999995,45.800353543 -1.75164564999994,45.7984245430001 -1.75440364999997,45.7946375430001 -1.75819564999983,45.7946235430001 -1.75821564999995,45.7928395430001 -1.76000164999994,45.7909215430001 -1.76274464999989,45.7792785430001 -1.7744016499999,45.777514543 -1.77692264999996,45.773040543 -1.7814026499999,45.7692095430002 -1.78688064999994,45.7668605430001 -1.78923264999992,45.7650075430001 -1.79188164999994,45.762196543 -1.79469564999994,45.7621075430001 -1.79482464999995,45.7567075430001 -1.80023064999989,45.7567035430001 -1.80023664999993,45.750392543 -1.8065546499999,45.748402543 -1.80939964999993,45.7466865430001 -1.81111864999997,45.7449985430001 -1.81353264999996,45.7437685430001 -1.81476364999992,45.7416965430001 -1.81772564999989,45.7404665430001 -1.81895764999996,45.7383955430002 -1.82191964999987,45.7268835430002 -1.83344564999993,45.7250915430002 -1.83600764999989,45.722742543 -1.83835964999997,45.7208895430002 -1.84100964999993,45.7133935430001 -1.84851364999997,45.7133865430002 -1.84852464999994,45.711037543 -1.85087664999992,45.7091845430002 -1.85352664999982,45.707716543 -1.85499664999992,45.7075815430001 -1.85518864999995,45.6991945430001 -1.86358564999995,45.6974755430002 -1.86604364999994,45.6953985430001 -1.86812464999991,45.6933765430001 -1.87101464999995,45.6923435430001 -1.87204964999995,45.690773543 -1.87429364999997,45.681588543 -1.88349064999994,45.6812715430001 -1.88394464999988,45.666639543 -1.89859464999984,45.6649645430002 -1.90098964999993,45.6635195430001 -1.90243664999991,45.6616625430001 -1.90509164999997,45.6600905430001 -1.90666564999998,45.658258543 -1.90928664999996,45.6544505430001 -1.91309864999988,45.6524565430001 -1.91594964999996,45.636132543 -1.9322946499999,45.634149542 -1.93512964999991,45.633587542 -1.93569364999996,45.6316455420001 -1.93846964999995,45.6204815420001 -1.94964864999997,45.620441542 -1.94970564999988,45.617060542 -1.95309064999992,45.6133385420001 -1.9584136499999,45.6010605420001 -1.97070664999995,45.5991335420002 -1.97346264999993,45.5933475420002 -1.97925664999997,45.5916305420001 -1.98171164999997,45.5911755420001 -1.98216764999995,45.589126542 -1.98509764999983,45.5749045420001 -1.99933764999997,45.5732195420001 -2.00174664999997,45.5664335420001 -2.00854164999981,45.5662165420001 -2.00885164999988,45.5590775420001 -2.01600064999997,45.5574125420002 -2.01838164999998,45.5513065420001 -2.02449564999995,45.551210542 -2.02463264999989,45.5316235420001 -2.04424564999988,45.5299005420001 -2.04670964999991,45.529683542 -2.04692764999993,45.5274985420001 -2.05005064999995,45.5218905420001 -2.05566564999992,45.5199955420001 -2.0583756499999,45.5152615420001 -2.06311664999987,45.5115915420002 -2.06836464999992,45.5087085420001 -2.07125164999997,45.5086905420002 -2.0712776499999,45.5026705420001 -2.07730564999997,45.5007865420001 -2.07999964999993,45.4966355420001 -2.0841556499999,45.4948825420001 -2.08666364999993,45.4938015420001 -2.08774564999993,45.4936835420002 -2.08791364999996,45.489156542 -2.09244664999994,45.487378542 -2.09498864999995,45.4852845420001 -2.09708564999994,45.4852795420001 -2.09709264999998,45.4767995420001 -2.10558464999997,45.470772542 -2.11420364999998,45.4383235420001 -2.14669664999997,45.4365545420002 -2.14922664999995,45.2536965420002 -2.33233564999989,45.0654295420001 -2.60154464999988,45.0631835420001 -2.60379264999983,45.0630285420001 -2.6040146499999,45.0210735420001 -2.64602865099982,45.0020915420001 -2.67316965099997,45.0009045420002 -2.67435765099998,45.000892542 -2.67437465099994,44.999215542 -2.67605365099996,44.9971895420001 -2.67895065099992,44.9268345420002 -2.74940265099997,44.8712095420001 -2.82893065099995,44.869340542 -2.83080265099994,44.8692095420002 -2.83098965099981,44.8675225420001 -2.83267865099992,44.862002542 -2.84057165099995,44.859119542 -2.84345765099988,44.8591015420001 -2.84348365099981,44.8558695420001 -2.84672065099994,44.8519975420002 -2.85225565099995,44.8467245420002 -2.85753665099992,44.8445925420002 -2.86058465099995,44.8379415420001 -2.86724465099991,44.8361875420002 -2.86975165099994,44.8280565420001 -2.87789365099997,44.8069655420001 -2.90804665099984,44.8059565420001 -2.9090566509999,44.8057665420002 -2.90932865099995,44.7944155420002 -2.92069365099997,44.7886545420001 -2.92893065099992,44.7874465420002 -2.93013965099993,44.783649542 -2.93556765099993,44.7833085420001 -2.93590965099997,44.7832495420002 -2.93599465099987,44.778668542 -2.94058065099989,44.7769475420001 -2.94304165099987,44.7740645420001 -2.94592765099992,44.7740465420001 -2.94595465099991,44.7717265420001 -2.94827765099996,44.7695415420002 -2.95140065099997,44.7582675420001 -2.96268965099983,44.7545335420001 -2.96802765099989,44.744240542 -2.97833365099996,44.7386235420001 -2.98636365099992,44.7205945420002 -3.00441565099982,44.7070015420001 -3.02384765099993,44.6959735420002 -3.03488965099996,44.6943945420001 -3.03714765099994,44.6936005420001 -3.03794165099981,44.6931955420002 -3.03852065099994,44.6929465420002 -3.03877065099994,44.6660705420001 -3.07718865099986,44.6650275420001 -3.07823365099989,44.6648715420002 -3.07845465099996,44.6585975420001 -3.0847366509999,44.6568675420002 -3.08721065099996,44.6532705420001 -3.09081165099991,44.6531655420001 -3.09096265099981,44.6436385420002 -3.10050065099995,44.6360525420001 -3.11134465099991,44.6335845420002 -3.11381565099992,44.6335525420002 -3.11386165099998,44.5982655420001 -3.14919165099997,44.5793165420001 -3.17627565099991,44.5790065420001 -3.17658665099998,44.5789165420001 -3.17671565099994,44.5775615420001 -3.17807165099993,44.571807542 -3.18629565099997,44.5714165420002 -3.18668765099989,44.5714105420002 -3.18669565099992,44.563728542 -3.19438665099989,44.5559995410001 -3.20543365099991,44.5539285410001 -3.2075076509999,44.5538965410001 -3.2075526509999,44.528050541 -3.23342865099994,44.5192115410002 -3.25238965099993,44.5187355410001 -3.25307065099986,44.5183105410001 -3.25398065099984,44.2780135410001 -3.60623265099997,43.1914955400002 -2.84150465099992,42.1066905390001 -2.0758686499999,42.0756595390001 -2.05483364999992,41.9409625390001 -1.96361164999985,41.6096555390002 -1.71553864999993,41.608704539 -1.71476664999989,41.5915745390002 -1.70126464999987,41.5853495390001 -1.69626464999988,41.5793755390002 -1.69422164999997,41.560133539 -1.67297864999995,41.5716635390002 -1.66194564999984,41.5737322027416 -1.65944444444443)))', 'Disputed Kenya/Somalia', 'Kenya/Somalia', 'Disputed', 'Kenya/Somalia', '0', '254', '-', '33176', '2014-02', '51520585700', '33176', 'Y');

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO fao (geom, ocean, subocean, f_area, name, area_l, f_subarea, subarea_n, subarea_l, f_division, division_n, division_l, f_subdivis, subdivis_n, subdivis_l, f_subunit, subunit_n, subunit_l, ele_name, ele_label, ele_type, f_label, code, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((30.5000000000001 39.0000000000001,29.7999992370001 39.0000000000001,29.0000000000001 39.0000000000001,27.6973934170001 39.4635620120001,26.9436969760001 39.7317810060001,26.190000534 40.0000000000001,26.1800003050001 40.0499992370001,26.350000381 40.2999992370001,27.0000000000001 40.6699981690001,27.0000000000001 41.8400001530001,28.2624149320001 41.3097877500001,29.0000000000001 41.0000000000001,30.5000000000001 41.0000000000001,30.5000000000001 39.7999992370001,30.5000000000001 39.0000000000001)))', 'Atlantic', '3', '37', 'MEDITERRANEAN AND BLACK SEA', '37', '37.4', 'Black Sea', '', '37.4.1', 'Marmara Sea', '', '', '', '', '', '', '', '', '4.1', '3', '37.4.1', '37.4.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999939999 60.7500000000001,-43.9999999739999 60.37304328,-43.9999999729999 60.3600006010001,-43.99999998 60.1577682770001,-43.999999982 59.8166656500001,-43.999999982 59.7999992370001,-43.999999982 59.7833328240001,-43.999999982 59.7666664120001,-43.999999982 59.7500000000001,-43.999999983 59.7333335870001,-43.999999983 59.7166671750001,-43.999999983 59.700000763,-43.999999983 59.683334351,-43.999999983 59.666667938,-43.999999983 59.650001526,-43.999999983 59.633335114,-43.999999983 59.6166648870001,-43.999999983 59.5999984750001,-43.999999983 59.5833320610001,-43.999999983 59.5666656490001,-43.999999983 59.5499992370001,-43.999999983 59.5333328250001,-43.999999983 59.5166664120001,-43.999999983 59.5000000000001,-43.999999983 59.4833335880001,-43.999999983 59.4666671750001,-43.999999983 59.450000763,-43.999999983 59.433334351,-43.999999983 59.416667939,-43.999999983 59.400001526,-43.999999983 59.383335113,-43.999999983 59.3666648860001,-43.9999999839999 59.3499984740001,-43.9999999839999 59.3333320620001,-43.9999999839999 59.3166656490001,-43.9999999839999 59.2999992370001,-43.9999999839999 59.2833328250001,-43.9999999839999 59.2666664120001,-43.9999999839999 59.2500000000001,-43.9999999839999 59.2333335880001,-43.9999999839999 59.216667176,-43.9999999839999 59.200000763,-43.9999999839999 59.1833343500001,-43.9999999839999 59.166667938,-43.9999999839999 59.150001526,-43.9999999839999 59.133335113,-43.9999999839999 59.1166648860001,-43.9999999839999 59.0999984740001,-43.9999999849999 59.0833320620001,-43.9999999849999 59.0666656500001,-43.9999999849999 59.0499992370001,-43.9999999849999 59.0333328250001,-43.9999999849999 59.0166664130001,-43.9999999849999 59.0000000200001,-43.9666671749999 59.0000000000001,-43.933334351 59.0000000000001,-43.900001526 59.0000000000001,-43.866664887 59.0000000000001,-43.833332061 59.0000000000001,-43.799999237 59.0000000000001,-43.7666664119999 59.0000000000001,-43.7333335879999 59.0000000000001,-43.7000007629999 59.0000000000001,-43.6666679379999 59.0000000000001,-43.6333351129999 59.0000000000001,-43.599998474 59.0000000000001,-43.566665649 59.0000000000001,-43.5333328249999 59.0000000000001,-43.4999999999999 59.0000000000001,-43.4666671749999 59.0000000000001,-43.4333343499999 59.0000000000001,-43.400001526 59.0000000000001,-43.366664886 59.0000000000001,-43.333332062 59.0000000000001,-43.299999237 59.0000000000001,-43.2666664119999 59.0000000000001,-43.2333335869999 59.0000000000001,-43.2000007629999 59.0000000000001,-43.1666679379999 59.0000000000001,-43.133335114 59.0000000000001,-43.099998474 59.0000000000001,-43.0666656499999 59.0000000000001,-43.033332824 59.0000000000001,-42.9999999999999 59.0000000000001,-42.9666671749999 59.0000000000001,-42.933334351 59.0000000000001,-42.900001526 59.0000000000001,-42.866664887 59.0000000000001,-42.833332061 59.0000000000001,-42.799999237 59.0000000000001,-42.7666664119999 59.0000000000001,-42.7333335879999 59.0000000000001,-42.7000007629999 59.0000000000001,-42.6666679379999 59.0000000000001,-42.6333351129999 59.0000000000001,-42.599998474 59.0000000000001,-42.566665649 59.0000000000001,-42.5333328249999 59.0000000000001,-42.4999999999999 59.0000000000001,-42.4666671749999 59.0000000000001,-42.4333343499999 59.0000000000001,-42.400001526 59.0000000000001,-42.366664886 59.0000000000001,-42.333332062 59.0000000000001,-42.299999237 59.0000000000001,-42.2666664119999 59.0000000000001,-42.2333335869999 59.0000000000001,-42.2000007629999 59.0000000000001,-42.1666679379999 59.0000000000001,-42.133335114 59.0000000000001,-42.099998474 59.0000000000001,-42.066665649 59.0000000000001,-42.033332824 59.0000000000001,-41.9999999999999 59.0000000000001,-41.9999999999999 58.9833335870001,-41.9999999999999 58.9666671750001,-41.9999999999999 58.950000763,-41.9999999999999 58.9333343500001,-41.9999999999999 58.916667938,-41.9999999999999 58.900001526,-41.9999999999999 58.883335114,-41.9999999999999 58.8666648870001,-41.9999999999999 58.8499984740001,-41.9999999999999 58.8333320620001,-41.9999999999999 58.8166656500001,-41.9999999999999 58.7999992370001,-41.9999999999999 58.7833328240001,-41.9999999999999 58.7666664120001,-41.9999999999999 58.7500000000001,-41.9999999999999 58.7333335870001,-41.9999999999999 58.7166671750001,-41.9999999999999 58.700000763,-41.9999999999999 58.683334351,-41.9999999999999 58.666667938,-41.9999999999999 58.650001526,-41.9999999999999 58.633335114,-41.9999999999999 58.6166648870001,-41.9999999999999 58.5999984740001,-41.9999999999999 58.5833320610001,-41.9999999999999 58.5666656490001,-41.9999999999999 58.5499992370001,-41.9999999999999 58.5333328250001,-41.9999999999999 58.5166664120001,-41.9999999999999 58.5000000000001,-41.9999999999999 58.4833335880001,-41.9999999999999 58.4666671750001,-41.9999999999999 58.450000763,-41.9999999999999 58.433334351,-41.9999999999999 58.416667939,-41.9999999999999 58.400001526,-41.9999999999999 58.383335113,-41.9999999999999 58.3666648860001,-41.9999999999999 58.3499984740001,-41.9999999999999 58.3333320620001,-41.9999999999999 58.3166656490001,-41.9999999999999 58.2999992370001,-41.9999999999999 58.2833328250001,-41.9999999999999 58.2666664130001,-41.9999999999999 58.2500000000001,-41.9999999999999 58.2333335880001,-41.9999999999999 58.216667176,-41.9999999999999 58.200000763,-41.9999999999999 58.1833343500001,-41.9999999999999 58.166667938,-41.9999999999999 58.150001526,-41.9999999999999 58.133335113,-41.9999999999999 58.1166648860001,-41.9999999999999 58.0999984740001,-41.9999999999999 58.0833320620001,-41.9999999999999 58.0666656500001,-41.9999999999999 58.0499992370001,-41.9999999999999 58.0333328250001,-41.9999999999999 58.0166664130001,-41.9999999999999 58.0000000000001,-41.9999999999999 57.9833335870001,-41.9999999999999 57.9666671750001,-41.9999999999999 57.950000763,-41.9999999999999 57.9333343500001,-41.9999999999999 57.916667938,-41.9999999999999 57.900001526,-41.9999999999999 57.883335114,-41.9999999999999 57.8666648870001,-41.9999999999999 57.8499984740001,-41.9999999999999 57.8333320620001,-41.9999999999999 57.8166656500001,-41.9999999999999 57.7999992370001,-41.9999999999999 57.7833328240001,-41.9999999999999 57.7666664120001,-41.9999999999999 57.7500000000001,-41.9999999999999 57.7333335880001,-41.9999999999999 57.7166671750001,-41.9999999999999 57.700000763,-41.9999999999999 57.683334351,-41.9999999999999 57.666667938,-41.9999999999999 57.650001526,-41.9999999999999 57.633335114,-41.9999999999999 57.6166648870001,-41.9999999999999 57.5999984740001,-41.9999999999999 57.5833320610001,-41.9999999999999 57.5666656490001,-41.9999999999999 57.5499992370001,-41.9999999999999 57.5333328250001,-41.9999999999999 57.5166664120001,-41.9999999999999 57.5000000000001,-41.9999999999999 57.4833335880001,-41.9999999999999 57.466667176,-41.9999999999999 57.450000763,-41.9999999999999 57.433334351,-41.9999999999999 57.416667938,-41.9999999999999 57.400001526,-41.9999999999999 57.383335113,-41.9999999999999 57.3666648860001,-41.9999999999999 57.3499984740001,-41.9999999999999 57.3333320620001,-41.9999999999999 57.3166656490001,-41.9999999999999 57.2999992370001,-41.9999999999999 57.2833328250001,-41.9999999999999 57.2666664130001,-41.9999999999999 57.2500000000001,-41.9999999999999 57.2333335880001,-41.9999999999999 57.2166671750001,-41.9999999999999 57.200000763,-41.9999999999999 57.1833343500001,-41.9999999999999 57.166667938,-41.9999999999999 57.150001526,-41.9999999999999 57.133335113,-41.9999999999999 57.1166648860001,-41.9999999999999 57.0999984740001,-41.9999999999999 57.0833320620001,-41.9999999999999 57.0666656500001,-41.9999999999999 57.0499992370001,-41.9999999999999 57.0333328250001,-41.9999999999999 57.0166664130001,-41.9999999999999 57.0000000000001,-41.9999999999999 56.9833335870001,-41.9999999999999 56.9666671750001,-41.9999999999999 56.950000763,-41.9999999999999 56.9333343500001,-41.9999999999999 56.916667938,-41.9999999999999 56.900001526,-41.9999999999999 56.883335114,-41.9999999999999 56.8666648870001,-41.9999999999999 56.8499984740001,-41.9999999999999 56.8333320620001,-41.9999999999999 56.8166656500001,-41.9999999999999 56.7999992370001,-41.9999999999999 56.7833328240001,-41.9999999999999 56.7666664120001,-41.9999999999999 56.7500000000001,-41.9999999999999 56.7333335880001,-41.9999999999999 56.7166671750001,-41.9999999999999 56.700000763,-41.9999999999999 56.683334351,-41.9999999999999 56.666667938,-41.9999999999999 56.650001526,-41.9999999999999 56.633335114,-41.9999999999999 56.6166648870001,-41.9999999999999 56.5999984740001,-41.9999999999999 56.5833320610001,-41.9999999999999 56.5666656490001,-41.9999996679999 56.5500000750001,-41.999999734 56.533333348,-41.999999734 56.5166668080001,-41.999999734 56.5000002690001,-41.999999734 56.48333373,-41.999999734 56.4666671900001,-41.999999734 56.450000651,-41.999999734 56.4333341110001,-41.999999734 56.4166675710001,-41.999999734 56.400001032,-41.999999734 56.3833344920001,-41.999999734 56.366666045,-41.999999734 56.3499995060001,-41.999999734 56.333332967,-41.999999734 56.316666427,-41.999999734 56.2999998880001,-41.999999734 56.283333348,-41.999999734 56.2666668090001,-41.999999734 56.2500002690001,-41.999999734 56.23333373,-41.999999734 56.2166671900001,-41.999999734 56.20000065,-41.999999734 56.1833341110001,-41.999999734 56.1666675710001,-41.999999734 56.150001032,-41.999999734 56.1333344920001,-41.999999734 56.116666045,-41.999999734 56.0999995060001,-41.999999734 56.083332967,-41.999999734 56.066666427,-41.999999734 56.0499998870001,-41.999999734 56.033333348,-41.999999734 56.0166668080001,-41.999999734 56.0000002690001,-41.999999734 55.983333729,-41.999999734 55.9666671900001,-41.999999734 55.95000065,-41.999999734 55.9333341110001,-41.999999734 55.9166675710001,-41.999999734 55.900001032,-41.999999734 55.8833344930001,-41.999999734 55.866666046,-41.999999734 55.8499995060001,-41.999999734 55.8333329660001,-41.999999734 55.816666427,-41.999999734 55.7999998870001,-41.999999734 55.7833333470001,-41.999999734 55.7666668080001,-41.999999734 55.7500002690001,-41.999999734 55.733333729,-41.999999734 55.7166671900001,-41.999999734 55.70000065,-41.999999734 55.6833341110001,-41.999999734 55.6666675720001,-41.999999734 55.650001032,-41.999999734 55.6333344920001,-41.999999734 55.616666045,-41.999999734 55.5999995060001,-41.999999734 55.5833329660001,-41.999999734 55.566666427,-41.999999734 55.5499998870001,-41.999999734 55.533333348,-41.999999734 55.5166668080001,-41.999999734 55.5000002690001,-41.999999734 55.483333729,-41.999999734 55.4666671900001,-41.999999734 55.45000065,-41.999999734 55.4333341110001,-41.999999734 55.4166675710001,-41.999999734 55.400001032,-41.999999734 55.3833344920001,-41.999999734 55.366666045,-41.999999734 55.3499995060001,-41.999999734 55.3333329660001,-41.999999734 55.316666426,-41.999999734 55.2999998870001,-41.999999734 55.283333348,-41.999999734 55.2666668080001,-41.999999734 55.2500002690001,-41.999999734 55.233333729,-41.999999734 55.2166671890001,-41.999999734 55.20000065,-41.999999734 55.18333411,-41.999999734 55.1666675710001,-41.999999734 55.150001031,-41.999999734 55.1333344920001,-41.999999734 55.116666045,-41.999999734 55.099999505,-41.999999734 55.0833329660001,-41.999999734 55.066666427,-41.999999734 55.0499998870001,-41.999999734 55.033333348,-41.999999734 55.0166668080001,-41.999999734 55.0000002680001,-41.999999734 54.983333729,-41.999999734 54.9666671890001,-41.999999734 54.95000065,-41.999999734 54.9333341110001,-41.999999734 54.9166675710001,-41.999999734 54.900001031,-41.999999734 54.8833344920001,-41.999999734 54.866666045,-41.999999734 54.849999505,-41.999999734 54.8333329660001,-41.999999734 54.816666426,-41.999999734 54.7999998870001,-41.999999734 54.7833333470001,-41.999999734 54.7666668080001,-41.999999734 54.7500002680001,-41.999999734 54.733333729,-41.999999734 54.7166671890001,-41.999999734 54.70000065,-41.999999734 54.68333411,-41.999999734 54.6666675710001,-41.999999734 54.650001031,-41.999999734 54.633334491,-41.999999734 54.616666045,-41.999999734 54.599999505,-41.999999734 54.5833329650001,-41.999999734 54.566666426,-41.999999734 54.5499998870001,-41.999999734 54.5333333470001,-41.999999734 54.5166668080001,-41.999999734 54.5000002680001,-41.999999734 54.483333729,-41.999999734 54.4666671900001,-41.999999734 54.45000065,-41.999999734 54.43333411,-41.999999734 54.4166675700001,-41.999999734 54.400001031,-41.999999734 54.383334491,-41.999999734 54.3666660440001,-41.999999734 54.349999505,-41.999999734 54.3333329660001,-41.999999734 54.316666426,-41.999999734 54.2999998870001,-41.999999734 54.2833333470001,-41.999999734 54.2666668080001,-41.999999734 54.2500002680001,-41.999999734 54.233333729,-41.999999734 54.2166671890001,-41.999999734 54.20000065,-41.999999734 54.18333411,-41.999999734 54.1666675700001,-41.999999734 54.150001031,-41.999999734 54.1333344920001,-41.999999734 54.116666045,-41.999999734 54.099999505,-41.999999734 54.0833329660001,-41.999999734 54.066666426,-41.999999734 54.0499998860001,-41.999999734 54.0333333470001,-41.999999734 54.016666807,-41.999999734 54.0000002680001,-41.999999734 53.983333728,-41.999999734 53.9666671890001,-41.999999734 53.9500006490001,-41.999999734 53.93333411,-41.999999734 53.9166675700001,-41.999999734 53.900001031,-41.999999734 53.8833344920001,-41.999999734 53.866666045,-41.999999734 53.849999505,-41.999999734 53.8333329660001,-41.999999734 53.816666426,-41.999999734 53.7999998860001,-41.999999734 53.7833333470001,-41.999999734 53.766666807,-41.999999734 53.7500002680001,-41.999999734 53.733333729,-41.999999734 53.7166671890001,-41.999999734 53.7000006490001,-41.999999734 53.68333411,-41.999999734 53.6666675710001,-41.999999734 53.650001031,-41.999999734 53.633334491,-41.999999734 53.6166660440001,-41.999999734 53.599999505,-41.999999734 53.5833329650001,-41.999999734 53.566666426,-41.999999734 53.5499998860001,-41.999999734 53.5333333470001,-41.999999734 53.516666807,-41.999999734 53.5000002680001,-41.999999734 53.483333728,-41.999999734 53.4666671890001,-41.999999734 53.4500006490001,-41.999999734 53.433334109,-41.999999734 53.4166675700001,-41.999999734 53.400001031,-41.999999734 53.383334491,-41.999999734 53.3666660440001,-41.999999734 53.349999505,-41.999999734 53.3333329650001,-41.999999734 53.316666426,-41.999999734 53.2999998860001,-41.999999734 53.2833333470001,-41.999999734 53.266666807,-41.999999734 53.2500002680001,-41.999999734 53.233333728,-41.999999734 53.216667188,-41.999999734 53.2000006490001,-41.999999734 53.183334109,-41.999999734 53.1666675700001,-41.999999734 53.150001031,-41.999999734 53.133334491,-41.999999734 53.1166660440001,-41.999999734 53.099999505,-41.999999734 53.0833329650001,-41.999999734 53.066666426,-41.999999734 53.0499998870001,-41.999999734 53.0333333460001,-41.999999734 53.016666807,-41.999999734 53.0000002670001,-41.999999734 52.983333728,-41.999999734 52.966667188,-41.999999734 52.9500006490001,-41.999999734 52.93333411,-41.999999734 52.9166675700001,-41.999999734 52.9000010300001,-41.999999734 52.883334491,-41.999999734 52.8666660440001,-41.999999734 52.849999505,-41.999999734 52.8333329650001,-41.999999734 52.8166664250001,-41.999999734 52.7999998860001,-41.999999734 52.7833333460001,-41.999999734 52.766666807,-41.999999734 52.7500002670001,-41.999999734 52.733333728,-41.999999734 52.716667188,-41.999999734 52.7000006490001,-41.999999734 52.68333411,-41.999999734 52.6666675700001,-41.999999734 52.6500010300001,-41.999999734 52.63333449,-41.999999734 52.6166660440001,-41.999999734 52.599999504,-41.999999734 52.5833329650001,-41.999999734 52.5666664250001,-41.999999734 52.5499998860001,-41.999999734 52.5333333460001,-41.999999734 52.516666807,-41.999999734 52.5000002670001,-41.9999999999999 52.4833335880001,-41.9999999999999 52.466667176,-41.9999999999999 52.450000763,-41.9999999999999 52.4333343500001,-41.9999999999999 52.416667938,-41.9999999999999 52.400001526,-41.9999999999999 52.383335113,-41.9999999999999 52.3666648860001,-41.9999999999999 52.3499984740001,-41.9999999999999 52.3333320620001,-41.9999999999999 52.3166656500001,-41.9999999999999 52.2999992370001,-41.9999999999999 52.2833328250001,-41.9999999999999 52.2666664130001,-41.9999999999999 52.2500000000001,-42.0288314819999 52.2666664130001,-42.057674408 52.2833328250001,-42.0865287779999 52.2999992370001,-42.115394593 52.3166656500001,-42.144271851 52.3333320620001,-42.1731605529999 52.3499984740001,-42.2020568849999 52.3666648860001,-42.230964661 52.383335113,-42.259887695 52.400001526,-42.2888183599999 52.416667938,-42.317760467 52.4333343500001,-42.3467140189999 52.450000763,-42.375675202 52.466667176,-42.404651642 52.4833335880001,-42.433635711 52.5000000000001,-42.46263504 52.5166664120001,-42.491641998 52.5333328250001,-42.5206604009999 52.5499992370001,-42.549694061 52.5666656490001,-42.578735352 52.5833320620001,-42.607788086 52.5999984740001,-42.6368484499999 52.6166648860001,-42.6659240719999 52.633335113,-42.695011139 52.650001526,-42.7241058349999 52.666667939,-42.75321579 52.683334351,-42.782333374 52.700000763,-42.811466217 52.7166671750001,-42.84060669 52.7333335880001,-42.8697586059999 52.7500000000001,-42.8989257809999 52.7666664120001,-42.928100586 52.7833328240001,-42.9572868339999 52.7999992370001,-42.986484527 52.8166656490001,-43.015693664 52.8333320610001,-43.044914246 52.8499984750001,-43.07414627 52.8666648870001,-43.10338974 52.883335114,-43.132640839 52.900001526,-43.161907196 52.916667938,-43.191184998 52.933334351,-43.220474243 52.950000763,-43.249771118 52.9666671750001,-43.279083252 52.9833335870001,-43.30840683 53.0000000000001,-43.337738037 53.0166664120001,-43.3670845029999 53.0333328240001,-43.396438598 53.0499992380001,-43.4258079529999 53.0666656500001,-43.455188752 53.0833320620001,-43.484577179 53.0999984740001,-43.513980865 53.1166648870001,-43.5433921819999 53.133335114,-43.5728187559999 53.150001526,-43.6022567749999 53.166667938,-43.631702423 53.1833343500001,-43.66116333 53.200000763,-43.690631867 53.2166671750001,-43.720115662 53.2333335870001,-43.749610901 53.2500000000001,-43.7791175839999 53.2666664130001,-43.8086318969999 53.2833328250001,-43.838161468 53.2999992370001,-43.8677024839999 53.3166656500001,-43.8972549439999 53.3333320620001,-43.9268188469999 53.3499984740001,-43.956394195 53.3666648860001,-43.9859809879999 53.383335113,-44.015579224 53.400001526,-44.045188904 53.416667938,-44.0748100279999 53.4333343500001,-44.1044425969999 53.450000763,-44.134086609 53.466667176,-44.16374588 53.4833335880001,-44.1934127809999 53.5000000000001,-44.22309494 53.5166664120001,-44.252784729 53.5333328250001,-44.282489777 53.5499992370001,-44.312206268 53.5666656490001,-44.341930389 53.5833320620001,-44.37166977 53.5999984740001,-44.401420593 53.6166648860001,-44.431182861 53.633335113,-44.4609603879999 53.650001526,-44.4907455439999 53.666667939,-44.5205421439999 53.683334351,-44.550354004 53.700000763,-44.580173492 53.7166671750001,-44.61000824 53.7333335880001,-44.6398544309999 53.7500000000001,-44.6697120659999 53.7666664120001,-44.699581146 53.7833328240001,-44.72946167 53.7999992370001,-44.759357452 53.8166656490001,-44.789260865 53.8333320620001,-44.8191795349999 53.8499984750001,-44.8491058349999 53.8666648870001,-44.879047393 53.883335114,-44.909000396 53.900001526,-44.938964843 53.916667938,-44.9689445499999 53.933334351,-44.9989318839999 53.950000763,-45.028934479 53.9666671750001,-45.058948517 53.9833335870001,-45.088973999 54.0000000000001,-45.1190109259999 54.0166664120001,-45.149059295 54.0333328250001,-45.1791191099999 54.0499992370001,-45.209194183 54.0666656500001,-45.239280701 54.0833320620001,-45.269378662 54.0999984740001,-45.299488068 54.1166648870001,-45.329608917 54.133335114,-45.359745026 54.150001526,-45.3898925779999 54.166667938,-45.420051574 54.1833343500001,-45.4502220159999 54.200000763,-45.4804038999999 54.2166671750001,-45.510601043 54.2333335880001,-45.5408096319999 54.2500000000001,-45.5710296629999 54.2666664130001,-45.601261139 54.2833328250001,-45.631504059 54.2999992370001,-45.6617622379999 54.3166656490001,-45.69203186 54.3333320620001,-45.722312927 54.3499984740001,-45.7526054379999 54.3666648860001,-45.782913208 54.383335113,-45.8132324219999 54.400001526,-45.84356308 54.416667938,-45.8739051819999 54.433334351,-45.904262542 54.450000763,-45.934631348 54.466667176,-45.9650115969999 54.4833335880001,-45.99540329 54.5000000000001,-46.025810242 54.5166664120001,-46.0562286379999 54.5333328250001,-46.0866584779999 54.5499992370001,-46.117099762 54.5666656490001,-46.147556305 54.5833320610001,-46.178024292 54.5999984740001,-46.208503724 54.6166648860001,-46.2389984129999 54.633335113,-46.2695045469999 54.650001526,-46.3000221249999 54.666667939,-46.330554962 54.683334351,-46.3610954289999 54.700000763,-46.3916511539999 54.7166671750001,-46.4222221379999 54.7333335880001,-46.4528007499999 54.7500000000001,-46.483394623 54.7666664120001,-46.5140037529999 54.7833328240001,-46.544620514 54.7999992370001,-46.575252533 54.8166656490001,-46.605899811 54.8333320620001,-46.636554718 54.8499984740001,-46.6672248839999 54.8666648870001,-46.697910309 54.883335114,-46.7286033629999 54.900001526,-46.759311676 54.916667938,-46.7900352469999 54.933334351,-46.820766449 54.950000763,-46.851512909 54.9666671750001,-46.8822746279999 54.9833335870001,-46.9130477909999 55.0000000000001,-46.943832398 55.0166664120001,-46.974628449 55.0333328250001,-47.005439758 55.0499992370001,-47.0362625129999 55.0666656500001,-47.0671005249999 55.0833320620001,-47.0979499819999 55.0999984740001,-47.128810883 55.1166648860001,-47.159687043 55.133335114,-47.190574646 55.150001526,-47.221477509 55.166667938,-47.252391815 55.1833343500001,-47.2833175659999 55.200000763,-47.314258576 55.2166671750001,-47.3452148439999 55.2333335880001,-47.3761787409999 55.2500000000001,-47.407157898 55.2666664130001,-47.438152314 55.2833328250001,-47.469158173 55.2999992370001,-47.500175476 55.3166656490001,-47.5312080379999 55.3333320620001,-47.562252045 55.3499984740001,-47.5933113099999 55.3666648860001,-47.6243820189999 55.383335113,-47.6554641719999 55.400001526,-47.6865615849999 55.416667938,-47.717674256 55.433334351,-47.74879837 55.450000763,-47.779933929 55.466667176,-47.8110847469999 55.4833335880001,-47.8422470089999 55.5000000000001,-47.87342453 55.5166664120001,-47.904613495 55.5333328250001,-47.935817718 55.5499992370001,-47.967033386 55.5666656490001,-47.9982643119999 55.5833320610001,-48.029506683 55.5999984740001,-48.0607643129999 55.6166648860001,-48.092033386 55.633335114,-48.1233177189999 55.650001526,-48.154613495 55.666667939,-48.18592453 55.683334351,-48.2172470099999 55.700000763,-48.2485847469999 55.7166671750001,-48.27993393 55.7333335880001,-48.31129837 55.7500000000001,-48.342674255 55.7666664120001,-48.374065399 55.7833328240001,-48.405471802 55.7999992370001,-48.436889648 55.8166656490001,-48.468318939 55.8333320620001,-48.499763489 55.8499984740001,-48.5312232969999 55.8666648870001,-48.5626945499999 55.883335114,-48.594181061 55.900001526,-48.6256790159999 55.916667938,-48.65719223 55.933334351,-48.6887168879999 55.950000763,-48.720256805 55.9666671750001,-48.7518081659999 55.9833335870001,-48.783378601 56.0000000000001,-48.814956665 56.0166664120001,-48.846553802 56.0333328250001,-48.8781623839999 56.0499992370001,-48.9097824089999 56.0666656500001,-48.9414176939999 56.0833320620001,-48.9730682369999 56.0999984740001,-49.0047302249999 56.1166648860001,-49.036407471 56.133335113,-49.068096161 56.150001526,-49.099803924 56.166667938,-49.131519318 56.1833343500001,-49.1632537839999 56.200000763,-49.194999695 56.2166671750001,-49.2267570499999 56.2333335880001,-49.2585334779999 56.2500000000001,-49.2903213499999 56.2666664130001,-49.322120667 56.2833328250001,-49.3539390559999 56.2999992370001,-49.385765076 56.3166656490001,-49.417610168 56.3333320620001,-49.449466706 56.3499984740001,-49.481338501 56.3666648860001,-49.513225556 56.383335113,-49.545124054 56.4000015250001,-49.577037812 56.416667938,-49.6089630129999 56.433334351,-49.6409072869999 56.450000763,-49.6728630069999 56.466667176,-49.70483017 56.4833335880001,-49.736812592 56.5000000000001,-49.768814087 56.5166664120001,-49.800823212 56.5333328250001,-49.8328514099999 56.5499992370001,-49.864891052 56.5666656490001,-49.8969459529999 56.5833320610001,-49.929012298 56.5999984740001,-49.961097717 56.6166648870001,-49.99319458 56.633335114,-50.025306702 56.650001526,-50.057430267 56.666667938,-50.089569092 56.683334351,-50.1217231749999 56.700000763,-50.153892518 56.7166671750001,-50.186077118 56.7333335880001,-50.2182731629999 56.7500000000001,-50.2504844659999 56.7666664120001,-50.282711029 56.7833328240001,-50.314949036 56.7999992370001,-50.3472061159999 56.8166656500001,-50.37947464 56.8333320620001,-50.411758423 56.8499984740001,-50.4440536499999 56.8666648870001,-50.4763679499999 56.883335114,-50.508693695 56.900001526,-50.541034698 56.916667938,-50.573390961 56.9333343500001,-50.6057624819999 56.950000763,-50.6381454469999 56.9666671750001,-50.67054367 56.9833335870001,-50.702960968 57.0000000000001,-50.735385895 57.0166664130001,-50.767829895 57.0333328250001,-50.800289154 57.0499992370001,-50.832759857 57.0666656500001,-50.8652458189999 57.0833320620001,-50.897750855 57.0999984740001,-50.930267334 57.1166648860001,-50.962795258 57.133335113,-50.995342254 57.150001526,-51.027904511 57.166667938,-51.060478211 57.1833343500001,-51.0930671689999 57.200000763,-51.125671387 57.2166671750001,-51.1582908629999 57.2333335880001,-51.190925598 57.2500000000001,-51.223575592 57.2666664130001,-51.256240845 57.2833328250001,-51.288917542 57.2999992370001,-51.321613312 57.3166656490001,-51.354320526 57.3333320620001,-51.387042999 57.3499984740001,-51.4197807309999 57.3666648860001,-51.452537537 57.383335113,-51.485305786 57.4000015250001,-51.518085479 57.416667938,-51.5508842469999 57.433334351,-51.583698273 57.450000763,-51.616527557 57.466667176,-51.649368286 57.4833335880001,-51.682228089 57.5000000000001,-51.7151031499999 57.5166664120001,-51.747989655 57.5333328250001,-51.780895233 57.5499992370001,-51.813812255 57.5666656490001,-51.8467445369999 57.5833320610001,-51.879695892 57.5999984740001,-51.9126586909999 57.6166648870001,-51.945636749 57.633335114,-51.978633881 57.650001526,-52.0116424559999 57.666667938,-52.04466629 57.683334351,-52.077709198 57.700000763,-52.110763549 57.7166671750001,-52.14383316 57.7333335880001,-52.1769218439999 57.7500000000001,-52.210021973 57.7666664120001,-52.2431373599999 57.7833328240001,-52.27627182 57.7999992370001,-52.309417724 57.8166656500001,-52.3425788879999 57.8333320620001,-52.3757591249999 57.8499984740001,-52.408950806 57.8666648870001,-52.4421615599999 57.883335114,-52.475387573 57.900001526,-52.508625031 57.916667938,-52.541881561 57.9333343500001,-52.575153351 57.950000763,-52.6084403999999 57.9666671750001,-52.6417427059999 57.9833335870001,-52.675056458 58.0000000000001,-52.7083930969999 58.0166664130001,-52.741741181 58.0333328250001,-52.775104523 58.0499992370001,-52.808483124 58.0666656500001,-52.841880798 58.0833320620001,-52.875289917 58.0999984740001,-52.9087181089999 58.1166648860001,-52.9421615599999 58.133335113,-52.97562027 58.150001526,-53.0090942379999 58.166667938,-53.042583465 58.1833343500001,-53.076087952 58.200000763,-53.109611512 58.216667176,-53.143146515 58.2333335880001,-53.176700592 58.2500000000001,-53.2102699279999 58.2666664130001,-53.2438545219999 58.2833328250001,-53.277454376 58.2999992370001,-53.311069488 58.3166656490001,-53.344703674 58.3333320620001,-53.3783531189999 58.3499984740001,-53.412014007 58.3666648860001,-53.44569397 58.383335113,-53.479393005 58.400001526,-53.5131034849999 58.416667939,-53.5468330379999 58.433334351,-53.5805778499999 58.450000763,-53.614337921 58.4666671750001,-53.648113251 58.4833335880001,-53.681903839 58.5000000000001,-53.715713501 58.5166664120001,-53.749538421 58.5333328250001,-53.783378601 58.5499992370001,-53.817237854 58.5666656490001,-53.851108551 58.5833320610001,-53.8849983219999 58.5999984740001,-53.918903351 58.6166648870001,-53.952827454 58.633335114,-53.9867629999999 58.650001526,-54.020717621 58.666667938,-54.0546874999999 58.683334351,-54.088676452 58.700000763,-54.122680664 58.7166671750001,-54.1567001339999 58.7333335870001,-54.1907348629999 58.7500000000001,-54.224784851 58.7666664120001,-54.2588539119999 58.7833328240001,-54.2929420469999 58.7999992370001,-54.327041626 58.8166656500001,-54.3611602779999 58.8333320620001,-54.39529419 58.8499984740001,-54.4294433589999 58.8666648870001,-54.463611602 58.883335114,-54.497795105 58.900001526,-54.531997681 58.916667938,-54.566215515 58.9333343500001,-54.600448609 58.950000763,-54.634696961 58.9666671750001,-54.668964386 58.9833335870001,-54.70324707 59.0000000000001,-54.7375488279999 59.0166664130001,-54.771865845 59.0333328250001,-54.80619812 59.0499992370001,-54.8405494689999 59.0666656500001,-54.874916077 59.0833320620001,-54.909301758 59.0999984740001,-54.943698883 59.1166648860001,-54.9781188969999 59.133335113,-55.012550354 59.150001526,-55.0470046999999 59.166667938,-55.08147049 59.1833343500001,-55.1159553529999 59.200000763,-55.150459289 59.216667176,-55.184974671 59.2333335880001,-55.219512939 59.2500000000001,-55.2540626529999 59.2666664120001,-55.288631439 59.2833328250001,-55.323219299 59.2999992370001,-55.3578224189999 59.3166656490001,-55.392444611 59.3333320620001,-55.427082062 59.3499984740001,-55.461734771 59.3666648860001,-55.496406555 59.383335113,-55.531097412 59.400001526,-55.5658035279999 59.416667939,-55.600524903 59.433334351,-55.6352653499999 59.450000763,-55.670021057 59.4666671750001,-55.7047958379999 59.4833335880001,-55.7395896909999 59.5000000000001,-55.774398804 59.5166664120001,-55.8092231749999 59.5333328250001,-55.84406662 59.5499992370001,-55.8789291379999 59.5666656490001,-55.913806915 59.5833320610001,-55.9487037659999 59.5999984750001,-55.9836158749999 59.6166648870001,-56.018547058 59.633335114,-56.0534934999999 59.650001526,-56.088459015 59.666667938,-56.123439788 59.683334351,-56.158439636 59.700000763,-56.193458557 59.7166671750001,-56.228492737 59.7333335870001,-56.26354599 59.7500000000001,-56.298614502 59.7666664120001,-56.3337020869999 59.7833328240001,-56.368808746 59.7999992370001,-56.403930664 59.8166656500001,-56.439071656 59.8333320620001,-56.47423172 59.8499984740001,-56.509407043 59.8666648870001,-56.54460144 59.883335114,-56.579811096 59.900001526,-56.6150398249999 59.916667938,-56.6502876279999 59.9333343500001,-56.68555069 59.950000763,-56.7208328249999 59.9666671750001,-56.756134033 59.9833335870001,-56.791450501 60.0000000000001,-56.826786042 60.0166664130001,-56.862140656 60.0333328250001,-56.897514343 60.0499992370001,-56.93290329 60.0666656500001,-56.9683113099999 60.0833320620001,-57.003734588 60.0999984740001,-57.039180755 60.1166648860001,-57.0746421809999 60.133335113,-57.1101188659999 60.150001526,-57.145618439 60.166667938,-57.216667176 60.200000763,-57.216701507 60.2177772520001,-57.216739655 60.2355575560001,-57.216773986 60.253337861,-57.216812134 60.2711143490001,-57.2168464659999 60.2888946530001,-57.2168846129999 60.3066711430001,-57.216918945 60.3244514470001,-57.216957092 60.342227935,-57.216995239 60.3600082400001,-57.2170295719999 60.377784729,-57.217067718 60.3955650330001,-57.217102051 60.4133415220001,-57.217140198 60.431121826,-57.21717453 60.4488983150001,-57.217212677 60.46667862,-57.217250824 60.4844551090001,-57.2172851569999 60.5022354120001,-57.2173233029999 60.5200119020001,-57.2173614509999 60.537788391,-57.217395782 60.555568695,-57.21743393 60.5733451840001,-57.217472076 60.591121673,-57.217506409 60.6089019780001,-57.217544556 60.626678467,-57.2175827029999 60.6444549560001,-57.2176208499999 60.66223526,-57.217655182 60.6800117490001,-57.217693329 60.697788238,-57.217731476 60.7155685430001,-57.217769623 60.733345032,-57.217803955 60.7500000000001,-57.099998474 60.7500000000001,-57.066665649 60.7500000000001,-57.0333328249999 60.7500000000001,-56.9999999999999 60.7500000000001,-56.9666671749999 60.7500000000001,-56.9333343499999 60.7500000000001,-56.900001526 60.7500000000001,-56.866664886 60.7500000000001,-56.833332062 60.7500000000001,-56.799999237 60.7500000000001,-56.7666664119999 60.7500000000001,-56.7333335869999 60.7500000000001,-56.7000007629999 60.7500000000001,-56.6666679379999 60.7500000000001,-56.633335114 60.7500000000001,-56.599998474 60.7500000000001,-56.566665649 60.7500000000001,-56.533332824 60.7500000000001,-56.4999999999999 60.7500000000001,-56.4666671749999 60.7500000000001,-56.433334351 60.7500000000001,-56.400001526 60.7500000000001,-56.366664886 60.7500000000001,-56.333332061 60.7500000000001,-56.299999237 60.7500000000001,-56.2666664119999 60.7500000000001,-56.2333335879999 60.7500000000001,-56.2000007629999 60.7500000000001,-56.1666679379999 60.7500000000001,-56.133335113 60.7500000000001,-56.099998474 60.7500000000001,-56.066665649 60.7500000000001,-56.0333328249999 60.7500000000001,-55.9999999999999 60.7500000000001,-55.9666671749999 60.7500000000001,-55.9333343499999 60.7500000000001,-55.900001526 60.7500000000001,-55.866664886 60.7500000000001,-55.833332062 60.7500000000001,-55.799999237 60.7500000000001,-55.7666664119999 60.7500000000001,-55.7333335869999 60.7500000000001,-55.7000007629999 60.7500000000001,-55.6666679379999 60.7500000000001,-55.633335114 60.7500000000001,-55.599998474 60.7500000000001,-55.566665649 60.7500000000001,-55.533332824 60.7500000000001,-55.4999999999999 60.7500000000001,-55.4666671749999 60.7500000000001,-55.433334351 60.7500000000001,-55.400001526 60.7500000000001,-55.366664886 60.7500000000001,-55.333332061 60.7500000000001,-55.299999237 60.7500000000001,-55.2666664119999 60.7500000000001,-55.2333335879999 60.7500000000001,-55.2000007629999 60.7500000000001,-55.1666679379999 60.7500000000001,-55.133335113 60.7500000000001,-55.099998474 60.7500000000001,-55.066665649 60.7500000000001,-55.0333328249999 60.7500000000001,-54.9999999999999 60.7500000000001,-54.9666671749999 60.7500000000001,-54.9333343499999 60.7500000000001,-54.900001526 60.7500000000001,-54.866664886 60.7500000000001,-54.833332062 60.7500000000001,-54.799999237 60.7500000000001,-54.7666664119999 60.7500000000001,-54.7333335869999 60.7500000000001,-54.7000007629999 60.7500000000001,-54.6666679379999 60.7500000000001,-54.633335114 60.7500000000001,-54.599998474 60.7500000000001,-54.566665649 60.7500000000001,-54.533332824 60.7500000000001,-54.4999999999999 60.7500000000001,-54.4666671749999 60.7500000000001,-54.433334351 60.7500000000001,-54.400001526 60.7500000000001,-54.366664886 60.7500000000001,-54.333332062 60.7500000000001,-54.299999237 60.7500000000001,-54.2666664119999 60.7500000000001,-54.2333335879999 60.7500000000001,-54.2000007629999 60.7500000000001,-54.1666679379999 60.7500000000001,-54.133335113 60.7500000000001,-54.099998474 60.7500000000001,-54.066665649 60.7500000000001,-54.0333328249999 60.7500000000001,-53.9999999999999 60.7500000000001,-53.9666671749999 60.7500000000001,-53.9333343499999 60.7500000000001,-53.900001526 60.7500000000001,-53.866664886 60.7500000000001,-53.833332062 60.7500000000001,-53.799999237 60.7500000000001,-53.7666664119999 60.7500000000001,-53.7333335869999 60.7500000000001,-53.7000007629999 60.7500000000001,-53.6666679379999 60.7500000000001,-53.633335114 60.7500000000001,-53.599998474 60.7500000000001,-53.566665649 60.7500000000001,-53.533332824 60.7500000000001,-53.4999999999999 60.7500000000001,-53.4666671749999 60.7500000000001,-53.433334351 60.7500000000001,-53.400001526 60.7500000000001,-53.366664886 60.7500000000001,-53.333332062 60.7500000000001,-53.299999237 60.7500000000001,-53.2666664119999 60.7500000000001,-53.2333335879999 60.7500000000001,-53.2000007629999 60.7500000000001,-53.1666679379999 60.7500000000001,-53.133335113 60.7500000000001,-53.099998474 60.7500000000001,-53.066665649 60.7500000000001,-53.0333328249999 60.7500000000001,-52.9999999999999 60.7500000000001,-52.9666671749999 60.7500000000001,-52.9333343499999 60.7500000000001,-52.900001526 60.7500000000001,-52.866664886 60.7500000000001,-52.833332062 60.7500000000001,-52.799999237 60.7500000000001,-52.7666664119999 60.7500000000001,-52.7333335869999 60.7500000000001,-52.7000007629999 60.7500000000001,-52.6666679379999 60.7500000000001,-52.633335114 60.7500000000001,-52.599998474 60.7500000000001,-52.566665649 60.7500000000001,-52.5333328249999 60.7500000000001,-52.4999999999999 60.7500000000001,-52.4666671749999 60.7500000000001,-52.433334351 60.7500000000001,-52.400001526 60.7500000000001,-52.366664886 60.7500000000001,-52.333332062 60.7500000000001,-52.299999237 60.7500000000001,-52.2666664119999 60.7500000000001,-52.2333335879999 60.7500000000001,-52.2000007629999 60.7500000000001,-52.1666679379999 60.7500000000001,-52.133335113 60.7500000000001,-52.099998474 60.7500000000001,-52.066665649 60.7500000000001,-52.0333328249999 60.7500000000001,-51.9999999999999 60.7500000000001,-51.9666671749999 60.7500000000001,-51.9333343499999 60.7500000000001,-51.900001526 60.7500000000001,-51.866664886 60.7500000000001,-51.833332062 60.7500000000001,-51.799999237 60.7500000000001,-51.7666664119999 60.7500000000001,-51.7333335879999 60.7500000000001,-51.7000007629999 60.7500000000001,-51.6666679379999 60.7500000000001,-51.633335114 60.7500000000001,-51.599998474 60.7500000000001,-51.566665649 60.7500000000001,-51.5333328249999 60.7500000000001,-51.4999999999999 60.7500000000001,-51.4666671749999 60.7500000000001,-51.433334351 60.7500000000001,-51.4000015249999 60.7500000000001,-51.366664886 60.7500000000001,-51.333332062 60.7500000000001,-51.299999237 60.7500000000001,-51.2666664119999 60.7500000000001,-51.2333335879999 60.7500000000001,-51.2000007619999 60.7500000000001,-51.1666679379999 60.7500000000001,-51.1333351129999 60.7500000000001,-51.099998474 60.7500000000001,-51.066665649 60.7500000000001,-51.0333328249999 60.7500000000001,-50.9999999999999 60.7500000000001,-50.9666671749999 60.7500000000001,-50.9333343499999 60.7500000000001,-50.900001526 60.7500000000001,-50.866664886 60.7500000000001,-50.833332062 60.7500000000001,-50.799999237 60.7500000000001,-50.7666664119999 60.7500000000001,-50.7333335879999 60.7500000000001,-50.7000007629999 60.7500000000001,-50.6666679379999 60.7500000000001,-50.633335114 60.7500000000001,-50.599998474 60.7500000000001,-50.566665649 60.7500000000001,-50.5333328249999 60.7500000000001,-50.4999999999999 60.7500000000001,-50.4666671749999 60.7500000000001,-50.433334351 60.7500000000001,-50.4000015249999 60.7500000000001,-50.366664886 60.7500000000001,-50.333332062 60.7500000000001,-50.299999237 60.7500000000001,-50.2666664119999 60.7500000000001,-50.2333335879999 60.7500000000001,-50.2000007629999 60.7500000000001,-50.1666679379999 60.7500000000001,-50.1333351129999 60.7500000000001,-50.099998474 60.7500000000001,-50.066665649 60.7500000000001,-50.0333328249999 60.7500000000001,-49.9999999999999 60.7500000000001,-49.9666671749999 60.7500000000001,-49.933334351 60.7500000000001,-49.900001526 60.7500000000001,-49.866664886 60.7500000000001,-49.833332062 60.7500000000001,-49.799999237 60.7500000000001,-49.7666664119999 60.7500000000001,-49.7333335879999 60.7500000000001,-49.7000007629999 60.7500000000001,-49.6666679379999 60.7500000000001,-49.633335114 60.7500000000001,-49.599998474 60.7500000000001,-49.566665649 60.7500000000001,-49.5333328249999 60.7500000000001,-49.4999999999999 60.7500000000001,-49.4666671749999 60.7500000000001,-49.433334351 60.7500000000001,-49.400001526 60.7500000000001,-49.366664886 60.7500000000001,-49.333332062 60.7500000000001,-49.299999237 60.7500000000001,-49.2666664119999 60.7500000000001,-49.2333335879999 60.7500000000001,-49.2000007629999 60.7500000000001,-49.1666679379999 60.7500000000001,-49.133335114 60.7500000000001,-49.099998474 60.7500000000001,-49.066665649 60.7500000000001,-49.0333328249999 60.7500000000001,-48.9999999999999 60.7500000000001,-48.9666671749999 60.7500000000001,-48.933334351 60.7500000000001,-48.900001526 60.7500000000001,-48.866664886 60.7500000000001,-48.833332062 60.7500000000001,-48.799999237 60.7500000000001,-48.7666664119999 60.7500000000001,-48.7333335879999 60.7500000000001,-48.7000007629999 60.7500000000001,-48.6666679379999 60.7500000000001,-48.633335114 60.7500000000001,-48.599998474 60.7500000000001,-48.566665649 60.7500000000001,-48.5333328249999 60.7500000000001,-48.4999999999999 60.7500000000001,-48.4666671749999 60.7500000000001,-48.433334351 60.7500000000001,-48.400001526 60.7500000000001,-48.366664886 60.7500000000001,-48.333332062 60.7500000000001,-48.299999237 60.7500000000001,-48.2666664119999 60.7500000000001,-48.2333335879999 60.7500000000001,-48.2000007629999 60.7500000000001,-46.1538734439999 60.7500000000001,-46.0831604699999 60.766525997,-46.015792711 60.791422777,-46.0201862599999 60.8089969750001,-45.9835733469999 60.82803569,-45.9469604349999 60.841216339,-45.919134621 60.8470744050001,-45.8459087959999 60.8558615040001,-45.692134562 60.899797,-45.473921602 60.948126044,-45.435844173 61.0096357370001,-45.387515128 61.0272099360001,-45.288981615 61.015994268,-44.7234464479999 61.007017519,-43.9999999939999 60.7500000000001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.1', '', '21.1', '21.1.F', '', '21.1F', '', '', '', '', '', '', '', '1F', '3', '21.1.F', '21.1F', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 -20.0000001719999,5.6843418860808e-14 -27.9999999999999,-19.9999999999999 -27.9999999999999,-19.9999999999999 -24.9999999999999,-19.9999999999999 -20.000000007,5.6843418860808e-14 -20.0000001719999)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.B', '', '', '47.B.0', 'SEAFO', 'B', '', '', '', '', '', '', '', 'B', '3', '47.B.0', '47.B', 'Y'),('SRID=4326;MULTIPOLYGON(((-54.4999999999999 43.064090729,-54.483890533 43.0499992370001,-54.464847565 43.0333328250001,-54.4458122249999 43.0166664120001,-54.426780701 43.0000000000001,-54.4077529909999 42.9833335880001,-54.3887329099999 42.9666671750001,-54.3697166439999 42.950000763,-54.350708008 42.933334351,-54.331703186 42.916667938,-54.312702179 42.900001526,-54.293704987 42.883335114,-54.274715424 42.8666648860001,-54.25573349 42.8499984740001,-54.2367515559999 42.8333320620001,-54.217777252 42.8166656490001,-54.198810577 42.7999992370001,-54.1798439029999 42.7833328250001,-54.160884857 42.7666664120001,-54.1419334409999 42.7500000000001,-54.1229820249999 42.7333335880001,-54.104038239 42.7166671750001,-54.0851020809999 42.700000763,-54.066169739 42.683334351,-54.047241211 42.666667938,-54.028316498 42.650001526,-54.009399414 42.633335114,-53.990486145 42.6166648860001,-53.971580505 42.5999984740001,-53.9526748659999 42.5833320620001,-53.93378067 42.5666656490001,-53.9148864749999 42.5499992370001,-53.895999908 42.5333328250001,-53.877117157 42.5166664120001,-53.85823822 42.5000000000001,-53.8393669129999 42.4833335880001,-53.82049942 42.4666671750001,-53.8016395569999 42.450000763,-53.7827796939999 42.433334351,-53.763931274 42.416667938,-53.745082855 42.400001526,-53.726242065 42.383335114,-53.70740509 42.3666648860001,-53.68857193 42.3499984740001,-53.669746399 42.3333320620001,-53.650924683 42.3166656490001,-53.6321067809999 42.2999992370001,-53.613296509 42.2833328250001,-53.594490051 42.2666664120001,-53.575687408 42.2500000000001,-53.556892395 42.2333335880001,-53.5380973819999 42.2166671750001,-53.519313812 42.200000763,-53.500530243 42.183334351,-53.4817543029999 42.166667938,-53.4629821779999 42.150001526,-53.444213867 42.133335114,-53.425453186 42.1166648860001,-53.40669632 42.0999984740001,-53.387947083 42.0833320620001,-53.369197845 42.0666656490001,-53.3504562379999 42.0499992370001,-53.331718445 42.0333328250001,-53.3129882809999 42.0166664120001,-53.294261932 42.0000000000001,-53.275539398 41.9833335880001,-53.256820679 41.9666671750001,-53.238109589 41.950000763,-53.2194023129999 41.933334351,-53.2006988529999 41.916667938,-53.182003021 41.900001526,-53.163311005 41.883335114,-53.1446228029999 41.8666648860001,-53.1259384159999 41.8499984740001,-53.107261658 41.8333320620001,-53.088588715 41.8166656490001,-53.069919586 41.7999992370001,-53.051258087 41.7833328250001,-53.0326004029999 41.7666664120001,-53.013946533 41.7500000000001,-52.9952964779999 41.7333335880001,-52.9766540529999 41.7166671750001,-52.958015442 41.700000763,-52.939380646 41.683334351,-52.920753479 41.666667938,-52.902130127 41.650001526,-52.88351059 41.633335114,-52.864894867 41.6166648860001,-52.846286774 41.5999984740001,-52.82767868 41.5833320620001,-52.8090820309999 41.5666656490001,-52.790485382 41.5499992370001,-52.7718963619999 41.5333328250001,-52.753311157 41.5166664120001,-52.734729767 41.5000000000001,-52.7161521909999 41.4833335880001,-52.697582245 41.4666671750001,-52.6790161129999 41.450000763,-52.660453796 41.433334351,-52.641899109 41.416667938,-52.623348236 41.400001526,-52.6048011779999 41.383335114,-52.5862579349999 41.3666648860001,-52.5677185059999 41.3499984740001,-52.5491867069999 41.3333320620001,-52.5306587219999 41.3166656490001,-52.512138367 41.2999992370001,-52.493618011 41.2833328250001,-52.475105286 41.2666664120001,-52.4565963749999 41.2500000000001,-52.4380912779999 41.2333335880001,-52.419593811 41.2166671750001,-52.401100159 41.200000763,-52.382610321 41.183334351,-52.364124298 41.166667938,-52.34564209 41.150001526,-52.327167511 41.133335114,-52.3086967469999 41.1166648860001,-52.2902297969999 41.0999984740001,-52.271770477 41.0833320620001,-52.253311157 41.0666656490001,-52.234859467 41.0499992370001,-52.216415405 41.0333328250001,-52.1979713439999 41.0166664120001,-52.179534912 41.0000000000001,-52.161102295 40.9833335880001,-52.142673492 40.9666671750001,-52.124248505 40.950000763,-52.105831146 40.933334351,-52.0874137879999 40.916667938,-52.069004059 40.900001526,-52.0506019589999 40.883335114,-52.0321998599999 40.8666648860001,-52.013805389 40.8499984740001,-51.995414734 40.8333320620001,-51.977027893 40.8166656490001,-51.958644867 40.7999992370001,-51.94026947 40.7833328250001,-51.921894073 40.7666664120001,-51.9035263059999 40.7500000000001,-51.885166168 40.7333335880001,-51.86680603 40.7166671750001,-51.8484535219999 40.700000763,-51.8301048279999 40.683334351,-51.811759949 40.666667938,-51.7934188839999 40.650001526,-51.775085449 40.633335114,-51.756752014 40.6166648860001,-51.738426208 40.5999984740001,-51.720104218 40.5833320620001,-51.7017898559999 40.5666656490001,-51.6834754939999 40.5499992370001,-51.665168762 40.5333328250001,-51.646865845 40.5166664120001,-51.628566742 40.5000000000001,-51.610271454 40.4833335880001,-51.591983795 40.4666671750001,-51.573699951 40.450000763,-51.555416107 40.433334351,-51.537143707 40.416667938,-51.518871307 40.400001526,-51.5006027219999 40.383335114,-51.4823417659999 40.3666648860001,-51.4640846249999 40.3499984740001,-51.445831299 40.3333320620001,-51.427581787 40.3166656490001,-51.409339905 40.2999992370001,-51.391101837 40.2833328250001,-51.3728675839999 40.2666664120001,-51.354637146 40.2500000000001,-51.3364105219999 40.2333335880001,-51.318187714 40.2166671750001,-51.2999725339999 40.200000763,-51.2817611689999 40.183334351,-51.2635536189999 40.166667938,-51.2453498839999 40.150001526,-51.2271499629999 40.133335114,-51.2089576719999 40.1166648860001,-51.1907653809999 40.0999984740001,-51.1725807189999 40.0833320620001,-51.1543998719999 40.0666656490001,-51.136222839 40.0499992370001,-51.118053436 40.0333328250001,-51.099884033 40.0166664120001,-51.063564301 39.9833335880001,-51.0454101559999 39.9666671750001,-51.027259827 39.950000763,-51.009117126 39.933334351,-50.9999999999999 39.9277381900001,-50.990974426 39.916667938,-50.972839355 39.900001526,-50.954708099 39.883335114,-50.936580658 39.8666648860001,-50.9184570309999 39.8499984740001,-50.900341034 39.8333320620001,-50.882225037 39.8166656490001,-50.8641166689999 39.7999992370001,-50.846012115 39.7833328250001,-50.827911377 39.7666664120001,-50.8098144529999 39.7500000000001,-50.7917213439999 39.7333335880001,-50.773635864 39.7166671750001,-50.755554199 39.700000763,-50.7374725339999 39.683334351,-50.719398499 39.666667938,-50.701332092 39.650001526,-50.683265686 39.633335114,-50.6652030939999 39.6166648860001,-50.647148132 39.5999984740001,-50.6290969849999 39.5833320620001,-50.611049652 39.5666656490001,-50.5930023189999 39.5499992370001,-50.574966431 39.5333328250001,-50.556930542 39.5166664120001,-50.538898468 39.5000000000001,-50.520874023 39.4833335880001,-50.5028533939999 39.4666671750001,-50.4848365779999 39.450000763,-50.4668235779999 39.433334351,-50.448814392 39.416667938,-50.430809021 39.400001526,-50.412811279 39.383335114,-50.3948135379999 39.3666648860001,-50.3768234249999 39.3499984740001,-50.3588371279999 39.3333320620001,-50.340854645 39.3166656490001,-50.322875977 39.2999992370001,-50.304901123 39.2833328250001,-50.2869300839999 39.2666664120001,-50.2689666749999 39.2500000000001,-50.251003265 39.2333335880001,-50.233047485 39.2166671750001,-50.21509552 39.200000763,-50.1971473689999 39.183334351,-50.179203033 39.166667938,-50.161262512 39.150001526,-50.14332962 39.133335114,-50.1253967289999 39.1166648860001,-50.1074714659999 39.0999984740001,-50.089550018 39.0833320620001,-50.071628571 39.0666656490001,-50.053714752 39.0499992370001,-50.0358085629999 39.0333328250001,-50.017902374 39.0166664120001,-49.9999999999999 39.0000000000001,-50.0166664119999 39.0000000000001,-50.0333328249999 39.0000000000001,-50.049999237 39.0000000000001,-50.066665649 39.0000000000001,-50.083332062 39.0000000000001,-50.099998474 39.0000000000001,-50.116664886 39.0000000000001,-50.133335114 39.0000000000001,-50.150001526 39.0000000000001,-50.1666679379999 39.0000000000001,-50.183334351 39.0000000000001,-50.2000007629999 39.0000000000001,-50.2166671749999 39.0000000000001,-50.2333335879999 39.0000000000001,-50.2499999999999 39.0000000000001,-50.2666664119999 39.0000000000001,-50.2833328249999 39.0000000000001,-50.299999237 39.0000000000001,-50.316665649 39.0000000000001,-50.333332062 39.0000000000001,-50.349998474 39.0000000000001,-50.366664886 39.0000000000001,-50.383335114 39.0000000000001,-50.400001526 39.0000000000001,-50.4166679379999 39.0000000000001,-50.433334351 39.0000000000001,-50.4500007629999 39.0000000000001,-50.4666671749999 39.0000000000001,-50.4833335879999 39.0000000000001,-50.4999999999999 39.0000000000001,-50.5166664119999 39.0000000000001,-50.5333328249999 39.0000000000001,-50.549999237 39.0000000000001,-50.566665649 39.0000000000001,-50.583332062 39.0000000000001,-50.599998474 39.0000000000001,-50.616664886 39.0000000000001,-50.633335114 39.0000000000001,-50.650001526 39.0000000000001,-50.6666679379999 39.0000000000001,-50.683334351 39.0000000000001,-50.7000007629999 39.0000000000001,-50.7166671749999 39.0000000000001,-50.7333335879999 39.0000000000001,-50.7499999999999 39.0000000000001,-50.7666664119999 39.0000000000001,-50.7833328249999 39.0000000000001,-50.799999237 39.0000000000001,-50.816665649 39.0000000000001,-50.833332062 39.0000000000001,-50.849998474 39.0000000000001,-50.866664886 39.0000000000001,-50.883335114 39.0000000000001,-50.900001526 39.0000000000001,-50.9166679379999 39.0000000000001,-50.933334351 39.0000000000001,-50.9500007629999 39.0000000000001,-50.9666671749999 39.0000000000001,-50.9833335879999 39.0000000000001,-50.9999999999999 39.0000000000001,-51.0166664119999 39.0000000000001,-51.0333328249999 39.0000000000001,-51.049999237 39.0000000000001,-51.066665649 39.0000000000001,-51.083332062 39.0000000000001,-51.099998474 39.0000000000001,-51.116664886 39.0000000000001,-51.133335114 39.0000000000001,-51.150001526 39.0000000000001,-51.1666679379999 39.0000000000001,-51.183334351 39.0000000000001,-51.2000007629999 39.0000000000001,-51.2166671749999 39.0000000000001,-51.2333335879999 39.0000000000001,-51.2499999999999 39.0000000000001,-51.2666664119999 39.0000000000001,-51.2833328249999 39.0000000000001,-51.299999237 39.0000000000001,-51.316665649 39.0000000000001,-51.333332062 39.0000000000001,-51.349998474 39.0000000000001,-51.366664886 39.0000000000001,-51.383335114 39.0000000000001,-51.400001526 39.0000000000001,-51.4166679379999 39.0000000000001,-51.433334351 39.0000000000001,-51.4500007629999 39.0000000000001,-51.4666671749999 39.0000000000001,-51.4833335879999 39.0000000000001,-51.4999999999999 39.0000000000001,-51.5166664119999 39.0000000000001,-51.5333328249999 39.0000000000001,-51.549999237 39.0000000000001,-51.566665649 39.0000000000001,-51.583332062 39.0000000000001,-51.599998474 39.0000000000001,-51.616664886 39.0000000000001,-51.633335114 39.0000000000001,-51.650001526 39.0000000000001,-51.6666679379999 39.0000000000001,-51.683334351 39.0000000000001,-51.7000007629999 39.0000000000001,-51.7166671749999 39.0000000000001,-51.7333335879999 39.0000000000001,-51.7499999999999 39.0000000000001,-51.7666664119999 39.0000000000001,-51.7833328249999 39.0000000000001,-51.799999237 39.0000000000001,-51.816665649 39.0000000000001,-51.833332062 39.0000000000001,-51.849998474 39.0000000000001,-51.866664886 39.0000000000001,-51.883335114 39.0000000000001,-51.900001526 39.0000000000001,-51.9166679379999 39.0000000000001,-51.933334351 39.0000000000001,-51.9500007629999 39.0000000000001,-51.9666671749999 39.0000000000001,-51.9833335879999 39.0000000000001,-51.9999999999999 39.0000000000001,-52.0166664119999 39.0000000000001,-52.0333328249999 39.0000000000001,-52.049999237 39.0000000000001,-52.066665649 39.0000000000001,-52.083332062 39.0000000000001,-52.099998474 39.0000000000001,-52.116664886 39.0000000000001,-52.133335114 39.0000000000001,-52.150001526 39.0000000000001,-52.1666679379999 39.0000000000001,-52.183334351 39.0000000000001,-52.2000007629999 39.0000000000001,-52.2166671749999 39.0000000000001,-52.2333335879999 39.0000000000001,-52.2499999999999 39.0000000000001,-52.2666664119999 39.0000000000001,-52.2833328249999 39.0000000000001,-52.299999237 39.0000000000001,-52.316665649 39.0000000000001,-52.333332062 39.0000000000001,-52.349998474 39.0000000000001,-52.366664886 39.0000000000001,-52.383335114 39.0000000000001,-52.400001526 39.0000000000001,-52.4166679379999 39.0000000000001,-52.433334351 39.0000000000001,-52.4500007629999 39.0000000000001,-52.4666671749999 39.0000000000001,-52.4833335879999 39.0000000000001,-52.4999999999999 39.0000000000001,-52.5166664119999 39.0000000000001,-52.5333328249999 39.0000000000001,-52.549999237 39.0000000000001,-52.566665649 39.0000000000001,-52.583332062 39.0000000000001,-52.599998474 39.0000000000001,-52.616664886 39.0000000000001,-52.633335114 39.0000000000001,-52.650001526 39.0000000000001,-52.6666679379999 39.0000000000001,-52.683334351 39.0000000000001,-52.7000007629999 39.0000000000001,-52.7166671749999 39.0000000000001,-52.7333335879999 39.0000000000001,-52.7499999999999 39.0000000000001,-52.7666664119999 39.0000000000001,-52.7833328249999 39.0000000000001,-52.799999237 39.0000000000001,-52.816665649 39.0000000000001,-52.833332062 39.0000000000001,-52.849998474 39.0000000000001,-52.866664886 39.0000000000001,-52.883335114 39.0000000000001,-52.900001526 39.0000000000001,-52.9166679379999 39.0000000000001,-52.933334351 39.0000000000001,-52.9500007629999 39.0000000000001,-52.9666671749999 39.0000000000001,-52.9833335879999 39.0000000000001,-52.9999999999999 39.0000000000001,-53.0166664119999 39.0000000000001,-53.0333328249999 39.0000000000001,-53.049999237 39.0000000000001,-53.066665649 39.0000000000001,-53.083332062 39.0000000000001,-53.099998474 39.0000000000001,-53.116664886 39.0000000000001,-53.133335114 39.0000000000001,-53.150001526 39.0000000000001,-53.1666679379999 39.0000000000001,-53.183334351 39.0000000000001,-53.2000007629999 39.0000000000001,-53.2166671749999 39.0000000000001,-53.2333335879999 39.0000000000001,-53.2499999999999 39.0000000000001,-53.2666664119999 39.0000000000001,-53.2833328249999 39.0000000000001,-53.299999237 39.0000000000001,-53.316665649 39.0000000000001,-53.333332062 39.0000000000001,-53.349998474 39.0000000000001,-53.366664886 39.0000000000001,-53.383335114 39.0000000000001,-53.400001526 39.0000000000001,-53.4166679379999 39.0000000000001,-53.433334351 39.0000000000001,-53.4500007629999 39.0000000000001,-53.4666671749999 39.0000000000001,-53.4833335879999 39.0000000000001,-53.4999999999999 39.0000000000001,-53.5166664119999 39.0000000000001,-53.5333328249999 39.0000000000001,-53.549999237 39.0000000000001,-53.566665649 39.0000000000001,-53.583332062 39.0000000000001,-53.599998474 39.0000000000001,-53.616664886 39.0000000000001,-53.633335114 39.0000000000001,-53.650001526 39.0000000000001,-53.6666679379999 39.0000000000001,-53.683334351 39.0000000000001,-53.7000007629999 39.0000000000001,-53.7166671749999 39.0000000000001,-53.7333335879999 39.0000000000001,-53.7499999999999 39.0000000000001,-53.7666664119999 39.0000000000001,-53.7833328249999 39.0000000000001,-53.799999237 39.0000000000001,-53.816665649 39.0000000000001,-53.833332062 39.0000000000001,-53.849998474 39.0000000000001,-53.866664886 39.0000000000001,-53.883335114 39.0000000000001,-53.900001526 39.0000000000001,-53.9166679379999 39.0000000000001,-53.933334351 39.0000000000001,-53.9500007629999 39.0000000000001,-53.9666671749999 39.0000000000001,-53.9833335879999 39.0000000000001,-53.9999999999999 39.0000000000001,-54.0166664119999 39.0000000000001,-54.0333328249999 39.0000000000001,-54.049999237 39.0000000000001,-54.066665649 39.0000000000001,-54.083332062 39.0000000000001,-54.099998474 39.0000000000001,-54.116664886 39.0000000000001,-54.133335114 39.0000000000001,-54.150001526 39.0000000000001,-54.1666679379999 39.0000000000001,-54.183334351 39.0000000000001,-54.2000007629999 39.0000000000001,-54.2166671749999 39.0000000000001,-54.2333335879999 39.0000000000001,-54.2499999999999 39.0000000000001,-54.2666664119999 39.0000000000001,-54.2833328249999 39.0000000000001,-54.299999237 39.0000000000001,-54.316665649 39.0000000000001,-54.333332062 39.0000000000001,-54.349998474 39.0000000000001,-54.366664886 39.0000000000001,-54.383335114 39.0000000000001,-54.400001526 39.0000000000001,-54.4166679379999 39.0000000000001,-54.433334351 39.0000000000001,-54.4500007629999 39.0000000000001,-54.4666671749999 39.0000000000001,-54.4833335879999 39.0000000000001,-54.4999999999999 39.0000000000001,-54.5166664119999 39.0000000000001,-54.5333328249999 39.0000000000001,-54.549999237 39.0000000000001,-54.566665649 39.0000000000001,-54.583332062 39.0000000000001,-54.599998474 39.0000000000001,-54.616664886 39.0000000000001,-54.633335114 39.0000000000001,-54.650001526 39.0000000000001,-54.6666679379999 39.0000000000001,-54.683334351 39.0000000000001,-54.7000007629999 39.0000000000001,-54.7166671749999 39.0000000000001,-54.7333335879999 39.0000000000001,-54.7499999999999 39.0000000000001,-54.7666664119999 39.0000000000001,-54.7833328249999 39.0000000000001,-54.799999237 39.0000000000001,-54.816665649 39.0000000000001,-54.833332062 39.0000000000001,-54.849998474 39.0000000000001,-54.866664886 39.0000000000001,-54.883335114 39.0000000000001,-54.900001526 39.0000000000001,-54.9166679379999 39.0000000000001,-54.933334351 39.0000000000001,-54.9500007629999 39.0000000000001,-54.9666671749999 39.0000000000001,-54.9833335879999 39.0000000000001,-54.9999999999999 39.0000000000001,-55.0166664119999 39.0000000000001,-55.0333328249999 39.0000000000001,-55.049999237 39.0000000000001,-55.066665649 39.0000000000001,-55.083332062 39.0000000000001,-55.099998474 39.0000000000001,-55.116664886 39.0000000000001,-55.133335114 39.0000000000001,-55.150001526 39.0000000000001,-55.1666679379999 39.0000000000001,-55.183334351 39.0000000000001,-55.2000007629999 39.0000000000001,-55.2166671749999 39.0000000000001,-55.2333335879999 39.0000000000001,-55.2499999999999 39.0000000000001,-55.2666664119999 39.0000000000001,-55.2833328249999 39.0000000000001,-55.299999237 39.0000000000001,-55.316665649 39.0000000000001,-55.333332062 39.0000000000001,-55.349998474 39.0000000000001,-55.366664886 39.0000000000001,-55.383335114 39.0000000000001,-55.400001526 39.0000000000001,-55.4166679379999 39.0000000000001,-55.433334351 39.0000000000001,-55.4500007629999 39.0000000000001,-55.4666671749999 39.0000000000001,-55.4833335879999 39.0000000000001,-55.4999999999999 39.0000000000001,-55.5166664119999 39.0000000000001,-55.5333328249999 39.0000000000001,-55.549999237 39.0000000000001,-55.566665649 39.0000000000001,-55.583332062 39.0000000000001,-55.599998474 39.0000000000001,-55.616664886 39.0000000000001,-55.633335114 39.0000000000001,-55.650001526 39.0000000000001,-55.6666679379999 39.0000000000001,-55.683334351 39.0000000000001,-55.7000007629999 39.0000000000001,-55.7166671749999 39.0000000000001,-55.7333335879999 39.0000000000001,-55.7499999999999 39.0000000000001,-55.7666664119999 39.0000000000001,-55.7833328249999 39.0000000000001,-55.799999237 39.0000000000001,-55.816665649 39.0000000000001,-55.833332062 39.0000000000001,-55.849998474 39.0000000000001,-55.866664886 39.0000000000001,-55.883335114 39.0000000000001,-55.900001526 39.0000000000001,-55.9166679379999 39.0000000000001,-55.933334351 39.0000000000001,-55.9500007629999 39.0000000000001,-55.9666671749999 39.0000000000001,-55.9833335879999 39.0000000000001,-55.9999999999999 39.0000000000001,-56.0166664119999 39.0000000000001,-56.0333328249999 39.0000000000001,-56.049999237 39.0000000000001,-56.066665649 39.0000000000001,-56.083332062 39.0000000000001,-56.099998474 39.0000000000001,-56.116664886 39.0000000000001,-56.133335114 39.0000000000001,-56.150001526 39.0000000000001,-56.1666679379999 39.0000000000001,-56.183334351 39.0000000000001,-56.2000007629999 39.0000000000001,-56.2166671749999 39.0000000000001,-56.2333335879999 39.0000000000001,-56.2499999999999 39.0000000000001,-56.2666664119999 39.0000000000001,-56.2833328249999 39.0000000000001,-56.299999237 39.0000000000001,-56.316665649 39.0000000000001,-56.333332062 39.0000000000001,-56.349998474 39.0000000000001,-56.366664886 39.0000000000001,-56.383335114 39.0000000000001,-56.400001526 39.0000000000001,-56.4166679379999 39.0000000000001,-56.433334351 39.0000000000001,-56.4500007629999 39.0000000000001,-56.4666671749999 39.0000000000001,-56.4833335879999 39.0000000000001,-56.4999999999999 39.0000000000001,-56.5166664119999 39.0000000000001,-56.5333328249999 39.0000000000001,-56.549999237 39.0000000000001,-56.566665649 39.0000000000001,-56.583332062 39.0000000000001,-56.599998474 39.0000000000001,-56.616664886 39.0000000000001,-56.633335114 39.0000000000001,-56.650001526 39.0000000000001,-56.6666679379999 39.0000000000001,-56.683334351 39.0000000000001,-56.7000007629999 39.0000000000001,-56.7166671749999 39.0000000000001,-56.7333335879999 39.0000000000001,-56.7499999999999 39.0000000000001,-56.7666664119999 39.0000000000001,-56.7833328249999 39.0000000000001,-56.799999237 39.0000000000001,-56.816665649 39.0000000000001,-56.833332062 39.0000000000001,-56.849998474 39.0000000000001,-56.866664886 39.0000000000001,-56.883335114 39.0000000000001,-56.900001526 39.0000000000001,-56.9166679379999 39.0000000000001,-56.933334351 39.0000000000001,-56.9500007629999 39.0000000000001,-56.9666671749999 39.0000000000001,-56.9833335879999 39.0000000000001,-56.9999999999999 39.0000000000001,-57.0166664119999 39.0000000000001,-57.0333328249999 39.0000000000001,-57.049999237 39.0000000000001,-57.066665649 39.0000000000001,-57.083332062 39.0000000000001,-57.099998474 39.0000000000001,-57.116664886 39.0000000000001,-57.133335114 39.0000000000001,-57.150001526 39.0000000000001,-57.1666679379999 39.0000000000001,-57.183334351 39.0000000000001,-57.2000007629999 39.0000000000001,-57.2166671749999 39.0000000000001,-57.2333335879999 39.0000000000001,-57.2499999999999 39.0000000000001,-57.2666664119999 39.0000000000001,-57.2833328249999 39.0000000000001,-57.299999237 39.0000000000001,-57.316665649 39.0000000000001,-57.333332062 39.0000000000001,-57.349998474 39.0000000000001,-57.366664886 39.0000000000001,-57.383335114 39.0000000000001,-57.400001526 39.0000000000001,-57.4166679379999 39.0000000000001,-57.433334351 39.0000000000001,-57.4500007629999 39.0000000000001,-57.4666671749999 39.0000000000001,-57.4833335879999 39.0000000000001,-57.4999999999999 39.0000000000001,-57.5166664119999 39.0000000000001,-57.5333328249999 39.0000000000001,-57.549999237 39.0000000000001,-57.566665649 39.0000000000001,-57.583332062 39.0000000000001,-57.599998474 39.0000000000001,-57.616664886 39.0000000000001,-57.633335114 39.0000000000001,-57.650001526 39.0000000000001,-57.6666679379999 39.0000000000001,-57.683334351 39.0000000000001,-57.7000007629999 39.0000000000001,-57.7166671749999 39.0000000000001,-57.7333335879999 39.0000000000001,-57.7499999999999 39.0000000000001,-57.7666664119999 39.0000000000001,-57.7833328249999 39.0000000000001,-57.799999237 39.0000000000001,-57.816665649 39.0000000000001,-57.833332062 39.0000000000001,-57.849998474 39.0000000000001,-57.866664886 39.0000000000001,-57.883335114 39.0000000000001,-57.900001526 39.0000000000001,-57.9166679379999 39.0000000000001,-57.933334351 39.0000000000001,-57.9500007629999 39.0000000000001,-57.9666671749999 39.0000000000001,-57.9833335879999 39.0000000000001,-57.9999999999999 39.0000000000001,-58.0166664119999 39.0000000000001,-58.0333328249999 39.0000000000001,-58.049999237 39.0000000000001,-58.066665649 39.0000000000001,-58.083332062 39.0000000000001,-58.099998474 39.0000000000001,-58.116664886 39.0000000000001,-58.133335114 39.0000000000001,-58.150001526 39.0000000000001,-58.1666679379999 39.0000000000001,-58.183334351 39.0000000000001,-58.2000007629999 39.0000000000001,-58.2166671749999 39.0000000000001,-58.2333335879999 39.0000000000001,-58.2499999999999 39.0000000000001,-58.2666664119999 39.0000000000001,-58.2833328249999 39.0000000000001,-58.299999237 39.0000000000001,-58.316665649 39.0000000000001,-58.333332062 39.0000000000001,-58.349998474 39.0000000000001,-58.366664886 39.0000000000001,-58.383335114 39.0000000000001,-58.400001526 39.0000000000001,-58.4166679379999 39.0000000000001,-58.433334351 39.0000000000001,-58.4500007629999 39.0000000000001,-58.4666671749999 39.0000000000001,-58.4833335879999 39.0000000000001,-58.4999999999999 39.0000000000001,-58.5166664119999 39.0000000000001,-58.5333328249999 39.0000000000001,-58.549999237 39.0000000000001,-58.566665649 39.0000000000001,-58.583332062 39.0000000000001,-58.599998474 39.0000000000001,-58.616664886 39.0000000000001,-58.633335114 39.0000000000001,-58.650001526 39.0000000000001,-58.6666679379999 39.0000000000001,-58.683334351 39.0000000000001,-58.7000007629999 39.0000000000001,-58.7166671749999 39.0000000000001,-58.7333335879999 39.0000000000001,-58.7499999999999 39.0000000000001,-58.7666664119999 39.0000000000001,-58.7833328249999 39.0000000000001,-58.799999237 39.0000000000001,-58.816665649 39.0000000000001,-58.833332062 39.0000000000001,-58.849998474 39.0000000000001,-58.866664886 39.0000000000001,-58.883335114 39.0000000000001,-58.900001526 39.0000000000001,-58.9166679379999 39.0000000000001,-58.933334351 39.0000000000001,-58.9500007629999 39.0000000000001,-58.9666671749999 39.0000000000001,-58.9833335879999 39.0000000000001,-58.9999999999999 39.0000000000001,-58.9999999999999 39.0166664120001,-58.9999999999999 39.0333328250001,-58.9999999999999 39.0499992370001,-58.9999999999999 39.0666656490001,-58.9999999999999 39.0833320620001,-58.9999999999999 39.0999984740001,-58.9999999999999 39.1166648860001,-58.9999999999999 39.133335114,-58.9999999999999 39.150001526,-58.9999999999999 39.166667939,-58.9999999999999 39.183334351,-58.9999999999999 39.200000763,-58.9999999999999 39.2166671750001,-58.9999999999999 39.2333335880001,-58.9999999999999 39.2500000000001,-58.9999999999999 39.2666664120001,-58.9999999999999 39.2833328250001,-58.9999999999999 39.2999992370001,-58.9999999999999 39.3166656490001,-58.9999999999999 39.3333320620001,-58.9999999999999 39.3499984750001,-58.9999999999999 39.3666648870001,-58.9999999999999 39.383335114,-58.9999999999999 39.400001526,-58.9999999999999 39.416667938,-58.9999999999999 39.433334351,-58.9999999999999 39.450000763,-58.9999999999999 39.4666671750001,-58.9999999999999 39.4833335880001,-58.9999999999999 39.5000000000001,-58.9999999999999 39.5166664120001,-58.9999999999999 39.5333328250001,-58.9999999999999 39.5499992370001,-58.9999999999999 39.5666656500001,-58.9999999999999 39.5833320620001,-58.9999999999999 39.5999984740001,-58.9999999999999 39.6166648870001,-58.9999999999999 39.633335114,-58.9999999999999 39.650001526,-58.9999999999999 39.666667938,-58.9999999999999 39.683334351,-58.9999999999999 39.7166671750001,-58.9999999999999 39.7333335880001,-58.9999999999999 39.7500000000001,-58.9999999999999 39.7666664130001,-58.9999999999999 39.7833328250001,-58.9999999999999 39.7999992370001,-58.9999999999999 39.8166656490001,-58.9999999999999 39.8333320620001,-58.9999999999999 39.8499984740001,-58.9999999999999 39.8666648860001,-58.9999999999999 39.883335114,-58.9999999999999 39.900001526,-58.9999999999999 39.916667938,-58.9999999999999 39.933334351,-58.9999999999999 39.950000763,-58.9999999999999 39.966667176,-58.9999999999999 39.9833335880001,-58.9999999999999 40.0000000000001,-58.9999999999999 40.0166664120001,-58.9999999999999 40.0333328250001,-58.9999999999999 40.0499992370001,-58.9999999999999 40.0666656490001,-58.9999999999999 40.0833320620001,-58.9999999999999 40.0999984740001,-58.9999999999999 40.1166648860001,-58.9999999999999 40.133335114,-58.9999999999999 40.150001526,-58.9999999999999 40.166667939,-58.9999999999999 40.183334351,-58.9999999999999 40.200000763,-58.9999999999999 40.2166671750001,-58.9999999999999 40.2333335880001,-58.9999999999999 40.2500000000001,-58.9999999999999 40.2666664120001,-58.9999999999999 40.2833328250001,-58.9999999999999 40.2999992370001,-58.9999999999999 40.3166656490001,-58.9999999999999 40.3333320620001,-58.9999999999999 40.3499984750001,-58.9999999999999 40.3666648870001,-58.9999999999999 40.383335114,-58.9999999999999 40.400001526,-58.9999999999999 40.416667938,-58.9999999999999 40.433334351,-58.9999999999999 40.450000763,-58.9999999999999 40.4666671750001,-58.9999999999999 40.4833335880001,-58.9999999999999 40.5000000000001,-58.9999999999999 40.5166664120001,-58.9999999999999 40.5333328250001,-58.9999999999999 40.5499992370001,-58.9999999999999 40.5666656500001,-58.9999999999999 40.5833320620001,-58.9999999999999 40.5999984740001,-58.9999999999999 40.6166648870001,-58.9999999999999 40.633335114,-58.9999999999999 40.650001526,-58.9999999999999 40.666667938,-58.9999999999999 40.683334351,-58.9999999999999 40.7166671750001,-58.9999999999999 40.7333335880001,-58.9999999999999 40.7500000000001,-58.9999999999999 40.7666664130001,-58.9999999999999 40.7833328250001,-58.9999999999999 40.7999992370001,-58.9999999999999 40.8166656490001,-58.9999999999999 40.8333320620001,-58.9999999999999 40.8499984740001,-58.9999999999999 40.8666648860001,-58.9999999999999 40.883335114,-58.9999999999999 40.900001526,-58.9999999999999 40.916667938,-58.9999999999999 40.933334351,-58.9999999999999 40.950000763,-58.9999999999999 40.966667176,-58.9999999999999 40.9833335880001,-58.9999999999999 41.0000000000001,-58.9999999999999 41.0166664120001,-58.9999999999999 41.0333328250001,-58.9999999999999 41.0499992370001,-58.9999999999999 41.0666656490001,-58.9999999999999 41.0833320620001,-58.9999999999999 41.0999984740001,-58.9999999999999 41.1166648860001,-58.9999999999999 41.133335114,-58.9999999999999 41.150001526,-58.9999999999999 41.166667939,-58.9999999999999 41.183334351,-58.9999999999999 41.200000763,-58.9999999999999 41.2166671750001,-58.9999999999999 41.2333335880001,-58.9999999999999 41.2500000000001,-58.9999999999999 41.2666664120001,-58.9999999999999 41.2833328250001,-58.9999999999999 41.2999992370001,-58.9999999999999 41.3166656490001,-58.9999999999999 41.3333320620001,-58.9999999999999 41.3499984740001,-58.9999999999999 41.3666648870001,-58.9999999999999 41.383335114,-58.9999999999999 41.400001526,-58.9999999999999 41.416667938,-58.9999999999999 41.433334351,-58.9999999999999 41.450000763,-58.9999999999999 41.4666671750001,-58.9999999999999 41.4833335880001,-58.9999999999999 41.5000000000001,-58.9999999999999 41.5166664120001,-58.9999999999999 41.5333328250001,-58.9999999999999 41.5499992370001,-58.9999999999999 41.5666656500001,-58.9999999999999 41.5833320620001,-58.9999999999999 41.5999984740001,-58.9999999999999 41.6166648860001,-58.9999999999999 41.633335114,-58.9999999999999 41.650001526,-58.9999999999999 41.666667938,-58.9999999999999 41.683334351,-58.9999999999999 41.7166671750001,-58.9999999999999 41.7333335880001,-58.9999999999999 41.7500000000001,-58.9999999999999 41.7666664130001,-58.9999999999999 41.7833328250001,-58.9999999999999 41.7999992370001,-58.9999999999999 41.8166656490001,-58.9999999999999 41.8333320620001,-58.9999999999999 41.8499984740001,-58.9999999999999 41.8666648860001,-58.9999999999999 41.883335114,-58.9999999999999 41.900001526,-58.9999999999999 41.916667938,-58.9999999999999 41.933334351,-58.9999999999999 41.950000763,-58.9999999999999 41.966667176,-58.9999999999999 41.9833335880001,-58.9999999999999 42.0000000000001,-58.9999999999999 42.0166664120001,-58.9999999999999 42.0333328250001,-58.9999999999999 42.0499992370001,-58.9999999999999 42.0666656490001,-58.9999999999999 42.0833320620001,-58.9999999999999 42.0999984740001,-58.9999999999999 42.1166648870001,-58.9999999999999 42.133335114,-58.9999999999999 42.150001526,-58.9999999999999 42.166667939,-58.9999999999999 42.183334351,-58.9999999999999 42.200000763,-58.9999999999999 42.2166671750001,-58.9999999999999 42.2333335880001,-58.9999999999999 42.2500000000001,-58.9999999999999 42.2666664120001,-58.9999999999999 42.2833328250001,-58.9999999999999 42.2999992370001,-58.9999999999999 42.3166656490001,-58.9999999999999 42.3333320620001,-58.9999999999999 42.3499984740001,-58.9999999999999 42.3666648870001,-58.9999999999999 42.383335114,-58.9999999999999 42.400001526,-58.9999999999999 42.416667938,-58.9999999999999 42.433334351,-58.9999999999999 42.450000763,-58.9999999999999 42.4666671750001,-58.9999999999999 42.4833335880001,-58.9999999999999 42.5000000000001,-58.9999999999999 42.5166664120001,-58.9999999999999 42.5333328250001,-58.9999999999999 42.5499992370001,-58.9999999999999 42.5666656500001,-58.9999999999999 42.5833320620001,-58.9999999999999 42.5999984740001,-58.9999999999999 42.6166648860001,-58.9999999999999 42.633335114,-58.9999999999999 42.650001526,-58.9999999999999 42.666667938,-58.9999999999999 42.683334351,-58.9999999999999 42.9833335880001,-58.9999999999999 43.0333328250001,-58.9999999999999 43.0499992370001,-58.9999999999999 43.0666656490001,-58.9999999999999 43.0833320620001,-58.9999999999999 43.0999984740001,-58.9999999999999 43.1166648870001,-58.9999999999999 43.133335114,-58.9999999999999 43.150001526,-58.9999999999999 43.166667938,-58.9999999999999 43.183334351,-58.9999999999999 43.200000763,-58.9999999999999 43.2166671750001,-58.9999999999999 43.2333335880001,-58.9999999999999 43.2500000000001,-58.9999999999999 43.2666664120001,-58.9999999999999 43.2833328250001,-58.9999999999999 43.2999992370001,-58.9999999999999 43.3166656500001,-58.9999999999999 43.3333320620001,-58.9999999999999 43.3499984740001,-58.9999999999999 43.3666648870001,-58.9999999999999 43.383335114,-58.9999999999999 43.400001526,-58.9999999999999 43.416667938,-58.9999999999999 43.433334351,-58.9999999999999 43.450000763,-58.9999999999999 43.4666671750001,-58.9999999999999 43.4833335880001,-58.9999999999999 43.5000000000001,-58.9999999999999 43.5166664130001,-58.9999999999999 43.5333328250001,-58.9999999999999 43.5499992370001,-58.9999999999999 43.5666656500001,-58.9999999999999 43.5833320620001,-58.9999999999999 43.5999984740001,-58.9999999999999 43.6166648860001,-58.9999999999999 43.633335114,-58.9999999999999 43.650001526,-58.9999999999999 43.666667938,-58.9999999999999 43.683334351,-58.9999999999999 43.9833335880001,-58.9999999999999 44.0000000000001,-58.9999999999999 44.0166664120001,-58.9999999999999 44.0333328250001,-58.9999999999999 44.0499992370001,-58.9999999999999 44.0666656490001,-58.9999999999999 44.0833320620001,-58.9999999999999 44.0999984740001,-58.9999999999999 44.1166648870001,-58.9999999999999 44.133335114,-58.9999999999999 44.150001526,-58.9999999999999 44.166667938,-59.0166664119999 44.166667938,-59.0333328249999 44.166667938,-59.049999237 44.166667938,-59.066665649 44.166667938,-59.083332062 44.166667938,-59.099998474 44.166667938,-59.116664886 44.166667938,-59.133335113 44.166667938,-59.150001526 44.166667938,-59.1666679379999 44.166667938,-59.183334351 44.166667938,-59.2000007629999 44.166667938,-59.2166671749999 44.166667938,-59.2333335879999 44.166667938,-59.2499999999999 44.166667938,-59.2666664119999 44.166667938,-59.2833328249999 44.166667938,-59.299999237 44.166667938,-59.316665649 44.166667938,-59.333332061 44.166667938,-59.349998474 44.166667938,-59.366664886 44.166667938,-59.383335114 44.166667938,-59.400001526 44.166667938,-59.4166679379999 44.166667938,-59.433334351 44.166667938,-59.4500007629999 44.166667938,-59.4666671749999 44.166667938,-59.4833335869999 44.166667938,-59.4999999999999 44.166667938,-59.5166664119999 44.166667938,-59.533332824 44.166667938,-59.549999237 44.166667938,-59.566665649 44.166667938,-59.583332062 44.166667938,-59.599998474 44.166667938,-59.616664886 44.166667938,-59.633335114 44.166667938,-59.650001526 44.166667938,-59.6666679379999 44.166667938,-59.6833343499999 44.166667938,-59.7000007629999 44.166667938,-59.7166671749999 44.166667938,-59.7333335869999 44.166667938,-59.7499999999999 44.166667938,-59.7666664119999 44.166667938,-59.7833328249999 44.166667938,-59.799999237 44.166667938,-59.816665649 44.166667938,-59.833332062 44.166667938,-59.849998474 44.166667938,-59.866664886 44.166667938,-59.883335113 44.166667938,-59.900001526 44.166667938,-59.9166679379999 44.166667938,-59.9333343499999 44.166667938,-59.9500007629999 44.166667938,-59.9666671749999 44.166667938,-59.9833335879999 44.166667938,-59.9999999999999 44.166667938,-59.9999999999999 44.183334351,-59.9999999999999 44.200000763,-59.9999999999999 44.2166671750001,-59.9999999999999 44.2333335880001,-59.9999999999999 44.2500000000001,-59.9999999999999 44.2666664120001,-59.9999999999999 44.2833328250001,-59.9999999999999 44.2999992370001,-59.9999999999999 44.3166656500001,-59.9999999999999 44.3333320620001,-59.9999999999999 44.3499984740001,-59.9999999999999 44.3666648870001,-59.9999999999999 44.383335114,-59.9999999999999 44.400001526,-59.9999999999999 44.416667938,-59.9999999999999 44.433334351,-59.9999999999999 44.450000763,-59.9999999999999 44.4666671750001,-59.9999999999999 44.4833335880001,-59.9999999999999 44.5000000000001,-59.9999999999999 44.5166664130001,-59.9999999999999 44.5333328250001,-59.9999999999999 44.5499992370001,-59.9999999999999 44.5666656500001,-59.9999999999999 44.5833320620001,-59.9999999999999 44.5999984740001,-59.9999999999999 44.6166648860001,-59.9999999999999 44.633335114,-59.9999999999999 44.650001526,-59.9999999999999 44.666667938,-59.9999999999999 44.683334351,-59.9999999999999 44.9833335880001,-59.9999999999999 45.0000000000001,-59.9999999999999 45.0166664120001,-59.9999999999999 45.0333328250001,-59.9999999999999 45.0499992370001,-59.9999999999999 45.0666656490001,-59.9999999999999 45.0833320620001,-59.9999999999999 45.0999984740001,-59.9999999999999 45.1166648870001,-59.9999999999999 45.133335114,-59.9999999999999 45.150001526,-59.9999999999999 45.166667938,-59.9999999999999 45.183334351,-59.9999999999999 45.200000763,-59.9999999999999 45.2166671750001,-59.9999999999999 45.2333335880001,-59.9999999999999 45.2500000000001,-59.9999999999999 45.2666664120001,-59.9999999999999 45.2833328250001,-59.9999999999999 45.2999992370001,-59.9999999999999 45.3166656500001,-59.9999999999999 45.3333320620001,-59.9999999999999 45.3499984740001,-59.9999999999999 45.3666648870001,-59.9999999999999 45.383335114,-59.9999999999999 45.400001526,-59.9999999999999 45.416667938,-59.9999999999999 45.433334351,-59.9999999999999 45.450000763,-59.9999999999999 45.4666671750001,-59.9999999999999 45.4833335880001,-59.9999999999999 45.5000000000001,-59.9999999999999 45.5166664130001,-59.9999999999999 45.5333328250001,-59.9999999999999 45.5499992370001,-59.9999999999999 45.5666656500001,-59.9999999999999 45.5833320620001,-59.9999999999999 45.5999984740001,-59.9999999999999 45.6166648860001,-59.9999999999999 45.633335114,-59.9999999999999 45.650001526,-59.9999999999999 45.666667938,-59.9833335879999 45.666667938,-59.9666671749999 45.666667938,-59.9500007629999 45.666667938,-59.9333343499999 45.666667938,-59.9166679379999 45.666667938,-59.900001526 45.666667938,-59.883335113 45.666667938,-59.866664886 45.666667938,-59.849998474 45.666667938,-59.833332062 45.666667938,-59.816665649 45.666667938,-59.799999237 45.666667938,-59.7833328249999 45.666667938,-59.7666664119999 45.666667938,-59.7499999999999 45.666667938,-59.7333335869999 45.666667938,-59.7166671749999 45.666667938,-59.7000007629999 45.666667938,-59.6833343499999 45.666667938,-59.6666679379999 45.666667938,-59.650001526 45.666667938,-59.633335114 45.666667938,-59.616664886 45.666667938,-59.599998474 45.666667938,-59.5944442749999 45.666667938,-59.566665649 45.666667938,-59.549999237 45.666667938,-59.533332824 45.666667938,-59.5166664119999 45.666667938,-59.4999999999999 45.666667938,-59.4833335869999 45.666667938,-59.4666671749999 45.666667938,-59.4500007629999 45.666667938,-59.433334351 45.666667938,-59.4166679379999 45.666667938,-59.400001526 45.666667938,-59.383335114 45.666667938,-59.366664886 45.666667938,-59.349998474 45.666667938,-59.333332061 45.666667938,-59.316665649 45.666667938,-59.299999237 45.666667938,-59.2833328249999 45.666667938,-59.2666664119999 45.666667938,-59.2499999999999 45.666667938,-59.2333335879999 45.666667938,-59.2166671749999 45.666667938,-59.2000007629999 45.666667938,-59.183334351 45.666667938,-59.1666679379999 45.666667938,-59.150001526 45.666667938,-59.133335113 45.666667938,-59.116664886 45.666667938,-59.099998474 45.666667938,-59.083332062 45.666667938,-59.066665649 45.666667938,-59.049999237 45.666667938,-59.0333328249999 45.666667938,-59.0166664119999 45.666667938,-58.9999999999999 45.666667938,-58.9833335879999 45.666667938,-58.9666671749999 45.666667938,-58.9500007629999 45.666667938,-58.9333343499999 45.666667938,-58.9166679379999 45.666667938,-58.900001526 45.666667938,-58.883335113 45.666667938,-58.866664886 45.666667938,-58.849998474 45.666667938,-58.833332062 45.666667938,-58.816665649 45.666667938,-58.799999237 45.666667938,-58.7833328249999 45.666667938,-58.7666664119999 45.666667938,-58.7499999999999 45.666667938,-58.7333335869999 45.666667938,-58.7166671749999 45.666667938,-58.7000007629999 45.666667938,-58.6833343499999 45.666667938,-58.6666679379999 45.666667938,-58.650001526 45.666667938,-58.633335114 45.666667938,-58.616664886 45.666667938,-58.599998474 45.666667938,-58.5944442749999 45.666667938,-58.566665649 45.666667938,-58.549999237 45.666667938,-58.533332824 45.666667938,-58.5166664119999 45.666667938,-58.4999999999999 45.666667938,-58.4833335879999 45.666667938,-58.4666671749999 45.666667938,-58.4500007629999 45.666667938,-58.433334351 45.666667938,-58.4166679379999 45.666667938,-58.400001526 45.666667938,-58.383335114 45.666667938,-58.366664886 45.666667938,-58.349998474 45.666667938,-58.333332061 45.666667938,-58.316665649 45.666667938,-58.299999237 45.666667938,-58.2833328249999 45.666667938,-58.2666664119999 45.666667938,-58.2499999999999 45.666667938,-58.2333335879999 45.666667938,-58.2166671749999 45.666667938,-58.2000007629999 45.666667938,-58.183334351 45.666667938,-58.1666679379999 45.666667938,-58.1500015249999 45.666667938,-58.133335113 45.666667938,-58.116664886 45.666667938,-58.099998474 45.666667938,-58.083332062 45.666667938,-58.066665649 45.666667938,-58.049999237 45.666667938,-58.0333328249999 45.666667938,-58.0166664119999 45.666667938,-57.9999999999999 45.666667938,-57.9833335879999 45.666667938,-57.9666671749999 45.666667938,-57.9500007629999 45.666667938,-57.9333343499999 45.666667938,-57.9166679379999 45.666667938,-57.900001526 45.666667938,-57.883335113 45.666667938,-57.866664886 45.666667938,-57.849998474 45.666667938,-57.833332062 45.666667938,-57.816665649 45.666667938,-57.799999237 45.666667938,-57.7833328249999 45.666667938,-57.7666664119999 45.666667938,-57.7499999999999 45.666667938,-57.7333335869999 45.666667938,-57.7166671749999 45.666667938,-57.7000007629999 45.666667938,-57.6833343499999 45.666667938,-57.6666679379999 45.666667938,-57.650001526 45.666667938,-57.633335114 45.666667938,-57.616664886 45.666667938,-57.599998474 45.666667938,-57.5944442749999 45.666667938,-57.566665649 45.666667938,-57.549999237 45.666667938,-57.533332824 45.666667938,-57.451267242 45.666667938,-57.4320526119999 45.650001526,-57.412845612 45.633335114,-57.393642426 45.6166648860001,-57.3744468689999 45.5999984740001,-57.355255127 45.5833320620001,-57.336071014 45.5666656490001,-57.3168945309999 45.5499992370001,-57.297718048 45.5333328250001,-57.2785530089999 45.5166664120001,-57.25938797 45.5000000000001,-57.2402343749999 45.4833335880001,-57.22108078 45.4666671750001,-57.201938629 45.450000763,-57.1827964779999 45.433334351,-57.163665771 45.416667938,-57.144535065 45.400001526,-57.125415802 45.383335114,-57.106296539 45.3666648860001,-57.087188721 45.3499984740001,-57.068080902 45.3333320620001,-57.0489845279999 45.3166656490001,-57.0298881529999 45.2999992370001,-57.010799408 45.2833328250001,-56.991718292 45.2666664120001,-56.9726409909999 45.2500000000001,-56.95357132 45.2333335880001,-56.9345054629999 45.2166671750001,-56.91544342 45.200000763,-56.896389008 45.183334351,-56.877342224 45.166667938,-56.858299255 45.150001526,-56.839260101 45.133335114,-56.820228577 45.1166648860001,-56.801200867 45.0999984740001,-56.782180786 45.0833320620001,-56.76316452 45.0666656490001,-56.744155884 45.0499992370001,-56.725151062 45.0333328250001,-56.70615387 45.0166664120001,-56.687160492 45.0000000000001,-56.6681747439999 44.9833335880001,-56.6491928099999 44.9666671750001,-56.6302146909999 44.950000763,-56.611244202 44.933334351,-56.592281342 44.916667938,-56.5733184809999 44.900001526,-56.554367065 44.883335114,-56.535419464 44.8666648860001,-56.516475677 44.8499984740001,-56.497535706 44.8333320620001,-56.4786071779999 44.8166656490001,-56.4596786499999 44.7999992370001,-56.440757751 44.7833328250001,-56.421840668 44.7666664120001,-56.4029312129999 44.7500000000001,-56.3840293879999 44.7333335880001,-56.365127563 44.7166671750001,-56.346237183 44.700000763,-56.327346802 44.683334351,-56.3084640499999 44.666667938,-56.2895889279999 44.650001526,-56.270717621 44.633335114,-56.2518501279999 44.6166648860001,-56.232990265 44.5999984740001,-56.2141342159999 44.5833320620001,-56.1952857969999 44.5666656490001,-56.176441193 44.5499992370001,-56.1576004029999 44.5333328250001,-56.138767242 44.5166664120001,-56.1199378969999 44.5000000000001,-56.10111618 44.4833335880001,-56.082298279 44.4666671750001,-56.0634880069999 44.450000763,-56.044681549 44.433334351,-56.0258789059999 44.416667938,-56.007083893 44.400001526,-55.9882926939999 44.383335114,-55.9695091249999 44.3666648860001,-55.95072937 44.3499984740001,-55.93195343 44.3333320620001,-55.91318512 44.3166656490001,-55.894420624 44.2999992370001,-55.875663757 44.2833328250001,-55.856910706 44.2666664120001,-55.838165283 44.2500000000001,-55.819423676 44.2333335880001,-55.800685883 44.2166671750001,-55.7819557189999 44.200000763,-55.76322937 44.183334351,-55.744506836 44.166667938,-55.7257919309999 44.150001526,-55.7070808409999 44.133335114,-55.68837738 44.1166648860001,-55.6696777339999 44.0999984740001,-55.650985718 44.0833320620001,-55.632293701 44.0666656490001,-55.613613129 44.0499992370001,-55.5949325559999 44.0333328250001,-55.5762596129999 44.0166664120001,-55.557594299 44.0000000000001,-55.538928986 43.9833335880001,-55.5202751159999 43.9666671750001,-55.501621246 43.950000763,-55.4829750059999 43.933334351,-55.464332581 43.916667938,-55.4456977839999 43.900001526,-55.4270668029999 43.883335114,-55.408443451 43.8666648860001,-55.389820099 43.8499984740001,-55.3712081909999 43.8333320620001,-55.352596283 43.8166656490001,-55.333992004 43.7999992370001,-55.3153915409999 43.7833328250001,-55.2967987059999 43.7666664120001,-55.278209686 43.7500000000001,-55.259628296 43.7333335880001,-55.241046906 43.7166671750001,-55.222473145 43.700000763,-55.2039070129999 43.683334351,-55.185344696 43.666667938,-55.1667861939999 43.650001526,-55.148235321 43.633335114,-55.1296882629999 43.6166648860001,-55.11114502 43.5999984740001,-55.0926055909999 43.5833320620001,-55.074073792 43.5666656490001,-55.0555496219999 43.5499992370001,-55.0370292659999 43.5333328250001,-55.018512726 43.5166664120001,-54.9999999999999 43.5000000000001,-54.9808158869999 43.4833335880001,-54.96163559 43.4666671750001,-54.942462921 43.450000763,-54.923294067 43.433334351,-54.904132843 43.416667938,-54.884975433 43.400001526,-54.8658218379999 43.383335114,-54.846675873 43.3666648860001,-54.8275337219999 43.3499984740001,-54.8083991999999 43.3333320620001,-54.7892684939999 43.3166656490001,-54.770141602 43.2999992370001,-54.751022339 43.2833328250001,-54.7319068909999 43.2666664120001,-54.7127990719999 43.2500000000001,-54.693691254 43.2333335880001,-54.674594879 43.2166671750001,-54.655498505 43.200000763,-54.6364097599999 43.183334351,-54.6173286439999 43.166667938,-54.5982475279999 43.150001526,-54.5791778559999 43.133335114,-54.5601081849999 43.1166648860001,-54.541046143 43.0999984740001,-54.521987915 43.0833320620001,-54.502937317 43.0666656490001,-54.4999999999999 43.064090729)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.4', '', '21.4', '21.4.V', '', '21.4V', '21.4.V.s', 'Southern subdivision', '21.4Vs', '', '', '', '', '4Vs', '4', '21.4.V.s', '21.4Vs', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 16.0000000000001,-15.9999999999999 16.0000000000001,-16.799999237 16.0000000000001,-17.600000381 16.0000000000001,-18.399999619 16.0000000000001,-19.2000007629999 16.0000000000001,-19.9999999999999 16.0000000000001,-19.9999999999999 17.399999619,-19.9999999999999 18.200000763,-19.9999999999999 19.0000000000001,-19.2000007629999 19.0000000000001,-18.399999619 19.0000000000001,-17.600000381 19.0000000000001,-16.799999237 19.0000000000001,-15.9999999999999 19.0000000000001,-14.9999999999999 19.0000000000001,-14.9999999999999 18.200000763,-14.9999999999999 17.399999619,-14.9999999999999 16.0000000000001)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.3', 'Southern Coastal', '', '34.3.1', 'Cape Verde Coastal', '', '34.3.1.1', '', '', '', '', '', '', '3.11', '4', '34.3.1.1', '34.3.1.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.999999939 48.000000018,-10.999999939 47.983366367,-10.999999939 47.966732704,-10.999999939 47.9500990400001,-10.999999939 47.9334653770001,-10.999999939 47.9168317130001,-10.999999939 47.90019805,-10.999999939 47.883564387,-10.999999939 47.8669307230001,-10.999999939 47.8502970600001,-10.999999939 47.8336633970001,-10.999999939 47.817029733,-10.999999939 47.80039607,-10.999999939 47.7837624060001,-10.999999939 47.7671287430001,-10.999999939 47.7504950800001,-10.999999939 47.7338614160001,-10.999999939 47.717227753,-10.999999939 47.700594089,-10.999999939 47.6839604260001,-10.999999939 47.6673267630001,-10.999999939 47.6506930990001,-10.999999939 47.634059436,-10.999999939 47.617425773,-10.999999939 47.6007921090001,-10.999999939 47.5841584460001,-10.999999939 47.5675247820001,-10.999999939 47.550891119,-10.999999939 47.534257456,-10.999999939 47.5176237920001,-10.999999939 47.5009901290001,-10.999999939 47.4843564650001,-10.999999939 47.467722802,-10.999999939 47.451089139,-10.999999939 47.434455475,-10.999999939 47.4178218120001,-10.999999939 47.4011881490001,-10.999999939 47.3845544850001,-10.999999939 47.367920822,-10.999999939 47.351287158,-10.999999939 47.3346534950001,-10.999999939 47.3180198320001,-10.999999939 47.3013861680001,-10.999999939 47.284752505,-10.999999939 47.268118842,-10.999999939 47.2514851780001,-10.999999939 47.2348515150001,-10.999999939 47.2182178510001,-10.999999939 47.201584188,-10.999999939 47.184950525,-10.999999939 47.1683168610001,-10.999999939 47.1516831980001,-10.999999939 47.1350495340001,-10.999999939 47.1184158710001,-10.999999939 47.101782208,-10.999999939 47.085148544,-10.999999939 47.0685148810001,-10.999999939 47.0518812180001,-10.999999939 47.0352475540001,-10.999999939 47.018613891,-10.999999939 47.001980227,-10.999999939 46.9853465640001,-10.999999939 46.9687129010001,-10.999999939 46.9520792370001,-10.999999939 46.935445574,-10.999999939 46.918811911,-10.999999939 46.9021782470001,-10.999999939 46.8855445840001,-10.999999939 46.8689109200001,-10.999999939 46.852277257,-10.999999939 46.835643594,-10.999999939 46.81900993,-10.999999939 46.8023762670001,-10.999999939 46.7857426030001,-10.999999939 46.7691089400001,-10.999999939 46.752475277,-10.999999939 46.735841613,-10.999999939 46.7192079500001,-10.999999939 46.7025742870001,-10.999999939 46.6859406230001,-10.999999939 46.66930696,-10.999999939 46.652673296,-10.999999939 46.6360396330001,-10.999999939 46.6194059700001,-10.999999939 46.6027723060001,-10.999999939 46.586138643,-10.999999939 46.569504979,-10.999999939 46.5528713160001,-10.999999939 46.5362376530001,-10.999999939 46.5196039890001,-10.999999939 46.5029703260001,-10.999999939 46.486336663,-10.999999939 46.469702999,-10.999999939 46.4530693360001,-10.999999939 46.4364356720001,-10.999999939 46.4198020090001,-10.999999939 46.403168346,-10.999999939 46.386534682,-10.999999939 46.3699010190001,-10.999999939 46.3532673560001,-10.999999939 46.3366336920001,-10.99999996 46.3200000150001,-11.013668578 46.310532573,-11.027337217 46.3010651180001,-11.041005856 46.2915976620001,-11.054674496 46.282130206,-11.068343135 46.272662751,-11.082011774 46.2631952950001,-11.095680413 46.2537278390001,-11.109349052 46.244260384,-11.123017691 46.234792928,-11.13668633 46.2253254720001,-11.150354969 46.2158580170001,-11.164023608 46.206390561,-11.177692247 46.196923106,-11.1913608859999 46.1874556500001,-11.2050295249999 46.1779881940001,-11.2186981639999 46.168520739,-11.2323668029999 46.159053283,-11.2460354419999 46.1495858270001,-11.2597040819999 46.1401183720001,-11.2733727209999 46.130650916,-11.2870413599999 46.121183461,-11.3007099989999 46.1117160050001,-11.3143786379999 46.1022485490001,-11.3280472769999 46.092781094,-11.3417159159999 46.083313638,-11.3553845549999 46.0738461820001,-11.3690531939999 46.0643787270001,-11.3827218329999 46.054911271,-11.396390472 46.0454438150001,-11.397591366 46.0446120280001,-11.410059111 46.0359763600001,-11.42372775 46.026508904,-11.437396389 46.017041449,-11.451065028 46.0075739930001,-11.464733667 45.9981065370001,-11.478402307 45.9886390820001,-11.492070946 45.979171626,-11.505739585 45.9697041700001,-11.519408224 45.9602367150001,-11.533076863 45.950769259,-11.546745502 45.941301804,-11.560414141 45.9318343480001,-11.57408278 45.9223668920001,-11.587751419 45.9128994370001,-11.601420058 45.903431981,-11.615088697 45.8939645250001,-11.628757336 45.8844970700001,-11.642425975 45.875029614,-11.6560946139999 45.865562159,-11.6697632529999 45.8560947030001,-11.683431893 45.8466272470001,-11.697100532 45.8371597920001,-11.710769171 45.827692336,-11.7244378099999 45.8182248800001,-11.7381064489999 45.8087574250001,-11.7517750879999 45.799289969,-11.7654437269999 45.789822513,-11.7791123659999 45.7803550580001,-11.7927810049999 45.7708876020001,-11.8064496439999 45.7614201470001,-11.8201182829999 45.751952691,-11.8337869219999 45.7424852350001,-11.8474555609999 45.7330177800001,-11.8611241999999 45.723550324,-11.874792839 45.714082868,-11.8884614789999 45.7046154130001,-11.9021301179999 45.6951479570001,-11.9157987569999 45.685680502,-11.9294673959999 45.676213046,-11.943136035 45.6667455900001,-11.956804674 45.6572781350001,-11.970473313 45.647810679,-11.984141952 45.638343223,-11.997810591 45.6288757680001,-12.01147923 45.6194083120001,-12.025147869 45.609940857,-12.038816508 45.600473401,-12.052485147 45.5910059450001,-12.066153786 45.5815384900001,-12.079822425 45.572071034,-12.093491065 45.5626035780001,-12.107159704 45.5531361230001,-12.120828343 45.5436686670001,-12.134496982 45.534201211,-12.148165621 45.524733756,-12.16183426 45.5152663000001,-12.175502899 45.5057988450001,-12.1891715379999 45.496331389,-12.2028401769999 45.4868639330001,-12.2165088159999 45.4773964780001,-12.2301774549999 45.4679290220001,-12.2438460939999 45.458461566,-12.2575147329999 45.448994111,-12.2711833719999 45.4395266550001,-12.2848520109999 45.4300592000001,-12.2985206509999 45.420591744,-12.3121892899999 45.4111242880001,-12.3258579289999 45.4016568330001,-12.3395265679999 45.3921893770001,-12.3668638459999 45.373254466,-12.3805324849999 45.3637870100001,-12.3942011239999 45.354319554,-12.407869763 45.344852099,-12.421538402 45.3353846430001,-12.435207041 45.3259171880001,-12.44887568 45.3164497320001,-12.462544319 45.306982276,-12.476212958 45.297514821,-12.489881597 45.2880473650001,-12.503550237 45.278579909,-12.517218876 45.269112454,-12.530887515 45.2596449980001,-12.544556154 45.2501775430001,-12.558224793 45.240710087,-12.571893432 45.231242631,-12.585562071 45.2217751760001,-12.59923071 45.2123077200001,-12.612899349 45.202840264,-12.626567988 45.193372809,-12.640236627 45.1839053530001,-12.653905266 45.1744378980001,-12.6675739049999 45.164970442,-12.6812425439999 45.155502986,-12.6949111829999 45.1460355310001,-12.7085798219999 45.1365680750001,-12.722248462 45.127100619,-12.7359171009999 45.117633164,-12.7495857399999 45.1081657080001,-12.7632543789999 45.0986982520001,-12.7769230179999 45.089230797,-12.7905916569999 45.079763341,-12.8042602959999 45.0702958860001,-12.8179289349999 45.0608284300001,-12.8315975739999 45.051360974,-12.8452662129999 45.041893519,-12.8589348519999 45.0324260630001,-12.8726034909999 45.0229586070001,-12.88627213 45.013491152,-12.899940769 45.004023696,-12.913609408 44.9945562410001,-12.9272780479999 44.9850887850001,-12.940946687 44.975621329,-12.954615326 44.966153874,-12.9586503539999 44.9633590490001,-12.968283965 44.9566864180001,-12.981952604 44.9472189620001,-12.995621243 44.937751507,-13.009289882 44.928284051,-13.022958521 44.9188165960001,-13.03662716 44.9093491400001,-13.050295799 44.899881684,-13.063964438 44.890414229,-13.077633077 44.8809467730001,-13.091301716 44.8714793170001,-13.104970355 44.862011862,-13.118638994 44.852544406,-13.132307634 44.8430769500001,-13.145976273 44.8336094950001,-13.159644912 44.824142039,-13.173313551 44.814674584,-13.18698219 44.8052071280001,-13.2006508289999 44.795739672,-13.2143194679999 44.786272217,-13.2279881069999 44.7768047610001,-13.235426025 44.771652956,-13.238828618 44.7692961820001,-13.2416567459999 44.7673373050001,-13.2553253849999 44.7578698500001,-13.2689940239999 44.748402394,-13.2826626629999 44.738934939,-13.3099999409999 44.720000027,-13.314390185 44.7041463690001,-13.318780429 44.68829271,-13.3231706729999 44.6724390520001,-13.3319511609999 44.640731735,-13.3363414049999 44.6248780760001,-13.340731649 44.6090244170001,-13.3451218929999 44.593170759,-13.35390238 44.561463442,-13.3582926239999 44.545609783,-13.362682868 44.5297561250001,-13.367073112 44.513902466,-13.3714633559999 44.4980488080001,-13.3758536 44.4821951490001,-13.3802438439999 44.46634149,-13.3846340879999 44.4504878320001,-13.389024332 44.4346341730001,-13.3934145759999 44.418780515,-13.39780482 44.4029268560001,-13.4065853069999 44.371219539,-13.410975551 44.3553658810001,-13.411927654 44.351927731,-13.415365795 44.3395122220001,-13.4197560389999 44.323658563,-13.424146283 44.3078049050001,-13.4329267709999 44.276097588,-13.437317015 44.2602439290001,-13.4417072589999 44.244390271,-13.446097503 44.228536612,-13.450487746 44.2126829540001,-13.450869504 44.2113043850001,-13.459268234 44.1809756370001,-13.463658478 44.1651219780001,-13.4680487219999 44.149268319,-13.472438966 44.1334146610001,-13.4768292099999 44.1175610020001,-13.4812194539999 44.101707344,-13.485609698 44.0858536850001,-13.486561803 44.0824155270001,-13.4899999419999 44.070000027,-13.494626807 44.0540298770001,-13.4992536729999 44.0380597280001,-13.503880539 44.0220895790001,-13.5085074039999 44.0061194300001,-13.51313427 43.99014928,-13.5177611359999 43.974179131,-13.522388001 43.958208982,-13.5270148669999 43.942238833,-13.531641733 43.926268683,-13.5362685979999 43.910298534,-13.540895464 43.8943283850001,-13.5455223299999 43.8783582350001,-13.550149195 43.8623880860001,-13.5547760609999 43.8464179370001,-13.559402927 43.8304477880001,-13.5640297919999 43.814477638,-13.568656658 43.798507489,-13.573283524 43.78253734,-13.577910389 43.766567191,-13.582537255 43.750597041,-13.5871641209999 43.7346268920001,-13.591790986 43.7186567430001,-13.5964178519999 43.7026865930001,-13.601044718 43.6867164440001,-13.6056715829999 43.6707462950001,-13.610298449 43.6547761460001,-13.6149253149999 43.638805996,-13.61955218 43.622835847,-13.6241790459999 43.606865698,-13.628805912 43.590895549,-13.6334327779999 43.5749253990001,-13.638059643 43.5589552500001,-13.6426865089999 43.5429851010001,-13.647313375 43.5270149520001,-13.6519402399999 43.5110448020001,-13.656567106 43.4950746530001,-13.661193972 43.4791045040001,-13.665820837 43.463134354,-13.666695664 43.4601147930001,-13.6750745689999 43.431194056,-13.679701434 43.415223907,-13.6843282999999 43.3992537570001,-13.688955166 43.3832836080001,-13.6935820309999 43.3673134590001,-13.698208897 43.3513433100001,-13.7028357629999 43.3353731600001,-13.709061361 43.3138848030001,-13.7120894939999 43.3034328620001,-13.71671636 43.287462713,-13.7213432249999 43.271492563,-13.725970091 43.255522414,-13.7305969569999 43.239552265,-13.735223822 43.2235821150001,-13.7398506879999 43.2076119660001,-13.744477554 43.1916418170001,-13.7491044189999 43.1756716680001,-13.758358151 43.1437313690001,-13.7590283989999 43.14141793,-13.759410503 43.140099057,-13.762985016 43.12776122,-13.7676118819999 43.111791071,-13.7722387479999 43.095820921,-13.7768656129999 43.079850772,-13.781492479 43.063880623,-13.786119345 43.0479104730001,-13.7907462109999 43.0319403240001,-13.795373076 43.0159701750001,-13.799999945 43.000000017,-13.816666609 43.0000000260001,-13.833333275 43.0000000260001,-13.849999942 43.0000000260001,-13.8666666089999 43.0000000260001,-13.8833332749999 43.0000000260001,-13.899999942 43.0000000260001,-13.9166666089999 43.0000000260001,-13.9333332749999 43.0000000260001,-13.949999942 43.0000000260001,-13.966666609 43.0000000260001,-13.9833332749999 43.0000000260001,-13.9999999419999 43.0000000260001,-14.016666609 43.0000000260001,-14.033333275 43.0000000260001,-14.0499999419999 43.0000000260001,-14.066666609 43.0000000260001,-14.083333275 43.0000000260001,-14.099999942 43.0000000260001,-14.1166666089999 43.0000000260001,-14.1333332749999 43.0000000260001,-14.149999942 43.0000000260001,-14.1666666089999 43.0000000260001,-14.1833332759999 43.0000000260001,-14.199999942 43.0000000260001,-14.216666609 43.0000000260001,-14.2333332759999 43.0000000260001,-14.2499999419999 43.0000000260001,-14.266666609 43.0000000260001,-14.283333276 43.0000000260001,-14.2999999419999 43.0000000260001,-14.316666609 43.0000000260001,-14.333333276 43.0000000260001,-14.349999942 43.0000000260001,-14.3666666089999 43.0000000260001,-14.383333276 43.0000000260001,-14.399999942 43.0000000260001,-14.4166666089999 43.0000000260001,-14.4333332759999 43.0000000260001,-14.449999942 43.0000000260001,-14.466666609 43.0000000260001,-14.4833332759999 43.0000000260001,-14.499999943 43.0000000260001,-14.516666609 43.0000000260001,-14.533333276 43.0000000260001,-14.5499999429999 43.0000000260001,-14.566666609 43.0000000260001,-14.583333276 43.0000000260001,-14.5999999429999 43.0000000260001,-14.6166666089999 43.0000000260001,-14.633333276 43.0000000260001,-14.649999943 43.0000000260001,-14.6666666089999 43.0000000260001,-14.6833332759999 43.0000000260001,-14.699999943 43.0000000260001,-14.716666609 43.0000000260001,-14.7333332759999 43.0000000260001,-14.749999943 43.0000000260001,-14.766666609 43.0000000260001,-14.783333276 43.0000000260001,-14.7999999429999 43.0000000260001,-14.816666609 43.0000000260001,-14.833333276 43.0000000260001,-14.8499999429999 43.0000000260001,-14.86666661 43.0000000260001,-14.883333276 43.0000000260001,-14.899999943 43.0000000260001,-14.9166666099999 43.0000000260001,-14.9333332759999 43.0000000260001,-14.949999943 43.0000000260001,-14.9666666099999 43.0000000260001,-14.9833332759999 43.0000000260001,-14.999999943 43.0000000260001,-15.01666661 43.0000000260001,-15.033333276 43.0000000260001,-15.0499999429999 43.0000000260001,-15.06666661 43.0000000260001,-15.083333276 43.0000000260001,-15.0999999429999 43.0000000260001,-15.11666661 43.0000000260001,-15.133333276 43.0000000260001,-15.149999943 43.0000000260001,-15.1666666099999 43.0000000260001,-15.1833332759999 43.0000000260001,-15.199999943 43.0000000260001,-15.2166666099999 43.0000000260001,-15.2333332769999 43.0000000260001,-15.249999943 43.0000000260001,-15.26666661 43.0000000260001,-15.2833332769999 43.0000000260001,-15.2999999429999 43.0000000260001,-15.31666661 43.0000000260001,-15.333333277 43.0000000260001,-15.3499999429999 43.0000000260001,-15.36666661 43.0000000260001,-15.383333277 43.0000000260001,-15.399999943 43.0000000260001,-15.4166666099999 43.0000000260001,-15.433333277 43.0000000260001,-15.449999943 43.0000000260001,-15.4666666099999 43.0000000260001,-15.4833332769999 43.0000000260001,-15.499999943 43.0000000260001,-15.51666661 43.0000000260001,-15.5333332769999 43.0000000260001,-15.5499999429999 43.0000000260001,-15.56666661 43.0000000260001,-15.583333277 43.0000000260001,-15.5999999439999 43.0000000260001,-15.61666661 43.0000000260001,-15.633333277 43.0000000260001,-15.6499999439999 43.0000000260001,-15.6666666099999 43.0000000260001,-15.683333277 43.0000000260001,-15.699999944 43.0000000260001,-15.7166666099999 43.0000000260001,-15.7333332769999 43.0000000260001,-15.749999944 43.0000000260001,-15.76666661 43.0000000260001,-15.7833332769999 43.0000000260001,-15.799999944 43.0000000260001,-15.81666661 43.0000000260001,-15.833333277 43.0000000260001,-15.8499999439999 43.0000000260001,-15.86666661 43.0000000260001,-15.883333277 43.0000000260001,-15.8999999439999 43.0000000260001,-15.9166666099999 43.0000000260001,-15.933333277 43.0000000260001,-15.949999944 43.0000000260001,-15.9666666109999 43.0000000260001,-15.9833332769999 43.0000000260001,-15.999999944 43.0000000260001,-16.0166666109999 43.0000000260001,-16.0333332769999 43.0000000260001,-16.049999944 43.0000000260001,-16.066666611 43.0000000260001,-16.083333277 43.0000000260001,-16.0999999439999 43.0000000260001,-16.116666611 43.0000000260001,-16.133333277 43.0000000260001,-16.1499999439999 43.0000000260001,-16.166666611 43.0000000260001,-16.183333277 43.0000000260001,-16.199999944 43.0000000260001,-16.2166666109999 43.0000000260001,-16.2333332769999 43.0000000260001,-16.249999944 43.0000000260001,-16.2666666109999 43.0000000260001,-16.2833332779999 43.0000000260001,-16.299999944 43.0000000260001,-16.316666611 43.0000000260001,-16.3333332779999 43.0000000260001,-16.3499999439999 43.0000000260001,-16.366666611 43.0000000260001,-16.383333278 43.0000000260001,-16.3999999439999 43.0000000260001,-16.416666611 43.0000000260001,-16.433333278 43.0000000260001,-16.449999944 43.0000000260001,-16.4666666109999 43.0000000260001,-16.483333278 43.0000000260001,-16.499999944 43.0000000260001,-16.5166666109999 43.0000000260001,-16.5333332779999 43.0000000260001,-16.549999944 43.0000000260001,-16.566666611 43.0000000260001,-16.5833332779999 43.0000000260001,-16.5999999439999 43.0000000260001,-16.616666611 43.0000000260001,-16.633333278 43.0000000260001,-16.6499999449999 43.0000000260001,-16.666666611 43.0000000260001,-16.683333278 43.0000000260001,-16.6999999449999 43.0000000260001,-16.7166666109999 43.0000000260001,-16.733333278 43.0000000260001,-16.749999945 43.0000000260001,-16.7666666109999 43.0000000260001,-16.7833332779999 43.0000000260001,-16.799999945 43.0000000260001,-16.816666611 43.0000000260001,-16.8333332779999 43.0000000260001,-16.849999945 43.0000000260001,-16.866666611 43.0000000260001,-16.883333278 43.0000000260001,-16.8999999449999 43.0000000260001,-16.916666611 43.0000000260001,-16.933333278 43.0000000260001,-16.9499999449999 43.0000000260001,-16.9666666109999 43.0000000260001,-16.983333278 43.0000000260001,-16.999999945 43.0000000260001,-17.0166666119999 43.0000000260001,-17.0333332779999 43.0000000260001,-17.049999945 43.0000000260001,-17.0666666119999 43.0000000260001,-17.0833332779999 43.0000000260001,-17.099999945 43.0000000260001,-17.116666612 43.0000000260001,-17.133333278 43.0000000260001,-17.1499999449999 43.0000000260001,-17.166666612 43.0000000260001,-17.183333278 43.0000000260001,-17.1999999449999 43.0000000260001,-17.2166666119999 43.0000000260001,-17.233333278 43.0000000260001,-17.249999945 43.0000000260001,-17.2666666119999 43.0000000260001,-17.2833332779999 43.0000000260001,-17.299999945 43.0000000260001,-17.3166666119999 43.0000000260001,-17.3333332779999 43.0000000260001,-17.349999945 43.0000000260001,-17.366666612 43.0000000260001,-17.3833332789999 43.0000000260001,-17.3999999449999 43.0000000260001,-17.416666612 43.0000000260001,-17.433333279 43.0000000260001,-17.4499999449999 43.0000000260001,-17.4666666119999 43.0000000260001,-17.483333279 43.0000000260001,-17.499999945 43.0000000260001,-17.5166666119999 43.0000000260001,-17.533333279 43.0000000260001,-17.549999945 43.0000000260001,-17.5666666119999 43.0000000260001,-17.5833332789999 43.0000000260001,-17.599999945 43.0000000260001,-17.616666612 43.0000000260001,-17.6333332789999 43.0000000260001,-17.6499999449999 43.0000000260001,-17.666666612 43.0000000260001,-17.683333279 43.0000000260001,-17.6999999449999 43.0000000260001,-17.7166666119999 43.0000000260001,-17.733333279 43.0000000260001,-17.7499999459999 43.0000000260001,-17.7666666119999 43.0000000260001,-17.783333279 43.0000000260001,-17.799999946 43.0000000260001,-17.8166666119999 43.0000000260001,-17.8333332789999 43.0000000260001,-17.849999946 43.0000000260001,-17.866666612 43.0000000260001,-17.8833332789999 43.0000000260001,-17.899999946 43.0000000260001,-17.916666612 43.0000000260001,-17.933333279 43.0000000260001,-17.9499999459999 43.0000000260001,-17.9666666119999 43.0000000260001,-17.983333279 43.0000000260001,-17.999999959 43.000000019,-17.9999999459999 43.0166666920001,-17.9999999459999 43.033333359,-17.9999999459999 43.0500000260001,-17.9999999459999 43.0666666920001,-17.9999999459999 43.0833333590001,-17.9999999459999 43.100000026,-17.9999999459999 43.1166666920001,-17.9999999459999 43.1333333590001,-17.9999999459999 43.150000026,-17.9999999459999 43.166666692,-17.9999999459999 43.1833333590001,-17.9999999459999 43.2000000260001,-17.9999999459999 43.216666693,-17.9999999459999 43.233333359,-17.9999999459999 43.2500000260001,-17.9999999459999 43.266666693,-17.9999999459999 43.283333359,-17.9999999459999 43.3000000260001,-17.9999999459999 43.3166666930001,-17.9999999459999 43.3333333590001,-17.9999999459999 43.350000026,-17.9999999459999 43.3666666930001,-17.9999999459999 43.3833333590001,-17.9999999459999 43.400000026,-17.9999999459999 43.416666693,-17.9999999459999 43.4333333590001,-17.9999999459999 43.4500000260001,-17.9999999459999 43.466666693,-17.9999999459999 43.483333359,-17.9999999459999 43.5000000260001,-17.9999999459999 43.516666693,-17.9999999459999 43.53333336,-17.9999999459999 43.5500000260001,-17.9999999459999 43.5666666930001,-17.9999999459999 43.58333336,-17.9999999459999 43.600000026,-17.9999999459999 43.6166666930001,-17.9999999459999 43.6333333600001,-17.9999999459999 43.650000026,-17.9999999459999 43.666666693,-17.9999999459999 43.6833333600001,-17.9999999459999 43.7000000260001,-17.9999999459999 43.716666693,-17.9999999459999 43.7333333600001,-17.9999999459999 43.7500000260001,-17.9999999459999 43.766666693,-17.9999999459999 43.78333336,-17.9999999459999 43.8000000260001,-17.9999999459999 43.8166666930001,-17.9999999459999 43.83333336,-17.9999999459999 43.850000026,-17.9999999459999 43.8666666930001,-17.9999999459999 43.8833333600001,-17.9999999459999 43.900000027,-17.9999999459999 43.916666693,-17.9999999459999 43.9333333600001,-17.9999999459999 43.950000027,-17.9999999459999 43.966666693,-17.9999999459999 43.9833333600001,-17.9999999459999 44.0000000270001,-17.9999999459999 44.016666693,-17.9999999459999 44.03333336,-17.9999999459999 44.0500000270001,-17.9999999459999 44.0666666930001,-17.9999999459999 44.08333336,-17.9999999459999 44.1000000270001,-17.9999999459999 44.1166666930001,-17.9999999459999 44.1333333600001,-17.9999999459999 44.150000027,-17.9999999459999 44.166666693,-17.9999999459999 44.1833333600001,-17.9999999459999 44.200000027,-17.9999999459999 44.216666693,-17.9999999459999 44.2333333600001,-17.9999999459999 44.2500000270001,-17.9999999459999 44.266666694,-17.9999999459999 44.28333336,-17.9999999459999 44.3000000270001,-17.9999999459999 44.316666694,-17.9999999459999 44.33333336,-17.9999999459999 44.3500000270001,-17.9999999459999 44.3666666940001,-17.9999999459999 44.3833333600001,-17.9999999459999 44.400000027,-17.9999999459999 44.4166666940001,-17.9999999459999 44.4333333600001,-17.9999999459999 44.450000027,-17.9999999459999 44.466666694,-17.9999999459999 44.4833333600001,-17.9999999459999 44.5000000270001,-17.9999999459999 44.516666694,-17.9999999459999 44.53333336,-17.9999999459999 44.5500000270001,-17.9999999459999 44.566666694,-17.9999999459999 44.58333336,-17.9999999459999 44.6000000270001,-17.9999999459999 44.6166666940001,-17.9999999459999 44.633333361,-17.9999999459999 44.650000027,-17.9999999459999 44.6666666940001,-17.9999999459999 44.6833333610001,-17.9999999459999 44.700000027,-17.9999999459999 44.716666694,-17.9999999459999 44.7333333610001,-17.9999999459999 44.7500000270001,-17.9999999459999 44.766666694,-17.9999999459999 44.7833333610001,-17.9999999459999 44.8000000270001,-17.9999999459999 44.816666694,-17.9999999459999 44.833333361,-17.9999999459999 44.8500000270001,-17.9999999459999 44.8666666940001,-17.9999999459999 44.883333361,-17.9999999459999 44.900000027,-17.9999999459999 44.9166666940001,-17.9999999459999 44.9333333610001,-17.9999999459999 44.950000027,-17.9999999459999 44.966666694,-17.9999999459999 44.9833333610001,-17.9999999459999 45.000000028,-17.9999999459999 45.016666694,-17.9999999459999 45.0333333610001,-17.9999999459999 45.0500000280001,-17.9999999459999 45.066666694,-17.9999999459999 45.083333361,-17.9999999459999 45.1000000280001,-17.9999999459999 45.1166666940001,-17.9999999459999 45.133333361,-17.9999999459999 45.1500000280001,-17.9999999459999 45.1666666940001,-17.9999999459999 45.1833333610001,-17.9999999459999 45.200000028,-17.9999999459999 45.216666694,-17.9999999459999 45.2333333610001,-17.9999999459999 45.250000028,-17.9999999459999 45.266666694,-17.9999999459999 45.2833333610001,-17.9999999459999 45.3000000280001,-17.9999999459999 45.316666694,-17.9999999459999 45.333333361,-17.9999999459999 45.3500000280001,-17.9999999459999 45.366666695,-17.9999999459999 45.383333361,-17.9999999459999 45.4000000280001,-17.9999999459999 45.4166666950001,-17.9999999459999 45.4333333610001,-17.9999999459999 45.450000028,-17.9999999459999 45.4666666950001,-17.9999999459999 45.4833333610001,-17.9999999459999 45.500000028,-17.9999999459999 45.516666695,-17.9999999459999 45.5333333610001,-17.9999999459999 45.5500000280001,-17.9999999459999 45.566666695,-17.9999999459999 45.583333361,-17.9999999459999 45.6000000280001,-17.9999999459999 45.616666695,-17.9999999459999 45.633333361,-17.9999999459999 45.6500000280001,-17.9999999459999 45.6666666950001,-17.9999999459999 45.683333362,-17.9999999459999 45.700000028,-17.9999999459999 45.7166666950001,-17.9999999459999 45.7333333620001,-17.9999999459999 45.750000028,-17.9999999459999 45.766666695,-17.9999999459999 45.7833333620001,-17.9999999459999 45.8000000280001,-17.9999999459999 45.816666695,-17.9999999459999 45.8333333620001,-17.9999999459999 45.8500000280001,-17.9999999459999 45.866666695,-17.9999999459999 45.883333362,-17.9999999459999 45.9000000280001,-17.9999999459999 45.9166666950001,-17.9999999459999 45.933333362,-17.9999999459999 45.950000028,-17.9999999459999 45.9666666950001,-17.9999999459999 45.9833333620001,-17.9999999459999 46.000000028,-17.9999999459999 46.016666695,-17.9999999459999 46.0333333620001,-17.9999999459999 46.050000029,-17.9999999459999 46.066666695,-17.9999999459999 46.0833333620001,-17.9999999459999 46.1000000290001,-17.9999999459999 46.116666695,-17.9999999459999 46.133333362,-17.9999999459999 46.1500000290001,-17.9999999459999 46.1666666950001,-17.9999999459999 46.183333362,-17.9999999459999 46.2000000290001,-17.9999999459999 46.2166666950001,-17.9999999459999 46.2333333620001,-17.9999999459999 46.250000029,-17.9999999459999 46.266666695,-17.9999999459999 46.2833333620001,-17.9999999459999 46.300000029,-17.9999999459999 46.316666695,-17.9999999459999 46.3333333620001,-17.9999999459999 46.3500000290001,-17.9999999459999 46.366666695,-17.9999999459999 46.383333362,-17.9999999459999 46.4000000290001,-17.9999999459999 46.416666696,-17.9999999459999 46.433333362,-17.9999999459999 46.4500000290001,-17.9999999459999 46.4666666960001,-17.9999999459999 46.4833333620001,-17.9999999459999 46.500000029,-17.9999999459999 46.5166666960001,-17.9999999459999 46.5333333620001,-17.9999999459999 46.550000029,-17.9999999459999 46.566666696,-17.9999999459999 46.5833333620001,-17.9999999459999 46.6000000290001,-17.9999999459999 46.616666696,-17.9999999459999 46.633333362,-17.9999999459999 46.6500000290001,-17.9999999459999 46.666666696,-17.9999999459999 46.683333362,-17.9999999459999 46.7000000290001,-17.9999999459999 46.7166666960001,-17.9999999459999 46.7333333620001,-17.9999999459999 46.750000029,-17.9999999459999 46.7666666960001,-17.9999999459999 46.7833333630001,-17.9999999459999 46.800000029,-17.9999999459999 46.816666696,-17.9999999459999 46.8333333630001,-17.9999999459999 46.8500000290001,-17.9999999459999 46.866666696,-17.9999999459999 46.8833333630001,-17.9999999459999 46.9000000290001,-17.9999999459999 46.916666696,-17.9999999459999 46.933333363,-17.9999999459999 46.9500000290001,-17.9999999459999 46.9666666960001,-17.9999999459999 46.983333363,-17.9999999459999 47.000000029,-17.9999999459999 47.0166666960001,-17.9999999459999 47.0333333630001,-17.9999999459999 47.050000029,-17.9999999459999 47.066666696,-17.9999999459999 47.0833333630001,-17.9999999459999 47.1000000290001,-17.9999999459999 47.116666696,-17.9999999459999 47.1333333630001,-17.9999999459999 47.1500000300001,-17.9999999459999 47.166666696,-17.9999999459999 47.183333363,-17.9999999459999 47.2000000300001,-17.9999999459999 47.2166666960001,-17.9999999459999 47.233333363,-17.9999999459999 47.2500000300001,-17.9999999459999 47.2666666960001,-17.9999999459999 47.2833333630001,-17.9999999459999 47.30000003,-17.9999999459999 47.316666696,-17.9999999459999 47.3333333630001,-17.9999999459999 47.35000003,-17.9999999459999 47.366666696,-17.9999999459999 47.3833333630001,-17.9999999459999 47.4000000300001,-17.9999999459999 47.416666696,-17.9999999459999 47.433333363,-17.9999999459999 47.4500000300001,-17.9999999459999 47.4666666960001,-17.9999999459999 47.483333363,-17.9999999459999 47.5000000300001,-17.9999999459999 47.5166666970001,-17.9999999459999 47.5333333630001,-17.9999999459999 47.55000003,-17.9999999459999 47.5666666970001,-17.9999999459999 47.5833333630001,-17.9999999459999 47.60000003,-17.9999999459999 47.616666697,-17.9999999459999 47.6333333630001,-17.9999999459999 47.6500000300001,-17.9999999459999 47.666666697,-17.9999999459999 47.683333363,-17.9999999459999 47.7000000300001,-17.9999999459999 47.7166666970001,-17.9999999459999 47.733333363,-17.9999999459999 47.7500000300001,-17.9999999459999 47.7666666970001,-17.9999999459999 47.7833333630001,-17.9999999459999 47.80000003,-17.9999999459999 47.8166666970001,-17.9999999459999 47.8333333640001,-17.9999999459999 47.85000003,-17.9999999459999 47.866666697,-17.9999999459999 47.8833333640001,-17.9999999459999 47.9000000300001,-17.9999999459999 47.916666697,-17.9999999459999 47.9333333640001,-17.9999999459999 47.9500000300001,-17.9999999459999 47.9666666970001,-17.9999999459999 47.983333364,-17.999999959 48.000000023,-17.983333279 48.0000000300001,-17.9666666119999 48.0000000300001,-17.9499999459999 48.0000000300001,-17.933333279 48.0000000300001,-17.916666612 48.0000000300001,-17.899999946 48.0000000300001,-17.8833332789999 48.0000000300001,-17.866666612 48.0000000300001,-17.849999946 48.0000000300001,-17.8333332789999 48.0000000300001,-17.8166666119999 48.0000000300001,-17.799999946 48.0000000300001,-17.783333279 48.0000000300001,-17.7666666119999 48.0000000300001,-17.7499999459999 48.0000000300001,-17.733333279 48.0000000300001,-17.7166666119999 48.0000000300001,-17.6999999449999 48.0000000300001,-17.683333279 48.0000000300001,-17.666666612 48.0000000300001,-17.6499999449999 48.0000000300001,-17.6333332789999 48.0000000300001,-17.616666612 48.0000000300001,-17.599999945 48.0000000300001,-17.5833332789999 48.0000000300001,-17.5666666119999 48.0000000300001,-17.549999945 48.0000000300001,-17.533333279 48.0000000300001,-17.5166666119999 48.0000000300001,-17.499999945 48.0000000300001,-17.483333279 48.0000000300001,-17.4666666119999 48.0000000300001,-17.4499999449999 48.0000000300001,-17.433333279 48.0000000300001,-17.416666612 48.0000000300001,-17.3999999449999 48.0000000300001,-17.3833332789999 48.0000000300001,-17.366666612 48.0000000300001,-17.349999945 48.0000000300001,-17.3333332779999 48.0000000300001,-17.3166666119999 48.0000000300001,-17.299999945 48.0000000300001,-17.2833332779999 48.0000000300001,-17.2666666119999 48.0000000300001,-17.249999945 48.0000000300001,-17.233333278 48.0000000300001,-17.2166666119999 48.0000000300001,-17.1999999449999 48.0000000300001,-17.183333278 48.0000000300001,-17.166666612 48.0000000300001,-17.1499999449999 48.0000000300001,-17.133333278 48.0000000300001,-17.116666612 48.0000000300001,-17.099999945 48.0000000300001,-17.0833332779999 48.0000000300001,-17.0666666119999 48.0000000300001,-17.049999945 48.0000000300001,-17.0333332779999 48.0000000300001,-17.0166666119999 48.0000000300001,-16.999999945 48.0000000300001,-16.983333278 48.0000000300001,-16.9666666109999 48.0000000300001,-16.9499999449999 48.0000000300001,-16.933333278 48.0000000300001,-16.916666611 48.0000000300001,-16.8999999449999 48.0000000300001,-16.883333278 48.0000000300001,-16.866666611 48.0000000300001,-16.849999945 48.0000000300001,-16.8333332779999 48.0000000300001,-16.816666611 48.0000000300001,-16.799999945 48.0000000300001,-16.7833332779999 48.0000000300001,-16.7666666109999 48.0000000300001,-16.749999945 48.0000000300001,-16.733333278 48.0000000300001,-16.7166666109999 48.0000000300001,-16.6999999449999 48.0000000300001,-16.683333278 48.0000000300001,-16.666666611 48.0000000300001,-16.6499999449999 48.0000000300001,-16.633333278 48.0000000300001,-16.616666611 48.0000000300001,-16.5999999439999 48.0000000300001,-16.5833332779999 48.0000000300001,-16.566666611 48.0000000300001,-16.549999944 48.0000000300001,-16.5333332779999 48.0000000300001,-16.5166666109999 48.0000000300001,-16.499999944 48.0000000300001,-16.483333278 48.0000000300001,-16.4666666109999 48.0000000300001,-16.449999944 48.0000000300001,-16.433333278 48.0000000300001,-16.416666611 48.0000000300001,-16.3999999439999 48.0000000300001,-16.383333278 48.0000000300001,-16.366666611 48.0000000300001,-16.3499999439999 48.0000000300001,-16.3333332779999 48.0000000300001,-16.316666611 48.0000000300001,-16.299999944 48.0000000300001,-16.2833332779999 48.0000000300001,-16.2666666109999 48.0000000300001,-16.249999944 48.0000000300001,-16.2333332769999 48.0000000300001,-16.2166666109999 48.0000000300001,-16.199999944 48.0000000300001,-16.183333277 48.0000000300001,-16.166666611 48.0000000300001,-16.1499999439999 48.0000000300001,-16.133333277 48.0000000300001,-16.116666611 48.0000000300001,-16.0999999439999 48.0000000300001,-16.083333277 48.0000000300001,-16.066666611 48.0000000300001,-16.049999944 48.0000000300001,-16.0333332769999 48.0000000300001,-16.0166666109999 48.0000000300001,-15.999999944 48.0000000300001,-15.9833332769999 48.0000000300001,-15.9666666109999 48.0000000300001,-15.949999944 48.0000000300001,-15.933333277 48.0000000300001,-15.9166666099999 48.0000000300001,-15.8999999439999 48.0000000300001,-15.883333277 48.0000000300001,-15.86666661 48.0000000300001,-15.8499999439999 48.0000000300001,-15.833333277 48.0000000300001,-15.81666661 48.0000000300001,-15.799999944 48.0000000300001,-15.7833332769999 48.0000000300001,-15.76666661 48.0000000300001,-15.749999944 48.0000000300001,-15.7333332769999 48.0000000300001,-15.7166666099999 48.0000000300001,-15.699999944 48.0000000300001,-15.683333277 48.0000000300001,-15.6666666099999 48.0000000300001,-15.6499999439999 48.0000000300001,-15.633333277 48.0000000300001,-15.61666661 48.0000000300001,-15.5999999439999 48.0000000300001,-15.583333277 48.0000000300001,-15.56666661 48.0000000300001,-15.5499999429999 48.0000000300001,-15.5333332769999 48.0000000300001,-15.51666661 48.0000000300001,-15.499999943 48.0000000300001,-15.4833332769999 48.0000000300001,-15.4666666099999 48.0000000300001,-15.449999943 48.0000000300001,-15.433333277 48.0000000300001,-15.4166666099999 48.0000000300001,-15.399999943 48.0000000300001,-15.383333277 48.0000000300001,-15.36666661 48.0000000300001,-15.3499999429999 48.0000000300001,-15.333333277 48.0000000300001,-15.31666661 48.0000000300001,-15.2999999429999 48.0000000300001,-15.2833332769999 48.0000000300001,-15.26666661 48.0000000300001,-15.249999943 48.0000000300001,-15.2333332769999 48.0000000300001,-15.2166666099999 48.0000000300001,-15.199999943 48.0000000300001,-15.1833332759999 48.0000000300001,-15.1666666099999 48.0000000300001,-15.149999943 48.0000000300001,-15.133333276 48.0000000300001,-15.11666661 48.0000000300001,-15.0999999429999 48.0000000300001,-15.083333276 48.0000000300001,-15.06666661 48.0000000300001,-15.0499999429999 48.0000000300001,-15.033333276 48.0000000300001,-15.01666661 48.0000000300001,-14.999999943 48.0000000300001,-14.9833332759999 48.0000000300001,-14.9666666099999 48.0000000300001,-14.949999943 48.0000000300001,-14.9333332759999 48.0000000300001,-14.9166666099999 48.0000000300001,-14.899999943 48.0000000300001,-14.883333276 48.0000000300001,-14.86666661 48.0000000300001,-14.8499999429999 48.0000000300001,-14.833333276 48.0000000300001,-14.816666609 48.0000000300001,-14.7999999429999 48.0000000300001,-14.783333276 48.0000000300001,-14.766666609 48.0000000300001,-14.749999943 48.0000000300001,-14.7333332759999 48.0000000300001,-14.716666609 48.0000000300001,-14.699999943 48.0000000300001,-14.6833332759999 48.0000000300001,-14.6666666089999 48.0000000300001,-14.649999943 48.0000000300001,-14.633333276 48.0000000300001,-14.6166666089999 48.0000000300001,-14.5999999429999 48.0000000300001,-14.583333276 48.0000000300001,-14.566666609 48.0000000300001,-14.5499999429999 48.0000000300001,-14.533333276 48.0000000300001,-14.516666609 48.0000000300001,-14.499999943 48.0000000300001,-14.4833332759999 48.0000000300001,-14.466666609 48.0000000300001,-14.449999942 48.0000000300001,-14.4333332759999 48.0000000300001,-14.4166666089999 48.0000000300001,-14.399999942 48.0000000300001,-14.383333276 48.0000000300001,-14.3666666089999 48.0000000300001,-14.349999942 48.0000000300001,-14.333333276 48.0000000300001,-14.316666609 48.0000000300001,-14.2999999419999 48.0000000300001,-14.283333276 48.0000000300001,-14.266666609 48.0000000300001,-14.2499999419999 48.0000000300001,-14.2333332759999 48.0000000300001,-14.216666609 48.0000000300001,-14.199999942 48.0000000300001,-14.1833332759999 48.0000000300001,-14.1666666089999 48.0000000300001,-14.149999942 48.0000000300001,-14.1333332749999 48.0000000300001,-14.1166666089999 48.0000000300001,-14.099999942 48.0000000300001,-14.083333275 48.0000000300001,-14.066666609 48.0000000300001,-14.0499999419999 48.0000000300001,-14.033333275 48.0000000300001,-14.016666609 48.0000000300001,-13.9999999419999 48.0000000300001,-13.9833332749999 48.0000000300001,-13.966666609 48.0000000300001,-13.949999942 48.0000000300001,-13.9333332749999 48.0000000300001,-13.9166666089999 48.0000000300001,-13.899999942 48.0000000300001,-13.8833332749999 48.0000000300001,-13.8666666089999 48.0000000300001,-13.849999942 48.0000000300001,-13.833333275 48.0000000300001,-13.816666609 48.0000000300001,-13.7999999419999 48.0000000300001,-13.783333275 48.0000000300001,-13.766666608 48.0000000300001,-13.7499999419999 48.0000000300001,-13.7333332749999 48.0000000300001,-13.716666608 48.0000000300001,-13.699999942 48.0000000300001,-13.6833332749999 48.0000000300001,-13.666666608 48.0000000300001,-13.649999942 48.0000000300001,-13.6333332749999 48.0000000300001,-13.6166666079999 48.0000000300001,-13.599999942 48.0000000300001,-13.583333275 48.0000000300001,-13.5666666079999 48.0000000300001,-13.5499999419999 48.0000000300001,-13.533333275 48.0000000300001,-13.516666608 48.0000000300001,-13.4999999419999 48.0000000300001,-13.4833332749999 48.0000000300001,-13.466666608 48.0000000300001,-13.449999942 48.0000000300001,-13.4333332749999 48.0000000300001,-13.416666608 48.0000000300001,-13.399999941 48.0000000300001,-13.3833332749999 48.0000000300001,-13.3666666079999 48.0000000300001,-13.349999941 48.0000000300001,-13.333333275 48.0000000300001,-13.3166666079999 48.0000000300001,-13.299999941 48.0000000300001,-13.283333275 48.0000000300001,-13.266666608 48.0000000300001,-13.2499999409999 48.0000000300001,-13.2333332749999 48.0000000300001,-13.216666608 48.0000000300001,-13.1999999409999 48.0000000300001,-13.1833332749999 48.0000000300001,-13.166666608 48.0000000300001,-13.149999941 48.0000000300001,-13.1333332749999 48.0000000300001,-13.1166666079999 48.0000000300001,-13.099999941 48.0000000300001,-13.083333275 48.0000000300001,-13.0666666079999 48.0000000300001,-13.049999941 48.0000000300001,-13.033333274 48.0000000300001,-13.016666608 48.0000000300001,-12.9999999409999 48.0000000300001,-12.983333274 48.0000000300001,-12.966666608 48.0000000300001,-12.9499999409999 48.0000000300001,-12.9333332739999 48.0000000300001,-12.916666608 48.0000000300001,-12.899999941 48.0000000300001,-12.8833332739999 48.0000000300001,-12.8666666079999 48.0000000300001,-12.849999941 48.0000000300001,-12.8333332739999 48.0000000300001,-12.8166666079999 48.0000000300001,-12.799999941 48.0000000300001,-12.783333274 48.0000000300001,-12.766666608 48.0000000300001,-12.7499999409999 48.0000000300001,-12.733333274 48.0000000300001,-12.716666608 48.0000000300001,-12.6999999409999 48.0000000300001,-12.6833332739999 48.0000000300001,-12.666666607 48.0000000300001,-12.649999941 48.0000000300001,-12.6333332739999 48.0000000300001,-12.616666607 48.0000000300001,-12.599999941 48.0000000300001,-12.5833332739999 48.0000000300001,-12.5666666069999 48.0000000300001,-12.549999941 48.0000000300001,-12.533333274 48.0000000300001,-12.5166666069999 48.0000000300001,-12.4999999409999 48.0000000300001,-12.483333274 48.0000000300001,-12.466666607 48.0000000300001,-12.4499999409999 48.0000000300001,-12.4333332739999 48.0000000300001,-12.416666607 48.0000000300001,-12.399999941 48.0000000300001,-12.3833332739999 48.0000000300001,-12.366666607 48.0000000300001,-12.349999941 48.0000000300001,-12.3333332739999 48.0000000300001,-12.3166666069999 48.0000000300001,-12.29999994 48.0000000300001,-12.283333274 48.0000000300001,-12.2666666069999 48.0000000300001,-12.24999994 48.0000000300001,-12.233333274 48.0000000300001,-12.216666607 48.0000000300001,-12.1999999399999 48.0000000300001,-12.1833332739999 48.0000000300001,-12.166666607 48.0000000300001,-12.1499999399999 48.0000000300001,-12.1333332739999 48.0000000300001,-12.116666607 48.0000000300001,-12.09999994 48.0000000300001,-12.0833332739999 48.0000000300001,-12.0666666069999 48.0000000300001,-12.04999994 48.0000000300001,-12.033333274 48.0000000300001,-12.0166666069999 48.0000000300001,-11.9999999639999 48.0000000300001,-11.983333273 48.0000000300001,-11.966666607 48.0000000300001,-11.9499999399999 48.0000000300001,-11.933333273 48.0000000300001,-11.916666607 48.0000000300001,-11.8999999399999 48.0000000300001,-11.8833332729999 48.0000000300001,-11.866666607 48.0000000300001,-11.84999994 48.0000000300001,-11.8333332729999 48.0000000300001,-11.8166666069999 48.0000000300001,-11.79999994 48.0000000300001,-11.7833332729999 48.0000000300001,-11.7666666069999 48.0000000300001,-11.74999994 48.0000000300001,-11.733333273 48.0000000300001,-11.716666607 48.0000000300001,-11.6999999399999 48.0000000300001,-11.683333273 48.0000000300001,-11.666666607 48.0000000300001,-11.6499999399999 48.0000000300001,-11.6333332729999 48.0000000300001,-11.616666606 48.0000000300001,-11.59999994 48.0000000300001,-11.5833332729999 48.0000000300001,-11.566666606 48.0000000300001,-11.54999994 48.0000000300001,-11.5333332729999 48.0000000300001,-11.5166666059999 48.0000000300001,-11.49999994 48.0000000300001,-11.483333273 48.0000000300001,-11.4666666059999 48.0000000300001,-11.4499999399999 48.0000000300001,-11.433333273 48.0000000300001,-11.416666606 48.0000000300001,-11.3999999399999 48.0000000300001,-11.3833332729999 48.0000000300001,-11.366666606 48.0000000300001,-11.34999994 48.0000000300001,-11.3333332729999 48.0000000300001,-11.316666606 48.0000000300001,-11.29999994 48.0000000300001,-11.2833332729999 48.0000000300001,-11.2666666059999 48.0000000300001,-11.249999939 48.0000000300001,-11.233333273 48.0000000300001,-11.2166666059999 48.0000000300001,-11.199999939 48.0000000300001,-11.183333273 48.0000000300001,-11.166666606 48.0000000300001,-11.1499999389999 48.0000000300001,-11.1333332729999 48.0000000300001,-11.116666606 48.0000000300001,-11.0999999389999 48.0000000300001,-11.0833332729999 48.0000000300001,-11.066666606 48.0000000300001,-11.049999939 48.0000000300001,-11.0333332729999 48.0000000300001,-11.0166666059999 48.0000000300001,-10.999999939 48.000000018)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VIII', 'Bay of Biscay', '27.VIII', '27.VIII.e', 'West of Bay of Biscay', '27.VIIIe', '27.VIII.e.1', 'West of Bay of Biscay - NEAFC Reg. Area', '27.VIIIe1', '', '', '', '', 'VIIIe1', '4', '27.8.e.1', '27.VIIIe1', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.499999961 60.000000028,-13.513611053 59.990277819,-13.527222164 59.980555597,-13.540833275 59.970833375,-13.5544443859999 59.961111153,-13.5680554969999 59.9513889300001,-13.581666608 59.9416667080001,-13.595277719 59.9319444860001,-13.6088888309999 59.922222264,-13.6224999419999 59.912500041,-13.636111053 59.9027778190001,-13.649722164 59.8930555970001,-13.663333275 59.8833333750001,-13.6769443859999 59.8736111520001,-13.6905554969999 59.86388893,-13.704166608 59.854166708,-13.71777772 59.844444486,-13.7313888309999 59.834722264,-13.7449999419999 59.8250000410001,-13.758611053 59.8152778190001,-13.772222164 59.8055555970001,-13.785833275 59.795833375,-13.7994443859999 59.786111152,-13.8130554969999 59.7763889300001,-13.826666609 59.7666667080001,-13.84027772 59.7569444860001,-13.8538888309999 59.7472222630001,-13.8674999419999 59.737500041,-13.8811110529999 59.727777819,-13.894722164 59.718055597,-13.908333275 59.7083333750001,-13.921944386 59.6986111520001,-13.9355554979999 59.6888889300001,-13.949166609 59.6791667080001,-13.96277772 59.669444486,-13.976388831 59.659722263,-13.9899999419999 59.6500000410001,-14.001153788 59.6376923490001,-14.012307634 59.625384657,-14.023461481 59.6130769640001,-14.0346153269999 59.600769272,-14.0457691729999 59.5884615800001,-14.056923019 59.576153887,-14.068076865 59.5638461950001,-14.079230711 59.5515385030001,-14.0903845579999 59.53923081,-14.1015384039999 59.5269231180001,-14.11269225 59.514615426,-14.123846096 59.5023077330001,-14.134999942 59.490000041,-14.1461537879999 59.4776923490001,-14.1573076339999 59.4653846560001,-14.168461481 59.453076964,-14.179615327 59.4407692720001,-14.190769173 59.428461579,-14.2019230189999 59.4161538870001,-14.2130768649999 59.403846195,-14.224230711 59.3915385020001,-14.235384558 59.3792308100001,-14.246538404 59.366923118,-14.2576922499999 59.3546154260001,-14.2688460959999 59.342307733,-14.279999942 59.3300000410001,-14.291153788 59.3176923490001,-14.302307635 59.3053846560001,-14.3134614809999 59.2930769640001,-14.3246153269999 59.280769272,-14.335769173 59.2684615790001,-14.346923019 59.256153887,-14.3580768649999 59.2438461950001,-14.3692307119999 59.231538502,-14.3803845579999 59.2192308100001,-14.391538404 59.2069231180001,-14.40269225 59.1946154250001,-14.4138460959999 59.1823077330001,-14.4249999419999 59.170000041,-14.4361537889999 59.1576923480001,-14.447307635 59.145384656,-14.458461481 59.1330769640001,-14.4696153269999 59.120769271,-14.4807691729999 59.108461579,-14.491923019 59.0961538870001,-14.503076866 59.083846194,-14.514230712 59.0715385020001,-14.5253845579999 59.05923081,-14.5365384039999 59.0469231180001,-14.54769225 59.034615425,-14.558846096 59.022307733,-14.569999943 59.0100000410001,-14.576666609 58.9948485250001,-14.583333276 58.9796970100001,-14.589999943 58.964545495,-14.596666609 58.9493939800001,-14.6033332759999 58.9342424650001,-14.6099999429999 58.9190909500001,-14.6166666089999 58.9039394340001,-14.6233332759999 58.888787919,-14.629999943 58.8736364040001,-14.636666609 58.8584848890001,-14.643333276 58.8433333740001,-14.649999943 58.828181859,-14.656666609 58.813030343,-14.6633332759999 58.7978788280001,-14.6699999429999 58.7827273130001,-14.6766666089999 58.7675757980001,-14.6833332759999 58.752424283,-14.689999943 58.7372727680001,-14.696666609 58.7221212520001,-14.703333276 58.7069697370001,-14.709999943 58.6918182220001,-14.716666609 58.676666707,-14.7233332759999 58.6615151920001,-14.7299999429999 58.6463636770001,-14.7366666089999 58.6312121610001,-14.7433332759999 58.6160606460001,-14.749999943 58.600909131,-14.756666609 58.5857576160001,-14.763333276 58.5706061010001,-14.769999943 58.5554545860001,-14.776666609 58.54030307,-14.783333276 58.525151555,-14.7899999429999 58.5100000400001,-14.7923076349999 58.4935897840001,-14.794615327 58.477179527,-14.79692302 58.4607692710001,-14.7992307119999 58.444359014,-14.803846097 58.411538502,-14.8061537889999 58.3951282450001,-14.810769174 58.362307732,-14.8153845579999 58.329487219,-14.8176922499999 58.3130769630001,-14.819999943 58.296666707,-14.8246153269999 58.2638461940001,-14.82692302 58.247435937,-14.829230712 58.2310256810001,-14.8338460969999 58.1982051680001,-14.838461481 58.1653846550001,-14.8407691739999 58.1489743990001,-14.8430768659999 58.132564142,-14.847692251 58.099743629,-14.8499999429999 58.0833333730001,-14.8523076349999 58.066923117,-14.854615327 58.05051286,-14.85692302 58.0341026040001,-14.8592307119999 58.017692347,-14.863846097 57.984871834,-14.866153789 57.9684615780001,-14.8684614809999 57.952051322,-14.873076866 57.9192308090001,-14.875384558 57.902820552,-14.8776922509999 57.8864102960001,-14.879999943 57.87000004,-14.875370313 57.8540741140001,-14.8707406839999 57.838148188,-14.8661110539999 57.8222222620001,-14.861481424 57.8062963360001,-14.856851795 57.79037041,-14.8522221649999 57.7744444840001,-14.8475925349999 57.758518558,-14.842962906 57.7425926320001,-14.838333276 57.7266667060001,-14.829074017 57.6948148540001,-14.824444387 57.678888928,-14.8198147579999 57.662963002,-14.8151851279999 57.6470370760001,-14.8105554979999 57.63111115,-14.805925869 57.6151852240001,-14.801296239 57.599259299,-14.7966666089999 57.5833333730001,-14.79203698 57.5674074470001,-14.78740735 57.551481521,-14.7827777209999 57.5355555950001,-14.7781480909999 57.519629669,-14.773518461 57.5037037430001,-14.768888832 57.4877778170001,-14.7642592019999 57.471851891,-14.7596295719999 57.4559259650001,-14.754999943 57.440000039,-14.750370313 57.4240741130001,-14.745740683 57.4081481870001,-14.736481424 57.3762963350001,-14.7225925349999 57.328518558,-14.717962906 57.3125926320001,-14.704074017 57.2648148540001,-14.6901851279999 57.2170370760001,-14.6855554979999 57.20111115,-14.680925869 57.1851852240001,-14.6716666089999 57.1533333720001,-14.66703698 57.1374074460001,-14.66240735 57.12148152,-14.65777772 57.1055555940001,-14.6531480909999 57.089629668,-14.648518461 57.0737037420001,-14.643888832 57.057777817,-14.6392592019999 57.0418518910001,-14.6346295719999 57.0259259650001,-14.629999943 57.010000039,-14.6209374429999 56.9962500390001,-14.611874943 56.9825000390001,-14.6028124429999 56.968750039,-14.593749943 56.955000039,-14.584687443 56.9412500390001,-14.575624943 56.9275000390001,-14.566562443 56.913750039,-14.557499943 56.9000000390001,-14.548437443 56.8862500390001,-14.5393749429999 56.872500039,-14.530312443 56.858750039,-14.5212499429999 56.8450000390001,-14.512187443 56.8312500390001,-14.5031249429999 56.817500039,-14.494062443 56.8037500390001,-14.4849999419999 56.7900000390001,-14.475937442 56.776250039,-14.4668749419999 56.762500038,-14.457812442 56.7487500380001,-14.4487499419999 56.7350000380001,-14.439687442 56.7212500380001,-14.430624942 56.707500038,-14.421562442 56.6937500380001,-14.412499942 56.6800000380001,-14.4034374419999 56.666250038,-14.394374942 56.652500038,-14.3853124419999 56.6387500380001,-14.376249942 56.6250000380001,-14.3671874419999 56.611250038,-14.358124942 56.5975000380001,-14.3490624419999 56.5837500380001,-14.339999942 56.570000038,-14.352499942 56.5612500380001,-14.3649999419999 56.5525000380001,-14.3774999419999 56.543750038,-14.389999942 56.5350000380001,-14.402499942 56.5262500380001,-14.414999942 56.517500038,-14.4274999419999 56.5087500380001,-14.4399999419999 56.5000000380001,-14.454285657 56.4914286100001,-14.4685713709999 56.482857181,-14.482857085 56.4742857530001,-14.4971427999999 56.465714324,-14.5114285139999 56.4571428950001,-14.525714228 56.4485714670001,-14.5399999429999 56.4400000380001,-14.551428514 56.4300000380001,-14.562857085 56.4200000380001,-14.574285657 56.4100000380001,-14.585714228 56.400000038,-14.5971428 56.390000038,-14.608571371 56.380000038,-14.619999943 56.3700000380001,-14.634285657 56.3614286100001,-14.6485713709999 56.352857181,-14.662857086 56.3442857520001,-14.6771428 56.335714324,-14.6914285139999 56.3271428950001,-14.705714228 56.318571467,-14.7199999429999 56.3100000380001,-14.731428514 56.3000000380001,-14.742857086 56.2900000380001,-14.754285657 56.2800000380001,-14.765714228 56.270000038,-14.7771428 56.260000038,-14.7885713709999 56.2500000380001,-14.7999999429999 56.2400000380001,-14.812857086 56.2300000380001,-14.825714229 56.2200000380001,-14.8385713709999 56.210000038,-14.851428514 56.200000038,-14.864285657 56.1900000380001,-14.8771427999999 56.1800000380001,-14.889999943 56.1700000380001,-14.901428514 56.1585714660001,-14.912857086 56.1471428950001,-14.9242856569999 56.135714324,-14.9357142289999 56.124285752,-14.9471427999999 56.112857181,-14.9585713719999 56.101428609,-14.9699999429999 56.090000038,-14.9816666099999 56.078333371,-14.9933332759999 56.066666705,-15.004999943 56.0550000380001,-15.01666661 56.0433333710001,-15.028333276 56.031666704,-15.0399999429999 56.020000038,-15.0516666099999 56.008333371,-15.063333276 55.9966667040001,-15.074999943 55.9850000380001,-15.08666661 55.9733333710001,-15.0983332759999 55.961666704,-15.1099999429999 55.950000038,-15.1214285149999 55.9400000380001,-15.1328570859999 55.9300000380001,-15.144285657 55.9200000380001,-15.155714229 55.9100000380001,-15.1671428 55.900000038,-15.178571372 55.890000038,-15.189999943 55.880000038,-15.201428515 55.868571466,-15.2128570859999 55.857142895,-15.2242856569999 55.845714323,-15.2357142289999 55.834285752,-15.2471427999999 55.82285718,-15.2585713719999 55.8114286090001,-15.269999943 55.8000000380001,-15.2816666099999 55.7883333710001,-15.2933332769999 55.776666704,-15.3049999429999 55.765000038,-15.31666661 55.7533333710001,-15.328333277 55.7416667040001,-15.339999943 55.7300000380001,-15.3499999429999 55.7185714660001,-15.3599999429999 55.7071428950001,-15.369999943 55.6957143230001,-15.379999943 55.6842857520001,-15.389999943 55.6728571800001,-15.399999943 55.661428609,-15.4099999429999 55.650000037,-15.4199999429999 55.636666704,-15.4299999429999 55.6233333710001,-15.439999943 55.6100000370001,-15.449999943 55.596666704,-15.459999943 55.583333371,-15.4699999429999 55.5700000370001,-15.4816666099999 55.5583333710001,-15.493333277 55.5466667040001,-15.504999943 55.535000037,-15.51666661 55.523333371,-15.5283332769999 55.511666704,-15.5399999429999 55.5000000370001,-15.5499999429999 55.4866667040001,-15.559999943 55.4733333710001,-15.569999944 55.460000037,-15.579999944 55.4466667040001,-15.5899999439999 55.4333333710001,-15.5999999439999 55.4200000370001,-15.6083332769999 55.406666704,-15.61666661 55.393333371,-15.624999944 55.3800000370001,-15.633333277 55.3666667040001,-15.64166661 55.3533333710001,-15.6499999439999 55.340000037,-15.6583332769999 55.326666704,-15.6666666099999 55.3133333700001,-15.674999944 55.3000000370001,-15.683333277 55.286666704,-15.69166661 55.27333337,-15.699999944 55.2600000370001,-15.708333277 55.2466667040001,-15.7166666099999 55.2333333700001,-15.7249999439999 55.220000037,-15.7333332769999 55.206666704,-15.74166661 55.1933333700001,-15.749999944 55.1800000370001,-15.75666661 55.165000037,-15.763333277 55.150000037,-15.7699999439999 55.1350000370001,-15.7766666099999 55.1200000370001,-15.7833332769999 55.1050000370001,-15.7899999439999 55.090000037,-15.7966666099999 55.076666704,-15.803333277 55.0633333700001,-15.809999944 55.0500000370001,-15.81666661 55.036666704,-15.823333277 55.02333337,-15.829999944 55.0100000370001,-15.83666661 54.9966667040001,-15.8433332769999 54.9833333700001,-15.8499999439999 54.970000037,-15.8566666099999 54.9566667030001,-15.863333277 54.9433333700001,-15.869999944 54.9300000370001,-15.874999944 54.915000037,-15.879999944 54.900000037,-15.884999944 54.8850000370001,-15.889999944 54.8700000370001,-15.8949999439999 54.8550000370001,-15.8999999439999 54.840000037,-15.903999944 54.8240000370001,-15.907999944 54.8080000370001,-15.9119999439999 54.792000037,-15.915999944 54.7760000370001,-15.9199999439999 54.7600000370001,-15.925999944 54.744000037,-15.9319999439999 54.7280000370001,-15.937999944 54.7120000370001,-15.9439999439999 54.696000037,-15.949999944 54.6800000370001,-15.953333277 54.665000037,-15.9566666109999 54.650000037,-15.9599999439999 54.6350000370001,-15.9633332769999 54.6200000360001,-15.9666666109999 54.605000036,-15.9699999439999 54.590000036,-15.973999944 54.574000036,-15.977999944 54.5580000360001,-15.9819999439999 54.542000036,-15.985999944 54.526000036,-15.989999944 54.5100000360001,-15.989999944 54.500000024,-16.0066115139999 54.5000000360001,-16.0232230839999 54.5000000360001,-16.0398346549999 54.5000000360001,-16.0564462249999 54.5000000360001,-16.073057795 54.5000000360001,-16.089669365 54.5000000360001,-16.106280936 54.5000000360001,-16.122892506 54.5000000360001,-16.139504076 54.5000000360001,-16.156115647 54.5000000360001,-16.1727272169999 54.5000000360001,-16.1893387869999 54.5000000360001,-16.2059503569999 54.5000000360001,-16.2225619279999 54.5000000360001,-16.239173498 54.5000000360001,-16.255785068 54.5000000360001,-16.272396638 54.5000000360001,-16.289008209 54.5000000360001,-16.3056197789999 54.5000000360001,-16.3222313489999 54.5000000360001,-16.3388429189999 54.5000000360001,-16.3554544899999 54.5000000360001,-16.37206606 54.5000000360001,-16.38867763 54.5000000360001,-16.4052892 54.5000000360001,-16.421900771 54.5000000360001,-16.438512341 54.5000000360001,-16.4551239109999 54.5000000360001,-16.4717354819999 54.5000000360001,-16.4883470519999 54.5000000360001,-16.5049586219999 54.5000000360001,-16.521570192 54.5000000360001,-16.538181763 54.5000000360001,-16.554793333 54.5000000360001,-16.571404903 54.5000000360001,-16.588016473 54.5000000360001,-16.604628044 54.5000000360001,-16.6212396139999 54.5000000360001,-16.6378511839999 54.5000000360001,-16.654462754 54.5000000360001,-16.6710743249999 54.5000000360001,-16.687685895 54.5000000360001,-16.704297465 54.5000000360001,-16.720909035 54.5000000360001,-16.737520606 54.5000000360001,-16.7541321759999 54.5000000360001,-16.7707437459999 54.5000000360001,-16.7873553169999 54.5000000360001,-16.8039668869999 54.5000000360001,-16.820578457 54.5000000360001,-16.837190027 54.5000000360001,-16.853801598 54.5000000360001,-16.870413168 54.5000000360001,-16.887024738 54.5000000360001,-16.9036363079999 54.5000000360001,-16.9202478789999 54.5000000360001,-16.9368594489999 54.5000000360001,-16.9534710189999 54.5000000360001,-16.970082589 54.5000000360001,-16.98669416 54.5000000360001,-17.00330573 54.5000000360001,-17.0199173 54.5000000360001,-17.0365288699999 54.5000000360001,-17.053140441 54.5000000360001,-17.0697520109999 54.5000000360001,-17.0863635809999 54.5000000360001,-17.1029751519999 54.5000000360001,-17.119586722 54.5000000360001,-17.136198292 54.5000000360001,-17.152809862 54.5000000360001,-17.169421433 54.5000000360001,-17.186033003 54.5000000360001,-17.2026445729999 54.5000000360001,-17.2192561429999 54.5000000360001,-17.2358677139999 54.5000000360001,-17.2524792839999 54.5000000360001,-17.269090854 54.5000000360001,-17.285702424 54.5000000360001,-17.302313995 54.5000000360001,-17.318925565 54.5000000360001,-17.335537135 54.5000000360001,-17.3521487049999 54.5000000360001,-17.3687602759999 54.5000000360001,-17.3853718459999 54.5000000360001,-17.401983416 54.5000000360001,-17.4185949869999 54.5000000360001,-17.435206557 54.5000000360001,-17.451818127 54.5000000360001,-17.468429697 54.5000000360001,-17.485041268 54.5000000360001,-17.5016528379999 54.5000000360001,-17.5182644079999 54.5000000360001,-17.5348759779999 54.5000000360001,-17.5514875489999 54.5000000360001,-17.568099119 54.5000000360001,-17.584710689 54.5000000360001,-17.601322259 54.5000000360001,-17.61793383 54.5000000360001,-17.6345454 54.5000000360001,-17.6511569699999 54.5000000360001,-17.6677685399999 54.5000000360001,-17.6843801109999 54.5000000360001,-17.7009916809999 54.5000000360001,-17.717603251 54.5000000360001,-17.734214822 54.5000000360001,-17.750826392 54.5000000360001,-17.767437962 54.5000000360001,-17.7840495319999 54.5000000360001,-17.800661103 54.5000000360001,-17.8172726729999 54.5000000360001,-17.8338842429999 54.5000000360001,-17.850495813 54.5000000360001,-17.867107384 54.5000000360001,-17.883718954 54.5000000360001,-17.900330524 54.5000000360001,-17.916942094 54.5000000360001,-17.933553665 54.5000000360001,-17.9501652349999 54.5000000360001,-17.9667768049999 54.5000000360001,-17.9833883759999 54.5000000360001,-17.999999842 54.5000005360001,-17.9999999999999 54.5030264040001,-17.9999999459999 60.0000000000001,-14.999999977 60.0000000420001,-14.9833332759999 60.0000000420001,-14.9666666099999 60.0000000420001,-14.949999943 60.0000000420001,-14.9333332759999 60.0000000420001,-14.9166666099999 60.0000000420001,-14.899999943 60.0000000420001,-14.883333276 60.0000000420001,-14.86666661 60.0000000420001,-14.8499999429999 60.0000000420001,-14.833333276 60.0000000420001,-14.816666609 60.0000000420001,-14.7999999429999 60.0000000420001,-14.783333276 60.0000000420001,-14.766666609 60.0000000420001,-14.749999943 60.0000000420001,-14.7333332759999 60.0000000420001,-14.716666609 60.0000000420001,-14.699999943 60.0000000420001,-14.6833332759999 60.0000000420001,-14.6666666089999 60.0000000420001,-14.649999943 60.0000000420001,-14.633333276 60.0000000420001,-14.6166666089999 60.0000000420001,-14.5999999429999 60.0000000420001,-14.583333276 60.0000000420001,-14.566666609 60.0000000420001,-14.5499999429999 60.0000000420001,-14.533333276 60.0000000420001,-14.516666609 60.0000000420001,-14.499999943 60.0000000420001,-14.4833332759999 60.0000000420001,-14.466666609 60.0000000420001,-14.449999942 60.0000000420001,-14.4333332759999 60.0000000420001,-14.4166666089999 60.0000000420001,-14.399999942 60.0000000420001,-14.383333276 60.0000000420001,-14.3666666089999 60.0000000420001,-14.349999942 60.0000000420001,-14.333333276 60.0000000420001,-14.316666609 60.0000000420001,-14.2999999419999 60.0000000420001,-14.283333276 60.0000000420001,-14.266666609 60.0000000420001,-14.2499999419999 60.0000000420001,-14.2333332759999 60.0000000420001,-14.216666609 60.0000000420001,-14.199999942 60.0000000420001,-14.1833332759999 60.0000000420001,-14.1666666089999 60.0000000420001,-14.149999942 60.0000000420001,-14.1333332749999 60.0000000420001,-14.1166666089999 60.0000000420001,-14.099999942 60.0000000420001,-14.083333275 60.0000000420001,-14.066666609 60.0000000420001,-14.0499999419999 60.0000000420001,-14.033333275 60.0000000420001,-14.016666609 60.0000000420001,-13.9999999419999 60.0000000420001,-13.9833332749999 60.0000000420001,-13.966666609 60.0000000420001,-13.949999942 60.0000000420001,-13.9333332749999 60.0000000420001,-13.9166666089999 60.0000000420001,-13.899999942 60.0000000420001,-13.8833332749999 60.0000000420001,-13.8666666089999 60.0000000420001,-13.849999942 60.0000000420001,-13.833333275 60.0000000420001,-13.816666609 60.0000000420001,-13.7999999419999 60.0000000420001,-13.783333275 60.0000000420001,-13.766666608 60.0000000420001,-13.7499999419999 60.0000000420001,-13.7333332749999 60.0000000420001,-13.716666608 60.0000000420001,-13.699999942 60.0000000420001,-13.6833332749999 60.0000000420001,-13.666666608 60.0000000420001,-13.649999942 60.0000000420001,-13.6333332749999 60.0000000420001,-13.6166666079999 60.0000000420001,-13.599999942 60.0000000420001,-13.583333275 60.0000000420001,-13.5666666079999 60.0000000420001,-13.5499999419999 60.0000000420001,-13.533333275 60.0000000420001,-13.516666608 60.0000000420001,-13.499999961 60.000000028)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VI', 'Rockall, NW Coast of Scotland and North Ireland', '27.VI', '27.VI.b', 'Rockall', '27.VIb', '27.VI.b.1', 'Rockall - Part of NEAFC area', '27.VIb1', '', '', '', '', 'VIb1', '4', '27.6.b.1', '27.VIb1', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.5032481109999 42.4148048750001,-28.488546825 42.407722504,-28.472105902 42.4085890420001,-28.4556649789999 42.40945558,-28.4392240559999 42.4103221190001,-28.4227831329999 42.411188657,-28.4063422099999 42.412055196,-28.3899012869999 42.4129217340001,-28.373460364 42.4137882730001,-28.357019441 42.414654811,-28.340578518 42.4155213500001,-28.324137594 42.416387888,-28.307696671 42.417254427,-28.291255748 42.4181209650001,-28.274814825 42.418987504,-28.258373902 42.4198540420001,-28.241932979 42.4207205810001,-28.225492056 42.421587119,-28.2090511329999 42.4224536570001,-28.1926102099999 42.4233201960001,-28.1761692869999 42.424186734,-28.1597283639999 42.4250532730001,-28.1432874399999 42.425919811,-28.1268465169999 42.42678635,-28.1104055939999 42.4276528880001,-28.093964671 42.428519427,-28.077523748 42.4293859650001,-28.061082825 42.4302525040001,-28.044564356 42.4295583470001,-28.028045887 42.4288641910001,-28.0115274189999 42.4281700350001,-27.9950089499999 42.427475879,-27.9784904809999 42.426781722,-27.9619720119999 42.426087566,-27.945453544 42.42539341,-27.928935075 42.4246992540001,-27.912416606 42.4240050970001,-27.895898137 42.4233109410001,-27.8793796689999 42.4226167850001,-27.8628611999999 42.4219226290001,-27.8463427309999 42.4212284720001,-27.8298242619999 42.420534316,-27.813305793 42.41984016,-27.796787325 42.419146004,-27.780268856 42.418451847,-27.763750387 42.4177576910001,-27.747231918 42.4170635350001,-27.7307134499999 42.4163693790001,-27.7141949809999 42.4156752220001,-27.6976765119999 42.4149810660001,-27.681158043 42.41428691,-27.664639575 42.413592754,-27.648121106 42.412898597,-27.631602637 42.412204441,-27.615084168 42.4115102850001,-27.5985656999999 42.4108161290001,-27.5820472309999 42.4101219720001,-27.5655287619999 42.4094278160001,-27.549010293 42.4087336600001,-27.532491824 42.408039504,-27.515947137 42.406186941,-27.4994024489999 42.404334379,-27.482857762 42.402481816,-27.466313074 42.4006292540001,-27.4497683869999 42.3987766910001,-27.4332236989999 42.3969241290001,-27.416679012 42.3950715660001,-27.400134324 42.3932190040001,-27.3835896369999 42.3913664410001,-27.3670449489999 42.389513879,-27.350500262 42.387661316,-27.333955574 42.385808754,-27.3174108869999 42.383956191,-27.300866199 42.382103629,-27.284321512 42.380251066,-27.267776824 42.3783985040001,-27.251493115 42.375444084,-27.235209405 42.372489665,-27.2189256949999 42.3695352450001,-27.202641985 42.3665808260001,-27.186358276 42.363626407,-27.170074566 42.360671987,-27.1537908559999 42.3577175680001,-27.137507147 42.3547631490001,-27.121223437 42.351808729,-27.1049397269999 42.34885431,-27.0886560179999 42.345899891,-27.072372308 42.3429454710001,-27.056088598 42.3399910520001,-27.039804889 42.337036633,-27.0235211789999 42.334082213,-27.007237469 42.3311277940001,-26.990953759 42.3281733740001,-26.9746700499999 42.325218955,-26.9583863399999 42.322264536,-26.94210263 42.3193101160001,-26.925818921 42.3163556970001,-26.9095352109999 42.3134012780001,-26.893251501 42.310446858,-26.876967792 42.307492439,-26.860684082 42.3045380200001,-26.8444003719999 42.3015836000001,-26.8281166629999 42.2986291810001,-26.811832953 42.295674762,-26.795549243 42.2927203420001,-26.7792655329999 42.2897659230001,-26.762981824 42.2868115030001,-26.747433208 42.2825023500001,-26.731884593 42.2781931960001,-26.716335978 42.2738840420001,-26.700787362 42.2695748880001,-26.685238747 42.265265734,-26.669690131 42.26095658,-26.654141516 42.2566474270001,-26.638592901 42.2523382730001,-26.6230442849999 42.2480291190001,-26.6074956699999 42.243719965,-26.5919470539999 42.239410811,-26.5763984389999 42.235101657,-26.5608498239999 42.230792503,-26.5455092899999 42.2252241030001,-26.530168757 42.2196557030001,-26.5148282239999 42.214087303,-26.49948769 42.208518903,-26.4841471569999 42.2029505030001,-26.468806623 42.1973821030001,-26.4534660899999 42.191813703,-26.438125557 42.1862453030001,-26.422785023 42.1806769030001,-26.4074444899999 42.175108503,-26.392103957 42.169540103,-26.3767634229999 42.1639717030001,-26.36142289 42.1584033030001,-26.3460823569999 42.152834903,-26.330741823 42.147266503,-26.3149662229999 42.1420612630001,-26.299190623 42.1368560230001,-26.283415023 42.1316507830001,-26.2676394229999 42.126445543,-26.251863823 42.121240303,-26.236088223 42.116035063,-26.2203126229999 42.1108298230001,-26.2045370229999 42.1056245830001,-26.188761423 42.1004193430001,-26.172985823 42.095214103,-26.1572102229999 42.090008863,-26.141434623 42.084803623,-26.125659023 42.0795983830001,-26.1098834229999 42.0743931430001,-26.0941078229999 42.0691879030001,-26.078332223 42.063982663,-26.062556623 42.058777423,-26.0467810229999 42.053572183,-26.031005423 42.0483669430001,-26.015229823 42.0431617030001,-25.9994542229999 42.0379564630001,-25.9836786229999 42.032751223,-25.967903023 42.027545983,-25.952127423 42.022340743,-25.9363518229999 42.0171355030001,-25.921334966 42.0100657890001,-25.906318109 42.0029960750001,-25.8913012519999 41.9959263600001,-25.876284394 41.988856646,-25.8612675369999 41.981786932,-25.84625068 41.974717217,-25.8312338229999 41.9676475030001,-25.815369598 41.962853524,-25.799505374 41.958059544,-25.7836411489999 41.953265564,-25.767776925 41.948471585,-25.7519126999999 41.9436776050001,-25.736048476 41.9388836260001,-25.720184251 41.9340896460001,-25.7043200269999 41.929295666,-25.688455802 41.924501687,-25.672591578 41.919707707,-25.656727353 41.914913728,-25.640863129 41.9101197480001,-25.6249989039999 41.9053257680001,-25.60913468 41.9005317890001,-25.593270455 41.895737809,-25.5774062309999 41.89094383,-25.561542006 41.88614985,-25.5456777819999 41.88135587,-25.529813557 41.8765618910001,-25.513949333 41.8717679110001,-25.4980851079999 41.8669739320001,-25.482220884 41.8621799520001,-25.4663566589999 41.857385972,-25.4504924349999 41.852591993,-25.43462821 41.847798013,-25.4187639859999 41.843004034,-25.402899761 41.8382100540001,-25.387035537 41.8334160740001,-25.3711713119999 41.8286220950001,-25.355307088 41.823828115,-25.3394428629999 41.819034136,-25.3235786389999 41.814240156,-25.307714414 41.8094461760001,-25.2918501899999 41.8046521970001,-25.275985965 41.7998582170001,-25.260121741 41.7950642380001,-25.2442575159999 41.7902702580001,-25.228393292 41.785476278,-25.2125290669999 41.780682299,-25.196664843 41.775888319,-25.180800618 41.77109434,-25.1649363939999 41.7663003600001,-25.149072169 41.7615063810001,-25.133207945 41.7567124010001,-25.11734372 41.751918421,-25.101479496 41.747124442,-25.0856152709999 41.742330462,-25.069751047 41.737536483,-25.053886822 41.7327425030001,-25.0391094309999 41.725299025,-25.0243320399999 41.7178555460001,-25.0095546479999 41.710412068,-24.994777257 41.7029685900001,-24.979999866 41.695525112,-24.965222474 41.688081633,-24.950445083 41.6806381550001,-24.935667692 41.673194677,-24.9208902999999 41.6657511990001,-24.9061129089999 41.65830772,-24.8913355179999 41.6508642420001,-24.876558126 41.643420764,-24.861780735 41.6359772850001,-24.847003344 41.6285338070001,-24.8322259519999 41.621090329,-24.8174485609999 41.6136468510001,-24.8026711699999 41.606203372,-24.787893778 41.5987598940001,-24.773116387 41.591316416,-24.758338996 41.5838729380001,-24.743561604 41.5764294590001,-24.728784213 41.568985981,-24.7140068219999 41.5615425030001,-24.6992294309999 41.554099025,-24.684452039 41.5466555460001,-24.669674648 41.539212068,-24.654897257 41.5317685900001,-24.640119865 41.5243251110001,-24.625342474 41.516881633,-24.610565083 41.5094381550001,-24.5957876909999 41.501994677,-24.5810102999999 41.4945511980001,-24.566232909 41.48710772,-24.551455517 41.4796642420001,-24.536678126 41.472220764,-24.521900735 41.464777285,-24.5071233429999 41.4573338070001,-24.4923459519999 41.449890329,-24.4775685609999 41.4424468500001,-24.462791169 41.435003372,-24.448013778 41.4275598940001,-24.433236387 41.420116416,-24.418458995 41.412672937,-24.4036816039999 41.4052294590001,-24.3889042129999 41.397785981,-24.3741268219999 41.3903425030001,-24.360813713 41.380561313,-24.3475006049999 41.3707801240001,-24.334187497 41.3609989350001,-24.320874389 41.351217746,-24.3075612809999 41.3414365570001,-24.294248173 41.3316553670001,-24.2809350649999 41.321874178,-24.267621957 41.3120929890001,-24.2543088479999 41.3023118,-24.24099574 41.2925306110001,-24.227682632 41.2827494210001,-24.2143695239999 41.272968232,-24.201056416 41.2631870430001,-24.1877433079999 41.2534058540001,-24.1744302 41.243624665,-24.161117092 41.2338434750001,-24.147803983 41.224062286,-24.134490875 41.214281097,-24.1211777669999 41.2044999080001,-24.107864659 41.194718719,-24.0945515509999 41.1849375290001,-24.081238443 41.1751563400001,-24.0679253349999 41.165375151,-24.054612227 41.1555939620001,-24.041299119 41.145812773,-24.0279860099999 41.136031583,-24.014672902 41.1262503940001,-24.0013597939999 41.116469205,-23.988046686 41.1066880160001,-23.9747335779999 41.0969068270001,-23.96142047 41.087125637,-23.948107362 41.0773444480001,-23.9347942539999 41.0675632590001,-23.921481145 41.05778207,-23.9081680369999 41.0480008810001,-23.894854929 41.0382196910001,-23.8815418209999 41.028438502,-23.866753946 41.025022877,-23.8519660709999 41.0216072520001,-23.837178196 41.0181916270001,-23.8223903209999 41.0147760020001,-23.807602446 41.0113603770001,-23.792814571 41.0079447520001,-23.778026696 41.0045291270001,-23.763238821 41.0011135020001,-23.7485749209999 40.9956448020001,-23.733911021 40.9901761020001,-23.719247121 40.984707402,-23.704583221 40.979238702,-23.6899193209999 40.973770002,-23.675255421 40.968301302,-23.660591521 40.962832602,-23.6459276209999 40.9573639020001,-23.631263721 40.9518952020001,-23.616599821 40.9464265020001,-23.6012171209999 40.9426847020001,-23.585834421 40.9389429020001,-23.570451721 40.9352011020001,-23.555069021 40.9314593020001,-23.539686321 40.9277175020001,-23.5243036209999 40.9239757020001,-23.508920921 40.9202339020001,-23.4935382209999 40.9164921020001,-23.478155521 40.9127503020001,-23.4627728209999 40.9090085020001,-23.4476913829999 40.902942877,-23.432609946 40.896877252,-23.417528508 40.8908116270001,-23.402447071 40.884746002,-23.3873656329999 40.8786803770001,-23.372284196 40.8726147520001,-23.357202758 40.866549127,-23.342121321 40.8604835020001,-23.3270398829999 40.8544178770001,-23.3119584459999 40.848352252,-23.296877008 40.8422866270001,-23.281795571 40.8362210020001,-23.2667141329999 40.830155377,-23.251632695 40.8240897520001,-23.236551258 40.8180241270001,-23.22146982 40.811958502,-23.20610942 40.807321302,-23.1907490199999 40.8026841020001,-23.17538862 40.7980469020001,-23.16002822 40.7934097020001,-23.1446678199999 40.788772502,-23.12930742 40.784135302,-23.11394702 40.779498102,-23.0985866199999 40.7748609020001,-23.08322622 40.7702237020001,-23.06786582 40.7655865020001,-23.0547621539999 40.7598265020001,-23.0416584869999 40.7540665020001,-23.02855482 40.748306502,-23.01427232 40.7414520020001,-22.9999898199999 40.734597502,-22.98570732 40.7277430020001,-22.97142482 40.720888502,-22.9571423199999 40.7140340020001,-22.94285982 40.707179502,-22.9285773199999 40.7003250020001,-22.91429482 40.693470502,-22.90001232 40.6866160020001,-22.8857298199999 40.6797615020001,-22.87144732 40.672907002,-22.85716482 40.6660525020001,-22.8428823199999 40.659198002,-22.82859982 40.6523435020001,-22.81429192 40.6440513690001,-22.79998402 40.6357592350001,-22.7856761199999 40.627467102,-22.7713682199999 40.619174969,-22.7570603199999 40.610882835,-22.7427524199999 40.602590702,-22.72844452 40.594298569,-22.71413662 40.5860064350001,-22.69982872 40.5777143020001,-22.68552082 40.5694221690001,-22.67121292 40.5611300350001,-22.65690502 40.5528379020001,-22.6425971199999 40.544545768,-22.6282892199999 40.536253635,-22.6139813199999 40.527961502,-22.5996734199999 40.5196693680001,-22.58536552 40.5113772350001,-22.57105762 40.5030851020001,-22.55674972 40.4947929680001,-22.54244182 40.4865008350001,-22.52813392 40.4782087020001,-22.51382602 40.469916568,-22.4995181199999 40.461624435,-22.4852102199999 40.453332302,-22.4709023199999 40.445040168,-22.4565944199999 40.4367480350001,-22.44228652 40.4284559020001,-22.42797862 40.4201637680001,-22.41367072 40.4118716350001,-22.39936282 40.4035795020001,-22.38621502 40.3945211020001,-22.3730672199999 40.385462702,-22.35991942 40.376404302,-22.34677162 40.3673459020001,-22.33362382 40.3582875020001,-22.3204760199999 40.349229102,-22.3073282199999 40.3401707020001,-22.29418042 40.3311123020001,-22.28103262 40.3220539020001,-22.2678848199999 40.312995502,-22.2550831949999 40.3018713770001,-22.2422815699999 40.2907472520001,-22.229479945 40.279623127,-22.21667832 40.2684990020001,-22.203876695 40.2573748770001,-22.19107507 40.246250752,-22.178273444 40.2351266270001,-22.1654718189999 40.2240025020001,-22.152657349 40.2140910310001,-22.139842878 40.2041795600001,-22.1270284079999 40.19426809,-22.1142139369999 40.184356619,-22.101399466 40.1744451490001,-22.088584996 40.1645336780001,-22.0757705249999 40.154622207,-22.062956055 40.144710737,-22.050141584 40.1347992660001,-22.0373271129999 40.1248877960001,-22.024512643 40.114976325,-22.011698172 40.105064854,-21.9988837019999 40.0951533840001,-21.9860692309999 40.0852419130001,-21.97325476 40.075330443,-21.96044029 40.065418972,-21.9476258189999 40.0555075010001,-21.9360521999999 40.0440092630001,-21.924478581 40.0325110250001,-21.912904962 40.0210127870001,-21.901331343 40.0095145490001,-21.8897577239999 39.9980163110001,-21.8781841049999 39.9865180730001,-21.866610486 39.9750198350001,-21.855036867 39.9635215970001,-21.843463248 39.9520233580001,-21.8318896289999 39.9405251200001,-21.8203160099999 39.9290268820001,-21.808742391 39.9175286440001,-21.797168772 39.9060304060001,-21.7855951519999 39.8945321680001,-21.7740215329999 39.8830339300001,-21.7624479139999 39.8715356920001,-21.750874295 39.8600374540001,-21.739300676 39.8485392150001,-21.727727057 39.8370409770001,-21.7161534379999 39.8255427390001,-21.7045798189999 39.8140445010001,-21.694351277 39.801269876,-21.6841227359999 39.788495251,-21.673894194 39.7757206260001,-21.663665652 39.762946001,-21.653437111 39.750171376,-21.643208569 39.7373967510001,-21.632980027 39.724622126,-21.622751486 39.7118475010001,-21.612522944 39.6990728760001,-21.6022944019999 39.686298251,-21.592065861 39.6735236260001,-21.5818373189999 39.6607490010001,-21.5716087769999 39.647974376,-21.5613802359999 39.6351997510001,-21.5511516939999 39.6224251260001,-21.5409231519999 39.609650501,-21.5306946109999 39.5968758760001,-21.520466069 39.584101251,-21.510237527 39.571326626,-21.500008986 39.5585520010001,-21.489780444 39.545777376,-21.479551902 39.533002751,-21.46932336 39.5202281260001,-21.459094819 39.507453501,-21.4501840849999 39.4934563680001,-21.4412733519999 39.479459234,-21.4323626189999 39.4654621010001,-21.423451885 39.451464967,-21.414541152 39.4374678340001,-21.405630419 39.423470701,-21.3967196849999 39.4094735670001,-21.3878089519999 39.395476434,-21.378898219 39.3814793010001,-21.369987485 39.367482167,-21.361076752 39.3534850340001,-21.352166019 39.339487901,-21.3432552849999 39.3254907670001,-21.3343445519999 39.311493634,-21.325433819 39.2974965010001,-21.317111902 39.2835574590001,-21.308789985 39.2696184170001,-21.300468069 39.255679376,-21.2921461519999 39.241740334,-21.2838242349999 39.227801292,-21.2755023189999 39.2138622510001,-21.267180402 39.1999232090001,-21.258858485 39.1859841670001,-21.250536569 39.1720451260001,-21.242214652 39.1581060840001,-21.2338927349999 39.144167042,-21.2255708189999 39.130228001,-21.2172489019999 39.116288959,-21.2089269849999 39.102349917,-21.2006050689999 39.0884108750001,-21.192283152 39.0744718340001,-21.183961235 39.0605327920001,-21.175639319 39.0465937500001,-21.167317402 39.032654709,-21.1589954849999 39.018715667,-21.1506735689999 39.004776625,-21.1423516519999 38.9908375840001,-21.134029735 38.9768985420001,-21.125707819 38.9629595000001,-21.1175442279999 38.948746455,-21.109380637 38.934533409,-21.1012170459999 38.9203203640001,-21.093053455 38.9061073180001,-21.0848898639999 38.891894273,-21.076726273 38.877681228,-21.0685626819999 38.8634681820001,-21.060399091 38.8492551370001,-21.0522354999999 38.835042091,-21.044071909 38.820829046,-21.0359083179999 38.8066160000001,-21.027744728 38.7924029550001,-21.0195811369999 38.778189909,-21.011417546 38.763976864,-21.0032539549999 38.7497638180001,-20.995090364 38.7355507730001,-20.9869267729999 38.721337727,-20.978763182 38.707124682,-20.9705995909999 38.6929116360001,-20.962436 38.6786985910001,-20.9542724089999 38.664485546,-20.946108818 38.6502725,-20.9379452269999 38.6360594550001,-20.929781637 38.6218464090001,-20.9216180459999 38.607633364,-20.913454455 38.593420318,-20.9052908639999 38.5792072730001,-20.897127273 38.5649942270001,-20.8889636819999 38.550781182,-20.880800091 38.536568136,-20.8726364999999 38.5223550910001,-20.864472909 38.5081420450001,-20.8563093179999 38.493929,-20.848145727 38.479715954,-20.8399821359999 38.4655029090001,-20.831818546 38.451289864,-20.8236549549999 38.437076818,-20.815491364 38.4228637730001,-20.8073277729999 38.4086507270001,-20.799164182 38.394437682,-20.7910005909999 38.380224636,-20.782837 38.3660115910001,-20.7746734089999 38.3517985450001,-20.766509818 38.3375855,-20.761783877 38.321935029,-20.757057936 38.3062845590001,-20.752331995 38.290634088,-20.747606053 38.274983617,-20.742880112 38.2593331470001,-20.738154171 38.243682676,-20.73342823 38.2280322060001,-20.728702289 38.2123817350001,-20.723976348 38.1967312640001,-20.719250406 38.181080794,-20.714524465 38.1654303230001,-20.709798524 38.149779853,-20.7050725829999 38.134129382,-20.7003466419999 38.1184789110001,-20.6956206999999 38.102828441,-20.6908947589999 38.08717797,-20.6861688179999 38.0715275000001,-20.6814428769999 38.055877029,-20.6767169359999 38.040226558,-20.6719909949999 38.0245760880001,-20.6672650529999 38.008925617,-20.6625391119999 37.9932751470001,-20.6578131709999 37.9776246760001,-20.65308723 37.961974205,-20.648361289 37.9463237350001,-20.6436353469999 37.9306732640001,-20.638909406 37.915022794,-20.634183465 37.8993723230001,-20.629457524 37.8837218520001,-20.624731583 37.868071382,-20.620005642 37.852420911,-20.6152797 37.8367704400001,-20.610553759 37.82111997,-20.605827818 37.805469499,-20.604328912 37.7891487810001,-20.602830006 37.772828062,-20.6013310989999 37.7565073430001,-20.5998321929999 37.740186624,-20.5983332869999 37.723865905,-20.596834381 37.7075451870001,-20.595335474 37.691224468,-20.593836568 37.6749037490001,-20.592337662 37.65858303,-20.590838756 37.6422623120001,-20.5893398489999 37.6259415930001,-20.5878409429999 37.609620874,-20.586342037 37.5933001550001,-20.584843131 37.576979437,-20.583344224 37.5606587180001,-20.581845318 37.544337999,-20.580346412 37.52801728,-20.5788475049999 37.5116965620001,-20.5773485989999 37.495375843,-20.575849693 37.4790551240001,-20.574350787 37.462734405,-20.57285188 37.446413686,-20.571352974 37.4300929680001,-20.5698540679999 37.413772249,-20.5683551619999 37.3974515300001,-20.5668562549999 37.381130811,-20.565357349 37.3648100930001,-20.563858443 37.3484893740001,-20.562359537 37.332168655,-20.56086063 37.3158479360001,-20.5593617239999 37.299527218,-20.5578628179999 37.2832064990001,-20.559294098 37.2665060590001,-20.560725378 37.249805619,-20.5621566579999 37.2331051790001,-20.563587938 37.216404739,-20.565019218 37.1997042990001,-20.5664504979999 37.1830038590001,-20.567881778 37.166303419,-20.569313058 37.1496029790001,-20.5707443379999 37.132902539,-20.572175618 37.1162020990001,-20.573606898 37.0995016590001,-20.5750381779999 37.082801219,-20.576469458 37.0661007790001,-20.577900738 37.049400339,-20.5793320179999 37.0326998990001,-20.580763298 37.0159994590001,-20.5821945779999 36.999299019,-20.5836258579999 36.9825985790001,-20.585057138 36.9658981380001,-20.5864884179999 36.949197698,-20.587919698 36.9324972580001,-20.589350978 36.915796818,-20.5907822579999 36.899096378,-20.592213538 36.8823959380001,-20.593644818 36.865695498,-20.597069318 36.849431856,-20.600493818 36.8331682130001,-20.603918318 36.8169045700001,-20.6073428179999 36.8006409270001,-20.6107673179999 36.7843772840001,-20.6141918179999 36.7681136410001,-20.6176163179999 36.7518499980001,-20.621040818 36.7355863550001,-20.624465318 36.7193227130001,-20.627889818 36.7030590700001,-20.631314318 36.686795427,-20.634738818 36.670531784,-20.638163318 36.654268141,-20.6415878179999 36.638004498,-20.6472757609999 36.6222793270001,-20.6529637039999 36.606554155,-20.6586516469999 36.590828984,-20.6643395899999 36.5751038120001,-20.6700275319999 36.5593786410001,-20.6757154749999 36.54365347,-20.6814034179999 36.5279282980001,-20.6870913609999 36.5122031270001,-20.6927793039999 36.496477955,-20.6984672469999 36.4807527840001,-20.7041551899999 36.465027612,-20.7098431319999 36.449302441,-20.7155310749999 36.4335772690001,-20.7212190179999 36.417852098,-20.7269069609999 36.402126927,-20.7325949039999 36.3864017550001,-20.7382828469999 36.3706765840001,-20.7439707899999 36.354951412,-20.7496587319999 36.3392262410001,-20.7553466749999 36.323501069,-20.7610346179999 36.307775898,-20.7667225609999 36.2920507260001,-20.7724105039999 36.276325555,-20.7780984469999 36.260600384,-20.7837863899999 36.2448752120001,-20.7894743319999 36.229150041,-20.7951622749999 36.2134248690001,-20.8008502179999 36.1976996980001,-20.8065381609999 36.181974526,-20.8122261039999 36.166249355,-20.8179140469999 36.1505241830001,-20.8236019899999 36.134799012,-20.8292899329999 36.119073841,-20.8349778749999 36.1033486690001,-20.8406658179999 36.087623498,-20.848934094 36.0730195850001,-20.85720237 36.058415672,-20.865470645 36.0438117580001,-20.8737389209999 36.029207845,-20.882007197 36.0146039320001,-20.8902754719999 36.000000013,-20.9068574779999 36.0000000100001,-20.923439484 36.0000000100001,-20.9400214899999 36.0000000100001,-20.956603496 36.0000000100001,-20.9731855009999 36.0000000100001,-20.989767507 36.0000000100001,-21.006349513 36.0000000100001,-21.0229315189999 36.0000000100001,-21.039513525 36.0000000100001,-21.056095531 36.0000000100001,-21.072677536 36.0000000100001,-21.089259542 36.0000000100001,-21.1058415479999 36.0000000100001,-21.122423554 36.0000000100001,-21.1390055599999 36.0000000100001,-21.155587566 36.0000000100001,-21.1721695709999 36.0000000100001,-21.1887515769999 36.0000000100001,-21.199998856 36.0000000100001,-21.205333583 36.0000000100001,-21.2219155889999 36.0000000100001,-21.238497595 36.000000013,-21.2550795999999 36.0000000100001,-21.271661606 36.0000000100001,-21.288243612 36.0000000100001,-21.3048256179999 36.0000000100001,-21.321407624 36.0000000100001,-21.33798963 36.0000000100001,-21.354571635 36.0000000100001,-21.371153641 36.0000000100001,-21.3877356469999 36.0000000100001,-21.404317653 36.0000000100001,-21.4208996589999 36.0000000100001,-21.437481664 36.0000000100001,-21.45406367 36.0000000100001,-21.4706456759999 36.0000000100001,-21.487227682 36.0000000100001,-21.5038096879999 36.0000000100001,-21.520391694 36.0000000100001,-21.5369736989999 36.0000000100001,-21.553555705 36.0000000100001,-21.570137711 36.0000000100001,-21.5867197169999 36.0000000100001,-21.600000381 36.0000000100001,-21.603301723 36.0000000100001,-21.619883729 36.0000000100001,-21.636465734 36.0000000100001,-21.65304774 36.0000000100001,-21.6696297459999 36.0000000100001,-21.686211752 36.0000000100001,-21.7027937579999 36.0000000100001,-21.719375763 36.0000000100001,-21.735957769 36.0000000100001,-21.7525397749999 36.0000000100001,-21.769121781 36.0000000100001,-21.7857037869999 36.0000000100001,-21.802285793 36.0000000100001,-21.8188677979999 36.0000000100001,-21.8354498039999 36.0000000100001,-21.85203181 36.0000000100001,-21.8686138159999 36.0000000100001,-21.885195822 36.0000000100001,-21.9017778269999 36.0000000100001,-21.918359833 36.0000000100001,-21.934941839 36.0000000100001,-21.9515238449999 36.0000000100001,-21.968105851 36.0000000100001,-21.984687857 36.0000000100001,-21.9999999999999 36.0000000100001,-22.001269862 36.0000000100001,-22.017851868 36.0000000100001,-22.0344338739999 36.0000000100001,-22.05101588 36.0000000100001,-22.0675978859999 36.0000000100001,-22.084179892 36.0000000100001,-22.1007618969999 36.0000000100001,-22.1173439029999 36.0000000100001,-22.133925909 36.0000000100001,-22.1505079149999 36.0000000100001,-22.167089921 36.0000000100001,-22.1836719259999 36.0000000100001,-22.200253932 36.0000000100001,-22.216835938 36.0000000100001,-22.2334179439999 36.0000000100001,-22.24999995 36.0000000100001,-22.2666518079999 36.0000000100001,-22.2833036659999 36.0000000100001,-22.2999555239999 36.0000000100001,-22.316607383 36.0000000100001,-22.333259241 36.0000000100001,-22.3499110989999 36.0000000100001,-22.3665629569999 36.0000000100001,-22.383214815 36.0000000100001,-22.399866674 36.0000000100001,-22.399999619 36.0000000100001,-22.4165185319999 36.0000000100001,-22.4331703899999 36.0000000100001,-22.449822248 36.0000000100001,-22.466474106 36.0000000100001,-22.4831259649999 36.0000000100001,-22.4997778229999 36.0000000100001,-22.516429681 36.0000000100001,-22.533081539 36.0000000100001,-22.549733397 36.0000000100001,-22.5663852559999 36.0000000100001,-22.583037114 36.0000000100001,-22.599688972 36.0000000100001,-22.61634083 36.0000000100001,-22.6329926879999 36.0000000100001,-22.649644547 36.0000000100001,-22.666296405 36.0000000100001,-22.682948263 36.0000000100001,-22.6996001209999 36.0000000100001,-22.7162519789999 36.0000000100001,-22.732903838 36.0000000100001,-22.749555696 36.0000000100001,-22.7662075539999 36.0000000100001,-22.7828594119999 36.0000000100001,-22.79951127 36.0000000100001,-22.799999237 36.0000000100001,-22.816163129 36.0000000100001,-22.8328149869999 36.0000000100001,-22.8494668449999 36.0000000100001,-22.8661187029999 36.0000000100001,-22.882770561 36.0000000100001,-22.89942242 36.0000000100001,-22.9160742779999 36.0000000100001,-22.9327261359999 36.0000000100001,-22.949377994 36.0000000100001,-22.966029852 36.0000000100001,-22.9826817109999 36.0000000100001,-22.9993335689999 36.0000000100001,-23.015985427 36.0000000100001,-23.032637285 36.0000000100001,-23.049289143 36.0000000100001,-23.0659410019999 36.0000000100001,-23.08259286 36.0000000100001,-23.099244718 36.0000000100001,-23.115896576 36.0000000100001,-23.1325484339999 36.0000000100001,-23.149200293 36.0000000100001,-23.165852151 36.0000000100001,-23.182504009 36.0000000100001,-23.1991558669999 36.0000000100001,-23.2000007629999 36.0000000100001,-23.2158077249999 36.0000000100001,-23.232459584 36.0000000100001,-23.249111442 36.0000000100001,-23.2657632999999 36.0000000100001,-23.2824151579999 36.0000000100001,-23.299067016 36.0000000100001,-23.315718875 36.0000000100001,-23.3323707329999 36.0000000100001,-23.3490225909999 36.0000000100001,-23.365674449 36.0000000100001,-23.382326308 36.0000000100001,-23.3989781659999 36.0000000100001,-23.4156300239999 36.0000000100001,-23.4322818819999 36.0000000100001,-23.44893374 36.0000000100001,-23.465585599 36.0000000100001,-23.4822374569999 36.0000000100001,-23.4988893149999 36.0000000100001,-23.515541173 36.0000000100001,-23.532193031 36.0000000100001,-23.5488448899999 36.0000000100001,-23.5654967479999 36.0000000100001,-23.582148606 36.0000000100001,-23.598800464 36.0000000100001,-23.600000381 36.0000000100001,-23.615452322 36.0000000100001,-23.6321041809999 36.0000000100001,-23.648756039 36.0000000100001,-23.665407897 36.0000000100001,-23.682059755 36.0000000100001,-23.6987116129999 36.0000000100001,-23.715363472 36.0000000100001,-23.73201533 36.0000000100001,-23.748667188 36.0000000100001,-23.7653190459999 36.0000000100001,-23.7819709039999 36.0000000100001,-23.798622763 36.0000000100001,-23.815274621 36.0000000100001,-23.8319264789999 36.0000000100001,-23.8485783369999 36.0000000100001,-23.865230195 36.0000000100001,-23.881882054 36.0000000100001,-23.8985339119999 36.0000000100001,-23.9151857699999 36.0000000100001,-23.931837628 36.0000000100001,-23.948489486 36.0000000100001,-23.9651413449999 36.0000000100001,-23.9817932029999 36.0000000100001,-23.9984450609999 36.0000000100001,-23.9999999999999 36.0000000100001,-24.015096919 36.0000000100001,-24.031748777 36.0000000100001,-24.0484006359999 36.0000000100001,-24.0650524939999 36.0000000100001,-24.081704352 36.0000000100001,-24.09835621 36.0000000100001,-24.115008068 36.0000000100001,-24.1316599269999 36.0000000100001,-24.148311785 36.0000000100001,-24.164963643 36.0000000100001,-24.181615501 36.0000000100001,-24.1982673589999 36.0000000100001,-24.214919218 36.0000000100001,-24.231571076 36.0000000100001,-24.248222934 36.0000000100001,-24.2648747919999 36.0000000100001,-24.2815266499999 36.0000000100001,-24.298178509 36.0000000100001,-24.314830367 36.0000000100001,-24.3314822249999 36.0000000100001,-24.3481340829999 36.0000000100001,-24.364785941 36.0000000100001,-24.3814378 36.0000000100001,-24.3980896579999 36.0000000100001,-24.399999619 36.0000000100001,-24.4147415159999 36.0000000100001,-24.431393374 36.0000000100001,-24.448045232 36.0000000100001,-24.4646970909999 36.0000000100001,-24.4813489489999 36.0000000100001,-24.498000807 36.0000000100001,-24.514652665 36.0000000100001,-24.531304523 36.0000000100001,-24.5479563819999 36.0000000100001,-24.5646082399999 36.0000000100001,-24.581260098 36.0000000100001,-24.597911956 36.0000000100001,-24.614563814 36.0000000100001,-24.6312156729999 36.0000000100001,-24.647867531 36.0000000100001,-24.664519389 36.0000000100001,-24.681171247 36.0000000100001,-24.6978231059999 36.0000000100001,-24.714474964 36.0000000100001,-24.731126822 36.0000000100001,-24.74777868 36.0000000100001,-24.7644305379999 36.0000000100001,-24.781082397 36.0000000100001,-24.797734255 36.0000000100001,-24.799999237 36.0000000100001,-24.814386113 36.0000000100001,-24.8310379709999 36.0000000100001,-24.8476898289999 36.0000000100001,-24.864341688 36.0000000100001,-24.880993546 36.0000000100001,-24.8976454039999 36.0000000100001,-24.9142972619999 36.0000000100001,-24.93094912 36.0000000100001,-24.947600979 36.0000000100001,-24.9642528369999 36.0000000100001,-24.9809046949999 36.0000000100001,-24.997556553 36.0000000100001,-25.014208411 36.0000000100001,-25.0308602699999 36.0000000100001,-25.0475121279999 36.0000000100001,-25.064163986 36.0000000100001,-25.080815844 36.0000000100001,-25.097467702 36.0000000100001,-25.1141195609999 36.0000000100001,-25.1307714189999 36.0000000100001,-25.147423277 36.0000000100001,-25.164075135 36.0000000100001,-25.180726993 36.0000000100001,-25.1973788519999 36.0000000100001,-25.199998856 36.0000000100001,-25.21403071 36.0000000100001,-25.230682568 36.0000000100001,-25.247334426 36.0000000100001,-25.2639862839999 36.0000000100001,-25.280638143 36.0000000100001,-25.297290001 36.0000000100001,-25.313941859 36.0000000100001,-25.3305937169999 36.0000000100001,-25.3472455749999 36.0000000100001,-25.363897434 36.0000000100001,-25.380549292 36.000000013,-25.3972011499999 36.0000000100001,-25.4138530079999 36.0000000100001,-25.430504866 36.0000000100001,-25.447156725 36.0000000100001,-25.4638085829999 36.0000000100001,-25.4804604409999 36.0000000100001,-25.497112299 36.0000000100001,-25.513764157 36.0000000100001,-25.5304160159999 36.0000000100001,-25.5470678739999 36.0000000100001,-25.563719732 36.0000000100001,-25.58037159 36.0000000100001,-25.597023448 36.0000000100001,-25.600000381 36.0000000100001,-25.6136753069999 36.0000000100001,-25.630327165 36.0000000100001,-25.646979023 36.0000000100001,-25.663630881 36.0000000100001,-25.6802827389999 36.0000000100001,-25.6969345979999 36.0000000100001,-25.713586456 36.0000000100001,-25.730238314 36.0000000100001,-25.746890172 36.0000000100001,-25.7635420299999 36.0000000100001,-25.780193889 36.0000000100001,-25.796845747 36.0000000100001,-25.813497605 36.0000000100001,-25.8301494629999 36.0000000100001,-25.8468013209999 36.0000000100001,-25.86345318 36.0000000100001,-25.880105038 36.0000000100001,-25.8967568959999 36.0000000100001,-25.9134087539999 36.0000000100001,-25.930060612 36.0000000100001,-25.946712471 36.0000000100001,-25.9633643289999 36.0000000100001,-25.9800161869999 36.0000000100001,-25.996668045 36.0000000100001,-25.9999999999999 36.0000000100001,-26.013319904 36.0000000100001,-26.0299717619999 36.0000000100001,-26.0466236199999 36.0000000100001,-26.063275478 36.0000000100001,-26.079927336 36.0000000100001,-26.0965791949999 36.0000000100001,-26.1132310529999 36.0000000100001,-26.129882911 36.0000000100001,-26.146534769 36.0000000100001,-26.163186627 36.0000000100001,-26.1798384859999 36.0000000100001,-26.196490344 36.000000013,-26.213142202 36.0000000100001,-26.22979406 36.0000000100001,-26.2464459179999 36.0000000100001,-26.2630977769999 36.0000000100001,-26.279749635 36.0000000100001,-26.296401493 36.0000000100001,-26.313053351 36.0000000100001,-26.3297052089999 36.0000000100001,-26.346357068 36.0000000100001,-26.363008926 36.0000000100001,-26.379660784 36.0000000100001,-26.3963126419999 36.0000000100001,-26.399999619 36.0000000100001,-26.4129644999999 36.0000000100001,-26.429616359 36.0000000100001,-26.446268217 36.0000000100001,-26.4629200749999 36.0000000100001,-26.4795719329999 36.000000013,-26.496223791 36.0000000100001,-26.51287565 36.0000000100001,-26.5295275079999 36.0000000100001,-26.5461793659999 36.0000000100001,-26.562831224 36.0000000100001,-26.579483082 36.0000000100001,-26.5961349409999 36.0000000100001,-26.6127867989999 36.0000000100001,-26.629438657 36.0000000100001,-26.646090515 36.0000000100001,-26.662742373 36.0000000100001,-26.6793942319999 36.0000000100001,-26.69604609 36.0000000100001,-26.712697948 36.0000000100001,-26.729349806 36.0000000100001,-26.7460016639999 36.0000000100001,-26.762653523 36.0000000100001,-26.779305381 36.0000000100001,-26.795957239 36.0000000100001,-26.799999237 36.0000000100001,-26.8126090969999 36.0000000100001,-26.8292609549999 36.0000000100001,-26.845912814 36.0000000100001,-26.862564672 36.0000000100001,-26.87921653 36.0000000100001,-26.8958683879999 36.0000000100001,-26.9125202459999 36.0000000100001,-26.929172105 36.0000000100001,-26.945823963 36.0000000100001,-26.9624758209999 36.0000000100001,-26.9791276789999 36.0000000100001,-26.995779537 36.0000000100001,-27.012431396 36.0000000100001,-27.0290832539999 36.0000000100001,-27.0457351119999 36.0000000100001,-27.06238697 36.0000000100001,-27.079038828 36.0000000100001,-27.0956906869999 36.0000000100001,-27.1123425449999 36.0000000100001,-27.128994403 36.0000000100001,-27.145646261 36.0000000100001,-27.162298119 36.0000000100001,-27.1789499779999 36.0000000100001,-27.195601836 36.0000000100001,-27.2000007629999 36.0000000100001,-27.212253694 36.0000000100001,-27.228905552 36.0000000100001,-27.2455574109999 36.0000000100001,-27.262209269 36.0000000100001,-27.278861127 36.0000000100001,-27.295512985 36.0000000100001,-27.3121648429999 36.0000000100001,-27.328816702 36.0000000100001,-27.34546856 36.0000000100001,-27.362120418 36.0000000100001,-27.3787722759999 36.0000000100001,-27.3954241339999 36.0000000100001,-27.412075993 36.0000000100001,-27.428727851 36.0000000100001,-27.445379709 36.0000000100001,-27.4620315669999 36.0000000100001,-27.4786834249999 36.0000000100001,-27.495335284 36.0000000100001,-27.511987142 36.0000000100001,-27.5286389999999 36.0000000100001,-27.5452908579999 36.0000000100001,-27.561942716 36.0000000100001,-27.578594575 36.0000000100001,-27.5952464329999 36.0000000100001,-27.600000381 36.0000000100001,-27.6118982909999 36.0000000100001,-27.628550149 36.0000000100001,-27.645202007 36.0000000100001,-27.6618538659999 36.0000000100001,-27.6785057239999 36.0000000100001,-27.695157582 36.0000000100001,-27.71180944 36.0000000100001,-27.728461298 36.0000000100001,-27.7451131569999 36.0000000100001,-27.761765015 36.0000000100001,-27.778416873 36.0000000100001,-27.795068731 36.0000000100001,-27.8117205889999 36.0000000100001,-27.828372448 36.0000000100001,-27.845024306 36.0000000100001,-27.861676164 36.0000000100001,-27.8783280219999 36.0000000100001,-27.8949798799999 36.0000000100001,-27.911631739 36.0000000100001,-27.928283597 36.0000000100001,-27.9449354549999 36.0000000100001,-27.9615873129999 36.0000000100001,-27.9782391709999 36.0000000100001,-27.99489103 36.0000000100001,-27.9999999999999 36.0000000100001,-28.011542888 36.0000000100001,-28.0281947459999 36.0000000100001,-28.0448466039999 36.0000000100001,-28.061498462 36.0000000100001,-28.078150321 36.0000000100001,-28.0948021789999 36.0000000100001,-28.1114540369999 36.0000000100001,-28.128105895 36.0000000100001,-28.144757753 36.0000000100001,-28.1614096119999 36.0000000100001,-28.1780614699999 36.0000000100001,-28.194713328 36.0000000100001,-28.211365186 36.0000000100001,-28.228017044 36.0000000100001,-28.2446689029999 36.0000000100001,-28.261320761 36.0000000100001,-28.277972619 36.0000000100001,-28.294624477 36.0000000100001,-28.3112763349999 36.0000000100001,-28.327928194 36.0000000100001,-28.344580052 36.0000000100001,-28.36123191 36.0000000100001,-28.3778837679999 36.0000000100001,-28.3945356259999 36.0000000100001,-28.399999619 36.0000000100001,-28.411187485 36.0000000100001,-28.427839343 36.0000000100001,-28.4444912009999 36.0000000100001,-28.4611430589999 36.0000000100001,-28.477794917 36.0000000100001,-28.494446776 36.0000000100001,-28.5110986339999 36.0000000100001,-28.5277504919999 36.0000000100001,-28.5444023499999 36.0000000100001,-28.561054209 36.0000000100001,-28.577706067 36.0000000100001,-28.5943579249999 36.0000000100001,-28.6110097829999 36.0000000100001,-28.627661641 36.0000000100001,-28.6443135 36.0000000100001,-28.6609653579999 36.0000000100001,-28.6776172159999 36.0000000100001,-28.694269074 36.0000000100001,-28.710920932 36.0000000100001,-28.7275727909999 36.0000000100001,-28.7442246489999 36.0000000100001,-28.760876507 36.0000000100001,-28.777528365 36.0000000100001,-28.794180223 36.0000000100001,-28.799999237 36.0000000100001,-28.8108320819999 36.0000000100001,-28.82748394 36.0000000100001,-28.844135798 36.0000000100001,-28.860787656 36.0000000100001,-28.8774395139999 36.0000000100001,-28.894091373 36.0000000100001,-28.910743231 36.0000000100001,-28.927395089 36.0000000100001,-28.9440469469999 36.0000000100001,-28.9606988049999 36.0000000100001,-28.977350664 36.0000000100001,-28.994002522 36.0000000100001,-29.0106543799999 36.0000000100001,-29.0273062379999 36.0000000100001,-29.043958096 36.0000000100001,-29.060609955 36.0000000100001,-29.077261813 36.0000000100001,-29.0939136709999 36.0000000100001,-29.1105655289999 36.0000000100001,-29.127217387 36.0000000100001,-29.143869246 36.0000000100001,-29.1605211039999 36.0000000100001,-29.1771729619999 36.0000000100001,-29.19382482 36.0000000100001,-29.2000007629999 36.0000000100001,-29.210476678 36.0000000100001,-29.2271285369999 36.0000000100001,-29.2437803949999 36.0000000100001,-29.260432253 36.0000000100001,-29.277084111 36.0000000100001,-29.293735969 36.0000000100001,-29.3103878279999 36.0000000100001,-29.327039686 36.0000000100001,-29.343691544 36.0000000100001,-29.360343402 36.0000000100001,-29.3769952599999 36.0000000100001,-29.393647119 36.0000000100001,-29.410298977 36.0000000100001,-29.426950835 36.0000000100001,-29.4436026929999 36.0000000100001,-29.4602545509999 36.0000000100001,-29.47690641 36.0000000100001,-29.493558268 36.0000000100001,-29.5102101259999 36.0000000100001,-29.5268619839999 36.0000000100001,-29.543513842 36.0000000100001,-29.560165701 36.0000000100001,-29.5768175589999 36.0000000100001,-29.5934694169999 36.0000000100001,-29.600000381 36.0000000100001,-29.610121275 36.0000000100001,-29.626773133 36.0000000100001,-29.643424992 36.0000000100001,-29.6600768499999 36.0000000100001,-29.6767287079999 36.0000000100001,-29.693380566 36.0000000100001,-29.710032424 36.0000000100001,-29.7266842829999 36.000000013,-29.7433361409999 36.0000000100001,-29.759987999 36.0000000100001,-29.776639857 36.0000000100001,-29.7932917159999 36.0000000100001,-29.8099435739999 36.0000000100001,-29.826595432 36.0000000100001,-29.84324729 36.0000000100001,-29.859899148 36.0000000100001,-29.8765510069999 36.0000000100001,-29.893202865 36.0000000100001,-29.909854723 36.0000000100001,-29.926506581 36.0000000100001,-29.9431584389999 36.0000000100001,-29.959810298 36.0000000100001,-29.976462156 36.0000000100001,-29.993114014 36.0000000100001,-29.9999999999999 36.0000000100001,-30.0097658719999 36.0000000100001,-30.0264177299999 36.0000000100001,-30.043069589 36.0000000100001,-30.059721447 36.0000000100001,-30.0763733049999 36.0000000100001,-30.0930251629999 36.0000000100001,-30.109677021 36.0000000100001,-30.12632888 36.0000000100001,-30.1429807379999 36.0000000100001,-30.1596325959999 36.0000000100001,-30.176284454 36.0000000100001,-30.192936312 36.0000000100001,-30.209588171 36.0000000100001,-30.2262400289999 36.0000000100001,-30.2428918869999 36.0000000100001,-30.259543745 36.0000000100001,-30.276195603 36.0000000100001,-30.2928474619999 36.0000000100001,-30.3094993199999 36.0000000100001,-30.326151178 36.0000000100001,-30.342803036 36.0000000100001,-30.359454894 36.0000000100001,-30.3761067529999 36.0000000100001,-30.392758611 36.0000000100001,-30.399999619 36.0000000100001,-30.409410469 36.0000000100001,-30.426062327 36.0000000100001,-30.4427141849999 36.0000000100001,-30.459366044 36.0000000100001,-30.476017902 36.0000000100001,-30.49266976 36.0000000100001,-30.5093216179999 36.0000000100001,-30.5259734759999 36.0000000100001,-30.542625335 36.0000000100001,-30.559277193 36.0000000100001,-30.5759290509999 36.0000000100001,-30.5925809089999 36.0000000100001,-30.609232767 36.0000000100001,-30.625884626 36.0000000100001,-30.6425364839999 36.0000000100001,-30.6591883419999 36.0000000100001,-30.6758402 36.0000000100001,-30.692492058 36.0000000100001,-30.7091439169999 36.0000000100001,-30.7257957749999 36.0000000100001,-30.742447633 36.0000000100001,-30.759099491 36.0000000100001,-30.775751349 36.0000000100001,-30.7924032079999 36.0000000100001,-30.799999237 36.0000000100001,-30.8090550659999 36.0000000100001,-30.825706924 36.0000000100001,-30.842358782 36.0000000100001,-30.85901064 36.0000000100001,-30.8756624989999 36.0000000100001,-30.892314357 36.0000000100001,-30.908966215 36.0000000100001,-30.925618073 36.0000000100001,-30.9422699309999 36.0000000100001,-30.95892179 36.0000000100001,-30.975573648 36.0000000100001,-30.992225506 36.0000000100001,-31.0088773639999 36.0000000100001,-31.0255292219999 36.0000000100001,-31.042181081 36.0000000100001,-31.058832939 36.0000000100001,-31.0754847969999 36.0000000100001,-31.0921366549999 36.0000000100001,-31.108788514 36.0000000100001,-31.125440372 36.0000000100001,-31.1420922299999 36.0000000100001,-31.1587440879999 36.0000000100001,-31.175395946 36.0000000100001,-31.192047805 36.0000000100001,-31.2000007629999 36.0000000100001,-31.2086996629999 36.0000000100001,-31.2253515209999 36.0000000100001,-31.242003379 36.0000000100001,-31.258655237 36.0000000100001,-31.2753070959999 36.0000000100001,-31.2919589539999 36.0000000100001,-31.308610812 36.0000000100001,-31.32526267 36.0000000100001,-31.341914528 36.0000000100001,-31.3585663869999 36.0000000100001,-31.3752182449999 36.0000000100001,-31.391870103 36.0000000100001,-31.408521961 36.0000000100001,-31.425173819 36.0000000100001,-31.4418256779999 36.0000000100001,-31.458477536 36.000000013,-31.471892194 36.008975315,-31.4853068529999 36.0179506110001,-31.4987215109999 36.026925906,-31.51213617 36.035901202,-31.525550828 36.0448764980001,-31.539762078 36.0456249980001,-31.553973328 36.046373498,-31.5681845779999 36.0471219980001,-31.582395828 36.0478704980001,-31.598875065 36.049987866,-31.615354302 36.0521052340001,-31.631833539 36.054222603,-31.648312776 36.0563399710001,-31.664792013 36.0584573400001,-31.681271249 36.060574708,-31.697750486 36.0626920770001,-31.714229723 36.064809445,-31.73070896 36.0669268130001,-31.747188197 36.069044182,-31.763667434 36.0711615500001,-31.780146671 36.0732789190001,-31.796625907 36.075396287,-31.813105144 36.0775136560001,-31.829584381 36.079631024,-31.846063618 36.0817483920001,-31.862542855 36.083865761,-31.879022092 36.0859831290001,-31.895501329 36.0881004980001,-31.911980565 36.090217866,-31.928459802 36.0923352350001,-31.944939039 36.094452603,-31.961418276 36.0965699710001,-31.977897513 36.09868734,-31.99437675 36.1008047080001,-32.010855987 36.1029220770001,-32.027335223 36.105039445,-32.04381446 36.1071568130001,-32.060293697 36.109274182,-32.076772934 36.1113915500001,-32.093252171 36.113508919,-32.109731408 36.1156262870001,-32.126210645 36.1177436560001,-32.142689881 36.119861024,-32.159169118 36.1219783920001,-32.175648355 36.124095761,-32.192127592 36.1262131290001,-32.208606829 36.128330498,-32.221780829 36.1299589980001,-32.2349548289999 36.131587498,-32.2508150149999 36.1357868700001,-32.2666752009999 36.1399862420001,-32.2825353869999 36.144185614,-32.2983955729999 36.1483849860001,-32.3142557589999 36.1525843580001,-32.3301159449999 36.15678373,-32.3459761309999 36.160983102,-32.361836317 36.1651824740001,-32.377696503 36.1693818470001,-32.393556689 36.173581219,-32.409416876 36.177780591,-32.425277062 36.1819799630001,-32.441137248 36.1861793350001,-32.456997434 36.190378707,-32.47285762 36.1945780790001,-32.488717806 36.1987774510001,-32.504577992 36.202976823,-32.5204381779999 36.207176195,-32.5362983639999 36.2113755680001,-32.5521585499999 36.2155749400001,-32.5680187359999 36.219774312,-32.5838789219999 36.223973684,-32.5997391079999 36.2281730560001,-32.6155992939999 36.2323724280001,-32.6314594799999 36.2365718,-32.6473196659999 36.2407711720001,-32.663179853 36.2449705440001,-32.679040039 36.249169916,-32.694900225 36.253369289,-32.710760411 36.2575686610001,-32.726620597 36.2617680330001,-32.742480783 36.265967405,-32.758340969 36.270166777,-32.774201155 36.2743661490001,-32.790061341 36.2785655210001,-32.805921527 36.282764893,-32.821781713 36.2869642650001,-32.8376418989999 36.2911636370001,-32.8535020849999 36.2953630100001,-32.8693622709999 36.299562382,-32.8852224569999 36.303761754,-32.9010826429999 36.3079611260001,-32.9169428289999 36.312160498,-32.9321148769999 36.3185922600001,-32.947286925 36.325024022,-32.962458972 36.3314557840001,-32.9776310199999 36.337887546,-32.9928030679999 36.344319307,-33.0008008679999 36.347709749,-33.007975115 36.3507510690001,-33.023147163 36.357182831,-33.0383192109999 36.3636145930001,-33.053491258 36.3700463550001,-33.068663306 36.376478117,-33.083835353 36.3829098790001,-33.0990074009999 36.389341641,-33.1141794489999 36.3957734030001,-33.129351496 36.4022051650001,-33.144523544 36.408636927,-33.1596955919999 36.4150686880001,-33.174867639 36.4215004500001,-33.190039687 36.427932212,-33.205211735 36.4343639740001,-33.2203837819999 36.440795736,-33.23555583 36.4472274980001,-33.250727877 36.4536592600001,-33.2658999249999 36.460091022,-33.2810719729999 36.4665227840001,-33.29624402 36.472954546,-33.311416068 36.4793863080001,-33.326588116 36.4858180690001,-33.3417601629999 36.492249831,-33.356932211 36.4986815930001,-33.372104258 36.505113355,-33.3872763059999 36.511545117,-33.4024483539999 36.5179768790001,-33.417620401 36.524408641,-33.432792449 36.5308404030001,-33.4479644969999 36.537272165,-33.463136544 36.543703927,-33.478308592 36.5501356890001,-33.49348064 36.55656745,-33.5086526869999 36.5629992120001,-33.5238247349999 36.5694309740001,-33.538996782 36.575862736,-33.55416883 36.5822944980001,-33.5682888769999 36.5910424750001,-33.5824089229999 36.599790452,-33.59652897 36.608538428,-33.610649016 36.6172864050001,-33.624769063 36.6260343820001,-33.6388891089999 36.634782359,-33.6530091559999 36.643530335,-33.667129202 36.6522783120001,-33.681249249 36.6610262890001,-33.695369295 36.669774266,-33.709489342 36.678522242,-33.7236093879999 36.687270219,-33.7377294349999 36.6960181960001,-33.751849481 36.7047661730001,-33.765969528 36.713514149,-33.7800895739999 36.722262126,-33.7942096209999 36.7310101030001,-33.8083296679999 36.7397580800001,-33.822449714 36.7485060560001,-33.836569761 36.757254033,-33.850689807 36.7660020100001,-33.8648098539999 36.7747499870001,-33.8789298999999 36.7834979630001,-33.893049947 36.79224594,-33.907169993 36.800993917,-33.92129004 36.8097418940001,-33.9354100859999 36.8184898700001,-33.9495301329999 36.827237847,-33.963650179 36.835985824,-33.977770226 36.8447338010001,-33.991890272 36.8534817770001,-34.006010319 36.8622297540001,-34.0201303649999 36.870977731,-34.0342504119999 36.8797257080001,-34.048370458 36.8884736840001,-34.062490505 36.8972216610001,-34.076610552 36.905969638,-34.0907305979999 36.914717615,-34.1048506449999 36.923465591,-34.118970691 36.9322135680001,-34.133090738 36.9409615450001,-34.147210784 36.949709522,-34.1613308309999 36.958457498,-34.1741373909999 36.9689573790001,-34.1869439509999 36.9794572590001,-34.1997505109999 36.9899571390001,-34.2125570709999 37.0004570190001,-34.2253636309999 37.0109568990001,-34.2381701909999 37.0214567790001,-34.2509767509999 37.0319566590001,-34.2637833109999 37.0424565390001,-34.2765898709999 37.0529564190001,-34.2893964309999 37.0634562990001,-34.3022029909999 37.073956179,-34.3150095509999 37.084456059,-34.3278161109999 37.094955939,-34.3406226709999 37.105455819,-34.353429231 37.115955699,-34.366235791 37.126455579,-34.379042351 37.136955459,-34.391848911 37.147455339,-34.404655471 37.157955219,-34.417462031 37.168455099,-34.430268591 37.178954979,-34.443075151 37.1894548590001,-34.455881711 37.1999547390001,-34.468688271 37.2104546190001,-34.481494831 37.2209544990001,-34.493182481 37.2326183490001,-34.504870131 37.2442821990001,-34.516557781 37.255946049,-34.528245431 37.267609899,-34.539933081 37.279273749,-34.551620731 37.2909375990001,-34.563308381 37.3026014490001,-34.574996031 37.3142652990001,-34.586683681 37.325929149,-34.598371331 37.337592999,-34.610058981 37.349256849,-34.621746631 37.3609206990001,-34.6334342809999 37.3725845490001,-34.6451219309999 37.3842483990001,-34.6568095809999 37.395912249,-34.6684972309999 37.407576099,-34.6801848809999 37.419239949,-34.6918725309999 37.4309037990001,-34.7035601809999 37.4425676490001,-34.7152478309999 37.4542314990001,-34.72549968 37.46726956,-34.735751528 37.4803076200001,-34.746003377 37.4933456810001,-34.756255225 37.506383741,-34.7665070739999 37.5194218020001,-34.7767589219999 37.532459863,-34.787010771 37.545497923,-34.797262619 37.5585359840001,-34.807514468 37.571574045,-34.817766316 37.5846121050001,-34.8280181649999 37.5976501660001,-34.8382700129999 37.610688226,-34.848521862 37.6237262870001,-34.85877371 37.636764348,-34.869025559 37.649802408,-34.879277407 37.6628404690001,-34.8895292559999 37.675878529,-34.8997811039999 37.6889165900001,-34.910032953 37.7019546510001,-34.920284801 37.714992711,-34.93053665 37.7280307720001,-34.940788498 37.741068833,-34.9510403469999 37.754106893,-34.9612921949999 37.7671449540001,-34.971544044 37.780183014,-34.981795892 37.7932210750001,-34.992047741 37.8062591360001,-35.002299589 37.819297196,-35.0125514379999 37.8323352570001,-35.0228032859999 37.845373318,-35.0330551339999 37.858411378,-35.043306983 37.8714494390001,-35.053558831 37.884487499,-35.061176858 37.8992369200001,-35.0687948839999 37.9139863410001,-35.0764129099999 37.9287357630001,-35.084030937 37.9434851840001,-35.091648963 37.958234605,-35.0992669889999 37.9729840260001,-35.106885016 37.987733447,-35.114503042 38.0024828680001,-35.122121068 38.017232289,-35.1297390949999 38.03198171,-35.137357121 38.0467311310001,-35.144975147 38.061480552,-35.1525931739999 38.0762299730001,-35.1602111999999 38.090979394,-35.167829226 38.1057288150001,-35.175447253 38.1204782360001,-35.1830652789999 38.135227657,-35.1906833049999 38.1499770790001,-35.198301332 38.1647265,-35.205919358 38.1794759210001,-35.2135373839999 38.194225342,-35.221155411 38.2089747630001,-35.228773437 38.223724184,-35.236391463 38.238473605,-35.2440094899999 38.2532230260001,-35.2516275159999 38.267972447,-35.259245542 38.2827218680001,-35.266863569 38.297471289,-35.2744815949999 38.3122207100001,-35.2820996209999 38.3269701310001,-35.289717647 38.341719552,-35.297335674 38.3564689730001,-35.3049536999999 38.371218395,-35.3125717259999 38.3859678160001,-35.320189753 38.400717237,-35.327807779 38.4154666580001,-35.3354258049999 38.430216079,-35.343043832 38.4449655000001,-35.3478999979999 38.460516667,-35.352756165 38.4760678330001,-35.357612332 38.4916190000001,-35.3624684979999 38.507170167,-35.367324665 38.522721333,-35.372180832 38.5382725000001,-35.3791145819999 38.5535642500001,-35.386048332 38.568856,-35.3929820819999 38.5841477500001,-35.399915832 38.5994395000001,-35.4068495819999 38.61473125,-35.413783332 38.6300230000001,-35.420717082 38.6453147500001,-35.427650832 38.6606065,-35.431615192 38.6763471400001,-35.435579552 38.6920877800001,-35.439543912 38.7078284200001,-35.443508272 38.72356906,-35.447472632 38.7393097,-35.451436992 38.75505034,-35.455401352 38.7707909800001,-35.459365712 38.7865316200001,-35.463330072 38.8022722600001,-35.467294432 38.8180129,-35.471258792 38.83375354,-35.475223152 38.8494941800001,-35.479187512 38.8652348200001,-35.483151872 38.8809754600001,-35.4871162319999 38.8967161,-35.4910805919999 38.91245674,-35.4950449519999 38.92819738,-35.4990093119999 38.9439380200001,-35.5029736719999 38.9596786600001,-35.5069380319999 38.9754193000001,-35.5109023919999 38.99115994,-35.5148667519999 39.00690058,-35.5188311119999 39.02264122,-35.522795472 39.0383818600001,-35.526759832 39.0541225000001,-35.528047589 39.0706522880001,-35.529335347 39.087182076,-35.530623105 39.103711864,-35.531910862 39.1202416520001,-35.53319862 39.1367714400001,-35.534486377 39.153301228,-35.5357741349999 39.169831016,-35.5370618929999 39.1863608040001,-35.5383496499999 39.202890591,-35.539637408 39.219420379,-35.540925165 39.2359501670001,-35.542212923 39.2524799550001,-35.54350068 39.269009743,-35.544788438 39.285539531,-35.5460761959999 39.3020693190001,-35.5473639529999 39.3185991070001,-35.5486517109999 39.335128895,-35.5499394679999 39.351658683,-35.551227226 39.3681884700001,-35.552514983 39.3847182580001,-35.553802741 39.401248046,-35.555090499 39.417777834,-35.556378256 39.4343076220001,-35.5576660139999 39.4508374100001,-35.5589537709999 39.467367198,-35.5602415289999 39.483896986,-35.5615292859999 39.5004267740001,-35.562817044 39.516956561,-35.564104802 39.533486349,-35.565392559 39.5500161370001,-35.566680317 39.5665459250001,-35.567968074 39.583075713,-35.569255832 39.599605501,-35.5681093649999 39.6157147010001,-35.566962899 39.6318239010001,-35.565816432 39.647933101,-35.564669965 39.6640423010001,-35.563523499 39.6801515010001,-35.562377032 39.696260701,-35.561230565 39.712369901,-35.5600840989999 39.7284791010001,-35.558937632 39.7445883010001,-35.557791165 39.760697501,-35.5566446989999 39.7768067010001,-35.5554982319999 39.7929159010001,-35.554351765 39.809025101,-35.553205299 39.825134301,-35.5520588319999 39.8412435010001,-35.548316144 39.857104189,-35.544573457 39.872964876,-35.540830769 39.8888255640001,-35.537088082 39.904686251,-35.533345394 39.9205469390001,-35.529602707 39.9364076260001,-35.5258600189999 39.952268314,-35.5221173319999 39.9681290010001,-35.5183746439999 39.9839896890001,-35.5146319569999 39.999850376,-35.510889269 40.0157110640001,-35.507146582 40.0315717510001,-35.503403894 40.047432439,-35.499661207 40.0632931260001,-35.4959185189999 40.0791538140001,-35.4921758319999 40.095014501,-35.4884331439999 40.1108751890001,-35.4846904569999 40.1267358760001,-35.480947769 40.142596564,-35.477205082 40.1584572510001,-35.473462394 40.174317939,-35.469719707 40.1901786270001,-35.465977019 40.2060393140001,-35.462234332 40.221900002,-35.4584916439999 40.237760689,-35.4547489569999 40.2536213770001,-35.4510062689999 40.269482064,-35.4472635819999 40.2853427520001,-35.443520894 40.3012034390001,-35.439778207 40.317064127,-35.436035519 40.3329248140001,-35.432292832 40.3487855020001,-35.426349403 40.363942787,-35.4204059749999 40.3791000730001,-35.414462546 40.3942573590001,-35.408519118 40.409414645,-35.4025756889999 40.4245719300001,-35.3966322599999 40.439729216,-35.390688832 40.4548865020001,-35.384745403 40.4700437870001,-35.3788019749999 40.485201073,-35.372858546 40.5003583590001,-35.366915117 40.5155156450001,-35.3609716889999 40.53067293,-35.35502826 40.5458302160001,-35.349084832 40.560987502,-35.3431414029999 40.5761447880001,-35.337197975 40.5913020730001,-35.331254546 40.606459359,-35.325311117 40.6216166450001,-35.3193676889999 40.6367739300001,-35.31342426 40.651931216,-35.307480832 40.6670885020001,-35.3015374029999 40.682245788,-35.295593975 40.697403073,-35.289650546 40.7125603590001,-35.2837071169999 40.727717645,-35.277763689 40.7428749310001,-35.27182026 40.7580322160001,-35.2658768319999 40.773189502,-35.257657163 40.7878826580001,-35.2494374939999 40.802575813,-35.241217825 40.8172689680001,-35.232998156 40.831962124,-35.224778488 40.8466552790001,-35.2165588189999 40.861348435,-35.20833915 40.8760415900001,-35.2001194809999 40.8907347460001,-35.191899812 40.9054279010001,-35.1836801439999 40.9201210570001,-35.175460475 40.934814212,-35.1672408059999 40.9495073680001,-35.1575530659999 40.9627749100001,-35.147865327 40.976042453,-35.138177587 40.989309996,-35.128489848 41.002577538,-35.118802108 41.0158450810001,-35.1091143689999 41.029112624,-35.0994266289999 41.042380166,-35.08973889 41.055647709,-35.08005115 41.0689152520001,-35.070363411 41.0821827950001,-35.060675671 41.095450337,-35.0509879319999 41.10871788,-35.0413001919999 41.1219854230001,-35.031612453 41.1352529650001,-35.021924713 41.148520508,-35.012236974 41.161788051,-35.0025492349999 41.1750555940001,-34.9928614949999 41.1883231360001,-34.9831737559999 41.201590679,-34.973486016 41.214858222,-34.963798277 41.228125764,-34.954110537 41.2413933070001,-34.9444227979999 41.2546608500001,-34.9347350579999 41.267928392,-34.9250473189999 41.281195935,-34.915359579 41.2944634780001,-34.90567184 41.3077310210001,-34.8959841 41.320998563,-34.8862963609999 41.334266106,-34.8766086209999 41.3475336490001,-34.8669208819999 41.3608011910001,-34.857233142 41.374068734,-34.847545403 41.387336277,-34.837857663 41.4006038200001,-34.828169924 41.4138713620001,-34.8184821839999 41.427138905,-34.8087944449999 41.440406448,-34.7991067049999 41.45367399,-34.789418966 41.4669415330001,-34.779731226 41.4802090760001,-34.770043487 41.493476618,-34.7603557469999 41.506744161,-34.7506680079999 41.5200117040001,-34.7409802679999 41.5332792470001,-34.731292529 41.546546789,-34.721604789 41.559814332,-34.71191705 41.5730818750001,-34.70222931 41.5863494170001,-34.6925415709999 41.59961696,-34.6828538309999 41.612884503,-34.671631331 41.625072222,-34.660408831 41.63725994,-34.649186331 41.649447659,-34.637963831 41.661635378,-34.6267413309999 41.673823097,-34.615518831 41.686010815,-34.6042963309999 41.698198534,-34.593073831 41.7103862530001,-34.5818513309999 41.7225739720001,-34.570628831 41.73476169,-34.5594063309999 41.7469494090001,-34.548183831 41.7591371280001,-34.5369613309999 41.7713248470001,-34.525738831 41.7835125650001,-34.514516331 41.7957002840001,-34.503293831 41.8078880030001,-34.492071331 41.8200757220001,-34.4808488309999 41.8322634410001,-34.469626331 41.8444511590001,-34.4584038309999 41.8566388780001,-34.447181331 41.8688265970001,-34.4359588309999 41.8810143160001,-34.424736331 41.8932020340001,-34.4135138309999 41.9053897530001,-34.402291331 41.9175774720001,-34.391068831 41.9297651910001,-34.379846331 41.9419529090001,-34.368623831 41.9541406280001,-34.3574013309999 41.9663283470001,-34.346178831 41.9785160660001,-34.3349563309999 41.9907037840001,-34.323733831 42.0028915030001,-34.31089536 42.0128050330001,-34.2980568899999 42.0227185620001,-34.2852184189999 42.032632091,-34.272379948 42.042545621,-34.259541478 42.0524591500001,-34.246703007 42.0623726800001,-34.2338645369999 42.072286209,-34.221026066 42.082199739,-34.208187595 42.092113268,-34.195349125 42.1020267970001,-34.1825106539999 42.1119403270001,-34.169672184 42.121853856,-34.156833713 42.131767386,-34.143995242 42.1416809150001,-34.1311567719999 42.1515944450001,-34.1183183009999 42.1615079740001,-34.105479831 42.171421503,-34.0915537 42.1801899820001,-34.0776275699999 42.18895846,-34.0637014389999 42.1977269380001,-34.049775309 42.2064954160001,-34.035849178 42.2152638950001,-34.021923048 42.2240323730001,-34.007996917 42.232800851,-33.9940707869999 42.2415693290001,-33.980144657 42.250337808,-33.966218526 42.2591062860001,-33.952292396 42.2678747640001,-33.938366265 42.2766432430001,-33.9244401349999 42.2854117210001,-33.9105140039999 42.294180199,-33.896587874 42.3029486770001,-33.882661743 42.311717156,-33.868735613 42.3204856340001,-33.8548094829999 42.3292541120001,-33.8408833519999 42.33802259,-33.826957222 42.3467910690001,-33.813031091 42.355559547,-33.799104961 42.3643280250001,-33.7851788299999 42.373096504,-33.770202253 42.380018561,-33.755225676 42.386940619,-33.740249099 42.3938626770001,-33.7252725229999 42.4007847340001,-33.710295946 42.4077067920001,-33.6953193689999 42.41462885,-33.680342792 42.421550907,-33.6653662149999 42.428472965,-33.650389638 42.4353950230001,-33.635413061 42.4423170810001,-33.620436484 42.4492391380001,-33.605459907 42.456161196,-33.59048333 42.463083254,-33.575506753 42.4700053110001,-33.5605301759999 42.4769273690001,-33.545553599 42.4838494270001,-33.5305770219999 42.490771484,-33.515600445 42.497693542,-33.5006238679999 42.5046156000001,-33.485647292 42.5115376580001,-33.470670715 42.5184597150001,-33.455694138 42.525381773,-33.4407175609999 42.532303831,-33.425740984 42.539225888,-33.4107644069999 42.5461479460001,-33.39578783 42.5530700040001,-33.3808112529999 42.5599920610001,-33.365834676 42.566914119,-33.3508580989999 42.573836177,-33.335881522 42.580758234,-33.3209049449999 42.5876802920001,-33.305928368 42.5946023500001,-33.2909517909999 42.601524408,-33.275975214 42.608446465,-33.2609986379999 42.615368523,-33.246022061 42.6222905810001,-33.2310454839999 42.6292126380001,-33.216068907 42.6361346960001,-33.2010923299999 42.643056754,-33.186115753 42.649978811,-33.1711391759999 42.656900869,-33.156162599 42.6638229270001,-33.1411860219999 42.6707449850001,-33.126209445 42.6776670420001,-33.1112328679999 42.6845891,-33.096256291 42.691511158,-33.0812797139999 42.6984332150001,-33.066303137 42.7053552730001,-33.0513265599999 42.7122773310001,-33.036349983 42.719199388,-33.0213734069999 42.726121446,-33.00639683 42.7330435040001,-32.990579652 42.7376059710001,-32.9747624739999 42.742168437,-32.958945296 42.7467309040001,-32.9431281179999 42.751293371,-32.927310941 42.7558558370001,-32.911493763 42.760418304,-32.8956765849999 42.7649807710001,-32.879859407 42.7695432370001,-32.8640422289999 42.7741057040001,-32.848225052 42.778668171,-32.832407874 42.783230637,-32.8165906959999 42.7877931040001,-32.800773518 42.792355571,-32.78495634 42.7969180370001,-32.769139163 42.801480504,-32.753321985 42.8060429710001,-32.7375048069999 42.810605437,-32.721687629 42.8151679040001,-32.7058704519999 42.819730371,-32.690053274 42.824292837,-32.674236096 42.8288553040001,-32.6584189179999 42.833417771,-32.64260174 42.8379802370001,-32.6267845629999 42.842542704,-32.610967385 42.8471051710001,-32.595150207 42.851667637,-32.5793330289999 42.8562301040001,-32.563515851 42.860792571,-32.5476986739999 42.865355037,-32.531881496 42.8699175040001,-32.516064318 42.874479971,-32.5002471399999 42.8790424370001,-32.484429962 42.883604904,-32.4686127849999 42.8881673710001,-32.452795607 42.892729837,-32.436978429 42.8972923040001,-32.4211612509999 42.901854771,-32.405344073 42.906417237,-32.3895268959999 42.9109797040001,-32.3737097179999 42.915542171,-32.35789254 42.9201046370001,-32.3420753619999 42.924667104,-32.326258184 42.9292295710001,-32.310441007 42.933792037,-32.2946238289999 42.9383545040001,-32.277960822 42.938890552,-32.261297815 42.9394266,-32.2446348079999 42.9399626480001,-32.227971801 42.9404986960001,-32.2113087939999 42.941034744,-32.194645787 42.9415707920001,-32.17798278 42.9421068400001,-32.1613197729999 42.9426428880001,-32.144656766 42.943178936,-32.1279937589999 42.9437149840001,-32.111330752 42.9442510320001,-32.094667745 42.94478708,-32.0780047379999 42.945323128,-32.061341731 42.9458591760001,-32.0446787239999 42.9463952240001,-32.028015717 42.946931272,-32.01135271 42.94746732,-31.9946897029999 42.9480033680001,-31.978026696 42.9485394160001,-31.9613636889999 42.949075464,-31.944700682 42.949611512,-31.9280376749999 42.9501475600001,-31.911374668 42.9506836080001,-31.894711661 42.951219656,-31.8780486539999 42.951755704,-31.861385647 42.9522917520001,-31.8447226399999 42.9528278000001,-31.828059633 42.953363848,-31.811396626 42.9538998960001,-31.7947336189999 42.9544359440001,-31.778070612 42.954971992,-31.7614076049999 42.955508041,-31.744744598 42.956044089,-31.728081591 42.9565801370001,-31.7114185839999 42.9571161850001,-31.694755577 42.957652233,-31.6780925699999 42.958188281,-31.661429563 42.9587243290001,-31.644766556 42.9592603770001,-31.6281035489999 42.959796425,-31.611440542 42.9603324730001,-31.5947775349999 42.9608685210001,-31.578114528 42.9614045690001,-31.561451521 42.961940617,-31.5447885139999 42.9624766650001,-31.528125507 42.9630127130001,-31.5114624999999 42.963548761,-31.494799493 42.964084809,-31.478136486 42.9646208570001,-31.4614734789999 42.9651569050001,-31.444810472 42.965692953,-31.4281474649999 42.966229001,-31.411484458 42.9667650490001,-31.394821451 42.9673010970001,-31.378158444 42.967837145,-31.361495437 42.968373193,-31.3448324299999 42.9689092410001,-31.328169423 42.9694452890001,-31.3115064159999 42.969981337,-31.294843409 42.9705173850001,-31.278180402 42.9710534330001,-31.2615173949999 42.9715894810001,-31.244854388 42.972125529,-31.2281913809999 42.9726615770001,-31.211528374 42.9731976250001,-31.194865367 42.973733673,-31.1782023599999 42.974269721,-31.161539353 42.9748057690001,-31.1448763459999 42.9753418170001,-31.128213339 42.975877865,-31.111550332 42.976413913,-31.0948873249999 42.9769499610001,-31.078224318 42.9774860090001,-31.0615613109999 42.978022057,-31.044898304 42.978558105,-31.028235297 42.9790941530001,-31.0115722899999 42.9796302010001,-30.994909282 42.980166249,-30.9782462749999 42.9807022970001,-30.961583268 42.9812383450001,-30.9449202609999 42.9817743930001,-30.928257254 42.982310441,-30.911594247 42.9828464890001,-30.8949312399999 42.9833825370001,-30.878268233 42.983918585,-30.8616052259999 42.984454633,-30.844942219 42.9849906810001,-30.828279212 42.9855267290001,-30.811616205 42.986062777,-30.794953198 42.986598825,-30.7782901909999 42.9871348730001,-30.761627184 42.9876709210001,-30.7449641769999 42.988206969,-30.72830117 42.988743017,-30.711638163 42.9892790650001,-30.6949751559999 42.9898151130001,-30.678312149 42.990351161,-30.6616491419999 42.9908872090001,-30.644986135 42.9914232570001,-30.628323128 42.9919593050001,-30.6116601209999 42.992495353,-30.594997114 42.9930314010001,-30.5783341069999 42.9935674500001,-30.5616711 42.9941034980001,-30.545008093 42.994639546,-30.5283450859999 42.995175594,-30.511682079 42.9957116420001,-30.4950190719999 42.9962476900001,-30.478356065 42.996783738,-30.461693058 42.997319786,-30.4450300509999 42.9978558340001,-30.428367044 42.9983918820001,-30.4117040369999 42.99892793,-30.39504103 42.9994639780001,-30.378378023 43.0000000260001,-30.362078437 42.9971928510001,-30.345778851 42.994385676,-30.329479265 42.991578501,-30.313179679 42.9887713260001,-30.296880093 42.9859641510001,-30.280580507 42.983156976,-30.264280921 42.980349801,-30.247981336 42.9775426260001,-30.23168175 42.9747354510001,-30.2153821639999 42.971928276,-30.1990825779999 42.969121102,-30.1827829919999 42.966313927,-30.1664834059999 42.9635067520001,-30.1501838199999 42.9606995770001,-30.1338842339999 42.957892402,-30.1175846479999 42.955085227,-30.1012850619999 42.9522780520001,-30.0849854759999 42.9494708770001,-30.06868589 42.9466637020001,-30.052386304 42.943856527,-30.036086718 42.9410493520001,-30.019787132 42.9382421770001,-30.003487546 42.9354350020001,-29.98718796 42.9326278280001,-29.970888374 42.929820653,-29.954588788 42.927013478,-29.938289202 42.9242063030001,-29.921989616 42.9213991280001,-29.90569003 42.918591953,-29.889390444 42.915784778,-29.873090858 42.9129776030001,-29.856791272 42.9101704280001,-29.840491686 42.907363253,-29.8241920999999 42.904556078,-29.8078925139999 42.9017489030001,-29.7915929279999 42.8989417280001,-29.7752933419999 42.8961345540001,-29.7589937559999 42.893327379,-29.7426941699999 42.890520204,-29.7263945839999 42.8877130290001,-29.7100949979999 42.8849058540001,-29.6937954119999 42.8820986790001,-29.677495826 42.879291504,-29.66157441 42.8749287540001,-29.6456529929999 42.8705660040001,-29.629731576 42.866203254,-29.61381016 42.861840504,-29.5978887429999 42.8574777540001,-29.581967326 42.8531150040001,-29.56604591 42.848752254,-29.5501244929999 42.844389504,-29.534203076 42.8400267540001,-29.51828166 42.8356640040001,-29.5023602429999 42.831301254,-29.486438826 42.8269385040001,-29.47101465 42.821995798,-29.455590473 42.817053092,-29.440166297 42.812110386,-29.42474212 42.8071676800001,-29.409317944 42.8022249750001,-29.393893767 42.797282269,-29.3784695909999 42.792339563,-29.3630454139999 42.787396857,-29.3476212379999 42.782454151,-29.3321970609999 42.7775114450001,-29.316772885 42.7725687390001,-29.301348708 42.7676260330001,-29.285924532 42.762683327,-29.270500356 42.757740622,-29.255076179 42.7527979160001,-29.2396520029999 42.7478552100001,-29.2242278259999 42.7429125040001,-29.209485426 42.737092037,-29.194743026 42.731271571,-29.180000626 42.7254511040001,-29.1652582259999 42.7196306370001,-29.1505158259999 42.713810171,-29.135773426 42.7079897040001,-29.121031026 42.7021692370001,-29.106288626 42.696348771,-29.0915462259999 42.6905283040001,-29.0768038259999 42.6847078370001,-29.062061426 42.67888737,-29.047319026 42.6730669040001,-29.032576626 42.6672464370001,-29.0178342259999 42.66142597,-29.0030918259999 42.6556055040001,-28.98839054 42.648523132,-28.973689254 42.6414407610001,-28.958987969 42.6343583890001,-28.944286683 42.627276018,-28.929585397 42.6201936470001,-28.9148841109999 42.6131112750001,-28.9001828259999 42.606028904,-28.8854815399999 42.5989465320001,-28.870780254 42.591864161,-28.856078969 42.584781789,-28.841377683 42.5776994180001,-28.826676397 42.570617047,-28.811975111 42.563534675,-28.797273826 42.5564523040001,-28.7825725399999 42.549369932,-28.7678712539999 42.5422875610001,-28.753169968 42.5352051890001,-28.738468683 42.528122818,-28.723767397 42.5210404470001,-28.709066111 42.5139580750001,-28.694364826 42.506875704,-28.67966354 42.4997933320001,-28.6649622539999 42.4927109610001,-28.6502609679999 42.485628589,-28.6355596829999 42.4785462180001,-28.6208583969999 42.4714638460001,-28.606157111 42.464381475,-28.591455825 42.4572991040001,-28.57675454 42.4502167320001,-28.562053254 42.443134361,-28.5473519679999 42.4360519890001,-28.5326506829999 42.4289696180001,-28.5179493969999 42.421887246,-28.5032481109999 42.4148048750001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.X', 'Azores Grounds', '27.X', '27.X.a', 'Azores Grounds', '27.Xa', '27.X.a.2', 'Azores Grounds - Non-NEAFC Reg. Area', '27.Xa2', '', '', '', '', 'Xa2', '4', '27.10.a.2', '27.Xa2', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 36.0000000060001,-19.9999999999999 35.200000763,-19.9999999999999 34.400001526,-19.9999999999999 33.5999984740001,-19.9999999999999 32.7999992370001,-19.9999999999999 32.0000000000001,-19.9999999999999 31.200000763,-19.9999999999999 30.399999619,-19.9999999999999 29.600000381,-19.9999999999999 28.7999992370001,-19.9999999999999 28.0000000000001,-19.9999999999999 27.200000763,-19.9999999999999 26.0000000000001,-19.9999999999999 25.200000763,-19.9999999999999 24.399999619,-19.9999999999999 23.600000381,-19.9999999999999 22.0000000000001,-19.9999999999999 21.200000763,-19.9999999999999 20.0000000000001,-21.2000007629999 20.0000000000001,-21.9999999999999 20.0000000000001,-22.799999237 20.0000000000001,-23.600000381 20.0000000000001,-24.399999619 20.0000000000001,-25.2000007629999 20.0000000000001,-25.9999999999999 20.0000000000001,-26.799999237 20.0000000000001,-27.600000381 20.0000000000001,-28.399999619 20.0000000000001,-29.2000007629999 20.0000000000001,-29.9999999999999 20.0000000000001,-31.2000007629999 20.0000000000001,-31.9999999999999 20.0000000000001,-32.799999237 20.0000000000001,-33.599998474 20.0000000000001,-34.400001526 20.0000000000001,-35.2000007629999 20.0000000000001,-35.9999999999999 20.0000000000001,-36.799999237 20.0000000000001,-37.599998474 20.0000000000001,-38.400001526 20.0000000000001,-39.2000007629999 20.0000000000001,-39.9999999999999 20.0000000000001,-39.9999999999999 20.600000381,-39.9999999999999 21.399999619,-39.9999999999999 21.600000381,-39.9999999999999 22.200000763,-39.9999999999999 22.399999619,-39.9999999999999 23.0000000000001,-39.9999999999999 23.200000763,-39.9999999999999 23.7999992370001,-39.9999999999999 24.0000000000001,-39.9999999999999 24.600000381,-39.9999999999999 24.7999992370001,-39.9999999999999 25.399999619,-39.9999999999999 25.600000381,-39.9999999999999 26.200000763,-39.9999999999999 26.399999619,-39.9999999999999 27.0000000000001,-39.9999999999999 27.200000763,-39.9999999999999 27.7999992370001,-39.9999999999999 28.0000000000001,-39.9999999999999 28.600000381,-39.9999999999999 28.7999992370001,-39.9999999999999 29.399999619,-39.9999999999999 29.600000381,-39.9999999999999 30.200000763,-39.9999999999999 30.399999619,-39.9999999999999 31.0000000000001,-39.9999999999999 31.200000763,-39.9999999999999 31.8000011440001,-39.9999999999999 32.0000000000001,-39.9999999999999 32.5999984740001,-39.9999999999999 32.7999992370001,-39.9999999999999 33.400001526,-39.9999999999999 33.5999984740001,-39.9999999999999 34.200000763,-39.9999999999999 34.400001526,-39.9999999999999 35.0000000000001,-39.9999999999999 35.200000763,-39.9999999999999 36.0000000060001,-39.99933107 36.0000000060001,-39.9826588289999 36.0000000060001,-39.965986588 36.000000007,-39.949314347 36.000000007,-39.9326421069999 36.000000007,-39.915969866 36.000000007,-39.899297625 36.000000007,-39.8826253839999 36.000000007,-39.865953143 36.000000007,-39.849280903 36.000000007,-39.832608662 36.000000007,-39.8159364209999 36.000000008,-39.79926418 36.000000008,-39.782591939 36.000000008,-39.7659196979999 36.000000008,-39.749247458 36.000000008,-39.732575217 36.000000008,-39.7159029759999 36.000000008,-39.699230735 36.0000000090001,-39.682558494 36.0000000090001,-39.6658862539999 36.0000000090001,-39.6492140129999 36.0000000090001,-39.632541772 36.0000000090001,-39.6158695309999 36.0000000090001,-39.599998474 36.0000000100001,-39.5991972899999 36.0000000100001,-39.582525049 36.0000000100001,-39.565852809 36.0000000100001,-39.5491805679999 36.0000000100001,-39.532508327 36.0000000100001,-39.515836086 36.0000000100001,-39.4991638449999 36.0000000100001,-39.482491605 36.0000000100001,-39.465819364 36.0000000100001,-39.4491471229999 36.0000000100001,-39.432474882 36.0000000100001,-39.415802641 36.0000000100001,-39.3991303999999 36.0000000100001,-39.3824581599999 36.0000000100001,-39.365785919 36.0000000100001,-39.349113678 36.0000000100001,-39.3324414369999 36.0000000100001,-39.315769196 36.0000000100001,-39.299096956 36.0000000100001,-39.2824247149999 36.0000000100001,-39.265752474 36.0000000100001,-39.249080233 36.0000000100001,-39.2324079919999 36.0000000100001,-39.215735751 36.0000000100001,-39.199063511 36.0000000100001,-39.18239127 36.0000000100001,-39.1657190289999 36.0000000100001,-39.149046788 36.0000000100001,-39.132374547 36.0000000100001,-39.1157023069999 36.0000000100001,-39.099030066 36.0000000100001,-39.082357825 36.0000000100001,-39.0656855839999 36.0000000100001,-39.049013343 36.0000000100001,-39.032341102 36.0000000100001,-39.015668862 36.0000000100001,-38.9989966209999 36.0000000100001,-38.98232438 36.0000000100001,-38.965652139 36.0000000100001,-38.9489798979999 36.0000000100001,-38.932307658 36.0000000100001,-38.915635417 36.0000000100001,-38.8989631759999 36.0000000100001,-38.882290935 36.0000000100001,-38.865618694 36.0000000100001,-38.8489464529999 36.0000000100001,-38.8322742129999 36.0000000100001,-38.815601972 36.0000000100001,-38.799999237 36.0000000100001,-38.7989297309999 36.0000000100001,-38.7822574899999 36.0000000100001,-38.765585249 36.0000000100001,-38.748913009 36.0000000100001,-38.7322407679999 36.0000000100001,-38.715568527 36.0000000100001,-38.698896286 36.0000000100001,-38.6822240449999 36.0000000100001,-38.665551804 36.0000000100001,-38.648879564 36.0000000100001,-38.6322073229999 36.0000000100001,-38.615535082 36.0000000100001,-38.598862841 36.0000000100001,-38.5821905999999 36.0000000100001,-38.5655183599999 36.0000000100001,-38.548846119 36.0000000100001,-38.532173878 36.0000000100001,-38.5155016369999 36.0000000100001,-38.498829396 36.0000000100001,-38.482157155 36.0000000100001,-38.4654849149999 36.0000000100001,-38.448812674 36.0000000100001,-38.432140433 36.0000000100001,-38.4154681919999 36.0000000100001,-38.400001526 36.0000000100001,-38.398795951 36.0000000100001,-38.382123711 36.0000000100001,-38.36545147 36.0000000100001,-38.3487792289999 36.0000000100001,-38.332106988 36.0000000100001,-38.315434747 36.0000000100001,-38.2987625059999 36.0000000100001,-38.282090266 36.0000000100001,-38.265418025 36.0000000100001,-38.2487457839999 36.0000000100001,-38.232073543 36.0000000100001,-38.215401302 36.0000000100001,-38.198729062 36.0000000100001,-38.1820568209999 36.0000000100001,-38.16538458 36.0000000100001,-38.148712339 36.0000000100001,-38.1320400979999 36.0000000100001,-38.115367857 36.0000000100001,-38.098695617 36.0000000100001,-38.0820233759999 36.0000000100001,-38.065351135 36.0000000100001,-38.048678894 36.0000000100001,-38.0320066529999 36.0000000100001,-38.0153344129999 36.0000000100001,-37.9999999999999 36.0000000100001,-37.998662172 36.0000000100001,-37.9819899309999 36.0000000100001,-37.9653176899999 36.0000000100001,-37.948645449 36.0000000100001,-37.9319732079999 36.0000000100001,-37.9153009679999 36.0000000100001,-37.898628727 36.0000000100001,-37.881956486 36.0000000100001,-37.8652842449999 36.0000000100001,-37.848612004 36.0000000100001,-37.831939764 36.0000000100001,-37.8152675229999 36.0000000100001,-37.798595282 36.0000000100001,-37.781923041 36.0000000100001,-37.7652507999999 36.0000000100001,-37.748578559 36.0000000100001,-37.731906319 36.0000000100001,-37.715234078 36.0000000100001,-37.6985618369999 36.0000000100001,-37.681889596 36.0000000100001,-37.665217355 36.0000000100001,-37.6485451149999 36.0000000100001,-37.631872874 36.0000000100001,-37.615200633 36.0000000100001,-37.599998474 36.0000000100001,-37.5985283919999 36.0000000100001,-37.581856151 36.0000000100001,-37.56518391 36.0000000100001,-37.54851167 36.0000000100001,-37.5318394289999 36.0000000100001,-37.515167188 36.0000000100001,-37.498494947 36.0000000100001,-37.4818227059999 36.0000000100001,-37.465150466 36.0000000100001,-37.448478225 36.0000000100001,-37.4318059839999 36.0000000100001,-37.415133743 36.0000000100001,-37.398461502 36.0000000100001,-37.3817892609999 36.0000000100001,-37.3651170209999 36.0000000100001,-37.34844478 36.0000000100001,-37.331772539 36.0000000100001,-37.3151002979999 36.0000000100001,-37.298428057 36.0000000100001,-37.281755817 36.0000000100001,-37.2650835759999 36.0000000100001,-37.248411335 36.0000000100001,-37.231739094 36.0000000100001,-37.2150668529999 36.0000000100001,-37.2000007629999 36.0000000100001,-37.198394612 36.0000000100001,-37.181722372 36.0000000100001,-37.1650501309999 36.0000000100001,-37.1483778899999 36.0000000100001,-37.131705649 36.0000000100001,-37.1150334079999 36.0000000100001,-37.0983611679999 36.0000000100001,-37.081688927 36.0000000100001,-37.065016686 36.0000000100001,-37.0483444449999 36.0000000100001,-37.031672204 36.0000000100001,-37.014999963 36.0000000100001,-36.9983277229999 36.0000000100001,-36.981655482 36.0000000100001,-36.964983241 36.0000000100001,-36.9483109999999 36.0000000100001,-36.931638759 36.0000000100001,-36.914966519 36.0000000100001,-36.898294278 36.0000000100001,-36.8816220369999 36.0000000100001,-36.864949796 36.0000000100001,-36.848277555 36.0000000100001,-36.8316053139999 36.0000000100001,-36.814933074 36.0000000100001,-36.799999237 36.0000000100001,-36.798260833 36.0000000100001,-36.7815885919999 36.0000000100001,-36.764916351 36.0000000100001,-36.74824411 36.0000000100001,-36.73157187 36.0000000100001,-36.7148996289999 36.0000000100001,-36.698227388 36.0000000100001,-36.681555147 36.0000000100001,-36.6648829059999 36.0000000100001,-36.648210665 36.0000000100001,-36.631538425 36.0000000100001,-36.6148661839999 36.0000000100001,-36.598193943 36.0000000100001,-36.581521702 36.0000000100001,-36.5648494609999 36.0000000100001,-36.5481772209999 36.0000000100001,-36.53150498 36.0000000100001,-36.514832739 36.0000000100001,-36.4981604979999 36.0000000100001,-36.481488257 36.0000000100001,-36.4648160159999 36.0000000100001,-36.4481437759999 36.0000000100001,-36.431471535 36.0000000100001,-36.414799294 36.0000000100001,-36.400001526 36.0000000100001,-36.3981270529999 36.0000000100001,-36.381454812 36.0000000100001,-36.364782572 36.0000000100001,-36.3481103309999 36.0000000100001,-36.3314380899999 36.0000000100001,-36.314765849 36.0000000100001,-36.2980936079999 36.0000000100001,-36.281421367 36.0000000100001,-36.264749127 36.0000000100001,-36.248076886 36.0000000100001,-36.2314046449999 36.0000000100001,-36.214732404 36.0000000100001,-36.198060163 36.0000000100001,-36.1813879229999 36.0000000100001,-36.164715682 36.0000000100001,-36.148043441 36.0000000100001,-36.1313711999999 36.0000000100001,-36.114698959 36.0000000100001,-36.098026718 36.0000000100001,-36.081354478 36.0000000100001,-36.0646822369999 36.0000000100001,-36.048009996 36.0000000100001,-36.031337755 36.0000000100001,-36.0146655139999 36.0000000100001,-35.9999999999999 36.0000000100001,-35.997993274 36.0000000100001,-35.981321033 36.0000000100001,-35.9646487919999 36.0000000100001,-35.947976551 36.0000000100001,-35.93130431 36.0000000100001,-35.9146320689999 36.0000000100001,-35.8979598289999 36.0000000100001,-35.881287588 36.0000000100001,-35.864615347 36.0000000100001,-35.8479431059999 36.0000000100001,-35.831270865 36.0000000100001,-35.814598625 36.0000000100001,-35.7979263839999 36.0000000100001,-35.781254143 36.0000000100001,-35.764581902 36.0000000100001,-35.7479096609999 36.0000000100001,-35.73123742 36.0000000100001,-35.71456518 36.0000000100001,-35.697892939 36.0000000100001,-35.6812206979999 36.0000000100001,-35.664548457 36.0000000100001,-35.6478762159999 36.0000000100001,-35.6312039759999 36.0000000100001,-35.614531735 36.0000000100001,-35.599998474 36.0000000100001,-35.597859494 36.0000000100001,-35.5811872529999 36.0000000100001,-35.564515012 36.0000000100001,-35.547842771 36.0000000100001,-35.5311705309999 36.0000000100001,-35.5144982899999 36.0000000100001,-35.497826049 36.0000000100001,-35.4811538079999 36.0000000100001,-35.464481567 36.0000000100001,-35.447809327 36.0000000100001,-35.431137086 36.0000000100001,-35.4144648449999 36.0000000100001,-35.397792604 36.0000000100001,-35.381120363 36.0000000100001,-35.3644481219999 36.0000000100001,-35.347775882 36.0000000100001,-35.331103641 36.0000000100001,-35.3144313999999 36.0000000100001,-35.297759159 36.0000000100001,-35.281086918 36.0000000100001,-35.264414678 36.0000000100001,-35.2477424369999 36.0000000100001,-35.231070196 36.0000000100001,-35.214397955 36.0000000100001,-35.2000007629999 36.0000000100001,-35.1977257139999 36.0000000100001,-35.181053473 36.0000000100001,-35.164381233 36.0000000100001,-35.1477089919999 36.0000000100001,-35.131036751 36.0000000100001,-35.11436451 36.0000000100001,-35.0976922689999 36.0000000100001,-35.0810200289999 36.0000000100001,-35.064347788 36.0000000100001,-35.047675547 36.0000000100001,-35.0310033059999 36.0000000100001,-35.014331065 36.0000000100001,-34.997658824 36.0000000100001,-34.9809865839999 36.0000000100001,-34.964314343 36.0000000100001,-34.947642102 36.0000000100001,-34.9309698609999 36.0000000100001,-34.91429762 36.0000000100001,-34.89762538 36.0000000100001,-34.880953139 36.0000000100001,-34.8642808979999 36.0000000100001,-34.847608657 36.0000000100001,-34.8309364159999 36.0000000100001,-34.8142641749999 36.0000000100001,-34.799999237 36.0000000100001,-34.797591935 36.0000000100001,-34.780919694 36.0000000100001,-34.7642474529999 36.0000000100001,-34.747575212 36.0000000100001,-34.730902971 36.0000000100001,-34.7142307309999 36.0000000100001,-34.6975584899999 36.0000000100001,-34.680886249 36.0000000100001,-34.6642140079999 36.0000000100001,-34.647541767 36.0000000100001,-34.630869526 36.0000000100001,-34.614197286 36.0000000100001,-34.5975250449999 36.0000000100001,-34.580852804 36.0000000100001,-34.564180563 36.0000000100001,-34.5475083219999 36.0000000100001,-34.530836082 36.0000000100001,-34.514163841 36.0000000100001,-34.4974915999999 36.0000000100001,-34.480819359 36.0000000100001,-34.464147118 36.0000000100001,-34.4474748769999 36.0000000100001,-34.4308026369999 36.0000000100001,-34.414130396 36.0000000100001,-34.400001526 36.0000000100001,-34.397458155 36.0000000100001,-34.3807859139999 36.0000000100001,-34.364113673 36.0000000100001,-34.347441433 36.0000000100001,-34.3307691919999 36.0000000100001,-34.314096951 36.0000000100001,-34.29742471 36.0000000100001,-34.2807524689999 36.0000000100001,-34.264080228 36.0000000100001,-34.247407988 36.0000000100001,-34.230735747 36.0000000100001,-34.2140635059999 36.0000000100001,-34.197391265 36.0000000100001,-34.180719024 36.0000000100001,-34.1640467839999 36.0000000100001,-34.147374543 36.0000000100001,-34.130702302 36.0000000100001,-34.1140300609999 36.0000000100001,-34.09735782 36.0000000100001,-34.080685579 36.0000000100001,-34.064013339 36.0000000100001,-34.0473410979999 36.0000000100001,-34.030668857 36.0000000100001,-34.0139966159999 36.0000000100001,-33.9999999999999 36.0000000100001,-33.9973243749999 36.0000000100001,-33.980652135 36.0000000100001,-33.963979894 36.0000000100001,-33.9473076529999 36.0000000100001,-33.930635412 36.0000000100001,-33.913963171 36.0000000100001,-33.8972909299999 36.0000000100001,-33.8806186899999 36.0000000100001,-33.863946449 36.0000000100001,-33.8472742079999 36.0000000100001,-33.830601967 36.0000000100001,-33.813929726 36.0000000100001,-33.797257486 36.0000000100001,-33.7805852449999 36.0000000100001,-33.763913004 36.0000000100001,-33.747240763 36.0000000100001,-33.7305685219999 36.0000000100001,-33.713896281 36.0000000100001,-33.697224041 36.0000000100001,-33.6805517999999 36.0000000100001,-33.663879559 36.0000000100001,-33.647207318 36.0000000100001,-33.6305350769999 36.0000000100001,-33.6138628369999 36.0000000100001,-33.599998474 36.0000000100001,-33.597190596 36.0000000100001,-33.580518355 36.0000000100001,-33.5638461139999 36.0000000100001,-33.547173873 36.0000000100001,-33.530501632 36.0000000100001,-33.5138293919999 36.0000000100001,-33.497157151 36.0000000100001,-33.48048491 36.0000000100001,-33.4638126689999 36.0000000100001,-33.447140428 36.0000000100001,-33.430468188 36.0000000100001,-33.413795947 36.0000000100001,-33.3971237059999 36.0000000100001,-33.380451465 36.0000000100001,-33.363779224 36.0000000100001,-33.3471069829999 36.0000000100001,-33.330434743 36.0000000100001,-33.313762502 36.0000000100001,-33.2970902609999 36.0000000100001,-33.28041802 36.0000000100001,-33.263745779 36.0000000100001,-33.247073539 36.0000000100001,-33.2304012979999 36.0000000100001,-33.213729057 36.0000000100001,-33.2000007629999 36.0000000100001,-33.1970568159999 36.0000000100001,-33.1803845749999 36.0000000100001,-33.163712334 36.0000000100001,-33.147040094 36.0000000100001,-33.1303678529999 36.0000000100001,-33.113695612 36.0000000100001,-33.097023371 36.0000000100001,-33.0803511299999 36.0000000100001,-33.0636788899999 36.0000000100001,-33.047006649 36.0000000100001,-33.0303344079999 36.0000000100001,-33.0136621669999 36.0000000100001,-32.996989926 36.0000000100001,-32.9803176849999 36.0000000100001,-32.9636454449999 36.0000000100001,-32.946973204 36.0000000100001,-32.930300963 36.0000000100001,-32.9136287219999 36.0000000100001,-32.896956481 36.0000000100001,-32.880284241 36.0000000100001,-32.8636119999999 36.0000000100001,-32.846939759 36.0000000100001,-32.830267518 36.0000000100001,-32.8135952769999 36.0000000100001,-32.799999237 36.0000000100001,-32.796923036 36.0000000100001,-32.780250796 36.0000000100001,-32.763578555 36.0000000100001,-32.7469063139999 36.0000000100001,-32.730234073 36.0000000100001,-32.713561832 36.0000000100001,-32.6968895919999 36.0000000100001,-32.680217351 36.0000000100001,-32.66354511 36.0000000100001,-32.6468728689999 36.0000000100001,-32.630200628 36.0000000100001,-32.613528387 36.0000000100001,-32.596856147 36.0000000100001,-32.5801839059999 36.0000000100001,-32.563511665 36.0000000100001,-32.546839424 36.0000000100001,-32.5301671829999 36.0000000100001,-32.513494943 36.0000000100001,-32.496822702 36.0000000100001,-32.4801504609999 36.0000000100001,-32.46347822 36.0000000100001,-32.446805979 36.0000000100001,-32.4301337379999 36.0000000100001,-32.4134614979999 36.0000000100001,-32.400001526 36.0000000100001,-32.396789257 36.0000000100001,-32.3801170159999 36.0000000100001,-32.3634447749999 36.0000000100001,-32.346772534 36.0000000100001,-32.330100294 36.0000000100001,-32.3134280529999 36.0000000100001,-32.296755812 36.0000000100001,-32.280083571 36.0000000100001,-32.2634113299999 36.0000000100001,-32.246739089 36.0000000100001,-32.230066849 36.0000000100001,-32.2133946079999 36.0000000100001,-32.1967223669999 36.0000000100001,-32.180050126 36.0000000100001,-32.1633778849999 36.0000000100001,-32.1467056449999 36.0000000100001,-32.130033404 36.0000000100001,-32.113361163 36.0000000100001,-32.0966889219999 36.0000000100001,-32.080016681 36.0000000100001,-32.06334444 36.0000000100001,-32.0466721999999 36.0000000100001,-32.029999959 36.0000000100001,-32.0136707469999 36.0000000100001,-31.9999999999999 36.0000000100001,-31.997341535 36.0000000100001,-31.981012323 36.0000000100001,-31.96468311 36.0000000100001,-31.9483538979999 36.0000000100001,-31.932024686 36.0000000100001,-31.915695474 36.0000000100001,-31.8993662619999 36.0000000100001,-31.88303705 36.0000000100001,-31.866707838 36.0000000100001,-31.850378626 36.0000000100001,-31.8340494139999 36.0000000100001,-31.817720202 36.0000000100001,-31.80139099 36.0000000100001,-31.7850617779999 36.0000000100001,-31.7687325649999 36.0000000100001,-31.752403353 36.0000000100001,-31.736074141 36.0000000100001,-31.7197449289999 36.0000000100001,-31.703415717 36.0000000100001,-31.687086505 36.0000000100001,-31.670757293 36.0000000100001,-31.6544280809999 36.0000000100001,-31.638098869 36.0000000100001,-31.621769657 36.0000000100001,-31.6054404449999 36.0000000100001,-31.600000381 36.0000000100001,-31.5891112319999 36.0000000100001,-31.57278202 36.0000000100001,-31.556452808 36.0000000100001,-31.5401235959999 36.0000000100001,-31.523794384 36.0000000100001,-31.507465172 36.0000000100001,-31.49113596 36.0000000100001,-31.4748067479999 36.0000000100001,-31.458477536 36.000000013,-31.4418256779999 36.0000000100001,-31.425173819 36.0000000100001,-31.408521961 36.0000000100001,-31.391870103 36.0000000100001,-31.3752182449999 36.0000000100001,-31.3585663869999 36.0000000100001,-31.341914528 36.0000000100001,-31.32526267 36.0000000100001,-31.308610812 36.0000000100001,-31.2919589539999 36.0000000100001,-31.2753070959999 36.0000000100001,-31.258655237 36.0000000100001,-31.242003379 36.0000000100001,-31.2253515209999 36.0000000100001,-31.2086996629999 36.0000000100001,-31.2000007629999 36.0000000100001,-31.192047805 36.0000000100001,-31.175395946 36.0000000100001,-31.1587440879999 36.0000000100001,-31.1420922299999 36.0000000100001,-31.125440372 36.0000000100001,-31.108788514 36.0000000100001,-31.0921366549999 36.0000000100001,-31.0754847969999 36.0000000100001,-31.058832939 36.0000000100001,-31.042181081 36.0000000100001,-31.0255292219999 36.0000000100001,-31.0088773639999 36.0000000100001,-30.992225506 36.0000000100001,-30.975573648 36.0000000100001,-30.95892179 36.0000000100001,-30.9422699309999 36.0000000100001,-30.925618073 36.0000000100001,-30.908966215 36.0000000100001,-30.892314357 36.0000000100001,-30.8756624989999 36.0000000100001,-30.85901064 36.0000000100001,-30.842358782 36.0000000100001,-30.825706924 36.0000000100001,-30.8090550659999 36.0000000100001,-30.799999237 36.0000000100001,-30.7924032079999 36.0000000100001,-30.775751349 36.0000000100001,-30.759099491 36.0000000100001,-30.742447633 36.0000000100001,-30.7257957749999 36.0000000100001,-30.7091439169999 36.0000000100001,-30.692492058 36.0000000100001,-30.6758402 36.0000000100001,-30.6591883419999 36.0000000100001,-30.6425364839999 36.0000000100001,-30.625884626 36.0000000100001,-30.609232767 36.0000000100001,-30.5925809089999 36.0000000100001,-30.5759290509999 36.0000000100001,-30.559277193 36.0000000100001,-30.542625335 36.0000000100001,-30.5259734759999 36.0000000100001,-30.5093216179999 36.0000000100001,-30.49266976 36.0000000100001,-30.476017902 36.0000000100001,-30.459366044 36.0000000100001,-30.4427141849999 36.0000000100001,-30.426062327 36.0000000100001,-30.409410469 36.0000000100001,-30.399999619 36.0000000100001,-30.392758611 36.0000000100001,-30.3761067529999 36.0000000100001,-30.359454894 36.0000000100001,-30.342803036 36.0000000100001,-30.326151178 36.0000000100001,-30.3094993199999 36.0000000100001,-30.2928474619999 36.0000000100001,-30.276195603 36.0000000100001,-30.259543745 36.0000000100001,-30.2428918869999 36.0000000100001,-30.2262400289999 36.0000000100001,-30.209588171 36.0000000100001,-30.192936312 36.0000000100001,-30.176284454 36.0000000100001,-30.1596325959999 36.0000000100001,-30.1429807379999 36.0000000100001,-30.12632888 36.0000000100001,-30.109677021 36.0000000100001,-30.0930251629999 36.0000000100001,-30.0763733049999 36.0000000100001,-30.059721447 36.0000000100001,-30.043069589 36.0000000100001,-30.0264177299999 36.0000000100001,-30.0097658719999 36.0000000100001,-29.9999999999999 36.0000000100001,-29.993114014 36.0000000100001,-29.976462156 36.0000000100001,-29.959810298 36.0000000100001,-29.9431584389999 36.0000000100001,-29.926506581 36.0000000100001,-29.909854723 36.0000000100001,-29.893202865 36.0000000100001,-29.8765510069999 36.0000000100001,-29.859899148 36.0000000100001,-29.84324729 36.0000000100001,-29.826595432 36.0000000100001,-29.8099435739999 36.0000000100001,-29.7932917159999 36.0000000100001,-29.776639857 36.0000000100001,-29.759987999 36.0000000100001,-29.7433361409999 36.0000000100001,-29.7266842829999 36.000000013,-29.710032424 36.0000000100001,-29.693380566 36.0000000100001,-29.6767287079999 36.0000000100001,-29.6600768499999 36.0000000100001,-29.643424992 36.0000000100001,-29.626773133 36.0000000100001,-29.610121275 36.0000000100001,-29.600000381 36.0000000100001,-29.5934694169999 36.0000000100001,-29.5768175589999 36.0000000100001,-29.560165701 36.0000000100001,-29.543513842 36.0000000100001,-29.5268619839999 36.0000000100001,-29.5102101259999 36.0000000100001,-29.493558268 36.0000000100001,-29.47690641 36.0000000100001,-29.4602545509999 36.0000000100001,-29.4436026929999 36.0000000100001,-29.426950835 36.0000000100001,-29.410298977 36.0000000100001,-29.393647119 36.0000000100001,-29.3769952599999 36.0000000100001,-29.360343402 36.0000000100001,-29.343691544 36.0000000100001,-29.327039686 36.0000000100001,-29.3103878279999 36.0000000100001,-29.293735969 36.0000000100001,-29.277084111 36.0000000100001,-29.260432253 36.0000000100001,-29.2437803949999 36.0000000100001,-29.2271285369999 36.0000000100001,-29.210476678 36.0000000100001,-29.2000007629999 36.0000000100001,-29.19382482 36.0000000100001,-29.1771729619999 36.0000000100001,-29.1605211039999 36.0000000100001,-29.143869246 36.0000000100001,-29.127217387 36.0000000100001,-29.1105655289999 36.0000000100001,-29.0939136709999 36.0000000100001,-29.077261813 36.0000000100001,-29.060609955 36.0000000100001,-29.043958096 36.0000000100001,-29.0273062379999 36.0000000100001,-29.0106543799999 36.0000000100001,-28.994002522 36.0000000100001,-28.977350664 36.0000000100001,-28.9606988049999 36.0000000100001,-28.9440469469999 36.0000000100001,-28.927395089 36.0000000100001,-28.910743231 36.0000000100001,-28.894091373 36.0000000100001,-28.8774395139999 36.0000000100001,-28.860787656 36.0000000100001,-28.844135798 36.0000000100001,-28.82748394 36.0000000100001,-28.8108320819999 36.0000000100001,-28.799999237 36.0000000100001,-28.794180223 36.0000000100001,-28.777528365 36.0000000100001,-28.760876507 36.0000000100001,-28.7442246489999 36.0000000100001,-28.7275727909999 36.0000000100001,-28.710920932 36.0000000100001,-28.694269074 36.0000000100001,-28.6776172159999 36.0000000100001,-28.6609653579999 36.0000000100001,-28.6443135 36.0000000100001,-28.627661641 36.0000000100001,-28.6110097829999 36.0000000100001,-28.5943579249999 36.0000000100001,-28.577706067 36.0000000100001,-28.561054209 36.0000000100001,-28.5444023499999 36.0000000100001,-28.5277504919999 36.0000000100001,-28.5110986339999 36.0000000100001,-28.494446776 36.0000000100001,-28.477794917 36.0000000100001,-28.4611430589999 36.0000000100001,-28.4444912009999 36.0000000100001,-28.427839343 36.0000000100001,-28.411187485 36.0000000100001,-28.399999619 36.0000000100001,-28.3945356259999 36.0000000100001,-28.3778837679999 36.0000000100001,-28.36123191 36.0000000100001,-28.344580052 36.0000000100001,-28.327928194 36.0000000100001,-28.3112763349999 36.0000000100001,-28.294624477 36.0000000100001,-28.277972619 36.0000000100001,-28.261320761 36.0000000100001,-28.2446689029999 36.0000000100001,-28.228017044 36.0000000100001,-28.211365186 36.0000000100001,-28.194713328 36.0000000100001,-28.1780614699999 36.0000000100001,-28.1614096119999 36.0000000100001,-28.144757753 36.0000000100001,-28.128105895 36.0000000100001,-28.1114540369999 36.0000000100001,-28.0948021789999 36.0000000100001,-28.078150321 36.0000000100001,-28.061498462 36.0000000100001,-28.0448466039999 36.0000000100001,-28.0281947459999 36.0000000100001,-28.011542888 36.0000000100001,-27.9999999999999 36.0000000100001,-27.99489103 36.0000000100001,-27.9782391709999 36.0000000100001,-27.9615873129999 36.0000000100001,-27.9449354549999 36.0000000100001,-27.928283597 36.0000000100001,-27.911631739 36.0000000100001,-27.8949798799999 36.0000000100001,-27.8783280219999 36.0000000100001,-27.861676164 36.0000000100001,-27.845024306 36.0000000100001,-27.828372448 36.0000000100001,-27.8117205889999 36.0000000100001,-27.795068731 36.0000000100001,-27.778416873 36.0000000100001,-27.761765015 36.0000000100001,-27.7451131569999 36.0000000100001,-27.728461298 36.0000000100001,-27.71180944 36.0000000100001,-27.695157582 36.0000000100001,-27.6785057239999 36.0000000100001,-27.6618538659999 36.0000000100001,-27.645202007 36.0000000100001,-27.628550149 36.0000000100001,-27.6118982909999 36.0000000100001,-27.600000381 36.0000000100001,-27.5952464329999 36.0000000100001,-27.578594575 36.0000000100001,-27.561942716 36.0000000100001,-27.5452908579999 36.0000000100001,-27.5286389999999 36.0000000100001,-27.511987142 36.0000000100001,-27.495335284 36.0000000100001,-27.4786834249999 36.0000000100001,-27.4620315669999 36.0000000100001,-27.445379709 36.0000000100001,-27.428727851 36.0000000100001,-27.412075993 36.0000000100001,-27.3954241339999 36.0000000100001,-27.3787722759999 36.0000000100001,-27.362120418 36.0000000100001,-27.34546856 36.0000000100001,-27.328816702 36.0000000100001,-27.3121648429999 36.0000000100001,-27.295512985 36.0000000100001,-27.278861127 36.0000000100001,-27.262209269 36.0000000100001,-27.2455574109999 36.0000000100001,-27.228905552 36.0000000100001,-27.212253694 36.0000000100001,-27.2000007629999 36.0000000100001,-27.195601836 36.0000000100001,-27.1789499779999 36.0000000100001,-27.162298119 36.0000000100001,-27.145646261 36.0000000100001,-27.128994403 36.0000000100001,-27.1123425449999 36.0000000100001,-27.0956906869999 36.0000000100001,-27.079038828 36.0000000100001,-27.06238697 36.0000000100001,-27.0457351119999 36.0000000100001,-27.0290832539999 36.0000000100001,-27.012431396 36.0000000100001,-26.995779537 36.0000000100001,-26.9791276789999 36.0000000100001,-26.9624758209999 36.0000000100001,-26.945823963 36.0000000100001,-26.929172105 36.0000000100001,-26.9125202459999 36.0000000100001,-26.8958683879999 36.0000000100001,-26.87921653 36.0000000100001,-26.862564672 36.0000000100001,-26.845912814 36.0000000100001,-26.8292609549999 36.0000000100001,-26.8126090969999 36.0000000100001,-26.799999237 36.0000000100001,-26.795957239 36.0000000100001,-26.779305381 36.0000000100001,-26.762653523 36.0000000100001,-26.7460016639999 36.0000000100001,-26.729349806 36.0000000100001,-26.712697948 36.0000000100001,-26.69604609 36.0000000100001,-26.6793942319999 36.0000000100001,-26.662742373 36.0000000100001,-26.646090515 36.0000000100001,-26.629438657 36.0000000100001,-26.6127867989999 36.0000000100001,-26.5961349409999 36.0000000100001,-26.579483082 36.0000000100001,-26.562831224 36.0000000100001,-26.5461793659999 36.0000000100001,-26.5295275079999 36.0000000100001,-26.51287565 36.0000000100001,-26.496223791 36.0000000100001,-26.4795719329999 36.000000013,-26.4629200749999 36.0000000100001,-26.446268217 36.0000000100001,-26.429616359 36.0000000100001,-26.4129644999999 36.0000000100001,-26.399999619 36.0000000100001,-26.3963126419999 36.0000000100001,-26.379660784 36.0000000100001,-26.363008926 36.0000000100001,-26.346357068 36.0000000100001,-26.3297052089999 36.0000000100001,-26.313053351 36.0000000100001,-26.296401493 36.0000000100001,-26.279749635 36.0000000100001,-26.2630977769999 36.0000000100001,-26.2464459179999 36.0000000100001,-26.22979406 36.0000000100001,-26.213142202 36.0000000100001,-26.196490344 36.000000013,-26.1798384859999 36.0000000100001,-26.163186627 36.0000000100001,-26.146534769 36.0000000100001,-26.129882911 36.0000000100001,-26.1132310529999 36.0000000100001,-26.0965791949999 36.0000000100001,-26.079927336 36.0000000100001,-26.063275478 36.0000000100001,-26.0466236199999 36.0000000100001,-26.0299717619999 36.0000000100001,-26.013319904 36.0000000100001,-25.9999999999999 36.0000000100001,-25.996668045 36.0000000100001,-25.9800161869999 36.0000000100001,-25.9633643289999 36.0000000100001,-25.946712471 36.0000000100001,-25.930060612 36.0000000100001,-25.9134087539999 36.0000000100001,-25.8967568959999 36.0000000100001,-25.880105038 36.0000000100001,-25.86345318 36.0000000100001,-25.8468013209999 36.0000000100001,-25.8301494629999 36.0000000100001,-25.813497605 36.0000000100001,-25.796845747 36.0000000100001,-25.780193889 36.0000000100001,-25.7635420299999 36.0000000100001,-25.746890172 36.0000000100001,-25.730238314 36.0000000100001,-25.713586456 36.0000000100001,-25.6969345979999 36.0000000100001,-25.6802827389999 36.0000000100001,-25.663630881 36.0000000100001,-25.646979023 36.0000000100001,-25.630327165 36.0000000100001,-25.6136753069999 36.0000000100001,-25.600000381 36.0000000100001,-25.597023448 36.0000000100001,-25.58037159 36.0000000100001,-25.563719732 36.0000000100001,-25.5470678739999 36.0000000100001,-25.5304160159999 36.0000000100001,-25.513764157 36.0000000100001,-25.497112299 36.0000000100001,-25.4804604409999 36.0000000100001,-25.4638085829999 36.0000000100001,-25.447156725 36.0000000100001,-25.430504866 36.0000000100001,-25.4138530079999 36.0000000100001,-25.3972011499999 36.0000000100001,-25.380549292 36.000000013,-25.363897434 36.0000000100001,-25.3472455749999 36.0000000100001,-25.3305937169999 36.0000000100001,-25.313941859 36.0000000100001,-25.297290001 36.0000000100001,-25.280638143 36.0000000100001,-25.2639862839999 36.0000000100001,-25.247334426 36.0000000100001,-25.230682568 36.0000000100001,-25.21403071 36.0000000100001,-25.199998856 36.0000000100001,-25.1973788519999 36.0000000100001,-25.180726993 36.0000000100001,-25.164075135 36.0000000100001,-25.147423277 36.0000000100001,-25.1307714189999 36.0000000100001,-25.1141195609999 36.0000000100001,-25.097467702 36.0000000100001,-25.080815844 36.0000000100001,-25.064163986 36.0000000100001,-25.0475121279999 36.0000000100001,-25.0308602699999 36.0000000100001,-25.014208411 36.0000000100001,-24.997556553 36.0000000100001,-24.9809046949999 36.0000000100001,-24.9642528369999 36.0000000100001,-24.947600979 36.0000000100001,-24.93094912 36.0000000100001,-24.9142972619999 36.0000000100001,-24.8976454039999 36.0000000100001,-24.880993546 36.0000000100001,-24.864341688 36.0000000100001,-24.8476898289999 36.0000000100001,-24.8310379709999 36.0000000100001,-24.814386113 36.0000000100001,-24.799999237 36.0000000100001,-24.797734255 36.0000000100001,-24.781082397 36.0000000100001,-24.7644305379999 36.0000000100001,-24.74777868 36.0000000100001,-24.731126822 36.0000000100001,-24.714474964 36.0000000100001,-24.6978231059999 36.0000000100001,-24.681171247 36.0000000100001,-24.664519389 36.0000000100001,-24.647867531 36.0000000100001,-24.6312156729999 36.0000000100001,-24.614563814 36.0000000100001,-24.597911956 36.0000000100001,-24.581260098 36.0000000100001,-24.5646082399999 36.0000000100001,-24.5479563819999 36.0000000100001,-24.531304523 36.0000000100001,-24.514652665 36.0000000100001,-24.498000807 36.0000000100001,-24.4813489489999 36.0000000100001,-24.4646970909999 36.0000000100001,-24.448045232 36.0000000100001,-24.431393374 36.0000000100001,-24.4147415159999 36.0000000100001,-24.399999619 36.0000000100001,-24.3980896579999 36.0000000100001,-24.3814378 36.0000000100001,-24.364785941 36.0000000100001,-24.3481340829999 36.0000000100001,-24.3314822249999 36.0000000100001,-24.314830367 36.0000000100001,-24.298178509 36.0000000100001,-24.2815266499999 36.0000000100001,-24.2648747919999 36.0000000100001,-24.248222934 36.0000000100001,-24.231571076 36.0000000100001,-24.214919218 36.0000000100001,-24.1982673589999 36.0000000100001,-24.181615501 36.0000000100001,-24.164963643 36.0000000100001,-24.148311785 36.0000000100001,-24.1316599269999 36.0000000100001,-24.115008068 36.0000000100001,-24.09835621 36.0000000100001,-24.081704352 36.0000000100001,-24.0650524939999 36.0000000100001,-24.0484006359999 36.0000000100001,-24.031748777 36.0000000100001,-24.015096919 36.0000000100001,-23.9999999999999 36.0000000100001,-23.9984450609999 36.0000000100001,-23.9817932029999 36.0000000100001,-23.9651413449999 36.0000000100001,-23.948489486 36.0000000100001,-23.931837628 36.0000000100001,-23.9151857699999 36.0000000100001,-23.8985339119999 36.0000000100001,-23.881882054 36.0000000100001,-23.865230195 36.0000000100001,-23.8485783369999 36.0000000100001,-23.8319264789999 36.0000000100001,-23.815274621 36.0000000100001,-23.798622763 36.0000000100001,-23.7819709039999 36.0000000100001,-23.7653190459999 36.0000000100001,-23.748667188 36.0000000100001,-23.73201533 36.0000000100001,-23.715363472 36.0000000100001,-23.6987116129999 36.0000000100001,-23.682059755 36.0000000100001,-23.665407897 36.0000000100001,-23.648756039 36.0000000100001,-23.6321041809999 36.0000000100001,-23.615452322 36.0000000100001,-23.600000381 36.0000000100001,-23.598800464 36.0000000100001,-23.582148606 36.0000000100001,-23.5654967479999 36.0000000100001,-23.5488448899999 36.0000000100001,-23.532193031 36.0000000100001,-23.515541173 36.0000000100001,-23.4988893149999 36.0000000100001,-23.4822374569999 36.0000000100001,-23.465585599 36.0000000100001,-23.44893374 36.0000000100001,-23.4322818819999 36.0000000100001,-23.4156300239999 36.0000000100001,-23.3989781659999 36.0000000100001,-23.382326308 36.0000000100001,-23.365674449 36.0000000100001,-23.3490225909999 36.0000000100001,-23.3323707329999 36.0000000100001,-23.315718875 36.0000000100001,-23.299067016 36.0000000100001,-23.2824151579999 36.0000000100001,-23.2657632999999 36.0000000100001,-23.249111442 36.0000000100001,-23.232459584 36.0000000100001,-23.2158077249999 36.0000000100001,-23.2000007629999 36.0000000100001,-23.1991558669999 36.0000000100001,-23.182504009 36.0000000100001,-23.165852151 36.0000000100001,-23.149200293 36.0000000100001,-23.1325484339999 36.0000000100001,-23.115896576 36.0000000100001,-23.099244718 36.0000000100001,-23.08259286 36.0000000100001,-23.0659410019999 36.0000000100001,-23.049289143 36.0000000100001,-23.032637285 36.0000000100001,-23.015985427 36.0000000100001,-22.9993335689999 36.0000000100001,-22.9826817109999 36.0000000100001,-22.966029852 36.0000000100001,-22.949377994 36.0000000100001,-22.9327261359999 36.0000000100001,-22.9160742779999 36.0000000100001,-22.89942242 36.0000000100001,-22.882770561 36.0000000100001,-22.8661187029999 36.0000000100001,-22.8494668449999 36.0000000100001,-22.8328149869999 36.0000000100001,-22.816163129 36.0000000100001,-22.799999237 36.0000000100001,-22.79951127 36.0000000100001,-22.7828594119999 36.0000000100001,-22.7662075539999 36.0000000100001,-22.749555696 36.0000000100001,-22.732903838 36.0000000100001,-22.7162519789999 36.0000000100001,-22.6996001209999 36.0000000100001,-22.682948263 36.0000000100001,-22.666296405 36.0000000100001,-22.649644547 36.0000000100001,-22.6329926879999 36.0000000100001,-22.61634083 36.0000000100001,-22.599688972 36.0000000100001,-22.583037114 36.0000000100001,-22.5663852559999 36.0000000100001,-22.549733397 36.0000000100001,-22.533081539 36.0000000100001,-22.516429681 36.0000000100001,-22.4997778229999 36.0000000100001,-22.4831259649999 36.0000000100001,-22.466474106 36.0000000100001,-22.449822248 36.0000000100001,-22.4331703899999 36.0000000100001,-22.4165185319999 36.0000000100001,-22.399999619 36.0000000100001,-22.399866674 36.0000000100001,-22.383214815 36.0000000100001,-22.3665629569999 36.0000000100001,-22.3499110989999 36.0000000100001,-22.333259241 36.0000000100001,-22.316607383 36.0000000100001,-22.2999555239999 36.0000000100001,-22.2833036659999 36.0000000100001,-22.2666518079999 36.0000000100001,-22.24999995 36.0000000100001,-22.2334179439999 36.0000000100001,-22.216835938 36.0000000100001,-22.200253932 36.0000000100001,-22.1836719259999 36.0000000100001,-22.167089921 36.0000000100001,-22.1505079149999 36.0000000100001,-22.133925909 36.0000000100001,-22.1173439029999 36.0000000100001,-22.1007618969999 36.0000000100001,-22.084179892 36.0000000100001,-22.0675978859999 36.0000000100001,-22.05101588 36.0000000100001,-22.0344338739999 36.0000000100001,-22.017851868 36.0000000100001,-22.001269862 36.0000000100001,-21.9999999999999 36.0000000100001,-21.984687857 36.0000000100001,-21.968105851 36.0000000100001,-21.9515238449999 36.0000000100001,-21.934941839 36.0000000100001,-21.918359833 36.0000000100001,-21.9017778269999 36.0000000100001,-21.885195822 36.0000000100001,-21.8686138159999 36.0000000100001,-21.85203181 36.0000000100001,-21.8354498039999 36.0000000100001,-21.8188677979999 36.0000000100001,-21.802285793 36.0000000100001,-21.7857037869999 36.0000000100001,-21.769121781 36.0000000100001,-21.7525397749999 36.0000000100001,-21.735957769 36.0000000100001,-21.719375763 36.0000000100001,-21.7027937579999 36.0000000100001,-21.686211752 36.0000000100001,-21.6696297459999 36.0000000100001,-21.65304774 36.0000000100001,-21.636465734 36.0000000100001,-21.619883729 36.0000000100001,-21.603301723 36.0000000100001,-21.600000381 36.0000000100001,-21.5867197169999 36.0000000100001,-21.570137711 36.0000000100001,-21.553555705 36.0000000100001,-21.5369736989999 36.0000000100001,-21.520391694 36.0000000100001,-21.5038096879999 36.0000000100001,-21.487227682 36.0000000100001,-21.4706456759999 36.0000000100001,-21.45406367 36.0000000100001,-21.437481664 36.0000000100001,-21.4208996589999 36.0000000100001,-21.404317653 36.0000000100001,-21.3877356469999 36.0000000100001,-21.371153641 36.0000000100001,-21.354571635 36.0000000100001,-21.33798963 36.0000000100001,-21.321407624 36.0000000100001,-21.3048256179999 36.0000000100001,-21.288243612 36.0000000100001,-21.271661606 36.0000000100001,-21.2550795999999 36.0000000100001,-21.238497595 36.000000013,-21.2219155889999 36.0000000100001,-21.205333583 36.0000000100001,-21.199998856 36.0000000100001,-21.1887515769999 36.0000000100001,-21.1721695709999 36.0000000100001,-21.155587566 36.0000000100001,-21.1390055599999 36.0000000100001,-21.122423554 36.0000000100001,-21.1058415479999 36.0000000100001,-21.089259542 36.0000000100001,-21.072677536 36.0000000100001,-21.056095531 36.0000000100001,-21.039513525 36.0000000100001,-21.0229315189999 36.0000000100001,-21.006349513 36.0000000100001,-20.989767507 36.0000000100001,-20.9731855009999 36.0000000100001,-20.956603496 36.0000000100001,-20.9400214899999 36.0000000100001,-20.923439484 36.0000000100001,-20.9068574779999 36.0000000100001,-20.8902754719999 36.000000013,-20.873664694 36.0000000100001,-20.8570539149999 36.0000000100001,-20.840443136 36.0000000100001,-20.823832357 36.0000000100001,-20.8072215779999 36.0000000100001,-20.799999237 36.0000000100001,-20.790610799 36.0000000100001,-20.77400002 36.0000000100001,-20.7573892409999 36.0000000100001,-20.740778462 36.0000000100001,-20.724167684 36.0000000100001,-20.7075569049999 36.0000000100001,-20.690946126 36.0000000100001,-20.674335347 36.0000000100001,-20.6577245679999 36.0000000100001,-20.641113789 36.0000000100001,-20.62450301 36.0000000100001,-20.6078922309999 36.0000000100001,-20.591281452 36.0000000100001,-20.5746706739999 36.0000000100001,-20.5580598949999 36.0000000100001,-20.541449116 36.0000000100001,-20.5248383369999 36.0000000100001,-20.5082275579999 36.0000000100001,-20.491616779 36.0000000100001,-20.475006 36.0000000100001,-20.4583952209999 36.0000000100001,-20.441784442 36.0000000100001,-20.4251736639999 36.0000000100001,-20.408562885 36.0000000100001,-20.399999619 36.0000000100001,-20.391952106 36.0000000090001,-20.3753413269999 36.0000000090001,-20.358730548 36.0000000090001,-20.342119769 36.0000000090001,-20.3255089899999 36.0000000090001,-20.3088982109999 36.0000000090001,-20.292287432 36.000000008,-20.2756766539999 36.000000008,-20.259065875 36.000000008,-20.242455096 36.000000008,-20.2258443169999 36.000000008,-20.209233538 36.000000008,-20.192622759 36.000000008,-20.1760119799999 36.000000007,-20.159401201 36.000000007,-20.142790422 36.000000007,-20.1261796439999 36.000000007,-20.109568865 36.000000007,-20.092958086 36.000000007,-20.0763473069999 36.000000007,-20.059736528 36.000000007,-20.043125749 36.000000007,-20.0265149699999 36.000000007,-20.009904191 36.0000000060001,-19.9999999999999 36.0000000060001)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.2', 'Northern Oceanic', '', '', '', '', '', '', '', '', '', '', '', '2', '2', '34.2', '34.2', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 -49.9999999999999,4.00000000000006 -49.9999999999999,4.00000000000006 -44.9999999999999,14.0000000000001 -44.9999999999999,14.0000000000001 -49.9999999999999)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.D', '', '', '47.D.1', 'SEAFO', 'D1', '', '', '', '', '', '', '', 'D1', '3', '47.D.1', '47.D1', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 12.333299637,-15.890189171 12.3526306150001,-16.690000534 12.3699998860001,-16.719999313 12.333299637,-17.600000381 12.333299637,-18.399999619 12.333299637,-19.2000007629999 12.333299637,-19.9999999999999 12.333299637,-19.9999999999999 13.600000381,-19.9999999999999 14.399999619,-19.9999999999999 15.1999998090001,-19.9999999999999 16.0000000000001,-19.2000007629999 16.0000000000001,-18.399999619 16.0000000000001,-17.600000381 16.0000000000001,-16.799999237 16.0000000000001,-15.9999999999999 16.0000000000001,-14.9999999999999 16.0000000000001,-14.9999999999999 15.1999998090001,-14.9999999999999 14.399999619,-14.9999999999999 13.600000381,-14.9999999999999 12.333299637)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.3', 'Southern Coastal', '', '34.3.1', 'Cape Verde Coastal', '', '34.3.1.2', '', '', '', '', '', '', '3.12', '4', '34.3.1.2', '34.3.1.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 12.333299637,-14.46482563 11.7386665340001,-13.929650307 11.144034386,-13.394475937 10.5494012830001,-12.859300613 9.95476913500005,-11.9999999999999 9.00000000000006,-13.600000381 9.00000000000006,-14.399999619 9.00000000000006,-15.199999809 9.00000000000006,-15.9999999999999 9.00000000000006,-16.799999237 9.00000000000006,-17.600000381 9.00000000000006,-18.399999619 9.00000000000006,-19.2000007629999 9.00000000000006,-19.9999999999999 9.00000000000006,-19.9999999999999 10.0000000000001,-19.9999999999999 11.5332994460001,-19.9999999999999 12.333299637,-19.2000007629999 12.333299637,-18.399999619 12.333299637,-17.600000381 12.333299637,-16.719999313 12.333299637,-16.690000534 12.3699998860001,-15.890189171 12.3526306150001,-14.9999999999999 12.333299637)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.3', 'Southern Coastal', '', '34.3.1', 'Cape Verde Coastal', '', '34.3.1.3', '', '', '', '', '', '', '3.13', '4', '34.3.1.3', '34.3.1.3', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 43.0000000000001,0.78729450700007 42.8579864500001,1.57458901400003 42.7159767150001,2.36188340200005 42.5739631650001,3.16000008600003 42.4300003050001,3.94010639200008 42.25270462,4.72021293600005 42.0754051210001,5.50031900400006 41.898109436,6.28042554900003 41.720813751,7.06053209300006 41.543518066,8.00000000000006 41.3300018310001,8.00000000000006 40.5300025940001,8.00000000000006 39.730003357,8.00000000000006 38.9300003050001,8.00000000000006 38.0000000000001,8.59000015300006 38.0000000000001,8.59000015300006 37.200000763,8.59000015300006 36.400001526,8.59000015300006 35.0000000000001,8.59000015300006 34.563846803,-5.91312659299996 34.563846803,-5.61000013399996 35.0000000000001,-5.61000013399996 36.0000000060001,-5.60950760099996 36.411318017,-5.60907404399995 36.7117671990001,-5.60884571099996 36.869998932,-5.60769128799996 37.6699981690001,-5.60653686499995 38.4699974060001,-5.60538244199995 39.2699966430001,-5.60422801999994 40.0699958800001,-5.60307359699993 40.869995117,-5.60191917399993 41.669994354,-5.60191844299993 41.6703621450001,-5.59999990499995 42.428025066,-4.46067880899994 42.4214011060001,-1.98671624299993 42.6156350190001,-1.99399928599996 43.0000000000001,-1.99399596499995 43.0000000000001,-1.59999990499995 43.0000000000001,-1.20000004799994 43.0000000000001,-0.487692816999925 43.0000000000001,-0.243846407999968 43.0000000000001,5.6843418860808e-14 43.0000000000001)))', 'Atlantic', '3', '37', 'MEDITERRANEAN AND BLACK SEA', '37', '37.1', 'Western Mediterranean', '', '37.1.1', 'Balearic', '', '', '', '', '', '', '', '', '1.1', '3', '37.1.1', '37.1.1', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 5.6843418860808e-14,1.60000014300005 5.6843418860808e-14,0.800000131000047 5.6843418860808e-14,1.19000048925955e-07 5.6843418860808e-14,-0.799999892999949 5.6843418860808e-14,-1.59999990499995 5.6843418860808e-14,-2.39999985699995 5.6843418860808e-14,-3.19999980899996 5.6843418860808e-14,-3.99999999999994 5.6843418860808e-14,-4.80000019099998 5.6843418860808e-14,-5.59999990499995 5.6843418860808e-14,-6.40000009499994 5.6843418860808e-14,-7.19999980899996 5.6843418860808e-14,-7.99999999999994 5.6843418860808e-14,-7.99999999999994 0.800000012000055,-7.99999999999994 1.60000002400005,-7.99999999999994 2.40000009500005,-7.99999999999994 3.20000004800005,-7.99999999999994 4.00000000000006,-7.99999999999994 5.00000000000006,-7.22818899199996 5.21049404100006,-6.45637798299992 5.42098808300005,-5.68456697499994 5.63148164700004,-4.91275596599996 5.84197568900004,-4.14094448099996 6.05246973000004,-3.36913371099996 6.26296377200003,-2.59732246399994 6.47345733600002,-1.82551145599996 6.68395137800007,-1.05370044699993 6.89444541900002,-0.281889318999959 7.10493946100007,0.489921749000075 7.31543302500006,1.26173281700005 7.52592706700005,2.03354382500004 7.73642110800006,3.00000000000006 8.00000000000006,3.00000000000006 6.40000009500005,3.00000000000006 5.59999990500006,3.00000000000006 4.80000019100004,3.00000000000006 4.00000000000006,3.00000000000006 3.20000004800005,3.00000000000006 2.40000009500005,3.00000000000006 1.60000002400005,3.00000000000006 0.800000012000055,3.00000000000006 5.6843418860808e-14)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.3', 'Southern Coastal', '', '34.3.4', 'Western Gulf of Guinea', '', '', '', '', '', '', '', '', '3.4', '3', '34.3.4', '34.3.4', 'Y'),('SRID=4326;MULTIPOLYGON(((13.288931351 57.5000000000001,13.5372850140001 57.172124228,13.570507261 56.5335188120001,13.3182328450001 56.0795575270001,13.2192843190001 55.9015022130001,13.0147225110001 56.003680596,12.8805017670001 56.0707237010001,12.6294424500001 56.1961275350001,12.493152982 56.2910949010001,12.459613937 56.2995890080001,12.45713368 56.3002171590001,12.4461440580001 56.301712541,12.294857082 56.127547038,12.1188073910001 55.8380514830001,12.026355181 55.5999984740001,11.9323298310001 55.357894824,11.9040161250001 55.2849905320001,11.7996245050001 55.4322094830001,11.6806468570001 55.5999984740001,11.5631368040001 55.7657177780001,11.5893582910001 55.9055657050001,11.569337739 55.9169720730001,11.542834467 55.9320718590001,11.542603577 55.9322034050001,11.542411917 55.9322596630001,11.474879603 55.9520825820001,11.379190007 55.9594951560001,11.3050642640001 55.980722073,11.291923791 55.992514805,11.282817832 56.0034562180001,11.2776000810001 56.0075870380001,10.7157960810001 56.1419960380001,10.70472483 56.1680609860001,10.7161526940001 56.2709117630001,10.537878015 56.376048112,9.68969137000005 56.276408776,9.91003529800003 56.544982351,10.2427577940001 56.9505323050001,10.301923081 56.9817060390001,10.303839081 56.988518039,10.3008155840001 56.992823173,10.301000081 56.9931000390001,10.222025866 57.2602158030001,10.401286995 57.6297051350001,10.5458392510001 57.7210764370001,10.6222199490001 57.742848506,11.0000000000001 57.6603183650001,11.7167000000001 57.5000000000001,11.9069573940001 57.485363056,11.948660401 57.4606791310001,12.0000000000001 57.5000000000001,13.0007375280001 57.5000000000001,13.288931351 57.5000000000001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.III', 'Skagerrak, Kattegat, Sound, Belt S., and Baltic S.', '27.III', '27.III.a', 'Skagerrak and Kattegat', '27.IIIa', '27.III.a.S', 'Kattegat', '27.IIIaS', '', '', '', '', 'IIIaS', '4', '27.3.a.s', '27.IIIaS', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 22.0000000000001,-15.9999999999999 22.0000000000001,-16.799999237 22.0000000000001,-17.600000381 22.0000000000001,-18.399999619 22.0000000000001,-19.2000007629999 22.0000000000001,-19.9999999999999 22.0000000000001,-19.9999999999999 23.600000381,-19.9999999999999 24.399999619,-19.9999999999999 25.200000763,-19.9999999999999 26.0000000000001,-19.2000007629999 26.0000000000001,-18.399999619 26.0000000000001,-17.600000381 26.0000000000001,-15.9999999999999 26.0000000000001,-15.199999809 26.0000000000001,-14.399999619 26.0000000000001,-12.9999999999999 26.0000000000001,-13.35777092 25.28445816,-13.71554184 24.5689163210001,-14.073312759 23.8533744810001,-14.4310836789999 23.137832642,-14.9999999999999 22.0000000000001)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.1', 'Northern Coastal', '', '34.1.3', 'Sahara Coastal', '', '34.1.3.1', '', '', '', '', '', '', '1.31', '4', '34.1.3.1', '34.1.3.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-73.4999999999999 78.166664123,-73.4999999999999 78.116668701,-73.4999999999999 78.0999984740001,-73.4999999999999 78.0833358770001,-73.4999999999999 78.0666656500001,-73.4999999999999 78.050003051,-73.4999999999999 78.0333328240001,-73.4999999999999 78.0166702270001,-73.4999999999999 78.0000000000001,-73.4999999999999 77.983329773,-73.4999999999999 77.9666671750001,-73.4999999999999 77.949996948,-73.4999999999999 77.933334351,-73.4999999999999 77.9166641240001,-73.4999999999999 77.900001526,-73.4999999999999 77.8833312990001,-73.4999999999999 77.866668701,-73.4999999999999 77.8499984740001,-73.4999999999999 77.833335876,-73.4999999999999 77.8166656490001,-73.4999999999999 77.8000030520001,-73.4999999999999 77.7833328250001,-73.4999999999999 77.7666702270001,-73.4999999999999 77.7500000000001,-73.4999999999999 77.733329773,-73.4999999999999 77.716667176,-73.4999999999999 77.6999969490001,-73.4999999999999 77.683334351,-73.4999999999999 77.6666641240001,-73.4999999999999 77.6500015250001,-73.4999999999999 77.633331298,-73.4999999999999 77.616668701,-73.4999999999999 77.5999984740001,-73.4999999999999 77.583335876,-73.4999999999999 77.5666656490001,-73.4999999999999 77.5500030520001,-73.4999999999999 77.5333328250001,-73.4999999999999 77.5166702270001,-73.4999999999999 77.5000000000001,-73.4999999999999 77.483329773,-73.4999999999999 77.4666671750001,-73.4999999999999 77.449996948,-73.4999999999999 77.4333343500001,-73.4999999999999 77.416664123,-73.4999999999999 77.400001526,-73.4999999999999 77.3833312990001,-73.4999999999999 77.366668701,-73.4999999999999 77.3499984740001,-73.4999999999999 77.3333358770001,-73.4999999999999 77.3166656500001,-73.4999999999999 77.3000030520001,-73.4999999999999 77.2833328250001,-73.4999999999999 77.2666702270001,-73.4999999999999 77.2500000000001,-73.4999999999999 77.233329773,-73.4999999999999 77.2166671750001,-73.4999999999999 77.199996948,-73.4999999999999 77.183334351,-73.4999999999999 77.1666641240001,-73.4999999999999 77.150001526,-73.4999999999999 77.1333312990001,-73.4999999999999 77.116668701,-73.4999999999999 77.0999984740001,-73.4999999999999 77.0833358770001,-73.4999999999999 77.0666656490001,-73.4999999999999 77.050003051,-73.4999999999999 77.0333328240001,-73.4999999999999 77.0166702270001,-73.4999999999999 77.0000000000001,-73.4999999999999 76.983329773,-73.4999999999999 76.9666671750001,-73.4999999999999 76.949996948,-73.4999999999999 76.933334351,-73.4999999999999 76.9166641240001,-73.4999999999999 76.900001526,-73.4999999999999 76.8833312990001,-73.4999999999999 76.866668701,-73.4999999999999 76.8499984740001,-73.4999999999999 76.833335876,-73.4999999999999 76.8166656490001,-73.4999999999999 76.8000030520001,-73.4999999999999 76.7833328250001,-73.4999999999999 76.7666702270001,-73.4999999999999 76.7500000000001,-73.4999999999999 76.733329773,-73.4999999999999 76.716667176,-73.4999999999999 76.6999969490001,-73.4999999999999 76.683334351,-73.4999999999999 76.6666641240001,-73.4999999999999 76.650001526,-73.4999999999999 76.633331298,-73.4999999999999 76.616668701,-73.4999999999999 76.5999984740001,-73.4999999999999 76.583335876,-73.4999999999999 76.5666656490001,-73.4999999999999 76.5500030520001,-73.4999999999999 76.5333328250001,-73.4999999999999 76.5166702270001,-73.4999999999999 76.5000000000001,-73.4999999999999 76.483329773,-73.4999999999999 76.4666671750001,-73.4999999999999 76.449996948,-73.4999999999999 76.4333343500001,-73.4999999999999 76.416664123,-73.4999999999999 76.400001526,-73.4999999999999 76.3833312990001,-73.4999999999999 76.366668701,-73.4999999999999 76.3499984740001,-73.4999999999999 76.3333358770001,-73.4999999999999 76.3166656500001,-73.4999999999999 76.3000030520001,-73.4999999999999 76.2833328250001,-73.4999999999999 76.2666702270001,-73.4999999999999 76.2500000000001,-73.4999999999999 76.233329773,-73.4999999999999 76.2166671750001,-73.4999999999999 76.199996948,-73.4999999999999 76.183334351,-73.4999999999999 76.1666641240001,-73.4999999999999 76.150001526,-73.4999999999999 76.1333312990001,-73.4999999999999 76.116668701,-73.4999999999999 76.0999984740001,-73.4999999999999 76.0833358770001,-73.4999999999999 76.0666656490001,-73.4999999999999 76.050003051,-73.4999999999999 76.0333328240001,-73.4999999999999 76.0166702270001,-73.4999999999999 76.0000000000001,-73.4999999999999 75.983329773,-73.4999999999999 75.9666671750001,-73.4999999999999 75.949996948,-73.4999999999999 75.933334351,-73.4999999999999 75.9166641240001,-73.4999999999999 75.900001526,-73.4999999999999 75.8833312990001,-73.4999999999999 75.866668701,-73.4999999999999 75.8499984740001,-73.4999999999999 75.833335876,-73.4999999999999 75.8166656490001,-73.4999999999999 75.8000030520001,-73.4999999999999 75.7833328250001,-73.4999999999999 75.7666702270001,-73.4999999999999 75.7500000000001,-73.4999999999999 75.733329773,-73.4999999999999 75.716667176,-73.4999999999999 75.6999969490001,-73.4999999999999 75.683334351,-73.4999999999999 75.666664123,-73.4999999999999 75.650001526,-73.4999999999999 75.6333312990001,-73.4999999999999 75.616668701,-73.4999999999999 75.5999984740001,-73.4999999999999 75.583335876,-73.4999999999999 75.5666656490001,-73.4999999999999 75.5500030520001,-73.4999999999999 75.5333328250001,-73.4999999999999 75.5166702270001,-73.4999999999999 75.5000000000001,-73.4999999999999 75.483329773,-73.4999999999999 75.4666671750001,-73.4999999999999 75.449996948,-73.4999999999999 75.4333343500001,-73.4999999999999 75.416664123,-73.4999999999999 75.400001526,-73.4999999999999 75.3833312990001,-73.4999999999999 75.366668701,-73.4999999999999 75.3499984740001,-73.4999999999999 75.3333358770001,-73.4999999999999 75.3166656500001,-73.4999999999999 75.3000030520001,-73.4999999999999 75.2833328250001,-73.4999999999999 75.2666702270001,-73.4999999999999 75.2500000000001,-73.4999999999999 75.233329773,-73.4999999999999 75.2166671750001,-73.4999999999999 75.199996948,-73.4999999999999 75.183334351,-73.4999999999999 75.1666641240001,-73.4999999999999 75.150001526,-73.4999999999999 75.1333312990001,-73.4999999999999 75.1166687020001,-73.4999999999999 75.0999984750001,-73.4999999999999 75.083335876,-73.461769104 75.069458007,-73.423614502 75.055580139,-73.385520935 75.041694641,-73.347503662 75.027801514,-73.309547424 75.0139083870001,-73.27166748 75.0000000000001,-73.248962402 74.984344483,-73.226303101 74.968681335,-73.2036895749999 74.9530258180001,-73.181121826 74.9373626710001,-73.158599854 74.921691894,-73.1361160279999 74.906028748,-73.113685608 74.8903579710001,-73.091300964 74.874687195,-73.0689620969999 74.859008789,-73.0466690069999 74.8433303840001,-73.0231933599999 74.8281021120001,-72.999771118 74.8128662110001,-72.9763946529999 74.79763031,-72.953056335 74.7823944090001,-72.929771423 74.7671585080001,-72.9065322869999 74.7519149780001,-72.883331299 74.7366638190001,-72.8338699339999 74.725479126,-72.784469604 74.7142791750001,-72.7351455689999 74.7030715940001,-72.685890198 74.6918563840001,-72.6367034909999 74.6806259150001,-72.587593079 74.669380188,-72.538551331 74.65813446,-72.4895782469999 74.6468734740001,-72.4406738279999 74.635597229,-72.391838073 74.6243133550001,-72.343078614 74.6130218500001,-72.2943801879999 74.601715088,-72.245758057 74.5904006950001,-72.19720459 74.579071045,-72.1487197879999 74.5677337650001,-72.1003036499999 74.5563888550001,-72.051956177 74.5450286870001,-72.003677368 74.533660888,-71.9554748529999 74.5222854610001,-71.907333374 74.5108947750001,-71.859268189 74.49949646,-71.8112640379999 74.488082886,-71.7633361809999 74.4766693120001,-71.7152786249999 74.4657440190001,-71.667289734 74.4548110970001,-71.6193695059999 74.443870545,-71.571510315 74.432922364,-71.5237197869999 74.421958923,-71.475990295 74.4109802250001,-71.428337098 74.400001526,-71.376777649 74.3888168330001,-71.325302124 74.377632142,-71.2738876339999 74.36642456,-71.222549438 74.355209351,-71.171287537 74.3439865110001,-71.120094299 74.3327407840001,-71.068969727 74.321495057,-71.017921448 74.3102264400001,-70.966941833 74.2989578240001,-70.916030884 74.2876663210001,-70.8651962279999 74.2763671880001,-70.814430237 74.2650604250001,-70.76373291 74.253738404,-70.7131118779999 74.242401123,-70.6625595089999 74.231056213,-70.612075806 74.2197036740001,-70.561668396 74.2083358770001,-70.517417908 74.197929382,-70.473220826 74.1875152590001,-70.4290847779999 74.1770935060001,-70.385002136 74.1666641240001,-70.340751648 74.1562652590001,-70.296554565 74.145851135,-70.252418518 74.135429382,-70.208335877 74.1250000000001,-70.159133911 74.113342285,-70.11000061 74.1016693110001,-70.061195374 74.090019226,-70.012458801 74.0783691400001,-69.963790893 74.066696167,-69.9151916499999 74.0550231940001,-69.866668701 74.0433349610001,-69.83833313 74.03666687,-69.793395996 74.0257415770001,-69.748512268 74.0148086550001,-69.7036895749999 74.0038681030001,-69.658927917 73.992912292,-69.614227295 73.9819488520001,-69.5695800779999 73.9709777830001,-69.525001526 73.9599990840001,-69.4827194219999 73.9489898680001,-69.440498352 73.9379653930001,-69.398330688 73.926933289,-69.35621643 73.9159011840001,-69.314163208 73.9048538210001,-69.272163392 73.8937988280001,-69.23021698 73.8827362060001,-69.188331604 73.871665954,-69.14604187 73.8600311280001,-69.103813171 73.8483810430001,-69.0616378779999 73.836730957,-69.0195312499999 73.825065613,-68.977470398 73.813392639,-68.93547821 73.8017196650001,-68.893547058 73.7900314330001,-68.851669311 73.7783355710001,-68.808334351 73.768333435,-68.762687683 73.7578887940001,-68.717094421 73.7474288940001,-68.671562195 73.7369613650001,-68.626083374 73.7264862060001,-68.580665588 73.7160034180001,-68.5353088379999 73.7055053720001,-68.489997864 73.694999695,-68.442352295 73.6844711300001,-68.394760132 73.6739349360001,-68.347229004 73.6633834840001,-68.299758911 73.652816773,-68.2523498529999 73.6422500610001,-68.2050018309999 73.6316680910001,-68.167190552 73.6238937370001,-68.12940979 73.6161193840001,-68.0916671749999 73.608329773,-68.035392761 73.6024398810001,-67.979148864 73.5965271000001,-67.9229507439999 73.59059906,-67.8667907719999 73.584663391,-67.8106765749999 73.5787048340001,-67.754592896 73.5727386470001,-67.698554993 73.566749573,-67.642555237 73.5607528680001,-67.5865936279999 73.554733276,-67.5306701659999 73.5487060550001,-67.474792481 73.5426635740001,-67.418952942 73.5365982050001,-67.3631515499999 73.530525208,-67.307388306 73.524436951,-67.251663208 73.518333435,-67.19606781 73.5126571660001,-67.1405105599999 73.5069656370001,-67.084991455 73.5012664800001,-67.029510498 73.4955444340001,-66.974060059 73.489807129,-66.918655395 73.484062195,-66.8632812499999 73.4782943720001,-66.807945252 73.4725189210001,-66.7526473999999 73.466728211,-66.6973953249999 73.460922241,-66.642173767 73.455101014,-66.5869903559999 73.449264526,-66.531845092 73.4434127810001,-66.476737976 73.437545776,-66.4216690069999 73.431663513,-66.3899841309999 73.4179840090001,-66.358352661 73.404289245,-66.326766968 73.3906021120001,-66.295234681 73.3768997190001,-66.263755798 73.3631973270001,-66.232322693 73.3494873050001,-66.200942993 73.335777282,-66.169616699 73.3220596310001,-66.1383361809999 73.308334351,-66.1048507689999 73.293518066,-66.071434021 73.278701782,-66.0380706779999 73.2638778680001,-66.004760742 73.249046326,-65.9715118409999 73.2342147830001,-65.938316346 73.2193679810001,-65.9051818849999 73.2045288090001,-65.87210083 73.1896743780001,-65.839080811 73.1748199470001,-65.8061141969999 73.159957886,-65.773200989 73.1450881960001,-65.7403488159999 73.1302185060001,-65.707550048 73.1153411860001,-65.674812317 73.100456238,-65.6421279909999 73.085571289,-65.60949707 73.0706787110001,-65.576927185 73.055778504,-65.544403076 73.0408782960001,-65.511940002 73.0259704590001,-65.479537964 73.0110549920001,-65.447181702 72.9961318970001,-65.4148864749999 72.981208801,-65.3826446529999 72.966278076,-65.3504562379999 72.951347351,-65.3183212279999 72.9364089970001,-65.286247254 72.9214630130001,-65.254219055 72.906517029,-65.222251892 72.8915634150001,-65.1903381349999 72.876602173,-65.158477783 72.861633301,-65.126663208 72.8466644280001,-65.098686218 72.8337554940001,-65.070755005 72.8208389280001,-65.0428543089999 72.807922363,-65.01499939 72.7949981690001,-64.994148255 72.7783355710001,-64.9733352659999 72.7616653440001,-64.9505310059999 72.750556945,-64.927749634 72.739448548,-64.904998779 72.72833252,-64.876121521 72.714645385,-64.8472824089999 72.7009582520001,-64.8184890749999 72.6872558590001,-64.7897415159999 72.6735610960001,-64.761039734 72.659858704,-64.7323837279999 72.6461486810001,-64.7037658689999 72.63243866,-64.675193786 72.6187210080001,-64.64666748 72.605003357,-64.6162872309999 72.591201783,-64.5859603879999 72.577400208,-64.555671692 72.5635986330001,-64.525436401 72.549789429,-64.495246887 72.5359725960001,-64.46509552 72.5221557620001,-64.434997559 72.5083312990001,-64.404144287 72.4947738650001,-64.373344421 72.4812164300001,-64.3425827029999 72.4676437370001,-64.31186676 72.4540786740001,-64.281196595 72.4404983520001,-64.250579834 72.4269180300001,-64.220001221 72.4133300780001,-64.186058045 72.3990020750001,-64.1521759029999 72.3846664430001,-64.118347168 72.3703231810001,-64.084564209 72.3559722900001,-64.050842285 72.34161377,-64.0171661369999 72.3272552490001,-63.983547211 72.3128890990001,-63.94998169 72.29851532,-63.9164657589999 72.2841415410001,-63.8830032349999 72.2697525020001,-63.849594117 72.2553634640001,-63.8162384039999 72.2409667970001,-63.7829322809999 72.2265701300001,-63.74968338 72.212165833,-63.716480255 72.1977539060001,-63.6833343499999 72.183334351,-63.6551818839999 72.1705627440001,-63.6270675659999 72.1577911370001,-63.5989913939999 72.145019532,-63.570957184 72.132240295,-63.5429573059999 72.1194534310001,-63.51499939 72.1066665650001,-63.487682343 72.0936203000001,-63.460403442 72.080574036,-63.433162689 72.067520142,-63.405956268 72.0544586180001,-63.3787918089999 72.041397094,-63.3516654969999 72.0283355710001,-63.322795868 72.0136871340001,-63.293972015 71.999031067,-63.265193939 71.9843750000001,-63.2364578249999 71.9697189330001,-63.207771301 71.9550552370001,-63.17912674 71.9403839110001,-63.150527954 71.925712586,-63.121974945 71.9110336300001,-63.093463898 71.896354676,-63.064998626 71.8816680900001,-63.0391769409999 71.8683471680001,-63.0133895869999 71.8550186160001,-62.9876365659999 71.841690063,-62.9619255069999 71.828353882,-62.936244965 71.8150177000001,-62.9106063839999 71.801673889,-62.884998321 71.7883300780001,-62.865524292 71.7738876340001,-62.84608078 71.7594451910001,-62.826667785 71.7450027470001,-62.804092408 71.7286224360001,-62.78155899 71.7122497560001,-62.7590599059999 71.6958694460001,-62.736606598 71.679489135,-62.7141876219999 71.6631011970001,-62.691806793 71.646713257,-62.669464111 71.630325317,-62.6471633909999 71.613929748,-62.6248970029999 71.5975341800001,-62.602672576 71.581138611,-62.580482483 71.5647354120001,-62.5583343499999 71.5483322150001,-62.545825958 71.5391693110001,-62.5333328249999 71.529998779,-62.518314362 71.5166702270001,-62.503311157 71.503334045,-62.4883346559999 71.489997864,-62.472465515 71.4754180910001,-62.4566192619999 71.4608383180001,-62.440795898 71.4462509160001,-62.424999237 71.431663513,-62.405853271 71.415008545,-62.386741639 71.3983459470001,-62.367660523 71.38167572,-62.348613739 71.365013123,-62.329597473 71.3483428960001,-62.31061554 71.3316726690001,-62.2916679379999 71.315002442,-62.271568298 71.298812866,-62.251499176 71.2826309210001,-62.231468201 71.266441345,-62.211467743 71.25025177,-62.191501617 71.2340545660001,-62.1715660099999 71.2178649900001,-62.151668548 71.201667786,-62.130367279 71.1855773920001,-62.1091079719999 71.1694869990001,-62.0878791809999 71.153396607,-62.066684723 71.137306213,-62.045528411 71.1212081910001,-62.024406433 71.1051101690001,-62.0033149719999 71.089004516,-61.982261658 71.0728988650001,-61.961242676 71.056793213,-61.940258026 71.0406875610001,-61.919307708 71.0245742800001,-61.898391724 71.0084609990001,-61.8775062559999 70.992347717,-61.856658936 70.976226807,-61.835845948 70.9601058960001,-61.815063476 70.943984985,-61.7943191529999 70.927856445,-61.7736053469999 70.9117279050001,-61.752925873 70.8955993650001,-61.7322807309999 70.879470826,-61.711666107 70.8633346550001,-61.691619873 70.848335266,-61.6716079719999 70.833335876,-61.651622773 70.8183364870001,-61.6316680909999 70.8033370970001,-61.6092720029999 70.7871932990001,-61.5869140619999 70.771057129,-61.564590454 70.7549133310001,-61.542304993 70.738769532,-61.520053864 70.7226181030001,-61.4978408809999 70.7064666750001,-61.4756622319999 70.6903152470001,-61.453517913 70.674156189,-61.431411743 70.6579971310001,-61.409339905 70.641838073,-61.387302399 70.6256713870001,-61.3652992249999 70.6095047000001,-61.343334198 70.5933303830001,-61.3255310059999 70.579444885,-61.307754517 70.5655593870001,-61.2900009159999 70.55166626,-61.283943176 70.534385682,-61.2778968809999 70.517112732,-61.27186203 70.499832154,-61.265834808 70.4825515750001,-61.2598190309999 70.4652709960001,-61.2538146969999 70.4479904180001,-61.247821808 70.430709839,-61.241836548 70.41342926,-61.235862732 70.396148682,-61.229896546 70.3788681030001,-61.2239418029999 70.3615875240001,-61.217998504 70.3443069460001,-61.212062836 70.327026367,-61.20613861 70.309745788,-61.20022583 70.29246521,-61.194320679 70.2751846310001,-61.188426971 70.257896423,-61.182540893 70.240615845,-61.1766662599999 70.223335267,-61.170650482 70.2080001830001,-61.16463852 70.1926651000001,-61.158641815 70.1773376460001,-61.1526489249999 70.162002564,-61.146667481 70.1466674810001,-61.1408309939999 70.1358337400001,-61.134998321 70.1250000000001,-61.12412262 70.10861206,-61.1132659909999 70.0922241210001,-61.102424621 70.075836182,-61.091598511 70.059448242,-61.080791473 70.0430603030001,-61.069999695 70.0266647340001,-61.058288574 70.010559082,-61.046596527 69.994445801,-61.034919739 69.9783401490001,-61.023262024 69.9622268680001,-61.011623383 69.9461135860001,-60.9999999999999 69.9300003050001,-60.9933319089999 69.9216690060001,-60.989429474 69.906387329,-60.985534668 69.8911132810001,-60.981639862 69.875831604,-60.977756501 69.8605575560001,-60.973873138 69.845275879,-60.97000122 69.8300018310001,-60.964416504 69.8130035400001,-60.9588394159999 69.7960052490001,-60.953273773 69.7790069580001,-60.9477157589999 69.762008667,-60.942169189 69.745010376,-60.936630249 69.728012085,-60.9310989379999 69.7110061650001,-60.9255752559999 69.6940078740001,-60.920063018 69.677009582,-60.91455841 69.660011291,-60.909065246 69.643013001,-60.903579712 69.6260070800001,-60.8981018059999 69.609008789,-60.8926315309999 69.592010498,-60.887172699 69.5750045770001,-60.8817214969999 69.5580062870001,-60.876277924 69.5410079960001,-60.87084198 69.5240020750001,-60.865417481 69.5070037850001,-60.86000061 69.489997864,-60.8374137879999 69.474655151,-60.814861298 69.45930481,-60.7923393249999 69.4439544680001,-60.76984787 69.4285964970001,-60.7473907469999 69.413246154,-60.724964141 69.397880554,-60.7025718689999 69.3825225830001,-60.680210114 69.3671493530001,-60.6578826909999 69.3517837520001,-60.63558197 69.336410523,-60.613315582 69.3210372930001,-60.591083527 69.3056564330001,-60.568878174 69.290275573,-60.5467071529999 69.2748947140001,-60.524566651 69.2595062250001,-60.502456665 69.2441177370001,-60.480381012 69.228729248,-60.458332062 69.2133331300001,-60.43775177 69.199447632,-60.417194367 69.185554504,-60.396667481 69.1716690060001,-60.374538421 69.1570892340001,-60.35243988 69.142509461,-60.3303718569999 69.1279220580001,-60.308334351 69.1133346560001,-60.285625458 69.0990600590001,-60.262947082 69.084777832,-60.2402992249999 69.0704956050001,-60.2176818839999 69.0562057500001,-60.195091248 69.041923523,-60.1725311279999 69.0276260380001,-60.150001526 69.013336182,-60.127944946 69.0000076300001,-60.1059188839999 68.9866790770001,-60.0839195249999 68.973342895,-60.0619468689999 68.960006714,-60.0400009159999 68.9466629030001,-60.006355286 68.9336853030001,-59.972751617 68.920700073,-59.939186096 68.9077072140001,-59.9056587219999 68.894706726,-59.8721733089999 68.8816986080001,-59.838726043 68.8686828610001,-59.8053169249999 68.855667114,-59.7719459539999 68.842643738,-59.748142242 68.833335876,-59.738616943 68.8296051030001,-59.70532608 68.816566467,-59.672073364 68.8035202030001,-59.6388626099999 68.7904663090001,-59.605690002 68.7774124150001,-59.572555542 68.7643432620001,-59.5394592279999 68.7512741090001,-59.506401062 68.7381973270001,-59.473381042 68.725105286,-59.4404029839999 68.712013245,-59.407463074 68.698921204,-59.374557495 68.685813904,-59.3416938779999 68.672706604,-59.308868408 68.659584045,-59.276081085 68.6464614870001,-59.2433319089999 68.6333312990001,-59.2383346559999 68.6316680910001,-59.2059249879999 68.6186828610001,-59.173553467 68.605682373,-59.141220093 68.592681885,-59.1089248659999 68.5796813960001,-59.076667786 68.5666656500001,-59.0533256529999 68.5575027470001,-59.029998779 68.5483322150001,-58.9975051879999 68.5356979370001,-58.965042114 68.523048401,-58.932621002 68.5103988650001,-58.900230408 68.4977416990001,-58.8678817749999 68.485076904,-58.8355636589999 68.4724121090001,-58.8032875059999 68.4597320560001,-58.7710456849999 68.4470520020001,-58.738838195 68.4343643190001,-58.706665039 68.421669007,-58.692470551 68.406669617,-58.678295135 68.3916702270001,-58.6641387939999 68.3766708370001,-58.650001526 68.3616638180001,-58.636341095 68.3461151120001,-58.622703552 68.3305587770001,-58.609081268 68.315002441,-58.595481873 68.2994461060001,-58.581897736 68.2838897710001,-58.5683326719999 68.268333435,-58.5554847719999 68.252410889,-58.54265213 68.236488342,-58.529838562 68.2205657960001,-58.517044067 68.2046432500001,-58.504268646 68.1887130740001,-58.491508484 68.1727905270001,-58.47876358 68.1568603520001,-58.466041565 68.140930176,-58.453334808 68.1250000000001,-58.444999695 68.1133346560001,-58.43554306 68.099441529,-58.42609787 68.0855560300001,-58.4166679379999 68.0716629030001,-58.407211304 68.0577774050001,-58.3977661129999 68.043891907,-58.388332367 68.029998779,-58.37663269 68.0136718750001,-58.3649520869999 67.997337341,-58.3532829279999 67.981002808,-58.341632843 67.9646682740001,-58.3300018309999 67.9483337410001,-58.317199707 67.932060242,-58.304420471 67.915779114,-58.2916564939999 67.8995056150001,-58.2789115909999 67.8832244880001,-58.26618576 67.8669433590001,-58.253475189 67.8506622310001,-58.2407836909999 67.834381104,-58.228107452 67.818099976,-58.215450287 67.8018112180001,-58.2028121939999 67.7855300910001,-58.190189362 67.7692413330001,-58.177585602 67.752952576,-58.1650009159999 67.7366638180001,-58.152633667 67.7216720580001,-58.140285492 67.7066726690001,-58.127952576 67.6916656500001,-58.115634918 67.67666626,-58.10333252 67.66166687,-58.08996582 67.6470031740001,-58.0766181939999 67.6323394780001,-58.0632820129999 67.6176681520001,-58.0499687189999 67.6030044560001,-58.03666687 67.5883331300001,-58.021961212 67.5730056770001,-58.007274627 67.5576705930001,-57.9926109309999 67.54233551,-57.9779624939999 67.5270004270001,-57.96333313 67.511665345,-57.949157715 67.498336792,-57.935001373 67.48500061,-57.921665192 67.471664429,-57.915000915 67.4550018310001,-57.908866882 67.4391708380001,-57.902744293 67.4233322150001,-57.896629333 67.4075012210001,-57.8905220029999 67.3916702270001,-57.884422302 67.375831604,-57.878334045 67.36000061,-57.8730049129999 67.34274292,-57.8676872249999 67.3254928590001,-57.862373352 67.3082351680001,-57.857067108 67.2909774780001,-57.851772308 67.2737197880001,-57.846481323 67.2564697270001,-57.841201782 67.2392120360001,-57.8359260559999 67.2219543460001,-57.830657959 67.2046966560001,-57.8254013059999 67.1874389650001,-57.820148468 67.1701812740001,-57.8149032589999 67.1529235840001,-57.80966568 67.1356658940001,-57.804439545 67.1184082030001,-57.799217224 67.1011505130001,-57.794002533 67.0838928220001,-57.788795471 67.066635132,-57.783596039 67.049377441,-57.778404236 67.032119751,-57.773216248 67.014862061,-57.7680397029999 66.9976043710001,-57.762870789 66.9803466800001,-57.7577095029999 66.96308136,-57.752552032 66.94582367,-57.7474021909999 66.928565979,-57.7422637939999 66.9113006590001,-57.737129211 66.8940429690001,-57.732002258 66.8767852780001,-57.7268829349999 66.8595199590001,-57.72177124 66.8422622680001,-57.7166671749999 66.824996948,-57.7116432189999 66.808959961,-57.706626892 66.792915345,-57.701618195 66.776878357,-57.696613312 66.7608337400001,-57.691616058 66.7447967530001,-57.6866264339999 66.7287521360001,-57.68164444 66.71270752,-57.6766662599999 66.6966629030001,-57.6724929809999 66.6804199220001,-57.668323517 66.6641693120001,-57.664157867 66.6479187020001,-57.6599998469999 66.6316680910001,-57.656665802 66.616668701,-57.6533317569999 66.6016693120001,-57.6508254999999 66.5855560300001,-57.6483192439999 66.5694427490001,-57.645820617 66.5533370970001,-57.6433219909999 66.5372238160001,-57.640827179 66.521110535,-57.638332367 66.5049972530001,-57.636940002 66.48916626,-57.6355476379999 66.473335266,-57.6341590879999 66.4574966430001,-57.6327705379999 66.4416656490001,-57.6313858029999 66.4258346560001,-57.630001068 66.4100036620001,-57.630001068 66.3938903810001,-57.630001068 66.3777771000001,-57.630001068 66.3616638180001,-57.630001068 66.345558167,-57.630001068 66.329444885,-57.630001068 66.313331604,-57.6311149589999 66.2969436650001,-57.632228851 66.2805557250001,-57.6333389279999 66.264167786,-57.634300232 66.2500000000001,-57.6666679379999 66.2500000000001,-57.7000007629999 66.2500000000001,-57.7333335869999 66.2500000000001,-57.7666664129999 66.2500000000001,-57.799999237 66.2500000000001,-57.833332062 66.2500000000001,-57.866664886 66.2500000000001,-57.900001526 66.2500000000001,-57.9333343499999 66.2500000000001,-57.966667176 66.2500000000001,-57.9999999999999 66.2500000000001,-58.0333328249999 66.2500000000001,-58.066665649 66.2500000000001,-58.099998474 66.2500000000001,-58.133335113 66.2500000000001,-58.1666679379999 66.2500000000001,-58.2000007629999 66.2500000000001,-58.2333335879999 66.2500000000001,-58.2666664119999 66.2500000000001,-58.299999237 66.2500000000001,-58.333332061 66.2500000000001,-58.366664887 66.2500000000001,-58.400001526 66.2500000000001,-58.433334351 66.2500000000001,-58.4666671749999 66.2500000000001,-58.4999999999999 66.2500000000001,-58.533332824 66.2500000000001,-58.5666656499999 66.2500000000001,-58.599998474 66.2500000000001,-58.633335114 66.2500000000001,-58.6666679379999 66.2500000000001,-58.7000007629999 66.2500000000001,-58.7333335869999 66.2500000000001,-58.7666664129999 66.2500000000001,-58.799999237 66.2500000000001,-58.833332062 66.2500000000001,-58.866664886 66.2500000000001,-58.900001526 66.2500000000001,-58.9333343499999 66.2500000000001,-58.966667176 66.2500000000001,-58.9999999999999 66.2500000000001,-59.0333328249999 66.2500000000001,-59.066665649 66.2500000000001,-59.099998474 66.2500000000001,-59.133335113 66.2500000000001,-59.166667939 66.2500000000001,-59.2000007629999 66.2500000000001,-59.2333335879999 66.2500000000001,-59.2666664119999 66.2500000000001,-59.299999237 66.2500000000001,-59.333332061 66.2500000000001,-59.366664887 66.2500000000001,-59.400001526 66.2500000000001,-59.433334351 66.2500000000001,-59.4666671749999 66.2500000000001,-59.4999999999999 66.2500000000001,-59.533332824 66.2500000000001,-59.5666656499999 66.2500000000001,-59.599998474 66.2500000000001,-59.633335114 66.2500000000001,-59.6666679379999 66.2500000000001,-59.7000007629999 66.2500000000001,-59.7333335869999 66.2500000000001,-59.7666664129999 66.2500000000001,-59.799999237 66.2500000000001,-59.833332062 66.2500000000001,-59.866664886 66.2500000000001,-59.900001526 66.2500000000001,-59.9333343499999 66.2500000000001,-59.966667176 66.2500000000001,-59.9999999999999 66.2500000000001,-60.0333328249999 66.2500000000001,-60.066665649 66.2500000000001,-60.099998474 66.2500000000001,-60.133335113 66.2500000000001,-60.166667939 66.2500000000001,-60.2000007629999 66.2500000000001,-60.2333335879999 66.2500000000001,-60.2666664119999 66.2500000000001,-60.299999237 66.2500000000001,-60.333332061 66.2500000000001,-60.366664887 66.2500000000001,-60.400001526 66.2500000000001,-60.433334351 66.2500000000001,-60.4666671749999 66.2500000000001,-60.4999999999999 66.2500000000001,-60.533332824 66.2500000000001,-60.5666656499999 66.2500000000001,-60.599998474 66.2500000000001,-60.633335114 66.2500000000001,-60.6666679379999 66.2500000000001,-60.7000007629999 66.2500000000001,-60.7333335869999 66.2500000000001,-60.7666664129999 66.2500000000001,-60.799999237 66.2500000000001,-60.833332062 66.2500000000001,-60.866664886 66.2500000000001,-60.900001526 66.2500000000001,-60.9333343499999 66.2500000000001,-60.966667176 66.2500000000001,-60.9999999999999 66.2500000000001,-61.0333328249999 66.2500000000001,-61.066665649 66.2500000000001,-61.099998474 66.2500000000001,-61.133335113 66.2500000000001,-61.166667939 66.2500000000001,-61.2000007629999 66.2500000000001,-61.2333335879999 66.2500000000001,-61.2666664119999 66.2500000000001,-61.299999237 66.2500000000001,-61.333332062 66.2500000000001,-61.366664887 66.2500000000001,-61.400001526 66.2500000000001,-61.433334351 66.2500000000001,-61.4666671749999 66.2500000000001,-61.4999999999999 66.2500000000001,-61.5333328249999 66.2500000000001,-61.5666656499999 66.2500000000001,-61.599998474 66.2500000000001,-61.633335114 66.2500000000001,-61.6666679379999 66.2500000000001,-61.7000007629999 66.2500000000001,-61.7333335879999 66.2500000000001,-61.7666664129999 66.2500000000001,-61.799999237 66.2500000000001,-61.833332062 66.2500000000001,-61.866664886 66.2500000000001,-61.900001526 66.2500000000001,-61.933334351 66.2500000000001,-61.966667176 66.2500000000001,-61.9999999999999 66.2500000000001,-62.0333328249999 66.2500000000001,-62.066665649 66.2500000000001,-62.099998474 66.2500000000001,-62.133335113 66.2500000000001,-62.166667939 66.2500000000001,-62.2000007629999 66.2500000000001,-62.2333335879999 66.2500000000001,-62.2666664119999 66.2500000000001,-62.299999237 66.2500000000001,-62.333332062 66.2500000000001,-62.366664887 66.2500000000001,-62.400001526 66.2500000000001,-62.433334351 66.2500000000001,-62.4666671749999 66.2500000000001,-62.882255357 66.2500000000001,-63.029998779 66.480003357,-63.337904447 66.3855004910001,-64.111244201 66.4222335810001,-65.7820587159999 66.7905773030001,-68.9999999999999 67.5000000000001,-69.747375488 67.7853622440001,-70.494750976 68.0707244870001,-71.242126465 68.3560867310001,-71.9895019529999 68.6414413460001,-72.7368774409999 68.926803589,-73.4842452999999 69.212165833,-74.231620788 69.497528076,-74.978996277 69.78289032,-75.726371765 70.068252563,-76.4737472529999 70.3536071780001,-77.221122741 70.6389694210001,-77.96849823 70.9243316650001,-78.715873718 71.2096939090001,-79.9999999999999 71.699996948,-79.9999999999999 72.0000000000001,-79.9999999999999 72.3000030520001,-79.9999999999999 72.4091949460001,-79.9999999999999 72.4333343500001,-79.9999999999999 72.440002441,-79.940002441 72.4599990840001,-79.9999999999999 72.5000000000001,-79.9999999999999 72.5166702270001,-79.9999999999999 72.5333328250001,-79.9999999999999 72.5500030520001,-79.9999999999999 72.5666656500001,-79.9999999999999 72.5833358770001,-79.9999999999999 72.5999984740001,-79.9999999999999 72.616668701,-79.9999999999999 72.6333312990001,-79.9999999999999 72.650001526,-79.9999999999999 72.666664123,-79.9999999999999 72.6833343500001,-79.9999999999999 72.6999969490001,-79.9999999999999 72.716667176,-79.9999999999999 72.733329773,-79.9999999999999 72.7500000000001,-79.9999999999999 72.7666702270001,-79.9999999999999 72.7833328250001,-79.9999999999999 72.8000030520001,-79.9999999999999 72.8166656490001,-79.9999999999999 72.833335876,-79.9999999999999 72.8499984740001,-79.9999999999999 73.3000030520001,-79.9999999999999 73.733329773,-79.9999999999999 73.7500000000001,-79.9999999999999 73.7666702270001,-79.9999999999999 73.7833328250001,-79.9999999999999 73.8000030520001,-79.9999999999999 73.8166656490001,-79.9999999999999 73.833335876,-79.9999999999999 73.8499984740001,-79.9999999999999 73.866668701,-79.9999999999999 73.8833312990001,-79.9999999999999 73.900001526,-79.9999999999999 73.9166641240001,-79.9999999999999 73.933334351,-79.9999999999999 73.949996948,-79.9999999999999 73.9666671750001,-79.9999999999999 73.983329773,-79.9999999999999 74.0000000000001,-79.9999999999999 74.0166702270001,-79.9999999999999 74.0333328240001,-79.9999999999999 74.050003051,-79.9999999999999 74.0666656490001,-79.9999999999999 74.083335876,-79.9999999999999 74.0999984750001,-79.9999999999999 74.1166687020001,-79.9999999999999 74.1333312990001,-79.9999999999999 74.150001526,-79.9999999999999 74.1666641240001,-79.9999999999999 74.183334351,-79.9999999999999 74.199996948,-79.9999999999999 74.2166671750001,-79.9999999999999 74.233329773,-79.9999999999999 74.2500000000001,-79.9999999999999 74.2666702270001,-79.9999999999999 74.2833328250001,-79.9999999999999 74.3000030520001,-79.9999999999999 74.3166656500001,-79.9999999999999 74.3333358770001,-79.9999999999999 74.3499984740001,-79.9999999999999 74.366668701,-79.9999999999999 74.3833312990001,-79.9999999999999 74.400001526,-79.9999999999999 74.416664123,-79.9999999999999 74.4333343500001,-79.9999999999999 74.449996948,-79.9999999999999 74.4666671750001,-79.9999999999999 74.483329773,-79.9999999999999 74.5000000000001,-79.9999999999999 74.5166702270001,-79.9999999999999 74.5333328250001,-79.9999999999999 74.5500030520001,-79.9999999999999 74.5666656490001,-79.9999999999999 74.5833358770001,-79.9999999999999 74.5999984740001,-79.9999999999999 74.616668701,-79.9999999999999 74.6333312990001,-79.9999999999999 74.650001526,-79.9999999999999 74.666664123,-79.9999999999999 74.6833343500001,-79.9999999999999 74.6999969490001,-79.9999999999999 74.716667176,-79.9999999999999 74.733329773,-79.9999999999999 74.7500000000001,-79.9999999999999 74.7666702270001,-79.9999999999999 74.7833328250001,-79.9999999999999 74.8000030520001,-79.9999999999999 74.8166656490001,-79.9999999999999 74.833335876,-79.9999999999999 74.879997254,-80.61000061 74.989997864,-80.4199981689999 75.5000000000001,-80.006580974 75.5326090290001,-79.9999999999999 75.5500030520001,-79.9999999999999 75.5666656490001,-79.9999999999999 75.583335876,-79.9999999999999 75.5999984740001,-79.9999999999999 75.616668701,-79.9999999999999 75.6333312990001,-79.9999999999999 75.650001526,-79.9999999999999 75.666664123,-79.9999999999999 75.683334351,-79.9999999999999 75.6999969490001,-79.9999999999999 75.716667176,-79.9999999999999 75.733329773,-79.9999999999999 75.7500000000001,-79.9999999999999 75.7666702270001,-79.9999999999999 75.7833328250001,-79.9999999999999 75.8000030520001,-79.9999999999999 75.8166656490001,-79.9999999999999 75.833335876,-79.9999999999999 75.8499984740001,-79.9999999999999 75.866668701,-79.9999999999999 75.8833312990001,-79.9999999999999 75.900001526,-79.9999999999999 75.9166641240001,-79.9999999999999 75.933334351,-79.9999999999999 75.949996948,-79.9999999999999 75.9666671750001,-79.9999999999999 75.983329773,-79.9999999999999 76.0000000000001,-79.9999999999999 76.0166702270001,-79.9999999999999 76.0333328240001,-79.9999999999999 76.050003051,-79.9999999999999 76.0666656490001,-79.9999999999999 76.0833358770001,-79.9999999999999 76.0999984740001,-79.9999999999999 76.116668701,-79.9999999999999 76.1333312990001,-79.9999999999999 76.150001526,-79.9999999999999 76.1666641240001,-79.9999999999999 76.183334351,-79.9999999999999 76.199996948,-79.9999999999999 76.241722107,-79.9999999999999 76.5599975590001,-81.14140542 76.8110110690001,-81.562660217 76.903648376,-82.410003662 77.089996338,-82.309997559 77.8099975590001,-81.509994507 77.8099975590001,-79.9999999999999 77.8099975590001,-80.0001506519999 78.166664123,-76.652275085 78.1666641240001,-76.4999999999999 78.1666641240001,-76.466667176 78.1666641240001,-76.433334351 78.1666641240001,-76.400001526 78.1666641240001,-76.366668701 78.1666641240001,-76.333335876 78.1666641240001,-76.300003052 78.1666641240001,-76.266670227 78.1666641240001,-76.233329773 78.1666641240001,-76.199996948 78.1666641240001,-76.166664123 78.1666641240001,-76.133331299 78.1666641240001,-76.099998474 78.1666641240001,-76.0666656499999 78.1666641240001,-76.0333328249999 78.1666641240001,-75.999910363 78.1666641240001,-75.9666671749999 78.1666641240001,-75.933334351 78.1666641240001,-75.900001526 78.1666641240001,-75.866668702 78.1666641240001,-75.833335876 78.1666641240001,-75.800003051 78.1666641240001,-75.766670227 78.1666641240001,-75.733329773 78.1666641240001,-75.699996948 78.1666641240001,-75.666664124 78.1666641240001,-75.633331299 78.1666641240001,-75.599998474 78.1666641240001,-75.566665649 78.1666641240001,-75.5333328249999 78.1666641240001,-75.4999999999999 78.1666641240001,-75.466667176 78.1666641240001,-75.4333343499999 78.1666641240001,-75.400001526 78.1666641240001,-75.366668701 78.1666641240001,-75.333335877 78.1666641240001,-75.300003052 78.1666641240001,-75.266670227 78.1666641240001,-75.233329773 78.1666641240001,-75.20001877 78.1666641240001,-75.199996948 78.1666641240001,-75.166664123 78.1666641240001,-75.133331299 78.1666641240001,-75.099998474 78.1666641240001,-75.0666656499999 78.1666641240001,-75.0333328249999 78.1666641240001,-74.9999999999999 78.1666641240001,-74.9666671749999 78.1666641240001,-74.933334351 78.1666641240001,-74.900001526 78.1666641240001,-74.866668702 78.1666641240001,-74.833335876 78.1666641240001,-74.800003051 78.1666641240001,-74.766670227 78.1666641240001,-74.733329773 78.1666641240001,-74.699996948 78.1666641240001,-74.666664124 78.1666641240001,-74.633331299 78.1666641240001,-74.599998474 78.1666641240001,-74.566665649 78.1666641240001,-74.5333328249999 78.1666641240001,-74.4999999999999 78.1666641240001,-74.466667176 78.1666641240001,-74.4333343499999 78.1666641240001,-74.400098387 78.1666641240001,-74.400001526 78.1666641240001,-74.366668701 78.1666641240001,-74.333335877 78.1666641240001,-74.300003052 78.1666641240001,-74.266670227 78.1666641240001,-74.233329773 78.1666641240001,-74.199996948 78.1666641240001,-74.166664123 78.1666641240001,-74.133331299 78.1666641240001,-74.099998474 78.1666641240001,-74.0666656499999 78.1666641240001,-74.033332824 78.1666641240001,-73.9999999999999 78.1666641240001,-73.9666671749999 78.1666641240001,-73.933334351 78.1666641240001,-73.900001526 78.1666641240001,-73.866668702 78.1666641240001,-73.833335876 78.1666641240001,-73.800003052 78.1666641240001,-73.766670227 78.1666641240001,-73.733329773 78.1666641240001,-73.699996948 78.1666641240001,-73.666664124 78.1666641240001,-73.633331298 78.1666641240001,-73.600414761 78.1666641240001,-73.599998474 78.1666641240001,-73.566665649 78.1666641240001,-73.5333328249999 78.1666641240001,-73.4999999999999 78.166664123)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.0', '', '21.0', '21.0.A', '', '21.0A', '', '', '', '', '', '', '', '0A', '3', '21.0.A', '21.0A', 'Y'),('SRID=4326;MULTIPOLYGON(((-64.111244201 66.4222335810001,-63.337904447 66.3855004910001,-63.029998779 66.480003357,-62.882255357 66.2500000000001,-62.4666671749999 66.2500000000001,-62.433334351 66.2500000000001,-62.400001526 66.2500000000001,-62.366664887 66.2500000000001,-62.333332062 66.2500000000001,-62.299999237 66.2500000000001,-62.2666664119999 66.2500000000001,-62.2333335879999 66.2500000000001,-62.2000007629999 66.2500000000001,-62.166667939 66.2500000000001,-62.133335113 66.2500000000001,-62.099998474 66.2500000000001,-62.066665649 66.2500000000001,-62.0333328249999 66.2500000000001,-61.9999999999999 66.2500000000001,-61.966667176 66.2500000000001,-61.933334351 66.2500000000001,-61.900001526 66.2500000000001,-61.866664886 66.2500000000001,-61.833332062 66.2500000000001,-61.799999237 66.2500000000001,-61.7666664129999 66.2500000000001,-61.7333335879999 66.2500000000001,-61.7000007629999 66.2500000000001,-61.6666679379999 66.2500000000001,-61.633335114 66.2500000000001,-61.599998474 66.2500000000001,-61.5666656499999 66.2500000000001,-61.5333328249999 66.2500000000001,-61.4999999999999 66.2500000000001,-61.4666671749999 66.2500000000001,-61.433334351 66.2500000000001,-61.400001526 66.2500000000001,-61.366664887 66.2500000000001,-61.333332062 66.2500000000001,-61.299999237 66.2500000000001,-61.2666664119999 66.2500000000001,-61.2333335879999 66.2500000000001,-61.2000007629999 66.2500000000001,-61.166667939 66.2500000000001,-61.133335113 66.2500000000001,-61.099998474 66.2500000000001,-61.066665649 66.2500000000001,-61.0333328249999 66.2500000000001,-60.9999999999999 66.2500000000001,-60.966667176 66.2500000000001,-60.9333343499999 66.2500000000001,-60.900001526 66.2500000000001,-60.866664886 66.2500000000001,-60.833332062 66.2500000000001,-60.799999237 66.2500000000001,-60.7666664129999 66.2500000000001,-60.7333335869999 66.2500000000001,-60.7000007629999 66.2500000000001,-60.6666679379999 66.2500000000001,-60.633335114 66.2500000000001,-60.599998474 66.2500000000001,-60.5666656499999 66.2500000000001,-60.533332824 66.2500000000001,-60.4999999999999 66.2500000000001,-60.4666671749999 66.2500000000001,-60.433334351 66.2500000000001,-60.400001526 66.2500000000001,-60.366664887 66.2500000000001,-60.333332061 66.2500000000001,-60.299999237 66.2500000000001,-60.2666664119999 66.2500000000001,-60.2333335879999 66.2500000000001,-60.2000007629999 66.2500000000001,-60.166667939 66.2500000000001,-60.133335113 66.2500000000001,-60.099998474 66.2500000000001,-60.066665649 66.2500000000001,-60.0333328249999 66.2500000000001,-59.9999999999999 66.2500000000001,-59.966667176 66.2500000000001,-59.9333343499999 66.2500000000001,-59.900001526 66.2500000000001,-59.866664886 66.2500000000001,-59.833332062 66.2500000000001,-59.799999237 66.2500000000001,-59.7666664129999 66.2500000000001,-59.7333335869999 66.2500000000001,-59.7000007629999 66.2500000000001,-59.6666679379999 66.2500000000001,-59.633335114 66.2500000000001,-59.599998474 66.2500000000001,-59.5666656499999 66.2500000000001,-59.533332824 66.2500000000001,-59.4999999999999 66.2500000000001,-59.4666671749999 66.2500000000001,-59.433334351 66.2500000000001,-59.400001526 66.2500000000001,-59.366664887 66.2500000000001,-59.333332061 66.2500000000001,-59.299999237 66.2500000000001,-59.2666664119999 66.2500000000001,-59.2333335879999 66.2500000000001,-59.2000007629999 66.2500000000001,-59.166667939 66.2500000000001,-59.133335113 66.2500000000001,-59.099998474 66.2500000000001,-59.066665649 66.2500000000001,-59.0333328249999 66.2500000000001,-58.9999999999999 66.2500000000001,-58.966667176 66.2500000000001,-58.9333343499999 66.2500000000001,-58.900001526 66.2500000000001,-58.866664886 66.2500000000001,-58.833332062 66.2500000000001,-58.799999237 66.2500000000001,-58.7666664129999 66.2500000000001,-58.7333335869999 66.2500000000001,-58.7000007629999 66.2500000000001,-58.6666679379999 66.2500000000001,-58.633335114 66.2500000000001,-58.599998474 66.2500000000001,-58.5666656499999 66.2500000000001,-58.533332824 66.2500000000001,-58.4999999999999 66.2500000000001,-58.4666671749999 66.2500000000001,-58.433334351 66.2500000000001,-58.400001526 66.2500000000001,-58.366664887 66.2500000000001,-58.333332061 66.2500000000001,-58.299999237 66.2500000000001,-58.2666664119999 66.2500000000001,-58.2333335879999 66.2500000000001,-58.2000007629999 66.2500000000001,-58.1666679379999 66.2500000000001,-58.133335113 66.2500000000001,-58.099998474 66.2500000000001,-58.066665649 66.2500000000001,-58.0333328249999 66.2500000000001,-57.9999999999999 66.2500000000001,-57.966667176 66.2500000000001,-57.9333343499999 66.2500000000001,-57.900001526 66.2500000000001,-57.866664886 66.2500000000001,-57.833332062 66.2500000000001,-57.799999237 66.2500000000001,-57.7666664129999 66.2500000000001,-57.7333335869999 66.2500000000001,-57.7000007629999 66.2500000000001,-57.6666679379999 66.2500000000001,-57.634300232 66.2500000000001,-57.634449005 66.2477798460001,-57.635559082 66.231391907,-57.636665345 66.214996338,-57.6392745969999 66.197593689,-57.641876221 66.18018341,-57.6444778439999 66.1627807620001,-57.647071839 66.1453704840001,-57.649665832 66.1279602050001,-57.652256012 66.1105575560001,-57.654838562 66.0931472780001,-57.657421112 66.075744629,-57.6599998469999 66.058334351,-57.661392212 66.0419464110001,-57.662784576 66.0255584720001,-57.664173126 66.009170532,-57.665561676 65.992774964,-57.666950226 65.9763870240001,-57.668334961 65.959999085,-57.6697273249999 65.943611145,-57.67111969 65.9272232050001,-57.67250824 65.910835266,-57.673896789 65.8944473270001,-57.6752815249999 65.8780517580001,-57.6766662599999 65.8616638180001,-57.678333282 65.848335266,-57.6798820499999 65.8314132690001,-57.6814308159999 65.8144912720001,-57.682979584 65.797561645,-57.684524536 65.780639648,-57.686065674 65.7637176520001,-57.687606811 65.746795654,-57.6891441339999 65.729873657,-57.690681458 65.712951661,-57.6922149649999 65.696029663,-57.693748474 65.6791000360001,-57.695278168 65.6621780400001,-57.696807861 65.6452560430001,-57.69833374 65.628334045,-57.700557709 65.612220764,-57.702781677 65.5961074830001,-57.7050018309999 65.5800018310001,-57.708965301 65.5625762940001,-57.712924957 65.545150757,-57.716880798 65.52772522,-57.7208328249999 65.5103073120001,-57.7247772219999 65.4928817750001,-57.72871399 65.475456238,-57.7326507559999 65.458030701,-57.736579895 65.440605164,-57.7405014029999 65.423179626,-57.7444190969999 65.4057617180001,-57.748332978 65.3883361810001,-57.751342774 65.3710021970001,-57.75434494 65.353668213,-57.757347107 65.336334229,-57.7603416439999 65.3190002440001,-57.763332367 65.30166626,-57.760410308 65.28666687,-57.757492065 65.2716674810001,-57.754577637 65.2566680910001,-57.7516670219999 65.241668701,-57.747772217 65.22555542,-57.74388504 65.209442139,-57.7400016779999 65.1933364870001,-57.737220764 65.1783370970001,-57.7344398499999 65.1633300780001,-57.731666564 65.148330689,-57.7327804569999 65.1322250370001,-57.733890533 65.1161117560001,-57.73500061 65.0999984740001,-57.736385346 65.0824203490001,-57.7377662659999 65.0648422240001,-57.739147186 65.047256469,-57.740524292 65.029678344,-57.741901398 65.012100219,-57.743274689 64.9945144650001,-57.744647979 64.9769363400001,-57.746021271 64.9593582150001,-57.7473907469999 64.941772461,-57.748756409 64.924194336,-57.75012207 64.906616211,-57.751487732 64.889030457,-57.752849579 64.871452332,-57.754211426 64.8538665770001,-57.755569458 64.8362884520001,-57.7569274909999 64.8187103270001,-57.758281708 64.801124573,-57.759635926 64.783546448,-57.7609863279999 64.7659606930001,-57.7623367309999 64.7483825680001,-57.7636833189999 64.7308044430001,-57.765029907 64.713218689,-57.766376495 64.695640564,-57.7677192689999 64.6780548090001,-57.769062042 64.6604766840001,-57.770401001 64.6428909300001,-57.771736145 64.6253128050001,-57.773075104 64.6077270500001,-57.774406433 64.5901489250001,-57.775741577 64.5725631710001,-57.7770729069999 64.5549850460001,-57.778400421 64.537399292,-57.779727935 64.519821167,-57.781055451 64.5022354130001,-57.7823791499999 64.4846572880001,-57.783699036 64.4670715340001,-57.785018921 64.4494934090001,-57.7863388059999 64.431907654,-57.7876586909999 64.414329529,-57.7889709469999 64.3967437750001,-57.790287017 64.37915802,-57.791599274 64.361579895,-57.792907715 64.3439941410001,-57.7942161559999 64.3264160160001,-57.7955245969999 64.3088302610001,-57.796829224 64.291244507,-57.7981338499999 64.273666382,-57.799438476 64.2560806270001,-57.799884796 64.2500000000001,-57.800735474 64.2385025020001,-57.802036285 64.220916748,-57.803333282 64.2033309940001,-57.805217743 64.1868743900001,-57.807098389 64.170417786,-57.80897522 64.153961182,-57.810852051 64.137496948,-57.812725067 64.1210403440001,-57.814598083 64.1045837400001,-57.816467285 64.0881271370001,-57.8183326719999 64.0716629030001,-57.828845977 64.055236817,-57.839347839 64.0388107300001,-57.849834442 64.0223846440001,-57.860313415 64.005958557,-57.87077713 63.9895286560001,-57.881225586 63.9730987550001,-57.8916664119999 63.956665039,-57.902023315 63.940670013,-57.912368774 63.9246673580001,-57.922702789 63.9086685180001,-57.9330253599999 63.8926696780001,-57.9433326719999 63.876667023,-57.946670532 63.86277771,-57.950004577 63.848888398,-57.953334808 63.834999085,-57.9577903749999 63.8183326720001,-57.962242126 63.80166626,-57.966690063 63.7849998470001,-57.971130371 63.768333435,-57.975566864 63.751667023,-57.979999542 63.73500061,-57.985733032 63.7185707090001,-57.991462708 63.702144623,-57.997180939 63.6857147220001,-58.002895355 63.669288635,-58.008605957 63.6528587340001,-58.014305115 63.6364288330001,-58.020000458 63.619998932,-58.024448395 63.607776642,-58.028892517 63.5955543520001,-58.0333328249999 63.5833320620001,-58.027839661 63.568096161,-58.022350311 63.5528564460001,-58.0168685909999 63.537620545,-58.011394501 63.522380829,-58.0059242249999 63.5071449280001,-58.000457764 63.4919052120001,-57.994998932 63.4766654970001,-57.988594055 63.4605560300001,-57.982192993 63.444446564,-57.97579956 63.428333282,-57.9694175719999 63.4122238160001,-57.963039398 63.396110535,-57.956665039 63.3800010680001,-57.948467255 63.362556458,-57.940277099 63.3451156620001,-57.932098389 63.327671051,-57.923927307 63.3102264410001,-57.9157676689999 63.2927818300001,-57.907615661 63.2753372190001,-57.899475098 63.2578887940001,-57.8913459779999 63.2404441840001,-57.8832244869999 63.222999573,-57.8751144409999 63.2055511470001,-57.867012023 63.1881027220001,-57.858921051 63.1706542970001,-57.850837708 63.1532058720001,-57.842765808 63.1357574460001,-57.8347053529999 63.1183052060001,-57.826652526 63.1008567810001,-57.81860733 63.083404541,-57.8105735779999 63.065952301,-57.80255127 63.048503876,-57.79453659 63.031051636,-57.7865333559999 63.0135993960001,-57.7785377499999 62.996143341,-57.770549774 62.978691101,-57.762573242 62.9612350460001,-57.754608154 62.943782807,-57.746650696 62.9263267520001,-57.7387046809999 62.9088706970001,-57.730766296 62.891414642,-57.7228355409999 62.8739585880001,-57.714916229 62.8564987190001,-57.707008362 62.839042664,-57.699108124 62.821582795,-57.691215515 62.8041267400001,-57.6833343499999 62.78666687,-57.6755371089999 62.7691726680001,-57.667751312 62.7516822810001,-57.659973145 62.7341880800001,-57.6522026059999 62.7166938780001,-57.644443512 62.6991996770001,-57.6366920469999 62.6817054750001,-57.628952026 62.664211273,-57.6212196349999 62.646713257,-57.6134986879999 62.6292190550001,-57.605781555 62.611721039,-57.5980796809999 62.5942268370001,-57.5903816219999 62.5767288210001,-57.582695007 62.559230804,-57.575019836 62.541732788,-57.56734848 62.524230957,-57.559688568 62.5067329410001,-57.5567436219999 62.5000000000001,-57.5520400999999 62.4892349240001,-57.5443954469999 62.4717330930001,-57.536766052 62.4542312620001,-57.5291404719999 62.4367332460001,-57.521526337 62.4192314150001,-57.51391983 62.4017295840001,-57.5063209529999 62.384223938,-57.498733521 62.366722107,-57.491153717 62.349220276,-57.483585358 62.3317146300001,-57.4760208129999 62.3142089850001,-57.4684677119999 62.296707154,-57.4609260559999 62.279201508,-57.453388214 62.2616958620001,-57.4458618159999 62.244186401,-57.438343048 62.2266807560001,-57.430835724 62.20917511,-57.423332214 62.1916656490001,-57.416641235 62.1750030520001,-57.409957886 62.1583366400001,-57.403278351 62.1416702270001,-57.396606445 62.1250038150001,-57.389945984 62.1083374030001,-57.383289337 62.091667176,-57.37664032 62.075000763,-57.369998932 62.058334351,-57.366664886 62.048332214,-57.3633346559999 62.0383338930001,-57.3574981689999 62.0233345030001,-57.351665496 62.008335114,-57.349250793 61.9906463630001,-57.346839904 61.9729576110001,-57.3444290159999 61.95526886,-57.3420257569999 61.937583923,-57.339618683 61.9198951720001,-57.3372192379999 61.9022064210001,-57.3348197939999 61.88451767,-57.332424163 61.8668289190001,-57.330032349 61.849140167,-57.327644348 61.8314552310001,-57.3252563469999 61.813766479,-57.322872162 61.796077729,-57.3204917909999 61.7783889770001,-57.31811142 61.760700226,-57.3157348629999 61.7430114750001,-57.3133621219999 61.725322723,-57.31098938 61.707630158,-57.308624268 61.6899414060001,-57.30625534 61.6722526550001,-57.303894043 61.654563904,-57.3015365599999 61.6368751530001,-57.299179077 61.619186401,-57.2968215939999 61.6014976500001,-57.2944717399999 61.5838050840001,-57.292121887 61.5661163330001,-57.289775848 61.548427582,-57.2874298099999 61.5307388310001,-57.2850913999999 61.5130462650001,-57.2827529909999 61.495357514,-57.2804145809999 61.477664948,-57.278083801 61.4599761970001,-57.275753021 61.442287445,-57.273426055 61.42459488,-57.27109909 61.4069061280001,-57.26877594 61.3892135620001,-57.266456604 61.371524811,-57.264137268 61.353832245,-57.261825561 61.3361434940001,-57.259513855 61.3184509280001,-57.257202148 61.3007621770001,-57.2548942569999 61.283069611,-57.252590179 61.265377045,-57.250289917 61.2476882930001,-57.247989655 61.2299957280001,-57.2456932069999 61.2123031620001,-57.243400573 61.1946105960001,-57.2411079409999 61.176921844,-57.2388191219999 61.159229279,-57.236534118 61.1415367130001,-57.234249115 61.1238441470001,-57.231967926 61.1061553960001,-57.229690552 61.0884628300001,-57.227413177 61.070770264,-57.225139617 61.053077698,-57.222869873 61.035385132,-57.2206001279999 61.0176925660001,-57.218334198 61.0000000000001,-57.218296051 60.982223511,-57.218257904 60.9644470220001,-57.218219757 60.946670532,-57.2181816099999 60.9288940430001,-57.2181434629999 60.911117554,-57.2181053159999 60.8933372500001,-57.2180671689999 60.87556076,-57.2180290219999 60.8577842720001,-57.21799469 60.840007782,-57.217956543 60.8222312930001,-57.217918396 60.804454804,-57.217880249 60.7866745000001,-57.217842102 60.76889801,-57.217803955 60.7511215210001,-57.217803955 60.7500000000001,-57.217769623 60.733345032,-57.217731476 60.7155685430001,-57.217693329 60.697788238,-57.217655182 60.6800117490001,-57.2176208499999 60.66223526,-57.2175827029999 60.6444549560001,-57.217544556 60.626678467,-57.217506409 60.6089019780001,-57.217472076 60.591121673,-57.21743393 60.5733451840001,-57.217395782 60.555568695,-57.2173614509999 60.537788391,-57.2173233029999 60.5200119020001,-57.2172851569999 60.5022354120001,-57.217250824 60.4844551090001,-57.217212677 60.46667862,-57.21717453 60.4488983150001,-57.217140198 60.431121826,-57.217102051 60.4133415220001,-57.217067718 60.3955650330001,-57.2170295719999 60.377784729,-57.216995239 60.3600082400001,-57.216957092 60.342227935,-57.216918945 60.3244514470001,-57.2168846129999 60.3066711430001,-57.2168464659999 60.2888946530001,-57.216812134 60.2711143490001,-57.216773986 60.253337861,-57.216739655 60.2355575560001,-57.216701507 60.2177772520001,-57.216667176 60.200000763,-57.253372192 60.216667176,-57.290096283 60.2333335880001,-57.326835632 60.2500000000001,-57.36359787 60.2666664120001,-57.4003791809999 60.2833328250001,-57.437175751 60.2999992370001,-57.473995209 60.3166656490001,-57.510829926 60.3333320620001,-57.5476837159999 60.3499984740001,-57.584556579 60.3666648860001,-57.6214523309999 60.383335113,-57.658363342 60.400001526,-57.695293427 60.416667939,-57.7322425839999 60.433334351,-57.7692108159999 60.450000763,-57.8062019349999 60.4666671750001,-57.8432083129999 60.4833335880001,-57.880233764 60.5000000000001,-57.91727829 60.5166664120001,-57.954341889 60.5333328240001,-57.99142456 60.5499992370001,-58.028530121 60.5666656490001,-58.06565094 60.5833320620001,-58.102790832 60.5999984750001,-58.139949799 60.6166648870001,-58.1771316529999 60.633335114,-58.2143287659999 60.650001526,-58.251548767 60.666667938,-58.288784027 60.683334351,-58.3260421749999 60.700000763,-58.3633193969999 60.7166671750001,-58.4006118779999 60.7333335870001,-58.437927246 60.7500000000001,-58.4752616879999 60.7666664120001,-58.512615204 60.7833328250001,-58.549991608 60.7999992370001,-58.58738327 60.8166656500001,-58.6247940059999 60.8333320620001,-58.662227631 60.8499984740001,-58.6996803279999 60.8666648870001,-58.7371520999999 60.883335114,-58.774642945 60.900001526,-58.8121528629999 60.916667938,-58.849681854 60.9333343500001,-58.8872299189999 60.950000763,-58.924800873 60.9666671750001,-58.962390899 60.9833335880001,-58.9999999999999 61.0000000000001,-59.0333328249999 61.0000000000001,-59.066665649 61.0000000000001,-59.099998474 61.0000000000001,-59.133335113 61.0000000000001,-59.166667939 61.0000000000001,-59.2000007629999 61.0000000000001,-59.2333335879999 61.0000000000001,-59.2666664119999 61.0000000000001,-59.299999237 61.0000000000001,-59.333332061 61.0000000000001,-59.366664887 61.0000000000001,-59.400001526 61.0000000000001,-59.433334351 61.0000000000001,-59.4666671749999 61.0000000000001,-59.4999999999999 61.0000000000001,-59.533332824 61.0000000000001,-59.5666656499999 61.0000000000001,-59.599998474 61.0000000000001,-59.633335114 61.0000000000001,-59.6666679379999 61.0000000000001,-59.7000007629999 61.0000000000001,-59.7333335869999 61.0000000000001,-59.7666664129999 61.0000000000001,-59.799999237 61.0000000000001,-59.833332062 61.0000000000001,-59.866664886 61.0000000000001,-59.900001526 61.0000000000001,-59.9333343499999 61.0000000000001,-59.966667176 61.0000000000001,-59.9999999999999 61.0000000000001,-60.0333328249999 61.0000000000001,-60.066665649 61.0000000000001,-60.099998474 61.0000000000001,-60.133335113 61.0000000000001,-60.166667939 61.0000000000001,-60.2000007629999 61.0000000000001,-60.2333335879999 61.0000000000001,-60.2666664119999 61.0000000000001,-60.299999237 61.0000000000001,-60.333332061 61.0000000000001,-60.366664887 61.0000000000001,-60.400001526 61.0000000000001,-60.433334351 61.0000000000001,-60.4666671749999 61.0000000000001,-60.4999999999999 61.0000000000001,-60.533332824 61.0000000000001,-60.5666656499999 61.0000000000001,-60.599998474 61.0000000000001,-60.633335114 61.0000000000001,-60.6666679379999 61.0000000000001,-60.7000007629999 61.0000000000001,-60.7333335869999 61.0000000000001,-60.7666664129999 61.0000000000001,-60.799999237 61.0000000000001,-60.833332062 61.0000000000001,-60.866664886 61.0000000000001,-60.900001526 61.0000000000001,-60.9333343499999 61.0000000000001,-60.966667176 61.0000000000001,-60.9999999999999 61.0000000000001,-61.0333328249999 61.0000000000001,-61.066665649 61.0000000000001,-61.099998474 61.0000000000001,-61.133335113 61.0000000000001,-61.166667939 61.0000000000001,-61.2000007629999 61.0000000000001,-61.2333335879999 61.0000000000001,-61.2666664119999 61.0000000000001,-61.299999237 61.0000000000001,-61.333332062 61.0000000000001,-61.366664887 61.0000000000001,-61.400001526 61.0000000000001,-61.433334351 61.0000000000001,-61.4666671749999 61.0000000000001,-61.4999999999999 61.0000000000001,-61.5333328249999 61.0000000000001,-61.5666656499999 61.0000000000001,-61.599998474 61.0000000000001,-61.633335114 61.0000000000001,-61.6666679379999 61.0000000000001,-61.7000007629999 61.0000000000001,-61.7333335879999 61.0000000000001,-61.7666664129999 61.0000000000001,-61.799999237 61.0000000000001,-61.833332062 61.0000000000001,-61.866664886 61.0000000000001,-61.900001526 61.0000000000001,-61.933334351 61.0000000000001,-61.966667176 61.0000000000001,-61.9999999999999 61.0000000000001,-62.0333328249999 61.0000000000001,-62.066665649 61.0000000000001,-62.099998474 61.0000000000001,-62.133335113 61.0000000000001,-62.166667939 61.0000000000001,-62.2000007629999 61.0000000000001,-62.2333335879999 61.0000000000001,-62.2666664119999 61.0000000000001,-62.299999237 61.0000000000001,-62.333332062 61.0000000000001,-62.366664887 61.0000000000001,-62.400001526 61.0000000000001,-62.433334351 61.0000000000001,-62.4666671749999 61.0000000000001,-62.4999999999999 61.0000000000001,-62.5333328249999 61.0000000000001,-62.5666656499999 61.0000000000001,-62.599998474 61.0000000000001,-62.633335114 61.0000000000001,-62.6666679379999 61.0000000000001,-62.7000007629999 61.0000000000001,-62.7333335879999 61.0000000000001,-62.7666664129999 61.0000000000001,-62.799999237 61.0000000000001,-62.833332062 61.0000000000001,-62.866664886 61.0000000000001,-62.900001526 61.0000000000001,-62.933334351 61.0000000000001,-62.966667176 61.0000000000001,-62.9999999999999 61.0000000000001,-63.0333328249999 61.0000000000001,-63.066665649 61.0000000000001,-63.099998474 61.0000000000001,-63.133335114 61.0000000000001,-63.166667939 61.0000000000001,-63.2000007629999 61.0000000000001,-63.2333335879999 61.0000000000001,-63.2666664119999 61.0000000000001,-63.299999237 61.0000000000001,-63.333332062 61.0000000000001,-63.366664887 61.0000000000001,-63.400001526 61.0000000000001,-63.433334351 61.0000000000001,-63.4666671749999 61.0000000000001,-63.4999999999999 61.0000000000001,-63.5333328249999 61.0000000000001,-63.5666656499999 61.0000000000001,-63.599998474 61.0000000000001,-63.633335113 61.0000000000001,-63.6666679379999 61.0000000000001,-63.7000007629999 61.0000000000001,-63.7333335879999 61.0000000000001,-63.7666664129999 61.0000000000001,-63.799999237 61.0000000000001,-63.833332062 61.0000000000001,-63.866664886 61.0000000000001,-63.9000015249999 61.0000000000001,-63.933334351 61.0000000000001,-63.966667176 61.0000000000001,-63.9999999999999 61.0000000000001,-64.0333328249999 61.0000000000001,-64.066665649 61.0000000000001,-64.099998474 61.0000000000001,-64.133331299 61.0000000000001,-64.166664124 61.0000000000001,-64.199996948 61.0000000000001,-64.233329773 61.0000000000001,-64.266670227 61.0000000000001,-64.300003051 61.0000000000001,-64.333335877 61.0000000000001,-64.366668701 61.0000000000001,-64.400001526 61.0000000000001,-64.433334351 61.0000000000001,-64.4666671749999 61.0000000000001,-64.4999999999999 61.0000000000001,-64.5333328249999 61.0000000000001,-64.5666656499999 61.0000000000001,-64.599998474 61.0000000000001,-64.633331299 61.0000000000001,-64.666664123 61.0000000000001,-64.699996948 61.0000000000001,-64.733329773 61.0000000000001,-64.766670227 61.0000000000001,-64.800003052 61.0000000000001,-64.833335876 61.0000000000001,-64.866668701 61.0000000000001,-64.9000015249999 61.0000000000001,-64.933334351 61.0000000000001,-64.966667176 61.0000000000001,-64.9999999999999 61.0000000000001,-65.023895263 61.0166664130001,-65.047805786 61.0333328250001,-65.0717239379999 61.0499992370001,-65.095657349 61.0666656490001,-65.119598389 61.0833320620001,-65.143562317 61.0999984740001,-65.167526245 61.1166648860001,-65.191513061 61.133335113,-65.215507507 61.150001526,-65.239517212 61.166667938,-65.263542176 61.1833343500001,-65.287574768 61.200000763,-65.3116226189999 61.216667176,-65.335678101 61.2333335880001,-65.3597564689999 61.2500000000001,-65.383842468 61.2666664120001,-65.407936096 61.2833328250001,-65.4320526119999 61.2999992370001,-65.456176757 61.3166656490001,-65.480308533 61.3333320610001,-65.504463195 61.3499984740001,-65.5286254879999 61.3666648860001,-65.55279541 61.383335113,-65.57698822 61.400001526,-65.6011886589999 61.416667939,-65.625404358 61.433334351,-65.649627685 61.450000763,-65.673873902 61.4666671750001,-65.698120117 61.4833335880001,-65.722389221 61.5000000000001,-65.746673584 61.5166664120001,-65.770965576 61.5333328240001,-65.795265198 61.5499992370001,-65.819587707 61.5666656490001,-65.8439178469999 61.5833320620001,-65.8682632439999 61.5999984740001,-65.892623901 61.6166648870001,-65.9169921869999 61.633335114,-65.941375732 61.650001526,-65.965774536 61.666667938,-65.990188599 61.683334351,-66.01461029 61.700000763,-66.0390472409999 61.7166671750001,-66.0634994499999 61.7333335870001,-66.087959289 61.7500000000001,-66.112442017 61.7666664120001,-66.136932373 61.7833328250001,-66.161430359 61.7999992370001,-66.185951233 61.8166656500001,-66.210479736 61.8333320620001,-66.2174406139999 61.8380588380001,-66.258392334 61.8662490840001,-68.9999999999999 63.3300018310001,-68.9999999999999 64.1300048830001,-68.9999999999999 64.587841703,-68.9999999999999 64.9300003050001,-68.9999999999999 65.730003357,-68.9999999999999 66.52999878,-68.9999999999999 67.5000000000001,-65.7820587159999 66.7905773030001,-64.111244201 66.4222335810001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.0', '', '21.0', '21.0.B', '', '21.0B', '', '', '', '', '', '', '', '0B', '3', '21.0.B', '21.0B', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 78.1699988450001,-40.0000006939999 69.8090154380001,-42.171305401 69.8394053000001,-43.9999999999999 69.8650000000001,-43.9999999999999 69.6300048830001,-43.999999999 69.369995117,-43.999999999 68.8300018310001,-50.6199989319999 68.8300018310001,-50.7599983219999 68.900001526,-50.880001068 68.8300018310001,-51.1140251159999 68.833335876,-51.2000007619999 68.833335876,-51.2333335879999 68.833335876,-51.2666664119999 68.833335876,-51.299999237 68.833335876,-51.333332062 68.833335876,-51.366664886 68.833335876,-51.4000015249999 68.833335876,-51.433334351 68.833335876,-51.4666671749999 68.833335876,-51.4999999999999 68.833335876,-51.5333328249999 68.833335876,-51.566665649 68.833335876,-51.599998474 68.833335876,-51.633335114 68.833335876,-51.6666679379999 68.833335876,-51.7000007629999 68.833335876,-51.7333335879999 68.833335876,-51.7666664119999 68.833335876,-51.799999237 68.833335876,-51.833332062 68.833335876,-51.866664886 68.833335876,-51.900001526 68.833335876,-51.9333343499999 68.833335876,-51.9666671749999 68.833335876,-51.9999999999999 68.833335876,-52.0333328249999 68.833335876,-52.066665649 68.833335876,-52.099998474 68.833335876,-52.133335113 68.833335876,-52.1666679379999 68.833335876,-52.2000007629999 68.833335876,-52.2333335879999 68.833335876,-52.2666664119999 68.833335876,-52.299999237 68.833335876,-52.333332062 68.833335876,-52.366664886 68.833335876,-52.400001526 68.833335876,-52.433334351 68.833335876,-52.4666671749999 68.833335876,-52.4999999999999 68.833335876,-52.5333328249999 68.833335876,-52.566665649 68.833335876,-52.599998474 68.833335876,-52.633335114 68.833335876,-52.6666679379999 68.833335876,-52.7000007629999 68.833335876,-52.7333335869999 68.833335876,-52.7666664119999 68.833335876,-52.799999237 68.833335876,-52.833332062 68.833335876,-52.866664886 68.833335876,-52.900001526 68.833335876,-52.9333343499999 68.833335876,-52.9666671749999 68.833335876,-52.9999999999999 68.833335876,-53.0333328249999 68.833335876,-53.066665649 68.833335876,-53.099998474 68.833335876,-53.133335113 68.833335876,-53.1666679379999 68.833335876,-53.2000007629999 68.833335876,-53.2333335879999 68.833335876,-53.2666664119999 68.833335876,-53.299999237 68.833335876,-53.333332062 68.833335876,-53.366664886 68.833335876,-53.400001526 68.833335876,-53.433334351 68.833335876,-53.4666671749999 68.833335876,-53.4999999999999 68.833335876,-53.533332824 68.833335876,-53.566665649 68.833335876,-53.599998474 68.833335876,-53.633335114 68.833335876,-53.6666679379999 68.833335876,-53.7000007629999 68.833335876,-53.7333335869999 68.833335876,-53.7666664119999 68.833335876,-53.799999237 68.833335876,-53.833332062 68.833335876,-53.866664886 68.833335876,-53.900001526 68.833335876,-53.9333343499999 68.833335876,-53.9666671749999 68.833335876,-53.9999999999999 68.833335876,-54.0333328249999 68.833335876,-54.066665649 68.833335876,-54.099998474 68.833335876,-54.133335113 68.833335876,-54.1666679379999 68.833335876,-54.2000007629999 68.833335876,-54.2333335879999 68.833335876,-54.2666664119999 68.833335876,-54.299999237 68.833335876,-54.333332062 68.833335876,-54.366664886 68.833335876,-54.400001526 68.833335876,-54.433334351 68.833335876,-54.4666671749999 68.833335876,-54.4999999999999 68.833335876,-54.533332824 68.833335876,-54.566665649 68.833335876,-54.599998474 68.833335876,-54.633335114 68.833335876,-54.6666679379999 68.833335876,-54.7000007629999 68.833335876,-54.7333335869999 68.833335876,-54.7666664119999 68.833335876,-54.799999237 68.833335876,-54.833332062 68.833335876,-54.866664886 68.833335876,-54.900001526 68.833335876,-54.9333343499999 68.833335876,-54.9666671749999 68.833335876,-54.9999999999999 68.833335876,-55.0333328249999 68.833335876,-55.066665649 68.833335876,-55.099998474 68.833335876,-55.133335113 68.833335876,-55.1666679379999 68.833335876,-55.2000007629999 68.833335876,-55.2333335879999 68.833335876,-55.2666664119999 68.833335876,-55.299999237 68.833335876,-55.333332061 68.833335876,-55.366664886 68.833335876,-55.400001526 68.833335876,-55.433334351 68.833335876,-55.4666671749999 68.833335876,-55.4999999999999 68.833335876,-55.533332824 68.833335876,-55.566665649 68.833335876,-55.599998474 68.833335876,-55.633335114 68.833335876,-55.6666679379999 68.833335876,-55.7000007629999 68.833335876,-55.7333335869999 68.833335876,-55.7666664119999 68.833335876,-55.799999237 68.833335876,-55.833332062 68.833335876,-55.866664886 68.833335876,-55.900001526 68.833335876,-55.9333343499999 68.833335876,-55.9666671749999 68.833335876,-55.9999999999999 68.833335876,-56.0333328249999 68.833335876,-56.066665649 68.833335876,-56.099998474 68.833335876,-56.133335113 68.833335876,-56.1666679379999 68.833335876,-56.2000007629999 68.833335876,-56.2333335879999 68.833335876,-56.2666664119999 68.833335876,-56.299999237 68.833335876,-56.333332061 68.833335876,-56.366664886 68.833335876,-56.400001526 68.833335876,-56.433334351 68.833335876,-56.4666671749999 68.833335876,-56.4999999999999 68.833335876,-56.533332824 68.833335876,-56.566665649 68.833335876,-56.599998474 68.833335876,-56.633335114 68.833335876,-56.6666679379999 68.833335876,-56.7000007629999 68.833335876,-56.7333335869999 68.833335876,-56.7666664119999 68.833335876,-56.799999237 68.833335876,-56.833332062 68.833335876,-56.866664886 68.833335876,-56.900001526 68.833335876,-56.9333343499999 68.833335876,-56.9666671749999 68.833335876,-56.9999999999999 68.833335876,-57.0333328249999 68.833335876,-57.066665649 68.833335876,-57.099998474 68.833335876,-57.133335113 68.833335876,-57.1666679379999 68.833335876,-57.2000007629999 68.833335876,-57.2333335879999 68.833335876,-57.2666664119999 68.833335876,-57.299999237 68.833335876,-57.333332061 68.833335876,-57.366664886 68.833335876,-57.400001526 68.833335876,-57.433334351 68.833335876,-57.4666671749999 68.833335876,-57.4999999999999 68.833335876,-57.533332824 68.833335876,-57.566665649 68.833335876,-57.599998474 68.833335876,-57.633335114 68.833335876,-57.6666679379999 68.833335876,-57.7000007629999 68.833335876,-57.7333335869999 68.833335876,-57.7666664119999 68.833335876,-57.799999237 68.833335876,-57.833332062 68.833335876,-57.866664886 68.833335876,-57.900001526 68.833335876,-57.9333343499999 68.833335876,-57.9666671749999 68.833335876,-57.9999999999999 68.833335876,-58.0333328249999 68.833335876,-58.066665649 68.833335876,-58.099998474 68.833335876,-58.133335113 68.833335876,-58.1666679379999 68.833335876,-58.2000007629999 68.833335876,-58.2333335879999 68.833335876,-58.2666664119999 68.833335876,-58.299999237 68.833335876,-58.333332061 68.833335876,-58.366664886 68.833335876,-58.400001526 68.833335876,-58.433334351 68.833335876,-58.4666671749999 68.833335876,-58.4999999999999 68.833335876,-58.533332824 68.833335876,-58.566665649 68.833335876,-58.599998474 68.833335876,-58.633335114 68.833335876,-58.6666679379999 68.833335876,-58.7000007629999 68.833335876,-58.7333335869999 68.833335876,-58.7666664119999 68.833335876,-58.799999237 68.833335876,-58.833332062 68.833335876,-58.866664886 68.833335876,-58.900001526 68.833335876,-58.9333343499999 68.833335876,-58.9666671749999 68.833335876,-58.9999999999999 68.833335876,-59.0333328249999 68.833335876,-59.066665649 68.833335876,-59.099998474 68.833335876,-59.133335113 68.833335876,-59.1666679379999 68.833335876,-59.2000007629999 68.833335876,-59.2333335879999 68.833335876,-59.2666664119999 68.833335876,-59.299999237 68.833335876,-59.333332061 68.833335876,-59.366664886 68.833335876,-59.400001526 68.833335876,-59.433334351 68.833335876,-59.4666671749999 68.833335876,-59.4999999999999 68.833335876,-59.533332824 68.833335876,-59.566665649 68.833335876,-59.599998474 68.833335876,-59.633335114 68.833335876,-59.6666679379999 68.833335876,-59.7000007629999 68.833335876,-59.7333335869999 68.833335876,-59.748142242 68.833335876,-59.7719459539999 68.842643738,-59.8053169249999 68.855667114,-59.838726043 68.8686828610001,-59.8721733089999 68.8816986080001,-59.9056587219999 68.894706726,-59.939186096 68.9077072140001,-59.972751617 68.920700073,-60.006355286 68.9336853030001,-60.0400009159999 68.9466629030001,-60.0619468689999 68.960006714,-60.0839195249999 68.973342895,-60.1059188839999 68.9866790770001,-60.127944946 69.0000076300001,-60.150001526 69.013336182,-60.1725311279999 69.0276260380001,-60.195091248 69.041923523,-60.2176818839999 69.0562057500001,-60.2402992249999 69.0704956050001,-60.262947082 69.084777832,-60.285625458 69.0990600590001,-60.308334351 69.1133346560001,-60.3303718569999 69.1279220580001,-60.35243988 69.142509461,-60.374538421 69.1570892340001,-60.396667481 69.1716690060001,-60.417194367 69.185554504,-60.43775177 69.199447632,-60.458332062 69.2133331300001,-60.480381012 69.228729248,-60.502456665 69.2441177370001,-60.524566651 69.2595062250001,-60.5467071529999 69.2748947140001,-60.568878174 69.290275573,-60.591083527 69.3056564330001,-60.613315582 69.3210372930001,-60.63558197 69.336410523,-60.6578826909999 69.3517837520001,-60.680210114 69.3671493530001,-60.7025718689999 69.3825225830001,-60.724964141 69.397880554,-60.7473907469999 69.413246154,-60.76984787 69.4285964970001,-60.7923393249999 69.4439544680001,-60.814861298 69.45930481,-60.8374137879999 69.474655151,-60.86000061 69.489997864,-60.865417481 69.5070037850001,-60.87084198 69.5240020750001,-60.876277924 69.5410079960001,-60.8817214969999 69.5580062870001,-60.887172699 69.5750045770001,-60.8926315309999 69.592010498,-60.8981018059999 69.609008789,-60.903579712 69.6260070800001,-60.909065246 69.643013001,-60.91455841 69.660011291,-60.920063018 69.677009582,-60.9255752559999 69.6940078740001,-60.9310989379999 69.7110061650001,-60.936630249 69.728012085,-60.942169189 69.745010376,-60.9477157589999 69.762008667,-60.953273773 69.7790069580001,-60.9588394159999 69.7960052490001,-60.964416504 69.8130035400001,-60.97000122 69.8300018310001,-60.973873138 69.845275879,-60.977756501 69.8605575560001,-60.981639862 69.875831604,-60.985534668 69.8911132810001,-60.989429474 69.906387329,-60.9933319089999 69.9216690060001,-60.9999999999999 69.9300003050001,-61.011623383 69.9461135860001,-61.023262024 69.9622268680001,-61.034919739 69.9783401490001,-61.046596527 69.994445801,-61.058288574 70.010559082,-61.069999695 70.0266647340001,-61.080791473 70.0430603030001,-61.091598511 70.059448242,-61.102424621 70.075836182,-61.1132659909999 70.0922241210001,-61.12412262 70.10861206,-61.134998321 70.1250000000001,-61.1408309939999 70.1358337400001,-61.146667481 70.1466674810001,-61.1526489249999 70.162002564,-61.158641815 70.1773376460001,-61.16463852 70.1926651000001,-61.170650482 70.2080001830001,-61.1766662599999 70.223335267,-61.182540893 70.240615845,-61.188426971 70.257896423,-61.194320679 70.2751846310001,-61.20022583 70.29246521,-61.20613861 70.309745788,-61.212062836 70.327026367,-61.217998504 70.3443069460001,-61.2239418029999 70.3615875240001,-61.229896546 70.3788681030001,-61.235862732 70.396148682,-61.241836548 70.41342926,-61.247821808 70.430709839,-61.2538146969999 70.4479904180001,-61.2598190309999 70.4652709960001,-61.265834808 70.4825515750001,-61.27186203 70.499832154,-61.2778968809999 70.517112732,-61.283943176 70.534385682,-61.2900009159999 70.55166626,-61.307754517 70.5655593870001,-61.3255310059999 70.579444885,-61.343334198 70.5933303830001,-61.3652992249999 70.6095047000001,-61.387302399 70.6256713870001,-61.409339905 70.641838073,-61.431411743 70.6579971310001,-61.453517913 70.674156189,-61.4756622319999 70.6903152470001,-61.4978408809999 70.7064666750001,-61.520053864 70.7226181030001,-61.542304993 70.738769532,-61.564590454 70.7549133310001,-61.5869140619999 70.771057129,-61.6092720029999 70.7871932990001,-61.6316680909999 70.8033370970001,-61.651622773 70.8183364870001,-61.6716079719999 70.833335876,-61.691619873 70.848335266,-61.711666107 70.8633346550001,-61.7322807309999 70.879470826,-61.752925873 70.8955993650001,-61.7736053469999 70.9117279050001,-61.7943191529999 70.927856445,-61.815063476 70.943984985,-61.835845948 70.9601058960001,-61.856658936 70.976226807,-61.8775062559999 70.992347717,-61.898391724 71.0084609990001,-61.919307708 71.0245742800001,-61.940258026 71.0406875610001,-61.961242676 71.056793213,-61.982261658 71.0728988650001,-62.0033149719999 71.089004516,-62.024406433 71.1051101690001,-62.045528411 71.1212081910001,-62.066684723 71.137306213,-62.0878791809999 71.153396607,-62.1091079719999 71.1694869990001,-62.130367279 71.1855773920001,-62.151668548 71.201667786,-62.1715660099999 71.2178649900001,-62.191501617 71.2340545660001,-62.211467743 71.25025177,-62.231468201 71.266441345,-62.251499176 71.2826309210001,-62.271568298 71.298812866,-62.2916679379999 71.315002442,-62.31061554 71.3316726690001,-62.329597473 71.3483428960001,-62.348613739 71.365013123,-62.367660523 71.38167572,-62.386741639 71.3983459470001,-62.405853271 71.415008545,-62.424999237 71.431663513,-62.440795898 71.4462509160001,-62.4566192619999 71.4608383180001,-62.472465515 71.4754180910001,-62.4883346559999 71.489997864,-62.503311157 71.503334045,-62.518314362 71.5166702270001,-62.5333328249999 71.529998779,-62.545825958 71.5391693110001,-62.5583343499999 71.5483322150001,-62.580482483 71.5647354120001,-62.602672576 71.581138611,-62.6248970029999 71.5975341800001,-62.6471633909999 71.613929748,-62.669464111 71.630325317,-62.691806793 71.646713257,-62.7141876219999 71.6631011970001,-62.736606598 71.679489135,-62.7590599059999 71.6958694460001,-62.78155899 71.7122497560001,-62.804092408 71.7286224360001,-62.826667785 71.7450027470001,-62.84608078 71.7594451910001,-62.865524292 71.7738876340001,-62.884998321 71.7883300780001,-62.9106063839999 71.801673889,-62.936244965 71.8150177000001,-62.9619255069999 71.828353882,-62.9876365659999 71.841690063,-63.0133895869999 71.8550186160001,-63.0391769409999 71.8683471680001,-63.064998626 71.8816680900001,-63.093463898 71.896354676,-63.121974945 71.9110336300001,-63.150527954 71.925712586,-63.17912674 71.9403839110001,-63.207771301 71.9550552370001,-63.2364578249999 71.9697189330001,-63.265193939 71.9843750000001,-63.293972015 71.999031067,-63.322795868 72.0136871340001,-63.3516654969999 72.0283355710001,-63.3787918089999 72.041397094,-63.405956268 72.0544586180001,-63.433162689 72.067520142,-63.460403442 72.080574036,-63.487682343 72.0936203000001,-63.51499939 72.1066665650001,-63.5429573059999 72.1194534310001,-63.570957184 72.132240295,-63.5989913939999 72.145019532,-63.6270675659999 72.1577911370001,-63.6551818839999 72.1705627440001,-63.6833343499999 72.183334351,-63.716480255 72.1977539060001,-63.74968338 72.212165833,-63.7829322809999 72.2265701300001,-63.8162384039999 72.2409667970001,-63.849594117 72.2553634640001,-63.8830032349999 72.2697525020001,-63.9164657589999 72.2841415410001,-63.94998169 72.29851532,-63.983547211 72.3128890990001,-64.0171661369999 72.3272552490001,-64.050842285 72.34161377,-64.084564209 72.3559722900001,-64.118347168 72.3703231810001,-64.1521759029999 72.3846664430001,-64.186058045 72.3990020750001,-64.220001221 72.4133300780001,-64.250579834 72.4269180300001,-64.281196595 72.4404983520001,-64.31186676 72.4540786740001,-64.3425827029999 72.4676437370001,-64.373344421 72.4812164300001,-64.404144287 72.4947738650001,-64.434997559 72.5083312990001,-64.46509552 72.5221557620001,-64.495246887 72.5359725960001,-64.525436401 72.549789429,-64.555671692 72.5635986330001,-64.5859603879999 72.577400208,-64.6162872309999 72.591201783,-64.64666748 72.605003357,-64.675193786 72.6187210080001,-64.7037658689999 72.63243866,-64.7323837279999 72.6461486810001,-64.761039734 72.659858704,-64.7897415159999 72.6735610960001,-64.8184890749999 72.6872558590001,-64.8472824089999 72.7009582520001,-64.876121521 72.714645385,-64.904998779 72.72833252,-64.927749634 72.739448548,-64.9505310059999 72.750556945,-64.9733352659999 72.7616653440001,-64.994148255 72.7783355710001,-65.01499939 72.7949981690001,-65.0428543089999 72.807922363,-65.070755005 72.8208389280001,-65.098686218 72.8337554940001,-65.126663208 72.8466644280001,-65.158477783 72.861633301,-65.1903381349999 72.876602173,-65.222251892 72.8915634150001,-65.254219055 72.906517029,-65.286247254 72.9214630130001,-65.3183212279999 72.9364089970001,-65.3504562379999 72.951347351,-65.3826446529999 72.966278076,-65.4148864749999 72.981208801,-65.447181702 72.9961318970001,-65.479537964 73.0110549920001,-65.511940002 73.0259704590001,-65.544403076 73.0408782960001,-65.576927185 73.055778504,-65.60949707 73.0706787110001,-65.6421279909999 73.085571289,-65.674812317 73.100456238,-65.707550048 73.1153411860001,-65.7403488159999 73.1302185060001,-65.773200989 73.1450881960001,-65.8061141969999 73.159957886,-65.839080811 73.1748199470001,-65.87210083 73.1896743780001,-65.9051818849999 73.2045288090001,-65.938316346 73.2193679810001,-65.9715118409999 73.2342147830001,-66.004760742 73.249046326,-66.0380706779999 73.2638778680001,-66.071434021 73.278701782,-66.1048507689999 73.293518066,-66.1383361809999 73.308334351,-66.169616699 73.3220596310001,-66.200942993 73.335777282,-66.232322693 73.3494873050001,-66.263755798 73.3631973270001,-66.295234681 73.3768997190001,-66.326766968 73.3906021120001,-66.358352661 73.404289245,-66.3899841309999 73.4179840090001,-66.4216690069999 73.431663513,-66.476737976 73.437545776,-66.531845092 73.4434127810001,-66.5869903559999 73.449264526,-66.642173767 73.455101014,-66.6973953249999 73.460922241,-66.7526473999999 73.466728211,-66.807945252 73.4725189210001,-66.8632812499999 73.4782943720001,-66.918655395 73.484062195,-66.974060059 73.489807129,-67.029510498 73.4955444340001,-67.084991455 73.5012664800001,-67.1405105599999 73.5069656370001,-67.19606781 73.5126571660001,-67.251663208 73.518333435,-67.307388306 73.524436951,-67.3631515499999 73.530525208,-67.418952942 73.5365982050001,-67.474792481 73.5426635740001,-67.5306701659999 73.5487060550001,-67.5865936279999 73.554733276,-67.642555237 73.5607528680001,-67.698554993 73.566749573,-67.754592896 73.5727386470001,-67.8106765749999 73.5787048340001,-67.8667907719999 73.584663391,-67.9229507439999 73.59059906,-67.979148864 73.5965271000001,-68.035392761 73.6024398810001,-68.0916671749999 73.608329773,-68.12940979 73.6161193840001,-68.167190552 73.6238937370001,-68.2050018309999 73.6316680910001,-68.2523498529999 73.6422500610001,-68.299758911 73.652816773,-68.347229004 73.6633834840001,-68.394760132 73.6739349360001,-68.442352295 73.6844711300001,-68.489997864 73.694999695,-68.5353088379999 73.7055053720001,-68.580665588 73.7160034180001,-68.626083374 73.7264862060001,-68.671562195 73.7369613650001,-68.717094421 73.7474288940001,-68.762687683 73.7578887940001,-68.808334351 73.768333435,-68.851669311 73.7783355710001,-68.893547058 73.7900314330001,-68.93547821 73.8017196650001,-68.977470398 73.813392639,-69.0195312499999 73.825065613,-69.0616378779999 73.836730957,-69.103813171 73.8483810430001,-69.14604187 73.8600311280001,-69.188331604 73.871665954,-69.23021698 73.8827362060001,-69.272163392 73.8937988280001,-69.314163208 73.9048538210001,-69.35621643 73.9159011840001,-69.398330688 73.926933289,-69.440498352 73.9379653930001,-69.4827194219999 73.9489898680001,-69.525001526 73.9599990840001,-69.5695800779999 73.9709777830001,-69.614227295 73.9819488520001,-69.658927917 73.992912292,-69.7036895749999 74.0038681030001,-69.748512268 74.0148086550001,-69.793395996 74.0257415770001,-69.83833313 74.03666687,-69.866668701 74.0433349610001,-69.9151916499999 74.0550231940001,-69.963790893 74.066696167,-70.012458801 74.0783691400001,-70.061195374 74.090019226,-70.11000061 74.1016693110001,-70.159133911 74.113342285,-70.208335877 74.1250000000001,-70.252418518 74.135429382,-70.296554565 74.145851135,-70.340751648 74.1562652590001,-70.385002136 74.1666641240001,-70.4290847779999 74.1770935060001,-70.473220826 74.1875152590001,-70.517417908 74.197929382,-70.561668396 74.2083358770001,-70.612075806 74.2197036740001,-70.6625595089999 74.231056213,-70.7131118779999 74.242401123,-70.76373291 74.253738404,-70.814430237 74.2650604250001,-70.8651962279999 74.2763671880001,-70.916030884 74.2876663210001,-70.966941833 74.2989578240001,-71.017921448 74.3102264400001,-71.068969727 74.321495057,-71.120094299 74.3327407840001,-71.171287537 74.3439865110001,-71.222549438 74.355209351,-71.2738876339999 74.36642456,-71.325302124 74.377632142,-71.376777649 74.3888168330001,-71.428337098 74.400001526,-71.475990295 74.4109802250001,-71.5237197869999 74.421958923,-71.571510315 74.432922364,-71.6193695059999 74.443870545,-71.667289734 74.4548110970001,-71.7152786249999 74.4657440190001,-71.7633361809999 74.4766693120001,-71.8112640379999 74.488082886,-71.859268189 74.49949646,-71.907333374 74.5108947750001,-71.9554748529999 74.5222854610001,-72.003677368 74.533660888,-72.051956177 74.5450286870001,-72.1003036499999 74.5563888550001,-72.1487197879999 74.5677337650001,-72.19720459 74.579071045,-72.245758057 74.5904006950001,-72.2943801879999 74.601715088,-72.343078614 74.6130218500001,-72.391838073 74.6243133550001,-72.4406738279999 74.635597229,-72.4895782469999 74.6468734740001,-72.538551331 74.65813446,-72.587593079 74.669380188,-72.6367034909999 74.6806259150001,-72.685890198 74.6918563840001,-72.7351455689999 74.7030715940001,-72.784469604 74.7142791750001,-72.8338699339999 74.725479126,-72.883331299 74.7366638190001,-72.9065322869999 74.7519149780001,-72.929771423 74.7671585080001,-72.953056335 74.7823944090001,-72.9763946529999 74.79763031,-72.999771118 74.8128662110001,-73.0231933599999 74.8281021120001,-73.0466690069999 74.8433303840001,-73.0689620969999 74.859008789,-73.091300964 74.874687195,-73.113685608 74.8903579710001,-73.1361160279999 74.906028748,-73.158599854 74.921691894,-73.181121826 74.9373626710001,-73.2036895749999 74.9530258180001,-73.226303101 74.968681335,-73.248962402 74.984344483,-73.27166748 75.0000000000001,-73.309547424 75.0139083870001,-73.347503662 75.027801514,-73.385520935 75.041694641,-73.423614502 75.055580139,-73.461769104 75.069458007,-73.4999999999999 75.083335876,-73.4999999999999 75.0999984750001,-73.4999999999999 75.1166687020001,-73.4999999999999 75.1333312990001,-73.4999999999999 75.150001526,-73.4999999999999 75.1666641240001,-73.4999999999999 75.183334351,-73.4999999999999 75.199996948,-73.4999999999999 75.2166671750001,-73.4999999999999 75.233329773,-73.4999999999999 75.2500000000001,-73.4999999999999 75.2666702270001,-73.4999999999999 75.2833328250001,-73.4999999999999 75.3000030520001,-73.4999999999999 75.3166656500001,-73.4999999999999 75.3333358770001,-73.4999999999999 75.3499984740001,-73.4999999999999 75.366668701,-73.4999999999999 75.3833312990001,-73.4999999999999 75.400001526,-73.4999999999999 75.416664123,-73.4999999999999 75.4333343500001,-73.4999999999999 75.449996948,-73.4999999999999 75.4666671750001,-73.4999999999999 75.483329773,-73.4999999999999 75.5000000000001,-73.4999999999999 75.5166702270001,-73.4999999999999 75.5333328250001,-73.4999999999999 75.5500030520001,-73.4999999999999 75.5666656490001,-73.4999999999999 75.583335876,-73.4999999999999 75.5999984740001,-73.4999999999999 75.616668701,-73.4999999999999 75.6333312990001,-73.4999999999999 75.650001526,-73.4999999999999 75.666664123,-73.4999999999999 75.683334351,-73.4999999999999 75.6999969490001,-73.4999999999999 75.716667176,-73.4999999999999 75.733329773,-73.4999999999999 75.7500000000001,-73.4999999999999 75.7666702270001,-73.4999999999999 75.7833328250001,-73.4999999999999 75.8000030520001,-73.4999999999999 75.8166656490001,-73.4999999999999 75.833335876,-73.4999999999999 75.8499984740001,-73.4999999999999 75.866668701,-73.4999999999999 75.8833312990001,-73.4999999999999 75.900001526,-73.4999999999999 75.9166641240001,-73.4999999999999 75.933334351,-73.4999999999999 75.949996948,-73.4999999999999 75.9666671750001,-73.4999999999999 75.983329773,-73.4999999999999 76.0000000000001,-73.4999999999999 76.0166702270001,-73.4999999999999 76.0333328240001,-73.4999999999999 76.050003051,-73.4999999999999 76.0666656490001,-73.4999999999999 76.0833358770001,-73.4999999999999 76.0999984740001,-73.4999999999999 76.116668701,-73.4999999999999 76.1333312990001,-73.4999999999999 76.150001526,-73.4999999999999 76.1666641240001,-73.4999999999999 76.183334351,-73.4999999999999 76.199996948,-73.4999999999999 76.2166671750001,-73.4999999999999 76.233329773,-73.4999999999999 76.2500000000001,-73.4999999999999 76.2666702270001,-73.4999999999999 76.2833328250001,-73.4999999999999 76.3000030520001,-73.4999999999999 76.3166656500001,-73.4999999999999 76.3333358770001,-73.4999999999999 76.3499984740001,-73.4999999999999 76.366668701,-73.4999999999999 76.3833312990001,-73.4999999999999 76.400001526,-73.4999999999999 76.416664123,-73.4999999999999 76.4333343500001,-73.4999999999999 76.449996948,-73.4999999999999 76.4666671750001,-73.4999999999999 76.483329773,-73.4999999999999 76.5000000000001,-73.4999999999999 76.5166702270001,-73.4999999999999 76.5333328250001,-73.4999999999999 76.5500030520001,-73.4999999999999 76.5666656490001,-73.4999999999999 76.583335876,-73.4999999999999 76.5999984740001,-73.4999999999999 76.616668701,-73.4999999999999 76.633331298,-73.4999999999999 76.650001526,-73.4999999999999 76.6666641240001,-73.4999999999999 76.683334351,-73.4999999999999 76.6999969490001,-73.4999999999999 76.716667176,-73.4999999999999 76.733329773,-73.4999999999999 76.7500000000001,-73.4999999999999 76.7666702270001,-73.4999999999999 76.7833328250001,-73.4999999999999 76.8000030520001,-73.4999999999999 76.8166656490001,-73.4999999999999 76.833335876,-73.4999999999999 76.8499984740001,-73.4999999999999 76.866668701,-73.4999999999999 76.8833312990001,-73.4999999999999 76.900001526,-73.4999999999999 76.9166641240001,-73.4999999999999 76.933334351,-73.4999999999999 76.949996948,-73.4999999999999 76.9666671750001,-73.4999999999999 76.983329773,-73.4999999999999 77.0000000000001,-73.4999999999999 77.0166702270001,-73.4999999999999 77.0333328240001,-73.4999999999999 77.050003051,-73.4999999999999 77.0666656490001,-73.4999999999999 77.0833358770001,-73.4999999999999 77.0999984740001,-73.4999999999999 77.116668701,-73.4999999999999 77.1333312990001,-73.4999999999999 77.150001526,-73.4999999999999 77.1666641240001,-73.4999999999999 77.183334351,-73.4999999999999 77.199996948,-73.4999999999999 77.2166671750001,-73.4999999999999 77.233329773,-73.4999999999999 77.2500000000001,-73.4999999999999 77.2666702270001,-73.4999999999999 77.2833328250001,-73.4999999999999 77.3000030520001,-73.4999999999999 77.3166656500001,-73.4999999999999 77.3333358770001,-73.4999999999999 77.3499984740001,-73.4999999999999 77.366668701,-73.4999999999999 77.3833312990001,-73.4999999999999 77.400001526,-73.4999999999999 77.416664123,-73.4999999999999 77.4333343500001,-73.4999999999999 77.449996948,-73.4999999999999 77.4666671750001,-73.4999999999999 77.483329773,-73.4999999999999 77.5000000000001,-73.4999999999999 77.5166702270001,-73.4999999999999 77.5333328250001,-73.4999999999999 77.5500030520001,-73.4999999999999 77.5666656490001,-73.4999999999999 77.583335876,-73.4999999999999 77.5999984740001,-73.4999999999999 77.616668701,-73.4999999999999 77.633331298,-73.4999999999999 77.6500015250001,-73.4999999999999 77.6666641240001,-73.4999999999999 77.683334351,-73.4999999999999 77.6999969490001,-73.4999999999999 77.716667176,-73.4999999999999 77.733329773,-73.4999999999999 77.7500000000001,-73.4999999999999 77.7666702270001,-73.4999999999999 77.7833328250001,-73.4999999999999 77.8000030520001,-73.4999999999999 77.8166656490001,-73.4999999999999 77.833335876,-73.4999999999999 77.8499984740001,-73.4999999999999 77.866668701,-73.4999999999999 77.8833312990001,-73.4999999999999 77.900001526,-73.4999999999999 77.9166641240001,-73.4999999999999 77.933334351,-73.4999999999999 77.949996948,-73.4999999999999 77.9666671750001,-73.4999999999999 77.983329773,-73.4999999999999 78.0000000000001,-73.4999999999999 78.0166702270001,-73.4999999999999 78.0333328240001,-73.4999999999999 78.050003051,-73.4999999999999 78.0666656500001,-73.4999999999999 78.0833358770001,-73.4999999999999 78.0999984740001,-73.4999999999999 78.116668701,-73.4999999999999 78.166664123,-73.466667176 78.1666641240001,-73.4333343499999 78.166664123,-73.400001526 78.166664123,-73.366668701 78.166664123,-73.333335877 78.166664123,-73.300003052 78.166664123,-73.266670227 78.166664123,-73.233329773 78.166664123,-73.199996948 78.166664123,-73.166664123 78.166664123,-73.133331299 78.166664123,-73.099998474 78.166664123,-73.0666656499999 78.166664123,-72.903091431 78.166664123,-61.47609713 78.166664123,-43.9999999999999 78.166666031,-43.2000007629999 78.1699981690001,-42.400001526 78.1699981690001,-41.599998474 78.1699981690001,-40.799999237 78.1699981690001,-40.024536661 78.169999261,-39.9999999999999 78.1699988450001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.1', '', '21.1', '21.1.A', '', '21.1A', '', '', '', '', '', '', '', '1A', '3', '21.1.A', '21.1A', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.999999954 36.0000000150001,-11.0166432089999 36.0000000060001,-11.033286479 36.0000000060001,-11.0499297489999 36.0000000060001,-11.066573019 36.0000000060001,-11.083216288 36.0000000060001,-11.0998595579999 36.0000000060001,-11.116502828 36.0000000060001,-11.1331460979999 36.0000000060001,-11.149789368 36.0000000060001,-11.166432637 36.0000000050001,-11.1830759069999 36.0000000040001,-11.199719177 36.0000000040001,-11.210000038 36.0000000000001,-11.233005717 36.0000000040001,-11.249648986 36.0000000040001,-11.2662922559999 36.0000000060001,-11.282935526 36.0000000060001,-11.2995787959999 36.0000000050001,-11.316222066 36.0000000050001,-11.3328653359999 36.0000000050001,-11.3495086049999 36.0000000050001,-11.366151875 36.0000000050001,-11.3827951449999 36.0000000050001,-11.399438415 36.0000000050001,-11.4160816849999 36.0000000050001,-11.432724954 36.0000000050001,-11.449368224 36.0000000050001,-11.4660114939999 36.0000000050001,-11.482654764 36.0000000050001,-11.4992980339999 36.0000000050001,-11.515941304 36.0000000050001,-11.532584573 36.0000000050001,-11.5492278429999 36.0000000050001,-11.565871113 36.0000000050001,-11.5825143829999 36.0000000050001,-11.599157653 36.0000000050001,-11.6158009219999 36.0000000050001,-11.632444192 36.0000000050001,-11.649087462 36.0000000050001,-11.6657307319999 36.0000000050001,-11.682374002 36.0000000050001,-11.6990172709999 36.0000000050001,-11.715660541 36.0000000050001,-11.732303811 36.0000000050001,-11.7489470809999 36.0000000050001,-11.765590351 36.0000000050001,-11.7822336209999 36.0000000050001,-11.79887689 36.0000000050001,-11.8155201599999 36.0000000050001,-11.83216343 36.0000000040001,-11.8488067 36.0000000040001,-11.8654499699999 36.0000000040001,-11.882093239 36.0000000040001,-11.8987365089999 36.0000000040001,-11.915379779 36.0000000040001,-11.932023049 36.0000000040001,-11.9486663189999 36.0000000040001,-11.965309589 36.0000000040001,-11.9819528579999 36.0000000040001,-11.998596128 36.0000000040001,-12.010000229 36.0000000040001,-12.0152393979999 36.0000000040001,-12.031882668 36.0000000040001,-12.048525938 36.0000000040001,-12.0651692069999 36.0000000040001,-12.081812477 36.0000000040001,-12.0984557469999 36.000000003,-12.115099017 36.000000003,-12.131742287 36.000000003,-12.1483855559999 36.000000003,-12.165028826 36.000000003,-12.1816720959999 36.000000003,-12.198315366 36.000000003,-12.2149586359999 36.000000003,-12.231601906 36.000000003,-12.248245175 36.000000003,-12.2648884449999 36.000000003,-12.281531715 36.000000002,-12.2981749849999 36.000000002,-12.314818255 36.000000002,-12.331461524 36.000000002,-12.3481047939999 36.000000002,-12.364748064 36.000000002,-12.3813913339999 36.000000002,-12.398034604 36.000000002,-12.399999619 36.000000002,-12.4146778739999 36.000000002,-12.4313211429999 36.000000002,-12.447964413 36.000000001,-12.4646076829999 36.000000001,-12.481250953 36.000000001,-12.4978942229999 36.000000001,-12.5145374919999 36.000000001,-12.531180762 36.000000001,-12.5478240319999 36.000000001,-12.564467302 36.000000001,-12.5811105719999 36.000000001,-12.5977538409999 36.0000000000001,-12.614397111 36.0000000000001,-12.6310403809999 36.0000000000001,-12.647683651 36.0000000000001,-12.6643269209999 36.0000000000001,-12.680970191 36.0000000000001,-12.69761346 36.0000000000001,-12.7142567299999 36.0000000000001,-12.7309 36.0000000000001,-12.7376069929999 36.015174825,-12.744313985 36.0303496510001,-12.7510209779999 36.045524476,-12.75772797 36.0606993010001,-12.7644349629999 36.0758741270001,-12.771141956 36.0910489520001,-12.7778489479999 36.106223777,-12.784555941 36.121398603,-12.7912629329999 36.1365734280001,-12.797969926 36.1517482530001,-12.804676919 36.1669230790001,-12.811383911 36.182097904,-12.818090904 36.1972727290001,-12.824797896 36.212447555,-12.831504889 36.2276223800001,-12.8382118819999 36.242797205,-12.844918874 36.2579720300001,-12.8516258669999 36.273146856,-12.858332859 36.2883216810001,-12.8650398519999 36.303496506,-12.871746845 36.3186713320001,-12.8784538369999 36.333846157,-12.88516083 36.3490209820001,-12.8918678219999 36.364195808,-12.898574815 36.3793706330001,-12.9052818079999 36.394545458,-12.9119888 36.4097202840001,-12.9186957929999 36.424895109,-12.925402785 36.4400699340001,-12.9321097779999 36.45524476,-12.9388167709999 36.4704195850001,-12.9455237629999 36.48559441,-12.9522307559999 36.5007692360001,-12.9589377479999 36.515944061,-12.9656447409999 36.5311188860001,-12.972351734 36.5462937120001,-12.9790587259999 36.5614685370001,-12.985765719 36.576643362,-12.9924727109999 36.591818188,-12.999179704 36.6069930130001,-13.0058866969999 36.6221678380001,-13.012593689 36.6373426640001,-13.0193006819999 36.652517489,-13.026007674 36.6676923140001,-13.0327146669999 36.68286714,-13.03942166 36.6980419650001,-13.0461286519999 36.71321679,-13.052835645 36.7283916150001,-13.0595426369999 36.743566441,-13.06624963 36.7587412660001,-13.072956623 36.773916091,-13.079663615 36.7890909170001,-13.086370608 36.804265742,-13.0930776 36.8194405670001,-13.099784593 36.834615393,-13.1064915859999 36.8497902180001,-13.113198578 36.864965043,-13.1199055709999 36.8801398690001,-13.126612563 36.895314694,-13.1333195559999 36.9104895190001,-13.140026549 36.925664345,-13.1467335409999 36.9408391700001,-13.153440534 36.956013995,-13.1601475259999 36.9711888210001,-13.166854519 36.986363646,-13.1735615119999 37.0015384710001,-13.180268504 37.016713297,-13.1869754969999 37.0318881220001,-13.193682489 37.047062947,-13.2003894819999 37.062237773,-13.207096475 37.0774125980001,-13.2138034669999 37.0925874230001,-13.22051046 37.1077622490001,-13.2272174519999 37.122937074,-13.233924445 37.1381118990001,-13.240631438 37.153286725,-13.24733843 37.1684615500001,-13.254045423 37.183636375,-13.260752415 37.1988112010001,-13.267459408 37.213986026,-13.2741664009999 37.2291608510001,-13.280873393 37.244335676,-13.2875803859999 37.2595105020001,-13.294287378 37.274685327,-13.3009943709999 37.2898601520001,-13.307701364 37.305034978,-13.3144083559999 37.3202098030001,-13.321115349 37.335384628,-13.3278223409999 37.3505594540001,-13.334529334 37.365734279,-13.3412363269999 37.3809091040001,-13.347943319 37.39608393,-13.3546503119999 37.4112587550001,-13.361357304 37.42643358,-13.3680642969999 37.4416084060001,-13.37477129 37.456783231,-13.3814782819999 37.4719580560001,-13.388185275 37.487132882,-13.3948922669999 37.5023077070001,-13.40159926 37.517482532,-13.408306253 37.5326573580001,-13.415013245 37.547832183,-13.421720238 37.5630070080001,-13.42842723 37.5781818340001,-13.435134223 37.5933566590001,-13.4418412159999 37.608531484,-13.448548208 37.62370631,-13.4552552009999 37.6388811350001,-13.461962193 37.6540559600001,-13.4686691859999 37.6692307860001,-13.475376179 37.684405611,-13.4820831709999 37.6995804360001,-13.488790164 37.7147552610001,-13.4954971559999 37.7299300870001,-13.502204149 37.745104912,-13.5089111419999 37.7602797370001,-13.515618134 37.775454563,-13.5223251269999 37.7906293880001,-13.529032119 37.805804213,-13.5357391119999 37.8209790390001,-13.542446105 37.836153864,-13.5491530969999 37.8513286890001,-13.55586009 37.866503515,-13.5625670819999 37.8816783400001,-13.569274075 37.896853165,-13.575981068 37.9120279910001,-13.58268806 37.927202816,-13.589395053 37.9423776410001,-13.596102045 37.957552467,-13.602809038 37.9727272920001,-13.6095160309999 37.987902117,-13.616223023 38.0030769430001,-13.6229300159999 38.018251768,-13.629637008 38.0334265930001,-13.6363440009999 38.0486014190001,-13.643050994 38.0637762440001,-13.6497579859999 38.078951069,-13.656464979 38.094125895,-13.6631719709999 38.1093007200001,-13.669878964 38.1244755450001,-13.6765859569999 38.1396503710001,-13.683292949 38.154825196,-13.6899999419999 38.1700000210001,-13.6925713699999 38.18657145,-13.6951427989999 38.2031428780001,-13.6977142269999 38.2197143070001,-13.7002856559999 38.2362857360001,-13.7028570849999 38.252857164,-13.705428513 38.269428593,-13.707999942 38.2860000210001,-13.71057137 38.3025714500001,-13.713142799 38.319142878,-13.715714227 38.335714307,-13.718285656 38.3522857360001,-13.720857085 38.3688571640001,-13.7234285129999 38.385428593,-13.7259999419999 38.402000021,-13.7285713699999 38.4185714500001,-13.7311427989999 38.4351428790001,-13.7337142279999 38.451714307,-13.7362856559999 38.468285736,-13.7388570849999 38.4848571640001,-13.741428513 38.5014285930001,-13.743999942 38.518000021,-13.74657137 38.53457145,-13.749142799 38.5511428790001,-13.751714228 38.5677143070001,-13.754285656 38.584285736,-13.756857085 38.600857164,-13.7594285129999 38.6174285930001,-13.7619999419999 38.6340000220001,-13.7645713699999 38.65057145,-13.7671427989999 38.667142879,-13.7697142279999 38.6837143070001,-13.772285656 38.7002857360001,-13.774857085 38.7168571650001,-13.777428513 38.733428593,-13.779999942 38.7500000220001,-13.776419695 38.766172861,-13.772839448 38.7823457010001,-13.769259201 38.79851854,-13.765678954 38.8146913800001,-13.762098707 38.830864219,-13.7585184599999 38.8470370590001,-13.7549382129999 38.863209898,-13.7513579669999 38.8793827380001,-13.7477777199999 38.895555577,-13.7441974729999 38.9117284170001,-13.7406172259999 38.927901256,-13.737036979 38.9440740960001,-13.733456732 38.960246935,-13.729876485 38.9764197750001,-13.726296238 38.992592615,-13.722715991 39.0087654540001,-13.719135744 39.024938294,-13.715555497 39.0411111330001,-13.71197525 39.057283973,-13.708395003 39.0734568120001,-13.704814757 39.089629652,-13.7012345099999 39.1058024910001,-13.6976542629999 39.121975331,-13.6940740159999 39.1381481700001,-13.6904937689999 39.15432101,-13.6869135219999 39.170493849,-13.6833332749999 39.186666689,-13.6797530279999 39.202839528,-13.6761727809999 39.2190123680001,-13.6725925339999 39.235185207,-13.6690122869999 39.2513580470001,-13.6654320399999 39.267530886,-13.661851794 39.2837037260001,-13.658271547 39.299876565,-13.6546913 39.3160494050001,-13.651111053 39.332222244,-13.647530806 39.3483950840001,-13.643950559 39.364567924,-13.640370312 39.3807407630001,-13.636790065 39.396913603,-13.633209818 39.4130864420001,-13.629629571 39.429259282,-13.626049324 39.4454321210001,-13.6224690769999 39.461604961,-13.6188888309999 39.4777778000001,-13.6153085839999 39.49395064,-13.6117283369999 39.5101234790001,-13.6081480899999 39.526296319,-13.6045678429999 39.5424691580001,-13.600987596 39.558641998,-13.597407349 39.5748148370001,-13.593827102 39.590987677,-13.590246855 39.6071605160001,-13.586666608 39.623333356,-13.583086361 39.639506195,-13.579506114 39.655679035,-13.575925868 39.671851874,-13.572345621 39.6880247140001,-13.568765374 39.704197553,-13.5651851269999 39.7203703930001,-13.5616048799999 39.7365432330001,-13.5580246329999 39.7527160720001,-13.5544443859999 39.7688889120001,-13.5508641389999 39.7850617510001,-13.5472838919999 39.801234591,-13.5437036449999 39.8174074300001,-13.5401233979999 39.83358027,-13.5365431509999 39.8497531090001,-13.532962905 39.865925949,-13.529382658 39.8820987880001,-13.525802411 39.898271628,-13.522222164 39.9144444670001,-13.518641917 39.930617307,-13.51506167 39.9467901460001,-13.511481423 39.962962986,-13.507901176 39.9791358250001,-13.504320929 39.995308665,-13.500740682 40.0114815040001,-13.497160435 40.027654344,-13.493580188 40.0438271830001,-13.4899999419999 40.060000023,-13.486666608 40.0762121440001,-13.4833332749999 40.092424265,-13.4799999419999 40.108636387,-13.476666608 40.1248485080001,-13.473333275 40.141060629,-13.469999942 40.1572727500001,-13.466666608 40.1734848720001,-13.463333275 40.189696993,-13.459999942 40.2059091140001,-13.456666608 40.222121235,-13.453333275 40.2383333560001,-13.449999942 40.2545454780001,-13.4466666079999 40.270757599,-13.4433332749999 40.2869697200001,-13.4399999419999 40.303181841,-13.4366666079999 40.319393963,-13.4333332749999 40.3356060840001,-13.4299999419999 40.351818205,-13.4266666079999 40.3680303260001,-13.4233332749999 40.3842424470001,-13.4199999419999 40.400454569,-13.416666608 40.4166666900001,-13.413333275 40.4328788110001,-13.409999941 40.449090932,-13.406666608 40.4653030540001,-13.403333275 40.481515175,-13.399999941 40.4977272960001,-13.396666608 40.5139394170001,-13.393333275 40.530151539,-13.3899999409999 40.5463636600001,-13.3866666079999 40.5625757810001,-13.3833332749999 40.578787902,-13.3799999409999 40.5950000230001,-13.3766666079999 40.611212145,-13.3733332749999 40.627424266,-13.3699999409999 40.6436363870001,-13.3666666079999 40.659848508,-13.3633332749999 40.6760606300001,-13.359999941 40.6922727510001,-13.356666608 40.708484872,-13.353333275 40.7246969930001,-13.349999941 40.740909114,-13.346666608 40.757121236,-13.343333275 40.7733333570001,-13.339999941 40.789545478,-13.336666608 40.8057575990001,-13.333333275 40.8219697210001,-13.3299999409999 40.838181842,-13.326666608 40.8543939630001,-13.323333275 40.870606084,-13.3199999409999 40.886818206,-13.3166666079999 40.9030303270001,-13.3133332749999 40.919242448,-13.3099999409999 40.9354545690001,-13.3066666079999 40.95166669,-13.3033332749999 40.967878812,-13.299999941 40.9840909330001,-13.296666608 41.000303054,-13.293333275 41.0165151750001,-13.289999941 41.0327272970001,-13.286666608 41.048939418,-13.283333275 41.0651515390001,-13.279999941 41.0813636600001,-13.276666608 41.097575781,-13.273333275 41.1137879030001,-13.269999941 41.130000024,-13.269999941 41.1466666910001,-13.269999941 41.1633333570001,-13.269999941 41.180000024,-13.269999941 41.1966666910001,-13.269999941 41.2133333570001,-13.269999941 41.230000024,-13.269999941 41.246666691,-13.269999941 41.2633333570001,-13.269999941 41.2800000240001,-13.269999941 41.296666691,-13.269999941 41.313333357,-13.269999941 41.3300000240001,-13.269999941 41.3466666910001,-13.269999941 41.363333357,-13.269999941 41.380000024,-13.27804342 41.39434785,-13.286086898 41.408695676,-13.2941303759999 41.423043502,-13.3021738539999 41.437391329,-13.310217333 41.451739155,-13.318260811 41.466086981,-13.3263042889999 41.4804348070001,-13.3343477679999 41.4947826330001,-13.342391246 41.5091304590001,-13.350434724 41.5234782850001,-13.358478202 41.5378261110001,-13.3665216809999 41.5521739370001,-13.3745651589999 41.566521763,-13.382608637 41.5808695900001,-13.390652115 41.595217416,-13.3986955939999 41.609565242,-13.4067390719999 41.623913068,-13.4147825499999 41.638260894,-13.422826028 41.65260872,-13.430869507 41.6669565460001,-13.4389129849999 41.6813043720001,-13.4469564629999 41.6956521980001,-13.454999942 41.7100000240001,-13.46304342 41.7243478510001,-13.471086898 41.7386956770001,-13.4791303759999 41.7530435030001,-13.487173855 41.7673913290001,-13.495217333 41.781739155,-13.503260811 41.796086981,-13.511304289 41.810434807,-13.5193477679999 41.824782633,-13.527391246 41.839130459,-13.535434724 41.8534782850001,-13.543478202 41.867826112,-13.5515216809999 41.8821739380001,-13.5595651589999 41.8965217640001,-13.567608637 41.9108695900001,-13.575652116 41.9252174160001,-13.5836955939999 41.9395652420001,-13.5917390719999 41.9539130680001,-13.5997825499999 41.968260894,-13.607826029 41.98260872,-13.615869507 41.996956546,-13.6239129849999 42.011304373,-13.6319564629999 42.025652199,-13.639999942 42.040000025,-13.6438460959999 42.056153871,-13.6476922489999 42.0723077170001,-13.651538403 42.0884615630001,-13.6553845569999 42.1046154090001,-13.659230711 42.1207692560001,-13.6630768649999 42.136923102,-13.666923019 42.153076948,-13.6707691729999 42.169230794,-13.674615326 42.1853846400001,-13.67846148 42.2015384860001,-13.6823076339999 42.2176923330001,-13.686153788 42.2338461790001,-13.6899999419999 42.2500000250001,-13.693846096 42.266153871,-13.6976922489999 42.282307717,-13.701538403 42.298461563,-13.7053845569999 42.31461541,-13.709230711 42.3307692560001,-13.7130768649999 42.3469231020001,-13.716923019 42.3630769480001,-13.720769173 42.3792307940001,-13.7246153259999 42.39538464,-13.72846148 42.411538487,-13.7323076339999 42.427692333,-13.736153788 42.443846179,-13.7399999419999 42.4600000250001,-13.743846096 42.4761538710001,-13.747692249 42.4923077180001,-13.7515384029999 42.5084615640001,-13.755384557 42.5246154100001,-13.7592307109999 42.540769256,-13.763076865 42.556923102,-13.7669230189999 42.5730769480001,-13.770769173 42.589230795,-13.7746153259999 42.6053846410001,-13.77846148 42.6215384870001,-13.7823076339999 42.6376923330001,-13.786153788 42.653846179,-13.789999942 42.670000025,-13.793846096 42.686153872,-13.79769225 42.702307718,-13.8015384029999 42.7184615640001,-13.805384557 42.7346154100001,-13.8092307109999 42.7507692560001,-13.813076865 42.7669231020001,-13.8169230189999 42.7830769490001,-13.820769173 42.799230795,-13.824615326 42.815384641,-13.8284614799999 42.831538487,-13.832307634 42.8476923330001,-13.8361537879999 42.8638461790001,-13.839999942 42.8800000260001,-13.834999942 42.895000026,-13.829999942 42.910000026,-13.824999942 42.9250000260001,-13.819999942 42.9400000260001,-13.8149999419999 42.9550000260001,-13.8099999419999 42.970000026,-13.8049999419999 42.9850000260001,-13.799999945 43.000000017,-13.783333275 43.0000000260001,-13.766666608 43.0000000260001,-13.7499999419999 43.0000000260001,-13.7333332749999 43.0000000260001,-13.716666608 43.0000000260001,-13.699999942 43.0000000260001,-13.6833332749999 43.0000000260001,-13.666666608 43.0000000260001,-13.649999942 43.0000000260001,-13.6333332749999 43.0000000260001,-13.6166666079999 43.0000000260001,-13.599999942 43.0000000260001,-13.583333275 43.0000000260001,-13.5666666079999 43.0000000260001,-13.5499999419999 43.0000000260001,-13.533333275 43.0000000260001,-13.516666608 43.0000000260001,-13.4999999419999 43.0000000260001,-13.4833332749999 43.0000000260001,-13.466666608 43.0000000260001,-13.449999942 43.0000000260001,-13.4333332749999 43.0000000260001,-13.416666608 43.0000000260001,-13.399999941 43.0000000260001,-13.3833332749999 43.0000000260001,-13.3666666079999 43.0000000260001,-13.349999941 43.0000000260001,-13.333333275 43.0000000260001,-13.3166666079999 43.0000000260001,-13.299999941 43.0000000260001,-13.283333275 43.0000000260001,-13.266666608 43.0000000260001,-13.2499999409999 43.0000000260001,-13.2333332749999 43.0000000260001,-13.216666608 43.0000000260001,-13.1999999409999 43.0000000260001,-13.1833332749999 43.0000000260001,-13.166666608 43.0000000260001,-13.149999941 43.0000000260001,-13.1333332749999 43.0000000260001,-13.1166666079999 43.0000000260001,-13.099999941 43.0000000260001,-13.083333275 43.0000000260001,-13.0666666079999 43.0000000260001,-13.049999941 43.0000000260001,-13.033333274 43.0000000260001,-13.016666608 43.0000000260001,-12.9999999409999 43.0000000260001,-12.983333274 43.0000000260001,-12.966666608 43.0000000260001,-12.9499999409999 43.0000000260001,-12.9333332739999 43.0000000260001,-12.916666608 43.0000000260001,-12.899999941 43.0000000260001,-12.8833332739999 43.0000000260001,-12.8666666079999 43.0000000260001,-12.849999941 43.0000000260001,-12.8333332739999 43.0000000260001,-12.8166666079999 43.0000000260001,-12.799999941 43.0000000260001,-12.783333274 43.0000000260001,-12.766666608 43.0000000260001,-12.7499999409999 43.0000000260001,-12.733333274 43.0000000260001,-12.716666608 43.0000000260001,-12.6999999409999 43.0000000260001,-12.6833332739999 43.0000000260001,-12.666666607 43.0000000260001,-12.649999941 43.0000000260001,-12.6333332739999 43.0000000260001,-12.616666607 43.0000000260001,-12.599999941 43.0000000260001,-12.5833332739999 43.0000000260001,-12.5666666069999 43.0000000260001,-12.549999941 43.0000000260001,-12.533333274 43.0000000260001,-12.5166666069999 43.0000000260001,-12.4999999409999 43.0000000260001,-12.483333274 43.0000000260001,-12.466666607 43.0000000260001,-12.4499999409999 43.0000000260001,-12.4333332739999 43.0000000260001,-12.416666607 43.0000000260001,-12.399999941 43.0000000260001,-12.3833332739999 43.0000000260001,-12.366666607 43.0000000260001,-12.349999941 43.0000000260001,-12.3333332739999 43.0000000260001,-12.3166666069999 43.0000000260001,-12.29999994 43.0000000260001,-12.283333274 43.0000000260001,-12.2666666069999 43.0000000260001,-12.24999994 43.0000000260001,-12.233333274 43.0000000260001,-12.216666607 43.0000000260001,-12.1999999399999 43.0000000260001,-12.1833332739999 43.0000000260001,-12.166666607 43.0000000260001,-12.1499999399999 43.0000000260001,-12.1333332739999 43.0000000260001,-12.116666607 43.0000000260001,-12.09999994 43.0000000260001,-12.0833332739999 43.0000000260001,-12.0666666069999 43.0000000260001,-12.04999994 43.0000000260001,-12.033333274 43.0000000260001,-12.0166666069999 43.0000000260001,-11.99999994 43.0000000260001,-11.983333273 43.0000000260001,-11.966666607 43.0000000260001,-11.9499999399999 43.0000000260001,-11.933333273 43.0000000260001,-11.916666607 43.0000000260001,-11.8999999399999 43.0000000260001,-11.8833332729999 43.0000000260001,-11.866666607 43.0000000260001,-11.84999994 43.0000000260001,-11.8333332729999 43.0000000260001,-11.8166666069999 43.0000000260001,-11.79999994 43.0000000260001,-11.7833332729999 43.0000000260001,-11.7666666069999 43.0000000260001,-11.74999994 43.0000000260001,-11.733333273 43.0000000260001,-11.716666607 43.0000000260001,-11.6999999399999 43.0000000260001,-11.683333273 43.0000000260001,-11.666666607 43.0000000260001,-11.6499999399999 43.0000000260001,-11.6333332729999 43.0000000260001,-11.616666606 43.0000000260001,-11.59999994 43.0000000260001,-11.5833332729999 43.0000000260001,-11.566666606 43.0000000260001,-11.54999994 43.0000000260001,-11.5333332729999 43.0000000260001,-11.5166666059999 43.0000000260001,-11.49999994 43.0000000260001,-11.483333273 43.0000000260001,-11.4666666059999 43.0000000260001,-11.4499999399999 43.0000000260001,-11.433333273 43.0000000260001,-11.416666606 43.0000000260001,-11.3999999399999 43.0000000260001,-11.3833332729999 43.0000000260001,-11.366666606 43.0000000260001,-11.34999994 43.0000000260001,-11.3333332729999 43.0000000260001,-11.316666606 43.0000000260001,-11.29999994 43.0000000260001,-11.2833332729999 43.0000000260001,-11.2666666059999 43.0000000260001,-11.249999939 43.0000000260001,-11.233333273 43.0000000260001,-11.2166666059999 43.0000000260001,-11.199999939 43.0000000260001,-11.183333273 43.0000000260001,-11.166666606 43.0000000260001,-11.1499999389999 43.0000000260001,-11.1333332729999 43.0000000260001,-11.116666606 43.0000000260001,-11.0999999389999 43.0000000260001,-11.0833332729999 43.0000000260001,-11.066666606 43.0000000260001,-11.049999939 43.0000000260001,-11.0333332729999 43.0000000260001,-11.0166666059999 43.0000000260001,-10.999999939 43.0000000260001,-10.999999939 42.983333359,-10.999999939 42.966666692,-10.999999939 42.9500000260001,-10.999999939 42.9333333590001,-10.999999939 42.916666692,-10.999999939 42.900000026,-10.999999939 42.8833333590001,-10.999999939 42.8666666920001,-10.999999939 42.850000026,-10.999999939 42.8333333590001,-10.999999939 42.8166666920001,-10.999999939 42.800000025,-10.999999939 42.783333359,-10.999999939 42.7666666920001,-10.999999939 42.7500000250001,-10.999999939 42.733333359,-10.999999939 42.716666692,-10.999999939 42.7000000250001,-10.999999939 42.6833333590001,-10.999999939 42.666666692,-10.999999939 42.6500000250001,-10.999999939 42.6333333590001,-10.999999939 42.6166666920001,-10.999999939 42.600000025,-10.999999939 42.5833333590001,-10.999999939 42.5666666920001,-10.999999939 42.550000025,-10.999999939 42.533333359,-10.999999939 42.5166666920001,-10.999999939 42.5000000250001,-10.999999939 42.483333359,-10.999999939 42.466666692,-10.999999939 42.4500000250001,-10.999999939 42.433333358,-10.999999939 42.416666692,-10.999999939 42.4000000250001,-10.999999939 42.3833333580001,-10.999999939 42.3666666920001,-10.999999939 42.350000025,-10.999999939 42.3333333580001,-10.999999939 42.3166666920001,-10.999999939 42.300000025,-10.999999939 42.283333358,-10.999999939 42.2666666920001,-10.999999939 42.2500000250001,-10.999999939 42.233333358,-10.999999939 42.216666692,-10.999999939 42.2000000250001,-10.999999939 42.183333358,-10.999999939 42.166666692,-10.999999939 42.1500000250001,-10.999999939 42.1333333580001,-10.999999939 42.1166666920001,-10.999999939 42.100000025,-10.999999939 42.0833333580001,-10.999999939 42.0666666910001,-10.999999939 42.050000025,-10.999999939 42.033333358,-10.999999939 42.0166666910001,-10.999999939 42.0000000250001,-10.999999939 41.983333358,-10.999999939 41.9666666910001,-10.999999939 41.9500000250001,-10.999999939 41.933333358,-10.999999939 41.916666691,-10.999999939 41.9000000250001,-10.999999939 41.8833333580001,-10.999999939 41.866666691,-10.999999939 41.850000025,-10.999999939 41.8333333580001,-10.999999939 41.8166666910001,-10.999999939 41.800000025,-10.999999939 41.783333358,-10.999999939 41.7666666910001,-10.999999939 41.7500000250001,-10.999999939 41.733333358,-10.999999939 41.7166666910001,-10.999999939 41.7000000240001,-10.999999939 41.683333358,-10.999999939 41.666666691,-10.999999939 41.6500000240001,-10.999999939 41.6333333580001,-10.999999939 41.616666691,-10.999999939 41.6000000240001,-10.999999939 41.5833333580001,-10.999999939 41.5666666910001,-10.999999939 41.550000024,-10.999999939 41.533333358,-10.999999939 41.5166666910001,-10.999999939 41.500000024,-10.999999939 41.483333358,-10.999999939 41.4666666910001,-10.999999939 41.4500000240001,-10.999999939 41.433333358,-10.999999939 41.416666691,-10.999999939 41.4000000240001,-10.999999939 41.383333357,-10.999999939 41.366666691,-10.999999939 41.3500000240001,-10.999999939 41.3333333570001,-10.999999939 41.3166666910001,-10.999999939 41.300000024,-10.999999939 41.2833333570001,-10.999999939 41.2666666910001,-10.999999939 41.250000024,-10.999999939 41.233333357,-10.999999939 41.2166666910001,-10.999999939 41.2000000240001,-10.999999939 41.183333357,-10.999999939 41.166666691,-10.999999939 41.1500000240001,-10.999999939 41.133333357,-10.999999939 41.116666691,-10.999999939 41.1000000240001,-10.999999939 41.0833333570001,-10.999999939 41.0666666910001,-10.999999939 41.050000024,-10.999999939 41.0333333570001,-10.999999939 41.0166666900001,-10.999999939 41.000000024,-10.999999939 40.983333357,-10.999999939 40.9666666900001,-10.999999939 40.9500000240001,-10.999999939 40.933333357,-10.999999939 40.9166666900001,-10.999999939 40.9000000240001,-10.999999939 40.883333357,-10.999999939 40.86666669,-10.999999939 40.8500000240001,-10.999999939 40.8333333570001,-10.999999939 40.81666669,-10.999999939 40.800000024,-10.999999939 40.7833333570001,-10.999999939 40.7666666900001,-10.999999939 40.750000024,-10.999999939 40.733333357,-10.999999939 40.7166666900001,-10.999999939 40.7000000240001,-10.999999939 40.683333357,-10.999999939 40.6666666900001,-10.999999939 40.6500000230001,-10.999999939 40.633333357,-10.999999939 40.61666669,-10.999999939 40.6000000230001,-10.999999939 40.5833333570001,-10.999999939 40.56666669,-10.999999939 40.5500000230001,-10.999999939 40.5333333570001,-10.999999939 40.5166666900001,-10.999999939 40.500000023,-10.999999939 40.483333357,-10.999999939 40.4666666900001,-10.999999939 40.450000023,-10.999999939 40.433333357,-10.999999939 40.4166666900001,-10.999999939 40.4000000230001,-10.999999939 40.383333357,-10.999999939 40.36666669,-10.999999939 40.3500000230001,-10.999999939 40.3333333570001,-10.999999939 40.31666669,-10.999999939 40.3000000230001,-10.999999939 40.2833333560001,-10.999999939 40.2666666900001,-10.999999939 40.250000023,-10.999999939 40.2333333560001,-10.999999939 40.2166666900001,-10.999999939 40.200000023,-10.999999939 40.183333356,-10.999999939 40.1666666900001,-10.999999939 40.1500000230001,-10.999999939 40.133333356,-10.999999939 40.11666669,-10.999999939 40.1000000230001,-10.999999939 40.083333356,-10.999999939 40.06666669,-10.999999939 40.0500000230001,-10.999999939 40.0333333560001,-10.999999939 40.0166666900001,-10.999999939 40.000000023,-10.999999939 39.9833333560001,-10.999999939 39.9666666900001,-10.999999939 39.950000023,-10.999999939 39.933333356,-10.999999939 39.9166666890001,-10.999999939 39.9000000230001,-10.999999939 39.883333356,-10.999999939 39.8666666890001,-10.999999939 39.8500000230001,-10.999999939 39.833333356,-10.999999939 39.816666689,-10.999999939 39.8000000230001,-10.999999939 39.7833333560001,-10.999999939 39.766666689,-10.999999939 39.750000023,-10.999999939 39.7333333560001,-10.999999939 39.7166666890001,-10.999999939 39.700000023,-10.999999939 39.683333356,-10.999999939 39.6666666890001,-10.999999939 39.6500000230001,-10.999999939 39.633333356,-10.999999939 39.6166666890001,-10.999999939 39.6000000230001,-10.999999939 39.583333356,-10.999999939 39.566666689,-10.999999939 39.5500000220001,-10.999999939 39.5333333560001,-10.999999939 39.516666689,-10.999999939 39.5000000220001,-10.999999939 39.4833333560001,-10.999999939 39.4666666890001,-10.999999939 39.450000022,-10.999999939 39.433333356,-10.999999939 39.4166666890001,-10.999999939 39.400000022,-10.999999939 39.383333356,-10.999999939 39.3666666890001,-10.999999939 39.3500000220001,-10.999999939 39.333333356,-10.999999939 39.316666689,-10.999999939 39.3000000220001,-10.999999939 39.2833333560001,-10.999999939 39.266666689,-10.999999939 39.2500000220001,-10.999999939 39.2333333550001,-10.999999939 39.2166666890001,-10.999999939 39.200000022,-10.999999939 39.1833333550001,-10.999999939 39.1666666890001,-10.999999939 39.150000022,-10.999999939 39.133333355,-10.999999939 39.1166666890001,-10.999999939 39.1000000220001,-10.999999939 39.083333355,-10.999999939 39.066666689,-10.999999939 39.0500000220001,-10.999999939 39.033333355,-10.999999939 39.016666689,-10.999999939 39.0000000220001,-10.999999939 38.9833333550001,-10.999999939 38.9666666890001,-10.999999939 38.950000022,-10.999999939 38.9333333550001,-10.999999939 38.9166666890001,-10.999999939 38.900000022,-10.999999939 38.883333355,-10.999999939 38.8666666880001,-10.999999939 38.8500000220001,-10.999999939 38.833333355,-10.999999939 38.8166666880001,-10.999999939 38.8000000220001,-10.999999939 38.783333355,-10.999999939 38.766666688,-10.999999939 38.7500000220001,-10.999999939 38.7333333550001,-10.999999939 38.716666688,-10.999999939 38.700000022,-10.999999939 38.6833333550001,-10.999999939 38.6666666880001,-10.999999939 38.650000022,-10.999999939 38.633333355,-10.999999939 38.6166666880001,-10.999999939 38.6000000220001,-10.999999939 38.583333355,-10.999999939 38.5666666880001,-10.999999939 38.5500000220001,-10.999999939 38.533333355,-10.999999939 38.516666688,-10.999999939 38.5000000210001,-10.999999939 38.4833333550001,-10.999999939 38.466666688,-10.999999939 38.4500000210001,-10.999999939 38.4333333550001,-10.999999939 38.4166666880001,-10.999999939 38.400000021,-10.999999939 38.383333355,-10.999999939 38.3666666880001,-10.999999939 38.350000021,-10.999999939 38.333333355,-10.999999939 38.3166666880001,-10.999999939 38.3000000210001,-10.999999939 38.283333355,-10.999999939 38.266666688,-10.999999939 38.2500000210001,-10.999999939 38.2333333550001,-10.999999939 38.216666688,-10.999999939 38.2000000210001,-10.999999939 38.1833333550001,-10.999999939 38.1666666880001,-10.999999939 38.150000021,-10.999999939 38.1333333540001,-10.999999939 38.1166666880001,-10.999999939 38.100000021,-10.999999939 38.083333354,-10.999999939 38.0666666880001,-10.999999939 38.0500000210001,-10.999999939 38.033333354,-10.999999939 38.016666688,-10.999999939 38.0000000210001,-10.999999939 37.983333354,-10.999999939 37.966666688,-10.999999939 37.9500000210001,-10.999999939 37.9333333540001,-10.999999939 37.9166666880001,-10.999999939 37.900000021,-10.999999939 37.8833333540001,-10.999999939 37.8666666880001,-10.999999939 37.850000021,-10.999999939 37.833333354,-10.999999939 37.8166666880001,-10.999999939 37.8000000210001,-10.999999939 37.783333354,-10.999999939 37.7666666870001,-10.999999939 37.7500000210001,-10.999999939 37.733333354,-10.999999939 37.716666687,-10.999999939 37.7000000210001,-10.999999939 37.6833333540001,-10.999999939 37.666666687,-10.999999939 37.650000021,-10.999999939 37.6333333540001,-10.999999939 37.6166666870001,-10.999999939 37.600000021,-10.999999939 37.583333354,-10.999999939 37.5666666870001,-10.999999939 37.5500000210001,-10.999999939 37.533333354,-10.999999939 37.5166666870001,-10.999999939 37.5000000210001,-10.999999939 37.483333354,-10.999999939 37.466666687,-10.999999939 37.4500000210001,-10.999999939 37.4333333540001,-10.999999939 37.416666687,-10.999999939 37.40000002,-10.999999939 37.3833333540001,-10.999999939 37.3666666870001,-10.999999939 37.35000002,-10.999999939 37.333333354,-10.999999939 37.3166666870001,-10.999999939 37.30000002,-10.999999939 37.283333354,-10.999999939 37.2666666870001,-10.999999939 37.2500000200001,-10.999999939 37.233333354,-10.999999939 37.216666687,-10.999999939 37.2000000200001,-10.999999939 37.1833333540001,-10.999999939 37.166666687,-10.999999939 37.15000002,-10.999999939 37.1333333540001,-10.999999939 37.1166666870001,-10.999999939 37.10000002,-10.999999939 37.0833333530001,-10.999999939 37.0666666870001,-10.999999939 37.05000002,-10.999999939 37.033333353,-10.999999939 37.0166666870001,-10.999999939 37.0000000200001,-10.999999939 36.983333353,-10.999999939 36.966666687,-10.999999939 36.9500000200001,-10.999999939 36.9333333530001,-10.999999939 36.916666687,-10.999999939 36.90000002,-10.999999939 36.8833333530001,-10.999999939 36.8666666870001,-10.999999939 36.85000002,-10.999999939 36.8333333530001,-10.999999939 36.8166666870001,-10.999999939 36.80000002,-10.999999939 36.783333353,-10.999999939 36.7666666870001,-10.999999939 36.7500000200001,-10.999999939 36.733333353,-10.999999939 36.7166666860001,-10.999999939 36.7000000200001,-10.999999939 36.6833333530001,-10.999999939 36.666666686,-10.999999939 36.65000002,-10.999999939 36.6333333530001,-10.999999939 36.616666686,-10.999999939 36.60000002,-10.999999939 36.5833333530001,-10.999999939 36.5666666860001,-10.999999939 36.55000002,-10.999999939 36.533333353,-10.999999939 36.5166666860001,-10.999999939 36.5000000200001,-10.999999939 36.483333353,-10.999999939 36.4666666860001,-10.999999939 36.4500000200001,-10.999999939 36.4333333530001,-10.999999939 36.416666686,-10.999999939 36.40000002,-10.999999939 36.3833333530001,-10.999999939 36.366666686,-10.999999939 36.350000019,-10.999999939 36.3333333530001,-10.999999939 36.3166666860001,-10.999999939 36.300000019,-10.999999939 36.283333353,-10.999999939 36.2666666860001,-10.999999939 36.250000019,-10.999999939 36.233333353,-10.999999939 36.2166666860001,-10.999999939 36.2000000190001,-10.999999939 36.1833333530001,-10.999999939 36.166666686,-10.999999939 36.1500000190001,-10.999999939 36.1333333530001,-10.999999939 36.116666686,-10.999999939 36.100000019,-10.999999939 36.0833333530001,-10.999999939 36.0666666860001,-10.999999939 36.050000019,-10.999999939 36.033333353,-10.999999939 36.0166666860001,-10.999999954 36.0000000150001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.IX', 'Portuguese Waters', '27.IX', '27.IX.b', 'Portuguese Waters - West', '27.IXb', '27.IX.b.2', 'Portuguese Waters - West - Non-NEAFC Reg. Area', '27.IXb2', '', '', '', '', 'IXb2', '4', '27.9.b.2', '27.IXb2', 'Y'),('SRID=4326;MULTIPOLYGON(((-75.2411727909999 -33.8400001529999,-75.182685852 -33.652481079,-75.175102234 -33.633499146,-75.020462036 -33.010505676,-74.922187805 -32.858291626,-74.800552368 -32.5246047969999,-74.784164429 -32.1599998469999,-73.9999999999999 -32.1599998469999,-73.199996948 -32.1599998469999,-73.1621627809999 -32.1599998469999,-73.1818847659999 -32.7662544249999,-73.402603149 -33.3920097349999,-73.5170135499999 -33.5722885129999,-73.580429077 -33.8400001529999,-73.9999999999999 -33.8400001529999,-74.800003052 -33.8400001529999,-75.2411727909999 -33.8400001529999)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.2', 'Central Coastal', '2.2', '87.2.2.5', '', '2.25', '', '', '', '', '2.25', '4', '87.2.2.5', '87.2.2.5', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.0599999459999 52.500000023,-16.062499944 52.485000035,-16.064999944 52.4700000340001,-16.067499944 52.4550000340001,-16.069999944 52.440000034,-16.071999944 52.4240000340001,-16.073999944 52.4080000340001,-16.0759999439999 52.392000034,-16.0779999439999 52.3760000340001,-16.079999944 52.3600000340001,-16.0816666109999 52.3450000340001,-16.083333277 52.3300000340001,-16.0866666109999 52.300000034,-16.0883332769999 52.2850000340001,-16.0899999439999 52.2700000340001,-16.0899999439999 52.2540000340001,-16.0899999439999 52.238000034,-16.0899999439999 52.2220000340001,-16.0899999439999 52.2060000340001,-16.0899999439999 52.190000034,-16.0899999439999 52.1740000340001,-16.0899999439999 52.1580000340001,-16.0899999439999 52.142000034,-16.0899999439999 52.1260000340001,-16.0899999439999 52.1100000340001,-16.0883332769999 52.0950000340001,-16.0866666109999 52.0800000340001,-16.083333277 52.050000034,-16.0816666109999 52.0350000340001,-16.079999944 52.0200000340001,-16.0779999439999 52.0040000340001,-16.0759999439999 51.988000034,-16.073999944 51.9720000340001,-16.071999944 51.9560000340001,-16.069999944 51.940000034,-16.069999944 51.925000034,-16.069999944 51.9100000340001,-16.069999944 51.8950000340001,-16.069999944 51.880000034,-16.069999944 51.865000034,-16.069999944 51.8500000340001,-16.0659999439999 51.834000034,-16.061999944 51.8180000340001,-16.057999944 51.8020000340001,-16.0539999439999 51.786000034,-16.049999944 51.7700000340001,-16.0483332769999 51.755000034,-16.046666611 51.740000034,-16.0449999439999 51.7250000340001,-16.0433332769999 51.7100000340001,-16.041666611 51.695000034,-16.0399999439999 51.680000034,-16.035999944 51.664000034,-16.0319999439999 51.6480000340001,-16.0279999439999 51.632000034,-16.023999944 51.6160000340001,-16.0199999439999 51.6000000340001,-16.013999944 51.584000034,-16.0079999439999 51.5680000340001,-16.001999944 51.5520000340001,-15.9959999439999 51.536000034,-15.989999944 51.5200000340001,-15.984999944 51.505000034,-15.9799999439999 51.490000034,-15.9749999439999 51.4750000340001,-15.9699999439999 51.4600000340001,-15.9649999439999 51.445000034,-15.9599999439999 51.430000034,-15.954999944 51.4150000340001,-15.949999944 51.400000033,-15.944999944 51.385000033,-15.939999944 51.3700000330001,-15.934999944 51.3550000330001,-15.929999944 51.3400000330001,-15.9239999439999 51.3260000330001,-15.917999944 51.3120000330001,-15.9119999439999 51.2980000330001,-15.905999944 51.284000033,-15.8999999439999 51.270000033,-15.893333277 51.255000033,-15.88666661 51.2400000330001,-15.879999944 51.2250000330001,-15.873333277 51.210000033,-15.86666661 51.195000033,-15.859999944 51.1800000330001,-15.8533332769999 51.1666667000001,-15.8466666099999 51.1533333670001,-15.8399999439999 51.140000033,-15.833333277 51.1266667,-15.82666661 51.1133333670001,-15.819999944 51.1000000330001,-15.81166661 51.0866667000001,-15.803333277 51.073333367,-15.7949999439999 51.0600000330001,-15.7866666099999 51.0466667000001,-15.7783332769999 51.0333333660001,-15.7699999439999 51.020000033,-15.763333277 51.0066667,-15.75666661 50.9933333660001,-15.749999944 50.9800000330001,-15.743333277 50.9666667000001,-15.7366666099999 50.953333366,-15.7299999439999 50.940000033,-15.7216666099999 50.9266667000001,-15.7133332769999 50.9133333660001,-15.704999944 50.900000033,-15.69666661 50.8866667,-15.688333277 50.8733333660001,-15.679999944 50.8600000330001,-15.6716666099999 50.8466667000001,-15.6633332769999 50.833333366,-15.6549999439999 50.820000033,-15.64666661 50.8066667000001,-15.638333277 50.7933333660001,-15.629999944 50.7800000330001,-15.619999944 50.7666667,-15.609999944 50.753333366,-15.5999999439999 50.7400000330001,-15.5899999439999 50.7266667000001,-15.579999944 50.713333366,-15.569999944 50.700000033,-15.56166661 50.6866666990001,-15.553333277 50.6733333660001,-15.5449999429999 50.6600000330001,-15.5366666099999 50.646666699,-15.5283332769999 50.633333366,-15.519999943 50.6200000330001,-15.51166661 50.6066666990001,-15.503333277 50.5933333660001,-15.494999943 50.580000033,-15.4866666099999 50.5666666990001,-15.4783332769999 50.5533333660001,-15.4699999429999 50.5400000330001,-15.459999943 50.5260000330001,-15.449999943 50.512000033,-15.439999943 50.498000033,-15.4299999429999 50.484000033,-15.4199999429999 50.4700000330001,-15.4099999429999 50.456666699,-15.399999943 50.443333366,-15.389999943 50.4300000330001,-15.379999943 50.4166666990001,-15.369999943 50.403333366,-15.3599999429999 50.390000033,-15.3499999429999 50.378333366,-15.339999943 50.3666666990001,-15.329999943 50.3550000330001,-15.319999943 50.3433333660001,-15.309999943 50.331666699,-15.2999999429999 50.3200000320001,-15.2899999429999 50.3066666990001,-15.279999943 50.2933333660001,-15.269999943 50.280000032,-15.259999943 50.266666699,-15.249999943 50.253333366,-15.2399999429999 50.2400000320001,-15.2283332769999 50.2283333660001,-15.2166666099999 50.216666699,-15.204999943 50.205000032,-15.193333276 50.193333366,-15.18166661 50.1816666990001,-15.1699999429999 50.1700000320001,-15.1599999429999 50.1583333660001,-15.149999943 50.146666699,-15.139999943 50.1350000320001,-15.129999943 50.1233333660001,-15.119999943 50.1116666990001,-15.1099999429999 50.100000032,-15.0983332759999 50.088333366,-15.08666661 50.076666699,-15.074999943 50.0650000320001,-15.063333276 50.0533333660001,-15.0516666099999 50.0416666990001,-15.0399999429999 50.030000032,-15.028333276 50.018333366,-15.01666661 50.006666699,-15.004999943 49.9950000320001,-14.9933332759999 49.9833333660001,-14.9816666099999 49.9716666990001,-14.9699999429999 49.960000032,-14.9585713719999 49.950000032,-14.9471427999999 49.9400000320001,-14.9357142289999 49.9300000320001,-14.9242856569999 49.9200000320001,-14.912857086 49.910000032,-14.901428514 49.900000032,-14.889999943 49.890000032,-14.878333276 49.8783333650001,-14.86666661 49.8666666990001,-14.8549999429999 49.8550000320001,-14.843333276 49.843333365,-14.831666609 49.831666699,-14.819999943 49.8200000320001,-14.808571371 49.8100000320001,-14.7971428 49.8000000320001,-14.774285657 49.780000032,-14.7628570859999 49.770000032,-14.7514285139999 49.7600000320001,-14.7399999429999 49.7500000320001,-14.7271428 49.741428603,-14.7142856569999 49.732857175,-14.7014285139999 49.7242857460001,-14.688571371 49.715714318,-14.6757142279999 49.7071428890001,-14.662857086 49.69857146,-14.649999943 49.6900000320001,-14.638571371 49.6800000320001,-14.6271427999999 49.6700000320001,-14.6157142279999 49.660000032,-14.6042856569999 49.650000032,-14.5928570849999 49.640000032,-14.581428514 49.6300000320001,-14.569999943 49.6200000320001,-14.5571428 49.611428603,-14.5442856569999 49.6028571750001,-14.531428514 49.594285746,-14.518571371 49.585714318,-14.5057142279999 49.5771428890001,-14.492857085 49.56857146,-14.4799999419999 49.5600000320001,-14.4671428 49.551428603,-14.454285657 49.5428571750001,-14.4414285139999 49.5342857460001,-14.428571371 49.5257143170001,-14.415714228 49.5171428890001,-14.4028570849999 49.50857146,-14.389999942 49.5000000320001,-14.3771427999999 49.491428603,-14.364285657 49.482857175,-14.351428514 49.4742857460001,-14.3385713709999 49.465714317,-14.325714228 49.4571428890001,-14.312857085 49.44857146,-14.2999999419999 49.4400000320001,-14.286666609 49.4300000320001,-14.273333276 49.4200000320001,-14.259999942 49.410000032,-14.2466666089999 49.400000032,-14.2333332759999 49.390000032,-14.219999942 49.3800000320001,-14.2071427989999 49.371428603,-14.194285657 49.3628571740001,-14.1814285139999 49.3542857460001,-14.1685713709999 49.345714317,-14.155714228 49.3371428890001,-14.1428570849999 49.32857146,-14.1299999419999 49.3200000320001,-14.1149999419999 49.3116666980001,-14.099999942 49.3033333650001,-14.084999942 49.2950000320001,-14.069999942 49.286666698,-14.0549999419999 49.278333365,-14.039999942 49.270000032,-14.0271427989999 49.2614286030001,-14.014285656 49.252857174,-14.001428513 49.2442857460001,-13.988571371 49.235714317,-13.975714228 49.227142889,-13.9628570849999 49.2185714600001,-13.949999942 49.210000031,-13.937142799 49.2014286030001,-13.9242856559999 49.192857174,-13.911428513 49.1842857460001,-13.8985713709999 49.175714317,-13.8857142279999 49.167142889,-13.872857085 49.1585714600001,-13.8599999419999 49.150000031,-13.844999942 49.1416666980001,-13.829999942 49.1333333650001,-13.8149999419999 49.1250000310001,-13.7999999419999 49.1166666980001,-13.784999942 49.1083333650001,-13.769999942 49.100000031,-13.7557142279999 49.0928571740001,-13.741428513 49.0857143170001,-13.727142799 49.07857146,-13.7128570849999 49.0714286030001,-13.69857137 49.0642857460001,-13.6842856559999 49.057142888,-13.6699999419999 49.0500000310001,-13.655714227 49.0428571740001,-13.6414285129999 49.035714317,-13.627142799 49.0285714600001,-13.612857085 49.0214286030001,-13.5985713699999 49.014285746,-13.584285656 49.007142888,-13.569999942 49.0000000310001,-13.555714227 48.9928571740001,-13.541428513 48.985714317,-13.5271427989999 48.9785714600001,-13.512857084 48.971428603,-13.49857137 48.964285746,-13.4842856559999 48.9571428880001,-13.469999942 48.9500000310001,-13.4557142269999 48.942857174,-13.4414285129999 48.9357143170001,-13.427142799 48.9285714600001,-13.4128570839999 48.921428603,-13.39857137 48.914285745,-13.384285656 48.9071428880001,-13.3699999409999 48.900000031,-13.355714227 48.894285745,-13.3414285129999 48.88857146,-13.3271427989999 48.882857174,-13.312857084 48.877142888,-13.2985713699999 48.871428603,-13.284285656 48.865714317,-13.269999941 48.860000031,-13.2557142269999 48.8528571740001,-13.241428513 48.845714317,-13.2271427979999 48.83857146,-13.2128570839999 48.8314286030001,-13.19857137 48.8242857450001,-13.1842856559999 48.817142888,-13.169999941 48.8100000310001,-13.155714227 48.8042857450001,-13.1414285129999 48.7985714600001,-13.127142798 48.7928571740001,-13.1128570839999 48.7871428880001,-13.0985713699999 48.7814286020001,-13.084285655 48.7757143170001,-13.0699999409999 48.7700000310001,-13.0542856549999 48.7642857450001,-13.0385713699999 48.75857146,-13.022857084 48.752857174,-13.007142798 48.747142888,-12.991428513 48.741428602,-12.975714227 48.735714317,-12.959999941 48.730000031,-12.9442856549999 48.724285745,-12.9285713699999 48.7185714600001,-12.9128570839999 48.7128571740001,-12.8971427979999 48.7071428880001,-12.881428512 48.7014286020001,-12.865714227 48.6957143170001,-12.849999941 48.6900000310001,-12.834285655 48.6842857450001,-12.81857137 48.6785714600001,-12.802857084 48.6728571740001,-12.7871427979999 48.6671428880001,-12.7714285119999 48.6614286020001,-12.7557142269999 48.655714317,-12.739999941 48.650000031,-12.725714227 48.6457143170001,-12.7114285119999 48.6414286020001,-12.697142798 48.637142888,-12.682857084 48.632857174,-12.6685713689999 48.6285714590001,-12.654285655 48.6242857450001,-12.6399999409999 48.6200000310001,-12.625714226 48.6142857450001,-12.611428512 48.6085714590001,-12.5971427979999 48.6028571740001,-12.582857084 48.5971428880001,-12.5685713689999 48.5914286020001,-12.5542856549999 48.5857143170001,-12.539999941 48.5800000310001,-12.524285655 48.5757143170001,-12.508571369 48.571428602,-12.4928570829999 48.567142888,-12.4771427979999 48.562857174,-12.4614285119999 48.5585714590001,-12.445714226 48.5542857450001,-12.4299999409999 48.5500000310001,-12.414285655 48.545714317,-12.398571369 48.5414286020001,-12.382857083 48.5371428880001,-12.367142798 48.5328571740001,-12.3514285119999 48.528571459,-12.3357142259999 48.524285745,-12.3199999399999 48.5200000310001,-12.305714226 48.5157143170001,-12.291428512 48.5114286020001,-12.2771427979999 48.507142888,-12.262857083 48.502857174,-12.2485713689999 48.4985714590001,-12.234285655 48.4942857450001,-12.21999994 48.4900000310001,-12.204285655 48.485714316,-12.1885713689999 48.4814286020001,-12.1728570829999 48.4771428880001,-12.1571427969999 48.4728571740001,-12.1414285119999 48.468571459,-12.125714226 48.464285745,-12.10999994 48.460000031,-12.094285655 48.4557143160001,-12.078571369 48.4514286020001,-12.0628570829999 48.447142888,-12.0471427969999 48.442857174,-12.0314285119999 48.4385714590001,-12.0157142259999 48.4342857450001,-11.99999996 48.4300000360001,-11.99999994 48.413461569,-11.99999994 48.3969231080001,-11.99999994 48.380384646,-11.99999994 48.3638461850001,-11.99999994 48.347307723,-11.99999994 48.3307692610001,-11.99999994 48.3142308000001,-11.99999994 48.297692338,-11.99999994 48.2811538770001,-11.99999994 48.264615415,-11.99999994 48.2480769540001,-11.99999994 48.231538492,-11.99999994 48.215000031,-11.99999994 48.1984615690001,-11.99999994 48.181923107,-11.99999994 48.1653846460001,-11.99999994 48.148846184,-11.99999994 48.1323077230001,-11.99999994 48.115769261,-11.99999994 48.0992308,-11.99999994 48.0826923380001,-11.99999994 48.066153877,-11.99999994 48.0496154150001,-11.99999994 48.033076953,-11.99999994 48.0165384920001,-11.9999999639999 48.0000000300001,-12.0166666069999 48.0000000300001,-12.033333274 48.0000000300001,-12.04999994 48.0000000300001,-12.0666666069999 48.0000000300001,-12.0833332739999 48.0000000300001,-12.09999994 48.0000000300001,-12.116666607 48.0000000300001,-12.1333332739999 48.0000000300001,-12.1499999399999 48.0000000300001,-12.166666607 48.0000000300001,-12.1833332739999 48.0000000300001,-12.1999999399999 48.0000000300001,-12.216666607 48.0000000300001,-12.233333274 48.0000000300001,-12.24999994 48.0000000300001,-12.2666666069999 48.0000000300001,-12.283333274 48.0000000300001,-12.29999994 48.0000000300001,-12.3166666069999 48.0000000300001,-12.3333332739999 48.0000000300001,-12.349999941 48.0000000300001,-12.366666607 48.0000000300001,-12.3833332739999 48.0000000300001,-12.399999941 48.0000000300001,-12.416666607 48.0000000300001,-12.4333332739999 48.0000000300001,-12.4499999409999 48.0000000300001,-12.466666607 48.0000000300001,-12.483333274 48.0000000300001,-12.4999999409999 48.0000000300001,-12.5166666069999 48.0000000300001,-12.533333274 48.0000000300001,-12.549999941 48.0000000300001,-12.5666666069999 48.0000000300001,-12.5833332739999 48.0000000300001,-12.599999941 48.0000000300001,-12.616666607 48.0000000300001,-12.6333332739999 48.0000000300001,-12.649999941 48.0000000300001,-12.666666607 48.0000000300001,-12.6833332739999 48.0000000300001,-12.6999999409999 48.0000000300001,-12.716666608 48.0000000300001,-12.733333274 48.0000000300001,-12.7499999409999 48.0000000300001,-12.766666608 48.0000000300001,-12.783333274 48.0000000300001,-12.799999941 48.0000000300001,-12.8166666079999 48.0000000300001,-12.8333332739999 48.0000000300001,-12.849999941 48.0000000300001,-12.8666666079999 48.0000000300001,-12.8833332739999 48.0000000300001,-12.899999941 48.0000000300001,-12.916666608 48.0000000300001,-12.9333332739999 48.0000000300001,-12.9499999409999 48.0000000300001,-12.966666608 48.0000000300001,-12.983333274 48.0000000300001,-12.9999999409999 48.0000000300001,-13.016666608 48.0000000300001,-13.033333274 48.0000000300001,-13.049999941 48.0000000300001,-13.0666666079999 48.0000000300001,-13.083333275 48.0000000300001,-13.099999941 48.0000000300001,-13.1166666079999 48.0000000300001,-13.1333332749999 48.0000000300001,-13.149999941 48.0000000300001,-13.166666608 48.0000000300001,-13.1833332749999 48.0000000300001,-13.1999999409999 48.0000000300001,-13.216666608 48.0000000300001,-13.2333332749999 48.0000000300001,-13.2499999409999 48.0000000300001,-13.266666608 48.0000000300001,-13.283333275 48.0000000300001,-13.299999941 48.0000000300001,-13.3166666079999 48.0000000300001,-13.333333275 48.0000000300001,-13.349999941 48.0000000300001,-13.3666666079999 48.0000000300001,-13.3833332749999 48.0000000300001,-13.399999941 48.0000000300001,-13.416666608 48.0000000300001,-13.4333332749999 48.0000000300001,-13.449999942 48.0000000300001,-13.466666608 48.0000000300001,-13.4833332749999 48.0000000300001,-13.4999999419999 48.0000000300001,-13.516666608 48.0000000300001,-13.533333275 48.0000000300001,-13.5499999419999 48.0000000300001,-13.5666666079999 48.0000000300001,-13.583333275 48.0000000300001,-13.599999942 48.0000000300001,-13.6166666079999 48.0000000300001,-13.6333332749999 48.0000000300001,-13.649999942 48.0000000300001,-13.666666608 48.0000000300001,-13.6833332749999 48.0000000300001,-13.699999942 48.0000000300001,-13.716666608 48.0000000300001,-13.7333332749999 48.0000000300001,-13.7499999419999 48.0000000300001,-13.766666608 48.0000000300001,-13.783333275 48.0000000300001,-13.7999999419999 48.0000000300001,-13.816666609 48.0000000300001,-13.833333275 48.0000000300001,-13.849999942 48.0000000300001,-13.8666666089999 48.0000000300001,-13.8833332749999 48.0000000300001,-13.899999942 48.0000000300001,-13.9166666089999 48.0000000300001,-13.9333332749999 48.0000000300001,-13.949999942 48.0000000300001,-13.966666609 48.0000000300001,-13.9833332749999 48.0000000300001,-13.9999999419999 48.0000000300001,-14.016666609 48.0000000300001,-14.033333275 48.0000000300001,-14.0499999419999 48.0000000300001,-14.066666609 48.0000000300001,-14.083333275 48.0000000300001,-14.099999942 48.0000000300001,-14.1166666089999 48.0000000300001,-14.1333332749999 48.0000000300001,-14.149999942 48.0000000300001,-14.1666666089999 48.0000000300001,-14.1833332759999 48.0000000300001,-14.199999942 48.0000000300001,-14.216666609 48.0000000300001,-14.2333332759999 48.0000000300001,-14.2499999419999 48.0000000300001,-14.266666609 48.0000000300001,-14.283333276 48.0000000300001,-14.2999999419999 48.0000000300001,-14.316666609 48.0000000300001,-14.333333276 48.0000000300001,-14.349999942 48.0000000300001,-14.3666666089999 48.0000000300001,-14.383333276 48.0000000300001,-14.399999942 48.0000000300001,-14.4166666089999 48.0000000300001,-14.4333332759999 48.0000000300001,-14.449999942 48.0000000300001,-14.466666609 48.0000000300001,-14.4833332759999 48.0000000300001,-14.499999943 48.0000000300001,-14.516666609 48.0000000300001,-14.533333276 48.0000000300001,-14.5499999429999 48.0000000300001,-14.566666609 48.0000000300001,-14.583333276 48.0000000300001,-14.5999999429999 48.0000000300001,-14.6166666089999 48.0000000300001,-14.633333276 48.0000000300001,-14.649999943 48.0000000300001,-14.6666666089999 48.0000000300001,-14.6833332759999 48.0000000300001,-14.699999943 48.0000000300001,-14.716666609 48.0000000300001,-14.7333332759999 48.0000000300001,-14.749999943 48.0000000300001,-14.766666609 48.0000000300001,-14.783333276 48.0000000300001,-14.7999999429999 48.0000000300001,-14.816666609 48.0000000300001,-14.833333276 48.0000000300001,-14.8499999429999 48.0000000300001,-14.86666661 48.0000000300001,-14.883333276 48.0000000300001,-14.899999943 48.0000000300001,-14.9166666099999 48.0000000300001,-14.9333332759999 48.0000000300001,-14.949999943 48.0000000300001,-14.9666666099999 48.0000000300001,-14.9833332759999 48.0000000300001,-14.999999943 48.0000000300001,-15.01666661 48.0000000300001,-15.033333276 48.0000000300001,-15.0499999429999 48.0000000300001,-15.06666661 48.0000000300001,-15.083333276 48.0000000300001,-15.0999999429999 48.0000000300001,-15.11666661 48.0000000300001,-15.133333276 48.0000000300001,-15.149999943 48.0000000300001,-15.1666666099999 48.0000000300001,-15.1833332759999 48.0000000300001,-15.199999943 48.0000000300001,-15.2166666099999 48.0000000300001,-15.2333332769999 48.0000000300001,-15.249999943 48.0000000300001,-15.26666661 48.0000000300001,-15.2833332769999 48.0000000300001,-15.2999999429999 48.0000000300001,-15.31666661 48.0000000300001,-15.333333277 48.0000000300001,-15.3499999429999 48.0000000300001,-15.36666661 48.0000000300001,-15.383333277 48.0000000300001,-15.399999943 48.0000000300001,-15.4166666099999 48.0000000300001,-15.433333277 48.0000000300001,-15.449999943 48.0000000300001,-15.4666666099999 48.0000000300001,-15.4833332769999 48.0000000300001,-15.499999943 48.0000000300001,-15.51666661 48.0000000300001,-15.5333332769999 48.0000000300001,-15.5499999429999 48.0000000300001,-15.56666661 48.0000000300001,-15.583333277 48.0000000300001,-15.5999999439999 48.0000000300001,-15.61666661 48.0000000300001,-15.633333277 48.0000000300001,-15.6499999439999 48.0000000300001,-15.6666666099999 48.0000000300001,-15.683333277 48.0000000300001,-15.699999944 48.0000000300001,-15.7166666099999 48.0000000300001,-15.7333332769999 48.0000000300001,-15.749999944 48.0000000300001,-15.76666661 48.0000000300001,-15.7833332769999 48.0000000300001,-15.799999944 48.0000000300001,-15.81666661 48.0000000300001,-15.833333277 48.0000000300001,-15.8499999439999 48.0000000300001,-15.86666661 48.0000000300001,-15.883333277 48.0000000300001,-15.8999999439999 48.0000000300001,-15.9166666099999 48.0000000300001,-15.933333277 48.0000000300001,-15.949999944 48.0000000300001,-15.9666666109999 48.0000000300001,-15.9833332769999 48.0000000300001,-15.999999944 48.0000000300001,-16.0166666109999 48.0000000300001,-16.0333332769999 48.0000000300001,-16.049999944 48.0000000300001,-16.066666611 48.0000000300001,-16.083333277 48.0000000300001,-16.0999999439999 48.0000000300001,-16.116666611 48.0000000300001,-16.133333277 48.0000000300001,-16.1499999439999 48.0000000300001,-16.166666611 48.0000000300001,-16.183333277 48.0000000300001,-16.199999944 48.0000000300001,-16.2166666109999 48.0000000300001,-16.2333332769999 48.0000000300001,-16.249999944 48.0000000300001,-16.2666666109999 48.0000000300001,-16.2833332779999 48.0000000300001,-16.299999944 48.0000000300001,-16.316666611 48.0000000300001,-16.3333332779999 48.0000000300001,-16.3499999439999 48.0000000300001,-16.366666611 48.0000000300001,-16.383333278 48.0000000300001,-16.3999999439999 48.0000000300001,-16.416666611 48.0000000300001,-16.433333278 48.0000000300001,-16.449999944 48.0000000300001,-16.4666666109999 48.0000000300001,-16.483333278 48.0000000300001,-16.499999944 48.0000000300001,-16.5166666109999 48.0000000300001,-16.5333332779999 48.0000000300001,-16.549999944 48.0000000300001,-16.566666611 48.0000000300001,-16.5833332779999 48.0000000300001,-16.5999999439999 48.0000000300001,-16.616666611 48.0000000300001,-16.633333278 48.0000000300001,-16.6499999449999 48.0000000300001,-16.666666611 48.0000000300001,-16.683333278 48.0000000300001,-16.6999999449999 48.0000000300001,-16.7166666109999 48.0000000300001,-16.733333278 48.0000000300001,-16.749999945 48.0000000300001,-16.7666666109999 48.0000000300001,-16.7833332779999 48.0000000300001,-16.799999945 48.0000000300001,-16.816666611 48.0000000300001,-16.8333332779999 48.0000000300001,-16.849999945 48.0000000300001,-16.866666611 48.0000000300001,-16.883333278 48.0000000300001,-16.8999999449999 48.0000000300001,-16.916666611 48.0000000300001,-16.933333278 48.0000000300001,-16.9499999449999 48.0000000300001,-16.9666666109999 48.0000000300001,-16.983333278 48.0000000300001,-16.999999945 48.0000000300001,-17.0166666119999 48.0000000300001,-17.0333332779999 48.0000000300001,-17.049999945 48.0000000300001,-17.0666666119999 48.0000000300001,-17.0833332779999 48.0000000300001,-17.099999945 48.0000000300001,-17.116666612 48.0000000300001,-17.133333278 48.0000000300001,-17.1499999449999 48.0000000300001,-17.166666612 48.0000000300001,-17.183333278 48.0000000300001,-17.1999999449999 48.0000000300001,-17.2166666119999 48.0000000300001,-17.233333278 48.0000000300001,-17.249999945 48.0000000300001,-17.2666666119999 48.0000000300001,-17.2833332779999 48.0000000300001,-17.299999945 48.0000000300001,-17.3166666119999 48.0000000300001,-17.3333332779999 48.0000000300001,-17.349999945 48.0000000300001,-17.366666612 48.0000000300001,-17.3833332789999 48.0000000300001,-17.3999999449999 48.0000000300001,-17.416666612 48.0000000300001,-17.433333279 48.0000000300001,-17.4499999449999 48.0000000300001,-17.4666666119999 48.0000000300001,-17.483333279 48.0000000300001,-17.499999945 48.0000000300001,-17.5166666119999 48.0000000300001,-17.533333279 48.0000000300001,-17.549999945 48.0000000300001,-17.5666666119999 48.0000000300001,-17.5833332789999 48.0000000300001,-17.599999945 48.0000000300001,-17.616666612 48.0000000300001,-17.6333332789999 48.0000000300001,-17.6499999449999 48.0000000300001,-17.666666612 48.0000000300001,-17.683333279 48.0000000300001,-17.6999999449999 48.0000000300001,-17.7166666119999 48.0000000300001,-17.733333279 48.0000000300001,-17.7499999459999 48.0000000300001,-17.7666666119999 48.0000000300001,-17.783333279 48.0000000300001,-17.799999946 48.0000000300001,-17.8166666119999 48.0000000300001,-17.8333332789999 48.0000000300001,-17.849999946 48.0000000300001,-17.866666612 48.0000000300001,-17.8833332789999 48.0000000300001,-17.899999946 48.0000000300001,-17.916666612 48.0000000300001,-17.933333279 48.0000000300001,-17.9499999459999 48.0000000300001,-17.9666666119999 48.0000000300001,-17.983333279 48.0000000300001,-17.999999959 48.000000023,-17.9999999459999 48.0166666970001,-17.9999999459999 48.033333364,-17.9999999459999 48.05000003,-17.9999999459999 48.0666666970001,-17.9999999459999 48.0833333640001,-17.9999999459999 48.10000003,-17.9999999459999 48.116666697,-17.9999999459999 48.1333333640001,-17.9999999459999 48.1500000300001,-17.9999999459999 48.166666697,-17.9999999459999 48.1833333640001,-17.9999999459999 48.2000000310001,-17.9999999459999 48.2166666970001,-17.9999999459999 48.233333364,-17.9999999459999 48.2500000310001,-17.9999999459999 48.2666666970001,-17.9999999459999 48.283333364,-17.9999999459999 48.3000000310001,-17.9999999459999 48.3166666970001,-17.9999999459999 48.3333333640001,-17.9999999459999 48.350000031,-17.9999999459999 48.366666697,-17.9999999459999 48.3833333640001,-17.9999999459999 48.400000031,-17.9999999459999 48.416666697,-17.9999999459999 48.4333333640001,-17.9999999459999 48.4500000310001,-17.9999999459999 48.4666666970001,-17.9999999459999 48.483333364,-17.9999999459999 48.5000000310001,-17.9999999459999 48.5166666970001,-17.9999999459999 48.533333364,-17.9999999459999 48.5500000310001,-17.9999999459999 48.5666666980001,-17.9999999459999 48.5833333640001,-17.9999999459999 48.600000031,-17.9999999459999 48.6166666980001,-17.9999999459999 48.6333333640001,-17.9999999459999 48.650000031,-17.9999999459999 48.666666698,-17.9999999459999 48.6833333640001,-17.9999999459999 48.7000000310001,-17.9999999459999 48.716666698,-17.9999999459999 48.733333364,-17.9999999459999 48.7500000310001,-17.9999999459999 48.7666666980001,-17.9999999459999 48.783333364,-17.9999999459999 48.8000000310001,-17.9999999459999 48.8166666980001,-17.9999999459999 48.8333333640001,-17.9999999459999 48.850000031,-17.9999999459999 48.8666666980001,-17.9999999459999 48.8833333640001,-17.9999999459999 48.900000031,-17.9999999459999 48.916666698,-17.9999999459999 48.9333333650001,-17.9999999459999 48.9500000310001,-17.9999999459999 48.966666698,-17.9999999459999 48.9833333650001,-17.9999999459999 49.0000000310001,-17.9999999459999 49.0166666980001,-17.9999999459999 49.033333365,-17.9999999459999 49.0500000310001,-17.9999999459999 49.0666666980001,-17.9999999459999 49.083333365,-17.9999999459999 49.100000031,-17.9999999459999 49.1166666980001,-17.9999999459999 49.1333333650001,-17.9999999459999 49.150000031,-17.9999999459999 49.166666698,-17.9999999459999 49.1833333650001,-17.9999999459999 49.2000000310001,-17.9999999459999 49.216666698,-17.9999999459999 49.2333333650001,-17.9999999459999 49.2500000310001,-17.9999999459999 49.2666666980001,-17.9999999459999 49.283333365,-17.9999999459999 49.3000000320001,-17.9999999459999 49.3166666980001,-17.9999999459999 49.333333365,-17.9999999459999 49.350000032,-17.9999999459999 49.3666666980001,-17.9999999459999 49.3833333650001,-17.9999999459999 49.400000032,-17.9999999459999 49.416666698,-17.9999999459999 49.4333333650001,-17.9999999459999 49.450000032,-17.9999999459999 49.466666698,-17.9999999459999 49.4833333650001,-17.9999999459999 49.5000000320001,-17.9999999459999 49.5166666980001,-17.9999999459999 49.533333365,-17.9999999459999 49.5500000320001,-17.9999999459999 49.5666666980001,-17.9999999459999 49.583333365,-17.9999999459999 49.600000032,-17.9999999459999 49.6166666980001,-17.9999999459999 49.6333333650001,-17.9999999459999 49.650000032,-17.9999999459999 49.6666666990001,-17.9999999459999 49.6833333650001,-17.9999999459999 49.700000032,-17.9999999459999 49.716666699,-17.9999999459999 49.7333333650001,-17.9999999459999 49.7500000320001,-17.9999999459999 49.766666699,-17.9999999459999 49.783333365,-17.9999999459999 49.8000000320001,-17.9999999459999 49.8166666990001,-17.9999999459999 49.833333365,-17.9999999459999 49.850000032,-17.9999999459999 49.8666666990001,-17.9999999459999 49.8833333650001,-17.9999999459999 49.900000032,-17.9999999459999 49.9166666990001,-17.9999999459999 49.9333333650001,-17.9999999459999 49.950000032,-17.9999999459999 49.966666699,-17.9999999459999 49.9833333660001,-17.9999999459999 50.0000000320001,-17.9999999459999 50.016666699,-17.9999999459999 50.0333333660001,-17.9999999459999 50.0500000320001,-17.9999999459999 50.0666666990001,-17.9999999459999 50.083333366,-17.9999999459999 50.100000032,-17.9999999459999 50.1166666990001,-17.9999999459999 50.133333366,-17.9999999459999 50.150000032,-17.9999999459999 50.1666666990001,-17.9999999459999 50.1833333660001,-17.9999999459999 50.200000032,-17.9999999459999 50.216666699,-17.9999999459999 50.2333333660001,-17.9999999459999 50.2500000320001,-17.9999999459999 50.266666699,-17.9999999459999 50.2833333660001,-17.9999999459999 50.3000000320001,-17.9999999459999 50.3166666990001,-17.9999999459999 50.333333366,-17.9999999459999 50.3500000330001,-17.9999999459999 50.3666666990001,-17.9999999459999 50.383333366,-17.9999999459999 50.400000033,-17.9999999459999 50.4166666990001,-17.9999999459999 50.4333333660001,-17.9999999459999 50.450000033,-17.9999999459999 50.466666699,-17.9999999459999 50.4833333660001,-17.9999999459999 50.500000033,-17.9999999459999 50.516666699,-17.9999999459999 50.5333333660001,-17.9999999459999 50.5500000330001,-17.9999999459999 50.5666666990001,-17.9999999459999 50.583333366,-17.9999999459999 50.6000000330001,-17.9999999459999 50.6166666990001,-17.9999999459999 50.633333366,-17.9999999459999 50.650000033,-17.9999999459999 50.6666666990001,-17.9999999459999 50.6833333660001,-17.9999999459999 50.700000033,-17.9999999459999 50.7166667000001,-17.9999999459999 50.7333333660001,-17.9999999459999 50.750000033,-17.9999999459999 50.7666667,-17.9999999459999 50.7833333660001,-17.9999999459999 50.8000000330001,-17.9999999459999 50.8166667,-17.9999999459999 50.833333366,-17.9999999459999 50.8500000330001,-17.9999999459999 50.8666667000001,-17.9999999459999 50.883333366,-17.9999999459999 50.900000033,-17.9999999459999 50.9166667000001,-17.9999999459999 50.9333333660001,-17.9999999459999 50.950000033,-17.9999999459999 50.9666667000001,-17.9999999459999 50.9833333660001,-17.9999999459999 51.000000033,-17.9999999459999 51.0166667,-17.9999999459999 51.0333333660001,-17.9999999459999 51.0500000330001,-17.9999999459999 51.0666667,-17.9999999459999 51.0833333670001,-17.9999999459999 51.1000000330001,-17.9999999459999 51.1166667000001,-17.9999999459999 51.133333367,-17.9999999459999 51.150000033,-17.9999999459999 51.1666667000001,-17.9999999459999 51.183333367,-17.9999999459999 51.200000033,-17.9999999459999 51.2166667000001,-17.9999999459999 51.2333333670001,-17.9999999459999 51.250000033,-17.9999999459999 51.2666667,-17.9999999459999 51.2833333670001,-17.9999999459999 51.3000000330001,-17.9999999459999 51.3166667,-17.9999999459999 51.3333333670001,-17.9999999459999 51.3500000330001,-17.9999999459999 51.3666667000001,-17.9999999459999 51.383333367,-17.9999999459999 51.400000033,-17.9999999459999 51.4166667000001,-17.9999999459999 51.433333367,-17.9999999459999 51.450000034,-17.9999999459999 51.4666667000001,-17.9999999459999 51.4833333670001,-17.9999999459999 51.500000034,-17.9999999459999 51.5166667,-17.9999999459999 51.5333333670001,-17.9999999459999 51.550000034,-17.9999999459999 51.5666667,-17.9999999459999 51.5833333670001,-17.9999999459999 51.6000000340001,-17.9999999459999 51.6166667000001,-17.9999999459999 51.633333367,-17.9999999459999 51.6500000340001,-17.9999999459999 51.6666667000001,-17.9999999459999 51.683333367,-17.9999999459999 51.700000034,-17.9999999459999 51.7166667000001,-17.9999999459999 51.7333333670001,-17.9999999459999 51.750000034,-17.9999999459999 51.7666667010001,-17.9999999459999 51.7833333670001,-17.9999999459999 51.800000034,-17.9999999459999 51.816666701,-17.9999999459999 51.8333333670001,-17.9999999459999 51.8500000340001,-17.9999999459999 51.866666701,-17.9999999459999 51.883333367,-17.9999999459999 51.9000000340001,-17.9999999459999 51.9166667010001,-17.9999999459999 51.933333367,-17.9999999459999 51.950000034,-17.9999999459999 51.9666667010001,-17.9999999459999 51.9833333670001,-17.9999999459999 52.000000034,-17.9999999459999 52.0166667010001,-17.9999999459999 52.0333333670001,-17.9999999459999 52.050000034,-17.9999999459999 52.066666701,-17.9999999459999 52.0833333670001,-17.9999999459999 52.1000000340001,-17.9999999459999 52.116666701,-17.9999999459999 52.1333333680001,-17.9999999459999 52.1500000340001,-17.9999999459999 52.1666667010001,-17.9999999459999 52.183333368,-17.9999999459999 52.200000034,-17.9999999459999 52.2166667010001,-17.9999999459999 52.233333368,-17.9999999459999 52.250000034,-17.9999999459999 52.2666667010001,-17.9999999459999 52.2833333680001,-17.9999999459999 52.300000034,-17.9999999459999 52.316666701,-17.9999999459999 52.3333333680001,-17.9999999459999 52.3500000340001,-17.9999999459999 52.366666701,-17.9999999459999 52.3833333680001,-17.9999999459999 52.4000000340001,-17.9999999459999 52.4166667010001,-17.9999999459999 52.433333368,-17.9999999459999 52.450000034,-17.9999999459999 52.4666667010001,-17.9999999459999 52.483333368,-17.9999998709999 52.50000032,-17.983418749 52.500000035,-17.9668375529999 52.500000035,-17.950256356 52.500000035,-17.933675159 52.500000035,-17.917093963 52.500000035,-17.900512766 52.500000035,-17.88393157 52.500000035,-17.867350373 52.500000035,-17.850769176 52.500000035,-17.83418798 52.500000035,-17.817606783 52.500000035,-17.801025587 52.500000035,-17.78444439 52.500000035,-17.767863193 52.500000035,-17.751281997 52.500000035,-17.7347007999999 52.500000035,-17.718119604 52.500000035,-17.7015384069999 52.500000035,-17.6849572099999 52.500000035,-17.6683760139999 52.500000035,-17.6517948169999 52.500000035,-17.6352136209999 52.500000035,-17.6186324239999 52.500000035,-17.6020512269999 52.500000035,-17.5854700309999 52.500000035,-17.5688888339999 52.500000035,-17.5523076379999 52.500000035,-17.535726441 52.500000035,-17.519145244 52.500000035,-17.502564048 52.500000035,-17.485982851 52.500000035,-17.469401655 52.500000035,-17.452820458 52.500000035,-17.436239261 52.500000035,-17.419658065 52.500000035,-17.403076868 52.500000035,-17.386495672 52.500000035,-17.369914475 52.500000035,-17.353333278 52.500000035,-17.336752082 52.500000035,-17.320170885 52.500000035,-17.303589689 52.500000035,-17.2870084919999 52.500000035,-17.270427296 52.500000035,-17.2538460989999 52.500000035,-17.2372649019999 52.500000035,-17.2206837059999 52.500000035,-17.2041025089999 52.500000035,-17.1875213129999 52.500000035,-17.1709401159999 52.500000035,-17.1543589189999 52.500000035,-17.1377777229999 52.500000035,-17.1211965259999 52.500000035,-17.1046153299999 52.500000035,-17.088034133 52.500000035,-17.071452936 52.500000035,-17.05487174 52.500000035,-17.038290543 52.500000035,-17.021709347 52.500000035,-17.00512815 52.500000035,-16.988546953 52.500000035,-16.971965757 52.500000035,-16.95538456 52.500000035,-16.938803364 52.500000035,-16.922222167 52.500000035,-16.90564097 52.500000035,-16.889059774 52.500000035,-16.872478577 52.500000035,-16.855897381 52.500000035,-16.8393161839999 52.500000035,-16.8227349869999 52.500000035,-16.8061537909999 52.500000035,-16.7895725939999 52.500000035,-16.7729913979999 52.500000035,-16.7564102009999 52.500000035,-16.7398290039999 52.500000035,-16.7232478079999 52.500000035,-16.7066666109999 52.500000035,-16.6900854149999 52.500000035,-16.6735042179999 52.500000035,-16.656923021 52.500000035,-16.640341825 52.500000035,-16.623760628 52.500000035,-16.607179432 52.500000035,-16.590598235 52.500000035,-16.574017038 52.500000035,-16.557435842 52.500000035,-16.540854645 52.500000035,-16.524273449 52.500000035,-16.507692252 52.500000035,-16.491111055 52.500000035,-16.474529859 52.500000035,-16.457948662 52.500000035,-16.441367466 52.500000035,-16.424786269 52.500000035,-16.4082050719999 52.500000035,-16.3916238759999 52.500000035,-16.3750426789999 52.500000035,-16.3584614829999 52.500000035,-16.3418802859999 52.500000035,-16.3252990899999 52.500000035,-16.3087178929999 52.500000035,-16.2921366959999 52.500000035,-16.2755554999999 52.500000035,-16.2589743029999 52.500000035,-16.2423931069999 52.500000035,-16.2258119099999 52.500000035,-16.209230713 52.500000035,-16.1926495169999 52.500000035,-16.17606832 52.500000035,-16.159487124 52.500000035,-16.142905927 52.500000035,-16.12632473 52.500000035,-16.109743534 52.500000035,-16.093162337 52.500000035,-16.076581141 52.500000035,-16.0599999459999 52.500000023)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VII', '', '27.VII', '27.VII.k', 'Southwest of Ireland - West', '27.VIIk', '27.VII.k.1', 'SW of Ireland - West - NEAFC Regulatory Area', '27.VIIk1', '', '', '', '', 'VIIk1', '4', '27.7.k.1', '27.VIIk1', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999639999 63.000000044,-11.0166666059999 63.000000044,-11.0333332729999 63.000000044,-11.049999939 63.000000044,-11.066666606 63.000000044,-11.0833332729999 63.000000044,-11.0999999389999 63.000000044,-11.116666606 63.000000044,-11.1333332729999 63.000000044,-11.1499999389999 63.000000044,-11.166666606 63.000000044,-11.183333273 63.000000044,-11.199999939 63.000000044,-11.2166666059999 63.000000044,-11.233333273 63.000000044,-11.249999939 63.000000044,-11.2666666059999 63.000000044,-11.2833332729999 63.000000044,-11.29999994 63.000000044,-11.316666606 63.000000044,-11.3333332729999 63.000000044,-11.34999994 63.000000044,-11.366666606 63.000000044,-11.3833332729999 63.000000044,-11.3999999399999 63.000000044,-11.416666606 63.000000044,-11.433333273 63.000000044,-11.4499999399999 63.000000044,-11.4666666059999 63.000000044,-11.483333273 63.000000044,-11.49999994 63.000000044,-11.5166666059999 63.000000044,-11.5333332729999 63.000000044,-11.54999994 63.000000044,-11.566666606 63.000000044,-11.5833332729999 63.000000044,-11.59999994 63.000000044,-11.616666606 63.000000044,-11.6333332729999 63.000000044,-11.6499999399999 63.000000044,-11.666666607 63.000000044,-11.683333273 63.000000044,-11.6999999399999 63.000000044,-11.716666607 63.000000044,-11.733333273 63.000000044,-11.74999994 63.000000044,-11.7666666069999 63.000000044,-11.7833332729999 63.000000044,-11.79999994 63.000000044,-11.8166666069999 63.000000044,-11.8333332729999 63.000000044,-11.84999994 63.000000044,-11.866666607 63.000000044,-11.8833332729999 63.000000044,-11.8999999399999 63.000000044,-11.916666607 63.000000044,-11.933333273 63.000000044,-11.9499999399999 63.000000044,-11.966666607 63.000000044,-11.983333273 63.000000044,-11.99999994 63.000000044,-12.0166666069999 63.000000044,-12.033333274 63.000000044,-12.04999994 63.000000044,-12.0666666069999 63.000000044,-12.0833332739999 63.000000044,-12.09999994 63.000000044,-12.116666607 63.000000044,-12.1333332739999 63.000000044,-12.1499999399999 63.000000044,-12.166666607 63.000000044,-12.1833332739999 63.000000044,-12.1999999399999 63.000000044,-12.216666607 63.000000044,-12.233333274 63.000000044,-12.24999994 63.000000044,-12.2666666069999 63.000000044,-12.283333274 63.000000044,-12.29999994 63.000000044,-12.3166666069999 63.000000044,-12.3333332739999 63.000000044,-12.349999941 63.000000044,-12.366666607 63.000000044,-12.3833332739999 63.000000044,-12.399999941 63.000000044,-12.416666607 63.000000044,-12.4333332739999 63.000000044,-12.4499999409999 63.000000044,-12.466666607 63.000000044,-12.483333274 63.000000044,-12.4999999409999 63.000000044,-12.5166666069999 63.000000044,-12.533333274 63.000000044,-12.549999941 63.000000044,-12.5666666069999 63.000000044,-12.5833332739999 63.000000044,-12.599999941 63.000000044,-12.616666607 63.000000044,-12.6333332739999 63.000000044,-12.649999941 63.000000044,-12.666666607 63.000000044,-12.6833332739999 63.000000044,-12.6999999409999 63.000000044,-12.716666608 63.000000044,-12.733333274 63.000000044,-12.7499999409999 63.000000044,-12.766666608 63.000000044,-12.783333274 63.000000044,-12.799999941 63.000000044,-12.8166666079999 63.000000044,-12.8333332739999 63.000000044,-12.849999941 63.000000044,-12.8666666079999 63.000000044,-12.8833332739999 63.000000044,-12.899999941 63.000000044,-12.916666608 63.000000044,-12.9333332739999 63.000000044,-12.9499999409999 63.000000044,-12.966666608 63.000000044,-12.983333274 63.000000044,-12.9999999409999 63.000000044,-13.016666608 63.000000044,-13.033333274 63.000000044,-13.049999941 63.000000044,-13.0666666079999 63.000000044,-13.083333275 63.000000044,-13.099999941 63.000000044,-13.1166666079999 63.000000044,-13.1333332749999 63.000000044,-13.149999941 63.000000044,-13.166666608 63.000000044,-13.1833332749999 63.000000044,-13.1999999409999 63.000000044,-13.216666608 63.000000044,-13.2333332749999 63.000000044,-13.2499999409999 63.000000044,-13.266666608 63.000000044,-13.283333275 63.000000044,-13.299999941 63.000000044,-13.3166666079999 63.000000044,-13.333333275 63.000000044,-13.349999941 63.000000044,-13.3666666079999 63.000000044,-13.3833332749999 63.000000044,-13.399999941 63.000000044,-13.416666608 63.000000044,-13.4333332749999 63.000000044,-13.449999942 63.000000044,-13.466666608 63.000000044,-13.4833332749999 63.000000044,-13.4999999419999 63.000000044,-13.516666608 63.000000044,-13.533333275 63.000000044,-13.5499999419999 63.000000044,-13.5666666079999 63.000000044,-13.583333275 63.000000044,-13.599999942 63.000000044,-13.6166666079999 63.000000044,-13.6333332749999 63.000000044,-13.649999942 63.000000044,-13.666666608 63.000000044,-13.6833332749999 63.000000044,-13.699999942 63.000000044,-13.716666608 63.000000044,-13.7333332749999 63.000000044,-13.7499999419999 63.000000044,-13.766666608 63.000000044,-13.783333275 63.000000044,-13.7999999419999 63.000000044,-13.816666609 63.000000044,-13.833333275 63.000000044,-13.849999942 63.000000044,-13.8666666089999 63.000000044,-13.8833332749999 63.000000044,-13.899999942 63.000000044,-13.9166666089999 63.000000044,-13.9333332749999 63.000000044,-13.949999942 63.000000044,-13.966666609 63.000000044,-13.9833332749999 63.000000044,-13.9999999419999 63.000000044,-14.016666609 63.000000044,-14.033333275 63.000000044,-14.0499999419999 63.000000044,-14.066666609 63.000000044,-14.083333275 63.000000044,-14.099999942 63.000000044,-14.1166666089999 63.000000044,-14.1333332749999 63.000000044,-14.149999942 63.000000044,-14.1666666089999 63.000000044,-14.1833332759999 63.000000044,-14.199999942 63.000000044,-14.216666609 63.000000044,-14.2333332759999 63.000000044,-14.2499999419999 63.000000044,-14.266666609 63.000000044,-14.283333276 63.000000044,-14.2999999419999 63.000000044,-14.316666609 63.000000044,-14.333333276 63.000000044,-14.349999942 63.000000044,-14.3666666089999 63.000000044,-14.383333276 63.000000044,-14.399999942 63.000000044,-14.4166666089999 63.000000044,-14.4333332759999 63.000000044,-14.449999942 63.000000044,-14.466666609 63.000000044,-14.4833332759999 63.000000044,-14.499999943 63.000000044,-14.516666609 63.000000044,-14.533333276 63.000000044,-14.5499999429999 63.000000044,-14.566666609 63.000000044,-14.583333276 63.000000044,-14.5999999429999 63.000000044,-14.6166666089999 63.000000044,-14.633333276 63.000000044,-14.649999943 63.000000044,-14.6666666089999 63.000000044,-14.6833332759999 63.000000044,-14.699999943 63.000000044,-14.716666609 63.000000044,-14.7333332759999 63.000000044,-14.749999943 63.000000044,-14.766666609 63.000000044,-14.783333276 63.000000044,-14.7999999429999 63.000000044,-14.816666609 63.000000044,-14.833333276 63.000000044,-14.8499999429999 63.000000044,-14.86666661 63.000000044,-14.883333276 63.000000044,-14.899999943 63.000000044,-14.9166666099999 63.000000044,-14.9333332759999 63.000000044,-14.949999943 63.000000044,-14.9666666099999 63.000000044,-14.9833332759999 63.000000044,-14.999999943 63.0000000220001,-14.999999943 62.9833333780001,-14.999999943 62.9666667110001,-14.999999943 62.950000044,-14.999999943 62.933333378,-14.999999943 62.9166667110001,-14.999999943 62.9000000440001,-14.999999943 62.883333378,-14.999999943 62.8666667110001,-14.999999943 62.8500000440001,-14.999999943 62.833333377,-14.999999943 62.816666711,-14.999999943 62.8000000440001,-14.999999943 62.7833333770001,-14.999999943 62.766666711,-14.999999943 62.750000044,-14.999999943 62.7333333770001,-14.999999943 62.7166667110001,-14.999999943 62.700000044,-14.999999943 62.6833333770001,-14.999999943 62.6666667110001,-14.999999943 62.6500000440001,-14.999999943 62.633333377,-14.999999943 62.6166667110001,-14.999999943 62.6000000440001,-14.999999943 62.583333377,-14.999999943 62.566666711,-14.999999943 62.5500000440001,-14.999999943 62.5333333770001,-14.999999943 62.516666711,-14.999999943 62.500000044,-14.999999943 62.4833333770001,-14.999999943 62.46666671,-14.999999943 62.450000044,-14.999999943 62.4333333770001,-14.999999943 62.4166667100001,-14.999999943 62.4000000440001,-14.999999943 62.383333377,-14.999999943 62.3666667100001,-14.999999943 62.3500000440001,-14.999999943 62.333333377,-14.999999943 62.31666671,-14.999999943 62.3000000440001,-14.999999943 62.2833333770001,-14.999999943 62.26666671,-14.999999943 62.250000044,-14.999999943 62.2333333770001,-14.999999943 62.21666671,-14.999999943 62.200000044,-14.999999943 62.1833333770001,-14.999999943 62.1666667100001,-14.999999943 62.1500000440001,-14.999999943 62.133333377,-14.999999943 62.1166667100001,-14.999999943 62.1000000430001,-14.999999943 62.083333377,-14.999999943 62.06666671,-14.999999943 62.0500000430001,-14.999999943 62.0333333770001,-14.999999943 62.01666671,-14.999999966 62.0000000430001,-15.01666661 62.0000000430001,-15.033333276 62.0000000430001,-15.0499999429999 62.0000000430001,-15.06666661 62.0000000430001,-15.083333276 62.0000000430001,-15.0999999429999 62.0000000430001,-15.11666661 62.0000000430001,-15.133333276 62.0000000430001,-15.149999943 62.0000000430001,-15.1666666099999 62.0000000430001,-15.1833332759999 62.0000000430001,-15.199999943 62.0000000430001,-15.2166666099999 62.0000000430001,-15.2333332769999 62.0000000430001,-15.249999943 62.0000000430001,-15.26666661 62.0000000430001,-15.2833332769999 62.0000000430001,-15.2999999429999 62.0000000430001,-15.31666661 62.0000000430001,-15.333333277 62.0000000430001,-15.3499999429999 62.0000000430001,-15.36666661 62.0000000430001,-15.383333277 62.0000000430001,-15.399999943 62.0000000430001,-15.4166666099999 62.0000000430001,-15.433333277 62.0000000430001,-15.449999943 62.0000000430001,-15.4666666099999 62.0000000430001,-15.4833332769999 62.0000000430001,-15.499999943 62.0000000430001,-15.51666661 62.0000000430001,-15.5333332769999 62.0000000430001,-15.5499999429999 62.0000000430001,-15.56666661 62.0000000430001,-15.583333277 62.0000000430001,-15.5999999439999 62.0000000430001,-15.61666661 62.0000000430001,-15.633333277 62.0000000430001,-15.6499999439999 62.0000000430001,-15.6666666099999 62.0000000430001,-15.683333277 62.0000000430001,-15.699999944 62.0000000430001,-15.7166666099999 62.0000000430001,-15.7333332769999 62.0000000430001,-15.749999944 62.0000000430001,-15.76666661 62.0000000430001,-15.7833332769999 62.0000000430001,-15.799999944 62.0000000430001,-15.81666661 62.0000000430001,-15.833333277 62.0000000430001,-15.8499999439999 62.0000000430001,-15.86666661 62.0000000430001,-15.883333277 62.0000000430001,-15.8999999439999 62.0000000430001,-15.9166666099999 62.0000000430001,-15.933333277 62.0000000430001,-15.949999944 62.0000000430001,-15.9666666109999 62.0000000430001,-15.9833332769999 62.0000000430001,-15.999999944 62.0000000430001,-16.0166666109999 62.0000000430001,-16.0333332769999 62.0000000430001,-16.049999944 62.0000000430001,-16.066666611 62.0000000430001,-16.083333277 62.0000000430001,-16.0999999439999 62.0000000430001,-16.116666611 62.0000000430001,-16.133333277 62.0000000430001,-16.1499999439999 62.0000000430001,-16.166666611 62.0000000430001,-16.183333277 62.0000000430001,-16.199999944 62.0000000430001,-16.2166666109999 62.0000000430001,-16.2333332769999 62.0000000430001,-16.249999944 62.0000000430001,-16.2666666109999 62.0000000430001,-16.2833332779999 62.0000000430001,-16.299999944 62.0000000430001,-16.316666611 62.0000000430001,-16.3333332779999 62.0000000430001,-16.3499999439999 62.0000000430001,-16.366666611 62.0000000430001,-16.383333278 62.0000000430001,-16.3999999439999 62.0000000430001,-16.416666611 62.0000000430001,-16.433333278 62.0000000430001,-16.449999944 62.0000000430001,-16.4666666109999 62.0000000430001,-16.483333278 62.0000000430001,-16.499999944 62.0000000430001,-16.5166666109999 62.0000000430001,-16.5333332779999 62.0000000430001,-16.549999944 62.0000000430001,-16.566666611 62.0000000430001,-16.5833332779999 62.0000000430001,-16.5999999439999 62.0000000430001,-16.616666611 62.0000000430001,-16.633333278 62.0000000430001,-16.6499999449999 62.0000000430001,-16.666666611 62.0000000430001,-16.683333278 62.0000000430001,-16.6999999449999 62.0000000430001,-16.7166666109999 62.0000000430001,-16.733333278 62.0000000430001,-16.749999945 62.0000000430001,-16.7666666109999 62.0000000430001,-16.7833332779999 62.0000000430001,-16.799999945 62.0000000430001,-16.816666611 62.0000000430001,-16.8333332779999 62.0000000430001,-16.849999945 62.0000000430001,-16.866666611 62.0000000430001,-16.883333278 62.0000000430001,-16.8999999449999 62.0000000430001,-16.916666611 62.0000000430001,-16.933333278 62.0000000430001,-16.9499999449999 62.0000000430001,-16.9666666109999 62.0000000430001,-16.983333278 62.0000000430001,-16.999999945 62.0000000430001,-17.0166666119999 62.0000000430001,-17.0333332779999 62.0000000430001,-17.049999945 62.0000000430001,-17.0666666119999 62.0000000430001,-17.0833332779999 62.0000000430001,-17.099999945 62.0000000430001,-17.116666612 62.0000000430001,-17.133333278 62.0000000430001,-17.1499999449999 62.0000000430001,-17.166666612 62.0000000430001,-17.183333278 62.0000000430001,-17.1999999449999 62.0000000430001,-17.2166666119999 62.0000000430001,-17.233333278 62.0000000430001,-17.249999945 62.0000000430001,-17.2666666119999 62.0000000430001,-17.2833332779999 62.0000000430001,-17.299999945 62.0000000430001,-17.3166666119999 62.0000000430001,-17.3333332779999 62.0000000430001,-17.349999945 62.0000000430001,-17.366666612 62.0000000430001,-17.3833332789999 62.0000000430001,-17.3999999449999 62.0000000430001,-17.416666612 62.0000000430001,-17.433333279 62.0000000430001,-17.4499999449999 62.0000000430001,-17.4666666119999 62.0000000430001,-17.483333279 62.0000000430001,-17.499999945 62.0000000430001,-17.5166666119999 62.0000000430001,-17.533333279 62.0000000430001,-17.549999945 62.0000000430001,-17.5666666119999 62.0000000430001,-17.5833332789999 62.0000000430001,-17.599999945 62.0000000430001,-17.616666612 62.0000000430001,-17.6333332789999 62.0000000430001,-17.6499999449999 62.0000000430001,-17.666666612 62.0000000430001,-17.683333279 62.0000000430001,-17.6999999449999 62.0000000430001,-17.7166666119999 62.0000000430001,-17.733333279 62.0000000430001,-17.7499999459999 62.0000000430001,-17.7666666119999 62.0000000430001,-17.783333279 62.0000000430001,-17.799999946 62.0000000430001,-17.8166666119999 62.0000000430001,-17.8333332789999 62.0000000430001,-17.849999946 62.0000000430001,-17.866666612 62.0000000430001,-17.8833332789999 62.0000000430001,-17.899999946 62.0000000430001,-17.916666612 62.0000000430001,-17.933333279 62.0000000430001,-17.9499999459999 62.0000000430001,-17.9666666119999 62.0000000430001,-17.983333279 62.0000000430001,-17.9999999459999 62.0000000430001,-18.0166666119999 62.0000000430001,-18.033333279 62.0000000430001,-18.049999946 62.0000000430001,-18.0666666119999 62.0000000430001,-18.0833332789999 62.0000000430001,-18.099999946 62.0000000430001,-18.1166666129999 62.0000000430001,-18.1333332789999 62.0000000430001,-18.149999946 62.0000000430001,-18.166666613 62.0000000430001,-18.183333279 62.0000000430001,-18.1999999459999 62.0000000430001,-18.216666613 62.0000000430001,-18.233333279 62.0000000430001,-18.2499999459999 62.0000000430001,-18.2666666129999 62.0000000430001,-18.283333279 62.0000000430001,-18.299999946 62.0000000430001,-18.3166666129999 62.0000000430001,-18.3333332789999 62.0000000430001,-18.349999946 62.0000000430001,-18.3666666129999 62.0000000430001,-18.3833332789999 62.0000000430001,-18.399999946 62.0000000430001,-18.416666613 62.0000000430001,-18.4333332799999 62.0000000430001,-18.4499999459999 62.0000000430001,-18.466666613 62.0000000430001,-18.48333328 62.0000000430001,-18.4999999459999 62.0000000430001,-18.5166666129999 62.0000000430001,-18.53333328 62.0000000430001,-18.549999946 62.0000000430001,-18.5666666129999 62.0000000430001,-18.58333328 62.0000000430001,-18.599999946 62.0000000430001,-18.6166666129999 62.0000000430001,-18.6333332799999 62.0000000430001,-18.649999946 62.0000000430001,-18.666666613 62.0000000430001,-18.6833332799999 62.0000000430001,-18.6999999459999 62.0000000430001,-18.716666613 62.0000000430001,-18.73333328 62.0000000430001,-18.7499999459999 62.0000000430001,-18.7666666129999 62.0000000430001,-18.78333328 62.0000000430001,-18.7999999469999 62.0000000430001,-18.8166666129999 62.0000000430001,-18.83333328 62.0000000430001,-18.849999947 62.0000000430001,-18.8666666129999 62.0000000430001,-18.8833332799999 62.0000000430001,-18.899999947 62.0000000430001,-18.916666613 62.0000000430001,-18.9333332799999 62.0000000430001,-18.949999947 62.0000000430001,-18.966666613 62.0000000430001,-18.98333328 62.0000000430001,-18.9999999469999 62.0000000430001,-19.0166666129999 62.0000000430001,-19.03333328 62.0000000430001,-19.0499999469999 62.0000000430001,-19.0666666129999 62.0000000430001,-19.08333328 62.0000000430001,-19.099999947 62.0000000430001,-19.1166666129999 62.0000000430001,-19.1333332799999 62.0000000430001,-19.149999947 62.0000000430001,-19.166666614 62.0000000430001,-19.1833332799999 62.0000000430001,-19.199999947 62.0000000430001,-19.216666614 62.0000000430001,-19.23333328 62.0000000430001,-19.2499999469999 62.0000000430001,-19.266666614 62.0000000430001,-19.28333328 62.0000000430001,-19.2999999469999 62.0000000430001,-19.3166666139999 62.0000000430001,-19.33333328 62.0000000430001,-19.349999947 62.0000000430001,-19.3666666139999 62.0000000430001,-19.3833332799999 62.0000000430001,-19.399999947 62.0000000430001,-19.416666614 62.0000000430001,-19.4333332799999 62.0000000430001,-19.449999947 62.0000000430001,-19.466666614 62.0000000430001,-19.48333328 62.0000000430001,-19.4999999469999 62.0000000430001,-19.516666614 62.0000000430001,-19.533333281 62.0000000430001,-19.5499999469999 62.0000000430001,-19.5666666139999 62.0000000430001,-19.583333281 62.0000000430001,-19.599999947 62.0000000430001,-19.6166666139999 62.0000000430001,-19.633333281 62.0000000430001,-19.649999947 62.0000000430001,-19.666666614 62.0000000430001,-19.6833332809999 62.0000000430001,-19.699999947 62.0000000430001,-19.716666614 62.0000000430001,-19.7333332809999 62.0000000430001,-19.7499999469999 62.0000000430001,-19.766666614 62.0000000430001,-19.783333281 62.0000000430001,-19.7999999469999 62.0000000430001,-19.8166666139999 62.0000000430001,-19.833333281 62.0000000430001,-19.849999947 62.0000000430001,-19.8666666139999 62.0000000430001,-19.883333281 62.0000000430001,-19.899999948 62.0000000430001,-19.916666614 62.0000000430001,-19.9333332809999 62.0000000430001,-19.949999948 62.0000000430001,-19.966666614 62.0000000430001,-19.9833332809999 62.0000000430001,-19.999999948 62.0000000430001,-20.016666614 62.0000000430001,-20.033333281 62.0000000430001,-20.0499999479999 62.0000000430001,-20.0666666139999 62.0000000430001,-20.083333281 62.0000000430001,-20.0999999479999 62.0000000430001,-20.1166666139999 62.0000000430001,-20.133333281 62.0000000430001,-20.149999948 62.0000000430001,-20.166666614 62.0000000430001,-20.1833332809999 62.0000000430001,-20.199999948 62.0000000430001,-20.216666614 62.0000000430001,-20.2333332809999 62.0000000430001,-20.249999948 62.0000000430001,-20.266666615 62.0000000430001,-20.283333281 62.0000000430001,-20.2999999479999 62.0000000430001,-20.316666615 62.0000000430001,-20.333333281 62.0000000430001,-20.3499999479999 62.0000000430001,-20.3666666149999 62.0000000430001,-20.383333281 62.0000000430001,-20.399999948 62.0000000430001,-20.4166666149999 62.0000000430001,-20.4333332809999 62.0000000430001,-20.449999948 62.0000000430001,-20.466666615 62.0000000430001,-20.4833332809999 62.0000000430001,-20.499999948 62.0000000430001,-20.516666615 62.0000000430001,-20.533333281 62.0000000430001,-20.5499999479999 62.0000000430001,-20.566666615 62.0000000430001,-20.583333282 62.0000000430001,-20.5999999479999 62.0000000430001,-20.6166666149999 62.0000000430001,-20.633333282 62.0000000430001,-20.649999948 62.0000000430001,-20.6666666149999 62.0000000430001,-20.683333282 62.0000000430001,-20.699999948 62.0000000430001,-20.716666615 62.0000000430001,-20.7333332819999 62.0000000430001,-20.749999948 62.0000000430001,-20.766666615 62.0000000430001,-20.7833332819999 62.0000000430001,-20.7999999479999 62.0000000430001,-20.816666615 62.0000000430001,-20.833333282 62.0000000430001,-20.8499999479999 62.0000000430001,-20.8666666149999 62.0000000430001,-20.883333282 62.0000000430001,-20.899999948 62.0000000430001,-20.9166666149999 62.0000000430001,-20.933333282 62.0000000430001,-20.949999949 62.0000000430001,-20.966666615 62.0000000430001,-20.9833332819999 62.0000000430001,-20.999999949 62.0000000430001,-21.016666615 62.0000000430001,-21.0333332819999 62.0000000430001,-21.049999949 62.0000000430001,-21.066666615 62.0000000430001,-21.083333282 62.0000000430001,-21.0999999489999 62.0000000430001,-21.1166666149999 62.0000000430001,-21.133333282 62.0000000430001,-21.1499999489999 62.0000000430001,-21.1666666149999 62.0000000430001,-21.183333282 62.0000000430001,-21.199999949 62.0000000430001,-21.216666615 62.0000000430001,-21.2333332819999 62.0000000430001,-21.249999949 62.0000000430001,-21.266666615 62.0000000430001,-21.2833332819999 62.0000000430001,-21.299999949 62.0000000430001,-21.316666616 62.0000000430001,-21.333333282 62.0000000430001,-21.3499999489999 62.0000000430001,-21.366666616 62.0000000430001,-21.383333282 62.0000000430001,-21.3999999489999 62.0000000430001,-21.4166666159999 62.0000000430001,-21.433333282 62.0000000430001,-21.449999949 62.0000000430001,-21.4666666159999 62.0000000430001,-21.4833332819999 62.0000000430001,-21.499999949 62.0000000430001,-21.516666616 62.0000000430001,-21.5333332819999 62.0000000430001,-21.549999949 62.0000000430001,-21.566666616 62.0000000430001,-21.583333282 62.0000000430001,-21.5999999489999 62.0000000430001,-21.616666616 62.0000000430001,-21.633333282 62.0000000430001,-21.6499999489999 62.0000000430001,-21.6666666159999 62.0000000430001,-21.683333283 62.0000000430001,-21.699999949 62.0000000430001,-21.7166666159999 62.0000000430001,-21.733333283 62.0000000430001,-21.749999949 62.0000000430001,-21.766666616 62.0000000430001,-21.7833332829999 62.0000000430001,-21.799999949 62.0000000430001,-21.816666616 62.0000000430001,-21.8333332829999 62.0000000430001,-21.8499999489999 62.0000000430001,-21.866666616 62.0000000430001,-21.883333283 62.0000000430001,-21.8999999489999 62.0000000430001,-21.9166666159999 62.0000000430001,-21.933333283 62.0000000430001,-21.949999949 62.0000000430001,-21.9666666159999 62.0000000430001,-21.983333283 62.0000000430001,-21.999999949 62.0000000430001,-22.016666616 62.0000000430001,-22.0333332829999 62.0000000430001,-22.04999995 62.0000000430001,-22.066666616 62.0000000430001,-22.0833332829999 62.0000000430001,-22.09999995 62.0000000430001,-22.116666616 62.0000000430001,-22.133333283 62.0000000430001,-22.1499999499999 62.0000000430001,-22.1666666159999 62.0000000430001,-22.183333283 62.0000000430001,-22.1999999499999 62.0000000430001,-22.2166666159999 62.0000000430001,-22.233333283 62.0000000430001,-22.24999995 62.0000000430001,-22.266666616 62.0000000430001,-22.2833332829999 62.0000000430001,-22.29999995 62.0000000430001,-22.316666616 62.0000000430001,-22.3333332829999 62.0000000430001,-22.34999995 62.0000000430001,-22.366666617 62.0000000430001,-22.383333283 62.0000000430001,-22.3999999499999 62.0000000430001,-22.416666617 62.0000000430001,-22.433333283 62.0000000430001,-22.4499999499999 62.0000000430001,-22.4666666169999 62.0000000430001,-22.483333283 62.0000000430001,-22.49999995 62.0000000430001,-22.5166666169999 62.0000000430001,-22.5333332829999 62.0000000430001,-22.54999995 62.0000000430001,-22.566666617 62.0000000430001,-22.5833332829999 62.0000000430001,-22.59999995 62.0000000430001,-22.616666617 62.0000000430001,-22.633333283 62.0000000430001,-22.6499999499999 62.0000000430001,-22.666666617 62.0000000430001,-22.683333283 62.0000000430001,-22.6999999499999 62.0000000430001,-22.7166666169999 62.0000000430001,-22.733333284 62.0000000430001,-22.74999995 62.0000000430001,-22.7666666169999 62.0000000430001,-22.783333284 62.0000000430001,-22.79999995 62.0000000430001,-22.816666617 62.0000000430001,-22.8333332839999 62.0000000430001,-22.84999995 62.0000000430001,-22.866666617 62.0000000430001,-22.8833332839999 62.0000000430001,-22.8999999499999 62.0000000430001,-22.916666617 62.0000000430001,-22.933333284 62.0000000430001,-22.9499999499999 62.0000000430001,-22.9666666169999 62.0000000430001,-22.983333284 62.0000000430001,-22.99999995 62.0000000430001,-23.0166666169999 62.0000000430001,-23.033333284 62.0000000430001,-23.04999995 62.0000000430001,-23.066666617 62.0000000430001,-23.0833332839999 62.0000000430001,-23.099999951 62.0000000430001,-23.116666617 62.0000000430001,-23.1333332839999 62.0000000430001,-23.1499999509999 62.0000000430001,-23.166666617 62.0000000430001,-23.183333284 62.0000000430001,-23.1999999509999 62.0000000430001,-23.2166666169999 62.0000000430001,-23.233333284 62.0000000430001,-23.2499999509999 62.0000000430001,-23.2666666169999 62.0000000430001,-23.283333284 62.0000000430001,-23.299999951 62.0000000430001,-23.316666617 62.0000000430001,-23.3333332839999 62.0000000430001,-23.349999951 62.0000000430001,-23.366666617 62.0000000430001,-23.3833332839999 62.0000000430001,-23.3999999509999 62.0000000430001,-23.416666617 62.0000000430001,-23.433333284 62.0000000430001,-23.4499999509999 62.0000000430001,-23.466666618 62.0000000430001,-23.483333284 62.0000000430001,-23.4999999509999 62.0000000430001,-23.5166666179999 62.0000000430001,-23.533333284 62.0000000430001,-23.549999951 62.0000000430001,-23.5666666179999 62.0000000430001,-23.5833332839999 62.0000000430001,-23.599999951 62.0000000430001,-23.616666618 62.0000000430001,-23.6333332839999 62.0000000430001,-23.6499999509999 62.0000000430001,-23.666666618 62.0000000430001,-23.683333284 62.0000000430001,-23.6999999509999 62.0000000430001,-23.716666618 62.0000000430001,-23.733333284 62.0000000430001,-23.7499999509999 62.0000000430001,-23.7666666179999 62.0000000430001,-23.783333284 62.0000000430001,-23.799999951 62.0000000430001,-23.8166666179999 62.0000000430001,-23.833333285 62.0000000430001,-23.849999951 62.0000000430001,-23.866666618 62.0000000430001,-23.8833332849999 62.0000000430001,-23.8999999509999 62.0000000430001,-23.916666618 62.0000000430001,-23.9333332849999 62.0000000430001,-23.9499999509999 62.0000000430001,-23.966666618 62.0000000430001,-23.983333285 62.0000000430001,-23.9999999509999 62.0000000430001,-23.9999999509999 62.01666671,-23.9999999509999 62.0333333770001,-23.9999999509999 62.0500000430001,-23.9999999509999 62.06666671,-23.9999999509999 62.083333377,-23.9999999509999 62.1000000430001,-23.9999999509999 62.1166667100001,-23.9999999509999 62.133333377,-23.9999999509999 62.1500000440001,-23.9999999509999 62.1666667100001,-23.9999999509999 62.1833333770001,-23.9999999509999 62.200000044,-23.9999999509999 62.21666671,-23.9999999509999 62.2333333770001,-23.9999999509999 62.250000044,-23.9999999509999 62.26666671,-23.9999999509999 62.2833333770001,-23.9999999509999 62.3000000440001,-23.9999999509999 62.31666671,-23.9999999509999 62.333333377,-23.9999999509999 62.3500000440001,-23.9999999509999 62.3666667100001,-23.9999999509999 62.383333377,-23.9999999509999 62.4000000440001,-23.9999999509999 62.4166667100001,-23.9999999509999 62.4333333770001,-23.9999999509999 62.450000044,-23.9999999509999 62.46666671,-23.9999999509999 62.4833333770001,-23.9999999509999 62.500000044,-23.9999999509999 62.516666711,-23.9999999509999 62.5333333770001,-23.9999999509999 62.5500000440001,-23.9999999509999 62.566666711,-23.9999999509999 62.583333377,-23.9999999509999 62.6000000440001,-23.9999999509999 62.6166667110001,-23.9999999509999 62.633333377,-23.9999999509999 62.6500000440001,-23.9999999509999 62.6666667110001,-23.9999999509999 62.6833333770001,-23.9999999509999 62.700000044,-23.9999999509999 62.7166667110001,-23.9999999509999 62.7333333770001,-23.9999999509999 62.750000044,-23.9999999509999 62.766666711,-23.9999999509999 62.7833333770001,-23.9999999509999 62.8000000440001,-23.9999999509999 62.816666711,-23.9999999509999 62.833333377,-23.9999999509999 62.8500000440001,-23.9999999509999 62.8666667110001,-23.9999999509999 62.883333378,-23.9999999509999 62.9000000440001,-23.9999999509999 62.9166667110001,-23.9999999509999 62.933333378,-23.9999999509999 62.950000044,-23.9999999509999 62.9666667110001,-23.9999999509999 62.9833333780001,-23.9999999509999 63.000000044,-24.0166666179999 63.000000044,-24.033333285 63.000000044,-24.049999951 63.000000044,-24.0666666179999 63.000000044,-24.083333285 63.000000044,-24.099999951 63.000000044,-24.116666618 63.000000044,-24.1333332849999 63.000000044,-24.1499999509999 63.000000044,-24.166666618 63.000000044,-24.1833332849999 63.000000044,-24.1999999519999 63.000000044,-24.216666618 63.000000044,-24.233333285 63.000000044,-24.2499999519999 63.000000044,-24.2666666179999 63.000000044,-24.283333285 63.000000044,-24.299999952 63.000000044,-24.3166666179999 63.000000044,-24.333333285 63.000000044,-24.349999952 63.000000044,-24.366666618 63.000000044,-24.3833332849999 63.000000044,-24.399999952 63.000000044,-24.416666618 63.000000044,-24.4333332849999 63.000000044,-24.4499999519999 63.000000044,-24.466666618 63.000000044,-24.483333285 63.000000044,-24.4999999519999 63.000000044,-24.516666619 63.000000044,-24.533333285 63.000000044,-24.549999952 63.000000044,-24.5666666189999 63.000000044,-24.583333285 63.000000044,-24.599999952 63.000000044,-24.6166666189999 63.000000044,-24.6333332849999 63.000000044,-24.649999952 63.000000044,-24.666666619 63.000000044,-24.6833332849999 63.000000044,-24.6999999519999 63.000000044,-24.716666619 63.000000044,-24.733333285 63.000000044,-24.7499999519999 63.000000044,-24.766666619 63.000000044,-24.783333285 63.000000044,-24.799999952 63.000000044,-24.8166666189999 63.000000044,-24.833333285 63.000000044,-24.849999952 63.000000044,-24.8666666189999 63.000000044,-24.883333286 63.000000044,-24.899999952 63.000000044,-24.916666619 63.000000044,-24.9333332859999 63.000000044,-24.9499999519999 63.000000044,-24.966666619 63.000000044,-24.9833332859999 63.000000044,-24.9999999519999 63.000000044,-25.016666619 63.000000044,-25.033333286 63.000000044,-25.049999952 63.000000044,-25.0666666189999 63.000000044,-25.083333286 63.000000044,-25.099999952 63.000000044,-25.1166666189999 63.000000044,-25.133333286 63.000000044,-25.149999952 63.000000044,-25.166666619 63.000000044,-25.1833332859999 63.000000044,-25.1999999519999 63.000000044,-25.216666619 63.000000044,-25.2333332859999 63.000000044,-25.2499999529999 63.000000044,-25.266666619 63.000000044,-25.283333286 63.000000044,-25.2999999529999 63.000000044,-25.3166666189999 63.000000044,-25.333333286 63.000000044,-25.349999953 63.000000044,-25.3666666189999 63.000000044,-25.383333286 63.000000044,-25.399999953 63.000000044,-25.416666619 63.000000044,-25.4333332859999 63.000000044,-25.449999953 63.000000044,-25.466666619 63.000000044,-25.4833332859999 63.000000044,-25.4999999529999 63.000000044,-25.516666619 63.000000044,-25.533333286 63.000000044,-25.5499999529999 63.000000044,-25.5666666189999 63.000000044,-25.583333286 63.000000044,-25.599999953 63.000000044,-25.6166666199999 63.000000044,-25.633333286 63.000000044,-25.649999953 63.000000044,-25.6666666199999 63.000000044,-25.6833332859999 63.000000044,-25.699999953 63.000000044,-25.71666662 63.000000044,-25.7333332859999 63.000000044,-25.7499999529999 63.000000044,-25.76666662 63.000000044,-25.783333286 63.000000044,-25.7999999529999 63.000000044,-25.81666662 63.000000044,-25.833333286 63.000000044,-25.849999953 63.000000044,-25.8666666199999 63.000000044,-25.883333286 63.000000044,-25.899999953 63.000000044,-25.9166666199999 63.000000044,-25.9333332859999 63.000000044,-25.949999953 63.000000044,-25.96666662 63.000000044,-25.9833332869999 63.000000044,-25.9999999529999 63.000000044,-26.01666662 63.000000044,-26.0333332869999 63.000000044,-26.0499999529999 63.000000044,-26.06666662 63.000000044,-26.083333287 63.000000044,-26.099999953 63.000000044,-26.1166666199999 63.000000044,-26.133333287 63.000000044,-26.149999953 63.000000044,-26.1666666199999 63.000000044,-26.183333287 63.000000044,-26.199999953 63.000000044,-26.21666662 63.000000044,-26.2333332869999 63.000000044,-26.2499999529999 63.000000044,-26.26666662 63.000000044,-26.2833332869999 63.000000044,-26.2999999529999 63.000000044,-26.31666662 63.000000044,-26.333333287 63.000000044,-26.3499999539999 63.000000044,-26.3666666199999 63.000000044,-26.383333287 63.000000044,-26.399999954 63.000000044,-26.4166666199999 63.000000044,-26.433333287 63.000000044,-26.449999954 63.000000044,-26.46666662 63.000000044,-26.4833332869999 63.000000044,-26.499999954 63.000000044,-26.51666662 63.000000044,-26.5333332869999 63.000000044,-26.5499999539999 63.000000044,-26.56666662 63.000000044,-26.583333287 63.000000044,-26.5999999539999 63.000000044,-26.6166666199999 63.000000044,-26.633333287 63.000000044,-26.649999954 63.000000044,-26.6666666209999 63.000000044,-26.683333287 63.000000044,-26.699999954 63.000000044,-26.7166666209999 63.000000044,-26.7333332869999 63.000000044,-26.749999954 63.000000044,-26.766666621 63.000000044,-26.7833332869999 63.000000044,-26.7999999539999 63.000000044,-26.816666621 63.000000044,-26.833333287 63.000000044,-26.8499999539999 63.000000044,-26.866666621 63.000000044,-26.883333287 63.000000044,-26.899999954 63.000000044,-26.9166666209999 63.000000044,-26.933333287 63.000000044,-26.949999954 63.000000044,-26.9666666209999 63.000000044,-26.9833332869999 63.000000044,-26.999999977 63.000000044,-26.999999977 63.016666711,-26.999999977 63.0333333780001,-26.999999977 63.0500000440001,-26.999999977 63.066666711,-26.999999977 63.0833333780001,-26.999999977 63.1000000440001,-26.999999977 63.1166667110001,-26.999999977 63.133333378,-26.999999977 63.1500000440001,-26.999999977 63.1666667110001,-26.999999977 63.183333378,-26.999999977 63.200000044,-26.999999977 63.2166667110001,-26.999999977 63.2333333780001,-26.999999977 63.250000045,-26.999999977 63.266666711,-26.999999977 63.2833333780001,-26.999999977 63.300000045,-26.999999977 63.316666711,-26.999999977 63.3333333780001,-26.999999977 63.3500000450001,-26.999999977 63.3666667110001,-26.999999977 63.383333378,-26.999999977 63.4000000450001,-26.999999977 63.4166667110001,-26.999999977 63.433333378,-26.999999977 63.4500000450001,-26.999999977 63.4666667110001,-26.999999977 63.4833333780001,-26.999999977 63.500000045,-26.999999977 63.516666711,-26.999999977 63.5333333780001,-26.999999977 63.550000045,-26.999999977 63.566666711,-26.999999977 63.5833333780001,-26.999999977 63.6000000450001,-26.999999977 63.616666712,-26.999999977 63.633333378,-26.999999977 63.6500000450001,-26.999999977 63.6666667120001,-26.999999977 63.683333378,-26.999999977 63.7000000450001,-26.999999977 63.7166667120001,-26.999999977 63.7333333780001,-26.999999977 63.750000045,-26.999999977 63.7666667120001,-26.999999977 63.7833333780001,-26.999999977 63.800000045,-26.999999977 63.816666712,-26.999999977 63.8333333780001,-26.999999977 63.8500000450001,-26.999999977 63.866666712,-26.999999977 63.883333378,-26.999999977 63.9000000450001,-26.999999977 63.9166667120001,-26.999999977 63.933333378,-26.999999977 63.9500000450001,-26.999999977 63.9666667120001,-26.999999977 63.983333379,-26.999999977 64.000000045,-26.999999977 64.0166667120001,-26.999999977 64.0333333790001,-26.999999977 64.050000045,-26.999999977 64.066666712,-26.999999977 64.0833333790001,-26.999999977 64.1000000450001,-26.999999977 64.116666712,-26.999999977 64.1333333790001,-26.999999977 64.1500000450001,-26.999999977 64.1666667120001,-26.999999977 64.183333379,-26.999999977 64.2000000450001,-26.999999977 64.2166667120001,-26.999999977 64.233333379,-26.999999977 64.250000045,-26.999999977 64.2666667120001,-26.999999977 64.2833333790001,-26.999999977 64.300000046,-26.999999977 64.316666712,-26.999999977 64.3333333790001,-26.999999977 64.350000046,-26.999999977 64.366666712,-26.999999977 64.3833333790001,-26.999999977 64.4000000460001,-26.999999977 64.4166667120001,-26.999999977 64.433333379,-26.999999977 64.4500000460001,-26.999999977 64.4666667120001,-26.999999977 64.483333379,-26.999999977 64.5000000460001,-26.999999977 64.5166667120001,-26.999999977 64.5333333790001,-26.999999977 64.550000046,-26.999999977 64.566666712,-26.999999977 64.5833333790001,-26.999999977 64.600000046,-26.999999977 64.616666712,-26.999999977 64.6333333790001,-26.999999977 64.6500000460001,-26.999999977 64.666666713,-26.999999977 64.683333379,-26.999999977 64.7000000460001,-26.999999977 64.7166667130001,-26.999999977 64.733333379,-26.999999977 64.7500000460001,-26.999999977 64.7666667130001,-26.999999977 64.7833333790001,-26.999999977 64.800000046,-26.999999977 64.8166667130001,-26.999999977 64.8333333790001,-26.999999977 64.850000046,-26.999999977 64.866666713,-26.999999977 64.8833333790001,-26.999999977 64.9000000460001,-26.999999977 64.916666713,-26.999999977 64.933333379,-26.999999977 64.9500000460001,-26.999999977 64.9666667130001,-26.999999977 64.983333379,-26.999999977 65.0000000460001,-26.999999977 65.0166667130001,-26.999999977 65.03333338,-26.999999977 65.050000046,-26.999999977 65.0666667130001,-26.999999977 65.0833333800001,-26.999999977 65.100000046,-26.999999977 65.116666713,-26.999999977 65.1333333800001,-26.999999977 65.1500000460001,-26.999999977 65.166666713,-26.999999977 65.1833333800001,-26.999999977 65.2000000460001,-26.999999977 65.2166667130001,-26.999999977 65.23333338,-26.999999977 65.2500000460001,-26.999999977 65.2666667130001,-26.999999977 65.28333338,-26.999999977 65.300000046,-26.999999977 65.3166667130001,-26.999999977 65.3333333800001,-26.999999977 65.350000046,-26.999999977 65.366666713,-26.999999977 65.3833333800001,-26.999999977 65.400000047,-26.999999977 65.416666713,-26.999999977 65.4333333800001,-26.999999977 65.4500000470001,-26.999999977 65.4666667130001,-26.999999977 65.48333338,-26.999999977 65.5000000470001,-26.999999977 65.5166667130001,-26.999999977 65.53333338,-26.999999977 65.5500000470001,-26.999999977 65.5666667130001,-26.999999977 65.5833333800001,-26.999999977 65.600000047,-26.999999977 65.616666713,-26.999999977 65.6333333800001,-26.999999977 65.650000047,-26.999999977 65.666666713,-26.999999977 65.6833333800001,-26.999999977 65.7000000470001,-26.999999977 65.7166667130001,-26.999999977 65.73333338,-26.999999977 65.7500000470001,-26.999999977 65.7666667140001,-26.999999977 65.78333338,-26.999999977 65.8000000470001,-26.999999977 65.8166667140001,-26.999999977 65.8333333800001,-26.999999977 65.850000047,-26.999999977 65.8666667140001,-26.999999977 65.8833333800001,-26.999999977 65.900000047,-26.999999977 65.916666714,-26.999999977 65.9333333800001,-26.999999977 65.9500000470001,-26.999999977 65.966666714,-26.999999977 65.98333338,-26.999999977 66.0000000470001,-26.999999977 66.0166667140001,-26.999999977 66.03333338,-26.999999977 66.0500000470001,-26.999999977 66.0666667140001,-26.999999977 66.083333381,-26.999999977 66.100000047,-26.999999977 66.1166667140001,-26.999999977 66.1333333810001,-26.999999977 66.150000047,-26.999999977 66.166666714,-26.999999977 66.1833333810001,-26.999999977 66.2000000470001,-26.999999977 66.216666714,-26.999999977 66.2333333810001,-26.999999977 66.2500000470001,-26.999999977 66.2666667140001,-26.999999977 66.283333381,-26.999999977 66.3000000470001,-26.999999977 66.3166667140001,-26.999999977 66.333333381,-26.999999977 66.350000047,-26.999999977 66.3666667140001,-26.999999977 66.3833333810001,-26.999999977 66.400000047,-26.999999977 66.416666714,-26.999999977 66.4333333810001,-26.999999977 66.450000048,-26.999999977 66.466666714,-26.999999977 66.4833333810001,-26.999999977 66.5000000480001,-26.999999977 66.5166667140001,-26.999999977 66.533333381,-26.999999977 66.5500000480001,-26.999999977 66.5666667140001,-26.999999977 66.583333381,-26.999999977 66.6000000480001,-26.999999977 66.6166667140001,-26.999999977 66.6333333810001,-26.999999977 66.650000048,-26.999999977 66.666666714,-26.999999977 66.6833333810001,-26.999999977 66.700000048,-26.999999977 66.716666714,-26.999999977 66.7333333810001,-26.999999977 66.7500000480001,-26.999999977 66.7666667140001,-26.999999977 66.783333381,-26.999999977 66.8000000480001,-26.999999977 66.8166667150001,-26.999999977 66.833333381,-26.999999977 66.8500000480001,-26.999999977 66.8666667150001,-26.999999977 66.8833333810001,-26.999999977 66.900000048,-26.999999977 66.9166667150001,-26.999999977 66.9333333810001,-26.999999977 66.950000048,-26.999999977 66.966666715,-26.999999977 66.9833333810001,-26.999999977 67.0000000480001,-26.999999977 67.016666715,-26.999999977 67.033333381,-26.999999977 67.0500000480001,-26.999999977 67.0666667150001,-26.999999977 67.083333381,-26.999999977 67.1000000480001,-26.999999977 67.1166667150001,-26.999999977 67.1333333810001,-26.999999977 67.150000048,-26.999999977 67.1666667150001,-26.999999977 67.1833333820001,-26.999999977 67.200000048,-26.999999977 67.216666715,-26.999999977 67.2333333820001,-26.999999977 67.2500000480001,-26.999999977 67.266666715,-26.999999977 67.2833333820001,-26.999999977 67.3000000480001,-26.999999977 67.3166667150001,-26.999999977 67.333333382,-26.999999977 67.3500000480001,-26.999999977 67.3666667150001,-26.999999977 67.383333382,-26.999999977 67.400000048,-26.999999977 67.4166667150001,-26.999999977 67.4333333820001,-26.999999977 67.450000048,-26.999999977 67.466666715,-26.999999977 67.4833333820001,-26.999999977 67.5000000480001,-26.999999977 67.516666715,-26.999999977 67.5333333820001,-26.999999977 67.5500000490001,-26.999999977 67.5666667150001,-26.999999977 67.583333382,-26.999999977 67.6000000490001,-26.999999977 67.6166667150001,-26.999999977 67.633333382,-26.999999977 67.650000049,-26.999999977 67.6666667150001,-26.999999977 67.6833333820001,-26.999999977 67.700000049,-26.999999977 67.716666715,-26.999999977 67.7333333820001,-26.999999977 67.7500000490001,-26.999999977 67.766666715,-26.999999977 67.7833333820001,-26.999999977 67.8000000490001,-26.999999977 67.8166667150001,-26.999999977 67.833333382,-26.999999977 67.8500000490001,-26.999999977 67.8666667150001,-26.999999977 67.883333382,-26.999999977 67.900000049,-26.999999977 67.9166667160001,-26.999999977 67.9333333820001,-26.999999977 67.950000049,-26.999999977 67.9666667160001,-26.999999977 67.9833333820001,-26.999999967 68.0000000140001,-26.999953005 68.0000000490001,-26.9833332869999 68.0000000490001,-26.9666666209999 68.0000000490001,-26.949999954 68.0000000490001,-26.933333287 68.0000000490001,-26.9166666209999 68.0000000490001,-26.899999954 68.0000000490001,-26.883333287 68.0000000490001,-26.866666621 68.0000000490001,-26.8499999539999 68.0000000490001,-26.833333287 68.0000000490001,-26.816666621 68.0000000490001,-26.7999999539999 68.0000000490001,-26.7833332869999 68.0000000490001,-26.766666621 68.0000000490001,-26.749999954 68.0000000490001,-26.7333332869999 68.0000000490001,-26.7166666209999 68.0000000490001,-26.699999954 68.0000000490001,-26.683333287 68.0000000490001,-26.6666666209999 68.0000000490001,-26.649999954 68.0000000490001,-26.633333287 68.0000000490001,-26.6166666199999 68.0000000490001,-26.5999999539999 68.0000000490001,-26.583333287 68.0000000490001,-26.56666662 68.0000000490001,-26.5499999539999 68.0000000490001,-26.5333332869999 68.0000000490001,-26.51666662 68.0000000490001,-26.499999954 68.0000000490001,-26.4833332869999 68.0000000490001,-26.46666662 68.0000000490001,-26.449999954 68.0000000490001,-26.433333287 68.0000000490001,-26.4166666199999 68.0000000490001,-26.399999954 68.0000000490001,-26.383333287 68.0000000490001,-26.3666666199999 68.0000000490001,-26.3499999539999 68.0000000490001,-26.333333287 68.0000000490001,-26.31666662 68.0000000490001,-26.2999999529999 68.0000000490001,-26.2833332869999 68.0000000490001,-26.26666662 68.0000000490001,-26.2499999529999 68.0000000490001,-26.2333332869999 68.0000000490001,-26.21666662 68.0000000490001,-26.199999953 68.0000000490001,-26.183333287 68.0000000490001,-26.1666666199999 68.0000000490001,-26.149999953 68.0000000490001,-26.133333287 68.0000000490001,-26.1166666199999 68.0000000490001,-26.099999953 68.0000000490001,-26.083333287 68.0000000490001,-26.06666662 68.0000000490001,-26.0499999529999 68.0000000490001,-26.0333332869999 68.0000000490001,-26.01666662 68.0000000490001,-25.9999999529999 68.0000000490001,-25.9833332869999 68.0000000490001,-25.96666662 68.0000000490001,-25.949999953 68.0000000490001,-25.9333332859999 68.0000000490001,-25.9166666199999 68.0000000490001,-25.899999953 68.0000000490001,-25.883333286 68.0000000490001,-25.8666666199999 68.0000000490001,-25.849999953 68.0000000490001,-25.833333286 68.0000000490001,-25.81666662 68.0000000490001,-25.7999999529999 68.0000000490001,-25.783333286 68.0000000490001,-25.76666662 68.0000000490001,-25.7499999529999 68.0000000490001,-25.7333332859999 68.0000000490001,-25.71666662 68.0000000490001,-25.699999953 68.0000000490001,-25.6833332859999 68.0000000490001,-25.6666666199999 68.0000000490001,-25.649999953 68.0000000490001,-25.633333286 68.0000000490001,-25.6166666199999 68.0000000490001,-25.599999953 68.0000000490001,-25.583333286 68.0000000490001,-25.5666666189999 68.0000000490001,-25.5499999529999 68.0000000490001,-25.533333286 68.0000000490001,-25.516666619 68.0000000490001,-25.4999999529999 68.0000000490001,-25.4833332859999 68.0000000490001,-25.466666619 68.0000000490001,-25.449999953 68.0000000490001,-25.4333332859999 68.0000000490001,-25.416666619 68.0000000490001,-25.399999953 68.0000000490001,-25.383333286 68.0000000490001,-25.3666666189999 68.0000000490001,-25.349999953 68.0000000490001,-25.333333286 68.0000000490001,-25.3166666189999 68.0000000490001,-25.2999999529999 68.0000000490001,-25.283333286 68.0000000490001,-25.266666619 68.0000000490001,-25.2499999529999 68.0000000490001,-25.2333332859999 68.0000000490001,-25.216666619 68.0000000490001,-25.1999999519999 68.0000000490001,-25.1833332859999 68.0000000490001,-25.166666619 68.0000000490001,-25.149999952 68.0000000490001,-25.133333286 68.0000000490001,-25.1166666189999 68.0000000490001,-25.099999952 68.0000000490001,-25.083333286 68.0000000490001,-25.0666666189999 68.0000000490001,-25.049999952 68.0000000490001,-25.033333286 68.0000000490001,-25.016666619 68.0000000490001,-24.9999999519999 68.0000000490001,-24.9833332859999 68.0000000490001,-24.966666619 68.0000000490001,-24.9499999519999 68.0000000490001,-24.9333332859999 68.0000000490001,-24.916666619 68.0000000490001,-24.899999952 68.0000000490001,-24.883333286 68.0000000490001,-24.8666666189999 68.0000000490001,-24.849999952 68.0000000490001,-24.833333285 68.0000000490001,-24.8166666189999 68.0000000490001,-24.799999952 68.0000000490001,-24.783333285 68.0000000490001,-24.766666619 68.0000000490001,-24.7499999519999 68.0000000490001,-24.733333285 68.0000000490001,-24.716666619 68.0000000490001,-24.6999999519999 68.0000000490001,-24.6833332849999 68.0000000490001,-24.666666619 68.0000000490001,-24.649999952 68.0000000490001,-24.6333332849999 68.0000000490001,-24.6166666189999 68.0000000490001,-24.599999952 68.0000000490001,-24.583333285 68.0000000490001,-24.5666666189999 68.0000000490001,-24.549999952 68.0000000490001,-24.533333285 68.0000000490001,-24.516666619 68.0000000490001,-24.4999999519999 68.0000000490001,-24.483333285 68.0000000490001,-24.466666618 68.0000000490001,-24.4499999519999 68.0000000490001,-24.4333332849999 68.0000000490001,-24.416666618 68.0000000490001,-24.399999952 68.0000000490001,-24.3833332849999 68.0000000490001,-24.366666618 68.0000000490001,-24.349999952 68.0000000490001,-24.333333285 68.0000000490001,-24.3166666179999 68.0000000490001,-24.299999952 68.0000000490001,-24.283333285 68.0000000490001,-24.2666666179999 68.0000000490001,-24.2499999519999 68.0000000490001,-24.233333285 68.0000000490001,-24.216666618 68.0000000490001,-24.1999999519999 68.0000000490001,-24.1833332849999 68.0000000490001,-24.166666618 68.0000000490001,-24.1499999509999 68.0000000490001,-24.1333332849999 68.0000000490001,-24.116666618 68.0000000490001,-24.099999951 68.0000000490001,-24.083333285 68.0000000490001,-24.0666666179999 68.0000000490001,-24.049999951 68.0000000490001,-24.033333285 68.0000000490001,-24.0166666179999 68.0000000490001,-23.9999999509999 68.0000000490001,-23.983333285 68.0000000490001,-23.966666618 68.0000000490001,-23.9499999509999 68.0000000490001,-23.9333332849999 68.0000000490001,-23.916666618 68.0000000490001,-23.8999999509999 68.0000000490001,-23.8833332849999 68.0000000490001,-23.866666618 68.0000000490001,-23.849999951 68.0000000490001,-23.833333285 68.0000000490001,-23.8166666179999 68.0000000490001,-23.799999951 68.0000000490001,-23.783333284 68.0000000490001,-23.7666666179999 68.0000000490001,-23.7499999509999 68.0000000490001,-23.733333284 68.0000000490001,-23.716666618 68.0000000490001,-23.6999999509999 68.0000000490001,-23.683333284 68.0000000490001,-23.666666618 68.0000000490001,-23.6499999509999 68.0000000490001,-23.6333332839999 68.0000000490001,-23.616666618 68.0000000490001,-23.599999951 68.0000000490001,-23.5833332839999 68.0000000490001,-23.5666666179999 68.0000000490001,-23.549999951 68.0000000490001,-23.533333284 68.0000000490001,-23.5166666179999 68.0000000490001,-23.4999999509999 68.0000000490001,-23.483333284 68.0000000490001,-23.466666618 68.0000000490001,-23.4499999509999 68.0000000490001,-23.433333284 68.0000000490001,-23.416666617 68.0000000490001,-23.3999999509999 68.0000000490001,-23.3833332839999 68.0000000490001,-23.366666617 68.0000000490001,-23.349999951 68.0000000490001,-23.3333332839999 68.0000000490001,-23.316666617 68.0000000490001,-23.299999951 68.0000000490001,-23.283333284 68.0000000490001,-23.2666666169999 68.0000000490001,-23.2499999509999 68.0000000490001,-23.233333284 68.0000000490001,-23.2166666169999 68.0000000490001,-23.1999999509999 68.0000000490001,-23.183333284 68.0000000490001,-23.166666617 68.0000000490001,-23.1499999509999 68.0000000490001,-23.1333332839999 68.0000000490001,-23.116666617 68.0000000490001,-23.099999951 68.0000000490001,-23.0833332839999 68.0000000490001,-23.066666617 68.0000000490001,-23.04999995 68.0000000490001,-23.033333284 68.0000000490001,-23.0166666169999 68.0000000490001,-22.99999995 68.0000000490001,-22.983333284 68.0000000490001,-22.9666666169999 68.0000000490001,-22.9499999499999 68.0000000490001,-22.933333284 68.0000000490001,-22.916666617 68.0000000490001,-22.8999999499999 68.0000000490001,-22.8833332839999 68.0000000490001,-22.866666617 68.0000000490001,-22.84999995 68.0000000490001,-22.8333332839999 68.0000000490001,-22.816666617 68.0000000490001,-22.79999995 68.0000000490001,-22.783333284 68.0000000490001,-22.7666666169999 68.0000000490001,-22.74999995 68.0000000490001,-22.733333284 68.0000000490001,-22.7166666169999 68.0000000490001,-22.6999999499999 68.0000000490001,-22.683333283 68.0000000490001,-22.666666617 68.0000000490001,-22.6499999499999 68.0000000490001,-22.633333283 68.0000000490001,-22.616666617 68.0000000490001,-22.59999995 68.0000000490001,-22.5833332829999 68.0000000490001,-22.566666617 68.0000000490001,-22.54999995 68.0000000490001,-22.5333332829999 68.0000000490001,-22.5166666169999 68.0000000490001,-22.49999995 68.0000000490001,-22.483333283 68.0000000490001,-22.4666666169999 68.0000000490001,-22.4499999499999 68.0000000490001,-22.433333283 68.0000000490001,-22.416666617 68.0000000490001,-22.3999999499999 68.0000000490001,-22.383333283 68.0000000490001,-22.366666617 68.0000000490001,-22.34999995 68.0000000490001,-22.3333332829999 68.0000000490001,-22.316666616 68.0000000490001,-22.29999995 68.0000000490001,-22.2833332829999 68.0000000490001,-22.266666616 68.0000000490001,-22.24999995 68.0000000490001,-22.233333283 68.0000000490001,-22.2166666159999 68.0000000490001,-22.1999999499999 68.0000000490001,-22.183333283 68.0000000490001,-22.1666666159999 68.0000000490001,-22.1499999499999 68.0000000490001,-22.133333283 68.0000000490001,-22.116666616 68.0000000490001,-22.09999995 68.0000000490001,-22.0833332829999 68.0000000490001,-22.066666616 68.0000000490001,-22.04999995 68.0000000490001,-22.0333332829999 68.0000000490001,-22.016666616 68.0000000490001,-21.999999949 68.0000000490001,-21.983333283 68.0000000490001,-21.9666666159999 68.0000000490001,-21.949999949 68.0000000490001,-21.933333283 68.0000000490001,-21.9166666159999 68.0000000490001,-21.8999999489999 68.0000000490001,-21.883333283 68.0000000490001,-21.866666616 68.0000000490001,-21.8499999489999 68.0000000490001,-21.8333332829999 68.0000000490001,-21.816666616 68.0000000490001,-21.799999949 68.0000000490001,-21.7833332829999 68.0000000490001,-21.766666616 68.0000000490001,-21.749999949 68.0000000490001,-21.733333283 68.0000000490001,-21.7166666159999 68.0000000490001,-21.699999949 68.0000000490001,-21.683333283 68.0000000490001,-21.6666666159999 68.0000000490001,-21.6499999489999 68.0000000490001,-21.633333282 68.0000000490001,-21.616666616 68.0000000490001,-21.5999999489999 68.0000000490001,-21.583333282 68.0000000490001,-21.566666616 68.0000000490001,-21.549999949 68.0000000490001,-21.5333332819999 68.0000000490001,-21.516666616 68.0000000490001,-21.499999949 68.0000000490001,-21.4833332819999 68.0000000490001,-21.4666666159999 68.0000000490001,-21.449999949 68.0000000490001,-21.433333282 68.0000000490001,-21.4166666159999 68.0000000490001,-21.3999999489999 68.0000000490001,-21.383333282 68.0000000490001,-21.366666616 68.0000000490001,-21.3499999489999 68.0000000490001,-21.333333282 68.0000000490001,-21.316666616 68.0000000490001,-21.299999949 68.0000000490001,-21.2833332819999 68.0000000490001,-21.266666615 68.0000000490001,-21.249999949 68.0000000490001,-21.2333332819999 68.0000000490001,-21.216666615 68.0000000490001,-21.199999949 68.0000000490001,-21.183333282 68.0000000490001,-21.1666666149999 68.0000000490001,-21.1499999489999 68.0000000490001,-21.133333282 68.0000000490001,-21.1166666149999 68.0000000490001,-21.0999999489999 68.0000000490001,-21.083333282 68.0000000490001,-21.066666615 68.0000000490001,-21.049999949 68.0000000490001,-21.0333332819999 68.0000000490001,-21.016666615 68.0000000490001,-20.999999949 68.0000000490001,-20.9833332819999 68.0000000490001,-20.966666615 68.0000000490001,-20.949999949 68.0000000490001,-20.933333282 68.0000000490001,-20.9166666149999 68.0000000490001,-20.899999948 68.0000000490001,-20.883333282 68.0000000490001,-20.8666666149999 68.0000000490001,-20.8499999479999 68.0000000490001,-20.833333282 68.0000000490001,-20.816666615 68.0000000490001,-20.7999999479999 68.0000000490001,-20.7833332819999 68.0000000490001,-20.766666615 68.0000000490001,-20.749999948 68.0000000490001,-20.7333332819999 68.0000000490001,-20.716666615 68.0000000490001,-20.699999948 68.0000000490001,-20.683333282 68.0000000490001,-20.6666666149999 68.0000000490001,-20.649999948 68.0000000490001,-20.633333282 68.0000000490001,-20.6166666149999 68.0000000490001,-20.5999999479999 68.0000000490001,-20.583333282 68.0000000490001,-20.566666615 68.0000000490001,-20.5499999479999 68.0000000490001,-20.533333281 68.0000000490001,-20.516666615 68.0000000490001,-20.499999948 68.0000000490001,-20.4833332809999 68.0000000490001,-20.466666615 68.0000000490001,-20.449999948 68.0000000490001,-20.4333332809999 68.0000000490001,-20.4166666149999 68.0000000490001,-20.399999948 68.0000000490001,-20.383333281 68.0000000490001,-20.3666666149999 68.0000000490001,-20.3499999479999 68.0000000490001,-20.333333281 68.0000000490001,-20.316666615 68.0000000490001,-20.2999999479999 68.0000000490001,-20.283333281 68.0000000490001,-20.266666615 68.0000000490001,-20.249999948 68.0000000490001,-20.2333332809999 68.0000000490001,-20.216666614 68.0000000490001,-20.199999948 68.0000000490001,-20.1833332809999 68.0000000490001,-20.166666614 68.0000000490001,-20.149999948 68.0000000490001,-20.133333281 68.0000000490001,-20.1166666139999 68.0000000490001,-20.0999999479999 68.0000000490001,-20.083333281 68.0000000490001,-20.0666666139999 68.0000000490001,-20.0499999479999 68.0000000490001,-20.033333281 68.0000000490001,-20.016666614 68.0000000490001,-19.999999948 68.0000000490001,-19.9833332809999 68.0000000490001,-19.966666614 68.0000000490001,-19.949999948 68.0000000490001,-19.9333332809999 68.0000000490001,-19.916666614 68.0000000490001,-19.899999948 68.0000000490001,-19.883333281 68.0000000490001,-19.8666666139999 68.0000000490001,-19.849999947 68.0000000490001,-19.833333281 68.0000000490001,-19.8166666139999 68.0000000490001,-19.7999999469999 68.0000000490001,-19.783333281 68.0000000490001,-19.766666614 68.0000000490001,-19.7499999469999 68.0000000490001,-19.7333332809999 68.0000000490001,-19.716666614 68.0000000490001,-19.699999947 68.0000000490001,-19.6833332809999 68.0000000490001,-19.666666614 68.0000000490001,-19.649999947 68.0000000490001,-19.633333281 68.0000000490001,-19.6166666139999 68.0000000490001,-19.599999947 68.0000000490001,-19.583333281 68.0000000490001,-19.5666666139999 68.0000000490001,-19.5499999469999 68.0000000490001,-19.533333281 68.0000000490001,-19.516666614 68.0000000490001,-19.4999999469999 68.0000000490001,-19.48333328 68.0000000490001,-19.466666614 68.0000000490001,-19.449999947 68.0000000490001,-19.4333332799999 68.0000000490001,-19.416666614 68.0000000490001,-19.399999947 68.0000000490001,-19.3833332799999 68.0000000490001,-19.3666666139999 68.0000000490001,-19.349999947 68.0000000490001,-19.33333328 68.0000000490001,-19.3166666139999 68.0000000490001,-19.2999999469999 68.0000000490001,-19.28333328 68.0000000490001,-19.266666614 68.0000000490001,-19.2499999469999 68.0000000490001,-19.23333328 68.0000000490001,-19.216666614 68.0000000490001,-19.199999947 68.0000000490001,-19.1833332799999 68.0000000490001,-19.166666614 68.0000000490001,-19.149999947 68.0000000490001,-19.1333332799999 68.0000000490001,-19.1166666129999 68.0000000490001,-19.099999947 68.0000000490001,-19.08333328 68.0000000490001,-19.0666666129999 68.0000000490001,-19.0499999469999 68.0000000490001,-19.03333328 68.0000000490001,-19.0166666129999 68.0000000490001,-18.9999999469999 68.0000000490001,-18.98333328 68.0000000490001,-18.966666613 68.0000000490001,-18.949999947 68.0000000490001,-18.9333332799999 68.0000000490001,-18.916666613 68.0000000490001,-18.899999947 68.0000000490001,-18.8833332799999 68.0000000490001,-18.8666666129999 68.0000000490001,-18.849999947 68.0000000490001,-18.83333328 68.0000000490001,-18.8166666129999 68.0000000490001,-18.7999999469999 68.0000000490001,-18.78333328 68.0000000490001,-18.7666666129999 68.0000000490001,-18.7499999459999 68.0000000490001,-18.73333328 68.0000000490001,-18.716666613 68.0000000490001,-18.6999999459999 68.0000000490001,-18.6833332799999 68.0000000490001,-18.666666613 68.0000000490001,-18.649999946 68.0000000490001,-18.6333332799999 68.0000000490001,-18.6166666129999 68.0000000490001,-18.599999946 68.0000000490001,-18.58333328 68.0000000490001,-18.5666666129999 68.0000000490001,-18.549999946 68.0000000490001,-18.53333328 68.0000000490001,-18.5166666129999 68.0000000490001,-18.4999999459999 68.0000000490001,-18.48333328 68.0000000490001,-18.466666613 68.0000000490001,-18.4499999459999 68.0000000490001,-18.4333332799999 68.0000000490001,-18.416666613 68.0000000490001,-18.399999946 68.0000000490001,-18.3833332789999 68.0000000490001,-18.3666666129999 68.0000000490001,-18.349999946 68.0000000490001,-18.3333332789999 68.0000000490001,-18.3166666129999 68.0000000490001,-18.299999946 68.0000000490001,-18.283333279 68.0000000490001,-18.2666666129999 68.0000000490001,-18.2499999459999 68.0000000490001,-18.233333279 68.0000000490001,-18.216666613 68.0000000490001,-18.1999999459999 68.0000000490001,-18.183333279 68.0000000490001,-18.166666613 68.0000000490001,-18.149999946 68.0000000490001,-18.1333332789999 68.0000000490001,-18.1166666129999 68.0000000490001,-18.099999946 68.0000000490001,-18.0833332789999 68.0000000490001,-18.0666666119999 68.0000000490001,-18.049999946 68.0000000490001,-18.033333279 68.0000000490001,-18.0166666119999 68.0000000490001,-17.9999999459999 68.0000000490001,-17.983333279 68.0000000490001,-17.9666666119999 68.0000000490001,-17.9499999459999 68.0000000490001,-17.933333279 68.0000000490001,-17.916666612 68.0000000490001,-17.899999946 68.0000000490001,-17.8833332789999 68.0000000490001,-17.866666612 68.0000000490001,-17.849999946 68.0000000490001,-17.8333332789999 68.0000000490001,-17.8166666119999 68.0000000490001,-17.799999946 68.0000000490001,-17.783333279 68.0000000490001,-17.7666666119999 68.0000000490001,-17.7499999459999 68.0000000490001,-17.733333279 68.0000000490001,-17.7166666119999 68.0000000490001,-17.6999999449999 68.0000000490001,-17.683333279 68.0000000490001,-17.666666612 68.0000000490001,-17.6499999449999 68.0000000490001,-17.6333332789999 68.0000000490001,-17.616666612 68.0000000490001,-17.599999945 68.0000000490001,-17.5833332789999 68.0000000490001,-17.5666666119999 68.0000000490001,-17.549999945 68.0000000490001,-17.533333279 68.0000000490001,-17.5166666119999 68.0000000490001,-17.499999945 68.0000000490001,-17.483333279 68.0000000490001,-17.4666666119999 68.0000000490001,-17.4499999449999 68.0000000490001,-17.433333279 68.0000000490001,-17.416666612 68.0000000490001,-17.3999999449999 68.0000000490001,-17.3833332789999 68.0000000490001,-17.366666612 68.0000000490001,-17.349999945 68.0000000490001,-17.3333332779999 68.0000000490001,-17.3166666119999 68.0000000490001,-17.299999945 68.0000000490001,-17.2833332779999 68.0000000490001,-17.2666666119999 68.0000000490001,-17.249999945 68.0000000490001,-17.233333278 68.0000000490001,-17.2166666119999 68.0000000490001,-17.1999999449999 68.0000000490001,-17.183333278 68.0000000490001,-17.166666612 68.0000000490001,-17.1499999449999 68.0000000490001,-17.133333278 68.0000000490001,-17.116666612 68.0000000490001,-17.099999945 68.0000000490001,-17.0833332779999 68.0000000490001,-17.0666666119999 68.0000000490001,-17.049999945 68.0000000490001,-17.0333332779999 68.0000000490001,-17.0166666119999 68.0000000490001,-16.999999945 68.0000000490001,-16.983333278 68.0000000490001,-16.9666666109999 68.0000000490001,-16.9499999449999 68.0000000490001,-16.933333278 68.0000000490001,-16.916666611 68.0000000490001,-16.8999999449999 68.0000000490001,-16.883333278 68.0000000490001,-16.866666611 68.0000000490001,-16.849999945 68.0000000490001,-16.8333332779999 68.0000000490001,-16.816666611 68.0000000490001,-16.799999945 68.0000000490001,-16.7833332779999 68.0000000490001,-16.7666666109999 68.0000000490001,-16.749999945 68.0000000490001,-16.733333278 68.0000000490001,-16.7166666109999 68.0000000490001,-16.6999999449999 68.0000000490001,-16.683333278 68.0000000490001,-16.666666611 68.0000000490001,-16.6499999449999 68.0000000490001,-16.633333278 68.0000000490001,-16.616666611 68.0000000490001,-16.5999999439999 68.0000000490001,-16.5833332779999 68.0000000490001,-16.566666611 68.0000000490001,-16.549999944 68.0000000490001,-16.5333332779999 68.0000000490001,-16.5166666109999 68.0000000490001,-16.499999944 68.0000000490001,-16.483333278 68.0000000490001,-16.4666666109999 68.0000000490001,-16.449999944 68.0000000490001,-16.433333278 68.0000000490001,-16.416666611 68.0000000490001,-16.3999999439999 68.0000000490001,-16.383333278 68.0000000490001,-16.366666611 68.0000000490001,-16.3499999439999 68.0000000490001,-16.3333332779999 68.0000000490001,-16.316666611 68.0000000490001,-16.299999944 68.0000000490001,-16.2833332779999 68.0000000490001,-16.2666666109999 68.0000000490001,-16.249999944 68.0000000490001,-16.2333332769999 68.0000000490001,-16.2166666109999 68.0000000490001,-16.199999944 68.0000000490001,-16.183333277 68.0000000490001,-16.166666611 68.0000000490001,-16.1499999439999 68.0000000490001,-16.133333277 68.0000000490001,-16.116666611 68.0000000490001,-16.0999999439999 68.0000000490001,-16.083333277 68.0000000490001,-16.066666611 68.0000000490001,-16.049999944 68.0000000490001,-16.0333332769999 68.0000000490001,-16.0166666109999 68.0000000490001,-15.999999944 68.0000000490001,-15.9833332769999 68.0000000490001,-15.9666666109999 68.0000000490001,-15.949999944 68.0000000490001,-15.933333277 68.0000000490001,-15.9166666099999 68.0000000490001,-15.8999999439999 68.0000000490001,-15.883333277 68.0000000490001,-15.86666661 68.0000000490001,-15.8499999439999 68.0000000490001,-15.833333277 68.0000000490001,-15.81666661 68.0000000490001,-15.799999944 68.0000000490001,-15.7833332769999 68.0000000490001,-15.76666661 68.0000000490001,-15.749999944 68.0000000490001,-15.7333332769999 68.0000000490001,-15.7166666099999 68.0000000490001,-15.699999944 68.0000000490001,-15.683333277 68.0000000490001,-15.6666666099999 68.0000000490001,-15.6499999439999 68.0000000490001,-15.633333277 68.0000000490001,-15.61666661 68.0000000490001,-15.5999999439999 68.0000000490001,-15.583333277 68.0000000490001,-15.56666661 68.0000000490001,-15.5499999429999 68.0000000490001,-15.5333332769999 68.0000000490001,-15.51666661 68.0000000490001,-15.499999943 68.0000000490001,-15.4833332769999 68.0000000490001,-15.4666666099999 68.0000000490001,-15.449999943 68.0000000490001,-15.433333277 68.0000000490001,-15.4166666099999 68.0000000490001,-15.399999943 68.0000000490001,-15.383333277 68.0000000490001,-15.36666661 68.0000000490001,-15.3499999429999 68.0000000490001,-15.333333277 68.0000000490001,-15.31666661 68.0000000490001,-15.2999999429999 68.0000000490001,-15.2833332769999 68.0000000490001,-15.26666661 68.0000000490001,-15.249999943 68.0000000490001,-15.2333332769999 68.0000000490001,-15.2166666099999 68.0000000490001,-15.199999943 68.0000000490001,-15.1833332759999 68.0000000490001,-15.1666666099999 68.0000000490001,-15.149999943 68.0000000490001,-15.133333276 68.0000000490001,-15.11666661 68.0000000490001,-15.0999999429999 68.0000000490001,-15.083333276 68.0000000490001,-15.06666661 68.0000000490001,-15.0499999429999 68.0000000490001,-15.033333276 68.0000000490001,-15.01666661 68.0000000490001,-14.999999943 68.0000000490001,-14.9833332759999 68.0000000490001,-14.9666666099999 68.0000000490001,-14.949999943 68.0000000490001,-14.9333332759999 68.0000000490001,-14.9166666099999 68.0000000490001,-14.899999943 68.0000000490001,-14.883333276 68.0000000490001,-14.86666661 68.0000000490001,-14.8499999429999 68.0000000490001,-14.833333276 68.0000000490001,-14.816666609 68.0000000490001,-14.7999999429999 68.0000000490001,-14.783333276 68.0000000490001,-14.766666609 68.0000000490001,-14.749999943 68.0000000490001,-14.7333332759999 68.0000000490001,-14.716666609 68.0000000490001,-14.699999943 68.0000000490001,-14.6833332759999 68.0000000490001,-14.6666666089999 68.0000000490001,-14.649999943 68.0000000490001,-14.633333276 68.0000000490001,-14.6166666089999 68.0000000490001,-14.5999999429999 68.0000000490001,-14.583333276 68.0000000490001,-14.566666609 68.0000000490001,-14.5499999429999 68.0000000490001,-14.533333276 68.0000000490001,-14.516666609 68.0000000490001,-14.499999943 68.0000000490001,-14.4833332759999 68.0000000490001,-14.466666609 68.0000000490001,-14.449999942 68.0000000490001,-14.4333332759999 68.0000000490001,-14.4166666089999 68.0000000490001,-14.399999942 68.0000000490001,-14.383333276 68.0000000490001,-14.3666666089999 68.0000000490001,-14.349999942 68.0000000490001,-14.333333276 68.0000000490001,-14.316666609 68.0000000490001,-14.2999999419999 68.0000000490001,-14.283333276 68.0000000490001,-14.266666609 68.0000000490001,-14.2499999419999 68.0000000490001,-14.2333332759999 68.0000000490001,-14.216666609 68.0000000490001,-14.199999942 68.0000000490001,-14.1833332759999 68.0000000490001,-14.1666666089999 68.0000000490001,-14.149999942 68.0000000490001,-14.1333332749999 68.0000000490001,-14.1166666089999 68.0000000490001,-14.099999942 68.0000000490001,-14.083333275 68.0000000490001,-14.066666609 68.0000000490001,-14.0499999419999 68.0000000490001,-14.033333275 68.0000000490001,-14.016666609 68.0000000490001,-13.9999999419999 68.0000000490001,-13.9833332749999 68.0000000490001,-13.966666609 68.0000000490001,-13.949999942 68.0000000490001,-13.9333332749999 68.0000000490001,-13.9166666089999 68.0000000490001,-13.899999942 68.0000000490001,-13.8833332749999 68.0000000490001,-13.8666666089999 68.0000000490001,-13.849999942 68.0000000490001,-13.833333275 68.0000000490001,-13.816666609 68.0000000490001,-13.7999999419999 68.0000000490001,-13.783333275 68.0000000490001,-13.766666608 68.0000000490001,-13.7499999419999 68.0000000490001,-13.7333332749999 68.0000000490001,-13.716666608 68.0000000490001,-13.699999942 68.0000000490001,-13.6833332749999 68.0000000490001,-13.666666608 68.0000000490001,-13.649999942 68.0000000490001,-13.6333332749999 68.0000000490001,-13.6166666079999 68.0000000490001,-13.599999942 68.0000000490001,-13.583333275 68.0000000490001,-13.5666666079999 68.0000000490001,-13.5499999419999 68.0000000490001,-13.533333275 68.0000000490001,-13.516666608 68.0000000490001,-13.4999999419999 68.0000000490001,-13.4833332749999 68.0000000490001,-13.466666608 68.0000000490001,-13.449999942 68.0000000490001,-13.4333332749999 68.0000000490001,-13.416666608 68.0000000490001,-13.399999941 68.0000000490001,-13.3833332749999 68.0000000490001,-13.3666666079999 68.0000000490001,-13.349999941 68.0000000490001,-13.333333275 68.0000000490001,-13.3166666079999 68.0000000490001,-13.299999941 68.0000000490001,-13.283333275 68.0000000490001,-13.266666608 68.0000000490001,-13.2499999409999 68.0000000490001,-13.2333332749999 68.0000000490001,-13.216666608 68.0000000490001,-13.1999999409999 68.0000000490001,-13.1833332749999 68.0000000490001,-13.166666608 68.0000000490001,-13.149999941 68.0000000490001,-13.1333332749999 68.0000000490001,-13.1166666079999 68.0000000490001,-13.099999941 68.0000000490001,-13.083333275 68.0000000490001,-13.0666666079999 68.0000000490001,-13.049999941 68.0000000490001,-13.033333274 68.0000000490001,-13.016666608 68.0000000490001,-12.9999999409999 68.0000000490001,-12.983333274 68.0000000490001,-12.966666608 68.0000000490001,-12.9499999409999 68.0000000490001,-12.9333332739999 68.0000000490001,-12.916666608 68.0000000490001,-12.899999941 68.0000000490001,-12.8833332739999 68.0000000490001,-12.8666666079999 68.0000000490001,-12.849999941 68.0000000490001,-12.8333332739999 68.0000000490001,-12.8166666079999 68.0000000490001,-12.799999941 68.0000000490001,-12.783333274 68.0000000490001,-12.766666608 68.0000000490001,-12.7499999409999 68.0000000490001,-12.733333274 68.0000000490001,-12.716666608 68.0000000490001,-12.6999999409999 68.0000000490001,-12.6833332739999 68.0000000490001,-12.666666607 68.0000000490001,-12.649999941 68.0000000490001,-12.6333332739999 68.0000000490001,-12.616666607 68.0000000490001,-12.599999941 68.0000000490001,-12.5833332739999 68.0000000490001,-12.5666666069999 68.0000000490001,-12.549999941 68.0000000490001,-12.533333274 68.0000000490001,-12.5166666069999 68.0000000490001,-12.4999999409999 68.0000000490001,-12.483333274 68.0000000490001,-12.466666607 68.0000000490001,-12.4499999409999 68.0000000490001,-12.4333332739999 68.0000000490001,-12.416666607 68.0000000490001,-12.399999941 68.0000000490001,-12.3833332739999 68.0000000490001,-12.366666607 68.0000000490001,-12.349999941 68.0000000490001,-12.3333332739999 68.0000000490001,-12.3166666069999 68.0000000490001,-12.29999994 68.0000000490001,-12.283333274 68.0000000490001,-12.2666666069999 68.0000000490001,-12.24999994 68.0000000490001,-12.233333274 68.0000000490001,-12.216666607 68.0000000490001,-12.1999999399999 68.0000000490001,-12.1833332739999 68.0000000490001,-12.166666607 68.0000000490001,-12.1499999399999 68.0000000490001,-12.1333332739999 68.0000000490001,-12.116666607 68.0000000490001,-12.09999994 68.0000000490001,-12.0833332739999 68.0000000490001,-12.0666666069999 68.0000000490001,-12.04999994 68.0000000490001,-12.033333274 68.0000000490001,-12.0166666069999 68.0000000490001,-11.99999994 68.0000000490001,-11.983333273 68.0000000490001,-11.966666607 68.0000000490001,-11.9499999399999 68.0000000490001,-11.933333273 68.0000000490001,-11.916666607 68.0000000490001,-11.8999999399999 68.0000000490001,-11.8833332729999 68.0000000490001,-11.866666607 68.0000000490001,-11.84999994 68.0000000490001,-11.8333332729999 68.0000000490001,-11.8166666069999 68.0000000490001,-11.79999994 68.0000000490001,-11.7833332729999 68.0000000490001,-11.7666666069999 68.0000000490001,-11.74999994 68.0000000490001,-11.733333273 68.0000000490001,-11.716666607 68.0000000490001,-11.6999999399999 68.0000000490001,-11.683333273 68.0000000490001,-11.666666607 68.0000000490001,-11.6499999399999 68.0000000490001,-11.6333332729999 68.0000000490001,-11.616666606 68.0000000490001,-11.59999994 68.0000000490001,-11.5833332729999 68.0000000490001,-11.566666606 68.0000000490001,-11.54999994 68.0000000490001,-11.5333332729999 68.0000000490001,-11.5166666059999 68.0000000490001,-11.49999994 68.0000000490001,-11.483333273 68.0000000490001,-11.4666666059999 68.0000000490001,-11.4499999399999 68.0000000490001,-11.433333273 68.0000000490001,-11.416666606 68.0000000490001,-11.3999999399999 68.0000000490001,-11.3833332729999 68.0000000490001,-11.366666606 68.0000000490001,-11.34999994 68.0000000490001,-11.3333332729999 68.0000000490001,-11.316666606 68.0000000490001,-11.29999994 68.0000000490001,-11.2833332729999 68.0000000490001,-11.2666666059999 68.0000000490001,-11.249999939 68.0000000490001,-11.233333273 68.0000000490001,-11.2166666059999 68.0000000490001,-11.199999939 68.0000000490001,-11.183333273 68.0000000490001,-11.166666606 68.0000000490001,-11.1499999389999 68.0000000490001,-11.1333332729999 68.0000000490001,-11.116666606 68.0000000490001,-11.0999999389999 68.0000000490001,-11.0833332729999 68.0000000490001,-11.066666606 68.0000000490001,-11.049999939 68.0000000490001,-11.0333332729999 68.0000000490001,-11.0166666059999 68.0000000490001,-10.999999959 68.0000000490001,-10.999999939 67.9833333820001,-10.999999939 67.9666667160001,-10.999999939 67.950000049,-10.999999939 67.9333333820001,-10.999999939 67.9166667160001,-10.999999939 67.900000049,-10.999999939 67.883333382,-10.999999939 67.8666667150001,-10.999999939 67.8500000490001,-10.999999939 67.833333382,-10.999999939 67.8166667150001,-10.999999939 67.8000000490001,-10.999999939 67.7833333820001,-10.999999939 67.766666715,-10.999999939 67.7500000490001,-10.999999939 67.7333333820001,-10.999999939 67.716666715,-10.999999939 67.700000049,-10.999999939 67.6833333820001,-10.999999939 67.6666667150001,-10.999999939 67.650000049,-10.999999939 67.633333382,-10.999999939 67.6166667150001,-10.999999939 67.6000000490001,-10.999999939 67.583333382,-10.999999939 67.5666667150001,-10.999999939 67.5500000490001,-10.999999939 67.5333333820001,-10.999999939 67.516666715,-10.999999939 67.5000000480001,-10.999999939 67.4833333820001,-10.999999939 67.466666715,-10.999999939 67.450000048,-10.999999939 67.4333333820001,-10.999999939 67.4166667150001,-10.999999939 67.400000048,-10.999999939 67.383333382,-10.999999939 67.3666667150001,-10.999999939 67.3500000480001,-10.999999939 67.333333382,-10.999999939 67.3166667150001,-10.999999939 67.3000000480001,-10.999999939 67.2833333820001,-10.999999939 67.266666715,-10.999999939 67.2500000480001,-10.999999939 67.2333333820001,-10.999999939 67.216666715,-10.999999939 67.200000048,-10.999999939 67.1833333820001,-10.999999939 67.1666667150001,-10.999999939 67.150000048,-10.999999939 67.1333333810001,-10.999999939 67.1166667150001,-10.999999939 67.1000000480001,-10.999999939 67.083333381,-10.999999939 67.0666667150001,-10.999999939 67.0500000480001,-10.999999939 67.033333381,-10.999999939 67.016666715,-10.999999939 67.0000000480001,-10.999999939 66.9833333810001,-10.999999939 66.966666715,-10.999999939 66.950000048,-10.999999939 66.9333333810001,-10.999999939 66.9166667150001,-10.999999939 66.900000048,-10.999999939 66.8833333810001,-10.999999939 66.8666667150001,-10.999999939 66.8500000480001,-10.999999939 66.833333381,-10.999999939 66.8166667150001,-10.999999939 66.8000000480001,-10.999999939 66.783333381,-10.999999939 66.7666667140001,-10.999999939 66.7500000480001,-10.999999939 66.7333333810001,-10.999999939 66.716666714,-10.999999939 66.700000048,-10.999999939 66.6833333810001,-10.999999939 66.666666714,-10.999999939 66.650000048,-10.999999939 66.6333333810001,-10.999999939 66.6166667140001,-10.999999939 66.6000000480001,-10.999999939 66.583333381,-10.999999939 66.5666667140001,-10.999999939 66.5500000480001,-10.999999939 66.533333381,-10.999999939 66.5166667140001,-10.999999939 66.5000000480001,-10.999999939 66.4833333810001,-10.999999939 66.466666714,-10.999999939 66.450000048,-10.999999939 66.4333333810001,-10.999999939 66.416666714,-10.999999939 66.400000047,-10.999999939 66.3833333810001,-10.999999939 66.3666667140001,-10.999999939 66.350000047,-10.999999939 66.333333381,-10.999999939 66.3166667140001,-10.999999939 66.3000000470001,-10.999999939 66.283333381,-10.999999939 66.2666667140001,-10.999999939 66.2500000470001,-10.999999939 66.2333333810001,-10.999999939 66.216666714,-10.999999939 66.2000000470001,-10.999999939 66.1833333810001,-10.999999939 66.166666714,-10.999999939 66.150000047,-10.999999939 66.1333333810001,-10.999999939 66.1166667140001,-10.999999939 66.100000047,-10.999999939 66.083333381,-10.999999939 66.0666667140001,-10.999999939 66.0500000470001,-10.999999939 66.03333338,-10.999999939 66.0166667140001,-10.999999939 66.0000000470001,-10.999999939 65.98333338,-10.999999939 65.966666714,-10.999999939 65.9500000470001,-10.999999939 65.9333333800001,-10.999999939 65.916666714,-10.999999939 65.900000047,-10.999999939 65.8833333800001,-10.999999939 65.8666667140001,-10.999999939 65.850000047,-10.999999939 65.8333333800001,-10.999999939 65.8166667140001,-10.999999939 65.8000000470001,-10.999999939 65.78333338,-10.999999939 65.7666667140001,-10.999999939 65.7500000470001,-10.999999939 65.73333338,-10.999999939 65.7166667130001,-10.999999939 65.7000000470001,-10.999999939 65.6833333800001,-10.999999939 65.666666713,-10.999999939 65.650000047,-10.999999939 65.6333333800001,-10.999999939 65.616666713,-10.999999939 65.600000047,-10.999999939 65.5833333800001,-10.999999939 65.5666667130001,-10.999999939 65.5500000470001,-10.999999939 65.53333338,-10.999999939 65.5166667130001,-10.999999939 65.5000000470001,-10.999999939 65.48333338,-10.999999939 65.4666667130001,-10.999999939 65.4500000470001,-10.999999939 65.4333333800001,-10.999999939 65.416666713,-10.999999939 65.400000047,-10.999999939 65.3833333800001,-10.999999939 65.366666713,-10.999999939 65.350000046,-10.999999939 65.3333333800001,-10.999999939 65.3166667130001,-10.999999939 65.300000046,-10.999999939 65.28333338,-10.999999939 65.2666667130001,-10.999999939 65.2500000460001,-10.999999939 65.23333338,-10.999999939 65.2166667130001,-10.999999939 65.2000000460001,-10.999999939 65.1833333800001,-10.999999939 65.166666713,-10.999999939 65.1500000460001,-10.999999939 65.1333333800001,-10.999999939 65.116666713,-10.999999939 65.100000046,-10.999999939 65.0833333800001,-10.999999939 65.0666667130001,-10.999999939 65.050000046,-10.999999939 65.03333338,-10.999999939 65.0166667130001,-10.999999939 65.0000000460001,-10.999999939 64.983333379,-10.999999939 64.9666667130001,-10.999999939 64.9500000460001,-10.999999939 64.933333379,-10.999999939 64.916666713,-10.999999939 64.9000000460001,-10.999999939 64.8833333790001,-10.999999939 64.866666713,-10.999999939 64.850000046,-10.999999939 64.8333333790001,-10.999999939 64.8166667130001,-10.999999939 64.800000046,-10.999999939 64.7833333790001,-10.999999939 64.7666667130001,-10.999999939 64.7500000460001,-10.999999939 64.733333379,-10.999999939 64.7166667130001,-10.999999939 64.7000000460001,-10.999999939 64.683333379,-10.999999939 64.666666713,-10.999999939 64.6500000460001,-10.999999939 64.6333333790001,-10.999999939 64.616666712,-10.999999939 64.600000046,-10.999999939 64.5833333790001,-10.999999939 64.566666712,-10.999999939 64.550000046,-10.999999939 64.5333333790001,-10.999999939 64.5166667120001,-10.999999939 64.5000000460001,-10.999999939 64.483333379,-10.999999939 64.4666667120001,-10.999999939 64.4500000460001,-10.999999939 64.433333379,-10.999999939 64.4166667120001,-10.999999939 64.4000000460001,-10.999999939 64.3833333790001,-10.999999939 64.366666712,-10.999999939 64.350000046,-10.999999939 64.3333333790001,-10.999999939 64.316666712,-10.999999939 64.300000046,-10.999999939 64.2833333790001,-10.999999939 64.2666667120001,-10.999999939 64.250000045,-10.999999939 64.233333379,-10.999999939 64.2166667120001,-10.999999939 64.2000000450001,-10.999999939 64.183333379,-10.999999939 64.1666667120001,-10.999999939 64.1500000450001,-10.999999939 64.1333333790001,-10.999999939 64.116666712,-10.999999939 64.1000000450001,-10.999999939 64.0833333790001,-10.999999939 64.066666712,-10.999999939 64.050000045,-10.999999939 64.0333333790001,-10.999999939 64.0166667120001,-10.999999939 64.000000045,-10.999999939 63.983333379,-10.999999939 63.9666667120001,-10.999999939 63.9500000450001,-10.999999939 63.933333379,-10.999999939 63.9166667120001,-10.999999939 63.9000000450001,-10.999999939 63.883333378,-10.999999939 63.866666712,-10.999999939 63.8500000450001,-10.999999939 63.8333333780001,-10.999999939 63.816666712,-10.999999939 63.800000045,-10.999999939 63.7833333780001,-10.999999939 63.7666667120001,-10.999999939 63.750000045,-10.999999939 63.7333333780001,-10.999999939 63.7166667120001,-10.999999939 63.7000000450001,-10.999999939 63.683333378,-10.999999939 63.6666667120001,-10.999999939 63.6500000450001,-10.999999939 63.633333378,-10.999999939 63.616666712,-10.999999939 63.6000000450001,-10.999999939 63.5833333780001,-10.999999939 63.566666711,-10.999999939 63.550000045,-10.999999939 63.5333333780001,-10.999999939 63.516666711,-10.999999939 63.500000045,-10.999999939 63.4833333780001,-10.999999939 63.4666667110001,-10.999999939 63.4500000450001,-10.999999939 63.433333378,-10.999999939 63.4166667110001,-10.999999939 63.4000000450001,-10.999999939 63.383333378,-10.999999939 63.3666667110001,-10.999999939 63.3500000450001,-10.999999939 63.3333333780001,-10.999999939 63.316666711,-10.999999939 63.300000045,-10.999999939 63.2833333780001,-10.999999939 63.266666711,-10.999999939 63.250000045,-10.999999939 63.2333333780001,-10.999999939 63.2166667110001,-10.999999939 63.200000044,-10.999999939 63.183333378,-10.999999939 63.1666667110001,-10.999999939 63.1500000440001,-10.999999939 63.133333378,-10.999999939 63.1166667110001,-10.999999939 63.1000000440001,-10.999999939 63.0833333780001,-10.999999939 63.066666711,-10.999999939 63.0500000440001,-10.999999939 63.0333333780001,-10.999999939 63.016666711,-10.9999999639999 63.000000044)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.V', 'Iceland and Faroes Grounds', '27.V', '27.V.a', 'Iceland Grounds', '27.Va', '27.V.a.2', 'Icelandic Shelf', '27.Va2', '', '', '', '', 'Va2', '4', '27.5.a.2', '27.Va2', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999996199995 60.0000000420001,-9.99999996299994 60.0000000420001,-9.99999993799997 61.5000000210001,-7.99999993599994 61.5000000430001,-7.49999993599994 61.2500000430001,-7.49999996799994 60.5000000420001,-7.99999993599994 60.5000000210001,-7.99999996199995 60.0000000420001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.V', 'Iceland and Faroes Grounds', '27.V', '27.V.b', 'Faroes Grounds', '27.Vb', '27.V.b.2', 'Faroe Bank', '27.Vb2', '', '', '', '', 'Vb2', '4', '27.5.b.2', '27.Vb2', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 60.4900000100001,-15.0457485919999 60.479602593,-15.0628569479999 60.4757143470001,-15.078571391 60.47214288,-15.0929472039999 60.4688756350001,-15.107515285 60.465564708,-15.1271526639999 60.461101667,-15.1414285509999 60.4578571580001,-15.1571428409999 60.4542857260001,-15.1728571309999 60.4507142950001,-15.18857142 60.4471428630001,-15.20428571 60.4435714320001,-15.22 60.4400000000001,-15.23640625 60.437421875,-15.2528124999999 60.43484375,-15.2692187499999 60.4322656250001,-15.285625 60.4296875000001,-15.30203125 60.427109375,-15.3184375 60.42453125,-15.3348437499999 60.4219531250001,-15.3512499999999 60.4193750000001,-15.36765625 60.416796875,-15.3840625 60.41421875,-15.40046875 60.4116406250001,-15.4168749999999 60.4090625000001,-15.4332812499999 60.406484375,-15.4496875 60.40390625,-15.46609375 60.4013281250001,-15.4825 60.3987500000001,-15.4989062499999 60.3961718750001,-15.5153124999999 60.39359375,-15.53171875 60.3910156250001,-15.548125 60.3884375000001,-15.56453125 60.3858593750001,-15.5809374999999 60.38328125,-15.5973437499999 60.3807031250001,-15.61375 60.3781250000001,-15.63015625 60.3755468750001,-15.6465625 60.37296875,-15.6629687499999 60.370390625,-15.6793749999999 60.3678125000001,-15.69578125 60.3652343750001,-15.7121875 60.36265625,-15.72859375 60.360078125,-15.7449999999999 60.3575000000001,-15.7614062499999 60.3549218750001,-15.7778125 60.35234375,-15.79421875 60.349765625,-15.810625 60.3471875000001,-15.8270312499999 60.3446093750001,-15.8434374999999 60.34203125,-15.85984375 60.339453125,-15.87625 60.3368750000001,-15.89265625 60.3342968750001,-15.9090624999999 60.3317187500001,-15.9254687499999 60.329140625,-15.941875 60.3265625000001,-15.95828125 60.3239843750001,-15.9746875 60.3214062500001,-15.9910937499999 60.318828125,-15.9927269519999 60.3185714790001,-16.0074999999999 60.3162500000001,-16.02390625 60.3136718750001,-16.0403125 60.3110937500001,-16.05671875 60.308515625,-16.0731249999999 60.3059375,-16.0895312499999 60.3033593750001,-16.1059375 60.3007812500001,-16.12234375 60.298203125,-16.13875 60.295625,-16.1551562499999 60.2930468750001,-16.1715624999999 60.2904687500001,-16.18796875 60.287890625,-16.204375 60.2853125,-16.22078125 60.2827343750001,-16.2371874999999 60.2801562500001,-16.2535937499999 60.277578125,-16.27 60.275,-16.28640625 60.2724218750001,-16.3028125 60.2698437500001,-16.3192187499999 60.2672656250001,-16.3356249999999 60.2646875,-16.35203125 60.2621093750001,-16.3684375 60.2595312500001,-16.38484375 60.2569531250001,-16.4012499999999 60.254375,-16.4176562499999 60.2517968750001,-16.4340625 60.2492187500001,-16.45046875 60.2466406250001,-16.466875 60.2440625,-16.4832812499999 60.241484375,-16.4996874999999 60.2389062500001,-16.51609375 60.2363281250001,-16.5325 60.23375,-16.54890625 60.231171875,-16.5653124999999 60.2285937500001,-16.5817187499999 60.2260156250001,-16.598125 60.2234375,-16.61453125 60.220859375,-16.6309375 60.2182812500001,-16.6473437499999 60.2157031250001,-16.6637499999999 60.213125,-16.68015625 60.210546875,-16.6965625 60.2079687500001,-16.71296875 60.2053906250001,-16.7293749999999 60.2028125000001,-16.7457812499999 60.200234375,-16.7621875 60.1976562500001,-16.77859375 60.1950781250001,-16.795 60.1925000000001,-16.8114062499999 60.189921875,-16.8278124999999 60.1873437500001,-16.84421875 60.1847656250001,-16.860625 60.1821875000001,-16.87703125 60.179609375,-16.8934374999999 60.17703125,-16.9098437499999 60.1744531250001,-16.92625 60.1718750000001,-16.94265625 60.169296875,-16.9590625 60.16671875,-16.9754687499999 60.1641406250001,-16.9918749999999 60.1615625000001,-17.00828125 60.158984375,-17.0246875 60.15640625,-17.04109375 60.1538281250001,-17.0574999999999 60.1512500000001,-17.0739062499999 60.148671875,-17.0903125 60.14609375,-17.10671875 60.1435156250001,-17.123125 60.1409375000001,-17.1395312499999 60.1383593750001,-17.1559374999999 60.13578125,-17.17234375 60.1332031250001,-17.18875 60.1306250000001,-17.20515625 60.1280468750001,-17.2215624999999 60.12546875,-17.2379687499999 60.1228906250001,-17.254375 60.1203125000001,-17.27078125 60.1177343750001,-17.2871875 60.11515625,-17.3035937499999 60.112578125,-17.3199999999999 60.1100000000001,-18.65 60.0500000000001,-18.749999932 60.0473684230001,-20.439960463 60.002895777,-20.549979423 60.0000005410001,-20.5500301979999 60.0000005420001,-20.5665752909999 60.0002740140001,-20.5831506329999 60.0005479870001,-20.5997259759999 60.0008219590001,-20.616301318 60.0010959320001,-20.632876661 60.001369905,-20.649452003 60.001643877,-20.666027346 60.00191785,-20.682602688 60.002191822,-20.6991780299999 60.002465795,-20.7157533729999 60.0027397680001,-20.7323287149999 60.00301374,-20.733095212 60.0030264100001,-20.7489040579999 60.0032877130001,-20.7654793999999 60.0035616850001,-20.7820547429999 60.0038356580001,-20.798630085 60.0041096310001,-20.815205428 60.0043836030001,-20.83178077 60.0046575760001,-20.848356113 60.0049315480001,-20.864931455 60.0052055210001,-20.881506798 60.005479494,-20.8980821399999 60.005753466,-20.9146574829999 60.006027439,-20.9312328249999 60.006301411,-20.9478081679999 60.006575384,-20.9643835099999 60.0068493570001,-20.9809588529999 60.0071233290001,-20.997534195 60.0073973020001,-21.014109538 60.0076712740001,-21.03068488 60.0079452470001,-21.047260223 60.0082192200001,-21.063835565 60.0084931920001,-21.080410908 60.0087671650001,-21.0969862499999 60.0090411370001,-21.1135615929999 60.00931511,-21.1301369349999 60.009589083,-21.1467122769999 60.009863055,-21.1632876199999 60.010137028,-21.179862962 60.010411,-21.196438305 60.0106849730001,-21.213013647 60.0109589460001,-21.22958899 60.0112329180001,-21.246164332 60.0115068910001,-21.262739675 60.0117808630001,-21.2793150169999 60.0120548360001,-21.2958903599999 60.0123288090001,-21.3124657019999 60.0126027810001,-21.3290410449999 60.012876754,-21.3331492959999 60.012944659,-21.345616387 60.013150726,-21.357499935 60.0133471490001,-21.3621917299999 60.013424699,-21.378767072 60.013698672,-21.395342415 60.013972644,-21.411917757 60.0142466170001,-21.4284931 60.014520589,-21.445068442 60.0147945620001,-21.461643785 60.0150685350001,-21.4782191269999 60.0153425070001,-21.4947944699999 60.0156164800001,-21.5113698119999 60.0158904520001,-21.5279451549999 60.0161644250001,-21.544520497 60.016438398,-21.561095839 60.0167123700001,-21.577671182 60.016986343,-21.594246524 60.017260315,-21.610821867 60.017534288,-21.627397209 60.017808261,-21.643972552 60.018082233,-21.6605478939999 60.0183562060001,-21.6771232369999 60.0186301790001,-21.6936985789999 60.0189041510001,-21.7102739219999 60.0191781240001,-21.726849264 60.0194520960001,-21.743424607 60.0197260690001,-21.759999949 60.020000042,-21.776412993 60.022173955,-21.792826036 60.0243478680001,-21.8092390799999 60.026521781,-21.8256521229999 60.0286956940001,-21.8420651669999 60.0308696070001,-21.8584782099999 60.03304352,-21.874891254 60.0352174330001,-21.891304297 60.037391346,-21.907717341 60.039565259,-21.924130384 60.0417391720001,-21.940543428 60.043913085,-21.956956471 60.0460869980001,-21.9733695149999 60.0482609110001,-21.9897825579999 60.050434824,-22.0061956019999 60.0526087370001,-22.0226086449999 60.05478265,-22.039021689 60.056956563,-22.055434732 60.0591304760001,-22.071847776 60.061304389,-22.088260819 60.0634783020001,-22.104673863 60.0656522150001,-22.121086906 60.0678261290001,-22.1374999499999 60.0700000420001,-22.1539129929999 60.072173955,-22.1703260369999 60.0743478680001,-22.1867390799999 60.0765217810001,-22.2031521239999 60.078695694,-22.2195651669999 60.0808696070001,-22.235978211 60.08304352,-22.252391254 60.0852174330001,-22.268804298 60.0873913460001,-22.285217341 60.089565259,-22.301630385 60.0917391720001,-22.318043428 60.0939130850001,-22.3344564719999 60.096086998,-22.3508695149999 60.0982609110001,-22.3672825589999 60.100434824,-22.3836956019999 60.1026087370001,-22.400108646 60.1047826500001,-22.416521689 60.106956563,-22.432934733 60.1091304760001,-22.449347776 60.1113043890001,-22.465760819 60.113478302,-22.482173863 60.1156522160001,-22.498586906 60.117826129,-22.5149999499999 60.1200000420001,-22.5314129929999 60.1221739550001,-22.5478260369999 60.124347868,-22.5642390799999 60.1265217810001,-22.580652124 60.128695694,-22.597065167 60.1308696070001,-22.613478211 60.1330435200001,-22.629891254 60.135217433,-22.646304298 60.1373913460001,-22.662717341 60.1395652590001,-22.679130385 60.141739172,-22.695543428 60.1439130850001,-22.7119564719999 60.146086998,-22.7283695149999 60.1482609110001,-22.7447825589999 60.1504348240001,-22.7611956019999 60.152608737,-22.777608646 60.1547826500001,-22.794021689 60.1569565630001,-22.810434733 60.159130476,-22.826847776 60.1613043890001,-22.84326082 60.163478303,-22.859673863 60.1656522160001,-22.8760869069999 60.167826129,-22.8924999499999 60.170000042,-22.9089129939999 60.1721739550001,-22.9253260369999 60.174347868,-22.941739081 60.1765217810001,-22.958152124 60.1786956940001,-22.974565168 60.180869607,-22.990978211 60.1830435200001,-23.007391255 60.185217433,-23.023804298 60.187391346,-23.0402173419999 60.1895652590001,-23.0566303849999 60.191739172,-23.0730434289999 60.1939130850001,-23.0894564719999 60.1960869980001,-23.1058695159999 60.198260911,-23.1222825589999 60.2004348240001,-23.138695603 60.202608737,-23.155108646 60.20478265,-23.17152169 60.2069565630001,-23.187934733 60.209130476,-23.204347777 60.2113043900001,-23.22076082 60.213478303,-23.2371738639999 60.2156522160001,-23.2535869069999 60.2178261290001,-23.2699999509999 60.220000042,-23.2860464619999 60.223488414,-23.3020929739999 60.2269767860001,-23.318139486 60.2304651580001,-23.334185997 60.2339535300001,-23.350232509 60.2374419020001,-23.366279021 60.240930274,-23.382325532 60.244418646,-23.3983720439999 60.247907018,-23.4144185549999 60.2513953910001,-23.4304650669999 60.2548837630001,-23.4465115789999 60.2583721350001,-23.46255809 60.2618605070001,-23.478604602 60.265348879,-23.494651114 60.268837251,-23.510697625 60.272325623,-23.526744137 60.2758139950001,-23.542790649 60.2793023670001,-23.5588371599999 60.2827907390001,-23.5748836719999 60.286279112,-23.5909301839999 60.289767484,-23.606976695 60.293255856,-23.623023207 60.2967442280001,-23.639069718 60.3002326000001,-23.65511623 60.3037209720001,-23.671162742 60.3072093440001,-23.6872092529999 60.310697716,-23.7032557649999 60.314186088,-23.7193022769999 60.31767446,-23.735348788 60.321162832,-23.7513953 60.3246512050001,-23.767441812 60.3281395770001,-23.783488323 60.3316279490001,-23.799534835 60.335116321,-23.815581347 60.338604693,-23.8316278579999 60.342093065,-23.8476743699999 60.3455814370001,-23.8637208809999 60.3490698090001,-23.879767393 60.3525581810001,-23.895813905 60.3560465530001,-23.911860416 60.359534926,-23.927906928 60.363023298,-23.94395344 60.3665116700001,-23.9599999509999 60.3700000420001,-23.976617598 60.371176512,-23.9932352449999 60.372352983,-24.009852893 60.373529454,-24.0264705399999 60.3747059240001,-24.043088187 60.3758823950001,-24.0597058339999 60.377058865,-24.076323481 60.378235336,-24.0929411279999 60.3794118070001,-24.109558775 60.3805882770001,-24.126176422 60.3817647480001,-24.1427940689999 60.382941218,-24.159411716 60.384117689,-24.1760293629999 60.3852941600001,-24.19264701 60.3864706300001,-24.2092646569999 60.387647101,-24.225882305 60.388823571,-24.2424999519999 60.3900000420001,-24.259117599 60.3911765120001,-24.275735246 60.3923529830001,-24.2923528929999 60.393529454,-24.30897054 60.394705924,-24.3255881869999 60.3958823950001,-24.342205834 60.3970588650001,-24.3588234809999 60.398235336,-24.375441128 60.399411807,-24.392058775 60.4005882770001,-24.4086764219999 60.4017647480001,-24.425294069 60.4029412180001,-24.4419117159999 60.404117689,-24.458529364 60.40529416,-24.4751470109999 60.4064706300001,-24.491764658 60.4076471010001,-24.5083823049999 60.408823571,-24.524999952 60.410000042,-24.5416175989999 60.4111765120001,-24.558235246 60.4123529830001,-24.574852893 60.4135294540001,-24.5914705399999 60.414705924,-24.608088187 60.415882395,-24.6247058339999 60.4170588650001,-24.641323481 60.4182353360001,-24.6579411279999 60.4194118070001,-24.674558776 60.420588277,-24.6911764229999 60.421764748,-24.70779407 60.4229412180001,-24.724411717 60.4241176890001,-24.7410293639999 60.4252941600001,-24.757647011 60.42647063,-24.7742646579999 60.427647101,-24.790882305 60.4288235710001,-24.8074999519999 60.4300000420001,-24.824117599 60.431176512,-24.840735246 60.432352983,-24.8573528929999 60.4335294540001,-24.87397054 60.4347059240001,-24.8905881869999 60.4358823950001,-24.907205835 60.437058865,-24.9238234819999 60.438235336,-24.940441129 60.4394118070001,-24.9570587759999 60.4405882770001,-24.973676423 60.4417647480001,-24.9902940699999 60.442941218,-25.006911717 60.4441176890001,-25.023529364 60.4452941600001,-25.0401470109999 60.4464706300001,-25.056764658 60.447647101,-25.0733823049999 60.448823571,-25.089999952 60.4500000420001,-25.106309476 60.452857185,-25.1226189999999 60.4557143280001,-25.1389285239999 60.458571471,-25.1552380479999 60.4614286130001,-25.171547571 60.464285756,-25.187857095 60.4671428990001,-25.204166619 60.470000042,-25.2204761429999 60.4728571850001,-25.2367856669999 60.475714328,-25.2530951909999 60.4785714710001,-25.269404714 60.481428613,-25.285714238 60.4842857560001,-25.302023762 60.487142899,-25.318333286 60.4900000420001,-25.3309647799999 60.4922128590001,-25.3346428099999 60.492857185,-25.3509523339999 60.4957143280001,-25.367261857 60.498571471,-25.383571381 60.501428613,-25.399880905 60.5042857560001,-25.416190429 60.507142899,-25.4324999529999 60.5100000420001,-25.4488094769999 60.512857185,-25.465119 60.5157143280001,-25.481428524 60.518571471,-25.497738048 60.5214286130001,-25.514047572 60.524285756,-25.5303570959999 60.5271428990001,-25.546666619 60.530000042,-25.562976143 60.5328571850001,-25.579285667 60.535714328,-25.595595191 60.5385714710001,-25.611904715 60.5414286130001,-25.6282142389999 60.5442857560001,-25.6445237619999 60.5471428990001,-25.660833286 60.5500000420001,-25.67714281 60.5528571850001,-25.693452334 60.5557143280001,-25.709761858 60.5585714710001,-25.7260713819999 60.561428613,-25.7423809049999 60.5642857560001,-25.758690429 60.567142899,-25.774999953 60.5700000420001,-25.791309477 60.572857185,-25.807619001 60.5757143280001,-25.8239285239999 60.578571471,-25.8402380479999 60.5814286130001,-25.856547572 60.584285756,-25.872857096 60.5871428990001,-25.88916662 60.590000042,-25.905476144 60.5928571850001,-25.9217856669999 60.595714328,-25.9380951909999 60.5985714710001,-25.954404715 60.6014286130001,-25.970714239 60.6042857560001,-25.987023763 60.6071428990001,-26.003333287 60.6100000420001,-26.0196428099999 60.6128571850001,-26.0359523339999 60.6157143280001,-26.052261858 60.6185714710001,-26.068571382 60.6214286140001,-26.084880906 60.6242857560001,-26.10119043 60.627142899,-26.1174999529999 60.6300000420001,-26.1338094769999 60.632857185,-26.150119001 60.6357143280001,-26.166428525 60.638571471,-26.182738049 60.6414286140001,-26.199047572 60.644285756,-26.2153570959999 60.6471428990001,-26.2316666199999 60.650000042,-26.2479761439999 60.6528571850001,-26.264285668 60.655714328,-26.280595192 60.6585714710001,-26.296904715 60.661428614,-26.3132142389999 60.664285756,-26.3295237629999 60.6671428990001,-26.3458332869999 60.670000042,-26.362142811 60.6728571850001,-26.378452335 60.6757143280001,-26.394761858 60.6785714710001,-26.4110713819999 60.6814286140001,-26.4273809059999 60.6842857560001,-26.4436904299999 60.687142899,-26.459999954 60.6900000420001,-26.4758823069999 60.6947059250001,-26.4917646599999 60.699411807,-26.5076470129999 60.704117689,-26.5235293649999 60.708823572,-26.5394117179999 60.7135294540001,-26.5552940709999 60.7182353360001,-26.5711764239999 60.7229412190001,-26.587058777 60.7276471010001,-26.60294113 60.7323529830001,-26.618823483 60.737058866,-26.634705836 60.741764748,-26.650588189 60.74647063,-26.666470542 60.7511765130001,-26.682352895 60.7558823950001,-26.6982352479999 60.7605882780001,-26.7141176009999 60.7652941600001,-26.7299999539999 60.770000042,-26.7458823069999 60.774705925,-26.76176466 60.779411807,-26.777647013 60.784117689,-26.793529366 60.7888235720001,-26.809411719 60.7935294540001,-26.825294072 60.7982353360001,-26.841176425 60.802941219,-26.857058778 60.807647101,-26.8729411309999 60.812352983,-26.888823483 60.8170588660001,-26.9047058359999 60.8217647480001,-26.9205881889999 60.8264706310001,-26.9364705419999 60.8311765130001,-26.9523528949999 60.8358823950001,-26.9682352479999 60.840588278,-26.984117601 60.84529416,-26.999999803 60.849999998,-26.9999999849999 60.8666667090001,-26.9999999849999 60.8833333760001,-26.9999999849999 60.900000042,-26.9999999849999 60.9166667090001,-26.9999999849999 60.9333333760001,-26.9999999849999 60.9500000420001,-26.9999999849999 60.966666709,-26.9999999849999 60.9833333760001,-26.9999999849999 61.0000000420001,-26.9999999849999 61.016666709,-26.9999999849999 61.033333376,-26.9999999849999 61.0500000420001,-26.9999999849999 61.0666667090001,-26.9999999849999 61.083333376,-26.9999999849999 61.1000000430001,-26.9999999849999 61.1166667090001,-26.9999999849999 61.1333333760001,-26.9999999849999 61.150000043,-26.9999999849999 61.1666667090001,-26.9999999849999 61.1833333760001,-26.9999999849999 61.200000043,-26.9999999849999 61.216666709,-26.9999999849999 61.2333333760001,-26.9999999849999 61.2500000430001,-26.9999999849999 61.266666709,-26.9999999849999 61.283333376,-26.9999999849999 61.3000000430001,-26.9999999849999 61.3166667090001,-26.9999999849999 61.333333376,-26.9999999849999 61.3500000430001,-26.9999999849999 61.3666667090001,-26.9999999849999 61.3833333760001,-26.9999999849999 61.400000043,-26.9999999849999 61.4166667090001,-26.9999999849999 61.4333333760001,-26.9999999849999 61.450000043,-26.9999999849999 61.46666671,-26.9999999849999 61.4833333760001,-26.9999999849999 61.5000000430001,-26.9999999849999 61.51666671,-26.9999999849999 61.533333376,-26.9999999849999 61.5500000430001,-26.9999999849999 61.56666671,-26.9999999849999 61.583333376,-26.9999999849999 61.6000000430001,-26.9999999849999 61.6166667100001,-26.9999999849999 61.6333333760001,-26.9999999849999 61.650000043,-26.9999999849999 61.6666667100001,-26.9999999849999 61.6833333760001,-26.9999999849999 61.700000043,-26.9999999849999 61.71666671,-26.9999999849999 61.7333333760001,-26.9999999849999 61.7500000430001,-26.9999999849999 61.76666671,-26.9999999849999 61.783333376,-26.9999999849999 61.8000000430001,-26.9999999849999 61.81666671,-26.9999999849999 61.833333377,-26.9999999849999 61.8500000430001,-26.9999999849999 61.8666667100001,-26.9999999849999 61.883333377,-26.9999999849999 61.900000043,-26.9999999849999 61.9166667100001,-26.9999999849999 61.9333333770001,-26.9999999849999 61.950000043,-26.9999999849999 61.96666671,-26.9999999849999 61.9833333770001,-26.9999999689999 62.0000000220001,-26.9833332869999 62.0000000430001,-26.9666666209999 62.0000000430001,-26.949999954 62.0000000430001,-26.933333287 62.0000000430001,-26.9166666209999 62.0000000430001,-26.899999954 62.0000000430001,-26.883333287 62.0000000430001,-26.866666621 62.0000000430001,-26.8499999539999 62.0000000430001,-26.833333287 62.0000000430001,-26.816666621 62.0000000430001,-26.7999999539999 62.0000000430001,-26.7833332869999 62.0000000430001,-26.766666621 62.0000000430001,-26.749999954 62.0000000430001,-26.7333332869999 62.0000000430001,-26.7166666209999 62.0000000430001,-26.699999954 62.0000000430001,-26.683333287 62.0000000430001,-26.6666666209999 62.0000000430001,-26.649999954 62.0000000430001,-26.633333287 62.0000000430001,-26.6166666199999 62.0000000430001,-26.5999999539999 62.0000000430001,-26.583333287 62.0000000430001,-26.56666662 62.0000000430001,-26.5499999539999 62.0000000430001,-26.5333332869999 62.0000000430001,-26.51666662 62.0000000430001,-26.499999954 62.0000000430001,-26.4833332869999 62.0000000430001,-26.46666662 62.0000000430001,-26.449999954 62.0000000430001,-26.433333287 62.0000000430001,-26.4166666199999 62.0000000430001,-26.399999954 62.0000000430001,-26.383333287 62.0000000430001,-26.3666666199999 62.0000000430001,-26.3499999539999 62.0000000430001,-26.333333287 62.0000000430001,-26.31666662 62.0000000430001,-26.2999999529999 62.0000000430001,-26.2833332869999 62.0000000430001,-26.26666662 62.0000000430001,-26.2499999529999 62.0000000430001,-26.2333332869999 62.0000000430001,-26.21666662 62.0000000430001,-26.199999953 62.0000000430001,-26.183333287 62.0000000430001,-26.1666666199999 62.0000000430001,-26.149999953 62.0000000430001,-26.133333287 62.0000000430001,-26.1166666199999 62.0000000430001,-26.099999953 62.0000000430001,-26.083333287 62.0000000430001,-26.06666662 62.0000000430001,-26.0499999529999 62.0000000430001,-26.0333332869999 62.0000000430001,-26.01666662 62.0000000430001,-25.9999999529999 62.0000000430001,-25.9833332869999 62.0000000430001,-25.96666662 62.0000000430001,-25.949999953 62.0000000430001,-25.9333332859999 62.0000000430001,-25.9166666199999 62.0000000430001,-25.899999953 62.0000000430001,-25.883333286 62.0000000430001,-25.8666666199999 62.0000000430001,-25.849999953 62.0000000430001,-25.833333286 62.0000000430001,-25.81666662 62.0000000430001,-25.7999999529999 62.0000000430001,-25.783333286 62.0000000430001,-25.76666662 62.0000000430001,-25.7499999529999 62.0000000430001,-25.7333332859999 62.0000000430001,-25.71666662 62.0000000430001,-25.699999953 62.0000000430001,-25.6833332859999 62.0000000430001,-25.6666666199999 62.0000000430001,-25.649999953 62.0000000430001,-25.633333286 62.0000000430001,-25.6166666199999 62.0000000430001,-25.599999953 62.0000000430001,-25.583333286 62.0000000430001,-25.5666666189999 62.0000000430001,-25.5499999529999 62.0000000430001,-25.533333286 62.0000000430001,-25.516666619 62.0000000430001,-25.4999999529999 62.0000000430001,-25.4833332859999 62.0000000430001,-25.466666619 62.0000000430001,-25.449999953 62.0000000430001,-25.4333332859999 62.0000000430001,-25.416666619 62.0000000430001,-25.399999953 62.0000000430001,-25.383333286 62.0000000430001,-25.3666666189999 62.0000000430001,-25.349999953 62.0000000430001,-25.333333286 62.0000000430001,-25.3166666189999 62.0000000430001,-25.2999999529999 62.0000000430001,-25.283333286 62.0000000430001,-25.266666619 62.0000000430001,-25.2499999529999 62.0000000430001,-25.2333332859999 62.0000000430001,-25.216666619 62.0000000430001,-25.1999999519999 62.0000000430001,-25.1833332859999 62.0000000430001,-25.166666619 62.0000000430001,-25.149999952 62.0000000430001,-25.133333286 62.0000000430001,-25.1166666189999 62.0000000430001,-25.099999952 62.0000000430001,-25.083333286 62.0000000430001,-25.0666666189999 62.0000000430001,-25.049999952 62.0000000430001,-25.033333286 62.0000000430001,-25.016666619 62.0000000430001,-24.9999999519999 62.0000000430001,-24.9833332859999 62.0000000430001,-24.966666619 62.0000000430001,-24.9499999519999 62.0000000430001,-24.9333332859999 62.0000000430001,-24.916666619 62.0000000430001,-24.899999952 62.0000000430001,-24.883333286 62.0000000430001,-24.8666666189999 62.0000000430001,-24.849999952 62.0000000430001,-24.833333285 62.0000000430001,-24.8166666189999 62.0000000430001,-24.799999952 62.0000000430001,-24.783333285 62.0000000430001,-24.766666619 62.0000000430001,-24.7499999519999 62.0000000430001,-24.733333285 62.0000000430001,-24.716666619 62.0000000430001,-24.6999999519999 62.0000000430001,-24.6833332849999 62.0000000430001,-24.666666619 62.0000000430001,-24.649999952 62.0000000430001,-24.6333332849999 62.0000000430001,-24.6166666189999 62.0000000430001,-24.599999952 62.0000000430001,-24.583333285 62.0000000430001,-24.5666666189999 62.0000000430001,-24.549999952 62.0000000430001,-24.533333285 62.0000000430001,-24.516666619 62.0000000430001,-24.4999999519999 62.0000000430001,-24.483333285 62.0000000430001,-24.466666618 62.0000000430001,-24.4499999519999 62.0000000430001,-24.4333332849999 62.0000000430001,-24.416666618 62.0000000430001,-24.399999952 62.0000000430001,-24.3833332849999 62.0000000430001,-24.366666618 62.0000000430001,-24.349999952 62.0000000430001,-24.333333285 62.0000000430001,-24.3166666179999 62.0000000430001,-24.299999952 62.0000000430001,-24.283333285 62.0000000430001,-24.2666666179999 62.0000000430001,-24.2499999519999 62.0000000430001,-24.233333285 62.0000000430001,-24.216666618 62.0000000430001,-24.1999999519999 62.0000000430001,-24.1833332849999 62.0000000430001,-24.166666618 62.0000000430001,-24.1499999509999 62.0000000430001,-24.1333332849999 62.0000000430001,-24.116666618 62.0000000430001,-24.099999951 62.0000000430001,-24.083333285 62.0000000430001,-24.0666666179999 62.0000000430001,-24.049999951 62.0000000430001,-24.033333285 62.0000000430001,-24.0166666179999 62.0000000430001,-23.9999999509999 62.0000000430001,-23.983333285 62.0000000430001,-23.966666618 62.0000000430001,-23.9499999509999 62.0000000430001,-23.9333332849999 62.0000000430001,-23.916666618 62.0000000430001,-23.8999999509999 62.0000000430001,-23.8833332849999 62.0000000430001,-23.866666618 62.0000000430001,-23.849999951 62.0000000430001,-23.833333285 62.0000000430001,-23.8166666179999 62.0000000430001,-23.799999951 62.0000000430001,-23.783333284 62.0000000430001,-23.7666666179999 62.0000000430001,-23.7499999509999 62.0000000430001,-23.733333284 62.0000000430001,-23.716666618 62.0000000430001,-23.6999999509999 62.0000000430001,-23.683333284 62.0000000430001,-23.666666618 62.0000000430001,-23.6499999509999 62.0000000430001,-23.6333332839999 62.0000000430001,-23.616666618 62.0000000430001,-23.599999951 62.0000000430001,-23.5833332839999 62.0000000430001,-23.5666666179999 62.0000000430001,-23.549999951 62.0000000430001,-23.533333284 62.0000000430001,-23.5166666179999 62.0000000430001,-23.4999999509999 62.0000000430001,-23.483333284 62.0000000430001,-23.466666618 62.0000000430001,-23.4499999509999 62.0000000430001,-23.433333284 62.0000000430001,-23.416666617 62.0000000430001,-23.3999999509999 62.0000000430001,-23.3833332839999 62.0000000430001,-23.366666617 62.0000000430001,-23.349999951 62.0000000430001,-23.3333332839999 62.0000000430001,-23.316666617 62.0000000430001,-23.299999951 62.0000000430001,-23.283333284 62.0000000430001,-23.2666666169999 62.0000000430001,-23.2499999509999 62.0000000430001,-23.233333284 62.0000000430001,-23.2166666169999 62.0000000430001,-23.1999999509999 62.0000000430001,-23.183333284 62.0000000430001,-23.166666617 62.0000000430001,-23.1499999509999 62.0000000430001,-23.1333332839999 62.0000000430001,-23.116666617 62.0000000430001,-23.099999951 62.0000000430001,-23.0833332839999 62.0000000430001,-23.066666617 62.0000000430001,-23.04999995 62.0000000430001,-23.033333284 62.0000000430001,-23.0166666169999 62.0000000430001,-22.99999995 62.0000000430001,-22.983333284 62.0000000430001,-22.9666666169999 62.0000000430001,-22.9499999499999 62.0000000430001,-22.933333284 62.0000000430001,-22.916666617 62.0000000430001,-22.8999999499999 62.0000000430001,-22.8833332839999 62.0000000430001,-22.866666617 62.0000000430001,-22.84999995 62.0000000430001,-22.8333332839999 62.0000000430001,-22.816666617 62.0000000430001,-22.79999995 62.0000000430001,-22.783333284 62.0000000430001,-22.7666666169999 62.0000000430001,-22.74999995 62.0000000430001,-22.733333284 62.0000000430001,-22.7166666169999 62.0000000430001,-22.6999999499999 62.0000000430001,-22.683333283 62.0000000430001,-22.666666617 62.0000000430001,-22.6499999499999 62.0000000430001,-22.633333283 62.0000000430001,-22.616666617 62.0000000430001,-22.59999995 62.0000000430001,-22.5833332829999 62.0000000430001,-22.566666617 62.0000000430001,-22.54999995 62.0000000430001,-22.5333332829999 62.0000000430001,-22.5166666169999 62.0000000430001,-22.49999995 62.0000000430001,-22.483333283 62.0000000430001,-22.4666666169999 62.0000000430001,-22.4499999499999 62.0000000430001,-22.433333283 62.0000000430001,-22.416666617 62.0000000430001,-22.3999999499999 62.0000000430001,-22.383333283 62.0000000430001,-22.366666617 62.0000000430001,-22.34999995 62.0000000430001,-22.3333332829999 62.0000000430001,-22.316666616 62.0000000430001,-22.29999995 62.0000000430001,-22.2833332829999 62.0000000430001,-22.266666616 62.0000000430001,-22.24999995 62.0000000430001,-22.233333283 62.0000000430001,-22.2166666159999 62.0000000430001,-22.1999999499999 62.0000000430001,-22.183333283 62.0000000430001,-22.1666666159999 62.0000000430001,-22.1499999499999 62.0000000430001,-22.133333283 62.0000000430001,-22.116666616 62.0000000430001,-22.09999995 62.0000000430001,-22.0833332829999 62.0000000430001,-22.066666616 62.0000000430001,-22.04999995 62.0000000430001,-22.0333332829999 62.0000000430001,-22.016666616 62.0000000430001,-21.999999949 62.0000000430001,-21.983333283 62.0000000430001,-21.9666666159999 62.0000000430001,-21.949999949 62.0000000430001,-21.933333283 62.0000000430001,-21.9166666159999 62.0000000430001,-21.8999999489999 62.0000000430001,-21.883333283 62.0000000430001,-21.866666616 62.0000000430001,-21.8499999489999 62.0000000430001,-21.8333332829999 62.0000000430001,-21.816666616 62.0000000430001,-21.799999949 62.0000000430001,-21.7833332829999 62.0000000430001,-21.766666616 62.0000000430001,-21.749999949 62.0000000430001,-21.733333283 62.0000000430001,-21.7166666159999 62.0000000430001,-21.699999949 62.0000000430001,-21.683333283 62.0000000430001,-21.6666666159999 62.0000000430001,-21.6499999489999 62.0000000430001,-21.633333282 62.0000000430001,-21.616666616 62.0000000430001,-21.5999999489999 62.0000000430001,-21.583333282 62.0000000430001,-21.566666616 62.0000000430001,-21.549999949 62.0000000430001,-21.5333332819999 62.0000000430001,-21.516666616 62.0000000430001,-21.499999949 62.0000000430001,-21.4833332819999 62.0000000430001,-21.4666666159999 62.0000000430001,-21.449999949 62.0000000430001,-21.433333282 62.0000000430001,-21.4166666159999 62.0000000430001,-21.3999999489999 62.0000000430001,-21.383333282 62.0000000430001,-21.366666616 62.0000000430001,-21.3499999489999 62.0000000430001,-21.333333282 62.0000000430001,-21.316666616 62.0000000430001,-21.299999949 62.0000000430001,-21.2833332819999 62.0000000430001,-21.266666615 62.0000000430001,-21.249999949 62.0000000430001,-21.2333332819999 62.0000000430001,-21.216666615 62.0000000430001,-21.199999949 62.0000000430001,-21.183333282 62.0000000430001,-21.1666666149999 62.0000000430001,-21.1499999489999 62.0000000430001,-21.133333282 62.0000000430001,-21.1166666149999 62.0000000430001,-21.0999999489999 62.0000000430001,-21.083333282 62.0000000430001,-21.066666615 62.0000000430001,-21.049999949 62.0000000430001,-21.0333332819999 62.0000000430001,-21.016666615 62.0000000430001,-20.999999949 62.0000000430001,-20.9833332819999 62.0000000430001,-20.966666615 62.0000000430001,-20.949999949 62.0000000430001,-20.933333282 62.0000000430001,-20.9166666149999 62.0000000430001,-20.899999948 62.0000000430001,-20.883333282 62.0000000430001,-20.8666666149999 62.0000000430001,-20.8499999479999 62.0000000430001,-20.833333282 62.0000000430001,-20.816666615 62.0000000430001,-20.7999999479999 62.0000000430001,-20.7833332819999 62.0000000430001,-20.766666615 62.0000000430001,-20.749999948 62.0000000430001,-20.7333332819999 62.0000000430001,-20.716666615 62.0000000430001,-20.699999948 62.0000000430001,-20.683333282 62.0000000430001,-20.6666666149999 62.0000000430001,-20.649999948 62.0000000430001,-20.633333282 62.0000000430001,-20.6166666149999 62.0000000430001,-20.5999999479999 62.0000000430001,-20.583333282 62.0000000430001,-20.566666615 62.0000000430001,-20.5499999479999 62.0000000430001,-20.533333281 62.0000000430001,-20.516666615 62.0000000430001,-20.499999948 62.0000000430001,-20.4833332809999 62.0000000430001,-20.466666615 62.0000000430001,-20.449999948 62.0000000430001,-20.4333332809999 62.0000000430001,-20.4166666149999 62.0000000430001,-20.399999948 62.0000000430001,-20.383333281 62.0000000430001,-20.3666666149999 62.0000000430001,-20.3499999479999 62.0000000430001,-20.333333281 62.0000000430001,-20.316666615 62.0000000430001,-20.2999999479999 62.0000000430001,-20.283333281 62.0000000430001,-20.266666615 62.0000000430001,-20.249999948 62.0000000430001,-20.2333332809999 62.0000000430001,-20.216666614 62.0000000430001,-20.199999948 62.0000000430001,-20.1833332809999 62.0000000430001,-20.166666614 62.0000000430001,-20.149999948 62.0000000430001,-20.133333281 62.0000000430001,-20.1166666139999 62.0000000430001,-20.0999999479999 62.0000000430001,-20.083333281 62.0000000430001,-20.0666666139999 62.0000000430001,-20.0499999479999 62.0000000430001,-20.033333281 62.0000000430001,-20.016666614 62.0000000430001,-19.999999948 62.0000000430001,-19.9833332809999 62.0000000430001,-19.966666614 62.0000000430001,-19.949999948 62.0000000430001,-19.9333332809999 62.0000000430001,-19.916666614 62.0000000430001,-19.899999948 62.0000000430001,-19.883333281 62.0000000430001,-19.8666666139999 62.0000000430001,-19.849999947 62.0000000430001,-19.833333281 62.0000000430001,-19.8166666139999 62.0000000430001,-19.7999999469999 62.0000000430001,-19.783333281 62.0000000430001,-19.766666614 62.0000000430001,-19.7499999469999 62.0000000430001,-19.7333332809999 62.0000000430001,-19.716666614 62.0000000430001,-19.699999947 62.0000000430001,-19.6833332809999 62.0000000430001,-19.666666614 62.0000000430001,-19.649999947 62.0000000430001,-19.633333281 62.0000000430001,-19.6166666139999 62.0000000430001,-19.599999947 62.0000000430001,-19.583333281 62.0000000430001,-19.5666666139999 62.0000000430001,-19.5499999469999 62.0000000430001,-19.533333281 62.0000000430001,-19.516666614 62.0000000430001,-19.4999999469999 62.0000000430001,-19.48333328 62.0000000430001,-19.466666614 62.0000000430001,-19.449999947 62.0000000430001,-19.4333332799999 62.0000000430001,-19.416666614 62.0000000430001,-19.399999947 62.0000000430001,-19.3833332799999 62.0000000430001,-19.3666666139999 62.0000000430001,-19.349999947 62.0000000430001,-19.33333328 62.0000000430001,-19.3166666139999 62.0000000430001,-19.2999999469999 62.0000000430001,-19.28333328 62.0000000430001,-19.266666614 62.0000000430001,-19.2499999469999 62.0000000430001,-19.23333328 62.0000000430001,-19.216666614 62.0000000430001,-19.199999947 62.0000000430001,-19.1833332799999 62.0000000430001,-19.166666614 62.0000000430001,-19.149999947 62.0000000430001,-19.1333332799999 62.0000000430001,-19.1166666129999 62.0000000430001,-19.099999947 62.0000000430001,-19.08333328 62.0000000430001,-19.0666666129999 62.0000000430001,-19.0499999469999 62.0000000430001,-19.03333328 62.0000000430001,-19.0166666129999 62.0000000430001,-18.9999999469999 62.0000000430001,-18.98333328 62.0000000430001,-18.966666613 62.0000000430001,-18.949999947 62.0000000430001,-18.9333332799999 62.0000000430001,-18.916666613 62.0000000430001,-18.899999947 62.0000000430001,-18.8833332799999 62.0000000430001,-18.8666666129999 62.0000000430001,-18.849999947 62.0000000430001,-18.83333328 62.0000000430001,-18.8166666129999 62.0000000430001,-18.7999999469999 62.0000000430001,-18.78333328 62.0000000430001,-18.7666666129999 62.0000000430001,-18.7499999459999 62.0000000430001,-18.73333328 62.0000000430001,-18.716666613 62.0000000430001,-18.6999999459999 62.0000000430001,-18.6833332799999 62.0000000430001,-18.666666613 62.0000000430001,-18.649999946 62.0000000430001,-18.6333332799999 62.0000000430001,-18.6166666129999 62.0000000430001,-18.599999946 62.0000000430001,-18.58333328 62.0000000430001,-18.5666666129999 62.0000000430001,-18.549999946 62.0000000430001,-18.53333328 62.0000000430001,-18.5166666129999 62.0000000430001,-18.4999999459999 62.0000000430001,-18.48333328 62.0000000430001,-18.466666613 62.0000000430001,-18.4499999459999 62.0000000430001,-18.4333332799999 62.0000000430001,-18.416666613 62.0000000430001,-18.399999946 62.0000000430001,-18.3833332789999 62.0000000430001,-18.3666666129999 62.0000000430001,-18.349999946 62.0000000430001,-18.3333332789999 62.0000000430001,-18.3166666129999 62.0000000430001,-18.299999946 62.0000000430001,-18.283333279 62.0000000430001,-18.2666666129999 62.0000000430001,-18.2499999459999 62.0000000430001,-18.233333279 62.0000000430001,-18.216666613 62.0000000430001,-18.1999999459999 62.0000000430001,-18.183333279 62.0000000430001,-18.166666613 62.0000000430001,-18.149999946 62.0000000430001,-18.1333332789999 62.0000000430001,-18.1166666129999 62.0000000430001,-18.099999946 62.0000000430001,-18.0833332789999 62.0000000430001,-18.0666666119999 62.0000000430001,-18.049999946 62.0000000430001,-18.033333279 62.0000000430001,-18.0166666119999 62.0000000430001,-17.9999999459999 62.0000000430001,-17.983333279 62.0000000430001,-17.9666666119999 62.0000000430001,-17.9499999459999 62.0000000430001,-17.933333279 62.0000000430001,-17.916666612 62.0000000430001,-17.899999946 62.0000000430001,-17.8833332789999 62.0000000430001,-17.866666612 62.0000000430001,-17.849999946 62.0000000430001,-17.8333332789999 62.0000000430001,-17.8166666119999 62.0000000430001,-17.799999946 62.0000000430001,-17.783333279 62.0000000430001,-17.7666666119999 62.0000000430001,-17.7499999459999 62.0000000430001,-17.733333279 62.0000000430001,-17.7166666119999 62.0000000430001,-17.6999999449999 62.0000000430001,-17.683333279 62.0000000430001,-17.666666612 62.0000000430001,-17.6499999449999 62.0000000430001,-17.6333332789999 62.0000000430001,-17.616666612 62.0000000430001,-17.599999945 62.0000000430001,-17.5833332789999 62.0000000430001,-17.5666666119999 62.0000000430001,-17.549999945 62.0000000430001,-17.533333279 62.0000000430001,-17.5166666119999 62.0000000430001,-17.499999945 62.0000000430001,-17.483333279 62.0000000430001,-17.4666666119999 62.0000000430001,-17.4499999449999 62.0000000430001,-17.433333279 62.0000000430001,-17.416666612 62.0000000430001,-17.3999999449999 62.0000000430001,-17.3833332789999 62.0000000430001,-17.366666612 62.0000000430001,-17.349999945 62.0000000430001,-17.3333332779999 62.0000000430001,-17.3166666119999 62.0000000430001,-17.299999945 62.0000000430001,-17.2833332779999 62.0000000430001,-17.2666666119999 62.0000000430001,-17.249999945 62.0000000430001,-17.233333278 62.0000000430001,-17.2166666119999 62.0000000430001,-17.1999999449999 62.0000000430001,-17.183333278 62.0000000430001,-17.166666612 62.0000000430001,-17.1499999449999 62.0000000430001,-17.133333278 62.0000000430001,-17.116666612 62.0000000430001,-17.099999945 62.0000000430001,-17.0833332779999 62.0000000430001,-17.0666666119999 62.0000000430001,-17.049999945 62.0000000430001,-17.0333332779999 62.0000000430001,-17.0166666119999 62.0000000430001,-16.999999945 62.0000000430001,-16.983333278 62.0000000430001,-16.9666666109999 62.0000000430001,-16.9499999449999 62.0000000430001,-16.933333278 62.0000000430001,-16.916666611 62.0000000430001,-16.8999999449999 62.0000000430001,-16.883333278 62.0000000430001,-16.866666611 62.0000000430001,-16.849999945 62.0000000430001,-16.8333332779999 62.0000000430001,-16.816666611 62.0000000430001,-16.799999945 62.0000000430001,-16.7833332779999 62.0000000430001,-16.7666666109999 62.0000000430001,-16.749999945 62.0000000430001,-16.733333278 62.0000000430001,-16.7166666109999 62.0000000430001,-16.6999999449999 62.0000000430001,-16.683333278 62.0000000430001,-16.666666611 62.0000000430001,-16.6499999449999 62.0000000430001,-16.633333278 62.0000000430001,-16.616666611 62.0000000430001,-16.5999999439999 62.0000000430001,-16.5833332779999 62.0000000430001,-16.566666611 62.0000000430001,-16.549999944 62.0000000430001,-16.5333332779999 62.0000000430001,-16.5166666109999 62.0000000430001,-16.499999944 62.0000000430001,-16.483333278 62.0000000430001,-16.4666666109999 62.0000000430001,-16.449999944 62.0000000430001,-16.433333278 62.0000000430001,-16.416666611 62.0000000430001,-16.3999999439999 62.0000000430001,-16.383333278 62.0000000430001,-16.366666611 62.0000000430001,-16.3499999439999 62.0000000430001,-16.3333332779999 62.0000000430001,-16.316666611 62.0000000430001,-16.299999944 62.0000000430001,-16.2833332779999 62.0000000430001,-16.2666666109999 62.0000000430001,-16.249999944 62.0000000430001,-16.2333332769999 62.0000000430001,-16.2166666109999 62.0000000430001,-16.199999944 62.0000000430001,-16.183333277 62.0000000430001,-16.166666611 62.0000000430001,-16.1499999439999 62.0000000430001,-16.133333277 62.0000000430001,-16.116666611 62.0000000430001,-16.0999999439999 62.0000000430001,-16.083333277 62.0000000430001,-16.066666611 62.0000000430001,-16.049999944 62.0000000430001,-16.0333332769999 62.0000000430001,-16.0166666109999 62.0000000430001,-15.999999944 62.0000000430001,-15.9833332769999 62.0000000430001,-15.9666666109999 62.0000000430001,-15.949999944 62.0000000430001,-15.933333277 62.0000000430001,-15.9166666099999 62.0000000430001,-15.8999999439999 62.0000000430001,-15.883333277 62.0000000430001,-15.86666661 62.0000000430001,-15.8499999439999 62.0000000430001,-15.833333277 62.0000000430001,-15.81666661 62.0000000430001,-15.799999944 62.0000000430001,-15.7833332769999 62.0000000430001,-15.76666661 62.0000000430001,-15.749999944 62.0000000430001,-15.7333332769999 62.0000000430001,-15.7166666099999 62.0000000430001,-15.699999944 62.0000000430001,-15.683333277 62.0000000430001,-15.6666666099999 62.0000000430001,-15.6499999439999 62.0000000430001,-15.633333277 62.0000000430001,-15.61666661 62.0000000430001,-15.5999999439999 62.0000000430001,-15.583333277 62.0000000430001,-15.56666661 62.0000000430001,-15.5499999429999 62.0000000430001,-15.5333332769999 62.0000000430001,-15.51666661 62.0000000430001,-15.499999943 62.0000000430001,-15.4833332769999 62.0000000430001,-15.4666666099999 62.0000000430001,-15.449999943 62.0000000430001,-15.433333277 62.0000000430001,-15.4166666099999 62.0000000430001,-15.399999943 62.0000000430001,-15.383333277 62.0000000430001,-15.36666661 62.0000000430001,-15.3499999429999 62.0000000430001,-15.333333277 62.0000000430001,-15.31666661 62.0000000430001,-15.2999999429999 62.0000000430001,-15.2833332769999 62.0000000430001,-15.26666661 62.0000000430001,-15.249999943 62.0000000430001,-15.2333332769999 62.0000000430001,-15.2166666099999 62.0000000430001,-15.199999943 62.0000000430001,-15.1833332759999 62.0000000430001,-15.1666666099999 62.0000000430001,-15.149999943 62.0000000430001,-15.133333276 62.0000000430001,-15.11666661 62.0000000430001,-15.0999999429999 62.0000000430001,-15.083333276 62.0000000430001,-15.06666661 62.0000000430001,-15.0499999429999 62.0000000430001,-15.033333276 62.0000000430001,-15.01666661 62.0000000430001,-14.999999966 62.0000000430001,-14.999999943 61.983406637,-14.999999943 61.9668132300001,-14.999999943 61.950219824,-14.999999943 61.933626417,-14.999999943 61.9170330100001,-14.999999943 61.900439604,-14.999999943 61.8838461970001,-14.999999943 61.8672527900001,-14.999999943 61.850659384,-14.999999943 61.8340659770001,-14.999999943 61.8174725710001,-14.999999943 61.800879164,-14.999999943 61.7842857570001,-14.999999943 61.7676923510001,-14.999999943 61.751098944,-14.999999943 61.7345055380001,-14.999999943 61.717912131,-14.999999943 61.701318724,-14.999999943 61.6847253180001,-14.999999943 61.668131911,-14.999999943 61.6515385050001,-14.999999943 61.6349450980001,-14.999999943 61.618351691,-14.999999943 61.6017582850001,-14.999999943 61.5851648780001,-14.999999943 61.568571472,-14.999999943 61.5519780650001,-14.999999943 61.5353846580001,-14.999999943 61.518791252,-14.999999943 61.5021978450001,-14.999999943 61.4856044380001,-14.999999943 61.4690110320001,-14.999999943 61.4524176250001,-14.999999943 61.435824219,-14.999999943 61.4192308120001,-14.999999943 61.4026374050001,-14.999999943 61.386043999,-14.999999943 61.3694505920001,-14.999999943 61.3528571860001,-14.999999943 61.336263779,-14.999999943 61.3196703720001,-14.999999943 61.303076966,-14.999999943 61.286483559,-14.999999943 61.2698901530001,-14.999999943 61.253296746,-14.999999943 61.236703339,-14.999999943 61.2201099330001,-14.999999943 61.203516526,-14.999999943 61.1869231200001,-14.999999943 61.1703297130001,-14.999999943 61.153736306,-14.999999943 61.1371429000001,-14.999999943 61.1205494930001,-14.999999943 61.103956086,-14.999999943 61.0873626800001,-14.999999943 61.0707692730001,-14.999999943 61.0541758670001,-14.999999943 61.0375824600001,-14.999999943 61.0209890530001,-14.999999943 61.0043956470001,-14.999999943 60.9878022400001,-14.999999943 60.971208834,-14.999999943 60.9546154270001,-14.999999943 60.9380220200001,-14.999999943 60.921428614,-14.999999943 60.9048352070001,-14.999999943 60.888241801,-14.999999943 60.871648394,-14.999999943 60.8550549870001,-14.999999943 60.838461581,-14.999999943 60.821868174,-14.999999943 60.8052747680001,-14.999999943 60.788681361,-14.999999943 60.772087954,-14.999999943 60.7554945480001,-14.999999943 60.738901141,-14.999999943 60.7223077340001,-14.999999943 60.7057143280001,-14.999999943 60.689120921,-14.999999943 60.6725275150001,-14.999999943 60.6559341080001,-14.999999943 60.639340701,-14.999999943 60.6227472950001,-14.999999943 60.6061538880001,-14.999999943 60.5895604820001,-14.999999943 60.5729670750001,-14.999999943 60.556373668,-14.999999943 60.5397802620001,-14.999999943 60.5231868550001,-14.999999943 60.506593449,-14.9999999999999 60.4900000100001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.XII', 'North of Azores', '27.XII', '27.XII.a', 'Southern mid-Atlantic Ridge', '27.XIIa', '27.XII.a.4', 'Subdivision XIIa4 Non-NEAFC Regulatory Area', '27.XIIa4', '', '', '', '', 'XIIa4', '4', '27.12.a.4', '27.XIIa4', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999949999 66.2500000000001,-43.999999993 66.1699981690001,-43.999999992 65.369995117,-43.999999992 65.0500030520001,-43.999999991 64.569999695,-43.999999993 64.2500000000001,-49.349998474 64.2500000000001,-49.599998474 65.319999695,-51.130001068 65.3499984740001,-51.1199989319999 64.9700012210001,-51.939998627 64.2500000000001,-52.0442390439999 64.2500000000001,-52.099998474 64.2500000000001,-52.133335113 64.2500000000001,-52.1666679379999 64.2500000000001,-52.2000007629999 64.2500000000001,-52.2333335879999 64.2500000000001,-52.2666664119999 64.2500000000001,-52.299999237 64.2500000000001,-52.333332062 64.2500000000001,-52.366664886 64.2500000000001,-52.400001526 64.2500000000001,-52.433334351 64.2500000000001,-52.4666671749999 64.2500000000001,-52.4999999999999 64.2500000000001,-52.5333328249999 64.2500000000001,-52.566665649 64.2500000000001,-52.599998474 64.2500000000001,-52.633335114 64.2500000000001,-52.6666679379999 64.2500000000001,-52.7000007629999 64.2500000000001,-52.7333335869999 64.2500000000001,-52.7666664119999 64.2500000000001,-52.799999237 64.2500000000001,-52.833332062 64.2500000000001,-52.866664886 64.2500000000001,-52.900001526 64.2500000000001,-52.9333343499999 64.2500000000001,-52.9666671749999 64.2500000000001,-52.9999999999999 64.2500000000001,-53.0333328249999 64.2500000000001,-53.066665649 64.2500000000001,-53.099998474 64.2500000000001,-53.133335113 64.2500000000001,-53.1666679379999 64.2500000000001,-53.2000007629999 64.2500000000001,-53.2333335879999 64.2500000000001,-53.2666664119999 64.2500000000001,-53.299999237 64.2500000000001,-53.333332062 64.2500000000001,-53.366664886 64.2500000000001,-53.400001526 64.2500000000001,-53.433334351 64.2500000000001,-53.4666671749999 64.2500000000001,-53.4999999999999 64.2500000000001,-53.533332824 64.2500000000001,-53.566665649 64.2500000000001,-53.599998474 64.2500000000001,-53.633335114 64.2500000000001,-53.6666679379999 64.2500000000001,-53.7000007629999 64.2500000000001,-53.7333335869999 64.2500000000001,-53.7666664119999 64.2500000000001,-53.799999237 64.2500000000001,-53.833332062 64.2500000000001,-53.866664886 64.2500000000001,-53.900001526 64.2500000000001,-53.9333343499999 64.2500000000001,-53.9666671749999 64.2500000000001,-53.9999999999999 64.2500000000001,-54.0333328249999 64.2500000000001,-54.066665649 64.2500000000001,-54.099998474 64.2500000000001,-54.133335113 64.2500000000001,-54.1666679379999 64.2500000000001,-54.2000007629999 64.2500000000001,-54.2333335879999 64.2500000000001,-54.2666664119999 64.2500000000001,-54.299999237 64.2500000000001,-54.333332062 64.2500000000001,-54.366664886 64.2500000000001,-54.400001526 64.2500000000001,-54.433334351 64.2500000000001,-54.4666671749999 64.2500000000001,-54.4999999999999 64.2500000000001,-54.533332824 64.2500000000001,-54.566665649 64.2500000000001,-54.599998474 64.2500000000001,-54.633335114 64.2500000000001,-54.6666679379999 64.2500000000001,-54.7000007629999 64.2500000000001,-54.7333335869999 64.2500000000001,-54.7666664119999 64.2500000000001,-54.799999237 64.2500000000001,-54.833332062 64.2500000000001,-54.866664886 64.2500000000001,-54.900001526 64.2500000000001,-54.9333343499999 64.2500000000001,-54.9666671749999 64.2500000000001,-54.9999999999999 64.2500000000001,-55.0333328249999 64.2500000000001,-55.066665649 64.2500000000001,-55.099998474 64.2500000000001,-55.133335113 64.2500000000001,-55.1666679379999 64.2500000000001,-55.2000007629999 64.2500000000001,-55.2333335879999 64.2500000000001,-55.2666664119999 64.2500000000001,-55.299999237 64.2500000000001,-55.333332061 64.2500000000001,-55.366664886 64.2500000000001,-55.400001526 64.2500000000001,-55.433334351 64.2500000000001,-55.4666671749999 64.2500000000001,-55.4999999999999 64.2500000000001,-55.533332824 64.2500000000001,-55.566665649 64.2500000000001,-55.599998474 64.2500000000001,-55.633335114 64.2500000000001,-55.6666679379999 64.2500000000001,-55.7000007629999 64.2500000000001,-55.7333335869999 64.2500000000001,-55.7666664119999 64.2500000000001,-55.799999237 64.2500000000001,-55.833332062 64.2500000000001,-55.866664886 64.2500000000001,-55.900001526 64.2500000000001,-55.9333343499999 64.2500000000001,-55.9666671749999 64.2500000000001,-55.9999999999999 64.2500000000001,-56.0333328249999 64.2500000000001,-56.066665649 64.2500000000001,-56.099998474 64.2500000000001,-56.133335113 64.2500000000001,-56.1666679379999 64.2500000000001,-56.2000007629999 64.2500000000001,-56.2333335879999 64.2500000000001,-56.2666664119999 64.2500000000001,-56.299999237 64.2500000000001,-56.333332061 64.2500000000001,-56.366664886 64.2500000000001,-56.400001526 64.2500000000001,-56.433334351 64.2500000000001,-56.4666671749999 64.2500000000001,-56.4999999999999 64.2500000000001,-56.533332824 64.2500000000001,-56.566665649 64.2500000000001,-56.599998474 64.2500000000001,-56.633335114 64.2500000000001,-56.6666679379999 64.2500000000001,-56.7000007629999 64.2500000000001,-56.7333335869999 64.2500000000001,-56.7666664119999 64.2500000000001,-56.799999237 64.2500000000001,-56.833332062 64.2500000000001,-56.866664886 64.2500000000001,-56.900001526 64.2500000000001,-56.9333343499999 64.2500000000001,-56.9666671749999 64.2500000000001,-56.9999999999999 64.2500000000001,-57.0333328249999 64.2500000000001,-57.066665649 64.2500000000001,-57.099998474 64.2500000000001,-57.133335113 64.2500000000001,-57.1666679379999 64.2500000000001,-57.2000007629999 64.2500000000001,-57.2333335879999 64.2500000000001,-57.2666664119999 64.2500000000001,-57.299999237 64.2500000000001,-57.333332061 64.2500000000001,-57.366664886 64.2500000000001,-57.400001526 64.2500000000001,-57.433334351 64.2500000000001,-57.4666671749999 64.2500000000001,-57.4999999999999 64.2500000000001,-57.533332824 64.2500000000001,-57.566665649 64.2500000000001,-57.599998474 64.2500000000001,-57.633335114 64.2500000000001,-57.6666679379999 64.2500000000001,-57.7000007629999 64.2500000000001,-57.7333335869999 64.2500000000001,-57.799884796 64.2500000000001,-57.799438476 64.2560806270001,-57.7981338499999 64.273666382,-57.796829224 64.291244507,-57.7955245969999 64.3088302610001,-57.7942161559999 64.3264160160001,-57.792907715 64.3439941410001,-57.791599274 64.361579895,-57.790287017 64.37915802,-57.7889709469999 64.3967437750001,-57.7876586909999 64.414329529,-57.7863388059999 64.431907654,-57.785018921 64.4494934090001,-57.783699036 64.4670715340001,-57.7823791499999 64.4846572880001,-57.781055451 64.5022354130001,-57.779727935 64.519821167,-57.778400421 64.537399292,-57.7770729069999 64.5549850460001,-57.775741577 64.5725631710001,-57.774406433 64.5901489250001,-57.773075104 64.6077270500001,-57.771736145 64.6253128050001,-57.770401001 64.6428909300001,-57.769062042 64.6604766840001,-57.7677192689999 64.6780548090001,-57.766376495 64.695640564,-57.765029907 64.713218689,-57.7636833189999 64.7308044430001,-57.7623367309999 64.7483825680001,-57.7609863279999 64.7659606930001,-57.759635926 64.783546448,-57.758281708 64.801124573,-57.7569274909999 64.8187103270001,-57.755569458 64.8362884520001,-57.754211426 64.8538665770001,-57.752849579 64.871452332,-57.751487732 64.889030457,-57.75012207 64.906616211,-57.748756409 64.924194336,-57.7473907469999 64.941772461,-57.746021271 64.9593582150001,-57.744647979 64.9769363400001,-57.743274689 64.9945144650001,-57.741901398 65.012100219,-57.740524292 65.029678344,-57.739147186 65.047256469,-57.7377662659999 65.0648422240001,-57.736385346 65.0824203490001,-57.73500061 65.0999984740001,-57.733890533 65.1161117560001,-57.7327804569999 65.1322250370001,-57.731666564 65.148330689,-57.7344398499999 65.1633300780001,-57.737220764 65.1783370970001,-57.7400016779999 65.1933364870001,-57.74388504 65.209442139,-57.747772217 65.22555542,-57.7516670219999 65.241668701,-57.754577637 65.2566680910001,-57.757492065 65.2716674810001,-57.760410308 65.28666687,-57.763332367 65.30166626,-57.7603416439999 65.3190002440001,-57.757347107 65.336334229,-57.75434494 65.353668213,-57.751342774 65.3710021970001,-57.748332978 65.3883361810001,-57.7444190969999 65.4057617180001,-57.7405014029999 65.423179626,-57.736579895 65.440605164,-57.7326507559999 65.458030701,-57.72871399 65.475456238,-57.7247772219999 65.4928817750001,-57.7208328249999 65.5103073120001,-57.716880798 65.52772522,-57.712924957 65.545150757,-57.708965301 65.5625762940001,-57.7050018309999 65.5800018310001,-57.702781677 65.5961074830001,-57.700557709 65.612220764,-57.69833374 65.628334045,-57.696807861 65.6452560430001,-57.695278168 65.6621780400001,-57.693748474 65.6791000360001,-57.6922149649999 65.696029663,-57.690681458 65.712951661,-57.6891441339999 65.729873657,-57.687606811 65.746795654,-57.686065674 65.7637176520001,-57.684524536 65.780639648,-57.682979584 65.797561645,-57.6814308159999 65.8144912720001,-57.6798820499999 65.8314132690001,-57.678333282 65.848335266,-57.6766662599999 65.8616638180001,-57.6752815249999 65.8780517580001,-57.673896789 65.8944473270001,-57.67250824 65.910835266,-57.67111969 65.9272232050001,-57.6697273249999 65.943611145,-57.668334961 65.959999085,-57.666950226 65.9763870240001,-57.665561676 65.992774964,-57.664173126 66.009170532,-57.662784576 66.0255584720001,-57.661392212 66.0419464110001,-57.6599998469999 66.058334351,-57.657421112 66.075744629,-57.654838562 66.0931472780001,-57.652256012 66.1105575560001,-57.649665832 66.1279602050001,-57.647071839 66.1453704840001,-57.6444778439999 66.1627807620001,-57.641876221 66.18018341,-57.6392745969999 66.197593689,-57.636665345 66.214996338,-57.635559082 66.231391907,-57.634449005 66.2477798460001,-57.634300232 66.2500000000001,-57.599998474 66.2500000000001,-57.566665649 66.2500000000001,-57.533332824 66.2500000000001,-57.4999999999999 66.2500000000001,-57.4666671749999 66.2500000000001,-57.433334351 66.2500000000001,-57.400001526 66.2500000000001,-57.366664886 66.2500000000001,-57.333332061 66.2500000000001,-57.299999237 66.2500000000001,-57.2666664119999 66.2500000000001,-57.2333335879999 66.2500000000001,-57.2000007629999 66.2500000000001,-57.1666679379999 66.2500000000001,-57.133335113 66.2500000000001,-57.099998474 66.2500000000001,-57.066665649 66.2500000000001,-57.0333328249999 66.2500000000001,-56.9999999999999 66.2500000000001,-56.9666671749999 66.2500000000001,-56.9333343499999 66.2500000000001,-56.900001526 66.2500000000001,-56.866664886 66.2500000000001,-56.833332062 66.2500000000001,-56.799999237 66.2500000000001,-56.7666664119999 66.2500000000001,-56.7333335869999 66.2500000000001,-56.7000007629999 66.2500000000001,-56.6666679379999 66.2500000000001,-56.633335114 66.2500000000001,-56.599998474 66.2500000000001,-56.566665649 66.2500000000001,-56.533332824 66.2500000000001,-56.4999999999999 66.2500000000001,-56.4666671749999 66.2500000000001,-56.433334351 66.2500000000001,-56.400001526 66.2500000000001,-56.366664886 66.2500000000001,-56.333332061 66.2500000000001,-56.299999237 66.2500000000001,-56.2666664119999 66.2500000000001,-56.2333335879999 66.2500000000001,-56.2000007629999 66.2500000000001,-56.1666679379999 66.2500000000001,-56.133335113 66.2500000000001,-56.099998474 66.2500000000001,-56.066665649 66.2500000000001,-56.0333328249999 66.2500000000001,-55.9999999999999 66.2500000000001,-55.9666671749999 66.2500000000001,-55.9333343499999 66.2500000000001,-55.900001526 66.2500000000001,-55.866664886 66.2500000000001,-55.833332062 66.2500000000001,-55.799999237 66.2500000000001,-55.7666664119999 66.2500000000001,-55.7333335869999 66.2500000000001,-55.7000007629999 66.2500000000001,-55.6666679379999 66.2500000000001,-55.633335114 66.2500000000001,-55.599998474 66.2500000000001,-55.566665649 66.2500000000001,-55.533332824 66.2500000000001,-55.4999999999999 66.2500000000001,-55.4666671749999 66.2500000000001,-55.433334351 66.2500000000001,-55.400001526 66.2500000000001,-55.366664886 66.2500000000001,-55.333332061 66.2500000000001,-55.299999237 66.2500000000001,-55.2666664119999 66.2500000000001,-55.2333335879999 66.2500000000001,-55.2000007629999 66.2500000000001,-55.1666679379999 66.2500000000001,-55.133335113 66.2500000000001,-55.099998474 66.2500000000001,-55.066665649 66.2500000000001,-55.0333328249999 66.2500000000001,-54.9999999999999 66.2500000000001,-54.9666671749999 66.2500000000001,-54.9333343499999 66.2500000000001,-54.900001526 66.2500000000001,-54.866664886 66.2500000000001,-54.833332062 66.2500000000001,-54.799999237 66.2500000000001,-54.7666664119999 66.2500000000001,-54.7333335869999 66.2500000000001,-54.7000007629999 66.2500000000001,-54.6666679379999 66.2500000000001,-54.633335114 66.2500000000001,-54.599998474 66.2500000000001,-54.566665649 66.2500000000001,-54.533332824 66.2500000000001,-54.4999999999999 66.2500000000001,-54.4666671749999 66.2500000000001,-54.433334351 66.2500000000001,-54.400001526 66.2500000000001,-54.366664886 66.2500000000001,-54.333332062 66.2500000000001,-54.299999237 66.2500000000001,-54.2666664119999 66.2500000000001,-54.2333335879999 66.2500000000001,-54.2000007629999 66.2500000000001,-54.1666679379999 66.2500000000001,-54.133335113 66.2500000000001,-54.099998474 66.2500000000001,-54.066665649 66.2500000000001,-54.0333328249999 66.2500000000001,-53.9999999999999 66.2500000000001,-53.9666671749999 66.2500000000001,-53.9333343499999 66.2500000000001,-53.900001526 66.2500000000001,-53.866664886 66.2500000000001,-53.833332062 66.2500000000001,-53.799999237 66.2500000000001,-53.7666664119999 66.2500000000001,-53.7333335869999 66.2500000000001,-53.7000007629999 66.2500000000001,-53.6666679379999 66.2500000000001,-53.633335114 66.2500000000001,-53.612768366 66.2500000000001,-53.596952256 66.2453868380001,-53.545986118 66.2500000000001,-53.4129646759999 66.2881293890001,-53.323005936 66.2992201930001,-53.191148605 66.3312602920001,-53.064067235 66.3531015990001,-52.971054905 66.387159963,-52.38999939 66.489997864,-52.122303911 66.615275167,-51.663499439 67.005744882,-50.841476165 67.084032812,-50.2934606489999 67.0318408580001,-47.9999999999999 66.2500000000001,-43.9999999949999 66.2500000000001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.1', '', '21.1', '21.1.C', '', '21.1C', '', '', '', '', '', '', '', '1C', '3', '21.1.C', '21.1C', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.999999993 64.2500000000001,-43.9999999889999 63.7699966430001,-43.999999988 63.2999992370001,-43.999999988 62.9699974060001,-43.9999999899999 62.5000000000001,-50.03710556 62.5000000000001,-50.366664886 62.5000000000001,-50.400001526 62.5000000000001,-50.433334351 62.5000000000001,-50.4666671749999 62.5000000000001,-50.4999999999999 62.5000000000001,-50.5333328249999 62.5000000000001,-50.566665649 62.5000000000001,-50.599998474 62.5000000000001,-50.633335114 62.5000000000001,-50.6666679379999 62.5000000000001,-50.7000007629999 62.5000000000001,-50.7333335879999 62.5000000000001,-50.7666664119999 62.5000000000001,-50.799999237 62.5000000000001,-50.833332062 62.5000000000001,-50.866664886 62.5000000000001,-50.900001526 62.5000000000001,-50.933334351 62.5000000000001,-50.9666671749999 62.5000000000001,-50.9999999999999 62.5000000000001,-51.0333328249999 62.5000000000001,-51.066665649 62.5000000000001,-51.099998474 62.5000000000001,-51.133335114 62.5000000000001,-51.1666679379999 62.5000000000001,-51.2000007629999 62.5000000000001,-51.2333335879999 62.5000000000001,-51.2666664119999 62.5000000000001,-51.299999237 62.5000000000001,-51.333332062 62.5000000000001,-51.366664886 62.5000000000001,-51.400001526 62.5000000000001,-51.433334351 62.5000000000001,-51.4666671749999 62.5000000000001,-51.4999999999999 62.5000000000001,-51.5333328249999 62.5000000000001,-51.566665649 62.5000000000001,-51.599998474 62.5000000000001,-51.633335114 62.5000000000001,-51.6666679379999 62.5000000000001,-51.7000007629999 62.5000000000001,-51.7333335879999 62.5000000000001,-51.7666664119999 62.5000000000001,-51.799999237 62.5000000000001,-51.833332062 62.5000000000001,-51.866664886 62.5000000000001,-51.900001526 62.5000000000001,-51.933334351 62.5000000000001,-51.9666671749999 62.5000000000001,-51.9999999999999 62.5000000000001,-52.0333328249999 62.5000000000001,-52.066665649 62.5000000000001,-52.099998474 62.5000000000001,-52.133335114 62.5000000000001,-52.1666679379999 62.5000000000001,-52.2000007629999 62.5000000000001,-52.2333335879999 62.5000000000001,-52.2666664119999 62.5000000000001,-52.299999237 62.5000000000001,-52.333332062 62.5000000000001,-52.366664886 62.5000000000001,-52.400001526 62.5000000000001,-52.433334351 62.5000000000001,-52.4666671749999 62.5000000000001,-52.4999999999999 62.5000000000001,-52.5333328249999 62.5000000000001,-52.566665649 62.5000000000001,-52.599998474 62.5000000000001,-52.633335114 62.5000000000001,-52.6666679379999 62.5000000000001,-52.7000007629999 62.5000000000001,-52.7333335879999 62.5000000000001,-52.7666664119999 62.5000000000001,-52.799999237 62.5000000000001,-52.833332062 62.5000000000001,-52.866664886 62.5000000000001,-52.900001526 62.5000000000001,-52.933334351 62.5000000000001,-52.9666671749999 62.5000000000001,-52.9999999999999 62.5000000000001,-53.0333328249999 62.5000000000001,-53.066665649 62.5000000000001,-53.099998474 62.5000000000001,-53.133335114 62.5000000000001,-53.1666679379999 62.5000000000001,-53.2000007629999 62.5000000000001,-53.2333335879999 62.5000000000001,-53.2666664119999 62.5000000000001,-53.299999237 62.5000000000001,-53.333332062 62.5000000000001,-53.366664886 62.5000000000001,-53.400001526 62.5000000000001,-53.433334351 62.5000000000001,-53.4666671749999 62.5000000000001,-53.4999999999999 62.5000000000001,-53.5333328249999 62.5000000000001,-53.566665649 62.5000000000001,-53.599998474 62.5000000000001,-53.633335114 62.5000000000001,-53.6666679379999 62.5000000000001,-53.7000007629999 62.5000000000001,-53.7333335879999 62.5000000000001,-53.7666664119999 62.5000000000001,-53.799999237 62.5000000000001,-53.833332062 62.5000000000001,-53.866664886 62.5000000000001,-53.900001526 62.5000000000001,-53.933334351 62.5000000000001,-53.9666671749999 62.5000000000001,-53.9999999999999 62.5000000000001,-54.0333328249999 62.5000000000001,-54.066665649 62.5000000000001,-54.099998474 62.5000000000001,-54.133335114 62.5000000000001,-54.1666679379999 62.5000000000001,-54.2000007629999 62.5000000000001,-54.2333335879999 62.5000000000001,-54.2666664119999 62.5000000000001,-54.299999237 62.5000000000001,-54.333332062 62.5000000000001,-54.366664886 62.5000000000001,-54.400001526 62.5000000000001,-54.433334351 62.5000000000001,-54.4666671749999 62.5000000000001,-54.4999999999999 62.5000000000001,-54.5333328249999 62.5000000000001,-54.566665649 62.5000000000001,-54.599998474 62.5000000000001,-54.633335114 62.5000000000001,-54.6666679379999 62.5000000000001,-54.7000007629999 62.5000000000001,-54.7333335879999 62.5000000000001,-54.7666664119999 62.5000000000001,-54.799999237 62.5000000000001,-54.833332062 62.5000000000001,-54.866664886 62.5000000000001,-54.900001526 62.5000000000001,-54.933334351 62.5000000000001,-54.9666671749999 62.5000000000001,-54.9999999999999 62.5000000000001,-55.0333328249999 62.5000000000001,-55.066665649 62.5000000000001,-55.099998474 62.5000000000001,-55.133335114 62.5000000000001,-55.1666679379999 62.5000000000001,-55.2000007629999 62.5000000000001,-55.2333335879999 62.5000000000001,-55.2666664119999 62.5000000000001,-55.299999237 62.5000000000001,-55.333332062 62.5000000000001,-55.366664886 62.5000000000001,-55.400001526 62.5000000000001,-55.433334351 62.5000000000001,-55.4666671749999 62.5000000000001,-55.4999999999999 62.5000000000001,-55.5333328249999 62.5000000000001,-55.566665649 62.5000000000001,-55.599998474 62.5000000000001,-55.633335114 62.5000000000001,-55.6666679379999 62.5000000000001,-55.7000007629999 62.5000000000001,-55.7333335879999 62.5000000000001,-55.7666664119999 62.5000000000001,-55.799999237 62.5000000000001,-55.833332062 62.5000000000001,-55.866664886 62.5000000000001,-55.900001526 62.5000000000001,-55.933334351 62.5000000000001,-55.9666671749999 62.5000000000001,-55.9999999999999 62.5000000000001,-56.0333328249999 62.5000000000001,-56.066665649 62.5000000000001,-56.099998474 62.5000000000001,-56.133335114 62.5000000000001,-56.1666679379999 62.5000000000001,-56.2000007629999 62.5000000000001,-56.2333335879999 62.5000000000001,-56.2666664119999 62.5000000000001,-56.299999237 62.5000000000001,-56.333332062 62.5000000000001,-56.366664886 62.5000000000001,-56.400001526 62.5000000000001,-56.433334351 62.5000000000001,-56.4666671749999 62.5000000000001,-56.4999999999999 62.5000000000001,-56.5333328249999 62.5000000000001,-56.566665649 62.5000000000001,-56.599998474 62.5000000000001,-56.633335114 62.5000000000001,-56.6666679379999 62.5000000000001,-56.7000007629999 62.5000000000001,-56.7333335879999 62.5000000000001,-56.7666664119999 62.5000000000001,-56.799999237 62.5000000000001,-56.833332062 62.5000000000001,-56.866664886 62.5000000000001,-56.900001526 62.5000000000001,-56.933334351 62.5000000000001,-56.9666671749999 62.5000000000001,-56.9999999999999 62.5000000000001,-57.0333328249999 62.5000000000001,-57.066665649 62.5000000000001,-57.099998474 62.5000000000001,-57.133335114 62.5000000000001,-57.1666679379999 62.5000000000001,-57.2000007629999 62.5000000000001,-57.2333335879999 62.5000000000001,-57.2666664119999 62.5000000000001,-57.299999237 62.5000000000001,-57.333332062 62.5000000000001,-57.366664886 62.5000000000001,-57.400001526 62.5000000000001,-57.433334351 62.5000000000001,-57.5567436219999 62.5000000000001,-57.559688568 62.5067329410001,-57.56734848 62.524230957,-57.575019836 62.541732788,-57.582695007 62.559230804,-57.5903816219999 62.5767288210001,-57.5980796809999 62.5942268370001,-57.605781555 62.611721039,-57.6134986879999 62.6292190550001,-57.6212196349999 62.646713257,-57.628952026 62.664211273,-57.6366920469999 62.6817054750001,-57.644443512 62.6991996770001,-57.6522026059999 62.7166938780001,-57.659973145 62.7341880800001,-57.667751312 62.7516822810001,-57.6755371089999 62.7691726680001,-57.6833343499999 62.78666687,-57.691215515 62.8041267400001,-57.699108124 62.821582795,-57.707008362 62.839042664,-57.714916229 62.8564987190001,-57.7228355409999 62.8739585880001,-57.730766296 62.891414642,-57.7387046809999 62.9088706970001,-57.746650696 62.9263267520001,-57.754608154 62.943782807,-57.762573242 62.9612350460001,-57.770549774 62.978691101,-57.7785377499999 62.996143341,-57.7865333559999 63.0135993960001,-57.79453659 63.031051636,-57.80255127 63.048503876,-57.8105735779999 63.065952301,-57.81860733 63.083404541,-57.826652526 63.1008567810001,-57.8347053529999 63.1183052060001,-57.842765808 63.1357574460001,-57.850837708 63.1532058720001,-57.858921051 63.1706542970001,-57.867012023 63.1881027220001,-57.8751144409999 63.2055511470001,-57.8832244869999 63.222999573,-57.8913459779999 63.2404441840001,-57.899475098 63.2578887940001,-57.907615661 63.2753372190001,-57.9157676689999 63.2927818300001,-57.923927307 63.3102264410001,-57.932098389 63.327671051,-57.940277099 63.3451156620001,-57.948467255 63.362556458,-57.956665039 63.3800010680001,-57.963039398 63.396110535,-57.9694175719999 63.4122238160001,-57.97579956 63.428333282,-57.982192993 63.444446564,-57.988594055 63.4605560300001,-57.994998932 63.4766654970001,-58.000457764 63.4919052120001,-58.0059242249999 63.5071449280001,-58.011394501 63.522380829,-58.0168685909999 63.537620545,-58.022350311 63.5528564460001,-58.027839661 63.568096161,-58.0333328249999 63.5833320620001,-58.028892517 63.5955543520001,-58.024448395 63.607776642,-58.020000458 63.619998932,-58.014305115 63.6364288330001,-58.008605957 63.6528587340001,-58.002895355 63.669288635,-57.997180939 63.6857147220001,-57.991462708 63.702144623,-57.985733032 63.7185707090001,-57.979999542 63.73500061,-57.975566864 63.751667023,-57.971130371 63.768333435,-57.966690063 63.7849998470001,-57.962242126 63.80166626,-57.9577903749999 63.8183326720001,-57.953334808 63.834999085,-57.950004577 63.848888398,-57.946670532 63.86277771,-57.9433326719999 63.876667023,-57.9330253599999 63.8926696780001,-57.922702789 63.9086685180001,-57.912368774 63.9246673580001,-57.902023315 63.940670013,-57.8916664119999 63.956665039,-57.881225586 63.9730987550001,-57.87077713 63.9895286560001,-57.860313415 64.005958557,-57.849834442 64.0223846440001,-57.839347839 64.0388107300001,-57.828845977 64.055236817,-57.8183326719999 64.0716629030001,-57.816467285 64.0881271370001,-57.814598083 64.1045837400001,-57.812725067 64.1210403440001,-57.810852051 64.137496948,-57.80897522 64.153961182,-57.807098389 64.170417786,-57.805217743 64.1868743900001,-57.803333282 64.2033309940001,-57.802036285 64.220916748,-57.800735474 64.2385025020001,-57.799884796 64.2500000000001,-57.7333335869999 64.2500000000001,-57.7000007629999 64.2500000000001,-57.6666679379999 64.2500000000001,-57.633335114 64.2500000000001,-57.599998474 64.2500000000001,-57.566665649 64.2500000000001,-57.533332824 64.2500000000001,-57.4999999999999 64.2500000000001,-57.4666671749999 64.2500000000001,-57.433334351 64.2500000000001,-57.400001526 64.2500000000001,-57.366664886 64.2500000000001,-57.333332061 64.2500000000001,-57.299999237 64.2500000000001,-57.2666664119999 64.2500000000001,-57.2333335879999 64.2500000000001,-57.2000007629999 64.2500000000001,-57.1666679379999 64.2500000000001,-57.133335113 64.2500000000001,-57.099998474 64.2500000000001,-57.066665649 64.2500000000001,-57.0333328249999 64.2500000000001,-56.9999999999999 64.2500000000001,-56.9666671749999 64.2500000000001,-56.9333343499999 64.2500000000001,-56.900001526 64.2500000000001,-56.866664886 64.2500000000001,-56.833332062 64.2500000000001,-56.799999237 64.2500000000001,-56.7666664119999 64.2500000000001,-56.7333335869999 64.2500000000001,-56.7000007629999 64.2500000000001,-56.6666679379999 64.2500000000001,-56.633335114 64.2500000000001,-56.599998474 64.2500000000001,-56.566665649 64.2500000000001,-56.533332824 64.2500000000001,-56.4999999999999 64.2500000000001,-56.4666671749999 64.2500000000001,-56.433334351 64.2500000000001,-56.400001526 64.2500000000001,-56.366664886 64.2500000000001,-56.333332061 64.2500000000001,-56.299999237 64.2500000000001,-56.2666664119999 64.2500000000001,-56.2333335879999 64.2500000000001,-56.2000007629999 64.2500000000001,-56.1666679379999 64.2500000000001,-56.133335113 64.2500000000001,-56.099998474 64.2500000000001,-56.066665649 64.2500000000001,-56.0333328249999 64.2500000000001,-55.9999999999999 64.2500000000001,-55.9666671749999 64.2500000000001,-55.9333343499999 64.2500000000001,-55.900001526 64.2500000000001,-55.866664886 64.2500000000001,-55.833332062 64.2500000000001,-55.799999237 64.2500000000001,-55.7666664119999 64.2500000000001,-55.7333335869999 64.2500000000001,-55.7000007629999 64.2500000000001,-55.6666679379999 64.2500000000001,-55.633335114 64.2500000000001,-55.599998474 64.2500000000001,-55.566665649 64.2500000000001,-55.533332824 64.2500000000001,-55.4999999999999 64.2500000000001,-55.4666671749999 64.2500000000001,-55.433334351 64.2500000000001,-55.400001526 64.2500000000001,-55.366664886 64.2500000000001,-55.333332061 64.2500000000001,-55.299999237 64.2500000000001,-55.2666664119999 64.2500000000001,-55.2333335879999 64.2500000000001,-55.2000007629999 64.2500000000001,-55.1666679379999 64.2500000000001,-55.133335113 64.2500000000001,-55.099998474 64.2500000000001,-55.066665649 64.2500000000001,-55.0333328249999 64.2500000000001,-54.9999999999999 64.2500000000001,-54.9666671749999 64.2500000000001,-54.9333343499999 64.2500000000001,-54.900001526 64.2500000000001,-54.866664886 64.2500000000001,-54.833332062 64.2500000000001,-54.799999237 64.2500000000001,-54.7666664119999 64.2500000000001,-54.7333335869999 64.2500000000001,-54.7000007629999 64.2500000000001,-54.6666679379999 64.2500000000001,-54.633335114 64.2500000000001,-54.599998474 64.2500000000001,-54.566665649 64.2500000000001,-54.533332824 64.2500000000001,-54.4999999999999 64.2500000000001,-54.4666671749999 64.2500000000001,-54.433334351 64.2500000000001,-54.400001526 64.2500000000001,-54.366664886 64.2500000000001,-54.333332062 64.2500000000001,-54.299999237 64.2500000000001,-54.2666664119999 64.2500000000001,-54.2333335879999 64.2500000000001,-54.2000007629999 64.2500000000001,-54.1666679379999 64.2500000000001,-54.133335113 64.2500000000001,-54.099998474 64.2500000000001,-54.066665649 64.2500000000001,-54.0333328249999 64.2500000000001,-53.9999999999999 64.2500000000001,-53.9666671749999 64.2500000000001,-53.9333343499999 64.2500000000001,-53.900001526 64.2500000000001,-53.866664886 64.2500000000001,-53.833332062 64.2500000000001,-53.799999237 64.2500000000001,-53.7666664119999 64.2500000000001,-53.7333335869999 64.2500000000001,-53.7000007629999 64.2500000000001,-53.6666679379999 64.2500000000001,-53.633335114 64.2500000000001,-53.599998474 64.2500000000001,-53.566665649 64.2500000000001,-53.533332824 64.2500000000001,-53.4999999999999 64.2500000000001,-53.4666671749999 64.2500000000001,-53.433334351 64.2500000000001,-53.400001526 64.2500000000001,-53.366664886 64.2500000000001,-53.333332062 64.2500000000001,-53.299999237 64.2500000000001,-53.2666664119999 64.2500000000001,-53.2333335879999 64.2500000000001,-53.2000007629999 64.2500000000001,-53.1666679379999 64.2500000000001,-53.133335113 64.2500000000001,-53.099998474 64.2500000000001,-53.066665649 64.2500000000001,-53.0333328249999 64.2500000000001,-52.9999999999999 64.2500000000001,-52.9666671749999 64.2500000000001,-52.9333343499999 64.2500000000001,-52.900001526 64.2500000000001,-52.866664886 64.2500000000001,-52.833332062 64.2500000000001,-52.799999237 64.2500000000001,-52.7666664119999 64.2500000000001,-52.7333335869999 64.2500000000001,-52.7000007629999 64.2500000000001,-52.6666679379999 64.2500000000001,-52.633335114 64.2500000000001,-52.599998474 64.2500000000001,-52.566665649 64.2500000000001,-52.5333328249999 64.2500000000001,-52.4999999999999 64.2500000000001,-52.4666671749999 64.2500000000001,-52.433334351 64.2500000000001,-52.400001526 64.2500000000001,-52.366664886 64.2500000000001,-52.333332062 64.2500000000001,-52.299999237 64.2500000000001,-52.2666664119999 64.2500000000001,-52.2333335879999 64.2500000000001,-52.2000007629999 64.2500000000001,-52.1666679379999 64.2500000000001,-52.133335113 64.2500000000001,-52.099998474 64.2500000000001,-52.0442390439999 64.2500000000001,-51.939998627 64.2500000000001,-51.1199989319999 64.9700012210001,-51.130001068 65.3499984740001,-49.599998474 65.319999695,-49.349998474 64.2500000000001,-43.999999993 64.2500000000001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.1', '', '21.1', '21.1.D', '', '21.1D', '', '', '', '', '', '', '', '1D', '3', '21.1.D', '21.1D', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.23105207299994 50.0087029380001,-5.24399999999997 50.0000000000001,-5.26639993099997 50.0000000300001,-6.99998747799998 50.0000000320001,-6.99999995399997 50.000000023,-6.99999993599994 50.5000000160001,-5.99999996699995 50.500000033,-5.99999993499995 51.000000017,-4.99999996699995 51.000000033,-4.99999993399996 51.6103300340001,-4.99004021299993 51.641531699,-4.98603263399997 51.654086584,-4.87608763799994 51.7407493330001,-4.90186247799994 51.8862766490001,-4.80166671199993 51.8952326950001,-3.62958248999996 52.0000000000001,-2.95549879199996 52.060253291,-2.85823575899997 52.0000000000001,-2.33673222299996 51.6769347680001,-2.64316220599994 51.236441669,-2.78439040199993 51.033426137,-3.88089952099995 50.729233284,-4.22995326899996 50.632399019,-5.03200750599996 50.315307809,-5.16326585799993 50.2037382090001,-5.21853174699993 50.1567622040001,-5.23105207299994 50.0087029380001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VII', '', '27.VII', '27.VII.f', 'Bristol Channel', '27.VIIf', '', '', '', '', '', '', '', 'VIIf', '3', '27.7.f', '27.VIIf', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.000003809 89.99767554,-39.9999999999999 78.1703494830001,-39.9999999999999 78.1699988450001,-40.024536661 78.169999261,-40.799999237 78.1699981690001,-41.599998474 78.1699981690001,-42.400001526 78.1699981690001,-43.2000007629999 78.1699981690001,-43.9999999999999 78.166666031,-61.47609713 78.166664123,-72.903091431 78.166664123,-73.0666656499999 78.166664123,-73.099998474 78.166664123,-73.133331299 78.166664123,-73.166664123 78.166664123,-73.199996948 78.166664123,-73.233329773 78.166664123,-73.266670227 78.166664123,-73.300003052 78.166664123,-73.333335877 78.166664123,-73.366668701 78.166664123,-73.400001526 78.166664123,-73.4333343499999 78.166664123,-73.466667176 78.1666641240001,-73.4999999999999 78.166664123,-73.5333328249999 78.1666641240001,-73.566665649 78.1666641240001,-73.599998474 78.1666641240001,-73.600414761 78.1666641240001,-73.633331298 78.1666641240001,-73.666664124 78.1666641240001,-73.699996948 78.1666641240001,-73.733329773 78.1666641240001,-73.766670227 78.1666641240001,-73.800003052 78.1666641240001,-73.833335876 78.1666641240001,-73.866668702 78.1666641240001,-73.900001526 78.1666641240001,-73.933334351 78.1666641240001,-73.9666671749999 78.1666641240001,-73.9999999999999 78.1666641240001,-74.033332824 78.1666641240001,-74.0666656499999 78.1666641240001,-74.099998474 78.1666641240001,-74.133331299 78.1666641240001,-74.166664123 78.1666641240001,-74.199996948 78.1666641240001,-74.233329773 78.1666641240001,-74.266670227 78.1666641240001,-74.300003052 78.1666641240001,-74.333335877 78.1666641240001,-74.366668701 78.1666641240001,-74.400001526 78.1666641240001,-74.400098387 78.1666641240001,-74.4333343499999 78.1666641240001,-74.466667176 78.1666641240001,-74.4999999999999 78.1666641240001,-74.5333328249999 78.1666641240001,-74.566665649 78.1666641240001,-74.599998474 78.1666641240001,-74.633331299 78.1666641240001,-74.666664124 78.1666641240001,-74.699996948 78.1666641240001,-74.733329773 78.1666641240001,-74.766670227 78.1666641240001,-74.800003051 78.1666641240001,-74.833335876 78.1666641240001,-74.866668702 78.1666641240001,-74.900001526 78.1666641240001,-74.933334351 78.1666641240001,-74.9666671749999 78.1666641240001,-74.9999999999999 78.1666641240001,-75.0333328249999 78.1666641240001,-75.0666656499999 78.1666641240001,-75.099998474 78.1666641240001,-75.133331299 78.1666641240001,-75.166664123 78.1666641240001,-75.199996948 78.1666641240001,-75.20001877 78.1666641240001,-75.233329773 78.1666641240001,-75.266670227 78.1666641240001,-75.300003052 78.1666641240001,-75.333335877 78.1666641240001,-75.366668701 78.1666641240001,-75.400001526 78.1666641240001,-75.4333343499999 78.1666641240001,-75.466667176 78.1666641240001,-75.4999999999999 78.1666641240001,-75.5333328249999 78.1666641240001,-75.566665649 78.1666641240001,-75.599998474 78.1666641240001,-75.633331299 78.1666641240001,-75.666664124 78.1666641240001,-75.699996948 78.1666641240001,-75.733329773 78.1666641240001,-75.766670227 78.1666641240001,-75.800003051 78.1666641240001,-75.833335876 78.1666641240001,-75.866668702 78.1666641240001,-75.900001526 78.1666641240001,-75.933334351 78.1666641240001,-75.9666671749999 78.1666641240001,-75.999910363 78.1666641240001,-76.0333328249999 78.1666641240001,-76.0666656499999 78.1666641240001,-76.099998474 78.1666641240001,-76.133331299 78.1666641240001,-76.166664123 78.1666641240001,-76.199996948 78.1666641240001,-76.233329773 78.1666641240001,-76.266670227 78.1666641240001,-76.300003052 78.1666641240001,-76.333335876 78.1666641240001,-76.366668701 78.1666641240001,-76.400001526 78.1666641240001,-76.433334351 78.1666641240001,-76.466667176 78.1666641240001,-76.4999999999999 78.1666641240001,-76.652275085 78.1666641240001,-80.0001506519999 78.166664123,-79.9999999999999 77.8099975590001,-81.509994507 77.8099975590001,-82.309997559 77.8099975590001,-82.410003662 77.089996338,-81.562660217 76.903648376,-81.14140542 76.8110110690001,-79.9999999999999 76.5599975590001,-79.9999999999999 76.241722107,-79.9999999999999 76.199996948,-79.9999999999999 76.183334351,-79.9999999999999 76.1666641240001,-79.9999999999999 76.150001526,-79.9999999999999 76.1333312990001,-79.9999999999999 76.116668701,-79.9999999999999 76.0999984740001,-79.9999999999999 76.0833358770001,-79.9999999999999 76.0666656490001,-79.9999999999999 76.050003051,-79.9999999999999 76.0333328240001,-79.9999999999999 76.0166702270001,-79.9999999999999 76.0000000000001,-79.9999999999999 75.983329773,-79.9999999999999 75.9666671750001,-79.9999999999999 75.949996948,-79.9999999999999 75.933334351,-79.9999999999999 75.9166641240001,-79.9999999999999 75.900001526,-79.9999999999999 75.8833312990001,-79.9999999999999 75.866668701,-79.9999999999999 75.8499984740001,-79.9999999999999 75.833335876,-79.9999999999999 75.8166656490001,-79.9999999999999 75.8000030520001,-79.9999999999999 75.7833328250001,-79.9999999999999 75.7666702270001,-79.9999999999999 75.7500000000001,-79.9999999999999 75.733329773,-79.9999999999999 75.716667176,-79.9999999999999 75.6999969490001,-79.9999999999999 75.683334351,-79.9999999999999 75.666664123,-79.9999999999999 75.650001526,-79.9999999999999 75.6333312990001,-79.9999999999999 75.616668701,-79.9999999999999 75.5999984740001,-79.9999999999999 75.583335876,-79.9999999999999 75.5666656490001,-79.9999999999999 75.5500030520001,-80.006580974 75.5326090290001,-80.4199981689999 75.5000000000001,-80.61000061 74.989997864,-79.9999999999999 74.879997254,-79.9999999999999 74.833335876,-79.9999999999999 74.8166656490001,-79.9999999999999 74.8000030520001,-79.9999999999999 74.7833328250001,-79.9999999999999 74.7666702270001,-79.9999999999999 74.7500000000001,-79.9999999999999 74.733329773,-79.9999999999999 74.716667176,-79.9999999999999 74.6999969490001,-79.9999999999999 74.6833343500001,-79.9999999999999 74.666664123,-79.9999999999999 74.650001526,-79.9999999999999 74.6333312990001,-79.9999999999999 74.616668701,-79.9999999999999 74.5999984740001,-79.9999999999999 74.5833358770001,-79.9999999999999 74.5666656490001,-79.9999999999999 74.5500030520001,-79.9999999999999 74.5333328250001,-79.9999999999999 74.5166702270001,-79.9999999999999 74.5000000000001,-79.9999999999999 74.483329773,-79.9999999999999 74.4666671750001,-79.9999999999999 74.449996948,-79.9999999999999 74.4333343500001,-79.9999999999999 74.416664123,-79.9999999999999 74.400001526,-79.9999999999999 74.3833312990001,-79.9999999999999 74.366668701,-79.9999999999999 74.3499984740001,-79.9999999999999 74.3333358770001,-79.9999999999999 74.3166656500001,-79.9999999999999 74.3000030520001,-79.9999999999999 74.2833328250001,-79.9999999999999 74.2666702270001,-79.9999999999999 74.2500000000001,-79.9999999999999 74.233329773,-79.9999999999999 74.2166671750001,-79.9999999999999 74.199996948,-79.9999999999999 74.183334351,-79.9999999999999 74.1666641240001,-79.9999999999999 74.150001526,-79.9999999999999 74.1333312990001,-79.9999999999999 74.1166687020001,-79.9999999999999 74.0999984750001,-79.9999999999999 74.083335876,-79.9999999999999 74.0666656490001,-79.9999999999999 74.050003051,-79.9999999999999 74.0333328240001,-79.9999999999999 74.0166702270001,-79.9999999999999 74.0000000000001,-79.9999999999999 73.983329773,-79.9999999999999 73.9666671750001,-79.9999999999999 73.949996948,-79.9999999999999 73.933334351,-79.9999999999999 73.9166641240001,-79.9999999999999 73.900001526,-79.9999999999999 73.8833312990001,-79.9999999999999 73.866668701,-79.9999999999999 73.8499984740001,-79.9999999999999 73.833335876,-79.9999999999999 73.8166656490001,-79.9999999999999 73.8000030520001,-79.9999999999999 73.7833328250001,-79.9999999999999 73.7666702270001,-79.9999999999999 73.7500000000001,-79.9999999999999 73.733329773,-79.9999999999999 73.3000030520001,-79.9999999999999 72.8499984740001,-79.9999999999999 72.833335876,-79.9999999999999 72.8166656490001,-79.9999999999999 72.8000030520001,-79.9999999999999 72.7833328250001,-79.9999999999999 72.7666702270001,-79.9999999999999 72.7500000000001,-79.9999999999999 72.733329773,-79.9999999999999 72.716667176,-79.9999999999999 72.6999969490001,-79.9999999999999 72.6833343500001,-79.9999999999999 72.666664123,-79.9999999999999 72.650001526,-79.9999999999999 72.6333312990001,-79.9999999999999 72.616668701,-79.9999999999999 72.5999984740001,-79.9999999999999 72.5833358770001,-79.9999999999999 72.5666656500001,-79.9999999999999 72.5500030520001,-79.9999999999999 72.5333328250001,-79.9999999999999 72.5166702270001,-79.9999999999999 72.5000000000001,-79.940002441 72.4599990840001,-79.9999999999999 72.440002441,-79.9999999999999 72.4333343500001,-79.9999999999999 72.4091949460001,-79.9999999999999 72.3000030520001,-79.9999999999999 72.0000000000001,-79.9999999999999 71.699996948,-78.715873718 71.2096939090001,-77.96849823 70.9243316650001,-77.221122741 70.6389694210001,-76.4737472529999 70.3536071780001,-75.726371765 70.068252563,-74.978996277 69.78289032,-74.231620788 69.497528076,-73.4842452999999 69.212165833,-72.7368774409999 68.926803589,-71.9895019529999 68.6414413460001,-71.242126465 68.3560867310001,-70.494750976 68.0707244870001,-69.747375488 67.7853622440001,-68.9999999999999 67.5000000000001,-68.9999999999999 66.52999878,-68.9999999999999 65.730003357,-68.9999999999999 64.9300003050001,-68.9999999999999 64.587841703,-68.9999999999999 64.1300048830001,-68.9999999999999 63.3300018310001,-66.258392334 61.8662490840001,-66.2174406139999 61.8380588380001,-66.210479736 61.8333320620001,-66.185951233 61.8166656500001,-66.161430359 61.7999992370001,-66.136932373 61.7833328250001,-66.112442017 61.7666664120001,-66.087959289 61.7500000000001,-66.0634994499999 61.7333335870001,-66.0390472409999 61.7166671750001,-66.01461029 61.700000763,-65.990188599 61.683334351,-65.965774536 61.666667938,-65.941375732 61.650001526,-65.9169921869999 61.633335114,-65.892623901 61.6166648870001,-65.8682632439999 61.5999984740001,-65.8439178469999 61.5833320620001,-65.819587707 61.5666656490001,-65.795265198 61.5499992370001,-65.770965576 61.5333328240001,-65.746673584 61.5166664120001,-65.722389221 61.5000000000001,-65.698120117 61.4833335880001,-65.673873902 61.4666671750001,-65.649627685 61.450000763,-65.625404358 61.433334351,-65.6011886589999 61.416667939,-65.57698822 61.400001526,-65.55279541 61.383335113,-65.5286254879999 61.3666648860001,-65.504463195 61.3499984740001,-65.480308533 61.3333320610001,-65.456176757 61.3166656490001,-65.4320526119999 61.2999992370001,-65.407936096 61.2833328250001,-65.383842468 61.2666664120001,-65.3597564689999 61.2500000000001,-65.335678101 61.2333335880001,-65.3116226189999 61.216667176,-65.287574768 61.200000763,-65.263542176 61.1833343500001,-65.239517212 61.166667938,-65.215507507 61.150001526,-65.191513061 61.133335113,-65.167526245 61.1166648860001,-65.143562317 61.0999984740001,-65.119598389 61.0833320620001,-65.095657349 61.0666656490001,-65.0717239379999 61.0499992370001,-65.047805786 61.0333328250001,-65.023895263 61.0166664130001,-64.9999999999999 61.0000000000001,-64.966667176 61.0000000000001,-64.933334351 61.0000000000001,-64.9000015249999 61.0000000000001,-64.866668701 61.0000000000001,-64.833335876 61.0000000000001,-64.800003052 61.0000000000001,-64.766670227 61.0000000000001,-64.733329773 61.0000000000001,-64.699996948 61.0000000000001,-64.666664123 61.0000000000001,-64.633331299 61.0000000000001,-64.599998474 61.0000000000001,-64.5666656499999 61.0000000000001,-64.5333328249999 61.0000000000001,-64.4999999999999 61.0000000000001,-64.4999999999999 60.9833335880001,-64.4999999999999 60.9666671750001,-64.4999999999999 60.950000763,-64.4999999999999 60.9333343500001,-64.4999999999999 60.916667938,-64.4999999999999 60.900001526,-64.4999999999999 60.883335114,-64.4999999999999 60.8666648870001,-64.4999999999999 60.8499984740001,-64.4999999999999 60.8333320620001,-64.4999999999999 60.8166656500001,-64.4999999999999 60.7999992370001,-64.4999999999999 60.7833328250001,-64.4999999999999 60.7666664120001,-64.4999999999999 60.7500000000001,-64.4999999999999 60.7333335870001,-64.4999999999999 60.7166671750001,-64.4999999999999 60.700000763,-64.4999999999999 60.683334351,-64.4999999999999 60.666667938,-64.4999999999999 60.650001526,-64.4999999999999 60.633335114,-64.4999999999999 60.6166648870001,-64.4999999999999 60.5999984750001,-64.4999999999999 60.5833320620001,-64.4999999999999 60.5666656490001,-64.4999999999999 60.5499992370001,-64.4999999999999 60.5333328240001,-64.4999999999999 60.5166664120001,-64.4999999999999 60.5000000000001,-64.4999999999999 60.4833335880001,-64.4999999999999 60.4666671750001,-64.4999999999999 60.450000763,-64.4999999999999 60.433334351,-64.4999999999999 60.416667939,-64.4999999999999 60.400001526,-64.4999999999999 60.383335113,-64.4999999999999 60.3666648860001,-64.4999999999999 60.3499984740001,-64.4999999999999 60.3333320620001,-64.4999999999999 60.3300018310001,-64.4999832509999 60.2843480340001,-64.5899963379999 60.310001373,-64.769996643 60.279998779,-64.849998474 59.9199981690001,-64.4999999999999 59.740001679,-64.4999999999999 58.940002441,-64.4999999999999 58.400001526,-64.4999999999999 57.6699981690001,-64.4999999999999 57.5999984740001,-64.4999999999999 56.869998932,-64.4999999999999 56.7999992370001,-64.4999999999999 56.0000000000001,-64.4999999999999 55.3300018310001,-64.4999999999999 55.200000763,-64.4999999999999 54.5300025940001,-64.4999999999999 54.400001526,-64.4999999999999 53.730003357,-64.4999999999999 53.5999984740001,-64.4999999999999 52.7999992370001,-64.4999999999999 52.2500000000001,-64.4999999999999 52.0000000000001,-65.300003052 52.0000000000001,-65.400001526 52.0000000000001,-66.099998474 52.0000000000001,-66.199996948 52.0000000000001,-66.900001526 52.0000000000001,-66.9999999999999 52.0000000000001,-67.699996948 52.0000000000001,-67.800003052 52.0000000000001,-68.4999999999999 52.0000000000001,-68.599998474 52.0000000000001,-69.300003052 52.0000000000001,-69.400001526 52.0000000000001,-70.099998474 52.0000000000001,-70.199996948 52.0000000000001,-70.900001526 52.0000000000001,-70.9999999999999 52.0000000000001,-71.699996948 52.0000000000001,-71.800003052 52.0000000000001,-72.4999999999999 52.0000000000001,-72.599998474 52.0000000000001,-73.300003052 52.0000000000001,-73.400001526 52.0000000000001,-74.099998474 52.0000000000001,-74.199996948 52.0000000000001,-74.9999999999999 52.0000000000001,-74.9999999999999 51.200000763,-74.9999999999999 50.400001526,-74.9999999999999 49.5999984740001,-74.9999999999999 48.7999992370001,-74.9999999999999 48.0000000000001,-75.9999999999999 48.0000000000001,-76.800003052 48.0000000000001,-77.599998474 48.0000000000001,-78.400001526 48.0000000000001,-79.199996948 48.0000000000001,-79.9999999999999 48.0000000000001,-80.800003052 48.0000000000001,-81.599998474 48.0000000000001,-82.243628482 48.533146661,-83.75828311 48.4826581730001,-85.2729377369999 48.886566074,-86.232219002 49.4924279250001,-87.393454216 49.7448703630001,-88.908108844 49.5934049000001,-90.271298009 48.886566074,-91.199996948 48.0000000000001,-91.9999999999999 48.0000000000001,-92.800003052 48.0000000000001,-93.599998474 48.0000000000001,-94.400001526 48.0000000000001,-95.199996948 48.0000000000001,-95.9999999999999 48.0000000000001,-96.800003052 48.0000000000001,-97.599998474 48.0000000000001,-98.400001526 48.0000000000001,-99.199996948 48.0000000000001,-99.9999999999999 48.0000000000001,-99.9999999999999 48.899997711,-99.9999999999999 49.699996948,-99.9999999999999 50.499996185,-99.9999999999999 51.2999954220001,-99.9999999999999 52.0999984740001,-99.9999999999999 52.899997711,-99.9999999999999 53.699996948,-99.9999999999999 54.499996185,-99.9999999999999 55.2999954220001,-99.9999999999999 56.0999984740001,-99.9999999999999 56.8999977110001,-99.9999999999999 57.699996948,-99.9999999999999 58.499996185,-99.9999999999999 59.2999954220001,-99.9999999999999 60.0999984740001,-99.9999999999999 60.8999977110001,-99.9999999999999 61.699996948,-99.9999999999999 62.499996185,-99.9999999999999 63.2999954220001,-99.9999999999999 64.0999984740001,-99.9999999999999 64.8999938960001,-99.9999999999999 65.699996948,-101.099998474 65.699996948,-101.900001526 65.699996948,-102.699996948 65.699996948,-103.5 65.699996948,-104.299995422 65.699996948,-105.099998474 65.699996948,-105.900001526 65.699996948,-106.699996948 65.699996948,-107.5 65.699996948,-108.299995422 65.699996948,-109.099998474 65.699996948,-109.900001526 65.699996948,-110.699996948 65.699996948,-111.5 65.699996948,-112.299995422 65.699996948,-113.099998474 65.699996948,-113.900001526 65.699996948,-114.699996948 65.699996948,-115.5 65.699996948,-116.300003052 65.699996948,-117.099998474 65.699996948,-117.900001526 65.699996948,-118.699996948 65.699996948,-119.5 65.699996948,-120 65.699996948,-120.300003052 65.699996948,-121.099998474 65.699996948,-121.900001526 65.699996948,-122.699996948 65.699996948,-123.5 65.699996948,-124.300003052 65.699996948,-125.099998474 65.699996948,-125.900001526 65.699996948,-126.699996948 65.699996948,-127.5 65.699996948,-128.300003052 65.699996948,-129.100006104 65.699996948,-129.899993896 65.699996948,-130.699996948 65.699996948,-131.5 65.699996948,-132.300003052 65.699996948,-133.100006104 65.699996948,-133.899993896 65.699996948,-134.699996948 65.699996948,-135.5 65.699996948,-136.300003052 65.699996948,-137.100006104 65.699996948,-137.899993896 65.699996948,-138.699996948 65.699996948,-139.5 65.699996948,-140.300003052 65.699996948,-141.100006104 65.699996948,-141.899993896 65.699996948,-142.699996948 65.699996948,-143.5 65.699996948,-144.300003052 65.699996948,-145.100006104 65.699996948,-145.899993896 65.699996948,-146.699996948 65.699996948,-147.5 65.699996948,-148.300003052 65.699996948,-149.100006104 65.699996948,-149.899993896 65.699996948,-150.699996948 65.699996948,-151.5 65.699996948,-152.300003052 65.699996948,-153.100006104 65.699996948,-153.899993896 65.699996948,-154.699996948 65.699996948,-155.5 65.699996948,-156.300003052 65.699996948,-157.100006104 65.699996948,-157.899993896 65.699996948,-158.699996948 65.699996948,-159.5 65.699996948,-160.300003052 65.699996948,-161.100006104 65.699996948,-161.899993896 65.699996948,-162.699996948 65.699996948,-163.5 65.699996948,-164.300003052 65.699996948,-165.100006104 65.699996948,-165.899993896 65.699996948,-166.699996948 65.699996948,-167.5 65.699996948,-168.020004272 65.589996338,-168.100006104 65.583297729,-168.911865234 65.8683090210001,-169.666702271 66.1333007810001,-170.529998779 66.135070801,-171.330001831 66.1367187500001,-172.129989624 66.13835907,-172.929992676 66.1399993900001,-174.220001221 65.5800018310001,-175 66.5000000000001,-176 66.5000000000001,-176.800003052 66.5000000000001,-177.600006104 66.5000000000001,-178.399993896 66.5000000000001,-179.199996948 66.5000000000001,-180 66.5000000000001,-180 67.5999984740001,-180 68.400001526,-180 69.199996948,-180 70.0000000000001,-180 70.8000030520001,-180 71.5999984740001,-180 72.400001526,-180 73.199996948,-180 74.0000000000001,-180 74.8000030520001,-180 75.5999984740001,-180 76.400001526,-180 77.199996948,-180 78.0000000000001,-180 78.8000030520001,-180 79.5999984740001,-180 80.400001526,-180 81.199996948,-180 82.0000000000001,-180 82.8000030520001,-180 83.5999984740001,-180 84.400001526,-180 85.199996948,-180 86.0000000000001,-180 86.8000030520001,-180 87.5999984740001,-180 88.400001526,-180 89.199996948,-180 90,-40.000003815 90,-40.000003809 89.99767554)),((180 73.699996948,180 72.900001526,180 72.0999984740001,180 71.3000030520001,180 70.5000000000001,180 69.699996948,180 68.900001526,180 68.0999984740001,180 67.3000030520001,180 66.5000000000001,179.199996948 66.5000000000001,178.399993896 66.5000000000001,177.600006104 66.5000000000001,176.800003052 66.5000000000001,176 66.5000000000001,175.199996948 66.5000000000001,174.399993896 66.5000000000001,173.600006104 66.5000000000001,172.800003052 66.5000000000001,172 66.5000000000001,171.199996948 66.5000000000001,170.399993896 66.5000000000001,169.600006104 66.5000000000001,168.800003052 66.5000000000001,168 66.5000000000001,167.199996948 66.5000000000001,166.399993896 66.5000000000001,165.600006104 66.5000000000001,164.800003052 66.5000000000001,164 66.5000000000001,163.199996948 66.5000000000001,162.399993896 66.5000000000001,161.600006104 66.5000000000001,160.800003052 66.5000000000001,160 66.5000000000001,159.199996948 66.5000000000001,158.399993896 66.5000000000001,157.600006104 66.5000000000001,156.800003052 66.5000000000001,156 66.5000000000001,155.199996948 66.5000000000001,154.399993896 66.5000000000001,153.600006104 66.5000000000001,152.800003052 66.5000000000001,152 66.5000000000001,151.199996948 66.5000000000001,150.399993896 66.5000000000001,149.600006104 66.5000000000001,148.800003052 66.5000000000001,148 66.5000000000001,147.199996948 66.5000000000001,146.399993896 66.5000000000001,145.600006104 66.5000000000001,144.800003052 66.5000000000001,144 66.5000000000001,143.199996948 66.5000000000001,142.399993896 66.5000000000001,141.600006104 66.5000000000001,140.800003052 66.5000000000001,140 66.5000000000001,139.199996948 66.5000000000001,138.399993896 66.5000000000001,137.600006104 66.5000000000001,136.800003052 66.5000000000001,136 66.5000000000001,135.199996948 66.5000000000001,134.399993896 66.5000000000001,133.600006104 66.5000000000001,132.800003052 66.5000000000001,132 66.5000000000001,131.199996948 66.5000000000001,130.399993896 66.5000000000001,129.600006104 66.5000000000001,128.800003052 66.5000000000001,128 66.5000000000001,127.199996948 66.5000000000001,126.400001526 66.5000000000001,125.599998474 66.5000000000001,124.799995422 66.5000000000001,124 66.5000000000001,123.199996948 66.5000000000001,122.400001526 66.5000000000001,121.599998474 66.5000000000001,120.799995422 66.5000000000001,120 66.5000000000001,119.199996948 66.5000000000001,118.400001526 66.5000000000001,117.599998474 66.5000000000001,116.799995422 66.5000000000001,116 66.5000000000001,115.199996948 66.5000000000001,114.400001526 66.5000000000001,113.599998474 66.5000000000001,112.799995422 66.5000000000001,112 66.5000000000001,111.199996948 66.5000000000001,110.400001526 66.5000000000001,109.599998474 66.5000000000001,108.799995422 66.5000000000001,108 66.5000000000001,107.199996948 66.5000000000001,106.400001526 66.5000000000001,105.599998474 66.5000000000001,104.799995422 66.5000000000001,104 66.5000000000001,103.199996948 66.5000000000001,102.400001526 66.5000000000001,101.599998474 66.5000000000001,100.800003052 66.5000000000001,100 66.5000000000001,99.199996948 66.5000000000001,99.0000000000001 66.5000000000001,98.400001526 66.5000000000001,97.5999984740001 66.5000000000001,96.8000030520001 66.5000000000001,96.0000000000001 66.5000000000001,95.199996948 66.5000000000001,94.400001526 66.5000000000001,93.5999984740001 66.5000000000001,92.8000030520001 66.5000000000001,92.0000000000001 66.5000000000001,91.199996948 66.5000000000001,90.400001526 66.5000000000001,89.5999984740001 66.5000000000001,88.8000030520001 66.5000000000001,88.0000000000001 66.5000000000001,87.199996948 66.5000000000001,86.400001526 66.5000000000001,85.5999984740001 66.5000000000001,84.8000030520001 66.5000000000001,84.0000000000001 66.5000000000001,83.199996948 66.5000000000001,82.400001526 66.5000000000001,81.5999984740001 66.5000000000001,80.8000030520001 66.5000000000001,80.0000000000001 66.5000000000001,78.504264832 66.211616516,77.718734741 66.0601654050001,76.9331970210001 65.908714294,76.1476669310001 65.7572631840001,75.3621368410001 65.605812073,74.5765991210001 65.4543609620001,73.7910690310001 65.3029022220001,73.0055313110001 65.151451111,72.9019338630001 65.1314774030001,72.2200012210001 65.0000000000001,70.968322754 65.4730834960001,70.219993591 65.75592041,69.4716567990001 66.038764954,68.7233276370001 66.3216018680001,67.9749984740001 66.6044464110001,67.226661682 66.8872833250001,66.47833252 67.170120239,65.7299957280001 67.4529647830001,64.9816665650001 67.7358016970001,64.233329773 68.018638611,63.65861848 68.2358611400001,62.7366676330001 68.5843200680001,61.9883346560001 68.8671646120001,61.504141706 69.050168227,61.2400016780001 69.150001526,60.6396218190001 69.491270382,60.077388727 69.808119323,59.874820528 69.9206562570001,59.479999542 70.1399993900001,58.479999542 70.319999695,57.5900001530001 70.7200012210001,56.330406189 71.00402832,55.918920304 71.0968132290001,55.5499992370001 71.1800003050001,55.1643081490001 71.437128515,54.284538131 71.8338875420001,54.3650653440001 71.99787023,54.9275531810001 73.143300008,55.6290241450001 73.4706531250001,55.813612891 73.5609442400001,55.9329948970001 73.5291090380001,56.3442428560001 73.8715135750001,56.84490715 74.2656535510001,57.1995225630001 74.410496466,57.979999542 74.9100036620001,58.993051855 75.198332759,59.2065260620001 75.2944776310001,59.4729350360001 75.334914708,60.515938528 75.493227738,61.9355456500001 75.81212499,62.4607655900001 75.8749447850001,64.338955282 75.9842574130001,65.1046447750001 76.173927307,65.900001526 76.2600021360001,68.0000000000001 76.6299972530001,68.5000001350001 76.814765057,68.5000001350001 90,180 90,180 88.900001526,180 88.0999984740001,180 87.3000030520001,180 86.5000000000001,180 85.699996948,180 84.900001526,180 84.0999984740001,180 83.3000030520001,180 82.5000000000001,180 81.699996948,180 80.900001526,180 80.0999984740001,180 79.3000030520001,180 78.5000000000001,180 77.699996948,180 76.900001526,180 76.0999984740001,180 75.3000030520001,180 74.5000000000001,180 73.699996948)))', 'Arctic', '1', '18', 'ARCTIC SEA', '18', '', '', '', '', '', '', '', '', '', '', '', '', '', '18', '1', '18', '18', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 5.6843418860808e-14,11.461350441 -1.36329126399994,11.717792511 -2.12107610699996,11.974233627 -2.87886071199995,12.2109678370001 -3.57840894099996,14.678958478 -6.43814412799998,12.6925396990001 -6.43814412799998,12.683935058 -6.43408082499997,12.6257927030001 -6.32344884599996,12.316202483 -6.17815832599996,12.289999962 -6.15777858699994,12.289999962 -6.11000013399996,12.305161298 -6.09734038399995,12.3209746650001 -6.08987295999998,12.33 -6.07666666699993,12.329937549 -6.07665215799994,12.329999924 -6.07660007499993,12.0000000000001 -5.99999999999994,11.0000000000001 -5.99999999999994,10.800000191 -5.99999999999994,10.1999998090001 -5.99999999999994,10.0000000000001 -5.99999999999994,9.39999961900003 -5.99999999999994,8.80000019100004 -5.99999999999994,8.60000038100003 -5.99999999999994,8.49053241400003 -5.99999999999994,8.48512973300006 -5.99999999999994,8.00000000000006 -5.99999999999994,7.80000019100004 -5.99999999999994,7.20000028600003 -5.99999999999994,7.00000000000006 -5.99999999999994,6.40000057200007 -5.99999999999994,5.00000000000006 -5.99999999999994,4.80000019100004 -5.99999999999994,4.59999990500006 -5.99999999999994,4.00000047700007 -5.99999999999994,3.79999995200006 -5.99999999999994,3.20000028600003 -5.99999999999994,3.00000000000006 -5.99999999999994,3.00000000000006 -4.80000019099998,3.00000000000006 -3.99999999999994,3.00000000000006 -3.20000004799994,3.00000000000006 -2.40000009499994,3.00000000000006 -1.60000002399994,3.00000000000006 -0.800000011999941,3.00000000000006 5.6843418860808e-14,3.79999995200006 5.6843418860808e-14,4.59999990500006 5.6843418860808e-14,5.40000009500005 5.6843418860808e-14,6.19999980900008 5.6843418860808e-14,7.00000000000006 5.6843418860808e-14,7.80000019100004 5.6843418860808e-14,8.60000038100003 5.6843418860808e-14,9.39999961900003 5.6843418860808e-14,11.0000000000001 5.6843418860808e-14)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.3', 'Southern Coastal', '', '34.3.6', 'Southern Gulf of Guinea', '', '', '', '', '', '', '', '', '3.6', '3', '34.3.6', '34.3.6', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 5.6843418860808e-14,3.00000000000006 -0.800000011999941,3.00000000000006 -1.60000002399994,3.00000000000006 -2.40000009499994,3.00000000000006 -3.20000004799994,3.00000000000006 -3.99999999999994,3.00000000000006 -4.80000019099998,3.00000000000006 -5.99999999999994,2.40000033400003 -5.99999999999994,1.60000038100003 -5.99999999999994,0.80000031000003 -5.99999999999994,2.98000031762058e-07 -5.99999999999994,-0.799999713999966 -5.99999999999994,-1.59999966599997 -5.99999999999994,-2.39999961899997 -5.99999999999994,-3.19999980899996 -5.99999999999994,-3.99999976199996 -5.99999999999994,-4.79999971399997 -5.99999999999994,-4.99999999999994 -5.99999999999994,-19.9999999999999 -5.99999999999994,-19.9999999999999 5.6843418860808e-14,-19.2000007629999 5.6843418860808e-14,-18.399999619 5.6843418860808e-14,-17.600000381 5.6843418860808e-14,-16.799999237 5.6843418860808e-14,-15.9999999999999 5.6843418860808e-14,-15.199999809 5.6843418860808e-14,-14.399999619 5.6843418860808e-14,-13.600000381 5.6843418860808e-14,-12.800000191 5.6843418860808e-14,-11.9999999999999 5.6843418860808e-14,-11.199999809 5.6843418860808e-14,-10.399999619 5.6843418860808e-14,-9.59999942799993 5.6843418860808e-14,-7.99999999999994 5.6843418860808e-14,-7.19999980899996 5.6843418860808e-14,-6.40000009499994 5.6843418860808e-14,-5.59999990499995 5.6843418860808e-14,-4.80000019099998 5.6843418860808e-14,-3.99999999999994 5.6843418860808e-14,-3.19999980899996 5.6843418860808e-14,-2.39999985699995 5.6843418860808e-14,-1.59999990499995 5.6843418860808e-14,-0.799999892999949 5.6843418860808e-14,1.19000048925955e-07 5.6843418860808e-14,0.800000131000047 5.6843418860808e-14,1.60000014300005 5.6843418860808e-14,3.00000000000006 5.6843418860808e-14)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.4', 'Southern Oceanic', '', '34.4.1', 'Southwest Gulf of Guinea', '', '', '', '', '', '', '', '', '4.1', '3', '34.4.1', '34.4.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.999999999 68.8300018310001,-43.999999998 68.569999695,-43.999999996 67.8499984740001,-43.999999996 67.7699966430001,-43.9999999949999 67.0500030520001,-43.9999999949999 66.9700012210001,-43.9999999949999 66.2500000000001,-47.9999999999999 66.2500000000001,-50.2934606489999 67.0318408580001,-50.841476165 67.084032812,-51.663499439 67.005744882,-52.122303911 66.615275167,-52.38999939 66.489997864,-52.971054905 66.387159963,-53.064067235 66.3531015990001,-53.191148605 66.3312602920001,-53.323005936 66.2992201930001,-53.4129646759999 66.2881293890001,-53.545986118 66.2500000000001,-53.596952256 66.2453868380001,-53.612768366 66.2500000000001,-53.633335114 66.2500000000001,-53.6666679379999 66.2500000000001,-53.7000007629999 66.2500000000001,-53.7333335869999 66.2500000000001,-53.7666664119999 66.2500000000001,-53.799999237 66.2500000000001,-53.833332062 66.2500000000001,-53.866664886 66.2500000000001,-53.900001526 66.2500000000001,-53.9333343499999 66.2500000000001,-53.9666671749999 66.2500000000001,-53.9999999999999 66.2500000000001,-54.0333328249999 66.2500000000001,-54.066665649 66.2500000000001,-54.099998474 66.2500000000001,-54.133335113 66.2500000000001,-54.1666679379999 66.2500000000001,-54.2000007629999 66.2500000000001,-54.2333335879999 66.2500000000001,-54.2666664119999 66.2500000000001,-54.299999237 66.2500000000001,-54.333332062 66.2500000000001,-54.366664886 66.2500000000001,-54.400001526 66.2500000000001,-54.433334351 66.2500000000001,-54.4666671749999 66.2500000000001,-54.4999999999999 66.2500000000001,-54.533332824 66.2500000000001,-54.566665649 66.2500000000001,-54.599998474 66.2500000000001,-54.633335114 66.2500000000001,-54.6666679379999 66.2500000000001,-54.7000007629999 66.2500000000001,-54.7333335869999 66.2500000000001,-54.7666664119999 66.2500000000001,-54.799999237 66.2500000000001,-54.833332062 66.2500000000001,-54.866664886 66.2500000000001,-54.900001526 66.2500000000001,-54.9333343499999 66.2500000000001,-54.9666671749999 66.2500000000001,-54.9999999999999 66.2500000000001,-55.0333328249999 66.2500000000001,-55.066665649 66.2500000000001,-55.099998474 66.2500000000001,-55.133335113 66.2500000000001,-55.1666679379999 66.2500000000001,-55.2000007629999 66.2500000000001,-55.2333335879999 66.2500000000001,-55.2666664119999 66.2500000000001,-55.299999237 66.2500000000001,-55.333332061 66.2500000000001,-55.366664886 66.2500000000001,-55.400001526 66.2500000000001,-55.433334351 66.2500000000001,-55.4666671749999 66.2500000000001,-55.4999999999999 66.2500000000001,-55.533332824 66.2500000000001,-55.566665649 66.2500000000001,-55.599998474 66.2500000000001,-55.633335114 66.2500000000001,-55.6666679379999 66.2500000000001,-55.7000007629999 66.2500000000001,-55.7333335869999 66.2500000000001,-55.7666664119999 66.2500000000001,-55.799999237 66.2500000000001,-55.833332062 66.2500000000001,-55.866664886 66.2500000000001,-55.900001526 66.2500000000001,-55.9333343499999 66.2500000000001,-55.9666671749999 66.2500000000001,-55.9999999999999 66.2500000000001,-56.0333328249999 66.2500000000001,-56.066665649 66.2500000000001,-56.099998474 66.2500000000001,-56.133335113 66.2500000000001,-56.1666679379999 66.2500000000001,-56.2000007629999 66.2500000000001,-56.2333335879999 66.2500000000001,-56.2666664119999 66.2500000000001,-56.299999237 66.2500000000001,-56.333332061 66.2500000000001,-56.366664886 66.2500000000001,-56.400001526 66.2500000000001,-56.433334351 66.2500000000001,-56.4666671749999 66.2500000000001,-56.4999999999999 66.2500000000001,-56.533332824 66.2500000000001,-56.566665649 66.2500000000001,-56.599998474 66.2500000000001,-56.633335114 66.2500000000001,-56.6666679379999 66.2500000000001,-56.7000007629999 66.2500000000001,-56.7333335869999 66.2500000000001,-56.7666664119999 66.2500000000001,-56.799999237 66.2500000000001,-56.833332062 66.2500000000001,-56.866664886 66.2500000000001,-56.900001526 66.2500000000001,-56.9333343499999 66.2500000000001,-56.9666671749999 66.2500000000001,-56.9999999999999 66.2500000000001,-57.0333328249999 66.2500000000001,-57.066665649 66.2500000000001,-57.099998474 66.2500000000001,-57.133335113 66.2500000000001,-57.1666679379999 66.2500000000001,-57.2000007629999 66.2500000000001,-57.2333335879999 66.2500000000001,-57.2666664119999 66.2500000000001,-57.299999237 66.2500000000001,-57.333332061 66.2500000000001,-57.366664886 66.2500000000001,-57.400001526 66.2500000000001,-57.433334351 66.2500000000001,-57.4666671749999 66.2500000000001,-57.4999999999999 66.2500000000001,-57.533332824 66.2500000000001,-57.566665649 66.2500000000001,-57.599998474 66.2500000000001,-57.634300232 66.2500000000001,-57.6333389279999 66.264167786,-57.632228851 66.2805557250001,-57.6311149589999 66.2969436650001,-57.630001068 66.313331604,-57.630001068 66.329444885,-57.630001068 66.345558167,-57.630001068 66.3616638180001,-57.630001068 66.3777771000001,-57.630001068 66.3938903810001,-57.630001068 66.4100036620001,-57.6313858029999 66.4258346560001,-57.6327705379999 66.4416656490001,-57.6341590879999 66.4574966430001,-57.6355476379999 66.473335266,-57.636940002 66.48916626,-57.638332367 66.5049972530001,-57.640827179 66.521110535,-57.6433219909999 66.5372238160001,-57.645820617 66.5533370970001,-57.6483192439999 66.5694427490001,-57.6508254999999 66.5855560300001,-57.6533317569999 66.6016693120001,-57.656665802 66.616668701,-57.6599998469999 66.6316680910001,-57.664157867 66.6479187020001,-57.668323517 66.6641693120001,-57.6724929809999 66.6804199220001,-57.6766662599999 66.6966629030001,-57.68164444 66.71270752,-57.6866264339999 66.7287521360001,-57.691616058 66.7447967530001,-57.696613312 66.7608337400001,-57.701618195 66.776878357,-57.706626892 66.792915345,-57.7116432189999 66.808959961,-57.7166671749999 66.824996948,-57.72177124 66.8422622680001,-57.7268829349999 66.8595199590001,-57.732002258 66.8767852780001,-57.737129211 66.8940429690001,-57.7422637939999 66.9113006590001,-57.7474021909999 66.928565979,-57.752552032 66.94582367,-57.7577095029999 66.96308136,-57.762870789 66.9803466800001,-57.7680397029999 66.9976043710001,-57.773216248 67.014862061,-57.778404236 67.032119751,-57.783596039 67.049377441,-57.788795471 67.066635132,-57.794002533 67.0838928220001,-57.799217224 67.1011505130001,-57.804439545 67.1184082030001,-57.80966568 67.1356658940001,-57.8149032589999 67.1529235840001,-57.820148468 67.1701812740001,-57.8254013059999 67.1874389650001,-57.830657959 67.2046966560001,-57.8359260559999 67.2219543460001,-57.841201782 67.2392120360001,-57.846481323 67.2564697270001,-57.851772308 67.2737197880001,-57.857067108 67.2909774780001,-57.862373352 67.3082351680001,-57.8676872249999 67.3254928590001,-57.8730049129999 67.34274292,-57.878334045 67.36000061,-57.884422302 67.375831604,-57.8905220029999 67.3916702270001,-57.896629333 67.4075012210001,-57.902744293 67.4233322150001,-57.908866882 67.4391708380001,-57.915000915 67.4550018310001,-57.921665192 67.471664429,-57.935001373 67.48500061,-57.949157715 67.498336792,-57.96333313 67.511665345,-57.9779624939999 67.5270004270001,-57.9926109309999 67.54233551,-58.007274627 67.5576705930001,-58.021961212 67.5730056770001,-58.03666687 67.5883331300001,-58.0499687189999 67.6030044560001,-58.0632820129999 67.6176681520001,-58.0766181939999 67.6323394780001,-58.08996582 67.6470031740001,-58.10333252 67.66166687,-58.115634918 67.67666626,-58.127952576 67.6916656500001,-58.140285492 67.7066726690001,-58.152633667 67.7216720580001,-58.1650009159999 67.7366638180001,-58.177585602 67.752952576,-58.190189362 67.7692413330001,-58.2028121939999 67.7855300910001,-58.215450287 67.8018112180001,-58.228107452 67.818099976,-58.2407836909999 67.834381104,-58.253475189 67.8506622310001,-58.26618576 67.8669433590001,-58.2789115909999 67.8832244880001,-58.2916564939999 67.8995056150001,-58.304420471 67.915779114,-58.317199707 67.932060242,-58.3300018309999 67.9483337410001,-58.341632843 67.9646682740001,-58.3532829279999 67.981002808,-58.3649520869999 67.997337341,-58.37663269 68.0136718750001,-58.388332367 68.029998779,-58.3977661129999 68.043891907,-58.407211304 68.0577774050001,-58.4166679379999 68.0716629030001,-58.42609787 68.0855560300001,-58.43554306 68.099441529,-58.444999695 68.1133346560001,-58.453334808 68.1250000000001,-58.466041565 68.140930176,-58.47876358 68.1568603520001,-58.491508484 68.1727905270001,-58.504268646 68.1887130740001,-58.517044067 68.2046432500001,-58.529838562 68.2205657960001,-58.54265213 68.236488342,-58.5554847719999 68.252410889,-58.5683326719999 68.268333435,-58.581897736 68.2838897710001,-58.595481873 68.2994461060001,-58.609081268 68.315002441,-58.622703552 68.3305587770001,-58.636341095 68.3461151120001,-58.650001526 68.3616638180001,-58.6641387939999 68.3766708370001,-58.678295135 68.3916702270001,-58.692470551 68.406669617,-58.706665039 68.421669007,-58.738838195 68.4343643190001,-58.7710456849999 68.4470520020001,-58.8032875059999 68.4597320560001,-58.8355636589999 68.4724121090001,-58.8678817749999 68.485076904,-58.900230408 68.4977416990001,-58.932621002 68.5103988650001,-58.965042114 68.523048401,-58.9975051879999 68.5356979370001,-59.029998779 68.5483322150001,-59.0533256529999 68.5575027470001,-59.076667786 68.5666656500001,-59.1089248659999 68.5796813960001,-59.141220093 68.592681885,-59.173553467 68.605682373,-59.2059249879999 68.6186828610001,-59.2383346559999 68.6316680910001,-59.2433319089999 68.6333312990001,-59.276081085 68.6464614870001,-59.308868408 68.659584045,-59.3416938779999 68.672706604,-59.374557495 68.685813904,-59.407463074 68.698921204,-59.4404029839999 68.712013245,-59.473381042 68.725105286,-59.506401062 68.7381973270001,-59.5394592279999 68.7512741090001,-59.572555542 68.7643432620001,-59.605690002 68.7774124150001,-59.6388626099999 68.7904663090001,-59.672073364 68.8035202030001,-59.70532608 68.816566467,-59.738616943 68.8296051030001,-59.748142242 68.833335876,-59.7333335869999 68.833335876,-59.7000007629999 68.833335876,-59.6666679379999 68.833335876,-59.633335114 68.833335876,-59.599998474 68.833335876,-59.566665649 68.833335876,-59.533332824 68.833335876,-59.4999999999999 68.833335876,-59.4666671749999 68.833335876,-59.433334351 68.833335876,-59.400001526 68.833335876,-59.366664886 68.833335876,-59.333332061 68.833335876,-59.299999237 68.833335876,-59.2666664119999 68.833335876,-59.2333335879999 68.833335876,-59.2000007629999 68.833335876,-59.1666679379999 68.833335876,-59.133335113 68.833335876,-59.099998474 68.833335876,-59.066665649 68.833335876,-59.0333328249999 68.833335876,-58.9999999999999 68.833335876,-58.9666671749999 68.833335876,-58.9333343499999 68.833335876,-58.900001526 68.833335876,-58.866664886 68.833335876,-58.833332062 68.833335876,-58.799999237 68.833335876,-58.7666664119999 68.833335876,-58.7333335869999 68.833335876,-58.7000007629999 68.833335876,-58.6666679379999 68.833335876,-58.633335114 68.833335876,-58.599998474 68.833335876,-58.566665649 68.833335876,-58.533332824 68.833335876,-58.4999999999999 68.833335876,-58.4666671749999 68.833335876,-58.433334351 68.833335876,-58.400001526 68.833335876,-58.366664886 68.833335876,-58.333332061 68.833335876,-58.299999237 68.833335876,-58.2666664119999 68.833335876,-58.2333335879999 68.833335876,-58.2000007629999 68.833335876,-58.1666679379999 68.833335876,-58.133335113 68.833335876,-58.099998474 68.833335876,-58.066665649 68.833335876,-58.0333328249999 68.833335876,-57.9999999999999 68.833335876,-57.9666671749999 68.833335876,-57.9333343499999 68.833335876,-57.900001526 68.833335876,-57.866664886 68.833335876,-57.833332062 68.833335876,-57.799999237 68.833335876,-57.7666664119999 68.833335876,-57.7333335869999 68.833335876,-57.7000007629999 68.833335876,-57.6666679379999 68.833335876,-57.633335114 68.833335876,-57.599998474 68.833335876,-57.566665649 68.833335876,-57.533332824 68.833335876,-57.4999999999999 68.833335876,-57.4666671749999 68.833335876,-57.433334351 68.833335876,-57.400001526 68.833335876,-57.366664886 68.833335876,-57.333332061 68.833335876,-57.299999237 68.833335876,-57.2666664119999 68.833335876,-57.2333335879999 68.833335876,-57.2000007629999 68.833335876,-57.1666679379999 68.833335876,-57.133335113 68.833335876,-57.099998474 68.833335876,-57.066665649 68.833335876,-57.0333328249999 68.833335876,-56.9999999999999 68.833335876,-56.9666671749999 68.833335876,-56.9333343499999 68.833335876,-56.900001526 68.833335876,-56.866664886 68.833335876,-56.833332062 68.833335876,-56.799999237 68.833335876,-56.7666664119999 68.833335876,-56.7333335869999 68.833335876,-56.7000007629999 68.833335876,-56.6666679379999 68.833335876,-56.633335114 68.833335876,-56.599998474 68.833335876,-56.566665649 68.833335876,-56.533332824 68.833335876,-56.4999999999999 68.833335876,-56.4666671749999 68.833335876,-56.433334351 68.833335876,-56.400001526 68.833335876,-56.366664886 68.833335876,-56.333332061 68.833335876,-56.299999237 68.833335876,-56.2666664119999 68.833335876,-56.2333335879999 68.833335876,-56.2000007629999 68.833335876,-56.1666679379999 68.833335876,-56.133335113 68.833335876,-56.099998474 68.833335876,-56.066665649 68.833335876,-56.0333328249999 68.833335876,-55.9999999999999 68.833335876,-55.9666671749999 68.833335876,-55.9333343499999 68.833335876,-55.900001526 68.833335876,-55.866664886 68.833335876,-55.833332062 68.833335876,-55.799999237 68.833335876,-55.7666664119999 68.833335876,-55.7333335869999 68.833335876,-55.7000007629999 68.833335876,-55.6666679379999 68.833335876,-55.633335114 68.833335876,-55.599998474 68.833335876,-55.566665649 68.833335876,-55.533332824 68.833335876,-55.4999999999999 68.833335876,-55.4666671749999 68.833335876,-55.433334351 68.833335876,-55.400001526 68.833335876,-55.366664886 68.833335876,-55.333332061 68.833335876,-55.299999237 68.833335876,-55.2666664119999 68.833335876,-55.2333335879999 68.833335876,-55.2000007629999 68.833335876,-55.1666679379999 68.833335876,-55.133335113 68.833335876,-55.099998474 68.833335876,-55.066665649 68.833335876,-55.0333328249999 68.833335876,-54.9999999999999 68.833335876,-54.9666671749999 68.833335876,-54.9333343499999 68.833335876,-54.900001526 68.833335876,-54.866664886 68.833335876,-54.833332062 68.833335876,-54.799999237 68.833335876,-54.7666664119999 68.833335876,-54.7333335869999 68.833335876,-54.7000007629999 68.833335876,-54.6666679379999 68.833335876,-54.633335114 68.833335876,-54.599998474 68.833335876,-54.566665649 68.833335876,-54.533332824 68.833335876,-54.4999999999999 68.833335876,-54.4666671749999 68.833335876,-54.433334351 68.833335876,-54.400001526 68.833335876,-54.366664886 68.833335876,-54.333332062 68.833335876,-54.299999237 68.833335876,-54.2666664119999 68.833335876,-54.2333335879999 68.833335876,-54.2000007629999 68.833335876,-54.1666679379999 68.833335876,-54.133335113 68.833335876,-54.099998474 68.833335876,-54.066665649 68.833335876,-54.0333328249999 68.833335876,-53.9999999999999 68.833335876,-53.9666671749999 68.833335876,-53.9333343499999 68.833335876,-53.900001526 68.833335876,-53.866664886 68.833335876,-53.833332062 68.833335876,-53.799999237 68.833335876,-53.7666664119999 68.833335876,-53.7333335869999 68.833335876,-53.7000007629999 68.833335876,-53.6666679379999 68.833335876,-53.633335114 68.833335876,-53.599998474 68.833335876,-53.566665649 68.833335876,-53.533332824 68.833335876,-53.4999999999999 68.833335876,-53.4666671749999 68.833335876,-53.433334351 68.833335876,-53.400001526 68.833335876,-53.366664886 68.833335876,-53.333332062 68.833335876,-53.299999237 68.833335876,-53.2666664119999 68.833335876,-53.2333335879999 68.833335876,-53.2000007629999 68.833335876,-53.1666679379999 68.833335876,-53.133335113 68.833335876,-53.099998474 68.833335876,-53.066665649 68.833335876,-53.0333328249999 68.833335876,-52.9999999999999 68.833335876,-52.9666671749999 68.833335876,-52.9333343499999 68.833335876,-52.900001526 68.833335876,-52.866664886 68.833335876,-52.833332062 68.833335876,-52.799999237 68.833335876,-52.7666664119999 68.833335876,-52.7333335869999 68.833335876,-52.7000007629999 68.833335876,-52.6666679379999 68.833335876,-52.633335114 68.833335876,-52.599998474 68.833335876,-52.566665649 68.833335876,-52.5333328249999 68.833335876,-52.4999999999999 68.833335876,-52.4666671749999 68.833335876,-52.433334351 68.833335876,-52.400001526 68.833335876,-52.366664886 68.833335876,-52.333332062 68.833335876,-52.299999237 68.833335876,-52.2666664119999 68.833335876,-52.2333335879999 68.833335876,-52.2000007629999 68.833335876,-52.1666679379999 68.833335876,-52.133335113 68.833335876,-52.099998474 68.833335876,-52.066665649 68.833335876,-52.0333328249999 68.833335876,-51.9999999999999 68.833335876,-51.9666671749999 68.833335876,-51.9333343499999 68.833335876,-51.900001526 68.833335876,-51.866664886 68.833335876,-51.833332062 68.833335876,-51.799999237 68.833335876,-51.7666664119999 68.833335876,-51.7333335879999 68.833335876,-51.7000007629999 68.833335876,-51.6666679379999 68.833335876,-51.633335114 68.833335876,-51.599998474 68.833335876,-51.566665649 68.833335876,-51.5333328249999 68.833335876,-51.4999999999999 68.833335876,-51.4666671749999 68.833335876,-51.433334351 68.833335876,-51.4000015249999 68.833335876,-51.366664886 68.833335876,-51.333332062 68.833335876,-51.299999237 68.833335876,-51.2666664119999 68.833335876,-51.2333335879999 68.833335876,-51.2000007619999 68.833335876,-51.1140251159999 68.833335876,-50.880001068 68.8300018310001,-50.7599983219999 68.900001526,-50.6199989319999 68.8300018310001,-43.999999999 68.8300018310001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.1', '', '21.1', '21.1.B', '', '21.1B', '', '', '', '', '', '', '', '1B', '3', '21.1.B', '21.1B', 'Y'),('SRID=4326;MULTIPOLYGON(((-76.6200027469999 37.270000458,-76.410003662 37.0000000000001,-75.9999999999999 37.0000000000001,-75.983329773 37.0000000000001,-75.9666671749999 37.0000000000001,-75.949996948 37.0000000000001,-75.933334351 37.0000000000001,-75.916664124 37.0000000000001,-75.900001526 37.0000000000001,-75.883331299 37.0000000000001,-75.866668701 37.0000000000001,-75.849998474 37.0000000000001,-75.833335876 37.0000000000001,-75.816665649 37.0000000000001,-75.800003052 37.0000000000001,-75.7833328249999 37.0000000000001,-75.766670227 37.0000000000001,-75.7499999999999 37.0000000000001,-75.733329773 37.0000000000001,-75.7166671749999 37.0000000000001,-75.699996948 37.0000000000001,-75.683334351 37.0000000000001,-75.666664124 37.0000000000001,-75.650001526 37.0000000000001,-75.633331299 37.0000000000001,-75.616668701 37.0000000000001,-75.61000061 37.0000000000001,-75.599998474 37.0000000000001,-75.566665649 37.0000000000001,-75.550003052 37.0000000000001,-75.5333328249999 37.0000000000001,-75.516670227 37.0000000000001,-75.4999999999999 37.0000000000001,-75.483329773 37.0000000000001,-75.4666671749999 37.0000000000001,-75.449996948 37.0000000000001,-75.433334351 37.0000000000001,-75.416664124 37.0000000000001,-75.400001526 37.0000000000001,-75.383331299 37.0000000000001,-75.366668701 37.0000000000001,-75.349998474 37.0000000000001,-75.333335876 37.0000000000001,-75.316665649 37.0000000000001,-75.300003052 37.0000000000001,-75.2833328249999 37.0000000000001,-75.266670227 37.0000000000001,-75.2499999999999 37.0000000000001,-75.233329773 37.0000000000001,-75.2166671749999 37.0000000000001,-75.199996948 37.0000000000001,-75.183334351 37.0000000000001,-75.166664124 37.0000000000001,-75.150001526 37.0000000000001,-75.133331299 37.0000000000001,-75.116668701 37.0000000000001,-75.099998474 37.0000000000001,-75.083335876 37.0000000000001,-75.066665649 37.0000000000001,-75.050003052 37.0000000000001,-75.0333328249999 37.0000000000001,-75.016670227 37.0000000000001,-74.9999999999999 37.0000000000001,-74.983329773 37.0000000000001,-74.9666671749999 37.0000000000001,-74.949996948 37.0000000000001,-74.933334351 37.0000000000001,-74.916664124 37.0000000000001,-74.900001526 37.0000000000001,-74.883331299 37.0000000000001,-74.866668701 37.0000000000001,-74.849998474 37.0000000000001,-74.833335876 37.0000000000001,-74.816665649 37.0000000000001,-74.8100051879999 37.0000000000001,-74.800003052 37.0000000000001,-74.7833328249999 37.0000000000001,-74.766670227 37.0000000000001,-74.7499999999999 37.0000000000001,-74.733329773 37.0000000000001,-74.7166671749999 37.0000000000001,-74.699996948 37.0000000000001,-74.683334351 37.0000000000001,-74.666664124 37.0000000000001,-74.650001526 37.0000000000001,-74.633331299 37.0000000000001,-74.616668701 37.0000000000001,-74.599998474 37.0000000000001,-74.566665649 37.0000000000001,-74.550003052 37.0000000000001,-74.5333328249999 37.0000000000001,-74.516670227 37.0000000000001,-74.4999999999999 37.0000000000001,-74.483329773 37.0000000000001,-74.4666671749999 37.0000000000001,-74.449996948 37.0000000000001,-74.433334351 37.0000000000001,-74.416664124 37.0000000000001,-74.400001526 37.0000000000001,-74.383331299 37.0000000000001,-74.366668701 37.0000000000001,-74.349998474 37.0000000000001,-74.333335876 37.0000000000001,-74.316665649 37.0000000000001,-74.300003052 37.0000000000001,-74.2833328249999 37.0000000000001,-74.266670227 37.0000000000001,-74.2499999999999 37.0000000000001,-74.233329773 37.0000000000001,-74.2166671749999 37.0000000000001,-74.199996948 37.0000000000001,-74.183334351 37.0000000000001,-74.166664124 37.0000000000001,-74.150001526 37.0000000000001,-74.133331299 37.0000000000001,-74.116668701 37.0000000000001,-74.099998474 37.0000000000001,-74.083335876 37.0000000000001,-74.066665649 37.0000000000001,-74.050003052 37.0000000000001,-74.0333328249999 37.0000000000001,-74.016670227 37.0000000000001,-74.010002136 37.0000000000001,-73.9999999999999 37.0000000000001,-73.983329773 37.0000000000001,-73.9666671749999 37.0000000000001,-73.949996948 37.0000000000001,-73.933334351 37.0000000000001,-73.916664124 37.0000000000001,-73.900001526 37.0000000000001,-73.883331299 37.0000000000001,-73.866668701 37.0000000000001,-73.849998474 37.0000000000001,-73.833335876 37.0000000000001,-73.816665649 37.0000000000001,-73.800003052 37.0000000000001,-73.7833328249999 37.0000000000001,-73.766670227 37.0000000000001,-73.7499999999999 37.0000000000001,-73.733329773 37.0000000000001,-73.7166671749999 37.0000000000001,-73.699996948 37.0000000000001,-73.683334351 37.0000000000001,-73.666664124 37.0000000000001,-73.650001526 37.0000000000001,-73.633331299 37.0000000000001,-73.616668701 37.0000000000001,-73.599998474 37.0000000000001,-73.566665649 37.0000000000001,-73.550003052 37.0000000000001,-73.5333328249999 37.0000000000001,-73.516670227 37.0000000000001,-73.4999999999999 37.0000000000001,-73.483329773 37.0000000000001,-73.4666671749999 37.0000000000001,-73.449996948 37.0000000000001,-73.433334351 37.0000000000001,-73.416664124 37.0000000000001,-73.400001526 37.0000000000001,-73.383331299 37.0000000000001,-73.366668701 37.0000000000001,-73.349998474 37.0000000000001,-73.333335876 37.0000000000001,-73.316665649 37.0000000000001,-73.300003052 37.0000000000001,-73.2833328249999 37.0000000000001,-73.266670227 37.0000000000001,-73.2499999999999 37.0000000000001,-73.233329773 37.0000000000001,-73.2166671749999 37.0000000000001,-73.210006714 37.0000000000001,-73.199996948 37.0000000000001,-73.183334351 37.0000000000001,-73.166664124 37.0000000000001,-73.150001526 37.0000000000001,-73.133331299 37.0000000000001,-73.116668701 37.0000000000001,-73.099998474 37.0000000000001,-73.083335876 37.0000000000001,-73.066665649 37.0000000000001,-73.050003052 37.0000000000001,-73.0333328249999 37.0000000000001,-73.016670227 37.0000000000001,-72.9999999999999 37.0000000000001,-72.983329773 37.0000000000001,-72.9666671749999 37.0000000000001,-72.949996948 37.0000000000001,-72.933334351 37.0000000000001,-72.916664124 37.0000000000001,-72.900001526 37.0000000000001,-72.883331299 37.0000000000001,-72.866668701 37.0000000000001,-72.849998474 37.0000000000001,-72.833335876 37.0000000000001,-72.816665649 37.0000000000001,-72.800003052 37.0000000000001,-72.7833328249999 37.0000000000001,-72.766670227 37.0000000000001,-72.7499999999999 37.0000000000001,-72.733329773 37.0000000000001,-72.7166671749999 37.0000000000001,-72.699996948 37.0000000000001,-72.683334351 37.0000000000001,-72.666664124 37.0000000000001,-72.650001526 37.0000000000001,-72.633331299 37.0000000000001,-72.616668701 37.0000000000001,-72.599998474 37.0000000000001,-72.566665649 37.0000000000001,-72.550003052 37.0000000000001,-72.5333328249999 37.0000000000001,-72.516670227 37.0000000000001,-72.4999999999999 37.0000000000001,-72.483329773 37.0000000000001,-72.4666671749999 37.0000000000001,-72.449996948 37.0000000000001,-72.433334351 37.0000000000001,-72.416664124 37.0000000000001,-72.410003662 37.0000000000001,-72.400001526 37.0000000000001,-72.383331299 37.0000000000001,-72.366668701 37.0000000000001,-72.349998474 37.0000000000001,-72.333335876 37.0000000000001,-72.316665649 37.0000000000001,-72.300003052 37.0000000000001,-72.2833328249999 37.0000000000001,-72.266670227 37.0000000000001,-72.2499999999999 37.0000000000001,-72.233329773 37.0000000000001,-72.2166671749999 37.0000000000001,-72.199996948 37.0000000000001,-72.183334351 37.0000000000001,-72.166664124 37.0000000000001,-72.150001526 37.0000000000001,-72.133331299 37.0000000000001,-72.116668701 37.0000000000001,-72.099998474 37.0000000000001,-72.083335876 37.0000000000001,-72.066665649 37.0000000000001,-72.050003052 37.0000000000001,-72.0333328249999 37.0000000000001,-72.016670227 37.0000000000001,-71.9999999999999 37.0000000000001,-71.983329773 37.0000000000001,-71.9666671749999 37.0000000000001,-71.949996948 37.0000000000001,-71.933334351 37.0000000000001,-71.916664124 37.0000000000001,-71.900001526 37.0000000000001,-71.883331299 37.0000000000001,-71.866668701 37.0000000000001,-71.849998474 37.0000000000001,-71.833335876 37.0000000000001,-71.816665649 37.0000000000001,-71.800003052 37.0000000000001,-71.7833328249999 37.0000000000001,-71.766670227 37.0000000000001,-71.7499999999999 37.0000000000001,-71.733329773 37.0000000000001,-71.7166671749999 37.0000000000001,-71.699996948 37.0000000000001,-71.683334351 37.0000000000001,-71.666664124 37.0000000000001,-71.650001526 37.0000000000001,-71.633331299 37.0000000000001,-71.616668701 37.0000000000001,-71.61000061 37.0000000000001,-71.599998474 37.0000000000001,-71.566665649 37.0000000000001,-71.550003052 37.0000000000001,-71.5333328249999 37.0000000000001,-71.516670227 37.0000000000001,-71.4999999999999 37.0000000000001,-71.483329773 37.0000000000001,-71.4666671749999 37.0000000000001,-71.449996948 37.0000000000001,-71.433334351 37.0000000000001,-71.416664124 37.0000000000001,-71.400001526 37.0000000000001,-71.383331299 37.0000000000001,-71.366668701 37.0000000000001,-71.349998474 37.0000000000001,-71.333335876 37.0000000000001,-71.316665649 37.0000000000001,-71.300003052 37.0000000000001,-71.2833328249999 37.0000000000001,-71.266670227 37.0000000000001,-71.2499999999999 37.0000000000001,-71.233329773 37.0000000000001,-71.2166671749999 37.0000000000001,-71.199996948 37.0000000000001,-71.183334351 37.0000000000001,-71.166664124 37.0000000000001,-71.150001526 37.0000000000001,-71.133331299 37.0000000000001,-71.116668701 37.0000000000001,-71.099998474 37.0000000000001,-71.083335876 37.0000000000001,-71.066665649 37.0000000000001,-71.050003052 37.0000000000001,-71.0333328249999 37.0000000000001,-71.016670227 37.0000000000001,-70.9999999999999 37.0000000000001,-70.983329773 37.0000000000001,-70.9666671749999 37.0000000000001,-70.949996948 37.0000000000001,-70.933334351 37.0000000000001,-70.916664124 37.0000000000001,-70.900001526 37.0000000000001,-70.883331299 37.0000000000001,-70.866668701 37.0000000000001,-70.849998474 37.0000000000001,-70.833335876 37.0000000000001,-70.816665649 37.0000000000001,-70.8100051879999 37.0000000000001,-70.800003052 37.0000000000001,-70.7833328249999 37.0000000000001,-70.766670227 37.0000000000001,-70.7499999999999 37.0000000000001,-70.733329773 37.0000000000001,-70.7166671749999 37.0000000000001,-70.699996948 37.0000000000001,-70.683334351 37.0000000000001,-70.666664124 37.0000000000001,-70.650001526 37.0000000000001,-70.633331299 37.0000000000001,-70.616668701 37.0000000000001,-70.599998474 37.0000000000001,-70.566665649 37.0000000000001,-70.550003052 37.0000000000001,-70.5333328249999 37.0000000000001,-70.516670227 37.0000000000001,-70.4999999999999 37.0000000000001,-70.483329773 37.0000000000001,-70.4666671749999 37.0000000000001,-70.449996948 37.0000000000001,-70.433334351 37.0000000000001,-70.416664124 37.0000000000001,-70.400001526 37.0000000000001,-70.383331299 37.0000000000001,-70.366668701 37.0000000000001,-70.349998474 37.0000000000001,-70.333335876 37.0000000000001,-70.316665649 37.0000000000001,-70.300003052 37.0000000000001,-70.2833328249999 37.0000000000001,-70.266670227 37.0000000000001,-70.2499999999999 37.0000000000001,-70.233329773 37.0000000000001,-70.2166671749999 37.0000000000001,-70.199996948 37.0000000000001,-70.183334351 37.0000000000001,-70.166664124 37.0000000000001,-70.150001526 37.0000000000001,-70.133331299 37.0000000000001,-70.116668701 37.0000000000001,-70.099998474 37.0000000000001,-70.083335876 37.0000000000001,-70.066665649 37.0000000000001,-70.050003052 37.0000000000001,-70.0333328249999 37.0000000000001,-70.016670227 37.0000000000001,-69.9999999999999 37.0000000000001,-69.9999999999999 36.9833335880001,-69.9999999999999 36.9666671750001,-69.9999999999999 36.950000763,-69.9999999999999 36.933334351,-69.9999999999999 36.916667938,-69.9999999999999 36.900001526,-69.9999999999999 36.883335114,-69.9999999999999 36.866664886,-69.9999999999999 36.8499984740001,-69.9999999999999 36.8333320620001,-69.9999999999999 36.8166656490001,-69.9999999999999 36.7999992370001,-69.9999999999999 36.7833328250001,-69.9999999999999 36.7666664120001,-69.9999999999999 36.7500000000001,-69.9999999999999 36.7333335880001,-69.9999999999999 36.7166671750001,-69.9999999999999 36.700000763,-69.9999999999999 36.683334351,-69.9999999999999 36.666667938,-69.9999999999999 36.650001526,-69.9999999999999 36.633335114,-69.9999999999999 36.616664886,-69.9999999999999 36.5999984740001,-69.9999999999999 36.5833320620001,-69.9999999999999 36.5666656490001,-69.9999999999999 36.5499992370001,-69.9999999999999 36.5333328250001,-69.9999999999999 36.5166664120001,-69.9999999999999 36.5000000000001,-69.9999999999999 36.4833335880001,-69.9999999999999 36.4666671750001,-69.9999999999999 36.450000763,-69.9999999999999 36.433334351,-69.9999999999999 36.416667938,-69.9999999999999 36.400001526,-69.9999999999999 36.383335114,-69.9999999999999 36.366664886,-69.9999999999999 36.3499984740001,-69.9999999999999 36.3333320620001,-69.9999999999999 36.3166656490001,-69.9999999999999 36.2999992370001,-69.9999999999999 36.2833328250001,-69.9999999999999 36.2666664120001,-69.9999999999999 36.2500000000001,-69.9999999999999 36.2333335880001,-69.9999999999999 36.2166671750001,-69.9999999999999 36.200000763,-69.9999999999999 36.183334351,-69.9999999999999 36.166667938,-69.9999999999999 36.150001526,-69.9999999999999 36.133335114,-69.9999999999999 36.116664886,-69.9999999999999 36.0999984740001,-69.9999999999999 36.0833320620001,-69.9999999999999 36.0666656490001,-69.9999999999999 36.0499992370001,-69.9999999999999 36.0333328250001,-69.9999999999999 36.0166664120001,-69.9999999999999 36.0000000000001,-69.9999999999999 35.9833335880001,-69.9999999999999 35.9666671750001,-69.9999999999999 35.950000763,-69.9999999999999 35.933334351,-69.9999999999999 35.916667938,-69.9999999999999 35.900001526,-69.9999999999999 35.883335114,-69.9999999999999 35.866664886,-69.9999999999999 35.8499984740001,-69.9999999999999 35.8333320620001,-69.9999999999999 35.8166656490001,-69.9999999999999 35.7999992370001,-69.9999999999999 35.7833328250001,-69.9999999999999 35.7666664120001,-69.9999999999999 35.7500000000001,-69.9999999999999 35.7333335880001,-69.9999999999999 35.7166671750001,-69.9999999999999 35.700000763,-69.9999999999999 35.683334351,-69.9999999999999 35.666667938,-69.9999999999999 35.650001526,-69.9999999999999 35.633335114,-69.9999999999999 35.616664886,-69.9999999999999 35.5999984740001,-69.9999999999999 35.5833320620001,-69.9999999999999 35.5666656490001,-69.9999999999999 35.5499992370001,-69.9999999999999 35.5333328250001,-69.9999999999999 35.5166664120001,-69.9999999999999 35.5000000000001,-69.9999999999999 35.4833335880001,-69.9999999999999 35.4666671750001,-69.9999999999999 35.450000763,-69.9999999999999 35.433334351,-69.9999999999999 35.416667938,-69.9999999999999 35.400001526,-69.9999999999999 35.383335114,-69.9999999999999 35.366664886,-69.9999999999999 35.3499984740001,-69.9999999999999 35.3333320620001,-69.9999999999999 35.3166656490001,-69.9999999999999 35.2999992370001,-69.9999999999999 35.2833328250001,-69.9999999999999 35.2666664120001,-69.9999999999999 35.2500000000001,-69.9999999999999 35.2333335880001,-69.9999999999999 35.2166671750001,-69.9999999999999 35.200000763,-69.9999999999999 35.183334351,-69.9999999999999 35.166667938,-69.9999999999999 35.150001526,-69.9999999999999 35.133335114,-69.9999999999999 35.116664886,-69.9999999999999 35.0999984740001,-69.9999999999999 35.0833320620001,-69.9999999999999 35.0666656490001,-69.9999999999999 35.0499992370001,-69.9999999999999 35.0333328250001,-69.9999999999999 35.0166664120001,-69.9999999999999 35.0000000000001,-70.199996948 35.0000000000001,-70.9999999999999 35.0000000000001,-71.4799957279999 35.0000000000001,-71.800003052 35.0000000000001,-72.279998779 35.0000000000001,-72.599998474 35.0000000000001,-73.0800018309999 35.0000000000001,-73.400001526 35.0000000000001,-73.8799972529999 35.0000000000001,-74.680000305 34.998939514,-74.999992371 34.998672485,-75.479972839 34.9966850280001,-76.311698914 34.9909439090001,-76.300003052 34.950000763,-76.349998474 34.950000763,-76.400001526 34.900001526,-76.7499999999999 34.8300018310001,-76.9999999999999 35.0000000000001,-77.800003052 35.0000000000001,-78.199996948 35.0000000000001,-78.599998474 35.0000000000001,-78.9999999999999 35.0000000000001,-78.9999999999999 36.200000763,-78.9999999999999 37.0000000000001,-77.1200027469999 37.5400009160001,-76.6200027469999 37.270000458)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.6', '', '21.6', '21.6.C', '', '21.6C', '', '', '', '', '', '', '', '6C', '3', '21.6.C', '21.6C', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999993199998 50.5920000350001,-1.94129993299993 49.726100032,-1.91980461099996 49.7006949390001,-1.82823364999996 49.640468985,-1.75173651999995 49.5901570440001,-1.58615120499996 49.4297462710001,-1.13714745699997 49.0203605,-0.985753252999928 48.9553132450001,-0.882413618999976 48.788103178,-1.48611605099995 48.0000000000001,-1.58349705899997 47.872873989,-2.60992900899993 48.050571045,-3.62010948599993 48.0051215500001,-4.49597993299994 48.0000000300001,-4.56421395399997 48.000000018,-4.56912886299995 48.0000000150001,-4.99999996899993 48.0000000300001,-4.99999993399996 49.500000019,-6.99999991999994 49.5000000320001,-6.99999995399997 50.000000023,-6.99998747799998 50.0000000320001,-5.26639993099997 50.0000000300001,-5.24399999999997 50.0000000000001,-5.23105207299994 50.0087029380001,-5.21853174699993 50.1567622040001,-5.16326585799993 50.2037382090001,-5.03200750599996 50.315307809,-4.22995326899996 50.632399019,-3.88089952099995 50.729233284,-2.78439040199993 51.033426137,-2.64316220599994 51.236441669,-2.33673222299996 51.6769347680001,-2.85823575899997 52.0000000000001,-2.95549879199996 52.060253291,-1.99999999999994 52.561194406,-1.83552415699995 52.647424459,-1.92161067699993 51.4804025700001,-1.96486011399998 50.894096619,-1.96852162599993 50.8626186430001,-1.99999993199998 50.5920000350001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VII', '', '27.VII', '27.VII.e', 'Western English Channel', '27.VIIe', '', '', '', '', '', '', '', 'VIIe', '3', '27.7.e', '27.VIIe', 'Y'),('SRID=4326;MULTIPOLYGON(((68.5000001350001 90,68.5000001350001 76.814765057,68.0000000000001 76.6299972530001,65.900001526 76.2600021360001,65.1046447750001 76.173927307,64.338955282 75.9842574130001,62.4607655900001 75.8749447850001,61.9355456500001 75.81212499,60.515938528 75.493227738,59.4729350360001 75.334914708,59.2065260620001 75.2944776310001,58.993051855 75.198332759,57.979999542 74.9100036620001,57.1995225630001 74.410496466,56.84490715 74.2656535510001,56.3442428560001 73.8715135750001,55.9329948970001 73.5291090380001,55.813612891 73.5609442400001,55.6290241450001 73.4706531250001,54.9275531810001 73.143300008,54.3650653440001 71.99787023,54.284538131 71.8338875420001,55.1643081490001 71.437128515,55.5499992370001 71.1800003050001,55.918920304 71.0968132290001,56.330406189 71.00402832,57.5900001530001 70.7200012210001,58.479999542 70.319999695,59.479999542 70.1399993900001,59.874820528 69.9206562570001,60.077388727 69.808119323,60.6396218190001 69.491270382,61.2400016780001 69.150001526,61.504141706 69.050168227,61.9883346560001 68.8671646120001,62.7366676330001 68.5843200680001,63.65861848 68.2358611400001,60.852604393 67.439031356,58.004386879 63.9264760300001,51.603636893 62.927102426,44.084540255 61.8563449930001,41.369562919 61.9063906590001,38.9211099680001 61.951523432,31.928542941 63.429447693,31.4266550630001 63.5355249420001,31.3782187210001 63.5457622760001,26.5241183590001 68.161916541,26.5085894900001 68.2358611400001,26.0000000950001 70.657636912,26.0000000950001 72.0000000260001,30.0000000490001 72.0000000530001,30.0000000590001 73.5000000540001,30.000000099 90,68.5000001350001 90),(39.760000108 72.2600000530001,40.5100001500001 72.2000003190001,40.6600003460001 73.170000267,41.5600001180001 73.9800000930001,41.7013850060001 74.678607776,41.7300003180001 74.8200001370001,43.1800002200001 75.390000253,43.510000275 75.990000163,44.6799999880001 76.7500000690001,43.0600001110001 76.9000000570001,42.8100001110001 76.9000000570001,41.2400001090001 76.610000057,39.6100001080001 76.2600000570001,39.0500001070001 75.8400000560001,38.3100001070001 75.4500000560001,37.5700001060001 75.1400000560001,36.3800001050001 74.7100000550001,35.2800001040001 74.3600000550001,34.5500001030001 74.1800000550001,33.7000007780001 73.980000214,35.700000104 73.5600000540001,36.610000105 73.3700000540001,37.740000106 73.0400000540001,38.960000107 72.6200000530001,39.760000108 72.2600000530001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.I', 'Barents Sea', '27.I', '27.I.b', 'Barents Sea Non-NEAFC Regulatory Area', '27.Ib', '', '', '', '', '', '', '', 'Ib', '3', '27.1.b', '27.Ib', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.87826186999996 48.0000000000001,-0.868458889999943 46.1391557420001,-0.950315208999939 46.0000000000001,-0.955251010999973 45.9916091370001,-1.05429976199997 46.0000000140001,-1.05430399299996 46.0000000000001,-1.11139992999995 45.999600028,-1.11166292999997 45.999640028,-3.99977155899995 46.0000000000001,-3.99999993299997 46.000000017,-4.99999993399996 46.000000028,-4.99999993399996 47.000000029,-5.99999993499995 47.000000029,-5.99999993499995 47.5000000300001,-7.99999993599994 47.5000000300001,-7.99999993599994 48.000000018,-4.99999996899993 48.0000000300001,-4.56912886299995 48.0000000150001,-4.56609993299998 47.99930003,-4.56489993299994 47.9996000300001,-4.56421395399997 48.000000018,-4.49597993299994 48.0000000300001,-3.62010948599993 48.0051215500001,-2.60992900899993 48.050571045,-1.58349705899997 47.872873989,-1.48611605099995 48.0000000000001,-0.882413618999976 48.788103178,-0.87826186999996 48.0000000000001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VIII', 'Bay of Biscay', '27.VIII', '27.VIII.a', 'Bay of Biscay - North', '27.VIIIa', '', '', '', '', '', '', '', 'VIIIa', '3', '27.8.a', '27.VIIIa', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.749170153999955 46.0000000000001,-0.0701988979999442 45.207949114,-0.0174022769999738 44.4423981080001,-0.0701988979999442 44.099220071,-0.339461664999931 43.0380079880001,-0.487692816999925 43.0000000000001,-1.20000004799994 43.0000000000001,-1.59999990499995 43.0000000000001,-1.99399596499995 43.0000000000001,-1.99999993099993 43.3170057680001,-1.99999993099993 43.320725026,-1.99999993099993 43.322460026,-1.99999993099993 44.5000000270001,-2.99999995899998 44.5000000270001,-2.99999993199998 45.500000028,-3.99999993299997 45.500000028,-3.99999993299997 46.000000017,-3.99977155899995 46.0000000000001,-1.11166292999997 45.999640028,-1.11139992999995 45.999600028,-1.05430399299996 46.0000000000001,-1.05429976199997 46.0000000140001,-0.955251010999973 45.9916091370001,-0.950315208999939 46.0000000000001,-0.868458889999943 46.1391557420001,-0.749170153999955 46.0000000000001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VIII', 'Bay of Biscay', '27.VIII', '27.VIII.b', 'Bay of Biscay - Central', '27.VIIIb', '', '', '', '', '', '', '', 'VIIIb', '3', '27.8.b', '27.VIIIb', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999993099993 43.3170057680001,-1.99399596499995 43.0000000000001,-1.99399928599996 43.0000000000001,-1.98671624299993 42.6156350190001,-4.46067880899994 42.4214011060001,-5.59999990499995 42.428025066,-6.76280334299997 42.4347855510001,-8.24366519999995 43.0000000000001,-8.51616563399995 43.104007799,-9.09099999999995 43.0000000000001,-9.26809992499994 43.0000000000001,-9.26878627699995 43.0000000000001,-9.31168863099998 43.000000001,-10.999999939 43.0000000260001,-10.999999939 44.5000000160001,-2.99999995899998 44.5000000270001,-1.99999993099993 44.5000000270001,-1.99999993099993 43.322460026,-1.99999993099993 43.320725026,-1.99999993099993 43.3170057680001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VIII', 'Bay of Biscay', '27.VIII', '27.VIII.c', 'Bay of Biscay - South', '27.VIIIc', '', '', '', '', '', '', '', 'VIIIc', '3', '27.8.c', '27.VIIIc', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.999999991 61.5499992370001,-43.9999999939999 60.7500000000001,-44.7234464479999 61.007017519,-45.288981615 61.015994268,-45.387515128 61.0272099360001,-45.435844173 61.0096357370001,-45.473921602 60.948126044,-45.692134562 60.899797,-45.8459087959999 60.8558615040001,-45.919134621 60.8470744050001,-45.9469604349999 60.841216339,-45.9835733469999 60.82803569,-46.0201862599999 60.8089969750001,-46.015792711 60.791422777,-46.0831604699999 60.766525997,-46.1538734439999 60.7500000000001,-48.2000007629999 60.7500000000001,-48.2333335879999 60.7500000000001,-48.2666664119999 60.7500000000001,-48.299999237 60.7500000000001,-48.333332062 60.7500000000001,-48.366664886 60.7500000000001,-48.400001526 60.7500000000001,-48.433334351 60.7500000000001,-48.4666671749999 60.7500000000001,-48.4999999999999 60.7500000000001,-48.5333328249999 60.7500000000001,-48.566665649 60.7500000000001,-48.599998474 60.7500000000001,-48.633335114 60.7500000000001,-48.6666679379999 60.7500000000001,-48.7000007629999 60.7500000000001,-48.7333335879999 60.7500000000001,-48.7666664119999 60.7500000000001,-48.799999237 60.7500000000001,-48.833332062 60.7500000000001,-48.866664886 60.7500000000001,-48.900001526 60.7500000000001,-48.933334351 60.7500000000001,-48.9666671749999 60.7500000000001,-48.9999999999999 60.7500000000001,-49.0333328249999 60.7500000000001,-49.066665649 60.7500000000001,-49.099998474 60.7500000000001,-49.133335114 60.7500000000001,-49.1666679379999 60.7500000000001,-49.2000007629999 60.7500000000001,-49.2333335879999 60.7500000000001,-49.2666664119999 60.7500000000001,-49.299999237 60.7500000000001,-49.333332062 60.7500000000001,-49.366664886 60.7500000000001,-49.400001526 60.7500000000001,-49.433334351 60.7500000000001,-49.4666671749999 60.7500000000001,-49.4999999999999 60.7500000000001,-49.5333328249999 60.7500000000001,-49.566665649 60.7500000000001,-49.599998474 60.7500000000001,-49.633335114 60.7500000000001,-49.6666679379999 60.7500000000001,-49.7000007629999 60.7500000000001,-49.7333335879999 60.7500000000001,-49.7666664119999 60.7500000000001,-49.799999237 60.7500000000001,-49.833332062 60.7500000000001,-49.866664886 60.7500000000001,-49.900001526 60.7500000000001,-49.933334351 60.7500000000001,-49.9666671749999 60.7500000000001,-49.9999999999999 60.7500000000001,-50.0333328249999 60.7500000000001,-50.066665649 60.7500000000001,-50.099998474 60.7500000000001,-50.1333351129999 60.7500000000001,-50.1666679379999 60.7500000000001,-50.2000007629999 60.7500000000001,-50.2333335879999 60.7500000000001,-50.2666664119999 60.7500000000001,-50.299999237 60.7500000000001,-50.333332062 60.7500000000001,-50.366664886 60.7500000000001,-50.4000015249999 60.7500000000001,-50.433334351 60.7500000000001,-50.4666671749999 60.7500000000001,-50.4999999999999 60.7500000000001,-50.5333328249999 60.7500000000001,-50.566665649 60.7500000000001,-50.599998474 60.7500000000001,-50.633335114 60.7500000000001,-50.6666679379999 60.7500000000001,-50.7000007629999 60.7500000000001,-50.7333335879999 60.7500000000001,-50.7666664119999 60.7500000000001,-50.799999237 60.7500000000001,-50.833332062 60.7500000000001,-50.866664886 60.7500000000001,-50.900001526 60.7500000000001,-50.9333343499999 60.7500000000001,-50.9666671749999 60.7500000000001,-50.9999999999999 60.7500000000001,-51.0333328249999 60.7500000000001,-51.066665649 60.7500000000001,-51.099998474 60.7500000000001,-51.1333351129999 60.7500000000001,-51.1666679379999 60.7500000000001,-51.2000007619999 60.7500000000001,-51.2333335879999 60.7500000000001,-51.2666664119999 60.7500000000001,-51.299999237 60.7500000000001,-51.333332062 60.7500000000001,-51.366664886 60.7500000000001,-51.4000015249999 60.7500000000001,-51.433334351 60.7500000000001,-51.4666671749999 60.7500000000001,-51.4999999999999 60.7500000000001,-51.5333328249999 60.7500000000001,-51.566665649 60.7500000000001,-51.599998474 60.7500000000001,-51.633335114 60.7500000000001,-51.6666679379999 60.7500000000001,-51.7000007629999 60.7500000000001,-51.7333335879999 60.7500000000001,-51.7666664119999 60.7500000000001,-51.799999237 60.7500000000001,-51.833332062 60.7500000000001,-51.866664886 60.7500000000001,-51.900001526 60.7500000000001,-51.9333343499999 60.7500000000001,-51.9666671749999 60.7500000000001,-51.9999999999999 60.7500000000001,-52.0333328249999 60.7500000000001,-52.066665649 60.7500000000001,-52.099998474 60.7500000000001,-52.133335113 60.7500000000001,-52.1666679379999 60.7500000000001,-52.2000007629999 60.7500000000001,-52.2333335879999 60.7500000000001,-52.2666664119999 60.7500000000001,-52.299999237 60.7500000000001,-52.333332062 60.7500000000001,-52.366664886 60.7500000000001,-52.400001526 60.7500000000001,-52.433334351 60.7500000000001,-52.4666671749999 60.7500000000001,-52.4999999999999 60.7500000000001,-52.5333328249999 60.7500000000001,-52.566665649 60.7500000000001,-52.599998474 60.7500000000001,-52.633335114 60.7500000000001,-52.6666679379999 60.7500000000001,-52.7000007629999 60.7500000000001,-52.7333335869999 60.7500000000001,-52.7666664119999 60.7500000000001,-52.799999237 60.7500000000001,-52.833332062 60.7500000000001,-52.866664886 60.7500000000001,-52.900001526 60.7500000000001,-52.9333343499999 60.7500000000001,-52.9666671749999 60.7500000000001,-52.9999999999999 60.7500000000001,-53.0333328249999 60.7500000000001,-53.066665649 60.7500000000001,-53.099998474 60.7500000000001,-53.133335113 60.7500000000001,-53.1666679379999 60.7500000000001,-53.2000007629999 60.7500000000001,-53.2333335879999 60.7500000000001,-53.2666664119999 60.7500000000001,-53.299999237 60.7500000000001,-53.333332062 60.7500000000001,-53.366664886 60.7500000000001,-53.400001526 60.7500000000001,-53.433334351 60.7500000000001,-53.4666671749999 60.7500000000001,-53.4999999999999 60.7500000000001,-53.533332824 60.7500000000001,-53.566665649 60.7500000000001,-53.599998474 60.7500000000001,-53.633335114 60.7500000000001,-53.6666679379999 60.7500000000001,-53.7000007629999 60.7500000000001,-53.7333335869999 60.7500000000001,-53.7666664119999 60.7500000000001,-53.799999237 60.7500000000001,-53.833332062 60.7500000000001,-53.866664886 60.7500000000001,-53.900001526 60.7500000000001,-53.9333343499999 60.7500000000001,-53.9666671749999 60.7500000000001,-53.9999999999999 60.7500000000001,-54.0333328249999 60.7500000000001,-54.066665649 60.7500000000001,-54.099998474 60.7500000000001,-54.133335113 60.7500000000001,-54.1666679379999 60.7500000000001,-54.2000007629999 60.7500000000001,-54.2333335879999 60.7500000000001,-54.2666664119999 60.7500000000001,-54.299999237 60.7500000000001,-54.333332062 60.7500000000001,-54.366664886 60.7500000000001,-54.400001526 60.7500000000001,-54.433334351 60.7500000000001,-54.4666671749999 60.7500000000001,-54.4999999999999 60.7500000000001,-54.533332824 60.7500000000001,-54.566665649 60.7500000000001,-54.599998474 60.7500000000001,-54.633335114 60.7500000000001,-54.6666679379999 60.7500000000001,-54.7000007629999 60.7500000000001,-54.7333335869999 60.7500000000001,-54.7666664119999 60.7500000000001,-54.799999237 60.7500000000001,-54.833332062 60.7500000000001,-54.866664886 60.7500000000001,-54.900001526 60.7500000000001,-54.9333343499999 60.7500000000001,-54.9666671749999 60.7500000000001,-54.9999999999999 60.7500000000001,-55.0333328249999 60.7500000000001,-55.066665649 60.7500000000001,-55.099998474 60.7500000000001,-55.133335113 60.7500000000001,-55.1666679379999 60.7500000000001,-55.2000007629999 60.7500000000001,-55.2333335879999 60.7500000000001,-55.2666664119999 60.7500000000001,-55.299999237 60.7500000000001,-55.333332061 60.7500000000001,-55.366664886 60.7500000000001,-55.400001526 60.7500000000001,-55.433334351 60.7500000000001,-55.4666671749999 60.7500000000001,-55.4999999999999 60.7500000000001,-55.533332824 60.7500000000001,-55.566665649 60.7500000000001,-55.599998474 60.7500000000001,-55.633335114 60.7500000000001,-55.6666679379999 60.7500000000001,-55.7000007629999 60.7500000000001,-55.7333335869999 60.7500000000001,-55.7666664119999 60.7500000000001,-55.799999237 60.7500000000001,-55.833332062 60.7500000000001,-55.866664886 60.7500000000001,-55.900001526 60.7500000000001,-55.9333343499999 60.7500000000001,-55.9666671749999 60.7500000000001,-55.9999999999999 60.7500000000001,-56.0333328249999 60.7500000000001,-56.066665649 60.7500000000001,-56.099998474 60.7500000000001,-56.133335113 60.7500000000001,-56.1666679379999 60.7500000000001,-56.2000007629999 60.7500000000001,-56.2333335879999 60.7500000000001,-56.2666664119999 60.7500000000001,-56.299999237 60.7500000000001,-56.333332061 60.7500000000001,-56.366664886 60.7500000000001,-56.400001526 60.7500000000001,-56.433334351 60.7500000000001,-56.4666671749999 60.7500000000001,-56.4999999999999 60.7500000000001,-56.533332824 60.7500000000001,-56.566665649 60.7500000000001,-56.599998474 60.7500000000001,-56.633335114 60.7500000000001,-56.6666679379999 60.7500000000001,-56.7000007629999 60.7500000000001,-56.7333335869999 60.7500000000001,-56.7666664119999 60.7500000000001,-56.799999237 60.7500000000001,-56.833332062 60.7500000000001,-56.866664886 60.7500000000001,-56.900001526 60.7500000000001,-56.9333343499999 60.7500000000001,-56.9666671749999 60.7500000000001,-56.9999999999999 60.7500000000001,-57.0333328249999 60.7500000000001,-57.066665649 60.7500000000001,-57.099998474 60.7500000000001,-57.217803955 60.7500000000001,-57.217803955 60.7511215210001,-57.217842102 60.76889801,-57.217880249 60.7866745000001,-57.217918396 60.804454804,-57.217956543 60.8222312930001,-57.21799469 60.840007782,-57.2180290219999 60.8577842720001,-57.2180671689999 60.87556076,-57.2181053159999 60.8933372500001,-57.2181434629999 60.911117554,-57.2181816099999 60.9288940430001,-57.218219757 60.946670532,-57.218257904 60.9644470220001,-57.218296051 60.982223511,-57.218334198 61.0000000000001,-57.2206001279999 61.0176925660001,-57.222869873 61.035385132,-57.225139617 61.053077698,-57.227413177 61.070770264,-57.229690552 61.0884628300001,-57.231967926 61.1061553960001,-57.234249115 61.1238441470001,-57.236534118 61.1415367130001,-57.2388191219999 61.159229279,-57.2411079409999 61.176921844,-57.243400573 61.1946105960001,-57.2456932069999 61.2123031620001,-57.247989655 61.2299957280001,-57.250289917 61.2476882930001,-57.252590179 61.265377045,-57.2548942569999 61.283069611,-57.257202148 61.3007621770001,-57.259513855 61.3184509280001,-57.261825561 61.3361434940001,-57.264137268 61.353832245,-57.266456604 61.371524811,-57.26877594 61.3892135620001,-57.27109909 61.4069061280001,-57.273426055 61.42459488,-57.275753021 61.442287445,-57.278083801 61.4599761970001,-57.2804145809999 61.477664948,-57.2827529909999 61.495357514,-57.2850913999999 61.5130462650001,-57.2874298099999 61.5307388310001,-57.289775848 61.548427582,-57.292121887 61.5661163330001,-57.2944717399999 61.5838050840001,-57.2968215939999 61.6014976500001,-57.299179077 61.619186401,-57.3015365599999 61.6368751530001,-57.303894043 61.654563904,-57.30625534 61.6722526550001,-57.308624268 61.6899414060001,-57.31098938 61.707630158,-57.3133621219999 61.725322723,-57.3157348629999 61.7430114750001,-57.31811142 61.760700226,-57.3204917909999 61.7783889770001,-57.322872162 61.796077729,-57.3252563469999 61.813766479,-57.327644348 61.8314552310001,-57.330032349 61.849140167,-57.332424163 61.8668289190001,-57.3348197939999 61.88451767,-57.3372192379999 61.9022064210001,-57.339618683 61.9198951720001,-57.3420257569999 61.937583923,-57.3444290159999 61.95526886,-57.346839904 61.9729576110001,-57.349250793 61.9906463630001,-57.351665496 62.008335114,-57.3574981689999 62.0233345030001,-57.3633346559999 62.0383338930001,-57.366664886 62.048332214,-57.369998932 62.058334351,-57.37664032 62.075000763,-57.383289337 62.091667176,-57.389945984 62.1083374030001,-57.396606445 62.1250038150001,-57.403278351 62.1416702270001,-57.409957886 62.1583366400001,-57.416641235 62.1750030520001,-57.423332214 62.1916656490001,-57.430835724 62.20917511,-57.438343048 62.2266807560001,-57.4458618159999 62.244186401,-57.453388214 62.2616958620001,-57.4609260559999 62.279201508,-57.4684677119999 62.296707154,-57.4760208129999 62.3142089850001,-57.483585358 62.3317146300001,-57.491153717 62.349220276,-57.498733521 62.366722107,-57.5063209529999 62.384223938,-57.51391983 62.4017295840001,-57.521526337 62.4192314150001,-57.5291404719999 62.4367332460001,-57.536766052 62.4542312620001,-57.5443954469999 62.4717330930001,-57.5520400999999 62.4892349240001,-57.5567436219999 62.5000000000001,-57.433334351 62.5000000000001,-57.400001526 62.5000000000001,-57.366664886 62.5000000000001,-57.333332062 62.5000000000001,-57.299999237 62.5000000000001,-57.2666664119999 62.5000000000001,-57.2333335879999 62.5000000000001,-57.2000007629999 62.5000000000001,-57.1666679379999 62.5000000000001,-57.133335114 62.5000000000001,-57.099998474 62.5000000000001,-57.066665649 62.5000000000001,-57.0333328249999 62.5000000000001,-56.9999999999999 62.5000000000001,-56.9666671749999 62.5000000000001,-56.933334351 62.5000000000001,-56.900001526 62.5000000000001,-56.866664886 62.5000000000001,-56.833332062 62.5000000000001,-56.799999237 62.5000000000001,-56.7666664119999 62.5000000000001,-56.7333335879999 62.5000000000001,-56.7000007629999 62.5000000000001,-56.6666679379999 62.5000000000001,-56.633335114 62.5000000000001,-56.599998474 62.5000000000001,-56.566665649 62.5000000000001,-56.5333328249999 62.5000000000001,-56.4999999999999 62.5000000000001,-56.4666671749999 62.5000000000001,-56.433334351 62.5000000000001,-56.400001526 62.5000000000001,-56.366664886 62.5000000000001,-56.333332062 62.5000000000001,-56.299999237 62.5000000000001,-56.2666664119999 62.5000000000001,-56.2333335879999 62.5000000000001,-56.2000007629999 62.5000000000001,-56.1666679379999 62.5000000000001,-56.133335114 62.5000000000001,-56.099998474 62.5000000000001,-56.066665649 62.5000000000001,-56.0333328249999 62.5000000000001,-55.9999999999999 62.5000000000001,-55.9666671749999 62.5000000000001,-55.933334351 62.5000000000001,-55.900001526 62.5000000000001,-55.866664886 62.5000000000001,-55.833332062 62.5000000000001,-55.799999237 62.5000000000001,-55.7666664119999 62.5000000000001,-55.7333335879999 62.5000000000001,-55.7000007629999 62.5000000000001,-55.6666679379999 62.5000000000001,-55.633335114 62.5000000000001,-55.599998474 62.5000000000001,-55.566665649 62.5000000000001,-55.5333328249999 62.5000000000001,-55.4999999999999 62.5000000000001,-55.4666671749999 62.5000000000001,-55.433334351 62.5000000000001,-55.400001526 62.5000000000001,-55.366664886 62.5000000000001,-55.333332062 62.5000000000001,-55.299999237 62.5000000000001,-55.2666664119999 62.5000000000001,-55.2333335879999 62.5000000000001,-55.2000007629999 62.5000000000001,-55.1666679379999 62.5000000000001,-55.133335114 62.5000000000001,-55.099998474 62.5000000000001,-55.066665649 62.5000000000001,-55.0333328249999 62.5000000000001,-54.9999999999999 62.5000000000001,-54.9666671749999 62.5000000000001,-54.933334351 62.5000000000001,-54.900001526 62.5000000000001,-54.866664886 62.5000000000001,-54.833332062 62.5000000000001,-54.799999237 62.5000000000001,-54.7666664119999 62.5000000000001,-54.7333335879999 62.5000000000001,-54.7000007629999 62.5000000000001,-54.6666679379999 62.5000000000001,-54.633335114 62.5000000000001,-54.599998474 62.5000000000001,-54.566665649 62.5000000000001,-54.5333328249999 62.5000000000001,-54.4999999999999 62.5000000000001,-54.4666671749999 62.5000000000001,-54.433334351 62.5000000000001,-54.400001526 62.5000000000001,-54.366664886 62.5000000000001,-54.333332062 62.5000000000001,-54.299999237 62.5000000000001,-54.2666664119999 62.5000000000001,-54.2333335879999 62.5000000000001,-54.2000007629999 62.5000000000001,-54.1666679379999 62.5000000000001,-54.133335114 62.5000000000001,-54.099998474 62.5000000000001,-54.066665649 62.5000000000001,-54.0333328249999 62.5000000000001,-53.9999999999999 62.5000000000001,-53.9666671749999 62.5000000000001,-53.933334351 62.5000000000001,-53.900001526 62.5000000000001,-53.866664886 62.5000000000001,-53.833332062 62.5000000000001,-53.799999237 62.5000000000001,-53.7666664119999 62.5000000000001,-53.7333335879999 62.5000000000001,-53.7000007629999 62.5000000000001,-53.6666679379999 62.5000000000001,-53.633335114 62.5000000000001,-53.599998474 62.5000000000001,-53.566665649 62.5000000000001,-53.5333328249999 62.5000000000001,-53.4999999999999 62.5000000000001,-53.4666671749999 62.5000000000001,-53.433334351 62.5000000000001,-53.400001526 62.5000000000001,-53.366664886 62.5000000000001,-53.333332062 62.5000000000001,-53.299999237 62.5000000000001,-53.2666664119999 62.5000000000001,-53.2333335879999 62.5000000000001,-53.2000007629999 62.5000000000001,-53.1666679379999 62.5000000000001,-53.133335114 62.5000000000001,-53.099998474 62.5000000000001,-53.066665649 62.5000000000001,-53.0333328249999 62.5000000000001,-52.9999999999999 62.5000000000001,-52.9666671749999 62.5000000000001,-52.933334351 62.5000000000001,-52.900001526 62.5000000000001,-52.866664886 62.5000000000001,-52.833332062 62.5000000000001,-52.799999237 62.5000000000001,-52.7666664119999 62.5000000000001,-52.7333335879999 62.5000000000001,-52.7000007629999 62.5000000000001,-52.6666679379999 62.5000000000001,-52.633335114 62.5000000000001,-52.599998474 62.5000000000001,-52.566665649 62.5000000000001,-52.5333328249999 62.5000000000001,-52.4999999999999 62.5000000000001,-52.4666671749999 62.5000000000001,-52.433334351 62.5000000000001,-52.400001526 62.5000000000001,-52.366664886 62.5000000000001,-52.333332062 62.5000000000001,-52.299999237 62.5000000000001,-52.2666664119999 62.5000000000001,-52.2333335879999 62.5000000000001,-52.2000007629999 62.5000000000001,-52.1666679379999 62.5000000000001,-52.133335114 62.5000000000001,-52.099998474 62.5000000000001,-52.066665649 62.5000000000001,-52.0333328249999 62.5000000000001,-51.9999999999999 62.5000000000001,-51.9666671749999 62.5000000000001,-51.933334351 62.5000000000001,-51.900001526 62.5000000000001,-51.866664886 62.5000000000001,-51.833332062 62.5000000000001,-51.799999237 62.5000000000001,-51.7666664119999 62.5000000000001,-51.7333335879999 62.5000000000001,-51.7000007629999 62.5000000000001,-51.6666679379999 62.5000000000001,-51.633335114 62.5000000000001,-51.599998474 62.5000000000001,-51.566665649 62.5000000000001,-51.5333328249999 62.5000000000001,-51.4999999999999 62.5000000000001,-51.4666671749999 62.5000000000001,-51.433334351 62.5000000000001,-51.400001526 62.5000000000001,-51.366664886 62.5000000000001,-51.333332062 62.5000000000001,-51.299999237 62.5000000000001,-51.2666664119999 62.5000000000001,-51.2333335879999 62.5000000000001,-51.2000007629999 62.5000000000001,-51.1666679379999 62.5000000000001,-51.133335114 62.5000000000001,-51.099998474 62.5000000000001,-51.066665649 62.5000000000001,-51.0333328249999 62.5000000000001,-50.9999999999999 62.5000000000001,-50.9666671749999 62.5000000000001,-50.933334351 62.5000000000001,-50.900001526 62.5000000000001,-50.866664886 62.5000000000001,-50.833332062 62.5000000000001,-50.799999237 62.5000000000001,-50.7666664119999 62.5000000000001,-50.7333335879999 62.5000000000001,-50.7000007629999 62.5000000000001,-50.6666679379999 62.5000000000001,-50.633335114 62.5000000000001,-50.599998474 62.5000000000001,-50.566665649 62.5000000000001,-50.5333328249999 62.5000000000001,-50.4999999999999 62.5000000000001,-50.4666671749999 62.5000000000001,-50.433334351 62.5000000000001,-50.400001526 62.5000000000001,-50.366664886 62.5000000000001,-50.03710556 62.5000000000001,-43.9999999899999 62.5000000000001,-43.999999988 62.1699981690001,-43.999999991 61.5499992370001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.1', '', '21.1', '21.1.E', '', '21.1E', '', '', '', '', '', '', '', '1E', '3', '21.1.E', '21.1E', 'Y'),('SRID=4326;MULTIPOLYGON(((-67.330597864 45.2504741440001,-67.3014984129999 45.138137817,-67.2779998779999 45.1860275270001,-67.24319458 45.1853332520001,-67.21294403 45.1603889460001,-67.187871945 45.1637769800001,-67.1831054689999 45.164421082,-67.161331177 45.164421082,-67.15096283 45.161308289,-67.1426696779999 45.1379814150001,-67.1307449339999 45.125022888,-67.112555556 45.112583333,-67.0945555549999 45.0745000000001,-67.021666667 44.9539166660001,-67.0099999999999 44.9447500000001,-66.996861111 44.9283611120001,-66.9687222219999 44.910388889,-66.972222222 44.894777778,-66.98 44.877444444,-66.9821388889999 44.8672500000001,-66.9807222219999 44.8604722220001,-66.974777778 44.8509722220001,-66.9748611109999 44.8416111110001,-66.965305555 44.828861111,-66.932583333 44.8255,-66.9031295779999 44.805950894,-66.9031295779999 44.7666664130001,-66.9031295779999 44.7500000000001,-66.9031295779999 44.7333335880001,-66.9031295779999 44.716667176,-66.9031295779999 44.700000763,-66.9031295779999 44.6833343500001,-66.9031295779999 44.666667938,-66.9031295779999 44.650001526,-66.9031295779999 44.633335113,-66.9031295779999 44.6166648860001,-66.9031295779999 44.5999984740001,-66.9031295779999 44.5833320620001,-66.9031295779999 44.5666656500001,-66.9031295779999 44.5499992370001,-66.9031295779999 44.5333328250001,-66.9031295779999 44.5166664130001,-66.9031295779999 44.5000000000001,-66.9031295779999 44.4833335870001,-66.9031295779999 44.4666671750001,-66.9031295779999 44.450000763,-66.9031295779999 44.4333343500001,-66.9031295779999 44.416667938,-66.9031295779999 44.400001526,-66.9031295779999 44.383335114,-66.9031295779999 44.3666648870001,-66.9031295779999 44.3499984740001,-66.9031295779999 44.3333320620001,-66.9031295779999 44.3166656500001,-66.9031295779999 44.2999992370001,-66.9031295779999 44.2833328240001,-66.9031295779999 44.2666664120001,-66.9031295779999 44.2500000000001,-66.9031295779999 44.2333335880001,-66.9031295779999 44.2166671750001,-66.9031295779999 44.200000763,-66.9031295779999 44.183334351,-66.9031295779999 44.166667938,-66.9031295779999 44.150001526,-66.9031295779999 44.133335114,-66.9031295779999 44.1166648870001,-66.9031295779999 44.0999984740001,-66.9031295779999 44.0833320610001,-66.9031295779999 44.0666656490001,-66.9031295779999 44.0499992370001,-66.9031295779999 44.0333328250001,-66.9031295779999 44.0166664120001,-66.9031295779999 44.0000000000001,-66.9031295779999 43.9833335880001,-66.9031295779999 43.9666671750001,-66.9031295779999 43.950000763,-66.9031295779999 43.933334351,-66.9031295779999 43.916667939,-66.9031295779999 43.9000015250001,-66.9031295779999 43.883335113,-66.9031295779999 43.8666648860001,-66.9031295779999 43.8499984740001,-66.9031295779999 43.8333320620001,-66.916664124 43.8333320620001,-66.933334351 43.8333320620001,-66.949996948 43.8333320620001,-66.9666671749999 43.8333320620001,-66.983329773 43.8333320620001,-66.9999999999999 43.8333320620001,-67.016670227 43.8333320620001,-67.0333328249999 43.8333320620001,-67.050003052 43.8333320620001,-67.066665649 43.8333320620001,-67.083335876 43.8333320620001,-67.0999984749999 43.8333320620001,-67.116668702 43.8333320620001,-67.133331299 43.8333320620001,-67.150001526 43.8333320620001,-67.166664124 43.8333320620001,-67.183334351 43.8333320620001,-67.199996948 43.8333320620001,-67.2166671749999 43.8333320620001,-67.233329773 43.8333320620001,-67.2499999999999 43.8333320620001,-67.266670227 43.8333320620001,-67.283332824 43.8333320620001,-67.300003052 43.8333320620001,-67.3166656499999 43.8333320620001,-67.333335877 43.8333320620001,-67.349998474 43.8333320620001,-67.366668701 43.8333320620001,-67.383331299 43.8333320620001,-67.407569886 43.8333320620001,-67.4137573249999 43.816143036,-67.419952393 43.798950195,-67.4261398319999 43.781757355,-67.4323196409999 43.7645645150001,-67.438499451 43.7473716740001,-67.44467926 43.730178833,-67.45085144 43.7129821770001,-67.4570159909999 43.6957893370001,-67.463180542 43.678592682,-67.469345093 43.661399841,-67.475502014 43.644203186,-67.481658936 43.6270065310001,-67.487808227 43.609809876,-67.49395752 43.59261322,-67.500099182 43.5754165650001,-67.506240845 43.55821991,-67.512382507 43.541023255,-67.51851654 43.523822785,-67.5246429439999 43.50662613,-67.530769348 43.4894256600001,-67.536895752 43.4722251900001,-67.543014526 43.45502472,-67.5491332999999 43.4378242500001,-67.555244446 43.42062378,-67.5613555909999 43.4034233100001,-67.5674591059999 43.3862228400001,-67.5735626219999 43.36902237,-67.5796661379999 43.351818085,-67.585762024 43.3346176150001,-67.5918502809999 43.3174133300001,-67.5979385369999 43.30021286,-67.604026795 43.283008576,-67.6101074219999 43.2658042910001,-67.616188049 43.2486000060001,-67.6222610469999 43.2313957220001,-67.628334045 43.2141876220001,-67.634399414 43.1969833370001,-67.640464783 43.1797790530001,-67.646530151 43.1625709530001,-67.6525878909999 43.1453666690001,-67.65864563 43.128158569,-67.66469574 43.11095047,-67.67073822 43.09374237,-67.67678833 43.0765342710001,-67.68283081 43.0593261720001,-67.688865661 43.042118073,-67.6949005129999 43.024909973,-67.700935364 43.0076980590001,-67.706962585 42.99048996,-67.712982177 42.9732780460001,-67.71900177 42.9560699460001,-67.7250213619999 42.938858032,-67.7310333249999 42.9216461180001,-67.7370452879999 42.904434204,-67.743057251 42.8872222900001,-67.731529236 42.871887207,-67.720016479 42.8565521240001,-67.708503723 42.841217041,-67.696998596 42.825881958,-67.6854934689999 42.81054306,-67.674003601 42.7952041630001,-67.662513732 42.7798614500001,-67.651023865 42.764518738,-67.639549256 42.749176026,-67.628074646 42.733833313,-67.6166076659999 42.718486786,-67.6051483159999 42.7031402590001,-67.593696595 42.6877937310001,-67.582244873 42.6724433900001,-67.5708007809999 42.657093048,-67.5593643189999 42.641742707,-67.5479278559999 42.6263885500001,-67.536499024 42.6110343940001,-67.52507782 42.5956802370001,-67.513664245 42.5803260810001,-67.5022506719999 42.5649681090001,-67.490844727 42.549610138,-67.479446411 42.5342483520001,-67.4680557249999 42.5188903810001,-67.455375671 42.504623413,-67.4427032469999 42.490356445,-67.430030823 42.4760894770001,-67.4173660279999 42.461818695,-67.4047088629999 42.4475517280001,-67.392059326 42.4332771300001,-67.37940979 42.419002533,-67.366767884 42.404727936,-67.3541336059999 42.390453338,-67.341506958 42.3761749270001,-67.32888031 42.3618965150001,-67.316261292 42.347614288,-67.303649902 42.3333320620001,-67.304060062 42.3333320620001,-67.316665649 42.3333320620001,-67.333335876 42.3333320620001,-67.349998474 42.3333320620001,-67.366668701 42.3333320620001,-67.383331299 42.3333320620001,-67.400001526 42.3333320620001,-67.416664123 42.3333320620001,-67.4333343499999 42.3333320620001,-67.449996948 42.3333320620001,-67.4666671749999 42.3333320620001,-67.483329773 42.3333320620001,-67.4999999999999 42.3333320620001,-67.516670227 42.3333320620001,-67.5333328249999 42.3333320620001,-67.550003052 42.3333320620001,-67.566665649 42.3333320620001,-67.583335876 42.3333320620001,-67.599998474 42.3333320620001,-67.616668701 42.3333320620001,-67.633331299 42.3333320620001,-67.650001526 42.3333320620001,-67.666664123 42.3333320620001,-67.6833343499999 42.3333320620001,-67.699996948 42.3333320620001,-67.7166671749999 42.3333320620001,-67.733329773 42.3333320620001,-67.7499999999999 42.3333320620001,-67.766670227 42.3333320620001,-67.7833328249999 42.3333320620001,-67.800003052 42.3333320620001,-67.816665649 42.3333320620001,-67.833335876 42.3333320620001,-67.849998474 42.3333320620001,-67.866668701 42.3333320620001,-67.883331299 42.3333320620001,-67.900001526 42.3333320620001,-67.916664124 42.3333320620001,-67.933334351 42.3333320620001,-67.949996948 42.3333320620001,-67.9666671749999 42.3333320620001,-67.983329773 42.3333320620001,-67.9999999999999 42.3333320620001,-68.016670227 42.3333320620001,-68.033332824 42.3333320620001,-68.050003051 42.3333320620001,-68.066665649 42.3333320620001,-68.083335876 42.3333320620001,-68.099998474 42.3333320620001,-68.116668701 42.3333320620001,-68.133331299 42.3333320620001,-68.150001526 42.3333320620001,-68.166664124 42.3333320620001,-68.183334351 42.3333320620001,-68.199996948 42.3333320620001,-68.2166671749999 42.3333320620001,-68.233329773 42.3333320620001,-68.2499999999999 42.3333320620001,-68.266670227 42.3333320620001,-68.2833328249999 42.3333320620001,-68.300003052 42.3333320620001,-68.316665649 42.3333320620001,-68.333335876 42.3333320620001,-68.349998474 42.3333320620001,-68.366668701 42.3333320620001,-68.383331299 42.3333320620001,-68.400001526 42.3333320620001,-68.416664123 42.3333320620001,-68.4333343499999 42.3333320620001,-68.449996948 42.3333320620001,-68.4666671749999 42.3333320620001,-68.483329773 42.3333320620001,-68.4999999999999 42.3333320620001,-68.516670227 42.3333320620001,-68.5333328249999 42.3333320620001,-68.550003052 42.3333320620001,-68.566665649 42.3333320620001,-68.583335876 42.3333320620001,-68.599998474 42.3333320620001,-68.616668701 42.3333320620001,-68.633331299 42.3333320620001,-68.650001526 42.3333320620001,-68.666664123 42.3333320620001,-68.6833343499999 42.3333320620001,-68.699996948 42.3333320620001,-68.7166671749999 42.3333320620001,-68.733329773 42.3333320620001,-68.7499999999999 42.3333320620001,-68.766670227 42.3333320620001,-68.7833328249999 42.3333320620001,-68.800003052 42.3333320620001,-68.816665649 42.3333320620001,-68.833335876 42.3333320620001,-68.849998474 42.3333320620001,-68.866668701 42.3333320620001,-68.883331299 42.3333320620001,-68.900001526 42.3333320620001,-68.916664124 42.3333320620001,-68.933334351 42.3333320620001,-68.949996948 42.3333320620001,-68.9666671749999 42.3333320620001,-68.983329773 42.3333320620001,-68.9999999999999 42.3333320620001,-69.016670227 42.3333320620001,-69.033332824 42.3333320620001,-69.050003051 42.3333320620001,-69.066665649 42.3333320620001,-69.083335876 42.3333320620001,-69.099998474 42.3333320620001,-69.116668701 42.3333320620001,-69.133331299 42.3333320620001,-69.150001526 42.3333320620001,-69.166664124 42.3333320620001,-69.183334351 42.3333320620001,-69.199996948 42.3333320620001,-69.2166671749999 42.3333320620001,-69.233329773 42.3333320620001,-69.2499999999999 42.3333320620001,-69.266670227 42.3333320620001,-69.2833328249999 42.3333320620001,-69.300003052 42.3333320620001,-69.316665649 42.3333320620001,-69.333335876 42.3333320620001,-69.349998474 42.3333320620001,-69.366668701 42.3333320620001,-69.383331299 42.3333320620001,-69.400001526 42.3333320620001,-69.416664123 42.3333320620001,-69.4333343499999 42.3333320620001,-69.449996948 42.3333320620001,-69.4666671749999 42.3333320620001,-69.483329773 42.3333320620001,-69.4999999999999 42.3333320620001,-69.516670227 42.3333320620001,-69.5333328249999 42.3333320620001,-69.550003052 42.3333320620001,-69.566665649 42.3333320620001,-69.583335876 42.3333320620001,-69.599998474 42.3333320620001,-69.616668701 42.3333320620001,-69.633331299 42.3333320620001,-69.650001526 42.3333320620001,-69.666664123 42.3333320620001,-69.683334351 42.3333320620001,-69.699996948 42.3333320620001,-69.7166671749999 42.3333320620001,-69.733329773 42.3333320620001,-69.7499999999999 42.3333320620001,-69.766670227 42.3333320620001,-69.7833328249999 42.3333320620001,-69.800003052 42.3333320620001,-69.816665649 42.3333320620001,-69.833335876 42.3333320620001,-69.849998474 42.3333320620001,-69.866668701 42.3333320620001,-69.883331299 42.3333320620001,-69.900001526 42.3333320620001,-69.916664124 42.3333320620001,-69.933334351 42.3333320620001,-69.949996948 42.3333320620001,-69.9666671749999 42.3333320620001,-69.983329773 42.3333320620001,-69.9999999999999 42.3333320620001,-69.9999999999999 42.3166656490001,-69.9999999999999 42.2999992370001,-69.9999999999999 42.2833328250001,-69.9999999999999 42.2666664120001,-69.9999999999999 42.2500000000001,-69.9999999999999 42.2333335880001,-69.9999999999999 42.2166671750001,-69.9999999999999 42.200000763,-69.9999999999999 42.183334351,-69.9999999999999 42.166667939,-69.9999999999999 42.150001526,-69.9999999999999 42.133335114,-69.9999999999999 42.1166648870001,-69.9999999999999 42.0999984740001,-69.9999999999999 42.0833320620001,-69.9999999999999 42.0666656490001,-69.9999999999999 42.0499992370001,-69.9999999999999 42.0333328250001,-69.9999999999999 42.0166664120001,-69.9999999999999 42.0000000000001,-69.9999999999999 41.9833335880001,-69.9999999999999 41.9674453740001,-69.978187267 41.8352634060001,-69.9999999999999 41.729999542,-70.138648745 41.7133613120001,-70.4999999999999 41.6699981690001,-70.877204515 42.0329528280001,-71.912626658 43.029258945,-71.1472228819999 43.7946627210001,-70.3028116469999 44.779809162,-69.903528512 45.2234570890001,-69.66950322 45.4834851910001,-69.4264374269999 46.0000000000001,-67.330597864 45.2504741440001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.5', '', '21.5', '21.5.Y', '', '21.5Y', '', '', '', '', '', '', '', '5Y', '3', '21.5.Y', '21.5Y', 'Y'),('SRID=4326;MULTIPOLYGON(((-59.9999999999999 47.8333320610001,-60.008747101 47.8166656490001,-60.017490387 47.7999992370001,-60.026229858 47.7833328250001,-60.034965515 47.7666664120001,-60.0437011719999 47.7500000000001,-60.052433014 47.7333335880001,-60.0611610409999 47.716667176,-60.069889068 47.700000763,-60.0786132809999 47.683334351,-60.087333679 47.666667938,-60.0960502629999 47.650001526,-60.104766846 47.633335113,-60.113479615 47.6166648860001,-60.122188568 47.5999984740001,-60.130893707 47.5833320620001,-60.139598846 47.5666656490001,-60.148300171 47.5499992370001,-60.156997681 47.5333328250001,-60.16569519 47.5166664130001,-60.17438507 47.5000000000001,-60.183074951 47.4833335880001,-60.1917648319999 47.4666671750001,-60.200447083 47.450000763,-60.209129334 47.4333343500001,-60.21780777 47.416667938,-60.2264862059999 47.400001526,-60.2351570129999 47.383335114,-60.24382782 47.3666648870001,-60.252498627 47.3499984740001,-60.261161804 47.3333320620001,-60.2698249809999 47.3166656500001,-60.2784843439999 47.2999992370001,-60.287139893 47.2833328250001,-60.2957954409999 47.2666664120001,-60.304447174 47.2500000000001,-60.313095093 47.2333335870001,-60.321743011 47.2166671750001,-60.330383301 47.200000763,-60.33902359 47.183334351,-60.347663879 47.166667938,-60.356296539 47.150001526,-60.3649291999999 47.133335114,-60.3735580439999 47.1166648870001,-60.38218689 47.0999984750001,-60.390811921 47.0833320620001,-60.399433136 47.0666656490001,-60.408050537 47.0499992370001,-60.4050788879999 47.032093048,-60.4123212759999 47.022223302,-60.439408756 46.997070643,-60.525155436 46.9621153910001,-60.5726424379999 46.891324314,-61.3300018309999 45.7500000000001,-61.292461148 45.627734699,-61.3642806999999 45.596210479,-61.36655426 45.5941658020001,-61.3796272279999 45.5898056030001,-61.384166718 45.5837516780001,-61.4999999999999 45.5000000000001,-63.4999999999999 45.5000000000001,-64.061390371 45.854526725,-64.4999999999999 46.0000000000001,-64.687422226 46.1454992770001,-65.0371771119999 46.2013424940001,-65.698478367 46.339480978,-66.397988138 46.304211578,-69.4264374269999 46.0000000000001,-70.099998474 46.0000000000001,-70.900001526 46.0000000000001,-71.699996948 46.0000000000001,-72.4999999999999 46.0000000000001,-73.300003052 46.0000000000001,-74.099998474 46.0000000000001,-74.9999999999999 46.0000000000001,-74.9999999999999 46.7999992370001,-74.9999999999999 48.0000000000001,-73.847831726 48.3272132870001,-73.078269959 48.5457725530001,-72.308700561 48.7643280030001,-71.539131165 48.9828834530001,-70.7695693969999 49.2014427180001,-69.9999999999999 49.4199981690001,-68.6699981689999 49.4199981690001,-67.869995117 49.4199981690001,-67.304580689 49.416667938,-67.300003052 49.416667938,-67.292973414 49.416667938,-67.283332824 49.416667938,-67.266670227 49.416667938,-67.2499999999999 49.416667938,-67.233329773 49.416667938,-67.2166671749999 49.416667938,-67.199996948 49.416667938,-67.183334351 49.416667938,-67.166664124 49.416667938,-67.150001526 49.416667938,-67.133331299 49.416667938,-67.116668702 49.416667938,-67.0999984749999 49.416667938,-67.083335876 49.416667938,-67.066665649 49.416667938,-67.050003052 49.416667938,-67.0333328249999 49.416667938,-67.016670227 49.416667938,-66.9999999999999 49.416667938,-66.983329773 49.416667938,-66.9666671749999 49.416667938,-66.949996948 49.416667938,-66.933334351 49.416667938,-66.916664124 49.416667938,-66.900001526 49.416667938,-66.883331298 49.416667938,-66.866668701 49.416667938,-66.849998474 49.416667938,-66.833335876 49.416667938,-66.816665649 49.416667938,-66.800003052 49.416667938,-66.7833328249999 49.416667938,-66.766670227 49.416667938,-66.7499999999999 49.416667938,-66.733329773 49.416667938,-66.716667176 49.416667938,-66.699996949 49.416667938,-66.6833343499999 49.416667938,-66.666664123 49.416667938,-66.650001526 49.416667938,-66.633331299 49.416667938,-66.616668701 49.416667938,-66.599998474 49.416667938,-66.583335877 49.416667938,-66.5666656499999 49.416667938,-66.550003052 49.416667938,-66.5333328249999 49.416667938,-66.516670227 49.416667938,-66.4999999999999 49.416667938,-66.483329773 49.416667938,-66.4666671749999 49.416667938,-66.449996948 49.416667938,-66.4333343499999 49.416667938,-66.416664123 49.416667938,-66.400001526 49.416667938,-66.383331299 49.416667938,-66.366668701 49.416667938,-66.349998474 49.416667938,-66.333335877 49.416667938,-66.3166656499999 49.416667938,-66.300003051 49.416667938,-66.283332824 49.416667938,-66.266670227 49.416667938,-66.2499999999999 49.416667938,-66.233329773 49.416667938,-66.2166671749999 49.416667938,-66.199996948 49.416667938,-66.183334351 49.416667938,-66.166664124 49.416667938,-66.150001526 49.416667938,-66.133331299 49.416667938,-66.116668702 49.416667938,-66.099998474 49.416667938,-66.083335876 49.416667938,-66.066665649 49.416667938,-66.050003052 49.416667938,-66.0333328249999 49.416667938,-66.016670227 49.416667938,-65.9999999999999 49.416667938,-65.983329773 49.416667938,-65.9666671749999 49.416667938,-65.949996948 49.416667938,-65.933334351 49.416667938,-65.916664124 49.416667938,-65.900001526 49.416667938,-65.883331298 49.416667938,-65.866668701 49.416667938,-65.849998474 49.416667938,-65.833335876 49.416667938,-65.816665649 49.416667938,-65.800003052 49.416667938,-65.7833328249999 49.416667938,-65.766670227 49.416667938,-65.7499999999999 49.416667938,-65.733329773 49.416667938,-65.716667176 49.416667938,-65.699996948 49.416667938,-65.6833343499999 49.416667938,-65.666664123 49.416667938,-65.650001526 49.416667938,-65.633331299 49.416667938,-65.616668701 49.416667938,-65.599998474 49.416667938,-65.583335877 49.416667938,-65.5666656499999 49.416667938,-65.550003052 49.416667938,-65.5333328249999 49.416667938,-65.516670227 49.416667938,-65.4999999999999 49.416667938,-65.483329773 49.416667938,-65.4666671749999 49.416667938,-65.449996948 49.416667938,-65.4333343499999 49.416667938,-65.416664123 49.416667938,-65.400001526 49.416667938,-65.383331299 49.416667938,-65.366668701 49.416667938,-65.349998474 49.416667938,-65.333335877 49.416667938,-65.3166656499999 49.416667938,-65.300003051 49.416667938,-65.283332824 49.416667938,-65.266670227 49.416667938,-65.2499999999999 49.416667938,-65.233329773 49.416667938,-65.2166671749999 49.416667938,-65.199996948 49.416667938,-65.183334351 49.416667938,-65.166664124 49.416667938,-65.150001526 49.416667938,-65.133331299 49.416667938,-65.116668701 49.416667938,-65.099998474 49.416667938,-65.083335876 49.416667938,-65.066665649 49.416667938,-65.050003052 49.416667938,-65.0333328249999 49.416667938,-65.016670227 49.416667938,-64.9999999999999 49.416667938,-64.983329773 49.416667938,-64.966667176 49.416667938,-64.949996949 49.416667938,-64.933334351 49.416667938,-64.916664124 49.416667938,-64.9000015249999 49.416667938,-64.883331298 49.416667938,-64.866668701 49.416667938,-64.849998474 49.416667938,-64.833335876 49.416667938,-64.816665649 49.416667938,-64.800003052 49.416667938,-64.7833328249999 49.416667938,-64.766670227 49.416667938,-64.7499999999999 49.416667938,-64.733329773 49.416667938,-64.7166671749999 49.416667938,-64.699996948 49.416667938,-64.6833343499999 49.416667938,-64.666664123 49.416667938,-64.6417160029999 49.4083328250001,-64.616767884 49.400001526,-64.5918197629999 49.3916664130001,-64.566879273 49.383335113,-64.541946411 49.3750000000001,-64.5170135499999 49.3666648860001,-64.492088318 49.3583335870001,-64.467163086 49.3499984740001,-64.442245483 49.3416671750001,-64.41733551 49.3333320620001,-64.392425537 49.325000763,-64.367515564 49.3166656500001,-64.342613221 49.3083343500001,-64.3177185059999 49.2999992370001,-64.292823792 49.291667938,-64.2679367059999 49.2833328250001,-64.243049621 49.275001526,-64.2181701659999 49.2666664120001,-64.193290711 49.258335114,-64.1684188849999 49.2500000000001,-64.1435546869999 49.2416648870001,-64.1186904909999 49.2333335870001,-64.093833923 49.2249984740001,-64.0689773559999 49.2166671750001,-64.044128418 49.2083320620001,-64.01927948 49.200000763,-63.9944381719999 49.1916656500001,-63.9695968629999 49.183334351,-63.944763184 49.1749992370001,-63.9199333189999 49.166667938,-63.8951072689999 49.1583328240001,-63.870288849 49.150001526,-63.8454704279999 49.1416664120001,-63.820655823 49.133335114,-63.7958488469999 49.1250000000001,-63.7710456849999 49.1166648870001,-63.746242523 49.1083335870001,-63.7214469909999 49.0999984740001,-63.696655274 49.0916671750001,-63.67186737 49.0833320620001,-63.647083283 49.075000763,-63.6223030089999 49.0666656490001,-63.597526551 49.058334351,-63.572757721 49.0499992370001,-63.5479888909999 49.041667938,-63.523227692 49.0333328240001,-63.4984703069999 49.025001526,-63.473712921 49.0166664120001,-63.448963165 49.008335114,-63.424217224 49.0000000000001,-63.399475098 48.9916648870001,-63.374736786 48.9833335880001,-63.350006104 48.9749984750001,-63.325275421 48.9666671750001,-63.3005485529999 48.9583320610001,-63.275829315 48.950000763,-63.251110076 48.9416656490001,-63.226398468 48.933334351,-63.201690674 48.9249992370001,-63.1769866939999 48.916667939,-63.152286529 48.9083328250001,-63.12759018 48.900001526,-63.1028976439999 48.8916664120001,-63.078208923 48.883335114,-63.053524017 48.8750000000001,-63.028842926 48.8666648860001,-63.004169464 48.8583335880001,-62.979496003 48.8499984740001,-62.95483017 48.8416671750001,-62.930168152 48.8333320610001,-62.9055061339999 48.825000763,-62.880851745 48.8166656490001,-62.8562011719999 48.808334351,-62.8315544129999 48.7999992370001,-62.806911468 48.791667939,-62.782272339 48.7833328250001,-62.757640838 48.775001526,-62.733009339 48.7666664120001,-62.7083816529999 48.758335113,-62.6837615969999 48.7500000000001,-62.6591415409999 48.7416648860001,-62.634529114 48.7333335880001,-62.609920501 48.7249984740001,-62.585315704 48.716667176,-62.560710907 48.7083320620001,-62.536113739 48.700000763,-62.511520386 48.6916656490001,-62.486930848 48.683334351,-62.4623489379999 48.6749992370001,-62.437767029 48.666667938,-62.4131889339999 48.6583328250001,-62.388614655 48.650001526,-62.364048004 48.6416664130001,-62.339481354 48.633335113,-62.314922333 48.6250000000001,-62.290367126 48.6166648860001,-62.26581192 48.6083335880001,-62.241264343 48.5999984740001,-62.2167205809999 48.591667176,-62.192180634 48.5833320620001,-62.167644501 48.575000763,-62.143112183 48.5666656490001,-62.118583679 48.5583343500001,-62.09405899 48.5499992370001,-62.0695381159999 48.541667938,-62.0450248719999 48.5333328250001,-62.020511627 48.525001526,-61.996006012 48.5166664130001,-61.9715003969999 48.508335113,-61.947002411 48.5000000000001,-61.9225044249999 48.4916648860001,-61.8980140689999 48.4833335880001,-61.873527527 48.4749984740001,-61.8490447999999 48.4666671750001,-61.8245620719999 48.4583320620001,-61.8000869749999 48.450000763,-61.775615692 48.4416656500001,-61.751148224 48.4333343500001,-61.726684571 48.4249992370001,-61.702228546 48.416667938,-61.6777725219999 48.4083328250001,-61.6533203119999 48.400001526,-61.628875732 48.3916664130001,-61.604431152 48.383335114,-61.579990387 48.3750000000001,-61.555557251 48.3666648860001,-61.531124115 48.3583335870001,-61.506698609 48.3499984740001,-61.4822769159999 48.3416671750001,-61.4578552249999 48.3333320620001,-61.4334411629999 48.325000763,-61.409030914 48.3166656500001,-61.3846244819999 48.3083343500001,-61.3602218629999 48.2999992370001,-61.3358230589999 48.291667938,-61.31142807 48.2833328250001,-61.287036896 48.275001526,-61.262649536 48.2666664120001,-61.238265992 48.258335114,-61.213886261 48.2500000000001,-61.18951416 48.2416648870001,-61.1651420589999 48.2333335870001,-61.140773773 48.2249984740001,-61.116413117 48.2166671750001,-61.0920524599999 48.2083320620001,-61.067699432 48.200000763,-61.043346405 48.1916656500001,-61.019001007 48.183334351,-60.9946556089999 48.1749992370001,-60.97031784 48.166667938,-60.945983887 48.1583328240001,-60.9216537469999 48.150001526,-60.897323609 48.1416664120001,-60.873001098 48.133335114,-60.848682404 48.1250000000001,-60.824367523 48.1166648870001,-60.800056457 48.1083335870001,-60.7757492059999 48.0999984740001,-60.75144577 48.0916671750001,-60.727146148 48.0833320620001,-60.702850342 48.075000763,-60.6785583499999 48.0666656490001,-60.6542701719999 48.058334351,-60.629989624 48.0499992370001,-60.605709076 48.041667938,-60.581432343 48.0333328240001,-60.557163239 48.025001526,-60.5328941339999 48.0166664120001,-60.508628845 48.008335114,-60.484371185 48.0000000000001,-60.4601135249999 47.9916648870001,-60.4358634939999 47.9833335880001,-60.411613465 47.9749984740001,-60.3873710629999 47.9666671750001,-60.363132476 47.9583320610001,-60.3388938909999 47.950000763,-60.314662933 47.9416656490001,-60.2904357909999 47.933334351,-60.266208648 47.9249992370001,-60.241989136 47.916667939,-60.2177734369999 47.9083328250001,-60.193561554 47.900001526,-60.16934967 47.8916664120001,-60.1451454159999 47.883335114,-60.120944977 47.8750000000001,-60.096748352 47.8666648860001,-60.072555542 47.8583335880001,-60.0483665469999 47.8499984740001,-60.0241813659999 47.8416671750001,-59.9999999999999 47.8333320610001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.4', '', '21.4', '21.4.T', '', '21.4T', '', '', '', '', '', '', '', '4T', '3', '21.4.T', '21.4T', 'Y'),('SRID=4326;MULTIPOLYGON(((-57.437175751 60.2999992370001,-57.4003791809999 60.2833328250001,-57.36359787 60.2666664120001,-57.326835632 60.2500000000001,-57.290096283 60.2333335880001,-57.253372192 60.216667176,-57.216667176 60.200000763,-57.145618439 60.166667938,-57.1101188659999 60.150001526,-57.0746421809999 60.133335113,-57.039180755 60.1166648860001,-57.003734588 60.0999984740001,-56.9683113099999 60.0833320620001,-56.93290329 60.0666656500001,-56.897514343 60.0499992370001,-56.862140656 60.0333328250001,-56.826786042 60.0166664130001,-56.791450501 60.0000000000001,-56.756134033 59.9833335870001,-56.7208328249999 59.9666671750001,-56.68555069 59.950000763,-56.6502876279999 59.9333343500001,-56.6150398249999 59.916667938,-56.579811096 59.900001526,-56.54460144 59.883335114,-56.509407043 59.8666648870001,-56.47423172 59.8499984740001,-56.439071656 59.8333320620001,-56.403930664 59.8166656500001,-56.368808746 59.7999992370001,-56.3337020869999 59.7833328240001,-56.298614502 59.7666664120001,-56.26354599 59.7500000000001,-56.228492737 59.7333335870001,-56.193458557 59.7166671750001,-56.158439636 59.700000763,-56.123439788 59.683334351,-56.088459015 59.666667938,-56.0534934999999 59.650001526,-56.018547058 59.633335114,-55.9836158749999 59.6166648870001,-55.9487037659999 59.5999984750001,-55.913806915 59.5833320610001,-55.8789291379999 59.5666656490001,-55.84406662 59.5499992370001,-55.8092231749999 59.5333328250001,-55.774398804 59.5166664120001,-55.7395896909999 59.5000000000001,-55.7047958379999 59.4833335880001,-55.670021057 59.4666671750001,-55.6352653499999 59.450000763,-55.600524903 59.433334351,-55.5658035279999 59.416667939,-55.531097412 59.400001526,-55.496406555 59.383335113,-55.461734771 59.3666648860001,-55.427082062 59.3499984740001,-55.392444611 59.3333320620001,-55.3578224189999 59.3166656490001,-55.323219299 59.2999992370001,-55.288631439 59.2833328250001,-55.2540626529999 59.2666664120001,-55.219512939 59.2500000000001,-55.184974671 59.2333335880001,-55.150459289 59.216667176,-55.1159553529999 59.200000763,-55.08147049 59.1833343500001,-55.0470046999999 59.166667938,-55.012550354 59.150001526,-54.9781188969999 59.133335113,-54.943698883 59.1166648860001,-54.909301758 59.0999984740001,-54.874916077 59.0833320620001,-54.8405494689999 59.0666656500001,-54.80619812 59.0499992370001,-54.771865845 59.0333328250001,-54.7375488279999 59.0166664130001,-54.70324707 59.0000000000001,-54.668964386 58.9833335870001,-54.634696961 58.9666671750001,-54.600448609 58.950000763,-54.566215515 58.9333343500001,-54.531997681 58.916667938,-54.497795105 58.900001526,-54.463611602 58.883335114,-54.4294433589999 58.8666648870001,-54.39529419 58.8499984740001,-54.3611602779999 58.8333320620001,-54.327041626 58.8166656500001,-54.2929420469999 58.7999992370001,-54.2588539119999 58.7833328240001,-54.224784851 58.7666664120001,-54.1907348629999 58.7500000000001,-54.1567001339999 58.7333335870001,-54.122680664 58.7166671750001,-54.088676452 58.700000763,-54.0546874999999 58.683334351,-54.020717621 58.666667938,-53.9867629999999 58.650001526,-53.952827454 58.633335114,-53.918903351 58.6166648870001,-53.8849983219999 58.5999984740001,-53.851108551 58.5833320610001,-53.817237854 58.5666656490001,-53.783378601 58.5499992370001,-53.749538421 58.5333328250001,-53.715713501 58.5166664120001,-53.681903839 58.5000000000001,-53.648113251 58.4833335880001,-53.614337921 58.4666671750001,-53.5805778499999 58.450000763,-53.5468330379999 58.433334351,-53.5131034849999 58.416667939,-53.479393005 58.400001526,-53.44569397 58.383335113,-53.412014007 58.3666648860001,-53.3783531189999 58.3499984740001,-53.344703674 58.3333320620001,-53.311069488 58.3166656490001,-53.277454376 58.2999992370001,-53.2438545219999 58.2833328250001,-53.2102699279999 58.2666664130001,-53.176700592 58.2500000000001,-53.143146515 58.2333335880001,-53.109611512 58.216667176,-53.076087952 58.200000763,-53.042583465 58.1833343500001,-53.0090942379999 58.166667938,-52.97562027 58.150001526,-52.9421615599999 58.133335113,-52.9087181089999 58.1166648860001,-52.875289917 58.0999984740001,-52.841880798 58.0833320620001,-52.808483124 58.0666656500001,-52.775104523 58.0499992370001,-52.741741181 58.0333328250001,-52.7083930969999 58.0166664130001,-52.675056458 58.0000000000001,-52.6417427059999 57.9833335870001,-52.6084403999999 57.9666671750001,-52.575153351 57.950000763,-52.541881561 57.9333343500001,-52.508625031 57.916667938,-52.475387573 57.900001526,-52.4421615599999 57.883335114,-52.408950806 57.8666648870001,-52.3757591249999 57.8499984740001,-52.3425788879999 57.8333320620001,-52.309417724 57.8166656500001,-52.27627182 57.7999992370001,-52.2431373599999 57.7833328240001,-52.210021973 57.7666664120001,-52.1769218439999 57.7500000000001,-52.14383316 57.7333335880001,-52.110763549 57.7166671750001,-52.077709198 57.700000763,-52.04466629 57.683334351,-52.0116424559999 57.666667938,-52.0333328249999 57.666667938,-52.0666656499999 57.666667938,-52.099998474 57.666667938,-52.133335113 57.666667938,-52.1666679379999 57.666667938,-52.2000007629999 57.666667938,-52.2333335879999 57.666667938,-52.2666664129999 57.666667938,-52.299999237 57.666667938,-52.333332062 57.666667938,-52.366664886 57.666667938,-52.400001526 57.666667938,-52.433334351 57.666667938,-52.4666671749999 57.666667938,-52.4999999999999 57.666667938,-52.5333328249999 57.666667938,-52.566665649 57.666667938,-52.599998474 57.666667938,-52.633335114 57.666667938,-52.6666679379999 57.666667938,-52.7000007629999 57.666667938,-52.7333335869999 57.666667938,-52.7666664119999 57.666667938,-52.799999237 57.666667938,-52.833332062 57.666667938,-52.866664887 57.666667938,-52.900001526 57.666667938,-52.9333343499999 57.666667938,-52.9666671749999 57.666667938,-52.9999999999999 57.666667938,-53.0333328249999 57.666667938,-53.0666656499999 57.666667938,-53.099998474 57.666667938,-53.133335113 57.666667938,-53.1666679379999 57.666667938,-53.2000007629999 57.666667938,-53.2333335879999 57.666667938,-53.2666664119999 57.666667938,-53.299999237 57.666667938,-53.333332062 57.666667938,-53.366664886 57.666667938,-53.400001526 57.666667938,-53.433334351 57.666667938,-53.4666671749999 57.666667938,-53.4999999999999 57.666667938,-53.533332824 57.666667938,-53.566665649 57.666667938,-53.5999984749999 57.666667938,-53.633335114 57.666667938,-53.6666679379999 57.666667938,-53.7000007629999 57.666667938,-53.7333335869999 57.666667938,-53.7666664119999 57.666667938,-53.7999992379999 57.666667938,-53.833332062 57.666667938,-53.866664887 57.666667938,-53.900001526 57.666667938,-53.9333343499999 57.666667938,-53.9666671749999 57.666667938,-53.9999999999999 57.666667938,-54.0333328249999 57.666667938,-54.0666656499999 57.666667938,-54.099998474 57.666667938,-54.133335113 57.666667938,-54.1666679379999 57.666667938,-54.2000007629999 57.666667938,-54.2333335879999 57.666667938,-54.2666664119999 57.666667938,-54.299999237 57.666667938,-54.333332062 57.666667938,-54.366664886 57.666667938,-54.400001526 57.666667938,-54.433334351 57.666667938,-54.4666671749999 57.666667938,-54.4999999999999 57.666667938,-54.533332824 57.666667938,-54.566665649 57.666667938,-54.5999984749999 57.666667938,-54.633335114 57.666667938,-54.6666679379999 57.666667938,-54.7000007629999 57.666667938,-54.7333335869999 57.666667938,-54.7666664119999 57.666667938,-54.799999237 57.666667938,-54.833332062 57.666667938,-54.866664887 57.666667938,-54.900001526 57.666667938,-54.9333343499999 57.666667938,-54.9666671749999 57.666667938,-54.9999999999999 57.666667938,-55.0333328249999 57.666667938,-55.066665649 57.666667938,-55.099998474 57.666667938,-55.133335113 57.666667938,-55.1666679379999 57.666667938,-55.2000007629999 57.666667938,-55.2333335879999 57.666667938,-55.2666664119999 57.666667938,-55.299999237 57.666667938,-55.333332061 57.666667938,-55.366664886 57.666667938,-55.400001526 57.666667938,-55.433334351 57.666667938,-55.4666671749999 57.666667938,-55.4999999999999 57.666667938,-55.533332824 57.666667938,-55.566665649 57.666667938,-55.599998474 57.666667938,-55.633335114 57.666667938,-55.6666679379999 57.666667938,-55.7000007629999 57.666667938,-55.7333335869999 57.666667938,-55.7666664119999 57.666667938,-55.799999237 57.666667938,-55.833332062 57.666667938,-55.866664886 57.666667938,-55.900001526 57.666667938,-55.9333343499999 57.666667938,-55.9666671749999 57.666667938,-55.9999999999999 57.666667938,-56.0333328249999 57.666667938,-56.066665649 57.666667938,-56.099998474 57.666667938,-56.133335113 57.666667938,-56.1666679379999 57.666667938,-56.2000007629999 57.666667938,-56.2333335879999 57.666667938,-56.2666664119999 57.666667938,-56.299999237 57.666667938,-56.333332061 57.666667938,-56.366664886 57.666667938,-56.400001526 57.666667938,-56.433334351 57.666667938,-56.4666671749999 57.666667938,-56.4999999999999 57.666667938,-56.533332824 57.666667938,-56.566665649 57.666667938,-56.599998474 57.666667938,-56.633335114 57.666667938,-56.6666679379999 57.666667938,-56.7000007629999 57.666667938,-56.7333335869999 57.666667938,-56.7666664119999 57.666667938,-56.799999237 57.666667938,-56.833332062 57.666667938,-56.866664886 57.666667938,-56.900001526 57.666667938,-56.9333343499999 57.666667938,-56.9666671749999 57.666667938,-56.9999999999999 57.666667938,-57.0333328249999 57.666667938,-57.066665649 57.666667938,-57.099998474 57.666667938,-57.133335113 57.666667938,-57.1666679379999 57.666667938,-57.2000007629999 57.666667938,-57.2333335879999 57.666667938,-57.2666664119999 57.666667938,-57.299999237 57.666667938,-57.333332061 57.666667938,-57.366664887 57.666667938,-57.400001526 57.666667938,-57.433334351 57.666667938,-57.4666671749999 57.666667938,-57.4999999999999 57.666667938,-57.533332824 57.666667938,-57.5666656499999 57.666667938,-57.599998474 57.666667938,-57.633335114 57.666667938,-57.6666679379999 57.666667938,-57.7000007629999 57.666667938,-57.7333335869999 57.666667938,-57.7666664129999 57.666667938,-57.799999237 57.666667938,-57.833332062 57.666667938,-57.866664886 57.666667938,-57.900001526 57.666667938,-57.9333343499999 57.666667938,-57.966667176 57.666667938,-57.9999999999999 57.666667938,-58.0333328249999 57.666667938,-58.066665649 57.666667938,-58.099998474 57.666667938,-58.133335113 57.666667938,-58.1666679379999 57.666667938,-58.2000007629999 57.666667938,-58.2333335879999 57.666667938,-58.2666664119999 57.666667938,-58.299999237 57.666667938,-58.333332061 57.666667938,-58.366664887 57.666667938,-58.400001526 57.666667938,-58.433334351 57.666667938,-58.4666671749999 57.666667938,-58.4999999999999 57.666667938,-58.533332824 57.666667938,-58.5666656499999 57.666667938,-58.599998474 57.666667938,-58.633335114 57.666667938,-58.6666679379999 57.666667938,-58.7000007629999 57.666667938,-58.7333335869999 57.666667938,-58.7666664129999 57.666667938,-58.799999237 57.666667938,-58.833332062 57.666667938,-58.866664886 57.666667938,-58.900001526 57.666667938,-58.9333343499999 57.666667938,-58.966667176 57.666667938,-58.9999999999999 57.666667938,-59.0333328249999 57.666667938,-59.066665649 57.666667938,-59.099998474 57.666667938,-59.133335113 57.666667938,-59.166667939 57.666667938,-59.2000007629999 57.666667938,-59.2333335879999 57.666667938,-59.2666664119999 57.666667938,-59.299999237 57.666667938,-59.333332061 57.666667938,-59.366664887 57.666667938,-59.400001526 57.666667938,-59.433334351 57.666667938,-59.4666671749999 57.666667938,-59.4999999999999 57.666667938,-59.533332824 57.666667938,-59.5666656499999 57.666667938,-59.599998474 57.666667938,-59.633335114 57.666667938,-59.6666679379999 57.666667938,-59.7000007629999 57.666667938,-59.7333335869999 57.666667938,-59.7666664129999 57.666667938,-59.799999237 57.666667938,-59.833332062 57.666667938,-59.866664886 57.666667938,-59.900001526 57.666667938,-59.9333343499999 57.666667938,-59.966667176 57.666667938,-59.9999999999999 57.666667938,-60.0333328249999 57.666667938,-60.066665649 57.666667938,-60.099998474 57.666667938,-60.133335113 57.666667938,-60.166667939 57.666667938,-60.2000007629999 57.666667938,-60.2333335879999 57.666667938,-60.2666664119999 57.666667938,-60.299999237 57.666667938,-60.333332061 57.666667938,-60.366664887 57.666667938,-60.400001526 57.666667938,-60.433334351 57.666667938,-60.4666671749999 57.666667938,-60.4999999999999 57.666667938,-60.533332824 57.666667938,-60.5666656499999 57.666667938,-60.599998474 57.666667938,-60.633335114 57.666667938,-60.6666679379999 57.666667938,-60.7000007629999 57.666667938,-60.7333335869999 57.666667938,-60.7666664129999 57.666667938,-60.799999237 57.666667938,-60.833332062 57.666667938,-60.866664886 57.666667938,-60.900001526 57.666667938,-60.9333343499999 57.666667938,-60.966667176 57.666667938,-60.9999999999999 57.666667938,-61.0333328249999 57.666667938,-61.066665649 57.666667938,-61.099998474 57.666667938,-61.133335113 57.666667938,-61.166667939 57.666667938,-61.2000007629999 57.666667938,-61.2333335879999 57.666667938,-61.2666664119999 57.666667938,-61.299999237 57.666667938,-61.333332062 57.666667938,-61.366664887 57.666667938,-61.400001526 57.666667938,-61.433334351 57.666667938,-61.4666671749999 57.666667938,-61.4999999999999 57.666667938,-61.5333328249999 57.666667938,-61.5666656499999 57.666667938,-61.599998474 57.666667938,-61.633335114 57.666667938,-61.6666679379999 57.666667938,-61.7000007629999 57.666667938,-61.7333335879999 57.666667938,-61.7666664129999 57.666667938,-61.799999237 57.666667938,-61.833332062 57.666667938,-61.866664886 57.666667938,-61.900001526 57.666667938,-61.924179077 57.666667938,-64.4999999999999 57.6699981690001,-64.4999999999999 58.400001526,-64.4999999999999 58.940002441,-64.4999999999999 59.740001679,-64.849998474 59.9199981690001,-64.769996643 60.279998779,-64.5899963379999 60.310001373,-64.4999832509999 60.2843480340001,-64.4999999999999 60.3300018310001,-64.4999999999999 60.3333320620001,-64.4999999999999 60.3499984740001,-64.4999999999999 60.3666648860001,-64.4999999999999 60.383335113,-64.4999999999999 60.400001526,-64.4999999999999 60.416667939,-64.4999999999999 60.433334351,-64.4999999999999 60.450000763,-64.4999999999999 60.4666671750001,-64.4999999999999 60.4833335880001,-64.4999999999999 60.5000000000001,-64.4999999999999 60.5166664120001,-64.4999999999999 60.5333328240001,-64.4999999999999 60.5499992370001,-64.4999999999999 60.5666656490001,-64.4999999999999 60.5833320620001,-64.4999999999999 60.5999984750001,-64.4999999999999 60.6166648870001,-64.4999999999999 60.633335114,-64.4999999999999 60.650001526,-64.4999999999999 60.666667938,-64.4999999999999 60.683334351,-64.4999999999999 60.700000763,-64.4999999999999 60.7166671750001,-64.4999999999999 60.7333335870001,-64.4999999999999 60.7500000000001,-64.4999999999999 60.7666664120001,-64.4999999999999 60.7833328250001,-64.4999999999999 60.7999992370001,-64.4999999999999 60.8166656500001,-64.4999999999999 60.8333320620001,-64.4999999999999 60.8499984740001,-64.4999999999999 60.8666648870001,-64.4999999999999 60.883335114,-64.4999999999999 60.900001526,-64.4999999999999 60.916667938,-64.4999999999999 60.9333343500001,-64.4999999999999 60.950000763,-64.4999999999999 60.9666671750001,-64.4999999999999 60.9833335880001,-64.4999999999999 61.0000000000001,-64.4666671749999 61.0000000000001,-64.433334351 61.0000000000001,-64.400001526 61.0000000000001,-64.366668701 61.0000000000001,-64.333335877 61.0000000000001,-64.300003051 61.0000000000001,-64.266670227 61.0000000000001,-64.233329773 61.0000000000001,-64.199996948 61.0000000000001,-64.166664124 61.0000000000001,-64.133331299 61.0000000000001,-64.099998474 61.0000000000001,-64.066665649 61.0000000000001,-64.0333328249999 61.0000000000001,-63.9999999999999 61.0000000000001,-63.966667176 61.0000000000001,-63.933334351 61.0000000000001,-63.9000015249999 61.0000000000001,-63.866664886 61.0000000000001,-63.833332062 61.0000000000001,-63.799999237 61.0000000000001,-63.7666664129999 61.0000000000001,-63.7333335879999 61.0000000000001,-63.7000007629999 61.0000000000001,-63.6666679379999 61.0000000000001,-63.633335113 61.0000000000001,-63.599998474 61.0000000000001,-63.5666656499999 61.0000000000001,-63.5333328249999 61.0000000000001,-63.4999999999999 61.0000000000001,-63.4666671749999 61.0000000000001,-63.433334351 61.0000000000001,-63.400001526 61.0000000000001,-63.366664887 61.0000000000001,-63.333332062 61.0000000000001,-63.299999237 61.0000000000001,-63.2666664119999 61.0000000000001,-63.2333335879999 61.0000000000001,-63.2000007629999 61.0000000000001,-63.166667939 61.0000000000001,-63.133335114 61.0000000000001,-63.099998474 61.0000000000001,-63.066665649 61.0000000000001,-63.0333328249999 61.0000000000001,-62.9999999999999 61.0000000000001,-62.966667176 61.0000000000001,-62.933334351 61.0000000000001,-62.900001526 61.0000000000001,-62.866664886 61.0000000000001,-62.833332062 61.0000000000001,-62.799999237 61.0000000000001,-62.7666664129999 61.0000000000001,-62.7333335879999 61.0000000000001,-62.7000007629999 61.0000000000001,-62.6666679379999 61.0000000000001,-62.633335114 61.0000000000001,-62.599998474 61.0000000000001,-62.5666656499999 61.0000000000001,-62.5333328249999 61.0000000000001,-62.4999999999999 61.0000000000001,-62.4666671749999 61.0000000000001,-62.433334351 61.0000000000001,-62.400001526 61.0000000000001,-62.366664887 61.0000000000001,-62.333332062 61.0000000000001,-62.299999237 61.0000000000001,-62.2666664119999 61.0000000000001,-62.2333335879999 61.0000000000001,-62.2000007629999 61.0000000000001,-62.166667939 61.0000000000001,-62.133335113 61.0000000000001,-62.099998474 61.0000000000001,-62.066665649 61.0000000000001,-62.0333328249999 61.0000000000001,-61.9999999999999 61.0000000000001,-61.966667176 61.0000000000001,-61.933334351 61.0000000000001,-61.900001526 61.0000000000001,-61.866664886 61.0000000000001,-61.833332062 61.0000000000001,-61.799999237 61.0000000000001,-61.7666664129999 61.0000000000001,-61.7333335879999 61.0000000000001,-61.7000007629999 61.0000000000001,-61.6666679379999 61.0000000000001,-61.633335114 61.0000000000001,-61.599998474 61.0000000000001,-61.5666656499999 61.0000000000001,-61.5333328249999 61.0000000000001,-61.4999999999999 61.0000000000001,-61.4666671749999 61.0000000000001,-61.433334351 61.0000000000001,-61.400001526 61.0000000000001,-61.366664887 61.0000000000001,-61.333332062 61.0000000000001,-61.299999237 61.0000000000001,-61.2666664119999 61.0000000000001,-61.2333335879999 61.0000000000001,-61.2000007629999 61.0000000000001,-61.166667939 61.0000000000001,-61.133335113 61.0000000000001,-61.099998474 61.0000000000001,-61.066665649 61.0000000000001,-61.0333328249999 61.0000000000001,-60.9999999999999 61.0000000000001,-60.966667176 61.0000000000001,-60.9333343499999 61.0000000000001,-60.900001526 61.0000000000001,-60.866664886 61.0000000000001,-60.833332062 61.0000000000001,-60.799999237 61.0000000000001,-60.7666664129999 61.0000000000001,-60.7333335869999 61.0000000000001,-60.7000007629999 61.0000000000001,-60.6666679379999 61.0000000000001,-60.633335114 61.0000000000001,-60.599998474 61.0000000000001,-60.5666656499999 61.0000000000001,-60.533332824 61.0000000000001,-60.4999999999999 61.0000000000001,-60.4666671749999 61.0000000000001,-60.433334351 61.0000000000001,-60.400001526 61.0000000000001,-60.366664887 61.0000000000001,-60.333332061 61.0000000000001,-60.299999237 61.0000000000001,-60.2666664119999 61.0000000000001,-60.2333335879999 61.0000000000001,-60.2000007629999 61.0000000000001,-60.166667939 61.0000000000001,-60.133335113 61.0000000000001,-60.099998474 61.0000000000001,-60.066665649 61.0000000000001,-60.0333328249999 61.0000000000001,-59.9999999999999 61.0000000000001,-59.966667176 61.0000000000001,-59.9333343499999 61.0000000000001,-59.900001526 61.0000000000001,-59.866664886 61.0000000000001,-59.833332062 61.0000000000001,-59.799999237 61.0000000000001,-59.7666664129999 61.0000000000001,-59.7333335869999 61.0000000000001,-59.7000007629999 61.0000000000001,-59.6666679379999 61.0000000000001,-59.633335114 61.0000000000001,-59.599998474 61.0000000000001,-59.5666656499999 61.0000000000001,-59.533332824 61.0000000000001,-59.4999999999999 61.0000000000001,-59.4666671749999 61.0000000000001,-59.433334351 61.0000000000001,-59.400001526 61.0000000000001,-59.366664887 61.0000000000001,-59.333332061 61.0000000000001,-59.299999237 61.0000000000001,-59.2666664119999 61.0000000000001,-59.2333335879999 61.0000000000001,-59.2000007629999 61.0000000000001,-59.166667939 61.0000000000001,-59.133335113 61.0000000000001,-59.099998474 61.0000000000001,-59.066665649 61.0000000000001,-59.0333328249999 61.0000000000001,-58.9999999999999 61.0000000000001,-58.962390899 60.9833335880001,-58.924800873 60.9666671750001,-58.8872299189999 60.950000763,-58.849681854 60.9333343500001,-58.8121528629999 60.916667938,-58.774642945 60.900001526,-58.7371520999999 60.883335114,-58.6996803279999 60.8666648870001,-58.662227631 60.8499984740001,-58.6247940059999 60.8333320620001,-58.58738327 60.8166656500001,-58.549991608 60.7999992370001,-58.512615204 60.7833328250001,-58.4752616879999 60.7666664120001,-58.437927246 60.7500000000001,-58.4006118779999 60.7333335870001,-58.3633193969999 60.7166671750001,-58.3260421749999 60.700000763,-58.288784027 60.683334351,-58.251548767 60.666667938,-58.2143287659999 60.650001526,-58.1771316529999 60.633335114,-58.139949799 60.6166648870001,-58.102790832 60.5999984750001,-58.06565094 60.5833320620001,-58.028530121 60.5666656490001,-57.99142456 60.5499992370001,-57.954341889 60.5333328240001,-57.91727829 60.5166664120001,-57.880233764 60.5000000000001,-57.8432083129999 60.4833335880001,-57.8062019349999 60.4666671750001,-57.7692108159999 60.450000763,-57.7322425839999 60.433334351,-57.695293427 60.416667939,-57.658363342 60.400001526,-57.6214523309999 60.383335113,-57.584556579 60.3666648860001,-57.5476837159999 60.3499984740001,-57.510829926 60.3333320620001,-57.473995209 60.3166656490001,-57.437175751 60.2999992370001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.2', '', '21.2', '21.2.G', '', '21.2G', '', '', '', '', '', '', '', '2G', '3', '21.2.G', '21.2G', 'Y'),('SRID=4326;MULTIPOLYGON(((-65.666664123 40.416667938,-67.304060062 42.3333320620001,-67.303649902 42.3333320620001,-67.300003052 42.3333320620001,-67.283332824 42.3333320620001,-67.266670227 42.3333320620001,-67.2499999999999 42.3333320620001,-67.233329773 42.3333320620001,-67.2166671749999 42.3333320620001,-67.199996948 42.3333320620001,-67.183334351 42.3333320620001,-67.166664124 42.3333320620001,-67.150001526 42.3333320620001,-67.133331299 42.3333320620001,-67.116668701 42.3333320620001,-67.099998474 42.3333320620001,-67.083335876 42.3333320620001,-67.066665649 42.3333320620001,-67.050003052 42.3333320620001,-67.0333328249999 42.3333320620001,-67.016670227 42.3333320620001,-66.9999999999999 42.3333320620001,-66.983329773 42.3333320620001,-66.9666671749999 42.3333320620001,-66.949996948 42.3333320620001,-66.933334351 42.3333320620001,-66.916664124 42.3333320620001,-66.900001526 42.3333320620001,-66.883331298 42.3333320620001,-66.866668701 42.3333320620001,-66.849998474 42.3333320620001,-66.833335876 42.3333320620001,-66.816665649 42.3333320620001,-66.800003052 42.3333320620001,-66.7833328249999 42.3333320620001,-66.766670227 42.3333320620001,-66.7499999999999 42.3333320620001,-66.733329773 42.3333320620001,-66.7166671749999 42.3333320620001,-66.705558777 42.3333320620001,-66.699996948 42.3333320620001,-66.6833343499999 42.3333320620001,-66.666664123 42.3333320620001,-66.633331299 42.3333320620001,-66.616668701 42.3333320620001,-66.599998474 42.3333320620001,-66.583335876 42.3333320620001,-66.566665649 42.3333320620001,-66.550003052 42.3333320620001,-66.5333328249999 42.3333320620001,-66.516670227 42.3333320620001,-66.4999999999999 42.3333320620001,-66.483329773 42.3333320620001,-66.4666671749999 42.3333320620001,-66.449996948 42.3333320620001,-66.4333343499999 42.3333320620001,-66.416664123 42.3333320620001,-66.400001526 42.3333320620001,-66.383331299 42.3333320620001,-66.366668701 42.3333320620001,-66.349998474 42.3333320620001,-66.333335876 42.3333320620001,-66.316665649 42.3333320620001,-66.300003051 42.3333320620001,-66.283332824 42.3333320620001,-66.266670227 42.3333320620001,-66.2499999999999 42.3333320620001,-66.233329773 42.3333320620001,-66.2166671749999 42.3333320620001,-66.199996948 42.3333320620001,-66.183334351 42.3333320620001,-66.166664124 42.3333320620001,-66.150001526 42.3333320620001,-66.133331299 42.3333320620001,-66.116668701 42.3333320620001,-66.099998474 42.3333320620001,-66.083335876 42.3333320620001,-66.066665649 42.3333320620001,-66.050003052 42.3333320620001,-66.0333328249999 42.3333320620001,-66.016670227 42.3333320620001,-65.9999999999999 42.3333320620001,-65.983291626 42.3166656490001,-65.966583252 42.2999992370001,-65.949890137 42.2833328250001,-65.933189392 42.2666664120001,-65.9165039059999 42.2500000000001,-65.8998107909999 42.2333335880001,-65.8831329349999 42.2166671750001,-65.8664550779999 42.200000763,-65.849777221 42.183334351,-65.833114624 42.166667939,-65.8164443969999 42.150001526,-65.799789429 42.133335114,-65.78313446 42.1166648870001,-65.766479492 42.0999984740001,-65.7498321529999 42.0833320620001,-65.7331924439999 42.0666656490001,-65.7165527339999 42.0499992370001,-65.699920654 42.0333328250001,-65.683288574 42.0166664120001,-65.666664123 42.0000000000001,-65.666664123 41.9833335880001,-65.666664123 41.966667176,-65.666664123 41.950000763,-65.666664123 41.933334351,-65.666664123 41.916667938,-65.666664123 41.900001526,-65.666664123 41.883335114,-65.666664123 41.8666648860001,-65.666664123 41.8499984740001,-65.666664123 41.8333320620001,-65.666664123 41.8166656490001,-65.666664123 41.7999992370001,-65.666664123 41.7833328250001,-65.666664123 41.7666664130001,-65.666664123 41.7500000000001,-65.666664123 41.7333335880001,-65.666664123 41.7166671750001,-65.666664123 41.700000763,-65.666664123 41.683334351,-65.666664123 41.666667938,-65.666664123 41.650001526,-65.666664123 41.633335114,-65.666664123 41.6166648860001,-65.666664123 41.5999984740001,-65.666664123 41.5833320620001,-65.666664123 41.5666656500001,-65.666664123 41.5499992370001,-65.666664123 41.5333328250001,-65.666664123 41.5166664120001,-65.666664123 41.5000000000001,-65.666664123 41.4833335880001,-65.666664123 41.4666671750001,-65.666664123 41.450000763,-65.666664123 41.433334351,-65.666664123 41.416667938,-65.666664123 41.400001526,-65.666664123 41.383335114,-65.666664123 41.3666648870001,-65.666664123 41.3499984740001,-65.666664123 41.3333320620001,-65.666664123 41.3166656490001,-65.666664123 41.2999992370001,-65.666664123 41.2833328250001,-65.666664123 41.2666664120001,-65.666664123 41.2500000000001,-65.666664123 41.2333335880001,-65.666664123 41.2166671750001,-65.666664123 41.200000763,-65.666664123 41.183334351,-65.666664123 41.166667939,-65.666664123 41.150001526,-65.666664123 41.133335114,-65.666664123 41.1166648860001,-65.666664123 41.0999984740001,-65.666664123 41.0833320620001,-65.666664123 41.0666656490001,-65.666664123 41.0499992370001,-65.666664123 41.0333328250001,-65.666664123 41.0166664120001,-65.666664123 41.0000000000001,-65.666664123 40.9833335880001,-65.666664123 40.966667176,-65.666664123 40.950000763,-65.666664123 40.933334351,-65.666664123 40.916667938,-65.666664123 40.900001526,-65.666664123 40.883335114,-65.666664123 40.8666648860001,-65.666664123 40.8499984740001,-65.666664123 40.8333320620001,-65.666664123 40.8166656490001,-65.666664123 40.7999992370001,-65.666664123 40.7833328250001,-65.666664123 40.7666664130001,-65.666664123 40.7500000000001,-65.666664123 40.7333335880001,-65.666664123 40.7166671750001,-65.666664123 40.700000763,-65.666664123 40.683334351,-65.666664123 40.666667938,-65.666664123 40.650001526,-65.666664123 40.633335114,-65.666664123 40.6166648870001,-65.666664123 40.5999984740001,-65.666664123 40.5833320620001,-65.666664123 40.5666656500001,-65.666664123 40.5499992370001,-65.666664123 40.5333328250001,-65.666664123 40.5166664120001,-65.666664123 40.5000000000001,-65.666664123 40.4833335880001,-65.666664123 40.4666671750001,-65.666664123 40.450000763,-65.666664123 40.433334351,-65.666664123 40.416667938)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.5', '', '21.5', '21.5.Z', '', '21.5Z', '21.5.Z.e', '', '21.5Ze', '21.5.Z.e.c', 'Canadian waters', '21.5Zc', '', '5Zc', '5', '21.5.Z.e.c', '21.5Zc', 'Y'),('SRID=4326;MULTIPOLYGON(((15.155835605 53.501762984,15.0000000000001 53.432193517,14.4896156040001 53.20434334,13.8677173950001 53.3819262200001,13.514079173 53.5969372700001,12.1080190640001 53.6201081400001,12.000000082 54.175744036,12.000000041 54.5666660360001,11.9744590820001 54.5661560360001,11.961576624 54.595615686,11.9354677440001 54.655321562,11.9335748120001 54.6596503260001,11.9346520610001 54.6634788590001,12.000000082 54.895725037,12.000000082 54.9245500370001,12.000000082 54.9424730370001,12.000000082 54.9682710370001,11.945885423 55.1468338720001,11.9040161250001 55.2849905320001,11.9956234430001 55.3059947790001,12.0567040770001 55.319999695,12.262266257 55.3671321620001,12.392867209 55.319999695,12.415484195 55.3118374700001,12.4469000830001 55.3132000370001,12.4470590080001 55.313338361,12.4666670830001 55.3166660370001,12.810199083 55.3782470370001,12.81025507 55.37828139,12.821649994 55.385273102,12.8286416920001 55.389563077,12.842190772 55.398496536,12.8558904400001 55.4075292850001,12.856567098 55.4074255300001,12.900805958 55.400642238,12.910737161 55.4015450750001,12.9469192240001 55.4048343530001,13.0680441270001 55.4464288460001,13.1891550600001 55.81084494,13.2192843190001 55.9015022130001,13.850750116 56.032257868,14.2112120840001 55.3980770370001,14.783000085 55.3000000370001,14.986846165 55.0160133260001,15.0000000420001 54.997688096,15.0000000850001 54.0800190360001,15.155835605 53.501762984)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.III', 'Skagerrak, Kattegat, Sound, Belt S., and Baltic S.', '27.III', '27.III.d', '', '27.IIId', '27.III.d.24', 'Baltic West of Bornholm', '27.IIId24', '', '', '', '', '24', '4', '27.3.d.24', '27.24', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 56.948144896,15.286700248 56.9042437050001,15.7506748920001 56.9637276330001,16.1762000860001 56.5000000380001,16.1820000860001 56.5000000380001,18.000000066 56.500000029,18.000000088 54.8306000370001,18.026675137 54.731317554,18.052800115 54.1391513660001,18.0000000000001 54.1236556800001,17.251634097 53.9040265560001,15.9862279540001 53.6611469100001,15.155835605 53.501762984,15.0000000850001 54.0800190360001,15.0000000420001 54.997688096,14.986846165 55.0160133260001,14.783000085 55.3000000370001,14.2112120840001 55.3980770370001,13.850750116 56.032257868,13.2192843190001 55.9015022130001,13.3182328450001 56.0795575270001,13.570507261 56.5335188120001,13.5372850140001 57.172124228,15.0000000000001 56.948144896)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.III', 'Skagerrak, Kattegat, Sound, Belt S., and Baltic S.', '27.III', '27.III.d', '', '27.IIId', '27.III.d.25', 'Southern Central Baltic - West', '27.IIId25', '', '', '', '', '25', '4', '27.3.d.25', '27.25', 'Y'),('SRID=4326;MULTIPOLYGON(((-52.0116424559999 57.666667938,-51.978633881 57.650001526,-51.945636749 57.633335114,-51.9126586909999 57.6166648870001,-51.879695892 57.5999984740001,-51.8467445369999 57.5833320610001,-51.813812255 57.5666656490001,-51.780895233 57.5499992370001,-51.747989655 57.5333328250001,-51.7151031499999 57.5166664120001,-51.682228089 57.5000000000001,-51.649368286 57.4833335880001,-51.616527557 57.466667176,-51.583698273 57.450000763,-51.5508842469999 57.433334351,-51.518085479 57.416667938,-51.485305786 57.4000015250001,-51.452537537 57.383335113,-51.4197807309999 57.3666648860001,-51.387042999 57.3499984740001,-51.354320526 57.3333320620001,-51.321613312 57.3166656490001,-51.288917542 57.2999992370001,-51.256240845 57.2833328250001,-51.223575592 57.2666664130001,-51.190925598 57.2500000000001,-51.1582908629999 57.2333335880001,-51.125671387 57.2166671750001,-51.0930671689999 57.200000763,-51.060478211 57.1833343500001,-51.027904511 57.166667938,-50.995342254 57.150001526,-50.962795258 57.133335113,-50.930267334 57.1166648860001,-50.897750855 57.0999984740001,-50.8652458189999 57.0833320620001,-50.832759857 57.0666656500001,-50.800289154 57.0499992370001,-50.767829895 57.0333328250001,-50.735385895 57.0166664130001,-50.702960968 57.0000000000001,-50.67054367 56.9833335870001,-50.6381454469999 56.9666671750001,-50.6057624819999 56.950000763,-50.573390961 56.9333343500001,-50.541034698 56.916667938,-50.508693695 56.900001526,-50.4763679499999 56.883335114,-50.4440536499999 56.8666648870001,-50.411758423 56.8499984740001,-50.37947464 56.8333320620001,-50.3472061159999 56.8166656500001,-50.314949036 56.7999992370001,-50.282711029 56.7833328240001,-50.2504844659999 56.7666664120001,-50.2182731629999 56.7500000000001,-50.186077118 56.7333335880001,-50.153892518 56.7166671750001,-50.1217231749999 56.700000763,-50.089569092 56.683334351,-50.057430267 56.666667938,-50.025306702 56.650001526,-49.99319458 56.633335114,-49.961097717 56.6166648870001,-49.929012298 56.5999984740001,-49.8969459529999 56.5833320610001,-49.864891052 56.5666656490001,-49.8328514099999 56.5499992370001,-49.800823212 56.5333328250001,-49.768814087 56.5166664120001,-49.736812592 56.5000000000001,-49.70483017 56.4833335880001,-49.6728630069999 56.466667176,-49.6409072869999 56.450000763,-49.6089630129999 56.433334351,-49.577037812 56.416667938,-49.545124054 56.4000015250001,-49.513225556 56.383335113,-49.481338501 56.3666648860001,-49.449466706 56.3499984740001,-49.417610168 56.3333320620001,-49.385765076 56.3166656490001,-49.3539390559999 56.2999992370001,-49.322120667 56.2833328250001,-49.2903213499999 56.2666664130001,-49.2585334779999 56.2500000000001,-49.2267570499999 56.2333335880001,-49.194999695 56.2166671750001,-49.1632537839999 56.200000763,-49.131519318 56.1833343500001,-49.099803924 56.166667938,-49.068096161 56.150001526,-49.036407471 56.133335113,-49.0047302249999 56.1166648860001,-48.9730682369999 56.0999984740001,-48.9414176939999 56.0833320620001,-48.9097824089999 56.0666656500001,-48.8781623839999 56.0499992370001,-48.846553802 56.0333328250001,-48.814956665 56.0166664120001,-48.783378601 56.0000000000001,-48.7518081659999 55.9833335870001,-48.720256805 55.9666671750001,-48.6887168879999 55.950000763,-48.65719223 55.933334351,-48.6256790159999 55.916667938,-48.594181061 55.900001526,-48.5626945499999 55.883335114,-48.5312232969999 55.8666648870001,-48.499763489 55.8499984740001,-48.468318939 55.8333320620001,-48.436889648 55.8166656490001,-48.405471802 55.7999992370001,-48.374065399 55.7833328240001,-48.342674255 55.7666664120001,-48.31129837 55.7500000000001,-48.27993393 55.7333335880001,-48.2485847469999 55.7166671750001,-48.2172470099999 55.700000763,-48.18592453 55.683334351,-48.154613495 55.666667939,-48.1233177189999 55.650001526,-48.092033386 55.633335114,-48.0607643129999 55.6166648860001,-48.029506683 55.5999984740001,-47.9982643119999 55.5833320610001,-47.967033386 55.5666656490001,-47.935817718 55.5499992370001,-47.904613495 55.5333328250001,-47.87342453 55.5166664120001,-47.8422470089999 55.5000000000001,-47.8110847469999 55.4833335880001,-47.779933929 55.466667176,-47.74879837 55.450000763,-47.717674256 55.433334351,-47.6865615849999 55.416667938,-47.6554641719999 55.400001526,-47.6243820189999 55.383335113,-47.5933113099999 55.3666648860001,-47.562252045 55.3499984740001,-47.5312080379999 55.3333320620001,-47.599998474 55.3333320620001,-47.6333351129999 55.3333320620001,-47.666667939 55.3333320620001,-47.7000007629999 55.3333320620001,-47.7333335879999 55.3333320620001,-47.7666664119999 55.3333320620001,-47.799999237 55.3333320620001,-47.833332062 55.3333320620001,-47.866664887 55.3333320620001,-47.900001526 55.3333320620001,-47.933334351 55.3333320620001,-47.9666671749999 55.3333320620001,-47.9999999999999 55.3333320620001,-48.0333328249999 55.3333320620001,-48.0666656499999 55.3333320620001,-48.099998474 55.3333320620001,-48.133335114 55.3333320620001,-48.1666679379999 55.3333320620001,-48.2000007629999 55.3333320620001,-48.2333335879999 55.3333320620001,-48.2666664129999 55.3333320620001,-48.299999237 55.3333320620001,-48.333332062 55.3333320620001,-48.366664886 55.3333320620001,-48.400001526 55.3333320620001,-48.433334351 55.3333320620001,-48.4666671759999 55.3333320620001,-48.4999999999999 55.3333320620001,-48.5333328249999 55.3333320620001,-48.566665649 55.3333320620001,-48.599998474 55.3333320620001,-48.633335114 55.3333320620001,-48.666667939 55.3333320620001,-48.7000007629999 55.3333320620001,-48.7333335879999 55.3333320620001,-48.7666664119999 55.3333320620001,-48.799999237 55.3333320620001,-48.833332062 55.3333320620001,-48.866664887 55.3333320620001,-48.900001526 55.3333320620001,-48.933334351 55.3333320620001,-48.9666671749999 55.3333320620001,-48.9999999999999 55.3333320620001,-49.0333328249999 55.3333320620001,-49.0666656499999 55.3333320620001,-49.099998474 55.3333320620001,-49.133335114 55.3333320620001,-49.1666679379999 55.3333320620001,-49.2000007629999 55.3333320620001,-49.2333335879999 55.3333320620001,-49.2666664129999 55.3333320620001,-49.299999237 55.3333320620001,-49.333332062 55.3333320620001,-49.366664886 55.3333320620001,-49.400001526 55.3333320620001,-49.433334351 55.3333320620001,-49.4666671759999 55.3333320620001,-49.4999999999999 55.3333320620001,-49.5333328249999 55.3333320620001,-49.566665649 55.3333320620001,-49.599998474 55.3333320620001,-49.633335114 55.3333320620001,-49.666667939 55.3333320620001,-49.7000007629999 55.3333320620001,-49.7333335879999 55.3333320620001,-49.7666664119999 55.3333320620001,-49.799999237 55.3333320620001,-49.833332062 55.3333320620001,-49.866664887 55.3333320620001,-49.900001526 55.3333320620001,-49.933334351 55.3333320620001,-49.9666671749999 55.3333320620001,-49.9999999999999 55.3333320620001,-50.0333328249999 55.3333320620001,-50.0666656499999 55.3333320620001,-50.099998474 55.3333320620001,-50.1333351129999 55.3333320620001,-50.1666679379999 55.3333320620001,-50.2000007629999 55.3333320620001,-50.2333335879999 55.3333320620001,-50.2666664129999 55.3333320620001,-50.299999237 55.3333320620001,-50.333332062 55.3333320620001,-50.366664886 55.3333320620001,-50.4000015249999 55.3333320620001,-50.433334351 55.3333320620001,-50.4666671759999 55.3333320620001,-50.4999999999999 55.3333320620001,-50.5333328249999 55.3333320620001,-50.566665649 55.3333320620001,-50.599998474 55.3333320620001,-50.633335114 55.3333320620001,-50.6666679379999 55.3333320620001,-50.7000007629999 55.3333320620001,-50.7333335879999 55.3333320620001,-50.7666664119999 55.3333320620001,-50.799999237 55.3333320620001,-50.833332062 55.3333320620001,-50.866664887 55.3333320620001,-50.900001526 55.3333320620001,-50.9333343499999 55.3333320620001,-50.9666671749999 55.3333320620001,-50.9999999999999 55.3333320620001,-51.0333328249999 55.3333320620001,-51.0666656499999 55.3333320620001,-51.099998474 55.3333320620001,-51.1333351129999 55.3333320620001,-51.1666679379999 55.3333320620001,-51.2000007619999 55.3333320620001,-51.2333335879999 55.3333320620001,-51.2666664129999 55.3333320620001,-51.299999237 55.3333320620001,-51.333332062 55.3333320620001,-51.366664886 55.3333320620001,-51.4000015249999 55.3333320620001,-51.433334351 55.3333320620001,-51.4666671759999 55.3333320620001,-51.4999999999999 55.3333320620001,-51.5333328249999 55.3333320620001,-51.566665649 55.3333320620001,-51.599998474 55.3333320620001,-51.633335114 55.3333320620001,-51.6666679379999 55.3333320620001,-51.7000007629999 55.3333320620001,-51.7333335879999 55.3333320620001,-51.7666664119999 55.3333320620001,-51.799999237 55.3333320620001,-51.833332062 55.3333320620001,-51.866664887 55.3333320620001,-51.900001526 55.3333320620001,-51.9333343499999 55.3333320620001,-51.9666671749999 55.3333320620001,-51.9999999999999 55.3333320620001,-52.0333328249999 55.3333320620001,-52.0666656499999 55.3333320620001,-52.099998474 55.3333320620001,-52.133335113 55.3333320620001,-52.1666679379999 55.3333320620001,-52.2000007629999 55.3333320620001,-52.2333335879999 55.3333320620001,-52.2666664129999 55.3333320620001,-52.299999237 55.3333320620001,-52.333332062 55.3333320620001,-52.366664886 55.3333320620001,-52.400001526 55.3333320620001,-52.433334351 55.3333320620001,-52.4666671749999 55.3333320620001,-52.4999999999999 55.3333320620001,-52.5333328249999 55.3333320620001,-52.566665649 55.3333320620001,-52.599998474 55.3333320620001,-52.633335114 55.3333320620001,-52.6666679379999 55.3333320620001,-52.7000007629999 55.3333320620001,-52.7333335869999 55.3333320620001,-52.7666664119999 55.3333320620001,-52.799999237 55.3333320620001,-52.833332062 55.3333320620001,-52.866664887 55.3333320620001,-52.900001526 55.3333320620001,-52.9333343499999 55.3333320620001,-52.9666671749999 55.3333320620001,-52.9999999999999 55.3333320620001,-53.0333328249999 55.3333320620001,-53.0666656499999 55.3333320620001,-53.099998474 55.3333320620001,-53.133335113 55.3333320620001,-53.1666679379999 55.3333320620001,-53.2000007629999 55.3333320620001,-53.2333335879999 55.3333320620001,-53.2666664119999 55.3333320620001,-53.299999237 55.3333320620001,-53.333332062 55.3333320620001,-53.366664886 55.3333320620001,-53.400001526 55.3333320620001,-53.433334351 55.3333320620001,-53.4666671749999 55.3333320620001,-53.4999999999999 55.3333320620001,-53.533332824 55.3333320620001,-53.566665649 55.3333320620001,-53.5999984749999 55.3333320620001,-53.633335114 55.3333320620001,-53.6666679379999 55.3333320620001,-53.7000007629999 55.3333320620001,-53.7333335869999 55.3333320620001,-53.7666664119999 55.3333320620001,-53.7999992379999 55.3333320620001,-53.833332062 55.3333320620001,-53.866664887 55.3333320620001,-53.900001526 55.3333320620001,-53.9333343499999 55.3333320620001,-53.9666671749999 55.3333320620001,-53.9999999999999 55.3333320620001,-54.0333328249999 55.3333320620001,-54.0666656499999 55.3333320620001,-54.099998474 55.3333320620001,-54.133335113 55.3333320620001,-54.1666679379999 55.3333320620001,-54.2000007629999 55.3333320620001,-54.2333335879999 55.3333320620001,-54.2666664119999 55.3333320620001,-54.299999237 55.3333320620001,-54.333332062 55.3333320620001,-54.366664886 55.3333320620001,-54.400001526 55.3333320620001,-54.433334351 55.3333320620001,-54.4666671749999 55.3333320620001,-54.4999999999999 55.3333320620001,-54.533332824 55.3333320620001,-54.566665649 55.3333320620001,-54.5999984749999 55.3333320620001,-54.633335114 55.3333320620001,-54.6666679379999 55.3333320620001,-54.7000007629999 55.3333320620001,-54.7333335869999 55.3333320620001,-54.7666664119999 55.3333320620001,-54.799999237 55.3333320620001,-54.833332062 55.3333320620001,-54.866664887 55.3333320620001,-54.900001526 55.3333320620001,-54.9333343499999 55.3333320620001,-54.9666671749999 55.3333320620001,-54.9999999999999 55.3333320620001,-55.0333328249999 55.3333320620001,-55.066665649 55.3333320620001,-55.099998474 55.3333320620001,-55.133335113 55.3333320620001,-55.1666679379999 55.3333320620001,-55.2000007629999 55.3333320620001,-55.2333335879999 55.3333320620001,-55.2666664119999 55.3333320620001,-55.299999237 55.3333320620001,-55.333332061 55.3333320620001,-55.366664886 55.3333320620001,-55.400001526 55.3333320620001,-55.433334351 55.3333320620001,-55.4666671749999 55.3333320620001,-55.4999999999999 55.3333320620001,-55.533332824 55.3333320620001,-55.566665649 55.3333320620001,-55.599998474 55.3333320620001,-55.633335114 55.3333320620001,-55.6666679379999 55.3333320620001,-55.7000007629999 55.3333320620001,-55.7333335869999 55.3333320620001,-55.7666664119999 55.3333320620001,-55.799999237 55.3333320620001,-55.833332062 55.3333320620001,-55.866664886 55.3333320620001,-55.900001526 55.3333320620001,-55.9333343499999 55.3333320620001,-55.9666671749999 55.3333320620001,-55.9999999999999 55.3333320620001,-56.0333328249999 55.3333320620001,-56.066665649 55.3333320620001,-56.099998474 55.3333320620001,-56.133335113 55.3333320620001,-56.1666679379999 55.3333320620001,-56.2000007629999 55.3333320620001,-56.2333335879999 55.3333320620001,-56.2666664119999 55.3333320620001,-56.299999237 55.3333320620001,-56.333332061 55.3333320620001,-56.366664886 55.3333320620001,-56.400001526 55.3333320620001,-56.433334351 55.3333320620001,-56.4666671749999 55.3333320620001,-56.4999999999999 55.3333320620001,-56.533332824 55.3333320620001,-56.566665649 55.3333320620001,-56.599998474 55.3333320620001,-56.633335114 55.3333320620001,-56.6666679379999 55.3333320620001,-56.7000007629999 55.3333320620001,-56.7333335869999 55.3333320620001,-56.7666664119999 55.3333320620001,-56.799999237 55.3333320620001,-56.833332062 55.3333320620001,-56.866664886 55.3333320620001,-56.900001526 55.3333320620001,-56.9333343499999 55.3333320620001,-56.9666671749999 55.3333320620001,-56.9999999999999 55.3333320620001,-57.0333328249999 55.3333320620001,-57.066665649 55.3333320620001,-57.099998474 55.3333320620001,-57.133335113 55.3333320620001,-57.1666679379999 55.3333320620001,-57.2000007629999 55.3333320620001,-57.2333335879999 55.3333320620001,-57.2666664119999 55.3333320620001,-57.299999237 55.3333320620001,-57.333332061 55.3333320620001,-57.366664887 55.3333320620001,-57.400001526 55.3333320620001,-57.433334351 55.3333320620001,-57.4666671749999 55.3333320620001,-57.4999999999999 55.3333320620001,-57.533332824 55.3333320620001,-57.5666656499999 55.3333320620001,-57.599998474 55.3333320620001,-57.633335114 55.3333320620001,-57.6666679379999 55.3333320620001,-57.7000007629999 55.3333320620001,-57.7333335869999 55.3333320620001,-57.7666664129999 55.3333320620001,-57.799999237 55.3333320620001,-57.833332062 55.3333320620001,-57.866664886 55.3333320620001,-57.900001526 55.3333320620001,-57.9333343499999 55.3333320620001,-57.966667176 55.3333320620001,-57.9999999999999 55.3333320620001,-58.0333328249999 55.3333320620001,-58.066665649 55.3333320620001,-58.099998474 55.3333320620001,-58.133335113 55.3333320620001,-58.1666679379999 55.3333320620001,-58.2000007629999 55.3333320620001,-58.2333335879999 55.3333320620001,-58.2666664119999 55.3333320620001,-58.299999237 55.3333320620001,-58.333332061 55.3333320620001,-58.366664887 55.3333320620001,-58.400001526 55.3333320620001,-58.433334351 55.3333320620001,-58.4666671749999 55.3333320620001,-58.4999999999999 55.3333320620001,-58.533332824 55.3333320620001,-58.5666656499999 55.3333320620001,-58.599998474 55.3333320620001,-58.633335114 55.3333320620001,-58.6666679379999 55.3333320620001,-58.7000007629999 55.3333320620001,-58.7333335869999 55.3333320620001,-58.7666664129999 55.3333320620001,-58.799999237 55.3333320620001,-58.833332062 55.3333320620001,-58.866664886 55.3333320620001,-58.900001526 55.3333320620001,-58.9333343499999 55.3333320620001,-58.966667176 55.3333320620001,-58.9999999999999 55.3333320620001,-59.0333328249999 55.3333320620001,-59.066665649 55.3333320620001,-59.099998474 55.3333320620001,-59.133335113 55.3333320620001,-59.166667939 55.3333320620001,-59.2000007629999 55.3333320620001,-59.2333335879999 55.3333320620001,-59.2666664119999 55.3333320620001,-59.299999237 55.3333320620001,-59.333332061 55.3333320620001,-59.366664887 55.3333320620001,-59.400001526 55.3333320620001,-59.433334351 55.3333320620001,-59.4666671749999 55.3333320620001,-59.4999999999999 55.3333320620001,-59.533332824 55.3333320620001,-59.5666656499999 55.3333320620001,-59.599998474 55.3333320620001,-59.633335114 55.3333320620001,-59.6666679379999 55.3333320620001,-59.7000007629999 55.3333320620001,-59.7333335869999 55.3333320620001,-59.7666664129999 55.3333320620001,-59.778671264 55.3333320620001,-59.779998779 55.3300018310001,-59.782949819 55.3309944390001,-59.786667638 55.3298203910001,-59.788037361 55.3241458260001,-59.86000061 55.22000122,-59.97000122 55.200000763,-60.1024050469999 55.0746975640001,-60.0325164669999 54.898607585,-60.6172786819999 54.6889758470001,-60.639345181 54.3138453700001,-62.084700845 54.2255793750001,-62.217099837 55.3289043090001,-64.4999999999999 55.3300018310001,-64.4999999999999 56.0000000000001,-64.4999999999999 56.7999992370001,-64.4999999999999 56.869998932,-64.4999999999999 57.5999984740001,-64.4999999999999 57.6699981690001,-61.924179077 57.666667938,-61.900001526 57.666667938,-61.866664886 57.666667938,-61.833332062 57.666667938,-61.799999237 57.666667938,-61.7666664129999 57.666667938,-61.7333335879999 57.666667938,-61.7000007629999 57.666667938,-61.6666679379999 57.666667938,-61.633335114 57.666667938,-61.599998474 57.666667938,-61.5666656499999 57.666667938,-61.5333328249999 57.666667938,-61.4999999999999 57.666667938,-61.4666671749999 57.666667938,-61.433334351 57.666667938,-61.400001526 57.666667938,-61.366664887 57.666667938,-61.333332062 57.666667938,-61.299999237 57.666667938,-61.2666664119999 57.666667938,-61.2333335879999 57.666667938,-61.2000007629999 57.666667938,-61.166667939 57.666667938,-61.133335113 57.666667938,-61.099998474 57.666667938,-61.066665649 57.666667938,-61.0333328249999 57.666667938,-60.9999999999999 57.666667938,-60.966667176 57.666667938,-60.9333343499999 57.666667938,-60.900001526 57.666667938,-60.866664886 57.666667938,-60.833332062 57.666667938,-60.799999237 57.666667938,-60.7666664129999 57.666667938,-60.7333335869999 57.666667938,-60.7000007629999 57.666667938,-60.6666679379999 57.666667938,-60.633335114 57.666667938,-60.599998474 57.666667938,-60.5666656499999 57.666667938,-60.533332824 57.666667938,-60.4999999999999 57.666667938,-60.4666671749999 57.666667938,-60.433334351 57.666667938,-60.400001526 57.666667938,-60.366664887 57.666667938,-60.333332061 57.666667938,-60.299999237 57.666667938,-60.2666664119999 57.666667938,-60.2333335879999 57.666667938,-60.2000007629999 57.666667938,-60.166667939 57.666667938,-60.133335113 57.666667938,-60.099998474 57.666667938,-60.066665649 57.666667938,-60.0333328249999 57.666667938,-59.9999999999999 57.666667938,-59.966667176 57.666667938,-59.9333343499999 57.666667938,-59.900001526 57.666667938,-59.866664886 57.666667938,-59.833332062 57.666667938,-59.799999237 57.666667938,-59.7666664129999 57.666667938,-59.7333335869999 57.666667938,-59.7000007629999 57.666667938,-59.6666679379999 57.666667938,-59.633335114 57.666667938,-59.599998474 57.666667938,-59.5666656499999 57.666667938,-59.533332824 57.666667938,-59.4999999999999 57.666667938,-59.4666671749999 57.666667938,-59.433334351 57.666667938,-59.400001526 57.666667938,-59.366664887 57.666667938,-59.333332061 57.666667938,-59.299999237 57.666667938,-59.2666664119999 57.666667938,-59.2333335879999 57.666667938,-59.2000007629999 57.666667938,-59.166667939 57.666667938,-59.133335113 57.666667938,-59.099998474 57.666667938,-59.066665649 57.666667938,-59.0333328249999 57.666667938,-58.9999999999999 57.666667938,-58.966667176 57.666667938,-58.9333343499999 57.666667938,-58.900001526 57.666667938,-58.866664886 57.666667938,-58.833332062 57.666667938,-58.799999237 57.666667938,-58.7666664129999 57.666667938,-58.7333335869999 57.666667938,-58.7000007629999 57.666667938,-58.6666679379999 57.666667938,-58.633335114 57.666667938,-58.599998474 57.666667938,-58.5666656499999 57.666667938,-58.533332824 57.666667938,-58.4999999999999 57.666667938,-58.4666671749999 57.666667938,-58.433334351 57.666667938,-58.400001526 57.666667938,-58.366664887 57.666667938,-58.333332061 57.666667938,-58.299999237 57.666667938,-58.2666664119999 57.666667938,-58.2333335879999 57.666667938,-58.2000007629999 57.666667938,-58.1666679379999 57.666667938,-58.133335113 57.666667938,-58.099998474 57.666667938,-58.066665649 57.666667938,-58.0333328249999 57.666667938,-57.9999999999999 57.666667938,-57.966667176 57.666667938,-57.9333343499999 57.666667938,-57.900001526 57.666667938,-57.866664886 57.666667938,-57.833332062 57.666667938,-57.799999237 57.666667938,-57.7666664129999 57.666667938,-57.7333335869999 57.666667938,-57.7000007629999 57.666667938,-57.6666679379999 57.666667938,-57.633335114 57.666667938,-57.599998474 57.666667938,-57.5666656499999 57.666667938,-57.533332824 57.666667938,-57.4999999999999 57.666667938,-57.4666671749999 57.666667938,-57.433334351 57.666667938,-57.400001526 57.666667938,-57.366664887 57.666667938,-57.333332061 57.666667938,-57.299999237 57.666667938,-57.2666664119999 57.666667938,-57.2333335879999 57.666667938,-57.2000007629999 57.666667938,-57.1666679379999 57.666667938,-57.133335113 57.666667938,-57.099998474 57.666667938,-57.066665649 57.666667938,-57.0333328249999 57.666667938,-56.9999999999999 57.666667938,-56.9666671749999 57.666667938,-56.9333343499999 57.666667938,-56.900001526 57.666667938,-56.866664886 57.666667938,-56.833332062 57.666667938,-56.799999237 57.666667938,-56.7666664119999 57.666667938,-56.7333335869999 57.666667938,-56.7000007629999 57.666667938,-56.6666679379999 57.666667938,-56.633335114 57.666667938,-56.599998474 57.666667938,-56.566665649 57.666667938,-56.533332824 57.666667938,-56.4999999999999 57.666667938,-56.4666671749999 57.666667938,-56.433334351 57.666667938,-56.400001526 57.666667938,-56.366664886 57.666667938,-56.333332061 57.666667938,-56.299999237 57.666667938,-56.2666664119999 57.666667938,-56.2333335879999 57.666667938,-56.2000007629999 57.666667938,-56.1666679379999 57.666667938,-56.133335113 57.666667938,-56.099998474 57.666667938,-56.066665649 57.666667938,-56.0333328249999 57.666667938,-55.9999999999999 57.666667938,-55.9666671749999 57.666667938,-55.9333343499999 57.666667938,-55.900001526 57.666667938,-55.866664886 57.666667938,-55.833332062 57.666667938,-55.799999237 57.666667938,-55.7666664119999 57.666667938,-55.7333335869999 57.666667938,-55.7000007629999 57.666667938,-55.6666679379999 57.666667938,-55.633335114 57.666667938,-55.599998474 57.666667938,-55.566665649 57.666667938,-55.533332824 57.666667938,-55.4999999999999 57.666667938,-55.4666671749999 57.666667938,-55.433334351 57.666667938,-55.400001526 57.666667938,-55.366664886 57.666667938,-55.333332061 57.666667938,-55.299999237 57.666667938,-55.2666664119999 57.666667938,-55.2333335879999 57.666667938,-55.2000007629999 57.666667938,-55.1666679379999 57.666667938,-55.133335113 57.666667938,-55.099998474 57.666667938,-55.066665649 57.666667938,-55.0333328249999 57.666667938,-54.9999999999999 57.666667938,-54.9666671749999 57.666667938,-54.9333343499999 57.666667938,-54.900001526 57.666667938,-54.866664887 57.666667938,-54.833332062 57.666667938,-54.799999237 57.666667938,-54.7666664119999 57.666667938,-54.7333335869999 57.666667938,-54.7000007629999 57.666667938,-54.6666679379999 57.666667938,-54.633335114 57.666667938,-54.5999984749999 57.666667938,-54.566665649 57.666667938,-54.533332824 57.666667938,-54.4999999999999 57.666667938,-54.4666671749999 57.666667938,-54.433334351 57.666667938,-54.400001526 57.666667938,-54.366664886 57.666667938,-54.333332062 57.666667938,-54.299999237 57.666667938,-54.2666664119999 57.666667938,-54.2333335879999 57.666667938,-54.2000007629999 57.666667938,-54.1666679379999 57.666667938,-54.133335113 57.666667938,-54.099998474 57.666667938,-54.0666656499999 57.666667938,-54.0333328249999 57.666667938,-53.9999999999999 57.666667938,-53.9666671749999 57.666667938,-53.9333343499999 57.666667938,-53.900001526 57.666667938,-53.866664887 57.666667938,-53.833332062 57.666667938,-53.7999992379999 57.666667938,-53.7666664119999 57.666667938,-53.7333335869999 57.666667938,-53.7000007629999 57.666667938,-53.6666679379999 57.666667938,-53.633335114 57.666667938,-53.5999984749999 57.666667938,-53.566665649 57.666667938,-53.533332824 57.666667938,-53.4999999999999 57.666667938,-53.4666671749999 57.666667938,-53.433334351 57.666667938,-53.400001526 57.666667938,-53.366664886 57.666667938,-53.333332062 57.666667938,-53.299999237 57.666667938,-53.2666664119999 57.666667938,-53.2333335879999 57.666667938,-53.2000007629999 57.666667938,-53.1666679379999 57.666667938,-53.133335113 57.666667938,-53.099998474 57.666667938,-53.0666656499999 57.666667938,-53.0333328249999 57.666667938,-52.9999999999999 57.666667938,-52.9666671749999 57.666667938,-52.9333343499999 57.666667938,-52.900001526 57.666667938,-52.866664887 57.666667938,-52.833332062 57.666667938,-52.799999237 57.666667938,-52.7666664119999 57.666667938,-52.7333335869999 57.666667938,-52.7000007629999 57.666667938,-52.6666679379999 57.666667938,-52.633335114 57.666667938,-52.599998474 57.666667938,-52.566665649 57.666667938,-52.5333328249999 57.666667938,-52.4999999999999 57.666667938,-52.4666671749999 57.666667938,-52.433334351 57.666667938,-52.400001526 57.666667938,-52.366664886 57.666667938,-52.333332062 57.666667938,-52.299999237 57.666667938,-52.2666664129999 57.666667938,-52.2333335879999 57.666667938,-52.2000007629999 57.666667938,-52.1666679379999 57.666667938,-52.133335113 57.666667938,-52.099998474 57.666667938,-52.0666656499999 57.666667938,-52.0333328249999 57.666667938,-52.0116424559999 57.666667938)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.2', '', '21.2', '21.2.H', '', '21.2H', '', '', '', '', '', '', '', '2H', '3', '21.2.H', '21.2H', 'Y'),('SRID=4326;MULTIPOLYGON(((-65.666664123 40.416667938,-65.666664123 40.400001526,-65.666664123 40.383335114,-65.666664123 40.3666648870001,-65.666664123 40.3499984750001,-65.666664123 40.3333320620001,-65.666664123 40.3166656490001,-65.666664123 40.2999992370001,-65.666664123 40.2833328250001,-65.666664123 40.2666664120001,-65.666664123 40.2500000000001,-65.666664123 40.2333335880001,-65.666664123 40.2166671750001,-65.666664123 40.200000763,-65.666664123 40.183334351,-65.666664123 40.166667939,-65.666664123 40.150001526,-65.666664123 40.133335114,-65.666664123 40.1166648860001,-65.666664123 40.0999984740001,-65.666664123 40.0833320620001,-65.666664123 40.0666656490001,-65.666664123 40.0499992370001,-65.666664123 40.0333328250001,-65.666664123 40.0166664120001,-65.666664123 40.0000000000001,-65.666664123 39.9833335880001,-65.666664123 39.966667176,-65.666664123 39.950000763,-65.666664123 39.933334351,-65.666664123 39.916667938,-65.666664123 39.900001526,-65.666664123 39.883335114,-65.666664123 39.8666648860001,-65.666664123 39.8499984740001,-65.666664123 39.8333320620001,-65.666664123 39.8166656490001,-65.666664123 39.7999992370001,-65.666664123 39.7833328250001,-65.666664123 39.7666664130001,-65.666664123 39.7500000000001,-65.666664123 39.7333335880001,-65.666664123 39.7166671750001,-65.666664123 39.700000763,-65.666664123 39.683334351,-65.666664123 39.666667938,-65.666664123 39.650001526,-65.666664123 39.633335114,-65.666664123 39.6166648870001,-65.666664123 39.5999984740001,-65.666664123 39.5833320620001,-65.666664123 39.5666656500001,-65.666664123 39.5499992370001,-65.666664123 39.5333328250001,-65.666664123 39.5166664120001,-65.666664123 39.5000000000001,-65.666664123 39.4833335880001,-65.666664123 39.4666671750001,-65.666664123 39.450000763,-65.666664123 39.433334351,-65.666664123 39.416667938,-65.666664123 39.400001526,-65.666664123 39.383335114,-65.666664123 39.3666648870001,-65.666664123 39.3499984750001,-65.666664123 39.3333320620001,-65.666664123 39.3166656490001,-65.666664123 39.2999992370001,-65.666664123 39.2833328250001,-65.666664123 39.2666664120001,-65.666664123 39.2500000000001,-65.666664123 39.2333335880001,-65.666664123 39.2166671750001,-65.666664123 39.200000763,-65.666664123 39.183334351,-65.666664123 39.166667939,-65.666664123 39.150001526,-65.666664123 39.133335114,-65.666664123 39.1166648860001,-65.666664123 39.0999984740001,-65.666664123 39.0833320620001,-65.666664123 39.0666656490001,-65.666664123 39.0499992370001,-65.666664123 39.0333328250001,-65.666664123 39.0166664120001,-65.666664124 39.0000000000001,-65.683334351 39.0000000000001,-65.699996948 39.0000000000001,-65.7166671749999 39.0000000000001,-65.733329773 39.0000000000001,-65.7499999999999 39.0000000000001,-65.766670227 39.0000000000001,-65.7833328249999 39.0000000000001,-65.800003052 39.0000000000001,-65.816665649 39.0000000000001,-65.833335876 39.0000000000001,-65.849998474 39.0000000000001,-65.866668701 39.0000000000001,-65.883331299 39.0000000000001,-65.900001526 39.0000000000001,-65.916664124 39.0000000000001,-65.933334351 39.0000000000001,-65.949996948 39.0000000000001,-65.9666671749999 39.0000000000001,-65.983329773 39.0000000000001,-65.9999999999999 39.0000000000001,-66.016670227 39.0000000000001,-66.0333328249999 39.0000000000001,-66.050003052 39.0000000000001,-66.066665649 39.0000000000001,-66.083335876 39.0000000000001,-66.099998474 39.0000000000001,-66.116668701 39.0000000000001,-66.133331299 39.0000000000001,-66.150001526 39.0000000000001,-66.166664124 39.0000000000001,-66.183334351 39.0000000000001,-66.199996948 39.0000000000001,-66.2166671749999 39.0000000000001,-66.233329773 39.0000000000001,-66.2499999999999 39.0000000000001,-66.266670227 39.0000000000001,-66.2833328249999 39.0000000000001,-66.300003052 39.0000000000001,-66.316665649 39.0000000000001,-66.333335876 39.0000000000001,-66.349998474 39.0000000000001,-66.366668701 39.0000000000001,-66.383331299 39.0000000000001,-66.400001526 39.0000000000001,-66.416664124 39.0000000000001,-66.433334351 39.0000000000001,-66.449996948 39.0000000000001,-66.4666671749999 39.0000000000001,-66.483329773 39.0000000000001,-66.4999999999999 39.0000000000001,-66.516670227 39.0000000000001,-66.5333328249999 39.0000000000001,-66.550003052 39.0000000000001,-66.566665649 39.0000000000001,-66.583335876 39.0000000000001,-66.599998474 39.0000000000001,-66.616668701 39.0000000000001,-66.633331299 39.0000000000001,-66.650001526 39.0000000000001,-66.666664124 39.0000000000001,-66.683334351 39.0000000000001,-66.699996948 39.0000000000001,-66.7166671749999 39.0000000000001,-66.733329773 39.0000000000001,-66.7499999999999 39.0000000000001,-66.766670227 39.0000000000001,-66.7833328249999 39.0000000000001,-66.800003052 39.0000000000001,-66.816665649 39.0000000000001,-66.833335876 39.0000000000001,-66.849998474 39.0000000000001,-66.866668701 39.0000000000001,-66.883331299 39.0000000000001,-66.900001526 39.0000000000001,-66.916664124 39.0000000000001,-66.933334351 39.0000000000001,-66.949996948 39.0000000000001,-66.9666671749999 39.0000000000001,-66.983329773 39.0000000000001,-66.9999999999999 39.0000000000001,-67.016670227 39.0000000000001,-67.0333328249999 39.0000000000001,-67.050003052 39.0000000000001,-67.066665649 39.0000000000001,-67.083335876 39.0000000000001,-67.099998474 39.0000000000001,-67.116668701 39.0000000000001,-67.133331299 39.0000000000001,-67.150001526 39.0000000000001,-67.166664124 39.0000000000001,-67.183334351 39.0000000000001,-67.199996948 39.0000000000001,-67.2166671749999 39.0000000000001,-67.233329773 39.0000000000001,-67.2499999999999 39.0000000000001,-67.266670227 39.0000000000001,-67.2833328249999 39.0000000000001,-67.300003052 39.0000000000001,-67.316665649 39.0000000000001,-67.333335876 39.0000000000001,-67.349998474 39.0000000000001,-67.366668701 39.0000000000001,-67.383331299 39.0000000000001,-67.400001526 39.0000000000001,-67.416664124 39.0000000000001,-67.433334351 39.0000000000001,-67.449996948 39.0000000000001,-67.4666671749999 39.0000000000001,-67.483329773 39.0000000000001,-67.4999999999999 39.0000000000001,-67.516670227 39.0000000000001,-67.5333328249999 39.0000000000001,-67.550003052 39.0000000000001,-67.566665649 39.0000000000001,-67.583335876 39.0000000000001,-67.599998474 39.0000000000001,-67.616668701 39.0000000000001,-67.633331299 39.0000000000001,-67.650001526 39.0000000000001,-67.666664124 39.0000000000001,-67.683334351 39.0000000000001,-67.699996948 39.0000000000001,-67.7166671749999 39.0000000000001,-67.733329773 39.0000000000001,-67.7499999999999 39.0000000000001,-67.766670227 39.0000000000001,-67.7833328249999 39.0000000000001,-67.800003052 39.0000000000001,-67.816665649 39.0000000000001,-67.833335876 39.0000000000001,-67.849998474 39.0000000000001,-67.866668701 39.0000000000001,-67.883331299 39.0000000000001,-67.900001526 39.0000000000001,-67.916664124 39.0000000000001,-67.933334351 39.0000000000001,-67.949996948 39.0000000000001,-67.9666671749999 39.0000000000001,-67.983329773 39.0000000000001,-67.9999999999999 39.0000000000001,-68.016670227 39.0000000000001,-68.0333328249999 39.0000000000001,-68.050003052 39.0000000000001,-68.066665649 39.0000000000001,-68.083335876 39.0000000000001,-68.099998474 39.0000000000001,-68.116668701 39.0000000000001,-68.133331299 39.0000000000001,-68.150001526 39.0000000000001,-68.166664124 39.0000000000001,-68.183334351 39.0000000000001,-68.199996948 39.0000000000001,-68.2166671749999 39.0000000000001,-68.233329773 39.0000000000001,-68.2499999999999 39.0000000000001,-68.266670227 39.0000000000001,-68.2833328249999 39.0000000000001,-68.300003052 39.0000000000001,-68.316665649 39.0000000000001,-68.333335876 39.0000000000001,-68.349998474 39.0000000000001,-68.366668701 39.0000000000001,-68.383331299 39.0000000000001,-68.400001526 39.0000000000001,-68.416664124 39.0000000000001,-68.433334351 39.0000000000001,-68.449996948 39.0000000000001,-68.4666671749999 39.0000000000001,-68.483329773 39.0000000000001,-68.4999999999999 39.0000000000001,-68.516670227 39.0000000000001,-68.5333328249999 39.0000000000001,-68.550003052 39.0000000000001,-68.566665649 39.0000000000001,-68.583335876 39.0000000000001,-68.599998474 39.0000000000001,-68.616668701 39.0000000000001,-68.633331299 39.0000000000001,-68.650001526 39.0000000000001,-68.666664124 39.0000000000001,-68.683334351 39.0000000000001,-68.699996948 39.0000000000001,-68.7166671749999 39.0000000000001,-68.733329773 39.0000000000001,-68.7499999999999 39.0000000000001,-68.766670227 39.0000000000001,-68.7833328249999 39.0000000000001,-68.800003052 39.0000000000001,-68.816665649 39.0000000000001,-68.833335876 39.0000000000001,-68.849998474 39.0000000000001,-68.866668701 39.0000000000001,-68.883331299 39.0000000000001,-68.900001526 39.0000000000001,-68.916664124 39.0000000000001,-68.933334351 39.0000000000001,-68.949996948 39.0000000000001,-68.9666671749999 39.0000000000001,-68.983329773 39.0000000000001,-68.9999999999999 39.0000000000001,-69.016670227 39.0000000000001,-69.0333328249999 39.0000000000001,-69.050003052 39.0000000000001,-69.066665649 39.0000000000001,-69.083335876 39.0000000000001,-69.099998474 39.0000000000001,-69.116668701 39.0000000000001,-69.133331299 39.0000000000001,-69.150001526 39.0000000000001,-69.166664124 39.0000000000001,-69.183334351 39.0000000000001,-69.199996948 39.0000000000001,-69.2166671749999 39.0000000000001,-69.233329773 39.0000000000001,-69.2499999999999 39.0000000000001,-69.266670227 39.0000000000001,-69.2833328249999 39.0000000000001,-69.300003052 39.0000000000001,-69.316665649 39.0000000000001,-69.333335876 39.0000000000001,-69.349998474 39.0000000000001,-69.366668701 39.0000000000001,-69.383331299 39.0000000000001,-69.400001526 39.0000000000001,-69.416664124 39.0000000000001,-69.433334351 39.0000000000001,-69.449996948 39.0000000000001,-69.4666671749999 39.0000000000001,-69.483329773 39.0000000000001,-69.4999999999999 39.0000000000001,-69.516670227 39.0000000000001,-69.5333328249999 39.0000000000001,-69.550003052 39.0000000000001,-69.566665649 39.0000000000001,-69.583335876 39.0000000000001,-69.599998474 39.0000000000001,-69.616668701 39.0000000000001,-69.633331299 39.0000000000001,-69.650001526 39.0000000000001,-69.666664124 39.0000000000001,-69.683334351 39.0000000000001,-69.699996948 39.0000000000001,-69.7166671749999 39.0000000000001,-69.733329773 39.0000000000001,-69.7499999999999 39.0000000000001,-69.766670227 39.0000000000001,-69.7833328249999 39.0000000000001,-69.800003052 39.0000000000001,-69.816665649 39.0000000000001,-69.833335876 39.0000000000001,-69.849998474 39.0000000000001,-69.866668701 39.0000000000001,-69.883331299 39.0000000000001,-69.900001526 39.0000000000001,-69.916664124 39.0000000000001,-69.933334351 39.0000000000001,-69.949996948 39.0000000000001,-69.9666671749999 39.0000000000001,-69.983329773 39.0000000000001,-69.9999999999999 39.0000000000001,-69.9999999999999 39.0166664120001,-69.9999999999999 39.0333328250001,-69.9999999999999 39.0499992370001,-69.9999999999999 39.0666656490001,-69.9999999999999 39.0833320620001,-69.9999999999999 39.0999984740001,-69.9999999999999 39.1166648860001,-69.9999999999999 39.133335114,-69.9999999999999 39.150001526,-69.9999999999999 39.166667939,-69.9999999999999 39.183334351,-69.9999999999999 39.200000763,-69.9999999999999 39.2166671750001,-69.9999999999999 39.2333335880001,-69.9999999999999 39.2500000000001,-69.9999999999999 39.2666664120001,-69.9999999999999 39.2833328250001,-69.9999999999999 39.2999992370001,-69.9999999999999 39.3166656490001,-69.9999999999999 39.3333320620001,-69.9999999999999 39.3499984750001,-69.9999999999999 39.3666648870001,-69.9999999999999 39.383335114,-69.9999999999999 39.400001526,-69.9999999999999 39.416667938,-69.9999999999999 39.433334351,-69.9999999999999 39.450000763,-69.9999999999999 39.4666671750001,-69.9999999999999 39.4833335880001,-69.9999999999999 39.5000000000001,-69.9999999999999 39.5166664120001,-69.9999999999999 39.5333328250001,-69.9999999999999 39.5499992370001,-69.9999999999999 39.5666656500001,-69.9999999999999 39.5833320620001,-69.9999999999999 39.5999984740001,-69.9999999999999 39.6166648870001,-69.9999999999999 39.633335114,-69.9999999999999 39.650001526,-69.9999999999999 39.666667938,-69.9999999999999 39.683334351,-69.9999999999999 39.700000763,-69.9999999999999 39.7166671750001,-69.9999999999999 39.7333335880001,-69.9999999999999 39.7500000000001,-69.9999999999999 39.7666664130001,-69.9999999999999 39.7833328250001,-69.9999999999999 39.7999992370001,-69.9999999999999 39.8166656490001,-69.9999999999999 39.8333320620001,-69.9999999999999 39.8499984740001,-69.9999999999999 39.8666648860001,-69.9999999999999 39.883335114,-69.9999999999999 39.900001526,-69.9999999999999 39.916667938,-69.9999999999999 39.933334351,-69.9999999999999 39.950000763,-69.9999999999999 39.966667176,-69.9999999999999 39.9833335880001,-69.9999999999999 40.0000000000001,-69.9999999999999 40.0166664120001,-69.9999999999999 40.0333328250001,-69.9999999999999 40.0499992370001,-69.9999999999999 40.0666656490001,-69.9999999999999 40.0833320620001,-69.9999999999999 40.0999984740001,-69.9999999999999 40.1166648860001,-69.9999999999999 40.133335114,-69.9999999999999 40.150001526,-69.9999999999999 40.166667939,-69.9999999999999 40.183334351,-69.9999999999999 40.200000763,-69.9999999999999 40.2166671750001,-69.9999999999999 40.2333335880001,-69.9999999999999 40.2500000000001,-69.9999999999999 40.2666664120001,-69.9999999999999 40.2833328250001,-69.9999999999999 40.2999992370001,-69.9999999999999 40.3166656490001,-69.9999999999999 40.3333320620001,-69.9999999999999 40.3499984750001,-69.9999999999999 40.3666648870001,-69.9999999999999 40.383335114,-69.9999999999999 40.400001526,-69.9999999999999 40.416667938,-69.9999999999999 40.433334351,-69.9999999999999 40.450000763,-69.9999999999999 40.4666671750001,-69.9999999999999 40.4833335880001,-69.9999999999999 40.5000000000001,-69.9999999999999 40.5166664120001,-69.9999999999999 40.5333328250001,-69.9999999999999 40.5499992370001,-69.9999999999999 40.5666656500001,-69.9999999999999 40.5833320620001,-69.9999999999999 40.5999984740001,-69.9999999999999 40.6166648870001,-69.9999999999999 40.633335114,-69.9999999999999 40.650001526,-69.9999999999999 40.666667938,-69.9999999999999 40.683334351,-69.9999999999999 40.700000763,-69.9999999999999 40.7166671750001,-69.9999999999999 40.7333335880001,-69.9999999999999 40.7500000000001,-69.9999999999999 40.7666664130001,-69.9999999999999 40.7833328250001,-69.9999999999999 40.7999992370001,-69.9999999999999 40.8166656490001,-69.9999999999999 40.8333320620001,-69.9999999999999 40.8499984740001,-69.9999999999999 40.8666648860001,-69.9999999999999 40.883335114,-69.9999999999999 40.900001526,-69.9999999999999 40.916667938,-69.9999999999999 40.933334351,-69.9999999999999 40.950000763,-69.9999999999999 40.966667176,-69.9999999999999 40.9833335880001,-69.9999999999999 41.0000000000001,-69.9999999999999 41.0166664120001,-69.9999999999999 41.0333328250001,-69.9999999999999 41.0499992370001,-69.9999999999999 41.0666656490001,-69.9999999999999 41.0833320620001,-69.9999999999999 41.0999984740001,-69.9999999999999 41.1166648860001,-69.9999999999999 41.133335114,-69.9999999999999 41.150001526,-69.9999999999999 41.166667939,-69.9999999999999 41.183334351,-69.9999999999999 41.200000763,-69.9999999999999 41.2166671750001,-69.9999999999999 41.2333335880001,-69.9999999999999 41.2500000000001,-69.9999999999999 41.2666664120001,-69.9999999999999 41.2833328250001,-69.9999999999999 41.2999992370001,-69.9999999999999 41.3166656490001,-69.9999999999999 41.3333320620001,-69.9999999999999 41.3499984740001,-69.9999999999999 41.3666648870001,-69.9999999999999 41.383335114,-69.9999999999999 41.400001526,-69.9999999999999 41.416667938,-69.9999999999999 41.433334351,-69.9999999999999 41.450000763,-69.9999999999999 41.4666671750001,-69.9999999999999 41.4833335880001,-69.9999999999999 41.5000000000001,-69.9999999999999 41.5166664120001,-69.9999999999999 41.5333328250001,-69.9999999999999 41.5499992370001,-69.9999999999999 41.5666656500001,-69.9999999999999 41.5833320620001,-69.9999999999999 41.5999984740001,-69.9999999999999 41.6166648860001,-69.9999999999999 41.633335114,-69.9999999999999 41.650001526,-69.9999999999999 41.6663894650001,-69.9999999999999 41.729999542,-69.978187267 41.8352634060001,-69.9999999999999 41.9674453740001,-69.9999999999999 41.9833335880001,-69.9999999999999 42.0000000000001,-69.9999999999999 42.0166664120001,-69.9999999999999 42.0333328250001,-69.9999999999999 42.0499992370001,-69.9999999999999 42.0666656490001,-69.9999999999999 42.0833320620001,-69.9999999999999 42.0999984740001,-69.9999999999999 42.1166648870001,-69.9999999999999 42.133335114,-69.9999999999999 42.150001526,-69.9999999999999 42.166667939,-69.9999999999999 42.183334351,-69.9999999999999 42.200000763,-69.9999999999999 42.2166671750001,-69.9999999999999 42.2333335880001,-69.9999999999999 42.2500000000001,-69.9999999999999 42.2666664120001,-69.9999999999999 42.2833328250001,-69.9999999999999 42.2999992370001,-69.9999999999999 42.3166656490001,-69.9999999999999 42.3333320620001,-69.983329773 42.3333320620001,-69.9666671749999 42.3333320620001,-69.949996948 42.3333320620001,-69.933334351 42.3333320620001,-69.916664124 42.3333320620001,-69.900001526 42.3333320620001,-69.883331299 42.3333320620001,-69.866668701 42.3333320620001,-69.849998474 42.3333320620001,-69.833335876 42.3333320620001,-69.816665649 42.3333320620001,-69.800003052 42.3333320620001,-69.7833328249999 42.3333320620001,-69.766670227 42.3333320620001,-69.7499999999999 42.3333320620001,-69.733329773 42.3333320620001,-69.7166671749999 42.3333320620001,-69.699996948 42.3333320620001,-69.683334351 42.3333320620001,-69.666664123 42.3333320620001,-69.650001526 42.3333320620001,-69.633331299 42.3333320620001,-69.616668701 42.3333320620001,-69.599998474 42.3333320620001,-69.583335876 42.3333320620001,-69.566665649 42.3333320620001,-69.550003052 42.3333320620001,-69.5333328249999 42.3333320620001,-69.516670227 42.3333320620001,-69.4999999999999 42.3333320620001,-69.483329773 42.3333320620001,-69.4666671749999 42.3333320620001,-69.449996948 42.3333320620001,-69.4333343499999 42.3333320620001,-69.416664123 42.3333320620001,-69.400001526 42.3333320620001,-69.383331299 42.3333320620001,-69.366668701 42.3333320620001,-69.349998474 42.3333320620001,-69.333335876 42.3333320620001,-69.316665649 42.3333320620001,-69.300003052 42.3333320620001,-69.2833328249999 42.3333320620001,-69.266670227 42.3333320620001,-69.2499999999999 42.3333320620001,-69.233329773 42.3333320620001,-69.2166671749999 42.3333320620001,-69.199996948 42.3333320620001,-69.183334351 42.3333320620001,-69.166664124 42.3333320620001,-69.150001526 42.3333320620001,-69.133331299 42.3333320620001,-69.116668701 42.3333320620001,-69.099998474 42.3333320620001,-69.083335876 42.3333320620001,-69.066665649 42.3333320620001,-69.050003051 42.3333320620001,-69.033332824 42.3333320620001,-69.016670227 42.3333320620001,-68.9999999999999 42.3333320620001,-68.983329773 42.3333320620001,-68.9666671749999 42.3333320620001,-68.949996948 42.3333320620001,-68.933334351 42.3333320620001,-68.916664124 42.3333320620001,-68.900001526 42.3333320620001,-68.883331299 42.3333320620001,-68.866668701 42.3333320620001,-68.849998474 42.3333320620001,-68.833335876 42.3333320620001,-68.816665649 42.3333320620001,-68.800003052 42.3333320620001,-68.7833328249999 42.3333320620001,-68.766670227 42.3333320620001,-68.7499999999999 42.3333320620001,-68.733329773 42.3333320620001,-68.7166671749999 42.3333320620001,-68.699996948 42.3333320620001,-68.6833343499999 42.3333320620001,-68.666664123 42.3333320620001,-68.650001526 42.3333320620001,-68.633331299 42.3333320620001,-68.616668701 42.3333320620001,-68.599998474 42.3333320620001,-68.583335876 42.3333320620001,-68.566665649 42.3333320620001,-68.550003052 42.3333320620001,-68.5333328249999 42.3333320620001,-68.516670227 42.3333320620001,-68.4999999999999 42.3333320620001,-68.483329773 42.3333320620001,-68.4666671749999 42.3333320620001,-68.449996948 42.3333320620001,-68.4333343499999 42.3333320620001,-68.416664123 42.3333320620001,-68.400001526 42.3333320620001,-68.383331299 42.3333320620001,-68.366668701 42.3333320620001,-68.349998474 42.3333320620001,-68.333335876 42.3333320620001,-68.316665649 42.3333320620001,-68.300003052 42.3333320620001,-68.2833328249999 42.3333320620001,-68.266670227 42.3333320620001,-68.2499999999999 42.3333320620001,-68.233329773 42.3333320620001,-68.2166671749999 42.3333320620001,-68.199996948 42.3333320620001,-68.183334351 42.3333320620001,-68.166664124 42.3333320620001,-68.150001526 42.3333320620001,-68.133331299 42.3333320620001,-68.116668701 42.3333320620001,-68.099998474 42.3333320620001,-68.083335876 42.3333320620001,-68.066665649 42.3333320620001,-68.050003051 42.3333320620001,-68.033332824 42.3333320620001,-68.016670227 42.3333320620001,-67.9999999999999 42.3333320620001,-67.983329773 42.3333320620001,-67.9666671749999 42.3333320620001,-67.949996948 42.3333320620001,-67.933334351 42.3333320620001,-67.916664124 42.3333320620001,-67.900001526 42.3333320620001,-67.883331299 42.3333320620001,-67.866668701 42.3333320620001,-67.849998474 42.3333320620001,-67.833335876 42.3333320620001,-67.816665649 42.3333320620001,-67.800003052 42.3333320620001,-67.7833328249999 42.3333320620001,-67.766670227 42.3333320620001,-67.7499999999999 42.3333320620001,-67.733329773 42.3333320620001,-67.7166671749999 42.3333320620001,-67.699996948 42.3333320620001,-67.6833343499999 42.3333320620001,-67.666664123 42.3333320620001,-67.650001526 42.3333320620001,-67.633331299 42.3333320620001,-67.616668701 42.3333320620001,-67.599998474 42.3333320620001,-67.583335876 42.3333320620001,-67.566665649 42.3333320620001,-67.550003052 42.3333320620001,-67.5333328249999 42.3333320620001,-67.516670227 42.3333320620001,-67.4999999999999 42.3333320620001,-67.483329773 42.3333320620001,-67.4666671749999 42.3333320620001,-67.449996948 42.3333320620001,-67.4333343499999 42.3333320620001,-67.416664123 42.3333320620001,-67.400001526 42.3333320620001,-67.383331299 42.3333320620001,-67.366668701 42.3333320620001,-67.349998474 42.3333320620001,-67.333335876 42.3333320620001,-67.316665649 42.3333320620001,-67.304060062 42.3333320620001,-65.666664123 40.416667938)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.5', '', '21.5', '21.5.Z', '', '21.5Z', '21.5.Z.e', 'Eastern subdivision', '21.5Ze', '21.5.Z.e.u', 'United States waters', '21.5Zu', '', '5Zu', '5', '21.5.Z.e.u', '21.5Zu', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 52.2500000000001,-42.0166664119999 52.2500000000001,-42.033332824 52.2500000000001,-42.049999237 52.2500000000001,-42.066665649 52.2500000000001,-42.083332062 52.2500000000001,-42.099998474 52.2500000000001,-42.116664887 52.2500000000001,-42.133335114 52.2500000000001,-42.150001526 52.2500000000001,-42.1666679379999 52.2500000000001,-42.183334351 52.2500000000001,-42.2000007629999 52.2500000000001,-42.2166671749999 52.2500000000001,-42.2333335869999 52.2500000000001,-42.2499999999999 52.2500000000001,-42.2666664119999 52.2500000000001,-42.2833328249999 52.2500000000001,-42.299999237 52.2500000000001,-42.3166656499999 52.2500000000001,-42.333332062 52.2500000000001,-42.349998474 52.2500000000001,-42.366664886 52.2500000000001,-42.3833351129999 52.2500000000001,-42.400001526 52.2500000000001,-42.4166679379999 52.2500000000001,-42.4333343499999 52.2500000000001,-42.4500007629999 52.2500000000001,-42.4666671749999 52.2500000000001,-42.4833335879999 52.2500000000001,-42.4999999999999 52.2500000000001,-42.5166664129999 52.2500000000001,-42.5333328249999 52.2500000000001,-42.549999237 52.2500000000001,-42.566665649 52.2500000000001,-42.583332062 52.2500000000001,-42.599998474 52.2500000000001,-42.616664886 52.2500000000001,-42.6333351129999 52.2500000000001,-42.650001526 52.2500000000001,-42.6666679379999 52.2500000000001,-42.683334351 52.2500000000001,-42.7000007629999 52.2500000000001,-42.7166671759999 52.2500000000001,-42.7333335879999 52.2500000000001,-42.7499999999999 52.2500000000001,-42.7666664119999 52.2500000000001,-42.7833328249999 52.2500000000001,-42.799999237 52.2500000000001,-42.816665649 52.2500000000001,-42.833332061 52.2500000000001,-42.849998474 52.2500000000001,-42.866664887 52.2500000000001,-42.883335114 52.2500000000001,-42.900001526 52.2500000000001,-42.916667939 52.2500000000001,-42.933334351 52.2500000000001,-42.9500007629999 52.2500000000001,-42.9666671749999 52.2500000000001,-42.9833335879999 52.2500000000001,-42.9999999999999 52.2500000000001,-43.0166664119999 52.2500000000001,-43.033332824 52.2500000000001,-43.049999237 52.2500000000001,-43.066665649 52.2500000000001,-43.083332062 52.2500000000001,-43.099998474 52.2500000000001,-43.116664887 52.2500000000001,-43.133335114 52.2500000000001,-43.150001526 52.2500000000001,-43.1666679379999 52.2500000000001,-43.183334351 52.2500000000001,-43.2000007629999 52.2500000000001,-43.2166671749999 52.2500000000001,-43.2333335869999 52.2500000000001,-43.2499999999999 52.2500000000001,-43.2666664119999 52.2500000000001,-43.2833328249999 52.2500000000001,-43.299999237 52.2500000000001,-43.3166656499999 52.2500000000001,-43.333332062 52.2500000000001,-43.349998474 52.2500000000001,-43.366664886 52.2500000000001,-43.3833351129999 52.2500000000001,-43.400001526 52.2500000000001,-43.4166679379999 52.2500000000001,-43.4333343499999 52.2500000000001,-43.4500007629999 52.2500000000001,-43.4666671749999 52.2500000000001,-43.4833335879999 52.2500000000001,-43.4999999999999 52.2500000000001,-43.5166664129999 52.2500000000001,-43.5333328249999 52.2500000000001,-43.549999237 52.2500000000001,-43.566665649 52.2500000000001,-43.583332062 52.2500000000001,-43.599998474 52.2500000000001,-43.616664886 52.2500000000001,-43.6333351129999 52.2500000000001,-43.6500015249999 52.2500000000001,-43.6666679379999 52.2500000000001,-43.683334351 52.2500000000001,-43.7000007629999 52.2500000000001,-43.7166671759999 52.2500000000001,-43.7333335879999 52.2500000000001,-43.7499999999999 52.2500000000001,-43.7666664119999 52.2500000000001,-43.7833328249999 52.2500000000001,-43.799999237 52.2500000000001,-43.816665649 52.2500000000001,-43.833332061 52.2500000000001,-43.849998474 52.2500000000001,-43.866664887 52.2500000000001,-43.883335114 52.2500000000001,-43.900001526 52.2500000000001,-43.9166679379999 52.2500000000001,-43.933334351 52.2500000000001,-43.9500007629999 52.2500000000001,-43.9666671749999 52.2500000000001,-43.9833335879999 52.2500000000001,-43.9999999999999 52.2500000000001,-44.0166664119999 52.2500000000001,-44.033332824 52.2500000000001,-44.049999237 52.2500000000001,-44.0666656499999 52.2500000000001,-44.083332062 52.2500000000001,-44.099998474 52.2500000000001,-44.116664887 52.2500000000001,-44.133335114 52.2500000000001,-44.150001526 52.2500000000001,-44.1666679379999 52.2500000000001,-44.1833343499999 52.2500000000001,-44.2000007629999 52.2500000000001,-44.2166671749999 52.2500000000001,-44.2333335869999 52.2500000000001,-44.2499999999999 52.2500000000001,-44.2666664129999 52.2500000000001,-44.2833328249999 52.2500000000001,-44.299999237 52.2500000000001,-44.3166656499999 52.2500000000001,-44.333332062 52.2500000000001,-44.349998474 52.2500000000001,-44.366664886 52.2500000000001,-44.3833351129999 52.2500000000001,-44.400001526 52.2500000000001,-44.4166679379999 52.2500000000001,-44.4333343499999 52.2500000000001,-44.4500007629999 52.2500000000001,-44.4666671759999 52.2500000000001,-44.4833335879999 52.2500000000001,-44.4999999999999 52.2500000000001,-44.5166664129999 52.2500000000001,-44.5333328249999 52.2500000000001,-44.549999237 52.2500000000001,-44.566665649 52.2500000000001,-44.583332062 52.2500000000001,-44.599998474 52.2500000000001,-44.616664886 52.2500000000001,-44.6333351129999 52.2500000000001,-44.6500015249999 52.2500000000001,-44.666667939 52.2500000000001,-44.683334351 52.2500000000001,-44.7000007629999 52.2500000000001,-44.7166671749999 52.2500000000001,-44.7333335879999 52.2500000000001,-44.7499999999999 52.2500000000001,-44.7666664119999 52.2500000000001,-44.7833328249999 52.2500000000001,-44.799999237 52.2500000000001,-44.816665649 52.2500000000001,-44.833332061 52.2500000000001,-44.849998474 52.2500000000001,-44.866664887 52.2500000000001,-44.883335114 52.2500000000001,-44.900001526 52.2500000000001,-44.9166679379999 52.2500000000001,-44.933334351 52.2500000000001,-44.9500007629999 52.2500000000001,-44.9666671749999 52.2500000000001,-44.9833335879999 52.2500000000001,-44.9999999999999 52.2500000000001,-45.0166664119999 52.2500000000001,-45.033332824 52.2500000000001,-45.049999237 52.2500000000001,-45.0666656499999 52.2500000000001,-45.083332062 52.2500000000001,-45.099998474 52.2500000000001,-45.116664887 52.2500000000001,-45.133335114 52.2500000000001,-45.150001526 52.2500000000001,-45.1666679379999 52.2500000000001,-45.1833343499999 52.2500000000001,-45.2000007629999 52.2500000000001,-45.2166671749999 52.2500000000001,-45.2333335869999 52.2500000000001,-45.2499999999999 52.2500000000001,-45.2666664129999 52.2500000000001,-45.2833328249999 52.2500000000001,-45.299999237 52.2500000000001,-45.3166656499999 52.2500000000001,-45.333332062 52.2500000000001,-45.349998474 52.2500000000001,-45.366664886 52.2500000000001,-45.3833351129999 52.2500000000001,-45.400001526 52.2500000000001,-45.4166679379999 52.2500000000001,-45.4333343499999 52.2500000000001,-45.4500007629999 52.2500000000001,-45.4666671759999 52.2500000000001,-45.4833335879999 52.2500000000001,-45.4999999999999 52.2500000000001,-45.5166664129999 52.2500000000001,-45.5333328249999 52.2500000000001,-45.549999237 52.2500000000001,-45.566665649 52.2500000000001,-45.583332062 52.2500000000001,-45.599998474 52.2500000000001,-45.616664886 52.2500000000001,-45.6333351129999 52.2500000000001,-45.650001526 52.2500000000001,-45.666667939 52.2500000000001,-45.683334351 52.2500000000001,-45.7000007629999 52.2500000000001,-45.7166671749999 52.2500000000001,-45.7333335879999 52.2500000000001,-45.7499999999999 52.2500000000001,-45.7666664119999 52.2500000000001,-45.7833328249999 52.2500000000001,-45.799999237 52.2500000000001,-45.816665649 52.2500000000001,-45.833332061 52.2500000000001,-45.849998474 52.2500000000001,-45.866664887 52.2500000000001,-45.883335114 52.2500000000001,-45.900001526 52.2500000000001,-45.9166679379999 52.2500000000001,-45.933334351 52.2500000000001,-45.9500007629999 52.2500000000001,-45.9666671749999 52.2500000000001,-45.9833335869999 52.2500000000001,-45.9999999999999 52.2500000000001,-46.0166664119999 52.2500000000001,-46.033332824 52.2500000000001,-46.049999237 52.2500000000001,-46.0666656499999 52.2500000000001,-46.083332062 52.2500000000001,-46.099998474 52.2500000000001,-46.116664887 52.2500000000001,-46.133335114 52.2500000000001,-46.150001526 52.2500000000001,-46.1666679379999 52.2500000000001,-46.1833343499999 52.2500000000001,-46.2000007629999 52.2500000000001,-46.2166671749999 52.2500000000001,-46.2333335869999 52.2500000000001,-46.2499999999999 52.2500000000001,-46.2666664129999 52.2500000000001,-46.2833328249999 52.2500000000001,-46.299999237 52.2500000000001,-46.3166656499999 52.2500000000001,-46.333332062 52.2500000000001,-46.349998474 52.2500000000001,-46.366664886 52.2500000000001,-46.3833351129999 52.2500000000001,-46.400001526 52.2500000000001,-46.4166679379999 52.2500000000001,-46.4333343499999 52.2500000000001,-46.4500007629999 52.2500000000001,-46.4666671759999 52.2500000000001,-46.4833335879999 52.2500000000001,-46.4999999999999 52.2500000000001,-46.5166664119999 52.2500000000001,-46.5333328249999 52.2500000000001,-46.549999237 52.2500000000001,-46.566665649 52.2500000000001,-46.583332062 52.2500000000001,-46.599998474 52.2500000000001,-46.616664886 52.2500000000001,-46.6333351129999 52.2500000000001,-46.650001526 52.2500000000001,-46.666667939 52.2500000000001,-46.683334351 52.2500000000001,-46.7000007629999 52.2500000000001,-46.7166671749999 52.2500000000001,-46.7333335879999 52.2500000000001,-46.7499999999999 52.2500000000001,-46.7666664119999 52.2500000000001,-46.783332824 52.2500000000001,-46.799999237 52.2500000000001,-46.816665649 52.2500000000001,-46.833332062 52.2500000000001,-46.8499984749999 52.2500000000001,-46.866664887 52.2500000000001,-46.883335114 52.2500000000001,-46.900001526 52.2500000000001,-46.9166679379999 52.2500000000001,-46.933334351 52.2500000000001,-46.9500007629999 52.2500000000001,-46.9666671749999 52.2500000000001,-46.9833335869999 52.2500000000001,-46.9999999999999 52.2500000000001,-47.0166664119999 52.2500000000001,-47.0333328249999 52.2500000000001,-47.049999237 52.2500000000001,-47.0666656499999 52.2500000000001,-47.083332062 52.2500000000001,-47.099998474 52.2500000000001,-47.116664887 52.2500000000001,-47.133335114 52.2500000000001,-47.150001526 52.2500000000001,-47.1666679379999 52.2500000000001,-47.1833343499999 52.2500000000001,-47.2000007629999 52.2500000000001,-47.2166671749999 52.2500000000001,-47.2333335869999 52.2500000000001,-47.2499999999999 52.2500000000001,-47.2666664129999 52.2500000000001,-47.2833328249999 52.2500000000001,-47.299999237 52.2500000000001,-47.3166656499999 52.2500000000001,-47.333332062 52.2500000000001,-47.349998474 52.2500000000001,-47.366664886 52.2500000000001,-47.3833351129999 52.2500000000001,-47.400001526 52.2500000000001,-47.4166679379999 52.2500000000001,-47.4333343499999 52.2500000000001,-47.4500007629999 52.2500000000001,-47.4666671759999 52.2500000000001,-47.4833335879999 52.2500000000001,-47.4999999999999 52.2500000000001,-47.5166664119999 52.2500000000001,-47.5333328249999 52.2500000000001,-47.549999237 52.2500000000001,-47.566665649 52.2500000000001,-47.583332062 52.2500000000001,-47.599998474 52.2500000000001,-47.616664886 52.2500000000001,-47.6333351129999 52.2500000000001,-47.650001526 52.2500000000001,-47.666667939 52.2500000000001,-47.683334351 52.2500000000001,-47.7000007629999 52.2500000000001,-47.7166671749999 52.2500000000001,-47.7333335879999 52.2500000000001,-47.7499999999999 52.2500000000001,-47.7666664119999 52.2500000000001,-47.783332824 52.2500000000001,-47.799999237 52.2500000000001,-47.816665649 52.2500000000001,-47.833332062 52.2500000000001,-47.8499984749999 52.2500000000001,-47.866664887 52.2500000000001,-47.883335114 52.2500000000001,-47.900001526 52.2500000000001,-47.9166679379999 52.2500000000001,-47.933334351 52.2500000000001,-47.9500007629999 52.2500000000001,-47.9666671749999 52.2500000000001,-47.9833335869999 52.2500000000001,-47.9999999999999 52.2500000000001,-48.0166664119999 52.2500000000001,-48.0333328249999 52.2500000000001,-48.049999237 52.2500000000001,-48.0666656499999 52.2500000000001,-48.083332062 52.2500000000001,-48.099998474 52.2500000000001,-48.116664887 52.2500000000001,-48.133335114 52.2500000000001,-48.150001526 52.2500000000001,-48.1666679379999 52.2500000000001,-48.1833343499999 52.2500000000001,-48.2000007629999 52.2500000000001,-48.2166671749999 52.2500000000001,-48.2333335879999 52.2500000000001,-48.2499999999999 52.2500000000001,-48.2666664129999 52.2500000000001,-48.2833328249999 52.2500000000001,-48.299999237 52.2500000000001,-48.316665649 52.2500000000001,-48.333332062 52.2500000000001,-48.349998474 52.2500000000001,-48.366664886 52.2500000000001,-48.3833351129999 52.2500000000001,-48.400001526 52.2500000000001,-48.4166679379999 52.2500000000001,-48.433334351 52.2500000000001,-48.4500007629999 52.2500000000001,-48.4666671759999 52.2500000000001,-48.4833335879999 52.2500000000001,-48.4999999999999 52.2500000000001,-48.5166664119999 52.2500000000001,-48.5333328249999 52.2500000000001,-48.549999237 52.2500000000001,-48.566665649 52.2500000000001,-48.583332061 52.2500000000001,-48.599998474 52.2500000000001,-48.616664886 52.2500000000001,-48.633335114 52.2500000000001,-48.650001526 52.2500000000001,-48.666667939 52.2500000000001,-48.683334351 52.2500000000001,-48.7000007629999 52.2500000000001,-48.7166671749999 52.2500000000001,-48.7333335879999 52.2500000000001,-48.7499999999999 52.2500000000001,-48.7666664119999 52.2500000000001,-48.783332824 52.2500000000001,-48.799999237 52.2500000000001,-48.816665649 52.2500000000001,-48.833332062 52.2500000000001,-48.849998474 52.2500000000001,-48.866664887 52.2500000000001,-48.883335114 52.2500000000001,-48.900001526 52.2500000000001,-48.9166679379999 52.2500000000001,-48.933334351 52.2500000000001,-48.9500007629999 52.2500000000001,-48.9666671749999 52.2500000000001,-48.9833335869999 52.2500000000001,-48.9999999999999 52.2500000000001,-49.0166664119999 52.2500000000001,-49.0333328249999 52.2500000000001,-49.049999237 52.2500000000001,-49.0666656499999 52.2500000000001,-49.083332062 52.2500000000001,-49.099998474 52.2500000000001,-49.116664886 52.2500000000001,-49.133335114 52.2500000000001,-49.150001526 52.2500000000001,-49.1666679379999 52.2500000000001,-49.1833343499999 52.2500000000001,-49.2000007629999 52.2500000000001,-49.2166671749999 52.2500000000001,-49.2333335879999 52.2500000000001,-49.2499999999999 52.2500000000001,-49.2666664129999 52.2500000000001,-49.2833328249999 52.2500000000001,-49.299999237 52.2500000000001,-49.316665649 52.2500000000001,-49.333332062 52.2500000000001,-49.349998474 52.2500000000001,-49.366664886 52.2500000000001,-49.3833351129999 52.2500000000001,-49.400001526 52.2500000000001,-49.4166679379999 52.2500000000001,-49.433334351 52.2500000000001,-49.4500007629999 52.2500000000001,-49.4666671759999 52.2500000000001,-49.4833335879999 52.2500000000001,-49.4999999999999 52.2500000000001,-49.5166664119999 52.2500000000001,-49.5333328249999 52.2500000000001,-49.549999237 52.2500000000001,-49.566665649 52.2500000000001,-49.583332061 52.2500000000001,-49.599998474 52.2500000000001,-49.616664887 52.2500000000001,-49.633335114 52.2500000000001,-49.650001526 52.2500000000001,-49.666667939 52.2500000000001,-49.683334351 52.2500000000001,-49.7000007629999 52.2500000000001,-49.7166671749999 52.2500000000001,-49.7333335879999 52.2500000000001,-49.7499999999999 52.2500000000001,-49.7666664119999 52.2500000000001,-49.783332824 52.2500000000001,-49.799999237 52.2500000000001,-49.816665649 52.2500000000001,-49.833332062 52.2500000000001,-49.849998474 52.2500000000001,-49.866664887 52.2500000000001,-49.883335114 52.2500000000001,-49.900001526 52.2500000000001,-49.9166679379999 52.2500000000001,-49.933334351 52.2500000000001,-49.9500007629999 52.2500000000001,-49.9666671749999 52.2500000000001,-49.9833335869999 52.2500000000001,-49.9999999999999 52.2500000000001,-50.0166664119999 52.2500000000001,-50.0333328249999 52.2500000000001,-50.049999237 52.2500000000001,-50.0666656499999 52.2500000000001,-50.083332062 52.2500000000001,-50.099998474 52.2500000000001,-50.116664886 52.2500000000001,-50.1333351129999 52.2500000000001,-50.150001526 52.2500000000001,-50.1666679379999 52.2500000000001,-50.1833343499999 52.2500000000001,-50.2000007629999 52.2500000000001,-50.2166671749999 52.2500000000001,-50.2333335879999 52.2500000000001,-50.2499999999999 52.2500000000001,-50.2666664129999 52.2500000000001,-50.2833328249999 52.2500000000001,-50.299999237 52.2500000000001,-50.316665649 52.2500000000001,-50.333332062 52.2500000000001,-50.349998474 52.2500000000001,-50.366664886 52.2500000000001,-50.3833351129999 52.2500000000001,-50.4000015249999 52.2500000000001,-50.4166679379999 52.2500000000001,-50.433334351 52.2500000000001,-50.4500007629999 52.2500000000001,-50.4666671759999 52.2500000000001,-50.4833335879999 52.2500000000001,-50.4999999999999 52.2500000000001,-50.5166664119999 52.2500000000001,-50.5333328249999 52.2500000000001,-50.549999237 52.2500000000001,-50.566665649 52.2500000000001,-50.583332061 52.2500000000001,-50.599998474 52.2500000000001,-50.616664887 52.2500000000001,-50.633335114 52.2500000000001,-50.650001526 52.2500000000001,-50.6666679379999 52.2500000000001,-50.683334351 52.2500000000001,-50.7000007629999 52.2500000000001,-50.7166671749999 52.2500000000001,-50.7333335879999 52.2500000000001,-50.7499999999999 52.2500000000001,-50.7666664119999 52.2500000000001,-50.783332824 52.2500000000001,-50.799999237 52.2500000000001,-50.8166656499999 52.2500000000001,-50.833332062 52.2500000000001,-50.849998474 52.2500000000001,-50.866664887 52.2500000000001,-50.883335114 52.2500000000001,-50.900001526 52.2500000000001,-50.9166679379999 52.2500000000001,-50.9333343499999 52.2500000000001,-50.9500007629999 52.2500000000001,-50.9666671749999 52.2500000000001,-50.9833335869999 52.2500000000001,-50.9999999999999 52.2500000000001,-51.0166664129999 52.2500000000001,-51.0333328249999 52.2500000000001,-51.049999237 52.2500000000001,-51.0666656499999 52.2500000000001,-51.083332062 52.2500000000001,-51.099998474 52.2500000000001,-51.116664886 52.2500000000001,-51.1333351129999 52.2500000000001,-51.150001526 52.2500000000001,-51.1666679379999 52.2500000000001,-51.1833343499999 52.2500000000001,-51.2000007619999 52.2500000000001,-51.2166671759999 52.2500000000001,-51.2333335879999 52.2500000000001,-51.2499999999999 52.2500000000001,-51.2666664129999 52.2500000000001,-51.2833328249999 52.2500000000001,-51.299999237 52.2500000000001,-51.316665649 52.2500000000001,-51.333332062 52.2500000000001,-51.349998474 52.2500000000001,-51.366664886 52.2500000000001,-51.3833351129999 52.2500000000001,-51.4000015249999 52.2500000000001,-51.4166679379999 52.2500000000001,-51.433334351 52.2500000000001,-51.4500007629999 52.2500000000001,-51.4666671759999 52.2500000000001,-51.4833335879999 52.2500000000001,-51.4999999999999 52.2500000000001,-51.5166664119999 52.2500000000001,-51.5333328249999 52.2500000000001,-51.549999237 52.2500000000001,-51.566665649 52.2500000000001,-51.583332061 52.2500000000001,-51.599998474 52.2500000000001,-51.616664887 52.2500000000001,-51.633335114 52.2500000000001,-51.650001526 52.2500000000001,-51.6666679379999 52.2500000000001,-51.683334351 52.2500000000001,-51.7000007629999 52.2500000000001,-51.7166671749999 52.2500000000001,-51.7333335879999 52.2500000000001,-51.7499999999999 52.2500000000001,-51.7666664119999 52.2500000000001,-51.783332824 52.2500000000001,-51.799999237 52.2500000000001,-51.8166656499999 52.2500000000001,-51.833332062 52.2500000000001,-51.849998474 52.2500000000001,-51.866664887 52.2500000000001,-51.883335114 52.2500000000001,-51.900001526 52.2500000000001,-51.9166679379999 52.2500000000001,-51.9333343499999 52.2500000000001,-51.9500007629999 52.2500000000001,-51.9666671749999 52.2500000000001,-51.9833335869999 52.2500000000001,-51.9999999999999 52.2500000000001,-52.0166664129999 52.2500000000001,-52.0333328249999 52.2500000000001,-52.049999237 52.2500000000001,-52.0666656499999 52.2500000000001,-52.083332062 52.2500000000001,-52.099998474 52.2500000000001,-52.116664886 52.2500000000001,-52.133335113 52.2500000000001,-52.150001526 52.2500000000001,-52.1666679379999 52.2500000000001,-52.1833343499999 52.2500000000001,-52.2000007629999 52.2500000000001,-52.2166671759999 52.2500000000001,-52.2333335879999 52.2500000000001,-52.2499999999999 52.2500000000001,-52.2666664129999 52.2500000000001,-52.2833328249999 52.2500000000001,-52.299999237 52.2500000000001,-52.316665649 52.2500000000001,-52.333332062 52.2500000000001,-52.349998474 52.2500000000001,-52.366664886 52.2500000000001,-52.383335113 52.2500000000001,-52.400001526 52.2500000000001,-52.416667939 52.2500000000001,-52.433334351 52.2500000000001,-52.4500007629999 52.2500000000001,-52.4666671749999 52.2500000000001,-52.4833335879999 52.2500000000001,-52.4999999999999 52.2500000000001,-52.5166664119999 52.2500000000001,-52.5333328249999 52.2500000000001,-52.549999237 52.2500000000001,-52.566665649 52.2500000000001,-52.583332061 52.2500000000001,-52.599998474 52.2500000000001,-52.616664887 52.2500000000001,-52.633335114 52.2500000000001,-52.650001526 52.2500000000001,-52.6666679379999 52.2500000000001,-52.683334351 52.2500000000001,-52.7000007629999 52.2500000000001,-52.7166671749999 52.2500000000001,-52.7333335869999 52.2500000000001,-52.7499999999999 52.2500000000001,-52.7666664119999 52.2500000000001,-52.783332824 52.2500000000001,-52.799999237 52.2500000000001,-52.8166656499999 52.2500000000001,-52.833332062 52.2500000000001,-52.849998474 52.2500000000001,-52.866664887 52.2500000000001,-52.883335114 52.2500000000001,-52.900001526 52.2500000000001,-52.9166679379999 52.2500000000001,-52.9333343499999 52.2500000000001,-52.9500007629999 52.2500000000001,-52.9666671749999 52.2500000000001,-52.9833335869999 52.2500000000001,-52.9999999999999 52.2500000000001,-53.0166664129999 52.2500000000001,-53.0333328249999 52.2500000000001,-53.049999237 52.2500000000001,-53.0666656499999 52.2500000000001,-53.083332062 52.2500000000001,-53.099998474 52.2500000000001,-53.116664886 52.2500000000001,-53.133335113 52.2500000000001,-53.150001526 52.2500000000001,-53.1666679379999 52.2500000000001,-53.1833343499999 52.2500000000001,-53.2000007629999 52.2500000000001,-53.2166671759999 52.2500000000001,-53.2333335879999 52.2500000000001,-53.2499999999999 52.2500000000001,-53.2666664119999 52.2500000000001,-53.2833328249999 52.2500000000001,-53.299999237 52.2500000000001,-53.316665649 52.2500000000001,-53.333332062 52.2500000000001,-53.349998474 52.2500000000001,-53.366664886 52.2500000000001,-53.383335113 52.2500000000001,-53.400001526 52.2500000000001,-53.416667939 52.2500000000001,-53.433334351 52.2500000000001,-53.4500007629999 52.2500000000001,-53.4666671749999 52.2500000000001,-53.4833335879999 52.2500000000001,-53.4999999999999 52.2500000000001,-53.5166664119999 52.2500000000001,-53.533332824 52.2500000000001,-53.549999237 52.2500000000001,-53.566665649 52.2500000000001,-53.583332062 52.2500000000001,-53.5999984749999 52.2500000000001,-53.616664887 52.2500000000001,-53.633335114 52.2500000000001,-53.650001526 52.2500000000001,-53.6666679379999 52.2500000000001,-53.683334351 52.2500000000001,-53.7000007629999 52.2500000000001,-53.7166671749999 52.2500000000001,-53.7333335869999 52.2500000000001,-53.7499999999999 52.2500000000001,-53.7666664119999 52.2500000000001,-53.783332824 52.2500000000001,-53.7999992379999 52.2500000000001,-53.8166656499999 52.2500000000001,-53.833332062 52.2500000000001,-53.849998474 52.2500000000001,-53.866664887 52.2500000000001,-53.883335114 52.2500000000001,-53.900001526 52.2500000000001,-53.9166679379999 52.2500000000001,-53.9333343499999 52.2500000000001,-53.9500007629999 52.2500000000001,-53.9666671749999 52.2500000000001,-53.9833335869999 52.2500000000001,-53.9999999999999 52.2500000000001,-54.0166664129999 52.2500000000001,-54.0333328249999 52.2500000000001,-54.049999237 52.2500000000001,-54.0666656499999 52.2500000000001,-54.083332062 52.2500000000001,-54.099998474 52.2500000000001,-54.116664886 52.2500000000001,-54.133335113 52.2500000000001,-54.150001526 52.2500000000001,-54.1666679379999 52.2500000000001,-54.1833343499999 52.2500000000001,-54.2000007629999 52.2500000000001,-54.216667176 52.2500000000001,-54.2333335879999 52.2500000000001,-54.2499999999999 52.2500000000001,-54.2666664119999 52.2500000000001,-54.2833328249999 52.2500000000001,-54.299999237 52.2500000000001,-54.316665649 52.2500000000001,-54.333332062 52.2500000000001,-54.349998474 52.2500000000001,-54.366664886 52.2500000000001,-54.383335113 52.2500000000001,-54.400001526 52.2500000000001,-54.416667939 52.2500000000001,-54.433334351 52.2500000000001,-54.4500007629999 52.2500000000001,-54.4666671749999 52.2500000000001,-54.4833335879999 52.2500000000001,-54.4999999999999 52.2500000000001,-54.5166664119999 52.2500000000001,-54.533332824 52.2500000000001,-54.549999237 52.2500000000001,-54.566665649 52.2500000000001,-54.583332062 52.2500000000001,-54.5999984749999 52.2500000000001,-54.616664887 52.2500000000001,-54.633335114 52.2500000000001,-54.650001526 52.2500000000001,-54.6666679379999 52.2500000000001,-54.683334351 52.2500000000001,-54.7000007629999 52.2500000000001,-54.7166671749999 52.2500000000001,-54.7333335869999 52.2500000000001,-54.7499999999999 52.2500000000001,-54.7666664119999 52.2500000000001,-54.7833328249999 52.2500000000001,-54.799999237 52.2500000000001,-54.8166656499999 52.2500000000001,-54.833332062 52.2500000000001,-54.849998474 52.2500000000001,-54.866664887 52.2500000000001,-54.883335114 52.2500000000001,-54.900001526 52.2500000000001,-54.9166679379999 52.2500000000001,-54.9333343499999 52.2500000000001,-54.9500007629999 52.2500000000001,-54.9666671749999 52.2500000000001,-54.9833335879999 52.2500000000001,-54.9999999999999 52.2500000000001,-55.0166664129999 52.2500000000001,-55.0333328249999 52.2500000000001,-55.049999237 52.2500000000001,-55.066665649 52.2500000000001,-55.083332062 52.2500000000001,-55.099998474 52.2500000000001,-55.116664886 52.2500000000001,-55.133335113 52.2500000000001,-55.150001526 52.2500000000001,-55.1666679379999 52.2500000000001,-55.183334351 52.2500000000001,-55.2000007629999 52.2500000000001,-55.216667176 52.2500000000001,-55.2333335879999 52.2500000000001,-55.2499999999999 52.2500000000001,-55.2666664119999 52.2500000000001,-55.2833328249999 52.2500000000001,-55.299999237 52.2500000000001,-55.316665649 52.2500000000001,-55.333332061 52.2500000000001,-55.349998474 52.2500000000001,-55.366664886 52.2500000000001,-55.383335114 52.2500000000001,-55.400001526 52.2500000000001,-55.416667939 52.2500000000001,-55.4222221369999 52.2500000000001,-55.433334351 52.2500000000001,-55.4500007629999 52.2500000000001,-55.4666671749999 52.2500000000001,-55.4833335879999 52.2500000000001,-55.4999999999999 52.2500000000001,-55.5166664119999 52.2500000000001,-55.533332824 52.2500000000001,-55.549999237 52.2500000000001,-55.566665649 52.2500000000001,-55.583332062 52.2500000000001,-55.599998474 52.2500000000001,-55.616664887 52.2500000000001,-55.633335114 52.2500000000001,-55.650001526 52.2500000000001,-55.6666679379999 52.2500000000001,-55.683334351 52.2500000000001,-55.7000007629999 52.2500000000001,-55.713903714 52.2500000000001,-55.7141380309999 52.2491378780001,-55.8300018309999 52.200000763,-55.8676489269999 52.2051129160001,-55.869998932 52.2500000000001,-57.099998474 52.2500000000001,-64.4999999999999 52.2500000000001,-64.4999999999999 52.7999992370001,-64.4999999999999 53.5999984740001,-64.4999999999999 53.730003357,-64.4999999999999 54.400001526,-64.4999999999999 54.5300025940001,-64.4999999999999 55.200000763,-64.4999999999999 55.3300018310001,-62.217099837 55.3289043090001,-62.084700845 54.2255793750001,-60.639345181 54.3138453700001,-60.6172786819999 54.6889758470001,-60.0325164669999 54.898607585,-60.1024050469999 55.0746975640001,-59.97000122 55.200000763,-59.86000061 55.22000122,-59.788037361 55.3241458260001,-59.786667638 55.3298203910001,-59.782949819 55.3309944390001,-59.779998779 55.3300018310001,-59.778671264 55.3333320620001,-59.7666664129999 55.3333320620001,-59.7333335869999 55.3333320620001,-59.7000007629999 55.3333320620001,-59.6666679379999 55.3333320620001,-59.633335114 55.3333320620001,-59.599998474 55.3333320620001,-59.5666656499999 55.3333320620001,-59.533332824 55.3333320620001,-59.4999999999999 55.3333320620001,-59.4666671749999 55.3333320620001,-59.433334351 55.3333320620001,-59.400001526 55.3333320620001,-59.366664887 55.3333320620001,-59.333332061 55.3333320620001,-59.299999237 55.3333320620001,-59.2666664119999 55.3333320620001,-59.2333335879999 55.3333320620001,-59.2000007629999 55.3333320620001,-59.166667939 55.3333320620001,-59.133335113 55.3333320620001,-59.099998474 55.3333320620001,-59.066665649 55.3333320620001,-59.0333328249999 55.3333320620001,-58.9999999999999 55.3333320620001,-58.966667176 55.3333320620001,-58.9333343499999 55.3333320620001,-58.900001526 55.3333320620001,-58.866664886 55.3333320620001,-58.833332062 55.3333320620001,-58.799999237 55.3333320620001,-58.7666664129999 55.3333320620001,-58.7333335869999 55.3333320620001,-58.7000007629999 55.3333320620001,-58.6666679379999 55.3333320620001,-58.633335114 55.3333320620001,-58.599998474 55.3333320620001,-58.5666656499999 55.3333320620001,-58.533332824 55.3333320620001,-58.4999999999999 55.3333320620001,-58.4666671749999 55.3333320620001,-58.433334351 55.3333320620001,-58.400001526 55.3333320620001,-58.366664887 55.3333320620001,-58.333332061 55.3333320620001,-58.299999237 55.3333320620001,-58.2666664119999 55.3333320620001,-58.2333335879999 55.3333320620001,-58.2000007629999 55.3333320620001,-58.1666679379999 55.3333320620001,-58.133335113 55.3333320620001,-58.099998474 55.3333320620001,-58.066665649 55.3333320620001,-58.0333328249999 55.3333320620001,-57.9999999999999 55.3333320620001,-57.966667176 55.3333320620001,-57.9333343499999 55.3333320620001,-57.900001526 55.3333320620001,-57.866664886 55.3333320620001,-57.833332062 55.3333320620001,-57.799999237 55.3333320620001,-57.7666664129999 55.3333320620001,-57.7333335869999 55.3333320620001,-57.7000007629999 55.3333320620001,-57.6666679379999 55.3333320620001,-57.633335114 55.3333320620001,-57.599998474 55.3333320620001,-57.5666656499999 55.3333320620001,-57.533332824 55.3333320620001,-57.4999999999999 55.3333320620001,-57.4666671749999 55.3333320620001,-57.433334351 55.3333320620001,-57.400001526 55.3333320620001,-57.366664887 55.3333320620001,-57.333332061 55.3333320620001,-57.299999237 55.3333320620001,-57.2666664119999 55.3333320620001,-57.2333335879999 55.3333320620001,-57.2000007629999 55.3333320620001,-57.1666679379999 55.3333320620001,-57.133335113 55.3333320620001,-57.099998474 55.3333320620001,-57.066665649 55.3333320620001,-57.0333328249999 55.3333320620001,-56.9999999999999 55.3333320620001,-56.9666671749999 55.3333320620001,-56.9333343499999 55.3333320620001,-56.900001526 55.3333320620001,-56.866664886 55.3333320620001,-56.833332062 55.3333320620001,-56.799999237 55.3333320620001,-56.7666664119999 55.3333320620001,-56.7333335869999 55.3333320620001,-56.7000007629999 55.3333320620001,-56.6666679379999 55.3333320620001,-56.633335114 55.3333320620001,-56.599998474 55.3333320620001,-56.566665649 55.3333320620001,-56.533332824 55.3333320620001,-56.4999999999999 55.3333320620001,-56.4666671749999 55.3333320620001,-56.433334351 55.3333320620001,-56.400001526 55.3333320620001,-56.366664886 55.3333320620001,-56.333332061 55.3333320620001,-56.299999237 55.3333320620001,-56.2666664119999 55.3333320620001,-56.2333335879999 55.3333320620001,-56.2000007629999 55.3333320620001,-56.1666679379999 55.3333320620001,-56.133335113 55.3333320620001,-56.099998474 55.3333320620001,-56.066665649 55.3333320620001,-56.0333328249999 55.3333320620001,-55.9999999999999 55.3333320620001,-55.9666671749999 55.3333320620001,-55.9333343499999 55.3333320620001,-55.900001526 55.3333320620001,-55.866664886 55.3333320620001,-55.833332062 55.3333320620001,-55.799999237 55.3333320620001,-55.7666664119999 55.3333320620001,-55.7333335869999 55.3333320620001,-55.7000007629999 55.3333320620001,-55.6666679379999 55.3333320620001,-55.633335114 55.3333320620001,-55.599998474 55.3333320620001,-55.566665649 55.3333320620001,-55.533332824 55.3333320620001,-55.4999999999999 55.3333320620001,-55.4666671749999 55.3333320620001,-55.433334351 55.3333320620001,-55.400001526 55.3333320620001,-55.366664886 55.3333320620001,-55.333332061 55.3333320620001,-55.299999237 55.3333320620001,-55.2666664119999 55.3333320620001,-55.2333335879999 55.3333320620001,-55.2000007629999 55.3333320620001,-55.1666679379999 55.3333320620001,-55.133335113 55.3333320620001,-55.099998474 55.3333320620001,-55.066665649 55.3333320620001,-55.0333328249999 55.3333320620001,-54.9999999999999 55.3333320620001,-54.9666671749999 55.3333320620001,-54.9333343499999 55.3333320620001,-54.900001526 55.3333320620001,-54.866664887 55.3333320620001,-54.833332062 55.3333320620001,-54.799999237 55.3333320620001,-54.7666664119999 55.3333320620001,-54.7333335869999 55.3333320620001,-54.7000007629999 55.3333320620001,-54.6666679379999 55.3333320620001,-54.633335114 55.3333320620001,-54.5999984749999 55.3333320620001,-54.566665649 55.3333320620001,-54.533332824 55.3333320620001,-54.4999999999999 55.3333320620001,-54.4666671749999 55.3333320620001,-54.433334351 55.3333320620001,-54.400001526 55.3333320620001,-54.366664886 55.3333320620001,-54.333332062 55.3333320620001,-54.299999237 55.3333320620001,-54.2666664119999 55.3333320620001,-54.2333335879999 55.3333320620001,-54.2000007629999 55.3333320620001,-54.1666679379999 55.3333320620001,-54.133335113 55.3333320620001,-54.099998474 55.3333320620001,-54.0666656499999 55.3333320620001,-54.0333328249999 55.3333320620001,-53.9999999999999 55.3333320620001,-53.9666671749999 55.3333320620001,-53.9333343499999 55.3333320620001,-53.900001526 55.3333320620001,-53.866664887 55.3333320620001,-53.833332062 55.3333320620001,-53.7999992379999 55.3333320620001,-53.7666664119999 55.3333320620001,-53.7333335869999 55.3333320620001,-53.7000007629999 55.3333320620001,-53.6666679379999 55.3333320620001,-53.633335114 55.3333320620001,-53.5999984749999 55.3333320620001,-53.566665649 55.3333320620001,-53.533332824 55.3333320620001,-53.4999999999999 55.3333320620001,-53.4666671749999 55.3333320620001,-53.433334351 55.3333320620001,-53.400001526 55.3333320620001,-53.366664886 55.3333320620001,-53.333332062 55.3333320620001,-53.299999237 55.3333320620001,-53.2666664119999 55.3333320620001,-53.2333335879999 55.3333320620001,-53.2000007629999 55.3333320620001,-53.1666679379999 55.3333320620001,-53.133335113 55.3333320620001,-53.099998474 55.3333320620001,-53.0666656499999 55.3333320620001,-53.0333328249999 55.3333320620001,-52.9999999999999 55.3333320620001,-52.9666671749999 55.3333320620001,-52.9333343499999 55.3333320620001,-52.900001526 55.3333320620001,-52.866664887 55.3333320620001,-52.833332062 55.3333320620001,-52.799999237 55.3333320620001,-52.7666664119999 55.3333320620001,-52.7333335869999 55.3333320620001,-52.7000007629999 55.3333320620001,-52.6666679379999 55.3333320620001,-52.633335114 55.3333320620001,-52.599998474 55.3333320620001,-52.566665649 55.3333320620001,-52.5333328249999 55.3333320620001,-52.4999999999999 55.3333320620001,-52.4666671749999 55.3333320620001,-52.433334351 55.3333320620001,-52.400001526 55.3333320620001,-52.366664886 55.3333320620001,-52.333332062 55.3333320620001,-52.299999237 55.3333320620001,-52.2666664129999 55.3333320620001,-52.2333335879999 55.3333320620001,-52.2000007629999 55.3333320620001,-52.1666679379999 55.3333320620001,-52.133335113 55.3333320620001,-52.099998474 55.3333320620001,-52.0666656499999 55.3333320620001,-52.0333328249999 55.3333320620001,-51.9999999999999 55.3333320620001,-51.9666671749999 55.3333320620001,-51.9333343499999 55.3333320620001,-51.900001526 55.3333320620001,-51.866664887 55.3333320620001,-51.833332062 55.3333320620001,-51.799999237 55.3333320620001,-51.7666664119999 55.3333320620001,-51.7333335879999 55.3333320620001,-51.7000007629999 55.3333320620001,-51.6666679379999 55.3333320620001,-51.633335114 55.3333320620001,-51.599998474 55.3333320620001,-51.566665649 55.3333320620001,-51.5333328249999 55.3333320620001,-51.4999999999999 55.3333320620001,-51.4666671759999 55.3333320620001,-51.433334351 55.3333320620001,-51.4000015249999 55.3333320620001,-51.366664886 55.3333320620001,-51.333332062 55.3333320620001,-51.299999237 55.3333320620001,-51.2666664129999 55.3333320620001,-51.2333335879999 55.3333320620001,-51.2000007619999 55.3333320620001,-51.1666679379999 55.3333320620001,-51.1333351129999 55.3333320620001,-51.099998474 55.3333320620001,-51.0666656499999 55.3333320620001,-51.0333328249999 55.3333320620001,-50.9999999999999 55.3333320620001,-50.9666671749999 55.3333320620001,-50.9333343499999 55.3333320620001,-50.900001526 55.3333320620001,-50.866664887 55.3333320620001,-50.833332062 55.3333320620001,-50.799999237 55.3333320620001,-50.7666664119999 55.3333320620001,-50.7333335879999 55.3333320620001,-50.7000007629999 55.3333320620001,-50.6666679379999 55.3333320620001,-50.633335114 55.3333320620001,-50.599998474 55.3333320620001,-50.566665649 55.3333320620001,-50.5333328249999 55.3333320620001,-50.4999999999999 55.3333320620001,-50.4666671759999 55.3333320620001,-50.433334351 55.3333320620001,-50.4000015249999 55.3333320620001,-50.366664886 55.3333320620001,-50.333332062 55.3333320620001,-50.299999237 55.3333320620001,-50.2666664129999 55.3333320620001,-50.2333335879999 55.3333320620001,-50.2000007629999 55.3333320620001,-50.1666679379999 55.3333320620001,-50.1333351129999 55.3333320620001,-50.099998474 55.3333320620001,-50.0666656499999 55.3333320620001,-50.0333328249999 55.3333320620001,-49.9999999999999 55.3333320620001,-49.9666671749999 55.3333320620001,-49.933334351 55.3333320620001,-49.900001526 55.3333320620001,-49.866664887 55.3333320620001,-49.833332062 55.3333320620001,-49.799999237 55.3333320620001,-49.7666664119999 55.3333320620001,-49.7333335879999 55.3333320620001,-49.7000007629999 55.3333320620001,-49.666667939 55.3333320620001,-49.633335114 55.3333320620001,-49.599998474 55.3333320620001,-49.566665649 55.3333320620001,-49.5333328249999 55.3333320620001,-49.4999999999999 55.3333320620001,-49.4666671759999 55.3333320620001,-49.433334351 55.3333320620001,-49.400001526 55.3333320620001,-49.366664886 55.3333320620001,-49.333332062 55.3333320620001,-49.299999237 55.3333320620001,-49.2666664129999 55.3333320620001,-49.2333335879999 55.3333320620001,-49.2000007629999 55.3333320620001,-49.1666679379999 55.3333320620001,-49.133335114 55.3333320620001,-49.099998474 55.3333320620001,-49.0666656499999 55.3333320620001,-49.0333328249999 55.3333320620001,-48.9999999999999 55.3333320620001,-48.9666671749999 55.3333320620001,-48.933334351 55.3333320620001,-48.900001526 55.3333320620001,-48.866664887 55.3333320620001,-48.833332062 55.3333320620001,-48.799999237 55.3333320620001,-48.7666664119999 55.3333320620001,-48.7333335879999 55.3333320620001,-48.7000007629999 55.3333320620001,-48.666667939 55.3333320620001,-48.633335114 55.3333320620001,-48.599998474 55.3333320620001,-48.566665649 55.3333320620001,-48.5333328249999 55.3333320620001,-48.4999999999999 55.3333320620001,-48.4666671759999 55.3333320620001,-48.433334351 55.3333320620001,-48.400001526 55.3333320620001,-48.366664886 55.3333320620001,-48.333332062 55.3333320620001,-48.299999237 55.3333320620001,-48.2666664129999 55.3333320620001,-48.2333335879999 55.3333320620001,-48.2000007629999 55.3333320620001,-48.1666679379999 55.3333320620001,-48.133335114 55.3333320620001,-48.099998474 55.3333320620001,-48.0666656499999 55.3333320620001,-48.0333328249999 55.3333320620001,-47.9999999999999 55.3333320620001,-47.9666671749999 55.3333320620001,-47.933334351 55.3333320620001,-47.900001526 55.3333320620001,-47.866664887 55.3333320620001,-47.833332062 55.3333320620001,-47.799999237 55.3333320620001,-47.7666664119999 55.3333320620001,-47.7333335879999 55.3333320620001,-47.7000007629999 55.3333320620001,-47.666667939 55.3333320620001,-47.6333351129999 55.3333320620001,-47.599998474 55.3333320620001,-47.5312080379999 55.3333320620001,-47.500175476 55.3166656490001,-47.469158173 55.2999992370001,-47.438152314 55.2833328250001,-47.407157898 55.2666664130001,-47.3761787409999 55.2500000000001,-47.3452148439999 55.2333335880001,-47.314258576 55.2166671750001,-47.2833175659999 55.200000763,-47.252391815 55.1833343500001,-47.221477509 55.166667938,-47.190574646 55.150001526,-47.159687043 55.133335114,-47.128810883 55.1166648860001,-47.0979499819999 55.0999984740001,-47.0671005249999 55.0833320620001,-47.0362625129999 55.0666656500001,-47.005439758 55.0499992370001,-46.974628449 55.0333328250001,-46.943832398 55.0166664120001,-46.9130477909999 55.0000000000001,-46.8822746279999 54.9833335870001,-46.851512909 54.9666671750001,-46.820766449 54.950000763,-46.7900352469999 54.933334351,-46.759311676 54.916667938,-46.7286033629999 54.900001526,-46.697910309 54.883335114,-46.6672248839999 54.8666648870001,-46.636554718 54.8499984740001,-46.605899811 54.8333320620001,-46.575252533 54.8166656490001,-46.544620514 54.7999992370001,-46.5140037529999 54.7833328240001,-46.483394623 54.7666664120001,-46.4528007499999 54.7500000000001,-46.4222221379999 54.7333335880001,-46.3916511539999 54.7166671750001,-46.3610954289999 54.700000763,-46.330554962 54.683334351,-46.3000221249999 54.666667939,-46.2695045469999 54.650001526,-46.2389984129999 54.633335113,-46.208503724 54.6166648860001,-46.178024292 54.5999984740001,-46.147556305 54.5833320610001,-46.117099762 54.5666656490001,-46.0866584779999 54.5499992370001,-46.0562286379999 54.5333328250001,-46.025810242 54.5166664120001,-45.99540329 54.5000000000001,-45.9650115969999 54.4833335880001,-45.934631348 54.466667176,-45.904262542 54.450000763,-45.8739051819999 54.433334351,-45.84356308 54.416667938,-45.8132324219999 54.400001526,-45.782913208 54.383335113,-45.7526054379999 54.3666648860001,-45.722312927 54.3499984740001,-45.69203186 54.3333320620001,-45.6617622379999 54.3166656490001,-45.631504059 54.2999992370001,-45.601261139 54.2833328250001,-45.5710296629999 54.2666664130001,-45.5408096319999 54.2500000000001,-45.510601043 54.2333335880001,-45.4804038999999 54.2166671750001,-45.4502220159999 54.200000763,-45.420051574 54.1833343500001,-45.3898925779999 54.166667938,-45.359745026 54.150001526,-45.329608917 54.133335114,-45.299488068 54.1166648870001,-45.269378662 54.0999984740001,-45.239280701 54.0833320620001,-45.209194183 54.0666656500001,-45.1791191099999 54.0499992370001,-45.149059295 54.0333328250001,-45.1190109259999 54.0166664120001,-45.088973999 54.0000000000001,-45.058948517 53.9833335870001,-45.028934479 53.9666671750001,-44.9989318839999 53.950000763,-44.9689445499999 53.933334351,-44.938964843 53.916667938,-44.909000396 53.900001526,-44.879047393 53.883335114,-44.8491058349999 53.8666648870001,-44.8191795349999 53.8499984750001,-44.789260865 53.8333320620001,-44.759357452 53.8166656490001,-44.72946167 53.7999992370001,-44.699581146 53.7833328240001,-44.6697120659999 53.7666664120001,-44.6398544309999 53.7500000000001,-44.61000824 53.7333335880001,-44.580173492 53.7166671750001,-44.550354004 53.700000763,-44.5205421439999 53.683334351,-44.4907455439999 53.666667939,-44.4609603879999 53.650001526,-44.431182861 53.633335113,-44.401420593 53.6166648860001,-44.37166977 53.5999984740001,-44.341930389 53.5833320620001,-44.312206268 53.5666656490001,-44.282489777 53.5499992370001,-44.252784729 53.5333328250001,-44.22309494 53.5166664120001,-44.1934127809999 53.5000000000001,-44.16374588 53.4833335880001,-44.134086609 53.466667176,-44.1044425969999 53.450000763,-44.0748100279999 53.4333343500001,-44.045188904 53.416667938,-44.015579224 53.400001526,-43.9859809879999 53.383335113,-43.956394195 53.3666648860001,-43.9268188469999 53.3499984740001,-43.8972549439999 53.3333320620001,-43.8677024839999 53.3166656500001,-43.838161468 53.2999992370001,-43.8086318969999 53.2833328250001,-43.7791175839999 53.2666664130001,-43.749610901 53.2500000000001,-43.720115662 53.2333335870001,-43.690631867 53.2166671750001,-43.66116333 53.200000763,-43.631702423 53.1833343500001,-43.6022567749999 53.166667938,-43.5728187559999 53.150001526,-43.5433921819999 53.133335114,-43.513980865 53.1166648870001,-43.484577179 53.0999984740001,-43.455188752 53.0833320620001,-43.4258079529999 53.0666656500001,-43.396438598 53.0499992380001,-43.3670845029999 53.0333328240001,-43.337738037 53.0166664120001,-43.30840683 53.0000000000001,-43.279083252 52.9833335870001,-43.249771118 52.9666671750001,-43.220474243 52.950000763,-43.191184998 52.933334351,-43.161907196 52.916667938,-43.132640839 52.900001526,-43.10338974 52.883335114,-43.07414627 52.8666648870001,-43.044914246 52.8499984750001,-43.015693664 52.8333320610001,-42.986484527 52.8166656490001,-42.9572868339999 52.7999992370001,-42.928100586 52.7833328240001,-42.8989257809999 52.7666664120001,-42.8697586059999 52.7500000000001,-42.84060669 52.7333335880001,-42.811466217 52.7166671750001,-42.782333374 52.700000763,-42.75321579 52.683334351,-42.7241058349999 52.666667939,-42.695011139 52.650001526,-42.6659240719999 52.633335113,-42.6368484499999 52.6166648860001,-42.607788086 52.5999984740001,-42.578735352 52.5833320620001,-42.549694061 52.5666656490001,-42.5206604009999 52.5499992370001,-42.491641998 52.5333328250001,-42.46263504 52.5166664120001,-42.433635711 52.5000000000001,-42.404651642 52.4833335880001,-42.375675202 52.466667176,-42.3467140189999 52.450000763,-42.317760467 52.4333343500001,-42.2888183599999 52.416667938,-42.259887695 52.400001526,-42.230964661 52.383335113,-42.2020568849999 52.3666648860001,-42.1731605529999 52.3499984740001,-42.144271851 52.3333320620001,-42.115394593 52.3166656500001,-42.0865287779999 52.2999992370001,-42.057674408 52.2833328250001,-42.0288314819999 52.2666664130001,-41.9999999999999 52.2500000000001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.2', '', '21.2', '21.2.J', '', '21.2J', '', '', '', '', '', '', '', '2J', '3', '21.2.J', '21.2J', 'Y'),('SRID=4326;MULTIPOLYGON(((21.7420497690001 56.4893955040001,21.824475767 55.470937846,20.9777747320001 54.1638406320001,18.967673781 54.0724724070001,18.052800115 54.1391513660001,18.026675137 54.731317554,18.000000088 54.8306000370001,18.000000066 56.500000029,20.9925354420001 56.500000019,21.7420497690001 56.4893955040001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.III', 'Skagerrak, Kattegat, Sound, Belt S., and Baltic S.', '27.III', '27.III.d', '', '27.IIId', '27.III.d.26', 'Southern Central Baltic - East', '27.IIId26', '', '', '', '', '26', '4', '27.3.d.26', '27.26', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 51.633335113,-41.9999999999999 51.6166648860001,-41.9999999999999 51.5999984740001,-41.9999999999999 51.5833320620001,-41.9999999999999 51.5666656490001,-41.9999999999999 51.5499992370001,-41.9999999999999 51.5333328250001,-41.9999999999999 51.5166664130001,-41.9999999999999 51.5000000000001,-41.9999999999999 51.4833335880001,-41.9999999999999 51.466667176,-41.9999999999999 51.450000763,-41.9999999999999 51.4333343500001,-41.9999999999999 51.416667938,-41.9999999999999 51.400001526,-41.9999999999999 51.383335113,-41.9999999999999 51.3666648860001,-41.9999999999999 51.3499984740001,-41.9999999999999 51.3333320620001,-41.9999999999999 51.3166656500001,-41.9999999999999 51.2999992370001,-41.9999999999999 51.2833328250001,-41.9999999999999 51.2666664130001,-41.9999999999999 51.2500000000001,-41.9999999999999 51.2333335870001,-41.9999999999999 51.2166671750001,-41.9999999999999 51.200000763,-41.9999999999999 51.1833343500001,-41.9999999999999 51.166667938,-41.9999999999999 51.150001526,-41.9999999999999 51.133335114,-41.9999999999999 51.1166648870001,-41.9999999999999 51.0999984740001,-41.9999999999999 51.0833320620001,-41.9999999999999 51.0666656500001,-41.9999999999999 51.0499992370001,-41.9999999999999 51.0333328240001,-41.9999999999999 51.0166664120001,-41.9999999999999 51.0000000000001,-41.9999999999999 50.9833335880001,-41.9999999999999 50.9666671750001,-41.9999999999999 50.950000763,-41.9999999999999 50.933334351,-41.9999999999999 50.916667938,-41.9999999999999 50.900001526,-41.9999999999999 50.883335114,-41.9999999999999 50.8666648870001,-41.9999999999999 50.8499984740001,-41.9999999999999 50.8333320610001,-41.9999999999999 50.8166656490001,-41.9999999999999 50.7999992370001,-41.9999999999999 50.7833328250001,-41.9999999999999 50.7666664120001,-41.9999999999999 50.7500000000001,-41.9999999999999 50.7333335880001,-41.9999999999999 50.716667176,-41.9999999999999 50.700000763,-41.9999999999999 50.683334351,-41.9999999999999 50.666667938,-41.9999999999999 50.6500015250001,-41.9999999999999 50.633335113,-41.9999999999999 50.6166648860001,-41.9999999999999 50.5999984740001,-41.9999999999999 50.5833320620001,-41.9999999999999 50.5666656490001,-41.9999999999999 50.5499992370001,-41.9999999999999 50.5333328250001,-41.9999999999999 50.5166664130001,-41.9999999999999 50.5000000000001,-41.9999999999999 50.4833335880001,-41.9999999999999 50.466667176,-41.9999999999999 50.4500007620001,-41.9999999999999 50.4333343500001,-41.9999999999999 50.416667938,-41.9999999999999 50.400001526,-41.9999999999999 50.383335113,-41.9999999999999 50.3666648860001,-41.9999999999999 50.3499984740001,-41.9999999999999 50.3333320620001,-41.9999999999999 50.3166656500001,-41.9999999999999 50.2999992370001,-41.9999999999999 50.2833328250001,-41.9999999999999 50.2666664130001,-41.9999999999999 50.2500000000001,-41.9999999999999 50.2333335870001,-41.9999999999999 50.2166671750001,-41.9999999999999 50.200000763,-41.9999999999999 50.1833343500001,-41.9999999999999 50.166667938,-41.9999999999999 50.150001526,-41.9999999999999 50.133335114,-41.9999999999999 50.1166648870001,-41.9999999999999 50.0999984740001,-41.9999999999999 50.0833320620001,-41.9999999999999 50.0666656500001,-41.9999999999999 50.0499992370001,-41.9999999999999 50.0333328240001,-41.9999999999999 50.0166664120001,-41.9999999999999 50.0000000000001,-41.9999999999999 49.9833335880001,-41.9999999999999 49.9666671750001,-41.9999999999999 49.950000763,-41.9999999999999 49.933334351,-41.9999999999999 49.916667938,-41.9999999999999 49.900001526,-41.9999999999999 49.883335114,-41.9999999999999 49.8666648870001,-41.9999999999999 49.8499984740001,-41.9999999999999 49.8333320610001,-41.9999999999999 49.8166656490001,-41.9999999999999 49.7999992370001,-41.9999999999999 49.7833328250001,-41.9999999999999 49.7666664120001,-41.9999999999999 49.7500000000001,-41.9999999999999 49.7333335880001,-41.9999999999999 49.716667176,-41.9999999999999 49.700000763,-41.9999999999999 49.683334351,-41.9999999999999 49.666667938,-41.9999999999999 49.6500015250001,-41.9999999999999 49.633335113,-41.9999999999999 49.6166648860001,-41.9999999999999 49.5999984740001,-41.9999999999999 49.5833320620001,-41.9999999999999 49.5666656490001,-41.9999999999999 49.5499992370001,-41.9999999999999 49.5333328250001,-41.9999999999999 49.5166664130001,-41.9999999999999 49.5000000000001,-41.9999999999999 49.4833335880001,-41.9999999999999 49.4666671750001,-41.9999999999999 49.450000763,-41.9999999999999 49.4333343500001,-41.9999999999999 49.416667938,-41.9999999999999 49.400001526,-41.9999999999999 49.383335113,-41.9999999999999 49.3666648860001,-41.9999999999999 49.3499984740001,-41.9999999999999 49.3333320620001,-41.9999999999999 49.3166656500001,-41.9999999999999 49.2999992370001,-41.9999999999999 49.2833328250001,-41.9999999999999 49.2666664120001,-41.9999999999999 49.2500000000001,-42.0166664119999 49.2500000000001,-42.033332824 49.2500000000001,-42.049999237 49.2500000000001,-42.066665649 49.2500000000001,-42.083332062 49.2500000000001,-42.099998474 49.2500000000001,-42.116664886 49.2500000000001,-42.133335114 49.2500000000001,-42.150001526 49.2500000000001,-42.1666679379999 49.2500000000001,-42.183334351 49.2500000000001,-42.2000007629999 49.2500000000001,-42.2166671749999 49.2500000000001,-42.2333335869999 49.2500000000001,-42.2499999999999 49.2500000000001,-42.2666664119999 49.2500000000001,-42.2833328249999 49.2500000000001,-42.299999237 49.2500000000001,-42.316665649 49.2500000000001,-42.333332062 49.2500000000001,-42.349998474 49.2500000000001,-42.366664886 49.2500000000001,-42.3833351129999 49.2500000000001,-42.400001526 49.2500000000001,-42.4166679379999 49.2500000000001,-42.4333343499999 49.2500000000001,-42.4500007629999 49.2500000000001,-42.4666671749999 49.2500000000001,-42.4833335879999 49.2500000000001,-42.4999999999999 49.2500000000001,-42.5166664119999 49.2500000000001,-42.5333328249999 49.2500000000001,-42.549999237 49.2500000000001,-42.566665649 49.2500000000001,-42.583332062 49.2500000000001,-42.599998474 49.2500000000001,-42.616664886 49.2500000000001,-42.6333351129999 49.2500000000001,-42.650001526 49.2500000000001,-42.6666679379999 49.2500000000001,-42.683334351 49.2500000000001,-42.7000007629999 49.2500000000001,-42.7166671749999 49.2500000000001,-42.7333335879999 49.2500000000001,-42.7499999999999 49.2500000000001,-42.7666664119999 49.2500000000001,-42.7833328249999 49.2500000000001,-42.799999237 49.2500000000001,-42.816665649 49.2500000000001,-42.833332061 49.2500000000001,-42.849998474 49.2500000000001,-42.866664886 49.2500000000001,-42.883335114 49.2500000000001,-42.900001526 49.2500000000001,-42.9166679379999 49.2500000000001,-42.933334351 49.2500000000001,-42.9500007629999 49.2500000000001,-42.9666671749999 49.2500000000001,-42.9833335879999 49.2500000000001,-42.9999999999999 49.2500000000001,-43.0166664119999 49.2500000000001,-43.033332824 49.2500000000001,-43.049999237 49.2500000000001,-43.066665649 49.2500000000001,-43.083332062 49.2500000000001,-43.099998474 49.2500000000001,-43.116664886 49.2500000000001,-43.133335114 49.2500000000001,-43.150001526 49.2500000000001,-43.1666679379999 49.2500000000001,-43.183334351 49.2500000000001,-43.2000007629999 49.2500000000001,-43.2166671749999 49.2500000000001,-43.2333335869999 49.2500000000001,-43.2499999999999 49.2500000000001,-43.2666664119999 49.2500000000001,-43.2833328249999 49.2500000000001,-43.299999237 49.2500000000001,-43.316665649 49.2500000000001,-43.333332062 49.2500000000001,-43.349998474 49.2500000000001,-43.366664886 49.2500000000001,-43.3833351129999 49.2500000000001,-43.400001526 49.2500000000001,-43.4166679379999 49.2500000000001,-43.4333343499999 49.2500000000001,-43.4500007629999 49.2500000000001,-43.4666671749999 49.2500000000001,-43.4833335879999 49.2500000000001,-43.4999999999999 49.2500000000001,-43.5166664119999 49.2500000000001,-43.5333328249999 49.2500000000001,-43.549999237 49.2500000000001,-43.566665649 49.2500000000001,-43.583332062 49.2500000000001,-43.599998474 49.2500000000001,-43.616664886 49.2500000000001,-43.6333351129999 49.2500000000001,-43.6500015249999 49.2500000000001,-43.6666679379999 49.2500000000001,-43.683334351 49.2500000000001,-43.7000007629999 49.2500000000001,-43.7166671749999 49.2500000000001,-43.7333335879999 49.2500000000001,-43.7499999999999 49.2500000000001,-43.7666664119999 49.2500000000001,-43.7833328249999 49.2500000000001,-43.799999237 49.2500000000001,-43.816665649 49.2500000000001,-43.833332061 49.2500000000001,-43.849998474 49.2500000000001,-43.866664886 49.2500000000001,-43.883335114 49.2500000000001,-43.900001526 49.2500000000001,-43.9166679379999 49.2500000000001,-43.933334351 49.2500000000001,-43.9500007629999 49.2500000000001,-43.9666671749999 49.2500000000001,-43.9833335879999 49.2500000000001,-43.9999999999999 49.2500000000001,-44.0166664119999 49.2500000000001,-44.033332824 49.2500000000001,-44.049999237 49.2500000000001,-44.066665649 49.2500000000001,-44.083332062 49.2500000000001,-44.099998474 49.2500000000001,-44.116664886 49.2500000000001,-44.133335114 49.2500000000001,-44.150001526 49.2500000000001,-44.1666679379999 49.2500000000001,-44.1833343499999 49.2500000000001,-44.2000007629999 49.2500000000001,-44.2166671749999 49.2500000000001,-44.2333335869999 49.2500000000001,-44.2499999999999 49.2500000000001,-44.2666664119999 49.2500000000001,-44.2833328249999 49.2500000000001,-44.299999237 49.2500000000001,-44.316665649 49.2500000000001,-44.333332062 49.2500000000001,-44.349998474 49.2500000000001,-44.366664886 49.2500000000001,-44.3833351129999 49.2500000000001,-44.400001526 49.2500000000001,-44.4166679379999 49.2500000000001,-44.4333343499999 49.2500000000001,-44.4500007629999 49.2500000000001,-44.4666671749999 49.2500000000001,-44.4833335879999 49.2500000000001,-44.4999999999999 49.2500000000001,-44.5166664119999 49.2500000000001,-44.5333328249999 49.2500000000001,-44.549999237 49.2500000000001,-44.566665649 49.2500000000001,-44.583332062 49.2500000000001,-44.599998474 49.2500000000001,-44.616664886 49.2500000000001,-44.6333351129999 49.2500000000001,-44.6500015249999 49.2500000000001,-44.6666679379999 49.2500000000001,-44.683334351 49.2500000000001,-44.7000007629999 49.2500000000001,-44.7166671749999 49.2500000000001,-44.7333335879999 49.2500000000001,-44.7499999999999 49.2500000000001,-44.7666664119999 49.2500000000001,-44.7833328249999 49.2500000000001,-44.799999237 49.2500000000001,-44.816665649 49.2500000000001,-44.833332061 49.2500000000001,-44.849998474 49.2500000000001,-44.866664886 49.2500000000001,-44.883335114 49.2500000000001,-44.900001526 49.2500000000001,-44.9166679379999 49.2500000000001,-44.933334351 49.2500000000001,-44.9500007629999 49.2500000000001,-44.9666671749999 49.2500000000001,-44.9833335879999 49.2500000000001,-44.9999999999999 49.2500000000001,-45.0166664119999 49.2500000000001,-45.033332824 49.2500000000001,-45.049999237 49.2500000000001,-45.066665649 49.2500000000001,-45.083332062 49.2500000000001,-45.099998474 49.2500000000001,-45.116664886 49.2500000000001,-45.133335114 49.2500000000001,-45.150001526 49.2500000000001,-45.1666679379999 49.2500000000001,-45.1833343499999 49.2500000000001,-45.2000007629999 49.2500000000001,-45.2166671749999 49.2500000000001,-45.2333335869999 49.2500000000001,-45.2499999999999 49.2500000000001,-45.2666664119999 49.2500000000001,-45.2833328249999 49.2500000000001,-45.299999237 49.2500000000001,-45.316665649 49.2500000000001,-45.333332062 49.2500000000001,-45.349998474 49.2500000000001,-45.366664886 49.2500000000001,-45.3833351129999 49.2500000000001,-45.400001526 49.2500000000001,-45.4166679379999 49.2500000000001,-45.4333343499999 49.2500000000001,-45.4500007629999 49.2500000000001,-45.4666671749999 49.2500000000001,-45.4833335879999 49.2500000000001,-45.4999999999999 49.2500000000001,-45.5166664119999 49.2500000000001,-45.5333328249999 49.2500000000001,-45.549999237 49.2500000000001,-45.566665649 49.2500000000001,-45.583332062 49.2500000000001,-45.599998474 49.2500000000001,-45.616664886 49.2500000000001,-45.6333351129999 49.2500000000001,-45.650001526 49.2500000000001,-45.6666679379999 49.2500000000001,-45.683334351 49.2500000000001,-45.7000007629999 49.2500000000001,-45.7166671749999 49.2500000000001,-45.7333335879999 49.2500000000001,-45.7499999999999 49.2500000000001,-45.7666664119999 49.2500000000001,-45.7833328249999 49.2500000000001,-45.799999237 49.2500000000001,-45.816665649 49.2500000000001,-45.833332061 49.2500000000001,-45.849998474 49.2500000000001,-45.866664886 49.2500000000001,-45.883335114 49.2500000000001,-45.900001526 49.2500000000001,-45.9166679379999 49.2500000000001,-45.933334351 49.2500000000001,-45.9500007629999 49.2500000000001,-45.9666671749999 49.2500000000001,-45.9833335869999 49.2500000000001,-45.9999999999999 49.2500000000001,-46.0166664119999 49.2500000000001,-46.033332824 49.2500000000001,-46.049999237 49.2500000000001,-46.066665649 49.2500000000001,-46.083332062 49.2500000000001,-46.099998474 49.2500000000001,-46.116664886 49.2500000000001,-46.133335114 49.2500000000001,-46.150001526 49.2500000000001,-46.1666679379999 49.2500000000001,-46.1833343499999 49.2500000000001,-46.2000007629999 49.2500000000001,-46.2166671749999 49.2500000000001,-46.2333335869999 49.2500000000001,-46.2499999999999 49.2500000000001,-46.2666664119999 49.2500000000001,-46.2833328249999 49.2500000000001,-46.299999237 49.2500000000001,-46.316665649 49.2500000000001,-46.333332062 49.2500000000001,-46.349998474 49.2500000000001,-46.366664886 49.2500000000001,-46.3833351129999 49.2500000000001,-46.400001526 49.2500000000001,-46.4166679379999 49.2500000000001,-46.4333343499999 49.2500000000001,-46.4500007629999 49.2500000000001,-46.4666671749999 49.2500000000001,-46.4833335879999 49.2500000000001,-46.4999999999999 49.2500000000001,-46.5166664119999 49.2500000000001,-46.5333328249999 49.2500000000001,-46.549999237 49.2500000000001,-46.566665649 49.2500000000001,-46.583332062 49.2500000000001,-46.599998474 49.2500000000001,-46.616664886 49.2500000000001,-46.6333351129999 49.2500000000001,-46.650001526 49.2500000000001,-46.6666679379999 49.2500000000001,-46.683334351 49.2500000000001,-46.7000007629999 49.2500000000001,-46.7166671749999 49.2500000000001,-46.7333335879999 49.2500000000001,-46.7499999999999 49.2500000000001,-46.7666664119999 49.2500000000001,-46.783332824 49.2500000000001,-46.799999237 49.2500000000001,-46.816665649 49.2500000000001,-46.833332062 49.2500000000001,-46.849998474 49.2500000000001,-46.866664886 49.2500000000001,-46.883335114 49.2500000000001,-46.900001526 49.2500000000001,-46.9166679379999 49.2500000000001,-46.933334351 49.2500000000001,-46.9500007629999 49.2500000000001,-46.9666671749999 49.2500000000001,-46.9833335869999 49.2500000000001,-46.9999999999999 49.2500000000001,-47.0166664119999 49.2500000000001,-47.0333328249999 49.2500000000001,-47.049999237 49.2500000000001,-47.066665649 49.2500000000001,-47.083332062 49.2500000000001,-47.099998474 49.2500000000001,-47.116664886 49.2500000000001,-47.133335114 49.2500000000001,-47.150001526 49.2500000000001,-47.1666679379999 49.2500000000001,-47.1833343499999 49.2500000000001,-47.2000007629999 49.2500000000001,-47.2166671749999 49.2500000000001,-47.2333335869999 49.2500000000001,-47.2499999999999 49.2500000000001,-47.2666664119999 49.2500000000001,-47.2833328249999 49.2500000000001,-47.299999237 49.2500000000001,-47.316665649 49.2500000000001,-47.333332062 49.2500000000001,-47.349998474 49.2500000000001,-47.366664886 49.2500000000001,-47.3833351129999 49.2500000000001,-47.400001526 49.2500000000001,-47.4166679379999 49.2500000000001,-47.4333343499999 49.2500000000001,-47.4500007629999 49.2500000000001,-47.4666671749999 49.2500000000001,-47.4833335879999 49.2500000000001,-47.4999999999999 49.2500000000001,-47.5166664119999 49.2500000000001,-47.5333328249999 49.2500000000001,-47.549999237 49.2500000000001,-47.566665649 49.2500000000001,-47.583332062 49.2500000000001,-47.599998474 49.2500000000001,-47.616664886 49.2500000000001,-47.6333351129999 49.2500000000001,-47.650001526 49.2500000000001,-47.6666679379999 49.2500000000001,-47.683334351 49.2500000000001,-47.7000007629999 49.2500000000001,-47.7166671749999 49.2500000000001,-47.7333335879999 49.2500000000001,-47.7499999999999 49.2500000000001,-47.7666664119999 49.2500000000001,-47.783332824 49.2500000000001,-47.799999237 49.2500000000001,-47.816665649 49.2500000000001,-47.833332062 49.2500000000001,-47.849998474 49.2500000000001,-47.866664886 49.2500000000001,-47.883335114 49.2500000000001,-47.900001526 49.2500000000001,-47.9166679379999 49.2500000000001,-47.933334351 49.2500000000001,-47.9500007629999 49.2500000000001,-47.9666671749999 49.2500000000001,-47.9833335869999 49.2500000000001,-47.9999999999999 49.2500000000001,-48.0166664119999 49.2500000000001,-48.0333328249999 49.2500000000001,-48.049999237 49.2500000000001,-48.066665649 49.2500000000001,-48.083332062 49.2500000000001,-48.099998474 49.2500000000001,-48.116664886 49.2500000000001,-48.133335114 49.2500000000001,-48.150001526 49.2500000000001,-48.1666679379999 49.2500000000001,-48.1833343499999 49.2500000000001,-48.2000007629999 49.2500000000001,-48.2166671749999 49.2500000000001,-48.2333335879999 49.2500000000001,-48.2499999999999 49.2500000000001,-48.2666664119999 49.2500000000001,-48.2833328249999 49.2500000000001,-48.299999237 49.2500000000001,-48.316665649 49.2500000000001,-48.333332062 49.2500000000001,-48.349998474 49.2500000000001,-48.366664886 49.2500000000001,-48.3833351129999 49.2500000000001,-48.400001526 49.2500000000001,-48.4166679379999 49.2500000000001,-48.433334351 49.2500000000001,-48.4500007629999 49.2500000000001,-48.4666671749999 49.2500000000001,-48.4833335879999 49.2500000000001,-48.4999999999999 49.2500000000001,-48.5166664119999 49.2500000000001,-48.5333328249999 49.2500000000001,-48.549999237 49.2500000000001,-48.566665649 49.2500000000001,-48.583332061 49.2500000000001,-48.599998474 49.2500000000001,-48.616664886 49.2500000000001,-48.633335114 49.2500000000001,-48.650001526 49.2500000000001,-48.6666679379999 49.2500000000001,-48.683334351 49.2500000000001,-48.7000007629999 49.2500000000001,-48.7166671749999 49.2500000000001,-48.7333335879999 49.2500000000001,-48.7499999999999 49.2500000000001,-48.7666664119999 49.2500000000001,-48.783332824 49.2500000000001,-48.799999237 49.2500000000001,-48.816665649 49.2500000000001,-48.833332062 49.2500000000001,-48.849998474 49.2500000000001,-48.866664886 49.2500000000001,-48.883335114 49.2500000000001,-48.900001526 49.2500000000001,-48.9166679379999 49.2500000000001,-48.933334351 49.2500000000001,-48.9500007629999 49.2500000000001,-48.9666671749999 49.2500000000001,-48.9833335869999 49.2500000000001,-48.9999999999999 49.2500000000001,-49.0166664119999 49.2500000000001,-49.0333328249999 49.2500000000001,-49.049999237 49.2500000000001,-49.066665649 49.2500000000001,-49.083332062 49.2500000000001,-49.099998474 49.2500000000001,-49.116664886 49.2500000000001,-49.133335114 49.2500000000001,-49.150001526 49.2500000000001,-49.1666679379999 49.2500000000001,-49.1833343499999 49.2500000000001,-49.2000007629999 49.2500000000001,-49.2166671749999 49.2500000000001,-49.2333335879999 49.2500000000001,-49.2499999999999 49.2500000000001,-49.2666664119999 49.2500000000001,-49.2833328249999 49.2500000000001,-49.299999237 49.2500000000001,-49.316665649 49.2500000000001,-49.333332062 49.2500000000001,-49.349998474 49.2500000000001,-49.366664886 49.2500000000001,-49.3833351129999 49.2500000000001,-49.400001526 49.2500000000001,-49.4166679379999 49.2500000000001,-49.433334351 49.2500000000001,-49.4500007629999 49.2500000000001,-49.4666671749999 49.2500000000001,-49.4833335879999 49.2500000000001,-49.4999999999999 49.2500000000001,-49.5166664119999 49.2500000000001,-49.5333328249999 49.2500000000001,-49.549999237 49.2500000000001,-49.566665649 49.2500000000001,-49.583332061 49.2500000000001,-49.599998474 49.2500000000001,-49.616664886 49.2500000000001,-49.633335114 49.2500000000001,-49.650001526 49.2500000000001,-49.6666679379999 49.2500000000001,-49.683334351 49.2500000000001,-49.7000007629999 49.2500000000001,-49.7166671749999 49.2500000000001,-49.7333335879999 49.2500000000001,-49.7499999999999 49.2500000000001,-49.7666664119999 49.2500000000001,-49.783332824 49.2500000000001,-49.799999237 49.2500000000001,-49.816665649 49.2500000000001,-49.833332062 49.2500000000001,-49.849998474 49.2500000000001,-49.866664886 49.2500000000001,-49.883335114 49.2500000000001,-49.900001526 49.2500000000001,-49.9166679379999 49.2500000000001,-49.933334351 49.2500000000001,-49.9500007629999 49.2500000000001,-49.9666671749999 49.2500000000001,-49.9833335869999 49.2500000000001,-49.9999999999999 49.2500000000001,-50.0166664119999 49.2500000000001,-50.0333328249999 49.2500000000001,-50.049999237 49.2500000000001,-50.066665649 49.2500000000001,-50.083332062 49.2500000000001,-50.099998474 49.2500000000001,-50.116664886 49.2500000000001,-50.1333351129999 49.2500000000001,-50.150001526 49.2500000000001,-50.1666679379999 49.2500000000001,-50.1833343499999 49.2500000000001,-50.2000007629999 49.2500000000001,-50.2166671749999 49.2500000000001,-50.2333335879999 49.2500000000001,-50.2499999999999 49.2500000000001,-50.2666664119999 49.2500000000001,-50.2833328249999 49.2500000000001,-50.299999237 49.2500000000001,-50.316665649 49.2500000000001,-50.333332062 49.2500000000001,-50.349998474 49.2500000000001,-50.366664886 49.2500000000001,-50.3833351129999 49.2500000000001,-50.4000015249999 49.2500000000001,-50.4166679379999 49.2500000000001,-50.433334351 49.2500000000001,-50.4500007629999 49.2500000000001,-50.4666671749999 49.2500000000001,-50.4833335879999 49.2500000000001,-50.4999999999999 49.2500000000001,-50.5166664119999 49.2500000000001,-50.5333328249999 49.2500000000001,-50.549999237 49.2500000000001,-50.566665649 49.2500000000001,-50.583332061 49.2500000000001,-50.599998474 49.2500000000001,-50.616664886 49.2500000000001,-50.633335114 49.2500000000001,-50.650001526 49.2500000000001,-50.6666679379999 49.2500000000001,-50.683334351 49.2500000000001,-50.7000007629999 49.2500000000001,-50.7166671749999 49.2500000000001,-50.7333335879999 49.2500000000001,-50.7499999999999 49.2500000000001,-50.7666664119999 49.2500000000001,-50.783332824 49.2500000000001,-50.799999237 49.2500000000001,-50.816665649 49.2500000000001,-50.833332062 49.2500000000001,-50.849998474 49.2500000000001,-50.866664886 49.2500000000001,-50.883335114 49.2500000000001,-50.900001526 49.2500000000001,-50.9166679379999 49.2500000000001,-50.9333343499999 49.2500000000001,-50.9500007629999 49.2500000000001,-50.9666671749999 49.2500000000001,-50.9833335869999 49.2500000000001,-50.9999999999999 49.2500000000001,-51.0166664119999 49.2500000000001,-51.0333328249999 49.2500000000001,-51.049999237 49.2500000000001,-51.066665649 49.2500000000001,-51.083332062 49.2500000000001,-51.099998474 49.2500000000001,-51.116664886 49.2500000000001,-51.1333351129999 49.2500000000001,-51.150001526 49.2500000000001,-51.1666679379999 49.2500000000001,-51.1833343499999 49.2500000000001,-51.2000007619999 49.2500000000001,-51.2166671749999 49.2500000000001,-51.2333335879999 49.2500000000001,-51.2499999999999 49.2500000000001,-51.2666664119999 49.2500000000001,-51.2833328249999 49.2500000000001,-51.299999237 49.2500000000001,-51.316665649 49.2500000000001,-51.333332062 49.2500000000001,-51.349998474 49.2500000000001,-51.366664886 49.2500000000001,-51.3833351129999 49.2500000000001,-51.4000015249999 49.2500000000001,-51.4166679379999 49.2500000000001,-51.433334351 49.2500000000001,-51.4500007629999 49.2500000000001,-51.4666671749999 49.2500000000001,-51.4833335879999 49.2500000000001,-51.4999999999999 49.2500000000001,-51.5166664119999 49.2500000000001,-51.5333328249999 49.2500000000001,-51.549999237 49.2500000000001,-51.566665649 49.2500000000001,-51.583332061 49.2500000000001,-51.599998474 49.2500000000001,-51.616664886 49.2500000000001,-51.633335114 49.2500000000001,-51.650001526 49.2500000000001,-51.6666679379999 49.2500000000001,-51.683334351 49.2500000000001,-51.7000007629999 49.2500000000001,-51.7166671749999 49.2500000000001,-51.7333335879999 49.2500000000001,-51.7499999999999 49.2500000000001,-51.7666664119999 49.2500000000001,-51.783332824 49.2500000000001,-51.799999237 49.2500000000001,-51.816665649 49.2500000000001,-51.833332062 49.2500000000001,-51.849998474 49.2500000000001,-51.866664886 49.2500000000001,-51.883335114 49.2500000000001,-51.900001526 49.2500000000001,-51.9166679379999 49.2500000000001,-51.9333343499999 49.2500000000001,-51.9500007629999 49.2500000000001,-51.9666671749999 49.2500000000001,-51.9833335869999 49.2500000000001,-51.9999999999999 49.2500000000001,-52.0166664119999 49.2500000000001,-52.0333328249999 49.2500000000001,-52.049999237 49.2500000000001,-52.066665649 49.2500000000001,-52.083332062 49.2500000000001,-52.099998474 49.2500000000001,-52.116664886 49.2500000000001,-52.133335113 49.2500000000001,-52.150001526 49.2500000000001,-52.1666679379999 49.2500000000001,-52.1833343499999 49.2500000000001,-52.2000007629999 49.2500000000001,-52.2166671749999 49.2500000000001,-52.2333335879999 49.2500000000001,-52.2499999999999 49.2500000000001,-52.2666664119999 49.2500000000001,-52.2833328249999 49.2500000000001,-52.299999237 49.2500000000001,-52.316665649 49.2500000000001,-52.333332062 49.2500000000001,-52.349998474 49.2500000000001,-52.366664886 49.2500000000001,-52.383335113 49.2500000000001,-52.400001526 49.2500000000001,-52.4166679379999 49.2500000000001,-52.433334351 49.2500000000001,-52.4500007629999 49.2500000000001,-52.4666671749999 49.2500000000001,-52.4833335879999 49.2500000000001,-52.4999999999999 49.2500000000001,-52.5166664119999 49.2500000000001,-52.5333328249999 49.2500000000001,-52.549999237 49.2500000000001,-52.566665649 49.2500000000001,-52.583332061 49.2500000000001,-52.599998474 49.2500000000001,-52.616664886 49.2500000000001,-52.633335114 49.2500000000001,-52.650001526 49.2500000000001,-52.6666679379999 49.2500000000001,-52.683334351 49.2500000000001,-52.7000007629999 49.2500000000001,-52.7166671749999 49.2500000000001,-52.7333335869999 49.2500000000001,-52.7499999999999 49.2500000000001,-52.7666664119999 49.2500000000001,-52.783332824 49.2500000000001,-52.799999237 49.2500000000001,-52.816665649 49.2500000000001,-52.833332062 49.2500000000001,-52.849998474 49.2500000000001,-52.866664886 49.2500000000001,-52.883335114 49.2500000000001,-52.900001526 49.2500000000001,-52.9166679379999 49.2500000000001,-52.9333343499999 49.2500000000001,-52.9500007629999 49.2500000000001,-52.9666671749999 49.2500000000001,-52.9833335869999 49.2500000000001,-52.9999999999999 49.2500000000001,-53.0166664119999 49.2500000000001,-53.0333328249999 49.2500000000001,-53.049999237 49.2500000000001,-53.066665649 49.2500000000001,-53.083332062 49.2500000000001,-53.099998474 49.2500000000001,-53.116664886 49.2500000000001,-53.133335113 49.2500000000001,-53.150001526 49.2500000000001,-53.1666679379999 49.2500000000001,-53.1833343499999 49.2500000000001,-53.2000007629999 49.2500000000001,-53.2166671749999 49.2500000000001,-53.2333335879999 49.2500000000001,-53.2499999999999 49.2500000000001,-53.2666664119999 49.2500000000001,-53.2833328249999 49.2500000000001,-53.299999237 49.2500000000001,-53.316665649 49.2500000000001,-53.333332062 49.2500000000001,-53.349998474 49.2500000000001,-53.366664886 49.2500000000001,-53.383335113 49.2500000000001,-53.400001526 49.2500000000001,-53.4166679379999 49.2500000000001,-53.433334351 49.2500000000001,-53.4500007629999 49.2500000000001,-53.4666671749999 49.2500000000001,-53.4697914119999 49.2500000000001,-53.4999999999999 49.2500000000001,-53.560890413 49.233086024,-53.830240751 49.158266606,-54.6272674209999 48.9368706670001,-54.916744232 48.8564605720001,-55.68755722 48.642345429,-56.3053363889999 48.470740189,-57.056595091 48.2620573200001,-57.9999999999999 48.0000000000001,-57.322929382 49.2789115900001,-56.948619843 49.985939026,-56.5743103029999 50.692970276,-56.2000007629999 51.400001526,-55.599998474 51.400001526,-55.549999237 51.560001373,-55.481273975 51.5636737240001,-55.4500007629999 51.569999695,-55.440834045 51.5800018310001,-55.4391937249999 51.5824737550001,-55.436857554 51.5993975690001,-55.4372625409999 51.6234942660001,-55.428960317 51.6301765430001,-55.427160847 51.6297980040001,-55.4222221369999 51.6287590910001,-55.4222221369999 51.666667939,-55.4222221369999 51.683334351,-55.4222221369999 51.700000763,-55.4222221369999 51.7166671750001,-55.4222221369999 51.7333335880001,-55.4222221369999 51.7500000000001,-55.4222221369999 51.7666664120001,-55.4222221369999 51.7833328250001,-55.4222221369999 51.7999992370001,-55.4222221369999 51.8166656490001,-55.4222221369999 51.8333320610001,-55.4222221369999 51.8499984740001,-55.4222221369999 51.8666648870001,-55.4222221369999 51.883335114,-55.4222221369999 51.900001526,-55.4222221369999 51.916667938,-55.4222221369999 51.933334351,-55.4222221369999 51.950000763,-55.4222221369999 51.9666671750001,-55.4222221369999 51.9833335870001,-55.4222221369999 52.0000000000001,-55.4222221369999 52.0166664120001,-55.4222221369999 52.0333328240001,-55.4222221369999 52.0499992370001,-55.4222221369999 52.0666656500001,-55.4222221369999 52.0833320620001,-55.4222221369999 52.0999984740001,-55.4222221369999 52.1166648870001,-55.4222221369999 52.133335114,-55.4222221369999 52.150001526,-55.4222221369999 52.166667938,-55.4222221369999 52.1833343500001,-55.4222221369999 52.200000763,-55.4222221369999 52.2166671750001,-55.4222221369999 52.2333335870001,-55.4222221369999 52.2500000000001,-55.416667939 52.2500000000001,-55.400001526 52.2500000000001,-55.383335114 52.2500000000001,-55.366664886 52.2500000000001,-55.349998474 52.2500000000001,-55.333332061 52.2500000000001,-55.316665649 52.2500000000001,-55.299999237 52.2500000000001,-55.2833328249999 52.2500000000001,-55.2666664119999 52.2500000000001,-55.2499999999999 52.2500000000001,-55.2333335879999 52.2500000000001,-55.216667176 52.2500000000001,-55.2000007629999 52.2500000000001,-55.183334351 52.2500000000001,-55.1666679379999 52.2500000000001,-55.150001526 52.2500000000001,-55.133335113 52.2500000000001,-55.116664886 52.2500000000001,-55.099998474 52.2500000000001,-55.083332062 52.2500000000001,-55.066665649 52.2500000000001,-55.049999237 52.2500000000001,-55.0333328249999 52.2500000000001,-55.0166664129999 52.2500000000001,-54.9999999999999 52.2500000000001,-54.9833335879999 52.2500000000001,-54.9666671749999 52.2500000000001,-54.9500007629999 52.2500000000001,-54.9333343499999 52.2500000000001,-54.9166679379999 52.2500000000001,-54.900001526 52.2500000000001,-54.883335114 52.2500000000001,-54.866664887 52.2500000000001,-54.849998474 52.2500000000001,-54.833332062 52.2500000000001,-54.8166656499999 52.2500000000001,-54.799999237 52.2500000000001,-54.7833328249999 52.2500000000001,-54.7666664119999 52.2500000000001,-54.7499999999999 52.2500000000001,-54.7333335869999 52.2500000000001,-54.7166671749999 52.2500000000001,-54.7000007629999 52.2500000000001,-54.683334351 52.2500000000001,-54.6666679379999 52.2500000000001,-54.650001526 52.2500000000001,-54.633335114 52.2500000000001,-54.616664887 52.2500000000001,-54.5999984749999 52.2500000000001,-54.583332062 52.2500000000001,-54.566665649 52.2500000000001,-54.549999237 52.2500000000001,-54.533332824 52.2500000000001,-54.5166664119999 52.2500000000001,-54.4999999999999 52.2500000000001,-54.4833335879999 52.2500000000001,-54.4666671749999 52.2500000000001,-54.4500007629999 52.2500000000001,-54.433334351 52.2500000000001,-54.416667939 52.2500000000001,-54.400001526 52.2500000000001,-54.383335113 52.2500000000001,-54.366664886 52.2500000000001,-54.349998474 52.2500000000001,-54.333332062 52.2500000000001,-54.316665649 52.2500000000001,-54.299999237 52.2500000000001,-54.2833328249999 52.2500000000001,-54.2666664119999 52.2500000000001,-54.2499999999999 52.2500000000001,-54.2333335879999 52.2500000000001,-54.216667176 52.2500000000001,-54.2000007629999 52.2500000000001,-54.1833343499999 52.2500000000001,-54.1666679379999 52.2500000000001,-54.150001526 52.2500000000001,-54.133335113 52.2500000000001,-54.116664886 52.2500000000001,-54.099998474 52.2500000000001,-54.083332062 52.2500000000001,-54.0666656499999 52.2500000000001,-54.049999237 52.2500000000001,-54.0333328249999 52.2500000000001,-54.0166664129999 52.2500000000001,-53.9999999999999 52.2500000000001,-53.9833335869999 52.2500000000001,-53.9666671749999 52.2500000000001,-53.9500007629999 52.2500000000001,-53.9333343499999 52.2500000000001,-53.9166679379999 52.2500000000001,-53.900001526 52.2500000000001,-53.883335114 52.2500000000001,-53.866664887 52.2500000000001,-53.849998474 52.2500000000001,-53.833332062 52.2500000000001,-53.8166656499999 52.2500000000001,-53.7999992379999 52.2500000000001,-53.783332824 52.2500000000001,-53.7666664119999 52.2500000000001,-53.7499999999999 52.2500000000001,-53.7333335869999 52.2500000000001,-53.7166671749999 52.2500000000001,-53.7000007629999 52.2500000000001,-53.683334351 52.2500000000001,-53.6666679379999 52.2500000000001,-53.650001526 52.2500000000001,-53.633335114 52.2500000000001,-53.616664887 52.2500000000001,-53.5999984749999 52.2500000000001,-53.583332062 52.2500000000001,-53.566665649 52.2500000000001,-53.549999237 52.2500000000001,-53.533332824 52.2500000000001,-53.5166664119999 52.2500000000001,-53.4999999999999 52.2500000000001,-53.4833335879999 52.2500000000001,-53.4666671749999 52.2500000000001,-53.4500007629999 52.2500000000001,-53.433334351 52.2500000000001,-53.416667939 52.2500000000001,-53.400001526 52.2500000000001,-53.383335113 52.2500000000001,-53.366664886 52.2500000000001,-53.349998474 52.2500000000001,-53.333332062 52.2500000000001,-53.316665649 52.2500000000001,-53.299999237 52.2500000000001,-53.2833328249999 52.2500000000001,-53.2666664119999 52.2500000000001,-53.2499999999999 52.2500000000001,-53.2333335879999 52.2500000000001,-53.2166671759999 52.2500000000001,-53.2000007629999 52.2500000000001,-53.1833343499999 52.2500000000001,-53.1666679379999 52.2500000000001,-53.150001526 52.2500000000001,-53.133335113 52.2500000000001,-53.116664886 52.2500000000001,-53.099998474 52.2500000000001,-53.083332062 52.2500000000001,-53.0666656499999 52.2500000000001,-53.049999237 52.2500000000001,-53.0333328249999 52.2500000000001,-53.0166664129999 52.2500000000001,-52.9999999999999 52.2500000000001,-52.9833335869999 52.2500000000001,-52.9666671749999 52.2500000000001,-52.9500007629999 52.2500000000001,-52.9333343499999 52.2500000000001,-52.9166679379999 52.2500000000001,-52.900001526 52.2500000000001,-52.883335114 52.2500000000001,-52.866664887 52.2500000000001,-52.849998474 52.2500000000001,-52.833332062 52.2500000000001,-52.8166656499999 52.2500000000001,-52.799999237 52.2500000000001,-52.783332824 52.2500000000001,-52.7666664119999 52.2500000000001,-52.7499999999999 52.2500000000001,-52.7333335869999 52.2500000000001,-52.7166671749999 52.2500000000001,-52.7000007629999 52.2500000000001,-52.683334351 52.2500000000001,-52.6666679379999 52.2500000000001,-52.650001526 52.2500000000001,-52.633335114 52.2500000000001,-52.616664887 52.2500000000001,-52.599998474 52.2500000000001,-52.583332061 52.2500000000001,-52.566665649 52.2500000000001,-52.549999237 52.2500000000001,-52.5333328249999 52.2500000000001,-52.5166664119999 52.2500000000001,-52.4999999999999 52.2500000000001,-52.4833335879999 52.2500000000001,-52.4666671749999 52.2500000000001,-52.4500007629999 52.2500000000001,-52.433334351 52.2500000000001,-52.416667939 52.2500000000001,-52.400001526 52.2500000000001,-52.383335113 52.2500000000001,-52.366664886 52.2500000000001,-52.349998474 52.2500000000001,-52.333332062 52.2500000000001,-52.316665649 52.2500000000001,-52.299999237 52.2500000000001,-52.2833328249999 52.2500000000001,-52.2666664129999 52.2500000000001,-52.2499999999999 52.2500000000001,-52.2333335879999 52.2500000000001,-52.2166671759999 52.2500000000001,-52.2000007629999 52.2500000000001,-52.1833343499999 52.2500000000001,-52.1666679379999 52.2500000000001,-52.150001526 52.2500000000001,-52.133335113 52.2500000000001,-52.116664886 52.2500000000001,-52.099998474 52.2500000000001,-52.083332062 52.2500000000001,-52.0666656499999 52.2500000000001,-52.049999237 52.2500000000001,-52.0333328249999 52.2500000000001,-52.0166664129999 52.2500000000001,-51.9999999999999 52.2500000000001,-51.9833335869999 52.2500000000001,-51.9666671749999 52.2500000000001,-51.9500007629999 52.2500000000001,-51.9333343499999 52.2500000000001,-51.9166679379999 52.2500000000001,-51.900001526 52.2500000000001,-51.883335114 52.2500000000001,-51.866664887 52.2500000000001,-51.849998474 52.2500000000001,-51.833332062 52.2500000000001,-51.8166656499999 52.2500000000001,-51.799999237 52.2500000000001,-51.783332824 52.2500000000001,-51.7666664119999 52.2500000000001,-51.7499999999999 52.2500000000001,-51.7333335879999 52.2500000000001,-51.7166671749999 52.2500000000001,-51.7000007629999 52.2500000000001,-51.683334351 52.2500000000001,-51.6666679379999 52.2500000000001,-51.650001526 52.2500000000001,-51.633335114 52.2500000000001,-51.616664887 52.2500000000001,-51.599998474 52.2500000000001,-51.583332061 52.2500000000001,-51.566665649 52.2500000000001,-51.549999237 52.2500000000001,-51.5333328249999 52.2500000000001,-51.5166664119999 52.2500000000001,-51.4999999999999 52.2500000000001,-51.4833335879999 52.2500000000001,-51.4666671759999 52.2500000000001,-51.4500007629999 52.2500000000001,-51.433334351 52.2500000000001,-51.4166679379999 52.2500000000001,-51.4000015249999 52.2500000000001,-51.3833351129999 52.2500000000001,-51.366664886 52.2500000000001,-51.349998474 52.2500000000001,-51.333332062 52.2500000000001,-51.316665649 52.2500000000001,-51.299999237 52.2500000000001,-51.2833328249999 52.2500000000001,-51.2666664129999 52.2500000000001,-51.2499999999999 52.2500000000001,-51.2333335879999 52.2500000000001,-51.2166671759999 52.2500000000001,-51.2000007619999 52.2500000000001,-51.1833343499999 52.2500000000001,-51.1666679379999 52.2500000000001,-51.150001526 52.2500000000001,-51.1333351129999 52.2500000000001,-51.116664886 52.2500000000001,-51.099998474 52.2500000000001,-51.083332062 52.2500000000001,-51.0666656499999 52.2500000000001,-51.049999237 52.2500000000001,-51.0333328249999 52.2500000000001,-51.0166664129999 52.2500000000001,-50.9999999999999 52.2500000000001,-50.9833335869999 52.2500000000001,-50.9666671749999 52.2500000000001,-50.9500007629999 52.2500000000001,-50.9333343499999 52.2500000000001,-50.9166679379999 52.2500000000001,-50.900001526 52.2500000000001,-50.883335114 52.2500000000001,-50.866664887 52.2500000000001,-50.849998474 52.2500000000001,-50.833332062 52.2500000000001,-50.8166656499999 52.2500000000001,-50.799999237 52.2500000000001,-50.783332824 52.2500000000001,-50.7666664119999 52.2500000000001,-50.7499999999999 52.2500000000001,-50.7333335879999 52.2500000000001,-50.7166671749999 52.2500000000001,-50.7000007629999 52.2500000000001,-50.683334351 52.2500000000001,-50.6666679379999 52.2500000000001,-50.650001526 52.2500000000001,-50.633335114 52.2500000000001,-50.616664887 52.2500000000001,-50.599998474 52.2500000000001,-50.583332061 52.2500000000001,-50.566665649 52.2500000000001,-50.549999237 52.2500000000001,-50.5333328249999 52.2500000000001,-50.5166664119999 52.2500000000001,-50.4999999999999 52.2500000000001,-50.4833335879999 52.2500000000001,-50.4666671759999 52.2500000000001,-50.4500007629999 52.2500000000001,-50.433334351 52.2500000000001,-50.4166679379999 52.2500000000001,-50.4000015249999 52.2500000000001,-50.3833351129999 52.2500000000001,-50.366664886 52.2500000000001,-50.349998474 52.2500000000001,-50.333332062 52.2500000000001,-50.316665649 52.2500000000001,-50.299999237 52.2500000000001,-50.2833328249999 52.2500000000001,-50.2666664129999 52.2500000000001,-50.2499999999999 52.2500000000001,-50.2333335879999 52.2500000000001,-50.2166671749999 52.2500000000001,-50.2000007629999 52.2500000000001,-50.1833343499999 52.2500000000001,-50.1666679379999 52.2500000000001,-50.150001526 52.2500000000001,-50.1333351129999 52.2500000000001,-50.116664886 52.2500000000001,-50.099998474 52.2500000000001,-50.083332062 52.2500000000001,-50.0666656499999 52.2500000000001,-50.049999237 52.2500000000001,-50.0333328249999 52.2500000000001,-50.0166664119999 52.2500000000001,-49.9999999999999 52.2500000000001,-49.9833335869999 52.2500000000001,-49.9666671749999 52.2500000000001,-49.9500007629999 52.2500000000001,-49.933334351 52.2500000000001,-49.9166679379999 52.2500000000001,-49.900001526 52.2500000000001,-49.883335114 52.2500000000001,-49.866664887 52.2500000000001,-49.849998474 52.2500000000001,-49.833332062 52.2500000000001,-49.816665649 52.2500000000001,-49.799999237 52.2500000000001,-49.783332824 52.2500000000001,-49.7666664119999 52.2500000000001,-49.7499999999999 52.2500000000001,-49.7333335879999 52.2500000000001,-49.7166671749999 52.2500000000001,-49.7000007629999 52.2500000000001,-49.683334351 52.2500000000001,-49.666667939 52.2500000000001,-49.650001526 52.2500000000001,-49.633335114 52.2500000000001,-49.616664887 52.2500000000001,-49.599998474 52.2500000000001,-49.583332061 52.2500000000001,-49.566665649 52.2500000000001,-49.549999237 52.2500000000001,-49.5333328249999 52.2500000000001,-49.5166664119999 52.2500000000001,-49.4999999999999 52.2500000000001,-49.4833335879999 52.2500000000001,-49.4666671759999 52.2500000000001,-49.4500007629999 52.2500000000001,-49.433334351 52.2500000000001,-49.4166679379999 52.2500000000001,-49.400001526 52.2500000000001,-49.3833351129999 52.2500000000001,-49.366664886 52.2500000000001,-49.349998474 52.2500000000001,-49.333332062 52.2500000000001,-49.316665649 52.2500000000001,-49.299999237 52.2500000000001,-49.2833328249999 52.2500000000001,-49.2666664129999 52.2500000000001,-49.2499999999999 52.2500000000001,-49.2333335879999 52.2500000000001,-49.2166671749999 52.2500000000001,-49.2000007629999 52.2500000000001,-49.1833343499999 52.2500000000001,-49.1666679379999 52.2500000000001,-49.150001526 52.2500000000001,-49.133335114 52.2500000000001,-49.116664886 52.2500000000001,-49.099998474 52.2500000000001,-49.083332062 52.2500000000001,-49.0666656499999 52.2500000000001,-49.049999237 52.2500000000001,-49.0333328249999 52.2500000000001,-49.0166664119999 52.2500000000001,-48.9999999999999 52.2500000000001,-48.9833335869999 52.2500000000001,-48.9666671749999 52.2500000000001,-48.9500007629999 52.2500000000001,-48.933334351 52.2500000000001,-48.9166679379999 52.2500000000001,-48.900001526 52.2500000000001,-48.883335114 52.2500000000001,-48.866664887 52.2500000000001,-48.849998474 52.2500000000001,-48.833332062 52.2500000000001,-48.816665649 52.2500000000001,-48.799999237 52.2500000000001,-48.783332824 52.2500000000001,-48.7666664119999 52.2500000000001,-48.7499999999999 52.2500000000001,-48.7333335879999 52.2500000000001,-48.7166671749999 52.2500000000001,-48.7000007629999 52.2500000000001,-48.683334351 52.2500000000001,-48.666667939 52.2500000000001,-48.650001526 52.2500000000001,-48.633335114 52.2500000000001,-48.616664886 52.2500000000001,-48.599998474 52.2500000000001,-48.583332061 52.2500000000001,-48.566665649 52.2500000000001,-48.549999237 52.2500000000001,-48.5333328249999 52.2500000000001,-48.5166664119999 52.2500000000001,-48.4999999999999 52.2500000000001,-48.4833335879999 52.2500000000001,-48.4666671759999 52.2500000000001,-48.4500007629999 52.2500000000001,-48.433334351 52.2500000000001,-48.4166679379999 52.2500000000001,-48.400001526 52.2500000000001,-48.3833351129999 52.2500000000001,-48.366664886 52.2500000000001,-48.349998474 52.2500000000001,-48.333332062 52.2500000000001,-48.316665649 52.2500000000001,-48.299999237 52.2500000000001,-48.2833328249999 52.2500000000001,-48.2666664129999 52.2500000000001,-48.2499999999999 52.2500000000001,-48.2333335879999 52.2500000000001,-48.2166671749999 52.2500000000001,-48.2000007629999 52.2500000000001,-48.1833343499999 52.2500000000001,-48.1666679379999 52.2500000000001,-48.150001526 52.2500000000001,-48.133335114 52.2500000000001,-48.116664887 52.2500000000001,-48.099998474 52.2500000000001,-48.083332062 52.2500000000001,-48.0666656499999 52.2500000000001,-48.049999237 52.2500000000001,-48.0333328249999 52.2500000000001,-48.0166664119999 52.2500000000001,-47.9999999999999 52.2500000000001,-47.9833335869999 52.2500000000001,-47.9666671749999 52.2500000000001,-47.9500007629999 52.2500000000001,-47.933334351 52.2500000000001,-47.9166679379999 52.2500000000001,-47.900001526 52.2500000000001,-47.883335114 52.2500000000001,-47.866664887 52.2500000000001,-47.8499984749999 52.2500000000001,-47.833332062 52.2500000000001,-47.816665649 52.2500000000001,-47.799999237 52.2500000000001,-47.783332824 52.2500000000001,-47.7666664119999 52.2500000000001,-47.7499999999999 52.2500000000001,-47.7333335879999 52.2500000000001,-47.7166671749999 52.2500000000001,-47.7000007629999 52.2500000000001,-47.683334351 52.2500000000001,-47.666667939 52.2500000000001,-47.650001526 52.2500000000001,-47.6333351129999 52.2500000000001,-47.616664886 52.2500000000001,-47.599998474 52.2500000000001,-47.583332062 52.2500000000001,-47.566665649 52.2500000000001,-47.549999237 52.2500000000001,-47.5333328249999 52.2500000000001,-47.5166664119999 52.2500000000001,-47.4999999999999 52.2500000000001,-47.4833335879999 52.2500000000001,-47.4666671759999 52.2500000000001,-47.4500007629999 52.2500000000001,-47.4333343499999 52.2500000000001,-47.4166679379999 52.2500000000001,-47.400001526 52.2500000000001,-47.3833351129999 52.2500000000001,-47.366664886 52.2500000000001,-47.349998474 52.2500000000001,-47.333332062 52.2500000000001,-47.3166656499999 52.2500000000001,-47.299999237 52.2500000000001,-47.2833328249999 52.2500000000001,-47.2666664129999 52.2500000000001,-47.2499999999999 52.2500000000001,-47.2333335869999 52.2500000000001,-47.2166671749999 52.2500000000001,-47.2000007629999 52.2500000000001,-47.1833343499999 52.2500000000001,-47.1666679379999 52.2500000000001,-47.150001526 52.2500000000001,-47.133335114 52.2500000000001,-47.116664887 52.2500000000001,-47.099998474 52.2500000000001,-47.083332062 52.2500000000001,-47.0666656499999 52.2500000000001,-47.049999237 52.2500000000001,-47.0333328249999 52.2500000000001,-47.0166664119999 52.2500000000001,-46.9999999999999 52.2500000000001,-46.9833335869999 52.2500000000001,-46.9666671749999 52.2500000000001,-46.9500007629999 52.2500000000001,-46.933334351 52.2500000000001,-46.9166679379999 52.2500000000001,-46.900001526 52.2500000000001,-46.883335114 52.2500000000001,-46.866664887 52.2500000000001,-46.8499984749999 52.2500000000001,-46.833332062 52.2500000000001,-46.816665649 52.2500000000001,-46.799999237 52.2500000000001,-46.783332824 52.2500000000001,-46.7666664119999 52.2500000000001,-46.7499999999999 52.2500000000001,-46.7333335879999 52.2500000000001,-46.7166671749999 52.2500000000001,-46.7000007629999 52.2500000000001,-46.683334351 52.2500000000001,-46.666667939 52.2500000000001,-46.650001526 52.2500000000001,-46.6333351129999 52.2500000000001,-46.616664886 52.2500000000001,-46.599998474 52.2500000000001,-46.583332062 52.2500000000001,-46.566665649 52.2500000000001,-46.549999237 52.2500000000001,-46.5333328249999 52.2500000000001,-46.5166664119999 52.2500000000001,-46.4999999999999 52.2500000000001,-46.4833335879999 52.2500000000001,-46.4666671759999 52.2500000000001,-46.4500007629999 52.2500000000001,-46.4333343499999 52.2500000000001,-46.4166679379999 52.2500000000001,-46.400001526 52.2500000000001,-46.3833351129999 52.2500000000001,-46.366664886 52.2500000000001,-46.349998474 52.2500000000001,-46.333332062 52.2500000000001,-46.3166656499999 52.2500000000001,-46.299999237 52.2500000000001,-46.2833328249999 52.2500000000001,-46.2666664129999 52.2500000000001,-46.2499999999999 52.2500000000001,-46.2333335869999 52.2500000000001,-46.2166671749999 52.2500000000001,-46.2000007629999 52.2500000000001,-46.1833343499999 52.2500000000001,-46.1666679379999 52.2500000000001,-46.150001526 52.2500000000001,-46.133335114 52.2500000000001,-46.116664887 52.2500000000001,-46.099998474 52.2500000000001,-46.083332062 52.2500000000001,-46.0666656499999 52.2500000000001,-46.049999237 52.2500000000001,-46.033332824 52.2500000000001,-46.0166664119999 52.2500000000001,-45.9999999999999 52.2500000000001,-45.9833335869999 52.2500000000001,-45.9666671749999 52.2500000000001,-45.9500007629999 52.2500000000001,-45.933334351 52.2500000000001,-45.9166679379999 52.2500000000001,-45.900001526 52.2500000000001,-45.883335114 52.2500000000001,-45.866664887 52.2500000000001,-45.849998474 52.2500000000001,-45.833332061 52.2500000000001,-45.816665649 52.2500000000001,-45.799999237 52.2500000000001,-45.7833328249999 52.2500000000001,-45.7666664119999 52.2500000000001,-45.7499999999999 52.2500000000001,-45.7333335879999 52.2500000000001,-45.7166671749999 52.2500000000001,-45.7000007629999 52.2500000000001,-45.683334351 52.2500000000001,-45.666667939 52.2500000000001,-45.650001526 52.2500000000001,-45.6333351129999 52.2500000000001,-45.616664886 52.2500000000001,-45.599998474 52.2500000000001,-45.583332062 52.2500000000001,-45.566665649 52.2500000000001,-45.549999237 52.2500000000001,-45.5333328249999 52.2500000000001,-45.5166664129999 52.2500000000001,-45.4999999999999 52.2500000000001,-45.4833335879999 52.2500000000001,-45.4666671759999 52.2500000000001,-45.4500007629999 52.2500000000001,-45.4333343499999 52.2500000000001,-45.4166679379999 52.2500000000001,-45.400001526 52.2500000000001,-45.3833351129999 52.2500000000001,-45.366664886 52.2500000000001,-45.349998474 52.2500000000001,-45.333332062 52.2500000000001,-45.3166656499999 52.2500000000001,-45.299999237 52.2500000000001,-45.2833328249999 52.2500000000001,-45.2666664129999 52.2500000000001,-45.2499999999999 52.2500000000001,-45.2333335869999 52.2500000000001,-45.2166671749999 52.2500000000001,-45.2000007629999 52.2500000000001,-45.1833343499999 52.2500000000001,-45.1666679379999 52.2500000000001,-45.150001526 52.2500000000001,-45.133335114 52.2500000000001,-45.116664887 52.2500000000001,-45.099998474 52.2500000000001,-45.083332062 52.2500000000001,-45.0666656499999 52.2500000000001,-45.049999237 52.2500000000001,-45.033332824 52.2500000000001,-45.0166664119999 52.2500000000001,-44.9999999999999 52.2500000000001,-44.9833335879999 52.2500000000001,-44.9666671749999 52.2500000000001,-44.9500007629999 52.2500000000001,-44.933334351 52.2500000000001,-44.9166679379999 52.2500000000001,-44.900001526 52.2500000000001,-44.883335114 52.2500000000001,-44.866664887 52.2500000000001,-44.849998474 52.2500000000001,-44.833332061 52.2500000000001,-44.816665649 52.2500000000001,-44.799999237 52.2500000000001,-44.7833328249999 52.2500000000001,-44.7666664119999 52.2500000000001,-44.7499999999999 52.2500000000001,-44.7333335879999 52.2500000000001,-44.7166671749999 52.2500000000001,-44.7000007629999 52.2500000000001,-44.683334351 52.2500000000001,-44.666667939 52.2500000000001,-44.6500015249999 52.2500000000001,-44.6333351129999 52.2500000000001,-44.616664886 52.2500000000001,-44.599998474 52.2500000000001,-44.583332062 52.2500000000001,-44.566665649 52.2500000000001,-44.549999237 52.2500000000001,-44.5333328249999 52.2500000000001,-44.5166664129999 52.2500000000001,-44.4999999999999 52.2500000000001,-44.4833335879999 52.2500000000001,-44.4666671759999 52.2500000000001,-44.4500007629999 52.2500000000001,-44.4333343499999 52.2500000000001,-44.4166679379999 52.2500000000001,-44.400001526 52.2500000000001,-44.3833351129999 52.2500000000001,-44.366664886 52.2500000000001,-44.349998474 52.2500000000001,-44.333332062 52.2500000000001,-44.3166656499999 52.2500000000001,-44.299999237 52.2500000000001,-44.2833328249999 52.2500000000001,-44.2666664129999 52.2500000000001,-44.2499999999999 52.2500000000001,-44.2333335869999 52.2500000000001,-44.2166671749999 52.2500000000001,-44.2000007629999 52.2500000000001,-44.1833343499999 52.2500000000001,-44.1666679379999 52.2500000000001,-44.150001526 52.2500000000001,-44.133335114 52.2500000000001,-44.116664887 52.2500000000001,-44.099998474 52.2500000000001,-44.083332062 52.2500000000001,-44.0666656499999 52.2500000000001,-44.049999237 52.2500000000001,-44.033332824 52.2500000000001,-44.0166664119999 52.2500000000001,-43.9999999999999 52.2500000000001,-43.9833335879999 52.2500000000001,-43.9666671749999 52.2500000000001,-43.9500007629999 52.2500000000001,-43.933334351 52.2500000000001,-43.9166679379999 52.2500000000001,-43.900001526 52.2500000000001,-43.883335114 52.2500000000001,-43.866664887 52.2500000000001,-43.849998474 52.2500000000001,-43.833332061 52.2500000000001,-43.816665649 52.2500000000001,-43.799999237 52.2500000000001,-43.7833328249999 52.2500000000001,-43.7666664119999 52.2500000000001,-43.7499999999999 52.2500000000001,-43.7333335879999 52.2500000000001,-43.7166671759999 52.2500000000001,-43.7000007629999 52.2500000000001,-43.683334351 52.2500000000001,-43.6666679379999 52.2500000000001,-43.6500015249999 52.2500000000001,-43.6333351129999 52.2500000000001,-43.616664886 52.2500000000001,-43.599998474 52.2500000000001,-43.583332062 52.2500000000001,-43.566665649 52.2500000000001,-43.549999237 52.2500000000001,-43.5333328249999 52.2500000000001,-43.5166664129999 52.2500000000001,-43.4999999999999 52.2500000000001,-43.4833335879999 52.2500000000001,-43.4666671749999 52.2500000000001,-43.4500007629999 52.2500000000001,-43.4333343499999 52.2500000000001,-43.4166679379999 52.2500000000001,-43.400001526 52.2500000000001,-43.3833351129999 52.2500000000001,-43.366664886 52.2500000000001,-43.349998474 52.2500000000001,-43.333332062 52.2500000000001,-43.3166656499999 52.2500000000001,-43.299999237 52.2500000000001,-43.2833328249999 52.2500000000001,-43.2666664119999 52.2500000000001,-43.2499999999999 52.2500000000001,-43.2333335869999 52.2500000000001,-43.2166671749999 52.2500000000001,-43.2000007629999 52.2500000000001,-43.183334351 52.2500000000001,-43.1666679379999 52.2500000000001,-43.150001526 52.2500000000001,-43.133335114 52.2500000000001,-43.116664887 52.2500000000001,-43.099998474 52.2500000000001,-43.083332062 52.2500000000001,-43.066665649 52.2500000000001,-43.049999237 52.2500000000001,-43.033332824 52.2500000000001,-43.0166664119999 52.2500000000001,-42.9999999999999 52.2500000000001,-42.9833335879999 52.2500000000001,-42.9666671749999 52.2500000000001,-42.9500007629999 52.2500000000001,-42.933334351 52.2500000000001,-42.916667939 52.2500000000001,-42.900001526 52.2500000000001,-42.883335114 52.2500000000001,-42.866664887 52.2500000000001,-42.849998474 52.2500000000001,-42.833332061 52.2500000000001,-42.816665649 52.2500000000001,-42.799999237 52.2500000000001,-42.7833328249999 52.2500000000001,-42.7666664119999 52.2500000000001,-42.7499999999999 52.2500000000001,-42.7333335879999 52.2500000000001,-42.7166671759999 52.2500000000001,-42.7000007629999 52.2500000000001,-42.683334351 52.2500000000001,-42.6666679379999 52.2500000000001,-42.650001526 52.2500000000001,-42.6333351129999 52.2500000000001,-42.616664886 52.2500000000001,-42.599998474 52.2500000000001,-42.583332062 52.2500000000001,-42.566665649 52.2500000000001,-42.549999237 52.2500000000001,-42.5333328249999 52.2500000000001,-42.5166664129999 52.2500000000001,-42.4999999999999 52.2500000000001,-42.4833335879999 52.2500000000001,-42.4666671749999 52.2500000000001,-42.4500007629999 52.2500000000001,-42.4333343499999 52.2500000000001,-42.4166679379999 52.2500000000001,-42.400001526 52.2500000000001,-42.3833351129999 52.2500000000001,-42.366664886 52.2500000000001,-42.349998474 52.2500000000001,-42.333332062 52.2500000000001,-42.3166656499999 52.2500000000001,-42.299999237 52.2500000000001,-42.2833328249999 52.2500000000001,-42.2666664119999 52.2500000000001,-42.2499999999999 52.2500000000001,-42.2333335869999 52.2500000000001,-42.2166671749999 52.2500000000001,-42.2000007629999 52.2500000000001,-42.183334351 52.2500000000001,-42.1666679379999 52.2500000000001,-42.150001526 52.2500000000001,-42.133335114 52.2500000000001,-42.116664887 52.2500000000001,-42.099998474 52.2500000000001,-42.083332062 52.2500000000001,-42.066665649 52.2500000000001,-42.049999237 52.2500000000001,-42.033332824 52.2500000000001,-42.0166664119999 52.2500000000001,-41.9999999999999 52.2500000000001,-41.9999999999999 52.2333335870001,-41.9999999999999 52.2166671750001,-41.9999999999999 52.200000763,-41.9999999999999 52.1833343500001,-41.9999999999999 52.166667938,-41.9999999999999 52.150001526,-41.9999999999999 52.133335114,-41.9999999999999 52.1166648870001,-41.9999999999999 52.0999984740001,-41.9999999999999 52.0833320620001,-41.9999999999999 52.0666656500001,-41.9999999999999 52.0499992370001,-41.9999999999999 52.0333328240001,-41.9999999999999 52.0166664120001,-41.9999999999999 52.0000000000001,-41.9999999999999 51.9833335870001,-41.9999999999999 51.9666671750001,-41.9999999999999 51.950000763,-41.9999999999999 51.933334351,-41.9999999999999 51.916667938,-41.9999999999999 51.900001526,-41.9999999999999 51.883335114,-41.9999999999999 51.8666648870001,-41.9999999999999 51.8499984740001,-41.9999999999999 51.8333320610001,-41.9999999999999 51.8166656490001,-41.9999999999999 51.7999992370001,-41.9999999999999 51.7833328250001,-41.9999999999999 51.7666664120001,-41.9999999999999 51.7500000000001,-41.9999999999999 51.7333335880001,-41.9999999999999 51.7166671750001,-41.9999999999999 51.700000763,-41.9999999999999 51.683334351,-41.9999999999999 51.666667939,-41.9999999999999 51.650001526,-41.9999999999999 51.633335113)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.3', '', '21.3', '21.3.K', '', '21.3K', '', '', '', '', '', '', '', '3K', '3', '21.3.K', '21.3K', 'Y'),('SRID=4326;MULTIPOLYGON(((19.000000089 58.500000024,19.000000044 57.914999408,18.998747447 57.8971596310001,18.8392850340001 57.7926842580001,18.834353999 57.7900234520001,18.4690389730001 57.592898017,18.3938900200001 57.459096222,18.3275494330001 57.103759913,18.308280317 57.0441654090001,18.294 57.0000000000001,18.2045600880001 57.000000039,18.000000088 57.000000019,18.000000066 56.500000029,16.1820000860001 56.5000000380001,16.1762000860001 56.5000000380001,15.7506748920001 56.9637276330001,15.748028323 59.346181083,15.747657497 59.6800003050001,15.7476345690001 59.700639401,18.7194037830001 59.7183522560001,18.9031091790001 59.7244323400001,18.9087549720001 59.7370268000001,18.9031091790001 59.7600442610001,18.931338141 59.7600442610001,18.9753293380001 59.7447290920001,19.000000089 59.7041440410001,19.000000089 58.500000024)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.III', 'Skagerrak, Kattegat, Sound, Belt S., and Baltic S.', '27.III', '27.III.d', '', '27.IIId', '27.III.d.27', 'West of Gotland', '27.IIId27', '', '', '', '', '27', '4', '27.3.d.27', '27.27', 'Y');

INSERT INTO fao (geom, ocean, subocean, f_area, name, area_l, f_subarea, subarea_n, subarea_l, f_division, division_n, division_l, f_subdivis, subdivis_n, subdivis_l, f_subunit, subunit_n, subunit_l, ele_name, ele_label, ele_type, f_label, code, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-46.4999999999999 46.0000000000001,-46.5166664119999 46.0000000000001,-46.5333328249999 46.0000000000001,-46.549999237 46.0000000000001,-46.566665649 46.0000000000001,-46.583332062 46.0000000000001,-46.599998474 46.0000000000001,-46.616664886 46.0000000000001,-46.633335114 46.0000000000001,-46.6666679379999 46.0000000000001,-46.683334351 46.0000000000001,-46.7000007629999 46.0000000000001,-46.7166671749999 46.0000000000001,-46.7333335879999 46.0000000000001,-46.7499999999999 46.0000000000001,-46.7666664119999 46.0000000000001,-46.7833328249999 46.0000000000001,-46.799999237 46.0000000000001,-46.816665649 46.0000000000001,-46.833332062 46.0000000000001,-46.849998474 46.0000000000001,-46.866664886 46.0000000000001,-46.883335114 46.0000000000001,-46.900001526 46.0000000000001,-46.9166679379999 46.0000000000001,-46.933334351 46.0000000000001,-46.9500007629999 46.0000000000001,-46.9666671749999 46.0000000000001,-46.9833335879999 46.0000000000001,-46.9999999999999 46.0000000000001,-47.0166664119999 46.0000000000001,-47.0333328249999 46.0000000000001,-47.049999237 46.0000000000001,-47.066665649 46.0000000000001,-47.083332062 46.0000000000001,-47.099998474 46.0000000000001,-47.116664886 46.0000000000001,-47.133335114 46.0000000000001,-47.150001526 46.0000000000001,-47.1666679379999 46.0000000000001,-47.183334351 46.0000000000001,-47.2000007629999 46.0000000000001,-47.2166671749999 46.0000000000001,-47.2333335879999 46.0000000000001,-47.2499999999999 46.0000000000001,-47.2666664119999 46.0000000000001,-47.2833328249999 46.0000000000001,-47.299999237 46.0000000000001,-47.316665649 46.0000000000001,-47.333332062 46.0000000000001,-47.349998474 46.0000000000001,-47.366664886 46.0000000000001,-47.383335114 46.0000000000001,-47.400001526 46.0000000000001,-47.4166679379999 46.0000000000001,-47.433334351 46.0000000000001,-47.4500007629999 46.0000000000001,-47.4666671749999 46.0000000000001,-47.4833335879999 46.0000000000001,-47.4999999999999 46.0000000000001,-47.5166664119999 46.0000000000001,-47.5333328249999 46.0000000000001,-47.549999237 46.0000000000001,-47.566665649 46.0000000000001,-47.583332062 46.0000000000001,-47.599998474 46.0000000000001,-47.616664886 46.0000000000001,-47.633335114 46.0000000000001,-47.6666679379999 46.0000000000001,-47.683334351 46.0000000000001,-47.7000007629999 46.0000000000001,-47.7166671749999 46.0000000000001,-47.7333335879999 46.0000000000001,-47.7499999999999 46.0000000000001,-47.7666664119999 46.0000000000001,-47.7833328249999 46.0000000000001,-47.799999237 46.0000000000001,-47.816665649 46.0000000000001,-47.833332062 46.0000000000001,-47.849998474 46.0000000000001,-47.866664886 46.0000000000001,-47.883335114 46.0000000000001,-47.900001526 46.0000000000001,-47.9166679379999 46.0000000000001,-47.933334351 46.0000000000001,-47.9500007629999 46.0000000000001,-47.9666671749999 46.0000000000001,-47.9833335879999 46.0000000000001,-47.9999999999999 46.0000000000001,-48.0166664119999 46.0000000000001,-48.0333328249999 46.0000000000001,-48.049999237 46.0000000000001,-48.066665649 46.0000000000001,-48.083332062 46.0000000000001,-48.099998474 46.0000000000001,-48.116664886 46.0000000000001,-48.133335114 46.0000000000001,-48.150001526 46.0000000000001,-48.1666679379999 46.0000000000001,-48.183334351 46.0000000000001,-48.2000007629999 46.0000000000001,-48.2166671749999 46.0000000000001,-48.2333335879999 46.0000000000001,-48.2499999999999 46.0000000000001,-48.2666664119999 46.0000000000001,-48.2833328249999 46.0000000000001,-48.299999237 46.0000000000001,-48.316665649 46.0000000000001,-48.333332062 46.0000000000001,-48.349998474 46.0000000000001,-48.366664886 46.0000000000001,-48.383335114 46.0000000000001,-48.400001526 46.0000000000001,-48.4166679379999 46.0000000000001,-48.433334351 46.0000000000001,-48.4500007629999 46.0000000000001,-48.4666671749999 46.0000000000001,-48.4833335879999 46.0000000000001,-48.4999999999999 46.0000000000001,-48.5166664119999 46.0000000000001,-48.5333328249999 46.0000000000001,-48.549999237 46.0000000000001,-48.566665649 46.0000000000001,-48.583332062 46.0000000000001,-48.599998474 46.0000000000001,-48.616664886 46.0000000000001,-48.633335114 46.0000000000001,-48.6666679379999 46.0000000000001,-48.683334351 46.0000000000001,-48.7000007629999 46.0000000000001,-48.7166671749999 46.0000000000001,-48.7333335879999 46.0000000000001,-48.7499999999999 46.0000000000001,-48.7666664119999 46.0000000000001,-48.7833328249999 46.0000000000001,-48.799999237 46.0000000000001,-48.816665649 46.0000000000001,-48.833332062 46.0000000000001,-48.849998474 46.0000000000001,-48.866664886 46.0000000000001,-48.883335114 46.0000000000001,-48.900001526 46.0000000000001,-48.9166679379999 46.0000000000001,-48.933334351 46.0000000000001,-48.9500007629999 46.0000000000001,-48.9666671749999 46.0000000000001,-48.9833335879999 46.0000000000001,-48.9999999999999 46.0000000000001,-49.0166664119999 46.0000000000001,-49.0333328249999 46.0000000000001,-49.049999237 46.0000000000001,-49.066665649 46.0000000000001,-49.083332062 46.0000000000001,-49.099998474 46.0000000000001,-49.116664886 46.0000000000001,-49.133335114 46.0000000000001,-49.150001526 46.0000000000001,-49.1666679379999 46.0000000000001,-49.183334351 46.0000000000001,-49.2000007629999 46.0000000000001,-49.2166671749999 46.0000000000001,-49.2333335879999 46.0000000000001,-49.2499999999999 46.0000000000001,-49.2666664119999 46.0000000000001,-49.2833328249999 46.0000000000001,-49.299999237 46.0000000000001,-49.316665649 46.0000000000001,-49.333332062 46.0000000000001,-49.349998474 46.0000000000001,-49.366664886 46.0000000000001,-49.383335114 46.0000000000001,-49.400001526 46.0000000000001,-49.4166679379999 46.0000000000001,-49.433334351 46.0000000000001,-49.4500007629999 46.0000000000001,-49.4666671749999 46.0000000000001,-49.4833335879999 46.0000000000001,-49.4999999999999 46.0000000000001,-49.5166664119999 46.0000000000001,-49.5333328249999 46.0000000000001,-49.549999237 46.0000000000001,-49.566665649 46.0000000000001,-49.583332062 46.0000000000001,-49.599998474 46.0000000000001,-49.616664886 46.0000000000001,-49.633335114 46.0000000000001,-49.6666679379999 46.0000000000001,-49.683334351 46.0000000000001,-49.7000007629999 46.0000000000001,-49.7166671749999 46.0000000000001,-49.7333335879999 46.0000000000001,-49.7499999999999 46.0000000000001,-49.7666664119999 46.0000000000001,-49.7833328249999 46.0000000000001,-49.799999237 46.0000000000001,-49.816665649 46.0000000000001,-49.833332062 46.0000000000001,-49.849998474 46.0000000000001,-49.866664886 46.0000000000001,-49.883335114 46.0000000000001,-49.900001526 46.0000000000001,-49.9166679379999 46.0000000000001,-49.933334351 46.0000000000001,-49.9500007629999 46.0000000000001,-49.9666671749999 46.0000000000001,-49.9833335879999 46.0000000000001,-49.9999999999999 46.0000000000001,-50.0166664119999 46.0000000000001,-50.0333328249999 46.0000000000001,-50.049999237 46.0000000000001,-50.066665649 46.0000000000001,-50.083332062 46.0000000000001,-50.099998474 46.0000000000001,-50.116664886 46.0000000000001,-50.133335114 46.0000000000001,-50.150001526 46.0000000000001,-50.1666679379999 46.0000000000001,-50.183334351 46.0000000000001,-50.2000007629999 46.0000000000001,-50.2166671749999 46.0000000000001,-50.2333335879999 46.0000000000001,-50.2499999999999 46.0000000000001,-50.2666664119999 46.0000000000001,-50.2833328249999 46.0000000000001,-50.299999237 46.0000000000001,-50.316665649 46.0000000000001,-50.333332062 46.0000000000001,-50.349998474 46.0000000000001,-50.366664886 46.0000000000001,-50.383335114 46.0000000000001,-50.400001526 46.0000000000001,-50.4166679379999 46.0000000000001,-50.433334351 46.0000000000001,-50.4500007629999 46.0000000000001,-50.4666671749999 46.0000000000001,-50.4833335879999 46.0000000000001,-50.4999999999999 46.0000000000001,-50.5166664119999 46.0000000000001,-50.5333328249999 46.0000000000001,-50.549999237 46.0000000000001,-50.566665649 46.0000000000001,-50.583332062 46.0000000000001,-50.599998474 46.0000000000001,-50.616664886 46.0000000000001,-50.633335114 46.0000000000001,-50.6666679379999 46.0000000000001,-50.683334351 46.0000000000001,-50.7000007629999 46.0000000000001,-50.7166671749999 46.0000000000001,-50.7333335879999 46.0000000000001,-50.7499999999999 46.0000000000001,-50.7666664119999 46.0000000000001,-50.7833328249999 46.0000000000001,-50.799999237 46.0000000000001,-50.816665649 46.0000000000001,-50.833332062 46.0000000000001,-50.849998474 46.0000000000001,-50.866664886 46.0000000000001,-50.883335114 46.0000000000001,-50.900001526 46.0000000000001,-50.9166679379999 46.0000000000001,-50.933334351 46.0000000000001,-50.9500007629999 46.0000000000001,-50.9666671749999 46.0000000000001,-50.9833335879999 46.0000000000001,-50.9999999999999 46.0000000000001,-51.0166664119999 46.0000000000001,-51.0333328249999 46.0000000000001,-51.049999237 46.0000000000001,-51.066665649 46.0000000000001,-51.083332062 46.0000000000001,-51.099998474 46.0000000000001,-51.116664886 46.0000000000001,-51.133335114 46.0000000000001,-51.150001526 46.0000000000001,-51.1666679379999 46.0000000000001,-51.183334351 46.0000000000001,-51.2000007629999 46.0000000000001,-51.2166671749999 46.0000000000001,-51.2333335879999 46.0000000000001,-51.2499999999999 46.0000000000001,-51.2666664119999 46.0000000000001,-51.2833328249999 46.0000000000001,-51.299999237 46.0000000000001,-51.316665649 46.0000000000001,-51.333332062 46.0000000000001,-51.349998474 46.0000000000001,-51.366664886 46.0000000000001,-51.383335114 46.0000000000001,-51.400001526 46.0000000000001,-51.4166679379999 46.0000000000001,-51.433334351 46.0000000000001,-51.4500007629999 46.0000000000001,-51.4666671749999 46.0000000000001,-51.4833335879999 46.0000000000001,-51.4999999999999 46.0000000000001,-51.5166664119999 46.0000000000001,-51.5333328249999 46.0000000000001,-51.549999237 46.0000000000001,-51.566665649 46.0000000000001,-51.583332062 46.0000000000001,-51.599998474 46.0000000000001,-51.616664886 46.0000000000001,-51.633335114 46.0000000000001,-51.6666679379999 46.0000000000001,-51.683334351 46.0000000000001,-51.7000007629999 46.0000000000001,-51.7166671749999 46.0000000000001,-51.7333335879999 46.0000000000001,-51.7499999999999 46.0000000000001,-51.7666664119999 46.0000000000001,-51.7833328249999 46.0000000000001,-51.799999237 46.0000000000001,-51.816665649 46.0000000000001,-51.833332062 46.0000000000001,-51.849998474 46.0000000000001,-51.866664886 46.0000000000001,-51.883335114 46.0000000000001,-51.900001526 46.0000000000001,-51.9166679379999 46.0000000000001,-51.933334351 46.0000000000001,-51.9500007629999 46.0000000000001,-51.9666671749999 46.0000000000001,-51.9833335879999 46.0000000000001,-51.9999999999999 46.0000000000001,-52.0166664119999 46.0000000000001,-52.0333328249999 46.0000000000001,-52.049999237 46.0000000000001,-52.066665649 46.0000000000001,-52.083332062 46.0000000000001,-52.099998474 46.0000000000001,-52.116664886 46.0000000000001,-52.133335114 46.0000000000001,-52.150001526 46.0000000000001,-52.1666679379999 46.0000000000001,-52.183334351 46.0000000000001,-52.2000007629999 46.0000000000001,-52.2166671749999 46.0000000000001,-52.2333335879999 46.0000000000001,-52.2499999999999 46.0000000000001,-52.2666664119999 46.0000000000001,-52.2833328249999 46.0000000000001,-52.299999237 46.0000000000001,-52.316665649 46.0000000000001,-52.333332062 46.0000000000001,-52.349998474 46.0000000000001,-52.366664886 46.0000000000001,-52.383335114 46.0000000000001,-52.400001526 46.0000000000001,-52.4166679379999 46.0000000000001,-52.433334351 46.0000000000001,-52.4500007629999 46.0000000000001,-52.4666671749999 46.0000000000001,-52.4833335879999 46.0000000000001,-52.4999999999999 46.0000000000001,-52.5166664119999 46.0000000000001,-52.5333328249999 46.0000000000001,-52.549999237 46.0000000000001,-52.566665649 46.0000000000001,-52.583332062 46.0000000000001,-52.599998474 46.0000000000001,-52.616664886 46.0000000000001,-52.633335114 46.0000000000001,-52.6666679379999 46.0000000000001,-52.683334351 46.0000000000001,-52.7000007629999 46.0000000000001,-52.7166671749999 46.0000000000001,-52.7333335879999 46.0000000000001,-52.7499999999999 46.0000000000001,-52.7666664119999 46.0000000000001,-52.7833328249999 46.0000000000001,-52.799999237 46.0000000000001,-52.816665649 46.0000000000001,-52.833332062 46.0000000000001,-52.849998474 46.0000000000001,-52.866664886 46.0000000000001,-52.883335114 46.0000000000001,-52.900001526 46.0000000000001,-52.9166679379999 46.0000000000001,-52.933334351 46.0000000000001,-52.9500007629999 46.0000000000001,-52.9666671749999 46.0000000000001,-52.9833335879999 46.0000000000001,-52.9999999999999 46.0000000000001,-53.0166664119999 46.0000000000001,-53.0333328249999 46.0000000000001,-53.049999237 46.0000000000001,-53.066665649 46.0000000000001,-53.083332062 46.0000000000001,-53.099998474 46.0000000000001,-53.116664886 46.0000000000001,-53.133335114 46.0000000000001,-53.150001526 46.0000000000001,-53.1666679379999 46.0000000000001,-53.183334351 46.0000000000001,-53.2000007629999 46.0000000000001,-53.2166671749999 46.0000000000001,-53.2333335879999 46.0000000000001,-53.2499999999999 46.0000000000001,-53.2666664119999 46.0000000000001,-53.2833328249999 46.0000000000001,-53.299999237 46.0000000000001,-53.316665649 46.0000000000001,-53.333332062 46.0000000000001,-53.349998474 46.0000000000001,-53.366664886 46.0000000000001,-53.383335114 46.0000000000001,-53.400001526 46.0000000000001,-53.4166679379999 46.0000000000001,-53.433334351 46.0000000000001,-53.4500007629999 46.0000000000001,-53.4666671749999 46.0000000000001,-53.4833335879999 46.0000000000001,-53.4999999999999 46.0000000000001,-53.5166664119999 46.0000000000001,-53.5333328249999 46.0000000000001,-53.549999237 46.0000000000001,-53.566665649 46.0000000000001,-53.583332062 46.0000000000001,-53.599998474 46.0000000000001,-53.616664886 46.0000000000001,-53.633335114 46.0000000000001,-53.6666679379999 46.0000000000001,-53.683334351 46.0000000000001,-53.7000007629999 46.0000000000001,-53.7166671749999 46.0000000000001,-53.7333335879999 46.0000000000001,-53.7499999999999 46.0000000000001,-53.7666664119999 46.0000000000001,-53.7833328249999 46.0000000000001,-53.799999237 46.0000000000001,-53.816665649 46.0000000000001,-53.833332062 46.0000000000001,-53.849998474 46.0000000000001,-53.866664886 46.0000000000001,-53.883335114 46.0000000000001,-53.900001526 46.0000000000001,-53.9166679379999 46.0000000000001,-53.933334351 46.0000000000001,-53.9500007629999 46.0000000000001,-53.9666671749999 46.0000000000001,-53.9833335879999 46.0000000000001,-53.9999999999999 46.0000000000001,-54.0166664119999 46.0000000000001,-54.0333328249999 46.0000000000001,-54.049999237 46.0000000000001,-54.066665649 46.0000000000001,-54.083332062 46.0000000000001,-54.099998474 46.0000000000001,-54.116664886 46.0000000000001,-54.133335114 46.0000000000001,-54.150001526 46.0000000000001,-54.1666679379999 46.0000000000001,-54.183334351 46.0000000000001,-54.2000007629999 46.0000000000001,-54.2166671749999 46.0000000000001,-54.2333335879999 46.0000000000001,-54.2499999999999 46.0000000000001,-54.2666664119999 46.0000000000001,-54.2833328249999 46.0000000000001,-54.299999237 46.0000000000001,-54.316665649 46.0000000000001,-54.333332062 46.0000000000001,-54.349998474 46.0000000000001,-54.366664886 46.0000000000001,-54.383335114 46.0000000000001,-54.400001526 46.0000000000001,-54.4166679379999 46.0000000000001,-54.433334351 46.0000000000001,-54.4500007629999 46.0000000000001,-54.4666671749999 46.0000000000001,-54.4833335879999 46.0000000000001,-54.4999999999999 46.0000000000001,-54.49389267 46.0166664120001,-54.487785339 46.0333328250001,-54.4816741939999 46.0499992370001,-54.475563049 46.0666656490001,-54.46944809 46.0833320620001,-54.46333313 46.0999984740001,-54.457214355 46.1166648860001,-54.4510955809999 46.133335114,-54.444972992 46.150001526,-54.4388504029999 46.166667938,-54.432723999 46.183334351,-54.426597595 46.200000763,-54.420467377 46.2166671750001,-54.414337158 46.2333335880001,-54.4082031249999 46.2500000000001,-54.402069092 46.2666664120001,-54.395935059 46.2833328250001,-54.389797211 46.2999992370001,-54.383655548 46.3166656490001,-54.377513885 46.3333320620001,-54.371368408 46.3499984740001,-54.3652229309999 46.3666648860001,-54.359077454 46.383335114,-54.3529243469999 46.400001526,-54.346775055 46.416667938,-54.340621948 46.433334351,-54.334465027 46.450000763,-54.328308105 46.4666671750001,-54.3221473689999 46.4833335880001,-54.315986633 46.5000000000001,-54.3098258969999 46.5166664120001,-54.303661346 46.5333328250001,-54.2974929809999 46.5499992370001,-54.291324615 46.5666656490001,-54.2851562499999 46.5833320620001,-54.278980255 46.5999984740001,-54.2728080749999 46.6166648860001,-54.26663208 46.633335114,-54.260452271 46.650001526,-54.254272461 46.666667938,-54.248092651 46.683334351,-54.2419052119999 46.700000763,-54.2357215879999 46.7166671750001,-54.229534149 46.7333335880001,-54.223342896 46.7500000000001,-54.217151642 46.7666664120001,-54.210956573 46.7833328250001,-54.204761505 46.7999992370001,-54.198566437 46.8166656490001,-54.198722839 46.8202514650001,-54.051879728 46.9000411870001,-53.8946751669999 47.1133902340001,-53.678518895 47.4025343380001,-53.838530681 47.5681605720001,-53.953626878 47.7955457410001,-54.098023478 48.0700688850001,-54.3674702 48.192867807,-54.490911437 48.5463767200001,-54.6272674209999 48.9368706670001,-53.830240751 49.158266606,-53.560890413 49.233086024,-53.4999999999999 49.2500000000001,-53.4697914119999 49.2500000000001,-53.4666671749999 49.2500000000001,-53.4500007629999 49.2500000000001,-53.433334351 49.2500000000001,-53.4166679379999 49.2500000000001,-53.400001526 49.2500000000001,-53.383335113 49.2500000000001,-53.366664886 49.2500000000001,-53.349998474 49.2500000000001,-53.333332062 49.2500000000001,-53.316665649 49.2500000000001,-53.299999237 49.2500000000001,-53.2833328249999 49.2500000000001,-53.2666664119999 49.2500000000001,-53.2499999999999 49.2500000000001,-53.2333335879999 49.2500000000001,-53.2166671749999 49.2500000000001,-53.2000007629999 49.2500000000001,-53.1833343499999 49.2500000000001,-53.1666679379999 49.2500000000001,-53.150001526 49.2500000000001,-53.133335113 49.2500000000001,-53.116664886 49.2500000000001,-53.099998474 49.2500000000001,-53.083332062 49.2500000000001,-53.066665649 49.2500000000001,-53.049999237 49.2500000000001,-53.0333328249999 49.2500000000001,-53.0166664119999 49.2500000000001,-52.9999999999999 49.2500000000001,-52.9833335869999 49.2500000000001,-52.9666671749999 49.2500000000001,-52.9500007629999 49.2500000000001,-52.9333343499999 49.2500000000001,-52.9166679379999 49.2500000000001,-52.900001526 49.2500000000001,-52.883335114 49.2500000000001,-52.866664886 49.2500000000001,-52.849998474 49.2500000000001,-52.833332062 49.2500000000001,-52.816665649 49.2500000000001,-52.799999237 49.2500000000001,-52.783332824 49.2500000000001,-52.7666664119999 49.2500000000001,-52.7499999999999 49.2500000000001,-52.7333335869999 49.2500000000001,-52.7166671749999 49.2500000000001,-52.7000007629999 49.2500000000001,-52.683334351 49.2500000000001,-52.6666679379999 49.2500000000001,-52.650001526 49.2500000000001,-52.633335114 49.2500000000001,-52.616664886 49.2500000000001,-52.599998474 49.2500000000001,-52.583332061 49.2500000000001,-52.566665649 49.2500000000001,-52.549999237 49.2500000000001,-52.5333328249999 49.2500000000001,-52.5166664119999 49.2500000000001,-52.4999999999999 49.2500000000001,-52.4833335879999 49.2500000000001,-52.4666671749999 49.2500000000001,-52.4500007629999 49.2500000000001,-52.433334351 49.2500000000001,-52.4166679379999 49.2500000000001,-52.400001526 49.2500000000001,-52.383335113 49.2500000000001,-52.366664886 49.2500000000001,-52.349998474 49.2500000000001,-52.333332062 49.2500000000001,-52.316665649 49.2500000000001,-52.299999237 49.2500000000001,-52.2833328249999 49.2500000000001,-52.2666664119999 49.2500000000001,-52.2499999999999 49.2500000000001,-52.2333335879999 49.2500000000001,-52.2166671749999 49.2500000000001,-52.2000007629999 49.2500000000001,-52.1833343499999 49.2500000000001,-52.1666679379999 49.2500000000001,-52.150001526 49.2500000000001,-52.133335113 49.2500000000001,-52.116664886 49.2500000000001,-52.099998474 49.2500000000001,-52.083332062 49.2500000000001,-52.066665649 49.2500000000001,-52.049999237 49.2500000000001,-52.0333328249999 49.2500000000001,-52.0166664119999 49.2500000000001,-51.9999999999999 49.2500000000001,-51.9833335869999 49.2500000000001,-51.9666671749999 49.2500000000001,-51.9500007629999 49.2500000000001,-51.9333343499999 49.2500000000001,-51.9166679379999 49.2500000000001,-51.900001526 49.2500000000001,-51.883335114 49.2500000000001,-51.866664886 49.2500000000001,-51.849998474 49.2500000000001,-51.833332062 49.2500000000001,-51.816665649 49.2500000000001,-51.799999237 49.2500000000001,-51.783332824 49.2500000000001,-51.7666664119999 49.2500000000001,-51.7499999999999 49.2500000000001,-51.7333335879999 49.2500000000001,-51.7166671749999 49.2500000000001,-51.7000007629999 49.2500000000001,-51.683334351 49.2500000000001,-51.6666679379999 49.2500000000001,-51.650001526 49.2500000000001,-51.633335114 49.2500000000001,-51.616664886 49.2500000000001,-51.599998474 49.2500000000001,-51.583332061 49.2500000000001,-51.566665649 49.2500000000001,-51.549999237 49.2500000000001,-51.5333328249999 49.2500000000001,-51.5166664119999 49.2500000000001,-51.4999999999999 49.2500000000001,-51.4833335879999 49.2500000000001,-51.4666671749999 49.2500000000001,-51.4500007629999 49.2500000000001,-51.433334351 49.2500000000001,-51.4166679379999 49.2500000000001,-51.4000015249999 49.2500000000001,-51.3833351129999 49.2500000000001,-51.366664886 49.2500000000001,-51.349998474 49.2500000000001,-51.333332062 49.2500000000001,-51.316665649 49.2500000000001,-51.299999237 49.2500000000001,-51.2833328249999 49.2500000000001,-51.2666664119999 49.2500000000001,-51.2499999999999 49.2500000000001,-51.2333335879999 49.2500000000001,-51.2166671749999 49.2500000000001,-51.2000007619999 49.2500000000001,-51.1833343499999 49.2500000000001,-51.1666679379999 49.2500000000001,-51.150001526 49.2500000000001,-51.1333351129999 49.2500000000001,-51.116664886 49.2500000000001,-51.099998474 49.2500000000001,-51.083332062 49.2500000000001,-51.066665649 49.2500000000001,-51.049999237 49.2500000000001,-51.0333328249999 49.2500000000001,-51.0166664119999 49.2500000000001,-50.9999999999999 49.2500000000001,-50.9833335869999 49.2500000000001,-50.9666671749999 49.2500000000001,-50.9500007629999 49.2500000000001,-50.9333343499999 49.2500000000001,-50.9166679379999 49.2500000000001,-50.900001526 49.2500000000001,-50.883335114 49.2500000000001,-50.866664886 49.2500000000001,-50.849998474 49.2500000000001,-50.833332062 49.2500000000001,-50.816665649 49.2500000000001,-50.799999237 49.2500000000001,-50.783332824 49.2500000000001,-50.7666664119999 49.2500000000001,-50.7499999999999 49.2500000000001,-50.7333335879999 49.2500000000001,-50.7166671749999 49.2500000000001,-50.7000007629999 49.2500000000001,-50.683334351 49.2500000000001,-50.6666679379999 49.2500000000001,-50.650001526 49.2500000000001,-50.633335114 49.2500000000001,-50.616664886 49.2500000000001,-50.599998474 49.2500000000001,-50.583332061 49.2500000000001,-50.566665649 49.2500000000001,-50.549999237 49.2500000000001,-50.5333328249999 49.2500000000001,-50.5166664119999 49.2500000000001,-50.4999999999999 49.2500000000001,-50.4833335879999 49.2500000000001,-50.4666671749999 49.2500000000001,-50.4500007629999 49.2500000000001,-50.433334351 49.2500000000001,-50.4166679379999 49.2500000000001,-50.4000015249999 49.2500000000001,-50.3833351129999 49.2500000000001,-50.366664886 49.2500000000001,-50.349998474 49.2500000000001,-50.333332062 49.2500000000001,-50.316665649 49.2500000000001,-50.299999237 49.2500000000001,-50.2833328249999 49.2500000000001,-50.2666664119999 49.2500000000001,-50.2499999999999 49.2500000000001,-50.2333335879999 49.2500000000001,-50.2166671749999 49.2500000000001,-50.2000007629999 49.2500000000001,-50.1833343499999 49.2500000000001,-50.1666679379999 49.2500000000001,-50.150001526 49.2500000000001,-50.1333351129999 49.2500000000001,-50.116664886 49.2500000000001,-50.099998474 49.2500000000001,-50.083332062 49.2500000000001,-50.066665649 49.2500000000001,-50.049999237 49.2500000000001,-50.0333328249999 49.2500000000001,-50.0166664119999 49.2500000000001,-49.9999999999999 49.2500000000001,-49.9833335869999 49.2500000000001,-49.9666671749999 49.2500000000001,-49.9500007629999 49.2500000000001,-49.933334351 49.2500000000001,-49.9166679379999 49.2500000000001,-49.900001526 49.2500000000001,-49.883335114 49.2500000000001,-49.866664886 49.2500000000001,-49.849998474 49.2500000000001,-49.833332062 49.2500000000001,-49.816665649 49.2500000000001,-49.799999237 49.2500000000001,-49.783332824 49.2500000000001,-49.7666664119999 49.2500000000001,-49.7499999999999 49.2500000000001,-49.7333335879999 49.2500000000001,-49.7166671749999 49.2500000000001,-49.7000007629999 49.2500000000001,-49.683334351 49.2500000000001,-49.6666679379999 49.2500000000001,-49.650001526 49.2500000000001,-49.633335114 49.2500000000001,-49.616664886 49.2500000000001,-49.599998474 49.2500000000001,-49.583332061 49.2500000000001,-49.566665649 49.2500000000001,-49.549999237 49.2500000000001,-49.5333328249999 49.2500000000001,-49.5166664119999 49.2500000000001,-49.4999999999999 49.2500000000001,-49.4833335879999 49.2500000000001,-49.4666671749999 49.2500000000001,-49.4500007629999 49.2500000000001,-49.433334351 49.2500000000001,-49.4166679379999 49.2500000000001,-49.400001526 49.2500000000001,-49.3833351129999 49.2500000000001,-49.366664886 49.2500000000001,-49.349998474 49.2500000000001,-49.333332062 49.2500000000001,-49.316665649 49.2500000000001,-49.299999237 49.2500000000001,-49.2833328249999 49.2500000000001,-49.2666664119999 49.2500000000001,-49.2499999999999 49.2500000000001,-49.2333335879999 49.2500000000001,-49.2166671749999 49.2500000000001,-49.2000007629999 49.2500000000001,-49.1833343499999 49.2500000000001,-49.1666679379999 49.2500000000001,-49.150001526 49.2500000000001,-49.133335114 49.2500000000001,-49.116664886 49.2500000000001,-49.099998474 49.2500000000001,-49.083332062 49.2500000000001,-49.066665649 49.2500000000001,-49.049999237 49.2500000000001,-49.0333328249999 49.2500000000001,-49.0166664119999 49.2500000000001,-48.9999999999999 49.2500000000001,-48.9833335869999 49.2500000000001,-48.9666671749999 49.2500000000001,-48.9500007629999 49.2500000000001,-48.933334351 49.2500000000001,-48.9166679379999 49.2500000000001,-48.900001526 49.2500000000001,-48.883335114 49.2500000000001,-48.866664886 49.2500000000001,-48.849998474 49.2500000000001,-48.833332062 49.2500000000001,-48.816665649 49.2500000000001,-48.799999237 49.2500000000001,-48.783332824 49.2500000000001,-48.7666664119999 49.2500000000001,-48.7499999999999 49.2500000000001,-48.7333335879999 49.2500000000001,-48.7166671749999 49.2500000000001,-48.7000007629999 49.2500000000001,-48.683334351 49.2500000000001,-48.6666679379999 49.2500000000001,-48.650001526 49.2500000000001,-48.633335114 49.2500000000001,-48.616664886 49.2500000000001,-48.599998474 49.2500000000001,-48.583332061 49.2500000000001,-48.566665649 49.2500000000001,-48.549999237 49.2500000000001,-48.5333328249999 49.2500000000001,-48.5166664119999 49.2500000000001,-48.4999999999999 49.2500000000001,-48.4833335879999 49.2500000000001,-48.4666671749999 49.2500000000001,-48.4500007629999 49.2500000000001,-48.433334351 49.2500000000001,-48.4166679379999 49.2500000000001,-48.400001526 49.2500000000001,-48.3833351129999 49.2500000000001,-48.366664886 49.2500000000001,-48.349998474 49.2500000000001,-48.333332062 49.2500000000001,-48.316665649 49.2500000000001,-48.299999237 49.2500000000001,-48.2833328249999 49.2500000000001,-48.2666664119999 49.2500000000001,-48.2499999999999 49.2500000000001,-48.2333335879999 49.2500000000001,-48.2166671749999 49.2500000000001,-48.2000007629999 49.2500000000001,-48.1833343499999 49.2500000000001,-48.1666679379999 49.2500000000001,-48.150001526 49.2500000000001,-48.133335114 49.2500000000001,-48.116664886 49.2500000000001,-48.099998474 49.2500000000001,-48.083332062 49.2500000000001,-48.066665649 49.2500000000001,-48.049999237 49.2500000000001,-48.0333328249999 49.2500000000001,-48.0166664119999 49.2500000000001,-47.9999999999999 49.2500000000001,-47.9833335869999 49.2500000000001,-47.9666671749999 49.2500000000001,-47.9500007629999 49.2500000000001,-47.933334351 49.2500000000001,-47.9166679379999 49.2500000000001,-47.900001526 49.2500000000001,-47.883335114 49.2500000000001,-47.866664886 49.2500000000001,-47.849998474 49.2500000000001,-47.833332062 49.2500000000001,-47.816665649 49.2500000000001,-47.799999237 49.2500000000001,-47.783332824 49.2500000000001,-47.7666664119999 49.2500000000001,-47.7499999999999 49.2500000000001,-47.7333335879999 49.2500000000001,-47.7166671749999 49.2500000000001,-47.7000007629999 49.2500000000001,-47.683334351 49.2500000000001,-47.6666679379999 49.2500000000001,-47.650001526 49.2500000000001,-47.6333351129999 49.2500000000001,-47.616664886 49.2500000000001,-47.599998474 49.2500000000001,-47.583332062 49.2500000000001,-47.566665649 49.2500000000001,-47.549999237 49.2500000000001,-47.5333328249999 49.2500000000001,-47.5166664119999 49.2500000000001,-47.4999999999999 49.2500000000001,-47.4833335879999 49.2500000000001,-47.4666671749999 49.2500000000001,-47.4500007629999 49.2500000000001,-47.4333343499999 49.2500000000001,-47.4166679379999 49.2500000000001,-47.400001526 49.2500000000001,-47.3833351129999 49.2500000000001,-47.366664886 49.2500000000001,-47.349998474 49.2500000000001,-47.333332062 49.2500000000001,-47.316665649 49.2500000000001,-47.299999237 49.2500000000001,-47.2833328249999 49.2500000000001,-47.2666664119999 49.2500000000001,-47.2499999999999 49.2500000000001,-47.2333335869999 49.2500000000001,-47.2166671749999 49.2500000000001,-47.2000007629999 49.2500000000001,-47.1833343499999 49.2500000000001,-47.1666679379999 49.2500000000001,-47.150001526 49.2500000000001,-47.133335114 49.2500000000001,-47.116664886 49.2500000000001,-47.099998474 49.2500000000001,-47.083332062 49.2500000000001,-47.066665649 49.2500000000001,-47.049999237 49.2500000000001,-47.0333328249999 49.2500000000001,-47.0166664119999 49.2500000000001,-46.9999999999999 49.2500000000001,-46.9833335869999 49.2500000000001,-46.9666671749999 49.2500000000001,-46.9500007629999 49.2500000000001,-46.933334351 49.2500000000001,-46.9166679379999 49.2500000000001,-46.900001526 49.2500000000001,-46.883335114 49.2500000000001,-46.866664886 49.2500000000001,-46.849998474 49.2500000000001,-46.833332062 49.2500000000001,-46.816665649 49.2500000000001,-46.799999237 49.2500000000001,-46.783332824 49.2500000000001,-46.7666664119999 49.2500000000001,-46.7499999999999 49.2500000000001,-46.7333335879999 49.2500000000001,-46.7166671749999 49.2500000000001,-46.7000007629999 49.2500000000001,-46.683334351 49.2500000000001,-46.6666679379999 49.2500000000001,-46.650001526 49.2500000000001,-46.6333351129999 49.2500000000001,-46.616664886 49.2500000000001,-46.599998474 49.2500000000001,-46.583332062 49.2500000000001,-46.566665649 49.2500000000001,-46.549999237 49.2500000000001,-46.5333328249999 49.2500000000001,-46.5166664119999 49.2500000000001,-46.4999999999999 49.2500000000001,-46.4999999999999 49.2333335880001,-46.4999999999999 49.2166671750001,-46.4999999999999 49.200000763,-46.4999999999999 49.183334351,-46.4999999999999 49.166667938,-46.4999999999999 49.150001526,-46.4999999999999 49.133335114,-46.4999999999999 49.1166648860001,-46.4999999999999 49.0999984740001,-46.4999999999999 49.0833320620001,-46.4999999999999 49.0666656490001,-46.4999999999999 49.0499992370001,-46.4999999999999 49.0333328250001,-46.4999999999999 49.0166664120001,-46.4999999999999 49.0000000000001,-46.4999999999999 48.9833335880001,-46.4999999999999 48.9666671750001,-46.4999999999999 48.950000763,-46.4999999999999 48.933334351,-46.4999999999999 48.916667938,-46.4999999999999 48.900001526,-46.4999999999999 48.883335114,-46.4999999999999 48.8666648860001,-46.4999999999999 48.8499984740001,-46.4999999999999 48.8333320620001,-46.4999999999999 48.8166656490001,-46.4999999999999 48.7999992370001,-46.4999999999999 48.7833328250001,-46.4999999999999 48.775001526,-46.4999999999999 48.7666664120001,-46.4999999999999 48.7500000000001,-46.4999999999999 48.7333335880001,-46.4999999999999 48.7166671750001,-46.4999999999999 48.683334351,-46.4999999999999 48.666667938,-46.4999999999999 48.650001526,-46.4999999999999 48.633335114,-46.4999999999999 48.6166648860001,-46.4999999999999 48.5999984740001,-46.4999999999999 48.5833320620001,-46.4999999999999 48.5666656490001,-46.4999999999999 48.5499992370001,-46.4999999999999 48.5333328250001,-46.4999999999999 48.5166664120001,-46.4999999999999 48.5000000000001,-46.4999999999999 48.4833335880001,-46.4999999999999 48.4666671750001,-46.4999999999999 48.450000763,-46.4999999999999 48.433334351,-46.4999999999999 48.416667938,-46.4999999999999 48.400001526,-46.4999999999999 48.383335114,-46.4999999999999 48.3666648860001,-46.4999999999999 48.3499984740001,-46.4999999999999 48.3333320620001,-46.4999999999999 48.3166656490001,-46.4999999999999 48.2999992370001,-46.4999999999999 48.2833328250001,-46.4999999999999 48.2666664120001,-46.4999999999999 48.2500000000001,-46.4999999999999 48.2333335880001,-46.4999999999999 48.2166671750001,-46.4999999999999 48.200000763,-46.4999999999999 48.183334351,-46.4999999999999 48.166667938,-46.4999999999999 48.150001526,-46.4999999999999 48.133335114,-46.4999999999999 48.1166648860001,-46.4999999999999 48.0999984740001,-46.4999999999999 48.0833320620001,-46.4999999999999 48.0666656490001,-46.4999999999999 48.0499992370001,-46.4999999999999 48.0333328250001,-46.4999999999999 48.0166664120001,-46.4999999999999 48.0000000000001,-46.4999999999999 47.9833335880001,-46.4999999999999 47.9666671750001,-46.4999999999999 47.950000763,-46.4999999999999 47.933334351,-46.4999999999999 47.916667938,-46.4999999999999 47.900001526,-46.4999999999999 47.883335114,-46.4999999999999 47.8666648860001,-46.4999999999999 47.8499984740001,-46.4999999999999 47.8333320620001,-46.4999999999999 47.8166656490001,-46.4999999999999 47.7999992370001,-46.4999999999999 47.7833328250001,-46.4999999999999 47.775001526,-46.4999999999999 47.7666664120001,-46.4999999999999 47.7500000000001,-46.4999999999999 47.7333335880001,-46.4999999999999 47.7166671750001,-46.4999999999999 47.683334351,-46.4999999999999 47.666667938,-46.4999999999999 47.650001526,-46.4999999999999 47.633335114,-46.4999999999999 47.6166648860001,-46.4999999999999 47.5999984740001,-46.4999999999999 47.5833320620001,-46.4999999999999 47.5666656490001,-46.4999999999999 47.5499992370001,-46.4999999999999 47.5333328250001,-46.4999999999999 47.5166664120001,-46.4999999999999 47.5000000000001,-46.4999999999999 47.4833335880001,-46.4999999999999 47.4666671750001,-46.4999999999999 47.450000763,-46.4999999999999 47.433334351,-46.4999999999999 47.416667938,-46.4999999999999 47.400001526,-46.4999999999999 47.383335114,-46.4999999999999 47.3666648860001,-46.4999999999999 47.3499984740001,-46.4999999999999 47.3333320620001,-46.4999999999999 47.3166656490001,-46.4999999999999 47.2999992370001,-46.4999999999999 47.2833328250001,-46.4999999999999 47.2666664120001,-46.4999999999999 47.2500000000001,-46.4999999999999 47.2333335880001,-46.4999999999999 47.2166671750001,-46.4999999999999 47.200000763,-46.4999999999999 47.183334351,-46.4999999999999 47.166667938,-46.4999999999999 47.150001526,-46.4999999999999 47.133335114,-46.4999999999999 47.1166648860001,-46.4999999999999 47.0999984740001,-46.4999999999999 47.0833320620001,-46.4999999999999 47.0666656490001,-46.4999999999999 47.0499992370001,-46.4999999999999 47.0333328250001,-46.4999999999999 47.0166664120001,-46.4999999999999 47.0000000000001,-46.4999999999999 46.9833335880001,-46.4999999999999 46.9666671750001,-46.4999999999999 46.950000763,-46.4999999999999 46.933334351,-46.4999999999999 46.916667938,-46.4999999999999 46.900001526,-46.4999999999999 46.883335114,-46.4999999999999 46.8666648860001,-46.4999999999999 46.8499984740001,-46.4999999999999 46.8333320620001,-46.4999999999999 46.8166656490001,-46.4999999999999 46.7999992370001,-46.4999999999999 46.7833328250001,-46.4999999999999 46.775001526,-46.4999999999999 46.7666664120001,-46.4999999999999 46.7500000000001,-46.4999999999999 46.7333335880001,-46.4999999999999 46.7166671750001,-46.4999999999999 46.683334351,-46.4999999999999 46.666667938,-46.4999999999999 46.650001526,-46.4999999999999 46.633335114,-46.4999999999999 46.6166648860001,-46.4999999999999 46.5999984740001,-46.4999999999999 46.5833320620001,-46.4999999999999 46.5666656490001,-46.4999999999999 46.5499992370001,-46.4999999999999 46.5333328250001,-46.4999999999999 46.5166664120001,-46.4999999999999 46.5000000000001,-46.4999999999999 46.4833335880001,-46.4999999999999 46.4666671750001,-46.4999999999999 46.450000763,-46.4999999999999 46.433334351,-46.4999999999999 46.416667938,-46.4999999999999 46.400001526,-46.4999999999999 46.383335114,-46.4999999999999 46.3666648860001,-46.4999999999999 46.3499984740001,-46.4999999999999 46.3333320620001,-46.4999999999999 46.3166656490001,-46.4999999999999 46.2999992370001,-46.4999999999999 46.2833328250001,-46.4999999999999 46.2666664120001,-46.4999999999999 46.2500000000001,-46.4999999999999 46.2333335880001,-46.4999999999999 46.2166671750001,-46.4999999999999 46.200000763,-46.4999999999999 46.183334351,-46.4999999999999 46.166667938,-46.4999999999999 46.150001526,-46.4999999999999 46.133335114,-46.4999999999999 46.1166648860001,-46.4999999999999 46.0999984740001,-46.4999999999999 46.0833320620001,-46.4999999999999 46.0666656490001,-46.4999999999999 46.0499992370001,-46.4999999999999 46.0333328250001,-46.4999999999999 46.0166664120001,-46.4999999999999 46.0000000000001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.3', '', '21.3', '21.3.L', '', '21.3L', '', '', '', '', '', '', '', '3L', '3', '21.3.L', '21.3L', 'Y'),('SRID=4326;MULTIPOLYGON(((-70.877204515 42.0329528280001,-70.4999999999999 41.6699981690001,-70.138648745 41.7133613120001,-69.9999999999999 41.729999542,-69.9999999999999 41.6663894650001,-69.9999999999999 41.650001526,-69.9999999999999 41.633335114,-69.9999999999999 41.6166648860001,-69.9999999999999 41.5999984740001,-69.9999999999999 41.5833320620001,-69.9999999999999 41.5666656500001,-69.9999999999999 41.5499992370001,-69.9999999999999 41.5333328250001,-69.9999999999999 41.5166664120001,-69.9999999999999 41.5000000000001,-69.9999999999999 41.4833335880001,-69.9999999999999 41.4666671750001,-69.9999999999999 41.450000763,-69.9999999999999 41.433334351,-69.9999999999999 41.416667938,-69.9999999999999 41.400001526,-69.9999999999999 41.383335114,-69.9999999999999 41.3666648870001,-69.9999999999999 41.3499984740001,-69.9999999999999 41.3333320620001,-69.9999999999999 41.3166656490001,-69.9999999999999 41.2999992370001,-69.9999999999999 41.2833328250001,-69.9999999999999 41.2666664120001,-69.9999999999999 41.2500000000001,-69.9999999999999 41.2333335880001,-69.9999999999999 41.2166671750001,-69.9999999999999 41.200000763,-69.9999999999999 41.183334351,-69.9999999999999 41.166667939,-69.9999999999999 41.150001526,-69.9999999999999 41.133335114,-69.9999999999999 41.1166648860001,-69.9999999999999 41.0999984740001,-69.9999999999999 41.0833320620001,-69.9999999999999 41.0666656490001,-69.9999999999999 41.0499992370001,-69.9999999999999 41.0333328250001,-69.9999999999999 41.0166664120001,-69.9999999999999 41.0000000000001,-69.9999999999999 40.9833335880001,-69.9999999999999 40.966667176,-69.9999999999999 40.950000763,-69.9999999999999 40.933334351,-69.9999999999999 40.916667938,-69.9999999999999 40.900001526,-69.9999999999999 40.883335114,-69.9999999999999 40.8666648860001,-69.9999999999999 40.8499984740001,-69.9999999999999 40.8333320620001,-69.9999999999999 40.8166656490001,-69.9999999999999 40.7999992370001,-69.9999999999999 40.7833328250001,-69.9999999999999 40.7666664130001,-69.9999999999999 40.7500000000001,-69.9999999999999 40.7333335880001,-69.9999999999999 40.7166671750001,-69.9999999999999 40.700000763,-69.9999999999999 40.683334351,-69.9999999999999 40.666667938,-69.9999999999999 40.650001526,-69.9999999999999 40.633335114,-69.9999999999999 40.6166648870001,-69.9999999999999 40.5999984740001,-69.9999999999999 40.5833320620001,-69.9999999999999 40.5666656500001,-69.9999999999999 40.5499992370001,-69.9999999999999 40.5333328250001,-69.9999999999999 40.5166664120001,-69.9999999999999 40.5000000000001,-69.9999999999999 40.4833335880001,-69.9999999999999 40.4666671750001,-69.9999999999999 40.450000763,-69.9999999999999 40.433334351,-69.9999999999999 40.416667938,-69.9999999999999 40.400001526,-69.9999999999999 40.383335114,-69.9999999999999 40.3666648870001,-69.9999999999999 40.3499984750001,-69.9999999999999 40.3333320620001,-69.9999999999999 40.3166656490001,-69.9999999999999 40.2999992370001,-69.9999999999999 40.2833328250001,-69.9999999999999 40.2666664120001,-69.9999999999999 40.2500000000001,-69.9999999999999 40.2333335880001,-69.9999999999999 40.2166671750001,-69.9999999999999 40.200000763,-69.9999999999999 40.183334351,-69.9999999999999 40.166667939,-69.9999999999999 40.150001526,-69.9999999999999 40.133335114,-69.9999999999999 40.1166648860001,-69.9999999999999 40.0999984740001,-69.9999999999999 40.0833320620001,-69.9999999999999 40.0666656490001,-69.9999999999999 40.0499992370001,-69.9999999999999 40.0333328250001,-69.9999999999999 40.0166664120001,-69.9999999999999 40.0000000000001,-69.9999999999999 39.9833335880001,-69.9999999999999 39.966667176,-69.9999999999999 39.950000763,-69.9999999999999 39.933334351,-69.9999999999999 39.916667938,-69.9999999999999 39.900001526,-69.9999999999999 39.883335114,-69.9999999999999 39.8666648860001,-69.9999999999999 39.8499984740001,-69.9999999999999 39.8333320620001,-69.9999999999999 39.8166656490001,-69.9999999999999 39.7999992370001,-69.9999999999999 39.7833328250001,-69.9999999999999 39.7666664130001,-69.9999999999999 39.7500000000001,-69.9999999999999 39.7333335880001,-69.9999999999999 39.7166671750001,-69.9999999999999 39.700000763,-69.9999999999999 39.683334351,-69.9999999999999 39.666667938,-69.9999999999999 39.650001526,-69.9999999999999 39.633335114,-69.9999999999999 39.6166648870001,-69.9999999999999 39.5999984740001,-69.9999999999999 39.5833320620001,-69.9999999999999 39.5666656500001,-69.9999999999999 39.5499992370001,-69.9999999999999 39.5333328250001,-69.9999999999999 39.5166664120001,-69.9999999999999 39.5000000000001,-69.9999999999999 39.4833335880001,-69.9999999999999 39.4666671750001,-69.9999999999999 39.450000763,-69.9999999999999 39.433334351,-69.9999999999999 39.416667938,-69.9999999999999 39.400001526,-69.9999999999999 39.383335114,-69.9999999999999 39.3666648870001,-69.9999999999999 39.3499984750001,-69.9999999999999 39.3333320620001,-69.9999999999999 39.3166656490001,-69.9999999999999 39.2999992370001,-69.9999999999999 39.2833328250001,-69.9999999999999 39.2666664120001,-69.9999999999999 39.2500000000001,-69.9999999999999 39.2333335880001,-69.9999999999999 39.2166671750001,-69.9999999999999 39.200000763,-69.9999999999999 39.183334351,-69.9999999999999 39.166667939,-69.9999999999999 39.150001526,-69.9999999999999 39.133335114,-69.9999999999999 39.1166648860001,-69.9999999999999 39.0999984740001,-69.9999999999999 39.0833320620001,-69.9999999999999 39.0666656490001,-69.9999999999999 39.0499992370001,-69.9999999999999 39.0333328250001,-69.9999999999999 39.0166664120001,-69.9999999999999 39.0000000000001,-70.016670227 39.0000000000001,-70.033332824 39.0000000000001,-70.050003051 39.0000000000001,-70.066665649 39.0000000000001,-70.083335876 39.0000000000001,-70.099998474 39.0000000000001,-70.116668701 39.0000000000001,-70.133331299 39.0000000000001,-70.150001526 39.0000000000001,-70.166664124 39.0000000000001,-70.183334351 39.0000000000001,-70.199996948 39.0000000000001,-70.2166671749999 39.0000000000001,-70.233329773 39.0000000000001,-70.2499999999999 39.0000000000001,-70.266670227 39.0000000000001,-70.2833328249999 39.0000000000001,-70.300003052 39.0000000000001,-70.316665649 39.0000000000001,-70.333335876 39.0000000000001,-70.349998474 39.0000000000001,-70.366668701 39.0000000000001,-70.383331299 39.0000000000001,-70.400001526 39.0000000000001,-70.416664123 39.0000000000001,-70.4333343499999 39.0000000000001,-70.449996948 39.0000000000001,-70.4666671749999 39.0000000000001,-70.483329773 39.0000000000001,-70.4999999999999 39.0000000000001,-70.516670227 39.0000000000001,-70.5333328249999 39.0000000000001,-70.550003052 39.0000000000001,-70.566665649 39.0000000000001,-70.583335876 39.0000000000001,-70.599998474 39.0000000000001,-70.616668701 39.0000000000001,-70.633331298 39.0000000000001,-70.6500015249999 39.0000000000001,-70.666664124 39.0000000000001,-70.683334351 39.0000000000001,-70.699996948 39.0000000000001,-70.7166671749999 39.0000000000001,-70.733329773 39.0000000000001,-70.7499999999999 39.0000000000001,-70.766670227 39.0000000000001,-70.7833328249999 39.0000000000001,-70.800003052 39.0000000000001,-70.816665649 39.0000000000001,-70.833335876 39.0000000000001,-70.849998474 39.0000000000001,-70.866668701 39.0000000000001,-70.883331299 39.0000000000001,-70.900001526 39.0000000000001,-70.916664124 39.0000000000001,-70.933334351 39.0000000000001,-70.949996948 39.0000000000001,-70.9666671749999 39.0000000000001,-70.983329773 39.0000000000001,-70.9999999999999 39.0000000000001,-71.016670227 39.0000000000001,-71.033332824 39.0000000000001,-71.050003051 39.0000000000001,-71.066665649 39.0000000000001,-71.083335876 39.0000000000001,-71.099998474 39.0000000000001,-71.116668701 39.0000000000001,-71.133331299 39.0000000000001,-71.150001526 39.0000000000001,-71.166664123 39.0000000000001,-71.183334351 39.0000000000001,-71.199996948 39.0000000000001,-71.2166671749999 39.0000000000001,-71.233329773 39.0000000000001,-71.2499999999999 39.0000000000001,-71.266670227 39.0000000000001,-71.2833328249999 39.0000000000001,-71.300003052 39.0000000000001,-71.316665649 39.0000000000001,-71.333335876 39.0000000000001,-71.349998474 39.0000000000001,-71.366668701 39.0000000000001,-71.383331299 39.0000000000001,-71.400001526 39.0000000000001,-71.416664123 39.0000000000001,-71.4333343499999 39.0000000000001,-71.449996948 39.0000000000001,-71.4666671749999 39.0000000000001,-71.483329773 39.0000000000001,-71.4999999999999 39.0000000000001,-71.516670227 39.0000000000001,-71.5333328249999 39.0000000000001,-71.550003052 39.0000000000001,-71.566665649 39.0000000000001,-71.583335876 39.0000000000001,-71.599998474 39.0000000000001,-71.616668701 39.0000000000001,-71.633331298 39.0000000000001,-71.6500015249999 39.0000000000001,-71.666664124 39.0000000000001,-71.666664124 39.0166664120001,-71.666664124 39.0333328250001,-71.666664124 39.0499992370001,-71.666664124 39.0666656490001,-71.666664124 39.0833320620001,-71.666664124 39.0999984740001,-71.666664124 39.1166648860001,-71.666664124 39.133335113,-71.666664124 39.150001526,-71.666664124 39.166667939,-71.666664124 39.183334351,-71.666664124 39.200000763,-71.666664124 39.2166671750001,-71.666664124 39.2333335880001,-71.666664124 39.2500000000001,-71.666664124 39.2666664120001,-71.666664124 39.2833328240001,-71.666664124 39.2999992370001,-71.666664124 39.3166656490001,-71.666664124 39.3333320620001,-71.666664124 39.3499984750001,-71.666664124 39.3666648870001,-71.666664124 39.383335114,-71.666664124 39.400001526,-71.666664124 39.416667938,-71.666664124 39.433334351,-71.666664124 39.450000763,-71.666664124 39.4666671750001,-71.666664124 39.4833335870001,-71.666664124 39.5000000000001,-71.666664124 39.5166664120001,-71.666664124 39.5333328250001,-71.666664124 39.5499992370001,-71.666664124 39.5666656500001,-71.666664124 39.5833320620001,-71.666664124 39.5999984740001,-71.666664124 39.6166648870001,-71.666664124 39.633335114,-71.666664124 39.650001526,-71.666664124 39.666667938,-71.666664124 39.6833343500001,-71.666664124 39.700000763,-71.666664124 39.7166671750001,-71.666664124 39.7333335870001,-71.666664124 39.7500000000001,-71.666664124 39.7666664130001,-71.666664124 39.7833328250001,-71.666664124 39.7999992370001,-71.666664124 39.8166656490001,-71.666664124 39.8333320620001,-71.666664124 39.8499984740001,-71.666664124 39.8666648860001,-71.666664124 39.883335113,-71.666664124 39.900001526,-71.666664124 39.916667938,-71.666664124 39.9333343500001,-71.666664124 39.950000763,-71.666664124 39.966667176,-71.666664124 39.9833335880001,-71.666664124 40.0000000000001,-71.666664124 40.0166664120001,-71.666664124 40.0333328250001,-71.666664124 40.0499992370001,-71.666664124 40.0666656490001,-71.666664124 40.0833320620001,-71.666664124 40.0999984740001,-71.666664124 40.1166648860001,-71.666664124 40.133335113,-71.666664124 40.150001526,-71.666664124 40.166667939,-71.666664124 40.183334351,-71.666664124 40.200000763,-71.666664124 40.2166671750001,-71.666664124 40.2333335880001,-71.666664124 40.2500000000001,-71.666664124 40.2666664120001,-71.666664124 40.2833328240001,-71.666664124 40.2999992370001,-71.666664124 40.3166656490001,-71.666664124 40.3333320620001,-71.666664124 40.3499984750001,-71.666664124 40.3666648870001,-71.666664124 40.383335114,-71.666664124 40.400001526,-71.666664124 40.416667938,-71.666664124 40.433334351,-71.666664124 40.450000763,-71.666664124 40.4666671750001,-71.666664124 40.4833335870001,-71.666664124 40.5000000000001,-71.666664124 40.5166664120001,-71.666664124 40.5333328250001,-71.666664124 40.5499992370001,-71.666664124 40.5666656500001,-71.666664124 40.5833320620001,-71.666664124 40.5999984740001,-71.666664124 40.6166648870001,-71.666664124 40.633335114,-71.666664124 40.650001526,-71.666664124 40.666667938,-71.666664124 40.6833343500001,-71.666664124 40.700000763,-71.666664124 40.7166671750001,-71.666664124 40.7333335880001,-71.666664124 40.7500000000001,-71.666664124 40.7666664130001,-71.666664124 40.7833328250001,-71.666664124 40.7999992370001,-71.666664124 40.8166656490001,-71.666664124 40.8333320620001,-71.666664124 40.8499984740001,-71.666664124 40.8666648860001,-71.666664124 40.883335113,-71.666664124 40.900001526,-71.666664124 40.916667938,-71.666664124 40.933334351,-71.666664124 40.950000763,-71.666664124 40.966667176,-71.666664124 40.9833335880001,-71.666664124 41.0000000000001,-71.666664124 41.0166664120001,-71.666664124 41.0333328250001,-71.666664124 41.0499992370001,-71.666664124 41.0666656490001,-71.666664124 41.0833320610001,-71.666664124 41.0999984740001,-71.666664124 41.1166648860001,-71.666664124 41.133335114,-71.666664124 41.150001526,-71.666664124 41.166667939,-71.666664124 41.183334351,-71.666664124 41.200000763,-71.666664124 41.2166671750001,-71.666664124 41.2333335880001,-71.666664124 41.2500000000001,-71.666664124 41.2666664120001,-71.666664124 41.2833328240001,-71.666664124 41.2999992370001,-71.666664124 41.3166656490001,-71.666664124 41.346904755,-71.6667161299999 41.357092106,-71.684149603 41.3510835700001,-71.711793433 41.3442727720001,-71.7157997849999 41.355490559,-71.7009762819999 41.369913426,-71.6668102089999 41.375520846,-71.6699981689999 42.0000000000001,-72.275441116 42.7272602720001,-71.9916341169999 42.9502514860001,-71.912626658 43.029258945,-70.877204515 42.0329528280001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.5', '', '21.5', '21.5.Z', '', '21.5Z', '21.5.Z.w', 'Western Subdivision', '21.5Zw', '', '', '', '', '5Zw', '4', '21.5.Z.w', '21.5Zw', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8903280690001 58.5549849050001,24.8912331700001 58.5000000000001,24.923848101 56.5186429830001,22.8957002510001 56.5000000000001,21.7420497690001 56.4893955040001,21.74184088 56.5000000000001,21.720648091 57.575873039,21.982565091 57.97532504,22.067469982 57.950648716,22.191293468 58.05839123,22.241144482 58.1339718,22.241948531 58.3395569800001,23.218860093 58.49999504,23.6876097800001 58.5000000000001,23.691400093 58.50000004,23.6914045830001 58.5000000000001,23.965796412 58.497548781,23.9699634840001 58.5000000000001,24.211727551 58.6422141570001,24.8903280690001 58.5549849050001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.III', 'Skagerrak, Kattegat, Sound, Belt S., and Baltic S.', '27.III', '27.III.d', '', '27.IIId', '27.III.d.28', 'East of Gotland or Gulf of Riga', '27.IIId28', '27.III.d.28.1', 'Gulf of Riga', '27.IIId28.1', '', '28.1', '5', '27.3.d.28.1', '27.28.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999789999 48.0000000100001,-41.9999999839999 47.983333476,-41.9999999839999 47.9666669360001,-41.9999999839999 47.9500003970001,-41.9999999839999 47.933333857,-41.9999999839999 47.9166673170001,-41.9999999839999 47.900000778,-41.9999999839999 47.8833342390001,-41.9999999839999 47.8666657910001,-41.9999999839999 47.849999252,-41.9999999839999 47.8333327130001,-41.9999999839999 47.816666173,-41.9999999839999 47.7999996340001,-41.9999999839999 47.7833330940001,-41.9999999839999 47.766666554,-41.9999999839999 47.7500000150001,-41.9999999839999 47.733333476,-41.9999999839999 47.7166669360001,-41.9999999839999 47.7000003970001,-41.9999999839999 47.683333857,-41.9999999839999 47.6666673170001,-41.9999999839999 47.650000778,-41.9999999839999 47.6333342390001,-41.9999999839999 47.6166657910001,-41.9999999839999 47.599999252,-41.9999999839999 47.5833327130001,-41.9999999839999 47.566666173,-41.9999999839999 47.549999633,-41.9999999839999 47.5333330940001,-41.9999999839999 47.516666554,-41.9999999839999 47.5000000150001,-41.9999999839999 47.483333476,-41.9999999839999 47.4666669360001,-41.9999999839999 47.4500003960001,-41.9999999839999 47.433333857,-41.9999999839999 47.4166673170001,-41.9999999839999 47.400000778,-41.9999999839999 47.3833342390001,-41.9999999839999 47.3666657910001,-41.9999999839999 47.349999252,-41.9999999839999 47.3333327130001,-41.9999999839999 47.316666173,-41.9999999839999 47.299999633,-41.9999999839999 47.2833330940001,-41.9999999839999 47.266666554,-41.9999999839999 47.2500000150001,-41.9999999839999 47.2333334750001,-41.9999999839999 47.2166669360001,-41.9999999839999 47.2000003960001,-41.9999999839999 47.183333857,-41.9999999839999 47.1666673170001,-41.9999999839999 47.150000778,-41.9999999839999 47.133334238,-41.9999999839999 47.1166657910001,-41.9999999839999 47.099999252,-41.9999999839999 47.0833327120001,-41.9999999839999 47.066666173,-41.9999999839999 47.049999633,-41.9999999839999 47.0333330940001,-41.9999999839999 47.016666554,-41.9999999839999 47.0000000150001,-41.9999999839999 46.9833334750001,-41.9999999839999 46.9666669360001,-41.9999999839999 46.9500003960001,-41.9999999839999 46.933333857,-41.9999999839999 46.9166673170001,-41.9999999839999 46.900000778,-41.9999999839999 46.883334238,-41.9999999839999 46.8666657910001,-41.9999999839999 46.849999252,-41.9999999839999 46.8333327120001,-41.9999999839999 46.8166661720001,-41.9999999839999 46.799999633,-41.9999999839999 46.7833330940001,-41.9999999839999 46.766666554,-41.9999999839999 46.7500000150001,-41.9999999839999 46.7333334750001,-41.9999999839999 46.716666935,-41.9999999839999 46.7000003960001,-41.9999999839999 46.683333857,-41.9999999839999 46.6666673170001,-41.9999999839999 46.650000778,-41.9999999839999 46.633334238,-41.9999999839999 46.6166657910001,-41.9999999839999 46.599999252,-41.9999999839999 46.5833327120001,-41.9999999839999 46.5666661720001,-41.9999999839999 46.549999633,-41.9999999839999 46.5333330940001,-41.9999999839999 46.516666554,-41.9999999839999 46.5000000140001,-41.9999999839999 46.4833334750001,-41.9999999839999 46.466666935,-41.9999999839999 46.4500003960001,-41.9999999839999 46.433333857,-41.9999999839999 46.4166673170001,-41.9999999839999 46.4000007770001,-41.9999999839999 46.383334238,-41.9999999839999 46.3666657910001,-41.9999999839999 46.349999251,-41.9999999839999 46.3333327120001,-41.9999999839999 46.3166661720001,-41.9999999839999 46.299999633,-41.9999999839999 46.2833330940001,-41.9999999839999 46.266666554,-41.9999999839999 46.2500000140001,-41.9999999839999 46.2333334750001,-41.9999999839999 46.216666935,-41.9999999839999 46.2000003960001,-41.9999999839999 46.183333856,-41.9999999839999 46.1666673170001,-41.9999999839999 46.1500007770001,-41.9999999839999 46.133334238,-41.9999999839999 46.1166657910001,-41.9999999839999 46.099999251,-41.9999999839999 46.0833327120001,-41.9999999839999 46.0666661720001,-41.9999999839999 46.049999633,-41.9999999839999 46.0333330930001,-41.9999999839999 46.016666554,-41.9999999839999 46.0000000140001,-41.9999999839999 45.9833334750001,-41.9999999839999 45.966666935,-41.9999999839999 45.9500003960001,-41.9999999839999 45.933333856,-41.9999999839999 45.9166673170001,-41.9999999839999 45.9000007770001,-41.9999999839999 45.883334238,-41.9999999839999 45.8666657910001,-41.9999999839999 45.849999251,-41.9999999839999 45.8333327120001,-41.9999999839999 45.8166661720001,-41.9999999839999 45.799999633,-41.9999999839999 45.7833330930001,-41.9999999839999 45.7666665530001,-41.9999999839999 45.7500000140001,-41.9999999839999 45.7333334750001,-41.9999999839999 45.716666935,-41.9999999839999 45.7000003960001,-41.9999999839999 45.683333856,-41.9999999839999 45.666667316,-41.9999999839999 45.6500007770001,-41.9999999839999 45.633334238,-41.9999999839999 45.6166657900001,-41.9999999839999 45.599999251,-41.9999999839999 45.5833327120001,-41.9999999839999 45.5666661720001,-41.9999999839999 45.549999633,-41.9999999839999 45.5333330930001,-41.9999999839999 45.5166665530001,-41.9999999839999 45.5000000140001,-41.9999999839999 45.4833334750001,-41.9999999839999 45.466666935,-41.9999999839999 45.4500003950001,-41.9999999839999 45.433333856,-41.9999999839999 45.416667316,-41.9999999839999 45.4000007770001,-41.9999999839999 45.383334238,-41.9999999839999 45.3666657900001,-41.9999999839999 45.349999251,-41.9999999839999 45.3333327120001,-41.9999999839999 45.3166661720001,-41.9999999839999 45.299999632,-41.9999999839999 45.2833330930001,-41.9999999839999 45.2666665530001,-41.9999999839999 45.2500000140001,-41.9999999839999 45.2333334750001,-41.9999999839999 45.216666935,-41.9999999839999 45.2000003950001,-41.9999999839999 45.183333856,-41.9999999839999 45.166667316,-41.9999999839999 45.1500007770001,-41.9999999839999 45.133334237,-41.9999999839999 45.1166657900001,-41.9999999839999 45.099999251,-41.9999999839999 45.083332711,-41.9999999839999 45.0666661720001,-41.9999999839999 45.049999632,-41.9999999839999 45.0333330930001,-41.9999999839999 45.0166665530001,-41.9999999839999 45.0000000140001,-41.9999999839999 44.9833334740001,-41.9999999839999 44.966666935,-41.9999999839999 44.9500003950001,-41.9999999839999 44.933333856,-41.9999999839999 44.916667316,-41.9999999839999 44.9000007770001,-41.9999999839999 44.883334237,-41.9999999839999 44.8666657900001,-41.9999999839999 44.849999251,-41.9999999839999 44.833332711,-41.9999999839999 44.8166661720001,-41.9999999839999 44.799999632,-41.9999999839999 44.7833330930001,-41.9999999839999 44.7666665530001,-41.9999999839999 44.7500000140001,-41.9999999839999 44.7333334740001,-41.9999999839999 44.716666934,-41.9999999839999 44.7000003950001,-41.9999999839999 44.683333856,-41.9999999839999 44.666667316,-41.9999999839999 44.6500007770001,-41.9999999839999 44.633334237,-41.9999999839999 44.6166657900001,-41.9999999839999 44.599999251,-41.9999999839999 44.583332711,-41.9999999839999 44.5666661710001,-41.9999999839999 44.549999632,-41.9999999839999 44.5333330930001,-41.9999999839999 44.5166665530001,-41.9999999839999 44.5000000140001,-41.9999999839999 44.4833334740001,-41.9999999839999 44.466666934,-41.9999999839999 44.4500003950001,-41.9999999839999 44.433333856,-41.9999999839999 44.416667316,-41.9999999839999 44.4000007760001,-41.9999999839999 44.383334237,-41.9999999839999 44.3666657900001,-41.9999999839999 44.3499992500001,-41.9999999839999 44.333332711,-41.9999999839999 44.3166661710001,-41.9999999839999 44.299999632,-41.9999999839999 44.2833330930001,-41.9999999839999 44.2666665530001,-41.9999999839999 44.250000013,-41.9999999839999 44.2333334740001,-41.9999999839999 44.216666934,-41.9999999839999 44.2000003950001,-41.9999999839999 44.183333856,-41.9999999839999 44.166667316,-41.9999999839999 44.1500007760001,-41.9999999839999 44.133334237,-41.9999999839999 44.1166657900001,-41.9999999839999 44.0999992500001,-41.9999999839999 44.083332711,-41.9999999839999 44.0666661710001,-41.9999999839999 44.049999632,-41.9999999839999 44.0333330920001,-41.9999999839999 44.0166665530001,-41.9999999839999 44.000000013,-41.9999999839999 43.9833334740001,-41.9999999839999 43.966666934,-41.9999999839999 43.9500003950001,-41.9999999839999 43.9333338550001,-41.9999999839999 43.916667316,-41.9999999839999 43.9000007760001,-41.9999999839999 43.883334237,-41.9999999839999 43.8666657900001,-41.9999999839999 43.8499992500001,-41.9999999839999 43.833332711,-41.9999999839999 43.8166661710001,-41.9999999839999 43.799999632,-41.9999999839999 43.7833330920001,-41.9999999839999 43.7666665530001,-41.9999999839999 43.750000013,-41.9999999839999 43.7333334740001,-41.9999999839999 43.716666934,-41.9999999839999 43.7000003950001,-41.9999999839999 43.6833338550001,-41.9999999839999 43.666667315,-41.9999999839999 43.6500007760001,-41.9999999839999 43.633334237,-41.9999999839999 43.6166657890001,-41.9999999839999 43.5999992500001,-41.9999999839999 43.583332711,-41.9999999839999 43.5666661710001,-41.9999999839999 43.549999632,-41.9999999839999 43.5333330920001,-41.9999999839999 43.5166665520001,-41.9999999839999 43.500000013,-41.9999999839999 43.4833334740001,-41.9999999839999 43.466666934,-41.9999999839999 43.4500003950001,-41.9999999839999 43.4333338550001,-41.9999999839999 43.416667315,-41.9999999839999 43.4000007760001,-41.9999999839999 43.383334237,-41.9999999839999 43.3666657890001,-41.9999999839999 43.3499992500001,-41.9999999839999 43.333332711,-41.9999999839999 43.3166661710001,-41.9999999839999 43.299999631,-41.9999999839999 43.2833330920001,-41.9999999839999 43.2666665520001,-41.9999999839999 43.250000013,-41.9999999839999 43.2333334740001,-41.9999999839999 43.216666934,-41.9999999839999 43.200000394,-41.9999999839999 43.1833338550001,-41.9999999839999 43.166667315,-41.9999999839999 43.1500007760001,-41.9999999839999 43.133334237,-41.9999999839999 43.1166657890001,-41.9999999839999 43.0999992500001,-41.9999999839999 43.083332711,-41.9999999839999 43.0666661710001,-41.9999999839999 43.049999631,-41.9999999839999 43.0333330920001,-41.9999999839999 43.0166665520001,-41.9999999789999 43.000000017,-41.9999999839999 42.9833334730001,-41.9999999839999 42.966666934,-41.9999999839999 42.950000394,-41.9999999839999 42.9333338550001,-41.9999999839999 42.916667315,-41.9999999839999 42.9000007760001,-41.9999999839999 42.8833342360001,-41.9999999839999 42.8666657890001,-41.9999999839999 42.8499992500001,-41.9999999839999 42.83333271,-41.9999999839999 42.8166661710001,-41.9999999839999 42.799999631,-41.9999999839999 42.7833330920001,-41.9999999839999 42.7666665520001,-41.9999999839999 42.750000013,-41.9999999839999 42.7333334730001,-41.9999999839999 42.716666934,-41.9999999839999 42.700000394,-41.9999999839999 42.6833338550001,-41.9999999839999 42.666667315,-41.9999999839999 42.6500007760001,-41.9999999839999 42.6333342360001,-41.9999999839999 42.6166657890001,-41.9999999839999 42.5999992500001,-41.9999999839999 42.58333271,-41.9999999839999 42.5666661700001,-41.9999999839999 42.549999631,-41.9999999839999 42.5333330920001,-41.9999999839999 42.5166665520001,-41.9999999839999 42.500000013,-41.9999999839999 42.4833334730001,-41.9999999839999 42.4666669330001,-41.9999999839999 42.450000394,-41.9999999839999 42.4333338550001,-41.9999999839999 42.416667315,-41.9999999839999 42.4000007760001,-41.9999999839999 42.3833342360001,-41.9999999839999 42.3666657890001,-41.9999999839999 42.3499992500001,-41.9999999839999 42.33333271,-41.9999999839999 42.3166661700001,-41.9999999839999 42.299999631,-41.9999999839999 42.2833330920001,-41.9999999839999 42.2666665520001,-41.9999999839999 42.250000012,-41.9999999839999 42.2333334730001,-41.9999999839999 42.2166669330001,-41.9999999839999 42.200000394,-41.9999999839999 42.1833338550001,-41.9999999839999 42.166667315,-41.9999999839999 42.1500007750001,-41.9999999839999 42.1333342360001,-41.9999999839999 42.1166657890001,-41.9999999839999 42.0999992490001,-41.9999999839999 42.08333271,-41.9999999839999 42.0666661700001,-41.9999999839999 42.049999631,-41.9999999839999 42.0333330920001,-41.9999999839999 42.0166665520001,-41.9999999839999 42.000000012,-41.9999999839999 41.9833334730001,-41.9999999839999 41.9666669330001,-41.9999999839999 41.950000394,-41.9999999839999 41.9333338550001,-41.9999999839999 41.916667315,-41.9999999839999 41.9000007750001,-41.9999999839999 41.8833342360001,-41.9999999839999 41.8666657890001,-41.9999999839999 41.8499992490001,-41.9999999839999 41.83333271,-41.9999999839999 41.8166661700001,-41.9999999839999 41.799999631,-41.9999999839999 41.783333091,-41.9999999839999 41.7666665520001,-41.9999999839999 41.750000012,-41.9999999839999 41.7333334730001,-41.9999999839999 41.7166669330001,-41.9999999839999 41.700000394,-41.9999999839999 41.6833338540001,-41.9999999839999 41.666667315,-41.9999999839999 41.6500007750001,-41.9999999839999 41.6333342360001,-41.9999999839999 41.6166657890001,-41.9999999839999 41.5999992490001,-41.9999999839999 41.58333271,-41.9999999839999 41.5666661700001,-41.9999999839999 41.549999631,-41.9999999839999 41.533333091,-41.9999999839999 41.5166665510001,-41.9999999839999 41.500000012,-41.9999999839999 41.4833334730001,-41.9999999839999 41.4666669330001,-41.9999999839999 41.450000394,-41.9999999839999 41.4333338540001,-41.9999999839999 41.4166673140001,-41.9999999839999 41.4000007750001,-41.9999999839999 41.3833342360001,-41.9999999839999 41.366665788,-41.9999999839999 41.3499992490001,-41.9999999839999 41.33333271,-41.9999999839999 41.3166661700001,-41.9999999839999 41.299999631,-41.9999999839999 41.283333091,-41.9999999839999 41.2666665510001,-41.9999999839999 41.250000012,-41.9999999839999 41.2333334730001,-41.9999999839999 41.2166669330001,-41.9999999839999 41.200000393,-41.9999999839999 41.1833338540001,-41.9999999839999 41.1666673140001,-41.9999999839999 41.1500007750001,-41.9999999839999 41.1333342360001,-41.9999999839999 41.116665788,-41.9999999839999 41.0999992490001,-41.9999999839999 41.08333271,-41.9999999839999 41.0666661700001,-41.9999999839999 41.0499996300001,-41.9999999839999 41.033333091,-41.9999999839999 41.0166665510001,-41.9999999839999 41.000000012,-41.9999999839999 40.9833334730001,-41.9999999839999 40.9666669330001,-41.9999999839999 40.950000393,-41.9999999839999 40.9333338540001,-41.9999999839999 40.9166673140001,-41.9999999839999 40.9000007750001,-41.9999999839999 40.8833342360001,-41.9999999839999 40.866665788,-41.9999999839999 40.8499992490001,-41.9999999839999 40.833332709,-41.9999999839999 40.8166661700001,-41.9999999839999 40.7999996300001,-41.9999999839999 40.783333091,-41.9999999839999 40.7666665510001,-41.9999999839999 40.750000012,-41.9999999839999 40.733333472,-41.9999999839999 40.7166669330001,-41.9999999839999 40.700000393,-41.9999999839999 40.6833338540001,-41.9999999839999 40.6666673140001,-41.9999999839999 40.6500007750001,-41.9999999839999 40.6333342350001,-41.9999999839999 40.616665788,-41.9999999839999 40.5999992490001,-41.9999999839999 40.583332709,-41.9999999839999 40.5666661700001,-41.9999999839999 40.5499996300001,-41.9999999839999 40.533333091,-41.9999999839999 40.5166665510001,-41.9999999839999 40.500000012,-41.9999999839999 40.483333472,-41.9999999839999 40.4666669320001,-41.9999999839999 40.450000393,-41.9999999839999 40.4333338540001,-41.9999999839999 40.4166673140001,-41.9999999839999 40.4000007750001,-41.9999999839999 40.3833342350001,-41.9999999839999 40.366665788,-41.9999999839999 40.3499992490001,-41.9999999839999 40.333332709,-41.9999999839999 40.316666169,-41.9999999839999 40.2999996300001,-41.9999999839999 40.283333091,-41.9999999839999 40.2666665510001,-41.9999999839999 40.250000012,-41.9999999839999 40.233333472,-41.9999999839999 40.2166669320001,-41.9999999839999 40.200000393,-41.9999999839999 40.1833338540001,-41.9999999839999 40.1666673140001,-41.9999999839999 40.1500007750001,-41.9999999839999 40.1333342350001,-41.9999999839999 40.116665788,-41.9999999839999 40.0999992480001,-41.9999999839999 40.083332709,-41.9999999839999 40.066666169,-41.9999999839999 40.0499996300001,-41.9999999839999 40.033333091,-41.9999999839999 40.0166665510001,-41.9999999839999 40.0000000110001,-41.9999999839999 39.983333472,-41.9999999839999 39.9666669320001,-41.9999999839999 39.950000393,-41.9999999839999 39.9333338540001,-41.9999999839999 39.9166673140001,-41.9999999839999 39.900000774,-41.9999999839999 39.8833342350001,-41.9999999839999 39.866665788,-41.9999999839999 39.8499992480001,-41.9999999839999 39.833332709,-41.9999999839999 39.816666169,-41.9999999839999 39.7999996300001,-41.9999999839999 39.783333091,-41.9999999839999 39.7666665510001,-41.9999999839999 39.7500000110001,-41.9999999839999 39.733333472,-41.9999999839999 39.7166669320001,-41.9999999839999 39.700000393,-41.9999999839999 39.6833338530001,-41.9999999839999 39.6666673140001,-41.9999999839999 39.650000774,-41.9999999839999 39.6333342350001,-41.9999999839999 39.616665788,-41.9999999839999 39.5999992480001,-41.9999999839999 39.583332709,-41.9999999839999 39.566666169,-41.9999999839999 39.5499996300001,-41.9999999839999 39.53333309,-41.9999999839999 39.5166665510001,-41.9999999839999 39.5000000110001,-41.9999999839999 39.483333472,-41.9999999839999 39.4666669320001,-41.9999999839999 39.450000393,-41.9999999839999 39.4333338530001,-41.9999999839999 39.4166673140001,-41.9999999839999 39.400000774,-41.9999999839999 39.3833342350001,-41.9999999839999 39.366665787,-41.9999999839999 39.3499992480001,-41.9999999839999 39.333332709,-41.9999999839999 39.316666169,-41.9999999839999 39.2999996300001,-41.9999999839999 39.28333309,-41.9999999839999 39.26666655,-41.9999999839999 39.2500000110001,-41.9999999839999 39.233333472,-41.9999999839999 39.2166669320001,-41.9999999839999 39.200000393,-41.9999999839999 39.1833338530001,-41.9999999839999 39.1666673130001,-41.9999999839999 39.150000774,-41.9999999839999 39.1333342350001,-41.9999999839999 39.116665787,-41.9999999839999 39.0999992480001,-41.9999999839999 39.083332709,-41.9999999839999 39.066666169,-41.9999999839999 39.0499996290001,-41.9999999839999 39.03333309,-41.9999999839999 39.01666655,-41.9999999889999 39.000000007,-42.0166664119999 39.0000000000001,-42.0333328249999 39.0000000000001,-42.049999237 39.0000000000001,-42.066665649 39.0000000000001,-42.083332062 39.0000000000001,-42.099998474 39.0000000000001,-42.116664886 39.0000000000001,-42.133335114 39.0000000000001,-42.150001526 39.0000000000001,-42.1666679379999 39.0000000000001,-42.183334351 39.0000000000001,-42.2000007629999 39.0000000000001,-42.2166671749999 39.0000000000001,-42.2333335879999 39.0000000000001,-42.2499999999999 39.0000000000001,-42.2666664119999 39.0000000000001,-42.2833328249999 39.0000000000001,-42.299999237 39.0000000000001,-42.316665649 39.0000000000001,-42.333332062 39.0000000000001,-42.349998474 39.0000000000001,-42.366664886 39.0000000000001,-42.383335114 39.0000000000001,-42.400001526 39.0000000000001,-42.4166679379999 39.0000000000001,-42.433334351 39.0000000000001,-42.4500007629999 39.0000000000001,-42.4666671749999 39.0000000000001,-42.4833335879999 39.0000000000001,-42.4999999999999 39.0000000000001,-42.5166664119999 39.0000000000001,-42.5333328249999 39.0000000000001,-42.549999237 39.0000000000001,-42.566665649 39.0000000000001,-42.583332062 39.0000000000001,-42.599998474 39.0000000000001,-42.616664886 39.0000000000001,-42.633335114 39.0000000000001,-42.650001526 39.0000000000001,-42.6666679379999 39.0000000000001,-42.683334351 39.0000000000001,-42.7000007629999 39.0000000000001,-42.7166671749999 39.0000000000001,-42.7333335879999 39.0000000000001,-42.7499999999999 39.0000000000001,-42.7666664119999 39.0000000000001,-42.7833328249999 39.0000000000001,-42.799999237 39.0000000000001,-42.816665649 39.0000000000001,-42.833332062 39.0000000000001,-42.849998474 39.0000000000001,-42.866664886 39.0000000000001,-42.883335114 39.0000000000001,-42.900001526 39.0000000000001,-42.9166679379999 39.0000000000001,-42.933334351 39.0000000000001,-42.9500007629999 39.0000000000001,-42.9666671749999 39.0000000000001,-42.9833335879999 39.0000000000001,-42.9999999999999 39.0000000000001,-43.0166664119999 39.0000000000001,-43.0333328249999 39.0000000000001,-43.049999237 39.0000000000001,-43.066665649 39.0000000000001,-43.083332062 39.0000000000001,-43.099998474 39.0000000000001,-43.116664886 39.0000000000001,-43.133335114 39.0000000000001,-43.150001526 39.0000000000001,-43.1666679379999 39.0000000000001,-43.183334351 39.0000000000001,-43.2000007629999 39.0000000000001,-43.2166671749999 39.0000000000001,-43.2333335879999 39.0000000000001,-43.2499999999999 39.0000000000001,-43.2666664119999 39.0000000000001,-43.2833328249999 39.0000000000001,-43.299999237 39.0000000000001,-43.316665649 39.0000000000001,-43.333332062 39.0000000000001,-43.349998474 39.0000000000001,-43.366664886 39.0000000000001,-43.383335114 39.0000000000001,-43.400001526 39.0000000000001,-43.4166679379999 39.0000000000001,-43.433334351 39.0000000000001,-43.4500007629999 39.0000000000001,-43.4666671749999 39.0000000000001,-43.4833335879999 39.0000000000001,-43.4999999999999 39.0000000000001,-43.5166664119999 39.0000000000001,-43.5333328249999 39.0000000000001,-43.549999237 39.0000000000001,-43.566665649 39.0000000000001,-43.583332062 39.0000000000001,-43.599998474 39.0000000000001,-43.616664886 39.0000000000001,-43.633335114 39.0000000000001,-43.650001526 39.0000000000001,-43.6666679379999 39.0000000000001,-43.683334351 39.0000000000001,-43.7000007629999 39.0000000000001,-43.7166671749999 39.0000000000001,-43.7333335879999 39.0000000000001,-43.7499999999999 39.0000000000001,-43.7666664119999 39.0000000000001,-43.7833328249999 39.0000000000001,-43.799999237 39.0000000000001,-43.816665649 39.0000000000001,-43.833332062 39.0000000000001,-43.849998474 39.0000000000001,-43.866664886 39.0000000000001,-43.883335114 39.0000000000001,-43.900001526 39.0000000000001,-43.9166679379999 39.0000000000001,-43.933334351 39.0000000000001,-43.9500007629999 39.0000000000001,-43.9666671749999 39.0000000000001,-43.9833335879999 39.0000000000001,-43.9999999999999 39.0000000000001,-44.0166664119999 39.0000000000001,-44.0333328249999 39.0000000000001,-44.049999237 39.0000000000001,-44.066665649 39.0000000000001,-44.083332062 39.0000000000001,-44.099998474 39.0000000000001,-44.116664886 39.0000000000001,-44.133335114 39.0000000000001,-44.150001526 39.0000000000001,-44.183334351 39.0000000000001,-44.2000007629999 39.0000000000001,-44.2166671749999 39.0000000000001,-44.2333335879999 39.0000000000001,-44.2499999999999 39.0000000000001,-44.2666664119999 39.0000000000001,-44.2833328249999 39.0000000000001,-44.299999237 39.0000000000001,-44.316665649 39.0000000000001,-44.333332062 39.0000000000001,-44.349998474 39.0000000000001,-44.366664886 39.0000000000001,-44.383335114 39.0000000000001,-44.400001526 39.0000000000001,-44.4166679379999 39.0000000000001,-44.433334351 39.0000000000001,-44.4500007629999 39.0000000000001,-44.4666671749999 39.0000000000001,-44.4833335879999 39.0000000000001,-44.4999999999999 39.0000000000001,-44.5166664119999 39.0000000000001,-44.5333328249999 39.0000000000001,-44.549999237 39.0000000000001,-44.566665649 39.0000000000001,-44.583332062 39.0000000000001,-44.599998474 39.0000000000001,-44.616664886 39.0000000000001,-44.633335114 39.0000000000001,-44.650001526 39.0000000000001,-44.6666679379999 39.0000000000001,-44.683334351 39.0000000000001,-44.7000007629999 39.0000000000001,-44.7166671749999 39.0000000000001,-44.7333335879999 39.0000000000001,-44.7499999999999 39.0000000000001,-44.7666664119999 39.0000000000001,-44.7833328249999 39.0000000000001,-44.799999237 39.0000000000001,-44.816665649 39.0000000000001,-44.833332062 39.0000000000001,-44.849998474 39.0000000000001,-44.866664886 39.0000000000001,-44.883335114 39.0000000000001,-44.900001526 39.0000000000001,-44.9166679379999 39.0000000000001,-44.933334351 39.0000000000001,-44.9500007629999 39.0000000000001,-44.9666671749999 39.0000000000001,-44.9833335879999 39.0000000000001,-44.9999999999999 39.0000000000001,-45.0166664119999 39.0000000000001,-45.0333328249999 39.0000000000001,-45.049999237 39.0000000000001,-45.066665649 39.0000000000001,-45.083332062 39.0000000000001,-45.099998474 39.0000000000001,-45.116664886 39.0000000000001,-45.133335114 39.0000000000001,-45.150001526 39.0000000000001,-45.1666679379999 39.0000000000001,-45.183334351 39.0000000000001,-45.2000007629999 39.0000000000001,-45.2166671749999 39.0000000000001,-45.2333335879999 39.0000000000001,-45.2499999999999 39.0000000000001,-45.2666664119999 39.0000000000001,-45.2833328249999 39.0000000000001,-45.299999237 39.0000000000001,-45.316665649 39.0000000000001,-45.333332062 39.0000000000001,-45.349998474 39.0000000000001,-45.366664886 39.0000000000001,-45.383335114 39.0000000000001,-45.400001526 39.0000000000001,-45.4166679379999 39.0000000000001,-45.433334351 39.0000000000001,-45.4500007629999 39.0000000000001,-45.4666671749999 39.0000000000001,-45.4833335879999 39.0000000000001,-45.4999999999999 39.0000000000001,-45.5166664119999 39.0000000000001,-45.5333328249999 39.0000000000001,-45.549999237 39.0000000000001,-45.566665649 39.0000000000001,-45.583332062 39.0000000000001,-45.599998474 39.0000000000001,-45.616664886 39.0000000000001,-45.633335114 39.0000000000001,-45.650001526 39.0000000000001,-45.6666679379999 39.0000000000001,-45.683334351 39.0000000000001,-45.7000007629999 39.0000000000001,-45.7166671749999 39.0000000000001,-45.7333335879999 39.0000000000001,-45.7499999999999 39.0000000000001,-45.7666664119999 39.0000000000001,-45.7833328249999 39.0000000000001,-45.799999237 39.0000000000001,-45.816665649 39.0000000000001,-45.833332062 39.0000000000001,-45.849998474 39.0000000000001,-45.866664886 39.0000000000001,-45.883335114 39.0000000000001,-45.900001526 39.0000000000001,-45.9166679379999 39.0000000000001,-45.933334351 39.0000000000001,-45.9500007629999 39.0000000000001,-45.9666671749999 39.0000000000001,-45.9833335879999 39.0000000000001,-45.9999999999999 39.0000000000001,-46.0166664119999 39.0000000000001,-46.0333328249999 39.0000000000001,-46.049999237 39.0000000000001,-46.066665649 39.0000000000001,-46.083332062 39.0000000000001,-46.099998474 39.0000000000001,-46.116664886 39.0000000000001,-46.133335114 39.0000000000001,-46.150001526 39.0000000000001,-46.1666679379999 39.0000000000001,-46.183334351 39.0000000000001,-46.2000007629999 39.0000000000001,-46.2166671749999 39.0000000000001,-46.2333335879999 39.0000000000001,-46.2499999999999 39.0000000000001,-46.2666664119999 39.0000000000001,-46.2833328249999 39.0000000000001,-46.299999237 39.0000000000001,-46.316665649 39.0000000000001,-46.333332062 39.0000000000001,-46.349998474 39.0000000000001,-46.366664886 39.0000000000001,-46.383335114 39.0000000000001,-46.400001526 39.0000000000001,-46.4166679379999 39.0000000000001,-46.433334351 39.0000000000001,-46.4500007629999 39.0000000000001,-46.4666671749999 39.0000000000001,-46.4833335879999 39.0000000000001,-46.4999999999999 39.0000000000001,-46.4999999999999 39.0166664120001,-46.4999999999999 39.0333328250001,-46.4999999999999 39.0499992370001,-46.4999999999999 39.0666656490001,-46.4999999999999 39.0833320620001,-46.4999999999999 39.0999984740001,-46.4999999999999 39.1166648860001,-46.4999999999999 39.133335114,-46.4999999999999 39.150001526,-46.4999999999999 39.166667938,-46.4999999999999 39.183334351,-46.4999999999999 39.200000763,-46.4999999999999 39.2166671750001,-46.4999999999999 39.2333335880001,-46.4999999999999 39.2500000000001,-46.4999999999999 39.2666664120001,-46.4999999999999 39.2833328250001,-46.4999999999999 39.2999992370001,-46.4999999999999 39.3166656490001,-46.4999999999999 39.3333320620001,-46.4999999999999 39.3499984740001,-46.4999999999999 39.3666648860001,-46.4999999999999 39.383335114,-46.4999999999999 39.400001526,-46.4999999999999 39.416667938,-46.4999999999999 39.433334351,-46.4999999999999 39.450000763,-46.4999999999999 39.4666671750001,-46.4999999999999 39.4833335880001,-46.4999999999999 39.5000000000001,-46.4999999999999 39.5166664120001,-46.4999999999999 39.5333328250001,-46.4999999999999 39.5499992370001,-46.4999999999999 39.5666656490001,-46.4999999999999 39.5833320620001,-46.4999999999999 39.5999984740001,-46.4999999999999 39.6166648860001,-46.4999999999999 39.633335114,-46.4999999999999 39.650001526,-46.4999999999999 39.666667938,-46.4999999999999 39.683334351,-46.4999999999999 39.7166671750001,-46.4999999999999 39.7333335880001,-46.4999999999999 39.7500000000001,-46.4999999999999 39.7666664120001,-46.4999999999999 39.775001526,-46.4999999999999 39.7833328250001,-46.4999999999999 39.7999992370001,-46.4999999999999 39.8166656490001,-46.4999999999999 39.8333320620001,-46.4999999999999 39.8499984740001,-46.4999999999999 39.8666648860001,-46.4999999999999 39.883335114,-46.4999999999999 39.900001526,-46.4999999999999 39.916667938,-46.4999999999999 39.933334351,-46.4999999999999 39.950000763,-46.4999999999999 39.9666671750001,-46.4999999999999 39.9833335880001,-46.4999999999999 40.0000000000001,-46.4999999999999 40.0166664120001,-46.4999999999999 40.0333328250001,-46.4999999999999 40.0499992370001,-46.4999999999999 40.0666656490001,-46.4999999999999 40.0833320620001,-46.4999999999999 40.0999984740001,-46.4999999999999 40.1166648860001,-46.4999999999999 40.133335114,-46.4999999999999 40.150001526,-46.4999999999999 40.166667938,-46.4999999999999 40.183334351,-46.4999999999999 40.200000763,-46.4999999999999 40.2166671750001,-46.4999999999999 40.2333335880001,-46.4999999999999 40.2500000000001,-46.4999999999999 40.2666664120001,-46.4999999999999 40.2833328250001,-46.4999999999999 40.2999992370001,-46.4999999999999 40.3166656490001,-46.4999999999999 40.3333320620001,-46.4999999999999 40.3499984740001,-46.4999999999999 40.3666648860001,-46.4999999999999 40.383335114,-46.4999999999999 40.400001526,-46.4999999999999 40.416667938,-46.4999999999999 40.433334351,-46.4999999999999 40.450000763,-46.4999999999999 40.4666671750001,-46.4999999999999 40.4833335880001,-46.4999999999999 40.5000000000001,-46.4999999999999 40.5166664120001,-46.4999999999999 40.5333328250001,-46.4999999999999 40.5499992370001,-46.4999999999999 40.5666656490001,-46.4999999999999 40.5833320620001,-46.4999999999999 40.5999984740001,-46.4999999999999 40.6166648860001,-46.4999999999999 40.633335114,-46.4999999999999 40.650001526,-46.4999999999999 40.666667938,-46.4999999999999 40.683334351,-46.4999999999999 40.7166671750001,-46.4999999999999 40.7333335880001,-46.4999999999999 40.7500000000001,-46.4999999999999 40.7666664120001,-46.4999999999999 40.775001526,-46.4999999999999 40.7833328250001,-46.4999999999999 40.7999992370001,-46.4999999999999 40.8166656490001,-46.4999999999999 40.8333320620001,-46.4999999999999 40.8499984740001,-46.4999999999999 40.8666648860001,-46.4999999999999 40.883335114,-46.4999999999999 40.900001526,-46.4999999999999 40.916667938,-46.4999999999999 40.933334351,-46.4999999999999 40.950000763,-46.4999999999999 40.9666671750001,-46.4999999999999 40.9833335880001,-46.4999999999999 41.0000000000001,-46.4999999999999 41.0166664120001,-46.4999999999999 41.0333328250001,-46.4999999999999 41.0499992370001,-46.4999999999999 41.0666656490001,-46.4999999999999 41.0833320620001,-46.4999999999999 41.0999984740001,-46.4999999999999 41.1166648860001,-46.4999999999999 41.133335114,-46.4999999999999 41.150001526,-46.4999999999999 41.166667938,-46.4999999999999 41.183334351,-46.4999999999999 41.200000763,-46.4999999999999 41.2166671750001,-46.4999999999999 41.2333335880001,-46.4999999999999 41.2500000000001,-46.4999999999999 41.2666664120001,-46.4999999999999 41.2833328250001,-46.4999999999999 41.2999992370001,-46.4999999999999 41.3166656490001,-46.4999999999999 41.3333320620001,-46.4999999999999 41.3499984740001,-46.4999999999999 41.3666648860001,-46.4999999999999 41.383335114,-46.4999999999999 41.400001526,-46.4999999999999 41.416667938,-46.4999999999999 41.433334351,-46.4999999999999 41.450000763,-46.4999999999999 41.4666671750001,-46.4999999999999 41.4833335880001,-46.4999999999999 41.5000000000001,-46.4999999999999 41.5166664120001,-46.4999999999999 41.5333328250001,-46.4999999999999 41.5499992370001,-46.4999999999999 41.5666656490001,-46.4999999999999 41.5833320620001,-46.4999999999999 41.5999984740001,-46.4999999999999 41.6166648860001,-46.4999999999999 41.633335114,-46.4999999999999 41.650001526,-46.4999999999999 41.666667938,-46.4999999999999 41.683334351,-46.4999999999999 41.7166671750001,-46.4999999999999 41.7333335880001,-46.4999999999999 41.7500000000001,-46.4999999999999 41.7666664120001,-46.4999999999999 41.775001526,-46.4999999999999 41.7833328250001,-46.4999999999999 41.7999992370001,-46.4999999999999 41.8166656490001,-46.4999999999999 41.8333320620001,-46.4999999999999 41.8499984740001,-46.4999999999999 41.8666648860001,-46.4999999999999 41.883335114,-46.4999999999999 41.900001526,-46.4999999999999 41.916667938,-46.4999999999999 41.933334351,-46.4999999999999 41.950000763,-46.4999999999999 41.9666671750001,-46.4999999999999 41.9833335880001,-46.4999999999999 42.0000000000001,-46.4999999999999 42.0166664120001,-46.4999999999999 42.0333328250001,-46.4999999999999 42.0499992370001,-46.4999999999999 42.0666656490001,-46.4999999999999 42.0833320620001,-46.4999999999999 42.0999984740001,-46.4999999999999 42.1166648860001,-46.4999999999999 42.133335114,-46.4999999999999 42.150001526,-46.4999999999999 42.166667938,-46.4999999999999 42.183334351,-46.4999999999999 42.200000763,-46.4999999999999 42.2166671750001,-46.4999999999999 42.2333335880001,-46.4999999999999 42.2500000000001,-46.4999999999999 42.2666664120001,-46.4999999999999 42.2833328250001,-46.4999999999999 42.2999992370001,-46.4999999999999 42.3166656490001,-46.4999999999999 42.3333320620001,-46.4999999999999 42.3499984740001,-46.4999999999999 42.3666648860001,-46.4999999999999 42.383335114,-46.4999999999999 42.400001526,-46.4999999999999 42.416667938,-46.4999999999999 42.433334351,-46.4999999999999 42.450000763,-46.4999999999999 42.4666671750001,-46.4999999999999 42.4833335880001,-46.4999999999999 42.5000000000001,-46.4999999999999 42.5166664120001,-46.4999999999999 42.5333328250001,-46.4999999999999 42.5499992370001,-46.4999999999999 42.5666656490001,-46.4999999999999 42.5833320620001,-46.4999999999999 42.5999984740001,-46.4999999999999 42.6166648860001,-46.4999999999999 42.633335114,-46.4999999999999 42.650001526,-46.4999999999999 42.666667938,-46.4999999999999 42.683334351,-46.4999999999999 42.7166671750001,-46.4999999999999 42.7333335880001,-46.4999999999999 42.7500000000001,-46.4999999999999 42.7666664120001,-46.4999999999999 42.775001526,-46.4999999999999 42.7833328250001,-46.4999999999999 42.7999992370001,-46.4999999999999 42.8166656490001,-46.4999999999999 42.8333320620001,-46.4999999999999 42.8499984740001,-46.4999999999999 42.8666648860001,-46.4999999999999 42.883335114,-46.4999999999999 42.900001526,-46.4999999999999 42.916667938,-46.4999999999999 42.933334351,-46.4999999999999 42.950000763,-46.4999999999999 42.9666671750001,-46.4999999999999 42.9833335880001,-46.4999999999999 43.0000000000001,-46.4999999999999 43.0166664120001,-46.4999999999999 43.0333328250001,-46.4999999999999 43.0499992370001,-46.4999999999999 43.0666656490001,-46.4999999999999 43.0833320620001,-46.4999999999999 43.0999984740001,-46.4999999999999 43.1166648860001,-46.4999999999999 43.133335114,-46.4999999999999 43.150001526,-46.4999999999999 43.166667938,-46.4999999999999 43.183334351,-46.4999999999999 43.200000763,-46.4999999999999 43.2166671750001,-46.4999999999999 43.2333335880001,-46.4999999999999 43.2500000000001,-46.4999999999999 43.2666664120001,-46.4999999999999 43.2833328250001,-46.4999999999999 43.2999992370001,-46.4999999999999 43.3166656490001,-46.4999999999999 43.3333320620001,-46.4999999999999 43.3499984740001,-46.4999999999999 43.3666648860001,-46.4999999999999 43.383335114,-46.4999999999999 43.400001526,-46.4999999999999 43.416667938,-46.4999999999999 43.433334351,-46.4999999999999 43.450000763,-46.4999999999999 43.4666671750001,-46.4999999999999 43.4833335880001,-46.4999999999999 43.5000000000001,-46.4999999999999 43.5166664120001,-46.4999999999999 43.5333328250001,-46.4999999999999 43.5499992370001,-46.4999999999999 43.5666656490001,-46.4999999999999 43.5833320620001,-46.4999999999999 43.5999984740001,-46.4999999999999 43.6166648860001,-46.4999999999999 43.633335114,-46.4999999999999 43.650001526,-46.4999999999999 43.666667938,-46.4999999999999 43.683334351,-46.4999999999999 43.7166671750001,-46.4999999999999 43.7333335880001,-46.4999999999999 43.7500000000001,-46.4999999999999 43.7666664120001,-46.4999999999999 43.775001526,-46.4999999999999 43.7833328250001,-46.4999999999999 43.7999992370001,-46.4999999999999 43.8166656490001,-46.4999999999999 43.8333320620001,-46.4999999999999 43.8499984740001,-46.4999999999999 43.8666648860001,-46.4999999999999 43.883335114,-46.4999999999999 43.900001526,-46.4999999999999 43.916667938,-46.4999999999999 43.933334351,-46.4999999999999 43.950000763,-46.4999999999999 43.9666671750001,-46.4999999999999 43.9833335880001,-46.4999999999999 44.0000000000001,-46.4999999999999 44.0166664120001,-46.4999999999999 44.0333328250001,-46.4999999999999 44.0499992370001,-46.4999999999999 44.0666656490001,-46.4999999999999 44.0833320620001,-46.4999999999999 44.0999984740001,-46.4999999999999 44.1166648860001,-46.4999999999999 44.133335114,-46.4999999999999 44.150001526,-46.4999999999999 44.166667938,-46.4999999999999 44.183334351,-46.4999999999999 44.200000763,-46.4999999999999 44.2166671750001,-46.4999999999999 44.2333335880001,-46.4999999999999 44.2500000000001,-46.4999999999999 44.2666664120001,-46.4999999999999 44.2833328250001,-46.4999999999999 44.2999992370001,-46.4999999999999 44.3166656490001,-46.4999999999999 44.3333320620001,-46.4999999999999 44.3499984740001,-46.4999999999999 44.3666648860001,-46.4999999999999 44.383335114,-46.4999999999999 44.400001526,-46.4999999999999 44.416667938,-46.4999999999999 44.433334351,-46.4999999999999 44.450000763,-46.4999999999999 44.4666671750001,-46.4999999999999 44.4833335880001,-46.4999999999999 44.5000000000001,-46.4999999999999 44.5166664120001,-46.4999999999999 44.5333328250001,-46.4999999999999 44.5499992370001,-46.4999999999999 44.5666656490001,-46.4999999999999 44.5833320620001,-46.4999999999999 44.5999984740001,-46.4999999999999 44.6166648860001,-46.4999999999999 44.633335114,-46.4999999999999 44.650001526,-46.4999999999999 44.666667938,-46.4999999999999 44.683334351,-46.4999999999999 44.7166671750001,-46.4999999999999 44.7333335880001,-46.4999999999999 44.7500000000001,-46.4999999999999 44.7666664120001,-46.4999999999999 44.775001526,-46.4999999999999 44.7833328250001,-46.4999999999999 44.7999992370001,-46.4999999999999 44.8166656490001,-46.4999999999999 44.8333320620001,-46.4999999999999 44.8499984740001,-46.4999999999999 44.8666648860001,-46.4999999999999 44.883335114,-46.4999999999999 44.900001526,-46.4999999999999 44.916667938,-46.4999999999999 44.933334351,-46.4999999999999 44.950000763,-46.4999999999999 44.9666671750001,-46.4999999999999 44.9833335880001,-46.4999999999999 45.0000000000001,-46.4999999999999 45.0166664120001,-46.4999999999999 45.0333328250001,-46.4999999999999 45.0499992370001,-46.4999999999999 45.0666656490001,-46.4999999999999 45.0833320620001,-46.4999999999999 45.0999984740001,-46.4999999999999 45.1166648860001,-46.4999999999999 45.133335114,-46.4999999999999 45.150001526,-46.4999999999999 45.166667938,-46.4999999999999 45.183334351,-46.4999999999999 45.200000763,-46.4999999999999 45.2166671750001,-46.4999999999999 45.2333335880001,-46.4999999999999 45.2500000000001,-46.4999999999999 45.2666664120001,-46.4999999999999 45.2833328250001,-46.4999999999999 45.2999992370001,-46.4999999999999 45.3166656490001,-46.4999999999999 45.3333320620001,-46.4999999999999 45.3499984740001,-46.4999999999999 45.3666648860001,-46.4999999999999 45.383335114,-46.4999999999999 45.400001526,-46.4999999999999 45.416667938,-46.4999999999999 45.433334351,-46.4999999999999 45.450000763,-46.4999999999999 45.4666671750001,-46.4999999999999 45.4833335880001,-46.4999999999999 45.5000000000001,-46.4999999999999 45.5166664120001,-46.4999999999999 45.5333328250001,-46.4999999999999 45.5499992370001,-46.4999999999999 45.5666656490001,-46.4999999999999 45.5833320620001,-46.4999999999999 45.5999984740001,-46.4999999999999 45.6166648860001,-46.4999999999999 45.633335114,-46.4999999999999 45.650001526,-46.4999999999999 45.666667938,-46.4999999999999 45.683334351,-46.4999999999999 45.7166671750001,-46.4999999999999 45.7333335880001,-46.4999999999999 45.7500000000001,-46.4999999999999 45.7666664120001,-46.4999999999999 45.775001526,-46.4999999999999 45.7833328250001,-46.4999999999999 45.7999992370001,-46.4999999999999 45.8166656490001,-46.4999999999999 45.8333320620001,-46.4999999999999 45.8499984740001,-46.4999999999999 45.8666648860001,-46.4999999999999 45.883335114,-46.4999999999999 45.900001526,-46.4999999999999 45.916667938,-46.4999999999999 45.933334351,-46.4999999999999 45.950000763,-46.4999999999999 45.9666671750001,-46.4999999999999 45.9833335880001,-46.4999999999999 46.0000000000001,-46.4999999999999 46.0166664120001,-46.4999999999999 46.0333328250001,-46.4999999999999 46.0499992370001,-46.4999999999999 46.0666656490001,-46.4999999999999 46.0833320620001,-46.4999999999999 46.0999984740001,-46.4999999999999 46.1166648860001,-46.4999999999999 46.133335114,-46.4999999999999 46.150001526,-46.4999999999999 46.166667938,-46.4999999999999 46.183334351,-46.4999999999999 46.200000763,-46.4999999999999 46.2166671750001,-46.4999999999999 46.2333335880001,-46.4999999999999 46.2500000000001,-46.4999999999999 46.2666664120001,-46.4999999999999 46.2833328250001,-46.4999999999999 46.2999992370001,-46.4999999999999 46.3166656490001,-46.4999999999999 46.3333320620001,-46.4999999999999 46.3499984740001,-46.4999999999999 46.3666648860001,-46.4999999999999 46.383335114,-46.4999999999999 46.400001526,-46.4999999999999 46.416667938,-46.4999999999999 46.433334351,-46.4999999999999 46.450000763,-46.4999999999999 46.4666671750001,-46.4999999999999 46.4833335880001,-46.4999999999999 46.5000000000001,-46.4999999999999 46.5166664120001,-46.4999999999999 46.5333328250001,-46.4999999999999 46.5499992370001,-46.4999999999999 46.5666656490001,-46.4999999999999 46.5833320620001,-46.4999999999999 46.5999984740001,-46.4999999999999 46.6166648860001,-46.4999999999999 46.633335114,-46.4999999999999 46.650001526,-46.4999999999999 46.666667938,-46.4999999999999 46.683334351,-46.4999999999999 46.7166671750001,-46.4999999999999 46.7333335880001,-46.4999999999999 46.7500000000001,-46.4999999999999 46.7666664120001,-46.4999999999999 46.775001526,-46.4999999999999 46.7833328250001,-46.4999999999999 46.7999992370001,-46.4999999999999 46.8166656490001,-46.4999999999999 46.8333320620001,-46.4999999999999 46.8499984740001,-46.4999999999999 46.8666648860001,-46.4999999999999 46.883335114,-46.4999999999999 46.900001526,-46.4999999999999 46.916667938,-46.4999999999999 46.933334351,-46.4999999999999 46.950000763,-46.4999999999999 46.9666671750001,-46.4999999999999 46.9833335880001,-46.4999999999999 47.0000000000001,-46.4999999999999 47.0166664120001,-46.4999999999999 47.0333328250001,-46.4999999999999 47.0499992370001,-46.4999999999999 47.0666656490001,-46.4999999999999 47.0833320620001,-46.4999999999999 47.0999984740001,-46.4999999999999 47.1166648860001,-46.4999999999999 47.133335114,-46.4999999999999 47.150001526,-46.4999999999999 47.166667938,-46.4999999999999 47.183334351,-46.4999999999999 47.200000763,-46.4999999999999 47.2166671750001,-46.4999999999999 47.2333335880001,-46.4999999999999 47.2500000000001,-46.4999999999999 47.2666664120001,-46.4999999999999 47.2833328250001,-46.4999999999999 47.2999992370001,-46.4999999999999 47.3166656490001,-46.4999999999999 47.3333320620001,-46.4999999999999 47.3499984740001,-46.4999999999999 47.3666648860001,-46.4999999999999 47.383335114,-46.4999999999999 47.400001526,-46.4999999999999 47.416667938,-46.4999999999999 47.433334351,-46.4999999999999 47.450000763,-46.4999999999999 47.4666671750001,-46.4999999999999 47.4833335880001,-46.4999999999999 47.5000000000001,-46.4999999999999 47.5166664120001,-46.4999999999999 47.5333328250001,-46.4999999999999 47.5499992370001,-46.4999999999999 47.5666656490001,-46.4999999999999 47.5833320620001,-46.4999999999999 47.5999984740001,-46.4999999999999 47.6166648860001,-46.4999999999999 47.633335114,-46.4999999999999 47.650001526,-46.4999999999999 47.666667938,-46.4999999999999 47.683334351,-46.4999999999999 47.7166671750001,-46.4999999999999 47.7333335880001,-46.4999999999999 47.7500000000001,-46.4999999999999 47.7666664120001,-46.4999999999999 47.775001526,-46.4999999999999 47.7833328250001,-46.4999999999999 47.7999992370001,-46.4999999999999 47.8166656490001,-46.4999999999999 47.8333320620001,-46.4999999999999 47.8499984740001,-46.4999999999999 47.8666648860001,-46.4999999999999 47.883335114,-46.4999999999999 47.900001526,-46.4999999999999 47.916667938,-46.4999999999999 47.933334351,-46.4999999999999 47.950000763,-46.4999999999999 47.9666671750001,-46.4999999999999 47.9833335880001,-46.4999999999999 48.0000000000001,-46.4999999999999 48.0166664120001,-46.4999999999999 48.0333328250001,-46.4999999999999 48.0499992370001,-46.4999999999999 48.0666656490001,-46.4999999999999 48.0833320620001,-46.4999999999999 48.0999984740001,-46.4999999999999 48.1166648860001,-46.4999999999999 48.133335114,-46.4999999999999 48.150001526,-46.4999999999999 48.166667938,-46.4999999999999 48.183334351,-46.4999999999999 48.200000763,-46.4999999999999 48.2166671750001,-46.4999999999999 48.2333335880001,-46.4999999999999 48.2500000000001,-46.4999999999999 48.2666664120001,-46.4999999999999 48.2833328250001,-46.4999999999999 48.2999992370001,-46.4999999999999 48.3166656490001,-46.4999999999999 48.3333320620001,-46.4999999999999 48.3499984740001,-46.4999999999999 48.3666648860001,-46.4999999999999 48.383335114,-46.4999999999999 48.400001526,-46.4999999999999 48.416667938,-46.4999999999999 48.433334351,-46.4999999999999 48.450000763,-46.4999999999999 48.4666671750001,-46.4999999999999 48.4833335880001,-46.4999999999999 48.5000000000001,-46.4999999999999 48.5166664120001,-46.4999999999999 48.5333328250001,-46.4999999999999 48.5499992370001,-46.4999999999999 48.5666656490001,-46.4999999999999 48.5833320620001,-46.4999999999999 48.5999984740001,-46.4999999999999 48.6166648860001,-46.4999999999999 48.633335114,-46.4999999999999 48.650001526,-46.4999999999999 48.666667938,-46.4999999999999 48.683334351,-46.4999999999999 48.7166671750001,-46.4999999999999 48.7333335880001,-46.4999999999999 48.7500000000001,-46.4999999999999 48.7666664120001,-46.4999999999999 48.775001526,-46.4999999999999 48.7833328250001,-46.4999999999999 48.7999992370001,-46.4999999999999 48.8166656490001,-46.4999999999999 48.8333320620001,-46.4999999999999 48.8499984740001,-46.4999999999999 48.8666648860001,-46.4999999999999 48.883335114,-46.4999999999999 48.900001526,-46.4999999999999 48.916667938,-46.4999999999999 48.933334351,-46.4999999999999 48.950000763,-46.4999999999999 48.9666671750001,-46.4999999999999 48.9833335880001,-46.4999999999999 49.0000000000001,-46.4999999999999 49.0166664120001,-46.4999999999999 49.0333328250001,-46.4999999999999 49.0499992370001,-46.4999999999999 49.0666656490001,-46.4999999999999 49.0833320620001,-46.4999999999999 49.0999984740001,-46.4999999999999 49.1166648860001,-46.4999999999999 49.133335114,-46.4999999999999 49.150001526,-46.4999999999999 49.166667938,-46.4999999999999 49.183334351,-46.4999999999999 49.200000763,-46.4999999999999 49.2166671750001,-46.4999999999999 49.2333335880001,-46.4999999999999 49.2500000000001,-46.4833335879999 49.2500000000001,-46.4666671749999 49.2500000000001,-46.4500007629999 49.2500000000001,-46.4333343499999 49.2500000000001,-46.4166679379999 49.2500000000001,-46.400001526 49.2500000000001,-46.3833351129999 49.2500000000001,-46.366664886 49.2500000000001,-46.349998474 49.2500000000001,-46.333332062 49.2500000000001,-46.316665649 49.2500000000001,-46.299999237 49.2500000000001,-46.2833328249999 49.2500000000001,-46.2666664119999 49.2500000000001,-46.2499999999999 49.2500000000001,-46.2333335869999 49.2500000000001,-46.2166671749999 49.2500000000001,-46.2000007629999 49.2500000000001,-46.1833343499999 49.2500000000001,-46.1666679379999 49.2500000000001,-46.150001526 49.2500000000001,-46.133335114 49.2500000000001,-46.116664886 49.2500000000001,-46.099998474 49.2500000000001,-46.083332062 49.2500000000001,-46.066665649 49.2500000000001,-46.049999237 49.2500000000001,-46.033332824 49.2500000000001,-46.0166664119999 49.2500000000001,-45.9999999999999 49.2500000000001,-45.9833335869999 49.2500000000001,-45.9666671749999 49.2500000000001,-45.9500007629999 49.2500000000001,-45.933334351 49.2500000000001,-45.9166679379999 49.2500000000001,-45.900001526 49.2500000000001,-45.883335114 49.2500000000001,-45.866664886 49.2500000000001,-45.849998474 49.2500000000001,-45.833332061 49.2500000000001,-45.816665649 49.2500000000001,-45.799999237 49.2500000000001,-45.7833328249999 49.2500000000001,-45.7666664119999 49.2500000000001,-45.7499999999999 49.2500000000001,-45.7333335879999 49.2500000000001,-45.7166671749999 49.2500000000001,-45.7000007629999 49.2500000000001,-45.683334351 49.2500000000001,-45.6666679379999 49.2500000000001,-45.650001526 49.2500000000001,-45.6333351129999 49.2500000000001,-45.616664886 49.2500000000001,-45.599998474 49.2500000000001,-45.583332062 49.2500000000001,-45.566665649 49.2500000000001,-45.549999237 49.2500000000001,-45.5333328249999 49.2500000000001,-45.5166664119999 49.2500000000001,-45.4999999999999 49.2500000000001,-45.4833335879999 49.2500000000001,-45.4666671749999 49.2500000000001,-45.4500007629999 49.2500000000001,-45.4333343499999 49.2500000000001,-45.4166679379999 49.2500000000001,-45.400001526 49.2500000000001,-45.3833351129999 49.2500000000001,-45.366664886 49.2500000000001,-45.349998474 49.2500000000001,-45.333332062 49.2500000000001,-45.316665649 49.2500000000001,-45.299999237 49.2500000000001,-45.2833328249999 49.2500000000001,-45.2666664119999 49.2500000000001,-45.2499999999999 49.2500000000001,-45.2333335869999 49.2500000000001,-45.2166671749999 49.2500000000001,-45.2000007629999 49.2500000000001,-45.1833343499999 49.2500000000001,-45.1666679379999 49.2500000000001,-45.150001526 49.2500000000001,-45.133335114 49.2500000000001,-45.116664886 49.2500000000001,-45.099998474 49.2500000000001,-45.083332062 49.2500000000001,-45.066665649 49.2500000000001,-45.049999237 49.2500000000001,-45.033332824 49.2500000000001,-45.0166664119999 49.2500000000001,-44.9999999999999 49.2500000000001,-44.9833335879999 49.2500000000001,-44.9666671749999 49.2500000000001,-44.9500007629999 49.2500000000001,-44.933334351 49.2500000000001,-44.9166679379999 49.2500000000001,-44.900001526 49.2500000000001,-44.883335114 49.2500000000001,-44.866664886 49.2500000000001,-44.849998474 49.2500000000001,-44.833332061 49.2500000000001,-44.816665649 49.2500000000001,-44.799999237 49.2500000000001,-44.7833328249999 49.2500000000001,-44.7666664119999 49.2500000000001,-44.7499999999999 49.2500000000001,-44.7333335879999 49.2500000000001,-44.7166671749999 49.2500000000001,-44.7000007629999 49.2500000000001,-44.683334351 49.2500000000001,-44.6666679379999 49.2500000000001,-44.6500015249999 49.2500000000001,-44.6333351129999 49.2500000000001,-44.616664886 49.2500000000001,-44.599998474 49.2500000000001,-44.583332062 49.2500000000001,-44.566665649 49.2500000000001,-44.549999237 49.2500000000001,-44.5333328249999 49.2500000000001,-44.5166664119999 49.2500000000001,-44.4999999999999 49.2500000000001,-44.4833335879999 49.2500000000001,-44.4666671749999 49.2500000000001,-44.4500007629999 49.2500000000001,-44.4333343499999 49.2500000000001,-44.4166679379999 49.2500000000001,-44.400001526 49.2500000000001,-44.3833351129999 49.2500000000001,-44.366664886 49.2500000000001,-44.349998474 49.2500000000001,-44.333332062 49.2500000000001,-44.316665649 49.2500000000001,-44.299999237 49.2500000000001,-44.2833328249999 49.2500000000001,-44.2666664119999 49.2500000000001,-44.2499999999999 49.2500000000001,-44.2333335869999 49.2500000000001,-44.2166671749999 49.2500000000001,-44.2000007629999 49.2500000000001,-44.1833343499999 49.2500000000001,-44.1666679379999 49.2500000000001,-44.150001526 49.2500000000001,-44.133335114 49.2500000000001,-44.116664886 49.2500000000001,-44.099998474 49.2500000000001,-44.083332062 49.2500000000001,-44.066665649 49.2500000000001,-44.049999237 49.2500000000001,-44.033332824 49.2500000000001,-44.0166664119999 49.2500000000001,-43.9999999999999 49.2500000000001,-43.9833335879999 49.2500000000001,-43.9666671749999 49.2500000000001,-43.9500007629999 49.2500000000001,-43.933334351 49.2500000000001,-43.9166679379999 49.2500000000001,-43.900001526 49.2500000000001,-43.883335114 49.2500000000001,-43.866664886 49.2500000000001,-43.849998474 49.2500000000001,-43.833332061 49.2500000000001,-43.816665649 49.2500000000001,-43.799999237 49.2500000000001,-43.7833328249999 49.2500000000001,-43.7666664119999 49.2500000000001,-43.7499999999999 49.2500000000001,-43.7333335879999 49.2500000000001,-43.7166671749999 49.2500000000001,-43.7000007629999 49.2500000000001,-43.683334351 49.2500000000001,-43.6666679379999 49.2500000000001,-43.6500015249999 49.2500000000001,-43.6333351129999 49.2500000000001,-43.616664886 49.2500000000001,-43.599998474 49.2500000000001,-43.583332062 49.2500000000001,-43.566665649 49.2500000000001,-43.549999237 49.2500000000001,-43.5333328249999 49.2500000000001,-43.5166664119999 49.2500000000001,-43.4999999999999 49.2500000000001,-43.4833335879999 49.2500000000001,-43.4666671749999 49.2500000000001,-43.4500007629999 49.2500000000001,-43.4333343499999 49.2500000000001,-43.4166679379999 49.2500000000001,-43.400001526 49.2500000000001,-43.3833351129999 49.2500000000001,-43.366664886 49.2500000000001,-43.349998474 49.2500000000001,-43.333332062 49.2500000000001,-43.316665649 49.2500000000001,-43.299999237 49.2500000000001,-43.2833328249999 49.2500000000001,-43.2666664119999 49.2500000000001,-43.2499999999999 49.2500000000001,-43.2333335869999 49.2500000000001,-43.2166671749999 49.2500000000001,-43.2000007629999 49.2500000000001,-43.183334351 49.2500000000001,-43.1666679379999 49.2500000000001,-43.150001526 49.2500000000001,-43.133335114 49.2500000000001,-43.116664886 49.2500000000001,-43.099998474 49.2500000000001,-43.083332062 49.2500000000001,-43.066665649 49.2500000000001,-43.049999237 49.2500000000001,-43.033332824 49.2500000000001,-43.0166664119999 49.2500000000001,-42.9999999999999 49.2500000000001,-42.9833335879999 49.2500000000001,-42.9666671749999 49.2500000000001,-42.9500007629999 49.2500000000001,-42.933334351 49.2500000000001,-42.9166679379999 49.2500000000001,-42.900001526 49.2500000000001,-42.883335114 49.2500000000001,-42.866664886 49.2500000000001,-42.849998474 49.2500000000001,-42.833332061 49.2500000000001,-42.816665649 49.2500000000001,-42.799999237 49.2500000000001,-42.7833328249999 49.2500000000001,-42.7666664119999 49.2500000000001,-42.7499999999999 49.2500000000001,-42.7333335879999 49.2500000000001,-42.7166671749999 49.2500000000001,-42.7000007629999 49.2500000000001,-42.683334351 49.2500000000001,-42.6666679379999 49.2500000000001,-42.650001526 49.2500000000001,-42.6333351129999 49.2500000000001,-42.616664886 49.2500000000001,-42.599998474 49.2500000000001,-42.583332062 49.2500000000001,-42.566665649 49.2500000000001,-42.549999237 49.2500000000001,-42.5333328249999 49.2500000000001,-42.5166664119999 49.2500000000001,-42.4999999999999 49.2500000000001,-42.4833335879999 49.2500000000001,-42.4666671749999 49.2500000000001,-42.4500007629999 49.2500000000001,-42.4333343499999 49.2500000000001,-42.4166679379999 49.2500000000001,-42.400001526 49.2500000000001,-42.3833351129999 49.2500000000001,-42.366664886 49.2500000000001,-42.349998474 49.2500000000001,-42.333332062 49.2500000000001,-42.316665649 49.2500000000001,-42.299999237 49.2500000000001,-42.2833328249999 49.2500000000001,-42.2666664119999 49.2500000000001,-42.2499999999999 49.2500000000001,-42.2333335869999 49.2500000000001,-42.2166671749999 49.2500000000001,-42.2000007629999 49.2500000000001,-42.183334351 49.2500000000001,-42.1666679379999 49.2500000000001,-42.150001526 49.2500000000001,-42.133335114 49.2500000000001,-42.116664886 49.2500000000001,-42.099998474 49.2500000000001,-42.083332062 49.2500000000001,-42.066665649 49.2500000000001,-42.049999237 49.2500000000001,-42.033332824 49.2500000000001,-42.0166664119999 49.2500000000001,-41.9999999999999 49.2500000000001,-41.9999999999999 49.2333335880001,-41.9999999999999 49.2166671750001,-41.9999999999999 49.200000763,-41.9999999999999 49.183334351,-41.9999999999999 49.166667938,-41.9999999999999 49.150001526,-41.9999999999999 49.133335114,-41.9999999999999 49.1166648860001,-41.9999999999999 49.0999984740001,-41.9999999999999 49.0833320620001,-41.9999999999999 49.0666656490001,-41.9999999999999 49.0499992370001,-41.9999999999999 49.0333328250001,-41.9999999999999 49.0166664120001,-41.9999999999999 49.0000000000001,-41.9999999999999 48.9833335880001,-41.9999999999999 48.9666671750001,-41.9999999999999 48.950000763,-41.9999999999999 48.933334351,-41.9999999999999 48.916667938,-41.9999999999999 48.900001526,-41.9999999999999 48.883335114,-41.9999999999999 48.8666648860001,-41.9999999999999 48.8499984740001,-41.9999999999999 48.8333320620001,-41.9999999999999 48.8166656490001,-41.9999999999999 48.7999992370001,-41.9999999999999 48.7833328250001,-41.9999999999999 48.7666664120001,-41.9999999999999 48.7500000000001,-41.9999999999999 48.7333335880001,-41.9999999999999 48.7166671750001,-41.9999999999999 48.700000763,-41.9999999999999 48.683334351,-41.9999999999999 48.666667938,-41.9999999999999 48.650001526,-41.9999999999999 48.633335114,-41.9999999999999 48.6166648860001,-41.9999999999999 48.5999984740001,-41.9999999999999 48.5833320620001,-41.9999999999999 48.5666656490001,-41.9999999999999 48.5499992370001,-41.9999999999999 48.5333328250001,-41.9999999999999 48.5166664120001,-41.9999999999999 48.5000000000001,-41.9999999999999 48.4833335880001,-41.9999999999999 48.4666671750001,-41.9999999999999 48.450000763,-41.9999999999999 48.433334351,-41.9999999999999 48.416667938,-41.9999999999999 48.400001526,-41.9999999999999 48.383335114,-41.9999999999999 48.3666648860001,-41.9999999999999 48.3499984740001,-41.9999999999999 48.3333320620001,-41.9999999999999 48.3166656490001,-41.9999999999999 48.2999992370001,-41.9999999999999 48.2833328250001,-41.9999999999999 48.2666664120001,-41.9999999999999 48.2500000000001,-41.9999999999999 48.2333335880001,-41.9999999999999 48.2166671750001,-41.9999999999999 48.200000763,-41.9999999999999 48.183334351,-41.9999999999999 48.166667938,-41.9999999999999 48.150001526,-41.9999999999999 48.133335114,-41.9999999999999 48.1166648860001,-41.9999999999999 48.0999984740001,-41.9999999999999 48.0833320620001,-41.9999999999999 48.0666656490001,-41.9999999999999 48.0499992370001,-41.9999999999999 48.0333328250001,-41.9999999999999 48.0166664120001,-41.9999999789999 48.0000000100001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.3', '', '21.3', '21.3.M', '', '21.3M', '', '', '', '', '', '', '', '3M', '3', '21.3.M', '21.3M', 'Y'),('SRID=4326;MULTIPOLYGON(((21.924 58.5000000000001,21.9605315160001 58.4827781390001,22.038423725 58.3973479740001,22.241948531 58.3395569800001,22.241144482 58.1339718,22.191293468 58.05839123,22.067469982 57.950648716,21.982565091 57.97532504,21.720648091 57.575873039,21.74184088 56.5000000000001,21.7420497690001 56.4893955040001,20.9925354420001 56.500000019,18.000000066 56.500000029,18.000000088 57.000000019,18.2045600880001 57.000000039,18.294 57.0000000000001,18.308280317 57.0441654090001,18.3275494330001 57.103759913,18.3938900200001 57.459096222,18.4690389730001 57.592898017,18.834353999 57.7900234520001,18.8392850340001 57.7926842580001,18.998747447 57.8971596310001,19.000000044 57.914999408,19.000000089 58.500000024,21.914100091 58.50000004,21.924 58.5000000000001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.III', 'Skagerrak, Kattegat, Sound, Belt S., and Baltic S.', '27.III', '27.III.d', '', '27.IIId', '27.III.d.28', 'East of Gotland or Gulf of Riga', '27.IIId28', '27.III.d.28.2', 'East of Gotland (Open Sea)', '27.IIId28.2', '', '28.2', '5', '27.3.d.28.2', '27.28.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-50.7666664119999 46.0000000000001,-50.7499999999999 46.0000000000001,-50.7333335879999 46.0000000000001,-50.7166671749999 46.0000000000001,-50.7000007629999 46.0000000000001,-50.683334351 46.0000000000001,-50.6666679379999 46.0000000000001,-50.633335114 46.0000000000001,-50.616664886 46.0000000000001,-50.599998474 46.0000000000001,-50.583332062 46.0000000000001,-50.566665649 46.0000000000001,-50.549999237 46.0000000000001,-50.5333328249999 46.0000000000001,-50.5166664119999 46.0000000000001,-50.4999999999999 46.0000000000001,-50.4833335879999 46.0000000000001,-50.4666671749999 46.0000000000001,-50.4500007629999 46.0000000000001,-50.433334351 46.0000000000001,-50.4166679379999 46.0000000000001,-50.400001526 46.0000000000001,-50.383335114 46.0000000000001,-50.366664886 46.0000000000001,-50.349998474 46.0000000000001,-50.333332062 46.0000000000001,-50.316665649 46.0000000000001,-50.299999237 46.0000000000001,-50.2833328249999 46.0000000000001,-50.2666664119999 46.0000000000001,-50.2499999999999 46.0000000000001,-50.2333335879999 46.0000000000001,-50.2166671749999 46.0000000000001,-50.2000007629999 46.0000000000001,-50.183334351 46.0000000000001,-50.1666679379999 46.0000000000001,-50.150001526 46.0000000000001,-50.133335114 46.0000000000001,-50.116664886 46.0000000000001,-50.099998474 46.0000000000001,-50.083332062 46.0000000000001,-50.066665649 46.0000000000001,-50.049999237 46.0000000000001,-50.0333328249999 46.0000000000001,-50.0166664119999 46.0000000000001,-49.9999999999999 46.0000000000001,-49.9833335879999 46.0000000000001,-49.9666671749999 46.0000000000001,-49.9500007629999 46.0000000000001,-49.933334351 46.0000000000001,-49.9166679379999 46.0000000000001,-49.900001526 46.0000000000001,-49.883335114 46.0000000000001,-49.866664886 46.0000000000001,-49.849998474 46.0000000000001,-49.833332062 46.0000000000001,-49.816665649 46.0000000000001,-49.799999237 46.0000000000001,-49.7833328249999 46.0000000000001,-49.7666664119999 46.0000000000001,-49.7499999999999 46.0000000000001,-49.7333335879999 46.0000000000001,-49.7166671749999 46.0000000000001,-49.7000007629999 46.0000000000001,-49.683334351 46.0000000000001,-49.6666679379999 46.0000000000001,-49.633335114 46.0000000000001,-49.616664886 46.0000000000001,-49.599998474 46.0000000000001,-49.583332062 46.0000000000001,-49.566665649 46.0000000000001,-49.549999237 46.0000000000001,-49.5333328249999 46.0000000000001,-49.5166664119999 46.0000000000001,-49.4999999999999 46.0000000000001,-49.4833335879999 46.0000000000001,-49.4666671749999 46.0000000000001,-49.4500007629999 46.0000000000001,-49.433334351 46.0000000000001,-49.4166679379999 46.0000000000001,-49.400001526 46.0000000000001,-49.383335114 46.0000000000001,-49.366664886 46.0000000000001,-49.349998474 46.0000000000001,-49.333332062 46.0000000000001,-49.316665649 46.0000000000001,-49.299999237 46.0000000000001,-49.2833328249999 46.0000000000001,-49.2666664119999 46.0000000000001,-49.2499999999999 46.0000000000001,-49.2333335879999 46.0000000000001,-49.2166671749999 46.0000000000001,-49.2000007629999 46.0000000000001,-49.183334351 46.0000000000001,-49.1666679379999 46.0000000000001,-49.150001526 46.0000000000001,-49.133335114 46.0000000000001,-49.116664886 46.0000000000001,-49.099998474 46.0000000000001,-49.083332062 46.0000000000001,-49.066665649 46.0000000000001,-49.049999237 46.0000000000001,-49.0333328249999 46.0000000000001,-49.0166664119999 46.0000000000001,-48.9999999999999 46.0000000000001,-48.9833335879999 46.0000000000001,-48.9666671749999 46.0000000000001,-48.9500007629999 46.0000000000001,-48.933334351 46.0000000000001,-48.9166679379999 46.0000000000001,-48.900001526 46.0000000000001,-48.883335114 46.0000000000001,-48.866664886 46.0000000000001,-48.849998474 46.0000000000001,-48.833332062 46.0000000000001,-48.816665649 46.0000000000001,-48.799999237 46.0000000000001,-48.7833328249999 46.0000000000001,-48.7666664119999 46.0000000000001,-48.7499999999999 46.0000000000001,-48.7333335879999 46.0000000000001,-48.7166671749999 46.0000000000001,-48.7000007629999 46.0000000000001,-48.683334351 46.0000000000001,-48.6666679379999 46.0000000000001,-48.633335114 46.0000000000001,-48.616664886 46.0000000000001,-48.599998474 46.0000000000001,-48.583332062 46.0000000000001,-48.566665649 46.0000000000001,-48.549999237 46.0000000000001,-48.5333328249999 46.0000000000001,-48.5166664119999 46.0000000000001,-48.4999999999999 46.0000000000001,-48.4833335879999 46.0000000000001,-48.4666671749999 46.0000000000001,-48.4500007629999 46.0000000000001,-48.433334351 46.0000000000001,-48.4166679379999 46.0000000000001,-48.400001526 46.0000000000001,-48.383335114 46.0000000000001,-48.366664886 46.0000000000001,-48.349998474 46.0000000000001,-48.333332062 46.0000000000001,-48.316665649 46.0000000000001,-48.299999237 46.0000000000001,-48.2833328249999 46.0000000000001,-48.2666664119999 46.0000000000001,-48.2499999999999 46.0000000000001,-48.2333335879999 46.0000000000001,-48.2166671749999 46.0000000000001,-48.2000007629999 46.0000000000001,-48.183334351 46.0000000000001,-48.1666679379999 46.0000000000001,-48.150001526 46.0000000000001,-48.133335114 46.0000000000001,-48.116664886 46.0000000000001,-48.099998474 46.0000000000001,-48.083332062 46.0000000000001,-48.066665649 46.0000000000001,-48.049999237 46.0000000000001,-48.0333328249999 46.0000000000001,-48.0166664119999 46.0000000000001,-47.9999999999999 46.0000000000001,-47.9833335879999 46.0000000000001,-47.9666671749999 46.0000000000001,-47.9500007629999 46.0000000000001,-47.933334351 46.0000000000001,-47.9166679379999 46.0000000000001,-47.900001526 46.0000000000001,-47.883335114 46.0000000000001,-47.866664886 46.0000000000001,-47.849998474 46.0000000000001,-47.833332062 46.0000000000001,-47.816665649 46.0000000000001,-47.799999237 46.0000000000001,-47.7833328249999 46.0000000000001,-47.7666664119999 46.0000000000001,-47.7499999999999 46.0000000000001,-47.7333335879999 46.0000000000001,-47.7166671749999 46.0000000000001,-47.7000007629999 46.0000000000001,-47.683334351 46.0000000000001,-47.6666679379999 46.0000000000001,-47.633335114 46.0000000000001,-47.616664886 46.0000000000001,-47.599998474 46.0000000000001,-47.583332062 46.0000000000001,-47.566665649 46.0000000000001,-47.549999237 46.0000000000001,-47.5333328249999 46.0000000000001,-47.5166664119999 46.0000000000001,-47.4999999999999 46.0000000000001,-47.4833335879999 46.0000000000001,-47.4666671749999 46.0000000000001,-47.4500007629999 46.0000000000001,-47.433334351 46.0000000000001,-47.4166679379999 46.0000000000001,-47.400001526 46.0000000000001,-47.383335114 46.0000000000001,-47.366664886 46.0000000000001,-47.349998474 46.0000000000001,-47.333332062 46.0000000000001,-47.316665649 46.0000000000001,-47.299999237 46.0000000000001,-47.2833328249999 46.0000000000001,-47.2666664119999 46.0000000000001,-47.2499999999999 46.0000000000001,-47.2333335879999 46.0000000000001,-47.2166671749999 46.0000000000001,-47.2000007629999 46.0000000000001,-47.183334351 46.0000000000001,-47.1666679379999 46.0000000000001,-47.150001526 46.0000000000001,-47.133335114 46.0000000000001,-47.116664886 46.0000000000001,-47.099998474 46.0000000000001,-47.083332062 46.0000000000001,-47.066665649 46.0000000000001,-47.049999237 46.0000000000001,-47.0333328249999 46.0000000000001,-47.0166664119999 46.0000000000001,-46.9999999999999 46.0000000000001,-46.9833335879999 46.0000000000001,-46.9666671749999 46.0000000000001,-46.9500007629999 46.0000000000001,-46.933334351 46.0000000000001,-46.9166679379999 46.0000000000001,-46.900001526 46.0000000000001,-46.883335114 46.0000000000001,-46.866664886 46.0000000000001,-46.849998474 46.0000000000001,-46.833332062 46.0000000000001,-46.816665649 46.0000000000001,-46.799999237 46.0000000000001,-46.7833328249999 46.0000000000001,-46.7666664119999 46.0000000000001,-46.7499999999999 46.0000000000001,-46.7333335879999 46.0000000000001,-46.7166671749999 46.0000000000001,-46.7000007629999 46.0000000000001,-46.683334351 46.0000000000001,-46.6666679379999 46.0000000000001,-46.633335114 46.0000000000001,-46.616664886 46.0000000000001,-46.599998474 46.0000000000001,-46.583332062 46.0000000000001,-46.566665649 46.0000000000001,-46.549999237 46.0000000000001,-46.5333328249999 46.0000000000001,-46.5166664119999 46.0000000000001,-46.4999999999999 46.0000000000001,-46.4999999999999 45.9833335880001,-46.4999999999999 45.9666671750001,-46.4999999999999 45.950000763,-46.4999999999999 45.933334351,-46.4999999999999 45.916667938,-46.4999999999999 45.900001526,-46.4999999999999 45.883335114,-46.4999999999999 45.8666648860001,-46.4999999999999 45.8499984740001,-46.4999999999999 45.8333320620001,-46.4999999999999 45.8166656490001,-46.4999999999999 45.7999992370001,-46.4999999999999 45.7833328250001,-46.4999999999999 45.775001526,-46.4999999999999 45.7666664120001,-46.4999999999999 45.7500000000001,-46.4999999999999 45.7333335880001,-46.4999999999999 45.7166671750001,-46.4999999999999 45.683334351,-46.4999999999999 45.666667938,-46.4999999999999 45.650001526,-46.4999999999999 45.633335114,-46.4999999999999 45.6166648860001,-46.4999999999999 45.5999984740001,-46.4999999999999 45.5833320620001,-46.4999999999999 45.5666656490001,-46.4999999999999 45.5499992370001,-46.4999999999999 45.5333328250001,-46.4999999999999 45.5166664120001,-46.4999999999999 45.5000000000001,-46.4999999999999 45.4833335880001,-46.4999999999999 45.4666671750001,-46.4999999999999 45.450000763,-46.4999999999999 45.433334351,-46.4999999999999 45.416667938,-46.4999999999999 45.400001526,-46.4999999999999 45.383335114,-46.4999999999999 45.3666648860001,-46.4999999999999 45.3499984740001,-46.4999999999999 45.3333320620001,-46.4999999999999 45.3166656490001,-46.4999999999999 45.2999992370001,-46.4999999999999 45.2833328250001,-46.4999999999999 45.2666664120001,-46.4999999999999 45.2500000000001,-46.4999999999999 45.2333335880001,-46.4999999999999 45.2166671750001,-46.4999999999999 45.200000763,-46.4999999999999 45.183334351,-46.4999999999999 45.166667938,-46.4999999999999 45.150001526,-46.4999999999999 45.133335114,-46.4999999999999 45.1166648860001,-46.4999999999999 45.0999984740001,-46.4999999999999 45.0833320620001,-46.4999999999999 45.0666656490001,-46.4999999999999 45.0499992370001,-46.4999999999999 45.0333328250001,-46.4999999999999 45.0166664120001,-46.4999999999999 45.0000000000001,-46.4999999999999 44.9833335880001,-46.4999999999999 44.9666671750001,-46.4999999999999 44.950000763,-46.4999999999999 44.933334351,-46.4999999999999 44.916667938,-46.4999999999999 44.900001526,-46.4999999999999 44.883335114,-46.4999999999999 44.8666648860001,-46.4999999999999 44.8499984740001,-46.4999999999999 44.8333320620001,-46.4999999999999 44.8166656490001,-46.4999999999999 44.7999992370001,-46.4999999999999 44.7833328250001,-46.4999999999999 44.775001526,-46.4999999999999 44.7666664120001,-46.4999999999999 44.7500000000001,-46.4999999999999 44.7333335880001,-46.4999999999999 44.7166671750001,-46.4999999999999 44.683334351,-46.4999999999999 44.666667938,-46.4999999999999 44.650001526,-46.4999999999999 44.633335114,-46.4999999999999 44.6166648860001,-46.4999999999999 44.5999984740001,-46.4999999999999 44.5833320620001,-46.4999999999999 44.5666656490001,-46.4999999999999 44.5499992370001,-46.4999999999999 44.5333328250001,-46.4999999999999 44.5166664120001,-46.4999999999999 44.5000000000001,-46.4999999999999 44.4833335880001,-46.4999999999999 44.4666671750001,-46.4999999999999 44.450000763,-46.4999999999999 44.433334351,-46.4999999999999 44.416667938,-46.4999999999999 44.400001526,-46.4999999999999 44.383335114,-46.4999999999999 44.3666648860001,-46.4999999999999 44.3499984740001,-46.4999999999999 44.3333320620001,-46.4999999999999 44.3166656490001,-46.4999999999999 44.2999992370001,-46.4999999999999 44.2833328250001,-46.4999999999999 44.2666664120001,-46.4999999999999 44.2500000000001,-46.4999999999999 44.2333335880001,-46.4999999999999 44.2166671750001,-46.4999999999999 44.200000763,-46.4999999999999 44.183334351,-46.4999999999999 44.166667938,-46.4999999999999 44.150001526,-46.4999999999999 44.133335114,-46.4999999999999 44.1166648860001,-46.4999999999999 44.0999984740001,-46.4999999999999 44.0833320620001,-46.4999999999999 44.0666656490001,-46.4999999999999 44.0499992370001,-46.4999999999999 44.0333328250001,-46.4999999999999 44.0166664120001,-46.4999999999999 44.0000000000001,-46.4999999999999 43.9833335880001,-46.4999999999999 43.9666671750001,-46.4999999999999 43.950000763,-46.4999999999999 43.933334351,-46.4999999999999 43.916667938,-46.4999999999999 43.900001526,-46.4999999999999 43.883335114,-46.4999999999999 43.8666648860001,-46.4999999999999 43.8499984740001,-46.4999999999999 43.8333320620001,-46.4999999999999 43.8166656490001,-46.4999999999999 43.7999992370001,-46.4999999999999 43.7833328250001,-46.4999999999999 43.775001526,-46.4999999999999 43.7666664120001,-46.4999999999999 43.7500000000001,-46.4999999999999 43.7333335880001,-46.4999999999999 43.7166671750001,-46.4999999999999 43.683334351,-46.4999999999999 43.666667938,-46.4999999999999 43.650001526,-46.4999999999999 43.633335114,-46.4999999999999 43.6166648860001,-46.4999999999999 43.5999984740001,-46.4999999999999 43.5833320620001,-46.4999999999999 43.5666656490001,-46.4999999999999 43.5499992370001,-46.4999999999999 43.5333328250001,-46.4999999999999 43.5166664120001,-46.4999999999999 43.5000000000001,-46.4999999999999 43.4833335880001,-46.4999999999999 43.4666671750001,-46.4999999999999 43.450000763,-46.4999999999999 43.433334351,-46.4999999999999 43.416667938,-46.4999999999999 43.400001526,-46.4999999999999 43.383335114,-46.4999999999999 43.3666648860001,-46.4999999999999 43.3499984740001,-46.4999999999999 43.3333320620001,-46.4999999999999 43.3166656490001,-46.4999999999999 43.2999992370001,-46.4999999999999 43.2833328250001,-46.4999999999999 43.2666664120001,-46.4999999999999 43.2500000000001,-46.4999999999999 43.2333335880001,-46.4999999999999 43.2166671750001,-46.4999999999999 43.200000763,-46.4999999999999 43.183334351,-46.4999999999999 43.166667938,-46.4999999999999 43.150001526,-46.4999999999999 43.133335114,-46.4999999999999 43.1166648860001,-46.4999999999999 43.0999984740001,-46.4999999999999 43.0833320620001,-46.4999999999999 43.0666656490001,-46.4999999999999 43.0499992370001,-46.4999999999999 43.0333328250001,-46.4999999999999 43.0166664120001,-46.4999999999999 43.0000000000001,-46.4999999999999 42.9833335880001,-46.4999999999999 42.9666671750001,-46.4999999999999 42.950000763,-46.4999999999999 42.933334351,-46.4999999999999 42.916667938,-46.4999999999999 42.900001526,-46.4999999999999 42.883335114,-46.4999999999999 42.8666648860001,-46.4999999999999 42.8499984740001,-46.4999999999999 42.8333320620001,-46.4999999999999 42.8166656490001,-46.4999999999999 42.7999992370001,-46.4999999999999 42.7833328250001,-46.4999999999999 42.775001526,-46.4999999999999 42.7666664120001,-46.4999999999999 42.7500000000001,-46.4999999999999 42.7333335880001,-46.4999999999999 42.7166671750001,-46.4999999999999 42.683334351,-46.4999999999999 42.666667938,-46.4999999999999 42.650001526,-46.4999999999999 42.633335114,-46.4999999999999 42.6166648860001,-46.4999999999999 42.5999984740001,-46.4999999999999 42.5833320620001,-46.4999999999999 42.5666656490001,-46.4999999999999 42.5499992370001,-46.4999999999999 42.5333328250001,-46.4999999999999 42.5166664120001,-46.4999999999999 42.5000000000001,-46.4999999999999 42.4833335880001,-46.4999999999999 42.4666671750001,-46.4999999999999 42.450000763,-46.4999999999999 42.433334351,-46.4999999999999 42.416667938,-46.4999999999999 42.400001526,-46.4999999999999 42.383335114,-46.4999999999999 42.3666648860001,-46.4999999999999 42.3499984740001,-46.4999999999999 42.3333320620001,-46.4999999999999 42.3166656490001,-46.4999999999999 42.2999992370001,-46.4999999999999 42.2833328250001,-46.4999999999999 42.2666664120001,-46.4999999999999 42.2500000000001,-46.4999999999999 42.2333335880001,-46.4999999999999 42.2166671750001,-46.4999999999999 42.200000763,-46.4999999999999 42.183334351,-46.4999999999999 42.166667938,-46.4999999999999 42.150001526,-46.4999999999999 42.133335114,-46.4999999999999 42.1166648860001,-46.4999999999999 42.0999984740001,-46.4999999999999 42.0833320620001,-46.4999999999999 42.0666656490001,-46.4999999999999 42.0499992370001,-46.4999999999999 42.0333328250001,-46.4999999999999 42.0166664120001,-46.4999999999999 42.0000000000001,-46.4999999999999 41.9833335880001,-46.4999999999999 41.9666671750001,-46.4999999999999 41.950000763,-46.4999999999999 41.933334351,-46.4999999999999 41.916667938,-46.4999999999999 41.900001526,-46.4999999999999 41.883335114,-46.4999999999999 41.8666648860001,-46.4999999999999 41.8499984740001,-46.4999999999999 41.8333320620001,-46.4999999999999 41.8166656490001,-46.4999999999999 41.7999992370001,-46.4999999999999 41.7833328250001,-46.4999999999999 41.775001526,-46.4999999999999 41.7666664120001,-46.4999999999999 41.7500000000001,-46.4999999999999 41.7333335880001,-46.4999999999999 41.7166671750001,-46.4999999999999 41.683334351,-46.4999999999999 41.666667938,-46.4999999999999 41.650001526,-46.4999999999999 41.633335114,-46.4999999999999 41.6166648860001,-46.4999999999999 41.5999984740001,-46.4999999999999 41.5833320620001,-46.4999999999999 41.5666656490001,-46.4999999999999 41.5499992370001,-46.4999999999999 41.5333328250001,-46.4999999999999 41.5166664120001,-46.4999999999999 41.5000000000001,-46.4999999999999 41.4833335880001,-46.4999999999999 41.4666671750001,-46.4999999999999 41.450000763,-46.4999999999999 41.433334351,-46.4999999999999 41.416667938,-46.4999999999999 41.400001526,-46.4999999999999 41.383335114,-46.4999999999999 41.3666648860001,-46.4999999999999 41.3499984740001,-46.4999999999999 41.3333320620001,-46.4999999999999 41.3166656490001,-46.4999999999999 41.2999992370001,-46.4999999999999 41.2833328250001,-46.4999999999999 41.2666664120001,-46.4999999999999 41.2500000000001,-46.4999999999999 41.2333335880001,-46.4999999999999 41.2166671750001,-46.4999999999999 41.200000763,-46.4999999999999 41.183334351,-46.4999999999999 41.166667938,-46.4999999999999 41.150001526,-46.4999999999999 41.133335114,-46.4999999999999 41.1166648860001,-46.4999999999999 41.0999984740001,-46.4999999999999 41.0833320620001,-46.4999999999999 41.0666656490001,-46.4999999999999 41.0499992370001,-46.4999999999999 41.0333328250001,-46.4999999999999 41.0166664120001,-46.4999999999999 41.0000000000001,-46.4999999999999 40.9833335880001,-46.4999999999999 40.9666671750001,-46.4999999999999 40.950000763,-46.4999999999999 40.933334351,-46.4999999999999 40.916667938,-46.4999999999999 40.900001526,-46.4999999999999 40.883335114,-46.4999999999999 40.8666648860001,-46.4999999999999 40.8499984740001,-46.4999999999999 40.8333320620001,-46.4999999999999 40.8166656490001,-46.4999999999999 40.7999992370001,-46.4999999999999 40.7833328250001,-46.4999999999999 40.775001526,-46.4999999999999 40.7666664120001,-46.4999999999999 40.7500000000001,-46.4999999999999 40.7333335880001,-46.4999999999999 40.7166671750001,-46.4999999999999 40.683334351,-46.4999999999999 40.666667938,-46.4999999999999 40.650001526,-46.4999999999999 40.633335114,-46.4999999999999 40.6166648860001,-46.4999999999999 40.5999984740001,-46.4999999999999 40.5833320620001,-46.4999999999999 40.5666656490001,-46.4999999999999 40.5499992370001,-46.4999999999999 40.5333328250001,-46.4999999999999 40.5166664120001,-46.4999999999999 40.5000000000001,-46.4999999999999 40.4833335880001,-46.4999999999999 40.4666671750001,-46.4999999999999 40.450000763,-46.4999999999999 40.433334351,-46.4999999999999 40.416667938,-46.4999999999999 40.400001526,-46.4999999999999 40.383335114,-46.4999999999999 40.3666648860001,-46.4999999999999 40.3499984740001,-46.4999999999999 40.3333320620001,-46.4999999999999 40.3166656490001,-46.4999999999999 40.2999992370001,-46.4999999999999 40.2833328250001,-46.4999999999999 40.2666664120001,-46.4999999999999 40.2500000000001,-46.4999999999999 40.2333335880001,-46.4999999999999 40.2166671750001,-46.4999999999999 40.200000763,-46.4999999999999 40.183334351,-46.4999999999999 40.166667938,-46.4999999999999 40.150001526,-46.4999999999999 40.133335114,-46.4999999999999 40.1166648860001,-46.4999999999999 40.0999984740001,-46.4999999999999 40.0833320620001,-46.4999999999999 40.0666656490001,-46.4999999999999 40.0499992370001,-46.4999999999999 40.0333328250001,-46.4999999999999 40.0166664120001,-46.4999999999999 40.0000000000001,-46.4999999999999 39.9833335880001,-46.4999999999999 39.9666671750001,-46.4999999999999 39.950000763,-46.4999999999999 39.933334351,-46.4999999999999 39.916667938,-46.4999999999999 39.900001526,-46.4999999999999 39.883335114,-46.4999999999999 39.8666648860001,-46.4999999999999 39.8499984740001,-46.4999999999999 39.8333320620001,-46.4999999999999 39.8166656490001,-46.4999999999999 39.7999992370001,-46.4999999999999 39.7833328250001,-46.4999999999999 39.775001526,-46.4999999999999 39.7666664120001,-46.4999999999999 39.7500000000001,-46.4999999999999 39.7333335880001,-46.4999999999999 39.7166671750001,-46.4999999999999 39.683334351,-46.4999999999999 39.666667938,-46.4999999999999 39.650001526,-46.4999999999999 39.633335114,-46.4999999999999 39.6166648860001,-46.4999999999999 39.5999984740001,-46.4999999999999 39.5833320620001,-46.4999999999999 39.5666656490001,-46.4999999999999 39.5499992370001,-46.4999999999999 39.5333328250001,-46.4999999999999 39.5166664120001,-46.4999999999999 39.5000000000001,-46.4999999999999 39.4833335880001,-46.4999999999999 39.4666671750001,-46.4999999999999 39.450000763,-46.4999999999999 39.433334351,-46.4999999999999 39.416667938,-46.4999999999999 39.400001526,-46.4999999999999 39.383335114,-46.4999999999999 39.3666648860001,-46.4999999999999 39.3499984740001,-46.4999999999999 39.3333320620001,-46.4999999999999 39.3166656490001,-46.4999999999999 39.2999992370001,-46.4999999999999 39.2833328250001,-46.4999999999999 39.2666664120001,-46.4999999999999 39.2500000000001,-46.4999999999999 39.2333335880001,-46.4999999999999 39.2166671750001,-46.4999999999999 39.200000763,-46.4999999999999 39.183334351,-46.4999999999999 39.166667938,-46.4999999999999 39.150001526,-46.4999999999999 39.133335114,-46.4999999999999 39.1166648860001,-46.4999999999999 39.0999984740001,-46.4999999999999 39.0833320620001,-46.4999999999999 39.0666656490001,-46.4999999999999 39.0499992370001,-46.4999999999999 39.0333328250001,-46.4999999999999 39.0166664120001,-46.4999999999999 39.0000000000001,-46.5166664119999 39.0000000000001,-46.5333328249999 39.0000000000001,-46.549999237 39.0000000000001,-46.566665649 39.0000000000001,-46.583332062 39.0000000000001,-46.599998474 39.0000000000001,-46.616664886 39.0000000000001,-46.633335114 39.0000000000001,-46.650001526 39.0000000000001,-46.6666679379999 39.0000000000001,-46.683334351 39.0000000000001,-46.7000007629999 39.0000000000001,-46.7166671749999 39.0000000000001,-46.7333335879999 39.0000000000001,-46.7499999999999 39.0000000000001,-46.7666664119999 39.0000000000001,-46.7833328249999 39.0000000000001,-46.799999237 39.0000000000001,-46.816665649 39.0000000000001,-46.833332062 39.0000000000001,-46.849998474 39.0000000000001,-46.866664886 39.0000000000001,-46.883335114 39.0000000000001,-46.900001526 39.0000000000001,-46.9166679379999 39.0000000000001,-46.933334351 39.0000000000001,-46.9500007629999 39.0000000000001,-46.9666671749999 39.0000000000001,-46.9833335879999 39.0000000000001,-46.9999999999999 39.0000000000001,-47.0166664119999 39.0000000000001,-47.0333328249999 39.0000000000001,-47.049999237 39.0000000000001,-47.066665649 39.0000000000001,-47.083332062 39.0000000000001,-47.099998474 39.0000000000001,-47.116664886 39.0000000000001,-47.133335114 39.0000000000001,-47.150001526 39.0000000000001,-47.1666679379999 39.0000000000001,-47.183334351 39.0000000000001,-47.2000007629999 39.0000000000001,-47.2166671749999 39.0000000000001,-47.2333335879999 39.0000000000001,-47.2499999999999 39.0000000000001,-47.2666664119999 39.0000000000001,-47.2833328249999 39.0000000000001,-47.299999237 39.0000000000001,-47.316665649 39.0000000000001,-47.333332062 39.0000000000001,-47.349998474 39.0000000000001,-47.366664886 39.0000000000001,-47.383335114 39.0000000000001,-47.400001526 39.0000000000001,-47.4166679379999 39.0000000000001,-47.433334351 39.0000000000001,-47.4500007629999 39.0000000000001,-47.4666671749999 39.0000000000001,-47.4833335879999 39.0000000000001,-47.4999999999999 39.0000000000001,-47.5166664119999 39.0000000000001,-47.5333328249999 39.0000000000001,-47.549999237 39.0000000000001,-47.566665649 39.0000000000001,-47.583332062 39.0000000000001,-47.599998474 39.0000000000001,-47.616664886 39.0000000000001,-47.633335114 39.0000000000001,-47.650001526 39.0000000000001,-47.6666679379999 39.0000000000001,-47.683334351 39.0000000000001,-47.7000007629999 39.0000000000001,-47.7166671749999 39.0000000000001,-47.7333335879999 39.0000000000001,-47.7499999999999 39.0000000000001,-47.7666664119999 39.0000000000001,-47.7833328249999 39.0000000000001,-47.799999237 39.0000000000001,-47.816665649 39.0000000000001,-47.833332062 39.0000000000001,-47.849998474 39.0000000000001,-47.866664886 39.0000000000001,-47.883335114 39.0000000000001,-47.900001526 39.0000000000001,-47.9166679379999 39.0000000000001,-47.933334351 39.0000000000001,-47.9500007629999 39.0000000000001,-47.9666671749999 39.0000000000001,-47.9833335879999 39.0000000000001,-47.9999999999999 39.0000000000001,-48.0166664119999 39.0000000000001,-48.0333328249999 39.0000000000001,-48.049999237 39.0000000000001,-48.066665649 39.0000000000001,-48.083332062 39.0000000000001,-48.099998474 39.0000000000001,-48.116664886 39.0000000000001,-48.133335114 39.0000000000001,-48.150001526 39.0000000000001,-48.1666679379999 39.0000000000001,-48.183334351 39.0000000000001,-48.2000007629999 39.0000000000001,-48.2166671749999 39.0000000000001,-48.2333335879999 39.0000000000001,-48.2499999999999 39.0000000000001,-48.2666664119999 39.0000000000001,-48.2833328249999 39.0000000000001,-48.299999237 39.0000000000001,-48.316665649 39.0000000000001,-48.333332062 39.0000000000001,-48.349998474 39.0000000000001,-48.366664886 39.0000000000001,-48.383335114 39.0000000000001,-48.400001526 39.0000000000001,-48.4166679379999 39.0000000000001,-48.433334351 39.0000000000001,-48.4500007629999 39.0000000000001,-48.4666671749999 39.0000000000001,-48.4833335879999 39.0000000000001,-48.4999999999999 39.0000000000001,-48.5166664119999 39.0000000000001,-48.5333328249999 39.0000000000001,-48.549999237 39.0000000000001,-48.566665649 39.0000000000001,-48.583332062 39.0000000000001,-48.599998474 39.0000000000001,-48.616664886 39.0000000000001,-48.633335114 39.0000000000001,-48.650001526 39.0000000000001,-48.6666679379999 39.0000000000001,-48.683334351 39.0000000000001,-48.7000007629999 39.0000000000001,-48.7166671749999 39.0000000000001,-48.7333335879999 39.0000000000001,-48.7499999999999 39.0000000000001,-48.7666664119999 39.0000000000001,-48.7833328249999 39.0000000000001,-48.799999237 39.0000000000001,-48.816665649 39.0000000000001,-48.833332062 39.0000000000001,-48.849998474 39.0000000000001,-48.866664886 39.0000000000001,-48.883335114 39.0000000000001,-48.900001526 39.0000000000001,-48.9166679379999 39.0000000000001,-48.933334351 39.0000000000001,-48.9500007629999 39.0000000000001,-48.9666671749999 39.0000000000001,-48.9833335879999 39.0000000000001,-48.9999999999999 39.0000000000001,-49.0166664119999 39.0000000000001,-49.0333328249999 39.0000000000001,-49.049999237 39.0000000000001,-49.066665649 39.0000000000001,-49.083332062 39.0000000000001,-49.099998474 39.0000000000001,-49.116664886 39.0000000000001,-49.133335114 39.0000000000001,-49.150001526 39.0000000000001,-49.1666679379999 39.0000000000001,-49.183334351 39.0000000000001,-49.2000007629999 39.0000000000001,-49.2166671749999 39.0000000000001,-49.2333335879999 39.0000000000001,-49.2499999999999 39.0000000000001,-49.2666664119999 39.0000000000001,-49.2833328249999 39.0000000000001,-49.299999237 39.0000000000001,-49.316665649 39.0000000000001,-49.333332062 39.0000000000001,-49.349998474 39.0000000000001,-49.366664886 39.0000000000001,-49.383335114 39.0000000000001,-49.400001526 39.0000000000001,-49.4166679379999 39.0000000000001,-49.433334351 39.0000000000001,-49.4500007629999 39.0000000000001,-49.4666671749999 39.0000000000001,-49.4833335879999 39.0000000000001,-49.4999999999999 39.0000000000001,-49.5166664119999 39.0000000000001,-49.5333328249999 39.0000000000001,-49.549999237 39.0000000000001,-49.566665649 39.0000000000001,-49.583332062 39.0000000000001,-49.599998474 39.0000000000001,-49.616664886 39.0000000000001,-49.633335114 39.0000000000001,-49.650001526 39.0000000000001,-49.6666679379999 39.0000000000001,-49.683334351 39.0000000000001,-49.7000007629999 39.0000000000001,-49.7166671749999 39.0000000000001,-49.7333335879999 39.0000000000001,-49.7499999999999 39.0000000000001,-49.7666664119999 39.0000000000001,-49.7833328249999 39.0000000000001,-49.799999237 39.0000000000001,-49.816665649 39.0000000000001,-49.833332062 39.0000000000001,-49.849998474 39.0000000000001,-49.866664886 39.0000000000001,-49.883335114 39.0000000000001,-49.900001526 39.0000000000001,-49.9166679379999 39.0000000000001,-49.933334351 39.0000000000001,-49.9500007629999 39.0000000000001,-49.9666671749999 39.0000000000001,-49.9833335879999 39.0000000000001,-49.9999999999999 39.0000000000001,-50.017902374 39.0166664120001,-50.0358085629999 39.0333328250001,-50.053714752 39.0499992370001,-50.071628571 39.0666656490001,-50.089550018 39.0833320620001,-50.1074714659999 39.0999984740001,-50.1253967289999 39.1166648860001,-50.14332962 39.133335114,-50.161262512 39.150001526,-50.179203033 39.166667938,-50.1971473689999 39.183334351,-50.21509552 39.200000763,-50.233047485 39.2166671750001,-50.251003265 39.2333335880001,-50.2689666749999 39.2500000000001,-50.2869300839999 39.2666664120001,-50.304901123 39.2833328250001,-50.322875977 39.2999992370001,-50.340854645 39.3166656490001,-50.3588371279999 39.3333320620001,-50.3768234249999 39.3499984740001,-50.3948135379999 39.3666648860001,-50.412811279 39.383335114,-50.430809021 39.400001526,-50.448814392 39.416667938,-50.4668235779999 39.433334351,-50.4848365779999 39.450000763,-50.5028533939999 39.4666671750001,-50.520874023 39.4833335880001,-50.538898468 39.5000000000001,-50.556930542 39.5166664120001,-50.574966431 39.5333328250001,-50.5930023189999 39.5499992370001,-50.611049652 39.5666656490001,-50.6290969849999 39.5833320620001,-50.647148132 39.5999984740001,-50.6652030939999 39.6166648860001,-50.683265686 39.633335114,-50.701332092 39.650001526,-50.719398499 39.666667938,-50.7374725339999 39.683334351,-50.755554199 39.700000763,-50.773635864 39.7166671750001,-50.7917213439999 39.7333335880001,-50.8098144529999 39.7500000000001,-50.827911377 39.7666664120001,-50.846012115 39.7833328250001,-50.8641166689999 39.7999992370001,-50.882225037 39.8166656490001,-50.900341034 39.8333320620001,-50.9184570309999 39.8499984740001,-50.936580658 39.8666648860001,-50.954708099 39.883335114,-50.972839355 39.900001526,-50.990974426 39.916667938,-50.9999999999999 39.9277381900001,-50.9999999999999 39.933334351,-50.9999999999999 39.950000763,-50.9999999999999 39.9666671750001,-50.9999999999999 39.9833335880001,-50.9999999999999 40.0000000000001,-50.9999999999999 40.0166664120001,-50.9999999999999 40.0333328250001,-50.9999999999999 40.0499992370001,-50.9999999999999 40.0666656490001,-50.9999999999999 40.0833320620001,-50.9999999999999 40.0999984740001,-50.9999999999999 40.1166648860001,-50.9999999999999 40.133335114,-50.9999999999999 40.150001526,-50.9999999999999 40.166667938,-50.9999999999999 40.183334351,-50.9999999999999 40.200000763,-50.9999999999999 40.2166671750001,-50.9999999999999 40.2333335880001,-50.9999999999999 40.2500000000001,-50.9999999999999 40.2666664120001,-50.9999999999999 40.2833328250001,-50.9999999999999 40.2999992370001,-50.9999999999999 40.3166656490001,-50.9999999999999 40.3333320620001,-50.9999999999999 40.3499984740001,-50.9999999999999 40.3666648860001,-50.9999999999999 40.383335114,-50.9999999999999 40.400001526,-50.9999999999999 40.416667938,-50.9999999999999 40.433334351,-50.9999999999999 40.450000763,-50.9999999999999 40.4666671750001,-50.9999999999999 40.4833335880001,-50.9999999999999 40.5000000000001,-50.9999999999999 40.5166664120001,-50.9999999999999 40.5333328250001,-50.9999999999999 40.5499992370001,-50.9999999999999 40.5666656490001,-50.9999999999999 40.5833320620001,-50.9999999999999 40.5999984740001,-50.9999999999999 40.6166648860001,-50.9999999999999 40.633335114,-50.9999999999999 40.650001526,-50.9999999999999 40.666667938,-50.9999999999999 40.683334351,-50.9999999999999 40.7166671750001,-50.9999999999999 40.7333335880001,-50.9999999999999 40.7500000000001,-50.9999999999999 40.7666664120001,-50.9999999999999 40.7833328250001,-50.9999999999999 40.7999992370001,-50.9999999999999 40.8166656490001,-50.9999999999999 40.8333320620001,-50.9999999999999 40.8499984740001,-50.9999999999999 40.8666648860001,-50.9999999999999 40.883335114,-50.9999999999999 40.900001526,-50.9999999999999 40.916667938,-50.9999999999999 40.933334351,-50.9999999999999 40.950000763,-50.9999999999999 40.9666671750001,-50.9999999999999 40.9833335880001,-50.9999999999999 41.0000000000001,-50.9999999999999 41.0166664120001,-50.9999999999999 41.0333328250001,-50.9999999999999 41.0499992370001,-50.9999999999999 41.0666656490001,-50.9999999999999 41.0833320620001,-50.9999999999999 41.0999984740001,-50.9999999999999 41.1166648860001,-50.9999999999999 41.133335114,-50.9999999999999 41.150001526,-50.9999999999999 41.166667938,-50.9999999999999 41.183334351,-50.9999999999999 41.200000763,-50.9999999999999 41.2166671750001,-50.9999999999999 41.2333335880001,-50.9999999999999 41.2500000000001,-50.9999999999999 41.2666664120001,-50.9999999999999 41.2833328250001,-50.9999999999999 41.2999992370001,-50.9999999999999 41.3166656490001,-50.9999999999999 41.3333320620001,-50.9999999999999 41.3499984740001,-50.9999999999999 41.3666648860001,-50.9999999999999 41.383335114,-50.9999999999999 41.400001526,-50.9999999999999 41.416667938,-50.9999999999999 41.433334351,-50.9999999999999 41.450000763,-50.9999999999999 41.4666671750001,-50.9999999999999 41.4833335880001,-50.9999999999999 41.5000000000001,-50.9999999999999 41.5166664120001,-50.9999999999999 41.5333328250001,-50.9999999999999 41.5499992370001,-50.9999999999999 41.5666656490001,-50.9999999999999 41.5833320620001,-50.9999999999999 41.5999984740001,-50.9999999999999 41.6166648860001,-50.9999999999999 41.633335114,-50.9999999999999 41.650001526,-50.9999999999999 41.666667938,-50.9999999999999 41.683334351,-50.9999999999999 41.7166671750001,-50.9999999999999 41.7333335880001,-50.9999999999999 41.7500000000001,-50.9999999999999 41.7666664120001,-50.9999999999999 41.7833328250001,-50.9999999999999 41.7999992370001,-50.9999999999999 41.8166656490001,-50.9999999999999 41.8333320620001,-50.9999999999999 41.8499984740001,-50.9999999999999 41.8666648860001,-50.9999999999999 41.883335114,-50.9999999999999 41.900001526,-50.9999999999999 41.916667938,-50.9999999999999 41.933334351,-50.9999999999999 41.950000763,-50.9999999999999 41.9666671750001,-50.9999999999999 41.9833335880001,-50.9999999999999 42.0000000000001,-50.9999999999999 42.0166664120001,-50.9999999999999 42.0333328250001,-50.9999999999999 42.0499992370001,-50.9999999999999 42.0666656490001,-50.9999999999999 42.0833320620001,-50.9999999999999 42.0999984740001,-50.9999999999999 42.1166648860001,-50.9999999999999 42.133335114,-50.9999999999999 42.150001526,-50.9999999999999 42.166667938,-50.9999999999999 42.183334351,-50.9999999999999 42.200000763,-50.9999999999999 42.2166671750001,-50.9999999999999 42.2333335880001,-50.9999999999999 42.2500000000001,-50.9999999999999 42.2666664120001,-50.9999999999999 42.2833328250001,-50.9999999999999 42.2999992370001,-50.9999999999999 42.3166656490001,-50.9999999999999 42.3333320620001,-50.9999999999999 42.3499984740001,-50.9999999999999 42.3666648860001,-50.9999999999999 42.383335114,-50.9999999999999 42.400001526,-50.9999999999999 42.416667938,-50.9999999999999 42.433334351,-50.9999999999999 42.450000763,-50.9999999999999 42.4666671750001,-50.9999999999999 42.4833335880001,-50.9999999999999 42.5000000000001,-50.9999999999999 42.5166664120001,-50.9999999999999 42.5333328250001,-50.9999999999999 42.5499992370001,-50.9999999999999 42.5666656490001,-50.9999999999999 42.5833320620001,-50.9999999999999 42.5999984740001,-50.9999999999999 42.6166648860001,-50.9999999999999 42.633335114,-50.9999999999999 42.650001526,-50.9999999999999 42.666667938,-50.9999999999999 42.683334351,-50.9999999999999 42.7166671750001,-50.9999999999999 42.7333335880001,-50.9999999999999 42.7500000000001,-50.9999999999999 42.7666664120001,-50.9999999999999 42.7833328250001,-50.9999999999999 42.7999992370001,-50.9999999999999 42.8166656490001,-50.9999999999999 42.8333320620001,-50.9999999999999 42.8499984740001,-50.9999999999999 42.8666648860001,-50.9999999999999 42.883335114,-50.9999999999999 42.900001526,-50.9999999999999 42.916667938,-50.9999999999999 42.933334351,-50.9999999999999 42.950000763,-50.9999999999999 42.9666671750001,-50.9999999999999 42.9833335880001,-50.9999999999999 43.0000000000001,-50.9999999999999 43.0166664120001,-50.9999999999999 43.0333328250001,-50.9999999999999 43.0499992370001,-50.9999999999999 43.0666656490001,-50.9999999999999 43.0833320620001,-50.9999999999999 43.0999984740001,-50.9999999999999 43.1166648860001,-50.9999999999999 43.133335114,-50.9999999999999 43.150001526,-50.9999999999999 43.166667938,-50.9999999999999 43.183334351,-50.9999999999999 43.200000763,-50.9999999999999 43.2166671750001,-50.9999999999999 43.2333335880001,-50.9999999999999 43.2500000000001,-50.9999999999999 43.2666664120001,-50.9999999999999 43.2833328250001,-50.9999999999999 43.2999992370001,-50.9999999999999 43.3166656490001,-50.9999999999999 43.3333320620001,-50.9999999999999 43.3499984740001,-50.9999999999999 43.3666648860001,-50.9999999999999 43.383335114,-50.9999999999999 43.400001526,-50.9999999999999 43.416667938,-50.9999999999999 43.433334351,-50.9999999999999 43.450000763,-50.9999999999999 43.4666671750001,-50.9999999999999 43.4833335880001,-50.9999999999999 43.5000000000001,-50.9999999999999 43.5166664120001,-50.9999999999999 43.5333328250001,-50.9999999999999 43.5499992370001,-50.9999999999999 43.5666656490001,-50.9999999999999 43.5833320620001,-50.9999999999999 43.5999984740001,-50.9999999999999 43.6166648860001,-50.9999999999999 43.633335114,-50.9999999999999 43.650001526,-50.9999999999999 43.666667938,-50.9999999999999 43.683334351,-50.9999999999999 43.7166671750001,-50.9999999999999 43.7333335880001,-50.9999999999999 43.7500000000001,-50.9999999999999 43.7666664120001,-50.9999999999999 43.7833328250001,-50.9999999999999 43.7999992370001,-50.9999999999999 43.8166656490001,-50.9999999999999 43.8333320620001,-50.9999999999999 43.8499984740001,-50.9999999999999 43.8666648860001,-50.9999999999999 43.883335114,-50.9999999999999 43.900001526,-50.9999999999999 43.916667938,-50.9999999999999 43.933334351,-50.9999999999999 43.950000763,-50.9999999999999 43.9666671750001,-50.9999999999999 43.9833335880001,-50.9999999999999 44.0000000000001,-50.9999999999999 44.0166664120001,-50.9999999999999 44.0333328250001,-50.9999999999999 44.0499992370001,-50.9999999999999 44.0666656490001,-50.9999999999999 44.0833320620001,-50.9999999999999 44.0999984740001,-50.9999999999999 44.1166648860001,-50.9999999999999 44.133335114,-50.9999999999999 44.150001526,-50.9999999999999 44.166667938,-50.9999999999999 44.183334351,-50.9999999999999 44.200000763,-50.9999999999999 44.2166671750001,-50.9999999999999 44.2333335880001,-50.9999999999999 44.2500000000001,-50.9999999999999 44.2666664120001,-50.9999999999999 44.2833328250001,-50.9999999999999 44.2999992370001,-50.9999999999999 44.3166656490001,-50.9999999999999 44.3333320620001,-50.9999999999999 44.3499984740001,-50.9999999999999 44.3666648860001,-50.9999999999999 44.383335114,-50.9999999999999 44.400001526,-50.9999999999999 44.416667938,-50.9999999999999 44.433334351,-50.9999999999999 44.450000763,-50.9999999999999 44.4666671750001,-50.9999999999999 44.4833335880001,-50.9999999999999 44.5000000000001,-50.9999999999999 44.5166664120001,-50.9999999999999 44.5333328250001,-50.9999999999999 44.5499992370001,-50.9999999999999 44.5666656490001,-50.9999999999999 44.5833320620001,-50.9999999999999 44.5999984740001,-50.9999999999999 44.6166648860001,-50.9999999999999 44.633335114,-50.9999999999999 44.650001526,-50.9999999999999 44.666667938,-50.9999999999999 44.683334351,-50.9999999999999 44.7166671750001,-50.9999999999999 44.7333335880001,-50.9999999999999 44.7500000000001,-50.9999999999999 44.7666664120001,-50.9999999999999 44.7833328250001,-50.9999999999999 44.7999992370001,-50.9999999999999 44.8166656490001,-50.9999999999999 44.8333320620001,-50.9999999999999 44.8499984740001,-50.9999999999999 44.8666648860001,-50.9999999999999 44.883335114,-50.9999999999999 44.900001526,-50.9999999999999 44.916667938,-50.9999999999999 44.933334351,-50.9999999999999 44.950000763,-50.9999999999999 44.9666671750001,-50.9999999999999 44.9833335880001,-50.9999999999999 45.0000000000001,-50.9999999999999 45.0166664120001,-50.9999999999999 45.0333328250001,-50.9999999999999 45.0499992370001,-50.9999999999999 45.0666656490001,-50.9999999999999 45.0833320620001,-50.9999999999999 45.0999984740001,-50.9999999999999 45.1166648860001,-50.9999999999999 45.133335114,-50.9999999999999 45.150001526,-50.9999999999999 45.166667938,-50.9999999999999 45.183334351,-50.9999999999999 45.200000763,-50.9999999999999 45.2166671750001,-50.9999999999999 45.2333335880001,-50.9999999999999 45.2500000000001,-50.9999999999999 45.2666664120001,-50.9999999999999 45.2833328250001,-50.9999999999999 45.2999992370001,-50.9999999999999 45.3166656490001,-50.9999999999999 45.3333320620001,-50.9999999999999 45.3499984740001,-50.9999999999999 45.3666648860001,-50.9999999999999 45.383335114,-50.9999999999999 45.400001526,-50.9999999999999 45.416667938,-50.9999999999999 45.433334351,-50.9999999999999 45.450000763,-50.9999999999999 45.4666671750001,-50.9999999999999 45.4833335880001,-50.9999999999999 45.5000000000001,-50.9999999999999 45.5166664120001,-50.9999999999999 45.5333328250001,-50.9999999999999 45.5499992370001,-50.9999999999999 45.5666656490001,-50.9999999999999 45.5833320620001,-50.9999999999999 45.5999984740001,-50.9999999999999 45.6166648860001,-50.9999999999999 45.633335114,-50.9999999999999 45.650001526,-50.9999999999999 45.666667938,-50.9999999999999 45.683334351,-50.9999999999999 45.7166671750001,-50.9999999999999 45.7333335880001,-50.9999999999999 45.7500000000001,-50.9999999999999 45.7666664120001,-50.9999999999999 45.7833328250001,-50.9999999999999 45.7999992370001,-50.9999999999999 45.8166656490001,-50.9999999999999 45.8333320620001,-50.9999999999999 45.8499984740001,-50.9999999999999 45.8666648860001,-50.9999999999999 45.883335114,-50.9999999999999 45.900001526,-50.9999999999999 45.916667938,-50.9999999999999 45.933334351,-50.9999999999999 45.950000763,-50.9999999999999 45.9666671750001,-50.9999999999999 45.9833335880001,-50.9999999999999 46.0000000000001,-50.9833335879999 46.0000000000001,-50.9666671749999 46.0000000000001,-50.9500007629999 46.0000000000001,-50.933334351 46.0000000000001,-50.9166679379999 46.0000000000001,-50.900001526 46.0000000000001,-50.883335114 46.0000000000001,-50.866664886 46.0000000000001,-50.849998474 46.0000000000001,-50.833332062 46.0000000000001,-50.816665649 46.0000000000001,-50.799999237 46.0000000000001,-50.7833328249999 46.0000000000001,-50.7666664119999 46.0000000000001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.3', '', '21.3', '21.3.N', '', '21.3N', '', '', '', '', '', '', '', '3N', '3', '21.3.N', '21.3N', 'Y'),('SRID=4326;MULTIPOLYGON(((-71.7157997849999 41.355490559,-71.711793433 41.3442727720001,-71.684149603 41.3510835700001,-71.6667161299999 41.357092106,-71.666664124 41.346904755,-71.666664124 41.3166656490001,-71.666664124 41.2999992370001,-71.666664124 41.2833328240001,-71.666664124 41.2666664120001,-71.666664124 41.2500000000001,-71.666664124 41.2333335880001,-71.666664124 41.2166671750001,-71.666664124 41.200000763,-71.666664124 41.183334351,-71.666664124 41.166667939,-71.666664124 41.150001526,-71.666664124 41.133335114,-71.666664124 41.1166648860001,-71.666664124 41.0999984740001,-71.666664124 41.0833320610001,-71.666664124 41.0666656490001,-71.666664124 41.0499992370001,-71.666664124 41.0333328250001,-71.666664124 41.0166664120001,-71.666664124 41.0000000000001,-71.666664124 40.9833335880001,-71.666664124 40.966667176,-71.666664124 40.950000763,-71.666664124 40.933334351,-71.666664124 40.916667938,-71.666664124 40.900001526,-71.666664124 40.883335113,-71.666664124 40.8666648860001,-71.666664124 40.8499984740001,-71.666664124 40.8333320620001,-71.666664124 40.8166656490001,-71.666664124 40.7999992370001,-71.666664124 40.7833328250001,-71.666664124 40.7666664130001,-71.666664124 40.7500000000001,-71.666664124 40.7333335880001,-71.666664124 40.7166671750001,-71.666664124 40.700000763,-71.666664124 40.6833343500001,-71.666664124 40.666667938,-71.666664124 40.650001526,-71.666664124 40.633335114,-71.666664124 40.6166648870001,-71.666664124 40.5999984740001,-71.666664124 40.5833320620001,-71.666664124 40.5666656500001,-71.666664124 40.5499992370001,-71.666664124 40.5333328250001,-71.666664124 40.5166664120001,-71.666664124 40.5000000000001,-71.666664124 40.4833335870001,-71.666664124 40.4666671750001,-71.666664124 40.450000763,-71.666664124 40.433334351,-71.666664124 40.416667938,-71.666664124 40.400001526,-71.666664124 40.383335114,-71.666664124 40.3666648870001,-71.666664124 40.3499984750001,-71.666664124 40.3333320620001,-71.666664124 40.3166656490001,-71.666664124 40.2999992370001,-71.666664124 40.2833328240001,-71.666664124 40.2666664120001,-71.666664124 40.2500000000001,-71.666664124 40.2333335880001,-71.666664124 40.2166671750001,-71.666664124 40.200000763,-71.666664124 40.183334351,-71.666664124 40.166667939,-71.666664124 40.150001526,-71.666664124 40.133335113,-71.666664124 40.1166648860001,-71.666664124 40.0999984740001,-71.666664124 40.0833320620001,-71.666664124 40.0666656490001,-71.666664124 40.0499992370001,-71.666664124 40.0333328250001,-71.666664124 40.0166664120001,-71.666664124 40.0000000000001,-71.666664124 39.9833335880001,-71.666664124 39.966667176,-71.666664124 39.950000763,-71.666664124 39.9333343500001,-71.666664124 39.916667938,-71.666664124 39.900001526,-71.666664124 39.883335113,-71.666664124 39.8666648860001,-71.666664124 39.8499984740001,-71.666664124 39.8333320620001,-71.666664124 39.8166656490001,-71.666664124 39.7999992370001,-71.666664124 39.7833328250001,-71.666664124 39.7666664130001,-71.666664124 39.7500000000001,-71.666664124 39.7333335870001,-71.666664124 39.7166671750001,-71.666664124 39.700000763,-71.666664124 39.6833343500001,-71.666664124 39.666667938,-71.666664124 39.650001526,-71.666664124 39.633335114,-71.666664124 39.6166648870001,-71.666664124 39.5999984740001,-71.666664124 39.5833320620001,-71.666664124 39.5666656500001,-71.666664124 39.5499992370001,-71.666664124 39.5333328250001,-71.666664124 39.5166664120001,-71.666664124 39.5000000000001,-71.666664124 39.4833335870001,-71.666664124 39.4666671750001,-71.666664124 39.450000763,-71.666664124 39.433334351,-71.666664124 39.416667938,-71.666664124 39.400001526,-71.666664124 39.383335114,-71.666664124 39.3666648870001,-71.666664124 39.3499984750001,-71.666664124 39.3333320620001,-71.666664124 39.3166656490001,-71.666664124 39.2999992370001,-71.666664124 39.2833328240001,-71.666664124 39.2666664120001,-71.666664124 39.2500000000001,-71.666664124 39.2333335880001,-71.666664124 39.2166671750001,-71.666664124 39.200000763,-71.666664124 39.183334351,-71.666664124 39.166667939,-71.666664124 39.150001526,-71.666664124 39.133335113,-71.666664124 39.1166648860001,-71.666664124 39.0999984740001,-71.666664124 39.0833320620001,-71.666664124 39.0666656490001,-71.666664124 39.0499992370001,-71.666664124 39.0333328250001,-71.666664124 39.0166664120001,-71.666664124 39.0000000000001,-71.7499999999999 39.0000000000001,-71.766670227 39.0000000000001,-71.7833328249999 39.0000000000001,-71.800003052 39.0000000000001,-71.816665649 39.0000000000001,-71.833335876 39.0000000000001,-71.849998474 39.0000000000001,-71.866668701 39.0000000000001,-71.883331299 39.0000000000001,-71.900001526 39.0000000000001,-71.916664124 39.0000000000001,-71.933334351 39.0000000000001,-71.949996948 39.0000000000001,-71.9666671749999 39.0000000000001,-71.983329773 39.0000000000001,-71.9999999999999 39.0000000000001,-72.016670227 39.0000000000001,-72.033332824 39.0000000000001,-72.050003051 39.0000000000001,-72.066665649 39.0000000000001,-72.083335876 39.0000000000001,-72.099998474 39.0000000000001,-72.116668701 39.0000000000001,-72.133331299 39.0000000000001,-72.150001526 39.0000000000001,-72.166664123 39.0000000000001,-72.1833343499999 39.0000000000001,-72.199996948 39.0000000000001,-72.2166671749999 39.0000000000001,-72.233329773 39.0000000000001,-72.2499999999999 39.0000000000001,-72.266670227 39.0000000000001,-72.2833328249999 39.0000000000001,-72.300003052 39.0000000000001,-72.316665649 39.0000000000001,-72.333335876 39.0000000000001,-72.349998474 39.0000000000001,-72.366668701 39.0000000000001,-72.383331299 39.0000000000001,-72.400001526 39.0000000000001,-72.416664123 39.0000000000001,-72.4333343499999 39.0000000000001,-72.449996948 39.0000000000001,-72.4666671749999 39.0000000000001,-72.483329773 39.0000000000001,-72.4999999999999 39.0000000000001,-72.516670227 39.0000000000001,-72.5333328249999 39.0000000000001,-72.550003052 39.0000000000001,-72.566665649 39.0000000000001,-72.599998474 39.0000000000001,-72.616668701 39.0000000000001,-72.633331298 39.0000000000001,-72.6500015249999 39.0000000000001,-72.666664124 39.0000000000001,-72.683334351 39.0000000000001,-72.699996948 39.0000000000001,-72.7166671749999 39.0000000000001,-72.733329773 39.0000000000001,-72.7499999999999 39.0000000000001,-72.766670227 39.0000000000001,-72.7833328249999 39.0000000000001,-72.800003052 39.0000000000001,-72.816665649 39.0000000000001,-72.833335876 39.0000000000001,-72.849998474 39.0000000000001,-72.866668701 39.0000000000001,-72.883331299 39.0000000000001,-72.900001526 39.0000000000001,-72.916664124 39.0000000000001,-72.933334351 39.0000000000001,-72.949996948 39.0000000000001,-72.9666671749999 39.0000000000001,-72.983329773 39.0000000000001,-72.9999999999999 39.0000000000001,-73.016670227 39.0000000000001,-73.033332824 39.0000000000001,-73.050003051 39.0000000000001,-73.066665649 39.0000000000001,-73.083335876 39.0000000000001,-73.099998474 39.0000000000001,-73.116668701 39.0000000000001,-73.133331299 39.0000000000001,-73.150001526 39.0000000000001,-73.166664123 39.0000000000001,-73.1833343499999 39.0000000000001,-73.199996948 39.0000000000001,-73.2166671749999 39.0000000000001,-73.233329773 39.0000000000001,-73.2499999999999 39.0000000000001,-73.266670227 39.0000000000001,-73.2833328249999 39.0000000000001,-73.300003052 39.0000000000001,-73.316665649 39.0000000000001,-73.333335876 39.0000000000001,-73.349998474 39.0000000000001,-73.366668701 39.0000000000001,-73.383331299 39.0000000000001,-73.400001526 39.0000000000001,-73.416664123 39.0000000000001,-73.4333343499999 39.0000000000001,-73.449996948 39.0000000000001,-73.4666671749999 39.0000000000001,-73.483329773 39.0000000000001,-73.4999999999999 39.0000000000001,-73.516670227 39.0000000000001,-73.5333328249999 39.0000000000001,-73.550003052 39.0000000000001,-73.566665649 39.0000000000001,-73.599998474 39.0000000000001,-73.616668701 39.0000000000001,-73.633331298 39.0000000000001,-73.650001526 39.0000000000001,-73.666664124 39.0000000000001,-73.683334351 39.0000000000001,-73.699996948 39.0000000000001,-73.7166671749999 39.0000000000001,-73.733329773 39.0000000000001,-73.7499999999999 39.0000000000001,-73.766670227 39.0000000000001,-73.7833328249999 39.0000000000001,-73.800003052 39.0000000000001,-73.816665649 39.0000000000001,-73.833335876 39.0000000000001,-73.849998474 39.0000000000001,-73.866668701 39.0000000000001,-73.883331299 39.0000000000001,-73.900001526 39.0000000000001,-73.916664124 39.0000000000001,-73.933334351 39.0000000000001,-73.949996948 39.0000000000001,-73.9666671749999 39.0000000000001,-73.983329773 39.0000000000001,-73.9999999999999 39.0000000000001,-74.016670227 39.0000000000001,-74.033332824 39.0000000000001,-74.050003052 39.0000000000001,-74.066665649 39.0000000000001,-74.083335876 39.0000000000001,-74.099998474 39.0000000000001,-74.116668701 39.0000000000001,-74.133331299 39.0000000000001,-74.150001526 39.0000000000001,-74.166664123 39.0000000000001,-74.1833343499999 39.0000000000001,-74.199996948 39.0000000000001,-74.2166671749999 39.0000000000001,-74.233329773 39.0000000000001,-74.2499999999999 39.0000000000001,-74.266670227 39.0000000000001,-74.2833328249999 39.0000000000001,-74.300003052 39.0000000000001,-74.316665649 39.0000000000001,-74.333335876 39.0000000000001,-74.349998474 39.0000000000001,-74.366668701 39.0000000000001,-74.383331299 39.0000000000001,-74.400001526 39.0000000000001,-74.416664123 39.0000000000001,-74.4333343499999 39.0000000000001,-74.449996948 39.0000000000001,-74.4666671749999 39.0000000000001,-74.483329773 39.0000000000001,-74.4999999999999 39.0000000000001,-74.516670227 39.0000000000001,-74.5333328249999 39.0000000000001,-74.550003052 39.0000000000001,-74.566665649 39.0000000000001,-74.599998474 39.0000000000001,-74.616668701 39.0000000000001,-74.633331299 39.0000000000001,-74.650001526 39.0000000000001,-74.666664124 39.0000000000001,-74.683334351 39.0000000000001,-74.699996948 39.0000000000001,-74.7166671749999 39.0000000000001,-74.733329773 39.0000000000001,-74.7499999999999 39.0000000000001,-74.766670227 39.0000000000001,-74.783332824 39.0000000000001,-74.79510498 39.029396057,-74.8071136469999 39.040805817,-74.807999835 39.040804339,-74.870758548 39.0406996990001,-74.891901565 40.1792449770001,-74.917218679 41.542500128,-74.665603028 41.61326703,-73.961926999 41.8947374410001,-73.187883367 42.141024052,-72.484207337 42.5632296690001,-72.275441116 42.7272602720001,-71.6699981689999 42.0000000000001,-71.6668102089999 41.375520846,-71.7009762819999 41.369913426,-71.7157997849999 41.355490559)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.6', '', '21.6', '21.6.A', '', '21.6A', '', '', '', '', '', '', '', '6A', '3', '21.6.A', '21.6A', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.98608571499994 52.0069571430001,-7.58333293599998 52.000000034,-5.07879390699998 52.000000017,-4.90186247799994 51.8862766490001,-4.87608763799994 51.7407493330001,-4.98603263399997 51.654086584,-4.99004021299993 51.641531699,-4.99999993399996 51.6103300340001,-4.99999996699995 51.000000033,-5.99999993499995 51.000000017,-5.99999996699995 50.500000033,-6.99999993599994 50.5000000160001,-6.99999995399997 50.000000023,-8.99999993699993 50.0000000140001,-8.99999993699993 51.5666310340001,-8.99999999999994 51.5667585620001,-9.00022473299992 52.0244752720001,-7.98608571499994 52.0069571430001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VII', '', '27.VII', '27.VII.g', 'Celtic Sea North', '27.VIIg', '', '', '', '', '', '', '', 'VIIg', '3', '27.7.g', '27.VIIg', 'Y'),('SRID=4326;MULTIPOLYGON(((-50.9999999999999 46.0000000000001,-50.9999999999999 45.9833335880001,-50.9999999999999 45.9666671750001,-50.9999999999999 45.950000763,-50.9999999999999 45.933334351,-50.9999999999999 45.916667938,-50.9999999999999 45.900001526,-50.9999999999999 45.883335114,-50.9999999999999 45.8666648860001,-50.9999999999999 45.8499984740001,-50.9999999999999 45.8333320620001,-50.9999999999999 45.8166656490001,-50.9999999999999 45.7999992370001,-50.9999999999999 45.7833328250001,-50.9999999999999 45.7666664120001,-50.9999999999999 45.7500000000001,-50.9999999999999 45.7333335880001,-50.9999999999999 45.7166671750001,-50.9999999999999 45.683334351,-50.9999999999999 45.666667938,-50.9999999999999 45.650001526,-50.9999999999999 45.633335114,-50.9999999999999 45.6166648860001,-50.9999999999999 45.5999984740001,-50.9999999999999 45.5833320620001,-50.9999999999999 45.5666656490001,-50.9999999999999 45.5499992370001,-50.9999999999999 45.5333328250001,-50.9999999999999 45.5166664120001,-50.9999999999999 45.5000000000001,-50.9999999999999 45.4833335880001,-50.9999999999999 45.4666671750001,-50.9999999999999 45.450000763,-50.9999999999999 45.433334351,-50.9999999999999 45.416667938,-50.9999999999999 45.400001526,-50.9999999999999 45.383335114,-50.9999999999999 45.3666648860001,-50.9999999999999 45.3499984740001,-50.9999999999999 45.3333320620001,-50.9999999999999 45.3166656490001,-50.9999999999999 45.2999992370001,-50.9999999999999 45.2833328250001,-50.9999999999999 45.2666664120001,-50.9999999999999 45.2500000000001,-50.9999999999999 45.2333335880001,-50.9999999999999 45.2166671750001,-50.9999999999999 45.200000763,-50.9999999999999 45.183334351,-50.9999999999999 45.166667938,-50.9999999999999 45.150001526,-50.9999999999999 45.133335114,-50.9999999999999 45.1166648860001,-50.9999999999999 45.0999984740001,-50.9999999999999 45.0833320620001,-50.9999999999999 45.0666656490001,-50.9999999999999 45.0499992370001,-50.9999999999999 45.0333328250001,-50.9999999999999 45.0166664120001,-50.9999999999999 45.0000000000001,-50.9999999999999 44.9833335880001,-50.9999999999999 44.9666671750001,-50.9999999999999 44.950000763,-50.9999999999999 44.933334351,-50.9999999999999 44.916667938,-50.9999999999999 44.900001526,-50.9999999999999 44.883335114,-50.9999999999999 44.8666648860001,-50.9999999999999 44.8499984740001,-50.9999999999999 44.8333320620001,-50.9999999999999 44.8166656490001,-50.9999999999999 44.7999992370001,-50.9999999999999 44.7833328250001,-50.9999999999999 44.7666664120001,-50.9999999999999 44.7500000000001,-50.9999999999999 44.7333335880001,-50.9999999999999 44.7166671750001,-50.9999999999999 44.683334351,-50.9999999999999 44.666667938,-50.9999999999999 44.650001526,-50.9999999999999 44.633335114,-50.9999999999999 44.6166648860001,-50.9999999999999 44.5999984740001,-50.9999999999999 44.5833320620001,-50.9999999999999 44.5666656490001,-50.9999999999999 44.5499992370001,-50.9999999999999 44.5333328250001,-50.9999999999999 44.5166664120001,-50.9999999999999 44.5000000000001,-50.9999999999999 44.4833335880001,-50.9999999999999 44.4666671750001,-50.9999999999999 44.450000763,-50.9999999999999 44.433334351,-50.9999999999999 44.416667938,-50.9999999999999 44.400001526,-50.9999999999999 44.383335114,-50.9999999999999 44.3666648860001,-50.9999999999999 44.3499984740001,-50.9999999999999 44.3333320620001,-50.9999999999999 44.3166656490001,-50.9999999999999 44.2999992370001,-50.9999999999999 44.2833328250001,-50.9999999999999 44.2666664120001,-50.9999999999999 44.2500000000001,-50.9999999999999 44.2333335880001,-50.9999999999999 44.2166671750001,-50.9999999999999 44.200000763,-50.9999999999999 44.183334351,-50.9999999999999 44.166667938,-50.9999999999999 44.150001526,-50.9999999999999 44.133335114,-50.9999999999999 44.1166648860001,-50.9999999999999 44.0999984740001,-50.9999999999999 44.0833320620001,-50.9999999999999 44.0666656490001,-50.9999999999999 44.0499992370001,-50.9999999999999 44.0333328250001,-50.9999999999999 44.0166664120001,-50.9999999999999 44.0000000000001,-50.9999999999999 43.9833335880001,-50.9999999999999 43.9666671750001,-50.9999999999999 43.950000763,-50.9999999999999 43.933334351,-50.9999999999999 43.916667938,-50.9999999999999 43.900001526,-50.9999999999999 43.883335114,-50.9999999999999 43.8666648860001,-50.9999999999999 43.8499984740001,-50.9999999999999 43.8333320620001,-50.9999999999999 43.8166656490001,-50.9999999999999 43.7999992370001,-50.9999999999999 43.7833328250001,-50.9999999999999 43.7666664120001,-50.9999999999999 43.7500000000001,-50.9999999999999 43.7333335880001,-50.9999999999999 43.7166671750001,-50.9999999999999 43.683334351,-50.9999999999999 43.666667938,-50.9999999999999 43.650001526,-50.9999999999999 43.633335114,-50.9999999999999 43.6166648860001,-50.9999999999999 43.5999984740001,-50.9999999999999 43.5833320620001,-50.9999999999999 43.5666656490001,-50.9999999999999 43.5499992370001,-50.9999999999999 43.5333328250001,-50.9999999999999 43.5166664120001,-50.9999999999999 43.5000000000001,-50.9999999999999 43.4833335880001,-50.9999999999999 43.4666671750001,-50.9999999999999 43.450000763,-50.9999999999999 43.433334351,-50.9999999999999 43.416667938,-50.9999999999999 43.400001526,-50.9999999999999 43.383335114,-50.9999999999999 43.3666648860001,-50.9999999999999 43.3499984740001,-50.9999999999999 43.3333320620001,-50.9999999999999 43.3166656490001,-50.9999999999999 43.2999992370001,-50.9999999999999 43.2833328250001,-50.9999999999999 43.2666664120001,-50.9999999999999 43.2500000000001,-50.9999999999999 43.2333335880001,-50.9999999999999 43.2166671750001,-50.9999999999999 43.200000763,-50.9999999999999 43.183334351,-50.9999999999999 43.166667938,-50.9999999999999 43.150001526,-50.9999999999999 43.133335114,-50.9999999999999 43.1166648860001,-50.9999999999999 43.0999984740001,-50.9999999999999 43.0833320620001,-50.9999999999999 43.0666656490001,-50.9999999999999 43.0499992370001,-50.9999999999999 43.0333328250001,-50.9999999999999 43.0166664120001,-50.9999999999999 43.0000000000001,-50.9999999999999 42.9833335880001,-50.9999999999999 42.9666671750001,-50.9999999999999 42.950000763,-50.9999999999999 42.933334351,-50.9999999999999 42.916667938,-50.9999999999999 42.900001526,-50.9999999999999 42.883335114,-50.9999999999999 42.8666648860001,-50.9999999999999 42.8499984740001,-50.9999999999999 42.8333320620001,-50.9999999999999 42.8166656490001,-50.9999999999999 42.7999992370001,-50.9999999999999 42.7833328250001,-50.9999999999999 42.7666664120001,-50.9999999999999 42.7500000000001,-50.9999999999999 42.7333335880001,-50.9999999999999 42.7166671750001,-50.9999999999999 42.683334351,-50.9999999999999 42.666667938,-50.9999999999999 42.650001526,-50.9999999999999 42.633335114,-50.9999999999999 42.6166648860001,-50.9999999999999 42.5999984740001,-50.9999999999999 42.5833320620001,-50.9999999999999 42.5666656490001,-50.9999999999999 42.5499992370001,-50.9999999999999 42.5333328250001,-50.9999999999999 42.5166664120001,-50.9999999999999 42.5000000000001,-50.9999999999999 42.4833335880001,-50.9999999999999 42.4666671750001,-50.9999999999999 42.450000763,-50.9999999999999 42.433334351,-50.9999999999999 42.416667938,-50.9999999999999 42.400001526,-50.9999999999999 42.383335114,-50.9999999999999 42.3666648860001,-50.9999999999999 42.3499984740001,-50.9999999999999 42.3333320620001,-50.9999999999999 42.3166656490001,-50.9999999999999 42.2999992370001,-50.9999999999999 42.2833328250001,-50.9999999999999 42.2666664120001,-50.9999999999999 42.2500000000001,-50.9999999999999 42.2333335880001,-50.9999999999999 42.2166671750001,-50.9999999999999 42.200000763,-50.9999999999999 42.183334351,-50.9999999999999 42.166667938,-50.9999999999999 42.150001526,-50.9999999999999 42.133335114,-50.9999999999999 42.1166648860001,-50.9999999999999 42.0999984740001,-50.9999999999999 42.0833320620001,-50.9999999999999 42.0666656490001,-50.9999999999999 42.0499992370001,-50.9999999999999 42.0333328250001,-50.9999999999999 42.0166664120001,-50.9999999999999 42.0000000000001,-50.9999999999999 41.9833335880001,-50.9999999999999 41.9666671750001,-50.9999999999999 41.950000763,-50.9999999999999 41.933334351,-50.9999999999999 41.916667938,-50.9999999999999 41.900001526,-50.9999999999999 41.883335114,-50.9999999999999 41.8666648860001,-50.9999999999999 41.8499984740001,-50.9999999999999 41.8333320620001,-50.9999999999999 41.8166656490001,-50.9999999999999 41.7999992370001,-50.9999999999999 41.7833328250001,-50.9999999999999 41.7666664120001,-50.9999999999999 41.7500000000001,-50.9999999999999 41.7333335880001,-50.9999999999999 41.7166671750001,-50.9999999999999 41.683334351,-50.9999999999999 41.666667938,-50.9999999999999 41.650001526,-50.9999999999999 41.633335114,-50.9999999999999 41.6166648860001,-50.9999999999999 41.5999984740001,-50.9999999999999 41.5833320620001,-50.9999999999999 41.5666656490001,-50.9999999999999 41.5499992370001,-50.9999999999999 41.5333328250001,-50.9999999999999 41.5166664120001,-50.9999999999999 41.5000000000001,-50.9999999999999 41.4833335880001,-50.9999999999999 41.4666671750001,-50.9999999999999 41.450000763,-50.9999999999999 41.433334351,-50.9999999999999 41.416667938,-50.9999999999999 41.400001526,-50.9999999999999 41.383335114,-50.9999999999999 41.3666648860001,-50.9999999999999 41.3499984740001,-50.9999999999999 41.3333320620001,-50.9999999999999 41.3166656490001,-50.9999999999999 41.2999992370001,-50.9999999999999 41.2833328250001,-50.9999999999999 41.2666664120001,-50.9999999999999 41.2500000000001,-50.9999999999999 41.2333335880001,-50.9999999999999 41.2166671750001,-50.9999999999999 41.200000763,-50.9999999999999 41.183334351,-50.9999999999999 41.166667938,-50.9999999999999 41.150001526,-50.9999999999999 41.133335114,-50.9999999999999 41.1166648860001,-50.9999999999999 41.0999984740001,-50.9999999999999 41.0833320620001,-50.9999999999999 41.0666656490001,-50.9999999999999 41.0499992370001,-50.9999999999999 41.0333328250001,-50.9999999999999 41.0166664120001,-50.9999999999999 41.0000000000001,-50.9999999999999 40.9833335880001,-50.9999999999999 40.9666671750001,-50.9999999999999 40.950000763,-50.9999999999999 40.933334351,-50.9999999999999 40.916667938,-50.9999999999999 40.900001526,-50.9999999999999 40.883335114,-50.9999999999999 40.8666648860001,-50.9999999999999 40.8499984740001,-50.9999999999999 40.8333320620001,-50.9999999999999 40.8166656490001,-50.9999999999999 40.7999992370001,-50.9999999999999 40.7833328250001,-50.9999999999999 40.7666664120001,-50.9999999999999 40.7500000000001,-50.9999999999999 40.7333335880001,-50.9999999999999 40.7166671750001,-50.9999999999999 40.683334351,-50.9999999999999 40.666667938,-50.9999999999999 40.650001526,-50.9999999999999 40.633335114,-50.9999999999999 40.6166648860001,-50.9999999999999 40.5999984740001,-50.9999999999999 40.5833320620001,-50.9999999999999 40.5666656490001,-50.9999999999999 40.5499992370001,-50.9999999999999 40.5333328250001,-50.9999999999999 40.5166664120001,-50.9999999999999 40.5000000000001,-50.9999999999999 40.4833335880001,-50.9999999999999 40.4666671750001,-50.9999999999999 40.450000763,-50.9999999999999 40.433334351,-50.9999999999999 40.416667938,-50.9999999999999 40.400001526,-50.9999999999999 40.383335114,-50.9999999999999 40.3666648860001,-50.9999999999999 40.3499984740001,-50.9999999999999 40.3333320620001,-50.9999999999999 40.3166656490001,-50.9999999999999 40.2999992370001,-50.9999999999999 40.2833328250001,-50.9999999999999 40.2666664120001,-50.9999999999999 40.2500000000001,-50.9999999999999 40.2333335880001,-50.9999999999999 40.2166671750001,-50.9999999999999 40.200000763,-50.9999999999999 40.183334351,-50.9999999999999 40.166667938,-50.9999999999999 40.150001526,-50.9999999999999 40.133335114,-50.9999999999999 40.1166648860001,-50.9999999999999 40.0999984740001,-50.9999999999999 40.0833320620001,-50.9999999999999 40.0666656490001,-50.9999999999999 40.0499992370001,-50.9999999999999 40.0333328250001,-50.9999999999999 40.0166664120001,-50.9999999999999 40.0000000000001,-50.9999999999999 39.9833335880001,-50.9999999999999 39.9666671750001,-50.9999999999999 39.950000763,-50.9999999999999 39.933334351,-50.9999999999999 39.9277381900001,-51.009117126 39.933334351,-51.027259827 39.950000763,-51.0454101559999 39.9666671750001,-51.063564301 39.9833335880001,-51.099884033 40.0166664120001,-51.118053436 40.0333328250001,-51.136222839 40.0499992370001,-51.1543998719999 40.0666656490001,-51.1725807189999 40.0833320620001,-51.1907653809999 40.0999984740001,-51.2089576719999 40.1166648860001,-51.2271499629999 40.133335114,-51.2453498839999 40.150001526,-51.2635536189999 40.166667938,-51.2817611689999 40.183334351,-51.2999725339999 40.200000763,-51.318187714 40.2166671750001,-51.3364105219999 40.2333335880001,-51.354637146 40.2500000000001,-51.3728675839999 40.2666664120001,-51.391101837 40.2833328250001,-51.409339905 40.2999992370001,-51.427581787 40.3166656490001,-51.445831299 40.3333320620001,-51.4640846249999 40.3499984740001,-51.4823417659999 40.3666648860001,-51.5006027219999 40.383335114,-51.518871307 40.400001526,-51.537143707 40.416667938,-51.555416107 40.433334351,-51.573699951 40.450000763,-51.591983795 40.4666671750001,-51.610271454 40.4833335880001,-51.628566742 40.5000000000001,-51.646865845 40.5166664120001,-51.665168762 40.5333328250001,-51.6834754939999 40.5499992370001,-51.7017898559999 40.5666656490001,-51.720104218 40.5833320620001,-51.738426208 40.5999984740001,-51.756752014 40.6166648860001,-51.775085449 40.633335114,-51.7934188839999 40.650001526,-51.811759949 40.666667938,-51.8301048279999 40.683334351,-51.8484535219999 40.700000763,-51.86680603 40.7166671750001,-51.885166168 40.7333335880001,-51.9035263059999 40.7500000000001,-51.921894073 40.7666664120001,-51.94026947 40.7833328250001,-51.958644867 40.7999992370001,-51.977027893 40.8166656490001,-51.995414734 40.8333320620001,-52.013805389 40.8499984740001,-52.0321998599999 40.8666648860001,-52.0506019589999 40.883335114,-52.069004059 40.900001526,-52.0874137879999 40.916667938,-52.105831146 40.933334351,-52.124248505 40.950000763,-52.142673492 40.9666671750001,-52.161102295 40.9833335880001,-52.179534912 41.0000000000001,-52.1979713439999 41.0166664120001,-52.216415405 41.0333328250001,-52.234859467 41.0499992370001,-52.253311157 41.0666656490001,-52.271770477 41.0833320620001,-52.2902297969999 41.0999984740001,-52.3086967469999 41.1166648860001,-52.327167511 41.133335114,-52.34564209 41.150001526,-52.364124298 41.166667938,-52.382610321 41.183334351,-52.401100159 41.200000763,-52.419593811 41.2166671750001,-52.4380912779999 41.2333335880001,-52.4565963749999 41.2500000000001,-52.475105286 41.2666664120001,-52.493618011 41.2833328250001,-52.512138367 41.2999992370001,-52.5306587219999 41.3166656490001,-52.5491867069999 41.3333320620001,-52.5677185059999 41.3499984740001,-52.5862579349999 41.3666648860001,-52.6048011779999 41.383335114,-52.623348236 41.400001526,-52.641899109 41.416667938,-52.660453796 41.433334351,-52.6790161129999 41.450000763,-52.697582245 41.4666671750001,-52.7161521909999 41.4833335880001,-52.734729767 41.5000000000001,-52.753311157 41.5166664120001,-52.7718963619999 41.5333328250001,-52.790485382 41.5499992370001,-52.8090820309999 41.5666656490001,-52.82767868 41.5833320620001,-52.846286774 41.5999984740001,-52.864894867 41.6166648860001,-52.88351059 41.633335114,-52.902130127 41.650001526,-52.920753479 41.666667938,-52.939380646 41.683334351,-52.958015442 41.700000763,-52.9766540529999 41.7166671750001,-52.9952964779999 41.7333335880001,-53.013946533 41.7500000000001,-53.0326004029999 41.7666664120001,-53.051258087 41.7833328250001,-53.069919586 41.7999992370001,-53.088588715 41.8166656490001,-53.107261658 41.8333320620001,-53.1259384159999 41.8499984740001,-53.1446228029999 41.8666648860001,-53.163311005 41.883335114,-53.182003021 41.900001526,-53.2006988529999 41.916667938,-53.2194023129999 41.933334351,-53.238109589 41.950000763,-53.256820679 41.9666671750001,-53.275539398 41.9833335880001,-53.294261932 42.0000000000001,-53.3129882809999 42.0166664120001,-53.331718445 42.0333328250001,-53.3504562379999 42.0499992370001,-53.369197845 42.0666656490001,-53.387947083 42.0833320620001,-53.40669632 42.0999984740001,-53.425453186 42.1166648860001,-53.444213867 42.133335114,-53.4629821779999 42.150001526,-53.4817543029999 42.166667938,-53.500530243 42.183334351,-53.519313812 42.200000763,-53.5380973819999 42.2166671750001,-53.556892395 42.2333335880001,-53.575687408 42.2500000000001,-53.594490051 42.2666664120001,-53.613296509 42.2833328250001,-53.6321067809999 42.2999992370001,-53.650924683 42.3166656490001,-53.669746399 42.3333320620001,-53.68857193 42.3499984740001,-53.70740509 42.3666648860001,-53.726242065 42.383335114,-53.745082855 42.400001526,-53.763931274 42.416667938,-53.7827796939999 42.433334351,-53.8016395569999 42.450000763,-53.82049942 42.4666671750001,-53.8393669129999 42.4833335880001,-53.85823822 42.5000000000001,-53.877117157 42.5166664120001,-53.895999908 42.5333328250001,-53.9148864749999 42.5499992370001,-53.93378067 42.5666656490001,-53.9526748659999 42.5833320620001,-53.971580505 42.5999984740001,-53.990486145 42.6166648860001,-54.009399414 42.633335114,-54.028316498 42.650001526,-54.047241211 42.666667938,-54.066169739 42.683334351,-54.0851020809999 42.700000763,-54.104038239 42.7166671750001,-54.1229820249999 42.7333335880001,-54.1419334409999 42.7500000000001,-54.160884857 42.7666664120001,-54.1798439029999 42.7833328250001,-54.198810577 42.7999992370001,-54.217777252 42.8166656490001,-54.2367515559999 42.8333320620001,-54.25573349 42.8499984740001,-54.274715424 42.8666648860001,-54.293704987 42.883335114,-54.312702179 42.900001526,-54.331703186 42.916667938,-54.350708008 42.933334351,-54.3697166439999 42.950000763,-54.3887329099999 42.9666671750001,-54.4077529909999 42.9833335880001,-54.426780701 43.0000000000001,-54.4458122249999 43.0166664120001,-54.464847565 43.0333328250001,-54.483890533 43.0499992370001,-54.4999999999999 43.064090729,-54.4999999999999 43.0833320620001,-54.4999999999999 43.0999984740001,-54.4999999999999 43.1166648860001,-54.4999999999999 43.133335114,-54.4999999999999 43.150001526,-54.4999999999999 43.166667938,-54.4999999999999 43.183334351,-54.4999999999999 43.200000763,-54.4999999999999 43.2166671750001,-54.4999999999999 43.2333335880001,-54.4999999999999 43.2500000000001,-54.4999999999999 43.2666664120001,-54.4999999999999 43.2833328250001,-54.4999999999999 43.2999992370001,-54.4999999999999 43.3166656490001,-54.4999999999999 43.3333320620001,-54.4999999999999 43.3499984740001,-54.4999999999999 43.3666648860001,-54.4999999999999 43.383335114,-54.4999999999999 43.400001526,-54.4999999999999 43.416667938,-54.4999999999999 43.433334351,-54.4999999999999 43.450000763,-54.4999999999999 43.4666671750001,-54.4999999999999 43.4833335880001,-54.4999999999999 43.5000000000001,-54.4999999999999 43.5166664120001,-54.4999999999999 43.5333328250001,-54.4999999999999 43.5499992370001,-54.4999999999999 43.5666656490001,-54.4999999999999 43.5833320620001,-54.4999999999999 43.5999984740001,-54.4999999999999 43.6166648860001,-54.4999999999999 43.633335114,-54.4999999999999 43.650001526,-54.4999999999999 43.666667938,-54.4999999999999 43.683334351,-54.4999999999999 43.7166671750001,-54.4999999999999 43.7333335880001,-54.4999999999999 43.7500000000001,-54.4999999999999 43.7666664120001,-54.4999999999999 43.7833328250001,-54.4999999999999 43.7999992370001,-54.4999999999999 43.8166656490001,-54.4999999999999 43.8333320620001,-54.4999999999999 43.8499984740001,-54.4999999999999 43.8666648860001,-54.4999999999999 43.883335114,-54.4999999999999 43.900001526,-54.4999999999999 43.9083328250001,-54.4999999999999 43.916667938,-54.4999999999999 43.933334351,-54.4999999999999 43.950000763,-54.4999999999999 43.9666671750001,-54.4999999999999 43.9833335880001,-54.4999999999999 44.0000000000001,-54.4999999999999 44.0166664120001,-54.4999999999999 44.0333328250001,-54.4999999999999 44.0499992370001,-54.4999999999999 44.0666656490001,-54.4999999999999 44.0833320620001,-54.4999999999999 44.0999984740001,-54.4999999999999 44.1166648860001,-54.4999999999999 44.133335114,-54.4999999999999 44.150001526,-54.4999999999999 44.166667938,-54.4999999999999 44.183334351,-54.4999999999999 44.200000763,-54.4999999999999 44.2166671750001,-54.4999999999999 44.2333335880001,-54.4999999999999 44.2500000000001,-54.4999999999999 44.2666664120001,-54.4999999999999 44.2833328250001,-54.4999999999999 44.2999992370001,-54.4999999999999 44.3166656490001,-54.4999999999999 44.3333320620001,-54.4999999999999 44.3499984740001,-54.4999999999999 44.3666648860001,-54.4999999999999 44.383335114,-54.4999999999999 44.400001526,-54.4999999999999 44.416667938,-54.4999999999999 44.433334351,-54.4999999999999 44.450000763,-54.4999999999999 44.4666671750001,-54.4999999999999 44.4833335880001,-54.4999999999999 44.5000000000001,-54.4999999999999 44.5166664120001,-54.4999999999999 44.5333328250001,-54.4999999999999 44.5499992370001,-54.4999999999999 44.5666656490001,-54.4999999999999 44.5833320620001,-54.4999999999999 44.5999984740001,-54.4999999999999 44.6166648860001,-54.4999999999999 44.633335114,-54.4999999999999 44.650001526,-54.4999999999999 44.666667938,-54.4999999999999 44.683334351,-54.4999999999999 44.7166671750001,-54.4999999999999 44.7333335880001,-54.4999999999999 44.7500000000001,-54.4999999999999 44.7666664120001,-54.4999999999999 44.7833328250001,-54.4999999999999 44.7999992370001,-54.4999999999999 44.8166656490001,-54.4999999999999 44.8333320620001,-54.4999999999999 44.8499984740001,-54.4999999999999 44.8666648860001,-54.4999999999999 44.883335114,-54.4999999999999 44.900001526,-54.4999999999999 44.9083328250001,-54.4999999999999 44.916667938,-54.4999999999999 44.933334351,-54.4999999999999 44.950000763,-54.4999999999999 44.9666671750001,-54.4999999999999 44.9833335880001,-54.4999999999999 45.0000000000001,-54.4999999999999 45.0166664120001,-54.4999999999999 45.0333328250001,-54.4999999999999 45.0499992370001,-54.4999999999999 45.0666656490001,-54.4999999999999 45.0833320620001,-54.4999999999999 45.0999984740001,-54.4999999999999 45.1166648860001,-54.4999999999999 45.133335114,-54.4999999999999 45.150001526,-54.4999999999999 45.166667938,-54.4999999999999 45.183334351,-54.4999999999999 45.200000763,-54.4999999999999 45.2166671750001,-54.4999999999999 45.2333335880001,-54.4999999999999 45.2500000000001,-54.4999999999999 45.2666664120001,-54.4999999999999 45.2833328250001,-54.4999999999999 45.2999992370001,-54.4999999999999 45.3166656490001,-54.4999999999999 45.3333320620001,-54.4999999999999 45.3499984740001,-54.4999999999999 45.3666648860001,-54.4999999999999 45.383335114,-54.4999999999999 45.400001526,-54.4999999999999 45.416667938,-54.4999999999999 45.433334351,-54.4999999999999 45.450000763,-54.4999999999999 45.4666671750001,-54.4999999999999 45.4833335880001,-54.4999999999999 45.5000000000001,-54.4999999999999 45.5166664120001,-54.4999999999999 45.5333328250001,-54.4999999999999 45.5499992370001,-54.4999999999999 45.5666656490001,-54.4999999999999 45.5833320620001,-54.4999999999999 45.5999984740001,-54.4999999999999 45.6166648860001,-54.4999999999999 45.633335114,-54.4999999999999 45.650001526,-54.4999999999999 45.666667938,-54.4999999999999 45.683334351,-54.4999999999999 45.7166671750001,-54.4999999999999 45.7333335880001,-54.4999999999999 45.7500000000001,-54.4999999999999 45.7666664120001,-54.4999999999999 45.7833328250001,-54.4999999999999 45.7999992370001,-54.4999999999999 45.8166656490001,-54.4999999999999 45.8333320620001,-54.4999999999999 45.8499984740001,-54.4999999999999 45.8666648860001,-54.4999999999999 45.883335114,-54.4999999999999 45.900001526,-54.4999999999999 45.9083328250001,-54.4999999999999 45.916667938,-54.4999999999999 45.933334351,-54.4999999999999 45.950000763,-54.4999999999999 45.9666671750001,-54.4999999999999 45.9833335880001,-54.4999999999999 46.0000000000001,-54.4833335879999 46.0000000000001,-54.4666671749999 46.0000000000001,-54.4500007629999 46.0000000000001,-54.433334351 46.0000000000001,-54.4166679379999 46.0000000000001,-54.400001526 46.0000000000001,-54.383335114 46.0000000000001,-54.366664886 46.0000000000001,-54.349998474 46.0000000000001,-54.333332062 46.0000000000001,-54.316665649 46.0000000000001,-54.299999237 46.0000000000001,-54.2833328249999 46.0000000000001,-54.2666664119999 46.0000000000001,-54.2499999999999 46.0000000000001,-54.2333335879999 46.0000000000001,-54.2166671749999 46.0000000000001,-54.2000007629999 46.0000000000001,-54.183334351 46.0000000000001,-54.1666679379999 46.0000000000001,-54.150001526 46.0000000000001,-54.133335114 46.0000000000001,-54.116664886 46.0000000000001,-54.099998474 46.0000000000001,-54.083332062 46.0000000000001,-54.066665649 46.0000000000001,-54.049999237 46.0000000000001,-54.0333328249999 46.0000000000001,-54.0166664119999 46.0000000000001,-53.9999999999999 46.0000000000001,-53.9833335879999 46.0000000000001,-53.9666671749999 46.0000000000001,-53.9500007629999 46.0000000000001,-53.933334351 46.0000000000001,-53.9166679379999 46.0000000000001,-53.900001526 46.0000000000001,-53.883335114 46.0000000000001,-53.866664886 46.0000000000001,-53.849998474 46.0000000000001,-53.833332062 46.0000000000001,-53.816665649 46.0000000000001,-53.799999237 46.0000000000001,-53.7833328249999 46.0000000000001,-53.7666664119999 46.0000000000001,-53.7499999999999 46.0000000000001,-53.7333335879999 46.0000000000001,-53.7166671749999 46.0000000000001,-53.7000007629999 46.0000000000001,-53.683334351 46.0000000000001,-53.6666679379999 46.0000000000001,-53.633335114 46.0000000000001,-53.616664886 46.0000000000001,-53.599998474 46.0000000000001,-53.583332062 46.0000000000001,-53.566665649 46.0000000000001,-53.549999237 46.0000000000001,-53.5333328249999 46.0000000000001,-53.5166664119999 46.0000000000001,-53.4999999999999 46.0000000000001,-53.4833335879999 46.0000000000001,-53.4666671749999 46.0000000000001,-53.4500007629999 46.0000000000001,-53.433334351 46.0000000000001,-53.4166679379999 46.0000000000001,-53.400001526 46.0000000000001,-53.383335114 46.0000000000001,-53.366664886 46.0000000000001,-53.349998474 46.0000000000001,-53.333332062 46.0000000000001,-53.316665649 46.0000000000001,-53.299999237 46.0000000000001,-53.2833328249999 46.0000000000001,-53.2666664119999 46.0000000000001,-53.2499999999999 46.0000000000001,-53.2333335879999 46.0000000000001,-53.2166671749999 46.0000000000001,-53.2000007629999 46.0000000000001,-53.183334351 46.0000000000001,-53.1666679379999 46.0000000000001,-53.150001526 46.0000000000001,-53.133335114 46.0000000000001,-53.116664886 46.0000000000001,-53.099998474 46.0000000000001,-53.083332062 46.0000000000001,-53.066665649 46.0000000000001,-53.049999237 46.0000000000001,-53.0333328249999 46.0000000000001,-53.0166664119999 46.0000000000001,-52.9999999999999 46.0000000000001,-52.9833335879999 46.0000000000001,-52.9666671749999 46.0000000000001,-52.9500007629999 46.0000000000001,-52.933334351 46.0000000000001,-52.9166679379999 46.0000000000001,-52.900001526 46.0000000000001,-52.883335114 46.0000000000001,-52.866664886 46.0000000000001,-52.849998474 46.0000000000001,-52.833332062 46.0000000000001,-52.816665649 46.0000000000001,-52.799999237 46.0000000000001,-52.7833328249999 46.0000000000001,-52.7666664119999 46.0000000000001,-52.7499999999999 46.0000000000001,-52.7333335879999 46.0000000000001,-52.7166671749999 46.0000000000001,-52.7000007629999 46.0000000000001,-52.683334351 46.0000000000001,-52.6666679379999 46.0000000000001,-52.633335114 46.0000000000001,-52.616664886 46.0000000000001,-52.599998474 46.0000000000001,-52.583332062 46.0000000000001,-52.566665649 46.0000000000001,-52.549999237 46.0000000000001,-52.5333328249999 46.0000000000001,-52.5166664119999 46.0000000000001,-52.4999999999999 46.0000000000001,-52.4833335879999 46.0000000000001,-52.4666671749999 46.0000000000001,-52.4500007629999 46.0000000000001,-52.433334351 46.0000000000001,-52.4166679379999 46.0000000000001,-52.400001526 46.0000000000001,-52.383335114 46.0000000000001,-52.366664886 46.0000000000001,-52.349998474 46.0000000000001,-52.333332062 46.0000000000001,-52.316665649 46.0000000000001,-52.299999237 46.0000000000001,-52.2833328249999 46.0000000000001,-52.2666664119999 46.0000000000001,-52.2499999999999 46.0000000000001,-52.2333335879999 46.0000000000001,-52.2166671749999 46.0000000000001,-52.2000007629999 46.0000000000001,-52.183334351 46.0000000000001,-52.1666679379999 46.0000000000001,-52.150001526 46.0000000000001,-52.133335114 46.0000000000001,-52.116664886 46.0000000000001,-52.099998474 46.0000000000001,-52.083332062 46.0000000000001,-52.066665649 46.0000000000001,-52.049999237 46.0000000000001,-52.0333328249999 46.0000000000001,-52.0166664119999 46.0000000000001,-51.9999999999999 46.0000000000001,-51.9833335879999 46.0000000000001,-51.9666671749999 46.0000000000001,-51.9500007629999 46.0000000000001,-51.933334351 46.0000000000001,-51.9166679379999 46.0000000000001,-51.900001526 46.0000000000001,-51.883335114 46.0000000000001,-51.866664886 46.0000000000001,-51.849998474 46.0000000000001,-51.833332062 46.0000000000001,-51.816665649 46.0000000000001,-51.799999237 46.0000000000001,-51.7833328249999 46.0000000000001,-51.7666664119999 46.0000000000001,-51.7499999999999 46.0000000000001,-51.7333335879999 46.0000000000001,-51.7166671749999 46.0000000000001,-51.7000007629999 46.0000000000001,-51.683334351 46.0000000000001,-51.6666679379999 46.0000000000001,-51.633335114 46.0000000000001,-51.616664886 46.0000000000001,-51.599998474 46.0000000000001,-51.583332062 46.0000000000001,-51.566665649 46.0000000000001,-51.549999237 46.0000000000001,-51.5333328249999 46.0000000000001,-51.5166664119999 46.0000000000001,-51.4999999999999 46.0000000000001,-51.4833335879999 46.0000000000001,-51.4666671749999 46.0000000000001,-51.4500007629999 46.0000000000001,-51.433334351 46.0000000000001,-51.4166679379999 46.0000000000001,-51.400001526 46.0000000000001,-51.383335114 46.0000000000001,-51.366664886 46.0000000000001,-51.349998474 46.0000000000001,-51.333332062 46.0000000000001,-51.316665649 46.0000000000001,-51.299999237 46.0000000000001,-51.2833328249999 46.0000000000001,-51.2666664119999 46.0000000000001,-51.2499999999999 46.0000000000001,-51.2333335879999 46.0000000000001,-51.2166671749999 46.0000000000001,-51.2000007629999 46.0000000000001,-51.183334351 46.0000000000001,-51.1666679379999 46.0000000000001,-51.150001526 46.0000000000001,-51.133335114 46.0000000000001,-51.116664886 46.0000000000001,-51.099998474 46.0000000000001,-51.083332062 46.0000000000001,-51.066665649 46.0000000000001,-51.049999237 46.0000000000001,-51.0333328249999 46.0000000000001,-51.0166664119999 46.0000000000001,-50.9999999999999 46.0000000000001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.3', '', '21.3', '21.3.O', '', '21.3O', '', '', '', '', '', '', '', '3O', '3', '21.3.O', '21.3O', 'Y'),('SRID=4326;MULTIPOLYGON(((-58.808494568 46.8499984740001,-58.8212623599999 46.842189789,-58.8304634089999 46.8499984740001,-58.850105286 46.8666648860001,-58.8697547909999 46.883335114,-58.889408112 46.900001526,-58.9090652469999 46.916667939,-58.9287338249999 46.933334351,-58.9484062189999 46.950000763,-58.9680824279999 46.9666671750001,-58.987770081 46.9833335880001,-59.007457733 47.0000000000001,-59.02715683 47.0166664120001,-59.0468597409999 47.0333328250001,-59.066570282 47.0499992370001,-59.0862846369999 47.0666656490001,-59.1060066219999 47.0833320620001,-59.125736236 47.0999984750001,-59.1454696659999 47.1166648870001,-59.165210724 47.133335114,-59.1849555969999 47.150001526,-59.204708099 47.166667938,-59.2244682309999 47.183334351,-59.244232177 47.200000763,-59.2640037529999 47.2166671750001,-59.283782959 47.2333335880001,-59.303565979 47.2500000000001,-59.3233566279999 47.2666664120001,-59.343154907 47.2833328250001,-59.362957001 47.2999992370001,-59.382766723 47.3166656500001,-59.402580261 47.3333320620001,-59.422405243 47.3499984740001,-59.4422302249999 47.3666648870001,-59.4620666499999 47.383335114,-59.4819068909999 47.400001526,-59.501754761 47.416667938,-59.521606445 47.433334351,-59.5414657589999 47.450000763,-59.561332702 47.4666671750001,-59.571678161 47.4753417960001,-59.556335449 47.4833335880001,-59.524330139 47.5000000000001,-59.4923133849999 47.5166664130001,-59.460285187 47.5333328250001,-59.4282493589999 47.5499992370001,-59.3962020869999 47.5666656490001,-59.3087797869999 47.620035789,-59.308315277 47.620319366,-58.599998474 48.0000000000001,-57.9999999999999 48.0000000000001,-57.4646728439999 47.7980117970001,-57.523826599 47.6300354000001,-57.5460014339999 47.6166648860001,-57.5736427309999 47.5999984740001,-57.601276398 47.5833320620001,-57.628902435 47.5666656490001,-57.656517029 47.5499992370001,-57.684123993 47.5333328250001,-57.7117233279999 47.5166664120001,-57.720001221 47.5116653440001,-57.739311218 47.5000000000001,-57.766891479 47.4833335880001,-57.794464111 47.4666671750001,-57.822025299 47.450000763,-57.849578857 47.433334351,-57.877124786 47.416667938,-57.904663086 47.400001526,-57.9321899409999 47.383335114,-57.959709167 47.3666648860001,-57.987216949 47.3499984740001,-58.014720917 47.3333320620001,-58.04221344 47.3166656490001,-58.0696945189999 47.2999992370001,-58.097171783 47.2833328250001,-58.124637604 47.2666664120001,-58.152095795 47.2500000000001,-58.1795463559999 47.2333335880001,-58.206985474 47.2166671750001,-58.234416962 47.200000763,-58.26184082 47.183334351,-58.2892532349999 47.166667938,-58.3166618349999 47.150001526,-58.34405899 47.133335114,-58.371444702 47.1166648860001,-58.398826599 47.0999984740001,-58.426197052 47.0833320620001,-58.4535598749999 47.0666656490001,-58.48091507 47.0499992370001,-58.50825882 47.0333328250001,-58.53559494 47.0166664120001,-58.5629234309999 47.0000000000001,-58.590244293 46.9833335880001,-58.617553711 46.9666671750001,-58.644855499 46.950000763,-58.672149658 46.933334351,-58.6994361879999 46.916667938,-58.7267150879999 46.900001526,-58.7539825439999 46.883335114,-58.781242371 46.8666648860001,-58.808494568 46.8499984740001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.3', '', '21.3', '21.3.P', '', '21.3P', '21.3.P.n', 'Northwestern subdivision', '21.3Pn', '', '', '', '', '3Pn', '4', '21.3.P.n', '21.3Pn', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 60.7,23.353918132 60.5049998040001,23.354507997 60.5000000000001,23.388772064 60.2095712380001,23.4093913200001 60.034798498,23.309011266 59.939701605,23.2235702630001 59.8985068360001,23.1610827650001 59.8683789350001,23.000166139 59.837921812,23.0000522280001 59.830014266,23.0000000920001 59.8263950410001,23.0000000920001 59.0000000410001,23.428900093 59.0000000410001,23.555605756 59.0456066140001,23.6165073220001 59.0675275890001,23.63333412 59.0735842450001,23.684114976 59.0357115090001,24.211727551 58.6422141570001,23.9699634840001 58.5000000000001,23.965796412 58.497548781,23.6914045830001 58.5000000000001,23.691400093 58.50000004,23.6876097800001 58.5000000000001,23.218860093 58.49999504,22.241948531 58.3395569800001,22.038423725 58.3973479740001,21.9605315160001 58.4827781390001,21.924 58.5000000000001,21.914100091 58.50000004,19.000000089 58.500000024,19.000000089 59.7041440410001,18.9753293380001 59.7447290920001,18.931338141 59.7600442610001,18.9031091790001 59.7600442610001,18.9087549720001 59.7370268000001,18.9031091790001 59.7244323400001,18.7194037830001 59.7183522560001,15.7476345690001 59.700639401,15.7683961180001 60.5000000000001,15.768731616 60.5129173400001,16.382305258 60.5000000000001,17.9179177 60.4676713170001,17.934691817 60.4727640450001,18.024400088 60.5000000420001,21.285020091 60.5000000420001,21.3557000910001 60.5000000420001,21.364000091 60.5000000420001,21.5749000910001 60.500100042,21.5997121230001 60.505827034,21.61697056 60.5098105420001,21.6189967560001 60.517397519,21.6399993900001 60.5960407150001,21.6405689220001 60.598173295,21.750090046 60.6773145920001,21.806562548 60.7181223090001,23.0000000000001 60.7)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.III', 'Skagerrak, Kattegat, Sound, Belt S., and Baltic S.', '27.III', '27.III.d', '', '27.IIId', '27.III.d.29', 'Archipelago Sea', '27.IIId29', '', '', '', '', '29', '4', '27.3.d.29', '27.29', 'Y'),('SRID=4326;MULTIPOLYGON(((-54.098023478 48.0700688850001,-53.953626878 47.7955457410001,-53.838530681 47.5681605720001,-53.678518895 47.4025343380001,-53.8946751669999 47.1133902340001,-54.051879728 46.9000411870001,-54.198722839 46.8202514650001,-54.198566437 46.8166656490001,-54.204761505 46.7999992370001,-54.210956573 46.7833328250001,-54.217151642 46.7666664120001,-54.223342896 46.7500000000001,-54.229534149 46.7333335880001,-54.2357215879999 46.7166671750001,-54.2419052119999 46.700000763,-54.248092651 46.683334351,-54.254272461 46.666667938,-54.260452271 46.650001526,-54.26663208 46.633335114,-54.2728080749999 46.6166648860001,-54.278980255 46.5999984740001,-54.2851562499999 46.5833320620001,-54.291324615 46.5666656490001,-54.2974929809999 46.5499992370001,-54.303661346 46.5333328250001,-54.3098258969999 46.5166664120001,-54.315986633 46.5000000000001,-54.3221473689999 46.4833335880001,-54.328308105 46.4666671750001,-54.334465027 46.450000763,-54.340621948 46.433334351,-54.346775055 46.416667938,-54.3529243469999 46.400001526,-54.359077454 46.383335114,-54.3652229309999 46.3666648860001,-54.371368408 46.3499984740001,-54.377513885 46.3333320620001,-54.383655548 46.3166656490001,-54.389797211 46.2999992370001,-54.395935059 46.2833328250001,-54.402069092 46.2666664120001,-54.4082031249999 46.2500000000001,-54.414337158 46.2333335880001,-54.420467377 46.2166671750001,-54.426597595 46.200000763,-54.432723999 46.183334351,-54.4388504029999 46.166667938,-54.444972992 46.150001526,-54.4510955809999 46.133335114,-54.457214355 46.1166648860001,-54.46333313 46.0999984740001,-54.46944809 46.0833320620001,-54.475563049 46.0666656490001,-54.4816741939999 46.0499992370001,-54.487785339 46.0333328250001,-54.49389267 46.0166664120001,-54.4999999999999 46.0000000000001,-54.4999999999999 45.9833335880001,-54.4999999999999 45.9666671750001,-54.4999999999999 45.950000763,-54.4999999999999 45.933334351,-54.4999999999999 45.916667938,-54.4999999999999 45.9083328250001,-54.4999999999999 45.900001526,-54.4999999999999 45.883335114,-54.4999999999999 45.8666648860001,-54.4999999999999 45.8499984740001,-54.4999999999999 45.8333320620001,-54.4999999999999 45.8166656490001,-54.4999999999999 45.7999992370001,-54.4999999999999 45.7833328250001,-54.4999999999999 45.7666664120001,-54.4999999999999 45.7500000000001,-54.4999999999999 45.7333335880001,-54.4999999999999 45.7166671750001,-54.4999999999999 45.683334351,-54.4999999999999 45.666667938,-54.4999999999999 45.650001526,-54.4999999999999 45.633335114,-54.4999999999999 45.6166648860001,-54.4999999999999 45.5999984740001,-54.4999999999999 45.5833320620001,-54.4999999999999 45.5666656490001,-54.4999999999999 45.5499992370001,-54.4999999999999 45.5333328250001,-54.4999999999999 45.5166664120001,-54.4999999999999 45.5000000000001,-54.4999999999999 45.4833335880001,-54.4999999999999 45.4666671750001,-54.4999999999999 45.450000763,-54.4999999999999 45.433334351,-54.4999999999999 45.416667938,-54.4999999999999 45.400001526,-54.4999999999999 45.383335114,-54.4999999999999 45.3666648860001,-54.4999999999999 45.3499984740001,-54.4999999999999 45.3333320620001,-54.4999999999999 45.3166656490001,-54.4999999999999 45.2999992370001,-54.4999999999999 45.2833328250001,-54.4999999999999 45.2666664120001,-54.4999999999999 45.2500000000001,-54.4999999999999 45.2333335880001,-54.4999999999999 45.2166671750001,-54.4999999999999 45.200000763,-54.4999999999999 45.183334351,-54.4999999999999 45.166667938,-54.4999999999999 45.150001526,-54.4999999999999 45.133335114,-54.4999999999999 45.1166648860001,-54.4999999999999 45.0999984740001,-54.4999999999999 45.0833320620001,-54.4999999999999 45.0666656490001,-54.4999999999999 45.0499992370001,-54.4999999999999 45.0333328250001,-54.4999999999999 45.0166664120001,-54.4999999999999 45.0000000000001,-54.4999999999999 44.9833335880001,-54.4999999999999 44.9666671750001,-54.4999999999999 44.950000763,-54.4999999999999 44.933334351,-54.4999999999999 44.916667938,-54.4999999999999 44.9083328250001,-54.4999999999999 44.900001526,-54.4999999999999 44.883335114,-54.4999999999999 44.8666648860001,-54.4999999999999 44.8499984740001,-54.4999999999999 44.8333320620001,-54.4999999999999 44.8166656490001,-54.4999999999999 44.7999992370001,-54.4999999999999 44.7833328250001,-54.4999999999999 44.7666664120001,-54.4999999999999 44.7500000000001,-54.4999999999999 44.7333335880001,-54.4999999999999 44.7166671750001,-54.4999999999999 44.683334351,-54.4999999999999 44.666667938,-54.4999999999999 44.650001526,-54.4999999999999 44.633335114,-54.4999999999999 44.6166648860001,-54.4999999999999 44.5999984740001,-54.4999999999999 44.5833320620001,-54.4999999999999 44.5666656490001,-54.4999999999999 44.5499992370001,-54.4999999999999 44.5333328250001,-54.4999999999999 44.5166664120001,-54.4999999999999 44.5000000000001,-54.4999999999999 44.4833335880001,-54.4999999999999 44.4666671750001,-54.4999999999999 44.450000763,-54.4999999999999 44.433334351,-54.4999999999999 44.416667938,-54.4999999999999 44.400001526,-54.4999999999999 44.383335114,-54.4999999999999 44.3666648860001,-54.4999999999999 44.3499984740001,-54.4999999999999 44.3333320620001,-54.4999999999999 44.3166656490001,-54.4999999999999 44.2999992370001,-54.4999999999999 44.2833328250001,-54.4999999999999 44.2666664120001,-54.4999999999999 44.2500000000001,-54.4999999999999 44.2333335880001,-54.4999999999999 44.2166671750001,-54.4999999999999 44.200000763,-54.4999999999999 44.183334351,-54.4999999999999 44.166667938,-54.4999999999999 44.150001526,-54.4999999999999 44.133335114,-54.4999999999999 44.1166648860001,-54.4999999999999 44.0999984740001,-54.4999999999999 44.0833320620001,-54.4999999999999 44.0666656490001,-54.4999999999999 44.0499992370001,-54.4999999999999 44.0333328250001,-54.4999999999999 44.0166664120001,-54.4999999999999 44.0000000000001,-54.4999999999999 43.9833335880001,-54.4999999999999 43.9666671750001,-54.4999999999999 43.950000763,-54.4999999999999 43.933334351,-54.4999999999999 43.916667938,-54.4999999999999 43.9083328250001,-54.4999999999999 43.900001526,-54.4999999999999 43.883335114,-54.4999999999999 43.8666648860001,-54.4999999999999 43.8499984740001,-54.4999999999999 43.8333320620001,-54.4999999999999 43.8166656490001,-54.4999999999999 43.7999992370001,-54.4999999999999 43.7833328250001,-54.4999999999999 43.7666664120001,-54.4999999999999 43.7500000000001,-54.4999999999999 43.7333335880001,-54.4999999999999 43.7166671750001,-54.4999999999999 43.683334351,-54.4999999999999 43.666667938,-54.4999999999999 43.650001526,-54.4999999999999 43.633335114,-54.4999999999999 43.6166648860001,-54.4999999999999 43.5999984740001,-54.4999999999999 43.5833320620001,-54.4999999999999 43.5666656490001,-54.4999999999999 43.5499992370001,-54.4999999999999 43.5333328250001,-54.4999999999999 43.5166664120001,-54.4999999999999 43.5000000000001,-54.4999999999999 43.4833335880001,-54.4999999999999 43.4666671750001,-54.4999999999999 43.450000763,-54.4999999999999 43.433334351,-54.4999999999999 43.416667938,-54.4999999999999 43.400001526,-54.4999999999999 43.383335114,-54.4999999999999 43.3666648860001,-54.4999999999999 43.3499984740001,-54.4999999999999 43.3333320620001,-54.4999999999999 43.3166656490001,-54.4999999999999 43.2999992370001,-54.4999999999999 43.2833328250001,-54.4999999999999 43.2666664120001,-54.4999999999999 43.2500000000001,-54.4999999999999 43.2333335880001,-54.4999999999999 43.2166671750001,-54.4999999999999 43.200000763,-54.4999999999999 43.183334351,-54.4999999999999 43.166667938,-54.4999999999999 43.150001526,-54.4999999999999 43.133335114,-54.4999999999999 43.1166648860001,-54.4999999999999 43.0999984740001,-54.4999999999999 43.0833320620001,-54.4999999999999 43.064090729,-54.502937317 43.0666656490001,-54.521987915 43.0833320620001,-54.541046143 43.0999984740001,-54.5601081849999 43.1166648860001,-54.5791778559999 43.133335114,-54.5982475279999 43.150001526,-54.6173286439999 43.166667938,-54.6364097599999 43.183334351,-54.655498505 43.200000763,-54.674594879 43.2166671750001,-54.693691254 43.2333335880001,-54.7127990719999 43.2500000000001,-54.7319068909999 43.2666664120001,-54.751022339 43.2833328250001,-54.770141602 43.2999992370001,-54.7892684939999 43.3166656490001,-54.8083991999999 43.3333320620001,-54.8275337219999 43.3499984740001,-54.846675873 43.3666648860001,-54.8658218379999 43.383335114,-54.884975433 43.400001526,-54.904132843 43.416667938,-54.923294067 43.433334351,-54.942462921 43.450000763,-54.96163559 43.4666671750001,-54.9808158869999 43.4833335880001,-54.9999999999999 43.5000000000001,-55.018512726 43.5166664120001,-55.0370292659999 43.5333328250001,-55.0555496219999 43.5499992370001,-55.074073792 43.5666656490001,-55.0926055909999 43.5833320620001,-55.11114502 43.5999984740001,-55.1296882629999 43.6166648860001,-55.148235321 43.633335114,-55.1667861939999 43.650001526,-55.185344696 43.666667938,-55.2039070129999 43.683334351,-55.222473145 43.700000763,-55.241046906 43.7166671750001,-55.259628296 43.7333335880001,-55.278209686 43.7500000000001,-55.2967987059999 43.7666664120001,-55.3153915409999 43.7833328250001,-55.333992004 43.7999992370001,-55.352596283 43.8166656490001,-55.3712081909999 43.8333320620001,-55.389820099 43.8499984740001,-55.408443451 43.8666648860001,-55.4270668029999 43.883335114,-55.4456977839999 43.900001526,-55.464332581 43.916667938,-55.4829750059999 43.933334351,-55.501621246 43.950000763,-55.5202751159999 43.9666671750001,-55.538928986 43.9833335880001,-55.557594299 44.0000000000001,-55.5762596129999 44.0166664120001,-55.5949325559999 44.0333328250001,-55.613613129 44.0499992370001,-55.632293701 44.0666656490001,-55.650985718 44.0833320620001,-55.6696777339999 44.0999984740001,-55.68837738 44.1166648860001,-55.7070808409999 44.133335114,-55.7257919309999 44.150001526,-55.744506836 44.166667938,-55.76322937 44.183334351,-55.7819557189999 44.200000763,-55.800685883 44.2166671750001,-55.819423676 44.2333335880001,-55.838165283 44.2500000000001,-55.856910706 44.2666664120001,-55.875663757 44.2833328250001,-55.894420624 44.2999992370001,-55.91318512 44.3166656490001,-55.93195343 44.3333320620001,-55.95072937 44.3499984740001,-55.9695091249999 44.3666648860001,-55.9882926939999 44.383335114,-56.007083893 44.400001526,-56.0258789059999 44.416667938,-56.044681549 44.433334351,-56.0634880069999 44.450000763,-56.082298279 44.4666671750001,-56.10111618 44.4833335880001,-56.1199378969999 44.5000000000001,-56.138767242 44.5166664120001,-56.1576004029999 44.5333328250001,-56.176441193 44.5499992370001,-56.1952857969999 44.5666656490001,-56.2141342159999 44.5833320620001,-56.232990265 44.5999984740001,-56.2518501279999 44.6166648860001,-56.270717621 44.633335114,-56.2895889279999 44.650001526,-56.3084640499999 44.666667938,-56.327346802 44.683334351,-56.346237183 44.700000763,-56.365127563 44.7166671750001,-56.3840293879999 44.7333335880001,-56.4029312129999 44.7500000000001,-56.421840668 44.7666664120001,-56.440757751 44.7833328250001,-56.4596786499999 44.7999992370001,-56.4786071779999 44.8166656490001,-56.497535706 44.8333320620001,-56.516475677 44.8499984740001,-56.535419464 44.8666648860001,-56.554367065 44.883335114,-56.5733184809999 44.900001526,-56.592281342 44.916667938,-56.611244202 44.933334351,-56.6302146909999 44.950000763,-56.6491928099999 44.9666671750001,-56.6681747439999 44.9833335880001,-56.687160492 45.0000000000001,-56.70615387 45.0166664120001,-56.725151062 45.0333328250001,-56.744155884 45.0499992370001,-56.76316452 45.0666656490001,-56.782180786 45.0833320620001,-56.801200867 45.0999984740001,-56.820228577 45.1166648860001,-56.839260101 45.133335114,-56.858299255 45.150001526,-56.877342224 45.166667938,-56.896389008 45.183334351,-56.91544342 45.200000763,-56.9345054629999 45.2166671750001,-56.95357132 45.2333335880001,-56.9726409909999 45.2500000000001,-56.991718292 45.2666664120001,-57.010799408 45.2833328250001,-57.0298881529999 45.2999992370001,-57.0489845279999 45.3166656490001,-57.068080902 45.3333320620001,-57.087188721 45.3499984740001,-57.106296539 45.3666648860001,-57.125415802 45.383335114,-57.144535065 45.400001526,-57.163665771 45.416667938,-57.1827964779999 45.433334351,-57.201938629 45.450000763,-57.22108078 45.4666671750001,-57.2402343749999 45.4833335880001,-57.25938797 45.5000000000001,-57.2785530089999 45.5166664120001,-57.297718048 45.5333328250001,-57.3168945309999 45.5499992370001,-57.336071014 45.5666656490001,-57.355255127 45.5833320620001,-57.3744468689999 45.5999984740001,-57.393642426 45.6166648860001,-57.412845612 45.633335114,-57.4320526119999 45.650001526,-57.451267242 45.666667938,-57.470485687 45.683334351,-57.489711761 45.700000763,-57.5089416499999 45.716667176,-57.5281791689999 45.7333335880001,-57.547420502 45.7500000000001,-57.566669464 45.7666664120001,-57.5859260559999 45.7833328250001,-57.605182648 45.7999992370001,-57.624450684 45.8166656490001,-57.6437225339999 45.8333320620001,-57.662998199 45.8499984740001,-57.6822814939999 45.8666648860001,-57.701572418 45.883335114,-57.720867157 45.900001526,-57.74016571 45.916667939,-57.759471893 45.933334351,-57.778785706 45.950000763,-57.798103333 45.9666671750001,-57.817424774 45.9833335880001,-57.8367576599999 46.0000000000001,-57.856090545 46.0166664120001,-57.8754348749999 46.0333328250001,-57.894779205 46.0499992370001,-57.914134979 46.0666656490001,-57.933494568 46.0833320620001,-57.952857971 46.0999984750001,-57.972229004 46.1166648870001,-57.9916076659999 46.133335114,-58.010990143 46.150001526,-58.0303764339999 46.166667938,-58.049770355 46.183334351,-58.069171906 46.200000763,-58.088577271 46.2166671750001,-58.107990265 46.2333335880001,-58.127410889 46.2500000000001,-58.146835327 46.2666664120001,-58.16626358 46.2833328250001,-58.1856994629999 46.2999992370001,-58.2051429749999 46.3166656500001,-58.224590302 46.3333320620001,-58.244045258 46.3499984740001,-58.2635040279999 46.3666648870001,-58.2829704279999 46.383335114,-58.302440643 46.400001526,-58.3219184879999 46.416667938,-58.341403961 46.433334351,-58.360893249 46.450000763,-58.380390167 46.4666671750001,-58.399890899 46.4833335880001,-58.419399261 46.5000000000001,-58.4389114379999 46.5166664130001,-58.4584312439999 46.5333328250001,-58.477958679 46.5499992370001,-58.497489929 46.5666656500001,-58.517028809 46.5833320620001,-58.536571502 46.5999984740001,-58.556121826 46.6166648860001,-58.575679779 46.633335114,-58.5952415469999 46.650001526,-58.614810943 46.666667938,-58.634384155 46.683334351,-58.653964996 46.700000763,-58.673549652 46.716667176,-58.693145752 46.7333335880001,-58.712741851 46.7500000000001,-58.732349395 46.7666664120001,-58.751960754 46.7833328250001,-58.7715759279999 46.7999992370001,-58.79119873 46.8166656490001,-58.8108291619999 46.8333320620001,-58.8212623599999 46.842189789,-58.808494568 46.8499984740001,-58.781242371 46.8666648860001,-58.7539825439999 46.883335114,-58.7267150879999 46.900001526,-58.6994361879999 46.916667938,-58.672149658 46.933334351,-58.644855499 46.950000763,-58.617553711 46.9666671750001,-58.590244293 46.9833335880001,-58.5629234309999 47.0000000000001,-58.53559494 47.0166664120001,-58.50825882 47.0333328250001,-58.48091507 47.0499992370001,-58.4535598749999 47.0666656490001,-58.426197052 47.0833320620001,-58.398826599 47.0999984740001,-58.371444702 47.1166648860001,-58.34405899 47.133335114,-58.3166618349999 47.150001526,-58.2892532349999 47.166667938,-58.26184082 47.183334351,-58.234416962 47.200000763,-58.206985474 47.2166671750001,-58.1795463559999 47.2333335880001,-58.152095795 47.2500000000001,-58.124637604 47.2666664120001,-58.097171783 47.2833328250001,-58.0696945189999 47.2999992370001,-58.04221344 47.3166656490001,-58.014720917 47.3333320620001,-57.987216949 47.3499984740001,-57.959709167 47.3666648860001,-57.9321899409999 47.383335114,-57.904663086 47.400001526,-57.877124786 47.416667938,-57.849578857 47.433334351,-57.822025299 47.450000763,-57.794464111 47.4666671750001,-57.766891479 47.4833335880001,-57.739311218 47.5000000000001,-57.720001221 47.5116653440001,-57.7117233279999 47.5166664120001,-57.684123993 47.5333328250001,-57.656517029 47.5499992370001,-57.628902435 47.5666656490001,-57.601276398 47.5833320620001,-57.5736427309999 47.5999984740001,-57.5460014339999 47.6166648860001,-57.523826599 47.6300354000001,-57.4646728439999 47.7980117970001,-57.9999999999999 48.0000000000001,-57.056595091 48.2620573200001,-56.3053363889999 48.470740189,-55.68755722 48.642345429,-54.916744232 48.8564605720001,-54.6272674209999 48.9368706670001,-54.490911437 48.5463767200001,-54.3674702 48.192867807,-54.098023478 48.0700688850001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.3', '', '21.3', '21.3.P', '', '21.3P', '21.3.P.s', 'Southeastern subdivision', '21.3Ps', '', '', '', '', '3Ps', '4', '21.3.P.s', '21.3Ps', 'Y'),('SRID=4326;MULTIPOLYGON(((-55.4222221369999 52.200000763,-55.4222221369999 52.1833343500001,-55.4222221369999 52.166667938,-55.4222221369999 52.150001526,-55.4222221369999 52.133335114,-55.4222221369999 52.1166648870001,-55.4222221369999 52.0999984740001,-55.4222221369999 52.0833320620001,-55.4222221369999 52.0666656500001,-55.4222221369999 52.0499992370001,-55.4222221369999 52.0333328240001,-55.4222221369999 52.0166664120001,-55.4222221369999 52.0000000000001,-55.4222221369999 51.9833335870001,-55.4222221369999 51.9666671750001,-55.4222221369999 51.950000763,-55.4222221369999 51.933334351,-55.4222221369999 51.916667938,-55.4222221369999 51.900001526,-55.4222221369999 51.883335114,-55.4222221369999 51.8666648870001,-55.4222221369999 51.8499984740001,-55.4222221369999 51.8333320610001,-55.4222221369999 51.8166656490001,-55.4222221369999 51.7999992370001,-55.4222221369999 51.7833328250001,-55.4222221369999 51.7666664120001,-55.4222221369999 51.7500000000001,-55.4222221369999 51.7333335880001,-55.4222221369999 51.7166671750001,-55.4222221369999 51.700000763,-55.4222221369999 51.683334351,-55.4222221369999 51.666667939,-55.4222221369999 51.6287590910001,-55.427160847 51.6297980040001,-55.428960317 51.6301765430001,-55.4372625409999 51.6234942660001,-55.436857554 51.5993975690001,-55.4391937249999 51.5824737550001,-55.440834045 51.5800018310001,-55.4500007629999 51.569999695,-55.481273975 51.5636737240001,-55.549999237 51.560001373,-55.599998474 51.400001526,-56.2000007629999 51.400001526,-56.5743103029999 50.692970276,-56.948619843 49.985939026,-57.322929382 49.2789115900001,-57.9999999999999 48.0000000000001,-58.599998474 48.0000000000001,-59.308315277 47.620319366,-59.3087797869999 47.620035789,-59.3962020869999 47.5666656490001,-59.4282493589999 47.5499992370001,-59.460285187 47.5333328250001,-59.4923133849999 47.5166664130001,-59.524330139 47.5000000000001,-59.556335449 47.4833335880001,-59.571678161 47.4753417960001,-59.6010856619999 47.5000000000001,-59.620967865 47.5166664130001,-59.640861511 47.5333328250001,-59.6607589719999 47.5499992370001,-59.6806640629999 47.5666656490001,-59.700572968 47.5833320620001,-59.720489502 47.5999984740001,-59.7404136659999 47.6166648860001,-59.7603416439999 47.633335113,-59.780281067 47.650001526,-59.80022049 47.666667938,-59.8201713559999 47.683334351,-59.8401260379999 47.700000763,-59.860088348 47.716667176,-59.880054474 47.7333335880001,-59.9000320439999 47.7500000000001,-59.9200096129999 47.7666664120001,-59.939998627 47.7833328250001,-59.959991455 47.7999992370001,-59.9799919129999 47.8166656490001,-59.9999999999999 47.8333320610001,-59.9999999999999 47.8499984740001,-59.9999999999999 47.8666648860001,-59.9999999999999 47.883335114,-59.9999999999999 47.900001526,-59.9999999999999 47.916667939,-59.9999999999999 47.933334351,-59.9999999999999 47.950000763,-59.9999999999999 47.9666671750001,-59.9999999999999 47.9833335880001,-59.9999999999999 48.0000000000001,-59.9999999999999 48.0166664120001,-59.9999999999999 48.0333328240001,-59.9999999999999 48.0499992370001,-59.9999999999999 48.0666656490001,-59.9999999999999 48.0833320620001,-59.9999999999999 48.0999984740001,-59.9999999999999 48.1166648870001,-59.9999999999999 48.133335114,-59.9999999999999 48.150001526,-59.9999999999999 48.166667938,-59.9999999999999 48.183334351,-59.9999999999999 48.200000763,-59.9999999999999 48.2166671750001,-59.9999999999999 48.2333335870001,-59.9999999999999 48.2500000000001,-59.9999999999999 48.2666664120001,-59.9999999999999 48.2833328250001,-59.9999999999999 48.2999992370001,-59.9999999999999 48.3166656500001,-59.9999999999999 48.3333320620001,-59.9999999999999 48.3499984740001,-59.9999999999999 48.3666648860001,-59.9999999999999 48.383335114,-59.9999999999999 48.400001526,-59.9999999999999 48.416667938,-59.9999999999999 48.4333343500001,-59.9999999999999 48.450000763,-59.9999999999999 48.4666671750001,-59.9999999999999 48.4833335880001,-59.9999999999999 48.5000000000001,-59.9999999999999 48.5166664130001,-59.9999999999999 48.5333328250001,-59.9999999999999 48.5499992370001,-59.9999999999999 48.5666656490001,-59.9999999999999 48.5833320620001,-59.9999999999999 48.5999984740001,-59.9999999999999 48.6166648860001,-59.9999999999999 48.633335113,-59.9999999999999 48.650001526,-59.9999999999999 48.666667938,-59.9999999999999 48.683334351,-59.9999999999999 48.700000763,-59.9999999999999 48.716667176,-59.9999999999999 48.7333335880001,-59.9999999999999 48.7500000000001,-59.9999999999999 48.7666664120001,-59.9999999999999 48.7833328250001,-59.9999999999999 48.7999992370001,-59.9999999999999 48.8166656490001,-59.9999999999999 48.8333320610001,-59.9999999999999 48.8499984740001,-59.9999999999999 48.8666648860001,-59.9999999999999 48.883335114,-59.9999999999999 48.900001526,-59.9999999999999 48.916667939,-59.9999999999999 48.933334351,-59.9999999999999 48.950000763,-59.9999999999999 48.9666671750001,-59.9999999999999 48.9833335880001,-59.9999999999999 49.0000000000001,-59.9999999999999 49.0166664120001,-59.9999999999999 49.0333328240001,-59.9999999999999 49.0499992370001,-59.9999999999999 49.0666656490001,-59.9999999999999 49.0833320620001,-59.9999999999999 49.0999984740001,-59.9999999999999 49.1166648870001,-59.9999999999999 49.133335114,-59.9999999999999 49.150001526,-59.9999999999999 49.166667938,-59.9999999999999 49.183334351,-59.9999999999999 49.200000763,-59.9999999999999 49.2166671750001,-59.9999999999999 49.2333335870001,-59.9999999999999 49.2500000000001,-59.9999999999999 49.2666664120001,-59.9999999999999 49.2833328250001,-59.9999999999999 49.2999992370001,-59.9999999999999 49.3166656500001,-59.9999999999999 49.3333320620001,-59.9999999999999 49.3499984740001,-59.9999999999999 49.3666648860001,-59.9999999999999 49.383335113,-59.9999999999999 49.400001526,-59.9999999999999 49.416667938,-59.97637558 49.4333343500001,-59.952739715 49.450000763,-59.929100037 49.4666671750001,-59.905448914 49.4833335880001,-59.881790161 49.5000000000001,-59.858123779 49.5166664130001,-59.834449768 49.5333328250001,-59.810768127 49.5499992370001,-59.787075043 49.5666656490001,-59.763378143 49.5833320620001,-59.739669799 49.5999984740001,-59.715957642 49.6166648860001,-59.692234039 49.633335113,-59.668502808 49.6500015250001,-59.644763946 49.666667938,-59.6210136409999 49.683334351,-59.597259521 49.700000763,-59.573493957 49.716667176,-59.549720764 49.7333335880001,-59.5259399409999 49.7500000000001,-59.50215149 49.7666664120001,-59.478355408 49.7833328250001,-59.4545516969999 49.7999992370001,-59.430736541 49.8166656490001,-59.4069175719999 49.8333320610001,-59.383087158 49.8499984740001,-59.359249115 49.8666648870001,-59.3353996279999 49.883335114,-59.3115463249999 49.900001526,-59.2876853939999 49.916667938,-59.2638130189999 49.933334351,-59.239933013 49.950000763,-59.21604538 49.9666671750001,-59.1921501159999 49.9833335880001,-59.168243409 50.0000000000001,-59.144329071 50.0166664120001,-59.1204109189999 50.0333328240001,-59.096481323 50.0499992370001,-59.072544098 50.0666656500001,-59.0485954289999 50.0833320620001,-59.0246429439999 50.0999984740001,-59.0006790159999 50.1166648870001,-58.976707458 50.133335114,-58.952728271 50.150001526,-58.92873764 50.166667938,-58.9047431939999 50.1833343500001,-58.880737305 50.200000763,-58.856723786 50.2166671750001,-58.832702636 50.2333335870001,-58.8086700439999 50.2500000000001,-58.784629821 50.2666664130001,-58.7605857849999 50.2833328250001,-58.736526489 50.2999992370001,-58.712463379 50.3166656500001,-58.688392639 50.3333320620001,-58.664310455 50.3499984740001,-58.640220642 50.3666648860001,-58.616123199 50.383335113,-58.5920143129999 50.400001526,-58.567901611 50.416667938,-58.5437774659999 50.4333343500001,-58.5196456909999 50.4500007620001,-58.4955024719999 50.466667176,-58.471351624 50.4833335880001,-58.44719696 50.5000000000001,-58.423027038 50.5166664130001,-58.398853302 50.5333328250001,-58.374668121 50.5499992370001,-58.350479126 50.5666656490001,-58.3262748719999 50.5833320620001,-58.3020668029999 50.5999984740001,-58.27784729 50.6166648860001,-58.253620148 50.633335113,-58.229385376 50.6500015250001,-58.2051429749999 50.666667938,-58.18088913 50.683334351,-58.156627655 50.700000763,-58.132358551 50.716667176,-58.1080780029999 50.7333335880001,-58.0837898249999 50.7500000000001,-58.059494018 50.7666664120001,-58.035190582 50.7833328250001,-58.010875702 50.7999992370001,-57.986553192 50.8166656490001,-57.9622230529999 50.8333320610001,-57.93788147 50.8499984740001,-57.9135360719999 50.8666648870001,-57.889175415 50.883335114,-57.8648109439999 50.900001526,-57.8404350279999 50.916667938,-57.816051483 50.933334351,-57.791660309 50.950000763,-57.7672576909999 50.9666671750001,-57.742847442 50.9833335880001,-57.7184295659999 51.0000000000001,-57.694004059 51.0166664120001,-57.669567109 51.0333328240001,-57.6451225279999 51.0499992370001,-57.620666504 51.0666656500001,-57.5962028499999 51.0833320620001,-57.571731567 51.0999984740001,-57.547252655 51.1166648870001,-57.522762298 51.133335114,-57.4982643129999 51.150001526,-57.473754883 51.166667938,-57.449237823 51.1833343500001,-57.4247131349999 51.200000763,-57.4001808159999 51.2166671750001,-57.375637055 51.2333335870001,-57.3510856629999 51.2500000000001,-57.326522828 51.2666664130001,-57.301952362 51.2833328250001,-57.277374268 51.2999992370001,-57.2527885439999 51.3166656500001,-57.228191376 51.3333320620001,-57.203582763 51.3499984740001,-57.178970336 51.3666648860001,-57.1543464659999 51.383335113,-57.129711151 51.400001526,-57.0999634999999 51.4287535240001,-57.099998474 52.2500000000001,-55.869998932 52.2500000000001,-55.8676489269999 52.2051129160001,-55.8300018309999 52.200000763,-55.7141380309999 52.2491378780001,-55.713903714 52.2500000000001,-55.7000007629999 52.2500000000001,-55.683334351 52.2500000000001,-55.6666679379999 52.2500000000001,-55.650001526 52.2500000000001,-55.633335114 52.2500000000001,-55.616664887 52.2500000000001,-55.599998474 52.2500000000001,-55.583332062 52.2500000000001,-55.566665649 52.2500000000001,-55.549999237 52.2500000000001,-55.533332824 52.2500000000001,-55.5166664119999 52.2500000000001,-55.4999999999999 52.2500000000001,-55.4833335879999 52.2500000000001,-55.4666671749999 52.2500000000001,-55.4500007629999 52.2500000000001,-55.433334351 52.2500000000001,-55.4222221369999 52.2500000000001,-55.4222221369999 52.2333335870001,-55.4222221369999 52.2166671750001,-55.4222221369999 52.200000763)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.4', '', '21.4', '21.4.R', '', '21.4R', '', '', '', '', '', '', '', '4R', '3', '21.4.R', '21.4R', 'Y'),('SRID=4326;MULTIPOLYGON(((-59.97637558 49.4333343500001,-59.9999999999999 49.416667938,-59.9999999999999 49.400001526,-59.9999999999999 49.383335113,-59.9999999999999 49.3666648860001,-59.9999999999999 49.3499984740001,-59.9999999999999 49.3333320620001,-59.9999999999999 49.3166656500001,-59.9999999999999 49.2999992370001,-59.9999999999999 49.2833328250001,-59.9999999999999 49.2666664120001,-59.9999999999999 49.2500000000001,-59.9999999999999 49.2333335870001,-59.9999999999999 49.2166671750001,-59.9999999999999 49.200000763,-59.9999999999999 49.183334351,-59.9999999999999 49.166667938,-59.9999999999999 49.150001526,-59.9999999999999 49.133335114,-59.9999999999999 49.1166648870001,-59.9999999999999 49.0999984740001,-59.9999999999999 49.0833320620001,-59.9999999999999 49.0666656490001,-59.9999999999999 49.0499992370001,-59.9999999999999 49.0333328240001,-59.9999999999999 49.0166664120001,-59.9999999999999 49.0000000000001,-59.9999999999999 48.9833335880001,-59.9999999999999 48.9666671750001,-59.9999999999999 48.950000763,-59.9999999999999 48.933334351,-59.9999999999999 48.916667939,-59.9999999999999 48.900001526,-59.9999999999999 48.883335114,-59.9999999999999 48.8666648860001,-59.9999999999999 48.8499984740001,-59.9999999999999 48.8333320610001,-59.9999999999999 48.8166656490001,-59.9999999999999 48.7999992370001,-59.9999999999999 48.7833328250001,-59.9999999999999 48.7666664120001,-59.9999999999999 48.7500000000001,-59.9999999999999 48.7333335880001,-59.9999999999999 48.716667176,-59.9999999999999 48.700000763,-59.9999999999999 48.683334351,-59.9999999999999 48.666667938,-59.9999999999999 48.650001526,-59.9999999999999 48.633335113,-59.9999999999999 48.6166648860001,-59.9999999999999 48.5999984740001,-59.9999999999999 48.5833320620001,-59.9999999999999 48.5666656490001,-59.9999999999999 48.5499992370001,-59.9999999999999 48.5333328250001,-59.9999999999999 48.5166664130001,-59.9999999999999 48.5000000000001,-59.9999999999999 48.4833335880001,-59.9999999999999 48.4666671750001,-59.9999999999999 48.450000763,-59.9999999999999 48.4333343500001,-59.9999999999999 48.416667938,-59.9999999999999 48.400001526,-59.9999999999999 48.383335114,-59.9999999999999 48.3666648860001,-59.9999999999999 48.3499984740001,-59.9999999999999 48.3333320620001,-59.9999999999999 48.3166656500001,-59.9999999999999 48.2999992370001,-59.9999999999999 48.2833328250001,-59.9999999999999 48.2666664120001,-59.9999999999999 48.2500000000001,-59.9999999999999 48.2333335870001,-59.9999999999999 48.2166671750001,-59.9999999999999 48.200000763,-59.9999999999999 48.183334351,-59.9999999999999 48.166667938,-59.9999999999999 48.150001526,-59.9999999999999 48.133335114,-59.9999999999999 48.1166648870001,-59.9999999999999 48.0999984740001,-59.9999999999999 48.0833320620001,-59.9999999999999 48.0666656490001,-59.9999999999999 48.0499992370001,-59.9999999999999 48.0333328240001,-59.9999999999999 48.0166664120001,-59.9999999999999 48.0000000000001,-59.9999999999999 47.9833335880001,-59.9999999999999 47.9666671750001,-59.9999999999999 47.950000763,-59.9999999999999 47.933334351,-59.9999999999999 47.916667939,-59.9999999999999 47.900001526,-59.9999999999999 47.883335114,-59.9999999999999 47.8666648860001,-59.9999999999999 47.8499984740001,-59.9999999999999 47.8333320610001,-60.0241813659999 47.8416671750001,-60.0483665469999 47.8499984740001,-60.072555542 47.8583335880001,-60.096748352 47.8666648860001,-60.120944977 47.8750000000001,-60.1451454159999 47.883335114,-60.16934967 47.8916664120001,-60.193561554 47.900001526,-60.2177734369999 47.9083328250001,-60.241989136 47.916667939,-60.266208648 47.9249992370001,-60.2904357909999 47.933334351,-60.314662933 47.9416656490001,-60.3388938909999 47.950000763,-60.363132476 47.9583320610001,-60.3873710629999 47.9666671750001,-60.411613465 47.9749984740001,-60.4358634939999 47.9833335880001,-60.4601135249999 47.9916648870001,-60.484371185 48.0000000000001,-60.508628845 48.008335114,-60.5328941339999 48.0166664120001,-60.557163239 48.025001526,-60.581432343 48.0333328240001,-60.605709076 48.041667938,-60.629989624 48.0499992370001,-60.6542701719999 48.058334351,-60.6785583499999 48.0666656490001,-60.702850342 48.075000763,-60.727146148 48.0833320620001,-60.75144577 48.0916671750001,-60.7757492059999 48.0999984740001,-60.800056457 48.1083335870001,-60.824367523 48.1166648870001,-60.848682404 48.1250000000001,-60.873001098 48.133335114,-60.897323609 48.1416664120001,-60.9216537469999 48.150001526,-60.945983887 48.1583328240001,-60.97031784 48.166667938,-60.9946556089999 48.1749992370001,-61.019001007 48.183334351,-61.043346405 48.1916656500001,-61.067699432 48.200000763,-61.0920524599999 48.2083320620001,-61.116413117 48.2166671750001,-61.140773773 48.2249984740001,-61.1651420589999 48.2333335870001,-61.18951416 48.2416648870001,-61.213886261 48.2500000000001,-61.238265992 48.258335114,-61.262649536 48.2666664120001,-61.287036896 48.275001526,-61.31142807 48.2833328250001,-61.3358230589999 48.291667938,-61.3602218629999 48.2999992370001,-61.3846244819999 48.3083343500001,-61.409030914 48.3166656500001,-61.4334411629999 48.325000763,-61.4578552249999 48.3333320620001,-61.4822769159999 48.3416671750001,-61.506698609 48.3499984740001,-61.531124115 48.3583335870001,-61.555557251 48.3666648860001,-61.579990387 48.3750000000001,-61.604431152 48.383335114,-61.628875732 48.3916664130001,-61.6533203119999 48.400001526,-61.6777725219999 48.4083328250001,-61.702228546 48.416667938,-61.726684571 48.4249992370001,-61.751148224 48.4333343500001,-61.775615692 48.4416656500001,-61.8000869749999 48.450000763,-61.8245620719999 48.4583320620001,-61.8490447999999 48.4666671750001,-61.873527527 48.4749984740001,-61.8980140689999 48.4833335880001,-61.9225044249999 48.4916648860001,-61.947002411 48.5000000000001,-61.9715003969999 48.508335113,-61.996006012 48.5166664130001,-62.020511627 48.525001526,-62.0450248719999 48.5333328250001,-62.0695381159999 48.541667938,-62.09405899 48.5499992370001,-62.118583679 48.5583343500001,-62.143112183 48.5666656490001,-62.167644501 48.575000763,-62.192180634 48.5833320620001,-62.2167205809999 48.591667176,-62.241264343 48.5999984740001,-62.26581192 48.6083335880001,-62.290367126 48.6166648860001,-62.314922333 48.6250000000001,-62.339481354 48.633335113,-62.364048004 48.6416664130001,-62.388614655 48.650001526,-62.4131889339999 48.6583328250001,-62.437767029 48.666667938,-62.4623489379999 48.6749992370001,-62.486930848 48.683334351,-62.511520386 48.6916656490001,-62.536113739 48.700000763,-62.560710907 48.7083320620001,-62.585315704 48.716667176,-62.609920501 48.7249984740001,-62.634529114 48.7333335880001,-62.6591415409999 48.7416648860001,-62.6837615969999 48.7500000000001,-62.7083816529999 48.758335113,-62.733009339 48.7666664120001,-62.757640838 48.775001526,-62.782272339 48.7833328250001,-62.806911468 48.791667939,-62.8315544129999 48.7999992370001,-62.8562011719999 48.808334351,-62.880851745 48.8166656490001,-62.9055061339999 48.825000763,-62.930168152 48.8333320610001,-62.95483017 48.8416671750001,-62.979496003 48.8499984740001,-63.004169464 48.8583335880001,-63.028842926 48.8666648860001,-63.053524017 48.8750000000001,-63.078208923 48.883335114,-63.1028976439999 48.8916664120001,-63.12759018 48.900001526,-63.152286529 48.9083328250001,-63.1769866939999 48.916667939,-63.201690674 48.9249992370001,-63.226398468 48.933334351,-63.251110076 48.9416656490001,-63.275829315 48.950000763,-63.3005485529999 48.9583320610001,-63.325275421 48.9666671750001,-63.350006104 48.9749984750001,-63.374736786 48.9833335880001,-63.399475098 48.9916648870001,-63.424217224 49.0000000000001,-63.448963165 49.008335114,-63.473712921 49.0166664120001,-63.4984703069999 49.025001526,-63.523227692 49.0333328240001,-63.5479888909999 49.041667938,-63.572757721 49.0499992370001,-63.597526551 49.058334351,-63.6223030089999 49.0666656490001,-63.647083283 49.075000763,-63.67186737 49.0833320620001,-63.696655274 49.0916671750001,-63.7214469909999 49.0999984740001,-63.746242523 49.1083335870001,-63.7710456849999 49.1166648870001,-63.7958488469999 49.1250000000001,-63.820655823 49.133335114,-63.8454704279999 49.1416664120001,-63.870288849 49.150001526,-63.8951072689999 49.1583328240001,-63.9199333189999 49.166667938,-63.944763184 49.1749992370001,-63.9695968629999 49.183334351,-63.9944381719999 49.1916656500001,-64.01927948 49.200000763,-64.044128418 49.2083320620001,-64.0689773559999 49.2166671750001,-64.093833923 49.2249984740001,-64.1186904909999 49.2333335870001,-64.1435546869999 49.2416648870001,-64.1684188849999 49.2500000000001,-64.193290711 49.258335114,-64.2181701659999 49.2666664120001,-64.243049621 49.275001526,-64.2679367059999 49.2833328250001,-64.292823792 49.291667938,-64.3177185059999 49.2999992370001,-64.342613221 49.3083343500001,-64.367515564 49.3166656500001,-64.392425537 49.325000763,-64.41733551 49.3333320620001,-64.442245483 49.3416671750001,-64.467163086 49.3499984740001,-64.492088318 49.3583335870001,-64.5170135499999 49.3666648860001,-64.541946411 49.3750000000001,-64.566879273 49.383335113,-64.5918197629999 49.3916664130001,-64.616767884 49.400001526,-64.6417160029999 49.4083328250001,-64.666664123 49.416667938,-64.6833343499999 49.416667938,-64.699996948 49.416667938,-64.7166671749999 49.416667938,-64.733329773 49.416667938,-64.7499999999999 49.416667938,-64.766670227 49.416667938,-64.7833328249999 49.416667938,-64.800003052 49.416667938,-64.816665649 49.416667938,-64.833335876 49.416667938,-64.849998474 49.416667938,-64.866668701 49.416667938,-64.883331298 49.416667938,-64.9000015249999 49.416667938,-64.916664124 49.416667938,-64.933334351 49.416667938,-64.949996949 49.416667938,-64.966667176 49.416667938,-64.983329773 49.416667938,-64.9999999999999 49.416667938,-65.016670227 49.416667938,-65.0333328249999 49.416667938,-65.050003052 49.416667938,-65.066665649 49.416667938,-65.083335876 49.416667938,-65.099998474 49.416667938,-65.116668701 49.416667938,-65.133331299 49.416667938,-65.150001526 49.416667938,-65.166664124 49.416667938,-65.183334351 49.416667938,-65.199996948 49.416667938,-65.2166671749999 49.416667938,-65.233329773 49.416667938,-65.2499999999999 49.416667938,-65.266670227 49.416667938,-65.283332824 49.416667938,-65.300003051 49.416667938,-65.3166656499999 49.416667938,-65.333335877 49.416667938,-65.349998474 49.416667938,-65.366668701 49.416667938,-65.383331299 49.416667938,-65.400001526 49.416667938,-65.416664123 49.416667938,-65.4333343499999 49.416667938,-65.449996948 49.416667938,-65.4666671749999 49.416667938,-65.483329773 49.416667938,-65.4999999999999 49.416667938,-65.516670227 49.416667938,-65.5333328249999 49.416667938,-65.550003052 49.416667938,-65.5666656499999 49.416667938,-65.583335877 49.416667938,-65.599998474 49.416667938,-65.616668701 49.416667938,-65.633331299 49.416667938,-65.650001526 49.416667938,-65.666664123 49.416667938,-65.6833343499999 49.416667938,-65.699996948 49.416667938,-65.716667176 49.416667938,-65.733329773 49.416667938,-65.7499999999999 49.416667938,-65.766670227 49.416667938,-65.7833328249999 49.416667938,-65.800003052 49.416667938,-65.816665649 49.416667938,-65.833335876 49.416667938,-65.849998474 49.416667938,-65.866668701 49.416667938,-65.883331298 49.416667938,-65.900001526 49.416667938,-65.916664124 49.416667938,-65.933334351 49.416667938,-65.949996948 49.416667938,-65.9666671749999 49.416667938,-65.983329773 49.416667938,-65.9999999999999 49.416667938,-66.016670227 49.416667938,-66.0333328249999 49.416667938,-66.050003052 49.416667938,-66.066665649 49.416667938,-66.083335876 49.416667938,-66.099998474 49.416667938,-66.116668702 49.416667938,-66.133331299 49.416667938,-66.150001526 49.416667938,-66.166664124 49.416667938,-66.183334351 49.416667938,-66.199996948 49.416667938,-66.2166671749999 49.416667938,-66.233329773 49.416667938,-66.2499999999999 49.416667938,-66.266670227 49.416667938,-66.283332824 49.416667938,-66.300003051 49.416667938,-66.3166656499999 49.416667938,-66.333335877 49.416667938,-66.349998474 49.416667938,-66.366668701 49.416667938,-66.383331299 49.416667938,-66.400001526 49.416667938,-66.416664123 49.416667938,-66.4333343499999 49.416667938,-66.449996948 49.416667938,-66.4666671749999 49.416667938,-66.483329773 49.416667938,-66.4999999999999 49.416667938,-66.516670227 49.416667938,-66.5333328249999 49.416667938,-66.550003052 49.416667938,-66.5666656499999 49.416667938,-66.583335877 49.416667938,-66.599998474 49.416667938,-66.616668701 49.416667938,-66.633331299 49.416667938,-66.650001526 49.416667938,-66.666664123 49.416667938,-66.6833343499999 49.416667938,-66.699996949 49.416667938,-66.716667176 49.416667938,-66.733329773 49.416667938,-66.7499999999999 49.416667938,-66.766670227 49.416667938,-66.7833328249999 49.416667938,-66.800003052 49.416667938,-66.816665649 49.416667938,-66.833335876 49.416667938,-66.849998474 49.416667938,-66.866668701 49.416667938,-66.883331298 49.416667938,-66.900001526 49.416667938,-66.916664124 49.416667938,-66.933334351 49.416667938,-66.949996948 49.416667938,-66.9666671749999 49.416667938,-66.983329773 49.416667938,-66.9999999999999 49.416667938,-67.016670227 49.416667938,-67.0333328249999 49.416667938,-67.050003052 49.416667938,-67.066665649 49.416667938,-67.083335876 49.416667938,-67.0999984749999 49.416667938,-67.116668702 49.416667938,-67.133331299 49.416667938,-67.150001526 49.416667938,-67.166664124 49.416667938,-67.183334351 49.416667938,-67.199996948 49.416667938,-67.2166671749999 49.416667938,-67.233329773 49.416667938,-67.2499999999999 49.416667938,-67.266670227 49.416667938,-67.283332824 49.416667938,-67.292973414 49.416667938,-67.300003052 49.416667938,-67.304580689 49.416667938,-67.869995117 49.4199981690001,-68.6699981689999 49.4199981690001,-69.9999999999999 49.4199981690001,-70.7695693969999 49.2014427180001,-71.539131165 48.9828834530001,-72.308700561 48.7643280030001,-73.078269959 48.5457725530001,-73.847831726 48.3272132870001,-74.9999999999999 48.0000000000001,-74.9999999999999 48.7999992370001,-74.9999999999999 49.5999984740001,-74.9999999999999 50.400001526,-74.9999999999999 51.200000763,-74.9999999999999 52.0000000000001,-74.199996948 52.0000000000001,-74.099998474 52.0000000000001,-73.400001526 52.0000000000001,-73.300003052 52.0000000000001,-72.599998474 52.0000000000001,-72.4999999999999 52.0000000000001,-71.800003052 52.0000000000001,-71.699996948 52.0000000000001,-70.9999999999999 52.0000000000001,-70.900001526 52.0000000000001,-70.199996948 52.0000000000001,-70.099998474 52.0000000000001,-69.400001526 52.0000000000001,-69.300003052 52.0000000000001,-68.599998474 52.0000000000001,-68.4999999999999 52.0000000000001,-67.800003052 52.0000000000001,-67.699996948 52.0000000000001,-66.9999999999999 52.0000000000001,-66.900001526 52.0000000000001,-66.199996948 52.0000000000001,-66.099998474 52.0000000000001,-65.400001526 52.0000000000001,-65.300003052 52.0000000000001,-64.4999999999999 52.0000000000001,-64.4999999999999 52.2500000000001,-57.099998474 52.2500000000001,-57.0999634999999 51.4287535240001,-57.129711151 51.400001526,-57.1543464659999 51.383335113,-57.178970336 51.3666648860001,-57.203582763 51.3499984740001,-57.228191376 51.3333320620001,-57.2527885439999 51.3166656500001,-57.277374268 51.2999992370001,-57.301952362 51.2833328250001,-57.326522828 51.2666664130001,-57.3510856629999 51.2500000000001,-57.375637055 51.2333335870001,-57.4001808159999 51.2166671750001,-57.4247131349999 51.200000763,-57.449237823 51.1833343500001,-57.473754883 51.166667938,-57.4982643129999 51.150001526,-57.522762298 51.133335114,-57.547252655 51.1166648870001,-57.571731567 51.0999984740001,-57.5962028499999 51.0833320620001,-57.620666504 51.0666656500001,-57.6451225279999 51.0499992370001,-57.669567109 51.0333328240001,-57.694004059 51.0166664120001,-57.7184295659999 51.0000000000001,-57.742847442 50.9833335880001,-57.7672576909999 50.9666671750001,-57.791660309 50.950000763,-57.816051483 50.933334351,-57.8404350279999 50.916667938,-57.8648109439999 50.900001526,-57.889175415 50.883335114,-57.9135360719999 50.8666648870001,-57.93788147 50.8499984740001,-57.9622230529999 50.8333320610001,-57.986553192 50.8166656490001,-58.010875702 50.7999992370001,-58.035190582 50.7833328250001,-58.059494018 50.7666664120001,-58.0837898249999 50.7500000000001,-58.1080780029999 50.7333335880001,-58.132358551 50.716667176,-58.156627655 50.700000763,-58.18088913 50.683334351,-58.2051429749999 50.666667938,-58.229385376 50.6500015250001,-58.253620148 50.633335113,-58.27784729 50.6166648860001,-58.3020668029999 50.5999984740001,-58.3262748719999 50.5833320620001,-58.350479126 50.5666656490001,-58.374668121 50.5499992370001,-58.398853302 50.5333328250001,-58.423027038 50.5166664130001,-58.44719696 50.5000000000001,-58.471351624 50.4833335880001,-58.4955024719999 50.466667176,-58.5196456909999 50.4500007620001,-58.5437774659999 50.4333343500001,-58.567901611 50.416667938,-58.5920143129999 50.400001526,-58.616123199 50.383335113,-58.640220642 50.3666648860001,-58.664310455 50.3499984740001,-58.688392639 50.3333320620001,-58.712463379 50.3166656500001,-58.736526489 50.2999992370001,-58.7605857849999 50.2833328250001,-58.784629821 50.2666664130001,-58.8086700439999 50.2500000000001,-58.832702636 50.2333335870001,-58.856723786 50.2166671750001,-58.880737305 50.200000763,-58.9047431939999 50.1833343500001,-58.92873764 50.166667938,-58.952728271 50.150001526,-58.976707458 50.133335114,-59.0006790159999 50.1166648870001,-59.0246429439999 50.0999984740001,-59.0485954289999 50.0833320620001,-59.072544098 50.0666656500001,-59.096481323 50.0499992370001,-59.1204109189999 50.0333328240001,-59.144329071 50.0166664120001,-59.168243409 50.0000000000001,-59.1921501159999 49.9833335880001,-59.21604538 49.9666671750001,-59.239933013 49.950000763,-59.2638130189999 49.933334351,-59.2876853939999 49.916667938,-59.3115463249999 49.900001526,-59.3353996279999 49.883335114,-59.359249115 49.8666648870001,-59.383087158 49.8499984740001,-59.4069175719999 49.8333320610001,-59.430736541 49.8166656490001,-59.4545516969999 49.7999992370001,-59.478355408 49.7833328250001,-59.50215149 49.7666664120001,-59.5259399409999 49.7500000000001,-59.549720764 49.7333335880001,-59.573493957 49.716667176,-59.597259521 49.700000763,-59.6210136409999 49.683334351,-59.644763946 49.666667938,-59.668502808 49.6500015250001,-59.692234039 49.633335113,-59.715957642 49.6166648860001,-59.739669799 49.5999984740001,-59.763378143 49.5833320620001,-59.787075043 49.5666656490001,-59.810768127 49.5499992370001,-59.834449768 49.5333328250001,-59.858123779 49.5166664130001,-59.881790161 49.5000000000001,-59.905448914 49.4833335880001,-59.929100037 49.4666671750001,-59.952739715 49.450000763,-59.97637558 49.4333343500001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.4', '', '21.4', '21.4.S', '', '21.4S', '', '', '', '', '', '', '', '4S', '3', '21.4.S', '21.4S', 'Y'),('SRID=4326;MULTIPOLYGON(((19.6914130070001 63.5000000000001,19.6998090490001 63.492926411,19.742721954 63.5000000220001,19.7444000890001 63.500000045,19.746600089 63.5001000450001,19.7476000890001 63.500000045,22.3063000920001 63.500000045,22.333395065 63.5097957820001,22.3751546440001 63.4886338330001,22.454633621 63.444631632,22.4566986880001 63.4434883420001,23.5000000000001 63.4554484710001,30.4851995720001 63.5355249420001,31.3782187210001 63.5457622760001,31.3753140420001 63.5355249420001,30.89887387 61.8563449930001,30.593107188 60.7786917860001,25.719576601 61.4363654640001,23.7296921400001 61.2508677600001,23.5000000000001 61.0774658720001,23.0000000000001 60.7,21.806562548 60.7181223090001,21.750090046 60.6773145920001,21.6405689220001 60.598173295,21.6399993900001 60.5960407150001,21.6189967560001 60.517397519,21.61697056 60.5098105420001,21.5997121230001 60.505827034,21.5749000910001 60.500100042,21.364000091 60.5000000420001,21.3557000910001 60.5000000420001,21.285020091 60.5000000420001,18.024400088 60.5000000420001,17.934691817 60.4727640450001,17.9179177 60.4676713170001,16.382305258 60.5000000000001,15.768731616 60.5129173400001,15.805421111 62.8657620010001,15.807635899 63.00779319,17.0770113560001 63.5000000000001,17.8249893030001 63.790032265,19.466652546 63.6502929200001,19.494323579 63.647937545,19.518233276 63.645902338,19.6914130070001 63.5000000000001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.III', 'Skagerrak, Kattegat, Sound, Belt S., and Baltic S.', '27.III', '27.III.d', '', '27.IIId', '27.III.d.30', 'Bothnian Sea', '27.IIId30', '', '', '', '', '30', '4', '27.3.d.30', '27.30', 'Y'),('SRID=4326;MULTIPOLYGON(((24.173599801 68.169819143,24.237236941 68.1345527400001,26.0229681380001 68.1559200020001,26.5241183590001 68.161916541,31.3782187210001 63.5457622760001,30.4851995720001 63.5355249420001,23.5000000000001 63.4554484710001,22.4566986880001 63.4434883420001,22.454633621 63.444631632,22.3751546440001 63.4886338330001,22.333395065 63.5097957820001,22.3063000920001 63.500000045,19.7476000890001 63.500000045,19.746600089 63.5001000450001,19.7444000890001 63.500000045,19.742721954 63.5000000220001,19.6998090490001 63.492926411,19.6914130070001 63.5000000000001,19.518233276 63.645902338,19.494323579 63.647937545,19.466652546 63.6502929200001,17.8249893030001 63.790032265,17.4670406770001 65.121382698,17.0340084170001 66.7319984230001,16.898979336 67.234224199,17.461126988 67.5393900670001,18.328440508 68.13901423,18.9012957350001 68.7761149020001,19.9238690830001 68.840360348,20.378940992 69.102695919,21.069579536 69.316847405,21.931539269 69.412323277,24.173599801 68.169819143)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.III', 'Skagerrak, Kattegat, Sound, Belt S., and Baltic S.', '27.III', '27.III.d', '', '27.IIId', '27.III.d.31', 'Bothnian Bay', '27.IIId31', '', '', '', '', '31', '4', '27.3.d.31', '27.31', 'Y'),('SRID=4326;MULTIPOLYGON(((30.593107188 60.7786917860001,30.5003058780001 59.0000000000001,30.4919266220001 58.8393976080001,28.5492597590001 58.5915052220001,28.5240537650001 58.5912536370001,26.0000000000001 58.5660606980001,25.1554778460001 58.5576314030001,24.8903280690001 58.5549849050001,24.211727551 58.6422141570001,23.684114976 59.0357115090001,23.63333412 59.0735842450001,23.6165073220001 59.0675275890001,23.555605756 59.0456066140001,23.428900093 59.0000000410001,23.0000000920001 59.0000000410001,23.0000000920001 59.8263950410001,23.0000522280001 59.830014266,23.000166139 59.837921812,23.1610827650001 59.8683789350001,23.2235702630001 59.8985068360001,23.309011266 59.939701605,23.4093913200001 60.034798498,23.388772064 60.2095712380001,23.354507997 60.5000000000001,23.353918132 60.5049998040001,23.0000000000001 60.7,23.5000000000001 61.0774658720001,23.7296921400001 61.2508677600001,25.719576601 61.4363654640001,30.593107188 60.7786917860001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.III', 'Skagerrak, Kattegat, Sound, Belt S., and Baltic S.', '27.III', '27.III.d', '', '27.IIId', '27.III.d.32', 'Gulf of Finland', '27.IIId32', '', '', '', '', '32', '4', '27.3.d.32', '27.32', 'Y'),('SRID=4326;MULTIPOLYGON(((-59.571678161 47.4753417960001,-59.561332702 47.4666671750001,-59.5414657589999 47.450000763,-59.521606445 47.433334351,-59.501754761 47.416667938,-59.4819068909999 47.400001526,-59.4620666499999 47.383335114,-59.4422302249999 47.3666648870001,-59.422405243 47.3499984740001,-59.402580261 47.3333320620001,-59.382766723 47.3166656500001,-59.362957001 47.2999992370001,-59.343154907 47.2833328250001,-59.3233566279999 47.2666664120001,-59.303565979 47.2500000000001,-59.283782959 47.2333335880001,-59.2640037529999 47.2166671750001,-59.244232177 47.200000763,-59.2244682309999 47.183334351,-59.204708099 47.166667938,-59.1849555969999 47.150001526,-59.165210724 47.133335114,-59.1454696659999 47.1166648870001,-59.125736236 47.0999984750001,-59.1060066219999 47.0833320620001,-59.0862846369999 47.0666656490001,-59.066570282 47.0499992370001,-59.0468597409999 47.0333328250001,-59.02715683 47.0166664120001,-59.007457733 47.0000000000001,-58.987770081 46.9833335880001,-58.9680824279999 46.9666671750001,-58.9484062189999 46.950000763,-58.9287338249999 46.933334351,-58.9090652469999 46.916667939,-58.889408112 46.900001526,-58.8697547909999 46.883335114,-58.850105286 46.8666648860001,-58.8304634089999 46.8499984740001,-58.8212623599999 46.842189789,-58.8108291619999 46.8333320620001,-58.79119873 46.8166656490001,-58.7715759279999 46.7999992370001,-58.751960754 46.7833328250001,-58.732349395 46.7666664120001,-58.712741851 46.7500000000001,-58.693145752 46.7333335880001,-58.673549652 46.716667176,-58.653964996 46.700000763,-58.634384155 46.683334351,-58.614810943 46.666667938,-58.5952415469999 46.650001526,-58.575679779 46.633335114,-58.556121826 46.6166648860001,-58.536571502 46.5999984740001,-58.517028809 46.5833320620001,-58.497489929 46.5666656500001,-58.477958679 46.5499992370001,-58.4584312439999 46.5333328250001,-58.4389114379999 46.5166664130001,-58.419399261 46.5000000000001,-58.399890899 46.4833335880001,-58.380390167 46.4666671750001,-58.360893249 46.450000763,-58.341403961 46.433334351,-58.3219184879999 46.416667938,-58.302440643 46.400001526,-58.2829704279999 46.383335114,-58.2635040279999 46.3666648870001,-58.244045258 46.3499984740001,-58.224590302 46.3333320620001,-58.2051429749999 46.3166656500001,-58.1856994629999 46.2999992370001,-58.16626358 46.2833328250001,-58.146835327 46.2666664120001,-58.127410889 46.2500000000001,-58.107990265 46.2333335880001,-58.088577271 46.2166671750001,-58.069171906 46.200000763,-58.049770355 46.183334351,-58.0303764339999 46.166667938,-58.010990143 46.150001526,-57.9916076659999 46.133335114,-57.972229004 46.1166648870001,-57.952857971 46.0999984750001,-57.933494568 46.0833320620001,-57.914134979 46.0666656490001,-57.894779205 46.0499992370001,-57.8754348749999 46.0333328250001,-57.856090545 46.0166664120001,-57.8367576599999 46.0000000000001,-57.817424774 45.9833335880001,-57.798103333 45.9666671750001,-57.778785706 45.950000763,-57.759471893 45.933334351,-57.74016571 45.916667939,-57.720867157 45.900001526,-57.701572418 45.883335114,-57.6822814939999 45.8666648860001,-57.662998199 45.8499984740001,-57.6437225339999 45.8333320620001,-57.624450684 45.8166656490001,-57.605182648 45.7999992370001,-57.5859260559999 45.7833328250001,-57.566669464 45.7666664120001,-57.547420502 45.7500000000001,-57.5281791689999 45.7333335880001,-57.5089416499999 45.716667176,-57.489711761 45.700000763,-57.470485687 45.683334351,-57.451267242 45.666667938,-57.533332824 45.666667938,-57.549999237 45.666667938,-57.566665649 45.666667938,-57.5944442749999 45.666667938,-57.599998474 45.666667938,-57.616664886 45.666667938,-57.633335114 45.666667938,-57.650001526 45.666667938,-57.6666679379999 45.666667938,-57.6833343499999 45.666667938,-57.7000007629999 45.666667938,-57.7166671749999 45.666667938,-57.7333335869999 45.666667938,-57.7499999999999 45.666667938,-57.7666664119999 45.666667938,-57.7833328249999 45.666667938,-57.799999237 45.666667938,-57.816665649 45.666667938,-57.833332062 45.666667938,-57.849998474 45.666667938,-57.866664886 45.666667938,-57.883335113 45.666667938,-57.900001526 45.666667938,-57.9166679379999 45.666667938,-57.9333343499999 45.666667938,-57.9500007629999 45.666667938,-57.9666671749999 45.666667938,-57.9833335879999 45.666667938,-57.9999999999999 45.666667938,-58.0166664119999 45.666667938,-58.0333328249999 45.666667938,-58.049999237 45.666667938,-58.066665649 45.666667938,-58.083332062 45.666667938,-58.099998474 45.666667938,-58.116664886 45.666667938,-58.133335113 45.666667938,-58.1500015249999 45.666667938,-58.1666679379999 45.666667938,-58.183334351 45.666667938,-58.2000007629999 45.666667938,-58.2166671749999 45.666667938,-58.2333335879999 45.666667938,-58.2499999999999 45.666667938,-58.2666664119999 45.666667938,-58.2833328249999 45.666667938,-58.299999237 45.666667938,-58.316665649 45.666667938,-58.333332061 45.666667938,-58.349998474 45.666667938,-58.366664886 45.666667938,-58.383335114 45.666667938,-58.400001526 45.666667938,-58.4166679379999 45.666667938,-58.433334351 45.666667938,-58.4500007629999 45.666667938,-58.4666671749999 45.666667938,-58.4833335879999 45.666667938,-58.4999999999999 45.666667938,-58.5166664119999 45.666667938,-58.533332824 45.666667938,-58.549999237 45.666667938,-58.566665649 45.666667938,-58.5944442749999 45.666667938,-58.599998474 45.666667938,-58.616664886 45.666667938,-58.633335114 45.666667938,-58.650001526 45.666667938,-58.6666679379999 45.666667938,-58.6833343499999 45.666667938,-58.7000007629999 45.666667938,-58.7166671749999 45.666667938,-58.7333335869999 45.666667938,-58.7499999999999 45.666667938,-58.7666664119999 45.666667938,-58.7833328249999 45.666667938,-58.799999237 45.666667938,-58.816665649 45.666667938,-58.833332062 45.666667938,-58.849998474 45.666667938,-58.866664886 45.666667938,-58.883335113 45.666667938,-58.900001526 45.666667938,-58.9166679379999 45.666667938,-58.9333343499999 45.666667938,-58.9500007629999 45.666667938,-58.9666671749999 45.666667938,-58.9833335879999 45.666667938,-58.9999999999999 45.666667938,-59.0166664119999 45.666667938,-59.0333328249999 45.666667938,-59.049999237 45.666667938,-59.066665649 45.666667938,-59.083332062 45.666667938,-59.099998474 45.666667938,-59.116664886 45.666667938,-59.133335113 45.666667938,-59.150001526 45.666667938,-59.1666679379999 45.666667938,-59.183334351 45.666667938,-59.2000007629999 45.666667938,-59.2166671749999 45.666667938,-59.2333335879999 45.666667938,-59.2499999999999 45.666667938,-59.2666664119999 45.666667938,-59.2833328249999 45.666667938,-59.299999237 45.666667938,-59.316665649 45.666667938,-59.333332061 45.666667938,-59.349998474 45.666667938,-59.366664886 45.666667938,-59.383335114 45.666667938,-59.400001526 45.666667938,-59.4166679379999 45.666667938,-59.433334351 45.666667938,-59.4500007629999 45.666667938,-59.4666671749999 45.666667938,-59.4833335869999 45.666667938,-59.4999999999999 45.666667938,-59.5166664119999 45.666667938,-59.533332824 45.666667938,-59.549999237 45.666667938,-59.566665649 45.666667938,-59.5944442749999 45.666667938,-59.599998474 45.666667938,-59.616664886 45.666667938,-59.633335114 45.666667938,-59.650001526 45.666667938,-59.6666679379999 45.666667938,-59.6833343499999 45.666667938,-59.7000007629999 45.666667938,-59.7166671749999 45.666667938,-59.7333335869999 45.666667938,-59.7499999999999 45.666667938,-59.7666664119999 45.666667938,-59.7833328249999 45.666667938,-59.799999237 45.666667938,-59.816665649 45.666667938,-59.833332062 45.666667938,-59.849998474 45.666667938,-59.866664886 45.666667938,-59.883335113 45.666667938,-59.900001526 45.666667938,-59.9166679379999 45.666667938,-59.9333343499999 45.666667938,-59.9500007629999 45.666667938,-59.9666671749999 45.666667938,-59.9833335879999 45.666667938,-59.9999999999999 45.666667938,-60.075717926 45.6833343500001,-60.15145874 45.700000763,-60.179458618 45.7765197750001,-60.1958440399999 45.816469655,-60.310001374 45.779998779,-60.790000915 45.6399993900001,-60.815238009 45.6326044510001,-60.8667933259999 45.6527397890001,-60.895115558 45.664909498,-60.9599990839999 45.700000763,-61.1599998469999 45.6399993900001,-61.3300018309999 45.7500000000001,-60.5726424379999 46.891324314,-60.525155436 46.9621153910001,-60.439408756 46.997070643,-60.4123212759999 47.022223302,-60.4050788879999 47.032093048,-60.408050537 47.0499992370001,-60.399433136 47.0666656490001,-60.390811921 47.0833320620001,-60.38218689 47.0999984750001,-60.3735580439999 47.1166648870001,-60.3649291999999 47.133335114,-60.356296539 47.150001526,-60.347663879 47.166667938,-60.33902359 47.183334351,-60.330383301 47.200000763,-60.321743011 47.2166671750001,-60.313095093 47.2333335870001,-60.304447174 47.2500000000001,-60.2957954409999 47.2666664120001,-60.287139893 47.2833328250001,-60.2784843439999 47.2999992370001,-60.2698249809999 47.3166656500001,-60.261161804 47.3333320620001,-60.252498627 47.3499984740001,-60.24382782 47.3666648870001,-60.2351570129999 47.383335114,-60.2264862059999 47.400001526,-60.21780777 47.416667938,-60.209129334 47.4333343500001,-60.200447083 47.450000763,-60.1917648319999 47.4666671750001,-60.183074951 47.4833335880001,-60.17438507 47.5000000000001,-60.16569519 47.5166664130001,-60.156997681 47.5333328250001,-60.148300171 47.5499992370001,-60.139598846 47.5666656490001,-60.130893707 47.5833320620001,-60.122188568 47.5999984740001,-60.113479615 47.6166648860001,-60.104766846 47.633335113,-60.0960502629999 47.650001526,-60.087333679 47.666667938,-60.0786132809999 47.683334351,-60.069889068 47.700000763,-60.0611610409999 47.716667176,-60.052433014 47.7333335880001,-60.0437011719999 47.7500000000001,-60.034965515 47.7666664120001,-60.026229858 47.7833328250001,-60.017490387 47.7999992370001,-60.008747101 47.8166656490001,-59.9999999999999 47.8333320610001,-59.9799919129999 47.8166656490001,-59.959991455 47.7999992370001,-59.939998627 47.7833328250001,-59.9200096129999 47.7666664120001,-59.9000320439999 47.7500000000001,-59.880054474 47.7333335880001,-59.860088348 47.716667176,-59.8401260379999 47.700000763,-59.8201713559999 47.683334351,-59.80022049 47.666667938,-59.780281067 47.650001526,-59.7603416439999 47.633335113,-59.7404136659999 47.6166648860001,-59.720489502 47.5999984740001,-59.700572968 47.5833320620001,-59.6806640629999 47.5666656490001,-59.6607589719999 47.5499992370001,-59.640861511 47.5333328250001,-59.620967865 47.5166664130001,-59.6010856619999 47.5000000000001,-59.571678161 47.4753417960001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.4', '', '21.4', '21.4.V', '', '21.4V', '21.4.V.n', 'Northern subdivision', '21.4Vn', '', '', '', '', '4Vn', '4', '21.4.V.n', '21.4Vn', 'Y'),('SRID=4326;MULTIPOLYGON(((-59.9999999999999 45.666667938,-59.9999999999999 45.650001526,-59.9999999999999 45.633335114,-59.9999999999999 45.6166648860001,-59.9999999999999 45.5999984740001,-59.9999999999999 45.5833320620001,-59.9999999999999 45.5666656500001,-59.9999999999999 45.5499992370001,-59.9999999999999 45.5333328250001,-59.9999999999999 45.5166664130001,-59.9999999999999 45.5000000000001,-59.9999999999999 45.4833335880001,-59.9999999999999 45.4666671750001,-59.9999999999999 45.450000763,-59.9999999999999 45.433334351,-59.9999999999999 45.416667938,-59.9999999999999 45.400001526,-59.9999999999999 45.383335114,-59.9999999999999 45.3666648870001,-59.9999999999999 45.3499984740001,-59.9999999999999 45.3333320620001,-59.9999999999999 45.3166656500001,-59.9999999999999 45.2999992370001,-59.9999999999999 45.2833328250001,-59.9999999999999 45.2666664120001,-59.9999999999999 45.2500000000001,-59.9999999999999 45.2333335880001,-59.9999999999999 45.2166671750001,-59.9999999999999 45.200000763,-59.9999999999999 45.183334351,-59.9999999999999 45.166667938,-59.9999999999999 45.150001526,-59.9999999999999 45.133335114,-59.9999999999999 45.1166648870001,-59.9999999999999 45.0999984740001,-59.9999999999999 45.0833320620001,-59.9999999999999 45.0666656490001,-59.9999999999999 45.0499992370001,-59.9999999999999 45.0333328250001,-59.9999999999999 45.0166664120001,-59.9999999999999 45.0000000000001,-59.9999999999999 44.9833335880001,-59.9999999999999 44.683334351,-59.9999999999999 44.666667938,-59.9999999999999 44.650001526,-59.9999999999999 44.633335114,-59.9999999999999 44.6166648860001,-59.9999999999999 44.5999984740001,-59.9999999999999 44.5833320620001,-59.9999999999999 44.5666656500001,-59.9999999999999 44.5499992370001,-59.9999999999999 44.5333328250001,-59.9999999999999 44.5166664130001,-59.9999999999999 44.5000000000001,-59.9999999999999 44.4833335880001,-59.9999999999999 44.4666671750001,-59.9999999999999 44.450000763,-59.9999999999999 44.433334351,-59.9999999999999 44.416667938,-59.9999999999999 44.400001526,-59.9999999999999 44.383335114,-59.9999999999999 44.3666648870001,-59.9999999999999 44.3499984740001,-59.9999999999999 44.3333320620001,-59.9999999999999 44.3166656500001,-59.9999999999999 44.2999992370001,-59.9999999999999 44.2833328250001,-59.9999999999999 44.2666664120001,-59.9999999999999 44.2500000000001,-59.9999999999999 44.2333335880001,-59.9999999999999 44.2166671750001,-59.9999999999999 44.200000763,-59.9999999999999 44.183334351,-59.9999999999999 44.166667938,-59.9833335879999 44.166667938,-59.9666671749999 44.166667938,-59.9500007629999 44.166667938,-59.9333343499999 44.166667938,-59.9166679379999 44.166667938,-59.900001526 44.166667938,-59.883335113 44.166667938,-59.866664886 44.166667938,-59.849998474 44.166667938,-59.833332062 44.166667938,-59.816665649 44.166667938,-59.799999237 44.166667938,-59.7833328249999 44.166667938,-59.7666664119999 44.166667938,-59.7499999999999 44.166667938,-59.7333335869999 44.166667938,-59.7166671749999 44.166667938,-59.7000007629999 44.166667938,-59.6833343499999 44.166667938,-59.6666679379999 44.166667938,-59.650001526 44.166667938,-59.633335114 44.166667938,-59.616664886 44.166667938,-59.599998474 44.166667938,-59.583332062 44.166667938,-59.566665649 44.166667938,-59.549999237 44.166667938,-59.533332824 44.166667938,-59.5166664119999 44.166667938,-59.4999999999999 44.166667938,-59.4833335869999 44.166667938,-59.4666671749999 44.166667938,-59.4500007629999 44.166667938,-59.433334351 44.166667938,-59.4166679379999 44.166667938,-59.400001526 44.166667938,-59.383335114 44.166667938,-59.366664886 44.166667938,-59.349998474 44.166667938,-59.333332061 44.166667938,-59.316665649 44.166667938,-59.299999237 44.166667938,-59.2833328249999 44.166667938,-59.2666664119999 44.166667938,-59.2499999999999 44.166667938,-59.2333335879999 44.166667938,-59.2166671749999 44.166667938,-59.2000007629999 44.166667938,-59.183334351 44.166667938,-59.1666679379999 44.166667938,-59.150001526 44.166667938,-59.133335113 44.166667938,-59.116664886 44.166667938,-59.099998474 44.166667938,-59.083332062 44.166667938,-59.066665649 44.166667938,-59.049999237 44.166667938,-59.0333328249999 44.166667938,-59.0166664119999 44.166667938,-58.9999999999999 44.166667938,-58.9999999999999 44.150001526,-58.9999999999999 44.133335114,-58.9999999999999 44.1166648870001,-58.9999999999999 44.0999984740001,-58.9999999999999 44.0833320620001,-58.9999999999999 44.0666656490001,-58.9999999999999 44.0499992370001,-58.9999999999999 44.0333328250001,-58.9999999999999 44.0166664120001,-58.9999999999999 44.0000000000001,-58.9999999999999 43.9833335880001,-58.9999999999999 43.683334351,-58.9999999999999 43.666667938,-58.9999999999999 43.650001526,-58.9999999999999 43.633335114,-58.9999999999999 43.6166648860001,-58.9999999999999 43.5999984740001,-58.9999999999999 43.5833320620001,-58.9999999999999 43.5666656500001,-58.9999999999999 43.5499992370001,-58.9999999999999 43.5333328250001,-58.9999999999999 43.5166664130001,-58.9999999999999 43.5000000000001,-58.9999999999999 43.4833335880001,-58.9999999999999 43.4666671750001,-58.9999999999999 43.450000763,-58.9999999999999 43.433334351,-58.9999999999999 43.416667938,-58.9999999999999 43.400001526,-58.9999999999999 43.383335114,-58.9999999999999 43.3666648870001,-58.9999999999999 43.3499984740001,-58.9999999999999 43.3333320620001,-58.9999999999999 43.3166656500001,-58.9999999999999 43.2999992370001,-58.9999999999999 43.2833328250001,-58.9999999999999 43.2666664120001,-58.9999999999999 43.2500000000001,-58.9999999999999 43.2333335880001,-58.9999999999999 43.2166671750001,-58.9999999999999 43.200000763,-58.9999999999999 43.183334351,-58.9999999999999 43.166667938,-58.9999999999999 43.150001526,-58.9999999999999 43.133335114,-58.9999999999999 43.1166648870001,-58.9999999999999 43.0999984740001,-58.9999999999999 43.0833320620001,-58.9999999999999 43.0666656490001,-58.9999999999999 43.0499992370001,-58.9999999999999 43.0333328250001,-58.9999999999999 42.9833335880001,-58.9999999999999 42.683334351,-58.9999999999999 42.666667938,-58.9999999999999 42.650001526,-58.9999999999999 42.633335114,-58.9999999999999 42.6166648860001,-58.9999999999999 42.5999984740001,-58.9999999999999 42.5833320620001,-58.9999999999999 42.5666656500001,-58.9999999999999 42.5499992370001,-58.9999999999999 42.5333328250001,-58.9999999999999 42.5166664120001,-58.9999999999999 42.5000000000001,-58.9999999999999 42.4833335880001,-58.9999999999999 42.4666671750001,-58.9999999999999 42.450000763,-58.9999999999999 42.433334351,-58.9999999999999 42.416667938,-58.9999999999999 42.400001526,-58.9999999999999 42.383335114,-58.9999999999999 42.3666648870001,-58.9999999999999 42.3499984740001,-58.9999999999999 42.3333320620001,-58.9999999999999 42.3166656490001,-58.9999999999999 42.2999992370001,-58.9999999999999 42.2833328250001,-58.9999999999999 42.2666664120001,-58.9999999999999 42.2500000000001,-58.9999999999999 42.2333335880001,-58.9999999999999 42.2166671750001,-58.9999999999999 42.200000763,-58.9999999999999 42.183334351,-58.9999999999999 42.166667939,-58.9999999999999 42.150001526,-58.9999999999999 42.133335114,-58.9999999999999 42.1166648870001,-58.9999999999999 42.0999984740001,-58.9999999999999 42.0833320620001,-58.9999999999999 42.0666656490001,-58.9999999999999 42.0499992370001,-58.9999999999999 42.0333328250001,-58.9999999999999 42.0166664120001,-58.9999999999999 42.0000000000001,-58.9999999999999 41.9833335880001,-58.9999999999999 41.966667176,-58.9999999999999 41.950000763,-58.9999999999999 41.933334351,-58.9999999999999 41.916667938,-58.9999999999999 41.900001526,-58.9999999999999 41.883335114,-58.9999999999999 41.8666648860001,-58.9999999999999 41.8499984740001,-58.9999999999999 41.8333320620001,-58.9999999999999 41.8166656490001,-58.9999999999999 41.7999992370001,-58.9999999999999 41.7833328250001,-58.9999999999999 41.7666664130001,-58.9999999999999 41.7500000000001,-58.9999999999999 41.7333335880001,-58.9999999999999 41.7166671750001,-58.9999999999999 41.683334351,-58.9999999999999 41.666667938,-58.9999999999999 41.650001526,-58.9999999999999 41.633335114,-58.9999999999999 41.6166648860001,-58.9999999999999 41.5999984740001,-58.9999999999999 41.5833320620001,-58.9999999999999 41.5666656500001,-58.9999999999999 41.5499992370001,-58.9999999999999 41.5333328250001,-58.9999999999999 41.5166664120001,-58.9999999999999 41.5000000000001,-58.9999999999999 41.4833335880001,-58.9999999999999 41.4666671750001,-58.9999999999999 41.450000763,-58.9999999999999 41.433334351,-58.9999999999999 41.416667938,-58.9999999999999 41.400001526,-58.9999999999999 41.383335114,-58.9999999999999 41.3666648870001,-58.9999999999999 41.3499984740001,-58.9999999999999 41.3333320620001,-58.9999999999999 41.3166656490001,-58.9999999999999 41.2999992370001,-58.9999999999999 41.2833328250001,-58.9999999999999 41.2666664120001,-58.9999999999999 41.2500000000001,-58.9999999999999 41.2333335880001,-58.9999999999999 41.2166671750001,-58.9999999999999 41.200000763,-58.9999999999999 41.183334351,-58.9999999999999 41.166667939,-58.9999999999999 41.150001526,-58.9999999999999 41.133335114,-58.9999999999999 41.1166648860001,-58.9999999999999 41.0999984740001,-58.9999999999999 41.0833320620001,-58.9999999999999 41.0666656490001,-58.9999999999999 41.0499992370001,-58.9999999999999 41.0333328250001,-58.9999999999999 41.0166664120001,-58.9999999999999 41.0000000000001,-58.9999999999999 40.9833335880001,-58.9999999999999 40.966667176,-58.9999999999999 40.950000763,-58.9999999999999 40.933334351,-58.9999999999999 40.916667938,-58.9999999999999 40.900001526,-58.9999999999999 40.883335114,-58.9999999999999 40.8666648860001,-58.9999999999999 40.8499984740001,-58.9999999999999 40.8333320620001,-58.9999999999999 40.8166656490001,-58.9999999999999 40.7999992370001,-58.9999999999999 40.7833328250001,-58.9999999999999 40.7666664130001,-58.9999999999999 40.7500000000001,-58.9999999999999 40.7333335880001,-58.9999999999999 40.7166671750001,-58.9999999999999 40.683334351,-58.9999999999999 40.666667938,-58.9999999999999 40.650001526,-58.9999999999999 40.633335114,-58.9999999999999 40.6166648870001,-58.9999999999999 40.5999984740001,-58.9999999999999 40.5833320620001,-58.9999999999999 40.5666656500001,-58.9999999999999 40.5499992370001,-58.9999999999999 40.5333328250001,-58.9999999999999 40.5166664120001,-58.9999999999999 40.5000000000001,-58.9999999999999 40.4833335880001,-58.9999999999999 40.4666671750001,-58.9999999999999 40.450000763,-58.9999999999999 40.433334351,-58.9999999999999 40.416667938,-58.9999999999999 40.400001526,-58.9999999999999 40.383335114,-58.9999999999999 40.3666648870001,-58.9999999999999 40.3499984750001,-58.9999999999999 40.3333320620001,-58.9999999999999 40.3166656490001,-58.9999999999999 40.2999992370001,-58.9999999999999 40.2833328250001,-58.9999999999999 40.2666664120001,-58.9999999999999 40.2500000000001,-58.9999999999999 40.2333335880001,-58.9999999999999 40.2166671750001,-58.9999999999999 40.200000763,-58.9999999999999 40.183334351,-58.9999999999999 40.166667939,-58.9999999999999 40.150001526,-58.9999999999999 40.133335114,-58.9999999999999 40.1166648860001,-58.9999999999999 40.0999984740001,-58.9999999999999 40.0833320620001,-58.9999999999999 40.0666656490001,-58.9999999999999 40.0499992370001,-58.9999999999999 40.0333328250001,-58.9999999999999 40.0166664120001,-58.9999999999999 40.0000000000001,-58.9999999999999 39.9833335880001,-58.9999999999999 39.966667176,-58.9999999999999 39.950000763,-58.9999999999999 39.933334351,-58.9999999999999 39.916667938,-58.9999999999999 39.900001526,-58.9999999999999 39.883335114,-58.9999999999999 39.8666648860001,-58.9999999999999 39.8499984740001,-58.9999999999999 39.8333320620001,-58.9999999999999 39.8166656490001,-58.9999999999999 39.7999992370001,-58.9999999999999 39.7833328250001,-58.9999999999999 39.7666664130001,-58.9999999999999 39.7500000000001,-58.9999999999999 39.7333335880001,-58.9999999999999 39.7166671750001,-58.9999999999999 39.683334351,-58.9999999999999 39.666667938,-58.9999999999999 39.650001526,-58.9999999999999 39.633335114,-58.9999999999999 39.6166648870001,-58.9999999999999 39.5999984740001,-58.9999999999999 39.5833320620001,-58.9999999999999 39.5666656500001,-58.9999999999999 39.5499992370001,-58.9999999999999 39.5333328250001,-58.9999999999999 39.5166664120001,-58.9999999999999 39.5000000000001,-58.9999999999999 39.4833335880001,-58.9999999999999 39.4666671750001,-58.9999999999999 39.450000763,-58.9999999999999 39.433334351,-58.9999999999999 39.416667938,-58.9999999999999 39.400001526,-58.9999999999999 39.383335114,-58.9999999999999 39.3666648870001,-58.9999999999999 39.3499984750001,-58.9999999999999 39.3333320620001,-58.9999999999999 39.3166656490001,-58.9999999999999 39.2999992370001,-58.9999999999999 39.2833328250001,-58.9999999999999 39.2666664120001,-58.9999999999999 39.2500000000001,-58.9999999999999 39.2333335880001,-58.9999999999999 39.2166671750001,-58.9999999999999 39.200000763,-58.9999999999999 39.183334351,-58.9999999999999 39.166667939,-58.9999999999999 39.150001526,-58.9999999999999 39.133335114,-58.9999999999999 39.1166648860001,-58.9999999999999 39.0999984740001,-58.9999999999999 39.0833320620001,-58.9999999999999 39.0666656490001,-58.9999999999999 39.0499992370001,-58.9999999999999 39.0333328250001,-58.9999999999999 39.0166664120001,-58.9999999999999 39.0000000000001,-59.0166664119999 39.0000000000001,-59.0333328249999 39.0000000000001,-59.049999237 39.0000000000001,-59.066665649 39.0000000000001,-59.083332062 39.0000000000001,-59.099998474 39.0000000000001,-59.116664886 39.0000000000001,-59.133335113 39.0000000000001,-59.150001526 39.0000000000001,-59.1666679379999 39.0000000000001,-59.183334351 39.0000000000001,-59.2000007629999 39.0000000000001,-59.2166671749999 39.0000000000001,-59.2333335879999 39.0000000000001,-59.2499999999999 39.0000000000001,-59.2666664119999 39.0000000000001,-59.2833328249999 39.0000000000001,-59.299999237 39.0000000000001,-59.316665649 39.0000000000001,-59.333332061 39.0000000000001,-59.349998474 39.0000000000001,-59.366664886 39.0000000000001,-59.383335114 39.0000000000001,-59.400001526 39.0000000000001,-59.4166679379999 39.0000000000001,-59.433334351 39.0000000000001,-59.4500007629999 39.0000000000001,-59.4666671749999 39.0000000000001,-59.4833335869999 39.0000000000001,-59.4999999999999 39.0000000000001,-59.5166664119999 39.0000000000001,-59.533332824 39.0000000000001,-59.549999237 39.0000000000001,-59.566665649 39.0000000000001,-59.583332062 39.0000000000001,-59.599998474 39.0000000000001,-59.616664886 39.0000000000001,-59.633335114 39.0000000000001,-59.650001526 39.0000000000001,-59.6666679379999 39.0000000000001,-59.6833343499999 39.0000000000001,-59.7000007629999 39.0000000000001,-59.7166671749999 39.0000000000001,-59.7333335869999 39.0000000000001,-59.7499999999999 39.0000000000001,-59.7666664119999 39.0000000000001,-59.7833328249999 39.0000000000001,-59.799999237 39.0000000000001,-59.816665649 39.0000000000001,-59.833332062 39.0000000000001,-59.849998474 39.0000000000001,-59.866664886 39.0000000000001,-59.883335113 39.0000000000001,-59.900001526 39.0000000000001,-59.9166679379999 39.0000000000001,-59.9333343499999 39.0000000000001,-59.9500007629999 39.0000000000001,-59.9666671749999 39.0000000000001,-59.9833335879999 39.0000000000001,-59.9999999999999 39.0000000000001,-60.0166664119999 39.0000000000001,-60.0333328249999 39.0000000000001,-60.049999237 39.0000000000001,-60.066665649 39.0000000000001,-60.083332062 39.0000000000001,-60.099998474 39.0000000000001,-60.116664886 39.0000000000001,-60.133335113 39.0000000000001,-60.150001526 39.0000000000001,-60.1666679379999 39.0000000000001,-60.183334351 39.0000000000001,-60.2000007629999 39.0000000000001,-60.2166671749999 39.0000000000001,-60.2333335879999 39.0000000000001,-60.2499999999999 39.0000000000001,-60.2666664119999 39.0000000000001,-60.2833328249999 39.0000000000001,-60.299999237 39.0000000000001,-60.316665649 39.0000000000001,-60.333332061 39.0000000000001,-60.349998474 39.0000000000001,-60.366664886 39.0000000000001,-60.383335114 39.0000000000001,-60.400001526 39.0000000000001,-60.4166679379999 39.0000000000001,-60.433334351 39.0000000000001,-60.4500007629999 39.0000000000001,-60.4666671749999 39.0000000000001,-60.4833335869999 39.0000000000001,-60.4999999999999 39.0000000000001,-60.5166664119999 39.0000000000001,-60.533332824 39.0000000000001,-60.549999237 39.0000000000001,-60.566665649 39.0000000000001,-60.583332062 39.0000000000001,-60.599998474 39.0000000000001,-60.616664886 39.0000000000001,-60.633335114 39.0000000000001,-60.650001526 39.0000000000001,-60.6666679379999 39.0000000000001,-60.6833343499999 39.0000000000001,-60.7000007629999 39.0000000000001,-60.7166671749999 39.0000000000001,-60.7333335869999 39.0000000000001,-60.7499999999999 39.0000000000001,-60.7666664119999 39.0000000000001,-60.7833328249999 39.0000000000001,-60.799999237 39.0000000000001,-60.816665649 39.0000000000001,-60.833332062 39.0000000000001,-60.849998474 39.0000000000001,-60.866664886 39.0000000000001,-60.883335113 39.0000000000001,-60.900001526 39.0000000000001,-60.9166679379999 39.0000000000001,-60.9333343499999 39.0000000000001,-60.9500007629999 39.0000000000001,-60.9666671749999 39.0000000000001,-60.9833335879999 39.0000000000001,-60.9999999999999 39.0000000000001,-61.0166664119999 39.0000000000001,-61.0333328249999 39.0000000000001,-61.049999237 39.0000000000001,-61.066665649 39.0000000000001,-61.083332062 39.0000000000001,-61.099998474 39.0000000000001,-61.116664886 39.0000000000001,-61.133335113 39.0000000000001,-61.150001526 39.0000000000001,-61.1666679379999 39.0000000000001,-61.183334351 39.0000000000001,-61.2000007629999 39.0000000000001,-61.2166671749999 39.0000000000001,-61.2333335879999 39.0000000000001,-61.2499999999999 39.0000000000001,-61.2666664119999 39.0000000000001,-61.283332824 39.0000000000001,-61.299999237 39.0000000000001,-61.316665649 39.0000000000001,-61.333332062 39.0000000000001,-61.349998474 39.0000000000001,-61.366664886 39.0000000000001,-61.383335114 39.0000000000001,-61.400001526 39.0000000000001,-61.4166679379999 39.0000000000001,-61.433334351 39.0000000000001,-61.4500007629999 39.0000000000001,-61.4666671749999 39.0000000000001,-61.4833335869999 39.0000000000001,-61.4999999999999 39.0000000000001,-61.5166664119999 39.0000000000001,-61.5333328249999 39.0000000000001,-61.549999237 39.0000000000001,-61.566665649 39.0000000000001,-61.583332062 39.0000000000001,-61.599998474 39.0000000000001,-61.616664886 39.0000000000001,-61.633335114 39.0000000000001,-61.650001526 39.0000000000001,-61.6666679379999 39.0000000000001,-61.6833343499999 39.0000000000001,-61.7000007629999 39.0000000000001,-61.7166671749999 39.0000000000001,-61.7333335879999 39.0000000000001,-61.7499999999999 39.0000000000001,-61.7666664119999 39.0000000000001,-61.7833328249999 39.0000000000001,-61.799999237 39.0000000000001,-61.816665649 39.0000000000001,-61.833332062 39.0000000000001,-61.849998474 39.0000000000001,-61.866664886 39.0000000000001,-61.883335113 39.0000000000001,-61.900001526 39.0000000000001,-61.9166679379999 39.0000000000001,-61.933334351 39.0000000000001,-61.9500007629999 39.0000000000001,-61.9666671749999 39.0000000000001,-61.9833335879999 39.0000000000001,-61.9999999999999 39.0000000000001,-62.0166664119999 39.0000000000001,-62.0333328249999 39.0000000000001,-62.049999237 39.0000000000001,-62.066665649 39.0000000000001,-62.083332061 39.0000000000001,-62.099998474 39.0000000000001,-62.116664886 39.0000000000001,-62.133335113 39.0000000000001,-62.150001526 39.0000000000001,-62.1666679379999 39.0000000000001,-62.183334351 39.0000000000001,-62.2000007629999 39.0000000000001,-62.2166671749999 39.0000000000001,-62.2333335879999 39.0000000000001,-62.2499999999999 39.0000000000001,-62.2666664119999 39.0000000000001,-62.283332824 39.0000000000001,-62.299999237 39.0000000000001,-62.316665649 39.0000000000001,-62.333332062 39.0000000000001,-62.349998474 39.0000000000001,-62.366664886 39.0000000000001,-62.383335114 39.0000000000001,-62.400001526 39.0000000000001,-62.4166679379999 39.0000000000001,-62.433334351 39.0000000000001,-62.4500007629999 39.0000000000001,-62.4666671749999 39.0000000000001,-62.4833335869999 39.0000000000001,-62.4999999999999 39.0000000000001,-62.5166664119999 39.0000000000001,-62.5333328249999 39.0000000000001,-62.549999237 39.0000000000001,-62.566665649 39.0000000000001,-62.583332062 39.0000000000001,-62.599998474 39.0000000000001,-62.616664886 39.0000000000001,-62.633335114 39.0000000000001,-62.650001526 39.0000000000001,-62.6666679379999 39.0000000000001,-62.6833343499999 39.0000000000001,-62.7000007629999 39.0000000000001,-62.7166671749999 39.0000000000001,-62.7333335879999 39.0000000000001,-62.7499999999999 39.0000000000001,-62.7666664119999 39.0000000000001,-62.7833328249999 39.0000000000001,-62.799999237 39.0000000000001,-62.816665649 39.0000000000001,-62.833332062 39.0000000000001,-62.849998474 39.0000000000001,-62.866664886 39.0000000000001,-62.883335113 39.0000000000001,-62.900001526 39.0000000000001,-62.9166679379999 39.0000000000001,-62.933334351 39.0000000000001,-62.9500007629999 39.0000000000001,-62.9666671749999 39.0000000000001,-62.9833335879999 39.0000000000001,-62.9999999999999 39.0000000000001,-63.0166664119999 39.0000000000001,-63.0333328249999 39.0000000000001,-63.049999237 39.0000000000001,-63.066665649 39.0000000000001,-63.083332061 39.0000000000001,-63.099998474 39.0000000000001,-63.116664886 39.0000000000001,-63.133335114 39.0000000000001,-63.150001526 39.0000000000001,-63.1666679379999 39.0000000000001,-63.183334351 39.0000000000001,-63.2000007629999 39.0000000000001,-63.2166671749999 39.0000000000001,-63.2333335879999 39.0000000000001,-63.2499999999999 39.0000000000001,-63.2666664119999 39.0000000000001,-63.283332824 39.0000000000001,-63.299999237 39.0000000000001,-63.316665649 39.0000000000001,-63.333332062 39.0000000000001,-63.333332062 39.0166664120001,-63.333332062 39.0333328250001,-63.333332062 39.0499992370001,-63.333332062 39.0666656490001,-63.333332062 39.0833320620001,-63.333332062 39.0999984740001,-63.333332062 39.1166648860001,-63.333332062 39.133335113,-63.333332062 39.150001526,-63.333332062 39.166667939,-63.333332062 39.183334351,-63.333332062 39.200000763,-63.333332062 39.2166671750001,-63.333332062 39.2333335880001,-63.333332062 39.2500000000001,-63.333332062 39.2666664120001,-63.333332062 39.2833328240001,-63.333332062 39.2999992370001,-63.333332062 39.3166656490001,-63.333332062 39.3333320620001,-63.333332062 39.3499984750001,-63.333332062 39.3666648870001,-63.333332062 39.383335114,-63.333332062 39.400001526,-63.333332062 39.416667938,-63.333332062 39.433334351,-63.333332062 39.450000763,-63.333332062 39.4666671750001,-63.333332062 39.4833335870001,-63.333332062 39.5000000000001,-63.333332062 39.5166664120001,-63.333332062 39.5333328250001,-63.333332062 39.5499992370001,-63.333332062 39.5666656500001,-63.333332062 39.5833320620001,-63.333332062 39.5999984740001,-63.333332062 39.6166648870001,-63.333332062 39.633335114,-63.333332062 39.650001526,-63.333332062 39.666667938,-63.333332062 39.6833343500001,-63.333332062 39.700000763,-63.333332062 39.7166671750001,-63.333332062 39.7333335870001,-63.333332062 39.7500000000001,-63.333332062 39.7666664130001,-63.333332062 39.7833328250001,-63.333332062 39.7999992370001,-63.333332062 39.8166656490001,-63.333332062 39.8333320620001,-63.333332062 39.8499984740001,-63.333332062 39.8666648860001,-63.333332062 39.883335113,-63.333332062 39.900001526,-63.333332062 39.916667938,-63.333332062 39.9333343500001,-63.333332062 39.950000763,-63.333332062 39.966667176,-63.333332062 39.9833335880001,-63.333332062 40.0000000000001,-63.333332062 40.0166664120001,-63.333332062 40.0333328250001,-63.333332062 40.0499992370001,-63.333332062 40.0666656490001,-63.333332062 40.0833320620001,-63.333332062 40.0999984740001,-63.333332062 40.1166648860001,-63.333332062 40.133335113,-63.333332062 40.150001526,-63.333332062 40.166667939,-63.333332062 40.183334351,-63.333332062 40.200000763,-63.333332062 40.2166671750001,-63.333332062 40.2333335880001,-63.333332062 40.2500000000001,-63.333332062 40.2666664120001,-63.333332062 40.2833328240001,-63.333332062 40.2999992370001,-63.333332062 40.3166656490001,-63.333332062 40.3333320620001,-63.333332062 40.3499984750001,-63.333332062 40.3666648870001,-63.333332062 40.383335114,-63.333332062 40.400001526,-63.333332062 40.416667938,-63.333332062 40.433334351,-63.333332062 40.450000763,-63.333332062 40.4666671750001,-63.333332062 40.4833335870001,-63.333332062 40.5000000000001,-63.333332062 40.5166664120001,-63.333332062 40.5333328250001,-63.333332062 40.5499992370001,-63.333332062 40.5666656500001,-63.333332062 40.5833320620001,-63.333332062 40.5999984740001,-63.333332062 40.6166648870001,-63.333332062 40.633335114,-63.333332062 40.650001526,-63.333332062 40.666667938,-63.333332062 40.6833343500001,-63.333332062 40.700000763,-63.333332062 40.7166671750001,-63.333332062 40.7333335880001,-63.333332062 40.7500000000001,-63.333332062 40.7666664130001,-63.333332062 40.7833328250001,-63.333332062 40.7999992370001,-63.333332062 40.8166656490001,-63.333332062 40.8333320620001,-63.333332062 40.8499984740001,-63.333332062 40.8666648860001,-63.333332062 40.883335113,-63.333332062 40.900001526,-63.333332062 40.916667938,-63.333332062 40.933334351,-63.333332062 40.950000763,-63.333332062 40.966667176,-63.333332062 40.9833335880001,-63.333332062 41.0000000000001,-63.333332062 41.0166664120001,-63.333332062 41.0333328250001,-63.333332062 41.0499992370001,-63.333332062 41.0666656490001,-63.333332062 41.0833320610001,-63.333332062 41.0999984740001,-63.333332062 41.1166648860001,-63.333332062 41.133335114,-63.333332062 41.150001526,-63.333332062 41.166667939,-63.333332062 41.183334351,-63.333332062 41.200000763,-63.333332062 41.2166671750001,-63.333332062 41.2333335880001,-63.333332062 41.2500000000001,-63.333332062 41.2666664120001,-63.333332062 41.2833328240001,-63.333332062 41.2999992370001,-63.333332062 41.3166656490001,-63.333332062 41.3333320620001,-63.333332062 41.3499984740001,-63.333332062 41.3666648870001,-63.333332062 41.383335114,-63.333332062 41.400001526,-63.333332062 41.416667938,-63.333332062 41.433334351,-63.333332062 41.450000763,-63.333332062 41.4666671750001,-63.333332062 41.4833335870001,-63.333332062 41.5000000000001,-63.333332062 41.5166664120001,-63.333332062 41.5333328250001,-63.333332062 41.5499992370001,-63.333332062 41.5666656500001,-63.333332062 41.5833320620001,-63.333332062 41.5999984740001,-63.333332062 41.6166648860001,-63.333332062 41.633335113,-63.333332062 41.650001526,-63.333332062 41.666667938,-63.333332062 41.6833343500001,-63.333332062 41.700000763,-63.333332062 41.7166671750001,-63.333332062 41.7333335880001,-63.333332062 41.7500000000001,-63.333332062 41.7666664130001,-63.333332062 41.7833328250001,-63.333332062 41.7999992370001,-63.333332062 41.8166656490001,-63.333332062 41.8333320620001,-63.333332062 41.8499984740001,-63.333332062 41.8666648860001,-63.333332062 41.883335113,-63.333332062 41.900001526,-63.333332062 41.916667938,-63.333332062 41.933334351,-63.333332062 41.950000763,-63.333332062 41.966667176,-63.333332062 41.9833335880001,-63.333332062 42.0000000000001,-63.333332062 42.0166664120001,-63.333332062 42.0333328250001,-63.333332062 42.0499992370001,-63.333332062 42.0666656490001,-63.333332062 42.0833320610001,-63.333332062 42.0999984740001,-63.333332062 42.1166648870001,-63.333332062 42.133335114,-63.333332062 42.150001526,-63.333332062 42.166667939,-63.333332062 42.183334351,-63.333332062 42.200000763,-63.333332062 42.2166671750001,-63.333332062 42.2333335880001,-63.333332062 42.2500000000001,-63.333332062 42.2666664120001,-63.333332062 42.2833328240001,-63.333332062 42.2999992370001,-63.333332062 42.3166656490001,-63.333332062 42.3333320620001,-63.333332062 42.3499984740001,-63.333332062 42.3666648870001,-63.333332062 42.383335114,-63.333332062 42.400001526,-63.333332062 42.416667938,-63.333332062 42.433334351,-63.333332062 42.450000763,-63.333332062 42.4666671750001,-63.333332062 42.4833335870001,-63.333332062 42.5000000000001,-63.333332062 42.5166664120001,-63.333332062 42.5333328250001,-63.333332062 42.5499992370001,-63.333332062 42.5666656500001,-63.333332062 42.5833320620001,-63.333332062 42.5999984740001,-63.333332062 42.6166648860001,-63.333332062 42.633335113,-63.333332062 42.650001526,-63.333332062 42.666667938,-63.333332062 42.6833343500001,-63.333332062 42.700000763,-63.333332062 42.7166671750001,-63.333332062 42.7333335880001,-63.333332062 42.7500000000001,-63.333332062 42.7666664130001,-63.333332062 42.7833328250001,-63.333332062 42.7999992370001,-63.333332062 42.8166656490001,-63.333332062 42.8333320620001,-63.333332062 42.8499984740001,-63.333332062 42.8666648860001,-63.333332062 42.883335113,-63.333332062 42.9000015250001,-63.333332062 42.916667938,-63.333332062 42.933334351,-63.333332062 42.950000763,-63.333332062 42.966667176,-63.333332062 42.9833335880001,-63.333332062 43.0000000000001,-63.333332062 43.0166664120001,-63.333332062 43.0333328250001,-63.333332062 43.0499992370001,-63.333332062 43.0666656490001,-63.333332062 43.0833320610001,-63.333332062 43.0999984740001,-63.333332062 43.1166648870001,-63.333332062 43.133335114,-63.333332062 43.150001526,-63.333332062 43.166667938,-63.333332062 43.183334351,-63.333332062 43.200000763,-63.333332062 43.2166671750001,-63.333332062 43.2333335880001,-63.333332062 43.2500000000001,-63.333332062 43.2666664120001,-63.333332062 43.2833328240001,-63.333332062 43.2999992370001,-63.333332062 43.3166656500001,-63.333332062 43.3333320620001,-63.333332062 43.3499984740001,-63.333332062 43.3666648870001,-63.333332062 43.383335114,-63.333332062 43.400001526,-63.333332062 43.416667938,-63.333332062 43.4333343500001,-63.333332062 43.450000763,-63.333332062 43.4666671750001,-63.333332062 43.4833335870001,-63.333332062 43.5000000000001,-63.333332062 43.5166664130001,-63.333332062 43.5333328250001,-63.333332062 43.5499992370001,-63.333332062 43.5666656500001,-63.333332062 43.5833320620001,-63.333332062 43.5999984740001,-63.333332062 43.6166648860001,-63.333332062 43.633335113,-63.333332062 43.650001526,-63.333332062 43.666667938,-63.333332062 43.6833343500001,-63.333332062 43.7000007620001,-63.333332062 43.716667176,-63.333332062 43.7333335880001,-63.333332062 43.7500000000001,-63.333332062 43.7666664130001,-63.333332062 43.7833328250001,-63.333332062 43.7999992370001,-63.333332062 43.8166656490001,-63.333332062 43.8333320620001,-63.333332062 43.8499984740001,-63.333332062 43.8666648860001,-63.333332062 43.883335113,-63.333332062 43.9000015250001,-63.333332062 43.916667939,-63.333332062 43.933334351,-63.333332062 43.950000763,-63.333332062 43.9666671750001,-63.333332062 43.9833335880001,-63.333332062 44.0000000000001,-63.333332062 44.0166664120001,-63.333332062 44.0333328250001,-63.333332062 44.0499992370001,-63.333332062 44.0666656490001,-63.333332062 44.0833320610001,-63.333332062 44.0999984740001,-63.333332062 44.1166648870001,-63.333332062 44.133335114,-63.333332062 44.150001526,-63.333332062 44.166667938,-63.333332062 44.183334351,-63.333332062 44.200000763,-63.333332062 44.2166671750001,-63.333332062 44.2333335880001,-63.333332062 44.2500000000001,-63.333332062 44.2666664120001,-63.333332062 44.2833328240001,-63.333332062 44.2999992370001,-63.333332062 44.3166656500001,-63.333332062 44.3333320620001,-63.3519744869999 44.3499984740001,-63.370624542 44.3666648870001,-63.389278412 44.383335114,-63.407936096 44.400001526,-63.4266014099999 44.416667938,-63.4452705379999 44.4333343500001,-63.4639434809999 44.450000763,-63.482624054 44.4666671750001,-63.5013084409999 44.4833335870001,-63.5206756589999 44.5006027220001,-63.814504569 44.7582362000001,-61.4999999999999 45.5000000000001,-61.384166718 45.5837516780001,-61.3796272279999 45.5898056030001,-61.36655426 45.5941658020001,-61.3642806999999 45.596210479,-61.292461148 45.627734699,-61.3300018309999 45.7500000000001,-61.1599998469999 45.6399993900001,-60.9599990839999 45.700000763,-60.895115558 45.664909498,-60.8667933259999 45.6527397890001,-60.815238009 45.6326044510001,-60.790000915 45.6399993900001,-60.310001374 45.779998779,-60.1958440399999 45.816469655,-60.179458618 45.7765197750001,-60.15145874 45.700000763,-60.075717926 45.6833343500001,-59.9999999999999 45.666667938)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.4', '', '21.4', '21.4.W', '', '21.4W', '', '', '', '', '', '', '', '4W', '3', '21.4.W', '21.4W', 'Y'),('SRID=4326;MULTIPOLYGON(((-74.891901565 40.1792449770001,-74.870758548 39.0406996990001,-74.807999835 39.040804339,-74.8071136469999 39.040805817,-74.79510498 39.029396057,-74.783332824 39.0000000000001,-74.766670227 39.0000000000001,-74.7499999999999 39.0000000000001,-74.733329773 39.0000000000001,-74.7166671749999 39.0000000000001,-74.699996948 39.0000000000001,-74.683334351 39.0000000000001,-74.666664124 39.0000000000001,-74.650001526 39.0000000000001,-74.633331299 39.0000000000001,-74.616668701 39.0000000000001,-74.599998474 39.0000000000001,-74.566665649 39.0000000000001,-74.550003052 39.0000000000001,-74.5333328249999 39.0000000000001,-74.516670227 39.0000000000001,-74.4999999999999 39.0000000000001,-74.483329773 39.0000000000001,-74.4666671749999 39.0000000000001,-74.449996948 39.0000000000001,-74.4333343499999 39.0000000000001,-74.416664123 39.0000000000001,-74.400001526 39.0000000000001,-74.383331299 39.0000000000001,-74.366668701 39.0000000000001,-74.349998474 39.0000000000001,-74.333335876 39.0000000000001,-74.316665649 39.0000000000001,-74.300003052 39.0000000000001,-74.2833328249999 39.0000000000001,-74.266670227 39.0000000000001,-74.2499999999999 39.0000000000001,-74.233329773 39.0000000000001,-74.2166671749999 39.0000000000001,-74.199996948 39.0000000000001,-74.1833343499999 39.0000000000001,-74.166664123 39.0000000000001,-74.150001526 39.0000000000001,-74.133331299 39.0000000000001,-74.116668701 39.0000000000001,-74.099998474 39.0000000000001,-74.083335876 39.0000000000001,-74.066665649 39.0000000000001,-74.050003052 39.0000000000001,-74.033332824 39.0000000000001,-74.016670227 39.0000000000001,-73.9999999999999 39.0000000000001,-73.983329773 39.0000000000001,-73.9666671749999 39.0000000000001,-73.949996948 39.0000000000001,-73.933334351 39.0000000000001,-73.916664124 39.0000000000001,-73.900001526 39.0000000000001,-73.883331299 39.0000000000001,-73.866668701 39.0000000000001,-73.849998474 39.0000000000001,-73.833335876 39.0000000000001,-73.816665649 39.0000000000001,-73.800003052 39.0000000000001,-73.7833328249999 39.0000000000001,-73.766670227 39.0000000000001,-73.7499999999999 39.0000000000001,-73.733329773 39.0000000000001,-73.7166671749999 39.0000000000001,-73.699996948 39.0000000000001,-73.683334351 39.0000000000001,-73.666664124 39.0000000000001,-73.650001526 39.0000000000001,-73.633331298 39.0000000000001,-73.616668701 39.0000000000001,-73.599998474 39.0000000000001,-73.566665649 39.0000000000001,-73.550003052 39.0000000000001,-73.5333328249999 39.0000000000001,-73.516670227 39.0000000000001,-73.4999999999999 39.0000000000001,-73.483329773 39.0000000000001,-73.4666671749999 39.0000000000001,-73.449996948 39.0000000000001,-73.4333343499999 39.0000000000001,-73.416664123 39.0000000000001,-73.400001526 39.0000000000001,-73.383331299 39.0000000000001,-73.366668701 39.0000000000001,-73.349998474 39.0000000000001,-73.333335876 39.0000000000001,-73.316665649 39.0000000000001,-73.300003052 39.0000000000001,-73.2833328249999 39.0000000000001,-73.266670227 39.0000000000001,-73.2499999999999 39.0000000000001,-73.233329773 39.0000000000001,-73.2166671749999 39.0000000000001,-73.199996948 39.0000000000001,-73.1833343499999 39.0000000000001,-73.166664123 39.0000000000001,-73.150001526 39.0000000000001,-73.133331299 39.0000000000001,-73.116668701 39.0000000000001,-73.099998474 39.0000000000001,-73.083335876 39.0000000000001,-73.066665649 39.0000000000001,-73.050003051 39.0000000000001,-73.033332824 39.0000000000001,-73.016670227 39.0000000000001,-72.9999999999999 39.0000000000001,-72.983329773 39.0000000000001,-72.9666671749999 39.0000000000001,-72.949996948 39.0000000000001,-72.933334351 39.0000000000001,-72.916664124 39.0000000000001,-72.900001526 39.0000000000001,-72.883331299 39.0000000000001,-72.866668701 39.0000000000001,-72.849998474 39.0000000000001,-72.833335876 39.0000000000001,-72.816665649 39.0000000000001,-72.800003052 39.0000000000001,-72.7833328249999 39.0000000000001,-72.766670227 39.0000000000001,-72.7499999999999 39.0000000000001,-72.733329773 39.0000000000001,-72.7166671749999 39.0000000000001,-72.699996948 39.0000000000001,-72.683334351 39.0000000000001,-72.666664124 39.0000000000001,-72.6500015249999 39.0000000000001,-72.633331298 39.0000000000001,-72.616668701 39.0000000000001,-72.599998474 39.0000000000001,-72.566665649 39.0000000000001,-72.550003052 39.0000000000001,-72.5333328249999 39.0000000000001,-72.516670227 39.0000000000001,-72.4999999999999 39.0000000000001,-72.483329773 39.0000000000001,-72.4666671749999 39.0000000000001,-72.449996948 39.0000000000001,-72.4333343499999 39.0000000000001,-72.416664123 39.0000000000001,-72.400001526 39.0000000000001,-72.383331299 39.0000000000001,-72.366668701 39.0000000000001,-72.349998474 39.0000000000001,-72.333335876 39.0000000000001,-72.316665649 39.0000000000001,-72.300003052 39.0000000000001,-72.2833328249999 39.0000000000001,-72.266670227 39.0000000000001,-72.2499999999999 39.0000000000001,-72.233329773 39.0000000000001,-72.2166671749999 39.0000000000001,-72.199996948 39.0000000000001,-72.1833343499999 39.0000000000001,-72.166664123 39.0000000000001,-72.150001526 39.0000000000001,-72.133331299 39.0000000000001,-72.116668701 39.0000000000001,-72.099998474 39.0000000000001,-72.083335876 39.0000000000001,-72.066665649 39.0000000000001,-72.050003051 39.0000000000001,-72.033332824 39.0000000000001,-72.016670227 39.0000000000001,-71.9999999999999 39.0000000000001,-71.983329773 39.0000000000001,-71.9666671749999 39.0000000000001,-71.949996948 39.0000000000001,-71.933334351 39.0000000000001,-71.916664124 39.0000000000001,-71.900001526 39.0000000000001,-71.883331299 39.0000000000001,-71.866668701 39.0000000000001,-71.849998474 39.0000000000001,-71.833335876 39.0000000000001,-71.816665649 39.0000000000001,-71.800003052 39.0000000000001,-71.7833328249999 39.0000000000001,-71.766670227 39.0000000000001,-71.7499999999999 39.0000000000001,-71.666664124 39.0000000000001,-71.6500015249999 39.0000000000001,-71.633331298 39.0000000000001,-71.616668701 39.0000000000001,-71.599998474 39.0000000000001,-71.583335876 39.0000000000001,-71.566665649 39.0000000000001,-71.550003052 39.0000000000001,-71.5333328249999 39.0000000000001,-71.516670227 39.0000000000001,-71.4999999999999 39.0000000000001,-71.483329773 39.0000000000001,-71.4666671749999 39.0000000000001,-71.449996948 39.0000000000001,-71.4333343499999 39.0000000000001,-71.416664123 39.0000000000001,-71.400001526 39.0000000000001,-71.383331299 39.0000000000001,-71.366668701 39.0000000000001,-71.349998474 39.0000000000001,-71.333335876 39.0000000000001,-71.316665649 39.0000000000001,-71.300003052 39.0000000000001,-71.2833328249999 39.0000000000001,-71.266670227 39.0000000000001,-71.2499999999999 39.0000000000001,-71.233329773 39.0000000000001,-71.2166671749999 39.0000000000001,-71.199996948 39.0000000000001,-71.183334351 39.0000000000001,-71.166664123 39.0000000000001,-71.150001526 39.0000000000001,-71.133331299 39.0000000000001,-71.116668701 39.0000000000001,-71.099998474 39.0000000000001,-71.083335876 39.0000000000001,-71.066665649 39.0000000000001,-71.050003051 39.0000000000001,-71.033332824 39.0000000000001,-71.016670227 39.0000000000001,-70.9999999999999 39.0000000000001,-70.983329773 39.0000000000001,-70.9666671749999 39.0000000000001,-70.949996948 39.0000000000001,-70.933334351 39.0000000000001,-70.916664124 39.0000000000001,-70.900001526 39.0000000000001,-70.883331299 39.0000000000001,-70.866668701 39.0000000000001,-70.849998474 39.0000000000001,-70.833335876 39.0000000000001,-70.816665649 39.0000000000001,-70.800003052 39.0000000000001,-70.7833328249999 39.0000000000001,-70.766670227 39.0000000000001,-70.7499999999999 39.0000000000001,-70.733329773 39.0000000000001,-70.7166671749999 39.0000000000001,-70.699996948 39.0000000000001,-70.683334351 39.0000000000001,-70.666664124 39.0000000000001,-70.6500015249999 39.0000000000001,-70.633331298 39.0000000000001,-70.616668701 39.0000000000001,-70.599998474 39.0000000000001,-70.583335876 39.0000000000001,-70.566665649 39.0000000000001,-70.550003052 39.0000000000001,-70.5333328249999 39.0000000000001,-70.516670227 39.0000000000001,-70.4999999999999 39.0000000000001,-70.483329773 39.0000000000001,-70.4666671749999 39.0000000000001,-70.449996948 39.0000000000001,-70.4333343499999 39.0000000000001,-70.416664123 39.0000000000001,-70.400001526 39.0000000000001,-70.383331299 39.0000000000001,-70.366668701 39.0000000000001,-70.349998474 39.0000000000001,-70.333335876 39.0000000000001,-70.316665649 39.0000000000001,-70.300003052 39.0000000000001,-70.2833328249999 39.0000000000001,-70.266670227 39.0000000000001,-70.2499999999999 39.0000000000001,-70.233329773 39.0000000000001,-70.2166671749999 39.0000000000001,-70.199996948 39.0000000000001,-70.183334351 39.0000000000001,-70.166664124 39.0000000000001,-70.150001526 39.0000000000001,-70.133331299 39.0000000000001,-70.116668701 39.0000000000001,-70.099998474 39.0000000000001,-70.083335876 39.0000000000001,-70.066665649 39.0000000000001,-70.050003051 39.0000000000001,-70.033332824 39.0000000000001,-70.016670227 39.0000000000001,-69.9999999999999 39.0000000000001,-69.9999999999999 38.9833335880001,-69.9999999999999 38.9666671750001,-69.9999999999999 38.950000763,-69.9999999999999 38.933334351,-69.9999999999999 38.916667938,-69.9999999999999 38.900001526,-69.9999999999999 38.883335114,-69.9999999999999 38.8666648860001,-69.9999999999999 38.8499984740001,-69.9999999999999 38.8333320620001,-69.9999999999999 38.8166656490001,-69.9999999999999 38.7999992370001,-69.9999999999999 38.7833328250001,-69.9999999999999 38.7666664120001,-69.9999999999999 38.7500000000001,-69.9999999999999 38.7333335880001,-69.9999999999999 38.7166671750001,-69.9999999999999 38.700000763,-69.9999999999999 38.683334351,-69.9999999999999 38.666667938,-69.9999999999999 38.650001526,-69.9999999999999 38.633335114,-69.9999999999999 38.6166648860001,-69.9999999999999 38.5999984740001,-69.9999999999999 38.5833320620001,-69.9999999999999 38.5666656490001,-69.9999999999999 38.5499992370001,-69.9999999999999 38.5333328250001,-69.9999999999999 38.5166664120001,-69.9999999999999 38.5000000000001,-69.9999999999999 38.4833335880001,-69.9999999999999 38.4666671750001,-69.9999999999999 38.450000763,-69.9999999999999 38.433334351,-69.9999999999999 38.416667938,-69.9999999999999 38.400001526,-69.9999999999999 38.383335114,-69.9999999999999 38.3666648860001,-69.9999999999999 38.3499984740001,-69.9999999999999 38.3333320620001,-69.9999999999999 38.3166656490001,-69.9999999999999 38.2999992370001,-69.9999999999999 38.2833328250001,-69.9999999999999 38.2666664120001,-69.9999999999999 38.2500000000001,-69.9999999999999 38.2333335880001,-69.9999999999999 38.2166671750001,-69.9999999999999 38.200000763,-69.9999999999999 38.183334351,-69.9999999999999 38.166667938,-69.9999999999999 38.150001526,-69.9999999999999 38.133335114,-69.9999999999999 38.1166648860001,-69.9999999999999 38.0999984740001,-69.9999999999999 38.0833320620001,-69.9999999999999 38.0666656490001,-69.9999999999999 38.0499992370001,-69.9999999999999 38.0333328250001,-69.9999999999999 38.0166664120001,-69.9999999999999 38.0000000000001,-69.9999999999999 37.9833335880001,-69.9999999999999 37.9666671750001,-69.9999999999999 37.950000763,-69.9999999999999 37.933334351,-69.9999999999999 37.916667938,-69.9999999999999 37.900001526,-69.9999999999999 37.883335114,-69.9999999999999 37.8666648860001,-69.9999999999999 37.8499984740001,-69.9999999999999 37.8333320620001,-69.9999999999999 37.8166656490001,-69.9999999999999 37.7999992370001,-69.9999999999999 37.7833328250001,-69.9999999999999 37.7666664120001,-69.9999999999999 37.7500000000001,-69.9999999999999 37.7333335880001,-69.9999999999999 37.7166671750001,-69.9999999999999 37.700000763,-69.9999999999999 37.683334351,-69.9999999999999 37.666667938,-69.9999999999999 37.650001526,-69.9999999999999 37.633335114,-69.9999999999999 37.6166648860001,-69.9999999999999 37.5999984740001,-69.9999999999999 37.5833320620001,-69.9999999999999 37.5666656490001,-69.9999999999999 37.5499992370001,-69.9999999999999 37.5333328250001,-69.9999999999999 37.5166664120001,-69.9999999999999 37.5000000000001,-69.9999999999999 37.4833335880001,-69.9999999999999 37.4666671750001,-69.9999999999999 37.450000763,-69.9999999999999 37.433334351,-69.9999999999999 37.416667938,-69.9999999999999 37.400001526,-69.9999999999999 37.383335114,-69.9999999999999 37.3666648860001,-69.9999999999999 37.3499984740001,-69.9999999999999 37.3333320620001,-69.9999999999999 37.3166656490001,-69.9999999999999 37.2999992370001,-69.9999999999999 37.2833328250001,-69.9999999999999 37.2666664120001,-69.9999999999999 37.2500000000001,-69.9999999999999 37.2333335880001,-69.9999999999999 37.2166671750001,-69.9999999999999 37.200000763,-69.9999999999999 37.183334351,-69.9999999999999 37.166667938,-69.9999999999999 37.150001526,-69.9999999999999 37.133335114,-69.9999999999999 37.1166648860001,-69.9999999999999 37.0999984740001,-69.9999999999999 37.0833320620001,-69.9999999999999 37.0666656490001,-69.9999999999999 37.0499992370001,-69.9999999999999 37.0333328250001,-69.9999999999999 37.0166664120001,-69.9999999999999 37.0000000000001,-70.016670227 37.0000000000001,-70.0333328249999 37.0000000000001,-70.050003052 37.0000000000001,-70.066665649 37.0000000000001,-70.083335876 37.0000000000001,-70.099998474 37.0000000000001,-70.116668701 37.0000000000001,-70.133331299 37.0000000000001,-70.150001526 37.0000000000001,-70.166664124 37.0000000000001,-70.183334351 37.0000000000001,-70.199996948 37.0000000000001,-70.2166671749999 37.0000000000001,-70.233329773 37.0000000000001,-70.2499999999999 37.0000000000001,-70.266670227 37.0000000000001,-70.2833328249999 37.0000000000001,-70.300003052 37.0000000000001,-70.316665649 37.0000000000001,-70.333335876 37.0000000000001,-70.349998474 37.0000000000001,-70.366668701 37.0000000000001,-70.383331299 37.0000000000001,-70.400001526 37.0000000000001,-70.416664124 37.0000000000001,-70.433334351 37.0000000000001,-70.449996948 37.0000000000001,-70.4666671749999 37.0000000000001,-70.483329773 37.0000000000001,-70.4999999999999 37.0000000000001,-70.516670227 37.0000000000001,-70.5333328249999 37.0000000000001,-70.550003052 37.0000000000001,-70.566665649 37.0000000000001,-70.599998474 37.0000000000001,-70.616668701 37.0000000000001,-70.633331299 37.0000000000001,-70.650001526 37.0000000000001,-70.666664124 37.0000000000001,-70.683334351 37.0000000000001,-70.699996948 37.0000000000001,-70.7166671749999 37.0000000000001,-70.733329773 37.0000000000001,-70.7499999999999 37.0000000000001,-70.766670227 37.0000000000001,-70.7833328249999 37.0000000000001,-70.800003052 37.0000000000001,-70.8100051879999 37.0000000000001,-70.816665649 37.0000000000001,-70.833335876 37.0000000000001,-70.849998474 37.0000000000001,-70.866668701 37.0000000000001,-70.883331299 37.0000000000001,-70.900001526 37.0000000000001,-70.916664124 37.0000000000001,-70.933334351 37.0000000000001,-70.949996948 37.0000000000001,-70.9666671749999 37.0000000000001,-70.983329773 37.0000000000001,-70.9999999999999 37.0000000000001,-71.016670227 37.0000000000001,-71.0333328249999 37.0000000000001,-71.050003052 37.0000000000001,-71.066665649 37.0000000000001,-71.083335876 37.0000000000001,-71.099998474 37.0000000000001,-71.116668701 37.0000000000001,-71.133331299 37.0000000000001,-71.150001526 37.0000000000001,-71.166664124 37.0000000000001,-71.183334351 37.0000000000001,-71.199996948 37.0000000000001,-71.2166671749999 37.0000000000001,-71.233329773 37.0000000000001,-71.2499999999999 37.0000000000001,-71.266670227 37.0000000000001,-71.2833328249999 37.0000000000001,-71.300003052 37.0000000000001,-71.316665649 37.0000000000001,-71.333335876 37.0000000000001,-71.349998474 37.0000000000001,-71.366668701 37.0000000000001,-71.383331299 37.0000000000001,-71.400001526 37.0000000000001,-71.416664124 37.0000000000001,-71.433334351 37.0000000000001,-71.449996948 37.0000000000001,-71.4666671749999 37.0000000000001,-71.483329773 37.0000000000001,-71.4999999999999 37.0000000000001,-71.516670227 37.0000000000001,-71.5333328249999 37.0000000000001,-71.550003052 37.0000000000001,-71.566665649 37.0000000000001,-71.599998474 37.0000000000001,-71.61000061 37.0000000000001,-71.616668701 37.0000000000001,-71.633331299 37.0000000000001,-71.650001526 37.0000000000001,-71.666664124 37.0000000000001,-71.683334351 37.0000000000001,-71.699996948 37.0000000000001,-71.7166671749999 37.0000000000001,-71.733329773 37.0000000000001,-71.7499999999999 37.0000000000001,-71.766670227 37.0000000000001,-71.7833328249999 37.0000000000001,-71.800003052 37.0000000000001,-71.816665649 37.0000000000001,-71.833335876 37.0000000000001,-71.849998474 37.0000000000001,-71.866668701 37.0000000000001,-71.883331299 37.0000000000001,-71.900001526 37.0000000000001,-71.916664124 37.0000000000001,-71.933334351 37.0000000000001,-71.949996948 37.0000000000001,-71.9666671749999 37.0000000000001,-71.983329773 37.0000000000001,-71.9999999999999 37.0000000000001,-72.016670227 37.0000000000001,-72.0333328249999 37.0000000000001,-72.050003052 37.0000000000001,-72.066665649 37.0000000000001,-72.083335876 37.0000000000001,-72.099998474 37.0000000000001,-72.116668701 37.0000000000001,-72.133331299 37.0000000000001,-72.150001526 37.0000000000001,-72.166664124 37.0000000000001,-72.183334351 37.0000000000001,-72.199996948 37.0000000000001,-72.2166671749999 37.0000000000001,-72.233329773 37.0000000000001,-72.2499999999999 37.0000000000001,-72.266670227 37.0000000000001,-72.2833328249999 37.0000000000001,-72.300003052 37.0000000000001,-72.316665649 37.0000000000001,-72.333335876 37.0000000000001,-72.349998474 37.0000000000001,-72.366668701 37.0000000000001,-72.383331299 37.0000000000001,-72.400001526 37.0000000000001,-72.410003662 37.0000000000001,-72.416664124 37.0000000000001,-72.433334351 37.0000000000001,-72.449996948 37.0000000000001,-72.4666671749999 37.0000000000001,-72.483329773 37.0000000000001,-72.4999999999999 37.0000000000001,-72.516670227 37.0000000000001,-72.5333328249999 37.0000000000001,-72.550003052 37.0000000000001,-72.566665649 37.0000000000001,-72.599998474 37.0000000000001,-72.616668701 37.0000000000001,-72.633331299 37.0000000000001,-72.650001526 37.0000000000001,-72.666664124 37.0000000000001,-72.683334351 37.0000000000001,-72.699996948 37.0000000000001,-72.7166671749999 37.0000000000001,-72.733329773 37.0000000000001,-72.7499999999999 37.0000000000001,-72.766670227 37.0000000000001,-72.7833328249999 37.0000000000001,-72.800003052 37.0000000000001,-72.816665649 37.0000000000001,-72.833335876 37.0000000000001,-72.849998474 37.0000000000001,-72.866668701 37.0000000000001,-72.883331299 37.0000000000001,-72.900001526 37.0000000000001,-72.916664124 37.0000000000001,-72.933334351 37.0000000000001,-72.949996948 37.0000000000001,-72.9666671749999 37.0000000000001,-72.983329773 37.0000000000001,-72.9999999999999 37.0000000000001,-73.016670227 37.0000000000001,-73.0333328249999 37.0000000000001,-73.050003052 37.0000000000001,-73.066665649 37.0000000000001,-73.083335876 37.0000000000001,-73.099998474 37.0000000000001,-73.116668701 37.0000000000001,-73.133331299 37.0000000000001,-73.150001526 37.0000000000001,-73.166664124 37.0000000000001,-73.183334351 37.0000000000001,-73.199996948 37.0000000000001,-73.210006714 37.0000000000001,-73.2166671749999 37.0000000000001,-73.233329773 37.0000000000001,-73.2499999999999 37.0000000000001,-73.266670227 37.0000000000001,-73.2833328249999 37.0000000000001,-73.300003052 37.0000000000001,-73.316665649 37.0000000000001,-73.333335876 37.0000000000001,-73.349998474 37.0000000000001,-73.366668701 37.0000000000001,-73.383331299 37.0000000000001,-73.400001526 37.0000000000001,-73.416664124 37.0000000000001,-73.433334351 37.0000000000001,-73.449996948 37.0000000000001,-73.4666671749999 37.0000000000001,-73.483329773 37.0000000000001,-73.4999999999999 37.0000000000001,-73.516670227 37.0000000000001,-73.5333328249999 37.0000000000001,-73.550003052 37.0000000000001,-73.566665649 37.0000000000001,-73.599998474 37.0000000000001,-73.616668701 37.0000000000001,-73.633331299 37.0000000000001,-73.650001526 37.0000000000001,-73.666664124 37.0000000000001,-73.683334351 37.0000000000001,-73.699996948 37.0000000000001,-73.7166671749999 37.0000000000001,-73.733329773 37.0000000000001,-73.7499999999999 37.0000000000001,-73.766670227 37.0000000000001,-73.7833328249999 37.0000000000001,-73.800003052 37.0000000000001,-73.816665649 37.0000000000001,-73.833335876 37.0000000000001,-73.849998474 37.0000000000001,-73.866668701 37.0000000000001,-73.883331299 37.0000000000001,-73.900001526 37.0000000000001,-73.916664124 37.0000000000001,-73.933334351 37.0000000000001,-73.949996948 37.0000000000001,-73.9666671749999 37.0000000000001,-73.983329773 37.0000000000001,-73.9999999999999 37.0000000000001,-74.010002136 37.0000000000001,-74.016670227 37.0000000000001,-74.0333328249999 37.0000000000001,-74.050003052 37.0000000000001,-74.066665649 37.0000000000001,-74.083335876 37.0000000000001,-74.099998474 37.0000000000001,-74.116668701 37.0000000000001,-74.133331299 37.0000000000001,-74.150001526 37.0000000000001,-74.166664124 37.0000000000001,-74.183334351 37.0000000000001,-74.199996948 37.0000000000001,-74.2166671749999 37.0000000000001,-74.233329773 37.0000000000001,-74.2499999999999 37.0000000000001,-74.266670227 37.0000000000001,-74.2833328249999 37.0000000000001,-74.300003052 37.0000000000001,-74.316665649 37.0000000000001,-74.333335876 37.0000000000001,-74.349998474 37.0000000000001,-74.366668701 37.0000000000001,-74.383331299 37.0000000000001,-74.400001526 37.0000000000001,-74.416664124 37.0000000000001,-74.433334351 37.0000000000001,-74.449996948 37.0000000000001,-74.4666671749999 37.0000000000001,-74.483329773 37.0000000000001,-74.4999999999999 37.0000000000001,-74.516670227 37.0000000000001,-74.5333328249999 37.0000000000001,-74.550003052 37.0000000000001,-74.566665649 37.0000000000001,-74.599998474 37.0000000000001,-74.616668701 37.0000000000001,-74.633331299 37.0000000000001,-74.650001526 37.0000000000001,-74.666664124 37.0000000000001,-74.683334351 37.0000000000001,-74.699996948 37.0000000000001,-74.7166671749999 37.0000000000001,-74.733329773 37.0000000000001,-74.7499999999999 37.0000000000001,-74.766670227 37.0000000000001,-74.7833328249999 37.0000000000001,-74.800003052 37.0000000000001,-74.8100051879999 37.0000000000001,-74.816665649 37.0000000000001,-74.833335876 37.0000000000001,-74.849998474 37.0000000000001,-74.866668701 37.0000000000001,-74.883331299 37.0000000000001,-74.900001526 37.0000000000001,-74.916664124 37.0000000000001,-74.933334351 37.0000000000001,-74.949996948 37.0000000000001,-74.9666671749999 37.0000000000001,-74.983329773 37.0000000000001,-74.9999999999999 37.0000000000001,-75.016670227 37.0000000000001,-75.0333328249999 37.0000000000001,-75.050003052 37.0000000000001,-75.066665649 37.0000000000001,-75.083335876 37.0000000000001,-75.099998474 37.0000000000001,-75.116668701 37.0000000000001,-75.133331299 37.0000000000001,-75.150001526 37.0000000000001,-75.166664124 37.0000000000001,-75.183334351 37.0000000000001,-75.199996948 37.0000000000001,-75.2166671749999 37.0000000000001,-75.233329773 37.0000000000001,-75.2499999999999 37.0000000000001,-75.266670227 37.0000000000001,-75.2833328249999 37.0000000000001,-75.300003052 37.0000000000001,-75.316665649 37.0000000000001,-75.333335876 37.0000000000001,-75.349998474 37.0000000000001,-75.366668701 37.0000000000001,-75.383331299 37.0000000000001,-75.400001526 37.0000000000001,-75.416664124 37.0000000000001,-75.433334351 37.0000000000001,-75.449996948 37.0000000000001,-75.4666671749999 37.0000000000001,-75.483329773 37.0000000000001,-75.4999999999999 37.0000000000001,-75.516670227 37.0000000000001,-75.5333328249999 37.0000000000001,-75.550003052 37.0000000000001,-75.566665649 37.0000000000001,-75.599998474 37.0000000000001,-75.61000061 37.0000000000001,-75.616668701 37.0000000000001,-75.633331299 37.0000000000001,-75.650001526 37.0000000000001,-75.666664124 37.0000000000001,-75.683334351 37.0000000000001,-75.699996948 37.0000000000001,-75.7166671749999 37.0000000000001,-75.733329773 37.0000000000001,-75.7499999999999 37.0000000000001,-75.766670227 37.0000000000001,-75.7833328249999 37.0000000000001,-75.800003052 37.0000000000001,-75.816665649 37.0000000000001,-75.833335876 37.0000000000001,-75.849998474 37.0000000000001,-75.866668701 37.0000000000001,-75.883331299 37.0000000000001,-75.900001526 37.0000000000001,-75.916664124 37.0000000000001,-75.933334351 37.0000000000001,-75.949996948 37.0000000000001,-75.9666671749999 37.0000000000001,-75.983329773 37.0000000000001,-75.9999999999999 37.0000000000001,-76.410003662 37.0000000000001,-76.6200027469999 37.270000458,-77.1200027469999 37.5400009160001,-78.9999999999999 37.0000000000001,-78.574020386 37.9584579470001,-78.480691307 38.16844673,-77.6406710099999 40.0584959120001,-77.59928894 40.151607513,-77.517984 40.3345421980001,-76.952550123 40.733671993,-75.7914846749999 41.296612817,-74.917218679 41.542500128,-74.891901565 40.1792449770001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.6', '', '21.6', '21.6.B', '', '21.6B', '', '', '', '', '', '', '', '6B', '3', '21.6.B', '21.6B', 'Y'),('SRID=4326;MULTIPOLYGON(((-64.9999999999999 35.0000000000001,-65.016670227 35.0000000000001,-65.0333328249999 35.0000000000001,-65.050003052 35.0000000000001,-65.066665649 35.0000000000001,-65.083335876 35.0000000000001,-65.099998474 35.0000000000001,-65.116668701 35.0000000000001,-65.133331299 35.0000000000001,-65.150001526 35.0000000000001,-65.166664124 35.0000000000001,-65.183334351 35.0000000000001,-65.199996948 35.0000000000001,-65.2166671749999 35.0000000000001,-65.233329773 35.0000000000001,-65.2499999999999 35.0000000000001,-65.266670227 35.0000000000001,-65.2833328249999 35.0000000000001,-65.300003052 35.0000000000001,-65.316665649 35.0000000000001,-65.333335876 35.0000000000001,-65.349998474 35.0000000000001,-65.366668701 35.0000000000001,-65.383331299 35.0000000000001,-65.400001526 35.0000000000001,-65.416664124 35.0000000000001,-65.433334351 35.0000000000001,-65.449996948 35.0000000000001,-65.4666671749999 35.0000000000001,-65.483329773 35.0000000000001,-65.4999999999999 35.0000000000001,-65.516670227 35.0000000000001,-65.5333328249999 35.0000000000001,-65.550003052 35.0000000000001,-65.566665649 35.0000000000001,-65.583335876 35.0000000000001,-65.599998474 35.0000000000001,-65.616668701 35.0000000000001,-65.633331299 35.0000000000001,-65.650001526 35.0000000000001,-65.666664124 35.0000000000001,-65.683334351 35.0000000000001,-65.699996948 35.0000000000001,-65.7166671749999 35.0000000000001,-65.733329773 35.0000000000001,-65.7499999999999 35.0000000000001,-65.766670227 35.0000000000001,-65.7833328249999 35.0000000000001,-65.800003052 35.0000000000001,-65.816665649 35.0000000000001,-65.833335876 35.0000000000001,-65.849998474 35.0000000000001,-65.866668701 35.0000000000001,-65.883331299 35.0000000000001,-65.900001526 35.0000000000001,-65.916664124 35.0000000000001,-65.933334351 35.0000000000001,-65.949996948 35.0000000000001,-65.9666671749999 35.0000000000001,-65.983329773 35.0000000000001,-65.9999999999999 35.0000000000001,-66.016670227 35.0000000000001,-66.0333328249999 35.0000000000001,-66.050003052 35.0000000000001,-66.066665649 35.0000000000001,-66.083335876 35.0000000000001,-66.099998474 35.0000000000001,-66.116668701 35.0000000000001,-66.133331299 35.0000000000001,-66.150001526 35.0000000000001,-66.166664124 35.0000000000001,-66.183334351 35.0000000000001,-66.199996948 35.0000000000001,-66.2166671749999 35.0000000000001,-66.233329773 35.0000000000001,-66.2499999999999 35.0000000000001,-66.266670227 35.0000000000001,-66.2833328249999 35.0000000000001,-66.300003052 35.0000000000001,-66.316665649 35.0000000000001,-66.333335876 35.0000000000001,-66.349998474 35.0000000000001,-66.366668701 35.0000000000001,-66.383331299 35.0000000000001,-66.400001526 35.0000000000001,-66.416664124 35.0000000000001,-66.433334351 35.0000000000001,-66.449996948 35.0000000000001,-66.4666671749999 35.0000000000001,-66.483329773 35.0000000000001,-66.4999999999999 35.0000000000001,-66.516670227 35.0000000000001,-66.5333328249999 35.0000000000001,-66.550003052 35.0000000000001,-66.566665649 35.0000000000001,-66.583335876 35.0000000000001,-66.599998474 35.0000000000001,-66.616668701 35.0000000000001,-66.633331299 35.0000000000001,-66.650001526 35.0000000000001,-66.666664124 35.0000000000001,-66.683334351 35.0000000000001,-66.699996948 35.0000000000001,-66.7166671749999 35.0000000000001,-66.733329773 35.0000000000001,-66.7499999999999 35.0000000000001,-66.766670227 35.0000000000001,-66.7833328249999 35.0000000000001,-66.800003052 35.0000000000001,-66.816665649 35.0000000000001,-66.833335876 35.0000000000001,-66.849998474 35.0000000000001,-66.866668701 35.0000000000001,-66.883331299 35.0000000000001,-66.900001526 35.0000000000001,-66.916664124 35.0000000000001,-66.933334351 35.0000000000001,-66.949996948 35.0000000000001,-66.9666671749999 35.0000000000001,-66.983329773 35.0000000000001,-66.9999999999999 35.0000000000001,-67.016670227 35.0000000000001,-67.0333328249999 35.0000000000001,-67.050003052 35.0000000000001,-67.066665649 35.0000000000001,-67.083335876 35.0000000000001,-67.099998474 35.0000000000001,-67.116668701 35.0000000000001,-67.133331299 35.0000000000001,-67.150001526 35.0000000000001,-67.166664124 35.0000000000001,-67.183334351 35.0000000000001,-67.199996948 35.0000000000001,-67.2166671749999 35.0000000000001,-67.233329773 35.0000000000001,-67.2499999999999 35.0000000000001,-67.266670227 35.0000000000001,-67.2833328249999 35.0000000000001,-67.300003052 35.0000000000001,-67.316665649 35.0000000000001,-67.333335876 35.0000000000001,-67.349998474 35.0000000000001,-67.366668701 35.0000000000001,-67.383331299 35.0000000000001,-67.400001526 35.0000000000001,-67.416664124 35.0000000000001,-67.433334351 35.0000000000001,-67.449996948 35.0000000000001,-67.4666671749999 35.0000000000001,-67.483329773 35.0000000000001,-67.4999999999999 35.0000000000001,-67.516670227 35.0000000000001,-67.5333328249999 35.0000000000001,-67.550003052 35.0000000000001,-67.566665649 35.0000000000001,-67.583335876 35.0000000000001,-67.599998474 35.0000000000001,-67.616668701 35.0000000000001,-67.633331299 35.0000000000001,-67.650001526 35.0000000000001,-67.666664124 35.0000000000001,-67.683334351 35.0000000000001,-67.699996948 35.0000000000001,-67.7166671749999 35.0000000000001,-67.733329773 35.0000000000001,-67.7499999999999 35.0000000000001,-67.766670227 35.0000000000001,-67.7833328249999 35.0000000000001,-67.800003052 35.0000000000001,-67.816665649 35.0000000000001,-67.833335876 35.0000000000001,-67.849998474 35.0000000000001,-67.866668701 35.0000000000001,-67.883331299 35.0000000000001,-67.900001526 35.0000000000001,-67.916664124 35.0000000000001,-67.933334351 35.0000000000001,-67.949996948 35.0000000000001,-67.9666671749999 35.0000000000001,-67.983329773 35.0000000000001,-67.9999999999999 35.0000000000001,-68.016670227 35.0000000000001,-68.0333328249999 35.0000000000001,-68.050003052 35.0000000000001,-68.066665649 35.0000000000001,-68.083335876 35.0000000000001,-68.099998474 35.0000000000001,-68.116668701 35.0000000000001,-68.133331299 35.0000000000001,-68.150001526 35.0000000000001,-68.166664124 35.0000000000001,-68.183334351 35.0000000000001,-68.199996948 35.0000000000001,-68.2166671749999 35.0000000000001,-68.233329773 35.0000000000001,-68.2499999999999 35.0000000000001,-68.266670227 35.0000000000001,-68.2833328249999 35.0000000000001,-68.300003052 35.0000000000001,-68.316665649 35.0000000000001,-68.333335876 35.0000000000001,-68.349998474 35.0000000000001,-68.366668701 35.0000000000001,-68.383331299 35.0000000000001,-68.400001526 35.0000000000001,-68.416664124 35.0000000000001,-68.433334351 35.0000000000001,-68.449996948 35.0000000000001,-68.4666671749999 35.0000000000001,-68.483329773 35.0000000000001,-68.4999999999999 35.0000000000001,-68.516670227 35.0000000000001,-68.5333328249999 35.0000000000001,-68.550003052 35.0000000000001,-68.566665649 35.0000000000001,-68.583335876 35.0000000000001,-68.599998474 35.0000000000001,-68.616668701 35.0000000000001,-68.633331299 35.0000000000001,-68.650001526 35.0000000000001,-68.666664124 35.0000000000001,-68.683334351 35.0000000000001,-68.699996948 35.0000000000001,-68.7166671749999 35.0000000000001,-68.733329773 35.0000000000001,-68.7499999999999 35.0000000000001,-68.766670227 35.0000000000001,-68.7833328249999 35.0000000000001,-68.800003052 35.0000000000001,-68.816665649 35.0000000000001,-68.833335876 35.0000000000001,-68.849998474 35.0000000000001,-68.866668701 35.0000000000001,-68.883331299 35.0000000000001,-68.900001526 35.0000000000001,-68.916664124 35.0000000000001,-68.933334351 35.0000000000001,-68.949996948 35.0000000000001,-68.9666671749999 35.0000000000001,-68.983329773 35.0000000000001,-68.9999999999999 35.0000000000001,-69.016670227 35.0000000000001,-69.0333328249999 35.0000000000001,-69.050003052 35.0000000000001,-69.066665649 35.0000000000001,-69.083335876 35.0000000000001,-69.099998474 35.0000000000001,-69.116668701 35.0000000000001,-69.133331299 35.0000000000001,-69.150001526 35.0000000000001,-69.166664124 35.0000000000001,-69.183334351 35.0000000000001,-69.199996948 35.0000000000001,-69.2166671749999 35.0000000000001,-69.233329773 35.0000000000001,-69.2499999999999 35.0000000000001,-69.266670227 35.0000000000001,-69.2833328249999 35.0000000000001,-69.300003052 35.0000000000001,-69.316665649 35.0000000000001,-69.333335876 35.0000000000001,-69.349998474 35.0000000000001,-69.366668701 35.0000000000001,-69.383331299 35.0000000000001,-69.400001526 35.0000000000001,-69.416664124 35.0000000000001,-69.433334351 35.0000000000001,-69.449996948 35.0000000000001,-69.4666671749999 35.0000000000001,-69.483329773 35.0000000000001,-69.4999999999999 35.0000000000001,-69.516670227 35.0000000000001,-69.5333328249999 35.0000000000001,-69.550003052 35.0000000000001,-69.566665649 35.0000000000001,-69.583335876 35.0000000000001,-69.599998474 35.0000000000001,-69.616668701 35.0000000000001,-69.633331299 35.0000000000001,-69.650001526 35.0000000000001,-69.666664124 35.0000000000001,-69.683334351 35.0000000000001,-69.699996948 35.0000000000001,-69.7166671749999 35.0000000000001,-69.733329773 35.0000000000001,-69.7499999999999 35.0000000000001,-69.766670227 35.0000000000001,-69.7833328249999 35.0000000000001,-69.800003052 35.0000000000001,-69.816665649 35.0000000000001,-69.833335876 35.0000000000001,-69.849998474 35.0000000000001,-69.866668701 35.0000000000001,-69.883331299 35.0000000000001,-69.900001526 35.0000000000001,-69.916664124 35.0000000000001,-69.933334351 35.0000000000001,-69.949996948 35.0000000000001,-69.9666671749999 35.0000000000001,-69.983329773 35.0000000000001,-69.9999999999999 35.0000000000001,-69.9999999999999 35.0166664120001,-69.9999999999999 35.0333328250001,-69.9999999999999 35.0499992370001,-69.9999999999999 35.0666656490001,-69.9999999999999 35.0833320620001,-69.9999999999999 35.0999984740001,-69.9999999999999 35.116664886,-69.9999999999999 35.133335114,-69.9999999999999 35.150001526,-69.9999999999999 35.166667938,-69.9999999999999 35.183334351,-69.9999999999999 35.200000763,-69.9999999999999 35.2166671750001,-69.9999999999999 35.2333335880001,-69.9999999999999 35.2500000000001,-69.9999999999999 35.2666664120001,-69.9999999999999 35.2833328250001,-69.9999999999999 35.2999992370001,-69.9999999999999 35.3166656490001,-69.9999999999999 35.3333320620001,-69.9999999999999 35.3499984740001,-69.9999999999999 35.366664886,-69.9999999999999 35.383335114,-69.9999999999999 35.400001526,-69.9999999999999 35.416667938,-69.9999999999999 35.433334351,-69.9999999999999 35.450000763,-69.9999999999999 35.4666671750001,-69.9999999999999 35.4833335880001,-69.9999999999999 35.5000000000001,-69.9999999999999 35.5166664120001,-69.9999999999999 35.5333328250001,-69.9999999999999 35.5499992370001,-69.9999999999999 35.5666656490001,-69.9999999999999 35.5833320620001,-69.9999999999999 35.5999984740001,-69.9999999999999 35.616664886,-69.9999999999999 35.633335114,-69.9999999999999 35.650001526,-69.9999999999999 35.666667938,-69.9999999999999 35.683334351,-69.9999999999999 35.700000763,-69.9999999999999 35.7166671750001,-69.9999999999999 35.7333335880001,-69.9999999999999 35.7500000000001,-69.9999999999999 35.7666664120001,-69.9999999999999 35.7833328250001,-69.9999999999999 35.7999992370001,-69.9999999999999 35.8166656490001,-69.9999999999999 35.8333320620001,-69.9999999999999 35.8499984740001,-69.9999999999999 35.866664886,-69.9999999999999 35.883335114,-69.9999999999999 35.900001526,-69.9999999999999 35.916667938,-69.9999999999999 35.933334351,-69.9999999999999 35.950000763,-69.9999999999999 35.9666671750001,-69.9999999999999 35.9833335880001,-69.9999999999999 36.0000000000001,-69.9999999999999 36.0166664120001,-69.9999999999999 36.0333328250001,-69.9999999999999 36.0499992370001,-69.9999999999999 36.0666656490001,-69.9999999999999 36.0833320620001,-69.9999999999999 36.0999984740001,-69.9999999999999 36.116664886,-69.9999999999999 36.133335114,-69.9999999999999 36.150001526,-69.9999999999999 36.166667938,-69.9999999999999 36.183334351,-69.9999999999999 36.200000763,-69.9999999999999 36.2166671750001,-69.9999999999999 36.2333335880001,-69.9999999999999 36.2500000000001,-69.9999999999999 36.2666664120001,-69.9999999999999 36.2833328250001,-69.9999999999999 36.2999992370001,-69.9999999999999 36.3166656490001,-69.9999999999999 36.3333320620001,-69.9999999999999 36.3499984740001,-69.9999999999999 36.366664886,-69.9999999999999 36.383335114,-69.9999999999999 36.400001526,-69.9999999999999 36.416667938,-69.9999999999999 36.433334351,-69.9999999999999 36.450000763,-69.9999999999999 36.4666671750001,-69.9999999999999 36.4833335880001,-69.9999999999999 36.5000000000001,-69.9999999999999 36.5166664120001,-69.9999999999999 36.5333328250001,-69.9999999999999 36.5499992370001,-69.9999999999999 36.5666656490001,-69.9999999999999 36.5833320620001,-69.9999999999999 36.5999984740001,-69.9999999999999 36.616664886,-69.9999999999999 36.633335114,-69.9999999999999 36.650001526,-69.9999999999999 36.666667938,-69.9999999999999 36.683334351,-69.9999999999999 36.700000763,-69.9999999999999 36.7166671750001,-69.9999999999999 36.7333335880001,-69.9999999999999 36.7500000000001,-69.9999999999999 36.7666664120001,-69.9999999999999 36.7833328250001,-69.9999999999999 36.7999992370001,-69.9999999999999 36.8166656490001,-69.9999999999999 36.8333320620001,-69.9999999999999 36.8499984740001,-69.9999999999999 36.866664886,-69.9999999999999 36.883335114,-69.9999999999999 36.900001526,-69.9999999999999 36.916667938,-69.9999999999999 36.933334351,-69.9999999999999 36.950000763,-69.9999999999999 36.9666671750001,-69.9999999999999 36.9833335880001,-69.9999999999999 37.0000000000001,-69.9999999999999 37.0166664120001,-69.9999999999999 37.0333328250001,-69.9999999999999 37.0499992370001,-69.9999999999999 37.0666656490001,-69.9999999999999 37.0833320620001,-69.9999999999999 37.0999984740001,-69.9999999999999 37.1166648860001,-69.9999999999999 37.133335114,-69.9999999999999 37.150001526,-69.9999999999999 37.166667938,-69.9999999999999 37.183334351,-69.9999999999999 37.200000763,-69.9999999999999 37.2166671750001,-69.9999999999999 37.2333335880001,-69.9999999999999 37.2500000000001,-69.9999999999999 37.2666664120001,-69.9999999999999 37.2833328250001,-69.9999999999999 37.2999992370001,-69.9999999999999 37.3166656490001,-69.9999999999999 37.3333320620001,-69.9999999999999 37.3499984740001,-69.9999999999999 37.3666648860001,-69.9999999999999 37.383335114,-69.9999999999999 37.400001526,-69.9999999999999 37.416667938,-69.9999999999999 37.433334351,-69.9999999999999 37.450000763,-69.9999999999999 37.4666671750001,-69.9999999999999 37.4833335880001,-69.9999999999999 37.5000000000001,-69.9999999999999 37.5166664120001,-69.9999999999999 37.5333328250001,-69.9999999999999 37.5499992370001,-69.9999999999999 37.5666656490001,-69.9999999999999 37.5833320620001,-69.9999999999999 37.5999984740001,-69.9999999999999 37.6166648860001,-69.9999999999999 37.633335114,-69.9999999999999 37.650001526,-69.9999999999999 37.666667938,-69.9999999999999 37.683334351,-69.9999999999999 37.700000763,-69.9999999999999 37.7166671750001,-69.9999999999999 37.7333335880001,-69.9999999999999 37.7500000000001,-69.9999999999999 37.7666664120001,-69.9999999999999 37.7833328250001,-69.9999999999999 37.7999992370001,-69.9999999999999 37.8166656490001,-69.9999999999999 37.8333320620001,-69.9999999999999 37.8499984740001,-69.9999999999999 37.8666648860001,-69.9999999999999 37.883335114,-69.9999999999999 37.900001526,-69.9999999999999 37.916667938,-69.9999999999999 37.933334351,-69.9999999999999 37.950000763,-69.9999999999999 37.9666671750001,-69.9999999999999 37.9833335880001,-69.9999999999999 38.0000000000001,-69.9999999999999 38.0166664120001,-69.9999999999999 38.0333328250001,-69.9999999999999 38.0499992370001,-69.9999999999999 38.0666656490001,-69.9999999999999 38.0833320620001,-69.9999999999999 38.0999984740001,-69.9999999999999 38.1166648860001,-69.9999999999999 38.133335114,-69.9999999999999 38.150001526,-69.9999999999999 38.166667938,-69.9999999999999 38.183334351,-69.9999999999999 38.200000763,-69.9999999999999 38.2166671750001,-69.9999999999999 38.2333335880001,-69.9999999999999 38.2500000000001,-69.9999999999999 38.2666664120001,-69.9999999999999 38.2833328250001,-69.9999999999999 38.2999992370001,-69.9999999999999 38.3166656490001,-69.9999999999999 38.3333320620001,-69.9999999999999 38.3499984740001,-69.9999999999999 38.3666648860001,-69.9999999999999 38.383335114,-69.9999999999999 38.400001526,-69.9999999999999 38.416667938,-69.9999999999999 38.433334351,-69.9999999999999 38.450000763,-69.9999999999999 38.4666671750001,-69.9999999999999 38.4833335880001,-69.9999999999999 38.5000000000001,-69.9999999999999 38.5166664120001,-69.9999999999999 38.5333328250001,-69.9999999999999 38.5499992370001,-69.9999999999999 38.5666656490001,-69.9999999999999 38.5833320620001,-69.9999999999999 38.5999984740001,-69.9999999999999 38.6166648860001,-69.9999999999999 38.633335114,-69.9999999999999 38.650001526,-69.9999999999999 38.666667938,-69.9999999999999 38.683334351,-69.9999999999999 38.700000763,-69.9999999999999 38.7166671750001,-69.9999999999999 38.7333335880001,-69.9999999999999 38.7500000000001,-69.9999999999999 38.7666664120001,-69.9999999999999 38.7833328250001,-69.9999999999999 38.7999992370001,-69.9999999999999 38.8166656490001,-69.9999999999999 38.8333320620001,-69.9999999999999 38.8499984740001,-69.9999999999999 38.8666648860001,-69.9999999999999 38.883335114,-69.9999999999999 38.900001526,-69.9999999999999 38.916667938,-69.9999999999999 38.933334351,-69.9999999999999 38.950000763,-69.9999999999999 38.9666671750001,-69.9999999999999 38.9833335880001,-69.9999999999999 39.0000000000001,-69.983329773 39.0000000000001,-69.9666671749999 39.0000000000001,-69.949996948 39.0000000000001,-69.933334351 39.0000000000001,-69.916664124 39.0000000000001,-69.900001526 39.0000000000001,-69.883331299 39.0000000000001,-69.866668701 39.0000000000001,-69.849998474 39.0000000000001,-69.833335876 39.0000000000001,-69.816665649 39.0000000000001,-69.800003052 39.0000000000001,-69.7833328249999 39.0000000000001,-69.766670227 39.0000000000001,-69.7499999999999 39.0000000000001,-69.733329773 39.0000000000001,-69.7166671749999 39.0000000000001,-69.699996948 39.0000000000001,-69.683334351 39.0000000000001,-69.666664124 39.0000000000001,-69.650001526 39.0000000000001,-69.633331299 39.0000000000001,-69.616668701 39.0000000000001,-69.599998474 39.0000000000001,-69.583335876 39.0000000000001,-69.566665649 39.0000000000001,-69.550003052 39.0000000000001,-69.5333328249999 39.0000000000001,-69.516670227 39.0000000000001,-69.4999999999999 39.0000000000001,-69.483329773 39.0000000000001,-69.4666671749999 39.0000000000001,-69.449996948 39.0000000000001,-69.433334351 39.0000000000001,-69.416664124 39.0000000000001,-69.400001526 39.0000000000001,-69.383331299 39.0000000000001,-69.366668701 39.0000000000001,-69.349998474 39.0000000000001,-69.333335876 39.0000000000001,-69.316665649 39.0000000000001,-69.300003052 39.0000000000001,-69.2833328249999 39.0000000000001,-69.266670227 39.0000000000001,-69.2499999999999 39.0000000000001,-69.233329773 39.0000000000001,-69.2166671749999 39.0000000000001,-69.199996948 39.0000000000001,-69.183334351 39.0000000000001,-69.166664124 39.0000000000001,-69.150001526 39.0000000000001,-69.133331299 39.0000000000001,-69.116668701 39.0000000000001,-69.099998474 39.0000000000001,-69.083335876 39.0000000000001,-69.066665649 39.0000000000001,-69.050003052 39.0000000000001,-69.0333328249999 39.0000000000001,-69.016670227 39.0000000000001,-68.9999999999999 39.0000000000001,-68.983329773 39.0000000000001,-68.9666671749999 39.0000000000001,-68.949996948 39.0000000000001,-68.933334351 39.0000000000001,-68.916664124 39.0000000000001,-68.900001526 39.0000000000001,-68.883331299 39.0000000000001,-68.866668701 39.0000000000001,-68.849998474 39.0000000000001,-68.833335876 39.0000000000001,-68.816665649 39.0000000000001,-68.800003052 39.0000000000001,-68.7833328249999 39.0000000000001,-68.766670227 39.0000000000001,-68.7499999999999 39.0000000000001,-68.733329773 39.0000000000001,-68.7166671749999 39.0000000000001,-68.699996948 39.0000000000001,-68.683334351 39.0000000000001,-68.666664124 39.0000000000001,-68.650001526 39.0000000000001,-68.633331299 39.0000000000001,-68.616668701 39.0000000000001,-68.599998474 39.0000000000001,-68.583335876 39.0000000000001,-68.566665649 39.0000000000001,-68.550003052 39.0000000000001,-68.5333328249999 39.0000000000001,-68.516670227 39.0000000000001,-68.4999999999999 39.0000000000001,-68.483329773 39.0000000000001,-68.4666671749999 39.0000000000001,-68.449996948 39.0000000000001,-68.433334351 39.0000000000001,-68.416664124 39.0000000000001,-68.400001526 39.0000000000001,-68.383331299 39.0000000000001,-68.366668701 39.0000000000001,-68.349998474 39.0000000000001,-68.333335876 39.0000000000001,-68.316665649 39.0000000000001,-68.300003052 39.0000000000001,-68.2833328249999 39.0000000000001,-68.266670227 39.0000000000001,-68.2499999999999 39.0000000000001,-68.233329773 39.0000000000001,-68.2166671749999 39.0000000000001,-68.199996948 39.0000000000001,-68.183334351 39.0000000000001,-68.166664124 39.0000000000001,-68.150001526 39.0000000000001,-68.133331299 39.0000000000001,-68.116668701 39.0000000000001,-68.099998474 39.0000000000001,-68.083335876 39.0000000000001,-68.066665649 39.0000000000001,-68.050003052 39.0000000000001,-68.0333328249999 39.0000000000001,-68.016670227 39.0000000000001,-67.9999999999999 39.0000000000001,-67.983329773 39.0000000000001,-67.9666671749999 39.0000000000001,-67.949996948 39.0000000000001,-67.933334351 39.0000000000001,-67.916664124 39.0000000000001,-67.900001526 39.0000000000001,-67.883331299 39.0000000000001,-67.866668701 39.0000000000001,-67.849998474 39.0000000000001,-67.833335876 39.0000000000001,-67.816665649 39.0000000000001,-67.800003052 39.0000000000001,-67.7833328249999 39.0000000000001,-67.766670227 39.0000000000001,-67.7499999999999 39.0000000000001,-67.733329773 39.0000000000001,-67.7166671749999 39.0000000000001,-67.699996948 39.0000000000001,-67.683334351 39.0000000000001,-67.666664124 39.0000000000001,-67.650001526 39.0000000000001,-67.633331299 39.0000000000001,-67.616668701 39.0000000000001,-67.599998474 39.0000000000001,-67.583335876 39.0000000000001,-67.566665649 39.0000000000001,-67.550003052 39.0000000000001,-67.5333328249999 39.0000000000001,-67.516670227 39.0000000000001,-67.4999999999999 39.0000000000001,-67.483329773 39.0000000000001,-67.4666671749999 39.0000000000001,-67.449996948 39.0000000000001,-67.433334351 39.0000000000001,-67.416664124 39.0000000000001,-67.400001526 39.0000000000001,-67.383331299 39.0000000000001,-67.366668701 39.0000000000001,-67.349998474 39.0000000000001,-67.333335876 39.0000000000001,-67.316665649 39.0000000000001,-67.300003052 39.0000000000001,-67.2833328249999 39.0000000000001,-67.266670227 39.0000000000001,-67.2499999999999 39.0000000000001,-67.233329773 39.0000000000001,-67.2166671749999 39.0000000000001,-67.199996948 39.0000000000001,-67.183334351 39.0000000000001,-67.166664124 39.0000000000001,-67.150001526 39.0000000000001,-67.133331299 39.0000000000001,-67.116668701 39.0000000000001,-67.099998474 39.0000000000001,-67.083335876 39.0000000000001,-67.066665649 39.0000000000001,-67.050003052 39.0000000000001,-67.0333328249999 39.0000000000001,-67.016670227 39.0000000000001,-66.9999999999999 39.0000000000001,-66.983329773 39.0000000000001,-66.9666671749999 39.0000000000001,-66.949996948 39.0000000000001,-66.933334351 39.0000000000001,-66.916664124 39.0000000000001,-66.900001526 39.0000000000001,-66.883331299 39.0000000000001,-66.866668701 39.0000000000001,-66.849998474 39.0000000000001,-66.833335876 39.0000000000001,-66.816665649 39.0000000000001,-66.800003052 39.0000000000001,-66.7833328249999 39.0000000000001,-66.766670227 39.0000000000001,-66.7499999999999 39.0000000000001,-66.733329773 39.0000000000001,-66.7166671749999 39.0000000000001,-66.699996948 39.0000000000001,-66.683334351 39.0000000000001,-66.666664124 39.0000000000001,-66.650001526 39.0000000000001,-66.633331299 39.0000000000001,-66.616668701 39.0000000000001,-66.599998474 39.0000000000001,-66.583335876 39.0000000000001,-66.566665649 39.0000000000001,-66.550003052 39.0000000000001,-66.5333328249999 39.0000000000001,-66.516670227 39.0000000000001,-66.4999999999999 39.0000000000001,-66.483329773 39.0000000000001,-66.4666671749999 39.0000000000001,-66.449996948 39.0000000000001,-66.433334351 39.0000000000001,-66.416664124 39.0000000000001,-66.400001526 39.0000000000001,-66.383331299 39.0000000000001,-66.366668701 39.0000000000001,-66.349998474 39.0000000000001,-66.333335876 39.0000000000001,-66.316665649 39.0000000000001,-66.300003052 39.0000000000001,-66.2833328249999 39.0000000000001,-66.266670227 39.0000000000001,-66.2499999999999 39.0000000000001,-66.233329773 39.0000000000001,-66.2166671749999 39.0000000000001,-66.199996948 39.0000000000001,-66.183334351 39.0000000000001,-66.166664124 39.0000000000001,-66.150001526 39.0000000000001,-66.133331299 39.0000000000001,-66.116668701 39.0000000000001,-66.099998474 39.0000000000001,-66.083335876 39.0000000000001,-66.066665649 39.0000000000001,-66.050003052 39.0000000000001,-66.0333328249999 39.0000000000001,-66.016670227 39.0000000000001,-65.9999999999999 39.0000000000001,-65.983329773 39.0000000000001,-65.9666671749999 39.0000000000001,-65.949996948 39.0000000000001,-65.933334351 39.0000000000001,-65.916664124 39.0000000000001,-65.900001526 39.0000000000001,-65.883331299 39.0000000000001,-65.866668701 39.0000000000001,-65.849998474 39.0000000000001,-65.833335876 39.0000000000001,-65.816665649 39.0000000000001,-65.800003052 39.0000000000001,-65.7833328249999 39.0000000000001,-65.766670227 39.0000000000001,-65.7499999999999 39.0000000000001,-65.733329773 39.0000000000001,-65.7166671749999 39.0000000000001,-65.699996948 39.0000000000001,-65.683334351 39.0000000000001,-65.666664124 39.0000000000001,-65.650001526 39.0000000000001,-65.633331299 39.0000000000001,-65.616668701 39.0000000000001,-65.599998474 39.0000000000001,-65.583335876 39.0000000000001,-65.566665649 39.0000000000001,-65.550003052 39.0000000000001,-65.5333328249999 39.0000000000001,-65.516670227 39.0000000000001,-65.4999999999999 39.0000000000001,-65.483329773 39.0000000000001,-65.4666671749999 39.0000000000001,-65.449996948 39.0000000000001,-65.4333343499999 39.0000000000001,-65.416664123 39.0000000000001,-65.400001526 39.0000000000001,-65.383331299 39.0000000000001,-65.366668701 39.0000000000001,-65.349998474 39.0000000000001,-65.333335876 39.0000000000001,-65.316665649 39.0000000000001,-65.300003051 39.0000000000001,-65.283332824 39.0000000000001,-65.266670227 39.0000000000001,-65.2499999999999 39.0000000000001,-65.233329773 39.0000000000001,-65.2166671749999 39.0000000000001,-65.199996948 39.0000000000001,-65.183334351 39.0000000000001,-65.166664124 39.0000000000001,-65.150001526 39.0000000000001,-65.133331299 39.0000000000001,-65.116668701 39.0000000000001,-65.099998474 39.0000000000001,-65.083335876 39.0000000000001,-65.066665649 39.0000000000001,-65.050003052 39.0000000000001,-65.0333328249999 39.0000000000001,-65.016670227 39.0000000000001,-64.9999999999999 39.0000000000001,-64.9999999999999 38.9666671750001,-64.9999999999999 38.950000763,-64.9999999999999 38.933334351,-64.9999999999999 38.916667938,-64.9999999999999 38.900001526,-64.9999999999999 38.883335114,-64.9999999999999 38.8666648860001,-64.9999999999999 38.8499984740001,-64.9999999999999 38.8333320620001,-64.9999999999999 38.8166656490001,-64.9999999999999 38.7999992370001,-64.9999999999999 38.7833328250001,-64.9999999999999 38.7666664120001,-64.9999999999999 38.7500000000001,-64.9999999999999 38.7333335880001,-64.9999999999999 38.7166671750001,-64.9999999999999 38.700000763,-64.9999999999999 38.683334351,-64.9999999999999 38.666667938,-64.9999999999999 38.650001526,-64.9999999999999 38.633335114,-64.9999999999999 38.6166648860001,-64.9999999999999 38.5999984740001,-64.9999999999999 38.5833320620001,-64.9999999999999 38.5666656490001,-64.9999999999999 38.5499992370001,-64.9999999999999 38.5333328250001,-64.9999999999999 38.5166664120001,-64.9999999999999 38.5000000000001,-64.9999999999999 38.4833335880001,-64.9999999999999 38.4666671750001,-64.9999999999999 38.450000763,-64.9999999999999 38.433334351,-64.9999999999999 38.416667938,-64.9999999999999 38.400001526,-64.9999999999999 38.383335114,-64.9999999999999 38.3666648860001,-64.9999999999999 38.3499984740001,-64.9999999999999 38.3333320620001,-64.9999999999999 38.3166656490001,-64.9999999999999 38.2999992370001,-64.9999999999999 38.2833328250001,-64.9999999999999 38.2666664120001,-64.9999999999999 38.2500000000001,-64.9999999999999 38.2333335880001,-64.9999999999999 38.2166671750001,-64.9999999999999 38.200000763,-64.9999999999999 38.183334351,-64.9999999999999 38.166667938,-64.9999999999999 38.150001526,-64.9999999999999 38.133335114,-64.9999999999999 38.1166648860001,-64.9999999999999 38.0999984740001,-64.9999999999999 38.0833320620001,-64.9999999999999 38.0666656490001,-64.9999999999999 38.0499992370001,-64.9999999999999 38.0333328250001,-64.9999999999999 38.0166664120001,-64.9999999999999 38.0000000000001,-64.9999999999999 37.9833335880001,-64.9999999999999 37.9666671750001,-64.9999999999999 37.950000763,-64.9999999999999 37.933334351,-64.9999999999999 37.916667938,-64.9999999999999 37.900001526,-64.9999999999999 37.883335114,-64.9999999999999 37.8666648860001,-64.9999999999999 37.8499984740001,-64.9999999999999 37.8333320620001,-64.9999999999999 37.8166656490001,-64.9999999999999 37.7999992370001,-64.9999999999999 37.7833328250001,-64.9999999999999 37.7666664120001,-64.9999999999999 37.7500000000001,-64.9999999999999 37.7333335880001,-64.9999999999999 37.7166671750001,-64.9999999999999 37.700000763,-64.9999999999999 37.683334351,-64.9999999999999 37.666667938,-64.9999999999999 37.650001526,-64.9999999999999 37.633335114,-64.9999999999999 37.6166648860001,-64.9999999999999 37.5999984740001,-64.9999999999999 37.5833320620001,-64.9999999999999 37.5666656490001,-64.9999999999999 37.5499992370001,-64.9999999999999 37.5333328250001,-64.9999999999999 37.5166664120001,-64.9999999999999 37.5000000000001,-64.9999999999999 37.4833335880001,-64.9999999999999 37.4666671750001,-64.9999999999999 37.450000763,-64.9999999999999 37.433334351,-64.9999999999999 37.416667938,-64.9999999999999 37.400001526,-64.9999999999999 37.383335114,-64.9999999999999 37.3666648860001,-64.9999999999999 37.3499984740001,-64.9999999999999 37.3333320620001,-64.9999999999999 37.3166656490001,-64.9999999999999 37.2999992370001,-64.9999999999999 37.2833328250001,-64.9999999999999 37.2666664120001,-64.9999999999999 37.2500000000001,-64.9999999999999 37.2333335880001,-64.9999999999999 37.2166671750001,-64.9999999999999 37.200000763,-64.9999999999999 37.183334351,-64.9999999999999 37.166667938,-64.9999999999999 37.150001526,-64.9999999999999 37.133335114,-64.9999999999999 37.1166648860001,-64.9999999999999 37.0999984740001,-64.9999999999999 37.0833320620001,-64.9999999999999 37.0666656490001,-64.9999999999999 37.0499992370001,-64.9999999999999 37.0333328250001,-64.9999999999999 37.0166664120001,-64.9999999999999 37.0000000000001,-64.9999999999999 36.9833335880001,-64.9999999999999 36.9666671750001,-64.9999999999999 36.950000763,-64.9999999999999 36.933334351,-64.9999999999999 36.916667938,-64.9999999999999 36.900001526,-64.9999999999999 36.883335114,-64.9999999999999 36.866664886,-64.9999999999999 36.8499984740001,-64.9999999999999 36.8333320620001,-64.9999999999999 36.8166656490001,-64.9999999999999 36.7999992370001,-64.9999999999999 36.7833328250001,-64.9999999999999 36.7666664120001,-64.9999999999999 36.7500000000001,-64.9999999999999 36.7333335880001,-64.9999999999999 36.7166671750001,-64.9999999999999 36.700000763,-64.9999999999999 36.683334351,-64.9999999999999 36.666667938,-64.9999999999999 36.650001526,-64.9999999999999 36.633335114,-64.9999999999999 36.616664886,-64.9999999999999 36.5999984740001,-64.9999999999999 36.5833320620001,-64.9999999999999 36.5666656490001,-64.9999999999999 36.5499992370001,-64.9999999999999 36.5333328250001,-64.9999999999999 36.5166664120001,-64.9999999999999 36.5000000000001,-64.9999999999999 36.4833335880001,-64.9999999999999 36.4666671750001,-64.9999999999999 36.450000763,-64.9999999999999 36.433334351,-64.9999999999999 36.416667938,-64.9999999999999 36.400001526,-64.9999999999999 36.383335114,-64.9999999999999 36.366664886,-64.9999999999999 36.3499984740001,-64.9999999999999 36.3333320620001,-64.9999999999999 36.3166656490001,-64.9999999999999 36.2999992370001,-64.9999999999999 36.2833328250001,-64.9999999999999 36.2666664120001,-64.9999999999999 36.2500000000001,-64.9999999999999 36.2333335880001,-64.9999999999999 36.2166671750001,-64.9999999999999 36.200000763,-64.9999999999999 36.183334351,-64.9999999999999 36.166667938,-64.9999999999999 36.150001526,-64.9999999999999 36.133335114,-64.9999999999999 36.116664886,-64.9999999999999 36.0999984740001,-64.9999999999999 36.0833320620001,-64.9999999999999 36.0666656490001,-64.9999999999999 36.0499992370001,-64.9999999999999 36.0333328250001,-64.9999999999999 36.0166664120001,-64.9999999999999 36.0000000000001,-64.9999999999999 35.9833335880001,-64.9999999999999 35.9666671750001,-64.9999999999999 35.950000763,-64.9999999999999 35.933334351,-64.9999999999999 35.916667938,-64.9999999999999 35.900001526,-64.9999999999999 35.883335114,-64.9999999999999 35.866664886,-64.9999999999999 35.8499984740001,-64.9999999999999 35.8333320620001,-64.9999999999999 35.8166656490001,-64.9999999999999 35.7999992370001,-64.9999999999999 35.7833328250001,-64.9999999999999 35.7666664120001,-64.9999999999999 35.7500000000001,-64.9999999999999 35.7333335880001,-64.9999999999999 35.7166671750001,-64.9999999999999 35.700000763,-64.9999999999999 35.683334351,-64.9999999999999 35.666667938,-64.9999999999999 35.650001526,-64.9999999999999 35.633335114,-64.9999999999999 35.616664886,-64.9999999999999 35.5999984740001,-64.9999999999999 35.5833320620001,-64.9999999999999 35.5666656490001,-64.9999999999999 35.5499992370001,-64.9999999999999 35.5333328250001,-64.9999999999999 35.5166664120001,-64.9999999999999 35.5000000000001,-64.9999999999999 35.4833335880001,-64.9999999999999 35.4666671750001,-64.9999999999999 35.450000763,-64.9999999999999 35.433334351,-64.9999999999999 35.416667938,-64.9999999999999 35.400001526,-64.9999999999999 35.383335114,-64.9999999999999 35.366664886,-64.9999999999999 35.3499984740001,-64.9999999999999 35.3333320620001,-64.9999999999999 35.3166656490001,-64.9999999999999 35.2999992370001,-64.9999999999999 35.2833328250001,-64.9999999999999 35.2666664120001,-64.9999999999999 35.2500000000001,-64.9999999999999 35.2333335880001,-64.9999999999999 35.2166671750001,-64.9999999999999 35.200000763,-64.9999999999999 35.183334351,-64.9999999999999 35.166667938,-64.9999999999999 35.150001526,-64.9999999999999 35.133335114,-64.9999999999999 35.116664886,-64.9999999999999 35.0999984740001,-64.9999999999999 35.0833320620001,-64.9999999999999 35.0666656490001,-64.9999999999999 35.0499992370001,-64.9999999999999 35.0333328250001,-64.9999999999999 35.0166664120001,-64.9999999999999 35.0000000000001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.6', '', '21.6', '21.6.D', '', '21.6D', '', '', '', '', '', '', '', '6D', '3', '21.6.D', '21.6D', 'Y'),('SRID=4326;MULTIPOLYGON(((-74.882507324 -30.339286804,-74.651977539 -29.3581542969999,-74.661880493 -29.177253723,-74.6584854129999 -29.1599998469999,-73.9999999999999 -29.1599998469999,-73.199996948 -29.1599998469999,-73.073287964 -29.1599998469999,-73.0441513059999 -29.604358673,-73.158584595 -29.792715073,-73.2827911379999 -30.3463287349999,-73.276977539 -30.3734073639999,-73.282043457 -30.398105621,-73.2595596309999 -31.05213356,-73.257331848 -31.061576843,-73.2534561159999 -31.140953064,-73.158699036 -32.053577423,-73.1621627809999 -32.1599998469999,-73.199996948 -32.1599998469999,-73.9999999999999 -32.1599998469999,-74.784164429 -32.1599998469999,-74.781433105 -32.099330902,-74.8571395869999 -31.2744274139999,-74.863021851 -31.115678787,-74.8672637939999 -31.096776962,-74.88218689 -30.4428195949999,-74.8715057369999 -30.393480301,-74.882507324 -30.339286804)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.2', 'Central Intermediate', '2.2', '87.2.2.4', '', '2.24', '', '', '', '', '2.24', '4', '87.2.2.4', '87.2.2.4', 'Y'),('SRID=4326;MULTIPOLYGON(((-64.061390371 45.854526725,-63.4999999999999 45.5000000000001,-61.4999999999999 45.5000000000001,-63.814504569 44.7582362000001,-63.5206756589999 44.5006027220001,-63.5013084409999 44.4833335870001,-63.482624054 44.4666671750001,-63.4639434809999 44.450000763,-63.4452705379999 44.4333343500001,-63.4266014099999 44.416667938,-63.407936096 44.400001526,-63.389278412 44.383335114,-63.370624542 44.3666648870001,-63.3519744869999 44.3499984740001,-63.333332062 44.3333320620001,-63.333332062 44.3166656500001,-63.333332062 44.2999992370001,-63.333332062 44.2833328240001,-63.333332062 44.2666664120001,-63.333332062 44.2500000000001,-63.333332062 44.2333335880001,-63.333332062 44.2166671750001,-63.333332062 44.200000763,-63.333332062 44.183334351,-63.333332062 44.166667938,-63.333332062 44.150001526,-63.333332062 44.133335114,-63.333332062 44.1166648870001,-63.333332062 44.0999984740001,-63.333332062 44.0833320610001,-63.333332062 44.0666656490001,-63.333332062 44.0499992370001,-63.333332062 44.0333328250001,-63.333332062 44.0166664120001,-63.333332062 44.0000000000001,-63.333332062 43.9833335880001,-63.333332062 43.9666671750001,-63.333332062 43.950000763,-63.333332062 43.933334351,-63.333332062 43.916667939,-63.333332062 43.9000015250001,-63.333332062 43.883335113,-63.333332062 43.8666648860001,-63.333332062 43.8499984740001,-63.333332062 43.8333320620001,-63.333332062 43.8166656490001,-63.333332062 43.7999992370001,-63.333332062 43.7833328250001,-63.333332062 43.7666664130001,-63.333332062 43.7500000000001,-63.333332062 43.7333335880001,-63.333332062 43.716667176,-63.333332062 43.7000007620001,-63.333332062 43.6833343500001,-63.333332062 43.666667938,-63.333332062 43.650001526,-63.333332062 43.633335113,-63.333332062 43.6166648860001,-63.333332062 43.5999984740001,-63.333332062 43.5833320620001,-63.333332062 43.5666656500001,-63.333332062 43.5499992370001,-63.333332062 43.5333328250001,-63.333332062 43.5166664130001,-63.333332062 43.5000000000001,-63.333332062 43.4833335870001,-63.333332062 43.4666671750001,-63.333332062 43.450000763,-63.333332062 43.4333343500001,-63.333332062 43.416667938,-63.333332062 43.400001526,-63.333332062 43.383335114,-63.333332062 43.3666648870001,-63.333332062 43.3499984740001,-63.333332062 43.3333320620001,-63.333332062 43.3166656500001,-63.333332062 43.2999992370001,-63.333332062 43.2833328240001,-63.333332062 43.2666664120001,-63.333332062 43.2500000000001,-63.333332062 43.2333335880001,-63.333332062 43.2166671750001,-63.333332062 43.200000763,-63.333332062 43.183334351,-63.333332062 43.166667938,-63.333332062 43.150001526,-63.333332062 43.133335114,-63.333332062 43.1166648870001,-63.333332062 43.0999984740001,-63.333332062 43.0833320610001,-63.333332062 43.0666656490001,-63.333332062 43.0499992370001,-63.333332062 43.0333328250001,-63.333332062 43.0166664120001,-63.333332062 43.0000000000001,-63.333332062 42.9833335880001,-63.333332062 42.966667176,-63.333332062 42.950000763,-63.333332062 42.933334351,-63.333332062 42.916667938,-63.333332062 42.9000015250001,-63.333332062 42.883335113,-63.333332062 42.8666648860001,-63.333332062 42.8499984740001,-63.333332062 42.8333320620001,-63.333332062 42.8166656490001,-63.333332062 42.7999992370001,-63.333332062 42.7833328250001,-63.333332062 42.7666664130001,-63.333332062 42.7500000000001,-63.333332062 42.7333335880001,-63.333332062 42.7166671750001,-63.333332062 42.700000763,-63.333332062 42.6833343500001,-63.333332062 42.666667938,-63.333332062 42.650001526,-63.333332062 42.633335113,-63.333332062 42.6166648860001,-63.333332062 42.5999984740001,-63.333332062 42.5833320620001,-63.333332062 42.5666656500001,-63.333332062 42.5499992370001,-63.333332062 42.5333328250001,-63.333332062 42.5166664120001,-63.333332062 42.5000000000001,-63.333332062 42.4833335870001,-63.333332062 42.4666671750001,-63.333332062 42.450000763,-63.333332062 42.433334351,-63.333332062 42.416667938,-63.333332062 42.400001526,-63.333332062 42.383335114,-63.333332062 42.3666648870001,-63.333332062 42.3499984740001,-63.333332062 42.3333320620001,-63.333332062 42.3166656490001,-63.333332062 42.2999992370001,-63.333332062 42.2833328240001,-63.333332062 42.2666664120001,-63.333332062 42.2500000000001,-63.333332062 42.2333335880001,-63.333332062 42.2166671750001,-63.333332062 42.200000763,-63.333332062 42.183334351,-63.333332062 42.166667939,-63.333332062 42.150001526,-63.333332062 42.133335114,-63.333332062 42.1166648870001,-63.333332062 42.0999984740001,-63.333332062 42.0833320610001,-63.333332062 42.0666656490001,-63.333332062 42.0499992370001,-63.333332062 42.0333328250001,-63.333332062 42.0166664120001,-63.333332062 42.0000000000001,-63.333332062 41.9833335880001,-63.333332062 41.966667176,-63.333332062 41.950000763,-63.333332062 41.933334351,-63.333332062 41.916667938,-63.333332062 41.900001526,-63.333332062 41.883335113,-63.333332062 41.8666648860001,-63.333332062 41.8499984740001,-63.333332062 41.8333320620001,-63.333332062 41.8166656490001,-63.333332062 41.7999992370001,-63.333332062 41.7833328250001,-63.333332062 41.7666664130001,-63.333332062 41.7500000000001,-63.333332062 41.7333335880001,-63.333332062 41.7166671750001,-63.333332062 41.700000763,-63.333332062 41.6833343500001,-63.333332062 41.666667938,-63.333332062 41.650001526,-63.333332062 41.633335113,-63.333332062 41.6166648860001,-63.333332062 41.5999984740001,-63.333332062 41.5833320620001,-63.333332062 41.5666656500001,-63.333332062 41.5499992370001,-63.333332062 41.5333328250001,-63.333332062 41.5166664120001,-63.333332062 41.5000000000001,-63.333332062 41.4833335870001,-63.333332062 41.4666671750001,-63.333332062 41.450000763,-63.333332062 41.433334351,-63.333332062 41.416667938,-63.333332062 41.400001526,-63.333332062 41.383335114,-63.333332062 41.3666648870001,-63.333332062 41.3499984740001,-63.333332062 41.3333320620001,-63.333332062 41.3166656490001,-63.333332062 41.2999992370001,-63.333332062 41.2833328240001,-63.333332062 41.2666664120001,-63.333332062 41.2500000000001,-63.333332062 41.2333335880001,-63.333332062 41.2166671750001,-63.333332062 41.200000763,-63.333332062 41.183334351,-63.333332062 41.166667939,-63.333332062 41.150001526,-63.333332062 41.133335114,-63.333332062 41.1166648860001,-63.333332062 41.0999984740001,-63.333332062 41.0833320610001,-63.333332062 41.0666656490001,-63.333332062 41.0499992370001,-63.333332062 41.0333328250001,-63.333332062 41.0166664120001,-63.333332062 41.0000000000001,-63.333332062 40.9833335880001,-63.333332062 40.966667176,-63.333332062 40.950000763,-63.333332062 40.933334351,-63.333332062 40.916667938,-63.333332062 40.900001526,-63.333332062 40.883335113,-63.333332062 40.8666648860001,-63.333332062 40.8499984740001,-63.333332062 40.8333320620001,-63.333332062 40.8166656490001,-63.333332062 40.7999992370001,-63.333332062 40.7833328250001,-63.333332062 40.7666664130001,-63.333332062 40.7500000000001,-63.333332062 40.7333335880001,-63.333332062 40.7166671750001,-63.333332062 40.700000763,-63.333332062 40.6833343500001,-63.333332062 40.666667938,-63.333332062 40.650001526,-63.333332062 40.633335114,-63.333332062 40.6166648870001,-63.333332062 40.5999984740001,-63.333332062 40.5833320620001,-63.333332062 40.5666656500001,-63.333332062 40.5499992370001,-63.333332062 40.5333328250001,-63.333332062 40.5166664120001,-63.333332062 40.5000000000001,-63.333332062 40.4833335870001,-63.333332062 40.4666671750001,-63.333332062 40.450000763,-63.333332062 40.433334351,-63.333332062 40.416667938,-63.333332062 40.400001526,-63.333332062 40.383335114,-63.333332062 40.3666648870001,-63.333332062 40.3499984750001,-63.333332062 40.3333320620001,-63.333332062 40.3166656490001,-63.333332062 40.2999992370001,-63.333332062 40.2833328240001,-63.333332062 40.2666664120001,-63.333332062 40.2500000000001,-63.333332062 40.2333335880001,-63.333332062 40.2166671750001,-63.333332062 40.200000763,-63.333332062 40.183334351,-63.333332062 40.166667939,-63.333332062 40.150001526,-63.333332062 40.133335113,-63.333332062 40.1166648860001,-63.333332062 40.0999984740001,-63.333332062 40.0833320620001,-63.333332062 40.0666656490001,-63.333332062 40.0499992370001,-63.333332062 40.0333328250001,-63.333332062 40.0166664120001,-63.333332062 40.0000000000001,-63.333332062 39.9833335880001,-63.333332062 39.966667176,-63.333332062 39.950000763,-63.333332062 39.9333343500001,-63.333332062 39.916667938,-63.333332062 39.900001526,-63.333332062 39.883335113,-63.333332062 39.8666648860001,-63.333332062 39.8499984740001,-63.333332062 39.8333320620001,-63.333332062 39.8166656490001,-63.333332062 39.7999992370001,-63.333332062 39.7833328250001,-63.333332062 39.7666664130001,-63.333332062 39.7500000000001,-63.333332062 39.7333335870001,-63.333332062 39.7166671750001,-63.333332062 39.700000763,-63.333332062 39.6833343500001,-63.333332062 39.666667938,-63.333332062 39.650001526,-63.333332062 39.633335114,-63.333332062 39.6166648870001,-63.333332062 39.5999984740001,-63.333332062 39.5833320620001,-63.333332062 39.5666656500001,-63.333332062 39.5499992370001,-63.333332062 39.5333328250001,-63.333332062 39.5166664120001,-63.333332062 39.5000000000001,-63.333332062 39.4833335870001,-63.333332062 39.4666671750001,-63.333332062 39.450000763,-63.333332062 39.433334351,-63.333332062 39.416667938,-63.333332062 39.400001526,-63.333332062 39.383335114,-63.333332062 39.3666648870001,-63.333332062 39.3499984750001,-63.333332062 39.3333320620001,-63.333332062 39.3166656490001,-63.333332062 39.2999992370001,-63.333332062 39.2833328240001,-63.333332062 39.2666664120001,-63.333332062 39.2500000000001,-63.333332062 39.2333335880001,-63.333332062 39.2166671750001,-63.333332062 39.200000763,-63.333332062 39.183334351,-63.333332062 39.166667939,-63.333332062 39.150001526,-63.333332062 39.133335113,-63.333332062 39.1166648860001,-63.333332062 39.0999984740001,-63.333332062 39.0833320620001,-63.333332062 39.0666656490001,-63.333332062 39.0499992370001,-63.333332062 39.0333328250001,-63.333332062 39.0166664120001,-63.333332062 39.0000000000001,-63.349998474 39.0000000000001,-63.366664886 39.0000000000001,-63.383335114 39.0000000000001,-63.400001526 39.0000000000001,-63.4166679379999 39.0000000000001,-63.433334351 39.0000000000001,-63.4500007629999 39.0000000000001,-63.4666671749999 39.0000000000001,-63.4833335869999 39.0000000000001,-63.4999999999999 39.0000000000001,-63.5166664119999 39.0000000000001,-63.5333328249999 39.0000000000001,-63.549999237 39.0000000000001,-63.566665649 39.0000000000001,-63.583332062 39.0000000000001,-63.599998474 39.0000000000001,-63.616664886 39.0000000000001,-63.633335113 39.0000000000001,-63.650001526 39.0000000000001,-63.6666679379999 39.0000000000001,-63.6833343499999 39.0000000000001,-63.7000007629999 39.0000000000001,-63.7166671749999 39.0000000000001,-63.7333335879999 39.0000000000001,-63.7499999999999 39.0000000000001,-63.7666664119999 39.0000000000001,-63.7833328249999 39.0000000000001,-63.799999237 39.0000000000001,-63.816665649 39.0000000000001,-63.833332062 39.0000000000001,-63.849998474 39.0000000000001,-63.866664886 39.0000000000001,-63.883335113 39.0000000000001,-63.9000015249999 39.0000000000001,-63.9166679379999 39.0000000000001,-63.933334351 39.0000000000001,-63.9500007629999 39.0000000000001,-63.9666671749999 39.0000000000001,-63.9833335879999 39.0000000000001,-63.9999999999999 39.0000000000001,-64.016670227 39.0000000000001,-64.0333328249999 39.0000000000001,-64.050003052 39.0000000000001,-64.066665649 39.0000000000001,-64.083335876 39.0000000000001,-64.099998474 39.0000000000001,-64.116668701 39.0000000000001,-64.133331299 39.0000000000001,-64.150001526 39.0000000000001,-64.166664124 39.0000000000001,-64.183334351 39.0000000000001,-64.199996948 39.0000000000001,-64.2166671749999 39.0000000000001,-64.233329773 39.0000000000001,-64.2499999999999 39.0000000000001,-64.266670227 39.0000000000001,-64.283332824 39.0000000000001,-64.300003051 39.0000000000001,-64.316665649 39.0000000000001,-64.333335876 39.0000000000001,-64.349998474 39.0000000000001,-64.366668701 39.0000000000001,-64.383331299 39.0000000000001,-64.400001526 39.0000000000001,-64.416664123 39.0000000000001,-64.433334351 39.0000000000001,-64.449996948 39.0000000000001,-64.4666671749999 39.0000000000001,-64.483329773 39.0000000000001,-64.4999999999999 39.0000000000001,-64.516670227 39.0000000000001,-64.5333328249999 39.0000000000001,-64.550003052 39.0000000000001,-64.566665649 39.0000000000001,-64.583335876 39.0000000000001,-64.599998474 39.0000000000001,-64.616668701 39.0000000000001,-64.633331299 39.0000000000001,-64.650001526 39.0000000000001,-64.666664123 39.0000000000001,-64.6833343499999 39.0000000000001,-64.699996948 39.0000000000001,-64.7166671749999 39.0000000000001,-64.733329773 39.0000000000001,-64.7499999999999 39.0000000000001,-64.766670227 39.0000000000001,-64.7833328249999 39.0000000000001,-64.800003052 39.0000000000001,-64.816665649 39.0000000000001,-64.833335876 39.0000000000001,-64.849998474 39.0000000000001,-64.866668701 39.0000000000001,-64.883331298 39.0000000000001,-64.9000015249999 39.0000000000001,-64.916664124 39.0000000000001,-64.933334351 39.0000000000001,-64.949996948 39.0000000000001,-64.9666671749999 39.0000000000001,-64.983329773 39.0000000000001,-64.9999999999999 39.0000000000001,-65.016670227 39.0000000000001,-65.0333328249999 39.0000000000001,-65.050003052 39.0000000000001,-65.066665649 39.0000000000001,-65.083335876 39.0000000000001,-65.099998474 39.0000000000001,-65.116668701 39.0000000000001,-65.133331299 39.0000000000001,-65.150001526 39.0000000000001,-65.166664124 39.0000000000001,-65.183334351 39.0000000000001,-65.199996948 39.0000000000001,-65.2166671749999 39.0000000000001,-65.233329773 39.0000000000001,-65.2499999999999 39.0000000000001,-65.266670227 39.0000000000001,-65.283332824 39.0000000000001,-65.300003051 39.0000000000001,-65.316665649 39.0000000000001,-65.333335876 39.0000000000001,-65.349998474 39.0000000000001,-65.366668701 39.0000000000001,-65.383331299 39.0000000000001,-65.400001526 39.0000000000001,-65.416664123 39.0000000000001,-65.4333343499999 39.0000000000001,-65.449996948 39.0000000000001,-65.4666671749999 39.0000000000001,-65.483329773 39.0000000000001,-65.4999999999999 39.0000000000001,-65.516670227 39.0000000000001,-65.5333328249999 39.0000000000001,-65.550003052 39.0000000000001,-65.566665649 39.0000000000001,-65.583335876 39.0000000000001,-65.599998474 39.0000000000001,-65.616668701 39.0000000000001,-65.633331299 39.0000000000001,-65.650001526 39.0000000000001,-65.666664124 39.0000000000001,-65.666664123 39.0166664120001,-65.666664123 39.0333328250001,-65.666664123 39.0499992370001,-65.666664123 39.0666656490001,-65.666664123 39.0833320620001,-65.666664123 39.0999984740001,-65.666664123 39.1166648860001,-65.666664123 39.133335114,-65.666664123 39.150001526,-65.666664123 39.166667939,-65.666664123 39.183334351,-65.666664123 39.200000763,-65.666664123 39.2166671750001,-65.666664123 39.2333335880001,-65.666664123 39.2500000000001,-65.666664123 39.2666664120001,-65.666664123 39.2833328250001,-65.666664123 39.2999992370001,-65.666664123 39.3166656490001,-65.666664123 39.3333320620001,-65.666664123 39.3499984750001,-65.666664123 39.3666648870001,-65.666664123 39.383335114,-65.666664123 39.400001526,-65.666664123 39.416667938,-65.666664123 39.433334351,-65.666664123 39.450000763,-65.666664123 39.4666671750001,-65.666664123 39.4833335880001,-65.666664123 39.5000000000001,-65.666664123 39.5166664120001,-65.666664123 39.5333328250001,-65.666664123 39.5499992370001,-65.666664123 39.5666656500001,-65.666664123 39.5833320620001,-65.666664123 39.5999984740001,-65.666664123 39.6166648870001,-65.666664123 39.633335114,-65.666664123 39.650001526,-65.666664123 39.666667938,-65.666664123 39.683334351,-65.666664123 39.700000763,-65.666664123 39.7166671750001,-65.666664123 39.7333335880001,-65.666664123 39.7500000000001,-65.666664123 39.7666664130001,-65.666664123 39.7833328250001,-65.666664123 39.7999992370001,-65.666664123 39.8166656490001,-65.666664123 39.8333320620001,-65.666664123 39.8499984740001,-65.666664123 39.8666648860001,-65.666664123 39.883335114,-65.666664123 39.900001526,-65.666664123 39.916667938,-65.666664123 39.933334351,-65.666664123 39.950000763,-65.666664123 39.966667176,-65.666664123 39.9833335880001,-65.666664123 40.0000000000001,-65.666664123 40.0166664120001,-65.666664123 40.0333328250001,-65.666664123 40.0499992370001,-65.666664123 40.0666656490001,-65.666664123 40.0833320620001,-65.666664123 40.0999984740001,-65.666664123 40.1166648860001,-65.666664123 40.133335114,-65.666664123 40.150001526,-65.666664123 40.166667939,-65.666664123 40.183334351,-65.666664123 40.200000763,-65.666664123 40.2166671750001,-65.666664123 40.2333335880001,-65.666664123 40.2500000000001,-65.666664123 40.2666664120001,-65.666664123 40.2833328250001,-65.666664123 40.2999992370001,-65.666664123 40.3166656490001,-65.666664123 40.3333320620001,-65.666664123 40.3499984750001,-65.666664123 40.3666648870001,-65.666664123 40.383335114,-65.666664123 40.400001526,-65.666664123 40.416667938,-65.666664123 40.433334351,-65.666664123 40.450000763,-65.666664123 40.4666671750001,-65.666664123 40.4833335880001,-65.666664123 40.5000000000001,-65.666664123 40.5166664120001,-65.666664123 40.5333328250001,-65.666664123 40.5499992370001,-65.666664123 40.5666656500001,-65.666664123 40.5833320620001,-65.666664123 40.5999984740001,-65.666664123 40.6166648870001,-65.666664123 40.633335114,-65.666664123 40.650001526,-65.666664123 40.666667938,-65.666664123 40.683334351,-65.666664123 40.700000763,-65.666664123 40.7166671750001,-65.666664123 40.7333335880001,-65.666664123 40.7500000000001,-65.666664123 40.7666664130001,-65.666664123 40.7833328250001,-65.666664123 40.7999992370001,-65.666664123 40.8166656490001,-65.666664123 40.8333320620001,-65.666664123 40.8499984740001,-65.666664123 40.8666648860001,-65.666664123 40.883335114,-65.666664123 40.900001526,-65.666664123 40.916667938,-65.666664123 40.933334351,-65.666664123 40.950000763,-65.666664123 40.966667176,-65.666664123 40.9833335880001,-65.666664123 41.0000000000001,-65.666664123 41.0166664120001,-65.666664123 41.0333328250001,-65.666664123 41.0499992370001,-65.666664123 41.0666656490001,-65.666664123 41.0833320620001,-65.666664123 41.0999984740001,-65.666664123 41.1166648860001,-65.666664123 41.133335114,-65.666664123 41.150001526,-65.666664123 41.166667939,-65.666664123 41.183334351,-65.666664123 41.200000763,-65.666664123 41.2166671750001,-65.666664123 41.2333335880001,-65.666664123 41.2500000000001,-65.666664123 41.2666664120001,-65.666664123 41.2833328250001,-65.666664123 41.2999992370001,-65.666664123 41.3166656490001,-65.666664123 41.3333320620001,-65.666664123 41.3499984740001,-65.666664123 41.3666648870001,-65.666664123 41.383335114,-65.666664123 41.400001526,-65.666664123 41.416667938,-65.666664123 41.433334351,-65.666664123 41.450000763,-65.666664123 41.4666671750001,-65.666664123 41.4833335880001,-65.666664123 41.5000000000001,-65.666664123 41.5166664120001,-65.666664123 41.5333328250001,-65.666664123 41.5499992370001,-65.666664123 41.5666656500001,-65.666664123 41.5833320620001,-65.666664123 41.5999984740001,-65.666664123 41.6166648860001,-65.666664123 41.633335114,-65.666664123 41.650001526,-65.666664123 41.666667938,-65.666664123 41.683334351,-65.666664123 41.700000763,-65.666664123 41.7166671750001,-65.666664123 41.7333335880001,-65.666664123 41.7500000000001,-65.666664123 41.7666664130001,-65.666664123 41.7833328250001,-65.666664123 41.7999992370001,-65.666664123 41.8166656490001,-65.666664123 41.8333320620001,-65.666664123 41.8499984740001,-65.666664123 41.8666648860001,-65.666664123 41.883335114,-65.666664123 41.900001526,-65.666664123 41.916667938,-65.666664123 41.933334351,-65.666664123 41.950000763,-65.666664123 41.966667176,-65.666664123 41.9833335880001,-65.666664123 42.0000000000001,-65.683288574 42.0166664120001,-65.699920654 42.0333328250001,-65.7165527339999 42.0499992370001,-65.7331924439999 42.0666656490001,-65.7498321529999 42.0833320620001,-65.766479492 42.0999984740001,-65.78313446 42.1166648870001,-65.799789429 42.133335114,-65.8164443969999 42.150001526,-65.833114624 42.166667939,-65.849777221 42.183334351,-65.8664550779999 42.200000763,-65.8831329349999 42.2166671750001,-65.8998107909999 42.2333335880001,-65.9165039059999 42.2500000000001,-65.933189392 42.2666664120001,-65.949890137 42.2833328250001,-65.966583252 42.2999992370001,-65.983291626 42.3166656490001,-65.9999999999999 42.3333320620001,-66.016670227 42.3333320620001,-66.0333328249999 42.3333320620001,-66.050003052 42.3333320620001,-66.066665649 42.3333320620001,-66.083335876 42.3333320620001,-66.099998474 42.3333320620001,-66.116668701 42.3333320620001,-66.133331299 42.3333320620001,-66.150001526 42.3333320620001,-66.166664124 42.3333320620001,-66.183334351 42.3333320620001,-66.199996948 42.3333320620001,-66.2166671749999 42.3333320620001,-66.233329773 42.3333320620001,-66.2499999999999 42.3333320620001,-66.266670227 42.3333320620001,-66.283332824 42.3333320620001,-66.300003051 42.3333320620001,-66.316665649 42.3333320620001,-66.333335876 42.3333320620001,-66.349998474 42.3333320620001,-66.366668701 42.3333320620001,-66.383331299 42.3333320620001,-66.400001526 42.3333320620001,-66.416664123 42.3333320620001,-66.4333343499999 42.3333320620001,-66.449996948 42.3333320620001,-66.4666671749999 42.3333320620001,-66.483329773 42.3333320620001,-66.4999999999999 42.3333320620001,-66.516670227 42.3333320620001,-66.5333328249999 42.3333320620001,-66.550003052 42.3333320620001,-66.566665649 42.3333320620001,-66.583335876 42.3333320620001,-66.599998474 42.3333320620001,-66.616668701 42.3333320620001,-66.633331299 42.3333320620001,-66.666664123 42.3333320620001,-66.6833343499999 42.3333320620001,-66.699996948 42.3333320620001,-66.705558777 42.3333320620001,-66.7166671749999 42.3333320620001,-66.733329773 42.3333320620001,-66.7499999999999 42.3333320620001,-66.766670227 42.3333320620001,-66.7833328249999 42.3333320620001,-66.800003052 42.3333320620001,-66.816665649 42.3333320620001,-66.833335876 42.3333320620001,-66.849998474 42.3333320620001,-66.866668701 42.3333320620001,-66.883331298 42.3333320620001,-66.900001526 42.3333320620001,-66.916664124 42.3333320620001,-66.933334351 42.3333320620001,-66.949996948 42.3333320620001,-66.9666671749999 42.3333320620001,-66.983329773 42.3333320620001,-66.9999999999999 42.3333320620001,-67.016670227 42.3333320620001,-67.0333328249999 42.3333320620001,-67.050003052 42.3333320620001,-67.066665649 42.3333320620001,-67.083335876 42.3333320620001,-67.099998474 42.3333320620001,-67.116668701 42.3333320620001,-67.133331299 42.3333320620001,-67.150001526 42.3333320620001,-67.166664124 42.3333320620001,-67.183334351 42.3333320620001,-67.199996948 42.3333320620001,-67.2166671749999 42.3333320620001,-67.233329773 42.3333320620001,-67.2499999999999 42.3333320620001,-67.266670227 42.3333320620001,-67.283332824 42.3333320620001,-67.300003052 42.3333320620001,-67.303649902 42.3333320620001,-67.316261292 42.347614288,-67.32888031 42.3618965150001,-67.341506958 42.3761749270001,-67.3541336059999 42.390453338,-67.366767884 42.404727936,-67.37940979 42.419002533,-67.392059326 42.4332771300001,-67.4047088629999 42.4475517280001,-67.4173660279999 42.461818695,-67.430030823 42.4760894770001,-67.4427032469999 42.490356445,-67.455375671 42.504623413,-67.4680557249999 42.5188903810001,-67.479446411 42.5342483520001,-67.490844727 42.549610138,-67.5022506719999 42.5649681090001,-67.513664245 42.5803260810001,-67.52507782 42.5956802370001,-67.536499024 42.6110343940001,-67.5479278559999 42.6263885500001,-67.5593643189999 42.641742707,-67.5708007809999 42.657093048,-67.582244873 42.6724433900001,-67.593696595 42.6877937310001,-67.6051483159999 42.7031402590001,-67.6166076659999 42.718486786,-67.628074646 42.733833313,-67.639549256 42.749176026,-67.651023865 42.764518738,-67.662513732 42.7798614500001,-67.674003601 42.7952041630001,-67.6854934689999 42.81054306,-67.696998596 42.825881958,-67.708503723 42.841217041,-67.720016479 42.8565521240001,-67.731529236 42.871887207,-67.743057251 42.8872222900001,-67.7370452879999 42.904434204,-67.7310333249999 42.9216461180001,-67.7250213619999 42.938858032,-67.71900177 42.9560699460001,-67.712982177 42.9732780460001,-67.706962585 42.99048996,-67.700935364 43.0076980590001,-67.6949005129999 43.024909973,-67.688865661 43.042118073,-67.68283081 43.0593261720001,-67.67678833 43.0765342710001,-67.67073822 43.09374237,-67.66469574 43.11095047,-67.65864563 43.128158569,-67.6525878909999 43.1453666690001,-67.646530151 43.1625709530001,-67.640464783 43.1797790530001,-67.634399414 43.1969833370001,-67.628334045 43.2141876220001,-67.6222610469999 43.2313957220001,-67.616188049 43.2486000060001,-67.6101074219999 43.2658042910001,-67.604026795 43.283008576,-67.5979385369999 43.30021286,-67.5918502809999 43.3174133300001,-67.585762024 43.3346176150001,-67.5796661379999 43.351818085,-67.5735626219999 43.36902237,-67.5674591059999 43.3862228400001,-67.5613555909999 43.4034233100001,-67.555244446 43.42062378,-67.5491332999999 43.4378242500001,-67.543014526 43.45502472,-67.536895752 43.4722251900001,-67.530769348 43.4894256600001,-67.5246429439999 43.50662613,-67.51851654 43.523822785,-67.512382507 43.541023255,-67.506240845 43.55821991,-67.500099182 43.5754165650001,-67.49395752 43.59261322,-67.487808227 43.609809876,-67.481658936 43.6270065310001,-67.475502014 43.644203186,-67.469345093 43.661399841,-67.463180542 43.678592682,-67.4570159909999 43.6957893370001,-67.45085144 43.7129821770001,-67.44467926 43.730178833,-67.438499451 43.7473716740001,-67.4323196409999 43.7645645150001,-67.4261398319999 43.781757355,-67.419952393 43.798950195,-67.4137573249999 43.816143036,-67.407569886 43.8333320620001,-67.383331299 43.8333320620001,-67.366668701 43.8333320620001,-67.349998474 43.8333320620001,-67.333335877 43.8333320620001,-67.3166656499999 43.8333320620001,-67.300003052 43.8333320620001,-67.283332824 43.8333320620001,-67.266670227 43.8333320620001,-67.2499999999999 43.8333320620001,-67.233329773 43.8333320620001,-67.2166671749999 43.8333320620001,-67.199996948 43.8333320620001,-67.183334351 43.8333320620001,-67.166664124 43.8333320620001,-67.150001526 43.8333320620001,-67.133331299 43.8333320620001,-67.116668702 43.8333320620001,-67.0999984749999 43.8333320620001,-67.083335876 43.8333320620001,-67.066665649 43.8333320620001,-67.050003052 43.8333320620001,-67.0333328249999 43.8333320620001,-67.016670227 43.8333320620001,-66.9999999999999 43.8333320620001,-66.983329773 43.8333320620001,-66.9666671749999 43.8333320620001,-66.949996948 43.8333320620001,-66.933334351 43.8333320620001,-66.916664124 43.8333320620001,-66.9031295779999 43.8333320620001,-66.9031295779999 43.8499984740001,-66.9031295779999 43.8666648860001,-66.9031295779999 43.883335113,-66.9031295779999 43.9000015250001,-66.9031295779999 43.916667939,-66.9031295779999 43.933334351,-66.9031295779999 43.950000763,-66.9031295779999 43.9666671750001,-66.9031295779999 43.9833335880001,-66.9031295779999 44.0000000000001,-66.9031295779999 44.0166664120001,-66.9031295779999 44.0333328250001,-66.9031295779999 44.0499992370001,-66.9031295779999 44.0666656490001,-66.9031295779999 44.0833320610001,-66.9031295779999 44.0999984740001,-66.9031295779999 44.1166648870001,-66.9031295779999 44.133335114,-66.9031295779999 44.150001526,-66.9031295779999 44.166667938,-66.9031295779999 44.183334351,-66.9031295779999 44.200000763,-66.9031295779999 44.2166671750001,-66.9031295779999 44.2333335880001,-66.9031295779999 44.2500000000001,-66.9031295779999 44.2666664120001,-66.9031295779999 44.2833328240001,-66.9031295779999 44.2999992370001,-66.9031295779999 44.3166656500001,-66.9031295779999 44.3333320620001,-66.9031295779999 44.3499984740001,-66.9031295779999 44.3666648870001,-66.9031295779999 44.383335114,-66.9031295779999 44.400001526,-66.9031295779999 44.416667938,-66.9031295779999 44.4333343500001,-66.9031295779999 44.450000763,-66.9031295779999 44.4666671750001,-66.9031295779999 44.4833335870001,-66.9031295779999 44.5000000000001,-66.9031295779999 44.5166664130001,-66.9031295779999 44.5333328250001,-66.9031295779999 44.5499992370001,-66.9031295779999 44.5666656500001,-66.9031295779999 44.5833320620001,-66.9031295779999 44.5999984740001,-66.9031295779999 44.6166648860001,-66.9031295779999 44.633335113,-66.9031295779999 44.650001526,-66.9031295779999 44.666667938,-66.9031295779999 44.6833343500001,-66.9031295779999 44.700000763,-66.9031295779999 44.716667176,-66.9031295779999 44.7333335880001,-66.9031295779999 44.7500000000001,-66.9031295779999 44.7666664130001,-66.9031295779999 44.805950894,-66.932583333 44.8255,-66.965305555 44.828861111,-66.9748611109999 44.8416111110001,-66.974777778 44.8509722220001,-66.9807222219999 44.8604722220001,-66.9821388889999 44.8672500000001,-66.98 44.877444444,-66.972222222 44.894777778,-66.9687222219999 44.910388889,-66.996861111 44.9283611120001,-67.0099999999999 44.9447500000001,-67.021666667 44.9539166660001,-67.0945555549999 45.0745000000001,-67.112555556 45.112583333,-67.1307449339999 45.125022888,-67.1426696779999 45.1379814150001,-67.15096283 45.161308289,-67.161331177 45.164421082,-67.1831054689999 45.164421082,-67.187871945 45.1637769800001,-67.21294403 45.1603889460001,-67.24319458 45.1853332520001,-67.2779998779999 45.1860275270001,-67.3014984129999 45.138137817,-67.330597864 45.2504741440001,-69.4264374269999 46.0000000000001,-66.397988138 46.304211578,-65.698478367 46.339480978,-65.0371771119999 46.2013424940001,-64.687422226 46.1454992770001,-64.4999999999999 46.0000000000001,-64.061390371 45.854526725)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.4', '', '21.4', '21.4.X', '', '21.4X', '', '', '', '', '', '', '', '4X', '3', '21.4.X', '21.4X', 'Y'),('SRID=4326;MULTIPOLYGON(((13.288931351 57.5000000000001,13.0007375280001 57.5000000000001,12.0000000000001 57.5000000000001,11.948660401 57.4606791310001,11.9069573940001 57.485363056,11.7167000000001 57.5000000000001,11.0000000000001 57.6603183650001,10.6222199490001 57.742848506,10.5458392510001 57.7210764370001,10.401286995 57.6297051350001,10.222025866 57.2602158030001,9.45530063900003 57.1004813810001,8.93137173400004 57.074923873,8.64586676600004 57.0000000000001,8.52746243800004 56.968927648,8.43262625100004 57.0000000000001,8.43110007900003 57.000500039,8.42937449700003 57.000000039,8.00000007800003 57.000000039,8.00000007800003 57.500000039,7.00000017100007 57.5000002610001,7.00000057300002 57.5047359390001,7.00000007800003 57.99943304,7.00000007800003 58.02010004,7.00000057800003 58.02435954,7.00000007800003 58.0317120400001,7.08819161800005 58.1121577280001,7.10887467500004 58.1310241950001,7.68107351500004 58.6529668840001,7.84619411100005 59.0000000000001,7.98546439300003 59.2927036450001,8.00000000000006 59.339809777,8.54265447500006 61.098412243,8.80596908900003 62.2302760270001,8.82546829300003 62.3140937960001,8.89197935600004 62.2548502970001,12.021907358 59.466924798,12.0927555800001 59.346181083,12.787938775 58.1614089190001,13.288931351 57.5000000000001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.III', 'Skagerrak, Kattegat, Sound, Belt S., and Baltic S.', '27.III', '27.III.a', 'Skagerrak and Kattegat', '27.IIIa', '27.III.a.N', 'Skagerrak', '27.IIIaN', '', '', '', '', 'IIIaN', '4', '27.3.a.n', '27.IIIaN', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.56489993299994 47.9996000300001,-4.56609993299998 47.99930003,-4.56912886299995 48.0000000150001,-4.56421395399997 48.000000018,-4.56489993299994 47.9996000300001)),((-4.99999996899993 48.0000000300001,-7.99999993599994 48.000000018,-8.99999996199995 48.0000000300001,-8.99999993699993 50.0000000140001,-6.99999995399997 50.000000023,-6.99999991999994 49.5000000320001,-4.99999993399996 49.500000019,-4.99999996899993 48.0000000300001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VII', '', '27.VII', '27.VII.h', 'Celtic Sea South', '27.VIIh', '', '', '', '', '', '', '', 'VIIh', '3', '27.7.h', '27.VIIh', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.199999809 29.0000000000001,-11.399999619 29.0000000000001,-9.99999999999994 29.0000000000001,-10.5656852719999 28.4343147280001,-11.1313705439999 27.8686294560001,-11.697055817 27.3029441830001,-12.2627420429999 26.737258911,-12.9999999999999 26.0000000000001,-14.399999619 26.0000000000001,-15.199999809 26.0000000000001,-15.9999999999999 26.0000000000001,-15.2627420429999 26.737258911,-14.697055817 27.3029441830001,-14.1313705439999 27.8686294560001,-13.5656852719999 28.4343147280001,-12.9999999999999 29.0000000000001,-12.199999809 29.0000000000001)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.1', 'Northern Coastal', '', '34.1.1', 'Morocco Coastal', '', '34.1.1.3', '', '', '', '', '', '', '1.13', '4', '34.1.1.3', '34.1.1.3', 'Y'),('SRID=4326;MULTIPOLYGON(((0.0400000710000654 64.7200000460001,-0.489999928999964 64.430000046,-1.30999992999995 64.8400000460001,-1.55999992999995 64.920000046,-2.16999993099995 65.1300000460001,-2.53999993099995 65.2200000460001,-3.18999993199998 65.3900000470001,-3.72999993199994 65.470000047,-4.18999993299997 65.5500000470001,-5.57999993399994 65.6900000470001,-5.59999993399992 65.9600000470001,-5.66999993399997 66.220000047,-5.77999993399993 66.470000048,-6.24999993499995 67.090000048,-6.61999993499995 67.6100000490001,-5.32999993399994 67.770000049,-4.18999993299997 67.960000049,-3.41999993199994 68.1000000490001,-2.38999993099998 68.330000049,-1.55999992999995 68.5500000490001,-0.609999929999958 68.8600000500001,0.080000071000029 69.1400000500001,0.680000072000041 69.44000005,1.18000007200004 69.7600000510001,1.46000007200007 69.9700000510001,1.72000007300005 70.2100000510001,1.94000007300002 70.430000051,2.09000007300006 70.6300000510001,2.25000007300002 70.8900000520001,2.35000007300005 71.1400000520001,2.39000007300007 71.350000052,2.38000007300008 71.610000052,2.31000007300003 71.830000053,2.22000007300005 72.0100000530001,2.06000007300003 72.2400000530001,1.89000007300007 72.4300000530001,1.68000007300003 72.600000053,1.48000007200005 72.7500000530001,1.08000007200008 72.9900000540001,0.34000007100002 73.3100000540001,-0.199999877999971 73.5000000360001,7.21000010300003 73.5000000360001,7.28000007800006 73.450000054,7.83000007800007 73.140000054,8.65000007900005 72.7600000530001,9.33000008000005 72.4900000530001,9.83000008000005 72.3100000530001,10.2900000810001 72.1800000530001,9.94000008000006 71.9800000530001,9.70000008000005 71.910000053,8.75000007900007 71.6400000520001,7.93000007800003 71.360000052,7.42000007800004 71.1300000520001,6.73000007700006 70.790000052,5.64000007600004 70.170000051,5.01000007600004 69.790000051,4.74000007500007 69.56000005,4.32000007500005 69.32000005,4.00000007500006 69.1000000500001,3.73000007400003 68.8600000500001,3.57000007400006 68.69000005,3.40000007400005 68.460000049,3.27000007400005 68.2300000490001,3.19000007400007 67.9800000490001,3.16000007400004 67.770000049,3.15000007400005 67.570000049,3.18000007400002 67.3700000480001,3.24000007400002 67.1800000480001,3.31000007400007 67.0100000480001,3.42000007400003 66.840000048,3.27000007400005 66.4300000470001,3.18000007400002 66.3900000470001,2.79000007400003 66.230000047,2.24000007300003 65.9500000470001,1.79000007300004 65.6400000470001,1.44000007200003 65.3800000470001,1.26000007200003 65.3200000460001,0.720000072000062 65.0800000460001,0.0400000710000654 64.7200000460001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.II', 'Norwegian Sea, Spitzbergen, and Bear Island', '27.II', '27.II.a', 'Norwegian Sea', '27.IIa', '27.II.a.1', 'Norwegian Sea - NEAFC Regulatory Area', '27.IIa1', '', '', '', '', 'IIa1', '4', '27.2.a.1', '27.IIa1', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 20.0000000000001,-19.9999999999999 19.0000000000001,-19.9999999999999 18.200000763,-19.9999999999999 17.399999619,-19.9999999999999 16.0000000000001,-19.9999999999999 15.1999998090001,-19.9999999999999 14.399999619,-19.9999999999999 13.600000381,-19.9999999999999 12.333299637,-19.9999999999999 11.5332994460001,-19.9999999999999 10.0000000000001,-21.2000007629999 10.0000000000001,-21.9999999999999 10.0000000000001,-22.799999237 10.0000000000001,-23.600000381 10.0000000000001,-24.399999619 10.0000000000001,-25.2000007629999 10.0000000000001,-25.9999999999999 10.0000000000001,-26.799999237 10.0000000000001,-27.600000381 10.0000000000001,-28.399999619 10.0000000000001,-29.2000007629999 10.0000000000001,-29.9999999999999 10.0000000000001,-29.9999999999999 11.1999998090001,-29.9999999999999 12.0000000000001,-29.9999999999999 12.800000191,-29.9999999999999 13.600000381,-29.9999999999999 14.399999619,-29.9999999999999 15.1999998090001,-29.9999999999999 16.0000000000001,-29.9999999999999 16.7999992370001,-29.9999999999999 17.600000381,-29.9999999999999 18.399999619,-29.9999999999999 19.200000763,-29.9999999999999 20.0000000000001,-29.2000007629999 20.0000000000001,-28.399999619 20.0000000000001,-27.600000381 20.0000000000001,-26.799999237 20.0000000000001,-25.9999999999999 20.0000000000001,-25.2000007629999 20.0000000000001,-24.399999619 20.0000000000001,-23.600000381 20.0000000000001,-22.799999237 20.0000000000001,-21.9999999999999 20.0000000000001,-21.2000007629999 20.0000000000001,-19.9999999999999 20.0000000000001)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.3', 'Southern Coastal', '', '34.3.2', 'Cape Verde Insular', '', '', '', '', '', '', '', '', '3.2', '3', '34.3.2', '34.3.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-59.9999999999999 35.0000000000001,-60.0166664119999 35.0000000000001,-60.0333328249999 35.0000000000001,-60.049999237 35.0000000000001,-60.066665649 35.0000000000001,-60.083332062 35.0000000000001,-60.099998474 35.0000000000001,-60.116664886 35.0000000000001,-60.133335114 35.0000000000001,-60.150001526 35.0000000000001,-60.1666679379999 35.0000000000001,-60.183334351 35.0000000000001,-60.2000007629999 35.0000000000001,-60.2166671749999 35.0000000000001,-60.2333335879999 35.0000000000001,-60.2499999999999 35.0000000000001,-60.2666664119999 35.0000000000001,-60.2833328249999 35.0000000000001,-60.299999237 35.0000000000001,-60.316665649 35.0000000000001,-60.333332062 35.0000000000001,-60.349998474 35.0000000000001,-60.366664886 35.0000000000001,-60.383335114 35.0000000000001,-60.400001526 35.0000000000001,-60.4166679379999 35.0000000000001,-60.433334351 35.0000000000001,-60.4500007629999 35.0000000000001,-60.4666671749999 35.0000000000001,-60.4833335879999 35.0000000000001,-60.4999999999999 35.0000000000001,-60.5166664119999 35.0000000000001,-60.5333328249999 35.0000000000001,-60.549999237 35.0000000000001,-60.566665649 35.0000000000001,-60.583332062 35.0000000000001,-60.599998474 35.0000000000001,-60.616664886 35.0000000000001,-60.633335114 35.0000000000001,-60.650001526 35.0000000000001,-60.6666679379999 35.0000000000001,-60.683334351 35.0000000000001,-60.7000007629999 35.0000000000001,-60.7166671749999 35.0000000000001,-60.7333335879999 35.0000000000001,-60.7499999999999 35.0000000000001,-60.7666664119999 35.0000000000001,-60.7833328249999 35.0000000000001,-60.799999237 35.0000000000001,-60.816665649 35.0000000000001,-60.833332062 35.0000000000001,-60.849998474 35.0000000000001,-60.866664886 35.0000000000001,-60.883335114 35.0000000000001,-60.900001526 35.0000000000001,-60.9166679379999 35.0000000000001,-60.933334351 35.0000000000001,-60.9500007629999 35.0000000000001,-60.9666671749999 35.0000000000001,-60.9833335879999 35.0000000000001,-60.9999999999999 35.0000000000001,-61.0166664119999 35.0000000000001,-61.0333328249999 35.0000000000001,-61.049999237 35.0000000000001,-61.066665649 35.0000000000001,-61.083332062 35.0000000000001,-61.099998474 35.0000000000001,-61.116664886 35.0000000000001,-61.133335114 35.0000000000001,-61.150001526 35.0000000000001,-61.1666679379999 35.0000000000001,-61.183334351 35.0000000000001,-61.2000007629999 35.0000000000001,-61.2166671749999 35.0000000000001,-61.2333335879999 35.0000000000001,-61.2499999999999 35.0000000000001,-61.2666664119999 35.0000000000001,-61.2833328249999 35.0000000000001,-61.299999237 35.0000000000001,-61.316665649 35.0000000000001,-61.333332062 35.0000000000001,-61.349998474 35.0000000000001,-61.366664886 35.0000000000001,-61.383335114 35.0000000000001,-61.400001526 35.0000000000001,-61.4166679379999 35.0000000000001,-61.433334351 35.0000000000001,-61.4500007629999 35.0000000000001,-61.4666671749999 35.0000000000001,-61.4833335879999 35.0000000000001,-61.4999999999999 35.0000000000001,-61.5166664119999 35.0000000000001,-61.5333328249999 35.0000000000001,-61.549999237 35.0000000000001,-61.566665649 35.0000000000001,-61.583332062 35.0000000000001,-61.599998474 35.0000000000001,-61.616664886 35.0000000000001,-61.633335114 35.0000000000001,-61.650001526 35.0000000000001,-61.6666679379999 35.0000000000001,-61.683334351 35.0000000000001,-61.7000007629999 35.0000000000001,-61.7166671749999 35.0000000000001,-61.7333335879999 35.0000000000001,-61.7499999999999 35.0000000000001,-61.7666664119999 35.0000000000001,-61.7833328249999 35.0000000000001,-61.799999237 35.0000000000001,-61.816665649 35.0000000000001,-61.833332062 35.0000000000001,-61.849998474 35.0000000000001,-61.866664886 35.0000000000001,-61.883335114 35.0000000000001,-61.900001526 35.0000000000001,-61.9166679379999 35.0000000000001,-61.933334351 35.0000000000001,-61.9500007629999 35.0000000000001,-61.9666671749999 35.0000000000001,-61.9833335879999 35.0000000000001,-61.9999999999999 35.0000000000001,-62.0166664119999 35.0000000000001,-62.0333328249999 35.0000000000001,-62.049999237 35.0000000000001,-62.066665649 35.0000000000001,-62.083332062 35.0000000000001,-62.099998474 35.0000000000001,-62.116664886 35.0000000000001,-62.133335114 35.0000000000001,-62.150001526 35.0000000000001,-62.1666679379999 35.0000000000001,-62.183334351 35.0000000000001,-62.2000007629999 35.0000000000001,-62.2166671749999 35.0000000000001,-62.2333335879999 35.0000000000001,-62.2499999999999 35.0000000000001,-62.2666664119999 35.0000000000001,-62.2833328249999 35.0000000000001,-62.299999237 35.0000000000001,-62.316665649 35.0000000000001,-62.333332062 35.0000000000001,-62.349998474 35.0000000000001,-62.366664886 35.0000000000001,-62.383335114 35.0000000000001,-62.400001526 35.0000000000001,-62.4166679379999 35.0000000000001,-62.433334351 35.0000000000001,-62.4500007629999 35.0000000000001,-62.4666671749999 35.0000000000001,-62.4833335879999 35.0000000000001,-62.4999999999999 35.0000000000001,-62.5166664119999 35.0000000000001,-62.5333328249999 35.0000000000001,-62.549999237 35.0000000000001,-62.566665649 35.0000000000001,-62.583332062 35.0000000000001,-62.599998474 35.0000000000001,-62.616664886 35.0000000000001,-62.633335114 35.0000000000001,-62.650001526 35.0000000000001,-62.6666679379999 35.0000000000001,-62.683334351 35.0000000000001,-62.7000007629999 35.0000000000001,-62.7166671749999 35.0000000000001,-62.7333335879999 35.0000000000001,-62.7499999999999 35.0000000000001,-62.7666664119999 35.0000000000001,-62.7833328249999 35.0000000000001,-62.799999237 35.0000000000001,-62.816665649 35.0000000000001,-62.833332062 35.0000000000001,-62.849998474 35.0000000000001,-62.866664886 35.0000000000001,-62.883335114 35.0000000000001,-62.900001526 35.0000000000001,-62.9166679379999 35.0000000000001,-62.933334351 35.0000000000001,-62.9500007629999 35.0000000000001,-62.9666671749999 35.0000000000001,-62.9833335879999 35.0000000000001,-62.9999999999999 35.0000000000001,-63.0166664119999 35.0000000000001,-63.0333328249999 35.0000000000001,-63.049999237 35.0000000000001,-63.066665649 35.0000000000001,-63.083332062 35.0000000000001,-63.099998474 35.0000000000001,-63.116664886 35.0000000000001,-63.133335114 35.0000000000001,-63.150001526 35.0000000000001,-63.1666679379999 35.0000000000001,-63.183334351 35.0000000000001,-63.2000007629999 35.0000000000001,-63.2166671749999 35.0000000000001,-63.2333335879999 35.0000000000001,-63.2499999999999 35.0000000000001,-63.2666664119999 35.0000000000001,-63.2833328249999 35.0000000000001,-63.299999237 35.0000000000001,-63.316665649 35.0000000000001,-63.333332062 35.0000000000001,-63.349998474 35.0000000000001,-63.366664886 35.0000000000001,-63.383335114 35.0000000000001,-63.400001526 35.0000000000001,-63.4166679379999 35.0000000000001,-63.433334351 35.0000000000001,-63.4500007629999 35.0000000000001,-63.4666671749999 35.0000000000001,-63.4833335879999 35.0000000000001,-63.4999999999999 35.0000000000001,-63.5166664119999 35.0000000000001,-63.5333328249999 35.0000000000001,-63.549999237 35.0000000000001,-63.566665649 35.0000000000001,-63.583332062 35.0000000000001,-63.599998474 35.0000000000001,-63.616664886 35.0000000000001,-63.633335114 35.0000000000001,-63.650001526 35.0000000000001,-63.6666679379999 35.0000000000001,-63.683334351 35.0000000000001,-63.7000007629999 35.0000000000001,-63.7166671749999 35.0000000000001,-63.7333335879999 35.0000000000001,-63.7499999999999 35.0000000000001,-63.7666664119999 35.0000000000001,-63.7833328249999 35.0000000000001,-63.799999237 35.0000000000001,-63.816665649 35.0000000000001,-63.833332062 35.0000000000001,-63.849998474 35.0000000000001,-63.866664886 35.0000000000001,-63.883335114 35.0000000000001,-63.900001526 35.0000000000001,-63.9166679379999 35.0000000000001,-63.933334351 35.0000000000001,-63.9500007629999 35.0000000000001,-63.9666671749999 35.0000000000001,-63.9833335879999 35.0000000000001,-63.9999999999999 35.0000000000001,-64.016670227 35.0000000000001,-64.0333328249999 35.0000000000001,-64.050003052 35.0000000000001,-64.066665649 35.0000000000001,-64.083335876 35.0000000000001,-64.099998474 35.0000000000001,-64.116668701 35.0000000000001,-64.133331299 35.0000000000001,-64.150001526 35.0000000000001,-64.166664124 35.0000000000001,-64.183334351 35.0000000000001,-64.199996948 35.0000000000001,-64.2166671749999 35.0000000000001,-64.233329773 35.0000000000001,-64.2499999999999 35.0000000000001,-64.266670227 35.0000000000001,-64.2833328249999 35.0000000000001,-64.300003052 35.0000000000001,-64.316665649 35.0000000000001,-64.333335876 35.0000000000001,-64.349998474 35.0000000000001,-64.366668701 35.0000000000001,-64.383331299 35.0000000000001,-64.400001526 35.0000000000001,-64.416664124 35.0000000000001,-64.433334351 35.0000000000001,-64.449996948 35.0000000000001,-64.4666671749999 35.0000000000001,-64.483329773 35.0000000000001,-64.4999999999999 35.0000000000001,-64.516670227 35.0000000000001,-64.5333328249999 35.0000000000001,-64.550003052 35.0000000000001,-64.566665649 35.0000000000001,-64.583335876 35.0000000000001,-64.599998474 35.0000000000001,-64.616668701 35.0000000000001,-64.633331299 35.0000000000001,-64.650001526 35.0000000000001,-64.666664124 35.0000000000001,-64.683334351 35.0000000000001,-64.699996948 35.0000000000001,-64.7166671749999 35.0000000000001,-64.733329773 35.0000000000001,-64.7499999999999 35.0000000000001,-64.766670227 35.0000000000001,-64.7833328249999 35.0000000000001,-64.800003052 35.0000000000001,-64.816665649 35.0000000000001,-64.833335876 35.0000000000001,-64.849998474 35.0000000000001,-64.866668701 35.0000000000001,-64.883331299 35.0000000000001,-64.900001526 35.0000000000001,-64.916664124 35.0000000000001,-64.933334351 35.0000000000001,-64.949996948 35.0000000000001,-64.9666671749999 35.0000000000001,-64.983329773 35.0000000000001,-64.9999999999999 35.0000000000001,-64.9999999999999 35.0166664120001,-64.9999999999999 35.0333328250001,-64.9999999999999 35.0499992370001,-64.9999999999999 35.0666656490001,-64.9999999999999 35.0833320620001,-64.9999999999999 35.0999984740001,-64.9999999999999 35.116664886,-64.9999999999999 35.133335114,-64.9999999999999 35.150001526,-64.9999999999999 35.166667938,-64.9999999999999 35.183334351,-64.9999999999999 35.200000763,-64.9999999999999 35.2166671750001,-64.9999999999999 35.2333335880001,-64.9999999999999 35.2500000000001,-64.9999999999999 35.2666664120001,-64.9999999999999 35.2833328250001,-64.9999999999999 35.2999992370001,-64.9999999999999 35.3166656490001,-64.9999999999999 35.3333320620001,-64.9999999999999 35.3499984740001,-64.9999999999999 35.366664886,-64.9999999999999 35.383335114,-64.9999999999999 35.400001526,-64.9999999999999 35.416667938,-64.9999999999999 35.433334351,-64.9999999999999 35.450000763,-64.9999999999999 35.4666671750001,-64.9999999999999 35.4833335880001,-64.9999999999999 35.5000000000001,-64.9999999999999 35.5166664120001,-64.9999999999999 35.5333328250001,-64.9999999999999 35.5499992370001,-64.9999999999999 35.5666656490001,-64.9999999999999 35.5833320620001,-64.9999999999999 35.5999984740001,-64.9999999999999 35.616664886,-64.9999999999999 35.633335114,-64.9999999999999 35.650001526,-64.9999999999999 35.666667938,-64.9999999999999 35.683334351,-64.9999999999999 35.700000763,-64.9999999999999 35.7166671750001,-64.9999999999999 35.7333335880001,-64.9999999999999 35.7500000000001,-64.9999999999999 35.7666664120001,-64.9999999999999 35.7833328250001,-64.9999999999999 35.7999992370001,-64.9999999999999 35.8166656490001,-64.9999999999999 35.8333320620001,-64.9999999999999 35.8499984740001,-64.9999999999999 35.866664886,-64.9999999999999 35.883335114,-64.9999999999999 35.900001526,-64.9999999999999 35.916667938,-64.9999999999999 35.933334351,-64.9999999999999 35.950000763,-64.9999999999999 35.9666671750001,-64.9999999999999 35.9833335880001,-64.9999999999999 36.0000000000001,-64.9999999999999 36.0166664120001,-64.9999999999999 36.0333328250001,-64.9999999999999 36.0499992370001,-64.9999999999999 36.0666656490001,-64.9999999999999 36.0833320620001,-64.9999999999999 36.0999984740001,-64.9999999999999 36.116664886,-64.9999999999999 36.133335114,-64.9999999999999 36.150001526,-64.9999999999999 36.166667938,-64.9999999999999 36.183334351,-64.9999999999999 36.200000763,-64.9999999999999 36.2166671750001,-64.9999999999999 36.2333335880001,-64.9999999999999 36.2500000000001,-64.9999999999999 36.2666664120001,-64.9999999999999 36.2833328250001,-64.9999999999999 36.2999992370001,-64.9999999999999 36.3166656490001,-64.9999999999999 36.3333320620001,-64.9999999999999 36.3499984740001,-64.9999999999999 36.366664886,-64.9999999999999 36.383335114,-64.9999999999999 36.400001526,-64.9999999999999 36.416667938,-64.9999999999999 36.433334351,-64.9999999999999 36.450000763,-64.9999999999999 36.4666671750001,-64.9999999999999 36.4833335880001,-64.9999999999999 36.5000000000001,-64.9999999999999 36.5166664120001,-64.9999999999999 36.5333328250001,-64.9999999999999 36.5499992370001,-64.9999999999999 36.5666656490001,-64.9999999999999 36.5833320620001,-64.9999999999999 36.5999984740001,-64.9999999999999 36.616664886,-64.9999999999999 36.633335114,-64.9999999999999 36.650001526,-64.9999999999999 36.666667938,-64.9999999999999 36.683334351,-64.9999999999999 36.700000763,-64.9999999999999 36.7166671750001,-64.9999999999999 36.7333335880001,-64.9999999999999 36.7500000000001,-64.9999999999999 36.7666664120001,-64.9999999999999 36.7833328250001,-64.9999999999999 36.7999992370001,-64.9999999999999 36.8166656490001,-64.9999999999999 36.8333320620001,-64.9999999999999 36.8499984740001,-64.9999999999999 36.866664886,-64.9999999999999 36.883335114,-64.9999999999999 36.900001526,-64.9999999999999 36.916667938,-64.9999999999999 36.933334351,-64.9999999999999 36.950000763,-64.9999999999999 36.9666671750001,-64.9999999999999 36.9833335880001,-64.9999999999999 37.0000000000001,-64.9999999999999 37.0166664120001,-64.9999999999999 37.0333328250001,-64.9999999999999 37.0499992370001,-64.9999999999999 37.0666656490001,-64.9999999999999 37.0833320620001,-64.9999999999999 37.0999984740001,-64.9999999999999 37.1166648860001,-64.9999999999999 37.133335114,-64.9999999999999 37.150001526,-64.9999999999999 37.166667938,-64.9999999999999 37.183334351,-64.9999999999999 37.200000763,-64.9999999999999 37.2166671750001,-64.9999999999999 37.2333335880001,-64.9999999999999 37.2500000000001,-64.9999999999999 37.2666664120001,-64.9999999999999 37.2833328250001,-64.9999999999999 37.2999992370001,-64.9999999999999 37.3166656490001,-64.9999999999999 37.3333320620001,-64.9999999999999 37.3499984740001,-64.9999999999999 37.3666648860001,-64.9999999999999 37.383335114,-64.9999999999999 37.400001526,-64.9999999999999 37.416667938,-64.9999999999999 37.433334351,-64.9999999999999 37.450000763,-64.9999999999999 37.4666671750001,-64.9999999999999 37.4833335880001,-64.9999999999999 37.5000000000001,-64.9999999999999 37.5166664120001,-64.9999999999999 37.5333328250001,-64.9999999999999 37.5499992370001,-64.9999999999999 37.5666656490001,-64.9999999999999 37.5833320620001,-64.9999999999999 37.5999984740001,-64.9999999999999 37.6166648860001,-64.9999999999999 37.633335114,-64.9999999999999 37.650001526,-64.9999999999999 37.666667938,-64.9999999999999 37.683334351,-64.9999999999999 37.700000763,-64.9999999999999 37.7166671750001,-64.9999999999999 37.7333335880001,-64.9999999999999 37.7500000000001,-64.9999999999999 37.7666664120001,-64.9999999999999 37.7833328250001,-64.9999999999999 37.7999992370001,-64.9999999999999 37.8166656490001,-64.9999999999999 37.8333320620001,-64.9999999999999 37.8499984740001,-64.9999999999999 37.8666648860001,-64.9999999999999 37.883335114,-64.9999999999999 37.900001526,-64.9999999999999 37.916667938,-64.9999999999999 37.933334351,-64.9999999999999 37.950000763,-64.9999999999999 37.9666671750001,-64.9999999999999 37.9833335880001,-64.9999999999999 38.0000000000001,-64.9999999999999 38.0166664120001,-64.9999999999999 38.0333328250001,-64.9999999999999 38.0499992370001,-64.9999999999999 38.0666656490001,-64.9999999999999 38.0833320620001,-64.9999999999999 38.0999984740001,-64.9999999999999 38.1166648860001,-64.9999999999999 38.133335114,-64.9999999999999 38.150001526,-64.9999999999999 38.166667938,-64.9999999999999 38.183334351,-64.9999999999999 38.200000763,-64.9999999999999 38.2166671750001,-64.9999999999999 38.2333335880001,-64.9999999999999 38.2500000000001,-64.9999999999999 38.2666664120001,-64.9999999999999 38.2833328250001,-64.9999999999999 38.2999992370001,-64.9999999999999 38.3166656490001,-64.9999999999999 38.3333320620001,-64.9999999999999 38.3499984740001,-64.9999999999999 38.3666648860001,-64.9999999999999 38.383335114,-64.9999999999999 38.400001526,-64.9999999999999 38.416667938,-64.9999999999999 38.433334351,-64.9999999999999 38.450000763,-64.9999999999999 38.4666671750001,-64.9999999999999 38.4833335880001,-64.9999999999999 38.5000000000001,-64.9999999999999 38.5166664120001,-64.9999999999999 38.5333328250001,-64.9999999999999 38.5499992370001,-64.9999999999999 38.5666656490001,-64.9999999999999 38.5833320620001,-64.9999999999999 38.5999984740001,-64.9999999999999 38.6166648860001,-64.9999999999999 38.633335114,-64.9999999999999 38.650001526,-64.9999999999999 38.666667938,-64.9999999999999 38.683334351,-64.9999999999999 38.700000763,-64.9999999999999 38.7166671750001,-64.9999999999999 38.7333335880001,-64.9999999999999 38.7500000000001,-64.9999999999999 38.7666664120001,-64.9999999999999 38.7833328250001,-64.9999999999999 38.7999992370001,-64.9999999999999 38.8166656490001,-64.9999999999999 38.8333320620001,-64.9999999999999 38.8499984740001,-64.9999999999999 38.8666648860001,-64.9999999999999 38.883335114,-64.9999999999999 38.900001526,-64.9999999999999 38.916667938,-64.9999999999999 38.933334351,-64.9999999999999 38.950000763,-64.9999999999999 38.9666671750001,-64.9999999999999 39.0000000000001,-64.983329773 39.0000000000001,-64.9666671749999 39.0000000000001,-64.949996948 39.0000000000001,-64.933334351 39.0000000000001,-64.916664124 39.0000000000001,-64.9000015249999 39.0000000000001,-64.883331298 39.0000000000001,-64.866668701 39.0000000000001,-64.849998474 39.0000000000001,-64.833335876 39.0000000000001,-64.816665649 39.0000000000001,-64.800003052 39.0000000000001,-64.7833328249999 39.0000000000001,-64.766670227 39.0000000000001,-64.7499999999999 39.0000000000001,-64.733329773 39.0000000000001,-64.7166671749999 39.0000000000001,-64.699996948 39.0000000000001,-64.6833343499999 39.0000000000001,-64.666664123 39.0000000000001,-64.650001526 39.0000000000001,-64.633331299 39.0000000000001,-64.616668701 39.0000000000001,-64.599998474 39.0000000000001,-64.583335876 39.0000000000001,-64.566665649 39.0000000000001,-64.550003052 39.0000000000001,-64.5333328249999 39.0000000000001,-64.516670227 39.0000000000001,-64.4999999999999 39.0000000000001,-64.483329773 39.0000000000001,-64.4666671749999 39.0000000000001,-64.449996948 39.0000000000001,-64.433334351 39.0000000000001,-64.416664123 39.0000000000001,-64.400001526 39.0000000000001,-64.383331299 39.0000000000001,-64.366668701 39.0000000000001,-64.349998474 39.0000000000001,-64.333335876 39.0000000000001,-64.316665649 39.0000000000001,-64.300003051 39.0000000000001,-64.283332824 39.0000000000001,-64.266670227 39.0000000000001,-64.2499999999999 39.0000000000001,-64.233329773 39.0000000000001,-64.2166671749999 39.0000000000001,-64.199996948 39.0000000000001,-64.183334351 39.0000000000001,-64.166664124 39.0000000000001,-64.150001526 39.0000000000001,-64.133331299 39.0000000000001,-64.116668701 39.0000000000001,-64.099998474 39.0000000000001,-64.083335876 39.0000000000001,-64.066665649 39.0000000000001,-64.050003052 39.0000000000001,-64.0333328249999 39.0000000000001,-64.016670227 39.0000000000001,-63.9999999999999 39.0000000000001,-63.9833335879999 39.0000000000001,-63.9666671749999 39.0000000000001,-63.9500007629999 39.0000000000001,-63.933334351 39.0000000000001,-63.9166679379999 39.0000000000001,-63.9000015249999 39.0000000000001,-63.883335113 39.0000000000001,-63.866664886 39.0000000000001,-63.849998474 39.0000000000001,-63.833332062 39.0000000000001,-63.816665649 39.0000000000001,-63.799999237 39.0000000000001,-63.7833328249999 39.0000000000001,-63.7666664119999 39.0000000000001,-63.7499999999999 39.0000000000001,-63.7333335879999 39.0000000000001,-63.7166671749999 39.0000000000001,-63.7000007629999 39.0000000000001,-63.6833343499999 39.0000000000001,-63.6666679379999 39.0000000000001,-63.650001526 39.0000000000001,-63.633335113 39.0000000000001,-63.616664886 39.0000000000001,-63.599998474 39.0000000000001,-63.583332062 39.0000000000001,-63.566665649 39.0000000000001,-63.549999237 39.0000000000001,-63.5333328249999 39.0000000000001,-63.5166664119999 39.0000000000001,-63.4999999999999 39.0000000000001,-63.4833335869999 39.0000000000001,-63.4666671749999 39.0000000000001,-63.4500007629999 39.0000000000001,-63.433334351 39.0000000000001,-63.4166679379999 39.0000000000001,-63.400001526 39.0000000000001,-63.383335114 39.0000000000001,-63.366664886 39.0000000000001,-63.349998474 39.0000000000001,-63.333332062 39.0000000000001,-63.316665649 39.0000000000001,-63.299999237 39.0000000000001,-63.283332824 39.0000000000001,-63.2666664119999 39.0000000000001,-63.2499999999999 39.0000000000001,-63.2333335879999 39.0000000000001,-63.2166671749999 39.0000000000001,-63.2000007629999 39.0000000000001,-63.183334351 39.0000000000001,-63.1666679379999 39.0000000000001,-63.150001526 39.0000000000001,-63.133335114 39.0000000000001,-63.116664886 39.0000000000001,-63.099998474 39.0000000000001,-63.083332061 39.0000000000001,-63.066665649 39.0000000000001,-63.049999237 39.0000000000001,-63.0333328249999 39.0000000000001,-63.0166664119999 39.0000000000001,-62.9999999999999 39.0000000000001,-62.9833335879999 39.0000000000001,-62.9666671749999 39.0000000000001,-62.9500007629999 39.0000000000001,-62.933334351 39.0000000000001,-62.9166679379999 39.0000000000001,-62.900001526 39.0000000000001,-62.883335113 39.0000000000001,-62.866664886 39.0000000000001,-62.849998474 39.0000000000001,-62.833332062 39.0000000000001,-62.816665649 39.0000000000001,-62.799999237 39.0000000000001,-62.7833328249999 39.0000000000001,-62.7666664119999 39.0000000000001,-62.7499999999999 39.0000000000001,-62.7333335879999 39.0000000000001,-62.7166671749999 39.0000000000001,-62.7000007629999 39.0000000000001,-62.6833343499999 39.0000000000001,-62.6666679379999 39.0000000000001,-62.650001526 39.0000000000001,-62.633335114 39.0000000000001,-62.616664886 39.0000000000001,-62.599998474 39.0000000000001,-62.583332062 39.0000000000001,-62.566665649 39.0000000000001,-62.549999237 39.0000000000001,-62.5333328249999 39.0000000000001,-62.5166664119999 39.0000000000001,-62.4999999999999 39.0000000000001,-62.4833335869999 39.0000000000001,-62.4666671749999 39.0000000000001,-62.4500007629999 39.0000000000001,-62.433334351 39.0000000000001,-62.4166679379999 39.0000000000001,-62.400001526 39.0000000000001,-62.383335114 39.0000000000001,-62.366664886 39.0000000000001,-62.349998474 39.0000000000001,-62.333332062 39.0000000000001,-62.316665649 39.0000000000001,-62.299999237 39.0000000000001,-62.283332824 39.0000000000001,-62.2666664119999 39.0000000000001,-62.2499999999999 39.0000000000001,-62.2333335879999 39.0000000000001,-62.2166671749999 39.0000000000001,-62.2000007629999 39.0000000000001,-62.183334351 39.0000000000001,-62.1666679379999 39.0000000000001,-62.150001526 39.0000000000001,-62.133335113 39.0000000000001,-62.116664886 39.0000000000001,-62.099998474 39.0000000000001,-62.083332061 39.0000000000001,-62.066665649 39.0000000000001,-62.049999237 39.0000000000001,-62.0333328249999 39.0000000000001,-62.0166664119999 39.0000000000001,-61.9999999999999 39.0000000000001,-61.9833335879999 39.0000000000001,-61.9666671749999 39.0000000000001,-61.9500007629999 39.0000000000001,-61.933334351 39.0000000000001,-61.9166679379999 39.0000000000001,-61.900001526 39.0000000000001,-61.883335113 39.0000000000001,-61.866664886 39.0000000000001,-61.849998474 39.0000000000001,-61.833332062 39.0000000000001,-61.816665649 39.0000000000001,-61.799999237 39.0000000000001,-61.7833328249999 39.0000000000001,-61.7666664119999 39.0000000000001,-61.7499999999999 39.0000000000001,-61.7333335879999 39.0000000000001,-61.7166671749999 39.0000000000001,-61.7000007629999 39.0000000000001,-61.6833343499999 39.0000000000001,-61.6666679379999 39.0000000000001,-61.650001526 39.0000000000001,-61.633335114 39.0000000000001,-61.616664886 39.0000000000001,-61.599998474 39.0000000000001,-61.583332062 39.0000000000001,-61.566665649 39.0000000000001,-61.549999237 39.0000000000001,-61.5333328249999 39.0000000000001,-61.5166664119999 39.0000000000001,-61.4999999999999 39.0000000000001,-61.4833335869999 39.0000000000001,-61.4666671749999 39.0000000000001,-61.4500007629999 39.0000000000001,-61.433334351 39.0000000000001,-61.4166679379999 39.0000000000001,-61.400001526 39.0000000000001,-61.383335114 39.0000000000001,-61.366664886 39.0000000000001,-61.349998474 39.0000000000001,-61.333332062 39.0000000000001,-61.316665649 39.0000000000001,-61.299999237 39.0000000000001,-61.283332824 39.0000000000001,-61.2666664119999 39.0000000000001,-61.2499999999999 39.0000000000001,-61.2333335879999 39.0000000000001,-61.2166671749999 39.0000000000001,-61.2000007629999 39.0000000000001,-61.183334351 39.0000000000001,-61.1666679379999 39.0000000000001,-61.150001526 39.0000000000001,-61.133335113 39.0000000000001,-61.116664886 39.0000000000001,-61.099998474 39.0000000000001,-61.083332062 39.0000000000001,-61.066665649 39.0000000000001,-61.049999237 39.0000000000001,-61.0333328249999 39.0000000000001,-61.0166664119999 39.0000000000001,-60.9999999999999 39.0000000000001,-60.9833335879999 39.0000000000001,-60.9666671749999 39.0000000000001,-60.9500007629999 39.0000000000001,-60.9333343499999 39.0000000000001,-60.9166679379999 39.0000000000001,-60.900001526 39.0000000000001,-60.883335113 39.0000000000001,-60.866664886 39.0000000000001,-60.849998474 39.0000000000001,-60.833332062 39.0000000000001,-60.816665649 39.0000000000001,-60.799999237 39.0000000000001,-60.7833328249999 39.0000000000001,-60.7666664119999 39.0000000000001,-60.7499999999999 39.0000000000001,-60.7333335869999 39.0000000000001,-60.7166671749999 39.0000000000001,-60.7000007629999 39.0000000000001,-60.6833343499999 39.0000000000001,-60.6666679379999 39.0000000000001,-60.650001526 39.0000000000001,-60.633335114 39.0000000000001,-60.616664886 39.0000000000001,-60.599998474 39.0000000000001,-60.583332062 39.0000000000001,-60.566665649 39.0000000000001,-60.549999237 39.0000000000001,-60.533332824 39.0000000000001,-60.5166664119999 39.0000000000001,-60.4999999999999 39.0000000000001,-60.4833335869999 39.0000000000001,-60.4666671749999 39.0000000000001,-60.4500007629999 39.0000000000001,-60.433334351 39.0000000000001,-60.4166679379999 39.0000000000001,-60.400001526 39.0000000000001,-60.383335114 39.0000000000001,-60.366664886 39.0000000000001,-60.349998474 39.0000000000001,-60.333332061 39.0000000000001,-60.316665649 39.0000000000001,-60.299999237 39.0000000000001,-60.2833328249999 39.0000000000001,-60.2666664119999 39.0000000000001,-60.2499999999999 39.0000000000001,-60.2333335879999 39.0000000000001,-60.2166671749999 39.0000000000001,-60.2000007629999 39.0000000000001,-60.183334351 39.0000000000001,-60.1666679379999 39.0000000000001,-60.150001526 39.0000000000001,-60.133335113 39.0000000000001,-60.116664886 39.0000000000001,-60.099998474 39.0000000000001,-60.083332062 39.0000000000001,-60.066665649 39.0000000000001,-60.049999237 39.0000000000001,-60.0333328249999 39.0000000000001,-60.0166664119999 39.0000000000001,-59.9999999999999 39.0000000000001,-59.9999999999999 38.9833335880001,-59.9999999999999 38.9666671750001,-59.9999999999999 38.950000763,-59.9999999999999 38.933334351,-59.9999999999999 38.916667938,-59.9999999999999 38.900001526,-59.9999999999999 38.883335114,-59.9999999999999 38.8666648860001,-59.9999999999999 38.8499984740001,-59.9999999999999 38.8333320620001,-59.9999999999999 38.8166656490001,-59.9999999999999 38.7999992370001,-59.9999999999999 38.7833328250001,-59.9999999999999 38.7666664120001,-59.9999999999999 38.7500000000001,-59.9999999999999 38.7333335880001,-59.9999999999999 38.7166671750001,-59.9999999999999 38.700000763,-59.9999999999999 38.683334351,-59.9999999999999 38.666667938,-59.9999999999999 38.650001526,-59.9999999999999 38.633335114,-59.9999999999999 38.6166648860001,-59.9999999999999 38.5999984740001,-59.9999999999999 38.5833320620001,-59.9999999999999 38.5666656490001,-59.9999999999999 38.5499992370001,-59.9999999999999 38.5333328250001,-59.9999999999999 38.5166664120001,-59.9999999999999 38.5000000000001,-59.9999999999999 38.4833335880001,-59.9999999999999 38.4666671750001,-59.9999999999999 38.450000763,-59.9999999999999 38.433334351,-59.9999999999999 38.416667938,-59.9999999999999 38.400001526,-59.9999999999999 38.383335114,-59.9999999999999 38.3666648860001,-59.9999999999999 38.3499984740001,-59.9999999999999 38.3333320620001,-59.9999999999999 38.3166656490001,-59.9999999999999 38.2999992370001,-59.9999999999999 38.2833328250001,-59.9999999999999 38.2666664120001,-59.9999999999999 38.2500000000001,-59.9999999999999 38.2333335880001,-59.9999999999999 38.2166671750001,-59.9999999999999 38.200000763,-59.9999999999999 38.183334351,-59.9999999999999 38.166667938,-59.9999999999999 38.150001526,-59.9999999999999 38.133335114,-59.9999999999999 38.1166648860001,-59.9999999999999 38.0999984740001,-59.9999999999999 38.0833320620001,-59.9999999999999 38.0666656490001,-59.9999999999999 38.0499992370001,-59.9999999999999 38.0333328250001,-59.9999999999999 38.0166664120001,-59.9999999999999 38.0000000000001,-59.9999999999999 37.9833335880001,-59.9999999999999 37.9666671750001,-59.9999999999999 37.950000763,-59.9999999999999 37.933334351,-59.9999999999999 37.916667938,-59.9999999999999 37.900001526,-59.9999999999999 37.883335114,-59.9999999999999 37.8666648860001,-59.9999999999999 37.8499984740001,-59.9999999999999 37.8333320620001,-59.9999999999999 37.8166656490001,-59.9999999999999 37.7999992370001,-59.9999999999999 37.7833328250001,-59.9999999999999 37.7666664120001,-59.9999999999999 37.7500000000001,-59.9999999999999 37.7333335880001,-59.9999999999999 37.7166671750001,-59.9999999999999 37.700000763,-59.9999999999999 37.683334351,-59.9999999999999 37.666667938,-59.9999999999999 37.650001526,-59.9999999999999 37.633335114,-59.9999999999999 37.6166648860001,-59.9999999999999 37.5999984740001,-59.9999999999999 37.5833320620001,-59.9999999999999 37.5666656490001,-59.9999999999999 37.5499992370001,-59.9999999999999 37.5333328250001,-59.9999999999999 37.5166664120001,-59.9999999999999 37.5000000000001,-59.9999999999999 37.4833335880001,-59.9999999999999 37.4666671750001,-59.9999999999999 37.450000763,-59.9999999999999 37.433334351,-59.9999999999999 37.416667938,-59.9999999999999 37.400001526,-59.9999999999999 37.383335114,-59.9999999999999 37.3666648860001,-59.9999999999999 37.3499984740001,-59.9999999999999 37.3333320620001,-59.9999999999999 37.3166656490001,-59.9999999999999 37.2999992370001,-59.9999999999999 37.2833328250001,-59.9999999999999 37.2666664120001,-59.9999999999999 37.2500000000001,-59.9999999999999 37.2333335880001,-59.9999999999999 37.2166671750001,-59.9999999999999 37.200000763,-59.9999999999999 37.183334351,-59.9999999999999 37.166667938,-59.9999999999999 37.150001526,-59.9999999999999 37.133335114,-59.9999999999999 37.1166648860001,-59.9999999999999 37.0999984740001,-59.9999999999999 37.0833320620001,-59.9999999999999 37.0666656490001,-59.9999999999999 37.0499992370001,-59.9999999999999 37.0333328250001,-59.9999999999999 37.0166664120001,-59.9999999999999 37.0000000000001,-59.9999999999999 36.9833335880001,-59.9999999999999 36.9666671750001,-59.9999999999999 36.950000763,-59.9999999999999 36.933334351,-59.9999999999999 36.916667938,-59.9999999999999 36.900001526,-59.9999999999999 36.883335114,-59.9999999999999 36.866664886,-59.9999999999999 36.8499984740001,-59.9999999999999 36.8333320620001,-59.9999999999999 36.8166656490001,-59.9999999999999 36.7999992370001,-59.9999999999999 36.7833328250001,-59.9999999999999 36.7666664120001,-59.9999999999999 36.7500000000001,-59.9999999999999 36.7333335880001,-59.9999999999999 36.7166671750001,-59.9999999999999 36.700000763,-59.9999999999999 36.683334351,-59.9999999999999 36.666667938,-59.9999999999999 36.650001526,-59.9999999999999 36.633335114,-59.9999999999999 36.616664886,-59.9999999999999 36.5999984740001,-59.9999999999999 36.5833320620001,-59.9999999999999 36.5666656490001,-59.9999999999999 36.5499992370001,-59.9999999999999 36.5333328250001,-59.9999999999999 36.5166664120001,-59.9999999999999 36.5000000000001,-59.9999999999999 36.4833335880001,-59.9999999999999 36.4666671750001,-59.9999999999999 36.450000763,-59.9999999999999 36.433334351,-59.9999999999999 36.416667938,-59.9999999999999 36.400001526,-59.9999999999999 36.383335114,-59.9999999999999 36.366664886,-59.9999999999999 36.3499984740001,-59.9999999999999 36.3333320620001,-59.9999999999999 36.3166656490001,-59.9999999999999 36.2999992370001,-59.9999999999999 36.2833328250001,-59.9999999999999 36.2666664120001,-59.9999999999999 36.2500000000001,-59.9999999999999 36.2333335880001,-59.9999999999999 36.2166671750001,-59.9999999999999 36.200000763,-59.9999999999999 36.183334351,-59.9999999999999 36.166667938,-59.9999999999999 36.150001526,-59.9999999999999 36.133335114,-59.9999999999999 36.116664886,-59.9999999999999 36.0999984740001,-59.9999999999999 36.0833320620001,-59.9999999999999 36.0666656490001,-59.9999999999999 36.0499992370001,-59.9999999999999 36.0333328250001,-59.9999999999999 36.0166664120001,-59.9999999999999 36.0000000000001,-59.9999999999999 35.9833335880001,-59.9999999999999 35.9666671750001,-59.9999999999999 35.950000763,-59.9999999999999 35.933334351,-59.9999999999999 35.916667938,-59.9999999999999 35.900001526,-59.9999999999999 35.883335114,-59.9999999999999 35.866664886,-59.9999999999999 35.8499984740001,-59.9999999999999 35.8333320620001,-59.9999999999999 35.8166656490001,-59.9999999999999 35.7999992370001,-59.9999999999999 35.7833328250001,-59.9999999999999 35.7666664120001,-59.9999999999999 35.7500000000001,-59.9999999999999 35.7333335880001,-59.9999999999999 35.7166671750001,-59.9999999999999 35.700000763,-59.9999999999999 35.683334351,-59.9999999999999 35.666667938,-59.9999999999999 35.650001526,-59.9999999999999 35.633335114,-59.9999999999999 35.616664886,-59.9999999999999 35.5999984740001,-59.9999999999999 35.5833320620001,-59.9999999999999 35.5666656490001,-59.9999999999999 35.5499992370001,-59.9999999999999 35.5333328250001,-59.9999999999999 35.5166664120001,-59.9999999999999 35.5000000000001,-59.9999999999999 35.4833335880001,-59.9999999999999 35.4666671750001,-59.9999999999999 35.450000763,-59.9999999999999 35.433334351,-59.9999999999999 35.416667938,-59.9999999999999 35.400001526,-59.9999999999999 35.383335114,-59.9999999999999 35.366664886,-59.9999999999999 35.3499984740001,-59.9999999999999 35.3333320620001,-59.9999999999999 35.3166656490001,-59.9999999999999 35.2999992370001,-59.9999999999999 35.2833328250001,-59.9999999999999 35.2666664120001,-59.9999999999999 35.2500000000001,-59.9999999999999 35.2333335880001,-59.9999999999999 35.2166671750001,-59.9999999999999 35.200000763,-59.9999999999999 35.183334351,-59.9999999999999 35.166667938,-59.9999999999999 35.150001526,-59.9999999999999 35.133335114,-59.9999999999999 35.116664886,-59.9999999999999 35.0999984740001,-59.9999999999999 35.0833320620001,-59.9999999999999 35.0666656490001,-59.9999999999999 35.0499992370001,-59.9999999999999 35.0333328250001,-59.9999999999999 35.0166664120001,-59.9999999999999 35.0000000000001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.6', '', '21.6', '21.6.E', '', '21.6E', '', '', '', '', '', '', '', '6E', '3', '21.6.E', '21.6E', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.03028347899993 53.5000000000001,-0.223958038999967 53.190596052,5.6843418860808e-14 53.388601206,0.126000051000062 53.500000018,0.126604551000071 53.500000035,6.10854707700003 53.500000035,6.11700006800004 53.500000018,6.15554004800003 53.500000018,6.22344554400007 53.491042873,6.30631082000002 53.5022231090001,6.32980007700007 53.4998000350001,6.33032003100004 53.500000018,7.04169117100002 53.500000018,7.39992611900004 53.4321712230001,7.89279038800004 53.216543105,10.0000000000001 51.0000000000001,9.19999980900008 51.0000000000001,8.39999961900003 51.0000000000001,7.59999990500006 51.0000000000001,6.80000019100004 51.0000000000001,6.25696114800007 51.0000000000001,5.76552545200008 50.681476864,2.81010577400002 50.7645609510001,2.50000000000006 50.7433208300001,2.27315284100007 50.7277833530001,2.04556707400008 50.712195287,1.94365743500003 50.705215175,1.91640007200004 50.984300035,1.90994983600007 51.000000017,0.980873071000076 51.000000034,0.752877842000032 51.045645194,0.739652074000048 51.048293023,-0.181944439999938 51.3435618090001,-1.83552415699995 52.647424459,-1.89663743599993 53.5000000000001,-1.92114083699994 53.841840614,-1.03028347899993 53.5000000000001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.IV', 'North Sea', '27.IV', '27.IV.c', 'Southern North Sea', '27.IVc', '', '', '', '', '', '', '', 'IVc', '3', '27.4.c', '27.IVc', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.24366519999995 43.0000000000001,-6.76280334299997 42.4347855510001,-5.59999990499995 42.428025066,-5.60191844299993 41.6703621450001,-5.60191917399993 41.669994354,-5.60307359699993 40.869995117,-5.60422801999994 40.0699958800001,-5.60538244199995 39.2699966430001,-5.60653686499995 38.4699974060001,-5.60769128799996 37.6699981690001,-5.60884571099996 36.869998932,-5.60907404399995 36.7117671990001,-5.60950760099996 36.411318017,-5.61000013399996 36.0000000060001,-5.91312659299996 36.0000000100001,-6.19401617199998 36.0000000100001,-6.41000032399995 36.000000013,-6.99999999999994 36.000000012,-7.21000003799998 36.000000012,-7.80000019099998 36.000000012,-8.01000022899996 36.0000000110001,-8.60000038099997 36.0000000110001,-8.81000041999994 36.0000000110001,-9.39999961899997 36.0000000100001,-9.61000060999993 36.0000000100001,-10.199999809 36.0000000100001,-10.4099998469999 36.000000008,-10.960364038 36.0000000110001,-10.9657812949999 36.0000000100001,-10.989524011 36.0000000110001,-10.999999954 36.0000000150001,-10.999999939 36.0166666860001,-10.999999939 36.033333353,-10.999999939 36.050000019,-10.999999939 36.0666666860001,-10.999999939 36.0833333530001,-10.999999939 36.100000019,-10.999999939 36.116666686,-10.999999939 36.1333333530001,-10.999999939 36.1500000190001,-10.999999939 36.166666686,-10.999999939 36.1833333530001,-10.999999939 36.2000000190001,-10.999999939 36.2166666860001,-10.999999939 36.233333353,-10.999999939 36.250000019,-10.999999939 36.2666666860001,-10.999999939 36.283333353,-10.999999939 36.300000019,-10.999999939 36.3166666860001,-10.999999939 36.3333333530001,-10.999999939 36.350000019,-10.999999939 36.366666686,-10.999999939 36.3833333530001,-10.999999939 36.40000002,-10.999999939 36.416666686,-10.999999939 36.4333333530001,-10.999999939 36.4500000200001,-10.999999939 36.4666666860001,-10.999999939 36.483333353,-10.999999939 36.5000000200001,-10.999999939 36.5166666860001,-10.999999939 36.533333353,-10.999999939 36.55000002,-10.999999939 36.5666666860001,-10.999999939 36.5833333530001,-10.999999939 36.60000002,-10.999999939 36.616666686,-10.999999939 36.6333333530001,-10.999999939 36.65000002,-10.999999939 36.666666686,-10.999999939 36.6833333530001,-10.999999939 36.7000000200001,-10.999999939 36.7166666860001,-10.999999939 36.733333353,-10.999999939 36.7500000200001,-10.999999939 36.7666666870001,-10.999999939 36.783333353,-10.999999939 36.80000002,-10.999999939 36.8166666870001,-10.999999939 36.8333333530001,-10.999999939 36.85000002,-10.999999939 36.8666666870001,-10.999999939 36.8833333530001,-10.999999939 36.90000002,-10.999999939 36.916666687,-10.999999939 36.9333333530001,-10.999999939 36.9500000200001,-10.999999939 36.966666687,-10.999999939 36.983333353,-10.999999939 37.0000000200001,-10.999999939 37.0166666870001,-10.999999939 37.033333353,-10.999999939 37.05000002,-10.999999939 37.0666666870001,-10.999999939 37.0833333530001,-10.999999939 37.10000002,-10.999999939 37.1166666870001,-10.999999939 37.1333333540001,-10.999999939 37.15000002,-10.999999939 37.166666687,-10.999999939 37.1833333540001,-10.999999939 37.2000000200001,-10.999999939 37.216666687,-10.999999939 37.233333354,-10.999999939 37.2500000200001,-10.999999939 37.2666666870001,-10.999999939 37.283333354,-10.999999939 37.30000002,-10.999999939 37.3166666870001,-10.999999939 37.333333354,-10.999999939 37.35000002,-10.999999939 37.3666666870001,-10.999999939 37.3833333540001,-10.999999939 37.40000002,-10.999999939 37.416666687,-10.999999939 37.4333333540001,-10.999999939 37.4500000210001,-10.999999939 37.466666687,-10.999999939 37.483333354,-10.999999939 37.5000000210001,-10.999999939 37.5166666870001,-10.999999939 37.533333354,-10.999999939 37.5500000210001,-10.999999939 37.5666666870001,-10.999999939 37.583333354,-10.999999939 37.600000021,-10.999999939 37.6166666870001,-10.999999939 37.6333333540001,-10.999999939 37.650000021,-10.999999939 37.666666687,-10.999999939 37.6833333540001,-10.999999939 37.7000000210001,-10.999999939 37.716666687,-10.999999939 37.733333354,-10.999999939 37.7500000210001,-10.999999939 37.7666666870001,-10.999999939 37.783333354,-10.999999939 37.8000000210001,-10.999999939 37.8166666880001,-10.999999939 37.833333354,-10.999999939 37.850000021,-10.999999939 37.8666666880001,-10.999999939 37.8833333540001,-10.999999939 37.900000021,-10.999999939 37.9166666880001,-10.999999939 37.9333333540001,-10.999999939 37.9500000210001,-10.999999939 37.966666688,-10.999999939 37.983333354,-10.999999939 38.0000000210001,-10.999999939 38.016666688,-10.999999939 38.033333354,-10.999999939 38.0500000210001,-10.999999939 38.0666666880001,-10.999999939 38.083333354,-10.999999939 38.100000021,-10.999999939 38.1166666880001,-10.999999939 38.1333333540001,-10.999999939 38.150000021,-10.999999939 38.1666666880001,-10.999999939 38.1833333550001,-10.999999939 38.2000000210001,-10.999999939 38.216666688,-10.999999939 38.2333333550001,-10.999999939 38.2500000210001,-10.999999939 38.266666688,-10.999999939 38.283333355,-10.999999939 38.3000000210001,-10.999999939 38.3166666880001,-10.999999939 38.333333355,-10.999999939 38.350000021,-10.999999939 38.3666666880001,-10.999999939 38.383333355,-10.999999939 38.400000021,-10.999999939 38.4166666880001,-10.999999939 38.4333333550001,-10.999999939 38.4500000210001,-10.999999939 38.466666688,-10.999999939 38.4833333550001,-10.999999939 38.5000000210001,-10.999999939 38.516666688,-10.999999939 38.533333355,-10.999999939 38.5500000220001,-10.999999939 38.5666666880001,-10.999999939 38.583333355,-10.999999939 38.6000000220001,-10.999999939 38.6166666880001,-10.999999939 38.633333355,-10.999999939 38.650000022,-10.999999939 38.6666666880001,-10.999999939 38.6833333550001,-10.999999939 38.700000022,-10.999999939 38.716666688,-10.999999939 38.7333333550001,-10.999999939 38.7500000220001,-10.999999939 38.766666688,-10.999999939 38.783333355,-10.999999939 38.8000000220001,-10.999999939 38.8166666880001,-10.999999939 38.833333355,-10.999999939 38.8500000220001,-10.999999939 38.8666666880001,-10.999999939 38.883333355,-10.999999939 38.900000022,-10.999999939 38.9166666890001,-10.999999939 38.9333333550001,-10.999999939 38.950000022,-10.999999939 38.9666666890001,-10.999999939 38.9833333550001,-10.999999939 39.0000000220001,-10.999999939 39.016666689,-10.999999939 39.033333355,-10.999999939 39.0500000220001,-10.999999939 39.066666689,-10.999999939 39.083333355,-10.999999939 39.1000000220001,-10.999999939 39.1166666890001,-10.999999939 39.133333355,-10.999999939 39.150000022,-10.999999939 39.1666666890001,-10.999999939 39.1833333550001,-10.999999939 39.200000022,-10.999999939 39.2166666890001,-10.999999939 39.2333333550001,-10.999999939 39.2500000220001,-10.999999939 39.266666689,-10.999999939 39.2833333560001,-10.999999939 39.3000000220001,-10.999999939 39.316666689,-10.999999939 39.333333356,-10.999999939 39.3500000220001,-10.999999939 39.3666666890001,-10.999999939 39.383333356,-10.999999939 39.400000022,-10.999999939 39.4166666890001,-10.999999939 39.433333356,-10.999999939 39.450000022,-10.999999939 39.4666666890001,-10.999999939 39.4833333560001,-10.999999939 39.5000000220001,-10.999999939 39.516666689,-10.999999939 39.5333333560001,-10.999999939 39.5500000220001,-10.999999939 39.566666689,-10.999999939 39.583333356,-10.999999939 39.6000000230001,-10.999999939 39.6166666890001,-10.999999939 39.633333356,-10.999999939 39.6500000230001,-10.999999939 39.6666666890001,-10.999999939 39.683333356,-10.999999939 39.700000023,-10.999999939 39.7166666890001,-10.999999939 39.7333333560001,-10.999999939 39.750000023,-10.999999939 39.766666689,-10.999999939 39.7833333560001,-10.999999939 39.8000000230001,-10.999999939 39.816666689,-10.999999939 39.833333356,-10.999999939 39.8500000230001,-10.999999939 39.8666666890001,-10.999999939 39.883333356,-10.999999939 39.9000000230001,-10.999999939 39.9166666890001,-10.999999939 39.933333356,-10.999999939 39.950000023,-10.999999939 39.9666666900001,-10.999999939 39.9833333560001,-10.999999939 40.000000023,-10.999999939 40.0166666900001,-10.999999939 40.0333333560001,-10.999999939 40.0500000230001,-10.999999939 40.06666669,-10.999999939 40.083333356,-10.999999939 40.1000000230001,-10.999999939 40.11666669,-10.999999939 40.133333356,-10.999999939 40.1500000230001,-10.999999939 40.1666666900001,-10.999999939 40.183333356,-10.999999939 40.200000023,-10.999999939 40.2166666900001,-10.999999939 40.2333333560001,-10.999999939 40.250000023,-10.999999939 40.2666666900001,-10.999999939 40.2833333560001,-10.999999939 40.3000000230001,-10.999999939 40.31666669,-10.999999939 40.3333333570001,-10.999999939 40.3500000230001,-10.999999939 40.36666669,-10.999999939 40.383333357,-10.999999939 40.4000000230001,-10.999999939 40.4166666900001,-10.999999939 40.433333357,-10.999999939 40.450000023,-10.999999939 40.4666666900001,-10.999999939 40.483333357,-10.999999939 40.500000023,-10.999999939 40.5166666900001,-10.999999939 40.5333333570001,-10.999999939 40.5500000230001,-10.999999939 40.56666669,-10.999999939 40.5833333570001,-10.999999939 40.6000000230001,-10.999999939 40.61666669,-10.999999939 40.633333357,-10.999999939 40.6500000230001,-10.999999939 40.6666666900001,-10.999999939 40.683333357,-10.999999939 40.7000000240001,-10.999999939 40.7166666900001,-10.999999939 40.733333357,-10.999999939 40.750000024,-10.999999939 40.7666666900001,-10.999999939 40.7833333570001,-10.999999939 40.800000024,-10.999999939 40.81666669,-10.999999939 40.8333333570001,-10.999999939 40.8500000240001,-10.999999939 40.86666669,-10.999999939 40.883333357,-10.999999939 40.9000000240001,-10.999999939 40.9166666900001,-10.999999939 40.933333357,-10.999999939 40.9500000240001,-10.999999939 40.9666666900001,-10.999999939 40.983333357,-10.999999939 41.000000024,-10.999999939 41.0166666900001,-10.999999939 41.0333333570001,-10.999999939 41.050000024,-10.999999939 41.0666666910001,-10.999999939 41.0833333570001,-10.999999939 41.1000000240001,-10.999999939 41.116666691,-10.999999939 41.133333357,-10.999999939 41.1500000240001,-10.999999939 41.166666691,-10.999999939 41.183333357,-10.999999939 41.2000000240001,-10.999999939 41.2166666910001,-10.999999939 41.233333357,-10.999999939 41.250000024,-10.999999939 41.2666666910001,-10.999999939 41.2833333570001,-10.999999939 41.300000024,-10.999999939 41.3166666910001,-10.999999939 41.3333333570001,-10.999999939 41.3500000240001,-10.999999939 41.366666691,-10.999999939 41.383333357,-10.999999939 41.4000000240001,-10.999999939 41.416666691,-10.999999939 41.433333358,-10.999999939 41.4500000240001,-10.999999939 41.4666666910001,-10.999999939 41.483333358,-10.999999939 41.500000024,-10.999999939 41.5166666910001,-10.999999939 41.533333358,-10.999999939 41.550000024,-10.999999939 41.5666666910001,-10.999999939 41.5833333580001,-10.999999939 41.6000000240001,-10.999999939 41.616666691,-10.999999939 41.6333333580001,-10.999999939 41.6500000240001,-10.999999939 41.666666691,-10.999999939 41.683333358,-10.999999939 41.7000000240001,-10.999999939 41.7166666910001,-10.999999939 41.733333358,-10.999999939 41.7500000250001,-10.999999939 41.7666666910001,-10.999999939 41.783333358,-10.999999939 41.800000025,-10.999999939 41.8166666910001,-10.999999939 41.8333333580001,-10.999999939 41.850000025,-10.999999939 41.866666691,-10.999999939 41.8833333580001,-10.999999939 41.9000000250001,-10.999999939 41.916666691,-10.999999939 41.933333358,-10.999999939 41.9500000250001,-10.999999939 41.9666666910001,-10.999999939 41.983333358,-10.999999939 42.0000000250001,-10.999999939 42.0166666910001,-10.999999939 42.033333358,-10.999999939 42.050000025,-10.999999939 42.0666666910001,-10.999999939 42.0833333580001,-10.999999939 42.100000025,-10.999999939 42.1166666920001,-10.999999939 42.1333333580001,-10.999999939 42.1500000250001,-10.999999939 42.166666692,-10.999999939 42.183333358,-10.999999939 42.2000000250001,-10.999999939 42.216666692,-10.999999939 42.233333358,-10.999999939 42.2500000250001,-10.999999939 42.2666666920001,-10.999999939 42.283333358,-10.999999939 42.300000025,-10.999999939 42.3166666920001,-10.999999939 42.3333333580001,-10.999999939 42.350000025,-10.999999939 42.3666666920001,-10.999999939 42.3833333580001,-10.999999939 42.4000000250001,-10.999999939 42.416666692,-10.999999939 42.433333358,-10.999999939 42.4500000250001,-10.999999939 42.466666692,-10.999999939 42.483333359,-10.999999939 42.5000000250001,-10.999999939 42.5166666920001,-10.999999939 42.533333359,-10.999999939 42.550000025,-10.999999939 42.5666666920001,-10.999999939 42.5833333590001,-10.999999939 42.600000025,-10.999999939 42.6166666920001,-10.999999939 42.6333333590001,-10.999999939 42.6500000250001,-10.999999939 42.666666692,-10.999999939 42.6833333590001,-10.999999939 42.7000000250001,-10.999999939 42.716666692,-10.999999939 42.733333359,-10.999999939 42.7500000250001,-10.999999939 42.7666666920001,-10.999999939 42.783333359,-10.999999939 42.800000025,-10.999999939 42.8166666920001,-10.999999939 42.8333333590001,-10.999999939 42.850000026,-10.999999939 42.8666666920001,-10.999999939 42.8833333590001,-10.999999939 42.900000026,-10.999999939 42.916666692,-10.999999939 42.9333333590001,-10.999999939 42.9500000260001,-10.999999939 42.966666692,-10.999999939 42.983333359,-10.999999939 43.0000000260001,-9.31168863099998 43.000000001,-9.26878627699995 43.0000000000001,-9.26809992499994 43.0000000000001,-9.09099999999995 43.0000000000001,-8.51616563399995 43.104007799,-8.24366519999995 43.0000000000001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.IX', 'Portuguese Waters', '27.IX', '27.IX.a', 'Portuguese Waters - East', '27.IXa', '', '', '', '', '', '', '', 'IXa', '3', '27.9.a', '27.IXa', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.799999945 43.000000017,-13.8049999419999 42.9850000260001,-13.8099999419999 42.970000026,-13.8149999419999 42.9550000260001,-13.819999942 42.9400000260001,-13.824999942 42.9250000260001,-13.829999942 42.910000026,-13.834999942 42.895000026,-13.839999942 42.8800000260001,-13.8361537879999 42.8638461790001,-13.832307634 42.8476923330001,-13.8284614799999 42.831538487,-13.824615326 42.815384641,-13.820769173 42.799230795,-13.8169230189999 42.7830769490001,-13.813076865 42.7669231020001,-13.8092307109999 42.7507692560001,-13.805384557 42.7346154100001,-13.8015384029999 42.7184615640001,-13.79769225 42.702307718,-13.793846096 42.686153872,-13.789999942 42.670000025,-13.786153788 42.653846179,-13.7823076339999 42.6376923330001,-13.77846148 42.6215384870001,-13.7746153259999 42.6053846410001,-13.770769173 42.589230795,-13.7669230189999 42.5730769480001,-13.763076865 42.556923102,-13.7592307109999 42.540769256,-13.755384557 42.5246154100001,-13.7515384029999 42.5084615640001,-13.747692249 42.4923077180001,-13.743846096 42.4761538710001,-13.7399999419999 42.4600000250001,-13.736153788 42.443846179,-13.7323076339999 42.427692333,-13.72846148 42.411538487,-13.7246153259999 42.39538464,-13.720769173 42.3792307940001,-13.716923019 42.3630769480001,-13.7130768649999 42.3469231020001,-13.709230711 42.3307692560001,-13.7053845569999 42.31461541,-13.701538403 42.298461563,-13.6976922489999 42.282307717,-13.693846096 42.266153871,-13.6899999419999 42.2500000250001,-13.686153788 42.2338461790001,-13.6823076339999 42.2176923330001,-13.67846148 42.2015384860001,-13.674615326 42.1853846400001,-13.6707691729999 42.169230794,-13.666923019 42.153076948,-13.6630768649999 42.136923102,-13.659230711 42.1207692560001,-13.6553845569999 42.1046154090001,-13.651538403 42.0884615630001,-13.6476922489999 42.0723077170001,-13.6438460959999 42.056153871,-13.639999942 42.040000025,-13.6319564629999 42.025652199,-13.6239129849999 42.011304373,-13.615869507 41.996956546,-13.607826029 41.98260872,-13.5997825499999 41.968260894,-13.5917390719999 41.9539130680001,-13.5836955939999 41.9395652420001,-13.575652116 41.9252174160001,-13.567608637 41.9108695900001,-13.5595651589999 41.8965217640001,-13.5515216809999 41.8821739380001,-13.543478202 41.867826112,-13.535434724 41.8534782850001,-13.527391246 41.839130459,-13.5193477679999 41.824782633,-13.511304289 41.810434807,-13.503260811 41.796086981,-13.495217333 41.781739155,-13.487173855 41.7673913290001,-13.4791303759999 41.7530435030001,-13.471086898 41.7386956770001,-13.46304342 41.7243478510001,-13.454999942 41.7100000240001,-13.4469564629999 41.6956521980001,-13.4389129849999 41.6813043720001,-13.430869507 41.6669565460001,-13.422826028 41.65260872,-13.4147825499999 41.638260894,-13.4067390719999 41.623913068,-13.3986955939999 41.609565242,-13.390652115 41.595217416,-13.382608637 41.5808695900001,-13.3745651589999 41.566521763,-13.3665216809999 41.5521739370001,-13.358478202 41.5378261110001,-13.350434724 41.5234782850001,-13.342391246 41.5091304590001,-13.3343477679999 41.4947826330001,-13.3263042889999 41.4804348070001,-13.318260811 41.466086981,-13.310217333 41.451739155,-13.3021738539999 41.437391329,-13.2941303759999 41.423043502,-13.286086898 41.408695676,-13.27804342 41.39434785,-13.269999941 41.380000024,-13.269999941 41.363333357,-13.269999941 41.3466666910001,-13.269999941 41.3300000240001,-13.269999941 41.313333357,-13.269999941 41.296666691,-13.269999941 41.2800000240001,-13.269999941 41.2633333570001,-13.269999941 41.246666691,-13.269999941 41.230000024,-13.269999941 41.2133333570001,-13.269999941 41.1966666910001,-13.269999941 41.180000024,-13.269999941 41.1633333570001,-13.269999941 41.1466666910001,-13.269999941 41.130000024,-13.273333275 41.1137879030001,-13.276666608 41.097575781,-13.279999941 41.0813636600001,-13.283333275 41.0651515390001,-13.286666608 41.048939418,-13.289999941 41.0327272970001,-13.293333275 41.0165151750001,-13.296666608 41.000303054,-13.299999941 40.9840909330001,-13.3033332749999 40.967878812,-13.3066666079999 40.95166669,-13.3099999409999 40.9354545690001,-13.3133332749999 40.919242448,-13.3166666079999 40.9030303270001,-13.3199999409999 40.886818206,-13.323333275 40.870606084,-13.326666608 40.8543939630001,-13.3299999409999 40.838181842,-13.333333275 40.8219697210001,-13.336666608 40.8057575990001,-13.339999941 40.789545478,-13.343333275 40.7733333570001,-13.346666608 40.757121236,-13.349999941 40.740909114,-13.353333275 40.7246969930001,-13.356666608 40.708484872,-13.359999941 40.6922727510001,-13.3633332749999 40.6760606300001,-13.3666666079999 40.659848508,-13.3699999409999 40.6436363870001,-13.3733332749999 40.627424266,-13.3766666079999 40.611212145,-13.3799999409999 40.5950000230001,-13.3833332749999 40.578787902,-13.3866666079999 40.5625757810001,-13.3899999409999 40.5463636600001,-13.393333275 40.530151539,-13.396666608 40.5139394170001,-13.399999941 40.4977272960001,-13.403333275 40.481515175,-13.406666608 40.4653030540001,-13.409999941 40.449090932,-13.413333275 40.4328788110001,-13.416666608 40.4166666900001,-13.4199999419999 40.400454569,-13.4233332749999 40.3842424470001,-13.4266666079999 40.3680303260001,-13.4299999419999 40.351818205,-13.4333332749999 40.3356060840001,-13.4366666079999 40.319393963,-13.4399999419999 40.303181841,-13.4433332749999 40.2869697200001,-13.4466666079999 40.270757599,-13.449999942 40.2545454780001,-13.453333275 40.2383333560001,-13.456666608 40.222121235,-13.459999942 40.2059091140001,-13.463333275 40.189696993,-13.466666608 40.1734848720001,-13.469999942 40.1572727500001,-13.473333275 40.141060629,-13.476666608 40.1248485080001,-13.4799999419999 40.108636387,-13.4833332749999 40.092424265,-13.486666608 40.0762121440001,-13.4899999419999 40.060000023,-13.493580188 40.0438271830001,-13.497160435 40.027654344,-13.500740682 40.0114815040001,-13.504320929 39.995308665,-13.507901176 39.9791358250001,-13.511481423 39.962962986,-13.51506167 39.9467901460001,-13.518641917 39.930617307,-13.522222164 39.9144444670001,-13.525802411 39.898271628,-13.529382658 39.8820987880001,-13.532962905 39.865925949,-13.5365431509999 39.8497531090001,-13.5401233979999 39.83358027,-13.5437036449999 39.8174074300001,-13.5472838919999 39.801234591,-13.5508641389999 39.7850617510001,-13.5544443859999 39.7688889120001,-13.5580246329999 39.7527160720001,-13.5616048799999 39.7365432330001,-13.5651851269999 39.7203703930001,-13.568765374 39.704197553,-13.572345621 39.6880247140001,-13.575925868 39.671851874,-13.579506114 39.655679035,-13.583086361 39.639506195,-13.586666608 39.623333356,-13.590246855 39.6071605160001,-13.593827102 39.590987677,-13.597407349 39.5748148370001,-13.600987596 39.558641998,-13.6045678429999 39.5424691580001,-13.6081480899999 39.526296319,-13.6117283369999 39.5101234790001,-13.6153085839999 39.49395064,-13.6188888309999 39.4777778000001,-13.6224690769999 39.461604961,-13.626049324 39.4454321210001,-13.629629571 39.429259282,-13.633209818 39.4130864420001,-13.636790065 39.396913603,-13.640370312 39.3807407630001,-13.643950559 39.364567924,-13.647530806 39.3483950840001,-13.651111053 39.332222244,-13.6546913 39.3160494050001,-13.658271547 39.299876565,-13.661851794 39.2837037260001,-13.6654320399999 39.267530886,-13.6690122869999 39.2513580470001,-13.6725925339999 39.235185207,-13.6761727809999 39.2190123680001,-13.6797530279999 39.202839528,-13.6833332749999 39.186666689,-13.6869135219999 39.170493849,-13.6904937689999 39.15432101,-13.6940740159999 39.1381481700001,-13.6976542629999 39.121975331,-13.7012345099999 39.1058024910001,-13.704814757 39.089629652,-13.708395003 39.0734568120001,-13.71197525 39.057283973,-13.715555497 39.0411111330001,-13.719135744 39.024938294,-13.722715991 39.0087654540001,-13.726296238 38.992592615,-13.729876485 38.9764197750001,-13.733456732 38.960246935,-13.737036979 38.9440740960001,-13.7406172259999 38.927901256,-13.7441974729999 38.9117284170001,-13.7477777199999 38.895555577,-13.7513579669999 38.8793827380001,-13.7549382129999 38.863209898,-13.7585184599999 38.8470370590001,-13.762098707 38.830864219,-13.765678954 38.8146913800001,-13.769259201 38.79851854,-13.772839448 38.7823457010001,-13.776419695 38.766172861,-13.779999942 38.7500000220001,-13.777428513 38.733428593,-13.774857085 38.7168571650001,-13.772285656 38.7002857360001,-13.7697142279999 38.6837143070001,-13.7671427989999 38.667142879,-13.7645713699999 38.65057145,-13.7619999419999 38.6340000220001,-13.7594285129999 38.6174285930001,-13.756857085 38.600857164,-13.754285656 38.584285736,-13.751714228 38.5677143070001,-13.749142799 38.5511428790001,-13.74657137 38.53457145,-13.743999942 38.518000021,-13.741428513 38.5014285930001,-13.7388570849999 38.4848571640001,-13.7362856559999 38.468285736,-13.7337142279999 38.451714307,-13.7311427989999 38.4351428790001,-13.7285713699999 38.4185714500001,-13.7259999419999 38.402000021,-13.7234285129999 38.385428593,-13.720857085 38.3688571640001,-13.718285656 38.3522857360001,-13.715714227 38.335714307,-13.713142799 38.319142878,-13.71057137 38.3025714500001,-13.707999942 38.2860000210001,-13.705428513 38.269428593,-13.7028570849999 38.252857164,-13.7002856559999 38.2362857360001,-13.6977142269999 38.2197143070001,-13.6951427989999 38.2031428780001,-13.6925713699999 38.18657145,-13.6899999419999 38.1700000210001,-13.683292949 38.154825196,-13.6765859569999 38.1396503710001,-13.669878964 38.1244755450001,-13.6631719709999 38.1093007200001,-13.656464979 38.094125895,-13.6497579859999 38.078951069,-13.643050994 38.0637762440001,-13.6363440009999 38.0486014190001,-13.629637008 38.0334265930001,-13.6229300159999 38.018251768,-13.616223023 38.0030769430001,-13.6095160309999 37.987902117,-13.602809038 37.9727272920001,-13.596102045 37.957552467,-13.589395053 37.9423776410001,-13.58268806 37.927202816,-13.575981068 37.9120279910001,-13.569274075 37.896853165,-13.5625670819999 37.8816783400001,-13.55586009 37.866503515,-13.5491530969999 37.8513286890001,-13.542446105 37.836153864,-13.5357391119999 37.8209790390001,-13.529032119 37.805804213,-13.5223251269999 37.7906293880001,-13.515618134 37.775454563,-13.5089111419999 37.7602797370001,-13.502204149 37.745104912,-13.4954971559999 37.7299300870001,-13.488790164 37.7147552610001,-13.4820831709999 37.6995804360001,-13.475376179 37.684405611,-13.4686691859999 37.6692307860001,-13.461962193 37.6540559600001,-13.4552552009999 37.6388811350001,-13.448548208 37.62370631,-13.4418412159999 37.608531484,-13.435134223 37.5933566590001,-13.42842723 37.5781818340001,-13.421720238 37.5630070080001,-13.415013245 37.547832183,-13.408306253 37.5326573580001,-13.40159926 37.517482532,-13.3948922669999 37.5023077070001,-13.388185275 37.487132882,-13.3814782819999 37.4719580560001,-13.37477129 37.456783231,-13.3680642969999 37.4416084060001,-13.361357304 37.42643358,-13.3546503119999 37.4112587550001,-13.347943319 37.39608393,-13.3412363269999 37.3809091040001,-13.334529334 37.365734279,-13.3278223409999 37.3505594540001,-13.321115349 37.335384628,-13.3144083559999 37.3202098030001,-13.307701364 37.305034978,-13.3009943709999 37.2898601520001,-13.294287378 37.274685327,-13.2875803859999 37.2595105020001,-13.280873393 37.244335676,-13.2741664009999 37.2291608510001,-13.267459408 37.213986026,-13.260752415 37.1988112010001,-13.254045423 37.183636375,-13.24733843 37.1684615500001,-13.240631438 37.153286725,-13.233924445 37.1381118990001,-13.2272174519999 37.122937074,-13.22051046 37.1077622490001,-13.2138034669999 37.0925874230001,-13.207096475 37.0774125980001,-13.2003894819999 37.062237773,-13.193682489 37.047062947,-13.1869754969999 37.0318881220001,-13.180268504 37.016713297,-13.1735615119999 37.0015384710001,-13.166854519 36.986363646,-13.1601475259999 36.9711888210001,-13.153440534 36.956013995,-13.1467335409999 36.9408391700001,-13.140026549 36.925664345,-13.1333195559999 36.9104895190001,-13.126612563 36.895314694,-13.1199055709999 36.8801398690001,-13.113198578 36.864965043,-13.1064915859999 36.8497902180001,-13.099784593 36.834615393,-13.0930776 36.8194405670001,-13.086370608 36.804265742,-13.079663615 36.7890909170001,-13.072956623 36.773916091,-13.06624963 36.7587412660001,-13.0595426369999 36.743566441,-13.052835645 36.7283916150001,-13.0461286519999 36.71321679,-13.03942166 36.6980419650001,-13.0327146669999 36.68286714,-13.026007674 36.6676923140001,-13.0193006819999 36.652517489,-13.012593689 36.6373426640001,-13.0058866969999 36.6221678380001,-12.999179704 36.6069930130001,-12.9924727109999 36.591818188,-12.985765719 36.576643362,-12.9790587259999 36.5614685370001,-12.972351734 36.5462937120001,-12.9656447409999 36.5311188860001,-12.9589377479999 36.515944061,-12.9522307559999 36.5007692360001,-12.9455237629999 36.48559441,-12.9388167709999 36.4704195850001,-12.9321097779999 36.45524476,-12.925402785 36.4400699340001,-12.9186957929999 36.424895109,-12.9119888 36.4097202840001,-12.9052818079999 36.394545458,-12.898574815 36.3793706330001,-12.8918678219999 36.364195808,-12.88516083 36.3490209820001,-12.8784538369999 36.333846157,-12.871746845 36.3186713320001,-12.8650398519999 36.303496506,-12.858332859 36.2883216810001,-12.8516258669999 36.273146856,-12.844918874 36.2579720300001,-12.8382118819999 36.242797205,-12.831504889 36.2276223800001,-12.824797896 36.212447555,-12.818090904 36.1972727290001,-12.811383911 36.182097904,-12.804676919 36.1669230790001,-12.797969926 36.1517482530001,-12.7912629329999 36.1365734280001,-12.784555941 36.121398603,-12.7778489479999 36.106223777,-12.771141956 36.0910489520001,-12.7644349629999 36.0758741270001,-12.75772797 36.0606993010001,-12.7510209779999 36.045524476,-12.744313985 36.0303496510001,-12.7376069929999 36.015174825,-12.7309 36.0000000000001,-12.747574367 36.0000000000001,-12.764248734 36.0000000000001,-12.7809231009999 36.0000000000001,-12.7975974679999 36.0000000000001,-12.8142718349999 36.0000000000001,-12.830946202 36.0000000000001,-12.847620568 36.0000000000001,-12.864294935 36.0000000000001,-12.8809693019999 36.0000000000001,-12.8976436689999 36.0000000000001,-12.9143180359999 36.0000000000001,-12.9309924029999 36.0000000000001,-12.94766677 36.0000000000001,-12.964341137 36.0000000000001,-12.981015504 36.0000000000001,-12.997689871 36.0000000000001,-12.9999999999999 36.0000000000001,-13.0143642379999 36.0000000000001,-13.0310386049999 36.0000000000001,-13.047712971 36.0000000000001,-13.064387338 36.0000000000001,-13.081061705 36.0000000000001,-13.097736072 36.000000001,-13.1144104389999 36.000000001,-13.1310848059999 36.000000001,-13.1477591729999 36.000000001,-13.1644335399999 36.000000001,-13.181107907 36.000000001,-13.197782274 36.000000001,-13.199999809 36.000000001,-13.214456641 36.000000001,-13.231131008 36.000000001,-13.2478053739999 36.000000001,-13.2644797409999 36.000000001,-13.281154108 36.000000001,-13.297828475 36.000000001,-13.314502842 36.000000001,-13.331177209 36.000000001,-13.347851576 36.000000001,-13.3645259429999 36.000000001,-13.3812003099999 36.000000001,-13.3978746769999 36.000000001,-13.414549044 36.000000001,-13.431223411 36.000000001,-13.447897777 36.000000001,-13.4645721439999 36.000000001,-13.4812465109999 36.000000001,-13.4979208779999 36.000000001,-13.514595245 36.000000001,-13.531269612 36.000000001,-13.547943979 36.000000001,-13.564618346 36.000000002,-13.581292713 36.000000002,-13.5979670799999 36.000000002,-13.6146414469999 36.000000002,-13.6313158139999 36.000000002,-13.64799018 36.000000002,-13.664664547 36.000000002,-13.681338914 36.000000002,-13.6980132809999 36.000000002,-13.7146876479999 36.000000002,-13.7313620149999 36.000000002,-13.748036382 36.000000002,-13.764710749 36.000000002,-13.781385116 36.000000002,-13.798059483 36.000000002,-13.800000191 36.000000002,-13.81473385 36.000000002,-13.8314082169999 36.000000002,-13.848082583 36.000000002,-13.86475695 36.000000002,-13.881431317 36.000000002,-13.898105684 36.000000002,-13.914780051 36.000000002,-13.9314544179999 36.000000002,-13.9481287849999 36.000000002,-13.9648031519999 36.000000002,-13.981477519 36.000000002,-13.998151886 36.000000002,-13.9999999999999 36.000000002,-14.014826253 36.000000002,-14.03150062 36.000000002,-14.0481749859999 36.000000002,-14.0648493529999 36.000000002,-14.08152372 36.000000002,-14.098198087 36.000000002,-14.114872454 36.000000003,-14.131546821 36.000000003,-14.148221188 36.000000003,-14.1648955549999 36.000000003,-14.1815699219999 36.000000003,-14.1982442889999 36.000000003,-14.214918656 36.000000003,-14.231593023 36.000000003,-14.248267389 36.000000003,-14.2649417559999 36.000000003,-14.2816161229999 36.000000003,-14.2982904899999 36.000000003,-14.3149648569999 36.000000003,-14.331639224 36.000000003,-14.348313591 36.000000003,-14.364987958 36.000000003,-14.381662325 36.000000003,-14.3983366919999 36.000000003,-14.4150110589999 36.000000003,-14.4316854259999 36.000000003,-14.448359792 36.000000003,-14.465034159 36.000000003,-14.481708526 36.000000003,-14.4983828929999 36.000000003,-14.5150572599999 36.000000003,-14.5317316269999 36.000000003,-14.5484059939999 36.000000003,-14.565080361 36.000000003,-14.581754728 36.000000003,-14.598429095 36.000000003,-14.600000381 36.000000003,-14.615103462 36.000000003,-14.6317778289999 36.000000003,-14.6484521949999 36.000000003,-14.665126562 36.0000000040001,-14.681800929 36.0000000040001,-14.698475296 36.0000000040001,-14.715149663 36.0000000040001,-14.7318240299999 36.0000000040001,-14.7484983969999 36.0000000040001,-14.7651727639999 36.0000000040001,-14.7818471309999 36.0000000040001,-14.798521498 36.0000000040001,-14.800000191 36.0000000040001,-14.815195865 36.0000000040001,-14.831870232 36.0000000040001,-14.8485445979999 36.0000000040001,-14.8652189649999 36.0000000040001,-14.8818933319999 36.0000000040001,-14.898567699 36.0000000040001,-14.915242066 36.0000000040001,-14.931916433 36.0000000040001,-14.9485908 36.0000000040001,-14.9652651669999 36.0000000040001,-14.9819395339999 36.0000000040001,-14.9986139009999 36.0000000040001,-15.0152882679999 36.0000000040001,-15.031962635 36.0000000040001,-15.048637001 36.0000000040001,-15.065311368 36.0000000040001,-15.0819857349999 36.0000000040001,-15.0986601019999 36.0000000040001,-15.1153344689999 36.0000000040001,-15.132008836 36.0000000040001,-15.148683203 36.0000000040001,-15.16535757 36.0000000040001,-15.182031937 36.0000000040001,-15.1987063039999 36.0000000040001,-15.2153806709999 36.0000000050001,-15.2320550379999 36.0000000050001,-15.248729404 36.0000000050001,-15.265403771 36.0000000050001,-15.282078138 36.0000000050001,-15.298752505 36.0000000050001,-15.3154268719999 36.0000000050001,-15.3321012389999 36.0000000050001,-15.3487756059999 36.0000000050001,-15.365449973 36.0000000050001,-15.38212434 36.0000000050001,-15.398798707 36.0000000050001,-15.399999619 36.0000000050001,-15.415473074 36.0000000050001,-15.4321474409999 36.0000000050001,-15.4488218069999 36.0000000050001,-15.465496174 36.0000000050001,-15.482170541 36.0000000050001,-15.498844908 36.0000000050001,-15.515519275 36.0000000050001,-15.532193642 36.0000000050001,-15.5488680089999 36.0000000050001,-15.5655423759999 36.0000000050001,-15.5822167429999 36.0000000050001,-15.59889111 36.0000000050001,-15.600000381 36.0000000050001,-15.615565477 36.0000000050001,-15.632239844 36.0000000050001,-15.6489142099999 36.0000000050001,-15.6655885769999 36.0000000050001,-15.6822629439999 36.0000000050001,-15.698937311 36.0000000050001,-15.715611678 36.0000000050001,-15.732286045 36.0000000050001,-15.748960412 36.0000000050001,-15.765634779 36.0000000060001,-15.7823091459999 36.0000000060001,-15.7989835129999 36.0000000060001,-15.8156578799999 36.0000000060001,-15.832332247 36.0000000060001,-15.849006613 36.0000000060001,-15.86568098 36.0000000060001,-15.8823553469999 36.0000000060001,-15.8990297139999 36.0000000060001,-15.9157040809999 36.0000000060001,-15.932378448 36.0000000060001,-15.949052815 36.0000000060001,-15.965727182 36.0000000060001,-15.982401549 36.0000000060001,-15.999075916 36.0000000060001,-16.0157502829999 36.0000000060001,-16.0324246499999 36.0000000060001,-16.049099016 36.0000000060001,-16.065773383 36.0000000060001,-16.08244775 36.0000000060001,-16.099122117 36.0000000060001,-16.1157964839999 36.0000000060001,-16.1324708509999 36.0000000060001,-16.1491452179999 36.0000000060001,-16.165819585 36.0000000060001,-16.182493952 36.0000000060001,-16.199168319 36.0000000060001,-16.2000007629999 36.0000000060001,-16.215842686 36.0000000060001,-16.232517053 36.0000000060001,-16.2491914189999 36.0000000060001,-16.2658657859999 36.0000000060001,-16.282540153 36.0000000060001,-16.29921452 36.0000000060001,-16.315888887 36.000000007,-16.332563254 36.000000007,-16.3492376209999 36.000000007,-16.3659119879999 36.000000007,-16.3825863549999 36.000000007,-16.399260722 36.000000007,-16.399999619 36.000000007,-16.415935089 36.000000007,-16.432609456 36.000000007,-16.4492838219999 36.000000007,-16.4659581889999 36.000000007,-16.4826325559999 36.000000007,-16.4993069229999 36.000000007,-16.51598129 36.000000007,-16.532655657 36.000000007,-16.549330024 36.000000007,-16.566004391 36.000000007,-16.5826787579999 36.000000007,-16.5993531249999 36.000000007,-16.6160274919999 36.000000007,-16.632701859 36.000000007,-16.649376225 36.000000007,-16.666050592 36.000000007,-16.6827249589999 36.000000007,-16.6993993259999 36.000000007,-16.7160736929999 36.000000007,-16.7327480599999 36.000000007,-16.749422427 36.000000007,-16.766096794 36.000000007,-16.782771161 36.000000007,-16.799445528 36.000000007,-16.8161198949999 36.000000007,-16.8327942619999 36.000000007,-16.849468628 36.000000007,-16.866142995 36.000000008,-16.882817362 36.000000008,-16.899491729 36.000000008,-16.9161660959999 36.000000008,-16.9328404629999 36.000000008,-16.9495148299999 36.000000008,-16.9661891969999 36.000000008,-16.982863564 36.000000008,-16.999537931 36.000000008,-16.9999999999999 36.000000008,-17.016212298 36.000000008,-17.032886665 36.000000008,-17.0495610309999 36.000000008,-17.0662353979999 36.000000008,-17.082909765 36.000000008,-17.099584132 36.000000008,-17.116258499 36.000000008,-17.132932866 36.000000008,-17.1496072329999 36.000000008,-17.1662815999999 36.000000008,-17.1829559669999 36.000000008,-17.1996303339999 36.000000008,-17.2000007629999 36.000000008,-17.216304701 36.000000008,-17.232979068 36.000000008,-17.249653435 36.000000008,-17.2663278009999 36.000000008,-17.2830021679999 36.000000008,-17.2996765349999 36.000000008,-17.316350902 36.000000008,-17.333025269 36.000000008,-17.349699636 36.000000008,-17.366374003 36.000000008,-17.3830483699999 36.000000008,-17.3997227369999 36.000000008,-17.4163971039999 36.0000000090001,-17.4330714709999 36.0000000090001,-17.449745838 36.0000000090001,-17.466420204 36.0000000090001,-17.483094571 36.0000000090001,-17.4997689379999 36.0000000090001,-17.5164433049999 36.0000000090001,-17.5331176719999 36.0000000090001,-17.549792039 36.0000000090001,-17.566466406 36.0000000090001,-17.583140773 36.0000000090001,-17.59981514 36.0000000090001,-17.6164895069999 36.0000000090001,-17.6331638739999 36.0000000090001,-17.6498382409999 36.0000000090001,-17.666512607 36.0000000090001,-17.683186974 36.0000000090001,-17.699861341 36.0000000090001,-17.716535708 36.0000000090001,-17.7332100749999 36.0000000090001,-17.7498844419999 36.0000000090001,-17.7665588089999 36.0000000090001,-17.783233176 36.0000000090001,-17.799907543 36.0000000090001,-17.799999237 36.0000000090001,-17.816582147 36.000000013,-17.833256277 36.0000000100001,-17.849930644 36.0000000100001,-17.8666050099999 36.0000000110001,-17.883279377 36.0000000110001,-17.899953744 36.000000012,-17.916628111 36.000000012,-17.9302566179999 36.000000013,-17.933302478 36.000000013,-17.949976845 36.000000012,-17.9666512119999 36.000000012,-17.9833255789999 36.000000013,-17.999999982 36.0000000100001,-17.9999999459999 36.0166666860001,-17.9999999459999 36.033333353,-17.9999999459999 36.050000019,-17.9999999459999 36.0666666860001,-17.9999999459999 36.0833333530001,-17.9999999459999 36.100000019,-17.9999999459999 36.116666686,-17.9999999459999 36.1333333530001,-17.9999999459999 36.1500000190001,-17.9999999459999 36.166666686,-17.9999999459999 36.1833333530001,-17.9999999459999 36.2000000190001,-17.9999999459999 36.2166666860001,-17.9999999459999 36.233333353,-17.9999999459999 36.250000019,-17.9999999459999 36.2666666860001,-17.9999999459999 36.283333353,-17.9999999459999 36.300000019,-17.9999999459999 36.3166666860001,-17.9999999459999 36.3333333530001,-17.9999999459999 36.350000019,-17.9999999459999 36.366666686,-17.9999999459999 36.3833333530001,-17.9999999459999 36.40000002,-17.9999999459999 36.416666686,-17.9999999459999 36.4333333530001,-17.9999999459999 36.4500000200001,-17.9999999459999 36.4666666860001,-17.9999999459999 36.483333353,-17.9999999459999 36.5000000200001,-17.9999999459999 36.5166666860001,-17.9999999459999 36.533333353,-17.9999999459999 36.55000002,-17.9999999459999 36.5666666860001,-17.9999999459999 36.5833333530001,-17.9999999459999 36.60000002,-17.9999999459999 36.616666686,-17.9999999459999 36.6333333530001,-17.9999999459999 36.65000002,-17.9999999459999 36.666666686,-17.9999999459999 36.6833333530001,-17.9999999459999 36.7000000200001,-17.9999999459999 36.7166666860001,-17.9999999459999 36.733333353,-17.9999999459999 36.7500000200001,-17.9999999459999 36.7666666870001,-17.9999999459999 36.783333353,-17.9999999459999 36.80000002,-17.9999999459999 36.8166666870001,-17.9999999459999 36.8333333530001,-17.9999999459999 36.85000002,-17.9999999459999 36.8666666870001,-17.9999999459999 36.8833333530001,-17.9999999459999 36.90000002,-17.9999999459999 36.916666687,-17.9999999459999 36.9333333530001,-17.9999999459999 36.9500000200001,-17.9999999459999 36.966666687,-17.9999999459999 36.983333353,-17.9999999459999 37.0000000200001,-17.9999999459999 37.0166666870001,-17.9999999459999 37.033333353,-17.9999999459999 37.05000002,-17.9999999459999 37.0666666870001,-17.9999999459999 37.0833333530001,-17.9999999459999 37.10000002,-17.9999999459999 37.1166666870001,-17.9999999459999 37.1333333540001,-17.9999999459999 37.15000002,-17.9999999459999 37.166666687,-17.9999999459999 37.1833333540001,-17.9999999459999 37.2000000200001,-17.9999999459999 37.216666687,-17.9999999459999 37.233333354,-17.9999999459999 37.2500000200001,-17.9999999459999 37.2666666870001,-17.9999999459999 37.283333354,-17.9999999459999 37.30000002,-17.9999999459999 37.3166666870001,-17.9999999459999 37.333333354,-17.9999999459999 37.35000002,-17.9999999459999 37.3666666870001,-17.9999999459999 37.3833333540001,-17.9999999459999 37.40000002,-17.9999999459999 37.416666687,-17.9999999459999 37.4333333540001,-17.9999999459999 37.4500000210001,-17.9999999459999 37.466666687,-17.9999999459999 37.483333354,-17.9999999459999 37.5000000210001,-17.9999999459999 37.5166666870001,-17.9999999459999 37.533333354,-17.9999999459999 37.5500000210001,-17.9999999459999 37.5666666870001,-17.9999999459999 37.583333354,-17.9999999459999 37.600000021,-17.9999999459999 37.6166666870001,-17.9999999459999 37.6333333540001,-17.9999999459999 37.650000021,-17.9999999459999 37.666666687,-17.9999999459999 37.6833333540001,-17.9999999459999 37.7000000210001,-17.9999999459999 37.716666687,-17.9999999459999 37.733333354,-17.9999999459999 37.7500000210001,-17.9999999459999 37.7666666870001,-17.9999999459999 37.783333354,-17.9999999459999 37.8000000210001,-17.9999999459999 37.8166666880001,-17.9999999459999 37.833333354,-17.9999999459999 37.850000021,-17.9999999459999 37.8666666880001,-17.9999999459999 37.8833333540001,-17.9999999459999 37.900000021,-17.9999999459999 37.9166666880001,-17.9999999459999 37.9333333540001,-17.9999999459999 37.9500000210001,-17.9999999459999 37.966666688,-17.9999999459999 37.983333354,-17.9999999459999 38.0000000210001,-17.9999999459999 38.016666688,-17.9999999459999 38.033333354,-17.9999999459999 38.0500000210001,-17.9999999459999 38.0666666880001,-17.9999999459999 38.083333354,-17.9999999459999 38.100000021,-17.9999999459999 38.1166666880001,-17.9999999459999 38.1333333540001,-17.9999999459999 38.150000021,-17.9999999459999 38.1666666880001,-17.9999999459999 38.1833333550001,-17.9999999459999 38.2000000210001,-17.9999999459999 38.216666688,-17.9999999459999 38.2333333550001,-17.9999999459999 38.2500000210001,-17.9999999459999 38.266666688,-17.9999999459999 38.283333355,-17.9999999459999 38.3000000210001,-17.9999999459999 38.3166666880001,-17.9999999459999 38.333333355,-17.9999999459999 38.350000021,-17.9999999459999 38.3666666880001,-17.9999999459999 38.383333355,-17.9999999459999 38.400000021,-17.9999999459999 38.4166666880001,-17.9999999459999 38.4333333550001,-17.9999999459999 38.4500000210001,-17.9999999459999 38.466666688,-17.9999999459999 38.4833333550001,-17.9999999459999 38.5000000210001,-17.9999999459999 38.516666688,-17.9999999459999 38.533333355,-17.9999999459999 38.5500000220001,-17.9999999459999 38.5666666880001,-17.9999999459999 38.583333355,-17.9999999459999 38.6000000220001,-17.9999999459999 38.6166666880001,-17.9999999459999 38.633333355,-17.9999999459999 38.650000022,-17.9999999459999 38.6666666880001,-17.9999999459999 38.6833333550001,-17.9999999459999 38.700000022,-17.9999999459999 38.716666688,-17.9999999459999 38.7333333550001,-17.9999999459999 38.7500000220001,-17.9999999459999 38.766666688,-17.9999999459999 38.783333355,-17.9999999459999 38.8000000220001,-17.9999999459999 38.8166666880001,-17.9999999459999 38.833333355,-17.9999999459999 38.8500000220001,-17.9999999459999 38.8666666880001,-17.9999999459999 38.883333355,-17.9999999459999 38.900000022,-17.9999999459999 38.9166666890001,-17.9999999459999 38.9333333550001,-17.9999999459999 38.950000022,-17.9999999459999 38.9666666890001,-17.9999999459999 38.9833333550001,-17.9999999459999 39.0000000220001,-17.9999999459999 39.016666689,-17.9999999459999 39.033333355,-17.9999999459999 39.0500000220001,-17.9999999459999 39.066666689,-17.9999999459999 39.083333355,-17.9999999459999 39.1000000220001,-17.9999999459999 39.1166666890001,-17.9999999459999 39.133333355,-17.9999999459999 39.150000022,-17.9999999459999 39.1666666890001,-17.9999999459999 39.1833333550001,-17.9999999459999 39.200000022,-17.9999999459999 39.2166666890001,-17.9999999459999 39.2333333550001,-17.9999999459999 39.2500000220001,-17.9999999459999 39.266666689,-17.9999999459999 39.2833333560001,-17.9999999459999 39.3000000220001,-17.9999999459999 39.316666689,-17.9999999459999 39.333333356,-17.9999999459999 39.3500000220001,-17.9999999459999 39.3666666890001,-17.9999999459999 39.383333356,-17.9999999459999 39.400000022,-17.9999999459999 39.4166666890001,-17.9999999459999 39.433333356,-17.9999999459999 39.450000022,-17.9999999459999 39.4666666890001,-17.9999999459999 39.4833333560001,-17.9999999459999 39.5000000220001,-17.9999999459999 39.516666689,-17.9999999459999 39.5333333560001,-17.9999999459999 39.5500000220001,-17.9999999459999 39.566666689,-17.9999999459999 39.583333356,-17.9999999459999 39.6000000230001,-17.9999999459999 39.6166666890001,-17.9999999459999 39.633333356,-17.9999999459999 39.6500000230001,-17.9999999459999 39.6666666890001,-17.9999999459999 39.683333356,-17.9999999459999 39.700000023,-17.9999999459999 39.7166666890001,-17.9999999459999 39.7333333560001,-17.9999999459999 39.750000023,-17.9999999459999 39.766666689,-17.9999999459999 39.7833333560001,-17.9999999459999 39.8000000230001,-17.9999999459999 39.816666689,-17.9999999459999 39.833333356,-17.9999999459999 39.8500000230001,-17.9999999459999 39.8666666890001,-17.9999999459999 39.883333356,-17.9999999459999 39.9000000230001,-17.9999999459999 39.9166666890001,-17.9999999459999 39.933333356,-17.9999999459999 39.950000023,-17.9999999459999 39.9666666900001,-17.9999999459999 39.9833333560001,-17.9999999459999 40.000000023,-17.9999999459999 40.0166666900001,-17.9999999459999 40.0333333560001,-17.9999999459999 40.0500000230001,-17.9999999459999 40.06666669,-17.9999999459999 40.083333356,-17.9999999459999 40.1000000230001,-17.9999999459999 40.11666669,-17.9999999459999 40.133333356,-17.9999999459999 40.1500000230001,-17.9999999459999 40.1666666900001,-17.9999999459999 40.183333356,-17.9999999459999 40.200000023,-17.9999999459999 40.2166666900001,-17.9999999459999 40.2333333560001,-17.9999999459999 40.250000023,-17.9999999459999 40.2666666900001,-17.9999999459999 40.2833333560001,-17.9999999459999 40.3000000230001,-17.9999999459999 40.31666669,-17.9999999459999 40.3333333570001,-17.9999999459999 40.3500000230001,-17.9999999459999 40.36666669,-17.9999999459999 40.383333357,-17.9999999459999 40.4000000230001,-17.9999999459999 40.4166666900001,-17.9999999459999 40.433333357,-17.9999999459999 40.450000023,-17.9999999459999 40.4666666900001,-17.9999999459999 40.483333357,-17.9999999459999 40.500000023,-17.9999999459999 40.5166666900001,-17.9999999459999 40.5333333570001,-17.9999999459999 40.5500000230001,-17.9999999459999 40.56666669,-17.9999999459999 40.5833333570001,-17.9999999459999 40.6000000230001,-17.9999999459999 40.61666669,-17.9999999459999 40.633333357,-17.9999999459999 40.6500000230001,-17.9999999459999 40.6666666900001,-17.9999999459999 40.683333357,-17.9999999459999 40.7000000240001,-17.9999999459999 40.7166666900001,-17.9999999459999 40.733333357,-17.9999999459999 40.750000024,-17.9999999459999 40.7666666900001,-17.9999999459999 40.7833333570001,-17.9999999459999 40.800000024,-17.9999999459999 40.81666669,-17.9999999459999 40.8333333570001,-17.9999999459999 40.8500000240001,-17.9999999459999 40.86666669,-17.9999999459999 40.883333357,-17.9999999459999 40.9000000240001,-17.9999999459999 40.9166666900001,-17.9999999459999 40.933333357,-17.9999999459999 40.9500000240001,-17.9999999459999 40.9666666900001,-17.9999999459999 40.983333357,-17.9999999459999 41.000000024,-17.9999999459999 41.0166666900001,-17.9999999459999 41.0333333570001,-17.9999999459999 41.050000024,-17.9999999459999 41.0666666910001,-17.9999999459999 41.0833333570001,-17.9999999459999 41.1000000240001,-17.9999999459999 41.116666691,-17.9999999459999 41.133333357,-17.9999999459999 41.1500000240001,-17.9999999459999 41.166666691,-17.9999999459999 41.183333357,-17.9999999459999 41.2000000240001,-17.9999999459999 41.2166666910001,-17.9999999459999 41.233333357,-17.9999999459999 41.250000024,-17.9999999459999 41.2666666910001,-17.9999999459999 41.2833333570001,-17.9999999459999 41.300000024,-17.9999999459999 41.3166666910001,-17.9999999459999 41.3333333570001,-17.9999999459999 41.3500000240001,-17.9999999459999 41.366666691,-17.9999999459999 41.383333357,-17.9999999459999 41.4000000240001,-17.9999999459999 41.416666691,-17.9999999459999 41.433333358,-17.9999999459999 41.4500000240001,-17.9999999459999 41.4666666910001,-17.9999999459999 41.483333358,-17.9999999459999 41.500000024,-17.9999999459999 41.5166666910001,-17.9999999459999 41.533333358,-17.9999999459999 41.550000024,-17.9999999459999 41.5666666910001,-17.9999999459999 41.5833333580001,-17.9999999459999 41.6000000240001,-17.9999999459999 41.616666691,-17.9999999459999 41.6333333580001,-17.9999999459999 41.6500000240001,-17.9999999459999 41.666666691,-17.9999999459999 41.683333358,-17.9999999459999 41.7000000240001,-17.9999999459999 41.7166666910001,-17.9999999459999 41.733333358,-17.9999999459999 41.7500000250001,-17.9999999459999 41.7666666910001,-17.9999999459999 41.783333358,-17.9999999459999 41.800000025,-17.9999999459999 41.8166666910001,-17.9999999459999 41.8333333580001,-17.9999999459999 41.850000025,-17.9999999459999 41.866666691,-17.9999999459999 41.8833333580001,-17.9999999459999 41.9000000250001,-17.9999999459999 41.916666691,-17.9999999459999 41.933333358,-17.9999999459999 41.9500000250001,-17.9999999459999 41.9666666910001,-17.9999999459999 41.983333358,-17.9999999459999 42.0000000250001,-17.9999999459999 42.0166666910001,-17.9999999459999 42.033333358,-17.9999999459999 42.050000025,-17.9999999459999 42.0666666910001,-17.9999999459999 42.0833333580001,-17.9999999459999 42.100000025,-17.9999999459999 42.1166666920001,-17.9999999459999 42.1333333580001,-17.9999999459999 42.1500000250001,-17.9999999459999 42.166666692,-17.9999999459999 42.183333358,-17.9999999459999 42.2000000250001,-17.9999999459999 42.216666692,-17.9999999459999 42.233333358,-17.9999999459999 42.2500000250001,-17.9999999459999 42.2666666920001,-17.9999999459999 42.283333358,-17.9999999459999 42.300000025,-17.9999999459999 42.3166666920001,-17.9999999459999 42.3333333580001,-17.9999999459999 42.350000025,-17.9999999459999 42.3666666920001,-17.9999999459999 42.3833333580001,-17.9999999459999 42.4000000250001,-17.9999999459999 42.416666692,-17.9999999459999 42.433333358,-17.9999999459999 42.4500000250001,-17.9999999459999 42.466666692,-17.9999999459999 42.483333359,-17.9999999459999 42.5000000250001,-17.9999999459999 42.5166666920001,-17.9999999459999 42.533333359,-17.9999999459999 42.550000025,-17.9999999459999 42.5666666920001,-17.9999999459999 42.5833333590001,-17.9999999459999 42.600000025,-17.9999999459999 42.6166666920001,-17.9999999459999 42.6333333590001,-17.9999999459999 42.6500000250001,-17.9999999459999 42.666666692,-17.9999999459999 42.6833333590001,-17.9999999459999 42.7000000250001,-17.9999999459999 42.716666692,-17.9999999459999 42.733333359,-17.9999999459999 42.7500000250001,-17.9999999459999 42.7666666920001,-17.9999999459999 42.783333359,-17.9999999459999 42.800000025,-17.9999999459999 42.8166666920001,-17.9999999459999 42.8333333590001,-17.9999999459999 42.850000026,-17.9999999459999 42.8666666920001,-17.9999999459999 42.8833333590001,-17.9999999459999 42.900000026,-17.9999999459999 42.916666692,-17.9999999459999 42.9333333590001,-17.9999999459999 42.9500000260001,-17.9999999459999 42.966666692,-17.9999999459999 42.983333359,-17.999999959 43.000000019,-17.983333279 43.0000000260001,-17.9666666119999 43.0000000260001,-17.9499999459999 43.0000000260001,-17.933333279 43.0000000260001,-17.916666612 43.0000000260001,-17.899999946 43.0000000260001,-17.8833332789999 43.0000000260001,-17.866666612 43.0000000260001,-17.849999946 43.0000000260001,-17.8333332789999 43.0000000260001,-17.8166666119999 43.0000000260001,-17.799999946 43.0000000260001,-17.783333279 43.0000000260001,-17.7666666119999 43.0000000260001,-17.7499999459999 43.0000000260001,-17.733333279 43.0000000260001,-17.7166666119999 43.0000000260001,-17.6999999449999 43.0000000260001,-17.683333279 43.0000000260001,-17.666666612 43.0000000260001,-17.6499999449999 43.0000000260001,-17.6333332789999 43.0000000260001,-17.616666612 43.0000000260001,-17.599999945 43.0000000260001,-17.5833332789999 43.0000000260001,-17.5666666119999 43.0000000260001,-17.549999945 43.0000000260001,-17.533333279 43.0000000260001,-17.5166666119999 43.0000000260001,-17.499999945 43.0000000260001,-17.483333279 43.0000000260001,-17.4666666119999 43.0000000260001,-17.4499999449999 43.0000000260001,-17.433333279 43.0000000260001,-17.416666612 43.0000000260001,-17.3999999449999 43.0000000260001,-17.3833332789999 43.0000000260001,-17.366666612 43.0000000260001,-17.349999945 43.0000000260001,-17.3333332779999 43.0000000260001,-17.3166666119999 43.0000000260001,-17.299999945 43.0000000260001,-17.2833332779999 43.0000000260001,-17.2666666119999 43.0000000260001,-17.249999945 43.0000000260001,-17.233333278 43.0000000260001,-17.2166666119999 43.0000000260001,-17.1999999449999 43.0000000260001,-17.183333278 43.0000000260001,-17.166666612 43.0000000260001,-17.1499999449999 43.0000000260001,-17.133333278 43.0000000260001,-17.116666612 43.0000000260001,-17.099999945 43.0000000260001,-17.0833332779999 43.0000000260001,-17.0666666119999 43.0000000260001,-17.049999945 43.0000000260001,-17.0333332779999 43.0000000260001,-17.0166666119999 43.0000000260001,-16.999999945 43.0000000260001,-16.983333278 43.0000000260001,-16.9666666109999 43.0000000260001,-16.9499999449999 43.0000000260001,-16.933333278 43.0000000260001,-16.916666611 43.0000000260001,-16.8999999449999 43.0000000260001,-16.883333278 43.0000000260001,-16.866666611 43.0000000260001,-16.849999945 43.0000000260001,-16.8333332779999 43.0000000260001,-16.816666611 43.0000000260001,-16.799999945 43.0000000260001,-16.7833332779999 43.0000000260001,-16.7666666109999 43.0000000260001,-16.749999945 43.0000000260001,-16.733333278 43.0000000260001,-16.7166666109999 43.0000000260001,-16.6999999449999 43.0000000260001,-16.683333278 43.0000000260001,-16.666666611 43.0000000260001,-16.6499999449999 43.0000000260001,-16.633333278 43.0000000260001,-16.616666611 43.0000000260001,-16.5999999439999 43.0000000260001,-16.5833332779999 43.0000000260001,-16.566666611 43.0000000260001,-16.549999944 43.0000000260001,-16.5333332779999 43.0000000260001,-16.5166666109999 43.0000000260001,-16.499999944 43.0000000260001,-16.483333278 43.0000000260001,-16.4666666109999 43.0000000260001,-16.449999944 43.0000000260001,-16.433333278 43.0000000260001,-16.416666611 43.0000000260001,-16.3999999439999 43.0000000260001,-16.383333278 43.0000000260001,-16.366666611 43.0000000260001,-16.3499999439999 43.0000000260001,-16.3333332779999 43.0000000260001,-16.316666611 43.0000000260001,-16.299999944 43.0000000260001,-16.2833332779999 43.0000000260001,-16.2666666109999 43.0000000260001,-16.249999944 43.0000000260001,-16.2333332769999 43.0000000260001,-16.2166666109999 43.0000000260001,-16.199999944 43.0000000260001,-16.183333277 43.0000000260001,-16.166666611 43.0000000260001,-16.1499999439999 43.0000000260001,-16.133333277 43.0000000260001,-16.116666611 43.0000000260001,-16.0999999439999 43.0000000260001,-16.083333277 43.0000000260001,-16.066666611 43.0000000260001,-16.049999944 43.0000000260001,-16.0333332769999 43.0000000260001,-16.0166666109999 43.0000000260001,-15.999999944 43.0000000260001,-15.9833332769999 43.0000000260001,-15.9666666109999 43.0000000260001,-15.949999944 43.0000000260001,-15.933333277 43.0000000260001,-15.9166666099999 43.0000000260001,-15.8999999439999 43.0000000260001,-15.883333277 43.0000000260001,-15.86666661 43.0000000260001,-15.8499999439999 43.0000000260001,-15.833333277 43.0000000260001,-15.81666661 43.0000000260001,-15.799999944 43.0000000260001,-15.7833332769999 43.0000000260001,-15.76666661 43.0000000260001,-15.749999944 43.0000000260001,-15.7333332769999 43.0000000260001,-15.7166666099999 43.0000000260001,-15.699999944 43.0000000260001,-15.683333277 43.0000000260001,-15.6666666099999 43.0000000260001,-15.6499999439999 43.0000000260001,-15.633333277 43.0000000260001,-15.61666661 43.0000000260001,-15.5999999439999 43.0000000260001,-15.583333277 43.0000000260001,-15.56666661 43.0000000260001,-15.5499999429999 43.0000000260001,-15.5333332769999 43.0000000260001,-15.51666661 43.0000000260001,-15.499999943 43.0000000260001,-15.4833332769999 43.0000000260001,-15.4666666099999 43.0000000260001,-15.449999943 43.0000000260001,-15.433333277 43.0000000260001,-15.4166666099999 43.0000000260001,-15.399999943 43.0000000260001,-15.383333277 43.0000000260001,-15.36666661 43.0000000260001,-15.3499999429999 43.0000000260001,-15.333333277 43.0000000260001,-15.31666661 43.0000000260001,-15.2999999429999 43.0000000260001,-15.2833332769999 43.0000000260001,-15.26666661 43.0000000260001,-15.249999943 43.0000000260001,-15.2333332769999 43.0000000260001,-15.2166666099999 43.0000000260001,-15.199999943 43.0000000260001,-15.1833332759999 43.0000000260001,-15.1666666099999 43.0000000260001,-15.149999943 43.0000000260001,-15.133333276 43.0000000260001,-15.11666661 43.0000000260001,-15.0999999429999 43.0000000260001,-15.083333276 43.0000000260001,-15.06666661 43.0000000260001,-15.0499999429999 43.0000000260001,-15.033333276 43.0000000260001,-15.01666661 43.0000000260001,-14.999999943 43.0000000260001,-14.9833332759999 43.0000000260001,-14.9666666099999 43.0000000260001,-14.949999943 43.0000000260001,-14.9333332759999 43.0000000260001,-14.9166666099999 43.0000000260001,-14.899999943 43.0000000260001,-14.883333276 43.0000000260001,-14.86666661 43.0000000260001,-14.8499999429999 43.0000000260001,-14.833333276 43.0000000260001,-14.816666609 43.0000000260001,-14.7999999429999 43.0000000260001,-14.783333276 43.0000000260001,-14.766666609 43.0000000260001,-14.749999943 43.0000000260001,-14.7333332759999 43.0000000260001,-14.716666609 43.0000000260001,-14.699999943 43.0000000260001,-14.6833332759999 43.0000000260001,-14.6666666089999 43.0000000260001,-14.649999943 43.0000000260001,-14.633333276 43.0000000260001,-14.6166666089999 43.0000000260001,-14.5999999429999 43.0000000260001,-14.583333276 43.0000000260001,-14.566666609 43.0000000260001,-14.5499999429999 43.0000000260001,-14.533333276 43.0000000260001,-14.516666609 43.0000000260001,-14.499999943 43.0000000260001,-14.4833332759999 43.0000000260001,-14.466666609 43.0000000260001,-14.449999942 43.0000000260001,-14.4333332759999 43.0000000260001,-14.4166666089999 43.0000000260001,-14.399999942 43.0000000260001,-14.383333276 43.0000000260001,-14.3666666089999 43.0000000260001,-14.349999942 43.0000000260001,-14.333333276 43.0000000260001,-14.316666609 43.0000000260001,-14.2999999419999 43.0000000260001,-14.283333276 43.0000000260001,-14.266666609 43.0000000260001,-14.2499999419999 43.0000000260001,-14.2333332759999 43.0000000260001,-14.216666609 43.0000000260001,-14.199999942 43.0000000260001,-14.1833332759999 43.0000000260001,-14.1666666089999 43.0000000260001,-14.149999942 43.0000000260001,-14.1333332749999 43.0000000260001,-14.1166666089999 43.0000000260001,-14.099999942 43.0000000260001,-14.083333275 43.0000000260001,-14.066666609 43.0000000260001,-14.0499999419999 43.0000000260001,-14.033333275 43.0000000260001,-14.016666609 43.0000000260001,-13.9999999419999 43.0000000260001,-13.9833332749999 43.0000000260001,-13.966666609 43.0000000260001,-13.949999942 43.0000000260001,-13.9333332749999 43.0000000260001,-13.9166666089999 43.0000000260001,-13.899999942 43.0000000260001,-13.8833332749999 43.0000000260001,-13.8666666089999 43.0000000260001,-13.849999942 43.0000000260001,-13.833333275 43.0000000260001,-13.816666609 43.0000000260001,-13.799999945 43.000000017)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.IX', 'Portuguese Waters', '27.IX', '27.IX.b', 'Portuguese Waters - West', '27.IXb', '27.IX.b.1', 'Portuguese Waters - West - NEAFC Reg. Area', '27.IXb1', '', '', '', '', 'IXb1', '4', '27.9.b.1', '27.IXb1', 'Y'),('SRID=4326;MULTIPOLYGON(((-54.9999999999999 35.0000000000001,-55.0166664119999 35.0000000000001,-55.0333328249999 35.0000000000001,-55.049999237 35.0000000000001,-55.066665649 35.0000000000001,-55.083332062 35.0000000000001,-55.099998474 35.0000000000001,-55.116664886 35.0000000000001,-55.133335114 35.0000000000001,-55.150001526 35.0000000000001,-55.1666679379999 35.0000000000001,-55.183334351 35.0000000000001,-55.2000007629999 35.0000000000001,-55.2166671749999 35.0000000000001,-55.2333335879999 35.0000000000001,-55.2499999999999 35.0000000000001,-55.2666664119999 35.0000000000001,-55.2833328249999 35.0000000000001,-55.299999237 35.0000000000001,-55.316665649 35.0000000000001,-55.333332062 35.0000000000001,-55.349998474 35.0000000000001,-55.366664886 35.0000000000001,-55.383335114 35.0000000000001,-55.400001526 35.0000000000001,-55.4166679379999 35.0000000000001,-55.433334351 35.0000000000001,-55.4500007629999 35.0000000000001,-55.4666671749999 35.0000000000001,-55.4833335879999 35.0000000000001,-55.4999999999999 35.0000000000001,-55.5166664119999 35.0000000000001,-55.5333328249999 35.0000000000001,-55.549999237 35.0000000000001,-55.566665649 35.0000000000001,-55.583332062 35.0000000000001,-55.599998474 35.0000000000001,-55.616664886 35.0000000000001,-55.633335114 35.0000000000001,-55.650001526 35.0000000000001,-55.6666679379999 35.0000000000001,-55.683334351 35.0000000000001,-55.7000007629999 35.0000000000001,-55.7166671749999 35.0000000000001,-55.7333335879999 35.0000000000001,-55.7499999999999 35.0000000000001,-55.7666664119999 35.0000000000001,-55.7833328249999 35.0000000000001,-55.799999237 35.0000000000001,-55.816665649 35.0000000000001,-55.833332062 35.0000000000001,-55.849998474 35.0000000000001,-55.866664886 35.0000000000001,-55.883335114 35.0000000000001,-55.900001526 35.0000000000001,-55.9166679379999 35.0000000000001,-55.933334351 35.0000000000001,-55.9500007629999 35.0000000000001,-55.9666671749999 35.0000000000001,-55.9833335879999 35.0000000000001,-55.9999999999999 35.0000000000001,-56.0166664119999 35.0000000000001,-56.0333328249999 35.0000000000001,-56.049999237 35.0000000000001,-56.066665649 35.0000000000001,-56.083332062 35.0000000000001,-56.099998474 35.0000000000001,-56.116664886 35.0000000000001,-56.133335114 35.0000000000001,-56.150001526 35.0000000000001,-56.1666679379999 35.0000000000001,-56.183334351 35.0000000000001,-56.2000007629999 35.0000000000001,-56.2166671749999 35.0000000000001,-56.2333335879999 35.0000000000001,-56.2499999999999 35.0000000000001,-56.2666664119999 35.0000000000001,-56.2833328249999 35.0000000000001,-56.299999237 35.0000000000001,-56.316665649 35.0000000000001,-56.333332062 35.0000000000001,-56.349998474 35.0000000000001,-56.366664886 35.0000000000001,-56.383335114 35.0000000000001,-56.400001526 35.0000000000001,-56.4166679379999 35.0000000000001,-56.433334351 35.0000000000001,-56.4500007629999 35.0000000000001,-56.4666671749999 35.0000000000001,-56.4833335879999 35.0000000000001,-56.4999999999999 35.0000000000001,-56.5166664119999 35.0000000000001,-56.5333328249999 35.0000000000001,-56.549999237 35.0000000000001,-56.566665649 35.0000000000001,-56.583332062 35.0000000000001,-56.599998474 35.0000000000001,-56.616664886 35.0000000000001,-56.633335114 35.0000000000001,-56.650001526 35.0000000000001,-56.6666679379999 35.0000000000001,-56.683334351 35.0000000000001,-56.7000007629999 35.0000000000001,-56.7166671749999 35.0000000000001,-56.7333335879999 35.0000000000001,-56.7499999999999 35.0000000000001,-56.7666664119999 35.0000000000001,-56.7833328249999 35.0000000000001,-56.799999237 35.0000000000001,-56.816665649 35.0000000000001,-56.833332062 35.0000000000001,-56.849998474 35.0000000000001,-56.866664886 35.0000000000001,-56.883335114 35.0000000000001,-56.900001526 35.0000000000001,-56.9166679379999 35.0000000000001,-56.933334351 35.0000000000001,-56.9500007629999 35.0000000000001,-56.9666671749999 35.0000000000001,-56.9833335879999 35.0000000000001,-56.9999999999999 35.0000000000001,-57.0166664119999 35.0000000000001,-57.0333328249999 35.0000000000001,-57.049999237 35.0000000000001,-57.066665649 35.0000000000001,-57.083332062 35.0000000000001,-57.099998474 35.0000000000001,-57.116664886 35.0000000000001,-57.133335114 35.0000000000001,-57.150001526 35.0000000000001,-57.1666679379999 35.0000000000001,-57.183334351 35.0000000000001,-57.2000007629999 35.0000000000001,-57.2166671749999 35.0000000000001,-57.2333335879999 35.0000000000001,-57.2499999999999 35.0000000000001,-57.2666664119999 35.0000000000001,-57.2833328249999 35.0000000000001,-57.299999237 35.0000000000001,-57.316665649 35.0000000000001,-57.333332062 35.0000000000001,-57.349998474 35.0000000000001,-57.366664886 35.0000000000001,-57.383335114 35.0000000000001,-57.400001526 35.0000000000001,-57.4166679379999 35.0000000000001,-57.433334351 35.0000000000001,-57.4500007629999 35.0000000000001,-57.4666671749999 35.0000000000001,-57.4833335879999 35.0000000000001,-57.4999999999999 35.0000000000001,-57.5166664119999 35.0000000000001,-57.5333328249999 35.0000000000001,-57.549999237 35.0000000000001,-57.566665649 35.0000000000001,-57.583332062 35.0000000000001,-57.599998474 35.0000000000001,-57.616664886 35.0000000000001,-57.633335114 35.0000000000001,-57.650001526 35.0000000000001,-57.6666679379999 35.0000000000001,-57.683334351 35.0000000000001,-57.7000007629999 35.0000000000001,-57.7166671749999 35.0000000000001,-57.7333335879999 35.0000000000001,-57.7499999999999 35.0000000000001,-57.7666664119999 35.0000000000001,-57.7833328249999 35.0000000000001,-57.799999237 35.0000000000001,-57.816665649 35.0000000000001,-57.833332062 35.0000000000001,-57.849998474 35.0000000000001,-57.866664886 35.0000000000001,-57.883335114 35.0000000000001,-57.900001526 35.0000000000001,-57.9166679379999 35.0000000000001,-57.933334351 35.0000000000001,-57.9500007629999 35.0000000000001,-57.9666671749999 35.0000000000001,-57.9833335879999 35.0000000000001,-57.9999999999999 35.0000000000001,-58.0166664119999 35.0000000000001,-58.0333328249999 35.0000000000001,-58.049999237 35.0000000000001,-58.066665649 35.0000000000001,-58.083332062 35.0000000000001,-58.099998474 35.0000000000001,-58.116664886 35.0000000000001,-58.133335114 35.0000000000001,-58.150001526 35.0000000000001,-58.1666679379999 35.0000000000001,-58.183334351 35.0000000000001,-58.2000007629999 35.0000000000001,-58.2166671749999 35.0000000000001,-58.2333335879999 35.0000000000001,-58.2499999999999 35.0000000000001,-58.2666664119999 35.0000000000001,-58.2833328249999 35.0000000000001,-58.299999237 35.0000000000001,-58.316665649 35.0000000000001,-58.333332062 35.0000000000001,-58.349998474 35.0000000000001,-58.366664886 35.0000000000001,-58.383335114 35.0000000000001,-58.400001526 35.0000000000001,-58.4166679379999 35.0000000000001,-58.433334351 35.0000000000001,-58.4500007629999 35.0000000000001,-58.4666671749999 35.0000000000001,-58.4833335879999 35.0000000000001,-58.4999999999999 35.0000000000001,-58.5166664119999 35.0000000000001,-58.5333328249999 35.0000000000001,-58.549999237 35.0000000000001,-58.566665649 35.0000000000001,-58.583332062 35.0000000000001,-58.599998474 35.0000000000001,-58.616664886 35.0000000000001,-58.633335114 35.0000000000001,-58.650001526 35.0000000000001,-58.6666679379999 35.0000000000001,-58.683334351 35.0000000000001,-58.7000007629999 35.0000000000001,-58.7166671749999 35.0000000000001,-58.7333335879999 35.0000000000001,-58.7499999999999 35.0000000000001,-58.7666664119999 35.0000000000001,-58.7833328249999 35.0000000000001,-58.799999237 35.0000000000001,-58.816665649 35.0000000000001,-58.833332062 35.0000000000001,-58.849998474 35.0000000000001,-58.866664886 35.0000000000001,-58.883335114 35.0000000000001,-58.900001526 35.0000000000001,-58.9166679379999 35.0000000000001,-58.933334351 35.0000000000001,-58.9500007629999 35.0000000000001,-58.9666671749999 35.0000000000001,-58.9833335879999 35.0000000000001,-58.9999999999999 35.0000000000001,-59.0166664119999 35.0000000000001,-59.0333328249999 35.0000000000001,-59.049999237 35.0000000000001,-59.066665649 35.0000000000001,-59.083332062 35.0000000000001,-59.099998474 35.0000000000001,-59.116664886 35.0000000000001,-59.133335114 35.0000000000001,-59.150001526 35.0000000000001,-59.1666679379999 35.0000000000001,-59.183334351 35.0000000000001,-59.2000007629999 35.0000000000001,-59.2166671749999 35.0000000000001,-59.2333335879999 35.0000000000001,-59.2499999999999 35.0000000000001,-59.2666664119999 35.0000000000001,-59.2833328249999 35.0000000000001,-59.299999237 35.0000000000001,-59.316665649 35.0000000000001,-59.333332062 35.0000000000001,-59.349998474 35.0000000000001,-59.366664886 35.0000000000001,-59.383335114 35.0000000000001,-59.400001526 35.0000000000001,-59.4166679379999 35.0000000000001,-59.433334351 35.0000000000001,-59.4500007629999 35.0000000000001,-59.4666671749999 35.0000000000001,-59.4833335879999 35.0000000000001,-59.4999999999999 35.0000000000001,-59.5166664119999 35.0000000000001,-59.5333328249999 35.0000000000001,-59.549999237 35.0000000000001,-59.566665649 35.0000000000001,-59.583332062 35.0000000000001,-59.599998474 35.0000000000001,-59.616664886 35.0000000000001,-59.633335114 35.0000000000001,-59.650001526 35.0000000000001,-59.6666679379999 35.0000000000001,-59.683334351 35.0000000000001,-59.7000007629999 35.0000000000001,-59.7166671749999 35.0000000000001,-59.7333335879999 35.0000000000001,-59.7499999999999 35.0000000000001,-59.7666664119999 35.0000000000001,-59.7833328249999 35.0000000000001,-59.799999237 35.0000000000001,-59.816665649 35.0000000000001,-59.833332062 35.0000000000001,-59.849998474 35.0000000000001,-59.866664886 35.0000000000001,-59.883335114 35.0000000000001,-59.900001526 35.0000000000001,-59.9166679379999 35.0000000000001,-59.933334351 35.0000000000001,-59.9500007629999 35.0000000000001,-59.9666671749999 35.0000000000001,-59.9833335879999 35.0000000000001,-59.9999999999999 35.0000000000001,-59.9999999999999 35.0166664120001,-59.9999999999999 35.0333328250001,-59.9999999999999 35.0499992370001,-59.9999999999999 35.0666656490001,-59.9999999999999 35.0833320620001,-59.9999999999999 35.0999984740001,-59.9999999999999 35.116664886,-59.9999999999999 35.133335114,-59.9999999999999 35.150001526,-59.9999999999999 35.166667938,-59.9999999999999 35.183334351,-59.9999999999999 35.200000763,-59.9999999999999 35.2166671750001,-59.9999999999999 35.2333335880001,-59.9999999999999 35.2500000000001,-59.9999999999999 35.2666664120001,-59.9999999999999 35.2833328250001,-59.9999999999999 35.2999992370001,-59.9999999999999 35.3166656490001,-59.9999999999999 35.3333320620001,-59.9999999999999 35.3499984740001,-59.9999999999999 35.366664886,-59.9999999999999 35.383335114,-59.9999999999999 35.400001526,-59.9999999999999 35.416667938,-59.9999999999999 35.433334351,-59.9999999999999 35.450000763,-59.9999999999999 35.4666671750001,-59.9999999999999 35.4833335880001,-59.9999999999999 35.5000000000001,-59.9999999999999 35.5166664120001,-59.9999999999999 35.5333328250001,-59.9999999999999 35.5499992370001,-59.9999999999999 35.5666656490001,-59.9999999999999 35.5833320620001,-59.9999999999999 35.5999984740001,-59.9999999999999 35.616664886,-59.9999999999999 35.633335114,-59.9999999999999 35.650001526,-59.9999999999999 35.666667938,-59.9999999999999 35.683334351,-59.9999999999999 35.700000763,-59.9999999999999 35.7166671750001,-59.9999999999999 35.7333335880001,-59.9999999999999 35.7500000000001,-59.9999999999999 35.7666664120001,-59.9999999999999 35.7833328250001,-59.9999999999999 35.7999992370001,-59.9999999999999 35.8166656490001,-59.9999999999999 35.8333320620001,-59.9999999999999 35.8499984740001,-59.9999999999999 35.866664886,-59.9999999999999 35.883335114,-59.9999999999999 35.900001526,-59.9999999999999 35.916667938,-59.9999999999999 35.933334351,-59.9999999999999 35.950000763,-59.9999999999999 35.9666671750001,-59.9999999999999 35.9833335880001,-59.9999999999999 36.0000000000001,-59.9999999999999 36.0166664120001,-59.9999999999999 36.0333328250001,-59.9999999999999 36.0499992370001,-59.9999999999999 36.0666656490001,-59.9999999999999 36.0833320620001,-59.9999999999999 36.0999984740001,-59.9999999999999 36.116664886,-59.9999999999999 36.133335114,-59.9999999999999 36.150001526,-59.9999999999999 36.166667938,-59.9999999999999 36.183334351,-59.9999999999999 36.200000763,-59.9999999999999 36.2166671750001,-59.9999999999999 36.2333335880001,-59.9999999999999 36.2500000000001,-59.9999999999999 36.2666664120001,-59.9999999999999 36.2833328250001,-59.9999999999999 36.2999992370001,-59.9999999999999 36.3166656490001,-59.9999999999999 36.3333320620001,-59.9999999999999 36.3499984740001,-59.9999999999999 36.366664886,-59.9999999999999 36.383335114,-59.9999999999999 36.400001526,-59.9999999999999 36.416667938,-59.9999999999999 36.433334351,-59.9999999999999 36.450000763,-59.9999999999999 36.4666671750001,-59.9999999999999 36.4833335880001,-59.9999999999999 36.5000000000001,-59.9999999999999 36.5166664120001,-59.9999999999999 36.5333328250001,-59.9999999999999 36.5499992370001,-59.9999999999999 36.5666656490001,-59.9999999999999 36.5833320620001,-59.9999999999999 36.5999984740001,-59.9999999999999 36.616664886,-59.9999999999999 36.633335114,-59.9999999999999 36.650001526,-59.9999999999999 36.666667938,-59.9999999999999 36.683334351,-59.9999999999999 36.700000763,-59.9999999999999 36.7166671750001,-59.9999999999999 36.7333335880001,-59.9999999999999 36.7500000000001,-59.9999999999999 36.7666664120001,-59.9999999999999 36.7833328250001,-59.9999999999999 36.7999992370001,-59.9999999999999 36.8166656490001,-59.9999999999999 36.8333320620001,-59.9999999999999 36.8499984740001,-59.9999999999999 36.866664886,-59.9999999999999 36.883335114,-59.9999999999999 36.900001526,-59.9999999999999 36.916667938,-59.9999999999999 36.933334351,-59.9999999999999 36.950000763,-59.9999999999999 36.9666671750001,-59.9999999999999 36.9833335880001,-59.9999999999999 37.0000000000001,-59.9999999999999 37.0166664120001,-59.9999999999999 37.0333328250001,-59.9999999999999 37.0499992370001,-59.9999999999999 37.0666656490001,-59.9999999999999 37.0833320620001,-59.9999999999999 37.0999984740001,-59.9999999999999 37.1166648860001,-59.9999999999999 37.133335114,-59.9999999999999 37.150001526,-59.9999999999999 37.166667938,-59.9999999999999 37.183334351,-59.9999999999999 37.200000763,-59.9999999999999 37.2166671750001,-59.9999999999999 37.2333335880001,-59.9999999999999 37.2500000000001,-59.9999999999999 37.2666664120001,-59.9999999999999 37.2833328250001,-59.9999999999999 37.2999992370001,-59.9999999999999 37.3166656490001,-59.9999999999999 37.3333320620001,-59.9999999999999 37.3499984740001,-59.9999999999999 37.3666648860001,-59.9999999999999 37.383335114,-59.9999999999999 37.400001526,-59.9999999999999 37.416667938,-59.9999999999999 37.433334351,-59.9999999999999 37.450000763,-59.9999999999999 37.4666671750001,-59.9999999999999 37.4833335880001,-59.9999999999999 37.5000000000001,-59.9999999999999 37.5166664120001,-59.9999999999999 37.5333328250001,-59.9999999999999 37.5499992370001,-59.9999999999999 37.5666656490001,-59.9999999999999 37.5833320620001,-59.9999999999999 37.5999984740001,-59.9999999999999 37.6166648860001,-59.9999999999999 37.633335114,-59.9999999999999 37.650001526,-59.9999999999999 37.666667938,-59.9999999999999 37.683334351,-59.9999999999999 37.700000763,-59.9999999999999 37.7166671750001,-59.9999999999999 37.7333335880001,-59.9999999999999 37.7500000000001,-59.9999999999999 37.7666664120001,-59.9999999999999 37.7833328250001,-59.9999999999999 37.7999992370001,-59.9999999999999 37.8166656490001,-59.9999999999999 37.8333320620001,-59.9999999999999 37.8499984740001,-59.9999999999999 37.8666648860001,-59.9999999999999 37.883335114,-59.9999999999999 37.900001526,-59.9999999999999 37.916667938,-59.9999999999999 37.933334351,-59.9999999999999 37.950000763,-59.9999999999999 37.9666671750001,-59.9999999999999 37.9833335880001,-59.9999999999999 38.0000000000001,-59.9999999999999 38.0166664120001,-59.9999999999999 38.0333328250001,-59.9999999999999 38.0499992370001,-59.9999999999999 38.0666656490001,-59.9999999999999 38.0833320620001,-59.9999999999999 38.0999984740001,-59.9999999999999 38.1166648860001,-59.9999999999999 38.133335114,-59.9999999999999 38.150001526,-59.9999999999999 38.166667938,-59.9999999999999 38.183334351,-59.9999999999999 38.200000763,-59.9999999999999 38.2166671750001,-59.9999999999999 38.2333335880001,-59.9999999999999 38.2500000000001,-59.9999999999999 38.2666664120001,-59.9999999999999 38.2833328250001,-59.9999999999999 38.2999992370001,-59.9999999999999 38.3166656490001,-59.9999999999999 38.3333320620001,-59.9999999999999 38.3499984740001,-59.9999999999999 38.3666648860001,-59.9999999999999 38.383335114,-59.9999999999999 38.400001526,-59.9999999999999 38.416667938,-59.9999999999999 38.433334351,-59.9999999999999 38.450000763,-59.9999999999999 38.4666671750001,-59.9999999999999 38.4833335880001,-59.9999999999999 38.5000000000001,-59.9999999999999 38.5166664120001,-59.9999999999999 38.5333328250001,-59.9999999999999 38.5499992370001,-59.9999999999999 38.5666656490001,-59.9999999999999 38.5833320620001,-59.9999999999999 38.5999984740001,-59.9999999999999 38.6166648860001,-59.9999999999999 38.633335114,-59.9999999999999 38.650001526,-59.9999999999999 38.666667938,-59.9999999999999 38.683334351,-59.9999999999999 38.700000763,-59.9999999999999 38.7166671750001,-59.9999999999999 38.7333335880001,-59.9999999999999 38.7500000000001,-59.9999999999999 38.7666664120001,-59.9999999999999 38.7833328250001,-59.9999999999999 38.7999992370001,-59.9999999999999 38.8166656490001,-59.9999999999999 38.8333320620001,-59.9999999999999 38.8499984740001,-59.9999999999999 38.8666648860001,-59.9999999999999 38.883335114,-59.9999999999999 38.900001526,-59.9999999999999 38.916667938,-59.9999999999999 38.933334351,-59.9999999999999 38.950000763,-59.9999999999999 38.9666671750001,-59.9999999999999 38.9833335880001,-59.9999999999999 39.0000000000001,-59.9833335879999 39.0000000000001,-59.9666671749999 39.0000000000001,-59.9500007629999 39.0000000000001,-59.9333343499999 39.0000000000001,-59.9166679379999 39.0000000000001,-59.900001526 39.0000000000001,-59.883335113 39.0000000000001,-59.866664886 39.0000000000001,-59.849998474 39.0000000000001,-59.833332062 39.0000000000001,-59.816665649 39.0000000000001,-59.799999237 39.0000000000001,-59.7833328249999 39.0000000000001,-59.7666664119999 39.0000000000001,-59.7499999999999 39.0000000000001,-59.7333335869999 39.0000000000001,-59.7166671749999 39.0000000000001,-59.7000007629999 39.0000000000001,-59.6833343499999 39.0000000000001,-59.6666679379999 39.0000000000001,-59.650001526 39.0000000000001,-59.633335114 39.0000000000001,-59.616664886 39.0000000000001,-59.599998474 39.0000000000001,-59.583332062 39.0000000000001,-59.566665649 39.0000000000001,-59.549999237 39.0000000000001,-59.533332824 39.0000000000001,-59.5166664119999 39.0000000000001,-59.4999999999999 39.0000000000001,-59.4833335869999 39.0000000000001,-59.4666671749999 39.0000000000001,-59.4500007629999 39.0000000000001,-59.433334351 39.0000000000001,-59.4166679379999 39.0000000000001,-59.400001526 39.0000000000001,-59.383335114 39.0000000000001,-59.366664886 39.0000000000001,-59.349998474 39.0000000000001,-59.333332061 39.0000000000001,-59.316665649 39.0000000000001,-59.299999237 39.0000000000001,-59.2833328249999 39.0000000000001,-59.2666664119999 39.0000000000001,-59.2499999999999 39.0000000000001,-59.2333335879999 39.0000000000001,-59.2166671749999 39.0000000000001,-59.2000007629999 39.0000000000001,-59.183334351 39.0000000000001,-59.1666679379999 39.0000000000001,-59.150001526 39.0000000000001,-59.133335113 39.0000000000001,-59.116664886 39.0000000000001,-59.099998474 39.0000000000001,-59.083332062 39.0000000000001,-59.066665649 39.0000000000001,-59.049999237 39.0000000000001,-59.0333328249999 39.0000000000001,-59.0166664119999 39.0000000000001,-58.9999999999999 39.0000000000001,-58.9833335879999 39.0000000000001,-58.9666671749999 39.0000000000001,-58.9500007629999 39.0000000000001,-58.933334351 39.0000000000001,-58.9166679379999 39.0000000000001,-58.900001526 39.0000000000001,-58.883335114 39.0000000000001,-58.866664886 39.0000000000001,-58.849998474 39.0000000000001,-58.833332062 39.0000000000001,-58.816665649 39.0000000000001,-58.799999237 39.0000000000001,-58.7833328249999 39.0000000000001,-58.7666664119999 39.0000000000001,-58.7499999999999 39.0000000000001,-58.7333335879999 39.0000000000001,-58.7166671749999 39.0000000000001,-58.7000007629999 39.0000000000001,-58.683334351 39.0000000000001,-58.6666679379999 39.0000000000001,-58.650001526 39.0000000000001,-58.633335114 39.0000000000001,-58.616664886 39.0000000000001,-58.599998474 39.0000000000001,-58.583332062 39.0000000000001,-58.566665649 39.0000000000001,-58.549999237 39.0000000000001,-58.5333328249999 39.0000000000001,-58.5166664119999 39.0000000000001,-58.4999999999999 39.0000000000001,-58.4833335879999 39.0000000000001,-58.4666671749999 39.0000000000001,-58.4500007629999 39.0000000000001,-58.433334351 39.0000000000001,-58.4166679379999 39.0000000000001,-58.400001526 39.0000000000001,-58.383335114 39.0000000000001,-58.366664886 39.0000000000001,-58.349998474 39.0000000000001,-58.333332062 39.0000000000001,-58.316665649 39.0000000000001,-58.299999237 39.0000000000001,-58.2833328249999 39.0000000000001,-58.2666664119999 39.0000000000001,-58.2499999999999 39.0000000000001,-58.2333335879999 39.0000000000001,-58.2166671749999 39.0000000000001,-58.2000007629999 39.0000000000001,-58.183334351 39.0000000000001,-58.1666679379999 39.0000000000001,-58.150001526 39.0000000000001,-58.133335114 39.0000000000001,-58.116664886 39.0000000000001,-58.099998474 39.0000000000001,-58.083332062 39.0000000000001,-58.066665649 39.0000000000001,-58.049999237 39.0000000000001,-58.0333328249999 39.0000000000001,-58.0166664119999 39.0000000000001,-57.9999999999999 39.0000000000001,-57.9833335879999 39.0000000000001,-57.9666671749999 39.0000000000001,-57.9500007629999 39.0000000000001,-57.933334351 39.0000000000001,-57.9166679379999 39.0000000000001,-57.900001526 39.0000000000001,-57.883335114 39.0000000000001,-57.866664886 39.0000000000001,-57.849998474 39.0000000000001,-57.833332062 39.0000000000001,-57.816665649 39.0000000000001,-57.799999237 39.0000000000001,-57.7833328249999 39.0000000000001,-57.7666664119999 39.0000000000001,-57.7499999999999 39.0000000000001,-57.7333335879999 39.0000000000001,-57.7166671749999 39.0000000000001,-57.7000007629999 39.0000000000001,-57.683334351 39.0000000000001,-57.6666679379999 39.0000000000001,-57.650001526 39.0000000000001,-57.633335114 39.0000000000001,-57.616664886 39.0000000000001,-57.599998474 39.0000000000001,-57.583332062 39.0000000000001,-57.566665649 39.0000000000001,-57.549999237 39.0000000000001,-57.5333328249999 39.0000000000001,-57.5166664119999 39.0000000000001,-57.4999999999999 39.0000000000001,-57.4833335879999 39.0000000000001,-57.4666671749999 39.0000000000001,-57.4500007629999 39.0000000000001,-57.433334351 39.0000000000001,-57.4166679379999 39.0000000000001,-57.400001526 39.0000000000001,-57.383335114 39.0000000000001,-57.366664886 39.0000000000001,-57.349998474 39.0000000000001,-57.333332062 39.0000000000001,-57.316665649 39.0000000000001,-57.299999237 39.0000000000001,-57.2833328249999 39.0000000000001,-57.2666664119999 39.0000000000001,-57.2499999999999 39.0000000000001,-57.2333335879999 39.0000000000001,-57.2166671749999 39.0000000000001,-57.2000007629999 39.0000000000001,-57.183334351 39.0000000000001,-57.1666679379999 39.0000000000001,-57.150001526 39.0000000000001,-57.133335114 39.0000000000001,-57.116664886 39.0000000000001,-57.099998474 39.0000000000001,-57.083332062 39.0000000000001,-57.066665649 39.0000000000001,-57.049999237 39.0000000000001,-57.0333328249999 39.0000000000001,-57.0166664119999 39.0000000000001,-56.9999999999999 39.0000000000001,-56.9833335879999 39.0000000000001,-56.9666671749999 39.0000000000001,-56.9500007629999 39.0000000000001,-56.933334351 39.0000000000001,-56.9166679379999 39.0000000000001,-56.900001526 39.0000000000001,-56.883335114 39.0000000000001,-56.866664886 39.0000000000001,-56.849998474 39.0000000000001,-56.833332062 39.0000000000001,-56.816665649 39.0000000000001,-56.799999237 39.0000000000001,-56.7833328249999 39.0000000000001,-56.7666664119999 39.0000000000001,-56.7499999999999 39.0000000000001,-56.7333335879999 39.0000000000001,-56.7166671749999 39.0000000000001,-56.7000007629999 39.0000000000001,-56.683334351 39.0000000000001,-56.6666679379999 39.0000000000001,-56.650001526 39.0000000000001,-56.633335114 39.0000000000001,-56.616664886 39.0000000000001,-56.599998474 39.0000000000001,-56.583332062 39.0000000000001,-56.566665649 39.0000000000001,-56.549999237 39.0000000000001,-56.5333328249999 39.0000000000001,-56.5166664119999 39.0000000000001,-56.4999999999999 39.0000000000001,-56.4833335879999 39.0000000000001,-56.4666671749999 39.0000000000001,-56.4500007629999 39.0000000000001,-56.433334351 39.0000000000001,-56.4166679379999 39.0000000000001,-56.400001526 39.0000000000001,-56.383335114 39.0000000000001,-56.366664886 39.0000000000001,-56.349998474 39.0000000000001,-56.333332062 39.0000000000001,-56.316665649 39.0000000000001,-56.299999237 39.0000000000001,-56.2833328249999 39.0000000000001,-56.2666664119999 39.0000000000001,-56.2499999999999 39.0000000000001,-56.2333335879999 39.0000000000001,-56.2166671749999 39.0000000000001,-56.2000007629999 39.0000000000001,-56.183334351 39.0000000000001,-56.1666679379999 39.0000000000001,-56.150001526 39.0000000000001,-56.133335114 39.0000000000001,-56.116664886 39.0000000000001,-56.099998474 39.0000000000001,-56.083332062 39.0000000000001,-56.066665649 39.0000000000001,-56.049999237 39.0000000000001,-56.0333328249999 39.0000000000001,-56.0166664119999 39.0000000000001,-55.9999999999999 39.0000000000001,-55.9833335879999 39.0000000000001,-55.9666671749999 39.0000000000001,-55.9500007629999 39.0000000000001,-55.933334351 39.0000000000001,-55.9166679379999 39.0000000000001,-55.900001526 39.0000000000001,-55.883335114 39.0000000000001,-55.866664886 39.0000000000001,-55.849998474 39.0000000000001,-55.833332062 39.0000000000001,-55.816665649 39.0000000000001,-55.799999237 39.0000000000001,-55.7833328249999 39.0000000000001,-55.7666664119999 39.0000000000001,-55.7499999999999 39.0000000000001,-55.7333335879999 39.0000000000001,-55.7166671749999 39.0000000000001,-55.7000007629999 39.0000000000001,-55.683334351 39.0000000000001,-55.6666679379999 39.0000000000001,-55.650001526 39.0000000000001,-55.633335114 39.0000000000001,-55.616664886 39.0000000000001,-55.599998474 39.0000000000001,-55.583332062 39.0000000000001,-55.566665649 39.0000000000001,-55.549999237 39.0000000000001,-55.5333328249999 39.0000000000001,-55.5166664119999 39.0000000000001,-55.4999999999999 39.0000000000001,-55.4833335879999 39.0000000000001,-55.4666671749999 39.0000000000001,-55.4500007629999 39.0000000000001,-55.433334351 39.0000000000001,-55.4166679379999 39.0000000000001,-55.400001526 39.0000000000001,-55.383335114 39.0000000000001,-55.366664886 39.0000000000001,-55.349998474 39.0000000000001,-55.333332062 39.0000000000001,-55.316665649 39.0000000000001,-55.299999237 39.0000000000001,-55.2833328249999 39.0000000000001,-55.2666664119999 39.0000000000001,-55.2499999999999 39.0000000000001,-55.2333335879999 39.0000000000001,-55.2166671749999 39.0000000000001,-55.2000007629999 39.0000000000001,-55.183334351 39.0000000000001,-55.1666679379999 39.0000000000001,-55.150001526 39.0000000000001,-55.133335114 39.0000000000001,-55.116664886 39.0000000000001,-55.099998474 39.0000000000001,-55.083332062 39.0000000000001,-55.066665649 39.0000000000001,-55.049999237 39.0000000000001,-55.0333328249999 39.0000000000001,-55.0166664119999 39.0000000000001,-54.9999999999999 39.0000000000001,-54.9999999999999 38.9833335880001,-54.9999999999999 38.9666671750001,-54.9999999999999 38.950000763,-54.9999999999999 38.916667938,-54.9999999999999 38.683334351,-54.9999999999999 38.666667938,-54.9999999999999 38.650001526,-54.9999999999999 38.633335114,-54.9999999999999 38.6166648860001,-54.9999999999999 38.5999984740001,-54.9999999999999 38.5833320620001,-54.9999999999999 38.5666656490001,-54.9999999999999 38.5499992370001,-54.9999999999999 38.5333328250001,-54.9999999999999 38.5166664120001,-54.9999999999999 38.5000000000001,-54.9999999999999 38.4833335880001,-54.9999999999999 38.4666671750001,-54.9999999999999 38.450000763,-54.9999999999999 38.433334351,-54.9999999999999 38.416667938,-54.9999999999999 38.400001526,-54.9999999999999 38.383335114,-54.9999999999999 38.3666648860001,-54.9999999999999 38.3499984740001,-54.9999999999999 38.3333320620001,-54.9999999999999 38.3166656490001,-54.9999999999999 38.2999992370001,-54.9999999999999 38.2833328250001,-54.9999999999999 38.2666664120001,-54.9999999999999 38.2500000000001,-54.9999999999999 38.2333335880001,-54.9999999999999 38.2166671750001,-54.9999999999999 38.200000763,-54.9999999999999 38.183334351,-54.9999999999999 38.166667938,-54.9999999999999 38.150001526,-54.9999999999999 38.133335114,-54.9999999999999 38.1166648860001,-54.9999999999999 38.0999984740001,-54.9999999999999 38.0833320620001,-54.9999999999999 38.0666656490001,-54.9999999999999 38.0499992370001,-54.9999999999999 38.0333328250001,-54.9999999999999 38.0166664120001,-54.9999999999999 38.0000000000001,-54.9999999999999 37.9833335880001,-54.9999999999999 37.9666671750001,-54.9999999999999 37.950000763,-54.9999999999999 37.933334351,-54.9999999999999 37.916667938,-54.9999999999999 37.900001526,-54.9999999999999 37.883335114,-54.9999999999999 37.8666648860001,-54.9999999999999 37.8499984740001,-54.9999999999999 37.8333320620001,-54.9999999999999 37.8166656490001,-54.9999999999999 37.7999992370001,-54.9999999999999 37.7833328250001,-54.9999999999999 37.7666664120001,-54.9999999999999 37.7500000000001,-54.9999999999999 37.7333335880001,-54.9999999999999 37.7166671750001,-54.9999999999999 37.683334351,-54.9999999999999 37.666667938,-54.9999999999999 37.650001526,-54.9999999999999 37.633335114,-54.9999999999999 37.6166648860001,-54.9999999999999 37.5999984740001,-54.9999999999999 37.5833320620001,-54.9999999999999 37.5666656490001,-54.9999999999999 37.5499992370001,-54.9999999999999 37.5333328250001,-54.9999999999999 37.5166664120001,-54.9999999999999 37.5000000000001,-54.9999999999999 37.4833335880001,-54.9999999999999 37.4666671750001,-54.9999999999999 37.450000763,-54.9999999999999 37.433334351,-54.9999999999999 37.416667938,-54.9999999999999 37.400001526,-54.9999999999999 37.383335114,-54.9999999999999 37.3666648860001,-54.9999999999999 37.3499984740001,-54.9999999999999 37.3333320620001,-54.9999999999999 37.3166656490001,-54.9999999999999 37.2999992370001,-54.9999999999999 37.2833328250001,-54.9999999999999 37.2666664120001,-54.9999999999999 37.2500000000001,-54.9999999999999 37.2333335880001,-54.9999999999999 37.2166671750001,-54.9999999999999 37.200000763,-54.9999999999999 37.183334351,-54.9999999999999 37.166667938,-54.9999999999999 37.150001526,-54.9999999999999 37.133335114,-54.9999999999999 37.1166648860001,-54.9999999999999 37.0999984740001,-54.9999999999999 37.0833320620001,-54.9999999999999 37.0666656490001,-54.9999999999999 37.0499992370001,-54.9999999999999 37.0333328250001,-54.9999999999999 37.0166664120001,-54.9999999999999 37.0000000000001,-54.9999999999999 36.9833335880001,-54.9999999999999 36.9666671750001,-54.9999999999999 36.950000763,-54.9999999999999 36.933334351,-54.9999999999999 36.916667938,-54.9999999999999 36.900001526,-54.9999999999999 36.883335114,-54.9999999999999 36.866664886,-54.9999999999999 36.8499984740001,-54.9999999999999 36.8333320620001,-54.9999999999999 36.8166656490001,-54.9999999999999 36.7999992370001,-54.9999999999999 36.7833328250001,-54.9999999999999 36.7666664120001,-54.9999999999999 36.7500000000001,-54.9999999999999 36.7333335880001,-54.9999999999999 36.7166671750001,-54.9999999999999 36.683334351,-54.9999999999999 36.666667938,-54.9999999999999 36.650001526,-54.9999999999999 36.633335114,-54.9999999999999 36.616664886,-54.9999999999999 36.5999984740001,-54.9999999999999 36.5833320620001,-54.9999999999999 36.5666656490001,-54.9999999999999 36.5499992370001,-54.9999999999999 36.5333328250001,-54.9999999999999 36.5166664120001,-54.9999999999999 36.5000000000001,-54.9999999999999 36.4833335880001,-54.9999999999999 36.4666671750001,-54.9999999999999 36.450000763,-54.9999999999999 36.433334351,-54.9999999999999 36.416667938,-54.9999999999999 36.400001526,-54.9999999999999 36.383335114,-54.9999999999999 36.366664886,-54.9999999999999 36.3499984740001,-54.9999999999999 36.3333320620001,-54.9999999999999 36.3166656490001,-54.9999999999999 36.2999992370001,-54.9999999999999 36.2833328250001,-54.9999999999999 36.2666664120001,-54.9999999999999 36.2500000000001,-54.9999999999999 36.2333335880001,-54.9999999999999 36.2166671750001,-54.9999999999999 36.200000763,-54.9999999999999 36.183334351,-54.9999999999999 36.166667938,-54.9999999999999 36.150001526,-54.9999999999999 36.133335114,-54.9999999999999 36.116664886,-54.9999999999999 36.0999984740001,-54.9999999999999 36.0833320620001,-54.9999999999999 36.0666656490001,-54.9999999999999 36.0499992370001,-54.9999999999999 36.0333328250001,-54.9999999999999 36.0166664120001,-54.9999999999999 36.0000000000001,-54.9999999999999 35.9833335880001,-54.9999999999999 35.9666671750001,-54.9999999999999 35.950000763,-54.9999999999999 35.933334351,-54.9999999999999 35.916667938,-54.9999999999999 35.900001526,-54.9999999999999 35.883335114,-54.9999999999999 35.866664886,-54.9999999999999 35.8499984740001,-54.9999999999999 35.8333320620001,-54.9999999999999 35.8166656490001,-54.9999999999999 35.7999992370001,-54.9999999999999 35.7833328250001,-54.9999999999999 35.7666664120001,-54.9999999999999 35.7500000000001,-54.9999999999999 35.7333335880001,-54.9999999999999 35.7166671750001,-54.9999999999999 35.683334351,-54.9999999999999 35.666667938,-54.9999999999999 35.650001526,-54.9999999999999 35.633335114,-54.9999999999999 35.616664886,-54.9999999999999 35.5999984740001,-54.9999999999999 35.5833320620001,-54.9999999999999 35.5666656490001,-54.9999999999999 35.5499992370001,-54.9999999999999 35.5333328250001,-54.9999999999999 35.5166664120001,-54.9999999999999 35.5000000000001,-54.9999999999999 35.4833335880001,-54.9999999999999 35.4666671750001,-54.9999999999999 35.450000763,-54.9999999999999 35.433334351,-54.9999999999999 35.416667938,-54.9999999999999 35.400001526,-54.9999999999999 35.383335114,-54.9999999999999 35.366664886,-54.9999999999999 35.3499984740001,-54.9999999999999 35.3333320620001,-54.9999999999999 35.3166656490001,-54.9999999999999 35.2999992370001,-54.9999999999999 35.2833328250001,-54.9999999999999 35.2666664120001,-54.9999999999999 35.2500000000001,-54.9999999999999 35.2333335880001,-54.9999999999999 35.2166671750001,-54.9999999999999 35.200000763,-54.9999999999999 35.183334351,-54.9999999999999 35.166667938,-54.9999999999999 35.150001526,-54.9999999999999 35.133335114,-54.9999999999999 35.116664886,-54.9999999999999 35.0999984740001,-54.9999999999999 35.0833320620001,-54.9999999999999 35.0666656490001,-54.9999999999999 35.0499992370001,-54.9999999999999 35.0333328250001,-54.9999999999999 35.0166664120001,-54.9999999999999 35.0000000000001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.6', '', '21.6', '21.6.F', '', '21.6F', '', '', '', '', '', '', '', '6F', '3', '21.6.F', '21.6F', 'Y'),('SRID=4326;MULTIPOLYGON(((-75.8454208369999 -18.333299637,-75.199996948 -18.333299637,-74.400001526 -18.333299637,-73.599998474 -18.333299637,-72.800003052 -18.333299637,-72.739173889 -18.333299637,-72.0558929439999 -18.910943985,-72.0097122189999 -18.961086273,-71.9748153689999 -18.9849929809999,-71.946601868 -19.0254898069999,-71.8138122559999 -19.132627487,-71.807228088 -19.182506561,-71.800415039 -19.20705986,-71.7962341309999 -19.252141953,-71.640594482 -20.095056534,-71.6798171999999 -20.9350719449999,-71.678115845 -20.944200516,-71.680618286 -20.9554100039999,-71.696807861 -21.4599990839999,-72.400001526 -21.4599990839999,-73.199996948 -21.4599990839999,-73.216751099 -21.4599990839999,-73.195083618 -20.906101227,-73.189933777 -20.8836994169999,-73.193206787 -20.8654289249999,-73.1568908689999 -20.185606003,-73.215309143 -19.858430862,-73.66758728 -19.4755077359999,-74.42590332 -19.056829453,-75.396270752 -18.5786533359999,-75.4203948969999 -18.56155777,-75.518005371 -18.514945984,-75.8454208369999 -18.333299637)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.2', 'Central Intermediate', '2.2', '87.2.2.1', '', '2.21', '', '', '', '', '2.21', '4', '87.2.2.1', '87.2.2.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-49.9999999999999 35.0000000000001,-50.0166664119999 35.0000000000001,-50.0333328249999 35.0000000000001,-50.049999237 35.0000000000001,-50.066665649 35.0000000000001,-50.083332062 35.0000000000001,-50.099998474 35.0000000000001,-50.116664886 35.0000000000001,-50.133335114 35.0000000000001,-50.150001526 35.0000000000001,-50.1666679379999 35.0000000000001,-50.183334351 35.0000000000001,-50.2000007629999 35.0000000000001,-50.2166671749999 35.0000000000001,-50.2333335879999 35.0000000000001,-50.2499999999999 35.0000000000001,-50.2666664119999 35.0000000000001,-50.2833328249999 35.0000000000001,-50.299999237 35.0000000000001,-50.316665649 35.0000000000001,-50.333332062 35.0000000000001,-50.349998474 35.0000000000001,-50.366664886 35.0000000000001,-50.383335114 35.0000000000001,-50.400001526 35.0000000000001,-50.4166679379999 35.0000000000001,-50.433334351 35.0000000000001,-50.4500007629999 35.0000000000001,-50.4666671749999 35.0000000000001,-50.4833335879999 35.0000000000001,-50.4999999999999 35.0000000000001,-50.5166664119999 35.0000000000001,-50.5333328249999 35.0000000000001,-50.549999237 35.0000000000001,-50.566665649 35.0000000000001,-50.583332062 35.0000000000001,-50.599998474 35.0000000000001,-50.616664886 35.0000000000001,-50.633335114 35.0000000000001,-50.650001526 35.0000000000001,-50.6666679379999 35.0000000000001,-50.683334351 35.0000000000001,-50.7000007629999 35.0000000000001,-50.7166671749999 35.0000000000001,-50.7333335879999 35.0000000000001,-50.7499999999999 35.0000000000001,-50.7666664119999 35.0000000000001,-50.7833328249999 35.0000000000001,-50.799999237 35.0000000000001,-50.816665649 35.0000000000001,-50.833332062 35.0000000000001,-50.849998474 35.0000000000001,-50.866664886 35.0000000000001,-50.883335114 35.0000000000001,-50.900001526 35.0000000000001,-50.9166679379999 35.0000000000001,-50.933334351 35.0000000000001,-50.9500007629999 35.0000000000001,-50.9666671749999 35.0000000000001,-50.9833335879999 35.0000000000001,-50.9999999999999 35.0000000000001,-51.0166664119999 35.0000000000001,-51.0333328249999 35.0000000000001,-51.049999237 35.0000000000001,-51.066665649 35.0000000000001,-51.083332062 35.0000000000001,-51.099998474 35.0000000000001,-51.116664886 35.0000000000001,-51.133335114 35.0000000000001,-51.150001526 35.0000000000001,-51.1666679379999 35.0000000000001,-51.183334351 35.0000000000001,-51.2000007629999 35.0000000000001,-51.2166671749999 35.0000000000001,-51.2333335879999 35.0000000000001,-51.2499999999999 35.0000000000001,-51.2666664119999 35.0000000000001,-51.2833328249999 35.0000000000001,-51.299999237 35.0000000000001,-51.316665649 35.0000000000001,-51.333332062 35.0000000000001,-51.349998474 35.0000000000001,-51.366664886 35.0000000000001,-51.383335114 35.0000000000001,-51.400001526 35.0000000000001,-51.4166679379999 35.0000000000001,-51.433334351 35.0000000000001,-51.4500007629999 35.0000000000001,-51.4666671749999 35.0000000000001,-51.4833335879999 35.0000000000001,-51.4999999999999 35.0000000000001,-51.5166664119999 35.0000000000001,-51.5333328249999 35.0000000000001,-51.549999237 35.0000000000001,-51.566665649 35.0000000000001,-51.583332062 35.0000000000001,-51.599998474 35.0000000000001,-51.616664886 35.0000000000001,-51.633335114 35.0000000000001,-51.650001526 35.0000000000001,-51.6666679379999 35.0000000000001,-51.683334351 35.0000000000001,-51.7000007629999 35.0000000000001,-51.7166671749999 35.0000000000001,-51.7333335879999 35.0000000000001,-51.7499999999999 35.0000000000001,-51.7666664119999 35.0000000000001,-51.7833328249999 35.0000000000001,-51.799999237 35.0000000000001,-51.816665649 35.0000000000001,-51.833332062 35.0000000000001,-51.849998474 35.0000000000001,-51.866664886 35.0000000000001,-51.883335114 35.0000000000001,-51.900001526 35.0000000000001,-51.9166679379999 35.0000000000001,-51.933334351 35.0000000000001,-51.9500007629999 35.0000000000001,-51.9666671749999 35.0000000000001,-51.9833335879999 35.0000000000001,-51.9999999999999 35.0000000000001,-52.0166664119999 35.0000000000001,-52.0333328249999 35.0000000000001,-52.049999237 35.0000000000001,-52.066665649 35.0000000000001,-52.083332062 35.0000000000001,-52.099998474 35.0000000000001,-52.116664886 35.0000000000001,-52.133335114 35.0000000000001,-52.150001526 35.0000000000001,-52.1666679379999 35.0000000000001,-52.183334351 35.0000000000001,-52.2000007629999 35.0000000000001,-52.2166671749999 35.0000000000001,-52.2333335879999 35.0000000000001,-52.2499999999999 35.0000000000001,-52.2666664119999 35.0000000000001,-52.2833328249999 35.0000000000001,-52.299999237 35.0000000000001,-52.316665649 35.0000000000001,-52.333332062 35.0000000000001,-52.349998474 35.0000000000001,-52.366664886 35.0000000000001,-52.383335114 35.0000000000001,-52.400001526 35.0000000000001,-52.4166679379999 35.0000000000001,-52.433334351 35.0000000000001,-52.4500007629999 35.0000000000001,-52.4666671749999 35.0000000000001,-52.4833335879999 35.0000000000001,-52.4999999999999 35.0000000000001,-52.5166664119999 35.0000000000001,-52.5333328249999 35.0000000000001,-52.549999237 35.0000000000001,-52.566665649 35.0000000000001,-52.583332062 35.0000000000001,-52.599998474 35.0000000000001,-52.616664886 35.0000000000001,-52.633335114 35.0000000000001,-52.650001526 35.0000000000001,-52.6666679379999 35.0000000000001,-52.683334351 35.0000000000001,-52.7000007629999 35.0000000000001,-52.7166671749999 35.0000000000001,-52.7333335879999 35.0000000000001,-52.7499999999999 35.0000000000001,-52.7666664119999 35.0000000000001,-52.7833328249999 35.0000000000001,-52.799999237 35.0000000000001,-52.816665649 35.0000000000001,-52.833332062 35.0000000000001,-52.849998474 35.0000000000001,-52.866664886 35.0000000000001,-52.883335114 35.0000000000001,-52.900001526 35.0000000000001,-52.9166679379999 35.0000000000001,-52.933334351 35.0000000000001,-52.9500007629999 35.0000000000001,-52.9666671749999 35.0000000000001,-52.9833335879999 35.0000000000001,-52.9999999999999 35.0000000000001,-53.0166664119999 35.0000000000001,-53.0333328249999 35.0000000000001,-53.049999237 35.0000000000001,-53.066665649 35.0000000000001,-53.083332062 35.0000000000001,-53.099998474 35.0000000000001,-53.116664886 35.0000000000001,-53.133335114 35.0000000000001,-53.150001526 35.0000000000001,-53.1666679379999 35.0000000000001,-53.183334351 35.0000000000001,-53.2000007629999 35.0000000000001,-53.2166671749999 35.0000000000001,-53.2333335879999 35.0000000000001,-53.2499999999999 35.0000000000001,-53.2666664119999 35.0000000000001,-53.2833328249999 35.0000000000001,-53.299999237 35.0000000000001,-53.316665649 35.0000000000001,-53.333332062 35.0000000000001,-53.349998474 35.0000000000001,-53.366664886 35.0000000000001,-53.383335114 35.0000000000001,-53.400001526 35.0000000000001,-53.4166679379999 35.0000000000001,-53.433334351 35.0000000000001,-53.4500007629999 35.0000000000001,-53.4666671749999 35.0000000000001,-53.4833335879999 35.0000000000001,-53.4999999999999 35.0000000000001,-53.5166664119999 35.0000000000001,-53.5333328249999 35.0000000000001,-53.549999237 35.0000000000001,-53.566665649 35.0000000000001,-53.583332062 35.0000000000001,-53.599998474 35.0000000000001,-53.616664886 35.0000000000001,-53.633335114 35.0000000000001,-53.650001526 35.0000000000001,-53.6666679379999 35.0000000000001,-53.683334351 35.0000000000001,-53.7000007629999 35.0000000000001,-53.7166671749999 35.0000000000001,-53.7333335879999 35.0000000000001,-53.7499999999999 35.0000000000001,-53.7666664119999 35.0000000000001,-53.7833328249999 35.0000000000001,-53.799999237 35.0000000000001,-53.816665649 35.0000000000001,-53.833332062 35.0000000000001,-53.849998474 35.0000000000001,-53.866664886 35.0000000000001,-53.883335114 35.0000000000001,-53.900001526 35.0000000000001,-53.9166679379999 35.0000000000001,-53.933334351 35.0000000000001,-53.9500007629999 35.0000000000001,-53.9666671749999 35.0000000000001,-53.9833335879999 35.0000000000001,-53.9999999999999 35.0000000000001,-54.0166664119999 35.0000000000001,-54.0333328249999 35.0000000000001,-54.049999237 35.0000000000001,-54.066665649 35.0000000000001,-54.083332062 35.0000000000001,-54.099998474 35.0000000000001,-54.116664886 35.0000000000001,-54.133335114 35.0000000000001,-54.150001526 35.0000000000001,-54.1666679379999 35.0000000000001,-54.183334351 35.0000000000001,-54.2000007629999 35.0000000000001,-54.2166671749999 35.0000000000001,-54.2333335879999 35.0000000000001,-54.2499999999999 35.0000000000001,-54.2666664119999 35.0000000000001,-54.2833328249999 35.0000000000001,-54.299999237 35.0000000000001,-54.316665649 35.0000000000001,-54.333332062 35.0000000000001,-54.349998474 35.0000000000001,-54.366664886 35.0000000000001,-54.383335114 35.0000000000001,-54.400001526 35.0000000000001,-54.4166679379999 35.0000000000001,-54.433334351 35.0000000000001,-54.4500007629999 35.0000000000001,-54.4666671749999 35.0000000000001,-54.4833335879999 35.0000000000001,-54.4999999999999 35.0000000000001,-54.5166664119999 35.0000000000001,-54.5333328249999 35.0000000000001,-54.549999237 35.0000000000001,-54.566665649 35.0000000000001,-54.583332062 35.0000000000001,-54.599998474 35.0000000000001,-54.616664886 35.0000000000001,-54.633335114 35.0000000000001,-54.650001526 35.0000000000001,-54.6666679379999 35.0000000000001,-54.683334351 35.0000000000001,-54.7000007629999 35.0000000000001,-54.7166671749999 35.0000000000001,-54.7333335879999 35.0000000000001,-54.7499999999999 35.0000000000001,-54.7666664119999 35.0000000000001,-54.7833328249999 35.0000000000001,-54.799999237 35.0000000000001,-54.816665649 35.0000000000001,-54.833332062 35.0000000000001,-54.849998474 35.0000000000001,-54.866664886 35.0000000000001,-54.883335114 35.0000000000001,-54.900001526 35.0000000000001,-54.9166679379999 35.0000000000001,-54.933334351 35.0000000000001,-54.9500007629999 35.0000000000001,-54.9666671749999 35.0000000000001,-54.9833335879999 35.0000000000001,-54.9999999999999 35.0000000000001,-54.9999999999999 35.0166664120001,-54.9999999999999 35.0333328250001,-54.9999999999999 35.0499992370001,-54.9999999999999 35.0666656490001,-54.9999999999999 35.0833320620001,-54.9999999999999 35.0999984740001,-54.9999999999999 35.116664886,-54.9999999999999 35.133335114,-54.9999999999999 35.150001526,-54.9999999999999 35.166667938,-54.9999999999999 35.183334351,-54.9999999999999 35.200000763,-54.9999999999999 35.2166671750001,-54.9999999999999 35.2333335880001,-54.9999999999999 35.2500000000001,-54.9999999999999 35.2666664120001,-54.9999999999999 35.2833328250001,-54.9999999999999 35.2999992370001,-54.9999999999999 35.3166656490001,-54.9999999999999 35.3333320620001,-54.9999999999999 35.3499984740001,-54.9999999999999 35.366664886,-54.9999999999999 35.383335114,-54.9999999999999 35.400001526,-54.9999999999999 35.416667938,-54.9999999999999 35.433334351,-54.9999999999999 35.450000763,-54.9999999999999 35.4666671750001,-54.9999999999999 35.4833335880001,-54.9999999999999 35.5000000000001,-54.9999999999999 35.5166664120001,-54.9999999999999 35.5333328250001,-54.9999999999999 35.5499992370001,-54.9999999999999 35.5666656490001,-54.9999999999999 35.5833320620001,-54.9999999999999 35.5999984740001,-54.9999999999999 35.616664886,-54.9999999999999 35.633335114,-54.9999999999999 35.650001526,-54.9999999999999 35.666667938,-54.9999999999999 35.683334351,-54.9999999999999 35.7166671750001,-54.9999999999999 35.7333335880001,-54.9999999999999 35.7500000000001,-54.9999999999999 35.7666664120001,-54.9999999999999 35.7833328250001,-54.9999999999999 35.7999992370001,-54.9999999999999 35.8166656490001,-54.9999999999999 35.8333320620001,-54.9999999999999 35.8499984740001,-54.9999999999999 35.866664886,-54.9999999999999 35.883335114,-54.9999999999999 35.900001526,-54.9999999999999 35.916667938,-54.9999999999999 35.933334351,-54.9999999999999 35.950000763,-54.9999999999999 35.9666671750001,-54.9999999999999 35.9833335880001,-54.9999999999999 36.0000000000001,-54.9999999999999 36.0166664120001,-54.9999999999999 36.0333328250001,-54.9999999999999 36.0499992370001,-54.9999999999999 36.0666656490001,-54.9999999999999 36.0833320620001,-54.9999999999999 36.0999984740001,-54.9999999999999 36.116664886,-54.9999999999999 36.133335114,-54.9999999999999 36.150001526,-54.9999999999999 36.166667938,-54.9999999999999 36.183334351,-54.9999999999999 36.200000763,-54.9999999999999 36.2166671750001,-54.9999999999999 36.2333335880001,-54.9999999999999 36.2500000000001,-54.9999999999999 36.2666664120001,-54.9999999999999 36.2833328250001,-54.9999999999999 36.2999992370001,-54.9999999999999 36.3166656490001,-54.9999999999999 36.3333320620001,-54.9999999999999 36.3499984740001,-54.9999999999999 36.366664886,-54.9999999999999 36.383335114,-54.9999999999999 36.400001526,-54.9999999999999 36.416667938,-54.9999999999999 36.433334351,-54.9999999999999 36.450000763,-54.9999999999999 36.4666671750001,-54.9999999999999 36.4833335880001,-54.9999999999999 36.5000000000001,-54.9999999999999 36.5166664120001,-54.9999999999999 36.5333328250001,-54.9999999999999 36.5499992370001,-54.9999999999999 36.5666656490001,-54.9999999999999 36.5833320620001,-54.9999999999999 36.5999984740001,-54.9999999999999 36.616664886,-54.9999999999999 36.633335114,-54.9999999999999 36.650001526,-54.9999999999999 36.666667938,-54.9999999999999 36.683334351,-54.9999999999999 36.7166671750001,-54.9999999999999 36.7333335880001,-54.9999999999999 36.7500000000001,-54.9999999999999 36.7666664120001,-54.9999999999999 36.7833328250001,-54.9999999999999 36.7999992370001,-54.9999999999999 36.8166656490001,-54.9999999999999 36.8333320620001,-54.9999999999999 36.8499984740001,-54.9999999999999 36.866664886,-54.9999999999999 36.883335114,-54.9999999999999 36.900001526,-54.9999999999999 36.916667938,-54.9999999999999 36.933334351,-54.9999999999999 36.950000763,-54.9999999999999 36.9666671750001,-54.9999999999999 36.9833335880001,-54.9999999999999 37.0000000000001,-54.9999999999999 37.0166664120001,-54.9999999999999 37.0333328250001,-54.9999999999999 37.0499992370001,-54.9999999999999 37.0666656490001,-54.9999999999999 37.0833320620001,-54.9999999999999 37.0999984740001,-54.9999999999999 37.1166648860001,-54.9999999999999 37.133335114,-54.9999999999999 37.150001526,-54.9999999999999 37.166667938,-54.9999999999999 37.183334351,-54.9999999999999 37.200000763,-54.9999999999999 37.2166671750001,-54.9999999999999 37.2333335880001,-54.9999999999999 37.2500000000001,-54.9999999999999 37.2666664120001,-54.9999999999999 37.2833328250001,-54.9999999999999 37.2999992370001,-54.9999999999999 37.3166656490001,-54.9999999999999 37.3333320620001,-54.9999999999999 37.3499984740001,-54.9999999999999 37.3666648860001,-54.9999999999999 37.383335114,-54.9999999999999 37.400001526,-54.9999999999999 37.416667938,-54.9999999999999 37.433334351,-54.9999999999999 37.450000763,-54.9999999999999 37.4666671750001,-54.9999999999999 37.4833335880001,-54.9999999999999 37.5000000000001,-54.9999999999999 37.5166664120001,-54.9999999999999 37.5333328250001,-54.9999999999999 37.5499992370001,-54.9999999999999 37.5666656490001,-54.9999999999999 37.5833320620001,-54.9999999999999 37.5999984740001,-54.9999999999999 37.6166648860001,-54.9999999999999 37.633335114,-54.9999999999999 37.650001526,-54.9999999999999 37.666667938,-54.9999999999999 37.683334351,-54.9999999999999 37.7166671750001,-54.9999999999999 37.7333335880001,-54.9999999999999 37.7500000000001,-54.9999999999999 37.7666664120001,-54.9999999999999 37.7833328250001,-54.9999999999999 37.7999992370001,-54.9999999999999 37.8166656490001,-54.9999999999999 37.8333320620001,-54.9999999999999 37.8499984740001,-54.9999999999999 37.8666648860001,-54.9999999999999 37.883335114,-54.9999999999999 37.900001526,-54.9999999999999 37.916667938,-54.9999999999999 37.933334351,-54.9999999999999 37.950000763,-54.9999999999999 37.9666671750001,-54.9999999999999 37.9833335880001,-54.9999999999999 38.0000000000001,-54.9999999999999 38.0166664120001,-54.9999999999999 38.0333328250001,-54.9999999999999 38.0499992370001,-54.9999999999999 38.0666656490001,-54.9999999999999 38.0833320620001,-54.9999999999999 38.0999984740001,-54.9999999999999 38.1166648860001,-54.9999999999999 38.133335114,-54.9999999999999 38.150001526,-54.9999999999999 38.166667938,-54.9999999999999 38.183334351,-54.9999999999999 38.200000763,-54.9999999999999 38.2166671750001,-54.9999999999999 38.2333335880001,-54.9999999999999 38.2500000000001,-54.9999999999999 38.2666664120001,-54.9999999999999 38.2833328250001,-54.9999999999999 38.2999992370001,-54.9999999999999 38.3166656490001,-54.9999999999999 38.3333320620001,-54.9999999999999 38.3499984740001,-54.9999999999999 38.3666648860001,-54.9999999999999 38.383335114,-54.9999999999999 38.400001526,-54.9999999999999 38.416667938,-54.9999999999999 38.433334351,-54.9999999999999 38.450000763,-54.9999999999999 38.4666671750001,-54.9999999999999 38.4833335880001,-54.9999999999999 38.5000000000001,-54.9999999999999 38.5166664120001,-54.9999999999999 38.5333328250001,-54.9999999999999 38.5499992370001,-54.9999999999999 38.5666656490001,-54.9999999999999 38.5833320620001,-54.9999999999999 38.5999984740001,-54.9999999999999 38.6166648860001,-54.9999999999999 38.633335114,-54.9999999999999 38.650001526,-54.9999999999999 38.666667938,-54.9999999999999 38.683334351,-54.9999999999999 38.916667938,-54.9999999999999 38.950000763,-54.9999999999999 38.9666671750001,-54.9999999999999 38.9833335880001,-54.9999999999999 39.0000000000001,-54.9833335879999 39.0000000000001,-54.9666671749999 39.0000000000001,-54.9500007629999 39.0000000000001,-54.933334351 39.0000000000001,-54.9166679379999 39.0000000000001,-54.900001526 39.0000000000001,-54.883335114 39.0000000000001,-54.866664886 39.0000000000001,-54.849998474 39.0000000000001,-54.833332062 39.0000000000001,-54.816665649 39.0000000000001,-54.799999237 39.0000000000001,-54.7833328249999 39.0000000000001,-54.7666664119999 39.0000000000001,-54.7499999999999 39.0000000000001,-54.7333335879999 39.0000000000001,-54.7166671749999 39.0000000000001,-54.7000007629999 39.0000000000001,-54.683334351 39.0000000000001,-54.6666679379999 39.0000000000001,-54.650001526 39.0000000000001,-54.633335114 39.0000000000001,-54.616664886 39.0000000000001,-54.599998474 39.0000000000001,-54.583332062 39.0000000000001,-54.566665649 39.0000000000001,-54.549999237 39.0000000000001,-54.5333328249999 39.0000000000001,-54.5166664119999 39.0000000000001,-54.4999999999999 39.0000000000001,-54.4833335879999 39.0000000000001,-54.4666671749999 39.0000000000001,-54.4500007629999 39.0000000000001,-54.433334351 39.0000000000001,-54.4166679379999 39.0000000000001,-54.400001526 39.0000000000001,-54.383335114 39.0000000000001,-54.366664886 39.0000000000001,-54.349998474 39.0000000000001,-54.333332062 39.0000000000001,-54.316665649 39.0000000000001,-54.299999237 39.0000000000001,-54.2833328249999 39.0000000000001,-54.2666664119999 39.0000000000001,-54.2499999999999 39.0000000000001,-54.2333335879999 39.0000000000001,-54.2166671749999 39.0000000000001,-54.2000007629999 39.0000000000001,-54.183334351 39.0000000000001,-54.1666679379999 39.0000000000001,-54.150001526 39.0000000000001,-54.133335114 39.0000000000001,-54.116664886 39.0000000000001,-54.099998474 39.0000000000001,-54.083332062 39.0000000000001,-54.066665649 39.0000000000001,-54.049999237 39.0000000000001,-54.0333328249999 39.0000000000001,-54.0166664119999 39.0000000000001,-53.9999999999999 39.0000000000001,-53.9833335879999 39.0000000000001,-53.9666671749999 39.0000000000001,-53.9500007629999 39.0000000000001,-53.933334351 39.0000000000001,-53.9166679379999 39.0000000000001,-53.900001526 39.0000000000001,-53.883335114 39.0000000000001,-53.866664886 39.0000000000001,-53.849998474 39.0000000000001,-53.833332062 39.0000000000001,-53.816665649 39.0000000000001,-53.799999237 39.0000000000001,-53.7833328249999 39.0000000000001,-53.7666664119999 39.0000000000001,-53.7499999999999 39.0000000000001,-53.7333335879999 39.0000000000001,-53.7166671749999 39.0000000000001,-53.7000007629999 39.0000000000001,-53.683334351 39.0000000000001,-53.6666679379999 39.0000000000001,-53.650001526 39.0000000000001,-53.633335114 39.0000000000001,-53.616664886 39.0000000000001,-53.599998474 39.0000000000001,-53.583332062 39.0000000000001,-53.566665649 39.0000000000001,-53.549999237 39.0000000000001,-53.5333328249999 39.0000000000001,-53.5166664119999 39.0000000000001,-53.4999999999999 39.0000000000001,-53.4833335879999 39.0000000000001,-53.4666671749999 39.0000000000001,-53.4500007629999 39.0000000000001,-53.433334351 39.0000000000001,-53.4166679379999 39.0000000000001,-53.400001526 39.0000000000001,-53.383335114 39.0000000000001,-53.366664886 39.0000000000001,-53.349998474 39.0000000000001,-53.333332062 39.0000000000001,-53.316665649 39.0000000000001,-53.299999237 39.0000000000001,-53.2833328249999 39.0000000000001,-53.2666664119999 39.0000000000001,-53.2499999999999 39.0000000000001,-53.2333335879999 39.0000000000001,-53.2166671749999 39.0000000000001,-53.2000007629999 39.0000000000001,-53.183334351 39.0000000000001,-53.1666679379999 39.0000000000001,-53.150001526 39.0000000000001,-53.133335114 39.0000000000001,-53.116664886 39.0000000000001,-53.099998474 39.0000000000001,-53.083332062 39.0000000000001,-53.066665649 39.0000000000001,-53.049999237 39.0000000000001,-53.0333328249999 39.0000000000001,-53.0166664119999 39.0000000000001,-52.9999999999999 39.0000000000001,-52.9833335879999 39.0000000000001,-52.9666671749999 39.0000000000001,-52.9500007629999 39.0000000000001,-52.933334351 39.0000000000001,-52.9166679379999 39.0000000000001,-52.900001526 39.0000000000001,-52.883335114 39.0000000000001,-52.866664886 39.0000000000001,-52.849998474 39.0000000000001,-52.833332062 39.0000000000001,-52.816665649 39.0000000000001,-52.799999237 39.0000000000001,-52.7833328249999 39.0000000000001,-52.7666664119999 39.0000000000001,-52.7499999999999 39.0000000000001,-52.7333335879999 39.0000000000001,-52.7166671749999 39.0000000000001,-52.7000007629999 39.0000000000001,-52.683334351 39.0000000000001,-52.6666679379999 39.0000000000001,-52.650001526 39.0000000000001,-52.633335114 39.0000000000001,-52.616664886 39.0000000000001,-52.599998474 39.0000000000001,-52.583332062 39.0000000000001,-52.566665649 39.0000000000001,-52.549999237 39.0000000000001,-52.5333328249999 39.0000000000001,-52.5166664119999 39.0000000000001,-52.4999999999999 39.0000000000001,-52.4833335879999 39.0000000000001,-52.4666671749999 39.0000000000001,-52.4500007629999 39.0000000000001,-52.433334351 39.0000000000001,-52.4166679379999 39.0000000000001,-52.400001526 39.0000000000001,-52.383335114 39.0000000000001,-52.366664886 39.0000000000001,-52.349998474 39.0000000000001,-52.333332062 39.0000000000001,-52.316665649 39.0000000000001,-52.299999237 39.0000000000001,-52.2833328249999 39.0000000000001,-52.2666664119999 39.0000000000001,-52.2499999999999 39.0000000000001,-52.2333335879999 39.0000000000001,-52.2166671749999 39.0000000000001,-52.2000007629999 39.0000000000001,-52.183334351 39.0000000000001,-52.1666679379999 39.0000000000001,-52.150001526 39.0000000000001,-52.133335114 39.0000000000001,-52.116664886 39.0000000000001,-52.099998474 39.0000000000001,-52.083332062 39.0000000000001,-52.066665649 39.0000000000001,-52.049999237 39.0000000000001,-52.0333328249999 39.0000000000001,-52.0166664119999 39.0000000000001,-51.9999999999999 39.0000000000001,-51.9833335879999 39.0000000000001,-51.9666671749999 39.0000000000001,-51.9500007629999 39.0000000000001,-51.933334351 39.0000000000001,-51.9166679379999 39.0000000000001,-51.900001526 39.0000000000001,-51.883335114 39.0000000000001,-51.866664886 39.0000000000001,-51.849998474 39.0000000000001,-51.833332062 39.0000000000001,-51.816665649 39.0000000000001,-51.799999237 39.0000000000001,-51.7833328249999 39.0000000000001,-51.7666664119999 39.0000000000001,-51.7499999999999 39.0000000000001,-51.7333335879999 39.0000000000001,-51.7166671749999 39.0000000000001,-51.7000007629999 39.0000000000001,-51.683334351 39.0000000000001,-51.6666679379999 39.0000000000001,-51.650001526 39.0000000000001,-51.633335114 39.0000000000001,-51.616664886 39.0000000000001,-51.599998474 39.0000000000001,-51.583332062 39.0000000000001,-51.566665649 39.0000000000001,-51.549999237 39.0000000000001,-51.5333328249999 39.0000000000001,-51.5166664119999 39.0000000000001,-51.4999999999999 39.0000000000001,-51.4833335879999 39.0000000000001,-51.4666671749999 39.0000000000001,-51.4500007629999 39.0000000000001,-51.433334351 39.0000000000001,-51.4166679379999 39.0000000000001,-51.400001526 39.0000000000001,-51.383335114 39.0000000000001,-51.366664886 39.0000000000001,-51.349998474 39.0000000000001,-51.333332062 39.0000000000001,-51.316665649 39.0000000000001,-51.299999237 39.0000000000001,-51.2833328249999 39.0000000000001,-51.2666664119999 39.0000000000001,-51.2499999999999 39.0000000000001,-51.2333335879999 39.0000000000001,-51.2166671749999 39.0000000000001,-51.2000007629999 39.0000000000001,-51.183334351 39.0000000000001,-51.1666679379999 39.0000000000001,-51.150001526 39.0000000000001,-51.133335114 39.0000000000001,-51.116664886 39.0000000000001,-51.099998474 39.0000000000001,-51.083332062 39.0000000000001,-51.066665649 39.0000000000001,-51.049999237 39.0000000000001,-51.0333328249999 39.0000000000001,-51.0166664119999 39.0000000000001,-50.9999999999999 39.0000000000001,-50.9833335879999 39.0000000000001,-50.9666671749999 39.0000000000001,-50.9500007629999 39.0000000000001,-50.933334351 39.0000000000001,-50.9166679379999 39.0000000000001,-50.900001526 39.0000000000001,-50.883335114 39.0000000000001,-50.866664886 39.0000000000001,-50.849998474 39.0000000000001,-50.833332062 39.0000000000001,-50.816665649 39.0000000000001,-50.799999237 39.0000000000001,-50.7833328249999 39.0000000000001,-50.7666664119999 39.0000000000001,-50.7499999999999 39.0000000000001,-50.7333335879999 39.0000000000001,-50.7166671749999 39.0000000000001,-50.7000007629999 39.0000000000001,-50.683334351 39.0000000000001,-50.6666679379999 39.0000000000001,-50.650001526 39.0000000000001,-50.633335114 39.0000000000001,-50.616664886 39.0000000000001,-50.599998474 39.0000000000001,-50.583332062 39.0000000000001,-50.566665649 39.0000000000001,-50.549999237 39.0000000000001,-50.5333328249999 39.0000000000001,-50.5166664119999 39.0000000000001,-50.4999999999999 39.0000000000001,-50.4833335879999 39.0000000000001,-50.4666671749999 39.0000000000001,-50.4500007629999 39.0000000000001,-50.433334351 39.0000000000001,-50.4166679379999 39.0000000000001,-50.400001526 39.0000000000001,-50.383335114 39.0000000000001,-50.366664886 39.0000000000001,-50.349998474 39.0000000000001,-50.333332062 39.0000000000001,-50.316665649 39.0000000000001,-50.299999237 39.0000000000001,-50.2833328249999 39.0000000000001,-50.2666664119999 39.0000000000001,-50.2499999999999 39.0000000000001,-50.2333335879999 39.0000000000001,-50.2166671749999 39.0000000000001,-50.2000007629999 39.0000000000001,-50.183334351 39.0000000000001,-50.1666679379999 39.0000000000001,-50.150001526 39.0000000000001,-50.133335114 39.0000000000001,-50.116664886 39.0000000000001,-50.099998474 39.0000000000001,-50.083332062 39.0000000000001,-50.066665649 39.0000000000001,-50.049999237 39.0000000000001,-50.0333328249999 39.0000000000001,-50.0166664119999 39.0000000000001,-49.9999999999999 39.0000000000001,-49.9999999999999 38.9833335880001,-49.9999999999999 38.9666671750001,-49.9999999999999 38.950000763,-49.9999999999999 38.933334351,-49.9999999999999 38.916667938,-49.9999999999999 38.900001526,-49.9999999999999 38.883335114,-49.9999999999999 38.8666648860001,-49.9999999999999 38.8499984740001,-49.9999999999999 38.8333320620001,-49.9999999999999 38.8166656490001,-49.9999999999999 38.7999992370001,-49.9999999999999 38.7833328250001,-49.9999999999999 38.7666664120001,-49.9999999999999 38.7500000000001,-49.9999999999999 38.7333335880001,-49.9999999999999 38.7166671750001,-49.9999999999999 38.683334351,-49.9999999999999 38.666667938,-49.9999999999999 38.650001526,-49.9999999999999 38.633335114,-49.9999999999999 38.6166648860001,-49.9999999999999 38.5999984740001,-49.9999999999999 38.5833320620001,-49.9999999999999 38.5666656490001,-49.9999999999999 38.5499992370001,-49.9999999999999 38.5333328250001,-49.9999999999999 38.5166664120001,-49.9999999999999 38.5000000000001,-49.9999999999999 38.4833335880001,-49.9999999999999 38.4666671750001,-49.9999999999999 38.450000763,-49.9999999999999 38.433334351,-49.9999999999999 38.416667938,-49.9999999999999 38.400001526,-49.9999999999999 38.383335114,-49.9999999999999 38.3666648860001,-49.9999999999999 38.3499984740001,-49.9999999999999 38.3333320620001,-49.9999999999999 38.3166656490001,-49.9999999999999 38.2999992370001,-49.9999999999999 38.2833328250001,-49.9999999999999 38.2666664120001,-49.9999999999999 38.2500000000001,-49.9999999999999 38.2333335880001,-49.9999999999999 38.2166671750001,-49.9999999999999 38.200000763,-49.9999999999999 38.183334351,-49.9999999999999 38.166667938,-49.9999999999999 38.150001526,-49.9999999999999 38.133335114,-49.9999999999999 38.1166648860001,-49.9999999999999 38.0999984740001,-49.9999999999999 38.0833320620001,-49.9999999999999 38.0666656490001,-49.9999999999999 38.0499992370001,-49.9999999999999 38.0333328250001,-49.9999999999999 38.0166664120001,-49.9999999999999 38.0000000000001,-49.9999999999999 37.9833335880001,-49.9999999999999 37.9666671750001,-49.9999999999999 37.950000763,-49.9999999999999 37.933334351,-49.9999999999999 37.916667938,-49.9999999999999 37.900001526,-49.9999999999999 37.883335114,-49.9999999999999 37.8666648860001,-49.9999999999999 37.8499984740001,-49.9999999999999 37.8333320620001,-49.9999999999999 37.8166656490001,-49.9999999999999 37.7999992370001,-49.9999999999999 37.7833328250001,-49.9999999999999 37.7666664120001,-49.9999999999999 37.7500000000001,-49.9999999999999 37.7333335880001,-49.9999999999999 37.7166671750001,-49.9999999999999 37.683334351,-49.9999999999999 37.666667938,-49.9999999999999 37.650001526,-49.9999999999999 37.633335114,-49.9999999999999 37.6166648860001,-49.9999999999999 37.5999984740001,-49.9999999999999 37.5833320620001,-49.9999999999999 37.5666656490001,-49.9999999999999 37.5499992370001,-49.9999999999999 37.5333328250001,-49.9999999999999 37.5166664120001,-49.9999999999999 37.5000000000001,-49.9999999999999 37.4833335880001,-49.9999999999999 37.4666671750001,-49.9999999999999 37.450000763,-49.9999999999999 37.433334351,-49.9999999999999 37.416667938,-49.9999999999999 37.400001526,-49.9999999999999 37.383335114,-49.9999999999999 37.3666648860001,-49.9999999999999 37.3499984740001,-49.9999999999999 37.3333320620001,-49.9999999999999 37.3166656490001,-49.9999999999999 37.2999992370001,-49.9999999999999 37.2833328250001,-49.9999999999999 37.2666664120001,-49.9999999999999 37.2500000000001,-49.9999999999999 37.2333335880001,-49.9999999999999 37.2166671750001,-49.9999999999999 37.200000763,-49.9999999999999 37.183334351,-49.9999999999999 37.166667938,-49.9999999999999 37.150001526,-49.9999999999999 37.133335114,-49.9999999999999 37.1166648860001,-49.9999999999999 37.0999984740001,-49.9999999999999 37.0833320620001,-49.9999999999999 37.0666656490001,-49.9999999999999 37.0499992370001,-49.9999999999999 37.0333328250001,-49.9999999999999 37.0166664120001,-49.9999999999999 37.0000000000001,-49.9999999999999 36.9833335880001,-49.9999999999999 36.9666671750001,-49.9999999999999 36.950000763,-49.9999999999999 36.933334351,-49.9999999999999 36.916667938,-49.9999999999999 36.900001526,-49.9999999999999 36.883335114,-49.9999999999999 36.866664886,-49.9999999999999 36.8499984740001,-49.9999999999999 36.8333320620001,-49.9999999999999 36.8166656490001,-49.9999999999999 36.7999992370001,-49.9999999999999 36.7833328250001,-49.9999999999999 36.7666664120001,-49.9999999999999 36.7500000000001,-49.9999999999999 36.7333335880001,-49.9999999999999 36.7166671750001,-49.9999999999999 36.683334351,-49.9999999999999 36.666667938,-49.9999999999999 36.650001526,-49.9999999999999 36.633335114,-49.9999999999999 36.616664886,-49.9999999999999 36.5999984740001,-49.9999999999999 36.5833320620001,-49.9999999999999 36.5666656490001,-49.9999999999999 36.5499992370001,-49.9999999999999 36.5333328250001,-49.9999999999999 36.5166664120001,-49.9999999999999 36.5000000000001,-49.9999999999999 36.4833335880001,-49.9999999999999 36.4666671750001,-49.9999999999999 36.450000763,-49.9999999999999 36.433334351,-49.9999999999999 36.416667938,-49.9999999999999 36.400001526,-49.9999999999999 36.383335114,-49.9999999999999 36.366664886,-49.9999999999999 36.3499984740001,-49.9999999999999 36.3333320620001,-49.9999999999999 36.3166656490001,-49.9999999999999 36.2999992370001,-49.9999999999999 36.2833328250001,-49.9999999999999 36.2666664120001,-49.9999999999999 36.2500000000001,-49.9999999999999 36.2333335880001,-49.9999999999999 36.2166671750001,-49.9999999999999 36.200000763,-49.9999999999999 36.183334351,-49.9999999999999 36.166667938,-49.9999999999999 36.150001526,-49.9999999999999 36.133335114,-49.9999999999999 36.116664886,-49.9999999999999 36.0999984740001,-49.9999999999999 36.0833320620001,-49.9999999999999 36.0666656490001,-49.9999999999999 36.0499992370001,-49.9999999999999 36.0333328250001,-49.9999999999999 36.0166664120001,-49.9999999999999 36.0000000000001,-49.9999999999999 35.9833335880001,-49.9999999999999 35.9666671750001,-49.9999999999999 35.950000763,-49.9999999999999 35.933334351,-49.9999999999999 35.916667938,-49.9999999999999 35.900001526,-49.9999999999999 35.883335114,-49.9999999999999 35.866664886,-49.9999999999999 35.8499984740001,-49.9999999999999 35.8333320620001,-49.9999999999999 35.8166656490001,-49.9999999999999 35.7999992370001,-49.9999999999999 35.7833328250001,-49.9999999999999 35.7666664120001,-49.9999999999999 35.7500000000001,-49.9999999999999 35.7333335880001,-49.9999999999999 35.7166671750001,-49.9999999999999 35.683334351,-49.9999999999999 35.666667938,-49.9999999999999 35.650001526,-49.9999999999999 35.633335114,-49.9999999999999 35.616664886,-49.9999999999999 35.5999984740001,-49.9999999999999 35.5833320620001,-49.9999999999999 35.5666656490001,-49.9999999999999 35.5499992370001,-49.9999999999999 35.5333328250001,-49.9999999999999 35.5166664120001,-49.9999999999999 35.5000000000001,-49.9999999999999 35.4833335880001,-49.9999999999999 35.4666671750001,-49.9999999999999 35.450000763,-49.9999999999999 35.433334351,-49.9999999999999 35.416667938,-49.9999999999999 35.400001526,-49.9999999999999 35.383335114,-49.9999999999999 35.366664886,-49.9999999999999 35.3499984740001,-49.9999999999999 35.3333320620001,-49.9999999999999 35.3166656490001,-49.9999999999999 35.2999992370001,-49.9999999999999 35.2833328250001,-49.9999999999999 35.2666664120001,-49.9999999999999 35.2500000000001,-49.9999999999999 35.2333335880001,-49.9999999999999 35.2166671750001,-49.9999999999999 35.200000763,-49.9999999999999 35.183334351,-49.9999999999999 35.166667938,-49.9999999999999 35.150001526,-49.9999999999999 35.133335114,-49.9999999999999 35.116664886,-49.9999999999999 35.0999984740001,-49.9999999999999 35.0833320620001,-49.9999999999999 35.0666656490001,-49.9999999999999 35.0499992370001,-49.9999999999999 35.0333328250001,-49.9999999999999 35.0166664120001,-49.9999999999999 35.0000000000001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.6', '', '21.6', '21.6.G', '', '21.6G', '', '', '', '', '', '', '', '6G', '3', '21.6.G', '21.6G', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.949999939 46.3400000290001,-10.99999996 46.3200000150001,-10.999999939 46.3366336920001,-10.999999939 46.3532673560001,-10.999999939 46.3699010190001,-10.999999939 46.386534682,-10.999999939 46.403168346,-10.999999939 46.4198020090001,-10.999999939 46.4364356720001,-10.999999939 46.4530693360001,-10.999999939 46.469702999,-10.999999939 46.486336663,-10.999999939 46.5029703260001,-10.999999939 46.5196039890001,-10.999999939 46.5362376530001,-10.999999939 46.5528713160001,-10.999999939 46.569504979,-10.999999939 46.586138643,-10.999999939 46.6027723060001,-10.999999939 46.6194059700001,-10.999999939 46.6360396330001,-10.999999939 46.652673296,-10.999999939 46.66930696,-10.999999939 46.6859406230001,-10.999999939 46.7025742870001,-10.999999939 46.7192079500001,-10.999999939 46.735841613,-10.999999939 46.752475277,-10.999999939 46.7691089400001,-10.999999939 46.7857426030001,-10.999999939 46.8023762670001,-10.999999939 46.81900993,-10.999999939 46.835643594,-10.999999939 46.852277257,-10.999999939 46.8689109200001,-10.999999939 46.8855445840001,-10.999999939 46.9021782470001,-10.999999939 46.918811911,-10.999999939 46.935445574,-10.999999939 46.9520792370001,-10.999999939 46.9687129010001,-10.999999939 46.9853465640001,-10.999999939 47.001980227,-10.999999939 47.018613891,-10.999999939 47.0352475540001,-10.999999939 47.0518812180001,-10.999999939 47.0685148810001,-10.999999939 47.085148544,-10.999999939 47.101782208,-10.999999939 47.1184158710001,-10.999999939 47.1350495340001,-10.999999939 47.1516831980001,-10.999999939 47.1683168610001,-10.999999939 47.184950525,-10.999999939 47.201584188,-10.999999939 47.2182178510001,-10.999999939 47.2348515150001,-10.999999939 47.2514851780001,-10.999999939 47.268118842,-10.999999939 47.284752505,-10.999999939 47.3013861680001,-10.999999939 47.3180198320001,-10.999999939 47.3346534950001,-10.999999939 47.351287158,-10.999999939 47.367920822,-10.999999939 47.3845544850001,-10.999999939 47.4011881490001,-10.999999939 47.4178218120001,-10.999999939 47.434455475,-10.999999939 47.451089139,-10.999999939 47.467722802,-10.999999939 47.4843564650001,-10.999999939 47.5009901290001,-10.999999939 47.5176237920001,-10.999999939 47.534257456,-10.999999939 47.550891119,-10.999999939 47.5675247820001,-10.999999939 47.5841584460001,-10.999999939 47.6007921090001,-10.999999939 47.617425773,-10.999999939 47.634059436,-10.999999939 47.6506930990001,-10.999999939 47.6673267630001,-10.999999939 47.6839604260001,-10.999999939 47.700594089,-10.999999939 47.717227753,-10.999999939 47.7338614160001,-10.999999939 47.7504950800001,-10.999999939 47.7671287430001,-10.999999939 47.7837624060001,-10.999999939 47.80039607,-10.999999939 47.817029733,-10.999999939 47.8336633970001,-10.999999939 47.8502970600001,-10.999999939 47.8669307230001,-10.999999939 47.883564387,-10.999999939 47.90019805,-10.999999939 47.9168317130001,-10.999999939 47.9334653770001,-10.999999939 47.9500990400001,-10.999999939 47.966732704,-10.999999939 47.983366367,-10.999999939 48.000000018,-10.639999927 48.0000000200001,-10.369999939 47.7700000300001,-9.88999993799996 47.4500000300001,-9.61999993799998 46.880000029,-10.949999939 46.3400000290001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VIII', 'Bay of Biscay', '27.VIII', '27.VIII.d', 'Bay of Biscay - Offshore', '27.VIIId', '27.VIII.d.1', 'Bay of Biscay - Offshore - NEAFC Reg. Area', '27.VIIId1', '', '', '', '', 'VIIId1', '4', '27.8.d.1', '27.VIIId1', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999993599994 48.000000018,-7.99999993599994 47.5000000300001,-5.99999993499995 47.5000000300001,-5.99999993499995 47.000000029,-4.99999993399996 47.000000029,-4.99999993399996 46.000000028,-3.99999993299997 46.000000017,-3.99999993299997 45.500000028,-2.99999993199998 45.500000028,-2.99999995899998 44.5000000270001,-10.999999939 44.5000000160001,-10.99999996 46.3200000150001,-10.949999939 46.3400000290001,-9.61999993799998 46.880000029,-9.88999993799996 47.4500000300001,-10.369999939 47.7700000300001,-10.639999927 48.0000000200001,-8.99999996199995 48.0000000300001,-7.99999993599994 48.000000018)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VIII', 'Bay of Biscay', '27.VIII', '27.VIII.d', 'Bay of Biscay - Offshore', '27.VIIId', '27.VIII.d.2', 'Bay of Biscay - Offshore - Non-NEAFC Reg. Area', '27.VIIId2', '', '', '', '', 'VIIId2', '4', '27.8.d.2', '27.VIIId2', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.59695291999998 55.03730763,-1.99999999999994 53.9813372740001,-1.92114083699994 53.841840614,-1.89663743599993 53.5000000000001,-1.83552415699995 52.647424459,-1.99999999999994 52.561194406,-2.95549879199996 52.060253291,-3.62958248999996 52.0000000000001,-4.80166671199993 51.8952326950001,-4.90186247799994 51.8862766490001,-5.07879390699998 52.000000017,-7.58333293599998 52.000000034,-7.98608571499994 52.0069571430001,-9.00022473299992 52.0244752720001,-9.01003805099998 52.47545304,-9.01141585499994 52.5000000000001,-9.03675178099996 52.9513849620001,-8.22517290799993 53.085583044,-6.99999999999994 54.232435121,-6.68509016499996 54.5272139200001,-6.01805248699998 55.0000000000001,-6.01421751299995 55.002718171,-5.98013258799995 55.0000000370001,-5.16762991999997 55.000000018,-5.08771421699993 54.8965454130001,-5.08609181399993 54.8961480900001,-5.02304507899993 54.8807080730001,-4.97717516699993 54.8694746250001,-4.95663326999994 54.8958547460001,-4.92359756699994 54.9382795440001,-4.84971687499996 55.0589701390001,-4.68932457899996 55.1544070990001,-4.47633667999997 55.423331213,-4.40749210699994 55.7051636840001,-4.05148182899995 55.6480629320001,-2.83161388899993 55.4524074120001,-2.59695291999998 55.03730763)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VII', '', '27.VII', '27.VII.a', 'Irish Sea', '27.VIIa', '', '', '', '', '', '', '', 'VIIa', '3', '27.7.a', '27.VIIa', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.22517290799993 53.085583044,-9.03675178099996 52.9513849620001,-9.01141585499994 52.5000000000001,-9.01003805099998 52.47545304,-9.68009946699993 52.500000017,-11.999999955 52.5000000260001,-11.999999955 54.5000000270001,-11.9997912219999 54.5000000000001,-8.26913533699997 54.4993497310001,-8.22517290799993 53.718231141,-8.22517290799993 53.085583044)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VII', '', '27.VII', '27.VII.b', 'West of Ireland', '27.VIIb', '', '', '', '', '', '', '', 'VIIb', '3', '27.7.b', '27.VIIb', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999889999 36.0000000060001,-41.9999999999999 35.9833335880001,-41.9999999999999 35.9666671750001,-41.9999999999999 35.950000763,-41.9999999999999 35.933334351,-41.9999999999999 35.916667938,-41.9999999999999 35.900001526,-41.9999999999999 35.883335114,-41.9999999999999 35.866664886,-41.9999999999999 35.8499984740001,-41.9999999999999 35.8333320620001,-41.9999999999999 35.8166656490001,-41.9999999999999 35.7999992370001,-41.9999999999999 35.7833328250001,-41.9999999999999 35.7666664120001,-41.9999999999999 35.7500000000001,-41.9999999999999 35.7333335880001,-41.9999999999999 35.7166671750001,-41.9999999999999 35.700000763,-41.9999999999999 35.683334351,-41.9999999999999 35.666667938,-41.9999999999999 35.650001526,-41.9999999999999 35.633335114,-41.9999999999999 35.616664886,-41.9999999999999 35.5999984740001,-41.9999999999999 35.5833320620001,-41.9999999999999 35.5666656490001,-41.9999999999999 35.5499992370001,-41.9999999999999 35.5333328250001,-41.9999999999999 35.5166664120001,-41.9999999999999 35.5000000000001,-41.9999999999999 35.4833335880001,-41.9999999999999 35.4666671750001,-41.9999999999999 35.450000763,-41.9999999999999 35.433334351,-41.9999999999999 35.416667938,-41.9999999999999 35.400001526,-41.9999999999999 35.383335114,-41.9999999999999 35.366664886,-41.9999999999999 35.3499984740001,-41.9999999999999 35.3333320620001,-41.9999999999999 35.3166656490001,-41.9999999999999 35.2999992370001,-41.9999999999999 35.2833328250001,-41.9999999999999 35.2666664120001,-41.9999999999999 35.2500000000001,-41.9999999999999 35.2333335880001,-41.9999999999999 35.2166671750001,-41.9999999999999 35.200000763,-41.9999999999999 35.183334351,-41.9999999999999 35.166667938,-41.9999999999999 35.150001526,-41.9999999999999 35.133335114,-41.9999999999999 35.116664886,-41.9999999999999 35.0999984740001,-41.9999999999999 35.0833320620001,-41.9999999999999 35.0666656490001,-41.9999999999999 35.0499992370001,-41.9999999999999 35.0333328250001,-41.9999999999999 35.0166664120001,-41.9999999999999 35.0000000000001,-42.0166664119999 35.0000000000001,-42.0333328249999 35.0000000000001,-42.049999237 35.0000000000001,-42.066665649 35.0000000000001,-42.083332062 35.0000000000001,-42.099998474 35.0000000000001,-42.116664886 35.0000000000001,-42.133335114 35.0000000000001,-42.150001526 35.0000000000001,-42.1666679379999 35.0000000000001,-42.183334351 35.0000000000001,-42.2000007629999 35.0000000000001,-42.2166671749999 35.0000000000001,-42.2333335879999 35.0000000000001,-42.2499999999999 35.0000000000001,-42.2666664119999 35.0000000000001,-42.2833328249999 35.0000000000001,-42.299999237 35.0000000000001,-42.316665649 35.0000000000001,-42.333332062 35.0000000000001,-42.349998474 35.0000000000001,-42.366664886 35.0000000000001,-42.383335114 35.0000000000001,-42.400001526 35.0000000000001,-42.4166679379999 35.0000000000001,-42.433334351 35.0000000000001,-42.4500007629999 35.0000000000001,-42.4666671749999 35.0000000000001,-42.4833335879999 35.0000000000001,-42.4999999999999 35.0000000000001,-42.5166664119999 35.0000000000001,-42.5333328249999 35.0000000000001,-42.549999237 35.0000000000001,-42.566665649 35.0000000000001,-42.583332062 35.0000000000001,-42.599998474 35.0000000000001,-42.616664886 35.0000000000001,-42.633335114 35.0000000000001,-42.650001526 35.0000000000001,-42.6666679379999 35.0000000000001,-42.683334351 35.0000000000001,-42.7000007629999 35.0000000000001,-42.7166671749999 35.0000000000001,-42.7333335879999 35.0000000000001,-42.7499999999999 35.0000000000001,-42.7666664119999 35.0000000000001,-42.7833328249999 35.0000000000001,-42.799999237 35.0000000000001,-42.816665649 35.0000000000001,-42.833332062 35.0000000000001,-42.849998474 35.0000000000001,-42.866664886 35.0000000000001,-42.883335114 35.0000000000001,-42.900001526 35.0000000000001,-42.9166679379999 35.0000000000001,-42.933334351 35.0000000000001,-42.9500007629999 35.0000000000001,-42.9666671749999 35.0000000000001,-42.9833335879999 35.0000000000001,-42.9999999999999 35.0000000000001,-43.0166664119999 35.0000000000001,-43.0333328249999 35.0000000000001,-43.049999237 35.0000000000001,-43.066665649 35.0000000000001,-43.083332062 35.0000000000001,-43.099998474 35.0000000000001,-43.116664886 35.0000000000001,-43.133335114 35.0000000000001,-43.150001526 35.0000000000001,-43.1666679379999 35.0000000000001,-43.183334351 35.0000000000001,-43.2000007629999 35.0000000000001,-43.2166671749999 35.0000000000001,-43.2333335879999 35.0000000000001,-43.2499999999999 35.0000000000001,-43.2666664119999 35.0000000000001,-43.2833328249999 35.0000000000001,-43.299999237 35.0000000000001,-43.316665649 35.0000000000001,-43.333332062 35.0000000000001,-43.349998474 35.0000000000001,-43.366664886 35.0000000000001,-43.383335114 35.0000000000001,-43.400001526 35.0000000000001,-43.4166679379999 35.0000000000001,-43.433334351 35.0000000000001,-43.4500007629999 35.0000000000001,-43.4666671749999 35.0000000000001,-43.4833335879999 35.0000000000001,-43.4999999999999 35.0000000000001,-43.5166664119999 35.0000000000001,-43.5333328249999 35.0000000000001,-43.549999237 35.0000000000001,-43.566665649 35.0000000000001,-43.583332062 35.0000000000001,-43.599998474 35.0000000000001,-43.616664886 35.0000000000001,-43.633335114 35.0000000000001,-43.650001526 35.0000000000001,-43.6666679379999 35.0000000000001,-43.683334351 35.0000000000001,-43.7000007629999 35.0000000000001,-43.7166671749999 35.0000000000001,-43.7333335879999 35.0000000000001,-43.7499999999999 35.0000000000001,-43.7666664119999 35.0000000000001,-43.7833328249999 35.0000000000001,-43.799999237 35.0000000000001,-43.816665649 35.0000000000001,-43.833332062 35.0000000000001,-43.849998474 35.0000000000001,-43.866664886 35.0000000000001,-43.883335114 35.0000000000001,-43.900001526 35.0000000000001,-43.9166679379999 35.0000000000001,-43.933334351 35.0000000000001,-43.9500007629999 35.0000000000001,-43.9666671749999 35.0000000000001,-43.9833335879999 35.0000000000001,-43.9999999999999 35.0000000000001,-44.0166664119999 35.0000000000001,-44.0333328249999 35.0000000000001,-44.049999237 35.0000000000001,-44.066665649 35.0000000000001,-44.083332062 35.0000000000001,-44.099998474 35.0000000000001,-44.116664886 35.0000000000001,-44.133335114 35.0000000000001,-44.150001526 35.0000000000001,-44.1666679379999 35.0000000000001,-44.183334351 35.0000000000001,-44.2000007629999 35.0000000000001,-44.2166671749999 35.0000000000001,-44.2333335879999 35.0000000000001,-44.2499999999999 35.0000000000001,-44.2666664119999 35.0000000000001,-44.2833328249999 35.0000000000001,-44.299999237 35.0000000000001,-44.316665649 35.0000000000001,-44.333332062 35.0000000000001,-44.349998474 35.0000000000001,-44.366664886 35.0000000000001,-44.383335114 35.0000000000001,-44.400001526 35.0000000000001,-44.4166679379999 35.0000000000001,-44.433334351 35.0000000000001,-44.4500007629999 35.0000000000001,-44.4666671749999 35.0000000000001,-44.4833335879999 35.0000000000001,-44.4999999999999 35.0000000000001,-44.5166664119999 35.0000000000001,-44.5333328249999 35.0000000000001,-44.549999237 35.0000000000001,-44.566665649 35.0000000000001,-44.583332062 35.0000000000001,-44.599998474 35.0000000000001,-44.616664886 35.0000000000001,-44.633335114 35.0000000000001,-44.650001526 35.0000000000001,-44.6666679379999 35.0000000000001,-44.683334351 35.0000000000001,-44.7000007629999 35.0000000000001,-44.7166671749999 35.0000000000001,-44.7333335879999 35.0000000000001,-44.7499999999999 35.0000000000001,-44.7666664119999 35.0000000000001,-44.7833328249999 35.0000000000001,-44.799999237 35.0000000000001,-44.816665649 35.0000000000001,-44.833332062 35.0000000000001,-44.849998474 35.0000000000001,-44.866664886 35.0000000000001,-44.883335114 35.0000000000001,-44.900001526 35.0000000000001,-44.9166679379999 35.0000000000001,-44.933334351 35.0000000000001,-44.9500007629999 35.0000000000001,-44.9666671749999 35.0000000000001,-44.9833335879999 35.0000000000001,-44.9999999999999 35.0000000000001,-45.0166664119999 35.0000000000001,-45.0333328249999 35.0000000000001,-45.049999237 35.0000000000001,-45.066665649 35.0000000000001,-45.083332062 35.0000000000001,-45.099998474 35.0000000000001,-45.116664886 35.0000000000001,-45.133335114 35.0000000000001,-45.150001526 35.0000000000001,-45.1666679379999 35.0000000000001,-45.183334351 35.0000000000001,-45.2000007629999 35.0000000000001,-45.2166671749999 35.0000000000001,-45.2333335879999 35.0000000000001,-45.2499999999999 35.0000000000001,-45.2666664119999 35.0000000000001,-45.2833328249999 35.0000000000001,-45.299999237 35.0000000000001,-45.316665649 35.0000000000001,-45.333332062 35.0000000000001,-45.349998474 35.0000000000001,-45.366664886 35.0000000000001,-45.383335114 35.0000000000001,-45.400001526 35.0000000000001,-45.4166679379999 35.0000000000001,-45.433334351 35.0000000000001,-45.4500007629999 35.0000000000001,-45.4666671749999 35.0000000000001,-45.4833335879999 35.0000000000001,-45.4999999999999 35.0000000000001,-45.5166664119999 35.0000000000001,-45.5333328249999 35.0000000000001,-45.549999237 35.0000000000001,-45.566665649 35.0000000000001,-45.583332062 35.0000000000001,-45.599998474 35.0000000000001,-45.616664886 35.0000000000001,-45.633335114 35.0000000000001,-45.650001526 35.0000000000001,-45.6666679379999 35.0000000000001,-45.683334351 35.0000000000001,-45.7000007629999 35.0000000000001,-45.7166671749999 35.0000000000001,-45.7333335879999 35.0000000000001,-45.7499999999999 35.0000000000001,-45.7666664119999 35.0000000000001,-45.7833328249999 35.0000000000001,-45.799999237 35.0000000000001,-45.816665649 35.0000000000001,-45.833332062 35.0000000000001,-45.849998474 35.0000000000001,-45.866664886 35.0000000000001,-45.883335114 35.0000000000001,-45.900001526 35.0000000000001,-45.9166679379999 35.0000000000001,-45.933334351 35.0000000000001,-45.9500007629999 35.0000000000001,-45.9666671749999 35.0000000000001,-45.9833335879999 35.0000000000001,-45.9999999999999 35.0000000000001,-46.0166664119999 35.0000000000001,-46.0333328249999 35.0000000000001,-46.049999237 35.0000000000001,-46.066665649 35.0000000000001,-46.083332062 35.0000000000001,-46.099998474 35.0000000000001,-46.116664886 35.0000000000001,-46.133335114 35.0000000000001,-46.150001526 35.0000000000001,-46.1666679379999 35.0000000000001,-46.183334351 35.0000000000001,-46.2000007629999 35.0000000000001,-46.2166671749999 35.0000000000001,-46.2333335879999 35.0000000000001,-46.2499999999999 35.0000000000001,-46.2666664119999 35.0000000000001,-46.2833328249999 35.0000000000001,-46.299999237 35.0000000000001,-46.316665649 35.0000000000001,-46.333332062 35.0000000000001,-46.349998474 35.0000000000001,-46.366664886 35.0000000000001,-46.383335114 35.0000000000001,-46.400001526 35.0000000000001,-46.4166679379999 35.0000000000001,-46.433334351 35.0000000000001,-46.4500007629999 35.0000000000001,-46.4666671749999 35.0000000000001,-46.4833335879999 35.0000000000001,-46.4999999999999 35.0000000000001,-46.5166664119999 35.0000000000001,-46.5333328249999 35.0000000000001,-46.549999237 35.0000000000001,-46.566665649 35.0000000000001,-46.583332062 35.0000000000001,-46.599998474 35.0000000000001,-46.616664886 35.0000000000001,-46.633335114 35.0000000000001,-46.650001526 35.0000000000001,-46.6666679379999 35.0000000000001,-46.683334351 35.0000000000001,-46.7000007629999 35.0000000000001,-46.7166671749999 35.0000000000001,-46.7333335879999 35.0000000000001,-46.7499999999999 35.0000000000001,-46.7666664119999 35.0000000000001,-46.7833328249999 35.0000000000001,-46.799999237 35.0000000000001,-46.816665649 35.0000000000001,-46.833332062 35.0000000000001,-46.849998474 35.0000000000001,-46.866664886 35.0000000000001,-46.883335114 35.0000000000001,-46.900001526 35.0000000000001,-46.9166679379999 35.0000000000001,-46.933334351 35.0000000000001,-46.9500007629999 35.0000000000001,-46.9666671749999 35.0000000000001,-46.9833335879999 35.0000000000001,-46.9999999999999 35.0000000000001,-47.0166664119999 35.0000000000001,-47.0333328249999 35.0000000000001,-47.049999237 35.0000000000001,-47.066665649 35.0000000000001,-47.083332062 35.0000000000001,-47.099998474 35.0000000000001,-47.116664886 35.0000000000001,-47.133335114 35.0000000000001,-47.150001526 35.0000000000001,-47.1666679379999 35.0000000000001,-47.183334351 35.0000000000001,-47.2000007629999 35.0000000000001,-47.2166671749999 35.0000000000001,-47.2333335879999 35.0000000000001,-47.2499999999999 35.0000000000001,-47.2666664119999 35.0000000000001,-47.2833328249999 35.0000000000001,-47.299999237 35.0000000000001,-47.316665649 35.0000000000001,-47.333332062 35.0000000000001,-47.349998474 35.0000000000001,-47.366664886 35.0000000000001,-47.383335114 35.0000000000001,-47.400001526 35.0000000000001,-47.4166679379999 35.0000000000001,-47.433334351 35.0000000000001,-47.4500007629999 35.0000000000001,-47.4666671749999 35.0000000000001,-47.4833335879999 35.0000000000001,-47.4999999999999 35.0000000000001,-47.5166664119999 35.0000000000001,-47.5333328249999 35.0000000000001,-47.549999237 35.0000000000001,-47.566665649 35.0000000000001,-47.583332062 35.0000000000001,-47.599998474 35.0000000000001,-47.616664886 35.0000000000001,-47.633335114 35.0000000000001,-47.650001526 35.0000000000001,-47.6666679379999 35.0000000000001,-47.683334351 35.0000000000001,-47.7000007629999 35.0000000000001,-47.7166671749999 35.0000000000001,-47.7333335879999 35.0000000000001,-47.7499999999999 35.0000000000001,-47.7666664119999 35.0000000000001,-47.7833328249999 35.0000000000001,-47.799999237 35.0000000000001,-47.816665649 35.0000000000001,-47.833332062 35.0000000000001,-47.849998474 35.0000000000001,-47.866664886 35.0000000000001,-47.883335114 35.0000000000001,-47.900001526 35.0000000000001,-47.9166679379999 35.0000000000001,-47.933334351 35.0000000000001,-47.9500007629999 35.0000000000001,-47.9666671749999 35.0000000000001,-47.9833335879999 35.0000000000001,-47.9999999999999 35.0000000000001,-48.0166664119999 35.0000000000001,-48.0333328249999 35.0000000000001,-48.049999237 35.0000000000001,-48.066665649 35.0000000000001,-48.083332062 35.0000000000001,-48.099998474 35.0000000000001,-48.116664886 35.0000000000001,-48.133335114 35.0000000000001,-48.150001526 35.0000000000001,-48.1666679379999 35.0000000000001,-48.183334351 35.0000000000001,-48.2000007629999 35.0000000000001,-48.2166671749999 35.0000000000001,-48.2333335879999 35.0000000000001,-48.2499999999999 35.0000000000001,-48.2666664119999 35.0000000000001,-48.2833328249999 35.0000000000001,-48.299999237 35.0000000000001,-48.316665649 35.0000000000001,-48.333332062 35.0000000000001,-48.349998474 35.0000000000001,-48.366664886 35.0000000000001,-48.383335114 35.0000000000001,-48.400001526 35.0000000000001,-48.4166679379999 35.0000000000001,-48.433334351 35.0000000000001,-48.4500007629999 35.0000000000001,-48.4666671749999 35.0000000000001,-48.4833335879999 35.0000000000001,-48.4999999999999 35.0000000000001,-48.5166664119999 35.0000000000001,-48.5333328249999 35.0000000000001,-48.549999237 35.0000000000001,-48.566665649 35.0000000000001,-48.583332062 35.0000000000001,-48.599998474 35.0000000000001,-48.616664886 35.0000000000001,-48.633335114 35.0000000000001,-48.650001526 35.0000000000001,-48.6666679379999 35.0000000000001,-48.683334351 35.0000000000001,-48.7000007629999 35.0000000000001,-48.7166671749999 35.0000000000001,-48.7333335879999 35.0000000000001,-48.7499999999999 35.0000000000001,-48.7666664119999 35.0000000000001,-48.7833328249999 35.0000000000001,-48.799999237 35.0000000000001,-48.816665649 35.0000000000001,-48.833332062 35.0000000000001,-48.849998474 35.0000000000001,-48.866664886 35.0000000000001,-48.883335114 35.0000000000001,-48.900001526 35.0000000000001,-48.9166679379999 35.0000000000001,-48.933334351 35.0000000000001,-48.9500007629999 35.0000000000001,-48.9666671749999 35.0000000000001,-48.9833335879999 35.0000000000001,-48.9999999999999 35.0000000000001,-49.0166664119999 35.0000000000001,-49.0333328249999 35.0000000000001,-49.049999237 35.0000000000001,-49.066665649 35.0000000000001,-49.083332062 35.0000000000001,-49.099998474 35.0000000000001,-49.116664886 35.0000000000001,-49.133335114 35.0000000000001,-49.150001526 35.0000000000001,-49.1666679379999 35.0000000000001,-49.183334351 35.0000000000001,-49.2000007629999 35.0000000000001,-49.2166671749999 35.0000000000001,-49.2333335879999 35.0000000000001,-49.2499999999999 35.0000000000001,-49.2666664119999 35.0000000000001,-49.2833328249999 35.0000000000001,-49.299999237 35.0000000000001,-49.316665649 35.0000000000001,-49.333332062 35.0000000000001,-49.349998474 35.0000000000001,-49.366664886 35.0000000000001,-49.383335114 35.0000000000001,-49.400001526 35.0000000000001,-49.4166679379999 35.0000000000001,-49.433334351 35.0000000000001,-49.4500007629999 35.0000000000001,-49.4666671749999 35.0000000000001,-49.4833335879999 35.0000000000001,-49.4999999999999 35.0000000000001,-49.5166664119999 35.0000000000001,-49.5333328249999 35.0000000000001,-49.549999237 35.0000000000001,-49.566665649 35.0000000000001,-49.583332062 35.0000000000001,-49.599998474 35.0000000000001,-49.616664886 35.0000000000001,-49.633335114 35.0000000000001,-49.650001526 35.0000000000001,-49.6666679379999 35.0000000000001,-49.683334351 35.0000000000001,-49.7000007629999 35.0000000000001,-49.7166671749999 35.0000000000001,-49.7333335879999 35.0000000000001,-49.7499999999999 35.0000000000001,-49.7666664119999 35.0000000000001,-49.7833328249999 35.0000000000001,-49.799999237 35.0000000000001,-49.816665649 35.0000000000001,-49.833332062 35.0000000000001,-49.849998474 35.0000000000001,-49.866664886 35.0000000000001,-49.883335114 35.0000000000001,-49.900001526 35.0000000000001,-49.9166679379999 35.0000000000001,-49.933334351 35.0000000000001,-49.9500007629999 35.0000000000001,-49.9666671749999 35.0000000000001,-49.9833335879999 35.0000000000001,-49.9999999999999 35.0000000000001,-49.9999999999999 35.0166664120001,-49.9999999999999 35.0333328250001,-49.9999999999999 35.0499992370001,-49.9999999999999 35.0666656490001,-49.9999999999999 35.0833320620001,-49.9999999999999 35.0999984740001,-49.9999999999999 35.116664886,-49.9999999999999 35.133335114,-49.9999999999999 35.150001526,-49.9999999999999 35.166667938,-49.9999999999999 35.183334351,-49.9999999999999 35.200000763,-49.9999999999999 35.2166671750001,-49.9999999999999 35.2333335880001,-49.9999999999999 35.2500000000001,-49.9999999999999 35.2666664120001,-49.9999999999999 35.2833328250001,-49.9999999999999 35.2999992370001,-49.9999999999999 35.3166656490001,-49.9999999999999 35.3333320620001,-49.9999999999999 35.3499984740001,-49.9999999999999 35.366664886,-49.9999999999999 35.383335114,-49.9999999999999 35.400001526,-49.9999999999999 35.416667938,-49.9999999999999 35.433334351,-49.9999999999999 35.450000763,-49.9999999999999 35.4666671750001,-49.9999999999999 35.4833335880001,-49.9999999999999 35.5000000000001,-49.9999999999999 35.5166664120001,-49.9999999999999 35.5333328250001,-49.9999999999999 35.5499992370001,-49.9999999999999 35.5666656490001,-49.9999999999999 35.5833320620001,-49.9999999999999 35.5999984740001,-49.9999999999999 35.616664886,-49.9999999999999 35.633335114,-49.9999999999999 35.650001526,-49.9999999999999 35.666667938,-49.9999999999999 35.683334351,-49.9999999999999 35.7166671750001,-49.9999999999999 35.7333335880001,-49.9999999999999 35.7500000000001,-49.9999999999999 35.7666664120001,-49.9999999999999 35.7833328250001,-49.9999999999999 35.7999992370001,-49.9999999999999 35.8166656490001,-49.9999999999999 35.8333320620001,-49.9999999999999 35.8499984740001,-49.9999999999999 35.866664886,-49.9999999999999 35.883335114,-49.9999999999999 35.900001526,-49.9999999999999 35.916667938,-49.9999999999999 35.933334351,-49.9999999999999 35.950000763,-49.9999999999999 35.9666671750001,-49.9999999999999 35.9833335880001,-49.9999999999999 36.0000000000001,-49.9999999999999 36.0166664120001,-49.9999999999999 36.0333328250001,-49.9999999999999 36.0499992370001,-49.9999999999999 36.0666656490001,-49.9999999999999 36.0833320620001,-49.9999999999999 36.0999984740001,-49.9999999999999 36.116664886,-49.9999999999999 36.133335114,-49.9999999999999 36.150001526,-49.9999999999999 36.166667938,-49.9999999999999 36.183334351,-49.9999999999999 36.200000763,-49.9999999999999 36.2166671750001,-49.9999999999999 36.2333335880001,-49.9999999999999 36.2500000000001,-49.9999999999999 36.2666664120001,-49.9999999999999 36.2833328250001,-49.9999999999999 36.2999992370001,-49.9999999999999 36.3166656490001,-49.9999999999999 36.3333320620001,-49.9999999999999 36.3499984740001,-49.9999999999999 36.366664886,-49.9999999999999 36.383335114,-49.9999999999999 36.400001526,-49.9999999999999 36.416667938,-49.9999999999999 36.433334351,-49.9999999999999 36.450000763,-49.9999999999999 36.4666671750001,-49.9999999999999 36.4833335880001,-49.9999999999999 36.5000000000001,-49.9999999999999 36.5166664120001,-49.9999999999999 36.5333328250001,-49.9999999999999 36.5499992370001,-49.9999999999999 36.5666656490001,-49.9999999999999 36.5833320620001,-49.9999999999999 36.5999984740001,-49.9999999999999 36.616664886,-49.9999999999999 36.633335114,-49.9999999999999 36.650001526,-49.9999999999999 36.666667938,-49.9999999999999 36.683334351,-49.9999999999999 36.7166671750001,-49.9999999999999 36.7333335880001,-49.9999999999999 36.7500000000001,-49.9999999999999 36.7666664120001,-49.9999999999999 36.7833328250001,-49.9999999999999 36.7999992370001,-49.9999999999999 36.8166656490001,-49.9999999999999 36.8333320620001,-49.9999999999999 36.8499984740001,-49.9999999999999 36.866664886,-49.9999999999999 36.883335114,-49.9999999999999 36.900001526,-49.9999999999999 36.916667938,-49.9999999999999 36.933334351,-49.9999999999999 36.950000763,-49.9999999999999 36.9666671750001,-49.9999999999999 36.9833335880001,-49.9999999999999 37.0000000000001,-49.9999999999999 37.0166664120001,-49.9999999999999 37.0333328250001,-49.9999999999999 37.0499992370001,-49.9999999999999 37.0666656490001,-49.9999999999999 37.0833320620001,-49.9999999999999 37.0999984740001,-49.9999999999999 37.1166648860001,-49.9999999999999 37.133335114,-49.9999999999999 37.150001526,-49.9999999999999 37.166667938,-49.9999999999999 37.183334351,-49.9999999999999 37.200000763,-49.9999999999999 37.2166671750001,-49.9999999999999 37.2333335880001,-49.9999999999999 37.2500000000001,-49.9999999999999 37.2666664120001,-49.9999999999999 37.2833328250001,-49.9999999999999 37.2999992370001,-49.9999999999999 37.3166656490001,-49.9999999999999 37.3333320620001,-49.9999999999999 37.3499984740001,-49.9999999999999 37.3666648860001,-49.9999999999999 37.383335114,-49.9999999999999 37.400001526,-49.9999999999999 37.416667938,-49.9999999999999 37.433334351,-49.9999999999999 37.450000763,-49.9999999999999 37.4666671750001,-49.9999999999999 37.4833335880001,-49.9999999999999 37.5000000000001,-49.9999999999999 37.5166664120001,-49.9999999999999 37.5333328250001,-49.9999999999999 37.5499992370001,-49.9999999999999 37.5666656490001,-49.9999999999999 37.5833320620001,-49.9999999999999 37.5999984740001,-49.9999999999999 37.6166648860001,-49.9999999999999 37.633335114,-49.9999999999999 37.650001526,-49.9999999999999 37.666667938,-49.9999999999999 37.683334351,-49.9999999999999 37.7166671750001,-49.9999999999999 37.7333335880001,-49.9999999999999 37.7500000000001,-49.9999999999999 37.7666664120001,-49.9999999999999 37.7833328250001,-49.9999999999999 37.7999992370001,-49.9999999999999 37.8166656490001,-49.9999999999999 37.8333320620001,-49.9999999999999 37.8499984740001,-49.9999999999999 37.8666648860001,-49.9999999999999 37.883335114,-49.9999999999999 37.900001526,-49.9999999999999 37.916667938,-49.9999999999999 37.933334351,-49.9999999999999 37.950000763,-49.9999999999999 37.9666671750001,-49.9999999999999 37.9833335880001,-49.9999999999999 38.0000000000001,-49.9999999999999 38.0166664120001,-49.9999999999999 38.0333328250001,-49.9999999999999 38.0499992370001,-49.9999999999999 38.0666656490001,-49.9999999999999 38.0833320620001,-49.9999999999999 38.0999984740001,-49.9999999999999 38.1166648860001,-49.9999999999999 38.133335114,-49.9999999999999 38.150001526,-49.9999999999999 38.166667938,-49.9999999999999 38.183334351,-49.9999999999999 38.200000763,-49.9999999999999 38.2166671750001,-49.9999999999999 38.2333335880001,-49.9999999999999 38.2500000000001,-49.9999999999999 38.2666664120001,-49.9999999999999 38.2833328250001,-49.9999999999999 38.2999992370001,-49.9999999999999 38.3166656490001,-49.9999999999999 38.3333320620001,-49.9999999999999 38.3499984740001,-49.9999999999999 38.3666648860001,-49.9999999999999 38.383335114,-49.9999999999999 38.400001526,-49.9999999999999 38.416667938,-49.9999999999999 38.433334351,-49.9999999999999 38.450000763,-49.9999999999999 38.4666671750001,-49.9999999999999 38.4833335880001,-49.9999999999999 38.5000000000001,-49.9999999999999 38.5166664120001,-49.9999999999999 38.5333328250001,-49.9999999999999 38.5499992370001,-49.9999999999999 38.5666656490001,-49.9999999999999 38.5833320620001,-49.9999999999999 38.5999984740001,-49.9999999999999 38.6166648860001,-49.9999999999999 38.633335114,-49.9999999999999 38.650001526,-49.9999999999999 38.666667938,-49.9999999999999 38.683334351,-49.9999999999999 38.7166671750001,-49.9999999999999 38.7333335880001,-49.9999999999999 38.7500000000001,-49.9999999999999 38.7666664120001,-49.9999999999999 38.7833328250001,-49.9999999999999 38.7999992370001,-49.9999999999999 38.8166656490001,-49.9999999999999 38.8333320620001,-49.9999999999999 38.8499984740001,-49.9999999999999 38.8666648860001,-49.9999999999999 38.883335114,-49.9999999999999 38.900001526,-49.9999999999999 38.916667938,-49.9999999999999 38.933334351,-49.9999999999999 38.950000763,-49.9999999999999 38.9666671750001,-49.9999999999999 38.9833335880001,-49.9999999999999 39.0000000000001,-49.9833335879999 39.0000000000001,-49.9666671749999 39.0000000000001,-49.9500007629999 39.0000000000001,-49.933334351 39.0000000000001,-49.9166679379999 39.0000000000001,-49.900001526 39.0000000000001,-49.883335114 39.0000000000001,-49.866664886 39.0000000000001,-49.849998474 39.0000000000001,-49.833332062 39.0000000000001,-49.816665649 39.0000000000001,-49.799999237 39.0000000000001,-49.7833328249999 39.0000000000001,-49.7666664119999 39.0000000000001,-49.7499999999999 39.0000000000001,-49.7333335879999 39.0000000000001,-49.7166671749999 39.0000000000001,-49.7000007629999 39.0000000000001,-49.683334351 39.0000000000001,-49.6666679379999 39.0000000000001,-49.650001526 39.0000000000001,-49.633335114 39.0000000000001,-49.616664886 39.0000000000001,-49.599998474 39.0000000000001,-49.583332062 39.0000000000001,-49.566665649 39.0000000000001,-49.549999237 39.0000000000001,-49.5333328249999 39.0000000000001,-49.5166664119999 39.0000000000001,-49.4999999999999 39.0000000000001,-49.4833335879999 39.0000000000001,-49.4666671749999 39.0000000000001,-49.4500007629999 39.0000000000001,-49.433334351 39.0000000000001,-49.4166679379999 39.0000000000001,-49.400001526 39.0000000000001,-49.383335114 39.0000000000001,-49.366664886 39.0000000000001,-49.349998474 39.0000000000001,-49.333332062 39.0000000000001,-49.316665649 39.0000000000001,-49.299999237 39.0000000000001,-49.2833328249999 39.0000000000001,-49.2666664119999 39.0000000000001,-49.2499999999999 39.0000000000001,-49.2333335879999 39.0000000000001,-49.2166671749999 39.0000000000001,-49.2000007629999 39.0000000000001,-49.183334351 39.0000000000001,-49.1666679379999 39.0000000000001,-49.150001526 39.0000000000001,-49.133335114 39.0000000000001,-49.116664886 39.0000000000001,-49.099998474 39.0000000000001,-49.083332062 39.0000000000001,-49.066665649 39.0000000000001,-49.049999237 39.0000000000001,-49.0333328249999 39.0000000000001,-49.0166664119999 39.0000000000001,-48.9999999999999 39.0000000000001,-48.9833335879999 39.0000000000001,-48.9666671749999 39.0000000000001,-48.9500007629999 39.0000000000001,-48.933334351 39.0000000000001,-48.9166679379999 39.0000000000001,-48.900001526 39.0000000000001,-48.883335114 39.0000000000001,-48.866664886 39.0000000000001,-48.849998474 39.0000000000001,-48.833332062 39.0000000000001,-48.816665649 39.0000000000001,-48.799999237 39.0000000000001,-48.7833328249999 39.0000000000001,-48.7666664119999 39.0000000000001,-48.7499999999999 39.0000000000001,-48.7333335879999 39.0000000000001,-48.7166671749999 39.0000000000001,-48.7000007629999 39.0000000000001,-48.683334351 39.0000000000001,-48.6666679379999 39.0000000000001,-48.650001526 39.0000000000001,-48.633335114 39.0000000000001,-48.616664886 39.0000000000001,-48.599998474 39.0000000000001,-48.583332062 39.0000000000001,-48.566665649 39.0000000000001,-48.549999237 39.0000000000001,-48.5333328249999 39.0000000000001,-48.5166664119999 39.0000000000001,-48.4999999999999 39.0000000000001,-48.4833335879999 39.0000000000001,-48.4666671749999 39.0000000000001,-48.4500007629999 39.0000000000001,-48.433334351 39.0000000000001,-48.4166679379999 39.0000000000001,-48.400001526 39.0000000000001,-48.383335114 39.0000000000001,-48.366664886 39.0000000000001,-48.349998474 39.0000000000001,-48.333332062 39.0000000000001,-48.316665649 39.0000000000001,-48.299999237 39.0000000000001,-48.2833328249999 39.0000000000001,-48.2666664119999 39.0000000000001,-48.2499999999999 39.0000000000001,-48.2333335879999 39.0000000000001,-48.2166671749999 39.0000000000001,-48.2000007629999 39.0000000000001,-48.183334351 39.0000000000001,-48.1666679379999 39.0000000000001,-48.150001526 39.0000000000001,-48.133335114 39.0000000000001,-48.116664886 39.0000000000001,-48.099998474 39.0000000000001,-48.083332062 39.0000000000001,-48.066665649 39.0000000000001,-48.049999237 39.0000000000001,-48.0333328249999 39.0000000000001,-48.0166664119999 39.0000000000001,-47.9999999999999 39.0000000000001,-47.9833335879999 39.0000000000001,-47.9666671749999 39.0000000000001,-47.9500007629999 39.0000000000001,-47.933334351 39.0000000000001,-47.9166679379999 39.0000000000001,-47.900001526 39.0000000000001,-47.883335114 39.0000000000001,-47.866664886 39.0000000000001,-47.849998474 39.0000000000001,-47.833332062 39.0000000000001,-47.816665649 39.0000000000001,-47.799999237 39.0000000000001,-47.7833328249999 39.0000000000001,-47.7666664119999 39.0000000000001,-47.7499999999999 39.0000000000001,-47.7333335879999 39.0000000000001,-47.7166671749999 39.0000000000001,-47.7000007629999 39.0000000000001,-47.683334351 39.0000000000001,-47.6666679379999 39.0000000000001,-47.650001526 39.0000000000001,-47.633335114 39.0000000000001,-47.616664886 39.0000000000001,-47.599998474 39.0000000000001,-47.583332062 39.0000000000001,-47.566665649 39.0000000000001,-47.549999237 39.0000000000001,-47.5333328249999 39.0000000000001,-47.5166664119999 39.0000000000001,-47.4999999999999 39.0000000000001,-47.4833335879999 39.0000000000001,-47.4666671749999 39.0000000000001,-47.4500007629999 39.0000000000001,-47.433334351 39.0000000000001,-47.4166679379999 39.0000000000001,-47.400001526 39.0000000000001,-47.383335114 39.0000000000001,-47.366664886 39.0000000000001,-47.349998474 39.0000000000001,-47.333332062 39.0000000000001,-47.316665649 39.0000000000001,-47.299999237 39.0000000000001,-47.2833328249999 39.0000000000001,-47.2666664119999 39.0000000000001,-47.2499999999999 39.0000000000001,-47.2333335879999 39.0000000000001,-47.2166671749999 39.0000000000001,-47.2000007629999 39.0000000000001,-47.183334351 39.0000000000001,-47.1666679379999 39.0000000000001,-47.150001526 39.0000000000001,-47.133335114 39.0000000000001,-47.116664886 39.0000000000001,-47.099998474 39.0000000000001,-47.083332062 39.0000000000001,-47.066665649 39.0000000000001,-47.049999237 39.0000000000001,-47.0333328249999 39.0000000000001,-47.0166664119999 39.0000000000001,-46.9999999999999 39.0000000000001,-46.9833335879999 39.0000000000001,-46.9666671749999 39.0000000000001,-46.9500007629999 39.0000000000001,-46.933334351 39.0000000000001,-46.9166679379999 39.0000000000001,-46.900001526 39.0000000000001,-46.883335114 39.0000000000001,-46.866664886 39.0000000000001,-46.849998474 39.0000000000001,-46.833332062 39.0000000000001,-46.816665649 39.0000000000001,-46.799999237 39.0000000000001,-46.7833328249999 39.0000000000001,-46.7666664119999 39.0000000000001,-46.7499999999999 39.0000000000001,-46.7333335879999 39.0000000000001,-46.7166671749999 39.0000000000001,-46.7000007629999 39.0000000000001,-46.683334351 39.0000000000001,-46.6666679379999 39.0000000000001,-46.650001526 39.0000000000001,-46.633335114 39.0000000000001,-46.616664886 39.0000000000001,-46.599998474 39.0000000000001,-46.583332062 39.0000000000001,-46.566665649 39.0000000000001,-46.549999237 39.0000000000001,-46.5333328249999 39.0000000000001,-46.5166664119999 39.0000000000001,-46.4999999999999 39.0000000000001,-46.4833335879999 39.0000000000001,-46.4666671749999 39.0000000000001,-46.4500007629999 39.0000000000001,-46.433334351 39.0000000000001,-46.4166679379999 39.0000000000001,-46.400001526 39.0000000000001,-46.383335114 39.0000000000001,-46.366664886 39.0000000000001,-46.349998474 39.0000000000001,-46.333332062 39.0000000000001,-46.316665649 39.0000000000001,-46.299999237 39.0000000000001,-46.2833328249999 39.0000000000001,-46.2666664119999 39.0000000000001,-46.2499999999999 39.0000000000001,-46.2333335879999 39.0000000000001,-46.2166671749999 39.0000000000001,-46.2000007629999 39.0000000000001,-46.183334351 39.0000000000001,-46.1666679379999 39.0000000000001,-46.150001526 39.0000000000001,-46.133335114 39.0000000000001,-46.116664886 39.0000000000001,-46.099998474 39.0000000000001,-46.083332062 39.0000000000001,-46.066665649 39.0000000000001,-46.049999237 39.0000000000001,-46.0333328249999 39.0000000000001,-46.0166664119999 39.0000000000001,-45.9999999999999 39.0000000000001,-45.9833335879999 39.0000000000001,-45.9666671749999 39.0000000000001,-45.9500007629999 39.0000000000001,-45.933334351 39.0000000000001,-45.9166679379999 39.0000000000001,-45.900001526 39.0000000000001,-45.883335114 39.0000000000001,-45.866664886 39.0000000000001,-45.849998474 39.0000000000001,-45.833332062 39.0000000000001,-45.816665649 39.0000000000001,-45.799999237 39.0000000000001,-45.7833328249999 39.0000000000001,-45.7666664119999 39.0000000000001,-45.7499999999999 39.0000000000001,-45.7333335879999 39.0000000000001,-45.7166671749999 39.0000000000001,-45.7000007629999 39.0000000000001,-45.683334351 39.0000000000001,-45.6666679379999 39.0000000000001,-45.650001526 39.0000000000001,-45.633335114 39.0000000000001,-45.616664886 39.0000000000001,-45.599998474 39.0000000000001,-45.583332062 39.0000000000001,-45.566665649 39.0000000000001,-45.549999237 39.0000000000001,-45.5333328249999 39.0000000000001,-45.5166664119999 39.0000000000001,-45.4999999999999 39.0000000000001,-45.4833335879999 39.0000000000001,-45.4666671749999 39.0000000000001,-45.4500007629999 39.0000000000001,-45.433334351 39.0000000000001,-45.4166679379999 39.0000000000001,-45.400001526 39.0000000000001,-45.383335114 39.0000000000001,-45.366664886 39.0000000000001,-45.349998474 39.0000000000001,-45.333332062 39.0000000000001,-45.316665649 39.0000000000001,-45.299999237 39.0000000000001,-45.2833328249999 39.0000000000001,-45.2666664119999 39.0000000000001,-45.2499999999999 39.0000000000001,-45.2333335879999 39.0000000000001,-45.2166671749999 39.0000000000001,-45.2000007629999 39.0000000000001,-45.183334351 39.0000000000001,-45.1666679379999 39.0000000000001,-45.150001526 39.0000000000001,-45.133335114 39.0000000000001,-45.116664886 39.0000000000001,-45.099998474 39.0000000000001,-45.083332062 39.0000000000001,-45.066665649 39.0000000000001,-45.049999237 39.0000000000001,-45.0333328249999 39.0000000000001,-45.0166664119999 39.0000000000001,-44.9999999999999 39.0000000000001,-44.9833335879999 39.0000000000001,-44.9666671749999 39.0000000000001,-44.9500007629999 39.0000000000001,-44.933334351 39.0000000000001,-44.9166679379999 39.0000000000001,-44.900001526 39.0000000000001,-44.883335114 39.0000000000001,-44.866664886 39.0000000000001,-44.849998474 39.0000000000001,-44.833332062 39.0000000000001,-44.816665649 39.0000000000001,-44.799999237 39.0000000000001,-44.7833328249999 39.0000000000001,-44.7666664119999 39.0000000000001,-44.7499999999999 39.0000000000001,-44.7333335879999 39.0000000000001,-44.7166671749999 39.0000000000001,-44.7000007629999 39.0000000000001,-44.683334351 39.0000000000001,-44.6666679379999 39.0000000000001,-44.650001526 39.0000000000001,-44.633335114 39.0000000000001,-44.616664886 39.0000000000001,-44.599998474 39.0000000000001,-44.583332062 39.0000000000001,-44.566665649 39.0000000000001,-44.549999237 39.0000000000001,-44.5333328249999 39.0000000000001,-44.5166664119999 39.0000000000001,-44.4999999999999 39.0000000000001,-44.4833335879999 39.0000000000001,-44.4666671749999 39.0000000000001,-44.4500007629999 39.0000000000001,-44.433334351 39.0000000000001,-44.4166679379999 39.0000000000001,-44.400001526 39.0000000000001,-44.383335114 39.0000000000001,-44.366664886 39.0000000000001,-44.349998474 39.0000000000001,-44.333332062 39.0000000000001,-44.316665649 39.0000000000001,-44.299999237 39.0000000000001,-44.2833328249999 39.0000000000001,-44.2666664119999 39.0000000000001,-44.2499999999999 39.0000000000001,-44.2333335879999 39.0000000000001,-44.2166671749999 39.0000000000001,-44.2000007629999 39.0000000000001,-44.183334351 39.0000000000001,-44.150001526 39.0000000000001,-44.133335114 39.0000000000001,-44.116664886 39.0000000000001,-44.099998474 39.0000000000001,-44.083332062 39.0000000000001,-44.066665649 39.0000000000001,-44.049999237 39.0000000000001,-44.0333328249999 39.0000000000001,-44.0166664119999 39.0000000000001,-43.9999999999999 39.0000000000001,-43.9833335879999 39.0000000000001,-43.9666671749999 39.0000000000001,-43.9500007629999 39.0000000000001,-43.933334351 39.0000000000001,-43.9166679379999 39.0000000000001,-43.900001526 39.0000000000001,-43.883335114 39.0000000000001,-43.866664886 39.0000000000001,-43.849998474 39.0000000000001,-43.833332062 39.0000000000001,-43.816665649 39.0000000000001,-43.799999237 39.0000000000001,-43.7833328249999 39.0000000000001,-43.7666664119999 39.0000000000001,-43.7499999999999 39.0000000000001,-43.7333335879999 39.0000000000001,-43.7166671749999 39.0000000000001,-43.7000007629999 39.0000000000001,-43.683334351 39.0000000000001,-43.6666679379999 39.0000000000001,-43.650001526 39.0000000000001,-43.633335114 39.0000000000001,-43.616664886 39.0000000000001,-43.599998474 39.0000000000001,-43.583332062 39.0000000000001,-43.566665649 39.0000000000001,-43.549999237 39.0000000000001,-43.5333328249999 39.0000000000001,-43.5166664119999 39.0000000000001,-43.4999999999999 39.0000000000001,-43.4833335879999 39.0000000000001,-43.4666671749999 39.0000000000001,-43.4500007629999 39.0000000000001,-43.433334351 39.0000000000001,-43.4166679379999 39.0000000000001,-43.400001526 39.0000000000001,-43.383335114 39.0000000000001,-43.366664886 39.0000000000001,-43.349998474 39.0000000000001,-43.333332062 39.0000000000001,-43.316665649 39.0000000000001,-43.299999237 39.0000000000001,-43.2833328249999 39.0000000000001,-43.2666664119999 39.0000000000001,-43.2499999999999 39.0000000000001,-43.2333335879999 39.0000000000001,-43.2166671749999 39.0000000000001,-43.2000007629999 39.0000000000001,-43.183334351 39.0000000000001,-43.1666679379999 39.0000000000001,-43.150001526 39.0000000000001,-43.133335114 39.0000000000001,-43.116664886 39.0000000000001,-43.099998474 39.0000000000001,-43.083332062 39.0000000000001,-43.066665649 39.0000000000001,-43.049999237 39.0000000000001,-43.0333328249999 39.0000000000001,-43.0166664119999 39.0000000000001,-42.9999999999999 39.0000000000001,-42.9833335879999 39.0000000000001,-42.9666671749999 39.0000000000001,-42.9500007629999 39.0000000000001,-42.933334351 39.0000000000001,-42.9166679379999 39.0000000000001,-42.900001526 39.0000000000001,-42.883335114 39.0000000000001,-42.866664886 39.0000000000001,-42.849998474 39.0000000000001,-42.833332062 39.0000000000001,-42.816665649 39.0000000000001,-42.799999237 39.0000000000001,-42.7833328249999 39.0000000000001,-42.7666664119999 39.0000000000001,-42.7499999999999 39.0000000000001,-42.7333335879999 39.0000000000001,-42.7166671749999 39.0000000000001,-42.7000007629999 39.0000000000001,-42.683334351 39.0000000000001,-42.6666679379999 39.0000000000001,-42.650001526 39.0000000000001,-42.633335114 39.0000000000001,-42.616664886 39.0000000000001,-42.599998474 39.0000000000001,-42.583332062 39.0000000000001,-42.566665649 39.0000000000001,-42.549999237 39.0000000000001,-42.5333328249999 39.0000000000001,-42.5166664119999 39.0000000000001,-42.4999999999999 39.0000000000001,-42.4833335879999 39.0000000000001,-42.4666671749999 39.0000000000001,-42.4500007629999 39.0000000000001,-42.433334351 39.0000000000001,-42.4166679379999 39.0000000000001,-42.400001526 39.0000000000001,-42.383335114 39.0000000000001,-42.366664886 39.0000000000001,-42.349998474 39.0000000000001,-42.333332062 39.0000000000001,-42.316665649 39.0000000000001,-42.299999237 39.0000000000001,-42.2833328249999 39.0000000000001,-42.2666664119999 39.0000000000001,-42.2499999999999 39.0000000000001,-42.2333335879999 39.0000000000001,-42.2166671749999 39.0000000000001,-42.2000007629999 39.0000000000001,-42.183334351 39.0000000000001,-42.1666679379999 39.0000000000001,-42.150001526 39.0000000000001,-42.133335114 39.0000000000001,-42.116664886 39.0000000000001,-42.099998474 39.0000000000001,-42.083332062 39.0000000000001,-42.066665649 39.0000000000001,-42.049999237 39.0000000000001,-42.0333328249999 39.0000000000001,-42.0166664119999 39.0000000000001,-41.9999999889999 39.000000007,-41.9999999839999 38.983333472,-41.9999999839999 38.9666669320001,-41.9999999839999 38.950000392,-41.9999999839999 38.9333338530001,-41.9999999839999 38.9166673130001,-41.9999999839999 38.900000774,-41.9999999839999 38.8833342350001,-41.9999999839999 38.866665787,-41.9999999839999 38.8499992480001,-41.9999999839999 38.833332709,-41.9999999839999 38.816666169,-41.9999999839999 38.7999996290001,-41.9999999839999 38.78333309,-41.9999999839999 38.76666655,-41.9999999839999 38.7500000110001,-41.9999999839999 38.733333472,-41.9999999839999 38.7166669320001,-41.9999999839999 38.700000392,-41.9999999839999 38.6833338530001,-41.9999999839999 38.6666673130001,-41.9999999839999 38.650000774,-41.9999999839999 38.6333342340001,-41.9999999839999 38.616665787,-41.9999999839999 38.5999992480001,-41.9999999839999 38.5833327080001,-41.9999999839999 38.566666169,-41.9999999839999 38.5499996290001,-41.9999999839999 38.53333309,-41.9999999839999 38.51666655,-41.9999999839999 38.5000000110001,-41.9999999839999 38.483333471,-41.9999999839999 38.4666669320001,-41.9999999839999 38.450000392,-41.9999999839999 38.4333338530001,-41.9999999839999 38.4166673130001,-41.9999999839999 38.400000774,-41.9999999839999 38.3833342340001,-41.9999999839999 38.366665787,-41.9999999839999 38.3499992480001,-41.9999999839999 38.3333327080001,-41.9999999839999 38.316666168,-41.9999999839999 38.2999996290001,-41.9999999839999 38.28333309,-41.9999999839999 38.26666655,-41.9999999839999 38.2500000110001,-41.9999999839999 38.233333471,-41.9999999839999 38.2166669310001,-41.9999999839999 38.200000392,-41.9999999839999 38.1833338530001,-41.9999999839999 38.1666673130001,-41.9999999839999 38.150000774,-41.9999999839999 38.1333342340001,-41.9999999839999 38.116665787,-41.9999999839999 38.0999992480001,-41.9999999839999 38.0833327080001,-41.9999999839999 38.066666168,-41.9999999839999 38.0499996290001,-41.9999999839999 38.03333309,-41.9999999839999 38.01666655,-41.9999999839999 38.0000000110001,-41.9999999839999 37.983333471,-41.9999999839999 37.9666669310001,-41.9999999839999 37.950000392,-41.9999999839999 37.9333338530001,-41.9999999839999 37.9166673130001,-41.9999999839999 37.900000773,-41.9999999839999 37.8833342340001,-41.9999999839999 37.866665787,-41.9999999839999 37.849999247,-41.9999999839999 37.8333327080001,-41.9999999839999 37.816666168,-41.9999999839999 37.7999996290001,-41.9999999839999 37.78333309,-41.9999999839999 37.76666655,-41.9999999839999 37.7500000100001,-41.9999999839999 37.733333471,-41.9999999839999 37.7166669310001,-41.9999999839999 37.700000392,-41.9999999839999 37.6833338530001,-41.9999999839999 37.6666673130001,-41.9999999839999 37.650000773,-41.9999999839999 37.6333342340001,-41.9999999839999 37.616665787,-41.9999999839999 37.599999247,-41.9999999839999 37.5833327080001,-41.9999999839999 37.566666168,-41.9999999839999 37.5499996290001,-41.9999999839999 37.5333330890001,-41.9999999839999 37.51666655,-41.9999999839999 37.5000000100001,-41.9999999839999 37.483333471,-41.9999999839999 37.4666669310001,-41.9999999839999 37.450000392,-41.9999999839999 37.433333852,-41.9999999839999 37.4166673130001,-41.9999999839999 37.400000773,-41.9999999839999 37.3833342340001,-41.9999999839999 37.366665787,-41.9999999839999 37.349999247,-41.9999999839999 37.3333327080001,-41.9999999839999 37.316666168,-41.9999999839999 37.2999996290001,-41.9999999839999 37.2833330890001,-41.9999999839999 37.266666549,-41.9999999839999 37.2500000100001,-41.9999999839999 37.233333471,-41.9999999839999 37.2166669310001,-41.9999999839999 37.200000392,-41.9999999839999 37.183333852,-41.9999999839999 37.1666673120001,-41.9999999839999 37.150000773,-41.9999999839999 37.1333342340001,-41.9999999839999 37.1166657860001,-41.9999999839999 37.099999247,-41.9999999839999 37.0833327080001,-41.9999999839999 37.066666168,-41.9999999839999 37.0499996290001,-41.9999999839999 37.0333330890001,-41.9999999839999 37.016666549,-41.9999999839999 37.0000000100001,-41.9999999839999 36.983333471,-41.9999999839999 36.9666669310001,-41.9999999839999 36.950000392,-41.9999999839999 36.933333852,-41.9999999839999 36.9166673120001,-41.9999999839999 36.900000773,-41.9999999839999 36.8833342340001,-41.9999999839999 36.8666657860001,-41.9999999839999 36.849999247,-41.9999999839999 36.8333327080001,-41.9999999839999 36.816666168,-41.9999999839999 36.7999996280001,-41.9999999839999 36.7833330890001,-41.9999999839999 36.766666549,-41.9999999839999 36.7500000100001,-41.9999999839999 36.733333471,-41.9999999839999 36.7166669310001,-41.9999999839999 36.7000003910001,-41.9999999839999 36.683333852,-41.9999999839999 36.6666673120001,-41.9999999839999 36.650000773,-41.9999999839999 36.6333342340001,-41.9999999839999 36.6166657860001,-41.9999999839999 36.599999247,-41.9999999839999 36.5833327080001,-41.9999999839999 36.566666168,-41.9999999839999 36.5499996280001,-41.9999999839999 36.5333330890001,-41.9999999839999 36.516666549,-41.9999999839999 36.5000000100001,-41.9999999839999 36.48333347,-41.9999999839999 36.4666669310001,-41.9999999839999 36.4500003910001,-41.9999999839999 36.433333852,-41.9999999839999 36.4166673120001,-41.9999999839999 36.400000773,-41.9999999839999 36.383334233,-41.9999999839999 36.3666657860001,-41.9999999839999 36.349999247,-41.9999999839999 36.3333327070001,-41.9999999839999 36.316666168,-41.9999999839999 36.2999996280001,-41.9999999839999 36.2833330890001,-41.9999999839999 36.266666549,-41.9999999839999 36.2500000100001,-41.9999999839999 36.23333347,-41.9999999839999 36.2166669310001,-41.9999999839999 36.2000003910001,-41.9999999839999 36.183333852,-41.9999999839999 36.1666673120001,-41.9999999839999 36.150000773,-41.9999999839999 36.133334233,-41.9999999839999 36.1166657860001,-41.9999999839999 36.099999247,-41.9999999839999 36.0833327070001,-41.9999999839999 36.0666661670001,-41.9999999839999 36.0499996280001,-41.9999999839999 36.0333330890001,-41.9999999839999 36.016666549,-41.9999999889999 36.0000000060001)))', 'Atlantic', '2', '21', 'ATLANTIC, NORTHWEST', '21', '21.6', '', '21.6', '21.6.H', '', '21.6H', '', '', '', '', '', '', '', '6H', '3', '21.6.H', '21.6H', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9040161250001 55.2849905320001,11.945885423 55.1468338720001,12.000000082 54.9682710370001,12.000000082 54.9424730370001,12.000000082 54.9245500370001,12.000000082 54.895725037,11.9346520610001 54.6634788590001,11.9335748120001 54.6596503260001,11.9354677440001 54.655321562,11.961576624 54.595615686,11.9744590820001 54.5661560360001,12.000000041 54.5666660360001,12.000000082 54.175744036,12.1080190640001 53.6201081400001,12.0000000000001 53.5437498360001,11.9381099880001 53.5000000000001,11.1999998090001 53.5000000000001,10.8068528950001 53.5000000000001,10.0000000000001 53.5000000000001,9.27897114500007 54.428167767,9.22109330600006 54.668360799,9.07361103300008 55.2804122320001,9.68969137000005 56.276408776,10.537878015 56.376048112,10.7161526940001 56.2709117630001,10.70472483 56.1680609860001,10.7157960810001 56.1419960380001,11.2776000810001 56.0075870380001,11.282817832 56.0034562180001,11.291923791 55.992514805,11.3050642640001 55.980722073,11.379190007 55.9594951560001,11.474879603 55.9520825820001,11.542411917 55.9322596630001,11.542603577 55.9322034050001,11.542834467 55.9320718590001,11.569337739 55.9169720730001,11.5893582910001 55.9055657050001,11.5631368040001 55.7657177780001,11.6806468570001 55.5999984740001,11.7996245050001 55.4322094830001,11.9040161250001 55.2849905320001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.III', 'Skagerrak, Kattegat, Sound, Belt S., and Baltic S.', '27.III', '27.III.c', 'Sound and Belt Sea or the Transition Area', '27.IIIc', '27.III.c.22', 'Belt Sea', '27.IIIc22', '', '', '', '', '22', '4', '27.3.c.22', '27.22', 'Y'),('SRID=4326;MULTIPOLYGON(((13.2192843190001 55.9015022130001,13.1891550600001 55.81084494,13.0680441270001 55.4464288460001,12.9469192240001 55.4048343530001,12.910737161 55.4015450750001,12.900805958 55.400642238,12.856567098 55.4074255300001,12.8558904400001 55.4075292850001,12.842190772 55.398496536,12.8286416920001 55.389563077,12.821649994 55.385273102,12.81025507 55.37828139,12.810199083 55.3782470370001,12.4666670830001 55.3166660370001,12.4470590080001 55.313338361,12.4469000830001 55.3132000370001,12.415484195 55.3118374700001,12.392867209 55.319999695,12.262266257 55.3671321620001,12.0567040770001 55.319999695,11.9956234430001 55.3059947790001,11.9040161250001 55.2849905320001,11.9323298310001 55.357894824,12.026355181 55.5999984740001,12.1188073910001 55.8380514830001,12.294857082 56.127547038,12.4461440580001 56.301712541,12.45713368 56.3002171590001,12.459613937 56.2995890080001,12.493152982 56.2910949010001,12.6294424500001 56.1961275350001,12.8805017670001 56.0707237010001,13.0147225110001 56.003680596,13.2192843190001 55.9015022130001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.III', 'Skagerrak, Kattegat, Sound, Belt S., and Baltic S.', '27.III', '27.III.b', 'Sound and Belt Sea or the Transition Area', '27.IIIb', '27.III.b.23', 'Sound', '27.IIIb23', '', '', '', '', '23', '4', '27.3.b.23', '27.23', 'Y'),('SRID=4326;MULTIPOLYGON(((7.52500009500005 43.779998779,7.67726707500003 42.9946212770001,7.82953357700006 42.209247589,8.00000000000006 41.3300018310001,7.06053209300006 41.543518066,6.28042554900003 41.720813751,5.50031900400006 41.898109436,4.72021293600005 42.0754051210001,3.94010639200008 42.25270462,3.16000008600003 42.4300003050001,2.36188340200005 42.5739631650001,1.57458901400003 42.7159767150001,0.78729450700007 42.8579864500001,5.6843418860808e-14 43.0000000000001,5.6843418860808e-14 43.7999992370001,5.6843418860808e-14 44.5999984740001,5.6843418860808e-14 46.0000000000001,0.800000012000055 46.0000000000001,1.60000002400005 46.0000000000001,2.40000009500005 46.0000000000001,3.20000004800005 46.0000000000001,4.00000000000006 46.0000000000001,4.80000019100004 46.0000000000001,5.59999990500006 46.0000000000001,6.40000009500005 46.0000000000001,7.52500009500005 46.0000000000001,7.52500009500005 45.200000763,7.52500009500005 43.779998779)))', 'Atlantic', '3', '37', 'MEDITERRANEAN AND BLACK SEA', '37', '37.1', 'Western Mediterranean', '', '37.1.2', 'Gulf of Lions', '', '', '', '', '', '', '', '', '1.2', '3', '37.1.2', '37.1.2', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000950001 70.657636912,26.5085894900001 68.2358611400001,26.5241183590001 68.161916541,26.0229681380001 68.1559200020001,24.237236941 68.1345527400001,24.173599801 68.169819143,21.931539269 69.412323277,21.069579536 69.316847405,20.378940992 69.102695919,19.9238690830001 68.840360348,18.9012957350001 68.7761149020001,18.328440508 68.13901423,17.461126988 67.5393900670001,16.898979336 67.234224199,17.0340084170001 66.7319984230001,17.4670406770001 65.121382698,17.8249893030001 63.790032265,17.0770113560001 63.5000000000001,15.807635899 63.00779319,15.805421111 62.8657620010001,15.768731616 60.5129173400001,15.7683961180001 60.5000000000001,15.7476345690001 59.700639401,15.747657497 59.6800003050001,15.748028323 59.346181083,15.7506748920001 56.9637276330001,15.286700248 56.9042437050001,15.0000000000001 56.948144896,13.5372850140001 57.172124228,12.787938775 58.1614089190001,12.0927555800001 59.346181083,12.021907358 59.466924798,8.89197935600004 62.2548502970001,8.82546829300003 62.3140937960001,7.65127648100002 62.0000000000001,7.54333037700007 61.9711246480001,6.57903697600005 61.9990751820001,6.04863193200003 61.9633454470001,5.44421870800005 61.978796054,5.32900308000006 62.0000000220001,5.30688957600006 62.0000005430001,5.28329980800004 62.0059583600001,5.26238157600005 62.0000005430001,5.26233360800006 62.000000362,5.11094759900004 61.9982851450001,5.04956188100005 61.9959241560001,5.01514364000008 62.0000000000001,5.00470308700005 62.0012363810001,4.99377120100007 62.000000168,-3.99999983299995 62.000000126,-3.99999993299997 63.000000044,-10.9999999639999 63.000000044,-10.999999939 63.016666711,-10.999999939 63.0333333780001,-10.999999939 63.0500000440001,-10.999999939 63.066666711,-10.999999939 63.0833333780001,-10.999999939 63.1000000440001,-10.999999939 63.1166667110001,-10.999999939 63.133333378,-10.999999939 63.1500000440001,-10.999999939 63.1666667110001,-10.999999939 63.183333378,-10.999999939 63.200000044,-10.999999939 63.2166667110001,-10.999999939 63.2333333780001,-10.999999939 63.250000045,-10.999999939 63.266666711,-10.999999939 63.2833333780001,-10.999999939 63.300000045,-10.999999939 63.316666711,-10.999999939 63.3333333780001,-10.999999939 63.3500000450001,-10.999999939 63.3666667110001,-10.999999939 63.383333378,-10.999999939 63.4000000450001,-10.999999939 63.4166667110001,-10.999999939 63.433333378,-10.999999939 63.4500000450001,-10.999999939 63.4666667110001,-10.999999939 63.4833333780001,-10.999999939 63.500000045,-10.999999939 63.516666711,-10.999999939 63.5333333780001,-10.999999939 63.550000045,-10.999999939 63.566666711,-10.999999939 63.5833333780001,-10.999999939 63.6000000450001,-10.999999939 63.616666712,-10.999999939 63.633333378,-10.999999939 63.6500000450001,-10.999999939 63.6666667120001,-10.999999939 63.683333378,-10.999999939 63.7000000450001,-10.999999939 63.7166667120001,-10.999999939 63.7333333780001,-10.999999939 63.750000045,-10.999999939 63.7666667120001,-10.999999939 63.7833333780001,-10.999999939 63.800000045,-10.999999939 63.816666712,-10.999999939 63.8333333780001,-10.999999939 63.8500000450001,-10.999999939 63.866666712,-10.999999939 63.883333378,-10.999999939 63.9000000450001,-10.999999939 63.9166667120001,-10.999999939 63.933333379,-10.999999939 63.9500000450001,-10.999999939 63.9666667120001,-10.999999939 63.983333379,-10.999999939 64.000000045,-10.999999939 64.0166667120001,-10.999999939 64.0333333790001,-10.999999939 64.050000045,-10.999999939 64.066666712,-10.999999939 64.0833333790001,-10.999999939 64.1000000450001,-10.999999939 64.116666712,-10.999999939 64.1333333790001,-10.999999939 64.1500000450001,-10.999999939 64.1666667120001,-10.999999939 64.183333379,-10.999999939 64.2000000450001,-10.999999939 64.2166667120001,-10.999999939 64.233333379,-10.999999939 64.250000045,-10.999999939 64.2666667120001,-10.999999939 64.2833333790001,-10.999999939 64.300000046,-10.999999939 64.316666712,-10.999999939 64.3333333790001,-10.999999939 64.350000046,-10.999999939 64.366666712,-10.999999939 64.3833333790001,-10.999999939 64.4000000460001,-10.999999939 64.4166667120001,-10.999999939 64.433333379,-10.999999939 64.4500000460001,-10.999999939 64.4666667120001,-10.999999939 64.483333379,-10.999999939 64.5000000460001,-10.999999939 64.5166667120001,-10.999999939 64.5333333790001,-10.999999939 64.550000046,-10.999999939 64.566666712,-10.999999939 64.5833333790001,-10.999999939 64.600000046,-10.999999939 64.616666712,-10.999999939 64.6333333790001,-10.999999939 64.6500000460001,-10.999999939 64.666666713,-10.999999939 64.683333379,-10.999999939 64.7000000460001,-10.999999939 64.7166667130001,-10.999999939 64.733333379,-10.999999939 64.7500000460001,-10.999999939 64.7666667130001,-10.999999939 64.7833333790001,-10.999999939 64.800000046,-10.999999939 64.8166667130001,-10.999999939 64.8333333790001,-10.999999939 64.850000046,-10.999999939 64.866666713,-10.999999939 64.8833333790001,-10.999999939 64.9000000460001,-10.999999939 64.916666713,-10.999999939 64.933333379,-10.999999939 64.9500000460001,-10.999999939 64.9666667130001,-10.999999939 64.983333379,-10.999999939 65.0000000460001,-10.999999939 65.0166667130001,-10.999999939 65.03333338,-10.999999939 65.050000046,-10.999999939 65.0666667130001,-10.999999939 65.0833333800001,-10.999999939 65.100000046,-10.999999939 65.116666713,-10.999999939 65.1333333800001,-10.999999939 65.1500000460001,-10.999999939 65.166666713,-10.999999939 65.1833333800001,-10.999999939 65.2000000460001,-10.999999939 65.2166667130001,-10.999999939 65.23333338,-10.999999939 65.2500000460001,-10.999999939 65.2666667130001,-10.999999939 65.28333338,-10.999999939 65.300000046,-10.999999939 65.3166667130001,-10.999999939 65.3333333800001,-10.999999939 65.350000046,-10.999999939 65.366666713,-10.999999939 65.3833333800001,-10.999999939 65.400000047,-10.999999939 65.416666713,-10.999999939 65.4333333800001,-10.999999939 65.4500000470001,-10.999999939 65.4666667130001,-10.999999939 65.48333338,-10.999999939 65.5000000470001,-10.999999939 65.5166667130001,-10.999999939 65.53333338,-10.999999939 65.5500000470001,-10.999999939 65.5666667130001,-10.999999939 65.5833333800001,-10.999999939 65.600000047,-10.999999939 65.616666713,-10.999999939 65.6333333800001,-10.999999939 65.650000047,-10.999999939 65.666666713,-10.999999939 65.6833333800001,-10.999999939 65.7000000470001,-10.999999939 65.7166667130001,-10.999999939 65.73333338,-10.999999939 65.7500000470001,-10.999999939 65.7666667140001,-10.999999939 65.78333338,-10.999999939 65.8000000470001,-10.999999939 65.8166667140001,-10.999999939 65.8333333800001,-10.999999939 65.850000047,-10.999999939 65.8666667140001,-10.999999939 65.8833333800001,-10.999999939 65.900000047,-10.999999939 65.916666714,-10.999999939 65.9333333800001,-10.999999939 65.9500000470001,-10.999999939 65.966666714,-10.999999939 65.98333338,-10.999999939 66.0000000470001,-10.999999939 66.0166667140001,-10.999999939 66.03333338,-10.999999939 66.0500000470001,-10.999999939 66.0666667140001,-10.999999939 66.083333381,-10.999999939 66.100000047,-10.999999939 66.1166667140001,-10.999999939 66.1333333810001,-10.999999939 66.150000047,-10.999999939 66.166666714,-10.999999939 66.1833333810001,-10.999999939 66.2000000470001,-10.999999939 66.216666714,-10.999999939 66.2333333810001,-10.999999939 66.2500000470001,-10.999999939 66.2666667140001,-10.999999939 66.283333381,-10.999999939 66.3000000470001,-10.999999939 66.3166667140001,-10.999999939 66.333333381,-10.999999939 66.350000047,-10.999999939 66.3666667140001,-10.999999939 66.3833333810001,-10.999999939 66.400000047,-10.999999939 66.416666714,-10.999999939 66.4333333810001,-10.999999939 66.450000048,-10.999999939 66.466666714,-10.999999939 66.4833333810001,-10.999999939 66.5000000480001,-10.999999939 66.5166667140001,-10.999999939 66.533333381,-10.999999939 66.5500000480001,-10.999999939 66.5666667140001,-10.999999939 66.583333381,-10.999999939 66.6000000480001,-10.999999939 66.6166667140001,-10.999999939 66.6333333810001,-10.999999939 66.650000048,-10.999999939 66.666666714,-10.999999939 66.6833333810001,-10.999999939 66.700000048,-10.999999939 66.716666714,-10.999999939 66.7333333810001,-10.999999939 66.7500000480001,-10.999999939 66.7666667140001,-10.999999939 66.783333381,-10.999999939 66.8000000480001,-10.999999939 66.8166667150001,-10.999999939 66.833333381,-10.999999939 66.8500000480001,-10.999999939 66.8666667150001,-10.999999939 66.8833333810001,-10.999999939 66.900000048,-10.999999939 66.9166667150001,-10.999999939 66.9333333810001,-10.999999939 66.950000048,-10.999999939 66.966666715,-10.999999939 66.9833333810001,-10.999999939 67.0000000480001,-10.999999939 67.016666715,-10.999999939 67.033333381,-10.999999939 67.0500000480001,-10.999999939 67.0666667150001,-10.999999939 67.083333381,-10.999999939 67.1000000480001,-10.999999939 67.1166667150001,-10.999999939 67.1333333810001,-10.999999939 67.150000048,-10.999999939 67.1666667150001,-10.999999939 67.1833333820001,-10.999999939 67.200000048,-10.999999939 67.216666715,-10.999999939 67.2333333820001,-10.999999939 67.2500000480001,-10.999999939 67.266666715,-10.999999939 67.2833333820001,-10.999999939 67.3000000480001,-10.999999939 67.3166667150001,-10.999999939 67.333333382,-10.999999939 67.3500000480001,-10.999999939 67.3666667150001,-10.999999939 67.383333382,-10.999999939 67.400000048,-10.999999939 67.4166667150001,-10.999999939 67.4333333820001,-10.999999939 67.450000048,-10.999999939 67.466666715,-10.999999939 67.4833333820001,-10.999999939 67.5000000480001,-10.999999939 67.516666715,-10.999999939 67.5333333820001,-10.999999939 67.5500000490001,-10.999999939 67.5666667150001,-10.999999939 67.583333382,-10.999999939 67.6000000490001,-10.999999939 67.6166667150001,-10.999999939 67.633333382,-10.999999939 67.650000049,-10.999999939 67.6666667150001,-10.999999939 67.6833333820001,-10.999999939 67.700000049,-10.999999939 67.716666715,-10.999999939 67.7333333820001,-10.999999939 67.7500000490001,-10.999999939 67.766666715,-10.999999939 67.7833333820001,-10.999999939 67.8000000490001,-10.999999939 67.8166667150001,-10.999999939 67.833333382,-10.999999939 67.8500000490001,-10.999999939 67.8666667150001,-10.999999939 67.883333382,-10.999999939 67.900000049,-10.999999939 67.9166667160001,-10.999999939 67.9333333820001,-10.999999939 67.950000049,-10.999999939 67.9666667160001,-10.999999939 67.9833333820001,-10.999999959 68.0000000490001,-10.999999939 68.016666716,-10.999999939 68.0333333820001,-10.999999939 68.0500000490001,-10.999999939 68.066666716,-10.999999939 68.083333382,-10.999999939 68.1000000490001,-10.999999939 68.1166667160001,-10.999999939 68.133333382,-10.999999939 68.150000049,-10.999999939 68.1666667160001,-10.999999939 68.1833333820001,-10.999999939 68.200000049,-10.999999939 68.2166667160001,-10.999999939 68.2333333830001,-10.999999939 68.2500000490001,-10.999999939 68.266666716,-10.999999939 68.2833333830001,-10.999999939 68.3000000490001,-10.999999939 68.316666716,-10.999999939 68.3333333830001,-10.999999939 68.3500000490001,-10.999999939 68.3666667160001,-10.999999939 68.383333383,-10.999999939 68.400000049,-10.999999939 68.4166667160001,-10.999999939 68.433333383,-10.999999939 68.450000049,-10.999999939 68.4666667160001,-10.999999939 68.4833333830001,-10.999999939 68.5000000490001,-10.999999939 68.516666716,-10.999999939 68.5333333830001,-10.999999939 68.5500000490001,-10.999999939 68.566666716,-10.999999939 68.5833333830001,-10.999999939 68.6000000500001,-10.999999939 68.6166667160001,-10.999999939 68.633333383,-10.999999939 68.6500000500001,-10.999999939 68.6666667160001,-10.999999939 68.683333383,-10.999999939 68.70000005,-10.999999939 68.7166667160001,-10.999999939 68.7333333830001,-10.999999939 68.75000005,-10.999999939 68.766666716,-10.999999939 68.7833333830001,-10.999999939 68.8000000500001,-10.999999939 68.816666716,-10.999999939 68.8333333830001,-10.999999939 68.8500000500001,-10.999999939 68.8666667160001,-10.999999939 68.883333383,-10.999999939 68.9000000500001,-10.999999939 68.9166667160001,-10.999999939 68.933333383,-10.999999939 68.95000005,-10.999999939 68.9666667170001,-10.999999939 68.9833333830001,-10.999999939 69.00000005,-10.999999939 69.0166667170001,-10.999999939 69.0333333830001,-10.999999939 69.0500000500001,-10.999999939 69.066666717,-10.999999939 69.0833333830001,-10.999999939 69.1000000500001,-10.999999939 69.116666717,-10.999999939 69.133333383,-10.999999939 69.1500000500001,-10.999999939 69.1666667170001,-10.999999939 69.183333383,-10.999999939 69.20000005,-10.999999939 69.2166667170001,-10.999999939 69.2333333830001,-10.999999939 69.25000005,-10.999999939 69.2666667170001,-10.999999939 69.2833333830001,-10.999999939 69.3000000500001,-10.999999939 69.316666717,-10.999999939 69.3333333840001,-10.999999939 69.3500000500001,-10.999999939 69.366666717,-10.999999939 69.3833333840001,-10.999999939 69.4000000500001,-10.999999939 69.4166667170001,-10.999999939 69.433333384,-10.999999939 69.45000005,-10.999999939 69.4666667170001,-10.999999939 69.483333384,-10.999999939 69.50000005,-10.999999939 69.5166667170001,-10.999999939 69.5333333840001,-10.999999939 69.5500000500001,-10.999999939 69.566666717,-10.999999939 69.5833333840001,-10.999999939 69.6000000500001,-10.999999939 69.616666717,-10.999999939 69.6333333840001,-10.999999939 69.6500000500001,-10.999999939 69.6666667170001,-10.999999939 69.683333384,-10.999999939 69.7000000510001,-10.999999939 69.7166667170001,-10.999999939 69.733333384,-10.999999939 69.750000051,-10.999999939 69.7666667170001,-10.999999939 69.7833333840001,-10.999999939 69.800000051,-10.999999939 69.816666717,-10.999999939 69.8333333840001,-10.999999939 69.8500000510001,-10.999999939 69.866666717,-10.999999939 69.8833333840001,-10.999999939 69.9000000510001,-10.999999939 69.9166667170001,-10.999999939 69.933333384,-10.999999939 69.9500000510001,-10.999999939 69.9666667170001,-10.999999939 69.983333384,-10.999999939 70.000000051,-10.999999939 70.0166667170001,-10.999999939 70.0333333840001,-10.999999939 70.050000051,-10.999999939 70.0666667180001,-10.999999939 70.0833333840001,-10.999999939 70.1000000510001,-10.999999939 70.116666718,-10.999999939 70.1333333840001,-10.999999939 70.1500000510001,-10.999999939 70.166666718,-10.999999939 70.183333384,-10.999999939 70.2000000510001,-10.999999939 70.2166667180001,-10.999999939 70.233333384,-10.999999939 70.250000051,-10.999999939 70.2666667180001,-10.999999939 70.2833333840001,-10.999999939 70.300000051,-10.999999939 70.3166667180001,-10.999999939 70.3333333840001,-10.999999939 70.3500000510001,-10.999999939 70.366666718,-10.999999939 70.3833333850001,-10.999999939 70.4000000510001,-10.999999939 70.416666718,-10.999999939 70.4333333850001,-10.999999939 70.4500000510001,-10.999999939 70.4666667180001,-10.999999939 70.483333385,-10.999999939 70.500000051,-10.999999939 70.5166667180001,-10.999999939 70.533333385,-10.999999939 70.550000051,-10.999999939 70.5666667180001,-10.999999939 70.5833333850001,-10.999999939 70.6000000510001,-10.999999939 70.616666718,-10.999999939 70.6333333850001,-10.999999939 70.6500000510001,-10.999999939 70.666666718,-10.999999939 70.6833333850001,-10.999999939 70.7000000510001,-10.999999939 70.7166667180001,-10.999999939 70.733333385,-10.999999939 70.7500000520001,-10.999999939 70.7666667180001,-10.999999939 70.783333385,-10.999999939 70.800000052,-10.999999939 70.8166667180001,-10.999999939 70.8333333850001,-10.999999939 70.850000052,-10.999999939 70.866666718,-10.999999939 70.8833333850001,-10.999999939 70.9000000520001,-10.999999939 70.916666718,-10.999999939 70.9333333850001,-10.999999939 70.9500000520001,-10.999999939 70.9666667180001,-10.999999939 70.983333385,-10.999999939 71.0000000520001,-10.999999939 71.0166667180001,-10.999999939 71.033333385,-10.999999939 71.050000052,-10.999999939 71.0666667180001,-10.999999939 71.0833333850001,-10.999999939 71.100000052,-10.999999939 71.1166667190001,-10.999999939 71.1333333850001,-10.999999939 71.1500000520001,-10.999999939 71.166666719,-10.999999939 71.1833333850001,-10.999999939 71.2000000520001,-10.999999939 71.216666719,-10.999999939 71.233333385,-10.999999939 71.2500000520001,-10.999999939 71.2666667190001,-10.999999939 71.283333385,-10.999999939 71.300000052,-10.999999939 71.3166667190001,-10.999999939 71.3333333850001,-10.999999939 71.350000052,-10.999999939 71.3666667190001,-10.999999939 71.3833333850001,-10.999999939 71.4000000520001,-10.999999939 71.416666719,-10.999999939 71.4333333850001,-10.999999939 71.4500000520001,-10.999999939 71.466666719,-10.999999939 71.4833333860001,-10.999999939 71.5000000520001,-10.999999939 71.5166667190001,-10.999999939 71.533333386,-10.999999939 71.550000052,-10.999999939 71.5666667190001,-10.999999939 71.583333386,-10.999999939 71.600000052,-10.999999939 71.6166667190001,-10.999999939 71.6333333860001,-10.999999939 71.6500000520001,-10.999999939 71.666666719,-10.999999939 71.6833333860001,-10.999999939 71.7000000520001,-10.999999939 71.716666719,-10.999999939 71.7333333860001,-10.999999939 71.7500000520001,-10.999999939 71.7666667190001,-10.999999939 71.783333386,-10.999999939 71.800000052,-10.999999939 71.8166667190001,-10.999999939 71.833333386,-10.999999939 71.850000053,-10.999999939 71.8666667190001,-10.999999939 71.8833333860001,-10.999999939 71.900000053,-10.999999939 71.916666719,-10.999999939 71.9333333860001,-10.999999939 71.9500000530001,-10.999999939 71.966666719,-10.999999939 71.9833333860001,-10.999999939 72.0000000530001,-10.999999939 72.0166667190001,-10.999999939 72.033333386,-10.999999939 72.0500000530001,-10.999999939 72.0666667190001,-10.999999939 72.083333386,-10.999999939 72.100000053,-10.999999939 72.1166667190001,-10.999999939 72.1333333860001,-10.999999939 72.150000053,-10.999999939 72.1666667200001,-10.999999939 72.1833333860001,-10.999999939 72.2000000530001,-10.999999939 72.21666672,-10.999999939 72.2333333860001,-10.999999939 72.2500000530001,-10.999999939 72.26666672,-10.999999939 72.283333386,-10.999999939 72.3000000530001,-10.999999939 72.3166667200001,-10.999999939 72.333333386,-10.999999939 72.350000053,-10.999999939 72.3666667200001,-10.999999939 72.3833333860001,-10.999999939 72.400000053,-10.999999939 72.4166667200001,-10.999999939 72.4333333860001,-10.999999939 72.4500000530001,-10.999999939 72.46666672,-10.999999939 72.4833333860001,-10.999999939 72.5000000530001,-10.999999939 72.51666672,-10.999999939 72.5333333870001,-10.999999939 72.5500000530001,-10.999999939 72.5666667200001,-10.999999939 72.583333387,-10.999999939 72.600000053,-10.999999939 72.6166667200001,-10.999999939 72.6333333870001,-10.999999939 72.650000053,-10.999999939 72.6666667200001,-10.999999939 72.6833333870001,-10.999999939 72.7000000530001,-10.999999939 72.71666672,-10.999999939 72.7333333870001,-10.999999939 72.7500000530001,-10.999999939 72.76666672,-10.999999939 72.7833333870001,-10.999999939 72.8000000530001,-10.999999939 72.8166667200001,-10.999999939 72.833333387,-10.999999939 72.850000053,-10.999999939 72.8666667200001,-10.999999939 72.8833333870001,-10.999999939 72.900000054,-10.999999939 72.9166667200001,-10.999999939 72.9333333870001,-10.999999939 72.950000054,-10.999999939 72.96666672,-10.999999939 72.9833333870001,-10.999999939 73.0000000540001,-10.999999939 73.01666672,-10.999999939 73.0333333870001,-10.999999939 73.0500000540001,-10.999999939 73.0666667200001,-10.999999939 73.083333387,-10.999999939 73.1000000540001,-10.999999939 73.1166667200001,-10.999999939 73.1333333870001,-10.999999939 73.150000054,-10.999999939 73.1666667200001,-10.999999939 73.1833333870001,-10.999999939 73.200000054,-10.999999939 73.21666672,-10.999999939 73.2333333870001,-10.999999939 73.2500000540001,-10.999999939 73.266666721,-10.999999939 73.2833333870001,-10.999999939 73.3000000540001,-10.999999939 73.316666721,-10.999999939 73.333333387,-10.999999939 73.3500000540001,-10.999999939 73.3666667210001,-10.999999939 73.3833333870001,-10.999999939 73.400000054,-10.999999939 73.4166667210001,-10.999999939 73.4333333870001,-10.999999939 73.450000054,-10.999999939 73.4666667210001,-10.999999939 73.4833333870001,-10.999999939 73.5000000320001,-0.199999877999971 73.5000000360001,0.34000007100002 73.3100000540001,1.08000007200008 72.9900000540001,1.48000007200005 72.7500000530001,1.68000007300003 72.600000053,1.89000007300007 72.4300000530001,2.06000007300003 72.2400000530001,2.22000007300005 72.0100000530001,2.31000007300003 71.830000053,2.38000007300008 71.610000052,2.39000007300007 71.350000052,2.35000007300005 71.1400000520001,2.25000007300002 70.8900000520001,2.09000007300006 70.6300000510001,1.94000007300002 70.430000051,1.72000007300005 70.2100000510001,1.46000007200007 69.9700000510001,1.18000007200004 69.7600000510001,0.680000072000041 69.44000005,0.080000071000029 69.1400000500001,-0.609999929999958 68.8600000500001,-1.55999992999995 68.5500000490001,-2.38999993099998 68.330000049,-3.41999993199994 68.1000000490001,-4.18999993299997 67.960000049,-5.32999993399994 67.770000049,-6.61999993499995 67.6100000490001,-6.24999993499995 67.090000048,-5.77999993399993 66.470000048,-5.66999993399997 66.220000047,-5.59999993399992 65.9600000470001,-5.57999993399994 65.6900000470001,-4.18999993299997 65.5500000470001,-3.72999993199994 65.470000047,-3.18999993199998 65.3900000470001,-2.53999993099995 65.2200000460001,-2.16999993099995 65.1300000460001,-1.55999992999995 64.920000046,-1.30999992999995 64.8400000460001,-0.489999928999964 64.430000046,0.0400000710000654 64.7200000460001,0.720000072000062 65.0800000460001,1.26000007200003 65.3200000460001,1.44000007200003 65.3800000470001,1.79000007300004 65.6400000470001,2.24000007300003 65.9500000470001,2.79000007400003 66.230000047,3.18000007400002 66.3900000470001,3.27000007400005 66.4300000470001,3.42000007400003 66.840000048,3.31000007400007 67.0100000480001,3.24000007400002 67.1800000480001,3.18000007400002 67.3700000480001,3.15000007400005 67.570000049,3.16000007400004 67.770000049,3.19000007400007 67.9800000490001,3.27000007400005 68.2300000490001,3.40000007400005 68.460000049,3.57000007400006 68.69000005,3.73000007400003 68.8600000500001,4.00000007500006 69.1000000500001,4.32000007500005 69.32000005,4.74000007500007 69.56000005,5.01000007600004 69.790000051,5.64000007600004 70.170000051,6.73000007700006 70.790000052,7.42000007800004 71.1300000520001,7.93000007800003 71.360000052,8.75000007900007 71.6400000520001,9.70000008000005 71.910000053,9.94000008000006 71.9800000530001,10.2900000810001 72.1800000530001,9.83000008000005 72.3100000530001,9.33000008000005 72.4900000530001,8.65000007900005 72.7600000530001,7.83000007800007 73.140000054,7.28000007800006 73.450000054,7.21000010300003 73.5000000360001,30.0000000590001 73.5000000540001,30.0000000490001 72.0000000530001,26.0000000950001 72.0000000260001,26.0000000950001 70.657636912)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.II', 'Norwegian Sea, Spitzbergen, and Bear Island', '27.II', '27.II.a', 'Norwegian Sea', '27.IIa', '27.II.a.2', 'Norwegian Sea Non-NEAFC Regulatory Area', '27.IIa2', '', '', '', '', 'IIa2', '4', '27.2.a.2', '27.IIa2', 'Y'),('SRID=4326;MULTIPOLYGON(((7.21000010300003 73.5000000360001,-0.199999877999971 73.5000000360001,-0.479999928999973 73.6000000540001,-1.87999993099993 73.9400000540001,-2.69999993199997 74.0900000550001,-4.99999993399996 74.2100000550001,-4.37999993299997 74.500000055,-4.28999993299993 75.000000055,-4.18999993299997 75.300000056,-4.29999993299998 76.050000056,-4.08999993299994 76.180000057,-2.51999993099997 76.5700000570001,-2.09999993099996 76.670000057,-1.59999992999997 76.5600000570001,0.800000072000046 76.000000056,1.12000007200004 75.870000056,1.71000007300006 75.6400000560001,3.06000007400007 75.2100000560001,4.07000007500005 74.9600000550001,4.55000007500007 74.8600000550001,5.19000007600005 74.690000055,6.39000007700002 74.3400000550001,6.51000007700003 74.130000055,6.74000007700005 73.890000054,7.06000007800003 73.6000000540001,7.21000010300003 73.5000000360001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.II', 'Norwegian Sea, Spitzbergen, and Bear Island', '27.II', '27.II.b', 'Spitzbergen and Bear Island', '27.IIb', '27.II.b.1', 'Spitzbergen and Bear Island - NEAFC Reg. Area', '27.IIb1', '', '', '', '', 'IIb1', '4', '27.2.b.1', '27.IIb1', 'Y'),('SRID=4326;MULTIPOLYGON(((44.6799999880001 76.7500000690001,43.510000275 75.990000163,43.1800002200001 75.390000253,41.7300003180001 74.8200001370001,41.7013850060001 74.678607776,41.5600001180001 73.9800000930001,40.6600003460001 73.170000267,40.5100001500001 72.2000003190001,39.760000108 72.2600000530001,38.960000107 72.6200000530001,37.740000106 73.0400000540001,36.610000105 73.3700000540001,35.700000104 73.5600000540001,33.7000007780001 73.980000214,34.5500001030001 74.1800000550001,35.2800001040001 74.3600000550001,36.3800001050001 74.7100000550001,37.5700001060001 75.1400000560001,38.3100001070001 75.4500000560001,39.0500001070001 75.8400000560001,39.6100001080001 76.2600000570001,41.2400001090001 76.610000057,42.8100001110001 76.9000000570001,43.0600001110001 76.9000000570001,44.6799999880001 76.7500000690001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.I', 'Barents Sea', '27.I', '27.I.a', 'Barents Sea - NEAFC Regulatory Area', '27.Ia', '', '', '', '', '', '', '', 'Ia', '3', '27.1.a', '27.Ia', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 5.00000000000006,-7.99999999999994 4.00000000000006,-7.99999999999994 3.20000004800005,-7.99999999999994 2.40000009500005,-7.99999999999994 1.60000002400005,-7.99999999999994 0.800000012000055,-7.99999999999994 5.6843418860808e-14,-9.59999942799993 5.6843418860808e-14,-10.399999619 5.6843418860808e-14,-11.199999809 5.6843418860808e-14,-11.9999999999999 5.6843418860808e-14,-12.800000191 5.6843418860808e-14,-13.600000381 5.6843418860808e-14,-14.399999619 5.6843418860808e-14,-15.199999809 5.6843418860808e-14,-15.9999999999999 5.6843418860808e-14,-16.799999237 5.6843418860808e-14,-17.600000381 5.6843418860808e-14,-18.399999619 5.6843418860808e-14,-19.2000007629999 5.6843418860808e-14,-19.9999999999999 5.6843418860808e-14,-19.9999999999999 0.999999881000065,-19.9999999999999 1.79999995200006,-19.9999999999999 2.59999990500006,-19.9999999999999 3.39999985700007,-19.9999999999999 4.19999980900008,-19.9999999999999 5.00000000000006,-19.9999999999999 5.80000019100004,-19.9999999999999 6.59999990500006,-19.9999999999999 7.40000009500005,-19.9999999999999 8.19999980900008,-19.9999999999999 9.00000000000006,-19.2000007629999 9.00000000000006,-18.399999619 9.00000000000006,-17.600000381 9.00000000000006,-16.799999237 9.00000000000006,-15.9999999999999 9.00000000000006,-15.199999809 9.00000000000006,-14.399999619 9.00000000000006,-13.600000381 9.00000000000006,-11.9999999999999 9.00000000000006,-11.4343147279999 8.43431472800006,-10.868629456 7.86862897900005,-10.302944183 7.30294370700005,-9.73725795699994 6.73725843400007,-9.17157268499994 6.17157268500006,-8.60588741299995 5.60588741300006,-7.99999999999994 5.00000000000006)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.3', 'Southern Coastal', '', '34.3.3', 'Sherbro', '', '', '', '', '', '', '', '', '3.3', '3', '34.3.3', '34.3.3', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000590001 73.5000000540001,7.21000010300003 73.5000000360001,7.06000007800003 73.6000000540001,6.74000007700005 73.890000054,6.51000007700003 74.130000055,6.39000007700002 74.3400000550001,5.19000007600005 74.690000055,4.55000007500007 74.8600000550001,4.07000007500005 74.9600000550001,3.06000007400007 75.2100000560001,1.71000007300006 75.6400000560001,1.12000007200004 75.870000056,0.800000072000046 76.000000056,-1.59999992999997 76.5600000570001,-2.09999993099996 76.670000057,-2.51999993099997 76.5700000570001,-4.08999993299994 76.180000057,-4.29999993299998 76.050000056,-4.18999993299997 75.300000056,-4.28999993299993 75.000000055,-4.37999993299997 74.500000055,-4.99999993399996 74.2100000550001,-2.69999993199997 74.0900000550001,-1.87999993099993 73.9400000540001,-0.479999928999973 73.6000000540001,-0.199999877999971 73.5000000360001,-10.999999939 73.5000000320001,-10.999999939 73.516666721,-10.999999939 73.5333333870001,-10.999999939 73.5500000540001,-10.999999939 73.566666721,-10.999999939 73.583333387,-10.999999939 73.6000000540001,-10.999999939 73.6166667210001,-10.999999939 73.633333388,-10.999999939 73.650000054,-10.999999939 73.6666667210001,-10.999999939 73.6833333880001,-10.999999939 73.700000054,-10.999999939 73.7166667210001,-10.999999939 73.7333333880001,-10.999999939 73.7500000540001,-10.999999939 73.766666721,-10.999999939 73.7833333880001,-10.999999939 73.8000000540001,-10.999999939 73.816666721,-10.999999939 73.833333388,-10.999999939 73.8500000540001,-10.999999939 73.8666667210001,-10.999999939 73.883333388,-10.999999939 73.900000054,-10.999999939 73.9166667210001,-10.999999939 73.9333333880001,-10.999999939 73.950000055,-10.999999939 73.9666667210001,-10.999999939 73.9833333880001,-10.999999939 74.000000055,-10.999999939 74.016666721,-10.999999939 74.0333333880001,-10.999999939 74.0500000550001,-10.999999939 74.066666721,-10.999999939 74.083333388,-10.999999939 74.1000000550001,-10.999999939 74.1166667210001,-10.999999939 74.133333388,-10.999999939 74.1500000550001,-10.999999939 74.1666667210001,-10.999999939 74.1833333880001,-10.999999939 74.200000055,-10.999999939 74.2166667210001,-10.999999939 74.2333333880001,-10.999999939 74.250000055,-10.999999939 74.266666721,-10.999999939 74.2833333880001,-10.999999939 74.3000000550001,-10.999999939 74.316666722,-10.999999939 74.333333388,-10.999999939 74.3500000550001,-10.999999939 74.366666722,-10.999999939 74.383333388,-10.999999939 74.4000000550001,-10.999999939 74.4166667220001,-10.999999939 74.4333333880001,-10.999999939 74.450000055,-10.999999939 74.4666667220001,-10.999999939 74.4833333880001,-10.999999939 74.500000055,-10.999999939 74.5166667220001,-10.999999939 74.5333333880001,-10.999999939 74.5500000550001,-10.999999939 74.566666722,-10.999999939 74.583333388,-10.999999939 74.6000000550001,-10.999999939 74.616666722,-10.999999939 74.633333388,-10.999999939 74.6500000550001,-10.999999939 74.6666667220001,-10.999999939 74.683333389,-10.999999939 74.700000055,-10.999999939 74.7166667220001,-10.999999939 74.7333333890001,-10.999999939 74.750000055,-10.999999939 74.7666667220001,-10.999999939 74.7833333890001,-10.999999939 74.8000000550001,-10.999999939 74.816666722,-10.999999939 74.8333333890001,-10.999999939 74.8500000550001,-10.999999939 74.866666722,-10.999999939 74.883333389,-10.999999939 74.9000000550001,-10.999999939 74.9166667220001,-10.999999939 74.933333389,-10.999999939 74.950000055,-10.999999939 74.9666667220001,-10.999999939 74.9833333890001,-10.999999939 75.000000055,-10.999999939 75.0166667220001,-10.999999939 75.0333333890001,-10.999999939 75.050000056,-10.999999939 75.066666722,-10.999999939 75.0833333890001,-10.999999939 75.1000000560001,-10.999999939 75.116666722,-10.999999939 75.133333389,-10.999999939 75.1500000560001,-10.999999939 75.1666667220001,-10.999999939 75.183333389,-10.999999939 75.2000000560001,-10.999999939 75.2166667220001,-10.999999939 75.2333333890001,-10.999999939 75.250000056,-10.999999939 75.2666667220001,-10.999999939 75.2833333890001,-10.999999939 75.300000056,-10.999999939 75.316666722,-10.999999939 75.3333333890001,-10.999999939 75.3500000560001,-10.999999939 75.366666722,-10.999999939 75.383333389,-10.999999939 75.4000000560001,-10.999999939 75.416666723,-10.999999939 75.433333389,-10.999999939 75.4500000560001,-10.999999939 75.4666667230001,-10.999999939 75.4833333890001,-10.999999939 75.500000056,-10.999999939 75.5166667230001,-10.999999939 75.5333333890001,-10.999999939 75.550000056,-10.999999939 75.5666667230001,-10.999999939 75.5833333890001,-10.999999939 75.6000000560001,-10.999999939 75.616666723,-10.999999939 75.633333389,-10.999999939 75.6500000560001,-10.999999939 75.666666723,-10.999999939 75.683333389,-10.999999939 75.7000000560001,-10.999999939 75.7166667230001,-10.999999939 75.7333333890001,-10.999999939 75.750000056,-10.999999939 75.7666667230001,-10.999999939 75.7833333900001,-10.999999939 75.800000056,-10.999999939 75.8166667230001,-10.999999939 75.8333333900001,-10.999999939 75.8500000560001,-10.999999939 75.866666723,-10.999999939 75.8833333900001,-10.999999939 75.9000000560001,-10.999999939 75.916666723,-10.999999939 75.93333339,-10.999999939 75.9500000560001,-10.999999939 75.9666667230001,-10.999999939 75.98333339,-10.999999939 76.000000056,-10.999999939 76.0166667230001,-10.999999939 76.0333333900001,-10.999999939 76.050000056,-10.999999939 76.0666667230001,-10.999999939 76.0833333900001,-10.999999939 76.100000057,-10.999999939 76.116666723,-10.999999939 76.1333333900001,-10.999999939 76.1500000570001,-10.999999939 76.166666723,-10.999999939 76.18333339,-10.999999939 76.2000000570001,-10.999999939 76.2166667230001,-10.999999939 76.23333339,-10.999999939 76.2500000570001,-10.999999939 76.2666667230001,-10.999999939 76.2833333900001,-10.999999939 76.300000057,-10.999999939 76.3166667230001,-10.999999939 76.3333333900001,-10.999999939 76.350000057,-10.999999939 76.366666723,-10.999999939 76.3833333900001,-10.999999939 76.4000000570001,-10.999999939 76.416666723,-10.999999939 76.43333339,-10.999999939 76.4500000570001,-10.999999939 76.466666724,-10.999999939 76.48333339,-10.999999939 76.5000000570001,-10.999999939 76.5166667240001,-10.999999939 76.5333333900001,-10.999999939 76.550000057,-10.999999939 76.5666667240001,-10.999999939 76.5833333900001,-10.999999939 76.600000057,-10.999999939 76.6166667240001,-10.999999939 76.6333333900001,-10.999999939 76.6500000570001,-10.999999939 76.666666724,-10.999999939 76.68333339,-10.999999939 76.7000000570001,-10.999999939 76.716666724,-10.999999939 76.73333339,-10.999999939 76.7500000570001,-10.999999939 76.7666667240001,-10.999999939 76.7833333900001,-10.999999939 76.800000057,-10.999999939 76.8166667240001,-10.999999939 76.8333333910001,-10.999999939 76.850000057,-10.999999939 76.8666667240001,-10.999999939 76.8833333910001,-10.999999939 76.9000000570001,-10.999999939 76.916666724,-10.999999939 76.9333333910001,-10.999999939 76.9500000570001,-10.999999939 76.966666724,-10.999999939 76.983333391,-10.999999939 77.0000000570001,-10.999999939 77.0166667240001,-10.999999939 77.033333391,-10.999999939 77.050000057,-10.999999939 77.0666667240001,-10.999999939 77.0833333910001,-10.999999939 77.100000057,-10.999999939 77.1166667240001,-10.999999939 77.1333333910001,-10.999999939 77.1500000570001,-10.999999939 77.166666724,-10.999999939 77.1833333910001,-10.999999939 77.2000000580001,-10.999999939 77.216666724,-10.999999939 77.233333391,-10.999999939 77.2500000580001,-10.999999939 77.2666667240001,-10.999999939 77.283333391,-10.999999939 77.3000000580001,-10.999999939 77.3166667240001,-10.999999939 77.3333333910001,-10.999999939 77.350000058,-10.999999939 77.3666667240001,-10.999999939 77.3833333910001,-10.999999939 77.400000058,-10.999999939 77.416666724,-10.999999939 77.4333333910001,-10.999999939 77.4500000580001,-10.999999939 77.466666724,-10.999999939 77.483333391,-10.999999939 77.5000000580001,-10.999999939 77.5166667240001,-10.999999939 77.533333391,-10.999999939 77.5500000580001,-10.999999939 77.5666667250001,-10.999999939 77.5833333910001,-10.999999939 77.600000058,-10.999999939 77.6166667250001,-10.999999939 77.6333333910001,-10.999999939 77.650000058,-10.999999939 77.6666667250001,-10.999999939 77.6833333910001,-10.999999939 77.7000000580001,-10.999999939 77.716666725,-10.999999939 77.733333391,-10.999999939 77.7500000580001,-10.999999939 77.7666667250001,-10.999999939 77.783333391,-10.999999939 77.8000000580001,-10.999999939 77.8166667250001,-10.999999939 77.8333333910001,-10.999999939 77.850000058,-10.999999939 77.8666667250001,-10.999999939 77.8833333910001,-10.999999939 77.900000058,-10.999999939 77.9166667250001,-10.999999939 77.9333333920001,-10.999999939 77.9500000580001,-10.999999939 77.966666725,-10.999999939 77.9833333920001,-10.999999939 78.0000000580001,-10.999999939 78.0166667250001,-10.999999939 78.033333392,-10.999999939 78.0500000580001,-10.999999939 78.0666667250001,-10.999999939 78.083333392,-10.999999939 78.100000058,-10.999999939 78.1166667250001,-10.999999939 78.1333333920001,-10.999999939 78.150000058,-10.999999939 78.1666667250001,-10.999999939 78.1833333920001,-10.999999939 78.2000000580001,-10.999999939 78.216666725,-10.999999939 78.2333333920001,-10.999999939 78.2500000590001,-10.999999939 78.2666667250001,-10.999999939 78.283333392,-10.999999939 78.3000000590001,-10.999999939 78.3166667250001,-10.999999939 78.333333392,-10.999999939 78.3500000590001,-10.999999939 78.3666667250001,-10.999999939 78.3833333920001,-10.999999939 78.400000059,-10.999999939 78.4166667250001,-10.999999939 78.4333333920001,-10.999999939 78.450000059,-10.999999939 78.466666725,-10.999999939 78.4833333920001,-10.999999939 78.5000000590001,-10.999999939 78.5166667250001,-10.999999939 78.533333392,-10.999999939 78.5500000590001,-10.999999939 78.5666667250001,-10.999999939 78.583333392,-10.999999939 78.6000000590001,-10.999999939 78.6166667260001,-10.999999939 78.6333333920001,-10.999999939 78.650000059,-10.999999939 78.6666667260001,-10.999999939 78.6833333920001,-10.999999939 78.700000059,-10.999999939 78.7166667260001,-10.999999939 78.7333333920001,-10.999999939 78.7500000590001,-10.999999939 78.766666726,-10.999999939 78.783333392,-10.999999939 78.8000000590001,-10.999999939 78.8166667260001,-10.999999939 78.833333392,-10.999999939 78.8500000590001,-10.999999939 78.8666667260001,-10.999999939 78.8833333920001,-10.999999939 78.900000059,-10.999999939 78.9166667260001,-10.999999939 78.9333333920001,-10.999999939 78.950000059,-10.999999939 78.9666667260001,-10.999999939 78.9833333930001,-10.999999939 79.0000000590001,-10.999999939 79.016666726,-10.999999939 79.0333333930001,-10.999999939 79.0500000590001,-10.999999939 79.0666667260001,-10.999999939 79.083333393,-10.999999939 79.1000000590001,-10.999999939 79.1166667260001,-10.999999939 79.133333393,-10.999999939 79.150000059,-10.999999939 79.1666667260001,-10.999999939 79.1833333930001,-10.999999939 79.200000059,-10.999999939 79.2166667260001,-10.999999939 79.2333333930001,-10.999999939 79.2500000590001,-10.999999939 79.266666726,-10.999999939 79.2833333930001,-10.999999939 79.3000000590001,-10.999999939 79.3166667260001,-10.999999939 79.333333393,-10.999999939 79.3500000600001,-10.999999939 79.3666667260001,-10.999999939 79.383333393,-10.999999939 79.4000000600001,-10.999999939 79.4166667260001,-10.999999939 79.4333333930001,-10.999999939 79.45000006,-10.999999939 79.4666667260001,-10.999999939 79.4833333930001,-10.999999939 79.50000006,-10.999999939 79.516666726,-10.999999939 79.5333333930001,-10.999999939 79.5500000600001,-10.999999939 79.5666667260001,-10.999999939 79.583333393,-10.999999939 79.6000000600001,-10.999999939 79.6166667260001,-10.999999939 79.633333393,-10.999999939 79.6500000600001,-10.999999939 79.6666667260001,-10.999999939 79.6833333930001,-10.999999939 79.70000006,-10.999999939 79.7166667270001,-10.999999939 79.7333333930001,-10.999999939 79.75000006,-10.999999939 79.766666727,-10.999999939 79.7833333930001,-10.999999939 79.8000000600001,-10.999999939 79.816666727,-10.999999939 79.833333393,-10.999999939 79.8500000600001,-10.999999939 79.8666667270001,-10.999999939 79.883333393,-10.999999939 79.9000000600001,-10.999999939 79.9166667270001,-10.999999939 79.9333333930001,-10.999999939 79.95000006,-10.999999939 79.9666667270001,-10.999999939 79.9833333930001,-10.999999939 80.00000006,-10.999999939 80.016666727,-10.999999939 80.0333333930001,-10.999999939 80.0500000600001,-10.999999939 80.066666727,-10.999999939 80.0833333940001,-10.999999939 80.1000000600001,-10.999999939 80.1166667270001,-10.999999939 80.133333394,-10.999999939 80.1500000600001,-10.999999939 80.1666667270001,-10.999999939 80.183333394,-10.999999939 80.20000006,-10.999999939 80.2166667270001,-10.999999939 80.2333333940001,-10.999999939 80.25000006,-10.999999939 80.266666727,-10.999999939 80.2833333940001,-10.999999939 80.3000000600001,-10.999999939 80.316666727,-10.999999939 80.3333333940001,-10.999999939 80.3500000600001,-10.999999939 80.3666667270001,-10.999999939 80.383333394,-10.999999939 80.4000000610001,-10.999999939 80.4166667270001,-10.999999939 80.433333394,-10.999999939 80.4500000610001,-10.999999939 80.4666667270001,-10.999999939 80.4833333940001,-10.999999939 80.500000061,-10.999999939 80.516666727,-10.999999939 80.5333333940001,-10.999999939 80.550000061,-10.999999939 80.566666727,-10.999999939 80.5833333940001,-10.999999939 80.6000000610001,-10.999999939 80.6166667270001,-10.999999939 80.633333394,-10.999999939 80.6500000610001,-10.999999939 80.6666667270001,-10.999999939 80.683333394,-10.999999939 80.7000000610001,-10.999999939 80.7166667270001,-10.999999939 80.7333333940001,-10.999999939 80.750000061,-10.999999939 80.7666667280001,-10.999999939 80.7833333940001,-10.999999939 80.800000061,-10.999999939 80.816666728,-10.999999939 80.8333333940001,-10.999999939 80.8500000610001,-10.999999939 80.866666728,-10.999999939 80.883333394,-10.999999939 80.9000000610001,-10.999999939 80.9166667280001,-10.999999939 80.933333394,-10.999999939 80.9500000610001,-10.999999939 80.9666667280001,-10.999999939 80.9833333940001,-10.999999939 81.000000061,-10.999999939 81.0166667280001,-10.999999939 81.0333333940001,-10.999999939 81.050000061,-10.999999939 81.066666728,-10.999999939 81.0833333940001,-10.999999939 81.1000000610001,-10.999999939 81.116666728,-10.999999939 81.1333333950001,-10.999999939 81.1500000610001,-10.999999939 81.1666667280001,-10.999999939 81.183333395,-10.999999939 81.2000000610001,-10.999999939 81.2166667280001,-10.999999939 81.233333395,-10.999999939 81.250000061,-10.999999939 81.2666667280001,-10.999999939 81.2833333950001,-10.999999939 81.300000061,-10.999999939 81.316666728,-10.999999939 81.3333333950001,-10.999999939 81.3500000610001,-10.999999939 81.366666728,-10.999999939 81.3833333950001,-10.999999939 81.4000000610001,-10.999999939 81.4166667280001,-10.999999939 81.433333395,-10.999999939 81.4500000610001,-10.999999939 81.4666667280001,-10.999999939 81.483333395,-10.999999939 81.5000000620001,-10.999999939 81.5166667280001,-10.999999939 81.5333333950001,-10.999999939 81.550000062,-10.999999939 81.566666728,-10.999999939 81.5833333950001,-10.999999939 81.600000062,-10.999999939 81.616666728,-10.999999939 81.6333333950001,-10.999999939 81.6500000620001,-10.999999939 81.6666667280001,-10.999999939 81.683333395,-10.999999939 81.7000000620001,-10.999999939 81.7166667280001,-10.999999939 81.733333395,-10.999999939 81.7500000620001,-10.999999939 81.7666667280001,-10.999999939 81.7833333950001,-10.999999939 81.800000062,-10.999999939 81.816666728,-10.999999939 81.8333333950001,-10.999999939 81.850000062,-10.999999939 81.866666729,-10.999999939 81.8833333950001,-10.999999939 81.9000000620001,-10.999999939 81.916666729,-10.999999939 81.933333395,-10.999999939 81.9500000620001,-10.999999939 81.9666667290001,-10.999999939 81.983333395,-10.999999939 82.0000000620001,-10.999999939 82.0166667290001,-10.999999939 82.0333333950001,-10.999999939 82.050000062,-10.999999939 82.0666667290001,-10.999999939 82.0833333950001,-10.999999939 82.100000062,-10.999999939 82.116666729,-10.999999939 82.1333333950001,-10.999999939 82.1500000620001,-10.999999939 82.166666729,-10.999999939 82.183333395,-10.999999939 82.2000000620001,-10.999999939 82.2166667290001,-10.999999939 82.233333396,-10.999999939 82.2500000620001,-10.999999939 82.2666667290001,-10.999999939 82.283333396,-10.999999939 82.300000062,-10.999999939 82.3166667290001,-10.999999939 82.3333333960001,-10.999999939 82.350000062,-10.999999939 82.366666729,-10.999999939 82.3833333960001,-10.999999939 82.4000000620001,-10.999999939 82.416666729,-10.999999939 82.4333333960001,-10.999999939 82.4500000620001,-10.999999939 82.4666667290001,-10.999999939 82.483333396,-10.999999939 82.5000000620001,-10.999999939 82.5166667290001,-10.999999939 82.533333396,-10.999999939 82.5500000630001,-10.999999939 82.5666667290001,-10.999999939 82.5833333960001,-10.999999939 82.600000063,-10.999999939 82.616666729,-10.999999939 82.6333333960001,-10.999999939 82.650000063,-10.999999939 82.666666729,-10.999999939 82.6833333960001,-10.999999939 82.7000000630001,-10.999999939 82.7166667290001,-10.999999939 82.733333396,-10.999999939 82.7500000630001,-10.999999939 82.7666667290001,-10.999999939 82.783333396,-10.999999939 82.8000000630001,-10.999999939 82.8166667290001,-10.999999939 82.8333333960001,-10.999999939 82.850000063,-10.999999939 82.866666729,-10.999999939 82.8833333960001,-10.999999939 82.900000063,-10.999999939 82.91666673,-10.999999939 82.9333333960001,-10.999999939 82.9500000630001,-10.999999939 82.96666673,-10.999999939 82.983333396,-10.999999939 83.0000000630001,-10.999999939 83.0166667300001,-10.999999939 83.033333396,-10.999999939 83.0500000630001,-10.999999939 83.0666667300001,-10.999999939 83.0833333960001,-10.999999939 83.100000063,-10.999999939 83.1166667300001,-10.999999939 83.1333333960001,-10.999999939 83.150000063,-10.999999939 83.16666673,-10.999999939 83.1833333960001,-10.999999939 83.2000000630001,-10.999999939 83.21666673,-10.999999939 83.233333396,-10.999999939 83.2500000630001,-10.999999939 83.2666667300001,-10.999999939 83.283333397,-10.999999939 83.3000000630001,-10.999999939 83.3166667300001,-10.999999939 83.333333397,-10.999999939 83.350000063,-10.999999939 83.3666667300001,-10.999999939 83.3833333970001,-10.999999939 83.400000063,-10.999999939 83.41666673,-10.999999939 83.4333333970001,-10.999999939 83.4500000630001,-10.999999939 83.46666673,-10.999999939 83.4833333970001,-10.999999939 83.5000000630001,-10.999999939 83.5166667300001,-10.999999939 83.533333397,-10.999999939 83.5500000630001,-10.999999939 83.5666667300001,-10.999999939 83.583333397,-10.999999939 83.600000063,-10.999999939 83.6166667300001,-10.999999939 83.6333333970001,-10.999999939 83.650000064,-10.999999939 83.66666673,-10.999999939 83.6833333970001,-10.999999939 83.7000000640001,-10.999999939 83.71666673,-10.999999939 83.7333333970001,-10.999999939 83.7500000640001,-10.999999939 83.7666667300001,-10.999999939 83.783333397,-10.999999939 83.8000000640001,-10.999999939 83.8166667300001,-10.999999939 83.833333397,-10.999999939 83.8500000640001,-10.999999939 83.8666667300001,-10.999999939 83.8833333970001,-10.999999939 83.900000064,-10.999999939 83.91666673,-10.999999939 83.9333333970001,-10.999999939 83.9500000640001,-10.999999939 83.96666673,-10.999999939 83.9833333970001,-10.999999939 84.0000000640001,-10.999999939 84.016666731,-10.999999939 84.033333397,-10.999999939 84.0500000640001,-10.999999939 84.0666667310001,-10.999999939 84.083333397,-10.999999939 84.1000000640001,-10.999999939 84.1166667310001,-10.999999939 84.1333333970001,-10.999999939 84.150000064,-10.999999939 84.1666667310001,-10.999999939 84.1833333970001,-10.999999939 84.2000000640001,-10.999999939 84.216666731,-10.999999939 84.2333333970001,-10.999999939 84.2500000640001,-10.999999939 84.266666731,-10.999999939 84.283333397,-10.999999939 84.3000000640001,-10.999999939 84.3166667310001,-10.999999939 84.333333398,-10.999999939 84.3500000640001,-10.999999939 84.3666667310001,-10.999999939 84.383333398,-10.999999939 84.400000064,-10.999999939 84.4166667310001,-10.999999939 84.4333333980001,-10.999999939 84.4500000640001,-10.999999939 84.466666731,-10.999999939 84.4833333980001,-10.999999939 84.5000000640001,-10.999999939 84.516666731,-10.999999939 84.5333333980001,-10.999999939 84.5500000640001,-10.999999939 84.5666667310001,-10.999999939 84.583333398,-10.999999939 84.6000000640001,-10.999999939 84.6166667310001,-10.999999939 84.633333398,-10.999999939 84.650000064,-10.999999939 84.6666667310001,-10.999999939 84.6833333980001,-10.999999939 84.700000065,-10.999999939 84.716666731,-10.999999939 84.7333333980001,-10.999999939 84.7500000650001,-10.999999939 84.766666731,-10.999999939 84.7833333980001,-10.999999939 84.8000000650001,-10.999999939 84.8166667310001,-10.999999939 84.833333398,-10.999999939 84.8500000650001,-10.999999939 84.8666667310001,-10.999999939 84.883333398,-10.999999939 84.9000000650001,-10.999999939 84.9166667310001,-10.999999939 84.9333333980001,-10.999999939 84.950000065,-10.999999939 84.966666731,-10.999999939 84.9833333980001,-10.999999939 85.0000000650001,-10.999999939 85.016666731,-10.999999939 85.0333333980001,-10.999999939 85.0500000650001,-10.999999939 85.066666732,-10.999999939 85.083333398,-10.999999939 85.1000000650001,-10.999999939 85.1166667320001,-10.999999939 85.133333398,-10.999999939 85.1500000650001,-10.999999939 85.1666667320001,-10.999999939 85.1833333980001,-10.999999939 85.200000065,-10.999999939 85.2166667320001,-10.999999939 85.2333333980001,-10.999999939 85.2500000650001,-10.999999939 85.266666732,-10.999999939 85.2833333980001,-10.999999939 85.3000000650001,-10.999999939 85.316666732,-10.999999939 85.333333398,-10.999999939 85.3500000650001,-10.999999939 85.3666667320001,-10.999999939 85.383333398,-10.999999939 85.4000000650001,-10.999999939 85.4166667320001,-10.999999939 85.433333399,-10.999999939 85.450000065,-10.999999939 85.4666667320001,-10.999999939 85.4833333990001,-10.999999939 85.5000000650001,-10.999999939 85.516666732,-10.999999939 85.5333333990001,-10.999999939 85.5500000650001,-10.999999939 85.566666732,-10.999999939 85.5833333990001,-10.999999939 85.6000000650001,-10.999999939 85.6166667320001,-10.999999939 85.633333399,-10.999999939 85.6500000650001,-10.999999939 85.6666667320001,-10.999999939 85.683333399,-10.999999939 85.700000065,-10.999999939 85.7166667320001,-10.999999939 85.7333333990001,-10.999999939 85.7500000650001,-10.999999939 85.766666732,-10.999999939 85.7833333990001,-10.999999939 85.8000000660001,-10.999999939 85.816666732,-10.999999939 85.8333333990001,-10.999999939 85.8500000660001,-10.999999939 85.8666667320001,-10.999999939 85.883333399,-10.999999939 85.9000000660001,-10.999999939 85.9166667320001,-10.999999939 85.933333399,-10.999999939 85.950000066,-10.999999939 85.9666667320001,-10.999999939 85.9833333990001,-10.999999939 86.000000066,-10.999999939 86.016666732,-10.999999939 86.0333333990001,-10.999999939 86.0500000660001,-10.999999939 86.066666732,-10.999999939 86.0833333990001,-10.999999939 86.1000000660001,-10.999999939 86.1166667320001,-10.999999939 86.133333399,-10.999999939 86.1500000660001,-10.999999939 86.1666667330001,-10.999999939 86.183333399,-10.999999939 86.200000066,-10.999999939 86.2166667330001,-10.999999939 86.2333333990001,-10.999999939 86.250000066,-10.999999939 86.2666667330001,-10.999999939 86.2833333990001,-10.999999939 86.3000000660001,-10.999999939 86.316666733,-10.999999939 86.3333333990001,-10.999999939 86.3500000660001,-10.999999939 86.366666733,-10.999999939 86.383333399,-10.999999939 86.4000000660001,-10.999999939 86.4166667330001,-10.999999939 86.433333399,-10.999999939 86.450000066,-10.999999939 86.4666667330001,-10.999999939 86.4833334,-10.999999939 86.500000066,-10.999999939 86.5166667330001,-10.999999939 86.5333334000001,-10.999999939 86.5500000660001,-10.999999939 86.566666733,-10.999999939 86.5833334000001,-10.999999939 86.6000000660001,-10.999999939 86.616666733,-10.999999939 86.6333334000001,-10.999999939 86.6500000660001,-10.999999939 86.6666667330001,-10.999999939 86.6833334,-10.999999939 86.700000066,-10.999999939 86.7166667330001,-10.999999939 86.7333334,-10.999999939 86.750000066,-10.999999939 86.7666667330001,-10.999999939 86.7833334000001,-10.999999939 86.8000000660001,-10.999999939 86.816666733,-10.999999939 86.8333334000001,-10.999999939 86.8500000670001,-10.999999939 86.866666733,-10.999999939 86.8833334000001,-10.999999939 86.9000000670001,-10.999999939 86.9166667330001,-10.999999939 86.9333334,-10.999999939 86.9500000670001,-10.999999939 86.9666667330001,-10.999999939 86.9833334,-10.999999939 87.000000067,-10.999999939 87.0166667330001,-10.999999939 87.0333334000001,-10.999999939 87.050000067,-10.999999939 87.066666733,-10.999999939 87.0833334000001,-10.999999939 87.1000000670001,-10.999999939 87.116666733,-10.999999939 87.1333334000001,-10.999999939 87.1500000670001,-10.999999939 87.1666667330001,-10.999999939 87.1833334,-10.999999939 87.2000000670001,-10.999999939 87.2166667340001,-10.999999939 87.2333334,-10.999999939 87.250000067,-10.999999939 87.2666667340001,-10.999999939 87.2833334000001,-10.999999939 87.300000067,-10.999999939 87.3166667340001,-10.999999939 87.3333334000001,-10.999999939 87.3500000670001,-10.999999939 87.366666734,-10.999999939 87.3833334000001,-10.999999939 87.4000000670001,-10.999999939 87.416666734,-10.999999939 87.4333334,-10.999999939 87.4500000670001,-10.999999939 87.4666667340001,-10.999999939 87.4833334,-10.999999939 87.500000067,-10.999999939 87.5166667340001,-10.999999939 87.5333334000001,-10.999999939 87.550000067,-10.999999939 87.5666667340001,-10.999999939 87.5833334010001,-10.999999939 87.6000000670001,-10.999999939 87.616666734,-10.999999939 87.6333334010001,-10.999999939 87.6500000670001,-10.999999939 87.666666734,-10.999999939 87.6833334010001,-10.999999939 87.7000000670001,-10.999999939 87.7166667340001,-10.999999939 87.733333401,-10.999999939 87.750000067,-10.999999939 87.7666667340001,-10.999999939 87.783333401,-10.999999939 87.800000067,-10.999999939 87.8166667340001,-10.999999939 87.8333334010001,-10.999999939 87.8500000670001,-10.999999939 87.866666734,-10.999999939 87.8833334010001,-10.999999939 87.9000000670001,-10.999999939 87.916666734,-10.999999939 87.9333334010001,-10.999999939 87.9500000680001,-10.999999939 87.9666667340001,-10.999999939 87.983333401,-10.999999939 88.0000000680001,-10.999999939 88.0166667340001,-10.999999939 88.033333401,-10.999999939 88.050000068,-10.999999939 88.0666667340001,-10.999999939 88.0833334010001,-10.999999939 88.100000068,-10.999999939 88.116666734,-10.999999939 88.1333334010001,-10.999999939 88.1500000680001,-10.999999939 88.166666734,-10.999999939 88.1833334010001,-10.999999939 88.2000000680001,-10.999999939 88.2166667340001,-10.999999939 88.233333401,-10.999999939 88.2500000680001,-10.999999939 88.2666667340001,-10.999999939 88.283333401,-10.999999939 88.300000068,-10.999999939 88.3166667350001,-10.999999939 88.3333334010001,-10.999999939 88.350000068,-10.999999939 88.3666667350001,-10.999999939 88.3833334010001,-10.999999939 88.4000000680001,-10.999999939 88.416666735,-10.999999939 88.4333334010001,-10.999999939 88.4500000680001,-10.999999939 88.466666735,-10.999999939 88.483333401,-10.999999939 88.5000000680001,-10.999999939 88.5166667350001,-10.999999939 88.533333401,-10.999999939 88.550000068,-10.999999939 88.5666667350001,-10.999999939 88.5833334010001,-10.999999939 88.600000068,-10.999999939 88.6166667350001,-10.999999939 88.6333334020001,-10.999999939 88.6500000680001,-10.999999939 88.666666735,-10.999999939 88.6833334020001,-10.999999939 88.7000000680001,-10.999999939 88.716666735,-10.999999939 88.7333334020001,-10.999999939 88.7500000680001,-10.999999939 88.7666667350001,-10.999999939 88.783333402,-10.999999939 88.800000068,-10.999999939 88.8166667350001,-10.999999939 88.8333334020001,-10.999999939 88.850000068,-10.999999939 88.8666667350001,-10.999999939 88.8833334020001,-10.999999939 88.9000000680001,-10.999999939 88.916666735,-10.999999939 88.9333334020001,-10.999999939 88.9500000680001,-10.999999939 88.966666735,-10.999999939 88.9833334020001,-10.999999939 89.0000000690001,-10.999999939 89.0166667350001,-10.999999939 89.033333402,-10.999999939 89.0500000690001,-10.999999939 89.0666667350001,-10.999999939 89.0833334020001,-10.999999939 89.100000069,-10.999999939 89.1166667350001,-10.999999939 89.1333334020001,-10.999999939 89.150000069,-10.999999939 89.166666735,-10.999999939 89.1833334020001,-10.999999939 89.2000000690001,-10.999999939 89.216666735,-10.999999939 89.2333334020001,-10.999999939 89.2500000690001,-10.999999939 89.2666667350001,-10.999999939 89.283333402,-10.999999939 89.3000000690001,-10.999999939 89.3166667350001,-10.999999939 89.3333334020001,-10.999999939 89.350000069,-10.999999939 89.3666667360001,-10.999999939 89.3833334020001,-10.999999939 89.400000069,-10.999999939 89.4166667360001,-10.999999939 89.4333334020001,-10.999999939 89.4500000690001,-10.999999939 89.466666736,-10.999999939 89.4833334020001,-10.999999939 89.5000000690001,-10.999999939 89.516666736,-10.999999939 89.533333402,-10.999999939 89.5500000690001,-10.999999939 89.5666667360001,-10.999999939 89.5833334020001,-10.999999939 89.600000069,-10.999999939 89.6166667360001,-10.999999939 89.6333334020001,-10.999999939 89.650000069,-10.999999939 89.6666667360001,-10.999999939 89.6833334020001,-10.999999939 89.7000000690001,-10.999999939 89.716666736,-10.999999939 89.7333334030001,-10.999999939 89.7500000690001,-10.999999939 89.766666736,-10.999999939 89.7833334030001,-10.999999939 89.8000000690001,-10.999999939 89.8166667360001,-10.999999939 89.833333403,-10.999999939 89.850000069,-10.999999939 89.8666667360001,-10.999999939 89.8833334030001,-10.999999939 89.900000069,-10.999999939 89.9166667360001,-10.999999939 89.9333334030001,-10.999999939 89.9500000690001,-10.999999939 89.966666736,-10.999999939 89.9833334030001,-10.999999939 90,30.000000099 90,30.0000000590001 73.5000000540001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.II', 'Norwegian Sea, Spitzbergen, and Bear Island', '27.II', '27.II.b', 'Spitzbergen and Bear Island', '27.IIb', '27.II.b.2', 'Spitzbergen and Bear Island - NEAFC Reg. Area', '27.IIb2', '', '', '', '', 'IIb2', '4', '27.2.b.2', '27.IIb2', 'Y'),('SRID=4326;MULTIPOLYGON(((8.80596908900003 62.2302760270001,8.54265447500006 61.098412243,8.00000000000006 59.339809777,7.98546439300003 59.2927036450001,7.84619411100005 59.0000000000001,7.68107351500004 58.6529668840001,7.10887467500004 58.1310241950001,7.08819161800005 58.1121577280001,7.00000007800003 58.0317120400001,7.00000057800003 58.02435954,7.00000007800003 58.02010004,7.00000007800003 57.99943304,7.00000057300002 57.5047359390001,7.00000017100007 57.5000002610001,2.34018731100002 57.500000039,5.6843418860808e-14 57.500000039,-0.882413618999976 57.500000039,-1.76773393099995 57.500000039,-1.77457493099996 57.500000039,-1.79125793099996 57.500000039,-1.83814101099995 57.5047359390001,-1.89784885799997 57.5000000000001,-2.08155103899998 57.4854290110001,-2.63671685199995 57.395886138,-4.05330047699994 57.2045659360001,-4.71411150599994 57.115318469,-4.79171532899994 57.7958443040001,-4.49999999999994 58.0212606950001,-4.26639714099997 58.2017719950001,-4.23124774399997 58.2500000000001,-3.99999984099998 58.567292073,-3.99999989599996 60.5000000420001,-3.99999983299995 62.000000126,4.99377120100007 62.000000168,5.00470308700005 62.0012363810001,5.01514364000008 62.0000000000001,5.04956188100005 61.9959241560001,5.11094759900004 61.9982851450001,5.26233360800006 62.000000362,5.26238157600005 62.0000005430001,5.28329980800004 62.0059583600001,5.30688957600006 62.0000005430001,5.32900308000006 62.0000000220001,5.44421870800005 61.978796054,6.04863193200003 61.9633454470001,6.57903697600005 61.9990751820001,7.54333037700007 61.9711246480001,7.65127648100002 62.0000000000001,8.82546829300003 62.3140937960001,8.80596908900003 62.2302760270001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.IV', 'North Sea', '27.IV', '27.IV.a', 'Northern North Sea', '27.IVa', '', '', '', '', '', '', '', 'IVa', '3', '27.4.a', '27.IVa', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000017100007 57.5000002610001,8.00000007800003 57.500000039,8.00000007800003 57.000000039,8.42937449700003 57.000000039,8.43110007900003 57.000500039,8.43262625100004 57.0000000000001,8.52746243800004 56.968927648,8.64586676600004 57.0000000000001,8.93137173400004 57.074923873,9.45530063900003 57.1004813810001,10.222025866 57.2602158030001,10.301000081 56.9931000390001,10.3008155840001 56.992823173,10.303839081 56.988518039,10.301923081 56.9817060390001,10.2427577940001 56.9505323050001,9.91003529800003 56.544982351,9.68969137000005 56.276408776,9.07361103300008 55.2804122320001,9.22109330600006 54.668360799,9.27897114500007 54.428167767,10.0000000000001 53.5000000000001,10.0000000000001 52.700000763,10.0000000000001 51.900001526,10.0000000000001 51.0000000000001,7.89279038800004 53.216543105,7.39992611900004 53.4321712230001,7.04169117100002 53.500000018,6.33032003100004 53.500000018,6.32980007700007 53.4998000350001,6.30631082000002 53.5022231090001,6.22344554400007 53.491042873,6.15554004800003 53.500000018,6.11700006800004 53.500000018,6.10854707700003 53.500000035,0.126604551000071 53.500000035,0.126000051000062 53.500000018,5.6843418860808e-14 53.388601206,-0.223958038999967 53.190596052,-1.03028347899993 53.5000000000001,-1.92114083699994 53.841840614,-1.99999999999994 53.9813372740001,-2.59695291999998 55.03730763,-2.83161388899993 55.4524074120001,-4.05148182899995 55.6480629320001,-4.40749210699994 55.7051636840001,-4.29992246199993 56.4022149880001,-4.54302986099998 56.8626130710001,-4.71411150599994 57.115318469,-4.05330047699994 57.2045659360001,-2.63671685199995 57.395886138,-2.08155103899998 57.4854290110001,-1.89784885799997 57.5000000000001,-1.83814101099995 57.5047359390001,-1.79125793099996 57.500000039,-1.77457493099996 57.500000039,-1.76773393099995 57.500000039,-0.882413618999976 57.500000039,5.6843418860808e-14 57.500000039,2.34018731100002 57.500000039,7.00000017100007 57.5000002610001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.IV', 'North Sea', '27.IV', '27.IV.b', 'Central North Sea', '27.IVb', '', '', '', '', '', '', '', 'IVb', '3', '27.4.b', '27.IVb', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.639999927 48.0000000200001,-10.999999939 48.000000018,-11.0166666059999 48.0000000300001,-11.0333332729999 48.0000000300001,-11.049999939 48.0000000300001,-11.066666606 48.0000000300001,-11.0833332729999 48.0000000300001,-11.0999999389999 48.0000000300001,-11.116666606 48.0000000300001,-11.1333332729999 48.0000000300001,-11.1499999389999 48.0000000300001,-11.166666606 48.0000000300001,-11.183333273 48.0000000300001,-11.199999939 48.0000000300001,-11.2166666059999 48.0000000300001,-11.233333273 48.0000000300001,-11.249999939 48.0000000300001,-11.2666666059999 48.0000000300001,-11.2833332729999 48.0000000300001,-11.29999994 48.0000000300001,-11.316666606 48.0000000300001,-11.3333332729999 48.0000000300001,-11.34999994 48.0000000300001,-11.366666606 48.0000000300001,-11.3833332729999 48.0000000300001,-11.3999999399999 48.0000000300001,-11.416666606 48.0000000300001,-11.433333273 48.0000000300001,-11.4499999399999 48.0000000300001,-11.4666666059999 48.0000000300001,-11.483333273 48.0000000300001,-11.49999994 48.0000000300001,-11.5166666059999 48.0000000300001,-11.5333332729999 48.0000000300001,-11.54999994 48.0000000300001,-11.566666606 48.0000000300001,-11.5833332729999 48.0000000300001,-11.59999994 48.0000000300001,-11.616666606 48.0000000300001,-11.6333332729999 48.0000000300001,-11.6499999399999 48.0000000300001,-11.666666607 48.0000000300001,-11.683333273 48.0000000300001,-11.6999999399999 48.0000000300001,-11.716666607 48.0000000300001,-11.733333273 48.0000000300001,-11.74999994 48.0000000300001,-11.7666666069999 48.0000000300001,-11.7833332729999 48.0000000300001,-11.79999994 48.0000000300001,-11.8166666069999 48.0000000300001,-11.8333332729999 48.0000000300001,-11.84999994 48.0000000300001,-11.866666607 48.0000000300001,-11.8833332729999 48.0000000300001,-11.8999999399999 48.0000000300001,-11.916666607 48.0000000300001,-11.933333273 48.0000000300001,-11.9499999399999 48.0000000300001,-11.966666607 48.0000000300001,-11.983333273 48.0000000300001,-11.9999999639999 48.0000000300001,-11.99999994 48.0165384920001,-11.99999994 48.033076953,-11.99999994 48.0496154150001,-11.99999994 48.066153877,-11.99999994 48.0826923380001,-11.99999994 48.0992308,-11.99999994 48.115769261,-11.99999994 48.1323077230001,-11.99999994 48.148846184,-11.99999994 48.1653846460001,-11.99999994 48.181923107,-11.99999994 48.1984615690001,-11.99999994 48.215000031,-11.99999994 48.231538492,-11.99999994 48.2480769540001,-11.99999994 48.264615415,-11.99999994 48.2811538770001,-11.99999994 48.297692338,-11.99999994 48.3142308000001,-11.99999994 48.3307692610001,-11.99999994 48.347307723,-11.99999994 48.3638461850001,-11.99999994 48.380384646,-11.99999994 48.3969231080001,-11.99999994 48.413461569,-11.99999996 48.4300000360001,-11.98999994 48.420000031,-11.86999994 48.3900000310001,-11.74999994 48.360000031,-11.6399999399999 48.3300000310001,-11.5199999399999 48.3000000310001,-11.3899999399999 48.2700000310001,-11.2699999389999 48.2500000310001,-11.1399999389999 48.230000031,-11.0199999389999 48.210000031,-10.8899999389999 48.1900000310001,-10.7699999389999 48.17000003,-10.679999939 48.0300000300001,-10.639999927 48.0000000200001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VII', '', '27.VII', '27.VII.j', 'Southwest of Ireland - East', '27.VIIj', '27.VII.j.1', 'SW of Ireland - East - NEAFC Regulatory', '27.VIIj1', '', '', '', '', 'VIIj1', '4', '27.7.j.1', '27.VIIj1', 'Y');

INSERT INTO fao (geom, ocean, subocean, f_area, name, area_l, f_subarea, subarea_n, subarea_l, f_division, division_n, division_l, f_subdivis, subdivis_n, subdivis_l, f_subunit, subunit_n, subunit_l, ele_name, ele_label, ele_type, f_label, code, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-9.01003805099998 52.47545304,-9.00022473299992 52.0244752720001,-8.99999999999994 51.5667585620001,-8.99999993699993 51.5666310340001,-8.99999993699993 50.0000000140001,-8.99999996199995 48.0000000300001,-10.639999927 48.0000000200001,-10.679999939 48.0300000300001,-10.7699999389999 48.17000003,-10.8899999389999 48.1900000310001,-11.0199999389999 48.210000031,-11.1399999389999 48.230000031,-11.2699999389999 48.2500000310001,-11.3899999399999 48.2700000310001,-11.5199999399999 48.3000000310001,-11.6399999399999 48.3300000310001,-11.74999994 48.360000031,-11.86999994 48.3900000310001,-11.98999994 48.420000031,-11.99999996 48.4300000360001,-11.999999955 52.5000000260001,-9.68009946699993 52.500000017,-9.01003805099998 52.47545304)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VII', '', '27.VII', '27.VII.j', 'Southwest of Ireland - East', '27.VIIj', '27.VII.j.2', 'SW of Ireland - East - Non-NEAFC Regulatory', '27.VIIj2', '', '', '', '', 'VIIj2', '4', '27.7.j.2', '27.VIIj2', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9667768049999 54.5000000360001,-17.9501652349999 54.5000000360001,-17.933553665 54.5000000360001,-17.916942094 54.5000000360001,-17.900330524 54.5000000360001,-17.883718954 54.5000000360001,-17.867107384 54.5000000360001,-17.850495813 54.5000000360001,-17.8338842429999 54.5000000360001,-17.8172726729999 54.5000000360001,-17.800661103 54.5000000360001,-17.7840495319999 54.5000000360001,-17.767437962 54.5000000360001,-17.750826392 54.5000000360001,-17.734214822 54.5000000360001,-17.717603251 54.5000000360001,-17.7009916809999 54.5000000360001,-17.6843801109999 54.5000000360001,-17.6677685399999 54.5000000360001,-17.6511569699999 54.5000000360001,-17.6345454 54.5000000360001,-17.61793383 54.5000000360001,-17.601322259 54.5000000360001,-17.584710689 54.5000000360001,-17.568099119 54.5000000360001,-17.5514875489999 54.5000000360001,-17.5348759779999 54.5000000360001,-17.5182644079999 54.5000000360001,-17.5016528379999 54.5000000360001,-17.485041268 54.5000000360001,-17.468429697 54.5000000360001,-17.451818127 54.5000000360001,-17.435206557 54.5000000360001,-17.4185949869999 54.5000000360001,-17.401983416 54.5000000360001,-17.3853718459999 54.5000000360001,-17.3687602759999 54.5000000360001,-17.3521487049999 54.5000000360001,-17.335537135 54.5000000360001,-17.318925565 54.5000000360001,-17.302313995 54.5000000360001,-17.285702424 54.5000000360001,-17.269090854 54.5000000360001,-17.2524792839999 54.5000000360001,-17.2358677139999 54.5000000360001,-17.2192561429999 54.5000000360001,-17.2026445729999 54.5000000360001,-17.186033003 54.5000000360001,-17.169421433 54.5000000360001,-17.152809862 54.5000000360001,-17.136198292 54.5000000360001,-17.119586722 54.5000000360001,-17.1029751519999 54.5000000360001,-17.0863635809999 54.5000000360001,-17.0697520109999 54.5000000360001,-17.053140441 54.5000000360001,-17.0365288699999 54.5000000360001,-17.0199173 54.5000000360001,-17.00330573 54.5000000360001,-16.98669416 54.5000000360001,-16.970082589 54.5000000360001,-16.9534710189999 54.5000000360001,-16.9368594489999 54.5000000360001,-16.9202478789999 54.5000000360001,-16.9036363079999 54.5000000360001,-16.887024738 54.5000000360001,-16.870413168 54.5000000360001,-16.853801598 54.5000000360001,-16.837190027 54.5000000360001,-16.820578457 54.5000000360001,-16.8039668869999 54.5000000360001,-16.7873553169999 54.5000000360001,-16.7707437459999 54.5000000360001,-16.7541321759999 54.5000000360001,-16.737520606 54.5000000360001,-16.720909035 54.5000000360001,-16.704297465 54.5000000360001,-16.687685895 54.5000000360001,-16.6710743249999 54.5000000360001,-16.654462754 54.5000000360001,-16.6378511839999 54.5000000360001,-16.6212396139999 54.5000000360001,-16.604628044 54.5000000360001,-16.588016473 54.5000000360001,-16.571404903 54.5000000360001,-16.554793333 54.5000000360001,-16.538181763 54.5000000360001,-16.521570192 54.5000000360001,-16.5049586219999 54.5000000360001,-16.4883470519999 54.5000000360001,-16.4717354819999 54.5000000360001,-16.4551239109999 54.5000000360001,-16.438512341 54.5000000360001,-16.421900771 54.5000000360001,-16.4052892 54.5000000360001,-16.38867763 54.5000000360001,-16.37206606 54.5000000360001,-16.3554544899999 54.5000000360001,-16.3388429189999 54.5000000360001,-16.3222313489999 54.5000000360001,-16.3056197789999 54.5000000360001,-16.289008209 54.5000000360001,-16.272396638 54.5000000360001,-16.255785068 54.5000000360001,-16.239173498 54.5000000360001,-16.2225619279999 54.5000000360001,-16.2059503569999 54.5000000360001,-16.1893387869999 54.5000000360001,-16.1727272169999 54.5000000360001,-16.156115647 54.5000000360001,-16.139504076 54.5000000360001,-16.122892506 54.5000000360001,-16.106280936 54.5000000360001,-16.089669365 54.5000000360001,-16.073057795 54.5000000360001,-16.0564462249999 54.5000000360001,-16.0398346549999 54.5000000360001,-16.0232230839999 54.5000000360001,-16.0066115139999 54.5000000360001,-15.989999944 54.500000024,-15.989999944 54.4840000360001,-15.989999944 54.468000036,-15.989999944 54.4520000360001,-15.989999944 54.4360000360001,-15.989999944 54.420000036,-15.9919999439999 54.4040000360001,-15.9939999439999 54.3880000360001,-15.9959999439999 54.372000036,-15.997999944 54.3560000360001,-15.999999944 54.340000036,-16.001666611 54.3250000360001,-16.003333277 54.3100000360001,-16.004999944 54.295000036,-16.006666611 54.280000036,-16.008333277 54.2650000360001,-16.009999944 54.2500000360001,-16.009999944 54.2340000360001,-16.009999944 54.218000036,-16.009999944 54.2020000360001,-16.009999944 54.1860000360001,-16.009999944 54.170000036,-16.009999944 54.155000036,-16.009999944 54.1400000360001,-16.009999944 54.1250000360001,-16.009999944 54.110000036,-16.009999944 54.095000036,-16.009999944 54.0800000360001,-16.008333277 54.0650000360001,-16.006666611 54.050000036,-16.004999944 54.035000036,-16.003333277 54.0200000360001,-16.001666611 54.0050000360001,-15.999999944 53.990000036,-15.997999944 53.9740000360001,-15.9959999439999 53.958000036,-15.9939999439999 53.9420000360001,-15.9919999439999 53.9260000360001,-15.989999944 53.910000036,-15.986666611 53.8950000360001,-15.9833332769999 53.8800000360001,-15.9799999439999 53.865000036,-15.9766666109999 53.850000036,-15.9733332769999 53.8350000360001,-15.9699999439999 53.8200000360001,-15.9679999439999 53.804000036,-15.965999944 53.788000036,-15.963999944 53.7720000360001,-15.961999944 53.756000036,-15.9599999439999 53.740000036,-15.9559999439999 53.7240000360001,-15.951999944 53.708000036,-15.9479999439999 53.6920000360001,-15.9439999439999 53.6760000360001,-15.939999944 53.660000036,-15.934999944 53.6450000360001,-15.929999944 53.6300000360001,-15.924999944 53.615000036,-15.9199999439999 53.600000036,-15.9149999439999 53.5850000360001,-15.9099999439999 53.5700000360001,-15.907999944 53.5540000350001,-15.905999944 53.538000035,-15.903999944 53.5220000350001,-15.901999944 53.5060000350001,-15.8999999439999 53.490000035,-15.8974999439999 53.4725000350001,-15.8949999439999 53.4550000350001,-15.892499944 53.437500035,-15.889999944 53.420000035,-15.8879999439999 53.4040000350001,-15.8859999439999 53.3880000350001,-15.883999944 53.372000035,-15.881999944 53.3560000350001,-15.879999944 53.3400000350001,-15.8759999439999 53.324000035,-15.871999944 53.3080000350001,-15.867999944 53.2920000350001,-15.8639999439999 53.276000035,-15.859999944 53.2600000350001,-15.855999944 53.2440000350001,-15.8519999439999 53.228000035,-15.847999944 53.2120000350001,-15.843999944 53.1960000350001,-15.8399999439999 53.180000035,-15.8466666099999 53.166666702,-15.8533332769999 53.1533333680001,-15.859999944 53.1400000350001,-15.86666661 53.1266667020001,-15.873333277 53.113333368,-15.879999944 53.1000000350001,-15.88666661 53.0866667020001,-15.893333277 53.0733333680001,-15.8999999439999 53.060000035,-15.9066666099999 53.046666702,-15.9133332769999 53.0333333680001,-15.9199999439999 53.0200000350001,-15.925999944 53.004000035,-15.9319999439999 52.988000035,-15.937999944 52.9720000350001,-15.9439999439999 52.956000035,-15.949999944 52.9400000350001,-15.9559999439999 52.9240000350001,-15.961999944 52.908000035,-15.9679999439999 52.8920000350001,-15.973999944 52.8760000350001,-15.9799999439999 52.860000035,-15.9833332769999 52.8450000350001,-15.986666611 52.8300000350001,-15.989999944 52.8150000350001,-15.993333277 52.800000035,-15.996666611 52.7850000350001,-15.999999944 52.7700000350001,-16.0039999439999 52.754000035,-16.0079999439999 52.738000035,-16.011999944 52.7220000350001,-16.0159999439999 52.706000035,-16.0199999439999 52.6900000350001,-16.023999944 52.6740000350001,-16.0279999439999 52.658000035,-16.0319999439999 52.6420000350001,-16.035999944 52.6260000350001,-16.0399999439999 52.610000035,-16.0433332769999 52.5950000350001,-16.046666611 52.5800000350001,-16.049999944 52.5650000350001,-16.053333277 52.550000035,-16.056666611 52.5350000350001,-16.059999944 52.5200000350001,-16.0599999459999 52.500000023,-16.076581141 52.500000035,-16.093162337 52.500000035,-16.109743534 52.500000035,-16.12632473 52.500000035,-16.142905927 52.500000035,-16.159487124 52.500000035,-16.17606832 52.500000035,-16.1926495169999 52.500000035,-16.209230713 52.500000035,-16.2258119099999 52.500000035,-16.2423931069999 52.500000035,-16.2589743029999 52.500000035,-16.2755554999999 52.500000035,-16.2921366959999 52.500000035,-16.3087178929999 52.500000035,-16.3252990899999 52.500000035,-16.3418802859999 52.500000035,-16.3584614829999 52.500000035,-16.3750426789999 52.500000035,-16.3916238759999 52.500000035,-16.4082050719999 52.500000035,-16.424786269 52.500000035,-16.441367466 52.500000035,-16.457948662 52.500000035,-16.474529859 52.500000035,-16.491111055 52.500000035,-16.507692252 52.500000035,-16.524273449 52.500000035,-16.540854645 52.500000035,-16.557435842 52.500000035,-16.574017038 52.500000035,-16.590598235 52.500000035,-16.607179432 52.500000035,-16.623760628 52.500000035,-16.640341825 52.500000035,-16.656923021 52.500000035,-16.6735042179999 52.500000035,-16.6900854149999 52.500000035,-16.7066666109999 52.500000035,-16.7232478079999 52.500000035,-16.7398290039999 52.500000035,-16.7564102009999 52.500000035,-16.7729913979999 52.500000035,-16.7895725939999 52.500000035,-16.8061537909999 52.500000035,-16.8227349869999 52.500000035,-16.8393161839999 52.500000035,-16.855897381 52.500000035,-16.872478577 52.500000035,-16.889059774 52.500000035,-16.90564097 52.500000035,-16.922222167 52.500000035,-16.938803364 52.500000035,-16.95538456 52.500000035,-16.971965757 52.500000035,-16.988546953 52.500000035,-17.00512815 52.500000035,-17.021709347 52.500000035,-17.038290543 52.500000035,-17.05487174 52.500000035,-17.071452936 52.500000035,-17.088034133 52.500000035,-17.1046153299999 52.500000035,-17.1211965259999 52.500000035,-17.1377777229999 52.500000035,-17.1543589189999 52.500000035,-17.1709401159999 52.500000035,-17.1875213129999 52.500000035,-17.2041025089999 52.500000035,-17.2206837059999 52.500000035,-17.2372649019999 52.500000035,-17.2538460989999 52.500000035,-17.270427296 52.500000035,-17.2870084919999 52.500000035,-17.303589689 52.500000035,-17.320170885 52.500000035,-17.336752082 52.500000035,-17.353333278 52.500000035,-17.369914475 52.500000035,-17.386495672 52.500000035,-17.403076868 52.500000035,-17.419658065 52.500000035,-17.436239261 52.500000035,-17.452820458 52.500000035,-17.469401655 52.500000035,-17.485982851 52.500000035,-17.502564048 52.500000035,-17.519145244 52.500000035,-17.535726441 52.500000035,-17.5523076379999 52.500000035,-17.5688888339999 52.500000035,-17.5854700309999 52.500000035,-17.6020512269999 52.500000035,-17.6186324239999 52.500000035,-17.6352136209999 52.500000035,-17.6517948169999 52.500000035,-17.6683760139999 52.500000035,-17.6849572099999 52.500000035,-17.7015384069999 52.500000035,-17.718119604 52.500000035,-17.7347007999999 52.500000035,-17.751281997 52.500000035,-17.767863193 52.500000035,-17.78444439 52.500000035,-17.801025587 52.500000035,-17.817606783 52.500000035,-17.83418798 52.500000035,-17.850769176 52.500000035,-17.867350373 52.500000035,-17.88393157 52.500000035,-17.900512766 52.500000035,-17.917093963 52.500000035,-17.933675159 52.500000035,-17.950256356 52.500000035,-17.9668375529999 52.500000035,-17.983418749 52.500000035,-17.9999998709999 52.50000032,-17.9999994459999 52.5166672010001,-17.9999994459999 52.5333338680001,-17.9999994459999 52.550000535,-17.9999994459999 52.566667201,-17.9999994459999 52.5833338680001,-17.9999994459999 52.600000535,-17.9999994459999 52.616667201,-17.9999994459999 52.6333338680001,-17.9999994459999 52.6500005350001,-17.9999994459999 52.6666672010001,-17.9999994459999 52.683333868,-17.9999994459999 52.7000005350001,-17.9999994459999 52.7166672010001,-17.9999994459999 52.733333868,-17.9999994459999 52.750000535,-17.9999994459999 52.7666672010001,-17.9999994459999 52.7833338680001,-17.9999994459999 52.800000535,-17.9999994459999 52.816667201,-17.9999994459999 52.8333338680001,-17.9999994459999 52.850000535,-17.9999994459999 52.866667202,-17.9999994459999 52.8833338680001,-17.9999994459999 52.9000005350001,-17.9999994459999 52.916667202,-17.9999994459999 52.933333868,-17.9999994459999 52.9500005350001,-17.9999994459999 52.9666672020001,-17.9999994459999 52.983333868,-17.9999994459999 53.000000535,-17.9999994459999 53.0166672020001,-17.9999994459999 53.0333338680001,-17.9999994459999 53.050000535,-17.9999994459999 53.0666672020001,-17.9999994459999 53.0833338680001,-17.9999994459999 53.100000535,-17.9999994459999 53.116667202,-17.9999994459999 53.1333338680001,-17.9999994459999 53.1500005350001,-17.9999994459999 53.166667202,-17.9999994459999 53.183333868,-17.9999994459999 53.2000005350001,-17.9999994459999 53.2166672020001,-17.9999994459999 53.233333869,-17.9999994459999 53.250000535,-17.9999994459999 53.2666672020001,-17.9999994459999 53.283333869,-17.9999994459999 53.300000535,-17.9999994459999 53.3166672020001,-17.9999994459999 53.3333338690001,-17.9999994459999 53.350000535,-17.9999994459999 53.366667202,-17.9999994459999 53.3833338690001,-17.9999994459999 53.4000005350001,-17.9999994459999 53.416667202,-17.9999994459999 53.4333338690001,-17.9999994459999 53.4500005350001,-17.9999994459999 53.4666672020001,-17.9999994459999 53.483333869,-17.9999994459999 53.500000535,-17.9999994459999 53.5166672020001,-17.9999994459999 53.533333869,-17.9999994459999 53.550000535,-17.9999994459999 53.5666672020001,-17.9999994459999 53.5833338690001,-17.9999994459999 53.600000536,-17.9999994459999 53.616667202,-17.9999994459999 53.6333338690001,-17.9999994459999 53.6500005360001,-17.9999994459999 53.666667202,-17.9999994459999 53.6833338690001,-17.9999994459999 53.7000005360001,-17.9999994459999 53.7166672020001,-17.9999994459999 53.733333869,-17.9999994459999 53.7500005360001,-17.9999994459999 53.7666672020001,-17.9999994459999 53.783333869,-17.9999994459999 53.800000536,-17.9999994459999 53.8166672020001,-17.9999994459999 53.8333338690001,-17.9999994459999 53.850000536,-17.9999994459999 53.866667202,-17.9999994459999 53.8833338690001,-17.9999994459999 53.9000005360001,-17.9999994459999 53.916667203,-17.9999994459999 53.9333338690001,-17.9999994459999 53.9500005360001,-17.9999994459999 53.966667203,-17.9999994459999 53.983333869,-17.9999994459999 54.0000005360001,-17.9999994459999 54.0166672030001,-17.9999994459999 54.033333869,-17.9999994459999 54.050000536,-17.9999994459999 54.0666672030001,-17.9999994459999 54.0833338690001,-17.9999994459999 54.100000536,-17.9999994459999 54.1166672030001,-17.9999994459999 54.1333338690001,-17.9999994459999 54.1500005360001,-17.9999994459999 54.166667203,-17.9999994459999 54.1833338690001,-17.9999994459999 54.2000005360001,-17.9999994459999 54.216667203,-17.9999994459999 54.233333869,-17.9999994459999 54.2500005360001,-17.9999994459999 54.2666672030001,-17.9999994459999 54.28333387,-17.9999994459999 54.300000536,-17.9999994459999 54.3166672030001,-17.9999994459999 54.33333387,-17.9999994459999 54.350000536,-17.9999994459999 54.3666672030001,-17.9999994459999 54.3833338700001,-17.9999994459999 54.4000005360001,-17.9999994459999 54.416667203,-17.9999994459999 54.4333338700001,-17.9999994459999 54.4500005360001,-17.9999994459999 54.466667203,-17.999999842 54.5000005360001,-17.9833883759999 54.5000000360001,-17.9667768049999 54.5000000360001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VII', '', '27.VII', '27.VII.c', 'Porcupine Bank', '27.VIIc', '27.VII.c.1', 'Porcupine Bank - NEAFC Regulatory Area', '27.VIIc1', '', '', '', '', 'VIIc1', '4', '27.7.c.1', '27.VIIc1', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.999999939 44.5000000160001,-10.999999939 43.0000000260001,-11.0166666059999 43.0000000260001,-11.0333332729999 43.0000000260001,-11.049999939 43.0000000260001,-11.066666606 43.0000000260001,-11.0833332729999 43.0000000260001,-11.0999999389999 43.0000000260001,-11.116666606 43.0000000260001,-11.1333332729999 43.0000000260001,-11.1499999389999 43.0000000260001,-11.166666606 43.0000000260001,-11.183333273 43.0000000260001,-11.199999939 43.0000000260001,-11.2166666059999 43.0000000260001,-11.233333273 43.0000000260001,-11.249999939 43.0000000260001,-11.2666666059999 43.0000000260001,-11.2833332729999 43.0000000260001,-11.29999994 43.0000000260001,-11.316666606 43.0000000260001,-11.3333332729999 43.0000000260001,-11.34999994 43.0000000260001,-11.366666606 43.0000000260001,-11.3833332729999 43.0000000260001,-11.3999999399999 43.0000000260001,-11.416666606 43.0000000260001,-11.433333273 43.0000000260001,-11.4499999399999 43.0000000260001,-11.4666666059999 43.0000000260001,-11.483333273 43.0000000260001,-11.49999994 43.0000000260001,-11.5166666059999 43.0000000260001,-11.5333332729999 43.0000000260001,-11.54999994 43.0000000260001,-11.566666606 43.0000000260001,-11.5833332729999 43.0000000260001,-11.59999994 43.0000000260001,-11.616666606 43.0000000260001,-11.6333332729999 43.0000000260001,-11.6499999399999 43.0000000260001,-11.666666607 43.0000000260001,-11.683333273 43.0000000260001,-11.6999999399999 43.0000000260001,-11.716666607 43.0000000260001,-11.733333273 43.0000000260001,-11.74999994 43.0000000260001,-11.7666666069999 43.0000000260001,-11.7833332729999 43.0000000260001,-11.79999994 43.0000000260001,-11.8166666069999 43.0000000260001,-11.8333332729999 43.0000000260001,-11.84999994 43.0000000260001,-11.866666607 43.0000000260001,-11.8833332729999 43.0000000260001,-11.8999999399999 43.0000000260001,-11.916666607 43.0000000260001,-11.933333273 43.0000000260001,-11.9499999399999 43.0000000260001,-11.966666607 43.0000000260001,-11.983333273 43.0000000260001,-11.99999994 43.0000000260001,-12.0166666069999 43.0000000260001,-12.033333274 43.0000000260001,-12.04999994 43.0000000260001,-12.0666666069999 43.0000000260001,-12.0833332739999 43.0000000260001,-12.09999994 43.0000000260001,-12.116666607 43.0000000260001,-12.1333332739999 43.0000000260001,-12.1499999399999 43.0000000260001,-12.166666607 43.0000000260001,-12.1833332739999 43.0000000260001,-12.1999999399999 43.0000000260001,-12.216666607 43.0000000260001,-12.233333274 43.0000000260001,-12.24999994 43.0000000260001,-12.2666666069999 43.0000000260001,-12.283333274 43.0000000260001,-12.29999994 43.0000000260001,-12.3166666069999 43.0000000260001,-12.3333332739999 43.0000000260001,-12.349999941 43.0000000260001,-12.366666607 43.0000000260001,-12.3833332739999 43.0000000260001,-12.399999941 43.0000000260001,-12.416666607 43.0000000260001,-12.4333332739999 43.0000000260001,-12.4499999409999 43.0000000260001,-12.466666607 43.0000000260001,-12.483333274 43.0000000260001,-12.4999999409999 43.0000000260001,-12.5166666069999 43.0000000260001,-12.533333274 43.0000000260001,-12.549999941 43.0000000260001,-12.5666666069999 43.0000000260001,-12.5833332739999 43.0000000260001,-12.599999941 43.0000000260001,-12.616666607 43.0000000260001,-12.6333332739999 43.0000000260001,-12.649999941 43.0000000260001,-12.666666607 43.0000000260001,-12.6833332739999 43.0000000260001,-12.6999999409999 43.0000000260001,-12.716666608 43.0000000260001,-12.733333274 43.0000000260001,-12.7499999409999 43.0000000260001,-12.766666608 43.0000000260001,-12.783333274 43.0000000260001,-12.799999941 43.0000000260001,-12.8166666079999 43.0000000260001,-12.8333332739999 43.0000000260001,-12.849999941 43.0000000260001,-12.8666666079999 43.0000000260001,-12.8833332739999 43.0000000260001,-12.899999941 43.0000000260001,-12.916666608 43.0000000260001,-12.9333332739999 43.0000000260001,-12.9499999409999 43.0000000260001,-12.966666608 43.0000000260001,-12.983333274 43.0000000260001,-12.9999999409999 43.0000000260001,-13.016666608 43.0000000260001,-13.033333274 43.0000000260001,-13.049999941 43.0000000260001,-13.0666666079999 43.0000000260001,-13.083333275 43.0000000260001,-13.099999941 43.0000000260001,-13.1166666079999 43.0000000260001,-13.1333332749999 43.0000000260001,-13.149999941 43.0000000260001,-13.166666608 43.0000000260001,-13.1833332749999 43.0000000260001,-13.1999999409999 43.0000000260001,-13.216666608 43.0000000260001,-13.2333332749999 43.0000000260001,-13.2499999409999 43.0000000260001,-13.266666608 43.0000000260001,-13.283333275 43.0000000260001,-13.299999941 43.0000000260001,-13.3166666079999 43.0000000260001,-13.333333275 43.0000000260001,-13.349999941 43.0000000260001,-13.3666666079999 43.0000000260001,-13.3833332749999 43.0000000260001,-13.399999941 43.0000000260001,-13.416666608 43.0000000260001,-13.4333332749999 43.0000000260001,-13.449999942 43.0000000260001,-13.466666608 43.0000000260001,-13.4833332749999 43.0000000260001,-13.4999999419999 43.0000000260001,-13.516666608 43.0000000260001,-13.533333275 43.0000000260001,-13.5499999419999 43.0000000260001,-13.5666666079999 43.0000000260001,-13.583333275 43.0000000260001,-13.599999942 43.0000000260001,-13.6166666079999 43.0000000260001,-13.6333332749999 43.0000000260001,-13.649999942 43.0000000260001,-13.666666608 43.0000000260001,-13.6833332749999 43.0000000260001,-13.699999942 43.0000000260001,-13.716666608 43.0000000260001,-13.7333332749999 43.0000000260001,-13.7499999419999 43.0000000260001,-13.766666608 43.0000000260001,-13.783333275 43.0000000260001,-13.799999945 43.000000017,-13.795373076 43.0159701750001,-13.7907462109999 43.0319403240001,-13.786119345 43.0479104730001,-13.781492479 43.063880623,-13.7768656129999 43.079850772,-13.7722387479999 43.095820921,-13.7676118819999 43.111791071,-13.762985016 43.12776122,-13.759410503 43.140099057,-13.7590283989999 43.14141793,-13.758358151 43.1437313690001,-13.7491044189999 43.1756716680001,-13.744477554 43.1916418170001,-13.7398506879999 43.2076119660001,-13.735223822 43.2235821150001,-13.7305969569999 43.239552265,-13.725970091 43.255522414,-13.7213432249999 43.271492563,-13.71671636 43.287462713,-13.7120894939999 43.3034328620001,-13.709061361 43.3138848030001,-13.7028357629999 43.3353731600001,-13.698208897 43.3513433100001,-13.6935820309999 43.3673134590001,-13.688955166 43.3832836080001,-13.6843282999999 43.3992537570001,-13.679701434 43.415223907,-13.6750745689999 43.431194056,-13.666695664 43.4601147930001,-13.665820837 43.463134354,-13.661193972 43.4791045040001,-13.656567106 43.4950746530001,-13.6519402399999 43.5110448020001,-13.647313375 43.5270149520001,-13.6426865089999 43.5429851010001,-13.638059643 43.5589552500001,-13.6334327779999 43.5749253990001,-13.628805912 43.590895549,-13.6241790459999 43.606865698,-13.61955218 43.622835847,-13.6149253149999 43.638805996,-13.610298449 43.6547761460001,-13.6056715829999 43.6707462950001,-13.601044718 43.6867164440001,-13.5964178519999 43.7026865930001,-13.591790986 43.7186567430001,-13.5871641209999 43.7346268920001,-13.582537255 43.750597041,-13.577910389 43.766567191,-13.573283524 43.78253734,-13.568656658 43.798507489,-13.5640297919999 43.814477638,-13.559402927 43.8304477880001,-13.5547760609999 43.8464179370001,-13.550149195 43.8623880860001,-13.5455223299999 43.8783582350001,-13.540895464 43.8943283850001,-13.5362685979999 43.910298534,-13.531641733 43.926268683,-13.5270148669999 43.942238833,-13.522388001 43.958208982,-13.5177611359999 43.974179131,-13.51313427 43.99014928,-13.5085074039999 44.0061194300001,-13.503880539 44.0220895790001,-13.4992536729999 44.0380597280001,-13.494626807 44.0540298770001,-13.4899999419999 44.070000027,-13.486561803 44.0824155270001,-13.485609698 44.0858536850001,-13.4812194539999 44.101707344,-13.4768292099999 44.1175610020001,-13.472438966 44.1334146610001,-13.4680487219999 44.149268319,-13.463658478 44.1651219780001,-13.459268234 44.1809756370001,-13.450869504 44.2113043850001,-13.450487746 44.2126829540001,-13.446097503 44.228536612,-13.4417072589999 44.244390271,-13.437317015 44.2602439290001,-13.4329267709999 44.276097588,-13.424146283 44.3078049050001,-13.4197560389999 44.323658563,-13.415365795 44.3395122220001,-13.411927654 44.351927731,-13.410975551 44.3553658810001,-13.4065853069999 44.371219539,-13.39780482 44.4029268560001,-13.3934145759999 44.418780515,-13.389024332 44.4346341730001,-13.3846340879999 44.4504878320001,-13.3802438439999 44.46634149,-13.3758536 44.4821951490001,-13.3714633559999 44.4980488080001,-13.367073112 44.513902466,-13.362682868 44.5297561250001,-13.3582926239999 44.545609783,-13.35390238 44.561463442,-13.3451218929999 44.593170759,-13.340731649 44.6090244170001,-13.3363414049999 44.6248780760001,-13.3319511609999 44.640731735,-13.3231706729999 44.6724390520001,-13.318780429 44.68829271,-13.314390185 44.7041463690001,-13.3099999409999 44.720000027,-13.2826626629999 44.738934939,-13.2689940239999 44.748402394,-13.2553253849999 44.7578698500001,-13.2416567459999 44.7673373050001,-13.238828618 44.7692961820001,-13.235426025 44.771652956,-13.2279881069999 44.7768047610001,-13.2143194679999 44.786272217,-13.2006508289999 44.795739672,-13.18698219 44.8052071280001,-13.173313551 44.814674584,-13.159644912 44.824142039,-13.145976273 44.8336094950001,-13.132307634 44.8430769500001,-13.118638994 44.852544406,-13.104970355 44.862011862,-13.091301716 44.8714793170001,-13.077633077 44.8809467730001,-13.063964438 44.890414229,-13.050295799 44.899881684,-13.03662716 44.9093491400001,-13.022958521 44.9188165960001,-13.009289882 44.928284051,-12.995621243 44.937751507,-12.981952604 44.9472189620001,-12.968283965 44.9566864180001,-12.9586503539999 44.9633590490001,-12.954615326 44.966153874,-12.940946687 44.975621329,-12.9272780479999 44.9850887850001,-12.913609408 44.9945562410001,-12.899940769 45.004023696,-12.88627213 45.013491152,-12.8726034909999 45.0229586070001,-12.8589348519999 45.0324260630001,-12.8452662129999 45.041893519,-12.8315975739999 45.051360974,-12.8179289349999 45.0608284300001,-12.8042602959999 45.0702958860001,-12.7905916569999 45.079763341,-12.7769230179999 45.089230797,-12.7632543789999 45.0986982520001,-12.7495857399999 45.1081657080001,-12.7359171009999 45.117633164,-12.722248462 45.127100619,-12.7085798219999 45.1365680750001,-12.6949111829999 45.1460355310001,-12.6812425439999 45.155502986,-12.6675739049999 45.164970442,-12.653905266 45.1744378980001,-12.640236627 45.1839053530001,-12.626567988 45.193372809,-12.612899349 45.202840264,-12.59923071 45.2123077200001,-12.585562071 45.2217751760001,-12.571893432 45.231242631,-12.558224793 45.240710087,-12.544556154 45.2501775430001,-12.530887515 45.2596449980001,-12.517218876 45.269112454,-12.503550237 45.278579909,-12.489881597 45.2880473650001,-12.476212958 45.297514821,-12.462544319 45.306982276,-12.44887568 45.3164497320001,-12.435207041 45.3259171880001,-12.421538402 45.3353846430001,-12.407869763 45.344852099,-12.3942011239999 45.354319554,-12.3805324849999 45.3637870100001,-12.3668638459999 45.373254466,-12.3395265679999 45.3921893770001,-12.3258579289999 45.4016568330001,-12.3121892899999 45.4111242880001,-12.2985206509999 45.420591744,-12.2848520109999 45.4300592000001,-12.2711833719999 45.4395266550001,-12.2575147329999 45.448994111,-12.2438460939999 45.458461566,-12.2301774549999 45.4679290220001,-12.2165088159999 45.4773964780001,-12.2028401769999 45.4868639330001,-12.1891715379999 45.496331389,-12.175502899 45.5057988450001,-12.16183426 45.5152663000001,-12.148165621 45.524733756,-12.134496982 45.534201211,-12.120828343 45.5436686670001,-12.107159704 45.5531361230001,-12.093491065 45.5626035780001,-12.079822425 45.572071034,-12.066153786 45.5815384900001,-12.052485147 45.5910059450001,-12.038816508 45.600473401,-12.025147869 45.609940857,-12.01147923 45.6194083120001,-11.997810591 45.6288757680001,-11.984141952 45.638343223,-11.970473313 45.647810679,-11.956804674 45.6572781350001,-11.943136035 45.6667455900001,-11.9294673959999 45.676213046,-11.9157987569999 45.685680502,-11.9021301179999 45.6951479570001,-11.8884614789999 45.7046154130001,-11.874792839 45.714082868,-11.8611241999999 45.723550324,-11.8474555609999 45.7330177800001,-11.8337869219999 45.7424852350001,-11.8201182829999 45.751952691,-11.8064496439999 45.7614201470001,-11.7927810049999 45.7708876020001,-11.7791123659999 45.7803550580001,-11.7654437269999 45.789822513,-11.7517750879999 45.799289969,-11.7381064489999 45.8087574250001,-11.7244378099999 45.8182248800001,-11.710769171 45.827692336,-11.697100532 45.8371597920001,-11.683431893 45.8466272470001,-11.6697632529999 45.8560947030001,-11.6560946139999 45.865562159,-11.642425975 45.875029614,-11.628757336 45.8844970700001,-11.615088697 45.8939645250001,-11.601420058 45.903431981,-11.587751419 45.9128994370001,-11.57408278 45.9223668920001,-11.560414141 45.9318343480001,-11.546745502 45.941301804,-11.533076863 45.950769259,-11.519408224 45.9602367150001,-11.505739585 45.9697041700001,-11.492070946 45.979171626,-11.478402307 45.9886390820001,-11.464733667 45.9981065370001,-11.451065028 46.0075739930001,-11.437396389 46.017041449,-11.42372775 46.026508904,-11.410059111 46.0359763600001,-11.397591366 46.0446120280001,-11.396390472 46.0454438150001,-11.3827218329999 46.054911271,-11.3690531939999 46.0643787270001,-11.3553845549999 46.0738461820001,-11.3417159159999 46.083313638,-11.3280472769999 46.092781094,-11.3143786379999 46.1022485490001,-11.3007099989999 46.1117160050001,-11.2870413599999 46.121183461,-11.2733727209999 46.130650916,-11.2597040819999 46.1401183720001,-11.2460354419999 46.1495858270001,-11.2323668029999 46.159053283,-11.2186981639999 46.168520739,-11.2050295249999 46.1779881940001,-11.1913608859999 46.1874556500001,-11.177692247 46.196923106,-11.164023608 46.206390561,-11.150354969 46.2158580170001,-11.13668633 46.2253254720001,-11.123017691 46.234792928,-11.109349052 46.244260384,-11.095680413 46.2537278390001,-11.082011774 46.2631952950001,-11.068343135 46.272662751,-11.054674496 46.282130206,-11.041005856 46.2915976620001,-11.027337217 46.3010651180001,-11.013668578 46.310532573,-10.99999996 46.3200000150001,-10.999999939 44.5000000160001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VIII', 'Bay of Biscay', '27.VIII', '27.VIII.e', 'West of Bay of Biscay', '27.VIIIe', '27.VIII.e.2', 'West of Bay of Biscay - Non-NEAFC Reg. Area', '27.VIIIe2', '', '', '', '', 'VIIIe2', '4', '27.8.e.2', '27.VIIIe2', 'Y'),('SRID=4326;MULTIPOLYGON(((-76.705871582 -36.049999237,-75.99206543 -35.1712036129999,-75.964530945 -35.155754089,-75.935569763 -35.084323883,-75.872169495 -34.998466492,-75.840438843 -34.875015259,-75.708992004 -34.64264679,-75.274406433 -33.9465675349999,-75.2411727909999 -33.8400001529999,-74.800003052 -33.8400001529999,-73.9999999999999 -33.8400001529999,-73.580429077 -33.8400001529999,-73.646774292 -34.120071411,-73.647750854 -34.191543579,-73.733444214 -34.4769592289999,-74.2532653809999 -35.324596405,-74.317893982 -35.441120148,-74.33303833 -35.5029411319999,-74.364303589 -35.546043396,-74.463195801 -35.79737854,-74.663879395 -36.049999237,-74.800003052 -36.049999237,-75.599998474 -36.049999237,-76.400001526 -36.049999237,-76.705871582 -36.049999237)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.2', 'Central Intermediate', '2.2', '87.2.2.6', '', '2.26', '', '', '', '', '2.26', '4', '87.2.2.6', '87.2.2.6', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.999999955 52.5000000260001,-16.0599999459999 52.500000023,-16.059999944 52.5200000350001,-16.056666611 52.5350000350001,-16.053333277 52.550000035,-16.049999944 52.5650000350001,-16.046666611 52.5800000350001,-16.0433332769999 52.5950000350001,-16.0399999439999 52.610000035,-16.035999944 52.6260000350001,-16.0319999439999 52.6420000350001,-16.0279999439999 52.658000035,-16.023999944 52.6740000350001,-16.0199999439999 52.6900000350001,-16.0159999439999 52.706000035,-16.011999944 52.7220000350001,-16.0079999439999 52.738000035,-16.0039999439999 52.754000035,-15.999999944 52.7700000350001,-15.996666611 52.7850000350001,-15.993333277 52.800000035,-15.989999944 52.8150000350001,-15.986666611 52.8300000350001,-15.9833332769999 52.8450000350001,-15.9799999439999 52.860000035,-15.973999944 52.8760000350001,-15.9679999439999 52.8920000350001,-15.961999944 52.908000035,-15.9559999439999 52.9240000350001,-15.949999944 52.9400000350001,-15.9439999439999 52.956000035,-15.937999944 52.9720000350001,-15.9319999439999 52.988000035,-15.925999944 53.004000035,-15.9199999439999 53.0200000350001,-15.9133332769999 53.0333333680001,-15.9066666099999 53.046666702,-15.8999999439999 53.060000035,-15.893333277 53.0733333680001,-15.88666661 53.0866667020001,-15.879999944 53.1000000350001,-15.873333277 53.113333368,-15.86666661 53.1266667020001,-15.859999944 53.1400000350001,-15.8533332769999 53.1533333680001,-15.8466666099999 53.166666702,-15.8399999439999 53.180000035,-15.843999944 53.1960000350001,-15.847999944 53.2120000350001,-15.8519999439999 53.228000035,-15.855999944 53.2440000350001,-15.859999944 53.2600000350001,-15.8639999439999 53.276000035,-15.867999944 53.2920000350001,-15.871999944 53.3080000350001,-15.8759999439999 53.324000035,-15.879999944 53.3400000350001,-15.881999944 53.3560000350001,-15.883999944 53.372000035,-15.8859999439999 53.3880000350001,-15.8879999439999 53.4040000350001,-15.889999944 53.420000035,-15.892499944 53.437500035,-15.8949999439999 53.4550000350001,-15.8974999439999 53.4725000350001,-15.8999999439999 53.490000035,-15.901999944 53.5060000350001,-15.903999944 53.5220000350001,-15.905999944 53.538000035,-15.907999944 53.5540000350001,-15.9099999439999 53.5700000360001,-15.9149999439999 53.5850000360001,-15.9199999439999 53.600000036,-15.924999944 53.615000036,-15.929999944 53.6300000360001,-15.934999944 53.6450000360001,-15.939999944 53.660000036,-15.9439999439999 53.6760000360001,-15.9479999439999 53.6920000360001,-15.951999944 53.708000036,-15.9559999439999 53.7240000360001,-15.9599999439999 53.740000036,-15.961999944 53.756000036,-15.963999944 53.7720000360001,-15.965999944 53.788000036,-15.9679999439999 53.804000036,-15.9699999439999 53.8200000360001,-15.9733332769999 53.8350000360001,-15.9766666109999 53.850000036,-15.9799999439999 53.865000036,-15.9833332769999 53.8800000360001,-15.986666611 53.8950000360001,-15.989999944 53.910000036,-15.9919999439999 53.9260000360001,-15.9939999439999 53.9420000360001,-15.9959999439999 53.958000036,-15.997999944 53.9740000360001,-15.999999944 53.990000036,-16.001666611 54.0050000360001,-16.003333277 54.0200000360001,-16.004999944 54.035000036,-16.006666611 54.050000036,-16.008333277 54.0650000360001,-16.009999944 54.0800000360001,-16.009999944 54.095000036,-16.009999944 54.110000036,-16.009999944 54.1250000360001,-16.009999944 54.1400000360001,-16.009999944 54.155000036,-16.009999944 54.170000036,-16.009999944 54.1860000360001,-16.009999944 54.2020000360001,-16.009999944 54.218000036,-16.009999944 54.2340000360001,-16.009999944 54.2500000360001,-16.008333277 54.2650000360001,-16.006666611 54.280000036,-16.004999944 54.295000036,-16.003333277 54.3100000360001,-16.001666611 54.3250000360001,-15.999999944 54.340000036,-15.997999944 54.3560000360001,-15.9959999439999 54.372000036,-15.9939999439999 54.3880000360001,-15.9919999439999 54.4040000360001,-15.989999944 54.420000036,-15.989999944 54.4360000360001,-15.989999944 54.4520000360001,-15.989999944 54.468000036,-15.989999944 54.4840000360001,-15.989999944 54.500000024,-11.999999955 54.5000000270001,-11.999999955 52.5000000260001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VII', '', '27.VII', '27.VII.c', 'Porcupine Bank', '27.VIIc', '27.VII.c.2', 'Porcupine Bank Non-NEAFC Regulatory Area', '27.VIIc2', '', '', '', '', 'VIIc2', '4', '27.7.c.2', '27.VIIc2', 'Y'),('SRID=4326;MULTIPOLYGON(((1.94365743500003 50.705215175,1.96472714300006 50.35767244,1.99463121800005 49.8644077210001,1.09426107100006 49.114099266,0.858787158000041 49.0305440060001,0.131796431000055 48.772579555,5.6843418860808e-14 48.7745968470001,-0.878235488999962 48.7880392270001,-0.882413618999976 48.788103178,-0.985753252999928 48.9553132450001,-1.13714745699997 49.0203605,-1.58615120499996 49.4297462710001,-1.75173651999995 49.5901570440001,-1.82823364999996 49.640468985,-1.91980461099996 49.7006949390001,-1.94129993299993 49.726100032,-1.99999993199998 50.5920000350001,-1.96852162599993 50.8626186430001,-1.96486011399998 50.894096619,-1.92161067699993 51.4804025700001,-1.83552415699995 52.647424459,-0.181944439999938 51.3435618090001,0.739652074000048 51.048293023,0.752877842000032 51.045645194,0.980873071000076 51.000000034,1.90994983600007 51.000000017,1.91640007200004 50.984300035,1.94365743500003 50.705215175)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VII', '', '27.VII', '27.VII.d', 'Eastern English Channel', '27.VIId', '', '', '', '', '', '', '', 'VIId', '3', '27.7.d', '27.VIId', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999509999 62.0000000430001,-24.0166666179999 62.0000000430001,-24.033333285 62.0000000430001,-24.049999951 62.0000000430001,-24.0666666179999 62.0000000430001,-24.083333285 62.0000000430001,-24.099999951 62.0000000430001,-24.116666618 62.0000000430001,-24.1333332849999 62.0000000430001,-24.1499999509999 62.0000000430001,-24.166666618 62.0000000430001,-24.1833332849999 62.0000000430001,-24.1999999519999 62.0000000430001,-24.216666618 62.0000000430001,-24.233333285 62.0000000430001,-24.2499999519999 62.0000000430001,-24.2666666179999 62.0000000430001,-24.283333285 62.0000000430001,-24.299999952 62.0000000430001,-24.3166666179999 62.0000000430001,-24.333333285 62.0000000430001,-24.349999952 62.0000000430001,-24.366666618 62.0000000430001,-24.3833332849999 62.0000000430001,-24.399999952 62.0000000430001,-24.416666618 62.0000000430001,-24.4333332849999 62.0000000430001,-24.4499999519999 62.0000000430001,-24.466666618 62.0000000430001,-24.483333285 62.0000000430001,-24.4999999519999 62.0000000430001,-24.516666619 62.0000000430001,-24.533333285 62.0000000430001,-24.549999952 62.0000000430001,-24.5666666189999 62.0000000430001,-24.583333285 62.0000000430001,-24.599999952 62.0000000430001,-24.6166666189999 62.0000000430001,-24.6333332849999 62.0000000430001,-24.649999952 62.0000000430001,-24.666666619 62.0000000430001,-24.6833332849999 62.0000000430001,-24.6999999519999 62.0000000430001,-24.716666619 62.0000000430001,-24.733333285 62.0000000430001,-24.7499999519999 62.0000000430001,-24.766666619 62.0000000430001,-24.783333285 62.0000000430001,-24.799999952 62.0000000430001,-24.8166666189999 62.0000000430001,-24.833333285 62.0000000430001,-24.849999952 62.0000000430001,-24.8666666189999 62.0000000430001,-24.883333286 62.0000000430001,-24.899999952 62.0000000430001,-24.916666619 62.0000000430001,-24.9333332859999 62.0000000430001,-24.9499999519999 62.0000000430001,-24.966666619 62.0000000430001,-24.9833332859999 62.0000000430001,-24.9999999519999 62.0000000430001,-25.016666619 62.0000000430001,-25.033333286 62.0000000430001,-25.049999952 62.0000000430001,-25.0666666189999 62.0000000430001,-25.083333286 62.0000000430001,-25.099999952 62.0000000430001,-25.1166666189999 62.0000000430001,-25.133333286 62.0000000430001,-25.149999952 62.0000000430001,-25.166666619 62.0000000430001,-25.1833332859999 62.0000000430001,-25.1999999519999 62.0000000430001,-25.216666619 62.0000000430001,-25.2333332859999 62.0000000430001,-25.2499999529999 62.0000000430001,-25.266666619 62.0000000430001,-25.283333286 62.0000000430001,-25.2999999529999 62.0000000430001,-25.3166666189999 62.0000000430001,-25.333333286 62.0000000430001,-25.349999953 62.0000000430001,-25.3666666189999 62.0000000430001,-25.383333286 62.0000000430001,-25.399999953 62.0000000430001,-25.416666619 62.0000000430001,-25.4333332859999 62.0000000430001,-25.449999953 62.0000000430001,-25.466666619 62.0000000430001,-25.4833332859999 62.0000000430001,-25.4999999529999 62.0000000430001,-25.516666619 62.0000000430001,-25.533333286 62.0000000430001,-25.5499999529999 62.0000000430001,-25.5666666189999 62.0000000430001,-25.583333286 62.0000000430001,-25.599999953 62.0000000430001,-25.6166666199999 62.0000000430001,-25.633333286 62.0000000430001,-25.649999953 62.0000000430001,-25.6666666199999 62.0000000430001,-25.6833332859999 62.0000000430001,-25.699999953 62.0000000430001,-25.71666662 62.0000000430001,-25.7333332859999 62.0000000430001,-25.7499999529999 62.0000000430001,-25.76666662 62.0000000430001,-25.783333286 62.0000000430001,-25.7999999529999 62.0000000430001,-25.81666662 62.0000000430001,-25.833333286 62.0000000430001,-25.849999953 62.0000000430001,-25.8666666199999 62.0000000430001,-25.883333286 62.0000000430001,-25.899999953 62.0000000430001,-25.9166666199999 62.0000000430001,-25.9333332859999 62.0000000430001,-25.949999953 62.0000000430001,-25.96666662 62.0000000430001,-25.9833332869999 62.0000000430001,-25.9999999529999 62.0000000430001,-26.01666662 62.0000000430001,-26.0333332869999 62.0000000430001,-26.0499999529999 62.0000000430001,-26.06666662 62.0000000430001,-26.083333287 62.0000000430001,-26.099999953 62.0000000430001,-26.1166666199999 62.0000000430001,-26.133333287 62.0000000430001,-26.149999953 62.0000000430001,-26.1666666199999 62.0000000430001,-26.183333287 62.0000000430001,-26.199999953 62.0000000430001,-26.21666662 62.0000000430001,-26.2333332869999 62.0000000430001,-26.2499999529999 62.0000000430001,-26.26666662 62.0000000430001,-26.2833332869999 62.0000000430001,-26.2999999529999 62.0000000430001,-26.31666662 62.0000000430001,-26.333333287 62.0000000430001,-26.3499999539999 62.0000000430001,-26.3666666199999 62.0000000430001,-26.383333287 62.0000000430001,-26.399999954 62.0000000430001,-26.4166666199999 62.0000000430001,-26.433333287 62.0000000430001,-26.449999954 62.0000000430001,-26.46666662 62.0000000430001,-26.4833332869999 62.0000000430001,-26.499999954 62.0000000430001,-26.51666662 62.0000000430001,-26.5333332869999 62.0000000430001,-26.5499999539999 62.0000000430001,-26.56666662 62.0000000430001,-26.583333287 62.0000000430001,-26.5999999539999 62.0000000430001,-26.6166666199999 62.0000000430001,-26.633333287 62.0000000430001,-26.649999954 62.0000000430001,-26.6666666209999 62.0000000430001,-26.683333287 62.0000000430001,-26.699999954 62.0000000430001,-26.7166666209999 62.0000000430001,-26.7333332869999 62.0000000430001,-26.749999954 62.0000000430001,-26.766666621 62.0000000430001,-26.7833332869999 62.0000000430001,-26.7999999539999 62.0000000430001,-26.816666621 62.0000000430001,-26.833333287 62.0000000430001,-26.8499999539999 62.0000000430001,-26.866666621 62.0000000430001,-26.883333287 62.0000000430001,-26.899999954 62.0000000430001,-26.9166666209999 62.0000000430001,-26.933333287 62.0000000430001,-26.949999954 62.0000000430001,-26.9666666209999 62.0000000430001,-26.9833332869999 62.0000000430001,-26.9999999689999 62.0000000220001,-26.9999999849999 62.01666671,-26.9999999849999 62.0333333770001,-26.9999999849999 62.0500000430001,-26.9999999849999 62.06666671,-26.9999999849999 62.083333377,-26.9999999849999 62.1000000430001,-26.9999999849999 62.1166667100001,-26.9999999849999 62.133333377,-26.9999999849999 62.1500000440001,-26.9999999849999 62.1666667100001,-26.9999999849999 62.1833333770001,-26.9999999849999 62.200000044,-26.9999999849999 62.21666671,-26.9999999849999 62.2333333770001,-26.9999999849999 62.250000044,-26.9999999849999 62.26666671,-26.9999999849999 62.2833333770001,-26.9999999849999 62.3000000440001,-26.9999999849999 62.31666671,-26.9999999849999 62.333333377,-26.9999999849999 62.3500000440001,-26.9999999849999 62.3666667100001,-26.9999999849999 62.383333377,-26.9999999849999 62.4000000440001,-26.9999999849999 62.4166667100001,-26.9999999849999 62.4333333770001,-26.9999999849999 62.450000044,-26.9999999849999 62.46666671,-26.9999999849999 62.4833333770001,-26.9999999849999 62.500000044,-26.9999999849999 62.516666711,-26.9999999849999 62.5333333770001,-26.9999999849999 62.5500000440001,-26.9999999849999 62.566666711,-26.9999999849999 62.583333377,-26.9999999849999 62.6000000440001,-26.9999999849999 62.6166667110001,-26.9999999849999 62.633333377,-26.9999999849999 62.6500000440001,-26.9999999849999 62.6666667110001,-26.9999999849999 62.6833333770001,-26.9999999849999 62.700000044,-26.9999999849999 62.7166667110001,-26.9999999849999 62.7333333770001,-26.9999999849999 62.750000044,-26.9999999849999 62.766666711,-26.9999999849999 62.7833333770001,-26.9999999849999 62.8000000440001,-26.9999999849999 62.816666711,-26.9999999849999 62.833333377,-26.9999999849999 62.8500000440001,-26.9999999849999 62.8666667110001,-26.9999999849999 62.883333378,-26.9999999849999 62.9000000440001,-26.9999999849999 62.9166667110001,-26.9999999849999 62.933333378,-26.9999999849999 62.950000044,-26.9999999849999 62.9666667110001,-26.9999999849999 62.9833333780001,-26.999999977 63.000000044,-26.9833332869999 63.000000044,-26.9666666209999 63.000000044,-26.949999954 63.000000044,-26.933333287 63.000000044,-26.9166666209999 63.000000044,-26.899999954 63.000000044,-26.883333287 63.000000044,-26.866666621 63.000000044,-26.8499999539999 63.000000044,-26.833333287 63.000000044,-26.816666621 63.000000044,-26.7999999539999 63.000000044,-26.7833332869999 63.000000044,-26.766666621 63.000000044,-26.749999954 63.000000044,-26.7333332869999 63.000000044,-26.7166666209999 63.000000044,-26.699999954 63.000000044,-26.683333287 63.000000044,-26.6666666209999 63.000000044,-26.649999954 63.000000044,-26.633333287 63.000000044,-26.6166666199999 63.000000044,-26.5999999539999 63.000000044,-26.583333287 63.000000044,-26.56666662 63.000000044,-26.5499999539999 63.000000044,-26.5333332869999 63.000000044,-26.51666662 63.000000044,-26.499999954 63.000000044,-26.4833332869999 63.000000044,-26.46666662 63.000000044,-26.449999954 63.000000044,-26.433333287 63.000000044,-26.4166666199999 63.000000044,-26.399999954 63.000000044,-26.383333287 63.000000044,-26.3666666199999 63.000000044,-26.3499999539999 63.000000044,-26.333333287 63.000000044,-26.31666662 63.000000044,-26.2999999529999 63.000000044,-26.2833332869999 63.000000044,-26.26666662 63.000000044,-26.2499999529999 63.000000044,-26.2333332869999 63.000000044,-26.21666662 63.000000044,-26.199999953 63.000000044,-26.183333287 63.000000044,-26.1666666199999 63.000000044,-26.149999953 63.000000044,-26.133333287 63.000000044,-26.1166666199999 63.000000044,-26.099999953 63.000000044,-26.083333287 63.000000044,-26.06666662 63.000000044,-26.0499999529999 63.000000044,-26.0333332869999 63.000000044,-26.01666662 63.000000044,-25.9999999529999 63.000000044,-25.9833332869999 63.000000044,-25.96666662 63.000000044,-25.949999953 63.000000044,-25.9333332859999 63.000000044,-25.9166666199999 63.000000044,-25.899999953 63.000000044,-25.883333286 63.000000044,-25.8666666199999 63.000000044,-25.849999953 63.000000044,-25.833333286 63.000000044,-25.81666662 63.000000044,-25.7999999529999 63.000000044,-25.783333286 63.000000044,-25.76666662 63.000000044,-25.7499999529999 63.000000044,-25.7333332859999 63.000000044,-25.71666662 63.000000044,-25.699999953 63.000000044,-25.6833332859999 63.000000044,-25.6666666199999 63.000000044,-25.649999953 63.000000044,-25.633333286 63.000000044,-25.6166666199999 63.000000044,-25.599999953 63.000000044,-25.583333286 63.000000044,-25.5666666189999 63.000000044,-25.5499999529999 63.000000044,-25.533333286 63.000000044,-25.516666619 63.000000044,-25.4999999529999 63.000000044,-25.4833332859999 63.000000044,-25.466666619 63.000000044,-25.449999953 63.000000044,-25.4333332859999 63.000000044,-25.416666619 63.000000044,-25.399999953 63.000000044,-25.383333286 63.000000044,-25.3666666189999 63.000000044,-25.349999953 63.000000044,-25.333333286 63.000000044,-25.3166666189999 63.000000044,-25.2999999529999 63.000000044,-25.283333286 63.000000044,-25.266666619 63.000000044,-25.2499999529999 63.000000044,-25.2333332859999 63.000000044,-25.216666619 63.000000044,-25.1999999519999 63.000000044,-25.1833332859999 63.000000044,-25.166666619 63.000000044,-25.149999952 63.000000044,-25.133333286 63.000000044,-25.1166666189999 63.000000044,-25.099999952 63.000000044,-25.083333286 63.000000044,-25.0666666189999 63.000000044,-25.049999952 63.000000044,-25.033333286 63.000000044,-25.016666619 63.000000044,-24.9999999519999 63.000000044,-24.9833332859999 63.000000044,-24.966666619 63.000000044,-24.9499999519999 63.000000044,-24.9333332859999 63.000000044,-24.916666619 63.000000044,-24.899999952 63.000000044,-24.883333286 63.000000044,-24.8666666189999 63.000000044,-24.849999952 63.000000044,-24.833333285 63.000000044,-24.8166666189999 63.000000044,-24.799999952 63.000000044,-24.783333285 63.000000044,-24.766666619 63.000000044,-24.7499999519999 63.000000044,-24.733333285 63.000000044,-24.716666619 63.000000044,-24.6999999519999 63.000000044,-24.6833332849999 63.000000044,-24.666666619 63.000000044,-24.649999952 63.000000044,-24.6333332849999 63.000000044,-24.6166666189999 63.000000044,-24.599999952 63.000000044,-24.583333285 63.000000044,-24.5666666189999 63.000000044,-24.549999952 63.000000044,-24.533333285 63.000000044,-24.516666619 63.000000044,-24.4999999519999 63.000000044,-24.483333285 63.000000044,-24.466666618 63.000000044,-24.4499999519999 63.000000044,-24.4333332849999 63.000000044,-24.416666618 63.000000044,-24.399999952 63.000000044,-24.3833332849999 63.000000044,-24.366666618 63.000000044,-24.349999952 63.000000044,-24.333333285 63.000000044,-24.3166666179999 63.000000044,-24.299999952 63.000000044,-24.283333285 63.000000044,-24.2666666179999 63.000000044,-24.2499999519999 63.000000044,-24.233333285 63.000000044,-24.216666618 63.000000044,-24.1999999519999 63.000000044,-24.1833332849999 63.000000044,-24.166666618 63.000000044,-24.1499999509999 63.000000044,-24.1333332849999 63.000000044,-24.116666618 63.000000044,-24.099999951 63.000000044,-24.083333285 63.000000044,-24.0666666179999 63.000000044,-24.049999951 63.000000044,-24.033333285 63.000000044,-24.0166666179999 63.000000044,-23.9999999509999 63.000000044,-23.9999999509999 62.9833333780001,-23.9999999509999 62.9666667110001,-23.9999999509999 62.950000044,-23.9999999509999 62.933333378,-23.9999999509999 62.9166667110001,-23.9999999509999 62.9000000440001,-23.9999999509999 62.883333378,-23.9999999509999 62.8666667110001,-23.9999999509999 62.8500000440001,-23.9999999509999 62.833333377,-23.9999999509999 62.816666711,-23.9999999509999 62.8000000440001,-23.9999999509999 62.7833333770001,-23.9999999509999 62.766666711,-23.9999999509999 62.750000044,-23.9999999509999 62.7333333770001,-23.9999999509999 62.7166667110001,-23.9999999509999 62.700000044,-23.9999999509999 62.6833333770001,-23.9999999509999 62.6666667110001,-23.9999999509999 62.6500000440001,-23.9999999509999 62.633333377,-23.9999999509999 62.6166667110001,-23.9999999509999 62.6000000440001,-23.9999999509999 62.583333377,-23.9999999509999 62.566666711,-23.9999999509999 62.5500000440001,-23.9999999509999 62.5333333770001,-23.9999999509999 62.516666711,-23.9999999509999 62.500000044,-23.9999999509999 62.4833333770001,-23.9999999509999 62.46666671,-23.9999999509999 62.450000044,-23.9999999509999 62.4333333770001,-23.9999999509999 62.4166667100001,-23.9999999509999 62.4000000440001,-23.9999999509999 62.383333377,-23.9999999509999 62.3666667100001,-23.9999999509999 62.3500000440001,-23.9999999509999 62.333333377,-23.9999999509999 62.31666671,-23.9999999509999 62.3000000440001,-23.9999999509999 62.2833333770001,-23.9999999509999 62.26666671,-23.9999999509999 62.250000044,-23.9999999509999 62.2333333770001,-23.9999999509999 62.21666671,-23.9999999509999 62.200000044,-23.9999999509999 62.1833333770001,-23.9999999509999 62.1666667100001,-23.9999999509999 62.1500000440001,-23.9999999509999 62.133333377,-23.9999999509999 62.1166667100001,-23.9999999509999 62.1000000430001,-23.9999999509999 62.083333377,-23.9999999509999 62.06666671,-23.9999999509999 62.0500000430001,-23.9999999509999 62.0333333770001,-23.9999999509999 62.01666671,-23.9999999509999 62.0000000430001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.V', 'Iceland and Faroes Grounds', '27.V', '27.V.a', 'Iceland Grounds', '27.Va', '27.V.a.1', 'Northern Reykjanes Ridge', '27.Va1', '', '', '', '', 'Va1', '4', '27.5.a.1', '27.Va1', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.499999961 60.000000028,-13.516666608 60.0000000420001,-13.533333275 60.0000000420001,-13.5499999419999 60.0000000420001,-13.5666666079999 60.0000000420001,-13.583333275 60.0000000420001,-13.599999942 60.0000000420001,-13.6166666079999 60.0000000420001,-13.6333332749999 60.0000000420001,-13.649999942 60.0000000420001,-13.666666608 60.0000000420001,-13.6833332749999 60.0000000420001,-13.699999942 60.0000000420001,-13.716666608 60.0000000420001,-13.7333332749999 60.0000000420001,-13.7499999419999 60.0000000420001,-13.766666608 60.0000000420001,-13.783333275 60.0000000420001,-13.7999999419999 60.0000000420001,-13.816666609 60.0000000420001,-13.833333275 60.0000000420001,-13.849999942 60.0000000420001,-13.8666666089999 60.0000000420001,-13.8833332749999 60.0000000420001,-13.899999942 60.0000000420001,-13.9166666089999 60.0000000420001,-13.9333332749999 60.0000000420001,-13.949999942 60.0000000420001,-13.966666609 60.0000000420001,-13.9833332749999 60.0000000420001,-13.9999999419999 60.0000000420001,-14.016666609 60.0000000420001,-14.033333275 60.0000000420001,-14.0499999419999 60.0000000420001,-14.066666609 60.0000000420001,-14.083333275 60.0000000420001,-14.099999942 60.0000000420001,-14.1166666089999 60.0000000420001,-14.1333332749999 60.0000000420001,-14.149999942 60.0000000420001,-14.1666666089999 60.0000000420001,-14.1833332759999 60.0000000420001,-14.199999942 60.0000000420001,-14.216666609 60.0000000420001,-14.2333332759999 60.0000000420001,-14.2499999419999 60.0000000420001,-14.266666609 60.0000000420001,-14.283333276 60.0000000420001,-14.2999999419999 60.0000000420001,-14.316666609 60.0000000420001,-14.333333276 60.0000000420001,-14.349999942 60.0000000420001,-14.3666666089999 60.0000000420001,-14.383333276 60.0000000420001,-14.399999942 60.0000000420001,-14.4166666089999 60.0000000420001,-14.4333332759999 60.0000000420001,-14.449999942 60.0000000420001,-14.466666609 60.0000000420001,-14.4833332759999 60.0000000420001,-14.499999943 60.0000000420001,-14.516666609 60.0000000420001,-14.533333276 60.0000000420001,-14.5499999429999 60.0000000420001,-14.566666609 60.0000000420001,-14.583333276 60.0000000420001,-14.5999999429999 60.0000000420001,-14.6166666089999 60.0000000420001,-14.633333276 60.0000000420001,-14.649999943 60.0000000420001,-14.6666666089999 60.0000000420001,-14.6833332759999 60.0000000420001,-14.699999943 60.0000000420001,-14.716666609 60.0000000420001,-14.7333332759999 60.0000000420001,-14.749999943 60.0000000420001,-14.766666609 60.0000000420001,-14.783333276 60.0000000420001,-14.7999999429999 60.0000000420001,-14.816666609 60.0000000420001,-14.833333276 60.0000000420001,-14.8499999429999 60.0000000420001,-14.86666661 60.0000000420001,-14.883333276 60.0000000420001,-14.899999943 60.0000000420001,-14.9166666099999 60.0000000420001,-14.9333332759999 60.0000000420001,-14.949999943 60.0000000420001,-14.9666666099999 60.0000000420001,-14.9833332759999 60.0000000420001,-14.999999977 60.0000000420001,-14.9999999999999 60.4900000100001,-13.9899999419999 60.710000042,-13.289999941 60.150000042,-13.499999961 60.000000028)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.V', 'Iceland and Faroes Grounds', '27.V', '27.V.b', 'Faroes Grounds', '27.Vb', '27.V.b.1', 'Faroe Plateau', '27.Vb1', '27.V.b.1.a', 'Faeroe Plateau - Part of NEAFC Regulatory Area', '27.Vb1a', '', 'Vb1a', '5', '27.5.b.1.a', '27.Vb1a', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 41.8400001530001,19.5000000000001 41.8400001530001,18.700000763 41.8400001530001,17.899999619 41.8400001530001,17.100000381 41.8400001530001,16.2999992370001 41.8400001530001,15.5000000000001 41.8400001530001,15.790216446 40.7720031740001,16.0000000000001 40.0000000000001,15.0740528110001 40.793670654,14.466647148 41.3143005370001,13.8592424390001 41.834934235,13.2518367770001 42.355567932,12.6444320680001 42.87620163,12.0370264050001 43.3968353270001,11.429620743 43.9174690250001,10.8222160340001 44.438098907,10.2148103710001 44.9587326050001,9.60740566300007 45.4793663020001,9.00000000000006 46.0000000000001,10.599999428 46.0000000000001,11.399999619 46.0000000000001,12.1999998090001 46.0000000000001,13.0000000000001 46.0000000000001,13.800000191 46.0000000000001,14.600000381 46.0000000000001,15.399999619 46.0000000000001,16.200000763 46.0000000000001,17.0000000000001 46.0000000000001,17.7999992370001 46.0000000000001,18.600000381 46.0000000000001,19.399999619 46.0000000000001,20.200000763 46.0000000000001,21.0000000000001 46.0000000000001,21.0000000000001 45.0400009160001,21.0000000000001 44.2400016780001,21.0000000000001 43.4399986270001,21.0000000000001 42.6399993900001,21.0000000000001 41.8400001530001)))', 'Atlantic', '3', '37', 'MEDITERRANEAN AND BLACK SEA', '37', '37.2', 'Central Mediterranean', '', '37.2.1', 'Adriatic', '', '', '', '', '', '', '', '', '2.1', '3', '37.2.1', '37.2.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 -9.99999999999994,-35.799999237 -9.99999999999994,-36.599998474 -9.99999999999994,-37.400001526 -9.99999999999994,-38.2000007629999 -9.99999999999994,-38.9999999999999 -9.99999999999994,-39.9999999999999 -9.99999999999994,-39.9999999999999 -9.19999980899996,-39.9999999999999 -8.39999961899997,-39.9999999999999 -7.59999990499995,-39.9999999999999 -6.80000019099998,-39.9999999999999 -5.99999999999994,-39.9999999999999 -4.99999999999994,-39.9999999999999 -3.99999999999994,-39.9999999999999 -3.20000004799994,-39.9999999999999 -2.40000009499994,-39.9999999999999 -1.60000002399994,-39.9999999999999 -0.800000011999941,-39.9999999999999 5.6843418860808e-14,-39.2000007629999 5.6843418860808e-14,-38.400001526 5.6843418860808e-14,-37.599998474 5.6843418860808e-14,-36.799999237 5.6843418860808e-14,-35.9999999999999 5.6843418860808e-14,-35.2000007629999 5.6843418860808e-14,-34.400001526 5.6843418860808e-14,-33.599998474 5.6843418860808e-14,-31.9999999999999 5.6843418860808e-14,-31.9999999999999 -0.800000011999941,-31.9999999999999 -1.60000002399994,-31.9999999999999 -2.40000009499994,-31.9999999999999 -3.20000004799994,-31.9999999999999 -3.99999999999994,-31.9999999999999 -4.80000019099998,-31.9999999999999 -5.59999990499995,-31.9999999999999 -6.40000009499994,-31.9999999999999 -7.20000028599998,-31.9999999999999 -7.99999999999994,-31.9999999999999 -8.80000019099998,-31.9999999999999 -9.99999999999994,-32.799999237 -9.99999999999994,-33.599998474 -9.99999999999994,-34.9999999999999 -9.99999999999994)))', 'Atlantic', '4', '41', 'ATLANTIC, SOUTHWEST', '41', '41.1', 'Northern', '', '41.1.2', 'Natal', '', '', '', '', '', '', '', '', '1.2', '3', '41.1.2', '41.1.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999983299995 62.000000126,-3.99999989599996 60.5000000420001,-4.99999993399996 60.5000000210001,-4.99999996699995 60.0000000420001,-7.99999996199995 60.0000000420001,-7.99999993599994 60.5000000210001,-7.49999996799994 60.5000000420001,-7.49999993599994 61.2500000430001,-7.99999993599994 61.5000000430001,-9.99999993799997 61.5000000210001,-9.99999996299994 60.0000000420001,-11.99999994 60.0000000250001,-13.499999961 60.000000028,-13.289999941 60.150000042,-13.9899999419999 60.710000042,-14.9999999999999 60.4900000100001,-14.999999943 60.506593449,-14.999999943 60.5231868550001,-14.999999943 60.5397802620001,-14.999999943 60.556373668,-14.999999943 60.5729670750001,-14.999999943 60.5895604820001,-14.999999943 60.6061538880001,-14.999999943 60.6227472950001,-14.999999943 60.639340701,-14.999999943 60.6559341080001,-14.999999943 60.6725275150001,-14.999999943 60.689120921,-14.999999943 60.7057143280001,-14.999999943 60.7223077340001,-14.999999943 60.738901141,-14.999999943 60.7554945480001,-14.999999943 60.772087954,-14.999999943 60.788681361,-14.999999943 60.8052747680001,-14.999999943 60.821868174,-14.999999943 60.838461581,-14.999999943 60.8550549870001,-14.999999943 60.871648394,-14.999999943 60.888241801,-14.999999943 60.9048352070001,-14.999999943 60.921428614,-14.999999943 60.9380220200001,-14.999999943 60.9546154270001,-14.999999943 60.971208834,-14.999999943 60.9878022400001,-14.999999943 61.0043956470001,-14.999999943 61.0209890530001,-14.999999943 61.0375824600001,-14.999999943 61.0541758670001,-14.999999943 61.0707692730001,-14.999999943 61.0873626800001,-14.999999943 61.103956086,-14.999999943 61.1205494930001,-14.999999943 61.1371429000001,-14.999999943 61.153736306,-14.999999943 61.1703297130001,-14.999999943 61.1869231200001,-14.999999943 61.203516526,-14.999999943 61.2201099330001,-14.999999943 61.236703339,-14.999999943 61.253296746,-14.999999943 61.2698901530001,-14.999999943 61.286483559,-14.999999943 61.303076966,-14.999999943 61.3196703720001,-14.999999943 61.336263779,-14.999999943 61.3528571860001,-14.999999943 61.3694505920001,-14.999999943 61.386043999,-14.999999943 61.4026374050001,-14.999999943 61.4192308120001,-14.999999943 61.435824219,-14.999999943 61.4524176250001,-14.999999943 61.4690110320001,-14.999999943 61.4856044380001,-14.999999943 61.5021978450001,-14.999999943 61.518791252,-14.999999943 61.5353846580001,-14.999999943 61.5519780650001,-14.999999943 61.568571472,-14.999999943 61.5851648780001,-14.999999943 61.6017582850001,-14.999999943 61.618351691,-14.999999943 61.6349450980001,-14.999999943 61.6515385050001,-14.999999943 61.668131911,-14.999999943 61.6847253180001,-14.999999943 61.701318724,-14.999999943 61.717912131,-14.999999943 61.7345055380001,-14.999999943 61.751098944,-14.999999943 61.7676923510001,-14.999999943 61.7842857570001,-14.999999943 61.800879164,-14.999999943 61.8174725710001,-14.999999943 61.8340659770001,-14.999999943 61.850659384,-14.999999943 61.8672527900001,-14.999999943 61.8838461970001,-14.999999943 61.900439604,-14.999999943 61.9170330100001,-14.999999943 61.933626417,-14.999999943 61.950219824,-14.999999943 61.9668132300001,-14.999999943 61.983406637,-14.999999966 62.0000000430001,-14.999999943 62.01666671,-14.999999943 62.0333333770001,-14.999999943 62.0500000430001,-14.999999943 62.06666671,-14.999999943 62.083333377,-14.999999943 62.1000000430001,-14.999999943 62.1166667100001,-14.999999943 62.133333377,-14.999999943 62.1500000440001,-14.999999943 62.1666667100001,-14.999999943 62.1833333770001,-14.999999943 62.200000044,-14.999999943 62.21666671,-14.999999943 62.2333333770001,-14.999999943 62.250000044,-14.999999943 62.26666671,-14.999999943 62.2833333770001,-14.999999943 62.3000000440001,-14.999999943 62.31666671,-14.999999943 62.333333377,-14.999999943 62.3500000440001,-14.999999943 62.3666667100001,-14.999999943 62.383333377,-14.999999943 62.4000000440001,-14.999999943 62.4166667100001,-14.999999943 62.4333333770001,-14.999999943 62.450000044,-14.999999943 62.46666671,-14.999999943 62.4833333770001,-14.999999943 62.500000044,-14.999999943 62.516666711,-14.999999943 62.5333333770001,-14.999999943 62.5500000440001,-14.999999943 62.566666711,-14.999999943 62.583333377,-14.999999943 62.6000000440001,-14.999999943 62.6166667110001,-14.999999943 62.633333377,-14.999999943 62.6500000440001,-14.999999943 62.6666667110001,-14.999999943 62.6833333770001,-14.999999943 62.700000044,-14.999999943 62.7166667110001,-14.999999943 62.7333333770001,-14.999999943 62.750000044,-14.999999943 62.766666711,-14.999999943 62.7833333770001,-14.999999943 62.8000000440001,-14.999999943 62.816666711,-14.999999943 62.833333377,-14.999999943 62.8500000440001,-14.999999943 62.8666667110001,-14.999999943 62.883333378,-14.999999943 62.9000000440001,-14.999999943 62.9166667110001,-14.999999943 62.933333378,-14.999999943 62.950000044,-14.999999943 62.9666667110001,-14.999999943 62.9833333780001,-14.999999943 63.0000000220001,-14.9833332759999 63.000000044,-14.9666666099999 63.000000044,-14.949999943 63.000000044,-14.9333332759999 63.000000044,-14.9166666099999 63.000000044,-14.899999943 63.000000044,-14.883333276 63.000000044,-14.86666661 63.000000044,-14.8499999429999 63.000000044,-14.833333276 63.000000044,-14.816666609 63.000000044,-14.7999999429999 63.000000044,-14.783333276 63.000000044,-14.766666609 63.000000044,-14.749999943 63.000000044,-14.7333332759999 63.000000044,-14.716666609 63.000000044,-14.699999943 63.000000044,-14.6833332759999 63.000000044,-14.6666666089999 63.000000044,-14.649999943 63.000000044,-14.633333276 63.000000044,-14.6166666089999 63.000000044,-14.5999999429999 63.000000044,-14.583333276 63.000000044,-14.566666609 63.000000044,-14.5499999429999 63.000000044,-14.533333276 63.000000044,-14.516666609 63.000000044,-14.499999943 63.000000044,-14.4833332759999 63.000000044,-14.466666609 63.000000044,-14.449999942 63.000000044,-14.4333332759999 63.000000044,-14.4166666089999 63.000000044,-14.399999942 63.000000044,-14.383333276 63.000000044,-14.3666666089999 63.000000044,-14.349999942 63.000000044,-14.333333276 63.000000044,-14.316666609 63.000000044,-14.2999999419999 63.000000044,-14.283333276 63.000000044,-14.266666609 63.000000044,-14.2499999419999 63.000000044,-14.2333332759999 63.000000044,-14.216666609 63.000000044,-14.199999942 63.000000044,-14.1833332759999 63.000000044,-14.1666666089999 63.000000044,-14.149999942 63.000000044,-14.1333332749999 63.000000044,-14.1166666089999 63.000000044,-14.099999942 63.000000044,-14.083333275 63.000000044,-14.066666609 63.000000044,-14.0499999419999 63.000000044,-14.033333275 63.000000044,-14.016666609 63.000000044,-13.9999999419999 63.000000044,-13.9833332749999 63.000000044,-13.966666609 63.000000044,-13.949999942 63.000000044,-13.9333332749999 63.000000044,-13.9166666089999 63.000000044,-13.899999942 63.000000044,-13.8833332749999 63.000000044,-13.8666666089999 63.000000044,-13.849999942 63.000000044,-13.833333275 63.000000044,-13.816666609 63.000000044,-13.7999999419999 63.000000044,-13.783333275 63.000000044,-13.766666608 63.000000044,-13.7499999419999 63.000000044,-13.7333332749999 63.000000044,-13.716666608 63.000000044,-13.699999942 63.000000044,-13.6833332749999 63.000000044,-13.666666608 63.000000044,-13.649999942 63.000000044,-13.6333332749999 63.000000044,-13.6166666079999 63.000000044,-13.599999942 63.000000044,-13.583333275 63.000000044,-13.5666666079999 63.000000044,-13.5499999419999 63.000000044,-13.533333275 63.000000044,-13.516666608 63.000000044,-13.4999999419999 63.000000044,-13.4833332749999 63.000000044,-13.466666608 63.000000044,-13.449999942 63.000000044,-13.4333332749999 63.000000044,-13.416666608 63.000000044,-13.399999941 63.000000044,-13.3833332749999 63.000000044,-13.3666666079999 63.000000044,-13.349999941 63.000000044,-13.333333275 63.000000044,-13.3166666079999 63.000000044,-13.299999941 63.000000044,-13.283333275 63.000000044,-13.266666608 63.000000044,-13.2499999409999 63.000000044,-13.2333332749999 63.000000044,-13.216666608 63.000000044,-13.1999999409999 63.000000044,-13.1833332749999 63.000000044,-13.166666608 63.000000044,-13.149999941 63.000000044,-13.1333332749999 63.000000044,-13.1166666079999 63.000000044,-13.099999941 63.000000044,-13.083333275 63.000000044,-13.0666666079999 63.000000044,-13.049999941 63.000000044,-13.033333274 63.000000044,-13.016666608 63.000000044,-12.9999999409999 63.000000044,-12.983333274 63.000000044,-12.966666608 63.000000044,-12.9499999409999 63.000000044,-12.9333332739999 63.000000044,-12.916666608 63.000000044,-12.899999941 63.000000044,-12.8833332739999 63.000000044,-12.8666666079999 63.000000044,-12.849999941 63.000000044,-12.8333332739999 63.000000044,-12.8166666079999 63.000000044,-12.799999941 63.000000044,-12.783333274 63.000000044,-12.766666608 63.000000044,-12.7499999409999 63.000000044,-12.733333274 63.000000044,-12.716666608 63.000000044,-12.6999999409999 63.000000044,-12.6833332739999 63.000000044,-12.666666607 63.000000044,-12.649999941 63.000000044,-12.6333332739999 63.000000044,-12.616666607 63.000000044,-12.599999941 63.000000044,-12.5833332739999 63.000000044,-12.5666666069999 63.000000044,-12.549999941 63.000000044,-12.533333274 63.000000044,-12.5166666069999 63.000000044,-12.4999999409999 63.000000044,-12.483333274 63.000000044,-12.466666607 63.000000044,-12.4499999409999 63.000000044,-12.4333332739999 63.000000044,-12.416666607 63.000000044,-12.399999941 63.000000044,-12.3833332739999 63.000000044,-12.366666607 63.000000044,-12.349999941 63.000000044,-12.3333332739999 63.000000044,-12.3166666069999 63.000000044,-12.29999994 63.000000044,-12.283333274 63.000000044,-12.2666666069999 63.000000044,-12.24999994 63.000000044,-12.233333274 63.000000044,-12.216666607 63.000000044,-12.1999999399999 63.000000044,-12.1833332739999 63.000000044,-12.166666607 63.000000044,-12.1499999399999 63.000000044,-12.1333332739999 63.000000044,-12.116666607 63.000000044,-12.09999994 63.000000044,-12.0833332739999 63.000000044,-12.0666666069999 63.000000044,-12.04999994 63.000000044,-12.033333274 63.000000044,-12.0166666069999 63.000000044,-11.99999994 63.000000044,-11.983333273 63.000000044,-11.966666607 63.000000044,-11.9499999399999 63.000000044,-11.933333273 63.000000044,-11.916666607 63.000000044,-11.8999999399999 63.000000044,-11.8833332729999 63.000000044,-11.866666607 63.000000044,-11.84999994 63.000000044,-11.8333332729999 63.000000044,-11.8166666069999 63.000000044,-11.79999994 63.000000044,-11.7833332729999 63.000000044,-11.7666666069999 63.000000044,-11.74999994 63.000000044,-11.733333273 63.000000044,-11.716666607 63.000000044,-11.6999999399999 63.000000044,-11.683333273 63.000000044,-11.666666607 63.000000044,-11.6499999399999 63.000000044,-11.6333332729999 63.000000044,-11.616666606 63.000000044,-11.59999994 63.000000044,-11.5833332729999 63.000000044,-11.566666606 63.000000044,-11.54999994 63.000000044,-11.5333332729999 63.000000044,-11.5166666059999 63.000000044,-11.49999994 63.000000044,-11.483333273 63.000000044,-11.4666666059999 63.000000044,-11.4499999399999 63.000000044,-11.433333273 63.000000044,-11.416666606 63.000000044,-11.3999999399999 63.000000044,-11.3833332729999 63.000000044,-11.366666606 63.000000044,-11.34999994 63.000000044,-11.3333332729999 63.000000044,-11.316666606 63.000000044,-11.29999994 63.000000044,-11.2833332729999 63.000000044,-11.2666666059999 63.000000044,-11.249999939 63.000000044,-11.233333273 63.000000044,-11.2166666059999 63.000000044,-11.199999939 63.000000044,-11.183333273 63.000000044,-11.166666606 63.000000044,-11.1499999389999 63.000000044,-11.1333332729999 63.000000044,-11.116666606 63.000000044,-11.0999999389999 63.000000044,-11.0833332729999 63.000000044,-11.066666606 63.000000044,-11.049999939 63.000000044,-11.0333332729999 63.000000044,-11.0166666059999 63.000000044,-10.9999999639999 63.000000044,-3.99999993299997 63.000000044,-3.99999983299995 62.000000126)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.V', 'Iceland and Faroes Grounds', '27.V', '27.V.b', 'Faroes Grounds', '27.Vb', '27.V.b.1', 'Faroe Plateau', '27.Vb1', '27.V.b.1.b', 'Faeroe Plateau - Part of Non-NEAFC Regulatory Area', '27.Vb1b', '', 'Vb1b', '5', '27.5.b.1.b', '27.Vb1b', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.5500301979999 60.0000005420001,-23.999999451 60.0000003420001,-23.9999999509999 54.503025904,-23.9999999509999 54.5000000360001,-17.999999842 54.5000005360001,-17.9999994459999 54.466667203,-17.9999994459999 54.4500005360001,-17.9999994459999 54.4333338700001,-17.9999994459999 54.416667203,-17.9999994459999 54.4000005360001,-17.9999994459999 54.3833338700001,-17.9999994459999 54.3666672030001,-17.9999994459999 54.350000536,-17.9999994459999 54.33333387,-17.9999994459999 54.3166672030001,-17.9999994459999 54.300000536,-17.9999994459999 54.28333387,-17.9999994459999 54.2666672030001,-17.9999994459999 54.2500005360001,-17.9999994459999 54.233333869,-17.9999994459999 54.216667203,-17.9999994459999 54.2000005360001,-17.9999994459999 54.1833338690001,-17.9999994459999 54.166667203,-17.9999994459999 54.1500005360001,-17.9999994459999 54.1333338690001,-17.9999994459999 54.1166672030001,-17.9999994459999 54.100000536,-17.9999994459999 54.0833338690001,-17.9999994459999 54.0666672030001,-17.9999994459999 54.050000536,-17.9999994459999 54.033333869,-17.9999994459999 54.0166672030001,-17.9999994459999 54.0000005360001,-17.9999994459999 53.983333869,-17.9999994459999 53.966667203,-17.9999994459999 53.9500005360001,-17.9999994459999 53.9333338690001,-17.9999994459999 53.916667203,-17.9999994459999 53.9000005360001,-17.9999994459999 53.8833338690001,-17.9999994459999 53.866667202,-17.9999994459999 53.850000536,-17.9999994459999 53.8333338690001,-17.9999994459999 53.8166672020001,-17.9999994459999 53.800000536,-17.9999994459999 53.783333869,-17.9999994459999 53.7666672020001,-17.9999994459999 53.7500005360001,-17.9999994459999 53.733333869,-17.9999994459999 53.7166672020001,-17.9999994459999 53.7000005360001,-17.9999994459999 53.6833338690001,-17.9999994459999 53.666667202,-17.9999994459999 53.6500005360001,-17.9999994459999 53.6333338690001,-17.9999994459999 53.616667202,-17.9999994459999 53.600000536,-17.9999994459999 53.5833338690001,-17.9999994459999 53.5666672020001,-17.9999994459999 53.550000535,-17.9999994459999 53.533333869,-17.9999994459999 53.5166672020001,-17.9999994459999 53.500000535,-17.9999994459999 53.483333869,-17.9999994459999 53.4666672020001,-17.9999994459999 53.4500005350001,-17.9999994459999 53.4333338690001,-17.9999994459999 53.416667202,-17.9999994459999 53.4000005350001,-17.9999994459999 53.3833338690001,-17.9999994459999 53.366667202,-17.9999994459999 53.350000535,-17.9999994459999 53.3333338690001,-17.9999994459999 53.3166672020001,-17.9999994459999 53.300000535,-17.9999994459999 53.283333869,-17.9999994459999 53.2666672020001,-17.9999994459999 53.250000535,-17.9999994459999 53.233333869,-17.9999994459999 53.2166672020001,-17.9999994459999 53.2000005350001,-17.9999994459999 53.183333868,-17.9999994459999 53.166667202,-17.9999994459999 53.1500005350001,-17.9999994459999 53.1333338680001,-17.9999994459999 53.116667202,-17.9999994459999 53.100000535,-17.9999994459999 53.0833338680001,-17.9999994459999 53.0666672020001,-17.9999994459999 53.050000535,-17.9999994459999 53.0333338680001,-17.9999994459999 53.0166672020001,-17.9999994459999 53.000000535,-17.9999994459999 52.983333868,-17.9999994459999 52.9666672020001,-17.9999994459999 52.9500005350001,-17.9999994459999 52.933333868,-17.9999994459999 52.916667202,-17.9999994459999 52.9000005350001,-17.9999994459999 52.8833338680001,-17.9999994459999 52.866667202,-17.9999994459999 52.850000535,-17.9999994459999 52.8333338680001,-17.9999994459999 52.816667201,-17.9999994459999 52.800000535,-17.9999994459999 52.7833338680001,-17.9999994459999 52.7666672010001,-17.9999994459999 52.750000535,-17.9999994459999 52.733333868,-17.9999994459999 52.7166672010001,-17.9999994459999 52.7000005350001,-17.9999994459999 52.683333868,-17.9999994459999 52.6666672010001,-17.9999994459999 52.6500005350001,-17.9999994459999 52.6333338680001,-17.9999994459999 52.616667201,-17.9999994459999 52.600000535,-17.9999994459999 52.5833338680001,-17.9999994459999 52.566667201,-17.9999994459999 52.550000535,-17.9999994459999 52.5333338680001,-17.9999994459999 52.5166672010001,-17.9999998709999 52.50000032,-18.0166661119999 52.500000535,-18.033332779 52.500000535,-18.049999446 52.500000535,-18.066666112 52.500000535,-18.0833327789999 52.500000535,-18.099999446 52.500000535,-18.116666113 52.500000535,-18.1333327789999 52.500000535,-18.149999446 52.500000535,-18.166666113 52.500000535,-18.183332779 52.500000535,-18.1999994459999 52.500000535,-18.216666113 52.500000535,-18.233332779 52.500000535,-18.2499994459999 52.500000535,-18.2666661129999 52.500000535,-18.283332779 52.500000535,-18.299999446 52.500000535,-18.3166661129999 52.500000535,-18.3333327789999 52.500000535,-18.349999446 52.500000535,-18.366666113 52.500000535,-18.3833327789999 52.500000535,-18.399999446 52.500000535,-18.416666113 52.500000535,-18.4333327799999 52.500000535,-18.4499994459999 52.500000535,-18.466666113 52.500000535,-18.48333278 52.500000535,-18.4999994459999 52.500000535,-18.5166661129999 52.500000535,-18.53333278 52.500000535,-18.549999446 52.500000535,-18.5666661129999 52.500000535,-18.58333278 52.500000535,-18.599999446 52.500000535,-18.616666113 52.500000535,-18.6333327799999 52.500000535,-18.649999446 52.500000535,-18.666666113 52.500000535,-18.6833327799999 52.500000535,-18.6999994459999 52.500000535,-18.716666113 52.500000535,-18.73333278 52.500000535,-18.7499994459999 52.500000535,-18.7666661129999 52.500000535,-18.78333278 52.500000535,-18.7999994469999 52.500000535,-18.8166661129999 52.500000535,-18.83333278 52.500000535,-18.849999447 52.500000535,-18.866666113 52.500000535,-18.8833327799999 52.500000535,-18.899999447 52.500000535,-18.916666113 52.500000535,-18.9333327799999 52.500000535,-18.949999447 52.500000535,-18.966666113 52.500000535,-18.98333278 52.500000535,-18.9999994469999 52.500000535,-19.0166661129999 52.500000535,-19.03333278 52.500000535,-19.0499994469999 52.500000535,-19.0666661129999 52.500000535,-19.08333278 52.500000535,-19.099999447 52.500000535,-19.116666113 52.500000535,-19.1333327799999 52.500000535,-19.149999447 52.500000535,-19.166666114 52.500000535,-19.1833327799999 52.500000535,-19.199999447 52.500000535,-19.216666114 52.500000535,-19.23333278 52.500000535,-19.2499994469999 52.500000535,-19.266666114 52.500000535,-19.28333278 52.500000535,-19.2999994469999 52.500000535,-19.3166661139999 52.500000535,-19.33333278 52.500000535,-19.349999447 52.500000535,-19.3666661139999 52.500000535,-19.3833327799999 52.500000535,-19.399999447 52.500000535,-19.416666114 52.500000535,-19.4333327799999 52.500000535,-19.449999447 52.500000535,-19.466666114 52.500000535,-19.48333278 52.500000535,-19.4999994469999 52.500000535,-19.516666114 52.500000535,-19.533332781 52.500000535,-19.5499994469999 52.500000535,-19.5666661139999 52.500000535,-19.583332781 52.500000535,-19.599999447 52.500000535,-19.6166661139999 52.500000535,-19.633332781 52.500000535,-19.649999447 52.500000535,-19.666666114 52.500000535,-19.6833327809999 52.500000535,-19.699999447 52.500000535,-19.716666114 52.500000535,-19.7333327809999 52.500000535,-19.7499994469999 52.500000535,-19.766666114 52.500000535,-19.783332781 52.500000535,-19.7999994469999 52.500000535,-19.8166661139999 52.500000535,-19.833332781 52.500000535,-19.849999447 52.500000535,-19.8666661139999 52.500000535,-19.883332781 52.500000535,-19.899999448 52.500000535,-19.916666114 52.500000535,-19.9333327809999 52.500000535,-19.949999448 52.500000535,-19.966666114 52.500000535,-19.9833327809999 52.500000535,-19.999999448 52.500000535,-20.016666114 52.500000535,-20.033332781 52.500000535,-20.0499994479999 52.500000535,-20.0666661139999 52.500000535,-20.083332781 52.500000535,-20.0999994479999 52.500000535,-20.1166661139999 52.500000535,-20.133332781 52.500000535,-20.149999448 52.500000535,-20.166666114 52.500000535,-20.1833327809999 52.500000535,-20.199999448 52.500000535,-20.216666114 52.500000535,-20.2333327809999 52.500000535,-20.249999448 52.500000535,-20.266666115 52.500000535,-20.283332781 52.500000535,-20.2999994479999 52.500000535,-20.316666115 52.500000535,-20.333332781 52.500000535,-20.3499994479999 52.500000535,-20.3666661149999 52.500000535,-20.383332781 52.500000535,-20.399999448 52.500000535,-20.4166661149999 52.500000535,-20.4333327809999 52.500000535,-20.449999448 52.500000535,-20.466666115 52.500000535,-20.4833327809999 52.500000535,-20.499999448 52.500000535,-20.516666115 52.500000535,-20.533332781 52.500000535,-20.5499994479999 52.500000535,-20.566666115 52.500000535,-20.583332782 52.500000535,-20.5999994479999 52.500000535,-20.6166661149999 52.500000535,-20.633332782 52.500000535,-20.649999448 52.500000535,-20.6666661149999 52.500000535,-20.683332782 52.500000535,-20.699999448 52.500000535,-20.716666115 52.500000535,-20.7333327819999 52.500000535,-20.749999448 52.500000535,-20.766666115 52.500000535,-20.7833327819999 52.500000535,-20.7999994479999 52.500000535,-20.816666115 52.500000535,-20.833332782 52.500000535,-20.8499994479999 52.500000535,-20.8666661149999 52.500000535,-20.883332782 52.500000535,-20.899999448 52.500000535,-20.9166661149999 52.500000535,-20.933332782 52.500000535,-20.949999449 52.500000535,-20.966666115 52.500000535,-20.9833327819999 52.500000535,-20.999999449 52.500000535,-21.016666115 52.500000535,-21.0333327819999 52.500000535,-21.0499994489999 52.500000535,-21.066666115 52.500000535,-21.083332782 52.500000535,-21.0999994489999 52.500000535,-21.1166661149999 52.500000535,-21.133332782 52.500000535,-21.1499994489999 52.500000535,-21.1666661149999 52.500000535,-21.183332782 52.500000535,-21.199999449 52.500000535,-21.216666115 52.500000535,-21.2333327819999 52.500000535,-21.249999449 52.500000535,-21.266666115 52.500000535,-21.2833327819999 52.500000535,-21.2999994489999 52.500000535,-21.316666116 52.500000535,-21.333332782 52.500000535,-21.3499994489999 52.500000535,-21.366666116 52.500000535,-21.383332782 52.500000535,-21.3999994489999 52.500000535,-21.4166661159999 52.500000535,-21.433332782 52.500000535,-21.449999449 52.500000535,-21.4666661159999 52.500000535,-21.4833327819999 52.500000535,-21.499999449 52.500000535,-21.516666116 52.500000535,-21.5333327819999 52.500000535,-21.5499994489999 52.500000535,-21.566666116 52.500000535,-21.583332782 52.500000535,-21.5999994489999 52.500000535,-21.616666116 52.500000535,-21.633332782 52.500000535,-21.6499994489999 52.500000535,-21.6666661159999 52.500000535,-21.683332783 52.500000535,-21.699999449 52.500000535,-21.7166661159999 52.500000535,-21.733332783 52.500000535,-21.749999449 52.500000535,-21.766666116 52.500000535,-21.7833327829999 52.500000535,-21.7999994489999 52.500000535,-21.816666116 52.500000535,-21.8333327829999 52.500000535,-21.8499994489999 52.500000535,-21.866666116 52.500000535,-21.883332783 52.500000535,-21.8999994489999 52.500000535,-21.9166661159999 52.500000535,-21.933332783 52.500000535,-21.949999449 52.500000535,-21.9666661159999 52.500000535,-21.983332783 52.500000535,-21.999999449 52.500000535,-22.016666116 52.500000535,-22.0333327829999 52.500000535,-22.04999945 52.500000535,-22.066666116 52.500000535,-22.0833327829999 52.500000535,-22.0999994499999 52.500000535,-22.116666116 52.500000535,-22.133332783 52.500000535,-22.1499994499999 52.500000535,-22.1666661159999 52.500000535,-22.183332783 52.500000535,-22.19999945 52.500000535,-22.2166661159999 52.500000535,-22.233332783 52.500000535,-22.24999945 52.500000535,-22.266666116 52.500000535,-22.2833327829999 52.500000535,-22.29999945 52.500000535,-22.316666116 52.500000535,-22.3333327829999 52.500000535,-22.3499994499999 52.500000535,-22.366666116 52.500000535,-22.383332783 52.500000535,-22.3999994499999 52.500000535,-22.416666117 52.500000535,-22.433332783 52.500000535,-22.44999945 52.500000535,-22.4666661169999 52.500000535,-22.483332783 52.500000535,-22.49999945 52.500000535,-22.5166661169999 52.500000535,-22.5333327829999 52.500000535,-22.54999945 52.500000535,-22.566666117 52.500000535,-22.5833327829999 52.500000535,-22.5999994499999 52.500000535,-22.616666117 52.500000535,-22.633332783 52.500000535,-22.6499994499999 52.500000535,-22.666666117 52.500000535,-22.683332783 52.500000535,-22.69999945 52.500000535,-22.7166661169999 52.500000535,-22.733332784 52.500000535,-22.74999945 52.500000535,-22.7666661169999 52.500000535,-22.783332784 52.500000535,-22.79999945 52.500000535,-22.816666117 52.500000535,-22.8333327839999 52.500000535,-22.8499994499999 52.500000535,-22.866666117 52.500000535,-22.8833327839999 52.500000535,-22.8999994499999 52.500000535,-22.916666117 52.500000535,-22.933332784 52.500000535,-22.94999945 52.500000535,-22.9666661169999 52.500000535,-22.983332784 52.500000535,-22.99999945 52.500000535,-23.0166661169999 52.500000535,-23.033332784 52.500000535,-23.04999945 52.500000535,-23.066666117 52.500000535,-23.0833327839999 52.500000535,-23.099999451 52.500000535,-23.116666117 52.500000535,-23.1333327839999 52.500000535,-23.1499994509999 52.500000535,-23.166666117 52.500000535,-23.183332784 52.500000535,-23.1999994509999 52.500000535,-23.2166661169999 52.500000535,-23.233332784 52.500000535,-23.249999451 52.500000535,-23.2666661169999 52.500000535,-23.283332784 52.500000535,-23.299999451 52.500000535,-23.316666117 52.500000535,-23.3333327839999 52.500000535,-23.349999451 52.500000535,-23.366666117 52.500000535,-23.3833327839999 52.500000535,-23.3999994509999 52.500000535,-23.416666117 52.500000535,-23.433332784 52.500000535,-23.4499994509999 52.500000535,-23.466666118 52.500000535,-23.483332784 52.500000535,-23.499999451 52.500000535,-23.5166661179999 52.500000535,-23.533332784 52.500000535,-23.549999451 52.500000535,-23.5666661179999 52.500000535,-23.5833327839999 52.500000535,-23.599999451 52.500000535,-23.616666118 52.500000535,-23.6333327839999 52.500000535,-23.6499994509999 52.500000535,-23.666666118 52.500000535,-23.683332784 52.500000535,-23.6999994509999 52.500000535,-23.716666118 52.500000535,-23.733332784 52.500000535,-23.749999451 52.500000535,-23.7666661179999 52.500000535,-23.783332784 52.500000535,-23.799999451 52.500000535,-23.8166661179999 52.500000535,-23.833332785 52.500000535,-23.849999451 52.500000535,-23.866666118 52.500000535,-23.8833327849999 52.500000535,-23.8999994509999 52.500000535,-23.916666118 52.500000535,-23.9333327849999 52.500000535,-23.9499994509999 52.500000535,-23.966666118 52.500000535,-23.983332785 52.500000535,-23.999999451 52.500000535,-24.0166661179999 52.500000535,-24.033332785 52.500000535,-24.049999451 52.500000535,-24.0666661179999 52.500000535,-24.083332785 52.500000535,-24.099999451 52.500000535,-24.116666118 52.500000535,-24.1333327849999 52.500000535,-24.1499994509999 52.500000535,-24.166666118 52.500000535,-24.1833327849999 52.500000535,-24.1999994519999 52.500000535,-24.216666118 52.500000535,-24.233332785 52.500000535,-24.2499994519999 52.500000535,-24.2666661179999 52.500000535,-24.283332785 52.500000535,-24.299999452 52.500000535,-24.3166661179999 52.500000535,-24.333332785 52.500000535,-24.349999452 52.500000535,-24.366666118 52.500000535,-24.3833327849999 52.500000535,-24.399999452 52.500000535,-24.416666118 52.500000535,-24.4333327849999 52.500000535,-24.4499994519999 52.500000535,-24.466666118 52.500000535,-24.483332785 52.500000535,-24.4999994519999 52.500000535,-24.516666119 52.500000535,-24.533332785 52.500000535,-24.549999452 52.500000535,-24.5666661189999 52.500000535,-24.583332785 52.500000535,-24.599999452 52.500000535,-24.6166661189999 52.500000535,-24.6333327849999 52.500000535,-24.649999452 52.500000535,-24.666666119 52.500000535,-24.6833327849999 52.500000535,-24.6999994519999 52.500000535,-24.716666119 52.500000535,-24.733332785 52.500000535,-24.7499994519999 52.500000535,-24.766666119 52.500000535,-24.783332785 52.500000535,-24.799999452 52.500000535,-24.8166661189999 52.500000535,-24.833332785 52.500000535,-24.849999452 52.500000535,-24.8666661189999 52.500000535,-24.883332786 52.500000535,-24.899999452 52.500000535,-24.916666119 52.500000535,-24.9333327859999 52.500000535,-24.9499994519999 52.500000535,-24.966666119 52.500000535,-24.9833327859999 52.500000535,-24.9999994519999 52.500000535,-25.016666119 52.500000535,-25.033332786 52.500000535,-25.049999452 52.500000535,-25.0666661189999 52.500000535,-25.083332786 52.500000535,-25.099999452 52.500000535,-25.1166661189999 52.500000535,-25.133332786 52.500000535,-25.149999452 52.500000535,-25.166666119 52.500000535,-25.1833327859999 52.500000535,-25.1999994519999 52.500000535,-25.216666119 52.500000535,-25.2333327859999 52.500000535,-25.2499994529999 52.500000535,-25.266666119 52.500000535,-25.283332786 52.500000535,-25.2999994529999 52.500000535,-25.3166661189999 52.500000535,-25.333332786 52.500000535,-25.349999453 52.500000535,-25.3666661189999 52.500000535,-25.383332786 52.500000535,-25.399999453 52.500000535,-25.416666119 52.500000535,-25.4333327859999 52.500000535,-25.449999453 52.500000535,-25.466666119 52.500000535,-25.4833327859999 52.500000535,-25.4999994529999 52.500000535,-25.516666119 52.500000535,-25.533332786 52.500000535,-25.5499994529999 52.500000535,-25.5666661189999 52.500000535,-25.583332786 52.500000535,-25.599999453 52.500000535,-25.6166661199999 52.500000535,-25.633332786 52.500000535,-25.649999453 52.500000535,-25.6666661199999 52.500000535,-25.6833327859999 52.500000535,-25.699999453 52.500000535,-25.71666612 52.500000535,-25.7333327859999 52.500000535,-25.7499994529999 52.500000535,-25.76666612 52.500000535,-25.783332786 52.500000535,-25.7999994529999 52.500000535,-25.81666612 52.500000535,-25.833332786 52.500000535,-25.849999453 52.500000535,-25.8666661199999 52.500000535,-25.883332786 52.500000535,-25.899999453 52.500000535,-25.9166661199999 52.500000535,-25.9333327859999 52.500000535,-25.949999453 52.500000535,-25.96666612 52.500000535,-25.9833327869999 52.500000535,-25.9999994529999 52.500000535,-26.01666612 52.500000535,-26.0333327869999 52.500000535,-26.0499994529999 52.500000535,-26.06666612 52.500000535,-26.083332787 52.500000535,-26.099999453 52.500000535,-26.1166661199999 52.500000535,-26.133332787 52.500000535,-26.149999453 52.500000535,-26.1666661199999 52.500000535,-26.183332787 52.500000535,-26.199999453 52.500000535,-26.21666612 52.500000535,-26.2333327869999 52.500000535,-26.2499994529999 52.500000535,-26.26666612 52.500000535,-26.2833327869999 52.500000535,-26.2999994529999 52.500000535,-26.31666612 52.500000535,-26.333332787 52.500000535,-26.3499994539999 52.500000535,-26.3666661199999 52.500000535,-26.383332787 52.500000535,-26.399999454 52.500000535,-26.4166661199999 52.500000535,-26.433332787 52.500000535,-26.449999454 52.500000535,-26.46666612 52.500000535,-26.4833327869999 52.500000535,-26.499999454 52.500000535,-26.51666612 52.500000535,-26.5333327869999 52.500000535,-26.5499994539999 52.500000535,-26.56666612 52.500000535,-26.583332787 52.500000535,-26.5999994539999 52.500000535,-26.6166661199999 52.500000535,-26.633332787 52.500000535,-26.649999454 52.500000535,-26.6666661209999 52.500000535,-26.683332787 52.500000535,-26.699999454 52.500000535,-26.7166661209999 52.500000535,-26.7333327869999 52.500000535,-26.749999454 52.500000535,-26.766666121 52.500000535,-26.7833327869999 52.500000535,-26.7999994539999 52.500000535,-26.816666121 52.500000535,-26.833332787 52.500000535,-26.8499994539999 52.500000535,-26.866666121 52.500000535,-26.883332787 52.500000535,-26.899999454 52.500000535,-26.9166661209999 52.500000535,-26.933332787 52.500000535,-26.949999454 52.500000535,-26.9666661209999 52.500000535,-26.9833327869999 52.500000535,-26.999999454 52.500000535,-27.016666121 52.500000535,-27.0333327879999 52.500000535,-27.0499994539999 52.500000535,-27.066666121 52.500000535,-27.083332788 52.500000535,-27.0999994539999 52.500000535,-27.116666121 52.500000535,-27.133332788 52.500000535,-27.149999454 52.500000535,-27.1666661209999 52.500000535,-27.183332788 52.500000535,-27.199999454 52.500000535,-27.2166661209999 52.500000535,-27.2333327879999 52.500000535,-27.249999454 52.500000535,-27.266666121 52.500000535,-27.2833327879999 52.500000535,-27.2999994539999 52.500000535,-27.316666121 52.500000535,-27.333332788 52.500000535,-27.3499994539999 52.500000535,-27.366666121 52.500000535,-27.383332788 52.500000535,-27.3999994549999 52.500000535,-27.4166661209999 52.500000535,-27.433332788 52.500000535,-27.449999455 52.500000535,-27.4666661209999 52.500000535,-27.4833327879999 52.500000535,-27.499999455 52.500000535,-27.516666121 52.500000535,-27.5333327879999 52.500000535,-27.549999455 52.500000535,-27.566666121 52.500000535,-27.583332788 52.500000535,-27.5999994549999 52.500000535,-27.616666121 52.500000535,-27.633332788 52.500000535,-27.6499994549999 52.500000535,-27.6666661209999 52.500000535,-27.683332788 52.500000535,-27.699999455 52.500000535,-27.7166661209999 52.500000535,-27.7333327879999 52.500000535,-27.749999455 52.500000535,-27.7666661219999 52.500000535,-27.7833327879999 52.500000535,-27.799999455 52.500000535,-27.816666122 52.500000535,-27.833332788 52.500000535,-27.8499994549999 52.500000535,-27.866666122 52.500000535,-27.883332788 52.500000535,-27.8999994549999 52.500000535,-27.916666122 52.500000535,-27.933332788 52.500000535,-27.949999455 52.500000535,-27.9666661219999 52.500000535,-27.9833327879999 52.500000535,-27.999999455 52.500000535,-28.0166661219999 52.500000535,-28.0333327879999 52.500000535,-28.049999455 52.500000535,-28.066666122 52.500000535,-28.083332788 52.500000535,-28.0999994549999 52.500000535,-28.116666122 52.500000535,-28.133332789 52.500000535,-28.1499994549999 52.500000535,-28.166666122 52.500000535,-28.183332789 52.500000535,-28.199999455 52.500000535,-28.2166661219999 52.500000535,-28.233332789 52.500000535,-28.249999455 52.500000535,-28.2666661219999 52.500000535,-28.2833327889999 52.500000535,-28.299999455 52.500000535,-28.316666122 52.500000535,-28.3333327889999 52.500000535,-28.3499994549999 52.500000535,-28.366666122 52.500000535,-28.383332789 52.500000535,-28.3999994549999 52.500000535,-28.416666122 52.500000535,-28.433332789 52.500000535,-28.449999455 52.500000535,-28.4666661219999 52.500000535,-28.483332789 52.500000535,-28.499999456 52.500000535,-28.5166661219999 52.500000535,-28.5333327889999 52.500000535,-28.549999456 52.500000535,-28.566666122 52.500000535,-28.5833327889999 52.500000535,-28.599999456 52.500000535,-28.616666122 52.500000535,-28.633332789 52.500000535,-28.6499994559999 52.500000535,-28.666666122 52.500000535,-28.683332789 52.500000535,-28.6999994559999 52.500000535,-28.7166661219999 52.500000535,-28.733332789 52.500000535,-28.749999456 52.500000535,-28.7666661219999 52.500000535,-28.7833327889999 52.500000535,-28.799999456 52.500000535,-28.8166661229999 52.500000535,-28.8333327889999 52.500000535,-28.849999456 52.500000535,-28.866666123 52.500000535,-28.883332789 52.500000535,-28.8999994559999 52.500000535,-28.916666123 52.500000535,-28.933332789 52.500000535,-28.9499994559999 52.500000535,-28.966666123 52.500000535,-28.983332789 52.500000535,-28.999999456 52.500000535,-29.0166661229999 52.500000535,-29.0333327889999 52.500000535,-29.049999456 52.500000535,-29.0666661229999 52.500000535,-29.0833327889999 52.500000535,-29.099999456 52.500000535,-29.116666123 52.500000535,-29.133332789 52.500000535,-29.1499994559999 52.500000535,-29.166666123 52.500000535,-29.18333279 52.500000535,-29.1999994559999 52.500000535,-29.216666123 52.500000535,-29.23333279 52.500000535,-29.249999456 52.500000535,-29.2666661229999 52.500000535,-29.28333279 52.500000535,-29.299999456 52.500000535,-29.3166661229999 52.500000535,-29.3333327899999 52.500000535,-29.349999456 52.500000535,-29.366666123 52.500000535,-29.3833327899999 52.500000535,-29.3999994559999 52.500000535,-29.416666123 52.500000535,-29.43333279 52.500000535,-29.4499994559999 52.500000535,-29.466666123 52.500000535,-29.48333279 52.500000535,-29.499999456 52.500000535,-29.5166661229999 52.500000535,-29.53333279 52.500000535,-29.549999457 52.500000535,-29.5666661229999 52.500000535,-29.5833327899999 52.500000535,-29.599999457 52.500000535,-29.616666123 52.500000535,-29.6333327899999 52.500000535,-29.649999457 52.500000535,-29.666666123 52.500000535,-29.68333279 52.500000535,-29.6999994569999 52.500000535,-29.716666123 52.500000535,-29.73333279 52.500000535,-29.7499994569999 52.500000535,-29.7666661229999 52.500000535,-29.78333279 52.500000535,-29.799999457 52.500000535,-29.8166661229999 52.500000535,-29.8333327899999 52.500000535,-29.849999457 52.500000535,-29.866666123 52.500000535,-29.8833327899999 52.500000535,-29.899999457 52.500000535,-29.916666124 52.500000535,-29.93333279 52.500000535,-29.9499994569999 52.500000535,-29.966666124 52.500000535,-29.98333279 52.500000535,-29.9999994569999 52.500000535,-30.016666124 52.500000535,-30.03333279 52.500000535,-30.049999457 52.500000535,-30.0666661239999 52.500000535,-30.0833327899999 52.500000535,-30.099999457 52.500000535,-30.1166661239999 52.500000535,-30.1333327899999 52.500000535,-30.149999457 52.500000535,-30.166666124 52.500000535,-30.18333279 52.500000535,-30.1999994569999 52.500000535,-30.216666124 52.500000535,-30.23333279 52.500000535,-30.2499994569999 52.500000535,-30.266666124 52.500000535,-30.283332791 52.500000535,-30.299999457 52.500000535,-30.3166661239999 52.500000535,-30.333332791 52.500000535,-30.349999457 52.500000535,-30.3666661239999 52.500000535,-30.3833327909999 52.500000535,-30.399999457 52.500000535,-30.416666124 52.500000535,-30.4333327909999 52.500000535,-30.4499994569999 52.500000535,-30.466666124 52.500000535,-30.483332791 52.500000535,-30.4999994569999 52.500000535,-30.516666124 52.500000535,-30.533332791 52.500000535,-30.549999457 52.500000535,-30.5666661239999 52.500000535,-30.583332791 52.500000535,-30.599999458 52.500000535,-30.6166661239999 52.500000535,-30.6333327909999 52.500000535,-30.649999458 52.500000535,-30.666666124 52.500000535,-30.6833327909999 52.500000535,-30.699999458 52.500000535,-30.716666124 52.500000535,-30.733332791 52.500000535,-30.7499994579999 52.500000535,-30.766666124 52.500000535,-30.783332791 52.500000535,-30.7999994579999 52.500000535,-30.8166661239999 52.500000535,-30.833332791 52.500000535,-30.849999458 52.500000535,-30.8666661239999 52.500000535,-30.8833327909999 52.500000535,-30.899999458 52.500000535,-30.916666124 52.500000535,-30.9333327909999 52.500000535,-30.949999458 52.500000535,-30.966666125 52.500000535,-30.983332791 52.500000535,-30.9999994579999 52.500000535,-31.016666125 52.500000535,-31.033332791 52.500000535,-31.0499994579999 52.500000535,-31.066666125 52.500000535,-31.083332791 52.500000535,-31.099999458 52.500000535,-31.1166661249999 52.500000535,-31.1333327909999 52.500000535,-31.149999458 52.500000535,-31.1666661249999 52.500000535,-31.1833327909999 52.500000535,-31.199999458 52.500000535,-31.216666125 52.500000535,-31.233332791 52.500000535,-31.2499994579999 52.500000535,-31.266666125 52.500000535,-31.283332791 52.500000535,-31.2999994579999 52.500000535,-31.316666125 52.500000535,-31.333332792 52.500000535,-31.349999458 52.500000535,-31.3666661249999 52.500000535,-31.383332792 52.500000535,-31.399999458 52.500000535,-31.4166661249999 52.500000535,-31.4333327919999 52.500000535,-31.449999458 52.500000535,-31.466666125 52.500000535,-31.4833327919999 52.500000535,-31.4999994579999 52.500000535,-31.516666125 52.500000535,-31.533332792 52.500000535,-31.5499994579999 52.500000535,-31.566666125 52.500000535,-31.583332792 52.500000535,-31.599999458 52.500000535,-31.6166661249999 52.500000535,-31.633332792 52.500000535,-31.649999458 52.500000535,-31.6666661249999 52.500000535,-31.6833327919999 52.500000535,-31.699999459 52.500000535,-31.716666125 52.500000535,-31.7333327919999 52.500000535,-31.749999459 52.500000535,-31.766666125 52.500000535,-31.783332792 52.500000535,-31.7999994589999 52.500000535,-31.816666125 52.500000535,-31.833332792 52.500000535,-31.8499994589999 52.500000535,-31.8666661249999 52.500000535,-31.883332792 52.500000535,-31.899999459 52.500000535,-31.9166661249999 52.500000535,-31.9333327919999 52.500000535,-31.949999459 52.500000535,-31.966666125 52.500000535,-31.9833327919999 52.500000535,-31.999999459 52.500000535,-32.016666125 52.500000535,-32.033332792 52.500000535,-32.0499994589999 52.500000535,-32.066666126 52.500000535,-32.083332792 52.500000535,-32.0999994589999 52.500000535,-32.116666126 52.500000535,-32.133332792 52.500000535,-32.149999459 52.500000535,-32.1666661259999 52.500000535,-32.1833327919999 52.500000535,-32.199999459 52.500000535,-32.216666126 52.500000535,-32.2333327919999 52.500000535,-32.249999459 52.500000535,-32.266666126 52.500000535,-32.283332792 52.500000535,-32.2999994589999 52.500000535,-32.316666126 52.500000535,-32.333332792 52.500000535,-32.3499994589999 52.500000535,-32.366666126 52.500000535,-32.383332792 52.500000535,-32.399999459 52.500000535,-32.4166661259999 52.500000535,-32.433332793 52.500000535,-32.449999459 52.500000535,-32.466666126 52.500000535,-32.4833327929999 52.500000535,-32.499999459 52.500000535,-32.516666126 52.500000535,-32.5333327929999 52.500000535,-32.5499994589999 52.500000535,-32.566666126 52.500000535,-32.583332793 52.500000535,-32.5999994589999 52.500000535,-32.616666126 52.500000535,-32.633332793 52.500000535,-32.649999459 52.500000535,-32.6666661259999 52.500000535,-32.683332793 52.500000535,-32.699999459 52.500000535,-32.716666126 52.500000535,-32.7333327929999 52.500000535,-32.74999946 52.500000535,-32.766666126 52.500000535,-32.7833327929999 52.500000535,-32.79999946 52.500000535,-32.816666126 52.500000535,-32.833332793 52.500000535,-32.8499994599999 52.500000535,-32.866666126 52.500000535,-32.883332793 52.500000535,-32.8999994599999 52.500000535,-32.9166661259999 52.500000535,-32.933332793 52.500000535,-32.94999946 52.500000535,-32.966666126 52.500000535,-32.9833327929999 52.500000535,-32.99999946 52.500000535,-33.016666126 52.500000535,-33.0333327929999 52.500000535,-33.04999946 52.500000535,-33.066666126 52.500000535,-33.083332793 52.500000535,-33.0999994599999 52.500000535,-33.116666127 52.500000535,-33.133332793 52.500000535,-33.1499994599999 52.500000535,-33.1666661269999 52.500000535,-33.183332793 52.500000535,-33.19999946 52.500000535,-33.2166661269999 52.500000535,-33.2333327929999 52.500000535,-33.24999946 52.500000535,-33.266666127 52.500000535,-33.2833327929999 52.500000535,-33.29999946 52.500000535,-33.316666127 52.500000535,-33.333332793 52.500000535,-33.3499994599999 52.500000535,-33.366666127 52.500000535,-33.383332793 52.500000535,-33.3999994599999 52.500000535,-33.4166661269999 52.500000535,-33.433332793 52.500000535,-33.44999946 52.500000535,-33.4666661269999 52.500000535,-33.483332794 52.500000535,-33.49999946 52.500000535,-33.516666127 52.500000535,-33.5333327939999 52.500000535,-33.54999946 52.500000535,-33.566666127 52.500000535,-33.5833327939999 52.500000535,-33.5999994599999 52.500000535,-33.616666127 52.500000535,-33.633332794 52.500000535,-33.6499994599999 52.500000535,-33.6666661269999 52.500000535,-33.683332794 52.500000535,-33.69999946 52.500000535,-33.7166661269999 52.500000535,-33.733332794 52.500000535,-33.74999946 52.500000535,-33.766666127 52.500000535,-33.7833327939999 52.500000535,-33.79999946 52.500000535,-33.816666127 52.500000535,-33.8333327939999 52.500000535,-33.849999461 52.500000535,-33.866666127 52.500000535,-33.883332794 52.500000535,-33.8999994609999 52.500000535,-33.9166661269999 52.500000535,-33.933332794 52.500000535,-33.9499994609999 52.500000535,-33.9666661269999 52.500000535,-33.983332794 52.500000535,-33.999999461 52.500000535,-34.016666127 52.500000535,-34.0333327939999 52.500000535,-34.049999461 52.500000535,-34.066666127 52.500000535,-34.0833327939999 52.500000535,-34.099999461 52.500000535,-34.116666127 52.500000535,-34.133332794 52.500000535,-34.1499994609999 52.500000535,-34.1666661269999 52.500000535,-34.183332794 52.500000535,-34.1999994609999 52.500000535,-34.2166661279999 52.500000535,-34.233332794 52.500000535,-34.249999461 52.500000535,-34.2666661279999 52.500000535,-34.2833327939999 52.500000535,-34.299999461 52.500000535,-34.316666128 52.500000535,-34.3333327939999 52.500000535,-34.349999461 52.500000535,-34.366666128 52.500000535,-34.383332794 52.500000535,-34.3999994609999 52.500000535,-34.416666128 52.500000535,-34.433332794 52.500000535,-34.4499994609999 52.500000535,-34.4666661279999 52.500000535,-34.483332794 52.500000535,-34.499999461 52.500000535,-34.5166661279999 52.500000535,-34.5333327939999 52.500000535,-34.549999461 52.500000535,-34.566666128 52.500000535,-34.5833327949999 52.500000535,-34.599999461 52.500000535,-34.616666128 52.500000535,-34.6333327949999 52.500000535,-34.6499994609999 52.500000535,-34.666666128 52.500000535,-34.683332795 52.500000535,-34.6999994609999 52.500000535,-34.7166661279999 52.500000535,-34.733332795 52.500000535,-34.749999461 52.500000535,-34.7666661279999 52.500000535,-34.783332795 52.500000535,-34.799999461 52.500000535,-34.816666128 52.500000535,-34.8333327949999 52.500000535,-34.849999461 52.500000535,-34.866666128 52.500000535,-34.8833327949999 52.500000535,-34.899999462 52.500000535,-34.916666128 52.500000535,-34.933332795 52.500000535,-34.9499994619999 52.500000535,-34.9666661279999 52.500000535,-34.983332795 52.500000535,-34.9999994619999 52.500000535,-35.0166661279999 52.500000535,-35.033332795 52.500000535,-35.049999462 52.500000535,-35.066666128 52.500000535,-35.0833327949999 52.500000535,-35.099999462 52.500000535,-35.116666128 52.500000535,-35.1333327949999 52.500000535,-35.149999462 52.500000535,-35.166666128 52.500000535,-35.183332795 52.500000535,-35.1999994619999 52.500000535,-35.2166661279999 52.500000535,-35.233332795 52.500000535,-35.2499994619999 52.500000535,-35.2666661289999 52.500000535,-35.283332795 52.500000535,-35.299999462 52.500000535,-35.3166661289999 52.500000535,-35.3333327949999 52.500000535,-35.349999462 52.500000535,-35.366666129 52.500000535,-35.3833327949999 52.500000535,-35.399999462 52.500000535,-35.416666129 52.500000535,-35.433332795 52.500000535,-35.4499994619999 52.500000535,-35.466666129 52.500000535,-35.483332795 52.500000535,-35.4999994619999 52.500000535,-35.5166661289999 52.500000535,-35.533332795 52.500000535,-35.549999462 52.500000535,-35.5666661289999 52.500000535,-35.5833327949999 52.500000535,-35.599999462 52.500000535,-35.616666129 52.500000535,-35.6333327959999 52.500000535,-35.649999462 52.500000535,-35.666666129 52.500000535,-35.6833327959999 52.500000535,-35.6999994619999 52.500000535,-35.716666129 52.500000535,-35.733332796 52.500000535,-35.7499994619999 52.500000535,-35.7666661289999 52.500000535,-35.783332796 52.500000535,-35.799999462 52.500000535,-35.8166661289999 52.500000535,-35.833332796 52.500000535,-35.849999462 52.500000535,-35.866666129 52.500000535,-35.8833327959999 52.500000535,-35.899999462 52.500000535,-35.916666129 52.500000535,-35.9333327959999 52.500000535,-35.9499994619999 52.500000535,-35.966666129 52.500000535,-35.983332796 52.500000535,-35.9999994629999 52.500000535,-36.0166661289999 52.500000535,-36.033332796 52.500000535,-36.0499994629999 52.500000535,-36.0666661289999 52.500000535,-36.083332796 52.500000535,-36.099999463 52.500000535,-36.116666129 52.500000535,-36.1333327959999 52.500000535,-36.149999463 52.500000535,-36.166666129 52.500000535,-36.1833327959999 52.500000535,-36.199999463 52.500000535,-36.216666129 52.500000535,-36.233332796 52.500000535,-36.2499994629999 52.500000535,-36.2666661289999 52.500000535,-36.283332796 52.500000535,-36.2999994629999 52.500000535,-36.3166661289999 52.500000535,-36.333332796 52.500000535,-36.349999463 52.500000535,-36.3666661299999 52.500000535,-36.3833327959999 52.500000535,-36.399999463 52.500000535,-36.41666613 52.500000535,-36.4333327959999 52.500000535,-36.449999463 52.500000535,-36.46666613 52.500000535,-36.483332796 52.500000535,-36.4999994629999 52.500000535,-36.51666613 52.500000535,-36.533332796 52.500000535,-36.5499994629999 52.500000535,-36.5666661299999 52.500000535,-36.583332796 52.500000535,-36.599999463 52.500000535,-36.6166661299999 52.500000535,-36.6333327959999 52.500000535,-36.649999463 52.500000535,-36.66666613 52.500000535,-36.6833327969999 52.500000535,-36.699999463 52.500000535,-36.71666613 52.500000535,-36.7333327969999 52.500000535,-36.7499994629999 52.500000535,-36.76666613 52.500000535,-36.783332797 52.500000535,-36.7999994629999 52.500000535,-36.8166661299999 52.500000535,-36.833332797 52.500000535,-36.849999463 52.500000535,-36.8666661299999 52.500000535,-36.883332797 52.500000535,-36.899999463 52.500000535,-36.91666613 52.500000535,-36.9333327969999 52.500000535,-36.949999463 52.500000535,-36.96666613 52.500000535,-36.9833327969999 52.500000535,-36.9999994629999 52.500000535,-37.01666613 52.500000535,-37.033332797 52.500000535,-37.0499994639999 52.500000535,-37.0666661299999 52.500000535,-37.083332797 52.500000535,-37.0999994639999 52.500000535,-37.1166661299999 52.500000535,-37.133332797 52.500000535,-37.149999464 52.500000535,-37.16666613 52.500000535,-37.1833327969999 52.500000535,-37.199999464 52.500000535,-37.21666613 52.500000535,-37.2333327969999 52.500000535,-37.249999464 52.500000535,-37.26666613 52.500000535,-37.283332797 52.500000535,-37.2999994639999 52.500000535,-37.3166661299999 52.500000535,-37.333332797 52.500000535,-37.3499994639999 52.500000535,-37.3666661299999 52.500000535,-37.383332797 52.500000535,-37.399999464 52.500000535,-37.4166661309999 52.500000535,-37.4333327969999 52.500000535,-37.449999464 52.500000535,-37.466666131 52.500000535,-37.4833327969999 52.500000535,-37.499999464 52.500000535,-37.516666131 52.500000535,-37.533332797 52.500000535,-37.5499994639999 52.500000535,-37.566666131 52.500000535,-37.583332797 52.500000535,-37.5999994639999 52.500000535,-37.6166661309999 52.500000535,-37.633332797 52.500000535,-37.649999464 52.500000535,-37.6666661309999 52.500000535,-37.6833327969999 52.500000535,-37.699999464 52.500000535,-37.716666131 52.500000535,-37.7333327969999 52.500000535,-37.749999464 52.500000535,-37.766666131 52.500000535,-37.7833327979999 52.500000535,-37.7999994639999 52.500000535,-37.816666131 52.500000535,-37.833332798 52.500000535,-37.8499994639999 52.500000535,-37.8666661309999 52.500000535,-37.883332798 52.500000535,-37.899999464 52.500000535,-37.9166661309999 52.500000535,-37.933332798 52.500000535,-37.949999464 52.500000535,-37.966666131 52.500000535,-37.9833327979999 52.500000535,-37.999999464 52.500000535,-38.016666131 52.500000535,-38.0333327979999 52.500000535,-38.0499994639999 52.500000535,-38.066666131 52.500000535,-38.083332798 52.500000535,-38.0999994639999 52.500000535,-38.1166661309999 52.500000535,-38.133332798 52.500000535,-38.149999465 52.500000535,-38.1666661309999 52.500000535,-38.183332798 52.500000535,-38.199999465 52.500000535,-38.216666131 52.500000535,-38.2333327979999 52.500000535,-38.249999465 52.500000535,-38.266666131 52.500000535,-38.2833327979999 52.500000535,-38.299999465 52.500000535,-38.316666131 52.500000535,-38.333332798 52.500000535,-38.3499994649999 52.500000535,-38.3666661309999 52.500000535,-38.383332798 52.500000535,-38.399999465 52.500000535,-38.4166661309999 52.500000535,-38.433332798 52.500000535,-38.449999465 52.500000535,-38.466666131 52.500000535,-38.4833327979999 52.500000535,-38.499999465 52.500000535,-38.516666132 52.500000535,-38.5333327979999 52.500000535,-38.549999465 52.500000535,-38.566666132 52.500000535,-38.583332798 52.500000535,-38.5999994649999 52.500000535,-38.616666132 52.500000535,-38.633332798 52.500000535,-38.649999465 52.500000535,-38.6666661319999 52.500000535,-38.683332798 52.500000535,-38.699999465 52.500000535,-38.7166661319999 52.500000535,-38.7333327979999 52.500000535,-38.749999465 52.500000535,-38.766666132 52.500000535,-38.7833327979999 52.500000535,-38.799999465 52.500000535,-38.816666132 52.500000535,-38.8333327989999 52.500000535,-38.8499994649999 52.500000535,-38.866666132 52.500000535,-38.883332799 52.500000535,-38.899999465 52.500000535,-38.9166661319999 52.500000535,-38.933332799 52.500000535,-38.949999465 52.500000535,-38.9666661319999 52.500000535,-38.983332799 52.500000535,-38.999999465 52.500000535,-39.016666132 52.500000535,-39.0333327989999 52.500000535,-39.049999465 52.500000535,-39.066666132 52.500000535,-39.0833327989999 52.500000535,-39.0999994649999 52.500000535,-39.116666132 52.500000535,-39.133332799 52.500000535,-39.149999465 52.500000535,-39.1666661319999 52.500000535,-39.183332799 52.500000535,-39.199999466 52.500000535,-39.2166661319999 52.500000535,-39.233332799 52.500000535,-39.249999466 52.500000535,-39.266666132 52.500000535,-39.2833327989999 52.500000535,-39.299999466 52.500000535,-39.316666132 52.500000535,-39.3333327989999 52.500000535,-39.3499994659999 52.500000535,-39.366666132 52.500000535,-39.383332799 52.500000535,-39.3999994659999 52.500000535,-39.4166661319999 52.500000535,-39.433332799 52.500000535,-39.449999466 52.500000535,-39.4666661319999 52.500000535,-39.483332799 52.500000535,-39.499999466 52.500000535,-39.516666132 52.500000535,-39.5333327989999 52.500000535,-39.549999466 52.500000535,-39.566666133 52.500000535,-39.5833327989999 52.500000535,-39.5999994659999 52.500000535,-39.616666133 52.500000535,-39.633332799 52.500000535,-39.6499994659999 52.500000535,-39.666666133 52.500000535,-39.683332799 52.500000535,-39.699999466 52.500000535,-39.7166661329999 52.500000535,-39.733332799 52.500000535,-39.749999466 52.500000535,-39.7666661329999 52.500000535,-39.7833327989999 52.500000535,-39.799999466 52.500000535,-39.816666133 52.500000535,-39.8333327989999 52.500000535,-39.8499994659999 52.500000535,-39.866666133 52.500000535,-39.883332799 52.500000535,-39.8999994659999 52.500000535,-39.916666133 52.500000535,-39.9333328 52.500000535,-39.949999466 52.500000535,-39.9666661329999 52.500000535,-39.9833328 52.500000535,-39.999999466 52.500000535,-40.0166661329999 52.500000535,-40.0333328 52.500000535,-40.049999466 52.500000535,-40.066666133 52.500000535,-40.0833327999999 52.500000535,-40.0999994659999 52.500000535,-40.116666133 52.500000535,-40.1333327999999 52.500000535,-40.1499994659999 52.500000535,-40.166666133 52.500000535,-40.1833328 52.500000535,-40.199999466 52.500000535,-40.2166661329999 52.500000535,-40.2333328 52.500000535,-40.249999466 52.500000535,-40.2666661329999 52.500000535,-40.2833328 52.500000535,-40.299999467 52.500000535,-40.316666133 52.500000535,-40.3333327999999 52.500000535,-40.349999467 52.500000535,-40.366666133 52.500000535,-40.3833327999999 52.500000535,-40.3999994669999 52.500000535,-40.416666133 52.500000535,-40.4333328 52.500000535,-40.4499994669999 52.500000535,-40.4666661329999 52.500000535,-40.4833328 52.500000535,-40.499999467 52.500000535,-40.5166661329999 52.500000535,-40.5333328 52.500000535,-40.549999467 52.500000535,-40.566666133 52.500000535,-40.5833327999999 52.500000535,-40.599999467 52.500000535,-40.616666133 52.500000535,-40.6333327999999 52.500000535,-40.6499994669999 52.500000535,-40.666666134 52.500000535,-40.6833328 52.500000535,-40.6999994669999 52.500000535,-40.716666134 52.500000535,-40.7333328 52.500000535,-40.749999467 52.500000535,-40.7666661339999 52.500000535,-40.7833328 52.500000535,-40.799999467 52.500000535,-40.8166661339999 52.500000535,-40.8333327999999 52.500000535,-40.849999467 52.500000535,-40.866666134 52.500000535,-40.8833327999999 52.500000535,-40.8999994669999 52.500000535,-40.916666134 52.500000535,-40.9333328 52.500000535,-40.9499994669999 52.500000535,-40.966666134 52.500000535,-40.983332801 52.500000535,-40.999999467 52.500000535,-41.0166661339999 52.500000535,-41.033332801 52.500000535,-41.049999467 52.500000535,-41.0666661339999 52.500000535,-41.083332801 52.500000535,-41.099999467 52.500000535,-41.116666134 52.500000535,-41.1333328009999 52.500000535,-41.1499994669999 52.500000535,-41.166666134 52.500000535,-41.1833328009999 52.500000535,-41.1999994669999 52.500000535,-41.216666134 52.500000535,-41.233332801 52.500000535,-41.249999467 52.500000535,-41.2666661339999 52.500000535,-41.283332801 52.500000535,-41.299999467 52.500000535,-41.3166661339999 52.500000535,-41.333332801 52.500000535,-41.349999468 52.500000535,-41.366666134 52.500000535,-41.3833328009999 52.500000535,-41.399999468 52.500000535,-41.416666134 52.500000535,-41.4333328009999 52.500000535,-41.4499994679999 52.500000535,-41.466666134 52.500000535,-41.483332801 52.500000535,-41.4999994679999 52.500000535,-41.5166661339999 52.500000535,-41.533332801 52.500000535,-41.549999468 52.500000535,-41.5666661339999 52.500000535,-41.583332801 52.500000535,-41.599999468 52.500000535,-41.616666134 52.500000535,-41.6333328009999 52.500000535,-41.649999468 52.500000535,-41.666666134 52.500000535,-41.6833328009999 52.500000535,-41.6999994679999 52.500000535,-41.716666135 52.500000535,-41.733332801 52.500000535,-41.7499994679999 52.500000535,-41.766666135 52.500000535,-41.783332801 52.500000535,-41.799999468 52.500000535,-41.8166661349999 52.500000535,-41.833332801 52.500000535,-41.849999468 52.500000535,-41.8666661349999 52.500000535,-41.8833328009999 52.500000535,-41.899999468 52.500000535,-41.916666135 52.500000535,-41.9333328009999 52.500000535,-41.9499994679999 52.500000535,-41.966666135 52.500000535,-41.983332801 52.500000535,-41.999999734 52.5000002670001,-41.999999734 52.516666807,-41.999999734 52.5333333460001,-41.999999734 52.5499998860001,-41.999999734 52.5666664250001,-41.999999734 52.5833329650001,-41.999999734 52.599999504,-41.999999734 52.6166660440001,-41.999999734 52.63333449,-41.999999734 52.6500010300001,-41.999999734 52.6666675700001,-41.999999734 52.68333411,-41.999999734 52.7000006490001,-41.999999734 52.716667188,-41.999999734 52.733333728,-41.999999734 52.7500002670001,-41.999999734 52.766666807,-41.999999734 52.7833333460001,-41.999999734 52.7999998860001,-41.999999734 52.8166664250001,-41.999999734 52.8333329650001,-41.999999734 52.849999505,-41.999999734 52.8666660440001,-41.999999734 52.883334491,-41.999999734 52.9000010300001,-41.999999734 52.9166675700001,-41.999999734 52.93333411,-41.999999734 52.9500006490001,-41.999999734 52.966667188,-41.999999734 52.983333728,-41.999999734 53.0000002670001,-41.999999734 53.016666807,-41.999999734 53.0333333460001,-41.999999734 53.0499998870001,-41.999999734 53.066666426,-41.999999734 53.0833329650001,-41.999999734 53.099999505,-41.999999734 53.1166660440001,-41.999999734 53.133334491,-41.999999734 53.150001031,-41.999999734 53.1666675700001,-41.999999734 53.183334109,-41.999999734 53.2000006490001,-41.999999734 53.216667188,-41.999999734 53.233333728,-41.999999734 53.2500002680001,-41.999999734 53.266666807,-41.999999734 53.2833333470001,-41.999999734 53.2999998860001,-41.999999734 53.316666426,-41.999999734 53.3333329650001,-41.999999734 53.349999505,-41.999999734 53.3666660440001,-41.999999734 53.383334491,-41.999999734 53.400001031,-41.999999734 53.4166675700001,-41.999999734 53.433334109,-41.999999734 53.4500006490001,-41.999999734 53.4666671890001,-41.999999734 53.483333728,-41.999999734 53.5000002680001,-41.999999734 53.516666807,-41.999999734 53.5333333470001,-41.999999734 53.5499998860001,-41.999999734 53.566666426,-41.999999734 53.5833329650001,-41.999999734 53.599999505,-41.999999734 53.6166660440001,-41.999999734 53.633334491,-41.999999734 53.650001031,-41.999999734 53.6666675710001,-41.999999734 53.68333411,-41.999999734 53.7000006490001,-41.999999734 53.7166671890001,-41.999999734 53.733333729,-41.999999734 53.7500002680001,-41.999999734 53.766666807,-41.999999734 53.7833333470001,-41.999999734 53.7999998860001,-41.999999734 53.816666426,-41.999999734 53.8333329660001,-41.999999734 53.849999505,-41.999999734 53.866666045,-41.999999734 53.8833344920001,-41.999999734 53.900001031,-41.999999734 53.9166675700001,-41.999999734 53.93333411,-41.999999734 53.9500006490001,-41.999999734 53.9666671890001,-41.999999734 53.983333728,-41.999999734 54.0000002680001,-41.999999734 54.016666807,-41.999999734 54.0333333470001,-41.999999734 54.0499998860001,-41.999999734 54.066666426,-41.999999734 54.0833329660001,-41.999999734 54.099999505,-41.999999734 54.116666045,-41.999999734 54.1333344920001,-41.999999734 54.150001031,-41.999999734 54.1666675700001,-41.999999734 54.18333411,-41.999999734 54.20000065,-41.999999734 54.2166671890001,-41.999999734 54.233333729,-41.999999734 54.2500002680001,-41.999999734 54.2666668080001,-41.999999734 54.2833333470001,-41.999999734 54.2999998870001,-41.999999734 54.316666426,-41.999999734 54.3333329660001,-41.999999734 54.349999505,-41.999999734 54.3666660440001,-41.999999734 54.383334491,-41.999999734 54.400001031,-41.999999734 54.4166675700001,-41.999999734 54.43333411,-41.999999734 54.45000065,-41.999999734 54.4666671900001,-41.999999734 54.483333729,-41.999999734 54.5000002680001,-41.999999734 54.5166668080001,-41.999999734 54.5333333470001,-41.999999734 54.5499998870001,-41.999999734 54.566666426,-41.999999734 54.5833329650001,-41.999999734 54.599999505,-41.999999734 54.616666045,-41.999999734 54.633334491,-41.999999734 54.650001031,-41.999999734 54.6666675710001,-41.999999734 54.68333411,-41.999999734 54.70000065,-41.999999734 54.7166671890001,-41.999999734 54.733333729,-41.999999734 54.7500002680001,-41.999999734 54.7666668080001,-41.999999734 54.7833333470001,-41.999999734 54.7999998870001,-41.999999734 54.816666426,-41.999999734 54.8333329660001,-41.999999734 54.849999505,-41.999999734 54.866666045,-41.999999734 54.8833344920001,-41.999999734 54.900001031,-41.999999734 54.9166675710001,-41.999999734 54.9333341110001,-41.999999734 54.95000065,-41.999999734 54.9666671890001,-41.999999734 54.983333729,-41.999999734 55.0000002680001,-41.999999734 55.0166668080001,-41.999999734 55.033333348,-41.999999734 55.0499998870001,-41.999999734 55.066666427,-41.999999734 55.0833329660001,-41.999999734 55.099999505,-41.999999734 55.116666045,-41.999999734 55.1333344920001,-41.999999734 55.150001031,-41.999999734 55.1666675710001,-41.999999734 55.18333411,-41.999999734 55.20000065,-41.999999734 55.2166671890001,-41.999999734 55.233333729,-41.999999734 55.2500002690001,-41.999999734 55.2666668080001,-41.999999734 55.283333348,-41.999999734 55.2999998870001,-41.999999734 55.316666426,-41.999999734 55.3333329660001,-41.999999734 55.3499995060001,-41.999999734 55.366666045,-41.999999734 55.3833344920001,-41.999999734 55.400001032,-41.999999734 55.4166675710001,-41.999999734 55.4333341110001,-41.999999734 55.45000065,-41.999999734 55.4666671900001,-41.999999734 55.483333729,-41.999999734 55.5000002690001,-41.999999734 55.5166668080001,-41.999999734 55.533333348,-41.999999734 55.5499998870001,-41.999999734 55.566666427,-41.999999734 55.5833329660001,-41.999999734 55.5999995060001,-41.999999734 55.616666045,-41.999999734 55.6333344920001,-41.999999734 55.650001032,-41.999999734 55.6666675720001,-41.999999734 55.6833341110001,-41.999999734 55.70000065,-41.999999734 55.7166671900001,-41.999999734 55.733333729,-41.999999734 55.7500002690001,-41.999999734 55.7666668080001,-41.999999734 55.7833333470001,-41.999999734 55.7999998870001,-41.999999734 55.816666427,-41.999999734 55.8333329660001,-41.999999734 55.8499995060001,-41.999999734 55.866666046,-41.999999734 55.8833344930001,-41.999999734 55.900001032,-41.999999734 55.9166675710001,-41.999999734 55.9333341110001,-41.999999734 55.95000065,-41.999999734 55.9666671900001,-41.999999734 55.983333729,-41.999999734 56.0000002690001,-41.999999734 56.0166668080001,-41.999999734 56.033333348,-41.999999734 56.0499998870001,-41.999999734 56.066666427,-41.999999734 56.083332967,-41.999999734 56.0999995060001,-41.999999734 56.116666045,-41.999999734 56.1333344920001,-41.999999734 56.150001032,-41.999999734 56.1666675710001,-41.999999734 56.1833341110001,-41.999999734 56.20000065,-41.999999734 56.2166671900001,-41.999999734 56.23333373,-41.999999734 56.2500002690001,-41.999999734 56.2666668090001,-41.999999734 56.283333348,-41.999999734 56.2999998880001,-41.999999734 56.316666427,-41.999999734 56.333332967,-41.999999734 56.3499995060001,-41.999999734 56.366666045,-41.999999734 56.3833344920001,-41.999999734 56.400001032,-41.999999734 56.4166675710001,-41.999999734 56.4333341110001,-41.999999734 56.450000651,-41.999999734 56.4666671900001,-41.999999734 56.48333373,-41.999999734 56.5000002690001,-41.999999734 56.5166668080001,-41.999999734 56.533333348,-41.9999996679999 56.5500000750001,-41.983870436 56.5529037640001,-41.967741404 56.5558069900001,-41.951612371 56.5587102160001,-41.935483339 56.5616134420001,-41.9193543069999 56.5645166670001,-41.903225274 56.5674198930001,-41.887096242 56.5703231190001,-41.8709672099999 56.5732263450001,-41.854838178 56.5761295710001,-41.8387091449999 56.579032796,-41.822580113 56.581936022,-41.806451081 56.584839248,-41.7903220489999 56.587742474,-41.774193016 56.5906457,-41.7580639839999 56.5935489250001,-41.741934952 56.5964521510001,-41.725805919 56.5993553770001,-41.7096768869999 56.6022586030001,-41.693547855 56.6051618290001,-41.677418823 56.6080650540001,-41.66128979 56.6109682800001,-41.645160758 56.6138715060001,-41.6290317259999 56.6167747320001,-41.612902694 56.6196779580001,-41.5967736609999 56.6225811840001,-41.5806446289999 56.6254844090001,-41.564515597 56.6283876350001,-41.5483865639999 56.6312908610001,-41.532257532 56.6341940870001,-41.5161285 56.637097313,-41.4999994679999 56.640000538,-41.483870435 56.6435489250001,-41.4677414029999 56.6470973130001,-41.451612371 56.6506457,-41.435483339 56.6541940870001,-41.4193543059999 56.657742474,-41.403225274 56.6612908610001,-41.387096242 56.6648392480001,-41.370967209 56.668387635,-41.354838177 56.6719360220001,-41.3387091449999 56.675484409,-41.322580113 56.6790327960001,-41.3064510799999 56.6825811840001,-41.290322048 56.686129571,-41.274193016 56.6896779580001,-41.2580639839999 56.693226345,-41.241934951 56.6967747320001,-41.225805919 56.7003231190001,-41.2096768869999 56.703871506,-41.193547854 56.7074198930001,-41.1774188219999 56.71096828,-41.16128979 56.7145166670001,-41.145160758 56.7180650550001,-41.1290317249999 56.721613442,-41.112902693 56.7251618290001,-41.0967736609999 56.7287102160001,-41.0806446289999 56.732258603,-41.064515596 56.7358069900001,-41.0483865639999 56.739355377,-41.032257532 56.7429037640001,-41.0161284989999 56.746452151,-40.999999467 56.7500005380001,-40.983870435 56.754194087,-40.9677414029999 56.7583876350001,-40.95161237 56.7625811840001,-40.935483338 56.766774732,-40.9193543059999 56.77096828,-40.903225274 56.7751618290001,-40.8870962409999 56.7793553770001,-40.870967209 56.783548926,-40.854838177 56.787742474,-40.8387091439999 56.7919360220001,-40.822580112 56.7961295710001,-40.8064510799999 56.800323119,-40.790322048 56.8045166680001,-40.774193015 56.8087102160001,-40.7580639829999 56.8129037640001,-40.741934951 56.817097313,-40.725805919 56.8212908610001,-40.709676886 56.8254844100001,-40.693547854 56.829677958,-40.6774188219999 56.833871506,-40.661289789 56.8380650550001,-40.645160757 56.8422586030001,-40.6290317249999 56.8464521510001,-40.612902693 56.8506457,-40.5967736599999 56.8548392480001,-40.580644628 56.8590327970001,-40.564515596 56.863226345,-40.5483865639999 56.867419893,-40.532257531 56.8716134420001,-40.5161284989999 56.8758069900001,-40.499999467 56.880000539,-40.484374467 56.8846880390001,-40.468749467 56.8893755390001,-40.453124467 56.8940630390001,-40.437499467 56.898750539,-40.421874467 56.903438039,-40.406249467 56.9081255390001,-40.390624467 56.9128130390001,-40.374999467 56.9175005390001,-40.359374467 56.922188039,-40.343749467 56.926875539,-40.328124467 56.9315630390001,-40.312499467 56.9362505390001,-40.296874467 56.9409380390001,-40.281249467 56.945625539,-40.265624467 56.950313039,-40.249999466 56.9550005390001,-40.234374466 56.9596880390001,-40.218749466 56.9643755390001,-40.203124466 56.969063039,-40.187499466 56.973750539,-40.171874466 56.9784380390001,-40.156249466 56.9831255390001,-40.140624466 56.9878130390001,-40.124999466 56.992500539,-40.109374466 56.997188039,-40.093749466 57.0018755390001,-40.078124466 57.0065630390001,-40.062499466 57.0112505390001,-40.046874466 57.015938039,-40.031249466 57.020625539,-40.015624466 57.0253130390001,-39.999999811 57.030000435,-39.984374466 57.0353130390001,-39.968749466 57.0406255390001,-39.953124466 57.0459380390001,-39.937499466 57.0512505390001,-39.921874466 57.0565630390001,-39.906249466 57.061875539,-39.890624466 57.067188039,-39.874999466 57.072500539,-39.859374466 57.077813039,-39.843749466 57.083125539,-39.828124466 57.088438039,-39.812499466 57.093750539,-39.796874466 57.099063039,-39.781249466 57.104375539,-39.765624466 57.109688039,-39.749999466 57.1150005390001,-39.734374466 57.1203130390001,-39.718749466 57.1256255390001,-39.703124466 57.1309380390001,-39.687499466 57.1362505390001,-39.671874466 57.1415630390001,-39.656249466 57.1468755390001,-39.640624466 57.1521880390001,-39.624999466 57.1575005390001,-39.609374466 57.1628130390001,-39.593749466 57.1681255390001,-39.578124466 57.1734380390001,-39.562499466 57.1787505390001,-39.546874466 57.1840630390001,-39.531249466 57.1893755390001,-39.515624466 57.194688039,-39.499999466 57.200000539,-39.484374466 57.205313039,-39.468749466 57.210625539,-39.453124466 57.215938039,-39.437499466 57.221250539,-39.421874466 57.226563039,-39.406249466 57.231875539,-39.390624466 57.237188039,-39.374999466 57.242500539,-39.359374466 57.2478130390001,-39.343749466 57.2531255390001,-39.328124466 57.2584380390001,-39.312499466 57.2637505390001,-39.296874466 57.2690630390001,-39.281249466 57.2743755390001,-39.265624466 57.2796880390001,-39.249999466 57.2850005390001,-39.234374466 57.2903130390001,-39.218749466 57.2956255390001,-39.203124466 57.3009380390001,-39.187499465 57.3062505390001,-39.171874465 57.3115630390001,-39.156249465 57.3168755390001,-39.140624465 57.3221880390001,-39.124999465 57.327500539,-39.109374465 57.332813039,-39.093749465 57.338125539,-39.078124465 57.343438039,-39.062499465 57.348750539,-39.046874465 57.354063039,-39.031249465 57.359375539,-39.015624465 57.364688039,-38.999999465 57.370000539,-38.9852935829999 57.3773534800001,-38.983998108 57.3780012180001,-38.9705877009999 57.384706421,-38.955881818 57.392059363,-38.941175936 57.3994123040001,-38.9264700529999 57.406765245,-38.911764171 57.4141181860001,-38.897058289 57.4214711270001,-38.8823524059999 57.428824069,-38.867646524 57.4361770100001,-38.852940642 57.4435299510001,-38.8382347589999 57.450882892,-38.8235288769999 57.4582358330001,-38.808822995 57.4655887740001,-38.794117112 57.472941716,-38.7794112299999 57.4802946570001,-38.764705347 57.4876475980001,-38.749999465 57.495000539,-38.7352935829999 57.5023534800001,-38.7205877 57.5097064220001,-38.705881818 57.517059363,-38.691175936 57.5244123040001,-38.6764700529999 57.531765245,-38.661764171 57.5391181860001,-38.647058289 57.5464711270001,-38.6323524059999 57.553824069,-38.617646524 57.5611770100001,-38.602940641 57.5685299510001,-38.5882347589999 57.575882892,-38.5735288769999 57.5832358330001,-38.558822994 57.5905887750001,-38.544117112 57.597941716,-38.5294112299999 57.6052946570001,-38.514705347 57.6126475980001,-38.499999465 57.620000539,-38.4861105759999 57.628889428,-38.4722216869999 57.637778317,-38.458332798 57.6466672060001,-38.444443909 57.6555560950001,-38.4305550199999 57.6644449840001,-38.4166661309999 57.673333873,-38.4027772429999 57.682222762,-38.388888354 57.69111165,-38.374999465 57.700000539,-38.3611105759999 57.7088894280001,-38.3472216869999 57.7177783170001,-38.333332798 57.7266672060001,-38.319443909 57.735556095,-38.3055550199999 57.744444984,-38.2916661309999 57.753333873,-38.277777242 57.7622227620001,-38.263888354 57.7711116510001,-38.249999465 57.7800005390001,-38.23684157 57.7900005390001,-38.223683675 57.8000005390001,-38.21052578 57.810000539,-38.1973678859999 57.820000539,-38.1842099909999 57.8300005390001,-38.171052096 57.8400005390001,-38.157894201 57.8500005400001,-38.144736307 57.86000054,-38.131578412 57.87000054,-38.1184205169999 57.8800005400001,-38.1052626219999 57.8900005400001,-38.092104728 57.9000005400001,-38.078946833 57.9100005400001,-38.065788938 57.92000054,-38.052631043 57.93000054,-38.0394731489999 57.94000054,-38.0263152539999 57.9500005400001,-38.0131573589999 57.9600005400001,-37.999999464 57.9700005400001,-37.9857137499999 57.9782862540001,-37.971428036 57.9865719680001,-37.9571423209999 57.994857682,-37.942856607 58.003143397,-37.928570893 58.011429111,-37.9142851789999 58.0197148250001,-37.899999464 58.0280005400001,-37.88571375 58.0362862540001,-37.8714280359999 58.0445719680001,-37.857142321 58.0528576830001,-37.8428566069999 58.0611433970001,-37.8285708929999 58.069429111,-37.814285179 58.077714825,-37.7999994639999 58.08600054,-37.78571375 58.0942862540001,-37.771428036 58.1025719680001,-37.7571423209999 58.1108576830001,-37.742856607 58.1191433970001,-37.728570893 58.127429111,-37.714285178 58.135714825,-37.699999464 58.14400054,-37.6857137499999 58.152286254,-37.671428036 58.1605719680001,-37.657142321 58.1688576830001,-37.6428566069999 58.1771433970001,-37.628570893 58.1854291110001,-37.6142851779999 58.1937148260001,-37.599998969 58.2020008270001,-37.58571375 58.210286254,-37.5714280349999 58.218571968,-37.557142321 58.226857683,-37.542856607 58.2351433970001,-37.5285708929999 58.2434291110001,-37.514285178 58.2517148260001,-37.499999464 58.2600005400001,-37.4869559859999 58.2704353230001,-37.473912507 58.2808701050001,-37.460869029 58.2913048880001,-37.4478255509999 58.3017396700001,-37.434782073 58.3121744530001,-37.421738594 58.3226092360001,-37.4086951159999 58.3330440180001,-37.3956516379999 58.3434788010001,-37.382608159 58.3539135830001,-37.3695646809999 58.3643483660001,-37.3565212029999 58.3747831490001,-37.343477725 58.3852179310001,-37.330434246 58.3956527140001,-37.3173907679999 58.406087497,-37.30434729 58.416522279,-37.291303812 58.426957062,-37.2782603329999 58.437391844,-37.2652168549999 58.447826627,-37.252173377 58.45826141,-37.2391298979999 58.468696192,-37.2260864199999 58.479130975,-37.213042942 58.489565757,-37.199999464 58.50000054,-37.1866661299999 58.508667207,-37.1733327969999 58.517333873,-37.159999464 58.52600054,-37.14666613 58.534667207,-37.133332797 58.5433338730001,-37.1199994639999 58.5520005400001,-37.10666613 58.5606672070001,-37.099523263 58.5653100710001,-37.093332797 58.5693338740001,-37.079999464 58.5780005400001,-37.0666661299999 58.5866672070001,-37.0533327969999 58.5953338740001,-37.039999463 58.6040005400001,-37.02666613 58.6126672070001,-37.013332797 58.6213338740001,-36.9999996879999 58.630000394,-36.991153405 58.6442313690001,-36.982307251 58.6584621380001,-36.9734610959999 58.6726929070001,-36.964614942 58.686923676,-36.955768787 58.7011544440001,-36.9469226329999 58.715385213,-36.938076478 58.729615982,-36.9292303239999 58.743846751,-36.9203841689999 58.75807752,-36.911538014 58.772308288,-36.9026918599999 58.786539057,-36.8938457049999 58.8007698260001,-36.88499955 58.8150005940001,-36.876153395 58.8292313630001,-36.8673072409999 58.8434621320001,-36.858461086 58.8576929000001,-36.849614931 58.8719236690001,-36.8407687759999 58.8861544380001,-36.8319226209999 58.9003852060001,-36.823076466 58.9146159750001,-36.814230311 58.9288467430001,-36.8053841559999 58.9430775120001,-36.7965380009999 58.9573082800001,-36.787691846 58.9715390490001,-36.778845691 58.9857698170001,-36.769999862 59.000000024,-36.7533276079999 59.0000000410001,-36.736655253 59.0000000410001,-36.719982898 59.0000000410001,-36.7033105429999 59.0000000410001,-36.686638188 59.0000000410001,-36.6699658329999 59.0000000410001,-36.653293478 59.0000000410001,-36.6366211239999 59.0000000410001,-36.619948769 59.0000000410001,-36.6032764139999 59.0000000410001,-36.586604059 59.0000000410001,-36.5699317039999 59.0000000410001,-36.553259349 59.0000000410001,-36.5365869939999 59.0000000410001,-36.519914639 59.0000000410001,-36.503242284 59.0000000410001,-36.486569929 59.0000000410001,-36.469897574 59.0000000410001,-36.4532252189999 59.0000000410001,-36.436552864 59.0000000410001,-36.4198805089999 59.0000000410001,-36.403208154 59.0000000410001,-36.3865357989999 59.0000000410001,-36.369863444 59.0000000410001,-36.3531910889999 59.0000000410001,-36.336518734 59.0000000410001,-36.319846379 59.0000000410001,-36.3031740239999 59.0000000410001,-36.286501669 59.0000000410001,-36.2698293139999 59.0000000410001,-36.253156959 59.0000000410001,-36.2364846039999 59.0000000410001,-36.219812249 59.0000000410001,-36.2031398939999 59.0000000410001,-36.186467539 59.0000000410001,-36.1697951849999 59.0000000410001,-36.15312283 59.0000000410001,-36.1364504749999 59.0000000410001,-36.11977812 59.0000000410001,-36.103105765 59.0000000410001,-36.08643341 59.0000000410001,-36.069761055 59.0000000410001,-36.0530886999999 59.0000000410001,-36.036416345 59.0000000410001,-36.0197439899999 59.0000000410001,-36.003071635 59.0000000410001,-35.9863992799999 59.0000000410001,-35.969726925 59.0000000410001,-35.9530545699999 59.0000000410001,-35.936382215 59.0000000410001,-35.91970986 59.0000000410001,-35.9030375049999 59.0000000410001,-35.88636515 59.0000000410001,-35.8696927949999 59.0000000410001,-35.85302044 59.0000000410001,-35.8363480849999 59.0000000410001,-35.81967573 59.0000000410001,-35.8030033749999 59.0000000410001,-35.78633102 59.0000000410001,-35.769658665 59.0000000410001,-35.75298631 59.0000000410001,-35.736313955 59.0000000410001,-35.7196415999999 59.0000000410001,-35.702969246 59.0000000410001,-35.686296891 59.0000000410001,-35.669624536 59.0000000410001,-35.6529521809999 59.0000000410001,-35.636279826 59.0000000410001,-35.6196074709999 59.0000000410001,-35.602935116 59.0000000410001,-35.5862627609999 59.0000000410001,-35.569590406 59.0000000410001,-35.5529180509999 59.0000000410001,-35.536245696 59.0000000410001,-35.519573341 59.0000000410001,-35.5029009859999 59.0000000410001,-35.486228631 59.0000000410001,-35.4695562759999 59.0000000410001,-35.452883921 59.0000000410001,-35.4362115659999 59.0000000410001,-35.419539211 59.0000000410001,-35.4028668559999 59.0000000410001,-35.386194501 59.0000000410001,-35.369522146 59.0000000410001,-35.352849791 59.0000000410001,-35.336177436 59.0000000410001,-35.3195050809999 59.0000000410001,-35.302832726 59.0000000410001,-35.2861603709999 59.0000000410001,-35.269488016 59.0000000410001,-35.2528156609999 59.0000000410001,-35.236143307 59.0000000410001,-35.2194709519999 59.0000000410001,-35.202798597 59.0000000410001,-35.1861262419999 59.0000000410001,-35.169453887 59.0000000410001,-35.1527815319999 59.0000000410001,-35.136109177 59.0000000410001,-35.119436822 59.0000000410001,-35.1027644669999 59.0000000410001,-35.086092112 59.0000000410001,-35.0694197569999 59.0000000410001,-35.052747402 59.0000000410001,-35.0360750469999 59.0000000410001,-35.019402692 59.0000000410001,-35.0027303369999 59.0000000410001,-34.986057982 59.0000000410001,-34.969385627 59.0000000410001,-34.952713272 59.0000000410001,-34.936040917 59.0000000410001,-34.9193685619999 59.0000000410001,-34.902696207 59.0000000410001,-34.8860238519999 59.0000000410001,-34.869351497 59.0000000410001,-34.8526791419999 59.0000000410001,-34.836006787 59.0000000410001,-34.8193344319999 59.0000000410001,-34.802662077 59.0000000410001,-34.785989722 59.0000000410001,-34.769317368 59.0000000410001,-34.7526450129999 59.0000000410001,-34.735972658 59.0000000410001,-34.719300303 59.0000000410001,-34.7026279479999 59.0000000410001,-34.685955593 59.0000000410001,-34.6692832379999 59.0000000410001,-34.652610883 59.0000000410001,-34.6359385279999 59.0000000410001,-34.619266173 59.0000000410001,-34.6025938179999 59.0000000410001,-34.585921463 59.0000000410001,-34.569249108 59.0000000410001,-34.552576753 59.0000000410001,-34.535904398 59.0000000410001,-34.5192320429999 59.0000000410001,-34.502559688 59.0000000410001,-34.4858873329999 59.0000000410001,-34.469214978 59.0000000410001,-34.4525426229999 59.0000000410001,-34.435870268 59.0000000410001,-34.4191979129999 59.0000000410001,-34.402525558 59.0000000410001,-34.385853203 59.0000000410001,-34.3691808479999 59.0000000410001,-34.352508493 59.0000000410001,-34.3358361379999 59.0000000410001,-34.319163783 59.0000000410001,-34.3024914289999 59.0000000410001,-34.285819074 59.0000000410001,-34.2691467189999 59.0000000410001,-34.252474364 59.0000000410001,-34.2358020089999 59.0000000410001,-34.219129654 59.0000000410001,-34.2024572989999 59.0000000410001,-34.185784944 59.0000000410001,-34.169112589 59.0000000410001,-34.152440234 59.0000000410001,-34.135767879 59.0000000410001,-34.1190955239999 59.0000000410001,-34.102423169 59.0000000410001,-34.0857508139999 59.0000000410001,-34.069078459 59.0000000410001,-34.0524061039999 59.0000000410001,-34.035733749 59.0000000410001,-34.0190613939999 59.0000000410001,-34.002389039 59.0000000410001,-33.985716684 59.0000000410001,-33.9690443289999 59.0000000410001,-33.952371974 59.0000000410001,-33.9356996189999 59.0000000410001,-33.919027264 59.0000000410001,-33.9023549089999 59.0000000410001,-33.885682554 59.0000000410001,-33.8690101989999 59.0000000410001,-33.852337844 59.0000000410001,-33.8356654899999 59.0000000410001,-33.818993135 59.0000000410001,-33.8023207799999 59.0000000410001,-33.785648425 59.0000000410001,-33.76897607 59.0000000410001,-33.752303715 59.0000000410001,-33.73563136 59.0000000410001,-33.7189590049999 59.0000000410001,-33.70228665 59.0000000410001,-33.6856142949999 59.0000000410001,-33.66894194 59.0000000410001,-33.6522695849999 59.0000000410001,-33.63559723 59.0000000410001,-33.6189248749999 59.0000000410001,-33.60225252 59.0000000410001,-33.585580165 59.0000000410001,-33.56890781 59.0000000410001,-33.552235455 59.0000000410001,-33.5355630999999 59.0000000410001,-33.518890745 59.0000000410001,-33.5022183899999 59.0000000410001,-33.485546035 59.0000000410001,-33.4688736799999 59.0000000410001,-33.452201325 59.0000000410001,-33.43552897 59.0000000410001,-33.418856615 59.0000000410001,-33.40218426 59.0000000410001,-33.3855119049999 59.0000000410001,-33.368839551 59.0000000410001,-33.352167196 59.0000000410001,-33.335494841 59.0000000410001,-33.3188224859999 59.0000000410001,-33.302150131 59.0000000410001,-33.2854777759999 59.0000000410001,-33.268805421 59.0000000410001,-33.2521330659999 59.0000000410001,-33.235460711 59.0000000410001,-33.2187883559999 59.0000000410001,-33.202116001 59.0000000410001,-33.185443646 59.0000000410001,-33.168771291 59.0000000410001,-33.152098936 59.0000000410001,-33.1354265809999 59.0000000410001,-33.118754226 59.0000000410001,-33.1020818709999 59.0000000410001,-33.085409516 59.0000000410001,-33.0687371609999 59.0000000410001,-33.052064806 59.0000000410001,-33.035392451 59.0000000410001,-33.018720096 59.0000000410001,-33.002047741 59.0000000410001,-32.9853753859999 59.0000000410001,-32.968703031 59.0000000410001,-32.9520306759999 59.0000000410001,-32.935358321 59.0000000410001,-32.9186859659999 59.0000000410001,-32.902013612 59.0000000410001,-32.8853412569999 59.0000000410001,-32.868668902 59.0000000410001,-32.8519965469999 59.0000000410001,-32.835324192 59.0000000410001,-32.8186518369999 59.0000000410001,-32.801979482 59.0000000410001,-32.785307127 59.0000000410001,-32.768634772 59.0000000410001,-32.751962417 59.0000000410001,-32.7352900619999 59.0000000410001,-32.718617707 59.0000000410001,-32.7019453519999 59.0000000410001,-32.685272997 59.0000000410001,-32.6686006419999 59.0000000410001,-32.651928287 59.0000000410001,-32.635255932 59.0000000410001,-32.618583577 59.0000000410001,-32.601911222 59.0000000410001,-32.5852388669999 59.0000000410001,-32.568566512 59.0000000410001,-32.5518941569999 59.0000000410001,-32.535221802 59.0000000410001,-32.5185494469999 59.0000000410001,-32.501877092 59.0000000410001,-32.4852047369999 59.0000000410001,-32.468532382 59.0000000410001,-32.451860027 59.0000000410001,-32.435187673 59.0000000410001,-32.4185153179999 59.0000000410001,-32.401842963 59.0000000410001,-32.385170608 59.0000000410001,-32.368498253 59.0000000410001,-32.351825898 59.0000000410001,-32.3351535429999 59.0000000410001,-32.318481188 59.0000000410001,-32.3018088329999 59.0000000410001,-32.285136478 59.0000000410001,-32.2684641229999 59.0000000410001,-32.251791768 59.0000000410001,-32.2351194129999 59.0000000410001,-32.218447058 59.0000000410001,-32.201774703 59.0000000410001,-32.1851023479999 59.0000000410001,-32.168429993 59.0000000410001,-32.1517576379999 59.0000000410001,-32.135085283 59.0000000410001,-32.1184129279999 59.0000000410001,-32.101740573 59.0000000410001,-32.0850682179999 59.0000000410001,-32.068395863 59.0000000410001,-32.051723508 59.0000000410001,-32.035051153 59.0000000410001,-32.018378798 59.0000000410001,-32.0017064429999 59.0000000410001,-31.985034088 59.0000000410001,-31.968361734 59.0000000410001,-31.951689379 59.0000000410001,-31.9350170239999 59.0000000410001,-31.918344669 59.0000000410001,-31.9016723139999 59.0000000410001,-31.884999959 59.0000000410001,-31.8683276039999 59.0000000410001,-31.851655249 59.0000000410001,-31.8349828939999 59.0000000410001,-31.818310539 59.0000000410001,-31.801638184 59.0000000410001,-31.7849658289999 59.0000000410001,-31.768293474 59.0000000410001,-31.7516211189999 59.0000000410001,-31.734948764 59.0000000410001,-31.7182764089999 59.0000000410001,-31.701604054 59.0000000410001,-31.6849316989999 59.0000000410001,-31.668259344 59.0000000410001,-31.651586989 59.0000000410001,-31.634914634 59.0000000410001,-31.618242279 59.0000000410001,-31.6015699239999 59.0000000410001,-31.584897569 59.0000000410001,-31.5682252139999 59.0000000410001,-31.551552859 59.0000000410001,-31.5348805039999 59.0000000410001,-31.518208149 59.0000000410001,-31.5015357949999 59.0000000410001,-31.48486344 59.0000000410001,-31.4681910849999 59.0000000410001,-31.45151873 59.0000000410001,-31.4348463749999 59.0000000410001,-31.41817402 59.0000000410001,-31.401501665 59.0000000410001,-31.3848293099999 59.0000000410001,-31.368156955 59.0000000410001,-31.3514845999999 59.0000000410001,-31.334812245 59.0000000410001,-31.3181398899999 59.0000000410001,-31.301467535 59.0000000410001,-31.2847951799999 59.0000000410001,-31.268122825 59.0000000410001,-31.25145047 59.0000000410001,-31.234778115 59.0000000410001,-31.21810576 59.0000000410001,-31.2014334049999 59.0000000410001,-31.18476105 59.0000000410001,-31.1680886949999 59.0000000410001,-31.15141634 59.0000000410001,-31.1347439849999 59.0000000410001,-31.11807163 59.0000000410001,-31.1013992749999 59.0000000410001,-31.08472692 59.0000000410001,-31.068054565 59.0000000410001,-31.0513822099999 59.0000000410001,-31.0347098559999 59.0000000410001,-31.018037501 59.0000000410001,-31.001365146 59.0000000410001,-30.9846927909999 59.0000000410001,-30.968020436 59.0000000410001,-30.9513480809999 59.0000000410001,-30.934675726 59.0000000410001,-30.9180033709999 59.0000000410001,-30.901331016 59.0000000410001,-30.8846586609999 59.0000000410001,-30.867986306 59.0000000410001,-30.851313951 59.0000000410001,-30.834641596 59.0000000410001,-30.817969241 59.0000000410001,-30.8012968859999 59.0000000410001,-30.784624531 59.0000000410001,-30.7679521759999 59.0000000410001,-30.751279821 59.0000000410001,-30.7346074659999 59.0000000410001,-30.717935111 59.0000000410001,-30.7012627559999 59.0000000410001,-30.684590401 59.0000000410001,-30.667918046 59.0000000410001,-30.6512456909999 59.0000000410001,-30.634573336 59.0000000410001,-30.6179009809999 59.0000000410001,-30.601228626 59.0000000410001,-30.5845562709999 59.0000000410001,-30.567883917 59.0000000410001,-30.5512115619999 59.0000000410001,-30.534539207 59.0000000410001,-30.5178668519999 59.0000000410001,-30.501194497 59.0000000410001,-30.4845221419999 59.0000000410001,-30.467849787 59.0000000410001,-30.451177432 59.0000000410001,-30.434505077 59.0000000410001,-30.417832722 59.0000000410001,-30.4011603669999 59.0000000410001,-30.384488012 59.0000000410001,-30.3678156569999 59.0000000410001,-30.351143302 59.0000000410001,-30.3344709469999 59.0000000410001,-30.317798592 59.0000000410001,-30.3011262369999 59.0000000410001,-30.284453882 59.0000000410001,-30.267781527 59.0000000410001,-30.2511091719999 59.0000000410001,-30.234436817 59.0000000410001,-30.2177644619999 59.0000000410001,-30.201092107 59.0000000410001,-30.1844197519999 59.0000000410001,-30.167747397 59.0000000410001,-30.1510750419999 59.0000000410001,-30.134402687 59.0000000410001,-30.117730332 59.0000000410001,-30.101057978 59.0000000410001,-30.0843856229999 59.0000000410001,-30.067713268 59.0000000410001,-30.051040913 59.0000000410001,-30.034368558 59.0000000410001,-30.017696203 59.0000000410001,-30.0010238479999 59.0000000410001,-29.984351493 59.0000000410001,-29.9676791379999 59.0000000410001,-29.951006783 59.0000000410001,-29.9343344279999 59.0000000410001,-29.917662073 59.0000000410001,-29.9009897179999 59.0000000410001,-29.884317363 59.0000000410001,-29.867645008 59.0000000410001,-29.8509726529999 59.0000000410001,-29.834300298 59.0000000410001,-29.8176279429999 59.0000000410001,-29.800955588 59.0000000410001,-29.7842832329999 59.0000000410001,-29.767610878 59.0000000410001,-29.7509385229999 59.0000000410001,-29.734266168 59.0000000410001,-29.717593813 59.0000000410001,-29.700921458 59.0000000410001,-29.684249103 59.0000000410001,-29.6675767479999 59.0000000410001,-29.650904393 59.0000000410001,-29.634232039 59.0000000410001,-29.617559684 59.0000000410001,-29.6008873289999 59.0000000410001,-29.584214974 59.0000000410001,-29.5675426189999 59.0000000410001,-29.550870264 59.0000000410001,-29.5341979089999 59.0000000410001,-29.517525554 59.0000000410001,-29.5008531989999 59.0000000410001,-29.484180844 59.0000000410001,-29.467508489 59.0000000410001,-29.4508361339999 59.0000000410001,-29.434163779 59.0000000410001,-29.4174914239999 59.0000000410001,-29.400819069 59.0000000410001,-29.3841467139999 59.0000000410001,-29.367474359 59.0000000410001,-29.3508020039999 59.0000000410001,-29.334129649 59.0000000410001,-29.317457294 59.0000000410001,-29.300784939 59.0000000410001,-29.284112584 59.0000000410001,-29.2674402289999 59.0000000410001,-29.250767874 59.0000000410001,-29.2340955189999 59.0000000410001,-29.217423164 59.0000000410001,-29.2007508089999 59.0000000410001,-29.184078454 59.0000000410001,-29.1674060999999 59.0000000410001,-29.150733745 59.0000000410001,-29.1340613899999 59.0000000410001,-29.117389035 59.0000000410001,-29.1007166799999 59.0000000410001,-29.084044325 59.0000000410001,-29.06737197 59.0000000410001,-29.0506996149999 59.0000000410001,-29.03402726 59.0000000410001,-29.0173549049999 59.0000000410001,-29.00068255 59.0000000410001,-28.9840101949999 59.0000000410001,-28.96733784 59.0000000410001,-28.9506654849999 59.0000000410001,-28.93399313 59.0000000410001,-28.92861855 59.0000000410001,-28.917320775 59.0000000410001,-28.90064842 59.0000000410001,-28.883976065 59.0000000410001,-28.8673037099999 59.0000000410001,-28.850631355 59.0000000410001,-28.8339589999999 59.0000000410001,-28.817286645 59.0000000410001,-28.8006142899999 59.0000000410001,-28.783941935 59.0000000410001,-28.7672695799999 59.0000000410001,-28.750597225 59.0000000410001,-28.73392487 59.0000000410001,-28.7172525149999 59.0000000410001,-28.7005801609999 59.0000000410001,-28.683907806 59.0000000410001,-28.667235451 59.0000000410001,-28.6505630959999 59.0000000410001,-28.633890741 59.0000000410001,-28.6172183859999 59.0000000410001,-28.600546031 59.0000000410001,-28.5838736759999 59.0000000410001,-28.567201321 59.0000000410001,-28.5505289659999 59.0000000410001,-28.533856611 59.0000000410001,-28.517184256 59.0000000410001,-28.500511901 59.0000000410001,-28.483839546 59.0000000410001,-28.4671671909999 59.0000000410001,-28.450494836 59.0000000410001,-28.4338224809999 59.0000000410001,-28.417150126 59.0000000410001,-28.4004777709999 59.0000000410001,-28.383805416 59.0000000410001,-28.3671330609999 59.0000000410001,-28.350460706 59.0000000410001,-28.333788351 59.0000000410001,-28.317115996 59.0000000410001,-28.300443641 59.0000000410001,-28.2837712859999 59.0000000410001,-28.267098931 59.0000000410001,-28.2504265759999 59.0000000410001,-28.233754222 59.0000000410001,-28.2170818669999 59.0000000410001,-28.200409512 59.0000000410001,-28.1837371569999 59.0000000410001,-28.167064802 59.0000000410001,-28.1503924469999 59.0000000410001,-28.133720092 59.0000000410001,-28.117047737 59.0000000410001,-28.100375382 59.0000000410001,-28.083703027 59.0000000410001,-28.0670306719999 59.0000000410001,-28.050358317 59.0000000410001,-28.0336859619999 59.0000000410001,-28.017013607 59.0000000410001,-28.0003412519999 59.0000000410001,-27.983668897 59.0000000410001,-27.9669965419999 59.0000000410001,-27.950324187 59.0000000410001,-27.933651832 59.0000000410001,-27.916979477 59.0000000410001,-27.900307122 59.0000000410001,-27.8836347669999 59.0000000410001,-27.866962412 59.0000000410001,-27.8502900569999 59.0000000410001,-27.833617702 59.0000000410001,-27.8169453469999 59.0000000410001,-27.800272992 59.0000000410001,-27.7836006369999 59.0000000410001,-27.766928283 59.0000000410001,-27.7502559279999 59.0000000410001,-27.733583573 59.0000000410001,-27.716911218 59.0000000410001,-27.700238863 59.0000000410001,-27.683566508 59.0000000410001,-27.6668941529999 59.0000000410001,-27.650221798 59.0000000410001,-27.6335494429999 59.0000000410001,-27.616877088 59.0000000410001,-27.6002047329999 59.0000000410001,-27.583532378 59.0000000410001,-27.5668600229999 59.0000000410001,-27.550187668 59.0000000410001,-27.533515313 59.0000000410001,-27.516842958 59.0000000410001,-27.500170603 59.0000000410001,-27.4834982479999 59.0000000410001,-27.466825893 59.0000000410001,-27.4501535379999 59.0000000410001,-27.433481183 59.0000000410001,-27.4168088279999 59.0000000410001,-27.400136473 59.0000000410001,-27.3834641179999 59.0000000410001,-27.366791763 59.0000000410001,-27.350119408 59.0000000410001,-27.3334470529999 59.0000000410001,-27.316774698 59.0000000410001,-27.300102344 59.0000000410001,-27.283429989 59.0000000410001,-27.2667576339999 59.0000000410001,-27.250085279 59.0000000410001,-27.2334129239999 59.0000000410001,-27.216740569 59.0000000410001,-27.2000682139999 59.0000000410001,-27.183395859 59.0000000410001,-27.1667235039999 59.0000000410001,-27.150051149 59.0000000410001,-27.133378794 59.0000000410001,-27.116706439 59.0000000410001,-27.100034084 59.0000000410001,-27.0833617289999 59.0000000410001,-27.066689374 59.0000000410001,-27.0500170189999 59.0000000410001,-27.033344664 59.0000000410001,-27.0166723089999 59.0000000410001,-26.999999896 59.000000255,-26.9999997039999 59.016666957,-26.9999997039999 59.0333336240001,-26.9999997039999 59.0500002910001,-26.9999997039999 59.0666669570001,-26.9999997039999 59.083333624,-26.9999997039999 59.1000002910001,-26.9999997039999 59.1166669570001,-26.9999997039999 59.133333624,-26.9999997039999 59.1500002910001,-26.9999997039999 59.1666669570001,-26.9999997039999 59.1833336240001,-26.9999997039999 59.200000291,-26.9999997039999 59.216666957,-26.9999997039999 59.2333336240001,-26.9999997039999 59.250000291,-26.9999997039999 59.266666957,-26.9999997039999 59.2833336240001,-26.9999997039999 59.3000002910001,-26.9999997039999 59.316666958,-26.9999997039999 59.333333624,-26.9999997039999 59.3500002910001,-26.9999997039999 59.3666669580001,-26.9999997039999 59.383333624,-26.9999997039999 59.4000002910001,-26.9999997039999 59.4166669580001,-26.9999997039999 59.4333336240001,-26.9999997039999 59.450000291,-26.9999997039999 59.4666669580001,-26.9999997039999 59.4833336240001,-26.9999997039999 59.500000291,-26.9999997039999 59.516666958,-26.9999997039999 59.5333336240001,-26.9999997039999 59.5500002910001,-26.9999997039999 59.566666958,-26.9999997039999 59.583333624,-26.9999997039999 59.6000002910001,-26.9999997039999 59.6166669580001,-26.9999997039999 59.633333624,-26.9999997039999 59.6500002910001,-26.9999997039999 59.6666669580001,-26.9999997039999 59.683333625,-26.9999997039999 59.700000291,-26.9999997039999 59.7166669580001,-26.9999997039999 59.7333336250001,-26.9999997039999 59.750000291,-26.9999997039999 59.766666958,-26.9999997039999 59.7833336250001,-26.9999997039999 59.8000002910001,-26.9999997039999 59.816666958,-26.9999997039999 59.8333336250001,-26.9999997039999 59.8500002910001,-26.9999997039999 59.8666669580001,-26.9999997039999 59.883333625,-26.9999997039999 59.9000002910001,-26.9999997039999 59.9166669580001,-26.9999997039999 59.933333625,-26.9999997039999 59.950000291,-26.9999997039999 59.9666669580001,-26.9999997039999 59.9833336250001,-26.9999997039999 60.000000292,-26.9999997039999 60.016666958,-26.9999997039999 60.0333336250001,-26.9999997039999 60.050000292,-26.9999997039999 60.066666958,-26.9999997039999 60.0833336250001,-26.9999997039999 60.1000002920001,-26.9999997039999 60.1166669580001,-26.9999997039999 60.133333625,-26.9999997039999 60.1500002920001,-26.9999997039999 60.1666669580001,-26.9999997039999 60.183333625,-26.9999997039999 60.200000292,-26.9999997039999 60.2166669580001,-26.9999997039999 60.2333336250001,-26.9999997039999 60.250000292,-26.9999997039999 60.266666958,-26.9999997039999 60.2833336250001,-26.9999997039999 60.300000292,-26.9999997039999 60.316666958,-26.9999997039999 60.3333336250001,-26.9999997039999 60.3500002920001,-26.9999997039999 60.366666959,-26.9999997039999 60.383333625,-26.9999997039999 60.4000002920001,-26.9999997039999 60.4166669590001,-26.9999997039999 60.433333625,-26.9999997039999 60.450000292,-26.9999997039999 60.4666669590001,-26.9999997039999 60.4833336250001,-26.9999997039999 60.500000292,-26.9999997039999 60.5166669590001,-26.9999997039999 60.5333336250001,-26.9999997039999 60.550000292,-26.9999997039999 60.566666959,-26.9999997039999 60.5833336250001,-26.9999997039999 60.6000002920001,-26.9999997039999 60.616666959,-26.9999997039999 60.633333625,-26.9999997039999 60.6500002920001,-26.9999997039999 60.6666669590001,-26.9999997039999 60.683333625,-26.9999997039999 60.700000292,-26.9999997039999 60.7166669590001,-26.9999997039999 60.733333626,-26.9999997039999 60.750000292,-26.9999997039999 60.7666669590001,-26.9999997039999 60.7833336260001,-26.9999997039999 60.800000292,-26.9999997039999 60.816666959,-26.9999997039999 60.8333336260001,-26.999999803 60.849999998,-26.984117601 60.84529416,-26.9682352479999 60.840588278,-26.9523528949999 60.8358823950001,-26.9364705419999 60.8311765130001,-26.9205881889999 60.8264706310001,-26.9047058359999 60.8217647480001,-26.888823483 60.8170588660001,-26.8729411309999 60.812352983,-26.857058778 60.807647101,-26.841176425 60.802941219,-26.825294072 60.7982353360001,-26.809411719 60.7935294540001,-26.793529366 60.7888235720001,-26.777647013 60.784117689,-26.76176466 60.779411807,-26.7458823069999 60.774705925,-26.7299999539999 60.770000042,-26.7141176009999 60.7652941600001,-26.6982352479999 60.7605882780001,-26.682352895 60.7558823950001,-26.666470542 60.7511765130001,-26.650588189 60.74647063,-26.634705836 60.741764748,-26.618823483 60.737058866,-26.60294113 60.7323529830001,-26.587058777 60.7276471010001,-26.5711764239999 60.7229412190001,-26.5552940709999 60.7182353360001,-26.5394117179999 60.7135294540001,-26.5235293649999 60.708823572,-26.5076470129999 60.704117689,-26.4917646599999 60.699411807,-26.4758823069999 60.6947059250001,-26.459999954 60.6900000420001,-26.4436904299999 60.687142899,-26.4273809059999 60.6842857560001,-26.4110713819999 60.6814286140001,-26.394761858 60.6785714710001,-26.378452335 60.6757143280001,-26.362142811 60.6728571850001,-26.3458332869999 60.670000042,-26.3295237629999 60.6671428990001,-26.3132142389999 60.664285756,-26.296904715 60.661428614,-26.280595192 60.6585714710001,-26.264285668 60.655714328,-26.2479761439999 60.6528571850001,-26.2316666199999 60.650000042,-26.2153570959999 60.6471428990001,-26.199047572 60.644285756,-26.182738049 60.6414286140001,-26.166428525 60.638571471,-26.150119001 60.6357143280001,-26.1338094769999 60.632857185,-26.1174999529999 60.6300000420001,-26.10119043 60.627142899,-26.084880906 60.6242857560001,-26.068571382 60.6214286140001,-26.052261858 60.6185714710001,-26.0359523339999 60.6157143280001,-26.0196428099999 60.6128571850001,-26.003333287 60.6100000420001,-25.987023763 60.6071428990001,-25.970714239 60.6042857560001,-25.954404715 60.6014286130001,-25.9380951909999 60.5985714710001,-25.9217856669999 60.595714328,-25.905476144 60.5928571850001,-25.88916662 60.590000042,-25.872857096 60.5871428990001,-25.856547572 60.584285756,-25.8402380479999 60.5814286130001,-25.8239285239999 60.578571471,-25.807619001 60.5757143280001,-25.791309477 60.572857185,-25.774999953 60.5700000420001,-25.758690429 60.567142899,-25.7423809049999 60.5642857560001,-25.7260713819999 60.561428613,-25.709761858 60.5585714710001,-25.693452334 60.5557143280001,-25.67714281 60.5528571850001,-25.660833286 60.5500000420001,-25.6445237619999 60.5471428990001,-25.6282142389999 60.5442857560001,-25.611904715 60.5414286130001,-25.595595191 60.5385714710001,-25.579285667 60.535714328,-25.562976143 60.5328571850001,-25.546666619 60.530000042,-25.5303570959999 60.5271428990001,-25.514047572 60.524285756,-25.497738048 60.5214286130001,-25.481428524 60.518571471,-25.465119 60.5157143280001,-25.4488094769999 60.512857185,-25.4324999529999 60.5100000420001,-25.416190429 60.507142899,-25.399880905 60.5042857560001,-25.383571381 60.501428613,-25.367261857 60.498571471,-25.3509523339999 60.4957143280001,-25.3346428099999 60.492857185,-25.3309647799999 60.4922128590001,-25.318333286 60.4900000420001,-25.302023762 60.487142899,-25.285714238 60.4842857560001,-25.269404714 60.481428613,-25.2530951909999 60.4785714710001,-25.2367856669999 60.475714328,-25.2204761429999 60.4728571850001,-25.204166619 60.470000042,-25.187857095 60.4671428990001,-25.171547571 60.464285756,-25.1552380479999 60.4614286130001,-25.1389285239999 60.458571471,-25.1226189999999 60.4557143280001,-25.106309476 60.452857185,-25.089999952 60.4500000420001,-25.0733823049999 60.448823571,-25.056764658 60.447647101,-25.0401470109999 60.4464706300001,-25.023529364 60.4452941600001,-25.006911717 60.4441176890001,-24.9902940699999 60.442941218,-24.973676423 60.4417647480001,-24.9570587759999 60.4405882770001,-24.940441129 60.4394118070001,-24.9238234819999 60.438235336,-24.907205835 60.437058865,-24.8905881869999 60.4358823950001,-24.87397054 60.4347059240001,-24.8573528929999 60.4335294540001,-24.840735246 60.432352983,-24.824117599 60.431176512,-24.8074999519999 60.4300000420001,-24.790882305 60.4288235710001,-24.7742646579999 60.427647101,-24.757647011 60.42647063,-24.7410293639999 60.4252941600001,-24.724411717 60.4241176890001,-24.70779407 60.4229412180001,-24.6911764229999 60.421764748,-24.674558776 60.420588277,-24.6579411279999 60.4194118070001,-24.641323481 60.4182353360001,-24.6247058339999 60.4170588650001,-24.608088187 60.415882395,-24.5914705399999 60.414705924,-24.574852893 60.4135294540001,-24.558235246 60.4123529830001,-24.5416175989999 60.4111765120001,-24.524999952 60.410000042,-24.5083823049999 60.408823571,-24.491764658 60.4076471010001,-24.4751470109999 60.4064706300001,-24.458529364 60.40529416,-24.4419117159999 60.404117689,-24.425294069 60.4029412180001,-24.4086764219999 60.4017647480001,-24.392058775 60.4005882770001,-24.375441128 60.399411807,-24.3588234809999 60.398235336,-24.342205834 60.3970588650001,-24.3255881869999 60.3958823950001,-24.30897054 60.394705924,-24.2923528929999 60.393529454,-24.275735246 60.3923529830001,-24.259117599 60.3911765120001,-24.2424999519999 60.3900000420001,-24.225882305 60.388823571,-24.2092646569999 60.387647101,-24.19264701 60.3864706300001,-24.1760293629999 60.3852941600001,-24.159411716 60.384117689,-24.1427940689999 60.382941218,-24.126176422 60.3817647480001,-24.109558775 60.3805882770001,-24.0929411279999 60.3794118070001,-24.076323481 60.378235336,-24.0597058339999 60.377058865,-24.043088187 60.3758823950001,-24.0264705399999 60.3747059240001,-24.009852893 60.373529454,-23.9932352449999 60.372352983,-23.976617598 60.371176512,-23.9599999509999 60.3700000420001,-23.94395344 60.3665116700001,-23.927906928 60.363023298,-23.911860416 60.359534926,-23.895813905 60.3560465530001,-23.879767393 60.3525581810001,-23.8637208809999 60.3490698090001,-23.8476743699999 60.3455814370001,-23.8316278579999 60.342093065,-23.815581347 60.338604693,-23.799534835 60.335116321,-23.783488323 60.3316279490001,-23.767441812 60.3281395770001,-23.7513953 60.3246512050001,-23.735348788 60.321162832,-23.7193022769999 60.31767446,-23.7032557649999 60.314186088,-23.6872092529999 60.310697716,-23.671162742 60.3072093440001,-23.65511623 60.3037209720001,-23.639069718 60.3002326000001,-23.623023207 60.2967442280001,-23.606976695 60.293255856,-23.5909301839999 60.289767484,-23.5748836719999 60.286279112,-23.5588371599999 60.2827907390001,-23.542790649 60.2793023670001,-23.526744137 60.2758139950001,-23.510697625 60.272325623,-23.494651114 60.268837251,-23.478604602 60.265348879,-23.46255809 60.2618605070001,-23.4465115789999 60.2583721350001,-23.4304650669999 60.2548837630001,-23.4144185549999 60.2513953910001,-23.3983720439999 60.247907018,-23.382325532 60.244418646,-23.366279021 60.240930274,-23.350232509 60.2374419020001,-23.334185997 60.2339535300001,-23.318139486 60.2304651580001,-23.3020929739999 60.2269767860001,-23.2860464619999 60.223488414,-23.2699999509999 60.220000042,-23.2535869069999 60.2178261290001,-23.2371738639999 60.2156522160001,-23.22076082 60.213478303,-23.204347777 60.2113043900001,-23.187934733 60.209130476,-23.17152169 60.2069565630001,-23.155108646 60.20478265,-23.138695603 60.202608737,-23.1222825589999 60.2004348240001,-23.1058695159999 60.198260911,-23.0894564719999 60.1960869980001,-23.0730434289999 60.1939130850001,-23.0566303849999 60.191739172,-23.0402173419999 60.1895652590001,-23.023804298 60.187391346,-23.007391255 60.185217433,-22.990978211 60.1830435200001,-22.974565168 60.180869607,-22.958152124 60.1786956940001,-22.941739081 60.1765217810001,-22.9253260369999 60.174347868,-22.9089129939999 60.1721739550001,-22.8924999499999 60.170000042,-22.8760869069999 60.167826129,-22.859673863 60.1656522160001,-22.84326082 60.163478303,-22.826847776 60.1613043890001,-22.810434733 60.159130476,-22.794021689 60.1569565630001,-22.777608646 60.1547826500001,-22.7611956019999 60.152608737,-22.7447825589999 60.1504348240001,-22.7283695149999 60.1482609110001,-22.7119564719999 60.146086998,-22.695543428 60.1439130850001,-22.679130385 60.141739172,-22.662717341 60.1395652590001,-22.646304298 60.1373913460001,-22.629891254 60.135217433,-22.613478211 60.1330435200001,-22.597065167 60.1308696070001,-22.580652124 60.128695694,-22.5642390799999 60.1265217810001,-22.5478260369999 60.124347868,-22.5314129929999 60.1221739550001,-22.5149999499999 60.1200000420001,-22.498586906 60.117826129,-22.482173863 60.1156522160001,-22.465760819 60.113478302,-22.449347776 60.1113043890001,-22.432934733 60.1091304760001,-22.416521689 60.106956563,-22.400108646 60.1047826500001,-22.3836956019999 60.1026087370001,-22.3672825589999 60.100434824,-22.3508695149999 60.0982609110001,-22.3344564719999 60.096086998,-22.318043428 60.0939130850001,-22.301630385 60.0917391720001,-22.285217341 60.089565259,-22.268804298 60.0873913460001,-22.252391254 60.0852174330001,-22.235978211 60.08304352,-22.2195651669999 60.0808696070001,-22.2031521239999 60.078695694,-22.1867390799999 60.0765217810001,-22.1703260369999 60.0743478680001,-22.1539129929999 60.072173955,-22.1374999499999 60.0700000420001,-22.121086906 60.0678261290001,-22.104673863 60.0656522150001,-22.088260819 60.0634783020001,-22.071847776 60.061304389,-22.055434732 60.0591304760001,-22.039021689 60.056956563,-22.0226086449999 60.05478265,-22.0061956019999 60.0526087370001,-21.9897825579999 60.050434824,-21.9733695149999 60.0482609110001,-21.956956471 60.0460869980001,-21.940543428 60.043913085,-21.924130384 60.0417391720001,-21.907717341 60.039565259,-21.891304297 60.037391346,-21.874891254 60.0352174330001,-21.8584782099999 60.03304352,-21.8420651669999 60.0308696070001,-21.8256521229999 60.0286956940001,-21.8092390799999 60.026521781,-21.792826036 60.0243478680001,-21.776412993 60.022173955,-21.759999949 60.020000042,-21.743424607 60.0197260690001,-21.726849264 60.0194520960001,-21.7102739219999 60.0191781240001,-21.6936985789999 60.0189041510001,-21.6771232369999 60.0186301790001,-21.6605478939999 60.0183562060001,-21.643972552 60.018082233,-21.627397209 60.017808261,-21.610821867 60.017534288,-21.594246524 60.017260315,-21.577671182 60.016986343,-21.561095839 60.0167123700001,-21.544520497 60.016438398,-21.5279451549999 60.0161644250001,-21.5113698119999 60.0158904520001,-21.4947944699999 60.0156164800001,-21.4782191269999 60.0153425070001,-21.461643785 60.0150685350001,-21.445068442 60.0147945620001,-21.4284931 60.014520589,-21.411917757 60.0142466170001,-21.395342415 60.013972644,-21.378767072 60.013698672,-21.3621917299999 60.013424699,-21.357499935 60.0133471490001,-21.345616387 60.013150726,-21.3331492959999 60.012944659,-21.3290410449999 60.012876754,-21.3124657019999 60.0126027810001,-21.2958903599999 60.0123288090001,-21.2793150169999 60.0120548360001,-21.262739675 60.0117808630001,-21.246164332 60.0115068910001,-21.22958899 60.0112329180001,-21.213013647 60.0109589460001,-21.196438305 60.0106849730001,-21.179862962 60.010411,-21.1632876199999 60.010137028,-21.1467122769999 60.009863055,-21.1301369349999 60.009589083,-21.1135615929999 60.00931511,-21.0969862499999 60.0090411370001,-21.080410908 60.0087671650001,-21.063835565 60.0084931920001,-21.047260223 60.0082192200001,-21.03068488 60.0079452470001,-21.014109538 60.0076712740001,-20.997534195 60.0073973020001,-20.9809588529999 60.0071233290001,-20.9643835099999 60.0068493570001,-20.9478081679999 60.006575384,-20.9312328249999 60.006301411,-20.9146574829999 60.006027439,-20.8980821399999 60.005753466,-20.881506798 60.005479494,-20.864931455 60.0052055210001,-20.848356113 60.0049315480001,-20.83178077 60.0046575760001,-20.815205428 60.0043836030001,-20.798630085 60.0041096310001,-20.7820547429999 60.0038356580001,-20.7654793999999 60.0035616850001,-20.7489040579999 60.0032877130001,-20.733095212 60.0030264100001,-20.7323287149999 60.00301374,-20.7157533729999 60.0027397680001,-20.6991780299999 60.002465795,-20.682602688 60.002191822,-20.666027346 60.00191785,-20.649452003 60.001643877,-20.632876661 60.001369905,-20.616301318 60.0010959320001,-20.5997259759999 60.0008219590001,-20.5831506329999 60.0005479870001,-20.5665752909999 60.0002740140001,-20.5500301979999 60.0000005420001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.XII', 'North of Azores', '27.XII', '27.XII.a', 'Southern mid-Atlantic Ridge', '27.XIIa', '27.XII.a.1', 'Subdivision XIIa1 - NEAFC Regulatory Area', '27.XIIa1', '', '', '', '', 'XIIa1', '4', '27.12.a.1', '27.XIIa1', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.999999977 60.0000000420001,-17.9999999459999 60.0000000000001,-20.5034294879999 60.0000005320001,-20.549979423 60.0000005410001,-20.439960463 60.002895777,-18.749999932 60.0473684230001,-18.65 60.0500000000001,-17.3199999999999 60.1100000000001,-17.3035937499999 60.112578125,-17.2871875 60.11515625,-17.27078125 60.1177343750001,-17.254375 60.1203125000001,-17.2379687499999 60.1228906250001,-17.2215624999999 60.12546875,-17.20515625 60.1280468750001,-17.18875 60.1306250000001,-17.17234375 60.1332031250001,-17.1559374999999 60.13578125,-17.1395312499999 60.1383593750001,-17.123125 60.1409375000001,-17.10671875 60.1435156250001,-17.0903125 60.14609375,-17.0739062499999 60.148671875,-17.0574999999999 60.1512500000001,-17.04109375 60.1538281250001,-17.0246875 60.15640625,-17.00828125 60.158984375,-16.9918749999999 60.1615625000001,-16.9754687499999 60.1641406250001,-16.9590625 60.16671875,-16.94265625 60.169296875,-16.92625 60.1718750000001,-16.9098437499999 60.1744531250001,-16.8934374999999 60.17703125,-16.87703125 60.179609375,-16.860625 60.1821875000001,-16.84421875 60.1847656250001,-16.8278124999999 60.1873437500001,-16.8114062499999 60.189921875,-16.795 60.1925000000001,-16.77859375 60.1950781250001,-16.7621875 60.1976562500001,-16.7457812499999 60.200234375,-16.7293749999999 60.2028125000001,-16.71296875 60.2053906250001,-16.6965625 60.2079687500001,-16.68015625 60.210546875,-16.6637499999999 60.213125,-16.6473437499999 60.2157031250001,-16.6309375 60.2182812500001,-16.61453125 60.220859375,-16.598125 60.2234375,-16.5817187499999 60.2260156250001,-16.5653124999999 60.2285937500001,-16.54890625 60.231171875,-16.5325 60.23375,-16.51609375 60.2363281250001,-16.4996874999999 60.2389062500001,-16.4832812499999 60.241484375,-16.466875 60.2440625,-16.45046875 60.2466406250001,-16.4340625 60.2492187500001,-16.4176562499999 60.2517968750001,-16.4012499999999 60.254375,-16.38484375 60.2569531250001,-16.3684375 60.2595312500001,-16.35203125 60.2621093750001,-16.3356249999999 60.2646875,-16.3192187499999 60.2672656250001,-16.3028125 60.2698437500001,-16.28640625 60.2724218750001,-16.27 60.275,-16.2535937499999 60.277578125,-16.2371874999999 60.2801562500001,-16.22078125 60.2827343750001,-16.204375 60.2853125,-16.18796875 60.287890625,-16.1715624999999 60.2904687500001,-16.1551562499999 60.2930468750001,-16.13875 60.295625,-16.12234375 60.298203125,-16.1059375 60.3007812500001,-16.0895312499999 60.3033593750001,-16.0731249999999 60.3059375,-16.05671875 60.308515625,-16.0403125 60.3110937500001,-16.02390625 60.3136718750001,-16.0074999999999 60.3162500000001,-15.9927269519999 60.3185714790001,-15.9910937499999 60.318828125,-15.9746875 60.3214062500001,-15.95828125 60.3239843750001,-15.941875 60.3265625000001,-15.9254687499999 60.329140625,-15.9090624999999 60.3317187500001,-15.89265625 60.3342968750001,-15.87625 60.3368750000001,-15.85984375 60.339453125,-15.8434374999999 60.34203125,-15.8270312499999 60.3446093750001,-15.810625 60.3471875000001,-15.79421875 60.349765625,-15.7778125 60.35234375,-15.7614062499999 60.3549218750001,-15.7449999999999 60.3575000000001,-15.72859375 60.360078125,-15.7121875 60.36265625,-15.69578125 60.3652343750001,-15.6793749999999 60.3678125000001,-15.6629687499999 60.370390625,-15.6465625 60.37296875,-15.63015625 60.3755468750001,-15.61375 60.3781250000001,-15.5973437499999 60.3807031250001,-15.5809374999999 60.38328125,-15.56453125 60.3858593750001,-15.548125 60.3884375000001,-15.53171875 60.3910156250001,-15.5153124999999 60.39359375,-15.4989062499999 60.3961718750001,-15.4825 60.3987500000001,-15.46609375 60.4013281250001,-15.4496875 60.40390625,-15.4332812499999 60.406484375,-15.4168749999999 60.4090625000001,-15.40046875 60.4116406250001,-15.3840625 60.41421875,-15.36765625 60.416796875,-15.3512499999999 60.4193750000001,-15.3348437499999 60.4219531250001,-15.3184375 60.42453125,-15.30203125 60.427109375,-15.285625 60.4296875000001,-15.2692187499999 60.4322656250001,-15.2528124999999 60.43484375,-15.23640625 60.437421875,-15.22 60.4400000000001,-15.20428571 60.4435714320001,-15.18857142 60.4471428630001,-15.1728571309999 60.4507142950001,-15.1571428409999 60.4542857260001,-15.1414285509999 60.4578571580001,-15.1271526639999 60.461101667,-15.107515285 60.465564708,-15.0929472039999 60.4688756350001,-15.078571391 60.47214288,-15.0628569479999 60.4757143470001,-15.0457485919999 60.479602593,-14.9999999999999 60.4900000100001,-14.999999977 60.0000000420001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.XII', 'North of Azores', '27.XII', '27.XII.a', 'Southern mid-Atlantic Ridge', '27.XIIa', '27.XII.a.2', 'Subdivision XIIa2 - NEAFC Regulatory Area', '27.XIIa2', '', '', '', '', 'XIIa2', '4', '27.12.a.2', '27.XIIa2', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 5.6843418860808e-14,9.39999961900003 5.6843418860808e-14,8.60000038100003 5.6843418860808e-14,7.80000019100004 5.6843418860808e-14,7.00000000000006 5.6843418860808e-14,6.19999980900008 5.6843418860808e-14,5.40000009500005 5.6843418860808e-14,4.59999990500006 5.6843418860808e-14,3.79999995200006 5.6843418860808e-14,3.00000000000006 5.6843418860808e-14,3.00000000000006 0.800000012000055,3.00000000000006 1.60000002400005,3.00000000000006 2.40000009500005,3.00000000000006 3.20000004800005,3.00000000000006 4.00000000000006,3.00000000000006 4.80000019100004,3.00000000000006 5.59999990500006,3.00000000000006 6.40000009500005,3.00000000000006 8.00000000000006,3.79999995200006 8.00000000000006,4.59999990500006 8.00000000000006,5.40000009500005 8.00000000000006,6.19999980900008 8.00000000000006,7.00000000000006 8.00000000000006,7.80000019100004 8.00000000000006,8.60000038100003 8.00000000000006,9.39999961900003 8.00000000000006,11.0000000000001 8.00000000000006,11.0000000000001 7.19999980900008,11.0000000000001 6.40000009500005,11.0000000000001 5.59999990500006,11.0000000000001 4.80000019100004,11.0000000000001 4.00000000000006,11.0000000000001 3.19999980900008,11.0000000000001 2.39999985700007,11.0000000000001 1.59999990500006,11.0000000000001 5.6843418860808e-14)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.3', 'Southern Coastal', '', '34.3.5', 'Central Gulf of Guinea', '', '', '', '', '', '', '', '', '3.5', '3', '34.3.5', '34.3.5', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.99999996 48.4300000360001,-12.0157142259999 48.4342857450001,-12.0314285119999 48.4385714590001,-12.0471427969999 48.442857174,-12.0628570829999 48.447142888,-12.078571369 48.4514286020001,-12.094285655 48.4557143160001,-12.10999994 48.460000031,-12.125714226 48.464285745,-12.1414285119999 48.468571459,-12.1571427969999 48.4728571740001,-12.1728570829999 48.4771428880001,-12.1885713689999 48.4814286020001,-12.204285655 48.485714316,-12.21999994 48.4900000310001,-12.234285655 48.4942857450001,-12.2485713689999 48.4985714590001,-12.262857083 48.502857174,-12.2771427979999 48.507142888,-12.291428512 48.5114286020001,-12.305714226 48.5157143170001,-12.3199999399999 48.5200000310001,-12.3357142259999 48.524285745,-12.3514285119999 48.528571459,-12.367142798 48.5328571740001,-12.382857083 48.5371428880001,-12.398571369 48.5414286020001,-12.414285655 48.545714317,-12.4299999409999 48.5500000310001,-12.445714226 48.5542857450001,-12.4614285119999 48.5585714590001,-12.4771427979999 48.562857174,-12.4928570829999 48.567142888,-12.508571369 48.571428602,-12.524285655 48.5757143170001,-12.539999941 48.5800000310001,-12.5542856549999 48.5857143170001,-12.5685713689999 48.5914286020001,-12.582857084 48.5971428880001,-12.5971427979999 48.6028571740001,-12.611428512 48.6085714590001,-12.625714226 48.6142857450001,-12.6399999409999 48.6200000310001,-12.654285655 48.6242857450001,-12.6685713689999 48.6285714590001,-12.682857084 48.632857174,-12.697142798 48.637142888,-12.7114285119999 48.6414286020001,-12.725714227 48.6457143170001,-12.739999941 48.650000031,-12.7557142269999 48.655714317,-12.7714285119999 48.6614286020001,-12.7871427979999 48.6671428880001,-12.802857084 48.6728571740001,-12.81857137 48.6785714600001,-12.834285655 48.6842857450001,-12.849999941 48.6900000310001,-12.865714227 48.6957143170001,-12.881428512 48.7014286020001,-12.8971427979999 48.7071428880001,-12.9128570839999 48.7128571740001,-12.9285713699999 48.7185714600001,-12.9442856549999 48.724285745,-12.959999941 48.730000031,-12.975714227 48.735714317,-12.991428513 48.741428602,-13.007142798 48.747142888,-13.022857084 48.752857174,-13.0385713699999 48.75857146,-13.0542856549999 48.7642857450001,-13.0699999409999 48.7700000310001,-13.084285655 48.7757143170001,-13.0985713699999 48.7814286020001,-13.1128570839999 48.7871428880001,-13.127142798 48.7928571740001,-13.1414285129999 48.7985714600001,-13.155714227 48.8042857450001,-13.169999941 48.8100000310001,-13.1842856559999 48.817142888,-13.19857137 48.8242857450001,-13.2128570839999 48.8314286030001,-13.2271427979999 48.83857146,-13.241428513 48.845714317,-13.2557142269999 48.8528571740001,-13.269999941 48.860000031,-13.284285656 48.865714317,-13.2985713699999 48.871428603,-13.312857084 48.877142888,-13.3271427989999 48.882857174,-13.3414285129999 48.88857146,-13.355714227 48.894285745,-13.3699999409999 48.900000031,-13.384285656 48.9071428880001,-13.39857137 48.914285745,-13.4128570839999 48.921428603,-13.427142799 48.9285714600001,-13.4414285129999 48.9357143170001,-13.4557142269999 48.942857174,-13.469999942 48.9500000310001,-13.4842856559999 48.9571428880001,-13.49857137 48.964285746,-13.512857084 48.971428603,-13.5271427989999 48.9785714600001,-13.541428513 48.985714317,-13.555714227 48.9928571740001,-13.569999942 49.0000000310001,-13.584285656 49.007142888,-13.5985713699999 49.014285746,-13.612857085 49.0214286030001,-13.627142799 49.0285714600001,-13.6414285129999 49.035714317,-13.655714227 49.0428571740001,-13.6699999419999 49.0500000310001,-13.6842856559999 49.057142888,-13.69857137 49.0642857460001,-13.7128570849999 49.0714286030001,-13.727142799 49.07857146,-13.741428513 49.0857143170001,-13.7557142279999 49.0928571740001,-13.769999942 49.100000031,-13.784999942 49.1083333650001,-13.7999999419999 49.1166666980001,-13.8149999419999 49.1250000310001,-13.829999942 49.1333333650001,-13.844999942 49.1416666980001,-13.8599999419999 49.150000031,-13.872857085 49.1585714600001,-13.8857142279999 49.167142889,-13.8985713709999 49.175714317,-13.911428513 49.1842857460001,-13.9242856559999 49.192857174,-13.937142799 49.2014286030001,-13.949999942 49.210000031,-13.9628570849999 49.2185714600001,-13.975714228 49.227142889,-13.988571371 49.235714317,-14.001428513 49.2442857460001,-14.014285656 49.252857174,-14.0271427989999 49.2614286030001,-14.039999942 49.270000032,-14.0549999419999 49.278333365,-14.069999942 49.286666698,-14.084999942 49.2950000320001,-14.099999942 49.3033333650001,-14.1149999419999 49.3116666980001,-14.1299999419999 49.3200000320001,-14.1428570849999 49.32857146,-14.155714228 49.3371428890001,-14.1685713709999 49.345714317,-14.1814285139999 49.3542857460001,-14.194285657 49.3628571740001,-14.2071427989999 49.371428603,-14.219999942 49.3800000320001,-14.2333332759999 49.390000032,-14.2466666089999 49.400000032,-14.259999942 49.410000032,-14.273333276 49.4200000320001,-14.286666609 49.4300000320001,-14.2999999419999 49.4400000320001,-14.312857085 49.44857146,-14.325714228 49.4571428890001,-14.3385713709999 49.465714317,-14.351428514 49.4742857460001,-14.364285657 49.482857175,-14.3771427999999 49.491428603,-14.389999942 49.5000000320001,-14.4028570849999 49.50857146,-14.415714228 49.5171428890001,-14.428571371 49.5257143170001,-14.4414285139999 49.5342857460001,-14.454285657 49.5428571750001,-14.4671428 49.551428603,-14.4799999419999 49.5600000320001,-14.492857085 49.56857146,-14.5057142279999 49.5771428890001,-14.518571371 49.585714318,-14.531428514 49.594285746,-14.5442856569999 49.6028571750001,-14.5571428 49.611428603,-14.569999943 49.6200000320001,-14.581428514 49.6300000320001,-14.5928570849999 49.640000032,-14.6042856569999 49.650000032,-14.6157142279999 49.660000032,-14.6271427999999 49.6700000320001,-14.638571371 49.6800000320001,-14.649999943 49.6900000320001,-14.662857086 49.69857146,-14.6757142279999 49.7071428890001,-14.688571371 49.715714318,-14.7014285139999 49.7242857460001,-14.7142856569999 49.732857175,-14.7271428 49.741428603,-14.7399999429999 49.7500000320001,-14.7514285139999 49.7600000320001,-14.7628570859999 49.770000032,-14.774285657 49.780000032,-14.7971428 49.8000000320001,-14.808571371 49.8100000320001,-14.819999943 49.8200000320001,-14.831666609 49.831666699,-14.843333276 49.843333365,-14.8549999429999 49.8550000320001,-14.86666661 49.8666666990001,-14.878333276 49.8783333650001,-14.889999943 49.890000032,-14.901428514 49.900000032,-14.912857086 49.910000032,-14.9242856569999 49.9200000320001,-14.9357142289999 49.9300000320001,-14.9471427999999 49.9400000320001,-14.9585713719999 49.950000032,-14.9699999429999 49.960000032,-14.9816666099999 49.9716666990001,-14.9933332759999 49.9833333660001,-15.004999943 49.9950000320001,-15.01666661 50.006666699,-15.028333276 50.018333366,-15.0399999429999 50.030000032,-15.0516666099999 50.0416666990001,-15.063333276 50.0533333660001,-15.074999943 50.0650000320001,-15.08666661 50.076666699,-15.0983332759999 50.088333366,-15.1099999429999 50.100000032,-15.119999943 50.1116666990001,-15.129999943 50.1233333660001,-15.139999943 50.1350000320001,-15.149999943 50.146666699,-15.1599999429999 50.1583333660001,-15.1699999429999 50.1700000320001,-15.18166661 50.1816666990001,-15.193333276 50.193333366,-15.204999943 50.205000032,-15.2166666099999 50.216666699,-15.2283332769999 50.2283333660001,-15.2399999429999 50.2400000320001,-15.249999943 50.253333366,-15.259999943 50.266666699,-15.269999943 50.280000032,-15.279999943 50.2933333660001,-15.2899999429999 50.3066666990001,-15.2999999429999 50.3200000320001,-15.309999943 50.331666699,-15.319999943 50.3433333660001,-15.329999943 50.3550000330001,-15.339999943 50.3666666990001,-15.3499999429999 50.378333366,-15.3599999429999 50.390000033,-15.369999943 50.403333366,-15.379999943 50.4166666990001,-15.389999943 50.4300000330001,-15.399999943 50.443333366,-15.4099999429999 50.456666699,-15.4199999429999 50.4700000330001,-15.4299999429999 50.484000033,-15.439999943 50.498000033,-15.449999943 50.512000033,-15.459999943 50.5260000330001,-15.4699999429999 50.5400000330001,-15.4783332769999 50.5533333660001,-15.4866666099999 50.5666666990001,-15.494999943 50.580000033,-15.503333277 50.5933333660001,-15.51166661 50.6066666990001,-15.519999943 50.6200000330001,-15.5283332769999 50.633333366,-15.5366666099999 50.646666699,-15.5449999429999 50.6600000330001,-15.553333277 50.6733333660001,-15.56166661 50.6866666990001,-15.569999944 50.700000033,-15.579999944 50.713333366,-15.5899999439999 50.7266667000001,-15.5999999439999 50.7400000330001,-15.609999944 50.753333366,-15.619999944 50.7666667,-15.629999944 50.7800000330001,-15.638333277 50.7933333660001,-15.64666661 50.8066667000001,-15.6549999439999 50.820000033,-15.6633332769999 50.833333366,-15.6716666099999 50.8466667000001,-15.679999944 50.8600000330001,-15.688333277 50.8733333660001,-15.69666661 50.8866667,-15.704999944 50.900000033,-15.7133332769999 50.9133333660001,-15.7216666099999 50.9266667000001,-15.7299999439999 50.940000033,-15.7366666099999 50.953333366,-15.743333277 50.9666667000001,-15.749999944 50.9800000330001,-15.75666661 50.9933333660001,-15.763333277 51.0066667,-15.7699999439999 51.020000033,-15.7783332769999 51.0333333660001,-15.7866666099999 51.0466667000001,-15.7949999439999 51.0600000330001,-15.803333277 51.073333367,-15.81166661 51.0866667000001,-15.819999944 51.1000000330001,-15.82666661 51.1133333670001,-15.833333277 51.1266667,-15.8399999439999 51.140000033,-15.8466666099999 51.1533333670001,-15.8533332769999 51.1666667000001,-15.859999944 51.1800000330001,-15.86666661 51.195000033,-15.873333277 51.210000033,-15.879999944 51.2250000330001,-15.88666661 51.2400000330001,-15.893333277 51.255000033,-15.8999999439999 51.270000033,-15.905999944 51.284000033,-15.9119999439999 51.2980000330001,-15.917999944 51.3120000330001,-15.9239999439999 51.3260000330001,-15.929999944 51.3400000330001,-15.934999944 51.3550000330001,-15.939999944 51.3700000330001,-15.944999944 51.385000033,-15.949999944 51.400000033,-15.954999944 51.4150000340001,-15.9599999439999 51.430000034,-15.9649999439999 51.445000034,-15.9699999439999 51.4600000340001,-15.9749999439999 51.4750000340001,-15.9799999439999 51.490000034,-15.984999944 51.505000034,-15.989999944 51.5200000340001,-15.9959999439999 51.536000034,-16.001999944 51.5520000340001,-16.0079999439999 51.5680000340001,-16.013999944 51.584000034,-16.0199999439999 51.6000000340001,-16.023999944 51.6160000340001,-16.0279999439999 51.632000034,-16.0319999439999 51.6480000340001,-16.035999944 51.664000034,-16.0399999439999 51.680000034,-16.041666611 51.695000034,-16.0433332769999 51.7100000340001,-16.0449999439999 51.7250000340001,-16.046666611 51.740000034,-16.0483332769999 51.755000034,-16.049999944 51.7700000340001,-16.0539999439999 51.786000034,-16.057999944 51.8020000340001,-16.061999944 51.8180000340001,-16.0659999439999 51.834000034,-16.069999944 51.8500000340001,-16.069999944 51.865000034,-16.069999944 51.880000034,-16.069999944 51.8950000340001,-16.069999944 51.9100000340001,-16.069999944 51.925000034,-16.069999944 51.940000034,-16.071999944 51.9560000340001,-16.073999944 51.9720000340001,-16.0759999439999 51.988000034,-16.0779999439999 52.0040000340001,-16.079999944 52.0200000340001,-16.0816666109999 52.0350000340001,-16.083333277 52.050000034,-16.0866666109999 52.0800000340001,-16.0883332769999 52.0950000340001,-16.0899999439999 52.1100000340001,-16.0899999439999 52.1260000340001,-16.0899999439999 52.142000034,-16.0899999439999 52.1580000340001,-16.0899999439999 52.1740000340001,-16.0899999439999 52.190000034,-16.0899999439999 52.2060000340001,-16.0899999439999 52.2220000340001,-16.0899999439999 52.238000034,-16.0899999439999 52.2540000340001,-16.0899999439999 52.2700000340001,-16.0883332769999 52.2850000340001,-16.0866666109999 52.300000034,-16.083333277 52.3300000340001,-16.0816666109999 52.3450000340001,-16.079999944 52.3600000340001,-16.0779999439999 52.3760000340001,-16.0759999439999 52.392000034,-16.073999944 52.4080000340001,-16.071999944 52.4240000340001,-16.069999944 52.440000034,-16.067499944 52.4550000340001,-16.064999944 52.4700000340001,-16.062499944 52.485000035,-16.0599999459999 52.500000023,-11.999999955 52.5000000260001,-11.99999996 48.4300000360001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VII', '', '27.VII', '27.VII.k', 'Southwest of Ireland - West', '27.VIIk', '27.VII.k.2', 'SW of Ireland - West - Non-NEAFC Regulatory Area', '27.VIIk2', '', '', '', '', 'VIIk2', '4', '27.7.k.2', '27.VIIk2', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.26639714099997 58.2017719950001,-4.49999999999994 58.0212606950001,-4.79171532899994 57.7958443040001,-4.71411150599994 57.115318469,-4.54302986099998 56.8626130710001,-4.29992246199993 56.4022149880001,-4.40749210699994 55.7051636840001,-4.47633667999997 55.423331213,-4.68932457899996 55.1544070990001,-4.84971687499996 55.0589701390001,-4.92359756699994 54.9382795440001,-4.95663326999994 54.8958547460001,-4.97717516699993 54.8694746250001,-5.02304507899993 54.8807080730001,-5.08609181399993 54.8961480900001,-5.08771421699993 54.8965454130001,-5.16762991999997 55.000000018,-5.98013258799995 55.0000000370001,-6.01421751299995 55.002718171,-6.01805248699998 55.0000000000001,-6.68509016499996 54.5272139200001,-6.99999999999994 54.232435121,-8.22517290799993 53.085583044,-8.22517290799993 53.718231141,-8.26913533699997 54.4993497310001,-11.9997912219999 54.5000000000001,-11.999999955 54.5000000270001,-11.99999994 60.0000000250001,-9.99999996299994 60.0000000420001,-7.99999996199995 60.0000000420001,-4.99999996699995 60.0000000420001,-4.99999993399996 60.5000000210001,-3.99999989599996 60.5000000420001,-3.99999984099998 58.567292073,-4.23124774399997 58.2500000000001,-4.26639714099997 58.2017719950001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VI', 'Rockall, NW Coast of Scotland and North Ireland', '27.VI', '27.VI.a', 'Northwest Coast of Scotland and North Ireland', '27.VIa', '', '', '', '', '', '', '', 'VIa', '3', '27.6.a', '27.VIa', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.378378023 43.0000000260001,-30.39504103 42.9994639780001,-30.4117040369999 42.99892793,-30.428367044 42.9983918820001,-30.4450300509999 42.9978558340001,-30.461693058 42.997319786,-30.478356065 42.996783738,-30.4950190719999 42.9962476900001,-30.511682079 42.9957116420001,-30.5283450859999 42.995175594,-30.545008093 42.994639546,-30.5616711 42.9941034980001,-30.5783341069999 42.9935674500001,-30.594997114 42.9930314010001,-30.6116601209999 42.992495353,-30.628323128 42.9919593050001,-30.644986135 42.9914232570001,-30.6616491419999 42.9908872090001,-30.678312149 42.990351161,-30.6949751559999 42.9898151130001,-30.711638163 42.9892790650001,-30.72830117 42.988743017,-30.7449641769999 42.988206969,-30.761627184 42.9876709210001,-30.7782901909999 42.9871348730001,-30.794953198 42.986598825,-30.811616205 42.986062777,-30.828279212 42.9855267290001,-30.844942219 42.9849906810001,-30.8616052259999 42.984454633,-30.878268233 42.983918585,-30.8949312399999 42.9833825370001,-30.911594247 42.9828464890001,-30.928257254 42.982310441,-30.9449202609999 42.9817743930001,-30.961583268 42.9812383450001,-30.9782462749999 42.9807022970001,-30.994909282 42.980166249,-31.0115722899999 42.9796302010001,-31.028235297 42.9790941530001,-31.044898304 42.978558105,-31.0615613109999 42.978022057,-31.078224318 42.9774860090001,-31.0948873249999 42.9769499610001,-31.111550332 42.976413913,-31.128213339 42.975877865,-31.1448763459999 42.9753418170001,-31.161539353 42.9748057690001,-31.1782023599999 42.974269721,-31.194865367 42.973733673,-31.211528374 42.9731976250001,-31.2281913809999 42.9726615770001,-31.244854388 42.972125529,-31.2615173949999 42.9715894810001,-31.278180402 42.9710534330001,-31.294843409 42.9705173850001,-31.3115064159999 42.969981337,-31.328169423 42.9694452890001,-31.3448324299999 42.9689092410001,-31.361495437 42.968373193,-31.378158444 42.967837145,-31.394821451 42.9673010970001,-31.411484458 42.9667650490001,-31.4281474649999 42.966229001,-31.444810472 42.965692953,-31.4614734789999 42.9651569050001,-31.478136486 42.9646208570001,-31.494799493 42.964084809,-31.5114624999999 42.963548761,-31.528125507 42.9630127130001,-31.5447885139999 42.9624766650001,-31.561451521 42.961940617,-31.578114528 42.9614045690001,-31.5947775349999 42.9608685210001,-31.611440542 42.9603324730001,-31.6281035489999 42.959796425,-31.644766556 42.9592603770001,-31.661429563 42.9587243290001,-31.6780925699999 42.958188281,-31.694755577 42.957652233,-31.7114185839999 42.9571161850001,-31.728081591 42.9565801370001,-31.744744598 42.956044089,-31.7614076049999 42.955508041,-31.778070612 42.954971992,-31.7947336189999 42.9544359440001,-31.811396626 42.9538998960001,-31.828059633 42.953363848,-31.8447226399999 42.9528278000001,-31.861385647 42.9522917520001,-31.8780486539999 42.951755704,-31.894711661 42.951219656,-31.911374668 42.9506836080001,-31.9280376749999 42.9501475600001,-31.944700682 42.949611512,-31.9613636889999 42.949075464,-31.978026696 42.9485394160001,-31.9946897029999 42.9480033680001,-32.01135271 42.94746732,-32.028015717 42.946931272,-32.0446787239999 42.9463952240001,-32.061341731 42.9458591760001,-32.0780047379999 42.945323128,-32.094667745 42.94478708,-32.111330752 42.9442510320001,-32.1279937589999 42.9437149840001,-32.144656766 42.943178936,-32.1613197729999 42.9426428880001,-32.17798278 42.9421068400001,-32.194645787 42.9415707920001,-32.2113087939999 42.941034744,-32.227971801 42.9404986960001,-32.2446348079999 42.9399626480001,-32.261297815 42.9394266,-32.277960822 42.938890552,-32.2946238289999 42.9383545040001,-32.310441007 42.933792037,-32.326258184 42.9292295710001,-32.3420753619999 42.924667104,-32.35789254 42.9201046370001,-32.3737097179999 42.915542171,-32.3895268959999 42.9109797040001,-32.405344073 42.906417237,-32.4211612509999 42.901854771,-32.436978429 42.8972923040001,-32.452795607 42.892729837,-32.4686127849999 42.8881673710001,-32.484429962 42.883604904,-32.5002471399999 42.8790424370001,-32.516064318 42.874479971,-32.531881496 42.8699175040001,-32.5476986739999 42.865355037,-32.563515851 42.860792571,-32.5793330289999 42.8562301040001,-32.595150207 42.851667637,-32.610967385 42.8471051710001,-32.6267845629999 42.842542704,-32.64260174 42.8379802370001,-32.6584189179999 42.833417771,-32.674236096 42.8288553040001,-32.690053274 42.824292837,-32.7058704519999 42.819730371,-32.721687629 42.8151679040001,-32.7375048069999 42.810605437,-32.753321985 42.8060429710001,-32.769139163 42.801480504,-32.78495634 42.7969180370001,-32.800773518 42.792355571,-32.8165906959999 42.7877931040001,-32.832407874 42.783230637,-32.848225052 42.778668171,-32.8640422289999 42.7741057040001,-32.879859407 42.7695432370001,-32.8956765849999 42.7649807710001,-32.911493763 42.760418304,-32.927310941 42.7558558370001,-32.9431281179999 42.751293371,-32.958945296 42.7467309040001,-32.9747624739999 42.742168437,-32.990579652 42.7376059710001,-33.00639683 42.7330435040001,-33.0213734069999 42.726121446,-33.036349983 42.719199388,-33.0513265599999 42.7122773310001,-33.066303137 42.7053552730001,-33.0812797139999 42.6984332150001,-33.096256291 42.691511158,-33.1112328679999 42.6845891,-33.126209445 42.6776670420001,-33.1411860219999 42.6707449850001,-33.156162599 42.6638229270001,-33.1711391759999 42.656900869,-33.186115753 42.649978811,-33.2010923299999 42.643056754,-33.216068907 42.6361346960001,-33.2310454839999 42.6292126380001,-33.246022061 42.6222905810001,-33.2609986379999 42.615368523,-33.275975214 42.608446465,-33.2909517909999 42.601524408,-33.305928368 42.5946023500001,-33.3209049449999 42.5876802920001,-33.335881522 42.580758234,-33.3508580989999 42.573836177,-33.365834676 42.566914119,-33.3808112529999 42.5599920610001,-33.39578783 42.5530700040001,-33.4107644069999 42.5461479460001,-33.425740984 42.539225888,-33.4407175609999 42.532303831,-33.455694138 42.525381773,-33.470670715 42.5184597150001,-33.485647292 42.5115376580001,-33.5006238679999 42.5046156000001,-33.515600445 42.497693542,-33.5305770219999 42.490771484,-33.545553599 42.4838494270001,-33.5605301759999 42.4769273690001,-33.575506753 42.4700053110001,-33.59048333 42.463083254,-33.605459907 42.456161196,-33.620436484 42.4492391380001,-33.635413061 42.4423170810001,-33.650389638 42.4353950230001,-33.6653662149999 42.428472965,-33.680342792 42.421550907,-33.6953193689999 42.41462885,-33.710295946 42.4077067920001,-33.7252725229999 42.4007847340001,-33.740249099 42.3938626770001,-33.755225676 42.386940619,-33.770202253 42.380018561,-33.7851788299999 42.373096504,-33.799104961 42.3643280250001,-33.813031091 42.355559547,-33.826957222 42.3467910690001,-33.8408833519999 42.33802259,-33.8548094829999 42.3292541120001,-33.868735613 42.3204856340001,-33.882661743 42.311717156,-33.896587874 42.3029486770001,-33.9105140039999 42.294180199,-33.9244401349999 42.2854117210001,-33.938366265 42.2766432430001,-33.952292396 42.2678747640001,-33.966218526 42.2591062860001,-33.980144657 42.250337808,-33.9940707869999 42.2415693290001,-34.007996917 42.232800851,-34.021923048 42.2240323730001,-34.035849178 42.2152638950001,-34.049775309 42.2064954160001,-34.0637014389999 42.1977269380001,-34.0776275699999 42.18895846,-34.0915537 42.1801899820001,-34.105479831 42.171421503,-34.1183183009999 42.1615079740001,-34.1311567719999 42.1515944450001,-34.143995242 42.1416809150001,-34.156833713 42.131767386,-34.169672184 42.121853856,-34.1825106539999 42.1119403270001,-34.195349125 42.1020267970001,-34.208187595 42.092113268,-34.221026066 42.082199739,-34.2338645369999 42.072286209,-34.246703007 42.0623726800001,-34.259541478 42.0524591500001,-34.272379948 42.042545621,-34.2852184189999 42.032632091,-34.2980568899999 42.0227185620001,-34.31089536 42.0128050330001,-34.323733831 42.0028915030001,-34.3349563309999 41.9907037840001,-34.346178831 41.9785160660001,-34.3574013309999 41.9663283470001,-34.368623831 41.9541406280001,-34.379846331 41.9419529090001,-34.391068831 41.9297651910001,-34.402291331 41.9175774720001,-34.4135138309999 41.9053897530001,-34.424736331 41.8932020340001,-34.4359588309999 41.8810143160001,-34.447181331 41.8688265970001,-34.4584038309999 41.8566388780001,-34.469626331 41.8444511590001,-34.4808488309999 41.8322634410001,-34.492071331 41.8200757220001,-34.503293831 41.8078880030001,-34.514516331 41.7957002840001,-34.525738831 41.7835125650001,-34.5369613309999 41.7713248470001,-34.548183831 41.7591371280001,-34.5594063309999 41.7469494090001,-34.570628831 41.73476169,-34.5818513309999 41.7225739720001,-34.593073831 41.7103862530001,-34.6042963309999 41.698198534,-34.615518831 41.686010815,-34.6267413309999 41.673823097,-34.637963831 41.661635378,-34.649186331 41.649447659,-34.660408831 41.63725994,-34.671631331 41.625072222,-34.6828538309999 41.612884503,-34.6925415709999 41.59961696,-34.70222931 41.5863494170001,-34.71191705 41.5730818750001,-34.721604789 41.559814332,-34.731292529 41.546546789,-34.7409802679999 41.5332792470001,-34.7506680079999 41.5200117040001,-34.7603557469999 41.506744161,-34.770043487 41.493476618,-34.779731226 41.4802090760001,-34.789418966 41.4669415330001,-34.7991067049999 41.45367399,-34.8087944449999 41.440406448,-34.8184821839999 41.427138905,-34.828169924 41.4138713620001,-34.837857663 41.4006038200001,-34.847545403 41.387336277,-34.857233142 41.374068734,-34.8669208819999 41.3608011910001,-34.8766086209999 41.3475336490001,-34.8862963609999 41.334266106,-34.8959841 41.320998563,-34.90567184 41.3077310210001,-34.915359579 41.2944634780001,-34.9250473189999 41.281195935,-34.9347350579999 41.267928392,-34.9444227979999 41.2546608500001,-34.954110537 41.2413933070001,-34.963798277 41.228125764,-34.973486016 41.214858222,-34.9831737559999 41.201590679,-34.9928614949999 41.1883231360001,-35.0025492349999 41.1750555940001,-35.012236974 41.161788051,-35.021924713 41.148520508,-35.031612453 41.1352529650001,-35.0413001919999 41.1219854230001,-35.0509879319999 41.10871788,-35.060675671 41.095450337,-35.070363411 41.0821827950001,-35.08005115 41.0689152520001,-35.08973889 41.055647709,-35.0994266289999 41.042380166,-35.1091143689999 41.029112624,-35.118802108 41.0158450810001,-35.128489848 41.002577538,-35.138177587 40.989309996,-35.147865327 40.976042453,-35.1575530659999 40.9627749100001,-35.1672408059999 40.9495073680001,-35.175460475 40.934814212,-35.1836801439999 40.9201210570001,-35.191899812 40.9054279010001,-35.2001194809999 40.8907347460001,-35.20833915 40.8760415900001,-35.2165588189999 40.861348435,-35.224778488 40.8466552790001,-35.232998156 40.831962124,-35.241217825 40.8172689680001,-35.2494374939999 40.802575813,-35.257657163 40.7878826580001,-35.2658768319999 40.773189502,-35.27182026 40.7580322160001,-35.277763689 40.7428749310001,-35.2837071169999 40.727717645,-35.289650546 40.7125603590001,-35.295593975 40.697403073,-35.3015374029999 40.682245788,-35.307480832 40.6670885020001,-35.31342426 40.651931216,-35.3193676889999 40.6367739300001,-35.325311117 40.6216166450001,-35.331254546 40.606459359,-35.337197975 40.5913020730001,-35.3431414029999 40.5761447880001,-35.349084832 40.560987502,-35.35502826 40.5458302160001,-35.3609716889999 40.53067293,-35.366915117 40.5155156450001,-35.372858546 40.5003583590001,-35.3788019749999 40.485201073,-35.384745403 40.4700437870001,-35.390688832 40.4548865020001,-35.3966322599999 40.439729216,-35.4025756889999 40.4245719300001,-35.408519118 40.409414645,-35.414462546 40.3942573590001,-35.4204059749999 40.3791000730001,-35.426349403 40.363942787,-35.432292832 40.3487855020001,-35.436035519 40.3329248140001,-35.439778207 40.317064127,-35.443520894 40.3012034390001,-35.4472635819999 40.2853427520001,-35.4510062689999 40.269482064,-35.4547489569999 40.2536213770001,-35.4584916439999 40.237760689,-35.462234332 40.221900002,-35.465977019 40.2060393140001,-35.469719707 40.1901786270001,-35.473462394 40.174317939,-35.477205082 40.1584572510001,-35.480947769 40.142596564,-35.4846904569999 40.1267358760001,-35.4884331439999 40.1108751890001,-35.4921758319999 40.095014501,-35.4959185189999 40.0791538140001,-35.499661207 40.0632931260001,-35.503403894 40.047432439,-35.507146582 40.0315717510001,-35.510889269 40.0157110640001,-35.5146319569999 39.999850376,-35.5183746439999 39.9839896890001,-35.5221173319999 39.9681290010001,-35.5258600189999 39.952268314,-35.529602707 39.9364076260001,-35.533345394 39.9205469390001,-35.537088082 39.904686251,-35.540830769 39.8888255640001,-35.544573457 39.872964876,-35.548316144 39.857104189,-35.5520588319999 39.8412435010001,-35.553205299 39.825134301,-35.554351765 39.809025101,-35.5554982319999 39.7929159010001,-35.5566446989999 39.7768067010001,-35.557791165 39.760697501,-35.558937632 39.7445883010001,-35.5600840989999 39.7284791010001,-35.561230565 39.712369901,-35.562377032 39.696260701,-35.563523499 39.6801515010001,-35.564669965 39.6640423010001,-35.565816432 39.647933101,-35.566962899 39.6318239010001,-35.5681093649999 39.6157147010001,-35.569255832 39.599605501,-35.567968074 39.583075713,-35.566680317 39.5665459250001,-35.565392559 39.5500161370001,-35.564104802 39.533486349,-35.562817044 39.516956561,-35.5615292859999 39.5004267740001,-35.5602415289999 39.483896986,-35.5589537709999 39.467367198,-35.5576660139999 39.4508374100001,-35.556378256 39.4343076220001,-35.555090499 39.417777834,-35.553802741 39.401248046,-35.552514983 39.3847182580001,-35.551227226 39.3681884700001,-35.5499394679999 39.351658683,-35.5486517109999 39.335128895,-35.5473639529999 39.3185991070001,-35.5460761959999 39.3020693190001,-35.544788438 39.285539531,-35.54350068 39.269009743,-35.542212923 39.2524799550001,-35.540925165 39.2359501670001,-35.539637408 39.219420379,-35.5383496499999 39.202890591,-35.5370618929999 39.1863608040001,-35.5357741349999 39.169831016,-35.534486377 39.153301228,-35.53319862 39.1367714400001,-35.531910862 39.1202416520001,-35.530623105 39.103711864,-35.529335347 39.087182076,-35.528047589 39.0706522880001,-35.526759832 39.0541225000001,-35.522795472 39.0383818600001,-35.5188311119999 39.02264122,-35.5148667519999 39.00690058,-35.5109023919999 38.99115994,-35.5069380319999 38.9754193000001,-35.5029736719999 38.9596786600001,-35.4990093119999 38.9439380200001,-35.4950449519999 38.92819738,-35.4910805919999 38.91245674,-35.4871162319999 38.8967161,-35.483151872 38.8809754600001,-35.479187512 38.8652348200001,-35.475223152 38.8494941800001,-35.471258792 38.83375354,-35.467294432 38.8180129,-35.463330072 38.8022722600001,-35.459365712 38.7865316200001,-35.455401352 38.7707909800001,-35.451436992 38.75505034,-35.447472632 38.7393097,-35.443508272 38.72356906,-35.439543912 38.7078284200001,-35.435579552 38.6920877800001,-35.431615192 38.6763471400001,-35.427650832 38.6606065,-35.420717082 38.6453147500001,-35.413783332 38.6300230000001,-35.4068495819999 38.61473125,-35.399915832 38.5994395000001,-35.3929820819999 38.5841477500001,-35.386048332 38.568856,-35.3791145819999 38.5535642500001,-35.372180832 38.5382725000001,-35.367324665 38.522721333,-35.3624684979999 38.507170167,-35.357612332 38.4916190000001,-35.352756165 38.4760678330001,-35.3478999979999 38.460516667,-35.343043832 38.4449655000001,-35.3354258049999 38.430216079,-35.327807779 38.4154666580001,-35.320189753 38.400717237,-35.3125717259999 38.3859678160001,-35.3049536999999 38.371218395,-35.297335674 38.3564689730001,-35.289717647 38.341719552,-35.2820996209999 38.3269701310001,-35.2744815949999 38.3122207100001,-35.266863569 38.297471289,-35.259245542 38.2827218680001,-35.2516275159999 38.267972447,-35.2440094899999 38.2532230260001,-35.236391463 38.238473605,-35.228773437 38.223724184,-35.221155411 38.2089747630001,-35.2135373839999 38.194225342,-35.205919358 38.1794759210001,-35.198301332 38.1647265,-35.1906833049999 38.1499770790001,-35.1830652789999 38.135227657,-35.175447253 38.1204782360001,-35.167829226 38.1057288150001,-35.1602111999999 38.090979394,-35.1525931739999 38.0762299730001,-35.144975147 38.061480552,-35.137357121 38.0467311310001,-35.1297390949999 38.03198171,-35.122121068 38.017232289,-35.114503042 38.0024828680001,-35.106885016 37.987733447,-35.0992669889999 37.9729840260001,-35.091648963 37.958234605,-35.084030937 37.9434851840001,-35.0764129099999 37.9287357630001,-35.0687948839999 37.9139863410001,-35.061176858 37.8992369200001,-35.053558831 37.884487499,-35.043306983 37.8714494390001,-35.0330551339999 37.858411378,-35.0228032859999 37.845373318,-35.0125514379999 37.8323352570001,-35.002299589 37.819297196,-34.992047741 37.8062591360001,-34.981795892 37.7932210750001,-34.971544044 37.780183014,-34.9612921949999 37.7671449540001,-34.9510403469999 37.754106893,-34.940788498 37.741068833,-34.93053665 37.7280307720001,-34.920284801 37.714992711,-34.910032953 37.7019546510001,-34.8997811039999 37.6889165900001,-34.8895292559999 37.675878529,-34.879277407 37.6628404690001,-34.869025559 37.649802408,-34.85877371 37.636764348,-34.848521862 37.6237262870001,-34.8382700129999 37.610688226,-34.8280181649999 37.5976501660001,-34.817766316 37.5846121050001,-34.807514468 37.571574045,-34.797262619 37.5585359840001,-34.787010771 37.545497923,-34.7767589219999 37.532459863,-34.7665070739999 37.5194218020001,-34.756255225 37.506383741,-34.746003377 37.4933456810001,-34.735751528 37.4803076200001,-34.72549968 37.46726956,-34.7152478309999 37.4542314990001,-34.7035601809999 37.4425676490001,-34.6918725309999 37.4309037990001,-34.6801848809999 37.419239949,-34.6684972309999 37.407576099,-34.6568095809999 37.395912249,-34.6451219309999 37.3842483990001,-34.6334342809999 37.3725845490001,-34.621746631 37.3609206990001,-34.610058981 37.349256849,-34.598371331 37.337592999,-34.586683681 37.325929149,-34.574996031 37.3142652990001,-34.563308381 37.3026014490001,-34.551620731 37.2909375990001,-34.539933081 37.279273749,-34.528245431 37.267609899,-34.516557781 37.255946049,-34.504870131 37.2442821990001,-34.493182481 37.2326183490001,-34.481494831 37.2209544990001,-34.468688271 37.2104546190001,-34.455881711 37.1999547390001,-34.443075151 37.1894548590001,-34.430268591 37.178954979,-34.417462031 37.168455099,-34.404655471 37.157955219,-34.391848911 37.147455339,-34.379042351 37.136955459,-34.366235791 37.126455579,-34.353429231 37.115955699,-34.3406226709999 37.105455819,-34.3278161109999 37.094955939,-34.3150095509999 37.084456059,-34.3022029909999 37.073956179,-34.2893964309999 37.0634562990001,-34.2765898709999 37.0529564190001,-34.2637833109999 37.0424565390001,-34.2509767509999 37.0319566590001,-34.2381701909999 37.0214567790001,-34.2253636309999 37.0109568990001,-34.2125570709999 37.0004570190001,-34.1997505109999 36.9899571390001,-34.1869439509999 36.9794572590001,-34.1741373909999 36.9689573790001,-34.1613308309999 36.958457498,-34.147210784 36.949709522,-34.133090738 36.9409615450001,-34.118970691 36.9322135680001,-34.1048506449999 36.923465591,-34.0907305979999 36.914717615,-34.076610552 36.905969638,-34.062490505 36.8972216610001,-34.048370458 36.8884736840001,-34.0342504119999 36.8797257080001,-34.0201303649999 36.870977731,-34.006010319 36.8622297540001,-33.991890272 36.8534817770001,-33.977770226 36.8447338010001,-33.963650179 36.835985824,-33.9495301329999 36.827237847,-33.9354100859999 36.8184898700001,-33.92129004 36.8097418940001,-33.907169993 36.800993917,-33.893049947 36.79224594,-33.8789298999999 36.7834979630001,-33.8648098539999 36.7747499870001,-33.850689807 36.7660020100001,-33.836569761 36.757254033,-33.822449714 36.7485060560001,-33.8083296679999 36.7397580800001,-33.7942096209999 36.7310101030001,-33.7800895739999 36.722262126,-33.765969528 36.713514149,-33.751849481 36.7047661730001,-33.7377294349999 36.6960181960001,-33.7236093879999 36.687270219,-33.709489342 36.678522242,-33.695369295 36.669774266,-33.681249249 36.6610262890001,-33.667129202 36.6522783120001,-33.6530091559999 36.643530335,-33.6388891089999 36.634782359,-33.624769063 36.6260343820001,-33.610649016 36.6172864050001,-33.59652897 36.608538428,-33.5824089229999 36.599790452,-33.5682888769999 36.5910424750001,-33.55416883 36.5822944980001,-33.538996782 36.575862736,-33.5238247349999 36.5694309740001,-33.5086526869999 36.5629992120001,-33.49348064 36.55656745,-33.478308592 36.5501356890001,-33.463136544 36.543703927,-33.4479644969999 36.537272165,-33.432792449 36.5308404030001,-33.417620401 36.524408641,-33.4024483539999 36.5179768790001,-33.3872763059999 36.511545117,-33.372104258 36.505113355,-33.356932211 36.4986815930001,-33.3417601629999 36.492249831,-33.326588116 36.4858180690001,-33.311416068 36.4793863080001,-33.29624402 36.472954546,-33.2810719729999 36.4665227840001,-33.2658999249999 36.460091022,-33.250727877 36.4536592600001,-33.23555583 36.4472274980001,-33.2203837819999 36.440795736,-33.205211735 36.4343639740001,-33.190039687 36.427932212,-33.174867639 36.4215004500001,-33.1596955919999 36.4150686880001,-33.144523544 36.408636927,-33.129351496 36.4022051650001,-33.1141794489999 36.3957734030001,-33.0990074009999 36.389341641,-33.083835353 36.3829098790001,-33.068663306 36.376478117,-33.053491258 36.3700463550001,-33.0383192109999 36.3636145930001,-33.023147163 36.357182831,-33.007975115 36.3507510690001,-33.0008008679999 36.347709749,-32.9928030679999 36.344319307,-32.9776310199999 36.337887546,-32.962458972 36.3314557840001,-32.947286925 36.325024022,-32.9321148769999 36.3185922600001,-32.9169428289999 36.312160498,-32.9010826429999 36.3079611260001,-32.8852224569999 36.303761754,-32.8693622709999 36.299562382,-32.8535020849999 36.2953630100001,-32.8376418989999 36.2911636370001,-32.821781713 36.2869642650001,-32.805921527 36.282764893,-32.790061341 36.2785655210001,-32.774201155 36.2743661490001,-32.758340969 36.270166777,-32.742480783 36.265967405,-32.726620597 36.2617680330001,-32.710760411 36.2575686610001,-32.694900225 36.253369289,-32.679040039 36.249169916,-32.663179853 36.2449705440001,-32.6473196659999 36.2407711720001,-32.6314594799999 36.2365718,-32.6155992939999 36.2323724280001,-32.5997391079999 36.2281730560001,-32.5838789219999 36.223973684,-32.5680187359999 36.219774312,-32.5521585499999 36.2155749400001,-32.5362983639999 36.2113755680001,-32.5204381779999 36.207176195,-32.504577992 36.202976823,-32.488717806 36.1987774510001,-32.47285762 36.1945780790001,-32.456997434 36.190378707,-32.441137248 36.1861793350001,-32.425277062 36.1819799630001,-32.409416876 36.177780591,-32.393556689 36.173581219,-32.377696503 36.1693818470001,-32.361836317 36.1651824740001,-32.3459761309999 36.160983102,-32.3301159449999 36.15678373,-32.3142557589999 36.1525843580001,-32.2983955729999 36.1483849860001,-32.2825353869999 36.144185614,-32.2666752009999 36.1399862420001,-32.2508150149999 36.1357868700001,-32.2349548289999 36.131587498,-32.221780829 36.1299589980001,-32.208606829 36.128330498,-32.192127592 36.1262131290001,-32.175648355 36.124095761,-32.159169118 36.1219783920001,-32.142689881 36.119861024,-32.126210645 36.1177436560001,-32.109731408 36.1156262870001,-32.093252171 36.113508919,-32.076772934 36.1113915500001,-32.060293697 36.109274182,-32.04381446 36.1071568130001,-32.027335223 36.105039445,-32.010855987 36.1029220770001,-31.99437675 36.1008047080001,-31.977897513 36.09868734,-31.961418276 36.0965699710001,-31.944939039 36.094452603,-31.928459802 36.0923352350001,-31.911980565 36.090217866,-31.895501329 36.0881004980001,-31.879022092 36.0859831290001,-31.862542855 36.083865761,-31.846063618 36.0817483920001,-31.829584381 36.079631024,-31.813105144 36.0775136560001,-31.796625907 36.075396287,-31.780146671 36.0732789190001,-31.763667434 36.0711615500001,-31.747188197 36.069044182,-31.73070896 36.0669268130001,-31.714229723 36.064809445,-31.697750486 36.0626920770001,-31.681271249 36.060574708,-31.664792013 36.0584573400001,-31.648312776 36.0563399710001,-31.631833539 36.054222603,-31.615354302 36.0521052340001,-31.598875065 36.049987866,-31.582395828 36.0478704980001,-31.5681845779999 36.0471219980001,-31.553973328 36.046373498,-31.539762078 36.0456249980001,-31.525550828 36.0448764980001,-31.51213617 36.035901202,-31.4987215109999 36.026925906,-31.4853068529999 36.0179506110001,-31.471892194 36.008975315,-31.458477536 36.000000013,-31.4748067479999 36.0000000100001,-31.49113596 36.0000000100001,-31.507465172 36.0000000100001,-31.523794384 36.0000000100001,-31.5401235959999 36.0000000100001,-31.556452808 36.0000000100001,-31.57278202 36.0000000100001,-31.5891112319999 36.0000000100001,-31.600000381 36.0000000100001,-31.6054404449999 36.0000000100001,-31.621769657 36.0000000100001,-31.638098869 36.0000000100001,-31.6544280809999 36.0000000100001,-31.670757293 36.0000000100001,-31.687086505 36.0000000100001,-31.703415717 36.0000000100001,-31.7197449289999 36.0000000100001,-31.736074141 36.0000000100001,-31.752403353 36.0000000100001,-31.7687325649999 36.0000000100001,-31.7850617779999 36.0000000100001,-31.80139099 36.0000000100001,-31.817720202 36.0000000100001,-31.8340494139999 36.0000000100001,-31.850378626 36.0000000100001,-31.866707838 36.0000000100001,-31.88303705 36.0000000100001,-31.8993662619999 36.0000000100001,-31.915695474 36.0000000100001,-31.932024686 36.0000000100001,-31.9483538979999 36.0000000100001,-31.96468311 36.0000000100001,-31.981012323 36.0000000100001,-31.997341535 36.0000000100001,-31.9999999999999 36.0000000100001,-32.0136707469999 36.0000000100001,-32.029999959 36.0000000100001,-32.0466721999999 36.0000000100001,-32.06334444 36.0000000100001,-32.080016681 36.0000000100001,-32.0966889219999 36.0000000100001,-32.113361163 36.0000000100001,-32.130033404 36.0000000100001,-32.1467056449999 36.0000000100001,-32.1633778849999 36.0000000100001,-32.180050126 36.0000000100001,-32.1967223669999 36.0000000100001,-32.2133946079999 36.0000000100001,-32.230066849 36.0000000100001,-32.246739089 36.0000000100001,-32.2634113299999 36.0000000100001,-32.280083571 36.0000000100001,-32.296755812 36.0000000100001,-32.3134280529999 36.0000000100001,-32.330100294 36.0000000100001,-32.346772534 36.0000000100001,-32.3634447749999 36.0000000100001,-32.3801170159999 36.0000000100001,-32.396789257 36.0000000100001,-32.400001526 36.0000000100001,-32.4134614979999 36.0000000100001,-32.4301337379999 36.0000000100001,-32.446805979 36.0000000100001,-32.46347822 36.0000000100001,-32.4801504609999 36.0000000100001,-32.496822702 36.0000000100001,-32.513494943 36.0000000100001,-32.5301671829999 36.0000000100001,-32.546839424 36.0000000100001,-32.563511665 36.0000000100001,-32.5801839059999 36.0000000100001,-32.596856147 36.0000000100001,-32.613528387 36.0000000100001,-32.630200628 36.0000000100001,-32.6468728689999 36.0000000100001,-32.66354511 36.0000000100001,-32.680217351 36.0000000100001,-32.6968895919999 36.0000000100001,-32.713561832 36.0000000100001,-32.730234073 36.0000000100001,-32.7469063139999 36.0000000100001,-32.763578555 36.0000000100001,-32.780250796 36.0000000100001,-32.796923036 36.0000000100001,-32.799999237 36.0000000100001,-32.8135952769999 36.0000000100001,-32.830267518 36.0000000100001,-32.846939759 36.0000000100001,-32.8636119999999 36.0000000100001,-32.880284241 36.0000000100001,-32.896956481 36.0000000100001,-32.9136287219999 36.0000000100001,-32.930300963 36.0000000100001,-32.946973204 36.0000000100001,-32.9636454449999 36.0000000100001,-32.9803176849999 36.0000000100001,-32.996989926 36.0000000100001,-33.0136621669999 36.0000000100001,-33.0303344079999 36.0000000100001,-33.047006649 36.0000000100001,-33.0636788899999 36.0000000100001,-33.0803511299999 36.0000000100001,-33.097023371 36.0000000100001,-33.113695612 36.0000000100001,-33.1303678529999 36.0000000100001,-33.147040094 36.0000000100001,-33.163712334 36.0000000100001,-33.1803845749999 36.0000000100001,-33.1970568159999 36.0000000100001,-33.2000007629999 36.0000000100001,-33.213729057 36.0000000100001,-33.2304012979999 36.0000000100001,-33.247073539 36.0000000100001,-33.263745779 36.0000000100001,-33.28041802 36.0000000100001,-33.2970902609999 36.0000000100001,-33.313762502 36.0000000100001,-33.330434743 36.0000000100001,-33.3471069829999 36.0000000100001,-33.363779224 36.0000000100001,-33.380451465 36.0000000100001,-33.3971237059999 36.0000000100001,-33.413795947 36.0000000100001,-33.430468188 36.0000000100001,-33.447140428 36.0000000100001,-33.4638126689999 36.0000000100001,-33.48048491 36.0000000100001,-33.497157151 36.0000000100001,-33.5138293919999 36.0000000100001,-33.530501632 36.0000000100001,-33.547173873 36.0000000100001,-33.5638461139999 36.0000000100001,-33.580518355 36.0000000100001,-33.597190596 36.0000000100001,-33.599998474 36.0000000100001,-33.6138628369999 36.0000000100001,-33.6305350769999 36.0000000100001,-33.647207318 36.0000000100001,-33.663879559 36.0000000100001,-33.6805517999999 36.0000000100001,-33.697224041 36.0000000100001,-33.713896281 36.0000000100001,-33.7305685219999 36.0000000100001,-33.747240763 36.0000000100001,-33.763913004 36.0000000100001,-33.7805852449999 36.0000000100001,-33.797257486 36.0000000100001,-33.813929726 36.0000000100001,-33.830601967 36.0000000100001,-33.8472742079999 36.0000000100001,-33.863946449 36.0000000100001,-33.8806186899999 36.0000000100001,-33.8972909299999 36.0000000100001,-33.913963171 36.0000000100001,-33.930635412 36.0000000100001,-33.9473076529999 36.0000000100001,-33.963979894 36.0000000100001,-33.980652135 36.0000000100001,-33.9973243749999 36.0000000100001,-33.9999999999999 36.0000000100001,-34.0139966159999 36.0000000100001,-34.030668857 36.0000000100001,-34.0473410979999 36.0000000100001,-34.064013339 36.0000000100001,-34.080685579 36.0000000100001,-34.09735782 36.0000000100001,-34.1140300609999 36.0000000100001,-34.130702302 36.0000000100001,-34.147374543 36.0000000100001,-34.1640467839999 36.0000000100001,-34.180719024 36.0000000100001,-34.197391265 36.0000000100001,-34.2140635059999 36.0000000100001,-34.230735747 36.0000000100001,-34.247407988 36.0000000100001,-34.264080228 36.0000000100001,-34.2807524689999 36.0000000100001,-34.29742471 36.0000000100001,-34.314096951 36.0000000100001,-34.3307691919999 36.0000000100001,-34.347441433 36.0000000100001,-34.364113673 36.0000000100001,-34.3807859139999 36.0000000100001,-34.397458155 36.0000000100001,-34.400001526 36.0000000100001,-34.414130396 36.0000000100001,-34.4308026369999 36.0000000100001,-34.4474748769999 36.0000000100001,-34.464147118 36.0000000100001,-34.480819359 36.0000000100001,-34.4974915999999 36.0000000100001,-34.514163841 36.0000000100001,-34.530836082 36.0000000100001,-34.5475083219999 36.0000000100001,-34.564180563 36.0000000100001,-34.580852804 36.0000000100001,-34.5975250449999 36.0000000100001,-34.614197286 36.0000000100001,-34.630869526 36.0000000100001,-34.647541767 36.0000000100001,-34.6642140079999 36.0000000100001,-34.680886249 36.0000000100001,-34.6975584899999 36.0000000100001,-34.7142307309999 36.0000000100001,-34.730902971 36.0000000100001,-34.747575212 36.0000000100001,-34.7642474529999 36.0000000100001,-34.780919694 36.0000000100001,-34.797591935 36.0000000100001,-34.799999237 36.0000000100001,-34.8142641749999 36.0000000100001,-34.8309364159999 36.0000000100001,-34.847608657 36.0000000100001,-34.8642808979999 36.0000000100001,-34.880953139 36.0000000100001,-34.89762538 36.0000000100001,-34.91429762 36.0000000100001,-34.9309698609999 36.0000000100001,-34.947642102 36.0000000100001,-34.964314343 36.0000000100001,-34.9809865839999 36.0000000100001,-34.997658824 36.0000000100001,-35.014331065 36.0000000100001,-35.0310033059999 36.0000000100001,-35.047675547 36.0000000100001,-35.064347788 36.0000000100001,-35.0810200289999 36.0000000100001,-35.0976922689999 36.0000000100001,-35.11436451 36.0000000100001,-35.131036751 36.0000000100001,-35.1477089919999 36.0000000100001,-35.164381233 36.0000000100001,-35.181053473 36.0000000100001,-35.1977257139999 36.0000000100001,-35.2000007629999 36.0000000100001,-35.214397955 36.0000000100001,-35.231070196 36.0000000100001,-35.2477424369999 36.0000000100001,-35.264414678 36.0000000100001,-35.281086918 36.0000000100001,-35.297759159 36.0000000100001,-35.3144313999999 36.0000000100001,-35.331103641 36.0000000100001,-35.347775882 36.0000000100001,-35.3644481219999 36.0000000100001,-35.381120363 36.0000000100001,-35.397792604 36.0000000100001,-35.4144648449999 36.0000000100001,-35.431137086 36.0000000100001,-35.447809327 36.0000000100001,-35.464481567 36.0000000100001,-35.4811538079999 36.0000000100001,-35.497826049 36.0000000100001,-35.5144982899999 36.0000000100001,-35.5311705309999 36.0000000100001,-35.547842771 36.0000000100001,-35.564515012 36.0000000100001,-35.5811872529999 36.0000000100001,-35.597859494 36.0000000100001,-35.599998474 36.0000000100001,-35.614531735 36.0000000100001,-35.6312039759999 36.0000000100001,-35.6478762159999 36.0000000100001,-35.664548457 36.0000000100001,-35.6812206979999 36.0000000100001,-35.697892939 36.0000000100001,-35.71456518 36.0000000100001,-35.73123742 36.0000000100001,-35.7479096609999 36.0000000100001,-35.764581902 36.0000000100001,-35.781254143 36.0000000100001,-35.7979263839999 36.0000000100001,-35.814598625 36.0000000100001,-35.831270865 36.0000000100001,-35.8479431059999 36.0000000100001,-35.864615347 36.0000000100001,-35.881287588 36.0000000100001,-35.8979598289999 36.0000000100001,-35.9146320689999 36.0000000100001,-35.93130431 36.0000000100001,-35.947976551 36.0000000100001,-35.9646487919999 36.0000000100001,-35.981321033 36.0000000100001,-35.997993274 36.0000000100001,-35.9999999999999 36.0000000100001,-36.0146655139999 36.0000000100001,-36.031337755 36.0000000100001,-36.048009996 36.0000000100001,-36.0646822369999 36.0000000100001,-36.081354478 36.0000000100001,-36.098026718 36.0000000100001,-36.114698959 36.0000000100001,-36.1313711999999 36.0000000100001,-36.148043441 36.0000000100001,-36.164715682 36.0000000100001,-36.1813879229999 36.0000000100001,-36.198060163 36.0000000100001,-36.214732404 36.0000000100001,-36.2314046449999 36.0000000100001,-36.248076886 36.0000000100001,-36.264749127 36.0000000100001,-36.281421367 36.0000000100001,-36.2980936079999 36.0000000100001,-36.314765849 36.0000000100001,-36.3314380899999 36.0000000100001,-36.3481103309999 36.0000000100001,-36.364782572 36.0000000100001,-36.381454812 36.0000000100001,-36.3981270529999 36.0000000100001,-36.400001526 36.0000000100001,-36.414799294 36.0000000100001,-36.431471535 36.0000000100001,-36.4481437759999 36.0000000100001,-36.4648160159999 36.0000000100001,-36.481488257 36.0000000100001,-36.4981604979999 36.0000000100001,-36.514832739 36.0000000100001,-36.53150498 36.0000000100001,-36.5481772209999 36.0000000100001,-36.5648494609999 36.0000000100001,-36.581521702 36.0000000100001,-36.598193943 36.0000000100001,-36.6148661839999 36.0000000100001,-36.631538425 36.0000000100001,-36.648210665 36.0000000100001,-36.6648829059999 36.0000000100001,-36.681555147 36.0000000100001,-36.698227388 36.0000000100001,-36.7148996289999 36.0000000100001,-36.73157187 36.0000000100001,-36.74824411 36.0000000100001,-36.764916351 36.0000000100001,-36.7815885919999 36.0000000100001,-36.798260833 36.0000000100001,-36.799999237 36.0000000100001,-36.814933074 36.0000000100001,-36.8316053139999 36.0000000100001,-36.848277555 36.0000000100001,-36.864949796 36.0000000100001,-36.8816220369999 36.0000000100001,-36.898294278 36.0000000100001,-36.914966519 36.0000000100001,-36.931638759 36.0000000100001,-36.9483109999999 36.0000000100001,-36.964983241 36.0000000100001,-36.981655482 36.0000000100001,-36.9983277229999 36.0000000100001,-37.014999963 36.0000000100001,-37.031672204 36.0000000100001,-37.0483444449999 36.0000000100001,-37.065016686 36.0000000100001,-37.081688927 36.0000000100001,-37.0983611679999 36.0000000100001,-37.1150334079999 36.0000000100001,-37.131705649 36.0000000100001,-37.1483778899999 36.0000000100001,-37.1650501309999 36.0000000100001,-37.181722372 36.0000000100001,-37.198394612 36.0000000100001,-37.2000007629999 36.0000000100001,-37.2150668529999 36.0000000100001,-37.231739094 36.0000000100001,-37.248411335 36.0000000100001,-37.2650835759999 36.0000000100001,-37.281755817 36.0000000100001,-37.298428057 36.0000000100001,-37.3151002979999 36.0000000100001,-37.331772539 36.0000000100001,-37.34844478 36.0000000100001,-37.3651170209999 36.0000000100001,-37.3817892609999 36.0000000100001,-37.398461502 36.0000000100001,-37.415133743 36.0000000100001,-37.4318059839999 36.0000000100001,-37.448478225 36.0000000100001,-37.465150466 36.0000000100001,-37.4818227059999 36.0000000100001,-37.498494947 36.0000000100001,-37.515167188 36.0000000100001,-37.5318394289999 36.0000000100001,-37.54851167 36.0000000100001,-37.56518391 36.0000000100001,-37.581856151 36.0000000100001,-37.5985283919999 36.0000000100001,-37.599998474 36.0000000100001,-37.615200633 36.0000000100001,-37.631872874 36.0000000100001,-37.6485451149999 36.0000000100001,-37.665217355 36.0000000100001,-37.681889596 36.0000000100001,-37.6985618369999 36.0000000100001,-37.715234078 36.0000000100001,-37.731906319 36.0000000100001,-37.748578559 36.0000000100001,-37.7652507999999 36.0000000100001,-37.781923041 36.0000000100001,-37.798595282 36.0000000100001,-37.8152675229999 36.0000000100001,-37.831939764 36.0000000100001,-37.848612004 36.0000000100001,-37.8652842449999 36.0000000100001,-37.881956486 36.0000000100001,-37.898628727 36.0000000100001,-37.9153009679999 36.0000000100001,-37.9319732079999 36.0000000100001,-37.948645449 36.0000000100001,-37.9653176899999 36.0000000100001,-37.9819899309999 36.0000000100001,-37.998662172 36.0000000100001,-37.9999999999999 36.0000000100001,-38.0153344129999 36.0000000100001,-38.0320066529999 36.0000000100001,-38.048678894 36.0000000100001,-38.065351135 36.0000000100001,-38.0820233759999 36.0000000100001,-38.098695617 36.0000000100001,-38.115367857 36.0000000100001,-38.1320400979999 36.0000000100001,-38.148712339 36.0000000100001,-38.16538458 36.0000000100001,-38.1820568209999 36.0000000100001,-38.198729062 36.0000000100001,-38.215401302 36.0000000100001,-38.232073543 36.0000000100001,-38.2487457839999 36.0000000100001,-38.265418025 36.0000000100001,-38.282090266 36.0000000100001,-38.2987625059999 36.0000000100001,-38.315434747 36.0000000100001,-38.332106988 36.0000000100001,-38.3487792289999 36.0000000100001,-38.36545147 36.0000000100001,-38.382123711 36.0000000100001,-38.398795951 36.0000000100001,-38.400001526 36.0000000100001,-38.4154681919999 36.0000000100001,-38.432140433 36.0000000100001,-38.448812674 36.0000000100001,-38.4654849149999 36.0000000100001,-38.482157155 36.0000000100001,-38.498829396 36.0000000100001,-38.5155016369999 36.0000000100001,-38.532173878 36.0000000100001,-38.548846119 36.0000000100001,-38.5655183599999 36.0000000100001,-38.5821905999999 36.0000000100001,-38.598862841 36.0000000100001,-38.615535082 36.0000000100001,-38.6322073229999 36.0000000100001,-38.648879564 36.0000000100001,-38.665551804 36.0000000100001,-38.6822240449999 36.0000000100001,-38.698896286 36.0000000100001,-38.715568527 36.0000000100001,-38.7322407679999 36.0000000100001,-38.748913009 36.0000000100001,-38.765585249 36.0000000100001,-38.7822574899999 36.0000000100001,-38.7989297309999 36.0000000100001,-38.799999237 36.0000000100001,-38.815601972 36.0000000100001,-38.8322742129999 36.0000000100001,-38.8489464529999 36.0000000100001,-38.865618694 36.0000000100001,-38.882290935 36.0000000100001,-38.8989631759999 36.0000000100001,-38.915635417 36.0000000100001,-38.932307658 36.0000000100001,-38.9489798979999 36.0000000100001,-38.965652139 36.0000000100001,-38.98232438 36.0000000100001,-38.9989966209999 36.0000000100001,-39.015668862 36.0000000100001,-39.032341102 36.0000000100001,-39.049013343 36.0000000100001,-39.0656855839999 36.0000000100001,-39.082357825 36.0000000100001,-39.099030066 36.0000000100001,-39.1157023069999 36.0000000100001,-39.132374547 36.0000000100001,-39.149046788 36.0000000100001,-39.1657190289999 36.0000000100001,-39.18239127 36.0000000100001,-39.199063511 36.0000000100001,-39.215735751 36.0000000100001,-39.2324079919999 36.0000000100001,-39.249080233 36.0000000100001,-39.265752474 36.0000000100001,-39.2824247149999 36.0000000100001,-39.299096956 36.0000000100001,-39.315769196 36.0000000100001,-39.3324414369999 36.0000000100001,-39.349113678 36.0000000100001,-39.365785919 36.0000000100001,-39.3824581599999 36.0000000100001,-39.3991303999999 36.0000000100001,-39.415802641 36.0000000100001,-39.432474882 36.0000000100001,-39.4491471229999 36.0000000100001,-39.465819364 36.0000000100001,-39.482491605 36.0000000100001,-39.4991638449999 36.0000000100001,-39.515836086 36.0000000100001,-39.532508327 36.0000000100001,-39.5491805679999 36.0000000100001,-39.565852809 36.0000000100001,-39.582525049 36.0000000100001,-39.5991972899999 36.0000000100001,-39.599998474 36.0000000100001,-39.6158695309999 36.0000000090001,-39.632541772 36.0000000090001,-39.6492140129999 36.0000000090001,-39.6658862539999 36.0000000090001,-39.682558494 36.0000000090001,-39.699230735 36.0000000090001,-39.7159029759999 36.000000008,-39.732575217 36.000000008,-39.749247458 36.000000008,-39.7659196979999 36.000000008,-39.782591939 36.000000008,-39.79926418 36.000000008,-39.8159364209999 36.000000008,-39.832608662 36.000000007,-39.849280903 36.000000007,-39.865953143 36.000000007,-39.8826253839999 36.000000007,-39.899297625 36.000000007,-39.915969866 36.000000007,-39.9326421069999 36.000000007,-39.949314347 36.000000007,-39.965986588 36.000000007,-39.9826588289999 36.0000000060001,-39.99933107 36.0000000060001,-39.9999999999999 36.0000000060001,-40.016003311 36.0000000060001,-40.0326755519999 36.000000007,-40.0493477919999 36.000000007,-40.066020033 36.000000007,-40.082692274 36.000000007,-40.0993645149999 36.000000007,-40.116036756 36.000000007,-40.132708996 36.000000007,-40.1493812369999 36.000000007,-40.166053478 36.000000007,-40.182725719 36.000000008,-40.1993979599999 36.000000008,-40.216070201 36.000000008,-40.232742441 36.000000008,-40.249414682 36.000000008,-40.2660869229999 36.000000008,-40.282759164 36.000000008,-40.299431405 36.0000000090001,-40.3161036449999 36.0000000090001,-40.332775886 36.0000000090001,-40.349448127 36.0000000090001,-40.3661203679999 36.0000000090001,-40.382792609 36.0000000090001,-40.39946485 36.0000000100001,-40.400001526 36.0000000100001,-40.4161370899999 36.0000000100001,-40.4328093309999 36.0000000100001,-40.449481572 36.0000000100001,-40.4661538129999 36.0000000100001,-40.4828260539999 36.0000000100001,-40.499498294 36.0000000100001,-40.516170535 36.0000000100001,-40.5328427759999 36.0000000100001,-40.549515017 36.0000000100001,-40.566187258 36.0000000100001,-40.5828594989999 36.0000000100001,-40.599531739 36.0000000100001,-40.61620398 36.0000000100001,-40.6328762209999 36.0000000100001,-40.649548462 36.0000000100001,-40.666220703 36.0000000100001,-40.682892943 36.0000000100001,-40.6995651839999 36.0000000100001,-40.716237425 36.0000000100001,-40.732909666 36.0000000100001,-40.7495819069999 36.0000000100001,-40.766254148 36.0000000100001,-40.782926388 36.0000000100001,-40.7995986289999 36.0000000100001,-40.799999237 36.0000000100001,-40.81627087 36.0000000100001,-40.832943111 36.0000000100001,-40.8496153519999 36.0000000100001,-40.8662875919999 36.0000000100001,-40.882959833 36.0000000100001,-40.899632074 36.0000000100001,-40.9163043149999 36.0000000100001,-40.932976556 36.0000000100001,-40.949648797 36.0000000100001,-40.9663210369999 36.0000000100001,-40.982993278 36.0000000100001,-40.999665519 36.0000000100001,-41.0163377599999 36.0000000100001,-41.033010001 36.0000000100001,-41.049682241 36.0000000100001,-41.066354482 36.0000000100001,-41.0830267229999 36.0000000100001,-41.099698964 36.0000000100001,-41.116371205 36.0000000100001,-41.1330434459999 36.0000000100001,-41.149715686 36.0000000100001,-41.166387927 36.0000000100001,-41.1830601679999 36.0000000100001,-41.199732409 36.0000000100001,-41.2000007629999 36.0000000100001,-41.21640465 36.0000000090001,-41.2330768899999 36.0000000090001,-41.2497491309999 36.0000000090001,-41.266421372 36.0000000090001,-41.2830936129999 36.0000000090001,-41.2997658539999 36.0000000090001,-41.316438095 36.0000000090001,-41.333110335 36.0000000090001,-41.3497825759999 36.0000000090001,-41.366454817 36.0000000090001,-41.383127058 36.0000000090001,-41.3997992989999 36.0000000090001,-41.416471539 36.000000008,-41.43314378 36.000000008,-41.4498160209999 36.000000008,-41.466488262 36.000000008,-41.483160503 36.000000008,-41.4998327439999 36.000000008,-41.5165049839999 36.000000008,-41.533177225 36.000000008,-41.549849466 36.000000008,-41.5665217069999 36.000000008,-41.583193948 36.000000008,-41.599866188 36.000000008,-41.6165384289999 36.000000008,-41.63321067 36.000000008,-41.649882911 36.000000007,-41.6665551519999 36.000000007,-41.683227393 36.000000007,-41.699899633 36.000000007,-41.716571874 36.000000007,-41.7332441149999 36.000000007,-41.749916356 36.000000007,-41.766588597 36.000000007,-41.7832608369999 36.000000007,-41.799933078 36.000000007,-41.816605319 36.000000007,-41.8332775599999 36.000000007,-41.849949801 36.000000007,-41.866622042 36.000000007,-41.883294282 36.000000007,-41.8999665229999 36.000000007,-41.916638764 36.000000007,-41.933311005 36.000000007,-41.9499832459999 36.000000007,-41.966655486 36.0000000060001,-41.983327727 36.0000000060001,-41.9999999889999 36.0000000060001,-41.9999999839999 36.016666549,-41.9999999839999 36.0333330890001,-41.9999999839999 36.0499996280001,-41.9999999839999 36.0666661670001,-41.9999999839999 36.0833327070001,-41.9999999839999 36.099999247,-41.9999999839999 36.1166657860001,-41.9999999839999 36.133334233,-41.9999999839999 36.150000773,-41.9999999839999 36.1666673120001,-41.9999999839999 36.183333852,-41.9999999839999 36.2000003910001,-41.9999999839999 36.2166669310001,-41.9999999839999 36.23333347,-41.9999999839999 36.2500000100001,-41.9999999839999 36.266666549,-41.9999999839999 36.2833330890001,-41.9999999839999 36.2999996280001,-41.9999999839999 36.316666168,-41.9999999839999 36.3333327070001,-41.9999999839999 36.349999247,-41.9999999839999 36.3666657860001,-41.9999999839999 36.383334233,-41.9999999839999 36.400000773,-41.9999999839999 36.4166673120001,-41.9999999839999 36.433333852,-41.9999999839999 36.4500003910001,-41.9999999839999 36.4666669310001,-41.9999999839999 36.48333347,-41.9999999839999 36.5000000100001,-41.9999999839999 36.516666549,-41.9999999839999 36.5333330890001,-41.9999999839999 36.5499996280001,-41.9999999839999 36.566666168,-41.9999999839999 36.5833327080001,-41.9999999839999 36.599999247,-41.9999999839999 36.6166657860001,-41.9999999839999 36.6333342340001,-41.9999999839999 36.650000773,-41.9999999839999 36.6666673120001,-41.9999999839999 36.683333852,-41.9999999839999 36.7000003910001,-41.9999999839999 36.7166669310001,-41.9999999839999 36.733333471,-41.9999999839999 36.7500000100001,-41.9999999839999 36.766666549,-41.9999999839999 36.7833330890001,-41.9999999839999 36.7999996280001,-41.9999999839999 36.816666168,-41.9999999839999 36.8333327080001,-41.9999999839999 36.849999247,-41.9999999839999 36.8666657860001,-41.9999999839999 36.8833342340001,-41.9999999839999 36.900000773,-41.9999999839999 36.9166673120001,-41.9999999839999 36.933333852,-41.9999999839999 36.950000392,-41.9999999839999 36.9666669310001,-41.9999999839999 36.983333471,-41.9999999839999 37.0000000100001,-41.9999999839999 37.016666549,-41.9999999839999 37.0333330890001,-41.9999999839999 37.0499996290001,-41.9999999839999 37.066666168,-41.9999999839999 37.0833327080001,-41.9999999839999 37.099999247,-41.9999999839999 37.1166657860001,-41.9999999839999 37.1333342340001,-41.9999999839999 37.150000773,-41.9999999839999 37.1666673120001,-41.9999999839999 37.183333852,-41.9999999839999 37.200000392,-41.9999999839999 37.2166669310001,-41.9999999839999 37.233333471,-41.9999999839999 37.2500000100001,-41.9999999839999 37.266666549,-41.9999999839999 37.2833330890001,-41.9999999839999 37.2999996290001,-41.9999999839999 37.316666168,-41.9999999839999 37.3333327080001,-41.9999999839999 37.349999247,-41.9999999839999 37.366665787,-41.9999999839999 37.3833342340001,-41.9999999839999 37.400000773,-41.9999999839999 37.4166673130001,-41.9999999839999 37.433333852,-41.9999999839999 37.450000392,-41.9999999839999 37.4666669310001,-41.9999999839999 37.483333471,-41.9999999839999 37.5000000100001,-41.9999999839999 37.51666655,-41.9999999839999 37.5333330890001,-41.9999999839999 37.5499996290001,-41.9999999839999 37.566666168,-41.9999999839999 37.5833327080001,-41.9999999839999 37.599999247,-41.9999999839999 37.616665787,-41.9999999839999 37.6333342340001,-41.9999999839999 37.650000773,-41.9999999839999 37.6666673130001,-41.9999999839999 37.6833338530001,-41.9999999839999 37.700000392,-41.9999999839999 37.7166669310001,-41.9999999839999 37.733333471,-41.9999999839999 37.7500000100001,-41.9999999839999 37.76666655,-41.9999999839999 37.78333309,-41.9999999839999 37.7999996290001,-41.9999999839999 37.816666168,-41.9999999839999 37.8333327080001,-41.9999999839999 37.849999247,-41.9999999839999 37.866665787,-41.9999999839999 37.8833342340001,-41.9999999839999 37.900000773,-41.9999999839999 37.9166673130001,-41.9999999839999 37.9333338530001,-41.9999999839999 37.950000392,-41.9999999839999 37.9666669310001,-41.9999999839999 37.983333471,-41.9999999839999 38.0000000110001,-41.9999999839999 38.01666655,-41.9999999839999 38.03333309,-41.9999999839999 38.0499996290001,-41.9999999839999 38.066666168,-41.9999999839999 38.0833327080001,-41.9999999839999 38.0999992480001,-41.9999999839999 38.116665787,-41.9999999839999 38.1333342340001,-41.9999999839999 38.150000774,-41.9999999839999 38.1666673130001,-41.9999999839999 38.1833338530001,-41.9999999839999 38.200000392,-41.9999999839999 38.2166669310001,-41.9999999839999 38.233333471,-41.9999999839999 38.2500000110001,-41.9999999839999 38.26666655,-41.9999999839999 38.28333309,-41.9999999839999 38.2999996290001,-41.9999999839999 38.316666168,-41.9999999839999 38.3333327080001,-41.9999999839999 38.3499992480001,-41.9999999839999 38.366665787,-41.9999999839999 38.3833342340001,-41.9999999839999 38.400000774,-41.9999999839999 38.4166673130001,-41.9999999839999 38.4333338530001,-41.9999999839999 38.450000392,-41.9999999839999 38.4666669320001,-41.9999999839999 38.483333471,-41.9999999839999 38.5000000110001,-41.9999999839999 38.51666655,-41.9999999839999 38.53333309,-41.9999999839999 38.5499996290001,-41.9999999839999 38.566666169,-41.9999999839999 38.5833327080001,-41.9999999839999 38.5999992480001,-41.9999999839999 38.616665787,-41.9999999839999 38.6333342340001,-41.9999999839999 38.650000774,-41.9999999839999 38.6666673130001,-41.9999999839999 38.6833338530001,-41.9999999839999 38.700000392,-41.9999999839999 38.7166669320001,-41.9999999839999 38.733333472,-41.9999999839999 38.7500000110001,-41.9999999839999 38.76666655,-41.9999999839999 38.78333309,-41.9999999839999 38.7999996290001,-41.9999999839999 38.816666169,-41.9999999839999 38.833332709,-41.9999999839999 38.8499992480001,-41.9999999839999 38.866665787,-41.9999999839999 38.8833342350001,-41.9999999839999 38.900000774,-41.9999999839999 38.9166673130001,-41.9999999839999 38.9333338530001,-41.9999999839999 38.950000392,-41.9999999839999 38.9666669320001,-41.9999999839999 38.983333472,-41.9999999889999 39.000000007,-41.9999999839999 39.01666655,-41.9999999839999 39.03333309,-41.9999999839999 39.0499996290001,-41.9999999839999 39.066666169,-41.9999999839999 39.083332709,-41.9999999839999 39.0999992480001,-41.9999999839999 39.116665787,-41.9999999839999 39.1333342350001,-41.9999999839999 39.150000774,-41.9999999839999 39.1666673130001,-41.9999999839999 39.1833338530001,-41.9999999839999 39.200000393,-41.9999999839999 39.2166669320001,-41.9999999839999 39.233333472,-41.9999999839999 39.2500000110001,-41.9999999839999 39.26666655,-41.9999999839999 39.28333309,-41.9999999839999 39.2999996300001,-41.9999999839999 39.316666169,-41.9999999839999 39.333332709,-41.9999999839999 39.3499992480001,-41.9999999839999 39.366665787,-41.9999999839999 39.3833342350001,-41.9999999839999 39.400000774,-41.9999999839999 39.4166673140001,-41.9999999839999 39.4333338530001,-41.9999999839999 39.450000393,-41.9999999839999 39.4666669320001,-41.9999999839999 39.483333472,-41.9999999839999 39.5000000110001,-41.9999999839999 39.5166665510001,-41.9999999839999 39.53333309,-41.9999999839999 39.5499996300001,-41.9999999839999 39.566666169,-41.9999999839999 39.583332709,-41.9999999839999 39.5999992480001,-41.9999999839999 39.616665788,-41.9999999839999 39.6333342350001,-41.9999999839999 39.650000774,-41.9999999839999 39.6666673140001,-41.9999999839999 39.6833338530001,-41.9999999839999 39.700000393,-41.9999999839999 39.7166669320001,-41.9999999839999 39.733333472,-41.9999999839999 39.7500000110001,-41.9999999839999 39.7666665510001,-41.9999999839999 39.783333091,-41.9999999839999 39.7999996300001,-41.9999999839999 39.816666169,-41.9999999839999 39.833332709,-41.9999999839999 39.8499992480001,-41.9999999839999 39.866665788,-41.9999999839999 39.8833342350001,-41.9999999839999 39.900000774,-41.9999999839999 39.9166673140001,-41.9999999839999 39.9333338540001,-41.9999999839999 39.950000393,-41.9999999839999 39.9666669320001,-41.9999999839999 39.983333472,-41.9999999839999 40.0000000110001,-41.9999999839999 40.0166665510001,-41.9999999839999 40.033333091,-41.9999999839999 40.0499996300001,-41.9999999839999 40.066666169,-41.9999999839999 40.083332709,-41.9999999839999 40.0999992480001,-41.9999999839999 40.116665788,-41.9999999839999 40.1333342350001,-41.9999999839999 40.1500007750001,-41.9999999839999 40.1666673140001,-41.9999999839999 40.1833338540001,-41.9999999839999 40.200000393,-41.9999999839999 40.2166669320001,-41.9999999839999 40.233333472,-41.9999999839999 40.250000012,-41.9999999839999 40.2666665510001,-41.9999999839999 40.283333091,-41.9999999839999 40.2999996300001,-41.9999999839999 40.316666169,-41.9999999839999 40.333332709,-41.9999999839999 40.3499992490001,-41.9999999839999 40.366665788,-41.9999999839999 40.3833342350001,-41.9999999839999 40.4000007750001,-41.9999999839999 40.4166673140001,-41.9999999839999 40.4333338540001,-41.9999999839999 40.450000393,-41.9999999839999 40.4666669320001,-41.9999999839999 40.483333472,-41.9999999839999 40.500000012,-41.9999999839999 40.5166665510001,-41.9999999839999 40.533333091,-41.9999999839999 40.5499996300001,-41.9999999839999 40.5666661700001,-41.9999999839999 40.583332709,-41.9999999839999 40.5999992490001,-41.9999999839999 40.616665788,-41.9999999839999 40.6333342350001,-41.9999999839999 40.6500007750001,-41.9999999839999 40.6666673140001,-41.9999999839999 40.6833338540001,-41.9999999839999 40.700000393,-41.9999999839999 40.7166669330001,-41.9999999839999 40.733333472,-41.9999999839999 40.750000012,-41.9999999839999 40.7666665510001,-41.9999999839999 40.783333091,-41.9999999839999 40.7999996300001,-41.9999999839999 40.8166661700001,-41.9999999839999 40.833332709,-41.9999999839999 40.8499992490001,-41.9999999839999 40.866665788,-41.9999999839999 40.8833342360001,-41.9999999839999 40.9000007750001,-41.9999999839999 40.9166673140001,-41.9999999839999 40.9333338540001,-41.9999999839999 40.950000393,-41.9999999839999 40.9666669330001,-41.9999999839999 40.9833334730001,-41.9999999839999 41.000000012,-41.9999999839999 41.0166665510001,-41.9999999839999 41.033333091,-41.9999999839999 41.0499996300001,-41.9999999839999 41.0666661700001,-41.9999999839999 41.08333271,-41.9999999839999 41.0999992490001,-41.9999999839999 41.116665788,-41.9999999839999 41.1333342360001,-41.9999999839999 41.1500007750001,-41.9999999839999 41.1666673140001,-41.9999999839999 41.1833338540001,-41.9999999839999 41.200000393,-41.9999999839999 41.2166669330001,-41.9999999839999 41.2333334730001,-41.9999999839999 41.250000012,-41.9999999839999 41.2666665510001,-41.9999999839999 41.283333091,-41.9999999839999 41.299999631,-41.9999999839999 41.3166661700001,-41.9999999839999 41.33333271,-41.9999999839999 41.3499992490001,-41.9999999839999 41.366665788,-41.9999999839999 41.3833342360001,-41.9999999839999 41.4000007750001,-41.9999999839999 41.4166673140001,-41.9999999839999 41.4333338540001,-41.9999999839999 41.450000394,-41.9999999839999 41.4666669330001,-41.9999999839999 41.4833334730001,-41.9999999839999 41.500000012,-41.9999999839999 41.5166665510001,-41.9999999839999 41.533333091,-41.9999999839999 41.549999631,-41.9999999839999 41.5666661700001,-41.9999999839999 41.58333271,-41.9999999839999 41.5999992490001,-41.9999999839999 41.6166657890001,-41.9999999839999 41.6333342360001,-41.9999999839999 41.6500007750001,-41.9999999839999 41.666667315,-41.9999999839999 41.6833338540001,-41.9999999839999 41.700000394,-41.9999999839999 41.7166669330001,-41.9999999839999 41.7333334730001,-41.9999999839999 41.750000012,-41.9999999839999 41.7666665520001,-41.9999999839999 41.783333091,-41.9999999839999 41.799999631,-41.9999999839999 41.8166661700001,-41.9999999839999 41.83333271,-41.9999999839999 41.8499992490001,-41.9999999839999 41.8666657890001,-41.9999999839999 41.8833342360001,-41.9999999839999 41.9000007750001,-41.9999999839999 41.916667315,-41.9999999839999 41.9333338550001,-41.9999999839999 41.950000394,-41.9999999839999 41.9666669330001,-41.9999999839999 41.9833334730001,-41.9999999839999 42.000000012,-41.9999999839999 42.0166665520001,-41.9999999839999 42.0333330920001,-41.9999999839999 42.049999631,-41.9999999839999 42.0666661700001,-41.9999999839999 42.08333271,-41.9999999839999 42.0999992490001,-41.9999999839999 42.1166657890001,-41.9999999839999 42.1333342360001,-41.9999999839999 42.1500007750001,-41.9999999839999 42.166667315,-41.9999999839999 42.1833338550001,-41.9999999839999 42.200000394,-41.9999999839999 42.2166669330001,-41.9999999839999 42.2333334730001,-41.9999999839999 42.250000012,-41.9999999839999 42.2666665520001,-41.9999999839999 42.2833330920001,-41.9999999839999 42.299999631,-41.9999999839999 42.3166661700001,-41.9999999839999 42.33333271,-41.9999999839999 42.3499992500001,-41.9999999839999 42.3666657890001,-41.9999999839999 42.3833342360001,-41.9999999839999 42.4000007760001,-41.9999999839999 42.416667315,-41.9999999839999 42.4333338550001,-41.9999999839999 42.450000394,-41.9999999839999 42.4666669330001,-41.9999999839999 42.4833334730001,-41.9999999839999 42.500000013,-41.9999999839999 42.5166665520001,-41.9999999839999 42.5333330920001,-41.9999999839999 42.549999631,-41.9999999839999 42.5666661700001,-41.9999999839999 42.58333271,-41.9999999839999 42.5999992500001,-41.9999999839999 42.6166657890001,-41.9999999839999 42.6333342360001,-41.9999999839999 42.6500007760001,-41.9999999839999 42.666667315,-41.9999999839999 42.6833338550001,-41.9999999839999 42.700000394,-41.9999999839999 42.716666934,-41.9999999839999 42.7333334730001,-41.9999999839999 42.750000013,-41.9999999839999 42.7666665520001,-41.9999999839999 42.7833330920001,-41.9999999839999 42.799999631,-41.9999999839999 42.8166661710001,-41.9999999839999 42.83333271,-41.9999999839999 42.8499992500001,-41.9999999839999 42.8666657890001,-41.9999999839999 42.8833342360001,-41.9999999839999 42.9000007760001,-41.9999999839999 42.916667315,-41.9999999839999 42.9333338550001,-41.9999999839999 42.950000394,-41.9999999839999 42.966666934,-41.9999999839999 42.9833334730001,-41.9999999789999 43.000000017,-41.98334198 43.0000000260001,-41.9833261919999 43.0000000260001,-41.966683992 43.0000000260001,-41.9666524159999 43.0000000260001,-41.9500260039999 43.0000000260001,-41.94997864 43.0000000260001,-41.933368016 43.0000000260001,-41.933304864 43.0000000260001,-41.916710028 43.0000000260001,-41.916631088 43.0000000260001,-41.9000520399999 43.0000000260001,-41.899957311 43.0000000260001,-41.883394052 43.0000000260001,-41.883283535 43.0000000260001,-41.866736064 43.0000000260001,-41.866609759 43.0000000260001,-41.8500780759999 43.0000000260001,-41.849935983 43.0000000260001,-41.833420088 43.0000000260001,-41.833262207 43.0000000260001,-41.8167620999999 43.0000000260001,-41.816588431 43.0000000260001,-41.800104112 43.0000000260001,-41.799914655 43.0000000260001,-41.783446124 43.0000000260001,-41.7832408789999 43.0000000260001,-41.7667881359999 43.0000000260001,-41.7665671029999 43.0000000260001,-41.750130149 43.0000000260001,-41.7498933269999 43.0000000260001,-41.733472161 43.0000000260001,-41.7332195499999 43.0000000260001,-41.7168141729999 43.0000000260001,-41.7165457739999 43.0000000260001,-41.700156185 43.0000000260001,-41.6998719979999 43.0000000260001,-41.6834981969999 43.0000000260001,-41.6831982219999 43.0000000260001,-41.6668402089999 43.0000000260001,-41.666524446 43.0000000260001,-41.650182221 43.0000000260001,-41.64985067 43.0000000260001,-41.6335242329999 43.0000000260001,-41.633176894 43.0000000260001,-41.616866245 43.0000000260001,-41.616503118 43.0000000260001,-41.600208257 43.0000000260001,-41.599829342 43.0000000260001,-41.5835502689999 43.0000000260001,-41.583155566 43.0000000260001,-41.566892281 43.0000000260001,-41.566481789 43.0000000260001,-41.550234293 43.0000000260001,-41.549808013 43.0000000260001,-41.5335763049999 43.0000000260001,-41.533134237 43.0000000260001,-41.516918317 43.0000000260001,-41.516460461 43.0000000260001,-41.500260329 43.0000000260001,-41.4997866849999 43.0000000260001,-41.4836023409999 43.0000000260001,-41.4831129089999 43.0000000260001,-41.466944353 43.0000000260001,-41.4664391329999 43.0000000260001,-41.450286365 43.0000000260001,-41.4497653569999 43.0000000260001,-41.4336283769999 43.0000000260001,-41.433091581 43.0000000260001,-41.416970389 43.0000000260001,-41.4164178039999 43.0000000260001,-41.400312401 43.0000000260001,-41.3997440279999 43.0000000260001,-41.3836544129999 43.0000000260001,-41.383070252 43.0000000260001,-41.366996425 43.0000000260001,-41.366396476 43.0000000260001,-41.3503384369999 43.0000000260001,-41.3497227 43.0000000260001,-41.333680449 43.0000000260001,-41.333048924 43.0000000260001,-41.317022461 43.0000000260001,-41.316375148 43.0000000260001,-41.3003644729999 43.0000000260001,-41.299701372 43.0000000260001,-41.283706485 43.0000000260001,-41.283027596 43.0000000260001,-41.267048497 43.0000000260001,-41.2663538199999 43.0000000260001,-41.2503905089999 43.0000000260001,-41.249680043 43.0000000260001,-41.233732521 43.0000000260001,-41.233006267 43.0000000260001,-41.217074533 43.0000000260001,-41.2163324909999 43.0000000260001,-41.2004165449999 43.0000000260001,-41.1996587149999 43.0000000260001,-41.183758557 43.0000000260001,-41.1829849389999 43.0000000260001,-41.167100569 43.0000000260001,-41.1663111629999 43.0000000260001,-41.1504425809999 43.0000000260001,-41.149637387 43.0000000260001,-41.133784593 43.0000000260001,-41.132963611 43.0000000260001,-41.117126605 43.0000000260001,-41.116289835 43.0000000260001,-41.100468618 43.0000000260001,-41.099616058 43.0000000260001,-41.08381063 43.0000000260001,-41.082942282 43.0000000260001,-41.0671526419999 43.0000000260001,-41.066268506 43.0000000260001,-41.050494654 43.0000000260001,-41.04959473 43.0000000260001,-41.033836666 43.0000000260001,-41.032920954 43.0000000260001,-41.0171786779999 43.0000000260001,-41.016247178 43.0000000260001,-41.00052069 43.0000000260001,-40.999573402 43.0000000260001,-40.983862702 43.0000000260001,-40.9828996259999 43.0000000260001,-40.9672047139999 43.0000000260001,-40.9662258499999 43.0000000260001,-40.950546726 43.0000000260001,-40.9495520739999 43.0000000260001,-40.933888738 43.0000000260001,-40.9328782969999 43.0000000260001,-40.9172307499999 43.0000000260001,-40.9162045209999 43.0000000260001,-40.900572762 43.0000000260001,-40.8995307449999 43.0000000260001,-40.8839147739999 43.0000000260001,-40.8828569689999 43.0000000260001,-40.867256786 43.0000000260001,-40.866183193 43.0000000260001,-40.850598798 43.0000000260001,-40.849509417 43.0000000260001,-40.8339408099999 43.0000000260001,-40.832835641 43.0000000260001,-40.817282822 43.0000000260001,-40.816161865 43.0000000260001,-40.800624834 43.0000000260001,-40.799488089 43.0000000260001,-40.7839668459999 43.0000000260001,-40.782814312 43.0000000260001,-40.767308858 43.0000000260001,-40.766140536 43.0000000260001,-40.75065087 43.0000000260001,-40.74946676 43.0000000260001,-40.7339928819999 43.0000000260001,-40.732792984 43.0000000260001,-40.717334894 43.0000000260001,-40.716119208 43.0000000260001,-40.700676906 43.0000000260001,-40.6994454319999 43.0000000260001,-40.6840189179999 43.0000000260001,-40.6827716559999 43.0000000260001,-40.66736093 43.0000000260001,-40.6660978799999 43.0000000260001,-40.650702942 43.0000000260001,-40.6494241039999 43.0000000260001,-40.6340449539999 43.0000000260001,-40.6327503279999 43.0000000260001,-40.617386966 43.0000000260001,-40.6160765509999 43.0000000260001,-40.6007289779999 43.0000000260001,-40.5994027749999 43.0000000260001,-40.5840709899999 43.0000000260001,-40.582728999 43.0000000260001,-40.567413002 43.0000000260001,-40.566055223 43.0000000260001,-40.5507550139999 43.0000000260001,-40.549381447 43.0000000260001,-40.534097026 43.0000000260001,-40.532707671 43.0000000260001,-40.517439038 43.0000000260001,-40.516033895 43.0000000260001,-40.5007810499999 43.0000000260001,-40.499360119 43.0000000260001,-40.484123062 43.0000000260001,-40.482686343 43.0000000260001,-40.467465075 43.0000000260001,-40.466012567 43.0000000260001,-40.4508070869999 43.0000000260001,-40.44933879 43.0000000260001,-40.434149099 43.0000000260001,-40.432665014 43.0000000260001,-40.4174911109999 43.0000000260001,-40.4159912379999 43.0000000260001,-40.400833123 43.0000000260001,-40.3993174619999 43.0000000260001,-40.384175135 43.0000000260001,-40.3826436859999 43.0000000260001,-40.3675171469999 43.0000000260001,-40.3659699099999 43.0000000260001,-40.350859159 43.0000000260001,-40.349296134 43.0000000260001,-40.334201171 43.0000000260001,-40.332622358 43.0000000260001,-40.3175431829999 43.0000000260001,-40.315948582 43.0000000260001,-40.300885195 43.0000000260001,-40.299274805 43.0000000260001,-40.284227207 43.0000000260001,-40.282601029 43.0000000260001,-40.2675692189999 43.0000000260001,-40.265927253 43.0000000260001,-40.250911231 43.0000000260001,-40.249253477 43.0000000260001,-40.234253243 43.0000000260001,-40.232579701 43.0000000260001,-40.2175952549999 43.0000000260001,-40.215905925 43.0000000260001,-40.200937267 43.0000000260001,-40.199232149 43.0000000260001,-40.184279279 43.0000000260001,-40.1825583729999 43.0000000260001,-40.1676212909999 43.0000000260001,-40.1658845969999 43.0000000260001,-40.150963303 43.0000000260001,-40.1492108209999 43.0000000260001,-40.1343053149999 43.0000000260001,-40.1325370439999 43.0000000260001,-40.1176473269999 43.0000000260001,-40.1158632679999 43.0000000260001,-40.100989339 43.0000000260001,-40.0991894919999 43.0000000260001,-40.0843313509999 43.0000000260001,-40.0825157159999 43.0000000260001,-40.067673363 43.0000000260001,-40.06584194 43.0000000260001,-40.051015375 43.0000000260001,-40.049168164 43.0000000260001,-40.0343573869999 43.0000000260001,-40.032494388 43.0000000260001,-40.017699399 43.0000000260001,-40.015820612 43.0000000260001,-40.001041411 43.0000000260001,-39.999146836 43.0000000260001,-39.9843834229999 43.0000000260001,-39.982473059 43.0000000260001,-39.967725435 43.0000000260001,-39.965799283 43.0000000260001,-39.951067447 43.0000000260001,-39.949125507 43.0000000260001,-39.9344094589999 43.0000000260001,-39.932451731 43.0000000260001,-39.917751471 43.0000000260001,-39.915777955 43.0000000260001,-39.901093483 43.0000000260001,-39.8991041789999 43.0000000260001,-39.8844354949999 43.0000000260001,-39.8824304029999 43.0000000260001,-39.867777507 43.0000000260001,-39.8657566269999 43.0000000260001,-39.851119519 43.0000000260001,-39.8490828509999 43.0000000260001,-39.8344615309999 43.0000000260001,-39.8324090749999 43.0000000260001,-39.817803544 43.0000000260001,-39.8157352979999 43.0000000260001,-39.8011455559999 43.0000000260001,-39.7990615219999 43.0000000260001,-39.784487568 43.0000000260001,-39.782387746 43.0000000260001,-39.76782958 43.0000000260001,-39.76571397 43.0000000260001,-39.7511715919999 43.0000000260001,-39.749040194 43.0000000260001,-39.734513604 43.0000000260001,-39.732366418 43.0000000260001,-39.717855616 43.0000000260001,-39.715692642 43.0000000260001,-39.7011976279999 43.0000000260001,-39.699018866 43.0000000260001,-39.68453964 43.0000000260001,-39.68234509 43.0000000260001,-39.6678816519999 43.0000000260001,-39.665671313 43.0000000260001,-39.6512236639999 43.0000000260001,-39.648997537 43.0000000260001,-39.634565676 43.0000000260001,-39.632323761 43.0000000260001,-39.6179076879999 43.0000000260001,-39.6156499849999 43.0000000260001,-39.6012497 43.0000000260001,-39.5989762089999 43.0000000260001,-39.584591712 43.0000000260001,-39.5823024329999 43.0000000260001,-39.5679337239999 43.0000000260001,-39.5656286569999 43.0000000260001,-39.551275736 43.0000000260001,-39.5489548809999 43.0000000260001,-39.534617748 43.0000000260001,-39.532281105 43.0000000260001,-39.5179597599999 43.0000000260001,-39.515607329 43.0000000260001,-39.501301772 43.0000000260001,-39.498933552 43.0000000260001,-39.484643784 43.0000000260001,-39.482259776 43.0000000260001,-39.4679857959999 43.0000000260001,-39.465586 43.0000000260001,-39.451327808 43.0000000260001,-39.448912224 43.0000000260001,-39.43466982 43.0000000260001,-39.432238448 43.0000000260001,-39.4180118319999 43.0000000260001,-39.415564672 43.0000000260001,-39.401353844 43.0000000260001,-39.398890896 43.0000000260001,-39.384695856 43.0000000260001,-39.38221712 43.0000000260001,-39.3680378679999 43.0000000260001,-39.3655433439999 43.0000000260001,-39.35137988 43.0000000260001,-39.3488695679999 43.0000000260001,-39.3347218919999 43.0000000260001,-39.3321957909999 43.0000000260001,-39.318063904 43.0000000260001,-39.3155220149999 43.0000000260001,-39.301405916 43.0000000260001,-39.2988482389999 43.0000000260001,-39.2847479279999 43.0000000260001,-39.2821744629999 43.0000000260001,-39.26808994 43.0000000260001,-39.265500687 43.0000000260001,-39.251431952 43.0000000260001,-39.248826911 43.0000000260001,-39.2347739639999 43.0000000260001,-39.232153135 43.0000000260001,-39.218115976 43.0000000260001,-39.215479359 43.0000000260001,-39.201457988 43.0000000260001,-39.198805583 43.0000000260001,-39.184800001 43.0000000260001,-39.182131806 43.0000000260001,-39.168142013 43.0000000260001,-39.16545803 43.0000000260001,-39.1514840249999 43.0000000260001,-39.148784254 43.0000000260001,-39.134826037 43.0000000260001,-39.132110478 43.0000000260001,-39.118168049 43.0000000260001,-39.115436702 43.0000000260001,-39.1015100609999 43.0000000260001,-39.0987629259999 43.0000000260001,-39.084852073 43.0000000260001,-39.0820891499999 43.0000000260001,-39.068194085 43.0000000260001,-39.0654153739999 43.0000000260001,-39.0515360969999 43.0000000260001,-39.0487415979999 43.0000000260001,-39.034878109 43.0000000260001,-39.0320678219999 43.0000000260001,-39.018220121 43.0000000260001,-39.0153940449999 43.0000000260001,-39.0015621329999 43.0000000260001,-38.9987202689999 43.0000000260001,-38.984904145 43.0000000260001,-38.982046493 43.0000000260001,-38.968246157 43.0000000260001,-38.965372717 43.0000000260001,-38.9515881689999 43.0000000260001,-38.948698941 43.0000000260001,-38.934930181 43.0000000260001,-38.932025165 43.0000000260001,-38.918272193 43.0000000260001,-38.915351389 43.0000000260001,-38.9016142049999 43.0000000260001,-38.898677613 43.0000000260001,-38.884956217 43.0000000260001,-38.882003837 43.0000000260001,-38.8682982289999 43.0000000260001,-38.86533006 43.0000000260001,-38.851640241 43.0000000260001,-38.848656284 43.0000000260001,-38.834982253 43.0000000260001,-38.831982508 43.0000000260001,-38.8183242649999 43.0000000260001,-38.8153087319999 43.0000000260001,-38.801666277 43.0000000260001,-38.7986349559999 43.0000000260001,-38.785008289 43.0000000260001,-38.7819611799999 43.0000000260001,-38.7683503009999 43.0000000260001,-38.7652874039999 43.0000000260001,-38.751692313 43.0000000260001,-38.7486136279999 43.0000000260001,-38.735034325 43.0000000260001,-38.731939852 43.0000000260001,-38.7183763369999 43.0000000260001,-38.715266076 43.0000000260001,-38.701718349 43.0000000260001,-38.698592299 43.0000000260001,-38.685060361 43.0000000260001,-38.681918523 43.0000000260001,-38.6684023729999 43.0000000260001,-38.665244747 43.0000000260001,-38.651744385 43.0000000260001,-38.648570971 43.0000000260001,-38.635086397 43.0000000260001,-38.631897195 43.0000000260001,-38.6184284089999 43.0000000260001,-38.615223419 43.0000000260001,-38.601770421 43.0000000260001,-38.598549643 43.0000000260001,-38.5851124329999 43.0000000260001,-38.581875867 43.0000000260001,-38.5684544449999 43.0000000260001,-38.5652020909999 43.0000000260001,-38.551796457 43.0000000260001,-38.548528314 43.0000000260001,-38.5351384699999 43.0000000260001,-38.5318545379999 43.0000000260001,-38.518480482 43.0000000260001,-38.5151807619999 43.0000000260001,-38.501822494 43.0000000260001,-38.4985069859999 43.0000000260001,-38.4851645059999 43.0000000260001,-38.4818332099999 43.0000000260001,-38.468506518 43.0000000260001,-38.4651594339999 43.0000000260001,-38.4518485299999 43.0000000260001,-38.448485658 43.0000000260001,-38.4351905419999 43.0000000260001,-38.431811882 43.0000000260001,-38.418532554 43.0000000260001,-38.415138106 43.0000000260001,-38.4018745659999 43.0000000260001,-38.39846433 43.0000000260001,-38.385216578 43.0000000260001,-38.381790553 43.0000000260001,-38.36855859 43.0000000260001,-38.365116777 43.0000000260001,-38.3519006019999 43.0000000260001,-38.348443001 43.0000000260001,-38.335242614 43.0000000260001,-38.331769225 43.0000000260001,-38.318584626 43.0000000260001,-38.315095449 43.0000000260001,-38.3019266379999 43.0000000260001,-38.298421673 43.0000000260001,-38.28526865 43.0000000260001,-38.2817478969999 43.0000000260001,-38.268610662 43.0000000260001,-38.2650741209999 43.0000000260001,-38.2519526739999 43.0000000260001,-38.2484003449999 43.0000000260001,-38.235294686 43.0000000260001,-38.2317265689999 43.0000000260001,-38.218636698 43.0000000260001,-38.2150527919999 43.0000000260001,-38.2019787099999 43.0000000260001,-38.1983790159999 43.0000000260001,-38.185320722 43.0000000260001,-38.18170524 43.0000000260001,-38.168662734 43.0000000260001,-38.165031464 43.0000000260001,-38.1520047459999 43.0000000260001,-38.148357688 43.0000000260001,-38.135346758 43.0000000260001,-38.131683912 43.0000000260001,-38.1186887699999 43.0000000260001,-38.115010136 43.0000000260001,-38.1020307819999 43.0000000260001,-38.09833636 43.0000000260001,-38.085372794 43.0000000260001,-38.081662584 43.0000000260001,-38.0687148059999 43.0000000260001,-38.064988807 43.0000000260001,-38.052056818 43.0000000260001,-38.048315031 43.0000000260001,-38.03539883 43.0000000260001,-38.031641255 43.0000000260001,-38.0187408419999 43.0000000260001,-38.0149674789999 43.0000000260001,-38.002082854 43.0000000260001,-37.9982937029999 43.0000000260001,-37.985424866 43.0000000260001,-37.9816199269999 43.0000000260001,-37.9687668779999 43.0000000260001,-37.9649461509999 43.0000000260001,-37.95210889 43.0000000260001,-37.9482723749999 43.0000000260001,-37.935450902 43.0000000260001,-37.931598599 43.0000000260001,-37.9187929139999 43.0000000260001,-37.914924823 43.0000000260001,-37.902134927 43.0000000260001,-37.898251046 43.0000000260001,-37.8854769389999 43.0000000260001,-37.88157727 43.0000000260001,-37.868818951 43.0000000260001,-37.864903494 43.0000000260001,-37.852160963 43.0000000260001,-37.848229718 43.0000000260001,-37.8355029749999 43.0000000260001,-37.831555942 43.0000000260001,-37.818844987 43.0000000260001,-37.814882166 43.0000000260001,-37.802186999 43.0000000260001,-37.79820839 43.0000000260001,-37.7855290109999 43.0000000260001,-37.781534614 43.0000000260001,-37.768871023 43.0000000260001,-37.7648608379999 43.0000000260001,-37.752213035 43.0000000260001,-37.748187061 43.0000000260001,-37.7355550469999 43.0000000260001,-37.7315132849999 43.0000000260001,-37.718897059 43.0000000260001,-37.7148395089999 43.0000000260001,-37.702239071 43.0000000260001,-37.6981657329999 43.0000000260001,-37.6855810829999 43.0000000260001,-37.6814919569999 43.0000000260001,-37.668923095 43.0000000260001,-37.6648181809999 43.0000000260001,-37.6522651069999 43.0000000260001,-37.648144405 43.0000000260001,-37.6356071189999 43.0000000260001,-37.631470629 43.0000000260001,-37.618949131 43.0000000260001,-37.614796853 43.0000000260001,-37.6022911429999 43.0000000260001,-37.598123077 43.0000000260001,-37.585633155 43.0000000260001,-37.5814493 43.0000000260001,-37.568975167 43.0000000260001,-37.564775524 43.0000000260001,-37.5523171789999 43.0000000260001,-37.548101748 43.0000000260001,-37.535659191 43.0000000260001,-37.531427972 43.0000000260001,-37.519001203 43.0000000260001,-37.514754196 43.0000000260001,-37.5023432149999 43.0000000260001,-37.49808042 43.0000000260001,-37.485685227 43.0000000260001,-37.4814066439999 43.0000000260001,-37.469027239 43.0000000260001,-37.4647328679999 43.0000000260001,-37.4523692509999 43.0000000260001,-37.4480590919999 43.0000000260001,-37.435711263 43.0000000260001,-37.4313853149999 43.0000000260001,-37.419053275 43.0000000260001,-37.4147115389999 43.0000000260001,-37.4023952869999 43.0000000260001,-37.3980377629999 43.0000000260001,-37.385737299 43.0000000260001,-37.3813639869999 43.0000000260001,-37.369079311 43.0000000260001,-37.364690211 43.0000000260001,-37.3524213229999 43.0000000260001,-37.348016435 43.0000000260001,-37.335763335 43.0000000260001,-37.331342659 43.0000000260001,-37.3191053469999 43.0000000260001,-37.314668883 43.0000000260001,-37.302447359 43.0000000260001,-37.297995107 43.0000000260001,-37.285789371 43.0000000260001,-37.281321331 43.0000000260001,-37.2691313829999 43.0000000260001,-37.264647554 43.0000000260001,-37.252473396 43.0000000260001,-37.247973778 43.0000000260001,-37.235815408 43.0000000260001,-37.231300002 43.0000000260001,-37.2191574199999 43.0000000260001,-37.214626226 43.0000000260001,-37.202499432 43.0000000260001,-37.1979524499999 43.0000000260001,-37.1858414439999 43.0000000260001,-37.1812786739999 43.0000000260001,-37.169183456 43.0000000260001,-37.1646048979999 43.0000000260001,-37.152525468 43.0000000260001,-37.1479311219999 43.0000000260001,-37.1358674799999 43.0000000260001,-37.131257346 43.0000000260001,-37.119209492 43.0000000260001,-37.11458357 43.0000000260001,-37.102551504 43.0000000260001,-37.0979097929999 43.0000000260001,-37.0858935159999 43.0000000260001,-37.081236017 43.0000000260001,-37.069235528 43.0000000260001,-37.064562241 43.0000000260001,-37.05257754 43.0000000260001,-37.047888465 43.0000000260001,-37.0359195519999 43.0000000260001,-37.031214689 43.0000000260001,-37.019261564 43.0000000260001,-37.014540913 43.0000000260001,-37.002603576 43.0000000260001,-36.997867137 43.0000000260001,-36.9859455879999 43.0000000260001,-36.981193361 43.0000000260001,-36.9692876 43.0000000260001,-36.9645195849999 43.0000000260001,-36.952629612 43.0000000260001,-36.947845808 43.0000000260001,-36.9359716239999 43.0000000260001,-36.9311720319999 43.0000000260001,-36.919313636 43.0000000260001,-36.9144982559999 43.0000000260001,-36.9026556479999 43.0000000260001,-36.8978244799999 43.0000000260001,-36.8859976599999 43.0000000260001,-36.8811507039999 43.0000000260001,-36.869339672 43.0000000260001,-36.8644769279999 43.0000000260001,-36.8526816839999 43.0000000260001,-36.847803152 43.0000000260001,-36.836023696 43.0000000260001,-36.831129376 43.0000000260001,-36.819365708 43.0000000260001,-36.8144556 43.0000000260001,-36.8027077199999 43.0000000260001,-36.797781824 43.0000000260001,-36.786049732 43.0000000260001,-36.781108047 43.0000000260001,-36.769391744 43.0000000260001,-36.764434271 43.0000000260001,-36.7527337559999 43.0000000260001,-36.747760495 43.0000000260001,-36.736075768 43.0000000260001,-36.731086719 43.0000000260001,-36.71941778 43.0000000260001,-36.714412943 43.0000000260001,-36.7027597919999 43.0000000260001,-36.697739167 43.0000000260001,-36.686101804 43.0000000260001,-36.6810653909999 43.0000000260001,-36.669443816 43.0000000260001,-36.6643916149999 43.0000000260001,-36.6527858279999 43.0000000260001,-36.6477178389999 43.0000000260001,-36.63612784 43.0000000260001,-36.6310440619999 43.0000000260001,-36.6194698529999 43.0000000260001,-36.6143702859999 43.0000000260001,-36.602811865 43.0000000260001,-36.5976965099999 43.0000000260001,-36.586153877 43.0000000260001,-36.5810227339999 43.0000000260001,-36.5694958889999 43.0000000260001,-36.564348958 43.0000000260001,-36.552837901 43.0000000260001,-36.547675182 43.0000000260001,-36.536179913 43.0000000260001,-36.531001406 43.0000000260001,-36.5195219249999 43.0000000260001,-36.51432763 43.0000000260001,-36.502863937 43.0000000260001,-36.497653854 43.0000000260001,-36.486205949 43.0000000260001,-36.480980078 43.0000000260001,-36.4695479609999 43.0000000260001,-36.464306301 43.0000000260001,-36.452889973 43.0000000260001,-36.447632525 43.0000000260001,-36.4362319849999 43.0000000260001,-36.430958749 43.0000000260001,-36.4195739969999 43.0000000260001,-36.414284973 43.0000000260001,-36.402916009 43.0000000260001,-36.3976111969999 43.0000000260001,-36.3862580209999 43.0000000260001,-36.3809374209999 43.0000000260001,-36.369600033 43.0000000260001,-36.3642636449999 43.0000000260001,-36.352942045 43.0000000260001,-36.3475898689999 43.0000000260001,-36.3362840569999 43.0000000260001,-36.330916093 43.0000000260001,-36.319626069 43.0000000260001,-36.3142423159999 43.0000000260001,-36.302968081 43.0000000260001,-36.2975685399999 43.0000000260001,-36.2863100929999 43.0000000260001,-36.280894764 43.0000000260001,-36.2696467659999 43.0000000260001,-36.264220988 43.0000000260001,-36.2529834379999 43.0000000260001,-36.247547212 43.0000000260001,-36.2363201109999 43.0000000260001,-36.230873436 43.0000000260001,-36.2196567829999 43.0000000260001,-36.21419966 43.0000000260001,-36.2029934559999 43.0000000260001,-36.197525884 43.0000000260001,-36.186330128 43.0000000260001,-36.180852108 43.0000000260001,-36.1696668009999 43.0000000260001,-36.1641783319999 43.0000000260001,-36.1530034739999 43.0000000260001,-36.147504555 43.0000000260001,-36.136340146 43.0000000260001,-36.130830779 43.0000000260001,-36.1196768189999 43.0000000260001,-36.1141570029999 43.0000000260001,-36.103013491 43.0000000260001,-36.0974832269999 43.0000000260001,-36.086350164 43.0000000260001,-36.0808094509999 43.0000000260001,-36.0696868369999 43.0000000260001,-36.0641356749999 43.0000000260001,-36.053023509 43.0000000260001,-36.047461899 43.0000000260001,-36.036360182 43.0000000260001,-36.030788123 43.0000000260001,-36.019696854 43.0000000260001,-36.014114347 43.0000000260001,-36.003033527 43.0000000260001,-35.997440571 43.0000000260001,-35.986370199 43.0000000260001,-35.980766794 43.0000000260001,-35.969706872 43.0000000260001,-35.964093018 43.0000000260001,-35.953043545 43.0000000260001,-35.947419242 43.0000000260001,-35.936380217 43.0000000260001,-35.930745466 43.0000000260001,-35.91971689 43.0000000260001,-35.91407169 43.0000000260001,-35.903053562 43.0000000260001,-35.897397914 43.0000000260001,-35.886390235 43.0000000260001,-35.8807241379999 43.0000000260001,-35.869726907 43.0000000260001,-35.8640503619999 43.0000000260001,-35.85306358 43.0000000260001,-35.8473765859999 43.0000000260001,-35.836400253 43.0000000260001,-35.8307028089999 43.0000000260001,-35.819736925 43.0000000260001,-35.8140290329999 43.0000000260001,-35.803073598 43.0000000260001,-35.7973552569999 43.0000000260001,-35.78641027 43.0000000260001,-35.7806814809999 43.0000000260001,-35.769746943 43.0000000260001,-35.764007705 43.0000000260001,-35.753083616 43.0000000260001,-35.747333929 43.0000000260001,-35.736420288 43.0000000260001,-35.730660153 43.0000000260001,-35.719756961 43.0000000260001,-35.713986377 43.0000000260001,-35.703093633 43.0000000260001,-35.697312601 43.0000000260001,-35.686430306 43.0000000260001,-35.680638825 43.0000000260001,-35.669766978 43.0000000260001,-35.663965048 43.0000000260001,-35.653103651 43.0000000260001,-35.647291272 43.0000000260001,-35.636440324 43.0000000260001,-35.630617496 43.0000000260001,-35.619776996 43.0000000260001,-35.61394372 43.0000000260001,-35.603113669 43.0000000260001,-35.5972699439999 43.0000000260001,-35.5864503409999 43.0000000260001,-35.5805961679999 43.0000000260001,-35.5697870139999 43.0000000260001,-35.5639223919999 43.0000000260001,-35.5531236859999 43.0000000260001,-35.5472486159999 43.0000000260001,-35.5364603589999 43.0000000260001,-35.5305748399999 43.0000000260001,-35.5197970319999 43.0000000260001,-35.5139010629999 43.0000000260001,-35.5031337039999 43.0000000260001,-35.4972272869999 43.0000000260001,-35.4864703769999 43.0000000260001,-35.480553511 43.0000000260001,-35.4698070489999 43.0000000260001,-35.463879735 43.0000000260001,-35.4531437219999 43.0000000260001,-35.447205959 43.0000000260001,-35.4364803939999 43.0000000260001,-35.430532183 43.0000000260001,-35.4198170669999 43.0000000260001,-35.413858407 43.0000000260001,-35.4031537399999 43.0000000260001,-35.397184631 43.0000000260001,-35.3864904119999 43.0000000260001,-35.380510855 43.0000000260001,-35.3698270849999 43.0000000260001,-35.3638370789999 43.0000000260001,-35.3531637569999 43.0000000260001,-35.347163302 43.0000000260001,-35.3365004299999 43.0000000260001,-35.330489526 43.0000000260001,-35.3198371029999 43.0000000260001,-35.3138157499999 43.0000000260001,-35.3031737749999 43.0000000260001,-35.2971419739999 43.0000000260001,-35.2865104479999 43.0000000260001,-35.2804681979999 43.0000000260001,-35.26984712 43.0000000260001,-35.2637944219999 43.0000000260001,-35.2531837929999 43.0000000260001,-35.247120646 43.0000000260001,-35.236520465 43.0000000260001,-35.23044687 43.0000000260001,-35.219857138 43.0000000260001,-35.213773094 43.0000000260001,-35.2031938109999 43.0000000260001,-35.197099317 43.0000000260001,-35.186530483 43.0000000260001,-35.180425541 43.0000000260001,-35.169867156 43.0000000260001,-35.163751765 43.0000000260001,-35.153203828 43.0000000260001,-35.147077989 43.0000000260001,-35.136540501 43.0000000260001,-35.130404213 43.0000000260001,-35.119877173 43.0000000260001,-35.113730437 43.0000000260001,-35.103213846 43.0000000260001,-35.097056661 43.0000000260001,-35.086550519 43.0000000260001,-35.0803828849999 43.0000000260001,-35.069887191 43.0000000260001,-35.0637091089999 43.0000000260001,-35.053223864 43.0000000260001,-35.0470353329999 43.0000000260001,-35.036560536 43.0000000260001,-35.0303615559999 43.0000000260001,-35.019897209 43.0000000260001,-35.0136877799999 43.0000000260001,-35.003233881 43.0000000260001,-34.9970140039999 43.0000000260001,-34.986570554 43.0000000260001,-34.9803402279999 43.0000000260001,-34.969907227 43.0000000260001,-34.963666452 43.0000000260001,-34.953243899 43.0000000260001,-34.946992676 43.0000000260001,-34.936580572 43.0000000260001,-34.9303189 43.0000000260001,-34.919917244 43.0000000260001,-34.913645124 43.0000000260001,-34.903253917 43.0000000260001,-34.896971348 43.0000000260001,-34.88659059 43.0000000260001,-34.880297572 43.0000000260001,-34.869927262 43.0000000260001,-34.863623795 43.0000000260001,-34.853263935 43.0000000260001,-34.846950019 43.0000000260001,-34.836600607 43.0000000260001,-34.830276243 43.0000000260001,-34.81993728 43.0000000260001,-34.813602467 43.0000000260001,-34.803273952 43.0000000260001,-34.7969286909999 43.0000000260001,-34.786610625 43.0000000260001,-34.7802549149999 43.0000000260001,-34.769947298 43.0000000260001,-34.7635811389999 43.0000000260001,-34.75328397 43.0000000260001,-34.7469073629999 43.0000000260001,-34.736620643 43.0000000260001,-34.7302335869999 43.0000000260001,-34.7199573149999 43.0000000260001,-34.7135598099999 43.0000000260001,-34.703293988 43.0000000260001,-34.6968860339999 43.0000000260001,-34.6866306599999 43.0000000260001,-34.680212258 43.0000000260001,-34.6699673329999 43.0000000260001,-34.663538482 43.0000000260001,-34.653304006 43.0000000260001,-34.646864706 43.0000000260001,-34.6366406779999 43.0000000260001,-34.63019093 43.0000000260001,-34.6199773509999 43.0000000260001,-34.613517154 43.0000000260001,-34.6033140229999 43.0000000260001,-34.596843378 43.0000000260001,-34.5866506959999 43.0000000260001,-34.580169602 43.0000000260001,-34.5699873679999 43.0000000260001,-34.563495826 43.0000000260001,-34.5533240409999 43.0000000260001,-34.546822049 43.0000000260001,-34.5366607139999 43.0000000260001,-34.530148273 43.0000000260001,-34.5199973859999 43.0000000260001,-34.5134744969999 43.0000000260001,-34.5033340589999 43.0000000260001,-34.4968007209999 43.0000000260001,-34.4866707309999 43.0000000260001,-34.4801269449999 43.0000000260001,-34.4700074039999 43.0000000260001,-34.4634531689999 43.0000000260001,-34.4533440769999 43.0000000260001,-34.4467793929999 43.0000000260001,-34.4366807489999 43.0000000260001,-34.430105617 43.0000000260001,-34.4200174219999 43.0000000260001,-34.413431841 43.0000000260001,-34.403354094 43.0000000260001,-34.396758064 43.0000000260001,-34.3866907669999 43.0000000260001,-34.380084288 43.0000000260001,-34.370027439 43.0000000260001,-34.363410512 43.0000000260001,-34.353364112 43.0000000260001,-34.346736736 43.0000000260001,-34.3367007849999 43.0000000260001,-34.33006296 43.0000000260001,-34.320037457 43.0000000260001,-34.313389184 43.0000000260001,-34.30337413 43.0000000260001,-34.296715408 43.0000000260001,-34.286710802 43.0000000260001,-34.2800416319999 43.0000000260001,-34.270047475 43.0000000260001,-34.2633678559999 43.0000000260001,-34.253384147 43.0000000260001,-34.2466940799999 43.0000000260001,-34.23672082 43.0000000260001,-34.2300203029999 43.0000000260001,-34.220057493 43.0000000260001,-34.2133465269999 43.0000000260001,-34.203394165 43.0000000260001,-34.1966727509999 43.0000000260001,-34.186730838 43.0000000260001,-34.1799989749999 43.0000000260001,-34.17006751 43.0000000260001,-34.1633251989999 43.0000000260001,-34.153404183 43.0000000260001,-34.146651423 43.0000000260001,-34.136740856 43.0000000260001,-34.129977647 43.0000000260001,-34.120077528 43.0000000260001,-34.113303871 43.0000000260001,-34.103414201 43.0000000260001,-34.096630095 43.0000000260001,-34.086750873 43.0000000260001,-34.079956318 43.0000000260001,-34.070087546 43.0000000260001,-34.063282542 43.0000000260001,-34.053424218 43.0000000260001,-34.046608766 43.0000000260001,-34.036760891 43.0000000260001,-34.02993499 43.0000000260001,-34.020097564 43.0000000260001,-34.013261214 43.0000000260001,-34.003434236 43.0000000260001,-33.9965874379999 43.0000000260001,-33.986770909 43.0000000260001,-33.9799136619999 43.0000000260001,-33.970107581 43.0000000260001,-33.9632398859999 43.0000000260001,-33.953444254 43.0000000260001,-33.9465661099999 43.0000000260001,-33.936780926 43.0000000260001,-33.9298923339999 43.0000000260001,-33.920117599 43.0000000260001,-33.9132185569999 43.0000000260001,-33.903454272 43.0000000260001,-33.8965447809999 43.0000000260001,-33.886790944 43.0000000260001,-33.879871005 43.0000000260001,-33.870127617 43.0000000260001,-33.863197229 43.0000000260001,-33.8534642889999 43.0000000260001,-33.846523453 43.0000000260001,-33.836800962 43.0000000260001,-33.829849677 43.0000000260001,-33.8201376339999 43.0000000260001,-33.813175901 43.0000000260001,-33.8034743069999 43.0000000260001,-33.796502125 43.0000000260001,-33.78681098 43.0000000260001,-33.779828349 43.0000000260001,-33.7701476519999 43.0000000260001,-33.763154573 43.0000000260001,-33.7534843249999 43.0000000260001,-33.746480796 43.0000000260001,-33.7368209969999 43.0000000260001,-33.72980702 43.0000000260001,-33.7201576699999 43.0000000260001,-33.7131332439999 43.0000000260001,-33.7034943429999 43.0000000260001,-33.6964594679999 43.0000000260001,-33.6868310149999 43.0000000260001,-33.6797856919999 43.0000000260001,-33.6701676879999 43.0000000260001,-33.6631119159999 43.0000000260001,-33.6535043599999 43.0000000260001,-33.6464381399999 43.0000000260001,-33.6368410329999 43.0000000260001,-33.629764364 43.0000000260001,-33.6201777049999 43.0000000260001,-33.613090588 43.0000000260001,-33.6035143779999 43.0000000260001,-33.596416811 43.0000000260001,-33.5868510509999 43.0000000260001,-33.579743035 43.0000000260001,-33.5701877229999 43.0000000260001,-33.563069259 43.0000000260001,-33.5535243959999 43.0000000260001,-33.546395483 43.0000000260001,-33.536861068 43.0000000260001,-33.529721707 43.0000000260001,-33.5201977409999 43.0000000260001,-33.513047931 43.0000000260001,-33.503534413 43.0000000260001,-33.496374155 43.0000000260001,-33.486871086 43.0000000260001,-33.479700379 43.0000000260001,-33.4702077589999 43.0000000260001,-33.4630266029999 43.0000000260001,-33.453544431 43.0000000260001,-33.4463528269999 43.0000000260001,-33.436881104 43.0000000260001,-33.4296790499999 43.0000000260001,-33.420217776 43.0000000260001,-33.4130052739999 43.0000000260001,-33.403554449 43.0000000260001,-33.3963314979999 43.0000000260001,-33.386891121 43.0000000260001,-33.3796577219999 43.0000000260001,-33.370227794 43.0000000260001,-33.3629839459999 43.0000000260001,-33.353564467 43.0000000260001,-33.34631017 43.0000000260001,-33.336901139 43.0000000260001,-33.329636394 43.0000000260001,-33.320237812 43.0000000260001,-33.312962618 43.0000000260001,-33.303574484 43.0000000260001,-33.296288842 43.0000000260001,-33.286911157 43.0000000260001,-33.279615065 43.0000000260001,-33.27024783 43.0000000260001,-33.262941289 43.0000000260001,-33.253584502 43.0000000260001,-33.246267513 43.0000000260001,-33.236921175 43.0000000260001,-33.229593737 43.0000000260001,-33.220257847 43.0000000260001,-33.212919961 43.0000000260001,-33.20359452 43.0000000260001,-33.1962461849999 43.0000000260001,-33.186931192 43.0000000260001,-33.1795724089999 43.0000000260001,-33.170267865 43.0000000260001,-33.1628986329999 43.0000000260001,-33.153604538 43.0000000260001,-33.1462248569999 43.0000000260001,-33.13694121 43.0000000260001,-33.1295510809999 43.0000000260001,-33.120277883 43.0000000260001,-33.1128773039999 43.0000000260001,-33.103614555 43.0000000260001,-33.0962035279999 43.0000000260001,-33.086951228 43.0000000260001,-33.0795297519999 43.0000000260001,-33.0702879 43.0000000260001,-33.062855976 43.0000000260001,-33.053624573 43.0000000260001,-33.0461822 43.0000000260001,-33.036961246 43.0000000260001,-33.029508424 43.0000000260001,-33.020297918 43.0000000260001,-33.012834648 43.0000000260001,-33.003634591 43.0000000260001,-32.996160872 43.0000000260001,-32.9869712629999 43.0000000260001,-32.979487096 43.0000000260001,-32.970307936 43.0000000260001,-32.962813319 43.0000000260001,-32.9536446079999 43.0000000260001,-32.946139543 43.0000000260001,-32.9369812809999 43.0000000260001,-32.929465767 43.0000000260001,-32.920317954 43.0000000260001,-32.9127919909999 43.0000000260001,-32.9036546259999 43.0000000260001,-32.8961182149999 43.0000000260001,-32.8869912989999 43.0000000260001,-32.8794444389999 43.0000000260001,-32.8703279709999 43.0000000260001,-32.8627706629999 43.0000000260001,-32.8536646439999 43.0000000260001,-32.8460968869999 43.0000000260001,-32.8370013169999 43.0000000260001,-32.829423111 43.0000000260001,-32.8203379889999 43.0000000260001,-32.812749335 43.0000000260001,-32.8036746619999 43.0000000260001,-32.796075558 43.0000000260001,-32.7870113339999 43.0000000260001,-32.779401782 43.0000000260001,-32.7703480069999 43.0000000260001,-32.762728006 43.0000000260001,-32.7536846789999 43.0000000260001,-32.74605423 43.0000000260001,-32.7370213519999 43.0000000260001,-32.729380454 43.0000000260001,-32.7203580249999 43.0000000260001,-32.712706678 43.0000000260001,-32.7036946969999 43.0000000260001,-32.696032902 43.0000000260001,-32.6870313699999 43.0000000260001,-32.679359126 43.0000000260001,-32.670368042 43.0000000260001,-32.6626853499999 43.0000000260001,-32.6537047149999 43.0000000260001,-32.6460115739999 43.0000000260001,-32.637041387 43.0000000260001,-32.6293377969999 43.0000000260001,-32.62037806 43.0000000260001,-32.6126640209999 43.0000000260001,-32.6037147329999 43.0000000260001,-32.5959902449999 43.0000000260001,-32.587051405 43.0000000260001,-32.5793164689999 43.0000000260001,-32.570388078 43.0000000260001,-32.5626426929999 43.0000000260001,-32.55372475 43.0000000260001,-32.545968917 43.0000000260001,-32.537061423 43.0000000260001,-32.529295141 43.0000000260001,-32.520398096 43.0000000260001,-32.512621365 43.0000000260001,-32.503734768 43.0000000260001,-32.495947589 43.0000000260001,-32.487071441 43.0000000260001,-32.479273812 43.0000000260001,-32.470408113 43.0000000260001,-32.462600036 43.0000000260001,-32.453744786 43.0000000260001,-32.44592626 43.0000000260001,-32.437081458 43.0000000260001,-32.429252484 43.0000000260001,-32.420418131 43.0000000260001,-32.412578708 43.0000000260001,-32.403754804 43.0000000260001,-32.395904932 43.0000000260001,-32.387091476 43.0000000260001,-32.3792311559999 43.0000000260001,-32.370428149 43.0000000260001,-32.3625573799999 43.0000000260001,-32.353764821 43.0000000260001,-32.3458836039999 43.0000000260001,-32.337101494 43.0000000260001,-32.3292098279999 43.0000000260001,-32.320438166 43.0000000260001,-32.3125360509999 43.0000000260001,-32.303774839 43.0000000260001,-32.2958622749999 43.0000000260001,-32.287111512 43.0000000260001,-32.2791884989999 43.0000000260001,-32.270448184 43.0000000260001,-32.262514723 43.0000000260001,-32.253784857 43.0000000260001,-32.245840947 43.0000000260001,-32.237121529 43.0000000260001,-32.229167171 43.0000000260001,-32.220458202 43.0000000260001,-32.212493395 43.0000000260001,-32.203794874 43.0000000260001,-32.195819619 43.0000000260001,-32.187131547 43.0000000260001,-32.179145843 43.0000000260001,-32.17046822 43.0000000260001,-32.162472066 43.0000000260001,-32.153804892 43.0000000260001,-32.14579829 43.0000000260001,-32.137141565 43.0000000260001,-32.129124514 43.0000000260001,-32.1204782369999 43.0000000260001,-32.1124507379999 43.0000000260001,-32.10381491 43.0000000260001,-32.0957769619999 43.0000000260001,-32.087151583 43.0000000260001,-32.0791031859999 43.0000000260001,-32.0704882549999 43.0000000260001,-32.0624294099999 43.0000000260001,-32.053824928 43.0000000260001,-32.0457556339999 43.0000000260001,-32.0371615999999 43.0000000260001,-32.029081858 43.0000000260001,-32.0204982729999 43.0000000260001,-32.012408082 43.0000000260001,-32.0038349449999 43.0000000260001,-31.9957343049999 43.0000000260001,-31.9871716179999 43.0000000260001,-31.979060529 43.0000000260001,-31.9705082909999 43.0000000260001,-31.962386753 43.0000000260001,-31.9538449629999 43.0000000260001,-31.945712977 43.0000000260001,-31.9371816359999 43.0000000260001,-31.929039201 43.0000000260001,-31.9205183079999 43.0000000260001,-31.912365425 43.0000000260001,-31.9038549809999 43.0000000260001,-31.895691649 43.0000000260001,-31.8871916529999 43.0000000260001,-31.879017873 43.0000000260001,-31.8705283259999 43.0000000260001,-31.8623440969999 43.0000000260001,-31.8538649989999 43.0000000260001,-31.84567032 43.0000000260001,-31.8372016709999 43.0000000260001,-31.8289965439999 43.0000000260001,-31.8205383439999 43.0000000260001,-31.8123227679999 43.0000000260001,-31.8038750159999 43.0000000260001,-31.7956489919999 43.0000000260001,-31.7872116889999 43.0000000260001,-31.7789752159999 43.0000000260001,-31.770548361 43.0000000260001,-31.7623014399999 43.0000000260001,-31.7538850339999 43.0000000260001,-31.745627664 43.0000000260001,-31.7372217069999 43.0000000260001,-31.728953888 43.0000000260001,-31.720558379 43.0000000260001,-31.712280112 43.0000000260001,-31.703895052 43.0000000260001,-31.695606336 43.0000000260001,-31.687231724 43.0000000260001,-31.678932559 43.0000000260001,-31.670568397 43.0000000260001,-31.662258783 43.0000000260001,-31.65390507 43.0000000260001,-31.645585007 43.0000000260001,-31.637241742 43.0000000260001,-31.628911231 43.0000000260001,-31.620578415 43.0000000260001,-31.612237455 43.0000000260001,-31.603915087 43.0000000260001,-31.595563679 43.0000000260001,-31.58725176 43.0000000260001,-31.5788899029999 43.0000000260001,-31.570588432 43.0000000260001,-31.5622161269999 43.0000000260001,-31.553925105 43.0000000260001,-31.5455423509999 43.0000000260001,-31.537261778 43.0000000260001,-31.5288685749999 43.0000000260001,-31.52059845 43.0000000260001,-31.5121947979999 43.0000000260001,-31.503935123 43.0000000260001,-31.4955210219999 43.0000000260001,-31.487271795 43.0000000260001,-31.4788472459999 43.0000000260001,-31.470608468 43.0000000260001,-31.46217347 43.0000000260001,-31.45394514 43.0000000260001,-31.445499694 43.0000000260001,-31.437281813 43.0000000260001,-31.428825918 43.0000000260001,-31.420618486 43.0000000260001,-31.412152142 43.0000000260001,-31.403955158 43.0000000260001,-31.395478366 43.0000000260001,-31.387291831 43.0000000260001,-31.37880459 43.0000000260001,-31.370628503 43.0000000260001,-31.362130813 43.0000000260001,-31.353965176 43.0000000260001,-31.345457037 43.0000000260001,-31.337301848 43.0000000260001,-31.328783261 43.0000000260001,-31.320638521 43.0000000260001,-31.312109485 43.0000000260001,-31.303975194 43.0000000260001,-31.2954357089999 43.0000000260001,-31.287311866 43.0000000260001,-31.2787619329999 43.0000000260001,-31.270648539 43.0000000260001,-31.2620881569999 43.0000000260001,-31.2539852109999 43.0000000260001,-31.2454143809999 43.0000000260001,-31.237321884 43.0000000260001,-31.2287406049999 43.0000000260001,-31.220658557 43.0000000260001,-31.212066829 43.0000000260001,-31.2039952289999 43.0000000260001,-31.1953930519999 43.0000000260001,-31.187331902 43.0000000260001,-31.178719276 43.0000000260001,-31.1706685739999 43.0000000260001,-31.1620455 43.0000000260001,-31.1540052469999 43.0000000260001,-31.145371724 43.0000000260001,-31.1373419189999 43.0000000260001,-31.128697948 43.0000000260001,-31.1206785919999 43.0000000260001,-31.112024172 43.0000000260001,-31.1040152649999 43.0000000260001,-31.095350396 43.0000000260001,-31.0873519369999 43.0000000260001,-31.07867662 43.0000000260001,-31.0706886099999 43.0000000260001,-31.0620028439999 43.0000000260001,-31.0540252819999 43.0000000260001,-31.045329067 43.0000000260001,-31.0373619549999 43.0000000260001,-31.028655291 43.0000000260001,-31.0206986269999 43.0000000260001,-31.0119815149999 43.0000000260001,-31.0040352999999 43.0000000260001,-30.9953077389999 43.0000000260001,-30.9873719729999 43.0000000260001,-30.9786339629999 43.0000000260001,-30.9707086449999 43.0000000260001,-30.9619601869999 43.0000000260001,-30.9540453179999 43.0000000260001,-30.945286411 43.0000000260001,-30.9373819899999 43.0000000260001,-30.928612635 43.0000000260001,-30.9207186629999 43.0000000260001,-30.911938859 43.0000000260001,-30.9040553359999 43.0000000260001,-30.895265083 43.0000000260001,-30.8873920079999 43.0000000260001,-30.878591306 43.0000000260001,-30.8707286809999 43.0000000260001,-30.86191753 43.0000000260001,-30.854065353 43.0000000260001,-30.845243754 43.0000000260001,-30.8374020259999 43.0000000260001,-30.828569978 43.0000000260001,-30.820738698 43.0000000260001,-30.811896202 43.0000000260001,-30.804075371 43.0000000260001,-30.795222426 43.0000000260001,-30.787412044 43.0000000260001,-30.7785486499999 43.0000000260001,-30.770748716 43.0000000260001,-30.7618748739999 43.0000000260001,-30.754085389 43.0000000260001,-30.7452010979999 43.0000000260001,-30.737422061 43.0000000260001,-30.7285273209999 43.0000000260001,-30.720758734 43.0000000260001,-30.7118535449999 43.0000000260001,-30.704095406 43.0000000260001,-30.6951797689999 43.0000000260001,-30.687432079 43.0000000260001,-30.6785059929999 43.0000000260001,-30.670768752 43.0000000260001,-30.661832217 43.0000000260001,-30.654105424 43.0000000260001,-30.645158441 43.0000000260001,-30.637442097 43.0000000260001,-30.628484665 43.0000000260001,-30.620778769 43.0000000260001,-30.611810889 43.0000000260001,-30.604115442 43.0000000260001,-30.595137113 43.0000000260001,-30.587452114 43.0000000260001,-30.578463337 43.0000000260001,-30.570788787 43.0000000260001,-30.56178956 43.0000000260001,-30.55412546 43.0000000260001,-30.545115784 43.0000000260001,-30.537462132 43.0000000260001,-30.528442008 43.0000000260001,-30.520798805 43.0000000260001,-30.511768232 43.0000000260001,-30.504135477 43.0000000260001,-30.4950944559999 43.0000000260001,-30.48747215 43.0000000260001,-30.4784206799999 43.0000000260001,-30.470808823 43.0000000260001,-30.4617469039999 43.0000000260001,-30.454145495 43.0000000260001,-30.4450731279999 43.0000000260001,-30.437482168 43.0000000260001,-30.4283993519999 43.0000000260001,-30.42081884 43.0000000260001,-30.411725576 43.0000000260001,-30.404155513 43.0000000260001,-30.3950517989999 43.0000000260001,-30.3874921849999 43.0000000260001,-30.378378023 43.0000000260001)),((-30.378378023 43.0000000260001,-30.370828858 43.0000000260001,-30.3617180259999 43.0000000260001,-30.354165531 43.0000000260001,-30.345058028 43.0000000260001,-30.3375022029999 43.0000000260001,-30.3283980309999 43.0000000260001,-30.320838876 43.0000000260001,-30.311738034 43.0000000260001,-30.3041755479999 43.0000000260001,-30.2950780359999 43.0000000260001,-30.2875122209999 43.0000000260001,-30.278418039 43.0000000260001,-30.2708488929999 43.0000000260001,-30.261758041 43.0000000260001,-30.2541855659999 43.0000000260001,-30.245098044 43.0000000260001,-30.2375222389999 43.0000000260001,-30.2284380469999 43.0000000260001,-30.2208589109999 43.0000000260001,-30.211778049 43.0000000260001,-30.2041955839999 43.0000000260001,-30.1951180519999 43.0000000260001,-30.1875322559999 43.0000000260001,-30.178458054 43.0000000260001,-30.1708689289999 43.0000000260001,-30.1617980569999 43.0000000260001,-30.1542056009999 43.0000000260001,-30.14513806 43.0000000260001,-30.1375422739999 43.0000000260001,-30.1284780619999 43.0000000260001,-30.1208789469999 43.0000000260001,-30.111818065 43.0000000260001,-30.1042156189999 43.0000000260001,-30.0951580669999 43.0000000260001,-30.0875522919999 43.0000000260001,-30.07849807 43.0000000260001,-30.0708889639999 43.0000000260001,-30.0618380719999 43.0000000260001,-30.0542256369999 43.0000000260001,-30.045178075 43.0000000260001,-30.0375623099999 43.0000000260001,-30.0285180779999 43.0000000260001,-30.0208989819999 43.0000000260001,-30.01185808 43.0000000260001,-30.0042356549999 43.0000000260001,-29.9951980829999 43.0000000260001,-29.987572327 43.0000000260001,-29.978538085 43.0000000260001,-29.9709089999999 43.0000000260001,-29.9618780879999 43.0000000260001,-29.954245672 43.0000000260001,-29.945218091 43.0000000260001,-29.937582345 43.0000000260001,-29.9285580929999 43.0000000260001,-29.9209190179999 43.0000000260001,-29.911898096 43.0000000260001,-29.90425569 43.0000000260001,-29.8952380979999 43.0000000260001,-29.887592363 43.0000000260001,-29.878578101 43.0000000260001,-29.870929035 43.0000000260001,-29.861918104 43.0000000260001,-29.854265708 43.0000000260001,-29.845258106 43.0000000260001,-29.83760238 43.0000000260001,-29.828598109 43.0000000260001,-29.820939053 43.0000000260001,-29.811938111 43.0000000260001,-29.804275726 43.0000000260001,-29.795278114 43.0000000260001,-29.787612398 43.0000000260001,-29.778618116 43.0000000260001,-29.770949071 43.0000000260001,-29.7619581189999 43.0000000260001,-29.754285743 43.0000000260001,-29.745298122 43.0000000260001,-29.737622416 43.0000000260001,-29.7286381239999 43.0000000260001,-29.720959088 43.0000000260001,-29.711978127 43.0000000260001,-29.704295761 43.0000000260001,-29.6953181289999 43.0000000260001,-29.687632434 43.0000000260001,-29.678658132 43.0000000260001,-29.670969106 43.0000000260001,-29.661998135 43.0000000260001,-29.654305779 43.0000000260001,-29.645338137 43.0000000260001,-29.637642451 43.0000000260001,-29.62867814 43.0000000260001,-29.620979124 43.0000000260001,-29.612018142 43.0000000260001,-29.604315797 43.0000000260001,-29.595358145 43.0000000260001,-29.587652469 43.0000000260001,-29.578698147 43.0000000260001,-29.570989142 43.0000000260001,-29.56203815 43.0000000260001,-29.554325814 43.0000000260001,-29.5453781529999 43.0000000260001,-29.537662487 43.0000000260001,-29.528718155 43.0000000260001,-29.5209991589999 43.0000000260001,-29.5120581579999 43.0000000260001,-29.504335832 43.0000000260001,-29.49539816 43.0000000260001,-29.487672505 43.0000000260001,-29.4787381629999 43.0000000260001,-29.4710091769999 43.0000000260001,-29.462078166 43.0000000260001,-29.45434585 43.0000000260001,-29.4454181679999 43.0000000260001,-29.4376825219999 43.0000000260001,-29.428758171 43.0000000260001,-29.4210191949999 43.0000000260001,-29.4120981729999 43.0000000260001,-29.4043558669999 43.0000000260001,-29.395438176 43.0000000260001,-29.3876925399999 43.0000000260001,-29.3787781789999 43.0000000260001,-29.3710292129999 43.0000000260001,-29.362118181 43.0000000260001,-29.3543658849999 43.0000000260001,-29.3454581839999 43.0000000260001,-29.3377025579999 43.0000000260001,-29.328798186 43.0000000260001,-29.3210392299999 43.0000000260001,-29.3121381889999 43.0000000260001,-29.3043759029999 43.0000000260001,-29.295478191 43.0000000260001,-29.2877125759999 43.0000000260001,-29.2788181939999 43.0000000260001,-29.2710492479999 43.0000000260001,-29.262158197 43.0000000260001,-29.2543859209999 43.0000000260001,-29.2454981989999 43.0000000260001,-29.2377225929999 43.0000000260001,-29.228838202 43.0000000260001,-29.2210592659999 43.0000000260001,-29.2121782039999 43.0000000260001,-29.2043959379999 43.0000000260001,-29.195518207 43.0000000260001,-29.1877326109999 43.0000000260001,-29.1788582099999 43.0000000260001,-29.1710692839999 43.0000000260001,-29.162198212 43.0000000260001,-29.1544059559999 43.0000000260001,-29.1455382149999 43.0000000260001,-29.1377426289999 43.0000000260001,-29.128878217 43.0000000260001,-29.121079301 43.0000000260001,-29.1122182199999 43.0000000260001,-29.1044159739999 43.0000000260001,-29.095558223 43.0000000260001,-29.087752646 43.0000000260001,-29.0788982249999 43.0000000260001,-29.071089319 43.0000000260001,-29.062238228 43.0000000260001,-29.0544259919999 43.0000000260001,-29.0455782299999 43.0000000260001,-29.037762664 43.0000000260001,-29.028918233 43.0000000260001,-29.021099337 43.0000000260001,-29.0122582349999 43.0000000260001,-29.004436009 43.0000000260001,-28.995598238 43.0000000260001,-28.987772682 43.0000000260001,-28.978938241 43.0000000260001,-28.971109354 43.0000000260001,-28.962278243 43.0000000260001,-28.954446027 43.0000000260001,-28.945618246 43.0000000260001,-28.9377827 43.0000000260001,-28.928958248 43.0000000260001,-28.921119372 43.0000000260001,-28.912298251 43.0000000260001,-28.904456045 43.0000000260001,-28.8956382539999 43.0000000260001,-28.887792717 43.0000000260001,-28.878978256 43.0000000260001,-28.87112939 43.0000000260001,-28.8623182589999 43.0000000260001,-28.854466063 43.0000000260001,-28.845658261 43.0000000260001,-28.837802735 43.0000000260001,-28.8289982639999 43.0000000260001,-28.821139408 43.0000000260001,-28.812338267 43.0000000260001,-28.80447608 43.0000000260001,-28.7956782689999 43.0000000260001,-28.787812753 43.0000000260001,-28.779018272 43.0000000260001,-28.771149425 43.0000000260001,-28.762358274 43.0000000260001,-28.754486098 43.0000000260001,-28.745698277 43.0000000260001,-28.737822771 43.0000000260001,-28.729038279 43.0000000260001,-28.721159443 43.0000000260001,-28.712378282 43.0000000260001,-28.704496116 43.0000000260001,-28.6957182849999 43.0000000260001,-28.687832788 43.0000000260001,-28.679058287 43.0000000260001,-28.671169461 43.0000000260001,-28.6623982899999 43.0000000260001,-28.654506133 43.0000000260001,-28.645738292 43.0000000260001,-28.637842806 43.0000000260001,-28.6290782949999 43.0000000260001,-28.621179479 43.0000000260001,-28.612418298 43.0000000260001,-28.6045161509999 43.0000000260001,-28.5957582999999 43.0000000260001,-28.587852824 43.0000000260001,-28.579098303 43.0000000260001,-28.5711894959999 43.0000000260001,-28.5624383049999 43.0000000260001,-28.5545261689999 43.0000000260001,-28.545778308 43.0000000260001,-28.5378628409999 43.0000000260001,-28.5291183109999 43.0000000260001,-28.5211995139999 43.0000000260001,-28.512458313 43.0000000260001,-28.5045361869999 43.0000000260001,-28.4957983159999 43.0000000260001,-28.4878728589999 43.0000000260001,-28.479138318 43.0000000260001,-28.4712095319999 43.0000000260001,-28.4624783209999 43.0000000260001,-28.4545462039999 43.0000000260001,-28.445818323 43.0000000260001,-28.4378828769999 43.0000000260001,-28.4291583259999 43.0000000260001,-28.4212195499999 43.0000000260001,-28.412498329 43.0000000260001,-28.4045562219999 43.0000000260001,-28.3958383309999 43.0000000260001,-28.3878928949999 43.0000000260001,-28.379178334 43.0000000260001,-28.3712295669999 43.0000000260001,-28.3625183359999 43.0000000260001,-28.3545662399999 43.0000000260001,-28.345858339 43.0000000260001,-28.3379029119999 43.0000000260001,-28.329198342 43.0000000260001,-28.3212395849999 43.0000000260001,-28.312538344 43.0000000260001,-28.3045762579999 43.0000000260001,-28.2958783469999 43.0000000260001,-28.2879129299999 43.0000000260001,-28.279218349 43.0000000260001,-28.2712496029999 43.0000000260001,-28.2625583519999 43.0000000260001,-28.254586275 43.0000000260001,-28.245898354 43.0000000260001,-28.2379229479999 43.0000000260001,-28.2292383569999 43.0000000260001,-28.22125962 43.0000000260001,-28.21257836 43.0000000260001,-28.204596293 43.0000000260001,-28.1959183619999 43.0000000260001,-28.1879329659999 43.0000000260001,-28.179258365 43.0000000260001,-28.171269638 43.0000000260001,-28.1625983669999 43.0000000260001,-28.154606311 43.0000000260001,-28.14593837 43.0000000260001,-28.137942983 43.0000000260001,-28.129278373 43.0000000260001,-28.121279656 43.0000000260001,-28.112618375 43.0000000260001,-28.104616328 43.0000000260001,-28.095958378 43.0000000260001,-28.087953001 43.0000000260001,-28.07929838 43.0000000260001,-28.071289674 43.0000000260001,-28.062638383 43.0000000260001,-28.054626346 43.0000000260001,-28.0459783859999 43.0000000260001,-28.037963019 43.0000000260001,-28.029318388 43.0000000260001,-28.021299691 43.0000000260001,-28.0126583909999 43.0000000260001,-28.004636364 43.0000000260001,-27.995998393 43.0000000260001,-27.987973037 43.0000000260001,-27.9793383959999 43.0000000260001,-27.971309709 43.0000000260001,-27.962678398 43.0000000260001,-27.954646382 43.0000000260001,-27.9460184009999 43.0000000260001,-27.937983054 43.0000000260001,-27.929358404 43.0000000260001,-27.921319727 43.0000000260001,-27.9126984059999 43.0000000260001,-27.904656399 43.0000000260001,-27.896038409 43.0000000260001,-27.887993072 43.0000000260001,-27.8793784109999 43.0000000260001,-27.871329745 43.0000000260001,-27.862718414 43.0000000260001,-27.854666417 43.0000000260001,-27.8460584169999 43.0000000260001,-27.83800309 43.0000000260001,-27.829398419 43.0000000260001,-27.821339762 43.0000000260001,-27.8127384219999 43.0000000260001,-27.804676435 43.0000000260001,-27.796078424 43.0000000260001,-27.788013107 43.0000000260001,-27.7794184269999 43.0000000260001,-27.77134978 43.0000000260001,-27.76275843 43.0000000260001,-27.754686453 43.0000000260001,-27.7460984319999 43.0000000260001,-27.738023125 43.0000000260001,-27.729438435 43.0000000260001,-27.721359798 43.0000000260001,-27.7127784369999 43.0000000260001,-27.7046964699999 43.0000000260001,-27.69611844 43.0000000260001,-27.6880331429999 43.0000000260001,-27.6794584419999 43.0000000260001,-27.671369816 43.0000000260001,-27.662798445 43.0000000260001,-27.6547064879999 43.0000000260001,-27.6461384479999 43.0000000260001,-27.6380431609999 43.0000000260001,-27.62947845 43.0000000260001,-27.6213798329999 43.0000000260001,-27.6128184529999 43.0000000260001,-27.6047165059999 43.0000000260001,-27.596158455 43.0000000260001,-27.5880531779999 43.0000000260001,-27.5794984579999 43.0000000260001,-27.5713898509999 43.0000000260001,-27.562838461 43.0000000260001,-27.5547265239999 43.0000000260001,-27.5461784629999 43.0000000260001,-27.5380631959999 43.0000000260001,-27.529518466 43.0000000260001,-27.5213998689999 43.0000000260001,-27.5128584679999 43.0000000260001,-27.5047365409999 43.0000000260001,-27.496198471 43.0000000260001,-27.4880732139999 43.0000000260001,-27.479538474 43.0000000260001,-27.4714098859999 43.0000000260001,-27.462878476 43.0000000260001,-27.4547465589999 43.0000000260001,-27.446218479 43.0000000260001,-27.4380832319999 43.0000000260001,-27.429558481 43.0000000260001,-27.4214199039999 43.0000000260001,-27.412898484 43.0000000260001,-27.4047565769999 43.0000000260001,-27.396238486 43.0000000260001,-27.388093249 43.0000000260001,-27.379578489 43.0000000260001,-27.3714299219999 43.0000000260001,-27.3629184919999 43.0000000260001,-27.354766594 43.0000000260001,-27.346258494 43.0000000260001,-27.338103267 43.0000000260001,-27.3295984969999 43.0000000260001,-27.3214399399999 43.0000000260001,-27.312938499 43.0000000260001,-27.304776612 43.0000000260001,-27.296278502 43.0000000260001,-27.288113285 43.0000000260001,-27.279618505 43.0000000260001,-27.271449957 43.0000000260001,-27.262958507 43.0000000260001,-27.25478663 43.0000000260001,-27.24629851 43.0000000260001,-27.238123303 43.0000000260001,-27.229638512 43.0000000260001,-27.221459975 43.0000000260001,-27.212978515 43.0000000260001,-27.204796648 43.0000000260001,-27.1963185179999 43.0000000260001,-27.18813332 43.0000000260001,-27.17965852 43.0000000260001,-27.171469993 43.0000000260001,-27.1629985229999 43.0000000260001,-27.154806665 43.0000000260001,-27.146338525 43.0000000260001,-27.138143338 43.0000000260001,-27.1296785279999 43.0000000260001,-27.121480011 43.0000000260001,-27.11301853 43.0000000260001,-27.104816683 43.0000000260001,-27.0963585329999 43.0000000260001,-27.088153356 43.0000000260001,-27.079698536 43.0000000260001,-27.071490028 43.0000000260001,-27.0630385379999 43.0000000260001,-27.054826701 43.0000000260001,-27.046378541 43.0000000260001,-27.038163373 43.0000000260001,-27.0297185429999 43.0000000260001,-27.021500046 43.0000000260001,-27.013058546 43.0000000260001,-27.004836719 43.0000000260001,-26.9963985489999 43.0000000260001,-26.988173391 43.0000000260001,-26.979738551 43.0000000260001,-26.971510064 43.0000000260001,-26.9630785539999 43.0000000260001,-26.954846736 43.0000000260001,-26.946418556 43.0000000260001,-26.938183409 43.0000000260001,-26.9297585589999 43.0000000260001,-26.921520081 43.0000000260001,-26.913098561 43.0000000260001,-26.904856754 43.0000000260001,-26.8964385639999 43.0000000260001,-26.888193427 43.0000000260001,-26.879778567 43.0000000260001,-26.871530099 43.0000000260001,-26.8631185689999 43.0000000260001,-26.854866772 43.0000000260001,-26.846458572 43.0000000260001,-26.8382034439999 43.0000000260001,-26.8297985739999 43.0000000260001,-26.821540117 43.0000000260001,-26.813138577 43.0000000260001,-26.80487679 43.0000000260001,-26.7964785799999 43.0000000260001,-26.7882134619999 43.0000000260001,-26.779818582 43.0000000260001,-26.7715501349999 43.0000000260001,-26.7631585849999 43.0000000260001,-26.7548868069999 43.0000000260001,-26.746498587 43.0000000260001,-26.7382234799999 43.0000000260001,-26.7298385899999 43.0000000260001,-26.7215601519999 43.0000000260001,-26.713178593 43.0000000260001,-26.7048968249999 43.0000000260001,-26.6965185949999 43.0000000260001,-26.6882334979999 43.0000000260001,-26.679858598 43.0000000260001,-26.6715701699999 43.0000000260001,-26.6631985999999 43.0000000260001,-26.6549068429999 43.0000000260001,-26.646538603 43.0000000260001,-26.6382435149999 43.0000000260001,-26.6298786049999 43.0000000260001,-26.6215801879999 43.0000000260001,-26.613218608 43.0000000260001,-26.6049168599999 43.0000000260001,-26.596558611 43.0000000260001,-26.5882535329999 43.0000000260001,-26.579898613 43.0000000260001,-26.5715902059999 43.0000000260001,-26.563238616 43.0000000260001,-26.5549268779999 43.0000000260001,-26.546578618 43.0000000260001,-26.5382635509999 43.0000000260001,-26.529918621 43.0000000260001,-26.521600223 43.0000000260001,-26.5132586239999 43.0000000260001,-26.5049368959999 43.0000000260001,-26.496598626 43.0000000260001,-26.488273568 43.0000000260001,-26.4799386289999 43.0000000260001,-26.471610241 43.0000000260001,-26.463278631 43.0000000260001,-26.4549469139999 43.0000000260001,-26.4466186339999 43.0000000260001,-26.438283586 43.0000000260001,-26.429958637 43.0000000260001,-26.421620259 43.0000000260001,-26.4132986389999 43.0000000260001,-26.404956931 43.0000000260001,-26.396638642 43.0000000260001,-26.388293604 43.0000000260001,-26.3799786439999 43.0000000260001,-26.371630277 43.0000000260001,-26.363318647 43.0000000260001,-26.354966949 43.0000000260001,-26.3466586489999 43.0000000260001,-26.338303622 43.0000000260001,-26.329998652 43.0000000260001,-26.321640294 43.0000000260001,-26.3133386549999 43.0000000260001,-26.304976967 43.0000000260001,-26.296678657 43.0000000260001,-26.288313639 43.0000000260001,-26.2800186599999 43.0000000260001,-26.271650312 43.0000000260001,-26.263358662 43.0000000260001,-26.254986985 43.0000000260001,-26.2466986649999 43.0000000260001,-26.238323657 43.0000000260001,-26.230038668 43.0000000260001,-26.22166033 43.0000000260001,-26.2133786699999 43.0000000260001,-26.204997002 43.0000000260001,-26.196718673 43.0000000260001,-26.188333675 43.0000000260001,-26.1800586749999 43.0000000260001,-26.171670347 43.0000000260001,-26.163398678 43.0000000260001,-26.1550419709999 43.0000000260001,-26.1467386809999 43.0000000260001,-26.138413595 43.0000000260001,-26.130078683 43.0000000260001,-26.1217852189999 43.0000000260001,-26.1134186859999 43.0000000260001,-26.105156843 43.0000000260001,-26.096758688 43.0000000260001,-26.0885284669999 43.0000000260001,-26.0800986909999 43.0000000260001,-26.071900091 43.0000000260001,-26.063438693 43.0000000260001,-26.0552717149999 43.0000000260001,-26.0467786959999 43.0000000260001,-26.038643339 43.0000000260001,-26.030118699 43.0000000260001,-26.0220149629999 43.0000000260001,-26.0134587009999 43.0000000260001,-26.005386587 43.0000000260001,-25.996798704 43.0000000260001,-25.9887582109999 43.0000000260001,-25.9801387059999 43.0000000260001,-25.972129835 43.0000000260001,-25.963478709 43.0000000260001,-25.9555014589999 43.0000000260001,-25.946818712 43.0000000260001,-25.938873083 43.0000000260001,-25.930158714 43.0000000260001,-25.9222447069999 43.0000000260001,-25.913498717 43.0000000260001,-25.905616331 43.0000000260001,-25.896838719 43.0000000260001,-25.8889879549999 43.0000000260001,-25.880178722 43.0000000260001,-25.872359579 43.0000000260001,-25.863518724 43.0000000260001,-25.8557312029999 43.0000000260001,-25.846858727 43.0000000260001,-25.839102827 43.0000000260001,-25.8301987299999 43.0000000260001,-25.8224744509999 43.0000000260001,-25.813538732 43.0000000260001,-25.805846075 43.0000000260001,-25.796878735 43.0000000260001,-25.7892176989999 43.0000000260001,-25.7802187369999 43.0000000260001,-25.772589323 43.0000000260001,-25.76355874 43.0000000260001,-25.7559609469999 43.0000000260001,-25.746898743 43.0000000260001,-25.739332571 43.0000000260001,-25.730238745 43.0000000260001,-25.7227041949999 43.0000000260001,-25.713578748 43.0000000260001,-25.706075819 43.0000000260001,-25.69691875 43.0000000260001,-25.6894474429999 43.0000000260001,-25.680258753 43.0000000260001,-25.672819067 43.0000000260001,-25.6635987559999 43.0000000260001,-25.6561906909999 43.0000000260001,-25.646938758 43.0000000260001,-25.639562316 43.0000000260001,-25.6302787609999 43.0000000260001,-25.6229339399999 43.0000000260001,-25.613618763 43.0000000260001,-25.606305564 43.0000000260001,-25.5969587659999 43.0000000260001,-25.5896771879999 43.0000000260001,-25.580298768 43.0000000260001,-25.573048812 43.0000000260001,-25.5636387709999 43.0000000260001,-25.5564204359999 43.0000000260001,-25.546978774 43.0000000260001,-25.53979206 43.0000000260001,-25.5303187759999 43.0000000260001,-25.5231636839999 43.0000000260001,-25.513658779 43.0000000260001,-25.506535308 43.0000000260001,-25.4969987809999 43.0000000260001,-25.4899069319999 43.0000000260001,-25.480338784 43.0000000260001,-25.473278556 43.0000000260001,-25.4636787869999 43.0000000260001,-25.4566501799999 43.0000000260001,-25.447018789 43.0000000260001,-25.440021804 43.0000000260001,-25.4303587919999 43.0000000260001,-25.4233934279999 43.0000000260001,-25.413698794 43.0000000260001,-25.406765052 43.0000000260001,-25.3970387969999 43.0000000260001,-25.3901366759999 43.0000000260001,-25.3803788 43.0000000260001,-25.3735083 43.0000000260001,-25.3637188019999 43.0000000260001,-25.3568799239999 43.0000000260001,-25.347058805 43.0000000260001,-25.340251548 43.0000000260001,-25.3303988069999 43.0000000260001,-25.3236231719999 43.0000000260001,-25.31373881 43.0000000260001,-25.306994796 43.0000000260001,-25.2970788119999 43.0000000260001,-25.2903664199999 43.0000000260001,-25.280418815 43.0000000260001,-25.273738044 43.0000000260001,-25.2637588179999 43.0000000260001,-25.2571096679999 43.0000000260001,-25.24709882 43.0000000260001,-25.240481292 43.0000000260001,-25.2304388229999 43.0000000260001,-25.2238529159999 43.0000000260001,-25.213778825 43.0000000260001,-25.20722454 43.0000000260001,-25.1971188279999 43.0000000260001,-25.1905961639999 43.0000000260001,-25.180458831 43.0000000260001,-25.173967788 43.0000000260001,-25.1637988329999 43.0000000260001,-25.1573394119999 43.0000000260001,-25.147138836 43.0000000260001,-25.140711036 43.0000000260001,-25.1304788379999 43.0000000260001,-25.1240826599999 43.0000000260001,-25.113818841 43.0000000260001,-25.107454284 43.0000000260001,-25.097158844 43.0000000260001,-25.0908259079999 43.0000000260001,-25.080498846 43.0000000260001,-25.074197532 43.0000000260001,-25.063838849 43.0000000260001,-25.0575691559999 43.0000000260001,-25.047178851 43.0000000260001,-25.04094078 43.0000000260001,-25.030518854 43.0000000260001,-25.0243124039999 43.0000000260001,-25.013858856 43.0000000260001,-25.007684028 43.0000000260001,-24.997198859 43.0000000260001,-24.9910556519999 43.0000000260001,-24.9805388619999 43.0000000260001,-24.974427276 43.0000000260001,-24.963878864 43.0000000260001,-24.9577988999999 43.0000000260001,-24.9472188669999 43.0000000260001,-24.941170524 43.0000000260001,-24.930558869 43.0000000260001,-24.9245421479999 43.0000000260001,-24.9138988719999 43.0000000260001,-24.907913772 43.0000000260001,-24.897238875 43.0000000260001,-24.8912853959999 43.0000000260001,-24.8805788769999 43.0000000260001,-24.87465702 43.0000000260001,-24.86391888 43.0000000260001,-24.8580286439999 43.0000000260001,-24.8472588819999 43.0000000260001,-24.841400268 43.0000000260001,-24.830598885 43.0000000260001,-24.8247718919999 43.0000000260001,-24.8139388879999 43.0000000260001,-24.808143516 43.0000000260001,-24.79727889 43.0000000260001,-24.7915151399999 43.0000000260001,-24.7806188929999 43.0000000260001,-24.774886764 43.0000000260001,-24.763958895 43.0000000260001,-24.7582583879999 43.0000000260001,-24.7472988979999 43.0000000260001,-24.741630012 43.0000000260001,-24.7306389 43.0000000260001,-24.7250016359999 43.0000000260001,-24.7139789029999 43.0000000260001,-24.70837326 43.0000000260001,-24.697318906 43.0000000260001,-24.6917448839999 43.0000000260001,-24.6806589079999 43.0000000260001,-24.675116508 43.0000000260001,-24.663998911 43.0000000260001,-24.6584881319999 43.0000000260001,-24.6473389129999 43.0000000260001,-24.641859756 43.0000000260001,-24.630678916 43.0000000260001,-24.6252313799999 43.0000000260001,-24.6140189189999 43.0000000260001,-24.608603004 43.0000000260001,-24.597358921 43.0000000260001,-24.5919746279999 43.0000000260001,-24.5806989239999 43.0000000260001,-24.575346252 43.0000000260001,-24.564038926 43.0000000260001,-24.5587178759999 43.0000000260001,-24.5473789289999 43.0000000260001,-24.5420895 43.0000000260001,-24.530718931 43.0000000260001,-24.5254611239999 43.0000000260001,-24.5140589339999 43.0000000260001,-24.508832748 43.0000000260001,-24.497398937 43.0000000260001,-24.4922043719999 43.0000000260001,-24.4807389389999 43.0000000260001,-24.475575996 43.0000000260001,-24.464078942 43.0000000260001,-24.4589476199999 43.0000000260001,-24.4474189439999 43.0000000260001,-24.442319244 43.0000000260001,-24.430758947 43.0000000260001,-24.4256908679999 43.0000000260001,-24.41409895 43.0000000260001,-24.409062492 43.0000000260001,-24.397438952 43.0000000260001,-24.3924341159999 43.0000000260001,-24.380778955 43.0000000260001,-24.37580574 43.0000000260001,-24.364118957 43.0000000260001,-24.3591773639999 43.0000000260001,-24.34745896 43.0000000260001,-24.342548988 43.0000000260001,-24.3307989629999 43.0000000260001,-24.3259206119999 43.0000000260001,-24.3141389649999 43.0000000260001,-24.309292236 43.0000000260001,-24.297478968 43.0000000260001,-24.2926638599999 43.0000000260001,-24.2808189699999 43.0000000260001,-24.276035484 43.0000000260001,-24.264158973 43.0000000260001,-24.2594071079999 43.0000000260001,-24.2474989749999 43.0000000260001,-24.242778732 43.0000000260001,-24.230838978 43.0000000260001,-24.2261503559999 43.0000000260001,-24.214178981 43.0000000260001,-24.20952198 43.0000000260001,-24.197518983 43.0000000260001,-24.1928936039999 43.0000000260001,-24.180858986 43.0000000260001,-24.176265228 43.0000000260001,-24.164198988 43.0000000260001,-24.1596368519999 43.0000000260001,-24.147538991 43.0000000260001,-24.143008476 43.0000000260001,-24.1308789939999 43.0000000260001,-24.1263800999999 43.0000000260001,-24.114218996 43.0000000260001,-24.109751724 43.0000000260001,-24.0975589989999 43.0000000260001,-24.0931233479999 43.0000000260001,-24.080899001 43.0000000260001,-24.076494972 43.0000000260001,-24.0642390039999 43.0000000260001,-24.0598665959999 43.0000000260001,-24.047579007 43.0000000260001,-24.04323822 43.0000000260001,-24.0309190089999 43.0000000260001,-24.0266098439999 43.0000000260001,-24.014259012 43.0000000260001,-24.009981468 43.0000000260001,-23.9975990139999 43.0000000260001,-23.9933530919999 43.0000000260001,-23.980939017 43.0000000260001,-23.976724716 43.0000000260001,-23.9642790189999 43.0000000260001,-23.96009634 43.0000000260001,-23.947619022 43.0000000260001,-23.943467964 43.0000000260001,-23.9309590249999 43.0000000260001,-23.926839588 43.0000000260001,-23.914299027 43.0000000260001,-23.910211212 43.0000000260001,-23.8976390299999 43.0000000260001,-23.893582836 43.0000000260001,-23.880979032 43.0000000260001,-23.87695446 43.0000000260001,-23.8643190349999 43.0000000260001,-23.860326084 43.0000000260001,-23.847659038 43.0000000260001,-23.843697708 43.0000000260001,-23.8309990399999 43.0000000260001,-23.827069332 43.0000000260001,-23.814339043 43.0000000260001,-23.810440956 43.0000000260001,-23.7976790449999 43.0000000260001,-23.79381258 43.0000000260001,-23.781019048 43.0000000260001,-23.777184204 43.0000000260001,-23.7643590509999 43.0000000260001,-23.760555828 43.0000000260001,-23.747699053 43.0000000260001,-23.743927452 43.0000000260001,-23.7310390559999 43.0000000260001,-23.727299076 43.0000000260001,-23.714379058 43.0000000260001,-23.7106707 43.0000000260001,-23.6977190609999 43.0000000260001,-23.694042324 43.0000000260001,-23.681059063 43.0000000260001,-23.677413948 43.0000000260001,-23.6643990659999 43.0000000260001,-23.660785572 43.0000000260001,-23.647739069 43.0000000260001,-23.644157196 43.0000000260001,-23.6310790709999 43.0000000260001,-23.62752882 43.0000000260001,-23.614419074 43.0000000260001,-23.610900444 43.0000000260001,-23.5977590759999 43.0000000260001,-23.594272068 43.0000000260001,-23.581099079 43.0000000260001,-23.577643692 43.0000000260001,-23.564439082 43.0000000260001,-23.561015316 43.0000000260001,-23.547779084 43.0000000260001,-23.54438694 43.0000000260001,-23.531119087 43.0000000260001,-23.527758564 43.0000000260001,-23.514459089 43.0000000260001,-23.511130188 43.0000000260001,-23.497799092 43.0000000260001,-23.494501812 43.0000000260001,-23.481139094 43.0000000260001,-23.477873436 43.0000000260001,-23.464479097 43.0000000260001,-23.46124506 43.0000000260001,-23.4478190999999 43.0000000260001,-23.444616684 43.0000000260001,-23.431159102 43.0000000260001,-23.427988308 43.0000000260001,-23.4144991049999 43.0000000260001,-23.411359932 43.0000000260001,-23.397839107 43.0000000260001,-23.394731556 43.0000000260001,-23.3811791099999 43.0000000260001,-23.37810318 43.0000000260001,-23.364519113 43.0000000260001,-23.361474804 43.0000000260001,-23.3478591149999 43.0000000260001,-23.344846428 43.0000000260001,-23.331199118 43.0000000260001,-23.328218052 43.0000000260001,-23.3145391199999 43.0000000260001,-23.311589676 43.0000000260001,-23.297879123 43.0000000260001,-23.2949613 43.0000000260001,-23.2812191259999 43.0000000260001,-23.278332924 43.0000000260001,-23.264559128 43.0000000260001,-23.261704548 43.0000000260001,-23.2478991309999 43.0000000260001,-23.245076172 43.0000000260001,-23.231239133 43.0000000260001,-23.228447796 43.0000000260001,-23.2145791359999 43.0000000260001,-23.21181942 43.0000000260001,-23.197919138 43.0000000260001,-23.195191044 43.0000000260001,-23.1812591409999 43.0000000260001,-23.1785626679999 43.0000000260001,-23.164599144 43.0000000260001,-23.161934292 43.0000000260001,-23.1479391459999 43.0000000260001,-23.1453059159999 43.0000000260001,-23.131279149 43.0000000260001,-23.12867754 43.0000000260001,-23.1146191509999 43.0000000260001,-23.1120491639999 43.0000000260001,-23.097959154 43.0000000260001,-23.095420788 43.0000000260001,-23.0812991569999 43.0000000260001,-23.0787924119999 43.0000000260001,-23.064639159 43.0000000260001,-23.062164036 43.0000000260001,-23.0479791619999 43.0000000260001,-23.0455356599999 43.0000000260001,-23.031319164 43.0000000260001,-23.028907284 43.0000000260001,-23.0146591669999 43.0000000260001,-23.0122789079999 43.0000000260001,-22.99799917 43.0000000260001,-22.995650532 43.0000000260001,-22.9813391719999 43.0000000260001,-22.9790221559999 43.0000000260001,-22.964679175 43.0000000260001,-22.96239378 43.0000000260001,-22.9480191769999 43.0000000260001,-22.9457654039999 43.0000000260001,-22.93135918 43.0000000260001,-22.929137028 43.0000000260001,-22.9146991819999 43.0000000260001,-22.9125086519999 43.0000000260001,-22.898039185 43.0000000260001,-22.895880276 43.0000000260001,-22.881379188 43.0000000260001,-22.8792518999999 43.0000000260001,-22.86471919 43.0000000260001,-22.862623524 43.0000000260001,-22.848059193 43.0000000260001,-22.8459951479999 43.0000000260001,-22.831399195 43.0000000260001,-22.829366772 43.0000000260001,-22.8147391979999 43.0000000260001,-22.8127383959999 43.0000000260001,-22.798079201 43.0000000260001,-22.79611002 43.0000000260001,-22.7814192029999 43.0000000260001,-22.7794816439999 43.0000000260001,-22.764759206 43.0000000260001,-22.762853268 43.0000000260001,-22.7480992079999 43.0000000260001,-22.7462248919999 43.0000000260001,-22.731439211 43.0000000260001,-22.729596516 43.0000000260001,-22.714779214 43.0000000260001,-22.7129681399999 43.0000000260001,-22.698119216 43.0000000260001,-22.696339764 43.0000000260001,-22.681459219 43.0000000260001,-22.6797113879999 43.0000000260001,-22.664799221 43.0000000260001,-22.663083012 43.0000000260001,-22.648139224 43.0000000260001,-22.6464546359999 43.0000000260001,-22.631479226 43.0000000260001,-22.62982626 43.0000000260001,-22.614819229 43.0000000260001,-22.6131978839999 43.0000000260001,-22.5981592319999 43.0000000260001,-22.596569508 43.0000000260001,-22.581499234 43.0000000260001,-22.5799411319999 43.0000000260001,-22.5648392369999 43.0000000260001,-22.563312756 43.0000000260001,-22.548179239 43.0000000260001,-22.5466843799999 43.0000000260001,-22.5315192419999 43.0000000260001,-22.530056004 43.0000000260001,-22.514859245 43.0000000260001,-22.5134276279999 43.0000000260001,-22.4981992469999 43.0000000260001,-22.496799252 43.0000000260001,-22.48153925 43.0000000260001,-22.4801708759999 43.0000000260001,-22.4648792519999 43.0000000260001,-22.4635425 43.0000000260001,-22.448219255 43.0000000260001,-22.4469141239999 43.0000000260001,-22.4315592579999 43.0000000260001,-22.430285748 43.0000000260001,-22.41489926 43.0000000260001,-22.4136573719999 43.0000000260001,-22.3982392629999 43.0000000260001,-22.397028996 43.0000000260001,-22.381579265 43.0000000260001,-22.3804006199999 43.0000000260001,-22.3649192679999 43.0000000260001,-22.363772244 43.0000000260001,-22.34825927 43.0000000260001,-22.3471438679999 43.0000000260001,-22.3315992729999 43.0000000260001,-22.330515492 43.0000000260001,-22.314939276 43.0000000260001,-22.3138871159999 43.0000000260001,-22.2982792779999 43.0000000260001,-22.29725874 43.0000000260001,-22.281619281 43.0000000260001,-22.2806303639999 43.0000000260001,-22.2649592829999 43.0000000260001,-22.264001988 43.0000000260001,-22.248299286 43.0000000260001,-22.2473736119999 43.0000000260001,-22.2316392889999 43.0000000260001,-22.230745236 43.0000000260001,-22.214979291 43.0000000260001,-22.2141168599999 43.0000000260001,-22.1983192939999 43.0000000260001,-22.197488484 43.0000000260001,-22.181659296 43.0000000260001,-22.1808601079999 43.0000000260001,-22.1649992989999 43.0000000260001,-22.164231732 43.0000000260001,-22.148339301 43.0000000260001,-22.1476033559999 43.0000000260001,-22.1316793039999 43.0000000260001,-22.13097498 43.0000000260001,-22.115019307 43.0000000260001,-22.1143466039999 43.0000000260001,-22.0983593089999 43.0000000260001,-22.097718228 43.0000000260001,-22.081699312 43.0000000260001,-22.0810608359999 43.0000000260001,-22.0650393139999 43.0000000260001,-22.064403445 43.0000000260001,-22.048379317 43.0000000260001,-22.047746054 43.0000000260001,-22.03171932 43.0000000260001,-22.0310886619999 43.0000000260001,-22.015059322 43.0000000260001,-22.014431271 43.0000000260001,-21.998399325 43.0000000260001,-21.997773879 43.0000000260001,-21.981739327 43.0000000260001,-21.9811164879999 43.0000000260001,-21.96507933 43.0000000260001,-21.964459097 43.0000000260001,-21.9484193329999 43.0000000260001,-21.947801705 43.0000000260001,-21.931759335 43.0000000260001,-21.9311443139999 43.0000000260001,-21.9150993379999 43.0000000260001,-21.914486922 43.0000000260001,-21.89843934 43.0000000260001,-21.897829531 43.0000000260001,-21.8817793429999 43.0000000260001,-21.8811721399999 43.0000000260001,-21.865119345 43.0000000260001,-21.864514748 43.0000000260001,-21.8484593479999 43.0000000260001,-21.847857357 43.0000000260001,-21.831799351 43.0000000260001,-21.8311999649999 43.0000000260001,-21.8151393529999 43.0000000260001,-21.814542574 43.0000000260001,-21.798479356 43.0000000260001,-21.7978851829999 43.0000000260001,-21.781819358 43.0000000260001,-21.7812277909999 43.0000000260001,-21.765159361 43.0000000260001,-21.7645704 43.0000000260001,-21.7484993639999 43.0000000260001,-21.7479130089999 43.0000000260001,-21.731839366 43.0000000260001,-21.7312556169999 43.0000000260001,-21.7151793689999 43.0000000260001,-21.714598226 43.0000000260001,-21.698519371 43.0000000260001,-21.697940834 43.0000000260001,-21.6818593739999 43.0000000260001,-21.6812834429999 43.0000000260001,-21.665199377 43.0000000260001,-21.664626052 43.0000000260001,-21.6485393789999 43.0000000260001,-21.6479686599999 43.0000000260001,-21.631879382 43.0000000260001,-21.631311269 43.0000000260001,-21.6152193839999 43.0000000260001,-21.614653877 43.0000000260001,-21.598559387 43.0000000260001,-21.5979964859999 43.0000000260001,-21.5818993889999 43.0000000260001,-21.581339095 43.0000000260001,-21.565239392 43.0000000260001,-21.564681703 43.0000000260001,-21.5485793949999 43.0000000260001,-21.5480243119999 43.0000000260001,-21.531919397 43.0000000260001,-21.53136692 43.0000000260001,-21.5152593999999 43.0000000260001,-21.514709529 43.0000000260001,-21.498599402 43.0000000260001,-21.4980521379999 43.0000000260001,-21.4819394049999 43.0000000260001,-21.481394746 43.0000000260001,-21.465279408 43.0000000260001,-21.464737355 43.0000000260001,-21.4486194099999 43.0000000260001,-21.4480799639999 43.0000000260001,-21.431959413 43.0000000260001,-21.431422572 43.0000000260001,-21.4152994149999 43.0000000260001,-21.414765181 43.0000000260001,-21.398639418 43.0000000260001,-21.3981077889999 43.0000000260001,-21.381979421 43.0000000260001,-21.381450398 43.0000000260001,-21.365319423 43.0000000260001,-21.3647930069999 43.0000000260001,-21.3486594259999 43.0000000260001,-21.3481356149999 43.0000000260001,-21.331999428 43.0000000260001,-21.331478224 43.0000000260001,-21.3153394309999 43.0000000260001,-21.314820832 43.0000000260001,-21.298679433 43.0000000260001,-21.2981634409999 43.0000000260001,-21.2820194359999 43.0000000260001,-21.28150605 43.0000000260001,-21.265359439 43.0000000260001,-21.2648486579999 43.0000000260001,-21.2486994409999 43.0000000260001,-21.248191267 43.0000000260001,-21.232039444 43.0000000260001,-21.231533875 43.0000000260001,-21.2153794459999 43.0000000260001,-21.2148764839999 43.0000000260001,-21.198719449 43.0000000260001,-21.198219093 43.0000000260001,-21.182059452 43.0000000260001,-21.181561701 43.0000000260001,-21.165399454 43.0000000260001,-21.1649043099999 43.0000000260001,-21.148739457 43.0000000260001,-21.1482469179999 43.0000000260001,-21.132079459 43.0000000260001,-21.131589527 43.0000000260001,-21.115419462 43.0000000260001,-21.1149321359999 43.0000000260001,-21.0987594649999 43.0000000260001,-21.098274744 43.0000000260001,-21.082099467 43.0000000260001,-21.081617353 43.0000000260001,-21.0654394699999 43.0000000260001,-21.0649599619999 43.0000000260001,-21.048779472 43.0000000260001,-21.04830257 43.0000000260001,-21.0321194749999 43.0000000260001,-21.031645179 43.0000000260001,-21.015459477 43.0000000260001,-21.0149877869999 43.0000000260001,-20.9987994799999 43.0000000260001,-20.998330396 43.0000000260001,-20.982139483 43.0000000260001,-20.9816730049999 43.0000000260001,-20.9654794849999 43.0000000260001,-20.9650156129999 43.0000000260001,-20.948819488 43.0000000260001,-20.948358222 43.0000000260001,-20.9321594899999 43.0000000260001,-20.93170083 43.0000000260001,-20.915499493 43.0000000260001,-20.9150434389999 43.0000000260001,-20.8988394959999 43.0000000260001,-20.898386048 43.0000000260001,-20.882179498 43.0000000260001,-20.881728656 43.0000000260001,-20.8655195009999 43.0000000260001,-20.865071265 43.0000000260001,-20.848859503 43.0000000260001,-20.848413873 43.0000000260001,-20.8321995059999 43.0000000260001,-20.8317564819999 43.0000000260001,-20.815539508 43.0000000260001,-20.815099091 43.0000000260001,-20.7988795109999 43.0000000260001,-20.798441699 43.0000000260001,-20.782219514 43.0000000260001,-20.7817843079999 43.0000000260001,-20.7655595159999 43.0000000260001,-20.765126917 43.0000000260001,-20.748899519 43.0000000260001,-20.748469525 43.0000000260001,-20.7322395209999 43.0000000260001,-20.7318121339999 43.0000000260001,-20.715579524 43.0000000260001,-20.715154742 43.0000000260001,-20.6989195269999 43.0000000260001,-20.698497351 43.0000000260001,-20.682259529 43.0000000260001,-20.6818399599999 43.0000000260001,-20.6655995319999 43.0000000260001,-20.665182568 43.0000000260001,-20.648939534 43.0000000260001,-20.648525177 43.0000000260001,-20.6322795369999 43.0000000260001,-20.6318677849999 43.0000000260001,-20.61561954 43.0000000260001,-20.615210394 43.0000000260001,-20.5989595419999 43.0000000260001,-20.5985530029999 43.0000000260001,-20.582299545 43.0000000260001,-20.5818956109999 43.0000000260001,-20.5656395469999 43.0000000260001,-20.56523822 43.0000000260001,-20.54897955 43.0000000260001,-20.548580828 43.0000000260001,-20.5323195519999 43.0000000260001,-20.5319234369999 43.0000000260001,-20.515659555 43.0000000260001,-20.515266046 43.0000000260001,-20.498999558 43.0000000260001,-20.498608654 43.0000000260001,-20.48233956 43.0000000260001,-20.4819512629999 43.0000000260001,-20.465679563 43.0000000260001,-20.465293871 43.0000000260001,-20.449019565 43.0000000260001,-20.4486364799999 43.0000000260001,-20.432359568 43.0000000260001,-20.431979089 43.0000000260001,-20.4156995709999 43.0000000260001,-20.415321697 43.0000000260001,-20.399039573 43.0000000260001,-20.3986643059999 43.0000000260001,-20.3823795759999 43.0000000260001,-20.382006915 43.0000000260001,-20.365719578 43.0000000260001,-20.365349523 43.0000000260001,-20.3490595809999 43.0000000260001,-20.3486921319999 43.0000000260001,-20.332399584 43.0000000260001,-20.3320347399999 43.0000000260001,-20.3157395859999 43.0000000260001,-20.315377349 43.0000000260001,-20.299079589 43.0000000260001,-20.2987199579999 43.0000000260001,-20.282419591 43.0000000260001,-20.282062566 43.0000000260001,-20.265759594 43.0000000260001,-20.265405175 43.0000000260001,-20.249099596 43.0000000260001,-20.2487477829999 43.0000000260001,-20.232439599 43.0000000260001,-20.232090392 43.0000000260001,-20.2157796019999 43.0000000260001,-20.215433001 43.0000000260001,-20.199119604 43.0000000260001,-20.1987756089999 43.0000000260001,-20.1824596069999 43.0000000260001,-20.182118218 43.0000000260001,-20.165799609 43.0000000260001,-20.165460826 43.0000000260001,-20.1491396119999 43.0000000260001,-20.1488034349999 43.0000000260001,-20.132479615 43.0000000260001,-20.132146044 43.0000000260001,-20.1158196169999 43.0000000260001,-20.115488652 43.0000000260001,-20.09915962 43.0000000260001,-20.0988312609999 43.0000000260001,-20.0824996219999 43.0000000260001,-20.08217387 43.0000000260001,-20.065839625 43.0000000260001,-20.0655164779999 43.0000000260001,-20.0491796279999 43.0000000260001,-20.048859087 43.0000000260001,-20.03251963 43.0000000260001,-20.032201695 43.0000000260001,-20.0158596329999 43.0000000260001,-20.0155443039999 43.0000000260001,-19.999199635 43.0000000260001,-19.998886913 43.0000000260001,-19.9825396379999 43.0000000260001,-19.982229521 43.0000000260001,-19.96587964 43.0000000260001,-19.9655721299999 43.0000000260001,-19.9492196429999 43.0000000260001,-19.9489147379999 43.0000000260001,-19.932559646 43.0000000260001,-19.932257347 43.0000000260001,-19.9158996479999 43.0000000260001,-19.9155999559999 43.0000000260001,-19.899239651 43.0000000260001,-19.898942564 43.0000000260001,-19.8825796529999 43.0000000260001,-19.882285173 43.0000000260001,-19.865919656 43.0000000260001,-19.8656277809999 43.0000000260001,-19.8492596589999 43.0000000260001,-19.84897039 43.0000000260001,-19.832599661 43.0000000260001,-19.832312999 43.0000000260001,-19.8159396639999 43.0000000260001,-19.8156556069999 43.0000000260001,-19.799279666 43.0000000260001,-19.798998216 43.0000000260001,-19.7826196689999 43.0000000260001,-19.7823408249999 43.0000000260001,-19.765959671 43.0000000260001,-19.7656834329999 43.0000000260001,-19.7492996739999 43.0000000260001,-19.749026042 43.0000000260001,-19.732639677 43.0000000260001,-19.73236865 43.0000000260001,-19.7159796789999 43.0000000260001,-19.7157112589999 43.0000000260001,-19.699319682 43.0000000260001,-19.699053868 43.0000000260001,-19.6826596839999 43.0000000260001,-19.682396476 43.0000000260001,-19.665999687 43.0000000260001,-19.6657390849999 43.0000000260001,-19.64933969 43.0000000260001,-19.649081693 43.0000000260001,-19.632679692 43.0000000260001,-19.6324243019999 43.0000000260001,-19.616019695 43.0000000260001,-19.615766911 43.0000000260001,-19.599359697 43.0000000260001,-19.599109519 43.0000000260001,-19.5826997 43.0000000260001,-19.5824521279999 43.0000000260001,-19.5660397029999 43.0000000260001,-19.5657947359999 43.0000000260001,-19.549379705 43.0000000260001,-19.549137345 43.0000000260001,-19.5327197079999 43.0000000260001,-19.5324799539999 43.0000000260001,-19.51605971 43.0000000260001,-19.515822562 43.0000000260001,-19.4993997129999 43.0000000260001,-19.499165171 43.0000000260001,-19.482739715 43.0000000260001,-19.4825077789999 43.0000000260001,-19.4660797179999 43.0000000260001,-19.465850388 43.0000000260001,-19.449419721 43.0000000260001,-19.449192997 43.0000000260001,-19.4327597229999 43.0000000260001,-19.4325356049999 43.0000000260001,-19.416099726 43.0000000260001,-19.415878214 43.0000000260001,-19.3994397279999 43.0000000260001,-19.399220823 43.0000000260001,-19.382779731 43.0000000260001,-19.3825634309999 43.0000000260001,-19.3661197339999 43.0000000260001,-19.36590604 43.0000000260001,-19.349459736 43.0000000260001,-19.349248648 43.0000000260001,-19.3327997389999 43.0000000260001,-19.3325912569999 43.0000000260001,-19.316139741 43.0000000260001,-19.315933866 43.0000000260001,-19.2994797439999 43.0000000260001,-19.299276474 43.0000000260001,-19.282819747 43.0000000260001,-19.2826190829999 43.0000000260001,-19.2661597489999 43.0000000260001,-19.265961691 43.0000000260001,-19.249499752 43.0000000260001,-19.2493042999999 43.0000000260001,-19.2328397539999 43.0000000260001,-19.232646909 43.0000000260001,-19.216179757 43.0000000260001,-19.215989517 43.0000000260001,-19.1995197589999 43.0000000260001,-19.1993321259999 43.0000000260001,-19.182859762 43.0000000260001,-19.1826747339999 43.0000000260001,-19.1661997649999 43.0000000260001,-19.166017343 43.0000000260001,-19.149539767 43.0000000260001,-19.1493599519999 43.0000000260001,-19.1328797699999 43.0000000260001,-19.1327025599999 43.0000000260001,-19.116219772 43.0000000260001,-19.116045169 43.0000000260001,-19.0995597749999 43.0000000260001,-19.0993877779999 43.0000000260001,-19.082899778 43.0000000260001,-19.082730386 43.0000000260001,-19.0662397799999 43.0000000260001,-19.066072995 43.0000000260001,-19.049579783 43.0000000260001,-19.0494156029999 43.0000000260001,-19.0329197849999 43.0000000260001,-19.032758212 43.0000000260001,-19.016259788 43.0000000260001,-19.016100821 43.0000000260001,-18.999599791 43.0000000260001,-18.9994434289999 43.0000000260001,-18.982939793 43.0000000260001,-18.982786038 43.0000000260001,-18.966279796 43.0000000260001,-18.966128646 43.0000000260001,-18.949619798 43.0000000260001,-18.9494712549999 43.0000000260001,-18.932959801 43.0000000260001,-18.932813864 43.0000000260001,-18.916299803 43.0000000260001,-18.916156472 43.0000000260001,-18.899639806 43.0000000260001,-18.8994990809999 43.0000000260001,-18.8829798089999 43.0000000260001,-18.882841689 43.0000000260001,-18.866319811 43.0000000260001,-18.866184298 43.0000000260001,-18.8496598139999 43.0000000260001,-18.8495269069999 43.0000000260001,-18.8329998159999 43.0000000260001,-18.832869515 43.0000000260001,-18.8163398189999 43.0000000260001,-18.8162121239999 43.0000000260001,-18.799679822 43.0000000260001,-18.7995547319999 43.0000000260001,-18.783019824 43.0000000260001,-18.782897341 43.0000000260001,-18.766359827 43.0000000260001,-18.7662399499999 43.0000000260001,-18.749699829 43.0000000260001,-18.7495825579999 43.0000000260001,-18.733039832 43.0000000260001,-18.732925167 43.0000000260001,-18.7163798349999 43.0000000260001,-18.7162677759999 43.0000000260001,-18.699719837 43.0000000260001,-18.699610384 43.0000000260001,-18.6830598399999 43.0000000260001,-18.682952993 43.0000000260001,-18.666399842 43.0000000260001,-18.6662956009999 43.0000000260001,-18.6497398449999 43.0000000260001,-18.64963821 43.0000000260001,-18.633079847 43.0000000260001,-18.632980819 43.0000000260001,-18.6164198499999 43.0000000260001,-18.6163234269999 43.0000000260001,-18.599759853 43.0000000260001,-18.599666036 43.0000000260001,-18.5830998549999 43.0000000260001,-18.583008644 43.0000000260001,-18.566439858 43.0000000260001,-18.5663512529999 43.0000000260001,-18.5497798599999 43.0000000260001,-18.549693862 43.0000000260001,-18.533119863 43.0000000260001,-18.53303647 43.0000000260001,-18.5164598659999 43.0000000260001,-18.5163790789999 43.0000000260001,-18.499799868 43.0000000260001,-18.499721687 43.0000000260001,-18.4831398709999 43.0000000260001,-18.483064296 43.0000000260001,-18.466479873 43.0000000260001,-18.4664069049999 43.0000000260001,-18.4498198759999 43.0000000260001,-18.449749513 43.0000000260001,-18.433159878 43.0000000260001,-18.4330921219999 43.0000000260001,-18.4164998809999 43.0000000260001,-18.416434731 43.0000000260001,-18.399839884 43.0000000260001,-18.399777339 43.0000000260001,-18.3831798859999 43.0000000260001,-18.3831199479999 43.0000000260001,-18.366519889 43.0000000260001,-18.3664625559999 43.0000000260001,-18.3498598909999 43.0000000260001,-18.349805165 43.0000000260001,-18.333199894 43.0000000260001,-18.3331477739999 43.0000000260001,-18.3165398969999 43.0000000260001,-18.3164903819999 43.0000000260001,-18.299879899 43.0000000260001,-18.299832991 43.0000000260001,-18.2832199019999 43.0000000260001,-18.2831755989999 43.0000000260001,-18.266559904 43.0000000260001,-18.266518208 43.0000000260001,-18.2498999069999 43.0000000260001,-18.249860817 43.0000000260001,-18.23323991 43.0000000260001,-18.2332034249999 43.0000000260001,-18.2165799119999 43.0000000260001,-18.216546034 43.0000000260001,-18.199919915 43.0000000260001,-18.199888642 43.0000000260001,-18.1832599169999 43.0000000260001,-18.1832312509999 43.0000000260001,-18.16659992 43.0000000260001,-18.16657386 43.0000000260001,-18.1499399219999 43.0000000260001,-18.149916468 43.0000000260001,-18.133279925 43.0000000260001,-18.1332590769999 43.0000000260001,-18.116619928 43.0000000260001,-18.116601685 43.0000000260001,-18.09995993 43.0000000260001,-18.099944294 43.0000000260001,-18.083299933 43.0000000260001,-18.0832869029999 43.0000000260001,-18.066639935 43.0000000260001,-18.066629511 43.0000000260001,-18.049979938 43.0000000260001,-18.0499721199999 43.0000000260001,-18.0333199409999 43.0000000260001,-18.0333147289999 43.0000000260001,-18.0166586399999 43.0000000260001,-17.999999959 43.000000019,-17.9999999459999 42.983333359,-17.9999999459999 42.966666692,-17.9999999459999 42.9500000260001,-17.9999999459999 42.9333333590001,-17.9999999459999 42.916666692,-17.9999999459999 42.900000026,-17.9999999459999 42.8833333590001,-17.9999999459999 42.8666666920001,-17.9999999459999 42.850000026,-17.9999999459999 42.8333333590001,-17.9999999459999 42.8166666920001,-17.9999999459999 42.800000025,-17.9999999459999 42.783333359,-17.9999999459999 42.7666666920001,-17.9999999459999 42.7500000250001,-17.9999999459999 42.733333359,-17.9999999459999 42.716666692,-17.9999999459999 42.7000000250001,-17.9999999459999 42.6833333590001,-17.9999999459999 42.666666692,-17.9999999459999 42.6500000250001,-17.9999999459999 42.6333333590001,-17.9999999459999 42.6166666920001,-17.9999999459999 42.600000025,-17.9999999459999 42.5833333590001,-17.9999999459999 42.5666666920001,-17.9999999459999 42.550000025,-17.9999999459999 42.533333359,-17.9999999459999 42.5166666920001,-17.9999999459999 42.5000000250001,-17.9999999459999 42.483333359,-17.9999999459999 42.466666692,-17.9999999459999 42.4500000250001,-17.9999999459999 42.433333358,-17.9999999459999 42.416666692,-17.9999999459999 42.4000000250001,-17.9999999459999 42.3833333580001,-17.9999999459999 42.3666666920001,-17.9999999459999 42.350000025,-17.9999999459999 42.3333333580001,-17.9999999459999 42.3166666920001,-17.9999999459999 42.300000025,-17.9999999459999 42.283333358,-17.9999999459999 42.2666666920001,-17.9999999459999 42.2500000250001,-17.9999999459999 42.233333358,-17.9999999459999 42.216666692,-17.9999999459999 42.2000000250001,-17.9999999459999 42.183333358,-17.9999999459999 42.166666692,-17.9999999459999 42.1500000250001,-17.9999999459999 42.1333333580001,-17.9999999459999 42.1166666920001,-17.9999999459999 42.100000025,-17.9999999459999 42.0833333580001,-17.9999999459999 42.0666666910001,-17.9999999459999 42.050000025,-17.9999999459999 42.033333358,-17.9999999459999 42.0166666910001,-17.9999999459999 42.0000000250001,-17.9999999459999 41.983333358,-17.9999999459999 41.9666666910001,-17.9999999459999 41.9500000250001,-17.9999999459999 41.933333358,-17.9999999459999 41.916666691,-17.9999999459999 41.9000000250001,-17.9999999459999 41.8833333580001,-17.9999999459999 41.866666691,-17.9999999459999 41.850000025,-17.9999999459999 41.8333333580001,-17.9999999459999 41.8166666910001,-17.9999999459999 41.800000025,-17.9999999459999 41.783333358,-17.9999999459999 41.7666666910001,-17.9999999459999 41.7500000250001,-17.9999999459999 41.733333358,-17.9999999459999 41.7166666910001,-17.9999999459999 41.7000000240001,-17.9999999459999 41.683333358,-17.9999999459999 41.666666691,-17.9999999459999 41.6500000240001,-17.9999999459999 41.6333333580001,-17.9999999459999 41.616666691,-17.9999999459999 41.6000000240001,-17.9999999459999 41.5833333580001,-17.9999999459999 41.5666666910001,-17.9999999459999 41.550000024,-17.9999999459999 41.533333358,-17.9999999459999 41.5166666910001,-17.9999999459999 41.500000024,-17.9999999459999 41.483333358,-17.9999999459999 41.4666666910001,-17.9999999459999 41.4500000240001,-17.9999999459999 41.433333358,-17.9999999459999 41.416666691,-17.9999999459999 41.4000000240001,-17.9999999459999 41.383333357,-17.9999999459999 41.366666691,-17.9999999459999 41.3500000240001,-17.9999999459999 41.3333333570001,-17.9999999459999 41.3166666910001,-17.9999999459999 41.300000024,-17.9999999459999 41.2833333570001,-17.9999999459999 41.2666666910001,-17.9999999459999 41.250000024,-17.9999999459999 41.233333357,-17.9999999459999 41.2166666910001,-17.9999999459999 41.2000000240001,-17.9999999459999 41.183333357,-17.9999999459999 41.166666691,-17.9999999459999 41.1500000240001,-17.9999999459999 41.133333357,-17.9999999459999 41.116666691,-17.9999999459999 41.1000000240001,-17.9999999459999 41.0833333570001,-17.9999999459999 41.0666666910001,-17.9999999459999 41.050000024,-17.9999999459999 41.0333333570001,-17.9999999459999 41.0166666900001,-17.9999999459999 41.000000024,-17.9999999459999 40.983333357,-17.9999999459999 40.9666666900001,-17.9999999459999 40.9500000240001,-17.9999999459999 40.933333357,-17.9999999459999 40.9166666900001,-17.9999999459999 40.9000000240001,-17.9999999459999 40.883333357,-17.9999999459999 40.86666669,-17.9999999459999 40.8500000240001,-17.9999999459999 40.8333333570001,-17.9999999459999 40.81666669,-17.9999999459999 40.800000024,-17.9999999459999 40.7833333570001,-17.9999999459999 40.7666666900001,-17.9999999459999 40.750000024,-17.9999999459999 40.733333357,-17.9999999459999 40.7166666900001,-17.9999999459999 40.7000000240001,-17.9999999459999 40.683333357,-17.9999999459999 40.6666666900001,-17.9999999459999 40.6500000230001,-17.9999999459999 40.633333357,-17.9999999459999 40.61666669,-17.9999999459999 40.6000000230001,-17.9999999459999 40.5833333570001,-17.9999999459999 40.56666669,-17.9999999459999 40.5500000230001,-17.9999999459999 40.5333333570001,-17.9999999459999 40.5166666900001,-17.9999999459999 40.500000023,-17.9999999459999 40.483333357,-17.9999999459999 40.4666666900001,-17.9999999459999 40.450000023,-17.9999999459999 40.433333357,-17.9999999459999 40.4166666900001,-17.9999999459999 40.4000000230001,-17.9999999459999 40.383333357,-17.9999999459999 40.36666669,-17.9999999459999 40.3500000230001,-17.9999999459999 40.3333333570001,-17.9999999459999 40.31666669,-17.9999999459999 40.3000000230001,-17.9999999459999 40.2833333560001,-17.9999999459999 40.2666666900001,-17.9999999459999 40.250000023,-17.9999999459999 40.2333333560001,-17.9999999459999 40.2166666900001,-17.9999999459999 40.200000023,-17.9999999459999 40.183333356,-17.9999999459999 40.1666666900001,-17.9999999459999 40.1500000230001,-17.9999999459999 40.133333356,-17.9999999459999 40.11666669,-17.9999999459999 40.1000000230001,-17.9999999459999 40.083333356,-17.9999999459999 40.06666669,-17.9999999459999 40.0500000230001,-17.9999999459999 40.0333333560001,-17.9999999459999 40.0166666900001,-17.9999999459999 40.000000023,-17.9999999459999 39.9833333560001,-17.9999999459999 39.9666666900001,-17.9999999459999 39.950000023,-17.9999999459999 39.933333356,-17.9999999459999 39.9166666890001,-17.9999999459999 39.9000000230001,-17.9999999459999 39.883333356,-17.9999999459999 39.8666666890001,-17.9999999459999 39.8500000230001,-17.9999999459999 39.833333356,-17.9999999459999 39.816666689,-17.9999999459999 39.8000000230001,-17.9999999459999 39.7833333560001,-17.9999999459999 39.766666689,-17.9999999459999 39.750000023,-17.9999999459999 39.7333333560001,-17.9999999459999 39.7166666890001,-17.9999999459999 39.700000023,-17.9999999459999 39.683333356,-17.9999999459999 39.6666666890001,-17.9999999459999 39.6500000230001,-17.9999999459999 39.633333356,-17.9999999459999 39.6166666890001,-17.9999999459999 39.6000000230001,-17.9999999459999 39.583333356,-17.9999999459999 39.566666689,-17.9999999459999 39.5500000220001,-17.9999999459999 39.5333333560001,-17.9999999459999 39.516666689,-17.9999999459999 39.5000000220001,-17.9999999459999 39.4833333560001,-17.9999999459999 39.4666666890001,-17.9999999459999 39.450000022,-17.9999999459999 39.433333356,-17.9999999459999 39.4166666890001,-17.9999999459999 39.400000022,-17.9999999459999 39.383333356,-17.9999999459999 39.3666666890001,-17.9999999459999 39.3500000220001,-17.9999999459999 39.333333356,-17.9999999459999 39.316666689,-17.9999999459999 39.3000000220001,-17.9999999459999 39.2833333560001,-17.9999999459999 39.266666689,-17.9999999459999 39.2500000220001,-17.9999999459999 39.2333333550001,-17.9999999459999 39.2166666890001,-17.9999999459999 39.200000022,-17.9999999459999 39.1833333550001,-17.9999999459999 39.1666666890001,-17.9999999459999 39.150000022,-17.9999999459999 39.133333355,-17.9999999459999 39.1166666890001,-17.9999999459999 39.1000000220001,-17.9999999459999 39.083333355,-17.9999999459999 39.066666689,-17.9999999459999 39.0500000220001,-17.9999999459999 39.033333355,-17.9999999459999 39.016666689,-17.9999999459999 39.0000000220001,-17.9999999459999 38.9833333550001,-17.9999999459999 38.9666666890001,-17.9999999459999 38.950000022,-17.9999999459999 38.9333333550001,-17.9999999459999 38.9166666890001,-17.9999999459999 38.900000022,-17.9999999459999 38.883333355,-17.9999999459999 38.8666666880001,-17.9999999459999 38.8500000220001,-17.9999999459999 38.833333355,-17.9999999459999 38.8166666880001,-17.9999999459999 38.8000000220001,-17.9999999459999 38.783333355,-17.9999999459999 38.766666688,-17.9999999459999 38.7500000220001,-17.9999999459999 38.7333333550001,-17.9999999459999 38.716666688,-17.9999999459999 38.700000022,-17.9999999459999 38.6833333550001,-17.9999999459999 38.6666666880001,-17.9999999459999 38.650000022,-17.9999999459999 38.633333355,-17.9999999459999 38.6166666880001,-17.9999999459999 38.6000000220001,-17.9999999459999 38.583333355,-17.9999999459999 38.5666666880001,-17.9999999459999 38.5500000220001,-17.9999999459999 38.533333355,-17.9999999459999 38.516666688,-17.9999999459999 38.5000000210001,-17.9999999459999 38.4833333550001,-17.9999999459999 38.466666688,-17.9999999459999 38.4500000210001,-17.9999999459999 38.4333333550001,-17.9999999459999 38.4166666880001,-17.9999999459999 38.400000021,-17.9999999459999 38.383333355,-17.9999999459999 38.3666666880001,-17.9999999459999 38.350000021,-17.9999999459999 38.333333355,-17.9999999459999 38.3166666880001,-17.9999999459999 38.3000000210001,-17.9999999459999 38.283333355,-17.9999999459999 38.266666688,-17.9999999459999 38.2500000210001,-17.9999999459999 38.2333333550001,-17.9999999459999 38.216666688,-17.9999999459999 38.2000000210001,-17.9999999459999 38.1833333550001,-17.9999999459999 38.1666666880001,-17.9999999459999 38.150000021,-17.9999999459999 38.1333333540001,-17.9999999459999 38.1166666880001,-17.9999999459999 38.100000021,-17.9999999459999 38.083333354,-17.9999999459999 38.0666666880001,-17.9999999459999 38.0500000210001,-17.9999999459999 38.033333354,-17.9999999459999 38.016666688,-17.9999999459999 38.0000000210001,-17.9999999459999 37.983333354,-17.9999999459999 37.966666688,-17.9999999459999 37.9500000210001,-17.9999999459999 37.9333333540001,-17.9999999459999 37.9166666880001,-17.9999999459999 37.900000021,-17.9999999459999 37.8833333540001,-17.9999999459999 37.8666666880001,-17.9999999459999 37.850000021,-17.9999999459999 37.833333354,-17.9999999459999 37.8166666880001,-17.9999999459999 37.8000000210001,-17.9999999459999 37.783333354,-17.9999999459999 37.7666666870001,-17.9999999459999 37.7500000210001,-17.9999999459999 37.733333354,-17.9999999459999 37.716666687,-17.9999999459999 37.7000000210001,-17.9999999459999 37.6833333540001,-17.9999999459999 37.666666687,-17.9999999459999 37.650000021,-17.9999999459999 37.6333333540001,-17.9999999459999 37.6166666870001,-17.9999999459999 37.600000021,-17.9999999459999 37.583333354,-17.9999999459999 37.5666666870001,-17.9999999459999 37.5500000210001,-17.9999999459999 37.533333354,-17.9999999459999 37.5166666870001,-17.9999999459999 37.5000000210001,-17.9999999459999 37.483333354,-17.9999999459999 37.466666687,-17.9999999459999 37.4500000210001,-17.9999999459999 37.4333333540001,-17.9999999459999 37.416666687,-17.9999999459999 37.40000002,-17.9999999459999 37.3833333540001,-17.9999999459999 37.3666666870001,-17.9999999459999 37.35000002,-17.9999999459999 37.333333354,-17.9999999459999 37.3166666870001,-17.9999999459999 37.30000002,-17.9999999459999 37.283333354,-17.9999999459999 37.2666666870001,-17.9999999459999 37.2500000200001,-17.9999999459999 37.233333354,-17.9999999459999 37.216666687,-17.9999999459999 37.2000000200001,-17.9999999459999 37.1833333540001,-17.9999999459999 37.166666687,-17.9999999459999 37.15000002,-17.9999999459999 37.1333333540001,-17.9999999459999 37.1166666870001,-17.9999999459999 37.10000002,-17.9999999459999 37.0833333530001,-17.9999999459999 37.0666666870001,-17.9999999459999 37.05000002,-17.9999999459999 37.033333353,-17.9999999459999 37.0166666870001,-17.9999999459999 37.0000000200001,-17.9999999459999 36.983333353,-17.9999999459999 36.966666687,-17.9999999459999 36.9500000200001,-17.9999999459999 36.9333333530001,-17.9999999459999 36.916666687,-17.9999999459999 36.90000002,-17.9999999459999 36.8833333530001,-17.9999999459999 36.8666666870001,-17.9999999459999 36.85000002,-17.9999999459999 36.8333333530001,-17.9999999459999 36.8166666870001,-17.9999999459999 36.80000002,-17.9999999459999 36.783333353,-17.9999999459999 36.7666666870001,-17.9999999459999 36.7500000200001,-17.9999999459999 36.733333353,-17.9999999459999 36.7166666860001,-17.9999999459999 36.7000000200001,-17.9999999459999 36.6833333530001,-17.9999999459999 36.666666686,-17.9999999459999 36.65000002,-17.9999999459999 36.6333333530001,-17.9999999459999 36.616666686,-17.9999999459999 36.60000002,-17.9999999459999 36.5833333530001,-17.9999999459999 36.5666666860001,-17.9999999459999 36.55000002,-17.9999999459999 36.533333353,-17.9999999459999 36.5166666860001,-17.9999999459999 36.5000000200001,-17.9999999459999 36.483333353,-17.9999999459999 36.4666666860001,-17.9999999459999 36.4500000200001,-17.9999999459999 36.4333333530001,-17.9999999459999 36.416666686,-17.9999999459999 36.40000002,-17.9999999459999 36.3833333530001,-17.9999999459999 36.366666686,-17.9999999459999 36.350000019,-17.9999999459999 36.3333333530001,-17.9999999459999 36.3166666860001,-17.9999999459999 36.300000019,-17.9999999459999 36.283333353,-17.9999999459999 36.2666666860001,-17.9999999459999 36.250000019,-17.9999999459999 36.233333353,-17.9999999459999 36.2166666860001,-17.9999999459999 36.2000000190001,-17.9999999459999 36.1833333530001,-17.9999999459999 36.166666686,-17.9999999459999 36.1500000190001,-17.9999999459999 36.1333333530001,-17.9999999459999 36.116666686,-17.9999999459999 36.100000019,-17.9999999459999 36.0833333530001,-17.9999999459999 36.0666666860001,-17.9999999459999 36.050000019,-17.9999999459999 36.033333353,-17.9999999459999 36.0166666860001,-17.999999982 36.0000000100001,-18.008192134 36.0000000100001,-18.008262707 36.0000000100001,-18.016610725 36.000000013,-18.033221504 36.000000013,-18.049832282 36.000000013,-18.066443061 36.000000013,-18.0830538399999 36.000000013,-18.099664619 36.000000013,-18.116275398 36.000000013,-18.1328861769999 36.000000013,-18.149496956 36.000000012,-18.166107735 36.000000012,-18.1827185139999 36.000000012,-18.199329292 36.000000012,-18.215940071 36.000000012,-18.2325508499999 36.000000012,-18.249161629 36.000000012,-18.265772408 36.000000012,-18.2823831869999 36.000000012,-18.298993966 36.000000012,-18.315604745 36.000000012,-18.3322155239999 36.000000012,-18.348826302 36.000000012,-18.365437081 36.000000012,-18.3820478599999 36.000000012,-18.398658639 36.000000012,-18.415269418 36.000000012,-18.4318801969999 36.000000012,-18.448490976 36.000000012,-18.465101755 36.000000012,-18.4817125339999 36.000000012,-18.498323312 36.000000012,-18.5149340909999 36.000000013,-18.5315448699999 36.000000013,-18.548155649 36.000000013,-18.5647664279999 36.000000013,-18.570277926 36.000000013,-18.5813772069999 36.0000000110001,-18.594146338 36.0000000060001,-18.600000381 36.0000000050001,-18.6045418379999 36.0000000060001,-18.614598765 36.0000000100001,-18.6312095439999 36.0000000100001,-18.647820322 36.0000000100001,-18.6644311009999 36.0000000100001,-18.68104188 36.0000000100001,-18.697652659 36.0000000100001,-18.7142634379999 36.0000000100001,-18.730874217 36.0000000100001,-18.747484996 36.0000000100001,-18.7640957749999 36.0000000100001,-18.7807065539999 36.0000000100001,-18.797317332 36.0000000100001,-18.8139281109999 36.0000000100001,-18.83053889 36.0000000100001,-18.847149669 36.0000000100001,-18.8637604479999 36.0000000100001,-18.880371227 36.0000000100001,-18.896982006 36.0000000100001,-18.9135927849999 36.0000000100001,-18.930203564 36.0000000100001,-18.946814342 36.0000000100001,-18.9634251209999 36.0000000100001,-18.9800359 36.0000000100001,-18.996646679 36.0000000100001,-19.0132574579999 36.0000000100001,-19.029868237 36.0000000100001,-19.046479016 36.0000000100001,-19.0630897949999 36.0000000090001,-19.079700574 36.0000000090001,-19.0963113519999 36.0000000090001,-19.1129221309999 36.0000000090001,-19.12953291 36.0000000090001,-19.1461436889999 36.0000000090001,-19.1627544679999 36.0000000090001,-19.179365247 36.0000000090001,-19.195976026 36.0000000090001,-19.2125868049999 36.0000000090001,-19.229197584 36.0000000090001,-19.2458083619999 36.0000000090001,-19.262419141 36.0000000090001,-19.27902992 36.0000000090001,-19.2956406989999 36.0000000090001,-19.312251478 36.0000000090001,-19.328862257 36.0000000090001,-19.3454730359999 36.0000000090001,-19.3620838149999 36.0000000090001,-19.378694594 36.0000000090001,-19.3953053719999 36.0000000090001,-19.411916151 36.0000000090001,-19.42852693 36.0000000090001,-19.4451377089999 36.0000000090001,-19.461748488 36.0000000090001,-19.478359267 36.0000000090001,-19.4949700459999 36.0000000090001,-19.511580825 36.0000000090001,-19.528191604 36.0000000090001,-19.5448023819999 36.0000000090001,-19.561413161 36.0000000100001,-19.57802394 36.0000000100001,-19.5946347189999 36.0000000100001,-19.600000381 36.0000000100001,-19.611245498 36.0000000090001,-19.627856277 36.0000000090001,-19.6444670559999 36.0000000090001,-19.661077835 36.0000000090001,-19.677688614 36.0000000090001,-19.6942993919999 36.0000000090001,-19.710910171 36.000000008,-19.7275209499999 36.000000008,-19.7441317289999 36.000000008,-19.760742508 36.000000008,-19.777353287 36.000000008,-19.7939640659999 36.000000008,-19.810574845 36.000000008,-19.827185624 36.000000007,-19.843796402 36.000000007,-19.860407181 36.000000007,-19.8770179599999 36.000000007,-19.893628739 36.000000007,-19.910239518 36.000000007,-19.9268502969999 36.000000007,-19.9434610759999 36.000000007,-19.960071855 36.000000007,-19.9766826339999 36.000000007,-19.993293412 36.0000000060001,-19.9999999999999 36.0000000060001,-20.009904191 36.0000000060001,-20.0265149699999 36.000000007,-20.043125749 36.000000007,-20.059736528 36.000000007,-20.0763473069999 36.000000007,-20.092958086 36.000000007,-20.109568865 36.000000007,-20.1261796439999 36.000000007,-20.142790422 36.000000007,-20.159401201 36.000000007,-20.1760119799999 36.000000007,-20.192622759 36.000000008,-20.209233538 36.000000008,-20.2258443169999 36.000000008,-20.242455096 36.000000008,-20.259065875 36.000000008,-20.2756766539999 36.000000008,-20.292287432 36.000000008,-20.3088982109999 36.0000000090001,-20.3255089899999 36.0000000090001,-20.342119769 36.0000000090001,-20.358730548 36.0000000090001,-20.3753413269999 36.0000000090001,-20.391952106 36.0000000090001,-20.399999619 36.0000000100001,-20.408562885 36.0000000100001,-20.4251736639999 36.0000000100001,-20.441784442 36.0000000100001,-20.4583952209999 36.0000000100001,-20.475006 36.0000000100001,-20.491616779 36.0000000100001,-20.5082275579999 36.0000000100001,-20.5248383369999 36.0000000100001,-20.541449116 36.0000000100001,-20.5580598949999 36.0000000100001,-20.5746706739999 36.0000000100001,-20.591281452 36.0000000100001,-20.6078922309999 36.0000000100001,-20.62450301 36.0000000100001,-20.641113789 36.0000000100001,-20.6577245679999 36.0000000100001,-20.674335347 36.0000000100001,-20.690946126 36.0000000100001,-20.7075569049999 36.0000000100001,-20.724167684 36.0000000100001,-20.740778462 36.0000000100001,-20.7573892409999 36.0000000100001,-20.77400002 36.0000000100001,-20.790610799 36.0000000100001,-20.799999237 36.0000000100001,-20.8072215779999 36.0000000100001,-20.823832357 36.0000000100001,-20.840443136 36.0000000100001,-20.8570539149999 36.0000000100001,-20.873664694 36.0000000100001,-20.8902754719999 36.000000013,-20.882007197 36.0146039320001,-20.8737389209999 36.029207845,-20.865470645 36.0438117580001,-20.85720237 36.058415672,-20.848934094 36.0730195850001,-20.8406658179999 36.087623498,-20.8349778749999 36.1033486690001,-20.8292899329999 36.119073841,-20.8236019899999 36.134799012,-20.8179140469999 36.1505241830001,-20.8122261039999 36.166249355,-20.8065381609999 36.181974526,-20.8008502179999 36.1976996980001,-20.7951622749999 36.2134248690001,-20.7894743319999 36.229150041,-20.7837863899999 36.2448752120001,-20.7780984469999 36.260600384,-20.7724105039999 36.276325555,-20.7667225609999 36.2920507260001,-20.7610346179999 36.307775898,-20.7553466749999 36.323501069,-20.7496587319999 36.3392262410001,-20.7439707899999 36.354951412,-20.7382828469999 36.3706765840001,-20.7325949039999 36.3864017550001,-20.7269069609999 36.402126927,-20.7212190179999 36.417852098,-20.7155310749999 36.4335772690001,-20.7098431319999 36.449302441,-20.7041551899999 36.465027612,-20.6984672469999 36.4807527840001,-20.6927793039999 36.496477955,-20.6870913609999 36.5122031270001,-20.6814034179999 36.5279282980001,-20.6757154749999 36.54365347,-20.6700275319999 36.5593786410001,-20.6643395899999 36.5751038120001,-20.6586516469999 36.590828984,-20.6529637039999 36.606554155,-20.6472757609999 36.6222793270001,-20.6415878179999 36.638004498,-20.638163318 36.654268141,-20.634738818 36.670531784,-20.631314318 36.686795427,-20.627889818 36.7030590700001,-20.624465318 36.7193227130001,-20.621040818 36.7355863550001,-20.6176163179999 36.7518499980001,-20.6141918179999 36.7681136410001,-20.6107673179999 36.7843772840001,-20.6073428179999 36.8006409270001,-20.603918318 36.8169045700001,-20.600493818 36.8331682130001,-20.597069318 36.849431856,-20.593644818 36.865695498,-20.592213538 36.8823959380001,-20.5907822579999 36.899096378,-20.589350978 36.915796818,-20.587919698 36.9324972580001,-20.5864884179999 36.949197698,-20.585057138 36.9658981380001,-20.5836258579999 36.9825985790001,-20.5821945779999 36.999299019,-20.580763298 37.0159994590001,-20.5793320179999 37.0326998990001,-20.577900738 37.049400339,-20.576469458 37.0661007790001,-20.5750381779999 37.082801219,-20.573606898 37.0995016590001,-20.572175618 37.1162020990001,-20.5707443379999 37.132902539,-20.569313058 37.1496029790001,-20.567881778 37.166303419,-20.5664504979999 37.1830038590001,-20.565019218 37.1997042990001,-20.563587938 37.216404739,-20.5621566579999 37.2331051790001,-20.560725378 37.249805619,-20.559294098 37.2665060590001,-20.5578628179999 37.2832064990001,-20.5593617239999 37.299527218,-20.56086063 37.3158479360001,-20.562359537 37.332168655,-20.563858443 37.3484893740001,-20.565357349 37.3648100930001,-20.5668562549999 37.381130811,-20.5683551619999 37.3974515300001,-20.5698540679999 37.413772249,-20.571352974 37.4300929680001,-20.57285188 37.446413686,-20.574350787 37.462734405,-20.575849693 37.4790551240001,-20.5773485989999 37.495375843,-20.5788475049999 37.5116965620001,-20.580346412 37.52801728,-20.581845318 37.544337999,-20.583344224 37.5606587180001,-20.584843131 37.576979437,-20.586342037 37.5933001550001,-20.5878409429999 37.609620874,-20.5893398489999 37.6259415930001,-20.590838756 37.6422623120001,-20.592337662 37.65858303,-20.593836568 37.6749037490001,-20.595335474 37.691224468,-20.596834381 37.7075451870001,-20.5983332869999 37.723865905,-20.5998321929999 37.740186624,-20.6013310989999 37.7565073430001,-20.602830006 37.772828062,-20.604328912 37.7891487810001,-20.605827818 37.805469499,-20.610553759 37.82111997,-20.6152797 37.8367704400001,-20.620005642 37.852420911,-20.624731583 37.868071382,-20.629457524 37.8837218520001,-20.634183465 37.8993723230001,-20.638909406 37.915022794,-20.6436353469999 37.9306732640001,-20.648361289 37.9463237350001,-20.65308723 37.961974205,-20.6578131709999 37.9776246760001,-20.6625391119999 37.9932751470001,-20.6672650529999 38.008925617,-20.6719909949999 38.0245760880001,-20.6767169359999 38.040226558,-20.6814428769999 38.055877029,-20.6861688179999 38.0715275000001,-20.6908947589999 38.08717797,-20.6956206999999 38.102828441,-20.7003466419999 38.1184789110001,-20.7050725829999 38.134129382,-20.709798524 38.149779853,-20.714524465 38.1654303230001,-20.719250406 38.181080794,-20.723976348 38.1967312640001,-20.728702289 38.2123817350001,-20.73342823 38.2280322060001,-20.738154171 38.243682676,-20.742880112 38.2593331470001,-20.747606053 38.274983617,-20.752331995 38.290634088,-20.757057936 38.3062845590001,-20.761783877 38.321935029,-20.766509818 38.3375855,-20.7746734089999 38.3517985450001,-20.782837 38.3660115910001,-20.7910005909999 38.380224636,-20.799164182 38.394437682,-20.8073277729999 38.4086507270001,-20.815491364 38.4228637730001,-20.8236549549999 38.437076818,-20.831818546 38.451289864,-20.8399821359999 38.4655029090001,-20.848145727 38.479715954,-20.8563093179999 38.493929,-20.864472909 38.5081420450001,-20.8726364999999 38.5223550910001,-20.880800091 38.536568136,-20.8889636819999 38.550781182,-20.897127273 38.5649942270001,-20.9052908639999 38.5792072730001,-20.913454455 38.593420318,-20.9216180459999 38.607633364,-20.929781637 38.6218464090001,-20.9379452269999 38.6360594550001,-20.946108818 38.6502725,-20.9542724089999 38.664485546,-20.962436 38.6786985910001,-20.9705995909999 38.6929116360001,-20.978763182 38.707124682,-20.9869267729999 38.721337727,-20.995090364 38.7355507730001,-21.0032539549999 38.7497638180001,-21.011417546 38.763976864,-21.0195811369999 38.778189909,-21.027744728 38.7924029550001,-21.0359083179999 38.8066160000001,-21.044071909 38.820829046,-21.0522354999999 38.835042091,-21.060399091 38.8492551370001,-21.0685626819999 38.8634681820001,-21.076726273 38.877681228,-21.0848898639999 38.891894273,-21.093053455 38.9061073180001,-21.1012170459999 38.9203203640001,-21.109380637 38.934533409,-21.1175442279999 38.948746455,-21.125707819 38.9629595000001,-21.134029735 38.9768985420001,-21.1423516519999 38.9908375840001,-21.1506735689999 39.004776625,-21.1589954849999 39.018715667,-21.167317402 39.032654709,-21.175639319 39.0465937500001,-21.183961235 39.0605327920001,-21.192283152 39.0744718340001,-21.2006050689999 39.0884108750001,-21.2089269849999 39.102349917,-21.2172489019999 39.116288959,-21.2255708189999 39.130228001,-21.2338927349999 39.144167042,-21.242214652 39.1581060840001,-21.250536569 39.1720451260001,-21.258858485 39.1859841670001,-21.267180402 39.1999232090001,-21.2755023189999 39.2138622510001,-21.2838242349999 39.227801292,-21.2921461519999 39.241740334,-21.300468069 39.255679376,-21.308789985 39.2696184170001,-21.317111902 39.2835574590001,-21.325433819 39.2974965010001,-21.3343445519999 39.311493634,-21.3432552849999 39.3254907670001,-21.352166019 39.339487901,-21.361076752 39.3534850340001,-21.369987485 39.367482167,-21.378898219 39.3814793010001,-21.3878089519999 39.395476434,-21.3967196849999 39.4094735670001,-21.405630419 39.423470701,-21.414541152 39.4374678340001,-21.423451885 39.451464967,-21.4323626189999 39.4654621010001,-21.4412733519999 39.479459234,-21.4501840849999 39.4934563680001,-21.459094819 39.507453501,-21.46932336 39.5202281260001,-21.479551902 39.533002751,-21.489780444 39.545777376,-21.500008986 39.5585520010001,-21.510237527 39.571326626,-21.520466069 39.584101251,-21.5306946109999 39.5968758760001,-21.5409231519999 39.609650501,-21.5511516939999 39.6224251260001,-21.5613802359999 39.6351997510001,-21.5716087769999 39.647974376,-21.5818373189999 39.6607490010001,-21.592065861 39.6735236260001,-21.6022944019999 39.686298251,-21.612522944 39.6990728760001,-21.622751486 39.7118475010001,-21.632980027 39.724622126,-21.643208569 39.7373967510001,-21.653437111 39.750171376,-21.663665652 39.762946001,-21.673894194 39.7757206260001,-21.6841227359999 39.788495251,-21.694351277 39.801269876,-21.7045798189999 39.8140445010001,-21.7161534379999 39.8255427390001,-21.727727057 39.8370409770001,-21.739300676 39.8485392150001,-21.750874295 39.8600374540001,-21.7624479139999 39.8715356920001,-21.7740215329999 39.8830339300001,-21.7855951519999 39.8945321680001,-21.797168772 39.9060304060001,-21.808742391 39.9175286440001,-21.8203160099999 39.9290268820001,-21.8318896289999 39.9405251200001,-21.843463248 39.9520233580001,-21.855036867 39.9635215970001,-21.866610486 39.9750198350001,-21.8781841049999 39.9865180730001,-21.8897577239999 39.9980163110001,-21.901331343 40.0095145490001,-21.912904962 40.0210127870001,-21.924478581 40.0325110250001,-21.9360521999999 40.0440092630001,-21.9476258189999 40.0555075010001,-21.96044029 40.065418972,-21.97325476 40.075330443,-21.9860692309999 40.0852419130001,-21.9988837019999 40.0951533840001,-22.011698172 40.105064854,-22.024512643 40.114976325,-22.0373271129999 40.1248877960001,-22.050141584 40.1347992660001,-22.062956055 40.144710737,-22.0757705249999 40.154622207,-22.088584996 40.1645336780001,-22.101399466 40.1744451490001,-22.1142139369999 40.184356619,-22.1270284079999 40.19426809,-22.139842878 40.2041795600001,-22.152657349 40.2140910310001,-22.1654718189999 40.2240025020001,-22.178273444 40.2351266270001,-22.19107507 40.246250752,-22.203876695 40.2573748770001,-22.21667832 40.2684990020001,-22.229479945 40.279623127,-22.2422815699999 40.2907472520001,-22.2550831949999 40.3018713770001,-22.2678848199999 40.312995502,-22.28103262 40.3220539020001,-22.29418042 40.3311123020001,-22.3073282199999 40.3401707020001,-22.3204760199999 40.349229102,-22.33362382 40.3582875020001,-22.34677162 40.3673459020001,-22.35991942 40.376404302,-22.3730672199999 40.385462702,-22.38621502 40.3945211020001,-22.39936282 40.4035795020001,-22.41367072 40.4118716350001,-22.42797862 40.4201637680001,-22.44228652 40.4284559020001,-22.4565944199999 40.4367480350001,-22.4709023199999 40.445040168,-22.4852102199999 40.453332302,-22.4995181199999 40.461624435,-22.51382602 40.469916568,-22.52813392 40.4782087020001,-22.54244182 40.4865008350001,-22.55674972 40.4947929680001,-22.57105762 40.5030851020001,-22.58536552 40.5113772350001,-22.5996734199999 40.5196693680001,-22.6139813199999 40.527961502,-22.6282892199999 40.536253635,-22.6425971199999 40.544545768,-22.65690502 40.5528379020001,-22.67121292 40.5611300350001,-22.68552082 40.5694221690001,-22.69982872 40.5777143020001,-22.71413662 40.5860064350001,-22.72844452 40.594298569,-22.7427524199999 40.602590702,-22.7570603199999 40.610882835,-22.7713682199999 40.619174969,-22.7856761199999 40.627467102,-22.79998402 40.6357592350001,-22.81429192 40.6440513690001,-22.82859982 40.6523435020001,-22.8428823199999 40.659198002,-22.85716482 40.6660525020001,-22.87144732 40.672907002,-22.8857298199999 40.6797615020001,-22.90001232 40.6866160020001,-22.91429482 40.693470502,-22.9285773199999 40.7003250020001,-22.94285982 40.707179502,-22.9571423199999 40.7140340020001,-22.97142482 40.720888502,-22.98570732 40.7277430020001,-22.9999898199999 40.734597502,-23.01427232 40.7414520020001,-23.02855482 40.748306502,-23.0416584869999 40.7540665020001,-23.0547621539999 40.7598265020001,-23.06786582 40.7655865020001,-23.08322622 40.7702237020001,-23.0985866199999 40.7748609020001,-23.11394702 40.779498102,-23.12930742 40.784135302,-23.1446678199999 40.788772502,-23.16002822 40.7934097020001,-23.17538862 40.7980469020001,-23.1907490199999 40.8026841020001,-23.20610942 40.807321302,-23.22146982 40.811958502,-23.236551258 40.8180241270001,-23.251632695 40.8240897520001,-23.2667141329999 40.830155377,-23.281795571 40.8362210020001,-23.296877008 40.8422866270001,-23.3119584459999 40.848352252,-23.3270398829999 40.8544178770001,-23.342121321 40.8604835020001,-23.357202758 40.866549127,-23.372284196 40.8726147520001,-23.3873656329999 40.8786803770001,-23.402447071 40.884746002,-23.417528508 40.8908116270001,-23.432609946 40.896877252,-23.4476913829999 40.902942877,-23.4627728209999 40.9090085020001,-23.478155521 40.9127503020001,-23.4935382209999 40.9164921020001,-23.508920921 40.9202339020001,-23.5243036209999 40.9239757020001,-23.539686321 40.9277175020001,-23.555069021 40.9314593020001,-23.570451721 40.9352011020001,-23.585834421 40.9389429020001,-23.6012171209999 40.9426847020001,-23.616599821 40.9464265020001,-23.631263721 40.9518952020001,-23.6459276209999 40.9573639020001,-23.660591521 40.962832602,-23.675255421 40.968301302,-23.6899193209999 40.973770002,-23.704583221 40.979238702,-23.719247121 40.984707402,-23.733911021 40.9901761020001,-23.7485749209999 40.9956448020001,-23.763238821 41.0011135020001,-23.778026696 41.0045291270001,-23.792814571 41.0079447520001,-23.807602446 41.0113603770001,-23.8223903209999 41.0147760020001,-23.837178196 41.0181916270001,-23.8519660709999 41.0216072520001,-23.866753946 41.025022877,-23.8815418209999 41.028438502,-23.894854929 41.0382196910001,-23.9081680369999 41.0480008810001,-23.921481145 41.05778207,-23.9347942539999 41.0675632590001,-23.948107362 41.0773444480001,-23.96142047 41.087125637,-23.9747335779999 41.0969068270001,-23.988046686 41.1066880160001,-24.0013597939999 41.116469205,-24.014672902 41.1262503940001,-24.0279860099999 41.136031583,-24.041299119 41.145812773,-24.054612227 41.1555939620001,-24.0679253349999 41.165375151,-24.081238443 41.1751563400001,-24.0945515509999 41.1849375290001,-24.107864659 41.194718719,-24.1211777669999 41.2044999080001,-24.134490875 41.214281097,-24.147803983 41.224062286,-24.161117092 41.2338434750001,-24.1744302 41.243624665,-24.1877433079999 41.2534058540001,-24.201056416 41.2631870430001,-24.2143695239999 41.272968232,-24.227682632 41.2827494210001,-24.24099574 41.2925306110001,-24.2543088479999 41.3023118,-24.267621957 41.3120929890001,-24.2809350649999 41.321874178,-24.294248173 41.3316553670001,-24.3075612809999 41.3414365570001,-24.320874389 41.351217746,-24.334187497 41.3609989350001,-24.3475006049999 41.3707801240001,-24.360813713 41.380561313,-24.3741268219999 41.3903425030001,-24.3889042129999 41.397785981,-24.4036816039999 41.4052294590001,-24.418458995 41.412672937,-24.433236387 41.420116416,-24.448013778 41.4275598940001,-24.462791169 41.435003372,-24.4775685609999 41.4424468500001,-24.4923459519999 41.449890329,-24.5071233429999 41.4573338070001,-24.521900735 41.464777285,-24.536678126 41.472220764,-24.551455517 41.4796642420001,-24.566232909 41.48710772,-24.5810102999999 41.4945511980001,-24.5957876909999 41.501994677,-24.610565083 41.5094381550001,-24.625342474 41.516881633,-24.640119865 41.5243251110001,-24.654897257 41.5317685900001,-24.669674648 41.539212068,-24.684452039 41.5466555460001,-24.6992294309999 41.554099025,-24.7140068219999 41.5615425030001,-24.728784213 41.568985981,-24.743561604 41.5764294590001,-24.758338996 41.5838729380001,-24.773116387 41.591316416,-24.787893778 41.5987598940001,-24.8026711699999 41.606203372,-24.8174485609999 41.6136468510001,-24.8322259519999 41.621090329,-24.847003344 41.6285338070001,-24.861780735 41.6359772850001,-24.876558126 41.643420764,-24.8913355179999 41.6508642420001,-24.9061129089999 41.65830772,-24.9208902999999 41.6657511990001,-24.935667692 41.673194677,-24.950445083 41.6806381550001,-24.965222474 41.688081633,-24.979999866 41.695525112,-24.994777257 41.7029685900001,-25.0095546479999 41.710412068,-25.0243320399999 41.7178555460001,-25.0391094309999 41.725299025,-25.053886822 41.7327425030001,-25.069751047 41.737536483,-25.0856152709999 41.742330462,-25.101479496 41.747124442,-25.11734372 41.751918421,-25.133207945 41.7567124010001,-25.149072169 41.7615063810001,-25.1649363939999 41.7663003600001,-25.180800618 41.77109434,-25.196664843 41.775888319,-25.2125290669999 41.780682299,-25.228393292 41.785476278,-25.2442575159999 41.7902702580001,-25.260121741 41.7950642380001,-25.275985965 41.7998582170001,-25.2918501899999 41.8046521970001,-25.307714414 41.8094461760001,-25.3235786389999 41.814240156,-25.3394428629999 41.819034136,-25.355307088 41.823828115,-25.3711713119999 41.8286220950001,-25.387035537 41.8334160740001,-25.402899761 41.8382100540001,-25.4187639859999 41.843004034,-25.43462821 41.847798013,-25.4504924349999 41.852591993,-25.4663566589999 41.857385972,-25.482220884 41.8621799520001,-25.4980851079999 41.8669739320001,-25.513949333 41.8717679110001,-25.529813557 41.8765618910001,-25.5456777819999 41.88135587,-25.561542006 41.88614985,-25.5774062309999 41.89094383,-25.593270455 41.895737809,-25.60913468 41.9005317890001,-25.6249989039999 41.9053257680001,-25.640863129 41.9101197480001,-25.656727353 41.914913728,-25.672591578 41.919707707,-25.688455802 41.924501687,-25.7043200269999 41.929295666,-25.720184251 41.9340896460001,-25.736048476 41.9388836260001,-25.7519126999999 41.9436776050001,-25.767776925 41.948471585,-25.7836411489999 41.953265564,-25.799505374 41.958059544,-25.815369598 41.962853524,-25.8312338229999 41.9676475030001,-25.84625068 41.974717217,-25.8612675369999 41.981786932,-25.876284394 41.988856646,-25.8913012519999 41.9959263600001,-25.906318109 42.0029960750001,-25.921334966 42.0100657890001,-25.9363518229999 42.0171355030001,-25.952127423 42.022340743,-25.967903023 42.027545983,-25.9836786229999 42.032751223,-25.9994542229999 42.0379564630001,-26.015229823 42.0431617030001,-26.031005423 42.0483669430001,-26.0467810229999 42.053572183,-26.062556623 42.058777423,-26.078332223 42.063982663,-26.0941078229999 42.0691879030001,-26.1098834229999 42.0743931430001,-26.125659023 42.0795983830001,-26.141434623 42.084803623,-26.1572102229999 42.090008863,-26.172985823 42.095214103,-26.188761423 42.1004193430001,-26.2045370229999 42.1056245830001,-26.2203126229999 42.1108298230001,-26.236088223 42.116035063,-26.251863823 42.121240303,-26.2676394229999 42.126445543,-26.283415023 42.1316507830001,-26.299190623 42.1368560230001,-26.3149662229999 42.1420612630001,-26.330741823 42.147266503,-26.3460823569999 42.152834903,-26.36142289 42.1584033030001,-26.3767634229999 42.1639717030001,-26.392103957 42.169540103,-26.4074444899999 42.175108503,-26.422785023 42.1806769030001,-26.438125557 42.1862453030001,-26.4534660899999 42.191813703,-26.468806623 42.1973821030001,-26.4841471569999 42.2029505030001,-26.49948769 42.208518903,-26.5148282239999 42.214087303,-26.530168757 42.2196557030001,-26.5455092899999 42.2252241030001,-26.5608498239999 42.230792503,-26.5763984389999 42.235101657,-26.5919470539999 42.239410811,-26.6074956699999 42.243719965,-26.6230442849999 42.2480291190001,-26.638592901 42.2523382730001,-26.654141516 42.2566474270001,-26.669690131 42.26095658,-26.685238747 42.265265734,-26.700787362 42.2695748880001,-26.716335978 42.2738840420001,-26.731884593 42.2781931960001,-26.747433208 42.2825023500001,-26.762981824 42.2868115030001,-26.7792655329999 42.2897659230001,-26.795549243 42.2927203420001,-26.811832953 42.295674762,-26.8281166629999 42.2986291810001,-26.8444003719999 42.3015836000001,-26.860684082 42.3045380200001,-26.876967792 42.307492439,-26.893251501 42.310446858,-26.9095352109999 42.3134012780001,-26.925818921 42.3163556970001,-26.94210263 42.3193101160001,-26.9583863399999 42.322264536,-26.9746700499999 42.325218955,-26.990953759 42.3281733740001,-27.007237469 42.3311277940001,-27.0235211789999 42.334082213,-27.039804889 42.337036633,-27.056088598 42.3399910520001,-27.072372308 42.3429454710001,-27.0886560179999 42.345899891,-27.1049397269999 42.34885431,-27.121223437 42.351808729,-27.137507147 42.3547631490001,-27.1537908559999 42.3577175680001,-27.170074566 42.360671987,-27.186358276 42.363626407,-27.202641985 42.3665808260001,-27.2189256949999 42.3695352450001,-27.235209405 42.372489665,-27.251493115 42.375444084,-27.267776824 42.3783985040001,-27.284321512 42.380251066,-27.300866199 42.382103629,-27.3174108869999 42.383956191,-27.333955574 42.385808754,-27.350500262 42.387661316,-27.3670449489999 42.389513879,-27.3835896369999 42.3913664410001,-27.400134324 42.3932190040001,-27.416679012 42.3950715660001,-27.4332236989999 42.3969241290001,-27.4497683869999 42.3987766910001,-27.466313074 42.4006292540001,-27.482857762 42.402481816,-27.4994024489999 42.404334379,-27.515947137 42.406186941,-27.532491824 42.408039504,-27.549010293 42.4087336600001,-27.5655287619999 42.4094278160001,-27.5820472309999 42.4101219720001,-27.5985656999999 42.4108161290001,-27.615084168 42.4115102850001,-27.631602637 42.412204441,-27.648121106 42.412898597,-27.664639575 42.413592754,-27.681158043 42.41428691,-27.6976765119999 42.4149810660001,-27.7141949809999 42.4156752220001,-27.7307134499999 42.4163693790001,-27.747231918 42.4170635350001,-27.763750387 42.4177576910001,-27.780268856 42.418451847,-27.796787325 42.419146004,-27.813305793 42.41984016,-27.8298242619999 42.420534316,-27.8463427309999 42.4212284720001,-27.8628611999999 42.4219226290001,-27.8793796689999 42.4226167850001,-27.895898137 42.4233109410001,-27.912416606 42.4240050970001,-27.928935075 42.4246992540001,-27.945453544 42.42539341,-27.9619720119999 42.426087566,-27.9784904809999 42.426781722,-27.9950089499999 42.427475879,-28.0115274189999 42.4281700350001,-28.028045887 42.4288641910001,-28.044564356 42.4295583470001,-28.061082825 42.4302525040001,-28.077523748 42.4293859650001,-28.093964671 42.428519427,-28.1104055939999 42.4276528880001,-28.1268465169999 42.42678635,-28.1432874399999 42.425919811,-28.1597283639999 42.4250532730001,-28.1761692869999 42.424186734,-28.1926102099999 42.4233201960001,-28.2090511329999 42.4224536570001,-28.225492056 42.421587119,-28.241932979 42.4207205810001,-28.258373902 42.4198540420001,-28.274814825 42.418987504,-28.291255748 42.4181209650001,-28.307696671 42.417254427,-28.324137594 42.416387888,-28.340578518 42.4155213500001,-28.357019441 42.414654811,-28.373460364 42.4137882730001,-28.3899012869999 42.4129217340001,-28.4063422099999 42.412055196,-28.4227831329999 42.411188657,-28.4392240559999 42.4103221190001,-28.4556649789999 42.40945558,-28.472105902 42.4085890420001,-28.488546825 42.407722504,-28.5032481109999 42.4148048750001,-28.5179493969999 42.421887246,-28.5326506829999 42.4289696180001,-28.5473519679999 42.4360519890001,-28.562053254 42.443134361,-28.57675454 42.4502167320001,-28.591455825 42.4572991040001,-28.606157111 42.464381475,-28.6208583969999 42.4714638460001,-28.6355596829999 42.4785462180001,-28.6502609679999 42.485628589,-28.6649622539999 42.4927109610001,-28.67966354 42.4997933320001,-28.694364826 42.506875704,-28.709066111 42.5139580750001,-28.723767397 42.5210404470001,-28.738468683 42.528122818,-28.753169968 42.5352051890001,-28.7678712539999 42.5422875610001,-28.7825725399999 42.549369932,-28.797273826 42.5564523040001,-28.811975111 42.563534675,-28.826676397 42.570617047,-28.841377683 42.5776994180001,-28.856078969 42.584781789,-28.870780254 42.591864161,-28.8854815399999 42.5989465320001,-28.9001828259999 42.606028904,-28.9148841109999 42.6131112750001,-28.929585397 42.6201936470001,-28.944286683 42.627276018,-28.958987969 42.6343583890001,-28.973689254 42.6414407610001,-28.98839054 42.648523132,-29.0030918259999 42.6556055040001,-29.0178342259999 42.66142597,-29.032576626 42.6672464370001,-29.047319026 42.6730669040001,-29.062061426 42.67888737,-29.0768038259999 42.6847078370001,-29.0915462259999 42.6905283040001,-29.106288626 42.696348771,-29.121031026 42.7021692370001,-29.135773426 42.7079897040001,-29.1505158259999 42.713810171,-29.1652582259999 42.7196306370001,-29.180000626 42.7254511040001,-29.194743026 42.731271571,-29.209485426 42.737092037,-29.2242278259999 42.7429125040001,-29.2396520029999 42.7478552100001,-29.255076179 42.7527979160001,-29.270500356 42.757740622,-29.285924532 42.762683327,-29.301348708 42.7676260330001,-29.316772885 42.7725687390001,-29.3321970609999 42.7775114450001,-29.3476212379999 42.782454151,-29.3630454139999 42.787396857,-29.3784695909999 42.792339563,-29.393893767 42.797282269,-29.409317944 42.8022249750001,-29.42474212 42.8071676800001,-29.440166297 42.812110386,-29.455590473 42.817053092,-29.47101465 42.821995798,-29.486438826 42.8269385040001,-29.5023602429999 42.831301254,-29.51828166 42.8356640040001,-29.534203076 42.8400267540001,-29.5501244929999 42.844389504,-29.56604591 42.848752254,-29.581967326 42.8531150040001,-29.5978887429999 42.8574777540001,-29.61381016 42.861840504,-29.629731576 42.866203254,-29.6456529929999 42.8705660040001,-29.66157441 42.8749287540001,-29.677495826 42.879291504,-29.6937954119999 42.8820986790001,-29.7100949979999 42.8849058540001,-29.7263945839999 42.8877130290001,-29.7426941699999 42.890520204,-29.7589937559999 42.893327379,-29.7752933419999 42.8961345540001,-29.7915929279999 42.8989417280001,-29.8078925139999 42.9017489030001,-29.8241920999999 42.904556078,-29.840491686 42.907363253,-29.856791272 42.9101704280001,-29.873090858 42.9129776030001,-29.889390444 42.915784778,-29.90569003 42.918591953,-29.921989616 42.9213991280001,-29.938289202 42.9242063030001,-29.954588788 42.927013478,-29.970888374 42.929820653,-29.98718796 42.9326278280001,-30.003487546 42.9354350020001,-30.019787132 42.9382421770001,-30.036086718 42.9410493520001,-30.052386304 42.943856527,-30.06868589 42.9466637020001,-30.0849854759999 42.9494708770001,-30.1012850619999 42.9522780520001,-30.1175846479999 42.955085227,-30.1338842339999 42.957892402,-30.1501838199999 42.9606995770001,-30.1664834059999 42.9635067520001,-30.1827829919999 42.966313927,-30.1990825779999 42.969121102,-30.2153821639999 42.971928276,-30.23168175 42.9747354510001,-30.247981336 42.9775426260001,-30.264280921 42.980349801,-30.280580507 42.983156976,-30.296880093 42.9859641510001,-30.313179679 42.9887713260001,-30.329479265 42.991578501,-30.345778851 42.994385676,-30.362078437 42.9971928510001,-30.378378023 43.0000000260001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.X', 'Azores Grounds', '27.X', '27.X.a', 'Azores Grounds', '27.Xa', '27.X.a.1', 'Azores Grounds - NEAFC Reg. Area', '27.Xa1', '', '', '', '', 'Xa1', '4', '27.10.a.1', '27.Xa1', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.99999994 60.0000000250001,-11.999999955 54.5000000270001,-15.989999944 54.500000024,-15.989999944 54.5100000360001,-15.985999944 54.526000036,-15.9819999439999 54.542000036,-15.977999944 54.5580000360001,-15.973999944 54.574000036,-15.9699999439999 54.590000036,-15.9666666109999 54.605000036,-15.9633332769999 54.6200000360001,-15.9599999439999 54.6350000370001,-15.9566666109999 54.650000037,-15.953333277 54.665000037,-15.949999944 54.6800000370001,-15.9439999439999 54.696000037,-15.937999944 54.7120000370001,-15.9319999439999 54.7280000370001,-15.925999944 54.744000037,-15.9199999439999 54.7600000370001,-15.915999944 54.7760000370001,-15.9119999439999 54.792000037,-15.907999944 54.8080000370001,-15.903999944 54.8240000370001,-15.8999999439999 54.840000037,-15.8949999439999 54.8550000370001,-15.889999944 54.8700000370001,-15.884999944 54.8850000370001,-15.879999944 54.900000037,-15.874999944 54.915000037,-15.869999944 54.9300000370001,-15.863333277 54.9433333700001,-15.8566666099999 54.9566667030001,-15.8499999439999 54.970000037,-15.8433332769999 54.9833333700001,-15.83666661 54.9966667040001,-15.829999944 55.0100000370001,-15.823333277 55.02333337,-15.81666661 55.036666704,-15.809999944 55.0500000370001,-15.803333277 55.0633333700001,-15.7966666099999 55.076666704,-15.7899999439999 55.090000037,-15.7833332769999 55.1050000370001,-15.7766666099999 55.1200000370001,-15.7699999439999 55.1350000370001,-15.763333277 55.150000037,-15.75666661 55.165000037,-15.749999944 55.1800000370001,-15.74166661 55.1933333700001,-15.7333332769999 55.206666704,-15.7249999439999 55.220000037,-15.7166666099999 55.2333333700001,-15.708333277 55.2466667040001,-15.699999944 55.2600000370001,-15.69166661 55.27333337,-15.683333277 55.286666704,-15.674999944 55.3000000370001,-15.6666666099999 55.3133333700001,-15.6583332769999 55.326666704,-15.6499999439999 55.340000037,-15.64166661 55.3533333710001,-15.633333277 55.3666667040001,-15.624999944 55.3800000370001,-15.61666661 55.393333371,-15.6083332769999 55.406666704,-15.5999999439999 55.4200000370001,-15.5899999439999 55.4333333710001,-15.579999944 55.4466667040001,-15.569999944 55.460000037,-15.559999943 55.4733333710001,-15.5499999429999 55.4866667040001,-15.5399999429999 55.5000000370001,-15.5283332769999 55.511666704,-15.51666661 55.523333371,-15.504999943 55.535000037,-15.493333277 55.5466667040001,-15.4816666099999 55.5583333710001,-15.4699999429999 55.5700000370001,-15.459999943 55.583333371,-15.449999943 55.596666704,-15.439999943 55.6100000370001,-15.4299999429999 55.6233333710001,-15.4199999429999 55.636666704,-15.4099999429999 55.650000037,-15.399999943 55.661428609,-15.389999943 55.6728571800001,-15.379999943 55.6842857520001,-15.369999943 55.6957143230001,-15.3599999429999 55.7071428950001,-15.3499999429999 55.7185714660001,-15.339999943 55.7300000380001,-15.328333277 55.7416667040001,-15.31666661 55.7533333710001,-15.3049999429999 55.765000038,-15.2933332769999 55.776666704,-15.2816666099999 55.7883333710001,-15.269999943 55.8000000380001,-15.2585713719999 55.8114286090001,-15.2471427999999 55.82285718,-15.2357142289999 55.834285752,-15.2242856569999 55.845714323,-15.2128570859999 55.857142895,-15.201428515 55.868571466,-15.189999943 55.880000038,-15.178571372 55.890000038,-15.1671428 55.900000038,-15.155714229 55.9100000380001,-15.144285657 55.9200000380001,-15.1328570859999 55.9300000380001,-15.1214285149999 55.9400000380001,-15.1099999429999 55.950000038,-15.0983332759999 55.961666704,-15.08666661 55.9733333710001,-15.074999943 55.9850000380001,-15.063333276 55.9966667040001,-15.0516666099999 56.008333371,-15.0399999429999 56.020000038,-15.028333276 56.031666704,-15.01666661 56.0433333710001,-15.004999943 56.0550000380001,-14.9933332759999 56.066666705,-14.9816666099999 56.078333371,-14.9699999429999 56.090000038,-14.9585713719999 56.101428609,-14.9471427999999 56.112857181,-14.9357142289999 56.124285752,-14.9242856569999 56.135714324,-14.912857086 56.1471428950001,-14.901428514 56.1585714660001,-14.889999943 56.1700000380001,-14.8771427999999 56.1800000380001,-14.864285657 56.1900000380001,-14.851428514 56.200000038,-14.8385713709999 56.210000038,-14.825714229 56.2200000380001,-14.812857086 56.2300000380001,-14.7999999429999 56.2400000380001,-14.7885713709999 56.2500000380001,-14.7771428 56.260000038,-14.765714228 56.270000038,-14.754285657 56.2800000380001,-14.742857086 56.2900000380001,-14.731428514 56.3000000380001,-14.7199999429999 56.3100000380001,-14.705714228 56.318571467,-14.6914285139999 56.3271428950001,-14.6771428 56.335714324,-14.662857086 56.3442857520001,-14.6485713709999 56.352857181,-14.634285657 56.3614286100001,-14.619999943 56.3700000380001,-14.608571371 56.380000038,-14.5971428 56.390000038,-14.585714228 56.400000038,-14.574285657 56.4100000380001,-14.562857085 56.4200000380001,-14.551428514 56.4300000380001,-14.5399999429999 56.4400000380001,-14.525714228 56.4485714670001,-14.5114285139999 56.4571428950001,-14.4971427999999 56.465714324,-14.482857085 56.4742857530001,-14.4685713709999 56.482857181,-14.454285657 56.4914286100001,-14.4399999419999 56.5000000380001,-14.4274999419999 56.5087500380001,-14.414999942 56.517500038,-14.402499942 56.5262500380001,-14.389999942 56.5350000380001,-14.3774999419999 56.543750038,-14.3649999419999 56.5525000380001,-14.352499942 56.5612500380001,-14.339999942 56.570000038,-14.3490624419999 56.5837500380001,-14.358124942 56.5975000380001,-14.3671874419999 56.611250038,-14.376249942 56.6250000380001,-14.3853124419999 56.6387500380001,-14.394374942 56.652500038,-14.4034374419999 56.666250038,-14.412499942 56.6800000380001,-14.421562442 56.6937500380001,-14.430624942 56.707500038,-14.439687442 56.7212500380001,-14.4487499419999 56.7350000380001,-14.457812442 56.7487500380001,-14.4668749419999 56.762500038,-14.475937442 56.776250039,-14.4849999419999 56.7900000390001,-14.494062443 56.8037500390001,-14.5031249429999 56.817500039,-14.512187443 56.8312500390001,-14.5212499429999 56.8450000390001,-14.530312443 56.858750039,-14.5393749429999 56.872500039,-14.548437443 56.8862500390001,-14.557499943 56.9000000390001,-14.566562443 56.913750039,-14.575624943 56.9275000390001,-14.584687443 56.9412500390001,-14.593749943 56.955000039,-14.6028124429999 56.968750039,-14.611874943 56.9825000390001,-14.6209374429999 56.9962500390001,-14.629999943 57.010000039,-14.6346295719999 57.0259259650001,-14.6392592019999 57.0418518910001,-14.643888832 57.057777817,-14.648518461 57.0737037420001,-14.6531480909999 57.089629668,-14.65777772 57.1055555940001,-14.66240735 57.12148152,-14.66703698 57.1374074460001,-14.6716666089999 57.1533333720001,-14.680925869 57.1851852240001,-14.6855554979999 57.20111115,-14.6901851279999 57.2170370760001,-14.704074017 57.2648148540001,-14.717962906 57.3125926320001,-14.7225925349999 57.328518558,-14.736481424 57.3762963350001,-14.745740683 57.4081481870001,-14.750370313 57.4240741130001,-14.754999943 57.440000039,-14.7596295719999 57.4559259650001,-14.7642592019999 57.471851891,-14.768888832 57.4877778170001,-14.773518461 57.5037037430001,-14.7781480909999 57.519629669,-14.7827777209999 57.5355555950001,-14.78740735 57.551481521,-14.79203698 57.5674074470001,-14.7966666089999 57.5833333730001,-14.801296239 57.599259299,-14.805925869 57.6151852240001,-14.8105554979999 57.63111115,-14.8151851279999 57.6470370760001,-14.8198147579999 57.662963002,-14.824444387 57.678888928,-14.829074017 57.6948148540001,-14.838333276 57.7266667060001,-14.842962906 57.7425926320001,-14.8475925349999 57.758518558,-14.8522221649999 57.7744444840001,-14.856851795 57.79037041,-14.861481424 57.8062963360001,-14.8661110539999 57.8222222620001,-14.8707406839999 57.838148188,-14.875370313 57.8540741140001,-14.879999943 57.87000004,-14.8776922509999 57.8864102960001,-14.875384558 57.902820552,-14.873076866 57.9192308090001,-14.8684614809999 57.952051322,-14.866153789 57.9684615780001,-14.863846097 57.984871834,-14.8592307119999 58.017692347,-14.85692302 58.0341026040001,-14.854615327 58.05051286,-14.8523076349999 58.066923117,-14.8499999429999 58.0833333730001,-14.847692251 58.099743629,-14.8430768659999 58.132564142,-14.8407691739999 58.1489743990001,-14.838461481 58.1653846550001,-14.8338460969999 58.1982051680001,-14.829230712 58.2310256810001,-14.82692302 58.247435937,-14.8246153269999 58.2638461940001,-14.819999943 58.296666707,-14.8176922499999 58.3130769630001,-14.8153845579999 58.329487219,-14.810769174 58.362307732,-14.8061537889999 58.3951282450001,-14.803846097 58.411538502,-14.7992307119999 58.444359014,-14.79692302 58.4607692710001,-14.794615327 58.477179527,-14.7923076349999 58.4935897840001,-14.7899999429999 58.5100000400001,-14.783333276 58.525151555,-14.776666609 58.54030307,-14.769999943 58.5554545860001,-14.763333276 58.5706061010001,-14.756666609 58.5857576160001,-14.749999943 58.600909131,-14.7433332759999 58.6160606460001,-14.7366666089999 58.6312121610001,-14.7299999429999 58.6463636770001,-14.7233332759999 58.6615151920001,-14.716666609 58.676666707,-14.709999943 58.6918182220001,-14.703333276 58.7069697370001,-14.696666609 58.7221212520001,-14.689999943 58.7372727680001,-14.6833332759999 58.752424283,-14.6766666089999 58.7675757980001,-14.6699999429999 58.7827273130001,-14.6633332759999 58.7978788280001,-14.656666609 58.813030343,-14.649999943 58.828181859,-14.643333276 58.8433333740001,-14.636666609 58.8584848890001,-14.629999943 58.8736364040001,-14.6233332759999 58.888787919,-14.6166666089999 58.9039394340001,-14.6099999429999 58.9190909500001,-14.6033332759999 58.9342424650001,-14.596666609 58.9493939800001,-14.589999943 58.964545495,-14.583333276 58.9796970100001,-14.576666609 58.9948485250001,-14.569999943 59.0100000410001,-14.558846096 59.022307733,-14.54769225 59.034615425,-14.5365384039999 59.0469231180001,-14.5253845579999 59.05923081,-14.514230712 59.0715385020001,-14.503076866 59.083846194,-14.491923019 59.0961538870001,-14.4807691729999 59.108461579,-14.4696153269999 59.120769271,-14.458461481 59.1330769640001,-14.447307635 59.145384656,-14.4361537889999 59.1576923480001,-14.4249999419999 59.170000041,-14.4138460959999 59.1823077330001,-14.40269225 59.1946154250001,-14.391538404 59.2069231180001,-14.3803845579999 59.2192308100001,-14.3692307119999 59.231538502,-14.3580768649999 59.2438461950001,-14.346923019 59.256153887,-14.335769173 59.2684615790001,-14.3246153269999 59.280769272,-14.3134614809999 59.2930769640001,-14.302307635 59.3053846560001,-14.291153788 59.3176923490001,-14.279999942 59.3300000410001,-14.2688460959999 59.342307733,-14.2576922499999 59.3546154260001,-14.246538404 59.366923118,-14.235384558 59.3792308100001,-14.224230711 59.3915385020001,-14.2130768649999 59.403846195,-14.2019230189999 59.4161538870001,-14.190769173 59.428461579,-14.179615327 59.4407692720001,-14.168461481 59.453076964,-14.1573076339999 59.4653846560001,-14.1461537879999 59.4776923490001,-14.134999942 59.490000041,-14.123846096 59.5023077330001,-14.11269225 59.514615426,-14.1015384039999 59.5269231180001,-14.0903845579999 59.53923081,-14.079230711 59.5515385030001,-14.068076865 59.5638461950001,-14.056923019 59.576153887,-14.0457691729999 59.5884615800001,-14.0346153269999 59.600769272,-14.023461481 59.6130769640001,-14.012307634 59.625384657,-14.001153788 59.6376923490001,-13.9899999419999 59.6500000410001,-13.976388831 59.659722263,-13.96277772 59.669444486,-13.949166609 59.6791667080001,-13.9355554979999 59.6888889300001,-13.921944386 59.6986111520001,-13.908333275 59.7083333750001,-13.894722164 59.718055597,-13.8811110529999 59.727777819,-13.8674999419999 59.737500041,-13.8538888309999 59.7472222630001,-13.84027772 59.7569444860001,-13.826666609 59.7666667080001,-13.8130554969999 59.7763889300001,-13.7994443859999 59.786111152,-13.785833275 59.795833375,-13.772222164 59.8055555970001,-13.758611053 59.8152778190001,-13.7449999419999 59.8250000410001,-13.7313888309999 59.834722264,-13.71777772 59.844444486,-13.704166608 59.854166708,-13.6905554969999 59.86388893,-13.6769443859999 59.8736111520001,-13.663333275 59.8833333750001,-13.649722164 59.8930555970001,-13.636111053 59.9027778190001,-13.6224999419999 59.912500041,-13.6088888309999 59.922222264,-13.595277719 59.9319444860001,-13.581666608 59.9416667080001,-13.5680554969999 59.9513889300001,-13.5544443859999 59.961111153,-13.540833275 59.970833375,-13.527222164 59.980555597,-13.513611053 59.990277819,-13.499999961 60.000000028,-11.99999994 60.0000000250001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.VI', 'Rockall, NW Coast of Scotland and North Ireland', '27.VI', '27.VI.b', 'Rockall', '27.VIb', '27.VI.b.2', 'Rockall Non-NEAFC area', '27.VIb2', '', '', '', '', 'VIb2', '4', '27.6.b.2', '27.VIb2', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.999999959 48.000000023,-17.9999999459999 47.983333364,-17.9999999459999 47.9666666970001,-17.9999999459999 47.9500000300001,-17.9999999459999 47.9333333640001,-17.9999999459999 47.916666697,-17.9999999459999 47.9000000300001,-17.9999999459999 47.8833333640001,-17.9999999459999 47.866666697,-17.9999999459999 47.85000003,-17.9999999459999 47.8333333640001,-17.9999999459999 47.8166666970001,-17.9999999459999 47.80000003,-17.9999999459999 47.7833333630001,-17.9999999459999 47.7666666970001,-17.9999999459999 47.7500000300001,-17.9999999459999 47.733333363,-17.9999999459999 47.7166666970001,-17.9999999459999 47.7000000300001,-17.9999999459999 47.683333363,-17.9999999459999 47.666666697,-17.9999999459999 47.6500000300001,-17.9999999459999 47.6333333630001,-17.9999999459999 47.616666697,-17.9999999459999 47.60000003,-17.9999999459999 47.5833333630001,-17.9999999459999 47.5666666970001,-17.9999999459999 47.55000003,-17.9999999459999 47.5333333630001,-17.9999999459999 47.5166666970001,-17.9999999459999 47.5000000300001,-17.9999999459999 47.483333363,-17.9999999459999 47.4666666960001,-17.9999999459999 47.4500000300001,-17.9999999459999 47.433333363,-17.9999999459999 47.416666696,-17.9999999459999 47.4000000300001,-17.9999999459999 47.3833333630001,-17.9999999459999 47.366666696,-17.9999999459999 47.35000003,-17.9999999459999 47.3333333630001,-17.9999999459999 47.316666696,-17.9999999459999 47.30000003,-17.9999999459999 47.2833333630001,-17.9999999459999 47.2666666960001,-17.9999999459999 47.2500000300001,-17.9999999459999 47.233333363,-17.9999999459999 47.2166666960001,-17.9999999459999 47.2000000300001,-17.9999999459999 47.183333363,-17.9999999459999 47.166666696,-17.9999999459999 47.1500000300001,-17.9999999459999 47.1333333630001,-17.9999999459999 47.116666696,-17.9999999459999 47.1000000290001,-17.9999999459999 47.0833333630001,-17.9999999459999 47.066666696,-17.9999999459999 47.050000029,-17.9999999459999 47.0333333630001,-17.9999999459999 47.0166666960001,-17.9999999459999 47.000000029,-17.9999999459999 46.983333363,-17.9999999459999 46.9666666960001,-17.9999999459999 46.9500000290001,-17.9999999459999 46.933333363,-17.9999999459999 46.916666696,-17.9999999459999 46.9000000290001,-17.9999999459999 46.8833333630001,-17.9999999459999 46.866666696,-17.9999999459999 46.8500000290001,-17.9999999459999 46.8333333630001,-17.9999999459999 46.816666696,-17.9999999459999 46.800000029,-17.9999999459999 46.7833333630001,-17.9999999459999 46.7666666960001,-17.9999999459999 46.750000029,-17.9999999459999 46.7333333620001,-17.9999999459999 46.7166666960001,-17.9999999459999 46.7000000290001,-17.9999999459999 46.683333362,-17.9999999459999 46.666666696,-17.9999999459999 46.6500000290001,-17.9999999459999 46.633333362,-17.9999999459999 46.616666696,-17.9999999459999 46.6000000290001,-17.9999999459999 46.5833333620001,-17.9999999459999 46.566666696,-17.9999999459999 46.550000029,-17.9999999459999 46.5333333620001,-17.9999999459999 46.5166666960001,-17.9999999459999 46.500000029,-17.9999999459999 46.4833333620001,-17.9999999459999 46.4666666960001,-17.9999999459999 46.4500000290001,-17.9999999459999 46.433333362,-17.9999999459999 46.416666696,-17.9999999459999 46.4000000290001,-17.9999999459999 46.383333362,-17.9999999459999 46.366666695,-17.9999999459999 46.3500000290001,-17.9999999459999 46.3333333620001,-17.9999999459999 46.316666695,-17.9999999459999 46.300000029,-17.9999999459999 46.2833333620001,-17.9999999459999 46.266666695,-17.9999999459999 46.250000029,-17.9999999459999 46.2333333620001,-17.9999999459999 46.2166666950001,-17.9999999459999 46.2000000290001,-17.9999999459999 46.183333362,-17.9999999459999 46.1666666950001,-17.9999999459999 46.1500000290001,-17.9999999459999 46.133333362,-17.9999999459999 46.116666695,-17.9999999459999 46.1000000290001,-17.9999999459999 46.0833333620001,-17.9999999459999 46.066666695,-17.9999999459999 46.050000029,-17.9999999459999 46.0333333620001,-17.9999999459999 46.016666695,-17.9999999459999 46.000000028,-17.9999999459999 45.9833333620001,-17.9999999459999 45.9666666950001,-17.9999999459999 45.950000028,-17.9999999459999 45.933333362,-17.9999999459999 45.9166666950001,-17.9999999459999 45.9000000280001,-17.9999999459999 45.883333362,-17.9999999459999 45.866666695,-17.9999999459999 45.8500000280001,-17.9999999459999 45.8333333620001,-17.9999999459999 45.816666695,-17.9999999459999 45.8000000280001,-17.9999999459999 45.7833333620001,-17.9999999459999 45.766666695,-17.9999999459999 45.750000028,-17.9999999459999 45.7333333620001,-17.9999999459999 45.7166666950001,-17.9999999459999 45.700000028,-17.9999999459999 45.683333362,-17.9999999459999 45.6666666950001,-17.9999999459999 45.6500000280001,-17.9999999459999 45.633333361,-17.9999999459999 45.616666695,-17.9999999459999 45.6000000280001,-17.9999999459999 45.583333361,-17.9999999459999 45.566666695,-17.9999999459999 45.5500000280001,-17.9999999459999 45.5333333610001,-17.9999999459999 45.516666695,-17.9999999459999 45.500000028,-17.9999999459999 45.4833333610001,-17.9999999459999 45.4666666950001,-17.9999999459999 45.450000028,-17.9999999459999 45.4333333610001,-17.9999999459999 45.4166666950001,-17.9999999459999 45.4000000280001,-17.9999999459999 45.383333361,-17.9999999459999 45.366666695,-17.9999999459999 45.3500000280001,-17.9999999459999 45.333333361,-17.9999999459999 45.316666694,-17.9999999459999 45.3000000280001,-17.9999999459999 45.2833333610001,-17.9999999459999 45.266666694,-17.9999999459999 45.250000028,-17.9999999459999 45.2333333610001,-17.9999999459999 45.216666694,-17.9999999459999 45.200000028,-17.9999999459999 45.1833333610001,-17.9999999459999 45.1666666940001,-17.9999999459999 45.1500000280001,-17.9999999459999 45.133333361,-17.9999999459999 45.1166666940001,-17.9999999459999 45.1000000280001,-17.9999999459999 45.083333361,-17.9999999459999 45.066666694,-17.9999999459999 45.0500000280001,-17.9999999459999 45.0333333610001,-17.9999999459999 45.016666694,-17.9999999459999 45.000000028,-17.9999999459999 44.9833333610001,-17.9999999459999 44.966666694,-17.9999999459999 44.950000027,-17.9999999459999 44.9333333610001,-17.9999999459999 44.9166666940001,-17.9999999459999 44.900000027,-17.9999999459999 44.883333361,-17.9999999459999 44.8666666940001,-17.9999999459999 44.8500000270001,-17.9999999459999 44.833333361,-17.9999999459999 44.816666694,-17.9999999459999 44.8000000270001,-17.9999999459999 44.7833333610001,-17.9999999459999 44.766666694,-17.9999999459999 44.7500000270001,-17.9999999459999 44.7333333610001,-17.9999999459999 44.716666694,-17.9999999459999 44.700000027,-17.9999999459999 44.6833333610001,-17.9999999459999 44.6666666940001,-17.9999999459999 44.650000027,-17.9999999459999 44.633333361,-17.9999999459999 44.6166666940001,-17.9999999459999 44.6000000270001,-17.9999999459999 44.58333336,-17.9999999459999 44.566666694,-17.9999999459999 44.5500000270001,-17.9999999459999 44.53333336,-17.9999999459999 44.516666694,-17.9999999459999 44.5000000270001,-17.9999999459999 44.4833333600001,-17.9999999459999 44.466666694,-17.9999999459999 44.450000027,-17.9999999459999 44.4333333600001,-17.9999999459999 44.4166666940001,-17.9999999459999 44.400000027,-17.9999999459999 44.3833333600001,-17.9999999459999 44.3666666940001,-17.9999999459999 44.3500000270001,-17.9999999459999 44.33333336,-17.9999999459999 44.316666694,-17.9999999459999 44.3000000270001,-17.9999999459999 44.28333336,-17.9999999459999 44.266666694,-17.9999999459999 44.2500000270001,-17.9999999459999 44.2333333600001,-17.9999999459999 44.216666693,-17.9999999459999 44.200000027,-17.9999999459999 44.1833333600001,-17.9999999459999 44.166666693,-17.9999999459999 44.150000027,-17.9999999459999 44.1333333600001,-17.9999999459999 44.1166666930001,-17.9999999459999 44.1000000270001,-17.9999999459999 44.08333336,-17.9999999459999 44.0666666930001,-17.9999999459999 44.0500000270001,-17.9999999459999 44.03333336,-17.9999999459999 44.016666693,-17.9999999459999 44.0000000270001,-17.9999999459999 43.9833333600001,-17.9999999459999 43.966666693,-17.9999999459999 43.950000027,-17.9999999459999 43.9333333600001,-17.9999999459999 43.916666693,-17.9999999459999 43.900000027,-17.9999999459999 43.8833333600001,-17.9999999459999 43.8666666930001,-17.9999999459999 43.850000026,-17.9999999459999 43.83333336,-17.9999999459999 43.8166666930001,-17.9999999459999 43.8000000260001,-17.9999999459999 43.78333336,-17.9999999459999 43.766666693,-17.9999999459999 43.7500000260001,-17.9999999459999 43.7333333600001,-17.9999999459999 43.716666693,-17.9999999459999 43.7000000260001,-17.9999999459999 43.6833333600001,-17.9999999459999 43.666666693,-17.9999999459999 43.650000026,-17.9999999459999 43.6333333600001,-17.9999999459999 43.6166666930001,-17.9999999459999 43.600000026,-17.9999999459999 43.58333336,-17.9999999459999 43.5666666930001,-17.9999999459999 43.5500000260001,-17.9999999459999 43.53333336,-17.9999999459999 43.516666693,-17.9999999459999 43.5000000260001,-17.9999999459999 43.483333359,-17.9999999459999 43.466666693,-17.9999999459999 43.4500000260001,-17.9999999459999 43.4333333590001,-17.9999999459999 43.416666693,-17.9999999459999 43.400000026,-17.9999999459999 43.3833333590001,-17.9999999459999 43.3666666930001,-17.9999999459999 43.350000026,-17.9999999459999 43.3333333590001,-17.9999999459999 43.3166666930001,-17.9999999459999 43.3000000260001,-17.9999999459999 43.283333359,-17.9999999459999 43.266666693,-17.9999999459999 43.2500000260001,-17.9999999459999 43.233333359,-17.9999999459999 43.216666693,-17.9999999459999 43.2000000260001,-17.9999999459999 43.1833333590001,-17.9999999459999 43.166666692,-17.9999999459999 43.150000026,-17.9999999459999 43.1333333590001,-17.9999999459999 43.1166666920001,-17.9999999459999 43.100000026,-17.9999999459999 43.0833333590001,-17.9999999459999 43.0666666920001,-17.9999999459999 43.0500000260001,-17.9999999459999 43.033333359,-17.9999999459999 43.0166666920001,-17.999999959 43.000000019,-18.0166586399999 43.0000000260001,-18.0333147289999 43.0000000260001,-18.0333199409999 43.0000000260001,-18.0499721199999 43.0000000260001,-18.049979938 43.0000000260001,-18.066629511 43.0000000260001,-18.066639935 43.0000000260001,-18.0832869029999 43.0000000260001,-18.083299933 43.0000000260001,-18.099944294 43.0000000260001,-18.09995993 43.0000000260001,-18.116601685 43.0000000260001,-18.116619928 43.0000000260001,-18.1332590769999 43.0000000260001,-18.133279925 43.0000000260001,-18.149916468 43.0000000260001,-18.1499399219999 43.0000000260001,-18.16657386 43.0000000260001,-18.16659992 43.0000000260001,-18.1832312509999 43.0000000260001,-18.1832599169999 43.0000000260001,-18.199888642 43.0000000260001,-18.199919915 43.0000000260001,-18.216546034 43.0000000260001,-18.2165799119999 43.0000000260001,-18.2332034249999 43.0000000260001,-18.23323991 43.0000000260001,-18.249860817 43.0000000260001,-18.2498999069999 43.0000000260001,-18.266518208 43.0000000260001,-18.266559904 43.0000000260001,-18.2831755989999 43.0000000260001,-18.2832199019999 43.0000000260001,-18.299832991 43.0000000260001,-18.299879899 43.0000000260001,-18.3164903819999 43.0000000260001,-18.3165398969999 43.0000000260001,-18.3331477739999 43.0000000260001,-18.333199894 43.0000000260001,-18.349805165 43.0000000260001,-18.3498598909999 43.0000000260001,-18.3664625559999 43.0000000260001,-18.366519889 43.0000000260001,-18.3831199479999 43.0000000260001,-18.3831798859999 43.0000000260001,-18.399777339 43.0000000260001,-18.399839884 43.0000000260001,-18.416434731 43.0000000260001,-18.4164998809999 43.0000000260001,-18.4330921219999 43.0000000260001,-18.433159878 43.0000000260001,-18.449749513 43.0000000260001,-18.4498198759999 43.0000000260001,-18.4664069049999 43.0000000260001,-18.466479873 43.0000000260001,-18.483064296 43.0000000260001,-18.4831398709999 43.0000000260001,-18.499721687 43.0000000260001,-18.499799868 43.0000000260001,-18.5163790789999 43.0000000260001,-18.5164598659999 43.0000000260001,-18.53303647 43.0000000260001,-18.533119863 43.0000000260001,-18.549693862 43.0000000260001,-18.5497798599999 43.0000000260001,-18.5663512529999 43.0000000260001,-18.566439858 43.0000000260001,-18.583008644 43.0000000260001,-18.5830998549999 43.0000000260001,-18.599666036 43.0000000260001,-18.599759853 43.0000000260001,-18.6163234269999 43.0000000260001,-18.6164198499999 43.0000000260001,-18.632980819 43.0000000260001,-18.633079847 43.0000000260001,-18.64963821 43.0000000260001,-18.6497398449999 43.0000000260001,-18.6662956009999 43.0000000260001,-18.666399842 43.0000000260001,-18.682952993 43.0000000260001,-18.6830598399999 43.0000000260001,-18.699610384 43.0000000260001,-18.699719837 43.0000000260001,-18.7162677759999 43.0000000260001,-18.7163798349999 43.0000000260001,-18.732925167 43.0000000260001,-18.733039832 43.0000000260001,-18.7495825579999 43.0000000260001,-18.749699829 43.0000000260001,-18.7662399499999 43.0000000260001,-18.766359827 43.0000000260001,-18.782897341 43.0000000260001,-18.783019824 43.0000000260001,-18.7995547319999 43.0000000260001,-18.799679822 43.0000000260001,-18.8162121239999 43.0000000260001,-18.8163398189999 43.0000000260001,-18.832869515 43.0000000260001,-18.8329998159999 43.0000000260001,-18.8495269069999 43.0000000260001,-18.8496598139999 43.0000000260001,-18.866184298 43.0000000260001,-18.866319811 43.0000000260001,-18.882841689 43.0000000260001,-18.8829798089999 43.0000000260001,-18.8994990809999 43.0000000260001,-18.899639806 43.0000000260001,-18.916156472 43.0000000260001,-18.916299803 43.0000000260001,-18.932813864 43.0000000260001,-18.932959801 43.0000000260001,-18.9494712549999 43.0000000260001,-18.949619798 43.0000000260001,-18.966128646 43.0000000260001,-18.966279796 43.0000000260001,-18.982786038 43.0000000260001,-18.982939793 43.0000000260001,-18.9994434289999 43.0000000260001,-18.999599791 43.0000000260001,-19.016100821 43.0000000260001,-19.016259788 43.0000000260001,-19.032758212 43.0000000260001,-19.0329197849999 43.0000000260001,-19.0494156029999 43.0000000260001,-19.049579783 43.0000000260001,-19.066072995 43.0000000260001,-19.0662397799999 43.0000000260001,-19.082730386 43.0000000260001,-19.082899778 43.0000000260001,-19.0993877779999 43.0000000260001,-19.0995597749999 43.0000000260001,-19.116045169 43.0000000260001,-19.116219772 43.0000000260001,-19.1327025599999 43.0000000260001,-19.1328797699999 43.0000000260001,-19.1493599519999 43.0000000260001,-19.149539767 43.0000000260001,-19.166017343 43.0000000260001,-19.1661997649999 43.0000000260001,-19.1826747339999 43.0000000260001,-19.182859762 43.0000000260001,-19.1993321259999 43.0000000260001,-19.1995197589999 43.0000000260001,-19.215989517 43.0000000260001,-19.216179757 43.0000000260001,-19.232646909 43.0000000260001,-19.2328397539999 43.0000000260001,-19.2493042999999 43.0000000260001,-19.249499752 43.0000000260001,-19.265961691 43.0000000260001,-19.2661597489999 43.0000000260001,-19.2826190829999 43.0000000260001,-19.282819747 43.0000000260001,-19.299276474 43.0000000260001,-19.2994797439999 43.0000000260001,-19.315933866 43.0000000260001,-19.316139741 43.0000000260001,-19.3325912569999 43.0000000260001,-19.3327997389999 43.0000000260001,-19.349248648 43.0000000260001,-19.349459736 43.0000000260001,-19.36590604 43.0000000260001,-19.3661197339999 43.0000000260001,-19.3825634309999 43.0000000260001,-19.382779731 43.0000000260001,-19.399220823 43.0000000260001,-19.3994397279999 43.0000000260001,-19.415878214 43.0000000260001,-19.416099726 43.0000000260001,-19.4325356049999 43.0000000260001,-19.4327597229999 43.0000000260001,-19.449192997 43.0000000260001,-19.449419721 43.0000000260001,-19.465850388 43.0000000260001,-19.4660797179999 43.0000000260001,-19.4825077789999 43.0000000260001,-19.482739715 43.0000000260001,-19.499165171 43.0000000260001,-19.4993997129999 43.0000000260001,-19.515822562 43.0000000260001,-19.51605971 43.0000000260001,-19.5324799539999 43.0000000260001,-19.5327197079999 43.0000000260001,-19.549137345 43.0000000260001,-19.549379705 43.0000000260001,-19.5657947359999 43.0000000260001,-19.5660397029999 43.0000000260001,-19.5824521279999 43.0000000260001,-19.5826997 43.0000000260001,-19.599109519 43.0000000260001,-19.599359697 43.0000000260001,-19.615766911 43.0000000260001,-19.616019695 43.0000000260001,-19.6324243019999 43.0000000260001,-19.632679692 43.0000000260001,-19.649081693 43.0000000260001,-19.64933969 43.0000000260001,-19.6657390849999 43.0000000260001,-19.665999687 43.0000000260001,-19.682396476 43.0000000260001,-19.6826596839999 43.0000000260001,-19.699053868 43.0000000260001,-19.699319682 43.0000000260001,-19.7157112589999 43.0000000260001,-19.7159796789999 43.0000000260001,-19.73236865 43.0000000260001,-19.732639677 43.0000000260001,-19.749026042 43.0000000260001,-19.7492996739999 43.0000000260001,-19.7656834329999 43.0000000260001,-19.765959671 43.0000000260001,-19.7823408249999 43.0000000260001,-19.7826196689999 43.0000000260001,-19.798998216 43.0000000260001,-19.799279666 43.0000000260001,-19.8156556069999 43.0000000260001,-19.8159396639999 43.0000000260001,-19.832312999 43.0000000260001,-19.832599661 43.0000000260001,-19.84897039 43.0000000260001,-19.8492596589999 43.0000000260001,-19.8656277809999 43.0000000260001,-19.865919656 43.0000000260001,-19.882285173 43.0000000260001,-19.8825796529999 43.0000000260001,-19.898942564 43.0000000260001,-19.899239651 43.0000000260001,-19.9155999559999 43.0000000260001,-19.9158996479999 43.0000000260001,-19.932257347 43.0000000260001,-19.932559646 43.0000000260001,-19.9489147379999 43.0000000260001,-19.9492196429999 43.0000000260001,-19.9655721299999 43.0000000260001,-19.96587964 43.0000000260001,-19.982229521 43.0000000260001,-19.9825396379999 43.0000000260001,-19.998886913 43.0000000260001,-19.999199635 43.0000000260001,-20.0155443039999 43.0000000260001,-20.0158596329999 43.0000000260001,-20.032201695 43.0000000260001,-20.03251963 43.0000000260001,-20.048859087 43.0000000260001,-20.0491796279999 43.0000000260001,-20.0655164779999 43.0000000260001,-20.065839625 43.0000000260001,-20.08217387 43.0000000260001,-20.0824996219999 43.0000000260001,-20.0988312609999 43.0000000260001,-20.09915962 43.0000000260001,-20.115488652 43.0000000260001,-20.1158196169999 43.0000000260001,-20.132146044 43.0000000260001,-20.132479615 43.0000000260001,-20.1488034349999 43.0000000260001,-20.1491396119999 43.0000000260001,-20.165460826 43.0000000260001,-20.165799609 43.0000000260001,-20.182118218 43.0000000260001,-20.1824596069999 43.0000000260001,-20.1987756089999 43.0000000260001,-20.199119604 43.0000000260001,-20.215433001 43.0000000260001,-20.2157796019999 43.0000000260001,-20.232090392 43.0000000260001,-20.232439599 43.0000000260001,-20.2487477829999 43.0000000260001,-20.249099596 43.0000000260001,-20.265405175 43.0000000260001,-20.265759594 43.0000000260001,-20.282062566 43.0000000260001,-20.282419591 43.0000000260001,-20.2987199579999 43.0000000260001,-20.299079589 43.0000000260001,-20.315377349 43.0000000260001,-20.3157395859999 43.0000000260001,-20.3320347399999 43.0000000260001,-20.332399584 43.0000000260001,-20.3486921319999 43.0000000260001,-20.3490595809999 43.0000000260001,-20.365349523 43.0000000260001,-20.365719578 43.0000000260001,-20.382006915 43.0000000260001,-20.3823795759999 43.0000000260001,-20.3986643059999 43.0000000260001,-20.399039573 43.0000000260001,-20.415321697 43.0000000260001,-20.4156995709999 43.0000000260001,-20.431979089 43.0000000260001,-20.432359568 43.0000000260001,-20.4486364799999 43.0000000260001,-20.449019565 43.0000000260001,-20.465293871 43.0000000260001,-20.465679563 43.0000000260001,-20.4819512629999 43.0000000260001,-20.48233956 43.0000000260001,-20.498608654 43.0000000260001,-20.498999558 43.0000000260001,-20.515266046 43.0000000260001,-20.515659555 43.0000000260001,-20.5319234369999 43.0000000260001,-20.5323195519999 43.0000000260001,-20.548580828 43.0000000260001,-20.54897955 43.0000000260001,-20.56523822 43.0000000260001,-20.5656395469999 43.0000000260001,-20.5818956109999 43.0000000260001,-20.582299545 43.0000000260001,-20.5985530029999 43.0000000260001,-20.5989595419999 43.0000000260001,-20.615210394 43.0000000260001,-20.61561954 43.0000000260001,-20.6318677849999 43.0000000260001,-20.6322795369999 43.0000000260001,-20.648525177 43.0000000260001,-20.648939534 43.0000000260001,-20.665182568 43.0000000260001,-20.6655995319999 43.0000000260001,-20.6818399599999 43.0000000260001,-20.682259529 43.0000000260001,-20.698497351 43.0000000260001,-20.6989195269999 43.0000000260001,-20.715154742 43.0000000260001,-20.715579524 43.0000000260001,-20.7318121339999 43.0000000260001,-20.7322395209999 43.0000000260001,-20.748469525 43.0000000260001,-20.748899519 43.0000000260001,-20.765126917 43.0000000260001,-20.7655595159999 43.0000000260001,-20.7817843079999 43.0000000260001,-20.782219514 43.0000000260001,-20.798441699 43.0000000260001,-20.7988795109999 43.0000000260001,-20.815099091 43.0000000260001,-20.815539508 43.0000000260001,-20.8317564819999 43.0000000260001,-20.8321995059999 43.0000000260001,-20.848413873 43.0000000260001,-20.848859503 43.0000000260001,-20.865071265 43.0000000260001,-20.8655195009999 43.0000000260001,-20.881728656 43.0000000260001,-20.882179498 43.0000000260001,-20.898386048 43.0000000260001,-20.8988394959999 43.0000000260001,-20.9150434389999 43.0000000260001,-20.915499493 43.0000000260001,-20.93170083 43.0000000260001,-20.9321594899999 43.0000000260001,-20.948358222 43.0000000260001,-20.948819488 43.0000000260001,-20.9650156129999 43.0000000260001,-20.9654794849999 43.0000000260001,-20.9816730049999 43.0000000260001,-20.982139483 43.0000000260001,-20.998330396 43.0000000260001,-20.9987994799999 43.0000000260001,-21.0149877869999 43.0000000260001,-21.015459477 43.0000000260001,-21.031645179 43.0000000260001,-21.0321194749999 43.0000000260001,-21.04830257 43.0000000260001,-21.048779472 43.0000000260001,-21.0649599619999 43.0000000260001,-21.0654394699999 43.0000000260001,-21.081617353 43.0000000260001,-21.082099467 43.0000000260001,-21.098274744 43.0000000260001,-21.0987594649999 43.0000000260001,-21.1149321359999 43.0000000260001,-21.115419462 43.0000000260001,-21.131589527 43.0000000260001,-21.132079459 43.0000000260001,-21.1482469179999 43.0000000260001,-21.148739457 43.0000000260001,-21.1649043099999 43.0000000260001,-21.165399454 43.0000000260001,-21.181561701 43.0000000260001,-21.182059452 43.0000000260001,-21.198219093 43.0000000260001,-21.198719449 43.0000000260001,-21.2148764839999 43.0000000260001,-21.2153794459999 43.0000000260001,-21.231533875 43.0000000260001,-21.232039444 43.0000000260001,-21.248191267 43.0000000260001,-21.2486994409999 43.0000000260001,-21.2648486579999 43.0000000260001,-21.265359439 43.0000000260001,-21.28150605 43.0000000260001,-21.2820194359999 43.0000000260001,-21.2981634409999 43.0000000260001,-21.298679433 43.0000000260001,-21.314820832 43.0000000260001,-21.3153394309999 43.0000000260001,-21.331478224 43.0000000260001,-21.331999428 43.0000000260001,-21.3481356149999 43.0000000260001,-21.3486594259999 43.0000000260001,-21.3647930069999 43.0000000260001,-21.365319423 43.0000000260001,-21.381450398 43.0000000260001,-21.381979421 43.0000000260001,-21.3981077889999 43.0000000260001,-21.398639418 43.0000000260001,-21.414765181 43.0000000260001,-21.4152994149999 43.0000000260001,-21.431422572 43.0000000260001,-21.431959413 43.0000000260001,-21.4480799639999 43.0000000260001,-21.4486194099999 43.0000000260001,-21.464737355 43.0000000260001,-21.465279408 43.0000000260001,-21.481394746 43.0000000260001,-21.4819394049999 43.0000000260001,-21.4980521379999 43.0000000260001,-21.498599402 43.0000000260001,-21.514709529 43.0000000260001,-21.5152593999999 43.0000000260001,-21.53136692 43.0000000260001,-21.531919397 43.0000000260001,-21.5480243119999 43.0000000260001,-21.5485793949999 43.0000000260001,-21.564681703 43.0000000260001,-21.565239392 43.0000000260001,-21.581339095 43.0000000260001,-21.5818993889999 43.0000000260001,-21.5979964859999 43.0000000260001,-21.598559387 43.0000000260001,-21.614653877 43.0000000260001,-21.6152193839999 43.0000000260001,-21.631311269 43.0000000260001,-21.631879382 43.0000000260001,-21.6479686599999 43.0000000260001,-21.6485393789999 43.0000000260001,-21.664626052 43.0000000260001,-21.665199377 43.0000000260001,-21.6812834429999 43.0000000260001,-21.6818593739999 43.0000000260001,-21.697940834 43.0000000260001,-21.698519371 43.0000000260001,-21.714598226 43.0000000260001,-21.7151793689999 43.0000000260001,-21.7312556169999 43.0000000260001,-21.731839366 43.0000000260001,-21.7479130089999 43.0000000260001,-21.7484993639999 43.0000000260001,-21.7645704 43.0000000260001,-21.765159361 43.0000000260001,-21.7812277909999 43.0000000260001,-21.781819358 43.0000000260001,-21.7978851829999 43.0000000260001,-21.798479356 43.0000000260001,-21.814542574 43.0000000260001,-21.8151393529999 43.0000000260001,-21.8311999649999 43.0000000260001,-21.831799351 43.0000000260001,-21.847857357 43.0000000260001,-21.8484593479999 43.0000000260001,-21.864514748 43.0000000260001,-21.865119345 43.0000000260001,-21.8811721399999 43.0000000260001,-21.8817793429999 43.0000000260001,-21.897829531 43.0000000260001,-21.89843934 43.0000000260001,-21.914486922 43.0000000260001,-21.9150993379999 43.0000000260001,-21.9311443139999 43.0000000260001,-21.931759335 43.0000000260001,-21.947801705 43.0000000260001,-21.9484193329999 43.0000000260001,-21.964459097 43.0000000260001,-21.96507933 43.0000000260001,-21.9811164879999 43.0000000260001,-21.981739327 43.0000000260001,-21.997773879 43.0000000260001,-21.998399325 43.0000000260001,-22.014431271 43.0000000260001,-22.015059322 43.0000000260001,-22.0310886619999 43.0000000260001,-22.03171932 43.0000000260001,-22.047746054 43.0000000260001,-22.048379317 43.0000000260001,-22.064403445 43.0000000260001,-22.0650393139999 43.0000000260001,-22.0810608359999 43.0000000260001,-22.081699312 43.0000000260001,-22.097718228 43.0000000260001,-22.0983593089999 43.0000000260001,-22.1143466039999 43.0000000260001,-22.115019307 43.0000000260001,-22.13097498 43.0000000260001,-22.1316793039999 43.0000000260001,-22.1476033559999 43.0000000260001,-22.148339301 43.0000000260001,-22.164231732 43.0000000260001,-22.1649992989999 43.0000000260001,-22.1808601079999 43.0000000260001,-22.181659296 43.0000000260001,-22.197488484 43.0000000260001,-22.1983192939999 43.0000000260001,-22.2141168599999 43.0000000260001,-22.214979291 43.0000000260001,-22.230745236 43.0000000260001,-22.2316392889999 43.0000000260001,-22.2473736119999 43.0000000260001,-22.248299286 43.0000000260001,-22.264001988 43.0000000260001,-22.2649592829999 43.0000000260001,-22.2806303639999 43.0000000260001,-22.281619281 43.0000000260001,-22.29725874 43.0000000260001,-22.2982792779999 43.0000000260001,-22.3138871159999 43.0000000260001,-22.314939276 43.0000000260001,-22.330515492 43.0000000260001,-22.3315992729999 43.0000000260001,-22.3471438679999 43.0000000260001,-22.34825927 43.0000000260001,-22.363772244 43.0000000260001,-22.3649192679999 43.0000000260001,-22.3804006199999 43.0000000260001,-22.381579265 43.0000000260001,-22.397028996 43.0000000260001,-22.3982392629999 43.0000000260001,-22.4136573719999 43.0000000260001,-22.41489926 43.0000000260001,-22.430285748 43.0000000260001,-22.4315592579999 43.0000000260001,-22.4469141239999 43.0000000260001,-22.448219255 43.0000000260001,-22.4635425 43.0000000260001,-22.4648792519999 43.0000000260001,-22.4801708759999 43.0000000260001,-22.48153925 43.0000000260001,-22.496799252 43.0000000260001,-22.4981992469999 43.0000000260001,-22.5134276279999 43.0000000260001,-22.514859245 43.0000000260001,-22.530056004 43.0000000260001,-22.5315192419999 43.0000000260001,-22.5466843799999 43.0000000260001,-22.548179239 43.0000000260001,-22.563312756 43.0000000260001,-22.5648392369999 43.0000000260001,-22.5799411319999 43.0000000260001,-22.581499234 43.0000000260001,-22.596569508 43.0000000260001,-22.5981592319999 43.0000000260001,-22.6131978839999 43.0000000260001,-22.614819229 43.0000000260001,-22.62982626 43.0000000260001,-22.631479226 43.0000000260001,-22.6464546359999 43.0000000260001,-22.648139224 43.0000000260001,-22.663083012 43.0000000260001,-22.664799221 43.0000000260001,-22.6797113879999 43.0000000260001,-22.681459219 43.0000000260001,-22.696339764 43.0000000260001,-22.698119216 43.0000000260001,-22.7129681399999 43.0000000260001,-22.714779214 43.0000000260001,-22.729596516 43.0000000260001,-22.731439211 43.0000000260001,-22.7462248919999 43.0000000260001,-22.7480992079999 43.0000000260001,-22.762853268 43.0000000260001,-22.764759206 43.0000000260001,-22.7794816439999 43.0000000260001,-22.7814192029999 43.0000000260001,-22.79611002 43.0000000260001,-22.798079201 43.0000000260001,-22.8127383959999 43.0000000260001,-22.8147391979999 43.0000000260001,-22.829366772 43.0000000260001,-22.831399195 43.0000000260001,-22.8459951479999 43.0000000260001,-22.848059193 43.0000000260001,-22.862623524 43.0000000260001,-22.86471919 43.0000000260001,-22.8792518999999 43.0000000260001,-22.881379188 43.0000000260001,-22.895880276 43.0000000260001,-22.898039185 43.0000000260001,-22.9125086519999 43.0000000260001,-22.9146991819999 43.0000000260001,-22.929137028 43.0000000260001,-22.93135918 43.0000000260001,-22.9457654039999 43.0000000260001,-22.9480191769999 43.0000000260001,-22.96239378 43.0000000260001,-22.964679175 43.0000000260001,-22.9790221559999 43.0000000260001,-22.9813391719999 43.0000000260001,-22.995650532 43.0000000260001,-22.99799917 43.0000000260001,-23.0122789079999 43.0000000260001,-23.0146591669999 43.0000000260001,-23.028907284 43.0000000260001,-23.031319164 43.0000000260001,-23.0455356599999 43.0000000260001,-23.0479791619999 43.0000000260001,-23.062164036 43.0000000260001,-23.064639159 43.0000000260001,-23.0787924119999 43.0000000260001,-23.0812991569999 43.0000000260001,-23.095420788 43.0000000260001,-23.097959154 43.0000000260001,-23.1120491639999 43.0000000260001,-23.1146191509999 43.0000000260001,-23.12867754 43.0000000260001,-23.131279149 43.0000000260001,-23.1453059159999 43.0000000260001,-23.1479391459999 43.0000000260001,-23.161934292 43.0000000260001,-23.164599144 43.0000000260001,-23.1785626679999 43.0000000260001,-23.1812591409999 43.0000000260001,-23.195191044 43.0000000260001,-23.197919138 43.0000000260001,-23.21181942 43.0000000260001,-23.2145791359999 43.0000000260001,-23.228447796 43.0000000260001,-23.231239133 43.0000000260001,-23.245076172 43.0000000260001,-23.2478991309999 43.0000000260001,-23.261704548 43.0000000260001,-23.264559128 43.0000000260001,-23.278332924 43.0000000260001,-23.2812191259999 43.0000000260001,-23.2949613 43.0000000260001,-23.297879123 43.0000000260001,-23.311589676 43.0000000260001,-23.3145391199999 43.0000000260001,-23.328218052 43.0000000260001,-23.331199118 43.0000000260001,-23.344846428 43.0000000260001,-23.3478591149999 43.0000000260001,-23.361474804 43.0000000260001,-23.364519113 43.0000000260001,-23.37810318 43.0000000260001,-23.3811791099999 43.0000000260001,-23.394731556 43.0000000260001,-23.397839107 43.0000000260001,-23.411359932 43.0000000260001,-23.4144991049999 43.0000000260001,-23.427988308 43.0000000260001,-23.431159102 43.0000000260001,-23.444616684 43.0000000260001,-23.4478190999999 43.0000000260001,-23.46124506 43.0000000260001,-23.464479097 43.0000000260001,-23.477873436 43.0000000260001,-23.481139094 43.0000000260001,-23.494501812 43.0000000260001,-23.497799092 43.0000000260001,-23.511130188 43.0000000260001,-23.514459089 43.0000000260001,-23.527758564 43.0000000260001,-23.531119087 43.0000000260001,-23.54438694 43.0000000260001,-23.547779084 43.0000000260001,-23.561015316 43.0000000260001,-23.564439082 43.0000000260001,-23.577643692 43.0000000260001,-23.581099079 43.0000000260001,-23.594272068 43.0000000260001,-23.5977590759999 43.0000000260001,-23.610900444 43.0000000260001,-23.614419074 43.0000000260001,-23.62752882 43.0000000260001,-23.6310790709999 43.0000000260001,-23.644157196 43.0000000260001,-23.647739069 43.0000000260001,-23.660785572 43.0000000260001,-23.6643990659999 43.0000000260001,-23.677413948 43.0000000260001,-23.681059063 43.0000000260001,-23.694042324 43.0000000260001,-23.6977190609999 43.0000000260001,-23.7106707 43.0000000260001,-23.714379058 43.0000000260001,-23.727299076 43.0000000260001,-23.7310390559999 43.0000000260001,-23.743927452 43.0000000260001,-23.747699053 43.0000000260001,-23.760555828 43.0000000260001,-23.7643590509999 43.0000000260001,-23.777184204 43.0000000260001,-23.781019048 43.0000000260001,-23.79381258 43.0000000260001,-23.7976790449999 43.0000000260001,-23.810440956 43.0000000260001,-23.814339043 43.0000000260001,-23.827069332 43.0000000260001,-23.8309990399999 43.0000000260001,-23.843697708 43.0000000260001,-23.847659038 43.0000000260001,-23.860326084 43.0000000260001,-23.8643190349999 43.0000000260001,-23.87695446 43.0000000260001,-23.880979032 43.0000000260001,-23.893582836 43.0000000260001,-23.8976390299999 43.0000000260001,-23.910211212 43.0000000260001,-23.914299027 43.0000000260001,-23.926839588 43.0000000260001,-23.9309590249999 43.0000000260001,-23.943467964 43.0000000260001,-23.947619022 43.0000000260001,-23.96009634 43.0000000260001,-23.9642790189999 43.0000000260001,-23.976724716 43.0000000260001,-23.980939017 43.0000000260001,-23.9933530919999 43.0000000260001,-23.9975990139999 43.0000000260001,-24.009981468 43.0000000260001,-24.014259012 43.0000000260001,-24.0266098439999 43.0000000260001,-24.0309190089999 43.0000000260001,-24.04323822 43.0000000260001,-24.047579007 43.0000000260001,-24.0598665959999 43.0000000260001,-24.0642390039999 43.0000000260001,-24.076494972 43.0000000260001,-24.080899001 43.0000000260001,-24.0931233479999 43.0000000260001,-24.0975589989999 43.0000000260001,-24.109751724 43.0000000260001,-24.114218996 43.0000000260001,-24.1263800999999 43.0000000260001,-24.1308789939999 43.0000000260001,-24.143008476 43.0000000260001,-24.147538991 43.0000000260001,-24.1596368519999 43.0000000260001,-24.164198988 43.0000000260001,-24.176265228 43.0000000260001,-24.180858986 43.0000000260001,-24.1928936039999 43.0000000260001,-24.197518983 43.0000000260001,-24.20952198 43.0000000260001,-24.214178981 43.0000000260001,-24.2261503559999 43.0000000260001,-24.230838978 43.0000000260001,-24.242778732 43.0000000260001,-24.2474989749999 43.0000000260001,-24.2594071079999 43.0000000260001,-24.264158973 43.0000000260001,-24.276035484 43.0000000260001,-24.2808189699999 43.0000000260001,-24.2926638599999 43.0000000260001,-24.297478968 43.0000000260001,-24.309292236 43.0000000260001,-24.3141389649999 43.0000000260001,-24.3259206119999 43.0000000260001,-24.3307989629999 43.0000000260001,-24.342548988 43.0000000260001,-24.34745896 43.0000000260001,-24.3591773639999 43.0000000260001,-24.364118957 43.0000000260001,-24.37580574 43.0000000260001,-24.380778955 43.0000000260001,-24.3924341159999 43.0000000260001,-24.397438952 43.0000000260001,-24.409062492 43.0000000260001,-24.41409895 43.0000000260001,-24.4256908679999 43.0000000260001,-24.430758947 43.0000000260001,-24.442319244 43.0000000260001,-24.4474189439999 43.0000000260001,-24.4589476199999 43.0000000260001,-24.464078942 43.0000000260001,-24.475575996 43.0000000260001,-24.4807389389999 43.0000000260001,-24.4922043719999 43.0000000260001,-24.497398937 43.0000000260001,-24.508832748 43.0000000260001,-24.5140589339999 43.0000000260001,-24.5254611239999 43.0000000260001,-24.530718931 43.0000000260001,-24.5420895 43.0000000260001,-24.5473789289999 43.0000000260001,-24.5587178759999 43.0000000260001,-24.564038926 43.0000000260001,-24.575346252 43.0000000260001,-24.5806989239999 43.0000000260001,-24.5919746279999 43.0000000260001,-24.597358921 43.0000000260001,-24.608603004 43.0000000260001,-24.6140189189999 43.0000000260001,-24.6252313799999 43.0000000260001,-24.630678916 43.0000000260001,-24.641859756 43.0000000260001,-24.6473389129999 43.0000000260001,-24.6584881319999 43.0000000260001,-24.663998911 43.0000000260001,-24.675116508 43.0000000260001,-24.6806589079999 43.0000000260001,-24.6917448839999 43.0000000260001,-24.697318906 43.0000000260001,-24.70837326 43.0000000260001,-24.7139789029999 43.0000000260001,-24.7250016359999 43.0000000260001,-24.7306389 43.0000000260001,-24.741630012 43.0000000260001,-24.7472988979999 43.0000000260001,-24.7582583879999 43.0000000260001,-24.763958895 43.0000000260001,-24.774886764 43.0000000260001,-24.7806188929999 43.0000000260001,-24.7915151399999 43.0000000260001,-24.79727889 43.0000000260001,-24.808143516 43.0000000260001,-24.8139388879999 43.0000000260001,-24.8247718919999 43.0000000260001,-24.830598885 43.0000000260001,-24.841400268 43.0000000260001,-24.8472588819999 43.0000000260001,-24.8580286439999 43.0000000260001,-24.86391888 43.0000000260001,-24.87465702 43.0000000260001,-24.8805788769999 43.0000000260001,-24.8912853959999 43.0000000260001,-24.897238875 43.0000000260001,-24.907913772 43.0000000260001,-24.9138988719999 43.0000000260001,-24.9245421479999 43.0000000260001,-24.930558869 43.0000000260001,-24.941170524 43.0000000260001,-24.9472188669999 43.0000000260001,-24.9577988999999 43.0000000260001,-24.963878864 43.0000000260001,-24.974427276 43.0000000260001,-24.9805388619999 43.0000000260001,-24.9910556519999 43.0000000260001,-24.997198859 43.0000000260001,-25.007684028 43.0000000260001,-25.013858856 43.0000000260001,-25.0243124039999 43.0000000260001,-25.030518854 43.0000000260001,-25.04094078 43.0000000260001,-25.047178851 43.0000000260001,-25.0575691559999 43.0000000260001,-25.063838849 43.0000000260001,-25.074197532 43.0000000260001,-25.080498846 43.0000000260001,-25.0908259079999 43.0000000260001,-25.097158844 43.0000000260001,-25.107454284 43.0000000260001,-25.113818841 43.0000000260001,-25.1240826599999 43.0000000260001,-25.1304788379999 43.0000000260001,-25.140711036 43.0000000260001,-25.147138836 43.0000000260001,-25.1573394119999 43.0000000260001,-25.1637988329999 43.0000000260001,-25.173967788 43.0000000260001,-25.180458831 43.0000000260001,-25.1905961639999 43.0000000260001,-25.1971188279999 43.0000000260001,-25.20722454 43.0000000260001,-25.213778825 43.0000000260001,-25.2238529159999 43.0000000260001,-25.2304388229999 43.0000000260001,-25.240481292 43.0000000260001,-25.24709882 43.0000000260001,-25.2571096679999 43.0000000260001,-25.2637588179999 43.0000000260001,-25.273738044 43.0000000260001,-25.280418815 43.0000000260001,-25.2903664199999 43.0000000260001,-25.2970788119999 43.0000000260001,-25.306994796 43.0000000260001,-25.31373881 43.0000000260001,-25.3236231719999 43.0000000260001,-25.3303988069999 43.0000000260001,-25.340251548 43.0000000260001,-25.347058805 43.0000000260001,-25.3568799239999 43.0000000260001,-25.3637188019999 43.0000000260001,-25.3735083 43.0000000260001,-25.3803788 43.0000000260001,-25.3901366759999 43.0000000260001,-25.3970387969999 43.0000000260001,-25.406765052 43.0000000260001,-25.413698794 43.0000000260001,-25.4233934279999 43.0000000260001,-25.4303587919999 43.0000000260001,-25.440021804 43.0000000260001,-25.447018789 43.0000000260001,-25.4566501799999 43.0000000260001,-25.4636787869999 43.0000000260001,-25.473278556 43.0000000260001,-25.480338784 43.0000000260001,-25.4899069319999 43.0000000260001,-25.4969987809999 43.0000000260001,-25.506535308 43.0000000260001,-25.513658779 43.0000000260001,-25.5231636839999 43.0000000260001,-25.5303187759999 43.0000000260001,-25.53979206 43.0000000260001,-25.546978774 43.0000000260001,-25.5564204359999 43.0000000260001,-25.5636387709999 43.0000000260001,-25.573048812 43.0000000260001,-25.580298768 43.0000000260001,-25.5896771879999 43.0000000260001,-25.5969587659999 43.0000000260001,-25.606305564 43.0000000260001,-25.613618763 43.0000000260001,-25.6229339399999 43.0000000260001,-25.6302787609999 43.0000000260001,-25.639562316 43.0000000260001,-25.646938758 43.0000000260001,-25.6561906909999 43.0000000260001,-25.6635987559999 43.0000000260001,-25.672819067 43.0000000260001,-25.680258753 43.0000000260001,-25.6894474429999 43.0000000260001,-25.69691875 43.0000000260001,-25.706075819 43.0000000260001,-25.713578748 43.0000000260001,-25.7227041949999 43.0000000260001,-25.730238745 43.0000000260001,-25.739332571 43.0000000260001,-25.746898743 43.0000000260001,-25.7559609469999 43.0000000260001,-25.76355874 43.0000000260001,-25.772589323 43.0000000260001,-25.7802187369999 43.0000000260001,-25.7892176989999 43.0000000260001,-25.796878735 43.0000000260001,-25.805846075 43.0000000260001,-25.813538732 43.0000000260001,-25.8224744509999 43.0000000260001,-25.8301987299999 43.0000000260001,-25.839102827 43.0000000260001,-25.846858727 43.0000000260001,-25.8557312029999 43.0000000260001,-25.863518724 43.0000000260001,-25.872359579 43.0000000260001,-25.880178722 43.0000000260001,-25.8889879549999 43.0000000260001,-25.896838719 43.0000000260001,-25.905616331 43.0000000260001,-25.913498717 43.0000000260001,-25.9222447069999 43.0000000260001,-25.930158714 43.0000000260001,-25.938873083 43.0000000260001,-25.946818712 43.0000000260001,-25.9555014589999 43.0000000260001,-25.963478709 43.0000000260001,-25.972129835 43.0000000260001,-25.9801387059999 43.0000000260001,-25.9887582109999 43.0000000260001,-25.996798704 43.0000000260001,-26.005386587 43.0000000260001,-26.0134587009999 43.0000000260001,-26.0220149629999 43.0000000260001,-26.030118699 43.0000000260001,-26.038643339 43.0000000260001,-26.0467786959999 43.0000000260001,-26.0552717149999 43.0000000260001,-26.063438693 43.0000000260001,-26.071900091 43.0000000260001,-26.0800986909999 43.0000000260001,-26.0885284669999 43.0000000260001,-26.096758688 43.0000000260001,-26.105156843 43.0000000260001,-26.1134186859999 43.0000000260001,-26.1217852189999 43.0000000260001,-26.130078683 43.0000000260001,-26.138413595 43.0000000260001,-26.1467386809999 43.0000000260001,-26.1550419709999 43.0000000260001,-26.163398678 43.0000000260001,-26.171670347 43.0000000260001,-26.1800586749999 43.0000000260001,-26.188333675 43.0000000260001,-26.196718673 43.0000000260001,-26.204997002 43.0000000260001,-26.2133786699999 43.0000000260001,-26.22166033 43.0000000260001,-26.230038668 43.0000000260001,-26.238323657 43.0000000260001,-26.2466986649999 43.0000000260001,-26.254986985 43.0000000260001,-26.263358662 43.0000000260001,-26.271650312 43.0000000260001,-26.2800186599999 43.0000000260001,-26.288313639 43.0000000260001,-26.296678657 43.0000000260001,-26.304976967 43.0000000260001,-26.3133386549999 43.0000000260001,-26.321640294 43.0000000260001,-26.329998652 43.0000000260001,-26.338303622 43.0000000260001,-26.3466586489999 43.0000000260001,-26.354966949 43.0000000260001,-26.363318647 43.0000000260001,-26.371630277 43.0000000260001,-26.3799786439999 43.0000000260001,-26.388293604 43.0000000260001,-26.396638642 43.0000000260001,-26.404956931 43.0000000260001,-26.4132986389999 43.0000000260001,-26.421620259 43.0000000260001,-26.429958637 43.0000000260001,-26.438283586 43.0000000260001,-26.4466186339999 43.0000000260001,-26.4549469139999 43.0000000260001,-26.463278631 43.0000000260001,-26.471610241 43.0000000260001,-26.4799386289999 43.0000000260001,-26.488273568 43.0000000260001,-26.496598626 43.0000000260001,-26.5049368959999 43.0000000260001,-26.5132586239999 43.0000000260001,-26.521600223 43.0000000260001,-26.529918621 43.0000000260001,-26.5382635509999 43.0000000260001,-26.546578618 43.0000000260001,-26.5549268779999 43.0000000260001,-26.563238616 43.0000000260001,-26.5715902059999 43.0000000260001,-26.579898613 43.0000000260001,-26.5882535329999 43.0000000260001,-26.596558611 43.0000000260001,-26.6049168599999 43.0000000260001,-26.613218608 43.0000000260001,-26.6215801879999 43.0000000260001,-26.6298786049999 43.0000000260001,-26.6382435149999 43.0000000260001,-26.646538603 43.0000000260001,-26.6549068429999 43.0000000260001,-26.6631985999999 43.0000000260001,-26.6715701699999 43.0000000260001,-26.679858598 43.0000000260001,-26.6882334979999 43.0000000260001,-26.6965185949999 43.0000000260001,-26.7048968249999 43.0000000260001,-26.713178593 43.0000000260001,-26.7215601519999 43.0000000260001,-26.7298385899999 43.0000000260001,-26.7382234799999 43.0000000260001,-26.746498587 43.0000000260001,-26.7548868069999 43.0000000260001,-26.7631585849999 43.0000000260001,-26.7715501349999 43.0000000260001,-26.779818582 43.0000000260001,-26.7882134619999 43.0000000260001,-26.7964785799999 43.0000000260001,-26.80487679 43.0000000260001,-26.813138577 43.0000000260001,-26.821540117 43.0000000260001,-26.8297985739999 43.0000000260001,-26.8382034439999 43.0000000260001,-26.846458572 43.0000000260001,-26.854866772 43.0000000260001,-26.8631185689999 43.0000000260001,-26.871530099 43.0000000260001,-26.879778567 43.0000000260001,-26.888193427 43.0000000260001,-26.8964385639999 43.0000000260001,-26.904856754 43.0000000260001,-26.913098561 43.0000000260001,-26.921520081 43.0000000260001,-26.9297585589999 43.0000000260001,-26.938183409 43.0000000260001,-26.946418556 43.0000000260001,-26.954846736 43.0000000260001,-26.9630785539999 43.0000000260001,-26.971510064 43.0000000260001,-26.979738551 43.0000000260001,-26.988173391 43.0000000260001,-26.9963985489999 43.0000000260001,-27.004836719 43.0000000260001,-27.013058546 43.0000000260001,-27.021500046 43.0000000260001,-27.0297185429999 43.0000000260001,-27.038163373 43.0000000260001,-27.046378541 43.0000000260001,-27.054826701 43.0000000260001,-27.0630385379999 43.0000000260001,-27.071490028 43.0000000260001,-27.079698536 43.0000000260001,-27.088153356 43.0000000260001,-27.0963585329999 43.0000000260001,-27.104816683 43.0000000260001,-27.11301853 43.0000000260001,-27.121480011 43.0000000260001,-27.1296785279999 43.0000000260001,-27.138143338 43.0000000260001,-27.146338525 43.0000000260001,-27.154806665 43.0000000260001,-27.1629985229999 43.0000000260001,-27.171469993 43.0000000260001,-27.17965852 43.0000000260001,-27.18813332 43.0000000260001,-27.1963185179999 43.0000000260001,-27.204796648 43.0000000260001,-27.212978515 43.0000000260001,-27.221459975 43.0000000260001,-27.229638512 43.0000000260001,-27.238123303 43.0000000260001,-27.24629851 43.0000000260001,-27.25478663 43.0000000260001,-27.262958507 43.0000000260001,-27.271449957 43.0000000260001,-27.279618505 43.0000000260001,-27.288113285 43.0000000260001,-27.296278502 43.0000000260001,-27.304776612 43.0000000260001,-27.312938499 43.0000000260001,-27.3214399399999 43.0000000260001,-27.3295984969999 43.0000000260001,-27.338103267 43.0000000260001,-27.346258494 43.0000000260001,-27.354766594 43.0000000260001,-27.3629184919999 43.0000000260001,-27.3714299219999 43.0000000260001,-27.379578489 43.0000000260001,-27.388093249 43.0000000260001,-27.396238486 43.0000000260001,-27.4047565769999 43.0000000260001,-27.412898484 43.0000000260001,-27.4214199039999 43.0000000260001,-27.429558481 43.0000000260001,-27.4380832319999 43.0000000260001,-27.446218479 43.0000000260001,-27.4547465589999 43.0000000260001,-27.462878476 43.0000000260001,-27.4714098859999 43.0000000260001,-27.479538474 43.0000000260001,-27.4880732139999 43.0000000260001,-27.496198471 43.0000000260001,-27.5047365409999 43.0000000260001,-27.5128584679999 43.0000000260001,-27.5213998689999 43.0000000260001,-27.529518466 43.0000000260001,-27.5380631959999 43.0000000260001,-27.5461784629999 43.0000000260001,-27.5547265239999 43.0000000260001,-27.562838461 43.0000000260001,-27.5713898509999 43.0000000260001,-27.5794984579999 43.0000000260001,-27.5880531779999 43.0000000260001,-27.596158455 43.0000000260001,-27.6047165059999 43.0000000260001,-27.6128184529999 43.0000000260001,-27.6213798329999 43.0000000260001,-27.62947845 43.0000000260001,-27.6380431609999 43.0000000260001,-27.6461384479999 43.0000000260001,-27.6547064879999 43.0000000260001,-27.662798445 43.0000000260001,-27.671369816 43.0000000260001,-27.6794584419999 43.0000000260001,-27.6880331429999 43.0000000260001,-27.69611844 43.0000000260001,-27.7046964699999 43.0000000260001,-27.7127784369999 43.0000000260001,-27.721359798 43.0000000260001,-27.729438435 43.0000000260001,-27.738023125 43.0000000260001,-27.7460984319999 43.0000000260001,-27.754686453 43.0000000260001,-27.76275843 43.0000000260001,-27.77134978 43.0000000260001,-27.7794184269999 43.0000000260001,-27.788013107 43.0000000260001,-27.796078424 43.0000000260001,-27.804676435 43.0000000260001,-27.8127384219999 43.0000000260001,-27.821339762 43.0000000260001,-27.829398419 43.0000000260001,-27.83800309 43.0000000260001,-27.8460584169999 43.0000000260001,-27.854666417 43.0000000260001,-27.862718414 43.0000000260001,-27.871329745 43.0000000260001,-27.8793784109999 43.0000000260001,-27.887993072 43.0000000260001,-27.896038409 43.0000000260001,-27.904656399 43.0000000260001,-27.9126984059999 43.0000000260001,-27.921319727 43.0000000260001,-27.929358404 43.0000000260001,-27.937983054 43.0000000260001,-27.9460184009999 43.0000000260001,-27.954646382 43.0000000260001,-27.962678398 43.0000000260001,-27.971309709 43.0000000260001,-27.9793383959999 43.0000000260001,-27.987973037 43.0000000260001,-27.995998393 43.0000000260001,-28.004636364 43.0000000260001,-28.0126583909999 43.0000000260001,-28.021299691 43.0000000260001,-28.029318388 43.0000000260001,-28.037963019 43.0000000260001,-28.0459783859999 43.0000000260001,-28.054626346 43.0000000260001,-28.062638383 43.0000000260001,-28.071289674 43.0000000260001,-28.07929838 43.0000000260001,-28.087953001 43.0000000260001,-28.095958378 43.0000000260001,-28.104616328 43.0000000260001,-28.112618375 43.0000000260001,-28.121279656 43.0000000260001,-28.129278373 43.0000000260001,-28.137942983 43.0000000260001,-28.14593837 43.0000000260001,-28.154606311 43.0000000260001,-28.1625983669999 43.0000000260001,-28.171269638 43.0000000260001,-28.179258365 43.0000000260001,-28.1879329659999 43.0000000260001,-28.1959183619999 43.0000000260001,-28.204596293 43.0000000260001,-28.21257836 43.0000000260001,-28.22125962 43.0000000260001,-28.2292383569999 43.0000000260001,-28.2379229479999 43.0000000260001,-28.245898354 43.0000000260001,-28.254586275 43.0000000260001,-28.2625583519999 43.0000000260001,-28.2712496029999 43.0000000260001,-28.279218349 43.0000000260001,-28.2879129299999 43.0000000260001,-28.2958783469999 43.0000000260001,-28.3045762579999 43.0000000260001,-28.312538344 43.0000000260001,-28.3212395849999 43.0000000260001,-28.329198342 43.0000000260001,-28.3379029119999 43.0000000260001,-28.345858339 43.0000000260001,-28.3545662399999 43.0000000260001,-28.3625183359999 43.0000000260001,-28.3712295669999 43.0000000260001,-28.379178334 43.0000000260001,-28.3878928949999 43.0000000260001,-28.3958383309999 43.0000000260001,-28.4045562219999 43.0000000260001,-28.412498329 43.0000000260001,-28.4212195499999 43.0000000260001,-28.4291583259999 43.0000000260001,-28.4378828769999 43.0000000260001,-28.445818323 43.0000000260001,-28.4545462039999 43.0000000260001,-28.4624783209999 43.0000000260001,-28.4712095319999 43.0000000260001,-28.479138318 43.0000000260001,-28.4878728589999 43.0000000260001,-28.4957983159999 43.0000000260001,-28.5045361869999 43.0000000260001,-28.512458313 43.0000000260001,-28.5211995139999 43.0000000260001,-28.5291183109999 43.0000000260001,-28.5378628409999 43.0000000260001,-28.545778308 43.0000000260001,-28.5545261689999 43.0000000260001,-28.5624383049999 43.0000000260001,-28.5711894959999 43.0000000260001,-28.579098303 43.0000000260001,-28.587852824 43.0000000260001,-28.5957582999999 43.0000000260001,-28.6045161509999 43.0000000260001,-28.612418298 43.0000000260001,-28.621179479 43.0000000260001,-28.6290782949999 43.0000000260001,-28.637842806 43.0000000260001,-28.645738292 43.0000000260001,-28.654506133 43.0000000260001,-28.6623982899999 43.0000000260001,-28.671169461 43.0000000260001,-28.679058287 43.0000000260001,-28.687832788 43.0000000260001,-28.6957182849999 43.0000000260001,-28.704496116 43.0000000260001,-28.712378282 43.0000000260001,-28.721159443 43.0000000260001,-28.729038279 43.0000000260001,-28.737822771 43.0000000260001,-28.745698277 43.0000000260001,-28.754486098 43.0000000260001,-28.762358274 43.0000000260001,-28.771149425 43.0000000260001,-28.779018272 43.0000000260001,-28.787812753 43.0000000260001,-28.7956782689999 43.0000000260001,-28.80447608 43.0000000260001,-28.812338267 43.0000000260001,-28.821139408 43.0000000260001,-28.8289982639999 43.0000000260001,-28.837802735 43.0000000260001,-28.845658261 43.0000000260001,-28.854466063 43.0000000260001,-28.8623182589999 43.0000000260001,-28.87112939 43.0000000260001,-28.878978256 43.0000000260001,-28.887792717 43.0000000260001,-28.8956382539999 43.0000000260001,-28.904456045 43.0000000260001,-28.912298251 43.0000000260001,-28.921119372 43.0000000260001,-28.928958248 43.0000000260001,-28.9377827 43.0000000260001,-28.945618246 43.0000000260001,-28.954446027 43.0000000260001,-28.962278243 43.0000000260001,-28.971109354 43.0000000260001,-28.978938241 43.0000000260001,-28.987772682 43.0000000260001,-28.995598238 43.0000000260001,-29.004436009 43.0000000260001,-29.0122582349999 43.0000000260001,-29.021099337 43.0000000260001,-29.028918233 43.0000000260001,-29.037762664 43.0000000260001,-29.0455782299999 43.0000000260001,-29.0544259919999 43.0000000260001,-29.062238228 43.0000000260001,-29.071089319 43.0000000260001,-29.0788982249999 43.0000000260001,-29.087752646 43.0000000260001,-29.095558223 43.0000000260001,-29.1044159739999 43.0000000260001,-29.1122182199999 43.0000000260001,-29.121079301 43.0000000260001,-29.128878217 43.0000000260001,-29.1377426289999 43.0000000260001,-29.1455382149999 43.0000000260001,-29.1544059559999 43.0000000260001,-29.162198212 43.0000000260001,-29.1710692839999 43.0000000260001,-29.1788582099999 43.0000000260001,-29.1877326109999 43.0000000260001,-29.195518207 43.0000000260001,-29.2043959379999 43.0000000260001,-29.2121782039999 43.0000000260001,-29.2210592659999 43.0000000260001,-29.228838202 43.0000000260001,-29.2377225929999 43.0000000260001,-29.2454981989999 43.0000000260001,-29.2543859209999 43.0000000260001,-29.262158197 43.0000000260001,-29.2710492479999 43.0000000260001,-29.2788181939999 43.0000000260001,-29.2877125759999 43.0000000260001,-29.295478191 43.0000000260001,-29.3043759029999 43.0000000260001,-29.3121381889999 43.0000000260001,-29.3210392299999 43.0000000260001,-29.328798186 43.0000000260001,-29.3377025579999 43.0000000260001,-29.3454581839999 43.0000000260001,-29.3543658849999 43.0000000260001,-29.362118181 43.0000000260001,-29.3710292129999 43.0000000260001,-29.3787781789999 43.0000000260001,-29.3876925399999 43.0000000260001,-29.395438176 43.0000000260001,-29.4043558669999 43.0000000260001,-29.4120981729999 43.0000000260001,-29.4210191949999 43.0000000260001,-29.428758171 43.0000000260001,-29.4376825219999 43.0000000260001,-29.4454181679999 43.0000000260001,-29.45434585 43.0000000260001,-29.462078166 43.0000000260001,-29.4710091769999 43.0000000260001,-29.4787381629999 43.0000000260001,-29.487672505 43.0000000260001,-29.49539816 43.0000000260001,-29.504335832 43.0000000260001,-29.5120581579999 43.0000000260001,-29.5209991589999 43.0000000260001,-29.528718155 43.0000000260001,-29.537662487 43.0000000260001,-29.5453781529999 43.0000000260001,-29.554325814 43.0000000260001,-29.56203815 43.0000000260001,-29.570989142 43.0000000260001,-29.578698147 43.0000000260001,-29.587652469 43.0000000260001,-29.595358145 43.0000000260001,-29.604315797 43.0000000260001,-29.612018142 43.0000000260001,-29.620979124 43.0000000260001,-29.62867814 43.0000000260001,-29.637642451 43.0000000260001,-29.645338137 43.0000000260001,-29.654305779 43.0000000260001,-29.661998135 43.0000000260001,-29.670969106 43.0000000260001,-29.678658132 43.0000000260001,-29.687632434 43.0000000260001,-29.6953181289999 43.0000000260001,-29.704295761 43.0000000260001,-29.711978127 43.0000000260001,-29.720959088 43.0000000260001,-29.7286381239999 43.0000000260001,-29.737622416 43.0000000260001,-29.745298122 43.0000000260001,-29.754285743 43.0000000260001,-29.7619581189999 43.0000000260001,-29.770949071 43.0000000260001,-29.778618116 43.0000000260001,-29.787612398 43.0000000260001,-29.795278114 43.0000000260001,-29.804275726 43.0000000260001,-29.811938111 43.0000000260001,-29.820939053 43.0000000260001,-29.828598109 43.0000000260001,-29.83760238 43.0000000260001,-29.845258106 43.0000000260001,-29.854265708 43.0000000260001,-29.861918104 43.0000000260001,-29.870929035 43.0000000260001,-29.878578101 43.0000000260001,-29.887592363 43.0000000260001,-29.8952380979999 43.0000000260001,-29.90425569 43.0000000260001,-29.911898096 43.0000000260001,-29.9209190179999 43.0000000260001,-29.9285580929999 43.0000000260001,-29.937582345 43.0000000260001,-29.945218091 43.0000000260001,-29.954245672 43.0000000260001,-29.9618780879999 43.0000000260001,-29.9709089999999 43.0000000260001,-29.978538085 43.0000000260001,-29.987572327 43.0000000260001,-29.9951980829999 43.0000000260001,-30.0042356549999 43.0000000260001,-30.01185808 43.0000000260001,-30.0208989819999 43.0000000260001,-30.0285180779999 43.0000000260001,-30.0375623099999 43.0000000260001,-30.045178075 43.0000000260001,-30.0542256369999 43.0000000260001,-30.0618380719999 43.0000000260001,-30.0708889639999 43.0000000260001,-30.07849807 43.0000000260001,-30.0875522919999 43.0000000260001,-30.0951580669999 43.0000000260001,-30.1042156189999 43.0000000260001,-30.111818065 43.0000000260001,-30.1208789469999 43.0000000260001,-30.1284780619999 43.0000000260001,-30.1375422739999 43.0000000260001,-30.14513806 43.0000000260001,-30.1542056009999 43.0000000260001,-30.1617980569999 43.0000000260001,-30.1708689289999 43.0000000260001,-30.178458054 43.0000000260001,-30.1875322559999 43.0000000260001,-30.1951180519999 43.0000000260001,-30.2041955839999 43.0000000260001,-30.211778049 43.0000000260001,-30.2208589109999 43.0000000260001,-30.2284380469999 43.0000000260001,-30.2375222389999 43.0000000260001,-30.245098044 43.0000000260001,-30.2541855659999 43.0000000260001,-30.261758041 43.0000000260001,-30.2708488929999 43.0000000260001,-30.278418039 43.0000000260001,-30.2875122209999 43.0000000260001,-30.2950780359999 43.0000000260001,-30.3041755479999 43.0000000260001,-30.311738034 43.0000000260001,-30.320838876 43.0000000260001,-30.3283980309999 43.0000000260001,-30.3375022029999 43.0000000260001,-30.345058028 43.0000000260001,-30.354165531 43.0000000260001,-30.3617180259999 43.0000000260001,-30.370828858 43.0000000260001,-30.378378023 43.0000000260001,-30.3874921849999 43.0000000260001,-30.3950517989999 43.0000000260001,-30.404155513 43.0000000260001,-30.411725576 43.0000000260001,-30.42081884 43.0000000260001,-30.4283993519999 43.0000000260001,-30.437482168 43.0000000260001,-30.4450731279999 43.0000000260001,-30.454145495 43.0000000260001,-30.4617469039999 43.0000000260001,-30.470808823 43.0000000260001,-30.4784206799999 43.0000000260001,-30.48747215 43.0000000260001,-30.4950944559999 43.0000000260001,-30.504135477 43.0000000260001,-30.511768232 43.0000000260001,-30.520798805 43.0000000260001,-30.528442008 43.0000000260001,-30.537462132 43.0000000260001,-30.545115784 43.0000000260001,-30.55412546 43.0000000260001,-30.56178956 43.0000000260001,-30.570788787 43.0000000260001,-30.578463337 43.0000000260001,-30.587452114 43.0000000260001,-30.595137113 43.0000000260001,-30.604115442 43.0000000260001,-30.611810889 43.0000000260001,-30.620778769 43.0000000260001,-30.628484665 43.0000000260001,-30.637442097 43.0000000260001,-30.645158441 43.0000000260001,-30.654105424 43.0000000260001,-30.661832217 43.0000000260001,-30.670768752 43.0000000260001,-30.6785059929999 43.0000000260001,-30.687432079 43.0000000260001,-30.6951797689999 43.0000000260001,-30.704095406 43.0000000260001,-30.7118535449999 43.0000000260001,-30.720758734 43.0000000260001,-30.7285273209999 43.0000000260001,-30.737422061 43.0000000260001,-30.7452010979999 43.0000000260001,-30.754085389 43.0000000260001,-30.7618748739999 43.0000000260001,-30.770748716 43.0000000260001,-30.7785486499999 43.0000000260001,-30.787412044 43.0000000260001,-30.795222426 43.0000000260001,-30.804075371 43.0000000260001,-30.811896202 43.0000000260001,-30.820738698 43.0000000260001,-30.828569978 43.0000000260001,-30.8374020259999 43.0000000260001,-30.845243754 43.0000000260001,-30.854065353 43.0000000260001,-30.86191753 43.0000000260001,-30.8707286809999 43.0000000260001,-30.878591306 43.0000000260001,-30.8873920079999 43.0000000260001,-30.895265083 43.0000000260001,-30.9040553359999 43.0000000260001,-30.911938859 43.0000000260001,-30.9207186629999 43.0000000260001,-30.928612635 43.0000000260001,-30.9373819899999 43.0000000260001,-30.945286411 43.0000000260001,-30.9540453179999 43.0000000260001,-30.9619601869999 43.0000000260001,-30.9707086449999 43.0000000260001,-30.9786339629999 43.0000000260001,-30.9873719729999 43.0000000260001,-30.9953077389999 43.0000000260001,-31.0040352999999 43.0000000260001,-31.0119815149999 43.0000000260001,-31.0206986269999 43.0000000260001,-31.028655291 43.0000000260001,-31.0373619549999 43.0000000260001,-31.045329067 43.0000000260001,-31.0540252819999 43.0000000260001,-31.0620028439999 43.0000000260001,-31.0706886099999 43.0000000260001,-31.07867662 43.0000000260001,-31.0873519369999 43.0000000260001,-31.095350396 43.0000000260001,-31.1040152649999 43.0000000260001,-31.112024172 43.0000000260001,-31.1206785919999 43.0000000260001,-31.128697948 43.0000000260001,-31.1373419189999 43.0000000260001,-31.145371724 43.0000000260001,-31.1540052469999 43.0000000260001,-31.1620455 43.0000000260001,-31.1706685739999 43.0000000260001,-31.178719276 43.0000000260001,-31.187331902 43.0000000260001,-31.1953930519999 43.0000000260001,-31.2039952289999 43.0000000260001,-31.212066829 43.0000000260001,-31.220658557 43.0000000260001,-31.2287406049999 43.0000000260001,-31.237321884 43.0000000260001,-31.2454143809999 43.0000000260001,-31.2539852109999 43.0000000260001,-31.2620881569999 43.0000000260001,-31.270648539 43.0000000260001,-31.2787619329999 43.0000000260001,-31.287311866 43.0000000260001,-31.2954357089999 43.0000000260001,-31.303975194 43.0000000260001,-31.312109485 43.0000000260001,-31.320638521 43.0000000260001,-31.328783261 43.0000000260001,-31.337301848 43.0000000260001,-31.345457037 43.0000000260001,-31.353965176 43.0000000260001,-31.362130813 43.0000000260001,-31.370628503 43.0000000260001,-31.37880459 43.0000000260001,-31.387291831 43.0000000260001,-31.395478366 43.0000000260001,-31.403955158 43.0000000260001,-31.412152142 43.0000000260001,-31.420618486 43.0000000260001,-31.428825918 43.0000000260001,-31.437281813 43.0000000260001,-31.445499694 43.0000000260001,-31.45394514 43.0000000260001,-31.46217347 43.0000000260001,-31.470608468 43.0000000260001,-31.4788472459999 43.0000000260001,-31.487271795 43.0000000260001,-31.4955210219999 43.0000000260001,-31.503935123 43.0000000260001,-31.5121947979999 43.0000000260001,-31.52059845 43.0000000260001,-31.5288685749999 43.0000000260001,-31.537261778 43.0000000260001,-31.5455423509999 43.0000000260001,-31.553925105 43.0000000260001,-31.5622161269999 43.0000000260001,-31.570588432 43.0000000260001,-31.5788899029999 43.0000000260001,-31.58725176 43.0000000260001,-31.595563679 43.0000000260001,-31.603915087 43.0000000260001,-31.612237455 43.0000000260001,-31.620578415 43.0000000260001,-31.628911231 43.0000000260001,-31.637241742 43.0000000260001,-31.645585007 43.0000000260001,-31.65390507 43.0000000260001,-31.662258783 43.0000000260001,-31.670568397 43.0000000260001,-31.678932559 43.0000000260001,-31.687231724 43.0000000260001,-31.695606336 43.0000000260001,-31.703895052 43.0000000260001,-31.712280112 43.0000000260001,-31.720558379 43.0000000260001,-31.728953888 43.0000000260001,-31.7372217069999 43.0000000260001,-31.745627664 43.0000000260001,-31.7538850339999 43.0000000260001,-31.7623014399999 43.0000000260001,-31.770548361 43.0000000260001,-31.7789752159999 43.0000000260001,-31.7872116889999 43.0000000260001,-31.7956489919999 43.0000000260001,-31.8038750159999 43.0000000260001,-31.8123227679999 43.0000000260001,-31.8205383439999 43.0000000260001,-31.8289965439999 43.0000000260001,-31.8372016709999 43.0000000260001,-31.84567032 43.0000000260001,-31.8538649989999 43.0000000260001,-31.8623440969999 43.0000000260001,-31.8705283259999 43.0000000260001,-31.879017873 43.0000000260001,-31.8871916529999 43.0000000260001,-31.895691649 43.0000000260001,-31.9038549809999 43.0000000260001,-31.912365425 43.0000000260001,-31.9205183079999 43.0000000260001,-31.929039201 43.0000000260001,-31.9371816359999 43.0000000260001,-31.945712977 43.0000000260001,-31.9538449629999 43.0000000260001,-31.962386753 43.0000000260001,-31.9705082909999 43.0000000260001,-31.979060529 43.0000000260001,-31.9871716179999 43.0000000260001,-31.9957343049999 43.0000000260001,-32.0038349449999 43.0000000260001,-32.012408082 43.0000000260001,-32.0204982729999 43.0000000260001,-32.029081858 43.0000000260001,-32.0371615999999 43.0000000260001,-32.0457556339999 43.0000000260001,-32.053824928 43.0000000260001,-32.0624294099999 43.0000000260001,-32.0704882549999 43.0000000260001,-32.0791031859999 43.0000000260001,-32.087151583 43.0000000260001,-32.0957769619999 43.0000000260001,-32.10381491 43.0000000260001,-32.1124507379999 43.0000000260001,-32.1204782369999 43.0000000260001,-32.129124514 43.0000000260001,-32.137141565 43.0000000260001,-32.14579829 43.0000000260001,-32.153804892 43.0000000260001,-32.162472066 43.0000000260001,-32.17046822 43.0000000260001,-32.179145843 43.0000000260001,-32.187131547 43.0000000260001,-32.195819619 43.0000000260001,-32.203794874 43.0000000260001,-32.212493395 43.0000000260001,-32.220458202 43.0000000260001,-32.229167171 43.0000000260001,-32.237121529 43.0000000260001,-32.245840947 43.0000000260001,-32.253784857 43.0000000260001,-32.262514723 43.0000000260001,-32.270448184 43.0000000260001,-32.2791884989999 43.0000000260001,-32.287111512 43.0000000260001,-32.2958622749999 43.0000000260001,-32.303774839 43.0000000260001,-32.3125360509999 43.0000000260001,-32.320438166 43.0000000260001,-32.3292098279999 43.0000000260001,-32.337101494 43.0000000260001,-32.3458836039999 43.0000000260001,-32.353764821 43.0000000260001,-32.3625573799999 43.0000000260001,-32.370428149 43.0000000260001,-32.3792311559999 43.0000000260001,-32.387091476 43.0000000260001,-32.395904932 43.0000000260001,-32.403754804 43.0000000260001,-32.412578708 43.0000000260001,-32.420418131 43.0000000260001,-32.429252484 43.0000000260001,-32.437081458 43.0000000260001,-32.44592626 43.0000000260001,-32.453744786 43.0000000260001,-32.462600036 43.0000000260001,-32.470408113 43.0000000260001,-32.479273812 43.0000000260001,-32.487071441 43.0000000260001,-32.495947589 43.0000000260001,-32.503734768 43.0000000260001,-32.512621365 43.0000000260001,-32.520398096 43.0000000260001,-32.529295141 43.0000000260001,-32.537061423 43.0000000260001,-32.545968917 43.0000000260001,-32.55372475 43.0000000260001,-32.5626426929999 43.0000000260001,-32.570388078 43.0000000260001,-32.5793164689999 43.0000000260001,-32.587051405 43.0000000260001,-32.5959902449999 43.0000000260001,-32.6037147329999 43.0000000260001,-32.6126640209999 43.0000000260001,-32.62037806 43.0000000260001,-32.6293377969999 43.0000000260001,-32.637041387 43.0000000260001,-32.6460115739999 43.0000000260001,-32.6537047149999 43.0000000260001,-32.6626853499999 43.0000000260001,-32.670368042 43.0000000260001,-32.679359126 43.0000000260001,-32.6870313699999 43.0000000260001,-32.696032902 43.0000000260001,-32.7036946969999 43.0000000260001,-32.712706678 43.0000000260001,-32.7203580249999 43.0000000260001,-32.729380454 43.0000000260001,-32.7370213519999 43.0000000260001,-32.74605423 43.0000000260001,-32.7536846789999 43.0000000260001,-32.762728006 43.0000000260001,-32.7703480069999 43.0000000260001,-32.779401782 43.0000000260001,-32.7870113339999 43.0000000260001,-32.796075558 43.0000000260001,-32.8036746619999 43.0000000260001,-32.812749335 43.0000000260001,-32.8203379889999 43.0000000260001,-32.829423111 43.0000000260001,-32.8370013169999 43.0000000260001,-32.8460968869999 43.0000000260001,-32.8536646439999 43.0000000260001,-32.8627706629999 43.0000000260001,-32.8703279709999 43.0000000260001,-32.8794444389999 43.0000000260001,-32.8869912989999 43.0000000260001,-32.8961182149999 43.0000000260001,-32.9036546259999 43.0000000260001,-32.9127919909999 43.0000000260001,-32.920317954 43.0000000260001,-32.929465767 43.0000000260001,-32.9369812809999 43.0000000260001,-32.946139543 43.0000000260001,-32.9536446079999 43.0000000260001,-32.962813319 43.0000000260001,-32.970307936 43.0000000260001,-32.979487096 43.0000000260001,-32.9869712629999 43.0000000260001,-32.996160872 43.0000000260001,-33.003634591 43.0000000260001,-33.012834648 43.0000000260001,-33.020297918 43.0000000260001,-33.029508424 43.0000000260001,-33.036961246 43.0000000260001,-33.0461822 43.0000000260001,-33.053624573 43.0000000260001,-33.062855976 43.0000000260001,-33.0702879 43.0000000260001,-33.0795297519999 43.0000000260001,-33.086951228 43.0000000260001,-33.0962035279999 43.0000000260001,-33.103614555 43.0000000260001,-33.1128773039999 43.0000000260001,-33.120277883 43.0000000260001,-33.1295510809999 43.0000000260001,-33.13694121 43.0000000260001,-33.1462248569999 43.0000000260001,-33.153604538 43.0000000260001,-33.1628986329999 43.0000000260001,-33.170267865 43.0000000260001,-33.1795724089999 43.0000000260001,-33.186931192 43.0000000260001,-33.1962461849999 43.0000000260001,-33.20359452 43.0000000260001,-33.212919961 43.0000000260001,-33.220257847 43.0000000260001,-33.229593737 43.0000000260001,-33.236921175 43.0000000260001,-33.246267513 43.0000000260001,-33.253584502 43.0000000260001,-33.262941289 43.0000000260001,-33.27024783 43.0000000260001,-33.279615065 43.0000000260001,-33.286911157 43.0000000260001,-33.296288842 43.0000000260001,-33.303574484 43.0000000260001,-33.312962618 43.0000000260001,-33.320237812 43.0000000260001,-33.329636394 43.0000000260001,-33.336901139 43.0000000260001,-33.34631017 43.0000000260001,-33.353564467 43.0000000260001,-33.3629839459999 43.0000000260001,-33.370227794 43.0000000260001,-33.3796577219999 43.0000000260001,-33.386891121 43.0000000260001,-33.3963314979999 43.0000000260001,-33.403554449 43.0000000260001,-33.4130052739999 43.0000000260001,-33.420217776 43.0000000260001,-33.4296790499999 43.0000000260001,-33.436881104 43.0000000260001,-33.4463528269999 43.0000000260001,-33.453544431 43.0000000260001,-33.4630266029999 43.0000000260001,-33.4702077589999 43.0000000260001,-33.479700379 43.0000000260001,-33.486871086 43.0000000260001,-33.496374155 43.0000000260001,-33.503534413 43.0000000260001,-33.513047931 43.0000000260001,-33.5201977409999 43.0000000260001,-33.529721707 43.0000000260001,-33.536861068 43.0000000260001,-33.546395483 43.0000000260001,-33.5535243959999 43.0000000260001,-33.563069259 43.0000000260001,-33.5701877229999 43.0000000260001,-33.579743035 43.0000000260001,-33.5868510509999 43.0000000260001,-33.596416811 43.0000000260001,-33.6035143779999 43.0000000260001,-33.613090588 43.0000000260001,-33.6201777049999 43.0000000260001,-33.629764364 43.0000000260001,-33.6368410329999 43.0000000260001,-33.6464381399999 43.0000000260001,-33.6535043599999 43.0000000260001,-33.6631119159999 43.0000000260001,-33.6701676879999 43.0000000260001,-33.6797856919999 43.0000000260001,-33.6868310149999 43.0000000260001,-33.6964594679999 43.0000000260001,-33.7034943429999 43.0000000260001,-33.7131332439999 43.0000000260001,-33.7201576699999 43.0000000260001,-33.72980702 43.0000000260001,-33.7368209969999 43.0000000260001,-33.746480796 43.0000000260001,-33.7534843249999 43.0000000260001,-33.763154573 43.0000000260001,-33.7701476519999 43.0000000260001,-33.779828349 43.0000000260001,-33.78681098 43.0000000260001,-33.796502125 43.0000000260001,-33.8034743069999 43.0000000260001,-33.813175901 43.0000000260001,-33.8201376339999 43.0000000260001,-33.829849677 43.0000000260001,-33.836800962 43.0000000260001,-33.846523453 43.0000000260001,-33.8534642889999 43.0000000260001,-33.863197229 43.0000000260001,-33.870127617 43.0000000260001,-33.879871005 43.0000000260001,-33.886790944 43.0000000260001,-33.8965447809999 43.0000000260001,-33.903454272 43.0000000260001,-33.9132185569999 43.0000000260001,-33.920117599 43.0000000260001,-33.9298923339999 43.0000000260001,-33.936780926 43.0000000260001,-33.9465661099999 43.0000000260001,-33.953444254 43.0000000260001,-33.9632398859999 43.0000000260001,-33.970107581 43.0000000260001,-33.9799136619999 43.0000000260001,-33.986770909 43.0000000260001,-33.9965874379999 43.0000000260001,-34.003434236 43.0000000260001,-34.013261214 43.0000000260001,-34.020097564 43.0000000260001,-34.02993499 43.0000000260001,-34.036760891 43.0000000260001,-34.046608766 43.0000000260001,-34.053424218 43.0000000260001,-34.063282542 43.0000000260001,-34.070087546 43.0000000260001,-34.079956318 43.0000000260001,-34.086750873 43.0000000260001,-34.096630095 43.0000000260001,-34.103414201 43.0000000260001,-34.113303871 43.0000000260001,-34.120077528 43.0000000260001,-34.129977647 43.0000000260001,-34.136740856 43.0000000260001,-34.146651423 43.0000000260001,-34.153404183 43.0000000260001,-34.1633251989999 43.0000000260001,-34.17006751 43.0000000260001,-34.1799989749999 43.0000000260001,-34.186730838 43.0000000260001,-34.1966727509999 43.0000000260001,-34.203394165 43.0000000260001,-34.2133465269999 43.0000000260001,-34.220057493 43.0000000260001,-34.2300203029999 43.0000000260001,-34.23672082 43.0000000260001,-34.2466940799999 43.0000000260001,-34.253384147 43.0000000260001,-34.2633678559999 43.0000000260001,-34.270047475 43.0000000260001,-34.2800416319999 43.0000000260001,-34.286710802 43.0000000260001,-34.296715408 43.0000000260001,-34.30337413 43.0000000260001,-34.313389184 43.0000000260001,-34.320037457 43.0000000260001,-34.33006296 43.0000000260001,-34.3367007849999 43.0000000260001,-34.346736736 43.0000000260001,-34.353364112 43.0000000260001,-34.363410512 43.0000000260001,-34.370027439 43.0000000260001,-34.380084288 43.0000000260001,-34.3866907669999 43.0000000260001,-34.396758064 43.0000000260001,-34.403354094 43.0000000260001,-34.413431841 43.0000000260001,-34.4200174219999 43.0000000260001,-34.430105617 43.0000000260001,-34.4366807489999 43.0000000260001,-34.4467793929999 43.0000000260001,-34.4533440769999 43.0000000260001,-34.4634531689999 43.0000000260001,-34.4700074039999 43.0000000260001,-34.4801269449999 43.0000000260001,-34.4866707309999 43.0000000260001,-34.4968007209999 43.0000000260001,-34.5033340589999 43.0000000260001,-34.5134744969999 43.0000000260001,-34.5199973859999 43.0000000260001,-34.530148273 43.0000000260001,-34.5366607139999 43.0000000260001,-34.546822049 43.0000000260001,-34.5533240409999 43.0000000260001,-34.563495826 43.0000000260001,-34.5699873679999 43.0000000260001,-34.580169602 43.0000000260001,-34.5866506959999 43.0000000260001,-34.596843378 43.0000000260001,-34.6033140229999 43.0000000260001,-34.613517154 43.0000000260001,-34.6199773509999 43.0000000260001,-34.63019093 43.0000000260001,-34.6366406779999 43.0000000260001,-34.646864706 43.0000000260001,-34.653304006 43.0000000260001,-34.663538482 43.0000000260001,-34.6699673329999 43.0000000260001,-34.680212258 43.0000000260001,-34.6866306599999 43.0000000260001,-34.6968860339999 43.0000000260001,-34.703293988 43.0000000260001,-34.7135598099999 43.0000000260001,-34.7199573149999 43.0000000260001,-34.7302335869999 43.0000000260001,-34.736620643 43.0000000260001,-34.7469073629999 43.0000000260001,-34.75328397 43.0000000260001,-34.7635811389999 43.0000000260001,-34.769947298 43.0000000260001,-34.7802549149999 43.0000000260001,-34.786610625 43.0000000260001,-34.7969286909999 43.0000000260001,-34.803273952 43.0000000260001,-34.813602467 43.0000000260001,-34.81993728 43.0000000260001,-34.830276243 43.0000000260001,-34.836600607 43.0000000260001,-34.846950019 43.0000000260001,-34.853263935 43.0000000260001,-34.863623795 43.0000000260001,-34.869927262 43.0000000260001,-34.880297572 43.0000000260001,-34.88659059 43.0000000260001,-34.896971348 43.0000000260001,-34.903253917 43.0000000260001,-34.913645124 43.0000000260001,-34.919917244 43.0000000260001,-34.9303189 43.0000000260001,-34.936580572 43.0000000260001,-34.946992676 43.0000000260001,-34.953243899 43.0000000260001,-34.963666452 43.0000000260001,-34.969907227 43.0000000260001,-34.9803402279999 43.0000000260001,-34.986570554 43.0000000260001,-34.9970140039999 43.0000000260001,-35.003233881 43.0000000260001,-35.0136877799999 43.0000000260001,-35.019897209 43.0000000260001,-35.0303615559999 43.0000000260001,-35.036560536 43.0000000260001,-35.0470353329999 43.0000000260001,-35.053223864 43.0000000260001,-35.0637091089999 43.0000000260001,-35.069887191 43.0000000260001,-35.0803828849999 43.0000000260001,-35.086550519 43.0000000260001,-35.097056661 43.0000000260001,-35.103213846 43.0000000260001,-35.113730437 43.0000000260001,-35.119877173 43.0000000260001,-35.130404213 43.0000000260001,-35.136540501 43.0000000260001,-35.147077989 43.0000000260001,-35.153203828 43.0000000260001,-35.163751765 43.0000000260001,-35.169867156 43.0000000260001,-35.180425541 43.0000000260001,-35.186530483 43.0000000260001,-35.197099317 43.0000000260001,-35.2031938109999 43.0000000260001,-35.213773094 43.0000000260001,-35.219857138 43.0000000260001,-35.23044687 43.0000000260001,-35.236520465 43.0000000260001,-35.247120646 43.0000000260001,-35.2531837929999 43.0000000260001,-35.2637944219999 43.0000000260001,-35.26984712 43.0000000260001,-35.2804681979999 43.0000000260001,-35.2865104479999 43.0000000260001,-35.2971419739999 43.0000000260001,-35.3031737749999 43.0000000260001,-35.3138157499999 43.0000000260001,-35.3198371029999 43.0000000260001,-35.330489526 43.0000000260001,-35.3365004299999 43.0000000260001,-35.347163302 43.0000000260001,-35.3531637569999 43.0000000260001,-35.3638370789999 43.0000000260001,-35.3698270849999 43.0000000260001,-35.380510855 43.0000000260001,-35.3864904119999 43.0000000260001,-35.397184631 43.0000000260001,-35.4031537399999 43.0000000260001,-35.413858407 43.0000000260001,-35.4198170669999 43.0000000260001,-35.430532183 43.0000000260001,-35.4364803939999 43.0000000260001,-35.447205959 43.0000000260001,-35.4531437219999 43.0000000260001,-35.463879735 43.0000000260001,-35.4698070489999 43.0000000260001,-35.480553511 43.0000000260001,-35.4864703769999 43.0000000260001,-35.4972272869999 43.0000000260001,-35.5031337039999 43.0000000260001,-35.5139010629999 43.0000000260001,-35.5197970319999 43.0000000260001,-35.5305748399999 43.0000000260001,-35.5364603589999 43.0000000260001,-35.5472486159999 43.0000000260001,-35.5531236859999 43.0000000260001,-35.5639223919999 43.0000000260001,-35.5697870139999 43.0000000260001,-35.5805961679999 43.0000000260001,-35.5864503409999 43.0000000260001,-35.5972699439999 43.0000000260001,-35.603113669 43.0000000260001,-35.61394372 43.0000000260001,-35.619776996 43.0000000260001,-35.630617496 43.0000000260001,-35.636440324 43.0000000260001,-35.647291272 43.0000000260001,-35.653103651 43.0000000260001,-35.663965048 43.0000000260001,-35.669766978 43.0000000260001,-35.680638825 43.0000000260001,-35.686430306 43.0000000260001,-35.697312601 43.0000000260001,-35.703093633 43.0000000260001,-35.713986377 43.0000000260001,-35.719756961 43.0000000260001,-35.730660153 43.0000000260001,-35.736420288 43.0000000260001,-35.747333929 43.0000000260001,-35.753083616 43.0000000260001,-35.764007705 43.0000000260001,-35.769746943 43.0000000260001,-35.7806814809999 43.0000000260001,-35.78641027 43.0000000260001,-35.7973552569999 43.0000000260001,-35.803073598 43.0000000260001,-35.8140290329999 43.0000000260001,-35.819736925 43.0000000260001,-35.8307028089999 43.0000000260001,-35.836400253 43.0000000260001,-35.8473765859999 43.0000000260001,-35.85306358 43.0000000260001,-35.8640503619999 43.0000000260001,-35.869726907 43.0000000260001,-35.8807241379999 43.0000000260001,-35.886390235 43.0000000260001,-35.897397914 43.0000000260001,-35.903053562 43.0000000260001,-35.91407169 43.0000000260001,-35.91971689 43.0000000260001,-35.930745466 43.0000000260001,-35.936380217 43.0000000260001,-35.947419242 43.0000000260001,-35.953043545 43.0000000260001,-35.964093018 43.0000000260001,-35.969706872 43.0000000260001,-35.980766794 43.0000000260001,-35.986370199 43.0000000260001,-35.997440571 43.0000000260001,-36.003033527 43.0000000260001,-36.014114347 43.0000000260001,-36.019696854 43.0000000260001,-36.030788123 43.0000000260001,-36.036360182 43.0000000260001,-36.047461899 43.0000000260001,-36.053023509 43.0000000260001,-36.0641356749999 43.0000000260001,-36.0696868369999 43.0000000260001,-36.0808094509999 43.0000000260001,-36.086350164 43.0000000260001,-36.0974832269999 43.0000000260001,-36.103013491 43.0000000260001,-36.1141570029999 43.0000000260001,-36.1196768189999 43.0000000260001,-36.130830779 43.0000000260001,-36.136340146 43.0000000260001,-36.147504555 43.0000000260001,-36.1530034739999 43.0000000260001,-36.1641783319999 43.0000000260001,-36.1696668009999 43.0000000260001,-36.180852108 43.0000000260001,-36.186330128 43.0000000260001,-36.197525884 43.0000000260001,-36.2029934559999 43.0000000260001,-36.21419966 43.0000000260001,-36.2196567829999 43.0000000260001,-36.230873436 43.0000000260001,-36.2363201109999 43.0000000260001,-36.247547212 43.0000000260001,-36.2529834379999 43.0000000260001,-36.264220988 43.0000000260001,-36.2696467659999 43.0000000260001,-36.280894764 43.0000000260001,-36.2863100929999 43.0000000260001,-36.2975685399999 43.0000000260001,-36.302968081 43.0000000260001,-36.3142423159999 43.0000000260001,-36.319626069 43.0000000260001,-36.330916093 43.0000000260001,-36.3362840569999 43.0000000260001,-36.3475898689999 43.0000000260001,-36.352942045 43.0000000260001,-36.3642636449999 43.0000000260001,-36.369600033 43.0000000260001,-36.3809374209999 43.0000000260001,-36.3862580209999 43.0000000260001,-36.3976111969999 43.0000000260001,-36.402916009 43.0000000260001,-36.414284973 43.0000000260001,-36.4195739969999 43.0000000260001,-36.430958749 43.0000000260001,-36.4362319849999 43.0000000260001,-36.447632525 43.0000000260001,-36.452889973 43.0000000260001,-36.464306301 43.0000000260001,-36.4695479609999 43.0000000260001,-36.480980078 43.0000000260001,-36.486205949 43.0000000260001,-36.497653854 43.0000000260001,-36.502863937 43.0000000260001,-36.51432763 43.0000000260001,-36.5195219249999 43.0000000260001,-36.531001406 43.0000000260001,-36.536179913 43.0000000260001,-36.547675182 43.0000000260001,-36.552837901 43.0000000260001,-36.564348958 43.0000000260001,-36.5694958889999 43.0000000260001,-36.5810227339999 43.0000000260001,-36.586153877 43.0000000260001,-36.5976965099999 43.0000000260001,-36.602811865 43.0000000260001,-36.6143702859999 43.0000000260001,-36.6194698529999 43.0000000260001,-36.6310440619999 43.0000000260001,-36.63612784 43.0000000260001,-36.6477178389999 43.0000000260001,-36.6527858279999 43.0000000260001,-36.6643916149999 43.0000000260001,-36.669443816 43.0000000260001,-36.6810653909999 43.0000000260001,-36.686101804 43.0000000260001,-36.697739167 43.0000000260001,-36.7027597919999 43.0000000260001,-36.714412943 43.0000000260001,-36.71941778 43.0000000260001,-36.731086719 43.0000000260001,-36.736075768 43.0000000260001,-36.747760495 43.0000000260001,-36.7527337559999 43.0000000260001,-36.764434271 43.0000000260001,-36.769391744 43.0000000260001,-36.781108047 43.0000000260001,-36.786049732 43.0000000260001,-36.797781824 43.0000000260001,-36.8027077199999 43.0000000260001,-36.8144556 43.0000000260001,-36.819365708 43.0000000260001,-36.831129376 43.0000000260001,-36.836023696 43.0000000260001,-36.847803152 43.0000000260001,-36.8526816839999 43.0000000260001,-36.8644769279999 43.0000000260001,-36.869339672 43.0000000260001,-36.8811507039999 43.0000000260001,-36.8859976599999 43.0000000260001,-36.8978244799999 43.0000000260001,-36.9026556479999 43.0000000260001,-36.9144982559999 43.0000000260001,-36.919313636 43.0000000260001,-36.9311720319999 43.0000000260001,-36.9359716239999 43.0000000260001,-36.947845808 43.0000000260001,-36.952629612 43.0000000260001,-36.9645195849999 43.0000000260001,-36.9692876 43.0000000260001,-36.981193361 43.0000000260001,-36.9859455879999 43.0000000260001,-36.997867137 43.0000000260001,-37.002603576 43.0000000260001,-37.014540913 43.0000000260001,-37.019261564 43.0000000260001,-37.031214689 43.0000000260001,-37.0359195519999 43.0000000260001,-37.047888465 43.0000000260001,-37.05257754 43.0000000260001,-37.064562241 43.0000000260001,-37.069235528 43.0000000260001,-37.081236017 43.0000000260001,-37.0858935159999 43.0000000260001,-37.0979097929999 43.0000000260001,-37.102551504 43.0000000260001,-37.11458357 43.0000000260001,-37.119209492 43.0000000260001,-37.131257346 43.0000000260001,-37.1358674799999 43.0000000260001,-37.1479311219999 43.0000000260001,-37.152525468 43.0000000260001,-37.1646048979999 43.0000000260001,-37.169183456 43.0000000260001,-37.1812786739999 43.0000000260001,-37.1858414439999 43.0000000260001,-37.1979524499999 43.0000000260001,-37.202499432 43.0000000260001,-37.214626226 43.0000000260001,-37.2191574199999 43.0000000260001,-37.231300002 43.0000000260001,-37.235815408 43.0000000260001,-37.247973778 43.0000000260001,-37.252473396 43.0000000260001,-37.264647554 43.0000000260001,-37.2691313829999 43.0000000260001,-37.281321331 43.0000000260001,-37.285789371 43.0000000260001,-37.297995107 43.0000000260001,-37.302447359 43.0000000260001,-37.314668883 43.0000000260001,-37.3191053469999 43.0000000260001,-37.331342659 43.0000000260001,-37.335763335 43.0000000260001,-37.348016435 43.0000000260001,-37.3524213229999 43.0000000260001,-37.364690211 43.0000000260001,-37.369079311 43.0000000260001,-37.3813639869999 43.0000000260001,-37.385737299 43.0000000260001,-37.3980377629999 43.0000000260001,-37.4023952869999 43.0000000260001,-37.4147115389999 43.0000000260001,-37.419053275 43.0000000260001,-37.4313853149999 43.0000000260001,-37.435711263 43.0000000260001,-37.4480590919999 43.0000000260001,-37.4523692509999 43.0000000260001,-37.4647328679999 43.0000000260001,-37.469027239 43.0000000260001,-37.4814066439999 43.0000000260001,-37.485685227 43.0000000260001,-37.49808042 43.0000000260001,-37.5023432149999 43.0000000260001,-37.514754196 43.0000000260001,-37.519001203 43.0000000260001,-37.531427972 43.0000000260001,-37.535659191 43.0000000260001,-37.548101748 43.0000000260001,-37.5523171789999 43.0000000260001,-37.564775524 43.0000000260001,-37.568975167 43.0000000260001,-37.5814493 43.0000000260001,-37.585633155 43.0000000260001,-37.598123077 43.0000000260001,-37.6022911429999 43.0000000260001,-37.614796853 43.0000000260001,-37.618949131 43.0000000260001,-37.631470629 43.0000000260001,-37.6356071189999 43.0000000260001,-37.648144405 43.0000000260001,-37.6522651069999 43.0000000260001,-37.6648181809999 43.0000000260001,-37.668923095 43.0000000260001,-37.6814919569999 43.0000000260001,-37.6855810829999 43.0000000260001,-37.6981657329999 43.0000000260001,-37.702239071 43.0000000260001,-37.7148395089999 43.0000000260001,-37.718897059 43.0000000260001,-37.7315132849999 43.0000000260001,-37.7355550469999 43.0000000260001,-37.748187061 43.0000000260001,-37.752213035 43.0000000260001,-37.7648608379999 43.0000000260001,-37.768871023 43.0000000260001,-37.781534614 43.0000000260001,-37.7855290109999 43.0000000260001,-37.79820839 43.0000000260001,-37.802186999 43.0000000260001,-37.814882166 43.0000000260001,-37.818844987 43.0000000260001,-37.831555942 43.0000000260001,-37.8355029749999 43.0000000260001,-37.848229718 43.0000000260001,-37.852160963 43.0000000260001,-37.864903494 43.0000000260001,-37.868818951 43.0000000260001,-37.88157727 43.0000000260001,-37.8854769389999 43.0000000260001,-37.898251046 43.0000000260001,-37.902134927 43.0000000260001,-37.914924823 43.0000000260001,-37.9187929139999 43.0000000260001,-37.931598599 43.0000000260001,-37.935450902 43.0000000260001,-37.9482723749999 43.0000000260001,-37.95210889 43.0000000260001,-37.9649461509999 43.0000000260001,-37.9687668779999 43.0000000260001,-37.9816199269999 43.0000000260001,-37.985424866 43.0000000260001,-37.9982937029999 43.0000000260001,-38.002082854 43.0000000260001,-38.0149674789999 43.0000000260001,-38.0187408419999 43.0000000260001,-38.031641255 43.0000000260001,-38.03539883 43.0000000260001,-38.048315031 43.0000000260001,-38.052056818 43.0000000260001,-38.064988807 43.0000000260001,-38.0687148059999 43.0000000260001,-38.081662584 43.0000000260001,-38.085372794 43.0000000260001,-38.09833636 43.0000000260001,-38.1020307819999 43.0000000260001,-38.115010136 43.0000000260001,-38.1186887699999 43.0000000260001,-38.131683912 43.0000000260001,-38.135346758 43.0000000260001,-38.148357688 43.0000000260001,-38.1520047459999 43.0000000260001,-38.165031464 43.0000000260001,-38.168662734 43.0000000260001,-38.18170524 43.0000000260001,-38.185320722 43.0000000260001,-38.1983790159999 43.0000000260001,-38.2019787099999 43.0000000260001,-38.2150527919999 43.0000000260001,-38.218636698 43.0000000260001,-38.2317265689999 43.0000000260001,-38.235294686 43.0000000260001,-38.2484003449999 43.0000000260001,-38.2519526739999 43.0000000260001,-38.2650741209999 43.0000000260001,-38.268610662 43.0000000260001,-38.2817478969999 43.0000000260001,-38.28526865 43.0000000260001,-38.298421673 43.0000000260001,-38.3019266379999 43.0000000260001,-38.315095449 43.0000000260001,-38.318584626 43.0000000260001,-38.331769225 43.0000000260001,-38.335242614 43.0000000260001,-38.348443001 43.0000000260001,-38.3519006019999 43.0000000260001,-38.365116777 43.0000000260001,-38.36855859 43.0000000260001,-38.381790553 43.0000000260001,-38.385216578 43.0000000260001,-38.39846433 43.0000000260001,-38.4018745659999 43.0000000260001,-38.415138106 43.0000000260001,-38.418532554 43.0000000260001,-38.431811882 43.0000000260001,-38.4351905419999 43.0000000260001,-38.448485658 43.0000000260001,-38.4518485299999 43.0000000260001,-38.4651594339999 43.0000000260001,-38.468506518 43.0000000260001,-38.4818332099999 43.0000000260001,-38.4851645059999 43.0000000260001,-38.4985069859999 43.0000000260001,-38.501822494 43.0000000260001,-38.5151807619999 43.0000000260001,-38.518480482 43.0000000260001,-38.5318545379999 43.0000000260001,-38.5351384699999 43.0000000260001,-38.548528314 43.0000000260001,-38.551796457 43.0000000260001,-38.5652020909999 43.0000000260001,-38.5684544449999 43.0000000260001,-38.581875867 43.0000000260001,-38.5851124329999 43.0000000260001,-38.598549643 43.0000000260001,-38.601770421 43.0000000260001,-38.615223419 43.0000000260001,-38.6184284089999 43.0000000260001,-38.631897195 43.0000000260001,-38.635086397 43.0000000260001,-38.648570971 43.0000000260001,-38.651744385 43.0000000260001,-38.665244747 43.0000000260001,-38.6684023729999 43.0000000260001,-38.681918523 43.0000000260001,-38.685060361 43.0000000260001,-38.698592299 43.0000000260001,-38.701718349 43.0000000260001,-38.715266076 43.0000000260001,-38.7183763369999 43.0000000260001,-38.731939852 43.0000000260001,-38.735034325 43.0000000260001,-38.7486136279999 43.0000000260001,-38.751692313 43.0000000260001,-38.7652874039999 43.0000000260001,-38.7683503009999 43.0000000260001,-38.7819611799999 43.0000000260001,-38.785008289 43.0000000260001,-38.7986349559999 43.0000000260001,-38.801666277 43.0000000260001,-38.8153087319999 43.0000000260001,-38.8183242649999 43.0000000260001,-38.831982508 43.0000000260001,-38.834982253 43.0000000260001,-38.848656284 43.0000000260001,-38.851640241 43.0000000260001,-38.86533006 43.0000000260001,-38.8682982289999 43.0000000260001,-38.882003837 43.0000000260001,-38.884956217 43.0000000260001,-38.898677613 43.0000000260001,-38.9016142049999 43.0000000260001,-38.915351389 43.0000000260001,-38.918272193 43.0000000260001,-38.932025165 43.0000000260001,-38.934930181 43.0000000260001,-38.948698941 43.0000000260001,-38.9515881689999 43.0000000260001,-38.965372717 43.0000000260001,-38.968246157 43.0000000260001,-38.982046493 43.0000000260001,-38.984904145 43.0000000260001,-38.9987202689999 43.0000000260001,-39.0015621329999 43.0000000260001,-39.0153940449999 43.0000000260001,-39.018220121 43.0000000260001,-39.0320678219999 43.0000000260001,-39.034878109 43.0000000260001,-39.0487415979999 43.0000000260001,-39.0515360969999 43.0000000260001,-39.0654153739999 43.0000000260001,-39.068194085 43.0000000260001,-39.0820891499999 43.0000000260001,-39.084852073 43.0000000260001,-39.0987629259999 43.0000000260001,-39.1015100609999 43.0000000260001,-39.115436702 43.0000000260001,-39.118168049 43.0000000260001,-39.132110478 43.0000000260001,-39.134826037 43.0000000260001,-39.148784254 43.0000000260001,-39.1514840249999 43.0000000260001,-39.16545803 43.0000000260001,-39.168142013 43.0000000260001,-39.182131806 43.0000000260001,-39.184800001 43.0000000260001,-39.198805583 43.0000000260001,-39.201457988 43.0000000260001,-39.215479359 43.0000000260001,-39.218115976 43.0000000260001,-39.232153135 43.0000000260001,-39.2347739639999 43.0000000260001,-39.248826911 43.0000000260001,-39.251431952 43.0000000260001,-39.265500687 43.0000000260001,-39.26808994 43.0000000260001,-39.2821744629999 43.0000000260001,-39.2847479279999 43.0000000260001,-39.2988482389999 43.0000000260001,-39.301405916 43.0000000260001,-39.3155220149999 43.0000000260001,-39.318063904 43.0000000260001,-39.3321957909999 43.0000000260001,-39.3347218919999 43.0000000260001,-39.3488695679999 43.0000000260001,-39.35137988 43.0000000260001,-39.3655433439999 43.0000000260001,-39.3680378679999 43.0000000260001,-39.38221712 43.0000000260001,-39.384695856 43.0000000260001,-39.398890896 43.0000000260001,-39.401353844 43.0000000260001,-39.415564672 43.0000000260001,-39.4180118319999 43.0000000260001,-39.432238448 43.0000000260001,-39.43466982 43.0000000260001,-39.448912224 43.0000000260001,-39.451327808 43.0000000260001,-39.465586 43.0000000260001,-39.4679857959999 43.0000000260001,-39.482259776 43.0000000260001,-39.484643784 43.0000000260001,-39.498933552 43.0000000260001,-39.501301772 43.0000000260001,-39.515607329 43.0000000260001,-39.5179597599999 43.0000000260001,-39.532281105 43.0000000260001,-39.534617748 43.0000000260001,-39.5489548809999 43.0000000260001,-39.551275736 43.0000000260001,-39.5656286569999 43.0000000260001,-39.5679337239999 43.0000000260001,-39.5823024329999 43.0000000260001,-39.584591712 43.0000000260001,-39.5989762089999 43.0000000260001,-39.6012497 43.0000000260001,-39.6156499849999 43.0000000260001,-39.6179076879999 43.0000000260001,-39.632323761 43.0000000260001,-39.634565676 43.0000000260001,-39.648997537 43.0000000260001,-39.6512236639999 43.0000000260001,-39.665671313 43.0000000260001,-39.6678816519999 43.0000000260001,-39.68234509 43.0000000260001,-39.68453964 43.0000000260001,-39.699018866 43.0000000260001,-39.7011976279999 43.0000000260001,-39.715692642 43.0000000260001,-39.717855616 43.0000000260001,-39.732366418 43.0000000260001,-39.734513604 43.0000000260001,-39.749040194 43.0000000260001,-39.7511715919999 43.0000000260001,-39.76571397 43.0000000260001,-39.76782958 43.0000000260001,-39.782387746 43.0000000260001,-39.784487568 43.0000000260001,-39.7990615219999 43.0000000260001,-39.8011455559999 43.0000000260001,-39.8157352979999 43.0000000260001,-39.817803544 43.0000000260001,-39.8324090749999 43.0000000260001,-39.8344615309999 43.0000000260001,-39.8490828509999 43.0000000260001,-39.851119519 43.0000000260001,-39.8657566269999 43.0000000260001,-39.867777507 43.0000000260001,-39.8824304029999 43.0000000260001,-39.8844354949999 43.0000000260001,-39.8991041789999 43.0000000260001,-39.901093483 43.0000000260001,-39.915777955 43.0000000260001,-39.917751471 43.0000000260001,-39.932451731 43.0000000260001,-39.9344094589999 43.0000000260001,-39.949125507 43.0000000260001,-39.951067447 43.0000000260001,-39.965799283 43.0000000260001,-39.967725435 43.0000000260001,-39.982473059 43.0000000260001,-39.9843834229999 43.0000000260001,-39.999146836 43.0000000260001,-40.001041411 43.0000000260001,-40.015820612 43.0000000260001,-40.017699399 43.0000000260001,-40.032494388 43.0000000260001,-40.0343573869999 43.0000000260001,-40.049168164 43.0000000260001,-40.051015375 43.0000000260001,-40.06584194 43.0000000260001,-40.067673363 43.0000000260001,-40.0825157159999 43.0000000260001,-40.0843313509999 43.0000000260001,-40.0991894919999 43.0000000260001,-40.100989339 43.0000000260001,-40.1158632679999 43.0000000260001,-40.1176473269999 43.0000000260001,-40.1325370439999 43.0000000260001,-40.1343053149999 43.0000000260001,-40.1492108209999 43.0000000260001,-40.150963303 43.0000000260001,-40.1658845969999 43.0000000260001,-40.1676212909999 43.0000000260001,-40.1825583729999 43.0000000260001,-40.184279279 43.0000000260001,-40.199232149 43.0000000260001,-40.200937267 43.0000000260001,-40.215905925 43.0000000260001,-40.2175952549999 43.0000000260001,-40.232579701 43.0000000260001,-40.234253243 43.0000000260001,-40.249253477 43.0000000260001,-40.250911231 43.0000000260001,-40.265927253 43.0000000260001,-40.2675692189999 43.0000000260001,-40.282601029 43.0000000260001,-40.284227207 43.0000000260001,-40.299274805 43.0000000260001,-40.300885195 43.0000000260001,-40.315948582 43.0000000260001,-40.3175431829999 43.0000000260001,-40.332622358 43.0000000260001,-40.334201171 43.0000000260001,-40.349296134 43.0000000260001,-40.350859159 43.0000000260001,-40.3659699099999 43.0000000260001,-40.3675171469999 43.0000000260001,-40.3826436859999 43.0000000260001,-40.384175135 43.0000000260001,-40.3993174619999 43.0000000260001,-40.400833123 43.0000000260001,-40.4159912379999 43.0000000260001,-40.4174911109999 43.0000000260001,-40.432665014 43.0000000260001,-40.434149099 43.0000000260001,-40.44933879 43.0000000260001,-40.4508070869999 43.0000000260001,-40.466012567 43.0000000260001,-40.467465075 43.0000000260001,-40.482686343 43.0000000260001,-40.484123062 43.0000000260001,-40.499360119 43.0000000260001,-40.5007810499999 43.0000000260001,-40.516033895 43.0000000260001,-40.517439038 43.0000000260001,-40.532707671 43.0000000260001,-40.534097026 43.0000000260001,-40.549381447 43.0000000260001,-40.5507550139999 43.0000000260001,-40.566055223 43.0000000260001,-40.567413002 43.0000000260001,-40.582728999 43.0000000260001,-40.5840709899999 43.0000000260001,-40.5994027749999 43.0000000260001,-40.6007289779999 43.0000000260001,-40.6160765509999 43.0000000260001,-40.617386966 43.0000000260001,-40.6327503279999 43.0000000260001,-40.6340449539999 43.0000000260001,-40.6494241039999 43.0000000260001,-40.650702942 43.0000000260001,-40.6660978799999 43.0000000260001,-40.66736093 43.0000000260001,-40.6827716559999 43.0000000260001,-40.6840189179999 43.0000000260001,-40.6994454319999 43.0000000260001,-40.700676906 43.0000000260001,-40.716119208 43.0000000260001,-40.717334894 43.0000000260001,-40.732792984 43.0000000260001,-40.7339928819999 43.0000000260001,-40.74946676 43.0000000260001,-40.75065087 43.0000000260001,-40.766140536 43.0000000260001,-40.767308858 43.0000000260001,-40.782814312 43.0000000260001,-40.7839668459999 43.0000000260001,-40.799488089 43.0000000260001,-40.800624834 43.0000000260001,-40.816161865 43.0000000260001,-40.817282822 43.0000000260001,-40.832835641 43.0000000260001,-40.8339408099999 43.0000000260001,-40.849509417 43.0000000260001,-40.850598798 43.0000000260001,-40.866183193 43.0000000260001,-40.867256786 43.0000000260001,-40.8828569689999 43.0000000260001,-40.8839147739999 43.0000000260001,-40.8995307449999 43.0000000260001,-40.900572762 43.0000000260001,-40.9162045209999 43.0000000260001,-40.9172307499999 43.0000000260001,-40.9328782969999 43.0000000260001,-40.933888738 43.0000000260001,-40.9495520739999 43.0000000260001,-40.950546726 43.0000000260001,-40.9662258499999 43.0000000260001,-40.9672047139999 43.0000000260001,-40.9828996259999 43.0000000260001,-40.983862702 43.0000000260001,-40.999573402 43.0000000260001,-41.00052069 43.0000000260001,-41.016247178 43.0000000260001,-41.0171786779999 43.0000000260001,-41.032920954 43.0000000260001,-41.033836666 43.0000000260001,-41.04959473 43.0000000260001,-41.050494654 43.0000000260001,-41.066268506 43.0000000260001,-41.0671526419999 43.0000000260001,-41.082942282 43.0000000260001,-41.08381063 43.0000000260001,-41.099616058 43.0000000260001,-41.100468618 43.0000000260001,-41.116289835 43.0000000260001,-41.117126605 43.0000000260001,-41.132963611 43.0000000260001,-41.133784593 43.0000000260001,-41.149637387 43.0000000260001,-41.1504425809999 43.0000000260001,-41.1663111629999 43.0000000260001,-41.167100569 43.0000000260001,-41.1829849389999 43.0000000260001,-41.183758557 43.0000000260001,-41.1996587149999 43.0000000260001,-41.2004165449999 43.0000000260001,-41.2163324909999 43.0000000260001,-41.217074533 43.0000000260001,-41.233006267 43.0000000260001,-41.233732521 43.0000000260001,-41.249680043 43.0000000260001,-41.2503905089999 43.0000000260001,-41.2663538199999 43.0000000260001,-41.267048497 43.0000000260001,-41.283027596 43.0000000260001,-41.283706485 43.0000000260001,-41.299701372 43.0000000260001,-41.3003644729999 43.0000000260001,-41.316375148 43.0000000260001,-41.317022461 43.0000000260001,-41.333048924 43.0000000260001,-41.333680449 43.0000000260001,-41.3497227 43.0000000260001,-41.3503384369999 43.0000000260001,-41.366396476 43.0000000260001,-41.366996425 43.0000000260001,-41.383070252 43.0000000260001,-41.3836544129999 43.0000000260001,-41.3997440279999 43.0000000260001,-41.400312401 43.0000000260001,-41.4164178039999 43.0000000260001,-41.416970389 43.0000000260001,-41.433091581 43.0000000260001,-41.4336283769999 43.0000000260001,-41.4497653569999 43.0000000260001,-41.450286365 43.0000000260001,-41.4664391329999 43.0000000260001,-41.466944353 43.0000000260001,-41.4831129089999 43.0000000260001,-41.4836023409999 43.0000000260001,-41.4997866849999 43.0000000260001,-41.500260329 43.0000000260001,-41.516460461 43.0000000260001,-41.516918317 43.0000000260001,-41.533134237 43.0000000260001,-41.5335763049999 43.0000000260001,-41.549808013 43.0000000260001,-41.550234293 43.0000000260001,-41.566481789 43.0000000260001,-41.566892281 43.0000000260001,-41.583155566 43.0000000260001,-41.5835502689999 43.0000000260001,-41.599829342 43.0000000260001,-41.600208257 43.0000000260001,-41.616503118 43.0000000260001,-41.616866245 43.0000000260001,-41.633176894 43.0000000260001,-41.6335242329999 43.0000000260001,-41.64985067 43.0000000260001,-41.650182221 43.0000000260001,-41.666524446 43.0000000260001,-41.6668402089999 43.0000000260001,-41.6831982219999 43.0000000260001,-41.6834981969999 43.0000000260001,-41.6998719979999 43.0000000260001,-41.700156185 43.0000000260001,-41.7165457739999 43.0000000260001,-41.7168141729999 43.0000000260001,-41.7332195499999 43.0000000260001,-41.733472161 43.0000000260001,-41.7498933269999 43.0000000260001,-41.750130149 43.0000000260001,-41.7665671029999 43.0000000260001,-41.7667881359999 43.0000000260001,-41.7832408789999 43.0000000260001,-41.783446124 43.0000000260001,-41.799914655 43.0000000260001,-41.800104112 43.0000000260001,-41.816588431 43.0000000260001,-41.8167620999999 43.0000000260001,-41.833262207 43.0000000260001,-41.833420088 43.0000000260001,-41.849935983 43.0000000260001,-41.8500780759999 43.0000000260001,-41.866609759 43.0000000260001,-41.866736064 43.0000000260001,-41.883283535 43.0000000260001,-41.883394052 43.0000000260001,-41.899957311 43.0000000260001,-41.9000520399999 43.0000000260001,-41.916631088 43.0000000260001,-41.916710028 43.0000000260001,-41.933304864 43.0000000260001,-41.933368016 43.0000000260001,-41.94997864 43.0000000260001,-41.9500260039999 43.0000000260001,-41.9666524159999 43.0000000260001,-41.966683992 43.0000000260001,-41.9833261919999 43.0000000260001,-41.98334198 43.0000000260001,-41.9999999789999 43.000000017,-41.9999999839999 43.0166665520001,-41.9999999839999 43.0333330920001,-41.9999999839999 43.049999631,-41.9999999839999 43.0666661710001,-41.9999999839999 43.083332711,-41.9999999839999 43.0999992500001,-41.9999999839999 43.1166657890001,-41.9999999839999 43.133334237,-41.9999999839999 43.1500007760001,-41.9999999839999 43.166667315,-41.9999999839999 43.1833338550001,-41.9999999839999 43.200000394,-41.9999999839999 43.216666934,-41.9999999839999 43.2333334740001,-41.9999999839999 43.250000013,-41.9999999839999 43.2666665520001,-41.9999999839999 43.2833330920001,-41.9999999839999 43.299999631,-41.9999999839999 43.3166661710001,-41.9999999839999 43.333332711,-41.9999999839999 43.3499992500001,-41.9999999839999 43.3666657890001,-41.9999999839999 43.383334237,-41.9999999839999 43.4000007760001,-41.9999999839999 43.416667315,-41.9999999839999 43.4333338550001,-41.9999999839999 43.4500003950001,-41.9999999839999 43.466666934,-41.9999999839999 43.4833334740001,-41.9999999839999 43.500000013,-41.9999999839999 43.5166665520001,-41.9999999839999 43.5333330920001,-41.9999999839999 43.549999632,-41.9999999839999 43.5666661710001,-41.9999999839999 43.583332711,-41.9999999839999 43.5999992500001,-41.9999999839999 43.6166657890001,-41.9999999839999 43.633334237,-41.9999999839999 43.6500007760001,-41.9999999839999 43.666667315,-41.9999999839999 43.6833338550001,-41.9999999839999 43.7000003950001,-41.9999999839999 43.716666934,-41.9999999839999 43.7333334740001,-41.9999999839999 43.750000013,-41.9999999839999 43.7666665530001,-41.9999999839999 43.7833330920001,-41.9999999839999 43.799999632,-41.9999999839999 43.8166661710001,-41.9999999839999 43.833332711,-41.9999999839999 43.8499992500001,-41.9999999839999 43.8666657900001,-41.9999999839999 43.883334237,-41.9999999839999 43.9000007760001,-41.9999999839999 43.916667316,-41.9999999839999 43.9333338550001,-41.9999999839999 43.9500003950001,-41.9999999839999 43.966666934,-41.9999999839999 43.9833334740001,-41.9999999839999 44.000000013,-41.9999999839999 44.0166665530001,-41.9999999839999 44.0333330920001,-41.9999999839999 44.049999632,-41.9999999839999 44.0666661710001,-41.9999999839999 44.083332711,-41.9999999839999 44.0999992500001,-41.9999999839999 44.1166657900001,-41.9999999839999 44.133334237,-41.9999999839999 44.1500007760001,-41.9999999839999 44.166667316,-41.9999999839999 44.183333856,-41.9999999839999 44.2000003950001,-41.9999999839999 44.216666934,-41.9999999839999 44.2333334740001,-41.9999999839999 44.250000013,-41.9999999839999 44.2666665530001,-41.9999999839999 44.2833330930001,-41.9999999839999 44.299999632,-41.9999999839999 44.3166661710001,-41.9999999839999 44.333332711,-41.9999999839999 44.3499992500001,-41.9999999839999 44.3666657900001,-41.9999999839999 44.383334237,-41.9999999839999 44.4000007760001,-41.9999999839999 44.416667316,-41.9999999839999 44.433333856,-41.9999999839999 44.4500003950001,-41.9999999839999 44.466666934,-41.9999999839999 44.4833334740001,-41.9999999839999 44.5000000140001,-41.9999999839999 44.5166665530001,-41.9999999839999 44.5333330930001,-41.9999999839999 44.549999632,-41.9999999839999 44.5666661710001,-41.9999999839999 44.583332711,-41.9999999839999 44.599999251,-41.9999999839999 44.6166657900001,-41.9999999839999 44.633334237,-41.9999999839999 44.6500007770001,-41.9999999839999 44.666667316,-41.9999999839999 44.683333856,-41.9999999839999 44.7000003950001,-41.9999999839999 44.716666934,-41.9999999839999 44.7333334740001,-41.9999999839999 44.7500000140001,-41.9999999839999 44.7666665530001,-41.9999999839999 44.7833330930001,-41.9999999839999 44.799999632,-41.9999999839999 44.8166661720001,-41.9999999839999 44.833332711,-41.9999999839999 44.849999251,-41.9999999839999 44.8666657900001,-41.9999999839999 44.883334237,-41.9999999839999 44.9000007770001,-41.9999999839999 44.916667316,-41.9999999839999 44.933333856,-41.9999999839999 44.9500003950001,-41.9999999839999 44.966666935,-41.9999999839999 44.9833334740001,-41.9999999839999 45.0000000140001,-41.9999999839999 45.0166665530001,-41.9999999839999 45.0333330930001,-41.9999999839999 45.049999632,-41.9999999839999 45.0666661720001,-41.9999999839999 45.083332711,-41.9999999839999 45.099999251,-41.9999999839999 45.1166657900001,-41.9999999839999 45.133334237,-41.9999999839999 45.1500007770001,-41.9999999839999 45.166667316,-41.9999999839999 45.183333856,-41.9999999839999 45.2000003950001,-41.9999999839999 45.216666935,-41.9999999839999 45.2333334750001,-41.9999999839999 45.2500000140001,-41.9999999839999 45.2666665530001,-41.9999999839999 45.2833330930001,-41.9999999839999 45.299999632,-41.9999999839999 45.3166661720001,-41.9999999839999 45.3333327120001,-41.9999999839999 45.349999251,-41.9999999839999 45.3666657900001,-41.9999999839999 45.383334238,-41.9999999839999 45.4000007770001,-41.9999999839999 45.416667316,-41.9999999839999 45.433333856,-41.9999999839999 45.4500003950001,-41.9999999839999 45.466666935,-41.9999999839999 45.4833334750001,-41.9999999839999 45.5000000140001,-41.9999999839999 45.5166665530001,-41.9999999839999 45.5333330930001,-41.9999999839999 45.549999633,-41.9999999839999 45.5666661720001,-41.9999999839999 45.5833327120001,-41.9999999839999 45.599999251,-41.9999999839999 45.6166657900001,-41.9999999839999 45.633334238,-41.9999999839999 45.6500007770001,-41.9999999839999 45.666667316,-41.9999999839999 45.683333856,-41.9999999839999 45.7000003960001,-41.9999999839999 45.716666935,-41.9999999839999 45.7333334750001,-41.9999999839999 45.7500000140001,-41.9999999839999 45.7666665530001,-41.9999999839999 45.7833330930001,-41.9999999839999 45.799999633,-41.9999999839999 45.8166661720001,-41.9999999839999 45.8333327120001,-41.9999999839999 45.849999251,-41.9999999839999 45.8666657910001,-41.9999999839999 45.883334238,-41.9999999839999 45.9000007770001,-41.9999999839999 45.9166673170001,-41.9999999839999 45.933333856,-41.9999999839999 45.9500003960001,-41.9999999839999 45.966666935,-41.9999999839999 45.9833334750001,-41.9999999839999 46.0000000140001,-41.9999999839999 46.016666554,-41.9999999839999 46.0333330930001,-41.9999999839999 46.049999633,-41.9999999839999 46.0666661720001,-41.9999999839999 46.0833327120001,-41.9999999839999 46.099999251,-41.9999999839999 46.1166657910001,-41.9999999839999 46.133334238,-41.9999999839999 46.1500007770001,-41.9999999839999 46.1666673170001,-41.9999999839999 46.183333856,-41.9999999839999 46.2000003960001,-41.9999999839999 46.216666935,-41.9999999839999 46.2333334750001,-41.9999999839999 46.2500000140001,-41.9999999839999 46.266666554,-41.9999999839999 46.2833330940001,-41.9999999839999 46.299999633,-41.9999999839999 46.3166661720001,-41.9999999839999 46.3333327120001,-41.9999999839999 46.349999251,-41.9999999839999 46.3666657910001,-41.9999999839999 46.383334238,-41.9999999839999 46.4000007770001,-41.9999999839999 46.4166673170001,-41.9999999839999 46.433333857,-41.9999999839999 46.4500003960001,-41.9999999839999 46.466666935,-41.9999999839999 46.4833334750001,-41.9999999839999 46.5000000140001,-41.9999999839999 46.516666554,-41.9999999839999 46.5333330940001,-41.9999999839999 46.549999633,-41.9999999839999 46.5666661720001,-41.9999999839999 46.5833327120001,-41.9999999839999 46.599999252,-41.9999999839999 46.6166657910001,-41.9999999839999 46.633334238,-41.9999999839999 46.650000778,-41.9999999839999 46.6666673170001,-41.9999999839999 46.683333857,-41.9999999839999 46.7000003960001,-41.9999999839999 46.716666935,-41.9999999839999 46.7333334750001,-41.9999999839999 46.7500000150001,-41.9999999839999 46.766666554,-41.9999999839999 46.7833330940001,-41.9999999839999 46.799999633,-41.9999999839999 46.8166661720001,-41.9999999839999 46.8333327120001,-41.9999999839999 46.849999252,-41.9999999839999 46.8666657910001,-41.9999999839999 46.883334238,-41.9999999839999 46.900000778,-41.9999999839999 46.9166673170001,-41.9999999839999 46.933333857,-41.9999999839999 46.9500003960001,-41.9999999839999 46.9666669360001,-41.9999999839999 46.9833334750001,-41.9999999839999 47.0000000150001,-41.9999999839999 47.016666554,-41.9999999839999 47.0333330940001,-41.9999999839999 47.049999633,-41.9999999839999 47.066666173,-41.9999999839999 47.0833327120001,-41.9999999839999 47.099999252,-41.9999999839999 47.1166657910001,-41.9999999839999 47.133334238,-41.9999999839999 47.150000778,-41.9999999839999 47.1666673170001,-41.9999999839999 47.183333857,-41.9999999839999 47.2000003960001,-41.9999999839999 47.2166669360001,-41.9999999839999 47.2333334750001,-41.9999999839999 47.2500000150001,-41.9999999839999 47.266666554,-41.9999999839999 47.2833330940001,-41.9999999839999 47.299999633,-41.9999999839999 47.316666173,-41.9999999839999 47.3333327130001,-41.9999999839999 47.349999252,-41.9999999839999 47.3666657910001,-41.9999999839999 47.3833342390001,-41.9999999839999 47.400000778,-41.9999999839999 47.4166673170001,-41.9999999839999 47.433333857,-41.9999999839999 47.4500003960001,-41.9999999839999 47.4666669360001,-41.9999999839999 47.483333476,-41.9999999839999 47.5000000150001,-41.9999999839999 47.516666554,-41.9999999839999 47.5333330940001,-41.9999999839999 47.549999633,-41.9999999839999 47.566666173,-41.9999999839999 47.5833327130001,-41.9999999839999 47.599999252,-41.9999999839999 47.6166657910001,-41.9999999839999 47.6333342390001,-41.9999999839999 47.650000778,-41.9999999839999 47.6666673170001,-41.9999999839999 47.683333857,-41.9999999839999 47.7000003970001,-41.9999999839999 47.7166669360001,-41.9999999839999 47.733333476,-41.9999999839999 47.7500000150001,-41.9999999839999 47.766666554,-41.9999999839999 47.7833330940001,-41.9999999839999 47.7999996340001,-41.9999999839999 47.816666173,-41.9999999839999 47.8333327130001,-41.9999999839999 47.849999252,-41.9999999839999 47.8666657910001,-41.9999999839999 47.8833342390001,-41.9999999839999 47.900000778,-41.9999999839999 47.9166673170001,-41.9999999839999 47.933333857,-41.9999999839999 47.9500003970001,-41.9999999839999 47.9666669360001,-41.9999999839999 47.983333476,-41.9999999789999 48.0000000100001,-41.9833802759999 48.0000000300001,-41.983333301 48.0000000300001,-41.9667605829999 48.0000000300001,-41.966666635 48.0000000300001,-41.9501408909999 48.0000000300001,-41.9499999679999 48.0000000300001,-41.9335211979999 48.0000000300001,-41.9333333009999 48.0000000300001,-41.9169015059999 48.0000000300001,-41.916666635 48.0000000300001,-41.9002818129999 48.0000000300001,-41.899999968 48.0000000300001,-41.8836621209999 48.0000000300001,-41.8833333009999 48.0000000300001,-41.867042429 48.0000000300001,-41.8666666349999 48.0000000300001,-41.850422736 48.0000000300001,-41.849999968 48.0000000300001,-41.833803044 48.0000000300001,-41.833333301 48.0000000300001,-41.817183351 48.0000000300001,-41.8166666349999 48.0000000300001,-41.800563659 48.0000000300001,-41.799999968 48.0000000300001,-41.783943966 48.0000000300001,-41.783333301 48.0000000300001,-41.767324274 48.0000000300001,-41.766666635 48.0000000300001,-41.750704581 48.0000000300001,-41.7499999679999 48.0000000300001,-41.734084889 48.0000000300001,-41.733333301 48.0000000300001,-41.717465196 48.0000000300001,-41.716666635 48.0000000300001,-41.700845504 48.0000000300001,-41.6999999679999 48.0000000300001,-41.684225812 48.0000000300001,-41.6833333009999 48.0000000300001,-41.667606119 48.0000000300001,-41.666666634 48.0000000300001,-41.650986427 48.0000000300001,-41.649999968 48.0000000300001,-41.634366734 48.0000000300001,-41.6333333009999 48.0000000300001,-41.617747042 48.0000000300001,-41.616666634 48.0000000300001,-41.601127349 48.0000000300001,-41.599999968 48.0000000300001,-41.584507657 48.0000000300001,-41.583333301 48.0000000300001,-41.567887964 48.0000000300001,-41.5666666339999 48.0000000300001,-41.551268272 48.0000000300001,-41.549999968 48.0000000300001,-41.53464858 48.0000000300001,-41.533333301 48.0000000300001,-41.518028887 48.0000000300001,-41.5166666339999 48.0000000300001,-41.501409195 48.0000000300001,-41.4999999679999 48.0000000300001,-41.484789502 48.0000000300001,-41.483333301 48.0000000300001,-41.4681698099999 48.0000000300001,-41.466666634 48.0000000300001,-41.451550117 48.0000000300001,-41.4499999679999 48.0000000300001,-41.4349304249999 48.0000000300001,-41.4333333009999 48.0000000300001,-41.418310732 48.0000000300001,-41.416666634 48.0000000300001,-41.4016910399999 48.0000000300001,-41.399999968 48.0000000300001,-41.3850713479999 48.0000000300001,-41.3833333009999 48.0000000300001,-41.3684516549999 48.0000000300001,-41.366666634 48.0000000300001,-41.3518319629999 48.0000000300001,-41.349999968 48.0000000300001,-41.3352122699999 48.0000000300001,-41.333333301 48.0000000300001,-41.3185925779999 48.0000000300001,-41.3166666339999 48.0000000300001,-41.3019728849999 48.0000000300001,-41.299999967 48.0000000300001,-41.2853531929999 48.0000000300001,-41.283333301 48.0000000300001,-41.2687334999999 48.0000000300001,-41.2666666339999 48.0000000300001,-41.2521138079999 48.0000000300001,-41.249999967 48.0000000300001,-41.2354941149999 48.0000000300001,-41.233333301 48.0000000300001,-41.2188744229999 48.0000000300001,-41.216666634 48.0000000300001,-41.202254731 48.0000000300001,-41.1999999669999 48.0000000300001,-41.1856350379999 48.0000000300001,-41.1833333009999 48.0000000300001,-41.169015346 48.0000000300001,-41.166666634 48.0000000300001,-41.152395653 48.0000000300001,-41.149999967 48.0000000300001,-41.135775961 48.0000000300001,-41.1333333009999 48.0000000300001,-41.119156268 48.0000000300001,-41.116666634 48.0000000300001,-41.102536576 48.0000000300001,-41.099999967 48.0000000300001,-41.085916883 48.0000000300001,-41.083333301 48.0000000300001,-41.069297191 48.0000000300001,-41.0666666339999 48.0000000300001,-41.052677499 48.0000000300001,-41.049999967 48.0000000300001,-41.036057806 48.0000000300001,-41.033333301 48.0000000300001,-41.019438114 48.0000000300001,-41.0166666339999 48.0000000300001,-41.002818421 48.0000000300001,-40.999999967 48.0000000300001,-40.986198729 48.0000000300001,-40.983333301 48.0000000300001,-40.969579036 48.0000000300001,-40.966666634 48.0000000300001,-40.952959344 48.0000000300001,-40.9499999669999 48.0000000300001,-40.936339651 48.0000000300001,-40.9333333 48.0000000300001,-40.919719959 48.0000000300001,-40.916666634 48.0000000300001,-40.903100266 48.0000000300001,-40.899999967 48.0000000300001,-40.886480574 48.0000000300001,-40.8833332999999 48.0000000300001,-40.869860882 48.0000000300001,-40.866666634 48.0000000300001,-40.853241189 48.0000000300001,-40.849999967 48.0000000300001,-40.836621497 48.0000000300001,-40.8333332999999 48.0000000300001,-40.820001804 48.0000000300001,-40.8166666339999 48.0000000300001,-40.803382112 48.0000000300001,-40.799999967 48.0000000300001,-40.786762419 48.0000000300001,-40.7833333 48.0000000300001,-40.7701427269999 48.0000000300001,-40.7666666339999 48.0000000300001,-40.753523034 48.0000000300001,-40.749999967 48.0000000300001,-40.7369033419999 48.0000000300001,-40.7333333 48.0000000300001,-40.7202836499999 48.0000000300001,-40.716666634 48.0000000300001,-40.7036639569999 48.0000000300001,-40.6999999669999 48.0000000300001,-40.6870442649999 48.0000000300001,-40.6833333 48.0000000300001,-40.6704245719999 48.0000000300001,-40.666666634 48.0000000300001,-40.6538048799999 48.0000000300001,-40.649999967 48.0000000300001,-40.6371851869999 48.0000000300001,-40.6333332999999 48.0000000300001,-40.6205654949999 48.0000000300001,-40.616666633 48.0000000300001,-40.6039458019999 48.0000000300001,-40.599999967 48.0000000300001,-40.5873261099999 48.0000000300001,-40.5833332999999 48.0000000300001,-40.5707064179999 48.0000000300001,-40.566666633 48.0000000300001,-40.5540867249999 48.0000000300001,-40.549999967 48.0000000300001,-40.537467033 48.0000000300001,-40.5333333 48.0000000300001,-40.5208473399999 48.0000000300001,-40.5166666329999 48.0000000300001,-40.504227648 48.0000000300001,-40.499999967 48.0000000300001,-40.4876079549999 48.0000000300001,-40.4833333 48.0000000300001,-40.470988263 48.0000000300001,-40.4666666329999 48.0000000300001,-40.45436857 48.0000000300001,-40.4499999669999 48.0000000300001,-40.437748878 48.0000000300001,-40.4333333 48.0000000300001,-40.421129185 48.0000000300001,-40.416666633 48.0000000300001,-40.404509493 48.0000000300001,-40.399999967 48.0000000300001,-40.387889801 48.0000000300001,-40.3833332999999 48.0000000300001,-40.371270108 48.0000000300001,-40.366666633 48.0000000300001,-40.354650416 48.0000000300001,-40.349999967 48.0000000300001,-40.338030723 48.0000000300001,-40.3333332999999 48.0000000300001,-40.321411031 48.0000000300001,-40.316666633 48.0000000300001,-40.304791338 48.0000000300001,-40.299999967 48.0000000300001,-40.288171646 48.0000000300001,-40.2833333 48.0000000300001,-40.271551953 48.0000000300001,-40.2666666329999 48.0000000300001,-40.254932261 48.0000000300001,-40.249999966 48.0000000300001,-40.238312569 48.0000000300001,-40.2333333 48.0000000300001,-40.221692876 48.0000000300001,-40.2166666329999 48.0000000300001,-40.205073184 48.0000000300001,-40.199999966 48.0000000300001,-40.188453491 48.0000000300001,-40.1833333 48.0000000300001,-40.171833799 48.0000000300001,-40.166666633 48.0000000300001,-40.155214106 48.0000000300001,-40.1499999659999 48.0000000300001,-40.138594414 48.0000000300001,-40.1333332999999 48.0000000300001,-40.121974721 48.0000000300001,-40.116666633 48.0000000300001,-40.105355029 48.0000000300001,-40.099999966 48.0000000300001,-40.088735336 48.0000000300001,-40.0833332999999 48.0000000300001,-40.072115644 48.0000000300001,-40.066666633 48.0000000300001,-40.0554959519999 48.0000000300001,-40.049999966 48.0000000300001,-40.0388762589999 48.0000000300001,-40.0333333 48.0000000300001,-40.0222565669999 48.0000000300001,-40.0166666329999 48.0000000300001,-40.0056368739999 48.0000000300001,-39.999999966 48.0000000300001,-39.9890171819999 48.0000000300001,-39.9833333 48.0000000300001,-39.9723974889999 48.0000000300001,-39.9666666329999 48.0000000300001,-39.9557777969999 48.0000000300001,-39.949999966 48.0000000300001,-39.9391581039999 48.0000000300001,-39.9333333 48.0000000300001,-39.9225384119999 48.0000000300001,-39.916666633 48.0000000300001,-39.9059187199999 48.0000000300001,-39.8999999659999 48.0000000300001,-39.8892990269999 48.0000000300001,-39.883333299 48.0000000300001,-39.8726793349999 48.0000000300001,-39.866666633 48.0000000300001,-39.8560596419999 48.0000000300001,-39.849999966 48.0000000300001,-39.83943995 48.0000000300001,-39.8333332989999 48.0000000300001,-39.8228202569999 48.0000000300001,-39.816666633 48.0000000300001,-39.806200565 48.0000000300001,-39.799999966 48.0000000300001,-39.7895808719999 48.0000000300001,-39.7833332989999 48.0000000300001,-39.77296118 48.0000000300001,-39.7666666329999 48.0000000300001,-39.756341488 48.0000000300001,-39.749999966 48.0000000300001,-39.739721795 48.0000000300001,-39.733333299 48.0000000300001,-39.723102103 48.0000000300001,-39.7166666329999 48.0000000300001,-39.70648241 48.0000000300001,-39.699999966 48.0000000300001,-39.689862718 48.0000000300001,-39.683333299 48.0000000300001,-39.673243025 48.0000000300001,-39.666666633 48.0000000300001,-39.656623333 48.0000000300001,-39.6499999659999 48.0000000300001,-39.64000364 48.0000000300001,-39.633333299 48.0000000300001,-39.623383948 48.0000000300001,-39.616666633 48.0000000300001,-39.606764255 48.0000000300001,-39.599999966 48.0000000300001,-39.590144563 48.0000000300001,-39.5833332989999 48.0000000300001,-39.573524871 48.0000000300001,-39.566666633 48.0000000300001,-39.556905178 48.0000000300001,-39.549999966 48.0000000300001,-39.540285486 48.0000000300001,-39.5333332989999 48.0000000300001,-39.523665793 48.0000000300001,-39.516666632 48.0000000300001,-39.507046101 48.0000000300001,-39.499999966 48.0000000300001,-39.490426408 48.0000000300001,-39.483333299 48.0000000300001,-39.473806716 48.0000000300001,-39.4666666319999 48.0000000300001,-39.457187023 48.0000000300001,-39.449999966 48.0000000300001,-39.440567331 48.0000000300001,-39.433333299 48.0000000300001,-39.4239476389999 48.0000000300001,-39.4166666319999 48.0000000300001,-39.407327946 48.0000000300001,-39.3999999659999 48.0000000300001,-39.3907082539999 48.0000000300001,-39.383333299 48.0000000300001,-39.374088561 48.0000000300001,-39.366666632 48.0000000300001,-39.3574688689999 48.0000000300001,-39.349999966 48.0000000300001,-39.3408491759999 48.0000000300001,-39.3333332989999 48.0000000300001,-39.3242294839999 48.0000000300001,-39.316666632 48.0000000300001,-39.3076097909999 48.0000000300001,-39.299999966 48.0000000300001,-39.2909900989999 48.0000000300001,-39.2833332989999 48.0000000300001,-39.2743704059999 48.0000000300001,-39.266666632 48.0000000300001,-39.2577507139999 48.0000000300001,-39.249999966 48.0000000300001,-39.2411310219999 48.0000000300001,-39.233333299 48.0000000300001,-39.2245113289999 48.0000000300001,-39.2166666319999 48.0000000300001,-39.2078916369999 48.0000000300001,-39.199999966 48.0000000300001,-39.1912719439999 48.0000000300001,-39.183333299 48.0000000300001,-39.1746522519999 48.0000000300001,-39.1666666319999 48.0000000300001,-39.1580325589999 48.0000000300001,-39.1499999649999 48.0000000300001,-39.1414128669999 48.0000000300001,-39.133333299 48.0000000300001,-39.1247931739999 48.0000000300001,-39.116666632 48.0000000300001,-39.108173482 48.0000000300001,-39.0999999649999 48.0000000300001,-39.09155379 48.0000000300001,-39.0833332989999 48.0000000300001,-39.074934097 48.0000000300001,-39.066666632 48.0000000300001,-39.058314405 48.0000000300001,-39.049999965 48.0000000300001,-39.041694712 48.0000000300001,-39.0333332989999 48.0000000300001,-39.02507502 48.0000000300001,-39.016666632 48.0000000300001,-39.008455327 48.0000000300001,-38.999999965 48.0000000300001,-38.991835635 48.0000000300001,-38.983333299 48.0000000300001,-38.975215942 48.0000000300001,-38.9666666319999 48.0000000300001,-38.95859625 48.0000000300001,-38.949999965 48.0000000300001,-38.941976558 48.0000000300001,-38.933333299 48.0000000300001,-38.925356865 48.0000000300001,-38.9166666319999 48.0000000300001,-38.908737173 48.0000000300001,-38.8999999649999 48.0000000300001,-38.89211748 48.0000000300001,-38.883333299 48.0000000300001,-38.875497788 48.0000000300001,-38.866666632 48.0000000300001,-38.858878095 48.0000000300001,-38.8499999649999 48.0000000300001,-38.842258403 48.0000000300001,-38.8333332989999 48.0000000300001,-38.82563871 48.0000000300001,-38.816666632 48.0000000300001,-38.809019018 48.0000000300001,-38.799999965 48.0000000300001,-38.792399325 48.0000000300001,-38.7833332979999 48.0000000300001,-38.775779633 48.0000000300001,-38.766666632 48.0000000300001,-38.759159941 48.0000000300001,-38.749999965 48.0000000300001,-38.742540248 48.0000000300001,-38.7333332979999 48.0000000300001,-38.7259205559999 48.0000000300001,-38.7166666319999 48.0000000300001,-38.709300863 48.0000000300001,-38.699999965 48.0000000300001,-38.6926811709999 48.0000000300001,-38.683333298 48.0000000300001,-38.676061478 48.0000000300001,-38.6666666319999 48.0000000300001,-38.6594417859999 48.0000000300001,-38.6499999649999 48.0000000300001,-38.6428220929999 48.0000000300001,-38.633333298 48.0000000300001,-38.6262024009999 48.0000000300001,-38.616666632 48.0000000300001,-38.6095827089999 48.0000000300001,-38.5999999649999 48.0000000300001,-38.5929630159999 48.0000000300001,-38.583333298 48.0000000300001,-38.5763433239999 48.0000000300001,-38.566666632 48.0000000300001,-38.5597236309999 48.0000000300001,-38.549999965 48.0000000300001,-38.5431039389999 48.0000000300001,-38.5333332979999 48.0000000300001,-38.5264842459999 48.0000000300001,-38.516666632 48.0000000300001,-38.5098645539999 48.0000000300001,-38.499999965 48.0000000300001,-38.4932448609999 48.0000000300001,-38.4833332979999 48.0000000300001,-38.4766251689999 48.0000000300001,-38.466666631 48.0000000300001,-38.4600054759999 48.0000000300001,-38.449999965 48.0000000300001,-38.4433857839999 48.0000000300001,-38.433333298 48.0000000300001,-38.426766092 48.0000000300001,-38.4166666309999 48.0000000300001,-38.410146399 48.0000000300001,-38.3999999649999 48.0000000300001,-38.393526707 48.0000000300001,-38.383333298 48.0000000300001,-38.376865875 48.0000000300001,-38.3666666309999 48.0000000300001,-38.360205042 48.0000000300001,-38.3499999649999 48.0000000300001,-38.3435442099999 48.0000000300001,-38.333333298 48.0000000300001,-38.3268833779999 48.0000000300001,-38.316666631 48.0000000300001,-38.310222546 48.0000000300001,-38.299999965 48.0000000300001,-38.293561714 48.0000000300001,-38.2833332979999 48.0000000300001,-38.2769008819999 48.0000000300001,-38.266666631 48.0000000300001,-38.2602400489999 48.0000000300001,-38.249999965 48.0000000300001,-38.2435792169999 48.0000000300001,-38.2333332979999 48.0000000300001,-38.226918385 48.0000000300001,-38.216666631 48.0000000300001,-38.210257553 48.0000000300001,-38.199999965 48.0000000300001,-38.1935967209999 48.0000000300001,-38.183333298 48.0000000300001,-38.1769358889999 48.0000000300001,-38.1666666309999 48.0000000300001,-38.1602750559999 48.0000000300001,-38.1499999649999 48.0000000300001,-38.143614224 48.0000000300001,-38.133333298 48.0000000300001,-38.126953392 48.0000000300001,-38.1166666309999 48.0000000300001,-38.1102925599999 48.0000000300001,-38.0999999639999 48.0000000300001,-38.0936317279999 48.0000000300001,-38.083333298 48.0000000300001,-38.076970896 48.0000000300001,-38.066666631 48.0000000300001,-38.060310063 48.0000000300001,-38.0499999639999 48.0000000300001,-38.043649231 48.0000000300001,-38.0333332979999 48.0000000300001,-38.0269883989999 48.0000000300001,-38.016666631 48.0000000300001,-38.0103275669999 48.0000000300001,-37.999999964 48.0000000300001,-37.993666735 48.0000000300001,-37.9833332979999 48.0000000300001,-37.977005903 48.0000000300001,-37.966666631 48.0000000300001,-37.96034507 48.0000000300001,-37.949999964 48.0000000300001,-37.9436842379999 48.0000000300001,-37.933333298 48.0000000300001,-37.9270234059999 48.0000000300001,-37.9166666309999 48.0000000300001,-37.910362574 48.0000000300001,-37.899999964 48.0000000300001,-37.893701742 48.0000000300001,-37.883333298 48.0000000300001,-37.8770409099999 48.0000000300001,-37.8666666309999 48.0000000300001,-37.8603800769999 48.0000000300001,-37.8499999639999 48.0000000300001,-37.8437192449999 48.0000000300001,-37.833333298 48.0000000300001,-37.827058413 48.0000000300001,-37.816666631 48.0000000300001,-37.810397581 48.0000000300001,-37.7999999639999 48.0000000300001,-37.7937367489999 48.0000000300001,-37.7833332979999 48.0000000300001,-37.7770759169999 48.0000000300001,-37.766666631 48.0000000300001,-37.7604150839999 48.0000000300001,-37.749999964 48.0000000300001,-37.743754252 48.0000000300001,-37.7333332969999 48.0000000300001,-37.72709342 48.0000000300001,-37.716666631 48.0000000300001,-37.7104325879999 48.0000000300001,-37.699999964 48.0000000300001,-37.6937717559999 48.0000000300001,-37.6833332969999 48.0000000300001,-37.677110924 48.0000000300001,-37.6666666309999 48.0000000300001,-37.660450091 48.0000000300001,-37.649999964 48.0000000300001,-37.643789259 48.0000000300001,-37.633333297 48.0000000300001,-37.6271284269999 48.0000000300001,-37.6166666309999 48.0000000300001,-37.6104675949999 48.0000000300001,-37.5999999639999 48.0000000300001,-37.593806763 48.0000000300001,-37.583333297 48.0000000300001,-37.577145931 48.0000000300001,-37.566666631 48.0000000300001,-37.560485098 48.0000000300001,-37.5499999639999 48.0000000300001,-37.5438242659999 48.0000000300001,-37.533333297 48.0000000300001,-37.5271634339999 48.0000000300001,-37.516666631 48.0000000300001,-37.510502602 48.0000000300001,-37.499999964 48.0000000300001,-37.49384177 48.0000000300001,-37.4833332969999 48.0000000300001,-37.4771809379999 48.0000000300001,-37.466666631 48.0000000300001,-37.4605201049999 48.0000000300001,-37.449999964 48.0000000300001,-37.4438592729999 48.0000000300001,-37.4333332969999 48.0000000300001,-37.427198441 48.0000000300001,-37.4166666309999 48.0000000300001,-37.410537609 48.0000000300001,-37.399999964 48.0000000300001,-37.3938767769999 48.0000000300001,-37.383333297 48.0000000300001,-37.3772159449999 48.0000000300001,-37.3666666299999 48.0000000300001,-37.3605551119999 48.0000000300001,-37.3499999639999 48.0000000300001,-37.34389428 48.0000000300001,-37.333333297 48.0000000300001,-37.327233448 48.0000000300001,-37.3166666299999 48.0000000300001,-37.3105726159999 48.0000000300001,-37.2999999639999 48.0000000300001,-37.2939117839999 48.0000000300001,-37.283333297 48.0000000300001,-37.277250952 48.0000000300001,-37.26666663 48.0000000300001,-37.260590119 48.0000000300001,-37.249999964 48.0000000300001,-37.243929287 48.0000000300001,-37.2333332969999 48.0000000300001,-37.2272684549999 48.0000000300001,-37.21666663 48.0000000300001,-37.2106076229999 48.0000000300001,-37.199999964 48.0000000300001,-37.193946791 48.0000000300001,-37.1833332969999 48.0000000300001,-37.177285959 48.0000000300001,-37.16666663 48.0000000300001,-37.160625126 48.0000000300001,-37.149999964 48.0000000300001,-37.1439642939999 48.0000000300001,-37.133333297 48.0000000300001,-37.1273034619999 48.0000000300001,-37.1166666299999 48.0000000300001,-37.11064263 48.0000000300001,-37.0999999639999 48.0000000300001,-37.093981798 48.0000000300001,-37.083333297 48.0000000300001,-37.0773209659999 48.0000000300001,-37.0666666299999 48.0000000300001,-37.0606601329999 48.0000000300001,-37.0499999639999 48.0000000300001,-37.0439993009999 48.0000000300001,-37.033333297 48.0000000300001,-37.027338469 48.0000000300001,-37.01666663 48.0000000300001,-37.010677637 48.0000000300001,-36.9999999629999 48.0000000300001,-36.9940168049999 48.0000000300001,-36.9833332969999 48.0000000300001,-36.9773559729999 48.0000000300001,-36.96666663 48.0000000300001,-36.96069514 48.0000000300001,-36.949999963 48.0000000300001,-36.944034308 48.0000000300001,-36.9333332969999 48.0000000300001,-36.927373476 48.0000000300001,-36.91666663 48.0000000300001,-36.9107126439999 48.0000000300001,-36.899999963 48.0000000300001,-36.8940518119999 48.0000000300001,-36.883333297 48.0000000300001,-36.87739098 48.0000000300001,-36.8666666299999 48.0000000300001,-36.860730147 48.0000000300001,-36.849999963 48.0000000300001,-36.844069315 48.0000000300001,-36.833333297 48.0000000300001,-36.8274084829999 48.0000000300001,-36.8166666299999 48.0000000300001,-36.8107476509999 48.0000000300001,-36.7999999629999 48.0000000300001,-36.794086819 48.0000000300001,-36.783333297 48.0000000300001,-36.777425987 48.0000000300001,-36.76666663 48.0000000300001,-36.760765154 48.0000000300001,-36.7499999629999 48.0000000300001,-36.7441043219999 48.0000000300001,-36.7333332969999 48.0000000300001,-36.72744349 48.0000000300001,-36.71666663 48.0000000300001,-36.710782658 48.0000000300001,-36.699999963 48.0000000300001,-36.694121826 48.0000000300001,-36.6833332969999 48.0000000300001,-36.6774609939999 48.0000000300001,-36.66666663 48.0000000300001,-36.6608001609999 48.0000000300001,-36.649999963 48.0000000300001,-36.644139329 48.0000000300001,-36.6333332959999 48.0000000300001,-36.627478497 48.0000000300001,-36.6166666299999 48.0000000300001,-36.610817665 48.0000000300001,-36.599999963 48.0000000300001,-36.5941568329999 48.0000000300001,-36.583333296 48.0000000300001,-36.5774960009999 48.0000000300001,-36.5666666299999 48.0000000300001,-36.560835168 48.0000000300001,-36.5499999629999 48.0000000300001,-36.544174336 48.0000000300001,-36.533333296 48.0000000300001,-36.527513504 48.0000000300001,-36.51666663 48.0000000300001,-36.5108526719999 48.0000000300001,-36.4999999629999 48.0000000300001,-36.49419184 48.0000000300001,-36.483333296 48.0000000300001,-36.477531008 48.0000000300001,-36.46666663 48.0000000300001,-36.460870175 48.0000000300001,-36.449999963 48.0000000300001,-36.444209343 48.0000000300001,-36.4333332959999 48.0000000300001,-36.4275485109999 48.0000000300001,-36.41666663 48.0000000300001,-36.410887679 48.0000000300001,-36.399999963 48.0000000300001,-36.394226847 48.0000000300001,-36.3833332959999 48.0000000300001,-36.377566015 48.0000000300001,-36.3666666299999 48.0000000300001,-36.360905182 48.0000000300001,-36.349999963 48.0000000300001,-36.3442443499999 48.0000000300001,-36.333333296 48.0000000300001,-36.327583518 48.0000000300001,-36.3166666289999 48.0000000300001,-36.310922686 48.0000000300001,-36.2999999629999 48.0000000300001,-36.294261854 48.0000000300001,-36.283333296 48.0000000300001,-36.2776010219999 48.0000000300001,-36.2666666289999 48.0000000300001,-36.2609401899999 48.0000000300001,-36.2499999629999 48.0000000300001,-36.244279357 48.0000000300001,-36.233333296 48.0000000300001,-36.227618525 48.0000000300001,-36.216666629 48.0000000300001,-36.210957693 48.0000000300001,-36.199999963 48.0000000300001,-36.1942968609999 48.0000000300001,-36.1833332959999 48.0000000300001,-36.177636029 48.0000000300001,-36.166666629 48.0000000300001,-36.160975197 48.0000000300001,-36.149999963 48.0000000300001,-36.144314364 48.0000000300001,-36.1333332959999 48.0000000300001,-36.127653532 48.0000000300001,-36.116666629 48.0000000300001,-36.1109926999999 48.0000000300001,-36.099999963 48.0000000300001,-36.094331868 48.0000000300001,-36.083333296 48.0000000300001,-36.077671036 48.0000000300001,-36.0666666289999 48.0000000300001,-36.061010204 48.0000000300001,-36.0499999629999 48.0000000300001,-36.044349371 48.0000000300001,-36.033333296 48.0000000300001,-36.0276885389999 48.0000000300001,-36.0166666289999 48.0000000300001,-36.011027707 48.0000000300001,-35.9999999629999 48.0000000300001,-35.994366875 48.0000000300001,-35.983333296 48.0000000300001,-35.977706043 48.0000000300001,-35.966666629 48.0000000300001,-35.9610452109999 48.0000000300001,-35.9499999619999 48.0000000300001,-35.9443843779999 48.0000000300001,-35.9333332959999 48.0000000300001,-35.927723546 48.0000000300001,-35.916666629 48.0000000300001,-35.911062714 48.0000000300001,-35.899999962 48.0000000300001,-35.894401882 48.0000000300001,-35.8833332959999 48.0000000300001,-35.8777410499999 48.0000000300001,-35.866666629 48.0000000300001,-35.861080218 48.0000000300001,-35.849999962 48.0000000300001,-35.844419385 48.0000000300001,-35.833333296 48.0000000300001,-35.827758553 48.0000000300001,-35.8166666289999 48.0000000300001,-35.811097721 48.0000000300001,-35.799999962 48.0000000300001,-35.7944368889999 48.0000000300001,-35.783333296 48.0000000300001,-35.777776057 48.0000000300001,-35.7666666289999 48.0000000300001,-35.761115225 48.0000000300001,-35.7499999619999 48.0000000300001,-35.744454392 48.0000000300001,-35.733333296 48.0000000300001,-35.72779356 48.0000000300001,-35.716666629 48.0000000300001,-35.7111327279999 48.0000000300001,-35.6999999619999 48.0000000300001,-35.694471896 48.0000000300001,-35.6833332959999 48.0000000300001,-35.677811064 48.0000000300001,-35.666666629 48.0000000300001,-35.661150232 48.0000000300001,-35.649999962 48.0000000300001,-35.644489399 48.0000000300001,-35.6333332959999 48.0000000300001,-35.6278285669999 48.0000000300001,-35.616666629 48.0000000300001,-35.611167735 48.0000000300001,-35.599999962 48.0000000300001,-35.594506903 48.0000000300001,-35.5833332949999 48.0000000300001,-35.577846071 48.0000000300001,-35.5666666289999 48.0000000300001,-35.5611852389999 48.0000000300001,-35.549999962 48.0000000300001,-35.5445244059999 48.0000000300001,-35.533333295 48.0000000300001,-35.527863574 48.0000000300001,-35.5166666289999 48.0000000300001,-35.511202742 48.0000000300001,-35.4999999619999 48.0000000300001,-35.49454191 48.0000000300001,-35.483333295 48.0000000300001,-35.4778810779999 48.0000000300001,-35.466666629 48.0000000300001,-35.461220246 48.0000000300001,-35.4499999619999 48.0000000300001,-35.444559413 48.0000000300001,-35.433333295 48.0000000300001,-35.427898581 48.0000000300001,-35.416666629 48.0000000300001,-35.411237749 48.0000000300001,-35.399999962 48.0000000300001,-35.3945769169999 48.0000000300001,-35.3833332949999 48.0000000300001,-35.377916085 48.0000000300001,-35.366666629 48.0000000300001,-35.361255253 48.0000000300001,-35.349999962 48.0000000300001,-35.34459442 48.0000000300001,-35.3333332949999 48.0000000300001,-35.327933588 48.0000000300001,-35.3166666289999 48.0000000300001,-35.3112727559999 48.0000000300001,-35.299999962 48.0000000300001,-35.294611924 48.0000000300001,-35.283333295 48.0000000300001,-35.277951092 48.0000000300001,-35.2666666289999 48.0000000300001,-35.26129026 48.0000000300001,-35.2499999619999 48.0000000300001,-35.2446294269999 48.0000000300001,-35.233333295 48.0000000300001,-35.2279685949999 48.0000000300001,-35.216666628 48.0000000300001,-35.211307763 48.0000000300001,-35.1999999619999 48.0000000300001,-35.194646931 48.0000000300001,-35.183333295 48.0000000300001,-35.177986099 48.0000000300001,-35.166666628 48.0000000300001,-35.1613252669999 48.0000000300001,-35.149999962 48.0000000300001,-35.1446644339999 48.0000000300001,-35.1333332949999 48.0000000300001,-35.128003602 48.0000000300001,-35.116666628 48.0000000300001,-35.11134277 48.0000000300001,-35.099999962 48.0000000300001,-35.094681938 48.0000000300001,-35.0833332949999 48.0000000300001,-35.0780211059999 48.0000000300001,-35.066666628 48.0000000300001,-35.061360274 48.0000000300001,-35.049999962 48.0000000300001,-35.044699441 48.0000000300001,-35.033333295 48.0000000300001,-35.028038609 48.0000000300001,-35.0166666279999 48.0000000300001,-35.011377777 48.0000000300001,-34.9999999619999 48.0000000300001,-34.9947169449999 48.0000000300001,-34.983333295 48.0000000300001,-34.978056113 48.0000000300001,-34.966666628 48.0000000300001,-34.961395281 48.0000000300001,-34.9499999619999 48.0000000300001,-34.944734448 48.0000000300001,-34.933333295 48.0000000300001,-34.9280736159999 48.0000000300001,-34.916666628 48.0000000300001,-34.9114127839999 48.0000000300001,-34.899999962 48.0000000300001,-34.894751952 48.0000000300001,-34.8833332949999 48.0000000300001,-34.87809112 48.0000000300001,-34.866666628 48.0000000300001,-34.861430288 48.0000000300001,-34.849999961 48.0000000300001,-34.8447694549999 48.0000000300001,-34.8333332949999 48.0000000300001,-34.8281086229999 48.0000000300001,-34.816666628 48.0000000300001,-34.811447791 48.0000000300001,-34.799999961 48.0000000300001,-34.794786959 48.0000000300001,-34.783333295 48.0000000300001,-34.778126127 48.0000000300001,-34.7666666279999 48.0000000300001,-34.7614652949999 48.0000000300001,-34.749999961 48.0000000300001,-34.7448044619999 48.0000000300001,-34.733333295 48.0000000300001,-34.72814363 48.0000000300001,-34.716666628 48.0000000300001,-34.711482798 48.0000000300001,-34.6999999609999 48.0000000300001,-34.6948219659999 48.0000000300001,-34.683333295 48.0000000300001,-34.6781611339999 48.0000000300001,-34.666666628 48.0000000300001,-34.661500302 48.0000000300001,-34.6499999609999 48.0000000300001,-34.644839469 48.0000000300001,-34.6333332949999 48.0000000300001,-34.628178637 48.0000000300001,-34.616666628 48.0000000300001,-34.6115178049999 48.0000000300001,-34.599999961 48.0000000300001,-34.5948569729999 48.0000000300001,-34.5833332949999 48.0000000300001,-34.578196141 48.0000000300001,-34.566666628 48.0000000300001,-34.561535309 48.0000000300001,-34.549999961 48.0000000300001,-34.544874476 48.0000000300001,-34.5333332939999 48.0000000300001,-34.5282136439999 48.0000000300001,-34.5166666279999 48.0000000300001,-34.5115528119999 48.0000000300001,-34.499999961 48.0000000300001,-34.49489198 48.0000000300001,-34.483333294 48.0000000300001,-34.478231148 48.0000000300001,-34.466666628 48.0000000300001,-34.4615703159999 48.0000000300001,-34.4499999609999 48.0000000300001,-34.4449094829999 48.0000000300001,-34.433333294 48.0000000300001,-34.4282486509999 48.0000000300001,-34.416666628 48.0000000300001,-34.411587819 48.0000000300001,-34.3999999609999 48.0000000300001,-34.394926987 48.0000000300001,-34.383333294 48.0000000300001,-34.3782661549999 48.0000000300001,-34.366666628 48.0000000300001,-34.3616053229999 48.0000000300001,-34.349999961 48.0000000300001,-34.3449444899999 48.0000000300001,-34.3333332939999 48.0000000300001,-34.328283658 48.0000000300001,-34.316666628 48.0000000300001,-34.311622826 48.0000000300001,-34.299999961 48.0000000300001,-34.2949619939999 48.0000000300001,-34.2833332939999 48.0000000300001,-34.2783011619999 48.0000000300001,-34.2666666279999 48.0000000300001,-34.26164033 48.0000000300001,-34.249999961 48.0000000300001,-34.244979497 48.0000000300001,-34.233333294 48.0000000300001,-34.228318665 48.0000000300001,-34.216666628 48.0000000300001,-34.2116578329999 48.0000000300001,-34.1999999609999 48.0000000300001,-34.1949970009999 48.0000000300001,-34.183333294 48.0000000300001,-34.178336169 48.0000000300001,-34.166666627 48.0000000300001,-34.161675337 48.0000000300001,-34.1499999609999 48.0000000300001,-34.145014504 48.0000000300001,-34.133333294 48.0000000300001,-34.1283536719999 48.0000000300001,-34.116666627 48.0000000300001,-34.1116928399999 48.0000000300001,-34.099999961 48.0000000300001,-34.095032008 48.0000000300001,-34.0833332939999 48.0000000300001,-34.078371176 48.0000000300001,-34.066666627 48.0000000300001,-34.0617103439999 48.0000000300001,-34.049999961 48.0000000300001,-34.0450495109999 48.0000000300001,-34.0333332939999 48.0000000300001,-34.0283886789999 48.0000000300001,-34.0166666269999 48.0000000300001,-34.011727847 48.0000000300001,-33.999999961 48.0000000300001,-33.995067015 48.0000000300001,-33.983333294 48.0000000300001,-33.9784061829999 48.0000000300001,-33.9666666269999 48.0000000300001,-33.9617453509999 48.0000000300001,-33.9499999609999 48.0000000300001,-33.945084519 48.0000000300001,-33.933333294 48.0000000300001,-33.928423686 48.0000000300001,-33.916666627 48.0000000300001,-33.911762854 48.0000000300001,-33.8999999609999 48.0000000300001,-33.8951020219999 48.0000000300001,-33.883333294 48.0000000300001,-33.8784411899999 48.0000000300001,-33.866666627 48.0000000300001,-33.861780358 48.0000000300001,-33.849999961 48.0000000300001,-33.845119526 48.0000000300001,-33.8333332939999 48.0000000300001,-33.828458693 48.0000000300001,-33.816666627 48.0000000300001,-33.8117978609999 48.0000000300001,-33.79999996 48.0000000300001,-33.7951370289999 48.0000000300001,-33.7833332939999 48.0000000300001,-33.778476197 48.0000000300001,-33.7666666269999 48.0000000300001,-33.761815365 48.0000000300001,-33.74999996 48.0000000300001,-33.7451545329999 48.0000000300001,-33.733333294 48.0000000300001,-33.7284936999999 48.0000000300001,-33.7166666269999 48.0000000300001,-33.7118328679999 48.0000000300001,-33.69999996 48.0000000300001,-33.695172036 48.0000000300001,-33.683333294 48.0000000300001,-33.678511204 48.0000000300001,-33.666666627 48.0000000300001,-33.6618503719999 48.0000000300001,-33.6499999599999 48.0000000300001,-33.6451895399999 48.0000000300001,-33.633333294 48.0000000300001,-33.6285287069999 48.0000000300001,-33.616666627 48.0000000300001,-33.611867875 48.0000000300001,-33.5999999599999 48.0000000300001,-33.595207043 48.0000000300001,-33.5833332939999 48.0000000300001,-33.5785462109999 48.0000000300001,-33.566666627 48.0000000300001,-33.5618853789999 48.0000000300001,-33.54999996 48.0000000300001,-33.545224547 48.0000000300001,-33.5333332939999 48.0000000300001,-33.528563714 48.0000000300001,-33.5166666269999 48.0000000300001,-33.511902882 48.0000000300001,-33.49999996 48.0000000300001,-33.4952420499999 48.0000000300001,-33.483333294 48.0000000300001,-33.4785812179999 48.0000000300001,-33.4666666269999 48.0000000300001,-33.461920386 48.0000000300001,-33.44999996 48.0000000300001,-33.445259554 48.0000000300001,-33.433333293 48.0000000300001,-33.428598721 48.0000000300001,-33.416666627 48.0000000300001,-33.4119378889999 48.0000000300001,-33.3999999599999 48.0000000300001,-33.3952770569999 48.0000000300001,-33.383333293 48.0000000300001,-33.378616225 48.0000000300001,-33.366666627 48.0000000300001,-33.361955393 48.0000000300001,-33.3499999599999 48.0000000300001,-33.3452945609999 48.0000000300001,-33.333333293 48.0000000300001,-33.3286337279999 48.0000000300001,-33.316666627 48.0000000300001,-33.3119728959999 48.0000000300001,-33.29999996 48.0000000300001,-33.295312064 48.0000000300001,-33.2833332929999 48.0000000300001,-33.278651232 48.0000000300001,-33.2666666269999 48.0000000300001,-33.2619903999999 48.0000000300001,-33.24999996 48.0000000300001,-33.2453295679999 48.0000000300001,-33.2333332929999 48.0000000300001,-33.2286687349999 48.0000000300001,-33.2166666269999 48.0000000300001,-33.212007903 48.0000000300001,-33.19999996 48.0000000300001,-33.195347071 48.0000000300001,-33.183333293 48.0000000300001,-33.1786862389999 48.0000000300001,-33.166666627 48.0000000300001,-33.1620254069999 48.0000000300001,-33.1499999599999 48.0000000300001,-33.145364575 48.0000000300001,-33.133333293 48.0000000300001,-33.128703742 48.0000000300001,-33.116666627 48.0000000300001,-33.11204291 48.0000000300001,-33.0999999599999 48.0000000300001,-33.0953820779999 48.0000000300001,-33.083333293 48.0000000300001,-33.0787212459999 48.0000000300001,-33.066666626 48.0000000300001,-33.062060414 48.0000000300001,-33.04999996 48.0000000300001,-33.045399582 48.0000000300001,-33.0333332929999 48.0000000300001,-33.028738749 48.0000000300001,-33.016666626 48.0000000300001,-33.0120779169999 48.0000000300001,-32.99999996 48.0000000300001,-32.9954170849999 48.0000000300001,-32.9833332929999 48.0000000300001,-32.978756253 48.0000000300001,-32.9666666259999 48.0000000300001,-32.962095421 48.0000000300001,-32.94999996 48.0000000300001,-32.9454345889999 48.0000000300001,-32.933333293 48.0000000300001,-32.9287737559999 48.0000000300001,-32.9166666259999 48.0000000300001,-32.912112924 48.0000000300001,-32.8999999599999 48.0000000300001,-32.895452092 48.0000000300001,-32.883333293 48.0000000300001,-32.87879126 48.0000000300001,-32.866666626 48.0000000300001,-32.8621304279999 48.0000000300001,-32.8499999599999 48.0000000300001,-32.8454695959999 48.0000000300001,-32.833333293 48.0000000300001,-32.828808763 48.0000000300001,-32.816666626 48.0000000300001,-32.812147931 48.0000000300001,-32.79999996 48.0000000300001,-32.795487099 48.0000000300001,-32.7833332929999 48.0000000300001,-32.7788262669999 48.0000000300001,-32.766666626 48.0000000300001,-32.7621654349999 48.0000000300001,-32.74999996 48.0000000300001,-32.745504603 48.0000000300001,-32.7333332929999 48.0000000300001,-32.72884377 48.0000000300001,-32.7166666259999 48.0000000300001,-32.712182938 48.0000000300001,-32.699999959 48.0000000300001,-32.6955221059999 48.0000000300001,-32.683333293 48.0000000300001,-32.6788612739999 48.0000000300001,-32.6666666259999 48.0000000300001,-32.662200442 48.0000000300001,-32.649999959 48.0000000300001,-32.64553961 48.0000000300001,-32.633333293 48.0000000300001,-32.628878777 48.0000000300001,-32.616666626 48.0000000300001,-32.6122179449999 48.0000000300001,-32.5999999589999 48.0000000300001,-32.595557113 48.0000000300001,-32.583333293 48.0000000300001,-32.578896281 48.0000000300001,-32.566666626 48.0000000300001,-32.562235449 48.0000000300001,-32.5499999589999 48.0000000300001,-32.5455746169999 48.0000000300001,-32.5333332929999 48.0000000300001,-32.5289137839999 48.0000000300001,-32.516666626 48.0000000300001,-32.512252952 48.0000000300001,-32.499999959 48.0000000300001,-32.49559212 48.0000000300001,-32.4833332929999 48.0000000300001,-32.478931288 48.0000000300001,-32.4666666259999 48.0000000300001,-32.4622704559999 48.0000000300001,-32.449999959 48.0000000300001,-32.4456096239999 48.0000000300001,-32.433333293 48.0000000300001,-32.428948791 48.0000000300001,-32.4166666259999 48.0000000300001,-32.412287959 48.0000000300001,-32.399999959 48.0000000300001,-32.395627127 48.0000000300001,-32.383333292 48.0000000300001,-32.3789662949999 48.0000000300001,-32.366666626 48.0000000300001,-32.362305463 48.0000000300001,-32.3499999589999 48.0000000300001,-32.345644631 48.0000000300001,-32.333333292 48.0000000300001,-32.328983798 48.0000000300001,-32.316666626 48.0000000300001,-32.312322966 48.0000000300001,-32.2999999589999 48.0000000300001,-32.2956621339999 48.0000000300001,-32.283333292 48.0000000300001,-32.279001302 48.0000000300001,-32.266666626 48.0000000300001,-32.26234047 48.0000000300001,-32.249999959 48.0000000300001,-32.245679638 48.0000000300001,-32.2333332919999 48.0000000300001,-32.229018805 48.0000000300001,-32.2166666259999 48.0000000300001,-32.2123579729999 48.0000000300001,-32.199999959 48.0000000300001,-32.195690723 48.0000000300001,-32.1833332919999 48.0000000300001,-32.179023473 48.0000000300001,-32.1666666259999 48.0000000300001,-32.162356223 48.0000000300001,-32.149999959 48.0000000300001,-32.1456889729999 48.0000000300001,-32.133333292 48.0000000300001,-32.1290217229999 48.0000000300001,-32.116666626 48.0000000300001,-32.112354473 48.0000000300001,-32.0999999589999 48.0000000300001,-32.095687223 48.0000000300001,-32.083333292 48.0000000300001,-32.079019973 48.0000000300001,-32.066666626 48.0000000300001,-32.0623527229999 48.0000000300001,-32.0499999589999 48.0000000300001,-32.0456854729999 48.0000000300001,-32.033333292 48.0000000300001,-32.029018223 48.0000000300001,-32.016666625 48.0000000300001,-32.012350973 48.0000000300001,-31.999999959 48.0000000300001,-31.995683723 48.0000000300001,-31.9833332919999 48.0000000300001,-31.9790164729999 48.0000000300001,-31.966666625 48.0000000300001,-31.9623492229999 48.0000000300001,-31.949999959 48.0000000300001,-31.9456819719999 48.0000000300001,-31.9333332919999 48.0000000300001,-31.929014722 48.0000000300001,-31.9166666249999 48.0000000300001,-31.912347472 48.0000000300001,-31.899999959 48.0000000300001,-31.895680222 48.0000000300001,-31.883333292 48.0000000300001,-31.8790129719999 48.0000000300001,-31.8666666249999 48.0000000300001,-31.8623457219999 48.0000000300001,-31.8499999589999 48.0000000300001,-31.845678472 48.0000000300001,-31.833333292 48.0000000300001,-31.829011222 48.0000000300001,-31.816666625 48.0000000300001,-31.812343972 48.0000000300001,-31.7999999589999 48.0000000300001,-31.7956767219999 48.0000000300001,-31.783333292 48.0000000300001,-31.779009472 48.0000000300001,-31.766666625 48.0000000300001,-31.762342222 48.0000000300001,-31.749999959 48.0000000300001,-31.745674972 48.0000000300001,-31.7333332919999 48.0000000300001,-31.7290077219999 48.0000000300001,-31.716666625 48.0000000300001,-31.7123404719999 48.0000000300001,-31.699999959 48.0000000300001,-31.695673222 48.0000000300001,-31.6833332919999 48.0000000300001,-31.679005972 48.0000000300001,-31.6666666249999 48.0000000300001,-31.662338722 48.0000000300001,-31.649999958 48.0000000300001,-31.6456714719999 48.0000000300001,-31.633333292 48.0000000300001,-31.6290042209999 48.0000000300001,-31.6166666249999 48.0000000300001,-31.6123369709999 48.0000000300001,-31.599999958 48.0000000300001,-31.595669721 48.0000000300001,-31.583333292 48.0000000300001,-31.579002471 48.0000000300001,-31.566666625 48.0000000300001,-31.562335221 48.0000000300001,-31.5499999579999 48.0000000300001,-31.5456679709999 48.0000000300001,-31.533333292 48.0000000300001,-31.5290007209999 48.0000000300001,-31.516666625 48.0000000300001,-31.512333471 48.0000000300001,-31.4999999579999 48.0000000300001,-31.495666221 48.0000000300001,-31.4833332919999 48.0000000300001,-31.478998971 48.0000000300001,-31.466666625 48.0000000300001,-31.4623317209999 48.0000000300001,-31.449999958 48.0000000300001,-31.4456644709999 48.0000000300001,-31.4333332919999 48.0000000300001,-31.428997221 48.0000000300001,-31.4166666249999 48.0000000300001,-31.412329971 48.0000000300001,-31.399999958 48.0000000300001,-31.395662721 48.0000000300001,-31.383333292 48.0000000300001,-31.3789954709999 48.0000000300001,-31.3666666249999 48.0000000300001,-31.362328221 48.0000000300001,-31.349999958 48.0000000300001,-31.345660971 48.0000000300001,-31.333333292 48.0000000300001,-31.328993721 48.0000000300001,-31.316666625 48.0000000300001,-31.3123264709999 48.0000000300001,-31.2999999579999 48.0000000300001,-31.2956592199999 48.0000000300001,-31.283333291 48.0000000300001,-31.2789919699999 48.0000000300001,-31.266666625 48.0000000300001,-31.26232472 48.0000000300001,-31.2499999579999 48.0000000300001,-31.24565747 48.0000000300001,-31.233333291 48.0000000300001,-31.22899022 48.0000000300001,-31.216666625 48.0000000300001,-31.2123229699999 48.0000000300001,-31.199999958 48.0000000300001,-31.1956557199999 48.0000000300001,-31.1833332909999 48.0000000300001,-31.17898847 48.0000000300001,-31.1666666249999 48.0000000300001,-31.16232122 48.0000000300001,-31.149999958 48.0000000300001,-31.14565397 48.0000000300001,-31.1333332909999 48.0000000300001,-31.1289867199999 48.0000000300001,-31.1166666249999 48.0000000300001,-31.1123194699999 48.0000000300001,-31.099999958 48.0000000300001,-31.09565222 48.0000000300001,-31.083333291 48.0000000300001,-31.07898497 48.0000000300001,-31.066666625 48.0000000300001,-31.06231772 48.0000000300001,-31.0499999579999 48.0000000300001,-31.0456504699999 48.0000000300001,-31.033333291 48.0000000300001,-31.0289832199999 48.0000000300001,-31.016666625 48.0000000300001,-31.01231597 48.0000000300001,-30.9999999579999 48.0000000300001,-30.99564872 48.0000000300001,-30.983333291 48.0000000300001,-30.978981469 48.0000000300001,-30.966666625 48.0000000300001,-30.9623142189999 48.0000000300001,-30.949999958 48.0000000300001,-30.9456469689999 48.0000000300001,-30.9333332909999 48.0000000300001,-30.928979719 48.0000000300001,-30.916666624 48.0000000300001,-30.912312469 48.0000000300001,-30.899999958 48.0000000300001,-30.895645219 48.0000000300001,-30.8833332909999 48.0000000300001,-30.8789779689999 48.0000000300001,-30.8666666239999 48.0000000300001,-30.8623107189999 48.0000000300001,-30.849999958 48.0000000300001,-30.845643469 48.0000000300001,-30.833333291 48.0000000300001,-30.828976219 48.0000000300001,-30.8166666239999 48.0000000300001,-30.812308969 48.0000000300001,-30.7999999579999 48.0000000300001,-30.7956417189999 48.0000000300001,-30.783333291 48.0000000300001,-30.7789744689999 48.0000000300001,-30.766666624 48.0000000300001,-30.762307219 48.0000000300001,-30.7499999579999 48.0000000300001,-30.745639969 48.0000000300001,-30.733333291 48.0000000300001,-30.728972719 48.0000000300001,-30.716666624 48.0000000300001,-30.7123054689999 48.0000000300001,-30.699999958 48.0000000300001,-30.6956382189999 48.0000000300001,-30.6833332909999 48.0000000300001,-30.678970969 48.0000000300001,-30.666666624 48.0000000300001,-30.662303718 48.0000000300001,-30.649999958 48.0000000300001,-30.645636468 48.0000000300001,-30.6333332909999 48.0000000300001,-30.628969218 48.0000000300001,-30.6166666239999 48.0000000300001,-30.6123019679999 48.0000000300001,-30.599999958 48.0000000300001,-30.5956347179999 48.0000000300001,-30.583333291 48.0000000300001,-30.578967468 48.0000000300001,-30.5666666239999 48.0000000300001,-30.562300218 48.0000000300001,-30.549999957 48.0000000300001,-30.5456329679999 48.0000000300001,-30.533333291 48.0000000300001,-30.5289657179999 48.0000000300001,-30.516666624 48.0000000300001,-30.512298468 48.0000000300001,-30.4999999569999 48.0000000300001,-30.495631218 48.0000000300001,-30.483333291 48.0000000300001,-30.478963968 48.0000000300001,-30.466666624 48.0000000300001,-30.4622967179999 48.0000000300001,-30.4499999569999 48.0000000300001,-30.4456294679999 48.0000000300001,-30.4333332909999 48.0000000300001,-30.428962218 48.0000000300001,-30.416666624 48.0000000300001,-30.412294968 48.0000000300001,-30.399999957 48.0000000300001,-30.395627718 48.0000000300001,-30.3833332909999 48.0000000300001,-30.3789604679999 48.0000000300001,-30.3666666239999 48.0000000300001,-30.3622932179999 48.0000000300001,-30.349999957 48.0000000300001,-30.345625968 48.0000000300001,-30.333333291 48.0000000300001,-30.328958717 48.0000000300001,-30.3166666239999 48.0000000300001,-30.312291467 48.0000000300001,-30.299999957 48.0000000300001,-30.295624217 48.0000000300001,-30.283333291 48.0000000300001,-30.2789569669999 48.0000000300001,-30.266666624 48.0000000300001,-30.2622897169999 48.0000000300001,-30.2499999569999 48.0000000300001,-30.245622467 48.0000000300001,-30.23333329 48.0000000300001,-30.228955217 48.0000000300001,-30.216666624 48.0000000300001,-30.212287967 48.0000000300001,-30.1999999569999 48.0000000300001,-30.1956207169999 48.0000000300001,-30.18333329 48.0000000300001,-30.1789534669999 48.0000000300001,-30.166666624 48.0000000300001,-30.162286217 48.0000000300001,-30.149999957 48.0000000300001,-30.145618967 48.0000000300001,-30.1333332899999 48.0000000300001,-30.1289517169999 48.0000000300001,-30.1166666239999 48.0000000300001,-30.1122844669999 48.0000000300001,-30.099999957 48.0000000300001,-30.095617217 48.0000000300001,-30.0833332899999 48.0000000300001,-30.078949967 48.0000000300001,-30.0666666239999 48.0000000300001,-30.062282717 48.0000000300001,-30.049999957 48.0000000300001,-30.0456154669999 48.0000000300001,-30.03333329 48.0000000300001,-30.0289482169999 48.0000000300001,-30.016666624 48.0000000300001,-30.0122809659999 48.0000000300001,-29.9999999569999 48.0000000300001,-29.995613716 48.0000000300001,-29.98333329 48.0000000300001,-29.978946466 48.0000000300001,-29.966666624 48.0000000300001,-29.962279216 48.0000000300001,-29.9499999569999 48.0000000300001,-29.9456119659999 48.0000000300001,-29.93333329 48.0000000300001,-29.9289447159999 48.0000000300001,-29.916666624 48.0000000300001,-29.912277466 48.0000000300001,-29.899999957 48.0000000300001,-29.895610216 48.0000000300001,-29.8833332899999 48.0000000300001,-29.878942966 48.0000000300001,-29.866666623 48.0000000300001,-29.8622757159999 48.0000000300001,-29.849999957 48.0000000300001,-29.8456084659999 48.0000000300001,-29.8333332899999 48.0000000300001,-29.828941216 48.0000000300001,-29.8166666229999 48.0000000300001,-29.812273966 48.0000000300001,-29.799999957 48.0000000300001,-29.795606716 48.0000000300001,-29.78333329 48.0000000300001,-29.7789394659999 48.0000000300001,-29.7666666229999 48.0000000300001,-29.7622722159999 48.0000000300001,-29.7499999569999 48.0000000300001,-29.745604966 48.0000000300001,-29.73333329 48.0000000300001,-29.728937716 48.0000000300001,-29.716666623 48.0000000300001,-29.7122704659999 48.0000000300001,-29.6999999569999 48.0000000300001,-29.6956032159999 48.0000000300001,-29.68333329 48.0000000300001,-29.6789359649999 48.0000000300001,-29.666666623 48.0000000300001,-29.662268715 48.0000000300001,-29.649999957 48.0000000300001,-29.645601465 48.0000000300001,-29.6333332899999 48.0000000300001,-29.628934215 48.0000000300001,-29.616666623 48.0000000300001,-29.6122669649999 48.0000000300001,-29.599999957 48.0000000300001,-29.5955997149999 48.0000000300001,-29.5833332899999 48.0000000300001,-29.578932465 48.0000000300001,-29.5666666229999 48.0000000300001,-29.562265215 48.0000000300001,-29.549999957 48.0000000300001,-29.545597965 48.0000000300001,-29.53333329 48.0000000300001,-29.5289307149999 48.0000000300001,-29.5166666229999 48.0000000300001,-29.5122634649999 48.0000000300001,-29.499999956 48.0000000300001,-29.495596215 48.0000000300001,-29.48333329 48.0000000300001,-29.478928965 48.0000000300001,-29.466666623 48.0000000300001,-29.462261715 48.0000000300001,-29.4499999559999 48.0000000300001,-29.4455944649999 48.0000000300001,-29.43333329 48.0000000300001,-29.4289272149999 48.0000000300001,-29.416666623 48.0000000300001,-29.412259965 48.0000000300001,-29.3999999559999 48.0000000300001,-29.395592715 48.0000000300001,-29.3833332899999 48.0000000300001,-29.378925465 48.0000000300001,-29.366666623 48.0000000300001,-29.362258214 48.0000000300001,-29.349999956 48.0000000300001,-29.3455909639999 48.0000000300001,-29.3333332899999 48.0000000300001,-29.328923714 48.0000000300001,-29.3166666229999 48.0000000300001,-29.312256464 48.0000000300001,-29.299999956 48.0000000300001,-29.295589214 48.0000000300001,-29.28333329 48.0000000300001,-29.2789219639999 48.0000000300001,-29.2666666229999 48.0000000300001,-29.2622547139999 48.0000000300001,-29.249999956 48.0000000300001,-29.245587464 48.0000000300001,-29.23333329 48.0000000300001,-29.228920214 48.0000000300001,-29.216666623 48.0000000300001,-29.212252964 48.0000000300001,-29.1999999559999 48.0000000300001,-29.1955857139999 48.0000000300001,-29.18333329 48.0000000300001,-29.1789184639999 48.0000000300001,-29.166666623 48.0000000300001,-29.162251214 48.0000000300001,-29.1499999559999 48.0000000300001,-29.145583964 48.0000000300001,-29.1333332889999 48.0000000300001,-29.128916714 48.0000000300001,-29.116666623 48.0000000300001,-29.1122494639999 48.0000000300001,-29.099999956 48.0000000300001,-29.0955822139999 48.0000000300001,-29.0833332889999 48.0000000300001,-29.078914964 48.0000000300001,-29.0666666229999 48.0000000300001,-29.062247714 48.0000000300001,-29.049999956 48.0000000300001,-29.045580463 48.0000000300001,-29.033333289 48.0000000300001,-29.028913213 48.0000000300001,-29.0166666229999 48.0000000300001,-29.0122459629999 48.0000000300001,-28.999999956 48.0000000300001,-28.9955787129999 48.0000000300001,-28.983333289 48.0000000300001,-28.978911463 48.0000000300001,-28.966666623 48.0000000300001,-28.962244213 48.0000000300001,-28.9499999559999 48.0000000300001,-28.945576963 48.0000000300001,-28.933333289 48.0000000300001,-28.9289097129999 48.0000000300001,-28.916666623 48.0000000300001,-28.912242463 48.0000000300001,-28.8999999559999 48.0000000300001,-28.895575213 48.0000000300001,-28.8833332889999 48.0000000300001,-28.878907963 48.0000000300001,-28.866666623 48.0000000300001,-28.8622407129999 48.0000000300001,-28.849999956 48.0000000300001,-28.8455734629999 48.0000000300001,-28.8333332889999 48.0000000300001,-28.828906213 48.0000000300001,-28.8166666229999 48.0000000300001,-28.812238963 48.0000000300001,-28.799999956 48.0000000300001,-28.795571713 48.0000000300001,-28.783333289 48.0000000300001,-28.7789044629999 48.0000000300001,-28.7666666219999 48.0000000300001,-28.7622372129999 48.0000000300001,-28.749999956 48.0000000300001,-28.745569963 48.0000000300001,-28.733333289 48.0000000300001,-28.728902713 48.0000000300001,-28.7166666219999 48.0000000300001,-28.712235462 48.0000000300001,-28.6999999559999 48.0000000300001,-28.695568212 48.0000000300001,-28.683333289 48.0000000300001,-28.6789009619999 48.0000000300001,-28.666666622 48.0000000300001,-28.6622337119999 48.0000000300001,-28.6499999559999 48.0000000300001,-28.645566462 48.0000000300001,-28.6333332889999 48.0000000300001,-28.628899212 48.0000000300001,-28.616666622 48.0000000300001,-28.612231962 48.0000000300001,-28.599999956 48.0000000300001,-28.5955647119999 48.0000000300001,-28.5833332889999 48.0000000300001,-28.5788974619999 48.0000000300001,-28.566666622 48.0000000300001,-28.562230212 48.0000000300001,-28.549999956 48.0000000300001,-28.545562962 48.0000000300001,-28.533333289 48.0000000300001,-28.528895712 48.0000000300001,-28.5166666219999 48.0000000300001,-28.5122284619999 48.0000000300001,-28.499999956 48.0000000300001,-28.4955612119999 48.0000000300001,-28.483333289 48.0000000300001,-28.478893962 48.0000000300001,-28.4666666219999 48.0000000300001,-28.462226712 48.0000000300001,-28.449999955 48.0000000300001,-28.4455594619999 48.0000000300001,-28.433333289 48.0000000300001,-28.4288922119999 48.0000000300001,-28.416666622 48.0000000300001,-28.412224962 48.0000000300001,-28.3999999549999 48.0000000300001,-28.395557711 48.0000000300001,-28.3833332889999 48.0000000300001,-28.378890461 48.0000000300001,-28.366666622 48.0000000300001,-28.362223211 48.0000000300001,-28.3499999549999 48.0000000300001,-28.3455559609999 48.0000000300001,-28.3333332889999 48.0000000300001,-28.3288887109999 48.0000000300001,-28.316666622 48.0000000300001,-28.312221461 48.0000000300001,-28.299999955 48.0000000300001,-28.295554211 48.0000000300001,-28.283333289 48.0000000300001,-28.278886961 48.0000000300001,-28.2666666219999 48.0000000300001,-28.2622197109999 48.0000000300001,-28.249999955 48.0000000300001,-28.2455524609999 48.0000000300001,-28.233333289 48.0000000300001,-28.228885211 48.0000000300001,-28.2166666219999 48.0000000300001,-28.212217961 48.0000000300001,-28.199999955 48.0000000300001,-28.195550711 48.0000000300001,-28.183333289 48.0000000300001,-28.1788834609999 48.0000000300001,-28.166666622 48.0000000300001,-28.1622162109999 48.0000000300001,-28.1499999549999 48.0000000300001,-28.145548961 48.0000000300001,-28.1333332889999 48.0000000300001,-28.128881711 48.0000000300001,-28.116666622 48.0000000300001,-28.112214461 48.0000000300001,-28.0999999549999 48.0000000300001,-28.0955472109999 48.0000000300001,-28.0833332879999 48.0000000300001,-28.0788799609999 48.0000000300001,-28.066666622 48.0000000300001,-28.06221271 48.0000000300001,-28.049999955 48.0000000300001,-28.04554546 48.0000000300001,-28.0333332879999 48.0000000300001,-28.02887821 48.0000000300001,-28.0166666219999 48.0000000300001,-28.0122109599999 48.0000000300001,-27.999999955 48.0000000300001,-27.9955437099999 48.0000000300001,-27.983333288 48.0000000300001,-27.97887646 48.0000000300001,-27.9666666219999 48.0000000300001,-27.96220921 48.0000000300001,-27.949999955 48.0000000300001,-27.94554196 48.0000000300001,-27.933333288 48.0000000300001,-27.9288747099999 48.0000000300001,-27.916666622 48.0000000300001,-27.9122074599999 48.0000000300001,-27.8999999549999 48.0000000300001,-27.89554021 48.0000000300001,-27.883333288 48.0000000300001,-27.87887296 48.0000000300001,-27.866666622 48.0000000300001,-27.86220571 48.0000000300001,-27.8499999549999 48.0000000300001,-27.8455384599999 48.0000000300001,-27.8333332879999 48.0000000300001,-27.8288712099999 48.0000000300001,-27.816666622 48.0000000300001,-27.81220396 48.0000000300001,-27.799999955 48.0000000300001,-27.79553671 48.0000000300001,-27.7833332879999 48.0000000300001,-27.77886946 48.0000000300001,-27.7666666219999 48.0000000300001,-27.7622022099999 48.0000000300001,-27.749999955 48.0000000300001,-27.7455349589999 48.0000000300001,-27.733333288 48.0000000300001,-27.7288677089999 48.0000000300001,-27.7166666209999 48.0000000300001,-27.712200459 48.0000000300001,-27.699999955 48.0000000300001,-27.695533209 48.0000000300001,-27.683333288 48.0000000300001,-27.6788659589999 48.0000000300001,-27.6666666209999 48.0000000300001,-27.6621987089999 48.0000000300001,-27.6499999549999 48.0000000300001,-27.645531459 48.0000000300001,-27.633333288 48.0000000300001,-27.628864209 48.0000000300001,-27.616666621 48.0000000300001,-27.612196959 48.0000000300001,-27.5999999549999 48.0000000300001,-27.5955297089999 48.0000000300001,-27.5833332879999 48.0000000300001,-27.5788624589999 48.0000000300001,-27.566666621 48.0000000300001,-27.562195209 48.0000000300001,-27.549999955 48.0000000300001,-27.545527959 48.0000000300001,-27.5333332879999 48.0000000300001,-27.528860709 48.0000000300001,-27.516666621 48.0000000300001,-27.5121934589999 48.0000000300001,-27.499999955 48.0000000300001,-27.4955262089999 48.0000000300001,-27.483333288 48.0000000300001,-27.478858959 48.0000000300001,-27.4666666209999 48.0000000300001,-27.462191709 48.0000000300001,-27.449999955 48.0000000300001,-27.445524459 48.0000000300001,-27.433333288 48.0000000300001,-27.428857208 48.0000000300001,-27.4166666209999 48.0000000300001,-27.4121899579999 48.0000000300001,-27.3999999549999 48.0000000300001,-27.3955227079999 48.0000000300001,-27.383333288 48.0000000300001,-27.378855458 48.0000000300001,-27.366666621 48.0000000300001,-27.362188208 48.0000000300001,-27.3499999539999 48.0000000300001,-27.345520958 48.0000000300001,-27.3333332879999 48.0000000300001,-27.3288537079999 48.0000000300001,-27.316666621 48.0000000300001,-27.3121864579999 48.0000000300001,-27.2999999539999 48.0000000300001,-27.295519208 48.0000000300001,-27.2833332879999 48.0000000300001,-27.278851958 48.0000000300001,-27.266666621 48.0000000300001,-27.2621847079999 48.0000000300001,-27.249999954 48.0000000300001,-27.2455174579999 48.0000000300001,-27.233333288 48.0000000300001,-27.228850208 48.0000000300001,-27.2166666209999 48.0000000300001,-27.212182958 48.0000000300001,-27.199999954 48.0000000300001,-27.195515708 48.0000000300001,-27.183333288 48.0000000300001,-27.1788484579999 48.0000000300001,-27.1666666209999 48.0000000300001,-27.1621812079999 48.0000000300001,-27.149999954 48.0000000300001,-27.145513958 48.0000000300001,-27.133333288 48.0000000300001,-27.128846708 48.0000000300001,-27.116666621 48.0000000300001,-27.112179458 48.0000000300001,-27.0999999539999 48.0000000300001,-27.095512207 48.0000000300001,-27.0833332879999 48.0000000300001,-27.0788449569999 48.0000000300001,-27.066666621 48.0000000300001,-27.0621777069999 48.0000000300001,-27.0499999539999 48.0000000300001,-27.045510457 48.0000000300001,-27.0333332879999 48.0000000300001,-27.028843207 48.0000000300001,-27.016666621 48.0000000300001,-27.012175957 48.0000000300001,-26.999999954 48.0000000300001,-26.9955087069999 48.0000000300001,-26.9833332869999 48.0000000300001,-26.9788414569999 48.0000000300001,-26.9666666209999 48.0000000300001,-26.962174207 48.0000000300001,-26.949999954 48.0000000300001,-26.945506957 48.0000000300001,-26.933333287 48.0000000300001,-26.928839707 48.0000000300001,-26.9166666209999 48.0000000300001,-26.9121724569999 48.0000000300001,-26.899999954 48.0000000300001,-26.8955052069999 48.0000000300001,-26.883333287 48.0000000300001,-26.878837957 48.0000000300001,-26.866666621 48.0000000300001,-26.862170707 48.0000000300001,-26.8499999539999 48.0000000300001,-26.8455034569999 48.0000000300001,-26.833333287 48.0000000300001,-26.8288362069999 48.0000000300001,-26.816666621 48.0000000300001,-26.812168957 48.0000000300001,-26.7999999539999 48.0000000300001,-26.795501707 48.0000000300001,-26.7833332869999 48.0000000300001,-26.778834456 48.0000000300001,-26.766666621 48.0000000300001,-26.762167206 48.0000000300001,-26.749999954 48.0000000300001,-26.7454999559999 48.0000000300001,-26.7333332869999 48.0000000300001,-26.7288327059999 48.0000000300001,-26.7166666209999 48.0000000300001,-26.712165456 48.0000000300001,-26.699999954 48.0000000300001,-26.695498206 48.0000000300001,-26.683333287 48.0000000300001,-26.678830956 48.0000000300001,-26.6666666209999 48.0000000300001,-26.6621637059999 48.0000000300001,-26.649999954 48.0000000300001,-26.6454964559999 48.0000000300001,-26.633333287 48.0000000300001,-26.628829206 48.0000000300001,-26.6166666199999 48.0000000300001,-26.612161956 48.0000000300001,-26.5999999539999 48.0000000300001,-26.595494706 48.0000000300001,-26.583333287 48.0000000300001,-26.5788274559999 48.0000000300001,-26.56666662 48.0000000300001,-26.5621602059999 48.0000000300001,-26.5499999539999 48.0000000300001,-26.545492956 48.0000000300001,-26.5333332869999 48.0000000300001,-26.528825706 48.0000000300001,-26.51666662 48.0000000300001,-26.512158456 48.0000000300001,-26.499999954 48.0000000300001,-26.4954912059999 48.0000000300001,-26.4833332869999 48.0000000300001,-26.4788239559999 48.0000000300001,-26.46666662 48.0000000300001,-26.462156706 48.0000000300001,-26.449999954 48.0000000300001,-26.445489455 48.0000000300001,-26.433333287 48.0000000300001,-26.428822205 48.0000000300001,-26.4166666199999 48.0000000300001,-26.4121549549999 48.0000000300001,-26.399999954 48.0000000300001,-26.3954877049999 48.0000000300001,-26.383333287 48.0000000300001,-26.378820455 48.0000000300001,-26.3666666199999 48.0000000300001,-26.362153205 48.0000000300001,-26.3499999539999 48.0000000300001,-26.345485955 48.0000000300001,-26.333333287 48.0000000300001,-26.3288187049999 48.0000000300001,-26.31666662 48.0000000300001,-26.3121514549999 48.0000000300001,-26.2999999529999 48.0000000300001,-26.295484205 48.0000000300001,-26.2833332869999 48.0000000300001,-26.278816955 48.0000000300001,-26.26666662 48.0000000300001,-26.262149705 48.0000000300001,-26.2499999529999 48.0000000300001,-26.2454824549999 48.0000000300001,-26.2333332869999 48.0000000300001,-26.2288152049999 48.0000000300001,-26.21666662 48.0000000300001,-26.212147955 48.0000000300001,-26.199999953 48.0000000300001,-26.195480705 48.0000000300001,-26.183333287 48.0000000300001,-26.178813455 48.0000000300001,-26.1666666199999 48.0000000300001,-26.1621462049999 48.0000000300001,-26.149999953 48.0000000300001,-26.1454789549999 48.0000000300001,-26.133333287 48.0000000300001,-26.1288117039999 48.0000000300001,-26.1166666199999 48.0000000300001,-26.112144454 48.0000000300001,-26.099999953 48.0000000300001,-26.095477204 48.0000000300001,-26.083333287 48.0000000300001,-26.078809954 48.0000000300001,-26.06666662 48.0000000300001,-26.0621427039999 48.0000000300001,-26.0499999529999 48.0000000300001,-26.0454754539999 48.0000000300001,-26.0333332869999 48.0000000300001,-26.028808204 48.0000000300001,-26.01666662 48.0000000300001,-26.012140954 48.0000000300001,-25.9999999529999 48.0000000300001,-25.9954737039999 48.0000000300001,-25.9833332869999 48.0000000300001,-25.9788064539999 48.0000000300001,-25.96666662 48.0000000300001,-25.962139204 48.0000000300001,-25.949999953 48.0000000300001,-25.945471954 48.0000000300001,-25.9333332859999 48.0000000300001,-25.928804704 48.0000000300001,-25.9166666199999 48.0000000300001,-25.9121374539999 48.0000000300001,-25.899999953 48.0000000300001,-25.8954702039999 48.0000000300001,-25.883333286 48.0000000300001,-25.878802954 48.0000000300001,-25.8666666199999 48.0000000300001,-25.862135704 48.0000000300001,-25.849999953 48.0000000300001,-25.845468454 48.0000000300001,-25.833333286 48.0000000300001,-25.8288012039999 48.0000000300001,-25.81666662 48.0000000300001,-25.8121339529999 48.0000000300001,-25.7999999529999 48.0000000300001,-25.7954667029999 48.0000000300001,-25.783333286 48.0000000300001,-25.778799453 48.0000000300001,-25.76666662 48.0000000300001,-25.762132203 48.0000000300001,-25.7499999529999 48.0000000300001,-25.745464953 48.0000000300001,-25.7333332859999 48.0000000300001,-25.7287977029999 48.0000000300001,-25.71666662 48.0000000300001,-25.7121304529999 48.0000000300001,-25.699999953 48.0000000300001,-25.695463203 48.0000000300001,-25.6833332859999 48.0000000300001,-25.678795953 48.0000000300001,-25.6666666199999 48.0000000300001,-25.662128703 48.0000000300001,-25.649999953 48.0000000300001,-25.6454614529999 48.0000000300001,-25.633333286 48.0000000300001,-25.6287942029999 48.0000000300001,-25.6166666199999 48.0000000300001,-25.612126953 48.0000000300001,-25.599999953 48.0000000300001,-25.595459703 48.0000000300001,-25.583333286 48.0000000300001,-25.5787924529999 48.0000000300001,-25.5666666189999 48.0000000300001,-25.5621252029999 48.0000000300001,-25.5499999529999 48.0000000300001,-25.545457953 48.0000000300001,-25.533333286 48.0000000300001,-25.528790703 48.0000000300001,-25.516666619 48.0000000300001,-25.512123453 48.0000000300001,-25.4999999529999 48.0000000300001,-25.4954562029999 48.0000000300001,-25.4833332859999 48.0000000300001,-25.4787889519999 48.0000000300001,-25.466666619 48.0000000300001,-25.4621217019999 48.0000000300001,-25.449999953 48.0000000300001,-25.445454452 48.0000000300001,-25.4333332859999 48.0000000300001,-25.428787202 48.0000000300001,-25.416666619 48.0000000300001,-25.412119952 48.0000000300001,-25.399999953 48.0000000300001,-25.3954527019999 48.0000000300001,-25.383333286 48.0000000300001,-25.3787854519999 48.0000000300001,-25.3666666189999 48.0000000300001,-25.362118202 48.0000000300001,-25.349999953 48.0000000300001,-25.345450952 48.0000000300001,-25.333333286 48.0000000300001,-25.328783702 48.0000000300001,-25.3166666189999 48.0000000300001,-25.3121273749999 48.0000000300001,-25.2999999529999 48.0000000300001,-25.295471049 48.0000000300001,-25.283333286 48.0000000300001,-25.2788147219999 48.0000000300001,-25.266666619 48.0000000300001,-25.262158395 48.0000000300001,-25.2499999529999 48.0000000300001,-25.245502068 48.0000000300001,-25.2333332859999 48.0000000300001,-25.228845742 48.0000000300001,-25.216666619 48.0000000300001,-25.212189415 48.0000000300001,-25.1999999519999 48.0000000300001,-25.1955330879999 48.0000000300001,-25.1833332859999 48.0000000300001,-25.178876762 48.0000000300001,-25.166666619 48.0000000300001,-25.1622204349999 48.0000000300001,-25.149999952 48.0000000300001,-25.145564108 48.0000000300001,-25.133333286 48.0000000300001,-25.128907781 48.0000000300001,-25.1166666189999 48.0000000300001,-25.112251455 48.0000000300001,-25.099999952 48.0000000300001,-25.095595128 48.0000000300001,-25.083333286 48.0000000300001,-25.0789388009999 48.0000000300001,-25.0666666189999 48.0000000300001,-25.062282475 48.0000000300001,-25.049999952 48.0000000300001,-25.0456261479999 48.0000000300001,-25.033333286 48.0000000300001,-25.028969821 48.0000000300001,-25.016666619 48.0000000300001,-25.012313494 48.0000000300001,-24.9999999519999 48.0000000300001,-24.995657168 48.0000000300001,-24.9833332859999 48.0000000300001,-24.979000841 48.0000000300001,-24.966666619 48.0000000300001,-24.9623445139999 48.0000000300001,-24.9499999519999 48.0000000300001,-24.945688187 48.0000000300001,-24.9333332859999 48.0000000300001,-24.9290318609999 48.0000000300001,-24.916666619 48.0000000300001,-24.912375534 48.0000000300001,-24.899999952 48.0000000300001,-24.895719207 48.0000000300001,-24.883333286 48.0000000300001,-24.879062881 48.0000000300001,-24.8666666189999 48.0000000300001,-24.862406554 48.0000000300001,-24.849999952 48.0000000300001,-24.8457502269999 48.0000000300001,-24.833333285 48.0000000300001,-24.8290939 48.0000000300001,-24.8166666189999 48.0000000300001,-24.8124375739999 48.0000000300001,-24.799999952 48.0000000300001,-24.795781247 48.0000000300001,-24.783333285 48.0000000300001,-24.77912492 48.0000000300001,-24.766666619 48.0000000300001,-24.762468594 48.0000000300001,-24.7499999519999 48.0000000300001,-24.745812267 48.0000000300001,-24.733333285 48.0000000300001,-24.7291559399999 48.0000000300001,-24.716666619 48.0000000300001,-24.712499613 48.0000000300001,-24.6999999519999 48.0000000300001,-24.6958432869999 48.0000000300001,-24.6833332849999 48.0000000300001,-24.67918696 48.0000000300001,-24.666666619 48.0000000300001,-24.662530633 48.0000000300001,-24.649999952 48.0000000300001,-24.6458743069999 48.0000000300001,-24.6333332849999 48.0000000300001,-24.62921798 48.0000000300001,-24.6166666189999 48.0000000300001,-24.6125616529999 48.0000000300001,-24.599999952 48.0000000300001,-24.595905326 48.0000000300001,-24.583333285 48.0000000300001,-24.5792489999999 48.0000000300001,-24.5666666189999 48.0000000300001,-24.562592673 48.0000000300001,-24.549999952 48.0000000300001,-24.545936346 48.0000000300001,-24.533333285 48.0000000300001,-24.5292800199999 48.0000000300001,-24.516666619 48.0000000300001,-24.512623693 48.0000000300001,-24.4999999519999 48.0000000300001,-24.4959673659999 48.0000000300001,-24.483333285 48.0000000300001,-24.479311039 48.0000000300001,-24.466666618 48.0000000300001,-24.4626547129999 48.0000000300001,-24.4499999519999 48.0000000300001,-24.4459983859999 48.0000000300001,-24.4333332849999 48.0000000300001,-24.429342059 48.0000000300001,-24.416666618 48.0000000300001,-24.4126857319999 48.0000000300001,-24.399999952 48.0000000300001,-24.396029406 48.0000000300001,-24.3833332849999 48.0000000300001,-24.3793730789999 48.0000000300001,-24.366666618 48.0000000300001,-24.362716752 48.0000000300001,-24.349999952 48.0000000300001,-24.346060426 48.0000000300001,-24.333333285 48.0000000300001,-24.3294040989999 48.0000000300001,-24.3166666179999 48.0000000300001,-24.312747772 48.0000000300001,-24.299999952 48.0000000300001,-24.2960914449999 48.0000000300001,-24.283333285 48.0000000300001,-24.279435119 48.0000000300001,-24.2666666179999 48.0000000300001,-24.2627787919999 48.0000000300001,-24.2499999519999 48.0000000300001,-24.2461224649999 48.0000000300001,-24.233333285 48.0000000300001,-24.229466139 48.0000000300001,-24.216666618 48.0000000300001,-24.2128098119999 48.0000000300001,-24.1999999519999 48.0000000300001,-24.196153485 48.0000000300001,-24.1833332849999 48.0000000300001,-24.1794971579999 48.0000000300001,-24.166666618 48.0000000300001,-24.162840832 48.0000000300001,-24.1499999509999 48.0000000300001,-24.146184505 48.0000000300001,-24.1333332849999 48.0000000300001,-24.1295281779999 48.0000000300001,-24.116666618 48.0000000300001,-24.112871852 48.0000000300001,-24.099999951 48.0000000300001,-24.0962155249999 48.0000000300001,-24.083333285 48.0000000300001,-24.079559198 48.0000000300001,-24.0666666179999 48.0000000300001,-24.0629028709999 48.0000000300001,-24.049999951 48.0000000300001,-24.046246545 48.0000000300001,-24.033333285 48.0000000300001,-24.029590218 48.0000000300001,-24.0166666179999 48.0000000300001,-24.0129338909999 48.0000000300001,-23.9999999509999 48.0000000300001,-23.996277565 48.0000000300001,-23.983333285 48.0000000300001,-23.9796212379999 48.0000000300001,-23.966666618 48.0000000300001,-23.962964911 48.0000000300001,-23.9499999509999 48.0000000300001,-23.946308584 48.0000000300001,-23.9333332849999 48.0000000300001,-23.929652258 48.0000000300001,-23.916666618 48.0000000300001,-23.912995931 48.0000000300001,-23.8999999509999 48.0000000300001,-23.8963396039999 48.0000000300001,-23.8833332849999 48.0000000300001,-23.879683277 48.0000000300001,-23.866666618 48.0000000300001,-23.8630269509999 48.0000000300001,-23.849999951 48.0000000300001,-23.846370624 48.0000000300001,-23.833333285 48.0000000300001,-23.829714297 48.0000000300001,-23.8166666179999 48.0000000300001,-23.813057971 48.0000000300001,-23.799999951 48.0000000300001,-23.796401644 48.0000000300001,-23.783333284 48.0000000300001,-23.7797453169999 48.0000000300001,-23.7666666179999 48.0000000300001,-23.76308899 48.0000000300001,-23.7499999509999 48.0000000300001,-23.7464326639999 48.0000000300001,-23.733333284 48.0000000300001,-23.729776337 48.0000000300001,-23.716666618 48.0000000300001,-23.71312001 48.0000000300001,-23.6999999509999 48.0000000300001,-23.696463684 48.0000000300001,-23.683333284 48.0000000300001,-23.679807357 48.0000000300001,-23.666666618 48.0000000300001,-23.6631510299999 48.0000000300001,-23.6499999509999 48.0000000300001,-23.646494703 48.0000000300001,-23.6333332839999 48.0000000300001,-23.6298383769999 48.0000000300001,-23.616666618 48.0000000300001,-23.61318205 48.0000000300001,-23.599999951 48.0000000300001,-23.596525723 48.0000000300001,-23.5833332839999 48.0000000300001,-23.579869397 48.0000000300001,-23.5666666179999 48.0000000300001,-23.56321307 48.0000000300001,-23.549999951 48.0000000300001,-23.5465567429999 48.0000000300001,-23.533333284 48.0000000300001,-23.529900416 48.0000000300001,-23.5166666179999 48.0000000300001,-23.5132440899999 48.0000000300001,-23.4999999509999 48.0000000300001,-23.496587763 48.0000000300001,-23.483333284 48.0000000300001,-23.479931436 48.0000000300001,-23.466666618 48.0000000300001,-23.4632751099999 48.0000000300001,-23.4499999509999 48.0000000300001,-23.446618783 48.0000000300001,-23.433333284 48.0000000300001,-23.4299624559999 48.0000000300001,-23.416666617 48.0000000300001,-23.413306129 48.0000000300001,-23.3999999509999 48.0000000300001,-23.3966498029999 48.0000000300001,-23.3833332839999 48.0000000300001,-23.379993476 48.0000000300001,-23.366666617 48.0000000300001,-23.363337149 48.0000000300001,-23.349999951 48.0000000300001,-23.3466808219999 48.0000000300001,-23.3333332839999 48.0000000300001,-23.330024496 48.0000000300001,-23.316666617 48.0000000300001,-23.3133681689999 48.0000000300001,-23.299999951 48.0000000300001,-23.296711842 48.0000000300001,-23.283333284 48.0000000300001,-23.2800555159999 48.0000000300001,-23.2666666169999 48.0000000300001,-23.263399189 48.0000000300001,-23.2499999509999 48.0000000300001,-23.246742862 48.0000000300001,-23.233333284 48.0000000300001,-23.2300865349999 48.0000000300001,-23.2166666169999 48.0000000300001,-23.213430209 48.0000000300001,-23.1999999509999 48.0000000300001,-23.1967738819999 48.0000000300001,-23.183333284 48.0000000300001,-23.180117555 48.0000000300001,-23.166666617 48.0000000300001,-23.1634612289999 48.0000000300001,-23.1499999509999 48.0000000300001,-23.1468049019999 48.0000000300001,-23.1333332839999 48.0000000300001,-23.130148575 48.0000000300001,-23.116666617 48.0000000300001,-23.1134922479999 48.0000000300001,-23.099999951 48.0000000300001,-23.096835922 48.0000000300001,-23.0833332839999 48.0000000300001,-23.0801795949999 48.0000000300001,-23.066666617 48.0000000300001,-23.063523268 48.0000000300001,-23.04999995 48.0000000300001,-23.046866942 48.0000000300001,-23.033333284 48.0000000300001,-23.0302106149999 48.0000000300001,-23.0166666169999 48.0000000300001,-23.013554288 48.0000000300001,-22.99999995 48.0000000300001,-22.9968979609999 48.0000000300001,-22.983333284 48.0000000300001,-22.980241635 48.0000000300001,-22.9666666169999 48.0000000300001,-22.9635853079999 48.0000000300001,-22.9499999499999 48.0000000300001,-22.9469289809999 48.0000000300001,-22.933333284 48.0000000300001,-22.930272655 48.0000000300001,-22.916666617 48.0000000300001,-22.9136163279999 48.0000000300001,-22.8999999499999 48.0000000300001,-22.896960001 48.0000000300001,-22.8833332839999 48.0000000300001,-22.8803036739999 48.0000000300001,-22.866666617 48.0000000300001,-22.863647348 48.0000000300001,-22.84999995 48.0000000300001,-22.846991021 48.0000000300001,-22.8333332839999 48.0000000300001,-22.8303346939999 48.0000000300001,-22.816666617 48.0000000300001,-22.813678367 48.0000000300001,-22.79999995 48.0000000300001,-22.7970220409999 48.0000000300001,-22.783333284 48.0000000300001,-22.780365714 48.0000000300001,-22.7666666169999 48.0000000300001,-22.7637093869999 48.0000000300001,-22.74999995 48.0000000300001,-22.747053061 48.0000000300001,-22.733333284 48.0000000300001,-22.730396734 48.0000000300001,-22.7166666169999 48.0000000300001,-22.7137404069999 48.0000000300001,-22.6999999499999 48.0000000300001,-22.69708408 48.0000000300001,-22.683333283 48.0000000300001,-22.6804277539999 48.0000000300001,-22.666666617 48.0000000300001,-22.663771427 48.0000000300001,-22.6499999499999 48.0000000300001,-22.6471151 48.0000000300001,-22.633333283 48.0000000300001,-22.630458774 48.0000000300001,-22.616666617 48.0000000300001,-22.613802447 48.0000000300001,-22.59999995 48.0000000300001,-22.5971461199999 48.0000000300001,-22.5833332829999 48.0000000300001,-22.580489793 48.0000000300001,-22.566666617 48.0000000300001,-22.5638334669999 48.0000000300001,-22.54999995 48.0000000300001,-22.54717714 48.0000000300001,-22.5333332829999 48.0000000300001,-22.530520813 48.0000000300001,-22.5166666169999 48.0000000300001,-22.513864487 48.0000000300001,-22.49999995 48.0000000300001,-22.49720816 48.0000000300001,-22.483333283 48.0000000300001,-22.4805518329999 48.0000000300001,-22.4666666169999 48.0000000300001,-22.463895506 48.0000000300001,-22.4499999499999 48.0000000300001,-22.4472391799999 48.0000000300001,-22.433333283 48.0000000300001,-22.430582853 48.0000000300001,-22.416666617 48.0000000300001,-22.413926526 48.0000000300001,-22.3999999499999 48.0000000300001,-22.3972702 48.0000000300001,-22.383333283 48.0000000300001,-22.380613873 48.0000000300001,-22.366666617 48.0000000300001,-22.3639575459999 48.0000000300001,-22.34999995 48.0000000300001,-22.347301219 48.0000000300001,-22.3333332829999 48.0000000300001,-22.3306448929999 48.0000000300001,-22.316666616 48.0000000300001,-22.313988566 48.0000000300001,-22.29999995 48.0000000300001,-22.297332239 48.0000000300001,-22.2833332829999 48.0000000300001,-22.2806759119999 48.0000000300001,-22.266666616 48.0000000300001,-22.264019586 48.0000000300001,-22.24999995 48.0000000300001,-22.2473632589999 48.0000000300001,-22.233333283 48.0000000300001,-22.230706932 48.0000000300001,-22.2166666159999 48.0000000300001,-22.2140506059999 48.0000000300001,-22.1999999499999 48.0000000300001,-22.197394279 48.0000000300001,-22.183333283 48.0000000300001,-22.180737952 48.0000000300001,-22.1666666159999 48.0000000300001,-22.1640816249999 48.0000000300001,-22.1499999499999 48.0000000300001,-22.147425299 48.0000000300001,-22.133333283 48.0000000300001,-22.1307689719999 48.0000000300001,-22.116666616 48.0000000300001,-22.114112645 48.0000000300001,-22.09999995 48.0000000300001,-22.0974563189999 48.0000000300001,-22.0833332829999 48.0000000300001,-22.080799992 48.0000000300001,-22.066666616 48.0000000300001,-22.064143665 48.0000000300001,-22.04999995 48.0000000300001,-22.0474873379999 48.0000000300001,-22.0333332829999 48.0000000300001,-22.030831012 48.0000000300001,-22.016666616 48.0000000300001,-22.0141746849999 48.0000000300001,-21.999999949 48.0000000300001,-21.997518358 48.0000000300001,-21.983333283 48.0000000300001,-21.9808620319999 48.0000000300001,-21.9666666159999 48.0000000300001,-21.9642057049999 48.0000000300001,-21.949999949 48.0000000300001,-21.947549378 48.0000000300001,-21.933333283 48.0000000300001,-21.9308930509999 48.0000000300001,-21.9166666159999 48.0000000300001,-21.914236725 48.0000000300001,-21.8999999489999 48.0000000300001,-21.8975803979999 48.0000000300001,-21.883333283 48.0000000300001,-21.880924071 48.0000000300001,-21.866666616 48.0000000300001,-21.8642677449999 48.0000000300001,-21.8499999489999 48.0000000300001,-21.8476114179999 48.0000000300001,-21.8333332829999 48.0000000300001,-21.830955091 48.0000000300001,-21.816666616 48.0000000300001,-21.8142987639999 48.0000000300001,-21.799999949 48.0000000300001,-21.797642438 48.0000000300001,-21.7833332829999 48.0000000300001,-21.7809861109999 48.0000000300001,-21.766666616 48.0000000300001,-21.764329784 48.0000000300001,-21.749999949 48.0000000300001,-21.747673457 48.0000000300001,-21.733333283 48.0000000300001,-21.7310171309999 48.0000000300001,-21.7166666159999 48.0000000300001,-21.714360804 48.0000000300001,-21.699999949 48.0000000300001,-21.6977044769999 48.0000000300001,-21.683333283 48.0000000300001,-21.681048151 48.0000000300001,-21.6666666159999 48.0000000300001,-21.6643918239999 48.0000000300001,-21.6499999489999 48.0000000300001,-21.6477354969999 48.0000000300001,-21.633333282 48.0000000300001,-21.63107917 48.0000000300001,-21.616666616 48.0000000300001,-21.6144228439999 48.0000000300001,-21.5999999489999 48.0000000300001,-21.597766517 48.0000000300001,-21.583333282 48.0000000300001,-21.5811101899999 48.0000000300001,-21.566666616 48.0000000300001,-21.564453864 48.0000000300001,-21.549999949 48.0000000300001,-21.547797537 48.0000000300001,-21.5333332819999 48.0000000300001,-21.5311412099999 48.0000000300001,-21.516666616 48.0000000300001,-21.514484883 48.0000000300001,-21.499999949 48.0000000300001,-21.4978285569999 48.0000000300001,-21.4833332819999 48.0000000300001,-21.48117223 48.0000000300001,-21.4666666159999 48.0000000300001,-21.4645159029999 48.0000000300001,-21.449999949 48.0000000300001,-21.447859577 48.0000000300001,-21.433333282 48.0000000300001,-21.43120325 48.0000000300001,-21.4166666159999 48.0000000300001,-21.4145469229999 48.0000000300001,-21.3999999489999 48.0000000300001,-21.397890596 48.0000000300001,-21.383333282 48.0000000300001,-21.3812342699999 48.0000000300001,-21.366666616 48.0000000300001,-21.364577943 48.0000000300001,-21.3499999489999 48.0000000300001,-21.347921616 48.0000000300001,-21.333333282 48.0000000300001,-21.33126529 48.0000000300001,-21.316666616 48.0000000300001,-21.314608963 48.0000000300001,-21.299999949 48.0000000300001,-21.2979526359999 48.0000000300001,-21.2833332819999 48.0000000300001,-21.281296309 48.0000000300001,-21.266666615 48.0000000300001,-21.2646399829999 48.0000000300001,-21.249999949 48.0000000300001,-21.247983656 48.0000000300001,-21.2333332819999 48.0000000300001,-21.231327329 48.0000000300001,-21.216666615 48.0000000300001,-21.2146710019999 48.0000000300001,-21.199999949 48.0000000300001,-21.198014676 48.0000000300001,-21.183333282 48.0000000300001,-21.1813583489999 48.0000000300001,-21.1666666149999 48.0000000300001,-21.164702022 48.0000000300001,-21.1499999489999 48.0000000300001,-21.1480456959999 48.0000000300001,-21.133333282 48.0000000300001,-21.131389369 48.0000000300001,-21.1166666149999 48.0000000300001,-21.114733042 48.0000000300001,-21.0999999489999 48.0000000300001,-21.0980767149999 48.0000000300001,-21.083333282 48.0000000300001,-21.081420389 48.0000000300001,-21.066666615 48.0000000300001,-21.0647640619999 48.0000000300001,-21.049999949 48.0000000300001,-21.048107735 48.0000000300001,-21.0333332819999 48.0000000300001,-21.0314514089999 48.0000000300001,-21.016666615 48.0000000300001,-21.014795082 48.0000000300001,-20.999999949 48.0000000300001,-20.998138755 48.0000000300001,-20.9833332819999 48.0000000300001,-20.9814824279999 48.0000000300001,-20.966666615 48.0000000300001,-20.964826102 48.0000000300001,-20.949999949 48.0000000300001,-20.9481697749999 48.0000000300001,-20.933333282 48.0000000300001,-20.931513448 48.0000000300001,-20.9166666149999 48.0000000300001,-20.9148571219999 48.0000000300001,-20.899999948 48.0000000300001,-20.898200795 48.0000000300001,-20.883333282 48.0000000300001,-20.881544468 48.0000000300001,-20.8666666149999 48.0000000300001,-20.8648881409999 48.0000000300001,-20.8499999479999 48.0000000300001,-20.848231815 48.0000000300001,-20.833333282 48.0000000300001,-20.8315754879999 48.0000000300001,-20.816666615 48.0000000300001,-20.814919161 48.0000000300001,-20.7999999479999 48.0000000300001,-20.7982628349999 48.0000000300001,-20.7833332819999 48.0000000300001,-20.781606508 48.0000000300001,-20.766666615 48.0000000300001,-20.764950181 48.0000000300001,-20.749999948 48.0000000300001,-20.7482938539999 48.0000000300001,-20.7333332819999 48.0000000300001,-20.731637528 48.0000000300001,-20.716666615 48.0000000300001,-20.7149812009999 48.0000000300001,-20.699999948 48.0000000300001,-20.698324874 48.0000000300001,-20.683333282 48.0000000300001,-20.681668547 48.0000000300001,-20.6666666149999 48.0000000300001,-20.6650122209999 48.0000000300001,-20.649999948 48.0000000300001,-20.648355894 48.0000000300001,-20.633333282 48.0000000300001,-20.6316995669999 48.0000000300001,-20.6166666149999 48.0000000300001,-20.615043241 48.0000000300001,-20.5999999479999 48.0000000300001,-20.5983869139999 48.0000000300001,-20.583333282 48.0000000300001,-20.581730587 48.0000000300001,-20.566666615 48.0000000300001,-20.56507426 48.0000000300001,-20.5499999479999 48.0000000300001,-20.5484179339999 48.0000000300001,-20.533333281 48.0000000300001,-20.531761607 48.0000000300001,-20.516666615 48.0000000300001,-20.5151052799999 48.0000000300001,-20.499999948 48.0000000300001,-20.498448954 48.0000000300001,-20.4833332809999 48.0000000300001,-20.4817926269999 48.0000000300001,-20.466666615 48.0000000300001,-20.4651362999999 48.0000000300001,-20.449999948 48.0000000300001,-20.448479973 48.0000000300001,-20.4333332809999 48.0000000300001,-20.4318236469999 48.0000000300001,-20.4166666149999 48.0000000300001,-20.41516732 48.0000000300001,-20.399999948 48.0000000300001,-20.3985109929999 48.0000000300001,-20.383333281 48.0000000300001,-20.381854667 48.0000000300001,-20.3666666149999 48.0000000300001,-20.3651983399999 48.0000000300001,-20.3499999479999 48.0000000300001,-20.3485420129999 48.0000000300001,-20.333333281 48.0000000300001,-20.331885686 48.0000000300001,-20.316666615 48.0000000300001,-20.3152293599999 48.0000000300001,-20.2999999479999 48.0000000300001,-20.298573033 48.0000000300001,-20.283333281 48.0000000300001,-20.2819167059999 48.0000000300001,-20.266666615 48.0000000300001,-20.26526038 48.0000000300001,-20.249999948 48.0000000300001,-20.248604053 48.0000000300001,-20.2333332809999 48.0000000300001,-20.2319477259999 48.0000000300001,-20.216666614 48.0000000300001,-20.215291399 48.0000000300001,-20.199999948 48.0000000300001,-20.1986350729999 48.0000000300001,-20.1833332809999 48.0000000300001,-20.181978746 48.0000000300001,-20.166666614 48.0000000300001,-20.1653224189999 48.0000000300001,-20.149999948 48.0000000300001,-20.1486660919999 48.0000000300001,-20.133333281 48.0000000300001,-20.132009766 48.0000000300001,-20.1166666139999 48.0000000300001,-20.1153534389999 48.0000000300001,-20.0999999479999 48.0000000300001,-20.098697112 48.0000000300001,-20.083333281 48.0000000300001,-20.0820407859999 48.0000000300001,-20.0666666139999 48.0000000300001,-20.065384459 48.0000000300001,-20.0499999479999 48.0000000300001,-20.048728132 48.0000000300001,-20.033333281 48.0000000300001,-20.0320718049999 48.0000000300001,-20.016666614 48.0000000300001,-20.015415479 48.0000000300001,-19.999999948 48.0000000300001,-19.9987591519999 48.0000000300001,-19.9833332809999 48.0000000300001,-19.982102825 48.0000000300001,-19.966666614 48.0000000300001,-19.9654464989999 48.0000000300001,-19.949999948 48.0000000300001,-19.948790172 48.0000000300001,-19.9333332809999 48.0000000300001,-19.932133845 48.0000000300001,-19.916666614 48.0000000300001,-19.9154775179999 48.0000000300001,-19.899999948 48.0000000300001,-19.898821192 48.0000000300001,-19.883333281 48.0000000300001,-19.8821648649999 48.0000000300001,-19.8666666139999 48.0000000300001,-19.865508538 48.0000000300001,-19.849999947 48.0000000300001,-19.8488522119999 48.0000000300001,-19.833333281 48.0000000300001,-19.832195885 48.0000000300001,-19.8166666139999 48.0000000300001,-19.815539558 48.0000000300001,-19.7999999469999 48.0000000300001,-19.7988832309999 48.0000000300001,-19.783333281 48.0000000300001,-19.782226905 48.0000000300001,-19.766666614 48.0000000300001,-19.7655705779999 48.0000000300001,-19.7499999469999 48.0000000300001,-19.748914251 48.0000000300001,-19.7333332809999 48.0000000300001,-19.7322579249999 48.0000000300001,-19.716666614 48.0000000300001,-19.715601598 48.0000000300001,-19.699999947 48.0000000300001,-19.698945271 48.0000000300001,-19.6833332809999 48.0000000300001,-19.6822889439999 48.0000000300001,-19.666666614 48.0000000300001,-19.665632618 48.0000000300001,-19.649999947 48.0000000300001,-19.6489762909999 48.0000000300001,-19.633333281 48.0000000300001,-19.632319964 48.0000000300001,-19.6166666139999 48.0000000300001,-19.615663637 48.0000000300001,-19.599999947 48.0000000300001,-19.599007311 48.0000000300001,-19.583333281 48.0000000300001,-19.582350984 48.0000000300001,-19.5666666139999 48.0000000300001,-19.5656946569999 48.0000000300001,-19.5499999469999 48.0000000300001,-19.549038331 48.0000000300001,-19.533333281 48.0000000300001,-19.5323820039999 48.0000000300001,-19.516666614 48.0000000300001,-19.515725677 48.0000000300001,-19.4999999469999 48.0000000300001,-19.49906935 48.0000000300001,-19.48333328 48.0000000300001,-19.482413024 48.0000000300001,-19.466666614 48.0000000300001,-19.465756697 48.0000000300001,-19.449999947 48.0000000300001,-19.4491003699999 48.0000000300001,-19.4333332799999 48.0000000300001,-19.432444044 48.0000000300001,-19.416666614 48.0000000300001,-19.4157877169999 48.0000000300001,-19.399999947 48.0000000300001,-19.39913139 48.0000000300001,-19.3833332799999 48.0000000300001,-19.382475063 48.0000000300001,-19.3666666139999 48.0000000300001,-19.3658187369999 48.0000000300001,-19.349999947 48.0000000300001,-19.34916241 48.0000000300001,-19.33333328 48.0000000300001,-19.3325060829999 48.0000000300001,-19.3166666139999 48.0000000300001,-19.315849757 48.0000000300001,-19.2999999469999 48.0000000300001,-19.2991934299999 48.0000000300001,-19.28333328 48.0000000300001,-19.282537103 48.0000000300001,-19.266666614 48.0000000300001,-19.265880776 48.0000000300001,-19.2499999469999 48.0000000300001,-19.2492244499999 48.0000000300001,-19.23333328 48.0000000300001,-19.232568123 48.0000000300001,-19.216666614 48.0000000300001,-19.2159117959999 48.0000000300001,-19.199999947 48.0000000300001,-19.19925547 48.0000000300001,-19.1833332799999 48.0000000300001,-19.1825991429999 48.0000000300001,-19.166666614 48.0000000300001,-19.1659428159999 48.0000000300001,-19.149999947 48.0000000300001,-19.149286489 48.0000000300001,-19.1333332799999 48.0000000300001,-19.1326301629999 48.0000000300001,-19.1166666129999 48.0000000300001,-19.115973836 48.0000000300001,-19.099999947 48.0000000300001,-19.0993175089999 48.0000000300001,-19.08333328 48.0000000300001,-19.082661182 48.0000000300001,-19.0666666129999 48.0000000300001,-19.0660048559999 48.0000000300001,-19.0499999469999 48.0000000300001,-19.0493485289999 48.0000000300001,-19.03333328 48.0000000300001,-19.032692202 48.0000000300001,-19.0166666129999 48.0000000300001,-19.0160358759999 48.0000000300001,-18.9999999469999 48.0000000300001,-18.999379549 48.0000000300001,-18.98333328 48.0000000300001,-18.9827232219999 48.0000000300001,-18.966666613 48.0000000300001,-18.9660668949999 48.0000000300001,-18.949999947 48.0000000300001,-18.949410569 48.0000000300001,-18.9333332799999 48.0000000300001,-18.9327542419999 48.0000000300001,-18.916666613 48.0000000300001,-18.916097915 48.0000000300001,-18.899999947 48.0000000300001,-18.8994415889999 48.0000000300001,-18.8833332799999 48.0000000300001,-18.882785262 48.0000000300001,-18.8666666129999 48.0000000300001,-18.8661289349999 48.0000000300001,-18.849999947 48.0000000300001,-18.8494726079999 48.0000000300001,-18.83333328 48.0000000300001,-18.832816282 48.0000000300001,-18.8166666129999 48.0000000300001,-18.8161599549999 48.0000000300001,-18.7999999469999 48.0000000300001,-18.799503628 48.0000000300001,-18.78333328 48.0000000300001,-18.7828473019999 48.0000000300001,-18.7666666129999 48.0000000300001,-18.766190975 48.0000000300001,-18.7499999459999 48.0000000300001,-18.749534648 48.0000000300001,-18.73333328 48.0000000300001,-18.7328783209999 48.0000000300001,-18.716666613 48.0000000300001,-18.716221995 48.0000000300001,-18.6999999459999 48.0000000300001,-18.6995656679999 48.0000000300001,-18.6833332799999 48.0000000300001,-18.682909341 48.0000000300001,-18.666666613 48.0000000300001,-18.6662530149999 48.0000000300001,-18.649999946 48.0000000300001,-18.649596688 48.0000000300001,-18.6333332799999 48.0000000300001,-18.632940361 48.0000000300001,-18.6166666129999 48.0000000300001,-18.6162840339999 48.0000000300001,-18.599999946 48.0000000300001,-18.599627708 48.0000000300001,-18.58333328 48.0000000300001,-18.5829713809999 48.0000000300001,-18.5666666129999 48.0000000300001,-18.566315054 48.0000000300001,-18.549999946 48.0000000300001,-18.549658727 48.0000000300001,-18.53333328 48.0000000300001,-18.533002401 48.0000000300001,-18.5166666129999 48.0000000300001,-18.516346074 48.0000000300001,-18.4999999459999 48.0000000300001,-18.4996897469999 48.0000000300001,-18.48333328 48.0000000300001,-18.483033421 48.0000000300001,-18.466666613 48.0000000300001,-18.4663770939999 48.0000000300001,-18.4499999459999 48.0000000300001,-18.449720767 48.0000000300001,-18.4333332799999 48.0000000300001,-18.43306444 48.0000000300001,-18.416666613 48.0000000300001,-18.416408114 48.0000000300001,-18.399999946 48.0000000300001,-18.399751787 48.0000000300001,-18.3833332789999 48.0000000300001,-18.3830954599999 48.0000000300001,-18.3666666129999 48.0000000300001,-18.366439134 48.0000000300001,-18.349999946 48.0000000300001,-18.3497828069999 48.0000000300001,-18.3333332789999 48.0000000300001,-18.33312648 48.0000000300001,-18.3166666129999 48.0000000300001,-18.316470153 48.0000000300001,-18.299999946 48.0000000300001,-18.299813827 48.0000000300001,-18.283333279 48.0000000300001,-18.2831575 48.0000000300001,-18.2666666129999 48.0000000300001,-18.2665011729999 48.0000000300001,-18.2499999459999 48.0000000300001,-18.249844847 48.0000000300001,-18.233333279 48.0000000300001,-18.2331885199999 48.0000000300001,-18.216666613 48.0000000300001,-18.216532193 48.0000000300001,-18.1999999459999 48.0000000300001,-18.199875866 48.0000000300001,-18.183333279 48.0000000300001,-18.18321954 48.0000000300001,-18.166666613 48.0000000300001,-18.166563213 48.0000000300001,-18.149999946 48.0000000300001,-18.1499068859999 48.0000000300001,-18.1333332789999 48.0000000300001,-18.13325056 48.0000000300001,-18.1166666129999 48.0000000300001,-18.1165942329999 48.0000000300001,-18.099999946 48.0000000300001,-18.099937906 48.0000000300001,-18.0833332789999 48.0000000300001,-18.083281579 48.0000000300001,-18.0666666119999 48.0000000300001,-18.0666252529999 48.0000000300001,-18.049999946 48.0000000300001,-18.049968926 48.0000000300001,-18.033333279 48.0000000300001,-18.0333125989999 48.0000000300001,-18.0166666119999 48.0000000300001,-18.016656272 48.0000000300001,-17.999999959 48.000000023)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.X', 'Azores Grounds', '27.X', '27.X.b', 'Northeast Atlantic South', '27.Xb', '', '', '', '', '', '', '', 'Xb', '3', '27.10.b', '27.Xb', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 35.0000000000001,-39.9999999999999 34.400001526,-39.9999999999999 34.200000763,-39.9999999999999 33.5999984740001,-39.9999999999999 33.400001526,-39.9999999999999 32.7999992370001,-39.9999999999999 32.5999984740001,-39.9999999999999 32.0000000000001,-39.9999999999999 31.8000011440001,-39.9999999999999 31.200000763,-39.9999999999999 31.0000000000001,-39.9999999999999 30.399999619,-39.9999999999999 30.200000763,-39.9999999999999 29.600000381,-39.9999999999999 29.399999619,-39.9999999999999 28.7999992370001,-39.9999999999999 28.600000381,-39.9999999999999 28.0000000000001,-39.9999999999999 27.7999992370001,-39.9999999999999 27.200000763,-39.9999999999999 27.0000000000001,-39.9999999999999 26.399999619,-39.9999999999999 26.200000763,-39.9999999999999 25.600000381,-39.9999999999999 25.399999619,-39.9999999999999 24.7999992370001,-39.9999999999999 24.600000381,-39.9999999999999 24.0000000000001,-39.9999999999999 23.7999992370001,-39.9999999999999 23.200000763,-39.9999999999999 23.0000000000001,-39.9999999999999 22.399999619,-39.9999999999999 22.200000763,-39.9999999999999 21.600000381,-39.9999999999999 21.399999619,-39.9999999999999 20.600000381,-39.9999999999999 20.0000000000001,-39.9999999999999 19.7999992370001,-39.9999999999999 19.200000763,-39.9999999999999 19.0000000000001,-39.9999999999999 18.399999619,-39.9999999999999 18.200000763,-39.9999999999999 17.600000381,-39.9999999999999 17.399999619,-39.9999999999999 16.7999992370001,-39.9999999999999 16.600000381,-39.9999999999999 16.0000000000001,-39.9999999999999 15.800000191,-39.9999999999999 15.1999998090001,-39.9999999999999 15.0000000000001,-39.9999999999999 14.399999619,-39.9999999999999 13.800000191,-39.9999999999999 13.600000381,-39.9999999999999 13.0000000000001,-39.9999999999999 12.800000191,-39.9999999999999 12.1999998090001,-39.9999999999999 12.0000000000001,-39.9999999999999 11.399999619,-39.9999999999999 11.1999998090001,-39.9999999999999 10.600000381,-39.9999999999999 10.399999619,-39.9999999999999 9.80000019100004,-39.9999999999999 9.59999942800005,-39.9999999999999 9.00000000000006,-39.9999999999999 8.80000019100004,-39.9999999999999 8.19999980900008,-39.9999999999999 8.00000000000006,-39.9999999999999 7.40000009500005,-39.9999999999999 7.19999980900008,-39.9999999999999 6.59999990500006,-39.9999999999999 6.39999961900003,-39.9999999999999 5.80000019100004,-39.9999999999999 5.00000000000006,-41.099998474 5.00000000000006,-41.400001526 5.00000000000006,-41.900001526 5.00000000000006,-42.2000007629999 5.00000000000006,-42.7000007629999 5.00000000000006,-42.9999999999999 5.00000000000006,-43.4999999999999 5.00000000000006,-43.799999237 5.00000000000006,-44.299999237 5.00000000000006,-44.599998474 5.00000000000006,-45.099998474 5.00000000000006,-45.400001526 5.00000000000006,-45.900001526 5.00000000000006,-46.2000007629999 5.00000000000006,-46.7000007629999 5.00000000000006,-46.9999999999999 5.00000000000006,-47.4999999999999 5.00000000000006,-47.799999237 5.00000000000006,-48.299999237 5.00000000000006,-48.599998474 5.00000000000006,-49.099998474 5.00000000000006,-49.400001526 5.00000000000006,-49.900001526 5.00000000000006,-50.2000007629999 5.00000000000006,-50.7000007629999 5.00000000000006,-50.9999999999999 5.00000000000006,-51.4999999999999 5.00000000000006,-51.799999237 5.00000000000006,-52.299999237 5.00000000000006,-52.599998474 5.00000000000006,-53.099998474 5.00000000000006,-53.400001526 5.00000000000006,-53.900001526 5.00000000000006,-54.2000007629999 5.00000000000006,-54.7000007629999 5.00000000000006,-54.9999999999999 5.00000000000006,-55.4999999999999 5.00000000000006,-56.299999237 5.00000000000006,-57.099998474 5.00000000000006,-57.900001526 5.00000000000006,-58.7000007629999 5.00000000000006,-59.4999999999999 5.00000000000006,-60.400001526 5.00000000000006,-61.2000007629999 5.00000000000006,-61.9999999999999 5.00000000000006,-63.2000007629999 5.00000000000006,-63.9999999999999 5.00000000000006,-64.800003052 5.00000000000006,-65.599998474 5.00000000000006,-66.400001526 5.00000000000006,-67.199996948 5.00000000000006,-67.9999999999999 5.00000000000006,-69.400001526 5.00000000000006,-70.199996948 5.00000000000006,-70.9999999999999 5.00000000000006,-71.800003052 5.00000000000006,-72.599998474 5.00000000000006,-73.400001526 5.00000000000006,-74.199996948 5.00000000000006,-74.9999999999999 5.00000000000006,-75.0025995519999 5.00354485800005,-75.002273224 4.99783410600003,-75.6738508719999 4.41219293400007,-75.7074432369999 4.49116563800004,-76.0205841059999 5.22733211500002,-76.333732605 5.96349906900002,-76.646873474 6.69966554600006,-77.199996948 8.00000000000006,-77.912155151 8.65737628900007,-78.4999999999999 9.19999980900008,-79.4999999999999 9.19999980900008,-80.4999999999999 8.50000000000006,-80.9999999999999 8.00000000000006,-82.0030822749999 8.66871929200005,-82.668716431 9.11247921000006,-83.334358215 9.55624008200004,-83.9999999999999 10.0000000000001,-83.9999999999999 11.600000381,-83.9999999999999 12.399999619,-83.9999999999999 13.1999998090001,-83.9999999999999 14.0000000000001,-85.599998474 14.0000000000001,-86.010892471 14.0000000000001,-86.400001526 14.0000000000001,-87.199996948 14.0000000000001,-87.9999999999999 14.0000000000001,-88.868629456 14.8686294560001,-89.434310913 15.4343147280001,-89.9999999999999 16.0000000000001,-90.8955459589999 16.22388649,-91.671661377 16.4179153440001,-92.447769165 16.611942291,-93.223884583 16.805971146,-93.9999999999999 17.0000000000001,-93.9999999999999 18.0006227920001,-99.9999999999999 18.0000000000001,-99.9999999999999 19.0000000000001,-99.9999999999999 19.600000381,-99.9999999999999 19.7999992370001,-99.9999999999999 20.399999619,-99.9999999999999 20.600000381,-99.9999999999999 21.200000763,-99.9999999999999 21.399999619,-99.9999999999999 22.0000000000001,-99.9999999999999 22.200000763,-99.9999999999999 22.7999992370001,-99.9999999999999 23.0000000000001,-99.9999999999999 23.600000381,-99.9999999999999 23.7999992370001,-99.9999999999999 24.399999619,-99.9999999999999 24.600000381,-99.9999999999999 25.200000763,-99.9999999999999 25.399999619,-99.9999999999999 26.0000000000001,-99.9999999999999 26.200000763,-99.9999999999999 27.0000000000001,-99.9999999999999 27.7999992370001,-99.9999999999999 28.600000381,-99.9999999999999 29.399999619,-99.9999999999999 30.200000763,-99.9999999999999 31.0000000000001,-99.9999999999999 31.214830911,-93.9999999999999 31.247980082,-90.829888863 31.2654945090001,-86.9999999999999 31.2866541160001,-82.474947743 31.311654404,-82.180731162 31.3132799100001,-82.041727861 31.314047884,-82.041727861 35.0000000000001,-81.800003052 35.0000000000001,-80.9999999999999 35.0000000000001,-80.199996948 35.0000000000001,-79.400001526 35.0000000000001,-78.9999999999999 35.0000000000001,-78.599998474 35.0000000000001,-78.199996948 35.0000000000001,-77.800003052 35.0000000000001,-76.9999999999999 35.0000000000001,-76.7499999999999 34.8300018310001,-76.400001526 34.900001526,-76.349998474 34.950000763,-76.300003052 34.950000763,-76.311698914 34.9909439090001,-75.479972839 34.9966850280001,-74.999992371 34.998672485,-74.680000305 34.998939514,-73.8799972529999 35.0000000000001,-73.400001526 35.0000000000001,-73.0800018309999 35.0000000000001,-72.599998474 35.0000000000001,-72.279998779 35.0000000000001,-71.800003052 35.0000000000001,-71.4799957279999 35.0000000000001,-70.9999999999999 35.0000000000001,-70.199996948 35.0000000000001,-69.9999999999999 35.0000000000001,-69.983329773 35.0000000000001,-69.9666671749999 35.0000000000001,-69.949996948 35.0000000000001,-69.933334351 35.0000000000001,-69.916664124 35.0000000000001,-69.900001526 35.0000000000001,-69.883331299 35.0000000000001,-69.866668701 35.0000000000001,-69.849998474 35.0000000000001,-69.833335876 35.0000000000001,-69.816665649 35.0000000000001,-69.800003052 35.0000000000001,-69.7833328249999 35.0000000000001,-69.766670227 35.0000000000001,-69.7499999999999 35.0000000000001,-69.733329773 35.0000000000001,-69.7166671749999 35.0000000000001,-69.699996948 35.0000000000001,-69.683334351 35.0000000000001,-69.666664124 35.0000000000001,-69.650001526 35.0000000000001,-69.633331299 35.0000000000001,-69.616668701 35.0000000000001,-69.599998474 35.0000000000001,-69.583335876 35.0000000000001,-69.566665649 35.0000000000001,-69.550003052 35.0000000000001,-69.5333328249999 35.0000000000001,-69.516670227 35.0000000000001,-69.4999999999999 35.0000000000001,-69.483329773 35.0000000000001,-69.4666671749999 35.0000000000001,-69.449996948 35.0000000000001,-69.433334351 35.0000000000001,-69.416664124 35.0000000000001,-69.400001526 35.0000000000001,-69.383331299 35.0000000000001,-69.366668701 35.0000000000001,-69.349998474 35.0000000000001,-69.333335876 35.0000000000001,-69.316665649 35.0000000000001,-69.300003052 35.0000000000001,-69.2833328249999 35.0000000000001,-69.266670227 35.0000000000001,-69.2499999999999 35.0000000000001,-69.233329773 35.0000000000001,-69.2166671749999 35.0000000000001,-69.199996948 35.0000000000001,-69.183334351 35.0000000000001,-69.166664124 35.0000000000001,-69.150001526 35.0000000000001,-69.133331299 35.0000000000001,-69.116668701 35.0000000000001,-69.099998474 35.0000000000001,-69.083335876 35.0000000000001,-69.066665649 35.0000000000001,-69.050003052 35.0000000000001,-69.0333328249999 35.0000000000001,-69.016670227 35.0000000000001,-68.9999999999999 35.0000000000001,-68.983329773 35.0000000000001,-68.9666671749999 35.0000000000001,-68.949996948 35.0000000000001,-68.933334351 35.0000000000001,-68.916664124 35.0000000000001,-68.900001526 35.0000000000001,-68.883331299 35.0000000000001,-68.866668701 35.0000000000001,-68.849998474 35.0000000000001,-68.833335876 35.0000000000001,-68.816665649 35.0000000000001,-68.800003052 35.0000000000001,-68.7833328249999 35.0000000000001,-68.766670227 35.0000000000001,-68.7499999999999 35.0000000000001,-68.733329773 35.0000000000001,-68.7166671749999 35.0000000000001,-68.699996948 35.0000000000001,-68.683334351 35.0000000000001,-68.666664124 35.0000000000001,-68.650001526 35.0000000000001,-68.633331299 35.0000000000001,-68.616668701 35.0000000000001,-68.599998474 35.0000000000001,-68.583335876 35.0000000000001,-68.566665649 35.0000000000001,-68.550003052 35.0000000000001,-68.5333328249999 35.0000000000001,-68.516670227 35.0000000000001,-68.4999999999999 35.0000000000001,-68.483329773 35.0000000000001,-68.4666671749999 35.0000000000001,-68.449996948 35.0000000000001,-68.433334351 35.0000000000001,-68.416664124 35.0000000000001,-68.400001526 35.0000000000001,-68.383331299 35.0000000000001,-68.366668701 35.0000000000001,-68.349998474 35.0000000000001,-68.333335876 35.0000000000001,-68.316665649 35.0000000000001,-68.300003052 35.0000000000001,-68.2833328249999 35.0000000000001,-68.266670227 35.0000000000001,-68.2499999999999 35.0000000000001,-68.233329773 35.0000000000001,-68.2166671749999 35.0000000000001,-68.199996948 35.0000000000001,-68.183334351 35.0000000000001,-68.166664124 35.0000000000001,-68.150001526 35.0000000000001,-68.133331299 35.0000000000001,-68.116668701 35.0000000000001,-68.099998474 35.0000000000001,-68.083335876 35.0000000000001,-68.066665649 35.0000000000001,-68.050003052 35.0000000000001,-68.0333328249999 35.0000000000001,-68.016670227 35.0000000000001,-67.9999999999999 35.0000000000001,-67.983329773 35.0000000000001,-67.9666671749999 35.0000000000001,-67.949996948 35.0000000000001,-67.933334351 35.0000000000001,-67.916664124 35.0000000000001,-67.900001526 35.0000000000001,-67.883331299 35.0000000000001,-67.866668701 35.0000000000001,-67.849998474 35.0000000000001,-67.833335876 35.0000000000001,-67.816665649 35.0000000000001,-67.800003052 35.0000000000001,-67.7833328249999 35.0000000000001,-67.766670227 35.0000000000001,-67.7499999999999 35.0000000000001,-67.733329773 35.0000000000001,-67.7166671749999 35.0000000000001,-67.699996948 35.0000000000001,-67.683334351 35.0000000000001,-67.666664124 35.0000000000001,-67.650001526 35.0000000000001,-67.633331299 35.0000000000001,-67.616668701 35.0000000000001,-67.599998474 35.0000000000001,-67.583335876 35.0000000000001,-67.566665649 35.0000000000001,-67.550003052 35.0000000000001,-67.5333328249999 35.0000000000001,-67.516670227 35.0000000000001,-67.4999999999999 35.0000000000001,-67.483329773 35.0000000000001,-67.4666671749999 35.0000000000001,-67.449996948 35.0000000000001,-67.433334351 35.0000000000001,-67.416664124 35.0000000000001,-67.400001526 35.0000000000001,-67.383331299 35.0000000000001,-67.366668701 35.0000000000001,-67.349998474 35.0000000000001,-67.333335876 35.0000000000001,-67.316665649 35.0000000000001,-67.300003052 35.0000000000001,-67.2833328249999 35.0000000000001,-67.266670227 35.0000000000001,-67.2499999999999 35.0000000000001,-67.233329773 35.0000000000001,-67.2166671749999 35.0000000000001,-67.199996948 35.0000000000001,-67.183334351 35.0000000000001,-67.166664124 35.0000000000001,-67.150001526 35.0000000000001,-67.133331299 35.0000000000001,-67.116668701 35.0000000000001,-67.099998474 35.0000000000001,-67.083335876 35.0000000000001,-67.066665649 35.0000000000001,-67.050003052 35.0000000000001,-67.0333328249999 35.0000000000001,-67.016670227 35.0000000000001,-66.9999999999999 35.0000000000001,-66.983329773 35.0000000000001,-66.9666671749999 35.0000000000001,-66.949996948 35.0000000000001,-66.933334351 35.0000000000001,-66.916664124 35.0000000000001,-66.900001526 35.0000000000001,-66.883331299 35.0000000000001,-66.866668701 35.0000000000001,-66.849998474 35.0000000000001,-66.833335876 35.0000000000001,-66.816665649 35.0000000000001,-66.800003052 35.0000000000001,-66.7833328249999 35.0000000000001,-66.766670227 35.0000000000001,-66.7499999999999 35.0000000000001,-66.733329773 35.0000000000001,-66.7166671749999 35.0000000000001,-66.699996948 35.0000000000001,-66.683334351 35.0000000000001,-66.666664124 35.0000000000001,-66.650001526 35.0000000000001,-66.633331299 35.0000000000001,-66.616668701 35.0000000000001,-66.599998474 35.0000000000001,-66.583335876 35.0000000000001,-66.566665649 35.0000000000001,-66.550003052 35.0000000000001,-66.5333328249999 35.0000000000001,-66.516670227 35.0000000000001,-66.4999999999999 35.0000000000001,-66.483329773 35.0000000000001,-66.4666671749999 35.0000000000001,-66.449996948 35.0000000000001,-66.433334351 35.0000000000001,-66.416664124 35.0000000000001,-66.400001526 35.0000000000001,-66.383331299 35.0000000000001,-66.366668701 35.0000000000001,-66.349998474 35.0000000000001,-66.333335876 35.0000000000001,-66.316665649 35.0000000000001,-66.300003052 35.0000000000001,-66.2833328249999 35.0000000000001,-66.266670227 35.0000000000001,-66.2499999999999 35.0000000000001,-66.233329773 35.0000000000001,-66.2166671749999 35.0000000000001,-66.199996948 35.0000000000001,-66.183334351 35.0000000000001,-66.166664124 35.0000000000001,-66.150001526 35.0000000000001,-66.133331299 35.0000000000001,-66.116668701 35.0000000000001,-66.099998474 35.0000000000001,-66.083335876 35.0000000000001,-66.066665649 35.0000000000001,-66.050003052 35.0000000000001,-66.0333328249999 35.0000000000001,-66.016670227 35.0000000000001,-65.9999999999999 35.0000000000001,-65.983329773 35.0000000000001,-65.9666671749999 35.0000000000001,-65.949996948 35.0000000000001,-65.933334351 35.0000000000001,-65.916664124 35.0000000000001,-65.900001526 35.0000000000001,-65.883331299 35.0000000000001,-65.866668701 35.0000000000001,-65.849998474 35.0000000000001,-65.833335876 35.0000000000001,-65.816665649 35.0000000000001,-65.800003052 35.0000000000001,-65.7833328249999 35.0000000000001,-65.766670227 35.0000000000001,-65.7499999999999 35.0000000000001,-65.733329773 35.0000000000001,-65.7166671749999 35.0000000000001,-65.699996948 35.0000000000001,-65.683334351 35.0000000000001,-65.666664124 35.0000000000001,-65.650001526 35.0000000000001,-65.633331299 35.0000000000001,-65.616668701 35.0000000000001,-65.599998474 35.0000000000001,-65.583335876 35.0000000000001,-65.566665649 35.0000000000001,-65.550003052 35.0000000000001,-65.5333328249999 35.0000000000001,-65.516670227 35.0000000000001,-65.4999999999999 35.0000000000001,-65.483329773 35.0000000000001,-65.4666671749999 35.0000000000001,-65.449996948 35.0000000000001,-65.433334351 35.0000000000001,-65.416664124 35.0000000000001,-65.400001526 35.0000000000001,-65.383331299 35.0000000000001,-65.366668701 35.0000000000001,-65.349998474 35.0000000000001,-65.333335876 35.0000000000001,-65.316665649 35.0000000000001,-65.300003052 35.0000000000001,-65.2833328249999 35.0000000000001,-65.266670227 35.0000000000001,-65.2499999999999 35.0000000000001,-65.233329773 35.0000000000001,-65.2166671749999 35.0000000000001,-65.199996948 35.0000000000001,-65.183334351 35.0000000000001,-65.166664124 35.0000000000001,-65.150001526 35.0000000000001,-65.133331299 35.0000000000001,-65.116668701 35.0000000000001,-65.099998474 35.0000000000001,-65.083335876 35.0000000000001,-65.066665649 35.0000000000001,-65.050003052 35.0000000000001,-65.0333328249999 35.0000000000001,-65.016670227 35.0000000000001,-64.9999999999999 35.0000000000001,-64.983329773 35.0000000000001,-64.9666671749999 35.0000000000001,-64.949996948 35.0000000000001,-64.933334351 35.0000000000001,-64.916664124 35.0000000000001,-64.900001526 35.0000000000001,-64.883331299 35.0000000000001,-64.866668701 35.0000000000001,-64.849998474 35.0000000000001,-64.833335876 35.0000000000001,-64.816665649 35.0000000000001,-64.800003052 35.0000000000001,-64.7833328249999 35.0000000000001,-64.766670227 35.0000000000001,-64.7499999999999 35.0000000000001,-64.733329773 35.0000000000001,-64.7166671749999 35.0000000000001,-64.699996948 35.0000000000001,-64.683334351 35.0000000000001,-64.666664124 35.0000000000001,-64.650001526 35.0000000000001,-64.633331299 35.0000000000001,-64.616668701 35.0000000000001,-64.599998474 35.0000000000001,-64.583335876 35.0000000000001,-64.566665649 35.0000000000001,-64.550003052 35.0000000000001,-64.5333328249999 35.0000000000001,-64.516670227 35.0000000000001,-64.4999999999999 35.0000000000001,-64.483329773 35.0000000000001,-64.4666671749999 35.0000000000001,-64.449996948 35.0000000000001,-64.433334351 35.0000000000001,-64.416664124 35.0000000000001,-64.400001526 35.0000000000001,-64.383331299 35.0000000000001,-64.366668701 35.0000000000001,-64.349998474 35.0000000000001,-64.333335876 35.0000000000001,-64.316665649 35.0000000000001,-64.300003052 35.0000000000001,-64.2833328249999 35.0000000000001,-64.266670227 35.0000000000001,-64.2499999999999 35.0000000000001,-64.233329773 35.0000000000001,-64.2166671749999 35.0000000000001,-64.199996948 35.0000000000001,-64.183334351 35.0000000000001,-64.166664124 35.0000000000001,-64.150001526 35.0000000000001,-64.133331299 35.0000000000001,-64.116668701 35.0000000000001,-64.099998474 35.0000000000001,-64.083335876 35.0000000000001,-64.066665649 35.0000000000001,-64.050003052 35.0000000000001,-64.0333328249999 35.0000000000001,-64.016670227 35.0000000000001,-63.9999999999999 35.0000000000001,-63.9833335879999 35.0000000000001,-63.9666671749999 35.0000000000001,-63.9500007629999 35.0000000000001,-63.933334351 35.0000000000001,-63.9166679379999 35.0000000000001,-63.900001526 35.0000000000001,-63.883335114 35.0000000000001,-63.866664886 35.0000000000001,-63.849998474 35.0000000000001,-63.833332062 35.0000000000001,-63.816665649 35.0000000000001,-63.799999237 35.0000000000001,-63.7833328249999 35.0000000000001,-63.7666664119999 35.0000000000001,-63.7499999999999 35.0000000000001,-63.7333335879999 35.0000000000001,-63.7166671749999 35.0000000000001,-63.7000007629999 35.0000000000001,-63.683334351 35.0000000000001,-63.6666679379999 35.0000000000001,-63.650001526 35.0000000000001,-63.633335114 35.0000000000001,-63.616664886 35.0000000000001,-63.599998474 35.0000000000001,-63.583332062 35.0000000000001,-63.566665649 35.0000000000001,-63.549999237 35.0000000000001,-63.5333328249999 35.0000000000001,-63.5166664119999 35.0000000000001,-63.4999999999999 35.0000000000001,-63.4833335879999 35.0000000000001,-63.4666671749999 35.0000000000001,-63.4500007629999 35.0000000000001,-63.433334351 35.0000000000001,-63.4166679379999 35.0000000000001,-63.400001526 35.0000000000001,-63.383335114 35.0000000000001,-63.366664886 35.0000000000001,-63.349998474 35.0000000000001,-63.333332062 35.0000000000001,-63.316665649 35.0000000000001,-63.299999237 35.0000000000001,-63.2833328249999 35.0000000000001,-63.2666664119999 35.0000000000001,-63.2499999999999 35.0000000000001,-63.2333335879999 35.0000000000001,-63.2166671749999 35.0000000000001,-63.2000007629999 35.0000000000001,-63.183334351 35.0000000000001,-63.1666679379999 35.0000000000001,-63.150001526 35.0000000000001,-63.133335114 35.0000000000001,-63.116664886 35.0000000000001,-63.099998474 35.0000000000001,-63.083332062 35.0000000000001,-63.066665649 35.0000000000001,-63.049999237 35.0000000000001,-63.0333328249999 35.0000000000001,-63.0166664119999 35.0000000000001,-62.9999999999999 35.0000000000001,-62.9833335879999 35.0000000000001,-62.9666671749999 35.0000000000001,-62.9500007629999 35.0000000000001,-62.933334351 35.0000000000001,-62.9166679379999 35.0000000000001,-62.900001526 35.0000000000001,-62.883335114 35.0000000000001,-62.866664886 35.0000000000001,-62.849998474 35.0000000000001,-62.833332062 35.0000000000001,-62.816665649 35.0000000000001,-62.799999237 35.0000000000001,-62.7833328249999 35.0000000000001,-62.7666664119999 35.0000000000001,-62.7499999999999 35.0000000000001,-62.7333335879999 35.0000000000001,-62.7166671749999 35.0000000000001,-62.7000007629999 35.0000000000001,-62.683334351 35.0000000000001,-62.6666679379999 35.0000000000001,-62.650001526 35.0000000000001,-62.633335114 35.0000000000001,-62.616664886 35.0000000000001,-62.599998474 35.0000000000001,-62.583332062 35.0000000000001,-62.566665649 35.0000000000001,-62.549999237 35.0000000000001,-62.5333328249999 35.0000000000001,-62.5166664119999 35.0000000000001,-62.4999999999999 35.0000000000001,-62.4833335879999 35.0000000000001,-62.4666671749999 35.0000000000001,-62.4500007629999 35.0000000000001,-62.433334351 35.0000000000001,-62.4166679379999 35.0000000000001,-62.400001526 35.0000000000001,-62.383335114 35.0000000000001,-62.366664886 35.0000000000001,-62.349998474 35.0000000000001,-62.333332062 35.0000000000001,-62.316665649 35.0000000000001,-62.299999237 35.0000000000001,-62.2833328249999 35.0000000000001,-62.2666664119999 35.0000000000001,-62.2499999999999 35.0000000000001,-62.2333335879999 35.0000000000001,-62.2166671749999 35.0000000000001,-62.2000007629999 35.0000000000001,-62.183334351 35.0000000000001,-62.1666679379999 35.0000000000001,-62.150001526 35.0000000000001,-62.133335114 35.0000000000001,-62.116664886 35.0000000000001,-62.099998474 35.0000000000001,-62.083332062 35.0000000000001,-62.066665649 35.0000000000001,-62.049999237 35.0000000000001,-62.0333328249999 35.0000000000001,-62.0166664119999 35.0000000000001,-61.9999999999999 35.0000000000001,-61.9833335879999 35.0000000000001,-61.9666671749999 35.0000000000001,-61.9500007629999 35.0000000000001,-61.933334351 35.0000000000001,-61.9166679379999 35.0000000000001,-61.900001526 35.0000000000001,-61.883335114 35.0000000000001,-61.866664886 35.0000000000001,-61.849998474 35.0000000000001,-61.833332062 35.0000000000001,-61.816665649 35.0000000000001,-61.799999237 35.0000000000001,-61.7833328249999 35.0000000000001,-61.7666664119999 35.0000000000001,-61.7499999999999 35.0000000000001,-61.7333335879999 35.0000000000001,-61.7166671749999 35.0000000000001,-61.7000007629999 35.0000000000001,-61.683334351 35.0000000000001,-61.6666679379999 35.0000000000001,-61.650001526 35.0000000000001,-61.633335114 35.0000000000001,-61.616664886 35.0000000000001,-61.599998474 35.0000000000001,-61.583332062 35.0000000000001,-61.566665649 35.0000000000001,-61.549999237 35.0000000000001,-61.5333328249999 35.0000000000001,-61.5166664119999 35.0000000000001,-61.4999999999999 35.0000000000001,-61.4833335879999 35.0000000000001,-61.4666671749999 35.0000000000001,-61.4500007629999 35.0000000000001,-61.433334351 35.0000000000001,-61.4166679379999 35.0000000000001,-61.400001526 35.0000000000001,-61.383335114 35.0000000000001,-61.366664886 35.0000000000001,-61.349998474 35.0000000000001,-61.333332062 35.0000000000001,-61.316665649 35.0000000000001,-61.299999237 35.0000000000001,-61.2833328249999 35.0000000000001,-61.2666664119999 35.0000000000001,-61.2499999999999 35.0000000000001,-61.2333335879999 35.0000000000001,-61.2166671749999 35.0000000000001,-61.2000007629999 35.0000000000001,-61.183334351 35.0000000000001,-61.1666679379999 35.0000000000001,-61.150001526 35.0000000000001,-61.133335114 35.0000000000001,-61.116664886 35.0000000000001,-61.099998474 35.0000000000001,-61.083332062 35.0000000000001,-61.066665649 35.0000000000001,-61.049999237 35.0000000000001,-61.0333328249999 35.0000000000001,-61.0166664119999 35.0000000000001,-60.9999999999999 35.0000000000001,-60.9833335879999 35.0000000000001,-60.9666671749999 35.0000000000001,-60.9500007629999 35.0000000000001,-60.933334351 35.0000000000001,-60.9166679379999 35.0000000000001,-60.900001526 35.0000000000001,-60.883335114 35.0000000000001,-60.866664886 35.0000000000001,-60.849998474 35.0000000000001,-60.833332062 35.0000000000001,-60.816665649 35.0000000000001,-60.799999237 35.0000000000001,-60.7833328249999 35.0000000000001,-60.7666664119999 35.0000000000001,-60.7499999999999 35.0000000000001,-60.7333335879999 35.0000000000001,-60.7166671749999 35.0000000000001,-60.7000007629999 35.0000000000001,-60.683334351 35.0000000000001,-60.6666679379999 35.0000000000001,-60.650001526 35.0000000000001,-60.633335114 35.0000000000001,-60.616664886 35.0000000000001,-60.599998474 35.0000000000001,-60.583332062 35.0000000000001,-60.566665649 35.0000000000001,-60.549999237 35.0000000000001,-60.5333328249999 35.0000000000001,-60.5166664119999 35.0000000000001,-60.4999999999999 35.0000000000001,-60.4833335879999 35.0000000000001,-60.4666671749999 35.0000000000001,-60.4500007629999 35.0000000000001,-60.433334351 35.0000000000001,-60.4166679379999 35.0000000000001,-60.400001526 35.0000000000001,-60.383335114 35.0000000000001,-60.366664886 35.0000000000001,-60.349998474 35.0000000000001,-60.333332062 35.0000000000001,-60.316665649 35.0000000000001,-60.299999237 35.0000000000001,-60.2833328249999 35.0000000000001,-60.2666664119999 35.0000000000001,-60.2499999999999 35.0000000000001,-60.2333335879999 35.0000000000001,-60.2166671749999 35.0000000000001,-60.2000007629999 35.0000000000001,-60.183334351 35.0000000000001,-60.1666679379999 35.0000000000001,-60.150001526 35.0000000000001,-60.133335114 35.0000000000001,-60.116664886 35.0000000000001,-60.099998474 35.0000000000001,-60.083332062 35.0000000000001,-60.066665649 35.0000000000001,-60.049999237 35.0000000000001,-60.0333328249999 35.0000000000001,-60.0166664119999 35.0000000000001,-59.9999999999999 35.0000000000001,-59.9833335879999 35.0000000000001,-59.9666671749999 35.0000000000001,-59.9500007629999 35.0000000000001,-59.933334351 35.0000000000001,-59.9166679379999 35.0000000000001,-59.900001526 35.0000000000001,-59.883335114 35.0000000000001,-59.866664886 35.0000000000001,-59.849998474 35.0000000000001,-59.833332062 35.0000000000001,-59.816665649 35.0000000000001,-59.799999237 35.0000000000001,-59.7833328249999 35.0000000000001,-59.7666664119999 35.0000000000001,-59.7499999999999 35.0000000000001,-59.7333335879999 35.0000000000001,-59.7166671749999 35.0000000000001,-59.7000007629999 35.0000000000001,-59.683334351 35.0000000000001,-59.6666679379999 35.0000000000001,-59.650001526 35.0000000000001,-59.633335114 35.0000000000001,-59.616664886 35.0000000000001,-59.599998474 35.0000000000001,-59.583332062 35.0000000000001,-59.566665649 35.0000000000001,-59.549999237 35.0000000000001,-59.5333328249999 35.0000000000001,-59.5166664119999 35.0000000000001,-59.4999999999999 35.0000000000001,-59.4833335879999 35.0000000000001,-59.4666671749999 35.0000000000001,-59.4500007629999 35.0000000000001,-59.433334351 35.0000000000001,-59.4166679379999 35.0000000000001,-59.400001526 35.0000000000001,-59.383335114 35.0000000000001,-59.366664886 35.0000000000001,-59.349998474 35.0000000000001,-59.333332062 35.0000000000001,-59.316665649 35.0000000000001,-59.299999237 35.0000000000001,-59.2833328249999 35.0000000000001,-59.2666664119999 35.0000000000001,-59.2499999999999 35.0000000000001,-59.2333335879999 35.0000000000001,-59.2166671749999 35.0000000000001,-59.2000007629999 35.0000000000001,-59.183334351 35.0000000000001,-59.1666679379999 35.0000000000001,-59.150001526 35.0000000000001,-59.133335114 35.0000000000001,-59.116664886 35.0000000000001,-59.099998474 35.0000000000001,-59.083332062 35.0000000000001,-59.066665649 35.0000000000001,-59.049999237 35.0000000000001,-59.0333328249999 35.0000000000001,-59.0166664119999 35.0000000000001,-58.9999999999999 35.0000000000001,-58.9833335879999 35.0000000000001,-58.9666671749999 35.0000000000001,-58.9500007629999 35.0000000000001,-58.933334351 35.0000000000001,-58.9166679379999 35.0000000000001,-58.900001526 35.0000000000001,-58.883335114 35.0000000000001,-58.866664886 35.0000000000001,-58.849998474 35.0000000000001,-58.833332062 35.0000000000001,-58.816665649 35.0000000000001,-58.799999237 35.0000000000001,-58.7833328249999 35.0000000000001,-58.7666664119999 35.0000000000001,-58.7499999999999 35.0000000000001,-58.7333335879999 35.0000000000001,-58.7166671749999 35.0000000000001,-58.7000007629999 35.0000000000001,-58.683334351 35.0000000000001,-58.6666679379999 35.0000000000001,-58.650001526 35.0000000000001,-58.633335114 35.0000000000001,-58.616664886 35.0000000000001,-58.599998474 35.0000000000001,-58.583332062 35.0000000000001,-58.566665649 35.0000000000001,-58.549999237 35.0000000000001,-58.5333328249999 35.0000000000001,-58.5166664119999 35.0000000000001,-58.4999999999999 35.0000000000001,-58.4833335879999 35.0000000000001,-58.4666671749999 35.0000000000001,-58.4500007629999 35.0000000000001,-58.433334351 35.0000000000001,-58.4166679379999 35.0000000000001,-58.400001526 35.0000000000001,-58.383335114 35.0000000000001,-58.366664886 35.0000000000001,-58.349998474 35.0000000000001,-58.333332062 35.0000000000001,-58.316665649 35.0000000000001,-58.299999237 35.0000000000001,-58.2833328249999 35.0000000000001,-58.2666664119999 35.0000000000001,-58.2499999999999 35.0000000000001,-58.2333335879999 35.0000000000001,-58.2166671749999 35.0000000000001,-58.2000007629999 35.0000000000001,-58.183334351 35.0000000000001,-58.1666679379999 35.0000000000001,-58.150001526 35.0000000000001,-58.133335114 35.0000000000001,-58.116664886 35.0000000000001,-58.099998474 35.0000000000001,-58.083332062 35.0000000000001,-58.066665649 35.0000000000001,-58.049999237 35.0000000000001,-58.0333328249999 35.0000000000001,-58.0166664119999 35.0000000000001,-57.9999999999999 35.0000000000001,-57.9833335879999 35.0000000000001,-57.9666671749999 35.0000000000001,-57.9500007629999 35.0000000000001,-57.933334351 35.0000000000001,-57.9166679379999 35.0000000000001,-57.900001526 35.0000000000001,-57.883335114 35.0000000000001,-57.866664886 35.0000000000001,-57.849998474 35.0000000000001,-57.833332062 35.0000000000001,-57.816665649 35.0000000000001,-57.799999237 35.0000000000001,-57.7833328249999 35.0000000000001,-57.7666664119999 35.0000000000001,-57.7499999999999 35.0000000000001,-57.7333335879999 35.0000000000001,-57.7166671749999 35.0000000000001,-57.7000007629999 35.0000000000001,-57.683334351 35.0000000000001,-57.6666679379999 35.0000000000001,-57.650001526 35.0000000000001,-57.633335114 35.0000000000001,-57.616664886 35.0000000000001,-57.599998474 35.0000000000001,-57.583332062 35.0000000000001,-57.566665649 35.0000000000001,-57.549999237 35.0000000000001,-57.5333328249999 35.0000000000001,-57.5166664119999 35.0000000000001,-57.4999999999999 35.0000000000001,-57.4833335879999 35.0000000000001,-57.4666671749999 35.0000000000001,-57.4500007629999 35.0000000000001,-57.433334351 35.0000000000001,-57.4166679379999 35.0000000000001,-57.400001526 35.0000000000001,-57.383335114 35.0000000000001,-57.366664886 35.0000000000001,-57.349998474 35.0000000000001,-57.333332062 35.0000000000001,-57.316665649 35.0000000000001,-57.299999237 35.0000000000001,-57.2833328249999 35.0000000000001,-57.2666664119999 35.0000000000001,-57.2499999999999 35.0000000000001,-57.2333335879999 35.0000000000001,-57.2166671749999 35.0000000000001,-57.2000007629999 35.0000000000001,-57.183334351 35.0000000000001,-57.1666679379999 35.0000000000001,-57.150001526 35.0000000000001,-57.133335114 35.0000000000001,-57.116664886 35.0000000000001,-57.099998474 35.0000000000001,-57.083332062 35.0000000000001,-57.066665649 35.0000000000001,-57.049999237 35.0000000000001,-57.0333328249999 35.0000000000001,-57.0166664119999 35.0000000000001,-56.9999999999999 35.0000000000001,-56.9833335879999 35.0000000000001,-56.9666671749999 35.0000000000001,-56.9500007629999 35.0000000000001,-56.933334351 35.0000000000001,-56.9166679379999 35.0000000000001,-56.900001526 35.0000000000001,-56.883335114 35.0000000000001,-56.866664886 35.0000000000001,-56.849998474 35.0000000000001,-56.833332062 35.0000000000001,-56.816665649 35.0000000000001,-56.799999237 35.0000000000001,-56.7833328249999 35.0000000000001,-56.7666664119999 35.0000000000001,-56.7499999999999 35.0000000000001,-56.7333335879999 35.0000000000001,-56.7166671749999 35.0000000000001,-56.7000007629999 35.0000000000001,-56.683334351 35.0000000000001,-56.6666679379999 35.0000000000001,-56.650001526 35.0000000000001,-56.633335114 35.0000000000001,-56.616664886 35.0000000000001,-56.599998474 35.0000000000001,-56.583332062 35.0000000000001,-56.566665649 35.0000000000001,-56.549999237 35.0000000000001,-56.5333328249999 35.0000000000001,-56.5166664119999 35.0000000000001,-56.4999999999999 35.0000000000001,-56.4833335879999 35.0000000000001,-56.4666671749999 35.0000000000001,-56.4500007629999 35.0000000000001,-56.433334351 35.0000000000001,-56.4166679379999 35.0000000000001,-56.400001526 35.0000000000001,-56.383335114 35.0000000000001,-56.366664886 35.0000000000001,-56.349998474 35.0000000000001,-56.333332062 35.0000000000001,-56.316665649 35.0000000000001,-56.299999237 35.0000000000001,-56.2833328249999 35.0000000000001,-56.2666664119999 35.0000000000001,-56.2499999999999 35.0000000000001,-56.2333335879999 35.0000000000001,-56.2166671749999 35.0000000000001,-56.2000007629999 35.0000000000001,-56.183334351 35.0000000000001,-56.1666679379999 35.0000000000001,-56.150001526 35.0000000000001,-56.133335114 35.0000000000001,-56.116664886 35.0000000000001,-56.099998474 35.0000000000001,-56.083332062 35.0000000000001,-56.066665649 35.0000000000001,-56.049999237 35.0000000000001,-56.0333328249999 35.0000000000001,-56.0166664119999 35.0000000000001,-55.9999999999999 35.0000000000001,-55.9833335879999 35.0000000000001,-55.9666671749999 35.0000000000001,-55.9500007629999 35.0000000000001,-55.933334351 35.0000000000001,-55.9166679379999 35.0000000000001,-55.900001526 35.0000000000001,-55.883335114 35.0000000000001,-55.866664886 35.0000000000001,-55.849998474 35.0000000000001,-55.833332062 35.0000000000001,-55.816665649 35.0000000000001,-55.799999237 35.0000000000001,-55.7833328249999 35.0000000000001,-55.7666664119999 35.0000000000001,-55.7499999999999 35.0000000000001,-55.7333335879999 35.0000000000001,-55.7166671749999 35.0000000000001,-55.7000007629999 35.0000000000001,-55.683334351 35.0000000000001,-55.6666679379999 35.0000000000001,-55.650001526 35.0000000000001,-55.633335114 35.0000000000001,-55.616664886 35.0000000000001,-55.599998474 35.0000000000001,-55.583332062 35.0000000000001,-55.566665649 35.0000000000001,-55.549999237 35.0000000000001,-55.5333328249999 35.0000000000001,-55.5166664119999 35.0000000000001,-55.4999999999999 35.0000000000001,-55.4833335879999 35.0000000000001,-55.4666671749999 35.0000000000001,-55.4500007629999 35.0000000000001,-55.433334351 35.0000000000001,-55.4166679379999 35.0000000000001,-55.400001526 35.0000000000001,-55.383335114 35.0000000000001,-55.366664886 35.0000000000001,-55.349998474 35.0000000000001,-55.333332062 35.0000000000001,-55.316665649 35.0000000000001,-55.299999237 35.0000000000001,-55.2833328249999 35.0000000000001,-55.2666664119999 35.0000000000001,-55.2499999999999 35.0000000000001,-55.2333335879999 35.0000000000001,-55.2166671749999 35.0000000000001,-55.2000007629999 35.0000000000001,-55.183334351 35.0000000000001,-55.1666679379999 35.0000000000001,-55.150001526 35.0000000000001,-55.133335114 35.0000000000001,-55.116664886 35.0000000000001,-55.099998474 35.0000000000001,-55.083332062 35.0000000000001,-55.066665649 35.0000000000001,-55.049999237 35.0000000000001,-55.0333328249999 35.0000000000001,-55.0166664119999 35.0000000000001,-54.9999999999999 35.0000000000001,-54.9833335879999 35.0000000000001,-54.9666671749999 35.0000000000001,-54.9500007629999 35.0000000000001,-54.933334351 35.0000000000001,-54.9166679379999 35.0000000000001,-54.900001526 35.0000000000001,-54.883335114 35.0000000000001,-54.866664886 35.0000000000001,-54.849998474 35.0000000000001,-54.833332062 35.0000000000001,-54.816665649 35.0000000000001,-54.799999237 35.0000000000001,-54.7833328249999 35.0000000000001,-54.7666664119999 35.0000000000001,-54.7499999999999 35.0000000000001,-54.7333335879999 35.0000000000001,-54.7166671749999 35.0000000000001,-54.7000007629999 35.0000000000001,-54.683334351 35.0000000000001,-54.6666679379999 35.0000000000001,-54.650001526 35.0000000000001,-54.633335114 35.0000000000001,-54.616664886 35.0000000000001,-54.599998474 35.0000000000001,-54.583332062 35.0000000000001,-54.566665649 35.0000000000001,-54.549999237 35.0000000000001,-54.5333328249999 35.0000000000001,-54.5166664119999 35.0000000000001,-54.4999999999999 35.0000000000001,-54.4833335879999 35.0000000000001,-54.4666671749999 35.0000000000001,-54.4500007629999 35.0000000000001,-54.433334351 35.0000000000001,-54.4166679379999 35.0000000000001,-54.400001526 35.0000000000001,-54.383335114 35.0000000000001,-54.366664886 35.0000000000001,-54.349998474 35.0000000000001,-54.333332062 35.0000000000001,-54.316665649 35.0000000000001,-54.299999237 35.0000000000001,-54.2833328249999 35.0000000000001,-54.2666664119999 35.0000000000001,-54.2499999999999 35.0000000000001,-54.2333335879999 35.0000000000001,-54.2166671749999 35.0000000000001,-54.2000007629999 35.0000000000001,-54.183334351 35.0000000000001,-54.1666679379999 35.0000000000001,-54.150001526 35.0000000000001,-54.133335114 35.0000000000001,-54.116664886 35.0000000000001,-54.099998474 35.0000000000001,-54.083332062 35.0000000000001,-54.066665649 35.0000000000001,-54.049999237 35.0000000000001,-54.0333328249999 35.0000000000001,-54.0166664119999 35.0000000000001,-53.9999999999999 35.0000000000001,-53.9833335879999 35.0000000000001,-53.9666671749999 35.0000000000001,-53.9500007629999 35.0000000000001,-53.933334351 35.0000000000001,-53.9166679379999 35.0000000000001,-53.900001526 35.0000000000001,-53.883335114 35.0000000000001,-53.866664886 35.0000000000001,-53.849998474 35.0000000000001,-53.833332062 35.0000000000001,-53.816665649 35.0000000000001,-53.799999237 35.0000000000001,-53.7833328249999 35.0000000000001,-53.7666664119999 35.0000000000001,-53.7499999999999 35.0000000000001,-53.7333335879999 35.0000000000001,-53.7166671749999 35.0000000000001,-53.7000007629999 35.0000000000001,-53.683334351 35.0000000000001,-53.6666679379999 35.0000000000001,-53.650001526 35.0000000000001,-53.633335114 35.0000000000001,-53.616664886 35.0000000000001,-53.599998474 35.0000000000001,-53.583332062 35.0000000000001,-53.566665649 35.0000000000001,-53.549999237 35.0000000000001,-53.5333328249999 35.0000000000001,-53.5166664119999 35.0000000000001,-53.4999999999999 35.0000000000001,-53.4833335879999 35.0000000000001,-53.4666671749999 35.0000000000001,-53.4500007629999 35.0000000000001,-53.433334351 35.0000000000001,-53.4166679379999 35.0000000000001,-53.400001526 35.0000000000001,-53.383335114 35.0000000000001,-53.366664886 35.0000000000001,-53.349998474 35.0000000000001,-53.333332062 35.0000000000001,-53.316665649 35.0000000000001,-53.299999237 35.0000000000001,-53.2833328249999 35.0000000000001,-53.2666664119999 35.0000000000001,-53.2499999999999 35.0000000000001,-53.2333335879999 35.0000000000001,-53.2166671749999 35.0000000000001,-53.2000007629999 35.0000000000001,-53.183334351 35.0000000000001,-53.1666679379999 35.0000000000001,-53.150001526 35.0000000000001,-53.133335114 35.0000000000001,-53.116664886 35.0000000000001,-53.099998474 35.0000000000001,-53.083332062 35.0000000000001,-53.066665649 35.0000000000001,-53.049999237 35.0000000000001,-53.0333328249999 35.0000000000001,-53.0166664119999 35.0000000000001,-52.9999999999999 35.0000000000001,-52.9833335879999 35.0000000000001,-52.9666671749999 35.0000000000001,-52.9500007629999 35.0000000000001,-52.933334351 35.0000000000001,-52.9166679379999 35.0000000000001,-52.900001526 35.0000000000001,-52.883335114 35.0000000000001,-52.866664886 35.0000000000001,-52.849998474 35.0000000000001,-52.833332062 35.0000000000001,-52.816665649 35.0000000000001,-52.799999237 35.0000000000001,-52.7833328249999 35.0000000000001,-52.7666664119999 35.0000000000001,-52.7499999999999 35.0000000000001,-52.7333335879999 35.0000000000001,-52.7166671749999 35.0000000000001,-52.7000007629999 35.0000000000001,-52.683334351 35.0000000000001,-52.6666679379999 35.0000000000001,-52.650001526 35.0000000000001,-52.633335114 35.0000000000001,-52.616664886 35.0000000000001,-52.599998474 35.0000000000001,-52.583332062 35.0000000000001,-52.566665649 35.0000000000001,-52.549999237 35.0000000000001,-52.5333328249999 35.0000000000001,-52.5166664119999 35.0000000000001,-52.4999999999999 35.0000000000001,-52.4833335879999 35.0000000000001,-52.4666671749999 35.0000000000001,-52.4500007629999 35.0000000000001,-52.433334351 35.0000000000001,-52.4166679379999 35.0000000000001,-52.400001526 35.0000000000001,-52.383335114 35.0000000000001,-52.366664886 35.0000000000001,-52.349998474 35.0000000000001,-52.333332062 35.0000000000001,-52.316665649 35.0000000000001,-52.299999237 35.0000000000001,-52.2833328249999 35.0000000000001,-52.2666664119999 35.0000000000001,-52.2499999999999 35.0000000000001,-52.2333335879999 35.0000000000001,-52.2166671749999 35.0000000000001,-52.2000007629999 35.0000000000001,-52.183334351 35.0000000000001,-52.1666679379999 35.0000000000001,-52.150001526 35.0000000000001,-52.133335114 35.0000000000001,-52.116664886 35.0000000000001,-52.099998474 35.0000000000001,-52.083332062 35.0000000000001,-52.066665649 35.0000000000001,-52.049999237 35.0000000000001,-52.0333328249999 35.0000000000001,-52.0166664119999 35.0000000000001,-51.9999999999999 35.0000000000001,-51.9833335879999 35.0000000000001,-51.9666671749999 35.0000000000001,-51.9500007629999 35.0000000000001,-51.933334351 35.0000000000001,-51.9166679379999 35.0000000000001,-51.900001526 35.0000000000001,-51.883335114 35.0000000000001,-51.866664886 35.0000000000001,-51.849998474 35.0000000000001,-51.833332062 35.0000000000001,-51.816665649 35.0000000000001,-51.799999237 35.0000000000001,-51.7833328249999 35.0000000000001,-51.7666664119999 35.0000000000001,-51.7499999999999 35.0000000000001,-51.7333335879999 35.0000000000001,-51.7166671749999 35.0000000000001,-51.7000007629999 35.0000000000001,-51.683334351 35.0000000000001,-51.6666679379999 35.0000000000001,-51.650001526 35.0000000000001,-51.633335114 35.0000000000001,-51.616664886 35.0000000000001,-51.599998474 35.0000000000001,-51.583332062 35.0000000000001,-51.566665649 35.0000000000001,-51.549999237 35.0000000000001,-51.5333328249999 35.0000000000001,-51.5166664119999 35.0000000000001,-51.4999999999999 35.0000000000001,-51.4833335879999 35.0000000000001,-51.4666671749999 35.0000000000001,-51.4500007629999 35.0000000000001,-51.433334351 35.0000000000001,-51.4166679379999 35.0000000000001,-51.400001526 35.0000000000001,-51.383335114 35.0000000000001,-51.366664886 35.0000000000001,-51.349998474 35.0000000000001,-51.333332062 35.0000000000001,-51.316665649 35.0000000000001,-51.299999237 35.0000000000001,-51.2833328249999 35.0000000000001,-51.2666664119999 35.0000000000001,-51.2499999999999 35.0000000000001,-51.2333335879999 35.0000000000001,-51.2166671749999 35.0000000000001,-51.2000007629999 35.0000000000001,-51.183334351 35.0000000000001,-51.1666679379999 35.0000000000001,-51.150001526 35.0000000000001,-51.133335114 35.0000000000001,-51.116664886 35.0000000000001,-51.099998474 35.0000000000001,-51.083332062 35.0000000000001,-51.066665649 35.0000000000001,-51.049999237 35.0000000000001,-51.0333328249999 35.0000000000001,-51.0166664119999 35.0000000000001,-50.9999999999999 35.0000000000001,-50.9833335879999 35.0000000000001,-50.9666671749999 35.0000000000001,-50.9500007629999 35.0000000000001,-50.933334351 35.0000000000001,-50.9166679379999 35.0000000000001,-50.900001526 35.0000000000001,-50.883335114 35.0000000000001,-50.866664886 35.0000000000001,-50.849998474 35.0000000000001,-50.833332062 35.0000000000001,-50.816665649 35.0000000000001,-50.799999237 35.0000000000001,-50.7833328249999 35.0000000000001,-50.7666664119999 35.0000000000001,-50.7499999999999 35.0000000000001,-50.7333335879999 35.0000000000001,-50.7166671749999 35.0000000000001,-50.7000007629999 35.0000000000001,-50.683334351 35.0000000000001,-50.6666679379999 35.0000000000001,-50.650001526 35.0000000000001,-50.633335114 35.0000000000001,-50.616664886 35.0000000000001,-50.599998474 35.0000000000001,-50.583332062 35.0000000000001,-50.566665649 35.0000000000001,-50.549999237 35.0000000000001,-50.5333328249999 35.0000000000001,-50.5166664119999 35.0000000000001,-50.4999999999999 35.0000000000001,-50.4833335879999 35.0000000000001,-50.4666671749999 35.0000000000001,-50.4500007629999 35.0000000000001,-50.433334351 35.0000000000001,-50.4166679379999 35.0000000000001,-50.400001526 35.0000000000001,-50.383335114 35.0000000000001,-50.366664886 35.0000000000001,-50.349998474 35.0000000000001,-50.333332062 35.0000000000001,-50.316665649 35.0000000000001,-50.299999237 35.0000000000001,-50.2833328249999 35.0000000000001,-50.2666664119999 35.0000000000001,-50.2499999999999 35.0000000000001,-50.2333335879999 35.0000000000001,-50.2166671749999 35.0000000000001,-50.2000007629999 35.0000000000001,-50.183334351 35.0000000000001,-50.1666679379999 35.0000000000001,-50.150001526 35.0000000000001,-50.133335114 35.0000000000001,-50.116664886 35.0000000000001,-50.099998474 35.0000000000001,-50.083332062 35.0000000000001,-50.066665649 35.0000000000001,-50.049999237 35.0000000000001,-50.0333328249999 35.0000000000001,-50.0166664119999 35.0000000000001,-49.9999999999999 35.0000000000001,-49.9833335879999 35.0000000000001,-49.9666671749999 35.0000000000001,-49.9500007629999 35.0000000000001,-49.933334351 35.0000000000001,-49.9166679379999 35.0000000000001,-49.900001526 35.0000000000001,-49.883335114 35.0000000000001,-49.866664886 35.0000000000001,-49.849998474 35.0000000000001,-49.833332062 35.0000000000001,-49.816665649 35.0000000000001,-49.799999237 35.0000000000001,-49.7833328249999 35.0000000000001,-49.7666664119999 35.0000000000001,-49.7499999999999 35.0000000000001,-49.7333335879999 35.0000000000001,-49.7166671749999 35.0000000000001,-49.7000007629999 35.0000000000001,-49.683334351 35.0000000000001,-49.6666679379999 35.0000000000001,-49.650001526 35.0000000000001,-49.633335114 35.0000000000001,-49.616664886 35.0000000000001,-49.599998474 35.0000000000001,-49.583332062 35.0000000000001,-49.566665649 35.0000000000001,-49.549999237 35.0000000000001,-49.5333328249999 35.0000000000001,-49.5166664119999 35.0000000000001,-49.4999999999999 35.0000000000001,-49.4833335879999 35.0000000000001,-49.4666671749999 35.0000000000001,-49.4500007629999 35.0000000000001,-49.433334351 35.0000000000001,-49.4166679379999 35.0000000000001,-49.400001526 35.0000000000001,-49.383335114 35.0000000000001,-49.366664886 35.0000000000001,-49.349998474 35.0000000000001,-49.333332062 35.0000000000001,-49.316665649 35.0000000000001,-49.299999237 35.0000000000001,-49.2833328249999 35.0000000000001,-49.2666664119999 35.0000000000001,-49.2499999999999 35.0000000000001,-49.2333335879999 35.0000000000001,-49.2166671749999 35.0000000000001,-49.2000007629999 35.0000000000001,-49.183334351 35.0000000000001,-49.1666679379999 35.0000000000001,-49.150001526 35.0000000000001,-49.133335114 35.0000000000001,-49.116664886 35.0000000000001,-49.099998474 35.0000000000001,-49.083332062 35.0000000000001,-49.066665649 35.0000000000001,-49.049999237 35.0000000000001,-49.0333328249999 35.0000000000001,-49.0166664119999 35.0000000000001,-48.9999999999999 35.0000000000001,-48.9833335879999 35.0000000000001,-48.9666671749999 35.0000000000001,-48.9500007629999 35.0000000000001,-48.933334351 35.0000000000001,-48.9166679379999 35.0000000000001,-48.900001526 35.0000000000001,-48.883335114 35.0000000000001,-48.866664886 35.0000000000001,-48.849998474 35.0000000000001,-48.833332062 35.0000000000001,-48.816665649 35.0000000000001,-48.799999237 35.0000000000001,-48.7833328249999 35.0000000000001,-48.7666664119999 35.0000000000001,-48.7499999999999 35.0000000000001,-48.7333335879999 35.0000000000001,-48.7166671749999 35.0000000000001,-48.7000007629999 35.0000000000001,-48.683334351 35.0000000000001,-48.6666679379999 35.0000000000001,-48.650001526 35.0000000000001,-48.633335114 35.0000000000001,-48.616664886 35.0000000000001,-48.599998474 35.0000000000001,-48.583332062 35.0000000000001,-48.566665649 35.0000000000001,-48.549999237 35.0000000000001,-48.5333328249999 35.0000000000001,-48.5166664119999 35.0000000000001,-48.4999999999999 35.0000000000001,-48.4833335879999 35.0000000000001,-48.4666671749999 35.0000000000001,-48.4500007629999 35.0000000000001,-48.433334351 35.0000000000001,-48.4166679379999 35.0000000000001,-48.400001526 35.0000000000001,-48.383335114 35.0000000000001,-48.366664886 35.0000000000001,-48.349998474 35.0000000000001,-48.333332062 35.0000000000001,-48.316665649 35.0000000000001,-48.299999237 35.0000000000001,-48.2833328249999 35.0000000000001,-48.2666664119999 35.0000000000001,-48.2499999999999 35.0000000000001,-48.2333335879999 35.0000000000001,-48.2166671749999 35.0000000000001,-48.2000007629999 35.0000000000001,-48.183334351 35.0000000000001,-48.1666679379999 35.0000000000001,-48.150001526 35.0000000000001,-48.133335114 35.0000000000001,-48.116664886 35.0000000000001,-48.099998474 35.0000000000001,-48.083332062 35.0000000000001,-48.066665649 35.0000000000001,-48.049999237 35.0000000000001,-48.0333328249999 35.0000000000001,-48.0166664119999 35.0000000000001,-47.9999999999999 35.0000000000001,-47.9833335879999 35.0000000000001,-47.9666671749999 35.0000000000001,-47.9500007629999 35.0000000000001,-47.933334351 35.0000000000001,-47.9166679379999 35.0000000000001,-47.900001526 35.0000000000001,-47.883335114 35.0000000000001,-47.866664886 35.0000000000001,-47.849998474 35.0000000000001,-47.833332062 35.0000000000001,-47.816665649 35.0000000000001,-47.799999237 35.0000000000001,-47.7833328249999 35.0000000000001,-47.7666664119999 35.0000000000001,-47.7499999999999 35.0000000000001,-47.7333335879999 35.0000000000001,-47.7166671749999 35.0000000000001,-47.7000007629999 35.0000000000001,-47.683334351 35.0000000000001,-47.6666679379999 35.0000000000001,-47.650001526 35.0000000000001,-47.633335114 35.0000000000001,-47.616664886 35.0000000000001,-47.599998474 35.0000000000001,-47.583332062 35.0000000000001,-47.566665649 35.0000000000001,-47.549999237 35.0000000000001,-47.5333328249999 35.0000000000001,-47.5166664119999 35.0000000000001,-47.4999999999999 35.0000000000001,-47.4833335879999 35.0000000000001,-47.4666671749999 35.0000000000001,-47.4500007629999 35.0000000000001,-47.433334351 35.0000000000001,-47.4166679379999 35.0000000000001,-47.400001526 35.0000000000001,-47.383335114 35.0000000000001,-47.366664886 35.0000000000001,-47.349998474 35.0000000000001,-47.333332062 35.0000000000001,-47.316665649 35.0000000000001,-47.299999237 35.0000000000001,-47.2833328249999 35.0000000000001,-47.2666664119999 35.0000000000001,-47.2499999999999 35.0000000000001,-47.2333335879999 35.0000000000001,-47.2166671749999 35.0000000000001,-47.2000007629999 35.0000000000001,-47.183334351 35.0000000000001,-47.1666679379999 35.0000000000001,-47.150001526 35.0000000000001,-47.133335114 35.0000000000001,-47.116664886 35.0000000000001,-47.099998474 35.0000000000001,-47.083332062 35.0000000000001,-47.066665649 35.0000000000001,-47.049999237 35.0000000000001,-47.0333328249999 35.0000000000001,-47.0166664119999 35.0000000000001,-46.9999999999999 35.0000000000001,-46.9833335879999 35.0000000000001,-46.9666671749999 35.0000000000001,-46.9500007629999 35.0000000000001,-46.933334351 35.0000000000001,-46.9166679379999 35.0000000000001,-46.900001526 35.0000000000001,-46.883335114 35.0000000000001,-46.866664886 35.0000000000001,-46.849998474 35.0000000000001,-46.833332062 35.0000000000001,-46.816665649 35.0000000000001,-46.799999237 35.0000000000001,-46.7833328249999 35.0000000000001,-46.7666664119999 35.0000000000001,-46.7499999999999 35.0000000000001,-46.7333335879999 35.0000000000001,-46.7166671749999 35.0000000000001,-46.7000007629999 35.0000000000001,-46.683334351 35.0000000000001,-46.6666679379999 35.0000000000001,-46.650001526 35.0000000000001,-46.633335114 35.0000000000001,-46.616664886 35.0000000000001,-46.599998474 35.0000000000001,-46.583332062 35.0000000000001,-46.566665649 35.0000000000001,-46.549999237 35.0000000000001,-46.5333328249999 35.0000000000001,-46.5166664119999 35.0000000000001,-46.4999999999999 35.0000000000001,-46.4833335879999 35.0000000000001,-46.4666671749999 35.0000000000001,-46.4500007629999 35.0000000000001,-46.433334351 35.0000000000001,-46.4166679379999 35.0000000000001,-46.400001526 35.0000000000001,-46.383335114 35.0000000000001,-46.366664886 35.0000000000001,-46.349998474 35.0000000000001,-46.333332062 35.0000000000001,-46.316665649 35.0000000000001,-46.299999237 35.0000000000001,-46.2833328249999 35.0000000000001,-46.2666664119999 35.0000000000001,-46.2499999999999 35.0000000000001,-46.2333335879999 35.0000000000001,-46.2166671749999 35.0000000000001,-46.2000007629999 35.0000000000001,-46.183334351 35.0000000000001,-46.1666679379999 35.0000000000001,-46.150001526 35.0000000000001,-46.133335114 35.0000000000001,-46.116664886 35.0000000000001,-46.099998474 35.0000000000001,-46.083332062 35.0000000000001,-46.066665649 35.0000000000001,-46.049999237 35.0000000000001,-46.0333328249999 35.0000000000001,-46.0166664119999 35.0000000000001,-45.9999999999999 35.0000000000001,-45.9833335879999 35.0000000000001,-45.9666671749999 35.0000000000001,-45.9500007629999 35.0000000000001,-45.933334351 35.0000000000001,-45.9166679379999 35.0000000000001,-45.900001526 35.0000000000001,-45.883335114 35.0000000000001,-45.866664886 35.0000000000001,-45.849998474 35.0000000000001,-45.833332062 35.0000000000001,-45.816665649 35.0000000000001,-45.799999237 35.0000000000001,-45.7833328249999 35.0000000000001,-45.7666664119999 35.0000000000001,-45.7499999999999 35.0000000000001,-45.7333335879999 35.0000000000001,-45.7166671749999 35.0000000000001,-45.7000007629999 35.0000000000001,-45.683334351 35.0000000000001,-45.6666679379999 35.0000000000001,-45.650001526 35.0000000000001,-45.633335114 35.0000000000001,-45.616664886 35.0000000000001,-45.599998474 35.0000000000001,-45.583332062 35.0000000000001,-45.566665649 35.0000000000001,-45.549999237 35.0000000000001,-45.5333328249999 35.0000000000001,-45.5166664119999 35.0000000000001,-45.4999999999999 35.0000000000001,-45.4833335879999 35.0000000000001,-45.4666671749999 35.0000000000001,-45.4500007629999 35.0000000000001,-45.433334351 35.0000000000001,-45.4166679379999 35.0000000000001,-45.400001526 35.0000000000001,-45.383335114 35.0000000000001,-45.366664886 35.0000000000001,-45.349998474 35.0000000000001,-45.333332062 35.0000000000001,-45.316665649 35.0000000000001,-45.299999237 35.0000000000001,-45.2833328249999 35.0000000000001,-45.2666664119999 35.0000000000001,-45.2499999999999 35.0000000000001,-45.2333335879999 35.0000000000001,-45.2166671749999 35.0000000000001,-45.2000007629999 35.0000000000001,-45.183334351 35.0000000000001,-45.1666679379999 35.0000000000001,-45.150001526 35.0000000000001,-45.133335114 35.0000000000001,-45.116664886 35.0000000000001,-45.099998474 35.0000000000001,-45.083332062 35.0000000000001,-45.066665649 35.0000000000001,-45.049999237 35.0000000000001,-45.0333328249999 35.0000000000001,-45.0166664119999 35.0000000000001,-44.9999999999999 35.0000000000001,-44.9833335879999 35.0000000000001,-44.9666671749999 35.0000000000001,-44.9500007629999 35.0000000000001,-44.933334351 35.0000000000001,-44.9166679379999 35.0000000000001,-44.900001526 35.0000000000001,-44.883335114 35.0000000000001,-44.866664886 35.0000000000001,-44.849998474 35.0000000000001,-44.833332062 35.0000000000001,-44.816665649 35.0000000000001,-44.799999237 35.0000000000001,-44.7833328249999 35.0000000000001,-44.7666664119999 35.0000000000001,-44.7499999999999 35.0000000000001,-44.7333335879999 35.0000000000001,-44.7166671749999 35.0000000000001,-44.7000007629999 35.0000000000001,-44.683334351 35.0000000000001,-44.6666679379999 35.0000000000001,-44.650001526 35.0000000000001,-44.633335114 35.0000000000001,-44.616664886 35.0000000000001,-44.599998474 35.0000000000001,-44.583332062 35.0000000000001,-44.566665649 35.0000000000001,-44.549999237 35.0000000000001,-44.5333328249999 35.0000000000001,-44.5166664119999 35.0000000000001,-44.4999999999999 35.0000000000001,-44.4833335879999 35.0000000000001,-44.4666671749999 35.0000000000001,-44.4500007629999 35.0000000000001,-44.433334351 35.0000000000001,-44.4166679379999 35.0000000000001,-44.400001526 35.0000000000001,-44.383335114 35.0000000000001,-44.366664886 35.0000000000001,-44.349998474 35.0000000000001,-44.333332062 35.0000000000001,-44.316665649 35.0000000000001,-44.299999237 35.0000000000001,-44.2833328249999 35.0000000000001,-44.2666664119999 35.0000000000001,-44.2499999999999 35.0000000000001,-44.2333335879999 35.0000000000001,-44.2166671749999 35.0000000000001,-44.2000007629999 35.0000000000001,-44.183334351 35.0000000000001,-44.1666679379999 35.0000000000001,-44.150001526 35.0000000000001,-44.133335114 35.0000000000001,-44.116664886 35.0000000000001,-44.099998474 35.0000000000001,-44.083332062 35.0000000000001,-44.066665649 35.0000000000001,-44.049999237 35.0000000000001,-44.0333328249999 35.0000000000001,-44.0166664119999 35.0000000000001,-43.9999999999999 35.0000000000001,-43.9833335879999 35.0000000000001,-43.9666671749999 35.0000000000001,-43.9500007629999 35.0000000000001,-43.933334351 35.0000000000001,-43.9166679379999 35.0000000000001,-43.900001526 35.0000000000001,-43.883335114 35.0000000000001,-43.866664886 35.0000000000001,-43.849998474 35.0000000000001,-43.833332062 35.0000000000001,-43.816665649 35.0000000000001,-43.799999237 35.0000000000001,-43.7833328249999 35.0000000000001,-43.7666664119999 35.0000000000001,-43.7499999999999 35.0000000000001,-43.7333335879999 35.0000000000001,-43.7166671749999 35.0000000000001,-43.7000007629999 35.0000000000001,-43.683334351 35.0000000000001,-43.6666679379999 35.0000000000001,-43.650001526 35.0000000000001,-43.633335114 35.0000000000001,-43.616664886 35.0000000000001,-43.599998474 35.0000000000001,-43.583332062 35.0000000000001,-43.566665649 35.0000000000001,-43.549999237 35.0000000000001,-43.5333328249999 35.0000000000001,-43.5166664119999 35.0000000000001,-43.4999999999999 35.0000000000001,-43.4833335879999 35.0000000000001,-43.4666671749999 35.0000000000001,-43.4500007629999 35.0000000000001,-43.433334351 35.0000000000001,-43.4166679379999 35.0000000000001,-43.400001526 35.0000000000001,-43.383335114 35.0000000000001,-43.366664886 35.0000000000001,-43.349998474 35.0000000000001,-43.333332062 35.0000000000001,-43.316665649 35.0000000000001,-43.299999237 35.0000000000001,-43.2833328249999 35.0000000000001,-43.2666664119999 35.0000000000001,-43.2499999999999 35.0000000000001,-43.2333335879999 35.0000000000001,-43.2166671749999 35.0000000000001,-43.2000007629999 35.0000000000001,-43.183334351 35.0000000000001,-43.1666679379999 35.0000000000001,-43.150001526 35.0000000000001,-43.133335114 35.0000000000001,-43.116664886 35.0000000000001,-43.099998474 35.0000000000001,-43.083332062 35.0000000000001,-43.066665649 35.0000000000001,-43.049999237 35.0000000000001,-43.0333328249999 35.0000000000001,-43.0166664119999 35.0000000000001,-42.9999999999999 35.0000000000001,-42.9833335879999 35.0000000000001,-42.9666671749999 35.0000000000001,-42.9500007629999 35.0000000000001,-42.933334351 35.0000000000001,-42.9166679379999 35.0000000000001,-42.900001526 35.0000000000001,-42.883335114 35.0000000000001,-42.866664886 35.0000000000001,-42.849998474 35.0000000000001,-42.833332062 35.0000000000001,-42.816665649 35.0000000000001,-42.799999237 35.0000000000001,-42.7833328249999 35.0000000000001,-42.7666664119999 35.0000000000001,-42.7499999999999 35.0000000000001,-42.7333335879999 35.0000000000001,-42.7166671749999 35.0000000000001,-42.7000007629999 35.0000000000001,-42.683334351 35.0000000000001,-42.6666679379999 35.0000000000001,-42.650001526 35.0000000000001,-42.633335114 35.0000000000001,-42.616664886 35.0000000000001,-42.599998474 35.0000000000001,-42.583332062 35.0000000000001,-42.566665649 35.0000000000001,-42.549999237 35.0000000000001,-42.5333328249999 35.0000000000001,-42.5166664119999 35.0000000000001,-42.4999999999999 35.0000000000001,-42.4833335879999 35.0000000000001,-42.4666671749999 35.0000000000001,-42.4500007629999 35.0000000000001,-42.433334351 35.0000000000001,-42.4166679379999 35.0000000000001,-42.400001526 35.0000000000001,-42.383335114 35.0000000000001,-42.366664886 35.0000000000001,-42.349998474 35.0000000000001,-42.333332062 35.0000000000001,-42.316665649 35.0000000000001,-42.299999237 35.0000000000001,-42.2833328249999 35.0000000000001,-42.2666664119999 35.0000000000001,-42.2499999999999 35.0000000000001,-42.2333335879999 35.0000000000001,-42.2166671749999 35.0000000000001,-42.2000007629999 35.0000000000001,-42.183334351 35.0000000000001,-42.1666679379999 35.0000000000001,-42.150001526 35.0000000000001,-42.133335114 35.0000000000001,-42.116664886 35.0000000000001,-42.099998474 35.0000000000001,-42.083332062 35.0000000000001,-42.066665649 35.0000000000001,-42.049999237 35.0000000000001,-42.0333328249999 35.0000000000001,-42.0166664119999 35.0000000000001,-41.9999999999999 35.0000000000001,-41.9999999999999 35.0166664120001,-41.9999999999999 35.0333328250001,-41.9999999999999 35.0499992370001,-41.9999999999999 35.0666656490001,-41.9999999999999 35.0833320620001,-41.9999999999999 35.0999984740001,-41.9999999999999 35.116664886,-41.9999999999999 35.133335114,-41.9999999999999 35.150001526,-41.9999999999999 35.166667938,-41.9999999999999 35.183334351,-41.9999999999999 35.200000763,-41.9999999999999 35.2166671750001,-41.9999999999999 35.2333335880001,-41.9999999999999 35.2500000000001,-41.9999999999999 35.2666664120001,-41.9999999999999 35.2833328250001,-41.9999999999999 35.2999992370001,-41.9999999999999 35.3166656490001,-41.9999999999999 35.3333320620001,-41.9999999999999 35.3499984740001,-41.9999999999999 35.366664886,-41.9999999999999 35.383335114,-41.9999999999999 35.400001526,-41.9999999999999 35.416667938,-41.9999999999999 35.433334351,-41.9999999999999 35.450000763,-41.9999999999999 35.4666671750001,-41.9999999999999 35.4833335880001,-41.9999999999999 35.5000000000001,-41.9999999999999 35.5166664120001,-41.9999999999999 35.5333328250001,-41.9999999999999 35.5499992370001,-41.9999999999999 35.5666656490001,-41.9999999999999 35.5833320620001,-41.9999999999999 35.5999984740001,-41.9999999999999 35.616664886,-41.9999999999999 35.633335114,-41.9999999999999 35.650001526,-41.9999999999999 35.666667938,-41.9999999999999 35.683334351,-41.9999999999999 35.700000763,-41.9999999999999 35.7166671750001,-41.9999999999999 35.7333335880001,-41.9999999999999 35.7500000000001,-41.9999999999999 35.7666664120001,-41.9999999999999 35.7833328250001,-41.9999999999999 35.7999992370001,-41.9999999999999 35.8166656490001,-41.9999999999999 35.8333320620001,-41.9999999999999 35.8499984740001,-41.9999999999999 35.866664886,-41.9999999999999 35.883335114,-41.9999999999999 35.900001526,-41.9999999999999 35.916667938,-41.9999999999999 35.933334351,-41.9999999999999 35.950000763,-41.9999999999999 35.9666671750001,-41.9999999999999 35.9833335880001,-41.9999999889999 36.0000000060001,-41.983327727 36.0000000060001,-41.966655486 36.0000000060001,-41.9499832459999 36.000000007,-41.933311005 36.000000007,-41.916638764 36.000000007,-41.8999665229999 36.000000007,-41.883294282 36.000000007,-41.866622042 36.000000007,-41.849949801 36.000000007,-41.8332775599999 36.000000007,-41.816605319 36.000000007,-41.799933078 36.000000007,-41.7832608369999 36.000000007,-41.766588597 36.000000007,-41.749916356 36.000000007,-41.7332441149999 36.000000007,-41.716571874 36.000000007,-41.699899633 36.000000007,-41.683227393 36.000000007,-41.6665551519999 36.000000007,-41.649882911 36.000000007,-41.63321067 36.000000008,-41.6165384289999 36.000000008,-41.599866188 36.000000008,-41.583193948 36.000000008,-41.5665217069999 36.000000008,-41.549849466 36.000000008,-41.533177225 36.000000008,-41.5165049839999 36.000000008,-41.4998327439999 36.000000008,-41.483160503 36.000000008,-41.466488262 36.000000008,-41.4498160209999 36.000000008,-41.43314378 36.000000008,-41.416471539 36.000000008,-41.3997992989999 36.0000000090001,-41.383127058 36.0000000090001,-41.366454817 36.0000000090001,-41.3497825759999 36.0000000090001,-41.333110335 36.0000000090001,-41.316438095 36.0000000090001,-41.2997658539999 36.0000000090001,-41.2830936129999 36.0000000090001,-41.266421372 36.0000000090001,-41.2497491309999 36.0000000090001,-41.2330768899999 36.0000000090001,-41.21640465 36.0000000090001,-41.2000007629999 36.0000000100001,-41.199732409 36.0000000100001,-41.1830601679999 36.0000000100001,-41.166387927 36.0000000100001,-41.149715686 36.0000000100001,-41.1330434459999 36.0000000100001,-41.116371205 36.0000000100001,-41.099698964 36.0000000100001,-41.0830267229999 36.0000000100001,-41.066354482 36.0000000100001,-41.049682241 36.0000000100001,-41.033010001 36.0000000100001,-41.0163377599999 36.0000000100001,-40.999665519 36.0000000100001,-40.982993278 36.0000000100001,-40.9663210369999 36.0000000100001,-40.949648797 36.0000000100001,-40.932976556 36.0000000100001,-40.9163043149999 36.0000000100001,-40.899632074 36.0000000100001,-40.882959833 36.0000000100001,-40.8662875919999 36.0000000100001,-40.8496153519999 36.0000000100001,-40.832943111 36.0000000100001,-40.81627087 36.0000000100001,-40.799999237 36.0000000100001,-40.7995986289999 36.0000000100001,-40.782926388 36.0000000100001,-40.766254148 36.0000000100001,-40.7495819069999 36.0000000100001,-40.732909666 36.0000000100001,-40.716237425 36.0000000100001,-40.6995651839999 36.0000000100001,-40.682892943 36.0000000100001,-40.666220703 36.0000000100001,-40.649548462 36.0000000100001,-40.6328762209999 36.0000000100001,-40.61620398 36.0000000100001,-40.599531739 36.0000000100001,-40.5828594989999 36.0000000100001,-40.566187258 36.0000000100001,-40.549515017 36.0000000100001,-40.5328427759999 36.0000000100001,-40.516170535 36.0000000100001,-40.499498294 36.0000000100001,-40.4828260539999 36.0000000100001,-40.4661538129999 36.0000000100001,-40.449481572 36.0000000100001,-40.4328093309999 36.0000000100001,-40.4161370899999 36.0000000100001,-40.400001526 36.0000000100001,-40.39946485 36.0000000100001,-40.382792609 36.0000000090001,-40.3661203679999 36.0000000090001,-40.349448127 36.0000000090001,-40.332775886 36.0000000090001,-40.3161036449999 36.0000000090001,-40.299431405 36.0000000090001,-40.282759164 36.000000008,-40.2660869229999 36.000000008,-40.249414682 36.000000008,-40.232742441 36.000000008,-40.216070201 36.000000008,-40.1993979599999 36.000000008,-40.182725719 36.000000008,-40.166053478 36.000000007,-40.1493812369999 36.000000007,-40.132708996 36.000000007,-40.116036756 36.000000007,-40.0993645149999 36.000000007,-40.082692274 36.000000007,-40.066020033 36.000000007,-40.0493477919999 36.000000007,-40.0326755519999 36.000000007,-40.016003311 36.0000000060001,-39.9999999999999 36.0000000060001,-39.9999999999999 35.200000763,-39.9999999999999 35.0000000000001)))', 'Atlantic', '3', '31', 'ATLANTIC, WESTERN-CENTRAL', '31', '', '', '', '', '', '', '', '', '', '', '', '', '', '31', '1', '31', '31', 'Y'),('SRID=4326;MULTIPOLYGON(((-74.663879395 -36.049999237,-74.463195801 -35.79737854,-74.364303589 -35.546043396,-74.33303833 -35.5029411319999,-74.317893982 -35.441120148,-74.2532653809999 -35.324596405,-73.733444214 -34.4769592289999,-73.647750854 -34.191543579,-73.646774292 -34.120071411,-73.580429077 -33.8400001529999,-73.199996948 -33.8400001529999,-72.400001526 -33.8400001529999,-71.599998474 -33.8400001529999,-70.800003052 -33.8400001529999,-69.9999999999999 -33.8400001529999,-69.690666199 -33.8400001529999,-69.7938690189999 -34.2270126339999,-69.9999999999999 -34.9999999999999,-69.9999999999999 -35.9999999999999,-69.9999999999999 -36.049999237,-70.800003052 -36.049999237,-71.599998474 -36.049999237,-72.400001526 -36.049999237,-73.199996948 -36.049999237,-73.9999999999999 -36.049999237,-74.663879395 -36.049999237)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.1', '', '2.1', '87.2.1.6', '', '2.16', '', '', '', '', '2.16', '4', '87.2.1.6', '87.2.1.6', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.61000013399996 36.0000000060001,-5.61000013399996 35.0000000000001,-5.91312659299996 34.563846803,-6.06656312899997 34.3430747990001,-6.52312564799996 33.6861495970001,-6.99999999999994 33.0000000000001,-8.19999980899996 33.0000000000001,-8.99999999999994 33.0000000000001,-9.80000019099998 33.0000000000001,-10.600000381 33.0000000000001,-11.399999619 33.0000000000001,-12.199999809 33.0000000000001,-12.9999999999999 33.0000000000001,-12.9999999999999 34.400001526,-12.9999999999999 35.200000763,-12.9999999999999 36.0000000000001,-12.997689871 36.0000000000001,-12.981015504 36.0000000000001,-12.964341137 36.0000000000001,-12.94766677 36.0000000000001,-12.9309924029999 36.0000000000001,-12.9143180359999 36.0000000000001,-12.8976436689999 36.0000000000001,-12.8809693019999 36.0000000000001,-12.864294935 36.0000000000001,-12.847620568 36.0000000000001,-12.830946202 36.0000000000001,-12.8142718349999 36.0000000000001,-12.7975974679999 36.0000000000001,-12.7809231009999 36.0000000000001,-12.764248734 36.0000000000001,-12.747574367 36.0000000000001,-12.7309 36.0000000000001,-12.7142567299999 36.0000000000001,-12.69761346 36.0000000000001,-12.680970191 36.0000000000001,-12.6643269209999 36.0000000000001,-12.647683651 36.0000000000001,-12.6310403809999 36.0000000000001,-12.614397111 36.0000000000001,-12.5977538409999 36.0000000000001,-12.5811105719999 36.000000001,-12.564467302 36.000000001,-12.5478240319999 36.000000001,-12.531180762 36.000000001,-12.5145374919999 36.000000001,-12.4978942229999 36.000000001,-12.481250953 36.000000001,-12.4646076829999 36.000000001,-12.447964413 36.000000001,-12.4313211429999 36.000000002,-12.4146778739999 36.000000002,-12.399999619 36.000000002,-12.398034604 36.000000002,-12.3813913339999 36.000000002,-12.364748064 36.000000002,-12.3481047939999 36.000000002,-12.331461524 36.000000002,-12.314818255 36.000000002,-12.2981749849999 36.000000002,-12.281531715 36.000000002,-12.2648884449999 36.000000003,-12.248245175 36.000000003,-12.231601906 36.000000003,-12.2149586359999 36.000000003,-12.198315366 36.000000003,-12.1816720959999 36.000000003,-12.165028826 36.000000003,-12.1483855559999 36.000000003,-12.131742287 36.000000003,-12.115099017 36.000000003,-12.0984557469999 36.000000003,-12.081812477 36.0000000040001,-12.0651692069999 36.0000000040001,-12.048525938 36.0000000040001,-12.031882668 36.0000000040001,-12.0152393979999 36.0000000040001,-12.010000229 36.0000000040001,-11.998596128 36.0000000040001,-11.9819528579999 36.0000000040001,-11.965309589 36.0000000040001,-11.9486663189999 36.0000000040001,-11.932023049 36.0000000040001,-11.915379779 36.0000000040001,-11.8987365089999 36.0000000040001,-11.882093239 36.0000000040001,-11.8654499699999 36.0000000040001,-11.8488067 36.0000000040001,-11.83216343 36.0000000040001,-11.8155201599999 36.0000000050001,-11.79887689 36.0000000050001,-11.7822336209999 36.0000000050001,-11.765590351 36.0000000050001,-11.7489470809999 36.0000000050001,-11.732303811 36.0000000050001,-11.715660541 36.0000000050001,-11.6990172709999 36.0000000050001,-11.682374002 36.0000000050001,-11.6657307319999 36.0000000050001,-11.649087462 36.0000000050001,-11.632444192 36.0000000050001,-11.6158009219999 36.0000000050001,-11.599157653 36.0000000050001,-11.5825143829999 36.0000000050001,-11.565871113 36.0000000050001,-11.5492278429999 36.0000000050001,-11.532584573 36.0000000050001,-11.515941304 36.0000000050001,-11.4992980339999 36.0000000050001,-11.482654764 36.0000000050001,-11.4660114939999 36.0000000050001,-11.449368224 36.0000000050001,-11.432724954 36.0000000050001,-11.4160816849999 36.0000000050001,-11.399438415 36.0000000050001,-11.3827951449999 36.0000000050001,-11.366151875 36.0000000050001,-11.3495086049999 36.0000000050001,-11.3328653359999 36.0000000050001,-11.316222066 36.0000000050001,-11.2995787959999 36.0000000050001,-11.282935526 36.0000000060001,-11.2662922559999 36.0000000060001,-11.249648986 36.0000000040001,-11.233005717 36.0000000040001,-11.210000038 36.0000000000001,-11.199719177 36.0000000040001,-11.1830759069999 36.0000000040001,-11.166432637 36.0000000050001,-11.149789368 36.0000000060001,-11.1331460979999 36.0000000060001,-11.116502828 36.0000000060001,-11.0998595579999 36.0000000060001,-11.083216288 36.0000000060001,-11.066573019 36.0000000060001,-11.0499297489999 36.0000000060001,-11.033286479 36.0000000060001,-11.0166432089999 36.0000000060001,-10.999999954 36.0000000150001,-10.989524011 36.0000000110001,-10.9657812949999 36.0000000100001,-10.960364038 36.0000000110001,-10.4099998469999 36.000000008,-10.199999809 36.0000000100001,-9.61000060999993 36.0000000100001,-9.39999961899997 36.0000000100001,-8.81000041999994 36.0000000110001,-8.60000038099997 36.0000000110001,-8.01000022899996 36.0000000110001,-7.80000019099998 36.000000012,-7.21000003799998 36.000000012,-6.99999999999994 36.000000012,-6.41000032399995 36.000000013,-6.19401617199998 36.0000000100001,-5.91312659299996 36.0000000100001,-5.61000013399996 36.0000000060001)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.1', 'Northern Coastal', '', '34.1.1', 'Morocco Coastal', '', '34.1.1.1', '', '', '', '', '', '', '1.11', '4', '34.1.1.1', '34.1.1.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 29.0000000000001,-11.399999619 29.0000000000001,-12.199999809 29.0000000000001,-12.9999999999999 29.0000000000001,-12.9999999999999 30.600000381,-12.9999999999999 31.399999619,-12.9999999999999 32.200000763,-12.9999999999999 33.0000000000001,-12.199999809 33.0000000000001,-11.399999619 33.0000000000001,-10.600000381 33.0000000000001,-9.80000019099998 33.0000000000001,-8.99999999999994 33.0000000000001,-8.19999980899996 33.0000000000001,-6.99999999999994 33.0000000000001,-7.48000001899993 32.36000061,-7.96000003799998 31.7199993130001,-8.44000053399998 31.079999924,-8.92000007599995 30.440000534,-9.40000057199995 29.7999992370001,-9.99999999999994 29.0000000000001)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.1', 'Northern Coastal', '', '34.1.1', 'Morocco Coastal', '', '34.1.1.2', '', '', '', '', '', '', '1.12', '4', '34.1.1.2', '34.1.1.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 20.0000000000001,-29.9999999999999 19.200000763,-29.9999999999999 18.399999619,-29.9999999999999 17.600000381,-29.9999999999999 16.7999992370001,-29.9999999999999 16.0000000000001,-29.9999999999999 15.1999998090001,-29.9999999999999 14.399999619,-29.9999999999999 13.600000381,-29.9999999999999 12.800000191,-29.9999999999999 12.0000000000001,-29.9999999999999 11.1999998090001,-29.9999999999999 10.0000000000001,-29.2000007629999 10.0000000000001,-28.399999619 10.0000000000001,-27.600000381 10.0000000000001,-26.799999237 10.0000000000001,-25.9999999999999 10.0000000000001,-25.2000007629999 10.0000000000001,-24.399999619 10.0000000000001,-23.600000381 10.0000000000001,-22.799999237 10.0000000000001,-21.9999999999999 10.0000000000001,-21.2000007629999 10.0000000000001,-19.9999999999999 10.0000000000001,-19.9999999999999 9.00000000000006,-19.9999999999999 8.19999980900008,-19.9999999999999 7.40000009500005,-19.9999999999999 6.59999990500006,-19.9999999999999 5.80000019100004,-19.9999999999999 5.00000000000006,-19.9999999999999 4.19999980900008,-19.9999999999999 3.39999985700007,-19.9999999999999 2.59999990500006,-19.9999999999999 1.79999995200006,-19.9999999999999 0.999999881000065,-19.9999999999999 5.6843418860808e-14,-21.2000007629999 5.6843418860808e-14,-21.9999999999999 5.6843418860808e-14,-22.799999237 5.6843418860808e-14,-23.600000381 5.6843418860808e-14,-24.399999619 5.6843418860808e-14,-25.2000007629999 5.6843418860808e-14,-25.9999999999999 5.6843418860808e-14,-26.799999237 5.6843418860808e-14,-27.600000381 5.6843418860808e-14,-28.399999619 5.6843418860808e-14,-29.2000007629999 5.6843418860808e-14,-29.9999999999999 5.6843418860808e-14,-29.9999999999999 0.999999940000066,-29.9999999999999 1.79999995200006,-29.9999999999999 2.59999990500006,-29.9999999999999 3.40000009500005,-29.9999999999999 4.19999980900008,-29.9999999999999 5.00000000000006,-31.2000007629999 5.00000000000006,-31.9999999999999 5.00000000000006,-32.799999237 5.00000000000006,-33.599998474 5.00000000000006,-34.400001526 5.00000000000006,-35.2000007629999 5.00000000000006,-35.9999999999999 5.00000000000006,-36.799999237 5.00000000000006,-37.599998474 5.00000000000006,-38.400001526 5.00000000000006,-39.2000007629999 5.00000000000006,-39.9999999999999 5.00000000000006,-39.9999999999999 5.80000019100004,-39.9999999999999 6.39999961900003,-39.9999999999999 6.59999990500006,-39.9999999999999 7.19999980900008,-39.9999999999999 7.40000009500005,-39.9999999999999 8.00000000000006,-39.9999999999999 8.19999980900008,-39.9999999999999 8.80000019100004,-39.9999999999999 9.00000000000006,-39.9999999999999 9.59999942800005,-39.9999999999999 9.80000019100004,-39.9999999999999 10.399999619,-39.9999999999999 10.600000381,-39.9999999999999 11.1999998090001,-39.9999999999999 11.399999619,-39.9999999999999 12.0000000000001,-39.9999999999999 12.1999998090001,-39.9999999999999 12.800000191,-39.9999999999999 13.0000000000001,-39.9999999999999 13.600000381,-39.9999999999999 13.800000191,-39.9999999999999 14.399999619,-39.9999999999999 15.0000000000001,-39.9999999999999 15.1999998090001,-39.9999999999999 15.800000191,-39.9999999999999 16.0000000000001,-39.9999999999999 16.600000381,-39.9999999999999 16.7999992370001,-39.9999999999999 17.399999619,-39.9999999999999 17.600000381,-39.9999999999999 18.200000763,-39.9999999999999 18.399999619,-39.9999999999999 19.0000000000001,-39.9999999999999 19.200000763,-39.9999999999999 19.7999992370001,-39.9999999999999 20.0000000000001,-39.2000007629999 20.0000000000001,-38.400001526 20.0000000000001,-37.599998474 20.0000000000001,-36.799999237 20.0000000000001,-35.9999999999999 20.0000000000001,-35.2000007629999 20.0000000000001,-34.400001526 20.0000000000001,-33.599998474 20.0000000000001,-32.799999237 20.0000000000001,-31.9999999999999 20.0000000000001,-31.2000007629999 20.0000000000001,-29.9999999999999 20.0000000000001)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.4', 'Southern Oceanic', '', '34.4.2', 'Southwest Oceanic', '', '', '', '', '', '', '', '', '4.2', '3', '34.4.2', '34.4.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.999999982 36.0000000100001,-17.9833255789999 36.000000013,-17.9666512119999 36.000000012,-17.949976845 36.000000012,-17.933302478 36.000000013,-17.9302566179999 36.000000013,-17.916628111 36.000000012,-17.899953744 36.000000012,-17.883279377 36.0000000110001,-17.8666050099999 36.0000000110001,-17.849930644 36.0000000100001,-17.833256277 36.0000000100001,-17.816582147 36.000000013,-17.799999237 36.0000000090001,-17.799907543 36.0000000090001,-17.783233176 36.0000000090001,-17.7665588089999 36.0000000090001,-17.7498844419999 36.0000000090001,-17.7332100749999 36.0000000090001,-17.716535708 36.0000000090001,-17.699861341 36.0000000090001,-17.683186974 36.0000000090001,-17.666512607 36.0000000090001,-17.6498382409999 36.0000000090001,-17.6331638739999 36.0000000090001,-17.6164895069999 36.0000000090001,-17.59981514 36.0000000090001,-17.583140773 36.0000000090001,-17.566466406 36.0000000090001,-17.549792039 36.0000000090001,-17.5331176719999 36.0000000090001,-17.5164433049999 36.0000000090001,-17.4997689379999 36.0000000090001,-17.483094571 36.0000000090001,-17.466420204 36.0000000090001,-17.449745838 36.0000000090001,-17.4330714709999 36.0000000090001,-17.4163971039999 36.0000000090001,-17.3997227369999 36.000000008,-17.3830483699999 36.000000008,-17.366374003 36.000000008,-17.349699636 36.000000008,-17.333025269 36.000000008,-17.316350902 36.000000008,-17.2996765349999 36.000000008,-17.2830021679999 36.000000008,-17.2663278009999 36.000000008,-17.249653435 36.000000008,-17.232979068 36.000000008,-17.216304701 36.000000008,-17.2000007629999 36.000000008,-17.1996303339999 36.000000008,-17.1829559669999 36.000000008,-17.1662815999999 36.000000008,-17.1496072329999 36.000000008,-17.132932866 36.000000008,-17.116258499 36.000000008,-17.099584132 36.000000008,-17.082909765 36.000000008,-17.0662353979999 36.000000008,-17.0495610309999 36.000000008,-17.032886665 36.000000008,-17.016212298 36.000000008,-16.9999999999999 36.000000008,-16.999537931 36.000000008,-16.982863564 36.000000008,-16.9661891969999 36.000000008,-16.9495148299999 36.000000008,-16.9328404629999 36.000000008,-16.9161660959999 36.000000008,-16.899491729 36.000000008,-16.882817362 36.000000008,-16.866142995 36.000000008,-16.849468628 36.000000007,-16.8327942619999 36.000000007,-16.8161198949999 36.000000007,-16.799445528 36.000000007,-16.782771161 36.000000007,-16.766096794 36.000000007,-16.749422427 36.000000007,-16.7327480599999 36.000000007,-16.7160736929999 36.000000007,-16.6993993259999 36.000000007,-16.6827249589999 36.000000007,-16.666050592 36.000000007,-16.649376225 36.000000007,-16.632701859 36.000000007,-16.6160274919999 36.000000007,-16.5993531249999 36.000000007,-16.5826787579999 36.000000007,-16.566004391 36.000000007,-16.549330024 36.000000007,-16.532655657 36.000000007,-16.51598129 36.000000007,-16.4993069229999 36.000000007,-16.4826325559999 36.000000007,-16.4659581889999 36.000000007,-16.4492838219999 36.000000007,-16.432609456 36.000000007,-16.415935089 36.000000007,-16.399999619 36.000000007,-16.399260722 36.000000007,-16.3825863549999 36.000000007,-16.3659119879999 36.000000007,-16.3492376209999 36.000000007,-16.332563254 36.000000007,-16.315888887 36.000000007,-16.29921452 36.0000000060001,-16.282540153 36.0000000060001,-16.2658657859999 36.0000000060001,-16.2491914189999 36.0000000060001,-16.232517053 36.0000000060001,-16.215842686 36.0000000060001,-16.2000007629999 36.0000000060001,-16.199168319 36.0000000060001,-16.182493952 36.0000000060001,-16.165819585 36.0000000060001,-16.1491452179999 36.0000000060001,-16.1324708509999 36.0000000060001,-16.1157964839999 36.0000000060001,-16.099122117 36.0000000060001,-16.08244775 36.0000000060001,-16.065773383 36.0000000060001,-16.049099016 36.0000000060001,-16.0324246499999 36.0000000060001,-16.0157502829999 36.0000000060001,-15.999075916 36.0000000060001,-15.982401549 36.0000000060001,-15.965727182 36.0000000060001,-15.949052815 36.0000000060001,-15.932378448 36.0000000060001,-15.9157040809999 36.0000000060001,-15.8990297139999 36.0000000060001,-15.8823553469999 36.0000000060001,-15.86568098 36.0000000060001,-15.849006613 36.0000000060001,-15.832332247 36.0000000060001,-15.8156578799999 36.0000000060001,-15.7989835129999 36.0000000060001,-15.7823091459999 36.0000000060001,-15.765634779 36.0000000060001,-15.748960412 36.0000000050001,-15.732286045 36.0000000050001,-15.715611678 36.0000000050001,-15.698937311 36.0000000050001,-15.6822629439999 36.0000000050001,-15.6655885769999 36.0000000050001,-15.6489142099999 36.0000000050001,-15.632239844 36.0000000050001,-15.615565477 36.0000000050001,-15.600000381 36.0000000050001,-15.59889111 36.0000000050001,-15.5822167429999 36.0000000050001,-15.5655423759999 36.0000000050001,-15.5488680089999 36.0000000050001,-15.532193642 36.0000000050001,-15.515519275 36.0000000050001,-15.498844908 36.0000000050001,-15.482170541 36.0000000050001,-15.465496174 36.0000000050001,-15.4488218069999 36.0000000050001,-15.4321474409999 36.0000000050001,-15.415473074 36.0000000050001,-15.399999619 36.0000000050001,-15.398798707 36.0000000050001,-15.38212434 36.0000000050001,-15.365449973 36.0000000050001,-15.3487756059999 36.0000000050001,-15.3321012389999 36.0000000050001,-15.3154268719999 36.0000000050001,-15.298752505 36.0000000050001,-15.282078138 36.0000000050001,-15.265403771 36.0000000050001,-15.248729404 36.0000000050001,-15.2320550379999 36.0000000050001,-15.2153806709999 36.0000000050001,-15.1987063039999 36.0000000040001,-15.182031937 36.0000000040001,-15.16535757 36.0000000040001,-15.148683203 36.0000000040001,-15.132008836 36.0000000040001,-15.1153344689999 36.0000000040001,-15.0986601019999 36.0000000040001,-15.0819857349999 36.0000000040001,-15.065311368 36.0000000040001,-15.048637001 36.0000000040001,-15.031962635 36.0000000040001,-15.0152882679999 36.0000000040001,-14.9986139009999 36.0000000040001,-14.9819395339999 36.0000000040001,-14.9652651669999 36.0000000040001,-14.9485908 36.0000000040001,-14.931916433 36.0000000040001,-14.915242066 36.0000000040001,-14.898567699 36.0000000040001,-14.8818933319999 36.0000000040001,-14.8652189649999 36.0000000040001,-14.8485445979999 36.0000000040001,-14.831870232 36.0000000040001,-14.815195865 36.0000000040001,-14.800000191 36.0000000040001,-14.798521498 36.0000000040001,-14.7818471309999 36.0000000040001,-14.7651727639999 36.0000000040001,-14.7484983969999 36.0000000040001,-14.7318240299999 36.0000000040001,-14.715149663 36.0000000040001,-14.698475296 36.0000000040001,-14.681800929 36.0000000040001,-14.665126562 36.0000000040001,-14.6484521949999 36.000000003,-14.6317778289999 36.000000003,-14.615103462 36.000000003,-14.600000381 36.000000003,-14.598429095 36.000000003,-14.581754728 36.000000003,-14.565080361 36.000000003,-14.5484059939999 36.000000003,-14.5317316269999 36.000000003,-14.5150572599999 36.000000003,-14.4983828929999 36.000000003,-14.481708526 36.000000003,-14.465034159 36.000000003,-14.448359792 36.000000003,-14.4316854259999 36.000000003,-14.4150110589999 36.000000003,-14.3983366919999 36.000000003,-14.381662325 36.000000003,-14.364987958 36.000000003,-14.348313591 36.000000003,-14.331639224 36.000000003,-14.3149648569999 36.000000003,-14.2982904899999 36.000000003,-14.2816161229999 36.000000003,-14.2649417559999 36.000000003,-14.248267389 36.000000003,-14.231593023 36.000000003,-14.214918656 36.000000003,-14.1982442889999 36.000000003,-14.1815699219999 36.000000003,-14.1648955549999 36.000000003,-14.148221188 36.000000003,-14.131546821 36.000000003,-14.114872454 36.000000003,-14.098198087 36.000000002,-14.08152372 36.000000002,-14.0648493529999 36.000000002,-14.0481749859999 36.000000002,-14.03150062 36.000000002,-14.014826253 36.000000002,-13.9999999999999 36.000000002,-13.998151886 36.000000002,-13.981477519 36.000000002,-13.9648031519999 36.000000002,-13.9481287849999 36.000000002,-13.9314544179999 36.000000002,-13.914780051 36.000000002,-13.898105684 36.000000002,-13.881431317 36.000000002,-13.86475695 36.000000002,-13.848082583 36.000000002,-13.8314082169999 36.000000002,-13.81473385 36.000000002,-13.800000191 36.000000002,-13.798059483 36.000000002,-13.781385116 36.000000002,-13.764710749 36.000000002,-13.748036382 36.000000002,-13.7313620149999 36.000000002,-13.7146876479999 36.000000002,-13.6980132809999 36.000000002,-13.681338914 36.000000002,-13.664664547 36.000000002,-13.64799018 36.000000002,-13.6313158139999 36.000000002,-13.6146414469999 36.000000002,-13.5979670799999 36.000000002,-13.581292713 36.000000002,-13.564618346 36.000000002,-13.547943979 36.000000001,-13.531269612 36.000000001,-13.514595245 36.000000001,-13.4979208779999 36.000000001,-13.4812465109999 36.000000001,-13.4645721439999 36.000000001,-13.447897777 36.000000001,-13.431223411 36.000000001,-13.414549044 36.000000001,-13.3978746769999 36.000000001,-13.3812003099999 36.000000001,-13.3645259429999 36.000000001,-13.347851576 36.000000001,-13.331177209 36.000000001,-13.314502842 36.000000001,-13.297828475 36.000000001,-13.281154108 36.000000001,-13.2644797409999 36.000000001,-13.2478053739999 36.000000001,-13.231131008 36.000000001,-13.214456641 36.000000001,-13.199999809 36.000000001,-13.197782274 36.000000001,-13.181107907 36.000000001,-13.1644335399999 36.000000001,-13.1477591729999 36.000000001,-13.1310848059999 36.000000001,-13.1144104389999 36.000000001,-13.097736072 36.000000001,-13.081061705 36.0000000000001,-13.064387338 36.0000000000001,-13.047712971 36.0000000000001,-13.0310386049999 36.0000000000001,-13.0143642379999 36.0000000000001,-12.9999999999999 36.0000000000001,-12.9999999999999 35.200000763,-12.9999999999999 34.400001526,-12.9999999999999 33.0000000000001,-12.9999999999999 32.200000763,-12.9999999999999 31.399999619,-12.9999999999999 30.600000381,-12.9999999999999 29.0000000000001,-13.5656852719999 28.4343147280001,-14.1313705439999 27.8686294560001,-14.697055817 27.3029441830001,-15.2627420429999 26.737258911,-15.9999999999999 26.0000000000001,-17.600000381 26.0000000000001,-18.399999619 26.0000000000001,-19.2000007629999 26.0000000000001,-19.9999999999999 26.0000000000001,-19.9999999999999 27.200000763,-19.9999999999999 28.0000000000001,-19.9999999999999 28.7999992370001,-19.9999999999999 29.600000381,-19.9999999999999 30.399999619,-19.9999999999999 31.200000763,-19.9999999999999 32.0000000000001,-19.9999999999999 32.7999992370001,-19.9999999999999 33.5999984740001,-19.9999999999999 34.400001526,-19.9999999999999 35.200000763,-19.9999999999999 36.0000000060001,-19.993293412 36.0000000060001,-19.9766826339999 36.000000007,-19.960071855 36.000000007,-19.9434610759999 36.000000007,-19.9268502969999 36.000000007,-19.910239518 36.000000007,-19.893628739 36.000000007,-19.8770179599999 36.000000007,-19.860407181 36.000000007,-19.843796402 36.000000007,-19.827185624 36.000000007,-19.810574845 36.000000008,-19.7939640659999 36.000000008,-19.777353287 36.000000008,-19.760742508 36.000000008,-19.7441317289999 36.000000008,-19.7275209499999 36.000000008,-19.710910171 36.000000008,-19.6942993919999 36.0000000090001,-19.677688614 36.0000000090001,-19.661077835 36.0000000090001,-19.6444670559999 36.0000000090001,-19.627856277 36.0000000090001,-19.611245498 36.0000000090001,-19.600000381 36.0000000100001,-19.5946347189999 36.0000000100001,-19.57802394 36.0000000100001,-19.561413161 36.0000000100001,-19.5448023819999 36.0000000090001,-19.528191604 36.0000000090001,-19.511580825 36.0000000090001,-19.4949700459999 36.0000000090001,-19.478359267 36.0000000090001,-19.461748488 36.0000000090001,-19.4451377089999 36.0000000090001,-19.42852693 36.0000000090001,-19.411916151 36.0000000090001,-19.3953053719999 36.0000000090001,-19.378694594 36.0000000090001,-19.3620838149999 36.0000000090001,-19.3454730359999 36.0000000090001,-19.328862257 36.0000000090001,-19.312251478 36.0000000090001,-19.2956406989999 36.0000000090001,-19.27902992 36.0000000090001,-19.262419141 36.0000000090001,-19.2458083619999 36.0000000090001,-19.229197584 36.0000000090001,-19.2125868049999 36.0000000090001,-19.195976026 36.0000000090001,-19.179365247 36.0000000090001,-19.1627544679999 36.0000000090001,-19.1461436889999 36.0000000090001,-19.12953291 36.0000000090001,-19.1129221309999 36.0000000090001,-19.0963113519999 36.0000000090001,-19.079700574 36.0000000090001,-19.0630897949999 36.0000000090001,-19.046479016 36.0000000100001,-19.029868237 36.0000000100001,-19.0132574579999 36.0000000100001,-18.996646679 36.0000000100001,-18.9800359 36.0000000100001,-18.9634251209999 36.0000000100001,-18.946814342 36.0000000100001,-18.930203564 36.0000000100001,-18.9135927849999 36.0000000100001,-18.896982006 36.0000000100001,-18.880371227 36.0000000100001,-18.8637604479999 36.0000000100001,-18.847149669 36.0000000100001,-18.83053889 36.0000000100001,-18.8139281109999 36.0000000100001,-18.797317332 36.0000000100001,-18.7807065539999 36.0000000100001,-18.7640957749999 36.0000000100001,-18.747484996 36.0000000100001,-18.730874217 36.0000000100001,-18.7142634379999 36.0000000100001,-18.697652659 36.0000000100001,-18.68104188 36.0000000100001,-18.6644311009999 36.0000000100001,-18.647820322 36.0000000100001,-18.6312095439999 36.0000000100001,-18.614598765 36.0000000100001,-18.6045418379999 36.0000000060001,-18.600000381 36.0000000050001,-18.594146338 36.0000000060001,-18.5813772069999 36.0000000110001,-18.570277926 36.000000013,-18.5647664279999 36.000000013,-18.548155649 36.000000013,-18.5315448699999 36.000000013,-18.5149340909999 36.000000013,-18.498323312 36.000000012,-18.4817125339999 36.000000012,-18.465101755 36.000000012,-18.448490976 36.000000012,-18.4318801969999 36.000000012,-18.415269418 36.000000012,-18.398658639 36.000000012,-18.3820478599999 36.000000012,-18.365437081 36.000000012,-18.348826302 36.000000012,-18.3322155239999 36.000000012,-18.315604745 36.000000012,-18.298993966 36.000000012,-18.2823831869999 36.000000012,-18.265772408 36.000000012,-18.249161629 36.000000012,-18.2325508499999 36.000000012,-18.215940071 36.000000012,-18.199329292 36.000000012,-18.1827185139999 36.000000012,-18.166107735 36.000000012,-18.149496956 36.000000012,-18.1328861769999 36.000000013,-18.116275398 36.000000013,-18.099664619 36.000000013,-18.0830538399999 36.000000013,-18.066443061 36.000000013,-18.049832282 36.000000013,-18.033221504 36.000000013,-18.016610725 36.000000013,-18.008262707 36.0000000100001,-18.008192134 36.0000000100001,-17.999999982 36.0000000100001)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.1', 'Northern Coastal', '', '34.1.2', 'Canaries/Madeira Insular', '1.2', '', '', '', '', '', '', '', '1.2', '3', '34.1.2', '34.1.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 19.0000000000001,-15.9999999999999 19.0000000000001,-16.799999237 19.0000000000001,-17.600000381 19.0000000000001,-18.399999619 19.0000000000001,-19.2000007629999 19.0000000000001,-19.9999999999999 19.0000000000001,-19.9999999999999 20.0000000000001,-19.9999999999999 21.200000763,-19.9999999999999 22.0000000000001,-19.2000007629999 22.0000000000001,-18.399999619 22.0000000000001,-17.600000381 22.0000000000001,-16.799999237 22.0000000000001,-15.9999999999999 22.0000000000001,-14.9999999999999 22.0000000000001,-14.9999999999999 21.200000763,-14.9999999999999 20.399999619,-14.9999999999999 19.0000000000001)))', 'Atlantic', '3', '34', 'ATLANTIC, EASTERN CENTRAL', '34', '34.1', 'Northern Coastal', '', '34.1.3', 'Sahara Coastal', '', '34.1.3.2', '', '', '', '', '', '', '1.32', '4', '34.1.3.2', '34.1.3.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999996679999 56.5500000750001,-41.9999999999999 56.5666656490001,-41.9999999999999 56.5833320610001,-41.9999999999999 56.5999984740001,-41.9999999999999 56.6166648870001,-41.9999999999999 56.633335114,-41.9999999999999 56.650001526,-41.9999999999999 56.666667938,-41.9999999999999 56.683334351,-41.9999999999999 56.700000763,-41.9999999999999 56.7166671750001,-41.9999999999999 56.7333335880001,-41.9999999999999 56.7500000000001,-41.9999999999999 56.7666664120001,-41.9999999999999 56.7833328240001,-41.9999999999999 56.7999992370001,-41.9999999999999 56.8166656500001,-41.9999999999999 56.8333320620001,-41.9999999999999 56.8499984740001,-41.9999999999999 56.8666648870001,-41.9999999999999 56.883335114,-41.9999999999999 56.900001526,-41.9999999999999 56.916667938,-41.9999999999999 56.9333343500001,-41.9999999999999 56.950000763,-41.9999999999999 56.9666671750001,-41.9999999999999 56.9833335870001,-41.9999999999999 57.0000000000001,-41.9999999999999 57.0166664130001,-41.9999999999999 57.0333328250001,-41.9999999999999 57.0499992370001,-41.9999999999999 57.0666656500001,-41.9999999999999 57.0833320620001,-41.9999999999999 57.0999984740001,-41.9999999999999 57.1166648860001,-41.9999999999999 57.133335113,-41.9999999999999 57.150001526,-41.9999999999999 57.166667938,-41.9999999999999 57.1833343500001,-41.9999999999999 57.200000763,-41.9999999999999 57.2166671750001,-41.9999999999999 57.2333335880001,-41.9999999999999 57.2500000000001,-41.9999999999999 57.2666664130001,-41.9999999999999 57.2833328250001,-41.9999999999999 57.2999992370001,-41.9999999999999 57.3166656490001,-41.9999999999999 57.3333320620001,-41.9999999999999 57.3499984740001,-41.9999999999999 57.3666648860001,-41.9999999999999 57.383335113,-41.9999999999999 57.400001526,-41.9999999999999 57.416667938,-41.9999999999999 57.433334351,-41.9999999999999 57.450000763,-41.9999999999999 57.466667176,-41.9999999999999 57.4833335880001,-41.9999999999999 57.5000000000001,-41.9999999999999 57.5166664120001,-41.9999999999999 57.5333328250001,-41.9999999999999 57.5499992370001,-41.9999999999999 57.5666656490001,-41.9999999999999 57.5833320610001,-41.9999999999999 57.5999984740001,-41.9999999999999 57.6166648870001,-41.9999999999999 57.633335114,-41.9999999999999 57.650001526,-41.9999999999999 57.666667938,-41.9999999999999 57.683334351,-41.9999999999999 57.700000763,-41.9999999999999 57.7166671750001,-41.9999999999999 57.7333335880001,-41.9999999999999 57.7500000000001,-41.9999999999999 57.7666664120001,-41.9999999999999 57.7833328240001,-41.9999999999999 57.7999992370001,-41.9999999999999 57.8166656500001,-41.9999999999999 57.8333320620001,-41.9999999999999 57.8499984740001,-41.9999999999999 57.8666648870001,-41.9999999999999 57.883335114,-41.9999999999999 57.900001526,-41.9999999999999 57.916667938,-41.9999999999999 57.9333343500001,-41.9999999999999 57.950000763,-41.9999999999999 57.9666671750001,-41.9999999999999 57.9833335870001,-41.9999999999999 58.0000000000001,-41.9999999999999 58.0166664130001,-41.9999999999999 58.0333328250001,-41.9999999999999 58.0499992370001,-41.9999999999999 58.0666656500001,-41.9999999999999 58.0833320620001,-41.9999999999999 58.0999984740001,-41.9999999999999 58.1166648860001,-41.9999999999999 58.133335113,-41.9999999999999 58.150001526,-41.9999999999999 58.166667938,-41.9999999999999 58.1833343500001,-41.9999999999999 58.200000763,-41.9999999999999 58.216667176,-41.9999999999999 58.2333335880001,-41.9999999999999 58.2500000000001,-41.9999999999999 58.2666664130001,-41.9999999999999 58.2833328250001,-41.9999999999999 58.2999992370001,-41.9999999999999 58.3166656490001,-41.9999999999999 58.3333320620001,-41.9999999999999 58.3499984740001,-41.9999999999999 58.3666648860001,-41.9999999999999 58.383335113,-41.9999999999999 58.400001526,-41.9999999999999 58.416667939,-41.9999999999999 58.433334351,-41.9999999999999 58.450000763,-41.9999999999999 58.4666671750001,-41.9999999999999 58.4833335880001,-41.9999999999999 58.5000000000001,-41.9999999999999 58.5166664120001,-41.9999999999999 58.5333328250001,-41.9999999999999 58.5499992370001,-41.9999999999999 58.5666656490001,-41.9999999999999 58.5833320610001,-41.9999999999999 58.5999984740001,-41.9999999999999 58.6166648870001,-41.9999999999999 58.633335114,-41.9999999999999 58.650001526,-41.9999999999999 58.666667938,-41.9999999999999 58.683334351,-41.9999999999999 58.700000763,-41.9999999999999 58.7166671750001,-41.9999999999999 58.7333335870001,-41.9999999999999 58.7500000000001,-41.9999999999999 58.7666664120001,-41.9999999999999 58.7833328240001,-41.9999999999999 58.7999992370001,-41.9999999999999 58.8166656500001,-41.9999999999999 58.8333320620001,-41.9999999999999 58.8499984740001,-41.9999999999999 58.8666648870001,-41.9999999999999 58.883335114,-41.9999999999999 58.900001526,-41.9999999999999 58.916667938,-41.9999999999999 58.9333343500001,-41.9999999999999 58.950000763,-41.9999999999999 58.9666671750001,-41.9999999999999 58.9833335870001,-41.9999999999999 59.0000000000001,-41.2000007629999 59.0000000000001,-40.400001526 59.0000000000001,-39.599998474 59.0000000000001,-38.799999237 59.0000000000001,-37.9999999999999 59.0000000000001,-37.2000007629999 59.0000000000001,-36.769999862 59.000000024,-36.778845691 58.9857698170001,-36.787691846 58.9715390490001,-36.7965380009999 58.9573082800001,-36.8053841559999 58.9430775120001,-36.814230311 58.9288467430001,-36.823076466 58.9146159750001,-36.8319226209999 58.9003852060001,-36.8407687759999 58.8861544380001,-36.849614931 58.8719236690001,-36.858461086 58.8576929000001,-36.8673072409999 58.8434621320001,-36.876153395 58.8292313630001,-36.88499955 58.8150005940001,-36.8938457049999 58.8007698260001,-36.9026918599999 58.786539057,-36.911538014 58.772308288,-36.9203841689999 58.75807752,-36.9292303239999 58.743846751,-36.938076478 58.729615982,-36.9469226329999 58.715385213,-36.955768787 58.7011544440001,-36.964614942 58.686923676,-36.9734610959999 58.6726929070001,-36.982307251 58.6584621380001,-36.991153405 58.6442313690001,-36.9999996879999 58.630000394,-37.013332797 58.6213338740001,-37.02666613 58.6126672070001,-37.039999463 58.6040005400001,-37.0533327969999 58.5953338740001,-37.0666661299999 58.5866672070001,-37.079999464 58.5780005400001,-37.093332797 58.5693338740001,-37.099523263 58.5653100710001,-37.10666613 58.5606672070001,-37.1199994639999 58.5520005400001,-37.133332797 58.5433338730001,-37.14666613 58.534667207,-37.159999464 58.52600054,-37.1733327969999 58.517333873,-37.1866661299999 58.508667207,-37.199999464 58.50000054,-37.213042942 58.489565757,-37.2260864199999 58.479130975,-37.2391298979999 58.468696192,-37.252173377 58.45826141,-37.2652168549999 58.447826627,-37.2782603329999 58.437391844,-37.291303812 58.426957062,-37.30434729 58.416522279,-37.3173907679999 58.406087497,-37.330434246 58.3956527140001,-37.343477725 58.3852179310001,-37.3565212029999 58.3747831490001,-37.3695646809999 58.3643483660001,-37.382608159 58.3539135830001,-37.3956516379999 58.3434788010001,-37.4086951159999 58.3330440180001,-37.421738594 58.3226092360001,-37.434782073 58.3121744530001,-37.4478255509999 58.3017396700001,-37.460869029 58.2913048880001,-37.473912507 58.2808701050001,-37.4869559859999 58.2704353230001,-37.499999464 58.2600005400001,-37.514285178 58.2517148260001,-37.5285708929999 58.2434291110001,-37.542856607 58.2351433970001,-37.557142321 58.226857683,-37.5714280349999 58.218571968,-37.58571375 58.210286254,-37.599998969 58.2020008270001,-37.6142851779999 58.1937148260001,-37.628570893 58.1854291110001,-37.6428566069999 58.1771433970001,-37.657142321 58.1688576830001,-37.671428036 58.1605719680001,-37.6857137499999 58.152286254,-37.699999464 58.14400054,-37.714285178 58.135714825,-37.728570893 58.127429111,-37.742856607 58.1191433970001,-37.7571423209999 58.1108576830001,-37.771428036 58.1025719680001,-37.78571375 58.0942862540001,-37.7999994639999 58.08600054,-37.814285179 58.077714825,-37.8285708929999 58.069429111,-37.8428566069999 58.0611433970001,-37.857142321 58.0528576830001,-37.8714280359999 58.0445719680001,-37.88571375 58.0362862540001,-37.899999464 58.0280005400001,-37.9142851789999 58.0197148250001,-37.928570893 58.011429111,-37.942856607 58.003143397,-37.9571423209999 57.994857682,-37.971428036 57.9865719680001,-37.9857137499999 57.9782862540001,-37.999999464 57.9700005400001,-38.0131573589999 57.9600005400001,-38.0263152539999 57.9500005400001,-38.0394731489999 57.94000054,-38.052631043 57.93000054,-38.065788938 57.92000054,-38.078946833 57.9100005400001,-38.092104728 57.9000005400001,-38.1052626219999 57.8900005400001,-38.1184205169999 57.8800005400001,-38.131578412 57.87000054,-38.144736307 57.86000054,-38.157894201 57.8500005400001,-38.171052096 57.8400005390001,-38.1842099909999 57.8300005390001,-38.1973678859999 57.820000539,-38.21052578 57.810000539,-38.223683675 57.8000005390001,-38.23684157 57.7900005390001,-38.249999465 57.7800005390001,-38.263888354 57.7711116510001,-38.277777242 57.7622227620001,-38.2916661309999 57.753333873,-38.3055550199999 57.744444984,-38.319443909 57.735556095,-38.333332798 57.7266672060001,-38.3472216869999 57.7177783170001,-38.3611105759999 57.7088894280001,-38.374999465 57.700000539,-38.388888354 57.69111165,-38.4027772429999 57.682222762,-38.4166661309999 57.673333873,-38.4305550199999 57.6644449840001,-38.444443909 57.6555560950001,-38.458332798 57.6466672060001,-38.4722216869999 57.637778317,-38.4861105759999 57.628889428,-38.499999465 57.620000539,-38.514705347 57.6126475980001,-38.5294112299999 57.6052946570001,-38.544117112 57.597941716,-38.558822994 57.5905887750001,-38.5735288769999 57.5832358330001,-38.5882347589999 57.575882892,-38.602940641 57.5685299510001,-38.617646524 57.5611770100001,-38.6323524059999 57.553824069,-38.647058289 57.5464711270001,-38.661764171 57.5391181860001,-38.6764700529999 57.531765245,-38.691175936 57.5244123040001,-38.705881818 57.517059363,-38.7205877 57.5097064220001,-38.7352935829999 57.5023534800001,-38.749999465 57.495000539,-38.764705347 57.4876475980001,-38.7794112299999 57.4802946570001,-38.794117112 57.472941716,-38.808822995 57.4655887740001,-38.8235288769999 57.4582358330001,-38.8382347589999 57.450882892,-38.852940642 57.4435299510001,-38.867646524 57.4361770100001,-38.8823524059999 57.428824069,-38.897058289 57.4214711270001,-38.911764171 57.4141181860001,-38.9264700529999 57.406765245,-38.941175936 57.3994123040001,-38.955881818 57.392059363,-38.9705877009999 57.384706421,-38.983998108 57.3780012180001,-38.9852935829999 57.3773534800001,-38.999999465 57.370000539,-39.015624465 57.364688039,-39.031249465 57.359375539,-39.046874465 57.354063039,-39.062499465 57.348750539,-39.078124465 57.343438039,-39.093749465 57.338125539,-39.109374465 57.332813039,-39.124999465 57.327500539,-39.140624465 57.3221880390001,-39.156249465 57.3168755390001,-39.171874465 57.3115630390001,-39.187499465 57.3062505390001,-39.203124466 57.3009380390001,-39.218749466 57.2956255390001,-39.234374466 57.2903130390001,-39.249999466 57.2850005390001,-39.265624466 57.2796880390001,-39.281249466 57.2743755390001,-39.296874466 57.2690630390001,-39.312499466 57.2637505390001,-39.328124466 57.2584380390001,-39.343749466 57.2531255390001,-39.359374466 57.2478130390001,-39.374999466 57.242500539,-39.390624466 57.237188039,-39.406249466 57.231875539,-39.421874466 57.226563039,-39.437499466 57.221250539,-39.453124466 57.215938039,-39.468749466 57.210625539,-39.484374466 57.205313039,-39.499999466 57.200000539,-39.515624466 57.194688039,-39.531249466 57.1893755390001,-39.546874466 57.1840630390001,-39.562499466 57.1787505390001,-39.578124466 57.1734380390001,-39.593749466 57.1681255390001,-39.609374466 57.1628130390001,-39.624999466 57.1575005390001,-39.640624466 57.1521880390001,-39.656249466 57.1468755390001,-39.671874466 57.1415630390001,-39.687499466 57.1362505390001,-39.703124466 57.1309380390001,-39.718749466 57.1256255390001,-39.734374466 57.1203130390001,-39.749999466 57.1150005390001,-39.765624466 57.109688039,-39.781249466 57.104375539,-39.796874466 57.099063039,-39.812499466 57.093750539,-39.828124466 57.088438039,-39.843749466 57.083125539,-39.859374466 57.077813039,-39.874999466 57.072500539,-39.890624466 57.067188039,-39.906249466 57.061875539,-39.921874466 57.0565630390001,-39.937499466 57.0512505390001,-39.953124466 57.0459380390001,-39.968749466 57.0406255390001,-39.984374466 57.0353130390001,-39.999999811 57.030000435,-40.015624466 57.0253130390001,-40.031249466 57.020625539,-40.046874466 57.015938039,-40.062499466 57.0112505390001,-40.078124466 57.0065630390001,-40.093749466 57.0018755390001,-40.109374466 56.997188039,-40.124999466 56.992500539,-40.140624466 56.9878130390001,-40.156249466 56.9831255390001,-40.171874466 56.9784380390001,-40.187499466 56.973750539,-40.203124466 56.969063039,-40.218749466 56.9643755390001,-40.234374466 56.9596880390001,-40.249999466 56.9550005390001,-40.265624467 56.950313039,-40.281249467 56.945625539,-40.296874467 56.9409380390001,-40.312499467 56.9362505390001,-40.328124467 56.9315630390001,-40.343749467 56.926875539,-40.359374467 56.922188039,-40.374999467 56.9175005390001,-40.390624467 56.9128130390001,-40.406249467 56.9081255390001,-40.421874467 56.903438039,-40.437499467 56.898750539,-40.453124467 56.8940630390001,-40.468749467 56.8893755390001,-40.484374467 56.8846880390001,-40.499999467 56.880000539,-40.5161284989999 56.8758069900001,-40.532257531 56.8716134420001,-40.5483865639999 56.867419893,-40.564515596 56.863226345,-40.580644628 56.8590327970001,-40.5967736599999 56.8548392480001,-40.612902693 56.8506457,-40.6290317249999 56.8464521510001,-40.645160757 56.8422586030001,-40.661289789 56.8380650550001,-40.6774188219999 56.833871506,-40.693547854 56.829677958,-40.709676886 56.8254844100001,-40.725805919 56.8212908610001,-40.741934951 56.817097313,-40.7580639829999 56.8129037640001,-40.774193015 56.8087102160001,-40.790322048 56.8045166680001,-40.8064510799999 56.800323119,-40.822580112 56.7961295710001,-40.8387091439999 56.7919360220001,-40.854838177 56.787742474,-40.870967209 56.783548926,-40.8870962409999 56.7793553770001,-40.903225274 56.7751618290001,-40.9193543059999 56.77096828,-40.935483338 56.766774732,-40.95161237 56.7625811840001,-40.9677414029999 56.7583876350001,-40.983870435 56.754194087,-40.999999467 56.7500005380001,-41.0161284989999 56.746452151,-41.032257532 56.7429037640001,-41.0483865639999 56.739355377,-41.064515596 56.7358069900001,-41.0806446289999 56.732258603,-41.0967736609999 56.7287102160001,-41.112902693 56.7251618290001,-41.1290317249999 56.721613442,-41.145160758 56.7180650550001,-41.16128979 56.7145166670001,-41.1774188219999 56.71096828,-41.193547854 56.7074198930001,-41.2096768869999 56.703871506,-41.225805919 56.7003231190001,-41.241934951 56.6967747320001,-41.2580639839999 56.693226345,-41.274193016 56.6896779580001,-41.290322048 56.686129571,-41.3064510799999 56.6825811840001,-41.322580113 56.6790327960001,-41.3387091449999 56.675484409,-41.354838177 56.6719360220001,-41.370967209 56.668387635,-41.387096242 56.6648392480001,-41.403225274 56.6612908610001,-41.4193543059999 56.657742474,-41.435483339 56.6541940870001,-41.451612371 56.6506457,-41.4677414029999 56.6470973130001,-41.483870435 56.6435489250001,-41.4999994679999 56.640000538,-41.5161285 56.637097313,-41.532257532 56.6341940870001,-41.5483865639999 56.6312908610001,-41.564515597 56.6283876350001,-41.5806446289999 56.6254844090001,-41.5967736609999 56.6225811840001,-41.612902694 56.6196779580001,-41.6290317259999 56.6167747320001,-41.645160758 56.6138715060001,-41.66128979 56.6109682800001,-41.677418823 56.6080650540001,-41.693547855 56.6051618290001,-41.7096768869999 56.6022586030001,-41.725805919 56.5993553770001,-41.741934952 56.5964521510001,-41.7580639839999 56.5935489250001,-41.774193016 56.5906457,-41.7903220489999 56.587742474,-41.806451081 56.584839248,-41.822580113 56.581936022,-41.8387091449999 56.579032796,-41.854838178 56.5761295710001,-41.8709672099999 56.5732263450001,-41.887096242 56.5703231190001,-41.903225274 56.5674198930001,-41.9193543069999 56.5645166670001,-41.935483339 56.5616134420001,-41.951612371 56.5587102160001,-41.967741404 56.5558069900001,-41.983870436 56.5529037640001,-41.9999996679999 56.5500000750001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.XII', 'North of Azores', '27.XII', '27.XII.a', 'Southern mid-Atlantic Ridge', '27.XIIa', '27.XII.a.3', 'Subdivision XIIa3 Non-NEAFC Regulatory Area', '27.XIIa3', '', '', '', '', 'XIIa3', '4', '27.12.a.3', '27.XIIa3', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.549979423 60.0000005410001,-20.5034294879999 60.0000005320001,-17.9999999459999 60.0000000000001,-17.9999999999999 54.5030264040001,-17.999999842 54.5000005360001,-23.9999999509999 54.5000000360001,-23.9999999509999 54.503025904,-23.999999451 60.0000003420001,-20.5500301979999 60.0000005420001,-20.549979423 60.0000005410001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.XII', 'North of Azores', '27.XII', '27.XII.b', 'Western Hatton Bank', '27.XIIb', '', '', '', '', '', '', '', 'XIIb', '3', '27.12.b', '27.XIIb', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999998709999 52.50000032,-17.9999999459999 52.483333368,-17.9999999459999 52.4666667010001,-17.9999999459999 52.450000034,-17.9999999459999 52.433333368,-17.9999999459999 52.4166667010001,-17.9999999459999 52.4000000340001,-17.9999999459999 52.3833333680001,-17.9999999459999 52.366666701,-17.9999999459999 52.3500000340001,-17.9999999459999 52.3333333680001,-17.9999999459999 52.316666701,-17.9999999459999 52.300000034,-17.9999999459999 52.2833333680001,-17.9999999459999 52.2666667010001,-17.9999999459999 52.250000034,-17.9999999459999 52.233333368,-17.9999999459999 52.2166667010001,-17.9999999459999 52.200000034,-17.9999999459999 52.183333368,-17.9999999459999 52.1666667010001,-17.9999999459999 52.1500000340001,-17.9999999459999 52.1333333680001,-17.9999999459999 52.116666701,-17.9999999459999 52.1000000340001,-17.9999999459999 52.0833333670001,-17.9999999459999 52.066666701,-17.9999999459999 52.050000034,-17.9999999459999 52.0333333670001,-17.9999999459999 52.0166667010001,-17.9999999459999 52.000000034,-17.9999999459999 51.9833333670001,-17.9999999459999 51.9666667010001,-17.9999999459999 51.950000034,-17.9999999459999 51.933333367,-17.9999999459999 51.9166667010001,-17.9999999459999 51.9000000340001,-17.9999999459999 51.883333367,-17.9999999459999 51.866666701,-17.9999999459999 51.8500000340001,-17.9999999459999 51.8333333670001,-17.9999999459999 51.816666701,-17.9999999459999 51.800000034,-17.9999999459999 51.7833333670001,-17.9999999459999 51.7666667010001,-17.9999999459999 51.750000034,-17.9999999459999 51.7333333670001,-17.9999999459999 51.7166667000001,-17.9999999459999 51.700000034,-17.9999999459999 51.683333367,-17.9999999459999 51.6666667000001,-17.9999999459999 51.6500000340001,-17.9999999459999 51.633333367,-17.9999999459999 51.6166667000001,-17.9999999459999 51.6000000340001,-17.9999999459999 51.5833333670001,-17.9999999459999 51.5666667,-17.9999999459999 51.550000034,-17.9999999459999 51.5333333670001,-17.9999999459999 51.5166667,-17.9999999459999 51.500000034,-17.9999999459999 51.4833333670001,-17.9999999459999 51.4666667000001,-17.9999999459999 51.450000034,-17.9999999459999 51.433333367,-17.9999999459999 51.4166667000001,-17.9999999459999 51.400000033,-17.9999999459999 51.383333367,-17.9999999459999 51.3666667000001,-17.9999999459999 51.3500000330001,-17.9999999459999 51.3333333670001,-17.9999999459999 51.3166667,-17.9999999459999 51.3000000330001,-17.9999999459999 51.2833333670001,-17.9999999459999 51.2666667,-17.9999999459999 51.250000033,-17.9999999459999 51.2333333670001,-17.9999999459999 51.2166667000001,-17.9999999459999 51.200000033,-17.9999999459999 51.183333367,-17.9999999459999 51.1666667000001,-17.9999999459999 51.150000033,-17.9999999459999 51.133333367,-17.9999999459999 51.1166667000001,-17.9999999459999 51.1000000330001,-17.9999999459999 51.0833333670001,-17.9999999459999 51.0666667,-17.9999999459999 51.0500000330001,-17.9999999459999 51.0333333660001,-17.9999999459999 51.0166667,-17.9999999459999 51.000000033,-17.9999999459999 50.9833333660001,-17.9999999459999 50.9666667000001,-17.9999999459999 50.950000033,-17.9999999459999 50.9333333660001,-17.9999999459999 50.9166667000001,-17.9999999459999 50.900000033,-17.9999999459999 50.883333366,-17.9999999459999 50.8666667000001,-17.9999999459999 50.8500000330001,-17.9999999459999 50.833333366,-17.9999999459999 50.8166667,-17.9999999459999 50.8000000330001,-17.9999999459999 50.7833333660001,-17.9999999459999 50.7666667,-17.9999999459999 50.750000033,-17.9999999459999 50.7333333660001,-17.9999999459999 50.7166667000001,-17.9999999459999 50.700000033,-17.9999999459999 50.6833333660001,-17.9999999459999 50.6666666990001,-17.9999999459999 50.650000033,-17.9999999459999 50.633333366,-17.9999999459999 50.6166666990001,-17.9999999459999 50.6000000330001,-17.9999999459999 50.583333366,-17.9999999459999 50.5666666990001,-17.9999999459999 50.5500000330001,-17.9999999459999 50.5333333660001,-17.9999999459999 50.516666699,-17.9999999459999 50.500000033,-17.9999999459999 50.4833333660001,-17.9999999459999 50.466666699,-17.9999999459999 50.450000033,-17.9999999459999 50.4333333660001,-17.9999999459999 50.4166666990001,-17.9999999459999 50.400000033,-17.9999999459999 50.383333366,-17.9999999459999 50.3666666990001,-17.9999999459999 50.3500000330001,-17.9999999459999 50.333333366,-17.9999999459999 50.3166666990001,-17.9999999459999 50.3000000320001,-17.9999999459999 50.2833333660001,-17.9999999459999 50.266666699,-17.9999999459999 50.2500000320001,-17.9999999459999 50.2333333660001,-17.9999999459999 50.216666699,-17.9999999459999 50.200000032,-17.9999999459999 50.1833333660001,-17.9999999459999 50.1666666990001,-17.9999999459999 50.150000032,-17.9999999459999 50.133333366,-17.9999999459999 50.1166666990001,-17.9999999459999 50.100000032,-17.9999999459999 50.083333366,-17.9999999459999 50.0666666990001,-17.9999999459999 50.0500000320001,-17.9999999459999 50.0333333660001,-17.9999999459999 50.016666699,-17.9999999459999 50.0000000320001,-17.9999999459999 49.9833333660001,-17.9999999459999 49.966666699,-17.9999999459999 49.950000032,-17.9999999459999 49.9333333650001,-17.9999999459999 49.9166666990001,-17.9999999459999 49.900000032,-17.9999999459999 49.8833333650001,-17.9999999459999 49.8666666990001,-17.9999999459999 49.850000032,-17.9999999459999 49.833333365,-17.9999999459999 49.8166666990001,-17.9999999459999 49.8000000320001,-17.9999999459999 49.783333365,-17.9999999459999 49.766666699,-17.9999999459999 49.7500000320001,-17.9999999459999 49.7333333650001,-17.9999999459999 49.716666699,-17.9999999459999 49.700000032,-17.9999999459999 49.6833333650001,-17.9999999459999 49.6666666990001,-17.9999999459999 49.650000032,-17.9999999459999 49.6333333650001,-17.9999999459999 49.6166666980001,-17.9999999459999 49.600000032,-17.9999999459999 49.583333365,-17.9999999459999 49.5666666980001,-17.9999999459999 49.5500000320001,-17.9999999459999 49.533333365,-17.9999999459999 49.5166666980001,-17.9999999459999 49.5000000320001,-17.9999999459999 49.4833333650001,-17.9999999459999 49.466666698,-17.9999999459999 49.450000032,-17.9999999459999 49.4333333650001,-17.9999999459999 49.416666698,-17.9999999459999 49.400000032,-17.9999999459999 49.3833333650001,-17.9999999459999 49.3666666980001,-17.9999999459999 49.350000032,-17.9999999459999 49.333333365,-17.9999999459999 49.3166666980001,-17.9999999459999 49.3000000320001,-17.9999999459999 49.283333365,-17.9999999459999 49.2666666980001,-17.9999999459999 49.2500000310001,-17.9999999459999 49.2333333650001,-17.9999999459999 49.216666698,-17.9999999459999 49.2000000310001,-17.9999999459999 49.1833333650001,-17.9999999459999 49.166666698,-17.9999999459999 49.150000031,-17.9999999459999 49.1333333650001,-17.9999999459999 49.1166666980001,-17.9999999459999 49.100000031,-17.9999999459999 49.083333365,-17.9999999459999 49.0666666980001,-17.9999999459999 49.0500000310001,-17.9999999459999 49.033333365,-17.9999999459999 49.0166666980001,-17.9999999459999 49.0000000310001,-17.9999999459999 48.9833333650001,-17.9999999459999 48.966666698,-17.9999999459999 48.9500000310001,-17.9999999459999 48.9333333650001,-17.9999999459999 48.916666698,-17.9999999459999 48.900000031,-17.9999999459999 48.8833333640001,-17.9999999459999 48.8666666980001,-17.9999999459999 48.850000031,-17.9999999459999 48.8333333640001,-17.9999999459999 48.8166666980001,-17.9999999459999 48.8000000310001,-17.9999999459999 48.783333364,-17.9999999459999 48.7666666980001,-17.9999999459999 48.7500000310001,-17.9999999459999 48.733333364,-17.9999999459999 48.716666698,-17.9999999459999 48.7000000310001,-17.9999999459999 48.6833333640001,-17.9999999459999 48.666666698,-17.9999999459999 48.650000031,-17.9999999459999 48.6333333640001,-17.9999999459999 48.6166666980001,-17.9999999459999 48.600000031,-17.9999999459999 48.5833333640001,-17.9999999459999 48.5666666980001,-17.9999999459999 48.5500000310001,-17.9999999459999 48.533333364,-17.9999999459999 48.5166666970001,-17.9999999459999 48.5000000310001,-17.9999999459999 48.483333364,-17.9999999459999 48.4666666970001,-17.9999999459999 48.4500000310001,-17.9999999459999 48.4333333640001,-17.9999999459999 48.416666697,-17.9999999459999 48.400000031,-17.9999999459999 48.3833333640001,-17.9999999459999 48.366666697,-17.9999999459999 48.350000031,-17.9999999459999 48.3333333640001,-17.9999999459999 48.3166666970001,-17.9999999459999 48.3000000310001,-17.9999999459999 48.283333364,-17.9999999459999 48.2666666970001,-17.9999999459999 48.2500000310001,-17.9999999459999 48.233333364,-17.9999999459999 48.2166666970001,-17.9999999459999 48.2000000310001,-17.9999999459999 48.1833333640001,-17.9999999459999 48.166666697,-17.9999999459999 48.1500000300001,-17.9999999459999 48.1333333640001,-17.9999999459999 48.116666697,-17.9999999459999 48.10000003,-17.9999999459999 48.0833333640001,-17.9999999459999 48.0666666970001,-17.9999999459999 48.05000003,-17.9999999459999 48.033333364,-17.9999999459999 48.0166666970001,-17.999999959 48.000000023,-18.016656272 48.0000000300001,-18.0166666119999 48.0000000300001,-18.0333125989999 48.0000000300001,-18.033333279 48.0000000300001,-18.049968926 48.0000000300001,-18.049999946 48.0000000300001,-18.0666252529999 48.0000000300001,-18.0666666119999 48.0000000300001,-18.083281579 48.0000000300001,-18.0833332789999 48.0000000300001,-18.099937906 48.0000000300001,-18.099999946 48.0000000300001,-18.1165942329999 48.0000000300001,-18.1166666129999 48.0000000300001,-18.13325056 48.0000000300001,-18.1333332789999 48.0000000300001,-18.1499068859999 48.0000000300001,-18.149999946 48.0000000300001,-18.166563213 48.0000000300001,-18.166666613 48.0000000300001,-18.18321954 48.0000000300001,-18.183333279 48.0000000300001,-18.199875866 48.0000000300001,-18.1999999459999 48.0000000300001,-18.216532193 48.0000000300001,-18.216666613 48.0000000300001,-18.2331885199999 48.0000000300001,-18.233333279 48.0000000300001,-18.249844847 48.0000000300001,-18.2499999459999 48.0000000300001,-18.2665011729999 48.0000000300001,-18.2666666129999 48.0000000300001,-18.2831575 48.0000000300001,-18.283333279 48.0000000300001,-18.299813827 48.0000000300001,-18.299999946 48.0000000300001,-18.316470153 48.0000000300001,-18.3166666129999 48.0000000300001,-18.33312648 48.0000000300001,-18.3333332789999 48.0000000300001,-18.3497828069999 48.0000000300001,-18.349999946 48.0000000300001,-18.366439134 48.0000000300001,-18.3666666129999 48.0000000300001,-18.3830954599999 48.0000000300001,-18.3833332789999 48.0000000300001,-18.399751787 48.0000000300001,-18.399999946 48.0000000300001,-18.416408114 48.0000000300001,-18.416666613 48.0000000300001,-18.43306444 48.0000000300001,-18.4333332799999 48.0000000300001,-18.449720767 48.0000000300001,-18.4499999459999 48.0000000300001,-18.4663770939999 48.0000000300001,-18.466666613 48.0000000300001,-18.483033421 48.0000000300001,-18.48333328 48.0000000300001,-18.4996897469999 48.0000000300001,-18.4999999459999 48.0000000300001,-18.516346074 48.0000000300001,-18.5166666129999 48.0000000300001,-18.533002401 48.0000000300001,-18.53333328 48.0000000300001,-18.549658727 48.0000000300001,-18.549999946 48.0000000300001,-18.566315054 48.0000000300001,-18.5666666129999 48.0000000300001,-18.5829713809999 48.0000000300001,-18.58333328 48.0000000300001,-18.599627708 48.0000000300001,-18.599999946 48.0000000300001,-18.6162840339999 48.0000000300001,-18.6166666129999 48.0000000300001,-18.632940361 48.0000000300001,-18.6333332799999 48.0000000300001,-18.649596688 48.0000000300001,-18.649999946 48.0000000300001,-18.6662530149999 48.0000000300001,-18.666666613 48.0000000300001,-18.682909341 48.0000000300001,-18.6833332799999 48.0000000300001,-18.6995656679999 48.0000000300001,-18.6999999459999 48.0000000300001,-18.716221995 48.0000000300001,-18.716666613 48.0000000300001,-18.7328783209999 48.0000000300001,-18.73333328 48.0000000300001,-18.749534648 48.0000000300001,-18.7499999459999 48.0000000300001,-18.766190975 48.0000000300001,-18.7666666129999 48.0000000300001,-18.7828473019999 48.0000000300001,-18.78333328 48.0000000300001,-18.799503628 48.0000000300001,-18.7999999469999 48.0000000300001,-18.8161599549999 48.0000000300001,-18.8166666129999 48.0000000300001,-18.832816282 48.0000000300001,-18.83333328 48.0000000300001,-18.8494726079999 48.0000000300001,-18.849999947 48.0000000300001,-18.8661289349999 48.0000000300001,-18.8666666129999 48.0000000300001,-18.882785262 48.0000000300001,-18.8833332799999 48.0000000300001,-18.8994415889999 48.0000000300001,-18.899999947 48.0000000300001,-18.916097915 48.0000000300001,-18.916666613 48.0000000300001,-18.9327542419999 48.0000000300001,-18.9333332799999 48.0000000300001,-18.949410569 48.0000000300001,-18.949999947 48.0000000300001,-18.9660668949999 48.0000000300001,-18.966666613 48.0000000300001,-18.9827232219999 48.0000000300001,-18.98333328 48.0000000300001,-18.999379549 48.0000000300001,-18.9999999469999 48.0000000300001,-19.0160358759999 48.0000000300001,-19.0166666129999 48.0000000300001,-19.032692202 48.0000000300001,-19.03333328 48.0000000300001,-19.0493485289999 48.0000000300001,-19.0499999469999 48.0000000300001,-19.0660048559999 48.0000000300001,-19.0666666129999 48.0000000300001,-19.082661182 48.0000000300001,-19.08333328 48.0000000300001,-19.0993175089999 48.0000000300001,-19.099999947 48.0000000300001,-19.115973836 48.0000000300001,-19.1166666129999 48.0000000300001,-19.1326301629999 48.0000000300001,-19.1333332799999 48.0000000300001,-19.149286489 48.0000000300001,-19.149999947 48.0000000300001,-19.1659428159999 48.0000000300001,-19.166666614 48.0000000300001,-19.1825991429999 48.0000000300001,-19.1833332799999 48.0000000300001,-19.19925547 48.0000000300001,-19.199999947 48.0000000300001,-19.2159117959999 48.0000000300001,-19.216666614 48.0000000300001,-19.232568123 48.0000000300001,-19.23333328 48.0000000300001,-19.2492244499999 48.0000000300001,-19.2499999469999 48.0000000300001,-19.265880776 48.0000000300001,-19.266666614 48.0000000300001,-19.282537103 48.0000000300001,-19.28333328 48.0000000300001,-19.2991934299999 48.0000000300001,-19.2999999469999 48.0000000300001,-19.315849757 48.0000000300001,-19.3166666139999 48.0000000300001,-19.3325060829999 48.0000000300001,-19.33333328 48.0000000300001,-19.34916241 48.0000000300001,-19.349999947 48.0000000300001,-19.3658187369999 48.0000000300001,-19.3666666139999 48.0000000300001,-19.382475063 48.0000000300001,-19.3833332799999 48.0000000300001,-19.39913139 48.0000000300001,-19.399999947 48.0000000300001,-19.4157877169999 48.0000000300001,-19.416666614 48.0000000300001,-19.432444044 48.0000000300001,-19.4333332799999 48.0000000300001,-19.4491003699999 48.0000000300001,-19.449999947 48.0000000300001,-19.465756697 48.0000000300001,-19.466666614 48.0000000300001,-19.482413024 48.0000000300001,-19.48333328 48.0000000300001,-19.49906935 48.0000000300001,-19.4999999469999 48.0000000300001,-19.515725677 48.0000000300001,-19.516666614 48.0000000300001,-19.5323820039999 48.0000000300001,-19.533333281 48.0000000300001,-19.549038331 48.0000000300001,-19.5499999469999 48.0000000300001,-19.5656946569999 48.0000000300001,-19.5666666139999 48.0000000300001,-19.582350984 48.0000000300001,-19.583333281 48.0000000300001,-19.599007311 48.0000000300001,-19.599999947 48.0000000300001,-19.615663637 48.0000000300001,-19.6166666139999 48.0000000300001,-19.632319964 48.0000000300001,-19.633333281 48.0000000300001,-19.6489762909999 48.0000000300001,-19.649999947 48.0000000300001,-19.665632618 48.0000000300001,-19.666666614 48.0000000300001,-19.6822889439999 48.0000000300001,-19.6833332809999 48.0000000300001,-19.698945271 48.0000000300001,-19.699999947 48.0000000300001,-19.715601598 48.0000000300001,-19.716666614 48.0000000300001,-19.7322579249999 48.0000000300001,-19.7333332809999 48.0000000300001,-19.748914251 48.0000000300001,-19.7499999469999 48.0000000300001,-19.7655705779999 48.0000000300001,-19.766666614 48.0000000300001,-19.782226905 48.0000000300001,-19.783333281 48.0000000300001,-19.7988832309999 48.0000000300001,-19.7999999469999 48.0000000300001,-19.815539558 48.0000000300001,-19.8166666139999 48.0000000300001,-19.832195885 48.0000000300001,-19.833333281 48.0000000300001,-19.8488522119999 48.0000000300001,-19.849999947 48.0000000300001,-19.865508538 48.0000000300001,-19.8666666139999 48.0000000300001,-19.8821648649999 48.0000000300001,-19.883333281 48.0000000300001,-19.898821192 48.0000000300001,-19.899999948 48.0000000300001,-19.9154775179999 48.0000000300001,-19.916666614 48.0000000300001,-19.932133845 48.0000000300001,-19.9333332809999 48.0000000300001,-19.948790172 48.0000000300001,-19.949999948 48.0000000300001,-19.9654464989999 48.0000000300001,-19.966666614 48.0000000300001,-19.982102825 48.0000000300001,-19.9833332809999 48.0000000300001,-19.9987591519999 48.0000000300001,-19.999999948 48.0000000300001,-20.015415479 48.0000000300001,-20.016666614 48.0000000300001,-20.0320718049999 48.0000000300001,-20.033333281 48.0000000300001,-20.048728132 48.0000000300001,-20.0499999479999 48.0000000300001,-20.065384459 48.0000000300001,-20.0666666139999 48.0000000300001,-20.0820407859999 48.0000000300001,-20.083333281 48.0000000300001,-20.098697112 48.0000000300001,-20.0999999479999 48.0000000300001,-20.1153534389999 48.0000000300001,-20.1166666139999 48.0000000300001,-20.132009766 48.0000000300001,-20.133333281 48.0000000300001,-20.1486660919999 48.0000000300001,-20.149999948 48.0000000300001,-20.1653224189999 48.0000000300001,-20.166666614 48.0000000300001,-20.181978746 48.0000000300001,-20.1833332809999 48.0000000300001,-20.1986350729999 48.0000000300001,-20.199999948 48.0000000300001,-20.215291399 48.0000000300001,-20.216666614 48.0000000300001,-20.2319477259999 48.0000000300001,-20.2333332809999 48.0000000300001,-20.248604053 48.0000000300001,-20.249999948 48.0000000300001,-20.26526038 48.0000000300001,-20.266666615 48.0000000300001,-20.2819167059999 48.0000000300001,-20.283333281 48.0000000300001,-20.298573033 48.0000000300001,-20.2999999479999 48.0000000300001,-20.3152293599999 48.0000000300001,-20.316666615 48.0000000300001,-20.331885686 48.0000000300001,-20.333333281 48.0000000300001,-20.3485420129999 48.0000000300001,-20.3499999479999 48.0000000300001,-20.3651983399999 48.0000000300001,-20.3666666149999 48.0000000300001,-20.381854667 48.0000000300001,-20.383333281 48.0000000300001,-20.3985109929999 48.0000000300001,-20.399999948 48.0000000300001,-20.41516732 48.0000000300001,-20.4166666149999 48.0000000300001,-20.4318236469999 48.0000000300001,-20.4333332809999 48.0000000300001,-20.448479973 48.0000000300001,-20.449999948 48.0000000300001,-20.4651362999999 48.0000000300001,-20.466666615 48.0000000300001,-20.4817926269999 48.0000000300001,-20.4833332809999 48.0000000300001,-20.498448954 48.0000000300001,-20.499999948 48.0000000300001,-20.5151052799999 48.0000000300001,-20.516666615 48.0000000300001,-20.531761607 48.0000000300001,-20.533333281 48.0000000300001,-20.5484179339999 48.0000000300001,-20.5499999479999 48.0000000300001,-20.56507426 48.0000000300001,-20.566666615 48.0000000300001,-20.581730587 48.0000000300001,-20.583333282 48.0000000300001,-20.5983869139999 48.0000000300001,-20.5999999479999 48.0000000300001,-20.615043241 48.0000000300001,-20.6166666149999 48.0000000300001,-20.6316995669999 48.0000000300001,-20.633333282 48.0000000300001,-20.648355894 48.0000000300001,-20.649999948 48.0000000300001,-20.6650122209999 48.0000000300001,-20.6666666149999 48.0000000300001,-20.681668547 48.0000000300001,-20.683333282 48.0000000300001,-20.698324874 48.0000000300001,-20.699999948 48.0000000300001,-20.7149812009999 48.0000000300001,-20.716666615 48.0000000300001,-20.731637528 48.0000000300001,-20.7333332819999 48.0000000300001,-20.7482938539999 48.0000000300001,-20.749999948 48.0000000300001,-20.764950181 48.0000000300001,-20.766666615 48.0000000300001,-20.781606508 48.0000000300001,-20.7833332819999 48.0000000300001,-20.7982628349999 48.0000000300001,-20.7999999479999 48.0000000300001,-20.814919161 48.0000000300001,-20.816666615 48.0000000300001,-20.8315754879999 48.0000000300001,-20.833333282 48.0000000300001,-20.848231815 48.0000000300001,-20.8499999479999 48.0000000300001,-20.8648881409999 48.0000000300001,-20.8666666149999 48.0000000300001,-20.881544468 48.0000000300001,-20.883333282 48.0000000300001,-20.898200795 48.0000000300001,-20.899999948 48.0000000300001,-20.9148571219999 48.0000000300001,-20.9166666149999 48.0000000300001,-20.931513448 48.0000000300001,-20.933333282 48.0000000300001,-20.9481697749999 48.0000000300001,-20.949999949 48.0000000300001,-20.964826102 48.0000000300001,-20.966666615 48.0000000300001,-20.9814824279999 48.0000000300001,-20.9833332819999 48.0000000300001,-20.998138755 48.0000000300001,-20.999999949 48.0000000300001,-21.014795082 48.0000000300001,-21.016666615 48.0000000300001,-21.0314514089999 48.0000000300001,-21.0333332819999 48.0000000300001,-21.048107735 48.0000000300001,-21.049999949 48.0000000300001,-21.0647640619999 48.0000000300001,-21.066666615 48.0000000300001,-21.081420389 48.0000000300001,-21.083333282 48.0000000300001,-21.0980767149999 48.0000000300001,-21.0999999489999 48.0000000300001,-21.114733042 48.0000000300001,-21.1166666149999 48.0000000300001,-21.131389369 48.0000000300001,-21.133333282 48.0000000300001,-21.1480456959999 48.0000000300001,-21.1499999489999 48.0000000300001,-21.164702022 48.0000000300001,-21.1666666149999 48.0000000300001,-21.1813583489999 48.0000000300001,-21.183333282 48.0000000300001,-21.198014676 48.0000000300001,-21.199999949 48.0000000300001,-21.2146710019999 48.0000000300001,-21.216666615 48.0000000300001,-21.231327329 48.0000000300001,-21.2333332819999 48.0000000300001,-21.247983656 48.0000000300001,-21.249999949 48.0000000300001,-21.2646399829999 48.0000000300001,-21.266666615 48.0000000300001,-21.281296309 48.0000000300001,-21.2833332819999 48.0000000300001,-21.2979526359999 48.0000000300001,-21.299999949 48.0000000300001,-21.314608963 48.0000000300001,-21.316666616 48.0000000300001,-21.33126529 48.0000000300001,-21.333333282 48.0000000300001,-21.347921616 48.0000000300001,-21.3499999489999 48.0000000300001,-21.364577943 48.0000000300001,-21.366666616 48.0000000300001,-21.3812342699999 48.0000000300001,-21.383333282 48.0000000300001,-21.397890596 48.0000000300001,-21.3999999489999 48.0000000300001,-21.4145469229999 48.0000000300001,-21.4166666159999 48.0000000300001,-21.43120325 48.0000000300001,-21.433333282 48.0000000300001,-21.447859577 48.0000000300001,-21.449999949 48.0000000300001,-21.4645159029999 48.0000000300001,-21.4666666159999 48.0000000300001,-21.48117223 48.0000000300001,-21.4833332819999 48.0000000300001,-21.4978285569999 48.0000000300001,-21.499999949 48.0000000300001,-21.514484883 48.0000000300001,-21.516666616 48.0000000300001,-21.5311412099999 48.0000000300001,-21.5333332819999 48.0000000300001,-21.547797537 48.0000000300001,-21.549999949 48.0000000300001,-21.564453864 48.0000000300001,-21.566666616 48.0000000300001,-21.5811101899999 48.0000000300001,-21.583333282 48.0000000300001,-21.597766517 48.0000000300001,-21.5999999489999 48.0000000300001,-21.6144228439999 48.0000000300001,-21.616666616 48.0000000300001,-21.63107917 48.0000000300001,-21.633333282 48.0000000300001,-21.6477354969999 48.0000000300001,-21.6499999489999 48.0000000300001,-21.6643918239999 48.0000000300001,-21.6666666159999 48.0000000300001,-21.681048151 48.0000000300001,-21.683333283 48.0000000300001,-21.6977044769999 48.0000000300001,-21.699999949 48.0000000300001,-21.714360804 48.0000000300001,-21.7166666159999 48.0000000300001,-21.7310171309999 48.0000000300001,-21.733333283 48.0000000300001,-21.747673457 48.0000000300001,-21.749999949 48.0000000300001,-21.764329784 48.0000000300001,-21.766666616 48.0000000300001,-21.7809861109999 48.0000000300001,-21.7833332829999 48.0000000300001,-21.797642438 48.0000000300001,-21.799999949 48.0000000300001,-21.8142987639999 48.0000000300001,-21.816666616 48.0000000300001,-21.830955091 48.0000000300001,-21.8333332829999 48.0000000300001,-21.8476114179999 48.0000000300001,-21.8499999489999 48.0000000300001,-21.8642677449999 48.0000000300001,-21.866666616 48.0000000300001,-21.880924071 48.0000000300001,-21.883333283 48.0000000300001,-21.8975803979999 48.0000000300001,-21.8999999489999 48.0000000300001,-21.914236725 48.0000000300001,-21.9166666159999 48.0000000300001,-21.9308930509999 48.0000000300001,-21.933333283 48.0000000300001,-21.947549378 48.0000000300001,-21.949999949 48.0000000300001,-21.9642057049999 48.0000000300001,-21.9666666159999 48.0000000300001,-21.9808620319999 48.0000000300001,-21.983333283 48.0000000300001,-21.997518358 48.0000000300001,-21.999999949 48.0000000300001,-22.0141746849999 48.0000000300001,-22.016666616 48.0000000300001,-22.030831012 48.0000000300001,-22.0333332829999 48.0000000300001,-22.0474873379999 48.0000000300001,-22.04999995 48.0000000300001,-22.064143665 48.0000000300001,-22.066666616 48.0000000300001,-22.080799992 48.0000000300001,-22.0833332829999 48.0000000300001,-22.0974563189999 48.0000000300001,-22.09999995 48.0000000300001,-22.114112645 48.0000000300001,-22.116666616 48.0000000300001,-22.1307689719999 48.0000000300001,-22.133333283 48.0000000300001,-22.147425299 48.0000000300001,-22.1499999499999 48.0000000300001,-22.1640816249999 48.0000000300001,-22.1666666159999 48.0000000300001,-22.180737952 48.0000000300001,-22.183333283 48.0000000300001,-22.197394279 48.0000000300001,-22.1999999499999 48.0000000300001,-22.2140506059999 48.0000000300001,-22.2166666159999 48.0000000300001,-22.230706932 48.0000000300001,-22.233333283 48.0000000300001,-22.2473632589999 48.0000000300001,-22.24999995 48.0000000300001,-22.264019586 48.0000000300001,-22.266666616 48.0000000300001,-22.2806759119999 48.0000000300001,-22.2833332829999 48.0000000300001,-22.297332239 48.0000000300001,-22.29999995 48.0000000300001,-22.313988566 48.0000000300001,-22.316666616 48.0000000300001,-22.3306448929999 48.0000000300001,-22.3333332829999 48.0000000300001,-22.347301219 48.0000000300001,-22.34999995 48.0000000300001,-22.3639575459999 48.0000000300001,-22.366666617 48.0000000300001,-22.380613873 48.0000000300001,-22.383333283 48.0000000300001,-22.3972702 48.0000000300001,-22.3999999499999 48.0000000300001,-22.413926526 48.0000000300001,-22.416666617 48.0000000300001,-22.430582853 48.0000000300001,-22.433333283 48.0000000300001,-22.4472391799999 48.0000000300001,-22.4499999499999 48.0000000300001,-22.463895506 48.0000000300001,-22.4666666169999 48.0000000300001,-22.4805518329999 48.0000000300001,-22.483333283 48.0000000300001,-22.49720816 48.0000000300001,-22.49999995 48.0000000300001,-22.513864487 48.0000000300001,-22.5166666169999 48.0000000300001,-22.530520813 48.0000000300001,-22.5333332829999 48.0000000300001,-22.54717714 48.0000000300001,-22.54999995 48.0000000300001,-22.5638334669999 48.0000000300001,-22.566666617 48.0000000300001,-22.580489793 48.0000000300001,-22.5833332829999 48.0000000300001,-22.5971461199999 48.0000000300001,-22.59999995 48.0000000300001,-22.613802447 48.0000000300001,-22.616666617 48.0000000300001,-22.630458774 48.0000000300001,-22.633333283 48.0000000300001,-22.6471151 48.0000000300001,-22.6499999499999 48.0000000300001,-22.663771427 48.0000000300001,-22.666666617 48.0000000300001,-22.6804277539999 48.0000000300001,-22.683333283 48.0000000300001,-22.69708408 48.0000000300001,-22.6999999499999 48.0000000300001,-22.7137404069999 48.0000000300001,-22.7166666169999 48.0000000300001,-22.730396734 48.0000000300001,-22.733333284 48.0000000300001,-22.747053061 48.0000000300001,-22.74999995 48.0000000300001,-22.7637093869999 48.0000000300001,-22.7666666169999 48.0000000300001,-22.780365714 48.0000000300001,-22.783333284 48.0000000300001,-22.7970220409999 48.0000000300001,-22.79999995 48.0000000300001,-22.813678367 48.0000000300001,-22.816666617 48.0000000300001,-22.8303346939999 48.0000000300001,-22.8333332839999 48.0000000300001,-22.846991021 48.0000000300001,-22.84999995 48.0000000300001,-22.863647348 48.0000000300001,-22.866666617 48.0000000300001,-22.8803036739999 48.0000000300001,-22.8833332839999 48.0000000300001,-22.896960001 48.0000000300001,-22.8999999499999 48.0000000300001,-22.9136163279999 48.0000000300001,-22.916666617 48.0000000300001,-22.930272655 48.0000000300001,-22.933333284 48.0000000300001,-22.9469289809999 48.0000000300001,-22.9499999499999 48.0000000300001,-22.9635853079999 48.0000000300001,-22.9666666169999 48.0000000300001,-22.980241635 48.0000000300001,-22.983333284 48.0000000300001,-22.9968979609999 48.0000000300001,-22.99999995 48.0000000300001,-23.013554288 48.0000000300001,-23.0166666169999 48.0000000300001,-23.0302106149999 48.0000000300001,-23.033333284 48.0000000300001,-23.046866942 48.0000000300001,-23.04999995 48.0000000300001,-23.063523268 48.0000000300001,-23.066666617 48.0000000300001,-23.0801795949999 48.0000000300001,-23.0833332839999 48.0000000300001,-23.096835922 48.0000000300001,-23.099999951 48.0000000300001,-23.1134922479999 48.0000000300001,-23.116666617 48.0000000300001,-23.130148575 48.0000000300001,-23.1333332839999 48.0000000300001,-23.1468049019999 48.0000000300001,-23.1499999509999 48.0000000300001,-23.1634612289999 48.0000000300001,-23.166666617 48.0000000300001,-23.180117555 48.0000000300001,-23.183333284 48.0000000300001,-23.1967738819999 48.0000000300001,-23.1999999509999 48.0000000300001,-23.213430209 48.0000000300001,-23.2166666169999 48.0000000300001,-23.2300865349999 48.0000000300001,-23.233333284 48.0000000300001,-23.246742862 48.0000000300001,-23.2499999509999 48.0000000300001,-23.263399189 48.0000000300001,-23.2666666169999 48.0000000300001,-23.2800555159999 48.0000000300001,-23.283333284 48.0000000300001,-23.296711842 48.0000000300001,-23.299999951 48.0000000300001,-23.3133681689999 48.0000000300001,-23.316666617 48.0000000300001,-23.330024496 48.0000000300001,-23.3333332839999 48.0000000300001,-23.3466808219999 48.0000000300001,-23.349999951 48.0000000300001,-23.363337149 48.0000000300001,-23.366666617 48.0000000300001,-23.379993476 48.0000000300001,-23.3833332839999 48.0000000300001,-23.3966498029999 48.0000000300001,-23.3999999509999 48.0000000300001,-23.413306129 48.0000000300001,-23.416666617 48.0000000300001,-23.4299624559999 48.0000000300001,-23.433333284 48.0000000300001,-23.446618783 48.0000000300001,-23.4499999509999 48.0000000300001,-23.4632751099999 48.0000000300001,-23.466666618 48.0000000300001,-23.479931436 48.0000000300001,-23.483333284 48.0000000300001,-23.496587763 48.0000000300001,-23.4999999509999 48.0000000300001,-23.5132440899999 48.0000000300001,-23.5166666179999 48.0000000300001,-23.529900416 48.0000000300001,-23.533333284 48.0000000300001,-23.5465567429999 48.0000000300001,-23.549999951 48.0000000300001,-23.56321307 48.0000000300001,-23.5666666179999 48.0000000300001,-23.579869397 48.0000000300001,-23.5833332839999 48.0000000300001,-23.596525723 48.0000000300001,-23.599999951 48.0000000300001,-23.61318205 48.0000000300001,-23.616666618 48.0000000300001,-23.6298383769999 48.0000000300001,-23.6333332839999 48.0000000300001,-23.646494703 48.0000000300001,-23.6499999509999 48.0000000300001,-23.6631510299999 48.0000000300001,-23.666666618 48.0000000300001,-23.679807357 48.0000000300001,-23.683333284 48.0000000300001,-23.696463684 48.0000000300001,-23.6999999509999 48.0000000300001,-23.71312001 48.0000000300001,-23.716666618 48.0000000300001,-23.729776337 48.0000000300001,-23.733333284 48.0000000300001,-23.7464326639999 48.0000000300001,-23.7499999509999 48.0000000300001,-23.76308899 48.0000000300001,-23.7666666179999 48.0000000300001,-23.7797453169999 48.0000000300001,-23.783333284 48.0000000300001,-23.796401644 48.0000000300001,-23.799999951 48.0000000300001,-23.813057971 48.0000000300001,-23.8166666179999 48.0000000300001,-23.829714297 48.0000000300001,-23.833333285 48.0000000300001,-23.846370624 48.0000000300001,-23.849999951 48.0000000300001,-23.8630269509999 48.0000000300001,-23.866666618 48.0000000300001,-23.879683277 48.0000000300001,-23.8833332849999 48.0000000300001,-23.8963396039999 48.0000000300001,-23.8999999509999 48.0000000300001,-23.912995931 48.0000000300001,-23.916666618 48.0000000300001,-23.929652258 48.0000000300001,-23.9333332849999 48.0000000300001,-23.946308584 48.0000000300001,-23.9499999509999 48.0000000300001,-23.962964911 48.0000000300001,-23.966666618 48.0000000300001,-23.9796212379999 48.0000000300001,-23.983333285 48.0000000300001,-23.996277565 48.0000000300001,-23.9999999509999 48.0000000300001,-24.0129338909999 48.0000000300001,-24.0166666179999 48.0000000300001,-24.029590218 48.0000000300001,-24.033333285 48.0000000300001,-24.046246545 48.0000000300001,-24.049999951 48.0000000300001,-24.0629028709999 48.0000000300001,-24.0666666179999 48.0000000300001,-24.079559198 48.0000000300001,-24.083333285 48.0000000300001,-24.0962155249999 48.0000000300001,-24.099999951 48.0000000300001,-24.112871852 48.0000000300001,-24.116666618 48.0000000300001,-24.1295281779999 48.0000000300001,-24.1333332849999 48.0000000300001,-24.146184505 48.0000000300001,-24.1499999509999 48.0000000300001,-24.162840832 48.0000000300001,-24.166666618 48.0000000300001,-24.1794971579999 48.0000000300001,-24.1833332849999 48.0000000300001,-24.196153485 48.0000000300001,-24.1999999519999 48.0000000300001,-24.2128098119999 48.0000000300001,-24.216666618 48.0000000300001,-24.229466139 48.0000000300001,-24.233333285 48.0000000300001,-24.2461224649999 48.0000000300001,-24.2499999519999 48.0000000300001,-24.2627787919999 48.0000000300001,-24.2666666179999 48.0000000300001,-24.279435119 48.0000000300001,-24.283333285 48.0000000300001,-24.2960914449999 48.0000000300001,-24.299999952 48.0000000300001,-24.312747772 48.0000000300001,-24.3166666179999 48.0000000300001,-24.3294040989999 48.0000000300001,-24.333333285 48.0000000300001,-24.346060426 48.0000000300001,-24.349999952 48.0000000300001,-24.362716752 48.0000000300001,-24.366666618 48.0000000300001,-24.3793730789999 48.0000000300001,-24.3833332849999 48.0000000300001,-24.396029406 48.0000000300001,-24.399999952 48.0000000300001,-24.4126857319999 48.0000000300001,-24.416666618 48.0000000300001,-24.429342059 48.0000000300001,-24.4333332849999 48.0000000300001,-24.4459983859999 48.0000000300001,-24.4499999519999 48.0000000300001,-24.4626547129999 48.0000000300001,-24.466666618 48.0000000300001,-24.479311039 48.0000000300001,-24.483333285 48.0000000300001,-24.4959673659999 48.0000000300001,-24.4999999519999 48.0000000300001,-24.512623693 48.0000000300001,-24.516666619 48.0000000300001,-24.5292800199999 48.0000000300001,-24.533333285 48.0000000300001,-24.545936346 48.0000000300001,-24.549999952 48.0000000300001,-24.562592673 48.0000000300001,-24.5666666189999 48.0000000300001,-24.5792489999999 48.0000000300001,-24.583333285 48.0000000300001,-24.595905326 48.0000000300001,-24.599999952 48.0000000300001,-24.6125616529999 48.0000000300001,-24.6166666189999 48.0000000300001,-24.62921798 48.0000000300001,-24.6333332849999 48.0000000300001,-24.6458743069999 48.0000000300001,-24.649999952 48.0000000300001,-24.662530633 48.0000000300001,-24.666666619 48.0000000300001,-24.67918696 48.0000000300001,-24.6833332849999 48.0000000300001,-24.6958432869999 48.0000000300001,-24.6999999519999 48.0000000300001,-24.712499613 48.0000000300001,-24.716666619 48.0000000300001,-24.7291559399999 48.0000000300001,-24.733333285 48.0000000300001,-24.745812267 48.0000000300001,-24.7499999519999 48.0000000300001,-24.762468594 48.0000000300001,-24.766666619 48.0000000300001,-24.77912492 48.0000000300001,-24.783333285 48.0000000300001,-24.795781247 48.0000000300001,-24.799999952 48.0000000300001,-24.8124375739999 48.0000000300001,-24.8166666189999 48.0000000300001,-24.8290939 48.0000000300001,-24.833333285 48.0000000300001,-24.8457502269999 48.0000000300001,-24.849999952 48.0000000300001,-24.862406554 48.0000000300001,-24.8666666189999 48.0000000300001,-24.879062881 48.0000000300001,-24.883333286 48.0000000300001,-24.895719207 48.0000000300001,-24.899999952 48.0000000300001,-24.912375534 48.0000000300001,-24.916666619 48.0000000300001,-24.9290318609999 48.0000000300001,-24.9333332859999 48.0000000300001,-24.945688187 48.0000000300001,-24.9499999519999 48.0000000300001,-24.9623445139999 48.0000000300001,-24.966666619 48.0000000300001,-24.979000841 48.0000000300001,-24.9833332859999 48.0000000300001,-24.995657168 48.0000000300001,-24.9999999519999 48.0000000300001,-25.012313494 48.0000000300001,-25.016666619 48.0000000300001,-25.028969821 48.0000000300001,-25.033333286 48.0000000300001,-25.0456261479999 48.0000000300001,-25.049999952 48.0000000300001,-25.062282475 48.0000000300001,-25.0666666189999 48.0000000300001,-25.0789388009999 48.0000000300001,-25.083333286 48.0000000300001,-25.095595128 48.0000000300001,-25.099999952 48.0000000300001,-25.112251455 48.0000000300001,-25.1166666189999 48.0000000300001,-25.128907781 48.0000000300001,-25.133333286 48.0000000300001,-25.145564108 48.0000000300001,-25.149999952 48.0000000300001,-25.1622204349999 48.0000000300001,-25.166666619 48.0000000300001,-25.178876762 48.0000000300001,-25.1833332859999 48.0000000300001,-25.1955330879999 48.0000000300001,-25.1999999519999 48.0000000300001,-25.212189415 48.0000000300001,-25.216666619 48.0000000300001,-25.228845742 48.0000000300001,-25.2333332859999 48.0000000300001,-25.245502068 48.0000000300001,-25.2499999529999 48.0000000300001,-25.262158395 48.0000000300001,-25.266666619 48.0000000300001,-25.2788147219999 48.0000000300001,-25.283333286 48.0000000300001,-25.295471049 48.0000000300001,-25.2999999529999 48.0000000300001,-25.3121273749999 48.0000000300001,-25.3166666189999 48.0000000300001,-25.328783702 48.0000000300001,-25.333333286 48.0000000300001,-25.345450952 48.0000000300001,-25.349999953 48.0000000300001,-25.362118202 48.0000000300001,-25.3666666189999 48.0000000300001,-25.3787854519999 48.0000000300001,-25.383333286 48.0000000300001,-25.3954527019999 48.0000000300001,-25.399999953 48.0000000300001,-25.412119952 48.0000000300001,-25.416666619 48.0000000300001,-25.428787202 48.0000000300001,-25.4333332859999 48.0000000300001,-25.445454452 48.0000000300001,-25.449999953 48.0000000300001,-25.4621217019999 48.0000000300001,-25.466666619 48.0000000300001,-25.4787889519999 48.0000000300001,-25.4833332859999 48.0000000300001,-25.4954562029999 48.0000000300001,-25.4999999529999 48.0000000300001,-25.512123453 48.0000000300001,-25.516666619 48.0000000300001,-25.528790703 48.0000000300001,-25.533333286 48.0000000300001,-25.545457953 48.0000000300001,-25.5499999529999 48.0000000300001,-25.5621252029999 48.0000000300001,-25.5666666189999 48.0000000300001,-25.5787924529999 48.0000000300001,-25.583333286 48.0000000300001,-25.595459703 48.0000000300001,-25.599999953 48.0000000300001,-25.612126953 48.0000000300001,-25.6166666199999 48.0000000300001,-25.6287942029999 48.0000000300001,-25.633333286 48.0000000300001,-25.6454614529999 48.0000000300001,-25.649999953 48.0000000300001,-25.662128703 48.0000000300001,-25.6666666199999 48.0000000300001,-25.678795953 48.0000000300001,-25.6833332859999 48.0000000300001,-25.695463203 48.0000000300001,-25.699999953 48.0000000300001,-25.7121304529999 48.0000000300001,-25.71666662 48.0000000300001,-25.7287977029999 48.0000000300001,-25.7333332859999 48.0000000300001,-25.745464953 48.0000000300001,-25.7499999529999 48.0000000300001,-25.762132203 48.0000000300001,-25.76666662 48.0000000300001,-25.778799453 48.0000000300001,-25.783333286 48.0000000300001,-25.7954667029999 48.0000000300001,-25.7999999529999 48.0000000300001,-25.8121339529999 48.0000000300001,-25.81666662 48.0000000300001,-25.8288012039999 48.0000000300001,-25.833333286 48.0000000300001,-25.845468454 48.0000000300001,-25.849999953 48.0000000300001,-25.862135704 48.0000000300001,-25.8666666199999 48.0000000300001,-25.878802954 48.0000000300001,-25.883333286 48.0000000300001,-25.8954702039999 48.0000000300001,-25.899999953 48.0000000300001,-25.9121374539999 48.0000000300001,-25.9166666199999 48.0000000300001,-25.928804704 48.0000000300001,-25.9333332859999 48.0000000300001,-25.945471954 48.0000000300001,-25.949999953 48.0000000300001,-25.962139204 48.0000000300001,-25.96666662 48.0000000300001,-25.9788064539999 48.0000000300001,-25.9833332869999 48.0000000300001,-25.9954737039999 48.0000000300001,-25.9999999529999 48.0000000300001,-26.012140954 48.0000000300001,-26.01666662 48.0000000300001,-26.028808204 48.0000000300001,-26.0333332869999 48.0000000300001,-26.0454754539999 48.0000000300001,-26.0499999529999 48.0000000300001,-26.0621427039999 48.0000000300001,-26.06666662 48.0000000300001,-26.078809954 48.0000000300001,-26.083333287 48.0000000300001,-26.095477204 48.0000000300001,-26.099999953 48.0000000300001,-26.112144454 48.0000000300001,-26.1166666199999 48.0000000300001,-26.1288117039999 48.0000000300001,-26.133333287 48.0000000300001,-26.1454789549999 48.0000000300001,-26.149999953 48.0000000300001,-26.1621462049999 48.0000000300001,-26.1666666199999 48.0000000300001,-26.178813455 48.0000000300001,-26.183333287 48.0000000300001,-26.195480705 48.0000000300001,-26.199999953 48.0000000300001,-26.212147955 48.0000000300001,-26.21666662 48.0000000300001,-26.2288152049999 48.0000000300001,-26.2333332869999 48.0000000300001,-26.2454824549999 48.0000000300001,-26.2499999529999 48.0000000300001,-26.262149705 48.0000000300001,-26.26666662 48.0000000300001,-26.278816955 48.0000000300001,-26.2833332869999 48.0000000300001,-26.295484205 48.0000000300001,-26.2999999529999 48.0000000300001,-26.3121514549999 48.0000000300001,-26.31666662 48.0000000300001,-26.3288187049999 48.0000000300001,-26.333333287 48.0000000300001,-26.345485955 48.0000000300001,-26.3499999539999 48.0000000300001,-26.362153205 48.0000000300001,-26.3666666199999 48.0000000300001,-26.378820455 48.0000000300001,-26.383333287 48.0000000300001,-26.3954877049999 48.0000000300001,-26.399999954 48.0000000300001,-26.4121549549999 48.0000000300001,-26.4166666199999 48.0000000300001,-26.428822205 48.0000000300001,-26.433333287 48.0000000300001,-26.445489455 48.0000000300001,-26.449999954 48.0000000300001,-26.462156706 48.0000000300001,-26.46666662 48.0000000300001,-26.4788239559999 48.0000000300001,-26.4833332869999 48.0000000300001,-26.4954912059999 48.0000000300001,-26.499999954 48.0000000300001,-26.512158456 48.0000000300001,-26.51666662 48.0000000300001,-26.528825706 48.0000000300001,-26.5333332869999 48.0000000300001,-26.545492956 48.0000000300001,-26.5499999539999 48.0000000300001,-26.5621602059999 48.0000000300001,-26.56666662 48.0000000300001,-26.5788274559999 48.0000000300001,-26.583333287 48.0000000300001,-26.595494706 48.0000000300001,-26.5999999539999 48.0000000300001,-26.612161956 48.0000000300001,-26.6166666199999 48.0000000300001,-26.628829206 48.0000000300001,-26.633333287 48.0000000300001,-26.6454964559999 48.0000000300001,-26.649999954 48.0000000300001,-26.6621637059999 48.0000000300001,-26.6666666209999 48.0000000300001,-26.678830956 48.0000000300001,-26.683333287 48.0000000300001,-26.695498206 48.0000000300001,-26.699999954 48.0000000300001,-26.712165456 48.0000000300001,-26.7166666209999 48.0000000300001,-26.7288327059999 48.0000000300001,-26.7333332869999 48.0000000300001,-26.7454999559999 48.0000000300001,-26.749999954 48.0000000300001,-26.762167206 48.0000000300001,-26.766666621 48.0000000300001,-26.778834456 48.0000000300001,-26.7833332869999 48.0000000300001,-26.795501707 48.0000000300001,-26.7999999539999 48.0000000300001,-26.812168957 48.0000000300001,-26.816666621 48.0000000300001,-26.8288362069999 48.0000000300001,-26.833333287 48.0000000300001,-26.8455034569999 48.0000000300001,-26.8499999539999 48.0000000300001,-26.862170707 48.0000000300001,-26.866666621 48.0000000300001,-26.878837957 48.0000000300001,-26.883333287 48.0000000300001,-26.8955052069999 48.0000000300001,-26.899999954 48.0000000300001,-26.9121724569999 48.0000000300001,-26.9166666209999 48.0000000300001,-26.928839707 48.0000000300001,-26.933333287 48.0000000300001,-26.945506957 48.0000000300001,-26.949999954 48.0000000300001,-26.962174207 48.0000000300001,-26.9666666209999 48.0000000300001,-26.9788414569999 48.0000000300001,-26.9833332869999 48.0000000300001,-26.9955087069999 48.0000000300001,-26.999999954 48.0000000300001,-27.012175957 48.0000000300001,-27.016666621 48.0000000300001,-27.028843207 48.0000000300001,-27.0333332879999 48.0000000300001,-27.045510457 48.0000000300001,-27.0499999539999 48.0000000300001,-27.0621777069999 48.0000000300001,-27.066666621 48.0000000300001,-27.0788449569999 48.0000000300001,-27.0833332879999 48.0000000300001,-27.095512207 48.0000000300001,-27.0999999539999 48.0000000300001,-27.112179458 48.0000000300001,-27.116666621 48.0000000300001,-27.128846708 48.0000000300001,-27.133333288 48.0000000300001,-27.145513958 48.0000000300001,-27.149999954 48.0000000300001,-27.1621812079999 48.0000000300001,-27.1666666209999 48.0000000300001,-27.1788484579999 48.0000000300001,-27.183333288 48.0000000300001,-27.195515708 48.0000000300001,-27.199999954 48.0000000300001,-27.212182958 48.0000000300001,-27.2166666209999 48.0000000300001,-27.228850208 48.0000000300001,-27.233333288 48.0000000300001,-27.2455174579999 48.0000000300001,-27.249999954 48.0000000300001,-27.2621847079999 48.0000000300001,-27.266666621 48.0000000300001,-27.278851958 48.0000000300001,-27.2833332879999 48.0000000300001,-27.295519208 48.0000000300001,-27.2999999539999 48.0000000300001,-27.3121864579999 48.0000000300001,-27.316666621 48.0000000300001,-27.3288537079999 48.0000000300001,-27.3333332879999 48.0000000300001,-27.345520958 48.0000000300001,-27.3499999539999 48.0000000300001,-27.362188208 48.0000000300001,-27.366666621 48.0000000300001,-27.378855458 48.0000000300001,-27.383333288 48.0000000300001,-27.3955227079999 48.0000000300001,-27.3999999549999 48.0000000300001,-27.4121899579999 48.0000000300001,-27.4166666209999 48.0000000300001,-27.428857208 48.0000000300001,-27.433333288 48.0000000300001,-27.445524459 48.0000000300001,-27.449999955 48.0000000300001,-27.462191709 48.0000000300001,-27.4666666209999 48.0000000300001,-27.478858959 48.0000000300001,-27.483333288 48.0000000300001,-27.4955262089999 48.0000000300001,-27.499999955 48.0000000300001,-27.5121934589999 48.0000000300001,-27.516666621 48.0000000300001,-27.528860709 48.0000000300001,-27.5333332879999 48.0000000300001,-27.545527959 48.0000000300001,-27.549999955 48.0000000300001,-27.562195209 48.0000000300001,-27.566666621 48.0000000300001,-27.5788624589999 48.0000000300001,-27.5833332879999 48.0000000300001,-27.5955297089999 48.0000000300001,-27.5999999549999 48.0000000300001,-27.612196959 48.0000000300001,-27.616666621 48.0000000300001,-27.628864209 48.0000000300001,-27.633333288 48.0000000300001,-27.645531459 48.0000000300001,-27.6499999549999 48.0000000300001,-27.6621987089999 48.0000000300001,-27.6666666209999 48.0000000300001,-27.6788659589999 48.0000000300001,-27.683333288 48.0000000300001,-27.695533209 48.0000000300001,-27.699999955 48.0000000300001,-27.712200459 48.0000000300001,-27.7166666209999 48.0000000300001,-27.7288677089999 48.0000000300001,-27.733333288 48.0000000300001,-27.7455349589999 48.0000000300001,-27.749999955 48.0000000300001,-27.7622022099999 48.0000000300001,-27.7666666219999 48.0000000300001,-27.77886946 48.0000000300001,-27.7833332879999 48.0000000300001,-27.79553671 48.0000000300001,-27.799999955 48.0000000300001,-27.81220396 48.0000000300001,-27.816666622 48.0000000300001,-27.8288712099999 48.0000000300001,-27.8333332879999 48.0000000300001,-27.8455384599999 48.0000000300001,-27.8499999549999 48.0000000300001,-27.86220571 48.0000000300001,-27.866666622 48.0000000300001,-27.87887296 48.0000000300001,-27.883333288 48.0000000300001,-27.89554021 48.0000000300001,-27.8999999549999 48.0000000300001,-27.9122074599999 48.0000000300001,-27.916666622 48.0000000300001,-27.9288747099999 48.0000000300001,-27.933333288 48.0000000300001,-27.94554196 48.0000000300001,-27.949999955 48.0000000300001,-27.96220921 48.0000000300001,-27.9666666219999 48.0000000300001,-27.97887646 48.0000000300001,-27.983333288 48.0000000300001,-27.9955437099999 48.0000000300001,-27.999999955 48.0000000300001,-28.0122109599999 48.0000000300001,-28.0166666219999 48.0000000300001,-28.02887821 48.0000000300001,-28.0333332879999 48.0000000300001,-28.04554546 48.0000000300001,-28.049999955 48.0000000300001,-28.06221271 48.0000000300001,-28.066666622 48.0000000300001,-28.0788799609999 48.0000000300001,-28.0833332879999 48.0000000300001,-28.0955472109999 48.0000000300001,-28.0999999549999 48.0000000300001,-28.112214461 48.0000000300001,-28.116666622 48.0000000300001,-28.128881711 48.0000000300001,-28.1333332889999 48.0000000300001,-28.145548961 48.0000000300001,-28.1499999549999 48.0000000300001,-28.1622162109999 48.0000000300001,-28.166666622 48.0000000300001,-28.1788834609999 48.0000000300001,-28.183333289 48.0000000300001,-28.195550711 48.0000000300001,-28.199999955 48.0000000300001,-28.212217961 48.0000000300001,-28.2166666219999 48.0000000300001,-28.228885211 48.0000000300001,-28.233333289 48.0000000300001,-28.2455524609999 48.0000000300001,-28.249999955 48.0000000300001,-28.2622197109999 48.0000000300001,-28.2666666219999 48.0000000300001,-28.278886961 48.0000000300001,-28.283333289 48.0000000300001,-28.295554211 48.0000000300001,-28.299999955 48.0000000300001,-28.312221461 48.0000000300001,-28.316666622 48.0000000300001,-28.3288887109999 48.0000000300001,-28.3333332889999 48.0000000300001,-28.3455559609999 48.0000000300001,-28.3499999549999 48.0000000300001,-28.362223211 48.0000000300001,-28.366666622 48.0000000300001,-28.378890461 48.0000000300001,-28.3833332889999 48.0000000300001,-28.395557711 48.0000000300001,-28.3999999549999 48.0000000300001,-28.412224962 48.0000000300001,-28.416666622 48.0000000300001,-28.4288922119999 48.0000000300001,-28.433333289 48.0000000300001,-28.4455594619999 48.0000000300001,-28.449999955 48.0000000300001,-28.462226712 48.0000000300001,-28.4666666219999 48.0000000300001,-28.478893962 48.0000000300001,-28.483333289 48.0000000300001,-28.4955612119999 48.0000000300001,-28.499999956 48.0000000300001,-28.5122284619999 48.0000000300001,-28.5166666219999 48.0000000300001,-28.528895712 48.0000000300001,-28.533333289 48.0000000300001,-28.545562962 48.0000000300001,-28.549999956 48.0000000300001,-28.562230212 48.0000000300001,-28.566666622 48.0000000300001,-28.5788974619999 48.0000000300001,-28.5833332889999 48.0000000300001,-28.5955647119999 48.0000000300001,-28.599999956 48.0000000300001,-28.612231962 48.0000000300001,-28.616666622 48.0000000300001,-28.628899212 48.0000000300001,-28.6333332889999 48.0000000300001,-28.645566462 48.0000000300001,-28.6499999559999 48.0000000300001,-28.6622337119999 48.0000000300001,-28.666666622 48.0000000300001,-28.6789009619999 48.0000000300001,-28.683333289 48.0000000300001,-28.695568212 48.0000000300001,-28.6999999559999 48.0000000300001,-28.712235462 48.0000000300001,-28.7166666219999 48.0000000300001,-28.728902713 48.0000000300001,-28.733333289 48.0000000300001,-28.745569963 48.0000000300001,-28.749999956 48.0000000300001,-28.7622372129999 48.0000000300001,-28.7666666219999 48.0000000300001,-28.7789044629999 48.0000000300001,-28.783333289 48.0000000300001,-28.795571713 48.0000000300001,-28.799999956 48.0000000300001,-28.812238963 48.0000000300001,-28.8166666229999 48.0000000300001,-28.828906213 48.0000000300001,-28.8333332889999 48.0000000300001,-28.8455734629999 48.0000000300001,-28.849999956 48.0000000300001,-28.8622407129999 48.0000000300001,-28.866666623 48.0000000300001,-28.878907963 48.0000000300001,-28.8833332889999 48.0000000300001,-28.895575213 48.0000000300001,-28.8999999559999 48.0000000300001,-28.912242463 48.0000000300001,-28.916666623 48.0000000300001,-28.9289097129999 48.0000000300001,-28.933333289 48.0000000300001,-28.945576963 48.0000000300001,-28.9499999559999 48.0000000300001,-28.962244213 48.0000000300001,-28.966666623 48.0000000300001,-28.978911463 48.0000000300001,-28.983333289 48.0000000300001,-28.9955787129999 48.0000000300001,-28.999999956 48.0000000300001,-29.0122459629999 48.0000000300001,-29.0166666229999 48.0000000300001,-29.028913213 48.0000000300001,-29.033333289 48.0000000300001,-29.045580463 48.0000000300001,-29.049999956 48.0000000300001,-29.062247714 48.0000000300001,-29.0666666229999 48.0000000300001,-29.078914964 48.0000000300001,-29.0833332889999 48.0000000300001,-29.0955822139999 48.0000000300001,-29.099999956 48.0000000300001,-29.1122494639999 48.0000000300001,-29.116666623 48.0000000300001,-29.128916714 48.0000000300001,-29.1333332889999 48.0000000300001,-29.145583964 48.0000000300001,-29.1499999559999 48.0000000300001,-29.162251214 48.0000000300001,-29.166666623 48.0000000300001,-29.1789184639999 48.0000000300001,-29.18333329 48.0000000300001,-29.1955857139999 48.0000000300001,-29.1999999559999 48.0000000300001,-29.212252964 48.0000000300001,-29.216666623 48.0000000300001,-29.228920214 48.0000000300001,-29.23333329 48.0000000300001,-29.245587464 48.0000000300001,-29.249999956 48.0000000300001,-29.2622547139999 48.0000000300001,-29.2666666229999 48.0000000300001,-29.2789219639999 48.0000000300001,-29.28333329 48.0000000300001,-29.295589214 48.0000000300001,-29.299999956 48.0000000300001,-29.312256464 48.0000000300001,-29.3166666229999 48.0000000300001,-29.328923714 48.0000000300001,-29.3333332899999 48.0000000300001,-29.3455909639999 48.0000000300001,-29.349999956 48.0000000300001,-29.362258214 48.0000000300001,-29.366666623 48.0000000300001,-29.378925465 48.0000000300001,-29.3833332899999 48.0000000300001,-29.395592715 48.0000000300001,-29.3999999559999 48.0000000300001,-29.412259965 48.0000000300001,-29.416666623 48.0000000300001,-29.4289272149999 48.0000000300001,-29.43333329 48.0000000300001,-29.4455944649999 48.0000000300001,-29.4499999559999 48.0000000300001,-29.462261715 48.0000000300001,-29.466666623 48.0000000300001,-29.478928965 48.0000000300001,-29.48333329 48.0000000300001,-29.495596215 48.0000000300001,-29.499999956 48.0000000300001,-29.5122634649999 48.0000000300001,-29.5166666229999 48.0000000300001,-29.5289307149999 48.0000000300001,-29.53333329 48.0000000300001,-29.545597965 48.0000000300001,-29.549999957 48.0000000300001,-29.562265215 48.0000000300001,-29.5666666229999 48.0000000300001,-29.578932465 48.0000000300001,-29.5833332899999 48.0000000300001,-29.5955997149999 48.0000000300001,-29.599999957 48.0000000300001,-29.6122669649999 48.0000000300001,-29.616666623 48.0000000300001,-29.628934215 48.0000000300001,-29.6333332899999 48.0000000300001,-29.645601465 48.0000000300001,-29.649999957 48.0000000300001,-29.662268715 48.0000000300001,-29.666666623 48.0000000300001,-29.6789359649999 48.0000000300001,-29.68333329 48.0000000300001,-29.6956032159999 48.0000000300001,-29.6999999569999 48.0000000300001,-29.7122704659999 48.0000000300001,-29.716666623 48.0000000300001,-29.728937716 48.0000000300001,-29.73333329 48.0000000300001,-29.745604966 48.0000000300001,-29.7499999569999 48.0000000300001,-29.7622722159999 48.0000000300001,-29.7666666229999 48.0000000300001,-29.7789394659999 48.0000000300001,-29.78333329 48.0000000300001,-29.795606716 48.0000000300001,-29.799999957 48.0000000300001,-29.812273966 48.0000000300001,-29.8166666229999 48.0000000300001,-29.828941216 48.0000000300001,-29.8333332899999 48.0000000300001,-29.8456084659999 48.0000000300001,-29.849999957 48.0000000300001,-29.8622757159999 48.0000000300001,-29.866666623 48.0000000300001,-29.878942966 48.0000000300001,-29.8833332899999 48.0000000300001,-29.895610216 48.0000000300001,-29.899999957 48.0000000300001,-29.912277466 48.0000000300001,-29.916666624 48.0000000300001,-29.9289447159999 48.0000000300001,-29.93333329 48.0000000300001,-29.9456119659999 48.0000000300001,-29.9499999569999 48.0000000300001,-29.962279216 48.0000000300001,-29.966666624 48.0000000300001,-29.978946466 48.0000000300001,-29.98333329 48.0000000300001,-29.995613716 48.0000000300001,-29.9999999569999 48.0000000300001,-30.0122809659999 48.0000000300001,-30.016666624 48.0000000300001,-30.0289482169999 48.0000000300001,-30.03333329 48.0000000300001,-30.0456154669999 48.0000000300001,-30.049999957 48.0000000300001,-30.062282717 48.0000000300001,-30.0666666239999 48.0000000300001,-30.078949967 48.0000000300001,-30.0833332899999 48.0000000300001,-30.095617217 48.0000000300001,-30.099999957 48.0000000300001,-30.1122844669999 48.0000000300001,-30.1166666239999 48.0000000300001,-30.1289517169999 48.0000000300001,-30.1333332899999 48.0000000300001,-30.145618967 48.0000000300001,-30.149999957 48.0000000300001,-30.162286217 48.0000000300001,-30.166666624 48.0000000300001,-30.1789534669999 48.0000000300001,-30.18333329 48.0000000300001,-30.1956207169999 48.0000000300001,-30.1999999569999 48.0000000300001,-30.212287967 48.0000000300001,-30.216666624 48.0000000300001,-30.228955217 48.0000000300001,-30.23333329 48.0000000300001,-30.245622467 48.0000000300001,-30.2499999569999 48.0000000300001,-30.2622897169999 48.0000000300001,-30.266666624 48.0000000300001,-30.2789569669999 48.0000000300001,-30.283333291 48.0000000300001,-30.295624217 48.0000000300001,-30.299999957 48.0000000300001,-30.312291467 48.0000000300001,-30.3166666239999 48.0000000300001,-30.328958717 48.0000000300001,-30.333333291 48.0000000300001,-30.345625968 48.0000000300001,-30.349999957 48.0000000300001,-30.3622932179999 48.0000000300001,-30.3666666239999 48.0000000300001,-30.3789604679999 48.0000000300001,-30.3833332909999 48.0000000300001,-30.395627718 48.0000000300001,-30.399999957 48.0000000300001,-30.412294968 48.0000000300001,-30.416666624 48.0000000300001,-30.428962218 48.0000000300001,-30.4333332909999 48.0000000300001,-30.4456294679999 48.0000000300001,-30.4499999569999 48.0000000300001,-30.4622967179999 48.0000000300001,-30.466666624 48.0000000300001,-30.478963968 48.0000000300001,-30.483333291 48.0000000300001,-30.495631218 48.0000000300001,-30.4999999569999 48.0000000300001,-30.512298468 48.0000000300001,-30.516666624 48.0000000300001,-30.5289657179999 48.0000000300001,-30.533333291 48.0000000300001,-30.5456329679999 48.0000000300001,-30.549999957 48.0000000300001,-30.562300218 48.0000000300001,-30.5666666239999 48.0000000300001,-30.578967468 48.0000000300001,-30.583333291 48.0000000300001,-30.5956347179999 48.0000000300001,-30.599999958 48.0000000300001,-30.6123019679999 48.0000000300001,-30.6166666239999 48.0000000300001,-30.628969218 48.0000000300001,-30.6333332909999 48.0000000300001,-30.645636468 48.0000000300001,-30.649999958 48.0000000300001,-30.662303718 48.0000000300001,-30.666666624 48.0000000300001,-30.678970969 48.0000000300001,-30.6833332909999 48.0000000300001,-30.6956382189999 48.0000000300001,-30.699999958 48.0000000300001,-30.7123054689999 48.0000000300001,-30.716666624 48.0000000300001,-30.728972719 48.0000000300001,-30.733333291 48.0000000300001,-30.745639969 48.0000000300001,-30.7499999579999 48.0000000300001,-30.762307219 48.0000000300001,-30.766666624 48.0000000300001,-30.7789744689999 48.0000000300001,-30.783333291 48.0000000300001,-30.7956417189999 48.0000000300001,-30.7999999579999 48.0000000300001,-30.812308969 48.0000000300001,-30.8166666239999 48.0000000300001,-30.828976219 48.0000000300001,-30.833333291 48.0000000300001,-30.845643469 48.0000000300001,-30.849999958 48.0000000300001,-30.8623107189999 48.0000000300001,-30.8666666239999 48.0000000300001,-30.8789779689999 48.0000000300001,-30.8833332909999 48.0000000300001,-30.895645219 48.0000000300001,-30.899999958 48.0000000300001,-30.912312469 48.0000000300001,-30.916666624 48.0000000300001,-30.928979719 48.0000000300001,-30.9333332909999 48.0000000300001,-30.9456469689999 48.0000000300001,-30.949999958 48.0000000300001,-30.9623142189999 48.0000000300001,-30.966666625 48.0000000300001,-30.978981469 48.0000000300001,-30.983333291 48.0000000300001,-30.99564872 48.0000000300001,-30.9999999579999 48.0000000300001,-31.01231597 48.0000000300001,-31.016666625 48.0000000300001,-31.0289832199999 48.0000000300001,-31.033333291 48.0000000300001,-31.0456504699999 48.0000000300001,-31.0499999579999 48.0000000300001,-31.06231772 48.0000000300001,-31.066666625 48.0000000300001,-31.07898497 48.0000000300001,-31.083333291 48.0000000300001,-31.09565222 48.0000000300001,-31.099999958 48.0000000300001,-31.1123194699999 48.0000000300001,-31.1166666249999 48.0000000300001,-31.1289867199999 48.0000000300001,-31.1333332909999 48.0000000300001,-31.14565397 48.0000000300001,-31.149999958 48.0000000300001,-31.16232122 48.0000000300001,-31.1666666249999 48.0000000300001,-31.17898847 48.0000000300001,-31.1833332909999 48.0000000300001,-31.1956557199999 48.0000000300001,-31.199999958 48.0000000300001,-31.2123229699999 48.0000000300001,-31.216666625 48.0000000300001,-31.22899022 48.0000000300001,-31.233333291 48.0000000300001,-31.24565747 48.0000000300001,-31.2499999579999 48.0000000300001,-31.26232472 48.0000000300001,-31.266666625 48.0000000300001,-31.2789919699999 48.0000000300001,-31.283333291 48.0000000300001,-31.2956592199999 48.0000000300001,-31.2999999579999 48.0000000300001,-31.3123264709999 48.0000000300001,-31.316666625 48.0000000300001,-31.328993721 48.0000000300001,-31.333333292 48.0000000300001,-31.345660971 48.0000000300001,-31.349999958 48.0000000300001,-31.362328221 48.0000000300001,-31.3666666249999 48.0000000300001,-31.3789954709999 48.0000000300001,-31.383333292 48.0000000300001,-31.395662721 48.0000000300001,-31.399999958 48.0000000300001,-31.412329971 48.0000000300001,-31.4166666249999 48.0000000300001,-31.428997221 48.0000000300001,-31.4333332919999 48.0000000300001,-31.4456644709999 48.0000000300001,-31.449999958 48.0000000300001,-31.4623317209999 48.0000000300001,-31.466666625 48.0000000300001,-31.478998971 48.0000000300001,-31.4833332919999 48.0000000300001,-31.495666221 48.0000000300001,-31.4999999579999 48.0000000300001,-31.512333471 48.0000000300001,-31.516666625 48.0000000300001,-31.5290007209999 48.0000000300001,-31.533333292 48.0000000300001,-31.5456679709999 48.0000000300001,-31.5499999579999 48.0000000300001,-31.562335221 48.0000000300001,-31.566666625 48.0000000300001,-31.579002471 48.0000000300001,-31.583333292 48.0000000300001,-31.595669721 48.0000000300001,-31.599999958 48.0000000300001,-31.6123369709999 48.0000000300001,-31.6166666249999 48.0000000300001,-31.6290042209999 48.0000000300001,-31.633333292 48.0000000300001,-31.6456714719999 48.0000000300001,-31.649999958 48.0000000300001,-31.662338722 48.0000000300001,-31.6666666249999 48.0000000300001,-31.679005972 48.0000000300001,-31.6833332919999 48.0000000300001,-31.695673222 48.0000000300001,-31.699999959 48.0000000300001,-31.7123404719999 48.0000000300001,-31.716666625 48.0000000300001,-31.7290077219999 48.0000000300001,-31.7333332919999 48.0000000300001,-31.745674972 48.0000000300001,-31.749999959 48.0000000300001,-31.762342222 48.0000000300001,-31.766666625 48.0000000300001,-31.779009472 48.0000000300001,-31.783333292 48.0000000300001,-31.7956767219999 48.0000000300001,-31.7999999589999 48.0000000300001,-31.812343972 48.0000000300001,-31.816666625 48.0000000300001,-31.829011222 48.0000000300001,-31.833333292 48.0000000300001,-31.845678472 48.0000000300001,-31.8499999589999 48.0000000300001,-31.8623457219999 48.0000000300001,-31.8666666249999 48.0000000300001,-31.8790129719999 48.0000000300001,-31.883333292 48.0000000300001,-31.895680222 48.0000000300001,-31.899999959 48.0000000300001,-31.912347472 48.0000000300001,-31.9166666249999 48.0000000300001,-31.929014722 48.0000000300001,-31.9333332919999 48.0000000300001,-31.9456819719999 48.0000000300001,-31.949999959 48.0000000300001,-31.9623492229999 48.0000000300001,-31.966666625 48.0000000300001,-31.9790164729999 48.0000000300001,-31.9833332919999 48.0000000300001,-31.995683723 48.0000000300001,-31.999999959 48.0000000300001,-32.012350973 48.0000000300001,-32.016666625 48.0000000300001,-32.029018223 48.0000000300001,-32.033333292 48.0000000300001,-32.0456854729999 48.0000000300001,-32.0499999589999 48.0000000300001,-32.0623527229999 48.0000000300001,-32.066666626 48.0000000300001,-32.079019973 48.0000000300001,-32.083333292 48.0000000300001,-32.095687223 48.0000000300001,-32.0999999589999 48.0000000300001,-32.112354473 48.0000000300001,-32.116666626 48.0000000300001,-32.1290217229999 48.0000000300001,-32.133333292 48.0000000300001,-32.1456889729999 48.0000000300001,-32.149999959 48.0000000300001,-32.162356223 48.0000000300001,-32.1666666259999 48.0000000300001,-32.179023473 48.0000000300001,-32.1833332919999 48.0000000300001,-32.195690723 48.0000000300001,-32.199999959 48.0000000300001,-32.2123579729999 48.0000000300001,-32.2166666259999 48.0000000300001,-32.229018805 48.0000000300001,-32.2333332919999 48.0000000300001,-32.245679638 48.0000000300001,-32.249999959 48.0000000300001,-32.26234047 48.0000000300001,-32.266666626 48.0000000300001,-32.279001302 48.0000000300001,-32.283333292 48.0000000300001,-32.2956621339999 48.0000000300001,-32.2999999589999 48.0000000300001,-32.312322966 48.0000000300001,-32.316666626 48.0000000300001,-32.328983798 48.0000000300001,-32.333333292 48.0000000300001,-32.345644631 48.0000000300001,-32.3499999589999 48.0000000300001,-32.362305463 48.0000000300001,-32.366666626 48.0000000300001,-32.3789662949999 48.0000000300001,-32.383333292 48.0000000300001,-32.395627127 48.0000000300001,-32.399999959 48.0000000300001,-32.412287959 48.0000000300001,-32.4166666259999 48.0000000300001,-32.428948791 48.0000000300001,-32.433333293 48.0000000300001,-32.4456096239999 48.0000000300001,-32.449999959 48.0000000300001,-32.4622704559999 48.0000000300001,-32.4666666259999 48.0000000300001,-32.478931288 48.0000000300001,-32.4833332929999 48.0000000300001,-32.49559212 48.0000000300001,-32.499999959 48.0000000300001,-32.512252952 48.0000000300001,-32.516666626 48.0000000300001,-32.5289137839999 48.0000000300001,-32.5333332929999 48.0000000300001,-32.5455746169999 48.0000000300001,-32.5499999589999 48.0000000300001,-32.562235449 48.0000000300001,-32.566666626 48.0000000300001,-32.578896281 48.0000000300001,-32.583333293 48.0000000300001,-32.595557113 48.0000000300001,-32.5999999589999 48.0000000300001,-32.6122179449999 48.0000000300001,-32.616666626 48.0000000300001,-32.628878777 48.0000000300001,-32.633333293 48.0000000300001,-32.64553961 48.0000000300001,-32.649999959 48.0000000300001,-32.662200442 48.0000000300001,-32.6666666259999 48.0000000300001,-32.6788612739999 48.0000000300001,-32.683333293 48.0000000300001,-32.6955221059999 48.0000000300001,-32.699999959 48.0000000300001,-32.712182938 48.0000000300001,-32.7166666259999 48.0000000300001,-32.72884377 48.0000000300001,-32.7333332929999 48.0000000300001,-32.745504603 48.0000000300001,-32.74999996 48.0000000300001,-32.7621654349999 48.0000000300001,-32.766666626 48.0000000300001,-32.7788262669999 48.0000000300001,-32.7833332929999 48.0000000300001,-32.795487099 48.0000000300001,-32.79999996 48.0000000300001,-32.812147931 48.0000000300001,-32.816666626 48.0000000300001,-32.828808763 48.0000000300001,-32.833333293 48.0000000300001,-32.8454695959999 48.0000000300001,-32.8499999599999 48.0000000300001,-32.8621304279999 48.0000000300001,-32.866666626 48.0000000300001,-32.87879126 48.0000000300001,-32.883333293 48.0000000300001,-32.895452092 48.0000000300001,-32.8999999599999 48.0000000300001,-32.912112924 48.0000000300001,-32.9166666259999 48.0000000300001,-32.9287737559999 48.0000000300001,-32.933333293 48.0000000300001,-32.9454345889999 48.0000000300001,-32.94999996 48.0000000300001,-32.962095421 48.0000000300001,-32.9666666259999 48.0000000300001,-32.978756253 48.0000000300001,-32.9833332929999 48.0000000300001,-32.9954170849999 48.0000000300001,-32.99999996 48.0000000300001,-33.0120779169999 48.0000000300001,-33.016666626 48.0000000300001,-33.028738749 48.0000000300001,-33.0333332929999 48.0000000300001,-33.045399582 48.0000000300001,-33.04999996 48.0000000300001,-33.062060414 48.0000000300001,-33.066666626 48.0000000300001,-33.0787212459999 48.0000000300001,-33.083333293 48.0000000300001,-33.0953820779999 48.0000000300001,-33.0999999599999 48.0000000300001,-33.11204291 48.0000000300001,-33.116666627 48.0000000300001,-33.128703742 48.0000000300001,-33.133333293 48.0000000300001,-33.145364575 48.0000000300001,-33.1499999599999 48.0000000300001,-33.1620254069999 48.0000000300001,-33.166666627 48.0000000300001,-33.1786862389999 48.0000000300001,-33.183333293 48.0000000300001,-33.195347071 48.0000000300001,-33.19999996 48.0000000300001,-33.212007903 48.0000000300001,-33.2166666269999 48.0000000300001,-33.2286687349999 48.0000000300001,-33.2333332929999 48.0000000300001,-33.2453295679999 48.0000000300001,-33.24999996 48.0000000300001,-33.2619903999999 48.0000000300001,-33.2666666269999 48.0000000300001,-33.278651232 48.0000000300001,-33.2833332929999 48.0000000300001,-33.295312064 48.0000000300001,-33.29999996 48.0000000300001,-33.3119728959999 48.0000000300001,-33.316666627 48.0000000300001,-33.3286337279999 48.0000000300001,-33.333333293 48.0000000300001,-33.3452945609999 48.0000000300001,-33.3499999599999 48.0000000300001,-33.361955393 48.0000000300001,-33.366666627 48.0000000300001,-33.378616225 48.0000000300001,-33.383333293 48.0000000300001,-33.3952770569999 48.0000000300001,-33.3999999599999 48.0000000300001,-33.4119378889999 48.0000000300001,-33.416666627 48.0000000300001,-33.428598721 48.0000000300001,-33.433333293 48.0000000300001,-33.445259554 48.0000000300001,-33.44999996 48.0000000300001,-33.461920386 48.0000000300001,-33.4666666269999 48.0000000300001,-33.4785812179999 48.0000000300001,-33.483333294 48.0000000300001,-33.4952420499999 48.0000000300001,-33.49999996 48.0000000300001,-33.511902882 48.0000000300001,-33.5166666269999 48.0000000300001,-33.528563714 48.0000000300001,-33.5333332939999 48.0000000300001,-33.545224547 48.0000000300001,-33.54999996 48.0000000300001,-33.5618853789999 48.0000000300001,-33.566666627 48.0000000300001,-33.5785462109999 48.0000000300001,-33.5833332939999 48.0000000300001,-33.595207043 48.0000000300001,-33.5999999599999 48.0000000300001,-33.611867875 48.0000000300001,-33.616666627 48.0000000300001,-33.6285287069999 48.0000000300001,-33.633333294 48.0000000300001,-33.6451895399999 48.0000000300001,-33.6499999599999 48.0000000300001,-33.6618503719999 48.0000000300001,-33.666666627 48.0000000300001,-33.678511204 48.0000000300001,-33.683333294 48.0000000300001,-33.695172036 48.0000000300001,-33.69999996 48.0000000300001,-33.7118328679999 48.0000000300001,-33.7166666269999 48.0000000300001,-33.7284936999999 48.0000000300001,-33.733333294 48.0000000300001,-33.7451545329999 48.0000000300001,-33.74999996 48.0000000300001,-33.761815365 48.0000000300001,-33.7666666269999 48.0000000300001,-33.778476197 48.0000000300001,-33.7833332939999 48.0000000300001,-33.7951370289999 48.0000000300001,-33.79999996 48.0000000300001,-33.8117978609999 48.0000000300001,-33.816666627 48.0000000300001,-33.828458693 48.0000000300001,-33.8333332939999 48.0000000300001,-33.845119526 48.0000000300001,-33.849999961 48.0000000300001,-33.861780358 48.0000000300001,-33.866666627 48.0000000300001,-33.8784411899999 48.0000000300001,-33.883333294 48.0000000300001,-33.8951020219999 48.0000000300001,-33.8999999609999 48.0000000300001,-33.911762854 48.0000000300001,-33.916666627 48.0000000300001,-33.928423686 48.0000000300001,-33.933333294 48.0000000300001,-33.945084519 48.0000000300001,-33.9499999609999 48.0000000300001,-33.9617453509999 48.0000000300001,-33.9666666269999 48.0000000300001,-33.9784061829999 48.0000000300001,-33.983333294 48.0000000300001,-33.995067015 48.0000000300001,-33.999999961 48.0000000300001,-34.011727847 48.0000000300001,-34.0166666269999 48.0000000300001,-34.0283886789999 48.0000000300001,-34.0333332939999 48.0000000300001,-34.0450495109999 48.0000000300001,-34.049999961 48.0000000300001,-34.0617103439999 48.0000000300001,-34.066666627 48.0000000300001,-34.078371176 48.0000000300001,-34.0833332939999 48.0000000300001,-34.095032008 48.0000000300001,-34.099999961 48.0000000300001,-34.1116928399999 48.0000000300001,-34.116666627 48.0000000300001,-34.1283536719999 48.0000000300001,-34.133333294 48.0000000300001,-34.145014504 48.0000000300001,-34.1499999609999 48.0000000300001,-34.161675337 48.0000000300001,-34.166666627 48.0000000300001,-34.178336169 48.0000000300001,-34.183333294 48.0000000300001,-34.1949970009999 48.0000000300001,-34.1999999609999 48.0000000300001,-34.2116578329999 48.0000000300001,-34.216666628 48.0000000300001,-34.228318665 48.0000000300001,-34.233333294 48.0000000300001,-34.244979497 48.0000000300001,-34.249999961 48.0000000300001,-34.26164033 48.0000000300001,-34.2666666279999 48.0000000300001,-34.2783011619999 48.0000000300001,-34.2833332939999 48.0000000300001,-34.2949619939999 48.0000000300001,-34.299999961 48.0000000300001,-34.311622826 48.0000000300001,-34.316666628 48.0000000300001,-34.328283658 48.0000000300001,-34.3333332939999 48.0000000300001,-34.3449444899999 48.0000000300001,-34.349999961 48.0000000300001,-34.3616053229999 48.0000000300001,-34.366666628 48.0000000300001,-34.3782661549999 48.0000000300001,-34.383333294 48.0000000300001,-34.394926987 48.0000000300001,-34.3999999609999 48.0000000300001,-34.411587819 48.0000000300001,-34.416666628 48.0000000300001,-34.4282486509999 48.0000000300001,-34.433333294 48.0000000300001,-34.4449094829999 48.0000000300001,-34.4499999609999 48.0000000300001,-34.4615703159999 48.0000000300001,-34.466666628 48.0000000300001,-34.478231148 48.0000000300001,-34.483333294 48.0000000300001,-34.49489198 48.0000000300001,-34.499999961 48.0000000300001,-34.5115528119999 48.0000000300001,-34.5166666279999 48.0000000300001,-34.5282136439999 48.0000000300001,-34.5333332939999 48.0000000300001,-34.544874476 48.0000000300001,-34.549999961 48.0000000300001,-34.561535309 48.0000000300001,-34.566666628 48.0000000300001,-34.578196141 48.0000000300001,-34.5833332949999 48.0000000300001,-34.5948569729999 48.0000000300001,-34.599999961 48.0000000300001,-34.6115178049999 48.0000000300001,-34.616666628 48.0000000300001,-34.628178637 48.0000000300001,-34.6333332949999 48.0000000300001,-34.644839469 48.0000000300001,-34.6499999609999 48.0000000300001,-34.661500302 48.0000000300001,-34.666666628 48.0000000300001,-34.6781611339999 48.0000000300001,-34.683333295 48.0000000300001,-34.6948219659999 48.0000000300001,-34.6999999609999 48.0000000300001,-34.711482798 48.0000000300001,-34.716666628 48.0000000300001,-34.72814363 48.0000000300001,-34.733333295 48.0000000300001,-34.7448044619999 48.0000000300001,-34.749999961 48.0000000300001,-34.7614652949999 48.0000000300001,-34.7666666279999 48.0000000300001,-34.778126127 48.0000000300001,-34.783333295 48.0000000300001,-34.794786959 48.0000000300001,-34.799999961 48.0000000300001,-34.811447791 48.0000000300001,-34.816666628 48.0000000300001,-34.8281086229999 48.0000000300001,-34.8333332949999 48.0000000300001,-34.8447694549999 48.0000000300001,-34.849999961 48.0000000300001,-34.861430288 48.0000000300001,-34.866666628 48.0000000300001,-34.87809112 48.0000000300001,-34.8833332949999 48.0000000300001,-34.894751952 48.0000000300001,-34.899999962 48.0000000300001,-34.9114127839999 48.0000000300001,-34.916666628 48.0000000300001,-34.9280736159999 48.0000000300001,-34.933333295 48.0000000300001,-34.944734448 48.0000000300001,-34.9499999619999 48.0000000300001,-34.961395281 48.0000000300001,-34.966666628 48.0000000300001,-34.978056113 48.0000000300001,-34.983333295 48.0000000300001,-34.9947169449999 48.0000000300001,-34.9999999619999 48.0000000300001,-35.011377777 48.0000000300001,-35.0166666279999 48.0000000300001,-35.028038609 48.0000000300001,-35.033333295 48.0000000300001,-35.044699441 48.0000000300001,-35.049999962 48.0000000300001,-35.061360274 48.0000000300001,-35.066666628 48.0000000300001,-35.0780211059999 48.0000000300001,-35.0833332949999 48.0000000300001,-35.094681938 48.0000000300001,-35.099999962 48.0000000300001,-35.11134277 48.0000000300001,-35.116666628 48.0000000300001,-35.128003602 48.0000000300001,-35.1333332949999 48.0000000300001,-35.1446644339999 48.0000000300001,-35.149999962 48.0000000300001,-35.1613252669999 48.0000000300001,-35.166666628 48.0000000300001,-35.177986099 48.0000000300001,-35.183333295 48.0000000300001,-35.194646931 48.0000000300001,-35.1999999619999 48.0000000300001,-35.211307763 48.0000000300001,-35.216666628 48.0000000300001,-35.2279685949999 48.0000000300001,-35.233333295 48.0000000300001,-35.2446294269999 48.0000000300001,-35.2499999619999 48.0000000300001,-35.26129026 48.0000000300001,-35.2666666289999 48.0000000300001,-35.277951092 48.0000000300001,-35.283333295 48.0000000300001,-35.294611924 48.0000000300001,-35.299999962 48.0000000300001,-35.3112727559999 48.0000000300001,-35.3166666289999 48.0000000300001,-35.327933588 48.0000000300001,-35.3333332949999 48.0000000300001,-35.34459442 48.0000000300001,-35.349999962 48.0000000300001,-35.361255253 48.0000000300001,-35.366666629 48.0000000300001,-35.377916085 48.0000000300001,-35.3833332949999 48.0000000300001,-35.3945769169999 48.0000000300001,-35.399999962 48.0000000300001,-35.411237749 48.0000000300001,-35.416666629 48.0000000300001,-35.427898581 48.0000000300001,-35.433333295 48.0000000300001,-35.444559413 48.0000000300001,-35.4499999619999 48.0000000300001,-35.461220246 48.0000000300001,-35.466666629 48.0000000300001,-35.4778810779999 48.0000000300001,-35.483333295 48.0000000300001,-35.49454191 48.0000000300001,-35.4999999619999 48.0000000300001,-35.511202742 48.0000000300001,-35.5166666289999 48.0000000300001,-35.527863574 48.0000000300001,-35.533333295 48.0000000300001,-35.5445244059999 48.0000000300001,-35.549999962 48.0000000300001,-35.5611852389999 48.0000000300001,-35.5666666289999 48.0000000300001,-35.577846071 48.0000000300001,-35.5833332949999 48.0000000300001,-35.594506903 48.0000000300001,-35.599999962 48.0000000300001,-35.611167735 48.0000000300001,-35.616666629 48.0000000300001,-35.6278285669999 48.0000000300001,-35.6333332959999 48.0000000300001,-35.644489399 48.0000000300001,-35.649999962 48.0000000300001,-35.661150232 48.0000000300001,-35.666666629 48.0000000300001,-35.677811064 48.0000000300001,-35.6833332959999 48.0000000300001,-35.694471896 48.0000000300001,-35.6999999619999 48.0000000300001,-35.7111327279999 48.0000000300001,-35.716666629 48.0000000300001,-35.72779356 48.0000000300001,-35.733333296 48.0000000300001,-35.744454392 48.0000000300001,-35.7499999619999 48.0000000300001,-35.761115225 48.0000000300001,-35.7666666289999 48.0000000300001,-35.777776057 48.0000000300001,-35.783333296 48.0000000300001,-35.7944368889999 48.0000000300001,-35.799999962 48.0000000300001,-35.811097721 48.0000000300001,-35.8166666289999 48.0000000300001,-35.827758553 48.0000000300001,-35.833333296 48.0000000300001,-35.844419385 48.0000000300001,-35.849999962 48.0000000300001,-35.861080218 48.0000000300001,-35.866666629 48.0000000300001,-35.8777410499999 48.0000000300001,-35.8833332959999 48.0000000300001,-35.894401882 48.0000000300001,-35.899999962 48.0000000300001,-35.911062714 48.0000000300001,-35.916666629 48.0000000300001,-35.927723546 48.0000000300001,-35.9333332959999 48.0000000300001,-35.9443843779999 48.0000000300001,-35.9499999619999 48.0000000300001,-35.9610452109999 48.0000000300001,-35.966666629 48.0000000300001,-35.977706043 48.0000000300001,-35.983333296 48.0000000300001,-35.994366875 48.0000000300001,-35.9999999629999 48.0000000300001,-36.011027707 48.0000000300001,-36.0166666289999 48.0000000300001,-36.0276885389999 48.0000000300001,-36.033333296 48.0000000300001,-36.044349371 48.0000000300001,-36.0499999629999 48.0000000300001,-36.061010204 48.0000000300001,-36.0666666289999 48.0000000300001,-36.077671036 48.0000000300001,-36.083333296 48.0000000300001,-36.094331868 48.0000000300001,-36.099999963 48.0000000300001,-36.1109926999999 48.0000000300001,-36.116666629 48.0000000300001,-36.127653532 48.0000000300001,-36.1333332959999 48.0000000300001,-36.144314364 48.0000000300001,-36.149999963 48.0000000300001,-36.160975197 48.0000000300001,-36.166666629 48.0000000300001,-36.177636029 48.0000000300001,-36.1833332959999 48.0000000300001,-36.1942968609999 48.0000000300001,-36.199999963 48.0000000300001,-36.210957693 48.0000000300001,-36.216666629 48.0000000300001,-36.227618525 48.0000000300001,-36.233333296 48.0000000300001,-36.244279357 48.0000000300001,-36.2499999629999 48.0000000300001,-36.2609401899999 48.0000000300001,-36.2666666289999 48.0000000300001,-36.2776010219999 48.0000000300001,-36.283333296 48.0000000300001,-36.294261854 48.0000000300001,-36.2999999629999 48.0000000300001,-36.310922686 48.0000000300001,-36.3166666289999 48.0000000300001,-36.327583518 48.0000000300001,-36.333333296 48.0000000300001,-36.3442443499999 48.0000000300001,-36.349999963 48.0000000300001,-36.360905182 48.0000000300001,-36.3666666299999 48.0000000300001,-36.377566015 48.0000000300001,-36.3833332959999 48.0000000300001,-36.394226847 48.0000000300001,-36.399999963 48.0000000300001,-36.410887679 48.0000000300001,-36.41666663 48.0000000300001,-36.4275485109999 48.0000000300001,-36.4333332959999 48.0000000300001,-36.444209343 48.0000000300001,-36.449999963 48.0000000300001,-36.460870175 48.0000000300001,-36.46666663 48.0000000300001,-36.477531008 48.0000000300001,-36.483333296 48.0000000300001,-36.49419184 48.0000000300001,-36.4999999629999 48.0000000300001,-36.5108526719999 48.0000000300001,-36.51666663 48.0000000300001,-36.527513504 48.0000000300001,-36.533333296 48.0000000300001,-36.544174336 48.0000000300001,-36.5499999629999 48.0000000300001,-36.560835168 48.0000000300001,-36.5666666299999 48.0000000300001,-36.5774960009999 48.0000000300001,-36.583333296 48.0000000300001,-36.5941568329999 48.0000000300001,-36.599999963 48.0000000300001,-36.610817665 48.0000000300001,-36.6166666299999 48.0000000300001,-36.627478497 48.0000000300001,-36.6333332959999 48.0000000300001,-36.644139329 48.0000000300001,-36.649999963 48.0000000300001,-36.6608001609999 48.0000000300001,-36.66666663 48.0000000300001,-36.6774609939999 48.0000000300001,-36.6833332969999 48.0000000300001,-36.694121826 48.0000000300001,-36.699999963 48.0000000300001,-36.710782658 48.0000000300001,-36.71666663 48.0000000300001,-36.72744349 48.0000000300001,-36.7333332969999 48.0000000300001,-36.7441043219999 48.0000000300001,-36.7499999629999 48.0000000300001,-36.760765154 48.0000000300001,-36.76666663 48.0000000300001,-36.777425987 48.0000000300001,-36.783333297 48.0000000300001,-36.794086819 48.0000000300001,-36.7999999629999 48.0000000300001,-36.8107476509999 48.0000000300001,-36.8166666299999 48.0000000300001,-36.8274084829999 48.0000000300001,-36.833333297 48.0000000300001,-36.844069315 48.0000000300001,-36.849999963 48.0000000300001,-36.860730147 48.0000000300001,-36.8666666299999 48.0000000300001,-36.87739098 48.0000000300001,-36.883333297 48.0000000300001,-36.8940518119999 48.0000000300001,-36.899999963 48.0000000300001,-36.9107126439999 48.0000000300001,-36.91666663 48.0000000300001,-36.927373476 48.0000000300001,-36.9333332969999 48.0000000300001,-36.944034308 48.0000000300001,-36.949999963 48.0000000300001,-36.96069514 48.0000000300001,-36.96666663 48.0000000300001,-36.9773559729999 48.0000000300001,-36.9833332969999 48.0000000300001,-36.9940168049999 48.0000000300001,-36.9999999629999 48.0000000300001,-37.010677637 48.0000000300001,-37.01666663 48.0000000300001,-37.027338469 48.0000000300001,-37.033333297 48.0000000300001,-37.0439993009999 48.0000000300001,-37.0499999639999 48.0000000300001,-37.0606601329999 48.0000000300001,-37.0666666299999 48.0000000300001,-37.0773209659999 48.0000000300001,-37.083333297 48.0000000300001,-37.093981798 48.0000000300001,-37.0999999639999 48.0000000300001,-37.11064263 48.0000000300001,-37.1166666299999 48.0000000300001,-37.1273034619999 48.0000000300001,-37.133333297 48.0000000300001,-37.1439642939999 48.0000000300001,-37.149999964 48.0000000300001,-37.160625126 48.0000000300001,-37.16666663 48.0000000300001,-37.177285959 48.0000000300001,-37.1833332969999 48.0000000300001,-37.193946791 48.0000000300001,-37.199999964 48.0000000300001,-37.2106076229999 48.0000000300001,-37.21666663 48.0000000300001,-37.2272684549999 48.0000000300001,-37.2333332969999 48.0000000300001,-37.243929287 48.0000000300001,-37.249999964 48.0000000300001,-37.260590119 48.0000000300001,-37.26666663 48.0000000300001,-37.277250952 48.0000000300001,-37.283333297 48.0000000300001,-37.2939117839999 48.0000000300001,-37.2999999639999 48.0000000300001,-37.3105726159999 48.0000000300001,-37.3166666299999 48.0000000300001,-37.327233448 48.0000000300001,-37.333333297 48.0000000300001,-37.34389428 48.0000000300001,-37.3499999639999 48.0000000300001,-37.3605551119999 48.0000000300001,-37.3666666299999 48.0000000300001,-37.3772159449999 48.0000000300001,-37.383333297 48.0000000300001,-37.3938767769999 48.0000000300001,-37.399999964 48.0000000300001,-37.410537609 48.0000000300001,-37.4166666309999 48.0000000300001,-37.427198441 48.0000000300001,-37.4333332969999 48.0000000300001,-37.4438592729999 48.0000000300001,-37.449999964 48.0000000300001,-37.4605201049999 48.0000000300001,-37.466666631 48.0000000300001,-37.4771809379999 48.0000000300001,-37.4833332969999 48.0000000300001,-37.49384177 48.0000000300001,-37.499999964 48.0000000300001,-37.510502602 48.0000000300001,-37.516666631 48.0000000300001,-37.5271634339999 48.0000000300001,-37.533333297 48.0000000300001,-37.5438242659999 48.0000000300001,-37.5499999639999 48.0000000300001,-37.560485098 48.0000000300001,-37.566666631 48.0000000300001,-37.577145931 48.0000000300001,-37.583333297 48.0000000300001,-37.593806763 48.0000000300001,-37.5999999639999 48.0000000300001,-37.6104675949999 48.0000000300001,-37.6166666309999 48.0000000300001,-37.6271284269999 48.0000000300001,-37.633333297 48.0000000300001,-37.643789259 48.0000000300001,-37.649999964 48.0000000300001,-37.660450091 48.0000000300001,-37.6666666309999 48.0000000300001,-37.677110924 48.0000000300001,-37.6833332969999 48.0000000300001,-37.6937717559999 48.0000000300001,-37.699999964 48.0000000300001,-37.7104325879999 48.0000000300001,-37.716666631 48.0000000300001,-37.72709342 48.0000000300001,-37.7333332969999 48.0000000300001,-37.743754252 48.0000000300001,-37.749999964 48.0000000300001,-37.7604150839999 48.0000000300001,-37.766666631 48.0000000300001,-37.7770759169999 48.0000000300001,-37.7833332979999 48.0000000300001,-37.7937367489999 48.0000000300001,-37.7999999639999 48.0000000300001,-37.810397581 48.0000000300001,-37.816666631 48.0000000300001,-37.827058413 48.0000000300001,-37.833333298 48.0000000300001,-37.8437192449999 48.0000000300001,-37.8499999639999 48.0000000300001,-37.8603800769999 48.0000000300001,-37.8666666309999 48.0000000300001,-37.8770409099999 48.0000000300001,-37.883333298 48.0000000300001,-37.893701742 48.0000000300001,-37.899999964 48.0000000300001,-37.910362574 48.0000000300001,-37.9166666309999 48.0000000300001,-37.9270234059999 48.0000000300001,-37.933333298 48.0000000300001,-37.9436842379999 48.0000000300001,-37.949999964 48.0000000300001,-37.96034507 48.0000000300001,-37.966666631 48.0000000300001,-37.977005903 48.0000000300001,-37.9833332979999 48.0000000300001,-37.993666735 48.0000000300001,-37.999999964 48.0000000300001,-38.0103275669999 48.0000000300001,-38.016666631 48.0000000300001,-38.0269883989999 48.0000000300001,-38.0333332979999 48.0000000300001,-38.043649231 48.0000000300001,-38.0499999639999 48.0000000300001,-38.060310063 48.0000000300001,-38.066666631 48.0000000300001,-38.076970896 48.0000000300001,-38.083333298 48.0000000300001,-38.0936317279999 48.0000000300001,-38.0999999639999 48.0000000300001,-38.1102925599999 48.0000000300001,-38.1166666309999 48.0000000300001,-38.126953392 48.0000000300001,-38.133333298 48.0000000300001,-38.143614224 48.0000000300001,-38.1499999649999 48.0000000300001,-38.1602750559999 48.0000000300001,-38.1666666309999 48.0000000300001,-38.1769358889999 48.0000000300001,-38.183333298 48.0000000300001,-38.1935967209999 48.0000000300001,-38.199999965 48.0000000300001,-38.210257553 48.0000000300001,-38.216666631 48.0000000300001,-38.226918385 48.0000000300001,-38.2333332979999 48.0000000300001,-38.2435792169999 48.0000000300001,-38.249999965 48.0000000300001,-38.2602400489999 48.0000000300001,-38.266666631 48.0000000300001,-38.2769008819999 48.0000000300001,-38.2833332979999 48.0000000300001,-38.293561714 48.0000000300001,-38.299999965 48.0000000300001,-38.310222546 48.0000000300001,-38.316666631 48.0000000300001,-38.3268833779999 48.0000000300001,-38.333333298 48.0000000300001,-38.3435442099999 48.0000000300001,-38.3499999649999 48.0000000300001,-38.360205042 48.0000000300001,-38.3666666309999 48.0000000300001,-38.376865875 48.0000000300001,-38.383333298 48.0000000300001,-38.393526707 48.0000000300001,-38.3999999649999 48.0000000300001,-38.410146399 48.0000000300001,-38.4166666309999 48.0000000300001,-38.426766092 48.0000000300001,-38.433333298 48.0000000300001,-38.4433857839999 48.0000000300001,-38.449999965 48.0000000300001,-38.4600054759999 48.0000000300001,-38.466666631 48.0000000300001,-38.4766251689999 48.0000000300001,-38.4833332979999 48.0000000300001,-38.4932448609999 48.0000000300001,-38.499999965 48.0000000300001,-38.5098645539999 48.0000000300001,-38.516666632 48.0000000300001,-38.5264842459999 48.0000000300001,-38.5333332979999 48.0000000300001,-38.5431039389999 48.0000000300001,-38.549999965 48.0000000300001,-38.5597236309999 48.0000000300001,-38.566666632 48.0000000300001,-38.5763433239999 48.0000000300001,-38.583333298 48.0000000300001,-38.5929630159999 48.0000000300001,-38.5999999649999 48.0000000300001,-38.6095827089999 48.0000000300001,-38.616666632 48.0000000300001,-38.6262024009999 48.0000000300001,-38.633333298 48.0000000300001,-38.6428220929999 48.0000000300001,-38.6499999649999 48.0000000300001,-38.6594417859999 48.0000000300001,-38.6666666319999 48.0000000300001,-38.676061478 48.0000000300001,-38.683333298 48.0000000300001,-38.6926811709999 48.0000000300001,-38.699999965 48.0000000300001,-38.709300863 48.0000000300001,-38.7166666319999 48.0000000300001,-38.7259205559999 48.0000000300001,-38.7333332979999 48.0000000300001,-38.742540248 48.0000000300001,-38.749999965 48.0000000300001,-38.759159941 48.0000000300001,-38.766666632 48.0000000300001,-38.775779633 48.0000000300001,-38.7833332979999 48.0000000300001,-38.792399325 48.0000000300001,-38.799999965 48.0000000300001,-38.809019018 48.0000000300001,-38.816666632 48.0000000300001,-38.82563871 48.0000000300001,-38.8333332989999 48.0000000300001,-38.842258403 48.0000000300001,-38.8499999649999 48.0000000300001,-38.858878095 48.0000000300001,-38.866666632 48.0000000300001,-38.875497788 48.0000000300001,-38.883333299 48.0000000300001,-38.89211748 48.0000000300001,-38.8999999649999 48.0000000300001,-38.908737173 48.0000000300001,-38.9166666319999 48.0000000300001,-38.925356865 48.0000000300001,-38.933333299 48.0000000300001,-38.941976558 48.0000000300001,-38.949999965 48.0000000300001,-38.95859625 48.0000000300001,-38.9666666319999 48.0000000300001,-38.975215942 48.0000000300001,-38.983333299 48.0000000300001,-38.991835635 48.0000000300001,-38.999999965 48.0000000300001,-39.008455327 48.0000000300001,-39.016666632 48.0000000300001,-39.02507502 48.0000000300001,-39.0333332989999 48.0000000300001,-39.041694712 48.0000000300001,-39.049999965 48.0000000300001,-39.058314405 48.0000000300001,-39.066666632 48.0000000300001,-39.074934097 48.0000000300001,-39.0833332989999 48.0000000300001,-39.09155379 48.0000000300001,-39.0999999649999 48.0000000300001,-39.108173482 48.0000000300001,-39.116666632 48.0000000300001,-39.1247931739999 48.0000000300001,-39.133333299 48.0000000300001,-39.1414128669999 48.0000000300001,-39.1499999649999 48.0000000300001,-39.1580325589999 48.0000000300001,-39.1666666319999 48.0000000300001,-39.1746522519999 48.0000000300001,-39.183333299 48.0000000300001,-39.1912719439999 48.0000000300001,-39.199999966 48.0000000300001,-39.2078916369999 48.0000000300001,-39.2166666319999 48.0000000300001,-39.2245113289999 48.0000000300001,-39.233333299 48.0000000300001,-39.2411310219999 48.0000000300001,-39.249999966 48.0000000300001,-39.2577507139999 48.0000000300001,-39.266666632 48.0000000300001,-39.2743704059999 48.0000000300001,-39.2833332989999 48.0000000300001,-39.2909900989999 48.0000000300001,-39.299999966 48.0000000300001,-39.3076097909999 48.0000000300001,-39.316666632 48.0000000300001,-39.3242294839999 48.0000000300001,-39.3333332989999 48.0000000300001,-39.3408491759999 48.0000000300001,-39.349999966 48.0000000300001,-39.3574688689999 48.0000000300001,-39.366666632 48.0000000300001,-39.374088561 48.0000000300001,-39.383333299 48.0000000300001,-39.3907082539999 48.0000000300001,-39.3999999659999 48.0000000300001,-39.407327946 48.0000000300001,-39.4166666319999 48.0000000300001,-39.4239476389999 48.0000000300001,-39.433333299 48.0000000300001,-39.440567331 48.0000000300001,-39.449999966 48.0000000300001,-39.457187023 48.0000000300001,-39.4666666319999 48.0000000300001,-39.473806716 48.0000000300001,-39.483333299 48.0000000300001,-39.490426408 48.0000000300001,-39.499999966 48.0000000300001,-39.507046101 48.0000000300001,-39.516666632 48.0000000300001,-39.523665793 48.0000000300001,-39.5333332989999 48.0000000300001,-39.540285486 48.0000000300001,-39.549999966 48.0000000300001,-39.556905178 48.0000000300001,-39.566666633 48.0000000300001,-39.573524871 48.0000000300001,-39.5833332989999 48.0000000300001,-39.590144563 48.0000000300001,-39.599999966 48.0000000300001,-39.606764255 48.0000000300001,-39.616666633 48.0000000300001,-39.623383948 48.0000000300001,-39.633333299 48.0000000300001,-39.64000364 48.0000000300001,-39.6499999659999 48.0000000300001,-39.656623333 48.0000000300001,-39.666666633 48.0000000300001,-39.673243025 48.0000000300001,-39.683333299 48.0000000300001,-39.689862718 48.0000000300001,-39.699999966 48.0000000300001,-39.70648241 48.0000000300001,-39.7166666329999 48.0000000300001,-39.723102103 48.0000000300001,-39.733333299 48.0000000300001,-39.739721795 48.0000000300001,-39.749999966 48.0000000300001,-39.756341488 48.0000000300001,-39.7666666329999 48.0000000300001,-39.77296118 48.0000000300001,-39.7833332989999 48.0000000300001,-39.7895808719999 48.0000000300001,-39.799999966 48.0000000300001,-39.806200565 48.0000000300001,-39.816666633 48.0000000300001,-39.8228202569999 48.0000000300001,-39.8333332989999 48.0000000300001,-39.83943995 48.0000000300001,-39.849999966 48.0000000300001,-39.8560596419999 48.0000000300001,-39.866666633 48.0000000300001,-39.8726793349999 48.0000000300001,-39.883333299 48.0000000300001,-39.8892990269999 48.0000000300001,-39.8999999659999 48.0000000300001,-39.9059187199999 48.0000000300001,-39.916666633 48.0000000300001,-39.9225384119999 48.0000000300001,-39.9333333 48.0000000300001,-39.9391581039999 48.0000000300001,-39.949999966 48.0000000300001,-39.9557777969999 48.0000000300001,-39.9666666329999 48.0000000300001,-39.9723974889999 48.0000000300001,-39.9833333 48.0000000300001,-39.9890171819999 48.0000000300001,-39.999999966 48.0000000300001,-40.0056368739999 48.0000000300001,-40.0166666329999 48.0000000300001,-40.0222565669999 48.0000000300001,-40.0333333 48.0000000300001,-40.0388762589999 48.0000000300001,-40.049999966 48.0000000300001,-40.0554959519999 48.0000000300001,-40.066666633 48.0000000300001,-40.072115644 48.0000000300001,-40.0833332999999 48.0000000300001,-40.088735336 48.0000000300001,-40.099999966 48.0000000300001,-40.105355029 48.0000000300001,-40.116666633 48.0000000300001,-40.121974721 48.0000000300001,-40.1333332999999 48.0000000300001,-40.138594414 48.0000000300001,-40.1499999659999 48.0000000300001,-40.155214106 48.0000000300001,-40.166666633 48.0000000300001,-40.171833799 48.0000000300001,-40.1833333 48.0000000300001,-40.188453491 48.0000000300001,-40.199999966 48.0000000300001,-40.205073184 48.0000000300001,-40.2166666329999 48.0000000300001,-40.221692876 48.0000000300001,-40.2333333 48.0000000300001,-40.238312569 48.0000000300001,-40.249999966 48.0000000300001,-40.254932261 48.0000000300001,-40.2666666329999 48.0000000300001,-40.271551953 48.0000000300001,-40.2833333 48.0000000300001,-40.288171646 48.0000000300001,-40.299999967 48.0000000300001,-40.304791338 48.0000000300001,-40.316666633 48.0000000300001,-40.321411031 48.0000000300001,-40.3333332999999 48.0000000300001,-40.338030723 48.0000000300001,-40.349999967 48.0000000300001,-40.354650416 48.0000000300001,-40.366666633 48.0000000300001,-40.371270108 48.0000000300001,-40.3833332999999 48.0000000300001,-40.387889801 48.0000000300001,-40.399999967 48.0000000300001,-40.404509493 48.0000000300001,-40.416666633 48.0000000300001,-40.421129185 48.0000000300001,-40.4333333 48.0000000300001,-40.437748878 48.0000000300001,-40.4499999669999 48.0000000300001,-40.45436857 48.0000000300001,-40.4666666329999 48.0000000300001,-40.470988263 48.0000000300001,-40.4833333 48.0000000300001,-40.4876079549999 48.0000000300001,-40.499999967 48.0000000300001,-40.504227648 48.0000000300001,-40.5166666329999 48.0000000300001,-40.5208473399999 48.0000000300001,-40.5333333 48.0000000300001,-40.537467033 48.0000000300001,-40.549999967 48.0000000300001,-40.5540867249999 48.0000000300001,-40.566666633 48.0000000300001,-40.5707064179999 48.0000000300001,-40.5833332999999 48.0000000300001,-40.5873261099999 48.0000000300001,-40.599999967 48.0000000300001,-40.6039458019999 48.0000000300001,-40.616666633 48.0000000300001,-40.6205654949999 48.0000000300001,-40.6333332999999 48.0000000300001,-40.6371851869999 48.0000000300001,-40.649999967 48.0000000300001,-40.6538048799999 48.0000000300001,-40.666666634 48.0000000300001,-40.6704245719999 48.0000000300001,-40.6833333 48.0000000300001,-40.6870442649999 48.0000000300001,-40.6999999669999 48.0000000300001,-40.7036639569999 48.0000000300001,-40.716666634 48.0000000300001,-40.7202836499999 48.0000000300001,-40.7333333 48.0000000300001,-40.7369033419999 48.0000000300001,-40.749999967 48.0000000300001,-40.753523034 48.0000000300001,-40.7666666339999 48.0000000300001,-40.7701427269999 48.0000000300001,-40.7833333 48.0000000300001,-40.786762419 48.0000000300001,-40.799999967 48.0000000300001,-40.803382112 48.0000000300001,-40.8166666339999 48.0000000300001,-40.820001804 48.0000000300001,-40.8333332999999 48.0000000300001,-40.836621497 48.0000000300001,-40.849999967 48.0000000300001,-40.853241189 48.0000000300001,-40.866666634 48.0000000300001,-40.869860882 48.0000000300001,-40.8833332999999 48.0000000300001,-40.886480574 48.0000000300001,-40.899999967 48.0000000300001,-40.903100266 48.0000000300001,-40.916666634 48.0000000300001,-40.919719959 48.0000000300001,-40.9333333 48.0000000300001,-40.936339651 48.0000000300001,-40.9499999669999 48.0000000300001,-40.952959344 48.0000000300001,-40.966666634 48.0000000300001,-40.969579036 48.0000000300001,-40.983333301 48.0000000300001,-40.986198729 48.0000000300001,-40.999999967 48.0000000300001,-41.002818421 48.0000000300001,-41.0166666339999 48.0000000300001,-41.019438114 48.0000000300001,-41.033333301 48.0000000300001,-41.036057806 48.0000000300001,-41.049999967 48.0000000300001,-41.052677499 48.0000000300001,-41.0666666339999 48.0000000300001,-41.069297191 48.0000000300001,-41.083333301 48.0000000300001,-41.085916883 48.0000000300001,-41.099999967 48.0000000300001,-41.102536576 48.0000000300001,-41.116666634 48.0000000300001,-41.119156268 48.0000000300001,-41.1333333009999 48.0000000300001,-41.135775961 48.0000000300001,-41.149999967 48.0000000300001,-41.152395653 48.0000000300001,-41.166666634 48.0000000300001,-41.169015346 48.0000000300001,-41.1833333009999 48.0000000300001,-41.1856350379999 48.0000000300001,-41.1999999669999 48.0000000300001,-41.202254731 48.0000000300001,-41.216666634 48.0000000300001,-41.2188744229999 48.0000000300001,-41.233333301 48.0000000300001,-41.2354941149999 48.0000000300001,-41.249999967 48.0000000300001,-41.2521138079999 48.0000000300001,-41.2666666339999 48.0000000300001,-41.2687334999999 48.0000000300001,-41.283333301 48.0000000300001,-41.2853531929999 48.0000000300001,-41.299999967 48.0000000300001,-41.3019728849999 48.0000000300001,-41.3166666339999 48.0000000300001,-41.3185925779999 48.0000000300001,-41.333333301 48.0000000300001,-41.3352122699999 48.0000000300001,-41.349999968 48.0000000300001,-41.3518319629999 48.0000000300001,-41.366666634 48.0000000300001,-41.3684516549999 48.0000000300001,-41.3833333009999 48.0000000300001,-41.3850713479999 48.0000000300001,-41.399999968 48.0000000300001,-41.4016910399999 48.0000000300001,-41.416666634 48.0000000300001,-41.418310732 48.0000000300001,-41.4333333009999 48.0000000300001,-41.4349304249999 48.0000000300001,-41.4499999679999 48.0000000300001,-41.451550117 48.0000000300001,-41.466666634 48.0000000300001,-41.4681698099999 48.0000000300001,-41.483333301 48.0000000300001,-41.484789502 48.0000000300001,-41.4999999679999 48.0000000300001,-41.501409195 48.0000000300001,-41.5166666339999 48.0000000300001,-41.518028887 48.0000000300001,-41.533333301 48.0000000300001,-41.53464858 48.0000000300001,-41.549999968 48.0000000300001,-41.551268272 48.0000000300001,-41.5666666339999 48.0000000300001,-41.567887964 48.0000000300001,-41.583333301 48.0000000300001,-41.584507657 48.0000000300001,-41.599999968 48.0000000300001,-41.601127349 48.0000000300001,-41.616666634 48.0000000300001,-41.617747042 48.0000000300001,-41.6333333009999 48.0000000300001,-41.634366734 48.0000000300001,-41.649999968 48.0000000300001,-41.650986427 48.0000000300001,-41.666666634 48.0000000300001,-41.667606119 48.0000000300001,-41.6833333009999 48.0000000300001,-41.684225812 48.0000000300001,-41.6999999679999 48.0000000300001,-41.700845504 48.0000000300001,-41.716666635 48.0000000300001,-41.717465196 48.0000000300001,-41.733333301 48.0000000300001,-41.734084889 48.0000000300001,-41.7499999679999 48.0000000300001,-41.750704581 48.0000000300001,-41.766666635 48.0000000300001,-41.767324274 48.0000000300001,-41.783333301 48.0000000300001,-41.783943966 48.0000000300001,-41.799999968 48.0000000300001,-41.800563659 48.0000000300001,-41.8166666349999 48.0000000300001,-41.817183351 48.0000000300001,-41.833333301 48.0000000300001,-41.833803044 48.0000000300001,-41.849999968 48.0000000300001,-41.850422736 48.0000000300001,-41.8666666349999 48.0000000300001,-41.867042429 48.0000000300001,-41.8833333009999 48.0000000300001,-41.8836621209999 48.0000000300001,-41.899999968 48.0000000300001,-41.9002818129999 48.0000000300001,-41.916666635 48.0000000300001,-41.9169015059999 48.0000000300001,-41.9333333009999 48.0000000300001,-41.9335211979999 48.0000000300001,-41.9499999679999 48.0000000300001,-41.9501408909999 48.0000000300001,-41.966666635 48.0000000300001,-41.9667605829999 48.0000000300001,-41.983333301 48.0000000300001,-41.9833802759999 48.0000000300001,-41.9999999789999 48.0000000100001,-41.9999999999999 48.0166664120001,-41.9999999999999 48.0333328250001,-41.9999999999999 48.0499992370001,-41.9999999999999 48.0666656490001,-41.9999999999999 48.0833320620001,-41.9999999999999 48.0999984740001,-41.9999999999999 48.1166648860001,-41.9999999999999 48.133335114,-41.9999999999999 48.150001526,-41.9999999999999 48.166667938,-41.9999999999999 48.183334351,-41.9999999999999 48.200000763,-41.9999999999999 48.2166671750001,-41.9999999999999 48.2333335880001,-41.9999999999999 48.2500000000001,-41.9999999999999 48.2666664120001,-41.9999999999999 48.2833328250001,-41.9999999999999 48.2999992370001,-41.9999999999999 48.3166656490001,-41.9999999999999 48.3333320620001,-41.9999999999999 48.3499984740001,-41.9999999999999 48.3666648860001,-41.9999999999999 48.383335114,-41.9999999999999 48.400001526,-41.9999999999999 48.416667938,-41.9999999999999 48.433334351,-41.9999999999999 48.450000763,-41.9999999999999 48.4666671750001,-41.9999999999999 48.4833335880001,-41.9999999999999 48.5000000000001,-41.9999999999999 48.5166664120001,-41.9999999999999 48.5333328250001,-41.9999999999999 48.5499992370001,-41.9999999999999 48.5666656490001,-41.9999999999999 48.5833320620001,-41.9999999999999 48.5999984740001,-41.9999999999999 48.6166648860001,-41.9999999999999 48.633335114,-41.9999999999999 48.650001526,-41.9999999999999 48.666667938,-41.9999999999999 48.683334351,-41.9999999999999 48.700000763,-41.9999999999999 48.7166671750001,-41.9999999999999 48.7333335880001,-41.9999999999999 48.7500000000001,-41.9999999999999 48.7666664120001,-41.9999999999999 48.7833328250001,-41.9999999999999 48.7999992370001,-41.9999999999999 48.8166656490001,-41.9999999999999 48.8333320620001,-41.9999999999999 48.8499984740001,-41.9999999999999 48.8666648860001,-41.9999999999999 48.883335114,-41.9999999999999 48.900001526,-41.9999999999999 48.916667938,-41.9999999999999 48.933334351,-41.9999999999999 48.950000763,-41.9999999999999 48.9666671750001,-41.9999999999999 48.9833335880001,-41.9999999999999 49.0000000000001,-41.9999999999999 49.0166664120001,-41.9999999999999 49.0333328250001,-41.9999999999999 49.0499992370001,-41.9999999999999 49.0666656490001,-41.9999999999999 49.0833320620001,-41.9999999999999 49.0999984740001,-41.9999999999999 49.1166648860001,-41.9999999999999 49.133335114,-41.9999999999999 49.150001526,-41.9999999999999 49.166667938,-41.9999999999999 49.183334351,-41.9999999999999 49.200000763,-41.9999999999999 49.2166671750001,-41.9999999999999 49.2333335880001,-41.9999999999999 49.2500000000001,-41.9999999999999 49.2666664120001,-41.9999999999999 49.2833328250001,-41.9999999999999 49.2999992370001,-41.9999999999999 49.3166656500001,-41.9999999999999 49.3333320620001,-41.9999999999999 49.3499984740001,-41.9999999999999 49.3666648860001,-41.9999999999999 49.383335113,-41.9999999999999 49.400001526,-41.9999999999999 49.416667938,-41.9999999999999 49.4333343500001,-41.9999999999999 49.450000763,-41.9999999999999 49.4666671750001,-41.9999999999999 49.4833335880001,-41.9999999999999 49.5000000000001,-41.9999999999999 49.5166664130001,-41.9999999999999 49.5333328250001,-41.9999999999999 49.5499992370001,-41.9999999999999 49.5666656490001,-41.9999999999999 49.5833320620001,-41.9999999999999 49.5999984740001,-41.9999999999999 49.6166648860001,-41.9999999999999 49.633335113,-41.9999999999999 49.6500015250001,-41.9999999999999 49.666667938,-41.9999999999999 49.683334351,-41.9999999999999 49.700000763,-41.9999999999999 49.716667176,-41.9999999999999 49.7333335880001,-41.9999999999999 49.7500000000001,-41.9999999999999 49.7666664120001,-41.9999999999999 49.7833328250001,-41.9999999999999 49.7999992370001,-41.9999999999999 49.8166656490001,-41.9999999999999 49.8333320610001,-41.9999999999999 49.8499984740001,-41.9999999999999 49.8666648870001,-41.9999999999999 49.883335114,-41.9999999999999 49.900001526,-41.9999999999999 49.916667938,-41.9999999999999 49.933334351,-41.9999999999999 49.950000763,-41.9999999999999 49.9666671750001,-41.9999999999999 49.9833335880001,-41.9999999999999 50.0000000000001,-41.9999999999999 50.0166664120001,-41.9999999999999 50.0333328240001,-41.9999999999999 50.0499992370001,-41.9999999999999 50.0666656500001,-41.9999999999999 50.0833320620001,-41.9999999999999 50.0999984740001,-41.9999999999999 50.1166648870001,-41.9999999999999 50.133335114,-41.9999999999999 50.150001526,-41.9999999999999 50.166667938,-41.9999999999999 50.1833343500001,-41.9999999999999 50.200000763,-41.9999999999999 50.2166671750001,-41.9999999999999 50.2333335870001,-41.9999999999999 50.2500000000001,-41.9999999999999 50.2666664130001,-41.9999999999999 50.2833328250001,-41.9999999999999 50.2999992370001,-41.9999999999999 50.3166656500001,-41.9999999999999 50.3333320620001,-41.9999999999999 50.3499984740001,-41.9999999999999 50.3666648860001,-41.9999999999999 50.383335113,-41.9999999999999 50.400001526,-41.9999999999999 50.416667938,-41.9999999999999 50.4333343500001,-41.9999999999999 50.4500007620001,-41.9999999999999 50.466667176,-41.9999999999999 50.4833335880001,-41.9999999999999 50.5000000000001,-41.9999999999999 50.5166664130001,-41.9999999999999 50.5333328250001,-41.9999999999999 50.5499992370001,-41.9999999999999 50.5666656490001,-41.9999999999999 50.5833320620001,-41.9999999999999 50.5999984740001,-41.9999999999999 50.6166648860001,-41.9999999999999 50.633335113,-41.9999999999999 50.6500015250001,-41.9999999999999 50.666667938,-41.9999999999999 50.683334351,-41.9999999999999 50.700000763,-41.9999999999999 50.716667176,-41.9999999999999 50.7333335880001,-41.9999999999999 50.7500000000001,-41.9999999999999 50.7666664120001,-41.9999999999999 50.7833328250001,-41.9999999999999 50.7999992370001,-41.9999999999999 50.8166656490001,-41.9999999999999 50.8333320610001,-41.9999999999999 50.8499984740001,-41.9999999999999 50.8666648870001,-41.9999999999999 50.883335114,-41.9999999999999 50.900001526,-41.9999999999999 50.916667938,-41.9999999999999 50.933334351,-41.9999999999999 50.950000763,-41.9999999999999 50.9666671750001,-41.9999999999999 50.9833335880001,-41.9999999999999 51.0000000000001,-41.9999999999999 51.0166664120001,-41.9999999999999 51.0333328240001,-41.9999999999999 51.0499992370001,-41.9999999999999 51.0666656500001,-41.9999999999999 51.0833320620001,-41.9999999999999 51.0999984740001,-41.9999999999999 51.1166648870001,-41.9999999999999 51.133335114,-41.9999999999999 51.150001526,-41.9999999999999 51.166667938,-41.9999999999999 51.1833343500001,-41.9999999999999 51.200000763,-41.9999999999999 51.2166671750001,-41.9999999999999 51.2333335870001,-41.9999999999999 51.2500000000001,-41.9999999999999 51.2666664130001,-41.9999999999999 51.2833328250001,-41.9999999999999 51.2999992370001,-41.9999999999999 51.3166656500001,-41.9999999999999 51.3333320620001,-41.9999999999999 51.3499984740001,-41.9999999999999 51.3666648860001,-41.9999999999999 51.383335113,-41.9999999999999 51.400001526,-41.9999999999999 51.416667938,-41.9999999999999 51.4333343500001,-41.9999999999999 51.450000763,-41.9999999999999 51.466667176,-41.9999999999999 51.4833335880001,-41.9999999999999 51.5000000000001,-41.9999999999999 51.5166664130001,-41.9999999999999 51.5333328250001,-41.9999999999999 51.5499992370001,-41.9999999999999 51.5666656490001,-41.9999999999999 51.5833320620001,-41.9999999999999 51.5999984740001,-41.9999999999999 51.6166648860001,-41.9999999999999 51.633335113,-41.9999999999999 51.650001526,-41.9999999999999 51.666667939,-41.9999999999999 51.683334351,-41.9999999999999 51.700000763,-41.9999999999999 51.7166671750001,-41.9999999999999 51.7333335880001,-41.9999999999999 51.7500000000001,-41.9999999999999 51.7666664120001,-41.9999999999999 51.7833328250001,-41.9999999999999 51.7999992370001,-41.9999999999999 51.8166656490001,-41.9999999999999 51.8333320610001,-41.9999999999999 51.8499984740001,-41.9999999999999 51.8666648870001,-41.9999999999999 51.883335114,-41.9999999999999 51.900001526,-41.9999999999999 51.916667938,-41.9999999999999 51.933334351,-41.9999999999999 51.950000763,-41.9999999999999 51.9666671750001,-41.9999999999999 51.9833335870001,-41.9999999999999 52.0000000000001,-41.9999999999999 52.0166664120001,-41.9999999999999 52.0333328240001,-41.9999999999999 52.0499992370001,-41.9999999999999 52.0666656500001,-41.9999999999999 52.0833320620001,-41.9999999999999 52.0999984740001,-41.9999999999999 52.1166648870001,-41.9999999999999 52.133335114,-41.9999999999999 52.150001526,-41.9999999999999 52.166667938,-41.9999999999999 52.1833343500001,-41.9999999999999 52.200000763,-41.9999999999999 52.2166671750001,-41.9999999999999 52.2333335870001,-41.9999999999999 52.2500000000001,-41.9999999999999 52.2666664130001,-41.9999999999999 52.2833328250001,-41.9999999999999 52.2999992370001,-41.9999999999999 52.3166656500001,-41.9999999999999 52.3333320620001,-41.9999999999999 52.3499984740001,-41.9999999999999 52.3666648860001,-41.9999999999999 52.383335113,-41.9999999999999 52.400001526,-41.9999999999999 52.416667938,-41.9999999999999 52.4333343500001,-41.9999999999999 52.450000763,-41.9999999999999 52.466667176,-41.9999999999999 52.4833335880001,-41.999999734 52.5000002670001,-41.983332801 52.500000535,-41.966666135 52.500000535,-41.9499994679999 52.500000535,-41.9333328009999 52.500000535,-41.916666135 52.500000535,-41.899999468 52.500000535,-41.8833328009999 52.500000535,-41.8666661349999 52.500000535,-41.849999468 52.500000535,-41.833332801 52.500000535,-41.8166661349999 52.500000535,-41.799999468 52.500000535,-41.783332801 52.500000535,-41.766666135 52.500000535,-41.7499994679999 52.500000535,-41.733332801 52.500000535,-41.716666135 52.500000535,-41.6999994679999 52.500000535,-41.6833328009999 52.500000535,-41.666666134 52.500000535,-41.649999468 52.500000535,-41.6333328009999 52.500000535,-41.616666134 52.500000535,-41.599999468 52.500000535,-41.583332801 52.500000535,-41.5666661339999 52.500000535,-41.549999468 52.500000535,-41.533332801 52.500000535,-41.5166661339999 52.500000535,-41.4999994679999 52.500000535,-41.483332801 52.500000535,-41.466666134 52.500000535,-41.4499994679999 52.500000535,-41.4333328009999 52.500000535,-41.416666134 52.500000535,-41.399999468 52.500000535,-41.3833328009999 52.500000535,-41.366666134 52.500000535,-41.349999468 52.500000535,-41.333332801 52.500000535,-41.3166661339999 52.500000535,-41.299999467 52.500000535,-41.283332801 52.500000535,-41.2666661339999 52.500000535,-41.249999467 52.500000535,-41.233332801 52.500000535,-41.216666134 52.500000535,-41.1999994669999 52.500000535,-41.1833328009999 52.500000535,-41.166666134 52.500000535,-41.1499994669999 52.500000535,-41.1333328009999 52.500000535,-41.116666134 52.500000535,-41.099999467 52.500000535,-41.083332801 52.500000535,-41.0666661339999 52.500000535,-41.049999467 52.500000535,-41.033332801 52.500000535,-41.0166661339999 52.500000535,-40.999999467 52.500000535,-40.983332801 52.500000535,-40.966666134 52.500000535,-40.9499994669999 52.500000535,-40.9333328 52.500000535,-40.916666134 52.500000535,-40.8999994669999 52.500000535,-40.8833327999999 52.500000535,-40.866666134 52.500000535,-40.849999467 52.500000535,-40.8333327999999 52.500000535,-40.8166661339999 52.500000535,-40.799999467 52.500000535,-40.7833328 52.500000535,-40.7666661339999 52.500000535,-40.749999467 52.500000535,-40.7333328 52.500000535,-40.716666134 52.500000535,-40.6999994669999 52.500000535,-40.6833328 52.500000535,-40.666666134 52.500000535,-40.6499994669999 52.500000535,-40.6333327999999 52.500000535,-40.616666133 52.500000535,-40.599999467 52.500000535,-40.5833327999999 52.500000535,-40.566666133 52.500000535,-40.549999467 52.500000535,-40.5333328 52.500000535,-40.5166661329999 52.500000535,-40.499999467 52.500000535,-40.4833328 52.500000535,-40.4666661329999 52.500000535,-40.4499994669999 52.500000535,-40.4333328 52.500000535,-40.416666133 52.500000535,-40.3999994669999 52.500000535,-40.3833327999999 52.500000535,-40.366666133 52.500000535,-40.349999467 52.500000535,-40.3333327999999 52.500000535,-40.316666133 52.500000535,-40.299999467 52.500000535,-40.2833328 52.500000535,-40.2666661329999 52.500000535,-40.249999466 52.500000535,-40.2333328 52.500000535,-40.2166661329999 52.500000535,-40.199999466 52.500000535,-40.1833328 52.500000535,-40.166666133 52.500000535,-40.1499994659999 52.500000535,-40.1333327999999 52.500000535,-40.116666133 52.500000535,-40.0999994659999 52.500000535,-40.0833327999999 52.500000535,-40.066666133 52.500000535,-40.049999466 52.500000535,-40.0333328 52.500000535,-40.0166661329999 52.500000535,-39.999999466 52.500000535,-39.9833328 52.500000535,-39.9666661329999 52.500000535,-39.949999466 52.500000535,-39.9333328 52.500000535,-39.916666133 52.500000535,-39.8999994659999 52.500000535,-39.883332799 52.500000535,-39.866666133 52.500000535,-39.8499994659999 52.500000535,-39.8333327989999 52.500000535,-39.816666133 52.500000535,-39.799999466 52.500000535,-39.7833327989999 52.500000535,-39.7666661329999 52.500000535,-39.749999466 52.500000535,-39.733332799 52.500000535,-39.7166661329999 52.500000535,-39.699999466 52.500000535,-39.683332799 52.500000535,-39.666666133 52.500000535,-39.6499994659999 52.500000535,-39.633332799 52.500000535,-39.616666133 52.500000535,-39.5999994659999 52.500000535,-39.5833327989999 52.500000535,-39.566666133 52.500000535,-39.549999466 52.500000535,-39.5333327989999 52.500000535,-39.516666132 52.500000535,-39.499999466 52.500000535,-39.483332799 52.500000535,-39.4666661319999 52.500000535,-39.449999466 52.500000535,-39.433332799 52.500000535,-39.4166661319999 52.500000535,-39.3999994659999 52.500000535,-39.383332799 52.500000535,-39.366666132 52.500000535,-39.3499994659999 52.500000535,-39.3333327989999 52.500000535,-39.316666132 52.500000535,-39.299999466 52.500000535,-39.2833327989999 52.500000535,-39.266666132 52.500000535,-39.249999466 52.500000535,-39.233332799 52.500000535,-39.2166661319999 52.500000535,-39.199999466 52.500000535,-39.183332799 52.500000535,-39.1666661319999 52.500000535,-39.149999465 52.500000535,-39.133332799 52.500000535,-39.116666132 52.500000535,-39.0999994649999 52.500000535,-39.0833327989999 52.500000535,-39.066666132 52.500000535,-39.049999465 52.500000535,-39.0333327989999 52.500000535,-39.016666132 52.500000535,-38.999999465 52.500000535,-38.983332799 52.500000535,-38.9666661319999 52.500000535,-38.949999465 52.500000535,-38.933332799 52.500000535,-38.9166661319999 52.500000535,-38.899999465 52.500000535,-38.883332799 52.500000535,-38.866666132 52.500000535,-38.8499994649999 52.500000535,-38.8333327989999 52.500000535,-38.816666132 52.500000535,-38.799999465 52.500000535,-38.7833327979999 52.500000535,-38.766666132 52.500000535,-38.749999465 52.500000535,-38.7333327979999 52.500000535,-38.7166661319999 52.500000535,-38.699999465 52.500000535,-38.683332798 52.500000535,-38.6666661319999 52.500000535,-38.649999465 52.500000535,-38.633332798 52.500000535,-38.616666132 52.500000535,-38.5999994649999 52.500000535,-38.583332798 52.500000535,-38.566666132 52.500000535,-38.549999465 52.500000535,-38.5333327979999 52.500000535,-38.516666132 52.500000535,-38.499999465 52.500000535,-38.4833327979999 52.500000535,-38.466666131 52.500000535,-38.449999465 52.500000535,-38.433332798 52.500000535,-38.4166661309999 52.500000535,-38.399999465 52.500000535,-38.383332798 52.500000535,-38.3666661309999 52.500000535,-38.3499994649999 52.500000535,-38.333332798 52.500000535,-38.316666131 52.500000535,-38.299999465 52.500000535,-38.2833327979999 52.500000535,-38.266666131 52.500000535,-38.249999465 52.500000535,-38.2333327979999 52.500000535,-38.216666131 52.500000535,-38.199999465 52.500000535,-38.183332798 52.500000535,-38.1666661309999 52.500000535,-38.149999465 52.500000535,-38.133332798 52.500000535,-38.1166661309999 52.500000535,-38.0999994639999 52.500000535,-38.083332798 52.500000535,-38.066666131 52.500000535,-38.0499994639999 52.500000535,-38.0333327979999 52.500000535,-38.016666131 52.500000535,-37.999999464 52.500000535,-37.9833327979999 52.500000535,-37.966666131 52.500000535,-37.949999464 52.500000535,-37.933332798 52.500000535,-37.9166661309999 52.500000535,-37.899999464 52.500000535,-37.883332798 52.500000535,-37.8666661309999 52.500000535,-37.8499994639999 52.500000535,-37.833332798 52.500000535,-37.816666131 52.500000535,-37.7999994639999 52.500000535,-37.7833327979999 52.500000535,-37.766666131 52.500000535,-37.749999464 52.500000535,-37.7333327969999 52.500000535,-37.716666131 52.500000535,-37.699999464 52.500000535,-37.6833327969999 52.500000535,-37.6666661309999 52.500000535,-37.649999464 52.500000535,-37.633332797 52.500000535,-37.6166661309999 52.500000535,-37.5999994639999 52.500000535,-37.583332797 52.500000535,-37.566666131 52.500000535,-37.5499994639999 52.500000535,-37.533332797 52.500000535,-37.516666131 52.500000535,-37.499999464 52.500000535,-37.4833327969999 52.500000535,-37.466666131 52.500000535,-37.449999464 52.500000535,-37.4333327969999 52.500000535,-37.4166661309999 52.500000535,-37.399999464 52.500000535,-37.383332797 52.500000535,-37.3666661299999 52.500000535,-37.3499994639999 52.500000535,-37.333332797 52.500000535,-37.3166661299999 52.500000535,-37.2999994639999 52.500000535,-37.283332797 52.500000535,-37.26666613 52.500000535,-37.249999464 52.500000535,-37.2333327969999 52.500000535,-37.21666613 52.500000535,-37.199999464 52.500000535,-37.1833327969999 52.500000535,-37.16666613 52.500000535,-37.149999464 52.500000535,-37.133332797 52.500000535,-37.1166661299999 52.500000535,-37.0999994639999 52.500000535,-37.083332797 52.500000535,-37.0666661299999 52.500000535,-37.0499994639999 52.500000535,-37.033332797 52.500000535,-37.01666613 52.500000535,-36.9999994629999 52.500000535,-36.9833327969999 52.500000535,-36.96666613 52.500000535,-36.949999463 52.500000535,-36.9333327969999 52.500000535,-36.91666613 52.500000535,-36.899999463 52.500000535,-36.883332797 52.500000535,-36.8666661299999 52.500000535,-36.849999463 52.500000535,-36.833332797 52.500000535,-36.8166661299999 52.500000535,-36.7999994629999 52.500000535,-36.783332797 52.500000535,-36.76666613 52.500000535,-36.7499994629999 52.500000535,-36.7333327969999 52.500000535,-36.71666613 52.500000535,-36.699999463 52.500000535,-36.6833327969999 52.500000535,-36.66666613 52.500000535,-36.649999463 52.500000535,-36.6333327959999 52.500000535,-36.6166661299999 52.500000535,-36.599999463 52.500000535,-36.583332796 52.500000535,-36.5666661299999 52.500000535,-36.5499994629999 52.500000535,-36.533332796 52.500000535,-36.51666613 52.500000535,-36.4999994629999 52.500000535,-36.483332796 52.500000535,-36.46666613 52.500000535,-36.449999463 52.500000535,-36.4333327959999 52.500000535,-36.41666613 52.500000535,-36.399999463 52.500000535,-36.3833327959999 52.500000535,-36.3666661299999 52.500000535,-36.349999463 52.500000535,-36.333332796 52.500000535,-36.3166661289999 52.500000535,-36.2999994629999 52.500000535,-36.283332796 52.500000535,-36.2666661289999 52.500000535,-36.2499994629999 52.500000535,-36.233332796 52.500000535,-36.216666129 52.500000535,-36.199999463 52.500000535,-36.1833327959999 52.500000535,-36.166666129 52.500000535,-36.149999463 52.500000535,-36.1333327959999 52.500000535,-36.116666129 52.500000535,-36.099999463 52.500000535,-36.083332796 52.500000535,-36.0666661289999 52.500000535,-36.0499994629999 52.500000535,-36.033332796 52.500000535,-36.0166661289999 52.500000535,-35.9999994629999 52.500000535,-35.983332796 52.500000535,-35.966666129 52.500000535,-35.9499994619999 52.500000535,-35.9333327959999 52.500000535,-35.916666129 52.500000535,-35.899999462 52.500000535,-35.8833327959999 52.500000535,-35.866666129 52.500000535,-35.849999462 52.500000535,-35.833332796 52.500000535,-35.8166661289999 52.500000535,-35.799999462 52.500000535,-35.783332796 52.500000535,-35.7666661289999 52.500000535,-35.7499994619999 52.500000535,-35.733332796 52.500000535,-35.716666129 52.500000535,-35.6999994619999 52.500000535,-35.6833327959999 52.500000535,-35.666666129 52.500000535,-35.649999462 52.500000535,-35.6333327959999 52.500000535,-35.616666129 52.500000535,-35.599999462 52.500000535,-35.5833327949999 52.500000535,-35.5666661289999 52.500000535,-35.549999462 52.500000535,-35.533332795 52.500000535,-35.5166661289999 52.500000535,-35.4999994619999 52.500000535,-35.483332795 52.500000535,-35.466666129 52.500000535,-35.4499994619999 52.500000535,-35.433332795 52.500000535,-35.416666129 52.500000535,-35.399999462 52.500000535,-35.3833327949999 52.500000535,-35.366666129 52.500000535,-35.349999462 52.500000535,-35.3333327949999 52.500000535,-35.3166661289999 52.500000535,-35.299999462 52.500000535,-35.283332795 52.500000535,-35.2666661289999 52.500000535,-35.2499994619999 52.500000535,-35.233332795 52.500000535,-35.2166661279999 52.500000535,-35.1999994619999 52.500000535,-35.183332795 52.500000535,-35.166666128 52.500000535,-35.149999462 52.500000535,-35.1333327949999 52.500000535,-35.116666128 52.500000535,-35.099999462 52.500000535,-35.0833327949999 52.500000535,-35.066666128 52.500000535,-35.049999462 52.500000535,-35.033332795 52.500000535,-35.0166661279999 52.500000535,-34.9999994619999 52.500000535,-34.983332795 52.500000535,-34.9666661279999 52.500000535,-34.9499994619999 52.500000535,-34.933332795 52.500000535,-34.916666128 52.500000535,-34.899999462 52.500000535,-34.8833327949999 52.500000535,-34.866666128 52.500000535,-34.849999461 52.500000535,-34.8333327949999 52.500000535,-34.816666128 52.500000535,-34.799999461 52.500000535,-34.783332795 52.500000535,-34.7666661279999 52.500000535,-34.749999461 52.500000535,-34.733332795 52.500000535,-34.7166661279999 52.500000535,-34.6999994609999 52.500000535,-34.683332795 52.500000535,-34.666666128 52.500000535,-34.6499994609999 52.500000535,-34.6333327949999 52.500000535,-34.616666128 52.500000535,-34.599999461 52.500000535,-34.5833327949999 52.500000535,-34.566666128 52.500000535,-34.549999461 52.500000535,-34.5333327939999 52.500000535,-34.5166661279999 52.500000535,-34.499999461 52.500000535,-34.483332794 52.500000535,-34.4666661279999 52.500000535,-34.4499994609999 52.500000535,-34.433332794 52.500000535,-34.416666128 52.500000535,-34.3999994609999 52.500000535,-34.383332794 52.500000535,-34.366666128 52.500000535,-34.349999461 52.500000535,-34.3333327939999 52.500000535,-34.316666128 52.500000535,-34.299999461 52.500000535,-34.2833327939999 52.500000535,-34.2666661279999 52.500000535,-34.249999461 52.500000535,-34.233332794 52.500000535,-34.2166661279999 52.500000535,-34.1999994609999 52.500000535,-34.183332794 52.500000535,-34.1666661269999 52.500000535,-34.1499994609999 52.500000535,-34.133332794 52.500000535,-34.116666127 52.500000535,-34.099999461 52.500000535,-34.0833327939999 52.500000535,-34.066666127 52.500000535,-34.049999461 52.500000535,-34.0333327939999 52.500000535,-34.016666127 52.500000535,-33.999999461 52.500000535,-33.983332794 52.500000535,-33.9666661269999 52.500000535,-33.9499994609999 52.500000535,-33.933332794 52.500000535,-33.9166661269999 52.500000535,-33.8999994609999 52.500000535,-33.883332794 52.500000535,-33.866666127 52.500000535,-33.849999461 52.500000535,-33.8333327939999 52.500000535,-33.816666127 52.500000535,-33.79999946 52.500000535,-33.7833327939999 52.500000535,-33.766666127 52.500000535,-33.74999946 52.500000535,-33.733332794 52.500000535,-33.7166661269999 52.500000535,-33.69999946 52.500000535,-33.683332794 52.500000535,-33.6666661269999 52.500000535,-33.6499994599999 52.500000535,-33.633332794 52.500000535,-33.616666127 52.500000535,-33.5999994599999 52.500000535,-33.5833327939999 52.500000535,-33.566666127 52.500000535,-33.54999946 52.500000535,-33.5333327939999 52.500000535,-33.516666127 52.500000535,-33.49999946 52.500000535,-33.483332794 52.500000535,-33.4666661269999 52.500000535,-33.44999946 52.500000535,-33.433332793 52.500000535,-33.4166661269999 52.500000535,-33.3999994599999 52.500000535,-33.383332793 52.500000535,-33.366666127 52.500000535,-33.3499994599999 52.500000535,-33.333332793 52.500000535,-33.316666127 52.500000535,-33.29999946 52.500000535,-33.2833327929999 52.500000535,-33.266666127 52.500000535,-33.24999946 52.500000535,-33.2333327929999 52.500000535,-33.2166661269999 52.500000535,-33.19999946 52.500000535,-33.183332793 52.500000535,-33.1666661269999 52.500000535,-33.1499994599999 52.500000535,-33.133332793 52.500000535,-33.116666127 52.500000535,-33.0999994599999 52.500000535,-33.083332793 52.500000535,-33.066666126 52.500000535,-33.04999946 52.500000535,-33.0333327929999 52.500000535,-33.016666126 52.500000535,-32.99999946 52.500000535,-32.9833327929999 52.500000535,-32.966666126 52.500000535,-32.94999946 52.500000535,-32.933332793 52.500000535,-32.9166661259999 52.500000535,-32.8999994599999 52.500000535,-32.883332793 52.500000535,-32.866666126 52.500000535,-32.8499994599999 52.500000535,-32.833332793 52.500000535,-32.816666126 52.500000535,-32.79999946 52.500000535,-32.7833327929999 52.500000535,-32.766666126 52.500000535,-32.74999946 52.500000535,-32.7333327929999 52.500000535,-32.716666126 52.500000535,-32.699999459 52.500000535,-32.683332793 52.500000535,-32.6666661259999 52.500000535,-32.649999459 52.500000535,-32.633332793 52.500000535,-32.616666126 52.500000535,-32.5999994589999 52.500000535,-32.583332793 52.500000535,-32.566666126 52.500000535,-32.5499994589999 52.500000535,-32.5333327929999 52.500000535,-32.516666126 52.500000535,-32.499999459 52.500000535,-32.4833327929999 52.500000535,-32.466666126 52.500000535,-32.449999459 52.500000535,-32.433332793 52.500000535,-32.4166661259999 52.500000535,-32.399999459 52.500000535,-32.383332792 52.500000535,-32.366666126 52.500000535,-32.3499994589999 52.500000535,-32.333332792 52.500000535,-32.316666126 52.500000535,-32.2999994589999 52.500000535,-32.283332792 52.500000535,-32.266666126 52.500000535,-32.249999459 52.500000535,-32.2333327919999 52.500000535,-32.216666126 52.500000535,-32.199999459 52.500000535,-32.1833327919999 52.500000535,-32.1666661259999 52.500000535,-32.149999459 52.500000535,-32.133332792 52.500000535,-32.116666126 52.500000535,-32.0999994589999 52.500000535,-32.083332792 52.500000535,-32.066666126 52.500000535,-32.0499994589999 52.500000535,-32.033332792 52.500000535,-32.016666125 52.500000535,-31.999999459 52.500000535,-31.9833327919999 52.500000535,-31.966666125 52.500000535,-31.949999459 52.500000535,-31.9333327919999 52.500000535,-31.9166661249999 52.500000535,-31.899999459 52.500000535,-31.883332792 52.500000535,-31.8666661249999 52.500000535,-31.8499994589999 52.500000535,-31.833332792 52.500000535,-31.816666125 52.500000535,-31.7999994589999 52.500000535,-31.783332792 52.500000535,-31.766666125 52.500000535,-31.749999459 52.500000535,-31.7333327919999 52.500000535,-31.716666125 52.500000535,-31.699999459 52.500000535,-31.6833327919999 52.500000535,-31.6666661249999 52.500000535,-31.649999458 52.500000535,-31.633332792 52.500000535,-31.6166661249999 52.500000535,-31.599999458 52.500000535,-31.583332792 52.500000535,-31.566666125 52.500000535,-31.5499994579999 52.500000535,-31.533332792 52.500000535,-31.516666125 52.500000535,-31.4999994579999 52.500000535,-31.4833327919999 52.500000535,-31.466666125 52.500000535,-31.449999458 52.500000535,-31.4333327919999 52.500000535,-31.4166661249999 52.500000535,-31.399999458 52.500000535,-31.383332792 52.500000535,-31.3666661249999 52.500000535,-31.349999458 52.500000535,-31.333332792 52.500000535,-31.316666125 52.500000535,-31.2999994579999 52.500000535,-31.283332791 52.500000535,-31.266666125 52.500000535,-31.2499994579999 52.500000535,-31.233332791 52.500000535,-31.216666125 52.500000535,-31.199999458 52.500000535,-31.1833327909999 52.500000535,-31.1666661249999 52.500000535,-31.149999458 52.500000535,-31.1333327909999 52.500000535,-31.1166661249999 52.500000535,-31.099999458 52.500000535,-31.083332791 52.500000535,-31.066666125 52.500000535,-31.0499994579999 52.500000535,-31.033332791 52.500000535,-31.016666125 52.500000535,-30.9999994579999 52.500000535,-30.983332791 52.500000535,-30.966666125 52.500000535,-30.949999458 52.500000535,-30.9333327909999 52.500000535,-30.916666124 52.500000535,-30.899999458 52.500000535,-30.8833327909999 52.500000535,-30.8666661239999 52.500000535,-30.849999458 52.500000535,-30.833332791 52.500000535,-30.8166661239999 52.500000535,-30.7999994579999 52.500000535,-30.783332791 52.500000535,-30.766666124 52.500000535,-30.7499994579999 52.500000535,-30.733332791 52.500000535,-30.716666124 52.500000535,-30.699999458 52.500000535,-30.6833327909999 52.500000535,-30.666666124 52.500000535,-30.649999458 52.500000535,-30.6333327909999 52.500000535,-30.6166661239999 52.500000535,-30.599999458 52.500000535,-30.583332791 52.500000535,-30.5666661239999 52.500000535,-30.549999457 52.500000535,-30.533332791 52.500000535,-30.516666124 52.500000535,-30.4999994569999 52.500000535,-30.483332791 52.500000535,-30.466666124 52.500000535,-30.4499994569999 52.500000535,-30.4333327909999 52.500000535,-30.416666124 52.500000535,-30.399999457 52.500000535,-30.3833327909999 52.500000535,-30.3666661239999 52.500000535,-30.349999457 52.500000535,-30.333332791 52.500000535,-30.3166661239999 52.500000535,-30.299999457 52.500000535,-30.283332791 52.500000535,-30.266666124 52.500000535,-30.2499994569999 52.500000535,-30.23333279 52.500000535,-30.216666124 52.500000535,-30.1999994569999 52.500000535,-30.18333279 52.500000535,-30.166666124 52.500000535,-30.149999457 52.500000535,-30.1333327899999 52.500000535,-30.1166661239999 52.500000535,-30.099999457 52.500000535,-30.0833327899999 52.500000535,-30.0666661239999 52.500000535,-30.049999457 52.500000535,-30.03333279 52.500000535,-30.016666124 52.500000535,-29.9999994569999 52.500000535,-29.98333279 52.500000535,-29.966666124 52.500000535,-29.9499994569999 52.500000535,-29.93333279 52.500000535,-29.916666124 52.500000535,-29.899999457 52.500000535,-29.8833327899999 52.500000535,-29.866666123 52.500000535,-29.849999457 52.500000535,-29.8333327899999 52.500000535,-29.8166661229999 52.500000535,-29.799999457 52.500000535,-29.78333279 52.500000535,-29.7666661229999 52.500000535,-29.7499994569999 52.500000535,-29.73333279 52.500000535,-29.716666123 52.500000535,-29.6999994569999 52.500000535,-29.68333279 52.500000535,-29.666666123 52.500000535,-29.649999457 52.500000535,-29.6333327899999 52.500000535,-29.616666123 52.500000535,-29.599999457 52.500000535,-29.5833327899999 52.500000535,-29.5666661229999 52.500000535,-29.549999457 52.500000535,-29.53333279 52.500000535,-29.5166661229999 52.500000535,-29.499999456 52.500000535,-29.48333279 52.500000535,-29.466666123 52.500000535,-29.4499994559999 52.500000535,-29.43333279 52.500000535,-29.416666123 52.500000535,-29.3999994559999 52.500000535,-29.3833327899999 52.500000535,-29.366666123 52.500000535,-29.349999456 52.500000535,-29.3333327899999 52.500000535,-29.3166661229999 52.500000535,-29.299999456 52.500000535,-29.28333279 52.500000535,-29.2666661229999 52.500000535,-29.249999456 52.500000535,-29.23333279 52.500000535,-29.216666123 52.500000535,-29.1999994559999 52.500000535,-29.18333279 52.500000535,-29.166666123 52.500000535,-29.1499994559999 52.500000535,-29.133332789 52.500000535,-29.116666123 52.500000535,-29.099999456 52.500000535,-29.0833327889999 52.500000535,-29.0666661229999 52.500000535,-29.049999456 52.500000535,-29.0333327889999 52.500000535,-29.0166661229999 52.500000535,-28.999999456 52.500000535,-28.983332789 52.500000535,-28.966666123 52.500000535,-28.9499994559999 52.500000535,-28.933332789 52.500000535,-28.916666123 52.500000535,-28.8999994559999 52.500000535,-28.883332789 52.500000535,-28.866666123 52.500000535,-28.849999456 52.500000535,-28.8333327889999 52.500000535,-28.8166661229999 52.500000535,-28.799999456 52.500000535,-28.7833327889999 52.500000535,-28.7666661219999 52.500000535,-28.749999456 52.500000535,-28.733332789 52.500000535,-28.7166661219999 52.500000535,-28.6999994559999 52.500000535,-28.683332789 52.500000535,-28.666666122 52.500000535,-28.6499994559999 52.500000535,-28.633332789 52.500000535,-28.616666122 52.500000535,-28.599999456 52.500000535,-28.5833327889999 52.500000535,-28.566666122 52.500000535,-28.549999456 52.500000535,-28.5333327889999 52.500000535,-28.5166661219999 52.500000535,-28.499999456 52.500000535,-28.483332789 52.500000535,-28.4666661219999 52.500000535,-28.449999455 52.500000535,-28.433332789 52.500000535,-28.416666122 52.500000535,-28.3999994549999 52.500000535,-28.383332789 52.500000535,-28.366666122 52.500000535,-28.3499994549999 52.500000535,-28.3333327889999 52.500000535,-28.316666122 52.500000535,-28.299999455 52.500000535,-28.2833327889999 52.500000535,-28.2666661219999 52.500000535,-28.249999455 52.500000535,-28.233332789 52.500000535,-28.2166661219999 52.500000535,-28.199999455 52.500000535,-28.183332789 52.500000535,-28.166666122 52.500000535,-28.1499994549999 52.500000535,-28.133332789 52.500000535,-28.116666122 52.500000535,-28.0999994549999 52.500000535,-28.083332788 52.500000535,-28.066666122 52.500000535,-28.049999455 52.500000535,-28.0333327879999 52.500000535,-28.0166661219999 52.500000535,-27.999999455 52.500000535,-27.9833327879999 52.500000535,-27.9666661219999 52.500000535,-27.949999455 52.500000535,-27.933332788 52.500000535,-27.916666122 52.500000535,-27.8999994549999 52.500000535,-27.883332788 52.500000535,-27.866666122 52.500000535,-27.8499994549999 52.500000535,-27.833332788 52.500000535,-27.816666122 52.500000535,-27.799999455 52.500000535,-27.7833327879999 52.500000535,-27.7666661219999 52.500000535,-27.749999455 52.500000535,-27.7333327879999 52.500000535,-27.7166661209999 52.500000535,-27.699999455 52.500000535,-27.683332788 52.500000535,-27.6666661209999 52.500000535,-27.6499994549999 52.500000535,-27.633332788 52.500000535,-27.616666121 52.500000535,-27.5999994549999 52.500000535,-27.583332788 52.500000535,-27.566666121 52.500000535,-27.549999455 52.500000535,-27.5333327879999 52.500000535,-27.516666121 52.500000535,-27.499999455 52.500000535,-27.4833327879999 52.500000535,-27.4666661209999 52.500000535,-27.449999455 52.500000535,-27.433332788 52.500000535,-27.4166661209999 52.500000535,-27.3999994549999 52.500000535,-27.383332788 52.500000535,-27.366666121 52.500000535,-27.3499994539999 52.500000535,-27.333332788 52.500000535,-27.316666121 52.500000535,-27.2999994539999 52.500000535,-27.2833327879999 52.500000535,-27.266666121 52.500000535,-27.249999454 52.500000535,-27.2333327879999 52.500000535,-27.2166661209999 52.500000535,-27.199999454 52.500000535,-27.183332788 52.500000535,-27.1666661209999 52.500000535,-27.149999454 52.500000535,-27.133332788 52.500000535,-27.116666121 52.500000535,-27.0999994539999 52.500000535,-27.083332788 52.500000535,-27.066666121 52.500000535,-27.0499994539999 52.500000535,-27.0333327879999 52.500000535,-27.016666121 52.500000535,-26.999999454 52.500000535,-26.9833327869999 52.500000535,-26.9666661209999 52.500000535,-26.949999454 52.500000535,-26.933332787 52.500000535,-26.9166661209999 52.500000535,-26.899999454 52.500000535,-26.883332787 52.500000535,-26.866666121 52.500000535,-26.8499994539999 52.500000535,-26.833332787 52.500000535,-26.816666121 52.500000535,-26.7999994539999 52.500000535,-26.7833327869999 52.500000535,-26.766666121 52.500000535,-26.749999454 52.500000535,-26.7333327869999 52.500000535,-26.7166661209999 52.500000535,-26.699999454 52.500000535,-26.683332787 52.500000535,-26.6666661209999 52.500000535,-26.649999454 52.500000535,-26.633332787 52.500000535,-26.6166661199999 52.500000535,-26.5999994539999 52.500000535,-26.583332787 52.500000535,-26.56666612 52.500000535,-26.5499994539999 52.500000535,-26.5333327869999 52.500000535,-26.51666612 52.500000535,-26.499999454 52.500000535,-26.4833327869999 52.500000535,-26.46666612 52.500000535,-26.449999454 52.500000535,-26.433332787 52.500000535,-26.4166661199999 52.500000535,-26.399999454 52.500000535,-26.383332787 52.500000535,-26.3666661199999 52.500000535,-26.3499994539999 52.500000535,-26.333332787 52.500000535,-26.31666612 52.500000535,-26.2999994529999 52.500000535,-26.2833327869999 52.500000535,-26.26666612 52.500000535,-26.2499994529999 52.500000535,-26.2333327869999 52.500000535,-26.21666612 52.500000535,-26.199999453 52.500000535,-26.183332787 52.500000535,-26.1666661199999 52.500000535,-26.149999453 52.500000535,-26.133332787 52.500000535,-26.1166661199999 52.500000535,-26.099999453 52.500000535,-26.083332787 52.500000535,-26.06666612 52.500000535,-26.0499994529999 52.500000535,-26.0333327869999 52.500000535,-26.01666612 52.500000535,-25.9999994529999 52.500000535,-25.9833327869999 52.500000535,-25.96666612 52.500000535,-25.949999453 52.500000535,-25.9333327859999 52.500000535,-25.9166661199999 52.500000535,-25.899999453 52.500000535,-25.883332786 52.500000535,-25.8666661199999 52.500000535,-25.849999453 52.500000535,-25.833332786 52.500000535,-25.81666612 52.500000535,-25.7999994529999 52.500000535,-25.783332786 52.500000535,-25.76666612 52.500000535,-25.7499994529999 52.500000535,-25.7333327859999 52.500000535,-25.71666612 52.500000535,-25.699999453 52.500000535,-25.6833327859999 52.500000535,-25.6666661199999 52.500000535,-25.649999453 52.500000535,-25.633332786 52.500000535,-25.6166661199999 52.500000535,-25.599999453 52.500000535,-25.583332786 52.500000535,-25.5666661189999 52.500000535,-25.5499994529999 52.500000535,-25.533332786 52.500000535,-25.516666119 52.500000535,-25.4999994529999 52.500000535,-25.4833327859999 52.500000535,-25.466666119 52.500000535,-25.449999453 52.500000535,-25.4333327859999 52.500000535,-25.416666119 52.500000535,-25.399999453 52.500000535,-25.383332786 52.500000535,-25.3666661189999 52.500000535,-25.349999453 52.500000535,-25.333332786 52.500000535,-25.3166661189999 52.500000535,-25.2999994529999 52.500000535,-25.283332786 52.500000535,-25.266666119 52.500000535,-25.2499994529999 52.500000535,-25.2333327859999 52.500000535,-25.216666119 52.500000535,-25.1999994519999 52.500000535,-25.1833327859999 52.500000535,-25.166666119 52.500000535,-25.149999452 52.500000535,-25.133332786 52.500000535,-25.1166661189999 52.500000535,-25.099999452 52.500000535,-25.083332786 52.500000535,-25.0666661189999 52.500000535,-25.049999452 52.500000535,-25.033332786 52.500000535,-25.016666119 52.500000535,-24.9999994519999 52.500000535,-24.9833327859999 52.500000535,-24.966666119 52.500000535,-24.9499994519999 52.500000535,-24.9333327859999 52.500000535,-24.916666119 52.500000535,-24.899999452 52.500000535,-24.883332786 52.500000535,-24.8666661189999 52.500000535,-24.849999452 52.500000535,-24.833332785 52.500000535,-24.8166661189999 52.500000535,-24.799999452 52.500000535,-24.783332785 52.500000535,-24.766666119 52.500000535,-24.7499994519999 52.500000535,-24.733332785 52.500000535,-24.716666119 52.500000535,-24.6999994519999 52.500000535,-24.6833327849999 52.500000535,-24.666666119 52.500000535,-24.649999452 52.500000535,-24.6333327849999 52.500000535,-24.6166661189999 52.500000535,-24.599999452 52.500000535,-24.583332785 52.500000535,-24.5666661189999 52.500000535,-24.549999452 52.500000535,-24.533332785 52.500000535,-24.516666119 52.500000535,-24.4999994519999 52.500000535,-24.483332785 52.500000535,-24.466666118 52.500000535,-24.4499994519999 52.500000535,-24.4333327849999 52.500000535,-24.416666118 52.500000535,-24.399999452 52.500000535,-24.3833327849999 52.500000535,-24.366666118 52.500000535,-24.349999452 52.500000535,-24.333332785 52.500000535,-24.3166661179999 52.500000535,-24.299999452 52.500000535,-24.283332785 52.500000535,-24.2666661179999 52.500000535,-24.2499994519999 52.500000535,-24.233332785 52.500000535,-24.216666118 52.500000535,-24.1999994519999 52.500000535,-24.1833327849999 52.500000535,-24.166666118 52.500000535,-24.1499994509999 52.500000535,-24.1333327849999 52.500000535,-24.116666118 52.500000535,-24.099999451 52.500000535,-24.083332785 52.500000535,-24.0666661179999 52.500000535,-24.049999451 52.500000535,-24.033332785 52.500000535,-24.0166661179999 52.500000535,-23.999999451 52.500000535,-23.983332785 52.500000535,-23.966666118 52.500000535,-23.9499994509999 52.500000535,-23.9333327849999 52.500000535,-23.916666118 52.500000535,-23.8999994509999 52.500000535,-23.8833327849999 52.500000535,-23.866666118 52.500000535,-23.849999451 52.500000535,-23.833332785 52.500000535,-23.8166661179999 52.500000535,-23.799999451 52.500000535,-23.783332784 52.500000535,-23.7666661179999 52.500000535,-23.749999451 52.500000535,-23.733332784 52.500000535,-23.716666118 52.500000535,-23.6999994509999 52.500000535,-23.683332784 52.500000535,-23.666666118 52.500000535,-23.6499994509999 52.500000535,-23.6333327839999 52.500000535,-23.616666118 52.500000535,-23.599999451 52.500000535,-23.5833327839999 52.500000535,-23.5666661179999 52.500000535,-23.549999451 52.500000535,-23.533332784 52.500000535,-23.5166661179999 52.500000535,-23.499999451 52.500000535,-23.483332784 52.500000535,-23.466666118 52.500000535,-23.4499994509999 52.500000535,-23.433332784 52.500000535,-23.416666117 52.500000535,-23.3999994509999 52.500000535,-23.3833327839999 52.500000535,-23.366666117 52.500000535,-23.349999451 52.500000535,-23.3333327839999 52.500000535,-23.316666117 52.500000535,-23.299999451 52.500000535,-23.283332784 52.500000535,-23.2666661169999 52.500000535,-23.249999451 52.500000535,-23.233332784 52.500000535,-23.2166661169999 52.500000535,-23.1999994509999 52.500000535,-23.183332784 52.500000535,-23.166666117 52.500000535,-23.1499994509999 52.500000535,-23.1333327839999 52.500000535,-23.116666117 52.500000535,-23.099999451 52.500000535,-23.0833327839999 52.500000535,-23.066666117 52.500000535,-23.04999945 52.500000535,-23.033332784 52.500000535,-23.0166661169999 52.500000535,-22.99999945 52.500000535,-22.983332784 52.500000535,-22.9666661169999 52.500000535,-22.94999945 52.500000535,-22.933332784 52.500000535,-22.916666117 52.500000535,-22.8999994499999 52.500000535,-22.8833327839999 52.500000535,-22.866666117 52.500000535,-22.8499994499999 52.500000535,-22.8333327839999 52.500000535,-22.816666117 52.500000535,-22.79999945 52.500000535,-22.783332784 52.500000535,-22.7666661169999 52.500000535,-22.74999945 52.500000535,-22.733332784 52.500000535,-22.7166661169999 52.500000535,-22.69999945 52.500000535,-22.683332783 52.500000535,-22.666666117 52.500000535,-22.6499994499999 52.500000535,-22.633332783 52.500000535,-22.616666117 52.500000535,-22.5999994499999 52.500000535,-22.5833327829999 52.500000535,-22.566666117 52.500000535,-22.54999945 52.500000535,-22.5333327829999 52.500000535,-22.5166661169999 52.500000535,-22.49999945 52.500000535,-22.483332783 52.500000535,-22.4666661169999 52.500000535,-22.44999945 52.500000535,-22.433332783 52.500000535,-22.416666117 52.500000535,-22.3999994499999 52.500000535,-22.383332783 52.500000535,-22.366666116 52.500000535,-22.3499994499999 52.500000535,-22.3333327829999 52.500000535,-22.316666116 52.500000535,-22.29999945 52.500000535,-22.2833327829999 52.500000535,-22.266666116 52.500000535,-22.24999945 52.500000535,-22.233332783 52.500000535,-22.2166661159999 52.500000535,-22.19999945 52.500000535,-22.183332783 52.500000535,-22.1666661159999 52.500000535,-22.1499994499999 52.500000535,-22.133332783 52.500000535,-22.116666116 52.500000535,-22.0999994499999 52.500000535,-22.0833327829999 52.500000535,-22.066666116 52.500000535,-22.04999945 52.500000535,-22.0333327829999 52.500000535,-22.016666116 52.500000535,-21.999999449 52.500000535,-21.983332783 52.500000535,-21.9666661159999 52.500000535,-21.949999449 52.500000535,-21.933332783 52.500000535,-21.9166661159999 52.500000535,-21.8999994489999 52.500000535,-21.883332783 52.500000535,-21.866666116 52.500000535,-21.8499994489999 52.500000535,-21.8333327829999 52.500000535,-21.816666116 52.500000535,-21.7999994489999 52.500000535,-21.7833327829999 52.500000535,-21.766666116 52.500000535,-21.749999449 52.500000535,-21.733332783 52.500000535,-21.7166661159999 52.500000535,-21.699999449 52.500000535,-21.683332783 52.500000535,-21.6666661159999 52.500000535,-21.6499994489999 52.500000535,-21.633332782 52.500000535,-21.616666116 52.500000535,-21.5999994489999 52.500000535,-21.583332782 52.500000535,-21.566666116 52.500000535,-21.5499994489999 52.500000535,-21.5333327819999 52.500000535,-21.516666116 52.500000535,-21.499999449 52.500000535,-21.4833327819999 52.500000535,-21.4666661159999 52.500000535,-21.449999449 52.500000535,-21.433332782 52.500000535,-21.4166661159999 52.500000535,-21.3999994489999 52.500000535,-21.383332782 52.500000535,-21.366666116 52.500000535,-21.3499994489999 52.500000535,-21.333332782 52.500000535,-21.316666116 52.500000535,-21.2999994489999 52.500000535,-21.2833327819999 52.500000535,-21.266666115 52.500000535,-21.249999449 52.500000535,-21.2333327819999 52.500000535,-21.216666115 52.500000535,-21.199999449 52.500000535,-21.183332782 52.500000535,-21.1666661149999 52.500000535,-21.1499994489999 52.500000535,-21.133332782 52.500000535,-21.1166661149999 52.500000535,-21.0999994489999 52.500000535,-21.083332782 52.500000535,-21.066666115 52.500000535,-21.0499994489999 52.500000535,-21.0333327819999 52.500000535,-21.016666115 52.500000535,-20.999999449 52.500000535,-20.9833327819999 52.500000535,-20.966666115 52.500000535,-20.949999449 52.500000535,-20.933332782 52.500000535,-20.9166661149999 52.500000535,-20.899999448 52.500000535,-20.883332782 52.500000535,-20.8666661149999 52.500000535,-20.8499994479999 52.500000535,-20.833332782 52.500000535,-20.816666115 52.500000535,-20.7999994479999 52.500000535,-20.7833327819999 52.500000535,-20.766666115 52.500000535,-20.749999448 52.500000535,-20.7333327819999 52.500000535,-20.716666115 52.500000535,-20.699999448 52.500000535,-20.683332782 52.500000535,-20.6666661149999 52.500000535,-20.649999448 52.500000535,-20.633332782 52.500000535,-20.6166661149999 52.500000535,-20.5999994479999 52.500000535,-20.583332782 52.500000535,-20.566666115 52.500000535,-20.5499994479999 52.500000535,-20.533332781 52.500000535,-20.516666115 52.500000535,-20.499999448 52.500000535,-20.4833327809999 52.500000535,-20.466666115 52.500000535,-20.449999448 52.500000535,-20.4333327809999 52.500000535,-20.4166661149999 52.500000535,-20.399999448 52.500000535,-20.383332781 52.500000535,-20.3666661149999 52.500000535,-20.3499994479999 52.500000535,-20.333332781 52.500000535,-20.316666115 52.500000535,-20.2999994479999 52.500000535,-20.283332781 52.500000535,-20.266666115 52.500000535,-20.249999448 52.500000535,-20.2333327809999 52.500000535,-20.216666114 52.500000535,-20.199999448 52.500000535,-20.1833327809999 52.500000535,-20.166666114 52.500000535,-20.149999448 52.500000535,-20.133332781 52.500000535,-20.1166661139999 52.500000535,-20.0999994479999 52.500000535,-20.083332781 52.500000535,-20.0666661139999 52.500000535,-20.0499994479999 52.500000535,-20.033332781 52.500000535,-20.016666114 52.500000535,-19.999999448 52.500000535,-19.9833327809999 52.500000535,-19.966666114 52.500000535,-19.949999448 52.500000535,-19.9333327809999 52.500000535,-19.916666114 52.500000535,-19.899999448 52.500000535,-19.883332781 52.500000535,-19.8666661139999 52.500000535,-19.849999447 52.500000535,-19.833332781 52.500000535,-19.8166661139999 52.500000535,-19.7999994469999 52.500000535,-19.783332781 52.500000535,-19.766666114 52.500000535,-19.7499994469999 52.500000535,-19.7333327809999 52.500000535,-19.716666114 52.500000535,-19.699999447 52.500000535,-19.6833327809999 52.500000535,-19.666666114 52.500000535,-19.649999447 52.500000535,-19.633332781 52.500000535,-19.6166661139999 52.500000535,-19.599999447 52.500000535,-19.583332781 52.500000535,-19.5666661139999 52.500000535,-19.5499994469999 52.500000535,-19.533332781 52.500000535,-19.516666114 52.500000535,-19.4999994469999 52.500000535,-19.48333278 52.500000535,-19.466666114 52.500000535,-19.449999447 52.500000535,-19.4333327799999 52.500000535,-19.416666114 52.500000535,-19.399999447 52.500000535,-19.3833327799999 52.500000535,-19.3666661139999 52.500000535,-19.349999447 52.500000535,-19.33333278 52.500000535,-19.3166661139999 52.500000535,-19.2999994469999 52.500000535,-19.28333278 52.500000535,-19.266666114 52.500000535,-19.2499994469999 52.500000535,-19.23333278 52.500000535,-19.216666114 52.500000535,-19.199999447 52.500000535,-19.1833327799999 52.500000535,-19.166666114 52.500000535,-19.149999447 52.500000535,-19.1333327799999 52.500000535,-19.116666113 52.500000535,-19.099999447 52.500000535,-19.08333278 52.500000535,-19.0666661129999 52.500000535,-19.0499994469999 52.500000535,-19.03333278 52.500000535,-19.0166661129999 52.500000535,-18.9999994469999 52.500000535,-18.98333278 52.500000535,-18.966666113 52.500000535,-18.949999447 52.500000535,-18.9333327799999 52.500000535,-18.916666113 52.500000535,-18.899999447 52.500000535,-18.8833327799999 52.500000535,-18.866666113 52.500000535,-18.849999447 52.500000535,-18.83333278 52.500000535,-18.8166661129999 52.500000535,-18.7999994469999 52.500000535,-18.78333278 52.500000535,-18.7666661129999 52.500000535,-18.7499994459999 52.500000535,-18.73333278 52.500000535,-18.716666113 52.500000535,-18.6999994459999 52.500000535,-18.6833327799999 52.500000535,-18.666666113 52.500000535,-18.649999446 52.500000535,-18.6333327799999 52.500000535,-18.616666113 52.500000535,-18.599999446 52.500000535,-18.58333278 52.500000535,-18.5666661129999 52.500000535,-18.549999446 52.500000535,-18.53333278 52.500000535,-18.5166661129999 52.500000535,-18.4999994459999 52.500000535,-18.48333278 52.500000535,-18.466666113 52.500000535,-18.4499994459999 52.500000535,-18.4333327799999 52.500000535,-18.416666113 52.500000535,-18.399999446 52.500000535,-18.3833327789999 52.500000535,-18.366666113 52.500000535,-18.349999446 52.500000535,-18.3333327789999 52.500000535,-18.3166661129999 52.500000535,-18.299999446 52.500000535,-18.283332779 52.500000535,-18.2666661129999 52.500000535,-18.2499994459999 52.500000535,-18.233332779 52.500000535,-18.216666113 52.500000535,-18.1999994459999 52.500000535,-18.183332779 52.500000535,-18.166666113 52.500000535,-18.149999446 52.500000535,-18.1333327789999 52.500000535,-18.116666113 52.500000535,-18.099999446 52.500000535,-18.0833327789999 52.500000535,-18.066666112 52.500000535,-18.049999446 52.500000535,-18.033332779 52.500000535,-18.0166661119999 52.500000535,-17.9999998709999 52.50000032)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.XII', 'North of Azores', '27.XII', '27.XII.c', 'Central Northeast Atlantic - South', '27.XIIc', '', '', '', '', '', '', '', 'XIIc', '3', '27.12.c', '27.XIIc', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.999999939 90,-10.999999939 89.9833334030001,-10.999999939 89.966666736,-10.999999939 89.9500000690001,-10.999999939 89.9333334030001,-10.999999939 89.9166667360001,-10.999999939 89.900000069,-10.999999939 89.8833334030001,-10.999999939 89.8666667360001,-10.999999939 89.850000069,-10.999999939 89.833333403,-10.999999939 89.8166667360001,-10.999999939 89.8000000690001,-10.999999939 89.7833334030001,-10.999999939 89.766666736,-10.999999939 89.7500000690001,-10.999999939 89.7333334030001,-10.999999939 89.716666736,-10.999999939 89.7000000690001,-10.999999939 89.6833334020001,-10.999999939 89.6666667360001,-10.999999939 89.650000069,-10.999999939 89.6333334020001,-10.999999939 89.6166667360001,-10.999999939 89.600000069,-10.999999939 89.5833334020001,-10.999999939 89.5666667360001,-10.999999939 89.5500000690001,-10.999999939 89.533333402,-10.999999939 89.516666736,-10.999999939 89.5000000690001,-10.999999939 89.4833334020001,-10.999999939 89.466666736,-10.999999939 89.4500000690001,-10.999999939 89.4333334020001,-10.999999939 89.4166667360001,-10.999999939 89.400000069,-10.999999939 89.3833334020001,-10.999999939 89.3666667360001,-10.999999939 89.350000069,-10.999999939 89.3333334020001,-10.999999939 89.3166667350001,-10.999999939 89.3000000690001,-10.999999939 89.283333402,-10.999999939 89.2666667350001,-10.999999939 89.2500000690001,-10.999999939 89.2333334020001,-10.999999939 89.216666735,-10.999999939 89.2000000690001,-10.999999939 89.1833334020001,-10.999999939 89.166666735,-10.999999939 89.150000069,-10.999999939 89.1333334020001,-10.999999939 89.1166667350001,-10.999999939 89.100000069,-10.999999939 89.0833334020001,-10.999999939 89.0666667350001,-10.999999939 89.0500000690001,-10.999999939 89.033333402,-10.999999939 89.0166667350001,-10.999999939 89.0000000690001,-10.999999939 88.9833334020001,-10.999999939 88.966666735,-10.999999939 88.9500000680001,-10.999999939 88.9333334020001,-10.999999939 88.916666735,-10.999999939 88.9000000680001,-10.999999939 88.8833334020001,-10.999999939 88.8666667350001,-10.999999939 88.850000068,-10.999999939 88.8333334020001,-10.999999939 88.8166667350001,-10.999999939 88.800000068,-10.999999939 88.783333402,-10.999999939 88.7666667350001,-10.999999939 88.7500000680001,-10.999999939 88.7333334020001,-10.999999939 88.716666735,-10.999999939 88.7000000680001,-10.999999939 88.6833334020001,-10.999999939 88.666666735,-10.999999939 88.6500000680001,-10.999999939 88.6333334020001,-10.999999939 88.6166667350001,-10.999999939 88.600000068,-10.999999939 88.5833334010001,-10.999999939 88.5666667350001,-10.999999939 88.550000068,-10.999999939 88.533333401,-10.999999939 88.5166667350001,-10.999999939 88.5000000680001,-10.999999939 88.483333401,-10.999999939 88.466666735,-10.999999939 88.4500000680001,-10.999999939 88.4333334010001,-10.999999939 88.416666735,-10.999999939 88.4000000680001,-10.999999939 88.3833334010001,-10.999999939 88.3666667350001,-10.999999939 88.350000068,-10.999999939 88.3333334010001,-10.999999939 88.3166667350001,-10.999999939 88.300000068,-10.999999939 88.283333401,-10.999999939 88.2666667340001,-10.999999939 88.2500000680001,-10.999999939 88.233333401,-10.999999939 88.2166667340001,-10.999999939 88.2000000680001,-10.999999939 88.1833334010001,-10.999999939 88.166666734,-10.999999939 88.1500000680001,-10.999999939 88.1333334010001,-10.999999939 88.116666734,-10.999999939 88.100000068,-10.999999939 88.0833334010001,-10.999999939 88.0666667340001,-10.999999939 88.050000068,-10.999999939 88.033333401,-10.999999939 88.0166667340001,-10.999999939 88.0000000680001,-10.999999939 87.983333401,-10.999999939 87.9666667340001,-10.999999939 87.9500000680001,-10.999999939 87.9333334010001,-10.999999939 87.916666734,-10.999999939 87.9000000670001,-10.999999939 87.8833334010001,-10.999999939 87.866666734,-10.999999939 87.8500000670001,-10.999999939 87.8333334010001,-10.999999939 87.8166667340001,-10.999999939 87.800000067,-10.999999939 87.783333401,-10.999999939 87.7666667340001,-10.999999939 87.750000067,-10.999999939 87.733333401,-10.999999939 87.7166667340001,-10.999999939 87.7000000670001,-10.999999939 87.6833334010001,-10.999999939 87.666666734,-10.999999939 87.6500000670001,-10.999999939 87.6333334010001,-10.999999939 87.616666734,-10.999999939 87.6000000670001,-10.999999939 87.5833334010001,-10.999999939 87.5666667340001,-10.999999939 87.550000067,-10.999999939 87.5333334000001,-10.999999939 87.5166667340001,-10.999999939 87.500000067,-10.999999939 87.4833334,-10.999999939 87.4666667340001,-10.999999939 87.4500000670001,-10.999999939 87.4333334,-10.999999939 87.416666734,-10.999999939 87.4000000670001,-10.999999939 87.3833334000001,-10.999999939 87.366666734,-10.999999939 87.3500000670001,-10.999999939 87.3333334000001,-10.999999939 87.3166667340001,-10.999999939 87.300000067,-10.999999939 87.2833334000001,-10.999999939 87.2666667340001,-10.999999939 87.250000067,-10.999999939 87.2333334,-10.999999939 87.2166667340001,-10.999999939 87.2000000670001,-10.999999939 87.1833334,-10.999999939 87.1666667330001,-10.999999939 87.1500000670001,-10.999999939 87.1333334000001,-10.999999939 87.116666733,-10.999999939 87.1000000670001,-10.999999939 87.0833334000001,-10.999999939 87.066666733,-10.999999939 87.050000067,-10.999999939 87.0333334000001,-10.999999939 87.0166667330001,-10.999999939 87.000000067,-10.999999939 86.9833334,-10.999999939 86.9666667330001,-10.999999939 86.9500000670001,-10.999999939 86.9333334,-10.999999939 86.9166667330001,-10.999999939 86.9000000670001,-10.999999939 86.8833334000001,-10.999999939 86.866666733,-10.999999939 86.8500000670001,-10.999999939 86.8333334000001,-10.999999939 86.816666733,-10.999999939 86.8000000660001,-10.999999939 86.7833334000001,-10.999999939 86.7666667330001,-10.999999939 86.750000066,-10.999999939 86.7333334,-10.999999939 86.7166667330001,-10.999999939 86.700000066,-10.999999939 86.6833334,-10.999999939 86.6666667330001,-10.999999939 86.6500000660001,-10.999999939 86.6333334000001,-10.999999939 86.616666733,-10.999999939 86.6000000660001,-10.999999939 86.5833334000001,-10.999999939 86.566666733,-10.999999939 86.5500000660001,-10.999999939 86.5333334000001,-10.999999939 86.5166667330001,-10.999999939 86.500000066,-10.999999939 86.4833334,-10.999999939 86.4666667330001,-10.999999939 86.450000066,-10.999999939 86.433333399,-10.999999939 86.4166667330001,-10.999999939 86.4000000660001,-10.999999939 86.383333399,-10.999999939 86.366666733,-10.999999939 86.3500000660001,-10.999999939 86.3333333990001,-10.999999939 86.316666733,-10.999999939 86.3000000660001,-10.999999939 86.2833333990001,-10.999999939 86.2666667330001,-10.999999939 86.250000066,-10.999999939 86.2333333990001,-10.999999939 86.2166667330001,-10.999999939 86.200000066,-10.999999939 86.183333399,-10.999999939 86.1666667330001,-10.999999939 86.1500000660001,-10.999999939 86.133333399,-10.999999939 86.1166667320001,-10.999999939 86.1000000660001,-10.999999939 86.0833333990001,-10.999999939 86.066666732,-10.999999939 86.0500000660001,-10.999999939 86.0333333990001,-10.999999939 86.016666732,-10.999999939 86.000000066,-10.999999939 85.9833333990001,-10.999999939 85.9666667320001,-10.999999939 85.950000066,-10.999999939 85.933333399,-10.999999939 85.9166667320001,-10.999999939 85.9000000660001,-10.999999939 85.883333399,-10.999999939 85.8666667320001,-10.999999939 85.8500000660001,-10.999999939 85.8333333990001,-10.999999939 85.816666732,-10.999999939 85.8000000660001,-10.999999939 85.7833333990001,-10.999999939 85.766666732,-10.999999939 85.7500000650001,-10.999999939 85.7333333990001,-10.999999939 85.7166667320001,-10.999999939 85.700000065,-10.999999939 85.683333399,-10.999999939 85.6666667320001,-10.999999939 85.6500000650001,-10.999999939 85.633333399,-10.999999939 85.6166667320001,-10.999999939 85.6000000650001,-10.999999939 85.5833333990001,-10.999999939 85.566666732,-10.999999939 85.5500000650001,-10.999999939 85.5333333990001,-10.999999939 85.516666732,-10.999999939 85.5000000650001,-10.999999939 85.4833333990001,-10.999999939 85.4666667320001,-10.999999939 85.450000065,-10.999999939 85.433333399,-10.999999939 85.4166667320001,-10.999999939 85.4000000650001,-10.999999939 85.383333398,-10.999999939 85.3666667320001,-10.999999939 85.3500000650001,-10.999999939 85.333333398,-10.999999939 85.316666732,-10.999999939 85.3000000650001,-10.999999939 85.2833333980001,-10.999999939 85.266666732,-10.999999939 85.2500000650001,-10.999999939 85.2333333980001,-10.999999939 85.2166667320001,-10.999999939 85.200000065,-10.999999939 85.1833333980001,-10.999999939 85.1666667320001,-10.999999939 85.1500000650001,-10.999999939 85.133333398,-10.999999939 85.1166667320001,-10.999999939 85.1000000650001,-10.999999939 85.083333398,-10.999999939 85.066666732,-10.999999939 85.0500000650001,-10.999999939 85.0333333980001,-10.999999939 85.016666731,-10.999999939 85.0000000650001,-10.999999939 84.9833333980001,-10.999999939 84.966666731,-10.999999939 84.950000065,-10.999999939 84.9333333980001,-10.999999939 84.9166667310001,-10.999999939 84.9000000650001,-10.999999939 84.883333398,-10.999999939 84.8666667310001,-10.999999939 84.8500000650001,-10.999999939 84.833333398,-10.999999939 84.8166667310001,-10.999999939 84.8000000650001,-10.999999939 84.7833333980001,-10.999999939 84.766666731,-10.999999939 84.7500000650001,-10.999999939 84.7333333980001,-10.999999939 84.716666731,-10.999999939 84.700000065,-10.999999939 84.6833333980001,-10.999999939 84.6666667310001,-10.999999939 84.650000064,-10.999999939 84.633333398,-10.999999939 84.6166667310001,-10.999999939 84.6000000640001,-10.999999939 84.583333398,-10.999999939 84.5666667310001,-10.999999939 84.5500000640001,-10.999999939 84.5333333980001,-10.999999939 84.516666731,-10.999999939 84.5000000640001,-10.999999939 84.4833333980001,-10.999999939 84.466666731,-10.999999939 84.4500000640001,-10.999999939 84.4333333980001,-10.999999939 84.4166667310001,-10.999999939 84.400000064,-10.999999939 84.383333398,-10.999999939 84.3666667310001,-10.999999939 84.3500000640001,-10.999999939 84.333333398,-10.999999939 84.3166667310001,-10.999999939 84.3000000640001,-10.999999939 84.283333397,-10.999999939 84.266666731,-10.999999939 84.2500000640001,-10.999999939 84.2333333970001,-10.999999939 84.216666731,-10.999999939 84.2000000640001,-10.999999939 84.1833333970001,-10.999999939 84.1666667310001,-10.999999939 84.150000064,-10.999999939 84.1333333970001,-10.999999939 84.1166667310001,-10.999999939 84.1000000640001,-10.999999939 84.083333397,-10.999999939 84.0666667310001,-10.999999939 84.0500000640001,-10.999999939 84.033333397,-10.999999939 84.016666731,-10.999999939 84.0000000640001,-10.999999939 83.9833333970001,-10.999999939 83.96666673,-10.999999939 83.9500000640001,-10.999999939 83.9333333970001,-10.999999939 83.91666673,-10.999999939 83.900000064,-10.999999939 83.8833333970001,-10.999999939 83.8666667300001,-10.999999939 83.8500000640001,-10.999999939 83.833333397,-10.999999939 83.8166667300001,-10.999999939 83.8000000640001,-10.999999939 83.783333397,-10.999999939 83.7666667300001,-10.999999939 83.7500000640001,-10.999999939 83.7333333970001,-10.999999939 83.71666673,-10.999999939 83.7000000640001,-10.999999939 83.6833333970001,-10.999999939 83.66666673,-10.999999939 83.650000064,-10.999999939 83.6333333970001,-10.999999939 83.6166667300001,-10.999999939 83.600000063,-10.999999939 83.583333397,-10.999999939 83.5666667300001,-10.999999939 83.5500000630001,-10.999999939 83.533333397,-10.999999939 83.5166667300001,-10.999999939 83.5000000630001,-10.999999939 83.4833333970001,-10.999999939 83.46666673,-10.999999939 83.4500000630001,-10.999999939 83.4333333970001,-10.999999939 83.41666673,-10.999999939 83.400000063,-10.999999939 83.3833333970001,-10.999999939 83.3666667300001,-10.999999939 83.350000063,-10.999999939 83.333333397,-10.999999939 83.3166667300001,-10.999999939 83.3000000630001,-10.999999939 83.283333397,-10.999999939 83.2666667300001,-10.999999939 83.2500000630001,-10.999999939 83.233333396,-10.999999939 83.21666673,-10.999999939 83.2000000630001,-10.999999939 83.1833333960001,-10.999999939 83.16666673,-10.999999939 83.150000063,-10.999999939 83.1333333960001,-10.999999939 83.1166667300001,-10.999999939 83.100000063,-10.999999939 83.0833333960001,-10.999999939 83.0666667300001,-10.999999939 83.0500000630001,-10.999999939 83.033333396,-10.999999939 83.0166667300001,-10.999999939 83.0000000630001,-10.999999939 82.983333396,-10.999999939 82.96666673,-10.999999939 82.9500000630001,-10.999999939 82.9333333960001,-10.999999939 82.91666673,-10.999999939 82.900000063,-10.999999939 82.8833333960001,-10.999999939 82.866666729,-10.999999939 82.850000063,-10.999999939 82.8333333960001,-10.999999939 82.8166667290001,-10.999999939 82.8000000630001,-10.999999939 82.783333396,-10.999999939 82.7666667290001,-10.999999939 82.7500000630001,-10.999999939 82.733333396,-10.999999939 82.7166667290001,-10.999999939 82.7000000630001,-10.999999939 82.6833333960001,-10.999999939 82.666666729,-10.999999939 82.650000063,-10.999999939 82.6333333960001,-10.999999939 82.616666729,-10.999999939 82.600000063,-10.999999939 82.5833333960001,-10.999999939 82.5666667290001,-10.999999939 82.5500000630001,-10.999999939 82.533333396,-10.999999939 82.5166667290001,-10.999999939 82.5000000620001,-10.999999939 82.483333396,-10.999999939 82.4666667290001,-10.999999939 82.4500000620001,-10.999999939 82.4333333960001,-10.999999939 82.416666729,-10.999999939 82.4000000620001,-10.999999939 82.3833333960001,-10.999999939 82.366666729,-10.999999939 82.350000062,-10.999999939 82.3333333960001,-10.999999939 82.3166667290001,-10.999999939 82.300000062,-10.999999939 82.283333396,-10.999999939 82.2666667290001,-10.999999939 82.2500000620001,-10.999999939 82.233333396,-10.999999939 82.2166667290001,-10.999999939 82.2000000620001,-10.999999939 82.183333395,-10.999999939 82.166666729,-10.999999939 82.1500000620001,-10.999999939 82.1333333950001,-10.999999939 82.116666729,-10.999999939 82.100000062,-10.999999939 82.0833333950001,-10.999999939 82.0666667290001,-10.999999939 82.050000062,-10.999999939 82.0333333950001,-10.999999939 82.0166667290001,-10.999999939 82.0000000620001,-10.999999939 81.983333395,-10.999999939 81.9666667290001,-10.999999939 81.9500000620001,-10.999999939 81.933333395,-10.999999939 81.916666729,-10.999999939 81.9000000620001,-10.999999939 81.8833333950001,-10.999999939 81.866666729,-10.999999939 81.850000062,-10.999999939 81.8333333950001,-10.999999939 81.816666728,-10.999999939 81.800000062,-10.999999939 81.7833333950001,-10.999999939 81.7666667280001,-10.999999939 81.7500000620001,-10.999999939 81.733333395,-10.999999939 81.7166667280001,-10.999999939 81.7000000620001,-10.999999939 81.683333395,-10.999999939 81.6666667280001,-10.999999939 81.6500000620001,-10.999999939 81.6333333950001,-10.999999939 81.616666728,-10.999999939 81.600000062,-10.999999939 81.5833333950001,-10.999999939 81.566666728,-10.999999939 81.550000062,-10.999999939 81.5333333950001,-10.999999939 81.5166667280001,-10.999999939 81.5000000620001,-10.999999939 81.483333395,-10.999999939 81.4666667280001,-10.999999939 81.4500000610001,-10.999999939 81.433333395,-10.999999939 81.4166667280001,-10.999999939 81.4000000610001,-10.999999939 81.3833333950001,-10.999999939 81.366666728,-10.999999939 81.3500000610001,-10.999999939 81.3333333950001,-10.999999939 81.316666728,-10.999999939 81.300000061,-10.999999939 81.2833333950001,-10.999999939 81.2666667280001,-10.999999939 81.250000061,-10.999999939 81.233333395,-10.999999939 81.2166667280001,-10.999999939 81.2000000610001,-10.999999939 81.183333395,-10.999999939 81.1666667280001,-10.999999939 81.1500000610001,-10.999999939 81.1333333950001,-10.999999939 81.116666728,-10.999999939 81.1000000610001,-10.999999939 81.0833333940001,-10.999999939 81.066666728,-10.999999939 81.050000061,-10.999999939 81.0333333940001,-10.999999939 81.0166667280001,-10.999999939 81.000000061,-10.999999939 80.9833333940001,-10.999999939 80.9666667280001,-10.999999939 80.9500000610001,-10.999999939 80.933333394,-10.999999939 80.9166667280001,-10.999999939 80.9000000610001,-10.999999939 80.883333394,-10.999999939 80.866666728,-10.999999939 80.8500000610001,-10.999999939 80.8333333940001,-10.999999939 80.816666728,-10.999999939 80.800000061,-10.999999939 80.7833333940001,-10.999999939 80.7666667280001,-10.999999939 80.750000061,-10.999999939 80.7333333940001,-10.999999939 80.7166667270001,-10.999999939 80.7000000610001,-10.999999939 80.683333394,-10.999999939 80.6666667270001,-10.999999939 80.6500000610001,-10.999999939 80.633333394,-10.999999939 80.6166667270001,-10.999999939 80.6000000610001,-10.999999939 80.5833333940001,-10.999999939 80.566666727,-10.999999939 80.550000061,-10.999999939 80.5333333940001,-10.999999939 80.516666727,-10.999999939 80.500000061,-10.999999939 80.4833333940001,-10.999999939 80.4666667270001,-10.999999939 80.4500000610001,-10.999999939 80.433333394,-10.999999939 80.4166667270001,-10.999999939 80.4000000610001,-10.999999939 80.383333394,-10.999999939 80.3666667270001,-10.999999939 80.3500000600001,-10.999999939 80.3333333940001,-10.999999939 80.316666727,-10.999999939 80.3000000600001,-10.999999939 80.2833333940001,-10.999999939 80.266666727,-10.999999939 80.25000006,-10.999999939 80.2333333940001,-10.999999939 80.2166667270001,-10.999999939 80.20000006,-10.999999939 80.183333394,-10.999999939 80.1666667270001,-10.999999939 80.1500000600001,-10.999999939 80.133333394,-10.999999939 80.1166667270001,-10.999999939 80.1000000600001,-10.999999939 80.0833333940001,-10.999999939 80.066666727,-10.999999939 80.0500000600001,-10.999999939 80.0333333930001,-10.999999939 80.016666727,-10.999999939 80.00000006,-10.999999939 79.9833333930001,-10.999999939 79.9666667270001,-10.999999939 79.95000006,-10.999999939 79.9333333930001,-10.999999939 79.9166667270001,-10.999999939 79.9000000600001,-10.999999939 79.883333393,-10.999999939 79.8666667270001,-10.999999939 79.8500000600001,-10.999999939 79.833333393,-10.999999939 79.816666727,-10.999999939 79.8000000600001,-10.999999939 79.7833333930001,-10.999999939 79.766666727,-10.999999939 79.75000006,-10.999999939 79.7333333930001,-10.999999939 79.7166667270001,-10.999999939 79.70000006,-10.999999939 79.6833333930001,-10.999999939 79.6666667260001,-10.999999939 79.6500000600001,-10.999999939 79.633333393,-10.999999939 79.6166667260001,-10.999999939 79.6000000600001,-10.999999939 79.583333393,-10.999999939 79.5666667260001,-10.999999939 79.5500000600001,-10.999999939 79.5333333930001,-10.999999939 79.516666726,-10.999999939 79.50000006,-10.999999939 79.4833333930001,-10.999999939 79.4666667260001,-10.999999939 79.45000006,-10.999999939 79.4333333930001,-10.999999939 79.4166667260001,-10.999999939 79.4000000600001,-10.999999939 79.383333393,-10.999999939 79.3666667260001,-10.999999939 79.3500000600001,-10.999999939 79.333333393,-10.999999939 79.3166667260001,-10.999999939 79.3000000590001,-10.999999939 79.2833333930001,-10.999999939 79.266666726,-10.999999939 79.2500000590001,-10.999999939 79.2333333930001,-10.999999939 79.2166667260001,-10.999999939 79.200000059,-10.999999939 79.1833333930001,-10.999999939 79.1666667260001,-10.999999939 79.150000059,-10.999999939 79.133333393,-10.999999939 79.1166667260001,-10.999999939 79.1000000590001,-10.999999939 79.083333393,-10.999999939 79.0666667260001,-10.999999939 79.0500000590001,-10.999999939 79.0333333930001,-10.999999939 79.016666726,-10.999999939 79.0000000590001,-10.999999939 78.9833333930001,-10.999999939 78.9666667260001,-10.999999939 78.950000059,-10.999999939 78.9333333920001,-10.999999939 78.9166667260001,-10.999999939 78.900000059,-10.999999939 78.8833333920001,-10.999999939 78.8666667260001,-10.999999939 78.8500000590001,-10.999999939 78.833333392,-10.999999939 78.8166667260001,-10.999999939 78.8000000590001,-10.999999939 78.783333392,-10.999999939 78.766666726,-10.999999939 78.7500000590001,-10.999999939 78.7333333920001,-10.999999939 78.7166667260001,-10.999999939 78.700000059,-10.999999939 78.6833333920001,-10.999999939 78.6666667260001,-10.999999939 78.650000059,-10.999999939 78.6333333920001,-10.999999939 78.6166667260001,-10.999999939 78.6000000590001,-10.999999939 78.583333392,-10.999999939 78.5666667250001,-10.999999939 78.5500000590001,-10.999999939 78.533333392,-10.999999939 78.5166667250001,-10.999999939 78.5000000590001,-10.999999939 78.4833333920001,-10.999999939 78.466666725,-10.999999939 78.450000059,-10.999999939 78.4333333920001,-10.999999939 78.4166667250001,-10.999999939 78.400000059,-10.999999939 78.3833333920001,-10.999999939 78.3666667250001,-10.999999939 78.3500000590001,-10.999999939 78.333333392,-10.999999939 78.3166667250001,-10.999999939 78.3000000590001,-10.999999939 78.283333392,-10.999999939 78.2666667250001,-10.999999939 78.2500000590001,-10.999999939 78.2333333920001,-10.999999939 78.216666725,-10.999999939 78.2000000580001,-10.999999939 78.1833333920001,-10.999999939 78.1666667250001,-10.999999939 78.150000058,-10.999999939 78.1333333920001,-10.999999939 78.1166667250001,-10.999999939 78.100000058,-10.999999939 78.083333392,-10.999999939 78.0666667250001,-10.999999939 78.0500000580001,-10.999999939 78.033333392,-10.999999939 78.0166667250001,-10.999999939 78.0000000580001,-10.999999939 77.9833333920001,-10.999999939 77.966666725,-10.999999939 77.9500000580001,-10.999999939 77.9333333920001,-10.999999939 77.9166667250001,-10.999999939 77.900000058,-10.999999939 77.8833333910001,-10.999999939 77.8666667250001,-10.999999939 77.850000058,-10.999999939 77.8333333910001,-10.999999939 77.8166667250001,-10.999999939 77.8000000580001,-10.999999939 77.783333391,-10.999999939 77.7666667250001,-10.999999939 77.7500000580001,-10.999999939 77.733333391,-10.999999939 77.716666725,-10.999999939 77.7000000580001,-10.999999939 77.6833333910001,-10.999999939 77.6666667250001,-10.999999939 77.650000058,-10.999999939 77.6333333910001,-10.999999939 77.6166667250001,-10.999999939 77.600000058,-10.999999939 77.5833333910001,-10.999999939 77.5666667250001,-10.999999939 77.5500000580001,-10.999999939 77.533333391,-10.999999939 77.5166667240001,-10.999999939 77.5000000580001,-10.999999939 77.483333391,-10.999999939 77.466666724,-10.999999939 77.4500000580001,-10.999999939 77.4333333910001,-10.999999939 77.416666724,-10.999999939 77.400000058,-10.999999939 77.3833333910001,-10.999999939 77.3666667240001,-10.999999939 77.350000058,-10.999999939 77.3333333910001,-10.999999939 77.3166667240001,-10.999999939 77.3000000580001,-10.999999939 77.283333391,-10.999999939 77.2666667240001,-10.999999939 77.2500000580001,-10.999999939 77.233333391,-10.999999939 77.216666724,-10.999999939 77.2000000580001,-10.999999939 77.1833333910001,-10.999999939 77.166666724,-10.999999939 77.1500000570001,-10.999999939 77.1333333910001,-10.999999939 77.1166667240001,-10.999999939 77.100000057,-10.999999939 77.0833333910001,-10.999999939 77.0666667240001,-10.999999939 77.050000057,-10.999999939 77.033333391,-10.999999939 77.0166667240001,-10.999999939 77.0000000570001,-10.999999939 76.983333391,-10.999999939 76.966666724,-10.999999939 76.9500000570001,-10.999999939 76.9333333910001,-10.999999939 76.916666724,-10.999999939 76.9000000570001,-10.999999939 76.8833333910001,-10.999999939 76.8666667240001,-10.999999939 76.850000057,-10.999999939 76.8333333910001,-10.999999939 76.8166667240001,-10.999999939 76.800000057,-10.999999939 76.7833333900001,-10.999999939 76.7666667240001,-10.999999939 76.7500000570001,-10.999999939 76.73333339,-10.999999939 76.716666724,-10.999999939 76.7000000570001,-10.999999939 76.68333339,-10.999999939 76.666666724,-10.999999939 76.6500000570001,-10.999999939 76.6333333900001,-10.999999939 76.6166667240001,-10.999999939 76.600000057,-10.999999939 76.5833333900001,-10.999999939 76.5666667240001,-10.999999939 76.550000057,-10.999999939 76.5333333900001,-10.999999939 76.5166667240001,-10.999999939 76.5000000570001,-10.999999939 76.48333339,-10.999999939 76.466666724,-10.999999939 76.4500000570001,-10.999999939 76.43333339,-10.999999939 76.416666723,-10.999999939 76.4000000570001,-10.999999939 76.3833333900001,-10.999999939 76.366666723,-10.999999939 76.350000057,-10.999999939 76.3333333900001,-10.999999939 76.3166667230001,-10.999999939 76.300000057,-10.999999939 76.2833333900001,-10.999999939 76.2666667230001,-10.999999939 76.2500000570001,-10.999999939 76.23333339,-10.999999939 76.2166667230001,-10.999999939 76.2000000570001,-10.999999939 76.18333339,-10.999999939 76.166666723,-10.999999939 76.1500000570001,-10.999999939 76.1333333900001,-10.999999939 76.116666723,-10.999999939 76.100000057,-10.999999939 76.0833333900001,-10.999999939 76.0666667230001,-10.999999939 76.050000056,-10.999999939 76.0333333900001,-10.999999939 76.0166667230001,-10.999999939 76.000000056,-10.999999939 75.98333339,-10.999999939 75.9666667230001,-10.999999939 75.9500000560001,-10.999999939 75.93333339,-10.999999939 75.916666723,-10.999999939 75.9000000560001,-10.999999939 75.8833333900001,-10.999999939 75.866666723,-10.999999939 75.8500000560001,-10.999999939 75.8333333900001,-10.999999939 75.8166667230001,-10.999999939 75.800000056,-10.999999939 75.7833333900001,-10.999999939 75.7666667230001,-10.999999939 75.750000056,-10.999999939 75.7333333890001,-10.999999939 75.7166667230001,-10.999999939 75.7000000560001,-10.999999939 75.683333389,-10.999999939 75.666666723,-10.999999939 75.6500000560001,-10.999999939 75.633333389,-10.999999939 75.616666723,-10.999999939 75.6000000560001,-10.999999939 75.5833333890001,-10.999999939 75.5666667230001,-10.999999939 75.550000056,-10.999999939 75.5333333890001,-10.999999939 75.5166667230001,-10.999999939 75.500000056,-10.999999939 75.4833333890001,-10.999999939 75.4666667230001,-10.999999939 75.4500000560001,-10.999999939 75.433333389,-10.999999939 75.416666723,-10.999999939 75.4000000560001,-10.999999939 75.383333389,-10.999999939 75.366666722,-10.999999939 75.3500000560001,-10.999999939 75.3333333890001,-10.999999939 75.316666722,-10.999999939 75.300000056,-10.999999939 75.2833333890001,-10.999999939 75.2666667220001,-10.999999939 75.250000056,-10.999999939 75.2333333890001,-10.999999939 75.2166667220001,-10.999999939 75.2000000560001,-10.999999939 75.183333389,-10.999999939 75.1666667220001,-10.999999939 75.1500000560001,-10.999999939 75.133333389,-10.999999939 75.116666722,-10.999999939 75.1000000560001,-10.999999939 75.0833333890001,-10.999999939 75.066666722,-10.999999939 75.050000056,-10.999999939 75.0333333890001,-10.999999939 75.0166667220001,-10.999999939 75.000000055,-10.999999939 74.9833333890001,-10.999999939 74.9666667220001,-10.999999939 74.950000055,-10.999999939 74.933333389,-10.999999939 74.9166667220001,-10.999999939 74.9000000550001,-10.999999939 74.883333389,-10.999999939 74.866666722,-10.999999939 74.8500000550001,-10.999999939 74.8333333890001,-10.999999939 74.816666722,-10.999999939 74.8000000550001,-10.999999939 74.7833333890001,-10.999999939 74.7666667220001,-10.999999939 74.750000055,-10.999999939 74.7333333890001,-10.999999939 74.7166667220001,-10.999999939 74.700000055,-10.999999939 74.683333389,-10.999999939 74.6666667220001,-10.999999939 74.6500000550001,-10.999999939 74.633333388,-10.999999939 74.616666722,-10.999999939 74.6000000550001,-10.999999939 74.583333388,-10.999999939 74.566666722,-10.999999939 74.5500000550001,-10.999999939 74.5333333880001,-10.999999939 74.5166667220001,-10.999999939 74.500000055,-10.999999939 74.4833333880001,-10.999999939 74.4666667220001,-10.999999939 74.450000055,-10.999999939 74.4333333880001,-10.999999939 74.4166667220001,-10.999999939 74.4000000550001,-10.999999939 74.383333388,-10.999999939 74.366666722,-10.999999939 74.3500000550001,-10.999999939 74.333333388,-10.999999939 74.316666722,-10.999999939 74.3000000550001,-10.999999939 74.2833333880001,-10.999999939 74.266666721,-10.999999939 74.250000055,-10.999999939 74.2333333880001,-10.999999939 74.2166667210001,-10.999999939 74.200000055,-10.999999939 74.1833333880001,-10.999999939 74.1666667210001,-10.999999939 74.1500000550001,-10.999999939 74.133333388,-10.999999939 74.1166667210001,-10.999999939 74.1000000550001,-10.999999939 74.083333388,-10.999999939 74.066666721,-10.999999939 74.0500000550001,-10.999999939 74.0333333880001,-10.999999939 74.016666721,-10.999999939 74.000000055,-10.999999939 73.9833333880001,-10.999999939 73.9666667210001,-10.999999939 73.950000055,-10.999999939 73.9333333880001,-10.999999939 73.9166667210001,-10.999999939 73.900000054,-10.999999939 73.883333388,-10.999999939 73.8666667210001,-10.999999939 73.8500000540001,-10.999999939 73.833333388,-10.999999939 73.816666721,-10.999999939 73.8000000540001,-10.999999939 73.7833333880001,-10.999999939 73.766666721,-10.999999939 73.7500000540001,-10.999999939 73.7333333880001,-10.999999939 73.7166667210001,-10.999999939 73.700000054,-10.999999939 73.6833333880001,-10.999999939 73.6666667210001,-10.999999939 73.650000054,-10.999999939 73.633333388,-10.999999939 73.6166667210001,-10.999999939 73.6000000540001,-10.999999939 73.583333387,-10.999999939 73.566666721,-10.999999939 73.5500000540001,-10.999999939 73.5333333870001,-10.999999939 73.516666721,-10.999999939 73.5000000320001,-10.999999939 73.4833333870001,-10.999999939 73.4666667210001,-10.999999939 73.450000054,-10.999999939 73.4333333870001,-10.999999939 73.4166667210001,-10.999999939 73.400000054,-10.999999939 73.3833333870001,-10.999999939 73.3666667210001,-10.999999939 73.3500000540001,-10.999999939 73.333333387,-10.999999939 73.316666721,-10.999999939 73.3000000540001,-10.999999939 73.2833333870001,-10.999999939 73.266666721,-10.999999939 73.2500000540001,-10.999999939 73.2333333870001,-10.999999939 73.21666672,-10.999999939 73.200000054,-10.999999939 73.1833333870001,-10.999999939 73.1666667200001,-10.999999939 73.150000054,-10.999999939 73.1333333870001,-10.999999939 73.1166667200001,-10.999999939 73.1000000540001,-10.999999939 73.083333387,-10.999999939 73.0666667200001,-10.999999939 73.0500000540001,-10.999999939 73.0333333870001,-10.999999939 73.01666672,-10.999999939 73.0000000540001,-10.999999939 72.9833333870001,-10.999999939 72.96666672,-10.999999939 72.950000054,-10.999999939 72.9333333870001,-10.999999939 72.9166667200001,-10.999999939 72.900000054,-10.999999939 72.8833333870001,-10.999999939 72.8666667200001,-10.999999939 72.850000053,-10.999999939 72.833333387,-10.999999939 72.8166667200001,-10.999999939 72.8000000530001,-10.999999939 72.7833333870001,-10.999999939 72.76666672,-10.999999939 72.7500000530001,-10.999999939 72.7333333870001,-10.999999939 72.71666672,-10.999999939 72.7000000530001,-10.999999939 72.6833333870001,-10.999999939 72.6666667200001,-10.999999939 72.650000053,-10.999999939 72.6333333870001,-10.999999939 72.6166667200001,-10.999999939 72.600000053,-10.999999939 72.583333387,-10.999999939 72.5666667200001,-10.999999939 72.5500000530001,-10.999999939 72.5333333870001,-10.999999939 72.51666672,-10.999999939 72.5000000530001,-10.999999939 72.4833333860001,-10.999999939 72.46666672,-10.999999939 72.4500000530001,-10.999999939 72.4333333860001,-10.999999939 72.4166667200001,-10.999999939 72.400000053,-10.999999939 72.3833333860001,-10.999999939 72.3666667200001,-10.999999939 72.350000053,-10.999999939 72.333333386,-10.999999939 72.3166667200001,-10.999999939 72.3000000530001,-10.999999939 72.283333386,-10.999999939 72.26666672,-10.999999939 72.2500000530001,-10.999999939 72.2333333860001,-10.999999939 72.21666672,-10.999999939 72.2000000530001,-10.999999939 72.1833333860001,-10.999999939 72.1666667200001,-10.999999939 72.150000053,-10.999999939 72.1333333860001,-10.999999939 72.1166667190001,-10.999999939 72.100000053,-10.999999939 72.083333386,-10.999999939 72.0666667190001,-10.999999939 72.0500000530001,-10.999999939 72.033333386,-10.999999939 72.0166667190001,-10.999999939 72.0000000530001,-10.999999939 71.9833333860001,-10.999999939 71.966666719,-10.999999939 71.9500000530001,-10.999999939 71.9333333860001,-10.999999939 71.916666719,-10.999999939 71.900000053,-10.999999939 71.8833333860001,-10.999999939 71.8666667190001,-10.999999939 71.850000053,-10.999999939 71.833333386,-10.999999939 71.8166667190001,-10.999999939 71.800000052,-10.999999939 71.783333386,-10.999999939 71.7666667190001,-10.999999939 71.7500000520001,-10.999999939 71.7333333860001,-10.999999939 71.716666719,-10.999999939 71.7000000520001,-10.999999939 71.6833333860001,-10.999999939 71.666666719,-10.999999939 71.6500000520001,-10.999999939 71.6333333860001,-10.999999939 71.6166667190001,-10.999999939 71.600000052,-10.999999939 71.583333386,-10.999999939 71.5666667190001,-10.999999939 71.550000052,-10.999999939 71.533333386,-10.999999939 71.5166667190001,-10.999999939 71.5000000520001,-10.999999939 71.4833333860001,-10.999999939 71.466666719,-10.999999939 71.4500000520001,-10.999999939 71.4333333850001,-10.999999939 71.416666719,-10.999999939 71.4000000520001,-10.999999939 71.3833333850001,-10.999999939 71.3666667190001,-10.999999939 71.350000052,-10.999999939 71.3333333850001,-10.999999939 71.3166667190001,-10.999999939 71.300000052,-10.999999939 71.283333385,-10.999999939 71.2666667190001,-10.999999939 71.2500000520001,-10.999999939 71.233333385,-10.999999939 71.216666719,-10.999999939 71.2000000520001,-10.999999939 71.1833333850001,-10.999999939 71.166666719,-10.999999939 71.1500000520001,-10.999999939 71.1333333850001,-10.999999939 71.1166667190001,-10.999999939 71.100000052,-10.999999939 71.0833333850001,-10.999999939 71.0666667180001,-10.999999939 71.050000052,-10.999999939 71.033333385,-10.999999939 71.0166667180001,-10.999999939 71.0000000520001,-10.999999939 70.983333385,-10.999999939 70.9666667180001,-10.999999939 70.9500000520001,-10.999999939 70.9333333850001,-10.999999939 70.916666718,-10.999999939 70.9000000520001,-10.999999939 70.8833333850001,-10.999999939 70.866666718,-10.999999939 70.850000052,-10.999999939 70.8333333850001,-10.999999939 70.8166667180001,-10.999999939 70.800000052,-10.999999939 70.783333385,-10.999999939 70.7666667180001,-10.999999939 70.7500000520001,-10.999999939 70.733333385,-10.999999939 70.7166667180001,-10.999999939 70.7000000510001,-10.999999939 70.6833333850001,-10.999999939 70.666666718,-10.999999939 70.6500000510001,-10.999999939 70.6333333850001,-10.999999939 70.616666718,-10.999999939 70.6000000510001,-10.999999939 70.5833333850001,-10.999999939 70.5666667180001,-10.999999939 70.550000051,-10.999999939 70.533333385,-10.999999939 70.5166667180001,-10.999999939 70.500000051,-10.999999939 70.483333385,-10.999999939 70.4666667180001,-10.999999939 70.4500000510001,-10.999999939 70.4333333850001,-10.999999939 70.416666718,-10.999999939 70.4000000510001,-10.999999939 70.3833333850001,-10.999999939 70.366666718,-10.999999939 70.3500000510001,-10.999999939 70.3333333840001,-10.999999939 70.3166667180001,-10.999999939 70.300000051,-10.999999939 70.2833333840001,-10.999999939 70.2666667180001,-10.999999939 70.250000051,-10.999999939 70.233333384,-10.999999939 70.2166667180001,-10.999999939 70.2000000510001,-10.999999939 70.183333384,-10.999999939 70.166666718,-10.999999939 70.1500000510001,-10.999999939 70.1333333840001,-10.999999939 70.116666718,-10.999999939 70.1000000510001,-10.999999939 70.0833333840001,-10.999999939 70.0666667180001,-10.999999939 70.050000051,-10.999999939 70.0333333840001,-10.999999939 70.0166667170001,-10.999999939 70.000000051,-10.999999939 69.983333384,-10.999999939 69.9666667170001,-10.999999939 69.9500000510001,-10.999999939 69.933333384,-10.999999939 69.9166667170001,-10.999999939 69.9000000510001,-10.999999939 69.8833333840001,-10.999999939 69.866666717,-10.999999939 69.8500000510001,-10.999999939 69.8333333840001,-10.999999939 69.816666717,-10.999999939 69.800000051,-10.999999939 69.7833333840001,-10.999999939 69.7666667170001,-10.999999939 69.750000051,-10.999999939 69.733333384,-10.999999939 69.7166667170001,-10.999999939 69.7000000510001,-10.999999939 69.683333384,-10.999999939 69.6666667170001,-10.999999939 69.6500000500001,-10.999999939 69.6333333840001,-10.999999939 69.616666717,-10.999999939 69.6000000500001,-10.999999939 69.5833333840001,-10.999999939 69.566666717,-10.999999939 69.5500000500001,-10.999999939 69.5333333840001,-10.999999939 69.5166667170001,-10.999999939 69.50000005,-10.999999939 69.483333384,-10.999999939 69.4666667170001,-10.999999939 69.45000005,-10.999999939 69.433333384,-10.999999939 69.4166667170001,-10.999999939 69.4000000500001,-10.999999939 69.3833333840001,-10.999999939 69.366666717,-10.999999939 69.3500000500001,-10.999999939 69.3333333840001,-10.999999939 69.316666717,-10.999999939 69.3000000500001,-10.999999939 69.2833333830001,-10.999999939 69.2666667170001,-10.999999939 69.25000005,-10.999999939 69.2333333830001,-10.999999939 69.2166667170001,-10.999999939 69.20000005,-10.999999939 69.183333383,-10.999999939 69.1666667170001,-10.999999939 69.1500000500001,-10.999999939 69.133333383,-10.999999939 69.116666717,-10.999999939 69.1000000500001,-10.999999939 69.0833333830001,-10.999999939 69.066666717,-10.999999939 69.0500000500001,-10.999999939 69.0333333830001,-10.999999939 69.0166667170001,-10.999999939 69.00000005,-10.999999939 68.9833333830001,-10.999999939 68.9666667170001,-10.999999939 68.95000005,-10.999999939 68.933333383,-10.999999939 68.9166667160001,-10.999999939 68.9000000500001,-10.999999939 68.883333383,-10.999999939 68.8666667160001,-10.999999939 68.8500000500001,-10.999999939 68.8333333830001,-10.999999939 68.816666716,-10.999999939 68.8000000500001,-10.999999939 68.7833333830001,-10.999999939 68.766666716,-10.999999939 68.75000005,-10.999999939 68.7333333830001,-10.999999939 68.7166667160001,-10.999999939 68.70000005,-10.999999939 68.683333383,-10.999999939 68.6666667160001,-10.999999939 68.6500000500001,-10.999999939 68.633333383,-10.999999939 68.6166667160001,-10.999999939 68.6000000500001,-10.999999939 68.5833333830001,-10.999999939 68.566666716,-10.999999939 68.5500000490001,-10.999999939 68.5333333830001,-10.999999939 68.516666716,-10.999999939 68.5000000490001,-10.999999939 68.4833333830001,-10.999999939 68.4666667160001,-10.999999939 68.450000049,-10.999999939 68.433333383,-10.999999939 68.4166667160001,-10.999999939 68.400000049,-10.999999939 68.383333383,-10.999999939 68.3666667160001,-10.999999939 68.3500000490001,-10.999999939 68.3333333830001,-10.999999939 68.316666716,-10.999999939 68.3000000490001,-10.999999939 68.2833333830001,-10.999999939 68.266666716,-10.999999939 68.2500000490001,-10.999999939 68.2333333830001,-10.999999939 68.2166667160001,-10.999999939 68.200000049,-10.999999939 68.1833333820001,-10.999999939 68.1666667160001,-10.999999939 68.150000049,-10.999999939 68.133333382,-10.999999939 68.1166667160001,-10.999999939 68.1000000490001,-10.999999939 68.083333382,-10.999999939 68.066666716,-10.999999939 68.0500000490001,-10.999999939 68.0333333820001,-10.999999939 68.016666716,-10.999999959 68.0000000490001,-11.0166666059999 68.0000000490001,-11.0333332729999 68.0000000490001,-11.049999939 68.0000000490001,-11.066666606 68.0000000490001,-11.0833332729999 68.0000000490001,-11.0999999389999 68.0000000490001,-11.116666606 68.0000000490001,-11.1333332729999 68.0000000490001,-11.1499999389999 68.0000000490001,-11.166666606 68.0000000490001,-11.183333273 68.0000000490001,-11.199999939 68.0000000490001,-11.2166666059999 68.0000000490001,-11.233333273 68.0000000490001,-11.249999939 68.0000000490001,-11.2666666059999 68.0000000490001,-11.2833332729999 68.0000000490001,-11.29999994 68.0000000490001,-11.316666606 68.0000000490001,-11.3333332729999 68.0000000490001,-11.34999994 68.0000000490001,-11.366666606 68.0000000490001,-11.3833332729999 68.0000000490001,-11.3999999399999 68.0000000490001,-11.416666606 68.0000000490001,-11.433333273 68.0000000490001,-11.4499999399999 68.0000000490001,-11.4666666059999 68.0000000490001,-11.483333273 68.0000000490001,-11.49999994 68.0000000490001,-11.5166666059999 68.0000000490001,-11.5333332729999 68.0000000490001,-11.54999994 68.0000000490001,-11.566666606 68.0000000490001,-11.5833332729999 68.0000000490001,-11.59999994 68.0000000490001,-11.616666606 68.0000000490001,-11.6333332729999 68.0000000490001,-11.6499999399999 68.0000000490001,-11.666666607 68.0000000490001,-11.683333273 68.0000000490001,-11.6999999399999 68.0000000490001,-11.716666607 68.0000000490001,-11.733333273 68.0000000490001,-11.74999994 68.0000000490001,-11.7666666069999 68.0000000490001,-11.7833332729999 68.0000000490001,-11.79999994 68.0000000490001,-11.8166666069999 68.0000000490001,-11.8333332729999 68.0000000490001,-11.84999994 68.0000000490001,-11.866666607 68.0000000490001,-11.8833332729999 68.0000000490001,-11.8999999399999 68.0000000490001,-11.916666607 68.0000000490001,-11.933333273 68.0000000490001,-11.9499999399999 68.0000000490001,-11.966666607 68.0000000490001,-11.983333273 68.0000000490001,-11.99999994 68.0000000490001,-12.0166666069999 68.0000000490001,-12.033333274 68.0000000490001,-12.04999994 68.0000000490001,-12.0666666069999 68.0000000490001,-12.0833332739999 68.0000000490001,-12.09999994 68.0000000490001,-12.116666607 68.0000000490001,-12.1333332739999 68.0000000490001,-12.1499999399999 68.0000000490001,-12.166666607 68.0000000490001,-12.1833332739999 68.0000000490001,-12.1999999399999 68.0000000490001,-12.216666607 68.0000000490001,-12.233333274 68.0000000490001,-12.24999994 68.0000000490001,-12.2666666069999 68.0000000490001,-12.283333274 68.0000000490001,-12.29999994 68.0000000490001,-12.3166666069999 68.0000000490001,-12.3333332739999 68.0000000490001,-12.349999941 68.0000000490001,-12.366666607 68.0000000490001,-12.3833332739999 68.0000000490001,-12.399999941 68.0000000490001,-12.416666607 68.0000000490001,-12.4333332739999 68.0000000490001,-12.4499999409999 68.0000000490001,-12.466666607 68.0000000490001,-12.483333274 68.0000000490001,-12.4999999409999 68.0000000490001,-12.5166666069999 68.0000000490001,-12.533333274 68.0000000490001,-12.549999941 68.0000000490001,-12.5666666069999 68.0000000490001,-12.5833332739999 68.0000000490001,-12.599999941 68.0000000490001,-12.616666607 68.0000000490001,-12.6333332739999 68.0000000490001,-12.649999941 68.0000000490001,-12.666666607 68.0000000490001,-12.6833332739999 68.0000000490001,-12.6999999409999 68.0000000490001,-12.716666608 68.0000000490001,-12.733333274 68.0000000490001,-12.7499999409999 68.0000000490001,-12.766666608 68.0000000490001,-12.783333274 68.0000000490001,-12.799999941 68.0000000490001,-12.8166666079999 68.0000000490001,-12.8333332739999 68.0000000490001,-12.849999941 68.0000000490001,-12.8666666079999 68.0000000490001,-12.8833332739999 68.0000000490001,-12.899999941 68.0000000490001,-12.916666608 68.0000000490001,-12.9333332739999 68.0000000490001,-12.9499999409999 68.0000000490001,-12.966666608 68.0000000490001,-12.983333274 68.0000000490001,-12.9999999409999 68.0000000490001,-13.016666608 68.0000000490001,-13.033333274 68.0000000490001,-13.049999941 68.0000000490001,-13.0666666079999 68.0000000490001,-13.083333275 68.0000000490001,-13.099999941 68.0000000490001,-13.1166666079999 68.0000000490001,-13.1333332749999 68.0000000490001,-13.149999941 68.0000000490001,-13.166666608 68.0000000490001,-13.1833332749999 68.0000000490001,-13.1999999409999 68.0000000490001,-13.216666608 68.0000000490001,-13.2333332749999 68.0000000490001,-13.2499999409999 68.0000000490001,-13.266666608 68.0000000490001,-13.283333275 68.0000000490001,-13.299999941 68.0000000490001,-13.3166666079999 68.0000000490001,-13.333333275 68.0000000490001,-13.349999941 68.0000000490001,-13.3666666079999 68.0000000490001,-13.3833332749999 68.0000000490001,-13.399999941 68.0000000490001,-13.416666608 68.0000000490001,-13.4333332749999 68.0000000490001,-13.449999942 68.0000000490001,-13.466666608 68.0000000490001,-13.4833332749999 68.0000000490001,-13.4999999419999 68.0000000490001,-13.516666608 68.0000000490001,-13.533333275 68.0000000490001,-13.5499999419999 68.0000000490001,-13.5666666079999 68.0000000490001,-13.583333275 68.0000000490001,-13.599999942 68.0000000490001,-13.6166666079999 68.0000000490001,-13.6333332749999 68.0000000490001,-13.649999942 68.0000000490001,-13.666666608 68.0000000490001,-13.6833332749999 68.0000000490001,-13.699999942 68.0000000490001,-13.716666608 68.0000000490001,-13.7333332749999 68.0000000490001,-13.7499999419999 68.0000000490001,-13.766666608 68.0000000490001,-13.783333275 68.0000000490001,-13.7999999419999 68.0000000490001,-13.816666609 68.0000000490001,-13.833333275 68.0000000490001,-13.849999942 68.0000000490001,-13.8666666089999 68.0000000490001,-13.8833332749999 68.0000000490001,-13.899999942 68.0000000490001,-13.9166666089999 68.0000000490001,-13.9333332749999 68.0000000490001,-13.949999942 68.0000000490001,-13.966666609 68.0000000490001,-13.9833332749999 68.0000000490001,-13.9999999419999 68.0000000490001,-14.016666609 68.0000000490001,-14.033333275 68.0000000490001,-14.0499999419999 68.0000000490001,-14.066666609 68.0000000490001,-14.083333275 68.0000000490001,-14.099999942 68.0000000490001,-14.1166666089999 68.0000000490001,-14.1333332749999 68.0000000490001,-14.149999942 68.0000000490001,-14.1666666089999 68.0000000490001,-14.1833332759999 68.0000000490001,-14.199999942 68.0000000490001,-14.216666609 68.0000000490001,-14.2333332759999 68.0000000490001,-14.2499999419999 68.0000000490001,-14.266666609 68.0000000490001,-14.283333276 68.0000000490001,-14.2999999419999 68.0000000490001,-14.316666609 68.0000000490001,-14.333333276 68.0000000490001,-14.349999942 68.0000000490001,-14.3666666089999 68.0000000490001,-14.383333276 68.0000000490001,-14.399999942 68.0000000490001,-14.4166666089999 68.0000000490001,-14.4333332759999 68.0000000490001,-14.449999942 68.0000000490001,-14.466666609 68.0000000490001,-14.4833332759999 68.0000000490001,-14.499999943 68.0000000490001,-14.516666609 68.0000000490001,-14.533333276 68.0000000490001,-14.5499999429999 68.0000000490001,-14.566666609 68.0000000490001,-14.583333276 68.0000000490001,-14.5999999429999 68.0000000490001,-14.6166666089999 68.0000000490001,-14.633333276 68.0000000490001,-14.649999943 68.0000000490001,-14.6666666089999 68.0000000490001,-14.6833332759999 68.0000000490001,-14.699999943 68.0000000490001,-14.716666609 68.0000000490001,-14.7333332759999 68.0000000490001,-14.749999943 68.0000000490001,-14.766666609 68.0000000490001,-14.783333276 68.0000000490001,-14.7999999429999 68.0000000490001,-14.816666609 68.0000000490001,-14.833333276 68.0000000490001,-14.8499999429999 68.0000000490001,-14.86666661 68.0000000490001,-14.883333276 68.0000000490001,-14.899999943 68.0000000490001,-14.9166666099999 68.0000000490001,-14.9333332759999 68.0000000490001,-14.949999943 68.0000000490001,-14.9666666099999 68.0000000490001,-14.9833332759999 68.0000000490001,-14.999999943 68.0000000490001,-15.01666661 68.0000000490001,-15.033333276 68.0000000490001,-15.0499999429999 68.0000000490001,-15.06666661 68.0000000490001,-15.083333276 68.0000000490001,-15.0999999429999 68.0000000490001,-15.11666661 68.0000000490001,-15.133333276 68.0000000490001,-15.149999943 68.0000000490001,-15.1666666099999 68.0000000490001,-15.1833332759999 68.0000000490001,-15.199999943 68.0000000490001,-15.2166666099999 68.0000000490001,-15.2333332769999 68.0000000490001,-15.249999943 68.0000000490001,-15.26666661 68.0000000490001,-15.2833332769999 68.0000000490001,-15.2999999429999 68.0000000490001,-15.31666661 68.0000000490001,-15.333333277 68.0000000490001,-15.3499999429999 68.0000000490001,-15.36666661 68.0000000490001,-15.383333277 68.0000000490001,-15.399999943 68.0000000490001,-15.4166666099999 68.0000000490001,-15.433333277 68.0000000490001,-15.449999943 68.0000000490001,-15.4666666099999 68.0000000490001,-15.4833332769999 68.0000000490001,-15.499999943 68.0000000490001,-15.51666661 68.0000000490001,-15.5333332769999 68.0000000490001,-15.5499999429999 68.0000000490001,-15.56666661 68.0000000490001,-15.583333277 68.0000000490001,-15.5999999439999 68.0000000490001,-15.61666661 68.0000000490001,-15.633333277 68.0000000490001,-15.6499999439999 68.0000000490001,-15.6666666099999 68.0000000490001,-15.683333277 68.0000000490001,-15.699999944 68.0000000490001,-15.7166666099999 68.0000000490001,-15.7333332769999 68.0000000490001,-15.749999944 68.0000000490001,-15.76666661 68.0000000490001,-15.7833332769999 68.0000000490001,-15.799999944 68.0000000490001,-15.81666661 68.0000000490001,-15.833333277 68.0000000490001,-15.8499999439999 68.0000000490001,-15.86666661 68.0000000490001,-15.883333277 68.0000000490001,-15.8999999439999 68.0000000490001,-15.9166666099999 68.0000000490001,-15.933333277 68.0000000490001,-15.949999944 68.0000000490001,-15.9666666109999 68.0000000490001,-15.9833332769999 68.0000000490001,-15.999999944 68.0000000490001,-16.0166666109999 68.0000000490001,-16.0333332769999 68.0000000490001,-16.049999944 68.0000000490001,-16.066666611 68.0000000490001,-16.083333277 68.0000000490001,-16.0999999439999 68.0000000490001,-16.116666611 68.0000000490001,-16.133333277 68.0000000490001,-16.1499999439999 68.0000000490001,-16.166666611 68.0000000490001,-16.183333277 68.0000000490001,-16.199999944 68.0000000490001,-16.2166666109999 68.0000000490001,-16.2333332769999 68.0000000490001,-16.249999944 68.0000000490001,-16.2666666109999 68.0000000490001,-16.2833332779999 68.0000000490001,-16.299999944 68.0000000490001,-16.316666611 68.0000000490001,-16.3333332779999 68.0000000490001,-16.3499999439999 68.0000000490001,-16.366666611 68.0000000490001,-16.383333278 68.0000000490001,-16.3999999439999 68.0000000490001,-16.416666611 68.0000000490001,-16.433333278 68.0000000490001,-16.449999944 68.0000000490001,-16.4666666109999 68.0000000490001,-16.483333278 68.0000000490001,-16.499999944 68.0000000490001,-16.5166666109999 68.0000000490001,-16.5333332779999 68.0000000490001,-16.549999944 68.0000000490001,-16.566666611 68.0000000490001,-16.5833332779999 68.0000000490001,-16.5999999439999 68.0000000490001,-16.616666611 68.0000000490001,-16.633333278 68.0000000490001,-16.6499999449999 68.0000000490001,-16.666666611 68.0000000490001,-16.683333278 68.0000000490001,-16.6999999449999 68.0000000490001,-16.7166666109999 68.0000000490001,-16.733333278 68.0000000490001,-16.749999945 68.0000000490001,-16.7666666109999 68.0000000490001,-16.7833332779999 68.0000000490001,-16.799999945 68.0000000490001,-16.816666611 68.0000000490001,-16.8333332779999 68.0000000490001,-16.849999945 68.0000000490001,-16.866666611 68.0000000490001,-16.883333278 68.0000000490001,-16.8999999449999 68.0000000490001,-16.916666611 68.0000000490001,-16.933333278 68.0000000490001,-16.9499999449999 68.0000000490001,-16.9666666109999 68.0000000490001,-16.983333278 68.0000000490001,-16.999999945 68.0000000490001,-17.0166666119999 68.0000000490001,-17.0333332779999 68.0000000490001,-17.049999945 68.0000000490001,-17.0666666119999 68.0000000490001,-17.0833332779999 68.0000000490001,-17.099999945 68.0000000490001,-17.116666612 68.0000000490001,-17.133333278 68.0000000490001,-17.1499999449999 68.0000000490001,-17.166666612 68.0000000490001,-17.183333278 68.0000000490001,-17.1999999449999 68.0000000490001,-17.2166666119999 68.0000000490001,-17.233333278 68.0000000490001,-17.249999945 68.0000000490001,-17.2666666119999 68.0000000490001,-17.2833332779999 68.0000000490001,-17.299999945 68.0000000490001,-17.3166666119999 68.0000000490001,-17.3333332779999 68.0000000490001,-17.349999945 68.0000000490001,-17.366666612 68.0000000490001,-17.3833332789999 68.0000000490001,-17.3999999449999 68.0000000490001,-17.416666612 68.0000000490001,-17.433333279 68.0000000490001,-17.4499999449999 68.0000000490001,-17.4666666119999 68.0000000490001,-17.483333279 68.0000000490001,-17.499999945 68.0000000490001,-17.5166666119999 68.0000000490001,-17.533333279 68.0000000490001,-17.549999945 68.0000000490001,-17.5666666119999 68.0000000490001,-17.5833332789999 68.0000000490001,-17.599999945 68.0000000490001,-17.616666612 68.0000000490001,-17.6333332789999 68.0000000490001,-17.6499999449999 68.0000000490001,-17.666666612 68.0000000490001,-17.683333279 68.0000000490001,-17.6999999449999 68.0000000490001,-17.7166666119999 68.0000000490001,-17.733333279 68.0000000490001,-17.7499999459999 68.0000000490001,-17.7666666119999 68.0000000490001,-17.783333279 68.0000000490001,-17.799999946 68.0000000490001,-17.8166666119999 68.0000000490001,-17.8333332789999 68.0000000490001,-17.849999946 68.0000000490001,-17.866666612 68.0000000490001,-17.8833332789999 68.0000000490001,-17.899999946 68.0000000490001,-17.916666612 68.0000000490001,-17.933333279 68.0000000490001,-17.9499999459999 68.0000000490001,-17.9666666119999 68.0000000490001,-17.983333279 68.0000000490001,-17.9999999459999 68.0000000490001,-18.0166666119999 68.0000000490001,-18.033333279 68.0000000490001,-18.049999946 68.0000000490001,-18.0666666119999 68.0000000490001,-18.0833332789999 68.0000000490001,-18.099999946 68.0000000490001,-18.1166666129999 68.0000000490001,-18.1333332789999 68.0000000490001,-18.149999946 68.0000000490001,-18.166666613 68.0000000490001,-18.183333279 68.0000000490001,-18.1999999459999 68.0000000490001,-18.216666613 68.0000000490001,-18.233333279 68.0000000490001,-18.2499999459999 68.0000000490001,-18.2666666129999 68.0000000490001,-18.283333279 68.0000000490001,-18.299999946 68.0000000490001,-18.3166666129999 68.0000000490001,-18.3333332789999 68.0000000490001,-18.349999946 68.0000000490001,-18.3666666129999 68.0000000490001,-18.3833332789999 68.0000000490001,-18.399999946 68.0000000490001,-18.416666613 68.0000000490001,-18.4333332799999 68.0000000490001,-18.4499999459999 68.0000000490001,-18.466666613 68.0000000490001,-18.48333328 68.0000000490001,-18.4999999459999 68.0000000490001,-18.5166666129999 68.0000000490001,-18.53333328 68.0000000490001,-18.549999946 68.0000000490001,-18.5666666129999 68.0000000490001,-18.58333328 68.0000000490001,-18.599999946 68.0000000490001,-18.6166666129999 68.0000000490001,-18.6333332799999 68.0000000490001,-18.649999946 68.0000000490001,-18.666666613 68.0000000490001,-18.6833332799999 68.0000000490001,-18.6999999459999 68.0000000490001,-18.716666613 68.0000000490001,-18.73333328 68.0000000490001,-18.7499999459999 68.0000000490001,-18.7666666129999 68.0000000490001,-18.78333328 68.0000000490001,-18.7999999469999 68.0000000490001,-18.8166666129999 68.0000000490001,-18.83333328 68.0000000490001,-18.849999947 68.0000000490001,-18.8666666129999 68.0000000490001,-18.8833332799999 68.0000000490001,-18.899999947 68.0000000490001,-18.916666613 68.0000000490001,-18.9333332799999 68.0000000490001,-18.949999947 68.0000000490001,-18.966666613 68.0000000490001,-18.98333328 68.0000000490001,-18.9999999469999 68.0000000490001,-19.0166666129999 68.0000000490001,-19.03333328 68.0000000490001,-19.0499999469999 68.0000000490001,-19.0666666129999 68.0000000490001,-19.08333328 68.0000000490001,-19.099999947 68.0000000490001,-19.1166666129999 68.0000000490001,-19.1333332799999 68.0000000490001,-19.149999947 68.0000000490001,-19.166666614 68.0000000490001,-19.1833332799999 68.0000000490001,-19.199999947 68.0000000490001,-19.216666614 68.0000000490001,-19.23333328 68.0000000490001,-19.2499999469999 68.0000000490001,-19.266666614 68.0000000490001,-19.28333328 68.0000000490001,-19.2999999469999 68.0000000490001,-19.3166666139999 68.0000000490001,-19.33333328 68.0000000490001,-19.349999947 68.0000000490001,-19.3666666139999 68.0000000490001,-19.3833332799999 68.0000000490001,-19.399999947 68.0000000490001,-19.416666614 68.0000000490001,-19.4333332799999 68.0000000490001,-19.449999947 68.0000000490001,-19.466666614 68.0000000490001,-19.48333328 68.0000000490001,-19.4999999469999 68.0000000490001,-19.516666614 68.0000000490001,-19.533333281 68.0000000490001,-19.5499999469999 68.0000000490001,-19.5666666139999 68.0000000490001,-19.583333281 68.0000000490001,-19.599999947 68.0000000490001,-19.6166666139999 68.0000000490001,-19.633333281 68.0000000490001,-19.649999947 68.0000000490001,-19.666666614 68.0000000490001,-19.6833332809999 68.0000000490001,-19.699999947 68.0000000490001,-19.716666614 68.0000000490001,-19.7333332809999 68.0000000490001,-19.7499999469999 68.0000000490001,-19.766666614 68.0000000490001,-19.783333281 68.0000000490001,-19.7999999469999 68.0000000490001,-19.8166666139999 68.0000000490001,-19.833333281 68.0000000490001,-19.849999947 68.0000000490001,-19.8666666139999 68.0000000490001,-19.883333281 68.0000000490001,-19.899999948 68.0000000490001,-19.916666614 68.0000000490001,-19.9333332809999 68.0000000490001,-19.949999948 68.0000000490001,-19.966666614 68.0000000490001,-19.9833332809999 68.0000000490001,-19.999999948 68.0000000490001,-20.016666614 68.0000000490001,-20.033333281 68.0000000490001,-20.0499999479999 68.0000000490001,-20.0666666139999 68.0000000490001,-20.083333281 68.0000000490001,-20.0999999479999 68.0000000490001,-20.1166666139999 68.0000000490001,-20.133333281 68.0000000490001,-20.149999948 68.0000000490001,-20.166666614 68.0000000490001,-20.1833332809999 68.0000000490001,-20.199999948 68.0000000490001,-20.216666614 68.0000000490001,-20.2333332809999 68.0000000490001,-20.249999948 68.0000000490001,-20.266666615 68.0000000490001,-20.283333281 68.0000000490001,-20.2999999479999 68.0000000490001,-20.316666615 68.0000000490001,-20.333333281 68.0000000490001,-20.3499999479999 68.0000000490001,-20.3666666149999 68.0000000490001,-20.383333281 68.0000000490001,-20.399999948 68.0000000490001,-20.4166666149999 68.0000000490001,-20.4333332809999 68.0000000490001,-20.449999948 68.0000000490001,-20.466666615 68.0000000490001,-20.4833332809999 68.0000000490001,-20.499999948 68.0000000490001,-20.516666615 68.0000000490001,-20.533333281 68.0000000490001,-20.5499999479999 68.0000000490001,-20.566666615 68.0000000490001,-20.583333282 68.0000000490001,-20.5999999479999 68.0000000490001,-20.6166666149999 68.0000000490001,-20.633333282 68.0000000490001,-20.649999948 68.0000000490001,-20.6666666149999 68.0000000490001,-20.683333282 68.0000000490001,-20.699999948 68.0000000490001,-20.716666615 68.0000000490001,-20.7333332819999 68.0000000490001,-20.749999948 68.0000000490001,-20.766666615 68.0000000490001,-20.7833332819999 68.0000000490001,-20.7999999479999 68.0000000490001,-20.816666615 68.0000000490001,-20.833333282 68.0000000490001,-20.8499999479999 68.0000000490001,-20.8666666149999 68.0000000490001,-20.883333282 68.0000000490001,-20.899999948 68.0000000490001,-20.9166666149999 68.0000000490001,-20.933333282 68.0000000490001,-20.949999949 68.0000000490001,-20.966666615 68.0000000490001,-20.9833332819999 68.0000000490001,-20.999999949 68.0000000490001,-21.016666615 68.0000000490001,-21.0333332819999 68.0000000490001,-21.049999949 68.0000000490001,-21.066666615 68.0000000490001,-21.083333282 68.0000000490001,-21.0999999489999 68.0000000490001,-21.1166666149999 68.0000000490001,-21.133333282 68.0000000490001,-21.1499999489999 68.0000000490001,-21.1666666149999 68.0000000490001,-21.183333282 68.0000000490001,-21.199999949 68.0000000490001,-21.216666615 68.0000000490001,-21.2333332819999 68.0000000490001,-21.249999949 68.0000000490001,-21.266666615 68.0000000490001,-21.2833332819999 68.0000000490001,-21.299999949 68.0000000490001,-21.316666616 68.0000000490001,-21.333333282 68.0000000490001,-21.3499999489999 68.0000000490001,-21.366666616 68.0000000490001,-21.383333282 68.0000000490001,-21.3999999489999 68.0000000490001,-21.4166666159999 68.0000000490001,-21.433333282 68.0000000490001,-21.449999949 68.0000000490001,-21.4666666159999 68.0000000490001,-21.4833332819999 68.0000000490001,-21.499999949 68.0000000490001,-21.516666616 68.0000000490001,-21.5333332819999 68.0000000490001,-21.549999949 68.0000000490001,-21.566666616 68.0000000490001,-21.583333282 68.0000000490001,-21.5999999489999 68.0000000490001,-21.616666616 68.0000000490001,-21.633333282 68.0000000490001,-21.6499999489999 68.0000000490001,-21.6666666159999 68.0000000490001,-21.683333283 68.0000000490001,-21.699999949 68.0000000490001,-21.7166666159999 68.0000000490001,-21.733333283 68.0000000490001,-21.749999949 68.0000000490001,-21.766666616 68.0000000490001,-21.7833332829999 68.0000000490001,-21.799999949 68.0000000490001,-21.816666616 68.0000000490001,-21.8333332829999 68.0000000490001,-21.8499999489999 68.0000000490001,-21.866666616 68.0000000490001,-21.883333283 68.0000000490001,-21.8999999489999 68.0000000490001,-21.9166666159999 68.0000000490001,-21.933333283 68.0000000490001,-21.949999949 68.0000000490001,-21.9666666159999 68.0000000490001,-21.983333283 68.0000000490001,-21.999999949 68.0000000490001,-22.016666616 68.0000000490001,-22.0333332829999 68.0000000490001,-22.04999995 68.0000000490001,-22.066666616 68.0000000490001,-22.0833332829999 68.0000000490001,-22.09999995 68.0000000490001,-22.116666616 68.0000000490001,-22.133333283 68.0000000490001,-22.1499999499999 68.0000000490001,-22.1666666159999 68.0000000490001,-22.183333283 68.0000000490001,-22.1999999499999 68.0000000490001,-22.2166666159999 68.0000000490001,-22.233333283 68.0000000490001,-22.24999995 68.0000000490001,-22.266666616 68.0000000490001,-22.2833332829999 68.0000000490001,-22.29999995 68.0000000490001,-22.316666616 68.0000000490001,-22.3333332829999 68.0000000490001,-22.34999995 68.0000000490001,-22.366666617 68.0000000490001,-22.383333283 68.0000000490001,-22.3999999499999 68.0000000490001,-22.416666617 68.0000000490001,-22.433333283 68.0000000490001,-22.4499999499999 68.0000000490001,-22.4666666169999 68.0000000490001,-22.483333283 68.0000000490001,-22.49999995 68.0000000490001,-22.5166666169999 68.0000000490001,-22.5333332829999 68.0000000490001,-22.54999995 68.0000000490001,-22.566666617 68.0000000490001,-22.5833332829999 68.0000000490001,-22.59999995 68.0000000490001,-22.616666617 68.0000000490001,-22.633333283 68.0000000490001,-22.6499999499999 68.0000000490001,-22.666666617 68.0000000490001,-22.683333283 68.0000000490001,-22.6999999499999 68.0000000490001,-22.7166666169999 68.0000000490001,-22.733333284 68.0000000490001,-22.74999995 68.0000000490001,-22.7666666169999 68.0000000490001,-22.783333284 68.0000000490001,-22.79999995 68.0000000490001,-22.816666617 68.0000000490001,-22.8333332839999 68.0000000490001,-22.84999995 68.0000000490001,-22.866666617 68.0000000490001,-22.8833332839999 68.0000000490001,-22.8999999499999 68.0000000490001,-22.916666617 68.0000000490001,-22.933333284 68.0000000490001,-22.9499999499999 68.0000000490001,-22.9666666169999 68.0000000490001,-22.983333284 68.0000000490001,-22.99999995 68.0000000490001,-23.0166666169999 68.0000000490001,-23.033333284 68.0000000490001,-23.04999995 68.0000000490001,-23.066666617 68.0000000490001,-23.0833332839999 68.0000000490001,-23.099999951 68.0000000490001,-23.116666617 68.0000000490001,-23.1333332839999 68.0000000490001,-23.1499999509999 68.0000000490001,-23.166666617 68.0000000490001,-23.183333284 68.0000000490001,-23.1999999509999 68.0000000490001,-23.2166666169999 68.0000000490001,-23.233333284 68.0000000490001,-23.2499999509999 68.0000000490001,-23.2666666169999 68.0000000490001,-23.283333284 68.0000000490001,-23.299999951 68.0000000490001,-23.316666617 68.0000000490001,-23.3333332839999 68.0000000490001,-23.349999951 68.0000000490001,-23.366666617 68.0000000490001,-23.3833332839999 68.0000000490001,-23.3999999509999 68.0000000490001,-23.416666617 68.0000000490001,-23.433333284 68.0000000490001,-23.4499999509999 68.0000000490001,-23.466666618 68.0000000490001,-23.483333284 68.0000000490001,-23.4999999509999 68.0000000490001,-23.5166666179999 68.0000000490001,-23.533333284 68.0000000490001,-23.549999951 68.0000000490001,-23.5666666179999 68.0000000490001,-23.5833332839999 68.0000000490001,-23.599999951 68.0000000490001,-23.616666618 68.0000000490001,-23.6333332839999 68.0000000490001,-23.6499999509999 68.0000000490001,-23.666666618 68.0000000490001,-23.683333284 68.0000000490001,-23.6999999509999 68.0000000490001,-23.716666618 68.0000000490001,-23.733333284 68.0000000490001,-23.7499999509999 68.0000000490001,-23.7666666179999 68.0000000490001,-23.783333284 68.0000000490001,-23.799999951 68.0000000490001,-23.8166666179999 68.0000000490001,-23.833333285 68.0000000490001,-23.849999951 68.0000000490001,-23.866666618 68.0000000490001,-23.8833332849999 68.0000000490001,-23.8999999509999 68.0000000490001,-23.916666618 68.0000000490001,-23.9333332849999 68.0000000490001,-23.9499999509999 68.0000000490001,-23.966666618 68.0000000490001,-23.983333285 68.0000000490001,-23.9999999509999 68.0000000490001,-24.0166666179999 68.0000000490001,-24.033333285 68.0000000490001,-24.049999951 68.0000000490001,-24.0666666179999 68.0000000490001,-24.083333285 68.0000000490001,-24.099999951 68.0000000490001,-24.116666618 68.0000000490001,-24.1333332849999 68.0000000490001,-24.1499999509999 68.0000000490001,-24.166666618 68.0000000490001,-24.1833332849999 68.0000000490001,-24.1999999519999 68.0000000490001,-24.216666618 68.0000000490001,-24.233333285 68.0000000490001,-24.2499999519999 68.0000000490001,-24.2666666179999 68.0000000490001,-24.283333285 68.0000000490001,-24.299999952 68.0000000490001,-24.3166666179999 68.0000000490001,-24.333333285 68.0000000490001,-24.349999952 68.0000000490001,-24.366666618 68.0000000490001,-24.3833332849999 68.0000000490001,-24.399999952 68.0000000490001,-24.416666618 68.0000000490001,-24.4333332849999 68.0000000490001,-24.4499999519999 68.0000000490001,-24.466666618 68.0000000490001,-24.483333285 68.0000000490001,-24.4999999519999 68.0000000490001,-24.516666619 68.0000000490001,-24.533333285 68.0000000490001,-24.549999952 68.0000000490001,-24.5666666189999 68.0000000490001,-24.583333285 68.0000000490001,-24.599999952 68.0000000490001,-24.6166666189999 68.0000000490001,-24.6333332849999 68.0000000490001,-24.649999952 68.0000000490001,-24.666666619 68.0000000490001,-24.6833332849999 68.0000000490001,-24.6999999519999 68.0000000490001,-24.716666619 68.0000000490001,-24.733333285 68.0000000490001,-24.7499999519999 68.0000000490001,-24.766666619 68.0000000490001,-24.783333285 68.0000000490001,-24.799999952 68.0000000490001,-24.8166666189999 68.0000000490001,-24.833333285 68.0000000490001,-24.849999952 68.0000000490001,-24.8666666189999 68.0000000490001,-24.883333286 68.0000000490001,-24.899999952 68.0000000490001,-24.916666619 68.0000000490001,-24.9333332859999 68.0000000490001,-24.9499999519999 68.0000000490001,-24.966666619 68.0000000490001,-24.9833332859999 68.0000000490001,-24.9999999519999 68.0000000490001,-25.016666619 68.0000000490001,-25.033333286 68.0000000490001,-25.049999952 68.0000000490001,-25.0666666189999 68.0000000490001,-25.083333286 68.0000000490001,-25.099999952 68.0000000490001,-25.1166666189999 68.0000000490001,-25.133333286 68.0000000490001,-25.149999952 68.0000000490001,-25.166666619 68.0000000490001,-25.1833332859999 68.0000000490001,-25.1999999519999 68.0000000490001,-25.216666619 68.0000000490001,-25.2333332859999 68.0000000490001,-25.2499999529999 68.0000000490001,-25.266666619 68.0000000490001,-25.283333286 68.0000000490001,-25.2999999529999 68.0000000490001,-25.3166666189999 68.0000000490001,-25.333333286 68.0000000490001,-25.349999953 68.0000000490001,-25.3666666189999 68.0000000490001,-25.383333286 68.0000000490001,-25.399999953 68.0000000490001,-25.416666619 68.0000000490001,-25.4333332859999 68.0000000490001,-25.449999953 68.0000000490001,-25.466666619 68.0000000490001,-25.4833332859999 68.0000000490001,-25.4999999529999 68.0000000490001,-25.516666619 68.0000000490001,-25.533333286 68.0000000490001,-25.5499999529999 68.0000000490001,-25.5666666189999 68.0000000490001,-25.583333286 68.0000000490001,-25.599999953 68.0000000490001,-25.6166666199999 68.0000000490001,-25.633333286 68.0000000490001,-25.649999953 68.0000000490001,-25.6666666199999 68.0000000490001,-25.6833332859999 68.0000000490001,-25.699999953 68.0000000490001,-25.71666662 68.0000000490001,-25.7333332859999 68.0000000490001,-25.7499999529999 68.0000000490001,-25.76666662 68.0000000490001,-25.783333286 68.0000000490001,-25.7999999529999 68.0000000490001,-25.81666662 68.0000000490001,-25.833333286 68.0000000490001,-25.849999953 68.0000000490001,-25.8666666199999 68.0000000490001,-25.883333286 68.0000000490001,-25.899999953 68.0000000490001,-25.9166666199999 68.0000000490001,-25.9333332859999 68.0000000490001,-25.949999953 68.0000000490001,-25.96666662 68.0000000490001,-25.9833332869999 68.0000000490001,-25.9999999529999 68.0000000490001,-26.01666662 68.0000000490001,-26.0333332869999 68.0000000490001,-26.0499999529999 68.0000000490001,-26.06666662 68.0000000490001,-26.083333287 68.0000000490001,-26.099999953 68.0000000490001,-26.1166666199999 68.0000000490001,-26.133333287 68.0000000490001,-26.149999953 68.0000000490001,-26.1666666199999 68.0000000490001,-26.183333287 68.0000000490001,-26.199999953 68.0000000490001,-26.21666662 68.0000000490001,-26.2333332869999 68.0000000490001,-26.2499999529999 68.0000000490001,-26.26666662 68.0000000490001,-26.2833332869999 68.0000000490001,-26.2999999529999 68.0000000490001,-26.31666662 68.0000000490001,-26.333333287 68.0000000490001,-26.3499999539999 68.0000000490001,-26.3666666199999 68.0000000490001,-26.383333287 68.0000000490001,-26.399999954 68.0000000490001,-26.4166666199999 68.0000000490001,-26.433333287 68.0000000490001,-26.449999954 68.0000000490001,-26.46666662 68.0000000490001,-26.4833332869999 68.0000000490001,-26.499999954 68.0000000490001,-26.51666662 68.0000000490001,-26.5333332869999 68.0000000490001,-26.5499999539999 68.0000000490001,-26.56666662 68.0000000490001,-26.583333287 68.0000000490001,-26.5999999539999 68.0000000490001,-26.6166666199999 68.0000000490001,-26.633333287 68.0000000490001,-26.649999954 68.0000000490001,-26.6666666209999 68.0000000490001,-26.683333287 68.0000000490001,-26.699999954 68.0000000490001,-26.7166666209999 68.0000000490001,-26.7333332869999 68.0000000490001,-26.749999954 68.0000000490001,-26.766666621 68.0000000490001,-26.7833332869999 68.0000000490001,-26.7999999539999 68.0000000490001,-26.816666621 68.0000000490001,-26.833333287 68.0000000490001,-26.8499999539999 68.0000000490001,-26.866666621 68.0000000490001,-26.883333287 68.0000000490001,-26.899999954 68.0000000490001,-26.9166666209999 68.0000000490001,-26.933333287 68.0000000490001,-26.949999954 68.0000000490001,-26.9666666209999 68.0000000490001,-26.9833332869999 68.0000000490001,-26.999953005 68.0000000490001,-26.999999967 68.0000000140001,-26.9999999999999 69.6390000000001,-39.9999999999999 69.8090000000001,-40.0000006939999 69.8090154380001,-39.9999999999999 78.1699988450001,-39.9999999999999 78.1703494830001,-40.000003809 89.99767554,-39.9999999661141 90,-10.999999939 90)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.XIV', 'East Greenland', '27.XIV', '27.XIV.a', 'Northeast Greenland', '27.XIVa', '', '', '', '', '', '', '', 'XIVa', '3', '27.14.a', '27.XIVa', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.999999803 60.849999998,-26.9999997039999 60.8333336260001,-26.9999997039999 60.816666959,-26.9999997039999 60.800000292,-26.9999997039999 60.7833336260001,-26.9999997039999 60.7666669590001,-26.9999997039999 60.750000292,-26.9999997039999 60.733333626,-26.9999997039999 60.7166669590001,-26.9999997039999 60.700000292,-26.9999997039999 60.683333625,-26.9999997039999 60.6666669590001,-26.9999997039999 60.6500002920001,-26.9999997039999 60.633333625,-26.9999997039999 60.616666959,-26.9999997039999 60.6000002920001,-26.9999997039999 60.5833336250001,-26.9999997039999 60.566666959,-26.9999997039999 60.550000292,-26.9999997039999 60.5333336250001,-26.9999997039999 60.5166669590001,-26.9999997039999 60.500000292,-26.9999997039999 60.4833336250001,-26.9999997039999 60.4666669590001,-26.9999997039999 60.450000292,-26.9999997039999 60.433333625,-26.9999997039999 60.4166669590001,-26.9999997039999 60.4000002920001,-26.9999997039999 60.383333625,-26.9999997039999 60.366666959,-26.9999997039999 60.3500002920001,-26.9999997039999 60.3333336250001,-26.9999997039999 60.316666958,-26.9999997039999 60.300000292,-26.9999997039999 60.2833336250001,-26.9999997039999 60.266666958,-26.9999997039999 60.250000292,-26.9999997039999 60.2333336250001,-26.9999997039999 60.2166669580001,-26.9999997039999 60.200000292,-26.9999997039999 60.183333625,-26.9999997039999 60.1666669580001,-26.9999997039999 60.1500002920001,-26.9999997039999 60.133333625,-26.9999997039999 60.1166669580001,-26.9999997039999 60.1000002920001,-26.9999997039999 60.0833336250001,-26.9999997039999 60.066666958,-26.9999997039999 60.050000292,-26.9999997039999 60.0333336250001,-26.9999997039999 60.016666958,-26.9999997039999 60.000000292,-26.9999997039999 59.9833336250001,-26.9999997039999 59.9666669580001,-26.9999997039999 59.950000291,-26.9999997039999 59.933333625,-26.9999997039999 59.9166669580001,-26.9999997039999 59.9000002910001,-26.9999997039999 59.883333625,-26.9999997039999 59.8666669580001,-26.9999997039999 59.8500002910001,-26.9999997039999 59.8333336250001,-26.9999997039999 59.816666958,-26.9999997039999 59.8000002910001,-26.9999997039999 59.7833336250001,-26.9999997039999 59.766666958,-26.9999997039999 59.750000291,-26.9999997039999 59.7333336250001,-26.9999997039999 59.7166669580001,-26.9999997039999 59.700000291,-26.9999997039999 59.683333625,-26.9999997039999 59.6666669580001,-26.9999997039999 59.6500002910001,-26.9999997039999 59.633333624,-26.9999997039999 59.6166669580001,-26.9999997039999 59.6000002910001,-26.9999997039999 59.583333624,-26.9999997039999 59.566666958,-26.9999997039999 59.5500002910001,-26.9999997039999 59.5333336240001,-26.9999997039999 59.516666958,-26.9999997039999 59.500000291,-26.9999997039999 59.4833336240001,-26.9999997039999 59.4666669580001,-26.9999997039999 59.450000291,-26.9999997039999 59.4333336240001,-26.9999997039999 59.4166669580001,-26.9999997039999 59.4000002910001,-26.9999997039999 59.383333624,-26.9999997039999 59.3666669580001,-26.9999997039999 59.3500002910001,-26.9999997039999 59.333333624,-26.9999997039999 59.316666958,-26.9999997039999 59.3000002910001,-26.9999997039999 59.2833336240001,-26.9999997039999 59.266666957,-26.9999997039999 59.250000291,-26.9999997039999 59.2333336240001,-26.9999997039999 59.216666957,-26.9999997039999 59.200000291,-26.9999997039999 59.1833336240001,-26.9999997039999 59.1666669570001,-26.9999997039999 59.1500002910001,-26.9999997039999 59.133333624,-26.9999997039999 59.1166669570001,-26.9999997039999 59.1000002910001,-26.9999997039999 59.083333624,-26.9999997039999 59.0666669570001,-26.9999997039999 59.0500002910001,-26.9999997039999 59.0333336240001,-26.9999997039999 59.016666957,-26.999999896 59.000000255,-27.0166723089999 59.0000000410001,-27.033344664 59.0000000410001,-27.0500170189999 59.0000000410001,-27.066689374 59.0000000410001,-27.0833617289999 59.0000000410001,-27.100034084 59.0000000410001,-27.116706439 59.0000000410001,-27.133378794 59.0000000410001,-27.150051149 59.0000000410001,-27.1667235039999 59.0000000410001,-27.183395859 59.0000000410001,-27.2000682139999 59.0000000410001,-27.216740569 59.0000000410001,-27.2334129239999 59.0000000410001,-27.250085279 59.0000000410001,-27.2667576339999 59.0000000410001,-27.283429989 59.0000000410001,-27.300102344 59.0000000410001,-27.316774698 59.0000000410001,-27.3334470529999 59.0000000410001,-27.350119408 59.0000000410001,-27.366791763 59.0000000410001,-27.3834641179999 59.0000000410001,-27.400136473 59.0000000410001,-27.4168088279999 59.0000000410001,-27.433481183 59.0000000410001,-27.4501535379999 59.0000000410001,-27.466825893 59.0000000410001,-27.4834982479999 59.0000000410001,-27.500170603 59.0000000410001,-27.516842958 59.0000000410001,-27.533515313 59.0000000410001,-27.550187668 59.0000000410001,-27.5668600229999 59.0000000410001,-27.583532378 59.0000000410001,-27.6002047329999 59.0000000410001,-27.616877088 59.0000000410001,-27.6335494429999 59.0000000410001,-27.650221798 59.0000000410001,-27.6668941529999 59.0000000410001,-27.683566508 59.0000000410001,-27.700238863 59.0000000410001,-27.716911218 59.0000000410001,-27.733583573 59.0000000410001,-27.7502559279999 59.0000000410001,-27.766928283 59.0000000410001,-27.7836006369999 59.0000000410001,-27.800272992 59.0000000410001,-27.8169453469999 59.0000000410001,-27.833617702 59.0000000410001,-27.8502900569999 59.0000000410001,-27.866962412 59.0000000410001,-27.8836347669999 59.0000000410001,-27.900307122 59.0000000410001,-27.916979477 59.0000000410001,-27.933651832 59.0000000410001,-27.950324187 59.0000000410001,-27.9669965419999 59.0000000410001,-27.983668897 59.0000000410001,-28.0003412519999 59.0000000410001,-28.017013607 59.0000000410001,-28.0336859619999 59.0000000410001,-28.050358317 59.0000000410001,-28.0670306719999 59.0000000410001,-28.083703027 59.0000000410001,-28.100375382 59.0000000410001,-28.117047737 59.0000000410001,-28.133720092 59.0000000410001,-28.1503924469999 59.0000000410001,-28.167064802 59.0000000410001,-28.1837371569999 59.0000000410001,-28.200409512 59.0000000410001,-28.2170818669999 59.0000000410001,-28.233754222 59.0000000410001,-28.2504265759999 59.0000000410001,-28.267098931 59.0000000410001,-28.2837712859999 59.0000000410001,-28.300443641 59.0000000410001,-28.317115996 59.0000000410001,-28.333788351 59.0000000410001,-28.350460706 59.0000000410001,-28.3671330609999 59.0000000410001,-28.383805416 59.0000000410001,-28.4004777709999 59.0000000410001,-28.417150126 59.0000000410001,-28.4338224809999 59.0000000410001,-28.450494836 59.0000000410001,-28.4671671909999 59.0000000410001,-28.483839546 59.0000000410001,-28.500511901 59.0000000410001,-28.517184256 59.0000000410001,-28.533856611 59.0000000410001,-28.5505289659999 59.0000000410001,-28.567201321 59.0000000410001,-28.5838736759999 59.0000000410001,-28.600546031 59.0000000410001,-28.6172183859999 59.0000000410001,-28.633890741 59.0000000410001,-28.6505630959999 59.0000000410001,-28.667235451 59.0000000410001,-28.683907806 59.0000000410001,-28.7005801609999 59.0000000410001,-28.7172525149999 59.0000000410001,-28.73392487 59.0000000410001,-28.750597225 59.0000000410001,-28.7672695799999 59.0000000410001,-28.783941935 59.0000000410001,-28.8006142899999 59.0000000410001,-28.817286645 59.0000000410001,-28.8339589999999 59.0000000410001,-28.850631355 59.0000000410001,-28.8673037099999 59.0000000410001,-28.883976065 59.0000000410001,-28.90064842 59.0000000410001,-28.917320775 59.0000000410001,-28.92861855 59.0000000410001,-28.93399313 59.0000000410001,-28.9506654849999 59.0000000410001,-28.96733784 59.0000000410001,-28.9840101949999 59.0000000410001,-29.00068255 59.0000000410001,-29.0173549049999 59.0000000410001,-29.03402726 59.0000000410001,-29.0506996149999 59.0000000410001,-29.06737197 59.0000000410001,-29.084044325 59.0000000410001,-29.1007166799999 59.0000000410001,-29.117389035 59.0000000410001,-29.1340613899999 59.0000000410001,-29.150733745 59.0000000410001,-29.1674060999999 59.0000000410001,-29.184078454 59.0000000410001,-29.2007508089999 59.0000000410001,-29.217423164 59.0000000410001,-29.2340955189999 59.0000000410001,-29.250767874 59.0000000410001,-29.2674402289999 59.0000000410001,-29.284112584 59.0000000410001,-29.300784939 59.0000000410001,-29.317457294 59.0000000410001,-29.334129649 59.0000000410001,-29.3508020039999 59.0000000410001,-29.367474359 59.0000000410001,-29.3841467139999 59.0000000410001,-29.400819069 59.0000000410001,-29.4174914239999 59.0000000410001,-29.434163779 59.0000000410001,-29.4508361339999 59.0000000410001,-29.467508489 59.0000000410001,-29.484180844 59.0000000410001,-29.5008531989999 59.0000000410001,-29.517525554 59.0000000410001,-29.5341979089999 59.0000000410001,-29.550870264 59.0000000410001,-29.5675426189999 59.0000000410001,-29.584214974 59.0000000410001,-29.6008873289999 59.0000000410001,-29.617559684 59.0000000410001,-29.634232039 59.0000000410001,-29.650904393 59.0000000410001,-29.6675767479999 59.0000000410001,-29.684249103 59.0000000410001,-29.700921458 59.0000000410001,-29.717593813 59.0000000410001,-29.734266168 59.0000000410001,-29.7509385229999 59.0000000410001,-29.767610878 59.0000000410001,-29.7842832329999 59.0000000410001,-29.800955588 59.0000000410001,-29.8176279429999 59.0000000410001,-29.834300298 59.0000000410001,-29.8509726529999 59.0000000410001,-29.867645008 59.0000000410001,-29.884317363 59.0000000410001,-29.9009897179999 59.0000000410001,-29.917662073 59.0000000410001,-29.9343344279999 59.0000000410001,-29.951006783 59.0000000410001,-29.9676791379999 59.0000000410001,-29.984351493 59.0000000410001,-30.0010238479999 59.0000000410001,-30.017696203 59.0000000410001,-30.034368558 59.0000000410001,-30.051040913 59.0000000410001,-30.067713268 59.0000000410001,-30.0843856229999 59.0000000410001,-30.101057978 59.0000000410001,-30.117730332 59.0000000410001,-30.134402687 59.0000000410001,-30.1510750419999 59.0000000410001,-30.167747397 59.0000000410001,-30.1844197519999 59.0000000410001,-30.201092107 59.0000000410001,-30.2177644619999 59.0000000410001,-30.234436817 59.0000000410001,-30.2511091719999 59.0000000410001,-30.267781527 59.0000000410001,-30.284453882 59.0000000410001,-30.3011262369999 59.0000000410001,-30.317798592 59.0000000410001,-30.3344709469999 59.0000000410001,-30.351143302 59.0000000410001,-30.3678156569999 59.0000000410001,-30.384488012 59.0000000410001,-30.4011603669999 59.0000000410001,-30.417832722 59.0000000410001,-30.434505077 59.0000000410001,-30.451177432 59.0000000410001,-30.467849787 59.0000000410001,-30.4845221419999 59.0000000410001,-30.501194497 59.0000000410001,-30.5178668519999 59.0000000410001,-30.534539207 59.0000000410001,-30.5512115619999 59.0000000410001,-30.567883917 59.0000000410001,-30.5845562709999 59.0000000410001,-30.601228626 59.0000000410001,-30.6179009809999 59.0000000410001,-30.634573336 59.0000000410001,-30.6512456909999 59.0000000410001,-30.667918046 59.0000000410001,-30.684590401 59.0000000410001,-30.7012627559999 59.0000000410001,-30.717935111 59.0000000410001,-30.7346074659999 59.0000000410001,-30.751279821 59.0000000410001,-30.7679521759999 59.0000000410001,-30.784624531 59.0000000410001,-30.8012968859999 59.0000000410001,-30.817969241 59.0000000410001,-30.834641596 59.0000000410001,-30.851313951 59.0000000410001,-30.867986306 59.0000000410001,-30.8846586609999 59.0000000410001,-30.901331016 59.0000000410001,-30.9180033709999 59.0000000410001,-30.934675726 59.0000000410001,-30.9513480809999 59.0000000410001,-30.968020436 59.0000000410001,-30.9846927909999 59.0000000410001,-31.001365146 59.0000000410001,-31.018037501 59.0000000410001,-31.0347098559999 59.0000000410001,-31.0513822099999 59.0000000410001,-31.068054565 59.0000000410001,-31.08472692 59.0000000410001,-31.1013992749999 59.0000000410001,-31.11807163 59.0000000410001,-31.1347439849999 59.0000000410001,-31.15141634 59.0000000410001,-31.1680886949999 59.0000000410001,-31.18476105 59.0000000410001,-31.2014334049999 59.0000000410001,-31.21810576 59.0000000410001,-31.234778115 59.0000000410001,-31.25145047 59.0000000410001,-31.268122825 59.0000000410001,-31.2847951799999 59.0000000410001,-31.301467535 59.0000000410001,-31.3181398899999 59.0000000410001,-31.334812245 59.0000000410001,-31.3514845999999 59.0000000410001,-31.368156955 59.0000000410001,-31.3848293099999 59.0000000410001,-31.401501665 59.0000000410001,-31.41817402 59.0000000410001,-31.4348463749999 59.0000000410001,-31.45151873 59.0000000410001,-31.4681910849999 59.0000000410001,-31.48486344 59.0000000410001,-31.5015357949999 59.0000000410001,-31.518208149 59.0000000410001,-31.5348805039999 59.0000000410001,-31.551552859 59.0000000410001,-31.5682252139999 59.0000000410001,-31.584897569 59.0000000410001,-31.6015699239999 59.0000000410001,-31.618242279 59.0000000410001,-31.634914634 59.0000000410001,-31.651586989 59.0000000410001,-31.668259344 59.0000000410001,-31.6849316989999 59.0000000410001,-31.701604054 59.0000000410001,-31.7182764089999 59.0000000410001,-31.734948764 59.0000000410001,-31.7516211189999 59.0000000410001,-31.768293474 59.0000000410001,-31.7849658289999 59.0000000410001,-31.801638184 59.0000000410001,-31.818310539 59.0000000410001,-31.8349828939999 59.0000000410001,-31.851655249 59.0000000410001,-31.8683276039999 59.0000000410001,-31.884999959 59.0000000410001,-31.9016723139999 59.0000000410001,-31.918344669 59.0000000410001,-31.9350170239999 59.0000000410001,-31.951689379 59.0000000410001,-31.968361734 59.0000000410001,-31.985034088 59.0000000410001,-32.0017064429999 59.0000000410001,-32.018378798 59.0000000410001,-32.035051153 59.0000000410001,-32.051723508 59.0000000410001,-32.068395863 59.0000000410001,-32.0850682179999 59.0000000410001,-32.101740573 59.0000000410001,-32.1184129279999 59.0000000410001,-32.135085283 59.0000000410001,-32.1517576379999 59.0000000410001,-32.168429993 59.0000000410001,-32.1851023479999 59.0000000410001,-32.201774703 59.0000000410001,-32.218447058 59.0000000410001,-32.2351194129999 59.0000000410001,-32.251791768 59.0000000410001,-32.2684641229999 59.0000000410001,-32.285136478 59.0000000410001,-32.3018088329999 59.0000000410001,-32.318481188 59.0000000410001,-32.3351535429999 59.0000000410001,-32.351825898 59.0000000410001,-32.368498253 59.0000000410001,-32.385170608 59.0000000410001,-32.401842963 59.0000000410001,-32.4185153179999 59.0000000410001,-32.435187673 59.0000000410001,-32.451860027 59.0000000410001,-32.468532382 59.0000000410001,-32.4852047369999 59.0000000410001,-32.501877092 59.0000000410001,-32.5185494469999 59.0000000410001,-32.535221802 59.0000000410001,-32.5518941569999 59.0000000410001,-32.568566512 59.0000000410001,-32.5852388669999 59.0000000410001,-32.601911222 59.0000000410001,-32.618583577 59.0000000410001,-32.635255932 59.0000000410001,-32.651928287 59.0000000410001,-32.6686006419999 59.0000000410001,-32.685272997 59.0000000410001,-32.7019453519999 59.0000000410001,-32.718617707 59.0000000410001,-32.7352900619999 59.0000000410001,-32.751962417 59.0000000410001,-32.768634772 59.0000000410001,-32.785307127 59.0000000410001,-32.801979482 59.0000000410001,-32.8186518369999 59.0000000410001,-32.835324192 59.0000000410001,-32.8519965469999 59.0000000410001,-32.868668902 59.0000000410001,-32.8853412569999 59.0000000410001,-32.902013612 59.0000000410001,-32.9186859659999 59.0000000410001,-32.935358321 59.0000000410001,-32.9520306759999 59.0000000410001,-32.968703031 59.0000000410001,-32.9853753859999 59.0000000410001,-33.002047741 59.0000000410001,-33.018720096 59.0000000410001,-33.035392451 59.0000000410001,-33.052064806 59.0000000410001,-33.0687371609999 59.0000000410001,-33.085409516 59.0000000410001,-33.1020818709999 59.0000000410001,-33.118754226 59.0000000410001,-33.1354265809999 59.0000000410001,-33.152098936 59.0000000410001,-33.168771291 59.0000000410001,-33.185443646 59.0000000410001,-33.202116001 59.0000000410001,-33.2187883559999 59.0000000410001,-33.235460711 59.0000000410001,-33.2521330659999 59.0000000410001,-33.268805421 59.0000000410001,-33.2854777759999 59.0000000410001,-33.302150131 59.0000000410001,-33.3188224859999 59.0000000410001,-33.335494841 59.0000000410001,-33.352167196 59.0000000410001,-33.368839551 59.0000000410001,-33.3855119049999 59.0000000410001,-33.40218426 59.0000000410001,-33.418856615 59.0000000410001,-33.43552897 59.0000000410001,-33.452201325 59.0000000410001,-33.4688736799999 59.0000000410001,-33.485546035 59.0000000410001,-33.5022183899999 59.0000000410001,-33.518890745 59.0000000410001,-33.5355630999999 59.0000000410001,-33.552235455 59.0000000410001,-33.56890781 59.0000000410001,-33.585580165 59.0000000410001,-33.60225252 59.0000000410001,-33.6189248749999 59.0000000410001,-33.63559723 59.0000000410001,-33.6522695849999 59.0000000410001,-33.66894194 59.0000000410001,-33.6856142949999 59.0000000410001,-33.70228665 59.0000000410001,-33.7189590049999 59.0000000410001,-33.73563136 59.0000000410001,-33.752303715 59.0000000410001,-33.76897607 59.0000000410001,-33.785648425 59.0000000410001,-33.8023207799999 59.0000000410001,-33.818993135 59.0000000410001,-33.8356654899999 59.0000000410001,-33.852337844 59.0000000410001,-33.8690101989999 59.0000000410001,-33.885682554 59.0000000410001,-33.9023549089999 59.0000000410001,-33.919027264 59.0000000410001,-33.9356996189999 59.0000000410001,-33.952371974 59.0000000410001,-33.9690443289999 59.0000000410001,-33.985716684 59.0000000410001,-34.002389039 59.0000000410001,-34.0190613939999 59.0000000410001,-34.035733749 59.0000000410001,-34.0524061039999 59.0000000410001,-34.069078459 59.0000000410001,-34.0857508139999 59.0000000410001,-34.102423169 59.0000000410001,-34.1190955239999 59.0000000410001,-34.135767879 59.0000000410001,-34.152440234 59.0000000410001,-34.169112589 59.0000000410001,-34.185784944 59.0000000410001,-34.2024572989999 59.0000000410001,-34.219129654 59.0000000410001,-34.2358020089999 59.0000000410001,-34.252474364 59.0000000410001,-34.2691467189999 59.0000000410001,-34.285819074 59.0000000410001,-34.3024914289999 59.0000000410001,-34.319163783 59.0000000410001,-34.3358361379999 59.0000000410001,-34.352508493 59.0000000410001,-34.3691808479999 59.0000000410001,-34.385853203 59.0000000410001,-34.402525558 59.0000000410001,-34.4191979129999 59.0000000410001,-34.435870268 59.0000000410001,-34.4525426229999 59.0000000410001,-34.469214978 59.0000000410001,-34.4858873329999 59.0000000410001,-34.502559688 59.0000000410001,-34.5192320429999 59.0000000410001,-34.535904398 59.0000000410001,-34.552576753 59.0000000410001,-34.569249108 59.0000000410001,-34.585921463 59.0000000410001,-34.6025938179999 59.0000000410001,-34.619266173 59.0000000410001,-34.6359385279999 59.0000000410001,-34.652610883 59.0000000410001,-34.6692832379999 59.0000000410001,-34.685955593 59.0000000410001,-34.7026279479999 59.0000000410001,-34.719300303 59.0000000410001,-34.735972658 59.0000000410001,-34.7526450129999 59.0000000410001,-34.769317368 59.0000000410001,-34.785989722 59.0000000410001,-34.802662077 59.0000000410001,-34.8193344319999 59.0000000410001,-34.836006787 59.0000000410001,-34.8526791419999 59.0000000410001,-34.869351497 59.0000000410001,-34.8860238519999 59.0000000410001,-34.902696207 59.0000000410001,-34.9193685619999 59.0000000410001,-34.936040917 59.0000000410001,-34.952713272 59.0000000410001,-34.969385627 59.0000000410001,-34.986057982 59.0000000410001,-35.0027303369999 59.0000000410001,-35.019402692 59.0000000410001,-35.0360750469999 59.0000000410001,-35.052747402 59.0000000410001,-35.0694197569999 59.0000000410001,-35.086092112 59.0000000410001,-35.1027644669999 59.0000000410001,-35.119436822 59.0000000410001,-35.136109177 59.0000000410001,-35.1527815319999 59.0000000410001,-35.169453887 59.0000000410001,-35.1861262419999 59.0000000410001,-35.202798597 59.0000000410001,-35.2194709519999 59.0000000410001,-35.236143307 59.0000000410001,-35.2528156609999 59.0000000410001,-35.269488016 59.0000000410001,-35.2861603709999 59.0000000410001,-35.302832726 59.0000000410001,-35.3195050809999 59.0000000410001,-35.336177436 59.0000000410001,-35.352849791 59.0000000410001,-35.369522146 59.0000000410001,-35.386194501 59.0000000410001,-35.4028668559999 59.0000000410001,-35.419539211 59.0000000410001,-35.4362115659999 59.0000000410001,-35.452883921 59.0000000410001,-35.4695562759999 59.0000000410001,-35.486228631 59.0000000410001,-35.5029009859999 59.0000000410001,-35.519573341 59.0000000410001,-35.536245696 59.0000000410001,-35.5529180509999 59.0000000410001,-35.569590406 59.0000000410001,-35.5862627609999 59.0000000410001,-35.602935116 59.0000000410001,-35.6196074709999 59.0000000410001,-35.636279826 59.0000000410001,-35.6529521809999 59.0000000410001,-35.669624536 59.0000000410001,-35.686296891 59.0000000410001,-35.702969246 59.0000000410001,-35.7196415999999 59.0000000410001,-35.736313955 59.0000000410001,-35.75298631 59.0000000410001,-35.769658665 59.0000000410001,-35.78633102 59.0000000410001,-35.8030033749999 59.0000000410001,-35.81967573 59.0000000410001,-35.8363480849999 59.0000000410001,-35.85302044 59.0000000410001,-35.8696927949999 59.0000000410001,-35.88636515 59.0000000410001,-35.9030375049999 59.0000000410001,-35.91970986 59.0000000410001,-35.936382215 59.0000000410001,-35.9530545699999 59.0000000410001,-35.969726925 59.0000000410001,-35.9863992799999 59.0000000410001,-36.003071635 59.0000000410001,-36.0197439899999 59.0000000410001,-36.036416345 59.0000000410001,-36.0530886999999 59.0000000410001,-36.069761055 59.0000000410001,-36.08643341 59.0000000410001,-36.103105765 59.0000000410001,-36.11977812 59.0000000410001,-36.1364504749999 59.0000000410001,-36.15312283 59.0000000410001,-36.1697951849999 59.0000000410001,-36.186467539 59.0000000410001,-36.2031398939999 59.0000000410001,-36.219812249 59.0000000410001,-36.2364846039999 59.0000000410001,-36.253156959 59.0000000410001,-36.2698293139999 59.0000000410001,-36.286501669 59.0000000410001,-36.3031740239999 59.0000000410001,-36.319846379 59.0000000410001,-36.336518734 59.0000000410001,-36.3531910889999 59.0000000410001,-36.369863444 59.0000000410001,-36.3865357989999 59.0000000410001,-36.403208154 59.0000000410001,-36.4198805089999 59.0000000410001,-36.436552864 59.0000000410001,-36.4532252189999 59.0000000410001,-36.469897574 59.0000000410001,-36.486569929 59.0000000410001,-36.503242284 59.0000000410001,-36.519914639 59.0000000410001,-36.5365869939999 59.0000000410001,-36.553259349 59.0000000410001,-36.5699317039999 59.0000000410001,-36.586604059 59.0000000410001,-36.6032764139999 59.0000000410001,-36.619948769 59.0000000410001,-36.6366211239999 59.0000000410001,-36.653293478 59.0000000410001,-36.6699658329999 59.0000000410001,-36.686638188 59.0000000410001,-36.7033105429999 59.0000000410001,-36.719982898 59.0000000410001,-36.736655253 59.0000000410001,-36.7533276079999 59.0000000410001,-36.769999862 59.000000024,-36.759999963 59.012963004,-36.7499999629999 59.025925967,-36.7399999629999 59.0388889290001,-36.729999963 59.0518518920001,-36.719999963 59.0648148550001,-36.709999963 59.0777778180001,-36.699999963 59.0907407810001,-36.6899999629999 59.103703744,-36.6799999629999 59.116666707,-36.669999963 59.12962967,-36.659999963 59.142592633,-36.649999963 59.1555555960001,-36.639999963 59.1685185590001,-36.6299999629999 59.1814815220001,-36.6199999629999 59.1944444850001,-36.609999963 59.2074074480001,-36.599999963 59.220370411,-36.589999963 59.233333374,-36.579999963 59.246296337,-36.5699999629999 59.2592593000001,-36.5599999629999 59.2722222630001,-36.5499999629999 59.2851852260001,-36.539999963 59.2981481890001,-36.529999963 59.3111111520001,-36.519999963 59.324074115,-36.509999963 59.337037078,-36.4999999629999 59.350000041,-36.488461501 59.361538502,-36.47692304 59.3730769640001,-36.4653845779999 59.384615426,-36.453846117 59.3961538870001,-36.442307655 59.4076923490001,-36.4307691939999 59.41923081,-36.419230732 59.4307692720001,-36.407692271 59.4423077330001,-36.3961538089999 59.453846195,-36.384615348 59.4653846560001,-36.373076886 59.4769231180001,-36.3615384239999 59.488461579,-36.349999963 59.5000000410001,-36.339999963 59.513157936,-36.329999963 59.526315831,-36.3199999629999 59.5394737250001,-36.3099999629999 59.5526316200001,-36.2999999629999 59.5657895150001,-36.289999963 59.5789474100001,-36.279999963 59.592105304,-36.269999963 59.605263199,-36.259999963 59.618421094,-36.2499999629999 59.631578989,-36.2399999629999 59.6447368830001,-36.229999963 59.6578947780001,-36.219999963 59.6710526730001,-36.209999963 59.6842105680001,-36.199999963 59.697368462,-36.1899999629999 59.710526357,-36.1799999629999 59.7236842520001,-36.169999963 59.7368421470001,-36.159999963 59.7500000410001,-36.149473647 59.763157936,-36.1389473309999 59.776315831,-36.128421015 59.789473726,-36.117894699 59.8026316200001,-36.107368384 59.8157895150001,-36.0968420679999 59.8289474100001,-36.086315752 59.8421053050001,-36.075789436 59.855263199,-36.0652631199999 59.868421094,-36.0547368049999 59.881578989,-36.044210489 59.8947368840001,-36.033684173 59.9078947780001,-36.0231578569999 59.9210526730001,-36.012631541 59.9342105680001,-36.002105226 59.947368463,-35.9915789099999 59.960526357,-35.9810525939999 59.9736842520001,-35.970526278 59.9868421470001,-35.959999962 60.0000000420001,-35.9494736469999 60.013157936,-35.938947331 60.026315831,-35.928421015 60.039473726,-35.9178946989999 60.0526316200001,-35.9073683829999 60.0657895150001,-35.896842068 60.0789474100001,-35.886315752 60.0921053050001,-35.8757894359999 60.105263199,-35.86526312 60.118421094,-35.854736805 60.131578989,-35.844210489 60.1447368840001,-35.8336841729999 60.1578947780001,-35.823157857 60.1710526730001,-35.812631541 60.1842105680001,-35.802105226 60.197368463,-35.7915789099999 60.210526357,-35.781052594 60.2236842520001,-35.770526278 60.2368421470001,-35.7599999619999 60.2500000420001,-35.7491666289999 60.2625000420001,-35.738333296 60.275000042,-35.727499962 60.287500042,-35.716666629 60.3000000420001,-35.705833296 60.3125000420001,-35.6949999619999 60.3250000420001,-35.6841666289999 60.337500042,-35.673333296 60.350000042,-35.662499962 60.3625000420001,-35.651666629 60.3750000420001,-35.640833296 60.3875000420001,-35.6299999619999 60.400000042,-35.6191666289999 60.412500042,-35.608333295 60.4250000420001,-35.597499962 60.4375000420001,-35.586666629 60.4500000420001,-35.5758332949999 60.462500042,-35.5649999619999 60.475000042,-35.554166629 60.4875000420001,-35.543333295 60.5000000420001,-35.532499962 60.5125000420001,-35.521666629 60.525000042,-35.5108332949999 60.537500042,-35.4999999619999 60.5500000420001,-35.4913332949999 60.5633333750001,-35.4826666289999 60.5766667090001,-35.4739999619999 60.590000042,-35.4653332949999 60.603333375,-35.456666629 60.6166667090001,-35.447999962 60.6300000420001,-35.439333295 60.6433333750001,-35.430666629 60.656666709,-35.421999962 60.670000042,-35.413333295 60.6833333750001,-35.404666629 60.6966667090001,-35.395999962 60.710000042,-35.387333295 60.723333376,-35.378666629 60.7366667090001,-35.369999962 60.7500000420001,-35.358999962 60.7625000420001,-35.347999962 60.775000042,-35.3369999619999 60.787500042,-35.325999962 60.8000000420001,-35.3149999619999 60.8125000420001,-35.303999962 60.8250000420001,-35.292999962 60.837500042,-35.2819999619999 60.850000042,-35.270999962 60.8625000420001,-35.2599999619999 60.8750000420001,-35.248999962 60.8875000420001,-35.2379999619999 60.900000042,-35.226999962 60.912500042,-35.215999962 60.9250000420001,-35.2049999619999 60.9375000420001,-35.193999962 60.9500000420001,-35.1829999619999 60.962500042,-35.171999962 60.975000042,-35.1609999619999 60.9875000420001,-35.149999962 61.0000000420001,-35.140526278 61.0131579370001,-35.1310525929999 61.0263158320001,-35.1215789089999 61.039473727,-35.1121052249999 61.052631621,-35.1026315409999 61.0657895160001,-35.0931578559999 61.0789474110001,-35.0836841719999 61.0921053060001,-35.0742104879999 61.1052632000001,-35.0647368039999 61.118421095,-35.0552631199999 61.13157899,-35.045789435 61.144736885,-35.036315751 61.1578947790001,-35.026842067 61.1710526740001,-35.017368383 61.1842105690001,-35.007894698 61.1973684640001,-34.998421014 61.210526358,-34.98894733 61.223684253,-34.979473646 61.2368421480001,-34.969999962 61.2500000430001,-34.9571999619999 61.260000043,-34.944399962 61.270000043,-34.931599962 61.280000043,-34.918799962 61.2900000430001,-34.905999962 61.3000000430001,-34.893199962 61.3100000430001,-34.880399961 61.3200000430001,-34.8675999609999 61.330000043,-34.854799961 61.340000043,-34.8419999609999 61.3500000430001,-34.829199961 61.3600000430001,-34.8163999609999 61.3700000430001,-34.803599961 61.3800000430001,-34.7907999609999 61.390000043,-34.777999961 61.400000043,-34.765199961 61.4100000430001,-34.752399961 61.4200000430001,-34.739599961 61.4300000430001,-34.726799961 61.4400000430001,-34.713999961 61.450000043,-34.7011999609999 61.460000043,-34.688399961 61.470000043,-34.6755999609999 61.4800000430001,-34.662799961 61.4900000430001,-34.6499999609999 61.5000000430001,-34.6363635979999 61.5090909520001,-34.622727234 61.5181818610001,-34.6090908699999 61.5272727700001,-34.5954545069999 61.536363679,-34.581818143 61.545454588,-34.5681817789999 61.554545497,-34.5545454159999 61.563636407,-34.540909052 61.5727273160001,-34.527272688 61.5818182250001,-34.5136363249999 61.5909091340001,-34.499999961 61.6000000430001,-34.4873332939999 61.6100000430001,-34.474666628 61.6200000430001,-34.4619999609999 61.6300000430001,-34.449333294 61.640000043,-34.436666628 61.650000043,-34.4239999609999 61.6600000430001,-34.411333294 61.6700000430001,-34.3986666279999 61.6800000430001,-34.385999961 61.6900000430001,-34.373333294 61.700000043,-34.3606666279999 61.710000043,-34.347999961 61.720000043,-34.335333294 61.7300000430001,-34.322666628 61.7400000430001,-34.309999961 61.7500000430001,-34.2965217 61.760000043,-34.283043439 61.770000043,-34.2695651779999 61.780000043,-34.2560869169999 61.7900000430001,-34.2426086569999 61.8000000430001,-34.229130396 61.8100000430001,-34.215652135 61.8200000430001,-34.202173874 61.830000043,-34.1886956129999 61.840000043,-34.1752173519999 61.8500000430001,-34.161739091 61.8600000430001,-34.14826083 61.8700000430001,-34.134782569 61.8800000430001,-34.121304309 61.890000043,-34.1078260479999 61.900000043,-34.0943477869999 61.9100000430001,-34.080869526 61.9200000430001,-34.067391265 61.9300000430001,-34.053913004 61.9400000430001,-34.0404347429999 61.950000043,-34.0269564819999 61.960000043,-34.0134782219999 61.970000043,-33.999999961 61.9800000430001,-33.987499961 61.991250043,-33.974999961 62.0025000430001,-33.9624999609999 62.0137500430001,-33.9499999609999 62.025000043,-33.937499961 62.0362500430001,-33.924999961 62.0475000430001,-33.912499961 62.058750043,-33.8999999609999 62.0700000430001,-33.8874999609999 62.0812500430001,-33.874999961 62.092500043,-33.862499961 62.103750043,-33.849999961 62.1150000430001,-33.8374999609999 62.126250043,-33.8249999609999 62.137500043,-33.81249996 62.1487500440001,-33.79999996 62.1600000440001,-33.7874999599999 62.171250044,-33.7749999599999 62.1825000440001,-33.76249996 62.1937500440001,-33.74999996 62.205000044,-33.73749996 62.216250044,-33.7249999599999 62.2275000440001,-33.7124999599999 62.238750044,-33.69999996 62.250000044,-33.68937496 62.262500044,-33.6787499599999 62.2750000440001,-33.6681249599999 62.2875000440001,-33.6574999599999 62.3000000440001,-33.6468749599999 62.312500044,-33.6362499599999 62.325000044,-33.62562496 62.3375000440001,-33.61499996 62.3500000440001,-33.60437496 62.3625000440001,-33.59374996 62.375000044,-33.58312496 62.387500044,-33.57249996 62.4000000440001,-33.56187496 62.4125000440001,-33.55124996 62.4250000440001,-33.5406249599999 62.437500044,-33.5299999599999 62.450000044,-33.51374996 62.453125044,-33.49749996 62.4562500440001,-33.48124996 62.4593750440001,-33.4649999599999 62.4625000440001,-33.4487499599999 62.465625044,-33.43249996 62.468750044,-33.41624996 62.4718750440001,-33.3999999599999 62.4750000440001,-33.3837499599999 62.4781250440001,-33.36749996 62.481250044,-33.35124996 62.484375044,-33.3349999599999 62.4875000440001,-33.3187499599999 62.4906250440001,-33.30249996 62.4937500440001,-33.2888709329999 62.4963710110001,-33.28624996 62.496875044,-33.26999996 62.500000044,-33.254117607 62.5035294560001,-33.238235254 62.5070588670001,-33.222352901 62.510588279,-33.206470548 62.5141176910001,-33.190588195 62.5176471030001,-33.174705842 62.521176514,-33.1588234889999 62.5247059260001,-33.1429411359999 62.5282353380001,-33.1270587829999 62.53176475,-33.1111764299999 62.5352941620001,-33.0952940769999 62.5388235730001,-33.0794117249999 62.542352985,-33.0635293719999 62.5458823970001,-33.047647019 62.549411809,-33.031764666 62.55294122,-33.015882313 62.5564706320001,-32.99999996 62.560000044,-32.9838709269999 62.564193592,-32.967741895 62.5683871410001,-32.951612863 62.5725806890001,-32.9354838309999 62.5767742370001,-32.919354798 62.580967786,-32.9032257659999 62.5851613340001,-32.887096734 62.5893548830001,-32.870967702 62.593548431,-32.8548386689999 62.597741979,-32.838709637 62.6019355280001,-32.822580605 62.6061290760001,-32.806451572 62.610322625,-32.79032254 62.614516173,-32.7741935079999 62.6187097210001,-32.758064476 62.6229032700001,-32.7419354429999 62.627096818,-32.725806411 62.6312903670001,-32.713005591 62.6346185800001,-32.709677379 62.6354839150001,-32.6935483469999 62.6396774630001,-32.677419314 62.643871012,-32.661290282 62.6480645600001,-32.6451612499999 62.6522581080001,-32.629032217 62.656451657,-32.6129031849999 62.660645205,-32.596774153 62.6648387540001,-32.580645121 62.6690323020001,-32.5645160879999 62.6732258500001,-32.548387056 62.677419399,-32.5322580239999 62.6816129470001,-32.5161289919999 62.6858064960001,-32.499999959 62.690000044,-32.484615344 62.6946154290001,-32.469230728 62.699230813,-32.4538461129999 62.7038461980001,-32.438461498 62.708461582,-32.423076882 62.7130769670001,-32.407692267 62.717692352,-32.392307651 62.7223077360001,-32.3769230359999 62.726923121,-32.361538421 62.731538506,-32.346153805 62.7361538900001,-32.33076919 62.740769275,-32.3153845739999 62.7453846590001,-32.2999999589999 62.750000044,-32.2849999589999 62.7560000440001,-32.269999959 62.762000044,-32.254999959 62.7680000440001,-32.2399999589999 62.774000044,-32.2249999589999 62.7800000440001,-32.209999959 62.786000044,-32.194999959 62.7920000440001,-32.1799999589999 62.798000044,-32.1649999589999 62.8040000440001,-32.149999959 62.810000044,-32.134999959 62.8160000440001,-32.119999959 62.822000044,-32.1049999589999 62.8280000440001,-32.089999959 62.834000044,-32.074999959 62.8400000440001,-32.059999959 62.846000044,-32.0449999589999 62.8520000440001,-32.029999959 62.8580000440001,-32.014999959 62.8640000440001,-31.999999959 62.8700000440001,-31.984374959 62.875000044,-31.968749959 62.880000044,-31.953124959 62.885000044,-31.937499959 62.890000044,-31.921874959 62.895000044,-31.906249959 62.9000000440001,-31.890624959 62.9050000440001,-31.874999959 62.9100000440001,-31.859374959 62.9150000440001,-31.843749959 62.9200000440001,-31.828124959 62.9250000440001,-31.812499959 62.9300000440001,-31.796874959 62.935000044,-31.781249959 62.940000044,-31.765624959 62.945000044,-31.749999959 62.950000044,-31.734374959 62.955000044,-31.718749959 62.9600000440001,-31.703124959 62.9650000440001,-31.687499959 62.9700000440001,-31.671874959 62.9750000440001,-31.6562499579999 62.9800000440001,-31.6406249579999 62.9850000440001,-31.6249999579999 62.9900000440001,-31.6093749579999 62.9950000440001,-31.5937499579999 63.000000044,-31.5781249579999 63.005000044,-31.5624999579999 63.010000044,-31.5468749579999 63.015000044,-31.5312499579999 63.020000044,-31.5156249579999 63.0250000440001,-31.4999999579999 63.0300000440001,-31.484848443 63.0366667110001,-31.469696928 63.0433333780001,-31.4545454129999 63.0500000440001,-31.4393938979999 63.056666711,-31.424242383 63.063333378,-31.409090867 63.070000044,-31.393939352 63.076666711,-31.3787878369999 63.0833333780001,-31.3636363219999 63.0900000440001,-31.348484807 63.0966667110001,-31.333333292 63.1033333780001,-31.318181776 63.1100000440001,-31.3030302609999 63.1166667110001,-31.2878787459999 63.123333378,-31.272727231 63.130000044,-31.257575716 63.136666711,-31.2424242009999 63.1433333780001,-31.2272726849999 63.1500000440001,-31.2121211699999 63.1566667110001,-31.196969655 63.1633333780001,-31.18181814 63.1700000440001,-31.1666666249999 63.1766667110001,-31.1515151099999 63.183333378,-31.1363635939999 63.190000044,-31.121212079 63.196666711,-31.106060564 63.2033333780001,-31.0909090489999 63.2100000440001,-31.0757575339999 63.2166667110001,-31.060606019 63.2233333780001,-31.045454503 63.2300000450001,-31.030302988 63.2366667110001,-31.0151514729999 63.243333378,-30.9999999579999 63.250000045,-30.984444402 63.256666711,-30.968888847 63.263333378,-30.953333291 63.2700000450001,-30.9377777359999 63.2766667110001,-30.9222221799999 63.2833333780001,-30.906666624 63.2900000450001,-30.891111069 63.2966667110001,-30.8755555129999 63.303333378,-30.8599999579999 63.310000045,-30.8495832909999 63.2970833780001,-30.839166624 63.2841667110001,-30.8287499579999 63.271250045,-30.8183332909999 63.258333378,-30.807916624 63.2454167110001,-30.7974999579999 63.2325000450001,-30.7870832909999 63.219583378,-30.776666624 63.2066667110001,-30.7662499579999 63.1937500440001,-30.7558332909999 63.180833378,-30.745416624 63.167916711,-30.7349999579999 63.1550000440001,-30.7245832909999 63.1420833780001,-30.714166624 63.129166711,-30.7037499579999 63.1162500440001,-30.6933332909999 63.1033333780001,-30.682916624 63.090416711,-30.6724999579999 63.077500044,-30.6620832909999 63.0645833780001,-30.651666624 63.0516667110001,-30.6412499579999 63.038750044,-30.6308332909999 63.0258333780001,-30.620416624 63.0129167110001,-30.6099999579999 63.000000044,-30.598437458 62.987968794,-30.586874957 62.975937544,-30.5753124569999 62.9639062940001,-30.563749957 62.9518750440001,-30.5521874569999 62.9398437940001,-30.540624957 62.9278125440001,-30.529062457 62.9157812940001,-30.517499957 62.903750044,-30.505937457 62.891718794,-30.4943749569999 62.879687544,-30.482812457 62.867656294,-30.4712499569999 62.8556250440001,-30.459687457 62.8435937940001,-30.4481249569999 62.8315625440001,-30.436562457 62.8195312940001,-30.424999957 62.8075000440001,-30.4134374569999 62.795468794,-30.401874957 62.783437544,-30.3903124569999 62.771406294,-30.378749957 62.7593750440001,-30.3671874569999 62.7473437940001,-30.355624957 62.7353125440001,-30.3440624569999 62.7232812940001,-30.332499957 62.7112500440001,-30.320937457 62.699218794,-30.3093749569999 62.687187544,-30.297812457 62.675156294,-30.2862499569999 62.6631250440001,-30.274687457 62.6510937940001,-30.2631249569999 62.6390625440001,-30.251562457 62.6270312940001,-30.239999957 62.6150000440001,-30.228437457 62.602968794,-30.216874957 62.590937544,-30.2053124569999 62.578906294,-30.193749957 62.566875044,-30.1821874569999 62.5548437940001,-30.170624957 62.5428125440001,-30.1590624569999 62.5307812940001,-30.147499957 62.5187500440001,-30.135937457 62.5067187940001,-30.1243749569999 62.494687544,-30.112812457 62.482656294,-30.1012499569999 62.470625044,-30.089687457 62.4585937940001,-30.0781249569999 62.4465625440001,-30.066562457 62.4345312940001,-30.0549999569999 62.4225000440001,-30.043437457 62.4104687940001,-30.031874957 62.398437544,-30.0203124569999 62.386406294,-30.008749957 62.374375044,-29.9971874569999 62.3623437940001,-29.985624957 62.3503125440001,-29.9740624569999 62.3382812940001,-29.962499957 62.3262500440001,-29.950937457 62.3142187940001,-29.939374957 62.302187544,-29.927812457 62.290156294,-29.9162499569999 62.278125044,-29.904687457 62.266093794,-29.8931249569999 62.2540625440001,-29.881562457 62.2420312940001,-29.8699999569999 62.2300000440001,-29.856521696 62.220434826,-29.843043435 62.210869609,-29.829565174 62.2013043910001,-29.8160869129999 62.1917391740001,-29.8026086519999 62.182173957,-29.7891303919999 62.1726087390001,-29.775652131 62.1630435220001,-29.76217387 62.153478304,-29.748695609 62.143913087,-29.7352173479999 62.1343478700001,-29.7217390869999 62.1247826520001,-29.708260826 62.115217435,-29.694782565 62.1056522170001,-29.681304304 62.0960870000001,-29.667826044 62.0865217830001,-29.6543477829999 62.076956565,-29.6408695219999 62.0673913480001,-29.627391261 62.0578261300001,-29.613913 62.048260913,-29.600434739 62.038695696,-29.5869564779999 62.0291304780001,-29.5734782169999 62.0195652610001,-29.5599999569999 62.010000043,-29.546521696 62.0004348260001,-29.533043435 61.9908696090001,-29.519565174 61.981304391,-29.5060869129999 61.971739174,-29.4926086519999 61.9621739560001,-29.479130391 61.952608739,-29.46565213 61.943043522,-29.452173869 61.9334783040001,-29.438695609 61.9239130870001,-29.4252173479999 61.914347869,-29.4117390869999 61.9047826520001,-29.398260826 61.8952174350001,-29.384782565 61.885652217,-29.371304304 61.876087,-29.3578260429999 61.8665217820001,-29.3443477819999 61.8569565650001,-29.3308695219999 61.847391348,-29.317391261 61.8378261300001,-29.303913 61.8282609130001,-29.290434739 61.818695695,-29.2769564779999 61.809130478,-29.2634782169999 61.7995652610001,-29.249999956 61.7900000430001,-29.235454502 61.7820454980001,-29.220909047 61.7740909520001,-29.2063635929999 61.766136407,-29.191818138 61.7581818610001,-29.177272683 61.7502273160001,-29.162727229 61.7422727700001,-29.148181774 61.734318225,-29.1336363199999 61.726363679,-29.119090865 61.7184091340001,-29.1045454109999 61.7104545890001,-29.0899999559999 61.702500043,-29.075454502 61.6945454980001,-29.0609090469999 61.6865909520001,-29.046363592 61.6786364070001,-29.0318181379999 61.670681861,-29.0172726829999 61.662727316,-29.002727229 61.6547727700001,-28.9881817739999 61.6468182250001,-28.97363632 61.6388636790001,-28.959090865 61.630909134,-28.944545411 61.622954588,-28.929999956 61.6150000430001,-28.9154545009999 61.607045498,-28.900909047 61.599090952,-28.886363592 61.5911364070001,-28.871818138 61.5831818610001,-28.857272683 61.5752273160001,-28.8427272289999 61.56727277,-28.828181774 61.559318225,-28.813636319 61.5513636790001,-28.799090865 61.5434091340001,-28.78454541 61.5354545880001,-28.7699999559999 61.527500043,-28.755454501 61.5195454970001,-28.7409090469999 61.5115909520001,-28.7263635919999 61.503636407,-28.711818138 61.495681861,-28.6972726829999 61.4877273160001,-28.682727228 61.4797727700001,-28.6681817739999 61.471818225,-28.6536363189999 61.463863679,-28.639090865 61.4559091340001,-28.6245454099999 61.4479545880001,-28.609999956 61.4400000430001,-28.594666622 61.4336667100001,-28.579333289 61.427333376,-28.563999956 61.421000043,-28.5486666219999 61.4146667090001,-28.533333289 61.408333376,-28.517999956 61.402000043,-28.5026666219999 61.3956667090001,-28.4873332889999 61.3893333760001,-28.4719999559999 61.383000043,-28.4566666219999 61.3766667090001,-28.4413332889999 61.3703333760001,-28.425999955 61.364000043,-28.410666622 61.3576667090001,-28.395333289 61.3513333760001,-28.379999955 61.345000043,-28.364666622 61.3386667090001,-28.349333289 61.3323333760001,-28.333999955 61.3260000430001,-28.318666622 61.319666709,-28.303333289 61.3133333760001,-28.287999955 61.3070000430001,-28.272666622 61.300666709,-28.257333289 61.2943333760001,-28.241999955 61.2880000430001,-28.226666622 61.281666709,-28.211333289 61.275333376,-28.1959999549999 61.2690000430001,-28.1806666219999 61.262666709,-28.1653332889999 61.256333376,-28.1499999549999 61.2500000430001,-28.1346666219999 61.2436667090001,-28.1193332889999 61.237333376,-28.1039999549999 61.2310000430001,-28.0886666219999 61.2246667090001,-28.073333288 61.218333376,-28.057999955 61.212000043,-28.042666622 61.2056667090001,-28.027333288 61.199333376,-28.011999955 61.193000043,-27.996666622 61.1866667090001,-27.981333288 61.1803333760001,-27.965999955 61.174000043,-27.950666622 61.1676667090001,-27.935333288 61.1613333760001,-27.919999955 61.155000043,-27.904666622 61.1486667090001,-27.8893332879999 61.1423333760001,-27.8739999549999 61.1360000430001,-27.8586666219999 61.129666709,-27.8433332879999 61.1233333760001,-27.8279999549999 61.1170000430001,-27.8126666219999 61.110666709,-27.7973332879999 61.1043333760001,-27.7819999549999 61.0980000430001,-27.7666666219999 61.091666709,-27.751333288 61.0853333760001,-27.735999955 61.0790000430001,-27.720666621 61.072666709,-27.705333288 61.066333376,-27.689999955 61.0600000420001,-27.6743181369999 61.0552273150001,-27.6586363179999 61.050454588,-27.6429545 61.045681861,-27.627272682 61.0409091330001,-27.6115908639999 61.0361364060001,-27.595909046 61.031363679,-27.580227227 61.026590952,-27.5645454089999 61.0218182240001,-27.5488635909999 61.0170454970001,-27.533181773 61.01227277,-27.5174999549999 61.0075000420001,-27.5018181359999 61.0027273150001,-27.486136318 60.997954588,-27.4704545 60.993181861,-27.4547726819999 60.9884091330001,-27.439090864 60.9836364060001,-27.423409045 60.978863679,-27.407727227 60.974090952,-27.3920454089999 60.9693182240001,-27.376363591 60.9645454970001,-27.360681773 60.95977277,-27.3449999539999 60.9550000420001,-27.329318136 60.9502273150001,-27.313636318 60.9454545880001,-27.2979544999999 60.940681861,-27.2822726819999 60.9359091330001,-27.266590863 60.9311364060001,-27.250909045 60.9263636790001,-27.2352272269999 60.921590951,-27.219545409 60.9168182240001,-27.203863591 60.9120454970001,-27.1881817729999 60.9072727700001,-27.1724999539999 60.902500042,-27.156818136 60.8977273150001,-27.141136318 60.8929545880001,-27.1254544999999 60.8881818610001,-27.109772682 60.883409133,-27.094090863 60.8786364060001,-27.0784090449999 60.8738636790001,-27.062727227 60.869090951,-27.047045409 60.864318224,-27.0313635909999 60.8595454970001,-27.0156817719999 60.8547727700001,-26.999999803 60.849999998)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.XIV', 'East Greenland', '27.XIV', '27.XIV.b', 'Southeast Greenland', '27.XIVb', '27.XIV.b.1', 'Southeast Greenland - NEAFC Regulatory Area', '27.XIVb1', '', '', '', '', 'XIVb1', '4', '27.14.b.1', '27.XIVb1', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.0000006939999 69.8090154380001,-39.9999999999999 69.8090000000001,-26.9999999999999 69.6390000000001,-26.999999967 68.0000000140001,-26.999999977 67.9833333820001,-26.999999977 67.9666667160001,-26.999999977 67.950000049,-26.999999977 67.9333333820001,-26.999999977 67.9166667160001,-26.999999977 67.900000049,-26.999999977 67.883333382,-26.999999977 67.8666667150001,-26.999999977 67.8500000490001,-26.999999977 67.833333382,-26.999999977 67.8166667150001,-26.999999977 67.8000000490001,-26.999999977 67.7833333820001,-26.999999977 67.766666715,-26.999999977 67.7500000490001,-26.999999977 67.7333333820001,-26.999999977 67.716666715,-26.999999977 67.700000049,-26.999999977 67.6833333820001,-26.999999977 67.6666667150001,-26.999999977 67.650000049,-26.999999977 67.633333382,-26.999999977 67.6166667150001,-26.999999977 67.6000000490001,-26.999999977 67.583333382,-26.999999977 67.5666667150001,-26.999999977 67.5500000490001,-26.999999977 67.5333333820001,-26.999999977 67.516666715,-26.999999977 67.5000000480001,-26.999999977 67.4833333820001,-26.999999977 67.466666715,-26.999999977 67.450000048,-26.999999977 67.4333333820001,-26.999999977 67.4166667150001,-26.999999977 67.400000048,-26.999999977 67.383333382,-26.999999977 67.3666667150001,-26.999999977 67.3500000480001,-26.999999977 67.333333382,-26.999999977 67.3166667150001,-26.999999977 67.3000000480001,-26.999999977 67.2833333820001,-26.999999977 67.266666715,-26.999999977 67.2500000480001,-26.999999977 67.2333333820001,-26.999999977 67.216666715,-26.999999977 67.200000048,-26.999999977 67.1833333820001,-26.999999977 67.1666667150001,-26.999999977 67.150000048,-26.999999977 67.1333333810001,-26.999999977 67.1166667150001,-26.999999977 67.1000000480001,-26.999999977 67.083333381,-26.999999977 67.0666667150001,-26.999999977 67.0500000480001,-26.999999977 67.033333381,-26.999999977 67.016666715,-26.999999977 67.0000000480001,-26.999999977 66.9833333810001,-26.999999977 66.966666715,-26.999999977 66.950000048,-26.999999977 66.9333333810001,-26.999999977 66.9166667150001,-26.999999977 66.900000048,-26.999999977 66.8833333810001,-26.999999977 66.8666667150001,-26.999999977 66.8500000480001,-26.999999977 66.833333381,-26.999999977 66.8166667150001,-26.999999977 66.8000000480001,-26.999999977 66.783333381,-26.999999977 66.7666667140001,-26.999999977 66.7500000480001,-26.999999977 66.7333333810001,-26.999999977 66.716666714,-26.999999977 66.700000048,-26.999999977 66.6833333810001,-26.999999977 66.666666714,-26.999999977 66.650000048,-26.999999977 66.6333333810001,-26.999999977 66.6166667140001,-26.999999977 66.6000000480001,-26.999999977 66.583333381,-26.999999977 66.5666667140001,-26.999999977 66.5500000480001,-26.999999977 66.533333381,-26.999999977 66.5166667140001,-26.999999977 66.5000000480001,-26.999999977 66.4833333810001,-26.999999977 66.466666714,-26.999999977 66.450000048,-26.999999977 66.4333333810001,-26.999999977 66.416666714,-26.999999977 66.400000047,-26.999999977 66.3833333810001,-26.999999977 66.3666667140001,-26.999999977 66.350000047,-26.999999977 66.333333381,-26.999999977 66.3166667140001,-26.999999977 66.3000000470001,-26.999999977 66.283333381,-26.999999977 66.2666667140001,-26.999999977 66.2500000470001,-26.999999977 66.2333333810001,-26.999999977 66.216666714,-26.999999977 66.2000000470001,-26.999999977 66.1833333810001,-26.999999977 66.166666714,-26.999999977 66.150000047,-26.999999977 66.1333333810001,-26.999999977 66.1166667140001,-26.999999977 66.100000047,-26.999999977 66.083333381,-26.999999977 66.0666667140001,-26.999999977 66.0500000470001,-26.999999977 66.03333338,-26.999999977 66.0166667140001,-26.999999977 66.0000000470001,-26.999999977 65.98333338,-26.999999977 65.966666714,-26.999999977 65.9500000470001,-26.999999977 65.9333333800001,-26.999999977 65.916666714,-26.999999977 65.900000047,-26.999999977 65.8833333800001,-26.999999977 65.8666667140001,-26.999999977 65.850000047,-26.999999977 65.8333333800001,-26.999999977 65.8166667140001,-26.999999977 65.8000000470001,-26.999999977 65.78333338,-26.999999977 65.7666667140001,-26.999999977 65.7500000470001,-26.999999977 65.73333338,-26.999999977 65.7166667130001,-26.999999977 65.7000000470001,-26.999999977 65.6833333800001,-26.999999977 65.666666713,-26.999999977 65.650000047,-26.999999977 65.6333333800001,-26.999999977 65.616666713,-26.999999977 65.600000047,-26.999999977 65.5833333800001,-26.999999977 65.5666667130001,-26.999999977 65.5500000470001,-26.999999977 65.53333338,-26.999999977 65.5166667130001,-26.999999977 65.5000000470001,-26.999999977 65.48333338,-26.999999977 65.4666667130001,-26.999999977 65.4500000470001,-26.999999977 65.4333333800001,-26.999999977 65.416666713,-26.999999977 65.400000047,-26.999999977 65.3833333800001,-26.999999977 65.366666713,-26.999999977 65.350000046,-26.999999977 65.3333333800001,-26.999999977 65.3166667130001,-26.999999977 65.300000046,-26.999999977 65.28333338,-26.999999977 65.2666667130001,-26.999999977 65.2500000460001,-26.999999977 65.23333338,-26.999999977 65.2166667130001,-26.999999977 65.2000000460001,-26.999999977 65.1833333800001,-26.999999977 65.166666713,-26.999999977 65.1500000460001,-26.999999977 65.1333333800001,-26.999999977 65.116666713,-26.999999977 65.100000046,-26.999999977 65.0833333800001,-26.999999977 65.0666667130001,-26.999999977 65.050000046,-26.999999977 65.03333338,-26.999999977 65.0166667130001,-26.999999977 65.0000000460001,-26.999999977 64.983333379,-26.999999977 64.9666667130001,-26.999999977 64.9500000460001,-26.999999977 64.933333379,-26.999999977 64.916666713,-26.999999977 64.9000000460001,-26.999999977 64.8833333790001,-26.999999977 64.866666713,-26.999999977 64.850000046,-26.999999977 64.8333333790001,-26.999999977 64.8166667130001,-26.999999977 64.800000046,-26.999999977 64.7833333790001,-26.999999977 64.7666667130001,-26.999999977 64.7500000460001,-26.999999977 64.733333379,-26.999999977 64.7166667130001,-26.999999977 64.7000000460001,-26.999999977 64.683333379,-26.999999977 64.666666713,-26.999999977 64.6500000460001,-26.999999977 64.6333333790001,-26.999999977 64.616666712,-26.999999977 64.600000046,-26.999999977 64.5833333790001,-26.999999977 64.566666712,-26.999999977 64.550000046,-26.999999977 64.5333333790001,-26.999999977 64.5166667120001,-26.999999977 64.5000000460001,-26.999999977 64.483333379,-26.999999977 64.4666667120001,-26.999999977 64.4500000460001,-26.999999977 64.433333379,-26.999999977 64.4166667120001,-26.999999977 64.4000000460001,-26.999999977 64.3833333790001,-26.999999977 64.366666712,-26.999999977 64.350000046,-26.999999977 64.3333333790001,-26.999999977 64.316666712,-26.999999977 64.300000046,-26.999999977 64.2833333790001,-26.999999977 64.2666667120001,-26.999999977 64.250000045,-26.999999977 64.233333379,-26.999999977 64.2166667120001,-26.999999977 64.2000000450001,-26.999999977 64.183333379,-26.999999977 64.1666667120001,-26.999999977 64.1500000450001,-26.999999977 64.1333333790001,-26.999999977 64.116666712,-26.999999977 64.1000000450001,-26.999999977 64.0833333790001,-26.999999977 64.066666712,-26.999999977 64.050000045,-26.999999977 64.0333333790001,-26.999999977 64.0166667120001,-26.999999977 64.000000045,-26.999999977 63.983333379,-26.999999977 63.9666667120001,-26.999999977 63.9500000450001,-26.999999977 63.933333378,-26.999999977 63.9166667120001,-26.999999977 63.9000000450001,-26.999999977 63.883333378,-26.999999977 63.866666712,-26.999999977 63.8500000450001,-26.999999977 63.8333333780001,-26.999999977 63.816666712,-26.999999977 63.800000045,-26.999999977 63.7833333780001,-26.999999977 63.7666667120001,-26.999999977 63.750000045,-26.999999977 63.7333333780001,-26.999999977 63.7166667120001,-26.999999977 63.7000000450001,-26.999999977 63.683333378,-26.999999977 63.6666667120001,-26.999999977 63.6500000450001,-26.999999977 63.633333378,-26.999999977 63.616666712,-26.999999977 63.6000000450001,-26.999999977 63.5833333780001,-26.999999977 63.566666711,-26.999999977 63.550000045,-26.999999977 63.5333333780001,-26.999999977 63.516666711,-26.999999977 63.500000045,-26.999999977 63.4833333780001,-26.999999977 63.4666667110001,-26.999999977 63.4500000450001,-26.999999977 63.433333378,-26.999999977 63.4166667110001,-26.999999977 63.4000000450001,-26.999999977 63.383333378,-26.999999977 63.3666667110001,-26.999999977 63.3500000450001,-26.999999977 63.3333333780001,-26.999999977 63.316666711,-26.999999977 63.300000045,-26.999999977 63.2833333780001,-26.999999977 63.266666711,-26.999999977 63.250000045,-26.999999977 63.2333333780001,-26.999999977 63.2166667110001,-26.999999977 63.200000044,-26.999999977 63.183333378,-26.999999977 63.1666667110001,-26.999999977 63.1500000440001,-26.999999977 63.133333378,-26.999999977 63.1166667110001,-26.999999977 63.1000000440001,-26.999999977 63.0833333780001,-26.999999977 63.066666711,-26.999999977 63.0500000440001,-26.999999977 63.0333333780001,-26.999999977 63.016666711,-26.999999977 63.000000044,-26.9999999849999 62.9833333780001,-26.9999999849999 62.9666667110001,-26.9999999849999 62.950000044,-26.9999999849999 62.933333378,-26.9999999849999 62.9166667110001,-26.9999999849999 62.9000000440001,-26.9999999849999 62.883333378,-26.9999999849999 62.8666667110001,-26.9999999849999 62.8500000440001,-26.9999999849999 62.833333377,-26.9999999849999 62.816666711,-26.9999999849999 62.8000000440001,-26.9999999849999 62.7833333770001,-26.9999999849999 62.766666711,-26.9999999849999 62.750000044,-26.9999999849999 62.7333333770001,-26.9999999849999 62.7166667110001,-26.9999999849999 62.700000044,-26.9999999849999 62.6833333770001,-26.9999999849999 62.6666667110001,-26.9999999849999 62.6500000440001,-26.9999999849999 62.633333377,-26.9999999849999 62.6166667110001,-26.9999999849999 62.6000000440001,-26.9999999849999 62.583333377,-26.9999999849999 62.566666711,-26.9999999849999 62.5500000440001,-26.9999999849999 62.5333333770001,-26.9999999849999 62.516666711,-26.9999999849999 62.500000044,-26.9999999849999 62.4833333770001,-26.9999999849999 62.46666671,-26.9999999849999 62.450000044,-26.9999999849999 62.4333333770001,-26.9999999849999 62.4166667100001,-26.9999999849999 62.4000000440001,-26.9999999849999 62.383333377,-26.9999999849999 62.3666667100001,-26.9999999849999 62.3500000440001,-26.9999999849999 62.333333377,-26.9999999849999 62.31666671,-26.9999999849999 62.3000000440001,-26.9999999849999 62.2833333770001,-26.9999999849999 62.26666671,-26.9999999849999 62.250000044,-26.9999999849999 62.2333333770001,-26.9999999849999 62.21666671,-26.9999999849999 62.200000044,-26.9999999849999 62.1833333770001,-26.9999999849999 62.1666667100001,-26.9999999849999 62.1500000440001,-26.9999999849999 62.133333377,-26.9999999849999 62.1166667100001,-26.9999999849999 62.1000000430001,-26.9999999849999 62.083333377,-26.9999999849999 62.06666671,-26.9999999849999 62.0500000430001,-26.9999999849999 62.0333333770001,-26.9999999849999 62.01666671,-26.9999999689999 62.0000000220001,-26.9999999849999 61.9833333770001,-26.9999999849999 61.96666671,-26.9999999849999 61.950000043,-26.9999999849999 61.9333333770001,-26.9999999849999 61.9166667100001,-26.9999999849999 61.900000043,-26.9999999849999 61.883333377,-26.9999999849999 61.8666667100001,-26.9999999849999 61.8500000430001,-26.9999999849999 61.833333377,-26.9999999849999 61.81666671,-26.9999999849999 61.8000000430001,-26.9999999849999 61.783333376,-26.9999999849999 61.76666671,-26.9999999849999 61.7500000430001,-26.9999999849999 61.7333333760001,-26.9999999849999 61.71666671,-26.9999999849999 61.700000043,-26.9999999849999 61.6833333760001,-26.9999999849999 61.6666667100001,-26.9999999849999 61.650000043,-26.9999999849999 61.6333333760001,-26.9999999849999 61.6166667100001,-26.9999999849999 61.6000000430001,-26.9999999849999 61.583333376,-26.9999999849999 61.56666671,-26.9999999849999 61.5500000430001,-26.9999999849999 61.533333376,-26.9999999849999 61.51666671,-26.9999999849999 61.5000000430001,-26.9999999849999 61.4833333760001,-26.9999999849999 61.46666671,-26.9999999849999 61.450000043,-26.9999999849999 61.4333333760001,-26.9999999849999 61.4166667090001,-26.9999999849999 61.400000043,-26.9999999849999 61.3833333760001,-26.9999999849999 61.3666667090001,-26.9999999849999 61.3500000430001,-26.9999999849999 61.333333376,-26.9999999849999 61.3166667090001,-26.9999999849999 61.3000000430001,-26.9999999849999 61.283333376,-26.9999999849999 61.266666709,-26.9999999849999 61.2500000430001,-26.9999999849999 61.2333333760001,-26.9999999849999 61.216666709,-26.9999999849999 61.200000043,-26.9999999849999 61.1833333760001,-26.9999999849999 61.1666667090001,-26.9999999849999 61.150000043,-26.9999999849999 61.1333333760001,-26.9999999849999 61.1166667090001,-26.9999999849999 61.1000000430001,-26.9999999849999 61.083333376,-26.9999999849999 61.0666667090001,-26.9999999849999 61.0500000420001,-26.9999999849999 61.033333376,-26.9999999849999 61.016666709,-26.9999999849999 61.0000000420001,-26.9999999849999 60.9833333760001,-26.9999999849999 60.966666709,-26.9999999849999 60.9500000420001,-26.9999999849999 60.9333333760001,-26.9999999849999 60.9166667090001,-26.9999999849999 60.900000042,-26.9999999849999 60.8833333760001,-26.9999999849999 60.8666667090001,-26.999999803 60.849999998,-27.0156817719999 60.8547727700001,-27.0313635909999 60.8595454970001,-27.047045409 60.864318224,-27.062727227 60.869090951,-27.0784090449999 60.8738636790001,-27.094090863 60.8786364060001,-27.109772682 60.883409133,-27.1254544999999 60.8881818610001,-27.141136318 60.8929545880001,-27.156818136 60.8977273150001,-27.1724999539999 60.902500042,-27.1881817729999 60.9072727700001,-27.203863591 60.9120454970001,-27.219545409 60.9168182240001,-27.2352272269999 60.921590951,-27.250909045 60.9263636790001,-27.266590863 60.9311364060001,-27.2822726819999 60.9359091330001,-27.2979544999999 60.940681861,-27.313636318 60.9454545880001,-27.329318136 60.9502273150001,-27.3449999539999 60.9550000420001,-27.360681773 60.95977277,-27.376363591 60.9645454970001,-27.3920454089999 60.9693182240001,-27.407727227 60.974090952,-27.423409045 60.978863679,-27.439090864 60.9836364060001,-27.4547726819999 60.9884091330001,-27.4704545 60.993181861,-27.486136318 60.997954588,-27.5018181359999 61.0027273150001,-27.5174999549999 61.0075000420001,-27.533181773 61.01227277,-27.5488635909999 61.0170454970001,-27.5645454089999 61.0218182240001,-27.580227227 61.026590952,-27.595909046 61.031363679,-27.6115908639999 61.0361364060001,-27.627272682 61.0409091330001,-27.6429545 61.045681861,-27.6586363179999 61.050454588,-27.6743181369999 61.0552273150001,-27.689999955 61.0600000420001,-27.705333288 61.066333376,-27.720666621 61.072666709,-27.735999955 61.0790000430001,-27.751333288 61.0853333760001,-27.7666666219999 61.091666709,-27.7819999549999 61.0980000430001,-27.7973332879999 61.1043333760001,-27.8126666219999 61.110666709,-27.8279999549999 61.1170000430001,-27.8433332879999 61.1233333760001,-27.8586666219999 61.129666709,-27.8739999549999 61.1360000430001,-27.8893332879999 61.1423333760001,-27.904666622 61.1486667090001,-27.919999955 61.155000043,-27.935333288 61.1613333760001,-27.950666622 61.1676667090001,-27.965999955 61.174000043,-27.981333288 61.1803333760001,-27.996666622 61.1866667090001,-28.011999955 61.193000043,-28.027333288 61.199333376,-28.042666622 61.2056667090001,-28.057999955 61.212000043,-28.073333288 61.218333376,-28.0886666219999 61.2246667090001,-28.1039999549999 61.2310000430001,-28.1193332889999 61.237333376,-28.1346666219999 61.2436667090001,-28.1499999549999 61.2500000430001,-28.1653332889999 61.256333376,-28.1806666219999 61.262666709,-28.1959999549999 61.2690000430001,-28.211333289 61.275333376,-28.226666622 61.281666709,-28.241999955 61.2880000430001,-28.257333289 61.2943333760001,-28.272666622 61.300666709,-28.287999955 61.3070000430001,-28.303333289 61.3133333760001,-28.318666622 61.319666709,-28.333999955 61.3260000430001,-28.349333289 61.3323333760001,-28.364666622 61.3386667090001,-28.379999955 61.345000043,-28.395333289 61.3513333760001,-28.410666622 61.3576667090001,-28.425999955 61.364000043,-28.4413332889999 61.3703333760001,-28.4566666219999 61.3766667090001,-28.4719999559999 61.383000043,-28.4873332889999 61.3893333760001,-28.5026666219999 61.3956667090001,-28.517999956 61.402000043,-28.533333289 61.408333376,-28.5486666219999 61.4146667090001,-28.563999956 61.421000043,-28.579333289 61.427333376,-28.594666622 61.4336667100001,-28.609999956 61.4400000430001,-28.6245454099999 61.4479545880001,-28.639090865 61.4559091340001,-28.6536363189999 61.463863679,-28.6681817739999 61.471818225,-28.682727228 61.4797727700001,-28.6972726829999 61.4877273160001,-28.711818138 61.495681861,-28.7263635919999 61.503636407,-28.7409090469999 61.5115909520001,-28.755454501 61.5195454970001,-28.7699999559999 61.527500043,-28.78454541 61.5354545880001,-28.799090865 61.5434091340001,-28.813636319 61.5513636790001,-28.828181774 61.559318225,-28.8427272289999 61.56727277,-28.857272683 61.5752273160001,-28.871818138 61.5831818610001,-28.886363592 61.5911364070001,-28.900909047 61.599090952,-28.9154545009999 61.607045498,-28.929999956 61.6150000430001,-28.944545411 61.622954588,-28.959090865 61.630909134,-28.97363632 61.6388636790001,-28.9881817739999 61.6468182250001,-29.002727229 61.6547727700001,-29.0172726829999 61.662727316,-29.0318181379999 61.670681861,-29.046363592 61.6786364070001,-29.0609090469999 61.6865909520001,-29.075454502 61.6945454980001,-29.0899999559999 61.702500043,-29.1045454109999 61.7104545890001,-29.119090865 61.7184091340001,-29.1336363199999 61.726363679,-29.148181774 61.734318225,-29.162727229 61.7422727700001,-29.177272683 61.7502273160001,-29.191818138 61.7581818610001,-29.2063635929999 61.766136407,-29.220909047 61.7740909520001,-29.235454502 61.7820454980001,-29.249999956 61.7900000430001,-29.2634782169999 61.7995652610001,-29.2769564779999 61.809130478,-29.290434739 61.818695695,-29.303913 61.8282609130001,-29.317391261 61.8378261300001,-29.3308695219999 61.847391348,-29.3443477819999 61.8569565650001,-29.3578260429999 61.8665217820001,-29.371304304 61.876087,-29.384782565 61.885652217,-29.398260826 61.8952174350001,-29.4117390869999 61.9047826520001,-29.4252173479999 61.914347869,-29.438695609 61.9239130870001,-29.452173869 61.9334783040001,-29.46565213 61.943043522,-29.479130391 61.952608739,-29.4926086519999 61.9621739560001,-29.5060869129999 61.971739174,-29.519565174 61.981304391,-29.533043435 61.9908696090001,-29.546521696 62.0004348260001,-29.5599999569999 62.010000043,-29.5734782169999 62.0195652610001,-29.5869564779999 62.0291304780001,-29.600434739 62.038695696,-29.613913 62.048260913,-29.627391261 62.0578261300001,-29.6408695219999 62.0673913480001,-29.6543477829999 62.076956565,-29.667826044 62.0865217830001,-29.681304304 62.0960870000001,-29.694782565 62.1056522170001,-29.708260826 62.115217435,-29.7217390869999 62.1247826520001,-29.7352173479999 62.1343478700001,-29.748695609 62.143913087,-29.76217387 62.153478304,-29.775652131 62.1630435220001,-29.7891303919999 62.1726087390001,-29.8026086519999 62.182173957,-29.8160869129999 62.1917391740001,-29.829565174 62.2013043910001,-29.843043435 62.210869609,-29.856521696 62.220434826,-29.8699999569999 62.2300000440001,-29.881562457 62.2420312940001,-29.8931249569999 62.2540625440001,-29.904687457 62.266093794,-29.9162499569999 62.278125044,-29.927812457 62.290156294,-29.939374957 62.302187544,-29.950937457 62.3142187940001,-29.962499957 62.3262500440001,-29.9740624569999 62.3382812940001,-29.985624957 62.3503125440001,-29.9971874569999 62.3623437940001,-30.008749957 62.374375044,-30.0203124569999 62.386406294,-30.031874957 62.398437544,-30.043437457 62.4104687940001,-30.0549999569999 62.4225000440001,-30.066562457 62.4345312940001,-30.0781249569999 62.4465625440001,-30.089687457 62.4585937940001,-30.1012499569999 62.470625044,-30.112812457 62.482656294,-30.1243749569999 62.494687544,-30.135937457 62.5067187940001,-30.147499957 62.5187500440001,-30.1590624569999 62.5307812940001,-30.170624957 62.5428125440001,-30.1821874569999 62.5548437940001,-30.193749957 62.566875044,-30.2053124569999 62.578906294,-30.216874957 62.590937544,-30.228437457 62.602968794,-30.239999957 62.6150000440001,-30.251562457 62.6270312940001,-30.2631249569999 62.6390625440001,-30.274687457 62.6510937940001,-30.2862499569999 62.6631250440001,-30.297812457 62.675156294,-30.3093749569999 62.687187544,-30.320937457 62.699218794,-30.332499957 62.7112500440001,-30.3440624569999 62.7232812940001,-30.355624957 62.7353125440001,-30.3671874569999 62.7473437940001,-30.378749957 62.7593750440001,-30.3903124569999 62.771406294,-30.401874957 62.783437544,-30.4134374569999 62.795468794,-30.424999957 62.8075000440001,-30.436562457 62.8195312940001,-30.4481249569999 62.8315625440001,-30.459687457 62.8435937940001,-30.4712499569999 62.8556250440001,-30.482812457 62.867656294,-30.4943749569999 62.879687544,-30.505937457 62.891718794,-30.517499957 62.903750044,-30.529062457 62.9157812940001,-30.540624957 62.9278125440001,-30.5521874569999 62.9398437940001,-30.563749957 62.9518750440001,-30.5753124569999 62.9639062940001,-30.586874957 62.975937544,-30.598437458 62.987968794,-30.6099999579999 63.000000044,-30.620416624 63.0129167110001,-30.6308332909999 63.0258333780001,-30.6412499579999 63.038750044,-30.651666624 63.0516667110001,-30.6620832909999 63.0645833780001,-30.6724999579999 63.077500044,-30.682916624 63.090416711,-30.6933332909999 63.1033333780001,-30.7037499579999 63.1162500440001,-30.714166624 63.129166711,-30.7245832909999 63.1420833780001,-30.7349999579999 63.1550000440001,-30.745416624 63.167916711,-30.7558332909999 63.180833378,-30.7662499579999 63.1937500440001,-30.776666624 63.2066667110001,-30.7870832909999 63.219583378,-30.7974999579999 63.2325000450001,-30.807916624 63.2454167110001,-30.8183332909999 63.258333378,-30.8287499579999 63.271250045,-30.839166624 63.2841667110001,-30.8495832909999 63.2970833780001,-30.8599999579999 63.310000045,-30.8755555129999 63.303333378,-30.891111069 63.2966667110001,-30.906666624 63.2900000450001,-30.9222221799999 63.2833333780001,-30.9377777359999 63.2766667110001,-30.953333291 63.2700000450001,-30.968888847 63.263333378,-30.984444402 63.256666711,-30.9999999579999 63.250000045,-31.0151514729999 63.243333378,-31.030302988 63.2366667110001,-31.045454503 63.2300000450001,-31.060606019 63.2233333780001,-31.0757575339999 63.2166667110001,-31.0909090489999 63.2100000440001,-31.106060564 63.2033333780001,-31.121212079 63.196666711,-31.1363635939999 63.190000044,-31.1515151099999 63.183333378,-31.1666666249999 63.1766667110001,-31.18181814 63.1700000440001,-31.196969655 63.1633333780001,-31.2121211699999 63.1566667110001,-31.2272726849999 63.1500000440001,-31.2424242009999 63.1433333780001,-31.257575716 63.136666711,-31.272727231 63.130000044,-31.2878787459999 63.123333378,-31.3030302609999 63.1166667110001,-31.318181776 63.1100000440001,-31.333333292 63.1033333780001,-31.348484807 63.0966667110001,-31.3636363219999 63.0900000440001,-31.3787878369999 63.0833333780001,-31.393939352 63.076666711,-31.409090867 63.070000044,-31.424242383 63.063333378,-31.4393938979999 63.056666711,-31.4545454129999 63.0500000440001,-31.469696928 63.0433333780001,-31.484848443 63.0366667110001,-31.4999999579999 63.0300000440001,-31.5156249579999 63.0250000440001,-31.5312499579999 63.020000044,-31.5468749579999 63.015000044,-31.5624999579999 63.010000044,-31.5781249579999 63.005000044,-31.5937499579999 63.000000044,-31.6093749579999 62.9950000440001,-31.6249999579999 62.9900000440001,-31.6406249579999 62.9850000440001,-31.6562499579999 62.9800000440001,-31.671874959 62.9750000440001,-31.687499959 62.9700000440001,-31.703124959 62.9650000440001,-31.718749959 62.9600000440001,-31.734374959 62.955000044,-31.749999959 62.950000044,-31.765624959 62.945000044,-31.781249959 62.940000044,-31.796874959 62.935000044,-31.812499959 62.9300000440001,-31.828124959 62.9250000440001,-31.843749959 62.9200000440001,-31.859374959 62.9150000440001,-31.874999959 62.9100000440001,-31.890624959 62.9050000440001,-31.906249959 62.9000000440001,-31.921874959 62.895000044,-31.937499959 62.890000044,-31.953124959 62.885000044,-31.968749959 62.880000044,-31.984374959 62.875000044,-31.999999959 62.8700000440001,-32.014999959 62.8640000440001,-32.029999959 62.8580000440001,-32.0449999589999 62.8520000440001,-32.059999959 62.846000044,-32.074999959 62.8400000440001,-32.089999959 62.834000044,-32.1049999589999 62.8280000440001,-32.119999959 62.822000044,-32.134999959 62.8160000440001,-32.149999959 62.810000044,-32.1649999589999 62.8040000440001,-32.1799999589999 62.798000044,-32.194999959 62.7920000440001,-32.209999959 62.786000044,-32.2249999589999 62.7800000440001,-32.2399999589999 62.774000044,-32.254999959 62.7680000440001,-32.269999959 62.762000044,-32.2849999589999 62.7560000440001,-32.2999999589999 62.750000044,-32.3153845739999 62.7453846590001,-32.33076919 62.740769275,-32.346153805 62.7361538900001,-32.361538421 62.731538506,-32.3769230359999 62.726923121,-32.392307651 62.7223077360001,-32.407692267 62.717692352,-32.423076882 62.7130769670001,-32.438461498 62.708461582,-32.4538461129999 62.7038461980001,-32.469230728 62.699230813,-32.484615344 62.6946154290001,-32.499999959 62.690000044,-32.5161289919999 62.6858064960001,-32.5322580239999 62.6816129470001,-32.548387056 62.677419399,-32.5645160879999 62.6732258500001,-32.580645121 62.6690323020001,-32.596774153 62.6648387540001,-32.6129031849999 62.660645205,-32.629032217 62.656451657,-32.6451612499999 62.6522581080001,-32.661290282 62.6480645600001,-32.677419314 62.643871012,-32.6935483469999 62.6396774630001,-32.709677379 62.6354839150001,-32.713005591 62.6346185800001,-32.725806411 62.6312903670001,-32.7419354429999 62.627096818,-32.758064476 62.6229032700001,-32.7741935079999 62.6187097210001,-32.79032254 62.614516173,-32.806451572 62.610322625,-32.822580605 62.6061290760001,-32.838709637 62.6019355280001,-32.8548386689999 62.597741979,-32.870967702 62.593548431,-32.887096734 62.5893548830001,-32.9032257659999 62.5851613340001,-32.919354798 62.580967786,-32.9354838309999 62.5767742370001,-32.951612863 62.5725806890001,-32.967741895 62.5683871410001,-32.9838709269999 62.564193592,-32.99999996 62.560000044,-33.015882313 62.5564706320001,-33.031764666 62.55294122,-33.047647019 62.549411809,-33.0635293719999 62.5458823970001,-33.0794117249999 62.542352985,-33.0952940769999 62.5388235730001,-33.1111764299999 62.5352941620001,-33.1270587829999 62.53176475,-33.1429411359999 62.5282353380001,-33.1588234889999 62.5247059260001,-33.174705842 62.521176514,-33.190588195 62.5176471030001,-33.206470548 62.5141176910001,-33.222352901 62.510588279,-33.238235254 62.5070588670001,-33.254117607 62.5035294560001,-33.26999996 62.500000044,-33.28624996 62.496875044,-33.2888709329999 62.4963710110001,-33.30249996 62.4937500440001,-33.3187499599999 62.4906250440001,-33.3349999599999 62.4875000440001,-33.35124996 62.484375044,-33.36749996 62.481250044,-33.3837499599999 62.4781250440001,-33.3999999599999 62.4750000440001,-33.41624996 62.4718750440001,-33.43249996 62.468750044,-33.4487499599999 62.465625044,-33.4649999599999 62.4625000440001,-33.48124996 62.4593750440001,-33.49749996 62.4562500440001,-33.51374996 62.453125044,-33.5299999599999 62.450000044,-33.5406249599999 62.437500044,-33.55124996 62.4250000440001,-33.56187496 62.4125000440001,-33.57249996 62.4000000440001,-33.58312496 62.387500044,-33.59374996 62.375000044,-33.60437496 62.3625000440001,-33.61499996 62.3500000440001,-33.62562496 62.3375000440001,-33.6362499599999 62.325000044,-33.6468749599999 62.312500044,-33.6574999599999 62.3000000440001,-33.6681249599999 62.2875000440001,-33.6787499599999 62.2750000440001,-33.68937496 62.262500044,-33.69999996 62.250000044,-33.7124999599999 62.238750044,-33.7249999599999 62.2275000440001,-33.73749996 62.216250044,-33.74999996 62.205000044,-33.76249996 62.1937500440001,-33.7749999599999 62.1825000440001,-33.7874999599999 62.171250044,-33.79999996 62.1600000440001,-33.81249996 62.1487500440001,-33.8249999609999 62.137500043,-33.8374999609999 62.126250043,-33.849999961 62.1150000430001,-33.862499961 62.103750043,-33.874999961 62.092500043,-33.8874999609999 62.0812500430001,-33.8999999609999 62.0700000430001,-33.912499961 62.058750043,-33.924999961 62.0475000430001,-33.937499961 62.0362500430001,-33.9499999609999 62.025000043,-33.9624999609999 62.0137500430001,-33.974999961 62.0025000430001,-33.987499961 61.991250043,-33.999999961 61.9800000430001,-34.0134782219999 61.970000043,-34.0269564819999 61.960000043,-34.0404347429999 61.950000043,-34.053913004 61.9400000430001,-34.067391265 61.9300000430001,-34.080869526 61.9200000430001,-34.0943477869999 61.9100000430001,-34.1078260479999 61.900000043,-34.121304309 61.890000043,-34.134782569 61.8800000430001,-34.14826083 61.8700000430001,-34.161739091 61.8600000430001,-34.1752173519999 61.8500000430001,-34.1886956129999 61.840000043,-34.202173874 61.830000043,-34.215652135 61.8200000430001,-34.229130396 61.8100000430001,-34.2426086569999 61.8000000430001,-34.2560869169999 61.7900000430001,-34.2695651779999 61.780000043,-34.283043439 61.770000043,-34.2965217 61.760000043,-34.309999961 61.7500000430001,-34.322666628 61.7400000430001,-34.335333294 61.7300000430001,-34.347999961 61.720000043,-34.3606666279999 61.710000043,-34.373333294 61.700000043,-34.385999961 61.6900000430001,-34.3986666279999 61.6800000430001,-34.411333294 61.6700000430001,-34.4239999609999 61.6600000430001,-34.436666628 61.650000043,-34.449333294 61.640000043,-34.4619999609999 61.6300000430001,-34.474666628 61.6200000430001,-34.4873332939999 61.6100000430001,-34.499999961 61.6000000430001,-34.5136363249999 61.5909091340001,-34.527272688 61.5818182250001,-34.540909052 61.5727273160001,-34.5545454159999 61.563636407,-34.5681817789999 61.554545497,-34.581818143 61.545454588,-34.5954545069999 61.536363679,-34.6090908699999 61.5272727700001,-34.622727234 61.5181818610001,-34.6363635979999 61.5090909520001,-34.6499999609999 61.5000000430001,-34.662799961 61.4900000430001,-34.6755999609999 61.4800000430001,-34.688399961 61.470000043,-34.7011999609999 61.460000043,-34.713999961 61.450000043,-34.726799961 61.4400000430001,-34.739599961 61.4300000430001,-34.752399961 61.4200000430001,-34.765199961 61.4100000430001,-34.777999961 61.400000043,-34.7907999609999 61.390000043,-34.803599961 61.3800000430001,-34.8163999609999 61.3700000430001,-34.829199961 61.3600000430001,-34.8419999609999 61.3500000430001,-34.854799961 61.340000043,-34.8675999609999 61.330000043,-34.880399961 61.3200000430001,-34.893199962 61.3100000430001,-34.905999962 61.3000000430001,-34.918799962 61.2900000430001,-34.931599962 61.280000043,-34.944399962 61.270000043,-34.9571999619999 61.260000043,-34.969999962 61.2500000430001,-34.979473646 61.2368421480001,-34.98894733 61.223684253,-34.998421014 61.210526358,-35.007894698 61.1973684640001,-35.017368383 61.1842105690001,-35.026842067 61.1710526740001,-35.036315751 61.1578947790001,-35.045789435 61.144736885,-35.0552631199999 61.13157899,-35.0647368039999 61.118421095,-35.0742104879999 61.1052632000001,-35.0836841719999 61.0921053060001,-35.0931578559999 61.0789474110001,-35.1026315409999 61.0657895160001,-35.1121052249999 61.052631621,-35.1215789089999 61.039473727,-35.1310525929999 61.0263158320001,-35.140526278 61.0131579370001,-35.149999962 61.0000000420001,-35.1609999619999 60.9875000420001,-35.171999962 60.975000042,-35.1829999619999 60.962500042,-35.193999962 60.9500000420001,-35.2049999619999 60.9375000420001,-35.215999962 60.9250000420001,-35.226999962 60.912500042,-35.2379999619999 60.900000042,-35.248999962 60.8875000420001,-35.2599999619999 60.8750000420001,-35.270999962 60.8625000420001,-35.2819999619999 60.850000042,-35.292999962 60.837500042,-35.303999962 60.8250000420001,-35.3149999619999 60.8125000420001,-35.325999962 60.8000000420001,-35.3369999619999 60.787500042,-35.347999962 60.775000042,-35.358999962 60.7625000420001,-35.369999962 60.7500000420001,-35.378666629 60.7366667090001,-35.387333295 60.723333376,-35.395999962 60.710000042,-35.404666629 60.6966667090001,-35.413333295 60.6833333750001,-35.421999962 60.670000042,-35.430666629 60.656666709,-35.439333295 60.6433333750001,-35.447999962 60.6300000420001,-35.456666629 60.6166667090001,-35.4653332949999 60.603333375,-35.4739999619999 60.590000042,-35.4826666289999 60.5766667090001,-35.4913332949999 60.5633333750001,-35.4999999619999 60.5500000420001,-35.5108332949999 60.537500042,-35.521666629 60.525000042,-35.532499962 60.5125000420001,-35.543333295 60.5000000420001,-35.554166629 60.4875000420001,-35.5649999619999 60.475000042,-35.5758332949999 60.462500042,-35.586666629 60.4500000420001,-35.597499962 60.4375000420001,-35.608333295 60.4250000420001,-35.6191666289999 60.412500042,-35.6299999619999 60.400000042,-35.640833296 60.3875000420001,-35.651666629 60.3750000420001,-35.662499962 60.3625000420001,-35.673333296 60.350000042,-35.6841666289999 60.337500042,-35.6949999619999 60.3250000420001,-35.705833296 60.3125000420001,-35.716666629 60.3000000420001,-35.727499962 60.287500042,-35.738333296 60.275000042,-35.7491666289999 60.2625000420001,-35.7599999619999 60.2500000420001,-35.770526278 60.2368421470001,-35.781052594 60.2236842520001,-35.7915789099999 60.210526357,-35.802105226 60.197368463,-35.812631541 60.1842105680001,-35.823157857 60.1710526730001,-35.8336841729999 60.1578947780001,-35.844210489 60.1447368840001,-35.854736805 60.131578989,-35.86526312 60.118421094,-35.8757894359999 60.105263199,-35.886315752 60.0921053050001,-35.896842068 60.0789474100001,-35.9073683829999 60.0657895150001,-35.9178946989999 60.0526316200001,-35.928421015 60.039473726,-35.938947331 60.026315831,-35.9494736469999 60.013157936,-35.959999962 60.0000000420001,-35.970526278 59.9868421470001,-35.9810525939999 59.9736842520001,-35.9915789099999 59.960526357,-36.002105226 59.947368463,-36.012631541 59.9342105680001,-36.0231578569999 59.9210526730001,-36.033684173 59.9078947780001,-36.044210489 59.8947368840001,-36.0547368049999 59.881578989,-36.0652631199999 59.868421094,-36.075789436 59.855263199,-36.086315752 59.8421053050001,-36.0968420679999 59.8289474100001,-36.107368384 59.8157895150001,-36.117894699 59.8026316200001,-36.128421015 59.789473726,-36.1389473309999 59.776315831,-36.149473647 59.763157936,-36.159999963 59.7500000410001,-36.169999963 59.7368421470001,-36.1799999629999 59.7236842520001,-36.1899999629999 59.710526357,-36.199999963 59.697368462,-36.209999963 59.6842105680001,-36.219999963 59.6710526730001,-36.229999963 59.6578947780001,-36.2399999629999 59.6447368830001,-36.2499999629999 59.631578989,-36.259999963 59.618421094,-36.269999963 59.605263199,-36.279999963 59.592105304,-36.289999963 59.5789474100001,-36.2999999629999 59.5657895150001,-36.3099999629999 59.5526316200001,-36.3199999629999 59.5394737250001,-36.329999963 59.526315831,-36.339999963 59.513157936,-36.349999963 59.5000000410001,-36.3615384239999 59.488461579,-36.373076886 59.4769231180001,-36.384615348 59.4653846560001,-36.3961538089999 59.453846195,-36.407692271 59.4423077330001,-36.419230732 59.4307692720001,-36.4307691939999 59.41923081,-36.442307655 59.4076923490001,-36.453846117 59.3961538870001,-36.4653845779999 59.384615426,-36.47692304 59.3730769640001,-36.488461501 59.361538502,-36.4999999629999 59.350000041,-36.509999963 59.337037078,-36.519999963 59.324074115,-36.529999963 59.3111111520001,-36.539999963 59.2981481890001,-36.5499999629999 59.2851852260001,-36.5599999629999 59.2722222630001,-36.5699999629999 59.2592593000001,-36.579999963 59.246296337,-36.589999963 59.233333374,-36.599999963 59.220370411,-36.609999963 59.2074074480001,-36.6199999629999 59.1944444850001,-36.6299999629999 59.1814815220001,-36.639999963 59.1685185590001,-36.649999963 59.1555555960001,-36.659999963 59.142592633,-36.669999963 59.12962967,-36.6799999629999 59.116666707,-36.6899999629999 59.103703744,-36.699999963 59.0907407810001,-36.709999963 59.0777778180001,-36.719999963 59.0648148550001,-36.729999963 59.0518518920001,-36.7399999629999 59.0388889290001,-36.7499999629999 59.025925967,-36.759999963 59.012963004,-36.769999862 59.000000024,-37.2000007629999 59.0000000000001,-37.9999999999999 59.0000000000001,-38.799999237 59.0000000000001,-39.599998474 59.0000000000001,-40.400001526 59.0000000000001,-41.2000007629999 59.0000000000001,-41.9999999999999 59.0000000000001,-42.033332824 59.0000000000001,-42.066665649 59.0000000000001,-42.099998474 59.0000000000001,-42.133335114 59.0000000000001,-42.1666679379999 59.0000000000001,-42.2000007629999 59.0000000000001,-42.2333335869999 59.0000000000001,-42.2666664119999 59.0000000000001,-42.299999237 59.0000000000001,-42.333332062 59.0000000000001,-42.366664886 59.0000000000001,-42.400001526 59.0000000000001,-42.4333343499999 59.0000000000001,-42.4666671749999 59.0000000000001,-42.4999999999999 59.0000000000001,-42.5333328249999 59.0000000000001,-42.566665649 59.0000000000001,-42.599998474 59.0000000000001,-42.6333351129999 59.0000000000001,-42.6666679379999 59.0000000000001,-42.7000007629999 59.0000000000001,-42.7333335879999 59.0000000000001,-42.7666664119999 59.0000000000001,-42.799999237 59.0000000000001,-42.833332061 59.0000000000001,-42.866664887 59.0000000000001,-42.900001526 59.0000000000001,-42.933334351 59.0000000000001,-42.9666671749999 59.0000000000001,-42.9999999999999 59.0000000000001,-43.033332824 59.0000000000001,-43.0666656499999 59.0000000000001,-43.099998474 59.0000000000001,-43.133335114 59.0000000000001,-43.1666679379999 59.0000000000001,-43.2000007629999 59.0000000000001,-43.2333335869999 59.0000000000001,-43.2666664119999 59.0000000000001,-43.299999237 59.0000000000001,-43.333332062 59.0000000000001,-43.366664886 59.0000000000001,-43.400001526 59.0000000000001,-43.4333343499999 59.0000000000001,-43.4666671749999 59.0000000000001,-43.4999999999999 59.0000000000001,-43.5333328249999 59.0000000000001,-43.566665649 59.0000000000001,-43.599998474 59.0000000000001,-43.6333351129999 59.0000000000001,-43.6666679379999 59.0000000000001,-43.7000007629999 59.0000000000001,-43.7333335879999 59.0000000000001,-43.7666664119999 59.0000000000001,-43.799999237 59.0000000000001,-43.833332061 59.0000000000001,-43.866664887 59.0000000000001,-43.900001526 59.0000000000001,-43.933334351 59.0000000000001,-43.9666671749999 59.0000000000001,-43.9999999849999 59.0000000200001,-43.9999999849999 59.0166664130001,-43.9999999849999 59.0333328250001,-43.9999999849999 59.0499992370001,-43.9999999849999 59.0666656500001,-43.9999999849999 59.0833320620001,-43.9999999839999 59.0999984740001,-43.9999999839999 59.1166648860001,-43.9999999839999 59.133335113,-43.9999999839999 59.150001526,-43.9999999839999 59.166667938,-43.9999999839999 59.1833343500001,-43.9999999839999 59.200000763,-43.9999999839999 59.216667176,-43.9999999839999 59.2333335880001,-43.9999999839999 59.2500000000001,-43.9999999839999 59.2666664120001,-43.9999999839999 59.2833328250001,-43.9999999839999 59.2999992370001,-43.9999999839999 59.3166656490001,-43.9999999839999 59.3333320620001,-43.9999999839999 59.3499984740001,-43.999999983 59.3666648860001,-43.999999983 59.383335113,-43.999999983 59.400001526,-43.999999983 59.416667939,-43.999999983 59.433334351,-43.999999983 59.450000763,-43.999999983 59.4666671750001,-43.999999983 59.4833335880001,-43.999999983 59.5000000000001,-43.999999983 59.5166664120001,-43.999999983 59.5333328250001,-43.999999983 59.5499992370001,-43.999999983 59.5666656490001,-43.999999983 59.5833320610001,-43.999999983 59.5999984750001,-43.999999983 59.6166648870001,-43.999999983 59.633335114,-43.999999983 59.650001526,-43.999999983 59.666667938,-43.999999983 59.683334351,-43.999999983 59.700000763,-43.999999983 59.7166671750001,-43.999999983 59.7333335870001,-43.999999982 59.7500000000001,-43.999999982 59.7666664120001,-43.999999982 59.7833328240001,-43.999999982 59.7999992370001,-43.999999982 59.8166656500001,-43.99999998 60.1577682770001,-43.9999999729999 60.3600006010001,-43.9999999739999 60.37304328,-43.9999999939999 60.7500000000001,-43.999999991 61.5499992370001,-43.999999988 62.1699981690001,-43.9999999899999 62.5000000000001,-43.999999988 62.9699974060001,-43.999999988 63.2999992370001,-43.9999999889999 63.7699966430001,-43.999999993 64.2500000000001,-43.999999991 64.569999695,-43.999999992 65.0500030520001,-43.999999992 65.369995117,-43.999999993 66.1699981690001,-43.9999999949999 66.2500000000001,-43.9999999949999 66.9700012210001,-43.9999999949999 67.0500030520001,-43.999999996 67.7699966430001,-43.999999996 67.8499984740001,-43.999999998 68.569999695,-43.999999999 68.8300018310001,-43.999999999 69.369995117,-43.9999999999999 69.6300048830001,-43.9999999999999 69.8650000000001,-42.171305401 69.8394053000001,-40.0000006939999 69.8090154380001)))', 'Atlantic', '2', '27', 'ATLANTIC, NORTHEAST', '27', '27.XIV', 'East Greenland', '27.XIV', '27.XIV.b', 'Southeast Greenland', '27.XIVb', '27.XIV.b.2', 'Southeast Greenland Non-NEAFC Regulatory Area', '27.XIVb2', '', '', '', '', 'XIVb2', '4', '27.14.b.2', '27.XIVb2', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 46.0000000000001,9.60740566300007 45.4793663020001,10.2148103710001 44.9587326050001,10.8222160340001 44.438098907,11.429620743 43.9174690250001,12.0370264050001 43.3968353270001,12.6444320680001 42.87620163,13.2518367770001 42.355567932,13.8592424390001 41.834934235,14.466647148 41.3143005370001,15.0740528110001 40.793670654,16.0000000000001 40.0000000000001,16.5000000000001 39.0000000000001,16.0000000000001 38.0000000000001,15.0000000000001 38.0000000000001,14.0000000000001 37.5000000000001,12.5000000000001 38.020000458,11.8273563390001 37.5869293210001,11.039999962 37.0800018310001,10.0000000000001 36.0000000000001,9.34745311700004 35.5372009280001,8.59000015300006 35.0000000000001,8.59000015300006 36.400001526,8.59000015300006 37.200000763,8.59000015300006 38.0000000000001,8.00000000000006 38.0000000000001,8.00000000000006 38.9300003050001,8.00000000000006 39.730003357,8.00000000000006 40.5300025940001,8.00000000000006 41.3300018310001,7.82953357700006 42.209247589,7.67726707500003 42.9946212770001,7.52500009500005 43.779998779,7.52500009500005 45.200000763,7.52500009500005 46.0000000000001,9.00000000000006 46.0000000000001)))', 'Atlantic', '3', '37', 'MEDITERRANEAN AND BLACK SEA', '37', '37.1', 'Western Mediterranean', '', '37.1.3', 'Sardinia', '', '', '', '', '', '', '', '', '1.3', '3', '37.1.3', '37.1.3', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 39.2500000000001,21.737585068 38.940216064,22.475172043 38.630428314,23.5000000000001 38.200000763,23.0000000000001 37.950000763,22.5000000000001 37.5000000000001,23.0000000000001 36.7999992370001,23.0000000000001 36.0000000000001,23.0000000000001 35.200000763,23.0000000000001 34.0000000000001,23.7999992370001 34.0000000000001,25.0000000000001 34.0000000000001,25.0000000000001 33.200000763,25.0000000000001 32.400001526,25.0000000000001 31.600000381,25.0000000000001 30.7999992370001,25.0000000000001 30.0000000000001,25.0000000000001 29.200000763,25.0000000000001 28.0000000000001,24.200000763 28.0000000000001,23.399999619 28.0000000000001,22.600000381 28.0000000000001,21.7999992370001 28.0000000000001,21.0000000000001 28.0000000000001,20.200000763 28.0000000000001,19.399999619 28.0000000000001,18.600000381 28.0000000000001,17.7999992370001 28.0000000000001,17.0000000000001 28.0000000000001,16.200000763 28.0000000000001,15.399999619 28.0000000000001,14.599999428 28.0000000000001,13.800000191 28.0000000000001,13.0000000000001 28.0000000000001,12.1999998090001 28.0000000000001,11.399999619 28.0000000000001,10.599999428 28.0000000000001,9.80000019100004 28.0000000000001,8.59000015300006 28.0000000000001,8.59000015300006 28.7999992370001,8.59000015300006 29.600000381,8.59000015300006 30.399999619,8.59000015300006 31.200000763,8.59000015300006 32.0000000000001,8.59000015300006 32.7999992370001,8.59000015300006 33.5999984740001,8.59000015300006 34.563846803,8.59000015300006 35.0000000000001,9.34745311700004 35.5372009280001,10.0000000000001 36.0000000000001,11.039999962 37.0800018310001,11.8273563390001 37.5869293210001,12.5000000000001 38.020000458,14.0000000000001 37.5000000000001,15.0000000000001 38.0000000000001,16.0000000000001 38.0000000000001,16.5000000000001 39.0000000000001,16.0000000000001 40.0000000000001,15.790216446 40.7720031740001,15.5000000000001 41.8400001530001,16.2999992370001 41.8400001530001,17.100000381 41.8400001530001,17.899999619 41.8400001530001,18.700000763 41.8400001530001,19.5000000000001 41.8400001530001,21.0000000000001 41.8400001530001,21.0000000000001 41.0400009160001,21.0000000000001 40.2400016780001,21.0000000000001 39.2500000000001)))', 'Atlantic', '3', '37', 'MEDITERRANEAN AND BLACK SEA', '37', '37.2', 'Central Mediterranean', '', '37.2.2', 'Ionian', '', '', '', '', '', '', '', '', '2.2', '3', '37.2.2', '37.2.2', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 41.8400001530001,27.0000000000001 40.6699981690001,26.350000381 40.2999992370001,26.1800003050001 40.0499992370001,26.190000534 40.0000000000001,26.9436969760001 39.7317810060001,27.6973934170001 39.4635620120001,29.0000000000001 39.0000000000001,29.0000000000001 38.200000763,29.0000000000001 37.400001526,29.0000000000001 36.5999984740001,29.0000000000001 35.7999992370001,29.0000000000001 35.0000000000001,29.0000000000001 34.0000000000001,28.200000763 34.0000000000001,27.399999619 34.0000000000001,26.600000381 34.0000000000001,25.0000000000001 34.0000000000001,23.7999992370001 34.0000000000001,23.0000000000001 34.0000000000001,23.0000000000001 35.200000763,23.0000000000001 36.0000000000001,23.0000000000001 36.7999992370001,22.5000000000001 37.5000000000001,23.0000000000001 37.950000763,23.5000000000001 38.200000763,22.475172043 38.630428314,21.737585068 38.940216064,21.0000000000001 39.2500000000001,21.0000000000001 40.2400016780001,21.0000000000001 41.0400009160001,21.0000000000001 41.8400001530001,21.7999992370001 41.8400001530001,22.600000381 41.8400001530001,23.399999619 41.8400001530001,24.200000763 41.8400001530001,25.0000000000001 41.8400001530001,25.7999992370001 41.8400001530001,27.0000000000001 41.8400001530001)))', 'Atlantic', '3', '37', 'MEDITERRANEAN AND BLACK SEA', '37', '37.3', 'Eastern Mediterranean', '', '37.3.1', 'Aegean', '', '', '', '', '', '', '', '', '3.1', '3', '37.3.1', '37.3.1', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 32.0000000000001,38.0000000000001 31.7999992370001,38.0000000000001 30.5000000000001,37.200000763 30.5000000000001,36.400001526 30.5000000000001,35.5999984740001 30.5000000000001,34.7999992370001 30.5000000000001,34.0000000000001 30.5000000000001,33.200000763 30.5000000000001,32.400001526 30.5000000000001,31.600000381 30.5000000000001,30.7999992370001 30.5000000000001,30.0000000000001 30.5000000000001,29.200000763 30.5000000000001,28.0000000000001 30.5000000000001,27.3854236600001 29.987852097,26.7708454130001 29.4757041930001,26.156269073 28.9635581970001,25.0000000000001 28.0000000000001,25.0000000000001 29.200000763,25.0000000000001 30.0000000000001,25.0000000000001 30.7999992370001,25.0000000000001 31.600000381,25.0000000000001 32.400001526,25.0000000000001 33.200000763,25.0000000000001 34.0000000000001,26.600000381 34.0000000000001,27.399999619 34.0000000000001,28.200000763 34.0000000000001,29.0000000000001 34.0000000000001,29.0000000000001 35.0000000000001,29.0000000000001 35.7999992370001,29.0000000000001 36.5999984740001,29.0000000000001 37.400001526,29.0000000000001 38.200000763,29.0000000000001 39.0000000000001,29.7999992370001 39.0000000000001,30.5000000000001 39.0000000000001,30.600000381 39.0000000000001,31.399999619 39.0000000000001,32.200000763 39.0000000000001,33.0000000000001 39.0000000000001,33.7999992370001 39.0000000000001,34.5999984740001 39.0000000000001,35.400001526 39.0000000000001,36.200000763 39.0000000000001,37.0000000000001 39.0000000000001,38.0000000000001 39.0000000000001,38.0000000000001 38.200000763,38.0000000000001 37.400001526,38.0000000000001 36.5999984740001,38.0000000000001 35.7999992370001,38.0000000000001 35.0000000000001,38.0000000000001 34.200000763,38.0000000000001 33.400001526,38.0000000000001 32.5999984740001,38.0000000000001 32.0000000000001)))', 'Atlantic', '3', '37', 'MEDITERRANEAN AND BLACK SEA', '37', '37.3', 'Eastern Mediterranean', '', '37.3.2', 'Levant', '', '', '', '', '', '', '', '', '3.2', '3', '37.3.2', '37.3.2', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 46.0000000000001,35.0000000000001 45.0000000000001,35.560001373 45.229999542,36.4399986270001 45.0900001530001,36.5999984740001 45.1399993900001,37.5000000000001 45.2500000000001,38.2999992370001 45.2500000000001,39.0999984740001 45.2500000000001,39.900001526 45.2500000000001,40.700000763 45.2500000000001,41.5000000000001 45.2500000000001,43.0000000000001 45.2500000000001,43.0000000000001 44.450000763,43.0000000000001 43.650001526,43.0000000000001 42.8499984740001,43.0000000000001 42.0499992370001,43.0000000000001 41.2500000000001,43.0000000000001 40.450000763,43.0000000000001 39.0000000000001,42.200000763 39.0000000000001,41.400001526 39.0000000000001,40.5999984740001 39.0000000000001,39.7999992370001 39.0000000000001,39.0000000000001 39.0000000000001,38.0000000000001 39.0000000000001,37.0000000000001 39.0000000000001,36.200000763 39.0000000000001,35.400001526 39.0000000000001,34.5999984740001 39.0000000000001,33.7999992370001 39.0000000000001,33.0000000000001 39.0000000000001,32.200000763 39.0000000000001,31.399999619 39.0000000000001,30.600000381 39.0000000000001,30.5000000000001 39.0000000000001,30.5000000000001 39.7999992370001,30.5000000000001 41.0000000000001,29.0000000000001 41.0000000000001,28.2624149320001 41.3097877500001,27.0000000000001 41.8400001530001,25.7999992370001 41.8400001530001,25.0000000000001 41.8400001530001,24.200000763 41.8400001530001,23.399999619 41.8400001530001,22.600000381 41.8400001530001,21.7999992370001 41.8400001530001,21.0000000000001 41.8400001530001,21.6601734160001 42.2918510440001,22.320346832 42.7437057500001,22.9805221560001 43.1955566410001,23.640695572 43.6474113460001,24.300868988 44.0992622380001,24.9610424040001 44.551113129,25.621217728 45.0029678340001,26.2813911440001 45.454818726,26.9415645600001 45.906669617,27.601737976 46.358524323,28.2619133000001 46.810375214,28.922086716 47.262229919,30.0000000000001 48.0000000000001,30.7155418400001 47.6422309880001,31.431083679 47.28445816,32.1466255190001 46.926689148,32.8621673580001 46.5689163210001,34.0000000000001 46.0000000000001)))', 'Atlantic', '3', '37', 'MEDITERRANEAN AND BLACK SEA', '37', '37.4', 'Black Sea', '', '37.4.2', 'Black Sea', '', '', '', '', '', '', '', '', '4.2', '3', '37.4.2', '37.4.2', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 45.2500000000001,41.5000000000001 45.2500000000001,40.700000763 45.2500000000001,39.900001526 45.2500000000001,39.0999984740001 45.2500000000001,38.2999992370001 45.2500000000001,37.5000000000001 45.2500000000001,36.5999984740001 45.1399993900001,36.4399986270001 45.0900001530001,35.560001373 45.229999542,35.0000000000001 45.0000000000001,34.0000000000001 46.0000000000001,32.8621673580001 46.5689163210001,32.1466255190001 46.926689148,31.431083679 47.28445816,30.7155418400001 47.6422309880001,30.0000000000001 48.0000000000001,31.0000000000001 48.0000000000001,31.7999992370001 48.0000000000001,32.5999984740001 48.0000000000001,33.400001526 48.0000000000001,34.200000763 48.0000000000001,35.0000000000001 48.0000000000001,35.7999992370001 48.0000000000001,36.5999984740001 48.0000000000001,37.400001526 48.0000000000001,38.200000763 48.0000000000001,39.0000000000001 48.0000000000001,39.7999992370001 48.0000000000001,40.5999984740001 48.0000000000001,41.400001526 48.0000000000001,42.200000763 48.0000000000001,43.0000000000001 48.0000000000001,43.0000000000001 46.8499984740001,43.0000000000001 46.0499992370001,43.0000000000001 45.2500000000001)))', 'Atlantic', '3', '37', 'MEDITERRANEAN AND BLACK SEA', '37', '37.4', 'Black Sea', '', '37.4.3', 'Azov Sea', '', '', '', '', '', '', '', '', '4.3', '3', '37.4.3', '37.4.3', 'Y'),('SRID=4326;MULTIPOLYGON(((-49.9999999999999 -47.9999999999999,-50.799999237 -47.9999999999999,-51.599998474 -47.9999999999999,-52.400001526 -47.9999999999999,-53.2000007629999 -47.9999999999999,-53.9999999999999 -47.9999999999999,-54.799999237 -47.9999999999999,-55.599998474 -47.9999999999999,-56.400001526 -47.9999999999999,-57.2000007629999 -47.9999999999999,-57.9999999999999 -47.9999999999999,-58.799999237 -47.9999999999999,-59.599998474 -47.9999999999999,-60.400001526 -47.9999999999999,-61.2000007629999 -47.9999999999999,-61.9999999999999 -47.9999999999999,-62.799999237 -47.9999999999999,-63.599998474 -47.9999999999999,-64.400001526 -47.9999999999999,-65.199996948 -47.9999999999999,-65.9999999999999 -47.9999999999999,-66.800003052 -47.9999999999999,-67.599998474 -47.9999999999999,-68.400001526 -47.9999999999999,-69.362360893 -47.9999999999999,-69.9999999999999 -47.9999999999999,-69.9999999999999 -47.800132751,-70.003645761 -47.296333245,-70.003645761 -47.2091920559999,-70.0108963989999 -46.5528149429999,-69.7072913119999 -46.2422623319999,-65.562827122 -40.511048047,-64.9999999999999 -39.9999999999999,-63.599998474 -39.9999999999999,-62.799999237 -39.9999999999999,-61.9999999999999 -39.9999999999999,-61.2000007629999 -39.9999999999999,-60.400001526 -39.9999999999999,-59.599998474 -39.9999999999999,-58.799999237 -39.9999999999999,-57.9999999999999 -39.9999999999999,-57.2000007629999 -39.9999999999999,-56.400001526 -39.9999999999999,-55.599998474 -39.9999999999999,-54.799999237 -39.9999999999999,-53.9999999999999 -39.9999999999999,-53.2000007629999 -39.9999999999999,-52.400001526 -39.9999999999999,-51.599998474 -39.9999999999999,-50.799999237 -39.9999999999999,-49.9999999999999 -39.9999999999999,-49.9999999999999 -40.799999237,-49.9999999999999 -41.599998474,-49.9999999999999 -42.400001526,-49.9999999999999 -43.2000007629999,-49.9999999999999 -43.9999999999999,-49.9999999999999 -44.799999237,-49.9999999999999 -45.599998474,-49.9999999999999 -46.400001526,-49.9999999999999 -47.9999999999999)))', 'Atlantic', '4', '41', 'ATLANTIC, SOUTHWEST', '41', '41.3', 'Southern', '', '41.3.1', 'Northern Patagonian', '', '', '', '', '', '', '', '', '3.1', '3', '41.3.1', '41.3.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 5.6843418860808e-14,-39.9999999999999 -0.800000011999941,-39.9999999999999 -1.60000002399994,-39.9999999999999 -2.40000009499994,-39.9999999999999 -3.20000004799994,-39.9999999999999 -3.99999999999994,-39.9999999999999 -4.99999999999994,-40.799999237 -4.99999999999994,-41.599998474 -4.99999999999994,-42.400001526 -4.99999999999994,-43.2000007629999 -4.99999999999994,-43.9999999999999 -4.99999999999994,-44.799999237 -4.99999999999994,-45.599998474 -4.99999999999994,-46.400001526 -4.99999999999994,-47.2000007629999 -4.99999999999994,-47.9999999999999 -4.99999999999994,-48.799999237 -4.99999999999994,-49.599998474 -4.99999999999994,-50.400001526 -4.99999999999994,-51.2000007629999 -4.99999999999994,-51.9999999999999 -4.99999999999994,-52.799999237 -4.99999999999994,-53.599998474 -4.99999999999994,-54.9999999999999 -4.99999999999994,-54.9999999999999 -4.19999980899996,-54.9999999999999 -3.40000009499994,-54.9999999999999 -2.59999990499995,-54.9999999999999 -1.79999995199995,-54.9999999999999 -0.999999939999952,-54.9999999999999 -0.199999927999954,-54.9999999999999 0.600000083000054,-54.9999999999999 1.40000009500005,-54.9999999999999 2.20000004800005,-54.9999999999999 3.00000000000006,-54.9999999999999 3.80000019100004,-54.9999999999999 5.00000000000006,-54.7000007629999 5.00000000000006,-54.2000007629999 5.00000000000006,-53.900001526 5.00000000000006,-53.400001526 5.00000000000006,-53.099998474 5.00000000000006,-52.599998474 5.00000000000006,-52.299999237 5.00000000000006,-51.799999237 5.00000000000006,-51.4999999999999 5.00000000000006,-50.9999999999999 5.00000000000006,-50.7000007629999 5.00000000000006,-50.2000007629999 5.00000000000006,-49.900001526 5.00000000000006,-49.400001526 5.00000000000006,-49.099998474 5.00000000000006,-48.599998474 5.00000000000006,-48.299999237 5.00000000000006,-47.799999237 5.00000000000006,-47.4999999999999 5.00000000000006,-46.9999999999999 5.00000000000006,-46.7000007629999 5.00000000000006,-46.2000007629999 5.00000000000006,-45.900001526 5.00000000000006,-45.400001526 5.00000000000006,-45.099998474 5.00000000000006,-44.599998474 5.00000000000006,-44.299999237 5.00000000000006,-43.799999237 5.00000000000006,-43.4999999999999 5.00000000000006,-42.9999999999999 5.00000000000006,-42.7000007629999 5.00000000000006,-42.2000007629999 5.00000000000006,-41.900001526 5.00000000000006,-41.400001526 5.00000000000006,-41.099998474 5.00000000000006,-39.9999999999999 5.00000000000006,-39.9999999999999 4.19999980900008,-39.9999999999999 3.40000009500005,-39.9999999999999 2.59999990500006,-39.9999999999999 1.79999995200006,-39.9999999999999 0.999999940000066,-39.9999999999999 5.6843418860808e-14)))', 'Atlantic', '4', '41', 'ATLANTIC, SOUTHWEST', '41', '41.1', 'Northern', '', '41.1.1', 'Amazon', '', '', '', '', '', '', '', '', '1.1', '3', '41.1.1', '41.1.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 -19.9999999999999,-35.799999237 -19.9999999999999,-36.599998474 -19.9999999999999,-37.400001526 -19.9999999999999,-38.9999999999999 -19.9999999999999,-39.799999237 -19.9999999999999,-40.599998474 -19.9999999999999,-41.400001526 -19.9999999999999,-42.2000007629999 -19.9999999999999,-42.9999999999999 -19.9999999999999,-43.799999237 -19.9999999999999,-44.9999999999999 -19.9999999999999,-44.6422309879999 -19.2844581599999,-44.28445816 -18.568916321,-43.926689148 -17.8533744809999,-43.568916321 -17.137832642,-43.211147308 -16.422290802,-42.8533744809999 -15.706749916,-42.4956054689999 -14.991208076,-42.137832642 -14.2756662369999,-41.780063629 -13.560124397,-41.422290802 -12.844582558,-41.06452179 -12.1290407179999,-40.7067489619999 -11.4134988779999,-39.9999999999999 -9.99999999999994,-38.9999999999999 -9.99999999999994,-38.2000007629999 -9.99999999999994,-37.400001526 -9.99999999999994,-36.599998474 -9.99999999999994,-35.799999237 -9.99999999999994,-34.9999999999999 -9.99999999999994,-34.9999999999999 -10.800000191,-34.9999999999999 -11.600000381,-34.9999999999999 -12.399999619,-34.9999999999999 -13.199999809,-34.9999999999999 -13.9999999999999,-34.9999999999999 -14.800000191,-34.9999999999999 -15.600000381,-34.9999999999999 -16.399999619,-34.9999999999999 -17.2000007629999,-34.9999999999999 -17.9999999999999,-34.9999999999999 -18.799999237,-34.9999999999999 -19.9999999999999)))', 'Atlantic', '4', '41', 'ATLANTIC, SOUTHWEST', '41', '41.1', 'Northern', '', '41.1.3', 'Salvador', '', '', '', '', '', '', '', '', '1.3', '3', '41.1.3', '41.1.3', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 5.6843418860808e-14,-19.9999999999999 -5.99999999999994,-19.9999999999999 -20.000000007,-20.799999237 -19.9999999999999,-21.600000381 -19.9999999999999,-22.399999619 -19.9999999999999,-23.2000007629999 -19.9999999999999,-23.9999999999999 -19.9999999999999,-24.799999237 -19.9999999999999,-25.600000381 -19.9999999999999,-26.399999619 -19.9999999999999,-27.2000007629999 -19.9999999999999,-27.9999999999999 -19.9999999999999,-28.799999237 -19.9999999999999,-29.600000381 -19.9999999999999,-30.399999619 -19.9999999999999,-31.2000007629999 -19.9999999999999,-31.9999999999999 -19.9999999999999,-32.799999237 -19.9999999999999,-33.599998474 -19.9999999999999,-34.9999999999999 -19.9999999999999,-34.9999999999999 -18.799999237,-34.9999999999999 -17.9999999999999,-34.9999999999999 -17.2000007629999,-34.9999999999999 -16.399999619,-34.9999999999999 -15.600000381,-34.9999999999999 -14.800000191,-34.9999999999999 -13.9999999999999,-34.9999999999999 -13.199999809,-34.9999999999999 -12.399999619,-34.9999999999999 -11.600000381,-34.9999999999999 -10.800000191,-34.9999999999999 -9.99999999999994,-33.599998474 -9.99999999999994,-32.799999237 -9.99999999999994,-31.9999999999999 -9.99999999999994,-31.9999999999999 -8.80000019099998,-31.9999999999999 -7.99999999999994,-31.9999999999999 -7.20000028599998,-31.9999999999999 -6.40000009499994,-31.9999999999999 -5.59999990499995,-31.9999999999999 -4.80000019099998,-31.9999999999999 -3.99999999999994,-31.9999999999999 -3.20000004799994,-31.9999999999999 -2.40000009499994,-31.9999999999999 -1.60000002399994,-31.9999999999999 -0.800000011999941,-31.9999999999999 5.6843418860808e-14,-33.599998474 5.6843418860808e-14,-34.400001526 5.6843418860808e-14,-35.2000007629999 5.6843418860808e-14,-35.9999999999999 5.6843418860808e-14,-36.799999237 5.6843418860808e-14,-37.599998474 5.6843418860808e-14,-38.400001526 5.6843418860808e-14,-39.2000007629999 5.6843418860808e-14,-39.9999999999999 5.6843418860808e-14,-39.9999999999999 0.999999940000066,-39.9999999999999 1.79999995200006,-39.9999999999999 2.59999990500006,-39.9999999999999 3.40000009500005,-39.9999999999999 4.19999980900008,-39.9999999999999 5.00000000000006,-39.2000007629999 5.00000000000006,-38.400001526 5.00000000000006,-37.599998474 5.00000000000006,-36.799999237 5.00000000000006,-35.9999999999999 5.00000000000006,-35.2000007629999 5.00000000000006,-34.400001526 5.00000000000006,-33.599998474 5.00000000000006,-32.799999237 5.00000000000006,-31.9999999999999 5.00000000000006,-31.2000007629999 5.00000000000006,-29.9999999999999 5.00000000000006,-29.9999999999999 4.19999980900008,-29.9999999999999 3.40000009500005,-29.9999999999999 2.59999990500006,-29.9999999999999 1.79999995200006,-29.9999999999999 0.999999940000066,-29.9999999999999 5.6843418860808e-14,-29.2000007629999 5.6843418860808e-14,-28.399999619 5.6843418860808e-14,-27.600000381 5.6843418860808e-14,-26.799999237 5.6843418860808e-14,-25.9999999999999 5.6843418860808e-14,-25.2000007629999 5.6843418860808e-14,-24.399999619 5.6843418860808e-14,-23.600000381 5.6843418860808e-14,-22.799999237 5.6843418860808e-14,-21.9999999999999 5.6843418860808e-14,-21.2000007629999 5.6843418860808e-14,-19.9999999999999 5.6843418860808e-14)))', 'Atlantic', '4', '41', 'ATLANTIC, SOUTHWEST', '41', '41.1', 'Northern', '', '41.1.4', 'Nothern Oceanic', '', '', '', '', '', '', '', '', '1.4', '3', '41.1.4', '41.1.4', 'Y'),('SRID=4326;MULTIPOLYGON(((-44.9999999999999 -28.9999999999999,-45.799999237 -28.9999999999999,-46.599998474 -28.9999999999999,-47.400001526 -28.9999999999999,-48.2000007629999 -28.9999999999999,-48.9999999999999 -28.9999999999999,-49.799999237 -28.9999999999999,-50.599998474 -28.9999999999999,-51.400001526 -28.9999999999999,-52.2000007629999 -28.9999999999999,-52.9999999999999 -28.9999999999999,-53.799999237 -28.9999999999999,-54.9999999999999 -28.9999999999999,-54.40536499 -28.4648284909999,-53.81072998 -27.929656982,-53.216094971 -27.394485474,-52.621459961 -26.859312057,-52.026824951 -26.3241405489999,-51.4321899409999 -25.78896904,-50.837551117 -25.253797531,-50.242916107 -24.718626022,-49.6482810969999 -24.1834545139999,-49.0536460879999 -23.6482810969999,-48.4590110779999 -23.113109589,-47.864376068 -22.57793808,-47.269741058 -22.042766571,-46.675106049 -21.507595062,-46.080471039 -20.9724235529999,-44.9999999999999 -19.9999999999999,-43.799999237 -19.9999999999999,-42.9999999999999 -19.9999999999999,-42.2000007629999 -19.9999999999999,-41.400001526 -19.9999999999999,-40.599998474 -19.9999999999999,-39.799999237 -19.9999999999999,-38.9999999999999 -19.9999999999999,-38.9999999999999 -20.799999237,-38.9999999999999 -21.600000381,-38.9999999999999 -22.399999619,-38.9999999999999 -23.2000007629999,-38.9999999999999 -23.9999999999999,-38.9999999999999 -24.799999237,-38.9999999999999 -25.600000381,-38.9999999999999 -26.399999619,-38.9999999999999 -27.2000007629999,-38.9999999999999 -27.9999999999999,-38.9999999999999 -28.9999999999999,-39.799999237 -28.9999999999999,-40.599998474 -28.9999999999999,-41.400001526 -28.9999999999999,-42.2000007629999 -28.9999999999999,-42.9999999999999 -28.9999999999999,-43.799999237 -28.9999999999999,-44.9999999999999 -28.9999999999999)))', 'Atlantic', '4', '41', 'ATLANTIC, SOUTHWEST', '41', '41.2', 'Central', '', '41.2.1', 'Santos', '', '', '', '', '', '', '', '', '2.1', '3', '41.2.1', '41.2.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-49.9999999999999 -33.9999999999999,-50.799999237 -33.9999999999999,-51.599998474 -33.9999999999999,-52.400001526 -33.9999999999999,-53.2000007629999 -33.9999999999999,-53.9999999999999 -33.9999999999999,-54.9999999999999 -33.9999999999999,-54.9999999999999 -33.2000007629999,-54.9999999999999 -32.400001526,-54.9999999999999 -31.600000381,-54.9999999999999 -30.799999237,-54.9999999999999 -29.9999999999999,-54.9999999999999 -29.046768346,-54.9999999999999 -28.9999999999999,-53.799999237 -28.9999999999999,-52.9999999999999 -28.9999999999999,-52.2000007629999 -28.9999999999999,-51.400001526 -28.9999999999999,-50.599998474 -28.9999999999999,-49.799999237 -28.9999999999999,-48.9999999999999 -28.9999999999999,-48.2000007629999 -28.9999999999999,-47.400001526 -28.9999999999999,-46.599998474 -28.9999999999999,-45.799999237 -28.9999999999999,-44.9999999999999 -28.9999999999999,-44.9999999999999 -29.799999237,-44.9999999999999 -30.600000381,-44.9999999999999 -31.399999619,-44.9999999999999 -32.2000007629999,-44.9999999999999 -32.9999999999999,-44.9999999999999 -33.9999999999999,-45.799999237 -33.9999999999999,-46.599998474 -33.9999999999999,-47.400001526 -33.9999999999999,-48.2000007629999 -33.9999999999999,-48.9999999999999 -33.9999999999999,-49.9999999999999 -33.9999999999999)))', 'Atlantic', '4', '41', 'ATLANTIC, SOUTHWEST', '41', '41.2', 'Central', '', '41.2.2', 'Rio Grande', '', '', '', '', '', '', '', '', '2.2', '3', '41.2.2', '41.2.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-54.9999999999999 -33.9999999999999,-53.9999999999999 -33.9999999999999,-53.2000007629999 -33.9999999999999,-52.400001526 -33.9999999999999,-51.599998474 -33.9999999999999,-50.799999237 -33.9999999999999,-49.9999999999999 -33.9999999999999,-49.9999999999999 -34.799999237,-49.9999999999999 -35.599998474,-49.9999999999999 -36.400001526,-49.9999999999999 -37.2000007629999,-49.9999999999999 -37.9999999999999,-49.9999999999999 -38.799999237,-49.9999999999999 -39.9999999999999,-50.799999237 -39.9999999999999,-51.599998474 -39.9999999999999,-52.400001526 -39.9999999999999,-53.2000007629999 -39.9999999999999,-53.9999999999999 -39.9999999999999,-54.799999237 -39.9999999999999,-55.599998474 -39.9999999999999,-56.400001526 -39.9999999999999,-57.2000007629999 -39.9999999999999,-57.9999999999999 -39.9999999999999,-58.799999237 -39.9999999999999,-59.599998474 -39.9999999999999,-60.400001526 -39.9999999999999,-61.2000007629999 -39.9999999999999,-61.9999999999999 -39.9999999999999,-62.799999237 -39.9999999999999,-63.599998474 -39.9999999999999,-64.9999999999999 -39.9999999999999,-64.9999999999999 -39.2000007629999,-64.9999999999999 -38.8877148359999,-64.9999999999999 -38.5839315429999,-62.014997374 -34.580516256,-59.258152144 -32.296739142,-55.5605127759999 -29.233605938,-54.9999999999999 -29.046768346,-54.9999999999999 -29.9999999999999,-54.9999999999999 -30.799999237,-54.9999999999999 -31.600000381,-54.9999999999999 -32.400001526,-54.9999999999999 -33.2000007629999,-54.9999999999999 -33.9999999999999)))', 'Atlantic', '4', '41', 'ATLANTIC, SOUTHWEST', '41', '41.2', 'Central', '', '41.2.3', 'Platense', '', '', '', '', '', '', '', '', '2.3', '3', '41.2.3', '41.2.3', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 -20.000000007,-19.9999999999999 -24.9999999999999,-19.9999999999999 -27.9999999999999,-19.9999999999999 -29.9999999999999,-19.9999999999999 -39.9999999999999,-49.9999999999999 -39.9999999999999,-49.9999999999999 -38.799999237,-49.9999999999999 -37.9999999999999,-49.9999999999999 -37.2000007629999,-49.9999999999999 -36.400001526,-49.9999999999999 -35.599998474,-49.9999999999999 -34.799999237,-49.9999999999999 -33.9999999999999,-48.9999999999999 -33.9999999999999,-48.2000007629999 -33.9999999999999,-47.400001526 -33.9999999999999,-46.599998474 -33.9999999999999,-45.799999237 -33.9999999999999,-44.9999999999999 -33.9999999999999,-44.9999999999999 -32.9999999999999,-44.9999999999999 -32.2000007629999,-44.9999999999999 -31.399999619,-44.9999999999999 -30.600000381,-44.9999999999999 -29.799999237,-44.9999999999999 -28.9999999999999,-43.799999237 -28.9999999999999,-42.9999999999999 -28.9999999999999,-42.2000007629999 -28.9999999999999,-41.400001526 -28.9999999999999,-40.599998474 -28.9999999999999,-39.799999237 -28.9999999999999,-38.9999999999999 -28.9999999999999,-38.9999999999999 -27.9999999999999,-38.9999999999999 -27.2000007629999,-38.9999999999999 -26.399999619,-38.9999999999999 -25.600000381,-38.9999999999999 -24.799999237,-38.9999999999999 -23.9999999999999,-38.9999999999999 -23.2000007629999,-38.9999999999999 -22.399999619,-38.9999999999999 -21.600000381,-38.9999999999999 -20.799999237,-38.9999999999999 -19.9999999999999,-37.400001526 -19.9999999999999,-36.599998474 -19.9999999999999,-35.799999237 -19.9999999999999,-34.9999999999999 -19.9999999999999,-33.599998474 -19.9999999999999,-32.799999237 -19.9999999999999,-31.9999999999999 -19.9999999999999,-31.2000007629999 -19.9999999999999,-30.399999619 -19.9999999999999,-29.600000381 -19.9999999999999,-28.799999237 -19.9999999999999,-27.9999999999999 -19.9999999999999,-27.2000007629999 -19.9999999999999,-26.399999619 -19.9999999999999,-25.600000381 -19.9999999999999,-24.799999237 -19.9999999999999,-23.9999999999999 -19.9999999999999,-23.2000007629999 -19.9999999999999,-22.399999619 -19.9999999999999,-21.600000381 -19.9999999999999,-20.799999237 -19.9999999999999,-19.9999999999999 -20.000000007)))', 'Atlantic', '4', '41', 'ATLANTIC, SOUTHWEST', '41', '41.2', 'Central', '', '41.2.4', 'Central Oceanic', '', '', '', '', '', '', '', '', '2.4', '3', '41.2.4', '41.2.4', 'Y'),('SRID=4326;MULTIPOLYGON(((-49.9999999999999 -49.9999999999999,-49.9999999999999 -50.799999237,-49.9999999999999 -51.599998474,-49.9999999999999 -52.400001526,-49.9999999999999 -53.2000007629999,-49.9999999999999 -53.9999999999999,-49.9999999999999 -54.799999237,-49.9999999999999 -55.599998474,-49.9999999999999 -56.400001526,-49.9999999999999 -56.9999999999999,-49.9999999999999 -57.2000007629999,-49.9999999999999 -57.799999237,-49.9999999999999 -57.9999999999999,-49.9999999999999 -58.599998474,-49.9999999999999 -58.799999237,-49.9999999999999 -59.9999999999999,-50.799999237 -59.9999999999999,-51.599998474 -59.9999999999999,-52.400001526 -59.9999999999999,-53.2000007629999 -59.9999999999999,-53.9999999999999 -59.9999999999999,-54.799999237 -59.9999999999999,-55.599998474 -59.9999999999999,-56.400001526 -59.9999999999999,-57.2000007629999 -59.9999999999999,-57.9999999999999 -59.9999999999999,-58.799999237 -59.9999999999999,-59.599998474 -59.9999999999999,-60.400001526 -59.9999999999999,-61.2000007629999 -59.9999999999999,-61.9999999999999 -59.9999999999999,-62.799999237 -59.9999999999999,-63.599998474 -59.9999999999999,-64.400001526 -59.9999999999999,-65.199996948 -59.9999999999999,-65.9999999999999 -59.9999999999999,-66.800003052 -59.9999999999999,-67.269996643 -59.9999999999999,-67.269996643 -59.2000007629999,-67.269996643 -58.638313293,-67.269996643 -58.400001526,-67.269996643 -57.599998474,-67.269996643 -57.198501587,-67.269996643 -56.369998932,-65.720001221 -56.369998932,-65.720001221 -55.7854712179999,-65.720001221 -55.504942301,-65.720001221 -55.369998932,-65.720852625 -55.369536742,-65.8593218789999 -55.294367934,-66.069999695 -55.180000305,-66.243351102 -55.150282111,-66.288490232 -55.142543764,-66.4199981689999 -55.119998932,-66.429578019 -55.1170513069999,-66.809997559 -54.9999999999999,-67.1699981689999 -54.930000305,-67.3799972529999 -54.9099998469999,-67.489997864 -54.9099998469999,-67.499003209 -54.912250754,-67.529998779 -54.9199981689999,-67.572149488 -54.9106333299999,-67.6200027469999 -54.900001526,-67.717669483 -54.8944204169999,-67.931147809 -54.8822213239999,-67.970001221 -54.880001068,-68.021483953 -54.8817168969999,-68.269996643 -54.88999939,-68.4599990839999 -54.88999939,-68.551834137 -54.907217367,-68.6200027469999 -54.9199981689999,-68.6200027469999 -54.914856347,-68.6200027469999 -54.892456055,-68.6200027469999 -54.3476336919999,-68.6200027469999 -54.093418175,-68.619690326 -54.0935130459999,-68.619690326 -54.001322429,-68.632072771 -53.981320018,-68.6325031809999 -53.9791679689999,-68.633167197 -53.979491004,-68.65874346 -53.93964555,-69.052146912 -53.3267593379999,-69.5509719849999 -52.5496482849999,-69.569999695 -52.520000458,-69.63079834 -52.4569511409999,-70.125305176 -51.944126129,-70.680618286 -51.368247986,-70.74970325 -51.29660495,-70.799207182 -50.430286128,-70.71023924 -48.71023924,-69.9999999999999 -47.9999999999999,-69.362360893 -47.9999999999999,-68.400001526 -47.9999999999999,-67.599998474 -47.9999999999999,-66.800003052 -47.9999999999999,-65.9999999999999 -47.9999999999999,-65.199996948 -47.9999999999999,-64.400001526 -47.9999999999999,-63.599998474 -47.9999999999999,-62.799999237 -47.9999999999999,-61.9999999999999 -47.9999999999999,-61.2000007629999 -47.9999999999999,-60.400001526 -47.9999999999999,-59.599998474 -47.9999999999999,-58.799999237 -47.9999999999999,-57.9999999999999 -47.9999999999999,-57.2000007629999 -47.9999999999999,-56.400001526 -47.9999999999999,-55.599998474 -47.9999999999999,-54.799999237 -47.9999999999999,-53.9999999999999 -47.9999999999999,-53.2000007629999 -47.9999999999999,-52.400001526 -47.9999999999999,-51.599998474 -47.9999999999999,-50.799999237 -47.9999999999999,-49.9999999999999 -47.9999999999999,-49.9999999999999 -48.799999237,-49.9999999999999 -49.9999999999999)))', 'Atlantic', '4', '41', 'ATLANTIC, SOUTHWEST', '41', '41.3', 'Southern', '', '41.3.2', 'Southern Patagonian', '', '', '', '', '', '', '', '', '3.2', '3', '41.3.2', '41.3.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-49.9999999999999 -39.9999999999999,-19.9999999999999 -39.9999999999999,-19.9999999999999 -49.9999999999999,-20.799999237 -49.9999999999999,-21.600000381 -49.9999999999999,-22.399999619 -49.9999999999999,-23.2000007629999 -49.9999999999999,-23.9999999999999 -49.9999999999999,-24.799999237 -49.9999999999999,-25.600000381 -49.9999999999999,-26.399999619 -49.9999999999999,-27.2000007629999 -49.9999999999999,-27.9999999999999 -49.9999999999999,-28.799999237 -49.9999999999999,-29.600000381 -49.9999999999999,-29.9999999999999 -49.9999999999999,-30.399999619 -49.9999999999999,-30.799999237 -49.9999999999999,-31.2000007629999 -49.9999999999999,-31.600000381 -49.9999999999999,-31.9999999999999 -49.9999999999999,-32.400001526 -49.9999999999999,-32.799999237 -49.9999999999999,-33.2000007629999 -49.9999999999999,-33.599998474 -49.9999999999999,-33.9999999999999 -49.9999999999999,-34.400001526 -49.9999999999999,-34.799999237 -49.9999999999999,-35.2000007629999 -49.9999999999999,-35.599998474 -49.9999999999999,-35.9999999999999 -49.9999999999999,-36.400001526 -49.9999999999999,-36.799999237 -49.9999999999999,-37.2000007629999 -49.9999999999999,-37.599998474 -49.9999999999999,-37.9999999999999 -49.9999999999999,-38.400001526 -49.9999999999999,-38.799999237 -49.9999999999999,-39.2000007629999 -49.9999999999999,-39.599998474 -49.9999999999999,-39.9999999999999 -49.9999999999999,-40.400001526 -49.9999999999999,-40.799999237 -49.9999999999999,-41.2000007629999 -49.9999999999999,-41.599998474 -49.9999999999999,-41.9999999999999 -49.9999999999999,-42.400001526 -49.9999999999999,-42.799999237 -49.9999999999999,-43.2000007629999 -49.9999999999999,-43.599998474 -49.9999999999999,-43.9999999999999 -49.9999999999999,-44.400001526 -49.9999999999999,-44.799999237 -49.9999999999999,-45.2000007629999 -49.9999999999999,-45.599998474 -49.9999999999999,-45.9999999999999 -49.9999999999999,-46.400001526 -49.9999999999999,-46.799999237 -49.9999999999999,-47.2000007629999 -49.9999999999999,-47.599998474 -49.9999999999999,-47.9999999999999 -49.9999999999999,-48.400001526 -49.9999999999999,-48.799999237 -49.9999999999999,-49.9999999999999 -49.9999999999999,-49.9999999999999 -48.799999237,-49.9999999999999 -47.9999999999999,-49.9999999999999 -46.400001526,-49.9999999999999 -45.599998474,-49.9999999999999 -44.799999237,-49.9999999999999 -43.9999999999999,-49.9999999999999 -43.2000007629999,-49.9999999999999 -42.400001526,-49.9999999999999 -41.599998474,-49.9999999999999 -40.799999237,-49.9999999999999 -39.9999999999999)))', 'Atlantic', '4', '41', 'ATLANTIC, SOUTHWEST', '41', '41.3', 'Southern', '', '41.3.3', 'Southern Oceanic', '', '', '', '', '', '', '', '', '3.3', '3', '41.3.3', '41.3.3', 'Y'),('SRID=4326;MULTIPOLYGON(((14.678958478 -6.43814412799998,15.994903601 -7.96296942999993,15.977045979 -7.98916060799996,16.0000000000001 -7.99999999999994,16.0000000000001 -8.80000019099998,16.0000000000001 -9.99999999999994,9.78434562100006 -9.99999999999994,9.68447131100004 -9.62233836399997,9.66684818200002 -9.56265334399995,9.65831555900007 -9.53374635399996,9.63738273100006 -9.06706079499997,9.63389768900004 -9.02606252699997,9.63044381800006 -8.98541952499994,9.67608171400008 -8.52731621599997,9.68032697500007 -8.48064841399997,9.69073282900007 -8.44043734799993,9.70023059300007 -8.38307329499997,9.61134873000003 -8.24493030599996,9.58523260800007 -8.18834292599996,9.56653210000007 -8.15321493399995,9.54347893800002 -8.10989745399996,9.47834774200004 -7.98743522199993,9.46899022200006 -7.96831443399998,9.46227249400005 -7.95458769299995,9.45675464400006 -7.93731266199995,9.27525318100004 -7.64202515799997,9.22964453000003 -7.53235070199997,9.19591721100005 -7.45121186099993,9.18767350100006 -7.42806802199993,9.04975758200004 -7.04052097399995,9.03888638400002 -7.00820422999993,9.03045418600004 -6.97555726199994,9.00595411900002 -6.80034353699995,8.91859202700005 -6.55477200199994,8.90947242900006 -6.51966611099994,8.88858151900007 -6.41261800299998,8.88982441300004 -6.41131420299996,8.80528249700006 -6.33098669699996,8.77898012700007 -6.30511330899998,8.66819656100006 -6.19612109499997,8.62520421600004 -6.14921048799994,8.50650681100007 -6.01967261299995,8.49053241400003 -5.99999999999994,8.60000038100003 -5.99999999999994,8.80000019100004 -5.99999999999994,9.39999961900003 -5.99999999999994,10.0000000000001 -5.99999999999994,10.1999998090001 -5.99999999999994,10.800000191 -5.99999999999994,11.0000000000001 -5.99999999999994,12.0000000000001 -5.99999999999994,12.329999924 -6.07660007499993,12.329937549 -6.07665215799994,12.33 -6.07666666699993,12.3209746650001 -6.08987295999998,12.305161298 -6.09734038399995,12.289999962 -6.11000013399996,12.289999962 -6.15777858699994,12.316202483 -6.17815832599996,12.6257927030001 -6.32344884599996,12.683935058 -6.43408082499997,12.6925396990001 -6.43814412799998,14.678958478 -6.43814412799998)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.1', '', '', '47.1.1', 'Cape Palmeirinhas', '1.1', '', '', '', '', '', '', '', '1.1', '3', '47.1.1', '47.1.1', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 -15.000000018,8.41159699300005 -15.000000176,8.43058179400003 -14.932369433,8.44495797700006 -14.8847227059999,8.67412892100003 -14.3269485439999,8.69132508200005 -14.2944097119999,8.83338153500006 -14.125624015,8.86906321100003 -14.08318659,8.93393101700002 -14.005993958,8.91553291800005 -13.983615394,8.89536457400004 -13.959078269,8.90454588500006 -13.9259782309999,8.95655237500006 -13.8346291939999,8.95709031600006 -13.8043440009999,8.95758763400005 -13.7763401719999,8.95914161800005 -13.6888002439999,8.96969125800007 -13.6328078839999,8.99098251100003 -13.58906623,9.00821261200002 -13.433858345,9.02787747900004 -13.3330100759999,9.04265438000004 -13.26110999,9.05165895800008 -13.221800279,9.15451062800003 -12.904675943,9.20948973600002 -12.837689376,9.21988254200005 -12.8126977429999,9.25306641700007 -12.489951048,9.27388374700007 -12.424468001,9.59776771600002 -11.720749719,9.63457459900008 -11.661287821,9.83801949200006 -11.416339346,9.92072075300007 -11.2783131539999,10.1235039650001 -11.024348286,10.019271336 -10.819638093,10.0080168380001 -10.795264937,9.99727002300006 -10.7642528769999,9.90925500500003 -10.456722627,9.89471590100004 -10.405846852,9.85523976400003 -10.267616732,9.82943008100005 -10.170280509,9.80223798000003 -10.067657617,9.78434562100006 -9.99999999999994,16.0000000000001 -9.99999999999994,16.0000000000001 -10.800000191,16.0000000000001 -11.600000381,16.0000000000001 -12.399999619,16.0000000000001 -13.199999809,16.0000000000001 -13.9999999999999,16.0000000000001 -15.000000018)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.1', '', '', '47.1.2', 'Cape Salinas', '1.2', '', '', '', '', '', '', '', '1.2', '3', '47.1.2', '47.1.2', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 -18.9999999999999,16.0000000000001 -19.9999999999999,15.1999998090001 -19.9999999999999,14.399999619 -19.9999999999999,13.600000381 -19.9999999999999,13.4 -19.9999999999999,12.800000191 -19.9999999999999,12.0000000000001 -19.9999999999999,11.1999998090001 -19.9999999999999,10.0000000000001 -19.9999999999999,8.90049623000004 -20.000000245,8.89882156300007 -20.000000245,8.87631829000003 -19.956678971,8.74509894100004 -19.6677021899999,8.72764790500003 -19.6231483939999,8.72040028300006 -19.567142035,8.67922575600005 -19.5112775719999,8.56870530900005 -19.318508677,8.54917403200005 -19.2660534259999,8.47879742100002 -18.9787490319999,8.45667983200008 -18.8882031059999,8.44827357300005 -18.8537573259999,8.43996360400007 -18.7964407339999,8.43380836000006 -18.715069952,8.37206679500002 -18.5067738829999,8.36076286000002 -18.4589843689999,8.35075147700007 -18.41569864,8.33202914700007 -18.3346757149999,8.36603145100003 -18.284393113,8.29049362700005 -18.077260312,8.28184771000002 -18.0207893379999,8.27556762100005 -17.9621142849999,8.25852225100004 -17.620593432,8.25878520600003 -17.5815059299999,8.26986274400002 -17.342014363,8.27206488100006 -17.3163585889999,8.27891000100004 -17.2206250629999,8.27145185500007 -17.1229067149999,8.22653379000008 -16.813038809,8.22355681200003 -16.7663706659999,8.23709554100003 -16.236968502,8.23744176800005 -16.223430062,8.24294803100003 -16.175598129,8.30393037900006 -15.8727035599999,8.28732264500007 -15.7996956069999,8.38556318700006 -15.0963017609999,8.39804380500004 -15.0482815459999,8.41159699300005 -15.000000176,16.0000000000001 -15.000000018,16.0000000000001 -15.800000191,16.0000000000001 -16.600000381,16.0000000000001 -17.399999619,16.0000000000001 -18.2000007629999,16.0000000000001 -18.9999999999999)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.1', '', '', '47.1.3', 'Cunene', '1.3', '', '', '', '', '', '', '', '1.3', '3', '47.1.3', '47.1.3', 'Y');

INSERT INTO fao (geom, ocean, subocean, f_area, name, area_l, f_subarea, subarea_n, subarea_l, f_division, division_n, division_l, f_subdivis, subdivis_n, subdivis_l, f_subunit, subunit_n, subunit_l, ele_name, ele_label, ele_type, f_label, code, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((16.0000000000001 -19.9999999999999,16.0000000000001 -20.799999237,16.0000000000001 -21.600000381,16.0000000000001 -22.399999619,16.0000000000001 -23.2000007629999,16.0000000000001 -23.9999999999999,16.0000000000001 -24.9999999999999,10.9258310930001 -24.9999999999999,10.90364849 -24.853769176,10.8511132190001 -24.5164981089999,10.8477712660001 -24.4643688859999,10.8435868400001 -24.399040575,10.8411799040001 -24.361433716,10.816186623 -23.9696658139999,10.814965187 -23.893101556,10.816711249 -23.8528811799999,10.8218953740001 -23.8178384129999,10.834214773 -23.734489299,10.816331744 -23.624627634,10.821710538 -23.5085054629999,10.8173614460001 -23.4468895209999,10.8261424200001 -23.2860611209999,10.749225548 -23.193208995,10.6927138940001 -23.1248837269999,10.647007871 -23.030521784,10.6148559870001 -22.998850741,10.416153862 -22.6809189049999,10.3799169330001 -22.629696403,10.3620841170001 -22.604471567,10.309745731 -22.5303717739999,10.2842026340001 -22.4929648729999,10.2595757020001 -22.438557096,10.211939536 -22.3331798999999,10.1901300260001 -22.2848747629999,10.0746876320001 -22.0285582679999,10.0648850800001 -22.002772052,10.055767234 -21.965852341,9.93261313900007 -21.660397066,9.88437556200006 -21.5226687869999,9.85970231800007 -21.4779605759999,9.78857078100003 -21.3398879759999,9.77558553100005 -21.314648683,9.75423814500004 -21.275252721,9.73530033900005 -21.240282032,9.70627524300005 -21.167613199,9.65939497800002 -21.0869516299999,9.64117657800006 -21.055575716,9.62766263300006 -21.031800935,9.58679914400005 -20.9598531259999,9.56952097300007 -20.9273310199999,9.57193819700007 -20.842191651,9.51398465400007 -20.816193917,9.49048973100003 -20.7917882319999,9.40826591300004 -20.7110295969999,9.20112378200002 -20.474074967,9.17114367600004 -20.434155888,8.90363847800006 -20.0092733349999,8.89882156300007 -20.000000245,8.90049623000004 -20.000000245,10.0000000000001 -19.9999999999999,11.1999998090001 -19.9999999999999,12.0000000000001 -19.9999999999999,12.800000191 -19.9999999999999,13.4 -19.9999999999999,13.600000381 -19.9999999999999,14.399999619 -19.9999999999999,15.1999998090001 -19.9999999999999,16.0000000000001 -19.9999999999999)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.1', '', '', '47.1.4', 'Cape Cross', '1.4', '', '', '', '', '', '', '', '1.4', '3', '47.1.4', '47.1.4', 'Y'),('SRID=4326;MULTIPOLYGON(((80.0000000000001 -63.9999999999999,73.1667 -63.9999999999999,73.1666995680001 -61.999999824,73.1666995680001 -55.999999553,79.9999995750001 -55.999999553,79.9999995750001 -55.799999553,79.9999997450001 -54.999999552,80.8000025750001 -54.999999552,81.199996576 -54.999999552,81.5999985760001 -54.999999552,81.9999995760001 -54.999999552,82.4000015770001 -54.999999552,82.7999955770001 -54.999999552,83.199996577 -54.999999552,83.5999985780001 -54.999999552,83.9999995780001 -54.999999552,84.400001579 -54.999999552,84.8000025790001 -54.999999552,85.1999965790001 -54.999999552,85.59999858 -54.999999552,85.9999995800001 -54.999999552,86.0000000000001 -63.9999999999999,80.0000000000001 -63.9999999999999)))', 'Indian', '10', '58', 'INDIAN OCEAN, ANTARCTIC AND SOUTHERN', '58', '58.4', 'Enderby-Wilkes', '4', '58.4.3', 'BANZARE Bank', '4.3', '58.4.3.b', '', '4.3.b', '', '', '', '', '4.3.b', '4', '58.4.3.b', '58.4.3.b', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 -29.9999999999999,12.6905846990001 -29.9999999999999,12.66254421 -29.9677062869999,12.6202027210001 -29.9156972549999,12.514049791 -29.732184001,12.483763197 -29.67489807,12.404173981 -29.561287259,12.372462329 -29.515952941,12.321823732 -29.4755536709999,12.3551123840001 -29.44954623,12.3319934900001 -29.4210578289999,12.14696574 -29.192481347,12.115886056 -29.1325928539999,12.0842947460001 -29.061049619,12.056976696 -29.011844056,12.017172988 -28.953008999,11.9914544230001 -28.910734938,11.958332426 -28.8537319339999,11.8018186940001 -28.4935070879999,11.6877187740001 -28.2295288,11.701116304 -28.1773238719999,11.679075203 -28.133440379,11.654536529 -28.0845456509999,11.6349350620001 -28.0454593379999,11.627023498 -28.017261517,11.622183846 -27.9999999999999,11.6097099250001 -27.9555094409999,11.5866243200001 -27.8730755899999,11.5755134450001 -27.833362338,11.5452846860001 -27.7076327299999,11.532829055 -27.655753639,11.524859312 -27.607371422,11.4776022090001 -27.574985216,11.4932682150001 -27.530661144,11.4488759450001 -27.4830522619999,11.3912467430001 -27.3008406879999,11.3159450260001 -26.8300249119999,11.28363976 -26.626981448,11.2780871530001 -26.5920181349999,11.1787365910001 -26.2930257859999,11.1679221210001 -26.224062604,11.171622343 -25.948987689,11.045103926 -25.704126892,11.022553556 -25.637608026,10.9258310930001 -24.9999999999999,16.0000000000001 -24.9999999999999,16.4997558590001 -25.624694824,16.9995117190001 -26.249389648,17.4992675780001 -26.874084473,17.9990234380001 -27.498781204,18.4987812040001 -28.123476028,18.9985370640001 -28.748170853,19.4982929230001 -29.3728656769999,20.0000000000001 -29.9999999999999)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.1', '', '', '47.1.5', 'Orange River', '1.5', '', '', '', '', '', '', '', '1.5', '3', '47.1.5', '47.1.5', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 -38.147061365,19.9731148440001 -38.1474925759999,19.9284079400001 -38.151936038,19.83863553 -38.139553575,19.749433536 -38.1379390439999,19.684512834 -38.127385408,19.3080249500001 -38.0941353499999,19.125697598 -38.068907786,19.030883751 -38.055146,18.9853475460001 -38.048512256,18.9498557380001 -38.043330811,18.879121405 -38.032975629,18.4899554350001 -37.9491670149999,18.044726348 -37.85175692,18.0042762680001 -37.8375121459999,17.749759768 -37.725516007,17.5743635640001 -37.6478991399999,17.4421779030001 -37.5929300189999,17.337888724 -37.549424702,17.288961925 -37.53087597,16.827162667 -37.4070165279999,16.7875647980001 -37.392575366,16.0804400430001 -37.050654731,15.6248813610001 -36.7447559789999,15.5941929260001 -36.7201938489999,15.4421560110001 -36.5910618509999,15.4066897220001 -36.5590874989999,15.223680055 -36.3807223969999,15.1974035220001 -36.3530098639999,14.763708158 -35.7481580099999,14.743299092 -35.700439918,14.6803243950001 -35.598758319,14.454891891 -35.0840300749999,14.4352912480001 -34.9999999999999,14.35946972 -34.674944926,14.343238061 -34.566548192,14.2553796460001 -34.436071781,14.238172859 -34.4042100779999,13.958070821 -33.6196476019999,13.9450684940001 -33.550954492,13.9140702220001 -33.0058942969999,13.896227362 -32.8535961219999,13.8976767360001 -32.784969584,13.897697142 -32.784003357,13.914494974 -32.536213382,13.993978563 -32.1729894109999,13.965484916 -32.1386965849999,13.911020539 -32.038878293,13.894417618 -32.006948999,13.862896516 -31.939483961,13.786634109 -31.780641508,13.7688350390001 -31.743485434,13.750522624 -31.7038453069999,13.573832608 -31.31952395,13.58053061 -31.266173539,13.5054074500001 -31.107099666,13.718419345 -30.9493131089999,13.715123874 -30.9463011459999,13.642129906 -30.8794675689999,13.6075866530001 -30.8504726849999,13.561959619 -30.812143007,13.536071027 -30.790219178,13.491339861 -30.761746412,13.3865126540001 -30.66333793,13.341215468 -30.6248324319999,13.319497013 -30.6051148089999,13.284874405 -30.582527075,13.262452216 -30.56789076,13.231913982 -30.520009138,13.170709247 -30.4899278899999,13.024104934 -30.355645414,12.967445594 -30.300460363,12.836751174 -30.165440095,12.8327774860001 -30.1272334409999,12.8071474390001 -30.1060918499999,12.7207594380001 -30.03475169,12.6905846990001 -29.9999999999999,20.0000000000001 -29.9999999999999,20.0000000000001 -38.147061365)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.1', '', '', '47.1.6', 'Cape of Good Hope', '1.6', '', '', '', '', '', '', '', '1.6', '3', '47.1.6', '47.1.6', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 -37.5310523699999,24.916964669 -37.5234603449999,24.861002942 -37.5423674579999,24.3316306400001 -37.512877287,24.2323820990001 -37.5071217289999,23.3913231170001 -37.452357241,23.3375495510001 -37.472914411,23.3062796190001 -37.4826578989999,23.2715216830001 -37.493566922,22.7759680080001 -37.618258377,22.73499315 -37.626128867,22.534765914 -37.6599963909999,22.476519608 -37.6685246769999,22.1972910320001 -37.700791318,22.101454679 -37.6883545909999,22.072360185 -37.703856614,21.9364129160001 -37.7490803549999,21.8260127020001 -37.811636469,21.77183977 -37.8304670529999,21.7318329660001 -37.844354825,21.3244574710001 -37.984869846,21.1879485430001 -38.010463482,20.969837807 -38.051765835,20.9267198320001 -38.059886002,20.656744121 -38.110393185,20.5515278030001 -38.1143738129999,20.510109734 -38.138285184,20.200372927 -38.143847579,20.0000000000001 -38.147061365,20.0000000000001 -29.9999999999999,20.7999992370001 -29.9999999999999,21.600000381 -29.9999999999999,22.399999619 -29.9999999999999,23.200000763 -29.9999999999999,24.0000000000001 -29.9999999999999,25.0000000000001 -29.9999999999999,25.0000000000001 -37.5310523699999)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.2', '', '', '47.2.1', 'Middle Agulhas', '2.1', '', '', '', '', '', '', '', '2.1', '3', '47.2.1', '47.2.1', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 -35.896286284,29.9430015990001 -35.936988287,29.887322032 -35.9729280189999,29.6139727290001 -36.133101831,29.504045337 -36.2005793289999,29.359417901 -36.295985978,29.323852808 -36.315499814,29.209412136 -36.3652142399999,29.1426885600001 -36.394130401,28.934474767 -36.4835510419999,28.580749912 -36.634335208,28.5169897270001 -36.6656846189999,28.4756372360001 -36.685989182,28.4451335740001 -36.6987952069999,28.2276007130001 -36.7858123899999,28.191370367 -36.7991332029999,28.04286804 -36.845595187,27.852701073 -36.917186025,27.786795333 -36.9393842429999,27.2356178700001 -37.1205424029999,26.723037995 -37.2598326209999,26.6446296500001 -37.2761685419999,26.566545669 -37.291213253,26.351003604 -37.3362195559999,25.93314517 -37.422388751,25.8519715140001 -37.4367647359999,25.6893442200001 -37.465409641,25.648419232 -37.468570109,25.012962724 -37.532237568,25.0000000000001 -37.5310523699999,25.0000000000001 -29.9999999999999,25.7999992370001 -29.9999999999999,26.600000381 -29.9999999999999,27.399999619 -29.9999999999999,28.200000763 -29.9999999999999,29.0000000000001 -29.9999999999999,30.0000000000001 -29.9999999999999,30.0000000000001 -30.600000381,30.0000000000001 -30.799999237,30.0000000000001 -30.8679999999999,30.0000000000001 -31.399999619,30.0000000000001 -31.600000381,30.0000000000001 -32.2000007629999,30.0000000000001 -32.400001526,30.0000000000001 -32.9999999999999,30.0000000000001 -33.2000007629999,30.0000000000001 -33.799999237,30.0000000000001 -33.9999999999999,30.0000000000001 -34.599998474,30.0000000000001 -34.799999237,30.0000000000001 -35.400001526,30.0000000000001 -35.599998474,30.0000000000001 -35.891930655,30.0000000000001 -35.896286284)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.2', '', '', '47.2.2', 'Eastern Agulhas', '2.2', '', '', '', '', '', '', '', '2.2', '3', '47.2.2', '47.2.2', 'Y'),('SRID=4326;MULTIPOLYGON(((9.78434562100006 -9.99999999999994,9.80223798000003 -10.067657617,9.82943008100005 -10.170280509,9.85523976400003 -10.267616732,9.89471590100004 -10.405846852,9.90925500500003 -10.456722627,9.99727002300006 -10.7642528769999,10.0080168380001 -10.795264937,10.019271336 -10.819638093,10.1235039650001 -11.024348286,9.92072075300007 -11.2783131539999,9.83801949200006 -11.416339346,9.63457459900008 -11.661287821,9.59776771600002 -11.720749719,9.27388374700007 -12.424468001,9.25306641700007 -12.489951048,9.21988254200005 -12.8126977429999,9.20948973600002 -12.837689376,9.15451062800003 -12.904675943,9.05165895800008 -13.221800279,9.04265438000004 -13.26110999,9.02787747900004 -13.3330100759999,9.00821261200002 -13.433858345,8.99098251100003 -13.58906623,8.96969125800007 -13.6328078839999,8.95914161800005 -13.6888002439999,8.95758763400005 -13.7763401719999,8.95709031600006 -13.8043440009999,8.95655237500006 -13.8346291939999,8.90454588500006 -13.9259782309999,8.89536457400004 -13.959078269,8.91553291800005 -13.983615394,8.93393101700002 -14.005993958,8.86906321100003 -14.08318659,8.83338153500006 -14.125624015,8.69132508200005 -14.2944097119999,8.67412892100003 -14.3269485439999,8.44495797700006 -14.8847227059999,8.43058179400003 -14.932369433,8.41159699300005 -15.000000176,8.39804380500004 -15.0482815459999,8.38556318700006 -15.0963017609999,8.28732264500007 -15.7996956069999,8.30393037900006 -15.8727035599999,8.24294803100003 -16.175598129,8.23744176800005 -16.223430062,8.23709554100003 -16.236968502,8.22355681200003 -16.7663706659999,8.22653379000008 -16.813038809,8.27145185500007 -17.1229067149999,8.27891000100004 -17.2206250629999,8.27206488100006 -17.3163585889999,8.26986274400002 -17.342014363,8.25878520600003 -17.5815059299999,8.25852225100004 -17.620593432,8.27556762100005 -17.9621142849999,8.28184771000002 -18.0207893379999,8.29049362700005 -18.077260312,8.36603145100003 -18.284393113,8.33202914700007 -18.3346757149999,8.35075147700007 -18.41569864,8.36076286000002 -18.4589843689999,8.37206679500002 -18.5067738829999,8.43380836000006 -18.715069952,8.43996360400007 -18.7964407339999,8.44827357300005 -18.8537573259999,8.45667983200008 -18.8882031059999,8.47879742100002 -18.9787490319999,8.54917403200005 -19.2660534259999,8.56870530900005 -19.318508677,8.67922575600005 -19.5112775719999,8.72040028300006 -19.567142035,8.72764790500003 -19.6231483939999,8.74509894100004 -19.6677021899999,8.87631829000003 -19.956678971,8.89882156300007 -20.000000245,5.6843418860808e-14 -20.0000001719999,-19.9999999999999 -20.000000007,-19.9999999999999 -5.99999999999994,-4.99999999999994 -5.99999999999994,-4.99999999999994 -14.9999999999999,5.00000025000003 -15.000000241,5.00000011100008 -9.99999999999994,5.00000000000006 -5.99999999999994,6.40000057200007 -5.99999999999994,7.00000000000006 -5.99999999999994,7.20000028600003 -5.99999999999994,7.80000019100004 -5.99999999999994,8.00000000000006 -5.99999999999994,8.48512973300006 -5.99999999999994,8.49053241400003 -5.99999999999994,8.50650681100007 -6.01967261299995,8.62520421600004 -6.14921048799994,8.66819656100006 -6.19612109499997,8.77898012700007 -6.30511330899998,8.80528249700006 -6.33098669699996,8.88982441300004 -6.41131420299996,8.88858151900007 -6.41261800299998,8.90947242900006 -6.51966611099994,8.91859202700005 -6.55477200199994,9.00595411900002 -6.80034353699995,9.03045418600004 -6.97555726199994,9.03888638400002 -7.00820422999993,9.04975758200004 -7.04052097399995,9.18767350100006 -7.42806802199993,9.19591721100005 -7.45121186099993,9.22964453000003 -7.53235070199997,9.27525318100004 -7.64202515799997,9.45675464400006 -7.93731266199995,9.46227249400005 -7.95458769299995,9.46899022200006 -7.96831443399998,9.47834774200004 -7.98743522199993,9.54347893800002 -8.10989745399996,9.56653210000007 -8.15321493399995,9.58523260800007 -8.18834292599996,9.61134873000003 -8.24493030599996,9.70023059300007 -8.38307329499997,9.69073282900007 -8.44043734799993,9.68032697500007 -8.48064841399997,9.67608171400008 -8.52731621599997,9.63044381800006 -8.98541952499994,9.63389768900004 -9.02606252699997,9.63738273100006 -9.06706079499997,9.65831555900007 -9.53374635399996,9.66684818200002 -9.56265334399995,9.68447131100004 -9.62233836399997,9.78434562100006 -9.99999999999994)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.A', '', '', '47.A.0', 'SEAFO', 'A', '', '', '', '', '', '', '', 'A', '3', '47.A.0', '47.A', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 -5.99999999999994,-4.79999971399997 -5.99999999999994,-3.99999976199996 -5.99999999999994,-3.19999980899996 -5.99999999999994,-2.39999961899997 -5.99999999999994,-1.59999966599997 -5.99999999999994,-0.799999713999966 -5.99999999999994,2.98000031762058e-07 -5.99999999999994,0.80000031000003 -5.99999999999994,1.60000038100003 -5.99999999999994,2.40000033400003 -5.99999999999994,3.00000000000006 -5.99999999999994,3.20000028600003 -5.99999999999994,3.79999995200006 -5.99999999999994,4.00000047700007 -5.99999999999994,4.59999990500006 -5.99999999999994,4.80000019100004 -5.99999999999994,5.00000000000006 -5.99999999999994,5.00000011100008 -9.99999999999994,5.00000025000003 -15.000000241,-4.99999999999994 -14.9999999999999,-4.99999999999994 -5.99999999999994)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.A', '', '', '47.A.1', 'SEAFO', 'A1', '', '', '', '', '', '', '', 'A1', '3', '47.A.1', '47.A1', 'Y'),('SRID=4326;MULTIPOLYGON(((-75.3554306029999 -37.2238731379999,-75.21282196 -36.6714401249999,-74.8380050659999 -36.2050514219999,-74.6892471309999 -36.1212882999999,-74.666191101 -36.052909851,-74.663879395 -36.049999237,-73.9999999999999 -36.049999237,-73.199996948 -36.049999237,-72.400001526 -36.049999237,-71.599998474 -36.049999237,-70.800003052 -36.049999237,-69.9999999999999 -36.049999237,-69.9999999999999 -36.130001068,-69.9999999999999 -36.799999237,-69.9999999999999 -36.930000305,-69.9999999999999 -37.599998474,-69.9999999999999 -37.7300033569999,-69.9999999999999 -38.400001526,-69.9999999999999 -38.5300025939999,-69.9999999999999 -39.2000007629999,-69.9999999999999 -39.3300018309999,-69.9999999999999 -39.3333015439999,-70.400001526 -39.3333015439999,-71.199996948 -39.3333015439999,-71.9999999999999 -39.3333015439999,-72.800003052 -39.3333015439999,-73.599998474 -39.3333015439999,-74.400001526 -39.3333015439999,-75.199996948 -39.3333015439999,-75.216918945 -39.3333015439999,-75.041496277 -39.1220169069999,-75.0412216189999 -39.101234436,-75.165512085 -38.2436637879999,-75.326309204 -37.525218964,-75.3554306029999 -37.2238731379999)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.1', 'Central Coastal', '2.1', '87.2.1.7', '', '2.17', '', '', '', '', '2.17', '4', '87.2.1.7', '87.2.1.7', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 -63.9999999999999,-31.600000381 -63.9999999999999,-32.400001526 -63.9999999999999,-33.2000007629999 -63.9999999999999,-33.9999999999999 -63.9999999999999,-34.799999237 -63.9999999999999,-35.599998474 -63.9999999999999,-36.400001526 -63.9999999999999,-37.2000007629999 -63.9999999999999,-37.9999999999999 -63.9999999999999,-38.799999237 -63.9999999999999,-39.599998474 -63.9999999999999,-40.400001526 -63.9999999999999,-41.2000007629999 -63.9999999999999,-41.9999999999999 -63.9999999999999,-42.799999237 -63.9999999999999,-43.599998474 -63.9999999999999,-44.400001526 -63.9999999999999,-45.2000007629999 -63.9999999999999,-45.9999999999999 -63.9999999999999,-46.799999237 -63.9999999999999,-47.599998474 -63.9999999999999,-48.400001526 -63.9999999999999,-49.2000007629999 -63.9999999999999,-49.9999999999999 -63.9999999999999,-49.9999999999999 -62.400001526,-49.9999999999999 -61.599998474,-49.9999999999999 -60.799999237,-49.9999999999999 -59.9999999999999,-49.9999999999999 -58.799999237,-49.9999999999999 -58.599998474,-49.9999999999999 -57.9999999999999,-49.9999999999999 -57.799999237,-49.9999999999999 -57.2000007629999,-49.9999999999999 -56.9999999999999,-48.400001526 -56.9999999999999,-47.599998474 -56.9999999999999,-46.799999237 -56.9999999999999,-45.9999999999999 -56.9999999999999,-45.2000007629999 -56.9999999999999,-44.400001526 -56.9999999999999,-43.599998474 -56.9999999999999,-42.799999237 -56.9999999999999,-41.9999999999999 -56.9999999999999,-41.2000007629999 -56.9999999999999,-40.400001526 -56.9999999999999,-39.599998474 -56.9999999999999,-38.799999237 -56.9999999999999,-37.9999999999999 -56.9999999999999,-37.2000007629999 -56.9999999999999,-36.400001526 -56.9999999999999,-35.599998474 -56.9999999999999,-34.799999237 -56.9999999999999,-33.9999999999999 -56.9999999999999,-33.2000007629999 -56.9999999999999,-32.400001526 -56.9999999999999,-31.600000381 -56.9999999999999,-30.799999237 -56.9999999999999,-29.9999999999999 -56.9999999999999,-29.9999999999999 -58.400001526,-29.9999999999999 -59.2000007629999,-29.9999999999999 -59.9999999999999,-29.9999999999999 -60.799999237,-29.9999999999999 -61.599998474,-29.9999999999999 -62.400001526,-29.9999999999999 -63.2000007629999,-29.9999999999999 -63.9999999999999)))', 'Atlantic', '9', '48', 'ATLANTIC, ANTARCTIC', '48', '48.2', 'South Orkney', '2', '', '', '', '', '', '', '', '', '', '', '2', '2', '48.2', '48.2', 'Y'),('SRID=4326;MULTIPOLYGON(((8.89882156300007 -20.000000245,8.90363847800006 -20.0092733349999,9.17114367600004 -20.434155888,9.20112378200002 -20.474074967,9.40826591300004 -20.7110295969999,9.49048973100003 -20.7917882319999,9.51398465400007 -20.816193917,9.57193819700007 -20.842191651,9.56952097300007 -20.9273310199999,9.58679914400005 -20.9598531259999,9.62766263300006 -21.031800935,9.64117657800006 -21.055575716,9.65939497800002 -21.0869516299999,9.70627524300005 -21.167613199,9.73530033900005 -21.240282032,9.75423814500004 -21.275252721,9.77558553100005 -21.314648683,9.78857078100003 -21.3398879759999,9.85970231800007 -21.4779605759999,9.88437556200006 -21.5226687869999,9.93261313900007 -21.660397066,10.055767234 -21.965852341,10.0648850800001 -22.002772052,10.0746876320001 -22.0285582679999,10.1901300260001 -22.2848747629999,10.211939536 -22.3331798999999,10.2595757020001 -22.438557096,10.2842026340001 -22.4929648729999,10.309745731 -22.5303717739999,10.3620841170001 -22.604471567,10.3799169330001 -22.629696403,10.416153862 -22.6809189049999,10.6148559870001 -22.998850741,10.647007871 -23.030521784,10.6927138940001 -23.1248837269999,10.749225548 -23.193208995,10.8261424200001 -23.2860611209999,10.8173614460001 -23.4468895209999,10.821710538 -23.5085054629999,10.816331744 -23.624627634,10.834214773 -23.734489299,10.8218953740001 -23.8178384129999,10.816711249 -23.8528811799999,10.814965187 -23.893101556,10.816186623 -23.9696658139999,10.8411799040001 -24.361433716,10.8435868400001 -24.399040575,10.8477712660001 -24.4643688859999,10.8511132190001 -24.5164981089999,10.90364849 -24.853769176,10.9258310930001 -24.9999999999999,11.022553556 -25.637608026,11.045103926 -25.704126892,11.171622343 -25.948987689,11.1679221210001 -26.224062604,11.1787365910001 -26.2930257859999,11.2780871530001 -26.5920181349999,11.28363976 -26.626981448,11.3159450260001 -26.8300249119999,11.3912467430001 -27.3008406879999,11.4488759450001 -27.4830522619999,11.4932682150001 -27.530661144,11.4776022090001 -27.574985216,11.524859312 -27.607371422,11.532829055 -27.655753639,11.5452846860001 -27.7076327299999,11.5755134450001 -27.833362338,11.5866243200001 -27.8730755899999,11.6097099250001 -27.9555094409999,11.622183846 -27.9999999999999,5.6843418860808e-14 -27.9999999999999,5.6843418860808e-14 -20.0000001719999,8.89882156300007 -20.000000245)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.B', '', '', '47.B.1', 'SEAFO', 'B1', '', '', '', '', '', '', '', 'B1', '3', '47.B.1', '47.B1', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4352912480001 -34.9999999999999,14.454891891 -35.0840300749999,14.6803243950001 -35.598758319,14.743299092 -35.700439918,14.763708158 -35.7481580099999,15.1974035220001 -36.3530098639999,15.223680055 -36.3807223969999,15.4066897220001 -36.5590874989999,15.4421560110001 -36.5910618509999,15.5941929260001 -36.7201938489999,15.6248813610001 -36.7447559789999,16.0804400430001 -37.050654731,16.7875647980001 -37.392575366,16.827162667 -37.4070165279999,17.288961925 -37.53087597,17.337888724 -37.549424702,17.4421779030001 -37.5929300189999,17.5743635640001 -37.6478991399999,17.749759768 -37.725516007,18.0042762680001 -37.8375121459999,18.044726348 -37.85175692,18.4899554350001 -37.9491670149999,18.879121405 -38.032975629,18.9498557380001 -38.043330811,18.9853475460001 -38.048512256,19.030883751 -38.055146,19.125697598 -38.068907786,19.3080249500001 -38.0941353499999,19.684512834 -38.127385408,19.749433536 -38.1379390439999,19.83863553 -38.139553575,19.9284079400001 -38.151936038,19.9731148440001 -38.1474925759999,20.0000000000001 -38.147061365,20.200372927 -38.143847579,20.510109734 -38.138285184,20.5515278030001 -38.1143738129999,20.656744121 -38.110393185,20.9267198320001 -38.059886002,20.969837807 -38.051765835,21.1879485430001 -38.010463482,21.3244574710001 -37.984869846,21.7318329660001 -37.844354825,21.77183977 -37.8304670529999,21.8260127020001 -37.811636469,21.9364129160001 -37.7490803549999,22.072360185 -37.703856614,22.101454679 -37.6883545909999,22.1972910320001 -37.700791318,22.476519608 -37.6685246769999,22.534765914 -37.6599963909999,22.73499315 -37.626128867,22.7759680080001 -37.618258377,23.2715216830001 -37.493566922,23.3062796190001 -37.4826578989999,23.3375495510001 -37.472914411,23.3913231170001 -37.452357241,24.2323820990001 -37.5071217289999,24.3316306400001 -37.512877287,24.861002942 -37.5423674579999,24.916964669 -37.5234603449999,25.0000000000001 -37.5310523699999,25.012962724 -37.532237568,25.648419232 -37.468570109,25.6893442200001 -37.465409641,25.8519715140001 -37.4367647359999,25.93314517 -37.422388751,26.351003604 -37.3362195559999,26.566545669 -37.291213253,26.6446296500001 -37.2761685419999,26.723037995 -37.2598326209999,27.2356178700001 -37.1205424029999,27.786795333 -36.9393842429999,27.852701073 -36.917186025,28.04286804 -36.845595187,28.191370367 -36.7991332029999,28.2276007130001 -36.7858123899999,28.4451335740001 -36.6987952069999,28.4756372360001 -36.685989182,28.5169897270001 -36.6656846189999,28.580749912 -36.634335208,28.934474767 -36.4835510419999,29.1426885600001 -36.394130401,29.209412136 -36.3652142399999,29.323852808 -36.315499814,29.359417901 -36.295985978,29.504045337 -36.2005793289999,29.6139727290001 -36.133101831,29.887322032 -35.9729280189999,29.9430015990001 -35.936988287,30.0000000000001 -35.896286284,30.0000000000001 -36.2000007629999,30.0000000000001 -36.400001526,30.0000000000001 -36.9999999999999,30.0000000000001 -37.2000007629999,30.0000000000001 -37.799999237,30.0000000000001 -37.9999999999999,30.0000000000001 -38.599998474,30.0000000000001 -38.799999237,30.0000000000001 -39.400001526,30.0000000000001 -39.9999999999999,25.0000000000001 -39.9999999999999,20.0000000000001 -39.9999999999999,-19.9999999999999 -39.9999999999999,-19.9999999999999 -29.9999999999999,-19.9999999999999 -27.9999999999999,5.6843418860808e-14 -27.9999999999999,5.6843418860808e-14 -34.9999999999999,14.4352912480001 -34.9999999999999)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.C', '', '', '47.C.0', 'SEAFO', 'C', '', '', '', '', '', '', '', 'C', '3', '47.C.0', '47.C', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6905846990001 -29.9999999999999,12.7207594380001 -30.03475169,12.8071474390001 -30.1060918499999,12.8327774860001 -30.1272334409999,12.836751174 -30.165440095,12.967445594 -30.300460363,13.024104934 -30.355645414,13.170709247 -30.4899278899999,13.231913982 -30.520009138,13.262452216 -30.56789076,13.284874405 -30.582527075,13.319497013 -30.6051148089999,13.341215468 -30.6248324319999,13.3865126540001 -30.66333793,13.491339861 -30.761746412,13.536071027 -30.790219178,13.561959619 -30.812143007,13.6075866530001 -30.8504726849999,13.642129906 -30.8794675689999,13.715123874 -30.9463011459999,13.718419345 -30.9493131089999,13.5054074500001 -31.107099666,13.58053061 -31.266173539,13.573832608 -31.31952395,13.750522624 -31.7038453069999,13.7688350390001 -31.743485434,13.786634109 -31.780641508,13.862896516 -31.939483961,13.894417618 -32.006948999,13.911020539 -32.038878293,13.965484916 -32.1386965849999,13.993978563 -32.1729894109999,13.914494974 -32.536213382,13.897697142 -32.784003357,13.8976767360001 -32.784969584,13.896227362 -32.8535961219999,13.9140702220001 -33.0058942969999,13.9450684940001 -33.550954492,13.958070821 -33.6196476019999,14.238172859 -34.4042100779999,14.2553796460001 -34.436071781,14.343238061 -34.566548192,14.35946972 -34.674944926,14.4352912480001 -34.9999999999999,5.6843418860808e-14 -34.9999999999999,5.6843418860808e-14 -27.9999999999999,11.622183846 -27.9999999999999,11.627023498 -28.017261517,11.6349350620001 -28.0454593379999,11.654536529 -28.0845456509999,11.679075203 -28.133440379,11.701116304 -28.1773238719999,11.6877187740001 -28.2295288,11.8018186940001 -28.4935070879999,11.958332426 -28.8537319339999,11.9914544230001 -28.910734938,12.017172988 -28.953008999,12.056976696 -29.011844056,12.0842947460001 -29.061049619,12.115886056 -29.1325928539999,12.14696574 -29.192481347,12.3319934900001 -29.4210578289999,12.3551123840001 -29.44954623,12.321823732 -29.4755536709999,12.372462329 -29.515952941,12.404173981 -29.561287259,12.483763197 -29.67489807,12.514049791 -29.732184001,12.6202027210001 -29.9156972549999,12.66254421 -29.9677062869999,12.6905846990001 -29.9999999999999)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.C', '', '', '47.C.1', 'SEAFO', 'C1', '', '', '', '', '', '', '', 'C1', '3', '47.C.1', '47.C1', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 -44.9999999999999,30.0000000000001 -45.799999237,30.0000000000001 -46.599998474,30.0000000000001 -47.400001526,30.0000000000001 -48.2000007629999,30.0000000000001 -48.9999999999999,30.0000000000001 -49.9999999999999,14.0000000000001 -49.9999999999999,14.0000000000001 -44.9999999999999,4.00000000000006 -44.9999999999999,4.00000000000006 -49.9999999999999,-19.9999999999999 -49.9999999999999,-19.9999999999999 -39.9999999999999,20.0000000000001 -39.9999999999999,25.0000000000001 -39.9999999999999,30.0000000000001 -39.9999999999999,30.0000000000001 -40.2000007629999,30.0000000000001 -40.799999237,30.0000000000001 -40.9999999999999,30.0000000000001 -41.599998474,30.0000000000001 -41.799999237,30.0000000000001 -42.400001526,30.0000000000001 -42.599998474,30.0000000000001 -43.2000007629999,30.0000000000001 -43.400001526,30.0000000000001 -43.9999999999999,30.0000000000001 -44.2000007629999,30.0000000000001 -44.9999999999999)))', 'Atlantic', '4', '47', 'ATLANTIC, SOUTHEAST', '47', '47.D', '', '', '47.D.0', 'SEAFO', 'D', '', '', '', '', '', '', '', 'D', '3', '47.D.0', '47.D', 'Y'),('SRID=4326;MULTIPOLYGON(((-49.9999999999999 -63.9999999999999,-49.9999999999999 -64.9999999999999,-50.799999237 -64.9999999999999,-51.599998474 -64.9999999999999,-52.400001526 -64.9999999999999,-53.2000007629999 -64.9999999999999,-53.9999999999999 -64.9999999999999,-54.799999237 -64.9999999999999,-55.599998474 -64.9999999999999,-56.400001526 -64.9999999999999,-57.2000007629999 -64.9999999999999,-57.9999999999999 -64.9999999999999,-58.799999237 -64.9999999999999,-59.9999999999999 -64.9999999999999,-60.5656852719999 -65.565689087,-61.1313705439999 -66.1313705439999,-61.697055817 -66.6970596309999,-62.262741089 -67.262741089,-62.828426361 -67.828430176,-63.394111633 -68.394111633,-63.959796906 -68.95980072,-64.5254821779999 -69.5254821779999,-65.091171265 -70.091171265,-65.6568527219999 -70.6568527219999,-66.2225418089999 -71.2225418089999,-66.788223267 -71.788223267,-67.353912354 -72.353912354,-67.919593811 -72.919593811,-68.485282898 -73.485282898,-69.050964355 -74.050964355,-69.9999999999999 -74.9999999999999,-69.9999999999999 -73.599998474,-69.9999999999999 -72.800003052,-69.9999999999999 -72.1046814489999,-70.013563061 -72.085608393,-70.013563061 -70.016626456,-70.0099454859999 -69.9714067579999,-70.319999695 -69.0800018309999,-69.9999999999999 -69.0800018309999,-69.9999999999999 -67.9999999999999,-69.9999999999999 -67.199996948,-69.9999999999999 -66.400001526,-69.9999999999999 -65.599998474,-69.9999999999999 -64.800003052,-69.9999999999999 -63.9999999999999,-69.9999999999999 -63.2000007629999,-69.9999999999999 -62.400001526,-69.9999999999999 -61.599998474,-69.9999999999999 -60.799999237,-69.9999999999999 -59.9999999999999,-69.599998474 -59.9999999999999,-68.800003052 -59.9999999999999,-68.400001526 -59.9999999999999,-67.9999999999999 -59.9999999999999,-67.599998474 -59.9999999999999,-67.269996643 -59.9999999999999,-66.800003052 -59.9999999999999,-65.9999999999999 -59.9999999999999,-65.199996948 -59.9999999999999,-64.400001526 -59.9999999999999,-63.599998474 -59.9999999999999,-62.799999237 -59.9999999999999,-61.9999999999999 -59.9999999999999,-61.2000007629999 -59.9999999999999,-60.400001526 -59.9999999999999,-59.599998474 -59.9999999999999,-58.799999237 -59.9999999999999,-57.9999999999999 -59.9999999999999,-57.2000007629999 -59.9999999999999,-56.400001526 -59.9999999999999,-55.599998474 -59.9999999999999,-54.799999237 -59.9999999999999,-53.9999999999999 -59.9999999999999,-53.2000007629999 -59.9999999999999,-52.400001526 -59.9999999999999,-51.599998474 -59.9999999999999,-50.799999237 -59.9999999999999,-49.9999999999999 -59.9999999999999,-49.9999999999999 -60.799999237,-49.9999999999999 -61.599998474,-49.9999999999999 -62.400001526,-49.9999999999999 -63.9999999999999)))', 'Atlantic', '9', '48', 'ATLANTIC, ANTARCTIC', '48', '48.1', 'Peninsular', '1', '', '', '', '', '', '', '', '', '', '', '1', '2', '48.1', '48.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-72.21547699 -26.069999695,-72.163284302 -25.772886276,-72.019203186 -24.9149093629999,-72.052238464 -24.0697975159999,-72.108177185 -23.1680603029999,-72.101493835 -23.130403519,-72.110771179 -23.086776733,-71.99571228 -22.5327930449999,-71.758842468 -22.1946144099999,-71.710090637 -21.873903275,-71.696807861 -21.4599990839999,-71.599998474 -21.4599990839999,-70.800003052 -21.4599990839999,-69.9999999999999 -21.4599990839999,-69.199996948 -21.4599990839999,-68.400001526 -21.4599990839999,-67.599998474 -21.4599990839999,-66.800003052 -21.4599990839999,-66.389335632 -21.4599990839999,-66.495788574 -21.8592052459999,-66.701919556 -22.632192612,-66.908050537 -23.4051799769999,-67.1141815189999 -24.1781692499999,-67.320304871 -24.9511566159999,-67.526435852 -25.7241439819999,-67.6186676029999 -26.069999695,-68.400001526 -26.069999695,-69.199996948 -26.069999695,-69.9999999999999 -26.069999695,-70.800003052 -26.069999695,-71.599998474 -26.069999695,-72.21547699 -26.069999695)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.1', 'Central Coastal', '2.1', '87.2.1.2', '', '2.12', '', '', '', '', '2.12', '4', '87.2.1.2', '87.2.1.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-74.665557861 -28.995254517,-74.498695374 -28.1013584139999,-74.135040283 -27.1042613979999,-74.053077698 -26.9827136989999,-74.014213562 -26.82040596,-73.9517898559999 -26.6933574679999,-73.847496033 -26.365163803,-73.793052673 -26.069999695,-73.199996948 -26.069999695,-72.400001526 -26.069999695,-72.21547699 -26.069999695,-72.3236160279999 -26.685562134,-72.4804153439999 -27.1927032469999,-72.58681488 -27.412874222,-72.605606079 -27.4941082,-72.646156311 -27.5550441739999,-73.0015029909999 -28.553691864,-73.0805511469999 -29.0010643009999,-73.069992065 -29.0503711699999,-73.07774353 -29.092073441,-73.073287964 -29.1599998469999,-73.199996948 -29.1599998469999,-73.9999999999999 -29.1599998469999,-74.6584854129999 -29.1599998469999,-74.645477295 -29.093938828,-74.665557861 -28.995254517)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.2', 'Central Intermediate', '2.2', '87.2.2.3', '', '2.23', '', '', '', '', '2.23', '4', '87.2.2.3', '87.2.2.3', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 -49.9999999999999,-29.9999999999999 -51.400001526,-29.9999999999999 -52.2000007629999,-29.9999999999999 -52.9999999999999,-29.9999999999999 -53.799999237,-29.9999999999999 -54.599998474,-29.9999999999999 -55.400001526,-29.9999999999999 -56.2000007629999,-29.9999999999999 -56.9999999999999,-30.799999237 -56.9999999999999,-31.600000381 -56.9999999999999,-32.400001526 -56.9999999999999,-33.2000007629999 -56.9999999999999,-33.9999999999999 -56.9999999999999,-34.799999237 -56.9999999999999,-35.599998474 -56.9999999999999,-36.400001526 -56.9999999999999,-37.2000007629999 -56.9999999999999,-37.9999999999999 -56.9999999999999,-38.799999237 -56.9999999999999,-39.599998474 -56.9999999999999,-40.400001526 -56.9999999999999,-41.2000007629999 -56.9999999999999,-41.9999999999999 -56.9999999999999,-42.799999237 -56.9999999999999,-43.599998474 -56.9999999999999,-44.400001526 -56.9999999999999,-45.2000007629999 -56.9999999999999,-45.9999999999999 -56.9999999999999,-46.799999237 -56.9999999999999,-47.599998474 -56.9999999999999,-48.400001526 -56.9999999999999,-49.9999999999999 -56.9999999999999,-49.9999999999999 -56.400001526,-49.9999999999999 -55.599998474,-49.9999999999999 -54.799999237,-49.9999999999999 -53.9999999999999,-49.9999999999999 -53.2000007629999,-49.9999999999999 -52.400001526,-49.9999999999999 -51.599998474,-49.9999999999999 -50.799999237,-49.9999999999999 -49.9999999999999,-48.799999237 -49.9999999999999,-48.400001526 -49.9999999999999,-47.9999999999999 -49.9999999999999,-47.599998474 -49.9999999999999,-47.2000007629999 -49.9999999999999,-46.799999237 -49.9999999999999,-46.400001526 -49.9999999999999,-45.9999999999999 -49.9999999999999,-45.599998474 -49.9999999999999,-45.2000007629999 -49.9999999999999,-44.799999237 -49.9999999999999,-44.400001526 -49.9999999999999,-43.9999999999999 -49.9999999999999,-43.599998474 -49.9999999999999,-43.2000007629999 -49.9999999999999,-42.799999237 -49.9999999999999,-42.400001526 -49.9999999999999,-41.9999999999999 -49.9999999999999,-41.599998474 -49.9999999999999,-41.2000007629999 -49.9999999999999,-40.799999237 -49.9999999999999,-40.400001526 -49.9999999999999,-39.9999999999999 -49.9999999999999,-39.599998474 -49.9999999999999,-39.2000007629999 -49.9999999999999,-38.799999237 -49.9999999999999,-38.400001526 -49.9999999999999,-37.9999999999999 -49.9999999999999,-37.599998474 -49.9999999999999,-37.2000007629999 -49.9999999999999,-36.799999237 -49.9999999999999,-36.400001526 -49.9999999999999,-35.9999999999999 -49.9999999999999,-35.599998474 -49.9999999999999,-35.2000007629999 -49.9999999999999,-34.799999237 -49.9999999999999,-34.400001526 -49.9999999999999,-33.9999999999999 -49.9999999999999,-33.599998474 -49.9999999999999,-33.2000007629999 -49.9999999999999,-32.799999237 -49.9999999999999,-32.400001526 -49.9999999999999,-31.9999999999999 -49.9999999999999,-31.600000381 -49.9999999999999,-31.2000007629999 -49.9999999999999,-30.799999237 -49.9999999999999,-30.399999619 -49.9999999999999,-29.9999999999999 -49.9999999999999)))', 'Atlantic', '9', '48', 'ATLANTIC, ANTARCTIC', '48', '48.3', 'South Georgia', '3', '', '', '', '', '', '', '', '', '', '', '3', '2', '48.3', '48.3', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 -63.9999999999999,-21.2000007629999 -63.9999999999999,-21.9999999999999 -63.9999999999999,-22.799999237 -63.9999999999999,-23.600000381 -63.9999999999999,-24.399999619 -63.9999999999999,-25.2000007629999 -63.9999999999999,-25.9999999999999 -63.9999999999999,-26.799999237 -63.9999999999999,-27.600000381 -63.9999999999999,-28.399999619 -63.9999999999999,-29.2000007629999 -63.9999999999999,-29.9999999999999 -63.9999999999999,-29.9999999999999 -63.2000007629999,-29.9999999999999 -62.400001526,-29.9999999999999 -61.599998474,-29.9999999999999 -60.799999237,-29.9999999999999 -59.9999999999999,-29.9999999999999 -59.2000007629999,-29.9999999999999 -58.400001526,-29.9999999999999 -56.9999999999999,-29.9999999999999 -56.2000007629999,-29.9999999999999 -55.400001526,-29.9999999999999 -54.599998474,-29.9999999999999 -53.799999237,-29.9999999999999 -52.9999999999999,-29.9999999999999 -52.2000007629999,-29.9999999999999 -51.400001526,-29.9999999999999 -49.9999999999999,-29.600000381 -49.9999999999999,-28.799999237 -49.9999999999999,-27.9999999999999 -49.9999999999999,-27.2000007629999 -49.9999999999999,-26.399999619 -49.9999999999999,-25.600000381 -49.9999999999999,-24.799999237 -49.9999999999999,-23.9999999999999 -49.9999999999999,-23.2000007629999 -49.9999999999999,-22.399999619 -49.9999999999999,-21.600000381 -49.9999999999999,-20.799999237 -49.9999999999999,-19.9999999999999 -49.9999999999999,-19.9999999999999 -51.2000007629999,-19.9999999999999 -51.9999999999999,-19.9999999999999 -52.799999237,-19.9999999999999 -53.599998474,-19.9999999999999 -54.400001526,-19.9999999999999 -55.2000007629999,-19.9999999999999 -55.9999999999999,-19.9999999999999 -56.799999237,-19.9999999999999 -57.599998474,-19.9999999999999 -58.400001526,-19.9999999999999 -59.2000007629999,-19.9999999999999 -59.9999999999999,-19.9999999999999 -60.799999237,-19.9999999999999 -61.599998474,-19.9999999999999 -62.400001526,-19.9999999999999 -63.2000007629999,-19.9999999999999 -63.9999999999999)))', 'Atlantic', '9', '48', 'ATLANTIC, ANTARCTIC', '48', '48.4', 'South Sandwich', '4', '', '', '', '', '', '', '', '', '', '', '4', '2', '48.4', '48.4', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9442841379999 -87.85540144,-89.9999999999999 -87.9404205119999,-89.9999999999999 -86.9999999999999,-89.9999999999999 -86.827686329,-89.9999999999999 -86.199996948,-89.9999999999999 -85.400001526,-89.9999999999999 -84.9999999999999,-89.9999999999999 -84.599998474,-89.9999999999999 -83.800003052,-89.9999999999999 -82.9999999999999,-89.9999999999999 -82.199996948,-89.9999999999999 -81.400001526,-89.9999999999999 -80.599998474,-89.9999999999999 -79.800003052,-89.9999999999999 -78.9999999999999,-89.9999999999999 -78.199996948,-89.9999999999999 -77.400001526,-89.9999999999999 -76.599998474,-89.9999999999999 -75.800003052,-89.9999999999999 -74.9999999999999,-88.400001526 -74.9999999999999,-87.599998474 -74.9999999999999,-86.800003052 -74.9999999999999,-85.9999999999999 -74.9999999999999,-85.199996948 -74.9999999999999,-84.400001526 -74.9999999999999,-83.599998474 -74.9999999999999,-82.800003052 -74.9999999999999,-81.9999999999999 -74.9999999999999,-81.199996948 -74.9999999999999,-80.400001526 -74.9999999999999,-79.599998474 -74.9999999999999,-78.800003052 -74.9999999999999,-77.9999999999999 -74.9999999999999,-77.199996948 -74.9999999999999,-76.400001526 -74.9999999999999,-75.599998474 -74.9999999999999,-74.800003052 -74.9999999999999,-73.9999999999999 -74.9999999999999,-73.199996948 -74.9999999999999,-72.400001526 -74.9999999999999,-71.599998474 -74.9999999999999,-70.800003052 -74.9999999999999,-69.9999999999999 -74.9999999999999,-69.050964355 -74.050964355,-68.485282898 -73.485282898,-67.919593811 -72.919593811,-67.353912354 -72.353912354,-66.788223267 -71.788223267,-66.2225418089999 -71.2225418089999,-65.6568527219999 -70.6568527219999,-65.091171265 -70.091171265,-64.5254821779999 -69.5254821779999,-63.959796906 -68.95980072,-63.394111633 -68.394111633,-62.828426361 -67.828430176,-62.262741089 -67.262741089,-61.697055817 -66.6970596309999,-61.1313705439999 -66.1313705439999,-60.5656852719999 -65.565689087,-59.9999999999999 -64.9999999999999,-58.799999237 -64.9999999999999,-57.9999999999999 -64.9999999999999,-57.2000007629999 -64.9999999999999,-56.400001526 -64.9999999999999,-55.599998474 -64.9999999999999,-54.799999237 -64.9999999999999,-53.9999999999999 -64.9999999999999,-53.2000007629999 -64.9999999999999,-52.400001526 -64.9999999999999,-51.599998474 -64.9999999999999,-50.799999237 -64.9999999999999,-49.9999999999999 -64.9999999999999,-49.9999999999999 -63.9999999999999,-49.2000007629999 -63.9999999999999,-48.400001526 -63.9999999999999,-47.599998474 -63.9999999999999,-46.799999237 -63.9999999999999,-45.9999999999999 -63.9999999999999,-45.2000007629999 -63.9999999999999,-44.400001526 -63.9999999999999,-43.599998474 -63.9999999999999,-42.799999237 -63.9999999999999,-41.9999999999999 -63.9999999999999,-41.2000007629999 -63.9999999999999,-40.400001526 -63.9999999999999,-39.599998474 -63.9999999999999,-38.799999237 -63.9999999999999,-37.9999999999999 -63.9999999999999,-37.2000007629999 -63.9999999999999,-36.400001526 -63.9999999999999,-35.599998474 -63.9999999999999,-34.799999237 -63.9999999999999,-33.9999999999999 -63.9999999999999,-33.2000007629999 -63.9999999999999,-32.400001526 -63.9999999999999,-31.600000381 -63.9999999999999,-29.9999999999999 -63.9999999999999,-29.2000007629999 -63.9999999999999,-28.399999619 -63.9999999999999,-27.600000381 -63.9999999999999,-26.799999237 -63.9999999999999,-25.9999999999999 -63.9999999999999,-25.2000007629999 -63.9999999999999,-24.399999619 -63.9999999999999,-23.600000381 -63.9999999999999,-22.799999237 -63.9999999999999,-21.9999999999999 -63.9999999999999,-21.2000007629999 -63.9999999999999,-19.9999999999999 -63.9999999999999,-19.9999999999999 -64.800003052,-19.9999999999999 -65.599998474,-19.9999999999999 -66.400001526,-19.9999999999999 -67.199996948,-19.9999999999999 -67.9999999999999,-19.9999999999999 -68.800003052,-19.9999999999999 -69.599998474,-19.9999999999999 -70.400001526,-19.9999999999999 -71.199996948,-19.9999999999999 -71.9999999999999,-19.9999999999999 -73.480003357,-20.0273538549999 -74.203169454,-20.0273538549999 -77.57871305,-19.949586654 -77.5972129149999,-19.949586654 -84.9999999999999,-19.9519858859999 -84.9999999999999,-19.9442841379999 -85.008801998,-19.9442841379999 -87.85540144)))', 'Atlantic', '9', '48', 'ATLANTIC, ANTARCTIC', '48', '48.5', 'Weddel Sea', '5', '', '', '', '', '', '', '', '', '', '', '5', '2', '48.5', '48.5', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 -49.9999999999999,30.0000000000001 -50.799999237,30.0000000000001 -51.399997711,30.0000000000001 -51.599998474,30.0000000000001 -52.2000007629999,30.0000000000001 -52.400001526,30.0000000000001 -52.9999999999999,30.0000000000001 -53.2000007629999,30.0000000000001 -53.799999237,30.0000000000001 -53.9999999999999,30.0000000000001 -54.599998474,30.0000000000001 -54.799999237,30.0000000000001 -55.399997711,30.0000000000001 -55.599998474,30.0000000000001 -56.2000007629999,30.0000000000001 -56.400001526,30.0000000000001 -56.9999999999999,30.0000000000001 -57.2000007629999,30.0000000000001 -57.799999237,30.0000000000001 -57.9999999999999,30.0000000000001 -58.599998474,30.0000000000001 -58.799999237,30.0000000000001 -59.400001526,30.0000000000001 -59.599998474,30.0000000000001 -60.2000007629999,30.0000000000001 -60.400001526,30.0000000000001 -60.9999999999999,30.0000000000001 -61.799999237,30.0000000000001 -61.9999999999999,30.0000000000001 -62.599998474,30.0000000000001 -62.799999237,30.0000000000001 -63.400001526,30.0000000000001 -63.599998474,30.0000000000001 -64.199996948,30.0000000000001 -64.400001526,30.0000000000001 -64.9999999999999,30.0000000000001 -65.199996948,30.0000000000001 -65.800003052,30.0000000000001 -65.9999999999999,30.0000000000001 -66.599998474,30.0000000000001 -66.800003052,30.0000000000001 -67.400001526,30.0000000000001 -67.599998474,30.0000000000001 -68.199996948,30.0000000000001 -68.400001526,30.0000000000001 -68.9999999999999,30.0000000000001 -69.199996948,30.0000000000001 -69.800003052,30.0000000000001 -69.9999999999999,30.0000000000001 -70.599998474,30.0000000000001 -70.800003052,30.0000000000001 -71.400001526,30.0000000000001 -71.599998474,30.0000000000001 -72.199996948,30.0000000000001 -72.400001526,30.0000000000001 -72.9999999999999,30.0000000000001 -73.199996948,30.0000000000001 -73.800003052,30.0000000000001 -73.9999999999999,30.0000000000001 -74.599998474,30.0000000000001 -74.800003052,30.0000000000001 -75.400001526,30.0000000000001 -75.599998474,30.0000000000001 -76.199996948,30.0000000000001 -76.400001526,30.0000000000001 -76.9999999999999,30.0000000000001 -77.199996948,30.0000000000001 -77.800003052,30.0000000000001 -77.9999999999999,30.0000000000001 -78.599998474,30.0000000000001 -78.800003052,30.0000000000001 -79.400001526,30.0000000000001 -79.599998474,30.0000000000001 -80.199996948,30.0000000000001 -80.400001526,30.0000000000001 -80.9999999999999,30.0000000000001 -81.199996948,30.0000000000001 -81.800003052,30.0000000000001 -81.9999999999999,30.0000000000001 -82.599998474,30.0000000000001 -82.800003052,30.0000000000001 -83.400001526,30.0000000000001 -83.599998474,30.0000000000001 -84.199996948,30.0000000000001 -84.9999999999999,29.994796507 -84.9999999999999,29.994796507 -87.794795759,-19.9442841379999 -87.85540144,-19.9442841379999 -85.008801998,-19.9519858859999 -84.9999999999999,-19.949586654 -84.9999999999999,-19.949586654 -77.5972129149999,-20.0273538549999 -77.57871305,-20.0273538549999 -74.203169454,-19.9999999999999 -73.480003357,-19.9999999999999 -71.9999999999999,-19.9999999999999 -71.199996948,-19.9999999999999 -70.400001526,-19.9999999999999 -69.599998474,-19.9999999999999 -68.800003052,-19.9999999999999 -67.9999999999999,-19.9999999999999 -67.199996948,-19.9999999999999 -66.400001526,-19.9999999999999 -65.599998474,-19.9999999999999 -64.800003052,-19.9999999999999 -63.9999999999999,-19.9999999999999 -63.2000007629999,-19.9999999999999 -62.400001526,-19.9999999999999 -61.599998474,-19.9999999999999 -60.799999237,-19.9999999999999 -59.9999999999999,-19.9999999999999 -59.2000007629999,-19.9999999999999 -58.400001526,-19.9999999999999 -57.599998474,-19.9999999999999 -56.799999237,-19.9999999999999 -55.9999999999999,-19.9999999999999 -55.2000007629999,-19.9999999999999 -54.400001526,-19.9999999999999 -53.599998474,-19.9999999999999 -52.799999237,-19.9999999999999 -51.9999999999999,-19.9999999999999 -51.2000007629999,-19.9999999999999 -49.9999999999999,4.00000000000006 -49.9999999999999,14.0000000000001 -49.9999999999999,30.0000000000001 -49.9999999999999)))', 'Atlantic', '9', '48', 'ATLANTIC, ANTARCTIC', '48', '48.6', 'Bouvet', '6', '', '', '', '', '', '', '', '', '', '', '6', '2', '48.6', '48.6', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 20.0000000000001,53.7114372250001 19.184925079,53.03534317 18.7572631840001,52.3592453000001 18.329601288,51.683151245 17.901939392,51.0070533750001 17.4742774960001,50.33095932 17.0466175080001,49.6548614500001 16.618955612,48.978767395 16.1912937160001,48.3026695250001 15.763631821,47.62657547 15.335969925,46.9504776000001 14.908308983,46.274383545 14.480647087,45.5982856750001 14.0529851910001,44.92219162 13.625323296,44.2460937500001 13.197662354,43.569999695 12.770000458,43.520000458 12.6999998090001,43.4599990840001 12.680000305,43.119998932 12.739999771,41.7465705870001 12.4531717300001,40.9634666440001 12.2896261220001,40.180362701 12.1260814670001,39.3972587590001 11.9625368120001,39.2835516660001 11.938790044,39.2835516660001 10.0000000000001,38.7999992370001 10.0000000000001,38.0000000000001 10.0000000000001,37.200000763 10.0000000000001,36.400001526 10.0000000000001,35.5999984740001 10.0000000000001,34.7999992370001 10.0000000000001,34.0000000000001 10.0000000000001,33.200000763 10.0000000000001,32.400001526 10.0000000000001,31.600000381 10.0000000000001,30.7999992370001 10.0000000000001,30.0000000000001 10.0000000000001,30.0000000000001 10.800000191,30.0000000000001 11.600000381,30.0000000000001 12.399999619,30.0000000000001 13.1999998090001,30.0000000000001 14.0000000000001,30.0000000000001 14.800000191,30.0000000000001 15.600000381,30.0000000000001 16.399999619,30.0000000000001 17.200000763,30.0000000000001 18.0000000000001,30.0000000000001 18.7999992370001,30.0000000000001 19.600000381,30.0000000000001 20.399999619,30.0000000000001 21.200000763,30.0000000000001 22.0000000000001,30.0000000000001 22.7999992370001,30.0000000000001 23.600000381,30.0000000000001 24.399999619,30.0000000000001 25.200000763,30.0000000000001 26.0000000000001,30.0000000000001 26.8000011440001,30.0000000000001 27.600000381,30.0000000000001 28.399999619,30.0000000000001 29.200000763,30.0000000000001 30.5000000000001,30.7999992370001 30.5000000000001,31.600000381 30.5000000000001,32.400001526 30.5000000000001,33.200000763 30.5000000000001,34.0000000000001 30.5000000000001,34.7999992370001 30.5000000000001,35.5999984740001 30.5000000000001,36.400001526 30.5000000000001,37.200000763 30.5000000000001,38.0000000000001 30.5000000000001,39.3453178410001 29.66906929,40.0259552000001 29.248674393,40.70659256 28.8282814030001,41.387229919 28.4078865050001,42.0678710940001 27.987491608,42.7485084530001 27.567098618,43.429145813 27.1467037200001,44.1097869870001 26.7263088230001,44.7904243470001 26.305915833,45.471061707 25.885520935,46.151699066 25.4651260380001,46.8323402400001 25.0447311400001,47.5129776000001 24.62433815,48.19361496 24.203943253,48.8742561340001 23.7835483550001,49.5548934940001 23.3631553650001,50.2355308530001 22.9427604680001,50.916168213 22.52236557,51.5968093870001 22.1019725800001,52.2774467470001 21.6815776820001,52.9580841060001 21.2611827850001,53.638721466 20.840787888,54.3193626400001 20.4203948970001,55.0000000000001 20.0000000000001)))', 'Indian', '5', '51', 'INDIAN OCEAN, WESTERN', '51', '51.1', 'Red Sea', '1', '', '', '', '', '', '', '', '', '', '', '1', '2', '51.1', '51.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-73.793052673 -26.069999695,-73.695281982 -25.539932251,-73.568878174 -24.8240394589999,-73.590057373 -24.1341075899999,-73.6379394529999 -23.2481765749999,-73.623977661 -23.172912598,-73.641860962 -23.0855998989999,-73.403999329 -21.978431702,-73.227249146 -21.728485107,-73.216751099 -21.4599990839999,-73.199996948 -21.4599990839999,-72.400001526 -21.4599990839999,-71.696807861 -21.4599990839999,-71.710090637 -21.873903275,-71.758842468 -22.1946144099999,-71.99571228 -22.5327930449999,-72.110771179 -23.086776733,-72.101493835 -23.130403519,-72.108177185 -23.1680603029999,-72.052238464 -24.0697975159999,-72.019203186 -24.9149093629999,-72.163284302 -25.772886276,-72.21547699 -26.069999695,-72.400001526 -26.069999695,-73.199996948 -26.069999695,-73.793052673 -26.069999695)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.2', 'Central Intermediate', '2.2', '87.2.2.2', '', '2.22', '', '', '', '', '2.22', '4', '87.2.2.2', '87.2.2.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-73.0805511469999 -29.0010643009999,-73.0015029909999 -28.553691864,-72.646156311 -27.5550441739999,-72.605606079 -27.4941082,-72.58681488 -27.412874222,-72.4804153439999 -27.1927032469999,-72.3236160279999 -26.685562134,-72.21547699 -26.069999695,-71.599998474 -26.069999695,-70.800003052 -26.069999695,-69.9999999999999 -26.069999695,-69.199996948 -26.069999695,-68.400001526 -26.069999695,-67.6186676029999 -26.069999695,-67.732566833 -26.4971332549999,-67.938697815 -27.2701206209999,-68.144828796 -28.0431079859999,-68.3509597779999 -28.8160972599999,-68.4426650999999 -29.1599998469999,-69.199996948 -29.1599998469999,-69.9999999999999 -29.1599998469999,-70.800003052 -29.1599998469999,-71.599998474 -29.1599998469999,-72.400001526 -29.1599998469999,-73.073287964 -29.1599998469999,-73.07774353 -29.092073441,-73.069992065 -29.0503711699999,-73.0805511469999 -29.0010643009999)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.1', 'Central Coastal', '2.1', '87.2.1.3', '', '2.13', '', '', '', '', '2.13', '4', '87.2.1.3', '87.2.1.3', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 26.0000000000001,59.58731842 26.178939819,58.79365921 26.279468536,58.0000000000001 26.3799991610001,56.529998779 26.3799991610001,56.5000000000001 26.319999695,56.4099998470001 26.319999695,56.369998932 26.270000458,56.4399986270001 26.2099990840001,56.400001526 26.190000534,56.3499984740001 26.1800003050001,56.2900009160001 26.1599998470001,55.9838523860001 24.6980876920001,55.8198776250001 23.915073395,55.6559028630001 23.132059097,55.491928101 22.3490448000001,55.3279495240001 21.566028595,55.1639747620001 20.783014297,55.0000000000001 20.0000000000001,54.3193626400001 20.4203948970001,53.638721466 20.840787888,52.9580841060001 21.2611827850001,52.2774467470001 21.6815776820001,51.5968093870001 22.1019725800001,50.916168213 22.52236557,50.2355308530001 22.9427604680001,49.5548934940001 23.3631553650001,48.8742561340001 23.7835483550001,48.19361496 24.203943253,47.5129776000001 24.62433815,46.8323402400001 25.0447311400001,46.151699066 25.4651260380001,45.471061707 25.885520935,44.7904243470001 26.305915833,44.1097869870001 26.7263088230001,43.429145813 27.1467037200001,42.7485084530001 27.567098618,42.0678710940001 27.987491608,41.387229919 28.4078865050001,40.70659256 28.8282814030001,40.0259552000001 29.248674393,39.3453178410001 29.66906929,38.0000000000001 30.5000000000001,38.0000000000001 31.7999992370001,38.0000000000001 32.0000000000001,38.7999992370001 32.0000000000001,39.5999984740001 32.0000000000001,40.400001526 32.0000000000001,41.200000763 32.0000000000001,42.0000000000001 32.0000000000001,42.7999992370001 32.0000000000001,43.5999984740001 32.0000000000001,44.400001526 32.0000000000001,45.200000763 32.0000000000001,46.0000000000001 32.0000000000001,46.7999992370001 32.0000000000001,47.5999984740001 32.0000000000001,48.400001526 32.0000000000001,49.200000763 32.0000000000001,50.0000000000001 32.0000000000001,50.7999992370001 32.0000000000001,51.5999984740001 32.0000000000001,52.400001526 32.0000000000001,53.200000763 32.0000000000001,54.0000000000001 32.0000000000001,54.7999992370001 32.0000000000001,55.5999984740001 32.0000000000001,56.400001526 32.0000000000001,57.200000763 32.0000000000001,58.0000000000001 32.0000000000001,58.7999992370001 32.0000000000001,59.5999984740001 32.0000000000001,60.400001526 32.0000000000001,61.200000763 32.0000000000001,62.0000000000001 32.0000000000001,62.7999992370001 32.0000000000001,63.5999984740001 32.0000000000001,64.400001526 32.0000000000001,65.199996948 32.0000000000001,66.0000000000001 32.0000000000001,66.8000030520001 32.0000000000001,67.5999984740001 32.0000000000001,68.400001526 32.0000000000001,69.199996948 32.0000000000001,70.0000000000001 32.0000000000001,70.8000030520001 32.0000000000001,71.5999984740001 32.0000000000001,72.400001526 32.0000000000001,73.199996948 32.0000000000001,74.0000000000001 32.0000000000001,74.8000030520001 32.0000000000001,75.5999984740001 32.0000000000001,76.400001526 32.0000000000001,78.0000000000001 32.0000000000001,76.8422393800001 31.5913772580001,76.0878448490001 31.325122833,75.333450317 31.0588665010001,74.5790634160001 30.7926101680001,73.8246688840001 30.5263538360001,73.0702743530001 30.260097504,72.315887451 29.993841171,71.56149292 29.727584839,70.807098389 29.461328506,70.052703857 29.195074081,69.2983169560001 28.9288177490001,68.5439224240001 28.6625614170001,67.7895278930001 28.3963050840001,67.035140991 28.1300487520001,66.28074646 27.863792419,65.526351929 27.597536087,64.7719650270001 27.331279755,64.0175704960001 27.06502533,63.263175964 26.798768997,62.508785248 26.5325126650001,61.754390717 26.2662563320001,61.0000000000001 26.0000000000001)))', 'Indian', '5', '51', 'INDIAN OCEAN, WESTERN', '51', '51.2', 'Gulf', '2', '', '', '', '', '', '', '', '', '', '', '2', '2', '51.2', '51.2', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 26.0000000000001,61.0000000000001 24.7999992370001,61.0000000000001 24.0000000000001,61.0000000000001 23.200000763,61.0000000000001 22.399999619,61.0000000000001 21.600000381,61.0000000000001 20.7999992370001,61.0000000000001 20.0000000000001,62.5999984740001 20.0000000000001,63.400001526 20.0000000000001,64.199996948 20.0000000000001,65.0000000000001 20.0000000000001,65.0000000000001 18.7999992370001,65.0000000000001 18.0000000000001,65.0000000000001 17.200000763,65.0000000000001 16.399999619,65.0000000000001 15.600000381,65.0000000000001 14.800000191,65.0000000000001 14.0000000000001,65.0000000000001 13.1999998090001,65.0000000000001 12.399999619,65.0000000000001 11.600000381,65.0000000000001 10.800000191,65.0000000000001 10.0000000000001,63.600002289 10.0000000000001,62.7999992370001 10.0000000000001,62.0000000000001 10.0000000000001,61.200000763 10.0000000000001,60.400001526 10.0000000000001,59.600002289 10.0000000000001,58.7999992370001 10.0000000000001,58.0000000000001 10.0000000000001,57.200000763 10.0000000000001,56.400001526 10.0000000000001,55.5999984740001 10.0000000000001,54.7999992370001 10.0000000000001,54.0000000000001 10.0000000000001,53.200000763 10.0000000000001,52.400001526 10.0000000000001,51.5999984740001 10.0000000000001,50.7999992370001 10.0000000000001,50.0000000000001 10.0000000000001,49.200000763 10.0000000000001,48.400001526 10.0000000000001,47.5999984740001 10.0000000000001,46.7999992370001 10.0000000000001,46.0000000000001 10.0000000000001,45.200000763 10.0000000000001,44.400001526 10.0000000000001,43.5999984740001 10.0000000000001,42.7999992370001 10.0000000000001,42.0000000000001 10.0000000000001,41.200000763 10.0000000000001,40.400001526 10.0000000000001,39.5999984740001 10.0000000000001,39.2835516660001 10.0000000000001,39.2835516660001 11.938790044,39.3972587590001 11.9625368120001,40.180362701 12.1260814670001,40.9634666440001 12.2896261220001,41.7465705870001 12.4531717300001,43.119998932 12.739999771,43.4599990840001 12.680000305,43.520000458 12.6999998090001,43.569999695 12.770000458,44.2460937500001 13.197662354,44.92219162 13.625323296,45.5982856750001 14.0529851910001,46.274383545 14.480647087,46.9504776000001 14.908308983,47.62657547 15.335969925,48.3026695250001 15.763631821,48.978767395 16.1912937160001,49.6548614500001 16.618955612,50.33095932 17.0466175080001,51.0070533750001 17.4742774960001,51.683151245 17.901939392,52.3592453000001 18.329601288,53.03534317 18.7572631840001,53.7114372250001 19.184925079,55.0000000000001 20.0000000000001,55.1639747620001 20.783014297,55.3279495240001 21.566028595,55.491928101 22.3490448000001,55.6559028630001 23.132059097,55.8198776250001 23.915073395,55.9838523860001 24.6980876920001,56.2900009160001 26.1599998470001,56.3499984740001 26.1800003050001,56.400001526 26.190000534,56.4399986270001 26.2099990840001,56.369998932 26.270000458,56.4099998470001 26.319999695,56.5000000000001 26.319999695,56.529998779 26.3799991610001,58.0000000000001 26.3799991610001,58.79365921 26.279468536,59.58731842 26.178939819,61.0000000000001 26.0000000000001)))', 'Indian', '5', '51', 'INDIAN OCEAN, WESTERN', '51', '51.3', 'Western Arabian Sea', '3', '', '', '', '', '', '', '', '', '', '', '3', '2', '51.3', '51.3', 'Y'),('SRID=4326;MULTIPOLYGON(((78.0000000000001 30.0000000000001,78.0000000000001 29.600000381,78.0000000000001 29.200000763,78.0000000000001 28.7999992370001,78.0000000000001 28.399999619,78.0000000000001 28.0000000000001,78.0000000000001 27.600000381,78.0000000000001 27.200000763,78.0000000000001 26.7999992370001,78.0000000000001 26.399999619,78.0000000000001 26.0000000000001,78.0000000000001 25.600000381,78.0000000000001 25.200000763,78.0000000000001 24.7999992370001,78.0000000000001 24.399999619,78.0000000000001 24.0000000000001,78.0000000000001 23.600000381,78.0000000000001 23.200000763,78.0000000000001 22.7999992370001,78.0000000000001 22.399999619,78.0000000000001 22.0000000000001,78.0000000000001 21.600000381,78.0000000000001 21.200000763,78.0000000000001 20.7999992370001,78.0000000000001 20.399999619,78.0000000000001 20.0000000000001,78.0000000000001 19.600000381,78.0000000000001 19.200000763,78.0000000000001 18.7999992370001,78.0000000000001 18.399999619,78.0000000000001 18.0000000000001,78.0000000000001 17.600000381,78.0000000000001 17.200000763,78.0000000000001 16.7999992370001,78.0000000000001 16.399999619,78.0000000000001 16.0000000000001,78.0000000000001 15.599999428,78.0000000000001 15.1999998090001,78.0000000000001 15.0000000000001,78.0000000000001 14.800000191,78.0000000000001 14.399999619,78.0000000000001 14.0000000000001,78.0000000000001 13.599999428,78.0000000000001 13.1999998090001,78.0000000000001 12.7999992370001,78.0000000000001 12.399999619,78.0000000000001 12.0000000000001,78.0000000000001 11.0275336600001,77.0000000000001 11.0275336600001,77.0000000000001 7.69032192200007,77.0000000000001 3.00000000000006,77.0000000000001 5.6843418860808e-14,80.0000000000001 5.6843418860808e-14,80.0000000000001 -0.200000047999936,80.0000000000001 -0.999999999999943,80.0000000000001 -1.80000007199993,80.0000000000001 -2.60000014299993,80.0000000000001 -3.40000009499994,80.0000000000001 -4.20000028599998,80.0000000000001 -4.99999999999994,80.0000000000001 -5.80000019099998,80.0000000000001 -6.60000038099997,80.0000000000001 -7.40000009499994,80.0000000000001 -8.19999980899996,80.0000000000001 -8.99999999999994,80.0000000000001 -9.80000019099998,80.0000000000001 -9.99999999999994,78.5999984740001 -9.99999999999994,77.8000030520001 -9.99999999999994,77.0000000000001 -9.99999999999994,76.199996948 -9.99999999999994,75.400001526 -9.99999999999994,74.5999984740001 -9.99999999999994,73.8000030520001 -9.99999999999994,73.0000000000001 -9.99999999999994,72.199996948 -9.99999999999994,71.400001526 -9.99999999999994,70.5999984740001 -9.99999999999994,69.8000030520001 -9.99999999999994,69.0000000000001 -9.99999999999994,68.199996948 -9.99999999999994,67.400001526 -9.99999999999994,66.5999984740001 -9.99999999999994,65.8000030520001 -9.99999999999994,65.0000000000001 -9.99999999999994,65.0000000000001 -8.40000057199995,65.0000000000001 -7.60000038099997,65.0000000000001 -6.80000019099998,65.0000000000001 -5.99999999999994,65.0000000000001 -5.20000028599998,65.0000000000001 -4.40000009499994,65.0000000000001 -3.60000014299993,65.0000000000001 -2.80000019099998,65.0000000000001 -2.00000023799993,65.0000000000001 -1.20000016699993,65.0000000000001 -0.40000015499993,65.0000000000001 0.399999857000068,65.0000000000001 1.19999980900008,65.0000000000001 1.99999988100006,65.0000000000001 2.79999995200006,65.0000000000001 3.59999990500006,65.0000000000001 4.40000009500005,65.0000000000001 5.19999980900008,65.0000000000001 6.00000000000006,65.0000000000001 6.80000019100004,65.0000000000001 7.59999990500006,65.0000000000001 8.39999961900003,65.0000000000001 9.19999980900008,65.0000000000001 10.0000000000001,65.0000000000001 10.800000191,65.0000000000001 11.600000381,65.0000000000001 12.399999619,65.0000000000001 13.1999998090001,65.0000000000001 14.0000000000001,65.0000000000001 14.800000191,65.0000000000001 15.600000381,65.0000000000001 16.399999619,65.0000000000001 17.200000763,65.0000000000001 18.0000000000001,65.0000000000001 18.7999992370001,65.0000000000001 20.0000000000001,64.199996948 20.0000000000001,63.400001526 20.0000000000001,62.5999984740001 20.0000000000001,61.0000000000001 20.0000000000001,61.0000000000001 20.7999992370001,61.0000000000001 21.600000381,61.0000000000001 22.399999619,61.0000000000001 23.200000763,61.0000000000001 24.0000000000001,61.0000000000001 24.7999992370001,61.0000000000001 26.0000000000001,61.754390717 26.2662563320001,62.508785248 26.5325126650001,63.263175964 26.798768997,64.0175704960001 27.06502533,64.7719650270001 27.331279755,65.526351929 27.597536087,66.28074646 27.863792419,67.035140991 28.1300487520001,67.7895278930001 28.3963050840001,68.5439224240001 28.6625614170001,69.2983169560001 28.9288177490001,70.052703857 29.195074081,70.807098389 29.461328506,71.56149292 29.727584839,72.315887451 29.993841171,73.0702743530001 30.260097504,73.8246688840001 30.5263538360001,74.5790634160001 30.7926101680001,75.333450317 31.0588665010001,76.0878448490001 31.325122833,76.8422393800001 31.5913772580001,78.0000000000001 32.0000000000001,78.0000000000001 31.200000763,78.0000000000001 30.399999619,78.0000000000001 30.0000000000001)))', 'Indian', '5', '51', 'INDIAN OCEAN, WESTERN', '51', '51.4', 'Eastern Arabian Sea, Laccadives', '4', '', '', '', '', '', '', '', '', '', '', '4', '2', '51.4', '51.4', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 -9.99999999999994,64.199996948 -9.99999999999994,63.400001526 -9.99999999999994,62.5999984740001 -9.99999999999994,61.7999992370001 -9.99999999999994,61.0000000000001 -9.99999999999994,60.200000763 -9.99999999999994,59.400001526 -9.99999999999994,58.5999984740001 -9.99999999999994,57.7999992370001 -9.99999999999994,57.0000000000001 -9.99999999999994,56.200000763 -9.99999999999994,55.0000000000001 -9.99999999999994,54.200000763 -9.99999999999994,53.400001526 -9.99999999999994,52.5999984740001 -9.99999999999994,51.7999992370001 -9.99999999999994,51.0000000000001 -9.99999999999994,50.200000763 -9.99999999999994,49.400001526 -9.99999999999994,48.5999984740001 -9.99999999999994,47.7999992370001 -9.99999999999994,47.0000000000001 -9.99999999999994,46.200000763 -9.99999999999994,45.0000000000001 -9.99999999999994,45.0000000000001 -10.4700002669999,44.200000763 -10.4700002669999,43.400001526 -10.4700002669999,42.5999984740001 -10.4700002669999,41.7999992370001 -10.4700002669999,41.0000000000001 -10.4700002669999,40.0000000000001 -10.4700002669999,39.200000763 -10.4700002669999,38.400001526 -10.4700002669999,37.5999984740001 -10.4700002669999,36.7999992370001 -10.4700002669999,36.0000000000001 -10.4700002669999,35.200000763 -10.4700002669999,34.400001526 -10.4700002669999,33.5999984740001 -10.4700002669999,32.7999992370001 -10.4700002669999,32.0000000000001 -10.4700002669999,31.200000763 -10.4700002669999,30.0000000000001 -10.4700002669999,30.0000000000001 -9.67000007599995,30.0000000000001 -8.86999988599996,30.0000000000001 -8.07000064799996,30.0000000000001 -7.27000045799997,30.0000000000001 -6.47000026699993,30.0000000000001 -5.67000007599995,30.0000000000001 -4.87000036199993,30.0000000000001 -4.07000017199994,30.0000000000001 -3.27000021899994,30.0000000000001 -2.47000026699993,30.0000000000001 -1.67000007599995,30.0000000000001 -0.870000123999944,30.0000000000001 -0.0700001119999456,30.0000000000001 0.729999900000053,30.0000000000001 1.52999997100005,30.0000000000001 2.32999992400005,30.0000000000001 3.12999987600006,30.0000000000001 3.92999982800006,30.0000000000001 4.73000001900004,30.0000000000001 5.52999973300007,30.0000000000001 6.32999992400005,30.0000000000001 7.13000011400004,30.0000000000001 7.92999982800006,30.0000000000001 8.72999954200003,30.0000000000001 10.0000000000001,30.7999992370001 10.0000000000001,31.600000381 10.0000000000001,32.400001526 10.0000000000001,33.200000763 10.0000000000001,34.0000000000001 10.0000000000001,34.7999992370001 10.0000000000001,35.5999984740001 10.0000000000001,36.400001526 10.0000000000001,37.200000763 10.0000000000001,38.0000000000001 10.0000000000001,38.7999992370001 10.0000000000001,39.2835516660001 10.0000000000001,39.5999984740001 10.0000000000001,40.400001526 10.0000000000001,41.200000763 10.0000000000001,42.0000000000001 10.0000000000001,42.7999992370001 10.0000000000001,43.5999984740001 10.0000000000001,44.400001526 10.0000000000001,45.200000763 10.0000000000001,46.0000000000001 10.0000000000001,46.7999992370001 10.0000000000001,47.5999984740001 10.0000000000001,48.400001526 10.0000000000001,49.200000763 10.0000000000001,50.0000000000001 10.0000000000001,50.7999992370001 10.0000000000001,51.5999984740001 10.0000000000001,52.400001526 10.0000000000001,53.200000763 10.0000000000001,54.0000000000001 10.0000000000001,54.7999992370001 10.0000000000001,55.5999984740001 10.0000000000001,56.400001526 10.0000000000001,57.200000763 10.0000000000001,58.0000000000001 10.0000000000001,58.7999992370001 10.0000000000001,59.600002289 10.0000000000001,60.400001526 10.0000000000001,61.200000763 10.0000000000001,62.0000000000001 10.0000000000001,62.7999992370001 10.0000000000001,63.600002289 10.0000000000001,65.0000000000001 10.0000000000001,65.0000000000001 9.19999980900008,65.0000000000001 8.39999961900003,65.0000000000001 7.59999990500006,65.0000000000001 6.80000019100004,65.0000000000001 6.00000000000006,65.0000000000001 5.19999980900008,65.0000000000001 4.40000009500005,65.0000000000001 3.59999990500006,65.0000000000001 2.79999995200006,65.0000000000001 1.99999988100006,65.0000000000001 1.19999980900008,65.0000000000001 0.399999857000068,65.0000000000001 -0.40000015499993,65.0000000000001 -1.20000016699993,65.0000000000001 -2.00000023799993,65.0000000000001 -2.80000019099998,65.0000000000001 -3.60000014299993,65.0000000000001 -4.40000009499994,65.0000000000001 -5.20000028599998,65.0000000000001 -5.99999999999994,65.0000000000001 -6.80000019099998,65.0000000000001 -7.60000038099997,65.0000000000001 -8.40000057199995,65.0000000000001 -9.99999999999994)))', 'Indian', '5', '51', 'INDIAN OCEAN, WESTERN', '51', '51.5', 'Somalia, Kenya and Tanzania', '5', '', '', '', '', '', '', '', '', '', '', '5', '2', '51.5', '51.5', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 -29.9999999999999,40.0000000000001 -28.8700008389999,40.0000000000001 -28.069999695,40.0000000000001 -27.270000458,40.0000000000001 -26.470001221,40.0000000000001 -25.670000076,40.0000000000001 -24.8700008389999,40.0000000000001 -24.069999695,40.0000000000001 -23.270000458,40.0000000000001 -22.470001221,40.0000000000001 -21.670000076,40.0000000000001 -20.8700008389999,40.0000000000001 -20.069999695,40.0000000000001 -19.270000458,40.0000000000001 -18.470001221,40.0000000000001 -17.670000076,40.0000000000001 -16.8700008389999,40.0000000000001 -16.069999695,40.0000000000001 -15.270000458,40.0000000000001 -14.4700002669999,40.0000000000001 -13.670000076,40.0000000000001 -12.869999886,40.0000000000001 -12.070000648,40.0000000000001 -11.270000458,40.0000000000001 -10.4700002669999,41.0000000000001 -10.4700002669999,41.7999992370001 -10.4700002669999,42.5999984740001 -10.4700002669999,43.400001526 -10.4700002669999,44.200000763 -10.4700002669999,45.0000000000001 -10.4700002669999,45.0000000000001 -9.99999999999994,46.200000763 -9.99999999999994,47.0000000000001 -9.99999999999994,47.7999992370001 -9.99999999999994,48.5999984740001 -9.99999999999994,49.400001526 -9.99999999999994,50.200000763 -9.99999999999994,51.0000000000001 -9.99999999999994,51.7999992370001 -9.99999999999994,52.5999984740001 -9.99999999999994,53.400001526 -9.99999999999994,54.200000763 -9.99999999999994,55.0000000000001 -9.99999999999994,55.0000000000001 -11.5999994279999,55.0000000000001 -12.399999619,55.0000000000001 -13.199999809,55.0000000000001 -13.9999999999999,55.0000000000001 -14.800000191,55.0000000000001 -15.5999994279999,55.0000000000001 -16.399999619,55.0000000000001 -17.2000007629999,55.0000000000001 -17.9999999999999,55.0000000000001 -18.799999237,55.0000000000001 -19.600000381,55.0000000000001 -20.399999619,55.0000000000001 -21.2000007629999,55.0000000000001 -21.9999999999999,55.0000000000001 -22.799999237,55.0000000000001 -23.600000381,55.0000000000001 -24.399999619,55.0000000000001 -25.2000007629999,55.0000000000001 -25.9999999999999,55.0000000000001 -26.799999237,55.0000000000001 -27.600000381,55.0000000000001 -28.399999619,55.0000000000001 -29.2000007629999,55.0000000000001 -29.9999999999999,53.5999984740001 -29.9999999999999,52.7999992370001 -29.9999999999999,52.0000000000001 -29.9999999999999,51.200000763 -29.9999999999999,50.400001526 -29.9999999999999,49.5999984740001 -29.9999999999999,48.7999992370001 -29.9999999999999,48.0000000000001 -29.9999999999999,47.200000763 -29.9999999999999,46.400001526 -29.9999999999999,45.5999984740001 -29.9999999999999,44.7999992370001 -29.9999999999999,44.0000000000001 -29.9999999999999,43.200000763 -29.9999999999999,42.400001526 -29.9999999999999,41.5999984740001 -29.9999999999999,40.7999992370001 -29.9999999999999,40.0000000000001 -29.9999999999999)))', 'Indian', '5', '51', 'INDIAN OCEAN, WESTERN', '51', '51.6', 'Madagascar and Mozambique Channel', '6', '', '', '', '', '', '', '', '', '', '', '6', '2', '51.6', '51.6', 'Y'),('SRID=4326;MULTIPOLYGON(((80.0000000000001 -14.9999999999999,80.0000000000001 -15.600000381,80.0000000000001 -15.800000191,80.0000000000001 -16.399999619,80.0000000000001 -16.600000381,80.0000000000001 -17.2000007629999,80.0000000000001 -17.399999619,80.0000000000001 -17.9999999999999,80.0000000000001 -18.2000007629999,80.0000000000001 -18.799999237,80.0000000000001 -18.9999999999999,80.0000000000001 -19.600000381,80.0000000000001 -19.799999237,80.0000000000001 -20.399999619,80.0000000000001 -20.600000381,80.0000000000001 -21.2000007629999,80.0000000000001 -21.399999619,80.0000000000001 -21.9999999999999,80.0000000000001 -22.2000007629999,80.0000000000001 -22.799999237,80.0000000000001 -22.9999999999999,80.0000000000001 -23.600000381,80.0000000000001 -23.799999237,80.0000000000001 -24.399999619,80.0000000000001 -24.600000381,80.0000000000001 -25.2000007629999,80.0000000000001 -25.399999619,80.0000000000001 -25.9999999999999,80.0000000000001 -26.2000007629999,80.0000000000001 -26.800001144,80.0000000000001 -26.9999999999999,80.0000000000001 -27.600000381,80.0000000000001 -27.799999237,80.0000000000001 -28.399999619,80.0000000000001 -28.600000381,80.0000000000001 -29.2000007629999,80.0000000000001 -29.399999619,80.0000000000001 -29.9999999999999,80.0000000000001 -30.2000007629999,80.0000000000001 -30.800001144,80.0000000000001 -30.9999999999999,80.0000000000001 -31.600000381,80.0000000000001 -31.800001144,80.0000000000001 -32.400001526,80.0000000000001 -32.599998474,80.0000000000001 -33.2000007629999,80.0000000000001 -33.400001526,80.0000000000001 -33.9999999999999,80.0000000000001 -34.799999237,80.0000000000001 -34.9999999999999,80.0000000000001 -35.599998474,80.0000000000001 -35.799999237,80.0000000000001 -36.400001526,80.0000000000001 -36.599998474,80.0000000000001 -37.2000007629999,80.0000000000001 -37.400001526,80.0000000000001 -37.9999999999999,80.0000000000001 -38.2000007629999,80.0000000000001 -38.799999237,80.0000000000001 -38.9999999999999,80.0000000000001 -39.600002289,80.0000000000001 -39.799999237,80.0000000000001 -40.400001526,80.0000000000001 -40.599998474,80.0000000000001 -41.2000007629999,80.0000000000001 -41.400001526,80.0000000000001 -41.9999999999999,80.0000000000001 -42.2000007629999,80.0000000000001 -42.799999237,80.0000000000001 -42.9999999999999,80.0000000000001 -43.600002289,80.0000000000001 -43.799999237,80.0000000000001 -44.599998474,80.0000000000001 -44.9999999999999,79.199996948 -44.9999999999999,78.400001526 -44.9999999999999,77.5999984740001 -44.9999999999999,76.8000030520001 -44.9999999999999,76.0000000000001 -44.9999999999999,75.199996948 -44.9999999999999,74.400001526 -44.9999999999999,73.5999984740001 -44.9999999999999,72.8000030520001 -44.9999999999999,72.0000000000001 -44.9999999999999,71.199996948 -44.9999999999999,70.400001526 -44.9999999999999,69.5999984740001 -44.9999999999999,68.8000030520001 -44.9999999999999,68.0000000000001 -44.9999999999999,67.199996948 -44.9999999999999,66.400001526 -44.9999999999999,65.5999984740001 -44.9999999999999,64.8000030520001 -44.9999999999999,64.0000000000001 -44.9999999999999,63.200000763 -44.9999999999999,62.400001526 -44.9999999999999,61.5999984740001 -44.9999999999999,60.7999992370001 -44.9999999999999,60.0000000000001 -44.9999999999999,59.200000763 -44.9999999999999,58.400001526 -44.9999999999999,57.5999984740001 -44.9999999999999,56.7999992370001 -44.9999999999999,56.0000000000001 -44.9999999999999,55.200000763 -44.9999999999999,54.400001526 -44.9999999999999,53.5999984740001 -44.9999999999999,52.7999992370001 -44.9999999999999,52.0000000000001 -44.9999999999999,51.200000763 -44.9999999999999,50.399997711 -44.9999999999999,49.5999984740001 -44.9999999999999,48.7999992370001 -44.9999999999999,48.0000000000001 -44.9999999999999,47.200000763 -44.9999999999999,46.399997711 -44.9999999999999,45.5999984740001 -44.9999999999999,44.7999992370001 -44.9999999999999,44.0000000000001 -44.9999999999999,43.200000763 -44.9999999999999,42.399997711 -44.9999999999999,41.5999984740001 -44.9999999999999,40.0000000000001 -44.9999999999999,40.0000000000001 -43.599998474,40.0000000000001 -42.799999237,40.0000000000001 -41.9999999999999,40.0000000000001 -41.2000007629999,40.0000000000001 -40.400001526,40.0000000000001 -39.599998474,40.0000000000001 -38.799999237,40.0000000000001 -37.9999999999999,40.0000000000001 -37.2000007629999,40.0000000000001 -36.400001526,40.0000000000001 -35.599998474,40.0000000000001 -34.799999237,40.0000000000001 -33.9999999999999,40.0000000000001 -33.2000007629999,40.0000000000001 -32.400001526,40.0000000000001 -31.600000381,40.0000000000001 -30.799999237,40.0000000000001 -29.9999999999999,40.7999992370001 -29.9999999999999,41.5999984740001 -29.9999999999999,42.400001526 -29.9999999999999,43.200000763 -29.9999999999999,44.0000000000001 -29.9999999999999,44.7999992370001 -29.9999999999999,45.5999984740001 -29.9999999999999,46.400001526 -29.9999999999999,47.200000763 -29.9999999999999,48.0000000000001 -29.9999999999999,48.7999992370001 -29.9999999999999,49.5999984740001 -29.9999999999999,50.400001526 -29.9999999999999,51.200000763 -29.9999999999999,52.0000000000001 -29.9999999999999,52.7999992370001 -29.9999999999999,53.5999984740001 -29.9999999999999,55.0000000000001 -29.9999999999999,55.0000000000001 -29.2000007629999,55.0000000000001 -28.399999619,55.0000000000001 -27.600000381,55.0000000000001 -26.799999237,55.0000000000001 -25.9999999999999,55.0000000000001 -25.2000007629999,55.0000000000001 -24.399999619,55.0000000000001 -23.600000381,55.0000000000001 -22.799999237,55.0000000000001 -21.9999999999999,55.0000000000001 -21.2000007629999,55.0000000000001 -20.399999619,55.0000000000001 -19.600000381,55.0000000000001 -18.799999237,55.0000000000001 -17.9999999999999,55.0000000000001 -17.2000007629999,55.0000000000001 -16.399999619,55.0000000000001 -15.5999994279999,55.0000000000001 -14.800000191,55.0000000000001 -13.9999999999999,55.0000000000001 -13.199999809,55.0000000000001 -12.399999619,55.0000000000001 -11.5999994279999,55.0000000000001 -9.99999999999994,56.200000763 -9.99999999999994,57.0000000000001 -9.99999999999994,57.7999992370001 -9.99999999999994,58.5999984740001 -9.99999999999994,59.400001526 -9.99999999999994,60.200000763 -9.99999999999994,61.0000000000001 -9.99999999999994,61.7999992370001 -9.99999999999994,62.5999984740001 -9.99999999999994,63.400001526 -9.99999999999994,64.199996948 -9.99999999999994,65.0000000000001 -9.99999999999994,65.8000030520001 -9.99999999999994,66.5999984740001 -9.99999999999994,67.400001526 -9.99999999999994,68.199996948 -9.99999999999994,69.0000000000001 -9.99999999999994,69.8000030520001 -9.99999999999994,70.5999984740001 -9.99999999999994,71.400001526 -9.99999999999994,72.199996948 -9.99999999999994,73.0000000000001 -9.99999999999994,73.8000030520001 -9.99999999999994,74.5999984740001 -9.99999999999994,75.400001526 -9.99999999999994,76.199996948 -9.99999999999994,77.0000000000001 -9.99999999999994,77.8000030520001 -9.99999999999994,78.5999984740001 -9.99999999999994,80.0000000000001 -9.99999999999994,80.0000000000001 -10.600000381,80.0000000000001 -10.800000191,80.0000000000001 -11.400000572,80.0000000000001 -11.600000381,80.0000000000001 -12.199999809,80.0000000000001 -12.399999619,80.0000000000001 -12.9999999999999,80.0000000000001 -13.199999809,80.0000000000001 -13.800000191,80.0000000000001 -13.9999999999999,80.0000000000001 -14.800000191,80.0000000000001 -14.9999999999999)))', 'Indian', '5', '51', 'INDIAN OCEAN, WESTERN', '51', '51.7', 'Oceanic', '7', '', '', '', '', '', '', '', '', '', '', '7', '2', '51.7', '51.7', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 -10.4700002669999,40.0000000000001 -11.270000458,40.0000000000001 -12.070000648,40.0000000000001 -12.869999886,40.0000000000001 -13.670000076,40.0000000000001 -14.4700002669999,40.0000000000001 -15.270000458,40.0000000000001 -16.069999695,40.0000000000001 -16.8700008389999,40.0000000000001 -17.670000076,40.0000000000001 -18.470001221,40.0000000000001 -19.270000458,40.0000000000001 -20.069999695,40.0000000000001 -20.8700008389999,40.0000000000001 -21.670000076,40.0000000000001 -22.470001221,40.0000000000001 -23.270000458,40.0000000000001 -24.069999695,40.0000000000001 -24.8700008389999,40.0000000000001 -25.670000076,40.0000000000001 -26.470001221,40.0000000000001 -27.270000458,40.0000000000001 -28.069999695,40.0000000000001 -28.8700008389999,40.0000000000001 -29.9999999999999,40.0000000000001 -30.799999237,40.0000000000001 -31.600000381,40.0000000000001 -32.400001526,40.0000000000001 -33.2000007629999,40.0000000000001 -33.9999999999999,40.0000000000001 -34.799999237,40.0000000000001 -35.599998474,40.0000000000001 -36.400001526,40.0000000000001 -37.2000007629999,40.0000000000001 -37.9999999999999,40.0000000000001 -38.799999237,40.0000000000001 -39.599998474,40.0000000000001 -40.400001526,40.0000000000001 -41.2000007629999,40.0000000000001 -41.9999999999999,40.0000000000001 -42.799999237,40.0000000000001 -43.599998474,40.0000000000001 -44.9999999999999,39.200000763 -44.9999999999999,38.400001526 -44.9999999999999,37.5999984740001 -44.9999999999999,36.7999992370001 -44.9999999999999,36.0000000000001 -44.9999999999999,35.200000763 -44.9999999999999,34.400001526 -44.9999999999999,33.5999984740001 -44.9999999999999,32.7999992370001 -44.9999999999999,32.0000000000001 -44.9999999999999,31.200000763 -44.9999999999999,30.0000000000001 -44.9999999999999,30.0000000000001 -44.2000007629999,30.0000000000001 -43.9999999999999,30.0000000000001 -43.400001526,30.0000000000001 -43.2000007629999,30.0000000000001 -42.599998474,30.0000000000001 -42.400001526,30.0000000000001 -41.799999237,30.0000000000001 -41.599998474,30.0000000000001 -40.9999999999999,30.0000000000001 -40.799999237,30.0000000000001 -40.2000007629999,30.0000000000001 -39.9999999999999,30.0000000000001 -39.400001526,30.0000000000001 -38.799999237,30.0000000000001 -38.599998474,30.0000000000001 -37.9999999999999,30.0000000000001 -37.799999237,30.0000000000001 -37.2000007629999,30.0000000000001 -36.9999999999999,30.0000000000001 -36.400001526,30.0000000000001 -36.2000007629999,30.0000000000001 -35.896286284,30.0000000000001 -35.891930655,30.0000000000001 -35.599998474,30.0000000000001 -35.400001526,30.0000000000001 -34.799999237,30.0000000000001 -34.599998474,30.0000000000001 -33.9999999999999,30.0000000000001 -33.799999237,30.0000000000001 -33.2000007629999,30.0000000000001 -32.9999999999999,30.0000000000001 -32.400001526,30.0000000000001 -32.2000007629999,30.0000000000001 -31.600000381,30.0000000000001 -31.399999619,30.0000000000001 -30.8679999999999,30.0000000000001 -30.799999237,30.0000000000001 -30.600000381,30.0000000000001 -29.9999999999999,30.0000000000001 -29.799999237,30.0000000000001 -28.9999999999999,30.0000000000001 -28.199998856,30.0000000000001 -27.399999619,30.0000000000001 -26.600000381,30.0000000000001 -25.799999237,30.0000000000001 -24.9999999999999,30.0000000000001 -24.199998856,30.0000000000001 -23.399999619,30.0000000000001 -22.600000381,30.0000000000001 -21.799999237,30.0000000000001 -20.9999999999999,30.0000000000001 -20.199998856,30.0000000000001 -19.399999619,30.0000000000001 -18.600000381,30.0000000000001 -17.799999237,30.0000000000001 -16.9999999999999,30.0000000000001 -16.199998856,30.0000000000001 -15.399999619,30.0000000000001 -14.5999994279999,30.0000000000001 -13.799999237,30.0000000000001 -12.9999999999999,30.0000000000001 -12.199999809,30.0000000000001 -11.399999619,30.0000000000001 -10.4700002669999,31.200000763 -10.4700002669999,32.0000000000001 -10.4700002669999,32.7999992370001 -10.4700002669999,33.5999984740001 -10.4700002669999,34.400001526 -10.4700002669999,35.200000763 -10.4700002669999,36.0000000000001 -10.4700002669999,36.7999992370001 -10.4700002669999,37.5999984740001 -10.4700002669999,38.400001526 -10.4700002669999,39.200000763 -10.4700002669999,40.0000000000001 -10.4700002669999)))', 'Indian', '5', '51', 'INDIAN OCEAN, WESTERN', '51', '51.8', 'Mozambique', '8', '', '', '', '', '', '', '', '', '', '', '8', '2', '51.8', '51.8', 'Y'),('SRID=4326;MULTIPOLYGON(((99.0000000000001 30.0000000000001,99.0000000000001 29.699998856,99.0000000000001 29.0000000000001,99.0000000000001 28.899999619,99.0000000000001 28.200000763,99.0000000000001 28.0999984740001,99.0000000000001 27.399999619,99.0000000000001 27.2999992370001,99.0000000000001 26.600000381,99.0000000000001 26.5000000000001,99.0000000000001 25.8000011440001,99.0000000000001 25.699998856,99.0000000000001 25.0000000000001,99.0000000000001 24.899999619,99.0000000000001 24.200000763,99.0000000000001 24.0999984740001,99.0000000000001 23.399999619,99.0000000000001 23.2999992370001,99.0000000000001 22.600000381,99.0000000000001 22.5000000000001,99.0000000000001 21.7999992370001,99.0000000000001 21.699998856,99.0000000000001 21.0000000000001,99.0000000000001 20.899999619,99.0000000000001 20.200000763,99.0000000000001 20.0999984740001,99.0000000000001 19.399999619,99.0000000000001 19.2999992370001,99.0000000000001 18.600000381,99.0000000000001 18.5000000000001,99.0000000000001 17.7999992370001,99.0000000000001 17.699998856,99.0000000000001 17.0000000000001,99.0000000000001 16.899999619,99.0000000000001 16.200000763,99.0000000000001 16.0999984740001,99.0000000000001 15.399999619,99.0000000000001 15.0000000000001,99.0000000000001 14.600000381,99.0000000000001 13.800000191,99.0000000000001 13.0000000000001,99.0000000000001 12.1999998090001,99.0000000000001 11.399999619,99.0000000000001 10.600000381,99.0000000000001 9.80000019100004,99.0000000000001 9.00000000000006,99.5000000000001 8.00000000000006,100.040000916 7.28000021000003,100.519996643 6.63999986600004,101 6.00000000000006,101.412353516 5.27837801000004,101.809265137 4.58378362700006,102.206176758 3.88918900500005,102.603088379 3.19459462200007,103 2.50000000000006,101.400001526 2.50000000000006,100.599998474 2.50000000000006,99.8000030520001 2.50000000000006,99.0000000000001 2.50000000000006,97.843734741 3.46355748200006,97.2291564940001 3.97570490800007,96.6145782470001 4.48785257300005,96.0000000000001 5.00000000000006,94.5999984740001 5.00000000000006,93.8000030520001 5.00000000000006,93.0000000000001 5.00000000000006,92.199996948 5.00000000000006,91.400001526 5.00000000000006,90.5999984740001 5.00000000000006,89.8000030520001 5.00000000000006,89.0000000000001 5.00000000000006,88.199996948 5.00000000000006,87.400001526 5.00000000000006,86.5999984740001 5.00000000000006,85.8000030520001 5.00000000000006,85.0000000000001 5.00000000000006,85.0000000000001 4.59999990500006,85.0000000000001 4.19999980900008,85.0000000000001 3.00000000000006,84.199996948 3.00000000000006,83.400001526 3.00000000000006,82.5999984740001 3.00000000000006,81.8000030520001 3.00000000000006,81.0000000000001 3.00000000000006,80.0000000000001 3.00000000000006,80.0000000000001 2.20000004800005,80.0000000000001 1.39999997600006,80.0000000000001 0.599999964000062,80.0000000000001 5.6843418860808e-14,77.0000000000001 5.6843418860808e-14,77.0000000000001 3.00000000000006,77.0000000000001 7.69032192200007,77.0000000000001 11.0275336600001,78.0000000000001 11.0275336600001,78.0000000000001 12.0000000000001,78.0000000000001 12.399999619,78.0000000000001 12.7999992370001,78.0000000000001 13.1999998090001,78.0000000000001 13.599999428,78.0000000000001 14.0000000000001,78.0000000000001 14.399999619,78.0000000000001 14.800000191,78.0000000000001 15.0000000000001,78.0000000000001 15.1999998090001,78.0000000000001 15.599999428,78.0000000000001 16.0000000000001,78.0000000000001 16.399999619,78.0000000000001 16.7999992370001,78.0000000000001 17.200000763,78.0000000000001 17.600000381,78.0000000000001 18.0000000000001,78.0000000000001 18.399999619,78.0000000000001 18.7999992370001,78.0000000000001 19.200000763,78.0000000000001 19.600000381,78.0000000000001 20.0000000000001,78.0000000000001 20.399999619,78.0000000000001 20.7999992370001,78.0000000000001 21.200000763,78.0000000000001 21.600000381,78.0000000000001 22.0000000000001,78.0000000000001 22.399999619,78.0000000000001 22.7999992370001,78.0000000000001 23.200000763,78.0000000000001 23.600000381,78.0000000000001 24.0000000000001,78.0000000000001 24.399999619,78.0000000000001 24.7999992370001,78.0000000000001 25.200000763,78.0000000000001 25.600000381,78.0000000000001 26.0000000000001,78.0000000000001 26.399999619,78.0000000000001 26.7999992370001,78.0000000000001 27.200000763,78.0000000000001 27.600000381,78.0000000000001 28.0000000000001,78.0000000000001 28.399999619,78.0000000000001 28.7999992370001,78.0000000000001 29.200000763,78.0000000000001 29.600000381,78.0000000000001 30.0000000000001,79.0000000000001 30.0000000000001,79.8000030520001 30.0000000000001,80.5999984740001 30.0000000000001,81.400001526 30.0000000000001,82.199996948 30.0000000000001,83.0000000000001 30.0000000000001,83.8000030520001 30.0000000000001,84.5999984740001 30.0000000000001,85.400001526 30.0000000000001,86.199996948 30.0000000000001,87.0000000000001 30.0000000000001,87.8000030520001 30.0000000000001,88.5999984740001 30.0000000000001,89.400001526 30.0000000000001,90.199996948 30.0000000000001,91.0000000000001 30.0000000000001,91.8000030520001 30.0000000000001,92.5999984740001 30.0000000000001,93.400001526 30.0000000000001,94.199996948 30.0000000000001,95.0000000000001 30.0000000000001,95.8000030520001 30.0000000000001,96.5999984740001 30.0000000000001,97.400001526 30.0000000000001,98.199996948 30.0000000000001,99.0000000000001 30.0000000000001)))', 'Indian', '5', '57', 'INDIAN OCEAN, EASTERN', '57', '57.1', 'Bay of Bengal', '1', '', '', '', '', '', '', '', '', '', '', '1', '2', '57.1', '57.1', 'Y'),('SRID=4326;MULTIPOLYGON(((99.0000000000001 2.50000000000006,99.5737609860001 1.87842762500003,100.116386414 1.29058480300006,100.659004211 0.702742100000023,101.201629639 0.114899315000059,101.744255066 -0.47294345499995,102.286880493 -1.06078624699995,102.82950592 -1.64862894999993,103.372131348 -2.23647165299997,103.914749146 -2.82431459399993,104.457374573 -3.41215729699996,104.999999065 -3.99999927199997,104.757491032 -4.81736843399995,104.550003052 -5.51669979099995,105.066703984 -6.25000003299994,105.148244533 -6.26449248799997,105.81670455 -6.38329934299998,106.949088071 -6.62250657599998,107.208190187 -6.67723988799997,107.3537526 -6.70798888299993,108.437511225 -6.93692514699995,108.773644092 -7.00793089099994,109.199164194 -7.09781858699995,109.556365967 -7.17327499399994,109.83883313 -7.23294382099994,110.339096069 -7.33862018599996,110.737366405 -7.42275204299995,111.603914805 -7.60580370699995,111.904548896 -7.66930989199994,112.125971747 -7.71608419399996,112.687271118 -7.83465480799993,113.246145851 -7.95271260799996,113.470000872 -7.99999999999994,113.470001221 -9.10000038099997,113.470001221 -9.89999961899997,113.470001221 -10.699999809,113.470001221 -11.4999999999999,113.470001221 -12.600000381,113.470001221 -13.399999619,113.470001221 -14.199999809,113.470001221 -14.9999999999999,112.400001526 -14.9999999999999,111.599998474 -14.9999999999999,110.800003052 -14.9999999999999,109.999999788 -14.9999999999999,108.800003052 -14.9999999999999,108 -14.9999999999999,107.199996948 -14.9999999999999,106.400001526 -14.9999999999999,105.599998474 -14.9999999999999,104.800003052 -14.9999999999999,104 -14.9999999999999,103.199996948 -14.9999999999999,102.400001526 -14.9999999999999,101.599998474 -14.9999999999999,100.800003052 -14.9999999999999,100 -14.9999999999999,99.199996948 -14.9999999999999,98.400001526 -14.9999999999999,97.5999984740001 -14.9999999999999,96.8000030520001 -14.9999999999999,96.0000000000001 -14.9999999999999,95.199996948 -14.9999999999999,94.400001526 -14.9999999999999,93.5999984740001 -14.9999999999999,92.8000030520001 -14.9999999999999,92.0000000000001 -14.9999999999999,91.199996948 -14.9999999999999,90.400001526 -14.9999999999999,89.5999984740001 -14.9999999999999,88.8000030520001 -14.9999999999999,88.0000000000001 -14.9999999999999,87.199996948 -14.9999999999999,86.400001526 -14.9999999999999,85.5999984740001 -14.9999999999999,84.8000030520001 -14.9999999999999,84.0000000000001 -14.9999999999999,83.199996948 -14.9999999999999,82.400001526 -14.9999999999999,81.5999984740001 -14.9999999999999,80.8000030520001 -14.9999999999999,80.0000000000001 -14.9999999999999,80.0000000000001 -14.800000191,80.0000000000001 -13.9999999999999,80.0000000000001 -13.800000191,80.0000000000001 -13.199999809,80.0000000000001 -12.9999999999999,80.0000000000001 -12.399999619,80.0000000000001 -12.199999809,80.0000000000001 -11.600000381,80.0000000000001 -11.400000572,80.0000000000001 -10.800000191,80.0000000000001 -10.600000381,80.0000000000001 -9.99999999999994,80.0000000000001 -9.80000019099998,80.0000000000001 -8.99999999999994,80.0000000000001 -8.19999980899996,80.0000000000001 -7.40000009499994,80.0000000000001 -6.60000038099997,80.0000000000001 -5.80000019099998,80.0000000000001 -4.99999999999994,80.0000000000001 -4.20000028599998,80.0000000000001 -3.40000009499994,80.0000000000001 -2.60000014299993,80.0000000000001 -1.80000007199993,80.0000000000001 -0.999999999999943,80.0000000000001 -0.200000047999936,80.0000000000001 5.6843418860808e-14,80.0000000000001 0.599999964000062,80.0000000000001 1.39999997600006,80.0000000000001 2.20000004800005,80.0000000000001 3.00000000000006,81.0000000000001 3.00000000000006,81.8000030520001 3.00000000000006,82.5999984740001 3.00000000000006,83.400001526 3.00000000000006,84.199996948 3.00000000000006,85.0000000000001 3.00000000000006,85.0000000000001 4.19999980900008,85.0000000000001 4.59999990500006,85.0000000000001 5.00000000000006,85.8000030520001 5.00000000000006,86.5999984740001 5.00000000000006,87.400001526 5.00000000000006,88.199996948 5.00000000000006,89.0000000000001 5.00000000000006,89.8000030520001 5.00000000000006,90.5999984740001 5.00000000000006,91.400001526 5.00000000000006,92.199996948 5.00000000000006,93.0000000000001 5.00000000000006,93.8000030520001 5.00000000000006,94.5999984740001 5.00000000000006,96.0000000000001 5.00000000000006,96.6145782470001 4.48785257300005,97.2291564940001 3.97570490800007,97.843734741 3.46355748200006,99.0000000000001 2.50000000000006)))', 'Indian', '5', '57', 'INDIAN OCEAN, EASTERN', '57', '57.2', 'Northern', '2', '', '', '', '', '', '', '', '', '', '', '2', '2', '57.2', '57.2', 'Y'),('SRID=4326;MULTIPOLYGON(((109.999999788 -14.9999999999999,109.999999646 -16.2999986039999,109.999999646 -17.100000145,109.999999646 -17.899999683,109.999999646 -18.7000012249999,109.999999646 -19.49999976,109.999999646 -20.2999992979999,109.999999646 -21.10000084,109.999999646 -21.8999993749999,109.999999646 -22.700000917,109.999999899 -23.499999687,110 -24.600000381,110 -25.399999619,110 -26.2000007629999,110 -26.9999999999999,110 -27.799999237,110 -28.600000381,110 -29.399999619,110 -30.2000007629999,110 -30.9999999999999,110 -31.799999237,110 -32.599998474,110 -33.400001526,110 -34.2000007629999,110 -34.9999999999999,108.800003052 -34.9999999999999,108 -34.9999999999999,107.199996948 -34.9999999999999,106.400001526 -34.9999999999999,105.599998474 -34.9999999999999,104.800003052 -34.9999999999999,104 -34.9999999999999,103.199996948 -34.9999999999999,102.400001526 -34.9999999999999,101.599998474 -34.9999999999999,100.800003052 -34.9999999999999,100 -34.9999999999999,99.199996948 -34.9999999999999,98.400001526 -34.9999999999999,97.5999984740001 -34.9999999999999,96.8000030520001 -34.9999999999999,96.0000000000001 -34.9999999999999,95.199996948 -34.9999999999999,94.400001526 -34.9999999999999,93.5999984740001 -34.9999999999999,92.8000030520001 -34.9999999999999,92.0000000000001 -34.9999999999999,91.199996948 -34.9999999999999,90.400001526 -34.9999999999999,89.5999984740001 -34.9999999999999,88.8000030520001 -34.9999999999999,88.0000000000001 -34.9999999999999,87.199996948 -34.9999999999999,86.400001526 -34.9999999999999,85.5999984740001 -34.9999999999999,84.8000030520001 -34.9999999999999,84.0000000000001 -34.9999999999999,83.199996948 -34.9999999999999,82.400001526 -34.9999999999999,81.5999984740001 -34.9999999999999,80.8000030520001 -34.9999999999999,80.0000000000001 -34.9999999999999,80.0000000000001 -34.799999237,80.0000000000001 -33.9999999999999,80.0000000000001 -33.400001526,80.0000000000001 -33.2000007629999,80.0000000000001 -32.599998474,80.0000000000001 -32.400001526,80.0000000000001 -31.800001144,80.0000000000001 -31.600000381,80.0000000000001 -30.9999999999999,80.0000000000001 -30.800001144,80.0000000000001 -30.2000007629999,80.0000000000001 -29.9999999999999,80.0000000000001 -29.399999619,80.0000000000001 -29.2000007629999,80.0000000000001 -28.600000381,80.0000000000001 -28.399999619,80.0000000000001 -27.799999237,80.0000000000001 -27.600000381,80.0000000000001 -26.9999999999999,80.0000000000001 -26.800001144,80.0000000000001 -26.2000007629999,80.0000000000001 -25.9999999999999,80.0000000000001 -25.399999619,80.0000000000001 -25.2000007629999,80.0000000000001 -24.600000381,80.0000000000001 -24.399999619,80.0000000000001 -23.799999237,80.0000000000001 -23.600000381,80.0000000000001 -22.9999999999999,80.0000000000001 -22.799999237,80.0000000000001 -22.2000007629999,80.0000000000001 -21.9999999999999,80.0000000000001 -21.399999619,80.0000000000001 -21.2000007629999,80.0000000000001 -20.600000381,80.0000000000001 -20.399999619,80.0000000000001 -19.799999237,80.0000000000001 -19.600000381,80.0000000000001 -18.9999999999999,80.0000000000001 -18.799999237,80.0000000000001 -18.2000007629999,80.0000000000001 -17.9999999999999,80.0000000000001 -17.399999619,80.0000000000001 -17.2000007629999,80.0000000000001 -16.600000381,80.0000000000001 -16.399999619,80.0000000000001 -15.800000191,80.0000000000001 -15.600000381,80.0000000000001 -14.9999999999999,80.8000030520001 -14.9999999999999,81.5999984740001 -14.9999999999999,82.400001526 -14.9999999999999,83.199996948 -14.9999999999999,84.0000000000001 -14.9999999999999,84.8000030520001 -14.9999999999999,85.5999984740001 -14.9999999999999,86.400001526 -14.9999999999999,87.199996948 -14.9999999999999,88.0000000000001 -14.9999999999999,88.8000030520001 -14.9999999999999,89.5999984740001 -14.9999999999999,90.400001526 -14.9999999999999,91.199996948 -14.9999999999999,92.0000000000001 -14.9999999999999,92.8000030520001 -14.9999999999999,93.5999984740001 -14.9999999999999,94.400001526 -14.9999999999999,95.199996948 -14.9999999999999,96.0000000000001 -14.9999999999999,96.8000030520001 -14.9999999999999,97.5999984740001 -14.9999999999999,98.400001526 -14.9999999999999,99.199996948 -14.9999999999999,100 -14.9999999999999,100.800003052 -14.9999999999999,101.599998474 -14.9999999999999,102.400001526 -14.9999999999999,103.199996948 -14.9999999999999,104 -14.9999999999999,104.800003052 -14.9999999999999,105.599998474 -14.9999999999999,106.400001526 -14.9999999999999,107.199996948 -14.9999999999999,108 -14.9999999999999,108.800003052 -14.9999999999999,109.999999788 -14.9999999999999)))', 'Indian', '5', '57', 'INDIAN OCEAN, EASTERN', '57', '57.3', 'Central', '3', '', '', '', '', '', '', '', '', '', '', '3', '2', '57.3', '57.3', 'Y'),('SRID=4326;MULTIPOLYGON(((110 -38.9999999999999,110 -39.9999999999999,110.800003052 -39.9999999999999,111.599998474 -39.9999999999999,112.400001526 -39.9999999999999,113.199996948 -39.9999999999999,114 -39.9999999999999,114.800003052 -39.9999999999999,115.599998474 -39.9999999999999,116.400001526 -39.9999999999999,117.199996948 -39.9999999999999,118 -39.9999999999999,118.800003052 -39.9999999999999,119.599998474 -39.9999999999999,120.400001526 -39.9999999999999,121.199996948 -39.9999999999999,122 -39.9999999999999,122.800003052 -39.9999999999999,123.599998474 -39.9999999999999,124.400001526 -39.9999999999999,125.199996948 -39.9999999999999,126 -39.9999999999999,126.800003052 -39.9999999999999,127.599998474 -39.9999999999999,129 -39.9999999999999,129.800003052 -39.9999999999999,130.600006104 -39.9999999999999,131.399993896 -39.9999999999999,132.199996948 -39.9999999999999,133 -39.9999999999999,133.800003052 -39.9999999999999,135 -39.9999999999999,135 -40.799999237,135 -41.599998474,135 -42.400001526,135 -43.2000007629999,135 -43.9999999999999,135 -44.9999999999999,135.800003052 -44.9999999999999,136.600006104 -44.9999999999999,137.399993896 -44.9999999999999,138.199996948 -44.9999999999999,139 -44.9999999999999,139.800003052 -44.9999999999999,140.600006104 -44.9999999999999,141.399993896 -44.9999999999999,142.199996948 -44.9999999999999,143 -44.9999999999999,143.800003052 -44.9999999999999,144.600006104 -44.9999999999999,145.399993896 -44.9999999999999,146.199996948 -44.9999999999999,147 -44.9999999999999,147.800003052 -44.9999999999999,148.600006104 -44.9999999999999,150 -44.9999999999999,150 -46.2000007629999,150 -46.400001526,150 -46.9999999999999,150 -47.2000007629999,150 -47.799999237,150 -47.9999999999999,150 -48.599998474,150 -48.799999237,150 -49.400001526,150 -49.599998474,150 -50.2000007629999,150 -50.400001526,150 -50.9999999999999,150 -51.2000007629999,150 -51.799999237,150 -51.9999999999999,150 -52.599998474,150 -52.799999237,150 -53.400001526,150 -53.599998474,150 -54.2000007629999,150 -54.400001526,150 -54.9999999999999,149.199996948 -54.9999999999999,148.800003052 -54.9999999999999,148.399993896 -54.9999999999999,148 -54.9999999999999,147.600006104 -54.9999999999999,147.199996948 -54.9999999999999,146.800003052 -54.9999999999999,146.399993896 -54.9999999999999,146 -54.9999999999999,145.600006104 -54.9999999999999,145.199996948 -54.9999999999999,144.800003052 -54.9999999999999,144.399993896 -54.9999999999999,144 -54.9999999999999,143.600006104 -54.9999999999999,143.199996948 -54.9999999999999,142.800003052 -54.9999999999999,142.399993896 -54.9999999999999,142 -54.9999999999999,141.600006104 -54.9999999999999,141.199996948 -54.9999999999999,140.800003052 -54.9999999999999,140.399993896 -54.9999999999999,140 -54.9999999999999,139.600006104 -54.9999999999999,139.199996948 -54.9999999999999,138.800003052 -54.9999999999999,138.399993896 -54.9999999999999,138 -54.9999999999999,137.600006104 -54.9999999999999,137.199996948 -54.9999999999999,136.800003052 -54.9999999999999,136.399993896 -54.9999999999999,136 -54.9999999999999,135.600006104 -54.9999999999999,135.199996948 -54.9999999999999,134.800003052 -54.9999999999999,134.399993896 -54.9999999999999,134 -54.9999999999999,133.600006104 -54.9999999999999,133.199996948 -54.9999999999999,132.800003052 -54.9999999999999,132.399993896 -54.9999999999999,132 -54.9999999999999,131.600006104 -54.9999999999999,131.199996948 -54.9999999999999,130.800003052 -54.9999999999999,130.399993896 -54.9999999999999,130 -54.9999999999999,129.600006104 -54.9999999999999,129.199996948 -54.9999999999999,128.800003052 -54.9999999999999,128.399993896 -54.9999999999999,128 -54.9999999999999,127.599998474 -54.9999999999999,127.199996948 -54.9999999999999,126.800003052 -54.9999999999999,126.400001526 -54.9999999999999,126 -54.9999999999999,125.599998474 -54.9999999999999,125.199996948 -54.9999999999999,124.800003052 -54.9999999999999,124.400001526 -54.9999999999999,124 -54.9999999999999,123.599998474 -54.9999999999999,123.199996948 -54.9999999999999,122.800003052 -54.9999999999999,122.400001526 -54.9999999999999,122 -54.9999999999999,121.599998474 -54.9999999999999,121.199996948 -54.9999999999999,120.800003052 -54.9999999999999,120.400001526 -54.9999999999999,120 -54.9999999999999,119.599998474 -54.9999999999999,119.199996948 -54.9999999999999,118.800003052 -54.9999999999999,118.400001526 -54.9999999999999,118 -54.9999999999999,117.599998474 -54.9999999999999,117.199996948 -54.9999999999999,116.800003052 -54.9999999999999,116.400001526 -54.9999999999999,116 -54.9999999999999,115.599998474 -54.9999999999999,115.199996948 -54.9999999999999,114.800003052 -54.9999999999999,114.400001526 -54.9999999999999,114 -54.9999999999999,113.599998474 -54.9999999999999,113.199996948 -54.9999999999999,112.800003052 -54.9999999999999,112.400001526 -54.9999999999999,112 -54.9999999999999,111.599998474 -54.9999999999999,111.199996948 -54.9999999999999,110.800003052 -54.9999999999999,110.400001526 -54.9999999999999,110 -54.9999999999999,109.599998474 -54.9999999999999,109.199996948 -54.9999999999999,108.800003052 -54.9999999999999,108.400001526 -54.9999999999999,108 -54.9999999999999,107.599998474 -54.9999999999999,107.199996948 -54.9999999999999,106.800003052 -54.9999999999999,106.400001526 -54.9999999999999,106 -54.9999999999999,105.599998474 -54.9999999999999,105.199996948 -54.9999999999999,104.800003052 -54.9999999999999,104.400001526 -54.9999999999999,104 -54.9999999999999,103.599998474 -54.9999999999999,103.199996948 -54.9999999999999,102.800003052 -54.9999999999999,102.400001526 -54.9999999999999,102 -54.9999999999999,101.599998474 -54.9999999999999,101.199996948 -54.9999999999999,100.800003052 -54.9999999999999,100.400001526 -54.9999999999999,100 -54.9999999999999,99.5999984740001 -54.9999999999999,99.199996948 -54.9999999999999,98.8000030520001 -54.9999999999999,98.400001526 -54.9999999999999,98.0000000000001 -54.9999999999999,97.5999984740001 -54.9999999999999,97.199996948 -54.9999999999999,96.8000030520001 -54.9999999999999,96.400001526 -54.9999999999999,96.0000000000001 -54.9999999999999,95.5999984740001 -54.9999999999999,95.199996948 -54.9999999999999,94.7999954220001 -54.9999999999999,94.400001526 -54.9999999999999,94.0000000000001 -54.9999999999999,93.5999984740001 -54.9999999999999,93.199996948 -54.9999999999999,92.8000030520001 -54.9999999999999,92.400001526 -54.9999999999999,92.0000000000001 -54.9999999999999,91.5999984740001 -54.9999999999999,91.199996948 -54.9999999999999,90.7999954220001 -54.9999999999999,90.400001526 -54.9999999999999,90.0000000000001 -54.9999999999999,89.5999984740001 -54.9999999999999,89.199996948 -54.9999999999999,88.8000030520001 -54.9999999999999,88.400001526 -54.9999999999999,88.0000000000001 -54.9999999999999,87.5999984740001 -54.9999999999999,87.199996948 -54.9999999999999,86.7999954220001 -54.9999999999999,86.400001526 -54.9999999999999,85.9999995800001 -54.999999552,85.59999858 -54.999999552,85.1999965790001 -54.999999552,84.8000025790001 -54.999999552,84.400001579 -54.999999552,83.9999995780001 -54.999999552,83.5999985780001 -54.999999552,83.199996577 -54.999999552,82.7999955770001 -54.999999552,82.4000015770001 -54.999999552,81.9999995760001 -54.999999552,81.5999985760001 -54.999999552,81.199996576 -54.999999552,80.8000025750001 -54.999999552,79.9999997450001 -54.999999552,79.9999995750001 -54.200000551,79.9999995750001 -53.4000015509999,79.9999995750001 -52.59999855,79.9999995750001 -51.7999995489999,79.9999995750001 -50.9999995479999,79.9999995750001 -50.2000005479999,79.9999996880001 -49.4000015409999,80.0000000000001 -48.599998474,80.0000000000001 -47.800003052,80.0000000000001 -46.9999999999999,80.0000000000001 -46.2000007629999,80.0000000000001 -45.400001526,80.0000000000001 -44.9999999999999,80.0000000000001 -44.599998474,80.0000000000001 -43.799999237,80.0000000000001 -43.600002289,80.0000000000001 -42.9999999999999,80.0000000000001 -42.799999237,80.0000000000001 -42.2000007629999,80.0000000000001 -41.9999999999999,80.0000000000001 -41.400001526,80.0000000000001 -41.2000007629999,80.0000000000001 -40.599998474,80.0000000000001 -40.400001526,80.0000000000001 -39.799999237,80.0000000000001 -39.600002289,80.0000000000001 -38.9999999999999,80.0000000000001 -38.799999237,80.0000000000001 -38.2000007629999,80.0000000000001 -37.9999999999999,80.0000000000001 -37.400001526,80.0000000000001 -37.2000007629999,80.0000000000001 -36.599998474,80.0000000000001 -36.400001526,80.0000000000001 -35.799999237,80.0000000000001 -35.599998474,80.0000000000001 -34.9999999999999,80.8000030520001 -34.9999999999999,81.5999984740001 -34.9999999999999,82.400001526 -34.9999999999999,83.199996948 -34.9999999999999,84.0000000000001 -34.9999999999999,84.8000030520001 -34.9999999999999,85.5999984740001 -34.9999999999999,86.400001526 -34.9999999999999,87.199996948 -34.9999999999999,88.0000000000001 -34.9999999999999,88.8000030520001 -34.9999999999999,89.5999984740001 -34.9999999999999,90.400001526 -34.9999999999999,91.199996948 -34.9999999999999,92.0000000000001 -34.9999999999999,92.8000030520001 -34.9999999999999,93.5999984740001 -34.9999999999999,94.400001526 -34.9999999999999,95.199996948 -34.9999999999999,96.0000000000001 -34.9999999999999,96.8000030520001 -34.9999999999999,97.5999984740001 -34.9999999999999,98.400001526 -34.9999999999999,99.199996948 -34.9999999999999,100 -34.9999999999999,100.800003052 -34.9999999999999,101.599998474 -34.9999999999999,102.400001526 -34.9999999999999,103.199996948 -34.9999999999999,104 -34.9999999999999,104.800003052 -34.9999999999999,105.599998474 -34.9999999999999,106.400001526 -34.9999999999999,107.199996948 -34.9999999999999,108 -34.9999999999999,108.800003052 -34.9999999999999,110 -34.9999999999999,110 -35.799999237,110 -36.599998474,110 -37.400001526,110 -38.2000007629999,110 -38.9999999999999)))', 'Indian', '5', '57', 'INDIAN OCEAN, EASTERN', '57', '57.4', 'Oceanic', '4', '', '', '', '', '', '', '', '', '', '', '4', '2', '57.4', '57.4', 'Y'),('SRID=4326;MULTIPOLYGON(((-73.2827911379999 -30.3463287349999,-73.158584595 -29.792715073,-73.0441513059999 -29.604358673,-73.073287964 -29.1599998469999,-72.400001526 -29.1599998469999,-71.599998474 -29.1599998469999,-70.800003052 -29.1599998469999,-69.9999999999999 -29.1599998469999,-69.199996948 -29.1599998469999,-68.4426650999999 -29.1599998469999,-68.5570907589999 -29.5890846249999,-68.7632217409999 -30.3620719909999,-68.9693527219999 -31.1350593569999,-69.175476074 -31.9080486299999,-69.2426605219999 -32.1599998469999,-69.9999999999999 -32.1599998469999,-70.800003052 -32.1599998469999,-71.599998474 -32.1599998469999,-72.400001526 -32.1599998469999,-73.1621627809999 -32.1599998469999,-73.158699036 -32.053577423,-73.2534561159999 -31.140953064,-73.257331848 -31.061576843,-73.2595596309999 -31.05213356,-73.282043457 -30.398105621,-73.276977539 -30.3734073639999,-73.2827911379999 -30.3463287349999)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.1', 'Central Coastal', '2.1', '87.2.1.4', '', '2.14', '', '', '', '', '2.14', '4', '87.2.1.4', '87.2.1.4', 'Y'),('SRID=4326;MULTIPOLYGON(((129 -9.99999999999994,129 -11.4999999999999,129 -12.9999999999999,129 -13.800000191,129 -14.5999994279999,129 -15.399999619,129 -16.2000007629999,129 -16.9999999999999,129 -17.799999237,129 -18.600000381,129 -19.399999619,129 -20.2000007629999,129 -20.9999999999999,129 -21.799999237,129 -22.600000381,129 -23.399999619,129 -24.2000007629999,129.00000017 -24.9999999949999,128.938046302 -24.9896743479999,127.891151428 -24.815191269,127.102035522 -24.683671951,126.312919868 -24.5521522829999,125.523804494 -24.420634557,124.734688118 -24.289115829,123.945579757 -24.157597101,123.156463381 -24.0260773709999,122.367348006 -23.8945576409999,121.57823163 -23.7630389129999,120.789116256 -23.631519183,119.99999988 -23.4999994529999,118.800002577 -23.4999994529999,118.000000033 -23.4999994529999,117.19999749 -23.4999994529999,116.40000196 -23.4999994529999,115.599999416 -23.4999994529999,114.800002884 -23.4999994529999,113.999999339 -23.4999994529999,113.199996795 -23.4999994529999,112.400001265 -23.4999994529999,111.599998722 -23.4999994529999,110.800003192 -23.4999994529999,109.999999899 -23.499999687,109.999999646 -22.700000917,109.999999646 -21.8999993749999,109.999999646 -21.10000084,109.999999646 -20.2999992979999,109.999999646 -19.49999976,109.999999646 -18.7000012249999,109.999999646 -17.899999683,109.999999646 -17.100000145,109.999999646 -16.2999986039999,109.999999788 -14.9999999999999,110.800003052 -14.9999999999999,111.599998474 -14.9999999999999,112.400001526 -14.9999999999999,113.470001221 -14.9999999999999,113.470001221 -14.199999809,113.470001221 -13.399999619,113.470001221 -12.600000381,113.470001221 -11.4999999999999,113.470001221 -10.699999809,113.470001221 -9.89999961899997,113.470001221 -9.10000038099997,113.470000872 -7.99999999999994,114.543945273 -7.99999999999994,115.343947817 -7.99999999999994,116.143943347 -7.99999999999994,116.94394589 -7.99999999999994,117.743949436 -7.99999999999994,118.543944966 -7.99999999999994,119.343948511 -7.99999999999994,120.143943039 -7.99999999999994,120.943946585 -7.99999999999994,121.743949128 -7.99999999999994,122.543944658 -7.99999999999994,123.343948204 -7.99999999999994,124.143943734 -7.99999999999994,124.943946277 -7.99999999999994,125.743948821 -7.99999999999994,126.543944351 -7.99999999999994,127.343947896 -7.99999999999994,128.143942424 -7.99999999999994,129 -7.99999999999994,129 -9.99999999999994)))', 'Indian', '5', '57', 'INDIAN OCEAN, EASTERN', '57', '57.5', 'Western Australia', '5', '57.5.1', 'Southwest Australia', '5.2', '', '', '', '', '', '', '', '5.1', '3', '57.5.1', '57.5.1', 'Y'),('SRID=4326;MULTIPOLYGON(((129.00000017 -24.9999999949999,129 -25.799999237,129 -26.600000381,129 -27.399999619,129 -28.2000007629999,129 -28.9999999999999,129 -29.799999237,129 -30.600000381,129 -31.399999619,129 -32.2000007629999,129 -32.9999999999999,129 -33.799999237,129 -34.599998474,129 -35.400001526,129 -36.2000007629999,129 -36.9999999999999,129 -37.799999237,129 -38.599998474,129 -39.9999999999999,127.599998474 -39.9999999999999,126.800003052 -39.9999999999999,126 -39.9999999999999,125.199996948 -39.9999999999999,124.400001526 -39.9999999999999,123.599998474 -39.9999999999999,122.800003052 -39.9999999999999,122 -39.9999999999999,121.199996948 -39.9999999999999,120.400001526 -39.9999999999999,119.599998474 -39.9999999999999,118.800003052 -39.9999999999999,118 -39.9999999999999,117.199996948 -39.9999999999999,116.400001526 -39.9999999999999,115.599998474 -39.9999999999999,114.800003052 -39.9999999999999,114 -39.9999999999999,113.199996948 -39.9999999999999,112.400001526 -39.9999999999999,111.599998474 -39.9999999999999,110.800003052 -39.9999999999999,110 -39.9999999999999,110 -38.9999999999999,110 -38.2000007629999,110 -37.400001526,110 -36.599998474,110 -35.799999237,110 -34.9999999999999,110 -34.2000007629999,110 -33.400001526,110 -32.599998474,110 -31.799999237,110 -30.9999999999999,110 -30.2000007629999,110 -29.399999619,110 -28.600000381,110 -27.799999237,110 -26.9999999999999,110 -26.2000007629999,110 -25.399999619,110 -24.600000381,109.999999899 -23.499999687,110.800003192 -23.4999994529999,111.599998722 -23.4999994529999,112.400001265 -23.4999994529999,113.199996795 -23.4999994529999,113.999999339 -23.4999994529999,114.800002884 -23.4999994529999,115.599999416 -23.4999994529999,116.40000196 -23.4999994529999,117.19999749 -23.4999994529999,118.000000033 -23.4999994529999,118.800002577 -23.4999994529999,119.99999988 -23.4999994529999,120.789116256 -23.631519183,121.57823163 -23.7630389129999,122.367348006 -23.8945576409999,123.156463381 -24.0260773709999,123.945579757 -24.157597101,124.734688118 -24.289115829,125.523804494 -24.420634557,126.312919868 -24.5521522829999,127.102035522 -24.683671951,127.891151428 -24.815191269,128.938046302 -24.9896743479999,129.00000017 -24.9999999949999)))', 'Indian', '5', '57', 'INDIAN OCEAN, EASTERN', '57', '57.5', 'Western Australia', '5', '57.5.2', 'Northwest Australia', '5.1', '', '', '', '', '', '', '', '5.2', '3', '57.5.2', '57.5.2', 'Y'),('SRID=4326;MULTIPOLYGON(((147.967234726 -27.509680053,147.967234726 -34.991980043,147.980010986 -35.0080032349999,148.478759766 -35.6335029599999,148.977508545 -36.258998871,149.476257324 -36.884498596,150 -37.529998779,150 -38.599998474,150 -39.400001526,150 -40.2000007629999,150 -40.9999999999999,150 -41.799999237,150 -42.599998474,150 -43.400001526,150 -44.2000007629999,150 -44.9999999999999,148.600006104 -44.9999999999999,147.800003052 -44.9999999999999,147 -44.9999999999999,146.199996948 -44.9999999999999,145.399993896 -44.9999999999999,144.600006104 -44.9999999999999,143.800003052 -44.9999999999999,143 -44.9999999999999,142.199996948 -44.9999999999999,141.399993896 -44.9999999999999,140.600006104 -44.9999999999999,139.800003052 -44.9999999999999,139 -44.9999999999999,138.199996948 -44.9999999999999,137.399993896 -44.9999999999999,136.600006104 -44.9999999999999,135.800003052 -44.9999999999999,135 -44.9999999999999,135 -43.9999999999999,135 -43.2000007629999,135 -42.400001526,135 -41.599998474,135 -40.799999237,135 -39.9999999999999,133.800003052 -39.9999999999999,133 -39.9999999999999,132.199996948 -39.9999999999999,131.399993896 -39.9999999999999,130.600006104 -39.9999999999999,129.800003052 -39.9999999999999,129 -39.9999999999999,129 -38.599998474,129 -37.799999237,129 -36.9999999999999,129 -36.2000007629999,129 -35.400001526,129 -34.599998474,129 -33.799999237,129 -32.9999999999999,129 -32.2000007629999,129 -31.399999619,129 -30.600000381,129 -29.799999237,129 -28.9999999999999,129 -28.2000007629999,129 -27.399999619,129 -26.600000381,129 -25.799999237,129.00000017 -24.9999999949999,130.399993896 -24.9999999999999,131.199996948 -24.9999999999999,132 -24.9999999999999,132.800003052 -24.9999999999999,133.600006104 -24.9999999999999,134.399993896 -24.9999999999999,135.199996948 -24.9999999999999,136 -24.9999999999999,136.800003052 -24.9999999999999,137.600006104 -24.9999999999999,138.399993896 -24.9999999999999,139.199996948 -24.9999999999999,140 -24.9999999999999,140.899993896 -24.9999999999999,141.699996948 -24.9999999999999,142.5 -24.9999999999999,142.5 -24.9506982139999,147.967234726 -24.9506982139999,147.967234726 -27.509680053)))', 'Indian', '5', '57', 'INDIAN OCEAN, EASTERN', '57', '57.6', 'Southern Australia', '6', '', '', '', '', '', '', '', '', '', '', '6', '2', '57.6', '57.6', 'Y'),('SRID=4326;MULTIPOLYGON(((150 -54.9999999999999,150 -55.2000007629999,150 -55.9999999999999,150 -56.2000007629999,150 -56.799999237,150 -56.9999999999999,150 -57.599998474,150 -57.799999237,150 -58.400001526,150 -58.599998474,150 -59.2000007629999,150 -59.400001526,150 -59.9999999999999,150 -60.2000007629999,150 -60.9999999999999,150 -61.599998474,150 -61.799999237,150 -62.400001526,150 -62.599998474,150 -63.2000007629999,150 -63.400001526,150 -63.9999999999999,150 -64.199996948,150 -64.800003052,150 -64.9999999999999,150 -65.599998474,150 -65.800003052,150 -66.400001526,150 -66.599998474,150 -67.199996948,150 -67.400001526,150 -67.9999999999999,150 -68.199996948,150 -68.800003052,150 -68.9999999999999,150 -69.599998474,150 -69.800003052,150 -70.400001526,150 -70.599998474,150 -71.199996948,150 -71.400001526,150 -71.9999999999999,150 -72.199996948,150 -72.800003052,150 -72.9999999999999,150 -73.599998474,150 -73.800003052,150 -74.400001526,150 -74.599998474,150 -75.199996948,150 -75.400001526,150 -75.9999999999999,150 -76.199996948,150 -76.800003052,150 -76.9999999999999,150 -77.599998474,150 -77.800003052,150 -78.400001526,150 -78.599998474,150 -79.199996948,150 -79.400001526,150 -79.9999999999999,150 -80.199996948,150 -80.800003052,150 -80.9999999999999,150 -81.599998474,150 -81.800003052,150 -82.400001526,150 -82.599998474,150 -83.199996948,150 -83.400001526,150 -83.9999999999999,150 -84.199996948,150 -84.800003052,150 -84.9999999999999,150 -85.599998474,150 -86.400001526,150 -87.199996948,150 -87.5839235449999,149.792626089 -87.649410044,79.9799579830001 -87.7341341549999,79.9799579830001 -84.9999999999999,79.974432554 -84.9999999999999,79.974432554 -80.062021328,80.0150628090001 -80.001075946,80.0000000000001 -79.9999999999999,80.0000000000001 -78.800003052,80.0000000000001 -77.9999999999999,80.0000000000001 -77.199996948,80.0000000000001 -76.400001526,80.0000000000001 -75.599998474,80.0000000000001 -74.800003052,80.0000000000001 -73.9999999999999,80.0000000000001 -73.199996948,80.0000000000001 -72.400001526,80.0000000000001 -71.599998474,80.0000000000001 -70.800003052,80.0000000000001 -69.9999999999999,80.0000000000001 -69.199996948,80.0000000000001 -68.400001526,80.0000000000001 -67.599998474,80.0000000000001 -66.800003052,80.0000000000001 -65.9999999999999,80.0000000000001 -65.199996948,80.0000000000001 -64.400001526,80.0000000000001 -63.9999999999999,86.0000000000001 -63.9999999999999,85.9999995800001 -54.999999552,86.400001526 -54.9999999999999,86.7999954220001 -54.9999999999999,87.199996948 -54.9999999999999,87.5999984740001 -54.9999999999999,88.0000000000001 -54.9999999999999,88.400001526 -54.9999999999999,88.8000030520001 -54.9999999999999,89.199996948 -54.9999999999999,89.5999984740001 -54.9999999999999,90.0000000000001 -54.9999999999999,90.400001526 -54.9999999999999,90.7999954220001 -54.9999999999999,91.199996948 -54.9999999999999,91.5999984740001 -54.9999999999999,92.0000000000001 -54.9999999999999,92.400001526 -54.9999999999999,92.8000030520001 -54.9999999999999,93.199996948 -54.9999999999999,93.5999984740001 -54.9999999999999,94.0000000000001 -54.9999999999999,94.400001526 -54.9999999999999,94.7999954220001 -54.9999999999999,95.199996948 -54.9999999999999,95.5999984740001 -54.9999999999999,96.0000000000001 -54.9999999999999,96.400001526 -54.9999999999999,96.8000030520001 -54.9999999999999,97.199996948 -54.9999999999999,97.5999984740001 -54.9999999999999,98.0000000000001 -54.9999999999999,98.400001526 -54.9999999999999,98.8000030520001 -54.9999999999999,99.199996948 -54.9999999999999,99.5999984740001 -54.9999999999999,100 -54.9999999999999,100.400001526 -54.9999999999999,100.800003052 -54.9999999999999,101.199996948 -54.9999999999999,101.599998474 -54.9999999999999,102 -54.9999999999999,102.400001526 -54.9999999999999,102.800003052 -54.9999999999999,103.199996948 -54.9999999999999,103.599998474 -54.9999999999999,104 -54.9999999999999,104.400001526 -54.9999999999999,104.800003052 -54.9999999999999,105.199996948 -54.9999999999999,105.599998474 -54.9999999999999,106 -54.9999999999999,106.400001526 -54.9999999999999,106.800003052 -54.9999999999999,107.199996948 -54.9999999999999,107.599998474 -54.9999999999999,108 -54.9999999999999,108.400001526 -54.9999999999999,108.800003052 -54.9999999999999,109.199996948 -54.9999999999999,109.599998474 -54.9999999999999,110 -54.9999999999999,110.400001526 -54.9999999999999,110.800003052 -54.9999999999999,111.199996948 -54.9999999999999,111.599998474 -54.9999999999999,112 -54.9999999999999,112.400001526 -54.9999999999999,112.800003052 -54.9999999999999,113.199996948 -54.9999999999999,113.599998474 -54.9999999999999,114 -54.9999999999999,114.400001526 -54.9999999999999,114.800003052 -54.9999999999999,115.199996948 -54.9999999999999,115.599998474 -54.9999999999999,116 -54.9999999999999,116.400001526 -54.9999999999999,116.800003052 -54.9999999999999,117.199996948 -54.9999999999999,117.599998474 -54.9999999999999,118 -54.9999999999999,118.400001526 -54.9999999999999,118.800003052 -54.9999999999999,119.199996948 -54.9999999999999,119.599998474 -54.9999999999999,120 -54.9999999999999,120.400001526 -54.9999999999999,120.800003052 -54.9999999999999,121.199996948 -54.9999999999999,121.599998474 -54.9999999999999,122 -54.9999999999999,122.400001526 -54.9999999999999,122.800003052 -54.9999999999999,123.199996948 -54.9999999999999,123.599998474 -54.9999999999999,124 -54.9999999999999,124.400001526 -54.9999999999999,124.800003052 -54.9999999999999,125.199996948 -54.9999999999999,125.599998474 -54.9999999999999,126 -54.9999999999999,126.400001526 -54.9999999999999,126.800003052 -54.9999999999999,127.199996948 -54.9999999999999,127.599998474 -54.9999999999999,128 -54.9999999999999,128.399993896 -54.9999999999999,128.800003052 -54.9999999999999,129.199996948 -54.9999999999999,129.600006104 -54.9999999999999,130 -54.9999999999999,130.399993896 -54.9999999999999,130.800003052 -54.9999999999999,131.199996948 -54.9999999999999,131.600006104 -54.9999999999999,132 -54.9999999999999,132.399993896 -54.9999999999999,132.800003052 -54.9999999999999,133.199996948 -54.9999999999999,133.600006104 -54.9999999999999,134 -54.9999999999999,134.399993896 -54.9999999999999,134.800003052 -54.9999999999999,135.199996948 -54.9999999999999,135.600006104 -54.9999999999999,136 -54.9999999999999,136.399993896 -54.9999999999999,136.800003052 -54.9999999999999,137.199996948 -54.9999999999999,137.600006104 -54.9999999999999,138 -54.9999999999999,138.399993896 -54.9999999999999,138.800003052 -54.9999999999999,139.199996948 -54.9999999999999,139.600006104 -54.9999999999999,140 -54.9999999999999,140.399993896 -54.9999999999999,140.800003052 -54.9999999999999,141.199996948 -54.9999999999999,141.600006104 -54.9999999999999,142 -54.9999999999999,142.399993896 -54.9999999999999,142.800003052 -54.9999999999999,143.199996948 -54.9999999999999,143.600006104 -54.9999999999999,144 -54.9999999999999,144.399993896 -54.9999999999999,144.800003052 -54.9999999999999,145.199996948 -54.9999999999999,145.600006104 -54.9999999999999,146 -54.9999999999999,146.399993896 -54.9999999999999,146.800003052 -54.9999999999999,147.199996948 -54.9999999999999,147.600006104 -54.9999999999999,148 -54.9999999999999,148.399993896 -54.9999999999999,148.800003052 -54.9999999999999,149.199996948 -54.9999999999999,150 -54.9999999999999)))', 'Indian', '10', '58', 'INDIAN OCEAN, ANTARCTIC AND SOUTHERN', '58', '58.4', 'Enderby-Wilkes', '4', '58.4.1', 'Wilkes Land', '4.1', '', '', '', '', '', '', '', '4.1', '3', '58.4.1', '58.4.1', 'Y'),('SRID=4326;MULTIPOLYGON(((80.0000000000001 -63.9999999999999,80.0000000000001 -64.400001526,80.0000000000001 -65.199996948,80.0000000000001 -65.9999999999999,80.0000000000001 -66.800003052,80.0000000000001 -67.599998474,80.0000000000001 -68.400001526,80.0000000000001 -69.199996948,80.0000000000001 -69.9999999999999,80.0000000000001 -70.800003052,80.0000000000001 -71.599998474,80.0000000000001 -72.400001526,80.0000000000001 -73.199996948,80.0000000000001 -73.9999999999999,80.0000000000001 -74.800003052,80.0000000000001 -75.599998474,80.0000000000001 -76.400001526,80.0000000000001 -77.199996948,80.0000000000001 -77.9999999999999,80.0000000000001 -78.800003052,80.0000000000001 -79.9999999999999,80.0150628090001 -80.001075946,79.974432554 -80.062021328,79.974432554 -84.9999999999999,79.9799579830001 -84.9999999999999,79.9799579830001 -87.7341341549999,29.994796507 -87.794795759,29.994796507 -84.9999999999999,30.0000000000001 -84.9999999999999,30.0000000000001 -84.199996948,30.0000000000001 -83.599998474,30.0000000000001 -83.400001526,30.0000000000001 -82.800003052,30.0000000000001 -82.599998474,30.0000000000001 -81.9999999999999,30.0000000000001 -81.800003052,30.0000000000001 -81.199996948,30.0000000000001 -80.9999999999999,30.0000000000001 -80.400001526,30.0000000000001 -80.199996948,30.0000000000001 -79.599998474,30.0000000000001 -79.400001526,30.0000000000001 -78.800003052,30.0000000000001 -78.599998474,30.0000000000001 -77.9999999999999,30.0000000000001 -77.800003052,30.0000000000001 -77.199996948,30.0000000000001 -76.9999999999999,30.0000000000001 -76.400001526,30.0000000000001 -76.199996948,30.0000000000001 -75.599998474,30.0000000000001 -75.400001526,30.0000000000001 -74.800003052,30.0000000000001 -74.599998474,30.0000000000001 -73.9999999999999,30.0000000000001 -73.800003052,30.0000000000001 -73.199996948,30.0000000000001 -72.9999999999999,30.0000000000001 -72.400001526,30.0000000000001 -72.199996948,30.0000000000001 -71.599998474,30.0000000000001 -71.400001526,30.0000000000001 -70.800003052,30.0000000000001 -70.599998474,30.0000000000001 -69.9999999999999,30.0000000000001 -69.800003052,30.0000000000001 -69.199996948,30.0000000000001 -68.9999999999999,30.0000000000001 -68.400001526,30.0000000000001 -68.199996948,30.0000000000001 -67.599998474,30.0000000000001 -67.400001526,30.0000000000001 -66.800003052,30.0000000000001 -66.599998474,30.0000000000001 -65.9999999999999,30.0000000000001 -65.800003052,30.0000000000001 -65.199996948,30.0000000000001 -64.9999999999999,30.0000000000001 -64.400001526,30.0000000000001 -64.199996948,30.0000000000001 -63.599998474,30.0000000000001 -63.400001526,30.0000000000001 -62.799999237,30.0000000000001 -62.599998474,30.0000000000001 -61.9999999999999,31.0000000000001 -61.9999999999999,31.7999992370001 -61.9999999999999,32.5999984740001 -61.9999999999999,33.400001526 -61.9999999999999,34.200000763 -61.9999999999999,35.0000000000001 -61.9999999999999,35.7999992370001 -61.9999999999999,36.5999984740001 -61.9999999999999,37.400001526 -61.9999999999999,38.200000763 -61.9999999999999,39.0000000000001 -61.9999999999999,39.7999992370001 -61.9999999999999,40.5999984740001 -61.9999999999999,41.400001526 -61.9999999999999,42.200000763 -61.9999999999999,43.0000000000001 -61.9999999999999,44.0000000000001 -61.9999999999999,44.7999992370001 -61.9999999999999,45.5999984740001 -61.9999999999999,46.400001526 -61.9999999999999,47.200000763 -61.9999999999999,48.0000000000001 -61.9999999999999,48.7999992370001 -61.9999999999999,49.5999984740001 -61.9999999999999,50.400001526 -61.9999999999999,51.200000763 -61.9999999999999,52.0000000000001 -61.9999999999999,52.7999992370001 -61.9999999999999,53.5999984740001 -61.9999999999999,54.400001526 -61.9999999999999,55.200000763 -61.9999999999999,56.0000000000001 -61.9999999999999,56.7999992370001 -61.9999999999999,57.5999984740001 -61.9999999999999,58.400001526 -61.9999999999999,59.200000763 -61.9999999999999,60.0000000000001 -61.9999999999999,61.5999984740001 -61.9999999999999,62.400001526 -61.9999999999999,63.200000763 -61.9999999999999,64.0000000000001 -61.9999999999999,64.8000030520001 -61.9999999999999,65.5999984740001 -61.9999999999999,66.400001526 -61.9999999999999,67.199996948 -61.9999999999999,68.0000000000001 -61.9999999999999,68.8000030520001 -61.9999999999999,69.5999984740001 -61.9999999999999,70.400001526 -61.9999999999999,71.199996948 -61.9999999999999,72.0000000000001 -61.9999999999999,72.8000030520001 -61.9999999999999,73.1666995680001 -61.999999824,73.1667 -63.9999999999999,80.0000000000001 -63.9999999999999)))', 'Indian', '10', '58', 'INDIAN OCEAN, ANTARCTIC AND SOUTHERN', '58', '58.4', 'Enderby-Wilkes', '4', '58.4.2', 'Prydz Bay', '4.2', '', '', '', '', '', '', '', '4.2', '3', '58.4.2', '58.4.2', 'Y'),('SRID=4326;MULTIPOLYGON(((73.1666995680001 -61.999999824,72.8000030520001 -61.9999999999999,72.0000000000001 -61.9999999999999,71.199996948 -61.9999999999999,70.400001526 -61.9999999999999,69.5999984740001 -61.9999999999999,68.8000030520001 -61.9999999999999,68.0000000000001 -61.9999999999999,67.199996948 -61.9999999999999,66.400001526 -61.9999999999999,65.5999984740001 -61.9999999999999,64.8000030520001 -61.9999999999999,64.0000000000001 -61.9999999999999,63.200000763 -61.9999999999999,62.400001526 -61.9999999999999,61.5999984740001 -61.9999999999999,60.0000000000001 -61.9999999999999,60.0000000000001 -60.599998474,60.0000000000001 -59.799999237,60.0000000000001 -58.9999999999999,60.0000000000001 -58.2000007629999,60.0000000000001 -57.400001526,60.0000000000001 -56.599998474,59.999999873 -55.999999745,73.1666995680001 -55.999999553,73.1666995680001 -61.999999824)))', 'Indian', '10', '58', 'INDIAN OCEAN, ANTARCTIC AND SOUTHERN', '58', '58.4', 'Enderby-Wilkes', '4', '58.4.3', 'BANZARE Bank', '4.3', '58.4.3.a', '', '4.3.a', '', '', '', '', '4.3.a', '4', '58.4.3.a', '58.4.3.a', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 -49.9999999999999,41.400001526 -49.9999999999999,42.200000763 -49.9999999999999,43.0000000000001 -49.9999999999999,43.0000000000001 -51.599998474,43.0000000000001 -52.400001526,43.0000000000001 -53.2000007629999,43.0000000000001 -53.9999999999999,43.0000000000001 -54.799999237,43.0000000000001 -55.599998474,43.0000000000001 -56.400001526,43.0000000000001 -57.2000007629999,43.0000000000001 -57.9999999999999,43.0000000000001 -58.799999237,43.0000000000001 -59.599998474,43.0000000000001 -60.400001526,43.0000000000001 -61.2000007629999,43.0000000000001 -61.9999999999999,42.200000763 -61.9999999999999,41.400001526 -61.9999999999999,40.5999984740001 -61.9999999999999,39.7999992370001 -61.9999999999999,39.0000000000001 -61.9999999999999,38.200000763 -61.9999999999999,37.400001526 -61.9999999999999,36.5999984740001 -61.9999999999999,35.7999992370001 -61.9999999999999,35.0000000000001 -61.9999999999999,34.200000763 -61.9999999999999,33.400001526 -61.9999999999999,32.5999984740001 -61.9999999999999,31.7999992370001 -61.9999999999999,31.0000000000001 -61.9999999999999,30.0000000000001 -61.9999999999999,30.0000000000001 -61.799999237,30.0000000000001 -60.9999999999999,30.0000000000001 -60.400001526,30.0000000000001 -60.2000007629999,30.0000000000001 -59.599998474,30.0000000000001 -59.400001526,30.0000000000001 -58.799999237,30.0000000000001 -58.599998474,30.0000000000001 -57.9999999999999,30.0000000000001 -57.799999237,30.0000000000001 -57.2000007629999,30.0000000000001 -56.9999999999999,30.0000000000001 -56.400001526,30.0000000000001 -56.2000007629999,30.0000000000001 -55.599998474,30.0000000000001 -55.399997711,30.0000000000001 -54.799999237,30.0000000000001 -54.599998474,30.0000000000001 -53.9999999999999,30.0000000000001 -53.799999237,30.0000000000001 -53.2000007629999,30.0000000000001 -52.9999999999999,30.0000000000001 -52.400001526,30.0000000000001 -52.2000007629999,30.0000000000001 -51.599998474,30.0000000000001 -51.399997711,30.0000000000001 -50.799999237,30.0000000000001 -49.9999999999999,31.200000763 -49.9999999999999,32.0000000000001 -49.9999999999999,32.7999992370001 -49.9999999999999,33.5999984740001 -49.9999999999999,34.400001526 -49.9999999999999,35.200000763 -49.9999999999999,36.0000000000001 -49.9999999999999,36.7999992370001 -49.9999999999999,37.5999984740001 -49.9999999999999,38.400001526 -49.9999999999999,39.200000763 -49.9999999999999,40.0000000000001 -49.9999999999999)))', 'Indian', '10', '58', 'INDIAN OCEAN, ANTARCTIC AND SOUTHERN', '58', '58.4', 'Enderby-Wilkes', '4', '58.4.4', 'Ob and Lena Banks', '4.4', '58.4.4.a', 'Ob Bank', '4.4.a', '', '', '', '', '4.4.a', '4', '58.4.4.a', '58.4.4.a', 'Y'),('SRID=4326;MULTIPOLYGON(((59.9999998100001 -53.229999549,59.999999556 -54.200000551,59.999999556 -54.999999552,59.999999556 -55.799999553,59.999999873 -55.999999745,60.0000000000001 -56.599998474,60.0000000000001 -57.400001526,60.0000000000001 -58.2000007629999,60.0000000000001 -58.9999999999999,60.0000000000001 -59.799999237,60.0000000000001 -60.599998474,60.0000000000001 -61.9999999999999,59.200000763 -61.9999999999999,58.400001526 -61.9999999999999,57.5999984740001 -61.9999999999999,56.7999992370001 -61.9999999999999,56.0000000000001 -61.9999999999999,55.200000763 -61.9999999999999,54.400001526 -61.9999999999999,53.5999984740001 -61.9999999999999,52.7999992370001 -61.9999999999999,52.0000000000001 -61.9999999999999,51.200000763 -61.9999999999999,50.400001526 -61.9999999999999,49.5999984740001 -61.9999999999999,48.7999992370001 -61.9999999999999,48.0000000000001 -61.9999999999999,47.200000763 -61.9999999999999,46.400001526 -61.9999999999999,45.5999984740001 -61.9999999999999,44.7999992370001 -61.9999999999999,44.0000000000001 -61.9999999999999,43.0000000000001 -61.9999999999999,43.0000000000001 -61.2000007629999,43.0000000000001 -60.400001526,43.0000000000001 -59.599998474,43.0000000000001 -58.799999237,43.0000000000001 -57.9999999999999,43.0000000000001 -57.2000007629999,43.0000000000001 -56.400001526,43.0000000000001 -55.599998474,43.0000000000001 -54.799999237,43.0000000000001 -53.9999999999999,43.0000000000001 -53.2000007629999,43.0000000000001 -52.400001526,43.0000000000001 -51.599998474,43.0000000000001 -49.9999999999999,44.0000000000001 -49.9999999999999,44.7999992370001 -49.9999999999999,45.5999984740001 -49.9999999999999,46.400001526 -49.9999999999999,47.200000763 -49.9999999999999,48.0000000000001 -49.9999999999999,48.7999992370001 -49.9999999999999,49.5999984740001 -49.9999999999999,50.400001526 -49.9999999999999,51.200000763 -49.9999999999999,52.0000000000001 -49.9999999999999,52.7999992370001 -49.9999999999999,53.5999984740001 -49.9999999999999,54.400001526 -49.9999999999999,55.200000763 -49.9999999999999,56.0000000000001 -49.9999999999999,56.7999992370001 -49.9999999999999,57.5999984740001 -49.9999999999999,58.400001526 -49.9999999999999,59.200000763 -49.9999999999999,60.0000000000001 -49.9999999999999,60.0000000000001 -50.8299980159999,60.0000000000001 -51.630001068,60.0000000000001 -52.430000305,59.9999998100001 -53.229999549)))', 'Indian', '10', '58', 'INDIAN OCEAN, ANTARCTIC AND SOUTHERN', '58', '58.4', 'Enderby-Wilkes', '4', '58.4.4', 'Ob and Lena Banks', '4.4', '58.4.4.b', 'Lena Bank', '4.4.b', '', '', '', '', '4.4.b', '4', '58.4.4.b', '58.4.4.b', 'Y'),('SRID=4326;MULTIPOLYGON(((79.9999996880001 -49.4000015409999,79.199996668 -49.4000015409999,78.4000015610001 -49.4000015409999,77.599998548 -49.4000015409999,76.7047222 -49.4019443999999,75.6022222 -49.8261110999999,72.8225 -50.9063889,72.4744444 -51.0525,71.2080556000001 -51.4088889,69.7338889000001 -51.9716667,68.0919444 -52.7077778,67.0555556 -53.2352777999999,65.800002684 -53.229999548,64.9999996710001 -53.229999548,64.199996657 -53.229999548,63.4000015510001 -53.229999548,62.599998537 -53.229999548,61.7999994780001 -53.229999548,60.999999668 -53.229999548,59.9999998100001 -53.229999549,60.0000000000001 -52.430000305,60.0000000000001 -51.630001068,60.0000000000001 -50.8299980159999,60.0000000000001 -49.9999999999999,60.0000000000001 -49.2000007629999,60.0000000000001 -48.400001526,60.0000000000001 -47.599998474,60.0000000000001 -46.799999237,60.0000000000001 -45.9999999999999,60.0000000000001 -44.9999999999999,60.7999992370001 -44.9999999999999,61.5999984740001 -44.9999999999999,62.400001526 -44.9999999999999,63.200000763 -44.9999999999999,64.0000000000001 -44.9999999999999,64.8000030520001 -44.9999999999999,65.5999984740001 -44.9999999999999,66.400001526 -44.9999999999999,67.199996948 -44.9999999999999,68.0000000000001 -44.9999999999999,68.8000030520001 -44.9999999999999,69.5999984740001 -44.9999999999999,70.400001526 -44.9999999999999,71.199996948 -44.9999999999999,72.0000000000001 -44.9999999999999,72.8000030520001 -44.9999999999999,73.5999984740001 -44.9999999999999,74.400001526 -44.9999999999999,75.199996948 -44.9999999999999,76.0000000000001 -44.9999999999999,76.8000030520001 -44.9999999999999,77.5999984740001 -44.9999999999999,78.400001526 -44.9999999999999,79.199996948 -44.9999999999999,80.0000000000001 -44.9999999999999,80.0000000000001 -45.400001526,80.0000000000001 -46.2000007629999,80.0000000000001 -46.9999999999999,80.0000000000001 -47.800003052,80.0000000000001 -48.599998474,79.9999996880001 -49.4000015409999)))', 'Indian', '10', '58', 'INDIAN OCEAN, ANTARCTIC AND SOUTHERN', '58', '58.5', 'Kerguelen, McDonald', '5', '58.5.1', 'Kerguelen', '5.1', '', '', '', '', '', '', '', '5.1', '3', '58.5.1', '58.5.1', 'Y'),('SRID=4326;MULTIPOLYGON(((79.9999996880001 -49.4000015409999,79.9999995750001 -50.2000005479999,79.9999995750001 -50.9999995479999,79.9999995750001 -51.7999995489999,79.9999995750001 -52.59999855,79.9999995750001 -53.4000015509999,79.9999995750001 -54.200000551,79.9999997450001 -54.999999552,79.9999995750001 -55.799999553,79.9999995750001 -55.999999553,73.1666995680001 -55.999999553,59.999999873 -55.999999745,59.999999556 -55.799999553,59.999999556 -54.999999552,59.999999556 -54.200000551,59.9999998100001 -53.229999549,60.999999668 -53.229999548,61.7999994780001 -53.229999548,62.599998537 -53.229999548,63.4000015510001 -53.229999548,64.199996657 -53.229999548,64.9999996710001 -53.229999548,65.800002684 -53.229999548,67.0555556 -53.2352777999999,68.0919444 -52.7077778,69.7338889000001 -51.9716667,71.2080556000001 -51.4088889,72.4744444 -51.0525,72.8225 -50.9063889,75.6022222 -49.8261110999999,76.7047222 -49.4019443999999,77.599998548 -49.4000015409999,78.4000015610001 -49.4000015409999,79.199996668 -49.4000015409999,79.9999996880001 -49.4000015409999)))', 'Indian', '10', '58', 'INDIAN OCEAN, ANTARCTIC AND SOUTHERN', '58', '58.5', 'Kerguelen, McDonald', '5', '58.5.2', 'McDonald and Heard', '5.2', '', '', '', '', '', '', '', '5.2', '3', '58.5.2', '58.5.2', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 -49.9999999999999,59.200000763 -49.9999999999999,58.400001526 -49.9999999999999,57.5999984740001 -49.9999999999999,56.7999992370001 -49.9999999999999,56.0000000000001 -49.9999999999999,55.200000763 -49.9999999999999,54.400001526 -49.9999999999999,53.5999984740001 -49.9999999999999,52.7999992370001 -49.9999999999999,52.0000000000001 -49.9999999999999,51.200000763 -49.9999999999999,50.400001526 -49.9999999999999,49.5999984740001 -49.9999999999999,48.7999992370001 -49.9999999999999,48.0000000000001 -49.9999999999999,47.200000763 -49.9999999999999,46.400001526 -49.9999999999999,45.5999984740001 -49.9999999999999,44.7999992370001 -49.9999999999999,44.0000000000001 -49.9999999999999,43.0000000000001 -49.9999999999999,42.200000763 -49.9999999999999,41.400001526 -49.9999999999999,40.0000000000001 -49.9999999999999,40.0000000000001 -49.2000007629999,40.0000000000001 -48.400001526,40.0000000000001 -47.599998474,40.0000000000001 -46.799999237,40.0000000000001 -45.9999999999999,40.0000000000001 -44.9999999999999,41.5999984740001 -44.9999999999999,42.399997711 -44.9999999999999,43.200000763 -44.9999999999999,44.0000000000001 -44.9999999999999,44.7999992370001 -44.9999999999999,45.5999984740001 -44.9999999999999,46.399997711 -44.9999999999999,47.200000763 -44.9999999999999,48.0000000000001 -44.9999999999999,48.7999992370001 -44.9999999999999,49.5999984740001 -44.9999999999999,50.399997711 -44.9999999999999,51.200000763 -44.9999999999999,52.0000000000001 -44.9999999999999,52.7999992370001 -44.9999999999999,53.5999984740001 -44.9999999999999,54.400001526 -44.9999999999999,55.200000763 -44.9999999999999,56.0000000000001 -44.9999999999999,56.7999992370001 -44.9999999999999,57.5999984740001 -44.9999999999999,58.400001526 -44.9999999999999,59.200000763 -44.9999999999999,60.0000000000001 -44.9999999999999,60.0000000000001 -45.9999999999999,60.0000000000001 -46.799999237,60.0000000000001 -47.599998474,60.0000000000001 -48.400001526,60.0000000000001 -49.2000007629999,60.0000000000001 -49.9999999999999)))', 'Indian', '10', '58', 'INDIAN OCEAN, ANTARCTIC AND SOUTHERN', '58', '58.6', 'Crozet', '6', '', '', '', '', '', '', '', '', '', '', '6', '2', '58.6', '58.6', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 -49.9999999999999,39.200000763 -49.9999999999999,38.400001526 -49.9999999999999,37.5999984740001 -49.9999999999999,36.7999992370001 -49.9999999999999,36.0000000000001 -49.9999999999999,35.200000763 -49.9999999999999,34.400001526 -49.9999999999999,33.5999984740001 -49.9999999999999,32.7999992370001 -49.9999999999999,32.0000000000001 -49.9999999999999,31.200000763 -49.9999999999999,30.0000000000001 -49.9999999999999,30.0000000000001 -48.9999999999999,30.0000000000001 -48.2000007629999,30.0000000000001 -47.400001526,30.0000000000001 -46.599998474,30.0000000000001 -45.799999237,30.0000000000001 -44.9999999999999,31.200000763 -44.9999999999999,32.0000000000001 -44.9999999999999,32.7999992370001 -44.9999999999999,33.5999984740001 -44.9999999999999,34.400001526 -44.9999999999999,35.200000763 -44.9999999999999,36.0000000000001 -44.9999999999999,36.7999992370001 -44.9999999999999,37.5999984740001 -44.9999999999999,38.400001526 -44.9999999999999,39.200000763 -44.9999999999999,40.0000000000001 -44.9999999999999,40.0000000000001 -45.9999999999999,40.0000000000001 -46.799999237,40.0000000000001 -47.599998474,40.0000000000001 -48.400001526,40.0000000000001 -49.2000007629999,40.0000000000001 -49.9999999999999)))', 'Indian', '10', '58', 'INDIAN OCEAN, ANTARCTIC AND SOUTHERN', '58', '58.7', 'Marion-Edward', '7', '', '', '', '', '', '', '', '', '', '', '7', '2', '58.7', '58.7', 'Y'),('SRID=4326;MULTIPOLYGON(((-82.448013306 -2.17845034599998,-82.3356933589999 -1.62752532999997,-82.260543823 -1.51625776299994,-82.300476074 -1.16380834599994,-82.309661865 -0.998668252999948,-82.198699951 -0.447534739999981,-81.884757996 0.0197923350000337,-81.861976624 0.037039228000026,-81.837554932 0.159395471000039,-81.545249939 0.605572104000032,-81.447372437 0.707382977000066,-81.4474182129999 0.800326943000073,-81.3383026119999 1.35080397100006,-81.312141418 1.38999998600002,-81.199996948 1.38999998600002,-80.400001526 1.38999998600002,-79.599998474 1.38999998600002,-78.800003052 1.38999998600002,-77.9999999999999 1.38999998600002,-77.199996948 1.38999998600002,-76.400001526 1.38999998600002,-75.599998474 1.38999998600002,-74.800003052 1.38999998600002,-74.3882980349999 1.38999998600002,-74.141723633 0.810332477000031,-73.828582764 0.0741658580000717,-73.515441895 -0.662000774999967,-73.202293396 -1.39816737199993,-72.889152527 -2.13433408699996,-72.576011658 -2.87050056499993,-72.32950592 -3.45000004799994,-72.400001526 -3.45000004799994,-73.199996948 -3.45000004799994,-73.9999999999999 -3.45000004799994,-74.800003052 -3.45000004799994,-75.599998474 -3.45000004799994,-76.400001526 -3.45000004799994,-77.199996948 -3.45000004799994,-77.9999999999999 -3.45000004799994,-78.800003052 -3.45000004799994,-79.599998474 -3.45000004799994,-80.400001526 -3.45000004799994,-81.199996948 -3.45000004799994,-81.9999999999999 -3.45000004799994,-82.336494446 -3.45000004799994,-82.2924957279999 -3.36214804599996,-82.098052979 -3.09447932199993,-82.3404998779999 -2.72985458399995,-82.448013306 -2.17845034599998)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.1', 'Northern', '1', '87.1.1', 'Northern Coastal', '1.1', '87.1.1.2', '', '1.12', '', '', '', '', '1.12', '4', '87.1.1.2', '87.1.1.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-175 40.0000000000001,-175 39.2999992370001,-175 39.0000000000001,-175 38.5000000000001,-175 38.200000763,-175 37.700000763,-175 37.400001526,-175 36.899997711,-175 36.600002289,-175 36.0999984740001,-175 35.7999992370001,-175 35.2999992370001,-175 35.0000000000001,-175 34.5000000000001,-175 34.200000763,-175 33.700000763,-175 33.400001526,-175 32.899997711,-175 32.600002289,-175 32.0999984740001,-175 31.8000011440001,-175 31.2999992370001,-175 31.0000000000001,-175 30.5000000000001,-175 30.200000763,-175 29.699998856,-175 29.400001526,-175 28.899999619,-175 28.600000381,-175 28.0999984740001,-175 27.8000011440001,-175 27.2999992370001,-175 27.0000000000001,-175 26.5000000000001,-175 26.200000763,-175 25.699998856,-175 25.400001526,-175 24.899999619,-175 24.600000381,-175 24.0999984740001,-175 23.8000011440001,-175 23.2999992370001,-175 23.0000000000001,-175 22.5000000000001,-175 22.200000763,-175 21.699998856,-175 21.400001526,-175 20.899999619,-175 20.600000381,-175 20.0000000000001,-175.800003052 20.0000000000001,-176.600006104 20.0000000000001,-177.399993896 20.0000000000001,-178.199996948 20.0000000000001,-179 20.0000000000001,-180 20.0000000000001,-180 20.7999992370001,-180 21.600000381,-180 22.399999619,-180 23.200000763,-180 24.0000000000001,-180 24.7999992370001,-180 25.600000381,-180 26.399999619,-180 27.200000763,-180 28.0000000000001,-180 28.7999992370001,-180 29.600000381,-180 30.399999619,-180 31.200000763,-180 32.0000000000001,-180 32.7999992370001,-180 33.5999984740001,-180 34.400001526,-180 35.200000763,-180 36.0000000000001,-180 36.7999992370001,-180 37.5999984740001,-180 38.400001526,-180 39.200000763,-180 40.0000000000001,-180 40.7999992370001,-180 41.5999984740001,-180 42.400001526,-180 43.200000763,-180 44.0000000000001,-180 44.7999992370001,-180 45.5999984740001,-180 46.400001526,-180 47.200000763,-180 48.0000000000001,-180 48.7999992370001,-180 49.600002289,-180 50.400001526,-180 51.200000763,-180 52.0000000000001,-180 52.7999992370001,-180 53.600002289,-180 54.400001526,-180 55.200000763,-180 56.0000000000001,-180 56.7999992370001,-180 57.600002289,-180 58.400001526,-180 59.200000763,-180 60.0000000000001,-180 60.7999992370001,-180 61.600002289,-180 62.400001526,-180 63.200000763,-180 64.0000000000001,-180 64.8000030520001,-180 65.5999984740001,-180 66.5000000000001,-179.199996948 66.5000000000001,-178.399993896 66.5000000000001,-177.600006104 66.5000000000001,-176.800003052 66.5000000000001,-176 66.5000000000001,-175 66.5000000000001,-175 65.699996948,-175 65.5999984740001,-175 64.900001526,-175 64.8000030520001,-175 64.0999984740001,-175 64.0000000000001,-175 63.2999992370001,-175 63.200000763,-175 62.5000000000001,-175 62.400001526,-175 61.700000763,-175 61.5999984740001,-175 60.900001526,-175 60.7999992370001,-175 60.0999984740001,-175 60.0000000000001,-175 59.2999992370001,-175 59.200000763,-175 58.5000000000001,-175 58.400001526,-175 57.700000763,-175 57.5999984740001,-175 56.900001526,-175 56.7999992370001,-175 56.0999984740001,-175 56.0000000000001,-175 55.2999992370001,-175 55.200000763,-175 54.5000000000001,-175 54.400001526,-175 53.700000763,-175 53.5999984740001,-175 52.900001526,-175 52.7999992370001,-175 52.0999984740001,-175 52.0000000000001,-175 51.2999992370001,-175 51.200000763,-175 50.5000000000001,-175 50.400001526,-175 49.700000763,-175 49.5999984740001,-175 48.900001526,-175 48.7999992370001,-175 48.0999984740001,-175 48.0000000000001,-175 47.2999992370001,-175 47.200000763,-175 46.5000000000001,-175 46.400001526,-175 45.700000763,-175 45.5999984740001,-175 44.900001526,-175 44.7999992370001,-175 44.0999984740001,-175 44.0000000000001,-175 43.2999992370001,-175 43.200000763,-175 42.5000000000001,-175 42.400001526,-175 41.700000763,-175 41.5999984740001,-175 40.900001526,-175 40.7999992370001,-175 40.0999984740001,-175 40.0000000000001)),((180 20.0000000000001,179 20.0000000000001,178.399993896 20.0000000000001,178.199996948 20.0000000000001,177.600006104 20.0000000000001,177.399993896 20.0000000000001,176.800003052 20.0000000000001,176.600006104 20.0000000000001,176 20.0000000000001,175.800003052 20.0000000000001,175.199996948 20.0000000000001,175 20.0000000000001,174.399993896 20.0000000000001,174.199996948 20.0000000000001,173.600006104 20.0000000000001,173.399993896 20.0000000000001,172.800003052 20.0000000000001,172.600006104 20.0000000000001,172 20.0000000000001,171.800003052 20.0000000000001,171.199996948 20.0000000000001,171 20.0000000000001,170.399993896 20.0000000000001,170.199996948 20.0000000000001,169.600006104 20.0000000000001,169.399993896 20.0000000000001,168.800003052 20.0000000000001,168.600006104 20.0000000000001,168 20.0000000000001,167.800003052 20.0000000000001,167.199996948 20.0000000000001,167 20.0000000000001,166.399993896 20.0000000000001,166.199996948 20.0000000000001,165.600006104 20.0000000000001,165.399993896 20.0000000000001,164.800003052 20.0000000000001,164.600006104 20.0000000000001,164 20.0000000000001,163.800003052 20.0000000000001,163.199996948 20.0000000000001,163 20.0000000000001,162.399993896 20.0000000000001,162.199996948 20.0000000000001,161.600006104 20.0000000000001,161.399993896 20.0000000000001,160.800003052 20.0000000000001,160.600006104 20.0000000000001,160 20.0000000000001,159.800003052 20.0000000000001,159 20.0000000000001,158.800003052 20.0000000000001,158.199996948 20.0000000000001,158 20.0000000000001,157.399993896 20.0000000000001,157.199996948 20.0000000000001,156.600006104 20.0000000000001,156.399993896 20.0000000000001,155.800003052 20.0000000000001,155.600006104 20.0000000000001,155 20.0000000000001,154.800003052 20.0000000000001,154.199996948 20.0000000000001,154 20.0000000000001,153.399993896 20.0000000000001,153.199996948 20.0000000000001,152.600006104 20.0000000000001,152.399993896 20.0000000000001,151.800003052 20.0000000000001,151.600006104 20.0000000000001,151 20.0000000000001,150.800003052 20.0000000000001,150.199996948 20.0000000000001,150 20.0000000000001,149.399993896 20.0000000000001,149.199996948 20.0000000000001,148.600006104 20.0000000000001,148.399993896 20.0000000000001,147.800003052 20.0000000000001,147.600006104 20.0000000000001,147 20.0000000000001,146.800003052 20.0000000000001,146.199996948 20.0000000000001,146 20.0000000000001,145.399993896 20.0000000000001,145.199996948 20.0000000000001,144.600006104 20.0000000000001,144.399993896 20.0000000000001,143.800003052 20.0000000000001,143.600006104 20.0000000000001,143 20.0000000000001,142.800003052 20.0000000000001,142.199996948 20.0000000000001,142 20.0000000000001,141.399993896 20.0000000000001,141.199996948 20.0000000000001,140.600006104 20.0000000000001,140.399993896 20.0000000000001,139.800003052 20.0000000000001,139.600006104 20.0000000000001,139 20.0000000000001,138.800003052 20.0000000000001,138.199996948 20.0000000000001,138 20.0000000000001,137.399993896 20.0000000000001,137.199996948 20.0000000000001,136.600006104 20.0000000000001,136.399993896 20.0000000000001,135.800003052 20.0000000000001,135.600006104 20.0000000000001,135 20.0000000000001,134.800003052 20.0000000000001,134.199996948 20.0000000000001,134 20.0000000000001,133.399993896 20.0000000000001,133.199996948 20.0000000000001,132.600006104 20.0000000000001,132.399993896 20.0000000000001,131.800003052 20.0000000000001,131.600006104 20.0000000000001,131 20.0000000000001,130.800003052 20.0000000000001,130.199996948 20.0000000000001,130 20.0000000000001,129.399993896 20.0000000000001,128.600006104 20.0000000000001,127.800003052 20.0000000000001,127 20.0000000000001,126.199996948 20.0000000000001,125.400001526 20.0000000000001,124.599998474 20.0000000000001,123.800003052 20.0000000000001,123 20.0000000000001,122.199996948 20.0000000000001,121.400001526 20.0000000000001,120.599998474 20.0000000000001,119.800003052 20.0000000000001,119 20.0000000000001,118.199996948 20.0000000000001,117.400001526 20.0000000000001,116.599998474 20.0000000000001,115.800003052 20.0000000000001,115 20.0000000000001,115 19.0000000000001,115 18.200000763,115 17.399999619,115 16.600000381,115 15.800000191,115 15.0000000000001,113.400001526 15.0000000000001,112.599998474 15.0000000000001,111.800003052 15.0000000000001,111 15.0000000000001,110.199996948 15.0000000000001,109.400001526 15.0000000000001,108.599998474 15.0000000000001,107.800003052 15.0000000000001,107 15.0000000000001,106.199996948 15.0000000000001,105.400001526 15.0000000000001,104.599998474 15.0000000000001,103.800003052 15.0000000000001,103 15.0000000000001,102.199996948 15.0000000000001,101.400001526 15.0000000000001,100.599998474 15.0000000000001,99.8000030520001 15.0000000000001,99.0000000000001 15.0000000000001,99.0000000000001 15.399999619,99.0000000000001 16.0999984740001,99.0000000000001 16.200000763,99.0000000000001 16.899999619,99.0000000000001 17.0000000000001,99.0000000000001 17.699998856,99.0000000000001 17.7999992370001,99.0000000000001 18.5000000000001,99.0000000000001 18.600000381,99.0000000000001 19.2999992370001,99.0000000000001 19.399999619,99.0000000000001 20.0999984740001,99.0000000000001 20.200000763,99.0000000000001 20.899999619,99.0000000000001 21.0000000000001,99.0000000000001 21.699998856,99.0000000000001 21.7999992370001,99.0000000000001 22.5000000000001,99.0000000000001 22.600000381,99.0000000000001 23.2999992370001,99.0000000000001 23.399999619,99.0000000000001 24.0999984740001,99.0000000000001 24.200000763,99.0000000000001 24.899999619,99.0000000000001 25.0000000000001,99.0000000000001 25.699998856,99.0000000000001 25.8000011440001,99.0000000000001 26.5000000000001,99.0000000000001 26.600000381,99.0000000000001 27.2999992370001,99.0000000000001 27.399999619,99.0000000000001 28.0999984740001,99.0000000000001 28.200000763,99.0000000000001 28.899999619,99.0000000000001 29.0000000000001,99.0000000000001 29.699998856,99.0000000000001 30.0000000000001,99.0000000000001 30.5000000000001,99.0000000000001 31.2999992370001,99.0000000000001 32.0999984740001,99.0000000000001 32.899997711,99.0000000000001 33.700000763,99.0000000000001 34.5000000000001,99.0000000000001 35.2999992370001,99.0000000000001 36.0999984740001,99.0000000000001 36.899997711,99.0000000000001 37.700000763,99.0000000000001 38.5000000000001,99.0000000000001 39.2999992370001,99.0000000000001 40.0999984740001,99.0000000000001 40.900001526,99.0000000000001 41.700000763,99.0000000000001 42.5000000000001,99.0000000000001 43.2999992370001,99.0000000000001 44.0999984740001,99.0000000000001 44.900001526,99.0000000000001 45.700000763,99.0000000000001 46.5000000000001,99.0000000000001 47.2999992370001,99.0000000000001 48.0999984740001,99.0000000000001 48.900001526,99.0000000000001 49.700000763,99.0000000000001 50.5000000000001,99.0000000000001 51.2999992370001,99.0000000000001 52.0999984740001,99.0000000000001 52.900001526,99.0000000000001 53.700000763,99.0000000000001 54.5000000000001,99.0000000000001 55.2999992370001,99.0000000000001 56.0999984740001,99.0000000000001 56.900001526,99.0000000000001 57.700000763,99.0000000000001 58.5000000000001,99.0000000000001 59.2999992370001,99.0000000000001 60.0999984740001,99.0000000000001 60.900001526,99.0000000000001 61.700000763,99.0000000000001 62.5000000000001,99.0000000000001 63.2999992370001,99.0000000000001 64.0999984740001,99.0000000000001 64.900001526,99.0000000000001 65.699996948,99.0000000000001 66.5000000000001,99.199996948 66.5000000000001,100 66.5000000000001,100.800003052 66.5000000000001,101.599998474 66.5000000000001,102.400001526 66.5000000000001,103.199996948 66.5000000000001,104 66.5000000000001,104.799995422 66.5000000000001,105.599998474 66.5000000000001,106.400001526 66.5000000000001,107.199996948 66.5000000000001,108 66.5000000000001,108.799995422 66.5000000000001,109.599998474 66.5000000000001,110.400001526 66.5000000000001,111.199996948 66.5000000000001,112 66.5000000000001,112.799995422 66.5000000000001,113.599998474 66.5000000000001,114.400001526 66.5000000000001,115.199996948 66.5000000000001,116 66.5000000000001,116.799995422 66.5000000000001,117.599998474 66.5000000000001,118.400001526 66.5000000000001,119.199996948 66.5000000000001,120 66.5000000000001,120.799995422 66.5000000000001,121.599998474 66.5000000000001,122.400001526 66.5000000000001,123.199996948 66.5000000000001,124 66.5000000000001,124.799995422 66.5000000000001,125.599998474 66.5000000000001,126.400001526 66.5000000000001,127.199996948 66.5000000000001,128 66.5000000000001,128.800003052 66.5000000000001,129.600006104 66.5000000000001,130.399993896 66.5000000000001,131.199996948 66.5000000000001,132 66.5000000000001,132.800003052 66.5000000000001,133.600006104 66.5000000000001,134.399993896 66.5000000000001,135.199996948 66.5000000000001,136 66.5000000000001,136.800003052 66.5000000000001,137.600006104 66.5000000000001,138.399993896 66.5000000000001,139.199996948 66.5000000000001,140 66.5000000000001,140.800003052 66.5000000000001,141.600006104 66.5000000000001,142.399993896 66.5000000000001,143.199996948 66.5000000000001,144 66.5000000000001,144.800003052 66.5000000000001,145.600006104 66.5000000000001,146.399993896 66.5000000000001,147.199996948 66.5000000000001,148 66.5000000000001,148.800003052 66.5000000000001,149.600006104 66.5000000000001,150.399993896 66.5000000000001,151.199996948 66.5000000000001,152 66.5000000000001,152.800003052 66.5000000000001,153.600006104 66.5000000000001,154.399993896 66.5000000000001,155.199996948 66.5000000000001,156 66.5000000000001,156.800003052 66.5000000000001,157.600006104 66.5000000000001,158.399993896 66.5000000000001,159.199996948 66.5000000000001,160 66.5000000000001,160.800003052 66.5000000000001,161.600006104 66.5000000000001,162.399993896 66.5000000000001,163.199996948 66.5000000000001,164 66.5000000000001,164.800003052 66.5000000000001,165.600006104 66.5000000000001,166.399993896 66.5000000000001,167.199996948 66.5000000000001,168 66.5000000000001,168.800003052 66.5000000000001,169.600006104 66.5000000000001,170.399993896 66.5000000000001,171.199996948 66.5000000000001,172 66.5000000000001,172.800003052 66.5000000000001,173.600006104 66.5000000000001,174.399993896 66.5000000000001,175.199996948 66.5000000000001,176 66.5000000000001,176.800003052 66.5000000000001,177.600006104 66.5000000000001,178.399993896 66.5000000000001,179.199996948 66.5000000000001,180 66.5000000000001,180 65.5999984740001,180 64.8000030520001,180 64.0000000000001,180 63.200000763,180 62.400001526,180 61.600002289,180 60.7999992370001,180 60.0000000000001,180 59.200000763,180 58.400001526,180 57.600002289,180 56.7999992370001,180 56.0000000000001,180 55.200000763,180 54.400001526,180 53.600002289,180 52.7999992370001,180 52.0000000000001,180 51.200000763,180 50.400001526,180 49.600002289,180 48.7999992370001,180 48.0000000000001,180 47.200000763,180 46.400001526,180 45.5999984740001,180 44.7999992370001,180 44.0000000000001,180 43.200000763,180 42.400001526,180 41.5999984740001,180 40.7999992370001,180 40.0000000000001,180 39.200000763,180 38.400001526,180 37.5999984740001,180 36.7999992370001,180 36.0000000000001,180 35.200000763,180 34.400001526,180 33.5999984740001,180 32.7999992370001,180 32.0000000000001,180 31.200000763,180 30.399999619,180 29.600000381,180 28.7999992370001,180 28.0000000000001,180 27.200000763,180 26.399999619,180 25.600000381,180 24.7999992370001,180 24.0000000000001,180 23.200000763,180 22.399999619,180 21.600000381,180 20.7999992370001,180 20.0000000000001)))', 'Pacific', '6', '61', 'PACIFIC, NORTHWEST', '61', '', '', '', '', '', '', '', '', '', '', '', '', '', '61', '1', '61', '61', 'Y'),('SRID=4326;MULTIPOLYGON(((-168.911865234 65.8683090210001,-168.100006104 65.583297729,-168.020004272 65.589996338,-167.5 65.699996948,-166.699996948 65.699996948,-165.899993896 65.699996948,-165.100006104 65.699996948,-164.300003052 65.699996948,-163.5 65.699996948,-162.699996948 65.699996948,-161.899993896 65.699996948,-161.100006104 65.699996948,-160.300003052 65.699996948,-159.5 65.699996948,-158.699996948 65.699996948,-157.899993896 65.699996948,-157.100006104 65.699996948,-156.300003052 65.699996948,-155.5 65.699996948,-154.699996948 65.699996948,-153.899993896 65.699996948,-153.100006104 65.699996948,-152.300003052 65.699996948,-151.5 65.699996948,-150.699996948 65.699996948,-149.899993896 65.699996948,-149.100006104 65.699996948,-148.300003052 65.699996948,-147.5 65.699996948,-146.699996948 65.699996948,-145.899993896 65.699996948,-145.100006104 65.699996948,-144.300003052 65.699996948,-143.5 65.699996948,-142.699996948 65.699996948,-141.899993896 65.699996948,-141.100006104 65.699996948,-140.300003052 65.699996948,-139.5 65.699996948,-138.699996948 65.699996948,-137.899993896 65.699996948,-137.100006104 65.699996948,-136.300003052 65.699996948,-135.5 65.699996948,-134.699996948 65.699996948,-133.899993896 65.699996948,-133.100006104 65.699996948,-132.300003052 65.699996948,-131.5 65.699996948,-130.699996948 65.699996948,-129.899993896 65.699996948,-129.100006104 65.699996948,-128.300003052 65.699996948,-127.5 65.699996948,-126.699996948 65.699996948,-125.900001526 65.699996948,-125.099998474 65.699996948,-124.300003052 65.699996948,-123.5 65.699996948,-122.699996948 65.699996948,-121.900001526 65.699996948,-121.099998474 65.699996948,-120.300003052 65.699996948,-120 65.699996948,-120 64.8999938960001,-120 64.0999984740001,-120 63.2999954220001,-120 62.499996185,-120 61.699996948,-120 60.8999977110001,-120 60.0999984740001,-120 59.2999954220001,-120 58.499996185,-120 57.699996948,-120 56.8999977110001,-120 56.0999984740001,-120 55.2999954220001,-120 54.499996185,-120 53.699996948,-120 52.899997711,-120 52.0999984740001,-120 51.2999954220001,-120 50.499996185,-120 49.699996948,-120 48.899997711,-120 48.0999984740001,-120 47.2999954220001,-120 46.499996185,-120 45.699996948,-120 44.899997711,-120 44.0999984740001,-120 43.2999954220001,-120 42.499996185,-120 41.699996948,-120 40.5000000000001,-120.052620895 40.5000000000001,-120.800003052 40.5000000000001,-121.199996948 40.5000000000001,-121.599998474 40.5000000000001,-122 40.5000000000001,-122.400001526 40.5000000000001,-122.800003052 40.5000000000001,-123.199996948 40.5000000000001,-123.599998474 40.5000000000001,-124 40.5000000000001,-124.400001526 40.5000000000001,-124.800003052 40.5000000000001,-125.199996948 40.5000000000001,-125.599998474 40.5000000000001,-126 40.5000000000001,-126.400001526 40.5000000000001,-126.800003052 40.5000000000001,-127.199996948 40.5000000000001,-127.599998474 40.5000000000001,-128 40.5000000000001,-128.399993896 40.5000000000001,-128.800003052 40.5000000000001,-129.199996948 40.5000000000001,-130 40.5000000000001,-130 40.0000000000001,-130.800003052 40.0000000000001,-131 40.0000000000001,-131.600006104 40.0000000000001,-131.800003052 40.0000000000001,-132.399993896 40.0000000000001,-132.600006104 40.0000000000001,-133.199996948 40.0000000000001,-133.399993896 40.0000000000001,-134 40.0000000000001,-134.199996948 40.0000000000001,-134.800003052 40.0000000000001,-135 40.0000000000001,-135.600006104 40.0000000000001,-135.800003052 40.0000000000001,-136.399993896 40.0000000000001,-136.600006104 40.0000000000001,-137.199996948 40.0000000000001,-137.399993896 40.0000000000001,-138 40.0000000000001,-138.199996948 40.0000000000001,-138.800003052 40.0000000000001,-139 40.0000000000001,-139.600006104 40.0000000000001,-139.800003052 40.0000000000001,-140.399993896 40.0000000000001,-140.600006104 40.0000000000001,-141.199996948 40.0000000000001,-141.399993896 40.0000000000001,-142 40.0000000000001,-142.199996948 40.0000000000001,-142.800003052 40.0000000000001,-143 40.0000000000001,-143.600006104 40.0000000000001,-143.800003052 40.0000000000001,-144.399993896 40.0000000000001,-144.600006104 40.0000000000001,-145.199996948 40.0000000000001,-145.399993896 40.0000000000001,-146 40.0000000000001,-146.199996948 40.0000000000001,-146.800003052 40.0000000000001,-147 40.0000000000001,-147.600006104 40.0000000000001,-147.800003052 40.0000000000001,-148.399993896 40.0000000000001,-148.600006104 40.0000000000001,-149.199996948 40.0000000000001,-149.399993896 40.0000000000001,-150 40.0000000000001,-150.199996948 40.0000000000001,-150.800003052 40.0000000000001,-151 40.0000000000001,-151.600006104 40.0000000000001,-151.800003052 40.0000000000001,-152.399993896 40.0000000000001,-152.600006104 40.0000000000001,-153.199996948 40.0000000000001,-153.399993896 40.0000000000001,-154 40.0000000000001,-154.199996948 40.0000000000001,-154.800003052 40.0000000000001,-155 40.0000000000001,-155.600006104 40.0000000000001,-155.800003052 40.0000000000001,-156.399993896 40.0000000000001,-156.600006104 40.0000000000001,-157.199996948 40.0000000000001,-157.399993896 40.0000000000001,-158 40.0000000000001,-158.199996948 40.0000000000001,-158.800003052 40.0000000000001,-159 40.0000000000001,-159.600006104 40.0000000000001,-159.800003052 40.0000000000001,-160.399993896 40.0000000000001,-160.600006104 40.0000000000001,-161.199996948 40.0000000000001,-161.399993896 40.0000000000001,-162 40.0000000000001,-162.199996948 40.0000000000001,-162.800003052 40.0000000000001,-163 40.0000000000001,-163.600006104 40.0000000000001,-163.800003052 40.0000000000001,-164.399993896 40.0000000000001,-164.600006104 40.0000000000001,-165.199996948 40.0000000000001,-165.399993896 40.0000000000001,-166 40.0000000000001,-166.199996948 40.0000000000001,-166.800003052 40.0000000000001,-167 40.0000000000001,-167.600006104 40.0000000000001,-167.800003052 40.0000000000001,-168.399993896 40.0000000000001,-168.600006104 40.0000000000001,-169.199996948 40.0000000000001,-169.399993896 40.0000000000001,-170 40.0000000000001,-170.199996948 40.0000000000001,-170.800003052 40.0000000000001,-171 40.0000000000001,-171.600006104 40.0000000000001,-171.800003052 40.0000000000001,-172.399993896 40.0000000000001,-172.600006104 40.0000000000001,-173.199996948 40.0000000000001,-173.399993896 40.0000000000001,-174 40.0000000000001,-174.199996948 40.0000000000001,-175 40.0000000000001,-175 40.0999984740001,-175 40.7999992370001,-175 40.900001526,-175 41.5999984740001,-175 41.700000763,-175 42.400001526,-175 42.5000000000001,-175 43.200000763,-175 43.2999992370001,-175 44.0000000000001,-175 44.0999984740001,-175 44.7999992370001,-175 44.900001526,-175 45.5999984740001,-175 45.700000763,-175 46.400001526,-175 46.5000000000001,-175 47.200000763,-175 47.2999992370001,-175 48.0000000000001,-175 48.0999984740001,-175 48.7999992370001,-175 48.900001526,-175 49.5999984740001,-175 49.700000763,-175 50.400001526,-175 50.5000000000001,-175 51.200000763,-175 51.2999992370001,-175 52.0000000000001,-175 52.0999984740001,-175 52.7999992370001,-175 52.900001526,-175 53.5999984740001,-175 53.700000763,-175 54.400001526,-175 54.5000000000001,-175 55.200000763,-175 55.2999992370001,-175 56.0000000000001,-175 56.0999984740001,-175 56.7999992370001,-175 56.900001526,-175 57.5999984740001,-175 57.700000763,-175 58.400001526,-175 58.5000000000001,-175 59.200000763,-175 59.2999992370001,-175 60.0000000000001,-175 60.0999984740001,-175 60.7999992370001,-175 60.900001526,-175 61.5999984740001,-175 61.700000763,-175 62.400001526,-175 62.5000000000001,-175 63.200000763,-175 63.2999992370001,-175 64.0000000000001,-175 64.0999984740001,-175 64.8000030520001,-175 64.900001526,-175 65.5999984740001,-175 65.699996948,-175 66.5000000000001,-174.220001221 65.5800018310001,-172.929992676 66.1399993900001,-172.129989624 66.13835907,-171.330001831 66.1367187500001,-170.529998779 66.135070801,-169.666702271 66.1333007810001,-168.911865234 65.8683090210001)))', 'Pacific', '6', '67', 'PACIFIC, NORTHEAST', '67', '', '', '', '', '', '', '', '', '', '', '', '', '', '67', '1', '67', '67', 'Y');

INSERT INTO fao (geom, ocean, subocean, f_area, name, area_l, f_subarea, subarea_n, subarea_l, f_division, division_n, division_l, f_subdivis, subdivis_n, subdivis_l, f_subunit, subunit_n, subunit_l, ele_name, ele_label, ele_type, f_label, code, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-82.778083801 1.38999998600002,-82.67755127 1.90004050700003,-82.054138184 2.83600521100004,-81.312919617 3.33528041800002,-81.2946395869999 3.36280655900003,-81.236190796 3.54907584200004,-80.614112854 4.48695039700004,-80.31804657 4.68579721500004,-80.374687195 5.00000000000006,-79.8700027469999 5.00000000000006,-79.230003357 6.00000000000006,-79.050003052 6.26999998100007,-78.994598389 6.31103944800003,-78.9088592529999 6.18550062200006,-78.890167236 6.17322397200007,-78.8782653809999 6.15631008100007,-78.838012695 6.11899375900003,-78.9005584719999 6.02458524700006,-79.00692749 5.47147035600005,-78.921150208 4.99180126200002,-78.8429794309999 4.77506303800004,-78.866027832 4.04893302900007,-78.8612747189999 4.02332115200005,-78.8667526249999 3.99512934700005,-78.8393020629999 3.86108064700005,-79.114173889 3.78384184800007,-79.582771301 3.46966385800005,-79.894615173 3.00061488200004,-79.9676208499999 2.76900148400006,-79.9744415279999 2.73865342100004,-80.027122498 2.70337247800006,-80.339256287 2.23462081000002,-80.3415145869999 2.22313404100004,-80.563453674 2.12977957700002,-81.025787354 1.81900382000003,-81.312141418 1.38999998600002,-81.9999999999999 1.38999998600002,-82.778083801 1.38999998600002)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.1', 'Northern', '1', '87.1.2', 'Northern Intermediate', '1.2', '87.1.2.1', '', '1.21', '', '', '', '', '1.21', '4', '87.1.2.1', '87.1.2.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-83.937171936 -3.45000004799994,-83.922828674 -3.39060926399998,-83.733329773 -3.01260352099996,-83.896026611 -2.17503881499994,-83.7331161499999 -1.37821423999998,-83.7389221189999 -1.32690119699993,-83.757133484 -0.997124909999968,-83.53565979 0.10356233300007,-83.194778442 0.61141777000006,-83.175224304 0.709866285000032,-82.798728943 1.28526985600007,-82.778083801 1.38999998600002,-81.9999999999999 1.38999998600002,-81.312141418 1.38999998600002,-81.3383026119999 1.35080397100006,-81.4474182129999 0.800326943000073,-81.447372437 0.707382977000066,-81.545249939 0.605572104000032,-81.837554932 0.159395471000039,-81.861976624 0.037039228000026,-81.884757996 0.0197923350000337,-82.198699951 -0.447534739999981,-82.309661865 -0.998668252999948,-82.300476074 -1.16380834599994,-82.260543823 -1.51625776299994,-82.3356933589999 -1.62752532999997,-82.448013306 -2.17845034599998,-82.3404998779999 -2.72985458399995,-82.098052979 -3.09447932199993,-82.2924957279999 -3.36214804599996,-82.336494446 -3.45000004799994,-82.800003052 -3.45000004799994,-83.599998474 -3.45000004799994,-83.937171936 -3.45000004799994)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.1', 'Northern', '1', '87.1.2', 'Northern Intermediate', '1.2', '87.1.2.2', '', '1.22', '', '', '', '', '1.22', '4', '87.1.2.2', '87.1.2.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-84.2298889159999 -4.65283012399993,-83.998466492 -3.55371332199996,-83.9424209589999 -3.47172474899997,-83.937171936 -3.45000004799994,-83.599998474 -3.45000004799994,-82.800003052 -3.45000004799994,-82.336494446 -3.45000004799994,-82.626121521 -4.02825450899996,-82.635940552 -4.06886815999997,-82.6639862059999 -4.10991859399996,-82.779403687 -4.66035985899993,-82.6746368409999 -5.21186113399995,-82.629951477 -5.28937005999995,-82.5442657469999 -5.74277162599998,-82.597290039 -5.99175167099997,-82.4937667849999 -6.54348897899996,-82.1849441529999 -7.01285028499996,-82.1640624999999 -7.02693939199997,-82.151092529 -7.04596281099998,-82.006637573 -7.18267393099995,-81.95790863 -7.21440076799996,-81.758155823 -7.37124395399997,-81.003509521 -7.82422494899993,-80.4665527339999 -8.73474025699994,-80.251045227 -9.01429939299993,-80.2331008909999 -9.02639388999995,-80.221855164 -9.04294967699997,-80.21912384 -9.04555606799994,-80.168075562 -9.15999984699994,-80.400001526 -9.15999984699994,-81.199996948 -9.15999984699994,-81.910049438 -9.15999984699994,-82.08065033 -8.86932372999996,-82.5220489499999 -8.60369682299995,-82.921134949 -8.28954315199996,-83.0185165409999 -8.22597217599997,-83.162696838 -8.08913326299995,-83.188529968 -8.05107879599996,-83.230255127 -8.02285385099998,-83.845405579 -7.08427047699996,-84.049850464 -5.98222827899997,-84.006744385 -5.78184509299996,-84.022544861 -5.75433921799993,-84.2298889159999 -4.65283012399993)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.1', 'Northern', '1', '87.1.2', 'Northern Intermediate', '1.2', '87.1.2.3', '', '1.23', '', '', '', '', '1.23', '4', '87.1.2.3', '87.1.2.3', 'Y'),('SRID=4326;MULTIPOLYGON(((-79.4073028559999 -13.9099998469999,-78.800003052 -13.9099998469999,-77.9999999999999 -13.9099998469999,-77.754608154 -13.9099998469999,-77.762260437 -13.99072361,-77.658309937 -14.544640541,-77.541175842 -14.7713994979999,-77.2570266719999 -15.2172784809999,-77.0626296999999 -15.4586887359999,-77.0614089969999 -15.460511208,-76.517906189 -16.00220108,-76.089630127 -16.4510784149999,-76.073028564 -16.4623775479999,-76.0610961909999 -16.480110168,-75.74243927 -16.7189922329999,-74.770446777 -17.258155823,-74.7217941279999 -17.2813873289999,-74.709762573 -17.2899189,-73.7093048099999 -17.783119202,-72.849563599 -18.2579803469999,-72.801177979 -18.280881882,-72.739173889 -18.333299637,-72.800003052 -18.333299637,-73.599998474 -18.333299637,-74.400001526 -18.333299637,-75.199996948 -18.333299637,-75.8454208369999 -18.333299637,-76.4925994869999 -17.974254608,-77.130531311 -17.495393753,-77.154304504 -17.459890366,-77.187522888 -17.4372291559999,-77.601760864 -17.001678467,-78.130851746 -16.4727859499999,-78.133270264 -16.469139099,-78.520858765 -15.9857168199999,-78.803489685 -15.539478302,-79.0360031129999 -15.085755348,-79.189300537 -14.2490644449999,-79.4073028559999 -13.9099998469999)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.1', 'Northern', '1', '87.1.2', 'Northern Intermediate', '1.2', '87.1.2.5', '', '1.25', '', '', '', '', '1.25', '4', '87.1.2.5', '87.1.2.5', 'Y'),('SRID=4326;MULTIPOLYGON(((-179.199996948 -24.9999999999999,-180 -24.9999999999999,-180 -23.800001144,-180 -22.9999999999999,-180 -22.2000007629999,-180 -21.399999619,-180 -20.600000381,-180 -19.800001144,-180 -18.9999999999999,-180 -18.2000007629999,-180 -17.399999619,-180 -16.600000381,-180 -15.800000191,-180 -14.9999999999999,-180 -14.2000007629999,-180 -13.400000572,-180 -12.600000381,-180 -11.800000191,-180 -10.9999999999999,-180 -10.199999809,-180 -9.40000057199995,-180 -8.60000038099997,-180 -7.80000019099998,-180 -6.99999999999994,-180 -6.20000028599998,-180 -5.40000009499994,-180 -4.60000038099997,-180 -3.80000019099998,-180 -2.99999999999994,-180 -2.20000004799994,-180 -1.40000009499994,-180 -0.600000082999941,-180 0.199999928000068,-180 0.999999940000066,-180 1.79999995200006,-180 2.59999990500006,-180 3.40000009500005,-180 4.19999980900008,-180 5.00000000000006,-180 6.39999961900003,-180 7.19999980900008,-180 8.00000000000006,-180 8.80000019100004,-180 9.59999942800005,-180 10.399999619,-180 11.1999998090001,-180 12.0000000000001,-180 12.800000191,-180 13.600000381,-180 14.399999619,-180 15.1999998090001,-180 16.0000000000001,-180 16.7999992370001,-180 17.600000381,-180 18.399999619,-180 19.200000763,-180 20.0000000000001,-179 20.0000000000001,-178.199996948 20.0000000000001,-177.399993896 20.0000000000001,-176.600006104 20.0000000000001,-175.800003052 20.0000000000001,-175 20.0000000000001,-175 19.8000011440001,-175 19.0000000000001,-175 18.600000381,-175 18.200000763,-175 17.7999992370001,-175 17.400001526,-175 17.0000000000001,-175 16.600000381,-175 16.200000763,-175 15.800000191,-175 15.4000005720001,-175 15.000000954,-175 14.600000381,-175 14.200000763,-175 13.800000191,-175 13.4000005720001,-175 13.0000000000001,-175 12.600000381,-175 12.1999998090001,-175 11.800000191,-175 11.399999619,-175 11.000000954,-175 10.600000381,-175 10.200000763,-175 9.80000019100004,-175 9.40000057200007,-175 9.00000000000006,-175 8.60000038100003,-175 8.19999980900008,-175 7.80000066800005,-175 7.40000009500005,-175 7.00000047700007,-175 6.59999990500006,-175 6.20000028600003,-175 5.80000019100004,-175 5.40000057200007,-175 5.00000000000006,-175 4.60000038100003,-175 3.80000042900002,-175 3.00000047700007,-175 2.20000028600003,-175 1.40000033400003,-175 0.600000381000029,-175 -0.199999629999979,-175 -0.999999641999977,-175 -1.79999971399997,-175 -2.59999966599997,-175 -3.39999961899997,-175 -4.19999980899996,-175 -4.99999952299993,-175 -5.79999971399997,-175 -6.59999990499995,-175 -7.39999961899997,-175 -8.19999980899996,-175 -8.99999999999994,-175 -9.80000019099998,-175 -10.5999994279999,-175 -11.399999619,-175 -12.199999809,-175 -12.9999999999999,-175 -13.800000191,-175 -14.5999994279999,-175 -15.399999619,-175 -16.2000007629999,-175 -16.9999999999999,-175 -17.799999237,-175 -18.600000381,-175 -19.399999619,-175 -20.2000007629999,-175 -20.9999999999999,-175 -21.799999237,-175 -22.600000381,-175 -23.399999619,-175 -24.2000007629999,-175 -24.9999999999999,-175.199996948 -24.9999999999999,-176 -24.9999999999999,-176.800003052 -24.9999999999999,-177.600006104 -24.9999999999999,-178.399993896 -24.9999999999999,-179.199996948 -24.9999999999999)),((180 -7.99999999999994,180 -8.80000019099998,180 -9.60000038099997,180 -10.400000572,180 -11.2000007629999,180 -11.9999999999999,180 -12.800000191,180 -13.600000381,180 -14.400000572,180 -15.2000007629999,180 -15.9999999999999,180 -16.800001144,180 -17.600000381,180 -18.400001526,180 -19.2000007629999,180 -19.9999999999999,180 -20.800001144,180 -21.600000381,180 -22.400001526,180 -23.2000007629999,180 -23.9999999999999,180 -24.9999999999999,179.199996948 -24.9999999999999,178.600006104 -24.9999999999999,178.399993896 -24.9999999999999,177.800003052 -24.9999999999999,177.600006104 -24.9999999999999,177 -24.9999999999999,176.800003052 -24.9999999999999,176.199996948 -24.9999999999999,176 -24.9999999999999,175.399993896 -24.9999999999999,175.199996948 -24.9999999999999,174.600006104 -24.9999999999999,174.399993896 -24.9999999999999,173.800003052 -24.9999999999999,173.600006104 -24.9999999999999,173 -24.9999999999999,172.800003052 -24.9999999999999,172.199996948 -24.9999999999999,172 -24.9999999999999,171.399993896 -24.9999999999999,171.199996948 -24.9999999999999,170.600006104 -24.9999999999999,170.399993896 -24.9999999999999,169.800003052 -24.9999999999999,169.600006104 -24.9999999999999,169 -24.9999999999999,168.800003052 -24.9999999999999,168.199996948 -24.9999999999999,168 -24.9999999999999,167.399993896 -24.9999999999999,167.199996948 -24.9999999999999,166.600006104 -24.9999999999999,166.399993896 -24.9999999999999,165.800003052 -24.9999999999999,165.600006104 -24.9999999999999,165 -24.9999999999999,164.800003052 -24.9999999999999,164 -24.9999999999999,163.800003052 -24.9999999999999,163.199996948 -24.9999999999999,163 -24.9999999999999,162.399993896 -24.9999999999999,162.199996948 -24.9999999999999,161.600006104 -24.9999999999999,161.399993896 -24.9999999999999,160.800003052 -24.9999999999999,160.600006104 -24.9999999999999,160 -24.9999999999999,159.800003052 -24.9999999999999,159.199996948 -24.9999999999999,159 -24.9999999999999,158.399993896 -24.9999999999999,158.199996948 -24.9999999999999,157.600006104 -24.9999999999999,157.399993896 -24.9999999999999,156.800003052 -24.9999999999999,156.600006104 -24.9999999999999,156 -24.9999999999999,155.800003052 -24.9999999999999,155 -24.9999999999999,155 -25.799999237,155 -26.549999237,155 -26.600000381,155 -27.350000381,155 -28.149999619,154.199996948 -28.149999619,154 -28.149999619,153.399993896 -28.149999619,153.199996948 -28.149999619,152.600006104 -28.149999619,152.399993896 -28.149999619,151.800003052 -28.149999619,151.600006104 -28.149999619,151 -28.149999619,150.800003052 -28.149999619,150 -28.149999619,149.236953735 -27.9096431729999,149.156463623 -27.8842887879999,148.473922729 -27.669284821,148.393432617 -27.643930435,147.967234726 -27.509680053,147.967234726 -24.9506982139999,142.5 -24.9506982139999,142.5 -24.9999999999999,141.699996948 -24.9999999999999,140.899993896 -24.9999999999999,140 -24.9999999999999,139.199996948 -24.9999999999999,138.399993896 -24.9999999999999,137.600006104 -24.9999999999999,136.800003052 -24.9999999999999,136 -24.9999999999999,135.199996948 -24.9999999999999,134.399993896 -24.9999999999999,133.600006104 -24.9999999999999,132.800003052 -24.9999999999999,132 -24.9999999999999,131.199996948 -24.9999999999999,130.399993896 -24.9999999999999,129.00000017 -24.9999999949999,129 -24.2000007629999,129 -23.399999619,129 -22.600000381,129 -21.799999237,129 -20.9999999999999,129 -20.2000007629999,129 -19.399999619,129 -18.600000381,129 -17.799999237,129 -16.9999999999999,129 -16.2000007629999,129 -15.399999619,129 -14.5999994279999,129 -13.800000191,129 -12.9999999999999,129 -11.4999999999999,129 -9.99999999999994,129 -7.99999999999994,128.143942424 -7.99999999999994,127.343947896 -7.99999999999994,126.543944351 -7.99999999999994,125.743948821 -7.99999999999994,124.943946277 -7.99999999999994,124.143943734 -7.99999999999994,123.343948204 -7.99999999999994,122.543944658 -7.99999999999994,121.743949128 -7.99999999999994,120.943946585 -7.99999999999994,120.143943039 -7.99999999999994,119.343948511 -7.99999999999994,118.543944966 -7.99999999999994,117.743949436 -7.99999999999994,116.94394589 -7.99999999999994,116.143943347 -7.99999999999994,115.343947817 -7.99999999999994,114.543945273 -7.99999999999994,113.470000872 -7.99999999999994,113.246145851 -7.95271260799996,112.687271118 -7.83465480799993,112.125971747 -7.71608419399996,111.904548896 -7.66930989199994,111.603914805 -7.60580370699995,110.737366405 -7.42275204299995,110.339096069 -7.33862018599996,109.83883313 -7.23294382099994,109.556365967 -7.17327499399994,109.199164194 -7.09781858699995,108.773644092 -7.00793089099994,108.437511225 -6.93692514699995,107.3537526 -6.70798888299993,107.208190187 -6.67723988799997,106.949088071 -6.62250657599998,105.81670455 -6.38329934299998,105.148244533 -6.26449248799997,105.066703984 -6.25000003299994,104.550003052 -5.51669979099995,104.757491032 -4.81736843399995,104.999999065 -3.99999927199997,104.457374573 -3.41215729699996,103.914749146 -2.82431459399993,103.372131348 -2.23647165299997,102.82950592 -1.64862894999993,102.286880493 -1.06078624699995,101.744255066 -0.47294345499995,101.201629639 0.114899315000059,100.659004211 0.702742100000023,100.116386414 1.29058480300006,99.5737609860001 1.87842762500003,99.0000000000001 2.50000000000006,99.8000030520001 2.50000000000006,100.599998474 2.50000000000006,101.400001526 2.50000000000006,103 2.50000000000006,102.603088379 3.19459462200007,102.206176758 3.88918900500005,101.809265137 4.58378362700006,101.412353516 5.27837801000004,101 6.00000000000006,100.519996643 6.63999986600004,100.040000916 7.28000021000003,99.5000000000001 8.00000000000006,99.0000000000001 9.00000000000006,99.0000000000001 9.80000019100004,99.0000000000001 10.600000381,99.0000000000001 11.399999619,99.0000000000001 12.1999998090001,99.0000000000001 13.0000000000001,99.0000000000001 13.800000191,99.0000000000001 14.600000381,99.0000000000001 15.0000000000001,99.8000030520001 15.0000000000001,100.599998474 15.0000000000001,101.400001526 15.0000000000001,102.199996948 15.0000000000001,103 15.0000000000001,103.800003052 15.0000000000001,104.599998474 15.0000000000001,105.400001526 15.0000000000001,106.199996948 15.0000000000001,107 15.0000000000001,107.800003052 15.0000000000001,108.599998474 15.0000000000001,109.400001526 15.0000000000001,110.199996948 15.0000000000001,111 15.0000000000001,111.800003052 15.0000000000001,112.599998474 15.0000000000001,113.400001526 15.0000000000001,115 15.0000000000001,115 15.800000191,115 16.600000381,115 17.399999619,115 18.200000763,115 19.0000000000001,115 20.0000000000001,115.800003052 20.0000000000001,116.599998474 20.0000000000001,117.400001526 20.0000000000001,118.199996948 20.0000000000001,119 20.0000000000001,119.800003052 20.0000000000001,120.599998474 20.0000000000001,121.400001526 20.0000000000001,122.199996948 20.0000000000001,123 20.0000000000001,123.800003052 20.0000000000001,124.599998474 20.0000000000001,125.400001526 20.0000000000001,126.199996948 20.0000000000001,127 20.0000000000001,127.800003052 20.0000000000001,128.600006104 20.0000000000001,129.399993896 20.0000000000001,130 20.0000000000001,130.199996948 20.0000000000001,130.800003052 20.0000000000001,131 20.0000000000001,131.600006104 20.0000000000001,131.800003052 20.0000000000001,132.399993896 20.0000000000001,132.600006104 20.0000000000001,133.199996948 20.0000000000001,133.399993896 20.0000000000001,134 20.0000000000001,134.199996948 20.0000000000001,134.800003052 20.0000000000001,135 20.0000000000001,135.600006104 20.0000000000001,135.800003052 20.0000000000001,136.399993896 20.0000000000001,136.600006104 20.0000000000001,137.199996948 20.0000000000001,137.399993896 20.0000000000001,138 20.0000000000001,138.199996948 20.0000000000001,138.800003052 20.0000000000001,139 20.0000000000001,139.600006104 20.0000000000001,139.800003052 20.0000000000001,140.399993896 20.0000000000001,140.600006104 20.0000000000001,141.199996948 20.0000000000001,141.399993896 20.0000000000001,142 20.0000000000001,142.199996948 20.0000000000001,142.800003052 20.0000000000001,143 20.0000000000001,143.600006104 20.0000000000001,143.800003052 20.0000000000001,144.399993896 20.0000000000001,144.600006104 20.0000000000001,145.199996948 20.0000000000001,145.399993896 20.0000000000001,146 20.0000000000001,146.199996948 20.0000000000001,146.800003052 20.0000000000001,147 20.0000000000001,147.600006104 20.0000000000001,147.800003052 20.0000000000001,148.399993896 20.0000000000001,148.600006104 20.0000000000001,149.199996948 20.0000000000001,149.399993896 20.0000000000001,150 20.0000000000001,150.199996948 20.0000000000001,150.800003052 20.0000000000001,151 20.0000000000001,151.600006104 20.0000000000001,151.800003052 20.0000000000001,152.399993896 20.0000000000001,152.600006104 20.0000000000001,153.199996948 20.0000000000001,153.399993896 20.0000000000001,154 20.0000000000001,154.199996948 20.0000000000001,154.800003052 20.0000000000001,155 20.0000000000001,155.600006104 20.0000000000001,155.800003052 20.0000000000001,156.399993896 20.0000000000001,156.600006104 20.0000000000001,157.199996948 20.0000000000001,157.399993896 20.0000000000001,158 20.0000000000001,158.199996948 20.0000000000001,158.800003052 20.0000000000001,159 20.0000000000001,159.800003052 20.0000000000001,160 20.0000000000001,160.600006104 20.0000000000001,160.800003052 20.0000000000001,161.399993896 20.0000000000001,161.600006104 20.0000000000001,162.199996948 20.0000000000001,162.399993896 20.0000000000001,163 20.0000000000001,163.199996948 20.0000000000001,163.800003052 20.0000000000001,164 20.0000000000001,164.600006104 20.0000000000001,164.800003052 20.0000000000001,165.399993896 20.0000000000001,165.600006104 20.0000000000001,166.199996948 20.0000000000001,166.399993896 20.0000000000001,167 20.0000000000001,167.199996948 20.0000000000001,167.800003052 20.0000000000001,168 20.0000000000001,168.600006104 20.0000000000001,168.800003052 20.0000000000001,169.399993896 20.0000000000001,169.600006104 20.0000000000001,170.199996948 20.0000000000001,170.399993896 20.0000000000001,171 20.0000000000001,171.199996948 20.0000000000001,171.800003052 20.0000000000001,172 20.0000000000001,172.600006104 20.0000000000001,172.800003052 20.0000000000001,173.399993896 20.0000000000001,173.600006104 20.0000000000001,174.199996948 20.0000000000001,174.399993896 20.0000000000001,175 20.0000000000001,175.199996948 20.0000000000001,175.800003052 20.0000000000001,176 20.0000000000001,176.600006104 20.0000000000001,176.800003052 20.0000000000001,177.399993896 20.0000000000001,177.600006104 20.0000000000001,178.199996948 20.0000000000001,178.399993896 20.0000000000001,179 20.0000000000001,180 20.0000000000001,180 19.200000763,180 18.399999619,180 17.600000381,180 16.7999992370001,180 16.0000000000001,180 15.1999998090001,180 14.399999619,180 13.600000381,180 12.800000191,180 12.0000000000001,180 11.1999998090001,180 10.399999619,180 9.59999942800005,180 8.80000019100004,180 8.00000000000006,180 7.19999980900008,180 6.39999961900003,180 5.59999990500006,180 5.00000000000006,180 4.79999971400002,180 3.99999976200007,180 3.19999980900008,180 2.39999961900003,180 1.59999966600003,180 0.799999714000023,180 -2.97999974918639e-07,180 -0.800000309999973,180 -1.60000038099997,180 -2.40000033399997,180 -3.20000028599998,180 -4.00000047699996,180 -4.80000019099998,180 -5.60000038099997,180 -6.40000057199995,180 -7.20000028599998,180 -7.99999999999994)))', 'Pacific', '7', '71', 'PACIFIC, WESTERN CENTRAL', '71', '', '', '', '', '', '', '', '', '', '', '', '', '', '71', '1', '71', '71', 'Y'),('SRID=4326;MULTIPOLYGON(((-99.9999999999999 31.214830911,-99.9999999999999 31.0000000000001,-99.9999999999999 30.200000763,-99.9999999999999 29.399999619,-99.9999999999999 28.600000381,-99.9999999999999 27.7999992370001,-99.9999999999999 27.0000000000001,-99.9999999999999 26.200000763,-99.9999999999999 26.0000000000001,-99.9999999999999 25.399999619,-99.9999999999999 25.200000763,-99.9999999999999 24.600000381,-99.9999999999999 24.399999619,-99.9999999999999 23.7999992370001,-99.9999999999999 23.600000381,-99.9999999999999 23.0000000000001,-99.9999999999999 22.7999992370001,-99.9999999999999 22.200000763,-99.9999999999999 22.0000000000001,-99.9999999999999 21.399999619,-99.9999999999999 21.200000763,-99.9999999999999 20.600000381,-99.9999999999999 20.399999619,-99.9999999999999 19.7999992370001,-99.9999999999999 19.600000381,-99.9999999999999 19.0000000000001,-99.9999999999999 18.0000000000001,-93.9999999999999 18.0006227920001,-93.9999999999999 17.0000000000001,-93.223884583 16.805971146,-92.447769165 16.611942291,-91.671661377 16.4179153440001,-90.8955459589999 16.22388649,-89.9999999999999 16.0000000000001,-89.434310913 15.4343147280001,-88.868629456 14.8686294560001,-87.9999999999999 14.0000000000001,-87.199996948 14.0000000000001,-86.400001526 14.0000000000001,-86.010892471 14.0000000000001,-85.599998474 14.0000000000001,-83.9999999999999 14.0000000000001,-83.9999999999999 13.1999998090001,-83.9999999999999 12.399999619,-83.9999999999999 11.600000381,-83.9999999999999 10.0000000000001,-83.334358215 9.55624008200004,-82.668716431 9.11247921000006,-82.0030822749999 8.66871929200005,-80.9999999999999 8.00000000000006,-80.4999999999999 8.50000000000006,-79.4999999999999 9.19999980900008,-78.4999999999999 9.19999980900008,-77.912155151 8.65737628900007,-77.199996948 8.00000000000006,-77.888961792 7.21118784000004,-77.88999939 7.21000003800003,-78.300003052 6.73000001900004,-78.779998779 6.46999979000003,-78.994598389 6.31103944800003,-79.050003052 6.26999998100007,-79.230003357 6.00000000000006,-79.8700027469999 5.00000000000006,-80.374687195 5.00000000000006,-80.670005798 5.00000000000006,-81.470001221 5.00000000000006,-82.2700042719999 5.00000000000006,-83.069999695 5.00000000000006,-83.8700027469999 5.00000000000006,-84.670005798 5.00000000000006,-85.470001221 5.00000000000006,-86.2700042719999 5.00000000000006,-87.069999695 5.00000000000006,-87.8700027469999 5.00000000000006,-88.670005798 5.00000000000006,-89.470001221 5.00000000000006,-90.2700042719999 5.00000000000006,-91.069999695 5.00000000000006,-91.8700027469999 5.00000000000006,-92.670005798 5.00000000000006,-93.470001221 5.00000000000006,-94.2700042719999 5.00000000000006,-95.069999695 5.00000000000006,-95.8700027469999 5.00000000000006,-96.670005798 5.00000000000006,-97.470001221 5.00000000000006,-98.2700042719999 5.00000000000006,-99.069999695 5.00000000000006,-99.8700027469999 5.00000000000006,-100.670005798 5.00000000000006,-101.470001221 5.00000000000006,-102.270004272 5.00000000000006,-103.069999695 5.00000000000006,-103.870002747 5.00000000000006,-104.670005798 5.00000000000006,-105.470001221 5.00000000000006,-106.270004272 5.00000000000006,-107.069999695 5.00000000000006,-107.870002747 5.00000000000006,-108.670005798 5.00000000000006,-109.470001221 5.00000000000006,-110.270004272 5.00000000000006,-111.069999695 5.00000000000006,-111.870002747 5.00000000000006,-112.670005798 5.00000000000006,-113.470001221 5.00000000000006,-114.270004272 5.00000000000006,-115.069999695 5.00000000000006,-115.870002747 5.00000000000006,-116.670005798 5.00000000000006,-117.470001221 5.00000000000006,-118.270004272 5.00000000000006,-119.069999695 5.00000000000006,-120 5.00000000000006,-120 4.40000009500005,-120 4.19999980900008,-120 3.59999990500006,-120 3.40000009500005,-120 2.79999995200006,-120 2.59999990500006,-120 1.99999988100006,-120 1.79999995200006,-120 1.19999980900008,-120 0.999999940000066,-120 0.399999857000068,-120 0.199999928000068,-120 -0.40000015499993,-120 -0.600000082999941,-120 -1.20000016699993,-120 -1.40000009499994,-120 -2.00000023799993,-120 -2.20000004799994,-120 -2.80000019099998,-120 -2.99999999999994,-120 -3.60000014299993,-120 -3.80000019099998,-120 -4.40000009499994,-120 -4.60000038099997,-120 -5.20000028599998,-120 -5.40000009499994,-120 -5.99999999999994,-120 -6.20000028599998,-120 -6.80000019099998,-120 -6.99999999999994,-120 -7.60000038099997,-120 -7.80000019099998,-120 -8.40000057199995,-120 -8.60000038099997,-120 -9.20000076299993,-120 -9.40000057199995,-120 -9.99999999999994,-120 -10.199999809,-120 -10.800000191,-120 -10.9999999999999,-120 -11.600000381,-120 -11.800000191,-120 -12.400000572,-120 -12.600000381,-120 -13.2000007629999,-120 -13.400000572,-120 -13.9999999999999,-120 -14.2000007629999,-120 -14.800000191,-120 -14.9999999999999,-120 -15.600000381,-120 -15.800000191,-120 -16.399999619,-120 -16.600000381,-120 -17.2000007629999,-120 -17.399999619,-120 -18.2000007629999,-120 -18.3299999239999,-120 -18.333299637,-120 -18.9999999999999,-120 -19.1299991609999,-120 -19.1332988739999,-120 -19.800001144,-120 -19.930000305,-120 -19.933300018,-120 -20.600000381,-120 -20.729999542,-120 -20.733299255,-120 -21.399999619,-120 -21.5300006869999,-120 -21.5333004,-120 -22.2000007629999,-120 -22.3299999239999,-120 -22.333299637,-120 -22.9999999999999,-120 -23.1299991609999,-120 -23.1332988739999,-120 -23.800001144,-120 -23.930000305,-120 -23.933300018,-120 -24.729999542,-120 -24.733299255,-120 -24.9999999999999,-120.800003052 -24.9999999999999,-121 -24.9999999999999,-121.599998474 -24.9999999999999,-121.800003052 -24.9999999999999,-122.400001526 -24.9999999999999,-122.599998474 -24.9999999999999,-123.199996948 -24.9999999999999,-123.400001526 -24.9999999999999,-124 -24.9999999999999,-124.199996948 -24.9999999999999,-124.800003052 -24.9999999999999,-125 -24.9999999999999,-125.599998474 -24.9999999999999,-125.800003052 -24.9999999999999,-126.400001526 -24.9999999999999,-126.599998474 -24.9999999999999,-127.199996948 -24.9999999999999,-127.400001526 -24.9999999999999,-128 -24.9999999999999,-128.199996948 -24.9999999999999,-128.800003052 -24.9999999999999,-129 -24.9999999999999,-129.600006104 -24.9999999999999,-129.800003052 -24.9999999999999,-130.399993896 -24.9999999999999,-130.600006104 -24.9999999999999,-131.199996948 -24.9999999999999,-131.399993896 -24.9999999999999,-132 -24.9999999999999,-132.199996948 -24.9999999999999,-132.800003052 -24.9999999999999,-133 -24.9999999999999,-133.600006104 -24.9999999999999,-133.800003052 -24.9999999999999,-134.399993896 -24.9999999999999,-134.600006104 -24.9999999999999,-135.199996948 -24.9999999999999,-135.399993896 -24.9999999999999,-136 -24.9999999999999,-136.199996948 -24.9999999999999,-136.800003052 -24.9999999999999,-137 -24.9999999999999,-137.600006104 -24.9999999999999,-137.800003052 -24.9999999999999,-138.399993896 -24.9999999999999,-138.600006104 -24.9999999999999,-139.199996948 -24.9999999999999,-139.399993896 -24.9999999999999,-140 -24.9999999999999,-140.199996948 -24.9999999999999,-140.800003052 -24.9999999999999,-141 -24.9999999999999,-141.600006104 -24.9999999999999,-141.800003052 -24.9999999999999,-142.399993896 -24.9999999999999,-142.600006104 -24.9999999999999,-143.199996948 -24.9999999999999,-143.399993896 -24.9999999999999,-144 -24.9999999999999,-144.199996948 -24.9999999999999,-144.800003052 -24.9999999999999,-145 -24.9999999999999,-145.600006104 -24.9999999999999,-145.800003052 -24.9999999999999,-146.399993896 -24.9999999999999,-146.600006104 -24.9999999999999,-147.199996948 -24.9999999999999,-147.399993896 -24.9999999999999,-148 -24.9999999999999,-148.199996948 -24.9999999999999,-148.800003052 -24.9999999999999,-149 -24.9999999999999,-149.600006104 -24.9999999999999,-149.800003052 -24.9999999999999,-150.399993896 -24.9999999999999,-150.600006104 -24.9999999999999,-151.199996948 -24.9999999999999,-151.399993896 -24.9999999999999,-152 -24.9999999999999,-152.199996948 -24.9999999999999,-152.800003052 -24.9999999999999,-153 -24.9999999999999,-153.600006104 -24.9999999999999,-153.800003052 -24.9999999999999,-154.399993896 -24.9999999999999,-154.600006104 -24.9999999999999,-155.199996948 -24.9999999999999,-155.399993896 -24.9999999999999,-156 -24.9999999999999,-156.199996948 -24.9999999999999,-156.800003052 -24.9999999999999,-157 -24.9999999999999,-157.600006104 -24.9999999999999,-157.800003052 -24.9999999999999,-158.399993896 -24.9999999999999,-158.600006104 -24.9999999999999,-159.199996948 -24.9999999999999,-159.399993896 -24.9999999999999,-160 -24.9999999999999,-160.199996948 -24.9999999999999,-160.800003052 -24.9999999999999,-161 -24.9999999999999,-161.600006104 -24.9999999999999,-161.800003052 -24.9999999999999,-162.399993896 -24.9999999999999,-162.600006104 -24.9999999999999,-163.199996948 -24.9999999999999,-163.399993896 -24.9999999999999,-164 -24.9999999999999,-164.199996948 -24.9999999999999,-164.800003052 -24.9999999999999,-165 -24.9999999999999,-165.600006104 -24.9999999999999,-166.399993896 -24.9999999999999,-167.199996948 -24.9999999999999,-168 -24.9999999999999,-168.800003052 -24.9999999999999,-169.600006104 -24.9999999999999,-170.399993896 -24.9999999999999,-171.199996948 -24.9999999999999,-172 -24.9999999999999,-172.800003052 -24.9999999999999,-173.600006104 -24.9999999999999,-174.399993896 -24.9999999999999,-175 -24.9999999999999,-175 -24.2000007629999,-175 -23.399999619,-175 -22.600000381,-175 -21.799999237,-175 -20.9999999999999,-175 -20.2000007629999,-175 -19.399999619,-175 -18.600000381,-175 -17.799999237,-175 -16.9999999999999,-175 -16.2000007629999,-175 -15.399999619,-175 -14.5999994279999,-175 -13.800000191,-175 -12.9999999999999,-175 -12.199999809,-175 -11.399999619,-175 -10.5999994279999,-175 -9.80000019099998,-175 -8.99999999999994,-175 -8.19999980899996,-175 -7.39999961899997,-175 -6.59999990499995,-175 -5.79999971399997,-175 -4.99999952299993,-175 -4.19999980899996,-175 -3.39999961899997,-175 -2.59999966599997,-175 -1.79999971399997,-175 -0.999999641999977,-175 -0.199999629999979,-175 0.600000381000029,-175 1.40000033400003,-175 2.20000028600003,-175 3.00000047700007,-175 3.80000042900002,-175 4.60000038100003,-175 5.00000000000006,-175 5.40000057200007,-175 5.80000019100004,-175 6.20000028600003,-175 6.59999990500006,-175 7.00000047700007,-175 7.40000009500005,-175 7.80000066800005,-175 8.19999980900008,-175 8.60000038100003,-175 9.00000000000006,-175 9.40000057200007,-175 9.80000019100004,-175 10.200000763,-175 10.600000381,-175 11.000000954,-175 11.399999619,-175 11.800000191,-175 12.1999998090001,-175 12.600000381,-175 13.0000000000001,-175 13.4000005720001,-175 13.800000191,-175 14.200000763,-175 14.600000381,-175 15.000000954,-175 15.4000005720001,-175 15.800000191,-175 16.200000763,-175 16.600000381,-175 17.0000000000001,-175 17.400001526,-175 17.7999992370001,-175 18.200000763,-175 18.600000381,-175 19.0000000000001,-175 19.8000011440001,-175 20.0000000000001,-175 20.600000381,-175 20.899999619,-175 21.400001526,-175 21.699998856,-175 22.200000763,-175 22.5000000000001,-175 23.0000000000001,-175 23.2999992370001,-175 23.8000011440001,-175 24.0999984740001,-175 24.600000381,-175 24.899999619,-175 25.400001526,-175 25.699998856,-175 26.200000763,-175 26.5000000000001,-175 27.0000000000001,-175 27.2999992370001,-175 27.8000011440001,-175 28.0999984740001,-175 28.600000381,-175 28.899999619,-175 29.400001526,-175 29.699998856,-175 30.200000763,-175 30.5000000000001,-175 31.0000000000001,-175 31.2999992370001,-175 31.8000011440001,-175 32.0999984740001,-175 32.600002289,-175 32.899997711,-175 33.400001526,-175 33.700000763,-175 34.200000763,-175 34.5000000000001,-175 35.0000000000001,-175 35.2999992370001,-175 35.7999992370001,-175 36.0999984740001,-175 36.600002289,-175 36.899997711,-175 37.400001526,-175 37.700000763,-175 38.200000763,-175 38.5000000000001,-175 39.0000000000001,-175 39.2999992370001,-175 40.0000000000001,-174.199996948 40.0000000000001,-174 40.0000000000001,-173.399993896 40.0000000000001,-173.199996948 40.0000000000001,-172.600006104 40.0000000000001,-172.399993896 40.0000000000001,-171.800003052 40.0000000000001,-171.600006104 40.0000000000001,-171 40.0000000000001,-170.800003052 40.0000000000001,-170.199996948 40.0000000000001,-170 40.0000000000001,-169.399993896 40.0000000000001,-169.199996948 40.0000000000001,-168.600006104 40.0000000000001,-168.399993896 40.0000000000001,-167.800003052 40.0000000000001,-167.600006104 40.0000000000001,-167 40.0000000000001,-166.800003052 40.0000000000001,-166.199996948 40.0000000000001,-166 40.0000000000001,-165.399993896 40.0000000000001,-165.199996948 40.0000000000001,-164.600006104 40.0000000000001,-164.399993896 40.0000000000001,-163.800003052 40.0000000000001,-163.600006104 40.0000000000001,-163 40.0000000000001,-162.800003052 40.0000000000001,-162.199996948 40.0000000000001,-162 40.0000000000001,-161.399993896 40.0000000000001,-161.199996948 40.0000000000001,-160.600006104 40.0000000000001,-160.399993896 40.0000000000001,-159.800003052 40.0000000000001,-159.600006104 40.0000000000001,-159 40.0000000000001,-158.800003052 40.0000000000001,-158.199996948 40.0000000000001,-158 40.0000000000001,-157.399993896 40.0000000000001,-157.199996948 40.0000000000001,-156.600006104 40.0000000000001,-156.399993896 40.0000000000001,-155.800003052 40.0000000000001,-155.600006104 40.0000000000001,-155 40.0000000000001,-154.800003052 40.0000000000001,-154.199996948 40.0000000000001,-154 40.0000000000001,-153.399993896 40.0000000000001,-153.199996948 40.0000000000001,-152.600006104 40.0000000000001,-152.399993896 40.0000000000001,-151.800003052 40.0000000000001,-151.600006104 40.0000000000001,-151 40.0000000000001,-150.800003052 40.0000000000001,-150.199996948 40.0000000000001,-150 40.0000000000001,-149.399993896 40.0000000000001,-149.199996948 40.0000000000001,-148.600006104 40.0000000000001,-148.399993896 40.0000000000001,-147.800003052 40.0000000000001,-147.600006104 40.0000000000001,-147 40.0000000000001,-146.800003052 40.0000000000001,-146.199996948 40.0000000000001,-146 40.0000000000001,-145.399993896 40.0000000000001,-145.199996948 40.0000000000001,-144.600006104 40.0000000000001,-144.399993896 40.0000000000001,-143.800003052 40.0000000000001,-143.600006104 40.0000000000001,-143 40.0000000000001,-142.800003052 40.0000000000001,-142.199996948 40.0000000000001,-142 40.0000000000001,-141.399993896 40.0000000000001,-141.199996948 40.0000000000001,-140.600006104 40.0000000000001,-140.399993896 40.0000000000001,-139.800003052 40.0000000000001,-139.600006104 40.0000000000001,-139 40.0000000000001,-138.800003052 40.0000000000001,-138.199996948 40.0000000000001,-138 40.0000000000001,-137.399993896 40.0000000000001,-137.199996948 40.0000000000001,-136.600006104 40.0000000000001,-136.399993896 40.0000000000001,-135.800003052 40.0000000000001,-135.600006104 40.0000000000001,-135 40.0000000000001,-134.800003052 40.0000000000001,-134.199996948 40.0000000000001,-134 40.0000000000001,-133.399993896 40.0000000000001,-133.199996948 40.0000000000001,-132.600006104 40.0000000000001,-132.399993896 40.0000000000001,-131.800003052 40.0000000000001,-131.600006104 40.0000000000001,-131 40.0000000000001,-130.800003052 40.0000000000001,-130 40.0000000000001,-130 40.5000000000001,-129.199996948 40.5000000000001,-128.800003052 40.5000000000001,-128.399993896 40.5000000000001,-128 40.5000000000001,-127.599998474 40.5000000000001,-127.199996948 40.5000000000001,-126.800003052 40.5000000000001,-126.400001526 40.5000000000001,-126 40.5000000000001,-125.599998474 40.5000000000001,-125.199996948 40.5000000000001,-124.800003052 40.5000000000001,-124.400001526 40.5000000000001,-124 40.5000000000001,-123.599998474 40.5000000000001,-123.199996948 40.5000000000001,-122.800003052 40.5000000000001,-122.400001526 40.5000000000001,-122 40.5000000000001,-121.599998474 40.5000000000001,-121.199996948 40.5000000000001,-120.800003052 40.5000000000001,-120.052620895 40.5000000000001,-120.052620895 35.4204878520001,-101.529045497 35.4204878520001,-101.487258911 35.408996582,-99.9999999999999 35.0000000000001,-99.9999999999999 34.200000763,-99.9999999999999 33.400001526,-99.9999999999999 32.5999984740001,-99.9999999999999 31.7999992370001,-99.9999999999999 31.214830911)))', 'Pacific', '7', '77', 'PACIFIC, EASTERN CENTRAL', '77', '', '', '', '', '', '', '', '', '', '', '', '', '', '77', '1', '77', '77', 'Y'),('SRID=4326;MULTIPOLYGON(((-81.910049438 -9.15999984699994,-81.199996948 -9.15999984699994,-80.400001526 -9.15999984699994,-80.168075562 -9.15999984699994,-79.977058411 -9.58822250399993,-79.538108826 -10.5849809649999,-79.530754089 -10.5957746509999,-79.5285491939999 -10.6062078479999,-79.333450317 -11.030104637,-79.3177566529999 -11.052710533,-79.2569885249999 -11.173888206,-78.9346847529999 -11.704013824,-78.449829102 -12.6561155319999,-78.4315490719999 -12.6813135149999,-78.393959045 -12.7556152339999,-78.259094238 -12.9746389389999,-78.2506942749999 -12.9852848049999,-78.2428054809999 -13.0004549029999,-77.74180603 -13.774973869,-77.754608154 -13.9099998469999,-77.9999999999999 -13.9099998469999,-78.800003052 -13.9099998469999,-79.4073028559999 -13.9099998469999,-79.491615295 -13.7788600919999,-79.5072860719999 -13.7485103609999,-79.524017334 -13.727199554,-79.658180237 -13.508062363,-79.732841492 -13.359422684,-79.769241333 -13.3089904789999,-80.226425171 -12.404891968,-80.519126892 -11.920801163,-80.63986969 -11.6784353259999,-80.6711044309999 -11.6332073209999,-80.864768982 -11.209360123,-80.869094849 -11.1885061259999,-80.883743286 -11.166913033,-81.318054199 -10.1735124589999,-81.4965057369999 -9.77073955499998,-81.730110168 -9.46657657599997,-81.910049438 -9.15999984699994)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.1', 'Northern', '1', '87.1.2', 'Northern Intermediate', '1.2', '87.1.2.4', '', '1.24', '', '', '', '', '1.24', '4', '87.1.2.4', '87.1.2.4', 'Y'),('SRID=4326;MULTIPOLYGON(((-179.199996948 -59.9999999999999,-180 -59.9999999999999,-180 -59.2000007629999,-180 -58.400001526,-180 -57.599998474,-180 -56.799999237,-180 -55.9999999999999,-180 -55.2000007629999,-180 -54.400001526,-180 -53.599998474,-180 -52.799999237,-180 -51.9999999999999,-180 -51.2000007629999,-180 -50.400001526,-180 -49.599998474,-180 -48.799999237,-180 -47.9999999999999,-180 -47.2000007629999,-180 -46.400001526,-180 -44.9999999999999,-180 -44.2000007629999,-180 -43.400001526,-180 -42.599998474,-180 -41.799999237,-180 -40.9999999999999,-180 -40.2000007629999,-180 -39.400001526,-180 -38.599998474,-180 -37.799999237,-180 -36.9999999999999,-180 -36.2000007629999,-180 -34.9999999999999,-180 -34.2000007629999,-180 -33.400001526,-180 -32.599998474,-180 -31.799999237,-180 -30.9999999999999,-180 -30.2000007629999,-180 -29.399999619,-180 -28.600000381,-180 -27.799999237,-180 -26.9999999999999,-180 -26.2000007629999,-180 -24.9999999999999,-179.199996948 -24.9999999999999,-178.399993896 -24.9999999999999,-177.600006104 -24.9999999999999,-176.800003052 -24.9999999999999,-176 -24.9999999999999,-175.199996948 -24.9999999999999,-175 -24.9999999999999,-174.399993896 -24.9999999999999,-173.600006104 -24.9999999999999,-172.800003052 -24.9999999999999,-172 -24.9999999999999,-171.199996948 -24.9999999999999,-170.399993896 -24.9999999999999,-169.600006104 -24.9999999999999,-168.800003052 -24.9999999999999,-168 -24.9999999999999,-167.199996948 -24.9999999999999,-166.399993896 -24.9999999999999,-165.600006104 -24.9999999999999,-165 -24.9999999999999,-164.800003052 -24.9999999999999,-164.199996948 -24.9999999999999,-164 -24.9999999999999,-163.399993896 -24.9999999999999,-163.199996948 -24.9999999999999,-162.600006104 -24.9999999999999,-162.399993896 -24.9999999999999,-161.800003052 -24.9999999999999,-161.600006104 -24.9999999999999,-161 -24.9999999999999,-160.800003052 -24.9999999999999,-160.199996948 -24.9999999999999,-160 -24.9999999999999,-159.399993896 -24.9999999999999,-159.199996948 -24.9999999999999,-158.600006104 -24.9999999999999,-158.399993896 -24.9999999999999,-157.800003052 -24.9999999999999,-157.600006104 -24.9999999999999,-157 -24.9999999999999,-156.800003052 -24.9999999999999,-156.199996948 -24.9999999999999,-156 -24.9999999999999,-155.399993896 -24.9999999999999,-155.199996948 -24.9999999999999,-154.600006104 -24.9999999999999,-154.399993896 -24.9999999999999,-153.800003052 -24.9999999999999,-153.600006104 -24.9999999999999,-153 -24.9999999999999,-152.800003052 -24.9999999999999,-152.199996948 -24.9999999999999,-152 -24.9999999999999,-151.399993896 -24.9999999999999,-151.199996948 -24.9999999999999,-150.600006104 -24.9999999999999,-150.399993896 -24.9999999999999,-149.800003052 -24.9999999999999,-149.600006104 -24.9999999999999,-149 -24.9999999999999,-148.800003052 -24.9999999999999,-148.199996948 -24.9999999999999,-148 -24.9999999999999,-147.399993896 -24.9999999999999,-147.199996948 -24.9999999999999,-146.600006104 -24.9999999999999,-146.399993896 -24.9999999999999,-145.800003052 -24.9999999999999,-145.600006104 -24.9999999999999,-145 -24.9999999999999,-144.800003052 -24.9999999999999,-144.199996948 -24.9999999999999,-144 -24.9999999999999,-143.399993896 -24.9999999999999,-143.199996948 -24.9999999999999,-142.600006104 -24.9999999999999,-142.399993896 -24.9999999999999,-141.800003052 -24.9999999999999,-141.600006104 -24.9999999999999,-141 -24.9999999999999,-140.800003052 -24.9999999999999,-140.199996948 -24.9999999999999,-140 -24.9999999999999,-139.399993896 -24.9999999999999,-139.199996948 -24.9999999999999,-138.600006104 -24.9999999999999,-138.399993896 -24.9999999999999,-137.800003052 -24.9999999999999,-137.600006104 -24.9999999999999,-137 -24.9999999999999,-136.800003052 -24.9999999999999,-136.199996948 -24.9999999999999,-136 -24.9999999999999,-135.399993896 -24.9999999999999,-135.199996948 -24.9999999999999,-134.600006104 -24.9999999999999,-134.399993896 -24.9999999999999,-133.800003052 -24.9999999999999,-133.600006104 -24.9999999999999,-133 -24.9999999999999,-132.800003052 -24.9999999999999,-132.199996948 -24.9999999999999,-132 -24.9999999999999,-131.399993896 -24.9999999999999,-131.199996948 -24.9999999999999,-130.600006104 -24.9999999999999,-130.399993896 -24.9999999999999,-129.800003052 -24.9999999999999,-129.600006104 -24.9999999999999,-129 -24.9999999999999,-128.800003052 -24.9999999999999,-128.199996948 -24.9999999999999,-128 -24.9999999999999,-127.400001526 -24.9999999999999,-127.199996948 -24.9999999999999,-126.599998474 -24.9999999999999,-126.400001526 -24.9999999999999,-125.800003052 -24.9999999999999,-125.599998474 -24.9999999999999,-125 -24.9999999999999,-124.800003052 -24.9999999999999,-124.199996948 -24.9999999999999,-124 -24.9999999999999,-123.400001526 -24.9999999999999,-123.199996948 -24.9999999999999,-122.599998474 -24.9999999999999,-122.400001526 -24.9999999999999,-121.800003052 -24.9999999999999,-121.599998474 -24.9999999999999,-121 -24.9999999999999,-120.800003052 -24.9999999999999,-120 -24.9999999999999,-120 -25.530000687,-120 -25.5333004,-120 -25.799999237,-120 -26.3299999239999,-120 -26.333299637,-120 -26.600000381,-120 -27.1299991609999,-120 -27.1332988739999,-120 -27.399999619,-120 -27.930000305,-120 -27.933300018,-120 -28.2000007629999,-120 -28.729999542,-120 -28.733299255,-120 -28.9999999999999,-120 -29.530000687,-120 -29.5333004,-120 -29.799999237,-120 -30.3299999239999,-120 -30.333299637,-120 -30.600000381,-120 -31.130001068,-120 -31.1333007809999,-120 -31.399999619,-120 -31.930000305,-120 -31.933300018,-120 -32.2000007629999,-120 -32.729999542,-120 -32.733299255,-120 -32.9999999999999,-120 -33.529998779,-120 -33.533298492,-120 -33.799999237,-120 -34.3300018309999,-120 -34.3333015439999,-120 -34.599998474,-120 -35.130001068,-120 -35.1333007809999,-120 -35.400001526,-120 -35.930000305,-120 -35.933300018,-120 -36.2000007629999,-120 -36.729999542,-120 -36.733299255,-120 -36.9999999999999,-120 -37.529998779,-120 -37.533298492,-120 -37.799999237,-120 -38.3300018309999,-120 -38.3333015439999,-120 -38.599998474,-120 -39.3300018309999,-120 -39.3333015439999,-120 -39.400001526,-120 -40.130001068,-120 -40.1333007809999,-120 -40.2000007629999,-120 -40.930000305,-120 -40.933300018,-120 -40.9999999999999,-120 -41.7300033569999,-120 -41.73330307,-120 -41.799999237,-120 -42.5300025939999,-120 -42.533302307,-120 -42.599998474,-120 -43.3300018309999,-120 -43.3333015439999,-120 -43.400001526,-120 -44.130001068,-120 -44.1333007809999,-120 -44.2000007629999,-120 -44.930000305,-120 -44.933300018,-120 -44.9999999999999,-120 -45.7300033569999,-120 -45.73330307,-120 -45.799999237,-120 -46.5300025939999,-120 -46.533302307,-120 -46.599998474,-120 -47.3300018309999,-120 -47.3333015439999,-120 -47.400001526,-120 -48.130001068,-120 -48.1333007809999,-120 -48.2000007629999,-120 -48.930000305,-120 -48.933300018,-120 -48.9999999999999,-120 -49.7300033569999,-120 -49.73330307,-120 -49.799999237,-120 -50.5300025939999,-120 -50.533302307,-120 -50.599998474,-120 -51.3300018309999,-120 -51.3333015439999,-120 -51.400001526,-120 -52.130001068,-120 -52.1333007809999,-120 -52.2000007629999,-120 -52.930000305,-120 -52.933300018,-120 -52.9999999999999,-120 -53.730003357,-120 -53.73330307,-120 -53.799999237,-120 -54.5300025939999,-120 -54.533302307,-120 -54.600002289,-120 -55.3300018309999,-120 -55.3333015439999,-120 -55.400001526,-120 -56.130001068,-120 -56.1333007809999,-120 -56.2000007629999,-120 -56.930000305,-120 -56.933300018,-120 -56.9999999999999,-120 -57.730003357,-120 -57.73330307,-120 -57.799999237,-120 -58.5300025939999,-120 -58.533302307,-120 -58.600002289,-120 -59.9999999999999,-120.400001526 -59.9999999999999,-120.800003052 -59.9999999999999,-121.199996948 -59.9999999999999,-121.599998474 -59.9999999999999,-122 -59.9999999999999,-122.400001526 -59.9999999999999,-122.800003052 -59.9999999999999,-123.199996948 -59.9999999999999,-123.599998474 -59.9999999999999,-124 -59.9999999999999,-124.400001526 -59.9999999999999,-124.800003052 -59.9999999999999,-125.199996948 -59.9999999999999,-125.599998474 -59.9999999999999,-126 -59.9999999999999,-126.400001526 -59.9999999999999,-126.800003052 -59.9999999999999,-127.199996948 -59.9999999999999,-127.599998474 -59.9999999999999,-128 -59.9999999999999,-128.399993896 -59.9999999999999,-128.800003052 -59.9999999999999,-129.199996948 -59.9999999999999,-129.600006104 -59.9999999999999,-130 -59.9999999999999,-130.399993896 -59.9999999999999,-130.800003052 -59.9999999999999,-131.199996948 -59.9999999999999,-131.600006104 -59.9999999999999,-132 -59.9999999999999,-132.399993896 -59.9999999999999,-132.800003052 -59.9999999999999,-133.199996948 -59.9999999999999,-133.600006104 -59.9999999999999,-134 -59.9999999999999,-134.399993896 -59.9999999999999,-134.800003052 -59.9999999999999,-135.199996948 -59.9999999999999,-135.600006104 -59.9999999999999,-136 -59.9999999999999,-136.399993896 -59.9999999999999,-136.800003052 -59.9999999999999,-137.199996948 -59.9999999999999,-137.600006104 -59.9999999999999,-138 -59.9999999999999,-138.399993896 -59.9999999999999,-138.800003052 -59.9999999999999,-139.199996948 -59.9999999999999,-139.600006104 -59.9999999999999,-140 -59.9999999999999,-140.399993896 -59.9999999999999,-140.800003052 -59.9999999999999,-141.199996948 -59.9999999999999,-141.600006104 -59.9999999999999,-142 -59.9999999999999,-142.399993896 -59.9999999999999,-142.800003052 -59.9999999999999,-143.199996948 -59.9999999999999,-143.600006104 -59.9999999999999,-144 -59.9999999999999,-144.399993896 -59.9999999999999,-144.800003052 -59.9999999999999,-145.199996948 -59.9999999999999,-145.600006104 -59.9999999999999,-146 -59.9999999999999,-146.399993896 -59.9999999999999,-146.800003052 -59.9999999999999,-147.199996948 -59.9999999999999,-147.600006104 -59.9999999999999,-148 -59.9999999999999,-148.399993896 -59.9999999999999,-148.800003052 -59.9999999999999,-149.199996948 -59.9999999999999,-149.600006104 -59.9999999999999,-150 -59.9999999999999,-150.399993896 -59.9999999999999,-150.800003052 -59.9999999999999,-151.199996948 -59.9999999999999,-151.600006104 -59.9999999999999,-152 -59.9999999999999,-152.399993896 -59.9999999999999,-152.800003052 -59.9999999999999,-153.199996948 -59.9999999999999,-153.600006104 -59.9999999999999,-154 -59.9999999999999,-154.399993896 -59.9999999999999,-154.800003052 -59.9999999999999,-155.199996948 -59.9999999999999,-155.600006104 -59.9999999999999,-156 -59.9999999999999,-156.399993896 -59.9999999999999,-156.800003052 -59.9999999999999,-157.199996948 -59.9999999999999,-157.600006104 -59.9999999999999,-158 -59.9999999999999,-158.399993896 -59.9999999999999,-158.800003052 -59.9999999999999,-159.199996948 -59.9999999999999,-159.600006104 -59.9999999999999,-160 -59.9999999999999,-160.399993896 -59.9999999999999,-160.800003052 -59.9999999999999,-161.199996948 -59.9999999999999,-161.600006104 -59.9999999999999,-162 -59.9999999999999,-162.399993896 -59.9999999999999,-162.800003052 -59.9999999999999,-163.199996948 -59.9999999999999,-163.600006104 -59.9999999999999,-164 -59.9999999999999,-164.399993896 -59.9999999999999,-165 -59.9999999999999,-165.199996948 -59.9999999999999,-165.800003052 -59.9999999999999,-166 -59.9999999999999,-166.600006104 -59.9999999999999,-166.800003052 -59.9999999999999,-167.399993896 -59.9999999999999,-167.600006104 -59.9999999999999,-168.199996948 -59.9999999999999,-168.399993896 -59.9999999999999,-169 -59.9999999999999,-169.199996948 -59.9999999999999,-169.800003052 -59.9999999999999,-170 -59.9999999999999,-170.600006104 -59.9999999999999,-171.199996948 -59.9999999999999,-171.399993896 -59.9999999999999,-172 -59.9999999999999,-172.199996948 -59.9999999999999,-172.800003052 -59.9999999999999,-173 -59.9999999999999,-173.600006104 -59.9999999999999,-173.800003052 -59.9999999999999,-174.399993896 -59.9999999999999,-174.600006104 -59.9999999999999,-175.199996948 -59.9999999999999,-175.399993896 -59.9999999999999,-176 -59.9999999999999,-176.199996948 -59.9999999999999,-176.800003052 -59.9999999999999,-177 -59.9999999999999,-177.600006104 -59.9999999999999,-177.800003052 -59.9999999999999,-178.399993896 -59.9999999999999,-178.600006104 -59.9999999999999,-179.199996948 -59.9999999999999)),((180 -24.9999999999999,180 -25.799999237,180 -26.600000381,180 -27.399999619,180 -28.2000007629999,180 -28.9999999999999,180 -29.799999237,180 -30.600000381,180 -31.399999619,180 -32.2000007629999,180 -32.9999999999999,180 -33.799999237,180 -34.9999999999999,180 -35.799999237,180 -36.2000007629999,180 -36.599998474,180 -36.9999999999999,180 -37.400001526,180 -37.799999237,180 -38.2000007629999,180 -38.599998474,180 -38.9999999999999,180 -39.400001526,180 -39.799999237,180 -40.2000007629999,180 -40.599998474,180 -40.9999999999999,180 -41.400001526,180 -41.799999237,180 -42.2000007629999,180 -42.599998474,180 -42.9999999999999,180 -43.400001526,180 -43.799999237,180 -44.2000007629999,180 -44.9999999999999,180 -45.799999237,180 -46.400001526,180 -46.599998474,180 -47.2000007629999,180 -47.400001526,180 -47.9999999999999,180 -48.2000007629999,180 -48.799999237,180 -48.9999999999999,180 -49.599998474,180 -49.799999237,180 -50.400001526,180 -50.599998474,180 -51.2000007629999,180 -51.400001526,180 -51.9999999999999,180 -52.2000007629999,180 -52.799999237,180 -52.9999999999999,180 -53.599998474,180 -53.799999237,180 -54.400001526,180 -54.599998474,180 -55.2000007629999,180 -55.400001526,180 -55.9999999999999,180 -56.2000007629999,180 -56.799999237,180 -56.9999999999999,180 -57.599998474,180 -57.799999237,180 -58.400001526,180 -58.599998474,180 -59.2000007629999,180 -59.9999999999999,179.199996948 -59.9999999999999,178.800003052 -59.9999999999999,178.399993896 -59.9999999999999,178 -59.9999999999999,177.600006104 -59.9999999999999,177.199996948 -59.9999999999999,176.800003052 -59.9999999999999,176.399993896 -59.9999999999999,176 -59.9999999999999,175.600006104 -59.9999999999999,175.199996948 -59.9999999999999,174.800003052 -59.9999999999999,174.399993896 -59.9999999999999,174 -59.9999999999999,173.600006104 -59.9999999999999,173.199996948 -59.9999999999999,172.800003052 -59.9999999999999,172.399993896 -59.9999999999999,172 -59.9999999999999,171.600006104 -59.9999999999999,171.199996948 -59.9999999999999,170.800003052 -59.9999999999999,170.399993896 -59.9999999999999,170 -59.9999999999999,169.600006104 -59.9999999999999,169.199996948 -59.9999999999999,168.800003052 -59.9999999999999,168.399993896 -59.9999999999999,168 -59.9999999999999,167.600006104 -59.9999999999999,167.199996948 -59.9999999999999,166.800003052 -59.9999999999999,166.399993896 -59.9999999999999,166 -59.9999999999999,165.199996948 -59.9999999999999,165 -59.9999999999999,164.399993896 -59.9999999999999,164.199996948 -59.9999999999999,163.600006104 -59.9999999999999,163.399993896 -59.9999999999999,162.800003052 -59.9999999999999,162.600006104 -59.9999999999999,162 -59.9999999999999,161.800003052 -59.9999999999999,161.199996948 -59.9999999999999,161 -59.9999999999999,160.399993896 -59.9999999999999,160.199996948 -59.9999999999999,159.600006104 -59.9999999999999,159.399993896 -59.9999999999999,158.800003052 -59.9999999999999,158.600006104 -59.9999999999999,158 -59.9999999999999,157.800003052 -59.9999999999999,157.199996948 -59.9999999999999,157 -59.9999999999999,156.399993896 -59.9999999999999,156.199996948 -59.9999999999999,155.600006104 -59.9999999999999,155.399993896 -59.9999999999999,154.800003052 -59.9999999999999,154.600006104 -59.9999999999999,154 -59.9999999999999,153.800003052 -59.9999999999999,153.199996948 -59.9999999999999,153 -59.9999999999999,152.399993896 -59.9999999999999,152.199996948 -59.9999999999999,151.600006104 -59.9999999999999,151.399993896 -59.9999999999999,150.800003052 -59.9999999999999,150 -59.9999999999999,150 -59.400001526,150 -59.2000007629999,150 -58.599998474,150 -58.400001526,150 -57.799999237,150 -57.599998474,150 -56.9999999999999,150 -56.799999237,150 -56.2000007629999,150 -55.9999999999999,150 -55.2000007629999,150 -54.9999999999999,150 -54.400001526,150 -54.2000007629999,150 -53.599998474,150 -53.400001526,150 -52.799999237,150 -52.599998474,150 -51.9999999999999,150 -51.799999237,150 -51.2000007629999,150 -50.9999999999999,150 -50.400001526,150 -50.2000007629999,150 -49.599998474,150 -49.400001526,150 -48.799999237,150 -48.599998474,150 -47.9999999999999,150 -47.799999237,150 -47.2000007629999,150 -46.9999999999999,150 -46.400001526,150 -46.2000007629999,150 -44.9999999999999,150 -44.2000007629999,150 -43.400001526,150 -42.599998474,150 -41.799999237,150 -40.9999999999999,150 -40.2000007629999,150 -39.400001526,150 -38.599998474,150 -37.529998779,149.476257324 -36.884498596,148.977508545 -36.258998871,148.478759766 -35.6335029599999,147.980010986 -35.0080032349999,147.967234726 -34.991980043,147.967234726 -27.509680053,148.393432617 -27.643930435,148.473922729 -27.669284821,149.156463623 -27.8842887879999,149.236953735 -27.9096431729999,150 -28.149999619,150.800003052 -28.149999619,151 -28.149999619,151.600006104 -28.149999619,151.800003052 -28.149999619,152.399993896 -28.149999619,152.600006104 -28.149999619,153.199996948 -28.149999619,153.399993896 -28.149999619,154 -28.149999619,154.199996948 -28.149999619,155 -28.149999619,155 -27.350000381,155 -26.600000381,155 -26.549999237,155 -25.799999237,155 -24.9999999999999,155.800003052 -24.9999999999999,156 -24.9999999999999,156.600006104 -24.9999999999999,156.800003052 -24.9999999999999,157.399993896 -24.9999999999999,157.600006104 -24.9999999999999,158.199996948 -24.9999999999999,158.399993896 -24.9999999999999,159 -24.9999999999999,159.199996948 -24.9999999999999,159.800003052 -24.9999999999999,160 -24.9999999999999,160.600006104 -24.9999999999999,160.800003052 -24.9999999999999,161.399993896 -24.9999999999999,161.600006104 -24.9999999999999,162.199996948 -24.9999999999999,162.399993896 -24.9999999999999,163 -24.9999999999999,163.199996948 -24.9999999999999,163.800003052 -24.9999999999999,164 -24.9999999999999,164.800003052 -24.9999999999999,165 -24.9999999999999,165.600006104 -24.9999999999999,165.800003052 -24.9999999999999,166.399993896 -24.9999999999999,166.600006104 -24.9999999999999,167.199996948 -24.9999999999999,167.399993896 -24.9999999999999,168 -24.9999999999999,168.199996948 -24.9999999999999,168.800003052 -24.9999999999999,169 -24.9999999999999,169.600006104 -24.9999999999999,169.800003052 -24.9999999999999,170.399993896 -24.9999999999999,170.600006104 -24.9999999999999,171.199996948 -24.9999999999999,171.399993896 -24.9999999999999,172 -24.9999999999999,172.199996948 -24.9999999999999,172.800003052 -24.9999999999999,173 -24.9999999999999,173.600006104 -24.9999999999999,173.800003052 -24.9999999999999,174.399993896 -24.9999999999999,174.600006104 -24.9999999999999,175.199996948 -24.9999999999999,175.399993896 -24.9999999999999,176 -24.9999999999999,176.199996948 -24.9999999999999,176.800003052 -24.9999999999999,177 -24.9999999999999,177.600006104 -24.9999999999999,177.800003052 -24.9999999999999,178.399993896 -24.9999999999999,178.600006104 -24.9999999999999,179.199996948 -24.9999999999999,180 -24.9999999999999)))', 'Pacific', '8', '81', 'PACIFIC, SOUTHWEST', '81', '', '', '', '', '', '', '', '', '', '', '', '', '', '81', '1', '81', '81', 'Y'),('SRID=4326;MULTIPOLYGON(((-81.312141418 1.38999998600002,-81.025787354 1.81900382000003,-80.563453674 2.12977957700002,-80.3415145869999 2.22313404100004,-80.339256287 2.23462081000002,-80.027122498 2.70337247800006,-79.9744415279999 2.73865342100004,-79.9676208499999 2.76900148400006,-79.894615173 3.00061488200004,-79.582771301 3.46966385800005,-79.114173889 3.78384184800007,-78.8393020629999 3.86108064700005,-78.8667526249999 3.99512934700005,-78.8612747189999 4.02332115200005,-78.866027832 4.04893302900007,-78.8429794309999 4.77506303800004,-78.921150208 4.99180126200002,-79.00692749 5.47147035600005,-78.9005584719999 6.02458524700006,-78.838012695 6.11899375900003,-78.8782653809999 6.15631008100007,-78.890167236 6.17322397200007,-78.9088592529999 6.18550062200006,-78.994598389 6.31103944800003,-78.779998779 6.46999979000003,-78.300003052 6.73000001900004,-77.88999939 7.21000003800003,-77.888961792 7.21118784000004,-77.199996948 8.00000000000006,-76.646873474 6.69966554600006,-76.333732605 5.96349906900002,-76.0205841059999 5.22733211500002,-75.7074432369999 4.49116563800004,-75.6738508719999 4.41219293400007,-75.394302368 3.75499892200003,-75.08115387 3.01883244500004,-74.7680129999999 2.28266573000008,-74.4548721309999 1.54649913300005,-74.3882980349999 1.38999998600002,-74.800003052 1.38999998600002,-75.599998474 1.38999998600002,-76.400001526 1.38999998600002,-77.199996948 1.38999998600002,-77.9999999999999 1.38999998600002,-78.800003052 1.38999998600002,-79.599998474 1.38999998600002,-80.400001526 1.38999998600002,-81.199996948 1.38999998600002,-81.312141418 1.38999998600002)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.1', 'Northern', '1', '87.1.1', 'Northern Coastal', '1.1', '87.1.1.1', '', '1.11', '', '', '', '', '1.11', '4', '87.1.1.1', '87.1.1.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-73.580429077 -33.8400001529999,-73.5170135499999 -33.5722885129999,-73.402603149 -33.3920097349999,-73.1818847659999 -32.7662544249999,-73.1621627809999 -32.1599998469999,-72.400001526 -32.1599998469999,-71.599998474 -32.1599998469999,-70.800003052 -32.1599998469999,-69.9999999999999 -32.1599998469999,-69.2426605219999 -32.1599998469999,-69.381607056 -32.6810379029999,-69.587738037 -33.4540252689999,-69.690666199 -33.8400001529999,-69.9999999999999 -33.8400001529999,-70.800003052 -33.8400001529999,-71.599998474 -33.8400001529999,-72.400001526 -33.8400001529999,-73.199996948 -33.8400001529999,-73.580429077 -33.8400001529999)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.1', 'Central Coastal', '2.1', '87.2.1.5', '', '2.15', '', '', '', '', '2.15', '4', '87.2.1.5', '87.2.1.5', 'Y'),('SRID=4326;MULTIPOLYGON(((-82.779403687 -4.66035985899993,-82.6639862059999 -4.10991859399996,-82.635940552 -4.06886815999997,-82.626121521 -4.02825450899996,-82.336494446 -3.45000004799994,-81.9999999999999 -3.45000004799994,-81.199996948 -3.45000004799994,-80.400001526 -3.45000004799994,-79.599998474 -3.45000004799994,-78.800003052 -3.45000004799994,-77.9999999999999 -3.45000004799994,-77.199996948 -3.45000004799994,-76.400001526 -3.45000004799994,-75.599998474 -3.45000004799994,-74.800003052 -3.45000004799994,-73.9999999999999 -3.45000004799994,-73.199996948 -3.45000004799994,-72.400001526 -3.45000004799994,-72.32950592 -3.45000004799994,-72.2628631589999 -3.60666727999995,-71.94972229 -4.34283399599997,-71.636581421 -5.07900047299995,-71.3234329219999 -5.81516742699995,-71.0102920529999 -6.55133390399993,-70.6971511839999 -7.28750038099997,-70.384010315 -8.02366733599996,-70.0708618159999 -8.75983333599993,-69.900642395 -9.15999984699994,-69.9999999999999 -9.15999984699994,-70.800003052 -9.15999984699994,-71.599998474 -9.15999984699994,-72.400001526 -9.15999984699994,-73.199996948 -9.15999984699994,-73.9999999999999 -9.15999984699994,-74.800003052 -9.15999984699994,-75.599998474 -9.15999984699994,-76.400001526 -9.15999984699994,-77.199996948 -9.15999984699994,-77.9999999999999 -9.15999984699994,-78.800003052 -9.15999984699994,-79.599998474 -9.15999984699994,-80.168075562 -9.15999984699994,-80.21912384 -9.04555606799994,-80.221855164 -9.04294967699997,-80.2331008909999 -9.02639388999995,-80.251045227 -9.01429939299993,-80.4665527339999 -8.73474025699994,-81.003509521 -7.82422494899993,-81.758155823 -7.37124395399997,-81.95790863 -7.21440076799996,-82.006637573 -7.18267393099995,-82.151092529 -7.04596281099998,-82.1640624999999 -7.02693939199997,-82.1849441529999 -7.01285028499996,-82.4937667849999 -6.54348897899996,-82.597290039 -5.99175167099997,-82.5442657469999 -5.74277162599998,-82.629951477 -5.28937005999995,-82.6746368409999 -5.21186113399995,-82.779403687 -4.66035985899993)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.1', 'Northern', '1', '87.1.1', 'Northern Coastal', '1.1', '87.1.1.3', '', '1.13', '', '', '', '', '1.13', '4', '87.1.1.3', '87.1.1.3', 'Y'),('SRID=4326;MULTIPOLYGON(((-80.168075562 -9.15999984699994,-79.599998474 -9.15999984699994,-78.800003052 -9.15999984699994,-77.9999999999999 -9.15999984699994,-77.199996948 -9.15999984699994,-76.400001526 -9.15999984699994,-75.599998474 -9.15999984699994,-74.800003052 -9.15999984699994,-73.9999999999999 -9.15999984699994,-73.199996948 -9.15999984699994,-72.400001526 -9.15999984699994,-71.599998474 -9.15999984699994,-70.800003052 -9.15999984699994,-69.9999999999999 -9.15999984699994,-69.900642395 -9.15999984699994,-69.7577209469999 -9.49600028999993,-69.4445800779999 -10.232167244,-69.13143158 -10.968333244,-68.81829071 -11.7045001979999,-68.5051498409999 -12.4406671519999,-68.192001343 -13.176833153,-67.880134583 -13.9099998469999,-68.400001526 -13.9099998469999,-69.199996948 -13.9099998469999,-69.9999999999999 -13.9099998469999,-70.800003052 -13.9099998469999,-71.599998474 -13.9099998469999,-72.400001526 -13.9099998469999,-73.199996948 -13.9099998469999,-73.9999999999999 -13.9099998469999,-74.800003052 -13.9099998469999,-75.599998474 -13.9099998469999,-76.400001526 -13.9099998469999,-77.199996948 -13.9099998469999,-77.754608154 -13.9099998469999,-77.74180603 -13.774973869,-78.2428054809999 -13.0004549029999,-78.2506942749999 -12.9852848049999,-78.259094238 -12.9746389389999,-78.393959045 -12.7556152339999,-78.4315490719999 -12.6813135149999,-78.449829102 -12.6561155319999,-78.9346847529999 -11.704013824,-79.2569885249999 -11.173888206,-79.3177566529999 -11.052710533,-79.333450317 -11.030104637,-79.5285491939999 -10.6062078479999,-79.530754089 -10.5957746509999,-79.538108826 -10.5849809649999,-79.977058411 -9.58822250399993,-80.168075562 -9.15999984699994)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.1', 'Northern', '1', '87.1.1', 'Northern Coastal', '1.1', '87.1.1.4', '', '1.14', '', '', '', '', '1.14', '4', '87.1.1.4', '87.1.1.4', 'Y'),('SRID=4326;MULTIPOLYGON(((-77.762260437 -13.99072361,-77.754608154 -13.9099998469999,-77.199996948 -13.9099998469999,-76.400001526 -13.9099998469999,-75.599998474 -13.9099998469999,-74.800003052 -13.9099998469999,-73.9999999999999 -13.9099998469999,-73.199996948 -13.9099998469999,-72.400001526 -13.9099998469999,-71.599998474 -13.9099998469999,-70.800003052 -13.9099998469999,-69.9999999999999 -13.9099998469999,-69.199996948 -13.9099998469999,-68.400001526 -13.9099998469999,-67.880134583 -13.9099998469999,-67.878860474 -13.913000107,-67.565719604 -14.649167061,-67.2525711059999 -15.3853330609999,-66.939430237 -16.121500015,-66.626289368 -16.8576660159999,-66.3131408689999 -17.593833923,-65.9999999999999 -18.3299999239999,-65.9999999999999 -18.333299637,-66.400001526 -18.333299637,-67.199996948 -18.333299637,-67.9999999999999 -18.333299637,-68.800003052 -18.333299637,-69.599998474 -18.333299637,-70.400001526 -18.333299637,-71.199996948 -18.333299637,-71.9999999999999 -18.333299637,-72.739173889 -18.333299637,-72.801177979 -18.280881882,-72.849563599 -18.2579803469999,-73.7093048099999 -17.783119202,-74.709762573 -17.2899189,-74.7217941279999 -17.2813873289999,-74.770446777 -17.258155823,-75.74243927 -16.7189922329999,-76.0610961909999 -16.480110168,-76.073028564 -16.4623775479999,-76.089630127 -16.4510784149999,-76.517906189 -16.00220108,-77.0614089969999 -15.460511208,-77.0626296999999 -15.4586887359999,-77.2570266719999 -15.2172784809999,-77.541175842 -14.7713994979999,-77.658309937 -14.544640541,-77.762260437 -13.99072361)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.1', 'Northern', '1', '87.1.1', 'Northern Coastal', '1.1', '87.1.1.5', '', '1.15', '', '', '', '', '1.15', '4', '87.1.1.5', '87.1.1.5', 'Y'),('SRID=4326;MULTIPOLYGON(((-93.4594192499999 1.65673232100005,-93.353713989 2.19887447400004,-93.1378097529999 2.55767440800003,-93.134422302 2.56177187000003,-93.041175842 2.66400671000002,-92.574890137 2.97397875800004,-92.021865845 3.08536887200006,-91.5907058719999 3.02383899700004,-91.582382202 3.02135825200003,-91.4578781129999 2.97807431200005,-90.984603882 2.67241168000004,-90.792884827 2.39536619200004,-90.722869873 2.32175326300006,-90.718040466 2.31624937100003,-90.540725708 2.03541231200006,-90.408378601 2.01870036100007,-90.391654968 2.01433897000004,-90.213722229 1.95558214200003,-90.101570129 1.88257253200004,-89.900894165 1.77108061300004,-89.831756592 1.76830124900005,-89.825950623 1.76781570900005,-89.3985290529999 1.66606485800003,-88.927276611 1.35791957400005,-88.7443847659999 1.13903522500004,-88.732635498 1.12171423400002,-88.6000213619999 0.87789189800003,-88.5092773439999 0.530112684000073,-88.3710784909999 0.450362295000048,-88.367477417 0.447564870000065,-88.259086609 0.352669030000072,-88.2391052249999 0.339505821000046,-87.9252014159999 -0.124242715999969,-87.923240662 -0.134013562999939,-87.9134597779999 -0.148484616999951,-87.9026260379999 -0.165110691999928,-87.793205261 -0.712480365999966,-87.794647217 -0.719568371999969,-87.794006348 -0.722804784999937,-87.804489136 -0.774280487999931,-87.797431946 -0.818373381999947,-87.798233032 -0.828697621999936,-87.835647583 -0.982344209999951,-87.847328186 -1.07459270999993,-87.850631714 -1.08762121199993,-87.889694214 -1.20368766799993,-87.905899048 -1.26992475999998,-87.917984009 -1.28766286399997,-87.919235229 -1.29136156999994,-88.235298157 -1.75440728699994,-88.246986389 -1.76268410699993,-88.2836379999999 -1.93923175299994,-88.291374207 -1.95052671399998,-88.29196167 -1.95335769699994,-88.346366882 -2.03279399899998,-88.401420593 -2.13661026999995,-88.403930664 -2.14051556599998,-88.5057449339999 -2.26519155499994,-88.609161377 -2.41576719299997,-88.794548035 -2.56857895899998,-88.8001632689999 -2.57247424099995,-89.087303162 -2.72716259999993,-89.1599502559999 -2.74113225899993,-89.376045227 -2.80376505899994,-89.385162354 -2.80544424099998,-89.589309692 -2.82358503299997,-89.639022827 -2.83311915399997,-89.64402771 -2.83310675599995,-89.645820618 -2.83274722099998,-89.647636414 -2.83309316599997,-89.66960144 -2.82867479299995,-89.941589355 -2.80090165099995,-89.975273132 -2.79411983499995,-90.162132263 -2.73724079099998,-90.221252441 -2.74445056899998,-90.391052246 -2.77969813299995,-90.416870117 -2.78043127099994,-90.4292373659999 -2.77816057199993,-90.4403533939999 -2.78027272199995,-90.451026917 -2.77812647799993,-90.466171265 -2.78100538299998,-90.543037415 -2.76555538199995,-90.618026733 -2.76178646099993,-90.635223389 -2.76014161099994,-90.842300415 -2.70868730499996,-90.884910583 -2.70299982999995,-90.890205383 -2.70158672299993,-90.932235718 -2.68736219399995,-91.019340515 -2.66987204599997,-91.037773132 -2.66014099099993,-91.055686951 -2.65569353099994,-91.092048645 -2.63149261499996,-91.259231567 -2.54328608499998,-91.278381348 -2.53075909599994,-91.387054443 -2.44270491599997,-91.394577026 -2.44352364499997,-91.687286377 -2.41275715799998,-91.70337677 -2.40941476799998,-91.963821411 -2.32946324299996,-91.9699554439999 -2.32551646199994,-91.979400635 -2.32362818699994,-91.998672485 -2.31089878099993,-92.000740051 -2.31048536299994,-92.233390808 -2.15616464599998,-92.4011611939999 -2.04842209799995,-92.41003418 -2.04011893299997,-92.4108505249999 -2.03894352899994,-92.4418792719999 -2.01849317599994,-92.443336487 -2.01705670399997,-92.467803955 -2.00085592299996,-92.5800781249999 -1.87555110499994,-92.589126587 -1.86415958399994,-92.620147705 -1.81154274899995,-92.7518234249999 -1.64274680599993,-92.763458252 -1.62307739299996,-92.851333618 -1.44769179799994,-92.930747986 -1.04631853099994,-92.932998657 -1.04225361299996,-92.950279236 -1.01673424199993,-92.9534072879999 -1.00587665999996,-92.964416504 -0.987695931999951,-92.965057373 -0.984476983999969,-92.9868164059999 -0.945284068999968,-92.989120483 -0.933720945999937,-92.992576599 -0.928622424999958,-93.001045227 -0.889798879999944,-93.018623352 -0.862016498999935,-93.024391174 -0.845356940999977,-93.0682449339999 -0.582763850999925,-93.10042572 -0.436398058999941,-93.102111816 -0.387342154999942,-93.0995712279999 -0.373691439999959,-93.110435486 -0.319359302999942,-93.1086044309999 -0.31040692299996,-93.109535217 -0.305799245999935,-93.101287842 -0.265478431999952,-93.107398987 -0.22923846499998,-93.106506348 -0.215678169999933,-93.03150177 0.100077704000057,-93.013168335 0.277073383000072,-93.011177063 0.286547393000035,-92.947036743 0.491961956000068,-93.0124130249999 0.568885207000051,-93.0201721189999 0.579969943000037,-93.108856201 0.739518821000047,-93.160987854 0.815411091000044,-93.172317505 0.854033768000022,-93.3451004029999 1.10509014100006,-93.453231812 1.53479516500005,-93.454124451 1.54506456900003,-93.4594192499999 1.65673232100005)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.1', 'Northern', '1', '87.1.3', 'Galapagos', '1.3', '', '', '', '', '', '', '', '1.3', '3', '87.1.3', '87.1.3', 'Y'),('SRID=4326;MULTIPOLYGON(((-70.319999695 -69.0800018309999,-70.0099454859999 -69.9714067579999,-70.013563061 -70.016626456,-70.013563061 -72.085608393,-69.9999999999999 -72.1046814489999,-69.9999999999999 -72.800003052,-69.9999999999999 -73.599998474,-69.9999999999999 -74.9999999999999,-70.800003052 -74.9999999999999,-71.599998474 -74.9999999999999,-72.400001526 -74.9999999999999,-73.199996948 -74.9999999999999,-73.9999999999999 -74.9999999999999,-74.800003052 -74.9999999999999,-75.599998474 -74.9999999999999,-76.400001526 -74.9999999999999,-77.199996948 -74.9999999999999,-77.9999999999999 -74.9999999999999,-78.800003052 -74.9999999999999,-79.599998474 -74.9999999999999,-80.400001526 -74.9999999999999,-81.199996948 -74.9999999999999,-81.9999999999999 -74.9999999999999,-82.800003052 -74.9999999999999,-83.599998474 -74.9999999999999,-84.400001526 -74.9999999999999,-85.199996948 -74.9999999999999,-85.9999999999999 -74.9999999999999,-86.800003052 -74.9999999999999,-87.599998474 -74.9999999999999,-88.400001526 -74.9999999999999,-89.9999999999999 -74.9999999999999,-90.837669373 -75.049331665,-91.636291504 -75.096366882,-92.4349060059999 -75.1434020999999,-93.233520508 -75.1904296879999,-94.03213501 -75.237464905,-94.8307571409999 -75.2845001219999,-95.629371643 -75.331535339,-96.427986145 -75.378562927,-97.2266006469999 -75.425598145,-98.0252227779999 -75.472633362,-98.82383728 -75.519668579,-99.622451782 -75.566696167,-100.421066284 -75.6137313839999,-101.219680786 -75.660766602,-102.018302917 -75.7078018189999,-102.816917419 -75.754829407,-103.615531921 -75.801864624,-104.414146423 -75.8488998409999,-105.212768555 -75.895935059,-106.011383057 -75.942962646,-106.809997559 -75.989997864,-106.182426453 -75.417900085,-105.591209412 -74.8789443969999,-105 -74.3399963379999,-105 -72.800003052,-105 -71.9999999999999,-105 -71.199996948,-105 -70.400001526,-105 -69.599998474,-105 -68.800003052,-105 -67.9999999999999,-105 -67.199996948,-105 -66.400001526,-105 -65.599998474,-105 -64.800003052,-105 -63.9999999999999,-105 -63.2000007629999,-105 -62.400001526,-105 -61.599998474,-105 -60.799999237,-105 -59.9999999999999,-104.800003052 -59.9999999999999,-104.199996948 -59.9999999999999,-104 -59.9999999999999,-103.400001526 -59.9999999999999,-103.199996948 -59.9999999999999,-102.599998474 -59.9999999999999,-102.400001526 -59.9999999999999,-101.800003052 -59.9999999999999,-101.599998474 -59.9999999999999,-101 -59.9999999999999,-100.800003052 -59.9999999999999,-100.199996948 -59.9999999999999,-99.9999999999999 -59.9999999999999,-99.400001526 -59.9999999999999,-99.199996948 -59.9999999999999,-98.599998474 -59.9999999999999,-98.400001526 -59.9999999999999,-97.800003052 -59.9999999999999,-97.599998474 -59.9999999999999,-96.9999999999999 -59.9999999999999,-96.800003052 -59.9999999999999,-96.199996948 -59.9999999999999,-95.9999999999999 -59.9999999999999,-95.400001526 -59.9999999999999,-95.199996948 -59.9999999999999,-94.599998474 -59.9999999999999,-94.400001526 -59.9999999999999,-93.800003052 -59.9999999999999,-93.599998474 -59.9999999999999,-92.9999999999999 -59.9999999999999,-92.800003052 -59.9999999999999,-92.199996948 -59.9999999999999,-91.9999999999999 -59.9999999999999,-91.400001526 -59.9999999999999,-91.199996948 -59.9999999999999,-90.599998474 -59.9999999999999,-90.400001526 -59.9999999999999,-89.800003052 -59.9999999999999,-89.599998474 -59.9999999999999,-88.9999999999999 -59.9999999999999,-88.800003052 -59.9999999999999,-88.199996948 -59.9999999999999,-87.9999999999999 -59.9999999999999,-87.400001526 -59.9999999999999,-87.199996948 -59.9999999999999,-86.599998474 -59.9999999999999,-86.400001526 -59.9999999999999,-85.800003052 -59.9999999999999,-85.599998474 -59.9999999999999,-84.9999999999999 -59.9999999999999,-84.800003052 -59.9999999999999,-84.199996948 -59.9999999999999,-83.9999999999999 -59.9999999999999,-83.400001526 -59.9999999999999,-83.199996948 -59.9999999999999,-82.599998474 -59.9999999999999,-82.400001526 -59.9999999999999,-81.800003052 -59.9999999999999,-81.599998474 -59.9999999999999,-80.9999999999999 -59.9999999999999,-80.800003052 -59.9999999999999,-80.199996948 -59.9999999999999,-79.9999999999999 -59.9999999999999,-79.400001526 -59.9999999999999,-79.199996948 -59.9999999999999,-78.599998474 -59.9999999999999,-78.400001526 -59.9999999999999,-77.800003052 -59.9999999999999,-77.599998474 -59.9999999999999,-76.9999999999999 -59.9999999999999,-76.800003052 -59.9999999999999,-76.199996948 -59.9999999999999,-75.9999999999999 -59.9999999999999,-75.400001526 -59.9999999999999,-75.199996948 -59.9999999999999,-74.599998474 -59.9999999999999,-74.400001526 -59.9999999999999,-73.800003052 -59.9999999999999,-73.599998474 -59.9999999999999,-72.9999999999999 -59.9999999999999,-72.800003052 -59.9999999999999,-72.199996948 -59.9999999999999,-71.9999999999999 -59.9999999999999,-71.400001526 -59.9999999999999,-71.199996948 -59.9999999999999,-70.400001526 -59.9999999999999,-69.9999999999999 -59.9999999999999,-69.9999999999999 -60.799999237,-69.9999999999999 -61.599998474,-69.9999999999999 -62.400001526,-69.9999999999999 -63.2000007629999,-69.9999999999999 -63.9999999999999,-69.9999999999999 -64.800003052,-69.9999999999999 -65.599998474,-69.9999999999999 -66.400001526,-69.9999999999999 -67.199996948,-69.9999999999999 -67.9999999999999,-69.9999999999999 -69.0800018309999,-70.319999695 -69.0800018309999)))', 'Pacific', '11', '88', 'PACIFIC, ANTARCTIC', '88', '88.3', 'Amundsen Sea', '2', '', '', '', '', '', '', '', '', '', '', '3', '2', '88.3', '88.3', 'Y'),('SRID=4326;MULTIPOLYGON(((-82.428031921 -33.6959037779999,-82.2598571779999 -33.149017334,-82.2586746219999 -33.147636414,-82.252151489 -33.126277924,-82.1444015499999 -32.959671021,-82.1373596189999 -32.950210571,-81.856826782 -32.6600418089999,-81.676811218 -32.562671661,-81.616241455 -32.5222434999999,-81.60710907 -32.51725769,-81.536911011 -32.4868011469999,-81.307853699 -32.362194061,-81.16027832 -32.319801331,-81.133079529 -32.313201904,-80.652786255 -32.261581421,-80.038543701 -32.385875702,-79.8586807249999 -32.4720764159999,-79.439353943 -32.2502288819999,-79.224304199 -32.216827393,-78.9539718629999 -32.164894104,-78.947937012 -32.1645889279999,-78.919418335 -32.1691894529999,-78.813423157 -32.1525497439999,-78.643791199 -32.163658142,-78.614906311 -32.1669120789999,-78.1690597529999 -32.2767639159999,-78.146621704 -32.290851593,-78.142326355 -32.291690826,-78.134155273 -32.2968215939999,-78.105140686 -32.3024902339999,-77.590965271 -32.624107361,-77.480567932 -32.7391815189999,-77.456802368 -32.766799927,-77.231864929 -33.1258201599999,-77.127952576 -33.6807403559999,-77.15877533 -33.9159736629999,-77.160301208 -33.9226837159999,-77.275886536 -34.238765717,-77.653236389 -34.702060699,-77.6576614379999 -34.70450592,-77.660263062 -34.7076873779999,-77.667320251 -34.7115898129999,-77.67225647 -34.7175292969999,-77.679283142 -34.723152161,-78.212112427 -35.0116500849999,-78.273666382 -35.021114349,-78.276359558 -35.0226898189999,-78.2781677249999 -35.023403168,-78.3136825559999 -35.029815674,-78.342460632 -35.0437393189999,-78.36114502 -35.0539665219999,-78.364730835 -35.054515839,-78.369262695 -35.0567054749999,-78.371063232 -35.057418823,-78.40927124 -35.0632705689999,-78.43699646 -35.0776481629999,-78.441207886 -35.078865051,-78.442863464 -35.079338074,-78.44569397 -35.0801544189999,-78.9642028809999 -35.1476287839999,-79.012084961 -35.154853821,-79.176239014 -35.122707367,-79.24495697 -35.117061615,-79.2561798099999 -35.115444183,-79.3847503659999 -35.081737518,-79.640693665 -35.0312347409999,-79.798309326 -34.9600753779999,-79.808273315 -34.9549484249999,-79.815757751 -34.949672699,-80.064048767 -35.093990326,-80.08506012 -35.102416992,-80.13143158 -35.1107368469999,-80.17665863 -35.134967804,-80.18396759 -35.136039734,-80.197685242 -35.1433868409999,-80.383735657 -35.165699005,-80.688819885 -35.210044861,-80.8407287599999 -35.2368926999999,-80.8548889159999 -35.234035492,-80.862686157 -35.2351608279999,-80.902107239 -35.2272033689999,-80.9399261469999 -35.2316513059999,-80.961883545 -35.229911804,-81.489738464 -35.1079368589999,-81.930465698 -34.845287323,-81.945640564 -34.832431793,-81.967132568 -34.8027458189999,-82.002487183 -34.780071259,-82.0061798099999 -34.77457428,-82.01764679 -34.7672157289999,-82.337409973 -34.289451599,-82.379905701 -34.1587562559999,-82.390289307 -34.1196556089999,-82.4047851559999 -33.9566078189999,-82.4187011719999 -33.8959197999999,-82.420158386 -33.878139496,-82.420181274 -33.7838592529999,-82.428031921 -33.6959037779999)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.4', 'Juan Fernandez', '2.4', '', '', '', '', '', '', '', '2.4', '3', '87.2.4', '87.2.4', 'Y'),('SRID=4326;MULTIPOLYGON(((-111.033035278 -27.4868526459999,-111.013465881 -27.145576477,-111.011436462 -27.045810699,-111.006500244 -27.0358848569999,-111.006233215 -27.02227211,-111.000267029 -27.0101528169999,-111.000228882 -27.0082798,-110.996124268 -27.000009537,-110.996017456 -26.994478226,-110.985054016 -26.972366333,-110.984062195 -26.9501419069999,-110.979858398 -26.936338425,-110.938606262 -26.857469559,-110.904403687 -26.755746841,-110.891746521 -26.7259578699999,-110.712127686 -26.4186363219999,-110.547012329 -26.233728409,-110.531791687 -26.219099045,-110.259086609 -26.0051231379999,-109.69203186 -25.7638359069999,-109.491989136 -25.726114273,-109.478820801 -25.724355698,-109.284378052 -25.7202682499999,-109.231407166 -25.713651657,-109.213264465 -25.7135543819999,-109.133598328 -25.7170162199999,-109.066360474 -25.715543747,-109.047592163 -25.72073555,-109.037315369 -25.7211780549999,-108.951858521 -25.744812012,-108.917572021 -25.743106842,-108.906738281 -25.7447414399999,-108.523666382 -25.8630371089999,-108.470230103 -25.87776947,-108.465263367 -25.8806800839999,-108.366004944 -25.908031464,-108.084190369 -26.090940475,-108.07472229 -26.098907471,-107.920143127 -26.2533912659999,-107.716697693 -26.6055221559999,-107.714103699 -26.6127433779999,-107.679527283 -26.728252411,-107.678604126 -27.2546005249999,-107.775260925 -27.526639938,-107.783294678 -27.543149948,-107.925498962 -27.774768829,-108.368843079 -28.177581787,-108.571983337 -28.262058258,-108.573425293 -28.263332367,-108.584938049 -28.270240784,-108.856872559 -28.3798961639999,-108.947982788 -28.417423248,-108.949645996 -28.4176311489999,-108.983703613 -28.433031082,-108.989868164 -28.4349155429999,-109.002227783 -28.438234329,-109.136123657 -28.491809845,-109.165428162 -28.496431351,-109.167541504 -28.497297287,-109.173309326 -28.4976749419999,-109.410842896 -28.5349769589999,-109.420944214 -28.535827637,-109.726150513 -28.533159256,-109.79209137 -28.5373153689999,-109.94883728 -28.5139408109999,-109.953063965 -28.513113022,-110.177185059 -28.437244415,-110.198852539 -28.4321422579999,-110.212181091 -28.4270629879999,-110.22858429 -28.4198303219999,-110.367706299 -28.3726730349999,-110.798042297 -28.031499863,-110.858329773 -27.906515121,-110.935623169 -27.7827148439999,-110.942420959 -27.7679481509999,-110.980522156 -27.653711319,-111.023132324 -27.5657119749999,-111.021865845 -27.5147628779999,-111.032485962 -27.4907340999999,-111.033035278 -27.4868526459999)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.5', 'Pascua', '2.5', '', '', '', '', '', '', '', '2.5', '3', '87.2.5', '87.2.5', 'Y'),('SRID=4326;MULTIPOLYGON(((-120 -18.333299637,-120 -18.3299999239999,-120 -18.2000007629999,-120 -17.399999619,-120 -17.2000007629999,-120 -16.600000381,-120 -16.399999619,-120 -15.800000191,-120 -15.600000381,-120 -14.9999999999999,-120 -14.800000191,-120 -14.2000007629999,-120 -13.9999999999999,-120 -13.400000572,-120 -13.2000007629999,-120 -12.600000381,-120 -12.400000572,-120 -11.800000191,-120 -11.600000381,-120 -10.9999999999999,-120 -10.800000191,-120 -10.199999809,-120 -9.99999999999994,-120 -9.40000057199995,-120 -9.20000076299993,-120 -8.60000038099997,-120 -8.40000057199995,-120 -7.80000019099998,-120 -7.60000038099997,-120 -6.99999999999994,-120 -6.80000019099998,-120 -6.20000028599998,-120 -5.99999999999994,-120 -5.40000009499994,-120 -5.20000028599998,-120 -4.60000038099997,-120 -4.40000009499994,-120 -3.80000019099998,-120 -3.60000014299993,-120 -2.99999999999994,-120 -2.80000019099998,-120 -2.20000004799994,-120 -2.00000023799993,-120 -1.40000009499994,-120 -1.20000016699993,-120 -0.600000082999941,-120 -0.40000015499993,-120 0.199999928000068,-120 0.399999857000068,-120 0.999999940000066,-120 1.19999980900008,-120 1.79999995200006,-120 1.99999988100006,-120 2.59999990500006,-120 2.79999995200006,-120 3.40000009500005,-120 3.59999990500006,-120 4.19999980900008,-120 4.40000009500005,-120 5.00000000000006,-119.069999695 5.00000000000006,-118.270004272 5.00000000000006,-117.470001221 5.00000000000006,-116.670005798 5.00000000000006,-115.870002747 5.00000000000006,-115.069999695 5.00000000000006,-114.270004272 5.00000000000006,-113.470001221 5.00000000000006,-112.670005798 5.00000000000006,-111.870002747 5.00000000000006,-111.069999695 5.00000000000006,-110.270004272 5.00000000000006,-109.470001221 5.00000000000006,-108.670005798 5.00000000000006,-107.870002747 5.00000000000006,-107.069999695 5.00000000000006,-106.270004272 5.00000000000006,-105.470001221 5.00000000000006,-104.670005798 5.00000000000006,-103.870002747 5.00000000000006,-103.069999695 5.00000000000006,-102.270004272 5.00000000000006,-101.470001221 5.00000000000006,-100.670005798 5.00000000000006,-99.8700027469999 5.00000000000006,-99.069999695 5.00000000000006,-98.2700042719999 5.00000000000006,-97.470001221 5.00000000000006,-96.670005798 5.00000000000006,-95.8700027469999 5.00000000000006,-95.069999695 5.00000000000006,-94.2700042719999 5.00000000000006,-93.470001221 5.00000000000006,-92.670005798 5.00000000000006,-91.8700027469999 5.00000000000006,-91.069999695 5.00000000000006,-90.2700042719999 5.00000000000006,-89.470001221 5.00000000000006,-88.670005798 5.00000000000006,-87.8700027469999 5.00000000000006,-87.069999695 5.00000000000006,-86.2700042719999 5.00000000000006,-85.470001221 5.00000000000006,-84.670005798 5.00000000000006,-83.8700027469999 5.00000000000006,-83.069999695 5.00000000000006,-82.2700042719999 5.00000000000006,-81.470001221 5.00000000000006,-80.670005798 5.00000000000006,-80.374687195 5.00000000000006,-80.31804657 4.68579721500004,-80.614112854 4.48695039700004,-81.236190796 3.54907584200004,-81.2946395869999 3.36280655900003,-81.312919617 3.33528041800002,-82.054138184 2.83600521100004,-82.67755127 1.90004050700003,-82.778083801 1.38999998600002,-82.798728943 1.28526985600007,-83.175224304 0.709866285000032,-83.194778442 0.61141777000006,-83.53565979 0.10356233300007,-83.757133484 -0.997124909999968,-83.7389221189999 -1.32690119699993,-83.7331161499999 -1.37821423999998,-83.896026611 -2.17503881499994,-83.733329773 -3.01260352099996,-83.922828674 -3.39060926399998,-83.937171936 -3.45000004799994,-83.9424209589999 -3.47172474899997,-83.998466492 -3.55371332199996,-84.2298889159999 -4.65283012399993,-84.022544861 -5.75433921799993,-84.006744385 -5.78184509299996,-84.049850464 -5.98222827899997,-83.845405579 -7.08427047699996,-83.230255127 -8.02285385099998,-83.188529968 -8.05107879599996,-83.162696838 -8.08913326299995,-83.0185165409999 -8.22597217599997,-82.921134949 -8.28954315199996,-82.5220489499999 -8.60369682299995,-82.08065033 -8.86932372999996,-81.910049438 -9.15999984699994,-81.730110168 -9.46657657599997,-81.4965057369999 -9.77073955499998,-81.318054199 -10.1735124589999,-80.883743286 -11.166913033,-80.869094849 -11.1885061259999,-80.864768982 -11.209360123,-80.6711044309999 -11.6332073209999,-80.63986969 -11.6784353259999,-80.519126892 -11.920801163,-80.226425171 -12.404891968,-79.769241333 -13.3089904789999,-79.732841492 -13.359422684,-79.658180237 -13.508062363,-79.524017334 -13.727199554,-79.5072860719999 -13.7485103609999,-79.491615295 -13.7788600919999,-79.4073028559999 -13.9099998469999,-79.189300537 -14.2490644449999,-79.0360031129999 -15.085755348,-78.803489685 -15.539478302,-78.520858765 -15.9857168199999,-78.133270264 -16.469139099,-78.130851746 -16.4727859499999,-77.601760864 -17.001678467,-77.187522888 -17.4372291559999,-77.154304504 -17.459890366,-77.130531311 -17.495393753,-76.4925994869999 -17.974254608,-75.8454208369999 -18.333299637,-75.9999999999999 -18.333299637,-76.800003052 -18.333299637,-77.599998474 -18.333299637,-78.400001526 -18.333299637,-79.199996948 -18.333299637,-79.9999999999999 -18.333299637,-80.800003052 -18.333299637,-81.599998474 -18.333299637,-82.400001526 -18.333299637,-83.199996948 -18.333299637,-83.9999999999999 -18.333299637,-84.800003052 -18.333299637,-85.599998474 -18.333299637,-86.400001526 -18.333299637,-87.199996948 -18.333299637,-87.9999999999999 -18.333299637,-88.800003052 -18.333299637,-89.599998474 -18.333299637,-90.400001526 -18.333299637,-91.199996948 -18.333299637,-91.9999999999999 -18.333299637,-92.800003052 -18.333299637,-93.599998474 -18.333299637,-94.400001526 -18.333299637,-95.199996948 -18.333299637,-95.9999999999999 -18.333299637,-96.800003052 -18.333299637,-97.599998474 -18.333299637,-98.400001526 -18.333299637,-99.199996948 -18.333299637,-99.9999999999999 -18.333299637,-100.800003052 -18.333299637,-101.599998474 -18.333299637,-102.400001526 -18.333299637,-103.199996948 -18.333299637,-104 -18.333299637,-104.800003052 -18.333299637,-105.599998474 -18.333299637,-106.400001526 -18.333299637,-107.199996948 -18.333299637,-108 -18.333299637,-108.800003052 -18.333299637,-109.599998474 -18.333299637,-110.400001526 -18.333299637,-111.199996948 -18.333299637,-112 -18.333299637,-112.800003052 -18.333299637,-113.599998474 -18.333299637,-114.400001526 -18.333299637,-115.200004578 -18.333299637,-116 -18.333299637,-116.800003052 -18.333299637,-117.599998474 -18.333299637,-118.400001526 -18.333299637,-120 -18.333299637),(-93.353713989 2.19887447400004,-93.4594192499999 1.65673232100005,-93.454124451 1.54506456900003,-93.453231812 1.53479516500005,-93.3451004029999 1.10509014100006,-93.172317505 0.854033768000022,-93.160987854 0.815411091000044,-93.108856201 0.739518821000047,-93.0201721189999 0.579969943000037,-93.0124130249999 0.568885207000051,-92.947036743 0.491961956000068,-93.011177063 0.286547393000035,-93.013168335 0.277073383000072,-93.03150177 0.100077704000057,-93.106506348 -0.215678169999933,-93.107398987 -0.22923846499998,-93.101287842 -0.265478431999952,-93.109535217 -0.305799245999935,-93.1086044309999 -0.31040692299996,-93.110435486 -0.319359302999942,-93.0995712279999 -0.373691439999959,-93.102111816 -0.387342154999942,-93.10042572 -0.436398058999941,-93.0682449339999 -0.582763850999925,-93.024391174 -0.845356940999977,-93.018623352 -0.862016498999935,-93.001045227 -0.889798879999944,-92.992576599 -0.928622424999958,-92.989120483 -0.933720945999937,-92.9868164059999 -0.945284068999968,-92.965057373 -0.984476983999969,-92.964416504 -0.987695931999951,-92.9534072879999 -1.00587665999996,-92.950279236 -1.01673424199993,-92.932998657 -1.04225361299996,-92.930747986 -1.04631853099994,-92.851333618 -1.44769179799994,-92.763458252 -1.62307739299996,-92.7518234249999 -1.64274680599993,-92.620147705 -1.81154274899995,-92.589126587 -1.86415958399994,-92.5800781249999 -1.87555110499994,-92.467803955 -2.00085592299996,-92.443336487 -2.01705670399997,-92.4418792719999 -2.01849317599994,-92.4108505249999 -2.03894352899994,-92.41003418 -2.04011893299997,-92.4011611939999 -2.04842209799995,-92.233390808 -2.15616464599998,-92.000740051 -2.31048536299994,-91.998672485 -2.31089878099993,-91.979400635 -2.32362818699994,-91.9699554439999 -2.32551646199994,-91.963821411 -2.32946324299996,-91.70337677 -2.40941476799998,-91.687286377 -2.41275715799998,-91.394577026 -2.44352364499997,-91.387054443 -2.44270491599997,-91.278381348 -2.53075909599994,-91.259231567 -2.54328608499998,-91.092048645 -2.63149261499996,-91.055686951 -2.65569353099994,-91.037773132 -2.66014099099993,-91.019340515 -2.66987204599997,-90.932235718 -2.68736219399995,-90.890205383 -2.70158672299993,-90.884910583 -2.70299982999995,-90.842300415 -2.70868730499996,-90.635223389 -2.76014161099994,-90.618026733 -2.76178646099993,-90.543037415 -2.76555538199995,-90.466171265 -2.78100538299998,-90.451026917 -2.77812647799993,-90.4403533939999 -2.78027272199995,-90.4292373659999 -2.77816057199993,-90.416870117 -2.78043127099994,-90.391052246 -2.77969813299995,-90.221252441 -2.74445056899998,-90.162132263 -2.73724079099998,-89.975273132 -2.79411983499995,-89.941589355 -2.80090165099995,-89.66960144 -2.82867479299995,-89.647636414 -2.83309316599997,-89.645820618 -2.83274722099998,-89.64402771 -2.83310675599995,-89.639022827 -2.83311915399997,-89.589309692 -2.82358503299997,-89.385162354 -2.80544424099998,-89.376045227 -2.80376505899994,-89.1599502559999 -2.74113225899993,-89.087303162 -2.72716259999993,-88.8001632689999 -2.57247424099995,-88.794548035 -2.56857895899998,-88.609161377 -2.41576719299997,-88.5057449339999 -2.26519155499994,-88.403930664 -2.14051556599998,-88.401420593 -2.13661026999995,-88.346366882 -2.03279399899998,-88.29196167 -1.95335769699994,-88.291374207 -1.95052671399998,-88.2836379999999 -1.93923175299994,-88.246986389 -1.76268410699993,-88.235298157 -1.75440728699994,-87.919235229 -1.29136156999994,-87.917984009 -1.28766286399997,-87.905899048 -1.26992475999998,-87.889694214 -1.20368766799993,-87.850631714 -1.08762121199993,-87.847328186 -1.07459270999993,-87.835647583 -0.982344209999951,-87.798233032 -0.828697621999936,-87.797431946 -0.818373381999947,-87.804489136 -0.774280487999931,-87.794006348 -0.722804784999937,-87.794647217 -0.719568371999969,-87.793205261 -0.712480365999966,-87.9026260379999 -0.165110691999928,-87.9134597779999 -0.148484616999951,-87.923240662 -0.134013562999939,-87.9252014159999 -0.124242715999969,-88.2391052249999 0.339505821000046,-88.259086609 0.352669030000072,-88.367477417 0.447564870000065,-88.3710784909999 0.450362295000048,-88.5092773439999 0.530112684000073,-88.6000213619999 0.87789189800003,-88.732635498 1.12171423400002,-88.7443847659999 1.13903522500004,-88.927276611 1.35791957400005,-89.3985290529999 1.66606485800003,-89.825950623 1.76781570900005,-89.831756592 1.76830124900005,-89.900894165 1.77108061300004,-90.101570129 1.88257253200004,-90.213722229 1.95558214200003,-90.391654968 2.01433897000004,-90.408378601 2.01870036100007,-90.540725708 2.03541231200006,-90.718040466 2.31624937100003,-90.722869873 2.32175326300006,-90.792884827 2.39536619200004,-90.984603882 2.67241168000004,-91.4578781129999 2.97807431200005,-91.582382202 3.02135825200003,-91.5907058719999 3.02383899700004,-92.021865845 3.08536887200006,-92.574890137 2.97397875800004,-93.041175842 2.66400671000002,-93.134422302 2.56177187000003,-93.1378097529999 2.55767440800003,-93.353713989 2.19887447400004)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.1', 'Northern', '1', '87.1.4', 'Northern Oceanic', '1.4', '', '', '', '', '', '', '', '1.4', '3', '87.1.4', '87.1.4', 'Y'),('SRID=4326;MULTIPOLYGON(((-72.739173889 -18.333299637,-71.9999999999999 -18.333299637,-71.199996948 -18.333299637,-70.400001526 -18.333299637,-69.599998474 -18.333299637,-68.800003052 -18.333299637,-67.9999999999999 -18.333299637,-67.199996948 -18.333299637,-66.400001526 -18.333299637,-65.9999999999999 -18.333299637,-65.9999999999999 -19.2000007629999,-65.9999999999999 -19.9999999999999,-66.289657593 -21.086215973,-66.389335632 -21.4599990839999,-66.800003052 -21.4599990839999,-67.599998474 -21.4599990839999,-68.400001526 -21.4599990839999,-69.199996948 -21.4599990839999,-69.9999999999999 -21.4599990839999,-70.800003052 -21.4599990839999,-71.599998474 -21.4599990839999,-71.696807861 -21.4599990839999,-71.680618286 -20.9554100039999,-71.678115845 -20.944200516,-71.6798171999999 -20.9350719449999,-71.640594482 -20.095056534,-71.7962341309999 -19.252141953,-71.800415039 -19.20705986,-71.807228088 -19.182506561,-71.8138122559999 -19.132627487,-71.946601868 -19.0254898069999,-71.9748153689999 -18.9849929809999,-72.0097122189999 -18.961086273,-72.0558929439999 -18.910943985,-72.739173889 -18.333299637)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.1', 'Central Coastal', '2.1', '87.2.1.1', '', '2.11', '', '', '', '', '2.11', '4', '87.2.1.1', '87.2.1.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-77.066101074 -39.3333015439999,-76.8745880129999 -38.8623695369999,-76.818572998 -38.796253204,-76.859275818 -38.4774360659999,-76.9987411499999 -37.8058700559999,-77.047393799 -37.203220367,-76.746887207 -36.10049057,-76.705871582 -36.049999237,-76.400001526 -36.049999237,-75.599998474 -36.049999237,-74.800003052 -36.049999237,-74.663879395 -36.049999237,-74.666191101 -36.052909851,-74.6892471309999 -36.1212882999999,-74.8380050659999 -36.2050514219999,-75.21282196 -36.6714401249999,-75.3554306029999 -37.2238731379999,-75.326309204 -37.525218964,-75.165512085 -38.2436637879999,-75.0412216189999 -39.101234436,-75.041496277 -39.1220169069999,-75.216918945 -39.3333015439999,-75.9999999999999 -39.3333015439999,-76.800003052 -39.3333015439999,-77.066101074 -39.3333015439999)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.2', 'Central Intermediate', '2.2', '87.2.2.7', '', '2.27', '', '', '', '', '2.27', '4', '87.2.2.7', '87.2.2.7', 'Y'),('SRID=4326;MULTIPOLYGON(((-81.659690857 -26.262561798,-81.5121307369999 -25.7139320369999,-81.1525497439999 -25.253679276,-81.021583557 -25.1512126919999,-81.008934021 -25.142337799,-80.623382568 -24.942426682,-80.366348267 -24.8723487849999,-80.353057861 -24.869844437,-80.013977051 -24.841173172,-79.9228515629999 -24.859867096,-79.8944549559999 -24.861625671,-79.863891602 -24.864877701,-79.713745117 -24.902685165,-79.655830383 -24.9145240779999,-79.465263367 -24.937854767,-79.4545364379999 -24.94033432,-79.209159851 -25.018201828,-78.718292236 -25.339038849,-78.598724365 -25.471439362,-78.5922851559999 -25.479522705,-78.391693115 -25.8206844329999,-78.29209137 -26.375213623,-78.430335999 -26.926246643,-78.656898499 -27.261043549,-78.661598206 -27.26625824,-78.7920684809999 -27.394676208,-79.314147949 -27.6989479059999,-79.591575623 -27.772146225,-79.6075134279999 -27.774942398,-79.936477661 -27.8003406519999,-80.332740784 -27.745203018,-80.350669861 -27.7404651639999,-80.5098953249999 -27.687160492,-80.6750869749999 -27.656360626,-80.68031311 -27.6544494629999,-80.702941895 -27.640241623,-80.732223511 -27.634206772,-80.734085083 -27.632987976,-80.737449646 -27.632293701,-80.761726379 -27.616369247,-80.765068054 -27.6155261989999,-80.979011536 -27.475028992,-81.177223206 -27.3505229949999,-81.182418823 -27.345808029,-81.1883468629999 -27.337270737,-81.257369995 -27.291791916,-81.571022034 -26.816576004,-81.659690857 -26.262561798)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.3', 'San Felix', '2.3', '', '', '', '', '', '', '', '2.3', '3', '87.2.3', '87.2.3', 'Y'),('SRID=4326;MULTIPOLYGON(((-70.799207182 -50.430286128,-70.74970325 -51.29660495,-70.680618286 -51.368247986,-70.125305176 -51.944126129,-69.63079834 -52.4569511409999,-69.569999695 -52.520000458,-69.5509719849999 -52.5496482849999,-69.052146912 -53.3267593379999,-68.65874346 -53.93964555,-68.633167197 -53.979491004,-68.6325031809999 -53.9791679689999,-68.632072771 -53.981320018,-68.619690326 -54.001322429,-68.619690326 -54.0935130459999,-68.6200027469999 -54.093418175,-68.6200027469999 -54.3476336919999,-68.6200027469999 -54.892456055,-68.6200027469999 -54.914856347,-68.6200027469999 -54.9199981689999,-68.551834137 -54.907217367,-68.4599990839999 -54.88999939,-68.269996643 -54.88999939,-68.021483953 -54.8817168969999,-67.970001221 -54.880001068,-67.931147809 -54.8822213239999,-67.717669483 -54.8944204169999,-67.6200027469999 -54.900001526,-67.572149488 -54.9106333299999,-67.529998779 -54.9199981689999,-67.499003209 -54.912250754,-67.489997864 -54.9099998469999,-67.3799972529999 -54.9099998469999,-67.1699981689999 -54.930000305,-66.809997559 -54.9999999999999,-66.429578019 -55.1170513069999,-66.4199981689999 -55.119998932,-66.288490232 -55.142543764,-66.243351102 -55.150282111,-66.069999695 -55.180000305,-65.8593218789999 -55.294367934,-65.720852625 -55.369536742,-65.720001221 -55.369998932,-65.720001221 -55.504942301,-65.720001221 -55.7854712179999,-65.720001221 -56.369998932,-67.269996643 -56.369998932,-67.269996643 -57.198501587,-67.4015579219999 -57.195213318,-67.7378692629999 -57.170780182,-68.283439636 -57.085510254,-68.284545898 -57.085071564,-68.598678589 -57.0568199159999,-69.158470154 -56.9433212279999,-69.309959412 -56.960842133,-70.171775818 -56.8603248599999,-70.752380371 -56.641326904,-70.839912415 -56.595474243,-71.2456207279999 -56.545505524,-71.4537429809999 -56.4823188779999,-72.012016296 -56.287643433,-72.522735596 -56.0386238099999,-72.715194702 -55.848136902,-72.823478699 -55.826450348,-73.527153015 -55.51089859,-73.6152343749999 -55.420921326,-73.842033386 -55.389652252,-73.945899963 -55.342212677,-74.007919312 -55.3335838319999,-74.667449951 -55.035636902,-75.170814514 -54.695304871,-75.182365417 -54.683151245,-75.200813293 -54.674427032,-75.637481689 -54.199855804,-75.649307251 -54.1492347719999,-75.93523407 -54.0072593689999,-76.138412476 -53.83259201,-76.402923584 -53.561309814,-76.6229171749999 -53.260135651,-76.7188644409999 -52.8084144589999,-76.9270782469999 -52.568031311,-77.043693542 -52.054542542,-77.039337158 -51.927135468,-77.032531738 -51.9068679809999,-77.037025452 -51.884838104,-76.96937561 -51.6947326659999,-77.004447937 -51.671569824,-77.406639099 -51.1946945189999,-77.5154571529999 -50.6388664249999,-77.4295577999999 -50.396247864,-77.443878174 -50.323005676,-77.411712646 -50.231491089,-77.44669342 -50.189121246,-77.554527283 -49.6333389279999,-77.512023926 -49.511234283,-77.578788757 -49.164829254,-77.461715698 -48.8242683409999,-77.462539673 -48.819999695,-77.199996948 -48.819999695,-76.400001526 -48.819999695,-75.599998474 -48.819999695,-74.800003052 -48.819999695,-73.9999999999999 -48.819999695,-73.199996948 -48.819999695,-72.400001526 -48.819999695,-71.599998474 -48.819999695,-70.819999695 -48.819999695,-70.71023924 -48.71023924,-70.799207182 -50.430286128)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.3', 'Southern', '3', '87.3.1', 'Southern Coastal', '3.1', '87.3.1.3', '', '3.13', '', '', '', '', '3.13', '4', '87.3.1.3', '87.3.1.3', 'Y'),('SRID=4326;MULTIPOLYGON(((-78.055358887 -43.224117279,-77.714065552 -42.123825073,-77.7033691409999 -42.111873627,-77.561737061 -41.5283584589999,-77.450920105 -41.2489967349999,-77.475639343 -40.9602546689999,-77.381652832 -40.4077377319999,-77.09803772 -39.4118385309999,-77.066101074 -39.3333015439999,-76.800003052 -39.3333015439999,-75.9999999999999 -39.3333015439999,-75.216918945 -39.3333015439999,-75.3015899659999 -39.435287476,-75.409355164 -39.7107810969999,-75.676445007 -40.708900452,-75.718421936 -40.9856071469999,-75.684036255 -41.313575745,-75.667655945 -41.3795967099999,-75.711341858 -41.465545654,-75.722930908 -41.509548187,-75.821113586 -41.7695312499999,-75.995780945 -42.548927307,-76.04397583 -42.6232261659999,-76.0570526119999 -42.663139343,-76.0921554569999 -42.7031135559999,-76.2526092529999 -43.2546653749999,-76.1391830439999 -43.809883118,-76.0287551879999 -43.9500007629999,-76.400001526 -43.9500007629999,-77.199996948 -43.9500007629999,-77.922615051 -43.9500007629999,-78.055358887 -43.224117279)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.3', 'Southern', '3', '87.3.2', 'Southern Intermediate', '3.2', '87.3.2.1', '', '3.21', '', '', '', '', '3.21', '4', '87.3.2.1', '87.3.2.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-79.428848267 -48.0327377319999,-79.260673523 -47.569084167,-79.396644592 -46.750175476,-79.0137634279999 -45.653121948,-78.484069824 -45.095836639,-78.357955933 -44.71339798,-77.9883575439999 -44.317630768,-77.9038085939999 -44.052833557,-77.922615051 -43.9500007629999,-77.199996948 -43.9500007629999,-76.400001526 -43.9500007629999,-76.0287551879999 -43.9500007629999,-75.996459961 -43.990982056,-76.085105896 -44.09016037,-76.2491378779999 -44.641647339,-76.214866638 -44.808506012,-76.267951965 -44.835018158,-76.691192627 -45.298141479,-76.824020386 -45.725055695,-76.907081604 -45.786231995,-77.3324813839999 -46.2425460819999,-77.5119247439999 -46.792816162,-77.405342102 -47.348449707,-77.291702271 -47.490615845,-77.326370239 -47.526603699,-77.5102157589999 -48.076782227,-77.473678589 -48.266674042,-77.4880371089999 -48.309112549,-77.47177124 -48.3935279849999,-77.474525452 -48.401657104,-77.4428710939999 -48.565525055,-77.480888367 -48.677249908,-77.461364746 -48.778305054,-77.467262268 -48.795585632,-77.462539673 -48.819999695,-77.9999999999999 -48.819999695,-78.800003052 -48.819999695,-79.416267395 -48.819999695,-79.401229858 -48.7797584529999,-79.405960083 -48.751068115,-79.39957428 -48.7338485719999,-79.4162216189999 -48.6327590939999,-79.3750915529999 -48.5214462279999,-79.402145386 -48.357521057,-79.399162292 -48.349422455,-79.413078308 -48.264976501,-79.39756012 -48.2226943969999,-79.428848267 -48.0327377319999)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.3', 'Southern', '3', '87.3.2', 'Southern Intermediate', '3.2', '87.3.2.2', '', '3.22', '', '', '', '', '3.22', '4', '87.3.2.2', '87.3.2.2', 'Y'),('SRID=4326;MULTIPOLYGON(((-67.269996643 -57.198501587,-67.269996643 -57.599998474,-67.269996643 -58.400001526,-67.269996643 -58.638313293,-67.573829651 -58.631137848,-67.920669556 -58.6066474909999,-68.779777527 -58.475543976,-69.228912354 -58.435474396,-69.580177307 -58.365615845,-70.9833221439999 -58.203853607,-71.7159347529999 -57.930789948,-72.082588196 -57.8855743409999,-72.5078506469999 -57.757629395,-73.076713562 -57.5605697629999,-74.108543396 -57.057056427,-74.251403809 -56.913223267,-74.6591415409999 -56.7303276059999,-74.72958374 -56.720558167,-74.8353195189999 -56.672733307,-74.898834229 -56.6638679499999,-76.233383179 -56.0612640379999,-76.73588562 -55.7177734379999,-76.7586746219999 -55.6933326719999,-76.795722961 -55.675643921,-77.298500061 -55.1164512629999,-77.522735596 -55.003913879,-77.924385071 -54.651924133,-78.183509827 -54.378871918,-78.6074218749999 -53.773612976,-78.687904358 -53.3215599059999,-78.889434814 -53.0797309879999,-79.08795166 -52.051952362,-79.08455658 -52.0024642939999,-79.326446533 -51.704006195,-79.5092239379999 -50.5918846129999,-79.4158096309999 -50.350215912,-79.4278488159999 -50.2769432069999,-79.41153717 -50.2344512939999,-79.51750946 -49.5872077939999,-79.4714202879999 -49.465568542,-79.5279998779999 -49.1190490719999,-79.416267395 -48.819999695,-78.800003052 -48.819999695,-77.9999999999999 -48.819999695,-77.462539673 -48.819999695,-77.461715698 -48.8242683409999,-77.578788757 -49.164829254,-77.512023926 -49.511234283,-77.554527283 -49.6333389279999,-77.44669342 -50.189121246,-77.411712646 -50.231491089,-77.443878174 -50.323005676,-77.4295577999999 -50.396247864,-77.5154571529999 -50.6388664249999,-77.406639099 -51.1946945189999,-77.004447937 -51.671569824,-76.96937561 -51.6947326659999,-77.037025452 -51.884838104,-77.032531738 -51.9068679809999,-77.039337158 -51.927135468,-77.043693542 -52.054542542,-76.9270782469999 -52.568031311,-76.7188644409999 -52.8084144589999,-76.6229171749999 -53.260135651,-76.402923584 -53.561309814,-76.138412476 -53.83259201,-75.93523407 -54.0072593689999,-75.649307251 -54.1492347719999,-75.637481689 -54.199855804,-75.200813293 -54.674427032,-75.182365417 -54.683151245,-75.170814514 -54.695304871,-74.667449951 -55.035636902,-74.007919312 -55.3335838319999,-73.945899963 -55.342212677,-73.842033386 -55.389652252,-73.6152343749999 -55.420921326,-73.527153015 -55.51089859,-72.823478699 -55.826450348,-72.715194702 -55.848136902,-72.522735596 -56.0386238099999,-72.012016296 -56.287643433,-71.4537429809999 -56.4823188779999,-71.2456207279999 -56.545505524,-70.839912415 -56.595474243,-70.752380371 -56.641326904,-70.171775818 -56.8603248599999,-69.309959412 -56.960842133,-69.158470154 -56.9433212279999,-68.598678589 -57.0568199159999,-68.284545898 -57.085071564,-68.283439636 -57.085510254,-67.7378692629999 -57.170780182,-67.4015579219999 -57.195213318,-67.269996643 -57.198501587)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.3', 'Southern', '3', '87.3.2', 'Southern Intermediate', '3.2', '87.3.2.3', '', '3.23', '', '', '', '', '3.23', '4', '87.3.2.3', '87.3.2.3', 'Y'),('SRID=4326;MULTIPOLYGON(((-79.416267395 -48.819999695,-79.5279998779999 -49.1190490719999,-79.4714202879999 -49.465568542,-79.51750946 -49.5872077939999,-79.41153717 -50.2344512939999,-79.4278488159999 -50.2769432069999,-79.4158096309999 -50.350215912,-79.5092239379999 -50.5918846129999,-79.326446533 -51.704006195,-79.08455658 -52.0024642939999,-79.08795166 -52.051952362,-78.889434814 -53.0797309879999,-78.687904358 -53.3215599059999,-78.6074218749999 -53.773612976,-78.183509827 -54.378871918,-77.924385071 -54.651924133,-77.522735596 -55.003913879,-77.298500061 -55.1164512629999,-76.795722961 -55.675643921,-76.7586746219999 -55.6933326719999,-76.73588562 -55.7177734379999,-76.233383179 -56.0612640379999,-74.898834229 -56.6638679499999,-74.8353195189999 -56.672733307,-74.72958374 -56.720558167,-74.6591415409999 -56.7303276059999,-74.251403809 -56.913223267,-74.108543396 -57.057056427,-73.076713562 -57.5605697629999,-72.5078506469999 -57.757629395,-72.082588196 -57.8855743409999,-71.7159347529999 -57.930789948,-70.9833221439999 -58.203853607,-69.580177307 -58.365615845,-69.228912354 -58.435474396,-68.779777527 -58.475543976,-67.920669556 -58.6066474909999,-67.573829651 -58.631137848,-67.269996643 -58.638313293,-67.269996643 -59.2000007629999,-67.269996643 -59.9999999999999,-67.599998474 -59.9999999999999,-67.9999999999999 -59.9999999999999,-68.400001526 -59.9999999999999,-68.800003052 -59.9999999999999,-69.599998474 -59.9999999999999,-69.9999999999999 -59.9999999999999,-70.400001526 -59.9999999999999,-71.199996948 -59.9999999999999,-71.400001526 -59.9999999999999,-71.9999999999999 -59.9999999999999,-72.199996948 -59.9999999999999,-72.800003052 -59.9999999999999,-72.9999999999999 -59.9999999999999,-73.599998474 -59.9999999999999,-73.800003052 -59.9999999999999,-74.400001526 -59.9999999999999,-74.599998474 -59.9999999999999,-75.199996948 -59.9999999999999,-75.400001526 -59.9999999999999,-75.9999999999999 -59.9999999999999,-76.199996948 -59.9999999999999,-76.800003052 -59.9999999999999,-76.9999999999999 -59.9999999999999,-77.599998474 -59.9999999999999,-77.800003052 -59.9999999999999,-78.400001526 -59.9999999999999,-78.599998474 -59.9999999999999,-79.199996948 -59.9999999999999,-79.400001526 -59.9999999999999,-79.9999999999999 -59.9999999999999,-80.199996948 -59.9999999999999,-80.800003052 -59.9999999999999,-80.9999999999999 -59.9999999999999,-81.599998474 -59.9999999999999,-81.800003052 -59.9999999999999,-82.400001526 -59.9999999999999,-82.599998474 -59.9999999999999,-83.199996948 -59.9999999999999,-83.400001526 -59.9999999999999,-83.9999999999999 -59.9999999999999,-84.199996948 -59.9999999999999,-84.800003052 -59.9999999999999,-84.9999999999999 -59.9999999999999,-85.599998474 -59.9999999999999,-85.800003052 -59.9999999999999,-86.400001526 -59.9999999999999,-86.599998474 -59.9999999999999,-87.199996948 -59.9999999999999,-87.400001526 -59.9999999999999,-87.9999999999999 -59.9999999999999,-88.199996948 -59.9999999999999,-88.800003052 -59.9999999999999,-88.9999999999999 -59.9999999999999,-89.599998474 -59.9999999999999,-89.800003052 -59.9999999999999,-90.400001526 -59.9999999999999,-90.599998474 -59.9999999999999,-91.199996948 -59.9999999999999,-91.400001526 -59.9999999999999,-91.9999999999999 -59.9999999999999,-92.199996948 -59.9999999999999,-92.800003052 -59.9999999999999,-92.9999999999999 -59.9999999999999,-93.599998474 -59.9999999999999,-93.800003052 -59.9999999999999,-94.400001526 -59.9999999999999,-94.599998474 -59.9999999999999,-95.199996948 -59.9999999999999,-95.400001526 -59.9999999999999,-95.9999999999999 -59.9999999999999,-96.199996948 -59.9999999999999,-96.800003052 -59.9999999999999,-96.9999999999999 -59.9999999999999,-97.599998474 -59.9999999999999,-97.800003052 -59.9999999999999,-98.400001526 -59.9999999999999,-98.599998474 -59.9999999999999,-99.199996948 -59.9999999999999,-99.400001526 -59.9999999999999,-99.9999999999999 -59.9999999999999,-100.199996948 -59.9999999999999,-100.800003052 -59.9999999999999,-101 -59.9999999999999,-101.599998474 -59.9999999999999,-101.800003052 -59.9999999999999,-102.400001526 -59.9999999999999,-102.599998474 -59.9999999999999,-103.199996948 -59.9999999999999,-103.400001526 -59.9999999999999,-104 -59.9999999999999,-104.199996948 -59.9999999999999,-104.800003052 -59.9999999999999,-105 -59.9999999999999,-105.599998474 -59.9999999999999,-106 -59.9999999999999,-106.400001526 -59.9999999999999,-106.799995422 -59.9999999999999,-107.199996948 -59.9999999999999,-107.599998474 -59.9999999999999,-108 -59.9999999999999,-108.400001526 -59.9999999999999,-108.800003052 -59.9999999999999,-109.199996948 -59.9999999999999,-109.599998474 -59.9999999999999,-110 -59.9999999999999,-110.400001526 -59.9999999999999,-110.799995422 -59.9999999999999,-111.199996948 -59.9999999999999,-111.599998474 -59.9999999999999,-112 -59.9999999999999,-112.400001526 -59.9999999999999,-112.800003052 -59.9999999999999,-113.199996948 -59.9999999999999,-113.599998474 -59.9999999999999,-114 -59.9999999999999,-114.400001526 -59.9999999999999,-114.799995422 -59.9999999999999,-115.199996948 -59.9999999999999,-115.599998474 -59.9999999999999,-116 -59.9999999999999,-116.400001526 -59.9999999999999,-116.800003052 -59.9999999999999,-117.199996948 -59.9999999999999,-117.599998474 -59.9999999999999,-118 -59.9999999999999,-118.400001526 -59.9999999999999,-118.800003052 -59.9999999999999,-119.199996948 -59.9999999999999,-119.599998474 -59.9999999999999,-120 -59.9999999999999,-120 -58.600002289,-120 -58.533302307,-120 -58.5300025939999,-120 -57.799999237,-120 -57.73330307,-120 -57.730003357,-120 -56.9999999999999,-120 -56.933300018,-120 -56.930000305,-120 -56.2000007629999,-120 -56.1333007809999,-120 -56.130001068,-120 -55.400001526,-120 -55.3333015439999,-120 -55.3300018309999,-120 -54.600002289,-120 -54.533302307,-120 -54.5300025939999,-120 -53.799999237,-120 -53.73330307,-120 -53.730003357,-120 -52.9999999999999,-120 -52.933300018,-120 -52.930000305,-120 -52.2000007629999,-120 -52.1333007809999,-120 -52.130001068,-120 -51.400001526,-120 -51.3333015439999,-120 -51.3300018309999,-120 -50.599998474,-120 -50.533302307,-120 -50.5300025939999,-120 -49.799999237,-120 -49.73330307,-120 -49.7300033569999,-120 -48.9999999999999,-120 -48.933300018,-120 -48.930000305,-120 -48.2000007629999,-120 -48.1333007809999,-120 -48.130001068,-120 -47.400001526,-120 -47.3333015439999,-120 -47.3300018309999,-120 -46.599998474,-120 -46.533302307,-120 -46.5300025939999,-120 -45.799999237,-120 -45.73330307,-120 -45.7300033569999,-120 -44.9999999999999,-120 -44.933300018,-120 -44.930000305,-120 -44.2000007629999,-120 -44.1333007809999,-120 -44.130001068,-120 -43.400001526,-120 -43.3333015439999,-120 -43.3300018309999,-120 -42.599998474,-120 -42.533302307,-120 -42.5300025939999,-120 -41.799999237,-120 -41.73330307,-120 -41.7300033569999,-120 -40.9999999999999,-120 -40.933300018,-120 -40.930000305,-120 -40.2000007629999,-120 -40.1333007809999,-120 -40.130001068,-120 -39.400001526,-120 -39.3333015439999,-118.400001526 -39.3333015439999,-117.599998474 -39.3333015439999,-116.800003052 -39.3333015439999,-116 -39.3333015439999,-115.200004578 -39.3333015439999,-114.400001526 -39.3333015439999,-113.599998474 -39.3333015439999,-112.800003052 -39.3333015439999,-112 -39.3333015439999,-111.199996948 -39.3333015439999,-110.400001526 -39.3333015439999,-109.599998474 -39.3333015439999,-108.800003052 -39.3333015439999,-108 -39.3333015439999,-107.199996948 -39.3333015439999,-106.400001526 -39.3333015439999,-105.599998474 -39.3333015439999,-104.800003052 -39.3333015439999,-104 -39.3333015439999,-103.199996948 -39.3333015439999,-102.400001526 -39.3333015439999,-101.599998474 -39.3333015439999,-100.800003052 -39.3333015439999,-99.9999999999999 -39.3333015439999,-99.199996948 -39.3333015439999,-98.400001526 -39.3333015439999,-97.599998474 -39.3333015439999,-96.800003052 -39.3333015439999,-95.9999999999999 -39.3333015439999,-95.199996948 -39.3333015439999,-94.400001526 -39.3333015439999,-93.599998474 -39.3333015439999,-92.800003052 -39.3333015439999,-91.9999999999999 -39.3333015439999,-91.199996948 -39.3333015439999,-90.400001526 -39.3333015439999,-89.599998474 -39.3333015439999,-88.800003052 -39.3333015439999,-87.9999999999999 -39.3333015439999,-87.199996948 -39.3333015439999,-86.400001526 -39.3333015439999,-85.599998474 -39.3333015439999,-84.800003052 -39.3333015439999,-83.9999999999999 -39.3333015439999,-83.199996948 -39.3333015439999,-82.400001526 -39.3333015439999,-81.599998474 -39.3333015439999,-80.800003052 -39.3333015439999,-79.9999999999999 -39.3333015439999,-79.199996948 -39.3333015439999,-78.400001526 -39.3333015439999,-77.599998474 -39.3333015439999,-77.066101074 -39.3333015439999,-77.09803772 -39.4118385309999,-77.381652832 -40.4077377319999,-77.475639343 -40.9602546689999,-77.450920105 -41.2489967349999,-77.561737061 -41.5283584589999,-77.7033691409999 -42.111873627,-77.714065552 -42.123825073,-78.055358887 -43.224117279,-77.922615051 -43.9500007629999,-77.9038085939999 -44.052833557,-77.9883575439999 -44.317630768,-78.357955933 -44.71339798,-78.484069824 -45.095836639,-79.0137634279999 -45.653121948,-79.396644592 -46.750175476,-79.260673523 -47.569084167,-79.428848267 -48.0327377319999,-79.39756012 -48.2226943969999,-79.413078308 -48.264976501,-79.399162292 -48.349422455,-79.402145386 -48.357521057,-79.3750915529999 -48.5214462279999,-79.4162216189999 -48.6327590939999,-79.39957428 -48.7338485719999,-79.405960083 -48.751068115,-79.401229858 -48.7797584529999,-79.416267395 -48.819999695)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.3', 'Southern', '3', '87.3.3', 'Southern Oceanic', '3.3', '', '', '', '', '', '', '', '3.3', '3', '87.3.3', '87.3.3', 'Y'),('SRID=4326;MULTIPOLYGON(((-120 -39.3333015439999,-120 -39.3300018309999,-120 -38.599998474,-120 -38.3333015439999,-120 -38.3300018309999,-120 -37.799999237,-120 -37.533298492,-120 -37.529998779,-120 -36.9999999999999,-120 -36.733299255,-120 -36.729999542,-120 -36.2000007629999,-120 -35.933300018,-120 -35.930000305,-120 -35.400001526,-120 -35.1333007809999,-120 -35.130001068,-120 -34.599998474,-120 -34.3333015439999,-120 -34.3300018309999,-120 -33.799999237,-120 -33.533298492,-120 -33.529998779,-120 -32.9999999999999,-120 -32.733299255,-120 -32.729999542,-120 -32.2000007629999,-120 -31.933300018,-120 -31.930000305,-120 -31.399999619,-120 -31.1333007809999,-120 -31.130001068,-120 -30.600000381,-120 -30.333299637,-120 -30.3299999239999,-120 -29.799999237,-120 -29.5333004,-120 -29.530000687,-120 -28.9999999999999,-120 -28.733299255,-120 -28.729999542,-120 -28.2000007629999,-120 -27.933300018,-120 -27.930000305,-120 -27.399999619,-120 -27.1332988739999,-120 -27.1299991609999,-120 -26.600000381,-120 -26.333299637,-120 -26.3299999239999,-120 -25.799999237,-120 -25.5333004,-120 -25.530000687,-120 -24.9999999999999,-120 -24.733299255,-120 -24.729999542,-120 -23.933300018,-120 -23.930000305,-120 -23.800001144,-120 -23.1332988739999,-120 -23.1299991609999,-120 -22.9999999999999,-120 -22.333299637,-120 -22.3299999239999,-120 -22.2000007629999,-120 -21.5333004,-120 -21.5300006869999,-120 -21.399999619,-120 -20.733299255,-120 -20.729999542,-120 -20.600000381,-120 -19.933300018,-120 -19.930000305,-120 -19.800001144,-120 -19.1332988739999,-120 -19.1299991609999,-120 -18.9999999999999,-120 -18.333299637,-118.400001526 -18.333299637,-117.599998474 -18.333299637,-116.800003052 -18.333299637,-116 -18.333299637,-115.200004578 -18.333299637,-114.400001526 -18.333299637,-113.599998474 -18.333299637,-112.800003052 -18.333299637,-112 -18.333299637,-111.199996948 -18.333299637,-110.400001526 -18.333299637,-109.599998474 -18.333299637,-108.800003052 -18.333299637,-108 -18.333299637,-107.199996948 -18.333299637,-106.400001526 -18.333299637,-105.599998474 -18.333299637,-104.800003052 -18.333299637,-104 -18.333299637,-103.199996948 -18.333299637,-102.400001526 -18.333299637,-101.599998474 -18.333299637,-100.800003052 -18.333299637,-99.9999999999999 -18.333299637,-99.199996948 -18.333299637,-98.400001526 -18.333299637,-97.599998474 -18.333299637,-96.800003052 -18.333299637,-95.9999999999999 -18.333299637,-95.199996948 -18.333299637,-94.400001526 -18.333299637,-93.599998474 -18.333299637,-92.800003052 -18.333299637,-91.9999999999999 -18.333299637,-91.199996948 -18.333299637,-90.400001526 -18.333299637,-89.599998474 -18.333299637,-88.800003052 -18.333299637,-87.9999999999999 -18.333299637,-87.199996948 -18.333299637,-86.400001526 -18.333299637,-85.599998474 -18.333299637,-84.800003052 -18.333299637,-83.9999999999999 -18.333299637,-83.199996948 -18.333299637,-82.400001526 -18.333299637,-81.599998474 -18.333299637,-80.800003052 -18.333299637,-79.9999999999999 -18.333299637,-79.199996948 -18.333299637,-78.400001526 -18.333299637,-77.599998474 -18.333299637,-76.800003052 -18.333299637,-75.9999999999999 -18.333299637,-75.8454208369999 -18.333299637,-75.518005371 -18.514945984,-75.4203948969999 -18.56155777,-75.396270752 -18.5786533359999,-74.42590332 -19.056829453,-73.66758728 -19.4755077359999,-73.215309143 -19.858430862,-73.1568908689999 -20.185606003,-73.193206787 -20.8654289249999,-73.189933777 -20.8836994169999,-73.195083618 -20.906101227,-73.216751099 -21.4599990839999,-73.227249146 -21.728485107,-73.403999329 -21.978431702,-73.641860962 -23.0855998989999,-73.623977661 -23.172912598,-73.6379394529999 -23.2481765749999,-73.590057373 -24.1341075899999,-73.568878174 -24.8240394589999,-73.695281982 -25.539932251,-73.793052673 -26.069999695,-73.847496033 -26.365163803,-73.9517898559999 -26.6933574679999,-74.014213562 -26.82040596,-74.053077698 -26.9827136989999,-74.135040283 -27.1042613979999,-74.498695374 -28.1013584139999,-74.665557861 -28.995254517,-74.645477295 -29.093938828,-74.6584854129999 -29.1599998469999,-74.661880493 -29.177253723,-74.651977539 -29.3581542969999,-74.882507324 -30.339286804,-74.8715057369999 -30.393480301,-74.88218689 -30.4428195949999,-74.8672637939999 -31.096776962,-74.863021851 -31.115678787,-74.8571395869999 -31.2744274139999,-74.781433105 -32.099330902,-74.784164429 -32.1599998469999,-74.800552368 -32.5246047969999,-74.922187805 -32.858291626,-75.020462036 -33.010505676,-75.175102234 -33.633499146,-75.182685852 -33.652481079,-75.2411727909999 -33.8400001529999,-75.274406433 -33.9465675349999,-75.708992004 -34.64264679,-75.840438843 -34.875015259,-75.872169495 -34.998466492,-75.935569763 -35.084323883,-75.964530945 -35.155754089,-75.99206543 -35.1712036129999,-76.705871582 -36.049999237,-76.746887207 -36.10049057,-77.047393799 -37.203220367,-76.9987411499999 -37.8058700559999,-76.859275818 -38.4774360659999,-76.818572998 -38.796253204,-76.8745880129999 -38.8623695369999,-77.066101074 -39.3333015439999,-77.599998474 -39.3333015439999,-78.400001526 -39.3333015439999,-79.199996948 -39.3333015439999,-79.9999999999999 -39.3333015439999,-80.800003052 -39.3333015439999,-81.599998474 -39.3333015439999,-82.400001526 -39.3333015439999,-83.199996948 -39.3333015439999,-83.9999999999999 -39.3333015439999,-84.800003052 -39.3333015439999,-85.599998474 -39.3333015439999,-86.400001526 -39.3333015439999,-87.199996948 -39.3333015439999,-87.9999999999999 -39.3333015439999,-88.800003052 -39.3333015439999,-89.599998474 -39.3333015439999,-90.400001526 -39.3333015439999,-91.199996948 -39.3333015439999,-91.9999999999999 -39.3333015439999,-92.800003052 -39.3333015439999,-93.599998474 -39.3333015439999,-94.400001526 -39.3333015439999,-95.199996948 -39.3333015439999,-95.9999999999999 -39.3333015439999,-96.800003052 -39.3333015439999,-97.599998474 -39.3333015439999,-98.400001526 -39.3333015439999,-99.199996948 -39.3333015439999,-99.9999999999999 -39.3333015439999,-100.800003052 -39.3333015439999,-101.599998474 -39.3333015439999,-102.400001526 -39.3333015439999,-103.199996948 -39.3333015439999,-104 -39.3333015439999,-104.800003052 -39.3333015439999,-105.599998474 -39.3333015439999,-106.400001526 -39.3333015439999,-107.199996948 -39.3333015439999,-108 -39.3333015439999,-108.800003052 -39.3333015439999,-109.599998474 -39.3333015439999,-110.400001526 -39.3333015439999,-111.199996948 -39.3333015439999,-112 -39.3333015439999,-112.800003052 -39.3333015439999,-113.599998474 -39.3333015439999,-114.400001526 -39.3333015439999,-115.200004578 -39.3333015439999,-116 -39.3333015439999,-116.800003052 -39.3333015439999,-117.599998474 -39.3333015439999,-118.400001526 -39.3333015439999,-120 -39.3333015439999),(-111.013465881 -27.145576477,-111.033035278 -27.4868526459999,-111.032485962 -27.4907340999999,-111.021865845 -27.5147628779999,-111.023132324 -27.5657119749999,-110.980522156 -27.653711319,-110.942420959 -27.7679481509999,-110.935623169 -27.7827148439999,-110.858329773 -27.906515121,-110.798042297 -28.031499863,-110.367706299 -28.3726730349999,-110.22858429 -28.4198303219999,-110.212181091 -28.4270629879999,-110.198852539 -28.4321422579999,-110.177185059 -28.437244415,-109.953063965 -28.513113022,-109.94883728 -28.5139408109999,-109.79209137 -28.5373153689999,-109.726150513 -28.533159256,-109.420944214 -28.535827637,-109.410842896 -28.5349769589999,-109.173309326 -28.4976749419999,-109.167541504 -28.497297287,-109.165428162 -28.496431351,-109.136123657 -28.491809845,-109.002227783 -28.438234329,-108.989868164 -28.4349155429999,-108.983703613 -28.433031082,-108.949645996 -28.4176311489999,-108.947982788 -28.417423248,-108.856872559 -28.3798961639999,-108.584938049 -28.270240784,-108.573425293 -28.263332367,-108.571983337 -28.262058258,-108.368843079 -28.177581787,-107.925498962 -27.774768829,-107.783294678 -27.543149948,-107.775260925 -27.526639938,-107.678604126 -27.2546005249999,-107.679527283 -26.728252411,-107.714103699 -26.6127433779999,-107.716697693 -26.6055221559999,-107.920143127 -26.2533912659999,-108.07472229 -26.098907471,-108.084190369 -26.090940475,-108.366004944 -25.908031464,-108.465263367 -25.8806800839999,-108.470230103 -25.87776947,-108.523666382 -25.8630371089999,-108.906738281 -25.7447414399999,-108.917572021 -25.743106842,-108.951858521 -25.744812012,-109.037315369 -25.7211780549999,-109.047592163 -25.72073555,-109.066360474 -25.715543747,-109.133598328 -25.7170162199999,-109.213264465 -25.7135543819999,-109.231407166 -25.713651657,-109.284378052 -25.7202682499999,-109.478820801 -25.724355698,-109.491989136 -25.726114273,-109.69203186 -25.7638359069999,-110.259086609 -26.0051231379999,-110.531791687 -26.219099045,-110.547012329 -26.233728409,-110.712127686 -26.4186363219999,-110.891746521 -26.7259578699999,-110.904403687 -26.755746841,-110.938606262 -26.857469559,-110.979858398 -26.936338425,-110.984062195 -26.9501419069999,-110.985054016 -26.972366333,-110.996017456 -26.994478226,-110.996124268 -27.000009537,-111.000228882 -27.0082798,-111.000267029 -27.0101528169999,-111.006233215 -27.02227211,-111.006500244 -27.0358848569999,-111.011436462 -27.045810699,-111.013465881 -27.145576477),(-82.2598571779999 -33.149017334,-82.428031921 -33.6959037779999,-82.420181274 -33.7838592529999,-82.420158386 -33.878139496,-82.4187011719999 -33.8959197999999,-82.4047851559999 -33.9566078189999,-82.390289307 -34.1196556089999,-82.379905701 -34.1587562559999,-82.337409973 -34.289451599,-82.01764679 -34.7672157289999,-82.0061798099999 -34.77457428,-82.002487183 -34.780071259,-81.967132568 -34.8027458189999,-81.945640564 -34.832431793,-81.930465698 -34.845287323,-81.489738464 -35.1079368589999,-80.961883545 -35.229911804,-80.9399261469999 -35.2316513059999,-80.902107239 -35.2272033689999,-80.862686157 -35.2351608279999,-80.8548889159999 -35.234035492,-80.8407287599999 -35.2368926999999,-80.688819885 -35.210044861,-80.383735657 -35.165699005,-80.197685242 -35.1433868409999,-80.18396759 -35.136039734,-80.17665863 -35.134967804,-80.13143158 -35.1107368469999,-80.08506012 -35.102416992,-80.064048767 -35.093990326,-79.815757751 -34.949672699,-79.808273315 -34.9549484249999,-79.798309326 -34.9600753779999,-79.640693665 -35.0312347409999,-79.3847503659999 -35.081737518,-79.2561798099999 -35.115444183,-79.24495697 -35.117061615,-79.176239014 -35.122707367,-79.012084961 -35.154853821,-78.9642028809999 -35.1476287839999,-78.44569397 -35.0801544189999,-78.442863464 -35.079338074,-78.441207886 -35.078865051,-78.43699646 -35.0776481629999,-78.40927124 -35.0632705689999,-78.371063232 -35.057418823,-78.369262695 -35.0567054749999,-78.364730835 -35.054515839,-78.36114502 -35.0539665219999,-78.342460632 -35.0437393189999,-78.3136825559999 -35.029815674,-78.2781677249999 -35.023403168,-78.276359558 -35.0226898189999,-78.273666382 -35.021114349,-78.212112427 -35.0116500849999,-77.679283142 -34.723152161,-77.67225647 -34.7175292969999,-77.667320251 -34.7115898129999,-77.660263062 -34.7076873779999,-77.6576614379999 -34.70450592,-77.653236389 -34.702060699,-77.275886536 -34.238765717,-77.160301208 -33.9226837159999,-77.15877533 -33.9159736629999,-77.127952576 -33.6807403559999,-77.231864929 -33.1258201599999,-77.456802368 -32.766799927,-77.480567932 -32.7391815189999,-77.590965271 -32.624107361,-78.105140686 -32.3024902339999,-78.134155273 -32.2968215939999,-78.142326355 -32.291690826,-78.146621704 -32.290851593,-78.1690597529999 -32.2767639159999,-78.614906311 -32.1669120789999,-78.643791199 -32.163658142,-78.813423157 -32.1525497439999,-78.919418335 -32.1691894529999,-78.947937012 -32.1645889279999,-78.9539718629999 -32.164894104,-79.224304199 -32.216827393,-79.439353943 -32.2502288819999,-79.8586807249999 -32.4720764159999,-80.038543701 -32.385875702,-80.652786255 -32.261581421,-81.133079529 -32.313201904,-81.16027832 -32.319801331,-81.307853699 -32.362194061,-81.536911011 -32.4868011469999,-81.60710907 -32.51725769,-81.616241455 -32.5222434999999,-81.676811218 -32.562671661,-81.856826782 -32.6600418089999,-82.1373596189999 -32.950210571,-82.1444015499999 -32.959671021,-82.252151489 -33.126277924,-82.2586746219999 -33.147636414,-82.2598571779999 -33.149017334),(-81.5121307369999 -25.7139320369999,-81.659690857 -26.262561798,-81.571022034 -26.816576004,-81.257369995 -27.291791916,-81.1883468629999 -27.337270737,-81.182418823 -27.345808029,-81.177223206 -27.3505229949999,-80.979011536 -27.475028992,-80.765068054 -27.6155261989999,-80.761726379 -27.616369247,-80.737449646 -27.632293701,-80.734085083 -27.632987976,-80.732223511 -27.634206772,-80.702941895 -27.640241623,-80.68031311 -27.6544494629999,-80.6750869749999 -27.656360626,-80.5098953249999 -27.687160492,-80.350669861 -27.7404651639999,-80.332740784 -27.745203018,-79.936477661 -27.8003406519999,-79.6075134279999 -27.774942398,-79.591575623 -27.772146225,-79.314147949 -27.6989479059999,-78.7920684809999 -27.394676208,-78.661598206 -27.26625824,-78.656898499 -27.261043549,-78.430335999 -26.926246643,-78.29209137 -26.375213623,-78.391693115 -25.8206844329999,-78.5922851559999 -25.479522705,-78.598724365 -25.471439362,-78.718292236 -25.339038849,-79.209159851 -25.018201828,-79.4545364379999 -24.94033432,-79.465263367 -24.937854767,-79.655830383 -24.9145240779999,-79.713745117 -24.902685165,-79.863891602 -24.864877701,-79.8944549559999 -24.861625671,-79.9228515629999 -24.859867096,-80.013977051 -24.841173172,-80.353057861 -24.869844437,-80.366348267 -24.8723487849999,-80.623382568 -24.942426682,-81.008934021 -25.142337799,-81.021583557 -25.1512126919999,-81.1525497439999 -25.253679276,-81.5121307369999 -25.7139320369999)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.2', 'Central', '2', '87.2.6', 'Central Oceanic', '2.6', '', '', '', '', '', '', '', '2.6', '3', '87.2.6', '87.2.6', 'Y'),('SRID=4326;MULTIPOLYGON(((-76.2526092529999 -43.2546653749999,-76.0921554569999 -42.7031135559999,-76.0570526119999 -42.663139343,-76.04397583 -42.6232261659999,-75.995780945 -42.548927307,-75.821113586 -41.7695312499999,-75.722930908 -41.509548187,-75.711341858 -41.465545654,-75.667655945 -41.3795967099999,-75.684036255 -41.313575745,-75.718421936 -40.9856071469999,-75.676445007 -40.708900452,-75.409355164 -39.7107810969999,-75.3015899659999 -39.435287476,-75.216918945 -39.3333015439999,-75.199996948 -39.3333015439999,-74.400001526 -39.3333015439999,-73.599998474 -39.3333015439999,-72.800003052 -39.3333015439999,-71.9999999999999 -39.3333015439999,-71.199996948 -39.3333015439999,-70.400001526 -39.3333015439999,-69.9999999999999 -39.3333015439999,-69.9999999999999 -39.9999999999999,-69.9999999999999 -40.799999237,-69.9999999999999 -41.444664001,-69.9999999999999 -41.599998474,-69.9999999999999 -42.400001526,-69.9999999999999 -43.2000007629999,-69.9999999999999 -43.7900009159999,-70.175003052 -43.7900009159999,-70.974998474 -43.7900009159999,-71.775001526 -43.7900009159999,-72.574996948 -43.7900009159999,-73.3749999999999 -43.7900009159999,-73.4999999999999 -44.2789993289999,-73.7499999999999 -44.2789993289999,-73.9999999999999 -43.9500007629999,-75.599998474 -43.9500007629999,-76.0287551879999 -43.9500007629999,-76.1391830439999 -43.809883118,-76.2526092529999 -43.2546653749999)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.3', 'Southern', '3', '87.3.1', 'Southern Coastal', '3.1', '87.3.1.1', '', '3.11', '', '', '', '', '3.11', '4', '87.3.1.1', '87.3.1.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-70.0108963989999 -46.5528149429999,-70.003645761 -47.2091920559999,-70.003645761 -47.296333245,-69.9999999999999 -47.800132751,-69.9999999999999 -47.9999999999999,-70.71023924 -48.71023924,-70.819999695 -48.819999695,-71.599998474 -48.819999695,-72.400001526 -48.819999695,-73.199996948 -48.819999695,-73.9999999999999 -48.819999695,-74.800003052 -48.819999695,-75.599998474 -48.819999695,-76.400001526 -48.819999695,-77.199996948 -48.819999695,-77.462539673 -48.819999695,-77.467262268 -48.795585632,-77.461364746 -48.778305054,-77.480888367 -48.677249908,-77.4428710939999 -48.565525055,-77.474525452 -48.401657104,-77.47177124 -48.3935279849999,-77.4880371089999 -48.309112549,-77.473678589 -48.266674042,-77.5102157589999 -48.076782227,-77.326370239 -47.526603699,-77.291702271 -47.490615845,-77.405342102 -47.348449707,-77.5119247439999 -46.792816162,-77.3324813839999 -46.2425460819999,-76.907081604 -45.786231995,-76.824020386 -45.725055695,-76.691192627 -45.298141479,-76.267951965 -44.835018158,-76.214866638 -44.808506012,-76.2491378779999 -44.641647339,-76.085105896 -44.09016037,-75.996459961 -43.990982056,-76.0287551879999 -43.9500007629999,-75.599998474 -43.9500007629999,-73.9999999999999 -43.9500007629999,-73.7499999999999 -44.2789993289999,-73.4999999999999 -44.2789993289999,-73.3749999999999 -43.7900009159999,-72.574996948 -43.7900009159999,-71.775001526 -43.7900009159999,-70.974998474 -43.7900009159999,-70.175003052 -43.7900009159999,-69.9999999999999 -43.7900009159999,-69.9999999999999 -43.9999999999999,-69.9999999999999 -44.799999237,-69.9999999999999 -45.599998474,-69.9999999999999 -46.0489394489999,-69.9999999999999 -46.206636341,-70.001934472 -46.2296123199999,-70.0108963989999 -46.5528149429999)))', 'Pacific', '8', '87', 'PACIFIC, SOUTHEAST', '87', '87.3', 'Southern', '3', '87.3.1', 'Southern Coastal', '3.1', '87.3.1.2', '', '3.12', '', '', '', '', '3.12', '4', '87.3.1.2', '87.3.1.2', 'Y'),('SRID=4326;MULTIPOLYGON(((150 -87.9999999999999,150 -87.5839235449999,150 -87.199996948,150 -86.400001526,150 -85.599998474,150 -84.9999999999999,150 -84.800003052,150 -84.199996948,150 -83.9999999999999,150 -83.400001526,150 -83.199996948,150 -82.599998474,150 -82.400001526,150 -81.800003052,150 -81.599998474,150 -80.9999999999999,150 -80.800003052,150 -80.199996948,150 -79.9999999999999,150 -79.400001526,150 -79.199996948,150 -78.599998474,150 -78.400001526,150 -77.800003052,150 -77.599998474,150 -76.9999999999999,150 -76.800003052,150 -76.199996948,150 -75.9999999999999,150 -75.400001526,150 -75.199996948,150 -74.599998474,150 -74.400001526,150 -73.800003052,150 -73.599998474,150 -72.9999999999999,150 -72.800003052,150 -72.199996948,150 -71.9999999999999,150 -71.400001526,150 -71.199996948,150 -70.599998474,150 -70.400001526,150 -69.800003052,150 -69.599998474,150 -68.9999999999999,150 -68.800003052,150 -68.199996948,150 -67.9999999999999,150 -67.400001526,150 -67.199996948,150 -66.599998474,150 -66.400001526,150 -65.800003052,150 -65.599998474,150 -64.9999999999999,150 -64.800003052,150 -64.199996948,150 -63.9999999999999,150 -63.400001526,150 -63.2000007629999,150 -62.599998474,150 -62.400001526,150 -61.799999237,150 -61.599998474,150 -60.9999999999999,150 -60.2000007629999,150 -59.9999999999999,150.800003052 -59.9999999999999,151.399993896 -59.9999999999999,151.600006104 -59.9999999999999,152.199996948 -59.9999999999999,152.399993896 -59.9999999999999,153 -59.9999999999999,153.199996948 -59.9999999999999,153.800003052 -59.9999999999999,154 -59.9999999999999,154.600006104 -59.9999999999999,154.800003052 -59.9999999999999,155.399993896 -59.9999999999999,155.600006104 -59.9999999999999,156.199996948 -59.9999999999999,156.399993896 -59.9999999999999,157 -59.9999999999999,157.199996948 -59.9999999999999,157.800003052 -59.9999999999999,158 -59.9999999999999,158.600006104 -59.9999999999999,158.800003052 -59.9999999999999,159.399993896 -59.9999999999999,159.600006104 -59.9999999999999,160.199996948 -59.9999999999999,160.399993896 -59.9999999999999,161 -59.9999999999999,161.199996948 -59.9999999999999,161.800003052 -59.9999999999999,162 -59.9999999999999,162.600006104 -59.9999999999999,162.800003052 -59.9999999999999,163.399993896 -59.9999999999999,163.600006104 -59.9999999999999,164.199996948 -59.9999999999999,164.399993896 -59.9999999999999,165 -59.9999999999999,165.199996948 -59.9999999999999,166 -59.9999999999999,166.399993896 -59.9999999999999,166.800003052 -59.9999999999999,167.199996948 -59.9999999999999,167.600006104 -59.9999999999999,168 -59.9999999999999,168.399993896 -59.9999999999999,168.800003052 -59.9999999999999,169.199996948 -59.9999999999999,169.600006104 -59.9999999999999,170 -59.9999999999999,170.399993896 -59.9999999999999,170.800003052 -59.9999999999999,171.199996948 -59.9999999999999,171.600006104 -59.9999999999999,172 -59.9999999999999,172.399993896 -59.9999999999999,172.800003052 -59.9999999999999,173.199996948 -59.9999999999999,173.600006104 -59.9999999999999,174 -59.9999999999999,174.399993896 -59.9999999999999,174.800003052 -59.9999999999999,175.199996948 -59.9999999999999,175.600006104 -59.9999999999999,176 -59.9999999999999,176.399993896 -59.9999999999999,176.800003052 -59.9999999999999,177.199996948 -59.9999999999999,177.600006104 -59.9999999999999,178 -59.9999999999999,178.399993896 -59.9999999999999,178.800003052 -59.9999999999999,179.199996948 -59.9999999999999,180 -59.9999999999999,180 -60.799999237,180 -61.599998474,180 -62.400001526,180 -63.2000007629999,180 -63.9999999999999,180 -64.800003052,180 -65.599998474,180 -66.400001526,180 -67.199996948,180 -67.9999999999999,180 -68.800003052,180 -69.599998474,180 -70.400001526,180 -71.199996948,180 -71.9999999999999,180 -72.800003052,180 -73.599998474,180 -74.400001526,180 -75.199996948,180 -75.9999999999999,180 -76.800003052,180 -77.599998474,180 -78.400001526,180 -79.199996948,180 -79.9999999999999,180 -80.800003052,180 -81.599998474,180 -82.400001526,180 -83.199996948,180 -83.9999999999999,180 -84.800003052,180 -85.599998474,180 -86.400001526,180 -87.9999999999999,179.199996948 -87.9999999999999,178.399993896 -87.9999999999999,177.600006104 -87.9999999999999,176.800003052 -87.9999999999999,176 -87.9999999999999,175.199996948 -87.9999999999999,174.399993896 -87.9999999999999,173.600006104 -87.9999999999999,172.800003052 -87.9999999999999,172 -87.9999999999999,171.199996948 -87.9999999999999,170.399993896 -87.9999999999999,169.600006104 -87.9999999999999,168.800003052 -87.9999999999999,168 -87.9999999999999,167.199996948 -87.9999999999999,166.399993896 -87.9999999999999,165.600006104 -87.9999999999999,164.800003052 -87.9999999999999,164 -87.9999999999999,163.199996948 -87.9999999999999,162.399993896 -87.9999999999999,161.600006104 -87.9999999999999,160.800003052 -87.9999999999999,160 -87.9999999999999,159.199996948 -87.9999999999999,158.399993896 -87.9999999999999,157.600006104 -87.9999999999999,156.800003052 -87.9999999999999,156 -87.9999999999999,155.199996948 -87.9999999999999,154.399993896 -87.9999999999999,153.600006104 -87.9999999999999,152.800003052 -87.9999999999999,152 -87.9999999999999,151.199996948 -87.9999999999999,150 -87.9999999999999)),((-180 -87.9999999999999,-180 -87.199996948,-180 -86.877440924,-180 -86.400001526,-180 -85.599998474,-180 -84.800003052,-180 -83.9999999999999,-180 -83.199996948,-180 -82.400001526,-180 -81.599998474,-180 -80.800003052,-180 -79.9999999999999,-180 -79.199996948,-180 -78.400001526,-180 -77.599998474,-180 -76.800003052,-180 -75.9999999999999,-180 -75.199996948,-180 -74.400001526,-180 -73.599998474,-180 -72.800003052,-180 -71.9999999999999,-180 -71.199996948,-180 -70.400001526,-180 -69.599998474,-180 -68.800003052,-180 -67.9999999999999,-180 -67.199996948,-180 -66.400001526,-180 -65.599998474,-180 -64.800003052,-180 -63.9999999999999,-180 -63.2000007629999,-180 -62.400001526,-180 -61.599998474,-180 -59.9999999999999,-179.199996948 -59.9999999999999,-178.600006104 -59.9999999999999,-178.399993896 -59.9999999999999,-177.800003052 -59.9999999999999,-177.600006104 -59.9999999999999,-177 -59.9999999999999,-176.800003052 -59.9999999999999,-176.199996948 -59.9999999999999,-176 -59.9999999999999,-175.399993896 -59.9999999999999,-175.199996948 -59.9999999999999,-174.600006104 -59.9999999999999,-174.399993896 -59.9999999999999,-173.800003052 -59.9999999999999,-173.600006104 -59.9999999999999,-173 -59.9999999999999,-172.800003052 -59.9999999999999,-172.199996948 -59.9999999999999,-172 -59.9999999999999,-171.399993896 -59.9999999999999,-171.199996948 -59.9999999999999,-170.600006104 -59.9999999999999,-170 -59.9999999999999,-170 -60.799999237,-170 -61.599998474,-170 -62.400001526,-170 -63.2000007629999,-170 -63.9999999999999,-170 -64.800003052,-170 -65.599998474,-170 -66.400001526,-170 -67.199996948,-170 -67.9999999999999,-170 -68.800003052,-170 -69.599998474,-170 -70.400001526,-170 -71.199996948,-170 -71.9999999999999,-170 -72.800003052,-170 -73.599998474,-170 -74.400001526,-170 -75.199996948,-170 -75.9999999999999,-170 -76.800003052,-170 -77.599998474,-170 -78.400001526,-170 -79.199996948,-170 -79.9999999999999,-170 -80.800003052,-170 -81.599998474,-170 -82.400001526,-170 -83.199996948,-170 -83.9999999999999,-170 -84.800003052,-170 -85.599998474,-170 -86.839272985,-170 -86.9999999999999,-170.004553043 -87.000455313,-169.995625426 -87.9999999999999,-170 -87.9999999999999,-170.800003052 -87.9999999999999,-171.600006104 -87.9999999999999,-172.399993896 -87.9999999999999,-173.199996948 -87.9999999999999,-174 -87.9999999999999,-174.800003052 -87.9999999999999,-175.600006104 -87.9999999999999,-176.399993896 -87.9999999999999,-177.199996948 -87.9999999999999,-178 -87.9999999999999,-178.800003052 -87.9999999999999,-180 -87.9999999999999)))', 'Pacific', '11', '88', 'PACIFIC, ANTARCTIC', '88', '88.1', 'Eastern Ross Sea', '1', '', '', '', '', '', '', '', '', '', '', '1', '2', '88.1', '88.1', 'Y'),('SRID=4326;MULTIPOLYGON(((-89.9999999999999 -74.9999999999999,-89.9999999999999 -75.800003052,-89.9999999999999 -76.599998474,-89.9999999999999 -77.400001526,-89.9999999999999 -78.199996948,-89.9999999999999 -78.9999999999999,-89.9999999999999 -79.800003052,-89.9999999999999 -80.599998474,-89.9999999999999 -81.400001526,-89.9999999999999 -82.199996948,-89.9999999999999 -82.9999999999999,-89.9999999999999 -83.800003052,-89.9999999999999 -84.599998474,-89.9999999999999 -84.9999999999999,-89.9999999999999 -85.400001526,-89.9999999999999 -86.199996948,-89.9999999999999 -86.827686329,-89.9999999999999 -86.9999999999999,-89.9999999999999 -87.9404205119999,-89.9999999999999 -87.9999999999999,-90.800003052 -87.9999999999999,-91.599998474 -87.9999999999999,-92.400001526 -87.9999999999999,-93.199996948 -87.9999999999999,-93.9999999999999 -87.9999999999999,-94.800003052 -87.9999999999999,-95.599998474 -87.9999999999999,-96.400001526 -87.9999999999999,-97.199996948 -87.9999999999999,-97.9999999999999 -87.9999999999999,-98.800003052 -87.9999999999999,-99.599998474 -87.9999999999999,-100.400001526 -87.9999999999999,-101.199996948 -87.9999999999999,-102 -87.9999999999999,-102.800003052 -87.9999999999999,-103.599998474 -87.9999999999999,-104.400001526 -87.9999999999999,-105.199996948 -87.9999999999999,-106 -87.9999999999999,-106.800003052 -87.9999999999999,-107.599998474 -87.9999999999999,-108.400001526 -87.9999999999999,-109.199996948 -87.9999999999999,-110 -87.9999999999999,-110.800003052 -87.9999999999999,-111.599998474 -87.9999999999999,-112.400001526 -87.9999999999999,-113.199996948 -87.9999999999999,-114 -87.9999999999999,-114.800003052 -87.9999999999999,-115.599998474 -87.9999999999999,-116.400001526 -87.9999999999999,-117.199996948 -87.9999999999999,-118 -87.9999999999999,-118.800003052 -87.9999999999999,-119.599998474 -87.9999999999999,-120.400001526 -87.9999999999999,-121.199996948 -87.9999999999999,-122 -87.9999999999999,-122.800003052 -87.9999999999999,-123.599998474 -87.9999999999999,-124.400001526 -87.9999999999999,-125.199996948 -87.9999999999999,-126 -87.9999999999999,-126.800003052 -87.9999999999999,-127.599998474 -87.9999999999999,-128.399993896 -87.9999999999999,-129.199996948 -87.9999999999999,-130 -87.9999999999999,-130.800003052 -87.9999999999999,-131.600006104 -87.9999999999999,-132.399993896 -87.9999999999999,-133.199996948 -87.9999999999999,-134 -87.9999999999999,-134.800003052 -87.9999999999999,-135.600006104 -87.9999999999999,-136.399993896 -87.9999999999999,-137.199996948 -87.9999999999999,-138 -87.9999999999999,-138.800003052 -87.9999999999999,-139.600006104 -87.9999999999999,-140.399993896 -87.9999999999999,-141.199996948 -87.9999999999999,-142 -87.9999999999999,-142.800003052 -87.9999999999999,-143.600006104 -87.9999999999999,-144.399993896 -87.9999999999999,-145.199996948 -87.9999999999999,-146 -87.9999999999999,-146.800003052 -87.9999999999999,-147.600006104 -87.9999999999999,-148.399993896 -87.9999999999999,-149.199996948 -87.9999999999999,-150 -87.9999999999999,-150.800003052 -87.9999999999999,-151.600006104 -87.9999999999999,-152.399993896 -87.9999999999999,-153.199996948 -87.9999999999999,-154 -87.9999999999999,-154.800003052 -87.9999999999999,-155.600006104 -87.9999999999999,-156.399993896 -87.9999999999999,-157.199996948 -87.9999999999999,-158 -87.9999999999999,-158.800003052 -87.9999999999999,-159.600006104 -87.9999999999999,-160.399993896 -87.9999999999999,-161.199996948 -87.9999999999999,-162 -87.9999999999999,-162.800003052 -87.9999999999999,-163.600006104 -87.9999999999999,-164.399993896 -87.9999999999999,-165.199996948 -87.9999999999999,-166 -87.9999999999999,-166.800003052 -87.9999999999999,-167.600006104 -87.9999999999999,-168.399993896 -87.9999999999999,-169.199996948 -87.9999999999999,-169.995625426 -87.9999999999999,-170.004553043 -87.000455313,-170 -86.9999999999999,-170 -86.839272985,-170 -85.599998474,-170 -84.800003052,-170 -83.9999999999999,-170 -83.199996948,-170 -82.400001526,-170 -81.599998474,-170 -80.800003052,-170 -79.9999999999999,-170 -79.199996948,-170 -78.400001526,-170 -77.599998474,-170 -76.800003052,-170 -75.9999999999999,-170 -75.199996948,-170 -74.400001526,-170 -73.599998474,-170 -72.800003052,-170 -71.9999999999999,-170 -71.199996948,-170 -70.400001526,-170 -69.599998474,-170 -68.800003052,-170 -67.9999999999999,-170 -67.199996948,-170 -66.400001526,-170 -65.599998474,-170 -64.800003052,-170 -63.9999999999999,-170 -63.2000007629999,-170 -62.400001526,-170 -61.599998474,-170 -60.799999237,-170 -59.9999999999999,-169.800003052 -59.9999999999999,-169.199996948 -59.9999999999999,-169 -59.9999999999999,-168.399993896 -59.9999999999999,-168.199996948 -59.9999999999999,-167.600006104 -59.9999999999999,-167.399993896 -59.9999999999999,-166.800003052 -59.9999999999999,-166.600006104 -59.9999999999999,-166 -59.9999999999999,-165.800003052 -59.9999999999999,-165.199996948 -59.9999999999999,-165 -59.9999999999999,-164.399993896 -59.9999999999999,-164 -59.9999999999999,-163.600006104 -59.9999999999999,-163.199996948 -59.9999999999999,-162.800003052 -59.9999999999999,-162.399993896 -59.9999999999999,-162 -59.9999999999999,-161.600006104 -59.9999999999999,-161.199996948 -59.9999999999999,-160.800003052 -59.9999999999999,-160.399993896 -59.9999999999999,-160 -59.9999999999999,-159.600006104 -59.9999999999999,-159.199996948 -59.9999999999999,-158.800003052 -59.9999999999999,-158.399993896 -59.9999999999999,-158 -59.9999999999999,-157.600006104 -59.9999999999999,-157.199996948 -59.9999999999999,-156.800003052 -59.9999999999999,-156.399993896 -59.9999999999999,-156 -59.9999999999999,-155.600006104 -59.9999999999999,-155.199996948 -59.9999999999999,-154.800003052 -59.9999999999999,-154.399993896 -59.9999999999999,-154 -59.9999999999999,-153.600006104 -59.9999999999999,-153.199996948 -59.9999999999999,-152.800003052 -59.9999999999999,-152.399993896 -59.9999999999999,-152 -59.9999999999999,-151.600006104 -59.9999999999999,-151.199996948 -59.9999999999999,-150.800003052 -59.9999999999999,-150.399993896 -59.9999999999999,-150 -59.9999999999999,-149.600006104 -59.9999999999999,-149.199996948 -59.9999999999999,-148.800003052 -59.9999999999999,-148.399993896 -59.9999999999999,-148 -59.9999999999999,-147.600006104 -59.9999999999999,-147.199996948 -59.9999999999999,-146.800003052 -59.9999999999999,-146.399993896 -59.9999999999999,-146 -59.9999999999999,-145.600006104 -59.9999999999999,-145.199996948 -59.9999999999999,-144.800003052 -59.9999999999999,-144.399993896 -59.9999999999999,-144 -59.9999999999999,-143.600006104 -59.9999999999999,-143.199996948 -59.9999999999999,-142.800003052 -59.9999999999999,-142.399993896 -59.9999999999999,-142 -59.9999999999999,-141.600006104 -59.9999999999999,-141.199996948 -59.9999999999999,-140.800003052 -59.9999999999999,-140.399993896 -59.9999999999999,-140 -59.9999999999999,-139.600006104 -59.9999999999999,-139.199996948 -59.9999999999999,-138.800003052 -59.9999999999999,-138.399993896 -59.9999999999999,-138 -59.9999999999999,-137.600006104 -59.9999999999999,-137.199996948 -59.9999999999999,-136.800003052 -59.9999999999999,-136.399993896 -59.9999999999999,-136 -59.9999999999999,-135.600006104 -59.9999999999999,-135.199996948 -59.9999999999999,-134.800003052 -59.9999999999999,-134.399993896 -59.9999999999999,-134 -59.9999999999999,-133.600006104 -59.9999999999999,-133.199996948 -59.9999999999999,-132.800003052 -59.9999999999999,-132.399993896 -59.9999999999999,-132 -59.9999999999999,-131.600006104 -59.9999999999999,-131.199996948 -59.9999999999999,-130.800003052 -59.9999999999999,-130.399993896 -59.9999999999999,-130 -59.9999999999999,-129.600006104 -59.9999999999999,-129.199996948 -59.9999999999999,-128.800003052 -59.9999999999999,-128.399993896 -59.9999999999999,-128 -59.9999999999999,-127.599998474 -59.9999999999999,-127.199996948 -59.9999999999999,-126.800003052 -59.9999999999999,-126.400001526 -59.9999999999999,-126 -59.9999999999999,-125.599998474 -59.9999999999999,-125.199996948 -59.9999999999999,-124.800003052 -59.9999999999999,-124.400001526 -59.9999999999999,-124 -59.9999999999999,-123.599998474 -59.9999999999999,-123.199996948 -59.9999999999999,-122.800003052 -59.9999999999999,-122.400001526 -59.9999999999999,-122 -59.9999999999999,-121.599998474 -59.9999999999999,-121.199996948 -59.9999999999999,-120.800003052 -59.9999999999999,-120.400001526 -59.9999999999999,-120 -59.9999999999999,-119.599998474 -59.9999999999999,-119.199996948 -59.9999999999999,-118.800003052 -59.9999999999999,-118.400001526 -59.9999999999999,-118 -59.9999999999999,-117.599998474 -59.9999999999999,-117.199996948 -59.9999999999999,-116.800003052 -59.9999999999999,-116.400001526 -59.9999999999999,-116 -59.9999999999999,-115.599998474 -59.9999999999999,-115.199996948 -59.9999999999999,-114.799995422 -59.9999999999999,-114.400001526 -59.9999999999999,-114 -59.9999999999999,-113.599998474 -59.9999999999999,-113.199996948 -59.9999999999999,-112.800003052 -59.9999999999999,-112.400001526 -59.9999999999999,-112 -59.9999999999999,-111.599998474 -59.9999999999999,-111.199996948 -59.9999999999999,-110.799995422 -59.9999999999999,-110.400001526 -59.9999999999999,-110 -59.9999999999999,-109.599998474 -59.9999999999999,-109.199996948 -59.9999999999999,-108.800003052 -59.9999999999999,-108.400001526 -59.9999999999999,-108 -59.9999999999999,-107.599998474 -59.9999999999999,-107.199996948 -59.9999999999999,-106.799995422 -59.9999999999999,-106.400001526 -59.9999999999999,-106 -59.9999999999999,-105.599998474 -59.9999999999999,-105 -59.9999999999999,-105 -60.799999237,-105 -61.599998474,-105 -62.400001526,-105 -63.2000007629999,-105 -63.9999999999999,-105 -64.800003052,-105 -65.599998474,-105 -66.400001526,-105 -67.199996948,-105 -67.9999999999999,-105 -68.800003052,-105 -69.599998474,-105 -70.400001526,-105 -71.199996948,-105 -71.9999999999999,-105 -72.800003052,-105 -74.3399963379999,-105.591209412 -74.8789443969999,-106.182426453 -75.417900085,-106.809997559 -75.989997864,-106.011383057 -75.942962646,-105.212768555 -75.895935059,-104.414146423 -75.8488998409999,-103.615531921 -75.801864624,-102.816917419 -75.754829407,-102.018302917 -75.7078018189999,-101.219680786 -75.660766602,-100.421066284 -75.6137313839999,-99.622451782 -75.566696167,-98.82383728 -75.519668579,-98.0252227779999 -75.472633362,-97.2266006469999 -75.425598145,-96.427986145 -75.378562927,-95.629371643 -75.331535339,-94.8307571409999 -75.2845001219999,-94.03213501 -75.237464905,-93.233520508 -75.1904296879999,-92.4349060059999 -75.1434020999999,-91.636291504 -75.096366882,-90.837669373 -75.049331665,-89.9999999999999 -74.9999999999999)))', 'Pacific', '11', '88', 'PACIFIC, ANTARCTIC', '88', '88.2', 'Western Ross Sea', '2', '', '', '', '', '', '', '', '', '', '', '2', '2', '88.2', '88.2', 'Y');

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO gfcm (geom, name, code, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((0.5 38,0.5 39.5000000000001,-1.49999999999994 39.5000000000001,1.5 39.9999999999999,2.00000000000006 39.9999999999999,2.00000000000006 40.5000000000001,6 40.5000000000001,6 38,0.5 38)))', 'Balearic Island', '5', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.59999999999997 36.0000000000001,-5.08387331256489 36.6870301142264,-2.13089304257528 36.9077154724818,-1.54239875389402 37.6223156801662,-0.999999999999943 37.6,-0.999999999999943 36.5000000000001,-1.49999999999994 36.5000000000001,-1.49999999999994 36.0000000000001,-2.66666699999996 36.0000000000001,-2.66666699999996 36.0833329999999,-3.33333299999993 36.0833329999999,-3.33333299999993 36.0000000000001,-5.59999999999997 36.0000000000001)))', 'Northern Alboran Sea', '1', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.59999999999991 36.0000000000001,-3.33333299999993 36.0000000000001,-3.33333299999993 35.7500000000001,-2.6666669999999 35.7500000000001,-2.6666669999999 36.0000000000001,-1.21666699999997 36.0000000000001,-2.20944399999991 35.085833,-2.21034859315654 34.5638468026103,-5.91312659303679 34.5638468026103,-5.6100001335144 35.0000000000001,-5.59999999999997 35.8166670000001,-5.59999999999991 36.0000000000001)))', 'Southern Alboran Sea', '3', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.20944399999996 35.085833,-1.21666699999997 36.0000000000001,-1.49999999999994 36.0000000000001,-1.49999999999994 36.5000000000001,-0.999999999999943 36.5000000000001,-0.999999999999943 37,0.5 37,0.5 38,8.5 38,8.62202500000012 36.9413170000001,8.39198522980962 36.7528406849048,-1.95670972333335 34.9372801668096,-2.20944399999996 35.085833)))', 'Algeria', '4', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 37.6,-1.74928571428569 39.9110714285715,2.87857142857155 41.8675000000001,3.15000000000003 42.5,6 42.5,6 40.5000000000001,2.00000000000006 40.5000000000001,2.00000000000006 39.9999999999999,1.5 39.9999999999999,-1.49999999999994 39.5000000000001,0.5 39.5000000000001,0.5 37,-0.999999999999943 37,-0.999999999999943 37.6)))', 'Northern Spain', '6', 'Y'),('SRID=4326;MULTIPOLYGON(((3.15000000000003 42.5,2.65282348112214 42.5214839141026,2.64972897333342 43.9644608066668,7.33787883428568 43.9644608066668,7.53193600000009 43.782044,7.50000000000006 42.5,6 42.5,3.15000000000003 42.5)))', 'Gulf of Lions', '7', 'Y'),('SRID=4326;MULTIPOLYGON(((6 42.5,7.50000000000006 42.5,7.50000000000006 43.25,9.75000000000011 43.25,9.75000000000011 41.3000000000001,6 41.3000000000001,6 42.5)))', 'Corsica Island', '8', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 43.25,7.53193600000009 43.782044,9.01119047619039 45.0587202380952,13.1309523809525 41.3214047619048,13 41.3000000000001,9.75000000000011 41.3000000000001,9.75000000000011 43.25,7.50000000000006 43.25)))', 'Ligurian and North Tirrenian Sea', '9', 'Y'),('SRID=4326;MULTIPOLYGON(((13 41.3000000000001,13.5571234470409 41.4572496116107,15.8329192542543 40.2805997670144,16.4391653726099 38.8783307452194,16.1499805896246 38.5261937112987,15.874690827418 38.2455692657499,15.6661349267968 38.2314776508431,15.6246653172139 38.2652975266195,15.5670910048802 38.2657001441883,15.3467585403727 38.1104910714286,13.5078027950312 37.7863839285715,12.5000000000001 38,11.0000000000001 38,11.0000000000001 41.3000000000001,13 41.3000000000001)))', 'South Tirrenian Sea', '10', 'Y'),('SRID=4326;MULTIPOLYGON(((6 41.3000000000001,11.0000000000001 41.3000000000001,11.0000000000001 38.5000000000001,8.5 38.5000000000001,8.5 38,6 38,6 41.3000000000001)))', 'Sardinia', '11', 'Y'),('SRID=4326;MULTIPOLYGON(((8.62202500000012 36.9413170000001,8.5 38,8.5 38.5000000000001,11.0000000000001 38.5000000000001,11.0000000000001 38,12 37,11.066667 37,10.4516666666667 36.6110416666667,8.62202500000012 36.9413170000001)))', 'Northern Tunisia', '12', 'Y'),('SRID=4326;MULTIPOLYGON(((11.066667 37,12 37,13.5000000000001 35.0000000000001,11.0000000000001 35.0000000000001,10.260093167702 36.3907220496894,11.066667 37)))', 'Gulf of Hammamet', '13', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 35.0000000000001,15.3 35.0000000000001,11.526083 33.1711360000001,10.4471428571429 32.786929607143,9.67288690476192 34.6944147261906,11.0000000000001 35.0000000000001)))', 'Gulf of Gabes', '14', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 36.5000000000001,15.3 36.5000000000001,15.3 35.0000000000001,13.5000000000001 35.0000000000001,13.5000000000001 36.5000000000001)))', 'Malta Island', '15', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 38,15.3 37,15.3 36.5000000000001,13.5000000000001 36.5000000000001,13.5000000000001 35.0000000000001,12 37,11.0000000000001 38,12.5000000000001 38)))', 'South of Sicily', '16', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1333330000001 41.916667,14.1966467896092 41.5457299003263,10.7688479160902 46,14.8574165688678 46.3613010853227,18.5446533293484 42.5862729734022,18.5032 42.449436,15.1333330000001 41.916667)))', 'Northern Adriatic', '17', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5032 42.449436,18.4197609828572 42.5946094592857,19.4926338828572 42.717223505,20.1312487042858 40.152546382143,20.010028 39.6912,18.4833330000001 40.0666670000001,16.7542535285714 40.8524682264287,15.1333330000001 41.916667,18.5032 42.449436)))', 'Southern Adriatic Sea', '18', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4833330000001 40.0666670000001,19.1666670000001 39.9666670000001,19.1666670000001 35.0000000000001,15.3 35.0000000000001,15.3 37,15.0611180364093 37.0270601748206,14.7393375519042 37.8696687759521,15.6239395950114 38.2663910434374,15.6553851431624 38.2397832719249,15.7707661159939 38.1780747432454,16.5409939099379 38.8704143333075,16.1359750497517 39.728049900497,16.9044721947205 40.8868533893634,18.4833330000001 40.0666670000001)))', 'Western Ionian Sea', '19', 'Y'),('SRID=4326;MULTIPOLYGON(((19.1666670000001 39.9666670000001,20.010028 39.6912,20.0433336256672 39.6895710128832,23.4490888961282 38.2213834170904,22.6171389859628 37.6971161230435,22.9999999999999 36.5000000000001,22.9999999999999 35.0000000000001,19.1666670000001 35.0000000000001,19.1666670000001 39.9666670000001)))', 'Eastern Ionian Sea', '20', 'Y'),('SRID=4326;MULTIPOLYGON(((11.526083 33.1711360000001,15.3 35.0000000000001,22.9999999999999 35.0000000000001,22.9999999999999 34.0000000000001,25.1499999999999 34.0000000000001,25.151667 31.646942,19.1937541000001 29.9127711078126,11.71117845 32.6058532921875,11.526083 33.1711360000001)))', 'Southern Ionian Sea', '21', 'Y'),('SRID=4326;MULTIPOLYGON(((29 36.7166670000001,29 34.0000000000001,26.5 34.0000000000001,26.5 36.0000000000001,22.9999999999999 36.0000000000001,22.9999999999999 36.5000000000001,22.5625000003851 37.7753256874523,23.5906808038482 38.1282832767009,22.1021205361479 38.9876582766102,22.2402343754189 41.0593658656775,26.9279935706377 41.0734010728489,26.9282817840577 40.8681030273438,26.9293956756592 40.8678970336914,26.9318512229432 40.6543478529773,26.8343462520984 40.5598936268569,26.5287380218505 40.3756599426269,26.3226871490479 40.258327484131,26.3141021728516 40.155300140381,26.417127609253 40.1409912109375,26.4747970757315 40.1407141166661,26.5284087511627 40.0669980629481,27.4732142855817 39.1257721158813,29 36.7166670000001)))', 'Aegean Sea', '22', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9999999999999 36.0000000000001,26.5 36.0000000000001,26.5 34.0000000000001,22.9999999999999 34.0000000000001,22.9999999999999 36.0000000000001)))', 'Crete Island', '23', 'Y'),('SRID=4326;MULTIPOLYGON(((29 36.7166670000001,28.9983518002381 37.1305602939882,36.2051052591667 37.203081083512,36.4589280225 36.6682402607739,35.9224390000001 35.9269890000001,35.0000000000001 35.7833329999999,32.0000000000001 35.7833329999999,32.0000000000001 34.0000000000001,29 34.0000000000001,29 36.7166670000001)))', 'North Levant', '24', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 35.7833329999999,35.0000000000001 35.7833329999999,35.0000000000001 34.0000000000001,32.0000000000001 34.0000000000001,32.0000000000001 35.7833329999999)))', 'Cyprus Island', '25', 'Y'),('SRID=4326;MULTIPOLYGON(((25.151667 31.646942,25.1499999999999 34.0000000000001,34.216667 34.0000000000001,34.216664 31.3233279999999,33.9386225453333 30.3772956620477,24.9911174544763 31.1181718797619,25.151667 31.646942)))', 'South Levant', '26', 'Y'),('SRID=4326;MULTIPOLYGON(((34.216664 31.3233279999999,34.216667 34.0000000000001,35.0000000000001 34.0000000000001,35.0000000000001 35.7833329999999,35.9224390000001 35.9269890000001,36.2931290875662 34.2394098375373,34.4785782411109 31.2201162159766,34.216664 31.3233279999999)))', 'Levant', '27', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.33333299999993 36.0833329999999,-2.66666699999996 36.0833329999999,-2.66666699999996 35.7500000000001,-3.33333299999993 35.7500000000001,-3.33333299999993 36.0833329999999)))', 'Alboran Island', '2', 'Y'),('SRID=4326;MULTIPOLYGON(((30.1954078674316 40.8705787658693,30.1954078674316 40.1228370666504,29.250837802887 40.1273756027222,28.3062677383422 40.1319141387939,27.3616976737977 40.1364526748657,26.417127609253 40.1409912109375,26.3141021728516 40.155300140381,26.3226871490479 40.258327484131,26.5287380218505 40.3756599426269,26.9322586059571 40.6189193725587,26.9293956756592 40.8678970336914,26.9282817840577 40.8681030273438,27.4580326080323 41.0651779174805,27.9877834320069 41.2622528076173,28.5284051895142 41.2260551452637,29.0690269470216 41.1898574829102,29.1089191436768 41.159938812256,29.6521635055542 41.0152587890626,30.1954078674316 40.8705787658693)))', 'Marmara Sea', '28', 'Y'),('SRID=4326;MULTIPOLYGON(((34.1744709014893 46.1314868927003,34.1655693054199 45.1968078613281,35.137523651123 45.1981983184814,36.1094779968263 45.1995887756348,36.4500007629395 45.0999984741211,36.6333007812501 45.13330078125,36.7159080505372 45.1706619262695,37.6439107259114 45.1661179860433,38.5719134012859 45.1615740458171,39.4999160766602 45.1570301055909,40.4279187520346 45.1524861653646,41.3559214274089 45.1479422251384,42.2839241027833 45.1433982849122,42.2839241027833 44.3066380818686,42.2839241027833 43.469877878825,42.2839241027833 42.6331176757812,42.2839241027833 41.7963574727376,42.2839241027833 40.959597269694,42.2839241027833 40.1228370666504,41.3540382385254 40.1228370666505,40.4241523742676 40.1228370666504,39.4942665100097 40.1228370666504,38.5643806457521 40.1228370666504,37.6344947814942 40.1228370666504,36.7046089172363 40.1228370666504,35.7747230529786 40.1228370666504,34.8448371887208 40.1228370666505,33.9149513244629 40.1228370666504,32.985065460205 40.1228370666504,32.0551795959474 40.1228370666505,31.1252937316895 40.1228370666504,30.1954078674317 40.1228370666504,30.1954078674316 40.8705787658693,29.6521635055542 41.0152587890626,29.1089191436768 41.159938812256,29.0690269470216 41.1898574829102,28.5284051895142 41.2260551452637,27.9877834320069 41.2622528076173,27.4580326080323 41.0651779174805,26.9282817840577 40.8681030273438,26.9270387377058 41.7535405840193,26.9257956913539 42.6389781406947,26.9245526450022 43.5244156973703,26.9233095986503 44.4098532540457,26.9220665522984 45.2952908107213,26.9208235059465 46.1807283673967,26.9195804595948 47.0661659240723,27.8275544643402 47.0661659240723,28.7355284690856 47.0661659240723,29.6435024738313 47.0661659240723,30.5514764785767 47.0661659240723,31.4594504833221 47.0661659240723,32.3674244880677 47.0661659240723,33.2753984928132 47.0661659240723,34.1833724975586 47.0661659240723,34.1744709014893 46.1314868927003)))', 'Black Sea', '29', 'Y'),('SRID=4326;MULTIPOLYGON(((38.951321910466 45.8631341187805,38.3765752405817 45.1625305138852,37.6439107259114 45.1661179860433,37.5462416455595 45.1665962200773,36.7159080505372 45.1706619262695,36.6333007812501 45.13330078125,36.4500007629395 45.0999984741211,36.1094779968263 45.1995887756348,35.137523651123 45.1981983184814,34.1655693054199 45.1968078613281,34.1744709014893 46.1314868927003,34.1833724975586 47.0661659240723,34.1833724975586 47.4756469726564,35.113737064343 47.4756469726564,36.0441016311271 47.4756469726564,36.9744661979115 47.4756469726564,37.9048307646957 47.4756469726564,38.8351953314799 47.4756469726564,39.7655598982643 47.4756469726564,39.5260685803501 46.563737723676,38.951321910466 45.8631341187805)))', 'Azov Sea', '30', 'Y');

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((13.259251268573 -8.83811812589692,13.2587430531587 -8.84301572154225,13.2572839205135 -8.84772058552576,13.2549299169957 -8.85205189602817,13.2517714909483 -8.8558431836307,13.2479300190829 -8.85894873162153,13.2435531420391 -8.86124917880921,13.238809088361 -8.86265610906965,13.2338802053616 -8.86311545085714,13.2289559461208 -8.86260955576799,13.2242255829664 -8.86115787617908,13.2198709283675 -8.85881621600609,13.216059343816 -8.85567458363529,13.2129373059996 -8.85185372993313,13.2106247778548 -8.84750050484267,13.2092106008003 -8.84278221147455,13.208749084861 -8.83788017505287,13.2092579270668 -8.83298277411417,13.2107175372746 -8.82827820184964,13.2130717964215 -8.82394723566699,13.2162302172475 -8.82015629256546,13.2200714238355 -8.8170510368097,13.2244478159322 -8.81475078510103,13.2291912388221 -8.8133439238036,13.2341194412242 -8.81288451396411,13.2390430736732 -8.81339021434656,13.243772959265 -8.8148416022164,13.2481273582348 -8.81718291806956,13.2519389480081 -8.82032420593937,13.255061251102 -8.8241447674065,13.257374264194 -8.82849779701805,13.2587890720366 -8.83321602142324,13.259251268573 -8.83811812589692)))', 'AOLAD', 'Luanda', 'Y'),('SRID=4326;MULTIPOLYGON(((13.558546044347 -12.3671365470225,13.5580283067531 -12.3720334155216,13.556548676363 -12.3767368847723,13.5541639732003 -12.3810661833472,13.5509658155096 -12.3848549135014,13.5470771026858 -12.3879574495833,13.542647292955 -12.390254538449,13.5378466571773 -12.3916578860286,13.5328597299853 -12.3921135532143,13.5278782107606 -12.3916040301326,13.5230935883985 -12.3901489088679,13.5186897745684 -12.3878041288078,13.5148360297839 -12.3846598238799,13.511680455097 -12.3808368548772,13.5093443000928 -12.3764821607297,13.5079173060079 -12.371763108004,13.5074542625168 -12.3668610563451,13.5079729096632 -12.3619643875547,13.5094532644181 -12.3572612664011,13.5118383964796 -12.3529324113171,13.5150366223074 -12.3491441525302,13.5189250321333 -12.3460420439305,13.5233542138595 -12.3437452735818,13.5281539922343 -12.3423420870624,13.5331399631565 -12.3418863989602,13.5381205728284 -12.3423957223331,13.5429044708257 -12.3438504955006,13.5473078557571 -12.3461948320697,13.5511615324048 -12.3493386656302,13.55431741009 -12.3531612071508,13.5566541930988 -12.3575155827815,13.5580820445866 -12.3622344744471,13.558546044347 -12.3671365470225)))', 'AOLOB', 'Lobito', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1838319658203 -15.1953249240416,12.1832706036348 -15.2002126612706,12.1817380075746 -15.2049001137469,12.1792930257623 -15.2092071171017,12.1760295912221 -15.2129681219418,12.1720731161133 -15.2160385609449,12.167575672207 -15.2183004096896,12.1627101428077 -15.2196667267273,12.1576635714723 -15.2200849977387,12.1526299642677 -15.2195391547895,12.147802823669 -15.2180501929061,12.14336770263 -15.2156753604119,12.139495066464 -15.212505954573,12.1363337379827 -15.2086638079323,12.1340051783995 -15.2042966011507,12.1325988237607 -15.1995721832806,12.1321686554877 -15.1946721184176,12.132731135666 -15.1897847071864,12.1342645849343 -15.1850977514046,12.1367100252769 -15.180791339824,12.1399734538623 -15.1770309317455,12.1439294594378 -15.1739610036399,12.1484260417144 -15.171699502149,12.1532904485628 -15.1703333158552,12.1583358073246 -15.1699149391732,12.163368296536 -15.1704604561246,12.1681945839266 -15.1719489213132,12.1726292464355 -15.1743231620331,12.1765018885566 -15.1774919711104,12.1796636865716 -15.1813336068537,12.1819931077846 -15.1857004663816,12.1834005849739 -15.1904247535079,12.1838319658203 -15.1953249240416)))', 'AOMSZ', 'Namibe', 'Y'),('SRID=4326;MULTIPOLYGON(((-59.1370500690601 -33.6835218114796,-59.1377465280298 -33.6883965922791,-59.1395674107323 -33.693064091377,-59.1424428924039 -33.697344886319,-59.1462625628203 -33.701074396556,-59.1508796550955 -33.7041092191429,-59.15611668262 -33.7063326518212,-59.1617722680223 -33.707659189375,-59.1676289004715 -33.7080378187016,-59.1734613203957 -33.707453984566,-59.1790452054393 -33.7059301496755,-59.184165819374 -33.703524927438,-59.1886262872606 -33.7003308213475,-59.1922551753431 -33.6964706591138,-59.1949130822382 -33.6920928602603,-59.1964979876638 -33.6873657209161,-59.1969491544544 -33.6824709371943,-59.1962494367552 -33.6775966174339,-59.1944259096502 -33.6729300526359,-59.1915488004895 -33.6686505230161,-59.187728767268 -33.66492241649,-59.1831126321058 -33.6618889223003,-59.1778777359009 -33.659666540469,-59.1722251315508 -33.65834061623,-59.1663718760482 -33.6579620693144,-59.1605427148549 -33.6585454424106,-59.1549614742142 -33.6600683430007,-59.1498424877677 -33.6624722999154,-59.1453823826847 -33.6656650022951,-59.1417525374878 -33.6695238361319,-59.1390924992727 -33.6739005841388,-59.1375046127957 -33.6786271101687,-59.1370500690601 -33.6835218114796)))', 'ARSPD', 'San Pedro', 'Y'),('SRID=4326;MULTIPOLYGON(((-170.675244590723 -14.2789662778002,-170.675732457988 -14.2838671675489,-170.677191401286 -14.28858106072,-170.679565407877 -14.2929267893563,-170.682763282595 -14.2967373250684,-170.68666214682 -14.2998662015661,-170.6911121585 -14.3021931477821,-170.695942272131 -14.3036287144219,-170.700966817133 -14.3041177154372,-170.705992641005 -14.3036413515548,-170.710826541536 -14.3022179338303,-170.715282701026 -14.2999021792496,-170.719189835336 -14.296783105558,-170.722397781787 -14.2929806065941,-170.724783271903 -14.2886408403141,-170.726254666829 -14.2839306074392,-170.726755473729 -14.2790309374501,-170.726266508827 -14.2741301290174,-170.724806625185 -14.2694165127283,-170.7224319787 -14.2650712143871,-170.719233861959 -14.2612611968745,-170.715335190427 -14.2581328475898,-170.71088577682 -14.2558063573368,-170.706056575591 -14.2543711059937,-170.701033118414 -14.2538822316078,-170.696008392181 -14.254358514174,-170.691175431995 -14.2557816550163,-170.686719912397 -14.2580969793019,-170.68281302011 -14.2612155347939,-170.679604880965 -14.2650175065449,-170.677218792777 -14.269356816862,-170.675746485449 -14.2740667344403,-170.675244590723 -14.2789662778002)))', 'ASPPG', 'Pago Pago', 'Y'),('SRID=4326;MULTIPOLYGON(((115.736421321897 -32.0562967448641,115.735788761128 -32.0611793382616,115.734049667248 -32.0658629965934,115.731270729877 -32.070167682755,115.727558650962 -32.0739279044358,115.723056058196 -32.0769990838868,115.717936027827 -32.0792631253234,115.712395426747 -32.080632964278,115.706647330701 -32.0810559223895,115.700912812501 -32.0805157373371,115.695412419364 -32.0790331890587,115.690357671035 -32.076665297995,115.685942909441 -32.0735031266579,115.68233781642 -32.0696682701077,115.679680889153 -32.065308171745,115.67807412463 -32.0605904461683,115.677579116336 -32.0556964289423,115.678214710668 -32.0508142025081,115.679956309561 -32.0461313670727,115.682736842031 -32.0418278344621,115.68644936329 -32.0380689213693,115.690951178303 -32.0349990063228,115.696069329227 -32.0327359926129,115.701607235299 -32.0313667882451,115.707352231064 -32.0309439749702,115.7130837157 -32.0314837930591,115.718581603823 -32.0329655184407,115.723634757054 -32.0353322559529,115.728049076305 -32.0384931187019,115.731654947081 -32.0423267108478,115.734313753793 -32.0466857814843,115.735923213323 -32.0514028724746,115.736421321897 -32.0562967448641)))', 'AUFRE', 'Fremantle', 'Y'),('SRID=4326;MULTIPOLYGON(((4.45676288744165 51.2165117105151,4.45584518934161 51.2116493908265,4.45343521951939 51.2069929036205,4.44962597438881 51.2027211044574,4.44456408513858 51.1989980272937,4.43844414579025 51.1959666003725,4.43150122477652 51.1937431760059,4.4240018493342 51.1924130810577,4.41623380642276 51.1920273558104,4.40849514551368 51.1926008038255,4.40108279642345 51.1941114260308,4.39428122873759 51.1965012603313,4.38835157799136 51.1996785953563,4.38352164765553 51.2035214753425,4.37997716547204 51.2078823644199,4.37785462849607 51.2125937944525,4.3772360144264 51.2174747827139,4.37814556898134 51.2223377755183,4.38054880221852 51.2269958527192,4.38435374330766 51.2312699166941,4.38941441631208 51.2349955886901,4.39553641237416 51.2380295454242,4.40248434994661 51.2402550494431,4.40999093806751 51.2415864572746,4.4177672917117 51.2419725287612,4.42551409617244 51.2413984076295,4.4329331818499 51.2398861954279,4.43973905357375 51.237494096314,4.44566992055871 51.2343141664563,4.45049779417421 51.230468756658,4.45403725979679 51.2261057879298,4.45615258409764 51.2213930450153,4.45676288744165 51.2165117105151)))', 'BEANR', 'Antwerpen', 'Y'),('SRID=4326;MULTIPOLYGON(((3.17286186933847 51.3169479526674,3.1720777045386 51.3120757824248,3.16979228363637 51.3073930684064,3.16609383176454 51.303079680767,3.16112474259515 51.2993012558176,3.15507606616737 51.2962028497126,3.14818015327438 51.2939033863182,3.1407017411132 51.2924911092411,3.13292782049795 51.2920202094272,3.12515666781079 51.2925087550917,3.11768645395882 51.2939380016468,3.11080385724867 51.2962531075009,3.10477310696048 51.2993652289076,3.0998258695012 51.3031549152789,3.0961523596709 51.3074766773448,3.09389401646188 51.3121645559814,3.09313802699119 51.3170384810791,3.09391391514135 51.3219111789549,3.09619233522011 51.3265953647864,3.09988612790601 51.3309109443491,3.10485360884648 51.3346919476318,3.11090397284213 51.3377929259522,3.11780461218436 51.3400945638477,3.1252900701177 51.3415082866631,3.13307228317248 51.3419796833515,3.14085171251625 51.3414906100531,3.14832892719449 51.3400598916833,3.15521618308764 51.3377425939044,3.1612485415978 51.3346278941639,3.16619409148232 51.3308356355778,3.16986287486057 51.3265116990123,3.17211417230035 51.321822374639,3.17286186933847 51.3169479526674)))', 'BEBBG', 'Blankenberge', 'Y'),('SRID=4326;MULTIPOLYGON(((3.756800676692 51.2497494480634,3.7559560252155 51.244881438104,3.75361481554505 51.2402103484074,3.74986740948794 51.2359155993955,3.74485807252921 51.2321621092847,3.73877939116779 51.2290939756449,3.73186485981413 51.2268289601586,3.72437992392649 51.2254539851332,3.71661182110325 51.2250218114938,3.7088586041438 51.2255490231398,3.7014177585984 51.2270153933205,3.69457484138865 51.2293646568229,3.68859256638027 51.2325066590711,3.68370074733931 51.2363208015353,3.68008747883962 51.24066065395,3.67789189210021 51.2453595594798,3.67719876649649 51.2502370207815,3.67803521012355 51.2551056243627,3.68036954628317 51.2597782389845,3.68411245959724 51.2640752120692,3.68912036856082 51.2678312868059,3.69520090407579 51.2709019721389,3.70212028945511 51.2731691179134,3.70961234025966 51.2745454775046,3.71738873570876 51.2749780791995,3.7251501605244 51.274450273931,3.73259787958315 51.2729823788237,3.73944528953277 51.2706308912469,3.7454289925293 51.2674863043723,3.75031895740996 51.2636696102156,3.75392737188146 51.2593276275143,3.75611584370713 51.2546273374201,3.756800676692 51.2497494480634)))', 'BEBHE', 'Boekhoute', 'Y'),('SRID=4326;MULTIPOLYGON(((4.20682386690436 51.282596274491,4.20593107076503 51.2777318912917,4.20354269449735 51.2730701724475,4.1997509087012 51.2687901757107,4.194701678235 51.2650562506342,4.18858911517746 51.2620117422478,4.1816480082392 51.2597735048376,4.17414481733731 51.2584274332511,4.16636747673824 51.2580251801308,4.15861439208343 51.2585821824864,4.15118304470731 51.2600770716991,4.14435863028834 51.2624524891391,4.13840315773337 51.2656172768956,4.13354541830092 51.2694499614785,4.12997220466512 51.2738033995571,4.12782111560473 51.2785104106047,4.12717522536298 51.2833901833286,4.12805982899174 51.2882552124669,4.13044139817682 51.2929185011659,4.13422879863447 51.2972007526774,4.13927673313503 51.30093727418,4.14539128690033 51.3039843253615,4.15233736815401 51.3062246648182,4.15984775968506 51.3075720776846,4.16763343099576 51.3079747071205,4.17539470816781 51.3074170588251,4.18283286262885 51.305920599756,4.18966166238295 51.3035429275398,4.19561843089647 51.3003755433567,4.20047417961448 51.2965403159795,4.20404241893253 51.292184775856,4.20618630736714 51.2874764235298,4.20682386690436 51.282596274491)))', 'BEKDE', 'Kieldrecht', 'Y'),('SRID=4326;MULTIPOLYGON(((2.78970312448257 51.1330781275624,2.78896245123521 51.1282033123228,2.78672493044649 51.1235130534367,2.78307694594671 51.1191875136815,2.77815895465416 51.1153927986082,2.77216004842088 51.1122745918555,2.76531067283741 51.1099525786819,2.75787378496763 51.1085158686653,2.75013478771577 51.1080195901147,2.74239062160921 51.1084827842182,2.73493842414605 51.1098876779327,2.72806418182562 51.1121803628572,2.72203180022326 51.1152728546263,2.71707300298418 51.1190464555392,2.7133784417165 51.1233562940095,2.7110903561314 51.1280368697283,2.71029706846247 51.1329083948108,2.71102952968217 51.1377836901232,2.71326005927441 51.1424753737306,2.71690333775454 51.1468030659551,2.72181962465372 51.150600333552,2.72782008759978 51.1537211042843,2.73467404400827 51.1560453025505,2.74211783942685 51.157483486112,2.74986501933904 51.1579803023256,2.7576173974801 51.1575166281488,2.76507658614266 51.1561103097115,2.77195553448003 51.1538154723162,2.77798962046902 51.1507204280228,2.78294686098848 51.1469442631309,2.78663684142821 51.1426322395695,2.78891801946721 51.1379501903072,2.78970312448257 51.1330781275624)))', 'BENIE', 'Nieuwpoort', 'Y'),('SRID=4326;MULTIPOLYGON(((2.95677560302634 51.2170214494703,2.95601596899362 51.2121477623329,2.95375743979121 51.2074607658941,2.95008720691751 51.203140496379,2.94514658118696 51.1993528558114,2.93912552192915 51.1962432553,2.93225532281505 51.1939310491449,2.92479973749453 51.1925049702886,2.91704488390533 51.192019739165,2.90928830910859 51.1924939734194,2.90182762575506 51.1939094769219,2.89494914611488 51.1962119347206,2.8889169396849 51.1993129878796,2.88396272571924 51.2030936103511,2.88027698293641 51.207408660943,2.87800161581132 51.2120924388074,2.87722446132233 51.2169650323297,2.87797585328171 51.2218392203129,2.88022738539375 51.2265276621947,2.88389293140301 51.2308501016946,2.88883189402827 51.2346403064287,2.89485456713416 51.2377524749172,2.90172941135741 51.2400668619087,2.90919196587305 51.2414944024479,2.91695505174595 51.2419801535724,2.92471986862289 51.2415054184715,2.93218754906967 51.2400884695245,2.93907071557149 51.2377838417395,2.94510458509992 51.2346802244135,2.95005718521064 51.2308970339654,2.95373828288143 51.2265798025385,2.9560066808142 51.2218945629929,2.95677560302634 51.2170214494703)))', 'BEOST', 'Oostende (Ostend)', 'Y'),('SRID=4326;MULTIPOLYGON(((3.23987558029564 51.332925131651,3.23908403890966 51.3280534338213,3.23679100117375 51.3233720507413,3.23308498464499 51.3190608009985,3.228108672975 51.3152852384273,3.22205339270477 51.3121903090136,3.21515174718628 51.3098948030229,3.20766869271243 51.3084868121617,3.19989139749363 51.3080203629867,3.19211826694395 51.3085133531017,3.18464754777839 51.309946867578,3.17776593800462 51.3122659012302,3.17173762969726 51.3153814596877,3.16679419647149 51.3191739604485,3.16312570815576 51.3234978060818,3.16087341197622 51.3281869572134,3.16012426367504 51.3330612945054,3.16090752488893 51.3379335280098,3.16319356678641 51.3426163902921,3.16689493686279 51.3469298375699,3.17186965884734 51.3507079814544,3.17792664821579 51.3538054829783,3.18483304142294 51.3561031602955,3.19232315938392 51.3575125911344,3.20010875853582 51.3579795297144,3.20789016926449 51.3574860039241,3.21536788427126 51.356051010244,3.22225414049444 51.3537297790553,3.22828403848027 51.3506116392838,3.23322576260091 51.3468165664135,3.23688950322521 51.3424905494552,3.23913473592058 51.3377999583474,3.23987558029564 51.332925131651)))', 'BEZEE', 'Zeebrugge', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9671491506437 43.1287164339794,27.9664161638937 43.1238423751663,27.9643993419642 43.1191666814513,27.96117644059 43.1148689703801,27.9568714761589 43.1111143045565,27.9516499352486 43.1080468630001,27.9457124076609 43.1057844172596,27.9392868887311 43.1044138220062,27.932620045065 43.1039876909011,27.9259677751765 43.1045223834161,27.9195854217244 43.1059973786527,27.9137180044717 43.1083560598438,27.9085908423927 43.1115078800136,27.9044009195376 43.1153318270938,27.901309322692 43.119681057541,27.8994350402708 43.1243885229338,27.8988503623379 43.1292733758336,27.8995780626565 43.134147910825,27.9015904771093 43.138824775346,27.9048105209597 43.1431241736068,27.9091146128521 43.1468807861441,27.9143373990458 43.1499501375692,27.9202781001566 43.1522141655729,27.9267082377092 43.1535857745987,27.933380441954 43.1540121966475,27.940037998277 43.1534770279538,27.9464247592069 43.1520008619103,27.9522950339821 43.1496404935288,27.9574230685964 43.1464867266449,27.961611746165 43.1426608696965,27.9647001694864 43.1383100569869,27.9665698332863 43.1336015778226,27.9671491506437 43.1287164339794)))', 'BGADB', 'Ada Bahcha', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6858812496828 42.6368021590481,27.6851766932745 42.6319256846469,27.6831974888593 42.6272443726349,27.6800199421597 42.6229380588793,27.6757663252515 42.6191721390558,27.6706001533385 42.6160912268298,27.6647198932562 42.6138136129383,27.6583513466305 42.6124267356004,27.6517389988454 42.6119838338622,27.6451366622597 42.6125019104339,27.6387977673848 42.6139610809791,27.6329656682994 42.616305334455,27.6278643280983 42.6194446758603,27.6236897366517 42.6232585705159,27.6206023867516 42.6276005596654,27.6187210965623 42.6323038725165,27.6181184172525 42.6371878215327,27.6188178062588 42.6420647372798,27.6207926806673 42.6467471776849,27.6239673939599 42.6510551350933,27.6282201054214 42.6548229635981,27.6333874376949 42.6579057589548,27.6392707472909 42.6601849437367,27.6456437683232 42.6615728405705,27.6522613342196 42.6620160552011,27.6588688382103 42.6614975372831,27.6652120630929 42.6600372383441,27.671046995584 42.6576913412146,27.6761492412286 42.6545500911276,27.6803226723118 42.6507343133416,27.683406972697 42.6463907533027,27.6852837884812 42.6416864209564,27.6858812496828 42.6368021590481)))', 'BGAHE', 'Aheloy', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9665920670939 42.1007219421512,27.9658725389886 42.0958468946222,27.9638900502687 42.0911700326429,27.9607210244421 42.0868710209359,27.9564873991561 42.0831149754378,27.9513519168825 42.0800461320968,27.9455118637941 42.0777823202039,27.9391914984879 42.0764104501792,27.9326334599291 42.0759831868028,27.9260894808406 42.0765169337483,27.9198107576691 42.0779912055978,27.9140383405518 42.0803494111112,27.9089939060236 42.083501018249,27.9048712615858 42.0873250192231,27.9018289050368 42.0916745645435,27.8999839233886 42.096382590433,27.8994074673406 42.1012682257746,27.9001219791434 42.1061437343873,27.9021002861247 42.1108217271467,27.9052666014084 42.1151223671793,27.9094994000031 42.1188802906509,27.9146360652938 42.121950975709,27.9204791310046 42.1242163126776,27.9268038798946 42.1255891589577,27.933367005637 42.1260167011428,27.939916001031 42.1254824931133,27.9461989059419 42.1240070904829,27.9519740336008 42.1216472566431,27.9570192948174 42.1184937715315,27.9611407562353 42.1146679288407,27.9641801001607 42.1103168584454,27.9660206982266 42.1056078563012,27.9665920670939 42.1007219421512)))', 'BGAKH', 'Akhtopol', 'Y'),('SRID=4326;MULTIPOLYGON(((28.1332867521839 43.3776653460949,28.1325371322144 43.3727927425472,28.1304990370463 43.3681204118957,28.1272510420239 43.3638278411005,28.1229181283141 43.3600798938916,28.1176668553014 43.3570204899722,28.1116989525887 43.3547670912681,28.1052435789292 43.3534062045324,28.0985485438438 43.35299007062,28.0918708250028 43.3535346655916,28.0854667396336 43.355019089149,28.0795821405467 43.3573863635431,28.0744430065491 43.3605456129015,28.0702467830211 43.3643755407815,28.0671548016581 43.3687290745443,28.0652860695306 43.3734390006429,28.0647126677982 43.378324376791,28.0654569411203 43.3831974766904,28.0674905919213 43.3878710017821,28.0707357214713 43.3921652832634,28.0750677848461 43.395915196968,28.0803203521175 43.3989765238117,28.0862914966443 43.4012315091207,28.0927515661366 43.4025934045957,28.0994520361753 43.40300981581,28.1061351016668 43.4024647244862,28.1125436314043 43.4009791064878,28.1184310959619 43.3986101214067,28.1235710802911 43.3954489055523,28.1277660095572 43.3916170547484,28.1308547491051 43.3872619343816,28.1327187854014 43.3825509995446,28.1332867521839 43.3776653460949)))', 'BGALB', 'Albena', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8751817818928 43.1857436165593,27.8744553389412 43.1808689583769,27.87244355379 43.1761916445979,27.8692239899687 43.1718913553296,27.8649205369877 43.1681332523477,27.8596986245413 43.165061646628,27.8537588575456 43.1627944694097,27.8473293177403 43.1614187567025,27.8406568260526 43.1609873182599,27.833997497335 43.1615167169509,27.8276069443962 43.1629866348475,27.8217305007487 43.1653406499977,27.8165938308635 43.1684883946448,27.8123942829677 43.1723090134713,27.8092933128924 43.1766557911721,27.8074102689113 43.1813617740726,27.8068177779855 43.1862461722747,27.8075389148378 43.1911212983983,27.8095462686989 43.1957997776342,27.812762950663 43.2001017524448,27.8170655099567 43.2038618044463,27.822288652942 43.2069353259422,27.8282315873652 43.2092040940338,27.8346657492747 43.2105808305151,27.8413436140696 43.2110125697721,27.8480082488897 43.2104827031394,27.8544032331196 43.2090116197851,27.8602825586229 43.2066559190917,27.8654201221922 43.2035062254247,27.8696184395459 43.1996836908223,27.8727162421925 43.1953353222492,27.8745946640709 43.1906283155754,27.8751817818928 43.1857436165593)))', 'BGAMO', 'Amonal', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9291868596116 43.1957274326525,27.9284559925691 43.1908531665233,27.9264397598423 43.1861768514043,27.9232158956436 43.1818781287482,27.9189084542972 43.1781220999279,27.9136830181762 43.1750529961191,27.9077403269633 43.1727886524445,27.9013085741716 43.1714159961696,27.8946346653049 43.1709877198331,27.8879747694161 43.1715202650854,27.8815845210947 43.1729931933895,27.8757092423799 43.1753499673819,27.8705745534208 43.1785001134842,27.8663777269096 43.1823226841841,27.8632801147426 43.1866708891371,27.8614009367546 43.1913777196732,27.8608126718077 43.1962623530782,27.8615382324854 43.2011370926337,27.8635500380298 43.2058145780738,27.8667710282266 43.2101149897749,27.8710775862928 43.2138729692227,27.8763042643271 43.216943988276,27.8822501335779 43.2192099202337,27.8886865167045 43.220583596028,27.8953658032764 43.2210121679079,27.9020310055331 43.2204791492288,27.908425681038 43.2190050506028,27.9143038337532 43.2166465875646,27.9194394059893 43.2134944908344,27.9236349905839 43.2096700048904,27.926729424712 43.2053202116553,27.9286039723666 43.2006123616005,27.9291868596116 43.1957274326525)))', 'BGANT', 'Anton Ivanov', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7667186130677 42.3357794852589,27.7660114928559 42.3309032756685,27.7640360705867 42.3262230874392,27.7608685023663 42.3219187135337,27.756630673582 42.3181554758057,27.7514854910249 42.3150778859076,27.7456306150305 42.3128041081316,27.7392908736122 42.3114214344923,27.732709648558 42.3109829435057,27.7261395605451 42.3115054690408,27.7198328054527 42.3129689559967,27.7140315065155 42.3153172271746,27.7089584464237 42.318460132452,27.7048085299538 42.3222769991354,27.7017413015561 42.3266212530243,27.6998748042624 42.3313260350771,27.6992810173903 42.3362106002787,27.6999830522934 42.341087254851,27.7019542197048 42.3457685665492,27.7051190112816 42.3500745713728,27.7093559643557 42.3538396991756,27.7145023054554 42.3569191505587,27.7203601978684 42.3591944778357,27.726704354359 42.360578153094,27.7332907209843 42.3610169453302,27.7398658943088 42.3604939748129,27.74617690426 42.3590293643872,27.7519809798395 42.3566794622905,27.7570549156385 42.353534666938,27.7612036735629 42.3497159387699,27.764267885541 42.345370135381,27.7661299677637 42.3406643517098,27.7667186130677 42.3357794852589)))', 'BGARK', 'Arkutino', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9341801148007 43.1837260001666,27.9334490107286 43.178851758171,27.9314328092157 43.1741755212079,27.928209243086 43.1698769277302,27.9239023550589 43.166121074171,27.9186777061552 43.1630521850125,27.9127360057915 43.1607880871809,27.9063054094664 43.1594156985495,27.8996327783716 43.1589877014212,27.8929742326342 43.1595205267533,27.8865853551563 43.1609937252633,27.880711415485 43.1633507492005,27.8755779824612 43.1665011153568,27.8713822806014 43.1703238677217,27.8682856185963 43.1746722089169,27.8664071797038 43.1793791249816,27.8658194142527 43.1842637898647,27.8665452154532 43.1891385056016,27.8685569931053 43.1938159128236,27.8717776878775 43.1981161949164,27.8760836941887 43.201873998371,27.8813095852521 43.2049448018513,27.8872544625444 43.2072104869927,27.8936896869086 43.2085838942684,27.9003676925755 43.2090121862958,27.9070315411877 43.208478887222,27.9134248425275 43.2070045184523,27.9193016535549 43.2046458058991,27.9244359682912 43.2014934898471,27.9286304279882 43.1976688231609,27.9317239130636 43.1933188946567,27.9335977239186 43.1886109599486,27.9341801148007 43.1837260001666)))', 'BGASP', 'Asparuhovo Keya', 'Y'),('SRID=4326;MULTIPOLYGON(((28.2012983304875 43.3996448158762,28.2005429620622 43.3947727438535,28.1984988966354 43.3901017129783,28.1952449388029 43.3858111598917,28.1909062983851 43.382065870504,28.1856497541099 43.3790096622308,28.1796772372953 43.3767598741964,28.1732180831604 43.3754028745561,28.1665202457896 43.3749907550735,28.1598408100689 43.3755393379101,28.1534361590444 43.3770275699178,28.1475521674442 43.3793983273603,28.1424147912217 43.3825606007941,28.1382214089361 43.3863929777126,28.1351332439517 43.3907482913575,28.1332691575307 43.395459259624,28.1327010530208 43.4003448998886,28.1334510719893 43.4052174753301,28.1354906962203 43.4098897071418,28.1387417972493 43.4141819758512,28.1430796001789 43.41792923436,28.148337453782 43.4209873654719,28.1543132274076 43.4232387373279,28.1607770900173 43.4245967406498,28.1674803707035 43.4250091308724,28.1741651558842 43.4244600446166,28.1805742481057 43.4229706116715,28.1864610965077 43.4205981386055,28.191599310215 43.4174338960502,28.1957913831697 43.4135995962934,28.1988762913418 43.4092426988279,28.2007356692897 43.4045307268806,28.2012983304875 43.3996448158762)))', 'BGBAL', 'Balchik', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9291874178554 43.1967274275503,27.9284565374598 43.1918531623794,27.9264402704568 43.1871768483836,27.9232163523889 43.1828781269705,27.9189088396589 43.1791220994617,27.9136833173858 43.1760529969787,27.9077405285593 43.1737886545894,27.9013086704348 43.1724159995067,27.8946346525503 43.1719877242212,27.8879746481328 43.1725202703425,27.8815842959269 43.1739931993009,27.875708921951 43.1763499737101,27.8705741500067 43.1795001199789,27.8663772559727 43.1833226905925,27.8632795943435 43.1876708952135,27.861400386864 43.192377725188,27.8608121135431 43.1972623578254,27.8615376873017 43.2021370964376,27.8635495268947 43.2068145807941,27.8667705708124 43.2111149913105,27.8710772002157 43.214872969515,27.8763039644646 43.2179439873101,27.8822499314907 43.2202099180392,27.8886864201868 43.2215835926786,27.8953658160517 43.2220121635194,27.9020311271094 43.2214791439564,27.9084259067264 43.2200050446365,27.914304154851 43.2176465811232,27.9194398101187 43.2144944841584,27.9236354621738 43.2106699982331,27.9267299456022 43.2063202052733,27.9286045225117 43.2016123557429,27.9291874178554 43.1967274275503)))', 'BGBHZ', 'Buhta zapad', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7321896650634 43.197786291697,27.7314744337545 43.1929106528752,27.7294731227513 43.1882307570822,27.7262628941828 43.1839263842978,27.7219672803173 43.1801628536259,27.7167514112649 43.1770846847202,27.710815661274 43.1748100608132,27.7043879589586 43.1734263035742,27.6977150553576 43.1729865311831,27.6910530812481 43.1735076259582,27.6846577505504 43.1749695882925,27.6787745792725 43.1773163013148,27.6736294889214 43.1804576774827,27.6694201496503 43.1842731061195,27.6663083919884 43.1886160716009,27.6644139775208 43.1933197672656,27.6638099694402 43.198203491833,27.6645198849681 43.2030795846312,27.6665167451125 43.2077606344971,27.6697240653473 43.2120666857541,27.6740187561716 43.2158321637661,27.6792358280009 43.2189122524147,27.6851747234755 43.2211884762038,27.6916070351103 43.2225732698963,27.6982853101391 43.2230133575217,27.7049526000327 43.2224918087698,27.7113523815904 43.2210286923617,27.7172384612006 43.218680300866,27.7223844745895 43.2155369773577,27.7265926110806 43.2117196289784,27.7297012232576 43.2073750636157,27.7315910284072 43.2026703314983,27.7321896650634 43.197786291697)))', 'BGBLV', 'Beloslav', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9741931177462 43.2077139221078,27.9734585126795 43.2028399896214,27.9714384465053 43.1981645143253,27.968210800604 43.19386710516,27.9638997742857 43.1901128128437,27.9586710872078 43.1870458017298,27.9527256034334 43.1847838265315,27.9462916232565 43.1834137236064,27.9396161373396 43.1829880875634,27.9329553750666 43.1835232588354,27.9265650042531 43.1849986982316,27.9206903517931 43.1873577721273,27.9155570141106 43.1905099187381,27.9113622124523 43.1943341137633,27.9082672214525 43.1986835044253,27.9063911607526 43.2033910363771,27.905806389859 43.2082758597555,27.9065356873563 43.213150270294,27.9085513289525 43.2178269201074,27.9117761068686 43.2221260214457,27.9160862584197 43.2258822659729,27.9213161971244 43.2289511921293,27.9272648683716 43.2312147536539,27.9337034866037 43.2325858726847,27.9403843550558 43.2330117999201,27.9470504249013 43.2324761505956,27.953445220294 43.2309995366812,27.9593227407377 43.2286387706116,27.9644569531842 43.2254846717896,27.9686505032124 43.2216585617223,27.9717423067383 43.217307584735,27.9736137293846 43.2125990366782,27.9741931177462 43.2077139221078)))', 'BGBN2', 'Buna 102', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9831941438606 43.2097112214681,27.9824587962775 43.2048373556998,27.9804379769664 43.2001620482994,27.9772095962152 43.1958649017084,27.9728978815018 43.1921109565204,27.9676685788405 43.1890443637322,27.9617225758417 43.186782861985,27.9552881926494 43.1854132694658,27.9486124353317 43.1849881612083,27.9419515436536 43.1855238574127,27.9355611903963 43.1869997987677,27.9296867018139 43.1893593324052,27.9245536681044 43.1925118789075,27.9203592989309 43.1963363986228,27.9172648524164 43.200686026292,27.9153894273818 43.2053936984365,27.9148053589877 43.2102785597658,27.915535398871 43.2151529045054,27.9175517942176 43.2198293872462,27.9207773082479 43.224128226612,27.9250881499164 43.2278841242998,27.930318706123 43.2309526320623,27.9362678984169 43.2332157197209,27.942706921113 43.2345863276478,27.9493880618206 43.2350117262223,27.9560542612017 43.2344755510463,27.9624490384246 43.23299843435,27.9683263937264 43.2306372079368,27.9734603004774 43.2274827089345,27.9776534161026 43.2236562742453,27.9807446733209 43.2193050606655,27.9826154588532 43.2145963731143,27.9831941438606 43.2097112214681)))', 'BGBN3', 'Buna 103', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9671915124226 43.2047160301444,27.9664575042592 43.1998420444621,27.9644380735009 43.1951664370284,27.961211077118 43.1908688219014,27.9569006895039 43.1871142577459,27.9516726058434 43.18404691938,27.9457276671005 43.1817845740955,27.9392941527176 43.1804140724587,27.9326190355407 43.1799880243729,27.9259585308435 43.1805227860677,27.9195682965712 43.1819978340506,27.9136936543621 43.1843565496987,27.9085602002029 43.1875083849637,27.9043651597442 43.1913323274911,27.9012698167071 43.1956815342042,27.8993933041679 43.2003889578387,27.8988079989133 43.2052737527217,27.8995367000023 43.2101482157195,27.9015517060343 43.2148249969729,27.904775833663 43.2191243037203,27.9090853452372 43.2228808197636,27.9143146789419 43.2259500731273,27.9202628035061 43.2282140049785,27.9267009544749 43.2295855232103,27.9333814531241 43.2300118631518,27.9400472648988 43.229476624141,27.9464419238986 43.2280004023376,27.9523194348603 43.2256399950681,27.957453765056 43.2224862079151,27.9616475554674 43.2186603503903,27.9647397126822 43.2143095571114,27.9666115886368 43.2096011168828,27.9671915124226 43.2047160301444)))', 'BGBNA', 'Buna 101', 'Y'),('SRID=4326;MULTIPOLYGON(((27.4837992343133 42.4828623114217,27.4831122447733 42.477984373272,27.4811530761692 42.4732993424318,27.4779972636325 42.4689871989645,27.4737662446601 42.4652135637001,27.4686226678606 42.4621233475925,27.4627641344821 42.4598351992575,27.4564156144192 42.45843696158,27.4498208266558 42.4579823095321,27.4432329114465 42.4584886963569,27.43690474691 42.4599366856996,27.431079275397 42.4622706949222,27.4259802046647 42.4654011215822,27.4218034355458 42.4692077727989,27.4187095417933 42.4735444678386,27.416817589833 42.4782446395238,27.4162005373445 42.4831277216751,27.4168823913914 42.4880060791963,27.418837241097 42.4926922158578,27.4219902088428 42.497005983245,27.4262202902256 42.5007815133013,27.4313649793772 42.5038736066079,27.4372265057046 42.5061633287621,27.4435794436639 42.5075625972795,27.4501794016865 42.5080175802516,27.4567724523919 42.507510774055,27.463104935828 42.5060616788901,27.4689332521307 42.5037260457467,27.4740332604495 42.5005937242946,27.4782089172133 42.4967851958793,27.4812998180158 42.4924469270212,27.4831873520809 42.4877457244969,27.4837992343133 42.4828623114217)))', 'BGBOJ', 'Burgas', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5052839052401 43.381553799176,28.5045045043129 43.3766840727139,28.5024378922557 43.3720187929976,28.4991637377757 43.3677371742763,28.4948080236428 43.3640036582625,28.4895381811554 43.360961609726,28.4835566492863 43.3587278241221,28.4770931069996 43.3573880557333,28.4703956754146 43.3569937356716,28.4637214235654 43.3575600038227,28.4573265364079 43.3590651290929,28.4514565157835 43.3614513399263,28.4463367839383 43.3646270338717,28.4421640449296 43.3684702828849,28.4390987322043 43.3728335019203,28.4372588315321 43.3775491039835,28.4367153184255 43.3824359268409,28.4374893896836 43.3873061864771,28.439551601655 43.3919726913864,28.4428229555052 43.3962560407954,28.4471778948354 43.3999915295102,28.4524491063045 43.4030354924351,28.4584339425253 43.4052708426667,28.4649022214764 43.4066115877217,28.4716051009239 43.4070061477994,28.4782846824452 43.4064393464738,28.4846839696896 43.4049329960097,28.4905567909421 43.4025450544878,28.4956772975866 43.3993673878411,28.4998486676105 43.3955222244398,28.5029106759831 43.3911574407778,28.5047458399925 43.3864408620492,28.5052839052401 43.381553799176)))', 'BGBOL', 'Bolata', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9299970542235 42.852728890343,27.9292706511869 42.847854302666,27.9272659993844 42.8431776203462,27.9240603835855 42.8388784997138,27.9197771539746 42.8351220585647,27.9145809615809 42.8320525452406,27.9086714234659 42.8297878119123,27.9022754622029 42.8284148019218,27.8956386124041 42.8279862221265,27.88901562427 42.8285185260783,27.8826607192957 42.82999128423,27.8768178656917 42.8323479649941,27.8717114404026 42.835498097248,27.8675376308787 42.8393207326918,27.8644569033014 42.8436690771813,27.8625878255342 42.8483761155796,27.8620024837373 42.8532610164557,27.8627236728451 42.8581360725702,27.8647239748328 42.8628139117739,27.8679267671505 42.8671147016117,27.8722091294636 42.8708730701666,27.8774065427818 42.8739444756668,27.8833192041694 42.8762107778748,27.8897197155637 42.8775847946007,27.8963618496356 42.8780136657206,27.9029900517016 42.8774808933309,27.9093493064918 42.8760069782944,27.9151949835755 42.8736486283241,27.9203022761592 42.8704965686641,27.9244748647557 42.8666720410446,27.9275524690592 42.8623221276763,27.9294169966967 42.8576140825434,27.9299970542235 42.852728890343)))', 'BGBYL', 'Byala', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8751817818928 43.1857436165593,27.8744553389412 43.1808689583769,27.87244355379 43.1761916445979,27.8692239899687 43.1718913553296,27.8649205369877 43.1681332523477,27.8596986245413 43.165061646628,27.8537588575456 43.1627944694097,27.8473293177403 43.1614187567025,27.8406568260526 43.1609873182599,27.833997497335 43.1615167169509,27.8276069443962 43.1629866348475,27.8217305007487 43.1653406499977,27.8165938308635 43.1684883946448,27.8123942829677 43.1723090134713,27.8092933128924 43.1766557911721,27.8074102689113 43.1813617740726,27.8068177779855 43.1862461722747,27.8075389148378 43.1911212983983,27.8095462686989 43.1957997776342,27.812762950663 43.2001017524448,27.8170655099567 43.2038618044463,27.822288652942 43.2069353259422,27.8282315873652 43.2092040940338,27.8346657492747 43.2105808305151,27.8413436140696 43.2110125697721,27.8480082488897 43.2104827031394,27.8544032331196 43.2090116197851,27.8602825586229 43.2066559190917,27.8654201221922 43.2035062254247,27.8696184395459 43.1996836908223,27.8727162421925 43.1953353222492,27.8745946640709 43.1906283155754,27.8751817818928 43.1857436165593)))', 'BGCHA', 'Chayka', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6737798337604 42.4488064099254,27.6730785160022 42.4439296802974,27.6711063198507 42.4392479585022,27.6679392794329 42.4349410966234,27.6636992616486 42.4311745120463,27.6585492587316 42.4280928447065,27.6526871169058 42.4258144150527,27.6463379432778 42.4244266932097,27.6397454812281 42.4239829510125,27.6331627817638 42.4245002235328,27.6268425235229 42.4259586571151,27.6210273466618 42.4283022685708,27.6159405653949 42.4314410869266,27.6117776104713 42.4352545968798,27.608698526752 42.4395963537643,27.6068218129856 42.4442995951561,27.6062198419818 42.4491836359279,27.6069160411071 42.454060803055,27.6088839472557 42.458743645022,27.6120481794146 42.4630521392095,27.6162872982162 42.4668206197282,27.6214384482891 42.4699041580026,27.6273036087663 42.4721841487512,27.633657212979 42.4735728841864,27.64025484303 42.4740169381627,27.6468426611301 42.4734992281429,27.653167209375 42.4720396743881,27.6589851944937 42.4696944306229,27.6640728747403 42.4665537163252,27.6682346825048 42.4627383354377,27.6713107475716 42.4583950174592,27.6731830307548 42.4536907624761,27.6737798337604 42.4488064099254)))', 'BGCHM', 'Chernomorets', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9081943183785 43.2087336428571,27.9074649475251 43.2038592398796,27.9054498665 43.1991825547183,27.9022267655663 43.1948832431158,27.8979196700326 43.1911264290991,27.8926941492575 43.1880563739887,27.8867509463679 43.1857909493882,27.8803182746195 43.1844171239909,27.8736430747857 43.1839876351343,27.8669815653678 43.1845189709371,27.860589442707 43.1859907392339,27.8547121005627 43.1883464471701,27.8495752380646 43.1914956621137,27.8453762111577 43.1953174723662,27.8422764561059 43.1996651168831,27.8403952750143 43.2043716086435,27.8398052237676 43.2092561380822,27.8405292837584 43.2141310126045,27.8425399321549 43.2188088668648,27.8457601535214 43.2231098671359,27.8500663609376 43.2268686323065,27.8552931202534 43.2299406040108,27.8612394997861 43.2322076188609,27.8676768026649 43.2335824660623,27.8743573830687 43.234012252717,27.8810242033524 43.2334804453689,27.8874207586429 43.2320075079723,27.8933009803528 43.2296501113667,27.8984387309651 43.2264989452688,27.9026365193283 43.2226752184229,27.9057330977359 43.2183259836573,27.9076096476985 43.2136184700935,27.9081943183785 43.2087336428571)))', 'BGCHN', 'Cherno more', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5727842351032 42.4558361519481,27.5720906607448 42.450958763198,27.5701257387201 42.4462752652689,27.5669652243528 42.4419655789569,27.5627307347647 42.4381952304769,27.5575850508801 42.4351090044844,27.5517258540302 42.4328253964657,27.5453781390176 42.431432075197,27.5387855936913 42.430982527198,27.5322012723541 42.4314940100835,27.5258779156255 42.4329468921339,27.5200582820007 42.435285403046,27.5149658559528 42.4384197675685,27.5107962840213 42.4422296414811,27.5077098642683 42.4465687199962,27.5058253764897 42.4512703439676,27.5052154917208 42.4561538909232,27.5059039413519 42.4610317073862,27.5078645604304 42.4657163174448,27.511022248717 42.4700276309914,27.5152558193354 42.4737998740795,27.5204026312667 42.4768879736168,27.5262648314454 42.4791731488867,27.5326169678396 42.4805674925129,27.5392146794849 42.4810173623312,27.5458041255524 42.4805054517324,27.5521317852282 42.4790514575516,27.5579542449324 42.4767113194042,27.563047589947 42.4735750602732,27.5672160338288 42.4697633128163,27.5702994502519 42.4654226670508,27.5721795166502 42.4607200207225,27.5727842351032 42.4558361519481)))', 'BGCHO', 'Chukalya', 'Y'),('SRID=4326;MULTIPOLYGON(((28.4232975580155 43.4035782090189,28.4225243795818 43.3987078537835,28.4204632243805 43.3940410320389,28.4171935522712 43.3897570176242,28.4128411747742 43.386020344489,28.4075733959648 43.3829744987153,28.4015925763563 43.3807364214863,28.3951283681031 43.3793920316588,28.3884289181096 43.3789929374932,28.3817513727704 43.3795544618592,28.3753520430348 43.3810550555238,28.3694766006166 43.3834371207469,28.364350675114 43.3866092142182,28.3601712076006 43.3904495462711,28.3570988892479 43.3948106441537,28.3552519744831 43.399525002737,28.354701708171 43.4044115080244,28.3554695468369 43.4092823886873,28.3575262869174 43.4139504297956,28.3607931407151 43.4182361718728,28.3651447257722 43.421974817949,28.3704138586559 43.4250225815797,28.3763979727082 43.4272622296051,28.3828669142257 43.428607604029,28.389571815707 43.4290069466947,28.3962547008172 43.4284448969006,28.4026584456745 43.4269430838715,28.4085367064028 43.424559290985,28.4136634243419 43.4213852245724,28.4178415377778 43.4175429746631,28.4209105616856 43.4131803059849,28.4227527431878 43.4084649628061,28.4232975580155 43.4035782090189)))', 'BGDAL', 'Dalboka', 'Y'),('SRID=4326;MULTIPOLYGON(((28.6073995119443 43.5885214038976,28.6066087701731 43.5836527143356,28.604526816854 43.5789896771681,28.6012339122157 43.5747114195073,28.5968567602684 43.5709822528979,28.5915636154507 43.5679453740653,28.5855578102507 43.5657173791389,28.5790699534866 43.5643837995534,28.5723490971863 43.5639958286625,28.5656532071025 43.564568362809,28.5592392967868 43.5660794308622,28.5533535971599 43.5684710338434,28.5482221323117 43.5716513630882,28.5440420578853 43.5754983133199,28.5409740911963 43.5798641579162,28.5391363229587 43.5845812093015,28.5385996502226 43.5894682494734,28.5393850104041 43.594337485614,28.5414625289837 43.599001764788,28.5447526208816 43.6032817707992,28.5491290103021 43.6070129259326,28.5544235588951 43.6100517307279,28.5604327204612 43.6122812958455,28.5669253752061 43.613615850803,28.5736517406523 43.614004053755,28.5803530123291 43.6134309730294,28.5867713573852 43.6119186629689,28.5926598697508 43.6095253116364,28.5977920971223 43.6063429938675,28.6019707677703 43.6024941176733,28.6050353780921 43.5981267028868,28.6068683483507 43.5934086761303,28.6073995119443 43.5885214038976)))', 'BGEZE', 'Ezerets', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8111884781176 43.1967626883292,27.810466977919 43.1918875928673,27.808459686684 43.187209126142,27.805243995816 43.1829070128443,27.8009436467121 43.1791464850068,27.7957239505483 43.1760719468113,27.7897854277555 43.1738014420671,27.7833561127646 43.172422134411,27.7766828181116 43.1719869714138,27.7700216894601 43.1725126587063,27.7636284084554 43.1739790206368,27.7577484128771 43.1763297716307,27.7526075029743 43.1794746692098,27.7484031891538 43.183292967447,27.7452971097119 43.1876380403387,27.7434088087651 43.1923429999728,27.7428111150466 43.1972270961093,27.7435273032643 43.2021026533478,27.7455301531556 43.2067822806624,27.7487429494713 43.211086076673,27.7530423914838 43.2148485531695,27.7582633061145 43.2179250093044,27.7642049874325 43.2201971092795,27.7706389201503 43.2215774465984,27.7773175887246 43.2220129169332,27.7839840293602 43.2214867678637,27.7903817517097 43.2200192453431,27.7962646418388 43.2176668116354,27.8014064588297 43.214519965397,27.8056095541802 43.2106997492208,27.8087124750958 43.2063530810991,27.8105961583171 43.201647091803,27.8111884781176 43.1967626883292)))', 'BGEZR', 'Ezerovo', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0922506624966 43.3126780266113,28.0915052239337 43.3078050555907,28.0894725341605 43.3031318841533,28.0862309602319 43.2988380319111,28.0819052364174 43.2950884121818,28.0766616461056 43.2920270092342,28.0707016243635 43.2897713620121,28.0642540280804 43.2884080637497,28.0575663690335 43.2879894479117,28.0508953425401 43.288531585748,28.0444970095468 43.2900136710998,28.0386170023688 43.2923788157336,28.0334811234896 43.2955362252803,28.0292866928928 43.2993646737082,28.0261949726685 43.3037171450358,28.0243249588553 43.3084264664726,28.0237487807294 43.3133117190321,28.024488888539 43.3181851813552,28.0265171438808 43.3228595412423,28.0297558548018 43.3271550981508,28.0340807228996 43.3309066792432,28.0393255950616 43.3339700016513,28.0452888410713 43.3362272342104,28.0517411131741 43.3375915423331,28.0584341877414 43.3380104388125,28.0651105449914 43.3374678096733,28.0715133124171 43.335984535871,28.0773961826013 43.33361768657,28.0825329171938 43.3304583156598,28.0867260659373 43.3266279477719,28.0898145618928 43.3222738911081,28.0916798998878 43.3175635598119,28.0922506624966 43.3126780266113)))', 'BGFRE', 'Frenkliman', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9279363641824 42.7417300533273,27.9272115720387 42.7368553451549,27.9252107996432 42.7321785016517,27.9220111812951 42.727879185599,27.9177358358078 42.7241225226719,27.9125491109669 42.7210527701616,27.9066502604097 42.7187877898487,27.9002657970081 42.7174145349131,27.8936408149867 42.7169857218473,27.8870296101721 42.7175178132314,27.8806859529031 42.7189903875834,27.874853380535 42.721346920123,27.8697558758058 42.7244969450548,27.8655892836194 42.7283195177773,27.862513792395 42.7326678461378,27.8606477677531 42.7373749152724,27.8600631770558 42.7422598923457,27.8607827846722 42.7471350671257,27.8627792316793 42.7518130630062,27.8659760422788 42.7561140417673,27.870250525112 42.7598726246014,27.8754384637251 42.7629442619292,27.8813404196959 42.7652108050236,27.8877294073814 42.7665850627851,27.8943596437756 42.7670141660501,27.9009760331206 42.7664816080579,27.9073240157791 42.7650078813277,27.9131593958942 42.7626496860791,27.9182577632744 42.7594977412398,27.9224231416856 42.7556732837003,27.9254955274954 42.7513233925591,27.9273570278547 42.7466153205994,27.9279363641824 42.7417300533273)))', 'BGIRA', 'Irakli', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9220963150516 43.0327303507241,27.9213681692009 43.0278558787005,27.9193580297687 43.0231792525552,27.9161433947561 43.0188801260936,27.9118479625192 43.0151236167676,27.906636853583 43.0120539748551,27.9007102577009 43.0097890567728,27.8942957514104 43.0084158123611,27.8876395796648 43.0079869570697,27.8809972324393 43.0085189548701,27.8746236724276 43.0099913880866,27.8687635823969 43.0123477379828,27.8636420001045 43.0154975467183,27.8594556949128 43.0193198791092,27.8563656137394 43.0236679533532,27.854490685453 43.0283747653021,27.853903223379 43.0332594926446,27.8546261066933 43.0381344349796,27.8566318550315 43.0428122244246,27.8598436388967 43.0471130300723,27.8641381939943 43.0508714788303,27.8693505333368 43.0539430251599,27.8752802798529 43.0562095227138,27.8816993773501 43.0575837811915,27.8883608819051 43.0580129307604,27.8950084916702 43.0574804626483,27.9013864427769 43.0560068661313,27.9072493839535 43.0536488370481,27.912371843382 43.0504970888803,27.9165569181644 43.0466728520728,27.9196438487026 43.0423231983579,27.9215141857838 43.037615372344,27.9220963150516 43.0327303507241)))', 'BGKAM', 'Kamchia', 'Y'),('SRID=4326;MULTIPOLYGON(((28.3843020772187 43.4105898521025,28.3835319133847 43.4057191977037,28.3814734823244 43.4010516411376,28.3782061395721 43.3967664846483,28.3738556075819 43.393028306168,28.3685891199761 43.3899806496353,28.3626089880643 43.3877405257401,28.3561448378745 43.3863939318357,28.3494448142198 43.3859925606769,28.3427660854982 43.38655182241,28.3363650079177 43.3880502545409,28.3304873199997 43.39043034223,28.3253587371869 43.3936007180687,28.3211763022031 43.3974396583903,28.3181008198406 43.4017997440062,28.3162506658152 43.4065135088437,28.3156972093331 43.4113998619304,28.3164620295576 43.4162710380142,28.3185160391399 43.4209398110251,28.3217805556755 43.4252266935267,28.3261302869764 43.428966844817,28.3313981213189 43.432016420615,28.3373815423654 43.4342581180403,28.3438504233474 43.4356057001834,28.3505558992311 43.4360073238389,28.3572399715654 43.4354475404204,28.3636454706249 43.4339478918437,28.369525984758 43.4315660781416,28.3746553682567 43.4283937294926,28.3788364565007 43.4245528699061,28.3819086497274 43.420191210761,28.3837540729622 43.4154764576857,28.3843020772187 43.4105898521025)))', 'BGKB3', 'Kavarna Buna 3', 'Y'),('SRID=4326;MULTIPOLYGON(((28.3913019761661 43.4105877525117,28.3905312525398 43.405717152912,28.3884722872736 43.4010497296819,28.3852044563824 43.3967647799087,28.3808535010091 43.3930268735595,28.3755866709651 43.3899795441091,28.3696062906402 43.387739789687,28.3631419955425 43.3863935934719,28.3564419360116 43.3859926329702,28.3497632818115 43.3865523025866,28.3433623863061 43.3880511241919,28.3374849810682 43.3904315680116,28.3323567707474 43.3936022529725,28.3281747838337 43.3974414435348,28.3250998079802 43.4018017108838,28.323250199504 43.4065155819389,28.3226973066891 43.4114019616116,28.3234626870497 43.416273083588,28.3255172316921 43.420941723838,28.3287822376011 43.4252283999943,28.3331323937122 43.4289682792637,28.3384005718951 43.4320175278123,28.3443842425187 43.4342588553451,28.350853269157 43.4356060391915,28.3575587811359 43.436007251487,28.3642427786049 43.4354470594934,28.3706480947352 43.4339470208673,28.3765283249536 43.4315648506637,28.3816573345333 43.4283921927823,28.385837973305 43.4245510831223,28.3889096588587 43.4201892426635,28.3907545357958 43.4154743839779,28.3913019761661 43.4105877525117)))', 'BGKBA', 'Kavarna Buna 1', 'Y'),('SRID=4326;MULTIPOLYGON(((27.814663880853 42.2337658332647,27.8139543300457 42.2288898549642,27.8119786735737 42.2242104129157,27.8088130749818 42.2199072714062,27.8045793426946 42.2161457051111,27.7994402252896 42.213070161787,27.7935931498369 42.2107987275173,27.7872626450251 42.2094186047338,27.7806917386928 42.2089827743647,27.7741326563918 42.2095079683707,27.7678371726695 42.2109740292866,27.7620469791687 42.2133246809991,27.7569844330766 42.2164696817221,27.752844035914 42.2202882778993,27.7497849664989 42.2246338284272,27.747924953876 42.2293394239581,27.7473357271542 42.2342242877741,27.7480402210248 42.2391007142829,27.7500116501096 42.2437812798196,27.7531744944448 42.2480860490567,27.7574073649169 42.2518494995121,27.7625476441525 42.2549268965829,27.768397728204 42.2571998719695,27.774732630351 42.2585809886189,27.7813086533004 42.2590171142956,27.787872792541 42.2584914720811,27.7941725036516 42.257024287676,27.7999654514077 42.2546720082351,27.8050288593118 42.2515251233516,27.8091680946409 42.247704673428,27.8122241554562 42.243357581784,27.8140797707452 42.238650992388,27.814663880853 42.2337658332647)))', 'BGKIT', 'Kiten', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0632151047258 43.2486870835804,28.0624728614303 43.2438138369618,28.0604446087215 43.2391400522665,28.0572085425096 43.2348452729556,28.0528891851567 43.2310944482752,28.0476525755617 43.2280316090757,28.0416998810898 43.2257743497038,28.0352596779177 43.2244093254563,28.0285791947547 43.2239889361197,28.0219148522143 43.2245293209765,28.0155224552989 43.2260097410159,28.0096474088356 43.2283733717202,28.0045153249223 43.2315294765979,28.000323377537 43.235356879479,27.9972327327808 43.2397086043529,27.9953623444932 43.2444175070054,27.994784355295 43.24930268455,27.9955212839696 43.254176418632,27.9975451133665 43.2588513868264,28.0007783209844 43.2631478654953,28.0050968196568 43.2669006466809,28.0103347012115 43.2699654016727,28.01629060464 43.272224244462,28.022735465231 43.2735902786906,28.0294213452252 43.2740109508117,28.0360910023899 43.2734700784911,28.0424878226183 43.2719884749517,28.048365727674 43.2696231448887,28.0534986702646 43.2664650835054,28.0576893456869 43.2626357648324,28.0607767814855 43.258282456542,28.0626425123557 43.2535725439092,28.0632151047258 43.2486870835804)))', 'BGKOK', 'Kokodiva', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8011829799517 43.1867657205628,27.8004624047738 43.1818905462429,27.7984562138652 43.1772118871642,27.7952417562819 43.1729094754795,27.7909427260403 43.1691485547521,27.7857243837207 43.166073544311,27.7797871978749 43.1638025061393,27.773359151742 43.1624226243725,27.7666870092923 43.1619868686166,27.760026872087 43.162511967232,27.7536343837999 43.1639777671251,27.7477549518099 43.1663280042505,27.7426143546943 43.1694724558136,27.7384100907529 43.1732903929789,27.7353037962169 43.1776352035926,27.7334150232828 43.1823400098225,27.7328166186255 43.1872240673511,27.7335318840974 43.1920997023115,27.7355336347669 43.1967795207555,27.7387451975638 43.2010836140278,27.7430433191772 43.2048464825588,27.7482628773576 43.207923410484,27.7542032184504 43.2101960439007,27.7606358788589 43.2115769558117,27.7673133921308 43.2120130197806,27.7739788390452 43.2114874605244,27.7803757675726 43.210020501265,27.7862580943476 43.2076685825513,27.7913996000881 43.2045221831843,27.7956026481656 43.2007023285353,27.7987057874534 43.1963559226775,27.8005899461134 43.1916500863043,27.8011829799517 43.1867657205628)))', 'BGKON', 'Konstantinovo', 'Y'),('SRID=4326;MULTIPOLYGON(((28.1032584021014 43.3266746481327,28.1025118912787 43.3218017720428,28.1004778735618 43.3171288217357,28.097234767144 43.3128353082421,28.0929073651957 43.3090861317814,28.0876620155043 43.3060252595228,28.0817002205722 43.3037702099769,28.0752509051965 43.3024075534011,28.0685616469604 43.3019895986249,28.0618892023955 43.3025323915471,28.0554896867559 43.3040151009084,28.0496087776984 43.3063808145783,28.0444723123563 43.3095387164002,28.0402776333408 43.3133675614895,28.0371860124649 43.317720318661,28.035316442184 43.3224298041474,28.0347410349876 43.3273150926339,28.0354822117398 43.3321884613275,28.0375117931474 43.3368626015528,28.040752036405 43.341157821125,28.0450785842324 43.3449089600899,28.0503252188753 43.3479717525048,28.0562902422097 43.3502283875328,28.0627442379437 43.3515920535409,28.0694389159517 43.3520102880225,28.0761166945902 43.3514670024962,28.0825206465401 43.3499831032159,28.0884044187563 43.3476156834665,28.093541738216 43.3444558191401,28.0977351322768 43.3406250538948,28.1008235247493 43.3362707112422,28.1026884146735 43.3315602163243,28.1032584021014 43.3266746481327)))', 'BGKRA', 'Kranevo', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5247796657254 42.4468503255839,27.5240899188447 42.4419726175887,27.5221288513999 42.4372882682243,27.5189720707813 42.4329772312518,27.514741051005 42.429205084968,27.5095984401591 42.4261166832001,27.5037418020356 42.4238306050243,27.4973960336275 42.4224346140167,27.4908047483832 42.4219822990827,27.484220952412 42.4224910239066,27.4778973661633 42.4239412624853,27.4720767567583 42.4262773458583,27.4669826457898 42.4294095918859,27.4628107440421 42.4332177376769,27.4597214385546 42.4375555448779,27.4578336194988 42.4422564033252,27.4572200855212 42.4471397201758,27.4579047080169 42.4520178510584,27.4598614690877 42.4567033082529,27.4630154169494 42.4610159693416,27.4672455088477 42.4647900087705,27.4723892379562 42.4678802844986,27.4782488702383 42.470167932156,27.4845990528676 42.4715649492272,27.4911955003703 42.4720175905976,27.4977844207295 42.471508442886,27.5041123133533 42.4700570964762,27.509935755514 42.4677193889864,27.5150307943574 42.4645852498133,27.5192015778395 42.4607752300625,27.5222878891672 42.4564358533807,27.5241712940032 42.4517339688706,27.5247796657254 42.4468503255839)))', 'BGKRE', 'Kraymorie', 'Y'),('SRID=4326;MULTIPOLYGON(((28.6074188917766 43.6225211055744,28.6066276220769 43.6176524510218,28.6045444169726 43.6129894591808,28.6012495852409 43.6087112553422,28.5968699052319 43.6049821488668,28.5915737286153 43.6019453340355,28.5855645042534 43.599717404386,28.5790729720299 43.5983838887351,28.5723483247439 43.5979959779085,28.5656486732862 43.5985685659192,28.55923117522 43.6000796795978,28.5533421988978 43.6024713182919,28.5482078940471 43.6056516720796,28.54402552537 43.6094986348749,28.5409558984839 43.6138644797046,28.5391171682329 43.6185815190939,28.5385802691117 43.6234685355729,28.5393661477842 43.6283377372557,28.541444910343 43.6330019725002,28.5447369243481 43.6372819267188,28.5491158404229 43.6410130240715,28.5544134232007 43.6440517671845,28.5604260097445 43.6462812689563,28.566922348309 43.6476157612288,28.5736525143732 43.6480039044943,28.5803575568613 43.647430769353,28.586779497474 43.6459184122699,28.5926712915213 43.643525023195,28.5978063603026 43.6403426785298,28.6019873228154 43.6364937874532,28.6050535875185 43.6321263705022,28.6068875114302 43.627408354492,28.6074188917766 43.6225211055744)))', 'BGKRP', 'Krapets', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9511743718472 43.1737209737881,27.9504420513109 43.168846843615,27.9484249010744 43.1641709071776,27.9452006901769 43.1598727913228,27.9408934858645 43.1561175741097,27.9356688610921 43.1530494555888,27.9297275241923 43.1507862331311,27.9232976166275 43.1494147910585,27.9166259731509 43.1489877754024,27.909968676059 43.1495215795057,27.903581260468 43.1509957165595,27.8977089399888 43.1533536028025,27.8925772214888 43.156504721908,27.8883832638172 43.1603280889077,27.8852883087937 43.1646768827434,27.8834114741471 43.1693840719706,27.8828251485266 43.174268819937,27.8835521696872 43.1791434253813,27.8855649003479 43.1838205330863,27.8887862443098 43.1881203378904,27.8930925707918 43.1918775046074,27.8983184404816 43.1949475363928,27.9042629555199 43.1972123445981,27.9106974906016 43.1985848034855,27.9173745064759 43.1990121122229,27.9240371029466 43.1984778328479,27.9304289381144 43.1970025245257,27.9363041255279 43.1946429493325,27.9414367218549 43.1914898807227,27.945629434606 43.187664600459,27.9487212114899 43.1833142208766,27.9505934186211 43.1786060148353,27.9511743718472 43.1737209737881)))', 'BGKRT', 'Karantinata', 'Y'),('SRID=4326;MULTIPOLYGON(((28.3933019471998 43.4105871526297,28.3925310636349 43.4057165687004,28.3904719457441 43.4010491835791,28.3872039753937 43.3967642928793,28.3828528990657 43.3930264642921,28.3775859711966 43.3899792283021,28.371605519913 43.38773957945,28.3651411834308 43.3863934968641,28.3584411136679 43.385992653694,28.351762480778 43.3865524398471,28.3453616373116 43.3880513727266,28.3394843128556 43.3904319182914,28.3343562089751 43.3936026915643,28.330174350093 43.3974419536133,28.3270995189648 43.4018022728741,28.325250066365 43.4065161742642,28.3246973345993 43.4114025615195,28.3254628749967 43.4162736680232,28.3275175725078 43.4209422703287,28.3307827182288 43.4252288875174,28.3351329957024 43.4289686890563,28.3404012721109 43.4320178440966,28.3463850140257 43.4342590659397,28.3528540822624 43.4356061359834,28.3595596045358 43.4360072307463,28.3662435805963 43.4354469220185,28.3726488444435 43.4339467719539,28.3785289935272 43.4315644998993,28.3836578962589 43.4283917536744,28.3878384065984 43.4245505725755,28.3909099470943 43.4201886803246,28.3927546679413 43.4154737914776,28.3933019471998 43.4105871526297)))', 'BGKVN', 'Kavarna', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8521875679355 43.1957504412551,27.8514628213018 43.190875630986,27.8494524444669 43.1861979088915,27.8462339471234 43.181896970856,27.8419311781081 43.1781380036243,27.836709541121 43.1750653513687,27.8307696307171 43.1727969854785,27.8243395342732 43.1714199875348,27.8176660941156 43.1709872165491,27.8110054614347 43.1715152864617,27.8046132989362 43.1729839302878,27.7987350017033 43.1753367749517,27.7935963051293 43.17848349764,27.7893946350356 43.1823032823244,27.7862915285826 43.1866494458228,27.7844064160171 43.1913550581727,27.783812003786 43.1962393438491,27.7845314405576 43.2011146199339,27.7865373811096 43.2057935059761,27.7897529911331 43.2100961288908,27.7940548613596 43.2138570454258,27.7992777249226 43.216931614645,27.8052208005326 43.2192015733189,27.811655518939 43.2205795973791,27.8183343341634 43.2210126715972,27.8250002767095 43.2204841358684,27.831396875492 43.2190143280937,27.8372780600434 43.2166597985498,27.8424176554029 43.2135111265579,27.8466180989176 43.2096894249103,27.8497180401634 43.2053416686291,27.8515985307679 43.2006350301635,27.8521875679355 43.1957504412551)))', 'BGKZO', 'Kazashko', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((27.8331910831836 43.2017560913331,27.8324677684574 43.1968811538406,27.8304586329965 43.1922030924309,27.8272411389936 43.187901616104,27.8229390969654 43.1841419323296,27.8177178829076 43.1810684128118,27.8117780753162 43.1787990622212,27.8053477577419 43.1774209998978,27.7986737810461 43.1769871256516,27.7920123169814 43.1775140957084,27.7856190600616 43.1789816852488,27.7797394472231 43.1813335616366,27.7745992641798 43.1844794392298,27.7703959936438 43.188298534481,27.7672912340851 43.1926441907497,27.7654044791528 43.1973494976483,27.7648084983715 43.2022336914953,27.765526500744 43.2071090930137,27.7675311963128 43.2117883170339,27.770745798818 43.2160914775592,27.7750469379475 43.219853110716,27.7802693751648 43.2229285480246,27.7862123457593 43.2251994928481,27.7926472846421 43.2265785831386,27.7993266373992 43.2270127625874,27.8059934138207 43.2264853285042,27.8123911106338 43.2250165763524,27.8182736149685 43.2226630157655,27.8234147009071 43.2195151887895,27.8276167482806 43.2156941757478,27.8307183448351 43.2113469252472,27.8326004784603 43.2066405903823,27.8331910831836 43.2017560913331)))', 'BGLES', 'Lesport', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8466503337937 42.2087565598117,27.8459386363719 42.2038807778114,27.8439614368274 42.199201880564,27.8407949574929 42.1948996113259,27.8365610401387 42.191139211235,27.8314224400404 42.1880650832939,27.825576564124 42.1857952593268,27.8192478949062 42.1844168800648,27.812679389811 42.1839828596384,27.8061231824204 42.1845098606488,27.7998309372436 42.1859776563456,27.7940442219784 42.1883299040429,27.7889852606463 42.1914763006391,27.7848484174222 42.1952960388728,27.7817927348139 42.1996424336193,27.7799358117889 42.2043485429054,27.7793492585992 42.2092335700651,27.7800559068859 42.2141098030327,27.7820288880342 42.218789825424,27.7851926219237 42.2230937226897,27.7894256847536 42.2268560058396,27.7945654513424 42.2299319851925,27.8004143371772 42.2322033470635,27.8067474015087 42.2335827165895,27.8133210177964 42.2340170288808,27.819882274325 42.2334895769027,27.8261787378991 42.2320206560611,27.8319681986079 42.2296667803355,27.8370280144614 42.22651850068,27.8411636911921 42.2226969110349,27.844216363881 42.2183489783853,27.8460688917936 42.213641878836,27.8466503337937 42.2087565598117)))', 'BGLZC', 'Lozenets', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9081870589258 43.1957337076772,27.9074578609537 43.1908592922717,27.9054432249259 43.1861825925932,27.9022208238361 43.1818832649717,27.897914655989 43.1781264340928,27.8926902550584 43.1750563619754,27.8867483211826 43.1727909209268,27.8803170189692 43.1714170803141,27.8736432367361 43.170987578087,27.8669831387102 43.1715189028871,27.8605923671948 43.1729906629607,27.8547162641939 43.17534636574,27.8495804813274 43.1784955787483,27.8453823330852 43.1823173903108,27.8422832219194 43.1866650392829,27.8404024250712 43.1913715384306,27.8398124834846 43.196256077877,27.8405363741344 43.2011309646337,27.8425465804947 43.2058088328961,27.8457661039483 43.210109848428,27.8500713842849 43.213868629575,27.8552970229468 43.2169406174075,27.8612421313631 43.2192076479681,27.8676780616313 43.2205825099004,27.8743572208539 43.2210123097681,27.8810226262053 43.2204805136164,27.8874178273894 43.2190075849581,27.893296808025 43.2166501942675,27.8984334783987 43.2134990309909,27.9026303889064 43.2096753037136,27.9057263255306 43.2053260652304,27.9076024943255 43.2006185447639,27.9081870589258 43.1957337076772)))', 'BGMCH', 'Malka Chayka', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7281902534924 43.1987874830452,27.7274753274962 43.1939118178474,27.7254742873671 43.1892318509389,27.7222642848644 43.1849273650488,27.7179688436166 43.1811636836367,27.7127530871487 43.1780853321494,27.7068173854244 43.175810500827,27.7003896652316 43.1744265192933,27.6937166783078 43.1739865143261,27.6870545586246 43.1745073771579,27.6806590256708 43.1759691170738,27.6747756031877 43.1783156257332,27.6696302222882 43.1814568234382,27.6654205642424 43.1852721063702,27.6623084717881 43.189614964513,27.6604137193473 43.1943185953465,27.6598093830891 43.1992023001034,27.6605189928543 43.2040784188963,27.6625155814266 43.2087595395849,27.665722674756 43.2130657037877,27.6700171921093 43.2168313325372,27.675234150617 43.2199116039225,27.6811729973163 43.2221880354161,27.6876053266256 43.2235730537825,27.6942836851109 43.2240133743956,27.7009511210284 43.2234920579681,27.7073511055401 43.2220291642713,27.7132374371951 43.2196809772984,27.7183837419858 43.2165378322556,27.7225921979887 43.212720629426,27.7257011454668 43.208376171113,27.7275912887925 43.2036715034475,27.7281902534924 43.1987874830452)))', 'BGMEC', 'Mecheto', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7508878275225 42.6497828822023,27.7501780393761 42.6449068588352,27.7481935534282 42.6402267210156,27.7450108781068 42.6359222591543,27.7407524820625 42.6321587975181,27.7355820634672 42.6290808551914,27.729698251592 42.6268066088107,27.7233269838389 42.6254233673551,27.7167128496001 42.6249842304312,27.7101097295632 42.6255060564259,27.7037710843116 42.6269688172875,27.6979402585898 42.6293163643322,27.6928411670717 42.6324585762309,27.6886697139019 42.6362748081079,27.6855862720326 42.6406185113579,27.683709510163 42.6453228491462,27.6831118060063 42.6502070942629,27.6838164261326 42.6550835655384,27.6857965866357 42.6597648376069,27.6889764375975 42.6640709473787,27.6932339403505 42.6678363197079,27.698405532719 42.6709161446244,27.7042924067365 42.6731919588843,27.7106681588175 42.6745762148131,27.7172875168714 42.6750156583595,27.7238958049315 42.6744933844561,27.7302387756289 42.6730294893449,27.7360724257089 42.6706802943887,27.7411724105152 42.6675361717967,27.7453426899087 42.6637180573304,27.7484230696347 42.6593727862019,27.7502953471778 42.6546674339413,27.7508878275225 42.6497828822023)))', 'BGNES', 'Nessebar', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9219730241052 42.8087314897164,27.9212478258023 42.8038568032567,27.9192452549671 42.7991799258527,27.9160425158958 42.794880521467,27.9117628479371 42.7911237189685,27.9065707652254 42.7880537807618,27.9006657271316 42.7857885755023,27.8942744837663 42.7844150647815,27.8876423890626 42.783985974753,27.8810240111732 42.7845177785613,27.8746733950695 42.785990065798,27.8688343446464 42.7883463228372,27.8637310909807 42.7914960946715,27.8595596996633 42.7953184466757,27.8564805437046 42.7996665954408,27.8546121301024 42.8043735332378,27.8540265188661 42.809258432448,27.8547465145951 42.8141335859111,27.8567447444788 42.8188116178182,27.8599446650914 42.8231126884441,27.8642234661693 42.8268714152501,27.8694167655536 42.8299432428735,27.8753249186464 42.832210015012,27.8817207011073 42.8335845315309,27.8883580679666 42.8340139131527,27.894981648433 42.8334816423406,27.9013366054893 42.8320082006,27.9071784743695 42.8296502773198,27.9122825949128 42.8264985811775,27.9164527695547 42.8226743397571,27.9195288105132 42.8183246241139,27.9213926850213 42.8136166805196,27.9219730241052 42.8087314897164)))', 'BGOBZ', 'Obzor', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5607740964726 42.4368397478853,27.5600816782216 42.4319622636172,27.558118256885 42.4272785356118,27.5549595299563 42.4229684936047,27.550727045825 42.419197677578,27.5455835084285 42.4161108902388,27.5397265168028 42.4138266487024,27.5333809812801 42.4124326461122,27.5267905062678 42.4119823951528,27.5202080668153 42.4124931803996,27.5138863314753 42.4139453968611,27.5080679965938 42.4162832997147,27.502976496777 42.4194171369784,27.4988074428889 42.4232265846101,27.495721112891 42.4275653541469,27.4938362828551 42.4322667982951,27.493225636654 42.4371503015104,27.4939129346308 42.4420282120509,27.4958720558371 42.4467130504713,27.4990279574347 42.4510247179855,27.5032595211657 42.4547974271431,27.5084041832157 42.4578860870247,27.5142641733312 42.4601718954375,27.5206141246873 42.4615669206953,27.5272097606058 42.4620174944212,27.5337973203353 42.4615062829017,27.5401233558069 42.4600529560244,27.5459445160181 42.4577134276628,27.5510369362323 42.4545776972679,27.5552048654639 42.4507663770942,27.5582881969708 42.4464260406817,27.5601686111746 42.4417235738668,27.5607740964726 42.4368397478853)))', 'BGOTM', 'Otmanli', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0882450934357 43.3026792840292,28.0875001126189 43.297806273754,28.0854680767377 43.2931330162148,28.0822273276157 43.288839034374,28.0779025677816 43.2850892465751,28.0726600435992 43.2820276435884,28.0667011492469 43.2797717720786,28.0602546984202 43.2784082339177,28.0535681590374 43.2779893717911,28.0468981835528 43.2785312663974,28.0405007926682 43.280013120894,28.0346215825966 43.2823780558775,28.0294863252337 43.2855352849899,28.0252923166585 43.2893635890909,28.0222008026615 43.293715957712,28.0203307712247 43.2984252219908,28.0197543521413 43.3033104651357,28.020494004754 43.3081839661655,28.0225216080071 43.3128584114241,28.0257594949041 43.3171540971297,28.0300833986645 43.3209058455411,28.0353272032547 43.3239693674025,28.0412893195665 43.326226823918,28.0477404433905 43.3275913719124,28.0544323953866 43.3280105149623,28.0611076990784 43.3274681296009,28.0675095225923 43.3259850873841,28.0733915948873 43.323618448535,28.0785277083206 43.3204592588098,28.0827204364848 43.3166290358345,28.0858087285213 43.3122750822086,28.0876740869623 43.3075648080972,28.0882450934357 43.3026792840292)))', 'BGPAN', 'Panorama', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6728347882633 42.5508063240683,27.6721323015137 42.5459296826503,27.6701568710017 42.5412480495636,27.666984656427 42.5369412732639,27.6627377243725 42.5331747675212,27.6575793330637 42.5300931688566,27.6517076507606 42.5278147946948,27.6453481503245 42.5264271127024,27.6387449706877 42.5259833929652,27.6321515732028 42.5265006696154,27.6258210461093 42.5279590889153,27.6199964229112 42.5303026684431,27.6149013799944 42.5334414387783,27.6107316653147 42.5372548868486,27.6076475838272 42.5415965707506,27.60576782722 42.5462997311918,27.605164886539 42.5511836863743,27.6058622279421 42.5560607666396,27.6078333459477 42.5607435237341,27.6110027373959 42.5650519380823,27.6152487654994 42.5688203465364,27.6204083096518 42.5719038229047,27.6262830260838 42.5741837638991,27.6326469800155 42.5755724633168,27.6392553545103 42.5760164961779,27.6458538973446 42.57549878068,27.6521887369456 42.5740392373714,27.6580161832689 42.5716940197943,27.6631121301335 42.5685533467474,27.6672806919667 42.5647380209738,27.6703617393242 42.56039477024,27.6722370424371 42.5556905923744,27.6728347882633 42.5508063240683)))', 'BGPOR', 'Pomorie', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7916800234114 42.2637724511136,27.7909718688795 42.2588963438975,27.7889969345442 42.2542165238719,27.7858313567145 42.2499127698906,27.7815969434736 42.2461503801395,27.7764564698965 42.24307383393,27.7706074153207 42.2408012557455,27.7642743844414 42.2394198918086,27.7577005019293 42.2389827705726,27.7511381073101 42.2395066734566,27.7448391019269 42.2409714925094,27.739045312243 42.2433209993,27.7339792331881 42.2464649960672,27.729835501723 42.2502827679262,27.726773424649 42.2546277055916,27.7249108466425 42.2593329234369,27.7243195956408 42.2642176594304,27.7250226845264 42.2690942130413,27.7269933824095 42.2737751558237,27.7301561979421 42.2780805379945,27.7343897435759 42.2818448134909,27.7395313763221 42.2849232159139,27.7453834403706 42.2871973381884,27.7517208728617 42.2885796990177,27.7582998790188 42.2890171181808,27.7648673392871 42.2884927689017,27.7711705811237 42.2870268270912,27.7769671331033 42.2846756921103,27.7820340797623 42.2815298095976,27.7861766520554 42.2777101815254,27.7892357196556 42.2733636997709,27.7910938960517 42.2686574850339,27.7916800234114 42.2637724511136)))', 'BGPRI', 'Primorsko', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7068811004415 42.6367959485707,27.7061749062567 42.631919615258,27.7041941332976 42.6272386774546,27.701015147428 42.6229329565488,27.6967602758294 42.6191678253689,27.6915930816882 42.6160878672521,27.6857120708915 42.6138113362953,27.6793430737199 42.6124256291699,27.672730592744 42.6119839400521,27.6661284453999 42.61250322517,27.6597900549776 42.6139635538604,27.6539587563061 42.6163088706721,27.6488584819214 42.6194491398049,27.644685180969 42.6232637909491,27.6415992968803 42.627606336251,27.6397195916844 42.6323099834773,27.6391185557682 42.6371940321407,27.6398195834554 42.6420708088594,27.6417960288076 42.646752876786,27.6449721847997 42.6510602424814,27.6492261550736 42.6548272827131,27.6543945136622 42.6579091235082,27.6602785774025 42.6601872241489,27.666652051231 42.6615739489936,27.6732697510465 42.6620159489273,27.6798770648912 42.6614962204031,27.6862197829216 42.6600347615886,27.6920539114692 42.6576877999866,27.6971550871755 42.6545456218016,27.7013272236775 42.6507290879795,27.7044100548215 42.6463849729945,27.7062852833618 42.6416803080497,27.7068811004415 42.6367959485707)))', 'BGRAV', 'Ravda', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9281868692071 43.1957277314623,27.9274560816419 43.1908534582099,27.9254399249422 43.1861771247642,27.9222161304055 43.1818783732872,27.9179087496888 43.1781223062621,27.9126833628467 43.1750531563341,27.9067407076792 43.1727887603966,27.900308976324 43.1714160477206,27.8936350734672 43.170987713007,27.8869751679325 43.1715202001441,27.8805848946777 43.1729930728227,27.8747095766932 43.1753497958121,27.8695748356276 43.178499897491,27.865377946164 43.1823224320532,27.8622802626066 43.1866706105441,27.8604010075243 43.1913774253141,27.8598126627356 43.1962620542598,27.8605381438903 43.2011368008398,27.8625498732892 43.2058143045238,27.8657707936509 43.2101147449919,27.870077290886 43.2138727626273,27.8753039194424 43.2169438278224,27.8812497524811 43.2192098121014,27.8876861140627 43.2205835443827,27.8943653945907 43.2210121747395,27.901030606539 43.2204792142744,27.9074253070957 43.2190051713566,27.9133034992537 43.2166467593753,27.9184391237977 43.2134947070858,27.9226347715438 43.209670257257,27.9257292772288 43.2053204904254,27.9276039020863 43.2006126560509,27.9281868692071 43.1957277314623)))', 'BGRD2', 'Rodopa 2', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9291874178554 43.1967274275503,27.9284565374598 43.1918531623794,27.9264402704568 43.1871768483836,27.9232163523889 43.1828781269705,27.9189088396589 43.1791220994617,27.9136833173858 43.1760529969787,27.9077405285593 43.1737886545894,27.9013086704348 43.1724159995067,27.8946346525503 43.1719877242212,27.8879746481328 43.1725202703425,27.8815842959269 43.1739931993009,27.875708921951 43.1763499737101,27.8705741500067 43.1795001199789,27.8663772559727 43.1833226905925,27.8632795943435 43.1876708952135,27.861400386864 43.192377725188,27.8608121135431 43.1972623578254,27.8615376873017 43.2021370964376,27.8635495268947 43.2068145807941,27.8667705708124 43.2111149913105,27.8710772002157 43.214872969515,27.8763039644646 43.2179439873101,27.8822499314907 43.2202099180392,27.8886864201868 43.2215835926786,27.8953658160517 43.2220121635194,27.9020311271094 43.2214791439564,27.9084259067264 43.2200050446365,27.914304154851 43.2176465811232,27.9194398101187 43.2144944841584,27.9236354621738 43.2106699982331,27.9267299456022 43.2063202052733,27.9286045225117 43.2016123557429,27.9291874178554 43.1967274275503)))', 'BGRDA', 'Rodopa 1', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0615289951679 41.9826948340955,28.0608037358468 41.9778203496795,28.0588181605771 41.9731450696973,28.0556488094483 41.9688485978958,28.0514176307958 41.9650959526973,28.0462872717497 41.9620312397296,28.040454820976 41.9597721301129,28.0341442450838 41.9584053542389,28.0275978077651 41.9579833818175,28.0210667974645 41.9585224138008,28.0148019141835 41.9600017620967,28.00904367823 41.9623646405617,28.0040132229794 41.9655203374859,27.9999038200398 41.9693476875628,27.996873458976 41.9736997120419,27.9950387656603 41.9784092511957,27.9944704944918 41.9832953750571,27.99519077163 41.9881703280632,27.9971722009031 41.9928467420134,28.0003388734116 41.9971448405245,28.0045692486163 42.0008993575227,28.0097008017053 42.0039659024155,28.0155362622309 42.0062265251887,28.0218512053769 42.0075942650863,28.0284027025761 42.0080165056341,28.0349386950623 42.0074770050602,28.041207724341 42.0059965227955,28.0469686389133 42.0036320176201,28.0519998976088 42.000474448896,28.0561081065027 41.9966452668943,28.0591354578136 41.9922917292595,28.060965783877 41.987581226083,28.0615289951679 41.9826948340955)))', 'BGREZ', 'Rezovo', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5593050415202 43.4205372789059,28.5585207338158 43.4156680265786,28.5564485934461 43.4110038375297,28.5531685016934 43.406723883753,28.548806669272 43.4029925426856,28.5435307620678 43.3999530953162,28.5375434513513 43.3977222370632,28.5310746372833 43.3963856097728,28.5243726427124 43.3959945240322,28.5176947113134 43.3965639957174,28.511297168991 43.3980721709631,28.5054256194958 43.4004611613461,28.5003055440469 43.4036392578912,28.4961336604385 43.4074844404234,28.4930703700102 43.4118490496688,28.4912335816977 43.4165654451491,28.4906941522709 43.4214524339544,28.4914731223105 43.4263222254083,28.493540860364 43.4309876456585,28.4968181553616 43.4352693352724,28.5011792223701 43.4390026525475,28.5064565120314 43.4420440156354,28.5124471426091 43.4442764374668,28.5189207085239 43.4456140381548,28.5256281635012 43.446005358921,28.5323114325681 43.4454353481087,28.5387133772078 43.4439259416607,28.5445877234564 43.4415352154397,28.5497085643149 43.4383551426866,28.5538790654631 43.4345080444364,28.5569390360291 43.4301418716135,28.5587710724965 43.4254245027365,28.5593050415202 43.4205372789059)))', 'BGRUS', 'Rusalka', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5518371624532 42.5538420418508,27.5511440504823 42.5489646064887,27.5491775400802 42.544280838076,27.546013448972 42.5399706676883,27.5417735327362 42.5361996398914,27.5366207813369 42.5331125650975,27.5307531476191 42.5308279710177,27.5243959499532 42.5294335639434,27.517793239475 42.5289828718152,27.5111984597036 42.5294931960295,27.5048647516631 42.5309449493551,27.4990352702833 42.5332824049791,27.4939338774743 42.5364158284556,27.4897565638626 42.5402249120766,27.4866639251014 42.5445633818194,27.4847749806329 42.5492646023118,27.4841625738858 42.5541479668935,27.4848505345949 42.559025829284,27.4868127181072 42.5637107118461,27.4899739654275 42.5680225138853,27.4942129539183 42.5717954424318,27.499366834857 42.5748843977016,27.5052374834371 42.5771705656981,27.5115991223029 42.5785660005151,27.5182070241861 42.5790170177474,27.5248069552224 42.5785062665044,27.5311449901537 42.5770533990286,27.5369773153201 42.5747143117523,27.5420796358711 42.571578987526,27.5462558199404 42.5677680234293,27.5493454438382 42.5634279797707,27.5512299471081 42.5587257315364,27.5518371624532 42.5538420418508)))', 'BGSAR', 'Sarafovo', 'Y'),('SRID=4326;MULTIPOLYGON(((28.277300172311 43.4046219885673,28.2765386535235 43.3997504996188,28.2744886054692 43.3950809062137,28.2712290621931 43.3907925893846,28.2668854474424 43.3870502488567,28.2616247302385 43.3839975886335,28.2556490013786 43.3817518115721,28.2491877187517 43.3803991319294,28.242488917706 43.3799914758175,28.2358097199425 43.3805444943028,28.2294064994922 43.3820369642096,28.2235250765647 43.384411599309,28.2183913091171 43.3875772413888,28.2142024378919 43.3914123485771,28.211119513781 43.3957696491112,28.2092611974115 43.4004817842909,28.2086991709268 43.4053677262854,28.2094553425399 43.4102397262476,28.211500957464 43.4149105270541,28.2147576565579 43.4192005638564,28.2191004490756 43.4229448750793,28.224362491174 43.4259994566988,28.2303414903534 43.4282468133427,28.2368074908485 43.4296004902765,28.2435117390581 43.4300084095598,28.2501962839991 43.4294548800602,28.2566039375806 43.4279612027511,28.2624882046888 43.4255848476777,28.267622794366 43.4224172349026,28.2718103406935 43.4185802063184,28.2748899944839 43.4142213262027,28.2767435929869 43.4095081937327,28.277300172311 43.4046219885673)))', 'BGSBA', 'SBA', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9371806436991 43.1847250987898,27.9364492879323 43.1798508791506,27.93443282417 43.1751746983118,27.9312089953071 43.1708761925534,27.9269018541384 43.1671204549248,27.9216769713812 43.1640517054464,27.9157350654014 43.1617877656765,27.9093042995617 43.160415547421,27.9026315415365 43.1599877264479,27.895972916309 43.1605207269612,27.8895840098288 43.1619940929641,27.8837100927644 43.1643512702854,27.8785767331093 43.1675017698352,27.8743811525919 43.1713246304835,27.8712846552772 43.1756730506908,27.869406418132 43.1803800134531,27.868818883764 43.1852646909124,27.8695449365243 43.1901393846043,27.8715569765535 43.1948167359896,27.8747779344299 43.1991169305834,27.8790841944403 43.2028746182266,27.8843103200167 43.2059452820269,27.8902554035861 43.2082108089877,27.8966907980265 43.2095840456675,27.9033689310009 43.2100121612522,27.910032859238 43.2094786866859,27.9164261894525 43.2080041501357,27.922302977502 43.2056452839782,27.9274372183121 43.2024928344134,27.9316315560071 43.1986680594436,27.9347248757311 43.1943180520462,27.936598484277 43.1896100708605,27.9371806436991 43.1847250987898)))', 'BGSEK', 'Sever Eksport', 'Y'),('SRID=4326;MULTIPOLYGON(((28.6413716337642 43.5405116042429,28.6405789064466 43.5356431438343,28.6384961152945 43.5309807031157,28.6352035518691 43.5267033862321,28.6308279063253 43.5229754686363,28.6255373747034 43.5199400992146,28.619535188871 43.517713816324,28.613051818701 43.5163820858785,28.6063361442681 43.5159960304393,28.5996459329014 43.5165704729642,28.5932379807757 43.5180833691316,28.5873582907058 43.5204766497558,28.5822326565813 43.5236584416405,28.5780580104837 43.5275065831413,28.5749948613204 43.5318733016226,28.5731611145276 43.5365908756541,28.5726275121508 43.541478066879,28.573414872901 43.546347076449,28.5754932445232 43.5510107599886,28.5787830082894 43.5552898241446,28.5831579002678 43.5590197274581,28.5884498391425 43.5620570187352,28.5944553788048 43.5642848670339,28.6009435387921 43.5656175681206,28.6076647098228 43.5660038516628,28.6143602877602 43.5654288599759,28.6207726594168 43.5639147209866,28.6266551491442 43.5615196930891,28.6317815368307 43.5583359154865,28.6359547756724 43.5544858521308,28.6390145710047 43.5501175682423,28.640843527982 43.5453990235705,28.6413716337642 43.5405116042429)))', 'BGSHA', 'Shabla', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9320547813404 42.9577277566761,27.9313268377242 42.9528532838078,27.9293184879029 42.9481767560443,27.9261071600793 42.9438778235321,27.9218164247954 42.9401215964862,27.916611221767 42.9370523146156,27.9106915139391 42.9347878207999,27.9042846137329 42.9334150488482,27.8976364747393 42.9329866962601,27.8910022793789 42.9335192077959,27.8846366782446 42.9349921460305,27.8787840492734 42.9373489726991,27.873669144221 42.9404992114229,27.8694884761578 42.9443219102151,27.8664027752211 42.948670272894,27.8645308013636 42.953377283953,27.8639447534392 42.9582621132228,27.8646674551379 42.9631370562765,27.8666714319009 42.967814745211,27.8698799212838 42.9721153531023,27.8741697848718 42.9758735146742,27.8793762156574 42.9789446957037,27.8852990637816 42.9812107641815,27.8917105387417 42.9825845465702,27.8983639904816 42.9830131915402,27.9050034277627 42.9824802098186,27.9113734019563 42.9810061104122,27.9172288693667 42.9786476083637,27.9223446461119 42.9754954351136,27.9265240864147 42.9716708371628,27.929606647054 42.9673208998227,27.9314740461592 42.9626128783275,27.9320547813404 42.9577277566761)))', 'BGSHK', 'Shkorpilovtsi', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0255703795189 42.0607049007115,28.0248468563688 42.0558302338084,28.0228613604695 42.0511543921473,28.01969043003 42.0468570010556,28.015456075023 42.0431031141416,28.0103210652224 42.0400368844941,28.0044826681436 42.0377760411846,27.9981650785589 42.0364073808694,27.9916108289227 42.0359834453461,27.9850715068297 42.0365205107558,27.9787981304859 42.0379979644469,27.9730315454145 42.0403590930879,27.9679932048957 42.0435132523549,27.963876682983 42.0473393362897,27.9608402426927 42.0516904151329,27.9590007438655 42.0563993658571,27.9584291263424 42.0612852814399,27.9591476459548 42.0661604145746,27.9611289752871 42.0708373902731,27.9642972104523 42.0751364105611,27.9685307518091 42.0788921738001,27.9736669534548 42.0819602412479,27.9795083664273 42.0842226040446,27.9858303368119 42.0855922342054,27.9923896652168 42.0860164422825,27.9989339908503 42.0854789106407,28.005211533762 42.0840003229115,28.0109808141064 42.0816375650734,28.0160199682726 42.0784815294811,28.0201352983372 42.0746536077463,28.0231687227329 42.0703010094168,28.0250038407616 42.0655910888477,28.0255703795189 42.0607049007115)))', 'BGSIN', 'Sinemorets', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8331821521933 43.1857561645193,27.8324590468232 43.1808812118582,27.8304504556202 43.176203132957,27.8272338196545 43.1719016375239,27.8229329163336 43.1681419338161,27.8177130778506 43.1650683943653,27.8117748298952 43.1627990246699,27.8053461962288 43.1614209448556,27.7986739632158 43.1609870554384,27.7920142358501 43.1615140132384,27.7856226421527 43.1629815938938,27.7797445553505 43.1653334650737,27.7746057026484 43.1684793412836,27.7704035156776 43.1722984389673,27.7672995512117 43.1766441013291,27.7654132721986 43.1813494176956,27.764817429659 43.1862336239875,27.765535227033 43.1911090404383,27.7675393819925 43.1957882813178,27.7707531288452 43.2000914600173,27.775053130025 43.203853112018,27.7802741906824 43.2069285681779,27.7862155990634 43.2091995311973,27.7926488502606 43.210578638381,27.7993264549322 43.2110128328052,27.8059914902972 43.210485411215,27.8123875202392 43.2090166685806,27.818268496153 43.2066631141333,27.8234082509929 43.2035152896304,27.8276092157862 43.1996942752379,27.8307100198254 43.195347019553,27.8325916813091 43.1906406758178,27.8331821521933 43.1857561645193)))', 'BGSLK', 'Slivkata', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7167623501777 42.416793865549,27.7160580944674 42.4119173939725,27.7140837457832 42.4072364019518,27.7109154202977 42.4029307133948,27.7066750336274 42.3991657005683,27.701525591623 42.3960859430845,27.6956649185869 42.39380968817,27.6893180650639 42.3924243226166,27.682728685424 42.3919830279813,27.6761497126124 42.3925027455402,27.6698336826311 42.3939635278896,27.6640230738208 42.3963093017101,27.658941025516 42.399450012959,27.6547827871409 42.4032650735133,27.6517082226696 42.4076079789457,27.6498356572973 42.4123119224532,27.6492373042653 42.4171961916536,27.6499364515103 42.4220731044804,27.6519065220539 42.426755218977,27.6550720510316 42.431062540349,27.6593115485699 42.4348294477486,27.6644621441812 42.4379110731318,27.6703258379376 42.4401888849014,27.6766771194171 42.4415752592481,27.6832716601334 42.4420168610354,27.6898557414132 42.4414967022258,27.6961760495361 42.4400347973996,27.7019894548529 42.4376873907633,27.7070723922866 42.4345447849411,27.7112294770518 42.4307278564877,27.7143010208018 42.4263833942011,27.7161691582188 42.421678441901,27.7167623501777 42.416793865549)))', 'BGSOZ', 'Sozopol', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7741887806534 43.1967737448974,27.7734702223428 43.1918983933555,27.7714657473074 43.1872192557138,27.7682526389738 43.1829160826206,27.7639545398574 43.1791541469499,27.7587366750918 43.1760779070225,27.7527994951473 43.1738054719977,27.7463709832006 43.1724240795695,27.7396979211568 43.1719867572452,27.7330364458136 43.1725102934276,27.7266422520456 43.1739745949231,27.7207608124622 43.1763234551638,27.7156179824423 43.1794667042177,27.7114113457584 43.1832836594727,27.7083026295539 43.1876277465812,27.7064114789229 43.1923321156367,27.7058108318796 43.1972160392745,27.7065240765521 43.2020918489334,27.7085241058903 43.2067721440953,27.7117343132843 43.2110769978902,27.716031497861 43.2148408815726,27.7212505737177 43.2179190402547,27.7271909060073 43.2201930726642,27.7336240316371 43.2215754979194,27.7403024663106 43.2220131312742,27.746969255295 43.2214891369744,27.7533678947614 43.2200236779578,27.7592522352828 43.2176731370146,27.7643959798393 43.2145279399487,27.7686014054289 43.2107090659394,27.7717069692872 43.2063633814472,27.7735935062364 43.2016579795656,27.7741887806534 43.1967737448974)))', 'BGSTR', 'Strashimirovo', 'Y'),('SRID=4326;MULTIPOLYGON(((27.799917881408 42.7057681399416,27.7992035611815 42.7008925044746,27.7972135645658 42.6962133062178,27.7940246121434 42.691910299122,27.7897594137805 42.6881487512156,27.7845819286565 42.6850731077782,27.7786910568737 42.6828014569506,27.7723130061921 42.681421007949,27.7656926256436 42.6809847531867,27.7590840350144 42.6815094405278,27.7527409044014 42.6829749322798,27.7469067505341 42.6853249751649,27.7418056159925 42.6884693522727,27.7376334838324 42.6922873357814,27.7345507538291 42.6966323099229,27.7326760682753 42.7013373890406,27.7320817261185 42.7062218173173,27.7327908656747 42.7110979063075,27.7347765300802 42.7157782450172,27.7379626582918 42.7200829058721,27.7422269704041 42.7238463690741,27.747405642162 42.7269238977573,27.7532995928096 42.7291971167693,27.7596821458579 42.7305785781518,27.7663077668303 42.7310151353655,27.7729215381326 42.7304899945007,27.779269000957 42.729023362295,27.7851059790338 42.72667166565,27.7902079998229 42.7235253732463,27.794378945346 42.7197055044922,27.7974585964833 42.7153589621671,27.7993287796719 42.7106528706693,27.799917881408 42.7057681399416)))', 'BGSVV', 'Sveti Vlas', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0141982935396 43.2177019116217,28.0134603726407 43.2128282776862,28.0114369204114 43.2081535508412,28.0082059482144 43.2038573110542,28.0038917828765 43.2001045639492,27.9986602642533 43.1970394144211,27.9927123647338 43.1947795456566,27.9862764769776 43.1934117131658,27.9795996645741 43.1929884244802,27.9729382076503 43.1935259300453,27.966547800667 43.1950036011981,27.9606737720486 43.1973647187589,27.955541694555 43.2005186425623,27.9513487414364 43.2043442800883,27.9482561167773 43.2086947231122,27.9463828497532 43.2134028767439,27.9458011928926 43.2182878670556,27.9465338053438 43.2231619831451,27.9485528354738 43.2278378882092,27.9517809451442 43.2321358229073,27.9560942433222 43.2358905235807,27.9613270221702 43.2389575879215,27.967278117442 43.2412190412301,27.973718649954 43.2425878867637,27.9804008489945 43.243011462764,27.9870676143691 43.2424734750444,27.9934624434527 43.2409946256716,27.9993393345963 43.2386318131989,28.0044722792465 43.2354759358269,28.0086639721372 43.2316483834885,28.0117534010428 43.2272963559215,28.0136220233126 43.2225871892478,28.0141982935396 43.2177019116217)))', 'BGTRK', 'Trakata', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8836277414884 42.1667459132302,27.8829137321608 42.1618703474183,27.8809351780704 42.1571920667389,27.8777683528544 42.1528907906745,27.8735351108931 42.1491317222183,27.8683981809971 42.1460592133209,27.8625549056463 42.1437912337898,27.8562296674468 42.1424148537276,27.8496652922823 42.1419829107002,27.8431137555726 42.1425119877101,27.8368265430375 42.1439817783981,27.8310450297224 42.146335863492,27.8259912404229 42.1494838692578,27.8218593410672 42.1533049264735,27.818808184436 42.1576522991244,27.8169551955404 42.1623590074051,27.8163718331354 42.1672442313664,27.8170808056933 42.1721202511447,27.8190551545756 42.1767996583773,27.8222192463497 42.1811025620746,27.8264516427772 42.1848635114511,27.8315897437731 42.187937868203,27.8374360285687 42.1902073812038,27.8437656563976 42.1915847468939,27.8503351330944 42.1920169776544,27.8568917065766 42.1914874466777,27.8631831243209 42.1900165294356,27.8689673710766 42.187660816708,27.8740220059069 42.1845109300217,27.8781527341598 42.1806880249518,27.8812008813451 42.1763391188319,27.8830494806126 42.1716314249242,27.8836277414884 42.1667459132302)))', 'BGTRV', 'Tsarevo', 'Y'),('SRID=4326;MULTIPOLYGON(((28.2502971422901 43.3986301275862,28.2495378693385 43.3937584263096,28.2474900964157 43.3890883160891,28.2442327702431 43.3847991979586,28.2398912295861 43.3810558025384,28.2346323640577 43.3780018744193,28.2286581936261 43.3757546651695,28.2221981166032 43.3744004440122,28.2155001222535 43.3739911961787,28.2088213014216 43.3745426337544,28.2024180136728 43.3760335941598,28.1965360816952 43.3784068490353,28.191401382789 43.381571293108,28.1872111931951 43.3854054304963,28.1841266141393 43.3897620267192,28.1822663695343 43.3944737502147,28.1817022153769 43.399359589093,28.1824561414999 43.4042317986199,28.1844994793892 43.4089031137757,28.1877539575164 43.4131939500865,28.1920946707057 43.4169393153543,28.1973548553196 43.4199951650975,28.2033322905713 43.4222439551976,28.2097970811102 43.4235991757611,28.2165005200811 43.4240086894062,28.2231846877448 43.4234567435798,28.2295924105283 43.421964578238,28.2354771905497 43.4195896051816,28.2406127169201 43.4164231912608,28.2448015874255 43.412587132249,28.2478829016601 43.4082289551766,28.2497384327507 43.4035162322757,28.2502971422901 43.3986301275862)))', 'BGTUZ', 'Tuzlata', 'Y'),('SRID=4326;MULTIPOLYGON(((28.620345890316 43.4945183247092,28.6195555618177 43.4896496446006,28.6174760652096 43.4849867342262,28.6141875649977 43.4807087159847,28.6098165950228 43.4769798925001,28.6045311717843 43.4739434476698,28.5985343312612 43.4717159613264,28.5920563385525 43.4703829457074,28.585345867846 43.4699955727538,28.5786604872659 43.4705687159636,28.5722568080035 43.4720803807867,28.5663806691183 43.4744725451527,28.5612577281992 43.4776533785442,28.5570848136926 43.4815007559527,28.5540223675401 43.4858669339576,28.5521882675188 43.490584211823,28.551653268482 43.4954713625816,28.5524382420402 43.5003405890315,28.5545133270142 43.5050047386226,28.5577990305292 43.509284500297,28.5621692445165 43.513015306009,28.5674560675696 43.5160536700851,28.5734562506012 43.5182827205048,28.5799390196459 43.519616706914,28.5866549733617 43.5200043095776,28.593345708885 43.519430620026,28.5997537997826 43.5179177159853,28.605632735363 43.5155238081855,28.6107564322663 43.5123409925665,28.6149279469551 43.5084916959126,28.6179870505981 43.5041239538322,28.6198163742851 43.4994057051775,28.620345890316 43.4945183247092)))', 'BGTYL', 'Tyulenovo', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9341795569308 43.1827260052973,27.9334484662173 43.177851762343,27.9314322989716 43.1731755242549,27.9282087866878 43.1688769295317,27.9239019700077 43.1651210746574,27.9186774072078 43.1620521841688,27.9127358043991 43.159788085047,27.9063053133405 43.1584156952182,27.899632791192 43.1579876970332,27.8929743539092 43.1585205214907,27.8865855802421 43.1599937193411,27.8807117357612 43.1623507428565,27.8755783856578 43.165501108842,27.8713827512644 43.1693238612896,27.8682861386754 43.1736722028141,27.8664077292407 43.1783791194387,27.8658199721436 43.1832637850888,27.8665457602574 43.1881385017696,27.8685575038697 43.1928159100768,27.8717781449441 43.1971161933568,27.8760840799546 43.2008739980584,27.8813098848519 43.2039448028011,27.8872546644274 43.2062104891761,27.8936897832887 43.2075838976121,27.9003676797342 43.2080121906842,27.9070314196198 43.2074788924998,27.9134246169214 43.2060045244294,27.9193013326102 43.2036458123563,27.9244355643798 43.2004934965432,27.9286299566728 43.1966688298419,27.9317233924938 43.192318901065,27.9335971741274 43.1876109658342,27.9341795569308 43.1827260052973)))', 'BGVAR', 'Varna', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9481833264738 43.1897217865235,27.9474510298273 43.1848476502577,27.9454335586275 43.1801716768399,27.9422086944746 43.175873494516,27.9379005298831 43.1721181838556,27.9326746747867 43.1690499484412,27.9267318847756 43.1667865900707,27.9203003570354 43.1654149982278,27.913626988385 43.1649878246507,27.9069679271744 43.1655214687235,27.9005787760589 43.1669954497837,27.8947048151177 43.1693531900867,27.8895716140962 43.172504178958,27.8853763887394 43.1763274364932,27.8822804296057 43.180676145906,27.88040289313 43.1853832790577,27.8798161951288 43.1902680014996,27.8805431879119 43.1951426129794,27.8825562355444 43.1998197580513,27.8857782298738 43.2041196300958,27.8900855152906 43.2078768912988,27.8953126157082 43.2109470411256,27.9012585859482 43.2132119863261,27.9076947446643 43.2145845958361,27.914373490013 43.2150120629865,27.9210378550901 43.2144779436993,27.9274314297741 43.2130027909842,27.9333082605372 43.2106433609598,27.9384423407301 43.2074904215455,27.9426363207627 43.2036652495983,27.9457290996663 43.1993149533564,27.9476020051677 43.1946068025384,27.9481833264738 43.1897217865235)))', 'BGVAZ', 'Varna-Zapad', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8961849380446 43.1917373131054,27.8954567469107 43.1868628088747,27.8934431601403 43.1821858852785,27.8902218104341 43.1778862073174,27.8859166557771 43.1741289131904,27.8806931910335 43.1710582827458,27.8747520805146 43.1687922097473,27.868321457337 43.1674176878204,27.8616481838514 43.1669874810473,27.8549884048196 43.1675181050795,27.8485977503171 43.1689891950229,27.8427215578222 43.1713442839967,27.8375854823101 43.1744929630623,27.8333868493904 43.1783143410369,27.8302870799909 43.1826616734381,27.8284054764981 43.1873679852245,27.8278146107268 43.1922524737694,27.8285374950813 43.1971274481059,27.830546651676 43.2018055391346,27.8337651222642 43.206106904124,27.8380693871808 43.2098661480407,27.8432940870172 43.2129386941984,27.8492383694311 43.2152063571836,27.8556736184139 43.2165819013094,27.8623522673777 43.217012406873,27.869017353192 43.2164813127346,27.8754124378714 43.2150090553579,27.8812915094827 43.2126522793549,27.886428474732 43.2095016504993,27.8906258725558 43.205678356812,27.8937224700591 43.2013294344249,27.8955994477482 43.1966221004404,27.8961849380446 43.1917373131054)))', 'BGVES', 'Veslets', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9446023138935 42.1197282819219,27.9438842266702 42.1148530975769,27.9419027294098 42.1101758606421,27.9387342078904 42.1058762503098,27.9345005807354 42.1021194055266,27.9293645907752 42.0990495929066,27.9235235438663 42.0967846788916,27.9172017368317 42.0954116161242,27.9106418639314 42.0949831150769,27.9040957281426 42.095515626851,27.8978146084634 42.0969887133896,27.892039646756 42.099345828943,27.8869926169864 42.1024964833526,27.8828674261021 42.1063197054932,27.8798226695857 42.110668675903,27.8779755266432 42.1153763530294,27.877397231141 42.1202618793023,27.8781102962568 42.1251375228681,27.8800876052439 42.1298158895222,27.8832534099504 42.1341171280831,27.8874862053634 42.1378758517213,27.8926233752784 42.1409475077841,27.8984674342021 42.1432139491823,27.9047936267596 42.1445879907426,27.9113585910347 42.1450167729801,27.9179097489338 42.144483801985,27.9241950568874 42.1430095857263,27.9299727354063 42.1406508419435,27.9350205969149 42.1374983086786,27.9391446078415 42.1336732430955,27.9421863523422 42.1293227453035,27.9440291097631 42.1246140893849,27.9446023138935 42.1197282819219)))', 'BGVRV', 'Varvara', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9301862917908 43.1947271389504,27.9294553586264 43.1898528789877,27.9274390841503 43.1851765810731,27.9242152041595 43.1808778859959,27.9199077735668 43.1771218940692,27.9146823743181 43.174052835054,27.9087397446712 43.1717885423567,27.9023080757732 43.1704159412903,27.895634269911 43.1699877222787,27.888974492193 43.1705203247759,27.8825843726855 43.1719933080497,27.8767092284968 43.1743501326266,27.8715746746249 43.1775003229842,27.8673779785846 43.1813229299063,27.864280487266 43.1856711616513,27.8624014158601 43.1903780085133,27.861813239126 43.1952626471436,27.8625388662434 43.2001373806166,27.864550713883 43.2048148488953,27.8677717201934 43.2091152330132,27.8720782677538 43.2128731755163,27.8773049090526 43.2159441496861,27.8832507167419 43.2182100305512,27.8896870158468 43.2195836510142,27.8963661991728 43.220012165457,27.9030312829409 43.2194790894492,27.909425829286 43.2180049358104,27.9153038471536 43.215646422192,27.9204392840546 43.2124942812577,27.9246347380417 43.2086697591815,27.9277290513167 43.2043199392695,27.9296034925173 43.1996120730118,27.9301862917908 43.1947271389504)))', 'BGYVA', 'Yahtklub Varna', 'Y'),('SRID=4326;MULTIPOLYGON(((28.4682856044695 43.3835648745593,28.4675091286144 43.3786948551448,28.4654452629503 43.3740288683555,28.4621735709263 43.3697461557806,28.4578199410693 43.3660112012727,28.4525517250135 43.3629674249066,28.4465712996412 43.3607316884782,28.4401083017233 43.3593898211065,28.4334108316548 43.3589933343792,28.4267359599813 43.3595574512332,28.4203398953426 43.3610605230423,28.4144681845474 43.3634448569963,28.4093463144067 43.3666189226671,28.4051710707182 43.3704608545593,28.4021029827696 43.3748231183019,28.4002601426509 43.3795381637446,28.3997136386389 43.3844248502314,28.4004847824384 43.3892953992,28.4025442430333 43.3939626082321,28.4058131276064 43.3982470496634,28.4101659750397 43.4019839764385,28.415435552817 43.4050296682231,28.4214192767467 43.4072669716159,28.4278870078828 43.4086098189418,28.4345899252403 43.4090065494236,28.4412701289726 43.4084419030149,28.4476705986815 43.406937608962,28.4535451169261 43.4045515461509,28.458667769487 43.4013755082126,28.4628416514509 43.3975316609024,28.465906440841 43.3931678301963,28.4677445477432 43.3884518048002,28.4682856044695 43.3835648745593)))', 'BGZEL', 'Zelenka', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8381809932191 43.1837546799118,27.8374575166831 43.178879760273,27.8354486132194 43.1742017701362,27.8322317358387 43.1699004157794,27.8279306711598 43.1661409000295,27.8227107575143 43.1630675881981,27.8167725234309 43.16079847705,27.8103439921087 43.1594206767984,27.803671945975 43.1589870772444,27.7970124828635 43.1595143240984,27.7906212206838 43.1609821819169,27.784743519982 43.163334307737,27.7796050931913 43.1664804062871,27.7754033556381 43.1702996854639,27.7722998468747 43.1746454814831,27.7704140123659 43.179350878512,27.7698185860546 43.1842351093427,27.770536755364 43.1891104932359,27.7725412236293 43.1937896456863,27.7757552130583 43.1980926834643,27.7800553766968 43.2018541474576,27.7852765133895 43.2049293757523,27.7912179084104 43.2072000798192,27.7976510573364 43.2085789069376,27.8043284747517 43.2090128109752,27.8109932450929 43.2084850998662,27.8173889424723 43.2070160797333,27.8232695311243 43.2046622704912,27.8284088589519 43.2015142236975,27.8326093734549 43.1976930280578,27.8357097212797 43.1933456391205,27.8375909381861 43.1886392152256,27.8381809932191 43.1837546799118)))', 'BGZVE', 'Zvezditsa', 'Y'),('SRID=4326;MULTIPOLYGON(((2.458117909302 6.36702696766147,2.45764041692989 6.36212399673063,2.45621602811039 6.35740842965574,2.45389950510895 6.3530614776106,2.4507798875757 6.3492501818176,2.44697706824418 6.34612099572698,2.44263718438984 6.34379415878828,2.43792700231644 6.34235907774133,2.43302751059704 6.34187089261855,2.42812696797771 6.34234835914942,2.42341367262855 6.34377312873637,2.41906873002604 6.34609045356026,2.41525909678075 6.34921128971985,2.41213116718866 6.35301571769791,2.40980514857603 6.35735754892023,2.40837044140431 6.36206994166066,2.40788220172725 6.36697181078354,2.40835921838862 6.37187478528925,2.40978318701682 6.37659044651396,2.41209940931668 6.38093756895042,2.41521889141718 6.38474908543572,2.41902176120322 6.38787850892122,2.42336187371813 6.39020556381618,2.42807242784668 6.39164081019887,2.43297237837376 6.392129082866,2.43787339670398 6.39165161276025,2.44258711224451 6.39022674902342,2.44693235554856 6.38790925380815,2.45074212422646 6.38478819695623,2.45387000336389 6.3809835315833,2.45619579331588 6.37664148240478,2.45763012843249 6.37192892432867,2.458117909302 6.36702696766147)))', 'BJCOO', 'Cotonou', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.046590032647 -10.9448384542558,-37.0470461734989 -10.9497402281909,-37.0484613014436 -10.9544598797868,-37.0507810783554 -10.9588160297502,-37.0539163903214 -10.9626412592502,-37.0577467670644 -10.9657885459244,-37.0621250087822 -10.9681369170623,-37.0668828430264 -10.9695961022279,-37.0718373942245 -10.9701100059523,-37.0767982167804 -10.9696588664811,-37.0815746206651 -10.968260017151,-37.0859830069227 -10.9659672208371,-37.0898539300584 -10.9628686029657,-37.0930386148653 -10.9590832626691,-37.0954146764698 -10.95475669266,-37.0968908233713 -10.950055184333,-37.0974103627704 -10.945159433668,-37.096953373937 -10.9402575942048,-37.0955374669115 -10.9355380445111,-37.0932170984276 -10.9311821483664,-37.0900814724597 -10.92735728596,-37.0862511070889 -10.9242104237678,-37.0818732003864 -10.9218624698764,-37.0771159737973 -10.9204036312002,-37.0721622103843 -10.919889950458,-37.0672022358102 -10.9203411554572,-37.0624266110065 -10.921739902885,-37.0580188163209 -10.9240324453801,-37.0541482071868 -10.9271306961578,-37.0509635110074 -10.9309156119725,-37.0485871143875 -10.9352417647351,-37.047110359831 -10.9399429265728,-37.046590032647 -10.9448384542558)))', 'BRAJU', 'Aracaju', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.8088631853852 -6.96609687231084,-34.8093649808409 -6.97099512886772,-34.8108135341211 -6.97570143905793,-34.8131531984654 -6.98003492746893,-34.8162940718514 -6.98382904413508,-34.8201154503352 -6.98693796746004,-34.8244704669087 -6.98924221047685,-34.8291917375714 -6.99065321462892,-34.8340977973319 -6.99111675423092,-34.8390000782693 -6.99061502058772,-34.8437101608067 -6.98916730563632,-34.8480470188073 -6.98682925894868,-34.8518439794149 -6.98369074689713,-34.8549551296982 -6.97987239660132,-34.8572609236644 -6.97552095786391,-34.8586727742253 -6.97080366170926,-34.8591364539793 -6.96590179262277,-34.8586341746704 -6.96100372168311,-34.8571852661008 -6.95629766834729,-34.8548454291203 -6.95196446892408,-34.8517045920337 -6.94817062938339,-34.8478834532586 -6.9450619291317,-34.8435288433097 -6.94275782117509,-34.8388080842826 -6.94134684350843,-34.8339025632769 -6.94088321778488,-34.8290007661928 -6.94138476581081,-34.8242910389449 -6.94283222390776,-34.8199543535804 -6.94516998160756,-34.8161573566732 -6.94830821653365,-34.8130459666811 -6.95212634375624,-34.8107397660903 -6.95647764743353,-34.8093274038937 -6.96119491710281,-34.8088631853852 -6.96609687231084)))', 'BRCDO', 'Cabedelo', 'Y'),('SRID=4326;MULTIPOLYGON(((-48.6430462853092 -26.9085359435261,-48.6434818268007 -26.9134339644004,-48.6449749748408 -26.9181616901186,-48.6474684707937 -26.9225374126295,-48.6508665796343 -26.9263929314243,-48.6550387554574 -26.9295800240747,-48.6598246519235 -26.9319761510254,-48.6650402860774 -26.9334891740845,-48.6704851183985 -26.9340609058491,-48.6759497755276 -26.933669352346,-48.6812241164282 -26.9323295617032,-48.6861053289373 -26.9300930457093,-48.6904057423574 -26.9270457965144,-48.6939600530074 -26.9233049752636,-48.6966316830059 -26.9190144009499,-48.6983180269768 -26.9143390141818,-48.6989543853499 -26.9094585300461,-48.6985164346046 -26.9045605252871,-48.6970211419932 -26.8998332264385,-48.6945260926429 -26.8954582765645,-48.6911272580695 -26.8916037585471,-48.6869552946648 -26.8884177424553,-48.6821705164295 -26.886022603948,-48.6769567360786 -26.8845103307356,-48.6715142109077 -26.8839389960636,-48.6660519630333 -26.8843305334514,-48.6607797667046 -26.8856698972243,-48.6559001075926 -26.887905640581,-48.6516004199044 -26.8909518889983,-48.6480458968351 -26.8946916336906,-48.6453731486053 -26.8989812195611,-48.6436849508317 -26.9036558564828,-48.6430462853092 -26.9085359435261)))', 'BRITJ', 'Itajai', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.1759265580426 -5.77909663131248,-35.176427068363 -5.78399401567429,-35.1778719490321 -5.788699491236,-35.1802056892842 -5.79303221475969,-35.1833386106237 -5.79682566689547,-35.1871503122047 -5.79993405374144,-35.1914942984212 -5.80223791171101,-35.1962036107782 -5.80364869999455,-35.2010972472954 -5.80411220388911,-35.2059871222488 -5.80361061808616,-35.2106852981853 -5.80216322987671,-35.2150112116734 -5.79982567617506,-35.2187986145799 -5.79668780318614,-35.2219019637623 -5.79287021131365,-35.2242020134935 -5.78851961845094,-35.2256103958164 -5.78380322016673,-35.2260730131514 -5.77890226375596,-35.2255721132935 -5.77400508321004,-35.2241269676667 -5.76929986273359,-35.221793127374 -5.76496740673015,-35.2186602861416 -5.76117419382205,-35.2148488326196 -5.75806598149097,-35.2105052246494 -5.75576220675517,-35.2057963631414 -5.75435139775267,-35.2009031814381 -5.75388777234069,-35.1960136960224 -5.7543891543277,-35.1913157850436 -5.75583628745182,-35.1869899715959 -5.75817357363319,-35.1832024885823 -5.76131120739443,-35.1800988913408 -5.76512862475209,-35.1777984633633 -5.7694791343811,-35.1763896301914 -5.7741955533843,-35.1759265580426 -5.77909663131248)))', 'BRNAT', 'Natal', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.0404760359224 -19.8291566070687,-40.0410175886846 -19.8340504470034,-40.0425577348253 -19.838750259622,-40.0450373612447 -19.8430754059653,-40.0483612241046 -19.8468596347069,-40.0524016018355 -19.8499574769399,-40.057003201454 -19.85224984304,-40.061989129953 -19.8536486055178,-40.0671677007476 -19.8540999907758,-40.0723398123075 -19.8535866486498,-40.0773066135502 -19.8521283197325,-40.0818771592696 -19.8497810747459,-40.0858757593132 -19.8466351555012,-40.089148737359 -19.8428115010736,-40.0915703384759 -19.8384570935916,-40.093047558165 -19.8337393035091,-40.0935237078686 -19.828839452629,-40.09298058125 -19.823945843011,-40.0914391398635 -19.8192465201113,-40.0889586939986 -19.8149220483342,-40.0856346122464 -19.8111385763093,-40.0815946495011 -19.8080414577402,-40.0769940355682 -19.80574967208,-40.0720095133934 -19.8043512584515,-40.0668325554613 -19.8038999373428,-40.0616620177582 -19.804413049152,-40.0566965117615 -19.80587088835,-40.0521267854874 -19.8082174587703,-40.0481284043355 -19.8113626212984,-40.0448550113037 -19.8151855520621,-40.0424324245009 -19.8195393791043,-40.0409537984879 -19.8242568203378,-40.0404760359224 -19.8291566070687)))', 'BRPCL', 'Portocel', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.1459252724465 -22.9066862743711,-43.1463789585982 -22.9115856031218,-43.1478557596697 -22.916308791953,-43.150299020839 -22.9206743105293,-43.1536149192305 -22.9245143573359,-43.1576760587387 -22.9276813138387,-43.162326360882 -22.9300534246517,-43.1673870644919 -22.9315394843157,-43.172663603424 -22.9320823493851,-43.1779530967622 -22.9316611397655,-43.1830521616649 -22.9302920438866,-43.1877647461244 -22.9280276963436,-43.1919096780508 -22.924955151964,-43.195327638293 -22.921192534651,-43.1978872880014 -22.9168844906587,-43.1994903141314 -22.9121966221452,-43.2000751994741 -22.9073091161052,-43.1996195735774 -22.9024098145944,-43.1981410562235 -22.8976869933549,-43.1956965635228 -22.8933221267595,-43.1923801058403 -22.8894829170649,-43.1883191644288 -22.8863168553628,-43.1836697876115 -22.8839455608135,-43.1786105956845 -22.8824601146076,-43.1733359246522 -22.8819175667972,-43.1680483710596 -22.8823387491768,-43.1629510224397 -22.8837074774638,-43.1582396695114 -22.8859711730257,-43.1540952968754 -22.889042880293,-43.1506771385358 -22.8928046028056,-43.1481165635011 -22.8971118305344,-43.1465120256884 -22.90179908559,-43.1459252724465 -22.9066862743711)))', 'BRRIO', 'Rio de Janeiro', 'Y'),('SRID=4326;MULTIPOLYGON(((-46.2977012483827 -23.9682332709973,-46.2982748254248 -23.9731227379099,-46.2998755691451 -23.9778154128808,-46.302442057177 -23.9821309245932,-46.3058757196785 -23.9859033829276,-46.3100446183174 -23.9889877612435,-46.3147885142102 -23.9912654777806,-46.3199250304315 -23.9926489604479,-46.3252566715727 -23.9930850183922,-46.3305784289296 -23.9925568898235,-46.3356856766799 -23.9910848868253,-46.340382052881 -23.988725612269,-46.3444870197729 -23.9855697793087,-46.3478428106751 -23.9817387180624,-46.3503204951515 -23.9773797048406,-46.3518249290222 -23.9726602946605,-46.3522983997249 -23.9677618760248,-46.3517228286204 -23.9628726965917,-46.3501204479881 -23.9581806283092,-46.3475529293993 -23.9538659501311,-46.3441189995891 -23.9500944252792,-46.3399506375854 -23.9470109382794,-46.3352080005737 -23.9447339351974,-46.3300732738263 -23.9433508795071,-46.3247436803207 -23.942914897058,-46.3194239170268 -23.943442738147,-46.3143183061888 -23.9449141344566,-46.3096229605441 -23.9472725754782,-46.3055182609601 -23.9504274749561,-46.3021619334221 -23.9542576448865,-46.2996829900644 -23.9586159446534,-46.2981767667201 -23.9633349278568,-46.2977012483827 -23.9682332709973)))', 'BRSSZ', 'Santos', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.2693994369987 -20.2971949319512,-40.269950474596 -20.3020873807373,-40.2715026903611 -20.3067843834241,-40.2739965088291 -20.3111054075611,-40.2773361411534 -20.3148843587516,-40.2813932589971 -20.3179759696338,-40.2860119242833 -20.3202613891923,-40.291014585647 -20.3216527565716,-40.2962089105675 -20.3220965826349,-40.3013951892656 -20.3215758085331,-40.3063740239022 -20.3201104617074,-40.3109540053728 -20.31775688405,-40.3149590805342 -20.3146055622178,-40.3182353249886 -20.3107776441722,-40.3206568600618 -20.3064202767472,-40.3221306863272 -20.3017009444623,-40.3226002485345 -20.2968010281138,-40.3220475963241 -20.2919088314581,-40.3204940596308 -20.2872123444104,-40.3179994150185 -20.2828920209196,-40.3146595771071 -20.2791138487156,-40.3106029055323 -20.2760229765666,-40.3059852704307 -20.2737381430224,-40.3009840663311 -20.2723471197232,-40.2957914038989 -20.2719033434225,-40.2906067398144 -20.2724238653938,-40.2856292261063 -20.2738886965802,-40.2810500707796 -20.2762415735912,-40.2770452012048 -20.2793921164367,-40.273768510481 -20.2832192957494,-40.271345945223 -20.2875760771603,-40.2698706616937 -20.2922950653653,-40.2693994369987 -20.2971949319512)))', 'BRVIX', 'Vitória', 'Y'),('SRID=4326;MULTIPOLYGON(((-53.2630849528873 47.5837346346332,-53.2635841222948 47.5788479601578,-53.2654824283346 47.5741210534791,-53.268706578805 47.5697355062745,-53.2731324285731 47.5658597521714,-53.278589787248 47.5626426092443,-53.2848689757462 47.560207580031,-53.2917288773483 47.5586481252267,-53.2989061749094 47.5580240896771,-53.3061254236209 47.5583594153481,-53.3131095792702 47.5596412272274,-53.3195905860304 47.561820326382,-53.3253196258168 47.5648130714824,-53.3300766432016 47.5685045778741,-53.3336787854761 47.5727531135591,-53.3359874360503 47.5773955260299,-53.3369135699482 47.582253494417,-53.3364212212892 47.5871403693828,-53.3345289224885 47.5918683398737,-53.3313090512007 47.5962556522567,-53.3268851010917 47.6001336041724,-53.3214269733455 47.6033530429493,-53.3151444641286 47.6057901165273,-53.3082791957092 47.6073510529749,-53.3010953022818 47.6079757818794,-53.2938692328168 47.6076402557178,-53.2868790699258 47.6063573800252,-53.2803937839843 47.604176515691,-53.2746628445432 47.6011815727773,-53.2699065962348 47.5974877705361,-53.2663077746816 47.5932371904874,-53.2640044909234 47.5885932963746,-53.2630849528873 47.5837346346332)))', 'CABYR', 'Bay Roberts', 'Y'),('SRID=4326;MULTIPOLYGON(((-54.5120928972698 48.9491881592616,-54.5130634654146 48.9443331561082,-54.5154529831645 48.9396961138982,-54.5191692955621 48.9354551424691,-54.5240693857716 48.9317730976012,-54.529964901602 48.9287913411914,-54.5366294004326 48.9266243296302,-54.5438070331467 48.9253552351852,-54.5512223361326 48.9250327656456,-54.5585907611508 48.9256693020385,-54.5656295469103 48.927240424545,-54.5720685241776 48.9296858445754,-54.5776604484674 48.9329117081484,-54.5821904707854 48.9367941840957,-54.5854843871456 48.9411842020103,-54.5874153509314 48.9459131610159,-54.5879087874828 48.9507993930027,-54.5869453160085 48.9556551343887,-54.584561558036 48.9602937399635,-54.5808487916493 48.964536861882,-54.5759494938354 48.9682213169715,-54.570051896149 48.9712053764009,-54.5633827581534 48.9733742331656,-54.5561986352359 48.9746444340821,-54.5487759790835 48.9749671029109,-54.5414004573897 48.9743298282848,-54.5343559118514 48.9727571424121,-54.5279133885763 48.9703095718911,-54.5223206718967 48.9670812980962,-54.5177927314397 48.96319651913,-54.5145034542458 48.9588046560133,-54.5125789806603 48.9540745905373,-54.5120928972698 48.9491881592616)))', 'CAGAN', 'Gander', 'Y'),('SRID=4326;MULTIPOLYGON(((-53.9633048596247 47.2990326750095,-53.9642889211633 47.2941815016222,-53.9666448636363 47.2895541020902,-53.9702818554902 47.2853282177441,-53.9750599524109 47.2816661296385,-53.9807955020912 47.2787084400404,-53.9872682067674 47.276568688889,-53.9942295714066 47.2753290091169,-54.0014124155995 47.2750369849805,-54.0085410893417 47.2757038319115,-54.0153420079728 47.277303966557,-54.0215541102328 47.2797759833732,-54.0269388459705 47.2830250012361,-54.0312893164715 47.2869262918842,-54.0344382202626 47.2913300534473,-54.0362642998549 47.2960671486071,-54.0366970390667 47.3009555897087,-54.0357194247445 47.3058075238492,-54.0333686588932 47.3104364508318,-54.0297347849729 47.3146643967857,-54.02495727262 47.3183287667953,-54.0192196851453 47.3212886111944,-54.0127426305475 47.3234300619949,-54.0057752660953 47.3246707275076,-53.9985856856158 47.324962873406,-53.9914505646531 47.3242952657211,-53.9846444693991 47.3226936036238,-53.9784292492083 47.3202195251988,-53.9730439289078 47.3169682254317,-53.9686954962053 47.3130647799832,-53.9655509423369 47.3086593187723,-53.9637308625547 47.3039212378728,-53.9633048596247 47.2990326750095)))', 'CANWP', 'ARGENTIA', 'Y'),('SRID=4326;MULTIPOLYGON(((-52.6960834998261 47.567551988992,-52.6966354018942 47.562667140487,-52.6985844505969 47.5579490054982,-52.7018554080573 47.5535788356026,-52.7063223369935 47.549724471409,-52.7118134762557 47.5465339081594,-52.7181178565542 47.5441296274919,-52.7249933998895 47.5426039102841,-52.7321761926674 47.5420153077072,-52.7393905806766 47.5423864034788,-52.7463597051266 47.5437029514413,-52.7528160835195 47.5459144207827,-52.7585118376282 47.5489359282871,-52.7632281832932 47.5526514848141,-52.7667838228285 47.5569184335979,-52.7690419198731 47.561572912699,-52.769915387516 47.5664361346933,-52.7693702820125 47.5713212449259,-52.7674271645527 47.5760404966751,-52.7641603700357 47.5804124683475,-52.759695201973 47.5842690450302,-52.7542031534362 47.5874618946502,-52.7478953321429 47.58986818749,-52.7410143399522 47.5913953363369,-52.7338249199976 47.5919845720651,-52.7266037354188 47.5916132145655,-52.7196286797235 47.5902955498415,-52.7131681383885 47.5880822787222,-52.7074706234109 47.5850585587279,-52.7027551870253 47.5813407158309,-52.6992029884874 47.5770717548759,-52.6969503402967 47.572415844137,-52.6960834998261 47.567551988992)))', 'CASJF', 'Saint-John''s', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.00893158196923 5.31904153154925,-4.00940528209473 5.31413864134073,-4.0108241316653 5.3094225909175,-4.01313358395203 5.30507461291704,-4.01624487189031 5.30126179093544,-4.02003842177484 5.29813063962969,-4.02436844970461 5.29580147574786,-4.02906856394982 5.29436379617927,-4.03395815795298 5.29387284038185,-4.03884934848813 5.29434746903187,-4.0435541927159 5.29576944019953,-4.04789190726465 5.2980841107191,-4.05169581243024 5.30120253574624,-4.05481973511503 5.30500488586593,-4.05714362481942 5.30934505057798,-4.05857816707764 5.31405625147226,-4.05906821705923 5.31895744964866,-4.05859492119643 5.3238603014199,-4.05717644493921 5.32857639522916,-4.05486727818294 5.33292449183381,-4.0517561445228 5.33673748958137,-4.04796259417662 5.33986884705611,-4.04363241111565 5.34219821612256,-4.03893201068702 5.3436360686539,-4.03404204301703 5.3441271388602,-4.02915044821907 5.34365254864746,-4.02444523067787 5.34223053409374,-4.02010723059868 5.33991574496992,-4.01630317115506 5.33679714417676,-4.01317924893205 5.33299458788811,-4.01085551435891 5.32865421799148,-4.00942125828411 5.32394284413449,-4.00893158196923 5.31904153154925)))', 'CIABJ', 'Abidjan', 'Y'),('SRID=4326;MULTIPOLYGON(((-70.8915006177975 -53.1336666604334,-70.8925120668587 -53.1385231353153,-70.8950800536743 -53.1431675830268,-70.899106315702 -53.1474214205751,-70.9044363925428 -53.1511210355583,-70.9108655209903 -53.1541240949815,-70.918146493353 -53.156315039249,-70.9259991787301 -53.1576095465035,-70.9341213381369 -53.1579577921635,-70.9422003102584 -53.1573463754751,-70.9499251079195 -53.1557988372257,-70.9569984480044 -53.1533747483081,-70.9631482404568 -53.1501674051975,-70.968138084979 -53.1463002232391,-70.9717763658906 -53.1419219696235,-70.973923594132 -53.137201022949,-70.9744977176223 -53.132318883541,-70.9734772035936 -53.1274631868124,-70.9709017852852 -53.1228204899212,-70.9668708566164 -53.1185691093139,-70.9615395884409 -53.114872283346,-70.955112925337 -53.1118719204101,-70.9478376996717 -53.1096831695858,-70.9399931674637 -53.1083900187985,-70.9318803264506 -53.1080420861191,-70.9238104193046 -53.1086527246533,-70.9160930531387 -53.1101985120807,-70.9090243796904 -53.1126201440556,-70.9028757785638 -53.1158246981505,-70.8978834686901 -53.1196891836225,-70.8942394410788 -53.1240652437966,-70.8920840596728 -53.1287848340057,-70.8915006177975 -53.1336666604334)))', 'CLPUQ', 'Punta Arenas', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-73.1019168077293 -36.6995083417575,-73.1023939815356 -36.7044008927533,-73.1040475068573 -36.7091244608393,-73.1068140349803 -36.7134974808928,-73.1105873881203 -36.7173518318761,-73.1152226186487 -36.7205393080306,-73.1205415701209 -36.7229373273264,-73.1263397278232 -36.7244536558118,-73.1323940949661 -36.7250299642317,-73.1384717892865 -36.7246440783819,-73.1443390255787 -36.7233108353713,-73.1497701339164 -36.7210815122562,-73.1545562618038 -36.7180418491866,-73.1585134212882 -36.7143087440008,-73.1614895685822 -36.7100257468956,-73.1633704427582 -36.7053575302984,-73.1640839398054 -36.7004835485346,-73.1636028565562 -36.6955911327795,-73.161945903162 -36.6908682879759,-73.1591769502296 -36.6864964691333,-73.1554025446988 -36.6826436144162,-73.1507677944152 -36.6794577017901,-73.1454507827111 -36.677061075252,-73.1396557289884 -36.6755457567188,-73.1336051574837 -36.6749699216892,-73.127531372608 -36.6753556722981,-73.1216675643892 -36.6766881920258,-73.1162388808604 -36.6789163139293,-73.1114538053622 -36.6819544807325,-73.1074961656309 -36.68568602239,-73.1045180785678 -36.689967626738,-73.1026341004128 -36.6946348333836,-73.1019168077293 -36.6995083417575)))', 'CLSVE', 'San Vicente', 'Y'),('SRID=4326;MULTIPOLYGON(((-74.7815704720366 11.0039827817361,-74.7820626940476 10.99908167091,-74.7835131935278 10.9943696017991,-74.78586618943 10.9900276429399,-74.7890312317489 10.9862226336365,-74.7928866813474 10.983100775426,-74.7972843857254 10.9807820171038,-74.802055370861 10.9793554485603,-74.8070163306354 10.9788758799329,-74.8119766650877 10.9793617371084,-74.8167457979444 10.9807943541792,-74.8211404932917 10.9831186899606,-74.8249918912801 10.9862454411554,-74.828151993385 10.990054471261,-74.830499348593 10.9943994238963,-74.8319437222035 10.9991133437767,-74.8324295676046 11.0040150898476,-74.8319381669879 11.0089162945566,-74.8304883578171 11.0136286021152,-74.8281358160462 11.0179709076856,-74.8249709225432 11.0217763191802,-74.821115293789 11.0248985738316,-74.8167171095587 11.0272176624903,-74.8119454169273 11.0286444449748,-74.8069836297234 11.0291240785772,-74.8020224738766 11.0286381275188,-74.7972526507103 11.0272052720002,-74.7928575012319 11.0248805895074,-74.7890059544278 11.0217534361215,-74.7858460314788 11.0179440095749,-74.7834991561233 11.0135987266034,-74.7820554900084 11.008884592782,-74.7815704720366 11.0039827817361)))', 'COBAQ', 'Barranquilla', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9739339174352 16.8827438200198,-24.9744869884981 16.8778527125613,-24.9760204114108 16.8731594565397,-24.9784751997909 16.8688443836671,-24.9817569835684 16.8650732848582,-24.9857396407086 16.8619910442952,-24.9902701447338 16.8597160772368,-24.9951744416558 16.8583357844706,-25.0002641310526 16.8579031973231,-25.0053436957138 16.8584349415906,-25.0102180036112 16.859910598353,-25.0146997956604 16.8622734862758,-25.0186168731965 16.865432835698,-25.0218187102839 16.869267271583,-25.0241822375424 16.873629472279,-25.0256165753477 16.8783518259065,-25.0260665339561 16.8832528677731,-25.0255147448888 16.8881442520106,-25.0239823400804 16.8928379898219,-25.0215281509161 16.8971536761467,-25.0182464562406 16.9009254266778,-25.0142633645237 16.9040082580143,-25.0097319684032 16.9062836649575,-25.0048264576809 16.9076641797514,-24.9997354175688 16.9080967372676,-24.9946545709115 16.907564716221,-24.9897792449098 16.9060885776688,-24.9852968536451 16.9037250762937,-24.9813796870074 16.9005650751491,-24.9781782844971 16.8967300484907,-24.9758156493339 16.8923674079101,-24.9743825253288 16.8876448322551,-24.9739339174352 16.8827438200198)))', 'CVMIN', 'Mindelo', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.8909503472274 16.7502404590038,-22.8914025269994 16.7453393514279,-22.8928383514974 16.7406174106894,-22.8952025746506 16.7362560854647,-22.8984042908318 16.7324229540238,-22.9023204358697 16.7292652881015,-22.9068005199633 16.726904398397,-22.9116724100737 16.7254309782301,-22.9167489397141 16.7249016234564,-22.9218350929145 16.7253366615922,-22.9267354876112 16.7267193729608,-22.9312618725378 16.7289966334396,-22.9352403512604 16.732080954072,-22.9385180573127 16.7358538394512,-22.9409690250645 16.7401703363805,-22.9424990312792 16.7448645987701,-22.9430492211925 16.7497562557612,-22.9425983789942 16.7546573391521,-22.9411637541399 16.7593795045414,-22.9388004100656 16.7637412690515,-22.9355991185665 16.7675749875354,-22.9316828791599 16.7707332988861,-22.9272021960136 16.7730947941441,-22.9223292933665 16.7745686877993,-22.9172514918553 16.7750983119119,-22.9121640010808 16.774663297961,-22.9072624067401 16.7732803619415,-22.9027351427348 16.7710026621772,-22.8987562393304 16.7679177545017,-22.8954786276473 16.764144223694,-22.8930282589485 16.7598271212114,-22.8914992652703 16.7551323853337,-22.8909503472274 16.7502404590038)))', 'CVSID', 'Ilha do Sal', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9489419920222 16.826741474303,-24.9494953661454 16.821850461572,-24.95102877019 16.8171573864819,-24.9534832188078 16.8128425737742,-24.9567643552444 16.8090718044136,-24.9607460825114 16.8059899500279,-24.9652754099196 16.8037154111844,-24.9701783286284 16.8023355723827,-24.9752664909974 16.8019034476663,-24.9803444382319 16.8024356451923,-24.9852171001485 16.803911728703,-24.9896972806082 16.8062750004822,-24.9936128426197 16.8094346760697,-24.9968133183184 16.8132693677878,-24.9991756905871 16.8176317440048,-25.0006091242561 16.8223541859275,-25.0010584645092 16.8272552253077,-25.000506366898 16.8321465162411,-24.9989739755264 16.836840073435,-24.9965201215724 16.8411554987522,-24.993239071258 16.8449269179638,-24.9892569084604 16.8480093605079,-24.9847266901742 16.8502843362756,-24.9798225608681 16.8516643942493,-24.9747330524849 16.8520964870187,-24.969653828738 16.8515640112903,-24.9647801541483 16.8500874456755,-24.960299379025 16.8477235612866,-24.9563837308918 16.8445632358482,-24.953183690724 16.8407279559717,-24.9508222093335 16.8363651428307,-24.9493899862616 16.8316424817361,-24.9489419920222 16.826741474303)))', 'CVVXE', 'Sao Vicente', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0334317519791 34.9817447848368,34.0327856612774 34.9768634393443,34.0309951463315 34.9721796071693,34.0281291817428 34.9678732345897,34.0242980119136 34.9641097407986,34.0196488981894 34.961033671944,34.0143604549239 34.9587631588949,34.0086357928368 34.9573853898028,34.0026947320237 34.9569532695903,33.9967653810654 34.9574833932123,33.9910754017962 34.9589554096172,33.9858432907478 34.961312800592,33.9812700077126 34.9644650450518,33.9775312693036 34.9682910867619,33.9747708011798 34.9726439738869,33.9730948074906 34.9773564939786,33.9725678711643 34.9822475897191,33.9732104453591 34.9871293104113,33.9749980365271 34.99181403306,33.9778621151855 34.9961216758209,33.9816927240478 34.9998866261276,33.9863426871711 35.0029641160906,33.9916332608887 35.0052357984902,33.9973610101391 35.0066143071516,34.0033056448336 35.0070466245595,34.0092385123004 35.0065161257376,34.0149314153481 35.0050432188584,34.0201654123261 35.0026845577018,34.0247392563264 34.9995308567263,34.0284771453347 34.995703393908,34.0312354830059 34.991349337433,34.0329083895326 34.9866360777726,34.0334317519791 34.9817447848368)))', 'CYAYI', 'Ayia Napa', 'Y'),('SRID=4326;MULTIPOLYGON(((32.3484054089315 34.9031668108478,32.3478598065602 34.8982768138666,32.3461668966381 34.8935684526826,32.3433919100678 34.8892226235299,32.3396416062895 34.8854062668783,32.3350601526311 34.882265962255,32.329823577203 34.8799223075817,32.3241330095319 34.8784652971579,32.3182069678758 34.8779508740163,32.3122729870864 34.878398787511,32.3065589049034 34.879791837341,32.3012841369435 34.8820765326137,32.2966512710338 34.8851651409085,32.2928382999147 34.8889390495925,32.2899917880639 34.8932533117527,32.2882212341607 34.8979422039124,32.2875948466068 34.9028255838499,32.2881368969379 34.9077158058443,32.2898267566822 34.9124249287491,32.2925996592984 34.9167719403652,32.2963491626099 34.9205897202034,32.300931221153 34.9237314720696,32.3061697147292 34.9260763777122,32.3118632217913 34.927534252383,32.3177927765858 34.9280490214753,32.3237303094169 34.9276008829672,32.3294474417786 34.9262070714159,32.3347242936918 34.9239211936794,32.3393579600667 34.9208311621976,32.3431703262996 34.917055806271,32.3460149200016 34.912740293142,32.3477825345143 34.9080505367358,32.3484054089315 34.9031668108478)))', 'CYGEO', 'Ayios Georgios', 'Y'),('SRID=4326;MULTIPOLYGON(((33.6714105748374 34.9168357823763,33.6707864904294 34.9119521754858,33.6690179421656 34.9072626734507,33.6661730616833 34.9029474420783,33.6623612853329 34.8991722421688,33.6577291320377 34.896082070251,33.6524545674553 34.8937955989596,33.6467401717956 34.8924006288104,33.6408053727863 34.8919507242921,33.6348780395318 34.8924631620041,33.6291857563083 34.8939182686945,33.6239471069906 34.8962601743413,33.6193633004411 34.8993989517816,33.6156104548299 34.9032140617874,33.6128328348634 34.9075589728267,33.6111373009823 34.9122667798682,33.6105891848614 34.9171566081741,33.6112097524189 34.9220405575516,33.6129753558241 34.9267309212207,33.6158183117677 34.9310474021982,33.619629476893 34.9348240494427,33.6242624253304 34.9379156460823,33.6295390703695 34.9402033025808,33.63525651507 34.9415990379856,33.6411948675151 34.9420491713044,33.6471257176217 34.9415363911051,33.6528209457044 34.9400804227802,33.6580615195599 34.9377372675279,33.6626459373331 34.9345970427523,33.6663979878004 34.930780508025,33.6691735273095 34.926434411779,33.6708660121506 34.9217258394825,33.6714105748374 34.9168357823763)))', 'CYLAR', 'Larnaca Port', 'Y'),('SRID=4326;MULTIPOLYGON(((32.4244568876598 35.0411482987751,32.4239059669291 35.0362586993747,32.4222059675526 35.0315514321779,32.41942239371 35.0272073508143,32.4156623351222 35.0233933280104,32.4110703336675 35.0202558531024,32.4058228219318 35.0179154149158,32.4001213484312 35.0164618839943,32.3941848490209 35.0159510697342,32.3882412589392 35.0164025830952,32.3825187839425 35.0177990858988,32.3772371613437 35.0200869551187,32.3725992421101 35.0231783369381,32.3687832134966 35.0269545126417,32.3659357583463 35.031270448549,32.364166412875 35.0359603570107,32.3635433405534 35.0408440566716,32.3640906870168 35.045733889231,32.365787621532 35.050441928045,32.3685691065166 35.0547872020125,32.3723283702594 35.0586026568439,32.3769209918905 35.0617415851899,32.3821704444081 35.0640832769521,32.3878748838298 35.0655376707412,32.3938149227657 35.0660488257971,32.3997620871164 35.0655970792769,32.4054876269752 35.0641998048556,32.4107713384314 35.0619107430313,32.4154100525084 35.0588179291842,32.4192254609438 35.0550403000428,32.4220709753114 35.0507231105604,32.4238373548623 35.0460323392315,32.4244568876598 35.0411482987751)))', 'CYLAT', 'Latchi', 'Y'),('SRID=4326;MULTIPOLYGON(((33.663398094092 34.8828379228944,33.6627747738538 34.877954239423,33.661007439512 34.8732645813764,33.6581641758104 34.8689491206512,33.6543543568387 34.8651736269722,33.6497244263049 34.8620831082686,33.6444522645854 34.8597962505966,33.6387403598001 34.8584008693838,33.6328080442785 34.8579505449389,33.6268830920347 34.8584625699775,33.6211929961649 34.8599172870447,33.6159562567286 34.8622588409978,33.6113740093217 34.8653973180788,33.6076223121928 34.8692121904912,33.6048453857748 34.8735569357388,33.6031500636055 34.8782646550979,33.6026016688992 34.8831544771772,33.6032214779303 34.8880385020443,33.6049858716964 34.8927290200801,33.6078272131298 34.8970457284626,33.6116364207887 34.9008226675225,33.6162671440325 34.9039146092847,33.6215413818019 34.906202651045,33.6272563299176 34.907598797109,33.6331921927305 34.9080493507264,33.6391206561831 34.9075369842918,33.6448136926291 34.906081407235,33.6500523543328 34.903738605624,33.6546352130509 34.9005986831619,33.6583861174683 34.8967823876912,33.6611609678357 34.8924364583558,33.6628532466752 34.8877279741459,33.663398094092 34.8828379228944)))', 'CYLFS', 'Larnaca Fishing Shelter', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0473147625104 34.6499920057759,33.0467295307131 34.6451048474306,33.045002009111 34.6404059288219,33.0421987534184 34.6360757807426,33.0384276032319 34.6322807396792,33.0338335208166 34.6291665660518,33.0285930143906 34.6268528550228,33.0229073611001 34.625428452796,33.0169948891838 34.6249480526942,33.0110826133144 34.6254301002543,33.0053975406854 34.6268560867993,33.0001579773765 34.629171258267,32.9955651645228 34.6322867124265,32.9917955618285 34.6360828049395,32.9889940723641 34.6404137349454,32.9872684680843 34.6451131358119,32.9866852311775 34.6500004580685,32.9872669736349 34.65488790082,32.9889915380779 34.659587626343,32.991792818993 34.6639189809993,32.9955632774255 34.6677154446123,33.0001580564242 34.6708310401916,33.0054005417226 34.6731459560954,33.0110891549093 34.6745711626886,33.0170051171283 34.6750518441909,33.0229208823393 34.6745695122244,33.028608912128 34.6731427187646,33.0338504502138 34.6708263407194,33.0384439548198 34.66770946401,33.0422128609291 34.6639119495453,33.0450123715205 34.6595798146652,33.0467350159047 34.6548796094327,33.0473147625104 34.6499920057759)))', 'CYLIM', 'Limassol New Port', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0733216700425 34.6689855345105,33.0727347765028 34.6640985181318,33.0710053922597 34.6593999846775,33.0682001446453 34.6550704499957,33.0644269497314 34.6512762268776,33.059830848187 34.6481630442268,33.0545884255772 34.6458504590917,33.0489010324024 34.6444272744342,33.0429870634881 34.6439481368647,33.0370735908084 34.6444314435212,33.0313876674058 34.6458586374825,33.0261476320163 34.6481749184293,33.0215547439898 34.6512913416169,33.0177854660924 34.6550882255512,33.0149846891599 34.6594197389892,33.013260158048 34.6641194928526,33.0126783139808 34.669006924027,33.0132617156511 34.6738942273123,33.0149881420623 34.6785935702024,33.0177914161851 34.68292431362,33.0215639223941 34.686719960755,33.0261607248698 34.6898345659102,33.031405131337 34.6921483554737,33.037095489271 34.6935723431202,33.0430129524887 34.6940517599915,33.0489299170394 34.6935681664281,33.0546187982746 34.6921401630306,33.0598608071549 34.6898226733475,33.0644543838847 34.6867048261428,33.0682229608491 34.6829065197043,33.0710217539237 34.6785738018384,33.072743320277 34.6738732449864,33.0733216700425 34.6689855345105)))', 'CYLOP', 'Limassol Old Port', 'Y'),('SRID=4326;MULTIPOLYGON(((33.8074332948928 34.9808014320938,33.8068005999639 34.9759186870055,33.8050229022843 34.9712313332949,33.8021686849778 34.9669194535235,33.7983477425952 34.9631486791472,33.7937069453021 34.9600638363051,33.7884245896948 34.957783392794,33.7827035540898 34.9563949177213,33.7767635202307 34.9559517264543,33.7708325575603 34.9564708382579,33.765138389444 34.9579323241234,33.75989967231 34.9602800695674,33.7553176182321 34.9634239235515,33.7515682790353 34.9672431520787,33.7487957859211 34.9715910653901,33.7471068036075 34.9763006428438,33.746566413152 34.9811909411859,33.7471955844168 34.9860740415079,33.7489703393253 34.9907622689331,33.7518226427639 34.9950754078851,33.755642991551 34.9988476352093,33.7602846058909 35.0019339035683,33.7655690647995 35.0042155281433,33.7712931697522 35.0056047600205,33.7772367717247 35.0060481686161,33.7831712580608 35.0055287015785,33.7888683689489 35.0040663419978,33.79410899995 35.0017173373728,33.7986916476218 34.9985720304406,33.8024401697702 34.9947513763968,33.8052105595823 34.9904022820219,33.8068964725491 34.9856919477641,33.8074332948928 34.9808014320938)))', 'CYORM', 'Ormidia', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0674521703196 35.0377358953428,34.0668035349219 35.0328548192849,34.0650097896687 35.0281715878834,34.0621400335969 35.0238661240863,34.0583046568731 35.0201038119223,34.0536510823243 35.0170291519296,34.0483580953268 35.0147602207038,34.0426289806524 35.0133841455664,34.0366837288759 35.0129537663961,34.0307506090277 35.0134856113827,34.0250574272893 35.0149592635313,34.0198228029638 35.0173181420105,34.0152477923668 35.0204716688116,34.0115081786859 35.0242987386212,34.0087477216197 35.0286523602263,34.0070726254536 35.0333652929952,34.0065474392564 35.0382564636971,34.0071925495376 35.0431379186124,34.0089833657796 35.0478220447516,34.0118512348607 35.0521287829513,34.0156860538917 35.0558925551665,34.0203404849496 35.0589686385795,34.0256356122628 35.0612387398917,34.0313678252158 35.0626155536467,34.037316661549 35.0630461275177,34.0432533065152 35.0625139036733,34.0489494172655 35.0610393567864,34.0541859285808 35.0586792039042,34.058761496869 35.0555242170518,34.0625002540392 35.0516957238221,34.0652585707891 35.0473409321311,34.0669305686773 35.0426272607452,34.0674521703196 35.0377358953428)))', 'CYPAR', 'Paralimni', 'Y'),('SRID=4326;MULTIPOLYGON(((32.4423515945488 34.7551427751008,32.4418012803856 34.750253035551,32.4401059082629 34.7455458444378,32.4373308020307 34.741202052875,32.4335827242388 34.737388523133,32.4290057555942 34.7342517264494,32.4237757513479 34.7319121264752,32.418093588648 34.7304595623358,32.41217746353 34.729949806852,32.4062545310453 34.7304024305689,32.4005522059541 34.7318000525656,32.395289453727 34.7340890063992,32.3906684019224 34.7371813958925,32.3868665903517 34.7409584627567,32.3840301551436 34.745275138175,32.3822682075933 34.7499656052846,32.3816486245911 34.7548496606826,32.3821954148914 34.7597396321228,32.383887766265 34.7644475876954,32.3866608147434 34.7687925599046,32.3904081110513 34.7726075067375,32.3949856934559 34.7757457412172,32.4002176132671 34.7780865808013,32.4059027017097 34.7795399976449,32.41182231733 34.7800500891105,32.4177487736792 34.779597233503,32.4234541195202 34.7781988470465,32.4287189295005 34.7759087125659,32.4333407627875 34.7728149059816,32.4371419605966 34.7690364013215,32.4399764802391 34.7647184862938,32.4417355020474 34.7600271664805,32.4423515945488 34.7551427751008)))', 'CYPFO', 'Paphos', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5805045309673 35.1671094733158,32.5799435216895 35.1622206059521,32.5782319948862 35.1575155345265,32.5754358980975 35.1531750273964,32.571662801947 35.1493658191522,32.5670577483311 35.1462342135568,32.5617976699067 35.1439004736416,32.5560845963277 35.1424542126477,32.5501379074359 35.1419509610327,32.5441859285169 35.1424100398334,32.5384571866772 35.1438138209986,32.5331716596902 35.1461084026882,32.5285323489093 35.1492056739095,32.5247174960707 35.1529866901739,32.521873740347 35.1573062320221,32.5201104775806 35.1619983731235,32.5194956392876 35.166882845884,32.5200530562069 35.1717719615879,32.5217615116356 35.1764778202762,32.5245555256225 35.1808195337378,32.5283278446315 35.1846301837297,32.5329335450797 35.1877632469958,32.5381955958359 35.1900982385877,32.543911666977 35.1915453547075,32.5498619223091 35.1920489347125,32.5558174935883 35.1915896075714,32.5615493068033 35.1901850391431,32.5668369165916 35.1878892511214,32.5714770045122 35.1847905381521,32.5752912105169 35.1810080642172,32.578132993908 35.1766872706929,32.5798932591131 35.1719942744661,32.5805045309673 35.1671094733158)))', 'CYPOM', 'Pomos', 'Y'),('SRID=4326;MULTIPOLYGON(((33.9314282355738 34.969770417448,33.930788295644 34.9648884202214,33.9290038281166 34.9602029768002,33.9261435755886 34.9558940958316,33.9223175636074 34.9521272932161,33.9176728561231 34.9490472423838,33.9123878990156 34.9467722271494,33.906665669796 34.9453896084092,33.9007258956206 34.9449524770314,33.8947966358865 34.9454776200371,33.8891055488516 34.9469448772572,33.8838711732256 34.9492979129214,33.8792945551729 34.9524463730051,33.8755515386519 34.9562693465786,33.8727860128712 34.9606199997917,33.8711043755793 34.9653312063158,33.8705714260288 34.9702219597358,33.8712078481998 34.9751043230203,33.8729893850328 34.9797906490003,33.8758477401024 34.984100794667,33.8796731767324 34.9878690515813,33.8843187185647 34.9909505249093,33.889605792698 34.9932267142742,33.8953310993234 34.9946100800287,33.9012744427773 34.9950474175786,33.9072072202718 34.9945219085146,33.9129012380017 34.9930537687352,33.9181375110852 34.9906994683724,33.9227147044876 34.9875495539897,33.926456886659 34.9837251579208,33.9292202954133 34.9793733305778,33.9308988553001 34.9746613770399,33.9314282355738 34.969770417448)))', 'CYPOT', 'Potamos', 'Y'),('SRID=4326;MULTIPOLYGON(((32.7015135412493 35.1900790483495,32.7009451361092 35.1851907192613,32.6992261540452 35.1804873341485,32.6964228287397 35.1761495960026,32.692643007898 35.1723441325919,32.6880319908965 35.1692171035698,32.6827669385202 35.1668885961375,32.6770500705901 35.1654480227362,32.6711009119953 35.1649506957274,32.665147882491 35.1654157090647,32.6594195495125 35.1668252072625,32.6541358754775 35.1691250693404,32.6494997912357 35.1722269817949,32.6456894154738 35.1760118219763,32.6428512163549 35.1803342234301,32.6410943771643 35.1850281496519,32.6404865833335 35.1899132639716,32.6410513953286 35.1948018524226,32.6427673123044 35.1995060346805,32.6455685672102 35.2038449863958,32.6493476275405 35.2076518950451,32.6539593097002 35.2107803809509,32.6592263516403 35.2131101351147,32.6649462306471 35.2145515552912,32.6708989634219 35.2150492002052,32.6768555860729 35.214583927505,32.6825869841403 35.2131736321615,32.6878727285743 35.2108725565138,32.6925095733259 35.2077691988203,32.6963192839278 35.2039829017554,32.6991554934822 35.1996592535708,32.7009093215969 35.1949644805743,32.7015135412493 35.1900790483495)))', 'CYPYR', 'Pyrgos', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0464586845408 35.0547410560713,34.0458111342265 35.0498598615075,34.0440181817921 35.0451763180209,34.0411488960498 35.0408703606105,34.0373136493316 35.0371073922874,34.0326598596701 35.0340319387714,34.0273663208398 35.0317621070771,34.0216363388616 35.0303850590246,34.0156899375866 35.0299536717611,34.0097554300782 35.0304845121012,34.0040606756375 35.0319572015637,33.9988243537633 35.0343151962549,33.9942475857667 35.0374679521164,33.9905062221697 35.0412943934956,33.987744089787 35.0456475534053,33.9860674572424 35.0503602090623,33.9855409327002 35.0552512980053,33.9861849542432 35.0601328697725,33.9879749734009 35.0648173069782,33.9908423679259 35.0691245385629,33.994677053407 35.0728889675341,33.9993316972553 35.0759658458016,34.0046273756543 35.0782368494453,34.0103604568535 35.0796146382263,34.0163104451732 35.080046222228,34.0222484814545 35.0795150046843,34.0279461691724 35.0780414215022,34.0331843822631 35.0756821526362,34.0377617114951 35.0725279361264,34.0415022209037 35.0687000699959,34.0442622137171 35.0643457381374,34.0459357470416 35.0596323417524,34.0464586845408 35.0547410560713)))', 'CYTRI', 'Ayia Triada', 'Y'),('SRID=4326;MULTIPOLYGON(((33.8614265940249 34.9637879882486,33.8607908530852 34.9589055549383,33.8590104848376 34.9542190172998,33.8561540746338 34.949908426336,33.8523315008241 34.9461393638697,33.8476896957965 34.9430565902564,33.8424069944727 34.9407784938853,33.8366862881864 34.9393925538672,33.8307472459305 34.9389519884117,33.8248178991334 34.9394737161581,33.8191259093295 34.9409377078285,33.8138898496351 34.9432877528406,33.8093108304719 34.9464336118899,33.8055647875077 34.9502544739224,33.8027957256733 34.954603586293,33.801110178094 34.959313882078,33.8005730939289 34.9642043901555,33.8012053158893 34.9690871832739,33.8029827483962 34.9737745981016,33.8058372530375 34.9780864500918,33.8096592415679 34.9818569654417,33.8143018707032 34.9849411626079,33.8195866800589 34.9872204364778,33.825310457373 34.9886071286771,33.831253066116 34.9890479064833,33.837185931894 34.9885258189286,33.8428808574393 34.9870609500684,33.8481188226954 34.9847096440295,33.8526984271362 34.9815623320963,33.8564436459912 34.9777400465113,33.859210599793 34.9733897566423,33.8608930763454 34.9686787086766,33.8614265940249 34.9637879882486)))', 'CYXYL', 'Xylofagou', 'Y'),('SRID=4326;MULTIPOLYGON(((33.3683422572826 34.7269120338752,33.3677375985714 34.7220265735108,33.3659903470352 34.717332359626,33.3631678157486 34.7130097407163,33.3593785832699 34.709224762821,33.3547683043017 34.7061227990923,33.3495141067393 34.7038229755698,33.3438177912494 34.7024136054924,33.3378980937141 34.7019488057474,33.3319823052265 34.7024464239288,33.3262975677446 34.703887354649,33.3210621753124 34.7062162710467,33.3164772105636 34.7093437437879,33.3127188340558 34.7131496672147,33.3099315201907 34.7174878625757,33.3082224987885 34.7221916833129,33.3076576168713 34.7270804088615,33.3082587823206 34.7319661828277,33.310003091571 34.736661229957,33.312823679484 34.7409850749,33.3166122633625 34.744771484965,33.3212232872478 34.7478748689651,33.3264795098379 34.7501758846371,33.3321788221744 34.7515860372481,33.3381020321321 34.7520510907771,33.3440213138832 34.7515531589937,33.3497089936515 34.7501113950284,33.3549463294566 34.747781252597,33.3595319428039 34.7446523476859,33.3632895743931 34.7408450039879,33.3660748632298 34.7365056164778,33.3677808877862 34.7318010132075,33.3683422572826 34.7269120338752)))', 'CYZYG', 'Zygi', 'Y'),('SRID=4326;MULTIPOLYGON(((9.97602953258433 54.632660853056,9.97508623453727 54.6277976318268,9.97252620753263 54.6231345788631,9.96844830660267 54.6188507932582,9.96300955083177 54.615110754611,9.95641904258124 54.6120580240746,9.9489299176732 54.6098097526911,9.94082963797212 54.608452204211,9.93242899627057 54.6080374606838,9.92405024812689 54.6085814342953,9.91601481530634 54.6100632598425,9.90863102011873 54.6124260905921,9.90218230892994 54.6155792678427,9.89691640646864 54.6194017830887,9.89303581057168 54.6237469030354,9.89068999038021 54.6284477835614,9.88996959077344 54.6333238606708,9.89090287353665 54.6381877760004,9.89345454345218 54.6428525728008,9.89752701777808 54.6471388864958,9.90296410358225 54.6508818526079,9.90955695274289 54.6539374643045,9.91705207305764 54.6561881319125,9.92516108991645 54.6575472268776,9.93357188037266 54.6579624317117,9.94196064380985 54.6574177639988,9.950004433723 54.6559341946128,9.95739365550996 54.6535688357714,9.96384403665531 54.650412731055,9.96910759819684 54.6465873346498,9.9729821986836 54.6422398184806,9.97531928172206 54.6375373914715,9.97602953258433 54.632660853056)))', 'DE4AV', 'ARNIS', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6647265554429 54.3728344623494,12.6641819227676 54.3679518230254,12.6620167116122 54.3632250167809,12.6583146334167 54.3588356137209,12.6532183153366 54.3549521672863,12.6469237648095 54.3517237564681,12.6396728131207 54.3492742810747,12.6317438319414 54.3476977255893,12.6234410780389 54.3470545697964,12.6150830691828 54.3473694807237,12.6069904275911 54.3486303721533,12.5994736453778 54.350788866719,12.5928212290268 54.3537621431873,12.5872886668952 54.3574360997221,12.5830886354168 54.3616697145215,12.5803828166212 54.3663004399221,12.5792756427973 54.3711504265172,12.579810215012 54.3760333415244,12.581966562656 54.3807615218654,12.5856623236774 54.3851531882421,12.5907558326537 54.3890394426446,12.5970515098097 54.3922707785942,12.6043073523435 54.3947228509579,12.6122442439981 54.3963012798868,12.6205567237075 54.3969453003813,12.6289247930344 54.3966301137704,12.637026298143 54.3953678482424,12.6445493975279 54.393207090358,12.6512046229739 54.3902310059208,12.6567360584663 54.386554124255,12.6609311990943 54.3823179124871,12.6636291074171 54.377685313645,12.6647265554429 54.3728344623494)))', 'DE5B6', 'BODSTEDT', 'Y'),('SRID=4326;MULTIPOLYGON(((9.60909284398782 53.7167934221427,9.60821377715283 53.7119264723415,9.60575145885938 53.7072547339533,9.60180096769812 53.7029576452036,9.59651441589667 53.6992002030437,9.59009505870567 53.6961266433865,9.58278946896735 53.6938549226072,9.57487807973435 53.6924722086729,9.56666445556877 53.6920315515199,9.55846369749227 53.6925498575764,9.55059041644908 53.6940072442727,9.54334672494207 53.696347798708,9.53701069590259 53.6994817121366,9.53182572186795 53.7032887103956,9.52799117648558 53.7076226516054,9.5256547349094 53.7123171181484,9.52490665085862 53.7171917917032,9.52577621748921 53.7220593694358,9.5282305588013 53.7267327576072,9.5321758106266 53.7310322668279,9.53746065837978 53.7347925316521,9.54388210623807 53.737868886442,9.55119326307602 53.7401429492888,9.55911284830125 53.7415271956662,9.56733604958527 53.741968342337,9.575546307875 53.7414494083483,9.58342756590292 53.7399903718669,9.59067649674185 53.7376473969588,9.5970142298205 53.7345106608653,9.60219711317903 53.7307008674743,9.60602609145841 53.726364584199,9.6083543370464 53.7216685852146,9.60909284398782 53.7167934221427)))', 'DE63D', 'Seester', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1035436969504 54.1872643274925,11.1024791693348 54.1824109375098,11.0998212782957 54.1777725633429,11.0956726132487 54.1735273508127,11.0901928847454 54.1698382953708,11.0835927445155 54.1668470004553,11.0761256799318 54.164668260823,11.0680782958993 54.1633856752114,11.0597593540641 54.1630484532724,11.0514879824589 54.1636695365204,11.0435814972881 54.1652251036868,11.036343291876 54.1676554790821,11.0300512455908 54.1708674101296,11.0249470878466 54.1747376289306,11.0212271194104 54.1791175643353,11.0190346458998 54.1838390272354,11.0184544176526 54.1887206542741,11.0195092976353 54.1935748653481,11.022159296839 54.1982150693991,11.0263030273079 54.2024628420231,11.0317815297363 54.2061547980179,11.0383843390553 54.2091488923627,11.0458575615497 54.2113299041126,11.0539136548287 54.2126138886204,11.0622425313414 54.2129514232646,11.0705235505883 54.2123295189242,11.0784379275971 54.2107721218718,11.0856810675822 54.2083391863809,11.0919743399324 54.2051243547798,11.0970758285785 54.2012513365507,11.1007896391015 54.1968691290304,11.1029734033708 54.1921462672358,11.1035436969504 54.1872643274925)))', 'DE63V', 'Kellenhusen', 'Y'),('SRID=4326;MULTIPOLYGON(((10.8074222898154 54.061369879228,10.8063958538478 54.0565134988262,10.803779237522 54.0518681941316,10.7996734443097 54.0476123794411,10.794236540252 54.0439094593603,10.7876775367356 54.0409015711744,10.7802483471767 54.038704147508,10.7722341283476 54.0374015044449,10.7639423741148 54.0370436209964,10.7556911727828 54.0376442307023,10.7477970680653 54.0391802968498,10.7405629773179 54.041592891024,10.7342666187819 54.0447894422497,10.729149882233 54.0486472726241,10.7254095449365 54.0530182868737,10.7231896878814 54.0577346393909,10.7225761069763 54.0626151646423,10.7235929418076 54.0674723268518,10.7262016627549 54.0721194237857,10.7303024683459 54.0763777682952,10.7357380518607 54.0800835706331,10.7422996029552 54.0830942547168,10.7497348203696 54.0852939622715,10.7577576296458 54.0865980295115,10.7660592290985 54.0869562606072,10.7743200315756 54.0863548690925,10.7822220316742 54.0848170107039,10.789461110038 54.0824018867088,10.7957587891072 54.0792024532255,10.8008729780692 54.0753418269543,10.8046072875075 54.0709685288184,10.8068185541204 54.0662507521261,10.8074222898154 54.061369879228)))', 'DE64R', 'Sierksdorf', 'Y'),('SRID=4326;MULTIPOLYGON(((10.79541136284 54.0503741989819,10.7943866257706 54.045517694462,10.7917720619915 54.0408721044115,10.7876685959431 54.0366158542016,10.7822342042546 54.0329123652751,10.7756778019529 54.0299037968555,10.7682512028206 54.0277056077513,10.7602394645011 54.0264021434636,10.7519499859832 54.0260434145234,10.7437007685223 54.0266431868874,10.7358082798958 54.0281784559223,10.7285753755079 54.0305903237381,10.7222797279908 54.0337862471723,10.7171631996087 54.03764357237,10.7134225592985 54.042014223428,10.7112018992739 54.0467303686937,10.7105870458536 54.0516108506377,10.7116021871191 54.0564681352228,10.7142088582285 54.0611155156117,10.7183073363281 54.0653742938707,10.7237404041598 54.0690806636848,10.730299348244 54.0720920272418,10.7377319678368 54.0742925001985,10.7457522887346 54.0755973893575,10.754051605328 54.0759564672637,10.7623104186016 54.0753559148334,10.7702107999006 54.0738188554582,10.7774486922324 54.0714044595915,10.7837456635965 54.0682056552691,10.7888596501873 54.0643455349351,10.7925942700344 54.0599726000265,10.7948063474855 54.0552550298913,10.79541136284 54.0503741989819)))', 'DE64V', 'Haffkrug', 'Y'),('SRID=4326;MULTIPOLYGON(((10.8553509942902 53.9923535224756,10.8543208722161 53.9874975300324,10.8517034508501 53.9828532259789,10.8475997621408 53.9785989861363,10.8421677892368 53.9748981547764,10.8356163527537 53.9718927892836,10.8281970749817 53.9696982258288,10.820194732449 53.9683986711212,10.8119163641719 53.9680439859974,10.8036795462427 53.968647781487,10.7958002721509 53.970186898678,10.7885808917773 53.9726022919293,10.7822985600736 53.9758012825133,10.7771946290496 53.9796610984177,10.7734653842001 53.9840335675745,10.7712544795855 53.9887507879226,10.7706473655314 53.9936315600677,10.7716679309024 53.9984883383447,10.7742775001871 54.0031344350439,10.7783762368444 54.0073912014307,10.783806911632 54.0110949085902,10.7903609015626 54.0141030613237,10.7977861956089 54.0162998991279,10.8057971013199 54.0176008690441,10.814085276012 54.0179558947826,10.8223316506529 54.0173513134583,10.8302187768288 54.0158104036196,10.8374431092494 54.0133924838223,10.8437267390599 54.0101906174382,10.8488281166277 54.0063280142942,10.8525513452001 54.0019532707899,10.8547536866414 53.997234635235,10.8553509942902 53.9923535224756)))', 'DE64Z', 'Niendorf Ostsee', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7226871494444 54.3173978966205,10.7216636301281 54.3125409654658,10.7190396459372 54.3078940574413,10.7149164915887 54.3036356480102,10.709452906258 54.2999292404575,10.7028589295844 54.2969171046265,10.6953878184017 54.2947148347077,10.6873263365286 54.2934069314024,10.6789837873553 54.2930435745429,10.6706802026755 54.2936387071774,10.6627341302656 54.2951695028636,10.6554504764682 54.2975772361712,10.6491088582305 54.3007695239553,10.6439529016954 54.3046238536156,10.640180891878 54.3089922660786,10.6379381308783 54.3137070173461,10.6373113015523 54.3185870047525,10.6383250611606 54.3234447140276,10.6409410072902 54.328093422128,10.6450590689454 54.3323543795457,10.6505212822684 54.3360636950883,10.6571178164975 54.3390786561973,10.6645950254366 54.3412832385593,10.6726652169392 54.3425925894238,10.6810177616521 54.3429563085805,10.689331106049 54.3423603978246,10.697285216523 54.3408278020605,10.7045739630087 54.3384175207645,10.7109169532442 54.3352223249899,10.7160703522147 54.3313651700525,10.7198362642728 54.3269944451485,10.722070315648 54.3222782463235,10.7226871494444 54.3173978966205)))', 'DE65G', 'Hohwacht', 'Y'),('SRID=4326;MULTIPOLYGON(((8.92538519534319 54.0050337794417,8.92457958114539 54.0001621776656,8.92217663542214 53.9954767367384,8.91826917081799 53.9911574245053,8.91300766279138 53.9873700931662,8.90659441935989 53.9842601264616,8.89927578976605 53.9819468771854,8.89133271396934 53.9805191050595,8.88306997358931 53.9800315865741,8.87480455018424 53.9805030239198,8.86685352750491 53.9819153312615,8.85952198995984 53.9842143250269,8.85309136965276 53.9873117923983,8.84780867900449 53.9910888605973,8.84387703545849 53.9954005406129,8.84144783974162 54.000081274471,8.84061491064811 54.0049512766014,8.84141080882598 54.0098234287936,8.84380550156707 54.0145104659325,8.84770743266768 54.0188321771645,8.85296696909595 54.0226223450643,8.85938210299426 54.0257351540509,8.86670619731568 54.0280508186187,8.87465748014631 54.0294802113389,8.88292992041929 54.0299683090003,8.89120505985356 54.0294963212378,8.89916433551897 54.0280824176825,8.90650140656382 54.0257810249163,8.91293399846001 54.0226807209834,8.91821479863217 54.0189008105031,8.92214097744669 54.0145867151979,8.9245619661334 54.0099043607473,8.92538519534319 54.0050337794417)))', 'DE68S', 'FRIEDRICHSKOOG', 'Y'),('SRID=4326;MULTIPOLYGON(((8.42403134690868 54.6312122925779,8.42327341383989 54.6263380154639,8.42089148213696 54.6216431511367,8.4169775808577 54.6173080304812,8.41168245365781 54.6134991120551,8.40520971506712 54.6103626061503,8.39780800674426 54.6080188810025,8.38976145796102 54.6065578623193,8.3813788144972 54.6060355990996,8.37298164644079 54.6064721244439,8.36489207703338 54.6078506913371,8.35742049101848 54.6101184119163,8.35085368162355 54.6131882763094,8.34544388032634 54.6169424755205,8.34139908322017 54.6212369038194,8.33887504273276 54.6259066713945,8.33796923468976 54.630772419253,8.33871703971784 54.6356471970004,8.34109029673728 54.6403436414664,8.34499829733123 54.6446811812047,8.35029119617065 54.6484929893746,8.35676571797549 54.6516324157472,8.36417294961113 54.6539786474718,8.37222792093245 54.6554413772367,8.38062060390377 54.6559642955462,8.38902790001099 54.6555272695678,8.39712614410639 54.6541471225339,8.40460363080289 54.6518769828699,8.41117266854855 54.648804228732,8.41658068662151 54.6450471090539,8.4206199604104 54.6407501741802,8.42313557836343 54.6360786955253,8.42403134690868 54.6312122925779)))', 'DE69S', 'WITTDÜN', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9404753985499 54.1469693584114,11.9393144310247 54.1421247349321,11.9365664678733 54.1375061185532,11.9323375482282 54.1332908912841,11.9267904512405 54.1296408935752,11.9201384005613 54.1266962274659,11.9126368625543 54.1245698976797,11.904573754546 54.1233434927877,11.8962584354735 54.1230640687968,11.8880098936338 54.1237423520487,11.8801445739163 54.1253523287951,11.8729642993223 54.1278322369522,11.8667447384709 54.1310869231239,11.8617248522079 54.1349914768035,11.8580977187237 54.1393960055002,11.8560030884713 54.1441313710923,11.855521958763 54.1490156706003,11.8566733848285 54.1538612152397,11.8594136614449 54.1584817412985,11.8636379196845 54.1626995760365,11.8691840900544 54.1663524820401,11.8758390899746 54.1692999145084,11.8833470040881 54.1714284475647,11.8914189443645 54.1726561572094,11.8997442072326 54.1729357887986,11.9080022905406 54.1722565843855,11.9158752967952 54.1706446979571,11.923060232789 54.1681621823294,11.9292807202483 54.1649045878626,11.9342976572618 54.1609972678251,11.9379184146374 54.1565905358604,11.9400042126273 54.1518538655173,11.9404753985499 54.1469693584114)))', 'DE73B', 'Börgerende', 'Y'),('SRID=4326;MULTIPOLYGON(((8.56311288135561 53.7361609134762,8.56235428974195 53.7312867858959,8.56000699853807 53.7265940305624,8.55616167799577 53.7222628994513,8.55096641628096 53.7184597017417,8.54462098082418 53.7153304330182,8.53736912382247 53.7129951889501,8.52948923019911 53.7115435744509,8.52128366506504 53.7110312810461,8.51306722311019 53.7114779608271,8.50515511332788 53.7128664765522,8.49785092837641 53.7151435559107,8.49143504838805 53.7182218254565,8.48615391414045 53.7219831480599,8.48221057451375 53.7262831386863,8.4797568687129 53.7309566886262,8.4788875458711 53.7358242895906,8.47963655484382 53.7406989178287,8.4819756572337 53.7453932159015,8.48581542946077 53.7497266969657,8.49100862804057 53.7535326940837,8.49735579963806 53.7566647854864,8.50461292774652 53.759002445777,8.5125008249653 53.7604557021938,8.52071590770785 53.7609686132437,8.52894193231273 53.7605214328043,8.53686223091303 53.7591313743381,8.5441719641763 53.7568519450246,8.55058990729082 53.7537708760696,8.55586930538861 53.7500067307877,8.55980737390457 53.7457043239406,8.56225307611344 53.7410291320849,8.56311288135561 53.7361609134762)))', 'DE75Q', 'Dorum', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6053680467504 54.030088894237,11.6042497273142 54.025240499589,11.6015468786293 54.0206136650874,11.5973638072704 54.0163860908571,11.5918615345154 54.0127200935951,11.5852515677636 54.0097563911499,11.5777877637402 54.0076087198061,11.5697565974464 54.0063594873348,11.5614662070557 54.0060566252439,11.5532346275544 54.0067117582982,11.545377653898 54.0082997599165,11.538196787216 54.0107597102099,11.5319677148586 54.0139972209888,11.5269297568942 54.0178880408262,11.5232766783783 54.0222828050028,11.5211492190323 54.0270127515807,11.5206296310075 54.0318961875782,11.5217384427513 54.0367454596868,11.5244335847428 54.0413741634371,11.5286119236812 54.0456043141284,11.5341131587578 54.0492732028214,11.5407259405526 54.0522396714734,11.5481959837775 54.0543895626698,11.5562358635699 54.0556401306865,11.5645361152038 54.0559432406905,11.5727772024061 54.0552872301746,11.5806418827581 54.0536973593056,11.5878274818553 54.0512348325494,11.5940575918812 54.047994430339,11.5990927347941 54.0441008442959,11.6027395741063 54.0397038602688,11.6048583199591 54.0349725781472,11.6053680467504 54.030088894237)))', 'DE7B6', 'BOIENSDORF', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3131140529707 53.7392487648583,14.312384345409 53.7343731606493,14.3100647715186 53.7296756110441,14.3062449391488 53.7253365537391,14.3010719610876 53.721522603508,14.2947447532683 53.7183801695084,14.2875063722562 53.7160298530137,14.2796346892058 53.7145618371927,14.271431756443 53.7140324424036,14.2632122684612 53.7144619762034,14.25529155035 53.7158339585236,14.247973522841 53.7180957509423,14.2415390939242 53.721160566484,14.2362354123568 53.7249107846847,14.2322663886485 53.7292024475714,14.229784844909 53.7338707674314,14.2288865973067 53.7387364384252,14.2296067052792 53.7436125127027,14.2319180420302 53.7483115789959,14.2357322537392 53.7526529687067,14.2409030833136 53.7564697119741,14.2472319419096 53.7596149744264,14.2544755216482 53.7619677241837,14.2623551599169 53.7634374076346,14.2705675932789 53.7639674505389,14.2787966808591 53.7635374466699,14.2867256361139 53.76216394766,14.2940492842804 53.7598998228337,14.3004858616752 53.7568322142547,14.3057878924566 53.753079167602,14.3097517174343 53.7487850714546,14.312225305959 53.7441150839666,14.3131140529707 53.7392487648583)))', 'DE8AN', 'ALTWARP', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4637295007809 54.3819056896394,12.4632086735996 54.3770224159584,12.4610662300864 54.3722922637482,12.4573850090146 54.3678969329316,12.4523068394398 54.3640052056021,12.4460270354144 54.3607664793226,12.4387868655841 54.3583050500973,12.4308642907313 54.3567153610386,12.4225633237525 54.3560583954824,12.4142024145841 54.3563593497558,12.4061022961289 54.3576066725611,12.3985737455673 54.3597525067321,12.3919057182192 54.3627145167126,12.3863542983172 54.3663790332863,12.3821328829247 54.3706053976413,12.3794039723793 54.3752313414918,12.378272884037 54.3800792003472,12.3787836371344 54.3849627245965,12.380917177182 54.3896942291782,12.3845920208772 54.3940918082839,12.3896673100626 54.3979863375385,12.395948169201 54.4012279928121,12.4031931690175 54.4036920321872,12.4111236134091 54.4052836151797,12.4194342914132 54.4059414701188,12.4278052746757 54.4056402652767,12.435914296602 54.4043915900981,12.4434492245379 54.4022435076361,12.4501201322665 54.3992786957292,12.4556704970454 54.3956112501619,12.4598870824461 54.3913822756588,12.4626081234549 54.3867544378766,12.4637295007809 54.3819056896394)))', 'DEAAN', 'AHRENSHOOP-ALTHAGEN', 'Y'),('SRID=4326;MULTIPOLYGON(((8.09090019447427 53.5263259236405,8.09019946904001 53.5214489250001,8.08791596504948 53.5167470688903,8.08413790057474 53.5124009605124,8.07901078278404 53.5085774875525,8.07273176792436 53.5054234267044,8.06554206601916 53.5030598270377,8.05771768495168 53.5015773824196,8.0495588675216 53.5010329671477,8.04137862072584 53.5014474647564,8.03349076784868 53.5028049712478,8.02619797027811 53.5050534024938,8.01978016696352 53.5081064830385,8.01448386508136 53.5118470418013,8.01051268607888 53.5161314910283,8.00801952745852 53.5207953199844,8.00710064346733 53.5256593959594,8.00779187873061 53.5305368336483,8.01006720977187 53.5352401711511,8.01383966277557 53.5395885777382,8.01896458486972 53.5434148158426,8.0252451540841 53.5465716878021,8.03243992376076 53.5489377165811,8.04027211449514 53.5504218385015,8.04844029453586 53.5509669239112,8.05663003151158 53.5505519872534,8.06452605734219 53.5491929993672,8.07182446638072 53.5469422699101,8.07824446538332 53.5438864242202,8.0835392129018 53.5401430543465,8.08750532412863 53.535856176009,8.08999067308519 53.5311906697525,8.09090019447427 53.5263259236405)))', 'DEACC', 'ACCUMERSIEL', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2353185191561 53.9432768458175,14.2345945393685 53.9384009536766,14.2322726182403 53.9337020504539,14.2284424604546 53.9293606256703,14.2232515808179 53.9255433843924,14.2168995862253 53.9223968611745,14.2096304861393 53.920041813135,14.2017233298749 53.9185686039451,14.1934815282663 53.9180337523876,14.1852212631701 53.9184577749164,14.1772594196996 53.9198244029257,14.1699014923843 53.9220812039472,14.1634299173121 53.9251415835058,14.1580932677092 53.9288880926835,14.1540967206468 53.9331769173439,14.1515941582765 53.937843380176,14.1506822091993 53.9427082478622,14.151396465743 53.9475846042311,14.1537100330158 53.9522850275096,14.1575344781322 53.9566287967623,14.1627231559887 53.9604488499988,14.169076794893 53.9635982245699,14.1763511350533 53.9659557292644,14.1842663294016 53.967430626407,14.1925177433777 53.9679661402393,14.200787731727 53.9675416534817,14.2087579290572 53.9661735054149,14.2161215690385 53.9639143599224,14.222595345882 53.9608511684043,14.2279303511637 53.9571018078741,14.2319216581475 53.9528105265606,14.2344161824373 53.9481423757776,14.2353185191561 53.9432768458175)))', 'DEAHC', 'AHLBECK', 'Y'),('SRID=4326;MULTIPOLYGON(((10.8336752778457 54.308358700175,10.8326389586911 54.3035028076002,10.8300031276513 54.2988584035751,10.8258695330846 54.2946038667336,10.8203973132582 54.2909025511843,10.8137968373397 54.2878965310332,10.8063216098116 54.285701165703,10.7982585510661 54.2844006910801,10.7899170242186 54.2840450022311,10.7816170217777 54.2846477483231,10.7736769547327 54.2861858110899,10.7664015002618 54.2886001864339,10.7600699623312 54.2917982363173,10.7549255819932 54.2956572267619,10.751166201514 54.3000290193304,10.7489366392786 54.3047457396059,10.7483230718035 54.30962620854,10.7493496467082 54.3144828925602,10.7519774682207 54.319129107264,10.7561060073601 54.3233861983587,10.7615768955032 54.3270904228742,10.7681799662213 54.3300992638409,10.775661319999 54.3322969323921,10.783733103779 54.3335988419967,10.7920846261373 54.3339548791246,10.8003943728372 54.3333513415862,10.8083424494122 54.3318114681387,10.8156229593054 54.3293945385396,10.8219558289094 54.3261935796895,10.8270976144388 54.3223317684303,10.8308508686653 54.3179576726427,10.8330717058714 54.3132395173874,10.8336752778457 54.308358700175)))', 'DEB02', 'Brök', 'Y'),('SRID=4326;MULTIPOLYGON(((9.65224114542454 54.8287753938921,9.65133189326746 54.8239097404523,9.64879646316416 54.8192399512781,9.64473277462674 54.8149453855407,9.63929731009028 54.8111909373258,9.63269905331408 54.8081207207222,9.62519144292867 54.8058525570325,9.61706265261851 54.8044734720962,9.60862456843745 54.8040363729524,9.60020087899629 54.804558028375,9.59211472471933 54.8060184288128,9.58467636741055 54.8083615496733,9.57817134070395 54.8114974894754,9.57284952560386 54.8153059029474,9.56891556356722 54.8196406004327,9.56652097309532 54.8243351406998,9.56575827563965 54.8292092060534,9.56665736430034 54.8340755179737,9.56918426634289 54.8387470296428,9.57324236057432 54.8430441196557,9.57867601624291 54.846801509629,9.58527652497535 54.849874637618,9.59279010530333 54.8521452390879,9.60092767467358 54.8535259170688,9.60937601049896 54.8539635219946,9.61780986344647 54.8534412080905,9.62590454578798 54.8519790851557,9.63334849739814 54.8496334400179,9.63985533296229 54.8464945584566,9.64517489609618 54.8426832336001,9.64910288818644 54.8383460983367,9.65148869960285 54.833649965027,9.65224114542454 54.8287753938921)))', 'DEB99', 'BOCKHOLMWIK', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7587417736377 54.3624471182238,13.7580674060142 54.3575690078782,13.7557769148615 54.352861435233,13.751958814422 54.3485052245045,13.7467601724304 54.3446676488758,13.7403809067875 54.3414960226223,13.7330660821611 54.3391120644866,13.7250965056335 54.3376072451793,13.7167779807304 54.3370392939963,13.7084296259016 54.3374299955044,13.7003716956998 54.3387643586674,13.6929133598521 54.3409911893939,13.6863408968018 54.3440250450372,13.680906744102 54.3477494976837,13.6768198185572 54.3520215838815,13.6742374748509 54.356677273529,13.6732594135755 54.3615377515687,13.6739237795441 54.3664162744198,13.6762056109586 54.3711253400029,13.6800177119425 54.3754838968159,13.6852139281244 54.379324314506,13.6915947109131 54.38249884612,13.6989147646712 54.3848853306003,13.7068924862295 54.3863919126229,13.7152208320545 54.386960594534,13.7235791885482 54.3865694805199,13.7316457784929 54.3852336244171,13.7391101137931 54.3830044476041,13.7456850026438 54.3799677498983,13.7511176381879 54.376240391892,13.7551993345962 54.3719657793515,13.757773533275 54.3673083269907,13.7587417736377 54.3624471182238)))', 'DEBA2', 'Baabe', 'Y'),('SRID=4326;MULTIPOLYGON(((14.1803432736322 53.9682963090718,14.1796253085163 53.9634201282139,14.1773082177591 53.9587201999993,14.1734815217221 53.9543770535884,14.1682926035685 53.9505574603112,14.1619409960764 53.9474080450465,14.1546706947739 53.9450496758378,14.1467607956178 53.9435728436512,14.1385148147944 53.9430342060932,14.1302490941837 53.9434544246975,14.1222807275318 53.9448173766816,14.1149154587473 53.9470707705945,14.1084360046584 53.9501281427913,14.1030912400143 53.9538721599853,14.0990866527966 53.9581591040196,14.0965764336508 53.9628243701901,14.0956575054746 53.9676887715726,14.0963657293779 53.9725654103303,14.09867444332 53.9772668541986,14.1024954022326 53.9816123432729,14.1076820963785 53.9854347495744,14.1140353315664 53.988587019967,14.1213108644683 53.9909478517398,14.1292288026648 53.9924263790232,14.137484406098 53.992965686147,14.1457598679306 53.9925450096423,14.153736611402 53.9911805420027,14.1611076173076 53.9889248054245,14.1675892953953 53.9858646202025,14.1729324323342 53.9821177478812,14.1769317879481 53.9778283412847,14.1794339680567 53.9731613800193,14.1803432736322 53.9682963090718)))', 'DEBA4', 'BANSIN', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7697296892946 54.3727973016696,12.7691725812107 54.3679150204613,12.7669952588929 54.3631899860243,12.7632818981498 54.3588036997166,12.7581755580246 54.3549245947388,12.7518726290228 54.3517015830397,12.744615262272 54.3492583570333,12.7366820740932 54.3476886614121,12.7283774815941 54.347052712933,12.7200200726154 54.3473749023764,12.7119304465729 54.3486428645633,12.7044189807432 54.3508079510597,12.6977739789916 54.3537870877741,12.6922506468071 54.3574659478689,12.6880613080607 54.3617033210124,12.6853672357495 54.3663365147416,12.6842724120919 54.3711875842011,12.6848194641375 54.3760701542679,12.6869879414381 54.3807965743697,12.6906950147577 54.385185132194,12.6957985822568 54.3890670487229,12.702102675539 54.3922929839745,12.709364966228 54.3947388004505,12.7173060883788 54.3963103590823,12.7256204170078 54.3969471594863,12.7339878820349 54.396624681184,12.7420863531 54.3953553333304,12.7496041063507 54.3931879753154,12.7562518807194 54.3902060270488,12.7617740486134 54.386524243402,12.7659584634162 54.3822842797908,12.768644601758 54.3776492230528,12.7697296892946 54.3727973016696)))', 'DEBBH', 'BARTH', 'Y'),('SRID=4326;MULTIPOLYGON(((9.4602543715538 53.8768454240053,9.4593890822249 53.8719774886482,9.45693380310838 53.8673028066859,9.45298334837832 53.8630009297857,9.44768983424677 53.8592370386692,9.44125678737953 53.8561556163232,9.43393130845014 53.8538749201197,9.42599459421137 53.8524824615557,9.41775117954269 53.8520316636399,9.40951730555381 53.8525398212921,9.40160884995489 53.8539874411081,9.39432927090067 53.8563189851979,9.38795801507159 53.8594449913092,9.38273982487762 53.8632454899058,9.37887534867733 53.8675745900464,9.3765134124585 53.8722660615445,9.37574525258103 53.8771397025878,9.3766009384482 53.8820082512373,9.379048133363 53.8866845772781,9.38299325389704 53.8909888787475,9.38828499592212 53.8947556058054,9.39472010256159 53.8978398437188,9.40205115956221 53.900122906471,9.4099961209612 53.9015169222789,9.41824919632282 53.9019682310573,9.42649267378246 53.9014594601119,9.43440921358662 53.9000101962154,9.44169412683284 53.8976762275546,9.44806715475916 53.8945473855011,9.45328328517189 53.8907440713379,9.45714218329742 53.8864126046505,9.45949587236007 53.8817195759103,9.4602543715538 53.8768454240053)))', 'DEBEI', 'BEIDENFLETH', 'Y'),('SRID=4326;MULTIPOLYGON(((7.61704089486119 53.6754929107477,7.61639267993044 53.6706136332842,7.61415424344334 53.6659031730614,7.6104120806172 53.6615424683122,7.6053103293579 53.6576989688936,7.59904518127803 53.6545202210188,7.5918573219182 53.6521282210658,7.58402269371064 53.650614751809,7.57584193474005 53.6500378765859,7.56762889260869 53.6504197228986,7.55969864461705 53.6517456383635,7.55235547234331 53.6539647504943,7.54588124020788 53.6569919093039,7.54052461372287 53.6607109399472,7.53649152414074 53.6649790833755,7.53393724275802 53.6696324579726,7.53296037120506 53.6744923360044,7.53359898510853 53.6793719969468,7.53582908948877 53.6840838966272,7.53956545761523 53.6884468776684,7.54466483377314 53.6922931436692,7.55093138793942 53.6954747272296,7.55812422051156 53.6978692002639,7.5659666319318 53.6993844034932,7.57415679919125 53.6999620095979,7.58237944235912 53.6995797798057,7.59031802246214 53.6982524248816,7.59766698943272 53.6960310364569,7.60414359666099 53.693001111064,7.60949881705037 53.6892792447358,7.61352693341568 53.6850086282279,7.61607343158857 53.6803535196602,7.61704089486119 53.6754929107477)))', 'DEBEN', 'BENSERSIEL', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0758014683378 54.4336894973395,13.0752072996653 54.4288083932289,13.0729915996013 54.4240886322872,13.0692400175338 54.4197115111143,13.0640970776727 54.4158451090543,13.0577605715311 54.4126378489493,13.0504739340817 54.410212817795,13.0425168999795 54.4086630618337,13.0341947971681 54.4080480330636,13.0258268826642 54.4083913203579,13.0177341582506 54.4096797499914,13.0102271215049 54.4118638890764,13.0035939097178 54.4148599329892,12.9980892807793 54.4185529061034,12.9939248463074 54.4228010558316,12.9912609287749 54.42744127481,12.9902003571406 54.4322953466978,12.9907844459286 54.4371767789639,12.9929913227643 54.4418979625249,12.9967366815153 54.4462773842003,13.0018769454157 54.450146614416,13.008214730345 54.4533567997688,13.0155064066491 54.4557844079207,13.023471472554 54.4573360003044,13.0318033773465 54.4579518453425,13.040181371745 54.4576082298921,13.0482829193921 54.4563183776376,13.0557961794517 54.454131938048,13.0624320671905 54.4511330659785,13.067935417331 54.4474371676168,13.072094812943 54.443186440893,13.0747506986755 54.4385443854942,13.0758014683378 54.4336894973395)))', 'DEBH7', 'BARHÖFT', 'Y'),('SRID=4326;MULTIPOLYGON(((8.52471468685119 53.3331734435686,8.52396738153513 53.3282987689241,8.52164623101655 53.3236050026521,8.51784089027078 53.3192724371067,8.51269790416521 53.315467438713,8.50641502916155 53.3123360746463,8.49923361640408 53.3099985233966,8.49142935147419 53.3085444803958,8.48330170440071 53.3080297316267,8.4751624885936 53.3084740237743,8.46732395815412 53.309860310657,8.46008688883861 53.312135404096,8.4537290884928 53.3152120048472,8.44849476802016 53.3189720375223,8.44458517420986 53.3232711643572,8.4421508416732 53.3279443079764,8.44128576375688 53.3328119745667,8.44202371309448 53.337687137613,8.44433686339471 53.3423824198163,8.44813677764212 53.3467172980362,8.45327773710524 53.3505250537641,8.45956229386212 53.3536592000459,8.46674884073869 53.3559991348244,8.47456091053129 53.3574547997965,8.4826978449908 53.3579701620488,8.49084641678508 53.3575253814988,8.49869294744676 53.356137578683,8.50593544325735 53.3538601725677,8.51229527023715 53.3507808144814,8.51752790894787 53.347017999592,8.52143236863522 53.34271648923,8.52385889631243 53.3380417236413,8.52471468685119 53.3331734435686)))', 'DEBKE', 'BRAKE', 'Y'),('SRID=4326;MULTIPOLYGON(((9.48224920029033 53.8718376911271,9.48138146500933 53.8669699156035,9.47892403352626 53.8622956842988,9.4749718023407 53.8579945314503,9.46967695547277 53.8542316098954,9.46324307034305 53.8511513653625,9.45591727944621 53.8488720100232,9.44798079125918 53.8474810039595,9.43973813187814 53.8470317145084,9.43150551347417 53.8475413787796,9.42359876576237 53.8489904456168,9.41632128165149 53.8513233216332,9.40995242777379 53.8544504934514,9.40473685469526 53.8582519467364,9.40087511059415 53.862581753797,9.39851591673145 53.8672736571669,9.39775040417781 53.8721474382896,9.39860854051577 53.8770158296837,9.40105789462197 53.8816917070306,9.40500479970349 53.8859952854987,9.41029788259212 53.8897610429723,9.41673383441914 53.8928441019801,9.42406520805592 53.8951258218722,9.43200994510473 53.8965183825845,9.44026226365408 53.8969681800981,9.4485044810101 53.8964578999557,9.45641930610228 53.8950071870743,9.46370211631317 53.8926718854365,9.47007273416096 53.8895418776989,9.47528624053317 53.8857376099398,9.47914240189083 53.8814054383283,9.48149334689578 53.8767119803117,9.48224920029033 53.8718376911271)))', 'DEBL5', 'BAHRENFLETH', 'Y'),('SRID=4326;MULTIPOLYGON(((9.47612873838961 53.7518400662025,9.47526427023086 53.7469721420237,9.47281460520649 53.7422976754712,9.46887433811204 53.7379962102667,9.4635951911147 53.7342329118788,9.45718013769651 53.7311522412335,9.44987558762695 53.7288724275726,9.44196193549698 53.7274809491599,9.43374283327009 53.7270311918412,9.42553359180734 53.7275404107955,9.41764914636962 53.7289890717897,9.41039203604745 53.7313215965915,9.40404084660962 53.7344484846946,9.39883955040352 53.7382497319517,9.39498814600245 53.7425794178931,9.39263495494036 53.7472712891363,9.39187087416016 53.7521451280007,9.39272581223619 53.7570136646941,9.39516745703033 53.7616897695036,9.39910243475361 53.7659936492982,9.40437982849856 53.7697597710102,9.41079693170186 53.7728432438884,9.41810702253477 53.7751254120761,9.42602886287609 53.7765184388538,9.4342575541805 53.7769687026507,9.44247632573486 53.776458871181,9.45036879140629 53.7750085719279,9.45763119109563 53.7726736325341,9.46398413377677 53.7695439211062,9.46918338018887 53.7657398716171,9.47302924382312 53.7614078311507,9.47537424667785 53.7567144115444,9.47612873838961 53.7518400662025)))', 'DEBLJ', 'BIELENBERG', 'Y'),('SRID=4326;MULTIPOLYGON(((6.79190580032548 53.5587812980078,6.79135422269757 53.5538985836722,6.7892138588695 53.5491737399455,6.78556744002489 53.5447882631937,6.78055543525318 53.5409105593212,6.7743706019456 53.5376894911446,6.76725055575726 53.5352486812805,6.75946864902824 53.5336817858989,6.75132350666285 53.5330489172538,6.74312761540738 53.5333743491864,6.73519539513427 53.5346455914224,6.72783119843207 53.5368138671563,6.72131768716511 53.5397959759353,6.71590502167077 53.5434774720029,6.71180127018519 53.5477170388345,6.70916440353963 53.552351895326,6.708096184137 53.5572040295984,6.70863819011923 53.5620870241759,6.71077013737906 53.5668132126515,6.71441057607803 53.5712008939339,6.71941994755017 53.575081326499,6.72560589530201 53.5783052321119,6.73273063401639 53.580748556182,6.74052009695977 53.5823172597736,6.74867450886218 53.5829509553491,6.75687997177257 53.582625243174,6.76482060861882 53.5813526561874,6.77219078546435 53.5791821759211,6.77870693002271 53.5761973384483,6.78411848106355 53.572513004945,6.78821754001819 53.568270923909,6.7908468504517 53.5636342592094,6.79190580032548 53.5587812980078)))', 'DEBMK', 'BORKUM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.16927368045244 53.8949478424632,9.16844181648583 53.8900778183967,9.16601792310036 53.8853971943482,9.16209561211967 53.8810857519816,9.15682592340364 53.8773090406537,9.15041147383674 53.8742120363002,9.14309865496061 53.8719135945711,9.13516818145454 53.8705019076599,9.12692435103477 53.8700311357221,9.11868342126838 53.8705193392184,9.11076153923848 53.8719477895717,9.10346267530575 53.8742616839167,9.09706701207652 53.8773722372278,9.09182022411124 53.8811600735302,9.08792405320412 53.8854797890121,9.08552853888905 53.8901655153855,9.08472620522687 53.8950372734073,9.08554843440194 53.8999078755547,9.08796417720784 53.904590114703,9.09188106267197 53.9089039633045,9.097148876921 53.9126835056753,9.10356528844307 53.9157833348792,9.11088360700861 53.9180841652081,9.11882228066129 53.9194974408256,9.12707576328604 53.9199687597095,9.13532632785307 53.9194799781314,9.14325636046625 53.9180499126764,9.15056064991168 53.9157336120947,9.15695818759873 53.91262022774,9.16220301359973 53.9088295665881,9.16609368481373 53.9045074625081,9.16848099898606 53.8998201474304,9.16927368045244 53.8949478424632)))', 'DEBRB', 'Brunsbüttel', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((8.61491543653758 53.5371423169353,8.61415432747618 53.5322683510462,8.61181219944931 53.5275764636975,8.60797951820815 53.5232468738486,8.60280388162426 53.5194458322187,8.59648430057495 53.5163192526179,8.58926353387678 53.5139871286046,8.58141877438955 53.5125389463813,8.57325104187372 53.5120302665446,8.56507368334838 53.5124806029223,8.55720041250546 53.5138726778968,8.54993333552526 53.5161530820412,8.54355141108673 53.5192343133734,8.53829977746735 53.5229981198636,8.53438034968933 53.5273000197923,8.53194404533814 53.5319748298831,8.5310849399911 53.5368429924452,8.53183658362805 53.5417174615379,8.53417062993061 53.5464108856905,8.53799784351602 53.5507428119795,8.54317145891447 53.5545466339842,8.54949277295772 53.5576760146078,8.5567187629985 53.5600105338615,8.56457144097129 53.5614603408887,8.57274858159724 53.5619696277308,8.58093540555592 53.5615187881487,8.58881675812704 53.5601251763685,8.5960893027596 53.5578424357823,8.60247324837488 53.5547584240745,8.60772314899144 53.5509918165622,8.61163735342297 53.5466875213949,8.614065739292 53.5420110865019,8.61491543653758 53.5371423169353)))', 'DEBRV', 'BREMERHAVEN', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2337820012886 54.4212161121877,11.2326953334993 54.4163642588297,11.2300070107514 54.4117292161322,11.225820796738 54.407489000282,11.2202978467046 54.4038064130081,11.2136504717166 54.4008228076411,11.2061339696092 54.3986526822906,11.1980368380248 54.3973793040805,11.1896697419653 54.3970515289125,11.1813536515712 54.397681935996,11.1734075943946 54.3992463470148,11.1661364796693 54.4016847480187,11.1598194497125 54.4049035797127,11.1546991956582 54.4087793105511,11.1509726415634 54.4131631587061,11.1487833532398 54.4178867852817,11.1482159670449 54.4227687436917,11.1492928608904 54.4276214403718,11.15197320699 54.4322583411983,11.1561544560222 54.4365011471015,11.1616762086162 54.4401866620406,11.1683263360081 54.4431730869749,11.175849121336 54.4453454945407,11.1839551103949 54.4466202701673,11.1923322897114 54.4469483452084,11.2006581540583 54.4463170948016,11.2086121878859 54.4447508256518,11.215888267587 54.4423098345932,11.222206494973 54.4390880752334,11.2273239966144 54.4352095248288,11.231044267486 54.4308233944605,11.2332246983405 54.4260983704703,11.2337820012886 54.4212161121877)))', 'DEBSK', 'BURGSTAAKEN', 'Y'),('SRID=4326;MULTIPOLYGON(((8.89251571121911 54.1330454640202,8.89171148613695 54.1281737471837,8.88930486319427 54.1234877479897,8.88538880037315 54.1191674555022,8.88011410655508 54.1153787590767,8.87368359799869 54.1122670941975,8.86634428724494 54.1099518781103,8.85837790714934 54.1085219453432,8.85009013163919 54.1080321547897,8.84179890019706 54.1085012955698,8.83382228393377 54.1099113700221,8.82646634678185 54.1122082806152,8.82001345550136 54.1153038950993,8.81471147684065 54.1190794126158,8.81076426964473 54.1233899045536,8.80832383459965 54.1280698593747,8.80748442567988 54.1329395220783,8.80827885671666 54.1378117878852,8.81067715582495 54.1424993873982,8.81458763225013 54.1468220879198,8.81986032758967 54.1506136334934,8.82629272983721 54.153728154878,8.83363753815651 54.1560457999507,8.84161218273842 54.1574773643918,8.84990973146169 54.1579677409,8.85821075695861 54.1574980511487,8.86619569706028 54.1560863763755,8.87355722060435 54.1537870577464,8.88001211035402 54.1506885941133,8.88531219531416 54.1469102200922,8.88925390494055 54.1425972991709,8.89168607550311 54.1379157126776,8.89251571121911 54.1330454640202)))', 'DEBUM', 'Büsum', 'Y'),('SRID=4326;MULTIPOLYGON(((13.6427792930907 54.4004884106038,13.6421181423682 54.3956097617045,13.6398389137759 54.3909000854571,13.6360296911223 54.3865402875077,13.630837203685 54.3826977791964,13.6244611354792 54.3795200643286,13.6171464304468 54.3771290952704,13.6091738924175 54.3756166115267,13.6008494390597 54.3750406361244,13.592492415924 54.3754232611333,13.5844234090053 54.3767498051061,13.5769520113317 54.3789693738481,13.5703650005981 54.3819968034825,13.5649153707851 54.3857159130713,13.5608126313173 54.3899839448501,13.5582147432447 54.3946370251567,13.5572220041777 54.3994964400187,13.5578731237086 54.4043754875772,13.560143650768 54.4090866463777,13.5639468262758 54.4134487850692,13.5691368415781 54.4172941359552,13.575514389022 54.4204747624743,13.5828342994672 54.4228682689878,13.5908149766081 54.4243825296859,13.5991492636695 54.4249592510159,13.6075163180069 54.4245762273472,13.6155940264634 54.4232482008195,13.6230714712797 54.4210262913335,13.629660954139 54.4179960191234,13.6351091047038 54.4142739978838,13.639206638754 54.4100034286516,13.6417963877181 54.4053485713926,13.6427792930907 54.4004884106038)))', 'DEBZR', 'BINZ', 'Y'),('SRID=4326;MULTIPOLYGON(((8.74224516167827 53.8670981552864,8.74146346536803 53.8622252486786,8.73908888656484 53.8575360791377,8.73521314590513 53.8532107593444,8.72998550013042 53.8494153737857,8.72360695860141 53.8462956167986,8.71632254146562 53.843971217983,8.70841187954436 53.8425313655098,8.7001785147305 53.8420312994994,8.69193830501066 53.8424902032301,8.68400736909081 53.8438904710921,8.67669002135514 53.8461783806388,8.67026714820615 53.8492661435928,8.66498546171615 53.8530352590315,8.66104803627272 53.8573410429885,8.65860648917117 53.8620181640896,8.6577551079304 53.8668869762082,8.65852715696894 53.8717604079713,8.66089351616268 53.8764511465268,8.66476371623537 53.880778840326,8.66998934395039 53.8845770434615,8.67636969718033 53.887699632646,8.68365947996459 53.8900264471031,8.6915782446114 53.8914679309018,8.69982121566057 53.8919685955669,8.70807107266129 53.8915091666802,8.71601022819454 53.8901073298018,8.72333311651366 53.8878170462473,8.72975800771329 53.8847264657156,8.73503788249317 53.8809545180804,8.73896994228418 53.8766463184837,8.74140338666379 53.871967566059,8.74224516167827 53.8670981552864)))', 'DECUX', 'CUXHAVEN', 'Y'),('SRID=4326;MULTIPOLYGON(((8.73514004921067 54.7321018984673,8.73434298248974 54.7272296301535,8.73191926259743 54.7225409386345,8.72796252400435 54.7182159153417,8.72262515328931 54.714420628998,8.71611238278213 54.7113007649337,8.70867438549906 54.7089760516343,8.70059667784874 54.7075356848866,8.69218919634757 54.7070349215415,8.68377446067396 54.7074929705403,8.67567526676807 54.7088922600538,8.66820236969546 54.7111791080947,8.66164261632939 54.7142657715341,8.65624797256193 54.7180337968917,8.65222585903068 54.7223385473263,8.64973116388361 54.7270147356644,8.64886024192561 54.7318827546751,8.64964713808065 54.7367555646153,8.65206219145852 54.7414458756039,8.65601308698594 54.7457733496606,8.66134832763875 54.749571544956,8.66786300537195 54.7526943332987,8.6753066568136 54.7550215410079,8.68339290476162 54.7564635925455,8.69181051251586 54.7569649745658,8.70023541876549 54.7565063839399,8.70834327919018 54.7551054749547,8.71582201932449 54.752816176148,8.72238390274283 54.749726603756,8.72777663927416 54.7459556541208,8.73179309864246 54.7416484092782,8.73427925349579 54.7369705361524,8.73514004921067 54.7321018984673)))', 'DEDAG', 'Dagebüll', 'Y'),('SRID=4326;MULTIPOLYGON(((8.1518231041539 53.447304255477,8.15111659188875 53.4424275284323,8.14883048648913 53.4377267650686,8.14505310317639 53.4333825284804,8.13992992047607 53.429561634555,8.13365794167533 53.4264107612354,8.12647810566196 53.4240508356273,8.11866604153933 53.4225724110276,8.11052152018392 53.422032207865,8.10235700144749 53.4224509483255,8.09448570693286 53.4238125657044,8.08720966451694 53.4260648180095,8.08080817172617 53.4291212828123,8.07552711067672 53.432864658619,8.07156951787343 53.4371512488877,8.06908776835755 53.4418164599822,8.06817767652635 53.4466811054581,8.06887474688226 53.4515582776024,8.07115272896446 53.4562605243743,8.07492454425214 53.4606070568444,8.08004556190179 53.4644307095984,8.0863191082374 53.4675843846869,8.09350400573015 53.4699467284603,8.10132385471321 53.4714268194774,8.10947769913499 53.4719676836122,8.11765165978955 53.4715484980515,8.1255310776257 53.4701853972627,8.13281268806359 53.4679308490739,8.13921634589657 53.4648716254416,8.14449583940225 53.4611254478665,8.14844837072206 53.4568364394343,8.1509223353806 53.4521695619243,8.1518231041539 53.447304255477)))', 'DEDAN', 'Dangast', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0679745551789 54.5816284099231,10.0670215707237 54.576765909877,10.0644543448268 54.5721047959804,10.0603720065658 54.5678240924539,10.0549317429602 54.5640881603732,10.0483427121353 54.5610404032845,10.0408579916938 54.5587977815644,10.0327648737536 54.5574463424964,10.0243738764294 54.5570379340822,10.0160068861433 54.5575882257614,10.0079848750254 54.5590761101077,10.0006156521944 54.5614445079084,9.99418210659719 54.5646025466062,9.98893138234367 54.5684290306686,9.98506539543231 54.5727770738215,9.98273305408471 54.5774797189599,9.98202448465867 54.5823563335409,9.98296749282316 54.5872195378358,9.98552640740307 54.5918824018411,9.98960336464246 54.5961656348986,9.99504199673481 54.5999044908347,10.0016333939401 54.602955120973,10.0091241183977 54.6052001275409,10.0172259639334 54.6065531001829,10.0256270837342 54.6069619574243,10.0340040503205 54.6064109614954,10.042034372759 54.6049213270382,10.0494089766068 54.6025503997047,10.055844153707 54.5993894371508,10.0610925115706 54.5955600800397,10.0649524944625 54.5912096520411,10.0672761082193 54.5865054733305,10.0679745551789 54.5816284099231)))', 'DEDAP', 'DAMP', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0291209282996 54.7196416271645,10.0281691374016 54.7147789251135,10.0255974375547 54.7101171106164,10.0215051342703 54.7058352345452,10.0160498008151 54.7020977024529,10.0094411760332 54.6990479785679,10.0019330901609 54.6968030979452,9.99381373099534 54.69544919381,9.98539462129773 54.6950382081976,9.97699872307084 54.6955859091659,9.96894811434837 54.6970712887655,9.96155169873731 54.6994373643089,9.95509340688011 54.7025933530623,9.94982133226072 54.706418139075,9.94593821169271 54.7107649022329,9.94359361406162 54.7154667354894,9.94287814051257 54.7203430382015,9.9438198668053 54.7252064430508,9.9463831760544 54.7298700124112,9.95047004014033 54.734154428249,9.95592371386596 54.7378948983553,9.96253471106819 54.7409475112158,9.97004884033341 54.743194791955,9.97817699381335 54.7445502419513,9.98660630989122 54.7449616838256,9.99501227273311 54.744413280058,10.0030712720568 54.7429261455931,10.0104731268616 54.7405575302811,10.0169330784381 54.7373986035131,10.0222027806274 54.7335709285258,10.0260798577991 54.7292217652534,10.0284156611205 54.7245183861378,10.0291209282996 54.7196416271645)))', 'DEDCT', 'DRECHT', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1325737309256 54.2172538030827,11.1315049408887 54.2124007310838,11.1288417995895 54.2077630671568,11.1246870986656 54.2035189295535,11.1192007806245 54.1998312721556,11.1125937499715 54.1968416444673,11.105119758031 54.1946647770521,11.0970656748204 54.1933841966803,11.0887405182377 54.1930490360307,11.0804636540412 54.193672157584,11.0725526086662 54.1952296619868,11.0653109502224 54.1976617993775,11.0590166907714 54.2008752497278,11.0539116452302 54.2047466869613,11.0501921493241 54.2091274932279,11.0480014916137 54.2138494459725,11.0474243538522 54.2187311629272,11.0484834813485 54.2235850603531,11.0511387227147 54.2282245589984,11.0552884890058 54.2324712612926,11.0607735889687 54.2361618229034,11.0673833035415 54.2391542521867,11.0748634727993 54.2413333920613,11.0829262862846 54.242615369795,11.0912613969933 54.2429508399731,11.0995479237393 54.2423268929918,11.1074668690499 54.2407675538686,11.1147134621213 54.2383328517852,11.1210089396406 54.2351164972214,11.1261113012531 54.2312422583941,11.1298246198393 54.2268591796701,11.1320065472802 54.2221358295653,11.1325737309256 54.2172538030827)))', 'DEDHI', 'Dahme', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4076385408735 54.2959245395172,12.4071251249054 54.2910410469809,12.4049932982038 54.2863099594213,12.401325489454 54.2819130133202,12.3962630112932 54.2780190535145,12.3900005750203 54.274777563981,12.3827787833151 54.2723129473943,12.3748748931508 54.2707197696208,12.3665922024451 54.2700591480768,12.3582484619979 54.2703564193419,12.3501637477975 54.2716001731902,12.3426482471415 54.2737426889964,12.3359904148491 54.2767017580595,12.3304459431161 54.2803638235593,12.3262279605353 54.284588320396,12.3234988330769 54.289213051784,12.3223638833677 54.2940603998141,12.322867275816 54.2989441347496,12.3249902359164 54.3036765638964,12.3286516848418 54.3080757465288,12.3337112781813 54.3119724973187,12.3399747438256 54.3152169073874,12.3472013223847 54.3176841294352,12.3551130281316 54.3192792009376,12.3634053732963 54.3199407161747,12.3717591372733 54.3196432025101,12.3798527180805 54.3183981070727,12.3873745785586 54.3162533547332,12.3940352956637 54.3132914946848,12.3995787380151 54.3096265086502,12.4037919337364 54.3053994063542,12.4065132456145 54.3007727812393,12.4076385408735 54.2959245395172)))', 'DEDIA', 'DIERHAGEN', 'Y'),('SRID=4326;MULTIPOLYGON(((7.32268252401711 53.3175934497276,7.32207262610186 53.3127126143745,7.31988478220665 53.3079967909967,7.31620353618118 53.3036271268091,7.3111706825352 53.299771418919,7.30497976787099 53.296577685265,7.29786863233789 53.29416849991,7.29011028082189 53.2926363068004,7.28200243293708 53.2920398884119,7.27385614710275 53.2924021217773,7.26598394597616 53.2937091058607,7.25868788757173 53.295910692826,7.25224802819015 53.2989224032273,7.24691170977967 53.3026286533292,7.24288407584547 53.306887173436,7.24032017713409 53.3115344509949,7.23931897205145 53.316391992979,7.23991945856218 53.3212731701351,7.24209909608914 53.3259903823909,7.24577459012681 53.3303622710879,7.25080502185402 53.3342207004579,7.2569972133854 53.3374172382416,7.26411313018212 53.3398288834729,7.2718790394551 53.341362817711,7.27999607098972 53.3419599934089,7.28815176823748 53.34159741824,7.29603217573682 53.3402890452769,7.30333398612648 53.3380852338003,7.30977626741872 53.3350708019183,7.31511130895311 53.3313617476871,7.3191341616192 53.3271007677057,7.32169050257615 53.3224517490201,7.32268252401711 53.3175934497276)))', 'DEDIT', 'DITZUM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.2760107550587 54.6286200872336,13.2753903094932 54.6237399334131,13.2731413154078 54.6190237542988,13.2693507055758 54.6146527069751,13.264164504931 54.6107946355273,13.2577821652413 54.6075976411162,13.2504488778055 54.6051844152298,13.2424461629473 54.6036475501276,13.2340810960724 54.6030460028429,13.2256745775178 54.6034028452589,13.21754908627 54.6047043843359,13.2100163751867 54.6069006852615,13.2033655672726 54.6099074778823,13.1978520988292 54.6136093750477,13.1936879261802 54.6178642822311,13.1910333687935 54.6225088327026,13.1899909039565 54.6273646432454,13.1906011581489 54.6322451534193,13.1928412598333 54.6369627879741,13.1966256300225 54.6413361682482,13.2018091937126 54.6451970949862,13.2081929005901 54.6483970323353,13.2155313512165 54.650812840772,13.2235422392202 54.6523515348664,13.2319172449076 54.6529538791373,13.2403339548457 54.6525966803672,13.2484683384997 54.6512936858478,13.2560072892229 54.6490950519698,13.2626607340823 54.6460854040578,13.2681728353276 54.6423805639549,13.2723318447808 54.6381230742231,13.2749782290249 54.6334766947615,13.2760107550587 54.6286200872336)))', 'DEDRA', 'DRANSKE', 'Y'),('SRID=4326;MULTIPOLYGON(((9.88086469010634 54.4746952247516,9.87993653723138 54.4698310832453,9.87739739761646 54.4651658237499,9.87334532016679 54.4608786312813,9.86793633028029 54.4571341175574,9.86137838745494 54.4540760167872,9.85392337923459 54.4518216871919,9.84585746127481 54.45045762574,9.8374901116845 54.4500361647144,9.82914231250282 54.4505734739424,9.82113430118919 54.4520489434464,9.81377334970717 54.4544059696286,9.80734202787652 54.4575541156601,9.80208739116241 54.4613725652997,9.7982115012904 54.4657147406849,9.79586364168234 54.4704139104441,9.79513452976594 54.4752895763782,9.79605275624018 54.4801543964317,9.79858359942407 54.4848213799705,9.80263027346803 54.4891110795091,9.80803757559469 54.4928585016515,9.81459780325437 54.4959194694083,9.82205872105995 54.4981761880856,9.83013327367585 54.4995417969982,9.83851066844406 54.499963728276,9.84686839403597 54.4994257404999,9.85488470178414 54.4979485469506,9.86225105666729 54.4955890136965,9.86868406624782 54.4924379592458,9.87393641811808 54.4886166426204,9.87780639840137 54.4842720781553,9.88014562335788 54.4795713609372,9.88086469010634 54.4746952247516)))', 'DEECK', 'Eckernförde', 'Y'),('SRID=4326;MULTIPOLYGON(((8.89265348480728 54.267045515385,8.89184665918429 54.2621739072616,8.88943224559803 54.2574880118664,8.88550350529018 54.2531678138204,8.88021173692147 54.2493791981692,8.87376041383535 54.2462675964898,8.86639734757385 54.2439524227955,8.85840518134113 54.242522509303,8.85009057616644 54.2420327137077,8.84177249803771 54.2425018251608,8.83377004521598 54.2439118472836,8.8263902706471 54.2462086850077,8.81991645454812 54.2493042095617,8.81459726686024 54.2530796243454,8.81063722863455 54.2573900055001,8.80818883619729 54.2620698464296,8.80734665316402 54.2669393969697,8.80814360452539 54.271811556817,8.81054962610992 54.2764990604913,8.81447273428125 54.2808216785264,8.81976248782122 54.2846131574557,8.82621572012784 54.287727629794,8.83358432899965 54.2900452444964,8.84158482742117 54.2914767977242,8.84990928586212 54.2919671821466,8.85823723826205 54.291497518969,8.86624808308955 54.290085888565,8.87363348979109 54.2877866308499,8.88010932070932 54.2846882430171,8.88542659916713 54.2809099575752,8.88938109477848 54.2765971354144,8.89182115503078 54.2719156547515,8.89265348480728 54.267045515385)))', 'DEEIK', 'EIDERLOCKSPERRWERK', 'Y'),('SRID=4326;MULTIPOLYGON(((7.24172953362924 53.3676221382362,7.24112830935966 53.3627409995248,7.23894699679889 53.3580237829029,7.23526989098895 53.353651689465,7.23023862955712 53.3497926097784,7.22404669983939 53.3465946912156,7.21693198232102 53.3441806682941,7.20916762007494 53.3426431703262,7.20105156336232 53.3420411830229,7.19289518489825 53.3423977968069,7.18501139338323 53.3436993260806,7.17770269006167 53.3458958322943,7.17124961494909 53.3489030311453,7.1659000159419 53.3526055124155,7.16185954557618 53.3568611516109,7.15928374735379 53.3615065474293,7.1582720373073 53.3663632797861,7.15886381826303 53.3712447511634,7.16103688600609 53.3759633507031,7.16470820069222 53.3803376667743,7.1697370063408 53.3841994704342,7.17593018948835 53.3874001996104,7.18304967882822 53.3898166918947,7.19082160482189 53.3913559420365,7.19894686569566 53.3919586975718,7.20711268748255 53.3916017511213,7.21500472381985 53.3902988389281,7.22231921826268 53.3881001100793,7.22877474915037 53.385090187254,7.23412309471876 53.381384895371,7.23815879325842 53.3771267868144,7.24072702773574 53.3724796388239,7.24172953362924 53.3676221382362)))', 'DEEME', 'EMDEN', 'Y'),('SRID=4326;MULTIPOLYGON(((8.39697142106698 53.5952188746281,8.39623439362781 53.5903436457307,8.39391326193616 53.5856476038163,8.39009768878725 53.5813111286062,8.38493461919601 53.577500736011,8.37862258567204 53.5743626991808,8.37140406084188 53.5720174513558,8.36355615396609 53.570554981959,8.35538000662248 53.5700313991781,8.34718928825208 53.5704667879798,8.33929822332804 53.5718444437244,8.33200959794111 53.574111510002,8.32560319427384 53.5771809968034,8.32032508675025 53.5809351034425,8.31637820390171 53.5852297215692,8.31391451582554 53.5898999488609,8.31302914955867 53.5947664051991,8.31375666521749 53.5996421117877,8.3160696463367 53.604339671053,8.31987967097098 53.6086784722712,8.32504063881717 53.6124916454184,8.33135433733918 53.6156324940308,8.33857804043156 53.6179801567998,8.34643385049115 53.6194442766485,8.35461942275132 53.6199684941227,8.36281965291106 53.619532627629,8.37071886841157 53.6181534545318,8.37801304230985 53.6158840622442,8.38442154771348 53.61281179489,8.38969799023005 53.6090548764693,8.39363969481233 53.6047578434006,8.396095479708 53.6000859656586,8.39697142106698 53.5952188746281)))', 'DEFEZ', 'FEDDERWARDERSIEL', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0001755257035 54.7706517151266,9.99922592836177 54.7657888171712,9.99665424017421 54.7611264273188,9.99255976806055 54.7568436185372,9.98710017012406 54.7531048320621,9.98048534998713 54.7500535800456,9.97296937613813 54.747806955908,9.96484073891959 54.7464511594934,9.95641131639358 54.7460382052078,9.94800446515541 54.746583936503,9.93994268222038 54.7480674209894,9.93253529875887 54.7504317488213,9.92606666540905 54.7535862045881,9.92078527216968 54.7574097315317,9.91689421378805 54.7617555582831,9.91454336477456 54.7664568141651,9.91382356775816 54.7713329210726,9.91476306637238 54.7761965194741,9.91732633128214 54.78086066444,9.92141533793456 54.7851460158031,9.92687326029436 54.7888877452431,9.93349044983275 54.7919418925682,9.94101247734359 54.7941909235735,9.94914993086998 54.7955482719906,9.95758959014585 54.795961687135,9.96600654012129 54.7954152553928,9.97407674633767 54.7939300157908,9.98148959525561 54.7915631453754,9.98795990417179 54.7884057466431,9.99323892799989 54.7845793243918,9.99712393271615 54.7802310907747,9.9994659654266 54.7755282828921,10.0001755257035 54.7706517151266)))', 'DEFHO', 'FALSHOEFT', 'Y'),('SRID=4326;MULTIPOLYGON(((9.58510301241845 53.7268018260997,9.5842264965754 53.7219347018161,9.58176623970271 53.7172624729546,9.577817241717 53.7129645966944,9.57253155804305 53.7092061002918,9.56611241109485 53.7061312601448,9.55880636602627 53.7038580817421,9.55089387358617 53.7024737889205,9.54267854070736 53.702031492117,9.53447553383232 53.7025481605926,9.52659954989921 53.7040039745559,9.51935280473781 53.7063430814398,9.51301348805114 53.7094757280855,9.50782511819322 53.7132816890403,9.50398719891817 53.717614862382,9.50164753483643 53.7223088601478,9.50089650352936 53.7271833822064,9.50176351165747 53.7320511317238,9.50421578196917 53.7367250085133,9.50815953042864 53.7410253045138,9.51344350080472 53.7447866240861,9.5198647315195 53.7478642610303,9.52717634018643 53.7501397840705,9.53509702904999 53.7515256124196,9.54332194334529 53.7519684018703,9.5515344579441 53.75145110816,9.55941842844159 53.7499936462669,9.56667042312521 53.7476521196408,9.57301145310064 53.7445166498247,9.57819773918315 53.7407078920735,9.58203009485645 53.7363723740962,9.58436156251877 53.7316768408047,9.58510301241845 53.7268018260997)))', 'DEFLA', 'FLEIEN', 'Y'),('SRID=4326;MULTIPOLYGON(((9.47321362709692 54.8018392037186,9.47232650243402 54.7969721529701,9.46981339711714 54.7922985690858,9.46577137408068 54.7879979582301,9.46035608581281 54.7842354476441,9.45377574424761 54.7811554616464,9.44628310343492 54.7788761968608,9.4381657654401 54.7774851051342,9.42973517907242 54.7770355539191,9.42131474644171 54.7775447892679,9.41322748297695 54.7789932776205,9.40578369177114 54.7813254509946,9.39926911264722 54.784451827768,9.39393399017358 54.7882524297707,9.38998347331029 54.7925813676435,9.38756971308898 54.7972724220926,9.38678596476819 54.8021454103807,9.38766292877071 54.8070130966279,9.39016748242822 54.81168838251,9.3942038647181 54.8159915027492,9.39961728190568 54.8197569480739,9.40619980691412 54.8228398473785,9.41369835328631 54.8251215605142,9.42182441988981 54.8265142628947,9.43026522906287 54.8269643418595,9.43869582236396 54.826454471011,9.446791637492 54.8250042806586,9.45424106943991 54.822669597899,9.46075751963388 54.819540286386,9.46609045865429 54.8157367710774,9.47003506995418 54.8114053848565,9.47244010157128 54.8067127197556,9.47321362709692 54.8018392037186)))', 'DEFLF', 'FLENSBURG', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7685068753655 54.1344423669177,13.7678346498778 54.1295641433961,13.7655552390466 54.1248566422992,13.7617567244228 54.12050068577,13.7565854162291 54.1166635383156,13.750240179877 54.1134924991,13.7429647733259 54.1111092656957,13.7350384927889 54.1096052821866,13.7267654842235 54.109038246623,13.7184631245584 54.1094299087754,13.7104499086382 54.1107652405387,13.7030332947262 54.1129930099273,13.6964979627724 54.1160277371334,13.691094925497 54.1197529594081,13.6870319029676 54.1240256823333,13.6844653273639 54.1286818501104,13.6834942870526 54.1335426284298,13.6841566493766 54.138421261776,13.6864275216519 54.1431302439728,13.6902201222442 54.1474885273939,13.6953890412892 54.1513284932843,13.7017357771037 54.1545024133987,13.7090163434507 54.1568881515739,13.716950658586 54.158393882397,13.7252333533567 54.1589616418044,13.7335455761951 54.1585695698269,13.7415673306759 54.1572327569617,13.7489898586162 54.1550026606793,13.7555275797097 54.1519651150363,13.7609291175131 54.1482370118634,13.7649869802419 54.1439617841691,13.7675455212504 54.1393038690799,13.7685068753655 54.1344423669177)))', 'DEFRJ', 'FREEST', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2217745330467 54.3925747590208,10.2208080666264 54.3877133968195,10.2182355638132 54.383055435905,10.2141563491754 54.3787797791154,10.208727483479 54.3750505939977,10.2021576826465 54.3720110257971,10.1946992837565 54.3697777215936,10.1866385687681 54.3684363722064,10.1782848146144 54.3680384394594,10.1699584825957 54.3685991915056,10.1619789896193 54.3700971197479,10.1546525181462 54.3724747592118,10.1482603204354 54.3756408817785,10.1430479558298 54.3794739802798,10.139215867743 54.3838269128559,10.1369116603449 54.3885325329005,10.1362243747889 54.3934100919792,10.1371809927015 54.3982721727749,10.1397453126229 54.4029318876401,10.1438192557552 54.4072100667139,10.1492465638725 54.4109421584549,10.1558187581816 54.4139845751111,10.1632831372208 54.4162202359505,10.1713525086083 54.4175630913773,10.1797162775516 54.417961450286,10.1880524580873 54.4173999796445,10.1960401339587 54.4159002974496,10.2033718769324 54.4135201356995,10.2097656322125 54.4103511065088,10.2149756033322 54.406515159553,10.2188017112665 54.4021598703429,10.2210972622703 54.3974527442606,10.2217745330467 54.3925747590208)))', 'DEFRO', 'FRIEDRICHSORT', 'Y'),('SRID=4326;MULTIPOLYGON(((9.57025355724522 54.8398045702917,9.56935390404338 54.8349382909094,9.56682722338679 54.8302667793299,9.56277109987315 54.8259694613645,9.55734172689225 54.8222113371281,9.55074785588029 54.8191366620131,9.54324275852586 54.8168634284643,9.53511451312517 54.8154788567556,9.52667498538366 54.8150360642407,9.51824791929582 54.8155520378879,9.51015658428732 54.8170069859264,9.50271143993926 54.8193450928468,9.49619827903742 54.8224766495872,9.49086729340694 54.8262814792769,9.48692347531907 54.8306135301759,9.48451872084522 54.8353064631565,9.48374594143487 54.8401800228298,9.48463541771854 54.8450469507083,9.48715354711964 54.8497201768719,9.49120404689076 54.8540200144799,9.49663157980691 54.8577810798249,9.5032276745673 54.8608586697578,9.51073872093998 54.8631343480787,9.51887573494547 54.8645205223192,9.52732551593676 54.864963831154,9.53576275895277 54.8644472090097,9.54386264522061 54.862990546385,9.55131341330664 54.8606499198201,9.55782841426293 54.8575154219702,9.56315717613495 54.8537076774637,9.56709504520071 54.8493731817945,9.56949103107433 54.8446786462841,9.57025355724522 54.8398045702917)))', 'DEGCK', 'GLUECKSBURG', 'Y'),('SRID=4326;MULTIPOLYGON(((9.12417514795717 53.7969637485825,9.12335047194094 53.7920933285683,9.12093727142744 53.7874117119561,9.11702874508871 53.7830987191483,9.11177540197974 53.779319959752,9.10537923108647 53.7762204890481,9.09808592304827 53.7739192579804,9.09017544533934 53.7725045662448,9.08195133048972 53.7720306895298,9.07372908181276 53.7725158074108,9.06582413153922 53.77394130946,9.05853980158705 53.7762525055209,9.05215571710913 53.7793607135945,9.04691710745983 53.783146647193,9.04302539861914 53.7874649751099,9.04063045606594 53.7921498820684,9.03982477864536 53.7970214202541,9.04063987362712 53.8018924107911,9.04304496290392 53.8065756320583,9.04694808266518 53.8108910193594,9.05219954695914 53.8146725985479,9.05859765283439 53.8177748850552,9.06589641507004 53.8200784992568,9.07381503584057 53.821494778646,9.08204874290782 53.8219692058278,9.09028057262828 53.8214835174232,9.09819363414221 53.8200564107172,9.10548337066806 53.8177428201612,9.11186933395192 53.8146317922947,9.11710600861022 53.8108430428935,9.12099226324976 53.8065223318445,9.12337906274515 53.8018358372343,9.12417514795717 53.7969637485825)))', 'DEGEV', 'GEVERSDORF', 'Y'),('SRID=4326;MULTIPOLYGON(((13.780721377653 54.3424392239613,13.7800446965129 54.3375612087839,13.7777527650244 54.3328540306915,13.7739341519466 54.3284984986682,13.7687359439367 54.3246618598218,13.7623580416144 54.3214913925105,13.7550454569188 54.3191087710854,13.7470789108327 54.3176054150749,13.7387640907234 54.3170389977407,13.7304199732415 54.3174312448862,13.7223666508618 54.3187671062138,13.7149131170684 54.3209953301287,13.7083454665424 54.3240304204383,13.7029159524996 54.3277559016991,13.6988333138236 54.3320287707846,13.6962547404791 54.3366849673203,13.6952797878682 54.3415456565697,13.6959464807661 54.3464240866528,13.6982297671898 54.3511327589185,13.7020423945119 54.3554906369088,13.7072381873529 54.3593301163642,13.7136176127825 54.3625034864696,13.7209354269848 54.3648886309497,13.7289101128328 54.3663937461637,13.7372347437536 54.3669608910263,13.7455888494877 54.3665682289745,13.7536508169369 54.3652308734717,13.7611103364829 54.3630003035879,13.7676804021685 54.3599623726683,13.7731083930941 54.356233988614,13.7771858022587 54.3519585964753,13.7797562358444 54.3473006407382,13.780721377653 54.3424392239613)))', 'DEGHS', 'GÖHREN', 'Y'),('SRID=4326;MULTIPOLYGON(((9.45915988391827 53.7828459750566,9.45829671986969 53.7779779510864,9.45584711219881 53.7733031619033,9.45190565454167 53.7690011636209,9.44662411566273 53.7652371421036,9.44020556147937 53.7621555859057,9.432896536404 53.7598747580936,9.42497760668746 53.758482175683,9.41675262642089 53.7580312667438,9.40853713139749 53.7585393305586,9.4006462961161 53.7599868772064,9.39338290418159 53.7623183712843,9.38702578191536 53.7654443519858,9.38181912914007 53.7692448501951,9.37796315016439 53.7735739744346,9.37560634262929 53.7782654931293,9.37483974314222 53.7831392023494,9.37569335802845 53.788007837438,9.37813492708502 53.7926842649808,9.38207108048131 53.7969886794391,9.38735085697935 53.8007555271081,9.39377145897026 53.8038398891777,9.40108603028342 53.8061230754127,9.40901316030432 53.8075172097485,9.41724774651896 53.8079686278484,9.42547279071365 53.8074599529144,9.43337166461284 53.8060107679051,9.44064036080422 53.8036768576494,9.44699924544221 53.8005480507955,9.45220385040103 53.7967447467154,9.45605428313544 53.7924132640548,9.45840289037016 53.7877201934367,9.45915988391827 53.7828459750566)))', 'DEGLU', 'Glückstadt', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5139536458428 54.5695351820118,13.5133055001552 54.5646560443372,13.5110320753024 54.5599441031296,13.5072212385737 54.5555803513248,13.5020197869828 54.5517323519118,13.495627753066 54.5485478189215,13.4882906960683 54.5461489655646,13.4802902779947 54.5446278329632,13.4719334847041 54.5440427751525,13.4635408993934 54.5444162320869,13.4554344683812 54.545733873886,13.4479252163767 54.5479451482085,13.441301370083 54.5509652102189,13.435817334999 54.5546781629036,13.4316839409499 54.5589414862749,13.4290603277998 54.5635914889846,13.428047784969 54.5684495766965,13.4286857882563 54.5733290997045,13.4309503969671 54.578042519044,13.4347550859887 54.5824086167473,13.439953994241 54.5862594726842,13.4463474763896 54.5894469379441,13.4536897527117 54.5918483529047,13.4616983666087 54.5933712864626,13.4700650844811 54.5939571104028,13.4784678122023 54.5935832681345,13.4865830593616 54.5922641482016,13.4940984590701 54.5900505279785,13.5007248486931 54.5870276094432,13.5062074355351 54.5833117244895,13.5103356102546 54.5790458395164,13.5129510275844 54.5743940358522,13.5139536458428 54.5695351820118)))', 'DEGLY', 'GLOWE', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2925881437353 54.2509646598002,12.2920887291391 54.2460808122308,12.2899722955342 54.2413478416914,12.286320679805 54.2369475578849,12.2812745731419 54.2330489346477,12.2750280595036 54.2298016356664,12.2678211321692 54.2273302870541,12.2599304796898 54.2257297132293,12.251658893958 54.2250613153629,12.2433237011827 54.2253507281578,12.2352446501839 54.2265868425332,12.227731710887 54.2287222305861,12.2210732388484 54.2316749567974,12.2155249490508 54.2353317076006,12.2113001143204 54.23955212195,12.2085613611427 54.2441741601011,12.2074143793564 54.2490203081144,12.2079037935788 54.2539043830854,12.2100113651554 54.2586386801057,12.2136566063641 54.2630411875283,12.218699796478 54.2669425929918,12.2249472955583 54.2701928092409,12.2321589603035 54.2726667660351,12.2400573809359 54.2742692418834,12.2483385829316 54.2749385460485,12.2566837760908 54.2746489058516,12.2647716891234 54.2734114649935,12.2722910029386 54.2712738533225,12.2789523915179 54.2683183448839,12.2844996958634 54.2646586768132,12.2887197931773 54.2604356542836,12.2914507782043 54.2558117141111,12.2925881437353 54.2509646598002)))', 'DEGMX', 'Graal-Müritz', 'Y'),('SRID=4326;MULTIPOLYGON(((13.4254484802116 54.0835631110875,13.4248172588963 54.0786832407617,13.4225795023072 54.0739695176827,13.4188216933225 54.0696030053612,13.4136885824045 54.065751375662,13.4073775733667 54.0625624851843,13.4001311159415 54.0601587174555,13.392227400681 54.0586323046835,13.3839697119001 54.0580418050771,13.3756748411773 54.0584098678146,13.3676609962811 54.0597223692351,13.3602356575964 54.0619289524507,13.3536838358515 54.0649449501187,13.3482571711742 54.0686546183599,13.3441642845109 54.0729155605411,13.3415627488512 54.0775641745844,13.3405529905042 54.0824219182496,13.3411743613184 54.0873021549449,13.3434035431507 54.0920173193514,13.347155358551 54.0963861285301,13.3522859695263 54.1002405609406,13.3585983528589 54.1034323332968,13.3658498495944 54.1058386233311,13.3737615019925 54.107366814837,13.3820288173804 54.1079580788095,13.3903335386141 54.107589649702,13.3983559582719 54.1062757069521,13.4057872905382 54.1040668268774,13.4123416122169 54.1010480264971,13.4177669025898 54.097335476378,13.4218547499379 54.0930720118932,13.4244483484628 54.0884216191178,13.4254484802116 54.0835631110875)))', 'DEGRD', 'GREIFSWALD', 'Y'),('SRID=4326;MULTIPOLYGON(((7.14185770164106 53.5006581899704,7.14126642946788 53.495776736533,7.13908976002343 53.4910578336435,7.13541181463872 53.4866827474022,7.13037426737258 53.4828194831832,7.12417085010255 53.4796163485862,7.1170398861164 53.4771962777073,7.10925514233145 53.4756521312519,7.10111534999792 53.475043149402,7.09293279029566 53.475392690506,7.08502137351273 53.4766873401827,7.07768465780292 53.4788774240555,7.07120425551194 53.4818789048304,7.06582906171184 53.4855765926112,7.06176571117279 53.4898285479844,7.05917062715076 53.494471512242,7.05814396907267 53.4993271597715,7.0587257178907 53.5042089356184,7.06089405947144 53.5089292178094,7.06456614032462 53.5133065302583,7.06960117921371 53.5171725286716,7.07580582614062 53.5203784891935,7.08294157061547 53.5228010475062,7.09073391793585 53.524346964215,7.09888297928168 53.5249567296321,7.10707506234823 53.5246068661181,7.11499480699955 53.5233108371382,7.12233738723839 53.5211185270559,7.12882029789818 53.5181143120857,7.13419426203227 53.5144137983806,7.13825283207794 53.5101593555752,7.14084031256705 53.5055146210662,7.14185770164106 53.5006581899704)))', 'DEGRE', 'GREETSIEL', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1467241820909 54.3632474719119,11.1456494793699 54.3583946857748,11.1429748773844 54.353757541206,11.1388036120421 54.3495141358768,11.1332962646734 54.3458273947039,11.1266645482693 54.3428388310816,11.1191631611818 54.3406631338422,11.1110800228543 54.3393837841349,11.1027252631899 54.3390498669796,11.0944193804906 54.3396741970474,11.0864810115234 54.341232828865,11.079214770581 54.3436659698638,11.0728996121401 54.3468802622696,11.067778153895 54.350752348546,11.0640473639161 54.3551335867417,11.0618509681337 54.3598557383576,11.0612738733799 54.3647374138509,11.0623388284083 54.3695910311015,11.0650054627342 54.3742300213029,11.0691717534534 54.3784760058036,11.0746778765776 54.3821656670317,11.0813123054983 54.3851570470412,11.0888199289094 54.38733502823,11.0969118779442 54.388615781738,11.1052766813483 54.3889500088289,11.1135923117491 54.3883248476466,11.1215386483785 54.3867643701943,11.1288098639388 54.3843286500222,11.1351262466141 54.3811114375606,11.1402449923336 54.3772365348982,11.1439695459862 54.372853012755,11.1461571310666 54.3681294573403,11.1467241820909 54.3632474719119)))', 'DEGRO', 'GROSSENBRODE', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7942653847135 53.9063757041383,10.7932446893737 53.9015190495386,10.7906396162992 53.8968732560752,10.7865507213219 53.8926167574626,10.7811354186661 53.8889129854411,10.774601889141 53.8859041109754,10.7672010688083 53.8837056054777,10.759217027625 53.8824018273019,10.7509561044301 53.882042799482,10.7427352079645 53.8826422995811,10.7348697223744 53.8841773332109,10.727661469242 53.8865890110044,10.7213871763255 53.8897847963523,10.7162878858986 53.8936420398443,10.712559703203 53.898012667874,10.7103462387456 53.9027288489773,10.7097330380876 53.907609423804,10.7107442209353 53.9124668546247,10.7133414698207 53.9171144291991,10.7174254200732 53.9213734426552,10.722839410259 53.9250800803908,10.7293754593827 53.9280917351623,10.7367822477983 53.9302925122812,10.7447747969629 53.9315977075593,10.7530454727736 53.9319570822211,10.76127588174 53.9313568059,10.7691491915219 53.9298199911573,10.7763623893743 53.9274057985185,10.7826379947513 53.924207147456,10.787734765571 53.920347123659,10.7914569801809 53.9159742240101,10.7936619366617 53.9112566258063,10.7942653847135 53.9063757041383)))', 'DEGTM', 'LÜBECK-GOTHMUND', 'Y'),('SRID=4326;MULTIPOLYGON(((13.3655382957121 54.172584910073,13.3649129864787 54.1677048365695,13.3626774628863 54.1629900816066,13.358918125258 54.1586217484369,13.3537797856108 54.1547675787191,13.3474600506302 54.1515755262431,13.3402017061493 54.1491680954534,13.3322833990177 54.1476376586454,13.3240089725883 54.1470429280052,13.3156958589959 54.1474067147628,13.3076629638721 54.1487150592379,13.3002184964379 54.1509177642023,13.2936481997162 54.1539303115309,13.2882044218739 54.1576370903579,13.2840964407268 54.1618958156846,13.2814824098411 54.1665429713082,13.2804632374234 54.1714000717002,13.2810786397616 54.176280505536,13.2833055312858 54.180996700266,13.2870588258259 54.1853673334464,13.292194631371 54.1892243132633,13.2985157270317 54.1924192581148,13.3057791198257 54.1948292232184,13.3137053943445 54.1963614504519,13.3219894942722 54.1969569550527,13.3303125147695 54.1965928079622,13.3383540419665 54.1952830237183,13.345804552486 54.1930780187411,13.3523773833008 54.1900626613124,13.3578198004533 54.1863529901105,13.3619227332824 54.1820917304717,13.3645287967837 54.1774427844246,13.3655382957121 54.172584910073)))', 'DEGTW', 'GRISTOW', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7236841937578 54.3074592082133,13.7230147728286 54.3025808861725,13.7207312476116 54.2978726450575,13.7169218633785 54.2935153351665,13.7117333523465 54.2896762723458,13.70536524333 54.2865028284115,13.6980621732563 54.2841167922537,13.6901044990984 54.2826097145973,13.681797568956 54.2820394115207,13.6734600577382 54.2824277578064,13.6654118050779 54.2837598526265,13.6579616100766 54.2859845886686,13.6513954388943 54.2890166033615,13.6459654870582 54.2927395391489,13.6418805089402 54.2970104905751,13.6392977827767 54.3016654709887,13.638317021881 54.3065256925914,13.6389764727659 54.3114044218221,13.6412513607156 54.3161141489723,13.645054755403 54.3204737975088,13.6502408364654 54.3243156955482,13.6566104450315 54.3274920396383,13.6639187158831 54.3298805993663,13.6718845002771 54.3313894398163,13.6802012154032 54.3319604765402,13.6885486966752 54.3315717230639,13.6966055866075 54.3302381422068,13.7040617711515 54.3280110675171,13.7106303722942 54.3249762176046,13.7160588245708 54.3212503816621,13.7201386019061 54.3169769066675,13.7227132178366 54.3123201634622,13.7236841937578 54.3074592082133)))', 'DEGXG', 'Gager', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7256728496605 54.2964584401857,13.7250033511218 54.2915801201407,13.7227201869859 54.2868719103427,13.7189115882986 54.2825146599101,13.7137242568291 54.2786756824503,13.7073576759311 54.2755023465614,13.7000564238254 54.2731164370505,13.6921007877856 54.2716094998403,13.6837960378732 54.271039345663,13.6754607655751 54.2714278436086,13.6674147248696 54.2727600870244,13.6599666302035 54.2749849628646,13.6534023672829 54.278017103139,13.6479740584337 54.2817401454035,13.6438903948719 54.2860111800415,13.6413086041531 54.2906662171387,13.6403283633571 54.2955264666672,13.640987898646 54.3004051939629,13.6432624316737 54.3051148893883,13.6470650454013 54.3094744776522,13.6522499492162 54.3133162892338,13.6586180293551 54.316492524066,13.6659244793534 54.3188809560037,13.6738882206066 54.3203896551071,13.6822027491073 54.3209605424114,13.6905479846651 54.3205716372144,13.6986026564835 54.3192379081694,13.7060567361061 54.317010694496,13.7126234266722 54.3139757200988,13.7180502362706 54.3102497788916,13.722128701935 54.3059762218287,13.7247023874435 54.3013194228403,13.7256728496605 54.2964584401857)))', 'DEGZ4', 'GROSS-ZICKER', 'Y'),('SRID=4326;MULTIPOLYGON(((10.9924902591003 54.1323040138176,10.9914402728083 54.1274494788299,10.988798410525 54.122808478949,10.9846666455685 54.1185592617314,10.9792040400429 54.114864977211,10.9726205896441 54.1118674302103,10.9651691430321 54.1096816558678,10.9571357078609 54.1083915230448,10.948828512492 54.1080465309111,10.9405662357156 54.1086599188459,10.9326658454709 54.110208160458,10.9254305009884 54.1126318607446,10.91913797069 54.1158380229647,10.9140300006065 54.1197036004763,10.9103030353457 54.1240802003721,10.9081006464678 54.1287997619396,10.9075079625813 54.133680995405,10.9085483231375 54.1385363365298,10.911182295847 54.1431791516788,10.9153091085071 54.1474309169381,10.9207704529572 54.1511280943577,10.9273565254908 54.1541284386977,10.9348140782535 54.1563164889497,10.9428561739859 54.1576080297654,10.9511732658334 54.1579533476206,10.9594451683544 54.1573391535477,10.9673534481756 54.1557890966655,10.9745937449494 54.1533628483354,10.9808875363135 54.1501537932157,10.9859928842534 54.1462854183657,10.9897137433608 54.1419065425625,10.9919074716826 54.137185573004,10.9924902591003 54.1323040138176)))', 'DEGZZ', 'GROEMITZ', 'Y'),('SRID=4326;MULTIPOLYGON(((9.7199477786603 53.5717549066952,9.719059132931 53.5668886867372,9.71659317878616 53.5622191281791,9.71264512935376 53.5579255853284,9.70736699861031 53.5541729191756,9.70096171521278 53.5511051828081,9.69367531006862 53.5488401098277,9.68578747994439 53.547464613888,9.67760088691184 53.5470314686684,9.66942959754354 53.5475572928423,9.66158709547017 53.5490219155054,9.65437431555671 53.5513691458341,9.64806814724183 53.5545089182292,9.64291083852421 53.5583207326602,9.63910070099496 53.5626582611531,9.63678447087811 53.5673549470746,9.63605162231418 53.5722303856845,9.63693085862384 53.5770972438199,9.6393889270421 53.5817684548104,9.64333181497065 53.586064412781,9.64860829422603 53.5898198890615,9.65501568757733 53.5928904027482,9.6623076428976 53.5951577974173,9.67020361845701 53.596534805959,9.67839971211426 53.5969684244134,9.68658041091085 53.5964419620612,9.69443079871406 53.594975686964,9.70164874012733 53.5926260415136,9.7079565599213 53.5894834589901,9.71311175867652 53.5856688672407,9.7169163460264 53.5813290170609,9.7192244307121 53.5766308185392,9.7199477786603 53.5717549066952)))', 'DEHAM', 'HAMBURG', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2093354705949 53.960286062807,14.2086142486819 53.9554100375603,14.2062943272939 53.9507106524709,14.2024653350317 53.9463684156787,14.1972747426696 53.942550063478,14.1909221466979 53.9394021730554,14.1836515801047 53.9370455539379,14.1757421486949 53.9355706299871,14.1674973505651 53.9350339856735,14.1592334822803 53.9354562061427,14.151267566767 53.9368210918769,14.1439052542762 53.9390762772608,14.1374291486578 53.9421352298845,14.132087996608 53.9458805557251,14.1280871478068 53.9501684862532,14.1255806495836 53.9548343787042,14.1246652819597 53.9596990218898,14.1253767690815 53.9645755084691,14.1276883231406 53.9692764118302,14.131511589385 53.9736209926902,14.1366999687756 53.9774421578925,14.143054201729 53.9805929019965,14.1503300060433 53.982951981028,14.158247478519 53.9844285966252,14.1665018968795 53.9849659067797,14.1747754999649 53.9845432249772,14.1827497828114 53.9831768209696,14.1901178213166 53.9809192915158,14.1965961398975 53.9778575258898,14.2019356549564 53.9741093463684,14.2059312660322 53.9698189559281,14.2084297231928 53.9651513718326,14.2093354705949 53.960286062807)))', 'DEHDF', 'HERINGSDORF', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2397555342052 54.3745684826263,10.2387874012936 54.3697072591468,10.2362140263215 54.3650496725195,10.2321347666441 54.3607746111591,10.2267066841134 54.3570462197576,10.2201384640933 54.3540076131477,10.2126823827033 54.3517754015944,10.2046246329173 54.3504352340932,10.1962743780649 54.3500385272174,10.187951945538 54.3506005021561,10.1799766030898 54.3520996034176,10.1726543744075 54.3544783209891,10.1662663493475 54.357645385294,10.1610579273641 54.3614792528846,10.1572294005702 54.3658327522073,10.1549282362048 54.3705387147097,10.1542433581331 54.3754163786279,10.1552016548957 54.3802783224698,10.1577668598125 54.3849376637498,10.1618408593445 54.3892152469235,10.1672673924503 54.3929465433762,10.1738380096539 54.3959879960077,10.1813000698884 54.3982225612717,10.1893664699558 54.3995642318412,10.1977267295984 54.3999613623139,10.2060589982836 54.3993986670119,10.2140425107903 54.3978978110956,10.2213699996132 54.3955165717089,10.2277595740883 54.3923466023521,10.2329655988788 54.3885098887409,10.236788146825 54.3841540357095,10.2390806609138 54.3794465701407,10.2397555342052 54.3745684826263)))', 'DEHED', 'HEIKENDORF', 'Y'),('SRID=4326;MULTIPOLYGON(((8.58497549686431 54.5771549962888,8.58419931228958 54.5722816574716,8.58180198293024 54.5675898956363,8.57787612612328 54.5632599216461,8.57257294111305 54.559457995891,8.56609634840571 54.5563300600219,8.55869513482418 54.553996153472,8.55065340886063 54.5525458255376,8.54227973063731 54.5520347155242,8.53389532688933 54.5524824291277,8.52582183282623 54.5538717904578,8.51836901885694 54.5561494976235,8.51182296065969 54.5592281573611,8.50643509593913 54.5629896225939,8.502412580736 54.5672895078268,8.49991031297853 54.5719627126303,8.4990249321115 54.5768297447739,8.49979103258855 54.5817036032997,8.50217974775291 54.5863969592757,8.50609977169975 54.5907293591457,8.51140079318562 54.594534173202,8.51787922108342 54.5976650200759,8.52528598918131 54.6000014171604,8.5333361433633 54.6014534359972,8.54171984038645 54.6019651798557,8.5501143282421 54.6015169465429,8.55819643650455 54.6001259910701,8.56565508333018 54.5978458580227,8.57220330504206 54.5947643099831,8.57758933456217 54.590999933746,8.58160629524455 54.5866975579806,8.58410013478738 54.5820226622768,8.58497549686431 54.5771549962888)))', 'DEHGE', 'HOOGE', 'Y'),('SRID=4326;MULTIPOLYGON(((7.94255971739638 54.1833811550615,7.94186628846914 54.1785038518563,7.93956446833589 54.1737995873912,7.93574319931934 54.1694490582087,7.93054966421811 54.1656193192732,7.92418357957634 54.1624573844637,7.91688950079578 54.1600846013765,7.90894743776603 54.1585920128928,7.90066213951857 54.1580368799905,7.89235145279966 54.158440496168,7.88433419133427 54.15978737521,7.87691796924558 54.1620258425928,7.87038745327374 54.165070008365,7.8649934740881 54.1688030476413,7.86094340740143 54.1730816657029,7.85839319139991 54.1777415798106,7.85744128921027 54.1826038108547,7.85812483519114 54.1874815463512,7.86041812371836 54.1921873133494,7.8642335113279 54.1965401865604,7.86942471061275 54.2003727541631,7.87579236063762 54.2035375716397,7.88309166768746 54.2059128525337,7.89104182591708 54.2074071736955,7.89933685387349 54.2079630103617,7.90765742354847 54.2075589618923,7.91568321662447 54.2062105803153,7.92310532011695 54.203969768902,7.92963817189603 54.2009227744617,7.93503058568889 54.1971868525189,7.93907542410169 54.1929057366523,7.94161754490656 54.1882440898686,7.94255971739638 54.1833811550615)))', 'DEHGL', 'HELGOLAND', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0257368031747 54.3722902152187,11.0246760798419 54.3674362406704,11.0220144296728 54.3627963118251,11.0178545926189 54.3585486340061,11.0123567131424 54.3548562967037,11.0057321428896 54.3518610284234,10.9982353078982 54.3496777753725,10.9901539544423 54.3483903084906,10.9817981447879 54.3480480239547,10.9734884175867 54.3486640571206,10.9655435563918 54.3502147805356,10.9582684232227 54.3526407048918,10.9519423119707 54.3558487493608,10.9468082587402 54.3597157964532,10.9430637133065 54.3640933981502,10.9408529284406 54.3688134562751,10.9402613629751 54.3736946625185,10.9413123217588 54.3785494536639,10.943965973128 54.3831912166194,10.9481207948754 54.3874414668354,10.9536174060749 54.3911367231979,10.9602446481661 54.3941348128011,10.96774768835 54.3963203599167,10.9758378356688 54.3976092443539,10.9842036890696 54.3979518541256,10.9925231808289 54.3973350043616,11.0004760408264 54.3957824468344,11.0077561892968 54.3933539500795,11.0140835688156 54.3901429865498,11.0192149501988 54.3862731181355,11.0229532904372 54.3818932223759,11.0251552814455 54.3771717466974,11.0257368031747 54.3722902152187)))', 'DEHHF', 'HEILIGENHAFEN', 'Y'),('SRID=4326;MULTIPOLYGON(((9.61400617452438 53.6297919103683,9.61312842992847 53.6249249224283,9.61067071097275 53.6202532046544,9.60672791707497 53.6159561947472,9.60145186302638 53.6121988870454,9.59504540005557 53.6091255127991,9.58775460601335 53.6068540217724,9.57985934693306 53.6054715735495,9.57166256988083 53.605031208166,9.56347873127469 53.6055498209652,9.5556217946912 53.6070075175149,9.54839324694873 53.6093483727415,9.5420705806539 53.6124825659238,9.53689667543079 53.6162898116446,9.53307047904272 53.6206239579996,9.53073934423229 53.6253185790402,9.52999331840705 53.6301933501955,9.53086161280001 53.6350609647516,9.53331139745513 53.6397343276281,9.53724898087925 53.644033750673,9.54252334152937 53.6477938721696,9.54893188598344 53.6508700324932,9.55622821950557 53.6531438577246,9.56413163272754 53.6545278329175,9.57233793718822 53.6549686855688,9.58053122600604 53.6544494461527,9.58839609689347 53.6529901044984,9.5956298551056 53.6506468361323,9.60195421478989 53.6475098291545,9.607126038521 53.6436997973572,9.61094669542582 53.6393633167995,9.61326967609858 53.6346671687906,9.61400617452438 53.6297919103683)))', 'DEHLO', 'HASELDORF', 'Y'),('SRID=4326;MULTIPOLYGON(((9.18272682769674 54.3379428710754,9.18188434686545 54.3330733090981,9.17943284623841 54.3283933243897,9.17546701104579 54.3240826724545,9.17013956192223 54.3203068699696,9.1636553380686 54.3172108552781,9.15626340909047 54.3149134433742,9.14824752107124 54.313502784693,9.13991524130796 54.3130329984657,9.13158621142857 54.3135221068483,9.12357994928557 54.3149513471153,9.11620365543727 54.317265887627,9.10974047987695 54.3203769208231,9.10443868895432 54.3241650549511,9.10050214146456 54.3284848773806,9.09808243730827 54.333170517903,9.09727304299502 54.3380420019941,9.09810562707214 54.3429121530897,9.10054875732002 54.347593780777,9.104509022822 54.3519068794236,9.10983455087923 54.3556855598629,9.11632079475786 54.3587844456097,9.12371837732392 54.3610842845774,9.13174269178733 54.3624965568319,9.14008488800041 54.36296689749,9.14842381464354 54.3624771999883,9.1564384471696 54.3610463167403,9.16382031070447 54.3587293295154,9.17028540732147 54.3556154183641,9.17558517820952 54.3518244131817,9.17951607210747 54.3475021636903,9.18192734982366 54.3428149095963,9.18272682769674 54.3379428710754)))', 'DEHNX', 'Hennstedt', 'Y'),('SRID=4326;MULTIPOLYGON(((9.33939672274791 54.0168877945102,9.33854253866597 54.0120190884023,9.33609246666474 54.0073420391693,9.3321411261013 54.003036289682,9.3268406718457 53.9992671692432,9.32039490051051 53.9961793611249,9.31305140314012 53.9938913670948,9.30509206823001 53.9924909779171,9.29682229729781 53.9920319201864,9.28855934008699 53.9925318052408,9.2806201868168 53.9939714569189,9.27330947005366 53.996295643308,9.26690782846218 53.9994151851449,9.26166116890371 54.0032103619832,9.25777123240211 54.0075354883986,9.25538782404792 54.0122244880979,9.25460300801423 54.0170972554438,9.25544749801444 54.0219665630786,9.25788939275698 54.0266452522919,9.26183531779748 54.0309534305413,9.26713394273106 54.0347253987672,9.27358174944485 54.0378160401481,9.28093083702851 54.0401064215774,9.28889846592807 54.041508388831,9.29717797194031 54.0419679750657,9.30545062324205 54.0414674884836,9.31339795377459 54.0400261968232,9.32071408605664 54.0376995816703,9.32711755696081 54.0345771920455,9.3323621811315 54.0307791819454,9.33624652741617 54.0264516681325,9.33862164178493 54.0217610903594,9.33939672274791 54.0168877945102)))', 'DEHOD', 'HOCHDONN', 'Y'),('SRID=4326;MULTIPOLYGON(((8.1250154665714 53.6423144527239,8.1243090393304 53.6374377248647,8.12201562788539 53.6327365707856,8.11822383393289 53.6283915681371,8.11307969393061 53.6245695614101,8.10678101848676 53.6214172702265,8.09956977188112 53.6190556750102,8.09172278735955 53.617575392144,8.08354117286604 53.6170332126493,8.07533880760704 53.6174499342226,8.06743036121016 53.6188095677532,8.06011928357107 53.6210599479422,8.05368621444817 53.6241147251378,8.04837824745295 53.6278566637837,8.04439945359218 53.6321421237372,8.04190302558346 53.6368065558781,8.04098534680873 53.64167080452,8.04168221945463 53.6465479776421,8.04396740707347 53.6512506231595,8.04775355997079 53.6555979363642,8.05289550048908 53.6594227210045,8.05919575287351 53.6625778345464,8.06641211277135 53.6649418668874,8.07426696848528 53.6664238306143,8.08245801375294 53.6669666788094,8.09066993361613 53.6665495119725,8.09858660384339 53.6651883870018,8.10590332253452 53.6629356962548,8.11233859113276 53.6598781411451,8.11764498117831 53.6561333801415,8.12161866174266 53.6518454830651,8.12410721856217 53.6471793700653,8.1250154665714 53.6423144527239)))', 'DEHOO', 'HOOKSIEL', 'Y'),('SRID=4326;MULTIPOLYGON(((8.06405754240782 53.6853360347243,8.06335749793542 53.6804590096277,8.06106860543567 53.6757567411359,8.05727929479182 53.6714098499539,8.05213550883552 53.6675852531883,8.04583504605979 53.6644297698415,8.03861994037963 53.6620645026868,8.0307671736068 53.6605802087726,8.02257807543304 53.6600338327645,8.0143668115429 53.6604463331526,8.00644839193267 53.6618018826622,7.99912664791995 53.6640484727122,7.99268262736022 53.6670998992619,7.98736384322847 53.6708390556704,7.98337478127265 53.6751224090375,7.98086902853677 53.6797854916427,7.97994332720256 53.6846492001602,7.98063378887286 53.6895266638035,7.98291442507313 53.6942304197058,7.98669806286597 53.698579620718,7.99183962306054 53.702406998083,7.99814164601774 53.7055653094777,8.00536186030108 53.7079330215841,8.01322250636118 53.7094190051313,8.02142105495558 53.7099660582224,8.02964190165697 53.7095531192872,8.03756857757094 53.7081960823651,8.04489599443155 53.7059471824831,8.05134224074433 53.702892975333,8.05665946468547 53.6991509908773,8.06064341803384 53.6948651925604,8.06314129148557 53.690200420324,8.06405754240782 53.6853360347243)))', 'DEHOS', 'HORUMERSIEL', 'Y'),('SRID=4326;MULTIPOLYGON(((9.64197915907072 53.6027821647283,9.64109878537544 53.5979153678438,9.63863957691409 53.5932442078606,9.63469648929864 53.5889481009733,9.62942134766478 53.5851920068468,9.62301696748138 53.5821201102177,9.61572934621502 53.5798503042654,9.60783822803143 53.5784696840625,9.59964640131956 53.578031219648,9.59146813303941 53.5785517335351,9.5836171736909 53.5800112583929,9.57639478143565 53.5823537989579,9.57007821327199 53.5854894697143,9.56491011517503 53.5892979283396,9.56108921209112 53.5936329761193,9.55876265328745 53.5983281522188,9.55802030986531 53.6032031104827,9.55889125076435 53.6080705367829,9.56134254333488 53.6127433431139,9.56528043708681 53.6170418626399,9.57055389760395 53.620800768394,9.57696036535419 53.623875447595,9.58425352505968 53.626147583442,9.59215278937826 53.6275297261567,9.60035412974492 53.6279686739109,9.60854183083 53.6274475306073,9.61640070607264 53.6259863593998,9.62362829218741 53.6236414061943,9.6299465414588 53.6205029238096,9.63511255198023 53.6166916826132,9.63892791662169 53.6123543049406,9.64124632929438 53.6076576063312,9.64197915907072 53.6027821647283)))', 'DEHQN', 'HETLINGEN', 'Y'),('SRID=4326;MULTIPOLYGON(((8.34016525025837 54.7582424888545,8.33941513382145 54.7533678119679,8.33703557260693 54.7486714045868,8.33311850938825 54.7443336569759,8.32781481339768 54.7405211283396,8.32132843115996 54.7373801670613,8.3139085295799 54.7350313117057,8.30583993610234 54.7335646841356,8.29743224092708 54.7330365479447,8.28900797277571 54.7334671611658,8.28089029151801 54.7348400035249,8.27339065741352 54.7371024070656,8.2667969374917 54.7401675665494,8.26136239467119 54.7439178544316,8.25729597490094 54.7482093161799,8.25475426252248 54.7528771769824,8.25383541521853 54.7577421520764,8.25457531879854 54.7626173215302,8.25694612065613 54.7673153075815,8.26085721154953 54.7716554796277,8.26615863147968 54.7754709093667,8.27264678043353 54.7786148067485,8.28007222254198 54.7809661862133,8.28814928686598 54.782434541625,8.29656709359533 54.7829633463413,8.30500157461386 54.7825322405523,8.31312801523313 54.781157819521,8.3206336216592 54.778892991543,8.32722961763157 54.7758249309556,8.3326623937257 54.7720717069706,8.33672327296292 54.767777721115,8.33925651449865 54.763108132473,8.34016525025837 54.7582424888545)))', 'DEHRM', 'Hörnum-Sylt', 'Y'),('SRID=4326;MULTIPOLYGON(((7.85007659382721 53.7074112813978,7.84940097588497 53.7025331602346,7.84713482959016 53.6978269476791,7.84336571354936 53.6934734172212,7.83823879838232 53.6896397418873,7.8319512385237 53.6864730897821,7.82474457608462 53.684094992515,7.81689547161282 53.6825966992817,7.80870511593599 53.6820356914305,7.80048772332693 53.6824334882443,7.79255853791553 53.6837748260278,7.78522180191147 53.6860082411308,7.77875913545976 53.6890480350398,7.77341876381277 53.6927775479276,7.76940599826024 53.6970536178585,7.76687533354367 53.7017120579148,7.76592446730613 53.7065739444843,7.76659047794733 53.7114524782995,7.76884831801585 53.7161601568423,7.7726116934518 53.7205159834399,7.77773630759114 53.7243524354998,7.78402535631166 53.7275219221861,7.79123707083856 53.7299024803501,7.79909402149044 53.7314024861465,7.80729382292917 53.7319641975042,7.81552082284847 53.7315659880378,7.82345831449056 53.7302231842653,7.83080079109647 53.7279874730207,7.83726575856726 53.7249449023849,7.84260464134312 53.7212125549165,7.84661235480345 53.7169340240905,7.84913517334294 53.7122738714729,7.85007659382721 53.7074112813978)))', 'DEHSX', 'HARLESIEL', 'Y'),('SRID=4326;MULTIPOLYGON(((9.08786963467306 54.4749764397092,9.08703556786365 54.4701063257227,9.08458667009721 54.4654245221445,9.08061753167464 54.4611108544695,9.07528100446303 54.4573309549393,9.06878227936325 54.4542299186437,9.06137098420383 54.4519267525893,9.05333160821957 54.4505098272572,9.04497261839361 54.4500335016658,9.0366146784475 54.4505160484428,9.02857841211801 54.4519389565192,9.02117216791579 54.454247637502,9.01468024251222 54.4573535093351,9.00935200424773 54.461137379312,9.00539232730605 54.4654539996352,9.00295370150237 54.4701376242354,9.00213032342868 54.475008357098,9.00295440338165 54.4798790513643,9.00539484107653 54.4845624962529,9.00935833418075 54.4888786163944,9.01469289027663 54.4926614061822,9.02119361854994 54.495765330511,9.02861058620924 54.4980709426971,9.03665844043391 54.4994894998576,9.04502742350469 54.4999663945426,9.05339535031698 54.4994832674851,9.06144007672205 54.4980587180964,9.06885196623856 54.495747584645,9.07534586274808 54.4926388225536,9.0806720978293 54.4888520645443,9.08462610226709 54.4845329980914,9.08705624983443 54.4798477416646,9.08786963467306 54.4749764397092)))', 'DEHUS', 'HUSUM', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((10.5657496038837 54.3744530483885,10.5647430209129 54.3695947212743,10.5621329169173 54.3649443532389,10.5580200567406 54.3606805534052,10.5525627877451 54.3569670324818,10.5459709102994 54.3539463334875,10.5384976031777 54.3517343790703,10.5304297159551 54.3504160411439,10.5220767980909 54.3500418993869,10.5137592783185 54.3506263101375,10.5057962372009 54.3521468579813,10.4984932296545 54.354545210612,10.4921306125973 54.3577293451022,10.4869528156779 54.3615770623623,10.4831589606009 54.3659406580472,10.4808951875854 54.3706525742219,10.4802489870399 54.3755318183228,10.4812457621673 54.380390905815,10.4838477659918 54.3850430617021,10.4879554668465 54.3893094046775,10.4934113028302 54.3930258368627,10.5000056917396 54.3960493720258,10.5074850724549 54.3982636557375,10.515561670752 54.39958346147,10.5239246109884 54.3999579860839,10.5322519386134 54.3993728149544,10.5402230799051 54.3978504792568,10.5475312467687 54.3954495834827,10.5538952968276 54.3922625377301,10.5590705822741 54.3884119843022,10.5628583637545 54.3840460593246,10.5651134257005 54.3793326753457,10.5657496038837 54.3744530483885)))', 'DEHUV', 'HUBERTSBERG', 'Y'),('SRID=4326;MULTIPOLYGON(((8.37605103354065 54.6502293965745,8.37529850603472 54.6453548490941,8.37292101386222 54.6406590679996,8.36901041658771 54.6363224196348,8.36371733210737 54.6325114213673,8.35724529757393 54.6293723633746,8.34984292845438 54.6270257117901,8.34179437988983 54.6255615044964,8.33340847452428 54.6250359126765,8.32500690734909 54.6254690969835,8.31691196981671 54.6268444384758,8.30943425185293 54.6291091730122,8.30286078112246 54.632176405371,8.29744404396976 54.635928427744,8.29339230216075 54.6402212182328,8.29086157452434 54.6448899502521,8.28994959385168 54.6497553049572,8.29069197842751 54.6546303474268,8.29306077632223 54.6593277046393,8.29696545159524 54.6636667703014,8.30225628792222 54.6674806590346,8.30873009041353 54.6706226406141,8.31613797444881 54.672971803817,8.32419494529201 54.6744377283892,8.33259089808275 54.6749639817069,8.34100260819816 54.6745303024099,8.34910624001288 54.6731533847978,8.35658987997448 54.670886232962,8.36316559884854 54.6678161101367,8.36858056803325 54.6640611641775,8.37262679492198 54.6597658620722,8.37514910028342 54.6550954127766,8.37605103354065 54.6502293965745)))', 'DEIAM', 'Amrum', 'Y'),('SRID=4326;MULTIPOLYGON(((9.53429933109821 53.9218192661027,9.53342447269974 53.916951924889,9.53095826950922 53.9122788193409,9.52699595591354 53.9079794399581,9.52169010343388 53.9042188709717,9.51524471170891 53.90114146734,9.50790735405317 53.8988653318439,9.49995968163355 53.8974778007905,9.4917066483696 53.8970321081209,9.48346486324864 53.8975453530305,9.47555050682568 53.8989978471847,9.46826726360781 53.9013338659609,9.46189472149978 53.9044637756604,9.45667767351846 53.9082674570957,9.45281672588912 53.9125988971668,9.45046057107802 53.9172917756911,9.44970022535061 53.9221658364919,9.45056545958395 53.9270338010322,9.45302357132584 53.9317085609733,9.45698055803832 53.9360103739493,9.4622846591708 53.9397737852372,9.46873214171334 53.9428540071642,9.47607511404534 53.9451325078892,9.48403107021709 53.94652159102,9.49229379518201 53.9469677863255,9.50054520447713 53.9464539180884,9.50846765235223 53.9449997695394,9.5157562224492 53.9426613171681,9.52213051589513 53.9395285651664,9.52734547304985 53.9357220654367,9.53120080599943 53.9313882601386,9.53354867706248 53.9266938295387,9.53429933109821 53.9218192661027)))', 'DEITZ', 'ITZEHOE', 'Y'),('SRID=4326;MULTIPOLYGON(((13.8704869586956 54.1134062511098,13.8698030543768 54.1085285254607,13.8675131832378 54.1038228901663,13.8637058271178 54.0994700951139,13.8585276339189 54.0956372829928,13.8521777314654 54.0924715863176,13.8449000551084 54.0900944975898,13.8369739869066 54.0885972252457,13.8287036640273 54.0880372100927,13.8204063604063 54.0884359328475,13.8124003776176 54.0897780947688,13.8049928976474 54.0920122019459,13.7984682515227 54.0950525313389,13.7930770434873 54.0987824049572,13.7890265409464 54.1030586493957,13.7864726963325 54.1077170730386,13.7855141094061 54.1125787542209,13.786188168723 54.1174569019927,13.7884695310617 54.1221640281378,13.7922710099696 54.1265191558006,13.7974468522978 54.1303547871734,13.8037982881224 54.1335233605366,13.8110811486529 54.1359029454385,13.8190152625878 54.1374019534228,13.8272952678695 54.1379626794461,13.835602416502 54.1375635345679,13.8436169080956 54.1362198817942,13.8510302652747 54.1339834420047,13.8575572622612 54.1309402933591,13.8629469369157 54.1272075430535,13.8669922552787 54.1229288024426,13.8695380541625 54.1182686431615,13.8704869586956 54.1134062511098)))', 'DEKAJ', 'Karlshagen', 'Y'),('SRID=4326;MULTIPOLYGON(((9.97805591898948 54.6576600340061,9.97711176414255 54.6527968518107,9.97454990030083 54.6481338680722,9.97046925379097 54.6438501791214,9.96502694964649 54.6401102607027,9.95843222669483 54.6370576691927,9.95093838248138 54.6348095501417,9.94283305967366 54.6334521613273,9.93442724408363 54.6330375785922,9.92604338920681 54.6335817079309,9.9180031121923 54.6350636782046,9.91061492080309 54.6374266372197,9.9041624299082 54.6405799214856,9.89889350938074 54.6444025185401,9.8950107732823 54.648747692094,9.89266377355607 54.653448596085,9.89194320119445 54.6583246656871,9.89287732551596 54.6631885428381,9.89543081983057 54.6678532722074,9.89950603199552 54.6721394917081,9.90494666430804 54.6758823403429,9.91154373246418 54.6789378156366,9.91904358188451 54.6811883330088,9.92715765566397 54.6825472695586,9.93557363573345 54.6829623138144,9.94396752114537 54.6824174895191,9.95201616769049 54.6809337736127,9.95940979341988 54.6785682840457,9.96586395613655 54.675412069563,9.97113053144984 54.6715865887258,9.97500726233789 54.6672390168528,9.97734551109712 54.6625365651282,9.97805591898948 54.6576600340061)))', 'DEKAP', 'KAPPELN', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2492449359253 53.8702716778341,14.2485205142996 53.865395809344,14.2462009944706 53.8606971267016,14.2423759866038 53.8563561111043,14.2371928059456 53.8525394521975,14.2308507627087 53.8493936625632,14.2235934840744 53.8470394715786,14.2156995661467 53.8455672104029,14.2074719128699 53.8450333617203,14.1992261647314 53.8454584036372,14.1912786514437 53.8468260283951,14.1839343190721 53.8490837650697,14.1774750829147 53.8521449829268,14.1721490428436 53.855892200426,14.1681609680769 53.8601815757602,14.165664414107 53.8648484100316,14.1647557767856 53.8697134553137,14.1654705188256 53.8745897884164,14.1677817241923 53.8792899884379,14.1716010485211 53.8836333431738,14.1767820418331 53.8874528068666,14.1831257269214 53.8906014399312,14.1903882266496 53.8929580801036,14.1982901500506 53.8944320233579,14.2065273744184 53.8949665309279,14.214782802152 53.8945410243977,14.2227386299062 53.8931718822589,14.2300886458126 53.8909118064438,14.2365500693072 53.8878477837998,14.2418744675176 53.8840977228711,14.2458573211861 53.8798058983508,14.2483458696861 53.8751373820028,14.2492449359253 53.8702716778341)))', 'DEKAV', 'Kamminke', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4823355203448 53.9941326292004,11.4812325693726 53.9892829003565,11.4785457414433 53.9846531029316,11.474378728054 53.9804210517328,11.4688919349608 53.9767492361177,11.4622962770104 53.9737785978449,11.4548450637629 53.9716231397069,11.4468242890568 53.9703655683436,11.4385416939877 53.970054135064,11.4303150154637 53.9707007931765,11.4224598605918 53.9722807408886,11.4152776600257 53.9747333669997,11.4090441508089 53.9779645641701,11.4039988211994 53.9818503232849,11.4003357168274 53.986241474135,11.398195960003 53.9909693940125,11.3976622731887 53.9958524684777,11.3987557251379 54.0007030589585,11.4014348360976 54.0053347112221,11.4055970894089 54.0095693280791,11.4110828039955 54.0132440295743,11.4176812292056 54.0162174346,11.4251386341909 54.0183751191505,11.4331680824773 54.0196340376342,11.4414605124942 54.019945733655,11.4496966900497 54.0192982139044,11.4575595618934 54.0177164113518,11.4647465225322 54.0152612195807,11.470981110246 54.0120271365297,11.4760236725872 54.0081386106632,11.4796805852191 54.0037452334026,11.4818116684685 53.9990159664063,11.4823355203448 53.9941326292004)))', 'DEKDM', 'KIRCHDORF', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1997125854925 54.3325828715343,10.1987502340976 54.327721264814,10.1961840654565 54.3230627566428,10.1921131592836 54.3187862712337,10.186694256345 54.3150560083739,10.1801356898217 54.3120151551149,10.1726893659985 54.3097804082438,10.1646411044011 54.3084375142276,10.1562997054166 54.3080379943098,10.147985157692 54.3085971775415,10.1400164272115 54.3100936153769,10.1326992842777 54.3124698997741,10.1263146233759 54.3156348542924,10.1211077141003 54.3194670162615,10.1172787892918 54.3238192794886,10.1149753299557 54.3285245228814,10.1142863464659 54.3334020124188,10.1152388835448 54.3382643335512,10.1177968946079 54.3429245896323,10.1218625418575 54.3472035903461,10.127279885152 54.3509367529735,10.133840828754 54.3539804489998,10.1412931044922 54.3562175488521,10.1493499867165 54.3575619478429,10.1577013626265 54.3579618956096,10.1660257246764 54.3574019979648,10.1740026127381 54.3559038122175,10.1813250145905 54.3535250125137,10.1877112351266 54.3503571582272,10.192915767314 54.3465221534917,10.1967387402043 54.3421675372855,10.1990335789182 54.3374607889199,10.1997125854925 54.3325828715343)))', 'DEKEL', 'KIEL', 'Y'),('SRID=4326;MULTIPOLYGON(((9.88200324334227 54.6066943511845,9.88107178265376 54.6018303355903,9.87852414282433 54.5971652319476,9.87445870323628 54.5928782188034,9.86903200526096 54.5891339002861,9.86245268966331 54.5860760022937,9.85497346425399 54.5838218744561,9.84688141259781 54.5824580053223,9.83848701311365 54.5820367193517,9.83011228271643 54.5825741795108,9.82207848924096 54.5840497702076,9.81469389162361 54.5864068836636,9.80824196590583 54.5895550803919,9.80297055857618 54.5933735430121,9.79908237690545 54.5977156939624,9.79672717941544 54.6024148034784,9.79599596951695 54.6072903761116,9.79691742317893 54.6121550735281,9.7994566992937 54.6168219096219,9.80351669177792 54.6211114420967,9.80894168853344 54.624858683279,9.8155233077928 54.6279194623218,9.82300849103582 54.6301759909812,9.83110924767228 54.6315414152045,9.83951377402798 54.6319631737834,9.8478985114614 54.6314250318011,9.85594066865508 54.6299477086512,9.86333071337161 54.6275880758628,9.86978434029908 54.6244369564687,9.87505344395737 54.620615612799,9.87893566779085 54.616271061029,9.88128216030521 54.6115703964254,9.88200324334227 54.6066943511845)))', 'DEKEY', 'KETELSBY', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0111328465821 54.7306479795365,10.0101829329739 54.7257851371648,10.0076125798043 54.7211229438611,10.0035210413765 54.7168404651209,9.99806586209429 54.7131021296674,9.99145677531289 54.7100514325549,9.98394762929845 54.7078054461421,9.97582665266236 54.7064503460168,9.96740543018465 54.7060381200281,9.9590070047297 54.7065845837609,9.9509535509783 54.7080687767002,9.94355408132766 54.710433761695,9.93709264325518 54.71358879791,9.93181745071511 54.7174128060467,9.92793136006352 54.721758995981,9.92558405424903 54.726460482827,9.92486623862877 54.7313366794019,9.92580607929787 54.7362002226063,9.92836803230803 54.7408641696096,9.93245412220357 54.7451491879318,9.93790763407126 54.7488904622218,9.94451908840688 54.7519440500142,9.95203427650773 54.7541924388704,9.9601640499103 54.7555490874519,9.96859548460557 54.7559617721706,9.97700398300938 54.7554146076042,9.98506583692367 54.7539286609633,9.99247075510181 54.7515611363845,9.99893386057853 54.7484031613323,10.0042066855546 54.7445762625166,10.0080867341163 54.740227670141,10.0104252431691 54.7355246348408,10.0111328465821 54.7306479795365)))', 'DEKGA', 'KRONSGAARD', 'Y'),('SRID=4326;MULTIPOLYGON(((9.64904765939073 53.6717795044419,9.64816496855276 53.6669128222787,9.64570090225127 53.662241875402,9.64175060457296 53.6579460715416,9.63646617884085 53.6541903583451,9.63005079756557 53.6511189054971,9.62275088035048 53.6488495887325,9.61484664246674 53.6474694840158,9.60664137448925 53.6470315413958,9.59844985764893 53.647552563309,9.5905863493829 53.6490125630362,9.5833525883084 53.6513555273388,9.57702626720642 53.6544915547885,9.57185040658465 53.6583002897679,9.56802403032006 53.6626355233334,9.56569449942728 53.6673307878205,9.56495180122003 53.672205733859,9.56582502054619 53.6770730478161,9.5682811394028 53.6817456458691,9.57222622362888 53.6860438689122,9.57750896360312 53.6898024009996,9.58392644345821 53.6928766432959,9.59123192410294 53.6951482953981,9.59914434328514 53.6965299258073,9.60735916490052 53.6969683522014,9.6155601532614 53.6964466984935,9.62343160897565 53.694985047588,9.63067058349834 53.6926396641009,9.63699859034913 53.6895008177597,9.64217235238232 53.6856892933327,9.64599316521394 53.6813517244315,9.6483145148123 53.6766549342537,9.64904765939073 53.6717795044419)))', 'DEKLV', 'KLEVENDEICH', 'Y'),('SRID=4326;MULTIPOLYGON(((13.1519646390441 54.5876637985078,13.1513595558042 54.5827831004173,13.1491270984052 54.5780647185107,13.1453535641589 54.5736898954298,13.1401843229607 54.5698266211059,13.1338181769581 54.5666231971182,13.1264996978884 54.56420256217,13.118509839964 54.5626575930139,13.1101551872344 54.5620475575569,13.1017562419042 54.5623958530745,13.0936351930361 54.5636891140556,13.0861036227458 54.5658777229064,13.0794506090423 54.5688777043286,13.0739316708818 54.5725739324461,13.0697589720367 54.5768245304574,13.0670931566631 54.5814662974623,13.0660371319492 54.5863209577705,13.0666320433846 54.5912019959482,13.0688556079243 54.5959218173796,13.0726228821126 54.6002989602692,13.0777894490917 54.6041650815158,13.0841569138417 54.6073714461226,13.0914805038603 54.6097946677034,13.0994784868406 54.6113414757139,13.1078430417663 54.6119523222977,13.1162521589113 54.6116036866924,13.1243821006439 54.6103089861846,13.1319199309895 54.6081180575232,13.1385756189028 54.6051152291771,13.1440932383056 54.6014160604412,13.1482608261964 54.5971628757991,13.1509185165171 54.5925192699418,13.1519646390441 54.5876637985078)))', 'DEKLY', 'KLOSTER', 'Y'),('SRID=4326;MULTIPOLYGON(((9.45028773038715 53.9098488754997,9.44942289504757 53.9049808942122,9.44696677117907 53.9003060358149,9.44301420644998 53.8960038587009,9.43771739893043 53.8922395550007,9.43128000224535 53.8891576233738,9.42394928418973 53.8868763405542,9.41600664238411 53.8854832403783,9.40775683867422 53.8850317703434,9.39951635863791 53.8855392510924,9.39160133272135 53.8869862152056,9.38431547054225 53.8893171500448,9.37793845946388 53.8924426168988,9.3727152626673 53.8962426671368,9.36884672094741 53.900571427257,9.36648181699337 53.9052626803444,9.36571190203923 53.9101362331485,9.36656711399538 53.9150048272283,9.36901513551105 53.9196813306519,9.37296235242692 53.9239859345864,9.37825738082981 53.9277530774401,9.3846968379512 53.9308378283185,9.39203314231529 53.9331214812816,9.39998404583749 53.9345161416602,9.40824352889974 53.9349681244294,9.41649363232854 53.9344600308874,9.42441676060147 53.9330114217459,9.43170797058975 53.9306780600844,9.43808676077553 53.9275497540762,9.44330789712676 53.9237468845876,9.44717085253463 53.9194157543255,9.44952749477613 53.9147229410374,9.45028773038715 53.9098488754997)))', 'DEKNO', 'Kasenort', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0654140824858 54.0393371186497,14.0647084383433 54.0344603617387,14.0624004705929 54.0297583127277,14.0585793522842 54.0254115827418,14.0533922555171 54.0215870809481,14.0470386458667 54.0184316206207,14.0397625976779 54.0160663015516,14.0318434284309 54.0145818809885,14.0235850099278 54.0140353072407,14.0153041601864 54.0144475459332,14.0073185515937 54.0158027802127,13.9999345873846 54.0180490147501,13.9934356995579 54.0211000609063,13.9880715068927 54.0248388287347,13.9840482420928 54.0291218023666,13.9815208128865 54.0337845304755,13.9805868041628 54.0386479245887,13.9812826584001 54.0435251264725,13.9835821916835 54.0482286829587,13.9873975150335 54.052577753423,13.992582338581 54.0564050723822,13.9989375428299 54.0595633976744,14.0062188106741 54.0619311933426,14.0141460299892 54.0634173250991,14.0224141034226 54.0639645841201,14.0307047430787 54.0635519004541,14.0386987861428 54.0621951586976,14.0460885453073 54.0599465836798,14.0525897063446 54.0568927203573,14.0579523044019 54.0531510875646,14.0619703495419 54.0488656373354,14.0644897286834 54.0442011980352,14.0654140824858 54.0393371186497)))', 'DEKOC', 'KOELPINSEE', 'Y'),('SRID=4326;MULTIPOLYGON(((9.53010140301049 53.7248211540518,9.52923127804101 53.7199536112849,9.52677722566874 53.7152802376399,9.52283400794249 53.710980534616,9.51755345903486 53.7072195998909,9.51113860509173 53.7041418036468,9.5038358473647 53.7018652649025,9.4959255112015 53.7004773364186,9.4877111213131 53.700031268028,9.47950780816173 53.7005441735514,9.47163028029041 53.7019963774227,9.464380812298 53.7043321654822,9.4580376976477 53.7074619118907,9.45284459959032 53.7112655025685,9.4490012025055 53.7155969267518,9.44665552058025 53.7202898639086,9.44589816201155 53.7251640549864,9.44675877635107 53.7300322162518,9.44920483222003 53.7347072320783,9.453142784964 53.7390093509597,9.4584216019571 53.7427731074264,9.46483852072368 53.7458537017118,9.47214682566341 53.7481325888205,9.48006534691647 53.7495220584741,9.48828931366527 53.7499686262104,9.49650213745545 53.7494551021877,9.5043876618335 53.7480012561331,9.51164239480418 53.7456630522143,9.51798724135994 53.7425304840635,9.52317827458503 53.7387240953452,9.52701612445371 53.7343903227994,9.52935362129312 53.7296958444747,9.53010140301049 53.7248211540518)))', 'DEKOL', 'KOLLMAR', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7994950855419 54.122431359529,13.7988193905423 54.1175532816931,13.7965370977524 54.1128463433814,13.7927363987949 54.1084913449589,13.7875636870849 54.1046555140422,13.7812178812638 54.1014860992211,13.7739427606199 54.0991047357498,13.7660176100591 54.0976027960292,13.7577465320781 54.0970378997895,13.7494468296672 54.0974317148199,13.7414368960576 54.0987691304883,13.7340240640534 54.1009988348766,13.7274928690171 54.1040352738873,13.7220941653967 54.1077619189692,13.7180355072774 54.1120357209205,13.7154731594397 54.1166925822993,13.7145060478186 54.1215536419193,13.7151718885286 54.1264321332227,13.7174456547093 54.1311405552844,13.721240452836 54.1354978818523,13.7264107878424 54.1393365308713,13.7327581029206 54.1425088247213,13.7400383890136 54.1448926898418,13.7479715748237 54.1463963729782,13.7562523345597 54.1469619889804,13.76456189127 54.146567760482,13.7725803514933 54.1452288610618,13.7799990843251 54.1429968285261,13.786532656056 54.1399575714121,13.7919298504097 54.1362280473019,13.7959833430753 54.1319517437032,13.7985376556668 54.1272931389107,13.7994950855419 54.122431359529)))', 'DEKSL', 'Kröslin', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0454260566468 54.0513442216964,14.0447225676251 54.046467366204,14.0424162114204 54.0417649496753,14.0385960997134 54.037417597441,14.033409366487 54.0335922426045,14.0270554638306 54.0304357311827,14.0197784776789 54.0280692032655,14.0118577616825 54.026583462419,14.0035972469852 54.0260355075325,13.9953138318528 54.0264463571524,13.9873252867889 54.0278002476781,13.9799381273153 54.0300452353381,13.9734359076567 54.0330951793862,13.968068374147 54.0368330322678,13.9640418875452 54.0411153133698,13.9615114792642 54.045777598116,13.9605748487748 54.05064081523,13.9612685396152 54.0555181134355,13.9635664514787 54.0602220359915,13.9673807582582 54.0645717282885,13.972565209719 54.0683999009705,13.9789207011517 54.0715592790291,13.9862029047469 54.0739282859549,13.9941316725466 54.0754157407749,14.0024018475922 54.0759643836623,14.0106950609154 54.0755530913288,14.0186920503248 54.0741976947739,14.0260850147228 54.0719503670491,14.032589516138 54.0688976051547,14.0379554608619 54.0651568856369,14.0419767300157 54.0608721255281,14.0444990864966 54.0562081268104,14.0454260566468 54.0513442216964)))', 'DEKSW', 'KOSEROW', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7844801475151 54.1460244016378,11.7833373831756 54.1411780572539,11.7806067339827 54.1365556721407,11.7763935756829 54.1323347740055,11.7708600844976 54.1286774217607,11.7642189643539 54.1257240001956,11.7567252645918 54.1235878501873,11.7486666037811 54.1223509369943,11.7403521714768 54.1220607194747,11.7321009222469 54.1227283376525,11.7242294041484 54.1243281865633,11.7170396764148 54.1267988924618,11.7108077681819 54.1300456550536,11.7057731116614 54.1339438682087,11.7021293496205 54.1383438834098,11.7000168690657 54.1430767366832,11.6995173517532 54.1479606225734,11.7006505591792 54.1528078692997,11.7033734871248 54.1574321488116,11.7075819353328 54.1616556449971,11.7131144446517 54.1653159034146,11.719758460637 54.1682720968363,11.7272584930848 54.170410462395,11.7353259593319 54.1716486975343,11.7436503292741 54.1719391421412,11.751911135426 54.1712706216198,11.759790374774 54.1696688783084,11.766984812594 54.1671955743579,11.7732177026832 54.163945905593,11.7782494633536 54.1600449205824,11.7818868927065 54.155642689833,11.7839905678305 54.150908514615,11.7844801475151 54.1460244016378)))', 'DEKU3', 'Kühlungsborn', 'Y'),('SRID=4326;MULTIPOLYGON(((9.60104007605474 53.663796378314,9.60016308723631 53.6589293208522,9.59770479275752 53.6542573649235,9.59376011522285 53.6499599573403,9.58848094263164 53.6462021076029,9.58207024650416 53.6431280676084,9.5747742673761 53.6408558124879,9.56687307010631 53.6394725309704,9.55866982915243 53.6390312949277,9.55047924827454 53.6395490330355,9.54261554899778 53.6410058844284,9.53538047695772 53.6433459565512,9.5290517746631 53.6464794588971,9.52387255324644 53.6502861327802,9.52004196475806 53.654619848489,9.51770753115765 53.6593141968436,9.51695942743194 53.6641888639396,9.5178269457298 53.6690565471894,9.52027728707657 53.6737301489205,9.52421673965931 53.6780299717623,9.52949421093111 53.6817906385136,9.53590698838412 53.6848674684128,9.5432085146216 53.6871420615908,9.55111788028831 53.6885268733703,9.55933066736136 53.6889685989103,9.56753071876859 53.6884502350137,9.57540237118074 53.6869917378166,9.58264266816871 53.6846492504335,9.5889730717737 53.6815129310728,9.59415021185607 53.6777034672859,9.59797525323166 53.6733674135214,9.60030151843917 53.6686715349067,9.60104007605474 53.663796378314)))', 'DEKZD', 'KREUZDEICH', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7346564637512 54.2804551690028,13.7339861323979 54.2755768817806,13.7317027971055 54.2708688290452,13.7278946949243 54.2665118538757,13.722708508065 54.2626732593432,13.7163436755837 54.2595003994104,13.7090447084145 54.2571150407004,13.7010918061546 54.255608708086,13.6927901341488 54.2550391891747,13.6844581660999 54.2554283287288,13.6764155295846 54.2567611954871,13.6689708088009 54.2589866524528,13.6624097602771 54.2620193092622,13.6569843831243 54.2657427835408,13.6529032559933 54.2700141489633,13.6503235088357 54.2746694027863,13.6493447398583 54.2795297465437,13.6500051181639 54.2844084418644,13.6522798324293 54.2891179802911,13.6560819580765 54.2934772925622,13.6612657227685 54.2973187198045,13.6676320562041 54.3004944768012,13.6749362189448 54.3028823558772,13.6828972204157 54.3043904484564,13.6912086622398 54.3049606989923,13.6995505833462 54.3045711513392,13.7076018408932 54.3032367988877,13.7150525382079 54.3010090048184,13.7216160088898 54.2979735152982,13.7270398850785 54.2942471439564,13.7311158166332 54.2899732581698,13.7336874645829 54.2853162443838,13.7346564637512 54.2804551690028)))', 'DEKZR', 'KLEIN-ZICKER', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2607843095775 54.4025608894323,10.2598129822909 54.3976998737199,10.2572354319506 54.3930427787696,10.2531511769087 54.388768473878,10.2477174711288 54.385041074441,10.2411432157971 54.3820036569767,10.2336809183147 54.3797727859195,10.2256170096073 54.3784340586989,10.217260888624 54.3780388365772,10.2089331071496 54.3786022838062,10.2009531376393 54.3801027885011,10.1936271810535 54.3824827869382,10.1872364703635 54.3856509605438,10.1820265085031 54.3894857234342,10.1781976474106 54.3938398697832,10.1758973681003 54.3985462062254,10.1752145614913 54.4034239565893,10.1761760375613 54.4082856959399,10.1787454083107 54.4129445494641,10.1828244006553 54.4172213801385,10.1882565618306 54.4209516880401,10.1948332258045 54.4239919538638,10.202301518484 54.4262251795378,10.2103740962296 54.4275654091633,10.2187402403089 54.42796105275,10.2270778730091 54.4273968818817,10.2350660221136 54.4258946186111,10.2423972413919 54.4235120943892,10.2487894966765 54.4203410123183,10.2539970498855 54.4165034010695,10.2578199157776 54.4121469001057,10.2601115260545 54.4074390612605,10.2607843095775 54.4025608894323)))', 'DELAB', 'LABOE', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5427172062679 54.3425234670327,13.5420687289155 54.3376443063315,13.539804065902 54.3329327908289,13.5360107406011 54.3285698976551,13.5308348718039 54.3247231578141,13.524475506379 54.321540238247,13.5171769487194 54.3191432915794,13.509219384926 54.3176242869666,13.5009081600716 54.3170414976619,13.4925621138153 54.3174172769764,13.4845014120313 54.3187372057739,13.4770353292815 54.3209506432755,13.4704504385828 54.3239726605084,13.4649996509552 54.3276872840085,13.4608925179938 54.331951928161,13.4582871667823 54.3366028495521,13.457284178873 54.3414614175406,13.4579226552326 54.3463409634254,13.4601786289367 54.3510539473676,13.463965899479 54.3554191686807,13.4691392698513 54.3592687419232,13.4755000735495 54.3624545687945,13.4828037872186 54.3648540540579,13.4907694398032 54.3663748420798,13.4990904547846 54.3669583880986,13.5074465020437 54.3665822235999,13.5155158931421 54.365260826361,13.5229880306474 54.363045060718,13.5295754197618 54.3600202100826,13.5350247691062 54.356302679279,13.5391267460531 54.3520354965324,13.5417240084765 54.3473827917343,13.5427172062679 54.3425234670327)))', 'DELAK', 'Lauterbach, Rügen', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7616972398823 54.3194458269923,13.7610231467132 54.3145677008711,13.7587346296946 54.3098601622511,13.7549201258844 54.3055040341624,13.7497265638625 54.3016665868144,13.7433536658943 54.2984951298055,13.7360462521122 54.2961113756387,13.7280848455343 54.2946067874222,13.7197749368982 54.2940390857434,13.7114353149829 54.2944300456623,13.7033859002373 54.2957646661914,13.6959355364641 54.2979917432284,13.6893701966855 54.3010258244597,13.6839420451318 54.3047504730499,13.6798597678214 54.3090227177528,13.6772805400826 54.3136785221387,13.6763039415859 54.3185390665681,13.6769680594804 54.323417604826,13.6792479399998 54.3281266342616,13.6830564609138 54.332485104882,13.688247604485 54.3363253898491,13.6946220166372 54.3394997475628,13.7019346467191 54.341886023914,13.7099041775796 54.3433923718144,13.7182238816318 54.3439608027803,13.7265734788316 54.3435694307241,13.7346315300811 54.3422333193775,13.7420878767474 54.3400038998067,13.7486556349674 54.3369669809555,13.7540822723274 54.3332394316611,13.7581593333331 54.3289646647756,13.7607304367924 54.3243071007078,13.7616972398823 54.3194458269923)))', 'DELB2', 'LOBBE', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7422494122935 53.8893941391751,10.7412351972119 53.8845369799293,10.7386369661345 53.8798899930261,10.7345550121305 53.8756316583991,10.7291464832939 53.8719254786206,10.7226193010701 53.8689137173359,10.715224158747 53.8667119569023,10.7072449092517 53.8654046806188,10.6989877083004 53.8650420456841,10.6907693223005 53.8656379679304,10.6829050392165 53.8671695900819,10.6756966342518 53.8695781535174,10.6694208403962 53.8727712410351,10.6643187566562 53.8766263067481,10.6605865944704 53.8809953607334,10.6583681161 53.885710632156,10.6577490587654 53.8905909968895,10.658753766527 53.895448925629,10.661344170453 53.9000976873823,10.6654211690867 53.9043585320115,10.6708283687452 53.9080675748197,10.6773580503405 53.9110821162912,10.68475914008 53.9132861508103,10.6927468795968 53.9145948488688,10.701013820645 53.9149578368151,10.7092417139736 53.9143611450742,10.7171138242117 53.9128277480706,10.7243271845419 53.9104166746311,10.7306043075661 53.9072207240832,10.7357038919259 53.9033628781844,10.7394301066927 53.8989915501155,10.7416400950463 53.8942748569197,10.7422494122935 53.8893941391751)))', 'DELBC', 'Lübeck', 'Y'),('SRID=4326;MULTIPOLYGON(((9.69723220277706 54.8207593920776,9.69631773367266 54.8158940845999,9.69377763268995 54.811225242621,9.68970999805526 54.8069321886732,9.6842714628926 54.8031797586119,9.67767112797965 54.8001119889626,9.67016251094728 54.7978466071129,9.66203382355689 54.7964705322264,9.65359694764476 54.7960365559705,9.64517552551133 54.7965613274389,9.6370926109388 54.7980247176407,9.62965834201268 54.8003705873277,9.6231580962081 54.8035089295168,9.61784157178619 54.8073193066215,9.61391320774968 54.8116554534046,9.61152430808331 54.8163508727106,9.61076717581028 54.8212252127604,9.61167149004374 54.8260911841466,9.61420307674472 54.8307617528286,9.61826513390826 54.8350573333998,9.6237018775308 54.8388127053495,9.63030447958264 54.8418833842767,9.6378190772837 54.8441511998825,9.64595654837083 54.8455288624852,9.65440367376854 54.8459633387019,9.66283525078285 54.8454379033242,9.67092667964089 54.8439727864172,9.67836652603352 54.8416243901049,9.68486856336791 54.8384831060266,9.69018282064097 54.8346698196449,9.69410520400503 54.8303312391078,9.69648531997929 54.8256342320875,9.69723220277706 54.8207593920776)))', 'DELGY', 'LANGBALLIGAU', 'Y'),('SRID=4326;MULTIPOLYGON(((10.025904766095 54.5146436270884,10.0249584396232 54.5097807147047,10.0224002932217 54.5051186192348,10.0183291056214 54.5008364031087,10.0129016348154 54.4970984860434,10.0063265477876 54.4940483483264,9.9988563876851 54.4918030421572,9.99077788918168 54.4904487181436,9.98240101106258 54.4900373351177,9.97404709965219 54.4905846766027,9.96603662659146 54.492069748159,9.95867695903005 54.4944355781808,9.95225061923241 54.4975913922769,9.94700447392432 54.5014160799448,9.94314026174888 54.5057628236071,9.94080682062674 54.5104647159336,9.94009431668929 54.5153411533461,9.94103070430359 54.520204763153,9.94358056458401 54.5248686001551,9.94764638028586 54.5291533367901,9.95307221123989 54.5328941696168,9.95964964011691 54.5359471744497,9.96712576724653 54.5381948625968,9.97521294953 54.5395507208151,9.98359990615424 54.5399625567034,9.99196375643166 54.5394145177943,9.99998251561681 54.5379277047039,10.007347555072 54.5355593541713,10.0137755347116 54.5324006243131,10.019019338161 54.5285730695302,10.0228775833058 54.524223943892,10.0252023406526 54.5195205173627,10.025904766095 54.5146436270884)))', 'DELHZ', 'LANGHOLZ', 'Y'),('SRID=4326;MULTIPOLYGON(((8.48344415961564 55.017192154521,8.48267208745115 55.0123185298379,8.48026071203608 55.0076250700648,8.47630320511819 55.0032920504257,8.47095199310689 54.9994858464889,8.46441284762173 54.9963525617596,8.45693695858596 54.9940124383688,8.44881129735121 54.9925552617992,8.44034763768744 54.9920369323681,8.43187064908043 54.9924773319079,8.42370550859491 54.9938595653758,8.41616549393545 54.9961306056808,8.40954002095345 54.9992033176185,8.40408357370062 55.0029597852321,8.4000059445121 55.0072558179382,8.3974641561454 55.011926466087,8.3965563787219 55.0167923378855,8.39731808258815 55.0216664782778,8.39972058622521 55.0263615477345,8.40367206853212 55.0306970259721,8.40902102029268 55.0345061631236,8.41556201399229 55.0376424091286,8.42304357833604 55.0399850710285,8.43117787795915 55.0414439768751,8.43965182397447 55.0419629630841,8.44813918089025 55.0415220478343,8.45631319315844 55.0401382046808,8.46385923242498 55.0378647057752,8.4704869656475 55.0347890606218,8.47594156467537 55.0310296317333,8.48001351855123 55.0267310605201,8.48254666853349 55.0220586830963,8.48344415961564 55.017192154521)))', 'DELIS', 'List/Sylt', 'Y'),('SRID=4326;MULTIPOLYGON(((9.86998863032168 54.5926986674686,9.86905893773612 54.5878345419246,9.86651355852077 54.5831691666463,9.86245078492055 54.5788817307405,9.85702705580044 54.5751368547023,9.85045089799726 54.5720782859551,9.84297489832493 54.5698233999713,9.83488601687864 54.568458714456,9.82649461080465 54.5680365852154,9.81812258251818 54.5685732075517,9.8100910964462 54.5700479979664,9.80270832311732 54.5724043793149,9.79625766852252 54.5755519401248,9.79098693014063 54.579369887353,9.78709878918109 54.5837116631779,9.78474300210797 54.5884105522297,9.78401059443178 54.5932860675583,9.78493028761422 54.5981508731024,9.78746730776695 54.6028179787043,9.79152463523578 54.6071079318316,9.79694666028085 54.6108557287657,9.80352511549754 54.6139171774032,9.8110070643136 54.6161744638343,9.81910464093144 54.6175407049072,9.82750616444273 54.6179633079957,9.83588819214196 54.6174260056585,9.84392803728011 54.6159494849182,9.85131625673577 54.6135905863462,9.8577686153955 54.6104401046398,9.86303705635425 54.6066192775223,9.86691924816649 54.602275101252,9.86926634007269 54.5975746566446,9.86998863032168 54.5926986674686)))', 'DELIX', 'LINDAUNIS', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1328098827935 54.4452516554436,11.1317344159486 54.4403988116634,11.1290557884458 54.4357614517406,11.1248773933467 54.4315176813953,11.1193600876483 54.4278304391845,11.1127159676736 54.424841257268,11.105200207945 54.4226648477233,11.0971012786912 54.4213847186086,11.0887299142845 54.4210499845534,11.08040724831 54.4216734914528,11.0724525596474 54.4232313254978,11.0651710872896 54.4256637250034,11.0588423693668 54.4288773610764,11.0537095440071 54.4327489018909,11.0499700165941 54.4371297269739,11.0477678503729 54.4418516141672,11.0471881762967 54.4467331844345,11.0482538450742 54.4515868598696,11.0509244616605 54.4562260694005,11.0550978525831 54.4604724257215,11.0606139226863 54.4641625965848,11.0672607637578 54.4671546039698,11.0747827870147 54.4693333056467,11.0828905686635 54.4706148446007,11.0912720266339 54.4709498915666,11.0996044906849 54.4703255530113,11.1075671902666 54.4687658693561,11.1148536667957 54.466330883873,11.1211836203034 54.463114319147,11.1263137245573 54.4592399528651,11.1300469884393 54.4548568356519,11.1322403022708 54.450133538621,11.1328098827935 54.4452516554436)))', 'DELMK', 'LEMKENHAFEN', 'Y'),('SRID=4326;MULTIPOLYGON(((10.692703347497 54.3324083979486,10.6916829457575 54.3275512013094,10.689061336025 54.3229036348152,10.6849397225571 54.318644199351,10.6794767861091 54.3149364376617,10.6728825420641 54.3119226715682,10.6654102579919 54.3097185577678,10.657346742958 54.3084086676176,10.6490013783441 54.3080432570705,10.6406943037057 54.3086363478701,10.6327442002752 54.3101651918544,10.6254561285171 54.3125711384785,10.6191098743636 54.3157618732281,10.6139492414318 54.3196149432455,10.6101726939843 54.3239824380075,10.6079257083234 54.3286966489861,10.6072951297957 54.3335764945116,10.6083057601747 54.3384344659936,10.6109193179641 54.3430838304992,10.6150358247409 54.3473458134129,10.6204973771984 54.351056484164,10.6270941706556 54.3540730780535,10.6345725494198 54.3562795078778,10.6426447765645 54.3575908496853,10.6510001443671 54.3579566265213,10.659316990375 54.3573627608779,10.6672751457515 54.3558321188803,10.6745683241957 54.3534236248049,10.6809159623298 54.3502299809929,10.6860740458402 54.3463740831804,10.6898444985928 54.3420042723967,10.6920827721479 54.3372886097625,10.692703347497 54.3324083979486)))', 'DELPA', 'LIPPE', 'Y'),('SRID=4326;MULTIPOLYGON(((13.8973225136025 53.9513959470514,13.8966378582931 53.94651824202,13.894353580927 53.9418130208476,13.8905579433762 53.9374610178647,13.8853971395194 53.933629346009,13.8790696271079 53.9304650948879,13.8718184813934 53.9280897024504,13.8639220673093 53.9265943128789,13.8556833865885 53.9260362953537,13.8474185024261 53.9264370542331,13.8394444760805 53.9277812125586,13.83206726647 53.9300171993446,13.8255700450447 53.9330592186345,13.820202363962 53.9367905265849,13.8161705861824 53.9410678936709,13.8136299421401 53.9457270841979,13.8126785201532 53.9505891463004,13.8133534281765 53.9554672739773,13.8156292848106 53.9601739797526,13.8194191101627 53.9645283032791,13.8245775952093 53.9683627783375,13.8309066352189 53.9715298885584,13.8381629223789 53.9739077607208,13.8460673090184 53.9754048731262,13.8543155796544 53.9759635943081,13.8625902111124 53.9755624127825,13.8705726581945 53.9742167698522,13.8779556800005 53.9719784625207,13.8844552202271 53.9689336400272,13.8898213737022 53.9651994729776,13.8938480100319 53.9609196261685,13.896380681522 53.9562587128096,13.8973225136025 53.9513959470514)))', 'DELSA', 'LASSAN', 'Y'),('SRID=4326;MULTIPOLYGON(((10.835242236532 53.8843614539743,10.8342173937632 53.8795051654596,10.8316092232627 53.8748602711215,10.8275183988064 53.8706051699689,10.8221024076866 53.8669032400054,10.8155694562596 53.8638965814979,10.8081704577707 53.8617005809027,10.8001894119638 53.8603995005936,10.7919325427969 53.8600432602463,10.783716603842 53.8606455306105,10.7758567896565 53.8621832110876,10.7686547049594 53.864597310747,10.7623868415401 53.8677951999424,10.7572939955024 53.8716541483234,10.7535720250381 53.8760260165638,10.7513643021262 53.8807429252572,10.750756151457 53.8856236867728,10.7517714980445 53.8904807558987,10.7543718634834 53.895127434044,10.758457762247 53.8993850506317,10.7638724569362 53.9030898447065,10.7704079385665 53.9060992799665,10.777812908694 53.9082975472199,10.7858024584476 53.9096000390143,10.7940690692193 53.9099566207877,10.8022945043642 53.9093535698113,10.8101621236139 53.9078141055252,10.8173691339989 53.9053974904289,10.8236382938393 53.9021967371217,10.8287286096651 53.8983350119892,10.832444608488 53.8939608770925,10.8346438274581 53.8892425569156,10.835242236532 53.8843614539743)))', 'DELSP', 'LÜBECK-SCHLUTUP', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5528642203884 54.4835208057173,13.552212610273 54.4786417893886,13.5499392900087 54.4739305162662,13.5461321198228 54.469567953649,13.5409377533526 54.4657216190908,13.5345559493299 54.4625391630939,13.5272318735188 54.4601427196201,13.5192466899414 54.4586242377812,13.5109068009749 54.4580419702856,13.5025321429594 54.458418250256,13.4944439764188 54.4597386395209,13.4869526272093 54.4619524801197,13.4803456365166 54.4649748283335,13.4748767636255 54.468689698842,13.4707562560507 54.4729544973879,13.4681427575696 54.4776054753322,13.467137166935 54.4824640003187,13.4677786900083 54.4873434054365,13.4700432476818 54.4920561560535,13.4738443137522 54.4964210599357,13.479036163879 54.5002702430934,13.485419422423 54.5034556213512,13.4927487021845 54.5058546158594,13.5007420468883 54.5073748891338,13.5090918116989 54.507957915736,13.5174765567667 54.5075812469757,13.525573485903 54.5062593802144,13.533070939225 54.5040431983487,13.5396804462518 54.5010180015343,13.5451478646115 54.4973002087655,13.5492631682308 54.4930328591871,13.5518685055887 54.4883800898092,13.5528642203884 54.4835208057173)))', 'DELZW', 'LIETZOW', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0350837413115 54.6846396536818,10.0341321105336 54.6797769701929,10.0315619926743 54.6751152490144,10.0274726313508 54.6708335375243,10.022021486001 54.6670962351137,10.0154181341969 54.6640467973939,10.0079162037051 54.6618022486462,9.99980364641157 54.660448709546,9.99139172469289 54.6600381082537,9.98300312554781 54.6605861981378,9.97495964776857 54.6620719562965,9.96756992202347 54.6644383854032,9.96111762264094 54.6675946889744,9.95585061314794 54.6714197387522,9.95197143554457 54.6757667042626,9.94962950655734 54.6804686704781,9.94891532376993 54.6853450314921,9.94985691211082 54.6902084176655,9.95241865873368 54.6948718920957,9.95650259446547 54.6991561404887,9.96195208586637 54.7028963772331,9.96855780716555 54.7059486999923,9.97606576986411 54.7081956452635,9.9841871037282 54.709550727522,9.99260921022682 54.709961783675,10.0010078518186 54.7094129911055,10.0090597008378 54.707925479693,10.0164548521698 54.7055565136815,10.0229088054909 54.7023972757758,10.0281734454792 54.6985693409595,10.0320465908723 54.6942199789276,10.0343797432938 54.6895164695559,10.0350837413115 54.6846396536818)))', 'DEMAO', 'MAASHOLM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.99447488686402 54.0930094462292,8.99365948637242 54.0881383799737,8.99124368988642 54.0834543894234,8.98732080563202 54.07913738598,8.98204190215549 54.0753531323995,8.97560995519918 54.0722468935257,8.96827203082556 54.0699378784653,8.96030980765865 54.0685146840501,8.95202879986964 54.0680319109622,8.94374668780048 54.068508079406,8.93578119385282 54.0699249223182,8.92843795681782 54.072228082532,8.9219988578735 54.075329187833,8.9167112360302 54.0791092262603,8.91277840017109 54.0834230950889,8.91035179966276 54.088105152404,8.90952515684216 54.0929755616665,8.91033079401187 54.0978471886445,8.91273830689734 54.1025327878208,8.91665564837482 54.1068522028955,8.92193259373641 54.1106393039639,8.92836646534704 54.1137483926782,8.93570990413509 54.1160598260693,8.94368039195776 54.1174846391358,8.95197115642413 54.1179679847704,8.96026303182454 54.1174912556034,8.96823680937663 54.1160728040632,8.9755855891847 54.1137672322163,8.98202664623463 54.1106632794266,8.98731234341426 54.1068803911595,8.99123966485505 54.1025641040022,8.99365800071145 54.0978804280376,8.99447488686402 54.0930094462292)))', 'DEMEL', 'Meldorf', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0091397644299 53.7683557042957,14.0084448234243 53.7634784481948,14.0061576784129 53.7587752027998,14.0023666950487 53.7544266264229,13.9972178829392 53.7505997007528,13.9909092354149 53.7474413338947,13.9836831015473 53.7450727388812,13.9758168864188 53.7435848000236,13.9676124349223 53.7430346014577,13.9593845003196 53.7434432480837,13.9514487303514 53.7447950604241,13.9441096201788 53.7470381734479,13.9376488825319 53.7500865169117,13.9323146711205 53.75382310305,13.928312063922 53.7581044982885,13.925795169043 53.762766310782,13.9248611584576 53.7676294866185,13.9255464655315 53.7725071759726,13.9278253027868 53.7772119076064,13.9316105693503 53.7815627969417,13.936757125946 53.7853925101633,13.943067322627 53.7885537147868,13.9502985744788 53.7909247657553,13.9581726972531 53.7924144048603,13.9663866421891 53.7929652891183,13.9746242107327 53.7925562092385,13.9825682884613 53.7912029106575,13.9899131154316 53.7889574846733,13.9963761085834 53.7859063536571,14.0017087708289 53.7821669297541,14.0057062600389 53.7778830785623,14.0082152472752 53.7732195658234,14.0091397644299 53.7683557042957)))', 'DEMKB', 'MOENKEBUDE', 'Y'),('SRID=4326;MULTIPOLYGON(((8.40133683906339 54.918221180563,8.40057651183698 54.9133469859074,8.39818054668731 54.9086518622156,8.39424152101816 54.9043161495003,8.38891115035949 54.9005063276818,8.3823944063323 54.8973686400405,8.37494162034407 54.8950234984212,8.36683887934622 54.8935608813599,8.3583970802889 54.8930368981159,8.34994005650815 54.8934716473437,8.34179222112394 54.894848450439,8.33426618895928 54.8971144881538,8.32765083919559 54.9001828166725,8.32220026594755 54.9039356877478,8.31812403346782 54.9082290484945,8.31557910740646 54.9128980517368,8.31466377446784 54.9177633690249,8.31541379139926 54.9226380670622,8.3178009224962 54.9273347855894,8.3217339352583 54.9316729417951,8.32706202956703 54.93548568376,8.33358058035721 54.9386263236383,8.34103898116032 54.9409740001335,8.3491502902213 54.9424383487975,8.35760230617924 54.9429629967497,8.3660696402654 54.9425277441395,8.37422630970702 54.9411493462068,8.38175835477492 54.9388808649996,8.38837598087848 54.9358096163335,8.39382474735311 54.932053793022,8.39789536501328 54.9277578974013,8.40043172301531 54.9230871625584,8.40133683906339 54.918221180563)))', 'DEMNK', 'MUNKMARSCH', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2917813356808 54.4221955627036,11.2906878011074 54.4173442997111,11.2879929038116 54.4127106139274,11.2838006594311 54.4084724690614,11.2782724539313 54.4047925870449,11.2716207991616 54.4018122171904,11.2641011562691 54.3996457333744,11.2560021426354 54.3983762630303,11.2476344949734 54.3980525122426,11.2393192044432 54.3986869059788,11.2313752681446 54.4002551131213,11.2241075145143 54.4026969741694,11.2177949577252 54.405918797072,11.2126801181894 54.4097969353904,11.2089597130465 54.4141825146742,11.2067770727705 54.4189071292498,11.2062165788579 54.4237892942029,11.2073003445358 54.4286414076186,11.2099872776528 54.4332769573831,11.2141745750447 54.4375176960137,11.2197016038813 54.4412005067017,11.2263560314518 54.4441836942713,11.2338819744774 54.446352455874,11.2419898564386 54.4476233173036,11.2503675904991 54.4479473606951,11.2586926499337 54.4473121165346,11.2666445504136 54.4457420454093,11.2739172510271 54.4432975905948,11.2802309844693 54.4400728390201,11.2853430511952 54.4361918829877,11.2890571562026 54.4318040259193,11.2912309281565 54.42707802026,11.2917813356808 54.4221955627036)))', 'DEMSY', 'MEESCHENDORF', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0092530711761 53.8993000982627,11.0082076795847 53.894445497285,11.0055793421344 53.8898045822433,11.0014695058899 53.8855555981879,10.9960363859996 53.8818616873482,10.9894888436936 53.8788646415678,10.9820783494539 53.8766794781208,10.9740893417395 53.8753900435929,10.965828348306 53.8750458111404,10.9576122802605 53.8756599912674,10.9497563375242 53.8772090269056,10.9425619777413 53.8796334917889,10.9363053985825 53.8828403586409,10.9312269658749 53.8867065523609,10.9275219873998 53.891083654962,10.9253331852135 53.895803585209,10.9247451590804 53.9006850383333,10.9257810616099 53.9055404413323,10.9284016240476 53.9101831584243,10.9325065830035 53.9144346702136,10.937938465853 53.9181314496465,10.9444885996967 53.9211312681624,10.9519051195159 53.9233186863629,10.9599026695126 53.9246095143964,10.9681734214449 53.9249540669572,10.9763989785608 53.924339084808,10.9842626963122 53.9227882471176,10.9914619333788 53.9203612544986,10.9977197495688 53.9171515190528,11.0027955907303 53.9132825525984,11.0064945436232 53.9089031952456,11.0086748035322 53.9041818714949,11.0092530711761 53.8993000982627)))', 'DEMVD', 'DASSOW', 'Y'),('SRID=4326;MULTIPOLYGON(((9.60910882569271 53.7327933775489,9.60822940888203 53.7279264417872,9.60576614044433 53.7232547187552,9.60181413592082 53.7189576460337,9.59652556598336 53.7152002198774,9.59010376353126 53.7121266754903,9.58279539526183 53.7098549685673,9.57488100070014 53.7084722664645,9.56666425945267 53.7080316186117,9.55846039180451 53.7085499310626,9.55058412767877 53.7100073210218,9.54333769377918 53.7123478755174,9.5369992681378 53.7154817858817,9.53181233529727 53.7192887781635,9.52797634429385 53.7236227108063,9.52563902613966 53.7283171666008,9.52489066868886 53.7331918276906,9.52576057612928 53.738059391738,9.52821585988596 53.7427327655101,9.53216262001224 53.7470322601164,9.53744948424908 53.7507925105923,9.54387337937661 53.7538688517572,9.55118732010856 53.7561429021318,9.5591099185637 53.7575271375903,9.56733624616625 53.7579682752631,9.57554962319349 53.7574493345257,9.58343387200364 53.7559902938245,9.59068555029642 53.7536473174423,9.5970256816293 53.7505105827577,9.60221052178557 53.7467007936989,9.60604094032309 53.7423645176063,9.60837005458789 53.7376685284579,9.60910882569271 53.7327933775489)))', 'DENBM', 'Neuendorf bei Elmshorn', 'Y'),('SRID=4326;MULTIPOLYGON(((9.05927887906038 53.8999865706147,9.05845970300198 53.8951157880059,9.05604780512793 53.8904329470833,9.052136337651 53.8861179153354,9.04687592564637 53.8823363804635,9.04046883168681 53.8792335038894,9.03316116675886 53.8769283667446,9.02523344920364 53.8755094180625,9.01698987189975 53.8750310963972,9.00874668294356 53.875511751569,9.00082011563953 53.8769329443191,8.99351431903901 53.8792401500558,8.98710974024773 53.8823448403852,8.98185239426086 53.8861278645216,8.97794442649164 53.8904440037649,8.97553632808881 53.8951275277195,8.97472110563238 53.8999985424474,8.97553063635253 53.9048698897632,8.97793435963205 53.9095543346677,8.98184036776525 53.9138717654806,8.98709886681338 53.9176561292654,8.99350788543596 53.920761833924,9.0008210196359 53.9230693677746,9.00875691842583 53.9244899169066,9.0170101434075 53.9249687991116,9.02526297771109 53.9244875792318,9.03319771961343 53.9230647824982,9.04050897555388 53.9207551776945,9.04691546729249 53.9176476584515,9.05217088860722 53.9138618062313,9.05607338710067 53.9095432702841,9.05847330427259 53.9048581458814,9.05927887906038 53.8999865706147)))', 'DENEF', 'NEUFELD', 'Y'),('SRID=4326;MULTIPOLYGON(((13.3759277097005 54.5475840074548,13.375296350502 54.5427042324858,13.3730400561582 54.5379898027895,13.369246036433 54.5336218078599,13.3640604438964 54.5297679744526,13.3576827042109 54.5265762411728,13.3503578302458 54.5241690979261,13.3423670186784 54.522638904018,13.3340168885369 54.5220443609882,13.3256277684258 54.5224082723709,13.317521471871 54.5237166741102,13.3100090176352 54.5259193680288,13.3033787536676 54.5289318383241,13.2978853295209 54.5326384793485,13.293739932894 54.5368970136733,13.2911021620376 54.541543934381,13.290073848093 54.5464007662904,13.290695071454 54.5512809088876,13.2929425358876 54.5559968004053,13.2967303759028 54.5603671288007,13.3019133797348 54.5642238120696,13.3082925158301 54.5674184777415,13.3156225587308 54.5698281894806,13.3236215248371 54.5713601969511,13.3319815536657 54.5719555225147,13.3403808096245 54.5715912435032,13.3484959360946 54.5702813799406,13.3560145700375 54.5680763525543,13.3626474227003 54.5650610323963,13.3681394504271 54.5613514589803,13.3722796781133 54.557090356165,13.3749092944336 54.5524416218968,13.3759277097005 54.5475840074548)))', 'DENEK', 'Neuenkirchen, Rügen', 'Y'),('SRID=4326;MULTIPOLYGON(((10.8544650549121 54.1043529501727,10.8534319549568 54.0994970580733,10.8508072911479 54.0948528734956,10.8466923768142 54.0905987672676,10.8412456284366 54.086898077946,10.8346764349699 54.0838928567852,10.8272371001309 54.0816984337495,10.819213168922 54.0803990096033,10.810912506701 54.0800444398121,10.8026535425135 54.0806483308677,10.7947531172108 54.0821875203445,10.7875143904437 54.0846029602231,10.7812152586866 54.0878019705627,10.7760977190256 54.0916617792629,10.7723585808792 54.0960342151936,10.7701418808006 54.1007513781207,10.7695332951313 54.1056320712128,10.7705567730875 54.11048875195,10.7731735309483 54.1151347362131,10.7772834589934 54.1193913791884,10.7827288998602 54.1230949561231,10.7893006636526 54.1261029761499,10.7967460553471 54.1282996832023,10.8047786078402 54.1296005287947,10.813089143261 54.1299554410588,10.8213577294565 54.1293507613644,10.8292660607099 54.1278097722003,10.8365097737606 54.1253917955727,10.8428102130188 54.1221898976194,10.8479251823452 54.1183272900542,10.8516582636335 54.1139525701088,10.8538663424327 54.1092339857373,10.8544650549121 54.1043529501727)))', 'DENHO', 'Neustadt, Holstein', 'Y'),('SRID=4326;MULTIPOLYGON(((7.74506798226597 53.7004481170523,7.74440461612766 53.6955694699663,7.74215057654666 53.6908613367232,7.73839295775915 53.6865045652795,7.73327649009098 53.6826664536816,7.72699792844503 53.6794943407315,7.71979847121853 53.6771099678214,7.71195450395576 53.6756048249645,7.70376702147305 53.6750366561612,7.6955501283429 53.675427255174,7.6876190494134 53.6767616341752,7.68027809878501 53.6789885962813,7.67380905703608 53.6820226904922,7.66846039246184 53.6857474758009,7.66443773296128 53.6900199720223,7.66189595160091 53.6946761299248,7.66093317181401 53.6995371141728,7.66158692910898 53.7044161608871,7.66383264700588 53.7091257485803,7.66758449816854 53.7134848078696,7.67269863034036 53.7173256924053,7.67897864417846 53.7205006412309,7.68618312020452 53.7228874812178,7.69403490880848 53.7243943467621,7.7022318244451 53.7249632315997,7.71045832642783 53.7245722329581,7.71839772704587 53.723236399505,7.72574444529618 53.7210071495513,7.73221582253287 53.7179702824017,7.73756303490573 53.7142426612182,7.74158067560228 53.7099676979218,7.74411463562439 53.7053098173337,7.74506798226597 53.7004481170523)))', 'DENHS', 'NEUHARLINGERSIEL', 'Y'),('SRID=4326;MULTIPOLYGON(((9.78721104997745 54.8017274087751,9.78628623039752 54.7968627994006,9.78373699331312 54.7921958569422,9.77966178638503 54.7879058304687,9.77421753176361 54.7841574392431,9.76761354803764 54.7810945645867,9.76010349136489 54.7788347460353,9.75197562768294 54.777464689432,9.74354180674549 54.7770369557808,9.73512555380929 54.7775679549402,9.72704972509527 54.7790373192044,9.71962418803733 54.7813886802118,9.71313398651875 54.7845318202009,9.70782843478958 54.7883461172043,9.70391155187794 54.7926851550867,9.70153420171122 54.7973823251162,9.70078824390717 54.802257207618,9.7017029277981 54.807122491673,9.70424367975763 54.8117911690407,9.70831334390753 54.8160837265284,9.7137558419362 54.8198350595499,9.72036212268241 54.8229008389219,9.72787818029003 54.8251630828922,9.73601483523434 54.8265347163689,9.74445889937063 54.8269629382829,9.75288528800574 54.8264312644421,9.76096960184832 54.8249601652666,9.76840068167976 54.8226062732429,9.77489263978077 54.8194601914573,9.7801958944798 54.8156429897392,9.78410677645288 54.81130152644,9.78647533536193 54.8066027795392,9.78721104997745 54.8017274087751)))', 'DENKX', 'Neukirchen', 'Y'),('SRID=4326;MULTIPOLYGON(((13.6258655732311 54.4834949222784,13.6252052662959 54.4786162503222,13.6229235350774 54.4739063025637,13.6191085622527 54.4695459949185,13.6139073000973 54.4657027579706,13.6075197708776 54.4625241230564,13.6001913588839 54.4601320773738,13.5922033934838 54.4586184013011,13.5838623830619 54.4580411632864,13.5754883066887 54.4584225036821,13.567402402756 54.4597477903672,13.5599149109415 54.4619661776266,13.5533132254016 54.464992547329,13.5478509030077 54.4687107597383,13.5437379410339 54.472978092093,13.5411326945797 54.4776306981111,13.5401357461798 54.4824898824482,13.5407859699507 54.4873689523445,13.543058952205 54.4920803855292,13.5468678422151 54.4964430399444,13.5520666137592 54.500289127732,13.5584556237461 54.5034706835414,13.5657892624544 54.5058652754947,13.5737854047975 54.5073807355666,13.5821362975248 54.5079587237109,13.5905204570723 54.5075769853744,13.5986151099742 54.5062502132613,13.6061086846003 54.5040294792299,13.6127128607421 54.5010002586868,13.6181737023586 54.497279125383,13.6222814376129 54.4930092467594,13.6248785071272 54.4883548567441,13.6258655732311 54.4834949222784)))', 'DENMK', 'NEU MUKRAN', 'Y'),('SRID=4326;MULTIPOLYGON(((7.19998265090245 53.6256388738077,7.19938326257743 53.6207577365917,7.1971939933306 53.6160398808864,7.19349945167784 53.6116665318158,7.18844195104922 53.6078056271534,7.18221599006982 53.6046053830003,7.17506075669463 53.602188621697,7.16725094745486 53.6006480763337,7.15908625289973 53.6000428485875,7.15087990692809 53.6003961527517,7.14294673000091 53.601694430344,7.1355911135163 53.6038878683002,7.1290953945682 53.6068923012715,7.12370905687245 53.6105924267327,7.11963916511366 53.6148462122706,7.11704239696054 53.6194903292773,7.11601898051375 53.6243464079608,7.11660877642054 53.6292278765859,7.11878966523754 53.6339471244753,7.12247831429229 53.6383227145579,7.12753330724993 53.642186367887,7.13376052725736 53.6453894499021,7.14092059468599 53.6478087062237,7.14873807706482 53.6493510239174,7.1569121156782 53.6499570314844,7.16512805407731 53.6496033959106,7.17306961143905 53.6483037261326,7.18043112051908 53.6461080471624,7.18692934712981 53.6431008655235,7.19231442578828 53.6393979022008,7.19637948348891 53.6351416216463,7.19896857850555 53.630495732311,7.19998265090245 53.6256388738077)))', 'DENOE', 'NORDDEICH', 'Y'),('SRID=4326;MULTIPOLYGON(((8.85089358345817 54.4980605016514,8.85008721796567 54.4931888023375,8.84766402582306 54.4885022457892,8.8437176128795 54.4841808414974,8.83839996219921 54.4803905198488,8.83191554422804 54.4772767766445,8.82451344162048 54.4749591067395,8.81647779396486 54.4735264369252,8.8081169270136 54.473033729775,8.79975157679079 54.4734998857497,8.79170265006557 54.4749070220228,8.78427897849782 54.4772011549599,8.77776552397075 54.4802942607432,8.77241247721997 54.484067637059,8.76842566115617 54.488376439842,8.76595860490131 54.4930552245084,8.76510659554791 54.4979242825361,8.7659029434959 54.5027965331331,8.7683176159202 54.5074847073601,8.77225830402064 54.5118085494497,8.77757389628928 54.5156017578831,8.78406023565693 54.5187183973725,8.79146794695601 54.5210385321296,8.79951203672668 54.5224728601111,8.80788289398016 54.5229661663024,8.81625826175729 54.5224994590438,8.824315708205 54.52109070509,8.83174510461195 54.5187941343531,8.83826061754093 54.5156981417842,8.84361174288541 54.5119218691841,8.8475929502535 54.507610601551,8.85005156439725 54.5029301587193,8.85089358345817 54.4980605016514)))', 'DENOR', 'NORDSTRAND', 'Y'),('SRID=4326;MULTIPOLYGON(((13.1348991050077 54.5256693352359,13.1342968069466 54.5207885272873,13.1320695434367 54.5160698264749,13.1283034104549 54.5116944879992,13.1231434924087 54.5078305219817,13.1167882329362 54.5046262569876,13.1094817860542 54.5022046644048,13.1015046449986 54.5006586580566,13.0931629070859 54.5000475458419,13.0847765804369 54.5003947663919,13.0766673713303 54.5016869953297,13.0691464086241 54.5038746544201,13.0625023637511 54.5068738044809,13.0569904112347 54.5105693511798,13.0528224457582 54.5148194435366,13.0501589281682 54.5194608998125,13.0491026753818 54.5243154561237,13.0496948394231 54.5291966010554,13.0519132406756 54.533916736065,13.0556731323595 54.538294387609,13.0608303802488 54.5421611934227,13.0671869472149 54.5453683926077,13.0744984801889 54.5477925670722,13.0824837116248 54.5493404099244,13.0908353125184 54.5499523336738,13.0992317731974 54.5496047761402,13.1073498445667 54.5483111130033,13.1148770485681 54.5461211408426,13.1215237635886 54.5431191509846,13.1270344086012 54.5394206700952,13.1311972879804 54.5351679958585,13.1338527151929 54.5305247030808,13.1348991050077 54.5256693352359)))', 'DENOZ', 'NEUENDORF, HIDDENSEE', 'Y'),('SRID=4326;MULTIPOLYGON(((13.6527119694801 54.3354844915394,13.6520505545582 54.3306058448879,13.6497736576314 54.3258963207281,13.6459692708424 54.3215368190102,13.6407839361104 54.3176947399726,13.6344170618302 54.3145175712963,13.6271132387656 54.3121272447639,13.6191528535613 54.3106154755664,13.6108413585728 54.3100402595642,13.6024976035316 54.3104236598065,13.5944416668331 54.3117509650628,13.586982641285 54.3139712517353,13.5804068306516 54.3169993280765,13.5749667992536 54.3207189879242,13.5708716875231 54.3249874519612,13.5682791623843 54.3296408295351,13.5672893136418 54.3345003949555,13.5679407376478 54.3393794404132,13.5702089693393 54.3440904445253,13.5740073357763 54.3484522820324,13.5791902115841 54.3522971970942,13.585558562719 54.3554772702706,13.5928675735815 54.3578701275952,13.6008360677328 54.3593836685864,13.609157358303 54.3599596276439,13.6175111042701 54.3595758285947,13.6255757062087 54.3582470433843,13.6330407521057 54.3560244209205,13.6396190216541 54.3529935085542,13.6450575761875 54.349270944207,13.6491475001153 54.3449999493796,13.6517319163102 54.340344800014,13.6527119694801 54.3354844915394)))', 'DENRZ', 'NEU REDDEVITZ', 'Y'),('SRID=4326;MULTIPOLYGON(((9.36923771980371 53.8598774853269,9.36838335216434 53.8550088640373,9.36593921008573 53.8503322909049,9.36199968031083 53.8460273908635,9.35671646042354 53.8422594612501,9.35029268316723 53.8391731404663,9.34297509488153 53.8368868740937,9.33504459090319 53.8354883874066,9.32680546892117 53.8350313345854,9.31857380597286 53.8355332503065,9.31066539498406 53.8369748803872,9.30338369184312 53.8393009165293,9.2970082236528 53.84242210771,9.29178389302601 53.8462186692084,9.28791158240266 53.8505448614165,9.28554041702199 53.8552345661784,9.28476198644252 53.8601076500612,9.28560675386463 53.8649768731539,9.28804280199137 53.8696550799771,9.29197697630981 53.8739623968824,9.29725839455661 53.877733158588,9.30368419827381 53.8808222955319,9.31100733261346 53.8831109333973,9.31894605790313 53.8845109858715,9.32719482483288 53.8849685603967,9.33543608800746 53.8844660428716,9.34335259295172 53.8830227790983,9.35063965154515 53.8806943260903,9.35701692136679 53.8775703028168,9.36223922552366 53.8737709251592,9.36610599008948 53.86944236146,9.36846893416279 53.8647510909129,9.36923771980371 53.8598774853269)))', 'DEOOF', 'Brokdorf', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((12.5757352100067 54.3838660738179,12.5752010485425 54.3789831505133,12.573045569449 54.3742548570092,12.5693521113971 54.3698628210894,12.5642629719477 54.3659756977161,12.5579738845301 54.3627427072917,12.550726472254 54.3602879254739,12.54279897218 54.3587055402984,12.5344955849891 54.3580562550389,12.5261348529184 54.3583649716424,12.5180375022472 54.3596198413097,12.5105142048353 54.3617727175629,12.5038537158741 54.3647409947339,12.4983118320861 54.3684107629967,12.4941015863594 54.3726411616428,12.4913850518388 54.3772697669731,12.4902670717735 54.3821188115967,12.4907911623719 54.3870019995636,12.4929377564146 54.3917316579336,12.496624867898 54.3961259511347,12.5017111654691 54.4000158805544,12.5080013483509 54.4032517985958,12.5152536266612 54.4057091838975,12.5231890225312 54.4072934520668,12.5315021332159 54.4079436131609,12.5398729361626 54.4076346318945,12.5479791718901 54.4063783973596,12.5555088158681 54.4042232638231,12.5621721466987 54.4012521806045,12.5677129350124 54.3975794847253,12.5719183146993 54.393346482597,12.5746269534264 54.3887159942749,12.5757352100067 54.3838660738179)))', 'DEORD', 'BORN', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0948119710147 54.4462651083767,11.0937409599041 54.4414118877611,11.0910665349004 54.4367736488156,11.0868919280751 54.4325285312529,11.0813778515427 54.4288395255332,11.0747362783122 54.4258482316153,11.0672222857811 54.4236694426617,11.0591242768616 54.4223867579978,11.0507529509142 54.4220493902212,11.0424294401092 54.4226702861675,11.0344730555521 54.424225632103,11.0271891009014 54.4266557617466,11.0208572089837 54.4298674333038,11.0157206391214 54.433737390415,11.0119769398507 54.4381170735452,11.0097703341406 54.4428383045927,11.009186123192 54.4477197299766,11.0102473319978 54.4525737776311,11.0129137371466 54.4572138624427,11.0170833275166 54.4614615636827,11.0225961547043 54.4651534975501,11.0292404359041 54.4681476183019,11.0367606814569 54.4703287024159,11.0448675364851 54.4716128011486,11.0532489548872 54.471950486623,11.0615822680061 54.4713287636367,11.0695466724207 54.4697715718331,11.0768356435215 54.4673388585103,11.0831687847737 54.464124258805,11.0883026466577 54.4602514748608,11.092040092904 54.4558694965724,11.0942378525107 54.4511468514578,11.0948119710147 54.4462651083767)))', 'DEORT', 'Orth/Fehmarn', 'Y'),('SRID=4326;MULTIPOLYGON(((9.90615754202608 54.7526852395183,9.9052196501539 54.7478215498819,9.90265990340002 54.7431571109987,9.89857715040226 54.7388710752,9.89312860023703 54.7351280081902,9.88652373380761 54.7320715868434,9.87901623915594 54.7298191031905,9.87089428275681 54.7284569819498,9.86246948752857 54.7280374800691,9.85406503320963 54.728576691968,9.84600332489509 54.7300539351047,9.83859369027493 54.7324125388649,9.83212056517321 54.7355620073533,9.82683261036795 54.7393814752454,9.82293317069461 54.743724327201,9.82057244076427 54.7484238071648,9.81984164132012 54.7532994057967,9.82076943783743 54.7581637837511,9.82332075048854 54.7628299668312,9.82739801465055 54.7671185371681,9.83284485687356 54.7708645431973,9.83945205627525 54.7739238606059,9.84696556964192 54.7761787564634,9.85509631420475 54.777542438815,9.86353132912612 54.7779624130474,9.87194587880975 54.7774225128295,9.88001602123065 54.7759435254939,9.88743114468183 54.7735823871936,9.89390597771547 54.770429979685,9.89919159953866 54.7666076157321,9.90308502049341 54.762262351574,9.90543696226478 54.7575613105012,9.90615754202608 54.7526852395183)))', 'DEORV', 'OHRFELDHAFF', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7247377105686 54.3818133166673,12.7241858573754 54.3769308855831,12.7220132777529 54.3722050919315,12.7183039659802 54.3678174665004,12.713200826423 54.3639364941071,12.7069001275651 54.3607111584972,12.6996439357095 54.3582652412969,12.6917108226762 54.3566925904133,12.683405203007 54.3560535358841,12.675045703962 54.3563725875282,12.6669530048548 54.357637500437,12.6594376003321 54.3597997431046,12.6527879447012 54.3627763505707,12.6472594213229 54.3664530931615,12.6430645526826 54.370688842013,12.6403648236353 54.3753209672893,12.6392644334588 54.3801715654828,12.6398062231724 54.385054279907,12.6419699449776 54.3897814547564,12.6456729531165 54.3941713489686,12.650773302895 54.3980551323253,12.6570751505498 54.4012833931376,12.6643362548861 54.4037319044434,12.6722772962046 54.4053064234064,12.6805926529532 54.4059463355901,12.688962215488 54.4056270006056,12.6970637724179 54.4043607064971,12.7045854805719 54.4021961950465,12.7112379259726 54.3992167766158,12.7167653005439 54.3955371088232,12.720955256698 54.3912987658679,12.7236470574626 54.3866647725143,12.7247377105686 54.3818133166673)))', 'DEPCE', 'Pruchten', 'Y'),('SRID=4326;MULTIPOLYGON(((13.8205138368272 54.1404240379363,13.8198354091944 54.135546078365,13.8175497697558 54.1308395351726,13.813745239051 54.126485193354,13.8085683577681 54.1226502551154,13.802218204515 54.1194819345998,13.7949387251336 54.1171018249229,13.7870093713484 54.1156012502883,13.7787344064332 54.115037778024,13.7704312820491 54.1154330213171,13.7624185223849 54.1167718148141,13.7550035685395 54.1190027938331,13.7484710373928 54.1220403554709,13.743071835004 54.1257679281762,13.7390135351395 54.1300424271845,13.736452389497 54.1346997282816,13.7354872785636 54.1395609533264,13.7361558422727 54.1444393292833,13.7384329496706 54.1491473594941,13.7422315791424 54.1535040325793,13.74740608841 54.1573417914188,13.7537577599853 54.1605129924591,13.7610424168776 54.1628956040504,13.7689798191344 54.164397921095,13.7772644781743 54.1649621109984,13.7855774664918 54.1645664513191,13.7935987582014 54.1632261708018,13.8010196132767 54.1609928605142,13.8075545164296 54.1579524782745,13.8129522004865 54.1542220250451,13.8170053228355 54.1499450241243,13.8195584200095 54.1452859806191,13.8205138368272 54.1404240379363)))', 'DEPEF', 'Peenemünde', 'Y'),('SRID=4326;MULTIPOLYGON(((8.73091839256488 54.5221030958877,8.73012584068977 54.5172306351412,8.72771497283824 54.5125417106102,8.72377892332413 54.5082164234265,8.71846927948507 54.5044208535563,8.71199020667109 54.5013006985154,8.70459058440102 54.4989756992534,8.6965544585489 54.4975350636254,8.68819017393269 54.497034059528,8.679818597585 54.4974919053924,8.67176087424215 54.4988910369236,8.66432617154199 54.5011777774636,8.65779987275916 54.5042643869165,8.65243265962395 54.5080324125877,8.64843089717179 54.512337216341,8.64594868729291 54.5170135078714,8.64508189872662 54.5218816752653,8.64586441015321 54.5267546728353,8.64826672177493 54.5314452037601,8.65219700188542 54.5357729223494,8.6575045414873 54.5395713784779,8.66398549558369 54.5426944352233,8.67139069824969 54.5450219098779,8.67943525404751 54.5464642177298,8.68780953477553 54.5469658363013,8.69619115158162 54.5465074536126,8.70425743115856 54.5451067156857,8.71169790325846 54.5428175437382,8.71822630626875 54.5397280480261,8.72359163811167 54.535957120651,8.72758782016364 54.5316498415072,8.73006160010067 54.5269718777548,8.73091839256488 54.5221030958877)))', 'DEPEL', 'PELLWORM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.29868298067216 53.3186018420991,7.29807581216084 53.313720906547,7.29589057413569 53.3090046644596,7.29221171056754 53.3046342792846,7.28718092479925 53.3007775759324,7.2809916844223 53.2975826106332,7.27388176569829 53.2951720047519,7.26612412713473 53.2936382567345,7.25801646120074 53.2930402086732,7.24986981940892 53.2934008000641,7.24199673800054 53.2947061928058,7.23469930855723 53.2969063000748,7.22825763967966 53.2999166991925,7.22291914239795 53.3036218567788,7.21888904349543 53.3078795451516,7.21632248806189 53.3125262838114,7.2153185363445 53.3173836005783,7.21591629177241 53.3222648750187,7.21809331881684 53.3269825034875,7.22176642355335 53.3313551114736,7.22679477936956 53.335214535664,7.23298528861392 53.3384123056059,7.2400999818532 53.3408253729527,7.2478651737042 53.3423608645223,7.25598202177771 53.3429596727821,7.26413807666187 53.3425987425025,7.27201936905547 53.3412919633776,7.27932255732788 53.3390896332956,7.28576665614941 53.3360765133387,7.29110388455479 53.3323685511103,7.29512920893753 53.3281084012737,7.29768821108617 53.3234599190636,7.29868298067216 53.3186018420991)))', 'DEPGM', 'POGUM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6128092505649 54.453853701497,12.6122700110419 54.4489709406027,12.6101068074965 54.4442432791936,12.6064032772346 54.4398523203142,12.601302105824 54.4359666770293,12.5949994890208 54.4327355123724,12.5877375688239 54.4302828314405,12.5797951379628 54.4287027412886,12.5714769684966 54.4280558569384,12.5631021681567 54.4283669882143,12.5549920014931 54.4296241938412,12.5474576310859 54.4317792380183,12.5407882367106 54.4347494322723,12.5352399573644 54.4384207935945,12.5310260727422 54.4426524004545,12.5283087976868 54.4472817829686,12.5271930063104 54.452131143936,12.5277221332972 54.4570141751084,12.5298764202568 54.4617432092522,12.5335735873517 54.4661364343371,12.5386719177489 54.4700248922893,12.5449756482129 54.4732589915681,12.5522424672022 54.4757142803066,12.5601928361919 54.4772962544347,12.5685207746141 54.4779440121119,12.5769056875005 54.4776326105575,12.5850247707553 54.4763740321941,12.5925655043271 54.4742167218094,12.5992377397069 54.471243712887,12.604784905382 54.4675694169434,12.6089938912062 54.4633352022786,12.6117032281355 54.4587039357903,12.6128092505649 54.453853701497)))', 'DEPRW', 'Prerow', 'Y'),('SRID=4326;MULTIPOLYGON(((8.6256918985218 54.305140019023,8.6249158625953 54.3002667219718,8.62252956757087 54.2955755730298,8.61862519821629 54.2912467601809,8.61335312188615 54.2874465004157,8.60691606077519 54.2843206729478,8.59956128344891 54.2819892378924,8.59157111839919 54.280541651137,8.58325215172145 54.2800334478382,8.57492351682962 54.2804841226246,8.56690471536475 54.2818763857923,8.55950342445537 54.2841568232659,8.55300374593656 54.2872379356396,8.54765533802398 54.2910014800004,8.54366383957186 54.2953029892457,8.54118295205945 54.2999772989634,8.54030848587818 54.304844873263,8.54107460680998 54.3097186897102,8.54345243778435 54.3144114210039,8.54735108260747 54.3187426382619,8.5526210454336 54.3225457584444,8.55905992583186 54.3256744668654,8.56642017826885 54.3280083648106,8.57441864071763 54.3294576214395,8.5827474638782 54.3299664473718,8.5910860137744 54.3295152531885,8.59911327929356 54.3281214076672,8.60652029473069 54.3258385657827,8.61302208674407 54.3227545929908,8.61836867535967 54.3189881676776,8.62235469869685 54.3146841955444,8.6248272888139 54.3100082159553,8.6256918985218 54.305140019023)))', 'DEPSH', 'Sankt Peter-Ording', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2838368591882 54.4751978629194,11.2827426701377 54.4703465719846,11.2800450115845 54.4657127714737,11.2758480068544 54.4614744293504,11.2703132259094 54.4577942748714,11.263653433673 54.4548135675016,11.2561244036613 54.4526466937562,11.2480151129687 54.4513767957579,11.2396366916979 54.4510525958114,11.2313105431934 54.4516865360447,11.2233560799739 54.4532543027963,11.2160785334443 54.455695753643,11.2097572930494 54.4589172125521,11.2046352125169 54.4627950473906,11.2009092875967 54.4671803957028,11.198723061909 54.4719048609877,11.1981610562871 54.4767869642836,11.1992454438949 54.4816391061464,11.2019351105344 54.4862747733411,11.2061271495757 54.490515713719,11.2116607470392 54.4941988024631,11.2183233181777 54.497182333393,11.2258586664147 54.4993514901322,11.2339768527636 54.5006227829922,11.2423653928377 54.5009472773131,11.250701342794 54.5003124861508,11.2586637979298 54.4987428527131,11.2659463101427 54.49629880361,11.2722687340089 54.4930744104355,11.2773880356301 54.4891937520379,11.2811076423225 54.4848061207339,11.2832849723593 54.480080260589,11.2838368591882 54.4751978629194)))', 'DEPSK', 'Presen', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2698655081398 54.5022025544245,11.2687721585287 54.49735114816,11.2660742066464 54.492717056816,11.2618757880228 54.4884782595102,11.2563385276754 54.4847975028964,11.2496752862099 54.4818160694256,11.242141969713 54.4796483733279,11.2340277196417 54.4783775881339,11.225643855992 54.4780524700709,11.2173119903407 54.4786854964276,11.2093517539137 54.4802523886078,11.2020685990457 54.4826930378194,11.1957421299843 54.485913798931,11.1906154009888 54.4897910667788,11.1868855864241 54.4941760008847,11.1846963797492 54.4989002208608,11.1841324170466 54.5037822573444,11.1852159476065 54.5086345135821,11.187905891169 54.5132704719981,11.1920993313977 54.5175118692306,11.1976354011916 54.5211955628109,11.2043014211984 54.5241798231614,11.2118410623257 54.5263498056851,11.2199642202493 54.5276219887633,11.2283582188322 54.5279474033531,11.2366999035438 54.5273135270222,11.2446681482932 54.5257447677678,11.2519562815508 54.5233015186277,11.2582839411553 54.5200778205492,11.2634078916004 54.5161977258228,11.2671313815322 54.5118105052929,11.2693116803603 54.5070848874344,11.2698655081398 54.5022025544245)))', 'DEPUT', 'PUTTGARDEN', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5282702525669 53.9311171367828,11.5271638801225 53.9262678247199,11.5244762699808 53.9216390224989,11.5203111414511 53.9174085066593,11.5148288260164 53.9137387077275,11.5082400652983 53.9107704903026,11.5007979035107 53.908617764602,11.4927879872655 53.9073631327635,11.4845176418004 53.9070547336064,11.4763041352997 53.9077044042125,11.4684625709858 53.9092872272358,11.4612938594812 53.9117424810031,11.4550732212946 53.914975957025,11.4500396512164 53.9188635582722,11.4463867432625 53.9232560432872,11.444255227292 53.927984737586,11.4437275076521 53.9328679964926,11.444824421758 53.9377181739726,11.4475043544926 53.942348831448,11.4516647553618 53.9465819099343,11.4571460126272 53.9502545887656,11.463737545766 53.9532255649044,11.4711858884901 53.9553805081438,11.4792044531967 53.9566364787454,11.487484597997 53.956945134075,11.4957075628447 53.9562945980508,11.5035568045679 53.9547099197712,11.5107302437277 53.9522521033554,11.5169519400739 53.9490157474336,11.521982737723 53.9451253874736,11.5256294647381 53.9407306849218,11.5277523322525 53.9360006518616,11.5282702525669 53.9311171367828)))', 'DERDI', 'REDENTIN', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5277638766517 54.3874664150906,10.5267614262851 54.3826077545964,10.5241547462855 54.377956552734,10.5200444707485 54.3736914508413,10.5145888486146 54.3699762097357,10.5079976178014 54.3669534385017,10.500523932876 54.3647391392778,10.4924546582834 54.3634182738595,10.4840993968049 54.36304151878,10.4757786668981 54.3636233305235,10.4678116718564 54.3651413933085,10.4605041177114 54.3675374701558,10.4541365352013 54.3707196255235,10.448953543956 54.3745657364173,10.4451544646497 54.3789281603681,10.4428856379113 54.3836393846971,10.4422347483519 54.3885184437043,10.4432273797085 54.3933778602504,10.4458259448819 54.3980308469405,10.4499310451846 54.4022984907131,10.4553852195596 54.4060166437732,10.4619789504998 54.4090422537176,10.4694587028182 54.4112588862397,10.4775366883651 54.4125812243201,10.4859019781942 54.4129583672258,10.4942325271202 54.4123757994292,10.5022076369912 54.4108559518146,10.5095203663656 54.4084573330855,10.5158893966246 54.4052722657628,10.5210698877337 54.4014233161595,10.5248628996439 54.3970585589126,10.5271230154329 54.3923458619233,10.5277638766517 54.3874664150906)))', 'DERDX', 'RADELAND', 'Y'),('SRID=4326;MULTIPOLYGON(((13.3999976504556 54.6135759449235,13.3993625468056 54.6086963210212,13.3970999673377 54.6039823469123,13.3932973651264 54.5996150942207,13.3881012235789 54.5957622607431,13.3817113738528 54.5925717462162,13.3743732933735 54.5901659933279,13.3663686847089 54.5886373076902,13.3580046949184 54.5880443327756,13.3496021828188 54.5884098119256,13.3414834743177 54.5897197210686,13.3339600633829 54.5919238044592,13.3273207179999 54.5949374933325,13.3218204366033 54.5986451356536,13.31767067123 54.6029044158965,13.3150311896425 54.6075517987429,13.314003890908 54.6124087913583,13.3146288188183 54.6172887869853,13.31688253705 54.622004229272,13.3206789415701 54.6263738230781,13.3258724925147 54.630229514194,13.3322637531238 54.6334229678338,13.3396070311802 54.6358312938559,13.3476198328331 54.6373617949118,13.3559937637142 54.6379555511475,13.3644064515638 54.6375897002724,13.3725340213064 54.6362783229497,13.3800636299293 54.6340718984425,13.3867055659058 54.6310553519297,13.3922044364091 54.6273447704965,13.3963490042002 54.6230829171216,13.3989802928024 54.618433718859,13.3999976504556 54.6135759449235)))', 'DEREQ', 'Breege', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9693184495618 53.9463705606236,13.9686254634091 53.9414932251565,13.9663333348419 53.9367893344243,13.9625306265463 53.9324395712096,13.957363802857 53.9286109621023,13.9510315514225 53.9254504789223,13.9437771282175 53.9230794149303,13.9358790229907 53.9215887482636,13.9276403017583 53.9210356670364,13.9193770291036 53.9214413864126,13.9114062047498 53.9227903393048,13.9040336654622 53.9250307708949,13.8975424044778 53.9280767146903,13.8921817463377 53.9318112761207,13.8881577855117 53.936091100521,13.885625453174 53.9407518574699,13.8846825189406 53.9456145344727,13.8853657647599 53.9504923013928,13.8876494884236 53.9551976841162,13.891446406815 53.9595497727186,13.8966109370606 53.9633811865912,13.9029447406696 53.9665445269143,13.9102043253651 53.968918065453,13.918110415609 53.9704104473422,13.9263587297381 53.9709642233401,13.9346317427356 53.9705580725103,13.9426109719974 53.9692076276251,13.949989301186 53.9669648706454,13.9564828556053 53.9639161220837,13.9618419615614 53.9601787035109,13.9658607608925 53.9558964045657,13.9683851082161 53.9512339323963,13.9693184495618 53.9463705606236)))', 'DERKZ', 'RANKWITZ', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6514408581966 54.103071829201,11.6503149323409 54.0982240018791,11.6476019765295 54.0935983689489,11.6434066871114 54.0893725838305,11.6378905552794 54.0857088939229,11.6312656203725 54.0827479279288,11.6237863127393 54.0806033166374,11.6157397008865 54.0793573500797,11.6074345139153 54.0790578343252,11.5991893528525 54.0797162658118,11.5913205324471 54.0813073916339,11.5841300077238 54.083770172369,11.5778938367949 54.0870101115981,11.5728516131697 54.0909028650466,11.5691972674182 54.0952989940238,11.5670715902483 54.1000296842893,11.5665567679638 54.1049132142145,11.5676731484591 54.1097619266107,11.5703783734991 54.1143894380855,11.5745689236742 54.1186178092277,11.5800840292995 54.12228439894,11.5867118072689 54.1252481370509,11.5941973944051 54.1273949707414,11.6022527662045 54.1286422716397,11.6105678599423 54.1289420305348,11.618822566374 54.1282827139727,11.626699117553 54.126689709604,11.6338943815139 54.1242243428434,11.6401315786396 54.120981503809,11.6451709591937 54.1170859782449,11.64881902544 54.1126876268707,11.6509359426687 54.1079556022663,11.6514408581966 54.103071829201)))', 'DERRE', 'RERIK', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1654226090291 54.0940075816385,12.1649394186425 54.0891233040958,12.162844936757 54.0843882698369,12.1592201531134 54.0799843691398,12.1542047263346 54.0760807161606,12.1479915622832 54.0728271690558,12.1408193757451 54.0703485949057,12.1329635250394 54.0687400962043,12.1247254704717 54.0680633785585,12.1164212555976 54.068344395786,12.1083694439086 54.0695723604287,12.1008789620985 54.0717001565088,12.0942373041396 54.0746461389394,12.0886995379673 54.0782972521335,12.0844785288966 54.0825133508369,12.0817367515664 54.087132560747,12.0805800062017 54.0919774767212,12.0810532866821 54.0968619638088,12.0831389692067 54.1015983022783,12.0867574036564 54.1060044032977,12.091769898016 54.1099108177324,12.097983992859 54.1131672670194,12.1051608316969 54.1156484422474,12.1130243479415 54.1172588449315,12.1212719142778 54.1179364796004,12.1295860390681 54.1176552528275,12.1376466501235 54.1164259839726,12.1451434811254 54.1142959875681,12.1517880714951 54.1113472436809,12.1573249068659 54.107693228305,12.1615412636312 54.1034745285254,12.1642753754246 54.0988534146345,12.1654226090291 54.0940075816385)))', 'DERSK', 'ROSTOCK', 'Y'),('SRID=4326;MULTIPOLYGON(((13.8135814621223 54.2064268477832,13.8129028862998 54.20154890045,13.810614507244 54.1968422617093,13.8068047527978 54.1924877200572,13.8016203658511 54.1886524850812,13.7952607141217 54.1854837819468,13.7879701082582 54.1831032180687,13.7800284265018 54.1816021347365,13.7717404041254 54.1810381185522,13.7634239923998 54.1814328034649,13.7553982238654 54.1827710455947,13.747971037524 54.1850015016175,13.7414275188821 54.1880385890256,13.7360189955629 54.1917657548726,13.7319533997369 54.1960399304344,13.7293872645431 54.2006970042958,13.72841966397 54.2055581073249,13.729088335811 54.2104364713169,13.7313681472373 54.2151446000588,13.7351719747491 54.2195014782156,13.7403539777793 54.2233395404886,13.7467151515414 54.2265111312822,13.7540109536737 54.2288942035617,13.7619607148508 54.2303970341555,13.7702584697807 54.2309617704566,13.7785847854976 54.2305666688844,13.786619121666 54.2292269367517,13.7940522349387 54.2269941442222,13.8005981374881 54.223954229516,13.8060051387647 54.2202241760105,13.8100655383174 54.2159474920493,13.8126235940936 54.2112886709282,13.8135814621223 54.2064268477832)))', 'DERUR', 'Ruden', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4826389742544 54.2938980048322,12.4821166871215 54.289014736025,12.4799763172083 54.2842848828669,12.4763006207107 54.2798901339373,12.4712312121484 54.2759992493113,12.4649630676617 54.272761594651,12.4577370077798 54.2703014253312,12.4498304521911 54.2687131365823,12.4415468003405 54.2680576583655,12.4332038396011 54.2683601301244,12.4251216162313 54.2696089423136,12.4176102226015 54.2717561803835,12.4109579569348 54.2747194544857,12.4054202989927 54.2783850463412,12.401210117033 54.2826122552637,12.3984894785648 54.2872387799746,12.3973633808972 54.2920869332213,12.397875648628 54.2969704538033,12.4000071659489 54.3017016567303,12.4036765243898 54.3060986479331,12.4087430743432 54.3099923259713,12.415012274868 54.3132328999113,12.422243144665 54.3156956699444,12.4301575317808 54.3172858449048,12.4384508444914 54.3179422076723,12.446803824643 54.3176394841381,12.4548949006106 54.3163893221783,12.4624126322948 54.3142398418332,12.4690677565616 54.3112737743177,12.4746043584555 54.3076052631829,12.4788097304947 54.3033754535488,12.481522537438 54.2987470426284,12.4826389742544 54.2938980048322)))', 'DERZD', 'Ribnitz-Damgarten', 'Y'),('SRID=4326;MULTIPOLYGON(((13.6858969903475 54.5124738110077,13.6852291163756 54.5075954484889,13.6829389054662 54.5028866094673,13.6791148664053 54.4985281667859,13.6739042994898 54.4946874789573,13.6675075836051 54.4915119790788,13.6601704547 54.4891235337583,13.6521745755357 54.4876137850847,13.6438267570551 54.487040650821,13.6354472386618 54.4874261139923,13.6273574670477 54.4887553844969,13.6198678302797 54.4909774639877,13.6132658053263 54.494007092845,13.6078049630547 54.4977280063641,13.6036952452358 54.501997378095,13.6010948838913 54.5066512833142,13.6001042753911 54.5115109765081,13.6007620515155 54.5163897449841,13.6030435091838 54.5211000775989,13.6068614722108 54.5254608741239,13.6120695653212 54.5293044176954,13.618467786246 54.5324828404556,13.62581016991 54.5348738308141,13.6338142535636 54.5363853592226,13.6421719772042 54.5369592369693,13.6505615934552 54.5365733678401,13.6586601183151 54.5352426037404,13.666155831114 54.533018170404,13.6727603298631 54.5299856858027,13.6782196670844 54.5262618494026,13.6823241301394 54.5219899326356,13.6849162869978 54.5173342476835,13.6858969903475 54.5124738110077)))', 'DESAS', 'SASSNITZ', 'Y'),('SRID=4326;MULTIPOLYGON(((9.8641739877104 54.7677001256519,9.86324075962826 54.7628361070825,9.8606848639505 54.7581707802999,9.8566050022765 54.7538833319507,9.85115827360711 54.7501383821049,9.84455408980561 54.7470796799504,9.83704611341708 54.7448246050087,9.82892252983091 54.7434596813261,9.82049502450378 54.7430372732387,9.81208688093213 54.7435735865336,9.8040206452605 54.7450480497844,9.79660581820947 54.747404099012,9.79012703411004 54.7505513364077,9.78483317025208 54.7543689824279,9.78092779781338 54.7587104919053,9.7785613389922 54.7634091606284,9.77782523467982 54.7682845107411,9.77874835460232 54.7731492127653,9.78129579937786 54.7778162803274,9.78537015397953 54.7821062617636,9.79081515780934 54.7858541513647,9.79742166159743 54.7889157523917,9.80493564960393 54.7911732439962,9.8130680212259 54.7925397342161,9.82150575310684 54.792962620224,9.82992400484797 54.7924256234735,9.83799869142545 54.7909494194411,9.84541902554409 54.7885908371245,9.85189953447281 54.7854406599728,9.85719107833434 54.7816201150809,9.86109043915143 54.7772761889429,9.86344810994154 54.7725759536844,9.8641739877104 54.7677001256519)))', 'DESBJ', 'STEINBERGHAFF', 'Y'),('SRID=4326;MULTIPOLYGON(((13.696730361535 54.3524690138209,13.6960634895514 54.347590591797,13.6937806411738 54.3428818783152,13.6899700372981 54.3385237418466,13.6847784583891 54.334683529892,13.6784055520686 54.3315086582047,13.6710961399284 54.3291209702398,13.6631308223193 54.3276120798643,13.6548152401333 54.3270398725,13.6464683993761 54.3274262958581,13.6384104965711 54.32875652286,13.6309507000361 54.3309795179518,13.6243753435337 54.3340099855749,13.6189369746623 54.3377316278489,13.6148446709429 54.3420015893296,13.6122559924688 54.3466559217448,13.6112708822359 54.3515158625175,13.6119277552963 54.3563946891319,13.6142019376413 54.3611048882858,13.6180065276989 54.3654653653283,13.6231956605543 54.3693084164281,13.629570060977 54.3724861935979,13.636884679914 54.3748764110491,13.6448581243279 54.376387069823,13.6531835160938 54.3769600152746,13.661540355784 54.3765731873254,13.6696069246265 54.3752414746496,13.6770727349765 54.3730161389818,13.6836505375233 54.3699828322126,13.6890874122825 54.3662582844567,13.6931745092003 54.3619857934915,13.6957550608727 54.35732969268,13.696730361535 54.3524690138209)))', 'DESDY', 'Seedorf', 'Y'),('SRID=4326;MULTIPOLYGON(((13.2108862583356 54.5116422718906,13.2102750595073 54.5067617663555,13.2080397343741 54.5020443957667,13.2042666874936 54.4976713637763,13.1991012674169 54.4938105916072,13.1927421275746 54.4906102850318,13.1854335696132 54.4881932634782,13.1774561667874 54.4866522654581,13.1691160259155 54.4860464068908,13.160733093822 54.4863989250635,13.152628947035 54.487696292545,13.1451145210873 54.4898887340576,13.1384782377575 54.4928921268962,13.1329749749441 54.4965912137373,13.128816294884 54.5008440073965,13.1261623027045 54.5054872219756,13.1251154498309 54.5103425255328,13.1257165269815 54.5152233773852,13.1279430113157 54.5199421897218,13.1317098442064 54.5243175393979,13.1368726231264 54.5281811523444,13.1432330967395 54.5313843903065,13.1505467603469 54.533803987579,13.1585322634067 54.5353468135199,13.1668822659127 54.5359534739251,13.1752753196939 54.5356006094344,13.1833883072852 54.5343018002033,13.1909089472199 54.5321070410029,13.1975478716971 54.5291008073859,13.2030498007294 54.5253987891586,13.2072033751384 54.5211434197825,13.2098492670868 54.5164983772846,13.2108862583356 54.5116422718906)))', 'DESH2', 'SCHAPRODE', 'Y'),('SRID=4326;MULTIPOLYGON(((13.3266011870303 54.2345991335001,13.3259796894682 54.2297189330896,13.3237454140903 54.225003510325,13.3199847155059 54.2206339941663,13.3148424599575 54.2167781715959,13.3085164059196 54.2135840596232,13.3012495825471 54.2111742414243,13.2933209621212 54.209641180575,13.2850347830916 54.2090436896541,13.2767089273609 54.2094046856062,13.2686627879992 54.2107103157799,13.2612050809446 54.2129104872111,13.2546220560845 54.2159207792729,13.2491665494112 54.2196256680659,13.2450482889805 54.2238829416376,13.2424258237856 54.228529140042,13.2414003873912 54.2333858149848,13.2420119386853 54.2382663718542,13.244237542331 54.2429832335938,13.2479921639104 54.2473550521731,13.2531318623506 54.2512136900873,13.2594592684755 54.2544107017168,13.2667311472895 54.256823062439,13.2746677568673 54.2583579216013,13.2829636424825 54.2589561928479,13.2912994444911 54.2585948404362,13.29935425559 54.2572877712857,13.3068180396467 54.255085297432,13.3134036216061 54.2520721900252,13.3188577761825 54.248364401576,13.3229709811667 54.2441045854829,13.3255854572126 54.2394565887674,13.3266011870303 54.2345991335001)))', 'DESHY', 'Stahlbrode', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1607788809375 54.4162420122588,11.159700967276 54.4113894191891,11.1570211785101 54.4067526704367,11.1528429511654 54.4025098481839,11.1473271347863 54.3988238546082,11.1406857677649 54.3958361740376,11.1331739185469 54.39366146108,11.1250799072569 54.3923831588606,11.1167142798777 54.3920503120677,11.1083979504675 54.3926756942941,11.1004499555339 54.394235319812,11.0931752779949 54.3966693581422,11.0868531958669 54.3998844173581,11.0817265929686 54.4037571107917,11.0779926358447 54.4081387734491,11.0757951735065 54.4128611507187,11.0752191555366 54.4177428444646,11.0762872911975 54.4225962718108,11.078959089502 54.4272348710693,11.0831323303992 54.4314802783355,11.0886469234872 54.4351691978872,11.0952910166112 54.4381596999434,11.1028091263031 54.4403367003504,11.1109119793383 54.4416164077388,11.1192876836573 54.4419495634961,11.1276137910771 54.4413233469921,11.1355697764747 54.439761870966,11.1428494404559 54.4373252476207,11.1491727458648 54.4341072624282,11.1542966226515 54.43023174751,11.1580243192989 54.4258477974054,11.1602129398973 54.4211240149685,11.1607788809375 54.4162420122588)))', 'DESKQ', 'Strukkamp', 'Y'),('SRID=4326;MULTIPOLYGON(((8.79808721583695 54.6820794470816,8.79728357165575 54.677207547561,8.79485555882185 54.6725200725423,8.79089697454547 54.6681970664989,8.78556027422812 54.6644045206351,8.77905066278039 54.6612880151805,8.77161819086207 54.6589671499443,8.76354816243473 54.6575309733462,8.75515021965743 54.6570345817648,8.74674651713881 54.6574970166468,8.73865942883877 54.6589005380057,8.7311992468425 54.6611913014363,8.72465233149625 54.6642814133423,8.71927015699547 54.6680522875074,8.71525966575449 54.6723591772202,8.71277529940193 54.6770367125842,8.71191301506782 54.6819052340493,8.71270652424037 54.6867776820519,8.71512590987353 54.6914667802291,8.71907868816924 54.6957922369968,8.7244132876348 54.6995876880504,8.7309248231974 54.7027071108718,8.73836295127037 54.7050304615089,8.74644150679482 54.706468313162,8.75484954943758 54.7069653144399,8.7632633869749 54.706502331075,8.77135910247997 54.7050971865557,8.77882509045293 54.7028039723988,8.78537410664106 54.6997109553022,8.79075435701692 54.6959371637711,8.79475919209895 54.6916277886593,8.79723503135838 54.6869485782423,8.79808721583695 54.6820794470816)))', 'DESL5', 'Schlüttsiel', 'Y'),('SRID=4326;MULTIPOLYGON(((9.60991127387665 54.5167912075973,9.60901429251763 54.5119249566656,9.60650332475091 54.5072539826538,9.60247534130819 54.5029576916308,9.59708544720213 54.4992010457914,9.59054087386174 54.4961282456521,9.58309300018088 54.4938572136405,9.5750277113528 54.492475087253,9.56665446304272 54.4920348912093,9.55829446346496 54.4925535133449,9.55026841625863 54.4940110599675,9.54288428206215 54.4963516147963,9.53642551607229 54.4994853731589,9.53114022264668 54.5032920716415,9.52723163648697 54.5076255846493,9.52485029378054 54.5123195150354,9.5240881969366 54.5171935677356,9.52497520474009 54.5220604646619,9.52747779789639 54.5267331372211,9.53150028063151 54.5310319207563,9.53688838536662 54.5347914736107,9.54343515309037 54.5378671527013,9.55088887083603 54.540140597306,9.55896276370524 54.5415243026327,9.56734606614456 54.5419650035819,9.57571603928749 54.5414457354509,9.58375046110794 54.5399864902789,9.59114009600759 54.5376434429359,9.59760065135846 54.5345067775577,9.60288375039106 54.5306972001247,9.60678649248228 54.5263612745256,9.60915923115201 54.5216657652023,9.60991127387665 54.5167912075973)))', 'DESLS', 'SCHLESWIG', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3147959007219 54.4145416908957,10.3138178856613 54.409681157047,10.3112334621538 54.4050252629225,10.3071424123659 54.400752831315,10.3017022506485 54.3970279053662,10.2951221252526 54.3939934664068,10.287654767984 54.3917659644288,10.2795868030689 54.3904308675588,10.271227784397 54.3900393978392,10.2628983745228 54.3906065756907,10.2549181083312 54.3921106462568,10.2475931984969 54.3944939091364,10.2412048384922 54.3976649205702,10.2359984419459 54.4015019857522,10.2321742249619 54.4058578103615,10.2298794912308 54.4105651363701,10.2292029194993 54.4154431492858,10.2301710807339 54.420304413712,10.2327473301796 54.4249620726916,10.2368331300959 54.429237034749,10.2422717653783 54.432964871505,10.2488543201639 54.4360021584848,10.2563276927963 54.4382320121111,10.2644043432654 54.4395686062396,10.2727733953836 54.4399604908835,10.2811126590931 54.4393925824535,10.2891010993497 54.4378867470303,10.2964312590508 54.4355009536989,10.3028211454805 54.4323270314573,10.3080251126278 54.4284871182558,10.3118433142448 54.4241289420002,10.3141293624268 54.419420118735,10.3147959007219 54.4145416908957)))', 'DESNQ', 'Stein, Plön', 'Y'),('SRID=4326;MULTIPOLYGON(((8.60317117585909 53.794146955718,8.60240693129455 53.7892731191967,8.60005196788321 53.784581180384,8.59619725191113 53.7802513594491,8.59099123305118 53.7764499147745,8.58463409175424 53.7733227741777,8.5773700289359 53.7709899512554,8.56947789686457 53.7695409577408,8.56126052892399 53.7690313844735,8.55303317131942 53.7694807792161,8.54511145076314 53.7708719007343,8.53779932805097 53.7731513770048,8.53137748790621 53.7762317429168,8.52609260051494 53.7799947811774,8.52214786011256 53.7842960411112,8.51969516145019 53.7889703653683,8.51882921700317 53.7938382158674,8.51958384786297 53.7987125590641,8.52193060135735 53.8034060481316,8.52577976108482 53.8077382268888,8.53098372326113 53.8115424779965,8.53734262054879 53.8146724463835,8.54461198470049 53.8170076879474,8.55251215636878 53.8184583227384,8.56073907821339 53.818968510047,8.56897604953184 53.8185186086283,8.57690598000908 53.8171259368534,8.58422365896237 53.8148441027587,8.59064755578184 53.8117609304128,8.59593068717327 53.8079950643628,8.59987012623826 53.8036913857892,8.60231478530716 53.7990154202576,8.60317117585909 53.794146955718)))', 'DESNV', 'Spieka-Neufeld', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4507924183294 54.413493516483,10.4497983647048 54.4086341864264,10.4471986592668 54.4039813000801,10.4430936697639 54.3997135638654,10.437641443826 54.3959948399826,10.4310515905543 54.3929678712799,10.4235772128872 54.3907488209117,10.4155052026134 54.3894228327986,10.407145267671 54.3890407797779,10.3988181054425 54.3896173213591,10.3908431651402 54.3911303437905,10.3835264564517 54.3935218034406,10.3771488600923 54.3966999420549,10.371955378819 54.4005427910768,10.3681457351171 54.404902833678,10.3658666748702 54.4096126491524,10.3652062759252 54.4144913264997,10.3661904881299 54.419351403821,10.3687820492008 54.4240060688286,10.3728818312944 54.4282763443165,10.3783325795631 54.4319979815036,10.3849249098695 54.4350277940176,10.3924053421712 54.4372491857594,10.4004860629167 54.4385766563551,10.4088560380767 54.4389591072724,10.4171930417344 54.4383818184256,10.425176126407 54.4368670173309,10.4324980424998 54.4344730184057,10.4388771165183 54.4312919664864,10.4440681207477 54.4274462736542,10.4478717098119 54.4230838896815,10.450142059592 54.4183725917263,10.4507924183294 54.413493516483)))', 'DESSG', 'SCHOENBERGER STRAND', 'Y'),('SRID=4326;MULTIPOLYGON(((10.214820470588 54.4365770010204,10.2138537117869 54.4317156190997,10.2112791638163 54.4270575535189,10.207196231177 54.42278171102,10.2017621184451 54.4190522660817,10.1951857435646 54.4160123736736,10.1877196960248 54.4137786930586,10.1796505509204 54.4124369292708,10.1712879079012 54.4120385598735,10.162952568353 54.4125988697059,10.1549642937967 54.4140963671779,10.1476296028259 54.4164736039866,10.1412300626371 54.419639367691,10.1360115143545 54.4234721651741,10.1321746392471 54.4278248664205,10.1298672262411 54.4325303339644,10.129178440927 54.437407825419,10.1301353240775 54.4422699261607,10.1327016655854 54.446929747763,10.136779310309 54.451208116146,10.1422118587101 54.4549404722883,10.1487906310025 54.4579832180163,10.1562626727145 54.4602192596747,10.1643404961936 54.4615625327813,10.1727131805852 54.4619613299925,10.1810583957935 54.4614003013381,10.1890548768158 54.4599010478427,10.1963948556976 54.4575212851481,10.2027959602071 54.4543526102388,10.2080121110685 54.4505169594369,10.2118429920004 54.4461618971492,10.2141417266364 54.4414549202883,10.214820470588 54.4365770010204)))', 'DESTD', 'STRANDE', 'Y'),('SRID=4326;MULTIPOLYGON(((13.1406836250338 54.3186655461544,13.1400830983878 54.313784626068,13.1378658132301 54.3090659610146,13.1341174756936 54.3046908054386,13.1289824817872 54.3008271634322,13.1226583153363 54.2976233523376,13.1153879363168 54.2952023273701,13.1074504554496 54.2936569816599,13.0991504516516 54.2930465985172,13.0908063362413 54.2933945889126,13.0827382005917 54.2946875987459,13.075255601512 54.2968760191587,13.0686457406873 54.2998758807157,13.0631624809845 54.3035720605157,13.0590166136191 54.3078226819773,13.0563677466868 54.3124645419056,13.0553181283751 54.3173193601013,13.0559086487225 54.3222006147241,13.0581171840071 54.3269207031525,13.0618593601837 54.3312981542464,13.0669917192553 54.3351646144425,13.073317178528 54.338371337355,13.0805925812078 54.3407949244703,13.0885380517681 54.3423420925943,13.0968477949332 54.3429532809704,13.1052019166522 54.342604956038,13.1132788021801 54.3413105228279,13.1207675626168 54.3391198068951,13.1273800582673 54.3361171271473,13.1328620251384 54.3324180355301,13.1370028688383 54.3281648519224,13.1396437460801 54.3235211695824,13.1406836250338 54.3186655461544)))', 'DESTL', 'STRALSUND', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0926945630623 54.3332668601835,11.0916270886618 54.3284135071029,11.088960571711 54.3237750724716,11.084797937265 54.3195297039555,11.0792994354175 54.3158404022674,11.0726764401992 54.3128487794321,11.065183316157 54.3106696419224,11.0571076667081 54.309386603005,11.0487593354221 54.3090488892311,11.0404585747429 54.3096694608147,11.0325238253233 54.3112245162985,11.0252595625128 54.3136544001327,11.0189446643319 54.3168658793621,11.0138217375098 54.3207357043263,11.0100878052103 54.3251153198977,11.0078867126019 54.3298365500222,11.007303545549 54.3347180408123,11.0083612849738 54.3395722176048,11.0110198369557 54.3442124905114,11.0151774890331 54.3484604320061,11.0206747496341 54.3521526496638,11.0273004336988 54.3551470875297,11.0347997673294 54.3573285105681,11.0428842017561 54.3586129575608,11.0512425559747 54.3589509875894,11.0595530516386 54.358329592293,11.0674957660298 54.3567726985318,11.0747650112036 54.3543402417172,11.081081150621 54.3511258465178,11.0862013885878 54.3472532065239,11.0899291112961 54.3428713054259,11.092121418932 54.3381486672278,11.0926945630623 54.3332668601835)))', 'DESUU', 'SÜTEL', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0669914144756 54.5976286892524,10.0660381482505 54.5927661953211,10.0634700040817 54.5881050767247,10.0593861468121 54.5838243578123,10.0539438221535 54.5800884001701,10.0473522675476 54.5770406082294,10.0398646574727 54.5747979436074,10.0317683947756 54.573446455151,10.0233741179468 54.5730379927007,10.0150038388766 54.5735882277491,10.0069786555197 54.5750760550615,9.99960649842581 54.5774443976685,9.99317036898467 54.5806023852146,9.98791751048831 54.5844288242299,9.98404992106285 54.5887768302705,9.98171657083025 54.5934794477433,9.9810076253947 54.5983560452275,9.98195090543719 54.6032192436757,9.98451072989789 54.6078821132941,9.98858920053336 54.6121653631568,9.99402989169904 54.6159042463638,10.0006238146399 54.6189549130932,10.0081174343222 54.6211999640671,10.0162224329916 54.6225529871376,10.0246268421841 54.6229618988329,10.0330071074465 54.6224109592665,10.0410406105149 54.6209213809301,10.0484181542381 54.6185505073708,10.0548559171621 54.6153895942593,10.0601064073139 54.6115602804562,10.0639679871285 54.6072098880658,10.0662926013935 54.6025057359808,10.0669914144756 54.5976286892524)))', 'DESYR', 'Schubystrand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.278319466594 53.972204706172,11.2772408241713 53.9673528538438,11.2745779773477 53.9627182461469,11.270433698 53.958478883966,11.2649675214417 53.9547975384398,11.2583895742158 53.9518155178584,11.2509524894066 53.9496472621646,11.2429417215735 53.9483759690087,11.234664629897 53.9480504158214,11.2264387410104 53.9486830971082,11.2185796312822 53.9502497467669,11.2113888814045 53.9526902634118,11.2051425537645 53.9559110042363,11.2000806252528 53.959788361651,11.1963977752446 53.9641734885813,11.1942358811838 53.9688979946052,11.1936785135953 53.9737803976739,11.19474765004 53.978633086442,11.1974027455808 53.983269527475,11.2015422084031 53.98751144078,11.2070072364667 53.9911956668329,11.2135878780787 53.9941804588097,11.2210310899608 53.9963509548476,11.2290504847627 53.9976236162238,11.2373373899252 53.9979494572081,11.2455727847984 53.9973159394803,11.2534396458118 53.9957474564835,11.2606352122099 53.9933043887128,11.2668826883349 53.9900807673611,11.2719419224519 53.986200638552,11.2756186453848 53.9818132712796,11.2777719124819 53.9770873970371,11.278319466594 53.972204706172)))', 'DETAZ', 'TARNEWITZ', 'Y'),('SRID=4326;MULTIPOLYGON(((10.8233588561447 53.9993647404439,10.822332259491 53.9945084508844,10.8197179247282 53.9898634303482,10.8156167657687 53.9856080823465,10.8101866692194 53.9819057938156,10.803636384257 53.9788986781268,10.7962174894786 53.9767021386112,10.78821474706 53.9754004577454,10.7799352115017 53.9750435778548,10.7716965036044 53.9756451940808,10.763814689094 53.9771822310495,10.7565922149008 53.9795957229052,10.7503063541956 53.9827930639109,10.7451985939372 53.9866515454572,10.741465366215 53.9910230468533,10.7392504777803 53.9957397033997,10.7386395319355 54.0006203375873,10.7396565649471 54.0054774092847,10.7422630374438 54.0101242197168,10.7463592324714 54.0143820928776,10.7517880191376 54.0180872573985,10.7583408476858 54.0210971620649,10.7657657522828 54.0232959789489,10.773777055813 54.024599078865,10.7820664004231 54.0249563034496,10.7903146719713 54.0243539050847,10.7982043487505 54.0228150782182,10.8054317868708 54.0203990612016,10.8117189574494 54.0171988442054,10.8168241741132 54.0133375736824,10.8205513920141 54.0089637949198,10.8227577193422 54.004245719325,10.8233588561447 53.9993647404439)))', 'DETFD', 'Timmerdorf Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4183344964116 53.9911552027177,11.4172390575408 53.9863048049964,11.4145594893281 53.9816734974133,11.4103992050055 53.9774391531785,11.4049183528099 53.9737643500068,11.3983276205472 53.9707901445376,11.3908801297478 53.9686306765414,11.382861732266 53.9673688064866,11.3745800785534 53.9670529504899,11.3663528695897 53.9676952313726,11.3584957326122 53.9692710151137,11.3513101737287 53.9717198501634,11.3450720579695 53.9749477746321,11.3400210493563 53.9788309051014,11.3363514104968 53.9832201724856,11.3342045137464 53.9879470267249,11.3336633552347 53.9928298947198,11.334749290597 53.9976811462834,11.3374211291902 54.0023143022216,11.3415766345464 54.0065512079294,11.3470563859839 54.0102288957312,11.3536498632797 54.0132058698292,11.3611035269986 54.0153675689538,11.3691305855158 54.0166307929672,11.3774220698145 54.0169469196243,11.3856587822952 54.0163037848982,11.3935236488945 54.0147261528001,11.4007139867392 54.0122747562757,11.4069532032467 54.0090439471763,11.4120014668183 54.0051580480793,11.4156649327561 54.0007665495687,11.4178031684763 53.9960383413726,11.4183344964116 53.9911552027177)))', 'DETMD', 'Timmendorf, Poel', 'Y'),('SRID=4326;MULTIPOLYGON(((8.99270526656352 54.3170101396666,8.99188565501053 54.3121392435117,8.98945696345816 54.3074553919562,8.98551300216154 54.3031384903093,8.98020565398971 54.2993542962832,8.9737389893499 54.2962480710921,8.96636140701152 54.2939390219708,8.95835610535862 54.2925157459136,8.95003024762219 54.292032845967,8.94170323010665 54.2925088469277,8.93369449328808 54.2939254884197,8.92631133127524 54.2962284217628,8.91983715517834 54.2993292845896,8.91452065042377 54.3031090755971,8.9105662372948 54.3074227029156,8.9081261986149 54.3121045350613,8.90729477956153 54.3169747449261,8.90810449359467 54.3218462062273,8.91052478741069 54.3265316795661,8.9144631292328 54.3308510127316,8.91976849170689 54.3346380778357,8.92623710673227 54.3377471765687,8.93362027861308 54.3400586642248,8.94163395800899 54.3414835725644,8.94996970625272 54.3419670500408,8.9583066212977 54.3414904839329,8.96632375585662 54.3400722206558,8.97371253734003 54.337766855792,8.98018869912511 54.3346631218864,8.98550325348452 54.3308804573379,8.98945207706705 54.3265643914865,8.99188373800787 54.3218809270602,8.99270526656352 54.3170101396666)))', 'DETOE', 'Tönning', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9074599086767 54.0863930630946,13.9067720645682 54.0815155076823,13.9044794455304 54.0768105424009,13.9006706378201 54.0724588912517,13.8954923439739 54.0686276529437,13.8891436947423 54.0654638996096,13.8818685767249 54.0630890492734,13.8739462735142 54.0615942246288,13.8656807779027 54.0610367727289,13.8573891790442 54.0614380760797,13.8493895603134 54.062782737003,13.8419888603094 54.0650191656912,13.835471150658 54.0680615499117,13.8300867699823 54.0717931326099,13.8260427239105 54.0760706744984,13.823494716912 54.0807299338236,13.8225411241025 54.0855919564959,13.8232191413908 54.0904699381476,13.8255032724194 54.0951763967115,13.8293062231531 54.0995303808479,13.8344821827277 54.1033644366722,13.8408323757661 54.1065310631104,13.8481126806403 54.1089084047346,13.856043024107 54.1104049595744,13.8643181893167 54.1109631171699,13.8726196150051 54.110561387579,13.8806277217496 54.1092152333714,13.888034278727 54.106976471694,13.894554322641 54.1039312699563,13.8999371595003 54.1001968141546,13.9039760187107 54.0959167809799,13.9065159854564 54.0912557914615,13.9074599086767 54.0863930630946)))', 'DETR2', 'TRASSENHEIDE', 'Y'),('SRID=4326;MULTIPOLYGON(((10.9003103809268 53.9533379979658,10.8992761123278 53.948482397096,10.8966562651096 53.9438390654659,10.8925519628427 53.9395863414135,10.8871212108094 53.9358875110014,10.8805727816399 53.9328845549091,10.8731581815253 53.9306927170256,10.8651620073231 53.9293960997007,10.8568910616976 53.9290444512859,10.8486626366857 53.9296512664628,10.8407924047525 53.9311932705262,10.8335823698941 53.9336113070086,10.827309329365 53.9368125955638,10.8222142791927 53.9406742756802,10.8184931641216 53.94504810334,10.8162893257057 53.9497661238924,10.8156879420304 53.9546471067941,10.8167126805524 53.9595034979287,10.8193247038741 53.9641486242113,10.8234240795417 53.9684038740847,10.8288535523042 53.9721055769534,10.8354045442907 53.9751113148325,10.8428251591463 53.9773054203308,10.8508298843245 53.9786034458746,10.8591106153512 53.9789554287232,10.8673485704487 53.9783478232805,10.875226626281 53.9768040245627,10.8824415877338 53.9743834622575,10.8887159075242 53.9711793012453,10.8938083948708 53.967314839343,10.8975234951981 53.9629387440703,10.8997187826431 53.9582193153009,10.9003103809268 53.9533379979658)))', 'DETRV', 'Travemünde', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7576558080752 54.27944702848,13.7569827723275 54.2745688540138,13.7546968628668 54.2698612223812,13.750886415393 54.265504960341,13.7456982018454 54.2616673434667,13.7393317387006 54.2584956881175,13.7320315990996 54.2561117146564,13.724078027313 54.2546068948129,13.7157762141662 54.2540389581959,13.7074446387081 54.2544296889227,13.6994029135337 54.2557640947461,13.6919595880911 54.2579909796614,13.685400365685 54.2610248985222,13.6799771757132 54.2647494204874,13.6758985132333 54.2690215789385,13.6733214138658 54.2736773405661,13.6723453743152 54.2785378872525,13.6730084588733 54.2834164726667,13.6752857521126 54.2881255924129,13.6790902300738 54.2924841931809,13.6842760296225 54.2963246433475,13.6906440017936 54.2994991952106,13.6979493437125 54.3018856874392,13.7059110191039 54.3033922648438,13.7142226034415 54.3039609302423,13.7225641300992 54.3035697885668,13.7306144714997 54.302233894628,13.7380637664517 54.3000046709829,13.7446254028475 54.2969679188288,13.7500470837832 54.2932405003503,13.7541205439404 54.2889658231336,13.7566895397062 54.284308303947,13.7576558080752 54.27944702848)))', 'DETS2', 'THIESSOW', 'Y'),('SRID=4326;MULTIPOLYGON(((8.86974142734155 54.3520536919954,8.86893566107772 54.3471820003496,8.86651888833295 54.3424957113691,8.86258446374784 54.3381748246481,8.85728390647606 54.334385251356,8.85082102866407 54.3312724593921,8.84344408578844 54.3289559079675,8.8354362530765 54.3275244817182,8.82710479141391 54.3270330960457,8.81876931175991 54.3275006009411,8.81074957810302 54.3289090617025,8.80335330474485 54.3312044434138,8.79686440388662 54.3342986735974,8.79153212410776 54.3380730058734,8.78756148967683 54.3423825585274,8.78510540536503 54.3470618573294,8.78425873257697 54.3519311733788,8.78505457165972 54.3568034156508,8.78746290419853 54.3614913155617,8.79139166049676 54.365814628268,8.79669018434688 54.3696070732666,8.80315497317452 54.3727227454671,8.81053748057039 54.3750417471682,8.81855368416029 54.3764748207013,8.82689504866742 54.3769667998803,8.83524045551216 54.3764987443579,8.84326862937911 54.3750886726642,8.85067057102028 54.3727908649656,8.85716150529059 54.3696937630746,8.86249187404414 54.3659165505628,8.86645694395074 54.3616045476341,8.86890465738846 54.3569236015504,8.86974142734155 54.3520536919954)))', 'DETTU', 'Tetenbüll', 'Y'),('SRID=4326;MULTIPOLYGON(((14.1071209435503 53.7483211814401,14.106414950362 53.7434444350663,14.1041179052255 53.7387430056882,14.1003185526546 53.7343974813044,14.0951632219129 53.7305747260119,14.0888501547972 53.7274214876109,14.0816218684178 53.7250587822822,14.0737558492838 53.7235772684679,14.0655539341696 53.7230337840262,14.0573307790742 53.7234491765392,14.049401849037 53.7248075079526,14.0420713779525 53.7270566632365,14.0356207485194 53.7301103402536,14.030297728035 53.7338513463146,14.0263069662237 53.7381360777598,14.0238021172807 53.742800014068,14.0228798908556 53.7476640190773,14.0235762672518 53.7525412103946,14.025865032633 53.7572441352552,14.0296587030022 53.7615919779874,14.0348118141604 53.7654175215469,14.0411264622237 53.7685735936454,14.0483598893993 53.7709387466972,14.0562338265391 53.772421949616,14.0644452314237 53.7729661073926,14.0726780033203 53.7725502699355,14.0806152131171 53.7711904430377,14.0879513664 53.7689389694036,14.094404215408 53.7658825041186,14.0997256549355 53.7621386643608,14.1037112759463 53.7578514851944,14.1062082068867 53.7531858597834,14.1071209435503 53.7483211814401)))', 'DEUCK', 'Ueckermünde', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0893869075543 54.0123285482004,14.0886788783729 54.0074519009482,14.086369661878 54.0027502863325,14.0825484780696 53.9984042987274,14.0773625006356 53.9945808188055,14.0710111514583 53.9914266206919,14.0637384176896 53.9890627558619,14.0558234895166 53.9875799259065,14.0475700762276 53.9870350182424,14.0392948042806 53.9874489346705,14.0313151326981 53.988805794004,14.0239372375958 53.9910535385222,14.0174443186694 53.9941059215242,14.0120857659969 53.9978458015687,14.0080675958686 54.002129619856,14.0055445201525 54.006792892371,14.0046139559697 54.0116565094859,14.0053122126392 54.0165336041938,14.0076130129329 54.0212367273035,14.0114284181404 54.0255850547867,14.0166121343138 54.0294113497461,14.0229650838293 54.0325684094928,14.0302430359002 54.0349347468936,14.0381660059011 54.0364192839308,14.0464290602474 54.0369648732993,14.0547141047158 54.0365505094149,14.0627021925039 54.0351921415855,14.0700858662039 54.0329420571873,14.0765810463819 54.029886859147,14.0819379987066 54.02614411747,14.0859509505284 54.0218578266137,14.0884659844198 54.0171928470189,14.0893869075543 54.0123285482004)))', 'DEUEC', 'UECKERITZ', 'Y'),('SRID=4326;MULTIPOLYGON(((9.71205309066617 53.6777573671693,9.71116301197568 53.6728911788813,9.70869163613179 53.6682215572175,9.70473438757069 53.6639278585953,9.69944363579179 53.6601749494899,9.69302279522358 53.6571068917144,9.68571849401266 53.6548414305942,9.67781111477517 53.6534654941497,9.66960406797298 53.6530318726013,9.66141220278528 53.6535572027606,9.65354979010974 53.6550213327873,9.64631852700812 53.6573680911027,9.63999601120392 53.6605074307465,9.634825118156 53.6643188689289,9.63100468209535 53.6686560927633,9.62868183689067 53.6733525578751,9.62794631376645 53.678227868399,9.62882692225155 53.6830946962631,9.63129036031069 53.687765975882,9.63524241196274 53.69206209843,9.64053149889146 53.6958178284116,9.6469544601287 53.698888674561,9.65426434467708 53.7011564670478,9.6621799199087 53.7025339229221,9.67039652759498 53.7029680206435,9.67859786299683 53.7024420509072,9.68646821346042 53.7009762629236,9.693704673467 53.6986270806806,9.70002885411231 53.69548492016,9.70519762648245 53.6916706936045,9.70901247920232 53.6873311384053,9.71132712841696 53.6826331538655,9.71205309066617 53.6777573671693)))', 'DEUET', 'UETERSEN', 'Y'),('SRID=4326;MULTIPOLYGON(((13.2208342004478 54.4616383425489,13.2202224295268 54.4567578453754,13.2179885538589 54.452040633287,13.2142189206627 54.4476679039419,13.2090587460667 54.4438075671378,13.2027064812705 54.4406078121987,13.1954061637518 54.4381914376698,13.1874380508042 54.4366511575002,13.1791078935262 54.4360460602648,13.1707352567384 54.4363993541387,13.1626413231093 54.4376974819076,13.1551366373217 54.4398906389803,13.1485092480854 54.4428946749486,13.1430136921598 54.4465943074922,13.1388612355817 54.4508475281393,13.1362117436045 54.4554910342803,13.1351674934302 54.4603464825254,13.1357691740951 54.4652273264851,13.1379942377773 54.4699459786242,13.1417576788019 54.4743210220502,13.1469152237431 54.478184194668,13.1532688217443 54.4813868754269,13.1605742323617 54.4838058203521,13.1685504229247 54.4853479241745,13.1768904125905 54.4859538206842,13.1852731396445 54.4856001800235,13.1933758852645 54.4843006122021,13.2008867632209 54.4821051410465,13.2075167821028 54.4790982692634,13.2130110048133 54.4753957109006,13.2171583682875 54.471139919859,13.2197997826521 54.4664945900673,13.2208342004478 54.4616383425489)))', 'DEUMZ', 'UMMANZ', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9662466955144 53.8753712989217,13.9655551329112 53.8704938956692,13.9632671283525 53.8657899107465,13.9594710840297 53.8614400308021,13.9543132068309 53.8576112872735,13.9479918401047 53.8544506575684,13.9407498219775 53.8520794409968,13.9328651667906 53.8505886219108,13.9246404256639 53.8500353945127,13.9163911282813 53.8504409796587,13.9084337396634 53.8517898153281,13.90107358226 53.8540301509628,13.8945931748383 53.8570760233973,13.8892414253433 53.8608105403818,13.885224085454 53.8650903485405,13.882695830599 53.8697511177239,13.8817542717187 53.8746138347353,13.8824361355554 53.8794916678238,13.8847157706425 53.884197140424,13.8885060489639 53.8885493394025,13.8936616414536 53.8923808802699,13.8999845525912 53.8955443597497,13.9072317091297 53.8979180446791,13.9151243144521 53.8994105749205,13.9233586071018 53.8999644957635,13.9316176032603 53.8995584807809,13.9395833613541 53.8982081574322,13.9469492847558 53.8959655027616,13.9534319768777 53.8929168329872,13.9587821819521 53.8891794662288,13.9627943834257 53.8848971897141,13.9653146881483 53.880234709377,13.9662466955144 53.8753712989217)))', 'DEUSD', 'USEDOM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.22478756383363 53.4102785753503,8.22407326959909 53.4054022231462,8.22178104937709 53.4007028062852,8.21799945160222 53.3963608357996,8.2128741149058 53.3925430403743,8.20660212370234 53.3893959789778,8.19942441616112 53.3870404325269,8.19161653902983 53.3855667864871,8.18347810244154 53.385031578193,8.17532133326953 53.3854553384277,8.16745915672639 53.3868218080476,8.16019325206145 53.389078558909,8.15380252906516 53.3921389958254,8.14853245762852 53.3958856645589,8.14458565313245 53.4001747417225,8.14211407659618 53.4048415376532,8.14121315132058 53.4097068044584,8.14191802868959 53.4145836099994,8.14420215680095 53.4192845158543,8.14797821916969 53.4236287843054,8.15310141988055 53.4274493368238,8.15937499970531 53.4305991946987,8.16655777862339 53.4329571512746,8.17437343781686 53.4344324541662,8.18252118240352 53.4349683137976,8.19068736844989 53.4345441002254,8.19855763710772 53.4331761416098,8.20582907717568 53.4309170927811,8.21222193614906 53.4278538987708,8.21749041895557 53.4241044335595,8.22143215207072 53.4198129462726,8.22389594654794 53.415144493492,8.22478756383363 53.4102785753503)))', 'DEVAR', 'VAREL', 'Y'),('SRID=4326;MULTIPOLYGON(((13.4760562344696 54.6675493088236,13.4754112917268 54.6626700642441,13.473137005417 54.6579574785384,13.4693212793605 54.6535925693275,13.4641111011982 54.6497429437485,13.4577068404505 54.6465563777978,13.4503545265063 54.6441551621679,13.4423364065672 54.6426314280988,13.4339601444235 54.6420436290178,13.4255470682412 54.6424143098136,13.4174199082039 54.6437292471124,13.4098904822029 54.6459379925861,13.4032477894781 54.6489557989093,13.397746958148 54.652666856279,13.393599463221 54.656928718187,13.3909649875573 54.661577750112,13.3899452403538 54.6664353956072,13.3905799774798 54.6713150223743,13.3928453873548 54.6760290876416,13.3966549175143 54.680396348539,13.401862523587 54.6842488399066,13.4082682276322 54.6874383494579,13.4156257805339 54.689842138364,13.4236521375081 54.6913676836263,13.4320383807498 54.6919562560794,13.4404616625593 54.6915851930955,13.4485976990365 54.6902687762331,13.4561333209315 54.6880576790709,13.4627785857364 54.6850370069581,13.4682779737587 54.6813230059882,13.472420229723 54.677058570806,13.4750464683547 54.6724077276899,13.4760562344696 54.6675493088236)))', 'DEVIA', 'VITT-ARKONA', 'Y'),('SRID=4326;MULTIPOLYGON(((13.1509446323584 54.5686640024676,13.1503399005165 54.563783287779,13.1481085492424 54.5590648818964,13.1443368327629 54.5546900284496,13.1391700507225 54.5508267186364,13.1328069106109 54.547623255516,13.1254918687615 54.5452025794118,13.1175057476549 54.5436575687559,13.1091549882883 54.543047493115,13.1007599439071 54.5433957513311,13.0926426543328 54.5446889793026,13.0851145577904 54.5468775606377,13.0784645991918 54.5498775209968,13.0729481802431 54.5535737351965,13.0687773677967 54.5578243268545,13.0661127331585 54.5624660952162,13.0650571375908 54.5673207644739,13.0656517094294 54.5722018188273,13.0678741780078 54.5769216630627,13.0716396414077 54.5812988345748,13.0768037519602 54.5851649892617,13.0831682088873 54.5883713909581,13.0904883553844 54.590794651969,13.0984825918361 54.5923415003334,13.1068432417566 54.5929523867095,13.1152484461513 54.5926037888281,13.1233746184266 54.5913091225018,13.1309089680456 54.5891182230994,13.137561598123 54.5861154178656,13.1430767002459 54.5824162650904,13.1472424080392 54.5781630885276,13.1498989273352 54.5735194824595,13.1509446323584 54.5686640024676)))', 'DEVT2', 'VITTE', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1354981924883 54.1690190954483,12.1350179750785 54.1641347846157,12.1329234477322 54.1593992767607,12.1292956045024 54.1549944803269,12.1242742236956 54.1510895436698,12.1180524413107 54.1478343738992,12.110869303679 54.1453538999785,12.1030005892797 54.1437432969092,12.0947482511522 54.1430643507188,12.0864288794683 54.1433431005371,12.0783616175606 54.1445688458804,12.0708559833041 54.1466945560905,12.0642000508625 54.1496386664608,12.0586494353972 54.1532881937232,12.0544174956569 54.1575030540443,12.0516671270154 54.1621214212127,12.0505044614632 54.1669659229215,12.0509747226833 54.1718504404719,12.0530604055364 54.1765872531236,12.0566818624626 54.1809942537895,12.0617002874125 54.1849019585405,12.0679229943913 54.1881600388498,12.0751107963091 54.1906431226506,12.0829872045925 54.1922556376106,12.0912490948775 54.1929355066338,12.0995784227611 54.1926565500973,12.1076545291674 54.1914294999557,12.1151665497256 54.1893015855113,12.1218254380156 54.186354707046,12.1273751288769 54.1827022692455,12.1316024043256 54.1784847990458,12.1343450790851 54.1738645199888,12.1354981924883 54.1690190954483)))', 'DEWAR', 'Warnemünde', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((9.92116055399557 54.755679890279,9.92022079194768 54.7508163261916,9.91765913199057 54.7461522135147,9.91357449619059 54.7418666919441,9.90812416576945 54.7381243073492,9.90151768975206 54.7350687103426,9.89400881770491 54.7328171612825,9.88588576871623 54.7314560490188,9.87746020743313 54.7310375918072,9.86905534287381 54.7315778440249,9.86099359586311 54.7330560832616,9.85358429567164 54.7354156007227,9.84711186548008 54.7385658654739,9.84182493965336 54.7423859816274,9.83792682381487 54.7467293089249,9.8355676620213 54.7514290729967,9.83483861501325 54.7563047535024,9.83576828108136 54.761169007846,9.83832150858867 54.7658348664708,9.8424006592321 54.7701229238767,9.84784928685632 54.7738682481368,9.85445810167404 54.7769267411012,9.86197299805976 54.7791807015282,9.87010483977509 54.7805433734587,9.87854062355897 54.7809623011916,9.88695558410788 54.7804213587166,9.89502576357195 54.77894137353,9.90244054891524 54.7765793202316,9.90891468189342 54.7734261158146,9.91419926891 54.7696031037043,9.91809136040633 54.7652573650419,9.920441729478 54.7605560413052,9.92116055399557 54.755679890279)))', 'DEWAV', 'WACKERBALLIG', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6237637486567 54.4098493526491,12.6232236276985 54.4049666006881,12.6210613245344 54.4002391145035,12.6173604404008 54.3958484904728,12.6122635580342 54.3919633289592,12.6059667077226 54.388732774723,12.5987118098156 54.3862808096819,12.5907773877368 54.3847015136536,12.5824679068473 54.3840554713699,12.574102142411 54.384367460442,12.5660010133006 54.3856255066742,12.5584753362555 54.3877813418958,12.5518139581143 54.3907522470682,12.5462727104629 54.3944242116224,12.5420646028241 54.3986562905672,12.5393516274826 54.4032859956027,12.5382384922421 54.408135516905,12.5387685282822 54.4130185399162,12.5409219407063 54.4177473976719,12.5446164818116 54.4221402849858,12.5497105345304 54.4260282569305,12.5560084993652 54.4292617408835,12.5632682862923 54.4317163089041,12.5712106275803 54.4332974848942,12.57952985224 54.4339443979144,12.5879057016046 54.4336321377916,12.5960157214604 54.4323727199865,12.6035477415315 54.4302146214797,12.6102119493114 54.427240905875,12.6157520824295 54.4235660116046,12.6199553010427 54.419331329682,12.6226603571774 54.4146997446868,12.6237637486567 54.4098493526491)))', 'DEWD5', 'Wieck auf dem Darss', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3337893265147 54.4085349950741,10.3328092224012 54.4036746222943,10.3302230434423 54.3990191401638,10.3261306388635 54.3947473555542,10.3206895746353 54.3910232867041,10.3141090332739 54.3879898820223,10.3066417622418 54.3857635518225,10.298574382262 54.3844297193114,10.290216424724 54.3840395580789,10.2818885115531 54.384608038402,10.2739101204146 54.3861133554951,10.2665873923273 54.3884977611425,10.2602014373632 54.3916697677085,10.2549975771454 54.3955076421293,10.2511759306379 54.3998640589173,10.2488837029401 54.4045717371766,10.2482094765165 54.409449848742,10.2491797320558 54.4143109542849,10.251757744022 54.4189682028292,10.2558449065397 54.4232425185834,10.2612844516955 54.4269694979653,10.2678674282406 54.4300057494642,10.2753407179797 54.4322344293642,10.283416783897 54.4335697567375,10.2917847722466 54.4339603304146,10.3001225340011 54.4333911173275,10.3081090921354 54.4318840338185,10.3154370622791 54.4294970970247,10.3218245363055 54.4263221799262,10.3270259613304 54.4224814586893,10.3308415891277 54.4181226922031,10.3331251308928 54.4134135190835,10.3337893265147 54.4085349950741)))', 'DEWEJ', 'Wentdorf', 'Y'),('SRID=4326;MULTIPOLYGON(((9.4472202056435 53.8428500701566,9.44635715162527 53.8379820088203,9.4439053331173 53.8333070269591,9.43995943050943 53.8290046879572,9.43467138467502 53.8252401905163,9.42824451218555 53.8221580411416,9.42092567693064 53.8198765253251,9.41299582121357 53.8184831861772,9.40475921744595 53.818031480581,9.39653184617048 53.8185387382847,9.38862933626683 53.8199855003365,9.38135491819643 53.8223162616183,9.37498784071279 53.8254415897394,9.36977268560946 53.8292415410005,9.36590998411804 53.833570245313,9.36354849316391 53.8382614875851,9.36277943089384 53.8431350747787,9.36363290021442 53.848003747077,9.36607664853996 53.8526803696455,9.37001722409195 53.8569851293178,9.37530349699388 53.8607524588674,9.38173242058915 53.8638374206262,9.38905681872784 53.8661213009423,9.39699490220878 53.8675161967312,9.40524114601705 53.8679684141248,9.41347810199915 53.8674605454583,9.42138868208875 53.8660121426973,9.42866842721102 53.8636789607433,9.43503727761797 53.8605508005128,9.44025038160651 53.8567480368683,9.44410752021063 53.8524169680581,9.44646078340489 53.8477241691469,9.4472202056435 53.8428500701566)))', 'DEWEW', 'WEWELSFLETH', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2027704032026 54.4092272069563,11.2016877467136 54.4043750285702,11.199003724872 54.3997392471178,11.1948219361505 54.3954979073966,11.1893033660815 54.3918138544994,11.182660157993 54.3888284981804,11.175147450316 54.3866564038497,11.1670535956373 54.3853809142198,11.1586891337105 54.3850509661767,11.1503749339448 54.3856792222211,11.1424299514738 54.3872415864663,11.1351590541725 54.3896781233978,11.1288413756572 54.3928953451816,11.1237196314054 54.3967697820388,11.1199908020147 54.4011527018555,11.1177985399718 54.4058758014889,11.1172275952287 54.4107576547591,11.1183004819504 54.4156106723535,11.1209765261021 54.4202483080499,11.1251533437415 54.4244922347594,11.1306707061396 54.428179213544,11.1373166538275 54.4311673892098,11.144835631297 54.4333417671265,11.1529383314427 54.4346186569258,11.1613128678679 54.4349489085584,11.1696368374099 54.4343198133045,11.1775897975734 54.4327555948133,11.1848656659515 54.4303164708918,11.1911845521275 54.42709632322,11.1963035567709 54.4232190670171,11.2000261163665 54.4188338636164,11.2022095329477 54.4141093638154,11.2027704032026 54.4092272069563)))', 'DEWFV', 'Wulfen', 'Y'),('SRID=4326;MULTIPOLYGON(((13.3270034575045 54.6206019171795,13.3263770046992 54.6157219773454,13.3241225170009 54.6110067018671,13.3203271375128 54.6066372128107,13.3151370734428 54.6027812941966,13.3087519239282 54.5995869644099,13.3014169872364 54.5971768126392,13.2934138463012 54.595643313237,13.2850495924909 54.5950452942187,13.2766450949062 54.5954056922468,13.2685227552974 54.5967106779988,13.2609942061892 54.5989101845008,13.2543484116623 54.6019198185931,13.2488406164558 54.6056240839737,13.2446825598875 54.609880795007,13.2420343271612 54.614526515413,13.2409981529267 54.6193828166912,13.2416144219133 54.6242631191735,13.2438600310114 54.6289798552328,13.2476491888029 54.6333516804428,13.2528366352776 54.6372104551257,13.2592231698053 54.6404077260859,13.2665632832652 54.6428204563677,13.2745746046087 54.6443557790632,13.2829487970736 54.6449545885767,13.2913634784873 54.6445938278998,13.2994946967016 54.6432873815649,13.3070294675034 54.6410855389071,13.3136778796162 54.638073048745,13.3191842897993 54.6343658421916,13.3233371695942 54.6301065526491,13.3259772219153 54.6254590089519,13.3270034575045 54.6206019171795)))', 'DEWIK', 'WIEK', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4952359871567 53.8961291388224,11.4941344869344 53.8912794443299,11.4914528756778 53.8866498131153,11.4872946416503 53.8824180538889,11.4818198513906 53.8787466452567,11.4752389578568 53.8757765139131,11.4678047038937 53.8736216437651,11.4598024334733 53.8723647193814,11.4515391793623 53.8720539675821,11.4433319384775 53.8727013156537,11.4354955742119 53.8742819352233,11.4283307978682 53.876735188983,11.4221126787268 53.8799669450056,11.4170801142525 53.8838531721243,11.4134266588571 53.8882446815488,11.4112930621845 53.8929728362652,11.4107618071857 53.8978560124327,11.411853865884 53.9027065674023,11.4145278087932 53.9073380483702,11.4186813150856 53.9115723650188,11.4241550379788 53.9152466493979,11.4307386870134 53.9182195370068,11.4381790998465 53.9203766243217,11.4461899948745 53.9216348892303,11.4544630263111 53.9219459008291,11.4626797087284 53.9212976922795,11.4705237413438 53.9197152229544,11.4776932454172 53.9172594117709,11.4839124319155 53.914024780001,11.4889422408806 53.9101357966181,11.4925895374037 53.9057420700284,11.4947145094739 53.9010125747889,11.4952359871567 53.8961291388224)))', 'DEWIS', 'WISMAR', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0958914041645 54.5222640529532,11.0948180419836 54.5174109179339,11.0921383068348 54.5127728025264,11.0879556369708 54.5085278414057,11.082431055678 54.5048390186094,11.0757769399709 54.5018479265998,11.0682488485136 54.4996693503265,11.0601357243638 54.4983868805712,11.0517488454025 54.4980497214406,11.0434099388198 54.4986708116946,11.03543890478 54.5002263302574,11.0281416077953 54.5026566045028,11.0217981921099 54.5058683874886,11.0166523595744 54.50973841904,11.0129020154086 54.5141181372152,11.0106916396037 54.5188393629381,11.010106680593 54.5237207430656,11.0111701947964 54.5285747073301,11.0138418728094 54.5332146736984,11.0180195030046 54.5374622257041,11.0235428293406 54.5411539848708,11.030199665861 54.544147911701,11.0377340396845 54.5463287896688,11.0458560513206 54.5476126775802,11.054253069848 54.5479501554265,11.0626018244174 54.5473282359262,11.0705809155957 54.5457708664005,11.0778832522439 54.5433380012684,11.0842279228758 54.5401232819115,11.0893710345889 54.5362504155407,11.0931150963858 54.5318683956729,11.0953165847096 54.5271457517959,11.0958914041645 54.5222640529532)))', 'DEWML', 'WESTERMARKELSDORF', 'Y'),('SRID=4326;MULTIPOLYGON(((13.8094217413928 54.0504274582689,13.8087459235488 54.0455493787472,13.8064663295084 54.0408425880005,13.8026710449685 54.0364878808935,13.7975062536536 54.0326524741618,13.7911705690539 54.0294836005035,13.7839073816888 54.0271028748191,13.7759955189896 54.0256016454086,13.7677385746829 54.0250375050183,13.7594533109609 54.0254320925598,13.751457568654 54.0267702677141,13.7440581374165 54.0290006892071,13.737539039249 54.0320377750709,13.7321506645074 54.0357649714872,13.7281001701688 54.0400392076236,13.7255435061768 54.0446963689429,13.7245793781665 54.0495575824181,13.7252453852397 54.054436075408,13.7275164916655 54.0591443469218,13.7313059039086 54.0635013766617,13.7364683322488 54.0673395942928,13.7428055229397 54.0705113391833,13.7500738561749 54.0728945593134,13.7579937211123 54.074397526626,13.7662603057561 54.0749623837945,13.7745553802586 54.0745673827843,13.7825596101846 54.0732277268612,13.789964913716 54.0709949827334,13.796486374849 54.0679550859692,13.80187324349 54.0642250183213,13.8059185919538 54.059948287741,13.8084672537107 54.0552893885215,13.8094217413928 54.0504274582689)))', 'DEWOL', 'WOLGAST', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9533557281234 53.9833763646206,13.9526640504196 53.9784989726403,13.9503717477827 53.9737948049683,13.9465673908266 53.9694445550077,13.9413975082379 53.965615267938,13.935060905817 53.9624539414406,13.9278010068591 53.9600819009457,13.9198965111552 53.9585901618677,13.9116507294728 53.9580359533113,13.9033799965764 53.958440533602,13.8954015975914 53.9597883793514,13.8880216591344 53.9620277783099,13.8815234577917 53.9650728037836,13.8761565842146 53.968806596684,13.8721273716091 53.973085832119,13.8695909533562 53.9777462025506,13.8686452569203 53.9826087105602,13.8693271715487 53.9874865326671,13.8716110474841 53.9921921927126,13.8754095970005 53.9965447700939,13.880577175542 54.0003768653032,13.8869153280805 54.0035410531454,13.8941803953315 54.0059155725765,13.9020928906793 54.0074090307859,13.9103482854822 54.0079639369466,13.9186287814635 54.0075589265288,13.9266156071546 54.0062095884039,13.9340013530481 54.0039678620228,13.940501858429 54.0009200284086,13.945867181879 53.997183374164,13.9498912261868 53.9929016597946,13.9524196447991 53.9882395702335,13.9533557281234 53.9833763646206)))', 'DEWRJ', 'Warthe', 'Y'),('SRID=4326;MULTIPOLYGON(((8.54202701956544 53.6501681243506,8.54127234867749 53.6452938014464,8.53893212345543 53.6406005805465,8.5350967404341 53.636268731923,8.52991390460485 53.6324645928364,8.52358290568491 53.629334195581,8.51634694200578 53.6269976796728,8.50848378961681 53.6255446992505,8.5002951728567 53.6250309984998,8.49209523797698 53.6254762835572,8.48419856234873 53.6268634705406,8.47690814768194 53.6291393377983,8.47050384621351 53.6322165579582,8.46523165396919 53.6359770336846,8.46129427528029 53.6402764120096,8.45884331838455 53.6449496074032,8.45797342419205 53.6498171250314,8.45871856063072 53.6546919443827,8.46105063537705 53.6593867009124,8.46488049273139 53.6637208905631,8.47006126893583 53.6675278196745,8.47639398783426 53.6706610311964,8.48363518924598 53.6729999571662,8.4915062997252 53.6744545765347,8.49970438338539 53.6749688956012,8.50791385272341 53.6745231140959,8.51581867883135 53.6731343914809,8.52311461916175 53.6708561831941,8.52952098024621 53.6677761730087,8.53479145250305 53.6640128830164,8.53872359345538 53.6597110946316,8.54116659226425 53.6550362602936,8.54202701956544 53.6501681243506)))', 'DEWRY', 'WREMEN', 'Y'),('SRID=4326;MULTIPOLYGON(((13.2228300706464 54.4576376030959,13.2222181111426 54.4527571115965,13.2199842128264 54.4480399333302,13.2162147236439 54.4436672646559,13.2110548540705 54.4398070130507,13.2047030435084 54.4366073645851,13.1974033119575 54.434191113739,13.1894358942288 54.4326509697367,13.1811065147914 54.4320460159467,13.1727347087003 54.4323994550516,13.1646416268463 54.4336977242665,13.157137781322 54.4358910135643,13.150511188665 54.4388951674443,13.1450163550987 54.4425948990348,13.1408645189224 54.4468481960312,13.1382155215126 54.4514917528611,13.1371716209779 54.4563472241607,13.1377734927921 54.4612280626344,13.1399985816412 54.4659466809469,13.1437618807398 54.4703216635061,13.1489191219971 54.4741847505669,13.1552722661504 54.4773873243869,13.1625770901746 54.4798061451275,13.170552583977 54.4813481123204,13.1788917935789 54.4819538650329,13.1872736873699 54.4816000789533,13.1953755786961 54.4803003696903,13.2028856143015 54.4781047665057,13.2095148352653 54.4750977771688,13.2150083352304 54.4713951202245,13.2191550789282 54.4671392533356,13.2217960002671 54.4624938733169,13.2228300706464 54.4576376030959)))', 'DEWSJ', 'Waase', 'Y'),('SRID=4326;MULTIPOLYGON(((13.2899373766477 54.5586146014334,13.2893161509655 54.5537344604834,13.2870692252297 54.5490185037984,13.2832834504189 54.5446478800527,13.2781046639173 54.5407904173435,13.2717320316595 54.5375941938363,13.2644103719495 54.5351818718386,13.2564207592793 54.5336460092988,13.2480697673643 54.5330455250626,13.2396777579956 54.5334034503646,13.2315666550989 54.5347060505868,13.2240476609035 54.5369033500013,13.217409373029 54.5399110397946,13.211906747559 54.5436136979415,13.2077513240811 54.5478692002261,13.2051030848297 54.5525141566232,13.2040642624733 54.5573701679751,13.2046753411634 54.5622506659193,13.2069134151513 54.5669680756382,13.2106929810555 54.5713410272464,13.2158691467423 54.5752013382512,13.2222431452744 54.5784004968604,13.2295699503471 54.5808153939234,13.2375677041348 54.5823530794611,13.2459285935101 54.5829543570926,13.2543307498811 54.5825960747957,13.2624507045309 54.5812920215378,13.2699759076299 54.5790923942588,13.27661681631 54.5760818561687,13.2821180754954 54.5723762629205,13.2862683536054 54.5681181855725,13.2889084517422 54.5634714061795,13.2899373766477 54.5586146014334)))', 'DEWT4', 'Wittow', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4386954651391 54.3499141813636,12.4381778954345 54.345030813132,12.4360398900627 54.3403002435047,12.4323641165038 54.3359041887004,12.4272921941663 54.3320114589029,12.4210191972036 54.3287714904389,12.4137861333019 54.3263086272247,12.4058706911561 54.3247173675643,12.3975766107526 54.3240587551319,12.3892220786016 54.3243580494231,12.3811275836015 54.3256037627296,12.3736036875663 54.3277480994833,12.3669391672509 54.3307087814055,12.3613899719408 54.3343721900765,12.3571694125812 54.3385977090844,12.3544399556253 54.3432231025446,12.3533069382306 54.3480707271361,12.3538144525419 54.35295434237,12.3559435674689 54.3576862598909,12.3596129690197 54.3620845582761,12.364682007867 54.3659800857772,12.3709560488445 54.3692229801428,12.3781939253263 54.3716884520146,12.3861172159471 54.3732816059435,12.3944209858608 54.37394110987,12.4027855734153 54.3736415685761,12.4108889588658 54.3723945073742,12.4184192269068 54.3702479270376,12.4250866307035 54.3672844474107,12.4306347819887 54.3636181128385,12.4348505287627 54.3593899851747,12.4375721372458 54.354762697448,12.4386954651391 54.3499141813636)))', 'DEWUO', 'WUSTROW', 'Y'),('SRID=4326;MULTIPOLYGON(((8.61809816160967 54.693143460332,8.61731586732976 54.6882704180369,8.61490795471906 54.6835793855219,8.6109674509436 54.6792505450258,8.60564611991482 54.6754501126455,8.59914857967343 54.6723239718839,8.59172442061075 54.6699920925205,8.58365863015953 54.6685439454715,8.57526068940965 54.6680350860194,8.56685275327817 54.6684850334554,8.55875735734079 54.6698765264112,8.55128511055868 54.672156181673,8.54472283359795 54.6752365318449,8.53932258723202 54.6789993656464,8.53529200474023 54.6833002456585,8.53278629690515 54.687974033702,8.53190223918964 54.6928412153483,8.53267437942223 54.6977147838125,8.5350736228271 54.7024074209435,8.53900826204526 54.7067387002145,8.5443274259918 54.7105420342479,8.55082682654677 54.7136710977905,8.55825659010518 54.7160054760957,8.56633087600154 54.7174553178056,8.57473890979064 54.7179648096407,8.58315699997954 54.7175143360347,8.59126106512718 54.716121238461,8.59873917646273 54.7138391444222,8.60530362049582 54.7107558925963,8.61070200653806 54.7069901360146,8.6147269845297 54.7026867570627,8.6172241969235 54.6980112743602,8.61809816160967 54.693143460332)))', 'DEWYK', 'Wyk auf Föhr', 'Y'),('SRID=4326;MULTIPOLYGON(((13.8802293767376 53.859401487979,13.8795480631052 53.8545236291457,13.8772705746027 53.8498180464038,13.8734849097375 53.8454654883757,13.8683368775954 53.8416330898518,13.862024444728 53.8384679689331,13.8547901077149 53.8360915975218,13.8469115874571 53.8345951578287,13.8386912007524 53.834036059614,13.830444310868 53.8344357487743,13.8224872905684 53.8357788892502,13.8151254477136 53.8380139487762,13.8086413647736 53.8410551665085,13.8032840894026 53.8447858288394,13.7992595838601 53.8490627305263,13.7967227972027 53.8537216533516,13.7957716667974 53.8585836555111,13.7964432862869 53.8634619332976,13.7987123976212 53.8681689936755,13.80249227764 53.8725238630661,13.8076379979485 53.8763590547954,13.8139519439528 53.8795270255224,13.8211913887138 53.8819058694872,13.8290778337233 53.8834040280548,13.8373077557112 53.8839638297816,13.8455643397479 53.8835637216674,13.8535297372201 53.8822191035537,13.8608973649182 53.8799817326633,13.867383759683 53.8769377217247,13.8727395219078 53.8732042095862,13.8767589196979 53.8689248353475,13.8792877816067 53.8642641936496,13.8802293767376 53.859401487979)))', 'DEZEQ', 'ZECHERIN', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9574565214083 54.0823754013768,13.9567628713845 54.0774981027372,13.9544648020233 54.0727940627317,13.9506511083862 54.0684439695132,13.9454686798745 54.0646148617314,13.9391168051185 54.061453729586,13.9318394936994 54.0590818904513,13.9239161127148 54.0575903515102,13.9156506958961 54.0570363338511,13.9073603292688 54.0574410883567,13.8993630491479 54.0587890850707,13.8919657049051 54.0610286062836,13.8854522401023 54.0640737211084,13.8800728312476 54.0678075676138,13.8760342938798 54.0720868194357,13.8734921215612 54.0767471689008,13.8725444656672 54.0816096197234,13.8732282940576 54.0864873507291,13.8755178867651 54.0911928891341,13.8793257392205 54.0955453186681,13.8845058512904 54.0993772449991,13.8908592870036 54.1025412488289,13.8981417991395 54.1049155755953,13.9060732288393 54.1064088393955,13.9143483170272 54.1069635565465,13.9226485052974 54.1065583696741,13.9306542620765 54.1052088745588,13.9380574474978 54.1029670170284,13.9445732287334 54.0999190836536,13.9499510766213 54.0961823654643,13.9539844132679 54.0919006260127,13.9565185368744 54.0872385516904,13.9574565214083 54.0823754013768)))', 'DEZIN', 'ZINNOWITZ', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7257918449864 54.4338134743407,12.725239342964 54.4289310790985,12.7230640605996 54.4242053143484,12.7193500976252 54.4198177096002,12.7142405382659 54.4159367486168,12.7079318981896 54.4127114143932,12.7006665486382 54.4102654881855,12.692723412443 54.4086928179726,12.6844072878797 54.408053734346,12.6760372041386 54.4083727481668,12.6679342454818 54.409637616029,12.6604092992366 54.4117998083241,12.6537511852734 54.4147763622865,12.6482156115206 54.4184530506099,12.6440153716367 54.4226887468332,12.6413121577991 54.4273208234176,12.6402103046533 54.432171378917,12.6407527112095 54.4370540583627,12.6429191077853 54.4417812072447,12.6466267474281 54.4461710853324,12.6517335085834 54.4500548627678,12.6580433015864 54.4532831277768,12.6653135796747 54.4557316529179,12.6732646696934 54.4573061945475,12.6815905624683 54.4579461371676,12.6899707416858 54.4576268391429,12.6980825861368 54.4563605871468,12.705613855711 54.4541961215102,12.7122747678692 54.4512167510947,12.7178091886851 54.4475371319864,12.7220045000266 54.4432988368316,12.7246997600434 54.4386648888325,12.7257918449864 54.4338134743407)))', 'DEZIS', 'ZINGST', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9954396865157 54.0653619189167,13.9947418405082 54.0604848076265,13.992440384685 54.0557814654901,13.988624243348 54.0514325536664,13.9834403989994 54.0476050653309,13.9770881938003 54.0444459284878,13.9698116493686 54.0420763839784,13.9618901029823 54.0405873510349,13.953627517895 54.0400359547211,13.9453408717005 54.0404433454699,13.9373480584363 54.0417938922657,13.9299557567122 54.0440357795768,13.9234477172706 54.0470829856627,13.9180739090063 54.0508185681883,13.9140409328952 54.0550991339299,13.911504069132 54.0597603244915,13.9105612650658 54.0646231109842,13.911249301715 54.0695006590468,13.913542296694 54.0742055026749,13.9173526137871 54.0785567521214,13.922534157181 54.0823870583294,13.9288879350161 54.0855490642995,13.9361696862569 54.0879210923913,13.944099280937 54.0894118452698,13.9523715305223 54.0899639360258,13.9606679860848 54.089556108504,13.9686692601976 54.0882040602147,13.9760673861624 54.0859598352788,13.9825777265496 54.0829098113195,13.9879499621685 54.0791713596676,13.9919777314659 54.0748883103453,13.9945065469385 54.0702253998508,13.9954396865157 54.0653619189167)))', 'DEZMP', 'ZEMPIN', 'Y'),('SRID=4326;MULTIPOLYGON(((13.3946273777589 54.2585752662328,13.3939975384227 54.2536953784083,13.3917542394073 54.2489811732327,13.3879841821085 54.2446137323793,13.3828325918125 54.240760762667,13.3764975845896 54.237570171208,13.3692225321732 54.2351644058107,13.3612867214665 54.233635774426,13.3529946657392 54.2330429197129,13.3446644715784 54.2334085808852,13.3366156981432 54.2347187265133,13.3291571625793 54.2369230906017,13.3225751472135 54.2399370918129,13.3171224503722 54.2436450639715,13.3130086936164 54.2479046767109,13.3103922544827 54.2525523800713,13.3093741364605 54.2574096676224,13.3099940183569 54.2622899207743,13.3122286453343 54.2670055736376,13.3159926362349 54.2713753241422,13.3211416893273 54.275231113846,13.3274780748094 54.2784246063188,13.3347582111225 54.2808329120993,13.3427020373874 54.2823633364856,13.3510038200375 54.2829569638502,13.3593439716481 54.2825909373499,13.3674014171262 54.2812793440322,13.3748660190855 54.2790726702908,13.3814505716459 54.276055849087,13.386901890218 54.2723449759151,13.391010563072 54.2680828227944,13.3936189866505 54.2634333264344,13.3946273777589 54.2585752662328)))', 'DEZUD', 'ZUDAR', 'Y'),('SRID=4326;MULTIPOLYGON(((9.4644748903465 55.0448418978159,9.46358329259682 55.0399749865069,9.46105585456861 55.0353014355377,9.45699019745758 55.0310007489876,9.45154288699916 55.0272380557498,9.44492336750787 55.0241577856598,9.43738589691964 55.0218781447404,9.42921979515897 55.020486597988,9.42073837760005 55.0200365294483,9.41226699101609 55.0205452047083,9.40413060019335 55.0219931119856,9.39664138869498 55.0243247064433,9.39008683679529 55.0274505299595,9.38471872337532 55.0312506271258,9.38074346688527 55.035579129504,9.37831417398881 55.040269835845,9.37752470425231 55.0451425776877,9.37840598673645 55.0500101289734,9.38092474162113 55.0546853963132,9.38498466963965 55.0589886143264,9.39043007726 55.0627542687278,9.39705180985976 55.0658374788718,9.40459527257954 55.0681195911389,9.412770233248 55.0695127642919,9.42126202780154 55.0699633666799,9.42974372966134 55.0694540514422,9.43788880363163 55.0680044277923,9.44538374421791 55.0656703018696,9.45194019894515 55.062541517189,9.45730609924636 55.0587384799695,9.46127536360085 55.0544075062458,9.46369579759411 55.0497151735061,9.4644748903465 55.0448418978159)))', 'DKAAB', 'Åbenrå', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3865026928624 55.080512476382,10.3854985101566 55.0756531891363,10.3828617927965 55.0709996219876,10.3786943511254 55.0667305054295,10.3731566463762 55.0630097513757,10.3664615774501 55.059980176626,10.3588662861215 55.0577580403009,10.3506622975387 55.0564286012487,10.3421643714863 55.056042862336,10.3336984845784 55.0566156235978,10.3255893933613 55.0581249170749,10.3181482426089 55.0605128445137,10.3116606816139 55.0636877867218,10.3063759340258 55.0675279020413,10.3024972340972 55.0718857828852,10.3001739947301 55.0765940952972,10.2994960115483 55.0814719886414,10.3004899338863 55.0863320322816,10.3031181501659 55.0909874147145,10.3072801442556 55.0952591290863,10.3128162842683 55.0989828679904,10.3195139095223 55.1020153602106,10.3271154890676 55.1042399024677,10.3353285404326 55.1055708696316,10.3438369241051 55.1059570261943,10.3523130713909 55.105383508537,10.3604306636918 55.1038723997736,10.3678772620204 55.1014818745191,10.374366387741 55.09830394746,10.3796485789912 55.094460914671,10.3835209906998 55.0901006278972,10.3858351672899 55.0853907873755,10.3865026928624 55.080512476382)))', 'DKAAC', 'Åstrup', 'Y'),('SRID=4326;MULTIPOLYGON(((8.71105038192142 55.5671117433048,8.71023980902277 55.5622399717631,8.7077681472175 55.5575513878776,8.70373089986611 55.5532260761517,8.6982835655305 55.5494301120665,8.69163560928875 55.5463092017946,8.68404239397109 55.5439831087394,8.67579538423866 55.5425410771413,8.66721099725062 55.5420384246719,8.65861852054979 55.542494431602,8.65034754970748 55.5438916053924,8.64271541456351 55.5461763481347,8.63601506327004 55.5492610019174,8.63050385779519 55.5530271956863,8.62639370335779 55.5573303682794,8.6238428880774 55.562005297742,8.62294994894929 55.5668724283978,8.62374980757287 55.5717447559275,8.62621233587993 55.5764350081844,8.63024342100119 55.5807628466707,8.63568850251942 55.5845618112298,8.64233845832989 55.5876857388941,8.64993762118861 55.5900144068894,8.65819362097626 55.5914581789637,8.66678867187832 55.591961472473,8.67539186286537 55.5915049095539,8.68367196721072 55.5901060673901,8.69131026458048 55.5878187978851,8.69801286868038 55.5847311436277,8.70352207457535 55.5809619324672,8.70762628146688 55.5766561849361,8.71016810669638 55.5719795149995,8.71105038192142 55.5671117433048)))', 'DKAAE', 'Aarre', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4464442333376 57.5824767968892,10.4453588518043 57.5776203134532,10.4425311316734 57.5729708380186,10.4380703063662 57.5687069334247,10.4321481641055 57.5649922965081,10.4249923914792 57.5619694920849,10.4168778082818 57.5597545026381,10.4081158327251 57.5584322988537,10.3990425778069 57.5580535970346,10.3900060265625 57.5586329245539,10.381352765122 57.5601480655087,10.3734147673905 57.5625409072817,10.3664967234964 57.5657196565665,10.3608643859248 57.5695623422945,10.3567343727893 57.5739214745803,10.3542658176099 57.578629684938,10.3535541903223 57.5835061352313,10.3546275365579 57.588363452561,10.3574452936363 57.5930149258248,10.3618997449198 57.5972816880324,10.3678200725741 57.6009996073021,10.3749788662722 57.6040256191095,10.3831008462915 57.6062432526762,10.3918734683222 57.607567134772,10.4009589985357 57.6079462935862,10.4100075850913 57.6073661321718,10.4186708095887 57.6058489933853,10.4266151813369 57.603453293996,10.4335350398228 57.6002712623572,10.4391643563092 57.5964253692464,10.4432869726183 57.5920635928434,10.4457448813307 57.5873537041767,10.4464442333376 57.5824767968892)))', 'DKAAF', 'Aalbaek', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0768630570804 55.4510563416677,12.0763801703388 55.4461726073734,12.0742306569267 55.4414362356158,12.0704976658315 55.4370291644932,12.0653250467701 55.4331206237267,12.0589117625242 55.4298606512975,12.0515042154318 55.427374352678,12.0433867870333 55.4257571194564,12.0348709530519 55.4250709871023,12.0262833853699 55.4253422682682,12.0179534873444 55.4265605499628,12.0102008279724 55.4286790918687,12.0033229437294 55.4316166107784,11.9975839643184 55.4352603843493,11.9932044903321 55.4394705579165,11.9903531075339 55.4440854926478,11.9891398650381 55.4489279535206,11.9896119745136 55.4538119029277,11.9917519065325 55.4585496415039,11.9954779707861 55.4629590230654,12.0006473721069 55.4668704661483,12.0070616375872 55.4701334909204,12.0144742155075 55.4726225272175,12.0225999584308 55.4742417666645,12.0311261248224 55.4749288683616,12.039724469782 55.4746573720823,12.0480639492073 55.4734377235674,12.0558235354186 55.4713168712203,12.0627046373923 55.4683764499928,12.0684426355573 55.4647296240795,12.0728170787091 55.4605167128367,12.0756601469849 55.4558997718822,12.0768630570804 55.4510563416677)))', 'DKAAG', 'Bjaeverskov', 'Y'),('SRID=4326;MULTIPOLYGON(((9.94421370509084 55.7166680853406,9.94324682274874 55.7118055569325,9.94061865224973 55.7071429027777,9.93643070088892 55.7028592028111,9.93084423902751 55.6991189275774,9.92407405259952 55.6960656405055,9.91638017378418 55.6938165071919,9.9080579098789 55.6924578186984,9.89942655021038 55.6920416969746,9.89081717664728 55.6925841057554,9.88256003392889 55.6940642412685,9.87497193098497 55.6964253255364,9.86834414340901 55.6995767727191,9.86293127027098 55.7033976476061,9.85894146583234 55.7077412867811,9.85652841910499 55.712440908859,9.85578539262953 55.717316002139,9.8567415578597 55.7221792475014,9.85936078019123 55.7268437126588,9.86354291460555 55.7311300419681,9.86912757631998 55.7348733645915,9.87590025345905 55.7379296531628,9.88360053465772 55.7401812851342,9.89193213791463 55.7415415890454,9.9005743520703 55.7419581970135,9.90919444275628 55.7414150712774,9.91746053364613 55.7399331247595,9.92505445353121 55.7375694111468,9.93168404124265 55.7344149165737,9.93709442365865 55.7305910401883,9.94107782570997 55.7262449023577,9.94348153309102 55.7215436648643,9.94421370509084 55.7166680853406)))', 'DKAAH', 'Barrit', 'Y'),('SRID=4326;MULTIPOLYGON(((20.7614465893653 55.9170940909079,20.7606225619473 55.9122229199456,20.7581227525692 55.907535595075,20.7540437572293 55.9032121508329,20.7485426856892 55.8994185888111,20.7418310698353 55.8963005205336,20.7341667152338 55.893977597988,20.7258438118969 55.8925389418471,20.7171816815087 55.8920397390745,20.7085125855163 55.8924991372647,20.7001690505734 55.8938995143491,20.6924711841662 55.896187150894,20.6857144535771 55.8992742798977,20.6801583856276 55.9030424375222,20.6760166131924 55.9073469893382,20.6734486479122 55.9120226621216,20.6725536978694 55.9168898726303,20.6733667757013 55.9217616135894,20.6758572587371 55.9264506346016,20.6799299708285 55.9307766429085,20.6854287587827 55.9345732465629,20.6921424383709 55.9376943709803,20.6998128898447 55.9400198989032,20.7081449949992 55.9414603130132,20.7168180312563 55.9419601587114,20.7254980768464 55.9415001905235,20.7338509381366 55.9400981172953,20.7415550877877 55.9378079166835,20.7483141019513 55.9347177460461,20.7538681061548 55.9309465322827,20.7580037817129 55.9266393750916,20.7605625451799 55.9219619443413,20.7614465893653 55.9170940909079)))', 'DKAAI', 'Oelsted', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0106743911405 55.2326461021823,10.0097118534515 55.2277837023559,10.0071085697895 55.2231220114583,10.0029650750403 55.2188400738324,9.99744092004095 55.215102294707,9.99074849184458 55.2120521446135,9.98314483725089 55.20980667178,9.97492180597087 55.2084520294551,9.96639488893797 55.2080401861938,9.95789117250389 55.2085869423304,9.94973685955785 55.2100713268125,9.94224482336626 55.2124363969625,9.93570265885754 55.2155914113647,9.93036167918824 55.2194152946994,9.92642727303942 55.2237612647513,9.92405099086637 55.2284624476957,9.92332466731714 55.2333382697408,9.9242768137738 55.238201382732,9.92687143151333 55.2428648596768,9.93100930495718 55.2471493843232,9.9365317390621 55.2508901575926,9.94322660876802 55.2539432531222,9.95083649557973 55.256191174268,9.95906860098836 55.2575473950474,9.96760605260553 55.2579597065997,9.97612016028222 55.2574122372973,9.98428313915448 55.255926066766,9.99178079664638 55.2535584095934,9.99832468203859 55.2504004010465,10.003663220188 55.2465735722767,10.0075913941151 55.2422251539147,10.0099586021646 55.2375223925177,10.0106743911405 55.2326461021823)))', 'DKAAJ', 'Ebberup', 'Y'),('SRID=4326;MULTIPOLYGON(((8.42689939412315 55.4332134794495,8.4261265120036 55.4283398272873,8.42369687515282 55.4236455260529,8.419704370981 55.4193108822039,8.41430278079113 55.4155023317614,8.40769981674975 55.4123660658785,8.40014911972252 55.4100224385454,8.39194052845375 55.4085613674279,8.38338899149642 55.4080389006448,8.37482254035307 55.4084750780519,8.36656977442366 55.4098531669261,8.35894732492426 55.4121203005447,8.35224776562859 55.4151894957921,8.34672842308544 55.4189429743788,8.34260150816926 55.4232366632939,8.34002594505293 55.427905705436,8.33910121396157 55.4327707726027,8.33986345184285 55.4376449416412,8.34228397236653 55.4423408718614,8.34627027599945 55.4466780088078,8.35166952541538 55.4504895369083,8.35827436481168 55.4536288116887,8.36583086781934 55.455975021081,8.3740483117872 55.457437854324,8.38261040041821 55.4579609950307,8.39118749581088 55.4575243007466,8.39944937807235 55.4561445828845,8.40707802810658 55.4538749561663,8.41377992816551 55.4508027832599,8.41929739534267 55.4470462957766,8.42341850427349 55.4427500248044,8.42598521469479 55.4380792205389,8.42689939412315 55.4332134794495)))', 'DKAAK', 'Fanoe', 'Y'),('SRID=4326;MULTIPOLYGON(((9.96178382980404 57.0486568539748,9.96077842530836 57.0437956266116,9.95805293385157 57.0391346684466,9.95371264771843 57.0348529888695,9.94792472043478 57.0311149730148,9.94091168879811 57.0280640885004,9.93294290439533 57.0258173997592,9.92432420632719 57.0244610965651,9.91538622835646 57.0240472044622,9.906471780651 57.024591600085,9.89792277772538 57.0260734054284,9.89006719949936 57.0284357836812,9.88320657131481 57.0315881070201,9.87760443129698 57.0354094155411,9.87347621991341 57.0397530380096,9.87098097760811 57.0444522010532,9.87021517300391 57.0493264153844,9.87120890789171 57.0541883971059,9.87392465814308 57.0588512603846,9.87825861448244 57.0631357057949,9.88404458703907 57.06687692713,9.89106033660783 57.0699309687667,9.8990360978241 57.0721802856287,9.90766496943151 57.0735382878338,9.91661476883682 57.0739526911786,9.92554088616298 57.0734075411963,9.93409963029868 57.0719238307367,9.94196153831222 57.0695586866483,9.9488241212103 57.0664031578281,9.95442354328321 57.062578692186,9.95854477784864 57.0582324415993,9.96102984662092 57.053531579547,9.96178382980404 57.0486568539748)))', 'DKAAL', 'Aalborg', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1766463856849 55.2510181165208,12.1761528075892 55.246134529974,12.1740013398975 55.2413997666556,12.1702751989403 55.236995702834,12.165117964668 55.2330914532097,12.1587280043424 55.2298368918889,12.1513508225624 55.227356917756,12.143269635623 55.2257466808298,12.1347945310173 55.2250679490887,12.1262506220775 55.2253467518435,12.117965642174 55.2265723876382,12.1102574418743 55.2286978335648,12.1034218556443 55.2316415405545,12.0977213920126 55.2352905474327,12.0933751728763 55.2395047970653,12.0905505043855 55.2441224925006,12.0893564045451 55.2489662912473,12.0898393427237 55.2538501032199,12.0919813655394 55.2585862337444,12.0957006945571 55.2629925984083,12.1008547868831 55.2668997322292,12.1072457535905 55.2701573220081,12.1146279368701 55.2726400078055,12.1227173589956 55.2742522267758,12.1312026787408 55.2749319091918,12.139757227609 55.2746528810107,12.1480516523948 55.2734258780079,12.1557666646316 55.2712981312369,12.1626053927983 55.2683515400494,12.168304850037 55.2646995047135,12.1726460676673 55.2604825434182,12.1754625009743 55.2558628659411,12.1766463856849 55.2510181165208)))', 'DKAAM', 'Fakse', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7780848075073 56.4823625382841,10.776991041352 56.4775081758657,10.774207465224 56.4728651166761,10.769841572377 56.4686116795588,10.7640614711883 56.4649111644484,10.7570893749276 56.4619056007891,10.7491930491587 56.4597103166825,10.7406755473627 56.4584095333308,10.7318636252918 56.4580531500714,10.7230952700835 56.4586548402843,10.7147068103268 56.460191529303,10.7070200874885 56.4626042738831,10.7003301671038 56.4658005105327,10.6948940499479 56.4696575888459,10.6909208093439 56.4740274576633,10.6885635314934 56.4787423280994,10.6879133722993 56.4836210998366,10.6889959681518 56.4884763070392,10.6917703516594 56.4931213190552,10.6961304290609 56.4973775197414,10.7019089773291 56.5010811884356,10.7088840196153 56.504089815589,10.7167873418525 56.5062876067106,10.7253148254115 56.5075899589274,10.7341381949056 56.507946734056,10.7429177204285 56.5073441990577,10.7513153728092 56.5058055572103,10.7590079110865 56.503390049059,10.7656993843789 56.500190658825,10.7711325554977 56.4963305170189,10.7750987996297 56.4919581411889,10.7774460957238 56.4872417018899,10.7780848075073 56.4823625382841)))', 'DKAAN', 'Glesborg', 'Y'),('SRID=4326;MULTIPOLYGON(((8.46242377868777 56.750204094855,8.46162060560062 56.7453316466581,8.45910331271642 56.7406388770157,8.45496920073919 56.7363060284981,8.44937752284073 56.7324994606955,8.44254330681726 56.7293652798569,8.43472907019061 56.7270237511823,8.42623474983356 56.7255647043881,8.41738623033082 56.725044104972,8.4085229035929 56.7254819194037,8.39998472519051 56.7268613538753,8.39209924984156 56.7291294949512,8.38516912916173 56.7321993282124,8.37946053917431 56.7359530595538,8.37519297344806 56.7402466149234,8.37253079069906 56.7449151496753,8.37157684424835 56.7497793599644,8.37236844633608 56.7546523572195,8.37487583496162 56.7593468439715,8.37900321725327 56.7636823162362,8.38459236457391 56.7674920149822,8.39142863438755 56.7706293573029,8.39924919650424 56.7729735966913,8.40775315105392 56.7744344907487,8.41661314673236 56.7749557927479,8.4254880444826 56.7745174292571,8.43403612714942 56.7731362776736,8.44192833217917 56.7708655128481,8.44886098342432 56.7677925486425,8.45456751960865 56.7640356558199,8.45882875983911 56.7597393897388,8.46148130840025 56.7550690077261,8.46242377868777 56.750204094855)))', 'DKAAO', 'Hurup Thy', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2497085113406 56.1525559784204,10.2486915694552 56.1476964502058,10.245996282809 56.1430409910207,10.2417267480651 56.1387684007601,10.2360473740861 56.1350427193647,10.2291765133376 56.1320069462006,10.2213780561198 56.1297775715099,10.2129513128102 56.1284401260106,10.2042195693404 56.1280459156948,10.1955177469265 56.1286100640215,10.1871796276367 56.1301109346476,10.1795251221151 56.132490956289,10.1728480544037 56.1356588190142,10.1674049213355 56.1394929600059,10.1634050507245 56.1438462083535,10.1610025342101 56.1485514144399,10.1602902481667 56.1534278515858,10.161296201116 56.1582881472653,10.1639823606431 56.1629454796766,10.1682460196051 56.167220763744,10.1739236636752 56.1709495494192,10.1807972037534 56.1739883647378,10.1886023416384 56.1762202563173,10.1970387498824 56.1775593102655,10.205781671154 56.177953975718,10.2144944825153 56.1773890599254,10.2228417289283 56.1758863160706,10.230502110226 56.1735036006203,10.237180907834 56.1703326336147,10.2426213615611 56.1664954504695,10.246614551501 56.1621396852354,10.2490074030868 56.1574328707023,10.2497085113406 56.1525559784204)))', 'DKAAR', 'Århus', 'Y'),('SRID=4326;MULTIPOLYGON(((9.12712488465838 55.6329622181574,9.12626138031325 55.6280933222208,9.12373598238922 55.6234132472475,9.11964625634619 55.6191017479409,9.1141497112794 55.6153243669005,9.10745769491529 55.6122260951298,9.0998272537901 55.6099258262152,9.09155127406757 55.6085118133323,9.08294727895357 55.6080382997222,9.0743453051768 55.6085234487973,9.06607531250146 55.6099486512068,9.05845459608944 55.6122592347253,9.05177567143627 55.615366550477,9.04629508556832 55.6191513575619,9.04222357651041 55.6234683793595,9.03971795634752 55.628151860362,9.03887503254061 55.6330219139519,9.03972780900853 55.637891420549,9.0422441248807 55.6425732133012,9.04632779735627 55.6468872759896,9.0518222389418 55.6506676757635,9.05851642214921 55.6537689620447,9.06615297056244 55.6560717823147,9.07443806823948 55.6574874949768,9.08305280384753 55.6579615980134,9.09166550551262 55.657475838277,9.09994458024438 55.6560489180863,9.10757135021918 55.6537357711838,9.11425237834244 55.6506254366979,9.11973079735598 55.6468376151034,9.1237961991213 55.6425180419525,9.12629270133435 55.6378328611729,9.12712488465838 55.6329622181574)))', 'DKAAS', 'Vorbasse', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5281106339321 56.499453183279,10.5270482322122 56.4945964799619,10.524293810041 56.4899476886596,10.5199537443888 56.4856853499431,10.5141951564959 56.4819731066935,10.5072394387566 56.4789534392117,10.4993537327754 56.476742217017,10.4908406881405 56.475424272573,10.4820268916598 56.4750501630194,10.4732504026124 56.4756342410567,10.4648478600269 56.477154107038,10.457141642501 56.4795514627723,10.4504275593674 56.4827343352849,10.4449635340955 56.4865805875899,10.4409597070325 56.4909425851447,10.4385703355595 56.4956528427795,10.437887806554 56.5005304391335,10.4389390002321 56.5053879554346,10.4416841581034 56.5100386741048,10.4460183136022 56.5143037611496,10.451775245257 56.5180191552801,10.4587338128234 56.5210418965026,10.4666264408393 56.5232556473483,10.4751494259 56.5245751903889,10.4839746678568 56.5249497251124,10.4927623649578 56.52436483409,10.5011741718472 56.5228430407383,10.5088862995201 56.5204429366735,10.5156020388791 56.5172569132794,10.521063214312 56.5134075872349,10.5250601193365 56.5090430610315,10.5274395503899 56.5043312048022,10.5281106339321 56.499453183279)))', 'DKAAT', 'Lystrup', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1288442562258 57.0995955852118,10.1278155555239 57.0947358341113,10.1250653528045 57.0900786491718,10.1206998894602 57.0858028935268,10.1148872843126 57.0820727236748,10.107851018891 57.0790313051541,10.0998613331964 57.0767953385674,10.0912248649603 57.0754506020986,10.0822729267989 57.0750486776891,10.0733488624817 57.075604983269,10.0647949548038 57.0770981844713,10.0569393726859 57.0794710078009,10.0500836438514 57.0826324250201,10.0444911217576 57.0864611273178,10.0403768817049 57.0908101593821,10.0378994318289 57.0955125394999,10.0371545610597 57.1003876538546,10.0381715696124 57.1052481827535,10.0409120402608 57.1099072948606,10.0452712132309 57.1141858336493,10.0510819273551 57.1179192189131,10.058120988998 57.1209637955968,10.0661177324622 57.1232023822955,10.0747644455357 57.1245488019366,10.0837282559172 57.1249512163304,10.0926640123964 57.124394132951,10.1012276521499 57.1228990045785,10.1090895246354 57.1205233981029,10.1159471444798 57.117358765471,10.1215368703394 57.1135269050115,10.125644052618 57.1091752528377,10.128111257663 57.10447118955,10.1288442562258 57.0995955852118)))', 'DKAAU', 'Langholt', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7765336525123 55.1163729210851,10.7754812314615 55.1115172593826,10.7727969605823 55.1068725386845,10.7685844737288 55.1026171470984,10.7630059566889 55.0989144674405,10.7562758686803 55.095906621286,10.7486526888218 55.0937090332165,10.7404290065181 55.0924060202241,10.731920332959 55.0920475719663,10.7234530552571 55.0926474424988,10.7153519841572 55.0941826248865,10.7079279601361 55.0965942284019,10.701465980795 55.0997897256538,10.6962142947596 55.1036464857085,10.6923748741718 55.1080164608604,10.6900956299584 55.1127318508609,10.68946467248 55.1176115307579,10.6905068464521 55.1224679984701,10.6931826852799 55.1271145770903,10.6973898388119 55.1313725956596,10.7029669332113 55.1350782714279,10.709699725847 55.1380890266894,10.7173293258472 55.1402889939772,10.7255621663997 55.1415934940841,10.734081342053 55.1419523109528,10.7425588668436 55.1413516344095,10.7506683699981 55.1398145940976,10.758097727335 55.137400363597,10.7645611293057 55.1342018702342,10.7698101107042 55.1303422010735,10.7736431111471 55.1259698467056,10.7759131971172 55.1212529695924,10.7765336525123 55.1163729210851)))', 'DKAAV', 'Oure', 'Y'),('SRID=4326;MULTIPOLYGON(((8.66133214392679 55.8171300403784,8.66052270176833 55.8122581414843,8.65804130605486 55.8075687348463,8.65398384304997 55.8032419359922,8.64850659464755 55.7994438764,8.64182017860576 55.7963203412357,8.63418143501902 55.7939911930907,8.62588357373964 55.7925457920314,8.6172449586535 55.7920395839833,8.60859695188853 55.7924919851563,8.60027127315632 55.7938856415174,8.59258734585701 55.796167090919,8.58584010200981 55.7992488031584,8.58028870250248 55.8030125217562,8.57614659787374 55.8073137823555,8.57357330847721 55.8119874380614,8.57266824243662 55.8168539833856,8.57346679676583 55.8217264372086,8.57593890340063 55.8264175225945,8.57999009025435 55.8307468684417,8.58546503092121 55.8345479555164,8.59215345897728 55.8376745377456,8.59979822801972 55.8400062886502,8.60810521087628 55.8414534519163,8.61675465498269 55.8419603133381,8.62541354958841 55.8415073572355,8.63374851740428 55.8401120221243,8.64143872085033 55.8378280257273,8.64818827242184 55.8347432860046,8.65373765990338 55.8309765203426,8.65787373907143 55.826672656986,8.6604379068952 55.8219972390755,8.66133214392679 55.8171300403784)))', 'DKAAW', 'Oelgod', 'Y'),('SRID=4326;MULTIPOLYGON(((11.393016299568 54.6491574123809,11.3919038776606 54.6443074191257,11.3891818035604 54.6396764215641,11.3849551423356 54.6354422786652,11.3793866046783 54.6317675569892,11.3726902512361 54.6287933060556,11.3651232566834 54.6266336634304,11.3569760514503 54.6253714929769,11.3485612161559 54.6250552201789,11.3402015470884 54.6256969831675,11.3322177395824 54.6272721686928,11.3249161492473 54.6297203505079,11.3185770884469 54.6329475952346,11.3134440972397 54.6368300495617,11.3097145945167 54.6412186743443,11.3075322670058 54.6459449475444,11.306981492263 54.650827320582,11.3080840183031 54.6556781830102,11.310798039264 54.6603110697256,11.3150197160947 54.664547834153,11.3205870969329 54.6682255106287,11.3272862972484 54.6712025997918,11.3348597089585 54.6733645319814,11.3430159246792 54.6746280947683,11.3514409920255 54.674944650698,11.3598105569695 54.6743020185354,11.3678024176172 54.6727249438542,11.3751089923409 54.6702741405088,11.38144920995 54.6670439409818,11.3865793542745 54.6631586484263,11.3903024398377 54.6587677340815,11.3924757568665 54.6540400685499,11.393016299568 54.6491574123809)))', 'DKAAX', 'Rødby', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6761479077963 54.7820553792333,11.674997571377 54.7772085191065,11.6722340013471 54.7725844541447,11.6679638574788 54.7683607747858,11.6623515185949 54.7646996437659,11.6556127232361 54.7617415872675,11.6480062700679 54.7596001202772,11.6398240982699 54.758357408798,11.6313801251443 54.7580611318959,11.6229982613002 54.7587226612017,11.6150000520318 54.7603166260455,11.607692406335 54.7627818806154,11.6013558721316 54.766023837155,11.5962338977262 54.7699180780474,11.5925234856601 54.7743151114388,11.590367596651 54.7790460915397,11.5898495993234 54.7839292875094,11.5909899875335 54.7887770553443,11.5937455033958 54.793403046672,11.5980107133115 54.7976293777831,11.6036219896087 54.8012934822366,11.6103637555182 54.804254381172,11.617976760137 54.806398126867,11.6261680668872 54.8076422064062,11.6346223677516 54.8079387324482,11.643014179814 54.8072762954331,11.6510204432524 54.8056804042214,11.6583330228959 54.8032124978974,11.6646706196753 54.7999675679237,11.6697896235208 54.7960704845956,11.6734934841339 54.7916711725015,11.6756402381967 54.7869388243425,11.6761479077963 54.7820553792333)))', 'DKAAZ', 'Reersoe', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4436601992314 55.2491332854135,11.4425227936669 55.2442844237005,11.43975197974 55.2396554464112,11.4354547122182 55.2354241322617,11.4297964249418 55.2317529356258,11.4229946290276 55.2287827667444,11.4153105441298 55.2266276027438,11.4070390858093 55.225370132594,11.3984975898236 55.2250585995752,11.3900136978812 55.2257049595446,11.3819128581623 55.2272844239327,11.3745059070806 55.2297364046605,11.3680771961016 55.2329668258306,11.3628737089633 55.2368517158753,11.3590955807144 55.2412419456213,11.3568883812775 55.2459689341464,11.3563374638669 55.2508511069679,11.3574646041119 55.2557008614696,11.3602270712912 55.2603317737892,11.3645191813536 55.2645657706203,11.3701762856364 55.2682399891754,11.3769810531253 55.271213059154,11.384671811773 55.2733705617639,11.3929526300011 55.2746294520024,11.4015047470899 55.2749412703933,11.4099989043616 55.2742940176339,11.4181080908307 55.2727126182134,11.4255201993658 55.2702579548021,11.4319500933272 55.2670245117122,11.437150608881 55.2631367205714,11.4409220633774 55.2587441522184,11.4431199029126 55.2540157436065,11.4436601992314 55.2491332854135)))', 'DKABA', 'Sønder Bjert', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0446121087798 56.066630517709,10.0436233704358 56.0617691397131,10.0409588935396 56.0571090381186,10.0367215906685 56.0528291928091,10.031074634187 56.0490939238294,10.024235134838 56.0460465998039,10.0164657830742 56.0438041550737,10.0080647765971 56.0424526221992,9.99935441770785 56.0420438475387,9.99066881001597 56.042593512828,9.98234111479135 56.0440805366728,9.97469084219222 56.0464478783311,9.96801165146047 56.0496047138577,9.96256011696985 56.053429903388,9.95854588404961 56.0577766198003,9.95612359043761 56.0624779649236,9.95538686709141 56.0673533614548,9.95636465743027 56.0722154782816,9.95902000896753 56.0768774252458,9.96325139837816 56.0811599415236,9.9688965535696 56.08489830044,9.97573863803169 56.0879486629557,9.98351456775407 56.0901936321469,9.99192514360174 56.0915467911266,10.0006466064222 56.0919560459759,10.0093431621306 56.0914056418546,10.0176799827182 56.0899167726377,10.0253361687722 56.087546760009,10.032017160782 56.0843868345449,10.0374661101482 56.0805586065254,10.0414737651057 56.0762093656544,10.0438864893528 56.0715063944282,10.0446121087798 56.066630517709)))', 'DKABB', 'Stilling', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4280332917432 56.432489899544,10.4269856540114 56.427632218159,10.424248392177 56.422981075545,10.4199272228815 56.4187151035125,10.4141885417462 56.4149980853506,10.4072529780554 56.4119726854218,10.3993869018488 56.409754993802,10.3908922118985 56.4084300914908,10.3820947932599 56.4080488026046,10.3733320789441 56.4086257550637,10.3649401807896 56.4101388222112,10.3572410692125 56.4125299662526,10.350530279925 56.4157074521432,10.3450656079338 56.4195493493356,10.3410572155023 56.4239081903873,10.3386595319098 56.4286166115091,10.3379652598471 56.4334937623246,10.3390017276721 56.4383522418613,10.3417297406211 56.443005296368,10.3460449901108 56.4472740029664,10.3517819817579 56.450994162055,10.3587203434902 56.4540226310938,10.3665932792942 56.4562428527625,10.375097846087 56.457569360884,10.3839066551521 56.4579510868714,10.3926805393865 56.4573733362595,10.4010816864304 56.4558583572169,10.408786717807 56.4534644786074,10.41549919657 56.4502838517895,10.4209610705079 56.4464388854882,10.4249626033382 56.4420775143899,10.4273504100944 56.43736748746,10.4280332917432 56.432489899544)))', 'DKABE', 'Auning', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4270622721269 55.6179326968366,12.4265344617602 55.6130500443846,12.4243341191468 55.6083194642188,12.4205463486437 55.6039226690615,12.415317103218 55.6000284912495,12.4088475162485 55.5967864150202,12.4013861454442 55.5943208572934,12.3932194309256 55.5927264128793,12.3846607325875 55.5920642428196,12.3760383611652 55.5923597410908,12.3676830518442 55.5936015667492,12.3599153481025 55.5957420775008,12.3530333664147 55.5986991483726,12.3473013994329 55.6023593074396,12.3429397865562 55.6065820711707,12.3401164369925 55.6112053166261,12.338940332444 55.6160514880787,12.3394572658264 55.6209344031457,12.3416479908528 55.6256663995096,12.3454288673552 55.6300655488454,12.3506549919162 55.6339626604144,12.3571257062825 55.6372078033416,12.3645922811117 55.6396760938299,12.3727674840192 55.6412725210309,12.3813366628294 55.6419356220408,12.3899699112476 55.6416398611541,12.3983348381621 55.6403966192955,12.4061094359019 55.6382537543632,12.4129945384442 55.6352937497331,12.4187253780175 55.6316305239688,12.4230817868627 55.6274050274781,12.4258966480402 55.6227797992381,12.4270622721269 55.6179326968366)))', 'DKABG', 'Vallensbaek Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2116673929481 56.1165699099964,10.2106562568059 56.1117100159226,10.2079681293417 56.1070536695051,10.2037068314213 56.1027797051071,10.1980364553481 56.0990522158318,10.1911750084346 56.0960142708046,10.1833860204014 56.0937824438999,10.174968439296 56.0924423601015,10.1662452006559 56.0920454266743,10.1575509004457 56.0926068714824,10.149219032884 56.0941051617448,10.141569269043 56.0964828249675,10.1348952507738 56.0996486414966,10.129453357096 56.1034811268651,10.1254528670103 56.1078331736171,10.1230478943971 56.1125376782822,10.1223314083101 56.1174139412511,10.1233315770856 56.1222745969338,10.1260105893601 56.1269328100266,10.1302660119719 56.1312094619824,10.1359346470814 56.1349400505421,10.1427987524247 56.1379810347426,10.1505943935617 56.1402153780226,10.1590216095713 56.1415570723025,10.1677559980876 56.1419544651358,10.1764612656758 56.1413922587176,10.1848022484312 56.1398921017776,10.192457887575 56.1375117509949,10.1991336467958 56.1343428351806,10.2045728820324 56.1305073106399,10.2085667190103 56.126152747515,10.2109620567251 56.1214466323705,10.2116673929481 56.1165699099964)))', 'DKABH', 'Viby Jylland', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0764974318292 55.1180522195569,12.0760171800397 55.1131682973927,12.0738842417317 55.1084319000064,12.070181117766 55.1040249675235,12.0650505020569 55.1001167260174,12.0586897395398 55.0968572040309,12.0513432153902 55.0943714918569,12.0432929719992 55.092754960422,12.0348479129424 55.092069619562,12.0263320023246 55.0923417521062,12.0180719023225 55.0935609121062,12.0103845107862 55.0956803244572,12.0035648640359 55.0986186708273,11.9978748574656 55.102263195016,11.9935332085001 55.1064740113811,11.9907070434172 55.111089454508,11.989505432506 55.1159322684938,11.989975128361 55.1208164015613,11.9920986817085 55.1255541475216,11.9957950204614 55.1299633609413,12.0009224836931 55.1338744684956,12.0072842064063 55.1371370053122,12.0146356572467 55.1396254221174,12.0226940437807 55.1412439362288,12.0311492227124 55.1419302359654,12.0396756892758 55.1416578925176,12.0479451742448 55.1404373839418,12.0556393509916 55.1383156906518,12.0624621502099 55.1353744782322,12.068151196573 55.1317269392138,12.0724879188414 55.1275134182193,12.0753059407835 55.1228959924182,12.0764974318292 55.1180522195569)))', 'DKABI', 'Præstoe', 'Y'),('SRID=4326;MULTIPOLYGON(((9.07848260201701 56.7969796841916,9.07759861206279 56.7921113744096,9.07500138421952 56.7874312040825,9.07079128470047 56.7831189274833,9.06513047587894 56.7793401107213,9.05823662831592 56.7762397923151,9.05037453641458 56.7739369367096,9.0418459627817 56.7725198897428,9.03297809844638 56.7720430065838,9.02411107376682 56.7725245782455,9.01558498713881 56.7739461340326,9.00772693488626 56.7762531459238,9.00083852567587 56.7793571086377,8.99518434645429 56.7831389177795,8.99098181454894 56.7874534197377,8.98839280282023 56.7921349626044,8.9875173626162 56.7970037389415,8.98838979424634 56.8018726801676,8.99097722879709 56.8065546399945,8.99518079099404 56.8108695917142,9.0008393137131 56.8146515619554,9.00773547443439 56.8177550321109,9.01560412660016 56.8200605579104,9.02414250886398 56.8214793870026,9.03302193692045 56.8219568929053,9.04190051993686 56.8214746897984,9.05043639986267 56.8200513445092,9.05830098943198 56.817741657495,9.06519168473206 56.814634541301,9.07084355078258 56.8108495804108,9.07503952241823 56.806532408261,9.07761872552133 56.8018490832714,9.07848260201701 56.7969796841916)))', 'DKBRX', 'Branden', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9611416531635 55.6989427069681,11.9599256960599 55.6940999433312,11.9570608937585 55.6894841532584,11.95265781927 55.6852726039056,11.9468859708271 55.6816269857172,11.939967214165 55.6786872226575,11.9321672478827 55.6765661216338,11.9237854210912 55.6753450626886,11.915143290316 55.6750708917522,11.9065723461808 55.6757541323179,11.8984013688114 55.6773685829606,11.8909438835905 55.6798523158746,11.8844861856116 55.6831100393244,11.8792763819664 55.6870167358509,11.8755148661906 55.6914224400244,11.8733465895083 55.6961579761699,11.8728554300312 55.7010414394218,11.8740608854241 55.7058851741355,11.8769172288596 55.7105029833341,11.8813151751124 55.7147172924685,11.8870860066784 55.718365990943,11.8940080126353 55.7213086858478,11.9018149997107 55.7234321239285,11.910206549942 55.7246545693462,11.9188596264968 55.7249289650925,11.9274410723528 55.7242447534486,11.9356205085904 55.7226282836779,11.9430831220404 55.7201417909803,11.9495418368842 55.7168809872439,11.9547483912246 55.7129713588736,11.9585028862047 55.7085633176455,11.960661439454 55.7038263950294,11.9611416531635 55.6989427069681)))', 'DKABJ', 'Kirke Hyllinge', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3127389682809 57.0165287660967,10.3116887398972 57.0116705662398,10.3089218893119 57.0070174383687,10.3045452920881 57.0027480889062,10.298727489207 56.9990264279275,10.2916921569906 56.99599529434,10.283709496131 56.9937709944059,10.2750858729816 56.9924388592747,10.266152107354 56.9920499881408,10.2572508475985 56.9926192987958,10.248723504755 56.9941249583363,10.2408972324547 56.996509215303,10.234072437767 56.9996806023117,10.2285112903313 57.003517427062,10.2244276632043 57.0078724212002,10.2219788895253 57.0125783725863,10.2212596554085 57.0174545286443,10.2222982729333 57.0223135281541,10.2250554898355 57.0269685973071,10.2294258971919 57.0312407341386,10.2352418963741 57.0349656042223,10.2422800856596 57.0379998800938,10.2502698293964 57.0402267771064,10.258903682928 57.0415605687283,10.2678492689586 57.0419499035789,10.2767621395856 57.04137979327,10.2852991161165 57.039872192445,10.2931315782776 57.037485148107,10.2999581766508 57.0343105519924,10.3055164670047 57.0304705849594,10.3095930112503 57.0261129937452,10.3120315545535 57.0214053858708,10.3127389682809 57.0165287660967)))', 'DKABK', 'Ålebæk', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2609845624478 55.5165550867647,10.2599838587248 55.5116950865384,10.2573319803678 55.5070392014474,10.2531313353114 55.5027662501555,10.2475436716732 55.4990402900241,10.2407838134279 55.4960043352816,10.2331113908522 55.493774887272,10.2248208855984 55.4924374830025,10.2162303694977 55.4920434291734,10.2076693614089 55.4926078439955,10.1994662566125 55.4941090800072,10.1919357978091 55.496489549496,10.1853670554158 55.4996579217844,10.1800123675955 55.5034926103261,10.1760776576153 55.5078464190394,10.1737144983724 55.5125521732889,10.1730142323165 55.5174291230225,10.1740043810647 55.5222898752375,10.1766474948297 55.5269475914585,10.180842500006 55.5312231742491,10.1864285070977 55.5349521656268,10.1931909443267 55.5379910898834,10.2008697887917 55.540222993593,10.2091695811669 55.54156196589,10.2177708357397 55.5419564613558,10.226342398814 55.5413912945439,10.2345542682059 55.5398882274,10.242090366884 55.5375051264104,10.2486607658125 55.534333722875,10.2540128746385 55.5304960648203,10.2579411627257 55.5261398004092,10.2602950348527 55.5214324781342,10.2609845624478 55.5165550867647)))', 'DKABY', 'Askeby', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((8.46067910833198 55.2332008427533,8.45990580804875 55.2283272439246,8.45748422918389 55.2236334773906,8.45350794266846 55.2192998295535,8.44813010161467 55.2154926990799,8.44155750317819 55.2123582237655,8.43404262191045 55.2100166901059,8.4258739236625 55.208557936529,8.41736482974362 55.2080379230322,8.40884174786901 55.2084765957104,8.40063161840491 55.2098571259647,8.39304944088634 55.2121265527635,8.38638624642866 55.2151978039474,8.38089796647254 55.2189530210095,8.37679561758522 55.2232480628139,8.37423717641642 55.2279180190447,8.3733214593884 55.2327835254268,8.37408424975804 55.2376576414068,8.37649683231589 55.2423530283147,8.38046700573603 55.2466891530618,8.38584254757046 55.2504992398946,8.39241701070108 55.2536367009388,8.39993763669602 55.2559807951483,8.40811508512265 55.2574412942744,8.4166346025354 55.257961972575,8.4251681943344 55.2575227827447,8.43338732011032 55.2561406321144,8.44097561072019 55.2538687284036,8.44764110438678 55.2507945208595,8.45312751963796 55.2470363180684,8.45722412379327 55.2427387157161,8.45977381478739 55.2380670139382,8.46067910833198 55.2332008427533)))', 'DKAED', 'Agedrup', 'Y'),('SRID=4326;MULTIPOLYGON(((8.62139104231993 56.722146137146,8.62056788859921 56.7172746721079,8.61803264880349 56.71258507368,8.613883310267 56.7082574616519,8.60827970752633 56.70445799385,8.60143732271123 56.70133250361,8.59361898378301 56.6990009225663,8.58512478275801 56.6975526989739,8.57628059848601 56.697043383508,8.56742565665824 56.6974925102273,8.55889959247143 56.6988828517564,8.55102949814556 56.7011610764213,8.54411743798644 56.7042397828274,8.538428897893 56.7080008359474,8.53418260441925 56.7122998799517,8.53154210132095 56.7169718584502,8.53060940994728 56.7218373341494,8.53142102534804 56.7267093686221,8.53394641457215 56.7314007002376,8.53808908994443 56.7357309453445,8.54369023133567 56.7395335452546,8.550534731337 56.7426621897974,8.55835943997194 56.7449964671243,8.56686329549527 56.746446518495,8.57571894924628 56.7469565149713,8.58458542940683 56.7465068188164,8.59312134417084 56.7451147440974,8.60099810165604 56.7428338863513,8.60791262315205 56.739752047836,8.61359904804645 56.7359878404141,8.61783897180788 56.731686100129,8.62046982041275 56.7270122938545,8.62139104231993 56.722146137146)))', 'DKAGA', 'Agerø', 'Y'),('SRID=4326;MULTIPOLYGON(((8.84408775900792 55.6000639704732,8.8432600374377 55.595193099319,8.84077045780647 55.5905072164798,8.83671521150555 55.5861863017171,8.83125048707927 55.582396260807,8.82458641528487 55.5792825718869,8.81697897514432 55.5769647208203,8.80872017481722 55.5755316354723,8.80012688186006 55.5750382904079,8.79152872421407 55.575503609139,8.78325551504985 55.5769097422862,8.77562467075391 55.5792027485799,8.76892909156675 55.5822946532783,8.76342595867105 55.5860668070919,8.7593268701792 55.5903744198478,8.75678969211176 55.5950520986007,8.75591244011309 55.5999201813294,8.75672943480058 55.6047916262067,8.75920989030299 55.6094791939964,8.76325900429387 55.6138026484188,8.7687215218185 55.6175956970584,8.77538764810276 55.6207124038782,8.78300109134966 55.6230328235667,8.79126892948211 55.6244676372089,8.79987291901873 55.6249616071225,8.8084818035586 55.6244957146674,8.81676413685639 55.6230878965676,8.82440111345791 55.620792350612,8.8310988995357 55.6176974381833,8.83659997793037 55.6139222664708,8.84069306331113 55.6096120850952,8.84322120357766 55.6049326780501,8.84408775900792 55.6000639704732)))', 'DKAGD', 'Agerbæk', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8437259065093 55.2740637884229,14.8429049466399 55.2691926578826,14.8404357624926 55.264506529417,14.8364137512142 55.2601853933995,14.8309938171357 55.2563951658672,14.8243843672441 55.2532813342063,14.8168392838535 55.250963391845,14.8086481856872 55.2495302719232,14.8001253489126 55.2490369515196,14.7915977061397 55.2495023536228,14.7833923729861 55.2509086252487,14.7758241678629 55.2532018186411,14.7691835908634 55.2562939501152,14.7637257120161 55.260066359592,14.7596603880119 55.2643742449922,14.7571441804538 55.269052201121,14.75627428874 55.2739205541054,14.7570847383528 55.2787922513016,14.7595449826077 55.2834800441738,14.7635609853743 55.2878036889585,14.7689787570641 55.291596887682,14.7755902198963 55.2947137006211,14.7831411851074 55.2970341804751,14.7913411385211 55.2984690077933,14.799874455838 55.298962945561,14.8084126088781 55.2984969768011,14.8166268819288 55.2970890407664,14.8242010955595 55.2947933386048,14.8308438349371 55.2916982359387,14.8362997008329 55.2879228451844,14.8403591430121 55.2836124222937,14.8428664953271 55.2789327587705,14.8437259065093 55.2740637884229)))', 'DKAGE', 'Allinge', 'Y'),('SRID=4326;MULTIPOLYGON(((8.30045619536817 56.7782631807092,8.29967344086786 56.7733897682713,8.29717452808518 56.76869380226,8.29305605447736 56.764355649017,8.28747667608489 56.760541872538,8.28065095205096 56.757398856173,8.27284107712375 56.7550472042587,8.26434682314455 56.7535771347136,8.25549407335912 56.7530450355099,8.2466223818997 56.7534713137998,8.23807202393802 56.7548396179204,8.23017101917079 56.7570974612313,8.22322261216755 56.7601582245002,8.21749367767502 56.7639044620976,8.21320448751234 56.768192388356,8.2105202288093 56.7728573757797,8.20954460202536 56.7777202579692,8.21031575289741 56.7825941986417,8.21280470720049 56.7872918652589,8.21691638356432 56.7916326325777,8.22249316076821 56.7954495386337,8.22932087567905 56.7985957236274,8.23713703045851 56.8009501008268,8.24564089721601 56.8024220374131,8.25450512924643 56.8029548611734,8.26338842434711 56.802528054648,8.2719487407943 56.8011580499192,8.27985654280087 56.79889759253,8.28680755098021 56.795833699683,8.29253449458283 56.7920842934579,8.29681740488735 56.7877936419166,8.29949205081674 56.7831267874542,8.30045619536817 56.7782631807092)))', 'DKAGH', 'Agger Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0436192448175 55.182634521493,10.0426539796581 55.1777723539205,10.0400501922356 55.1731113306603,10.035908434849 55.1688304703881,10.030388189974 55.1650941370757,10.0237016933964 55.1620457459705,10.0161057637078 55.1598022780717,10.0078919542788 55.1584498099824,9.99937540287863 55.1580402270785,9.99088279925634 55.1585892431228,9.982739921237 55.1600758003799,9.97525920459346 55.162442872685,9.96872781084883 55.1655996415369,9.96339664025504 55.1694249639165,9.95947070480308 55.173772001939,9.95710122890729 55.1784738403351,9.95637978443112 55.1833498797471,9.95733469351235 55.1882127633734,9.95992984926148 55.1928755728707,9.96406601347255 55.1971590176249,9.9695845551813 55.2008983402011,9.97627349789596 55.2039496702635,9.98387565062494 55.2061955793831,9.9920985125969 55.2075496193028,10.0006255678739 55.2079596653491,10.0091285275846 55.2074099332499,10.0172800372811 55.2059215897537,10.024766347095 55.2035519329645,10.031299443995 55.2003921748482,10.0366281684415 55.1965639135123,10.0405478808494 55.1922144342711,10.0429083042073 55.1875110240467,10.0436192448175 55.182634521493)))', 'DKAGN', 'Agernæs', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2356250554221 55.2112080505816,11.2345141162733 55.2063569996628,11.2317700902977 55.2017230455237,11.2274989044821 55.1974841594864,11.2218649935864 55.1938030878664,11.2150849362492 55.190821120817,11.2074191214311 55.1886526886844,11.1991617669921 55.1873809895765,11.1906296701251 55.1870548123769,11.1821501132852 55.1876866742285,11.1740483782211 55.1892523421845,11.1666353341071 55.1916917570066,11.160195563352 55.1949113247377,11.1549764704308 55.1987874904749,11.1511787854038 55.203171460488,11.1489488253302 55.2078948951592,11.1483728146455 55.2127763577847,11.1494734913322 55.2176282745248,11.1522091414732 55.2222641399589,11.1564751132263 55.2265056917878,11.1621077656264 55.230189777854,11.1688907116319 55.2331746490821,11.1765631225109 55.2353454329908,11.1848297762132 55.2366185734352,11.1933724598166 55.2369450621008,11.2018622791285 55.2363123344267,11.2099723900299 55.2347447551737,11.2173906482005 55.2323026745579,11.2238316774401 55.2290800923802,11.2290478816831 55.2252010224654,11.2328389706464 55.2208147006783,11.2350596314625 55.2160898246726,11.2356250554221 55.2112080505816)))', 'DKAGO', 'Agersø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.3620273824583 56.4168767918221,9.3611160743697 56.4120102496695,9.35851007161257 56.4073357270431,9.35431006047713 56.4030327608669,9.34867780119377 56.3992665604634,9.34182985760686 56.3961816816838,9.33402925680792 56.3938964986424,9.32557540190123 56.3924986814131,9.31679262235138 56.3920418494226,9.30801779336401 56.3925435257446,9.29958748747127 56.3939844686626,9.29182513731537 56.3963094054399,9.28502868825852 56.3994291409554,9.27945920289969 56.4032239625112,9.27533084714716 56.4075482134332,9.27280263980977 56.4122358637806,9.27197228575566 56.4171068681534,9.2728723380432 56.4219740697209,9.27546884910165 56.4266503874493,9.27966257766484 56.4309560111269,9.2852927199682 56.4347253268513,9.29214303446106 56.4378133044922,9.29995013310558 56.4401010981614,9.30841362356043 56.4415006403403,9.31720770943502 56.4419580489935,9.32599379423557 56.4414557132556,9.3344335918318 56.4400129752333,9.34220222455462 56.4376853809524,9.34900079057914 56.434562530115,9.35456790501991 56.430764609699,9.35868976292207 56.4264377481514,9.3612083347166 56.4217483728568,9.3620273824583 56.4168767918221)))', 'DKAGR', 'Agerskov', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2116859376553 56.1325698271265,10.2106743507596 56.1277099474617,10.2079850779068 56.1230536182427,10.2037219845063 56.1187796731086,10.1980492322002 56.1150522043307,10.1911849197184 56.1120142801403,10.1833926867499 56.1097824735063,10.1749716056588 56.1084424085462,10.1662447459287 56.1080454917441,10.1575468420366 56.1086069503079,10.1492115260545 56.1101052509524,10.141558601048 56.1124829208475,10.134881830009 56.1156487401741,10.1294376976416 56.1194812244639,10.1254355691296 56.1238332664076,10.1230296217001 56.128537762807,10.1223128624246 56.1334140144278,10.1233134707835 56.1382746561336,10.1259936191566 56.1429328531336,10.1302508312528 56.1472094874364,10.1359218408064 56.1509400573697,10.1427888144085 56.1539810225793,10.1505877072413 56.1562153471288,10.1590184330374 56.1575570235702,10.1677564539931 56.1579544000855,10.1764653364333 56.1573921794795,10.1848097768991 56.1558920110516,10.1924685832042 56.1535116519857,10.1991470969835 56.150342731503,10.2045885682191 56.146507206195,10.2085840368629 56.1421526463382,10.2109803395932 56.1374465384597,10.2116859376553 56.1325698271265)))', 'DKAHJ', 'Åbyhøj/Århus', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3495882131061 55.1585252317846,10.3485863944655 55.1536656876953,10.3459486651722 55.1490113844153,10.3417768772775 55.144741080652,10.3362316612214 55.1410187336569,10.3295262057777 55.1379872209938,10.3219180519356 55.1357628757063,10.3136992180495 55.1344310409682,10.3051850323143 55.1340428112187,10.2967020934318 55.134613081868,10.2885758102264 55.1361199805226,10.2811179853316 55.1385057010342,10.2746149066283 55.1416787093054,10.2693163928751 55.1455172384492,10.2654262072722 55.149873942384,10.2630942051936 55.1545815329461,10.2624105210921 55.1594591877342,10.2634020261516 55.1643194856272,10.2660312047174 55.1689756055001,10.2701975065084 55.1732485120863,10.275741136295 55.1769738518785,10.2824491468012 55.1800082916868,10.2900636080546 55.1822350528359,10.2982915414556 55.1835684243587,10.3068162334895 55.183957077854,10.3153094859631 55.1833860533999,10.3234443198995 55.1818773381502,10.3309076308928 55.1794890148137,10.3374122958547 55.1763130137448,10.3427082545353 55.172471557457,10.3465921327234 55.1681124376627,10.3489150352924 55.1634033103178,10.3495882131061 55.1585252317846)))', 'DKAKV', 'Arreskov Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((8.78026326440883 56.6150881533416,8.77942192653732 56.6102176468117,8.77687411636146 56.605531196057,8.77271829839889 56.6012087992979,8.7671145505094 56.5974164138718,8.76027835579701 56.5942996014207,8.7524723015088 56.5919779610483,8.74399600693709 56.5905405602765,8.7351746644588 56.5900425352811,8.72634662567117 56.5905029875696,8.71785049708465 56.5919042555833,8.71001222638643 56.5941925883586,8.70313266059529 56.5972801961251,8.69747604148661 56.6010486013077,8.69325987176304 56.6053531645916,8.69064653819749 56.6100286162031,8.68973701638447 56.614895383961,8.69056690728235 56.6197664784457,8.69310497043167 56.6244546730934,8.69725422521002 56.6287797041922,8.702855592944 56.6325752133509,8.70969395288939 56.6356951633678,8.71750638816472 56.638019477473,8.72599230803143 56.6394586810925,8.7348250547476 56.6399573635829,8.74366454052144 56.6394963233386,8.75217041613991 56.6380933114296,8.76001525001739 56.6358023443123,8.76689719595161 56.6327116128121,8.7725516498147 56.6289400700646,8.77676143854573 56.6246328330503,8.77936514682125 56.6199555785934,8.78026326440883 56.6150881533416)))', 'DKALB', 'Ålbaek, Vestjylland', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2871970095775 55.7271847460552,11.2860633686011 55.7223347314388,11.2832755590295 55.7177026737538,11.2789412053674 55.7134664691007,11.2732271786295 55.7097887576576,11.2663531375002 55.7068106970746,11.2585830762312 55.7046465644338,11.2502152056563 55.7033793901838,11.2415705521767 55.7030577879664,11.2329807038769 55.7036940990393,11.2247751621061 55.7052639206973,11.2172687703121 55.7077070364088,11.2107496893934 55.7109297130792,11.2054683703539 55.7148082797034,11.2016279409517 55.7191938534332,11.1993763740088 55.7239180354632,11.1988007421707 55.7287993617349,11.1999237887672 55.7336502637287,11.2027029591311 55.7382842738006,11.2070319439978 55.7425231986175,11.2127446897045 55.7462039838816,11.2196217325949 55.7491850039812,11.2273986214283 55.7513515312747,11.2357761059371 55.7526201707487,11.2444316960844 55.7529420856939,11.2530321387744 55.7523048872425,11.2612463197559 55.7507331131953,11.2687580803391 55.7482872773179,11.275278442277 55.745061526826,11.2805567595451 55.7411800006863,11.2843903613798 55.7367920323061,11.2866323143951 55.7320663850542,11.2871970095775 55.7271847460552)))', 'DKALH', 'Alleshave', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4594579858846 57.5934719528912,10.4583705208226 57.5886155991552,10.4555402700446 57.5839664345949,10.4510765644398 57.5797030099741,10.4451513029026 57.5759890035636,10.4379922916459 57.5729669558554,10.4298744744838 57.5707528201993,10.4211093933422 57.5694315344663,10.4120332799597 57.5690537797245,10.4029942266679 57.5696340470391,10.3943389153318 57.5711500845085,10.3863993984147 57.5735437451919,10.3794804244404 57.5767232044327,10.3738477818812 57.5805664639737,10.3697181010091 57.5849260119318,10.3672505031405 57.5896344638514,10.3665404220282 57.5945109722684,10.3676158444406 57.5993681619622,10.3704361283308 57.6040193266179,10.374893460177 57.608285610976,10.3808169114332 57.6120029013972,10.3879789514886 57.6150281574288,10.3961041754249 57.6172449372825,10.4048799137029 57.6185679005316,10.41396831213 57.618946110721,10.4230194080849 57.6183650074473,10.4316846863133 57.6168469698798,10.439630576982 57.6144504494568,10.4465513612227 57.6112677062044,10.4521809749696 57.6074212383413,10.456303249063 57.6030590461883,10.4587601898024 57.598348916755,10.4594579858846 57.5934719528912)))', 'DKALK', 'Ålbæk, Nordjylland', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4273448704103 55.8679353834647,12.4268145947815 55.8630528788938,12.4246010291501 55.8583223402737,12.4207897946806 55.8539254779152,12.4155277522236 55.8500311254363,12.4090172982909 55.8467887721972,12.4015085600181 55.8443228441274,12.3932897930986 55.8427279488351,12.384676350096 55.8420652636749,12.3759986360989 55.8423602019774,12.36758950328 55.8436014445173,12.3597715548708 55.8457413722186,12.3528448320239 55.8486978838112,12.3470753439716 55.8523575304497,12.3426848730562 55.856579849932,12.3398424421873 55.8612027378285,12.3386577740179 55.8660486531727,12.3391770000259 55.8709314238701,12.3413807956484 55.8756633929558,12.3451850271143 55.880062632344,12.3504438997179 55.8839599465359,12.3569554995308 55.8872053952777,12.3644695249701 55.8896740813776,12.3726969154209 55.8912709773418,12.3813210054644 55.891934601231,12.3900097690943 55.8916393968016,12.3984286719288 55.8903967237941,12.4062536233388 55.8882544190607,12.4131835160287 55.8852949457538,12.4189518581888 55.8816322036132,12.4233370419309 55.8774071261027,12.4261708492712 55.8727822375366,12.4273448704103 55.8679353834647)))', 'DKALL', 'Allerod', 'Y'),('SRID=4326;MULTIPOLYGON(((9.44496796805489 56.3668467703986,9.44404731750734 56.3619808148173,9.44143461698935 56.3573080087814,9.43723080736924 56.3530078229237,9.43159779210158 56.3492453596655,9.42475216181449 56.3461650314631,9.41695685325744 56.3438850380194,9.40851106575697 56.3424928506112,9.39973881945526 56.3420418730266,9.39097658647083 56.3425494040369,9.38256045771643 56.3439959774767,9.37481332382116 56.3463261045565,9.3680325481439 56.349450390752,9.36247859323871 56.3532489482658,9.35836502964092 56.3575759763899,9.35585030811636 56.3622653378205,9.35503161458588 56.367136920689,9.35594105230345 56.3720035452519,9.35854431057964 56.3766781521038,9.36274188604082 56.3809809964544,9.36837282432779 56.3847465711513,9.37522085101654 56.3878299900502,9.38302266452979 56.3901125829176,9.3914780752214 56.3915064827372,9.40026159790443 56.3919580250216,9.40903504373085 56.3914498250287,9.41746061473176 56.3900014507706,9.4252139827806 56.3876686651957,9.43199683542629 56.3845412675605,9.4375483939178 56.3807396193511,9.44165545255469 56.3764099918058,9.44416055089345 56.3717189179659,9.44496796805489 56.3668467703986)))', 'DKALM', 'Almind', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3713599316136 56.705509002851,10.3703114363711 56.7006510535203,10.3675608069835 56.6959989223557,10.363214283905 56.6917312783952,10.3574392441908 56.6880119677959,10.350457717389 56.6849837412233,10.3425378383669 56.6827627954479,10.3339835676996 56.6814343347482,10.325123070871 56.681049318636,10.3162961937114 56.6816225175457,10.3078415022508 56.6831319490851,10.3000833699095 56.6855197159292,10.2933195934035 56.6886942141943,10.2878100009402 56.6925336299375,10.2837664825144 56.6968905930098,10.2813448230551 56.7015978135729,10.2806386558504 56.7064744887456,10.2816757776425 56.7113332365616,10.2844169801273 56.7159872929458,10.2887574580102 56.7202576957636,10.2945307545636 56.7239801788473,10.3015151056227 56.7270115085495,10.3094419463552 56.7292350156762,10.3180062563296 56.7305651060057,10.3268783416672 56.7309505719295,10.3357165922894 56.7303765745333,10.3441807106568 56.7288652177717,10.3519448881874 56.7264746920681,10.3587104078411 56.7232970213178,10.364217176035 56.7194545024463,10.3682537327463 56.7150949780252,10.3706653529048 56.7103861278345,10.3713599316136 56.705509002851)))', 'DKALO', 'Als Odde', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1163701592658 55.8566055065838,10.1153781325904 55.8517445559435,10.1127197864676 55.8470858238042,10.1084977900746 55.8428082378022,10.1028747217484 55.8390760320662,10.0960667712855 55.836032458799,10.0883354171075 55.833794309691,10.0799774003179 55.8324474536794,10.0713133774774 55.8320435585931,10.0626756795956 55.8325981194112,10.0543956353791 55.8340898668172,10.0467909315813 55.8364615781701,10.0401534820866 55.8396222606968,10.0347382601457 55.8434506254002,10.0307535152759 55.8477997216491,10.028352748403 55.8525025583587,10.027628756903 55.8573784997004,10.0286099868373 55.8622401928573,10.0312593449257 55.8669007637392,10.0354755303371 55.8711810047785,10.0410968494047 55.8749162776416,10.0479073786437 55.8779628631836,10.0556452470393 55.8802035111221,10.0640127217584 55.8815519720954,10.0726877063551 55.8819563339332,10.0813362009891 55.8814010305974,10.089625233244 55.8799074444466,10.0972357480179 55.8775330780542,10.1038749467593 55.8743693283997,10.1092875899132 55.8705379514226,10.1132658205614 55.8661863563454,10.1156571295103 55.8614819146762,10.1163701592658 55.8566055065838)))', 'DKALR', 'Alrø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.585588800433 56.0758805447801,12.5850364321591 56.0709986746744,12.5827922640233 56.0662708548049,12.5789430988355 56.0618786892799,12.5736372575377 56.0579908293879,12.5670788187031 56.0547565133177,12.5595197490289 56.052299856891,12.551250231259 56.0507151107775,12.5425875595288 56.0500630623758,12.5338640217353 56.050368717017,12.5254142231101 56.0516203449963,12.5175623240276 56.0537699298485,12.5106096678805 56.0567350010149,12.5048232615707 56.0604017823765,12.5004255420403 56.0646295387958,12.4975858179014 56.0692559575448,12.4964137165499 56.0741033619029,12.4969548955773 56.0789855217917,12.4991891947374 56.0837148023763,12.5030313136809 56.0881093771678,12.5083340041934 56.0920002280896,12.5148936673824 56.0952376615957,12.5224581501566 56.0976970872632,12.5307364456781 56.0992838328299,12.5394099234778 56.0999368064982,12.5481446505302 56.0996308620733,12.5566043181378 56.0983777733769,12.5644632634617 56.0962257792558,12.5714190703833 56.0932577170584,12.5772042523263 56.0895878182614,12.58159655875 56.0853572926034,12.5844275051402 56.0807288744035,12.585588800433 56.0758805447801)))', 'DKALS', 'Ålsgårde', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0002123694918 54.8232954565214,10.9991415582289 54.8184416722707,10.9964519492772 54.8138017292673,10.9922473701374 54.809553831833,10.9866896931714 54.8058610755682,10.9799925705906 54.802865202321,10.9724132128671 54.8006811787792,10.9642425281427 54.7993928031352,10.955793997911 54.7990495049003,10.9473917080953 54.7996644578067,10.9393579836622 54.8012140764334,10.9320010884767 54.8036389154652,10.9256034499694 54.8068459381047,10.9204108503557 54.8107120688866,10.9166229929688 54.8150888977763,10.9143858044321 54.8198083586603,10.9137857719778 54.8246891677791,10.914846541797 54.829543777765,10.917527920966 54.8341855819743,10.9217273348935 54.8384360927341,10.9272836975753 54.8421318165891,10.9339835568903 54.8451305599028,10.9415692857255 54.8473169190455,10.9497490059956 54.8486067402503,10.9582078606261 54.8489503739318,10.966620191895 54.8483345952891,10.9746621461136 54.8467831154544,10.9820242065061 54.8443556630953,10.9884231592869 54.841145672865,10.9936130221569 54.8372766720177,10.9973945084292 54.8328975075292,10.9996226614257 54.8281766010864,11.0002123694918 54.8232954565214)))', 'DKALU', 'Albuen', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0934611853743 55.0840457307627,12.092979123199 55.0791618323909,12.0908458369606 55.0744257068063,12.087143839598 55.0700192836853,12.0820157806427 55.0661117696179,12.0756589060581 55.0628531653647,12.0683174513691 55.0603685261783,12.0602732644254 55.0587531819994,12.0518350168042 55.0580690972693,12.0433264119569 55.0583425067237,12.0350738326005 55.0595629154425,12.0273938888619 55.0616835003383,12.0205813319357 55.0646228979284,12.0148977854797 55.0682683114425,12.0105617189044 55.0724798208344,12.0077400436889 55.0770957338084,12.0065416568346 55.0819387761741,12.0070131859305 55.0868228871979,12.0091371099525 55.091560361438,12.012832341273 55.0959690638981,12.0179572604292 55.0998794409797,12.024315099466 55.1031410560546,12.0316614760316 55.1056283954997,12.0397137929668 55.1072457182842,12.0481621409761 55.1079307587414,12.0566812789138 55.1076571366346,12.0649432204929 55.1064353792583,12.0726299302714 55.1043125150213,12.0794456269872 55.1013702544158,12.08512820898 55.0977218300805,12.0894593536724 55.0935076204316,12.0922728988987 55.0888897288542,12.0934611853743 55.0840457307627)))', 'DKALV', 'Allerslev', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3334196813445 56.7545225596337,10.332374614377 56.7496643125579,10.3296249855838 56.7450113749242,10.3252769991988 56.7407424467956,10.319498090369 56.7370214235383,10.3125104385328 56.7339911213416,10.3045824143039 56.7317678163407,10.2960182907462 56.7304368030311,10.2871466106457 56.7300491385942,10.2783076476527 56.7306196948982,10.2698404299893 56.7321265909026,10.2620698102211 56.734512026687,10.2552940630878 56.7376844880886,10.2497734756114 56.7415222397315,10.2457203599446 56.7458779758172,10.2432908703523 56.7505844541071,10.2425789423649 56.755460900672,10.2436125960568 56.7603199426722,10.2463527586668 56.764974804931,10.2506946671011 56.7692464943792,10.2564718115266 56.7729706952652,10.2634622811224 56.7760041076347,10.2713972762991 56.7782299818566,10.2799714627302 56.7795626322943,10.2888547656469 56.779950752528,10.2977051419279 56.7793794012984,10.3061818257785 56.7778705806665,10.3139585234912 56.7754823835602,10.3207360350156 56.7723067445291,10.3262538047202 56.7684658827146,10.3302999494349 56.7641075774103,10.3327193761602 56.7593994619946,10.3334196813445 56.7545225596337)))', 'DKALX', 'Als', 'Y'),('SRID=4326;MULTIPOLYGON(((9.0057398110577 57.0080062581308,9.004860298437 57.0031376000742,9.00225749642642 56.9984560764161,8.99803199408641 56.9941414930761,8.99234655227263 56.990359503887,8.98541979167039 56.9872552679379,8.97751777140949 56.984947898662,8.96894378484175 56.9835259138152,8.96002676149468 56.9830438570408,8.95110871218555 56.9835202173343,8.94253168678408 56.9849367240105,8.93462473053106 56.987239043438,8.92769132486735 56.9903388515822,8.92199778240169 56.9941172050473,8.91776303323356 56.9984290845818,8.91515019196453 57.0031089405994,8.91426023238284 57.0079770317776,8.91512802147514 57.0128463167074,8.91772087814198 57.0175296361561,8.92193972741016 57.0218469108119,8.92762282129506 57.025632077114,8.93455189656509 57.028739492287,8.94246054170613 57.0310495588892,8.95104445478958 57.032473348521,8.95997319506474 57.0329560427763,8.96890296791541 57.0324790556086,8.97748993866608 57.0310607531394,8.98540354798554 57.0287557423936,8.99233930156502 57.0256527571353,8.99803052934974 57.0218712244474,9.00225865363227 57.0175566475889,9.00486156839099 57.0128749867888,9.0057398110577 57.0080062581308)))', 'DKAMT', 'Amtoft', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5593397867923 56.715076620042,11.558138279869 56.7102304483969,11.5552413581163 56.7056062484253,11.5507608670916 56.7013816085614,11.5448693080227 56.6977187177573,11.5377931604561 56.6947581572517,11.5298041682924 56.6926135257229,11.5212089256077 56.6913671001872,11.512337158058 56.6910666953881,11.5035291405353 56.6917238391524,11.4951227211487 56.6933133318927,11.4874404349672 56.6957742068052,11.48077718804 56.6990120551047,11.47538897303 56.7029026296134,11.4714830426966 56.7072965919277,11.4692099171082 56.7120252249121,11.4686575359537 56.7169068950216,11.4698477902257 56.7217540193647,11.4727355800262 56.7263802717675,11.4772104500541 56.7306077513321,11.4831007548289 56.7342738367882,11.4901802057621 56.7372374605404,11.4981765560478 56.7393845575586,11.5067820914032 56.7406324754776,11.5156655192051 56.7409331723515,11.5244847893908 56.7402750758877,11.5329003407327 56.7386835307137,11.5405882479037 56.7362198160984,11.5472527491116 56.7329787731463,11.5526376607434 56.7290851353924,11.5565362329517 56.7246887075912,11.5587990658766 56.7199585822257,11.5593397867923 56.715076620042)))', 'DKANH', 'Anholt', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7925889971479 55.1950091311108,11.7914110415848 55.1901639663223,11.7886039869138 55.1855433115679,11.7842761742917 55.1813246239506,11.7785942038022 55.1776698716848,11.7717764889942 55.1747193331288,11.7640848546324 55.1725862320757,11.7558145018208 55.1713524115017,11.7472827220114 55.1710652082592,11.7388167847383 55.1717356458103,11.7307414522553 55.1733380126621,11.7233665870425 55.1758108423926,11.7169753150973 55.1790592588238,11.7118131891 55.1829585987817,11.7080787612767 55.1873591767481,11.7059159267754 55.1920920122541,11.7054083357407 55.1969753037073,11.7065760976005 55.2018214029134,11.7093749165089 55.2064440241094,11.7136977051285 55.2106654108197,11.7193786282362 55.2143231839179,11.7261994317396 55.2172766051516,11.7338978206503 55.2194120118657,11.7421775655461 55.2206472100675,11.7507199451137 55.2209346531731,11.7591960760998 55.2202632812031,11.7672796443478 55.2186589479075,11.7746595335568 55.2161834190821,11.7810518528727 55.2129319818181,11.786210890165 55.2090297591837,11.7899385634369 55.2046268755586,11.7920920058603 55.1998926624266,11.7925889971479 55.1950091311108)))', 'DKAPN', 'Appenæs', 'Y'),('SRID=4326;MULTIPOLYGON(((9.75470808376239 55.2607376230028,9.75377606538888 55.2558731523154,9.75120082158871 55.25120595528,9.74708181377193 55.2469152892649,9.74157765701106 55.243165895771,9.73489997546706 55.2401016917982,9.72730525438265 55.2378402650611,9.71908500404615 55.236468380673,9.71055461055734 55.2360386681041,9.70204129374379 55.2365676125146,9.69387162316944 55.2380349255545,9.68635905822621 55.2403843191636,9.67979197750978 55.2435256535175,9.67442264606491 55.2473383788735,9.67045753695586 55.2516761424022,9.66804937662869 55.2563723868838,9.66729122273276 55.2612467299961,9.66821280997843 55.2661118823045,9.67077931627283 55.2707808402433,9.67489261041109 55.2750740783631,9.68039494717754 55.2788264635839,9.68707497949122 55.2818936234427,9.69467586422829 55.2841575202175,9.70290515274106 55.2855310127542,9.71144608294825 55.2859612267557,9.7199698309001 55.2854316007234,9.72814823898413 55.2839625267779,9.73566651760096 55.2816105610621,9.74223541830094 55.2784662349805,9.74760239896569 55.2746505537396,9.75156134441816 55.2703103201752,9.75396046657398 55.2656124675471,9.75470808376239 55.2607376230028)))', 'DKARD', 'Årosund', 'Y'),('SRID=4326;MULTIPOLYGON(((8.18351576715928 55.9813028427339,8.18276307851451 55.9764281652567,8.18032917923919 55.9717294511265,8.1763081416675 55.967387175965,8.17085486045358 55.9635680671361,8.1641790442055 55.9604187184124,8.15653713508991 55.958059982685,8.14822247011882 55.9565823542159,8.13955405970507 55.956042513867,8.13086440691013 55.9564611666059,8.12248682356071 55.9578222520167,8.11474271643111 55.9600735572183,8.10792931766643 55.9631287092831,8.10230831854427 55.9668704727176,8.09809583482483 55.9711552285815,8.09545408593114 55.9758184670823,8.09448511003067 55.9806810866067,8.09522676421468 55.9855562606219,8.09765117537926 55.9902566109837,8.10166571566791 55.9946014129695,8.10711647957983 55.9984235545298,8.11379414174581 56.0015759801862,8.12144197897751 56.0039373686126,8.12976575176215 56.0054168216969,8.13844506310396 56.0059573807956,8.14714575037152 56.0055382315179,8.15553282183714 56.0041755098733,8.16328342624564 56.0019216778451,8.17009934230101 55.9988634930479,8.17571849549342 55.9951186526815,8.17992505109129 55.9908312441209,8.18255769217557 55.9861661810071,8.18351576715928 55.9813028427339)))', 'DKARG', 'Årgab', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4532943244819 54.8884897674819,10.452287286346 54.8836309015536,10.4496558262864 54.8789786099031,10.4455015460554 54.8747115743339,10.4399843962265 54.8709936275776,10.4333164833358 54.8679674796837,10.4257539059074 54.8657492593833,10.4175869349909 54.8644240763094,10.4091289131497 54.8640427708283,10.4007042903051 54.8646199732741,10.3926362444765 54.8661335452056,10.385234349642 54.8685254236286,10.3787827513987 54.8717038367312,10.3735292938442 54.8755468083405,10.3696760084595 54.8799068198011,10.3673713284224 54.8846164540001,10.3667043307912 54.8894948084477,10.3677012359183 54.8943544341098,10.3703243103479 54.8990085353528,10.3744732289634 54.9032781548798,10.3799888574495 54.9069990665752,10.3866593208831 54.9100281090047,10.3942281324453 54.9122487127701,10.4024040719967 54.913575405377,10.4108724315796 54.913957116646,10.4193071874427 54.9133791544654,10.4273836189045 54.9118637729392,10.4347908753495 54.9094693105565,10.441243994925 54.9062879325142,10.4464949019268 54.9024420663704,10.4503419531744 54.8980796714468,10.4526376645818 54.8933685277167,10.4532943244819 54.8884897674819)))', 'DKARK', 'Ærøskøbing', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5267392735466 55.2994610226992,10.5257120028823 55.2946032041935,10.5230440092111 55.2899530276186,10.5188383096218 55.285689091515,10.5132568372158 55.2819751069852,10.5065141710765 55.2789536291402,10.4988692771814 55.2767406048242,10.4906155795497 55.2754209421914,10.4820697396462 55.2750452685528,10.4735595668003 55.2756279979367,10.4654115121818 55.2771467806385,10.4579382130749 55.27954335539,10.4514265525467 55.2827257724152,10.4461266821284 55.2865719043444,10.4422424221401 55.2909341134973,10.4399234064725 55.2956449001131,10.4392592770568 55.3005233183318,10.4402761594492 55.3053819165532,10.4429355670238 55.310033937496,10.4471357898463 55.3143005018318,10.4527157286049 55.3180174983341,10.4594610377021 55.3210419133465,10.4671123487966 55.3232573528675,10.4753752609093 55.3245785410493,10.4839317097531 55.3249546183295,10.4924522708812 55.3243711092288,10.5006089115996 55.322850482157,10.5080876874678 55.3204512791713,10.5146008816324 55.317265850173,10.5198981090824 55.3134167810774,10.5237759518681 55.3090521567217,10.5260857530601 55.3043398445589,10.5267392735466 55.2994610226992)))', 'DKARL', 'Årslev', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8224858009347 55.0540711633674,14.8216718748947 55.0491997183313,14.8192186723125 55.0445130020568,14.8152209695255 55.0401910284147,14.8098327324529 55.0363997468882,14.8032611487732 55.0332846867809,14.7957586476331 55.0309653900847,14.7876132162664 55.0295308430769,14.7791373829772 55.0290360783402,14.7706562822318 55.0295000745005,14.7624952490851 55.030905032186,14.7549674061754 55.0331970532308,14.7483617067703 55.0362881977496,14.7429318818134 55.0400598421799,14.7388867079209 55.0443672124855,14.7363819674351 55.0490449221715,14.7355144119966 55.0539133061685,14.7363179691158 55.0587853105045,14.7387623489323 55.0634736752562,14.7427541182938 55.0677981355874,14.7481402145924 55.0715923634395,14.7547137760651 55.0747103809577,14.7622220724666 55.077032195911,14.7703762342877 55.0784684386398,14.7788624040913 55.0789638184028,14.787353873768 55.0784992629416,14.7955237296848 55.0770926567769,14.8030575060158 55.074798149041,14.8096653461846 55.0717040581957,14.815093193338 55.0679294563553,14.8191325719647 55.0636195677947,14.8216285820001 55.0589401623898,14.8224858009347 55.0540711633674)))', 'DKARN', 'Arnager', 'Y'),('SRID=4326;MULTIPOLYGON(((9.78170671231241 55.2597279605053,9.78077142280184 55.2548637054141,9.77819308760544 55.2501970867984,9.77407128656515 55.24590733964,9.7685647415811 55.2421591700281,9.76188516801056 55.2390964479022,9.75428912324505 55.2368367040803,9.74606816798661 55.2354666391214,9.73753771514525 55.2350388127473,9.72902498676726 55.2355696378288,9.72085652996798 55.237038753935,9.71334575786114 55.239389803873,9.70678098065752 55.2425325842678,9.70141437546049 55.2463464898338,9.69745231112775 55.2506851223375,9.69504739755281 55.2553818910457,9.69429256789598 55.2602563933197,9.69521742918303 55.2651213334115,9.69778703333774 55.2697897157186,9.70190312973927 55.2740820367538,9.7074078649681 55.2778331985788,9.71408979918815 55.2808988757171,9.72169201562266 55.2831610874763,9.72992201398979 55.2845327575762,9.73846300464713 55.2849610819261,9.74698616125909 55.2844295718431,9.75516334910395 55.2829586920433,9.76267982584462 55.2806050682264,9.76924641279258 55.2774592956177,9.77461065732967 55.2736424350405,9.77856654998951 55.2693013346016,9.7809624204607 55.2646029607544,9.78170671231241 55.2597279605053)))', 'DKARO', 'Åro', 'Y'),('SRID=4326;MULTIPOLYGON(((8.71105038192142 55.5671117433048,8.71023980902277 55.5622399717631,8.7077681472175 55.5575513878776,8.70373089986611 55.5532260761517,8.6982835655305 55.5494301120665,8.69163560928875 55.5463092017946,8.68404239397109 55.5439831087394,8.67579538423866 55.5425410771413,8.66721099725062 55.5420384246719,8.65861852054979 55.542494431602,8.65034754970748 55.5438916053924,8.64271541456351 55.5461763481347,8.63601506327004 55.5492610019174,8.63050385779519 55.5530271956863,8.62639370335779 55.5573303682794,8.6238428880774 55.562005297742,8.62294994894929 55.5668724283978,8.62374980757287 55.5717447559275,8.62621233587993 55.5764350081844,8.63024342100119 55.5807628466707,8.63568850251942 55.5845618112298,8.64233845832989 55.5876857388941,8.64993762118861 55.5900144068894,8.65819362097626 55.5914581789637,8.66678867187832 55.591961472473,8.67539186286537 55.5915049095539,8.68367196721072 55.5901060673901,8.69131026458048 55.5878187978851,8.69801286868038 55.5847311436277,8.70352207457535 55.5809619324672,8.70762628146688 55.5766561849361,8.71016810669638 55.5719795149995,8.71105038192142 55.5671117433048)))', 'DKARR', 'Arre', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1875422550711 55.1059407589232,15.1866829035722 55.1010718638692,15.1841838721188 55.0963926088323,15.1801416954882 55.0920827185481,15.1747120432813 55.0883076763845,15.1681036874555 55.0852123867302,15.1605704622582 55.0829156320044,15.1524015280684 55.0815055334141,15.1439103104435 55.081036186035,15.1354225316328 55.0815255942679,15.1272637829346 55.0829549848496,15.119747101904 55.0852695230755,15.113161018259 55.0883804054999,15.1077585163859 55.0921682508957,15.1037473309238 55.0964876624455,15.1012819456406 55.1011727897165,15.1004576057547 55.1060436805557,15.101306581486 55.1109131821025,15.1037968379741 55.115594127928,15.1078331763497 55.1199065358898,15.1132608158343 55.1236845393269,15.1198712908913 55.1267827830237,15.1274104446421 55.1290820348347,15.1355882141399 55.1304937933937,15.1440898287309 55.1309637109095,15.1525879833196 55.130473696183,15.1607555069874 55.1290426148106,15.1682780262685 55.1267255589051,15.1748661226254 55.1236117152064,15.1802665052567 55.1198209157689,15.184271762161 55.115499007136,15.1867283121406 55.1108122198983,15.1875422550711 55.1059407589232)))', 'DKARS', 'Årsdale', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4498978365456 57.1474779350474,10.4488256934811 57.1426210959463,10.4460316792234 57.1379712301624,10.4416237159246 57.1337069173622,10.4357715501001 57.1299918727279,10.4287001762034 57.1269686798308,10.42068117537 57.1247533391283,10.4120223043611 57.1234308373471,10.4030557308577 57.1230519038954,10.394125357757 57.1236310755614,10.3855737100589 57.1251461417279,10.3777288726947 57.1275389908374,10.3708919659986 57.130717826651,10.3653256274584 57.134560671691,10.3612439342227 57.1389200268999,10.3588041512266 57.1436285126732,10.3581006257764 57.1485052786258,10.3591610725421 57.1533629392041,10.3619454052509 57.1580147708137,10.3663471756779 57.1622818945098,10.3721975801176 57.166000167177,10.3792718922745 57.1690265138056,10.3872980836924 57.1712444538109,10.3959673029096 57.1725686047451,10.4049458068228 57.1729479861312,10.4138878762351 57.1723679929867,10.4224492054863 57.1708509609919,10.4303002357156 57.1684553009842,10.4371389037827 57.1652732371368,10.4427023040499 57.1614272383666,10.4467768066969 57.1570652838576,10.4492062414914 57.1523551489335,10.4498978365456 57.1474779350474)))', 'DKASA', 'Asaa', 'Y'),('SRID=4326;MULTIPOLYGON(((9.96095112135349 55.4826629448474,9.95998824233377 55.477800350537,9.95737400346938 55.4731378281568,9.95320936903696 55.4688544533637,9.94765470821075 55.4651146854386,9.94092358297783 55.4620620698058,9.93327452612374 55.459813747782,9.9250011274644 55.4584559805755,9.91642080599815 55.4580408556551,9.90786269114989 55.4585842988326,9.89965506677664 55.4600654663695,9.89211284648329 55.4624275398477,9.88552554777228 55.4655798941842,9.88014621563473 55.4694015578176,9.87618171369855 55.473745835496,9.87378475363602 55.4784459199687,9.87304797225396 55.4833212808366,9.87400029206783 55.4881845883082,9.8766057172573 55.4928489079216,9.88076462534698 55.4971348904078,9.88631751894754 55.5008776794889,9.89305110511841 55.5039332697969,9.90070647642087 55.5061840671477,9.9089890817223 55.5075434334865,9.91758010039545 55.5079590378905,9.92614877446021 55.5074148815509,9.93436521251224 55.5059319167786,9.94191315914314 55.5035672356051,9.9485022250686 55.5004118601119,9.95387909625755 55.4965872218043,9.9578372837415 55.4922404688011,9.96022503716712 55.4875387851981,9.96095112135349 55.4826629448474)))', 'DKASE', 'Asperup', 'Y'),('SRID=4326;MULTIPOLYGON(((9.94571691779542 55.2706692054039,9.94476133316838 55.2658062981651,9.94216309933484 55.2611432323759,9.93802255910765 55.2568591054615,9.93249915173526 55.2531184068287,9.92580523715812 55.2500647190404,9.91819792033612 55.2478152259299,9.90996919202078 55.2464562347656,9.90143476160074 55.2460398806909,9.89292200297542 55.2465821368769,9.88475746480425 55.2480622047907,9.87725441131883 55.250423307391,9.87070085888439 55.2535748556866,9.86534855666662 55.2573959077202,9.86140332741929 55.2617397904274,9.85901713721241 55.2664397106761,9.85828220192709 55.2713151437349,9.8592273650753 55.2761787569106,9.86181689801753 55.280843604401,9.86595178257191 55.2851303175336,9.87147344051602 55.2888740131738,9.87816977824638 55.2919306524914,9.88578332190223 55.2941826023097,9.89402113275388 55.295543181348,9.90256611867775 55.2959600127232,9.9110892987923 55.2954170505994,9.91926253785858 55.2939352009823,9.92677124701175 55.2915715121617,9.93332654886354 55.2884169668581,9.93867642791768 55.284592963296,9.94261543032738 55.2802466238832,9.94499253800301 55.2755451157624,9.94571691779542 55.2706692054039)))', 'DKASF', 'Assens, Fyn', 'Y'),('SRID=4326;MULTIPOLYGON(((9.330732944603 57.0028875341555,9.3298111291865 56.9980212340058,9.32716793220564 56.9933465376018,9.32290549049934 56.9890429864467,9.3171879778257 56.9852758090669,9.31023523961313 56.9821895949034,9.30231432568242 56.9799027653573,9.29372924910805 56.9785030502801,9.28480936147581 56.9780441396009,9.27589678240231 56.9785436352792,9.26733335330929 56.9799823799878,9.25944760148465 56.9823051875502,9.25254220012745 56.9854229479348,9.24688239337041 56.9892160282965,9.24268582249305 56.9935388429099,9.24011414130277 56.9982254205381,9.23926674598565 57.0030957594511,9.24017686910904 57.0079627294014,9.24281020094459 57.0126392576754,9.24706610653122 57.0169455238849,9.25278140717703 57.0207158861616,9.25973659421765 57.0238052701928,9.26766424502324 57.0260947719938,9.27625932089233 57.0274962548859,9.28519094793589 57.0279557598057,9.29411521931551 57.0274555943257,9.30268851355901 57.0260150177447,9.31058080149765 57.0236894951255,9.31748841486947 57.0205685498432,9.32314577278545 57.0167722996147,9.32733560678274 57.0124468127488,9.32989728868399 57.0077584673081,9.330732944603 57.0028875341555)))', 'DKASH', 'Aggersund', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5362755594559 54.8971038930448,11.5351382563989 54.8922556533214,11.5323823115723 54.8876283996481,11.528114096843 54.8833998453502,11.5224979215021 54.8797323403638,11.5157496749048 54.8767666552113,11.5081285205703 54.8746165970627,11.4999269623004 54.8733646608679,11.4914596601421 54.8730588789463,11.4830514173738 54.8737109871017,11.4750247881623 54.8752959759295,11.4676877685461 54.8777530442111,11.4613220306624 54.8809879189222,11.4561721417009 54.8848764552012,11.4524361752764 54.8892693813999,11.4502580744635 54.8939980107724,11.4497220637291 54.8988807040654,11.4508493330275 54.9037298376961,11.4535971334913 54.9083590115927,11.4578603331582 54.9125902200939,11.4634753862363 54.9162607091857,11.4702265742271 54.9192292540428,11.4778542858127 54.9213816121307,11.4860650189102 54.9226349383542,11.4945427166866 54.9229409887743,11.5029609932229 54.9222879867106,11.5109957667998 54.9207010776573,11.5183378014725 54.9182413551705,11.5247046616082 54.9150034963535,11.5298516091669 54.9111121003711,11.5335810183376 54.9067168742352,11.5357499443289 54.9019868548359,11.5362755594559 54.8971038930448)))', 'DKASK', 'Askø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3470123817791 56.4135193993106,10.345975618428 56.4086609693114,10.343249611402 56.4040079736669,10.3389396453069 56.3997391159685,10.3332116864344 56.3960182908269,10.3262859537598 56.3929883091247,10.3184284415376 56.3907654369918,10.309940721414 56.3894349542538,10.3011484122477 56.3890478990234,10.2923887517623 56.3896191202335,10.2839977347607 56.3911267108512,10.2762972973243 56.3935128429722,10.2695830249222 56.3966859737288,10.2641128446784 56.4005243397178,10.2600971285203 56.4048806092179,10.2576905851866 56.4095875175198,10.2569862561855 56.4144642728399,10.2580118552826 56.4193234899895,10.2607286050659 56.4239783874978,10.2650326302598 56.4282499722325,10.2707588690224 56.4319739344164,10.2776873642524 56.4350069855813,10.2855517011235 56.4372323922989,10.2940492689997 56.4385644888756,10.3028529497898 56.4389519915059,10.3116237745408 56.4383799831442,10.3200240487892 56.4368704906602,10.3277304271206 56.4344816315009,10.33444641962 56.4313053637011,10.3399138372968 56.4274639282505,10.343922728802 56.4231051241682,10.3463194243892 56.4183966020298,10.3470123817791 56.4135193993106)))', 'DKASM', 'Assens, Mariager Fjord', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1444407027313 55.9610384254226,12.1439451838188 55.9561551548582,12.1417613436592 55.9514199224448,12.1379736673995 55.9470146204259,12.1327281178537 55.9431084075916,12.1262264648822 55.9398512290908,12.1187185033472 55.9373680797431,12.1104924629153 55.9357542274131,12.101863976792 55.9350715759408,12.0931640264216 55.9353463037593,12.0847263141627 55.9365678662942,12.0768745352493 55.9386893992066,12.0699100236425 55.9416295072818,12.0641002336113 55.9452753720441,12.0596684903194 55.9494870617522,12.0567853988994 55.9541028820172,12.0555622434136 55.9589455655014,12.0560466361101 55.9638290665047,12.058220595393 55.9685657020297,12.0620011403881 55.9729733662225,12.0672433939519 55.976882540674,12.0737460880098 55.9801428293559,12.0812592692065 55.982628763952,12.0894939132304 55.9842446525681,12.0981330770568 55.9849282813579,12.1068441536555 55.9846533231001,12.1152917467979 55.9834303574515,12.1231506569735 55.9813064623628,12.1301184645518 55.9783633926692,12.1359272134842 55.9747144177262,12.1403537371077 55.9704999427717,12.1432282249381 55.9658820862229,12.1444407027313 55.9610384254226)))', 'DKASO', 'Arresø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4450530631072 56.4494836272677,10.4440027528767 56.4446261161719,10.4412621631433 56.4399753783734,10.4369371387742 56.4357100299536,10.4311942235661 56.4319938300709,10.4242542092295 56.4289694115079,10.4163836362835 56.4267528265451,10.4078845755662 56.4254291136365,10.3990830792852 56.4250490512399,10.3903167363905 56.4256272202514,10.3819217975686 56.4271414474148,10.3742203497484 56.4295336505285,10.3675080183922 56.4327120540139,10.3620426580512 56.4365546921953,10.358034457996 56.4409140692367,10.3556378408539 56.4456228007691,10.3549454691481 56.4505000244383,10.3559845989722 56.4553583363629,10.3587159338629 56.4600109890809,10.3630350379178 56.4642790749824,10.3687762686558 56.4679984181524,10.3757190908144 56.4710259072717,10.3835965364116 56.4732450225951,10.3921054883114 56.4745703404436,10.4009183884619 56.4749508380215,10.4096959117747 56.47437186818,10.4181001054433 56.4728557260946,10.4258074735715 56.4704607854971,10.4325214893852 56.4672792387237,10.4379840418924 56.4634335299872,10.4419853692924 56.4590716225875,10.4443720952581 56.4543612861174,10.4450530631072 56.4494836272677)))', 'DKASP', 'Allestrup', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5432826804477 55.8100917655814,11.542114573962 55.8052445213774,11.5392903479646 55.8006186994047,11.534919025432 55.7963919542996,11.5291688946662 55.7927265613126,11.5222609965093 55.7897632039389,11.514460619932 55.7876155942156,11.5060671342635 55.7863661283715,11.4974025446433 55.7860627409129,11.48879920138 55.7867170749336,11.480587122833 55.7883040370903,11.4730814046211 55.79076275398,11.4665701851383 55.7939988943688,11.4613036185608 55.7978882706171,11.4574842721027 55.8022815844832,11.4552593148974 55.8070101389706,11.4547148026513 55.8118923006031,11.4558722867226 55.8167404669377,11.4586878906451 55.8213682734825,11.4630539040743 55.8255977634685,11.4688028469727 55.8292662437624,11.4757138593428 55.8322325608547,11.4835211781053 55.8343825521177,11.4919243770469 55.8356334587541,11.500599972269 55.8359371269099,11.5092139379572 55.8352818707573,11.517434638582 55.8336929240262,11.5249456658906 55.8312314622536,11.5314580732288 55.8279922345573,11.5367215255828 55.8240998985917,11.5405339298528 55.8197042031882,11.5427491737915 55.8149742079105,11.5432826804477 55.8100917655814)))', 'DKASS', 'Asnæs', 'Y'),('SRID=4326;MULTIPOLYGON(((9.49978480703837 57.0458257053517,9.49883981549354 57.0409607310302,9.49617235151317 57.0362896846883,9.49188548375124 57.031991966317,9.48614432225586 57.0282325793307,9.47916961760414 57.0251558132563,9.47122925939737 57.0228797263838,9.46262800351488 57.021491636215,9.45369581949797 57.0210447868632,9.44477529689879 57.0215563179982,9.43620858139074 57.0230066111089,9.42832432729127 57.025340037462,9.42142515261451 57.0284670799143,9.41577606585547 57.0322677494537,9.41159430070533 57.0365961687371,9.40904094643176 57.0412861506611,9.40821469875009 57.046157561749,9.40914798016199 57.0510232293294,9.4118055920073 57.0556961294029,9.4160859655292 57.0599965797652,9.42182497937002 57.0637591610816,9.42880220991648 57.0668390975176,9.43674938302554 57.0691178481242,9.44536070531186 57.0705076898696,9.45430467471414 57.0709551119783,9.46323690745925 57.0704428875834,9.47181347510742 57.0689907407386,9.47970422344107 57.0666545823921,9.48660554575905 57.0635243456088,9.49225210661034 57.0597205057088,9.49642705685313 57.0553894226939,9.49897034472873 57.0506976891957,9.49978480703837 57.0458257053517)))', 'DKATT', 'Attrup', 'Y'),('SRID=4326;MULTIPOLYGON(((9.91636391401243 54.9456808990063,9.9154200450453 54.9408174633619,9.91284662808041 54.9361534372414,9.90874304271436 54.9318679563502,9.9032673021526 54.9281255639989,9.89662993315815 54.9250699099221,9.88908587103028 54.922818255494,9.88092468324246 54.9214569926137,9.87245949426269 54.9210383446541,9.86401502915118 54.9215783730826,9.85591522377138 54.9230563643161,9.84847086423715 54.9254156197505,9.84196771725991 54.9285656195136,9.83665559636688 54.9323854790758,9.83273877685535 54.9367285692181,9.83036812548709 54.9414281256876,9.82963525037053 54.9463036367971,9.83056890374982 54.9511677667039,9.8331337875703 54.9558335504081,9.83723182132844 54.9601215846286,9.84270583700184 54.9638669373339,9.84934557042834 54.9669255081025,9.85689572634752 54.9691795915202,9.86506580956223 54.9705424258957,9.87354134135529 54.9709615486099,9.88199602206465 54.9704208259179,9.89010436059253 54.9689410770986,9.89755427172982 54.966579268333,9.90405914358491 54.9634263082151,9.90936890003586 54.9596035319621,9.91327962575241 54.9552580128323,9.91564138169863 54.9505568848695,9.91636391401243 54.9456808990063)))', 'DKAUB', 'Augustenborg', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0003715500785 55.0019373179121,11.9991750716359 54.9970942695774,11.9963585636124 54.992478406123,11.992030722052 54.9882670001151,11.9863581408311 54.9846217402987,11.9795588675468 54.9816825413143,11.9718940161068 54.9795621928037,11.9636577594956 54.9783420495952,11.9551660831207 54.978068924864,11.9467447220895 54.978753302696,11.9387167337945 54.9803689370003,11.9313901696952 54.9828538519088,11.9250463069326 54.9861127064644,11.9199288814316 54.9900204352948,11.9162347297955 54.9944270288819,11.914106198277 54.9991632736533,11.9136256145392 55.0040472350598,11.9148120434058 55.0088912375021,11.9176204634695 55.0135090746701,11.9219434100042 55.0177231735179,11.9276150343582 55.0213714353406,11.9344174346112 55.0243134884694,11.9420890208048 55.0264361087448,11.9503345946497 55.0276575954823,11.9588367522728 55.0279309309663,11.9672681628893 55.0272455990254,11.9753042391464 55.0256279910054,11.9826356982652 55.023140383255,11.9889805178836 55.0198785266927,11.9940948164067 55.0159679437192,11.9977822332869 55.0115590783695,11.9999014475779 55.0068214900709,12.0003715500785 55.0019373179121)))', 'DKAUN', 'Aunø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3104520317377 55.0325398955239,10.3094583400654 55.0276798904453,10.3068336517334 55.0230245794985,10.302679314344 55.0187527608179,10.2971552860095 55.0150284507066,10.2904739413927 55.0119946030078,10.2828918968547 55.009767641214,10.2747001708417 55.0084330095327,10.2662130542605 55.0080419100661,10.257756110332 55.0086093483522,10.2496537532751 55.0101135603813,10.2422168695534 55.0124968425501,10.2357309440196 55.0156677536328,10.230445136143 55.0195046064979,10.2265627189224 55.0238601187659,10.2242332457479 55.0285670475827,10.2235467494326 55.0334445957964,10.2245302044486 55.0383053465337,10.2271464001157 55.0429624617288,10.2312952817623 55.0472368685671,10.2368177218645 55.0509641567226,10.2435015875558 55.054000918972,10.2510898786665 55.0562302881085,10.2592906257672 55.0575664534282,10.267788164571 55.0579579793459,10.2762553451658 55.0573897954,10.284366194891 55.0558837791205,10.2918085343504 55.053497908792,10.2982960481058 55.0503240196644,10.3035793348979 55.0464842522498,10.3074555055423 55.0421263326411,10.3097759576344 55.037417870188,10.3104520317377 55.0325398955239)))', 'DKAVK', 'Avernak By', 'Y'),('SRID=4326;MULTIPOLYGON(((8.82783182295261 56.2500704791073,8.82699234865372 56.2452000078092,8.8244628983442 56.240514266012,8.82034121758869 56.2361932257672,8.8147860628738 56.2324027941495,8.80801104572807 56.2292884600912,8.80027640417132 56.2269697299726,8.79187902061902 56.2255355617591,8.78314106696058 56.2250409691008,8.77439770494554 56.2255049224609,8.76598430222431 56.226909625624,8.75822364076997 56.2292011945485,8.75141359465626 56.2322917132411,8.74581573828104 56.236062589891,8.74164531439654 56.2403690876849,8.73906294435766 56.2450458602179,8.73816840184065 56.2499132828381,8.73899669739566 56.2547843400928,8.74151663659843 56.2594718069561,8.74563192186298 56.2637954487514,8.75118477035927 56.2675889623419,8.75796192166221 56.2707063895933,8.76570281284852 56.2730277532142,8.77410961005438 56.2744636943121,8.78285870824591 56.2749589293307,8.79161324901688 56.2744943900131,8.80003616285 56.2730879617816,8.80780321979051 56.2707937913043,8.81461557211091 56.2677001906379,8.82021129431686 56.2639262207959,8.82437546856668 56.2596170895019,8.82694842495679 56.2549385440868,8.82783182295261 56.2500704791073)))', 'DKAVL', 'Avlum', 'Y'),('SRID=4326;MULTIPOLYGON(((10.826732593801 55.299353610182,10.8256687322308 55.2944986016051,10.8229658255409 55.2898552523403,10.8187282285826 55.2856018967958,10.8131190946461 55.2819018383487,10.8063540593936 55.2788970966296,10.7986929421448 55.2767029758722,10.7904297851867 55.2754036591013,10.7818816102036 55.2750489936445,10.7733763153528 55.2756525883785,10.7652401659644 55.2771912938897,10.7577853457113 55.2796060850513,10.7512980331197 55.2828043131656,10.7460274504765 55.2866632435666,10.7421762988883 55.2910347461917,10.7398929451163 55.2957509628173,10.7392656639476 55.3006307370147,10.74031916581 55.3054865628893,10.7430135552034 55.3101317875596,10.7472457739569 55.3143877911043,10.7528534875644 55.3180908670128,10.7596212765985 55.3210985362734,10.7672889025033 55.3232950489604,10.7755613321086 55.3245958578991,10.7841201320525 55.3249508885925,10.7926357866212 55.3243464765596,10.8007804533093 55.3228058956407,10.8082406517615 55.3203884564768,10.8147293846709 55.3171872109006,10.8199972135224 55.3133253529593,10.8238418564515 55.3089514584066,10.8261159375819 55.3042337496152,10.826732593801 55.299353610182)))', 'DKAVN', 'Avernakke Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((9.79591052746663 57.1497171785366,9.79492398027975 57.1448546556213,9.79221174786765 57.1401901358529,9.78787861897462 57.1359027661197,9.7820914778676 57.1321571502979,9.77507283583524 57.1290970475747,9.76709226297296 57.1268398756493,9.75845605207122 57.1254722258338,9.74949550822896 57.1250465582518,9.74055430505225 57.1255792006812,9.73197537998439 57.1270497256967,9.72408785685296 57.1294017293523,9.71719448283475 57.132544982438,9.71156004974169 57.1363588741034,9.70740123611891 57.140697019121,9.70487825774708 57.1453928559387,9.70408865078504 57.1502660245608,9.70506343548566 57.1551292826619,9.7077658212441 57.1597956964521,9.7120925183788 57.1640858306961,9.71787762180105 57.1678346606464,9.72489893044417 57.1708979377942,9.73288646824827 57.1731577611626,9.74153288207468 57.1745271357808,9.75050531352034 57.1749533389391,9.75945827919637 57.1744199613227,9.76804705092274 57.172947542283,9.77594100580631 57.1705927741142,9.7828364174957 57.1674463068991,9.78846818396494 57.1636292408102,9.79262003264104 57.1592884443521,9.79513280809438 57.1545908827341,9.79591052746663 57.1497171785366)))', 'DKAYB', 'Åbybro', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4823800233797 54.995905964052,12.4818513295406 54.9910231143685,12.4796763405423 54.986293365246,12.4759391650975 54.9818983990969,12.4707837961014 54.9780069808831,12.4644085201401 54.9747684925475,12.4570582719809 54.9723072171555,12.4490152316637 54.970717588635,12.440588024007 54.9700605857416,12.4320999289589 54.9703614053437,12.4238765451487 54.9716085019212,12.416233367542 54.9737540290087,12.4094637429211 54.9767156659578,12.4038276539637 54.9803797616232,12.399541754245 54.9846056771654,12.3967710331292 54.9892311648282,12.3956224322088 54.9940785799185,12.3961406650969 54.9989616907845,12.3983064118853 55.0036928276559,12.4020369709028 55.0080900968485,12.4071893565458 55.0119843827833,12.4135657364186 55.0152258669333,12.4209210076958 55.0176898101472,12.4289722256147 55.0192813723452,12.4374095203905 55.0199392803863,12.4459080764004 55.0196381996012,12.4541407024264 55.018389715273,12.4617904964579 55.0162418851399,12.4685631044225 55.0132773804686,12.4741980894575 55.0096102889893,12.4784789660522 55.0053817056269,12.4812415095688 55.0007542842888,12.4823800233797 54.995905964052)))', 'DKB2R', 'Borre, Sjælland', 'Y'),('SRID=4326;MULTIPOLYGON(((15.148472894948 55.0419547434215,15.14761966854 55.0370855181121,15.1451291879155 55.0324054077645,15.1410976577413 55.0280941704485,15.1356803378651 55.024317341796,15.1290855266886 55.0212198953044,15.1215665392413 55.0189206966219,15.1134119907789 55.0175079610545,15.1049347564706 55.017035885003,15.0964600236923 55.017522577528,15.0883128845596 55.0189493693693,15.0808059319901 55.0212615252264,15.0742273224662 55.0243703327094,15.0688297527895 55.0281564898743,15.0648207667695 55.0324746644374,15.0623547616289 55.0371590533221,15.0615270039571 55.0420297327622,15.062369892813 55.0468995582215,15.0648516250725 55.0515813511835,15.0688773279272 55.0558950974159,15.0742926286868 55.0596748793276,15.0808895363442 55.0627752738144,15.0884144167018 55.0650769664223,15.0965777573628 55.0664913621674,15.1050653446244 55.0669640119015,15.1135504149652 55.0664767192257,15.1217063024671 55.065048244768,15.1292190823518 55.0627335799924,15.1357997109818 55.0596218192495,15.1411951841673 55.0558327140902,15.1451982772727 55.0515120456037,15.1476554902191 55.0468259965433,15.148472894948 55.0419547434215)))', 'DKBAA', 'Balka', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7161404568124 54.7493971063813,10.7151057492304 54.7445405258273,10.7124536032846 54.7398939892627,10.7082864082881 54.7356359563153,10.7027646037711 54.7319299135249,10.6961004689486 54.7289181140704,10.6885499530495 54.7267161366005,10.6804028622134 54.7254084683924,10.6719717765546 54.7250452788191,10.6635801150735 54.7256405040524,10.6555497953734 54.7271713146885,10.6481889490069 54.7295789862742,10.6417801514505 54.732771140307,10.6365696082081 54.7366252719717,10.6327577057197 54.7409934324216,10.6304912882625 54.7457078895365,10.6298579609757 54.7505875533882,10.6308826460656 54.755444922596,10.633526536228 54.7600932865916,10.6376884990173 54.7643539075377,10.6432088914608 54.7680629048957,10.6498756493209 54.7710775756807,10.6574324240372 54.7732819041098,10.6655884566225 54.774591044993,10.6740298056611 54.7749546047554,10.6824314896439 54.7743585908673,10.6904700651305 54.7728259527982,10.6978361436988 54.7704156932119,10.7042463533184 54.7672205846108,10.7094542735136 54.7633635816166,10.7132599171818 54.7589930702096,10.7155173928951 54.7542771404216,10.7161404568124 54.7493971063813)))', 'DKBAG', 'Bagenkop', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((10.6943137159182 55.8163974579631,10.693250853247 55.811541677186,10.6905265906849 55.8068959063612,10.686246121545 55.8026385717197,10.6805742593187 55.798933127147,10.6737290558933 55.7959217960504,10.6659734091383 55.7937201323658,10.6576049842593 55.7924126056846,10.6489448324917 55.7920493762544,10.6403251357286 55.7926443805919,10.6320765355525 55.7941747992751,10.6245155192863 55.7965819268598,10.6179323338146 55.7997734115507,10.6125798800783 55.8036267810319,10.6086640076345 55.8079941224699,10.6063355801738 55.812707740865,10.6056846204634 55.817586582231,10.6067367683872 55.8224431780018,10.6094522006932 55.8270908458487,10.6137270683941 55.8313508707367,10.6193974107681 55.8350593892152,10.6262454073143 55.8380737099025,10.634007734938 55.8402778237247,10.6423857113328 55.8415868880785,10.6510568311303 55.8419505086191,10.6596872426517 55.8413546892867,10.6679446730873 55.8398223735792,10.6755112907866 55.837412555746,10.6820959960987 55.8342179971486,10.6874456567035 55.8303616380777,10.6913548482751 55.8259918465044,10.6936737242259 55.8212766904388,10.6943137159182 55.8163974579631)))', 'DKBAL', 'Ballen, Jylland', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6813128748448 55.8154021481724,10.6802516585284 55.8105462439321,10.6775290106588 55.8059001742441,10.6732500626414 55.8016423769058,10.6675795697423 55.7979363236387,10.6607355315087 55.7949242612621,10.6529808013238 55.7927217717968,10.6446130094254 55.7914133565154,10.6359531829054 55.7910492097344,10.6273334912375 55.7916433031287,10.6190845757745 55.7931728521882,10.6115229358126 55.7955791848063,10.6049388419751 55.7987699796833,10.5995852298287 55.8026227909916,10.5956679931561 55.8069897273658,10.5933380478181 55.811703109425,10.5926854747302 55.8165818923453,10.5937359756969 55.8214386099015,10.5964497907911 55.8260865751802,10.600723133317 55.8303470617979,10.6063921013949 55.8340561886153,10.6132389276204 55.837071240893,10.6210003341661 55.8392761814247,10.6293776743795 55.8405861357844,10.6380484675232 55.8409506753448,10.6466788745516 55.8403557686335,10.6549366227934 55.838824323981,10.6625038682409 55.8364153020813,10.6690894868878 55.8332214336535,10.6744403110316 55.8293656324451,10.6783508713399 55.824996245007,10.6806712683687 55.8202813238714,10.6813128748448 55.8154021481724)))', 'DKBAN', 'Ballen, Samsø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4356046509352 55.1981366831495,11.4344698600517 55.1932876858084,11.431703692356 55.1886584471287,11.4274129226657 55.1844267561185,11.4217627343334 55.1807550819475,11.4149703271938 55.1777843535396,11.4072965607932 55.1756285698233,11.3990359554912 55.1743704438066,11.3905054317349 55.1740582440858,11.3820322115061 55.1747039521228,11.3739413346787 55.1762828042593,11.3665432561979 55.1787342356991,11.360121987346 55.1819641913412,11.3549242259158 55.185848717176,11.3511498862293 55.190238697726,11.3489443912877 55.194965561422,11.3483930270365 55.1998477384656,11.349517584342 55.2046976260939,11.3522754299351 55.2093287954705,11.3565610559623 55.2135631636566,11.3622100621482 55.2172378539071,11.3690054286317 55.2202114781275,11.3766858453354 55.2223695965279,11.3849557794518 55.2236291406652,11.3934968903052 55.2239416260467,11.4019803441217 55.2232950277212,11.4100795430545 55.2217142448857,11.4174827651924 55.219260136268,11.4239052161795 55.2160271645459,11.429100018256 55.2121397428998,11.4328677076368 55.2077474276679,11.4350638737699 55.2030191458533,11.4356046509352 55.1981366831495)))', 'DKBAO', 'Bavelse Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3152874121445 55.8209752030315,12.3147716514564 55.8160923328506,12.312574243477 55.8113599125875,12.3087801880026 55.8069597257492,12.3035356864843 55.8030607344796,12.2970424632249 55.7998126069393,12.2895499858868 55.7973399911797,12.2813458883597 55.7957377516841,12.2727449624994 55.7950673475831,12.2640771348701 55.7953544881256,12.255674879314 55.796588152884,12.2478605352219 55.7987210131074,12.2409340044669 55.8016712383566,12.2351612870311 55.8053256208311,12.2307642866741 55.8095439004064,12.2279122741318 55.8141641280306,12.2267153372391 55.8190088654261,12.2272200764396 55.8238919864824,12.2294077222815 55.8286258216377,12.2331947611643 55.8330283719809,12.2384360598497 55.8369303155465,12.2449303816395 55.8401815347138,12.2524280916327 55.842656910759,12.2606407593165 55.8442611589702,12.269252288106 55.8449325144072,12.277931137235 55.8446451229888,12.2863431549352 55.8434100433363,12.2941645156163 55.8412748196056,12.3010942491938 55.8383216420591,12.3068658680872 55.8346641679582,12.3112576357826 55.8304431280992,12.3141010781707 55.8258208917618,12.3152874121445 55.8209752030315)))', 'DKBAP', 'Bastrup Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8025460901061 55.1560060298316,11.8013682406646 55.151160934442,11.7985629356517 55.146540465158,11.7942384477147 55.1423220720536,11.7885612482882 55.1386677122086,11.7817495672119 55.1357176491415,11.7740649975936 55.1335850886336,11.7658024698027 55.1323518531307,11.7572789757675 55.1320652571872,11.748821468039 55.1327363010293,11.7407543863931 55.1343392498673,11.7333872775066 55.1368126148162,11.7270029701923 55.1400614989471,11.7218467498496 55.1439612208725,11.7181169415426 55.1483620801338,11.7159572621383 55.1530950852095,11.7154512393459 55.1579784278035,11.716618920889 55.1628244576532,11.7194160125388 55.167446891658,11.7237354920576 55.1716679806335,11.7294116504983 55.1753253570781,11.7362264165044 55.1782782982237,11.7439177273174 55.1804131601272,11.7521896262828 55.1816477699759,11.7607236947945 55.1819346039832,11.7691913704309 55.1812626256796,11.7772666654423 55.1796577121186,11.7846387827408 55.1771816512969,11.7910241310297 55.1739297505658,11.7961772664331 55.1700271505632,11.7999003335429 55.1656239899084,11.802050641779 55.1608896104889,11.8025460901061 55.1560060298316)))', 'DKBAS', 'Basnæs', 'Y'),('SRID=4326;MULTIPOLYGON(((8.69570113175557 56.9771194754032,8.69486280547263 56.9722486865984,8.69230107441941 56.9675607651785,8.68811495230409 56.9632357650334,8.68246569204226 56.9594397418214,8.67557053091445 56.9563183946415,8.667694321275 56.9539914942642,8.65913937155541 56.9525483078857,8.65023388501118 56.9520441920647,8.64131943194236 56.9524984812269,8.63273792395527 56.9538937504909,8.62481857560343 56.9561764802598,8.6178653391567 56.959259097801,8.61214528229229 56.9630233196473,8.60787834646531 56.9673246698482,8.6052288762053 56.9719980045773,8.60429924759874 56.9768638349681,8.60512584922518 56.981735208781,8.60767758283854 56.9864248888922,8.61185695674901 56.9907525536674,8.6175037453951 56.9945517417832,8.62440108778019 56.997676272313,8.63228379947616 57.0000058898497,8.64084858217357 57.0014509135337,8.64976573563409 57.0019557070929,8.6586919133726 57.0015008329216,8.66728341880527 57.0001038049639,8.67520951535685 56.9978184105624,8.68216522340637 56.9947326281163,8.6878830990003 56.9909652229212,8.69214353276506 56.9866611555633,8.69478317005236 56.981985983531,8.69570113175557 56.9771194754032)))', 'DKBAU', 'Baun', 'Y'),('SRID=4326;MULTIPOLYGON(((8.24804675050754 56.4362811092563,8.24727739099752 56.4314071373861,8.24480707681086 56.4267099412144,8.24073129472721 56.4223699359655,8.23520705279622 56.4185537589719,8.22844678930405 56.4154078882272,8.22071018707588 56.4130530400174,8.21229421093081 56.4115795568711,8.20352174852597 56.4110439589737,8.19472928304664 56.4114667880562,8.18625405918126 56.4128318242091,8.17842122092342 56.4150867047791,8.17153140066118 56.4181449222308,8.16584922373699 56.4218891263776,8.16159316147008 56.4261756074363,8.15892711913293 56.4308397916637,8.15795408455891 56.4357025424878,8.15871208938549 56.4405770285409,8.16117265040253 56.4452758971202,8.16524176566078 56.4496184783929,8.1707634420753 56.4534377428507,8.17752563193915 56.4565867424618,8.18526835915723 56.4589442845985,8.19369372643748 56.4604196166058,8.20247741640661 56.4609559368254,8.21128123658188 56.4605325935592,8.2197662136226 56.4591658849964,8.22760571870141 56.4569084284003,8.23449810446816 56.4538471234833,8.24017835500817 56.4500997904709,8.24442829227946 56.4458106154875,8.24708494348586 56.4411445824015,8.24804675050754 56.4362811092563)))', 'DKBBG', 'Bøvlingbjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3106697834427 55.2325387513979,10.3096706975865 55.2276789306124,10.3070324624404 55.2230238427249,10.3028569522384 55.2187522765458,10.2973049426254 55.2150282375837,10.2905898846953 55.2119946679977,10.2829696886029 55.2097679793482,10.2747368345055 55.2084336043094,10.2662071874402 55.2080427344497,10.2577079376551 55.2086103662795,10.24956511789 55.2101147286455,10.2420911635279 55.2124981129145,10.235572980132 55.215669075025,10.2302609656688 55.2195059271472,10.2263594020041 55.2238613881766,10.2240185827295 55.2285682182679,10.223328983081 55.233445624739,10.2243177042004 55.238306196371,10.2269473403301 55.242963101689,10.2311173263577 55.2472372751954,10.2366677276447 55.2509643144403,10.2433853379529 55.2540008204987,10.251011858553 55.2562299347587,10.2592538464396 55.2575658552686,10.267794046038 55.2579571551756,10.2763036605701 55.257388772498,10.284455079355 55.2558825926995,10.2919345578863 55.2534966011011,10.2984543495972 55.2503226387073,10.3037638116722 55.2464828501136,10.3076590508257 55.2421249634758,10.3099907363162 55.2374165879154,10.3106697834427 55.2325387513979)))', 'DKBBI', 'Broby', 'Y'),('SRID=4326;MULTIPOLYGON(((9.1105543636059 55.116968269767,9.10970413396825 55.1120988380946,9.10721340500941 55.1074180104999,9.10317839371348 55.1031055725787,9.09775449592605 55.0993271058552,9.09115026416356 55.0962276463598,9.08361937572154 55.0939261365751,9.07545090231534 55.0925108800692,9.06695825236197 55.0920361696254,9.05846720306638 55.0925202151779,9.05030347068019 55.0939444490105,9.04278028301823 55.0962542341614,9.03618641824383 55.09936094959,9.03077515807017 55.1031453741649,9.02675457217575 55.1074622427088,9.02427950443932 55.1121458028876,9.02344557159665 55.1170161632791,9.02428541260274 55.1218861919745,9.02676734436755 55.1265687028263,9.03079648919907 55.1308836539785,9.03621834436872 55.1346650812908,9.04282466833235 55.1377674980101,9.05036146527805 55.1400715114431,9.0585387639753 55.1414884368634,9.06704181243554 55.1419637274104,9.07554325037316 55.141479084834,9.08371577995769 55.1400531677423,9.09124483407966 55.1377408693582,9.09784074146134 55.13463119334,9.10324990942338 55.130843811542,9.10726458680982 55.126524439352,9.1097308292596 55.1218392102608,9.1105543636059 55.116968269767)))', 'DKBDE', 'Branderup', 'Y'),('SRID=4326;MULTIPOLYGON(((9.65422132060858 55.720772454178,9.65329034455374 55.7159075800588,9.65069639288647 55.7112386617836,9.64653966175585 55.7069450217581,9.64098022729182 55.703191513644,9.63423184316139 55.7001222097401,9.62655370994078 55.6978548906591,9.61824053499844 55.6964765450677,9.60961126167795 55.6960400484922,9.60099689260664 55.6965621455357,9.59272786292766 55.6980228108999,9.58512143454076 55.7003660130894,9.57846958174986 55.7035018523319,9.5730278220628 55.7073099928779,9.56900541357892 55.7116442611805,9.56655729307918 55.7163382372324,9.5657780676434 55.7212116281407,9.56669829887348 55.7260771823359,9.56928323464872 55.7307478809035,9.57343405140696 55.735044130405,9.57899157342894 55.7388006799101,9.58574233820209 55.7418729940959,9.59342678272133 55.7441428340613,9.60174923878111 55.7455228273575,9.61038935007074 55.7459598476094,9.61901446397786 55.745437070489,9.62729250955307 55.7439746248301,9.63490485230725 55.7416288131625,9.64155861752876 55.7384899325281,9.64699799656204 55.7346787817013,9.65101409374308 55.7303419925165,9.6534529331305 55.7256463687619,9.65422132060858 55.720772454178)))', 'DKBDL', 'Bredballe', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5292105131106 54.8361070576875,11.5280759990938 54.8312586811308,11.5253252328393 54.8266311737764,11.5210643855545 54.8224022589747,11.515457482459 54.8187343008753,11.5087200564845 54.8157680878012,11.5011108560855 54.8136174475669,11.492921927191 54.8123648977637,11.4844674465344 54.8120584944376,11.4760717269049 54.8127099972702,11.4680568433147 54.814294419969,11.4607303420774 54.8167509827961,11.4543734920658 54.8199854317928,11.4492305190187 54.82387363807,11.4454992300184 54.8282663423036,11.443323386882 54.8329948660045,11.4427871252885 54.837877573833,11.4439116425931 54.842726841649,11.4466542935749 54.8473562643741,11.4509101425027 54.8515878270602,11.4565159251127 54.855258762442,11.4632562790591 54.8582278289323,11.4708720101325 54.8603807643094,11.4790700781683 54.861634701567,11.4875349150803 54.8619413734314,11.4959406314314 54.8612889793384,11.5039636302967 54.8597026412668,11.5112951298852 54.8572434305534,11.5176531003717 54.8540060042738,11.5227931454375 54.8501149445816,11.526517903761 54.8457199452073,11.5286846077619 54.8409900340538,11.5292105131106 54.8361070576875)))', 'DKBDX', 'Bandholm', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2616087263485 56.0665521014289,10.2605927125862 56.0616926011405,10.2579021499146 56.0570373168515,10.2536409504687 56.0527650420024,10.2479732007396 56.0490398048588,10.2411168056768 56.0460045882718,10.2333351002381 56.0437758616783,10.2249267528871 56.0424391314122,10.2162143454572 56.0420456763605,10.2075320595071 56.0426105911393,10.1992129297953 56.0441122099064,10.1915761401968 56.0464929323625,10.1849148360002 56.0496614212,10.1794849090714 56.0534960889838,10.1754951791676 56.0578497439746,10.173099346388 56.0625552204049,10.1723900274086 56.0674317808232,10.173395113306 56.0722920477831,10.1760766015075 56.0769492006301,10.1803319613832 56.0812241614535,10.1859979954647 56.0849524930727,10.1928570599971 56.0879907415311,10.2006454136223 56.0902219758164,10.2090633757516 56.091560307821,10.2177869007874 56.0919542148073,10.2264801146138 56.091388533356,10.2348083187995 56.0898850460285,10.2424509479625 56.0875016375959,10.2491139677945 56.0843300542821,10.2545412252425 56.0804923546281,10.2585243069558 56.0761361919477,10.2609105249629 56.0714291137811,10.2616087263485 56.0665521014289)))', 'DKBED', 'Beder', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5537341048563 56.179445846626,10.5526780456432 56.1745890879793,10.5499441787079 56.1699405220188,10.5456380800797 56.1656786817905,10.5399255583616 56.1619671927837,10.5330262331628 56.158948508439,10.525205081655 56.1567384626571,10.5167622801091 56.1554218445646,10.5080217270428 56.1550491616271,10.4993186800943 56.1556347122469,10.4909869689841 56.1571560398611,10.4833462613179 56.1595547889816,10.4766898562602 56.1627389313281,10.4712734632841 56.166586278993,10.4673053896044 56.1709491531745,10.4649385111775 56.1756600331367,10.4642643393772 56.180537972298,10.4653094201677 56.1853955381801,10.4680342168943 56.1900460116212,10.472334534384 56.1943105691792,10.4780454441611 56.1980251716763,10.4849475720222 56.2010468916716,10.4927755141186 56.2032594331137,10.5012280603742 56.204577626934,10.5099798287265 56.2049507257759,10.518693854109 56.2043643679196,10.5270346354316 56.2028411328224,10.5346811242302 56.2004396663701,10.5413391412167 56.1972524105325,10.546752731519 56.1934020272183,10.5507140146065 56.1890366573789,10.5530711483297 56.1843242016911,10.5537341048563 56.179445846626)))', 'DKBEG', 'Begtrup', 'Y'),('SRID=4326;MULTIPOLYGON(((8.46250480854378 56.8172042342114,8.46170024580634 56.8123318363179,8.45917850546381 56.8076391104018,8.45503706157197 56.8033062970987,8.44943545071597 56.7994997542612,8.44258908302552 56.796365586722,8.43476094249099 56.7940240587107,8.42625149874143 56.7925649995263,8.41738721516997 56.792044374877,8.40850808666501 56.7924821521037,8.39995467320132 56.7938615389113,8.39205511253243 56.7961296239485,8.38511259590575 56.7991993953328,8.37939377508708 56.8029530617934,8.37511853731209 56.8072465522313,8.37245153768467 56.8119150248892,8.37149581700934 56.8167791785754,8.37228875854041 56.8216521269942,8.37480055166244 56.8263465744709,8.37893523669252 56.830682018278,8.384534306022 56.8344917000935,8.39138273644826 56.8376290372036,8.39921722995094 56.8399732828403,8.40773634972041 56.8414341939702,8.4166121592762 56.8419555229426,8.42550290900054 56.8415171951896,8.43406626969053 56.8401360868192,8.44197258921636 56.8378653712755,8.44891764735696 56.8347924609121,8.45463440542681 56.8310356248815,8.45890329022785 56.8267394168205,8.46156061384017 56.8220690922196,8.46250480854378 56.8172042342114)))', 'DKBES', 'Bedsted, Thy', 'Y'),('SRID=4326;MULTIPOLYGON(((9.26064454228138 55.1999145568027,9.25977422758509 55.1950462655178,9.25726073063967 55.190368598351,9.25320114415714 55.1860612182357,9.24775180741189 55.1822895112784,9.24112224794587 55.1791982530055,9.23356711260037 55.1769060704309,9.22537640047297 55.1755009088581,9.21686437023064 55.1750366737505,9.20835754018461 55.1755311734578,9.20018223062516 55.1769654396977,9.19265211349067 55.1792844511761,9.18605623420462 55.1823992333394,9.18064795446097 55.1861902557884,9.17663523317777 55.1905120000969,9.17417261641597 55.1951985263867,9.17335524681039 55.2000698286286,9.17421513048428 55.2049387377429,9.17671981654245 55.2096181094233,9.18077355364966 55.2139280212401,9.18622089304687 55.2177027016588,9.19285261127258 55.2207969224703,9.2004137328362 55.2230916056412,9.20861334729361 55.2244984251743,9.2171358406778 55.2249632231963,9.22565310175676 55.2244681056588,9.2338372222077 55.2230321349031,9.24137318871298 55.2207105917211,9.2479710653364 55.2175928360957,9.25337718630983 55.2137988511089,9.25738392137068 55.2094746062062,9.25983763580701 55.2047864219582,9.26064454228138 55.1999145568027)))', 'DKBEV', 'Bevtoft', 'Y'),('SRID=4326;MULTIPOLYGON(((9.80210500691695 55.6187195379412,9.80115825058573 55.6138557581593,9.79855359846551 55.6091899235731,9.79439165275397 55.6049012375706,9.78883268506394 55.6011543634118,9.78209042721293 55.5980931189289,9.77442384202778 55.5958349759105,9.76612719271507 55.594466571573,9.7575187891689 55.5940404006936,9.74892883537595 55.5945728122631,9.74068683282687 55.5960433855296,9.73310900993703 55.5983957087582,9.72648624662843 55.6015395316858,9.72107294644001 55.605354211285,9.7170772761276 55.6096933218243,9.71465314533646 55.614390256031,9.71389423762814 55.6192646060424,9.71483033043592 55.624129082229,9.7174260574661 55.6287967061722,9.7215821752842 55.6330880020708,9.72713929952244 55.6368379093326,9.73388397901461 55.639902148363,9.74155688226328 55.6421627914804,9.74986278419489 55.6435328208506,9.75848196628683 55.6439594942994,9.76708258361411 55.6434263863242,9.77533351125727 55.6419540236986,9.78291716203539 55.6395990905717,9.78954176878445 55.6364522345404,9.79495264732083 55.6326345603947,9.79894199956567 55.6282929497586,9.80135687774307 55.6235943905212,9.80210500691695 55.6187195379412)))', 'DKBGK', 'Bøgeskoven', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6379260516921 55.4704200671522,10.6368803009929 55.4655634344624,10.6341873725411 55.460915972752,10.6299512454373 55.4566561749177,10.624335023344 55.4529475916638,10.6175546192856 55.4499325693207,10.6098704455224 55.4477268057769,10.6015774297233 55.4464149297557,10.5929937374736 55.4460472694616,10.5844486259328 55.4466379316147,10.5762698832042 55.4481642627139,10.5687713221028 55.4505677127202,10.5622407952265 55.453756069011,10.556929180573 55.457606977188,10.5530407537299 55.4619726169001,10.5507253145653 55.4666853569602,10.5500723744305 55.4715641763139,10.5511076357201 55.4764216073071,10.553791911286 55.4810709364588,10.5580225393502 55.4853333865717,10.5636372534304 55.4890450031567,10.570420370086 55.4920629780863,10.5781110640904 55.4942711639672,10.5864134151282 55.4955845632967,10.5950078364071 55.4959526159602,10.6035634373679 55.4953611555026,10.6117508329858 55.4938329569599,10.6192548931211 55.4914268546729,10.6257869279992 55.4882354650504,10.6310958300452 55.4843816042881,10.6349777366435 55.4800135422411,10.6372838405752 55.4752992788747,10.6379260516921 55.4704200671522)))', 'DKBGN', 'Bregnør', 'Y'),('SRID=4326;MULTIPOLYGON(((9.85176532692168 55.3137026992219,9.85082013651781 55.3088390579729,9.84823003408686 55.3041740003677,9.84409505247107 55.2998867007785,9.83857441989709 55.2961417706675,9.831880391948 55.2930829550524,9.82427007955578 55.2908276344002,9.81603558929936 55.289462339302,9.80749285169189 55.2890394464246,9.79896955860312 55.2895751794934,9.79079266148203 55.2910489900432,9.7832758970001 55.2934043410958,9.77670780583759 55.296550864555,9.77134069359456 55.3003678117222,9.76738095054181 55.3047086677047,9.76498109978724 55.3094067563119,9.76423388247449 55.3142816239355,9.7651686153736 55.3191459603414,9.76774997271992 55.3238127925487,9.77187925303023 55.3281026760187,9.77739809605103 55.3318506059171,9.78409451864488 55.334912380536,9.79171104531911 55.3371701689266,9.79995462342752 55.3385370648067,9.8085079389128 55.3389604478044,9.81704168951681 55.3384240195777,9.8252273317264 55.3369484344237,9.83274979750881 55.3345904994883,9.83931967821354 55.3314409762409,9.84468439580133 55.3276210700709,9.8486379245682 55.3232777463521,9.85102868747579 55.318578056965,9.85176532692168 55.3137026992219)))', 'DKBGO', 'Baagø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.71815869922014 55.6657495897893,9.71722115679189 55.6608851758041,9.71462329868766 55.6562175776162,9.71046546859172 55.6519260667196,9.7049077825095 55.6481754150054,9.69816392514912 55.6451095852771,9.6904929222117 55.6428462250937,9.68218920713269 55.6414721715529,9.67357136077915 55.6410401358362,9.66496994852682 55.6415666916495,9.65671491001015 55.6430316427333,9.6491229720389 55.6453787930772,9.64248555441704 55.648518091135,9.6370576216933 55.6523290679636,9.63304790152834 55.6566654405636,9.63061084302801 55.6613607074911,9.62984062711119 55.6662345256483,9.63076746726926 55.6710996265137,9.63335635498435 55.6757690082055,9.63750831223172 55.6800631277081,9.64306411709502 55.6838168159941,9.64981037126711 55.6868856479698,9.6574876841564 55.689151519011,9.66580066169536 55.6905272097639,9.67442931289025 55.6909597597963,9.68304142742373 55.6904325171019,9.69130543633367 55.6889657825119,9.69890324714835 55.6866160235599,9.70554254597777 55.6834736889295,9.71096808187883 55.6796597098544,9.71497149208779 55.6753208263989,9.71739928813329 55.6706239222614,9.71815869922014 55.6657495897893)))', 'DKBGR', 'Brejning', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1380390261998 55.5635990168511,10.1370522036243 55.5587379916965,10.134411575629 55.554079434282,10.1302191208733 55.5498022665234,10.1246362759853 55.5460707080318,10.1178776827105 55.543027988016,10.1102029249121 55.5407908672942,10.1019065750945 55.5394451769482,10.0933069295485 55.5390425411704,10.0847338565949 55.5395984070241,10.0765162127594 55.5410914547651,10.068969296409 55.5434644107942,10.0623828071589 55.546626232956,10.0570097622167 55.5504555865805,10.0530567880944 55.5548054811135,10.050676158446 55.5595088931223,10.0499598872324 55.5643851635035,10.0509361125115 55.5692469263112,10.0535679219703 55.5739073050506,10.0577546794908 55.5781871005262,10.0633358157984 55.5819216930811,10.070096949266 55.5849673915983,10.0777781093115 55.5872069818092,10.086083748747 55.5885542566746,10.0946941570207 55.5889573507725,10.1032778272814 55.5884007472648,10.1115042896572 55.5869058781966,10.1190569032375 55.5845302944486,10.1256451010565 55.5813654382227,10.1310156057952 55.5775331060978,10.1349621776667 55.5731807420779,10.1373335177024 55.5684757455518,10.1380390261998 55.5635990168511)))', 'DKBGZ', 'Bogense', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5463375853325 54.9304563465464,10.5453182088135 54.9255983638568,10.542673228303 54.9209482054999,10.538504765195 54.916684470597,10.5329733142 54.9129708644625,10.5262915297139 54.9099499299763,10.5187160410516 54.9077375954282,10.5105376129348 54.9064187444537,10.502070025888 54.9060439745219,10.4936380956057 54.9066276654378,10.4855652799112 54.9081474301308,10.4781613360186 54.9105449683224,10.4717104891628 54.9137282912744,10.4664605562848 54.9175752344945,10.4626134356979 54.9219381267958,10.4603173261724 54.9266494401694,10.4596609777468 54.9315282071544,10.4606702033526 54.9363869622351,10.4633067970902 54.9410389425136,10.467469914375 54.945305271498,10.4729998743509 54.9490218489491,10.4796842496184 54.952045679631,10.4872660164418 54.9542603943342,10.4954534543068 54.9555807470656,10.5039314110355 54.9559559117268,10.5123734922409 54.9553714484188,10.5204546947116 54.9538498618022,10.527863984422 54.9514497295271,10.5343163222862 54.9482634352579,10.539563664373 54.9444135958431,10.5434045067956 54.9400483233889,10.5456916065781 54.9353355082604,10.5463375853325 54.9304563465464)))', 'DKBIH', 'Birkholm', 'Y'),('SRID=4326;MULTIPOLYGON(((8.37710434359164 55.6172318836797,8.37633418101186 55.6123580704022,8.37389928712819 55.6076629091571,8.36989375797453 55.6033267391114,8.36447188037372 55.5995160541598,8.35784214872731 55.5963771263885,8.35025923239778 55.5940304108363,8.34201420539135 55.592565942639,8.33342341126051 55.592039899476,8.32481638342661 55.5924724580254,8.31652327342842 55.5938470244833,8.30886225628554 55.5961108678279,8.30212738291383 55.5991771321598,8.29657733433587 55.6029281529156,8.29242550158081 55.6072199527839,8.28983176928618 55.6118877484694,8.28889632110585 55.6167522606613,8.28965571256007 55.6216265881548,8.29208137392795 55.6263233843245,8.29608061474129 55.6306620611015,8.30150010552098 55.6344757429645,8.3081317152397 55.6376177015749,8.31572048861794 55.6399670204759,8.32397445996802 55.641433268195,8.33257592404129 55.6419599961363,8.34119372301205 55.6415269233701,8.34949606553113 55.6401507219854,8.35716337101022 55.6378843719073,8.36390063119215 55.6348151106631,8.36944880168648 55.631061059069,8.37359477738774 55.626766655854,8.37617956534285 55.6220970806489,8.37710434359164 55.6172318836797)))', 'DKBIL', 'Billum', 'Y'),('SRID=4326;MULTIPOLYGON(((9.49460626723547 56.0568293124628,9.4936869705341 56.0519634794052,9.49108946148068 56.047291458567,9.48691408600974 56.0429926912885,9.4813216470035 56.0392322270325,9.47452717236413 56.0361544034294,9.46679163452821 56.0338773260609,9.45841194216727 56.0324883560808,9.44970958549609 56.0320407750903,9.44101836312757 56.0325517520842,9.43267164976366 56.0340016884043,9.4249896795749 56.036334965153,9.4182673196093 56.0394620652158,9.41276279098897 56.0432629906681,9.408687763305 56.0475918476731,9.40619920014465 56.0522824266988,9.40539327211433 56.0571545676204,9.40630157956223 56.0620210684892,9.4088898425036 56.0666948747144,9.4130591226397 56.0709962731476,9.41864954504889 56.0747598137567,9.42544638884019 56.0778406905648,9.43318832089763 56.0801203331673,9.44157745908839 56.081510989876,9.4502908751546 56.0819591223003,9.45899308678815 56.0814474774944,9.4673490462686 56.0799957557849,9.47503711178701 56.0776598478793,9.48176148833782 56.0745296714625,9.48726364779465 56.0707256928061,9.49133228125261 56.0663942705695,9.49381139858833 56.0617020048174,9.49460626723547 56.0568293124628)))', 'DKBIO', 'Birksø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4773079003865 55.8339170138887,12.4767716891948 55.8290346461242,12.4745538385337 55.824304944338,12.4707401325112 55.8199095864672,12.4654775252365 55.8160173482585,12.4589684334737 55.8127776379359,12.4514629310455 55.8103147801281,12.4432491489627 55.8087232648305,12.434642248578 55.8080641399359,12.4259723845344 55.8083626823732,12.4175721087999 55.8096074347552,12.4097636859566 55.8117506433401,12.4028467928156 55.8147100808311,12.3970870623156 55.8183721858294,12.3927059027932 55.8225964013955,12.3898719796641 55.8272205498589,12.3886946882857 55.8320670413802,12.3892198756687 55.8369496813044,12.3914279866916 55.8416808173478,12.3952347200164 55.8460785532212,12.4004941830646 55.8499737511492,12.4070044377544 55.8532165523173,12.4145152332205 55.8556821615438,12.4227376326364 55.8572756699542,12.4313551627383 55.8579357262219,12.4400360506026 55.8576369116244,12.4484460659819 55.8563907249832,12.4562614615201 55.8542451383933,12.4631814988772 55.8512827411819,12.4689400664382 55.8476175453385,12.4733159329162 55.8433905783557,12.4761412387148 55.8387644367818,12.4773079003865 55.8339170138887)))', 'DKBIR', 'Birkerod', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5396099616723 55.2060994231232,11.5384623008797 55.2012515319281,11.5356835592303 55.1966247879536,11.5313809935855 55.1923968837093,11.5257202387913 55.1887301424273,11.5189188985525 55.1857653033261,11.5112381734741 55.1836161391718,11.5029728493967 55.1823651090197,11.4944400267611 55.1820602094166,11.4859670153434 55.1827131420352,11.4778788473213 55.1842988663268,11.4704858746999 55.1867565540309,11.4640719143575 55.1899919100374,11.4588833854159 55.193880772943,11.455119849635 55.1982738604408,11.4529263167724 55.203002481131,11.452387614432 55.2078849970547,11.4535250474485 55.2127337916746,11.4562954874222 55.2173624774098,11.4605929413462 55.2215930661356,11.4662525525888 55.2252628259324,11.4730568915431 55.2282305580403,11.4807443010788 55.2303820492588,11.4890189777082 55.2316344862578,11.4975623971475 55.2319396583104,11.5060456363511 55.2312858222657,11.5141421060514 55.2296981562112,11.5215401903876 55.2272377840237,11.5279552942704 55.2239994095019,11.5331408244868 55.2201076535909,11.5368976758076 55.215712239031,11.5390818561245 55.2109822114958,11.5396099616723 55.2060994231232)))', 'DKBIS', 'Bisserup', 'Y'),('SRID=4326;MULTIPOLYGON(((9.65289552714339 55.4297736511754,9.65197185249124 55.4249085184875,9.64939742992355 55.4202393027518,9.64527169584101 55.4159453389016,9.63975352912352 55.4121914946519,9.63305509561149 55.4091218570952,9.62543367878601 55.4068542215251,9.61718181294483 55.4054755903291,9.60861609490503 55.4050388510317,9.60006509603763 55.4055607578947,9.59185682724148 55.4070212925179,9.58430622467166 55.4093644273402,9.57770312335754 55.4125002635748,9.57230116928844 55.4163084637127,9.56830808841925 55.4206428500565,9.56587768400573 55.4253369964987,9.56510387276353 55.4302106025692,9.56601699707037 55.4350764080933,9.56858256684346 55.4397473849055,9.57270249343897 55.4440439299653,9.57821878211531 55.4478007825923,9.58491955294922 55.450873397696,9.59254716662585 55.4531435266781,9.60080814543393 55.4545237875511,9.60938450518868 55.4549610446866,9.61794605441209 55.4544384649866,9.62616317600689 55.4529761692846,9.63371958605881 55.4506304532506,9.64032456540303 55.4474916086379,9.64572418213956 55.4436804309539,9.64971106615354 55.4393435512004,9.6521323576051 55.4346477750833,9.65289552714339 55.4297736511754)))', 'DKBJE', 'Bjert Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((8.22438688093349 55.8682876844523,8.22363112180333 55.8634131593369,8.22119922111888 55.8587151728037,8.21718517008227 55.8543741726591,8.2117435914892 55.8505568377091,8.20508374232107 55.8474096942246,8.19746145099254 55.8450535111434,8.18916930224507 55.8435786854292,8.18052544436324 55.8430417909176,8.17186144107396 55.8434634198321,8.16350962312301 55.8448273975566,8.15579041145957 55.8470813999172,8.14900008488765 55.8501389498981,8.14339944995074 55.8538827191896,8.1392038399893 55.8581690109747,8.13657482436207 55.8628332556367,8.13561394875288 55.8676963122113,8.13635875475336 55.8725713369048,8.13878124350824 55.8772709571364,8.14278885669521 55.8816144763843,8.1482279516237 55.8854348323325,8.15488964943016 55.8885850387906,8.16251784026403 55.8909438605106,8.1708190412388 55.8924204988197,8.17947372594945 55.8929581039305,8.18814868238011 55.8925359754372,8.19650991226598 55.8911703640121,8.20423556177494 55.8889138425459,8.21102837200026 55.8858532715658,8.21662715828715 55.8821064393015,8.2208168687379 55.8778175088797,8.22343683214195 55.8731514516251,8.22438688093349 55.8682876844523)))', 'DKBJG', 'Bjerregård', 'Y'),('SRID=4326;MULTIPOLYGON(((10.292486998895 55.0645461398815,10.2914946269566 55.0596860060734,10.2888698642743 55.0550303318182,10.2847140624945 55.0507579291986,10.27918723695 55.0470328368524,10.272501870358 55.0439980385023,10.2649147337308 55.0417699939445,10.2567170408065 55.0404341887537,10.2482233109799 55.04004186991,10.2397593604987 55.0406080896493,10.2316498715939 55.0421111307088,10.2242060036158 55.044493334498,10.2177135088715 55.0476633013373,10.2124217987179 55.0514993805629,10.2085343728812 55.0558543197551,10.2062009776199 55.0605608983259,10.2055117972866 55.0654383328032,10.206493910616 55.0702992108476,10.2091101597376 55.0749566895824,10.2132604891165 55.0792316822099,10.2187857165448 55.0829597557873,10.225473602606 55.0859974727267,10.2330669927238 55.088227928903,10.2412737211236 55.0895652715939,10.2497778928403 55.0899580197485,10.2582521019405 55.089391055772,10.2663701044095 55.0878862102307,10.2738194447832 55.0855014164317,10.280313537633 55.0823284683604,10.2856027283074 55.0784894705465,10.28948390065 55.0741321197379,10.291808260441 55.069424003669,10.292486998895 55.0645461398815)))', 'DKBJR', 'Bjørnø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.63803760581019 57.2507747121885,9.63706902111585 57.2459109955635,9.63436917304795 57.2412431193073,9.6300423803568 57.2369503598806,9.6242552894908 57.2331975283283,9.6172304143725 57.230128660634,9.60923756739079 57.2278615103609,9.60058351356074 57.2264830509922,9.59160024190972 57.2260461566401,9.58263229566176 57.2265675851939,9.57402363472522 57.2280273391348,9.56610451974429 57.2303694278556,9.55917890627425 57.2335040031214,9.55351282049237 57.2373107880615,9.54932415455643 57.2416436715224,9.54677427089358 57.2463362954415,9.54596174136602 57.251208424712,9.54691847092256 57.2560728582816,9.54960836807337 57.2607426182283,9.55392862900398 57.2650381413171,9.55971360166866 57.2687941957611,9.56674109462477 57.271866254921,9.57474089694422 57.2741360793616,9.58340518472593 57.2755162884813,9.59240041091483 57.2759537417837,9.60138021231388 57.2754315962842,9.60999882417258 57.2739699586503,9.61792447090791 57.271625106265,9.62485220256555 57.2684873081064,9.63051567049634 57.2646773317019,9.63469738108947 57.260341774076,9.63723703080679 57.2556474004083,9.63803760581019 57.2507747121885)))', 'DKBKH', 'Blokhus', 'Y'),('SRID=4326;MULTIPOLYGON(((9.19405073540243 55.5669381855758,9.19318041666303 55.5620697141406,9.1906513166676 55.5573909697708,9.18656114018292 55.5530816558666,9.18106741096334 55.5493072311313,9.17438136658573 55.54621257329,9.16675982315457 55.5439164375707,9.15849532511552 55.5425069189484,9.14990495576879 55.5420380886048,9.141318230453 55.5425279305464,9.13306452575459 55.5439576554787,9.12546051385458 55.5462724175483,9.11879807095655 55.5493834072146,9.11333311264849 55.5531712420624,9.10927577733996 55.5574905285937,9.10678233222228 55.5621754236323,9.10594911555403 55.5670459855662,9.10680875597398 55.5719150747083,9.10932882601539 55.576595539847,9.11341299563919 55.580907415611,9.11890465558213 55.5846848532776,9.12559288329836 55.5877825164303,9.1332205302923 55.5900811923097,9.14149412290712 55.5914923992237,9.1500951932749 55.5919618089632,9.15869259692115 55.5914713493137,9.16695533157804 55.5900399036105,9.17456535033426 55.5877225796789,9.18122986249783 55.5846085770804,9.18669263745626 55.5808177369221,9.19074386919755 55.5764959102329,9.19322821974414 55.5718093269048,9.19405073540243 55.5669381855758)))', 'DKBKK', 'Bække', 'Y'),('SRID=4326;MULTIPOLYGON(((8.36202539411073 56.4172396848325,8.3612418216755 56.4123663760877,8.35875866706949 56.4076714084755,8.35467190842895 56.4033351109199,8.34913897300205 56.39952397788,8.34237263040522 56.3963842934521,8.33463279461132 56.3940365364616,8.3262165528962 56.392570777497,8.31744680225057 56.3920432406866,8.30865992184337 56.3924741588473,8.30019294296436 56.3938470020377,8.29237069483998 56.3961091082428,8.28549340550318 56.3991736926411,8.27982522149547 56.4029231604313,8.27558407887084 56.4072135992774,8.27293331136581 56.4118802827705,8.27197532069373 56.4167439775143,8.27274756017651 56.4216178149962,8.27522099834431 56.4263144666087,8.27930113629932 56.4306533470546,8.28483155473369 56.4344675686536,8.29159986722289 56.4376103771046,8.29934585989849 56.4399608179777,8.30777150815644 56.4414284120873,8.31655248294417 56.4419566559202,8.32535069631626 56.4415252090215,8.33382739163908 56.4401506818286,8.34165626044449 56.4378859927309,8.34853606676184 56.4348183197723,8.35420228086475 56.4310657279599,8.35843726660207 56.4267726052335,8.36107862756877 56.4221040865977,8.36202539411073 56.4172396848325)))', 'DKBKM', 'Bækmarksbro', 'Y'),('SRID=4326;MULTIPOLYGON(((9.67712196198328 55.6327644366791,9.67619032284682 55.6278996684481,9.67359954949373 55.6232311590621,9.66944971281201 55.6189382154049,9.66390062170078 55.6151856647738,9.65716563124149 55.6121175432121,9.64950342755273 55.6098515864985,9.64120810740391 55.6084747315171,9.63259793062504 55.6080397969675,9.62400316928203 55.6085634676953,9.61575350848189 55.6100256579705,9.60816546890923 55.6123702775061,9.60153032048467 55.615507371668,9.5961029398856 55.6193165559411,9.59209203239101 55.6236516160662,9.58965209125126 55.6283461010326,9.58887740658478 55.6332196979318,9.58979836218123 55.6380851470057,9.5923801745937 55.6427554333344,9.59652413715528 55.647050979511,9.60207133524949 55.6508065620288,9.60880870199201 55.6538776832673,9.61647718949905 55.6561461507741,9.62478174434772 55.657524645419,9.63340270080757 55.6579600988782,9.64200814570152 55.6574357473065,9.65026676744643 55.6559717800865,9.65786068113415 55.6536245580293,9.66449772256441 55.6504844319799,9.66992272686932 55.646672248031,9.67392735054149 55.6423346771149,9.67635805698646 55.6376385524871,9.67712196198328 55.6327644366791)))', 'DKBKP', 'Borkop', 'Y'),('SRID=4326;MULTIPOLYGON(((8.16203051785506 55.553308959559,8.16128817450316 55.548433847248,8.15888285420035 55.5437344757422,8.15490751691979 55.5393913475778,8.14951529167207 55.5355712253063,8.14291353741527 55.5324207444425,8.13535585345048 55.5300608041445,8.12713234945238 55.5285819472701,8.11855854662096 55.5280409033876,8.10996332888396 55.5284584241832,8.10167639557852 55.5298184921057,8.09401568394125 55.5320689317335,8.08727523072396 55.535123401003,8.08171392731513 55.5388646878669,8.07754559217155 55.5431491889368,8.07493073876678 55.5478124018995,8.07397035764534 55.5526752246137,8.07470195899278 55.5575508222616,8.07709803937468 55.5622518010498,8.08106704551094 55.5665974137484,8.08645681225116 55.5704205195586,8.09306035492506 55.573574028749,8.10062380196372 55.5759365811261,8.10885616631782 55.5774172361664,8.11744057787764 55.5779589905466,8.12604653763038 55.5775409844132,8.13434271086194 55.5761793092062,8.14200975363959 55.573926385042,8.14875266535363 55.5708689322328,8.15431218033407 55.567124617043,8.15847475239858 55.5628375038961,8.16108074545127 55.5581724927697,8.16203051785506 55.553308959559)))', 'DKBLA', 'Blavand', 'Y'),('SRID=4326;MULTIPOLYGON(((9.71342322310893 54.9987531292746,9.71250256934009 54.9938881035808,9.7099491881586 54.9892197747885,9.70586169329658 54.9849274449671,9.70039748430752 54.9811759211318,9.69376664938319 54.9781092038529,9.68622387649087 54.9758449790011,9.67805868594483 54.9744701204207,9.66958435667786 54.9740373725279,9.66112596380627 54.9745633371271,9.65300797557074 54.9760278397299,9.6455418727582 54.9783746990767,9.63901425297235 54.981513871162,9.63367586563301 54.985324887636,9.62973199166094 54.9896614597669,9.62733453510238 54.9943570749134,9.62657613351603 54.9992313742834,9.62748652130339 55.0040970701196,9.6300312973517 55.0087671386187,9.63411315798153 55.0130620128573,9.63957556140118 55.0168164984559,9.64620869430276 55.0198861439431,9.65375751887498 55.0221528176544,9.66193159349098 55.0235292729288,9.67041628669784 55.0239625222672,9.67888494556107 55.0234358875246,9.68701153893361 55.0219696452129,9.69448327597361 55.019620241447,9.70101270131833 55.0164781075975,9.70634879067027 55.0126641629163,9.7102866129586 55.0083251419279,9.71267518545194 55.0036279300894,9.71342322310893 54.9987531292746)))', 'DKBLB', 'Ballebro', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1544050597592 55.0300233099597,12.1539159895302 55.0251395385476,12.1517781231317 55.0204043957804,12.1480741471271 55.0159997733402,12.1429467848042 55.012094808606,12.1365932535259 55.0088394045713,12.129257659237 55.0063584938925,12.1212216243728 55.0047472637368,12.1127935079547 55.0040675210043,12.1042966256378 55.0043453340908,12.0960569117715 55.0055700392515,12.0883904844521 55.007694648515,12.0815915777275 55.0106376437581,12.0759212925196 55.014286089754,12.0715975897241 55.0184999495347,12.0687869058987 55.0231174399693,12.0675977149343 55.0279612256873,12.0680762894894 55.0328452168663,12.0702048356607 55.0375817122644,12.0739020858036 55.0419886142738,12.0790263405822 55.0458964384725,12.0853808557312 55.0491548465395,12.0927213755226 55.0516384484818,12.1007655276596 55.0532516474112,12.1092037173389 55.0539323366992,12.1177110953407 55.0536543038452,12.1259601294404 55.052428246052,12.1336332826192 55.050301357217,12.1404352968788 55.0473555025082,12.146104598205 55.0437040524804,12.1504233754917 55.0394875014381,12.1532259420467 55.034868042232,12.1544050597592 55.0300233099597)))', 'DKBLC', 'Balle', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3118789161562 56.2995327316188,10.31084992097 56.2946738854157,10.3081365055391 56.290019976354,10.3038434672406 56.2857497437972,10.2981361200823 56.2820271359907,10.2912338910329 56.2789950331308,10.2834018730387 56.2767697835547,10.2749406614785 56.275436758924,10.2661748609767 56.2750470952156,10.2574406953522 56.2756157414667,10.2490731840675 56.2771208891629,10.2413933632399 56.2795048036123,10.2346960278271 56.2826760263732,10.2292384540036 56.2865128665584,10.2252305273332 56.2908680503884,10.2228266537558 56.2955743544006,10.2221197677049 56.3004510098505,10.2231376763906 56.3053106355234,10.2258418935077 56.3099664346844,10.2301290220381 56.3142393802201,10.2358346476839 56.317965110859,10.2427396055636 56.3210002709821,10.2505783872941 56.3232280468114,10.2590493677796 56.3245626820856,10.2678264551641 56.3249527956214,10.2765717073006 56.3243833698993,10.2849484169032 56.3228763321015,10.2926341474929 56.320489704671,10.2993332044059 56.3173153590769,10.3047880493874 56.3134754616296,10.3087892123176 56.3091177515488,10.3111833169757 56.3044098368953,10.3118789161562 56.2995327316188)))', 'DKBLE', 'Balle, Samsø', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1195946517787 55.1539650303265,15.1187425286991 55.1490956923901,15.1162484326426 55.1444150797103,15.1122087110304 55.1401029694365,15.1067789413265 55.1363249302676,15.1001679017762 55.1332259815582,15.0926295308294 55.1309250459427,15.0844531868161 55.1295104047646,15.0759525793558 55.1290363270843,15.0674537900601 55.1295209985382,15.0592828313051 55.1309458274683,15.0517532075684 55.13325615423,15.0451539437404 55.1363633372022,15.039738528937 55.1401481375312,15.035715192957 55.1444652758191,15.0332388862944 55.1491489895262,15.0324052745571 55.1540193814071,15.0332469857591 55.1588893183246,15.0357322662644 55.1635716175471,15.0397661107386 55.167886245165,15.0451938364597 55.1716672492369,15.0518069763624 55.1747691590287,15.0593512722396 55.177072601108,15.0675364637453 55.1784889125443,15.0760474943084 55.1789635699954,15.0845566954923 55.1784782995594,15.0927364698028 55.1770517840845,15.1002719706731 55.1747389399767,15.1068732784734 55.1716287921006,15.1122865929138 55.16784103069,15.1163040039591 55.1635213859404,15.1187714631337 55.1588360019772,15.1195946517787 55.1539650303265)))', 'DKBLH', 'Bølshavn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4672382044175 54.8601288634619,11.4661103467563 54.8552798577355,11.4633649149532 54.8506509081475,11.4591078767194 54.8464197937324,11.453503112464 54.8427489632563,11.4467660743209 54.8397793153268,11.4391554968519 54.8376248094882,11.4309634793798 54.8363681114852,11.4225043171944 54.836057436308,11.4141025022686 54.8367047073368,11.4060803426502 54.8382851005115,11.3987456627667 54.8407379906863,11.3923800442237 54.8439692649523,11.3872280483305 54.8478549165214,11.3834878278957 54.8522457845146,11.3813034874867 54.8569732614078,11.3807594894587 54.8618557525588,11.3818773291965 54.8667056426218,11.384614619299 54.8713365030002,11.3888666315545 54.8755702637595,11.3944702507147 54.8792440732521,11.4012101989786 54.8822165793422,11.4088272987468 54.8843733873563,11.4170284577361 54.8856314810638,11.4254979889423 54.8859424329907,11.4339098218009 54.8852942776243,11.4419401231224 54.8837119736569,11.4492798289784 54.8812564371361,11.4556465926059 54.8780221838531,11.4607956783689 54.8741336741245,11.464529376502 54.869740503958,11.4667045753997 54.8650116313622,11.4672382044175 54.8601288634619)))', 'DKBLN', 'Blans', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1454978715083 56.8165907310392,10.1444752532679 56.8117308778686,10.1417441982262 56.8070737782509,10.1374102016436 56.8027982930981,10.1316401662549 56.7990685701384,10.1246559353159 56.7960277596804,10.1167257516757 56.7937925409275,10.1081539734011 56.7924486650183,10.0992694374769 56.7920476819854,10.0904129096379 56.7926049740365,10.0819240894637 56.7940991685728,10.0741286549026 56.7964729528756,10.0673258291113 56.7996352601589,10.0617769349038 56.8034647454646,10.0576953685297 56.8078144214201,10.0552383755593 56.8125172798685,10.0545009484115 56.8173926874419,10.0555120890264 56.8222533127188,10.0582335934607 56.8269123209784,10.0625614204463 56.8311905607358,10.068329606515 56.8349234648997,10.0753165899561 56.8379673988522,10.0832537088796 56.8402052078659,10.0918355493859 56.8415507464579,10.1007317426049 56.8419522114668,10.1095997480817 56.8413941473082,10.1180981188678 56.8398980441276,10.1258997230196 56.8375215052178,10.1327043981178 56.8343560167296,10.1382505398107 56.8305234079305,10.1423251708971 56.8261711417168,10.1447721016421 56.8214666205879,10.1454978715083 56.8165907310392)))', 'DKBLU', 'Baelum', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3108348908388 55.3825378965695,10.3098317165712 55.3776782136766,10.3071832113492 55.3730232926557,10.302991648674 55.3687519153357,10.2974184240269 55.3650280791419,10.2906778046403 55.361994717485,10.2830286816189 55.3597682329929,10.2747646433922 55.3584340497101,10.2662027485143 55.3580433513281,10.2576714208689 55.3586111276135,10.2494979203967 55.360115602084,10.241995856925 55.3624990623643,10.2354532132706 55.3656700622946,10.2301213265153 55.3695069135475,10.2262052435479 55.3738623359945,10.2238558192891 55.3785690920601,10.2231638645303 55.3834463924179,10.2241565765604 55.3883068300841,10.2267964018071 55.3929635785105,10.2309823882158 55.3972375776628,10.2365539892425 55.4009644309658,10.2432971848387 55.4040007456817,10.2509526916973 55.4062296696055,10.2592259495083 55.4075654073113,10.2677984961185 55.40795653846,10.2763402860117 55.4073880074002,10.2845224664628 55.405881705522,10.2920301061956 55.4034956234073,10.2985743734592 55.4003216063671,10.3039036839945 55.3964818020564,10.3078133831212 55.3921239401798,10.310153587801 55.3874156296933,10.3108348908388 55.3825378965695)))', 'DKBML', 'Blommenslyst', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7651290429789 56.5193669825573,10.7640357680978 56.5145125301049,10.7612509654764 56.5098692140295,10.7568821769277 56.5056153629728,10.7510976231565 56.5019142926083,10.744119689053 56.4989080534805,10.7362163644222 56.496711999378,10.7276909710057 56.4954103808303,10.7188705666339 56.4950531290558,10.7100934629116 56.4956539506769,10.701696323044 56.4971898043727,10.6940013206439 56.4996017790725,10.6873038383744 56.5027973410383,10.6818611670935 56.5066538660293,10.6778826320934 56.5110233244209,10.6755215237333 56.5157379433636,10.6748691463119 56.5206166324208,10.6759512229693 56.5254719290693,10.6787268078564 56.530117199254,10.6830897624757 56.534373816838,10.6888727542868 56.5380780449696,10.6958536361965 56.5410873523632,10.7037639696256 56.5432859181142,10.7122993658072 56.5445891093168,10.7211312440794 56.5449467553297,10.7299195460371 56.5443450895112,10.7383259036427 56.5428072817038,10.7460267399656 56.5403925404744,10.7527257841824 56.5371938207408,10.7581655076453 56.5333342274853,10.7621370338434 56.5289622574477,10.7644881394449 56.5242460658522,10.7651290429789 56.5193669825573)))', 'DKBNP', 'Bønnerup', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3117818954468 56.216533194802,10.3107552975952 56.2116742733238,10.3080479120932 56.2070202732536,10.3037643018312 56.2027499377831,10.2980694167321 56.1990272195923,10.2911822043404 56.1959950036754,10.2833671813396 56.193769643261,10.2749242920276 56.1924365147257,10.2661774398418 56.1920467583343,10.2574621238101 56.1926153267751,10.2491126423398 56.1941204143941,10.2414493414348 56.1965042884795,10.2347663829818 56.1996754916624,10.2293204911844 56.2035123332528,10.2253211018666 56.2078675388694,10.2229222908635 56.2125738837553,10.2222167951304 56.2174505972985,10.2232323650591 56.2223102959608,10.2259306008845 56.226966180331,10.2302083326705 56.2312392203504,10.2359015054404 56.2349650515962,10.242791432339 56.2380003151403,10.250613183426 56.2402281937799,10.2590657901144 56.241562927761,10.2678238695829 56.241953132404,10.276550213549 56.2413837867779,10.2849088446999 56.2398768148566,10.2925780240748 56.2374902362202,10.2992626948447 56.2343159199814,10.3047058721238 56.2304760307651,10.3086985333515 56.2261183069256,10.3110876269842 56.2214103565959,10.3117818954468 56.216533194802)))', 'DKEGA', 'Egå', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1421978812306 57.3835894787623,10.1411590013596 57.378730090705,10.1383854355335 57.3740734924077,10.1339843331433 57.3697985231928,10.1281251890087 57.3660693075592,10.1210332748088 57.3630289723572,10.1129809658013 57.3607941746068,10.1042772985293 57.3594506459853,10.0952561569712 57.359049921032,10.0862635316725 57.3596073713499,10.077644327826 57.361101619136,10.0697292134708 57.3634753519348,10.0628219976741 57.3666375083306,10.057188010774 57.3704667531224,10.0530439247849 57.374816112105,10.0505494025422 57.3795185925971,10.0498009001155 57.3843935779174,10.0508278699828 57.389253753571,10.0535915245213 57.3939123012443,10.0579862232425 57.3981900848406,10.0638434462287 57.4019225513975,10.0709382142814 57.4049660791414,10.0789977176723 57.4072035250163,10.0877118245799 57.4085487541915,10.0967450616844 57.4089499732333,10.105749597 57.408391735318,10.1143787121388 57.4068955381534,10.1223002301563 57.4045189909707,10.1292093670872 57.4013535836506,10.1348405001214 57.3975211463182,10.1389773917223 57.3931691392136,10.1414614743361 57.3884649581703,10.1421978812306 57.3835894787623)))', 'DKBOC', 'Boller Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((8.52637241295252 56.7071807039209,8.52556185686429 56.7023086230287,8.52303944053186 56.6976171045608,8.51890265917299 56.6932863427581,8.51331086624369 56.6894826169878,8.50647909209018 56.6863519244702,8.49866975923555 56.6840143967318,8.49018261583111 56.68255971025,8.48134327131061 56.6820436635284,8.47249076647812 56.6824860486185,8.46396464311024 56.683869896491,8.45609199502858 56.6861421243548,8.44917498320245 56.6892155607711,8.44347928176505 56.6929722729803,8.43922389015336 56.6972680719979,8.43657269952094 56.7019380264409,8.43562814011976 56.7068027773354,8.43642716197011 56.7116754147941,8.43893971584492 56.7163686547463,8.44306980799499 56.7207020408713,8.44865910333674 56.7245088942732,8.45549295176172 56.7276427415783,8.46330861496059 56.7299829709722,8.47180538104574 56.7314394946743,8.48065617561649 56.7319562344804,8.48952021469968 56.731513292823,8.49805620053085 56.7301277234638,8.50593553781652 56.7278528712753,8.51285504721773 56.7247763072263,8.51854867437084 56.7210164402305,8.52279773563261 56.7167179395598,8.52543930358912 56.7120461478988,8.52637241295252 56.7071807039209)))', 'DKBOD', 'Boddum', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3267187949482 55.2991746308411,11.325594014796 55.294324601346,11.3228330857377 55.2896929137263,11.3185425857321 55.2854574513318,11.312887691682 55.2817808280909,11.3060857870349 55.2788041625664,11.2983980975364 55.2766416810027,11.2901196780759 55.2753763527928,11.2815681315003 55.2750567222883,11.2730714841691 55.2756950556339,11.2649556719338 55.2772668719756,11.2575321035403 55.2797118766659,11.2510857659154 55.2829362617503,11.2458643174429 55.2868162878411,11.2420685814918 55.2912030132269,11.2398448038211 55.2959279924424,11.2392789751507 55.3008097291323,11.240393445725 55.3056606383372,11.2431459742254 55.3102942525658,11.2474312616012 55.3145323951601,11.2530849245267 55.3182120441559,11.2598897669842 55.3211916203467,11.2675841159754 55.3233564543656,11.2758719027639 55.3246232186788,11.284434098411 55.3249431503008,11.2929410553301 55.3243039372442,11.3010652681261 55.3227301942913,11.3084940491433 55.3202825093994,11.3149416178817 55.3170550985595,11.3201601285338 55.3131721618034,11.3239492049894 55.3087830839648,11.326163615338 55.3040566686479,11.3267187949482 55.2991746308411)))', 'DKBOE', 'Boeslunde', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0942800069949 54.9160432910975,12.0937991341898 54.9111593000441,12.0916739496305 54.9064231774043,12.0879866494116 54.902016853254,12.0828793142963 54.8981095312113,12.076548392013 54.8948512056811,12.0692371213372 54.8923669222652,12.0612261930677 54.8907519981678,12.0528230054529 54.8900683823561,12.0443499205429 54.8903422918466,12.0361319622308 54.8915632123907,12.028484415676 54.893684300723,12.0217007910453 54.8966241731855,12.0160416019955 54.9002700137368,12.0117243813366 54.9044818848592,12.008915313424 54.9090980794177,12.0077228059902 54.913941311728,12.0081932547383 54.9188255134524,12.0103091739548 54.9235629757738,12.0139897781083 54.9279715646625,12.0190940058512 54.9318817317146,12.0254258825265 54.9351430493989,12.0327420240636 54.937630016585,12.0407609981203 54.9392469074886,12.0491741815499 54.9399314737138,12.0576576905277 54.9396573535519,12.0658849141888 54.9384350933242,12.0735391568068 54.9363117402515,12.0803258888006 54.9333690227783,12.0859841234475 54.9297201900734,12.090296473239 54.9255056351826,12.0930974953665 54.92088747382,12.0942800069949 54.9160432910975)))', 'DKBOG', 'Bogo By', 'Y'),('SRID=4326;MULTIPOLYGON(((8.32336506812374 55.848251932577,8.32259728455818 55.843377971572,8.32015466436233 55.8386819005083,8.31613160881943 55.83434409303,8.31068308448857 55.8305311049348,8.30401861293221 55.8273892954149,8.29639419815133 55.8250392286836,8.28810250504216 55.8235710671633,8.2794616637515 55.823041129267,8.27080312236795 55.8234697406276,8.26245900289849 55.8248404590015,8.25474943229904 55.8271007017278,8.24797032114254 55.8301637522946,8.24238204731022 55.8339120710414,8.23819947116696 55.8382017860632,8.23558366264621 55.8428681956849,8.2346356605271 55.8477320750651,8.2353925113993 55.8526065480404,8.2378257523724 55.8573042625266,8.24184241006366 55.8616445946838,8.24728849192982 55.8654606043554,8.25395484825396 55.8686054723418,8.26158518809879 55.8709581688055,8.26988594453196 55.8724281309711,8.27853760759685 55.8729587662928,8.2872070816854 55.8725296429611,8.29556058038288 55.8711572811626,8.30327654882978 55.8688945137551,8.31005810243979 55.8658284416109,8.31564449149271 55.8620770643985,8.31982114256675 55.8577847196463,8.32242788776768 55.8531165093816,8.32336506812374 55.848251932577)))', 'DKBOK', 'Bork Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((9.34340850510694 54.9828852041665,9.34253296339928 54.9780173380541,9.34002350712553 54.9733412050383,9.33597706602443 54.9690364093766,9.33054946828689 54.9652682386844,9.32394940279814 54.9621813338413,9.31643038288768 54.9598941560421,9.30828102285517 54.9584944597467,9.29981399802844 54.9580359416588,9.29135410480438 54.958536191282,9.28322586799974 54.959976019682,9.27574115826257 54.9623001915384,9.26918728196442 54.9654195331637,9.26381598991511 54.9692143376945,9.25983381972321 54.9735389398805,9.25739414031542 54.978227288527,9.2565912070678 54.9830993063005,9.25745646369482 54.9879677957627,9.25995724451473 54.992645628417,9.2639979405471 54.9969529412518,9.26942359823664 55.0007240634352,9.2760258240551 55.0038139047501,9.28355077578457 55.0061035569504,9.29170893606061 55.0075048888704,9.30018628979711 55.0079639547971,9.30865646811206 55.0074630818233,9.31679338037461 55.0060215537827,9.32428383517602 55.0036948647512,9.33083965151176 55.0005725716338,9.33620878322112 54.9967748306321,9.34018502158993 54.9924477540471,9.34261590075868 54.987757769778,9.34340850510694 54.9828852041665)))', 'DKBOL', 'Bolderslev', 'Y'),('SRID=4326;MULTIPOLYGON(((26.2034329614065 58.3323040152199,26.2026311532242 58.3274311416852,26.2000380135325 58.3227341426109,26.1957538231929 58.3183934186046,26.1899436502261 58.3145756236337,26.1828309413274 58.3114272846129,26.1746889100838 58.3090691991708,26.1658300565312 58.3075918225258,26.1565942178679 58.3070518163464,26.1473356004094 58.3074698884369,26.1384092772428 58.3088300036748,26.1301576538726 58.311079995506,26.1228974051911 58.3141335552119,26.1169073713173 58.3178735248391,26.1124178675064 58.3221563708582,26.1096018150057 58.3268176709709,26.1085680363889 58.3316784076325,26.1093569819641 58.3365518302595,26.1119390653556 58.3412506250647,26.1162156889217 58.3455941180575,26.1220229366157 58.3494152337178,26.1291378070918 58.3525669395865,26.1372867576859 58.3549279254627,26.146156234955 58.3564072945625,26.1554047843355 58.3569480818837,26.1646762644168 58.3565294607,26.1736136438909 58.3551675497284,26.181872834029 58.3529147889079,26.1891360079682 58.3498579085113,26.1951238802488 58.3461145720371,26.1996064647021 58.3418288255867,26.2024118934917 58.337165533022,26.2034329614065 58.3323040152199)))', 'EEUBE', 'Ubesoo', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7668277679406 55.3843744420465,10.7657687240194 55.379518942147,10.7630667929953 55.3748743211747,10.7588262955954 55.3706189624317,10.7532104993287 55.3669162460271,10.7464352976125 55.3639082932518,10.7387609008913 55.3617105310942,10.7304818608511 55.3604072818091,10.7219158074146 55.3600485431861,10.7133913227677 55.3606480801146,10.7052354062321 55.3621828988268,10.6977609977541 55.3645941235388,10.6912550258623 55.3677892428566,10.6859674281732 55.3716456420659,10.6821015592252 55.3760152890204,10.6798063522718 55.3807303975165,10.6791705397452 55.3856098543744,10.6802191629618 55.390466166414,10.6829125173762 55.3951126623659,10.6871475879717 55.3993706734797,10.6927619334221 55.4030764158473,10.6995398811865 55.4060873075027,10.7072208027616 55.4082874740392,10.715509153112 55.4095922271567,10.7240858849038 55.4099513401203,10.7326207902656 55.4093509910506,10.7407852834141 55.4078142973566,10.7482651186908 55.4054004202718,10.7547725413876 55.4022022749902,10.7600573930182 55.398342936902,10.7639167371092 55.3939708855709,10.766202633758 55.3892542732444,10.7668277679406 55.3843744420465)))', 'DKBOM', 'Bovense Mose, Østfyn', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1495327230187 55.104597004961,10.1485566145339 55.0997356673425,10.1459457276489 55.0950768823188,10.141800883785 55.0907995822133,10.1362816805587 55.0870679941993,10.1296003110179 55.0840253515343,10.1220133951899 55.0817884149735,10.1138121399181 55.0804430109842,10.1053112018163 55.0800407543975,10.0968366731446 55.0805970782779,10.0887136404831 55.0820906446971,10.0812537806583 55.0844641584724,10.074743457149 55.0876265535466,10.0694327632069 55.0914564703212,10.0655259254654 55.0958068936875,10.0631734345683 55.1005107774192,10.0624662083704 55.1053874426316,10.0634320200895 55.1102495076232,10.066034340482 55.1149100848645,10.0701736522965 55.1191899691837,10.0756912001222 55.1229245399849,10.0823750429331 55.1259701099083,10.0899681841712 55.1282094725501,10.0981784692316 55.1295564320936,10.1066898667959 55.1299591368882,10.1151746922435 55.1294020856337,10.123306291401 55.1279067269948,10.1307716832702 55.1255306290037,10.1372836621693 55.1223652511417,10.1425918828311 55.1185324071096,10.146492495159 55.1141795576644,10.1488359562726 55.1094741183806,10.1495327230187 55.104597004961)))', 'DKBOS', 'Bøjden', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((10.9153991863338 54.9953242743384,10.9143335115353 54.9904698295945,10.9116416654525 54.9858281463005,10.9074275676665 54.9815774954925,10.9018534610453 54.9778810779533,10.8951336317791 54.974880775235,10.8875261630364 54.9726917230348,10.879323040824 54.9713979115479,10.8708389886164 54.9710489780937,10.8623994514004 54.9716583121959,10.8543281789746 54.9732025440327,10.8469348720452 54.9756224354606,10.840503352604 54.97882514044,10.8352807022722 54.9826877504251,10.8314677790991 54.9870619918964,10.8292114753785 54.9917798994211,10.8285990174949 54.9966602500267,10.8296545351758 55.0015155147365,10.8323380439186 55.0061590620773,10.8365468934261 55.0104123372294,10.8421196398342 55.0141117398778,10.8488422040353 55.0171149340146,10.8564560864939 55.0193063437501,10.8646683247737 55.0206016199754,10.8731628075605 55.0209509023775,10.8816125019038 55.0203407483083,10.8896921116727 55.0187946524225,10.897090666875 55.0163721366486,10.9035235465185 55.0131664465594,10.9087434619057 55.009300945157,10.91254997136 55.0049243461524,10.9147971590186 55.0002049738913,10.9153991863338 54.9953242743384)))', 'DKBOT', 'Botofte', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6438185914293 55.3990600526414,11.6426518939961 55.3942134742106,11.6398468435939 55.3895895064182,11.6355117124092 55.3853657337223,11.6298133882973 55.3817043191297,11.6229709172731 55.378745795838,11.6152470763502 55.3766036929141,11.6069383019391 55.3753601975509,11.5983633567458 55.3750630167928,11.5898511617659 55.3757235562873,11.5817282485752 55.3773164842216,11.5743063001061 55.3797806968639,11.567870245202 55.3830216498051,11.562667353494 55.3869149678757,11.5588977428973 55.3913111985491,11.5567066629611 55.3960415301433,11.5561788545414 55.4009242588988,11.5573352113762 55.4057717594963,11.5601318842684 55.4103976930188,11.5644618764306 55.414624175744,11.5701590823787 55.4182886320881,11.5770046263305 55.4212500657747,11.584735263449 55.4233945046553,11.5930535226654 55.4246394059082,11.6016391972965 55.4249368484547,11.6101617328846 55.4242753867923,11.618293023588 55.4226804931257,11.6257201110733 55.4202135704521,11.6321572841298 55.4169695757588,11.6373571029003 55.4130733472946,11.6411199172988 55.4086747806668,11.643301512436 55.4039430431849,11.6438185914293 55.3990600526414)))', 'DKBOY', 'Broby Overdrev', 'Y'),('SRID=4326;MULTIPOLYGON(((9.4111993296213 55.6998599654354,9.41029904587586 55.6949932011791,9.40773543858406 55.6903191040321,9.40360754018758 55.686017196983,9.39807432289176 55.6822526524828,9.39134853802003 55.6791699674089,9.38368852311987 55.6768874363574,9.3753882941844 55.6754926316682,9.36676630066109 55.6750390599405,9.35815326719303 55.6755441202164,9.34987957726485 55.6769884401194,9.34226266947874 55.6793166147386,9.33559491677316 55.6824393207082,9.33013244252211 55.6862367265213,9.32608529542229 55.6905630714035,9.32360935802939 55.6952522407507,9.3228003027781 55.7001241278294,9.32368983581889 55.7049915406127,9.32624438506473 55.7096673905579,9.33036629707838 55.713971887829,9.3358975110281 55.7177394656378,9.34262558058418 55.7208251653132,9.35029182037908 55.7231102333132,9.35860126673683 55.7245067110702,9.36723406693991 55.7249608372749,9.37585785112372 55.724455128471,9.38414059910224 55.7230090557678,9.39176349326625 55.7206782909243,9.3984332493066 55.7175525516453,9.40389343886219 55.7137521312317,9.40793436106289 55.7094232494031,9.41040108103843 55.7047324069902,9.4111993296213 55.6998599654354)))', 'DKBRD', 'Bredsten', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5214567510327 55.0404645275186,10.5204373386419 55.0356064202147,10.5177877474346 55.0309558288635,10.51361027957 55.0266913689583,10.5080657783413 55.0229767731702,10.5013674007644 55.0199546217471,10.4937724133305 55.0177408890218,10.4855723280818 55.0164205116889,10.4770817545942 55.0160441453558,10.4686263879735 55.0166262308889,10.4605305826173 55.0181444428995,10.4531049756403 55.0205405410435,10.4466346222332 55.023722592425,10.4413680878406 55.0275684820809,10.4375079092346 55.0319305800353,10.4352027889932 55.0366413894794,10.4345418266496 55.0415199628396,10.4355510163967 55.0463788423304,10.4381921577977 55.0510312602862,10.4423642350991 55.0552983231304,10.4479072256734 55.0590159019182,10.4546082024903 55.0620409622672,10.4622095033501 55.0642570869871,10.4704186550493 55.0655789752229,10.4789196677262 55.0659557413458,10.4873852570005 55.0653728836248,10.4954895121663 55.0638528450073,10.5029205097011 55.0614541439225,10.509392373752 55.0582691095406,10.5146563088947 55.0544203109598,10.5185101740715 55.0500558210131,10.5208062278675 55.0453435006679,10.5214567510327 55.0404645275186)))', 'DKBRF', 'Ballen, Svendborg Sund', 'Y'),('SRID=4326;MULTIPOLYGON(((9.72629828046644 54.882748864352,9.72537884501069 54.8778838402003,9.72283143299657 54.873215675598,9.71875442511045 54.8689236666489,9.7133048153799 54.8651726086071,9.70669212995583 54.8621064848504,9.69917035999884 54.8598429591796,9.69102822092583 54.8584688792268,9.68257810927327 54.858036959962,9.67414417364702 54.8585637715686,9.66604994663735 54.8600291069433,9.65860599955574 54.8623767524819,9.65209808110104 54.8655166333984,9.6467761845972 54.8693282533959,9.64284495657897 54.8736652998105,9.64045581289292 54.8783612411154,9.63970106818198 54.8832357055059,9.64061031214973 54.8881013986584,9.64314918339759 54.8927712969357,9.6472206014926 54.8970658402981,9.65266842340322 54.9008198476506,9.65928339516019 54.9038888866096,9.66681117753161 54.906154849561,9.67496213976581 54.9075305178184,9.683422542079 54.9079629346064,9.69186666920326 54.9074354539981,9.69996943698296 54.9059683849463,9.707418973851 54.9036182049924,9.71392868011523 54.9004753747645,9.71924829027615 54.8966608395656,9.72317350587618 54.8923213558725,9.72555382640573 54.887623826265,9.72629828046644 54.882748864352)))', 'DKBRG', 'Broager', 'Y'),('SRID=4326;MULTIPOLYGON(((9.95396011668245 55.4906654240487,9.95299789157205 55.4858027786254,9.95038393577091 55.4811401119537,9.94621920301834 55.4768565052475,9.94066406656023 55.4731164266832,9.93393210686341 55.4700634335798,9.92628188886054 55.4678146816974,9.9180070469348 55.4664564486911,9.90942505536759 55.4660408398586,9.90086510748572 55.4665837995482,9.89265555725358 55.4680645025629,9.88511139194555 55.4704261483238,9.87852220351626 55.4735781282014,9.87314110937514 55.4773994850673,9.8691750407824 55.4817435355209,9.8667767696699 55.4864434811164,9.86603898340756 55.4913187968632,9.86699064340707 55.4961821547639,9.8695957795403 55.5008466184576,9.87375478078161 55.5051328331507,9.87930814645686 55.508875933625,9.88604256568729 55.5119319025031,9.89369909910085 55.5141831309898,9.90198315085117 55.5155429643894,9.91057584454343 55.515959053758,9.91914635754687 55.5154153815901,9.92736472745079 55.5139328815511,9.93491462426488 55.5115686278012,9.94150558346583 55.5084136260129,9.94688421806268 55.5045892933734,9.95084397124085 55.5002427663176,9.95323303253395 55.4955412203309,9.95396011668245 55.4906654240487)))', 'DKBRI', 'Båring', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1762535089892 54.8662324074425,11.1751603256021 54.8613804148758,11.1724476336303 54.8567446165839,11.1682201466003 54.8525030564337,11.1626406147598 54.8488185856184,11.1559235267027 54.84583262715,11.1483268561691 54.8436597667705,11.1401421727296 54.8423833742435,11.1316834926388 54.8420524195478,11.1232752898493 54.8426796032903,11.1152401160193 54.8442408713277,11.1078862917396 54.8466763318404,11.1014961288651 54.8498925407242,11.096315125806 54.8537660699256,11.0925425442405 54.8581482250231,11.0903237276523 54.8628707346573,11.0897444604658 54.8677521969361,11.0908275929143 54.8726050381598,11.0935320732419 54.8772427183524,11.0977544380699 54.8814869071454,11.1033327169605 54.8851743531589,11.1100526120726 54.888163180434,11.1176557223193 54.8903383664788,11.1258494977428 54.8916161874676,11.134318537915 54.8919474559509,11.1427367916527 54.8913194235504,11.1507801771296 54.8897562736101,11.1581391236057 54.8873181844527,11.1645305394194 54.8840990003701,11.169708735414 54.8802226023632,11.1734748772636 54.8758381216025,11.1756846018734 54.8711141835084,11.1762535089892 54.8662324074425)))', 'DKBRL', 'Branderslev', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5611601357476 55.700885410244,12.5606147831607 55.6960032343002,12.558393821403 55.6912749295995,12.5545831486269 55.6868821202791,12.5493295976315 55.6829934844523,12.5428352338973 55.6797582925809,12.5353495639832 55.6773006965938,12.5271599576465 55.6757149853427,12.5185806501136 55.6750619847007,12.5099407401729 55.6753667370778,12.5015716340988 55.676617546954,12.4937944041458 55.6787664279148,12.4869075331489 55.6817309343748,12.4811755035842 55.6853973094653,12.4768186605527 55.6896248312092,12.4740047341224 55.6942511938152,12.4728423482667 55.6990987213266,12.4733767726619 55.7039811784397,12.4755880917747 55.7087109193812,12.4793918754566 55.7131061013596,12.4846423397112 55.7169976850465,12.4911378889885 55.7202359511952,12.4986288362441 55.7226962798461,12.5068270082945 55.7242839661236,12.5154168658606 55.7249378834743,12.5240677040048 55.7246328499273,12.5324464527302 55.7233806038084,12.5402305717747 55.7212293501874,12.5471205295021 55.718261895866,12.5528513735118 55.7145924464986,12.5572029391955 55.710362192093,12.5600082999148 55.7057338544629,12.5611601357476 55.700885410244)))', 'DKBRN', 'Bronshoj', 'Y'),('SRID=4326;MULTIPOLYGON(((9.99605349220403 57.2666435175775,9.99503733536754 57.2617827677755,9.99229115408607 57.2571227833455,9.98792104317851 57.2528425351439,9.98209530675124 57.2491063518454,9.97503793534329 57.2460576290725,9.96701998146654 57.2438133467324,9.9583491674274 57.2424596010118,9.94935812106985 57.2420483185706,9.94039168220868 57.2425952757533,9.93179375405079 57.2440794967141,9.92389418924007 57.2464440529182,9.91699619903735 57.2495982342943,9.91136475657195 57.2534210111056,9.9072164313787 57.2577656571457,9.90471104319236 57.2624653608227,9.90394545924393 57.2673396126806,9.90494978260968 57.2722011273864,9.90768609158851 57.2768630364576,9.91204979432905 57.2811460760293,9.9178735623117 57.2848854924664,9.92493370467825 57.2879373979307,9.93295874706637 57.2901843279786,9.94163988800906 57.2915397833335,9.9506429274835 57.2919515770587,9.95962119982857 57.291403854971,9.96822900029386 57.2899177093664,9.97613497326513 57.2875503617898,9.98303493189862 57.2843929472742,9.98866360339225 57.2805669877728,9.99280484006939 57.2762196940274,9.99529990135863 57.2715182807184,9.99605349220403 57.2666435175775)))', 'DKBRO', 'Brønderslev', 'Y'),('SRID=4326;MULTIPOLYGON(((8.34412202620442 55.6332437906815,8.34335565941547 55.6283697928366,8.34092373475693 55.6236739969259,8.3369202350772 55.6193367666557,8.33149937016382 55.6155246367184,8.32486959634835 55.6123839346803,8.31728558522314 55.6100351836186,8.30903845314618 55.6085684966729,8.30044462447382 55.6080401365278,8.2918337487924 55.6084703686406,8.28353612477112 55.6098426883889,8.27587009998351 55.6121044509408,8.26912991683098 55.615168880306,8.26357445953956 55.6189183824869,8.25941732637977 55.6232090386755,8.25681860539755 55.6278761097467,8.25587867204887 55.6327403444968,8.25663425466571 55.6376148526442,8.25905693063954 55.6423122808444,8.26305412514926 55.6466520168905,8.26847258831322 55.6504671446087,8.27510422944677 55.653610880048,8.28269409267777 55.6559622383233,8.29095017071932 55.6574307093699,8.29955467727214 55.6579597588893,8.30817633713701 55.6575290164732,8.31648320984812 55.6561550644332,8.32415553980164 55.6538907961033,8.33089812469269 55.6508233689561,8.33645171465468 55.6470708333747,8.34060299570355 55.6427775699747,8.34319277072529 55.6381087148048,8.34412202620442 55.6332437906815)))', 'DKBRR', 'Borre, Jylland', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5430993176861 54.7321032295451,11.541966444338 54.727254894347,11.5392215250709 54.7226275728222,11.534970503261 54.7183989815024,11.5293770244638 54.7147314726252,11.5226561050189 54.7117658178876,11.5150658598179 54.7096158243055,11.5068976084856 54.7083639851989,11.4984647362965 54.708058329714,11.4900907293605 54.7087105889761,11.4820968319943 54.710295747549,11.4747897871596 54.7127529970954,11.468450118117 54.7159880567486,11.4633213910685 54.7198767735156,11.4596008648703 54.7242698677958,11.4574318856066 54.7289986455302,11.4568983220139 54.7338814612023,11.4580212640354 54.7387306863429,11.4607581232631 54.7433599175871,11.4650041833881 54.747591147666,11.4705965542276 54.7512616226152,11.477320388121 54.7542301191803,11.4849171264804 54.7563823977027,11.4930944611568 54.7576356170005,11.5015376240177 54.7579415378054,11.5099215622895 54.7572883885995,11.5179235196976 54.7557013203051,11.5252355262115 54.7532414319978,11.5315763032011 54.7500034062722,11.5367021157919 54.7461118476788,11.5404161488294 54.7417164684604,11.5425760447548 54.7369863105368,11.5430993176861 54.7321032295451)))', 'DKBRS', 'Burso', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9266068588912 55.215960987269,11.9254119548296 55.2111173329007,11.9225879240562 55.2064999796838,11.918243758887 55.2022862569997,11.9125466856493 55.19863794168,11.9057156954863 55.1956950644817,11.8980131203362 55.1935705549286,11.8897345790183 55.1923459263451,11.8811976756054 55.1920681631388,11.8727298754544 55.1927479269575,11.8646560124832 55.1943591488823,11.8572858939107 55.1968400230412,11.8509024654891 55.2000953646984,11.8457509812678 55.2040002447831,11.8420295875085 55.2084047647231,11.839881681208 55.2131397920491,11.8393903408995 55.2180234401402,11.8405750525893 55.2228680461345,11.8433908689915 55.2274873806727,11.8477300483532 55.2317038127352,11.8534261233926 55.2353551530128,11.8602602549354 55.2383009102261,11.867969632799 55.2404277163949,11.8762576025131 55.2416537085553,11.8848051246156 55.2419316947071,11.893283117148 55.241250979261,11.9013651944928 55.2396377760129,11.9087402988664 55.2371541924736,11.9151247254751 55.2338958258581,11.920273068307 55.2299880657596,11.9239876593505 55.2255812492061,11.9261261372611 55.2208448583051,11.9266068588912 55.215960987269)))', 'DKBRV', 'Brandelev', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0446399962013 55.2016340769394,10.0436741180011 55.1967719348592,10.0410689444457 55.1921109533679,10.0369250816701 55.1878301494595,10.031402093416 55.184093884832,10.0247123209883 55.1810455719722,10.0171127086821 55.178802188755,10.0088949509537 55.1774498084342,10.0003743366844 55.1770403129545,9.99187771104839 55.1775894127058,9.98373100574378 55.1790760467701,9.9762468030559 55.1814431861074,9.96971239811557 55.1846000097475,9.96437880679787 55.1884253726875,9.96045113430379 55.1927724356008,9.95808067223495 55.1974742823571,9.95735903097177 55.2023503133365,9.9583145409245 55.2072131720747,9.96091107280574 55.2118759411507,9.96504933609624 55.2161593314275,9.97057061952636 55.2198985874561,9.97726284133748 55.2229498413365,9.98486868434024 55.2251956674496,9.99309550551211 55.2265496206325,10.0016266361437 55.226959579486,10.0101336300375 55.2264097630757,10.0182889770199 55.2249213414246,10.0257787791878 55.2225516157169,10.0323148889413 55.2193918006748,10.0376460308653 55.2155634967154,10.0415674726591 55.2112139909082,10.0439288712895 55.2065105712918,10.0446399962013 55.2016340769394)))', 'DKBSH', 'Brunshuse', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3940611204743 55.6179445498851,12.3935374176785 55.6130617965136,12.3913410672569 55.608330663992,12.3875570204995 55.6039328864838,12.3823310878407 55.6000373342297,12.3758642760511 55.5967935443544,12.3684050369155 55.5943259996053,12.3602397292745 55.5927293710351,12.3516816594145 55.592064903431,12.3430591141243 55.5923580788283,12.3347028351941 55.5935976453073,12.3269334030153 55.5957360471785,12.3200489999195 55.5986912403591,12.3143140109135 55.6023498250136,12.3099488908065 55.6065713781411,12.307121682946 55.6111938234415,12.3059415168467 55.6160396361277,12.3064543412993 55.6209226478387,12.3086410679958 55.6256551927866,12.3124182107699 55.6300553217793,12.3176410102566 55.6339538065844,12.3241089366845 55.6372006636232,12.3315733685778 55.6396709432002,12.339747156547 55.6412695579097,12.3483157032521 55.6419349605922,12.3569491268973 55.6416415268549,12.3653150295591 55.6404005479477,12.3730913657186 55.6382597945896,12.3799789019764 55.6353016688568,12.3857127763323 55.6316400170393,12.3900727036751 55.6274157290858,12.39289143121 55.6227912976484,12.3940611204743 55.6179445498851)))', 'DKBST', 'Brondby Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((9.64450153610715 55.9667753589488,9.64356564333741 55.9619106170137,9.64095620499088 55.9572417167217,9.63677402050978 55.9529479789142,9.63118014962337 55.9491942596752,9.62438967128166 55.9461246378229,9.61666340181125 55.9438569045784,9.60829789299859 55.9424780631418,9.59961409121923 55.9420410071505,9.59094508500533 55.942562502342,9.58262339957328 55.9440225468197,9.57496831220095 55.946365133816,9.56827366166348 55.9495003885311,9.56279660821416 55.9533079992707,9.5587477681412 55.9576418144603,9.5562830993833 55.962335432892,9.55549785308637 55.9672085763663,9.55642283184246 55.9720740031908,9.55902311072212 55.9767446990759,9.563199284728 55.9810410698181,9.56879120917234 55.9847978584931,9.57558410143584 55.9878705189894,9.58331677769666 55.9901407974796,9.59169171079352 55.9915213032723,9.60038651958791 55.9919588893467,9.60906643982684 55.9914367092649,9.6173972847301 55.9899748691918,9.6250583825724 55.9876296492588,9.63175497954017 55.9844913251067,9.63722961905631 55.9806806757241,9.64127205233453 55.9763443152912,9.64372729681348 55.9716490325054,9.64450153610715 55.9667753589488)))', 'DKBSU', 'Braedstrup', 'Y'),('SRID=4326;MULTIPOLYGON(((9.29330115324977 54.8829031820741,9.29243386899869 54.8780348657425,9.28993647210788 54.8733576083446,9.28590542644113 54.8690510580057,9.28049596742989 54.8652805705023,9.27391608726366 54.8621908764376,9.26641852535652 54.8599005447403,9.25829107434059 54.858497451391,9.24984557125155 54.8580354236831,9.24140598922925 54.8585321857536,9.23329607592752 54.8599686822087,9.22582700027773 54.8622898051162,9.2192854689761 54.8654064972292,9.21392275807066 54.8691991528132,9.20994507361851 54.8735221886537,9.2075056092161 54.8782096134291,9.206698608315 54.8830813852648,9.20755566712559 54.8879503164115,9.2100444316039 54.8926292618832,9.21406975209178 54.8969383165612,9.21947726476532 54.9007117434063,9.22605927374955 54.9038043643274,9.23356271553931 54.9060971648084,9.24169890234456 54.9075018930182,9.25015466718392 54.9079644727704,9.25860447465685 54.9074670958838,9.26672302037515 54.9060289113529,9.27419782119942 54.9037052841043,9.28074129882845 54.9005856526488,9.28610188090575 54.8967900702092,9.29007368547121 54.8924645655871,9.2925044140887 54.8877755059532,9.29330115324977 54.8829031820741)))', 'DKBUP', 'Broderup', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2752791330384 55.8149895351132,12.2747684451379 55.8101065453311,12.2725762307899 55.8053734594571,12.2687872904198 55.8009720868583,12.2635476294534 55.7970714354652,12.2570587869635 55.7938212373584,12.2495700631757 55.791346220168,12.2413689486323 55.7897413405551,12.2327701213027 55.7890681589021,12.2241034275896 55.7893524909228,12.2157012979049 55.7905834238189,12.2078860665884 55.7927137335428,12.2009576690669 55.7956616874506,12.1951821762738 55.7993141649051,12.1907815977109 55.8035309789818,12.1879253407216 55.8081502370543,12.1867236555009 55.8129945383104,12.1872233244811 55.8178777736751,12.1894057729071 55.8226122694949,12.1931876871252 55.8270160017517,12.1984241313782 55.830919603279,12.2049140563108 55.8341728928653,12.212407996908 55.8366506722305,12.220617668417 55.8382575641971,12.2292270901475 55.8389317020198,12.237904802793 55.838647124416,12.2463166984063 55.837414781572,12.2541389558723 55.8352821121878,12.261070570097 55.8323312081445,12.2668449804353 55.8286756392111,12.2712403421821 55.8244560629615,12.2740880422083 55.8198347925376,12.2752791330384 55.8149895351132)))', 'DKBUR', 'Buresø', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2307774644133 55.3209251580057,15.2299081131917 55.3160567499988,15.2273904376336 55.3113785645874,15.2233216951867 55.3070702843644,15.2178585800372 55.3032973294959,15.2112111507137 55.3002045227405,15.2036347404887 55.2979105498114,15.1954201640031 55.296503424046,15.1868825935485 55.2960371257779,15.1783495245594 55.2965295422793,15.170148281061 55.2979617852649,15.162593527465 55.300278911447,15.1559752528974 55.303392019251,15.1505476781837 55.3071816433458,15.1465195040162 55.3115023198514,15.1440458723268 55.3161881506945,15.1432223525129 55.3210591571871,15.1440811914261 55.3259281819808,15.1465899829483 55.3306080763854,15.1506528221449 55.3349188976298,15.1561139135472 55.3386948387007,15.1627635067259 55.3417906222176,15.1703459389835 55.3440871092821,15.1785694788803 55.3454959038021,15.1871175895255 55.3459627713906,15.1956611708337 55.3454697381015,15.2038712983724 55.3440357861205,15.211431955214 55.3417161189151,15.218052253518 55.3386000249077,15.2234776643659 55.3348074240523,15.2274998164964 55.3304842334135,15.2299644847792 55.3257967338179,15.2307774644133 55.3209251580057)))', 'DKCHR', 'Christiansø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2462793159467 57.4495509932331,10.2452246664659 57.4446925806191,10.2424328167998 57.4400383990917,10.2380116199007 57.4357671941662,10.2321313421861 57.4320429448554,10.2250180654141 57.4290085865613,10.2169449825878 57.4267805463405,10.2082219247238 57.4254442962709,10.1991835170564 57.4250510916189,10.1901764102766 57.4256160157066,10.1815460637565 57.4271174044116,10.1736235728057 57.4294976717875,10.1667130305762 57.4326655061254,10.1610798972969 57.4364993546215,10.1569408153765 57.4408520664296,10.1544552592003 57.4455565199355,10.1537193442012 57.4504320222006,10.1547620425265 57.4552912381436,10.1575439644694 57.4599473854377,10.1619587684823 57.4642214192981,10.1678371614083 57.4679489300326,10.1749533484343 57.4709864857175,10.1830336935003 57.473217172522,10.1917672599806 57.4745551154492,10.2008178227977 57.4749488015101,10.2098368807463 57.4743830740922,10.2184771549942 57.4728797196179,10.2264060388243 57.4704966233047,10.2333184658281 57.4673255275422,10.2389486888401 57.4634884816566,10.2430805085163 57.4591331232674,10.245555556083 57.4544269769062,10.2462793159467 57.4495509932331)))', 'DKCNL', 'Sindal', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6131347902647 55.6768664725183,12.6125832030693 55.6719844550414,12.6103572223886 55.6672570299287,12.6065429378639 55.6628657872567,12.6012873196015 55.6589793448188,12.5947925111577 55.6557468888331,12.5873080351429 55.653292466291,12.5791212148822 55.651710244415,12.5705461785535 55.6510609153822,12.5619118613913 55.6513693809171,12.5535494558071 55.6526238031682,12.5457797779403 55.6547760571588,12.5389010218918 55.6577435677952,12.5331773596544 55.6614124627143,12.5288288158203 55.6656419229032,12.5260228020813 55.6702695677531,12.5248676383167 55.6751176716324,12.5254083160789 55.6799999766748,12.5276246784565 55.6847288425864,12.5314321001063 55.6891224599424,12.5366846557332 55.6930118494258,12.5431806680415 55.6962473761579,12.5506704311459 55.6987045256539,12.5588658168112 55.7002887155367,12.5674513928539 55.7009389540176,12.5760966194611 55.7006302009167,12.5844686433548 55.6993743378648,12.5922451840936 55.6972197091879,12.5991270027674 55.6942492515047,12.6048494611285 55.6905772858397,12.6091927178666 55.686345098699,12.6119901662038 55.6817154858445,12.6131347902647 55.6768664725183)))', 'DKCPH', 'København', 'Y'),('SRID=4326;MULTIPOLYGON(((9.52378299381066 52.3498262673831,9.52294186870692 52.3449574818844,9.52056632279278 52.34028270492,9.51674806558185 52.3359814964739,9.51163410573992 52.3322190187822,9.50542105990918 52.3291397091564,9.49834758329025 52.3268617525458,9.4906852148806 52.3254725627279,9.48272798662414 52.3250254423036,9.47478118905853 52.3255375469336,9.46714971531403 52.3269892301416,9.46012641986343 52.3293247932458,9.45398092793431 52.3324546123652,9.44894931597945 52.3362585627983,9.44522505338705 52.3405906121762,9.44295155137558 52.3452844093917,9.44221660782523 52.3501596580199,9.44304896815991 52.3550290322536,9.44541714430722 52.3597053715291,9.44923054873309 52.3640088780152,9.45434291156506 52.3677740396204,9.46055785929287 52.3708560104318,9.467636447171 52.3731362003586,9.47530635805972 52.3745268556207,9.48327241174032 52.3749744505163,9.49122797408262 52.3744617571507,9.4988668175969 52.3730085116299,9.50589496582911 52.3706706504841,9.51204205476039 52.3675381474505,9.51707176481055 52.3637315358325,9.52079091614079 52.3593972531402,9.52305687567663 52.3547019904821,9.52378299381066 52.3498262673831)))', 'DKCSF', 'Christiansfeld', 'Y'),('SRID=4326;MULTIPOLYGON(((10.9074718440559 55.0623265718415,10.906405158168 55.0574721147532,10.9037095500878 55.0528303319814,10.899489086045 55.0485794981749,10.8939062549495 55.0448828208114,10.8871756787604 55.0418821910134,10.8795558531657 55.0396927566197,10.8713392376618 55.0383985221365,10.8628410721972 55.0380491408708,10.8543873416831 55.038658019437,10.8463023389133 55.0402018055677,10.8388962901651 55.0426212784562,10.8324535056947 55.045823608484,10.8272214995304 55.0496859019283,10.8234014897307 55.0540598978625,10.8211406422956 55.058777640667,10.820526360287 55.063657913969,10.8215828459774 55.0685131918823,10.8242700801181 55.0731568423785,10.8284852713349 55.0774103064651,10.8340667334593 55.0811099762286,10.8408000529477 55.0841135049807,10.8484263164722 55.0863053035431,10.8566520844202 55.0876010074857,10.8651607234655 55.0879507397893,10.8736246541868 55.087341040397,10.8817180308992 55.0857953865398,10.8891293524678 55.0833732833692,10.8955735058985 55.0801679609409,10.9008027687535 55.0763027685436,10.9046163406206 55.0719264084429,10.906868035617 55.0672071961808,10.9074718440559 55.0623265718415)))', 'DKDAG', 'Dageløkke', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4436964045744 55.2821329374938,11.4425579322101 55.2772841092371,11.4397847026005 55.272655177793,11.4354837643239 55.2684239199856,11.42982069289 55.264752787839,11.423013183408 55.2617826889048,11.4153226747556 55.2596275974165,11.4070443285774 55.2583701993897,11.398495744235 55.2580587352273,11.3900048345984 55.2587051581133,11.381897316333 55.2602846771158,11.3744842815269 55.2627367021868,11.3680503148317 55.2659671559088,11.3628426018151 55.2698520656736,11.3590614402648 55.2742423017555,11.3568525174469 55.2789692831573,11.3563012538963 55.2838514357761,11.3574294397875 55.2887011578,11.360194305421 55.2933320265596,11.3644900755575 55.2975659702925,11.3701519614909 55.3012401280672,11.3769624485963 55.3042131317078,11.3846596446819 55.3063705647652,11.3929473700026 55.307629384741,11.401506597306 55.3079411347526,11.4100077934255 55.3072938180982,11.4181236756697 55.305712361778,11.4255418786099 55.3032576507796,11.4319770307943 55.300024171429,11.4371817661777 55.2961363569589,11.4409562402921 55.2917437793101,11.4431557839736 55.2870153759614,11.4436964045744 55.2821329374938)))', 'DKDAL', 'Dalmose', 'Y'),('SRID=4326;MULTIPOLYGON(((8.24597002471443 56.3712816397107,8.24520216787391 56.3664076082276,8.2427362445245 56.3617103336838,8.23866757043528 56.3573702345676,8.2331528789716 56.3535539521917,8.22640424084881 56.3504079690365,8.21868089264299 56.3480530061422,8.21027929131705 56.3465794108111,8.20152177435494 56.3460437077821,8.192744253254 56.3464664429079,8.18428340106654 56.3478313997987,8.17646381176463 56.3500862185963,8.16958561012119 56.3531443937679,8.16391297554384 56.3568885763151,8.15966401214801 56.3611750568498,8.15700235091929 56.3658392612813,8.15603080908582 56.3707020520175,8.15678735825787 56.3755765960737,8.15924356848781 56.3802755386085,8.16330560273972 56.3846182071977,8.16881773850423 56.3884375693502,8.1755682941506 56.3915866737177,8.18329774117986 56.3939443240835,8.19170869413974 56.3954197640016,8.20047739184385 56.3959561879112,8.20926622062566 56.3955329402115,8.21773678593827 56.3941663153275,8.22556301507311 56.3919089270544,8.23244377240385 56.3888476721052,8.23811448944521 56.3851003683466,8.24235735401193 56.3808112003426,8.24500966361109 56.3761451513263,8.24597002471443 56.3712816397107)))', 'DKDAM', 'Damhus', 'Y'),('SRID=4326;MULTIPOLYGON(((9.76123387345757 55.7327338988756,9.7602893028386 55.7278698874589,9.75768180271418 55.7232032796871,9.7535120889067 55.7189133084783,9.747940734704 55.7151646860111,9.74118194957821 55.712101296617,9.73349533138579 55.7098406937136,9.72517591135136 55.70846960826,9.71654287114116 55.7080406374076,9.70792735726668 55.7085702373185,9.69965984891998 55.7100380951562,9.69205755051359 55.7123879037183,9.68541227938937 55.7155295098475,9.67997930238491 55.7193423563926,9.67596754251144 55.7236800888641,9.67353152955266 55.7283761537384,9.67276540698441 55.7332501772231,9.67369923375715 55.7381148826695,9.67629773523217 55.7427832829859,9.68046156554898 55.7470758723559,9.68603104712899 55.75082754001,9.69279225559239 55.7538939380148,9.70048522415391 55.7561570549189,9.70881395480373 55.7575297770287,9.71745784841765 55.7579592580263,9.7260841061494 55.7574289640846,9.73436061314963 55.7559593137002,9.74196879504149 55.7536068869748,9.74861593877693 55.7504622356578,9.75404649243274 55.746646380503,9.75805190193297 55.7423061340332,9.76047860428157 55.7376084325047,9.76123387345757 55.7327338988756)))', 'DKDAU', 'Daugard', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4457572498582 56.1974848089085,10.4447142823726 56.1926270758685,10.4419921096985 56.1879760767269,10.4376958605333 56.1837104386154,10.431990967472 56.1799939332863,10.4250967595097 56.1769692069529,10.4172780193775 56.1747523253902,10.4088348322178 56.173428339838,10.4000911119992 56.1730480401305,10.3913822377015 56.1736260165566,10.383042261671 56.1751401028673,10.375391167067 56.1775322212727,10.3687226497217 56.1807105979927,10.3632928820255 56.1845532666892,10.3593106829574 56.1889127286844,10.3569294697558 56.1936215949514,10.3562413040297 56.1984989970536,10.3572732698853 56.2033575239741,10.3599863359826 56.20801042038,10.3642767600171 56.2122787702988,10.3699799962183 56.2159983891304,10.376876967836 56.2190261566594,10.3847024713998 56.2212455441161,10.3931553920972 56.2225711187602,10.4019103341153 56.2229518488326,10.4106302100543 56.2223730785247,10.4189792926655 56.2208570949475,10.4266362123943 56.2184622647327,10.4333063865872 56.2152807745093,10.4387333906167 56.2114350646184,10.4427088262494 56.2070730967317,10.4450803059193 56.2023626413748,10.4457572498582 56.1974848089085)))', 'DKDEJ', 'Dejret', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1439959469857 55.5680337359025,12.1435037894788 55.5631502422099,12.1413402616638 55.5584149713624,12.1375890543924 55.5540098183441,12.1323947191523 55.5501039382536,12.1259570531725 55.546847265948,12.1185233938633 55.5443647793701,12.1103791228194 55.5427517231811,12.1018367428883 55.542069972238,12.0932239413476 55.5423456710812,12.0848710869194 55.5435682375278,12.0770986274988 55.5456907674044,12.0702048587188 55.5486318251571,12.064454520791 55.5522785533234,12.0600686526965 55.5564909844044,12.0572160893352 55.5611073932482,12.0560069296141 55.5659504882773,12.0564882330659 55.5708342072532,12.0586421213186 55.5755708590893,12.0623863710553 55.5799783385587,12.0675774900101 55.5838871363823,12.0740161706067 55.5871468735049,12.081454920971 55.5896321053929,12.0896075844428 55.5912471694361,12.0981603805029 55.5919298850996,12.1067840361106 55.5916539609726,12.1151465301076 55.5904300135355,12.1229259470606 55.5883051572055,12.1298229321158 55.5853611817184,12.1355722554152 55.5817113887355,12.1399530324479 55.5774962123464,12.1427972033837 55.5728777956506,12.1439959469857 55.5680337359025)))', 'DKDGP', 'Gadstrup', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5269703728407 55.5321005261021,11.5258135620387 55.5272528290179,11.5230121857213 55.522626232435,11.5186743804829 55.5183984219753,11.5129671416451 55.5147317154774,11.5061098609051 55.5117668487402,11.4983658854216 55.5096175935324,11.4900324241502 55.5083664106845,11.4814291852395 55.5080613014851,11.4728861721872 55.508713975303,11.4647310952608 55.5102994019996,11.4572768678316 55.512756765967,11.4508096544933 55.5159917863204,11.4455779191657 55.5198803166369,11.4417828871697 55.5242730894532,11.4395707861799 55.5290014271923,11.4390271681301 55.5338837039027,11.4401735391263 55.5387323126043,11.4429664393667 55.5433608723996,11.447299022662 55.5475913987859,11.4530050886855 55.5512611604497,11.459865424293 55.554228956471,11.4676162172519 55.5563805691239,11.4759592207086 55.5576331786775,11.4845732738017 55.5579385666402,11.4931267266698 55.5572849812036,11.501290279676 55.5556975912924,11.508749729042 55.5532375113964,11.515218115183 55.5499994358766,11.5204467956329 55.5461079762773,11.5242350101509 55.5417128460183,11.5264375689617 55.5369830815752,11.5269703728407 55.5321005261021)))', 'DKDIA', 'Dianalund', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2986022310765 56.9045344886896,10.2975571983822 56.8996760631084,10.2948005924178 56.8950224972301,10.2904388912865 56.89075251486,10.2846400612649 56.8870300511231,10.2776270491513 56.8839979765712,10.2696691993907 56.8817726343674,10.2610719280412 56.8804393962897,10.2521650466066 56.8800494042389,10.2432901752012 56.8806176191019,10.2347877154704 56.8821222498001,10.2269838685707 56.8845055838646,10.220178182047 56.8876761886524,10.2146320916501 56.8915124011288,10.2105588903195 56.8958669757279,10.2081155073666 56.9005727158551,10.207396417365 56.9054488767295,10.2084299219359 56.9103080969242,10.2111769605887 56.9149635944351,10.2155325117557 56.9192363513838,10.2213295454381 56.9229620102414,10.2283453883168 56.9259972140282,10.2363102649912 56.928225143183,10.2449176896202 56.9295600320876,10.2538363049538 56.9299504875171,10.2627227044951 56.9293814780394,10.2712347315418 56.9278749157061,10.2790447283994 56.9254888070606,10.2858522112489 56.9223150071514,10.2913954708683 56.9184756654413,10.2954616452808 56.9141185038937,10.2978948749606 56.9094111129419,10.2986022310765 56.9045344886896)))', 'DKDKD', 'Dokkedal', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3289026538489 57.1495221846054,10.3278462860609 57.1446642476426,10.3250672489958 57.1400116267355,10.3206728910642 57.135743008171,10.3148324385016 57.1320222730687,10.3077704385465 57.1289922238065,10.2997581149271 57.1267691240901,10.2911029701112 57.125438258256,10.2821370300218 57.1250506763326,10.2732041735651 57.1256212465403,10.264647020384 57.127128087909,10.2567938651712 57.1295134042125,10.2499461453528 57.1326856882222,10.2443669110421 57.1365232141146,10.2402707321322 57.1408786874798,10.2378154279166 57.1455848784534,10.2370959407231 57.1504610256436,10.2381405982621 57.155319768201,10.240909921818 57.1599743418559,10.2452980417731 57.1642457630339,10.2511366815685 57.1679697239433,10.2582015699462 57.1710029311066,10.2662210434446 57.173228640056,10.2748865110927 57.1745611692223,10.2838643754082 57.1749492153495,10.2928089421268 57.174377839546,10.3013758088214 57.1728690454269,10.3092352020042 57.1704809265076,10.316084734576 57.1673054166899,10.3216610804512 57.1634647328976,10.3257501094777 57.1591066503019,10.3281950908678 57.1543987959985,10.3289026538489 57.1495221846054)))', 'DKDLD', 'Dronninglund', 'Y'),('SRID=4326;MULTIPOLYGON(((8.51238435680018 56.7171858199009,8.51157540115908 56.7123136586294,8.50905406439008 56.7076218664734,8.5049178007648 56.7032906482433,8.49932594435966 56.69948630085,8.49249352837401 56.6963548453571,8.48468300024454 56.6940164425242,8.47619415410168 56.6925608023423,8.46735266464998 56.6920437598381,8.45849765477292 56.6924851452116,8.44996876203365 56.6938680277597,8.44209318613948 56.696139361736,8.43517320005734 56.6992120100495,8.42947459180436 56.702968070272,8.42521647227441 56.7072633785616,8.42256283740589 56.7119330225097,8.42161621154428 56.7167976552018,8.42241362447149 56.7216703714121,8.42492508927221 56.7263638841365,8.42905465459127 56.7306977266243,8.43464400610971 56.7345052024454,8.44147849197715 56.737639814262,8.44929534963895 56.7399809207923,8.45779382135202 56.7414384004317,8.46664676700492 56.741956138112,8.47551331960872 56.7415141977988,8.48405208432196 56.7401295946799,8.49193435851755 56.7378556364436,8.49885684947392 56.7347798597011,8.50455338783227 56.7310206431558,8.5088051778242 56.7267226311711,8.51144918712731 56.722051147768,8.51238435680018 56.7171858199009)))', 'DKDOV', 'Doverodde', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7140458900649 55.5948293786305,12.7134826190751 55.5899476580305,12.7112488229071 55.5852219424387,12.7074308876551 55.5808337558517,12.7021759199799 55.5769515985832,12.6956860354146 55.5737244924913,12.6882105655033 55.5712762795956,12.6800364870833 55.569700889317,12.6714774397961 55.5690587522135,12.6628617468949 55.5693744944878,12.6545198885072 55.5706359993216,12.646771895038 55.5727948699445,12.6399151310088 55.5757682770282,12.6342129263013 55.5794421212982,12.6298844827651 55.5836753929212,12.6270964400525 55.5883055639857,12.6259564263121 55.5931548108624,12.6265088484247 55.5980368308975,12.6287330947088 55.6027639940729,12.632544232952 55.607154556011,12.6377961912771 55.6110396547729,12.6442873122994 55.614269820685,12.6517680762381 55.6167207458978,12.6599507002895 55.6182980880642,12.6685202438166 55.6189411194685,12.6771467856066 55.6186250777586,12.6854981938844 55.6173621253391,12.6932529843597 55.6152008793629,12.7001127577287 55.6122245307846,12.7058137259675 55.6085476266948,12.7101368754701 55.6043116427568,12.7129163725542 55.5996795198068,12.7140458900649 55.5948293786305)))', 'DKDRA', 'Dragør', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4643811879387 54.9694853288331,10.4633706138342 54.964626637904,10.4607324193974 54.9599746857666,10.4565684674329 54.9557081408094,10.4510390815223 54.9519908164306,10.4443568386304 54.9489653982432,10.4367783870218 54.9467479864571,10.4285946058188 54.9454236592679,10.4201194809196 54.945043223952,10.4116781165261 54.9456212774031,10.4035943311922 54.9471356486741,10.3961783014993 54.9495282444183,10.3897147149019 54.9527072657361,10.3844518759891 54.9565507136,10.3805921777051 54.9609110515322,10.378284301629 54.9656208502418,10.3776174503167 54.9704992011175,10.3786178414852 54.9753586552642,10.3812476105565 54.9800124234425,10.3854061774109 54.9842815607885,10.3909340383022 54.9880018592368,10.3976188484382 54.9910301803993,10.4052035687168 54.9932499821144,10.4133963656684 54.9945758223408,10.4218818808274 54.9949566634557,10.4303334281668 54.9943778467858,10.4384256388695 54.9928616594719,10.4458470536672 54.9904664713369,10.4523121652733 54.987284475949,10.4575724369321 54.983438125111,10.4614258665428 54.979075397252,10.4637247268756 54.974364085507,10.4643811879387 54.9694853288331)))', 'DKDRE', 'Drejø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.62597358372916 55.4997831431318,9.62505152080826 55.4949178589892,9.62247564976514 55.4902481337324,9.61834546521368 55.4859533217778,9.61282001900907 55.4821983231561,9.60611175778677 55.4791272689078,9.59847834269367 55.4768580082812,9.5902127680526 55.4754776056259,9.58163215554822 55.4750390161286,9.57306564638807 55.4755590648757,9.56484184476483 55.4770178047755,9.55727628120321 55.4793592773326,9.55065936372366 55.482493647915,9.54524526820488 55.486300635751,9.54124218718768 55.4906341102191,9.53880430928123 55.4953276807436,9.53802584035416 55.5002010694022,9.53893730432908 55.5050670246541,9.54150427769529 55.5097385126792,9.54562862042868 55.5140359106962,9.55115217003897 55.5177939249703,9.55786276863241 55.5208679653553,9.56550239922087 55.5231397279906,9.57377712122961 55.5245217676179,9.58236842036907 55.524960879836,9.59094552848599 55.5244401599786,9.59917822779025 55.5229796573084,9.60674963316498 55.5206355986868,9.61336844722772 55.5174982124512,9.61878020536458 55.5136882384794,9.62277707088229 55.5093522620048,9.62520580142604 55.5046570545104,9.62597358372916 55.4997831431318)))', 'DKDRJ', 'Drejens', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4446129083243 56.1009317295285,12.4440781363168 56.0960494157948,12.4418499547312 56.0913192034443,12.4380145544659 56.0869227893689,12.4327197306257 56.083028988652,12.4261691417501 56.0797872679144,12.4186144559377 56.0773220272495,12.4103456897776 56.0757278465568,12.4016801097288 56.0750658748715,12.3929501153717 56.0753614978115,12.3844905587012 56.0766033701557,12.376625972658 56.0787438494999,12.3696581850556 56.0817008146776,12.3638547809294 56.0853608009457,12.3594388473613 56.0895833345814,12.3565803905922 56.0942063042209,12.3553897566816 56.0990521666197,12.3559133154878 56.1039347520175,12.3581315852547 56.1086664102587,12.3619598840669 56.1130652243281,12.3672514979522 56.1169620137658,12.3738032570599 56.1202068569452,12.3813633151368 56.1226748784098,12.3896408377168 56.1242710749076,12.3983172252546 56.1249339905152,12.4070584328254 56.1246380959107,12.4155279013214 56.1233947776738,12.4233995888149 56.1212518983331,12.4303705863615 56.1182919444334,12.4361728202432 56.1146288357239,12.44058338154 56.1104035212907,12.443433081892 56.1057785358484,12.4446129083243 56.1009317295285)))', 'DKDRN', 'Dronningmolle', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1280977301881 56.4825985215512,10.1270868954285 56.4777382244894,10.1243825319724 56.4730803953848,10.1200890980253 56.4688039246379,10.1143719304138 56.4650729998855,10.1074508388832 56.4620308199217,10.0995916435894 56.4597941187993,10.0910959832562 56.4584487064252,10.0822897820565 56.4580461929878,10.0735108095048 56.4586020197581,10.0650957985505 56.4600948698002,10.0573676020177 56.4624674806169,10.0506228662929 56.4656288284917,10.0451206837098 56.4694576030367,10.0410726517517 56.4738068419697,10.0386347186135 56.47850955212,10.0379011318989 56.4833851046998,10.0389007317913 56.4882461624574,10.0415957440212 56.4929058746959,10.0458831340213 56.4971850643251,10.0515984851026 56.5009191297835,10.0585222640726 56.5039643941333,10.06638824164 56.5062036537516,10.0748937465419 56.5075507092231,10.0837113558581 56.5079537002123,10.0925015632887 56.507397112745,10.1009259254735 56.5059023795667,10.1086601659473 56.5035270498654,10.1154067181897 56.5003625612837,10.1209062133214 56.4965307023539,10.1249474630018 56.4921789049274,10.1273755515771 56.487474551682,10.1280977301881 56.4825985215512)))', 'DKDRO', 'Dronningborg', 'Y'),('SRID=4326;MULTIPOLYGON(((9.62030993774681 54.8927866131049,9.61940302925784 54.8879207659756,9.6168672099421 54.8832503602485,9.61280041657645 54.8789547787482,9.60735925274049 54.8751989543805,9.60075292228525 54.8721270537617,9.59323517426037 54.8698569624654,9.58509457114514 54.8684757799429,9.5766434513432 54.8680364934279,9.56820600223105 54.868555955453,9.56010589057901 54.870014240616,9.55265391225906 54.8723554056523,9.54613612252129 54.8754896244558,9.54080289176727 54.879296618248,9.53685929998962 54.8836302523745,9.5344572365365 54.8883241269337,9.53368951164836 54.893197950229,9.53458621381488 54.8980644533449,9.53711346445054 54.9027365822592,9.54117463128152 54.9070346918079,9.5466139673181 54.9107934642133,9.5532225469774 54.9138682840471,9.56074627879103 54.9161408213118,9.56889568930295 54.9175236041789,9.57735709926219 54.9179634017763,9.58580475470685 54.9174432837637,9.59391343504281 54.9159832754115,9.60137103989283 54.9136395823248,9.60789065741959 54.9105024154829,9.61322163895948 54.9066925024764,9.61715924694453 54.9023564223837,9.61955250300559 54.8976609474818,9.62030993774681 54.8927866131049)))', 'DKDSG', 'Dalsgård', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4130664552935 57.2824906769996,10.4119949463322 57.2776336210532,10.4091950664575 57.2729830588128,10.4047749686462 57.2687175963696,10.3989048696262 57.2650009924101,10.3918104547917 57.2619758895204,10.3837641901275 57.2597583605533,10.3750748772418 57.2584334753826,10.3660758489463 57.2580520542626,10.3571122494967 57.2586287291499,10.348527874663 57.2601413853249,10.340652061649 57.2625320041807,10.3337871172615 57.2657088758586,10.3281967546591 57.269550099269,10.3240959747977 57.2739082386778,10.32164277897 57.2786159621523,10.3209320346589 57.2834924493516,10.3219917398223 57.2883503258696,10.3247818428083 57.2930028598674,10.3291956790817 57.2972711450723,10.3350639851786 57.3009909930583,10.342161348664 57.304019267366,10.3502148546507 57.3062394123225,10.3589145991056 57.3075659597929,10.3679256611037 57.3079478364523,10.3769010643642 57.3073703409922,10.385495216091 57.3058557130572,10.393377290636 57.3034622714373,10.4002440279326 57.3002821557321,10.4058314418711 57.296437760905,10.4099249804057 57.2920770055093,10.412367744671 57.2873676197374,10.4130664552935 57.2824906769996)))', 'DKDYB', 'Dybvad', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50654407767475 55.1088267543274,9.505645901894 55.103960216108,9.50310948434721 55.0992876061442,9.49903279275675 55.0949883918685,9.49357281744198 55.0912276450858,9.48693948896199 55.0881497203736,9.47938759454235 55.0858727332884,9.47120700631259 55.0844840466795,9.46271159386467 55.0840369347142,9.45422723928183 55.0845485495872,9.44607940356117 55.085999266933,9.43858070863346 55.0883334344088,9.4320189986721 55.0914614955223,9.42664632808735 55.0952634093325,9.422669291833 55.0995932379246,9.42024106705984 55.1042847292474,9.41945547477874 55.1091576846394,9.42034329755522 55.1140248696089,9.42287100638135 55.1186992044597,9.42694195935767 55.1230009591614,9.43240003981779 55.1267646751527,9.4390356056794 55.1298455458212,9.44659352909806 55.132125007115,9.4547830200847 55.1335153195086,9.4632888536823 55.1339629613232,9.47178356127975 55.1334506996992,9.47994010572509 55.1319982574643,9.48744453926228 55.1296615495604,9.49400814406767 55.1265305192376,9.49937857726048 55.122725659472,9.50334958451177 55.1183933566734,9.50576890653272 55.1137002395679,9.50654407767475 55.1088267543274)))', 'DKDYH', 'Dybvighoved', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7635246663704 55.1350202099151,11.7623522380925 55.1301746640178,11.7595529663677 55.1255532167538,11.7552348919078 55.1213333560852,11.7495642400466 55.1176770957432,11.7427589897583 55.1147247724438,11.7350804880473 55.1125896788762,11.726823433242 55.1113537347557,11.7183046080364 55.1110643585424,11.709850786429 55.1117326570388,11.7017862670545 55.1133330006474,11.6944204982069 55.1158040002958,11.6880362568409 55.1190508496989,11.6828788250711 55.1229489454987,11.6791465734898 55.1273486496789,11.6769833117106 55.1320810151806,11.6764727040187 55.1369642584708,11.6776349734607 55.1418107333712,11.6804260332729 55.1464341399884,11.6847390929322 55.1506566920669,11.6904086905642 55.1543159661333,11.6972170076939 55.1572711666593,11.7049022304201 55.159408562924,11.7131686372014 55.1606458846468,11.7216980215887 55.1609355036396,11.7301620020417 55.1602662761388,11.7382347333311 55.1586639731749,11.7456055169731 55.1561902821147,11.7519908125572 55.1529404189868,11.757145177476 55.1490394459615,11.7608707080397 55.1446374390864,11.7630246178492 55.1399036959844,11.7635246663704 55.1350202099151)))', 'DKDYO', 'Dybsø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2544930586225 55.0695596822892,10.2535051529223 55.0646992205623,10.2508844502844 55.0600427109086,10.2467321469619 55.05576899772,10.2412081246349 55.0520421701162,10.2345247591256 55.0490052785158,10.2269387452902 55.0467748630609,10.218741254263 55.0454365002488,10.2102467979426 55.045041535094,10.2017812204362 55.0456051212491,10.1936692661283 55.0471056423964,10.1862221884847 55.0494855365782,10.1797258623684 55.052653492754,10.1744298455429 55.056487937517,10.1705378024915 55.0608416813548,10.1681996563619 55.0655475498054,10.1675057738143 55.07042478694,10.1684834143437 55.0752859882827,10.1710955923385 55.0799442987959,10.1752424093445 55.0842205999236,10.1807648189246 55.0879504085563,10.1874506907852 55.0909902204409,10.1950429485028 55.0932230508483,10.2032494703695 55.0945629556261,10.2117543696222 55.0949583550091,10.2202302123095 55.0943940292371,10.228350691264 55.0928917072283,10.235803255219 55.0905092251054,10.2423011940714 55.0873382878999,10.2475947045355 55.0835009228538,10.2514805037012 55.0791447640656,10.2538096189964 55.0744373536513,10.2544930586225 55.0695596822892)))', 'DKDYR', 'Dyreborg', 'Y'),('SRID=4326;MULTIPOLYGON(((9.46645539402645 55.0268412215211,9.46556396832646 55.0219743099795,9.46303744438698 55.0173007845901,9.45897340770148 55.0130001485022,9.45352836133524 55.0092375287581,9.44691166243348 55.0061573524793,9.4393774606377 55.0038778221985,9.43121495059936 55.002486398763,9.42273731020263 55.0020364615544,9.41426974171572 55.0025452711479,9.40613706385967 55.0039933105893,9.39865131808488 55.0063250299101,9.39209985187949 55.009450966102,9.38673432570703 55.0132511593165,9.38276105849446 55.017579737309,9.38033308011559 55.0222704958217,9.37954419908311 55.0271432643134,9.38042532118377 55.0320108156656,9.38294317209658 55.036686056496,9.3870014867169 55.0409892224954,9.39244463311298 55.0447548014657,9.39906354339514 55.0478379157704,9.40660373126145 55.0501199155887,9.41477509073637 55.0515129641081,9.42326309668822 55.0519634345423,9.43174096878472 55.0514539851373,9.43988231967145 55.0500042302528,9.44737378750683 55.0476699810185,9.45392715367187 55.0445410855996,9.45929046845369 55.0407379543601,9.46325774959171 55.0364069068322,9.46567687853859 55.0317145232376,9.46645539402645 55.0268412215211)))', 'DKDYV', 'Dyvig', 'Y'),('SRID=4326;MULTIPOLYGON(((8.46794302993645 55.4721988548705,8.46716435402878 55.4673254814434,8.46472747269209 55.4626320103489,8.46072655251656 55.4582987157502,8.45531569834714 55.4544919814355,8.44870297780339 55.4513579284529,8.44114240554036 55.4490168255561,8.43292419823837 55.4475584933483,8.42436367224663 55.4470388747975,8.4157892028544 55.4474779005451,8.40752969627874 55.4488587287507,8.39990204199258 55.4511283878126,8.39319901366066 55.4541997979451,8.38767807169468 55.4579550960548,8.38355148957675 55.4622501394049,8.38097818025306 55.4669200188947,8.38005753908199 55.47178537404,8.38082554750046 55.4766592703802,8.38325329874631 55.4813543773614,8.38724801620184 55.4856901717722,8.39265653933089 55.4894998892508,8.399271155396 55.4926369545898,8.40683756116857 55.4949806404314,8.41506465187042 55.496440732942,8.42363575873434 55.4969610211629,8.43222089562686 55.4965214725014,8.4404895322983 55.495139008407,8.44812338930034 55.492866849531,8.45482874866188 55.4897924562336,8.4603477950954 55.4860341457682,8.46446854369885 55.4817365194754,8.4670329696268 55.477064879685,8.46794302993645 55.4721988548705)))', 'DKEBJ', 'Esbjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7227536166568 56.1993845627292,10.7216756365949 56.1945294081712,10.7189199512403 56.1898847385558,10.7145929734169 56.1856289360979,10.7088613111869 56.1819253934958,10.701945316005 56.1789162585017,10.6941106017144 56.1767169982242,10.6856578622167 56.1754119879621,10.6769113752693 56.1750512901213,10.6682066251902 56.1756487437599,10.659877507314 56.1771814361514,10.652243591249 56.1795905761627,10.6455979180655 56.1827837369623,10.640195788524 56.1866383843847,10.6362449656524 56.1910065589219,10.6338976660588 56.1957205354975,10.6332446513991 56.2005992475071,10.6343116559511 56.2054552315339,10.6370583003879 56.2101018279403,10.6413795482823 56.2143603611755,10.6471096639034 56.2180670228054,10.6540285312565 56.2210791902346,10.6618700992385 56.2232809346931,10.6703326305364 56.2245875026878,10.6790903566786 56.2249485946615,10.6878060822789 56.2243503115529,10.6961442410766 56.2228156923681,10.7037838870642 56.2204038215774,10.7104311068442 56.2172075417492,10.7158303642033 56.2133498618929,10.7197743333799 56.2089792031771,10.7221118411795 56.204263668871,10.7227536166568 56.1993845627292)))', 'DKEBT', 'Ebeltoft', 'Y'),('SRID=4326;MULTIPOLYGON(((9.88180701046613 57.0666860227829,9.88081154093257 57.0618241398941,9.87809470814952 57.0571614312892,9.87376147342911 57.0528769740538,9.86797872137764 57.0491352602842,9.86096879194716 57.0460798996829,9.85300091920871 57.0438281284336,9.84438090833522 57.0424663311674,9.8354394438859 57.042046743973,9.82651946954503 57.0425854617162,9.81796311100361 57.0440618240184,9.81009862908569 57.0464192028131,9.80322788923842 57.0495671621841,9.79761481613554 57.0533849099542,9.79347526869096 57.0577259119878,9.7909687218719 57.0624234960747,9.79019207837309 57.067297234195,9.79117585697987 57.0721598613816,9.79388291738672 57.0768244675697,9.79820978603617 57.0811116867845,9.80399054749986 57.0848566064438,9.81100316487762 57.0879151287778,9.81897799488558 57.0901695362572,9.82760817317063 57.0915330429084,9.83656146727598 57.0919531524036,9.84549313255652 57.0914136903615,9.85405926347888 57.0899354304736,9.86193011146155 57.0875752896972,9.86880284188311 57.0844241244356,9.87441322702583 57.080603214934,9.87854581719616 57.0762595766727,9.88104219660985 57.0715602832033,9.88180701046613 57.0666860227829)))', 'DKEGH', 'Egholm', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7137782943175 56.220387666707,10.7127008045618 56.2155324463916,10.7099446428138 56.2108875945435,10.7056162410181 56.2066315003499,10.6998822625729 56.2029275676328,10.6929631482657 56.199917959005,10.6851246317873 56.1977181596222,10.6766675527992 56.196412565346,10.6679163551837 56.1960512608944,10.6592067034616 56.1966481085492,10.6508726804489 56.1981802188404,10.6432340434429 56.2005888230349,10.6365840143213 56.2037815149794,10.6311780609157 56.2076357786572,10.6272240932183 56.2120036694618,10.6248744490443 56.2167174733757,10.6242199807889 56.2215961305612,10.6252864794175 56.2264521797971,10.6280335859345 56.2310989589713,10.6323562469714 56.2353577854792,10.6380886731099 56.2390648395292,10.6450106598897 56.2420774833139,10.6528560363147 56.2442797696024,10.6613229183593 56.2455869239236,10.6700853697136 56.2459486240563,10.6788060125742 56.2453509474799,10.6871490908215 56.2438169098602,10.69479346858 56.2414055733493,10.7014450499959 56.2382097600712,10.7068481309175 56.2343524612376,10.7107952386648 56.2299820835297,10.7131350797885 56.225266719573,10.7137782943175 56.220387666707)))', 'DKEGK', 'Egsmark Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3466942002892 56.9805165496221,10.3456406386266 56.9756586230303,10.3428723034377 56.9710062267404,10.3384961255739 56.9667380389996,10.3326806283804 56.9630179253202,10.3256493985274 56.9599886653591,10.3176724786423 56.9577664936848,10.3090560147376 56.956436660019,10.3001305524326 56.9560501754677,10.2912384224286 56.9566218664054,10.2827206866482 56.9581298086507,10.2749041312902 56.9605161630833,10.2680887915296 56.9636893816347,10.2625364747097 56.9675277014087,10.2584607149518 56.9718837962905,10.2560185427818 56.9765904114787,10.2553043896916 56.9814667685313,10.2563463710561 56.9863254982048,10.259105103602 56.9909798368644,10.2634751183922 56.995250810555,10.2692888303549 56.9989741296295,10.2763229246084 57.0020065264388,10.2843069224487 57.0042312888572,10.2929336003098 57.0055627727455,10.3018708575887 57.0059497157655,10.3107745679034 57.0053772217449,10.3193019063311 57.0038673371274,10.3271246247562 57.0014781967426,10.3339417497339 56.9983017727953,10.3394912021409 56.9944603161744,10.3435598839393 56.9901016305509,10.3459918421595 56.9853933651427,10.3466942002892 56.9805165496221)))', 'DKEGN', 'Egense', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5598389444031 56.2694430803489,10.5587794280058 56.2645864607377,10.556038212241 56.2599381356161,10.5517211584318 56.2556766283772,10.5459944979523 56.2519655511692,10.5390783941455 56.2489473409989,10.5312384679265 56.2467378129648,10.5227756147415 56.2454217358332,10.5140145004309 56.2450495960045,10.5052911691091 56.2456356709615,10.496940226461 56.2471574841798,10.4892820762638 56.2495566619052,10.4826106862084 56.2527411599294,10.4771823412292 56.2565887772845,10.4732058088851 56.2609518253858,10.4708342925126 56.2656627772788,10.4701594849697 56.2705406838966,10.4712079603413 56.2753981140608,10.4739400550875 56.2800483536383,10.4782512964767 56.2843125877776,10.4839763380245 56.2880267891854,10.4908952628582 56.2910480452238,10.4987420205895 56.2932600770884,10.5072146757371 56.2945777348267,10.5159870701993 56.2949502914048,10.5247214425582 56.2943634058935,10.5330815062286 56.2928396782171,10.5407454688396 56.290437773589,10.5474184778142 56.2872501513643,10.5528440017551 56.2833994881422,10.5568137025832 56.2790339362129,10.5591754169994 56.2743214037154,10.5598389444031 56.2694430803489)))', 'DKEGS', 'Egens', 'Y'),('SRID=4326;MULTIPOLYGON(((9.34410624745062 55.6168842078559,9.34321622372877 55.6120168735317,9.34066605247549 55.6073412962865,9.33655424795531 55.6030370567071,9.33103916337111 55.5992694176104,9.32433285408445 55.5961829954246,9.31669291133371 55.5938962287916,9.3084125828121 55.5924968529915,9.29980955673653 55.5920385501709,9.29121383230664 55.592538900798,9.28295513070342 55.5939787128884,9.27535031638118 55.5963027540469,9.26869129806997 55.5994218590266,9.2632338626318 55.6032163340766,9.25918786300834 55.6075405306176,9.25670913460026 55.6122284164334,9.25589345356345 55.6170999342317,9.25677277719727 55.621967906563,9.25931392286938 55.6266452239789,9.26341975037719 55.6309520409682,9.26893281646484 55.6347227023268,9.27564137307099 55.6378121315149,9.28328748682562 55.6401014321016,9.29157697055709 55.6415024830348,9.30019074224972 55.6419613471435,9.30879716677866 55.6414603585084,9.31706489396744 55.640018806245,9.32467568529721 55.6376921876745,9.33133672209377 55.6345700604321,9.33679191020143 55.6307725783807,9.3408317388166 55.6264458478882,9.34330131201965 55.6217562869414,9.34410624745062 55.6168842078559)))', 'DKEGV', 'Egtved', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4687346858232 56.1784766045659,10.4676893759247 56.1736190636522,10.4649658183408 56.1689685641655,10.4606691940504 56.1647037139729,10.4549649492127 56.1609882545683,10.4480723872782 56.1579647920721,10.4402562274025 56.155749343857,10.4318164556123 56.1544269062868,10.4230768550231 56.1540482099223,10.4143726469928 56.1546277836277,10.4060377054277 56.1561433999088,10.3983918209544 56.1585369222436,10.3917284900346 56.1617165228798,10.3863036863835 56.1655601883438,10.382326038538 56.1699203814866,10.3799487887971 56.1746296849772,10.3792638460604 56.1795072133612,10.3802981698842 56.1843655505777,10.3830126374281 56.1890179484456,10.387303451589 56.1932855100868,10.3930060507484 56.1970040812146,10.399901381998 56.2000305819771,10.4077243045815 56.2022485324527,10.4161738029123 56.2035725553307,10.4249246130956 56.2039516787012,10.4336398072122 56.2033713086919,10.4419838388209 56.2018537940274,10.4496355334178 56.1994575602417,10.4563005100037 56.1962748478816,10.4617225443284 56.1924281441524,10.4656934294621 56.1880654487515,10.4680609526686 56.1833545599552,10.4687346858232 56.1784766045659)))', 'DKEGX', 'Eg', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8911320123015 55.6879680022238,11.8899250784649 55.6831244399285,11.8870693191285 55.678506910326,11.8826749604432 55.6742927478684,11.8769111668682 55.6706437437288,11.8699994960996 55.6676999521146,11.8622053760404 55.6655743346674,11.8538279326071 55.664348444721,11.8451885549859 55.6640693134359,11.8366186285791 55.6647476544204,11.8284468943642 55.6663574540207,11.8209869061586 55.6688369627211,11.8145250540799 55.6720910508106,11.809309603357 55.6759948404108,11.805541162928 55.6803984778827,11.8033649486501 55.6851328672451,11.8028651425556 55.6900161481247,11.8040615740073 55.6948606723944,11.8069088629967 55.6994802132535,11.8112980729057 55.7036971300546,11.8170608231311 55.7073492123014,11.82397571482 55.7102959371726,11.8317768297156 55.7124238964644,11.8401639770017 55.7136511803181,11.8488142901667 55.713930545363,11.8573947189685 55.7132512424026,11.8655749235329 55.7116394315435,11.8730400605081 55.7091571684977,11.8795029559244 55.7059000023005,11.8847151857169 55.7019932794447,11.888476631307 55.6975873001303,11.8906431417389 55.6928515168627,11.8911320123015 55.6879680022238)))', 'DKEJB', 'Ejby bro', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((8.94763820269202 56.9250274403118,8.94676820816571 56.9201583118095,8.94417845634563 56.91547552132,8.93996903252029 56.911158924142,8.93430207878848 56.9073742522326,8.9273955060024 56.9042667684365,8.91951459956008 56.9019557114866,8.91096184460092 56.9005297410929,8.9020653585353 56.9000435540167,8.89316636679095 56.9005157976575,8.88460619017417 56.9019283589816,8.87671322870394 56.9042270552821,8.86979042689201 56.9073237010261,8.86410368920954 56.911099473686,8.85987168219008 56.9154094527012,8.85725741188134 56.9200881612794,8.8563619031829 56.924955902236,8.85722023247212 56.9298256479404,8.85980007886043 56.9345102220019,8.86400286507032 56.9388294975896,8.86966745952092 56.9426173349834,8.87657631054201 56.9457279894223,8.88446378589779 56.9480417394718,8.89302640039248 56.9494695154212,8.90193453558966 56.9499563456294,8.91084519258411 56.9494834847854,8.91941527463813 56.9480691398868,8.92731487371852 56.9457677651742,8.93424003479871 56.9426679539449,8.93992449423313 56.9388890106431,8.94414993233369 56.9345763385308,8.94675434311219 56.9298958243992,8.94763820269202 56.9250274403118)))', 'DKEJE', 'Ejerslev', 'Y'),('SRID=4326;MULTIPOLYGON(((9.29685493536449 57.1018998216824,9.29593505332041 57.09703334778,9.29328902986242 57.0923580134103,9.28901911453379 57.0880533844135,9.28328977138178 57.0842847302937,9.27632130208616 57.0811966966026,9.26838136090463 57.0789077739258,9.25977469032254 57.0775057718271,9.25083146855334 57.0770444675221,9.24189470777981 57.0775415545684,9.23330717425756 57.078977968087,9.22539831751107 57.0812986116644,9.21847169555748 57.0844144588704,9.21279336639595 57.0882059510208,9.20858168319314 57.0925275641629,9.20599888229636 57.0972133739588,9.20514479042886 57.1020834087908,9.20605290166002 57.1069505504874,9.2086889880472 57.1116277198508,9.21295231287495 57.1159350716801,9.21867941544126 57.1197069219453,9.22565033517811 57.1227981385106,9.23359704477321 57.1250897462265,9.24221377131272 57.1264935267558,9.25116880565362 57.1269554321324,9.26011733725326 57.1264576772907,9.26871480785159 57.1250194287759,9.27663025509324 57.1226960623636,9.28355911761917 57.1195770190112,9.28923499632629 57.1157823439877,9.29343991111026 57.1114580458091,9.29601265605532 57.106770457585,9.29685493536449 57.1018998216824)))', 'DKEJS', 'Ejstrup', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8831390811521 55.6939708036034,11.8819329228972 55.6891271580732,11.8790776375695 55.6845094409057,11.8746834333991 55.6802949937826,11.8689194691748 55.6766456188099,11.8620073093501 55.6737013844127,11.8542124007232 55.6715752691935,11.8458338995023 55.6703488455467,11.8371932353999 55.6700691650714,11.8286218430403 55.6707469624173,11.8204485194599 55.6723562447763,11.8129868792602 55.6748352824885,11.8065233757762 55.678088963949,11.801306337499 55.6819924269388,11.7975364342734 55.6863958304256,11.7953589381823 55.6911300874883,11.7948580806408 55.6960133429095,11.7960537316351 55.7008579496041,11.7989005414263 55.7054776776501,11.8032895921074 55.7096948792282,11.8090525094631 55.7133473328923,11.8159678884188 55.7162945015142,11.8237697920949 55.7184229597823,11.8321579993509 55.7196507785934,11.840809602817 55.7199306939473,11.8493915024474 55.7192519354356,11.8575733015667 55.7176406421958,11.8650400952491 55.7151588500267,11.8715046455898 55.7119020898744,11.8767184647258 55.7079956926611,11.8804813728998 55.7035899461278,11.8826491629624 55.6988542939026,11.8831390811521 55.6939708036034)))', 'DKEJY', 'Ejby', 'Y'),('SRID=4326;MULTIPOLYGON(((9.64832258491164 54.9047765983855,9.6474120200643 54.8999109797636,9.6448722007258 54.8952411785261,9.64080121741197 54.8909465540568,9.63535583445619 54.8871920023098,9.62874541734065 54.8841216408852,9.62122387148951 54.8818532961757,9.61307990459286 54.8804740005667,9.60462598363302 54.8800366689095,9.59618640309648 54.8805580787993,9.58808491136009 54.8820182301938,9.58063235730884 54.8843611083202,9.57411481857863 54.8874968214131,9.56878265642993 54.8913050333802,9.56484091046211 54.8956395627839,9.56244139982823 54.9003339752641,9.56167683735702 54.9052079583217,9.56257719054804 54.9100742367149,9.56510844081439 54.9147457648419,9.56917380220294 54.919042920416,9.57461736626851 54.9228004221457,9.58123004444068 54.925873703323,9.58875758707212 54.9281444930491,9.59691037351812 54.9295253867066,9.60537459409892 54.9299632261553,9.61382438630184 54.9294411564931,9.62193444711422 54.9279792782071,9.62939262308609 54.925633868974,9.63591198069611 54.9224952058976,9.64124188177811 54.9186840741787,9.6451776309618 54.9143470997604,9.64756832205098 54.9096510892338,9.64832258491164 54.9047765983855)))', 'DKEND', 'Egernsund', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1738918016732 56.3085826875254,10.1728800466065 56.3037226343501,10.1701827065911 56.29906564613,10.1659039634176 56.2947905813637,10.1602085846528 56.2910615744855,10.1533155405253 56.2880217517042,10.1454895740086 56.2857877577248,10.1370310502709 56.284445299589,10.1282644719792 56.2840458748785,10.1195260929648 56.2846048067033,10.1111510935001 56.2861006588718,10.1034607952987 56.2884760531085,10.0967503930536 56.2916398579071,10.0912776618935 56.2954706673454,10.0872530668654 56.299821439704,10.0848316521094 56.3045251217114,10.0841070248095 56.309401046305,10.0851076738299 56.3142618613954,10.0877957772485 56.3189207255388,10.0920685594618 56.3231984946447,10.0977621604066 56.3269306225684,10.1046578805139 56.3299735079502,10.1124905694191 56.3322100398317,10.1209588385321 56.3335541247982,10.1297367015396 56.3339540175971,10.138486186612 56.3333943238561,10.1468704226776 56.331896595762,10.1545666818333 56.3295184971833,10.1612788618859 56.3263515713385,10.1667489170546 56.3225176993008,10.1707667896902 56.3181643890425,10.1731784590768 56.3134590802067,10.1738918016732 56.3085826875254)))', 'DKENG', 'Engholm', 'Y'),('SRID=4326;MULTIPOLYGON(((9.47644451741408 55.0168376728541,9.47555211121997 55.0119708283658,9.47302506257141 55.0072975036568,9.46896097669944 55.0029971941405,9.46351635817932 54.9992350143231,9.45690054743838 54.9961553744693,9.44936765985667 54.993876456575,9.44120683961674 54.9924856980478,9.43273119986056 54.9920364528129,9.42426586629894 54.9925459549369,9.41613557217299 54.9939946609103,9.40865226775377 54.9963269951741,9.40210320709001 54.9994534710747,9.3967399584788 55.0032541079736,9.39276875345328 55.0075830164982,9.39034254260445 55.0122739795946,9.38955506632498 55.0171468187633,9.39043717609166 55.0220143040864,9.39295555922016 55.0266893446604,9.39701392972548 55.0309921838475,9.40245665314608 55.0347573220223,9.40907467756865 55.0378398985374,9.41661355060241 55.0401212843165,9.42478321683483 55.0415136662386,9.4332692164008 55.0419634432306,9.4417448464001 55.0414533002709,9.4498838060501 55.0400028784306,9.45737282583139 55.037668014494,9.46392378158416 55.0345385802351,9.4692848165035 55.0307350066759,9.47325003607299 55.0264036302686,9.47566740093391 55.0217110437794,9.47644451741408 55.0168376728541)))', 'DKENS', 'Enstedværket Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5390306056339 54.6671053726254,11.5379002695584 54.6622569280789,11.5351604276528 54.6576294185026,11.5309168263949 54.653400567928,11.5253328251179 54.6497327389237,11.5186230757734 54.6467667158955,11.5110452647286 54.644616320397,11.5028902353023 54.6433640614962,11.4944708667533 54.6430579846479,11.4861101285933 54.6437098371922,11.4781287574568 54.645294619188,11.4708330167099 54.647751536498,11.4645029962652 54.6509863206562,11.4593818917153 54.65487482885,11.45566666826 54.6592677891095,11.4535004666749 54.6639965122217,11.4529670468567 54.6688793545921,11.4540874908784 54.6737286867023,11.4568193040913 54.678358101211,11.4610579623125 54.6825895840785,11.4666408587429 54.6862603719939,11.4733535096357 54.6892292300841,11.4809377868915 54.6913819051828,11.4891018627699 54.6926355411729,11.4975314807706 54.6929418829501,11.5059021109934 54.692289142841,11.5138915108251 54.6907024559106,11.5211921946029 54.6882429063059,11.5275233198839 54.6850051632362,11.5326415228763 54.6811138199815,11.5363502801181 54.676718580124,11.5385074352568 54.6719884799242,11.5390306056339 54.6671053726254)))', 'DKERR', 'Errindlev', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1279606702035 56.3665990780247,10.1269531177797 56.3617386777478,10.1242571724417 56.3570807268398,10.1199769649596 56.3528041208454,10.1142773213365 56.3490730532732,10.1073773771211 56.3460307291884,10.0995421409218 56.3437938889545,10.0910723335784 56.342448348469,10.0822928898826 56.3420457232627,10.073540555865 56.3426014590318,10.0651510454927 56.3440942421588,10.0574462355521 56.346466812258,10.0507218762471 56.3496281465053,10.0452362776356 56.3534569342544,10.0412003987746 56.3578062119426,10.0387697179838 56.3625089842628,10.0380382000289 56.3673846196162,10.0390346007902 56.3722457774376,10.0417212641992 56.3769056033622,10.0459954725746 56.3811849163915,10.0516933132242 56.3849191108961,10.0585959250882 56.3879645057637,10.0664378934356 56.3902038931318,10.074917472519 56.3915510693241,10.0837082398865 56.391954169788,10.0924717255784 56.3913976764733,10.1008705178838 56.3899030183273,10.1085813269252 56.3875277411909,10.1153074891913 56.3843632800104,10.1207904201424 56.3805314214796,10.1248195668511 56.3761795966597,10.1272404759078 56.3714751886349,10.1279606702035 56.3665990780247)))', 'DKERS', 'Erslev', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3611822783436 55.7161582379364,11.3600398433721 55.7113089788531,11.3572441471191 55.7066786656209,11.3529031158081 55.7024451269139,11.3471838754238 55.6987709002535,11.3403062833242 55.6957970093782,11.3325344687591 55.6936375713489,11.3241667089185 55.6923754366,11.3155240255235 55.6920590256229,11.3069379311855 55.6927004807335,11.2987377838526 55.6942752020546,11.2912382210233 55.6967227851515,11.284727142808 55.699949325458,11.2794546943554 55.7038310034864,11.2756236640003 55.7082188166018,11.2733816643923 55.7129442795442,11.2728154009412 55.7178258785154,11.2739472567229 55.72267603396,11.2767343376776 55.7273083064118,11.2810700291821 55.7315445689236,11.2867880181902 55.7352218693001,11.2936686378572 55.7381987158573,11.301447298016 55.7403605415581,11.3098246792972 55.7416241324667,11.3184782952018 55.7419408464039,11.3270749687398 55.7412984949306,11.335283731374 55.7397218143877,11.3427886340035 55.7372715074839,11.3493009635831 55.7340418934608,11.3545703844579 55.7301572597518,11.3583945692166 55.725767058967,11.3606269473901 55.721040139867,11.3611822783436 55.7161582379364)))', 'DKESK', 'Eskebjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6044949879033 55.9938728695621,12.6039411106763 55.9889910139052,12.6016990951877 55.9842635019084,12.5978556584106 55.9798719259981,12.5925588987468 55.9759849151507,12.5860125444427 55.9727516754178,12.5784680977442 55.9702962818191,12.570215180675 55.9687129370398,12.561570451741 55.9680623750733,12.5528655123744 55.9683695444088,12.5444342564218 55.9696226572053,12.5366001347827 55.9717736397894,12.5296638100789 55.9747399675436,12.5238916629402 55.978407815569,12.5195055823995 55.9826364071761,12.5166744285675 55.9872633969946,12.5155074971666 55.9921110859088,12.5160502440397 55.9969932326223,12.5182824453379 56.0017222027322,12.5221188782082 56.0061161818282,12.5274125105305 56.010006175071,12.5339600901704 56.0132425223667,12.5415099283382 56.0157006755973,12.5497715822095 56.017286011948,12.5584270631786 56.0179374942264,12.5671431329113 56.0176300338337,12.5755842030609 56.016375462922,12.5834253286039 56.01422207715,12.5903647806385 56.011252766999,12.5961357024292 56.0075818114113,12.600516391494 56.0033504601745,12.6033388085268 55.9987214787869,12.6044949879033 55.9938728695621)))', 'DKESP', 'Espergærde', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4235556003364 56.0519387927331,12.4230239850032 56.047056384331,12.4208010383948 56.0423258091216,12.4169727487163 56.0379287782417,12.4116866369429 56.0340341308357,12.4051460267156 56.0307913664231,12.3976022033487 56.0283249255139,12.389344767367 56.0267294343426,12.3806905516646 56.0260660923848,12.3719715211379 56.0263603378541,12.3635221083739 56.0276008782688,12.3556664580063 56.029740122111,12.348706055335 56.0326959953366,12.3429082017038 56.0363550748051,12.3384957702096 56.0405769213319,12.3356386311422 56.0451994497472,12.3344470780748 56.0500451336818,12.3349675141424 56.0549278102956,12.3371805756605 56.0596598261235,12.341001779338 56.0640592507079,12.3462846829797 56.0679568804852,12.3528264513559 56.071202761897,12.3603756228371 56.0736719798987,12.3686417826985 56.0752694854678,12.3773067699134 56.0759337724546,12.386036979718 56.0756392587731,12.3944962775791 56.0743972777378,12.402359013945 56.0722556401888,12.4093226247373 56.0692967845905,12.4151193202073 56.0656345881232,12.4195264035803 56.0614099645061,12.4223748187709 56.0567854216953,12.4235556003364 56.0519387927331)))', 'DKESR', 'Esrum Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.32752196853767 55.9828897743964,9.32662545367686 55.978022618688,9.32405307857291 55.9733470030339,9.3199042229633 55.9690425082322,9.31433867213808 55.965274404947,9.30757042387983 55.9621873250865,9.2998594470807 55.9598997301694,9.29150171135195 55.958499385234,9.28281786769014 55.9580400082371,9.2741410068906 55.9585392203507,9.2658039538892 55.9599778737106,9.25812657194404 55.9623007817074,9.25140355024752 55.9654188245947,9.2458931321892 55.9692123517933,9.241807209374 55.9735357535488,9.23930315927191 55.9782230302669,9.23847774306688 55.9830941495041,9.23936330638072 55.9879619497112,9.24192644111447 55.9926393276911,9.24606917429228 55.996946434348,9.2516326527099 56.0007176013869,9.25840319409258 56.0038077304712,9.26612048044324 56.0060978958652,9.27448758157961 56.0074999411986,9.28318242070561 56.0079598896436,9.29187023306364 56.0074600330302,9.30021652643982 56.0060196173423,9.30790003081176 56.0036940974883,9.31462512490419 56.0005729908463,9.32013324982656 55.9967764144249,9.32421286308565 55.9924504421947,9.32670754778514 55.9877614650808,9.32752196853767 55.9828897743964)))', 'DKETH', 'Ejstrupholm', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2725296708919 55.1035530649035,10.2715386774506 55.098692791662,10.268913601014 55.0940367177304,10.2647558067128 55.0897636705226,10.2592253875706 55.0860377133116,10.2525349650476 55.0830018628329,10.244941504522 55.0807726190385,10.236736462241 55.0794355133013,10.228234639011 55.079041842325,10.2197621607343 55.0796067101231,10.2116440358472 55.0811084513021,10.2041917541502 55.0834894572523,10.1976913901626 55.0866583744617,10.1923926570038 55.0904935928259,10.1884993242151 55.0948478932845,10.186161365566 55.0995540800839,10.1854691417955 55.1044313850641,10.186449849968 55.1092924010472,10.1890663877298 55.1139502799415,10.1932186898855 55.1182259195442,10.1987474995418 55.1219548619144,10.2054404402705 55.1249936358532,10.2130401633218 55.127225296338,10.2212542590362 55.1285639440764,10.2297665483033 55.1289580476083,10.238249311859 55.1283924370677,10.2463759754242 55.126888890924,10.2538337492616 55.1245052925767,10.2603357227243 55.1213333902075,10.2656319376672 55.1174952483842,10.2695190079268 55.1131385312373,10.2718479131477 55.1084308024387,10.2725296708919 55.1035530649035)))', 'DKFAB', 'Fåborg', 'Y'),('SRID=4326;MULTIPOLYGON(((9.73495923384202 55.4877440483557,9.73402404232125 55.4828796156355,9.73143610378982 55.4782122105242,9.72729537485188 55.4739210976617,9.72176131030969 55.4701710345587,9.71504668556264 55.4671059625246,9.70740940407389 55.4648435011653,9.6991426070612 55.4634704540645,9.69056346229359 55.4630394944598,9.68200105461619 55.4635671550313,9.67378383157208 55.4650331969381,9.66622707262233 55.4673813816878,9.65962084969299 55.4705216170705,9.65421893011052 55.4743333969977,9.65022904073644 55.4786704064415,9.64780486492956 55.4833661184542,9.64704008289471 55.4882401720966,9.64796469254021 55.4931052894653,9.65054376420913 55.4977744681687,9.65467869119587 55.5020681735538,9.66021090199373 55.5058212534224,9.66692790342152 55.5088893071903,9.67457143019029 55.511154261309,9.68284739029591 55.5125289326947,9.69143722097042 55.5129604008265,9.70001021053382 55.5124320556055,9.70823630044447 55.5109642401046,9.7157988613404 55.5086134628302,9.72240693800292 55.505470210681,9.72780648089392 55.5016554490211,9.73179012498392 55.49731594682,9.73420513770292 55.4926186105245,9.73495923384202 55.4877440483557)))', 'DKFAE', 'Fænø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2116137605071 55.2200052355396,12.211116147159 55.2151217258446,12.2089620540293 55.2103875309224,12.2052347969521 55.2059845050696,12.2000779974435 55.2020817230926,12.1936900049972 55.1988290028153,12.1863162479541 55.1963511725957,12.1782398108868 55.1947433003591,12.1697705991812 55.1940670635327,12.1612335006101 55.1943483958496,12.1529559880632 55.1955764988761,12.1452556265292 55.1977042550193,12.1384279505606 55.2006500264366,12.1327351657622 55.2043007725012,12.1283960995766 55.2085163690194,12.1255777833866 55.2131349669837,12.1243889906584 55.2179791888962,12.1248759859111 55.2228629281083,12.1270206586114 55.2275984925089,12.1307411270992 55.232003819311,12.1358948033598 55.23590948341,12.1422838133879 55.2391652282055,12.1496625739273 55.2416457648838,12.15774723867 55.2432556134854,12.1662266496405 55.2439327956989,12.1747743663183 55.2436512338645,12.1830612993008 55.2424217613578,12.190768449422 55.2402917042631,12.1975992486289 55.2373430507225,12.2032910158344 55.2336892801402,12.2076250785173 55.2294709771653,12.2104351670342 55.2248504028381,12.2116137605071 55.2200052355396)))', 'DKFAK', 'Fakse Ladeplads Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1955788109189 55.1475803449605,10.1945959881718 55.1427194423352,10.1919768779495 55.1380617158684,10.1878226184109 55.1337860567703,10.1822931690079 55.1300566287414,10.1756011158179 55.1270165817079,10.1680034880994 55.1247825764871,10.1597919026038 55.1234403268707,10.151281411044 55.1230413266104,10.1427984710712 55.1236008839192,10.1346684911729 55.1250975369994,10.1272034144295 55.1274738724823,10.1206898047998 55.1306387162836,10.1153778825375 55.1344706150268,10.1114719228109 55.1388224776276,10.109122384265 55.1435272025779,10.1084200731871 55.148404078525,10.1093925756588 55.153265715382,10.1120031066564 55.1579252416824,10.1161518341295 55.1622034922081,10.121679640834 55.1659359087377,10.1283741907808 55.1689788863728,10.1359780746052 55.1712153181387,10.1441987231209 55.1725591208235,10.1527197048515 55.1729585642346,10.1612129651098 55.1723982726931,10.1693515242364 55.1708998197771,10.1768221330402 55.1685208928646,10.1833373853575 55.165353060562,10.1886468108528 55.1615182312181,10.19254651447 55.1571639420744,10.1948869900008 55.1524576640577,10.1955788109189 55.1475803449605)))', 'DKFAL', 'Falsled', 'Y'),('SRID=4326;MULTIPOLYGON(((8.33035716111968 55.8412493901455,8.32958863355932 55.8363754653811,8.32714560193826 55.8316795267501,8.32312248303104 55.8273419427883,8.31767424554335 55.8235292607121,8.31101039980092 55.8203878279874,8.30338692564881 55.8180381944025,8.29509645185243 55.816570505801,8.28645706183873 55.8160410624914,8.27780014816187 55.8164701711605,8.269457770578 55.8178413704968,8.26174998942237 55.8201020593753,8.25497264678919 55.8231655041307,8.2493860528107 55.8269141499203,8.24520500340341 55.8312041122163,8.24259050981334 55.835870679774,8.24164356015071 55.8407346216132,8.24240116032259 55.8456090591092,8.24483481834177 55.8503066414977,8.24885154447849 55.8546467499962,8.25429734326932 55.8584624530509,8.26096307566045 55.8616069432796,8.26859247458417 55.8639592054164,8.27689200928345 55.8654286934442,8.2855422168901 55.8659588331076,8.29421005796706 55.8655292117061,8.30256180915806 55.8641563686102,8.31027598308001 55.8618931551927,8.31705576439886 55.8588266894578,8.32264047171704 55.855074986165,8.32681559634746 55.8507823953192,8.32942102903881 55.8461140283374,8.33035716111968 55.8412493901455)))', 'DKFAN', 'Falen', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5822600206509 57.4394277436759,10.5811612106849 57.4345723957355,10.5783276578904 57.4299258945723,10.5738688125165 57.4256666884915,10.5679563804186 57.4219582941129,10.5608176707388 57.4189430372267,10.5527268459027 57.4167366115335,10.5439944123392 57.4154236600855,10.5349553516998 57.4150545450689,10.5259563389885 57.4156434266463,10.5173425249706 57.4171677225387,10.5094443749178 57.4195689685492,10.5025650539233 57.4227550480612,10.4969688306863 57.4266037074424,10.4928709371474 57.4309672259798,10.4904292712783 57.4356780651582,10.4897382657523 57.4405552843682,10.4908251676797 57.4454114799517,10.4936488862029 57.4500599831286,10.4981014682505 57.4543220408058,10.5040121615034 57.4580337022343,10.5111539215459 57.4610521442454,10.5192521215652 57.463261188232,10.5279951323285 57.4645757925295,10.5370463619001 57.4649453433201,10.5460572826631 57.4643556140984,10.5546809309567 57.4628293161896,10.5625853443286 57.4604252185803,10.5694664041538 57.4572358720176,10.5750595770149 57.4533840275128,10.5791500953663 57.4490178906847,10.5815811840427 57.4443053986592,10.5822600206509 57.4394277436759)))', 'DKFDH', 'Frederikshavn', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1102989904191 55.8380492041913,12.1098088039138 55.8331657736109,12.1076355316234 55.8284299720105,12.103863248598 55.8240237141283,12.0986373235706 55.8201161962891,12.0921587715474 55.8168574146517,12.0846765008761 55.81437242643,12.076477756927 55.8127565707499,12.0678771281974 55.8120718287514,12.0592045305102 55.8123444591884,12.0507926198928 55.8135639977438,12.0429641040181 55.8156836572404,12.0360194254024 55.818622113659,12.0302252768576 55.8222666111372,12.0258043812305 55.8264772696901,12.0229269238081 55.8310924339584,12.0217039678623 55.8359348614988,12.0221831130414 55.8408185164615,12.0243465745737 55.8455557102751,12.0281117710066 55.8499643162502,12.0333344124772 55.8538747805866,12.0398139838733 55.8571366585482,12.0473014216593 55.8596244215338,12.0555086938203 55.8612423079844,12.0641199135154 55.8619280275931,12.072803552541 55.8616551727734,12.0812252739233 55.8604342420028,12.089060876388 55.8583122344109,12.0960088385502 55.8553708314939,12.1018019677101 55.8517232376919,12.1062176962155 55.8475098043771,12.1090866254285 55.8428926093406,12.1102989904191 55.8380492041913)))', 'DKFDS', 'Frederikssund', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0644593370318 55.9800675000951,12.0639737503016 55.9751840297201,12.0617987406638 55.9704474885055,12.0580184554401 55.9660398194565,12.0527785752929 55.9621302726064,12.0462806541599 55.9588689212793,12.0387743452128 55.9563809204688,12.0305478158428 55.9547617240856,12.0219167186018 55.9540734407976,12.0132121350751 55.9543424648587,12.0047679447387 55.9555584703063,11.996908090256 55.9576748058912,11.9899342140511 55.9606102758485,11.9841141283198 55.9642522398903,11.9796715521581 55.9684609163613,11.9767775057601 55.9730747270618,11.975543693617 55.9779164824214,11.9760181377036 55.9828001730152,11.9781832396735 55.9875381091419,11.9819563605562 55.991948135434,11.9871929103958 55.9958606429899,11.9936918422659 55.999125107745,12.001203349122 56.0016159007146,12.0094384722399 56.0032371429065,12.0180802507469 56.0039264141966,12.0267959769295 56.0036571699162,12.0352500749408 56.0024397695546,12.043117093762 56.0003210767243,12.0500943002641 55.9973826460598,12.055913375246 55.9937375685905,12.0603507534917 55.9895260999623,12.0632362061443 55.9849102434555,12.0644593370318 55.9800675000951)))', 'DKFDV', 'Frederiksværk', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4203222875202 54.9371447835876,11.4191976290364 54.9322953643378,11.4164520432622 54.9276654064106,11.4121915066577 54.92343272756,11.4065800363106 54.9197598364161,11.3998333433705 54.9167877103332,11.3922105336017 54.9146304035266,11.3840041754256 54.9133706887837,11.375529113249 54.9130568964861,11.3671104473796 54.9137010694015,11.3590711304492 54.9152785023269,11.3517196434006 54.9177286839055,11.3453382114859 54.920957605573,11.3401720023989 54.9248413513927,11.3364197149675 54.9292308342853,11.3342259184599 54.9339575005532,11.3336754406088 54.938839787248,11.3347900285106 54.9436900872846,11.3375274227277 54.9483219565147,11.3417828938895 54.9525572862061,11.3473931960776 54.9562331641628,11.3541427959861 54.9592081583153,11.3617721452932 54.9613677778105,11.3699876799927 54.9626288977747,11.3784731586342 54.9629429738937,11.3869018950951 54.9622979201904,11.3949494035852 54.96071857596,11.4023059560706 54.9582657435387,11.4086885561336 54.9550338350579,11.4138518582427 54.9511472211697,11.4175976061331 54.9467554255906,11.4197822261231 54.9420273541033,11.4203222875202 54.9371447835876)))', 'DKFEJ', 'Fejø', 'Y'),('SRID=4326;MULTIPOLYGON(((8.28091042063408 56.3202687997135,8.2801390784711 56.3153949360723,8.27767209426833 56.3106983155787,8.27360482233641 56.3063593315503,8.26809394027381 56.3025445825804,8.26135137114926 56.2994004925026,8.25363611787598 56.2970477099946,8.2452443267827 56.2955764990012,8.23649795961644 56.2950432930473,8.2277325012821 56.2954685423575,8.21928416349117 56.2968359341233,8.21147706151815 56.2990930149531,8.20461084214023 56.302153192254,8.19894922555381 56.3058990398068,8.19470989290284 56.3101867838515,8.1920561046274 56.3148518013073,8.19109037414206 56.3197149229219,8.19185044784152 56.324589302661,8.19430775810225 56.3292875917962,8.19836842338237 56.3336291429751,8.20387677188719 56.3374469667795,8.21062126626179 56.3405941712602,8.2183426104937 56.3429496335999,8.22674373096221 56.344422681873,8.23550124560652 56.344956602845,8.2442779724167 56.3445308374362,8.25273598415528 56.3431617770265,8.26054969277571 56.3409021290438,8.26741844569958 56.3378388769074,8.27307813702365 56.3340899149525,8.27731137871038 56.3297994910784,8.27995583761497 56.3251326363452,8.28091042063408 56.3202687997135)))', 'DKFEL', 'Felsted huse', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6267371802802 55.2994252167045,10.6256977094206 55.2945683200414,10.6230180698589 55.2899204050804,10.6188017249265 55.2856599828603,10.6132110149533 55.2819506290716,10.6064608718721 55.278934720763,10.5988105468966 55.2767279909254,10.5905536710259 55.275415106259,10.5820070267573 55.2750464342323,10.5734984540216 55.2756361205323,10.5653543430299 55.2771615488162,10.5578871808088 55.2795642030193,10.5513836164485 55.2827519001125,10.5460934924923 55.2866023099237,10.5422202568107 55.2909676301967,10.539913121377 55.2956802411743,10.5392612726856 55.3005591262564,10.5402903646683 55.3054168151733,10.5429614409625 55.3100665848741,10.5471723419159 55.3143296419529,10.5527615559964 55.3180420095864,10.5595143790096 55.3210608518954,10.5671711517487 55.3232699892139,10.5754372616017 55.3245843883241,10.5839945202801 55.3249534511965,10.5925134719029 55.3243629726415,10.6006661461655 55.3228356896157,10.60813875236 55.3204304005519,10.6146438126019 55.3172396896132,10.6199312566159 55.3133863458027,10.6237980445307 55.309018618051,10.6260959459875 55.3043044926317,10.6267371802802 55.2994252167045)))', 'DKFER', 'Ferritslev', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3694380112273 55.0205189070706,10.3684375129938 55.0156594127732,10.36580682091 55.0110053989754,10.3616475121926 55.0067356136607,10.3561197346913 55.0030139948331,10.3494360058371 54.9999833929215,10.3418530325023 54.9977601068617,10.3336618680776 54.9964294399213,10.3251767816189 54.9960424422475,10.3167232585802 54.9966139621865,10.3086255824489 54.9981220792733,10.3011944609052 55.0005089401383,10.2947151586702 55.0036829661873,10.289436581994 55.0075223505734,10.2855617271018 55.0118797134561,10.2832398575208 55.0165877405473,10.2825607141371 55.0214655920808,10.2835509886072 55.0263258390885,10.2861732074521 55.0309816624608,10.2903270834284 55.0352540387235,10.295853295773 55.0389786354247,10.3025395653382 55.0420121487812,10.3101287984536 55.044237836616,10.3183289887343 55.0455700300126,10.3268244930187 55.0459574464342,10.3352882398308 55.0453851737839,10.3433943892043 55.0438752471204,10.350830943484 55.0414857953054,10.357311810865 55.0383087913822,10.3625878468203 55.0344664955523,10.3664564419285 55.0301067308966,10.3687692856586 55.0253971773512,10.3694380112273 55.0205189070706)))', 'DKFIH', 'Fiskophuse', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6481889038515 55.7238543521334,12.6476324414729 55.7189724820041,12.6453996967576 55.7142456646332,12.6415770205207 55.7098554663606,12.6363117058943 55.7059704644381,12.6298062688182 55.702739789356,12.6223106393709 55.7002874193903,12.6141125679214 55.6987074427427,12.605526613096 55.6980604653224,12.5968821277334 55.6983712986513,12.5885106932573 55.6996280141821,12.5807334715439 55.7017823991887,12.5738489460561 55.7047517970896,12.5681215107377 55.7084222633645,12.563771336156 55.7126529188914,12.5609658982442 55.7172813372683,12.5598134966829 55.7221297631237,12.5603590188677 55.7270119260497,12.5625821234722 55.7317401909171,12.5663979272995 55.7361327710179,12.5716601834801 55.7400207264893,12.5781668416972 55.7432544771901,12.5856677859672 55.7457095766091,12.5938744567889 55.7472915210097,12.6024709863588 55.7479394049097,12.6111264119271 55.7476282787835,12.6195074865204 55.7463701157543,12.6272915806405 55.7442133489171,12.6341791645637 55.7412409974661,12.6399053787292 55.7375674555731,12.6442502384819 55.7333340705948,12.6470470770244 55.7287036844672,12.6481889038515 55.7238543521334)))', 'DKFIS', 'Fiskerihavnen/København', 'Y'),('SRID=4326;MULTIPOLYGON(((8.16991158071944 56.3223090398541,8.16915434580361 56.3174345323557,8.16670087607573 56.3127357471357,8.162646007932 56.3083931614019,8.1571459444404 56.304573512631,8.15041219543311 56.3014234131246,8.14270342737895 56.299063742344,8.13431553950315 56.2975850284886,8.12557034496481 56.2970439927233,8.11680328409292 56.2974613853487,8.10835062967431 56.2988211946619,8.10053666144012 56.3010712579594,8.09366128790202 56.3041252518547,8.08798857853366 56.3078659875798,8.08373663825773 56.3121498879722,8.08106920989053 56.316812478117,8.08008932960687 56.3216746827327,8.08083528707359 56.3265496918447,8.08327905765035 56.331250133363,8.08732728154757 56.335595277924,8.09282476722449 56.339417998493,8.09956039730041 56.3425712151154,8.10727521893351 56.344933573777,8.11567241129731 56.3464141370724,8.12442874470782 56.3469559022757,8.13320708304117 56.3465380080359,8.14166943661658 56.3451765424221,8.14949004909299 56.3429239202951,8.156368000434 56.3398668546007,8.16203882872138 56.3361230017604,8.16628471541267 56.3318364134892,8.16894283929617 56.3271719739068,8.16991158071944 56.3223090398541)))', 'DKFJA', 'Fjand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7108527393217 55.4320356671081,11.709676745905 55.4271898499961,11.7068614493077 55.4225675511106,11.7025155155334 55.418346290258,11.6968062468921 55.4146881334929,11.6899531086684 55.4117334885511,11.6822192860499 55.4095957353898,11.6739015971064 55.4083568941839,11.6653191453157 55.408064493449,11.6568011387356 55.4087297556037,11.6486743314774 55.410327167877,11.6412505560521 55.4127954547231,11.6348148121873 55.4160399155871,11.6296143588776 55.4199360407587,11.6258492220904 55.4243342699046,11.6236644813826 55.4290657144028,11.6231446358121 55.4339486273986,11.6243102745286 55.4387953760272,11.6271171924451 55.4434196497376,11.6314579991356 55.4476436280751,11.6371661728435 55.4513048312726,11.6440224149804 55.454262387803,11.6517630678183 55.4564024744459,11.6600902734488 55.4576427157743,11.6686834795635 55.4579353701163,11.6772118408537 55.4572691764438,11.6853470267953 55.4556697893432,11.692775929298 55.4531987850105,11.6992127680847 55.4499512777134,11.7044101174712 55.4460522409545,11.7081684240366 55.4416516783293,11.7103436480637 55.4369188337105,11.7108527393217 55.4320356671081)))', 'DKFJE', 'Fjenneslev', 'Y'),('SRID=4326;MULTIPOLYGON(((8.19192239773159 56.3313010947051,8.19116218952977 56.3264267202568,8.18870544664497 56.3217283682426,8.18464713130469 56.3173864990488,8.17914357885242 56.31356782247,8.17240643278718 56.3104189133503,8.16469448956209 56.3080606053727,8.15630376979432 56.3065833744014,8.14755619487299 56.306043884715,8.1387872961266 56.3064628273475,8.13033341668638 56.307824131204,8.1225188833125 56.3100755763198,8.11564362643042 56.3131307863521,8.1099717114406 56.3168725258945,8.10572121330002 56.3211571792413,8.10305582003311 56.3258202425058,8.10207849020676 56.330682622125,8.1028274159549 56.3355575012509,8.10527445885427 56.3402575126143,8.10932613341101 56.3446019432084,8.11482711528164 56.3484236932893,8.12156615231745 56.3515757201003,8.12928416018488 56.353936715318,8.13768419498117 56.3554157939695,8.14644291718762 56.3559560104835,8.15522309840005 56.3555365631727,8.16368667783138 56.3541735999648,8.17150785198449 56.3519195934463,8.17838567943642 56.3488613099108,8.18405570344331 56.3451164526779,8.18830013693585 56.3408291120933,8.19095621517856 56.3361642011508,8.19192239773159 56.3313010947051)))', 'DKFJH', 'Fjandø havn', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4294802039361 55.0604972437088,10.4284713635616 55.0556383227002,10.4258310330777 55.050985692569,10.4216611605312 55.0467180476225,10.4161222994002 55.0429992431675,10.4094273920061 55.0399720211614,10.401833573205 55.0377525505095,10.393632311261 55.0364259879094,10.38513826134 55.0360432260225,10.3766772516978 55.036618950809,10.3685738523933 55.0381310806984,10.3611389906075 55.0405216086135,10.3546580751228 55.0436988154813,10.3493800752264 55.0475407725359,10.3455079665756 55.0519000012146,10.3431909090736 55.056609115475,10.3425184606179 55.0614872335311,10.3435170572488 55.0663469157795,10.3461489068132 55.071001364329,10.350313352407 55.0752716080354,10.3558506667574 55.0789933959543,10.3625481430286 55.0820235319234,10.3701482552786 55.0842454034125,10.3783585771234 55.085573488218,10.3868630741082 55.085956661936,10.3953343275041 55.0853801759087,10.4034462077314 55.0838662275988,10.4108864964647 55.0814731009219,10.4173689587192 55.0782929105895,10.4226443897285 55.074448039573,10.4265102049271 55.0700864100593,10.4288182025335 55.0653757735954,10.4294802039361 55.0604972437088)))', 'DKFJL', 'Fjællebroen', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6341285290058 56.5164145775186,10.6330520735783 56.5115588780374,10.6302834565962 56.5069125348788,10.6259295996152 56.5026539938197,10.6201581521041 56.4989467512892,10.6131909982984 56.4959330951829,10.6052957167119 56.4937286640913,10.5967753225107 56.4924180298862,10.5879566830654 56.4920514694085,10.5791780427055 56.4926430460288,10.5707761230469 56.4941700727403,10.5630732796516 56.4965739768821,10.5563651939411 56.4997625343397,10.5509095612495 56.5036133898904,10.5469162019748 56.507978732009,10.5445389736407 56.5126909466111,10.5438697983577 56.5175690365015,10.544935044238 56.5224255631641,10.5476944128657 56.5270738462439,10.5520423906625 56.5313351446291,10.5578122232134 56.5350455421133,10.5647822721488 56.5380622704877,10.5726845182002 56.5402692234369,10.5812148859256 56.5415814451584,10.5900449895743 56.5419484171259,10.5988348394932 56.5413560133231,10.6072460075099 56.539827046688,10.6149547300832 56.5374203852178,10.621664430741 56.5342286728059,10.6271171682912 56.5303747449882,10.6311035630972 56.5260068810144,10.6334708179134 56.5212930788981,10.6341285290058 56.5164145775186)))', 'DKFJP', 'Fjellerup Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((8.8385941401059 56.889067205098,8.83773915908806 56.8841973015401,8.83516552939261 56.8795122380727,8.83097271687631 56.8751919581803,8.82532222656116 56.8714023360208,8.81843133886312 56.8682888250878,8.81056473927026 56.8659708958217,8.80202436615802 56.8645374717811,8.79313786386924 56.8640435356162,8.78424607622175 56.8645080317521,8.77569004822204 56.86591314402,8.7677980203389 56.8682049751403,8.76087289993274 56.8712956027281,8.75518067834272 56.8750664351148,8.75094022998988 56.8793727415007,8.74831488227334 56.8840491864792,8.74740608302137 56.8889161604039,8.74824941728633 56.8937866658887,8.75081313936958 56.8984734982141,8.7549992917573 56.9027964446034,8.76064738337282 56.9065892249494,8.76754049898324 56.9097059049533,8.77541361392384 56.9120265317123,8.78396379791776 56.9134617709984,8.79286191300323 56.9139563638062,8.80176534741661 56.9134912657425,8.81033128303405 56.9120843846141,8.8182299710406 56.9097898869945,8.82515749013353 56.9066961012192,8.83084748379816 56.9029220997625,8.83508141679773 56.8986130958861,8.83769695363777 56.8939348356645,8.8385941401059 56.889067205098)))', 'DKFLA', 'Flade Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8114509555503 55.9659934330578,11.8102441237158 55.961149267878,11.8073762149639 55.9565301845873,11.8029579320215 55.95231357666,11.7971593655285 55.9486613279189,11.7902034123472 55.9457136154909,11.7823572006379 55.9435835497516,11.7739218525556 55.9423528531629,11.7652209736462 55.9420687401831,11.7565883019678 55.9427421150598,11.7483549786784 55.9443471549155,11.7408369147446 55.9468222938274,11.7343227252891 55.9500725713359,11.7290626839319 55.9539732577669,11.7252591146524 55.9583746206768,11.7230585888755 55.9631076533162,11.7225462317891 55.9679905488755,11.7237423659082 55.9728356748457,11.7266016337745 55.9774567813753,11.7310146481572 55.9816761669705,11.7368121205081 55.9853315249344,11.743771320541 55.9882822047891,11.751624625794 55.9904146443948,11.760069834185 55.9916467598897,11.7687818390241 55.9919311207993,11.7774252084285 55.9912567851308,11.7856671726061 55.9896497220339,11.7931905050928 55.987171805452,11.7997057886781 55.9839184187203,11.8049625831732 55.9800147648639,11.8087590589064 55.97561102809,11.8109497243814 55.9708765765464,11.8114509555503 55.9659934330578)))', 'DKFLO', 'Flyndersø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.71138652745068 55.8667514825202,9.71044478180385 55.8618871864073,9.70783413460202 55.857219630855,9.70365542759606 55.8529280849989,9.69806958345892 55.8491773209809,9.69129137050487 55.8461113046209,9.68358113311136 55.8438476893418,9.67523480802832 55.842473320926,9.66657260697998 55.8420409218959,9.6579267920743 55.8425670796346,9.64962900153123 55.8440316134132,9.64199759850461 55.8463783439731,9.63532551501835 55.8495172369895,9.62986904627275 55.8533278403827,9.62583801811162 55.8576638868138,9.62338770291916 55.8623588884956,9.62261279768023 55.8672325132878,9.62354370390329 55.8720975003884,9.62614526462546 55.8767668520573,9.63031802142914 55.8810610257168,9.63590195750686 55.8848148491662,9.64268259503162 55.8878838908152,9.6503992205095 55.8901500366677,9.65875492466353 55.8915260556841,9.66742806788985 55.8919589740524,9.67608472223054 55.8914321253249,9.68439159925749 55.8899657954275,9.69202895248115 55.887616437062,9.69870294401519 55.8844744846134,9.70415698817885 55.8806608559322,9.70818162825137 55.8763222789299,9.71062256437807 55.8716256266497,9.71138652745068 55.8667514825202)))', 'DKFMM', 'Flemming', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4593253340245 54.9411308443917,11.4581958651046 54.9362818373748,11.4554455387407 54.9316528112207,11.4511805131702 54.9274215476378,11.4455649773362 54.9237505007081,11.4388147978173 54.920780576856,11.43118921353 54.9186257457196,11.4229808987803 54.9173686851038,11.4145047726353 54.9170576236288,11.4060859760504 54.9177044993972,11.3980474667656 54.9192845036165,11.3906976950843 54.9217370263547,11.3843188209883 54.9249679692389,11.3791559146802 54.9288533387166,11.3754075489 54.9332439852596,11.3732181429498 54.9379713102964,11.3726723563684 54.9428537253272,11.3737917562126 54.9477036180558,11.3765338980413 54.9523345597063,11.3807938696378 54.9565684769537,11.3864082514821 54.9602425117202,11.3931613526821 54.9632153027103,11.4007934895243 54.96537244379,11.4090109901359 54.9666309054859,11.4174975369844 54.9669422458757,11.4259264026545 54.9662944843945,11.433973096477 54.9647125646767,11.4413279221265 54.9622573882721,11.4477079502015 54.9590234575506,11.4528679348189 54.9551352209361,11.4566097480417 54.9507422644519,11.4587899681358 54.9460135383369,11.4593253340245 54.9411308443917)))', 'DKFMO', 'Femø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.84688694410968 55.4237040817697,9.84593958902041 55.4188404966062,9.84334273557583 55.4141754408956,9.83919667954482 55.4098880885566,9.83366107706007 55.4061430524957,9.82694875979444 55.403084081106,9.81931754069402 55.4008285601381,9.81106032742619 55.3994630272773,9.80249392023816 55.3990398679148,9.79394691648717 55.3995753158582,9.78574717469116 55.4010488337181,9.77820930593878 55.4034038961428,9.77162265960246 55.406550146709,9.76624025352685 55.4103668479001,9.76226906653452 55.4147074949801,9.75986206385191 55.4194054203921,9.75911226496443 55.424280177214,9.76004908997971 55.429144459631,9.76263713686743 55.4338112966195,9.76677745057631 55.4381012430781,9.77231124919126 55.4418492911693,9.77902597566465 55.4449112339459,9.78666345027263 55.4471692332905,9.79492981300437 55.4485363742068,9.80350687068862 55.4489600264913,9.81206440452421 55.4484238812935,9.820272952881 55.4469485821534,9.82781656395043 55.4445909256071,9.83440501414545 55.4414416630099,9.83978501100269 55.4376219904328,9.84374994248354 55.4332788649783,9.84614779570731 55.4285793315129,9.84688694410968 55.4237040817697)))', 'DKFNV', 'Føns Vig', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4111806753882 55.7161402552551,11.4100320582112 55.7112915186372,11.4072304814679 55.7066623984267,11.4028840966738 55.7024306771593,11.3971602345728 55.6987588223321,11.3902789290291 55.6957877664923,11.3825044509302 55.693631517853,11.3741351789546 55.6923728045119,11.3654921923936 55.6920599158014,11.3569070153809 55.6927048590474,11.3487089709149 55.6942829006825,11.3412126163701 55.696733508966,11.3347057295332 55.6999626632572,11.3294382955838 55.7038464436587,11.3256129112213 55.7082357666426,11.323376972997 55.712962088696,11.3228169539293 55.7178438626819,11.3239549972582 55.7226935019499,11.3267479708385 55.7273245865123,11.3310890329079 55.7315590347789,11.3368116630604 55.7352339640924,11.3436960149873 55.7382079738429,11.3514773540192 55.7403666061109,11.3598562569633 55.7416267699124,11.3685101782994 55.7419399550951,11.3771059291706 55.7412941091978,11.3853125768024 55.7397141032086,11.3928142540656 55.7372607679238,11.3993223728391 55.7340285391458,11.404586760395 55.7301418048348,11.4084052838216 55.7257500982245,11.4106315910837 55.7210223257126,11.4111806753882 55.7161402552551)))', 'DKFOL', 'Follenslev', 'Y'),('SRID=4326;MULTIPOLYGON(((8.45664588879125 56.9332066646642,8.45583968752329 56.9283343164933,8.4533109543886 56.9236415462689,8.44915743650638 56.9193085959261,8.44353913746019 56.9155018279407,8.43667210991242 56.9123673550132,8.42882013104568 56.9100254523017,8.4202845839752 56.9085659627978,8.41139293116629 56.9080448682471,8.40248621438885 56.9084821538318,8.39390604882129 56.90986104625,8.38598159595032 56.9121286535496,8.37901700060274 56.9151979828481,8.37327976178284 56.9189512606473,8.36899047525406 56.9232444315922,8.36631433859946 56.9279126669124,8.36535474781496 56.9327766750397,8.36614923979258 56.9376495754913,8.36866794935002 56.9423440743381,8.37281465536556 56.946679666478,8.37843039130165 56.9504895872464,8.38529949470895 56.9536272439604,8.39315787237692 56.9559718767588,8.40170316703212 56.9574332270187,8.41060643222677 56.9579550297108,8.41952485830775 56.9575171918444,8.42811504745845 56.9561365708015,8.43604631219123 56.9538663217022,8.44301347063612 56.9507938396196,8.44874863358329 56.9470373780349,8.45303152130495 56.9427414770055,8.4556979103797 56.9380713809317,8.45664588879125 56.9332066646642)))', 'DKFOO', 'Førby Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.67746226596383 55.9327635466335,9.67652309817162 55.9278990367116,9.67391202012039 55.9232308128654,9.66972989271866 55.9189381698686,9.66413777214168 55.9151859217911,9.65735066910813 55.9121180910958,9.64962926980463 55.9098524004454,9.64126993903479 55.9084757748719,9.63259338650719 55.9080410231884,9.62393242338362 55.9085648228618,9.61561926728158 55.9100270836285,9.60797286924598 55.9123717136228,9.60128673548745 55.9155087594763,9.59581769993667 55.9193178404823,9.59177607119337 55.9236527482904,9.58931752989966 55.9283470393763,9.58853709097799 55.9332204093598,9.58946537106124 55.9380856075601,9.59206731685568 55.9427556282798,9.59624345775517 55.9470509031881,9.60183364897629 55.9508062175308,9.60862317352985 55.9538770820342,9.61635097657722 55.9561453121655,9.62471971840376 55.9575235962793,9.63340725655168 55.9579588730644,9.64207910739554 55.9574343851115,9.65040139575866 55.9559703274691,9.65805378029125 55.9536230655611,9.66474184339391 55.9504829534416,9.67020845741335 55.9466708386285,9.67424368240848 55.9423333913418,9.67669281265076 55.9376374417177,9.67746226596383 55.9327635466335)))', 'DKFOV', 'Fovling', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5437940154853 55.3494546010271,10.5427632533184 55.3445969851114,10.5400898015786 55.3399472504577,10.5358768884089 55.3356839783319,10.5302867247784 55.3319708539798,10.5235342236762 55.3289503991189,10.5158787282053 55.3267385209974,10.5076140683643 55.3254200835362,10.4990573250671 55.3250456669035,10.4905367247198 55.3256296368955,10.4823791174618 55.3271495963293,10.4748975063736 55.3295472390064,10.4683790932866 55.3327305744506,10.463074289315 55.3365774403358,10.4591871051927 55.3409401710595,10.4568672886134 55.3456512470046,10.4562045141106 55.3505297112536,10.4572248571116 55.3553881103639,10.4598896997623 55.3600396945086,10.4640971245748 55.3643056008541,10.4696857561337 55.368021743119,10.4764409146964 55.371045140136,10.4841028525879 55.37325943674,10.4923767590101 55.3745794008177,10.5009441453399 55.374954219787,10.5094751648633 55.3743694665993,10.5176413812137 55.3728476576723,10.5251284806537 55.3704473807736,10.5316484258011 55.367261027416,10.5369505723018 55.3634112193758,10.5408313140003 55.3590460701716,10.5431418840038 55.354333467612,10.5437940154853 55.3494546010271)))', 'DKFRA', 'Fraugde', 'Y'),('SRID=4326;MULTIPOLYGON(((9.80304559732254 55.5657193645128,9.8021000625673 55.5608555465233,9.79949886604485 55.5561896813395,9.79534247545896 55.5519009737192,9.78979094782531 55.5481540880423,9.78305772867683 55.5450928429244,9.77540143392513 55.5428347105192,9.76711593249559 55.5414663279233,9.75851910760858 55.541040189271,9.74994072031815 55.541572642382,9.74170982963721 55.5430432648404,9.73414223865655 55.5453956428281,9.72752843521373 55.5485395236893,9.72212247890035 55.5523542618297,9.71813225382191 55.5566934289272,9.71571145919699 55.5613904152466,9.71495364864755 55.5662648107287,9.71588855541089 55.5711293239279,9.71848085674859 55.5757969750705,9.72263143916723 55.5800882875031,9.72818112989305 55.583838200287,9.73491676304814 55.5869024339572,9.74257935521261 55.58916306138,9.75087407873794 55.5905330656143,9.75948164642215 55.5909597056458,9.76807066171529 55.5904265573239,9.776310447585 55.5889541489045,9.78388384672779 55.5865991661025,9.79049948706717 55.5834522581336,9.79590302936313 55.5796345314418,9.79988695702478 55.5752928693289,9.80229852955904 55.5705942613731,9.80304559732254 55.5657193645128)))', 'DKFRC', 'Fredericia', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4038452270984 55.4239388412769,12.4033221388152 55.419056003719,12.4011346707222 55.414325007577,12.3973674260687 55.409927582333,12.3921655647153 55.4060325856423,12.3857291660658 55.402789534478,12.3783055137332 55.4003228844628,12.3701796023811 55.3987272734009,12.36166323002 55.3980639078139,12.3530830881604 55.3983582277969,12.3447682965342 55.3995989373657,12.3370378478951 55.4017384363472,12.3301884313519 55.4046946375495,12.3244830897446 55.4083541012028,12.3201411379906 55.4125763692629,12.3173297257091 55.4171993368166,12.3161573697057 55.4220454581663,12.316669711491 55.426928552675,12.3188476738004 55.4316609514491,12.3226081005526 55.4360607114686,12.3278068698513 55.4399586196305,12.334244373032 55.4432047157168,12.3416731583295 55.4456740805428,12.3498074496341 55.4472716629987,12.3583341731629 55.4479359564356,12.3669250615318 55.4476413795012,12.3752493589479 55.4463992672984,12.3829866254858 55.4442574335391,12.3898391340737 55.4412983208644,12.3955433711384 55.4376358122897,12.3998801899212 55.4334108294206,12.4026832222528 55.4287858904751,12.4038452270984 55.4239388412769)))', 'DKFRI', 'Frihavnen', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8110570500603 54.7010083715378,11.8098932810144 54.6961628978995,11.8071202890732 54.6915419707445,11.8028450920218 54.6873230594804,11.7972322589892 54.6836681435842,11.7904975443923 54.6807175107962,11.7828995882049 54.6785843915799,11.7747300027278 54.6773506321513,11.766302222811 54.6770635686614,11.7579395393906 54.6777342197076,11.7499627642824 54.679336864878,11.7426779868376 54.6818100252293,11.7363648800495 54.6850588092172,11.7312659950435 54.6889585364511,11.7275774489334 54.6933595034763,11.7254413625 54.6980927123222,11.7249403421435 54.7029763453897,11.7260942266839 54.7078227408422,11.7288592359578 54.7124456022422,11.7331295674684 54.7166671657113,11.7387413928224 54.7203250479987,11.7454791110152 54.7232785097581,11.7530836248045 54.7254138898405,11.7612623235548 54.7266489978331,11.7697003850015 54.7269362922777,11.7780729529364 54.7262647194163,11.7860577107141 54.7246601399988,11.7933473536939 54.7221843274407,11.7996614681499 54.7189325770611,11.8047573495511 54.715030020857,11.808439338057 54.7106267929677,11.8105663112231 54.7058922355597,11.8110570500603 54.7010083715378)))', 'DKFRL', 'Frejlev', 'Y'),('SRID=4326;MULTIPOLYGON(((9.4438272851378 55.3668487523975,9.4429307742774 55.3619819559857,9.44038508091914 55.3573082553292,9.43628853804366 55.3530071592123,9.43079890526689 55.3492438106147,9.42412725594615 55.3461626625503,9.41652984922588 55.343881952727,9.40829830182394 55.3424891854269,9.39974843422018 55.3420377903443,9.39120821184433 55.342545083514,9.38300523285334 55.3439916065425,9.37545422950952 55.3463218688291,9.3688450497258 55.3494464650939,9.36343156903725 55.3532454890952,9.35942195139884 55.357573115693,9.35697063044182 55.3622631790908,9.35617232218679 55.3671355367988,9.35705830721559 55.3720029780574,9.35959513698357 55.3766784134336,9.36368582791044 55.3809820700484,9.36917351128744 55.3847484151098,9.37584741053806 55.3878325394195,9.38345092398874 55.3901157521633,9.39169150522818 55.3915101680117,9.40025195845564 55.3919621062931,9.40880270667376 55.3914541682756,9.41701454925923 55.3900059105253,9.42457140454689 55.3876730877387,9.43118253371947 55.3845454950093,9.43659376446746 55.3807434947635,9.44059727537128 55.3764133652474,9.44303956249555 55.3717216533035,9.4438272851378 55.3668487523975)))', 'DKFRO', 'Frorup', 'Y'),('SRID=4326;MULTIPOLYGON(((8.46123570027745 55.7332019349376,8.46045288014658 55.7283287177417,8.4580007758783 55.7236352811628,8.4539741477196 55.7193018971503,8.44852809438762 55.7154949515491,8.44187203849813 55.7123605718647,8.43426165840742 55.7100190377145,8.42598907952102 55.7085601848105,8.41737169940219 55.7080399751159,8.40874006831675 55.7084783615783,8.40042527913933 55.7098585271787,8.392746337172 55.7121275266606,8.3859979810834 55.7151983069603,8.38043941085552 55.7189530308486,8.37628434761636 55.7232475793483,8.37369280416041 55.727917063844,8.37276488482322 55.7327821400518,8.37353686065047 55.7376558846469,8.37597968248344 55.7423509726559,8.38000000324066 55.7466868807148,8.3854436844506 55.750496838716,8.39210166463396 55.7536342605435,8.39971797248067 55.755978403441,8.40799958013913 55.7574390345381,8.41662771549652 55.7579599211571,8.42527019089702 55.7575210072948,8.43359426251484 55.756139190262,8.44127951187942 55.7538676667315,8.44803024007898 55.7507938740309,8.45358688600154 55.7470361080003,8.45773602147962 55.7427389507554,8.46031853616772 55.7380676880688,8.46123570027745 55.7332019349376)))', 'DKFRS', 'Frostrup', 'Y'),('SRID=4326;MULTIPOLYGON(((9.72592039446302 55.452747390797,9.72498718038764 55.4478828558512,9.72240263401731 55.4432152237246,9.71826658060845 55.4389237679665,9.71273829473165 55.4351732594927,9.70603032968041 55.4321076569636,9.69840033347808 55.4298446005797,9.69014116831042 55.4284709169396,9.6815697099028 55.4280393038094,9.67301474907932 55.4285663189584,9.66480444847708 55.4300317482353,9.65725382252194 55.4323793765064,9.65065270801025 55.4355191327196,9.64525467599512 55.4393305289649,9.64126730345731 55.4436672647506,9.6388441761001 55.4483628234965,9.6380789325927 55.4532368500859,9.63900158721278 55.4581020676798,9.64157728415636 55.4627714701483,9.64570754541115 55.4670655144241,9.65123397821059 55.4708190355135,9.65794431137782 55.473887616113,9.66558053636761 55.4761531626374,9.67384884271866 55.4775284693865,9.68243096304219 55.4779605914901,9.69099648333167 55.4774328936921,9.69921563336468 55.4759656940712,9.7067720514689 55.4736154772802,9.71337501904685 55.4704727084506,9.71877068293529 55.466658334136,9.72275182668161 55.4623191082118,9.72516581286044 55.457621926359,9.72592039446302 55.452747390797)))', 'DKFRY', 'Frydenborg', 'Y'),('SRID=4326;MULTIPOLYGON(((9.76193671152414 55.4677344231461,9.76099869624237 55.4628701891749,9.75840890856752 55.4582033446657,9.75426737519309 55.4539131326269,9.74873358092334 55.4501642759542,9.74202029005776 55.4471006696888,9.73438535439251 55.444839877279,9.72612182495813 55.4434686383929,9.71754674428772 55.4430395570178,9.70898904170358 55.4435690938736,9.7007769848157 55.4450369381812,9.69322565552297 55.4473867822718,9.6866249180051 55.4505284701651,9.68122832950305 55.45434143986,9.67724341241826 55.4586793304359,9.67482365906944 55.4633755808624,9.67406257937607 55.4682498092706,9.67499002830993 55.4731147308211,9.6775709662191 55.4777833504804,9.68170671370581 55.48207615499,9.68723866681584 55.4858280267745,9.69395434155199 55.4888946117694,9.70159552319775 55.4911578930417,9.70986820982953 55.492530752016,9.71845396481283 55.4929603380609,9.72702223375559 55.4924301136249,9.73524314041315 55.4909604941651,9.74280025558857 55.4886080576016,9.74940283425502 55.4854633545956,9.7547970388758 55.4816474061722,9.75877570997607 55.4773070267359,9.76118630613253 55.4726091562233,9.76193671152414 55.4677344231461)))', 'DKFSK', 'Fønsskov', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5767106461502 55.2990851642003,11.5755554389807 55.2942377628327,11.5727655777027 55.2896120383613,11.5684487487401 55.2853856435363,11.5627711360576 55.2817208429316,11.5559509907843 55.2787583005629,11.5482502344395 55.2766117004329,11.5399644198303 55.2753634027605,11.531411431372 55.2750612990271,11.5229193502207 55.2757169836569,11.5148139382395 55.2773053107619,11.5074062078618 55.2797653526359,11.5009805420986 55.2830027243502,11.4957838103052 55.2868931876634,11.4920158912142 55.2912873992684,11.48982196585 55.2960166248713,11.4892868803692 55.3008992033265,11.4904318042044 55.3057475154996,11.4932133242556 55.3103751919309,11.4975250239746 55.3146042827026,11.5032015002788 55.3182721128077,11.5100246750449 55.3212375570168,11.5177321655429 55.3233864895479,11.5260273937524 55.3246361950946,11.5345910421215 55.3249385678392,11.543093406617 55.3242819724028,11.5512071598276 55.3226916933356,11.5586200194427 55.320228955513,11.5650468215729 55.3169885542977,11.5702405238637 55.3130951891455,11.574001708799 55.3086986451416,11.576186220569 55.3039680116662,11.5767106461502 55.2990851642003)))', 'DKFUG', 'Fuglebjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((9.06950562406687 56.8159829565441,9.06862234836374 56.8111145979517,9.06602492290637 56.8064342552028,9.06181372230524 56.8021216891797,9.05615095188108 56.7983424770414,9.0492543579461 56.7952416723837,9.04138884049178 56.7929382581945,9.03285629348582 56.7915206016294,9.02398406008561 56.7910430811535,9.01511243778479 56.7915240121781,9.00658170081494 56.792944948586,8.99871912340752 56.7952513861746,8.99182648749346 56.7983548418046,8.98616854207837 56.8021362306849,8.98196284917211 56.8064504154978,8.97937140338892 56.8111317566716,8.9784943501812 56.8160004546503,8.97936605261136 56.8208694439575,8.98195367063938 56.825551576499,8.98615832274583 56.8298668189133,8.99181880056009 56.8336491865856,8.99871770680182 56.8367531455188,9.00658978945458 56.8390592325151,9.01513215505984 56.8404786735076,9.02401596566634 56.8409568183678,9.03289916125294 56.8404752566273,9.04143970565744 56.8390525304244,9.04930883155421 56.8367434164423,9.05620376006534 56.8336368052773,9.06185939316086 56.8298522621224,9.06605852086341 56.8255354045049,9.06864014805262 56.8208522789061,9.06950562406687 56.8159829565441)))', 'DKFUH', 'Fur', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4582674998539 55.7989234852085,12.4577340248469 55.7940410366032,12.4555203556755 55.789311008141,12.4517121147422 55.7849150905514,12.446456045599 55.7810220813621,12.4399543137738 55.7777814186882,12.4324567108256 55.7753174639707,12.4242510652332 55.7737247494918,12.4156522270164 55.7730643692599,12.4069900424455 55.7733616483721,12.3985967697048 55.774605177821,12.3907944052702 55.7767472506239,12.3838823936726 55.7797056828605,12.3781261802409 55.7833669515007,12.3737470375834 55.7875905315314,12.3709135525713 55.7922142695711,12.3697351023768 55.7970605915203,12.3702575770883 55.8019433093135,12.3724615244907 55.8066747678435,12.3762628022314 55.8110730586662,12.3815157268418 55.8149690229512,12.388018611523 55.8182127726972,12.3955214892066 55.8206794764842,12.4037357283847 55.8222741835089,12.4123451707412 55.8229354964151,12.4210183556197 55.8226379481144,12.4294213501359 55.8213929885957,12.4372306777604 55.8192485425574,12.4441458338804 55.8162871552239,12.4499008944441 55.812622799512,12.4542747623596 55.8083964704138,12.4570996537887 55.8037707398307,12.4582674998539 55.7989234852085)))', 'DKFUS', 'Furesø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0224056701972 54.9856429165017,10.0214480019263 54.9807803955491,10.0188597181195 54.9761187081773,10.0147407695824 54.9718368994393,10.0092497587824 54.9680993709035,10.0025977973263 54.9650495850141,9.99504037876539 54.9628045775617,9.98686758116456 54.9614504852481,9.97839297270891 54.9610392564051,9.96994163861993 54.9615866681066,9.96183777780243 54.9630717238425,9.95439233232442 54.9654374542992,9.94789111175533 54.9685930913972,9.94258385756691 54.9724175343456,9.93867466055727 54.9767639778633,9.9363140972521 54.9814655285889,9.93559339053116 54.986341597678,9.9365408268483 54.9912048271261,9.93912057941678 54.9958682857274,9.94323399623388 55.0001526587758,9.94872331698751 55.0038931543105,9.95537768736749 55.0069458581883,9.96294124708778 55.0091932903816,9.97112298314844 55.010548945043,9.97960796656385 55.0109606359871,9.98806953261663 55.0104125157891,9.99618192467606 55.0089256888216,10.0036329018691 55.0065573940524,10.0101358124739 55.003398789955,10.0154406577285 54.999571429019,10.0193437135751 54.9952225607626,10.0216953384254 54.9905194476912,10.0224056701972 54.9856429165017)))', 'DKFYH', 'Fynshav', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5427510522494 55.3104552200423,10.5417215179598 55.3055975583612,10.5390508962697 55.300947755552,10.5348423053883 55.2966843956553,10.5292577894424 55.2929711675092,10.5225120441936 55.2899505970701,10.5148641535086 55.287738596271,10.5066076560442 55.2864200339457,10.4980593203247 55.2860454951852,10.4895470511293 55.2866293505104,10.4813973798691 55.2881492070783,10.4739230058262 55.2905467624888,10.4674108534601 55.2937300294006,10.4621110934846 55.2975768478711,10.4582275424134 55.301939553877,10.4559098074221 55.3066506285512,10.4552474817634 55.3115291149001,10.4562666221415 55.3163875585996,10.4589286554797 55.3210392081759,10.4631317710669 55.3253051984353,10.4687147583413 55.3290214400913,10.4754631542701 55.332044948408,10.4831174714467 55.334259364187,10.4913831928402 55.3355794509352,10.4999421456653 55.3359543914816,10.5084648087825 55.3353697541368,10.5166230683979 55.3338480507997,10.5241029177295 55.3314478650245,10.5306165987561 55.3282615846021,10.5359137080414 55.3244118282551,10.5397908326174 55.3200467072715,10.5420993436852 55.3153341081764,10.5427510522494 55.3104552200423)))', 'DKFYN', 'Fyn, uspeciferet', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((10.385753003215 55.309511451783,10.3847426642935 55.3046523678884,10.3820904173947 55.2999990378149,10.3778986766001 55.2957301820853,10.3723288414022 55.2920097013388,10.3655950467527 55.2889804004211,10.3579559205727 55.286758526499,10.3497046674574 55.2854293271439,10.3411578561744 55.2850437952365,10.332643333457 55.2856167226186,10.3244877165309 55.2871261352807,10.3170039311749 55.2895141312445,10.3104792606242 55.2926890899314,10.3051643533 55.2965291705,10.3012636045061 55.3008869681311,10.2989272795524 55.3055951532634,10.2982456842998 55.3104728809316,10.2992456154234 55.315332727109,10.3018892388286 55.3199878875489,10.3060754532821 55.3242593630725,10.3116437006277 55.3279828542011,10.3183800876523 55.3310150977857,10.3260255917714 55.3332393986649,10.3342860374071 55.3345701397847,10.3428434563129 55.3349560935442,10.3513683868385 55.3343824038785,10.3595326272616 55.3328711608477,10.3670219389534 55.330480545088,10.3735481973453 55.3273025760183,10.3788605122841 55.3234595527839,10.3827548831355 55.3190993281977,10.3850820155741 55.3143896013028,10.385753003215 55.309511451783)))', 'DKGAB', 'Gabet', 'Y'),('SRID=4326;MULTIPOLYGON(((9.87840006951711 56.7326883634328,9.8774143160987 56.72782616719,9.87472244900687 56.7231630638758,9.87042845829433 56.7188781471171,9.86469771277522 56.715135928664,9.85775055148707 56.7120800399264,9.84985379970649 56.7098277396632,9.84131053798738 56.7084654347344,9.83244851385498 56.7080453819702,9.82360763253181 56.7085836945056,9.81512699440323 56.7100597269999,9.80733196225101 56.7124168626966,9.80052174031395 56.7155646730333,9.79495792998724 56.7193823692497,9.7908544937503 56.7237234169092,9.78836951035321 56.7284211401416,9.78759904143056 56.7332951043396,9.78857335406647 56.7381580354627,9.79125565747848 56.7428230122961,9.79554341759646 56.7471106559871,9.80127221415911 56.7508560396355,9.80822200484265 56.7539150499592,9.81612556407154 56.756169952966,9.82467877492058 56.757533945551,9.8335523751984 56.7579545139534,9.84240469731646 56.7574154665367,9.8508948991294 56.7559375605207,9.85869616187023 56.7535776978893,9.86550833275079 56.7504267223565,9.87106951366973 56.7466059045551,9.87516614245381 56.7422622541546,9.87764117672692 56.7375628432681,9.87840006951711 56.7326883634328)))', 'DKGAN', 'Gandrup', 'Y'),('SRID=4326;MULTIPOLYGON(((9.36127535144436 55.7668778502717,9.36037969995173 55.7620107676569,9.35781762547862 55.7573356781186,9.35368810437024 55.7530321428387,9.34815017356268 55.7492653966719,9.34141676709016 55.7461800207377,9.33374651593146 55.7438944125307,9.32543382887445 55.7424962620693,9.31679763251846 55.7420392039762,9.30816919492301 55.7425407708257,9.29987948873334 55.7439817242188,9.29224656524185 55.7463067885599,9.2855634104873 55.7494267601756,9.28008673815376 55.7532219130044,9.2760271420135 55.7575465733618,9.27354098360082 55.7622346919544,9.27272432974001 55.7671062029827,9.27360918098352 55.7719739293201,9.27616214798182 55.7766507706487,9.28028564091921 55.7809568990931,9.28582154059507 55.784726685013,9.29255722219902 55.7878150845145,9.3002337083866 55.790103239792,9.30855564114426 55.7915030730581,9.31720268629751 55.7919606934979,9.3258419241533 55.7914584829249,9.33414073782223 55.7900157777393,9.34177968947978 55.7876881202316,9.34846487535462 55.7845651088618,9.35393927254551 55.7807669324668,9.35799263365244 55.7764397250412,9.36046954636939 55.771749923646,9.36127535144436 55.7668778502717)))', 'DKGBJ', 'Gadbjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9133081863588 54.9399691122551,11.9121242645317 54.9351250209748,11.9093222586486 54.9305069330188,11.9050103068582 54.9262922071757,11.8993543929641 54.9226426604127,11.892571925671 54.9196983725681,11.8849233754794 54.9175723290392,11.8767022918073 54.9163461034163,11.8682240798618 54.91606674225,11.8598139597749 54.9167449687032,11.8517945586065 54.9183547723642,11.8444735984131 54.9208344006986,11.83813214043 54.9240887152656,11.8330138265539 54.9279928247081,11.8293155250952 54.9323968584033,11.8271797388989 54.9371317012463,11.8266890715266 54.9420154729302,11.8278629728444 54.9468605057327,11.8306569012102 54.9514805544632,11.8349639482035 54.9556979618238,11.8406188767332 54.9593505026108,11.8474044281096 54.9622976411729,11.8550596623105 54.9644259581168,11.8632900123385 54.9656535337447,11.8717786622666 54.9659331159797,11.8801988028722 54.9652539480031,11.8882262815601 54.9636421835653,11.8955521465444 54.9611598737117,11.9018945898811 54.9579025651202,11.9070098196646 54.9539956049614,11.9107014371118 54.9495892978535,11.9128279569583 54.9448531050073,11.9133081863588 54.9399691122551)))', 'DKGBS', 'Gåbense', 'Y'),('SRID=4326;MULTIPOLYGON(((11.784234745408 54.8670159472678,11.7830687187183 54.862170351506,11.7802867331464 54.8575490175039,11.7759961571321 54.8533294298083,11.7703621541646 54.8496735930736,11.7636012933773 54.8467218294115,11.755973218333 54.8445874116855,11.7477706954092 54.8433522350708,11.7393084201837 54.8430636894992,11.7309110032872 54.8437328502056,11.7229005853835 54.8453340541456,11.7155845436594 54.8478058782533,11.7092437492063 54.8510534831507,11.7041218159804 54.8549522347735,11.7004157479982 54.8593524682193,11.6982683427564 54.8640852146527,11.6977626466692 54.8689686749299,11.698918684195 54.8738151941751,11.7016925983936 54.8784384711012,11.7059782496181 54.8826607253689,11.7116112241354 54.8863195463632,11.7183751093865 54.8892741576457,11.7260098013635 54.8914108528285,11.7342215263212 54.8926473900135,11.7426941877545 54.8929361721343,11.7511015938242 54.8922660879433,11.7591200831036 54.8906629410773,11.7664410496114 54.8881884503955,11.7727828725039 54.8849378612381,11.7779017812568 54.8810362619961,11.781601232304 54.8766337510957,11.7837394355178 54.8718996440937,11.784234745408 54.8670159472678)))', 'DKGDB', 'Guldborg', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0166526262093 55.2070018511459,15.015811923267 55.2021318383485,15.0133265772742 55.1974491629957,15.0092926022854 55.1931336819412,15.003865357875 55.1893510935557,14.9972535278009 55.1862465918294,14.9897110826703 55.1839393123141,14.9815275381108 55.1825177794432,14.9730168800246 55.1820365263046,14.9645055747397 55.1825140134778,14.9563201132291 55.1839319247193,14.9487745544172 55.1862358657888,14.9421585326224 55.1893374403274,14.9367261783968 55.193117625196,14.9326863707237 55.1974313188466,14.9301946923545 55.202112891817,14.929347400044 55.2069825299466,14.9301776490626 55.2118531298723,14.9326541286478 55.2165374840592,14.9366821745741 55.2208554800668,14.9421073299142 55.2246410366461,14.9487212289546 55.2277485079263,14.9562695861089 55.2300583062681,14.9644619856985 55.2314815237688,14.9729830937221 55.2319633708706,14.9815048529413 55.2314852965683,14.989699180864 55.2300657064907,14.9972506687339 55.2277592504659,15.0038687795884 55.2246547077327,15.0092990648372 55.220871553311,15.0133329604822 55.2165553408361,15.0158157838256 55.2118720832379,15.0166526262093 55.2070018511459)))', 'DKGDM', 'Gudhjem', 'Y'),('SRID=4326;MULTIPOLYGON(((9.89445997493706 55.9326852436509,9.89349364477549 55.927822491058,9.89085654768327 55.9231589644612,9.88665054163564 55.9188737767974,9.88103759631209 55.9151314547676,9.87423351789792 55.9120756391081,9.86649964017131 55.9098235911077,9.8581328034887 55.9084617124535,9.84945400340177 55.9080422466117,9.84079613661563 55.9085812852191,9.83249130282946 55.9100581539684,9.82485813607738 55.9124162009423,9.81818963822337 55.9155649580328,9.81274197027199 55.9193835947559,9.80872462444724 55.9237255351872,9.80629235221378 55.9284240646113,9.80553916161316 55.9332987144019,9.80649462298656 55.9381621830978,9.80912263741484 55.9428275298811,9.81332272967514 55.9471153647084,9.81893383040964 55.9508607578726,9.82574041425758 55.9539196010852,9.8334807660136 55.9561741721396,9.8418570597099 55.9575376852362,9.850546860049 55.9579576480792,9.85921559563456 55.9574178933677,9.86752951208879 55.9559392044297,9.87516859262278 55.9535785102901,9.88183893505405 55.9504266820644,9.88728409756042 55.9466050177892,9.89129496935162 55.9422605543062,9.89371778457682 55.9375603904419,9.89445997493706 55.9326852436509)))', 'DKGDV', 'Gedved', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9719180500425 54.5749528265231,11.9707393614878 54.5701090076643,11.9679573671817 54.5654918037583,11.9636794252347 54.5612785407182,11.9580702051714 54.5576309810999,11.9513453187878 54.5546891306098,11.9437630264744 54.5525658833032,11.9356143388579 54.5513427073747,11.9272118901023 54.5510665336636,11.9188780018499 54.5517479635265,11.9109323846313 54.5533608632277,11.9036799360394 54.5558433601633,11.8973990917817 54.5591002038567,11.8923311669439 54.5630064035268,11.8886710907701 54.5674120058981,11.8865598896976 54.5721478335149,11.8860792114007 54.5770319667313,11.8872481087972 54.5818767232387,11.8900222194792 54.5864958686796,11.8942953855458 54.5907117815601,11.8999036645584 54.5943622959108,11.9066315879895 54.5973069561938,11.9142204330878 54.5994324405883,11.9223781916248 54.6006569403228,11.9307908484699 54.6009333230202,11.9391345278894 54.6002509555074,11.9470880287343 54.5986361142692,11.9543452532006 54.5961509674914,11.9606270384985 54.5928911690653,11.9656919262798 54.5889821596034,11.9693454496666 54.5845743201463,11.9714475798246 54.5798371687253,11.9719180500425 54.5749528265231)))', 'DKGED', 'Gedser', 'Y'),('SRID=4326;MULTIPOLYGON(((10.315728956651 55.2865366531054,10.3147277930923 55.2816769261298,10.3120852885715 55.2770220095545,10.3079034829752 55.2727506853726,10.3023433948413 55.2690269494775,10.2956187859168 55.2659937320325,10.2879879328023 55.2637674307359,10.2797437239018 55.2624334631162,10.2712024588084 55.262043004934,10.2626917722097 55.2626110368601,10.2545381343977 55.2641157724812,10.2470543949022 55.2664994890532,10.2405278343533 55.2696707300588,10.2352091724388 55.2735077972994,10.2313029470686 55.2778634017335,10.2289596322735 55.2825702982659,10.2282698009936 55.2874476918133,10.2292605653117 55.2923081716737,10.2318944429168 55.2969649097835,10.2360707072914 55.3012388468378,10.2416291834995 55.3049655891578,10.2483563551975 55.3080017488791,10.2559935556281 55.3102304803685,10.2642469300666 55.311565996122,10.2727987835488 55.3119568846895,10.2813198693985 55.3113880998775,10.2894821341296 55.3098815427197,10.2969714148416 55.3074952132732,10.3034995873052 55.3043209658422,10.3088156864359 55.3004809563263,10.3127155644865 55.2961229217016,10.3150497137488 55.2914144770373,10.315728956651 55.2865366531054)))', 'DKGEH', 'Gersø Huse', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50656475003709 55.1278267111215,9.50566613116707 55.1229601891352,9.50312849385901 55.1182875966227,9.49904985329407 55.1139884002764,9.49358727507378 55.1102276711102,9.4869507899115 55.1071497629052,9.47939530619155 55.1048727904646,9.47121083357363 55.1034841159749,9.46271139032771 55.1030370130716,9.45422301273984 55.1035486335791,9.44607131571487 55.1049993529406,9.43856906898693 55.1073335188047,9.43200425283714 55.1104615748424,9.42662904091609 55.1142634804276,9.42265012598788 55.1185932980803,9.42022075780259 55.1232847762702,9.41943480190843 55.1281577169068,9.4203230555442 55.133024886088,9.42285197384085 55.1376992046993,9.42692486900679 55.1420009432656,9.43238555012643 55.1457646437436,9.43902427530508 55.1488454999972,9.44658579513849 55.1511249484091,9.45477918102428 55.1525152498484,9.46328905772723 55.1529628829906,9.47178780055972 55.1524506152872,9.47994821660013 55.1509981698249,9.4874562087224 55.1486614617389,9.4940229219622 55.1455304343885,9.49939589385651 55.1417255807557,9.50336877266723 55.1373932871337,9.50578922758932 55.1327001819963,9.50656475003709 55.1278267111215)))', 'DKGEN', 'Genner Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0201573215534 55.7149212963539,12.0189335135584 55.7100792186775,12.0160605636696 55.7054649106244,12.0116493576519 55.7012555819936,12.005869705363 55.69761283759,11.9989437711898 55.6946764907933,11.9911375281222 55.6925592172522,11.9827505650748 55.6913422501172,11.9741046347881 55.6910722784079,11.9655313731487 55.6917596646674,11.9573596491245 55.6933780486019,11.9499030171385 55.6958653516556,11.9434477403553 55.6991261451932,11.9382418340635 55.7030352939221,11.9344855434628 55.7074427381502,11.9323236203894 55.7121792351385,11.9318396999633 55.7170628427617,11.9330530024126 55.7219058994027,11.9359174995742 55.7265222336937,11.9403235925337 55.73073432736,11.9461022498516 55.7343801546454,11.953031458619 55.7373194328295,11.9608447473208 55.7394390399861,11.9692414544091 55.7406573876926,11.9778983436999 55.7409275767493,11.9864821108952 55.7402392115239,11.994662287649 55.7386188013493,12.0021240326865 55.7361287332582,12.0085803044287 55.7328648568383,12.0137829361163 55.7289527767233,12.0175321810803 55.7245429988819,12.0196843601196 55.7198051213241,12.0201573215534 55.7149212963539)))', 'DKGER', 'Gershøj', 'Y'),('SRID=4326;MULTIPOLYGON(((9.24399472880549 55.5169202761665,9.24311936502854 55.5120521247369,9.24058756683375 55.5073743754639,9.23649714045444 55.5030666933844,9.23100561726445 55.4992944745615,9.22432414862131 55.4962025121997,9.21670937410319 55.4939094583358,9.20845357820944 55.4925032899888,9.19987351083571 55.4920379500795,9.19129829311626 55.4925312889038,9.18305686152519 55.4939643830808,9.17546541881515 55.4962822574026,9.1688153601482 55.499395982658,9.16336212664227 55.5031860710546,9.15931540682129 55.5075070420979,9.15683105975833 55.5121929873986,9.15600507306982 55.5170639244944,9.15686979585591 55.5219326988546,9.15939260321451 55.5266121710662,9.16347705768466 55.530922413791,9.16896653706256 55.5346976411314,9.17565020114495 55.5377926018634,9.1832710761203 55.5400881874754,9.1915359487509 55.5414960355122,9.20012668728919 55.5419619473351,9.20871254601043 55.5414679855793,9.21696296844209 55.5400331684616,9.2245603830566 55.5377127334923,9.23121248552458 55.5345959997187,9.23666352358034 55.5308029129528,9.24070414293968 55.5264794101635,9.24317941327048 55.5217917851751,9.24399472880549 55.5169202761665)))', 'DKGES', 'Gesten', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0592799316373 55.8230673808619,12.0587962712856 55.8181838097152,12.0566300035248 55.8134471745618,12.0528649342363 55.8090394225561,12.0476461554362 55.8051298077597,12.0411744084231 55.8018684071218,12.0336983412253 55.799380378564,12.0255049621032 55.7977611779586,12.0169086545719 55.7970729147577,12.0082391692963 55.7973419826974,11.9998290431809 55.7985580539765,11.9920009153142 55.8006744742809,11.9850552128033 55.8036100437525,11.9792586668942 55.8072521172668,11.9748340913718 55.811460907928,11.9719518116515 55.81607483225,11.970723075135 55.8209166956709,11.9711957027058 55.8258004843551,11.9733521595709 55.8305385049821,11.9771101334672 55.834948599472,11.9823256125883 55.8388611571418,11.988798357984 55.8421256530168,11.996279569634 55.8446164579535,12.0044814560831 55.8462376934005,12.0130883386524 55.8469269401193,12.0217688567208 55.8466576546416,12.0301887937388 55.8454401978869,12.0380240169954 55.8433214350961,12.044973019175 55.8403829227497,12.0507685666894 55.8367377539988,12.0551879977528 55.8325261869607,12.0580617701485 55.8279102277993,12.0592799316373 55.8230673808619)))', 'DKGEV', 'Gerlev', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6606453762406 55.2164136407092,10.6596041453832 55.2115569820766,10.6569263396345 55.2069097398028,10.6527153489007 55.202650399194,10.6471333055252 55.1989424947061,10.6403948072238 55.1959283481853,10.6327586577818 55.1937236254983,10.6245179447413 55.1924129167911,10.6159888318 55.1920465064018,10.6074984881732 55.192638453431,10.5993726067601 55.1941660547712,10.5919229769872 55.196570710732,10.5854355764165 55.1997601610287,10.5801596276021 55.2036120076222,10.5762980336099 55.2079783924612,10.5739995577385 55.2126916542973,10.5733530513741 55.2175707510259,10.5743839601381 55.2224282039151,10.5770532546175 55.2270772988687,10.5812588406691 55.2313392685272,10.5868394087645 55.2350501781864,10.5935805857884 55.23806724849,10.6012231601463 55.2402743684517,10.6094730661618 55.2415865829616,10.6180127405888 55.2419533784364,10.626513406319 55.2413606371497,10.6346477990047 55.2398311831275,10.6421028334543 55.2374238981149,10.648591709294 55.2342314426463,10.6538649793759 55.2303766722711,10.6577201484489 55.2260078901595,10.6600094313509 55.2212931225227,10.6606453762406 55.2164136407092)))', 'DKGIL', 'Gislev', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5771931774616 55.7320803817446,11.5760235004637 55.7272334224839,11.5732012019211 55.722608310947,11.5688352278584 55.7183826745888,11.5630936588929 55.7147187463777,11.5561972057553 55.7117571540018,11.5484107177284 55.7096115422368,11.5400330317514 55.708364231095,11.5313855481277 55.7080630727538,11.5227999627724 55.7087196249582,11.5146056147894 55.7103087092279,11.5071169213025 55.7127693704899,11.5006213686079 55.7160072024645,11.4953685099136 55.7198979520229,11.4915603855225 55.7242922675815,11.4893437319796 55.7290214130841,11.4888042835518 55.7339037318651,11.4899633940127 55.7387516151257,11.4927771212134 55.7433787091446,11.4971378240377 55.7476070846525,11.5028782243681 55.7512740916708,11.5097777893904 55.754238633791,11.517571196068 55.7563866171652,11.5259585541603 55.7576353607248,11.5346169908706 55.7579367942191,11.5432131427733 55.7572793180136,11.5514160621009 55.7556882512597,11.5589100268196 55.7532248508459,11.5654067481375 55.7499839400635,11.5706564949368 55.7460902407621,11.5744577006745 55.7416935535966,11.5766646821085 55.7369629756783,11.5771931774616 55.7320803817446)))', 'DKGIS', 'Gislinge', 'Y'),('SRID=4326;MULTIPOLYGON(((9.76281082933567 57.0687295145311,9.76183085253648 57.0638666525551,9.75912876371305 57.0592013321018,9.75480895931634 57.0549127313678,9.74903781031721 57.0511655021571,9.74203721361839 57.0481034662673,9.73407604742093 57.045844116193,9.72545986146088 57.0444741272745,9.71651919476264 57.0440460496197,9.70759696075026 57.0445763034738,9.69903537123189 57.0460445528313,9.69116288632583 57.0483944806621,9.68428167655386 57.0515359369089,9.6786560660962 57.0553483791639,9.67450239288439 57.0596854773936,9.67198067242953 57.0643807099475,9.67118838907432 57.0692537399556,9.67215666222805 57.0741173305686,9.67484894816696 57.0787845355896,9.67916234283932 57.0830758899143,9.68493145109803 57.0868263225301,9.69193468672751 57.0898915239501,9.69990276977625 57.0921535197562,9.70852909748133 57.0935252318188,9.7174815868283 57.0939538476965,9.72641552449907 57.0934228652043,9.73498691690682 57.0919527312766,9.74286581153112 57.0896000498527,9.74974906203005 57.0864553901998,9.75537203354411 57.0826397824158,9.7595187898998 57.0783000384569,9.76203036861572 57.0736030827613,9.76281082933567 57.0687295145311)))', 'DKGJL', 'Gjøl', 'Y'),('SRID=4326;MULTIPOLYGON(((9.71693381720428 55.464750582324,9.71600141241658 55.4598859861213,9.71341712842422 55.4552181726283,9.70928078089204 55.4509264223735,9.70375165610707 55.4471755175596,9.69704233987427 55.4441094320127,9.68941053223279 55.4418458244048,9.68114916487601 55.4404715424155,9.67257519787367 55.440039306707,9.66401751803289 55.440565698895,9.65580439198772 55.4420305287198,9.64825094225325 55.4443776040749,9.64164711372804 55.4475168751862,9.63624658148898 55.4513278728511,9.63225701850639 55.455664311986,9.62983209476439 55.4603596875128,9.62906551824986 55.4652336514543,9.62998735488832 55.4700989294583,9.63256278080499 55.474768513122,9.63669332889586 55.4790628524246,9.64222059578736 55.482816771005,9.64893227852438 55.4858858362185,9.65657031679127 55.4881519357657,9.66484083033929 55.4895278425914,9.6734254666729 55.4899605886663,9.68199371467363 55.489433514676,9.69021569879853 55.4879669146783,9.6977749479693 55.4856172502733,9.70438063437687 55.4824749653948,9.709778800101 55.4786609880643,9.71376213245414 55.4743220569923,9.71617791000991 55.4696250566311,9.71693381720428 55.464750582324)))', 'DKGLA', 'Gammel Ålbo', 'Y'),('SRID=4326;MULTIPOLYGON(((9.99385855515136 55.3996514600831,9.99289377632049 55.3947890672024,9.99028126621814 55.3901271788094,9.98612191967123 55.3858448463121,9.9805759003488 55.3821064892652,9.97385643692249 55.3790555993661,9.96622161404654 55.3768092521936,9.95796447580619 55.3754536336448,9.94940181864797 55.3750407491106,9.94086209619466 55.3755864386368,9.93267288876223 55.3770697722771,9.92514840521627 55.379433848258,9.91857748374699 55.3825879642148,9.91321254121606 55.3864110803968,9.90925988825426 55.3907564451504,9.90687177992103 55.395457208867,9.90614051053272 55.4003328145486,9.90709478775064 55.4051959226631,9.90969853725406 55.4098596062903,9.91385219793701 55.4141445407145,9.91939647175281 55.4178859102617,9.92611839576978 55.4209397646087,9.93375951073338 55.4231885768664,9.94202581464584 55.4245457858501,9.95059911566904 55.4249591440393,9.95914933974584 55.4244127392783,9.96734730778101 55.4229276104017,9.97487747718577 55.4205609324918,9.98145014415058 55.417403804034,9.9868126260803 55.413577723405,9.99075898695066 55.4092298935684,9.99313792961694 55.404527539419,9.99385855515136 55.3996514600831)))', 'DKGLD', 'Gelsted', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3536362930282 56.123964851376,12.3531128294947 56.1190822707295,12.35089461879 56.1143505296466,12.3470674704562 56.10995138429,12.3417788646833 56.1060537550096,12.3352322233055 56.1028072555979,12.3276790646795 56.1003364695618,12.3194093480736 56.0987361894442,12.3107403770427 56.0980677980505,12.3020046811681 56.0983569270081,12.2935373304021 56.0995924799964,12.2856631553979 56.1017270569377,12.2786843502698 56.1046787631848,12.2728689211995 56.1083343360485,12.2684404154173 56.1125534716368,12.2655693209308 56.1171741896323,12.26436646888 56.1220190339471,12.2648786989657 56.1269018746427,12.2670869659351 56.1316350524141,12.2709069740882 56.1360365923764,12.2761923302633 56.139937209623,12.2827401073503 56.1431868354711,12.2902986140939 56.1456604104419,12.2985770770249 56.1472627174023,12.307256861039 56.1479320649777,12.3160037903739 56.1476426759705,12.3244810848821 56.1464056862916,12.3323624000643 56.1442687147423,12.3393444547794 56.1413140205276,12.3451587481279 56.137655321228,12.3495819057856 56.133433396707,12.3524442539498 56.1288106518712,12.3536362930282 56.123964851376)))', 'DKGLE', 'Gilleleje', 'Y'),('SRID=4326;MULTIPOLYGON(((8.87703184292129 55.5500520871951,8.87620108733933 55.5451813972459,8.87371073895346 55.5404961445837,8.86965701667335 55.5361762847304,8.86419604878572 55.5323876830572,8.85753782058638 55.5292757626647,8.84993808618832 55.5269599418205,8.84168855808918 55.5255290707766,8.83310574872153 55.5250380393885,8.82451888490512 55.5255056825597,8.81625734783979 55.5269140617613,8.80863810738212 55.5292091494329,8.80195361953654 55.5323028907128,8.79646064035793 55.5360765654617,8.79237037810807 55.5403853246906,8.7898403591617 55.5450637309883,8.78896832284327 55.5499320939882,8.78978838757651 55.5548033607866,8.79226964745994 55.5594902988119,8.796317267225 55.5638126959617,8.80177604763851 55.5676043005846,8.80843633643017 55.5707192324085,8.81604206578287 55.5730376147024,8.82430061052249 55.5744702072563,8.83289408551374 55.5749618581299,8.84149164018995 55.5744936381087,8.84976226576241 55.5730835735418,8.85738760873069 55.5707859485716,8.8640742840394 55.5676892043411,8.86956520261461 55.5639125181617,8.87364946990514 55.5596011974853,8.87617047221547 55.5549210696797,8.87703184292129 55.5500520871951)))', 'DKGLJ', 'Glejbjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4805988146481 55.1941206415071,11.4794586970258 55.1892721132136,11.4766876336117 55.1846439416075,11.47239258664 55.1804138744473,11.4667389029152 55.1767443183611,11.4599439156183 55.1737761208636,11.4522685825602 55.1716231837373,11.444007483643 55.1703681108223,11.4354775579457 55.1700590536867,11.4270060045067 55.170707873355,11.4189177995571 55.1722896869013,11.4115232960831 55.1747438159669,11.4051063689009 55.1779761019212,11.3999135499352 55.1818625012152,11.3961445644629 55.1862538262611,11.393944630393 55.1909814535965,11.3933988203106 55.1958637837761,11.3945287116017 55.2007132078211,11.3972914656049 55.2053433143987,11.4015813851181 55.2095760611692,11.4072339039472 55.2132486335584,11.4140318662584 55.2162197248469,11.4217138613238 55.2183749926986,11.4299842950118 55.2196314784411,11.4385248071079 55.2199408154156,11.4470065868879 55.2192910999946,11.455103101251 55.2177073514746,11.4625027321774 55.2152505427967,11.4689208242442 55.2120152405389,11.4741106681859 55.2081259474551,11.4778729916482 55.2037322916861,11.4800635909534 55.1990032515251,11.4805988146481 55.1941206415071)))', 'DKGLN', 'Glænø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.53295208749573 56.3538148851532,9.53202056166353 56.3489495955817,9.52939801830808 56.3442786544842,9.52518577494583 56.3399814603286,9.51954605713053 56.3362230002811,9.51269571096734 56.3331475329253,9.50489785256151 56.3308730713909,9.49645177786552 56.3294868748175,9.48768151741091 56.3290421173746,9.47892346716766 56.3295558594665,9.47051355826308 56.3310083968703,9.46277444389961 56.3333440121017,9.45600318125004 56.3364731000168,9.45045986938612 56.3402755883246,9.44635767171439 56.3446055250338,9.44385460358567 56.3492966606157,9.4430474037431 56.3541688144156,9.44396773358431 56.359034784079,9.44658086288847 56.3637075347351,9.45078690734209 56.3680073924272,9.45642458512026 56.3717689644905,9.46327736069761 56.3748475185655,9.47108174811523 56.377124571597,9.47953745743877 56.3785124699132,9.48831899135082 56.378957780269,9.49708823759702 56.3784433580842,9.50550756055752 56.3769890111195,9.5132528738242 56.3746507323494,9.52002617649862 56.3715185324175,9.52556705893642 56.3677129573917,9.52966272759173 56.3633804291876,9.53215616109831 56.3586875918652,9.53295208749573 56.3538148851532)))', 'DKGLP', 'Glenstrup Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7437597832585 55.349024819834,11.7425825731648 55.3441792773798,11.7397696767159 55.3395576583999,11.7354296647595 55.3353374567162,11.7297296098912 55.3316806980334,11.7228886222757 55.3287277368678,11.7151694203784 55.3265918890563,11.7068682618471 55.3253551021269,11.6983036173537 55.3250648261272,11.6898040137134 55.3257322021287,11.6816955010701 55.3273316362151,11.6742892118031 55.3298017750011,11.667869475806 55.3330478464116,11.6626829379518 55.3369452783364,11.658929089238 55.3413444596382,11.6567525739925 55.3460764645281,11.6562375727268 55.3509595241376,11.6574044853397 55.3558059996602,11.6602090545313 55.3604295909504,11.6645439772028 55.3646525039205,11.6702429555574 55.3683123000973,11.6770870433224 55.3712681625336,11.6848130500647 55.3734063337004,11.6931236821612 55.3746445123591,11.7016990266743 55.3749350365837,11.7102089278052 55.3742667275125,11.7183257677082 55.3726653211136,11.7257371462538 55.3701924710393,11.7321579587533 55.3669433621344,11.7373413964482 55.36304302894,11.7410884403144 55.3586415242852,11.743255482001 55.3539081276679,11.7437597832585 55.349024819834)))', 'DKGLU', 'Glumso', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2769784030694 55.5321902438016,11.2758522896109 55.5273399322572,11.273080109822 55.5227073760262,11.268768881716 55.5184704912065,11.2630845840776 55.5147919452594,11.2562457324444 55.5118129291815,11.2485149710342 55.5096477579888,11.2401890052924 55.5083795030097,11.2315872579867 55.5080568199932,11.2230396759252 55.5086920918263,11.2148741434602 55.5102609553415,11.2074039723597 55.5127032299936,11.2009159351312 55.5159252138679,11.1956592904909 55.5198032613065,11.1918362157224 55.5241885081962,11.1895940118509 55.5289125673195,11.1890193849574 55.5337939787613,11.1901350321508 55.5386451706303,11.1928986758192 55.5432796645415,11.1972045974958 55.5475192494033,11.2028876262528 55.551200846698,11.2097294397311 55.5541828008889,11.2174669428008 55.5563503496587,11.2258024036605 55.5576200597141,11.2344149539958 55.5579430537834,11.2429730023327 55.5573069016245,11.2511470709211 55.5557361004269,11.2586225484449 55.5532911257306,11.2651118545431 55.5500660905084,11.2703655373281 55.5461851049579,11.2741818704343 55.5417974804932,11.2764145791939 55.5370719662957,11.2769784030694 55.5321902438016)))', 'DKGLV', 'Gorlev', 'Y'),('SRID=4326;MULTIPOLYGON(((8.91743422487048 56.7570383547352,8.91657201209531 56.7521688866834,8.91399757289842 56.7474853487082,8.90981039842843 56.7431676256773,8.90417177228158 56.7393814939182,8.89729851596139 56.736272273574,8.8894546366428 56.73395927122,8.88094120116639 56.7325312221776,8.87208482236785 56.7320429035538,8.86322519166497 56.73251304467,8.85470212426404 56.7339236128414,8.84684259978781 56.7362205011174,8.83994828127654 56.739315592345,8.83428397936907 56.7430901225393,8.83006749632253 56.747399217777,8.82746123699119 56.7520774343748,8.82656591196651 56.7569450935855,8.82741658326101 56.7618151709092,8.82998121722809 56.7665004776596,8.83416181547535 56.7708208596892,8.83979809557795 56.7746101358629,8.8466735931991 56.7777225073291,8.85452395994888 56.7800381877825,8.86304714133526 56.7814680341847,8.871915040795 56.7819569957967,8.88078621299133 56.7814862454076,8.88931908562744 56.7800739084587,8.89718518632124 56.7777743611815,8.90408185086408 56.7746761255384,8.90974391145782 56.770898444223,8.9139539070678 56.7665866708883,8.91655042049432 56.7619066569331,8.91743422487048 56.7570383547352)))', 'DKGLY', 'Glyngøre', 'Y'),('SRID=4326;MULTIPOLYGON(((9.97667483775739 55.2326582692922,9.97571644390506 55.2277955855871,9.97311712595677 55.2231331544082,9.96897726682756 55.2188500487498,9.96345627826406 55.2151107188591,9.95676642635919 55.2120586949033,9.94916465962143 55.2098110970651,9.94094275580818 55.2084541601109,9.93241616291184 55.208039940565,9.92391195494712 55.2085843298353,9.9157563535264 55.2100664475836,9.90826228100496 55.2124294380391,9.90171740994404 55.215582639575,9.89637315678789 55.2194050464981,9.8924350353007 55.2237499333867,9.89005473811817 55.2284504681863,9.88932425379319 55.2333261022247,9.89027225348225 55.2381894948183,9.89286289798516 55.2428537084732,9.8969971248395 55.2471393988299,9.90251637976254 55.2508817221447,9.90920866059474 55.2539366925288,9.91681664904772 55.2561867412324,9.92504762016513 55.2575452603665,9.93358474553863 55.2579599525339,9.94209934767696 55.2574148543741,9.9502636225468 55.2559309541476,9.95776332733806 55.2535653789919,9.96430993202855 55.2504091840311,9.96965175624702 55.2465838306807,9.97358365601526 55.2422364929289,9.97595488589868 55.2375343759513,9.97667483775739 55.2326582692922)))', 'DKGNN', 'Grønninghoved', 'Y'),('SRID=4326;MULTIPOLYGON(((9.63533988084535 54.9207811872126,9.63443050486547 54.915915481059,9.63189116399585 54.9112454195557,9.62781993100519 54.9069503721082,9.62237358036986 54.9031952508909,9.61576151513232 54.9001241953051,9.6082377041943 54.8978550583004,9.60009094218021 54.8964749025723,9.59163380313967 54.8960366758915,9.58319070469772 54.8965571901375,9.57508552978939 54.8980164796159,9.56762926820253 54.9003585626569,9.56110813950276 54.9034935780838,9.55577264253631 54.9073012166981,9.55182794491406 54.9116353192151,9.54942597932892 54.9163294678169,9.54865955329835 54.9212033602803,9.54955870646812 54.9260697249562,9.55208946700198 54.9307415129986,9.55615506840874 54.9350390921524,9.56159959357063 54.9387971648143,9.56821391735924 54.9418711422526,9.5757437270311 54.9441427266918,9.58389931470977 54.9455244828364,9.59236676271721 54.9459632192661,9.60082008397936 54.9454420464969,9.60893383922729 54.9439810304774,9.61639573239341 54.941636415728,9.6229186865562 54.9384984488557,9.62825192496149 54.9346878883899,9.63219062384607 54.9303513384405,9.63458376377126 54.9256555894242,9.63533988084535 54.9207811872126)))', 'DKGRA', 'Gråsten', 'Y'),('SRID=4326;MULTIPOLYGON(((10.9720005694845 56.415292676591,10.970884250215 56.4104401424111,10.9680822320922 56.4058015236362,10.963702712105 56.4015549675751,10.957914317001 56.3978635093848,10.9509395739423 56.3948688307157,10.943046346578 56.3926858421854,10.9345375674484 56.3913982937402,10.9257396572691 56.3910555776094,10.9169900668933 56.3916708434724,10.9086244076565 56.3932204962638,10.9009636497789 56.3956450954433,10.8943018662849 56.3988516223,10.8888949815104 56.402717030727,10.8849509490417 56.4070929486266,10.8826217345202 56.4118113533952,10.8819974152391 56.4166910073892,10.8831026323987 56.4215444093452,10.8858955454121 56.4261849966752,10.8902693434599 56.430434322376,10.8960562709094 56.4341289296387,10.9030340240384 56.4371266573953,10.9109342809443 56.439312130832,10.9194530389035 56.4406012216975,10.9282623580129 56.4409443029425,10.93702305051 56.4403281693022,10.9453978148597 56.4387765479533,10.9530642946701 56.4363491791319,10.9597275458059 56.4331395032021,10.9651314204987 56.4292710456888,10.9690684234223 56.4248926428852,10.9713876591206 56.4201726956985,10.9720005694845 56.415292676591)))', 'DKGRE', 'Grenaa', 'Y'),('SRID=4326;MULTIPOLYGON(((8.84395703901251 55.4830639055862,8.84313176035062 55.4781929414587,8.8406495488419 55.4735069705564,8.83660630893813 55.4691859764482,8.83115776524605 55.4653958685938,8.82451342580033 55.4622821284526,8.81692851218209 55.4599642446068,8.80869416936744 55.4585311468184,8.80012632877832 55.4580378105579,8.79155364467542 55.4585031591522,8.78330495574711 55.4599093419296,8.77569673986932 55.462202415293,8.76902103023479 55.4652944012906,8.76353424537352 55.4690666467603,8.75944735430702 55.4733743572556,8.75691775182899 55.4780521354363,8.75604315870615 55.4829203150295,8.75685778892886 55.4877918503304,8.75933094302352 55.4924794987711,8.76336809544653 55.496803021393,8.76881444835586 55.5005961237938,8.77546082724601 55.5037128686217,8.78305170005131 55.506033309858,8.79129501456447 55.5074681284007,8.79987347350282 55.5079620868096,8.8084568060559 55.5074961670411,8.81671455240294 55.5060883067232,8.82432885575711 55.5037927048439,8.83100675616351 55.5006977242989,8.83649150156935 55.4969224741434,8.8405724334441 55.4926122062597,8.84309306422801 55.487932707327,8.84395703901251 55.4830639055862)))', 'DKGRG', 'Gording', 'Y'),('SRID=4326;MULTIPOLYGON(((8.84095369322841 55.4800649808061,8.84012884694089 55.4751939943068,8.83764717949878 55.4705079605643,8.8336045743854 55.4661868655917,8.82815673180261 55.4623966227535,8.82151313288313 55.45928271872,8.81392897083657 55.4569646483866,8.80569536187509 55.4555313486861,8.79712820935165 55.455037802841,8.78855614121144 55.4555029422145,8.78030797257295 55.4569089241499,8.77270016137823 55.459201812739,8.76602472527902 55.4622936371022,8.76053807225274 55.4660657502652,8.75645116616841 55.4703733628511,8.75392140227842 55.4750510812778,8.75304650741968 55.4799192415764,8.75386070705116 55.4847907988011,8.75633331814491 55.4894785095669,8.76036983596354 55.4938021325496,8.76581548704159 55.4975953695187,8.7724611238854 55.5007122779745,8.78005124303227 55.5030329056257,8.78829382135651 55.5044679262103,8.79687159000006 55.5049620945165,8.8054543048073 55.5044963844167,8.81371152979882 55.5030887254559,8.82132542828391 55.5007933088545,8.82800305587699 55.4976984903596,8.83348767096793 55.4939233727751,8.83756861994728 55.4896132028736,8.84008941447889 55.4849337635649,8.84095369322841 55.4800649808061)))', 'DKGRK', 'Gørding Kirke', 'Y'),('SRID=4326;MULTIPOLYGON(((12.244356494671 55.8840014865825,12.2438490679071 55.8791184481769,12.2416570167826 55.8743848571592,12.2378651381997 55.8699825422878,12.23261955277 55.8660805474897,12.2261220286902 55.862828656097,12.2186222002231 55.8603516603335,12.2104079839641 55.8587445923869,12.2017945596841 55.8580690962732,12.1931123323089 55.8583510763043,12.1846943264002 55.8595797098908,12.176863483666 55.8617078613658,12.1699203371959 55.8646538812384,12.1641315232586 55.8683047235688,12.1597195628598 55.8725202647474,12.1568543014243 55.877138661574,12.1556463368676 55.8819825467977,12.1561426953639 55.8868658276788,12.1583249321856 55.8916008289926,12.1621097445677 55.8960055072763,12.1673520876641 55.8999104587953,12.1738506868964 55.9031654500839,12.181355744322 55.9056452169871,12.1895785472855 55.9072543054359,12.1982026087676 55.9079307638105,12.2068959044226 55.9076485413035,12.2153237246409 55.9064184974189,12.2231616335733 55.9042879825293,12.2301080223663 55.9013390059345,12.2358957611391 55.8976850637086,12.2403024925726 55.8934667513923,12.2431591673061 55.8888463340659,12.244356494671 55.8840014865825)))', 'DKGRL', 'Gørløse', 'Y'),('SRID=4326;MULTIPOLYGON(((9.37673506452497 55.2828729139309,9.37584870578378 55.2780055446557,9.37331631171455 55.273330364323,9.36923570240675 55.269026939294,9.3637640246426 55.2652605027707,9.35711166263087 55.2621756270576,9.34953413640537 55.2598906935422,9.34132230169658 55.2584933689895,9.33279122490741 55.2580372581099,9.32426815275309 55.2585398577796,9.31608002714153 55.2599818893805,9.30854101134209 55.2623080342031,9.30194049312117 55.2654290444762,9.2965320143159 55.2692251511418,9.29252354458201 55.273550640741,9.29006947043185 55.2782394294302,9.28926461021417 55.2831114238206,9.29014049288207 55.2879794274975,9.29266405528086 55.292656330008,9.2967388218619 55.2969623028056,9.3022085353462 55.300731724814,9.3088631105711 55.3038195692158,9.31644669056347 55.3061070026673,9.32466749796259 55.3075059778105,9.33320910035379 55.3079626386471,9.34174264859199 55.3074594045748,9.34993960587819 55.3060156507938,9.35748446439972 55.3036869582005,9.3640869468897 55.3005629624415,9.3694932124712 55.2967638870882,9.37349562843403 55.292435897555,9.37594072989853 55.2877454582773,9.37673506452497 55.2828729139309)))', 'DKGRM', 'Gram', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1622514996418 54.887018724071,12.1617626109633 54.8821348918267,12.1596308168371 54.8773998653237,12.15593856574 54.8729955321673,12.1508281269058 54.8690910192939,12.1444960656517 54.8658362131877,12.1371856631963 54.8633560244326,12.1291775762067 54.8617456132715,12.1207790936516 54.8610667557384,12.1123123973673 54.8613454865157,12.1041022669326 54.8625711065466,12.0964636883002 54.8646965923139,12.0896898287904 54.8676403913392,12.084040828479 54.8712895366529,12.0797338299601 54.8755039635066,12.0769346255312 54.8801218661565,12.075751243974 54.8849658927803,12.0762297296943 54.8898499439909,12.0783522869251 54.8945863162824,12.082037873422 54.898992917166,12.0871452345764 54.9029002744647,12.0934782736223 54.9061580686568,12.1007935604832 54.9086409342491,12.1088096948869 54.9102533034743,12.1172181627185 54.9109331022002,12.1256952619719 54.9106541524563,12.133914629308 54.909427186635,12.1415598725385 54.9072994331383,12.1483368097188 54.9043527896865,12.1539848322277 54.9007006562874,12.158286946335 54.8964835525983,12.1610781033519 54.8918636918866,12.1622514996418 54.887018724071)))', 'DKGRO', 'Grønsund', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3275706190467 56.0679736257257,12.3270509951488 56.0630909346411,12.3248389971519 56.0583587497298,12.321020194128 56.053958844567,12.31574174459 56.0500601691199,12.3092066799963 56.0468123778017,12.3016660746418 56.044340104119,12.2934094069856 56.0427381980182,12.2847534812593 56.0420681048709,12.27603032807 56.0423555216169,12.2675745375641 56.0435894174966,12.2597104978617 56.0457224557594,12.2527400145615 56.048672800471,12.2469307741285 56.0523272408483,12.2425060851485 56.0565455161667,12.2396362873504 56.0611656789332,12.2384321599027 56.066010294315,12.2389405891641 56.0708932412555,12.241142673734 56.0756268566046,12.2449543537683 56.0800291490167,12.2502295551653 56.0839308050879,12.2567657409688 56.0871817166323,12.2643116661928 56.089656775117,12.2725770424775 56.0912607066343,12.2812437397812 56.0919317574608,12.2899780876195 56.0916440848585,12.2984437915592 56.0904087585388,12.3063149542486 56.0882733330244,12.3132886856791 56.0853200076874,12.3190968048898 56.0816624470845,12.3235161739936 56.0774413869661,12.3263772631658 56.0728191987855,12.3275706190467 56.0679736257257)))', 'DKGRS', 'Græsted', 'Y'),('SRID=4326;MULTIPOLYGON(((8.55032449304002 56.6671718968539,8.54951167693679 56.6622999370282,8.54698892870594 56.65760887283,8.54285375457107 56.6532788810406,8.53726544478316 56.649476211561,8.5304388949197 56.6463468212519,8.52263632648873 56.6440107919019,8.51415722814213 56.642557742738,8.50532690123294 56.64204340965,8.49648404157763 56.6424875190718,8.4879678220801 56.643873035839,8.48010495770876 56.6461468130288,8.47319723489328 56.649221619539,8.46750997171481 56.6529794697259,8.46326184358868 56.6572761305678,8.4606164620895 56.6619466372304,8.45967603314433 56.6668116092099,8.46047734648715 56.671684127885,8.46299026303916 56.6763769136194,8.4671187733595 56.6807095275438,8.47270460170361 56.6845153205616,8.479533230274 56.687647860282,8.48734212110111 56.6899865854466,8.49583082300678 56.6914414664148,8.50467257258213 56.6919564884207,8.5135269350106 56.6915118201485,8.52205298619261 56.6901245818429,8.52992251437367 56.6878481825156,8.53683271862053 56.6847702524661,8.54251790307932 56.6810092528689,8.54675970880369 56.6767098962147,8.54939548674859 56.6720375577501,8.55032449304002 56.6671718968539)))', 'DKGRU', 'Graugård', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2770188339515 55.583986183384,12.2765100036653 55.5791030655576,12.2743295719214 55.5743699829581,12.2705618783357 55.5699687455593,12.2653521060761 55.5660683572822,12.2589006429792 55.5628185415552,12.2514553536939 55.5603440128241,12.2433020638749 55.5587397103109,12.2347536206225 55.5580671731719,12.2261379427836 55.5583521927796,12.2177855092863 55.5595838297496,12.2100167526824 55.56171483225,12.2031298281763 55.5646634398323,12.1973892155791 55.5683165052821,12.1930155831092 55.5725338175674,12.1901772983374 55.5771534635803,12.1889839137973 55.5819980266437,12.1894818842421 55.5868813871894,12.1916526911345 55.5916158669125,12.1954134601536 55.5960194431403,12.2006200623347 55.5999227558866,12.2070725924589 55.6031756364995,12.2145230234347 55.6056529039318,12.2226847468331 55.6072592020188,12.2312436316171 55.6079326877958,12.2398701693091 55.6076474254683,12.2482322276644 55.6064143913727,12.2560079088323 55.6042810500411,12.2628980034069 55.6013295179883,12.2686375489651 55.5976733876532,12.273006039738 55.5934533366686,12.2758358909329 55.588831695084,12.2770188339515 55.583986183384)))', 'DKGRV', 'Greve', 'Y'),('SRID=4326;MULTIPOLYGON(((9.60200389012843 55.5267916879006,9.6010841271769 55.5219262395228,9.59850930289934 55.5172560284164,9.59437887284183 55.5129604277134,9.58885189930016 55.509204367703,9.58214088830483 55.5061320200717,9.57450360696376 55.5038612835618,9.56623319801125 55.5024792789939,9.55764696831603 55.502039022871,9.54907427401633 55.5025574041209,9.54084395586438 55.5040145395969,9.53327179365413 55.5063545324151,9.52664844798133 55.5094876048613,9.52122834105279 55.513293526192,9.51721989613106 55.5176262069808,9.51477750811927 55.522319287399,9.51399555680034 55.527192508604,9.51490470085825 55.5320586256967,9.5174706070701 55.5367305987746,9.52159517758355 55.5410287864618,9.52712024216638 55.5447878646248,9.53383358541217 55.5478632020906,9.54147708515136 55.5501364449419,9.54975665195582 55.5515200907896,9.55835358475578 55.5519608732604,9.56693689795993 55.5514418232945,9.57517613418174 55.549982925845,9.58275415593109 55.5476403460404,9.58937941055156 55.5445042554409,9.59479718521882 55.5406953442765,9.59879941173827 55.5363601571486,9.60123264190308 55.5316654354526,9.60200389012843 55.5267916879006)))', 'DKGSO', 'Gudsø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0457224737044 56.9996263724932,10.0447075259339 56.9947658170396,10.0419752182486 56.9901066751554,10.0376311019348 56.9858278861083,10.0318424748491 56.9820937239044,10.0248318983371 56.9790475083046,10.0168686281629 56.9768061248022,10.0082582911392 56.9754555599515,9.99933120049021 56.9750476195068,9.99042974979536 56.9755979520782,9.98189535666627 56.9770854520585,9.97405544251184 56.9794530641199,9.96721093357319 56.982609959356,9.96162475087359 56.9864350019325,9.95751172313463 56.9907813766348,9.9550303076928 56.9954822036659,9.95427644104941 57.0003569290592,9.95527976442357 57.0052182485814,9.95800238263734 57.0098793012934,9.96234021953769 57.0141608570219,9.96812693325315 57.0178982205593,9.97514025373436 57.0209475847706,9.98311050747543 57.0231915848149,9.99173100447995 57.0245438357925,10.0006698847574 57.0249522752509,10.0095829598613 57.0244011786099,10.0181270424664 57.0229117677992,10.025973236028 57.020541389054,10.0328196583234 57.0173812924837,10.0384030970411 57.0135531012968,10.0425091412087 57.0092041100552,10.044980396676 57.0045015968996,10.0457224737044 56.9996263724932)))', 'DKGSP', 'Gistrup', 'Y'),('SRID=4326;MULTIPOLYGON(((5.36185263005022 56.2991524018262,5.36069072777645 56.2943037233201,5.3578505786753 56.2896741982257,5.35344183571945 56.2854416225432,5.34763423845205 56.2817684934012,5.34065104243261 56.2787957884947,5.33276042876391 56.2766375755464,5.32426522541607 56.2753766548257,5.31549133115334 56.2750613982276,5.30677527759036 56.2757039032027,5.29845139430368 56.2772795305391,5.29083905542386 56.2797278433575,5.28423048347558 56.2829549124233,5.27887956744844 56.2868369017936,5.27499211750221 56.2912248006361,5.27271792901232 56.2959501234941,5.27214496493 56.3008313639083,5.27329588924383 56.3056809566173,5.2761270978199 56.3103124827742,5.28053029879876 56.3145478417357,5.28633659635448 56.3182241126446,5.29332293279963 56.3211998395006,5.30122064893249 56.3233604945161,5.30972583549782 56.3246229056389,5.31851107387555 56.324938474073,5.32723810540961 56.3242950548938,5.33557092922447 56.3227174264925,5.34318881007451 56.320266330393,5.34979868172179 56.3170361195596,5.35514645731208 56.3131511082412,5.35902680479107 56.3087607673338,5.36129101007024 56.3040339540759,5.36185263005022 56.2991524018262)))', 'DKGTS', 'Glatved Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7605699487046 55.1493783845241,10.7595185084274 55.1445226026701,10.7568337863865 55.1398775569185,10.7526194349664 55.1356216478354,10.7470377125282 55.1319182780021,10.7403032019781 55.1289095953239,10.7326745524085 55.1267110562954,10.7244445629486 55.1254070142135,10.715928986276 55.1250474980739,10.70745447361 55.1256463028235,10.6993461124499 55.1271804624224,10.6919150222335 55.1295911254806,10.6854464711902 55.1327858008694,10.6801889599815 55.1366418894315,10.6763446845846 55.1410113695001,10.6740617429636 55.1457264600932,10.6734283884594 55.1506060479745,10.6744695590817 55.1554626347465,10.6771458280789 55.1601095389892,10.6813548299652 55.1643680771984,10.6869351207987 55.1680744465327,10.6936723356242 55.17108604244,10.7013074136503 55.1732869649129,10.7095465770742 55.1745924977961,10.7180726765642 55.1749523851325,10.7265574588951 55.1743527754638,10.734674273102 55.1728167573717,10.7421107128467 55.1704034651855,10.7485806954838 55.167205790295,10.7538355024071 55.1633467885049,10.7576733493443 55.158974924994,10.7599471170069 55.1542583436017,10.7605699487046 55.1493783845241)))', 'DKGUM', 'Gudme', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1921865572061 55.736018485624,12.1916869732616 55.7311352173433,12.1895089868904 55.7264007507733,12.185736849873 55.7219969491388,12.1805159213555 55.7180929145156,12.1740470214113 55.7148385096777,12.1665786860438 55.7123586243717,12.1583976253892 55.7107484024993,12.1498177503456 55.7100696095871,12.1411681825122 55.7103482765379,12.1327806970853 55.7115737075853,12.1249770675123 55.713698889318,12.1180567839208 55.7166422853601,12.1122856045665 55.7202909495517,12.1078853710408 55.7245048410539,12.1050254743221 55.729122179389,12.1038163008859 55.7339656376729,12.1043049173987 55.7388491396728,12.1064731709092 55.7435850021627,12.1102382913753 55.7479911494021,12.1154559878578 55.7518981222185,12.1219259323334 55.755155610525,12.1293994297811 55.7576382551447,12.137588984186 55.7592504920951,12.1461793915532 55.7599302490715,12.1548399268302 55.7596513484009,12.1632371451245 55.7584245214317,12.1710477912463 55.7562969940918,12.1779713068627 55.7533506598552,12.1837414416735 55.7496989121955,12.1881365131124 55.7454822613815,12.1909879160832 55.7408629079708,12.1921865572061 55.736018485624)))', 'DKGUN', 'Gundsømagle Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5655270467888 56.022887233848,12.5649777806117 56.0180052650476,12.5627389657292 56.0132770927806,12.5588971975704 56.0088843350057,12.5536005118326 56.0049956661452,12.5470526350912 56.0017603558602,12.5395051288417 55.9993025585142,12.5312477328883 55.9977165688573,12.5225972774918 55.9970632221768,12.5138855832692 55.9973675736458,12.5054468023917 55.9986179434465,12.4976046734878 56.0007663631584,12.4906601654749 56.0037304066251,12.4848799722899 56.007396336838,12.4804862914225 56.0116234510331,12.4776482748501 56.0162494609262,12.476475482388 56.0210967054072,12.4770135959948 56.0259789605913,12.4792425711378 56.0307085881736,12.4830773103976 56.0351037486375,12.4883708481636 56.0389954017736,12.4949199371131 56.0422338235922,12.5024728312053 56.0446943860268,12.5107389703875 56.0462823733671,12.5194001933207 56.0469366461963,12.5281230401259 56.0466320083433,12.5365716607495 56.0453801832251,12.5444208185496 56.0432293608218,12.5513684745235 56.0402623330782,12.5571474554882 56.0365932913323,12.5615357485062 56.0323634120507,12.5643650218527 56.0277354044765,12.5655270467888 56.022887233848)))', 'DKGUR', 'Gurre Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6432564980867 55.7900559912305,11.6420766767357 55.785209802864,11.6392421963779 55.7805863698801,11.6348624720376 55.7763632546087,11.6291061125521 55.7727025925646,11.6221943958247 55.7697448854854,11.6143927556528 55.7676036286054,11.6060006086829 55.7663609745863,11.5973399082323 55.7660645968761,11.5887428556961 55.7667258699435,11.5805392290691 55.7683194344608,11.5730438011812 55.7707841637999,11.5665443173125 55.774025495917,11.5612904829529 55.7779190436093,11.5574843779501 55.782315347996,11.5552726638266 55.7870455965881,11.5547408877503 55.7919280900889,11.5559101110957 55.7967752125449,11.5587360048786 55.8014006388985,11.5631104613023 55.8056265033479,11.5688656735235 55.8092902518414,11.5757805383022 55.8122509127574,11.5835891425808 55.8143945411665,11.5919910094914 55.8156386233628,11.6006627059424 55.8159352684707,11.6092703564946 55.8152730613126,11.6174825696993 55.8136775034233,11.6249832654971 55.8112100249041,11.6314838966181 55.8079656063372,11.6367345829161 55.8040691048093,11.6405337238094 55.7996704288958,11.6427357179988 55.7949387521285,11.6432564980867 55.7900559912305)))', 'DKGUS', 'Gundestrup', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3460168560509 55.5799613670743,12.3454994844246 55.5750784475564,12.3433109191983 55.570346508884,12.339535811689 55.5659473166348,12.3343196286965 55.562049795836,12.327863002916 55.5588035596015,12.3204139958997 55.5563331848996,12.312258574911 55.5547334515821,12.303709668113 55.5540657236267,12.2950952118819 55.5543556080884,12.28674563851 55.5555919791333,12.2789812714945 55.5577274034373,12.2721000986263 55.5606799509254,12.2663663801848 55.5643363230948,12.262000520947 55.5685561817594,12.2591705910291 55.5731775156894,12.2579858227347 55.5780228429291,12.25849233999 55.5829060140465,12.2606712955013 55.5876393575107,12.2644395009423 55.5920408938777,12.2696525402911 55.59594134125,12.276110259446 55.5991906409699,12.2835644304008 55.601663749681,12.2917282997309 55.6032654713028,12.3002876530891 55.603934139156,12.308912963703 55.6036440030944,12.3172721467963 55.6024062272557,12.3250434158775 55.6002684588316,12.3319277323793 55.5973129847687,12.3376603574348 55.5936535491145,12.3420210527276 55.5894309564426,12.3448425343067 55.5848076342105,12.3460168560509 55.5799613670743)))', 'DKGVD', 'Greve Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5772690246416 55.7990796461534,11.5760970754351 55.7942327550445,11.573269680386 55.7896077379403,11.5688959834388 55.7853822183938,11.5631443632666 55.781718424499,11.5562359171466 55.7787569783435,11.548435954501 55.7766115186573,11.5400438284328 55.7753643592601,11.5313814918499 55.7750633462798,11.5227812088277 55.7757200318206,11.5145728807525 55.7773092323955,11.5070714599289 55.7797699887334,11.5005649204798 55.7830078912851,11.4953032375337 55.7868986846485,11.491488791239 55.7912930159831,11.4892685627407 55.7960221489766,11.4887284260097 55.8009044276637,11.4898897639072 55.805752244842,11.4927085512358 55.8103792492131,11.4970769544982 55.814607514681,11.5028274009379 55.8182743951106,11.5097389719706 55.8212387985175,11.5175458824367 55.8233866359565,11.5259477214911 55.8246352316164,11.5346210575103 55.8249365207107,11.5432319518519 55.8242789090992,11.5514488876503 55.8226877212552,11.5589556021523 55.8202242189938,11.5654633153219 55.8169832299067,11.5707218733448 55.8130894792933,11.5745293718163 55.8086927702081,11.576739887335 55.8039622009539,11.5772690246416 55.7990796461534)))', 'DKGVS', 'Grevinge', 'Y'),('SRID=4326;MULTIPOLYGON(((8.75622255469894 56.5810968525087,8.75538505146866 56.5762261601385,8.75284249028891 56.5715391962016,8.74869313306245 56.5672159789215,8.74309680902073 56.5634224974647,8.73626871623247 56.56030435586,8.72847113141624 56.5579812044859,8.72000334965057 56.5565421690272,8.71119023768071 56.5560424484608,8.70236983233889 56.5565012093231,8.69388044810153 56.5579008548331,8.68604777437595 56.560187696098,8.67917244344377 56.5632740003687,8.6735185340844 56.5670413398955,8.66930344404747 56.5713451161193,8.66668951735291 56.5760200894156,8.66577775087655 56.5808867060029,8.6666038303044 56.5857579824013,8.66913666032834 56.5904466852789,8.67327946052469 56.5947725316749,8.67887339991147 56.5985691321639,8.68570364346473 56.6016904078734,8.69350758703414 56.6040162312853,8.70198496747983 56.6054570699209,8.71080945674346 56.6059574502855,8.71964128590027 56.6054981053941,8.72814040129884 56.604096720941,8.73597963204961 56.601807250558,8.74285734762437 56.5987178272539,8.74850910620619 56.5949473536233,8.75271783748453 56.590640905364,8.75532216550399 56.5859641288931,8.75622255469894 56.5810968525087)))', 'DKGYL', 'Gyldendal', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7439259552041 55.4990230529814,11.7427436451933 55.4941776659547,11.7399194658347 55.4895562657124,11.735562426038 55.4853363370669,11.7298402555013 55.4816798943805,11.7229729148673 55.4787272790596,11.7152241336847 55.4765917927139,11.7068913026865 55.4753553682166,11.6982941046398 55.4750654412113,11.6897623116533 55.4757331392422,11.6816232053743 55.4773328562799,11.6741890894071 55.4798032286657,11.6677453602607 55.4830494761949,11.662539584244 55.486947020955,11.6587719932942 55.4913462484103,11.6565877634639 55.4960782317654,11.6560713767925 55.5009612034584,11.6572432921541 55.5058075281798,11.6600590655319 55.5104309113182,11.6644109677501 55.5146535661839,11.6701320512617 55.5183130633726,11.6770025209163 55.5212685964578,11.6847581708022 55.5234064196264,11.6931005644893 55.5246442442444,11.7017085633762 55.5249344215123,11.7102507510219 55.5242657857854,11.7183982632841 55.5226640858493,11.7258375168235 55.5201909872414,11.7322823329833 55.5169416852094,11.7374849799695 55.5130412226863,11.7412457022135 55.5086396584104,11.7434203693614 55.5039062749365,11.7439259552041 55.4990230529814)))', 'DKGYR', 'Gyrstinge Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2767412789633 55.3339833159332,12.2762346866034 55.3291000530287,12.2740670657712 55.3243669385603,12.2703222552973 55.319965784524,12.2651445528994 55.3160655929156,12.2587331112451 55.3128160811703,12.2513342579754 55.3103419536649,12.2432320388099 55.3087381356188,12.2347373456918 55.308066148575,12.2261760410922 55.3083517632072,12.2178765239708 55.3095840170746,12.2101572018005 55.3117156338466,12.2033143361327 55.3146648281951,12.1976107163983 55.3183184287941,12.1932655882447 55.3225362024328,12.1904462192909 55.3271562168536,12.1892614276953 55.3320010402114,12.1897573287651 55.336884542489,12.1919154738924 55.3416190401213,12.1956534668353 55.3460225105386,12.200828047784 55.3499255990975,12.2072405392851 55.3531781473288,12.2146444538708 55.355654988578,12.2227549752832 55.3572607844824,12.2312599476366 55.3579337123874,12.2398319435377 55.3576478583817,12.2481409363704 55.3564142213485,12.2558670760692 55.3542802881932,12.2627130631766 55.351328196893,12.2684156330526 55.3476715598084,12.272755699884 55.3434510724279,12.2755667665933 55.3388290801511,12.2767412789633 55.3339833159332)))', 'DKHAA', 'Hårlev', 'Y'),('SRID=4326;MULTIPOLYGON(((9.5316989999643 55.2508174824139,9.53079444769371 55.2459512566075,9.52824595186296 55.2412793045387,9.52415194843519 55.236981067688,9.51867009544507 55.2332215794337,9.51201116461419 55.2301451450599,9.50443092539144 55.2278698219986,9.49622033569787 55.226482908506,9.48769441328863 55.2260376102687,9.47918020738357 55.2265510097955,9.47100432104845 55.2280034145061,9.46348045009969 55.2303391078795,9.45689740376478 55.2334684756464,9.45150805596249 55.2372714275808,9.44751964418436 55.2416019867263,9.44508578620835 55.2462938736052,9.44430052430296 55.2511668746992,9.44519463369367 55.256033753748,9.44773434890195 55.2607074424442,9.45182257073395 55.2650082349219,9.45730252135158 55.2687707087323,9.46396371865456 55.2718501040675,9.47155004814645 55.2741279127158,9.47976962471879 55.2755164580126,9.4883060624446 55.2759622858432,9.49683071124005 55.2754482330731,9.50501537820171 55.273994091733,9.51254503074148 55.2716558427305,9.51912997943809 55.2685234894067,9.52451706075777 55.2647175765119,9.5284993822627 55.2603845317814,9.53092425336469 55.2556910131004,9.5316989999643 55.2508174824139)))', 'DKHAD', 'Haderslev', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6140185661855 54.6580788419199,11.6128796047124 54.6532311864399,11.6101319347228 54.6486054544519,11.6058816022885 54.6443793012865,11.6002922238888 54.6407149856395,11.593578656525 54.6377531568962,11.5859987318779 54.635607475631,11.577843373475 54.6343602701295,11.5694254727491 54.6340593921494,11.561067942955 54.634716389787,11.5530913981781 54.6363060658842,11.5458019175397 54.638767438616,11.5394793519058 54.6420060685108,11.5343666119754 54.6458976649724,11.5306603429148 54.6502928371468,11.528503342409 54.6550228104362,11.5279790172366 54.6599058926999,11.5291080998221 54.6647544446538,11.5318477627957 54.66938208843,11.5360931790807 54.6736108776459,11.5416814806383 54.6772781522913,11.548397974409 54.6802428125003,11.5559843831948 54.6823907666333,11.5641487963176 54.6836393403807,11.5725769438442 54.6839404736814,11.580944352535 54.6832825795688,11.5889289043303 54.6816909916813,11.5962233011122 54.6792269828973,11.6025469435776 54.6759853940036,11.6076567570921 54.6720909660774,11.6113565420116 54.6676935210373,11.6135044878033 54.6629621795038,11.6140185661855 54.6580788419199)))', 'DKHAE', 'Handermelle', 'Y'),('SRID=4326;MULTIPOLYGON(((8.94336796508557 56.7020288770284,8.9425036551104 56.6971595447876,8.93992974478064 56.6924765008562,8.93574570260824 56.6881596111634,8.93011268998779 56.6843746202193,8.92324731162953 56.6812668046617,8.91541327181618 56.6789554174939,8.90691126005857 56.6775291323945,8.89806745180411 56.6770426590604,8.8892210575865 56.6775146561696,8.88071138637915 56.6789270198337,8.87286490530761 56.6812255740566,8.86598277799476 56.6843221374581,8.86032934765564 56.6880978891438,8.85612199891563 56.692407907836,8.85352278481396 56.6970867139353,8.85263214358251 56.7019546056615,8.85348495504114 56.7068245493078,8.85604910085281 56.7115093612027,8.86022659906379 56.7158289062609,8.86585728453941 56.7196170357179,8.87272490685886 56.7227279951256,8.88056542011943 56.7250420528581,8.88907714928778 56.7264701286668,8.89793243952769 56.7269572402351,8.90679033227452 56.7264846317195,8.91530976800528 56.7250705000896,8.92316279303309 56.7227692904988,8.93004724747816 56.7196695885836,8.93569843384341 56.7158906930487,8.93989930913087 56.7115780037941,8.94248880582696 56.7068974069879,8.94336796508557 56.7020288770284)))', 'DKHAI', 'Harre Vig', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((9.68564409441145 55.2017625042201,9.6847219333354 55.196897434018,9.68215862128415 55.1922287042956,9.6780531601754 55.1879356319534,9.6725636445582 55.1841830515574,9.6659011370307 55.1811150030387,9.65832154164777 55.178849222116,9.65011578992417 55.1774726412511,9.64159871346295 55.1770380701749,9.63309702277451 55.1775621803252,9.62493684248648 55.1790248685555,9.61743126825324 55.181370023903,9.61086840996261 55.1845076688265,9.60550036931563 55.1883173949042,9.60153356783722 55.1926529643057,9.5991207945122 55.1973479041084,9.5983552815828 55.2022218823494,9.59926704410477 55.207087624047,9.60182163568437 55.2117581035614,9.6059213820158 55.2160537376025,9.61140905857409 55.2198093016093,9.61807388274348 55.2228803014231,9.62565959778364 55.2251485520172,9.63387434051831 55.2265267449441,9.64240191054345 55.2269618250507,9.65091399979637 55.2264370434038,9.65908290055999 55.2249726053795,9.66659418956571 55.222624888331,9.67315888690448 55.2194842597961,9.67852461089916 55.2156715824242,9.68248529271641 55.2113335433534,9.6848890750352 55.2066369914908,9.68564409441145 55.2017625042201)))', 'DKHAK', 'Halk', 'Y'),('SRID=4326;MULTIPOLYGON(((8.28894692314451 56.3512659878561,8.28817396336454 56.3463921944062,8.28570402257091 56.3416957497311,8.28163256968385 56.3373570402267,8.27611644356346 56.3335426537286,8.26936776890581 56.3303989999216,8.26164578285398 56.3280467105202,8.25324688962921 56.3265760303741,8.24449332275147 56.3260433725365,8.23572084251073 56.3264691661814,8.22726592922944 56.3278370776779,8.21945294988399 56.3300946338255,8.2125817765221 56.3331552239727,8.20691631961268 56.336901406254,8.20267440827866 56.3411893942436,8.20001940289897 56.3458545556323,8.1990538648188 56.3507177157087,8.19981553433755 56.3555920269479,8.20227578374712 56.3602901431582,8.20634061955142 56.364631423468,8.21185421028219 56.3684488886606,8.21860481723601 56.3715956603479,8.2263329090979 56.3739506321463,8.23474115209361 56.375423150835,8.24350588928434 56.3759565234588,8.25228965979865 56.3755302120238,8.26075426446962 56.3741606289899,8.26857386089342 56.3719005020344,8.27544756963307 56.3688368331917,8.28111109423396 56.365087533031,8.2853468997523 56.3607968626466,8.28799255536546 56.3561298627177,8.28894692314451 56.3512659878561)))', 'DKHAL', 'Harbøth', 'Y'),('SRID=4326;MULTIPOLYGON(((8.65287194240789 57.1161353573618,8.65203616276098 57.1112643937761,8.64947031973459 57.1065756957649,8.64527359078127 57.1022493467993,8.63960764076069 57.0984514537459,8.63269035061053 57.0953277866665,8.62478742297624 57.0929982044581,8.61620219055771 57.091552076376,8.60726401587334 57.0910448712004,8.59831571961183 57.0914960415545,8.58970050772184 57.0928882822668,8.5817488842577 57.0951681903849,8.5747660374621 57.0982483022333,8.56902017061943 57.1020104315291,8.56473221713699 57.1063101837637,8.56206733171045 57.1109824775238,8.56112848729947 57.1158478647764,8.56195243244775 57.1207194108404,8.56450817724878 57.1254098721188,8.56869808161203 57.1297388966995,8.57436151966091 57.1335399703782,8.58128099288552 57.1366668388721,8.58919046629002 57.1389991558976,8.5977856106416 57.1404471358479,8.60673555441881 57.1409550280119,8.61569568519239 57.1405032751785,8.62432099531359 57.1391092711965,8.63227944336263 57.1368266874609,8.63926480211678 57.1337433949861,8.64500848587157 57.1299780642767,8.64928989357796 57.1256755772275,8.6519448670766 57.1210014316017,8.65287194240789 57.1161353573618)))', 'DKHAN', 'Hanstholm', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1439579853623 55.5340333277647,12.1434661135397 55.5291498147358,12.1413043182891 55.5244145406292,12.137556222717 55.5200094006622,12.1323662578941 55.5161035496062,12.1259340527151 55.5128469214159,12.1185067348651 55.5103644925593,12.1103694428616 55.5087515056733,12.1018344123705 55.5080698330895,12.0932290494953 55.5083456163981,12.084883438406 55.5095682701452,12.0771177498039 55.5116908866951,12.0702300199618 55.5146320269896,12.0644847574045 55.5182788301809,12.0601028059447 55.5224913256665,12.0572528493502 55.5271077856249,12.056044885334 55.5319509163756,12.0565259262157 55.5368346542459,12.0586781023983 55.5415713074472,12.0624192551896 55.5459787708079,12.0676060104947 55.5498875358416,12.0740392280413 55.5531472249672,12.081471626023 55.5556323957167,12.0896172925195 55.5572473880247,12.098162716924 55.5579300242517,12.1067789107518 55.5576540161013,12.1151341409157 55.5564299832576,12.1229067722963 55.5543050433117,12.1297977116462 55.5513609890383,12.1355419618242 55.5477111249122,12.1399188331458 55.5434958875356,12.1427604152495 55.5388774221574,12.1439579853623 55.5340333277647)))', 'DKHAP', 'Havdrup', 'Y'),('SRID=4326;MULTIPOLYGON(((11.143271581332 54.8822440086294,11.1421818692277 54.8773917004684,11.1394718197086 54.8727551533025,11.1352460456453 54.8685124399058,11.129667232353 54.864826455821,11.1229498415752 54.8618386821443,11.1153518592008 54.8596637742138,11.1071649054024 54.8583851802518,11.0987030835174 54.8580519545779,11.0902909877407 54.8586768848198,11.0822513185866 54.8602360032291,11.0748925685085 54.8626695004665,11.0684972377616 54.8658840078435,11.0633110225896 54.8697561627639,11.059533384451 54.8741373237801,11.0573098609585 54.8788592579617,11.0567264175831 54.8837405857908,11.057806065541 54.8885937389866,11.0605078877338 54.893232165791,11.0647285238261 54.8974775072725,11.0703060707134 54.9011664677865,11.0770262594533 54.9041571131028,11.0846306781946 54.9063343507019,11.0928267268867 54.90761437769,11.1012989175758 54.9079479215821,11.1097210775085 54.9073221463042,11.1177689739917 54.9057611482543,11.1251328620352 54.9033250229303,11.1315294591763 54.9001075391235,11.1367128763767 54.8962325125645,11.1404840781457 54.8918490218819,11.1426985067502 54.887125654676,11.143271581332 54.8822440086294)))', 'DKHAR', 'Harpelunde', 'Y'),('SRID=4326;MULTIPOLYGON(((10.354711204044 56.9945135494376,10.3536561757721 56.9896557075912,10.3508857780098 56.9850035081635,10.3465070212539 56.980735621729,10.3406885281082 56.9770159021049,10.3336540002769 56.973987113698,10.3256736067922 56.9717654728743,10.317053626635 56.9704362089115,10.3081247399255 56.9700503110234,10.2992294083254 56.9706225830845,10.2907088162405 56.9721310786636,10.2828898592531 56.9745179374833,10.2760726646757 56.9776915922076,10.2705191112271 56.9815302632853,10.2664427808844 56.9858866111825,10.2640007266199 56.9905933714185,10.2632873760218 56.9954697599767,10.2643308142654 57.0003284063577,10.2670916026452 57.0049825500453,10.2714641936049 57.0092532244695,10.2772809032286 57.0129761513676,10.2843183013402 57.0160080780543,10.292305781936 57.018232310389,10.3009359870877 57.0195632245593,10.3098766800108 57.0199495801216,10.3187836016518 57.0193765035247,10.3273138031234 57.0178660636833,10.3351389259006 57.0154764168716,10.3419579039864 57.0122995548725,10.3475085871421 57.0084577455162,10.3515778303694 57.0040988061105,10.354009659646 56.9993903956693,10.354711204044 56.9945135494376)))', 'DKHAS', 'Hals', 'Y'),('SRID=4326;MULTIPOLYGON(((10.076931750389 55.4666213851794,10.0759550253931 55.4617597517403,10.0733282223359 55.4570997493609,10.0691527863404 55.4528203562207,10.0635894991919 55.4490858782249,10.056852251776 55.4460396574732,10.04919980982 55.4437985898273,10.0409258915268 55.4424486582977,10.0323479350506 55.442041650015,10.023794979128 55.4425931797348,10.0155951105388 55.4440820937678,10.0080629468166 55.4464512766383,10.0014876214763 55.4496098304181,9.99612172198566 55.4534365453428,9.99217159809922 55.4577845317476,9.989789410659 55.4624868392748,9.98906722959171 55.4673628513119,9.99003341614123 55.4722252121801,9.99265144042111 55.476887022982,9.99682119379696 55.4811690302229,10.0023827596117 55.4849065300248,10.0091225090398 55.4879557202455,10.0167812954476 55.4901992529484,10.0250644347476 55.4915507698399,10.0336530849699 55.491958242432,10.0422165793495 55.4914059852822,10.0504252267198 55.4899152628244,10.0579630730565 55.4875434658512,10.0645401197192 55.4843818902646,10.0699035171871 55.4805522058719,10.073847296618 55.4762017544123,10.0762202630566 55.4714978615252,10.076931750389 55.4666213851794)))', 'DKHAU', 'Harndrup', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2452949482589 56.6495551604074,10.244264313452 56.6446960352796,10.2415333458923 56.64004100016,10.2372075302727 56.6357688366858,10.2314534491762 56.6320435655252,10.2244923292995 56.6290081669336,10.2165915247394 56.6267791134474,10.2080542668616 56.6254419206674,10.1992080709454 56.6250478830582,10.1903922360644 56.6256121168593,10.1819449055243 56.6271129831819,10.1741901700511 56.629492912856,10.1674256945329 56.6326606023468,10.1619113314754 56.6364944988372,10.1578591507532 56.6408474441278,10.1554252663672 56.6455523030311,10.1547037778034 56.6504283640377,10.1557230677602 56.6552882696697,10.1584446115629 56.6599452123805,10.1627643591993 56.66422012012,10.1685166518833 56.6679485544309,10.1754805351905 56.6709870534972,10.1833882343193 56.6732186727629,10.1919354682696 56.67455750601,10.2007932029942 56.6749520090273,10.2096203827374 56.6743869947209,10.2180771370386 56.6728842208047,10.2258379404887 56.6705015468631,10.2326042044065 56.6673306942211,10.2381158040215 56.6634936972572,10.2421610901707 56.6591381861896,10.2445849984903 56.6544316868214,10.2452949482589 56.6495551604074)))', 'DKHAV', 'Havndal', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5784585630292 55.9628819394654,12.5779083007011 55.957999977809,12.575671158567 55.9532720151651,12.5718336655133 55.948879661551,12.566543691212 55.9449915761145,12.5600047033733 55.941757006456,12.5524679218793 55.9393000788862,12.5442226753018 55.937715055125,12.5355853287152 55.9370627336624,12.5268872012127 55.937368130472,12.5184619260382 55.9386195256108,12.5106327250619 55.9407689111418,12.5037000721278 55.9437338235374,12.4979302065456 55.9474004920368,12.4935449289487 55.9516281850957,12.4907130674752 55.9562545917885,12.4895439436994 55.9611020354337,12.4900830963518 55.9659842842919,12.4923104385283 55.9707137002541,12.4961409332956 55.9751084520486,12.5014277764081 55.9789995154272,12.507967976853 55.9822371894249,12.5155101301427 55.9846968751234,12.5237640898993 55.9862838909023,12.5324121645455 55.9869371350044,12.5411214017358 55.9866314509925,12.5495564768745 55.9853786025334,12.5573926761343 55.9832268188196,12.5643284602465 55.9802589284807,12.5700971132103 55.9765891556426,12.5744770190051 55.972358704457,12.5773001673023 55.9677303057489,12.5784585630292 55.9628819394654)))', 'DKHBA', 'Humlebæk', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1882503289749 54.8850094441968,12.187758306053 54.8801256796312,12.1856235444128 54.8753910746616,12.1819286062457 54.8709875005338,12.1768158635757 54.8670840549057,12.1704819697076 54.8638305832059,12.1631702757471 54.8613519447696,12.1551614875436 54.8597432403627,12.1467629207219 54.8590661805838,12.1382967602676 54.8593467312132,12.1300877652944 54.8605741234446,12.1224508784431 54.8627012658165,12.1156792024907 54.8656465422978,12.1100327941467 54.8692969291835,12.1057286969374 54.873512313981,12.1029325921157 54.8781308540328,12.1017523896403 54.8829751728674,12.1022340118378 54.8878591596835,12.1043595422823 54.8925951132631,12.1080478241472 54.8970009570471,12.1131574987704 54.9009072478434,12.1194923799317 54.9041637070729,12.1268089662211 54.9066450205756,12.1348258069778 54.9082556803309,12.1432343606484 54.9089336780555,12.151710921838 54.9086529051752,12.1599291480129 54.9074241643321,12.1675726911642 54.9052947523018,12.1743474351541 54.902346630651,12.1799928561941 54.8986932562362,12.1842920610684 54.8944751963741,12.1870801133391 54.8898547009761,12.1882503289749 54.8850094441968)))', 'DKHBB', 'Hårbøllebro', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7541698999504 55.7170169009156,11.7529788623623 55.7121718490061,11.7501369268775 55.7075510093653,11.745753791217 55.7033318443185,11.7399981917663 55.6996763376013,11.733091374465 55.6967247932257,11.7252985832811 55.6945904702931,11.7169188946948 55.6933552558936,11.7082737846074 55.6930665385343,11.6996948578898 55.6937353991783,11.691511199433 55.6953361875733,11.6840368184942 55.6978074998278,11.6775586550794 55.7010545208974,11.6723255981113 55.7049526445679,11.6685389305357 55.7093522354112,11.6663445670249 55.7140843537453,11.6658273866288 55.7189672274591,11.6670078872149 55.7238132251077,11.6698413029522 55.7284360641944,11.6742192331736 55.7326579779969,11.6799737339759 55.736316564307,11.6868837266814 55.7392710502726,11.6946834838977 55.7414077289615,11.70307286863 55.7426443546408,11.7117289288251 55.7429333239483,11.7203183925549 55.742263517564,11.7285105707617 55.7406607297208,11.735990157133 55.7381866687085,11.7424694191843 55.7349365680456,11.747699300738 55.7310355027864,11.7514790022786 55.726633556189,11.7536636696501 55.7219000265771,11.7541698999504 55.7170169009156)))', 'DKHBK', 'Holbæk', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7432282975777 54.8323868696058,10.7421880111543 54.8275306226929,10.739527129784 54.8228848008842,10.735348380541 54.8186278358717,10.7298126480132 54.8149231726078,10.7231327465103 54.811913010713,10.7155652298534 54.8097128654487,10.7074005552383 54.80840715338,10.6989519756246 54.8080459686069,10.6905435792293 54.8086431703745,10.6824979239909 54.8101758536374,10.6751237287302 54.8125852224448,10.6687040808698 54.8157788336177,10.6634856030241 54.8196341268875,10.6596689878578 54.824003109226,10.6574012630224 54.8287180172312,10.6567700867904 54.8335977437491,10.6578003017786 54.8384547848752,10.6604528909616 54.843102442334,10.6646263896746 54.8473620049726,10.6701607126767 54.8510696323743,10.6768432602479 54.8540826736553,10.6844170757292 54.8562851751938,10.6925907429868 54.8575923617026,10.7010496400114 54.8579539146114,10.7094681078515 54.8573559186296,10.7175220552803 54.8558213997146,10.7249015010657 54.8534094332791,10.7313225584412 54.8502128579678,10.736538390209 54.8463546853128,10.7403487065478 54.8419833467023,10.7426074387461 54.8372669642588,10.7432282975777 54.8323868696058)))', 'DKHBL', 'Humble', 'Y'),('SRID=4326;MULTIPOLYGON(((9.84028636042002 56.6377025420961,9.83930810722045 56.6328399495678,9.83662781551156 56.6281759196452,9.83234902771419 56.6238895821807,9.82663652700462 56.6201455042322,9.81970995149297 56.6170873893666,9.81183533714155 56.6148325824692,9.80331491686353 56.6134675870996,9.79447556432203 56.6130447635873,9.78565631764286 56.6135803313734,9.77719544957103 56.6150537501712,9.76941756593848 56.6174085030528,9.76262121338817 56.6205542523162,9.75706746012911 56.6243702877093,9.75296988038224 56.6287101380408,9.7504863247548 56.63340717308,9.74971279608866 56.6382809845564,9.75067967488075 56.6431443044691,9.75335045224365 56.6478101970876,9.75762303422845 56.6520992489814,9.76333358243887 56.6558464798457,9.77026275601783 56.6589077061112,9.77814412347351 56.6611651092097,9.78667442379479 56.6625317903333,9.79552527917027 56.662955132511,9.80435590026917 56.6624188373393,9.81282628269152 56.6609435558433,9.82061037213079 56.6585860885302,9.82740867716746 56.6554371863501,9.83295983234694 56.6516180395581,9.83705065898503 56.6472755930278,9.83952433457505 56.6425768722371,9.84028636042002 56.6377025420961)))', 'DKHBO', 'Hobro', 'Y'),('SRID=4326;MULTIPOLYGON(((8.22826182942094 56.6172889235381,8.22749154509707 56.6124149677479,8.22501208219783 56.6077174887829,8.22091928580314 56.6033769121929,8.21537082260524 56.5995598963339,8.2085800638384 56.5964129502545,8.20080786340695 56.5940568303143,8.19235255046601 56.5925819267837,8.18353851839558 56.5920448135947,8.17470384053295 56.5924660902917,8.16618737615385 56.5938295966871,8.15831584738145 56.5960830294524,8.15139136864919 56.59913993762,8.14567989503802 56.6028830224982,8.141401024529 56.6071686185686,8.13871954256344 56.6118321872304,8.13773903627287 56.6166946164101,8.13849783178727 56.621569087523,8.14096742314753 56.6262682483789,8.14505346812478 56.6306114173756,8.15059932786988 56.6344315414875,8.15739202750328 56.6375816384626,8.16517041764408 56.639940472246,8.1736352268113 56.6414172394088,8.1824606159096 56.6419550822972,8.19130678259448 56.6415332902766,8.19983311851841 56.6401681019881,8.20771139870375 56.6379120768136,8.21463848087659 56.6348520603921,8.22034801360842 56.6311058246189,8.22462069440223 56.6268175147077,8.22729268014601 56.6221520824161,8.22826182942094 56.6172889235381)))', 'DKHBR', 'Harboør', 'Y'),('SRID=4326;MULTIPOLYGON(((9.46976095045921 55.3068395586333,9.46886265897697 55.3019729079615,9.46631780162786 55.2972996999813,9.46222467706208 55.2929994246064,9.45674091181782 55.2892371934977,9.45007735280132 55.2861574170721,9.44248994818075 55.2838782807453,9.43426993113308 55.2824872287591,9.42573268064475 55.2820376252612,9.41720567942111 55.2825467176959,9.40901601988919 55.2839949786317,9.40147792465396 55.28632685062,9.39488074729511 55.2894528663001,9.38947790307437 55.293253064537,9.38547714727282 55.2975815746457,9.3830325721394 55.3022721964483,9.38223863284772 55.3071447656226,9.38312643993609 55.3120120630218,9.38566247248061 55.3166870046335,9.38974977532668 55.3209898366147,9.3952316082412 55.3247550580847,9.40189741849995 55.3278378033716,9.40949091520585 55.3301194350771,9.41771993771805 55.3315121290602,9.42626773604875 55.3319622711936,9.43480522167685 55.3314525320305,9.4430037060175 55.330002537461,9.4505476229677 55.3276681088644,9.45714673264545 55.3245391028221,9.46254732561334 55.320735935725,9.46654198932542 55.3164049302397,9.46897755899905 55.3117126664422,9.46976095045921 55.3068395586333)))', 'DKHDG', 'Hindsgavl', 'Y'),('SRID=4326;MULTIPOLYGON(((9.73743379736822 55.0087445314863,9.73651000005909 55.0038797049235,9.73395319136336 54.9992118979312,9.72986211673832 54.9949203923465,9.72439431307141 54.9911699633621,9.71776000625531 54.9881045693813,9.7102140171005 54.9858418453975,9.70204598888976 54.9844686076258,9.6935693090198 54.9840375383092,9.68510914248696 54.9845651749066,9.67699002544264 54.9860312788599,9.66952348204334 54.9883796075503,9.6629961270562 54.9915200606538,9.65765870016361 54.9953321206846,9.65371644595585 54.9996694588322,9.65132120686386 55.0043655329696,9.65056553581818 55.0092399665525,9.65147906274191 55.0141054665049,9.65402726613931 55.0187750163663,9.65811271063091 55.023069068964,9.66357871646707 55.026822461346,9.67021533146086 55.0298907839589,9.67776738340487 55.0321559559513,9.68594430601242 55.0335307884206,9.69443135779451 55.033962356345,9.70290179472291 55.0334340463571,9.71102951706938 55.0319661995326,9.71850169059735 55.0296153238272,9.72503084340468 55.0264719073253,9.73036596210942 55.0226569186633,9.73430215352418 55.0183171325092,9.73668849822411 55.0136194636763,9.73743379736822 55.0087445314863)))', 'DKHDH', 'Hardeshøj', 'Y'),('SRID=4326;MULTIPOLYGON(((9.02798812830468 56.3829980069877,9.02712023468211 56.3781290125139,9.02455746679457 56.3734474757436,9.02039885261909 56.3691332053719,9.01480456721462 56.3653518467183,9.00798972244566 56.3622485388613,9.00021608129879 56.3599423638538,8.99178201803322 56.3585217972565,8.98301110697434 56.3580413307638,8.97423977008915 56.3585193932769,8.9658044455557 56.3599376480263,8.95802875573291 56.3622416919472,8.95121115295608 56.3653431312324,8.94561350542914 56.3691229555866,8.94145105344879 56.3734360849435,8.93888411890286 56.3781169179745,8.93801188945123 56.3829856732423,8.93886852450925 56.3878552827834,8.94142174514083 56.3925385755517,8.945573976851 56.3968554755176,8.9511660162544 56.4006399370302,8.95798309342247 56.4037463486292,8.96576310550874 56.406055155745,8.97420670833732 56.4074774821014,8.98298887526973 56.4079585680965,8.99177147073165 56.407479890515,9.00021634252612 56.4060598797654,9.00799841480918 56.403753206248,9.01481826357492 56.4006486641028,9.02041367869057 56.3968657360075,9.02456975972647 56.3925499745448,9.02712715471442 56.3878673817568,9.02798812830468 56.3829980069877)))', 'DKHDP', 'Haderup', 'Y'),('SRID=4326;MULTIPOLYGON(((8.33270549008988 56.1442494827128,8.33193093312364 56.1393757964355,8.3294687291679 56.134680086648,8.32541404206929 56.1303427119832,8.31992306065701 56.126530209941,8.31320694048728 56.1233889190859,8.30552366812651 56.1210393817628,8.29716816376646 56.119571738419,8.28846099990926 56.1190422864783,8.27973616169992 56.1194713325386,8.27132830717787 56.1208424180631,8.2635600026271 56.123102947402,8.25672940901664 56.1261661946886,8.25109888023225 56.1299146146494,8.24688490268885 56.1342043334282,8.24424975959534 56.1388706508408,8.24329524261721 56.1437343466729,8.2440586604107 56.1486085521805,8.24651130948132 56.1533059251495,8.25055948062587 56.1576458537434,8.25604797701108 56.16146141165,8.26276602140604 56.1646057950775,8.27045533430111 56.1669579908647,8.27882007588915 56.1684274538367,8.28753826738284 56.1689576095474,8.29627424477697 56.1685280442559,8.30469165418959 56.1671552955476,8.31246647469008 56.1648922122774,8.31929955331604 56.1618259091254,8.32492815786315 56.158074396593,8.32913609486679 56.1537820193524,8.33176200073665 56.1491138823138,8.33270549008988 56.1442494827128)))', 'DKHEE', 'Hee', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3938148189174 55.3881497345085,11.3926790120835 55.383300490053,11.389903797243 55.3786705143124,11.3855963031035 55.3744376241113,11.3799223600191 55.37076433379,11.3731000824243 55.3677916332008,11.3653914766574 55.3656335957962,11.3570923981635 55.3643730200322,11.3485212400352 55.364058267769,11.3400067787568 55.364701418098,11.331875631893 55.3662778056744,11.3244397957283 55.3687269609177,11.317984728243 55.3719549171098,11.3127584243477 55.3758377982568,11.3089618963204 55.3802265533524,11.3067414236019 55.384952659084,11.3061828735797 55.3898345756641,11.3073083203324 55.3946847108067,11.3100751036145 55.3993166261434,11.3143773783462 55.4035522095644,11.3200501087823 55.4072285367115,11.3268753651053 55.4102041554033,11.3345906874947 55.4123645479322,11.3428991979613 55.4136265572957,11.3514810674787 55.4139416033804,11.3600058888482 55.4132975623632,11.3681454672731 55.4117192351885,11.3755865228396 55.4092673867233,11.3820428029618 55.4060363937049,11.387266128119 55.4021505944565,11.391055939521 55.3977594842387,11.3932669802729 55.3930319449096,11.3938148189174 55.3881497345085)))', 'DKHEH', 'Helleholm', 'Y'),('SRID=4326;MULTIPOLYGON(((8.41636814770622 55.8502184107402,8.41558868637678 55.8453450083381,8.41313472389723 55.8406507620089,8.40910109637262 55.8363159746811,8.40364317497405 55.8325070856819,8.39697084037068 55.829370296515,8.38934039667128 55.8270259785722,8.38104473866135 55.8255640737141,8.37240214759672 55.8250406604738,8.36374413827865 55.8254758144185,8.35540281254704 55.8268528425613,8.34769819104355 55.8291189203524,8.34092599580666 55.8321871074508,8.33534634095706 55.8359396669661,8.33117375770348 55.8402325639173,8.32856893376291 55.8449009739896,8.32763248705128 55.8497655949059,8.32840102062817 55.8546395213319,8.33084562236798 55.8593354215006,8.33487288125232 55.8636727407016,8.34032839567875 55.8674846541536,8.34700265142022 55.8706244999077,8.35463905189464 55.8729714412341,8.36294379545262 55.8744351368853,8.37159721764509 55.8749592356958,8.38026615472732 55.8745235577263,8.38861684120387 55.8731448757419,8.39632783134338 55.8708762660753,8.4031024335412 55.8678050545231,8.40868016724109 55.8640494384215,8.41284679371445 55.8597539180889,8.41544253211122 55.8550837172257,8.41636814770622 55.8502184107402)))', 'DKHEM', 'Hemmet', 'Y'),('SRID=4326;MULTIPOLYGON(((8.22723926353946 55.7382861938609,8.22648551332271 55.7334115897551,8.22406121262203 55.7287135832128,8.22006005617765 55.7243726232538,8.21463616822376 55.7205553878328,8.20799812469866 55.7174084002315,8.20040091684493 55.7150524242485,8.19213616815088 55.7135778496265,8.18352097809773 55.713041241064,8.17488581373124 55.7134631800047,8.16656190262325 55.7148274797926,8.15886859767829 55.7170818034355,8.15210118516135 55.7201396608806,8.14651959226265 55.7238837111677,8.14233841976114 55.7281702458295,8.13971867951521 55.7328346851756,8.1387615565988 55.7376978802451,8.13950444337362 55.74257298171,8.141919409632 55.7472726141634,8.14591418171679 55.7516160810557,8.15133560735555 55.7554363227748,8.15797548547752 55.7585863583577,8.16557854554188 55.760944959978,8.17385227311544 55.762421338163,8.1824782017631 55.7629586536375,8.19112422958302 55.7625362173369,8.19945747513858 55.7611702916357,8.20715716443908 55.7589134610573,8.21392703926015 55.7558525973131,8.21950679755046 55.7521054990452,8.22368211783607 55.7478163387483,8.22629287920654 55.7431500958414,8.22723926353946 55.7382861938609)))', 'DKHEN', 'Henne', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1791858484556 54.8250119232743,12.1786954015266 54.8201281002938,12.1765646311521 54.8153933433382,12.1728759442975 54.8109895297364,12.1677714715118 54.8070857666877,12.1614475478427 54.8038319122016,12.1541471416557 54.8013528406926,12.1461505262217 54.7997436698683,12.1377645511896 54.7990661284353,12.1293109198026 54.7993462007242,12.1211139118524 54.8005731362028,12.1134880111694 54.8026998607211,12.1067258995842 54.8056447739684,12.1010872667106 54.8092948658163,12.0967888568675 54.8135100347411,12.0939961315469 54.8181284460811,12.0928168690198 54.8229727281262,12.0932969533344 54.8278567714467,12.0954185249948 54.832592872761,12.0991005774553 54.8369989500742,12.1042019901938 54.840905551558,12.1105268940289 54.844162387077,12.1178321713761 54.8466441283814,12.1258368073758 54.8482552513112,12.1342327313203 54.8489337299688,12.1426967253325 54.8486534373395,12.1509029320028 54.8474251575003,12.1585354670776 54.8452961692684,12.1653006387009 54.8423484175848,12.1709382913977 54.8386953447045,12.1752318300746 54.834477505986,12.1780165348317 54.8298571425427,12.1791858484556 54.8250119232743)))', 'DKHES', 'Hesnæs', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8107209591102 55.3160012336951,11.8095367131998 55.3111563936452,11.8067185450917 55.3065363555917,11.8023752263248 55.302318552352,11.7966739546968 55.2986649174115,11.7898338855581 55.2957156854035,11.7821177010462 55.2935840292003,11.7738215425191 55.2923517357263,11.7652636889164 55.2920660828848,11.7567724071835 55.2927380345967,11.7486734292762 55.2943418215183,11.7412775230505 55.2968159232387,11.7348686212621 55.3000654154395,11.729692954009 55.3039655943924,11.7259495955761 55.308366743049,11.7237827874962 55.313099859539,11.7232763368304 55.3179831317382,11.7244503137843 55.3228289121541,11.7272601879581 55.3274509269377,11.7315984504886 55.3316714423328,11.7372986733457 55.3353281119535,11.7441418608473 55.338280239164,11.7518648561155 55.3404142103232,11.7601704809169 55.3416478860753,11.7687390151561 55.3419337780775,11.7772405658552 55.3412608859984,11.7853478376991 55.3396551223445,11.7927488001549 55.3371783084667,11.7991587507029 55.3339257815853,11.8043312995833 55.3300227074312,11.8080678472576 55.3256192438207,11.8102251890695 55.3208847450544,11.8107209591102 55.3160012336951)))', 'DKHEU', 'Herlufmagle', 'Y'),('SRID=4326;MULTIPOLYGON(((9.39364397599994 55.1998669742165,9.39275744623715 55.1949996615957,9.39022838588373 55.1903247630746,9.38615448412217 55.1860218343837,9.38069262795251 55.1822560900311,9.37405282321466 55.1791720762238,9.36649010766751 55.1768881417753,9.35829476934852 55.1754919155682,9.34978124314127 55.1750369605004,9.34127610431564 55.1755407292526,9.33310560875413 55.1769838982923,9.32558324500732 55.1793111050013,9.31899776293436 55.1824330604225,9.31360212748351 55.1862299586748,9.30960381446563 55.1905560553304,9.30715681861184 55.1952452427046,9.3063556838307 55.2001174116887,9.30723179289048 55.2049853589357,9.3097520707838 55.2096619761469,9.31382016537723 55.2139674459371,9.31928007376042 55.2177361669396,9.32592208662863 55.2208231397795,9.3334908300574 55.2231095651571,9.34169509831985 55.2245074349682,9.35021909702844 55.2249629360903,9.35873465656757 55.2244585327111,9.36691393459332 55.2230136449792,9.37444210550363 55.2206838971687,9.38102953535237 55.2175589650968,9.38642296266236 55.2137591078129,9.39041524779448 55.2094305202302,9.39285331370945 55.2047396892543,9.39364397599994 55.1998669742165)))', 'DKHGL', 'Hogelund', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8007301957939 55.2780791890803,14.7999144172335 55.2732077772645,14.7974500483807 55.268520786839,14.7934323019735 55.2641982415512,14.7880159193027 55.2604061117514,14.7814091718189 55.257289957967,14.7738658388686 55.2549693627793,14.7656754725999 55.2535333610793,14.7571523214499 55.2530370404152,14.7486233301498 55.2534994387596,14.7404156658172 55.254902818256,14.7328442358124 55.2571933420414,14.7261996633053 55.2602831288661,14.7207371709279 55.2640536087159,14.7166667917802 55.2683600537499,14.7141452810353 55.2730371143208,14.7132700414899 55.2779051512468,14.714075304098 55.2827771243449,14.7165307218303 55.2874657747829,14.7205424446747 55.2917908260917,14.7259566483743 55.2955859264027,14.7325653932094 55.2987050629552,14.7401145957571 55.3010281990684,14.7483138102773 55.3024659130179,14.756847441266 55.3029628565806,14.7653869485292 55.302499896953,14.7736035639869 55.3010948574421,14.7811810175502 55.2988018276336,14.7878277690179 55.2957090702967,14.7932882640334 55.2919356076796,14.7973527735791 55.2876266217223,14.7998654360766 55.282947848904,14.8007301957939 55.2780791890803)))', 'DKHHV', 'Hammerhavn', 'Y'),('SRID=4326;MULTIPOLYGON(((12.36141788907 55.9339598832288,12.3608952674698 55.929077215684,12.3586862540547 55.9243455799164,12.3548762980811 55.9199467286149,12.3496122140789 55.9160495717935,12.343096479181 55.9128037062965,12.3355794246585 55.9103336925384,12.3273496258309 55.9087342945197,12.3187228580896 55.9080668619783,12.3100300364756 55.9083569900939,12.3016045909607 55.9095935440574,12.2937697486398 55.9117290847553,12.2868261970771 55.9146816795434,12.2810405900504 55.9183380303801,12.2766353281429 55.9225578022074,12.2737800026247 55.9271789891188,12.2725848327968 55.9320241161708,12.2730963558181 55.9369070421547,12.2752955459302 55.9416401045766,12.279098449384 55.9460413335528,12.2843593253324 55.9499414570903,12.290876185042 55.9531904266896,12.2983985260016 55.9556632093645,12.3066369680815 55.9572646195717,12.3152744200326 55.9579330012353,12.3239783402377 55.95764261468,12.3324136090623 55.9564046340602,12.3402555039004 55.9542667156852,12.3472022635064 55.9513111541797,12.3529867457093 55.9476516992412,12.3573867211728 55.9434291584991,12.3602334034414 55.9388059594016,12.36141788907 55.9339598832288)))', 'DKHIL', 'Hillerod', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0064594789624 57.5886385029209,10.0054324994489 57.583778117306,10.0026603258348 57.5791186791307,9.99825006364522 57.5748391368455,9.99237156752891 57.5711037899851,9.98525085767512 57.5680559997239,9.97716141703899 57.5658127078872,9.96841370631663 57.5644599707498,9.95934329579276 57.5640496750441,9.95029806061882 57.5645975588831,9.94162491780036 57.566082611401,9.93365659859283 57.568447873512,9.92669894885669 57.5716026100229,9.92101923221864 57.5754257721655,9.91683587692291 57.579770621175,9.9143100576619 57.5844703395138,9.91353943947494 57.5893444183391,9.91455433351756 57.5942055792871,9.91731642621908 57.5988669668823,9.92172014678078 57.6031493358931,9.92759663645901 57.6068879564422,9.93472018052959 57.6099389689658,9.94281686455657 57.6121849410782,9.95157512510429 57.6135394084563,9.96065778577131 57.6139502209536,9.9697151064298 57.6134015617803,9.97839833016578 57.6119145598399,9.98637319099444 57.6095464710007,9.99333284715423 57.6063884608004,9.9990097295618 57.6025620763965,10.0031858414617 57.598214547114,10.0057011109041 57.593513098537,10.0064594789624 57.5886385029209)))', 'DKHIR', 'Hirtshals', 'Y'),('SRID=4326;MULTIPOLYGON(((8.87772497417019 56.9960530158813,8.87686245769866 56.9911834611869,8.87427656103268 56.9864992793072,8.87006722483988 56.9821803791816,8.86439659098556 56.9783925811527,8.85748271400925 56.9752812678167,8.84959116105277 56.9729658244801,8.84102482607062 56.971535078707,8.83211234669914 56.9710439100499,8.82319556026129 56.9715111567227,8.81461646802558 56.972918897291,8.8067041934028 56.9752131341342,8.79976241996141 56.978305853207,8.7940577789692 56.9820783832635,8.78980962391169 56.9863859289462,8.78718158170763 56.9910631076878,8.78627520814125 56.9959302818196,8.78712599983907 57.0008004461213,8.78970192896379 57.0054864085497,8.79390457231436 57.0098079890931,8.79957280695118 57.0135989593404,8.80648894359667 57.0167134537541,8.81438707109771 57.0190316027371,8.82296329458621 57.0204641668148,8.83188747098921 57.0209559896136,8.84081598221393 57.0204881333325,8.84940504199648 57.0190786122132,8.85732400945622 57.0167816949497,8.86426818210206 57.0136858036574,8.86997056341194 57.0099100925243,8.8742121439193 57.0055998411976,8.8768302976223 57.0009208441538,8.87772497417019 56.9960530158813)))', 'DKHIV', 'Hovsør', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2960486942059 57.2665336253275,10.2949930701457 57.2616754966255,10.2922091398317 57.2570222531874,10.2878044444308 57.2527526049383,10.2819486108471 57.2490304719884,10.2748667789868 57.245998709649,10.2668309342303 57.2437736465865,10.2581494804866 57.2424406417624,10.2491554506424 57.2420508267507,10.2401937980103 57.2426191552044,10.2316082435639 57.2441238322476,10.2237281687285 57.2465071451103,10.2168560420184 57.2496776641316,10.2112558498861 57.2535137320993,10.207142968077 57.2578681115028,10.204675860215 57.2625736153456,10.2039499263054 57.2674495092995,10.2049937468776 57.2723084426338,10.2077678806892 57.2769636438041,10.2121662780009 57.2812361048391,10.2180202707371 57.2849614774078,10.225104999247 57.2879964129967,10.2331480371645 57.2902240998404,10.2418398854877 57.2915587795301,10.2508459288483 57.2919490655081,10.2598193849814 57.2913799324209,10.2684147359347 57.2898732976428,10.2763011088526 57.2874871719919,10.2831750763962 57.284313413351,10.2887723718659 57.280474172135,10.2928780605096 57.2761171689529,10.2953347737987 57.2714099902469,10.2960486942059 57.2665336253275)))', 'DKHJA', 'Hjallerup', 'Y'),('SRID=4326;MULTIPOLYGON(((8.73838936543279 54.9651010719845,8.73758739171462 54.9602290076172,8.7351493806574 54.9555405461752,8.73116952302547 54.95121576942,8.72580109858901 54.9474207353702,8.71925053472478 54.9443011182157,8.7117694551761 54.9419766355137,8.70364502726148 54.940536472973,8.69518897586425 54.940035878789,8.68672567883404 54.9404940551246,8.678579789944 54.9418934255525,8.67106385162649 54.9441803057989,8.66446636004533 54.9472669527237,8.65904072964983 54.9510349149244,8.65499557349528 54.9553395594281,8.65248666994108 54.9600156043521,8.65161092687633 54.9648834487901,8.65240258285528 54.9697560599895,8.65483180245194 54.9744461554139,8.65880573332118 54.9787734045432,8.66417199798958 54.9825713729627,8.67072449788773 54.9856939397515,8.67821131453093 54.9880209382971,8.68634440718101 54.989462799876,8.69481073182634 54.9899640176292,8.70328434660616 54.9895052944607,8.71143902696124 54.9881042900484,8.71896089203738 54.9858149374259,8.72556054337636 54.9827253561305,8.73098423772755 54.9789544442963,8.7350236567831 54.974647283951,8.73752389560591 54.9699695399907,8.73838936543279 54.9651010719845)))', 'DKHJE', 'Højer', 'Y'),('SRID=4326;MULTIPOLYGON(((0.0953069911788415 56.7010652951792,0.0948113215592429 56.6961823070288,0.0925940655488722 56.6914463218228,0.0887410201202063 56.687039258621,0.0834006805817289 56.6831303401924,0.0767784695444632 56.6798696109322,0.0691288129945101 56.6773821970794,0.0607453724165506 56.6757635258049,0.051949806833969 56.6750756827146,0.0430794894315117 56.6753450440011,0.0344746390044043 56.6765612715082,0.0264653461505068 56.6786777080137,0.0193589775501935 56.6816131578417,0.0134284288224954 56.6852549862494,0.00890166755158339 56.6894634216462,0.00595296370454017 56.6940768992917,0.00469614573834246 56.6989182453146,0.00518014859778619 56.7038014671816,0.00738703643745936 56.7085388924489,0.011232590743236 56.7129483828206,0.016569456662769 56.7168603460139,0.023192740414498 56.7201242740958,0.0308478527041744 56.7226145538359,0.0392403014618485 56.7242353217572,0.0480470562498492 56.7249241730579,0.0569290404258698 56.7246545780544,0.0655442590312628 56.7234369104839,0.0735610430053687 56.7213180468059,0.0806708852132456 56.7183795522119,0.08660036121307 56.7147345249829,0.091121666736671 56.710523223701,0.0940613624066836 56.7059076494111,0.0953069911788415 56.7010652951792)))', 'DKHJH', 'H.J.Hansen Hadsund', 'Y'),('SRID=4326;MULTIPOLYGON(((9.36616131954328 56.5298751552102,9.36524671041551 56.5250087366011,9.36263239138136 56.5203343967943,9.3584193721872 56.5160316652249,9.35276991546595 56.5122657415336,9.34590124672411 56.5091811701704,9.33807718843203 56.506896312684,9.32959804238859 56.5054988260152,9.32078910595286 56.505042316489,9.31198825484099 56.505544294673,9.3035330569733 56.5069855074377,9.29574789770775 56.5093106721369,9.28893159642495 56.5124305855545,9.28334597784089 56.5162255289226,9.27920582891368 56.5205498416385,9.27667062440929 56.5252374920111,9.27583834212155 56.5301084350408,9.27674161390336 56.5349755163707,9.27934637310543 56.5396516594014,9.28355306537809 56.5439570601738,9.28920039130605 56.5477261126857,9.29607144977947 56.5508137961528,9.30390205451569 56.5531012752364,9.31239090708012 56.5545004938811,9.32121123238268 56.5549575820834,9.33002342085278 56.5544549411776,9.33848817855742 56.5530119251866,9.34627966473908 56.5506840912822,9.35309809680268 56.547561049043,9.35868132564288 56.5437629935721,9.36281492812108 56.5394360592613,9.36534042610987 56.5347466769152,9.36616131954328 56.5298751552102)))', 'DKHJK', 'Hjarbæk', 'Y'),('SRID=4326;MULTIPOLYGON(((9.64382032677052 55.3617770733528,9.64289941383402 55.3569118113145,9.64033053360205 55.3522423390986,9.63621290746629 55.3479480018013,9.63070510149147 55.3441936818962,9.62401888310403 55.3411234852006,9.61641106712114 55.338855228912,9.60817366682141 55.3374759395957,9.59962272541867 55.33703853025,9.59108624902203 55.337559780899,9.58289169293863 55.3390196982028,9.57535346837392 55.3413622780183,9.56876093591614 55.3444976424808,9.56336733566586 55.3483054717662,9.55938007179838 55.3526396020113,9.55695272237733 55.3573336166251,9.55617908441728 55.3622072200198,9.55708949103508 55.367073152109,9.55964955407902 55.3717443800211,9.5637613944935 55.3760412913713,9.56926732703845 55.3797986118102,9.57595586950255 55.3828717787168,9.58356985325131 55.3851425227056,9.59181632602054 55.3865234384809,9.60037786339414 55.3869613654306,9.6089248461201 55.3864394447296,9.61712821939556 55.3849777717276,9.62467222967666 55.3826326178572,9.63126663555334 55.37949425286,9.63665791171635 55.3756834533646,9.64063900781393 55.3713468354215,9.64305728477036 55.3666511943506,9.64382032677052 55.3617770733528)))', 'DKHJL', 'Hejlsminde', 'Y'),('SRID=4326;MULTIPOLYGON(((8.66202743173568 56.4171308191415,8.66120551120944 56.4122593845277,8.65868542051532 56.4075704005288,8.65456455344298 56.403243964214,8.64900164228101 56.3994461897894,8.64221060179361 56.3963228475083,8.63445228823545 56.3939937885825,8.62602449312566 56.392548366272,8.61725055348241 56.3920420250426,8.60846700797681 56.3924941853923,8.60001076096979 56.3938875032858,8.59220623301958 56.3961685317849,8.58535297688808 56.3992497601902,8.57971422232815 56.4030129545655,8.57550678128833 56.4073136746704,8.57289269824026 56.4119867977695,8.57197296912508 56.4168528411334,8.57278357839845 56.4217248437747,8.57529401884542 56.4264155453609,8.57940836583781 56.430744587336,8.58496887971113 56.4345454588064,8.59176201066926 56.4376719180218,8.59952658420498 56.4400036392453,8.60796385577552 56.4414508639056,8.6167490456564 56.4419578731451,8.62554390242721 56.4415051447669,8.63400979968675 56.440110109284,8.64182084771216 56.4378264751222,8.64867650112023 56.43474214967,8.65431316519708 56.4309758383613,8.65851434625396 56.426672455961,8.66111895284604 56.4219975305144,8.66202743173568 56.4171308191415)))', 'DKHJM', 'Hjerm', 'Y'),('SRID=4326;MULTIPOLYGON(((9.02718125350876 55.6829981682651,9.02632905194746 55.6781286104834,9.02381235291736 55.6734465187842,9.01972839044906 55.6691317258046,9.01423445507607 55.6653499008546,9.00754179678488 55.662246205535,8.99990748856288 55.6599397413877,8.99162456592985 55.6585189989815,8.98301081850032 55.6580384793705,8.97439665628809 55.6585166144129,8.96611250510003 55.6599350636407,8.95847620134535 55.6622394139159,8.95178085660499 55.6653412557639,8.94628364636611 55.6691215588213,8.94219594572653 55.6734352200218,8.93967518824731 55.6781166136887,8.93881876350198 55.6829859342197,8.93966019572977 55.6878560909985,8.94216776236762 55.6925398928518,8.94624561970783 55.6968572467875,8.95173740666831 55.7006420936139,8.95843220034135 55.703748811677,8.96607260264942 55.7060578392495,8.97436465030443 55.7074802955037,8.98298916448893 55.7079614184674,8.99161409604587 55.7074826844272,8.99990737963085 55.7060625250431,9.00754978850899 55.7037556138096,9.01424728165065 55.7006507500843,9.01974235649648 55.6968674242842,9.02382396304532 55.6925511996608,9.0263355955072 55.6878680921479,9.02718125350876 55.6829981682651)))', 'DKHJN', 'Hejnsvig', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5323733819338 54.9634611162259,10.5313547773907 54.9586030367737,10.5287091642041 54.9539526024943,10.5245386892341 54.9496884230703,10.5190039253827 54.945974220772,10.5123176548244 54.9429525611975,10.5047366792592 54.9407394002732,10.496551973778 54.9394196531624,10.4880775592483 54.9390439515761,10.4796385125813 54.9396267109894,10.4715585638279 54.9411455800793,10.4641477431692 54.9435422930263,10.4576905392313 54.9467248929319,10.4524350127823 54.9505712432818,10.4485832771008 54.9549336959007,10.4462837087983 54.9596447399064,10.4456251917236 54.9645234183866,10.4466336233092 54.9693822693601,10.4492708294243 54.9740345262942,10.4534359431084 54.9783013020238,10.4589692076679 54.9820184790154,10.4656580691843 54.9850430388005,10.4732453315096 54.9872585839221,10.4814390624517 54.9885798362438,10.4899238670971 54.9889559348995,10.4983730867314 54.9883724039638,10.5064614425596 54.9868517122172,10.5138776244989 54.9844524029626,10.520336327718 54.9812668283631,10.5255892631992 54.9774175778035,10.5294347121172 54.9730527409895,10.5317252549641 54.9683401917749,10.5323733819338 54.9634611162259)))', 'DKHJO', 'Hjortø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.8192158397855 54.8223598918666,10.8181667331204 54.8175043559717,10.8154978524939 54.8128602538906,10.8113122311254 54.8086059508245,10.8057710161265 54.8049047892037,10.7990872308596 54.8018988340696,10.7915175769417 54.7997034392204,10.7833525926486 54.7984028390491,10.7749055423485 54.7980469317162,10.7665004556307 54.7986493742135,10.7584597640016 54.8001870606161,10.7510919967894 54.8026010031083,10.7446799959549 54.8057985829731,10.7394700918775 54.8096570874417,10.7356626491955 54.8140283998825,10.7334043441262 54.8187446669659,10.7327824734446 54.8236247288013,10.7338215220215 54.8284810680414,10.7364821326059 54.8331270128633,10.7406625310165 54.8373839175256,10.7462023652909 54.8410880435291,10.7528888222719 54.8440968745319,10.7604647936001 54.8462946189109,10.7686387792321 54.8475966845779,10.7770961444262 54.8479529502635,10.7855112892417 54.8473497044199,10.7935602509159 54.8458101752745,10.8009332410807 54.8433936311841,10.807346622629 54.8401930869362,10.8125538549828 54.8363317065998,10.8163549802515 54.8319580446314,10.8186042839873 54.8272403120541,10.8192158397855 54.8223598918666)))', 'DKHJS', 'Hjortholm', 'Y'),('SRID=4326;MULTIPOLYGON(((8.41099272281568 55.5172194207976,8.41022023304109 55.5123457359381,8.40778738908119 55.5076511758847,8.40378820451196 55.5033160568437,8.3983767194991 55.4995068327146,8.39176102749683 55.4963697200304,8.38419525827481 55.4940251047649,8.37596982834449 55.4925629420262,8.36740033090649 55.4920393214752,8.35881548459056 55.4924743270751,8.35054459246559 55.4938512711154,8.3429049794093 55.4961173310646,8.33618987663584 55.4991855654483,8.33065720697432 55.5029382334111,8.32651969366461 55.507231293653,8.32393666960937 55.5118999137565,8.32300790420302 55.516764782148,8.3237696925181 55.5216389835467,8.32619336875849 55.5263351760394,8.33018631504933 55.5306727948961,8.33559544094713 55.5344850056434,8.34221301215389 55.537625137063,8.34978461281053 55.539972343606,8.35801893862362 55.5414362756651,8.36659904207414 55.541960574216,8.37519458986075 55.541525052076,8.38347464971024 55.5401464755943,8.39112050104083 55.5378779158274,8.39783796291857 55.5348066948244,8.40336875336443 55.5310510081269,8.40750043523451 55.5267553566098,8.41007456341107 55.522084967188,8.41099272281568 55.5172194207976)))', 'DKHJT', 'Hjerting', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7935877065509 55.1663664585581,10.7925317684868 55.161511006637,10.7898420414359 55.1568667363367,10.7856223702 55.1526120181655,10.7800352172861 55.1489102087228,10.7732953736738 55.1459033958082,10.7656616925542 55.1437069640176,10.7574271654663 55.1424051857266,10.7489077185585 55.1420480030869,10.7404301510528 55.1426491215937,10.7323196674067 55.1441854865509,10.7248874685428 55.1465981620754,10.7184188655833 55.1497945799165,10.7131623617984 55.1536520740967,10.7093201152975 55.1580225689777,10.7070401470258 55.1627382445207,10.7064105969707 55.1676179648585,10.7074562576708 55.1724742262796,10.7101375302645 55.1771203596068,10.7143518570635 55.1813777107031,10.7199375892042 55.1850825221307,10.7266801520092 55.188092249065,10.7343202783172 55.1902910632768,10.7425639953683 55.1915943296881,10.7510939779244 55.1919518795938,10.759581822804 55.1913499515859,10.7677007609105 55.1898117235997,10.7751383042058 55.1873964151481,10.7816083279275 55.1841969953216,10.7868621125096 55.1803365871227,10.790697913819 55.1759637098227,10.7929686921331 55.1712465461613,10.7935877065509 55.1663664585581)))', 'DKHLG', 'Hesselager', 'Y'),('SRID=4326;MULTIPOLYGON(((8.19292240888516 56.3313007321984,8.19216207319315 56.3264263635157,8.18970520734422 56.3217280309694,8.185646778279 56.3173861941915,8.18014312569253 56.3135675617264,8.17340589690942 56.3104187067213,8.16569389153885 56.3080604607807,8.15730313256668 56.3065832973891,8.1485555428753 56.3060438782339,8.13978665435567 56.306462891646,8.13133280974981 56.3078242638181,8.12351833449148 56.3100757721665,8.11664315679156 56.3131310379227,8.11097133903004 56.3168728235406,8.10672095245024 56.3211575115426,8.10405568080897 56.3258205967062,8.10307847801254 56.3306829846207,8.10382753131843 56.3355578581119,8.10627469739764 56.3402578501198,8.11032648601032 56.3446022483749,8.11582756841108 56.3484239543718,8.12256668856532 56.351575927046,8.13028475892245 56.353936860156,8.1386848331586 56.3554158711197,8.14744357022597 56.3559560169731,8.15622374114408 56.3555364987517,8.16468728552534 56.3541734671157,8.17250840123188 56.3519193972877,8.17938614910573 56.3488610579987,8.18505607548376 56.3451161547125,8.18930039707131 56.3408287795433,8.19195635345292 56.33616384681,8.19292240888516 56.3313007321984)))', 'DKHLK', 'Helmklit', 'Y'),('SRID=4326;MULTIPOLYGON(((8.39036536525133 56.702230206992,8.38957248892008 56.6973572804631,8.38706733588696 56.6926630474025,8.38294673950951 56.6883278072626,8.37736943378146 56.6845180121306,8.37054989540668 56.6813798927233,8.36275007989184 56.6790338658291,8.35426937245959 56.6775699340131,8.34543313722263 56.6770442502416,8.33658029639473 56.6774769759081,8.32805040431413 56.6788515121639,8.32017069808643 56.6811151331668,8.31324360741499 56.6841809976131,8.3075351906697 56.6879314634725,8.30326493272943 56.6922225819505,8.30059729322575 56.6968896020629,8.29963533250886 56.70175327843,8.30041666841201 56.7066267434637,8.3029119317123 56.7113226823182,8.30702579467313 56.7156605358501,8.3126005484034 56.7194734541076,8.31942210472049 56.7226147309062,8.32722820090707 56.7249634687734,8.33571849556641 56.7264292524225,8.34456616501638 56.7269556469619,8.35343054628525 56.7265223827897,8.36197032810446 56.7251461407375,8.3698567677441 56.7228799063402,8.37678641040091 56.7198109187674,8.38249280919103 56.7160572955175,8.38675678645378 56.7117634660688,8.38941483873506 56.7070945941258,8.39036536525133 56.702230206992)))', 'DKHLL', 'Hellingsø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.080564198636 55.1326215256238,10.079595731753 55.1277596254817,10.0769909808916 55.1230993580379,10.0728505333873 55.1188197128894,10.0673338197165 55.1150850074406,10.0606529388797 55.1120385946538,10.0530644933186 55.1097973798768,10.0448597492462 55.1084473535453,10.0363534972323 55.1080403076002,10.0278720329492 55.1085918586308,10.01974070815 55.1100808516758,10.0122715166099 55.1124501669993,10.0057511786127 55.1156088997739,10.0004301706334 55.1194358312367,9.99651311446756 55.1237840612925,9.99415089285731 55.1284866284436,9.993434797714 55.1333629049254,9.99439294387969 55.1382255245039,9.99698909805364 55.1428875787897,10.0011239816672 55.1471698061557,10.0066390112972 55.1509074960788,10.0133223443252 55.1539568412377,10.020917004988 55.1562004898574,10.0291307808805 55.1575520809711,10.0376475064189 55.1579595844136,10.0461392914296 55.1574073139457,10.0542792129199 55.1559165340566,10.0617539683456 55.1535446365136,10.0682759903728 55.1503829192639,10.0735945461507 55.14655305543,10.0775053872112 55.1422023915336,10.0798585770064 55.1374982596023,10.080564198636 55.1326215256238)))', 'DKHLN', 'Helnæs', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7506576604608 55.2120970305821,14.749849327151 55.2072252393239,14.7473948999482 55.2025371981097,14.7433892080474 55.1982129716094,14.7379865289848 55.1944185953395,14.7313946081426 55.1912997166486,14.723866656617 55.1889760231828,14.7156916377277 55.1875366690514,14.7071832127888 55.1870368705697,14.6986677632721 55.1874957990877,14.6904719381408 55.1888958496525,14.6829101912777 55.1911833127901,14.6762727742508 55.1942704243122,14.6708146341679 55.1980387165238,14.6667456353519 55.2023435453041,14.6642224776626 55.2070196229626,14.6633426245162 55.2118873481537,14.6641404814963 55.2167596929465,14.6665859839082 55.2214493846648,14.6705856612744 55.2257761073649,14.6759861517181 55.2295734455068,14.6825800430565 55.232695300824,14.6901138242058 55.2350215325059,14.6982976443399 55.2364626000223,14.7068165022338 55.2369630262102,14.715342428091 55.2365035441567,14.7235471780177 55.2351018430858,14.7311149394113 55.2328118837464,14.7377545450467 55.2297218103513,14.7432107146226 55.2259505415142,14.7472738838103 55.2216431745199,14.7497882402591 55.2169653834784,14.7506576604608 55.2120970305821)))', 'DKHLP', 'Helligpeder', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6575438549405 56.0348541435231,12.6569828314606 56.029972493939,12.6547320706465 56.0252458998397,12.6508786264117 56.0208559178941,12.6455709818261 56.0169711153603,12.6390132827364 56.0137406130531,12.631457465981 56.0112883805686,12.6231935886764 56.009708499068,12.6145387284834 56.0090615695961,12.6058248742528 56.0093724013569,12.5973862609162 56.0106290661925,12.5895466212461 56.0127833544089,12.5826068298244 56.0157526148181,12.5768334011979 56.019422910194,12.5724482750223 56.0236533700237,12.569620276583 56.0282815771881,12.5684585823862 56.0331297856475,12.5690084489392 56.0380117338307,12.571249380304 56.0427397945355,12.5750958190099 56.0471321878163,12.5804003485161 56.0510199793115,12.5869592972207 56.0542535931643,12.5945205380456 56.0567085860737,12.6027931881102 56.0582904566287,12.6114588341798 56.0589383009683,12.6201838453495 56.058627170608,12.6286322881421 56.0573690391648,12.6364789333381 56.0552123396109,12.6434218398285 56.052240090239,12.6491940188277 56.0485666833181,12.6535737209272 56.0443334630654,12.6563929466096 56.039703266849,12.6575438549405 56.0348541435231)))', 'DKHLS', 'Helsingør', 'Y'),('SRID=4326;MULTIPOLYGON(((8.59617294857966 56.5401549606297,8.59535688293523 56.5352831963086,8.59283683126089 56.5305929692868,8.58871019102742 56.5262644243591,8.58313592057835 56.52246375635,8.57632837378343 56.5193368459896,8.56854904178973 56.5170036806887,8.56009652231321 56.5155537705347,8.55129509912518 56.5150427315707,8.54248236233801 56.5154901641634,8.53399633275444 56.5168789056252,8.5261625702844 56.5191556849278,8.51928174695226 56.5222331550771,8.51361814931046 56.5259932272842,8.50938954342709 56.5302915822116,8.5067587886383 56.5349631889961,8.5058275249526 56.53982862407,8.50663218483256 56.5447009504886,8.50914249507309 56.5493928958164,8.51326254124718 56.5537240536625,8.51883436889812 56.5575278314098,8.52564399605268 56.5606578748991,8.5334296148506 56.5629937197288,8.54189167046818 56.5644454478771,8.55070442734203 56.5649571665272,8.55952856990622 56.5645091718362,8.56802434092911 56.5631187120661,8.57586469745376 56.5608393198427,8.58274796357179 56.5577587399541,8.5884094808414 56.553995534619,8.59263179991504 56.5496945001651,8.59525301856755 56.5450210753887,8.59617294857966 56.5401549606297)))', 'DKHMM', 'Humlum', 'Y'),('SRID=4326;MULTIPOLYGON(((8.59852071848462 55.0871512162571,8.59773335792588 55.0822783563511,8.59530434784749 55.0775872050824,8.59132753853948 55.0732579480108,8.58595609764791 55.0694568152659,8.57939657232216 55.0663297148567,8.5719009327884 55.0639966509667,8.563756905926 55.0625471378675,8.55527696775047 55.0620367818111,8.54678641026035 55.0624851589452,8.53861092984203 55.0638750685591,8.53106420069558 55.0661531895202,8.52443589723605 55.0692321153642,8.51898061413088 55.072993691952,8.51490810185342 55.0772935326553,8.51237518999452 55.0819665414065,8.5114797110998 55.0868332352599,8.5122566659646 55.0917066268415,8.51467678911907 55.0963994044901,8.51864758322582 55.1007311350447,8.5240167963995 55.1045352118109,8.53057822064283 55.1076652785792,8.53807959663895 55.1100008795648,8.5462323241851 55.1114521142457,8.55472260266467 55.1119631142744,8.56322356585932 55.1115142054639,8.57140793320619 55.1101226694681,8.57896067754988 55.1078420750219,8.58559120871698 55.1047602051557,8.59104459289398 55.1009956622096,8.59511136870445 55.0966932844127,8.59763557988362 55.0920185540819,8.59852071848462 55.0871512162571)))', 'DKHNB', 'Havneby', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1114387348385 55.9166070218734,10.1104456941282 55.9117460820701,10.1077837399283 55.9070873027478,10.1035556820792 55.9028096131536,10.0979243332058 55.8990772510777,10.0911062018079 55.8960334743431,10.0833631571068 55.8937950820626,10.0749923881515 55.8924479521718,10.0663150395805 55.8920437627822,10.0576639521569 55.8925980200802,10.049370966784 55.8940894664668,10.0417542655285 55.89646089107,10.0351062219749 55.8996213124548,10.0296822160018 55.9034494520468,10.0256908351309 55.9077983682634,10.0232858366143 55.9125010772854,10.022560182428 55.9173769484352,10.0235423848804 55.9222386316974,10.0261953156826 55.926899253309,10.0304175387238 55.931179603552,10.0360471296772 55.9349150395768,10.0428678476725 55.9379618355796,10.0506174297052 55.9402027327914,10.0589976914775 55.9415514719229,10.0676860431544 55.9419561298699,10.076347968847 55.941401129112,10.0846499776216 55.9399078404338,10.0922725136794 55.9375337551797,10.0989223151412 55.9343702598453,10.1043437345057 55.930539100986,10.1083285780411 55.9261876798404,10.1107240837462 55.9214833615798,10.1114387348385 55.9166070218734)))', 'DKHND', 'Hundslund', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2105361215744 55.1085751893613,10.2095525113632 55.1037143809126,10.2069342836391 55.0990569426449,10.2027825412773 55.0947817547506,10.1972571459618 55.0910529629768,10.1905705274307 55.0880136930283,10.1829795061228 55.0857805761277,10.1747754455086 55.0844392921961,10.1662731092008 55.0840412980996,10.1577986428396 55.0846018635337,10.1496771307696 55.0860994880092,10.1422201920266 55.0884767207709,10.1357140788682 55.0916423530983,10.1304087240106 55.0954749010836,10.1265081502154 55.099827248424,10.1241626085537 55.1045322747156,10.1234627506395 55.1094092567995,10.124436066888 55.1142708003601,10.1270457395047 55.1189300374657,10.1311919680511 55.1232078140678,10.136715730273 55.1269395903121,10.143404845058 55.1299817861357,10.1510021119378 55.1322173248777,10.1592152166106 55.133560157913,10.1677280185869 55.1339585925382,10.1762127789209 55.1333972919912,10.1843428461018 55.1318978686756,10.191805298655 55.1295180472043,10.1983130448963 55.1263494304056,10.2036159034897 55.1225139565462,10.2075102317097 55.1181591873666,10.2098467293178 55.1134526119732,10.2105361215744 55.1085751893613)))', 'DKHNE', 'Horne', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3439584909381 55.5161663587281,11.3428246662518 55.5113167227718,11.3400458394258 55.5066857333363,11.335729282515 55.5024512459823,11.3300411774996 55.4987758358861,11.323200184699 55.4958005735798,11.3154690293679 55.4936396300585,11.3071444313189 55.4923759145715,11.2985457605811 55.4920579089012,11.2900028461725 55.4926978166917,11.2818433940635 55.4942710970679,11.2743804837522 55.4967174000737,11.2679006103034 55.49994286914,11.2626527202389 55.503823724632,11.2588386556601 55.5082109942915,11.2566053721131 55.5129362127789,11.2560392330603 55.517817875142,11.2571626089903 55.5226683993407,11.259932924287 55.5273013321969,11.2642442026979 55.531538522282,11.269931065848 55.5352169829541,11.2767750424831 55.5381951792584,11.284512953089 55.5403584935252,11.2928470494243 55.5416236555799,11.3014565154307 55.5419419634131,11.3100098786057 55.541301167379,11.3181778422469 55.5397259435799,11.3256460310519 55.537276937841,11.3321271463544 55.5340484181983,11.3373720525743 55.5301646287095,11.3411793618754 55.5257749883068,11.3434031471423 55.5210483232536,11.3439584909381 55.5161663587281)))', 'DKHNG', 'Hong', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3778976428102 56.3165087196752,10.3768597847397 56.311650480038,10.374137131667 56.3069980766287,10.3698348356292 56.3027301904803,10.3641185654641 56.2990106793109,10.357208089648 56.2959823041258,10.3493688164008 56.293761270016,10.3409016182756 56.2924327868462,10.3321313285686 56.2920478164325,10.3233943426913 56.2926211279248,10.3150257881651 56.2941307340358,10.3073467415294 56.2965187292084,10.3006519689234 56.2996934985377,10.2951986494289 56.3035332150344,10.2911965067626 56.3078904943788,10.2887997262329 56.3125980323792,10.2881009710857 56.317475012505,10.2891277369973 56.3223340405907,10.2918411976107 56.3269883423554,10.2961376003566 56.3312589477592,10.3018521735987 56.3349815851024,10.3087654072047 56.3380130174484,10.3166114731086 56.3402365742809,10.3250884646377 56.3415666616729,10.3338700575375 56.3419520735797,10.3426181355854 56.3413779736378,10.3509958825749 56.3398664691691,10.3586808224965 56.337475754739,10.3653772920129 56.334297859235,10.370827853706 56.3304550855786,10.3748232037116 56.3260952835138,10.3772101908435 56.3213861412933,10.3778976428102 56.3165087196752)))', 'DKHNS', 'Hornslet', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1101757783995 54.8180363809545,12.1096937280664 54.8131523748283,12.1075714148395 54.8084165021835,12.1038909211434 54.8040106836869,12.0987940636319 54.8001041039361,12.0924768860195 54.796846729371,12.085182098895 54.7943635696738,12.0771897609927 54.7927498994599,12.0688065586965 54.7920676199848,12.060354089361 54.7923428971918,12.0521565882341 54.7935651643179,12.0445285576416 54.7956875261529,12.0377627603069 54.7986285496896,12.0321190261714 54.8022753740918,12.0278142941221 54.8064880234074,12.0250142672061 54.8111047599996,12.0238270031672 54.815948276878,12.0242986928754 54.8208324944854,12.0264117993177 54.8255697033466,12.0300856417179 54.8299777793682,12.0351794160219 54.8338871942655,12.0414975479077 54.8371475499735,12.0487971815094 54.8396333829579,12.0567975202617 54.841249011619,12.0651906597234 54.8419322365453,12.0736534896945 54.8416567478566,12.0818601976121 54.8404331445123,12.0894948794984 54.8383085251502,12.0962637600314 54.8353646664658,12.1019065398827 54.8317148609211,12.1062064254488 54.8274995383202,12.108998451517 54.8228808432828,12.1101757783995 54.8180363809545)))', 'DKHOB', 'Horbelev', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((10.4127899357905 57.0594919866718,10.4117253584779 57.0546347295326,10.4089427594109 57.0499839211761,10.4045496194524 57.0457181780892,10.3987151142243 57.0420012710992,10.3916635598081 57.0389758560054,10.3836657775083 57.0367580191999,10.3750287117195 57.0354328436678,10.3660836959745 57.0350511616486,10.3571738087191 57.0356276153718,10.3486407912735 57.0371400982466,10.3408120152351 57.0395305973943,10.3339879849651 57.0427074062048,10.3284308428195 57.0465486244381,10.3243543107274 57.0509068150152,10.3219154522411 57.0556146427511,10.3212085753208 57.0604912824655,10.3222615194188 57.0653493536395,10.3250344829894 57.0700021173218,10.3294214520858 57.0742706593457,10.3352541905452 57.0779907827715,10.3423086512639 57.0810193421269,10.3503135704816 57.0832397723341,10.3589609172738 57.0845665955857,10.3679177929165 57.0849487287913,10.3768393133992 57.0843714610322,10.3853819663455 57.0828570228289,10.3932169132394 57.0804637247419,10.4000427102643 57.0772836994948,10.4055969460949 57.0734393370012,10.4096663412648 57.0690785530248,10.4120949187543 57.0643690775718,10.4127899357905 57.0594919866718)))', 'DKHOH', 'Hou Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((9.19522513074068 56.582937240739,9.19433116699546 56.5780696003499,9.1917342405354 56.5733917016526,9.18753469683646 56.5690832117153,9.18189428525594 56.5653095518751,9.17502988804819 56.5622155637604,9.16720516698601 56.5599199701784,9.15872045137733 56.5585108396196,9.14990125293121 56.5580422245926,9.14108584027033 56.5585320995294,9.13261233790012 56.559961675225,9.12480583050901 56.5622761153703,9.11796595330055 56.5653866284791,9.11235543264857 56.5691738571452,9.10819000901495 56.5734924378569,9.10563012640089 56.5781765602314,9.10477471063442 56.5830463161341,9.10565728402196 56.5879145981744,9.10824457834952 56.592594284811,9.1124377145449 56.5969054367784,9.11807591873628 56.6006822274704,9.12494264472702 56.6037793386148,9.13277387621089 56.6060775719513,9.14126829272838 56.6074884571101,9.15009890569386 56.6079576744603,9.15892570872484 56.6074671578713,9.16740884323258 56.6060357942341,9.17522175812197 56.6037186920562,9.18206384270705 56.6006050480948,9.18767203456364 56.5968146963999,9.19183094777052 56.5924934759361,9.19438112948106 56.5878075989639,9.19522513074068 56.582937240739)))', 'DKHOJ', 'Hojslev', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9606416457894 55.2489484157003,11.9594414805929 55.2441051781115,11.9566110572 55.2394887087771,11.9522596140846 55.2352763027865,11.9465546571966 55.2316296860681,11.9397154800317 55.2286888238674,11.9320047280833 55.2265665681416,11.9237183330431 55.2253443455942,11.9151741993542 55.225069048287,11.906700068919 55.2257512433288,11.8986210179467 55.2273647686669,11.891247052531 55.2298477302353,11.8848612663154 55.2331048633834,11.8797090045648 55.2370111704302,11.875988444484 55.2414166980983,11.8738429523898 55.2461522752009,11.8733555154854 55.251035993873,11.8745454710869 55.2558801883168,11.877367671371 55.2604986446909,11.8817141297573 55.264713765398,11.8874180991769 55.2683634112189,11.89426043647 55.2713071557548,11.901978015044 55.2734317082388,11.9102738639161 55.2746552923064,11.9188286393815 55.2749308086162,11.9273129794214 55.2742476567183,11.9354002535048 55.2726321443381,11.9427792036432 55.2701464680514,11.9491659773159 55.2668863058005,11.9543150789288 55.2629771164198,11.9580288123817 55.2585692919955,11.9601648506503 55.2538323533746,11.9606416457894 55.2489484157003)))', 'DKHOM', 'Holmegård', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5006032791721 56.0909113972439,12.5000615149577 56.0860292561896,12.497826982716 56.0812999908046,12.493986116426 56.0769052612549,12.4886869199992 56.0730138176794,12.4821332186751 56.0697750360639,12.474576798941 56.0673132036663,12.4663077431001 56.0657227696696,12.4576433282644 56.0650647394944,12.4489159092691 56.0653643477095,12.4404602396805 56.0666100963508,12.4326007040276 56.068754194385,12.4256389372859 56.0717143817909,12.4198422944485 56.07537707005,12.4154336039876 56.079601681491,12.4125825947201 56.0842260246408,12.4113993269867 56.089072503103,12.4119298875386 56.0939549230203,12.414154525007 56.098685640187,12.4179883118012 56.1030827734165,12.4232843217992 56.1069772066321,12.4298392148689 56.1102191087027,12.437401023093 56.1126837173093,12.4456788438211 56.1142761606158,12.454354065566 56.1149351273018,12.4630926882363 56.114635240223,12.4715582526049 56.1133880397981,12.4794248677508 56.1112415380818,12.4863898209104 56.1082783610344,12.4921852719899 56.1046125523207,12.496588573954 56.1003851646728,12.4994308183371 56.0957588122155,12.5006032791721 56.0909113972439)))', 'DKHON', 'Hornbæk', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8766449022311 55.248978447074,11.8754549273591 55.2441342688478,11.8726341734366 55.2395157416724,11.8682915085012 55.2353002401956,11.8625941027656 55.2316496095948,11.8557609613448 55.2287039694278,11.848054499517 55.2265763550881,11.8397704855067 55.2253483988178,11.8312267331087 55.2250672124797,11.8227509697496 55.2257435888817,11.8146683338649 55.2273515889885,11.8072889681653 55.229829530588,11.8008961722258 55.2330823416519,11.7957355588858 55.2369851905319,11.7920056245593 55.2413882570225,11.7898500944041 55.2461224649078,11.7893523405202 55.2510059594838,11.7905320965165 55.2558510841786,11.7933446070587 55.2604715899932,11.7976822590885 55.2646898010506,11.8033786455641 55.2683434596646,11.810214916546 55.2712919852901,11.8179281803108 55.2734219032482,11.8262216331013 55.2746512305915,11.8347760241525 55.2749326467233,11.843262006397 55.2742553238515,11.8513528856644 55.2726453451032,11.8587372642632 55.2701646939213,11.8651310794515 55.2669088548437,11.8702885632207 55.2630031205065,11.8740116956078 55.2585977503996,11.8761577869892 55.2538621714433,11.8766449022311 55.248978447074)))', 'DKHOO', 'Holme-Olstrup', 'Y'),('SRID=4326;MULTIPOLYGON(((9.88737893983905 55.8616880423627,9.88641535014425 55.8568251697298,9.88378399897453 55.852161419508,9.87958652127234 55.8478759135434,9.87398455760824 55.8441331911968,9.86719349183676 55.8410769090625,9.8594741584598 55.8388243468048,9.85112284067762 55.8374619262289,9.84245994014716 55.8370419118348,9.83381774538548 55.8375804163693,9.82552775655449 55.8390567858951,9.81790803942742 55.8414143873656,9.81125108038415 55.844562769367,9.80581259732203 55.8483811153559,9.80180172871315 55.8527228601307,9.79937297533763 55.8574212961383,9.79862020752141 55.8622959581324,9.79957297652901 55.8671595441522,9.80219528416709 55.8718251090245,9.80638687228803 55.8761132546395,9.8119869969578 55.879859039774,9.81878055429461 55.8829183415523,9.82650633048074 55.8851734205962,9.83486706145754 55.8865374719424,9.84354091249335 55.8869579828202,9.85219392795339 55.8864187648978,9.86049296032011 55.8849405807193,9.86811856702307 55.8825803395963,9.87477736504898 55.8794288948061,9.88021335653461 55.8756075291743,9.88421778233022 55.8712632676154,9.8866371225165 55.8665632008398,9.88737893983905 55.8616880423627)))', 'DKHOR', 'Horsens', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2762859386414 54.8991964734635,11.2751797523575 54.894345528472,11.2724533171718 54.8897121178877,11.2682118743994 54.885474193119,11.262618709349 54.8817944651147,11.2558888325768 54.8788141743281,11.2482807069257 54.8766476886878,11.2400863397716 54.8753781332612,11.2316201174184 54.8750542158088,11.2232068022076 54.8756883671936,11.2151691416649 54.8772562662635,11.2078155522905 54.879697767072,11.2014283381535 54.8829191939293,11.1962528862939 54.8867969185553,11.1924882474198 54.8911820853102,11.1902794621943 54.8959063068185,11.189711931641 54.9007881148749,11.1908080564261 54.9056399217976,11.1935262861132 54.9102752266029,11.1977626285995 54.914515789505,11.2033545750499 54.9181984979235,11.2100873004312 54.9211816576643,11.2177019082277 54.9233504640262,11.2259054042162 54.9246214386325,11.2343820123093 54.9249456576651,11.2428053890285 54.924310644348,11.2508512550724 54.9227408510549,11.2582099447272 54.9202967121112,11.2645983774535 54.9170723048391,11.2697709806945 54.9131917112601,11.2735291374206 54.9088042237857,11.2757287938173 54.9040785830996,11.2762859386414 54.8991964734635)))', 'DKHOS', 'Horslunde', 'Y'),('SRID=4326;MULTIPOLYGON(((9.08173977190828 57.0079784930941,9.08085033463276 57.0031103733464,9.07823799520508 56.9984304337301,9.07400370818185 56.9941184188058,9.06831057048498 56.9903398833797,9.0613774967534 56.9872398537018,9.05347078693419 56.9849372816753,9.04489391307779 56.983520501025,9.03597591465442 56.9830438558854,9.02705883959692 56.9835256278579,9.01848470069091 56.9849473388619,9.01058243326468 56.9872544557519,9.00365534008852 56.9903584704543,8.99796949297845 56.9941402780321,8.99374352810066 56.9984547263814,8.99114022400572 57.0031361668742,8.99026018899524 57.0080047968124,8.99113790902294 57.0128735535096,8.99374032099679 57.0175552974592,8.99796798172387 57.0218700094077,9.00365880307699 57.0256517239518,9.01059422306238 57.0287549308499,9.01850758453993 57.0310601944956,9.02709440280571 57.0324787713889,9.03602412444211 57.0329560439332,9.04495291676054 57.03247363501,9.05353698312577 57.0310501196704,9.06144587684268 57.0287403057538,9.06837528634947 57.0256331119324,9.07405878719263 57.0218481271354,9.07827810040667 57.0175309871693,9.0808714600977 57.0128477504359,9.08173977190828 57.0079784930941)))', 'DKHOT', 'Holmtange', 'Y'),('SRID=4326;MULTIPOLYGON(((10.011477951296 55.9496429527386,10.0104965242545 55.9447811916734,10.00784422651 55.940120242964,10.003623499206 55.9358391197038,9.99799687587102 55.9321021918429,9.99118068583858 55.9290528925675,9.9834367256087 55.9268082328328,9.97506222046418 55.925454330814,9.96637845868028 55.9250431241205,9.95771852653241 55.9255903878369,9.9494146030193 55.9270751324456,9.94178528816738 55.9294404041413,9.93512343768522 55.9325954577336,9.92968495960748 55.9364192210248,9.92567899571832 55.9407649209946,9.92325986262632 55.9454656980372,9.92252106542471 55.9503409964717,9.92349162243974 55.9552034890665,9.92613485471338 55.9598662716364,9.93034970123714 55.9641500519002,9.93597452377913 55.9678900554035,9.94279326716282 55.9709423807214,9.95054374616606 55.9731895562111,9.95892774308274 55.9745450806959,9.96762252460017 55.9749567695603,9.97629332678581 55.9744087743134,9.98460631577379 55.9729221958418,9.99224151140044 55.9705542671403,9.99890516266373 55.9673961379049,10.004341087379 55.9635693485722,10.0083405324907 55.9592211328497,10.0107501738161 55.9545187333432,10.011477951296 55.9496429527386)))', 'DKHOV', 'Hovedgård', 'Y'),('SRID=4326;MULTIPOLYGON(((8.11464291179826 56.0923281535075,8.11389689693764 56.0874531655792,8.11146452923307 56.0827531818624,8.10743982680211 56.0784087268072,8.1019778290148 56.0745866112397,8.09528858197827 56.0714335438692,8.08762904478934 56.0690705196729,8.07929323083723 56.0675881968141,8.07060096052823 56.0670434357084,8.06188564982389 56.0674571297583,8.05348159188573 56.0688134087246,8.04571120625621 56.0710602443936,8.03887273106522 56.0741114359061,8.03322881872251 56.077849900579,8.02899646471905 56.0821321470598,8.02633865312482 56.0867937628936,8.02535804212908 56.0916557096768,8.02609293997767 56.0965311873994,8.02851573790531 56.1012328066317,8.03253387470505 56.105579793932,8.03799331056557 56.109404952963,8.04468438941234 56.1125611116763,8.05234987327466 56.1149268044653,8.0606948434374 56.1164109668972,8.0693980855433 56.1169564584979,8.07812451327171 56.1165422746529,8.08653814099237 56.1151843601689,8.09431509224898 56.1129349922526,8.10115612935532 56.1098807572754,8.10679820987576 56.1061392012605,8.11102461720024 56.1018542861893,8.11367327258799 56.0971908307845,8.11464291179826 56.0923281535075)))', 'DKHOW', 'Hovvig', 'Y'),('SRID=4326;MULTIPOLYGON(((8.27202833067487 55.5502694339777,8.2712724224384 55.5453949507351,8.26885414828684 55.5406977022881,8.26486696461012 55.5363581089073,8.25946445362408 55.5325427968508,8.25285436717563 55.5293982166194,8.24529062240243 55.52704504077,8.23706355990812 55.5255735526568,8.22848883634046 55.5250401993457,8.21989537058605 55.5254654377757,8.21161279517278 55.5268329546092,8.20395888124879 55.5290902888455,8.19722740637133 55.5321508339197,8.19167691927994 55.5358971444574,8.1875208251341 55.5401854238583,8.18491916898459 55.5448510241616,8.18397243552557 55.5497147508067,8.18471761090351 55.5545897334404,8.18712666952761 55.5592886011036,8.19110755798737 55.5636306870156,8.1965076524575 55.5674489854531,8.20311956898609 55.5705965912663,8.2106891118248 55.5729523712806,8.21892505766819 55.574425645681,8.22751039745826 55.574959695455,8.23611459608245 55.5745339576333,8.2444063870283 55.5731648215813,8.25206659616526 55.5709049948118,8.25880048754784 55.5678414633555,8.26434914454784 55.5640921272368,8.26849944062305 55.559801243673,8.27109221342748 55.5551338570848,8.27202833067487 55.5502694339777)))', 'DKHOX', 'Ho', 'Y'),('SRID=4326;MULTIPOLYGON(((9.39456074996341 56.0168655218615,9.3936550051696 56.0119988951934,9.39107226944682 56.0073247200952,9.38691232095718 56.0030225214629,9.38133537075985 55.9992574812561,9.3745558534695 55.9961741133554,9.36683416927503 55.9938907365118,9.35846669724312 55.9924949537607,9.34977446055645 55.9920403080323,9.34109087092388 55.9925442391286,9.33274901083621 55.9939874183741,9.32506892800668 55.9963144857735,9.31834541593704 55.9994361622017,9.31283673809408 56.0032326577608,9.30875472096966 56.0075582487446,9.30625659396542 56.0122468513341,9.30543889262406 56.017118381839,9.30633366772318 56.0219856624552,9.30890715819808 56.0266616094155,9.31306099339085 56.0309664280747,9.31863589293743 56.034734537598,9.32541773441872 56.0378209568297,9.33314576381131 56.040106902481,9.34152263605061 56.0415043804381,9.35022589685647 56.0419595896908,9.35892045619527 56.0414550046455,9.36727156153537 56.0400100535356,9.37495775765668 56.0376803661071,9.3816833203653 56.0345556203614,9.38718967400577 56.0307560734724,9.39126534592752 56.0264279136832,9.39375407272948 56.0217376158898,9.39456074996341 56.0168655218615)))', 'DKHPN', 'Hampen', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7473015370196 55.833018061458,11.7461073362166 55.8281730522211,11.7432573054998 55.823552210165,11.738861457343 55.8193329972726,11.7330890189796 55.8156773984737,11.7261618840797 55.8127257205637,11.7183460762393 55.8105912270236,11.7099415536822 55.8093558108659,11.701270742706 55.8090668679312,11.6926662313081 55.8097354877088,11.6844580831447 55.81133602936,11.6769612449373 55.8138070989078,11.6704635173854 55.8170538912774,11.6652145406122 55.8209518097983,11.6614162105018 55.825351227679,11.6592148926746 55.8300832125208,11.6586957373905 55.8349659977652,11.6598793229653 55.8398119555117,11.6627207694702 55.8444348046413,11.6671113712995 55.8486567776126,11.6728826999268 55.8523154692994,11.679813030632 55.8552701020422,11.687635853289 55.8574069625131,11.6960501417323 55.8586437973555,11.7047319828951 55.8589329947465,11.7133471095316 55.8582634264579,11.7215638419094 55.856660877731,11.7290659264378 55.8541870481022,11.7355647637137 55.8509371628443,11.7408105446712 55.8470362894919,11.7446018599623 55.8426345046826,11.7467934119101 55.8379011011581,11.7473015370196 55.833018061458)))', 'DKHQL', 'Hølkerup', 'Y'),('SRID=4326;MULTIPOLYGON(((8.22526179713177 56.617290014619,8.22449189941415 56.6124160413106,8.22201280933612 56.607718503592,8.21792035768797 56.6033778292903,8.21237219797112 56.5995606805294,8.20558168982598 56.5964135714706,8.19780967759502 56.5940572647325,8.18935448326049 56.5925821577522,8.18054049568512 56.5920448322614,8.17170578651191 56.5924658959409,8.16318921620809 56.5938291967667,8.15531751093002 56.5960824392912,8.14839279183682 56.5991391798442,8.14268102317772 56.6028821261703,8.13840181420283 56.6071676180793,8.13571996330072 56.6118311209857,8.13473907173998 56.6166935253611,8.1354974804404 56.6215680135966,8.13796669831954 56.6262672328664,8.14205239753863 56.6306104993428,8.14759795259333 56.6344307562674,8.15439040038209 56.6375810162895,8.16216860127204 56.6399400370845,8.17063329111498 56.6414170080244,8.17945863544212 56.641955063606,8.1883048336453 56.6415334849986,8.19683127615387 56.6401685026193,8.2047097338565 56.6379126679177,8.21163705759963 56.6348528191999,8.21734688660234 56.6311067219114,8.22161990691238 56.6268185159477,8.22429226231058 56.6221531490841,8.22526179713177 56.617290014619)))', 'DKHRB', 'Harboøre', 'Y'),('SRID=4326;MULTIPOLYGON(((11.511214650121 55.7491039384877,11.5100525643397 55.7442562912876,11.5072367375572 55.7396296137095,11.5028758685365 55.7354015937046,11.4971378433218 55.7317345559829,11.4902432379922 55.7287692476724,11.4824568320418 55.7266194561061,11.4740774599815 55.7253676615297,11.4654265870299 55.7250618879321,11.4568360388478 55.7257138699194,11.4486353442065 55.7272986042004,11.4411391626891 55.7297553025551,11.4346352667436 55.7329897108554,11.4293735286704 55.7368777075978,11.4255563287751 55.7412700472307,11.4233307516375 55.7459980700253,11.4227828743273 55.7508801629457,11.4239343750365 55.7557287263748,11.4267416051062 55.7603573808957,11.4310971745446 55.7645881375862,11.4368340041221 55.7682582551011,11.4437316997873 55.771226517442,11.4515250115726 55.7733786875511,11.459914053617 55.7746319230709,11.4685758885331 55.7749379806411,11.4771770217977 55.7742850824237,11.4853863131546 55.7726983711975,11.4928877942478 55.7702389361552,11.4993928858185 55.7670014480611,11.5046515335459 55.7631104972897,11.5084618276034 55.7587157791162,11.5106777347635 55.7539863153804,11.511214650121 55.7491039384877)))', 'DKHRE', 'Hørve', 'Y'),('SRID=4326;MULTIPOLYGON(((8.14504262491329 55.5643151052875,8.14430219228172 55.5594399051132,8.1418982434968 55.5547402131692,8.1379236863864 55.550396544374,8.13253162053224 55.5465756820691,8.125929399227 55.5434242901662,8.11837064001772 55.5410633027423,8.11014549399024 55.539583302768,8.10156954531595 55.5390410635965,8.09297176005425 55.5394573827101,8.08468193572825 55.5408162886257,8.07701812011486 55.5430656505089,8.07027446869748 55.5461191676987,8.06470999530857 55.5498596647777,8.06053863992591 55.5541435687999,8.05792103199681 55.558806400524,8.05695826804979 55.5636690726032,8.05768795017233 55.5685447561475,8.06008264916798 55.5732460541745,8.0640508654043 55.5775922072549,8.06944046464101 55.5814160538375,8.07604446910792 55.5845704756818,8.08360898979024 55.5869340774294,8.09184299847121 55.5884158781023,8.10042956171995 55.5889588302066,8.10903809750198 55.5885420277223,8.11733717162248 55.5871815157215,8.12500732810603 55.584929669551,8.13175344613009 55.5818731680824,8.13731613634603 55.5781296410628,8.14148173025043 55.573843122719,8.14409047552995 55.5691784902986,8.14504262491329 55.5643151052875)))', 'DKHRG', 'Haurvig', 'Y'),('SRID=4326;MULTIPOLYGON(((9.94332488099957 54.9096714198897,9.94237865583248 54.9048081743347,9.9398044731685 54.9001446947313,9.93570174061803 54.8958600957546,9.9302284374271 54.8921188869127,9.92359499591109 54.8890646726509,9.91605620018111 54.8868146592787,9.90790141563068 54.8854551759308,9.89944352147531 54.8850383778817,9.89100696365038 54.8855802557405,9.88291537556502 54.887060024993,9.87547922895724 54.8894209187358,9.86898397610827 54.8925723540494,9.86367912796367 54.8963933910452,9.85976868059602 54.9007373549895,9.85740325558926 54.9054374477494,9.85667425938782 54.910313136739,9.85761029395944 54.9151770790467,9.86017596831962 54.9198423167393,9.8642731701693 54.9241294674891,9.86974476226256 54.9278736333043,9.87638057278539 54.9309307595672,9.88392545696904 54.9331831966423,9.8920891225089 54.9345442464078,9.90055733813827 54.9349615151158,9.90900408656865 54.9344189405034,9.91710418296144 54.9329374131597,9.92454586026517 54.9305739676417,9.93104282420134 54.9274195753541,9.93634530332913 54.9235956263582,9.94024966223947 54.919249238713,9.94260620626165 54.9145475795376,9.94332488099957 54.9096714198897)))', 'DKHRH', 'Høruphav', 'Y'),('SRID=4326;MULTIPOLYGON(((11.749193797448 55.7380184526848,11.7480026501184 55.7331733674977,11.7451596914842 55.7285524364652,11.7407746592974 55.7243331253678,11.7350163633163 55.7206774234504,11.7281061533011 55.7177256420931,11.7203094034691 55.7155910493606,11.7119253419934 55.7143555425793,11.7032756121488 55.7140665213924,11.69469199553 55.7147350783852,11.6865037564343 55.7163355749768,11.6790250794377 55.7188066185457,11.6725430691492 55.7220534044759,11.667306762127 55.7259513357227,11.6635175663422 55.7303507843965,11.6613214940583 55.7350828164112,11.6608034906666 55.7399656630735,11.661984086474 55.7448116940319,11.6648185128174 55.7494346255081,11.6691983309081 55.7536566871727,11.6749555247883 55.7573154710323,11.6818689124851 55.7602701965092,11.6896726360101 55.7624071473228,11.6980664055094 55.7636440671498,11.7067270997482 55.7639333412232,11.7153212678994 55.7632638384578,11.7235180392886 55.7616613414203,11.7310019303746 55.7591875472821,11.7374850427521 55.7559376794093,11.7427181720825 55.7520368040442,11.7465003941716 55.7476349972916,11.7486867584385 55.7429015522331,11.749193797448 55.7380184526848)))', 'DKHRY', 'Hørby', 'Y'),('SRID=4326;MULTIPOLYGON(((8.25283984564665 56.2602787694236,8.25207321534153 56.2554046969568,8.2496134702442 56.2507074921052,8.24555568471679 56.2463675710409,8.24005617089813 56.2425515688229,8.23332641506661 56.2394059578906,8.22562492878619 56.2370514457322,8.21724733119805 56.2355783629928,8.20851504099866 56.2350432151884,8.19976300468447 56.2354665270503,8.19132692050277 56.236832059947,8.18353043458569 56.2390874315253,8.17667278665187 56.242146114423,8.17101736742729 56.2458907394054,8.16678161884544 56.2501775793295,8.16412866174708 56.2548420456271,8.16316097520602 56.2597049901641,8.1639163782189 56.2645795738275,8.16636648030762 56.2692784403304,8.17041767516949 56.2736209205297,8.17591465403569 56.2774399897619,8.1826463165539 56.2805887086626,8.19035386088706 56.2829458965836,8.19874074561159 56.2844208155186,8.20748413814775 56.2849566804069,8.2162474017664 56.2845328573475,8.22469312896229 56.2831656627974,8.23249620554059 56.2809077320817,8.23935638841515 56.2778459821688,8.2450099009408 56.2740982492187,8.24923959146432 56.2698087335343,8.25188326143063 56.2651424310434,8.25283984564665 56.2602787694236)))', 'DKHSC', 'Husby Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5443269763165 55.849090983468,11.5431574241437 55.8442437894803,11.5403301076398 55.8396180462107,11.5359541697428 55.8353914051062,11.5301980768457 55.8317261371917,11.5232830990577 55.828762920899,11.5154747969606 55.8266154625965,11.5070728434701 55.8253661524949,11.4983995677714 55.8250629189945,11.4897876524322 55.8257173992478,11.4815674437505 55.8273044943675,11.4740543485852 55.8297633260048,11.4675367880924 55.8329995587441,11.4622651599781 55.8368890016538,11.4584422264182 55.841282354178,11.4562152953797 55.8460109180342,11.4556704997907 55.8508930595082,11.4568294034437 55.8557411769571,11.459648076806 55.8603689076925,11.464018692779 55.8645982976943,11.4697735951857 55.8682666574431,11.476691695161 55.8712328378036,11.4845069568006 55.8733826811547,11.4929186476622 55.8746334341831,11.5016029561326 55.8749369488157,11.5102255200022 55.8742815450998,11.5184543718283 55.872692462512,11.5259727889111 55.8702308819755,11.5324915398822 55.8669915574014,11.5377600457987 55.8630991504251,11.5415760198133 55.8587034128546,11.5437932134872 55.8539734060736,11.5443269763165 55.849090983468)))', 'DKHSD', 'Høve Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7506259508485 55.1830970025869,14.7498181977139 55.1782251884138,14.7473655459219 55.1735371259591,14.7433627555261 55.1692128808116,14.7379639919455 55.1654184893586,14.7313768498714 55.1622995997146,14.7238543569583 55.1599759001295,14.7156852673531 55.1585365451033,14.7071830154123 55.1580367510902,14.6986737464507 55.1584956893063,14.6904838729885 55.1598957543911,14.6829276211026 55.1621832362109,14.6762950318089 55.1652703697054,14.6708408669134 55.1690386861532,14.666774837775 55.173343540319,14.6642535295347 55.1780196433807,14.6633743336345 55.1828873929113,14.6641716293304 55.1877597600063,14.6666153724218 55.1924494711668,14.6706121591229 55.1967762098039,14.6760087380237 55.2005735599195,14.6825978470331 55.2036954229696,14.6901261590505 55.2060216580303,14.6983040340244 55.2074627245978,14.7068167001044 55.2079631456508,14.7153364265153 55.2075036545119,14.7235352086828 55.2061019407192,14.7310974642592 55.2038119654078,14.7377322382222 55.2007218732498,14.7431844361718 55.1969505833967,14.7472446462013 55.1926431937574,14.7497571690771 55.1879653791565,14.7506259508485 55.1830970025869)))', 'DKHSL', 'Hasle', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9310758475653 54.7229654690912,11.9298970762448 54.7181213488079,11.9271089428246 54.7135033708763,11.9228190459866 54.7092888906078,11.9171925179225 54.7056397166668,11.9104456369205 54.7026959159089,11.9028375078701 54.7005704563636,11.8946601315654 54.6993448903309,11.8862272403691 54.6990662397917,11.8778623206012 54.699745200886,11.8698862699822 54.7013557347214,11.8626051509931 54.7038360599566,11.8562984978681 54.7070910102386,11.8512086161384 54.7109956684364,11.8475312795608 54.7154001414862,11.8454081805909 54.7201352962435,11.844921428422 54.7250192396322,11.8460903146051 54.729864297041,11.8488704825152 54.7344842225812,11.8531555461465 54.7387013644361,11.8587811091204 54.7423535087394,11.8655310400775 54.7453001364248,11.8731457698022 54.7474278490884,11.8813322926077 54.748654751413,11.8897754836587 54.7489336179789,11.898150288573 54.7482537197579,11.9061343047043 54.7466412383119,11.9134202568941 54.7441582514884,11.9197278750986 54.7409003308436,11.9248147068642 54.7369928457196,11.9284854427654 54.7325861195536,11.9305993952404 54.7278496285062,11.9310758475653 54.7229654690912)))', 'DKHSO', 'Hasselø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1613744205089 56.7145853989933,10.1603526983132 56.7097255946675,10.1576272451802 56.705068745748,10.1533033373067 56.700793703829,10.1475474871039 56.6970646001455,10.1405809916395 56.6940245618894,10.1326714128597 56.6917902393086,10.1241223192777 56.6904473497505,10.1152616796701 56.6900474058216,10.1064293457335 56.6906057500336,10.0979640916555 56.6921009693121,10.0901906935393 56.6944757112443,10.0834075303247 56.6976388717051,10.0778751702802 56.7014690722687,10.0738063736129 56.7058192973549,10.0713578928925 56.7105225170542,10.0706243898676 56.7153980836347,10.0716347113848 56.7202586593254,10.0743506805958 56.7249174113517,10.0786684651439 56.7291951983891,10.0844224848401 56.7329274712837,10.0913917212975 56.7359706203601,10.0993081952813 56.738207521776,10.1078672885468 56.7395520655791,10.116739509955 56.7399524873189,10.1255832445823 56.7393933717408,10.1340579825866 56.7378962493531,10.141837504022 56.7355187623002,10.1486224977303 56.7323524326275,10.1541521167695 56.7285191212448,10.1582140182286 56.7241663173259,10.1606524992716 56.7194614433838,10.1613744205089 56.7145853989933)))', 'DKHSU', 'Hadsund', 'Y'),('SRID=4326;MULTIPOLYGON(((9.91125142810292 55.7496798321137,9.91028778018991 55.7448170591737,9.9076612698081 55.7401537190425,9.90347334194175 55.7358689180901,9.89788526736015 55.7321271691171,9.89111189490983 55.729072092013,9.8834133796274 55.7268209208969,9.87508520682785 55.7254600248221,9.86644689219901 55.7250416102506,9.85782978372396 55.7255817287513,9.84956442195915 55.7270596643751,9.84196793020335 55.7294187236104,9.83533190511505 55.7325683984918,9.8299112613864 55.7363878220906,9.82591445147212 55.7407303870298,9.82349543375445 55.7454293535267,9.82274770094696 55.7503042353988,9.82370060652605 55.7551677219303,9.82631814258857 55.7598328717578,9.83050023040817 55.7641203030019,9.83608648831087 55.7678651024245,9.84286234402555 55.7709231857328,9.8505672644635 55.7731768611403,9.85890478918373 55.7745393783375,9.86755397875211 55.7749582840607,9.87618182957209 55.7744174519675,9.88445616566021 55.7729377066452,9.89205849745745 55.770576017116,9.8986963392131 55.7674232917843,9.90411449966638 55.7636008619823,9.90810490442113 55.7592557927539,9.91051457022343 55.7545552051368,9.91125142810292 55.7496798321137)))', 'DKHSY', 'Hornsyld', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3270957822441 55.6509689838893,12.3265801123179 55.6460860498679,12.3243901513923 55.6413538053814,12.3206106070562 55.6369540276545,12.3153871186822 55.6330556639355,12.3089206008935 55.629808359323,12.3014594955124 55.6273367313655,12.2932902337822 55.6257356076044,12.2847262738714 55.6250664050548,12.276096128105 55.625354787179,12.2677308289196 55.6265896857925,12.2599513015126 55.6287237242597,12.2530561142078 55.6316750260388,12.247310064656 55.6353303409066,12.2429340313752 55.6395493717852,12.2400964764085 55.6441701397292,12.2389069269684 55.6490151849316,12.2394116932537 55.653898369061,12.2415919980632 55.6586320201724,12.2453646038627 55.6630341468958,12.2505849276096 55.6669354443699,12.2570525364685 55.6701858208588,12.2645188225142 55.6726601911485,12.2726965657955 55.6742633102019,12.2812710169043 55.6749334572384,12.2899120663234 55.6746448250057,12.2982870216313 55.6734085197653,12.3060734875724 55.6712721322994,12.3129718394942 55.6683178967639,12.318716797964 55.6646595100202,12.3230876505737 55.6604377368114,12.3259167239918 55.6558149735773,12.3270957822441 55.6509689838893)))', 'DKHTP', 'Høje Tåstrup', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8974384676369 55.9579625221875,11.8962212033025 55.953119308518,11.8933437468705 55.9485023272174,11.8889171664979 55.9442888905171,11.8831118698271 55.9406407601133,11.8761510103954 55.937697954856,11.8683019031456 55.935573396777,11.8598657802114 55.934348597129,11.8511662762834 55.9340705443455,11.8425370767068 55.9347499104293,11.8343091900746 55.9363606428646,11.8267983199003 55.9388409574316,11.8202928067133 55.9420956950322,11.8150425926716 55.9459999546073,11.8112496258626 55.9504038661647,11.809060071567 55.9551383245656,11.8085586339848 55.9600214676175,11.8097652158793 55.9648656526545,11.8126340574253 55.9694846653817,11.8170554020036 55.9737008843021,11.8228596390754 55.9773521241519,11.8298237764204 55.9802978926964,11.8376800000656 55.9824248167699,11.8461259944712 55.9836510249179,11.8548366221028 55.9839293142751,11.8634765041297 55.9832489768226,11.8717130056505 55.9816362129583,11.8792291116122 55.9791531161693,11.8857356843859 55.9758952691221,11.8909826205039 55.9719880462612,11.8947684709149 55.9675817687116,11.896948153746 55.9628459018127,11.8974384676369 55.9579625221875)))', 'DKHUN', 'Hundested', 'Y'),('SRID=4326;MULTIPOLYGON(((8.22486295199129 56.2802889736156,8.22409950337838 56.2754147526713,8.22164192895747 56.2707170133091,8.21758522071625 56.2663761923473,8.21208565039673 56.2625589594379,8.20535470725828 56.259411834229,8.19765094898627 56.2570555822322,8.18927008213674 56.2555806007265,8.18053365073968 56.2550434679468,8.17177675977323 56.2554647846705,8.16333529312471 56.2568283887537,8.15553310273039 56.2590819718608,8.14866964652617 56.2621390753481,8.14300853763467 56.2658823907625,8.13876743614228 56.2701682414555,8.1361096684915 56.2748320771016,8.13513789892229 56.2796947740527,8.1358901040011 56.284569502946,8.13833801706771 56.2892689020988,8.14238811698682 56.2936122820051,8.14788513807449 56.2974325834374,8.15461797917136 56.300582819593,8.16232779364771 56.3029417513467,8.17071795294654 56.3044185734502,8.17946549834576 56.304956427454,8.18823363285859 56.3045346027804,8.19668476086703 56.3031693389043,8.20449355957914 56.3009131968504,8.21135956500346 56.2978530248391,8.21701877592429 56.2941065984789,8.2212538212067 56.2898180680313,8.2239022964125 56.2851523917896,8.22486295199129 56.2802889736156)))', 'DKHUS', 'Husby', 'Y'),('SRID=4326;MULTIPOLYGON(((9.25236637313089 56.700916379146,9.25146220801573 56.6960492521113,9.2488500525656 56.6913726495325,9.24463084091034 56.687066187851,9.23896707987771 56.6832952095383,9.23207654865272 56.6802044522899,9.22422391098968 56.6779125140411,9.21571056507925 56.6765073223778,9.20686311793614 56.6760427783515,9.19802091856961 56.6765367002191,9.18952311622205 56.6779701438416,9.18169572599638 56.6802881250829,9.17483918395247 56.6834017172938,9.16921685723889 56.6871914456235,9.16504494233401 56.6915118512133,9.1624841366229 56.6961970539867,9.16163340635206 56.7010671043804,9.16252609897656 56.7059348834179,9.16512856208768 56.7106132883006,9.16934133712523 56.7149224282035,9.17500289717934 56.7186965529205,9.18189579814675 56.7217904457448,9.1897550155041 56.724085031378,9.19827814936302 56.7254919791933,9.20713710258117 56.7259571207803,9.21599077445092 56.725462546909,9.22449826914256 56.7240273009801,9.23233209598052 56.721706641515,9.23919083899024 56.7185899028989,9.24481079594882 56.7147970389943,9.24897613115433 56.7104739860225,9.25152714892237 56.7057870270995,9.25236637313089 56.700916379146)))', 'DKHVA', 'Hvalpsund', 'Y'),('SRID=4326;MULTIPOLYGON(((8.99408793632163 55.6000100494594,8.99324163588838 55.5951401961388,8.99073419241192 55.5904573630889,8.98666248194481 55.5861414119439,8.98118332298992 55.5823580571111,8.97450739777028 55.5792525195662,8.96689113758151 55.5769439721333,8.95862688677698 55.5755209857582,8.95003172052514 55.5750381478287,8.9414353380988 55.5755139791615,8.93316748507821 55.5769302274737,8.92554537383957 55.5792325637016,8.91886157175688 55.5823326551807,8.91337281066651 55.5861115382309,8.90929013963093 55.5904241638679,8.90677079652287 55.5951049458923,8.905912113459 55.5999741021052,8.90674769813263 55.6048445483367,8.90924604964569 55.6095290826354,8.91331167611362 55.6138475843679,8.91878868526826 55.6176339508236,8.92546672217659 55.6207425025347,8.93308903405992 55.6230536077972,8.94136235525027 55.6244783062589,8.94996822969418 55.6249617498815,8.95857532789125 55.6244853256368,8.96685227287988 55.6230673760737,8.97448046811314 55.6207624892562,8.981166419985 55.6176593861533,8.98665306937557 55.6138774889378,8.99072968871194 55.6095623054733,8.99323996143875 55.6048798113646,8.99408793632163 55.6000100494594)))', 'DKHVB', 'Hovborg', 'Y'),('SRID=4326;MULTIPOLYGON(((9.7841400321165 55.6497259030145,9.78319471630864 55.6448620047489,9.78059010369056 55.6401958120672,9.77642679616154 55.6359065421105,9.77086511865041 55.6321588804791,9.76411890770723 55.6290966750894,9.75644727819314 55.6268374344291,9.74814468679044 55.6254678376529,9.73952967093245 55.6250404251409,9.73093268758767 55.6255715934323,9.72268350712011 55.6270409694676,9.71509863256975 55.629392187528,9.70846921386584 55.6325350399216,9.70304990971053 55.6363489210954,9.69904911746453 55.6406874362287,9.69662094397699 55.645384001174,9.69585922897814 55.6502582224814,9.69679385891049 55.6551228156352,9.69938952496985 55.6597907978085,9.70354698728852 55.6640826794267,9.70910681081909 55.6678333772882,9.71585544126568 55.6708985812382,9.72353339542206 55.6731603262853,9.73184525373738 55.674531552004,9.74047106797373 55.6749594700221,9.74907873720493 55.6744276068415,9.75733686423528 55.6729564413125,9.76492758399082 55.6706026115885,9.77155885666393 55.667456722964,9.7769757413049 55.6636398432308,9.78097020890454 55.6592988237129,9.78338911548463 55.6546006298273,9.7841400321165 55.6497259030145)))', 'DKHVD', 'Hvidbjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6540182437369 54.6590646279289,11.6528744988733 54.6542174026696,11.6501222436469 54.6495926302742,11.6458676998402 54.6453679289669,11.6402746450574 54.6417055015052,11.633558076755 54.6387459246748,11.6259759411283 54.6366027725851,11.6178192459999 54.6353582765029,11.6094009337411 54.6350601843149,11.6010439332965 54.6357199373474,11.5930688386082 54.6373122328335,11.5857816735657 54.6397759885159,11.5794622007615 54.6430166734931,11.5743532128642 54.6469099182313,11.5706512116627 54.6513062684601,11.5684988315049 54.6560369041342,11.5679793020464 54.6609201074076,11.5691131715429 54.6657682340587,11.5718574284681 54.6703949222836,11.5761070687077 54.6746222621908,11.5816990611827 54.6782876493205,11.5884185701653 54.6812500563043,11.5960072017704 54.6833954781673,11.6041729592222 54.6846413380899,11.6126015204913 54.6849396805528,11.6209683963122 54.6842790261274,11.628951489304 54.6826848148097,11.6362435579078 54.6802184205255,11.6425640930094 54.67697477588,11.6476701402174 54.6730787009895,11.651365645438 54.6686800809894,11.6535089632783 54.6639480814767,11.6540182437369 54.6590646279289)))', 'DKHVE', 'Høvænge', 'Y'),('SRID=4326;MULTIPOLYGON(((8.71095662981769 55.4831116492413,8.71014775742201 55.4782398118663,8.70768133049016 55.4735511674607,8.70365264848642 55.4692258031557,8.69821687897898 55.4654297969066,8.69158304195201 55.4623088570437,8.68400595824586 55.4599827486461,8.67577647437152 55.4585407170019,8.66721033666225 55.4580380800932,8.65863613453124 55.4584941177046,8.65038276446267 55.459891336016,8.64276688263255 55.4621761351084,8.63608081442745 55.4652608544523,8.63058137360064 55.4690271199377,8.62648001267083 55.4733303671072,8.62393468005769 55.4780053706805,8.62304369937913 55.4828725718231,8.62384191378671 55.4877449633932,8.62629925519298 55.4924352708838,8.63032180732153 55.4967631539745,8.63575533582305 55.5005621512482,8.64239116188852 55.5036860990184,8.64997416186695 55.5060147742792,8.65821258854953 55.5074585409604,8.66678933414058 55.5079618169359,8.67537419427074 55.5075052251286,8.68363664986966 55.5061063437301,8.69125866157068 55.5038190258499,8.69794697077087 55.5007313154804,8.70344442254812 55.4969620420886,8.70753986720088 55.4926562280579,8.71007625701008 55.4879794894497,8.71095662981769 55.4831116492413)))', 'DKHVI', 'Hvims', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2964357350163 55.9165402868535,10.295419574797 55.9116809595647,10.2927355145283 55.9070262938988,10.2884872111156 55.9027550599001,10.2828382516531 55.8990312465536,10.2760058172941 55.8959977829448,10.2682523228715 55.8937710721819,10.2598753556514 55.8924365440983,10.2511962963001 55.8920453937019,10.2425480506776 55.8926126274614,10.2342623514495 55.8941164904414,10.2266571031225 55.8964992957253,10.2200242426958 55.8996696252478,10.2146185706767 55.9035058198889,10.210647974072 55.9078606281952,10.2082654147796 55.9125668391086,10.2075629946331 55.9174436861988,10.2085683337315 55.9223037805804,10.2112434136936 55.9269603082044,10.2154859447833 55.9312342155609,10.2211332186917 55.9349611066708,10.2279683108784 55.9379975838872,10.2357284018825 55.9402267853072,10.2441149001692 55.9415629019168,10.2528049740524 55.9419544968692,10.2614640408068 55.9413864960159,10.2697587203454 55.9398807710754,10.2773697409896 55.9374952924316,10.2840042869585 55.934321885145,10.2894073011389 55.9304826768975,10.2933713011583 55.9261253779363,10.2957443293898 55.921417578499,10.2964357350163 55.9165402868535)))', 'DKHVJ', 'Hov, Østjylland', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8940319433415 55.598968023304,11.8928277663096 55.5941244015861,11.8899784993579 55.5895068131807,11.8855941164076 55.5852925951468,11.8798433968614 55.5816435412935,11.8729473955855 55.5786997083167,11.8651709392635 55.576574060015,11.8568124771618 55.5753481513786,11.8481926720611 55.5750690145891,11.8396421606573 55.5757473635553,11.8314889411686 55.577357184178,11.8240458586361 55.5798367257886,11.8175986552066 55.5830908569125,11.8123950335853 55.5869946974397,11.8086351471867 55.5913983912061,11.8064638809914 55.5961328395944,11.8059652238427 55.6010161796584,11.8071589574877 55.6058607609058,11.8099998022318 55.6104803544841,11.8143790663579 55.6146973180655,11.8201287497595 55.6183494398564,11.8270279553164 55.6212961960953,11.8348113685244 55.6234241779434,11.8431794809951 55.6246514751485,11.8518101607648 55.6249308441317,11.8603711155655 55.6242515356347,11.8685327572643 55.6226397098368,11.8759809586144 55.6201574226769,11.8824291981768 55.616900223615,11.887629615507 55.6129934598268,11.8913825450171 55.6085874325163,11.8935441608501 55.6038515955612,11.8940319433415 55.598968023304)))', 'DKHVL', 'Hvalsø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3812189265121 55.749150709473,11.380072931596 55.7443016919876,11.3772724063769 55.7396719005237,11.3729254633952 55.7354391434544,11.3671994560604 55.7317659280015,11.3603145014874 55.7287932388107,11.3525350110774 55.7266351465931,11.3441595558433 55.7253744499839,11.335509451884 55.7250595142288,11.3269164956369 55.7257024250713,11.3187103076196 55.7272785268905,11.3112057567256 55.7297273624492,11.3046909345062 55.7329549793108,11.299416130278 55.7368375168498,11.295584223687 55.7412259395709,11.2933428622107 55.7459517388684,11.2927787280891 55.7508333879979,11.2939141239162 55.7556833053573,11.296706020725 55.7603150604305,11.3010476195718 55.764550545903,11.3067723806444 55.7682268391788,11.3136603765629 55.7712024870418,11.3214467329108 55.7733629683495,11.3298318333991 55.7746251207489,11.338492893525 55.774940357363,11.3470964488715 55.7742965466452,11.355311265302 55.7727184812144,11.3628211603246 55.7702669172505,11.3693372287942 55.7670362225654,11.3746089916665 55.7631507263555,11.3784340323168 55.7587599145466,11.3806657485452 55.7540326594609,11.3812189265121 55.749150709473)))', 'DKHVN', 'Havnsø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5774902779497 55.0724443179521,10.5764632009604 55.0675867536647,10.5738049553676 55.0629374609542,10.5696181761493 55.0586750049589,10.5640640640069 55.0549630409567,10.5573561442841 55.0519440477969,10.5497520487186 55.049733878344,10.5415436377035 55.0484173324382,10.5330458391359 55.0480449186922,10.5245846244281 55.0486309264501,10.5164845718558 55.0501528800392,10.5090564815109 55.052552395777,10.5025855044338 55.0557374098158,10.4973202310455 55.0595856936007,10.4934631511081 55.0639495252501,10.4911628497904 55.0686613412514,10.4905082430749 55.0735401551053,10.4915250822671 55.0783984994108,10.4941748738327 55.0830496266238,10.4983562698422 55.0873146923203,10.50390888914 55.0910296439191,10.510619433657 55.094051547737,10.5182298720562 55.0962641077876,10.5264473783065 55.0975821602837,10.5349556398425 55.0979549672472,10.5434270923574 55.0973681794702,10.5515355989601 55.0958443913764,10.5589690725084 55.0934422659356,10.5654415424192 55.0902542642994,10.5707041910035 55.0864030698575,10.5745549281039 55.0820368476125,10.5768461341917 55.0773235250229,10.5774902779497 55.0724443179521)))', 'DKHVO', 'Hvidkilde Sø, V. Svendborg', 'Y'),('SRID=4326;MULTIPOLYGON(((8.1725397808939 56.0023068846933,8.1717880917033 55.9974321597696,8.16935423081873 55.9927332449764,8.16533226994878 55.9883906236413,8.15987713992199 55.9845710363638,8.15319862082561 55.9814210951843,8.14555325879831 55.9790616756095,8.13723452330597 55.9775832980191,8.12856158064366 55.9770426719156,8.11986710727584 55.9774605323516,8.11148459940586 55.9788208493018,8.10373565220565 55.9810714394221,8.0969176831277 55.9841259573317,8.09129255865099 55.9878671920258,8.08707655296419 55.9921515450354,8.08443202107415 55.9968145222119,8.08346110864148 56.0016770321327,8.08420174794661 56.0065522525885,8.08662610576455 56.0112528037082,8.09064155714123 56.0155979530488,8.09609416226038 56.0194205751454,8.10277452543149 56.0225735959341,8.11042581977483 56.0249356710655,8.11875367268433 56.0264158758749,8.12743752981994 56.026957222682,8.13614305308511 56.0265388667131,8.14453506402721 56.0251769134342,8.15229052071654 56.0229237953062,8.1591110146908 56.0198662425764,8.16473429508089 56.0161219282739,8.16894436844617 56.0118349197099,8.17157978292319 56.0071701153166,8.1725397808939 56.0023068846933)))', 'DKHVS', 'Hvide Sande', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6115804170237 56.0678710755877,12.6110248452963 56.0629892884007,12.6087779201716 56.0582619119193,12.6049265498375 56.0538705330696,12.5996191393138 56.0499837728298,12.5930598268213 56.0467508271285,12.5855006120822 56.0442957592006,12.5772316830567 56.0427127588121,12.5685703111416 56.0420625464596,12.5598487344319 56.0423700571174,12.5514014831844 56.0436234899417,12.5435526204479 56.0457747592515,12.5366033735939 56.0487413298346,12.5308206191639 56.0524093679519,12.5264266543113 56.0566380900945,12.523590643719 56.061265146281,12.5224220721893 56.0661128351089,12.5229664615174 56.0709949153663,12.525203527699 56.075723755091,12.5290478634793 56.0801175445919,12.5343521347864 56.0840072958915,12.5409126813189 56.0872433576998,12.548477315486 56.0897011923826,12.5567550242701 56.0912861889603,12.5654271996351 56.0919373230339,12.5741599587564 56.0916295193052,12.5826170689537 56.0903746232356,12.5904729662409 56.0882209432722,12.5974253523008 56.085251381628,12.6032068726785 56.0815802274043,12.6075954180965 56.0773487385088,12.6104226489331 56.0727196861355,12.6115804170237 56.0678710755877)))', 'DKHVT', 'Hellebæk', 'Y'),('SRID=4326;MULTIPOLYGON(((10.9795732469115 55.1573000533717,10.978495017625 55.1524463905579,10.9757844204874 55.1478063909143,10.9715460996217 55.1435582597816,10.9659432305974 55.1398650999883,10.959191204348 55.1368686668087,10.9515493384632 55.1346839463557,10.9433109360513 55.1333947618165,10.9347920704764 55.1330505725776,10.9263195184249 55.1336645861627,10.9182182929624 55.1352132536271,10.9107992419145 55.1376371673591,10.9043471747625 55.1408433278673,10.8991099633203 55.144708694897,10.8952890280834 55.1490848898594,10.893031573998 55.1538038727955,10.89242487757 55.1586843795305,10.8934928532936 55.1635388747727,10.8961950434088 55.168180755912,10.9004280836849 55.1724315311676,10.9060296024755 55.1761276951676,10.9127844144103 55.1791270352745,10.9204327778063 55.1813141228219,10.9286804003689 55.1826047742536,10.9372098050483 55.1829493068614,10.9456926106726 55.1823344608468,10.9538022431605 55.1807839118844,10.9612265747923 55.1783573540276,10.967679992167 55.1751481893122,10.972914417914 55.1712799153563,10.9767288556365 55.1669013533015,10.978977089577 55.1621809034749,10.9795732469115 55.1573000533717)))', 'DKHWA', 'Hov, Langeland', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2944357699255 55.9165410082881,10.2934198595897 55.9116816632957,10.2907360381555 55.9070269528983,10.2864879533767 55.9027556488713,10.2808391839841 55.8990317428985,10.274006903871 55.8959981676273,10.2662535219866 55.8937713304535,10.2578766213084 55.8924366660597,10.2491975799688 55.8920453746792,10.2405493031426 55.8926124681839,10.2322635246838 55.8941161970139,10.2246581521173 55.8964988793959,10.2180251271786 55.8996691019797,10.2126192566525 55.9035052097527,10.2086484351306 55.9078599546033,10.2062656331178 55.9125661279207,10.2055629617519 55.9174429647322,10.2065680507792 55.922303076562,10.2092428914389 55.9269596487054,10.2134852032179 55.9312336259535,10.2191322862738 55.9349606096493,10.225967223445 55.93799719859,10.2337272012719 55.9402265265758,10.2421136326052 55.9415627797201,10.2508036883556 55.9419545159162,10.2594627865015 55.9413866555729,10.2677575457386 55.9398810649946,10.275368691299 55.9374957093895,10.2820034025627 55.934322409082,10.2874066160196 55.9304832876405,10.2913708415953 55.9261260519802,10.2937441129586 55.9214182899145,10.2944357699255 55.9165410082881)))', 'DKHWO', 'Hov', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0100823159118 54.7319372870609,12.0088938433278 54.7270940637159,12.0060961370169 54.7224780306675,12.0017971627369 54.7182664680086,11.9961624002098 54.7146210719626,11.9894084425532 54.711681764091,11.9817946649322 54.7095613398761,11.9736132837302 54.7083411584319,11.9651781841529 54.7080680352893,11.9568129369049 54.7087524547365,11.9488384524623 54.7103681686824,11.9415607339177 54.7128531971949,11.9352591861333 54.7161121934965,11.9301759200593 54.7200200850833,11.9265064568947 54.7244268545236,11.9243921880108 54.7291632801062,11.9239148843352 54.734047419441,11.9250934748068 54.7388915898231,11.9278832297024 54.7435095788874,11.932177393795 54.7477238087555,11.937811219671 54.7513721771461,11.944568256812 54.7543143099853,11.9521886612312 54.7564369817146,11.9603792076756 54.7576584910562,11.9688246156132 54.7579318203182,11.9771997449828 54.7572464538326,11.9851821808426 54.7556287838688,11.9924647095687 54.7531410881452,11.9987671939934 54.7498791194986,12.003847380574 54.7459684029455,12.0075102169383 54.7415593859928,12.0096153205858 54.7368216325146,12.0100823159118 54.7319372870609)))', 'DKIDE', 'Idestrup', 'Y'),('SRID=4326;MULTIPOLYGON(((10.8102738081025 54.8763626681911,10.8092242274567 54.8715070987249,10.8065526651638 54.8668628582378,10.8023622591838 54.8626083170984,10.7968143416546 54.8589068266259,10.7901221939642 54.8559004641713,10.7825428387718 54.853704598839,10.7743671861233 54.8524034827899,10.765908908757 54.8520470337786,10.7574924657835 54.852648929499,10.7494407231677 54.8541860850582,10.7420626332343 54.8565995331913,10.7356414334798 54.8597966744379,10.730423807334 54.8636548132132,10.7266104165038 54.8680258472858,10.7243481668303 54.872741934337,10.7237245082851 54.8776219216267,10.724763996378 54.8824782947878,10.7274272589303 54.8871243806748,10.7316124215414 54.8913815279745,10.7371589503302 54.8950859886034,10.7438537753339 54.8980952330316,10.7514394662988 54.9002934533999,10.7596241486158 54.9015960390141,10.7680927748601 54.9019528483913,10.7765193103961 54.901350148975,10.7845793527555 54.8998111480137,10.7919626860524 54.8973950937186,10.7983852745368 54.8941949823148,10.8036002233596 54.8903339615671,10.8074072784142 54.8859605724606,10.8096604984247 54.8812430158462,10.8102738081025 54.8763626681911)))', 'DKILL', 'Illebølle', 'Y'),('SRID=4326;MULTIPOLYGON(((9.70528454424813 54.8697563891491,9.70436794709333 54.8648911875563,9.70182379064419 54.8602225631939,9.69775033034413 54.8559298300064,9.69230442400962 54.8521778112308,9.68569545582819 54.8491105272727,9.67817727464611 54.8468456865656,9.67003845860232 54.8454701872572,9.66159127717058 54.8450367987781,9.65315976689521 54.8455621476367,9.64506736752984 54.847026082776,9.63762458028598 54.8493724442299,9.63111710917244 54.8525112064081,9.62579492996823 54.8563219158987,9.62186269953611 54.8606582949805,9.61947187160795 54.8653538377921,9.61871482491014 54.8702281879269,9.61962123706271 54.8750940555879,9.62215685512149 54.8797644105984,9.62622472353481 54.884059675539,9.63166883580127 54.8878146417367,9.63828008086618 54.8908848400677,9.64580426325056 54.8931521184115,9.65395189118765 54.8945292075117,9.66240935367181 54.894963095906,9.67085104895942 54.8944370809783,9.67895198671891 54.8929714151887,9.68640036584484 54.8906225219797,9.69290963101607 54.8874808123787,9.6982295333268 54.8836671885162,9.70215576255284 54.8793283717998,9.70453777859236 54.8746312391983,9.70528454424813 54.8697563891491)))', 'DKILS', 'Iller Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5942369196724 55.7678742171074,12.5936867351667 55.7629921910838,12.5914581802774 55.7582644611857,12.587637446911 55.753872629027,12.5823717555575 55.7499853346671,12.5758636382653 55.7467517965225,12.5683631291062 55.7442961025605,12.5601581661806 55.7427124682751,12.5515635723387 55.7420616396445,12.5429090310749 55.7423685757286,12.5345265083968 55.7436214973875,12.5267375901947 55.7457723374848,12.5198412074 55.7487385756477,12.5141022079908 55.7524063889526,12.5097412059338 55.7566350005632,12.5069260930414 55.7612620630709,12.5057655414035 55.7661098737022,12.5063047529535 55.7709921861551,12.5085236307408 55.7757213599173,12.5123374561088 55.7801155735603,12.5176000602482 55.7840058244658,12.5241093811132 55.7872424441101,12.5316152014015 55.7897008753955,12.5398287744428 55.791286486095,12.5484339665742 55.7919382293387,12.5570994808057 55.7916310068248,12.5654916805922 55.7903766412997,12.57328750679 55.7882234197158,12.5801869767883 55.7852542250061,12.5859247726129 55.781583330202,12.5902804635342 55.77735198127,12.5930869663137 55.7727229423505,12.5942369196724 55.7678742171074)))', 'DKJAE', 'Jægersborg', 'Y'),('SRID=4326;MULTIPOLYGON(((8.42710475025591 55.6172139073227,8.42632838430991 55.6123403950114,8.42388751246429 55.6076462136409,8.41987645988632 55.6033116644099,8.41444972475431 55.5995031787142,8.40781598706321 55.5963669440445,8.40023006903856 55.5940233120099,8.39198315910988 55.592562199448,8.38339167255695 55.5920396553863,8.37478516917184 55.592475722396,8.3664937805302 55.5938536722095,8.35883561609283 55.5961206440969,8.35210461805092 55.5991896621432,8.34655931957768 55.6029429560418,8.34241293024652 55.6072364610617,8.33982512644068 55.6119053281809,8.3388958646222 55.6167702366107,8.33966146281552 55.621644269557,8.34209311258927 55.6263400913484,8.34609789275193 55.6306771510475,8.35152226004445 55.6344886350629,8.35815789495635 55.6376278994372,8.36574968642987 55.6399741313159,8.37400555185724 55.6414370180585,8.38260771256428 55.6419602405339,8.39122498371336 55.6415236528884,8.39952559443193 55.6401440626518,8.40719003128047 55.6378745802941,8.41392339715094 55.6348025639271,8.41946679839208 55.6310462403248,8.42360731426932 55.6267501354628,8.42618616258062 55.6220794941652,8.42710475025591 55.6172139073227)))', 'DKJAN', 'Janderup', 'Y'),('SRID=4326;MULTIPOLYGON(((8.68130720422638 56.6521242049986,8.68047781154597 56.6472530747896,8.67793979490915 56.6425646399903,8.67379124507298 56.6382389755558,8.66819196340093 56.6344421646107,8.66135726396291 56.63131993877,8.65354967853549 56.6289921047797,8.64506888633392 56.6275479675531,8.6362402525852 56.6270429213788,8.62740240802034 56.6274963367957,8.61889433400212 56.628890821976,8.61104243468324 56.6311728861264,8.60414807801249 56.634254980162,8.59847607156706 56.6380188384919,8.59424450737554 56.6423199969239,8.59161636271807 56.6469933171559,8.59069318235228 56.6518593096805,8.59151109318722 56.6567310156602,8.59403931712972 56.6614211857262,8.59818125427044 56.665749480745,8.60377810996993 56.66954941711,8.61061493949328 56.6726747873895,8.61842888678053 56.6750053061251,8.6269193040821 56.6764512596748,8.63575936083571 56.6769569772308,8.64460868725872 56.6765029860422,8.65312655397678 56.6751067655929,8.6609850659862 56.6728220708558,8.66788184861708 56.6697368513993,8.67355172496448 56.6659698486314,8.67777692729067 56.6616660054565,8.68039544685304 56.6569908689038,8.68130720422638 56.6521242049986)))', 'DKJEG', 'Jegindø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2940718537496 55.6161833166907,11.292940944909 55.6113332637424,11.2901605674273 55.6067012230199,11.2858380566839 55.6024650903761,11.2801398263167 55.5987875038289,11.273284927301 55.5958096169458,11.2655366193004 55.5936457008522,11.2571922797524 55.5923787782852,11.2485720344908 55.5920574536248,11.2400065379052 55.5926940576096,11.2318243597513 55.5942641761404,11.2243394491441 55.5967075808751,11.2178391437439 55.5999305270071,11.2125731737021 55.6038093324593,11.2087440759072 55.6081951044863,11.2064993851539 55.6129194360496,11.2059259061231 55.6178008569318,11.2070462951051 55.6226517948276,11.209818095318 55.6272857808502,11.2141352771936 55.6315246229928,11.2198322383668 55.6352052707415,11.2266901210882 55.6381861044884,11.2344452114545 55.6403524044749,11.2427990994748 55.6416207850371,11.2514302056459 55.6419424198282,11.2600062221005 55.6413049308947,11.2681969775259 55.6397328670615,11.2756872169949 55.6372867528259,11.2821887915774 55.634060745492,11.2874517779031 55.6301789931771,11.2912740933295 55.6257908372595,11.2935092356166 55.621065047703,11.2940718537496 55.6161833166907)))', 'DKJER', 'Jerslev, Nordjylland', 'Y'),('SRID=4326;MULTIPOLYGON(((12.029314438307 55.8539162712679,12.0280845083372 55.8490744425925,12.0251996410127 55.8444605682988,12.0207711841851 55.8402518408893,12.0149696130375 55.8366098412275,12.0080179345927 55.8336743531538,12.00018310936 55.8315580184549,11.9917658209852 55.8303420335284,11.9830889826387 55.830073049265,11.9744854124938 55.830761390226,11.9662851390603 55.8323806597475,11.9588028097863 55.8348687458658,11.9523256729654 55.8381301906875,11.9471025836271 55.8420398348104,11.9433344491053 55.8464476003684,11.9411664800461 55.8511842329501,11.9406825488707 55.8560677856062,11.9419018817269 55.8609105988693,11.9447782239243 55.8655265104063,11.9492015254841 55.8697380175636,11.9550020960673 55.8733831162866,11.9619570809808 55.8763215509311,11.9697990163376 55.8784402311214,11.9782261360405 55.8796576033796,11.9869140301868 55.8799268056059,11.9955281974555 55.879237480056,12.0037369960186 55.8776161732887,12.0112244805535 55.8751253074208,12.0177026179267 55.8718607635374,12.0229224007859 55.867948172845,12.0266834251813 55.8635380617979,12.0288415629193 55.8588000418865,12.029314438307 55.8539162712679)))', 'DKJGP', 'Jægerspris', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1824841016435 55.1020141888609,12.1819910266912 55.0971305329534,12.1798462754099 55.092395852338,12.1761328010249 55.0879920205325,12.1709936930744 55.0840881440428,12.1646266204994 55.0808340835419,12.1572762087671 55.0783547196203,12.1492246479461 55.0767451797007,12.1407808912615 55.0760672056022,12.1322688526788 55.0763467978231,12.1240150463878 55.0775732245032,12.1163361299672 55.0796994319167,12.1095268161734 55.0826438410125,12.1038486056559 55.0862934627299,12.0995197647276 55.0905082153542,12.0967069291882 55.0951262817479,12.0955186580678 55.0999703045346,12.0960011914175 55.1048541847126,12.0981365858161 55.1095902250503,12.1018433125375 55.113996345025,12.1069793093145 55.1179030897781,12.1133473808561 55.1211601619697,12.1207027496141 55.1236422225068,12.1287624708588 55.1252537334309,12.1372163490142 55.1259326528549,12.1457389292105 55.1256528363629,12.1540020923905 55.1244250499586,12.1616877564725 55.1222965543739,12.1685001814303 55.1193492770135,12.17417739297 55.1156966436057,12.1785012768665 55.1114791943678,12.1813059519845 55.1068591569718,12.1824841016435 55.1020141888609)))', 'DKJNK', 'Jungshoved Kirkehavn', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3118204082713 56.2495330105421,10.3107928587347 56.2446741190036,10.3080830795736 56.2400201551317,10.3037957267602 56.2357498605956,10.2980958947439 56.2320271863118,10.2912027213807 56.2289950153663,10.2833809521058 56.2267696990427,10.2749307896686 56.225436611842,10.2661764158475 56.2250468923236,10.2574536173808 56.2256154917233,10.2490969789029 56.2271206032489,10.2414271203616 56.2295044934004,10.2347384549436 56.2326757043814,10.2292879259587 56.2365125454226,10.2252851477552 56.2408677423814,10.2228843272022 56.2455740710152,10.2221782796417 56.2504507614542,10.2231947780166 56.2553104310843,10.2258953882059 56.2599662815589,10.2301768501292 56.2642392839912,10.235874966173 56.2679650752124,10.2427708597253 56.2710002976111,10.2505993712294 56.2732281353478,10.2590592714932 56.2745628300581,10.2678248962415 56.2749529984538,10.2765587458813 56.2743836209613,10.2849245533351 56.2728766228307,10.2926003027605 56.2704900247809,10.2992906841386 56.2673156968617,10.3047384929227 56.2634758043683,10.3087345288932 56.2591180859989,10.3111256116255 56.2544101498576,10.3118204082713 56.2495330105421)))', 'DKJOK', 'Hjortshoj', 'Y'),('SRID=4326;MULTIPOLYGON(((9.36103111549185 55.5498782054724,9.36014054966238 55.5450109413717,9.3575927426598 55.5403356615357,9.35348611552848 55.5360319352659,9.3479788207717 55.5322650059521,9.34128261354773 55.5291794631539,9.33365469705183 55.5268937121742,9.32538785797941 55.5254954496953,9.31679926813346 55.5250383154249,9.30821837442865 55.5255398451297,9.29997433073593 55.5269808015478,9.29238344057739 55.5293059081658,9.28573707932623 55.5324259584938,9.28029054829483 55.5362212220448,9.27625328121138 55.5405460194821,9.27378077673306 55.5452342950635,9.27296856985791 55.5501059761711,9.2738484818803 55.5549738788729,9.27638730492156 55.5596508963614,9.28048798566305 55.5639571947937,9.28599327688647 55.5677271391921,9.29269172845577 55.5708156809778,9.30032579549681 55.5731039582791,9.30860175495038 55.5745038898036,9.31720104651711 55.5749615817462,9.32579259403993 55.5744594134394,9.33404562169831 55.5730167193666,9.34164245824188 55.5706890405841,9.34829082301527 55.5675659751706,9.35373510969042 55.5637677126331,9.35776622622439 55.5594403888763,9.36022961032635 55.5547504442514,9.36103111549185 55.5498782054724)))', 'DKJOR', 'Jordrup', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((12.2609445481775 55.5179911678142,12.2604382976066 55.5131079662881,12.2582631983992 55.5083746110686,12.2545033831588 55.5039729229217,12.2493037309521 55.5000719235037,12.2428642403146 55.4968213601772,12.235432316414 55.4943459765335,12.2272932728069 55.4927407449674,12.218759411326 55.492067240513,12.2101580930007 55.4923512917199,12.2018192474407 55.493581996251,12.1940627871078 55.4957121377937,12.1871863960151 55.4986599885733,12.181454149583 55.5023124300107,12.1770863939193 55.5065292746386,12.1742512692328 55.5111486270002,12.1730582044112 55.5159930815271,12.173553639365 55.520876522817,12.1757191504756 55.5256112696294,12.179472064839 55.5300152893413,12.1846685539851 55.5339192053372,12.1911091009277 55.5371728262322,12.1985461396888 55.539650942948,12.2066935780221 55.5412581670037,12.2152378360734 55.5419326200264,12.2238499700275 55.5416483290552,12.2321984036909 55.5404162329293,12.2399617648982 55.5382837598193,12.2468413190417 55.5353329924606,12.252572509157 55.5316774934551,12.2569351499537 55.5274579157571,12.2597618799164 55.5228365709081,12.2609445481775 55.5179911678142)))', 'DKJSD', 'Jersie Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((8.75997122025135 56.3690952134954,8.75913781667756 56.3642243826591,8.75660884787926 56.359537346332,8.75248204590272 56.3552141262956,8.7469163681055 56.3514207130099,8.74012583294062 56.3483027093019,8.73237127538578 56.3459797616838,8.7239503418163 56.3445409892407,8.71518610593865 56.3440415816831,8.70641473500602 56.3445006938431,8.69797266790212 56.345900715198,8.69018378317495 56.3481879416408,8.68334703543 56.3512746244369,8.67772502264847 56.3550423198737,8.67353391526971 56.3593464142802,8.67093513088688 56.3640216545701,8.67002907715864 56.368888475855,8.67085121151533 56.3737598864593,8.67337058145212 56.3784486481326,8.67749091626124 56.3827744764258,8.6830542431538 56.3865709837957,8.68984690158332 56.3896920963694,8.69760773332695 56.3920176943378,8.70603813682213 56.3934582551236,8.71481359665104 56.3939583167568,8.72359623681301 56.3934986248279,8.73204790278368 56.3920968781244,8.73984325467346 56.3898070434225,8.74668235331102 56.3867172665412,8.75230224281567 56.3829464622396,8.75648707600038 56.378639717485,8.75907639046231 56.3739626888548,8.75997122025135 56.3690952134954)))', 'DKJSF', 'Jylland S F Limfjord', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1460712279386 57.2825884935568,10.1450348548245 57.2777290517198,10.142268561931 57.2730724384688,10.1378792153845 57.2687974940996,10.1320358557559 57.2650683427567,10.1249631473229 57.2620281095303,10.1169327282533 57.2597934482346,10.1082527964866 57.25845008591,10.0992563277146 57.2580495511138,10.0902883688321 57.2586072082906,10.0816928815972 57.260101671554,10.0737996264053 57.2624756197718,10.0669115747793 57.2656379826518,10.0612933214188 57.2694674163477,10.0571609327488 57.273816938681,10.05467361948 57.2785195500839,10.0539275567908 57.2833946284329,10.0549520988816 57.2882548555065,10.0577085469287 57.2929134111475,10.0620915335932 57.2971911593496,10.0679329865401 57.3009235491105,10.0750085317696 57.3039669623205,10.0830460992405 57.3062042610414,10.0917364027347 57.3075493167083,10.1007448875575 57.3079503429671,10.1097246774764 57.3073919005526,10.1183300095625 57.3058954948966,10.1262296246297 57.3035187428434,10.1331195829235 57.3003531415446,10.1387349994743 57.2965205278664,10.1428602397385 57.2921683681104,10.1453371812864 57.2874640633676,10.1460712279386 57.2825884935568)))', 'DKJSL', 'Jerslev, Midtjylland', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0582087893606 55.7136270690785,10.0572278401293 55.7087654955769,10.0545863380237 55.7041053349405,10.0503863010867 55.6998255706029,10.0447894619037 55.696090521435,10.0380110026842 55.6930435499131,10.0303112710882 55.6908015791425,10.0219857973453 55.6894506254417,10.0133539929001 55.6890425142457,10.0047469564187 55.6895929022871,9.99649484351655 55.6910806799751,9.98891427139895 55.6934487763248,9.98229622846448 55.6966063364575,9.97689494181924 55.7004321903655,9.97291812290406 55.7047794830818,9.9705189636996 55.7094812923101,9.96979019430125 55.7143570215695,9.97076043857471 55.7192193264607,9.97339302018097 55.7238813100159,9.97758727914147 55.7281637112793,9.98318236251646 55.7319018099322,9.98996335540481 55.7349517792423,9.99766952442079 55.7371962397177,10.0060043592967 55.7385487960047,10.0146470234393 55.7389573786884,10.0232647648894 55.7384062592564,10.0315257982948 55.7369166586473,10.0391121483835 55.7345459253697,10.0457319471145 55.7313853157511,10.05113070008 55.7275564640561,10.0551010815713 55.7232066816371,10.0574908796481 55.7185032698249,10.0582087893606 55.7136270690785)))', 'DKJUE', 'Juelsminde', 'Y'),('SRID=4326;MULTIPOLYGON(((9.71667848034769 56.1207488874728,9.71572960493519 56.1158848501711,9.71310089329979 56.1112176456975,9.7088938897093 56.1069265286905,9.70327060963784 56.1031762533585,9.69644726167565 56.1001107650626,9.68868592235784 56.0978476952824,9.68028448626866 56.0964738674666,9.67156527431509 56.0960419824795,9.66286272940288 56.096568607688,9.65451065989027 56.0980335447976,9.64682950652463 56.1003806000496,9.64011410780082 56.1035197280898,9.63462242182578 56.1073304694843,9.63056563013851 56.1116665532431,9.62810000116053 56.1163614915197,9.62732082907698 56.1212349554995,9.62825868948898 56.1260996908277,9.63087816818903 56.130768709043,9.63507912653908 56.1350624793817,9.64070046939923 56.13881584369,9.6475262831047 56.1418843863386,9.65529411573585 56.14415001085,9.66370508416126 56.1455255048404,9.67243541626101 56.145957913785,9.68114897618528 56.1454305905491,9.6895102786376 56.1439638396955,9.69719747723828 56.1416141311096,9.7039148131614 56.1384719140922,9.70940403338158 56.1346581183461,9.71345433175116 56.1303194798584,9.71591042839832 56.1256228754094,9.71667848034769 56.1207488874728)))', 'DKJUL', 'Julsø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.1444413947037 56.7629556539713,9.14354967539574 56.7580877898065,9.14094660105639 56.7534089705839,9.13673276048012 56.7490988983692,9.13107045768916 56.7453230544775,9.12417741883949 56.7422263633178,9.11631840601432 56.7399276502742,9.10779506301557 56.738515102466,9.09893438022008 56.738042902713,9.09007621314276 56.7385291625869,9.08156032153415 56.7399552316745,9.07371341201992 56.7422664087971,9.06683666717425 56.7453740286883,9.06119422751016 56.7491588462757,9.05700306045962 56.7534755920036,9.05442460262454 56.7581585272599,9.05355849942159 56.7630277905466,9.05443869120811 56.7678962940278,9.05703200910235 56.7725769077885,9.06123934963904 56.7768896565616,9.06689939836921 56.7806686515507,9.07379477229998 56.783768488621,9.08166035385595 56.7860698634518,9.09019349920662 56.7874841836902,9.09906572565475 56.7879569966797,9.10793542026621 56.7874700974886,9.11646106832512 56.7860422338604,9.12431447787357 56.783728380177,9.13119347676726 56.7806176091874,9.13683358133756 56.7768296456905,9.14101817965209 56.7725102381778,9.14358683514062 56.7678255304935,9.1444413947037 56.7629556539713)))', 'DKJUN', 'Junget', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4793799602377 57.5324649724962,10.478291797433 57.5276087485775,10.4754638722466 57.5229599762792,10.4710054236274 57.5186971914282,10.4650881465691 57.5149840480083,10.4579395395426 57.5119630537628,10.4498341467419 57.5097501220259,10.4410830339192 57.5084301448532,10.4320218981886 57.5080537533892,10.4229982590218 57.5086353865317,10.4143582087912 57.5101527399379,10.4064332160533 57.5125476159604,10.3995274730606 57.5157281429406,10.39390626074 57.5195722811737,10.3897857699087 57.5239324845405,10.3873247674365 57.5286413429468,10.386618431451 57.5335179929421,10.3876946020698 57.5383750536408,10.3905126056194 57.5430258236374,10.3949647136292 57.5472914629742,10.4008801964076 57.5510078830984,10.4080318286494 57.5540320774182,10.4161446056019 57.5562476454169,10.4249063373438 57.5575692936914,10.4339797101253 57.5579461366864,10.4430153414914 57.5573636667627,10.4516653133632 57.5558443156556,10.4595966467033 57.5534465851448,10.4665041839616 57.5502627814596,10.4721223710536 57.5464154431534,10.4762354777285 57.5420526035275,10.4786858612886 57.5373420740218,10.4793799602377 57.5324649724962)))', 'DKJUP', 'Jerup', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1542031887469 55.7520323412269,12.1537082197237 55.747148978891,12.1515340301809 55.7424138897996,12.1477647269466 55.738008961298,12.1425455613208 55.7341033388621,12.1360772866223 55.7308469462642,12.1286084156045 55.728364749506,12.1204256794355 55.7267519810909,12.1118430534501 55.7260705041236,12.1031897646064 55.7263464523545,12.0947977303868 55.7275692342273,12.0869888980923 55.7296919379395,12.0800629567348 55.7326331222478,12.0742858810021 55.736279926008,12.0698797382988 55.740492380009,12.0670141462389 55.7451087592413,12.0657997101148 55.7499517739626,12.0662836991914 55.7548353652861,12.0684481390572 55.7595718468226,12.0722104071826 55.7639791192403,12.0774263232995 55.7678876802234,12.0838956288 55.771147158633,12.0913696540027 55.7736321186804,12.099560883063 55.7752469071761,12.1081540476801 55.7759293534758,12.1168183164824 55.7756531762568,12.1252201003858 55.774429001937,12.1330359677868 55.7723039543065,12.1399651586428 55.7693598314495,12.1457412035617 55.7657099418781,12.1501421920733 55.7614947245899,12.1529992912443 55.7568763252794,12.1542031887469 55.7520323412269)))', 'DKJYL', 'Jyllinge', 'Y'),('SRID=4326;MULTIPOLYGON(((11.926937948534 55.5159572149564,11.9257326292667 55.5111138762343,11.9228858738727 55.5064969742486,11.918507556805 55.502283819829,11.9127662222032 55.4986361662698,11.9058825632436 55.4956940169689,11.8981209325474 55.4935702716134,11.8897792111261 55.4923464126428,11.8811774209246 55.4920693939488,11.8726455094694 55.4927498483473,11.8645107634848 55.4943616809135,11.8570853210364 55.4968430635136,11.8506542485343 55.5000987935671,11.8454646298253 55.5040039290047,11.8417160799666 55.5084085633079,11.8395530468053 55.5131435611357,11.839059200297 55.5180270379474,11.8402541341802 55.5228713376895,11.8430925193331 55.5274902422413,11.8474657555955 55.531706135901,11.8532060723356 55.5353568483501,11.8600929313401 55.5383019105027,11.8678614928119 55.5404279792162,11.8762128205924 55.5416532183403,11.8848254302541 55.5419304638671,11.8933677271033 55.5412490484473,11.9015108433314 55.5396352133127,11.9089413665787 55.5371510914707,11.9153734569308 55.5338923025268,11.920559875585 55.5299842542388,11.9243014946657 55.5255772965798,11.9264549214743 55.5208409186005,11.926937948534 55.5159572149564)))', 'DKJYS', 'Jystrup', 'Y'),('SRID=4326;MULTIPOLYGON(((9.71697089916014 57.1977459364539,9.71599338358255 57.1928828102773,9.7132875133895 57.1882166064209,9.70895783569607 57.183926536793,9.70317110491407 57.1801773090626,9.69614981882032 57.1771128209875,9.68816365051897 57.1748506583263,9.6795191081596 57.1734776035515,9.67054781622529 57.1730463237982,9.66159385957765 57.1735733618573,9.65300066325387 57.175038505155,9.64509789665726 57.1773855562587,9.63818888998995 57.1805244762427,9.6325390335545 57.1843348210063,9.6283655971965 57.1886703420933,9.62582935829887 57.1933645794184,9.62502836339559 57.1982372351527,9.62599407215695 57.2031010873427,9.62869004528068 57.2077691798911,9.63301324238972 57.2120620133538,9.6387978956838 57.2158144592936,9.64582182366778 57.2188821300096,9.65381495103653 57.2211469552148,9.66246971018662 57.222521747088,9.67145292121985 57.2229535740359,9.68041868469689 57.2224258099623,9.68902177809494 57.2209587779701,9.69693102526979 57.2186089630292,9.70384210941135 57.2154668248349,9.7094893239434 57.2116532974316,9.71365580122904 57.207315113803,9.71618182334212 57.202619139382,9.71697089916014 57.1977459364539)))', 'DKKAA', 'Kås', 'Y'),('SRID=4326;MULTIPOLYGON(((8.61242475360125 56.7501494555808,8.61160216390862 56.745277954075,8.60906617159979 56.7405881934164,8.60491479405519 56.7362602995798,8.59930794502725 56.7324604410996,8.59246123185693 56.7293344661485,8.58463764883127 56.7270023247843,8.576137489017 56.7255534865947,8.56728685938546 56.7250435257069,8.55842523218639 56.7254920008755,8.54989249830875 56.7268817097318,8.54201600515793 56.7291593449635,8.53509806208276 56.7322375279489,8.52940438059668 56.7359981439514,8.5251538848401 56.7402968541432,8.52251028053364 56.7449686151632,8.52157570907404 56.7498339982428,8.52238673889626 56.754706068622,8.52491286077937 56.7593975633227,8.52905756002456 56.7637280923781,8.534661939591 56.7675310860665,8.54151076809358 56.7706602189081,8.54934072920789 56.7729950600848,8.55785055886224 56.7744457289865,8.56671267793874 56.774956372776,8.57558586502107 56.774507328733,8.58412846933006 56.7731158858324,8.59201164077539 56.7708356153793,8.5989320532995 56.7677542971848,8.60462361944047 56.7639905232927,8.60886773710276 56.7596891132908,8.61150167157404 56.7550155215611,8.61242475360125 56.7501494555808)))', 'DKKAB', 'Karby', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3114928931866 56.0009786559222,12.3109759340775 55.9960958786003,12.3087694824721 55.9913634168445,12.3049588920873 55.9869630551944,12.2996910044055 55.983063761588,12.2931684445776 55.9798152146599,12.2856418069912 55.9773420773868,12.277400034942 55.9757392332358,12.2687593625635 55.9750681638114,12.2600512369837 55.9753546035775,12.2516096735035 55.9765875591478,12.2437585157173 55.9787197295832,12.2367990756094 55.9816693118724,12.230998615693 55.9853231240666,12.2265801064898 55.9895409291487,12.2237136486406 55.9941607973618,12.2225098906311 55.9990053050072,12.2230157019187 56.0038883351603,12.2252122790438 56.0086222216445,12.2290157715881 56.0130249630186,12.2342804186517 56.0169272290536,12.2408040884407 56.02017888859,12.2483360175887 56.0226548047847,12.256586457209 56.0242596711043,12.2652378536087 56.0249316980871,12.2739571270222 56.0246450054893,12.2824085649896 56.0234106251886,12.2902668206136 56.0212760750269,12.2972295013291 56.0183235203076,12.3030288512722 56.0146665955057,12.307442068907 56.0104460115041,12.3102998591876 56.0058241211247,12.3114928931866 56.0009786559222)))', 'DKKAG', 'Kagerup', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2607043815216 55.3009886606745,12.260200049746 55.2961053334644,12.2580360187714 55.2913719515216,12.2542959885333 55.2869703373288,12.2491240725259 55.2830695108068,12.2427192010241 55.2798192140285,12.2353274496557 55.2773441817383,12.2272325921197 55.2757393740553,12.2187452386478 55.2750663505942,12.2101909709528 55.2753509218025,12.2018979187828 55.2765821651961,12.1941842421064 55.2787128430691,12.1873459860469 55.2816612059336,12.1816457629208 55.2853141141791,12.1773026873762 55.2895313610017,12.1744839472527 55.294151034259,12.1732983353515 55.2989957151755,12.1737919972 55.3038792792622,12.1759465690252 55.3086140407203,12.1796797909601 55.3130179670488,12.1848485860134 55.3169216863257,12.1912544990492 55.3201750160826,12.1986512958781 55.3226527598315,12.2067544346769 55.324259544658,12.2152520444662 55.3249335099446,12.2238169820996 55.3246487018592,12.2321194934252 55.3234160789484,12.2398399784025 55.3212830889376,12.2466813554065 55.3183318333169,12.2523805369871 55.3146758920933,12.2567185670649 55.3104559338138,12.259529025928 55.3058342834153,12.2607043815216 55.3009886606745)))', 'DKKAI', 'Karise', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1371473267254 55.6792391462743,11.136033773147 55.6743875555591,11.1332671784961 55.6697518925941,11.1289543525743 55.6655101930988,11.1232613410755 55.6618253092373,11.1164069981609 55.6588386747411,11.1086545648048 55.6566648961912,11.1003015781932 55.6553873742898,11.0916684960228 55.6550551195239,11.0830864639756 55.6556808814605,11.0748846839553 55.6572406616384,11.0673778542879 55.6596746283443,11.0608541507355 55.6628893992513,11.0555641988761 55.666761606716,11.0517114545102 55.6711426122574,11.0494443599269 55.6758641930538,11.0488505811988 55.680744985819,11.0499535567394 55.6855974435984,11.0527115022601 55.6902350401164,11.0570189247104 55.6944794452879,11.0627106010271 55.6981673950346,11.069567880321 55.701156988872,11.077327074583 55.7033331696858,11.0856896173412 55.7046121710506,11.0943335960606 55.704944757244,11.102926206156 55.7043181282419,11.1111366353096 55.7027564145089,11.1186488684424 55.7003197421247,11.1251739071652 55.6971019053319,11.1304609226348 55.6932267385272,11.1343069060917 55.6888433307241,11.1365644445346 55.6841202704663,11.1371473267254 55.6792391462743)))', 'DKKAL', 'Kalundborg', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2730041466719 55.5709874705488,12.272495930979 55.5661043337752,12.2703166540347 55.5613711833805,12.2665506106736 55.5569698320115,12.2613429203964 55.5530692880546,12.2548938909705 55.549819281011,12.2474512936601 55.5473445327602,12.2393008509866 55.5457399910199,12.2307553010834 55.5450672041695,12.2221424521168 55.5453519731724,12.2137926747963 55.5465833682356,12.2060263000017 55.5487141467561,12.1991413916571 55.5516625568074,12.1934023521551 55.5553154586761,12.1890297891233 55.5595326475351,12.1861920287181 55.5641522149594,12.1849986028745 55.5689967472623,12.185495967423 55.5738801260625,12.1876656266152 55.578614672393,12.1914247498305 55.5830183610887,12.1966292710984 55.586921827927,12.2030793651065 55.5901748984247,12.2105270985202 55.5926523843192,12.2186859668945 55.5942589211108,12.2272419493586 55.5949326566913,12.2358656494813 55.5946476456613,12.2442250445603 55.5934148546604,12.2519983394982 55.5912817388109,12.2588864168421 55.5883304058769,12.2646243917501 55.5846744405545,12.268991818672 55.5804545140538,12.2718211533791 55.5758329515804,12.2730041466719 55.5709874705488)))', 'DKKAR', 'Karlslunde', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2043723815374 54.9980050980388,12.2038774864103 54.9931214414619,12.2017352764915 54.9883871083904,12.1980286037129 54.9839839591687,12.1929002934218 54.9800810744901,12.1865475980492 54.9768282775043,12.1792145904761 54.9743504009193,12.1711827933541 54.9727425156545,12.1627604030934 54.9720663004765,12.154270516122 54.9723476886238,12.1460387992456 54.9735758793033,12.138381064787 54.9757037508196,12.1315912143071 54.9786496597546,12.1259300020655 54.9823005588196,12.1216150412346 54.9865163165384,12.118812432807 54.9911350764931,12.117630340103 54.995979454117,12.1181147621752 55.0008633364354,12.120247679119 55.0055990260491,12.1239476537726 55.010004456093,12.1290728805178 55.0139101986396,12.1354265763674 55.017165995455,12.1427645161296 55.0196465571342,12.1508044262727 55.0212564039763,12.1592368752522 55.0219335585818,12.1677372352894 55.0216519446926,12.1759782451469 55.020422397469,12.1836426777283 55.0182922451283,12.1904356117448 55.0153434783241,12.1960958234983 55.01168957943,12.2004058521341 55.0074711366187,12.2032003475429 55.002850415089,12.2043723815374 54.9980050980388)))', 'DKKAV', 'Kalvehave', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4959368035241 55.4774709700635,10.4949082897708 55.4726130349744,10.4922315157734 55.467962365962,10.4880098419102 55.463697579991,10.4824058192285 55.459982419954,10.4756348950524 55.4569594850289,10.4679571202806 55.4547447768787,10.4596671789985 55.4534232672997,10.4510831199948 55.4530456537853,10.442534214702 55.453626424509,10.4343483959909 55.4551433050868,10.4268397465299 55.457538107844,10.4202965038004 55.4607189519677,10.4149700313483 55.4645637716399,10.4110651727881 55.4689249807862,10.4087323571123 55.4736351191452,10.4080617620745 55.4785132665678,10.4090797683485 55.483371982267,10.4117478529073 55.4880245043988,10.4159639782599 55.4922919338786,10.4215664380708 55.4960101253637,10.4283400229511 55.4990360181661,10.4360242769365 55.5012531603125,10.4443235295406 55.5025762094521,10.4529183144093 55.5029542337071,10.4614777271918 55.5023726823723,10.469672235345 55.5008539486728,10.4771864333109 55.4984565024048,10.4837312388999 55.4952726268322,10.4890550506373 55.4914248492839,10.4929534299805 55.4870612061437,10.4952769343398 55.4823495282261,10.4959368035241 55.4774709700635)))', 'DKKBG', 'Klintebjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6895730950544 55.1770461462503,11.6884082154871 55.1721998368759,11.6856143395764 55.1675766597785,11.6812993029035 55.1633541696521,11.6756292162101 55.1596944813001,11.6688220384937 55.1567380629658,11.6611391919013 55.1545983642959,11.6528755419734 55.153357481426,11.6443481242231 55.1530630220026,11.6358840414553 55.1537262876026,11.6278079846752 55.1553218415926,11.6204298433294 55.1577884787064,11.6140328676924 55.1610315602826,11.6088628275022 55.1649266279671,11.6051185768046 55.1693241605232,11.6029443860837 55.1740552948977,11.6024243402394 55.1789382954771,11.60357902642 55.1837855259824,11.6063646512462 55.1884106579319,11.610674635289 55.1926358390237,11.6163436370253 55.1962985447795,11.6231538626349 55.1992578475839,11.6308434259587 55.2013998586555,11.6391164388953 55.2026421298159,11.6476544404971 55.2029368420637,11.6561287166613 55.2022726553316,11.6642130245284 55.2006751464873,11.6715962184981 55.1982058184062,11.677994279081 55.1949597194257,11.6831612713684 55.1910617672723,11.686898805332 55.1866619223167,11.6890636330504 55.1819293996536,11.6895730950544 55.1770461462503)))', 'DKKBK', 'Karrebæksminde', 'Y'),('SRID=4326;MULTIPOLYGON(((9.49272031004177 54.3328331322543,9.49184133252773 54.3279658297503,9.48935500302863 54.3232922326001,9.48535734148902 54.3189918490179,9.48000228619473 54.3152297998842,9.473495730966 54.3121504946292,9.46608759742041 54.3098721066007,9.45806224924025 54.3084820564382,9.44972761395277 54.3080336732773,9.4414034227068 54.3085441589575,9.43340900887778 54.3099939314067,9.42605112141577 54.3123273717651,9.41961220836641 54.3154549473558,9.41433960994906 54.3192566310964,9.41043606928543 54.3235864891702,9.40805192299514 54.3282782644272,9.40727927446148 54.3331517447101,9.40814838113343 54.3380196745485,9.41062640579013 54.342694946715,9.41461859282323 54.3469977979898,9.41997183739177 54.3507627318089,9.42648052134424 54.3538448995753,9.4338943989862 54.3561256921493,9.44192823214956 54.3575173228211,9.45027280154438 54.357966221836,9.45860686364192 54.3574551088206,9.46660958231702 54.3560036613532,9.4739729442813 54.3536677533003,9.48041366804668 54.3505372930234,9.48568413773082 54.3467327467722,9.48958193429439 54.3424004841549,9.49195759560574 54.3377071283907,9.49272031004177 54.3328331322543)))', 'DKKDM', 'Kollund Mole', 'Y'),('SRID=4326;MULTIPOLYGON(((9.62763475533612 55.1927832790714,9.6267198765371 55.1879177459566,9.62416392252003 55.1832477730971,9.62006561287901 55.1789527255481,9.6145827682096 55.1751975140588,9.60792619592131 55.1721262798027,9.60035157327364 55.1698568808887,9.59214964189862 55.1684763886201,9.58363508754173 55.1680377627137,9.57513452434112 55.1685578300241,9.5669740336576 55.1700166423414,9.55946672263734 55.1723582372706,9.55290076704302 55.1754927738177,9.54752838643375 55.1792999628822,9.54355616782388 55.1836336641639,9.54113710715584 55.1883274767265,9.54036467732987 55.1932011122529,9.54126915865847 55.1980673093404,9.54381638449482 55.202739025277,9.54790896403036 55.2070366296402,9.55338994902716 55.2107948224296,9.56004881519635 55.2138690085959,9.56762953605812 55.2161408806284,9.57584044158348 55.2175229907135,9.58436547979287 55.217962132836,9.5928764404743 55.217441401552,9.60104565934252 55.2159808461556,9.60855870046348 55.21363669441,9.61512651571965 55.2104991765621,9.62049660243761 55.2066890355884,9.6244627228294 55.2023528611902,9.6268728093519 55.1976574308132,9.62763475533612 55.1927832790714)))', 'DKKEL', 'Kelstrup strand', 'Y'),('SRID=4326;MULTIPOLYGON(((9.94238621413073 54.9666715392848,9.94143868359859 54.9618083363814,9.93886089090984 54.9571448937448,9.93475238412605 54.9528603244263,9.92927136552034 54.9491191364919,9.92262856426987 54.9460649332287,9.91507912371963 54.9438149201696,9.90691281713383 54.9424554261382,9.89844296474429 54.9420386066208,9.88999446996901 54.9425804529831,9.88189142289862 54.9440601819934,9.87444473391246 54.9464210284968,9.86794025929752 54.9495724116905,9.86262786401611 54.9533933940433,9.85871183462081 54.9577373032757,9.85634300840861 54.9624373436574,9.8556129242989 54.9673129848155,9.85655022813681 54.9721768857458,9.85911948221675 54.9768420900338,9.86322243840214 54.9811292164333,9.8687017394492 54.9848733675862,9.8753469176658 54.9879304890824,9.88290246783758 54.9901829311143,9.89107768656664 54.9915439950688,9.89955789682705 54.9919612864525,9.9080166183066 54.9914187420623,9.91612820398946 54.9899372513986,9.92358044356915 54.9875738478122,9.93008663573219 54.9844195013993,9.93539665403742 54.9805956008145,9.93930657380752 54.9762492626113,9.94166648788135 54.9715476523085,9.94238621413073 54.9666715392848)))', 'DKKET', 'Ketting nor', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1123571374574 56.699603308263,10.1113421581571 56.6947430653285,10.1086238495819 56.6900851066575,10.1043072135283 56.6858083268546,10.0985584836064 56.6820769242247,10.0915986842985 56.6790341144685,10.0836951214962 56.6767966543557,10.0751511338363 56.6754503816731,10.0662944950309 56.6750469387759,10.0574649038462 56.6756018022879,10.0490010294259 56.6770936925094,10.0412275946982 56.6794653845985,10.0344429793636 56.6826258913493,10.028907806456 56.686453936154,10.0248349430049 56.6908025862613,10.0223812965478 56.6955048724203,10.0216417261917 56.7003801830372,10.0226453111238 56.705241190529,10.0253541330163 56.7099010459147,10.0296646343332 56.7141805658325,10.0354115154237 56.7179151348202,10.0423740332763 56.7209610551284,10.0502844681281 56.7232010964334,10.0588384351361 56.7245490279849,10.0677066413215 56.7249529548795,10.0765476268866 56.7243973268089,10.0850209879939 56.7229035398703,10.0928005574522 56.7205291076641,10.0995870216052 56.7173654345546,10.1051194759559 56.7135342791992,10.1091854673532 56.7091830479022,10.1116291344683 56.7044791028765,10.1123571374574 56.699603308263)))', 'DKKGL', 'Kongsdal Harbour', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2766391332979 55.2409822441604,12.2761333619797 55.2360989272151,12.2739704533633 55.2313658010262,12.2702340620867 55.2269646783342,12.2650681600997 55.2230645604018,12.2586714455815 55.2198151624099,12.2512896805818 55.2173411849587,12.2432062558046 55.2157375480233,12.2347313436703 55.2150657665572,12.2261900498543 55.2153516034963,12.2179100078196 55.2165840877865,12.2102088797265 55.2187159339501,12.2033822301683 55.2216653473738,12.1976922264177 55.2253191477369,12.1933575905168 55.2295370935563,12.1905451852062 55.2341572454341,12.1893635583041 55.2390021658705,12.1898587001187 55.243885720953,12.1920121877026 55.2486202251561,12.1957418006828 55.2530236559498,12.2009045990446 55.256926660684,12.2073023571094 55.2601790846888,12.2146891539597 55.2626557666808,12.222780832839 55.2642613749428,12.2312659647142 55.2649340944041,12.2398178880451 55.2646480193274,12.2481073511187 55.263414157021,12.2558152575057 55.2612800027537,12.2626450106795 55.2583277025268,12.2683339708722 55.2546708761513,12.2726635749163 55.2504502257929,12.2754677261271 55.2458281025907,12.2766391332979 55.2409822441604)))', 'DKKGS', 'Køge Sønakke', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3584284811276 55.0115228864349,10.3574295547775 55.0066632861093,10.354800739498 55.002009017436,10.3506435402523 54.9977388382917,10.345118023853 54.9940167019054,10.3384366210206 54.990985478664,10.3308559495473 54.9887614914173,10.322666974751 54.9874300703778,10.3141838819478 54.9870422946336,10.3057320803417 54.9876130423616,10.2976357875341 54.9891204226812,10.2902056581749 54.9915066104381,10.2837269188288 54.9946800528149,10.2784484539339 54.998518965326,10.2745732551128 55.0028759862282,10.2722505987231 55.0075838143763,10.2715702554804 55.0124616176879,10.2725589627845 55.0173219691182,10.2751793071127 55.0219780456362,10.2793310731267 55.0262508141377,10.2848550211752 55.029975927188,10.2915389593072 55.03301006123,10.2991258837564 55.035236450271,10.3073238772466 55.0365693984464,10.3158173814462 55.036957594175,10.3242794021083 55.0363860953413,10.3323841658706 55.0348769071748,10.3398197284563 55.0324881300588,10.3463000361424 55.0293117110174,10.3515759657277 55.0254698877067,10.3554449115697 55.0211104650124,10.3577585492706 55.0164011097304,10.3584284811276 55.0115228864349)))', 'DKKHA', 'Korshavn, V. Avernakø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6580797127641 55.6084119060549,10.6570274720035 55.60355559053,10.6543224047736 55.5989087485736,10.6500689606703 55.5946498486107,10.6444309111735 55.5909424059926,10.6376250084297 55.5879287223038,10.6299126428354 55.5857244431512,10.6215898218889 55.584414139578,10.6129758517443 55.5840480790222,10.6044011477696 55.5846403067385,10.5961946302202 55.5861681094209,10.5886711752672 55.5885728811304,10.5821195898147 55.5917623592979,10.5767915608012 55.5956141473243,10.5728919963546 55.5999803918855,10.5705711279104 55.604693439189,10.5699186802921 55.6095722567145,10.5709603423341 55.6144293768691,10.5736566859996 55.619078097759,10.5779045897753 55.6233396649093,10.5835411256475 55.6270501569138,10.5903497719077 55.6300668079471,10.5980687204862 55.6322735206503,10.6064009616857 55.633585353494,10.6150257552029 55.633951806222,10.6236110379067 55.633358773875,10.6318262790241 55.6318290922567,10.6393552742988 55.6294216533579,10.6459083733644 55.6262291258032,10.6512336588509 55.6223743704336,10.65512664031 55.618005692324,10.6574380885069 55.6132911157521,10.6580797127641 55.6084119060549)))', 'DKKHF', 'Korshavn, V. Fyns Hoved', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1544234419658 55.0470235161247,12.1539342339998 55.0421397544327,12.1517955292117 55.03740461326,12.1480900469408 55.0329999841746,12.1429605687596 55.0290950047258,12.1366043935247 55.0258395783689,12.129265728724 55.0233586385103,12.121226314493 55.0217473733444,12.1127946392326 55.0210675910495,12.1042941547586 55.0213453615121,12.0960509332214 55.0225700226377,12.0883812269585 55.0246945881996,12.0815793956245 55.0276375418386,12.0759066523479 55.0312859500306,12.0715810525467 55.0354997773678,12.0687691059755 55.0401172420609,12.0675793355391 55.044961009796,12.0680580367691 55.0498449914719,12.0701874115239 55.0545814861996,12.0738861608761 55.058988396345,12.0790125282793 55.0628962370883,12.0853696884668 55.0661546693687,12.092713284003 55.0686383021549,12.1007608240939 55.0702515372783,12.1092025832497 55.070932266652,12.1177135744708 55.0706542762049,12.1259661260474 55.0694282615226,12.1336425652268 55.0673014148986,12.1404475073295 55.0643555999637,12.1461192656424 55.0607041858487,12.1504399347019 55.0564876655857,12.1532437554155 55.0518682309373,12.1544234419658 55.0470235161247)))', 'DKKIN', 'Kindvig', 'Y'),('SRID=4326;MULTIPOLYGON(((12.561387066718 55.9008874431684,12.5608396072214 55.8960053877065,12.55860790489 55.8912771228105,12.5547782775716 55.8868842704298,12.5494982914147 55.882995509285,12.5429710299741 55.8797601133769,12.5354472631543 55.8773022411635,12.5272158209188 55.8757161909635,12.5185925400295 55.8750628008657,12.5099082015354 55.8753671278976,12.5014959112024 55.8766174930499,12.4936783938917 55.8787659276522,12.4867556757049 55.8817300043158,12.480993614491 55.8853959839637,12.4766137103144 55.8896231611283,12.4737845832835 55.8942492444115,12.4726154477096 55.8990965694054,12.4731518402789 55.9039789089422,12.4753737777209 55.9087086216051,12.4791964288022 55.9131038650356,12.4844732894438 55.9169955964981,12.4910017519245 55.9202340897878,12.4985308634951 55.9226947148987,12.5067709805037 55.9242827544077,12.5154049455319 55.9249370673714,12.5241003509654 55.9246324562639,12.5325224061943 55.9233806433427,12.5403468997393 55.9212298176883,12.5472727434309 55.9182627707059,12.5530336035924 55.9145936936767,12.5574081630117 55.9103637636168,12.5602286152724 55.9057356910268,12.561387066718 55.9008874431684)))', 'DKKKK', 'Kokkedal', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6279512747087 56.3664177864894,10.6268801961181 56.3615618911328,10.6241235537962 56.3569152348603,10.619787804176 56.352656276129,10.6140398977972 56.3489485283225,10.6071008134848 56.3459342997753,10.5992370527636 56.343729252061,10.5907504233604 56.342417981546,10.5819665005652 56.3420507900148,10.5732222008074 56.3426417651976,10.5648529320671 56.344168242911,10.5571798000983 56.3465716709479,10.5504973476206 56.3497598425892,10.5450622856602 56.3536104164181,10.541083642411 56.3579755907497,10.5387147059925 56.3626877571465,10.5380470743796 56.3675659197715,10.5391070501066 56.3724226372016,10.5418545312088 56.3770712220391,10.5461844559652 56.3813329222206,10.5519307606198 56.3850438070023,10.5588727101986 56.3880610904736,10.5667433669684 56.3902686459764,10.5752398733423 56.3915814953555,10.5840351503497 56.3919490964583,10.5927905529826 56.3913572992007,10.6011689829463 56.38982889292,10.6088479397728 56.3874227234307,10.6155319939621 56.3842314148135,10.6209641906445 56.3803777860616,10.6249359378414 56.3760101039439,10.6272949972955 56.3712963586853,10.6279512747087 56.3664177864894)))', 'DKKLD', 'Kolind', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8606087751088 55.1670576481466,14.8597879320339 55.1621865453083,14.8573233584381 55.1575006782864,14.8533102707161 55.1531800276838,14.8479032277094 55.1493904913846,14.8413101398443 55.1462775308607,14.8337842610596 55.1439606067617,14.8256144739746 55.1425286137382,14.8171142389191 55.1420364860506,14.8086096238087 55.142503101112,14.8004268633508 55.1439105593171,14.7928799120719 55.1462048670356,14.7862584558626 55.1492979972609,14.7808168311292 55.1530712508841,14.776764269533 55.1573797926868,14.7742568403183 55.1620581916054,14.7733914024037 55.1669267562606,14.774201806232 55.1717984256121,14.7766575028349 55.1764859522009,14.7806646272585 55.1808091027705,14.7860695285202 55.1846015988399,14.7926646222574 55.1877175283394,14.8001963491577 55.1900369786193,14.8083749362803 55.1914706704407,14.8168855835683 55.1919634109159,14.8254006379358 55.1914962293404,14.8335922753911 55.1900871115664,14.8411451899643 55.1877903038788,14.847768787908 55.1846942138824,14.8532084067587 55.1809179912844,14.8572551202347 55.1766069233029,14.8597537494162 55.1719268255885,14.8606087751088 55.1670576481466)))', 'DKKLE', 'Klemensker', 'Y'),('SRID=4326;MULTIPOLYGON(((9.73075580165131 57.023741351978,9.72978124168447 57.0188781916009,9.72708647232148 57.0142121290902,9.72277560754951 57.0099223715434,9.71701467438544 57.0061736156202,9.71002517756705 57.0031097421442,9.70207556992488 57.0008483144837,9.69347095878416 56.9994760879386,9.6845414404496 56.9990456985707,9.67562950201241 56.9995736552762,9.66707696140102 57.0010397100196,9.65921193217466 57.0033876297256,9.65233629875452 57.0065273411084,9.64671417060967 57.0103383684585,9.64256175066338 57.0146744358589,9.64003900448897 57.0193690611531,9.63924345375013 57.0242419308433,9.6402063413205 57.0291058144272,9.64289132865897 57.0337737547575,9.6471957910019 57.0380662588563,9.65295467604549 57.0418182119268,9.65994679086263 57.0448852464089,9.667903284059 57.0471493176994,9.67651800004722 57.0485232680294,9.68545930414983 57.0489541989057,9.69438291499637 57.0484255189923,9.70294523763711 57.0469575864268,9.71081666928648 57.0446069201664,9.71769435081373 57.0414640116354,9.72331386094694 57.0376498232804,9.72745939533418 57.0333111122524,9.72997203666714 57.0286147631758,9.73075580165131 57.023741351978)))', 'DKKLF', 'Klitgårds Fiskerleje', 'Y'),('SRID=4326;MULTIPOLYGON(((8.16663889834916 56.088309341733,8.16588638643466 56.0834346456826,8.16344792827643 56.0787356651544,8.15941777527748 56.0743928857304,8.15395117521156 56.0705730536394,8.14725834986004 56.0674227897769,8.13959639469414 56.0650629814747,8.13125941510955 56.0635841635406,8.12256727575399 56.0630430620307,8.11385338744905 56.0634604300973,8.10545198904864 56.0648202566902,8.09768539865324 56.0670703775789,8.09085170959921 56.0701244658596,8.08521339155549 56.0738653275898,8.08098722616731 56.0781493792091,8.07833596059863 56.0828121386631,8.07736200203655 56.0876745232666,8.07810340318912 56.0925497157982,8.08053230502023 56.0972503374073,8.08455591098986 56.1015956526727,8.09001997005103 56.1054185293073,8.09671464726978 56.1085718829115,8.1043825652475 56.1109343557683,8.11272871080567 56.1124150074152,8.12143182385925 56.1129568326293,8.13015682293814 56.1125389680808,8.1385677776712 56.1111775004048,8.14634091509174 56.1089248436724,8.15317714513908 56.1058677108471,8.15881361130355 56.1021237593759,8.16303381387437 56.0978370432042,8.16567591347366 56.0931724500397,8.16663889834916 56.088309341733)))', 'DKKLG', 'Klegod', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5163380546245 54.9558934175401,12.5158056135134 54.9510106504627,12.5136286347038 54.9462814623324,12.5098913017312 54.9418875139123,12.5047376120568 54.9379975311001,12.498365786627 54.9347608408532,12.4910206270532 54.9323016574172,12.4829841179035 54.9307143346676,12.4745646337088 54.9300597630998,12.4660851588253 54.930363046453,12.4578709621603 54.9316125447411,12.4502371872642 54.9337603192939,12.4434768210668 54.9367239630491,12.4378494915582 54.9403897475655,12.433571516253 54.9446169688227,12.4308075799108 54.9492433285463,12.4296643626916 54.9540911481805,12.4301863701003 54.9589741802208,12.4323541356268 54.9637047577104,12.4360848783735 54.9681010083694,12.4412356041816 54.9719938558056,12.4476085433285 54.9752335369487,12.4549587246521 54.9776953822161,12.4630033990695 54.9792846324924,12.4714329489612 54.9799401038331,12.479922857558 54.9796365555166,12.4881462675119 54.9783856678673,12.4957866326314 54.9762355910734,12.5025499626857 54.9732690826931,12.5081761784663 54.969600307281,12.5124491320158 54.9653704241942,12.5152049030929 54.9607421369461,12.5163380546245 54.9558934175401)))', 'DKKLH', 'Klintholm Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((12.376763593352 55.3509477089644,12.3762445249036 55.3460647470775,12.3740640557203 55.341333290016,12.3703065179173 55.3369350853824,12.3651166970333 55.333039021281,12.3586942095426 55.329794656216,12.3512858053437 55.3273264967501,12.3431758949763 55.3257292390106,12.3346756640829 55.3250641529361,12.3261111867089 55.3253567446752,12.3178109833219 55.3265957844049,12.3100934882294 55.3287337357169,12.303254894044 55.331688570399,12.2975578279398 55.3353469006852,12.2932212859385 55.3395683116376,12.2904122079185 55.3441907309641,12.2892390184409 55.3490366338969,12.2897473881976 55.3539198482555,12.2919183898434 55.3586527007941,12.2956691326087 55.3630532314616,12.3008558654383 55.3669521980369,12.3072794419881 55.3701996001404,12.3146929465627 55.3726704688479,12.3228111921379 55.3742696955742,12.3313217241109 55.3749357106197,12.339896900188 55.3746428664083,12.3482065711187 55.3734024311997,12.3559308612463 55.3712621538515,12.3627725434765 55.3683044166944,12.3684685205102 55.3646430493701,12.3727999621295 55.360418929178,12.3756007049441 55.355794540867,12.376763593352 55.3509477089644)))', 'DKKLI', 'Klippinge', 'Y'),('SRID=4326;MULTIPOLYGON(((8.5407788376062 57.0411761922606,8.53995937350418 57.0363044521514,8.53741278737101 57.0316134382085,8.53323751531046 57.0272833239171,8.5275943979527 57.0234803617704,8.52070044074501 57.020350517332,8.51282045292748 57.0180138872566,8.50425688971585 57.0165601116214,8.49533828516718 57.0160449526887,8.48640671172055 57.0164881680081,8.47780473546215 57.0178727571718,8.46986235313778 57.0201456102596,8.46288439752876 57.0232195337896,8.45713888201443 57.0269765785916,8.45284672324448 57.0312725451826,8.45017323344178 57.0359424976503,8.44922171194378 57.040807078343,8.45002939063163 57.0456793843064,8.45256590190635 57.0503721436865,8.45673434346874 57.0547049172713,8.46237491457116 57.058511047715,8.46927099741344 57.0616440871098,8.47715745914977 57.0639834523975,8.48573085897026 57.0654390870892,8.49466116528221 57.0659549458975,8.50360452415636 57.0655111647228,8.51221657527911 57.0641248301196,8.52016578809662 57.0618493177359,8.527146289948 57.0587722259077,8.53288967981439 57.0550119861503,8.53717536465965 57.0507132843494,8.53983901785851 57.0460414728277,8.5407788376062 57.0411761922606)))', 'DKKLM', 'Klitmøller', 'Y'),('SRID=4326;MULTIPOLYGON(((8.62816479052629 56.5331433219351,8.6273447646094 56.5282717572256,8.6248212198641 56.5235821691086,8.62069168734118 56.519254677649,8.61511523574874 56.5154554370891,8.60830630198362 56.5123302732998,8.60052642981233 56.5099991066637,8.59207423724367 56.5085513706329,8.58327399530592 56.5080425979274,8.57446324884949 56.5084923020698,8.56597994261539 56.5098832333083,8.55814953251052 56.51216203664,8.55127256251265 56.5152412873868,8.54561317188593 56.5190028283365,8.54138896570824 56.5233022836178,8.53876263470649 56.5279745799094,8.53783564906882 56.5328402669191,8.53864427672419 56.5377123977727,8.54115809156299 56.5424037073196,8.54528104382328 56.5467338134236,8.55085506658337 56.5505361637865,8.55766609271674 56.5536644590987,8.56545225991553 56.5559983022314,8.57391399181124 56.5574478522594,8.58272556509848 56.5579573002978,8.59154770982896 56.5575070300103,8.60004074597504 56.5561143773395,8.60787773633774 56.5538329593612,8.61475713515574 56.5507505988103,8.62041443340167 56.5469859263386,8.62463234454639 56.5426837945631,8.62724913622588 56.5380096842767,8.62816479052629 56.5331433219351)))', 'DKKLP', 'Kleppen', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0957425914718 57.0166080326767,10.0947206352596 57.0117479224062,10.0919808189585 57.0070899131549,10.0876289823076 57.0028129002826,10.0818327192193 56.9990810892343,10.0748148834168 56.9960377092378,10.0668450082911 56.9937995367872,10.0582289730657 56.9924524351649,10.0492973086745 56.9920480772981,10.0403925835312 56.9926019744794,10.031856340629 56.9940928845163,10.0240160725559 56.9964636214154,10.0171727197811 56.9996232364886,10.0115891599623 57.0034504895607,10.0074801223678 57.0077984804983,10.0050039124108 57.0125002672677,10.0042562678228 57.0173752587577,10.0052665916505 57.0222361401498,10.0079967201513 57.0268960669406,10.0123422884647 57.0311758518431,10.0181366569775 57.0349108673963,10.0251572604011 57.0379573965155,10.0331341440023 57.0401981832812,10.0417603615815 57.0415469664047,10.0507038320324 57.0419518169648,10.0596201895729 57.0413971486607,10.06816612028 57.0399043210818,10.0760126566841 57.0375308121502,10.082857904021 57.0343679925713,10.0884386962059 57.0305375903776,10.0925407253205 57.0261869851274,10.09500675293 57.0214835168592,10.0957425914718 57.0166080326767)))', 'DKKLR', 'Klarup', 'Y'),('SRID=4326;MULTIPOLYGON(((9.22889225750207 57.1319246579412,9.22798053165979 57.1270577040532,9.22534091414648 57.122380954544,9.22107541036368 57.1180740299504,9.21534831693706 57.1143022881038,9.20837985095803 57.1112104931041,9.20043766789657 57.1089172797668,9.19182659700161 57.107510622073,9.18287698537515 57.1070444755955,9.1739320897559 57.1075367194197,9.16533498737681 57.1089684743188,9.1574154934592 57.1112848225932,9.15047757269075 57.1143969027683,9.14478771540701 57.1181853010343,9.14056471644685 57.1225046126487,9.13797124639763 57.1271890021902,9.13710754219786 57.1320585531758,9.13800746831284 57.1369261665837,9.1406371129913 57.1416047455604,9.14489598910426 57.1459143910498,9.15062080902993 57.1496893309893,9.15759170179972 57.1527843143985,9.16554064248961 57.1550802210552,9.17416177306417 57.1564886669445,9.18312321492515 57.1569554242563,9.19207991028496 57.1564625209111,9.20068698550425 57.155028936542,9.20861310708602 57.1527098673694,9.21555330134203 57.1495945891005,9.22124073182176 57.145803002426,9.22545697314814 57.1414809974946,9.22804038352343 57.1367948197601,9.22889225750207 57.1319246579412)))', 'DKKLS', 'Klim Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.640441216945 55.9520552539492,11.6392561910643 55.9472091984346,11.6364096151012 55.9425859230898,11.6320113739764 55.9383629835389,11.6262307912621 55.934702507617,11.6192900764922 55.9317449888438,11.6114557760779 55.9296039141755,11.6030285577752 55.9283614284114,11.5943317170365 55.928065197986,11.5856988376956 55.9287265915549,11.5774610683358 55.9303202454256,11.5699344887984 55.93278503018,11.5634080383399 55.9360263825689,11.5581324579904 55.9399199156753,11.5543106650248 55.944316172222,11.5520899278369 55.9490463424217,11.551556145983 55.9539287305419,11.5527304643457 55.9587757248346,11.5555683643816 55.963401004903,11.5599612820003 55.9676267099224,11.5657407040869 55.9712902910407,11.572684597805 55.9742507820003,11.5805259327798 55.9763942433562,11.5889629703076 55.9776381669571,11.5976709200467 55.9779346674705,11.6063145069161 55.977272335122,11.6145609522059 55.9756766765254,11.6220928552427 55.9732091263005,11.6286204663167 55.9699646687146,11.6338928677075 55.9660681634232,11.6377076261099 55.9616695201912,11.6399185440793 55.9569379121567,11.640441216945 55.9520552539492)))', 'DKKLT', 'Klint', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8681803436715 54.8189866502734,11.8670058719997 54.8141419304156,11.8642178585044 54.8095225633694,11.8599239007938 54.8053059578073,11.8542892899234 54.8016540037562,11.847530616452 54.7987068743567,11.8399074386965 54.7965776648452,11.8317123345737 54.7953480708702,11.8232597152665 54.7950652685093,11.814873821899 54.7957401129312,11.8068763544785 54.7973467231721,11.7995741949886 54.7998234686918,11.7932476834247 54.8030753210126,11.7881398868014 54.8069774826082,11.7844472670709 54.8113801570683,11.7823121051913 54.8161142811291,11.7818169763723 54.8209980020204,11.7829814974146 54.8258436542074,11.785761483171 54.8304649692189,11.7900505581833 54.8346842418228,11.7956841747438 54.8383391759598,11.8024458936708 54.8412891447982,11.8100756930062 54.8434206208226,11.8182799867582 54.8446515633279,11.826742964705 54.8449345909346,11.8351388087112 54.8442588141824,11.8431443038727 54.8426502559741,11.850451346055 54.8401708434107,11.856778851918 54.8369160110035,11.8618836030766 54.8330110099703,11.8655696012249 54.8286060689994,11.8676955734812 54.8238705964101,11.8681803436715 54.8189866502734)))', 'DKKLV', 'Klodskov', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5317729837758 56.2124535910885,10.5307187147973 56.2075966597317,10.5279850755374 56.2029476305901,10.5236776346633 56.1986850545099,10.5179622534837 56.1949725851526,10.5110586621867 56.1919527134365,10.5032320020408 56.1897413186353,10.4947826606039 56.1884232414394,10.4860347868122 56.1880490451295,10.477323918369 56.1886330860683,10.4689841841353 56.1901529656017,10.461335558655 56.1925503838892,10.4546716442431 56.195733363899,10.449248438257 56.1995797625873,10.4452745095727 56.2039419378778,10.4429029595534 56.2086523961714,10.4422254800029 56.2135302073492,10.4432687452681 56.2183879440495,10.4459932899033 56.2230388806547,10.4502949298147 56.2273041759247,10.4560086868388 56.2310197622268,10.4629150780533 56.234042674116,10.47074853593 56.2362565694796,10.479207638019 56.237576226939,10.4879667494119 56.2379508426319,10.4966886215798 56.2373659963483,10.5050374504419 56.235844209349,10.5126918768788 56.2334440718695,10.5193574154338 56.2302579749143,10.524777821491 56.226408536054,10.5287449524408 56.2220438602033,10.5311067418142 56.2173318216486,10.5317729837758 56.2124535910885)))', 'DKKNB', 'Knebel', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5656943536567 56.1454417314911,10.5646377985622 56.1405850524317,10.5619049815104 56.1359367207084,10.5576014369057 56.1316752604294,10.5518928742561 56.1279642826331,10.5449987605577 56.1249462213284,10.5371838727857 56.1227368867174,10.5287481471131 56.1214210408354,10.5200152111907 56.1210491616687,10.5113200312704 56.1216355168548,10.5029961361619 56.1231576189451,10.4953628943848 56.1255570826254,10.488713319142 56.128741852006,10.4833028579142 56.1325897148692,10.4793395898895 56.1369529723699,10.4769762057359 56.1416640888023,10.4763040814905 56.1465421083005,10.4773496830927 56.151399595174,10.480073452454 56.1560498332639,10.4843712325982 56.1603140082352,10.4900781916053 56.1640280957628,10.4969751066219 56.1670491884097,10.5047967742001 56.1692610144789,10.5132422260035 56.1705784326329,10.5219863536649 56.1709507255206,10.5306924870889 56.1703635625192,10.5390254298916 56.1688395540601,10.5466644361231 56.1664373756852,10.5533156149962 56.1632494965726,10.5587232748944 56.1593986023684,10.5626797631093 56.1550328534118,10.565033421138 56.1503201647096,10.5656943536567 56.1454417314911)))', 'DKKNG', 'Kongsgårde', 'Y'),('SRID=4326;MULTIPOLYGON(((9.81165433744864 56.1007146025284,9.81069401065792 56.0958513155678,9.80805521973078 56.091186149211,9.80383989435968 56.0868982792675,9.79821036755492 56.0831523348959,9.79138308569619 56.0800920950321,9.78362027456774 56.0778349897496,9.77521988401944 56.0764676138054,9.76650419431266 56.0760424207961,9.75780751342868 56.076575721645,9.74946342564163 56.0780470621826,9.7417920668744 56.080400003076,9.73508790148181 56.083544273058,9.72960845815009 56.0873592150834,9.72556444987456 56.091698396448,9.72311165512151 56.0963952097463,9.72234487533893 56.1012692534333,9.72329420947111 56.1061332501495,9.7259238011156 56.1108002391497,9.73013312108641 56.1150907671441,9.73576075064219 56.1188398003103,9.74259053224479 56.1219030894716,9.75035985954913 56.1241627403264,9.75876979067755 56.125531770577,9.76749659290066 56.125957474773,9.77620426645469 56.1254234641674,9.78455755352866 56.1239503009841,9.79223491769071 56.1215947020376,9.79894098032029 56.1184473432602,9.80441792389662 56.1146293519383,9.80845541599198 56.1102876250037,9.81089867017038 56.1055891574012,9.81165433744864 56.1007146025284)))', 'DKKNO', 'Knudsø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.6457838933989 55.3287764508076,9.64486353669669 55.3239111759597,9.64229659023691 55.3192417150173,9.63818220004167 55.3149474127536,9.63267880710846 55.3111931504679,9.62599800901277 55.3081230319707,9.61839641250344 55.3058548716659,9.61016579253399 55.3044756926142,9.60162193279065 55.3040384037039,9.59309256846859 55.3045597803836,9.58490488279904 55.3060198244392,9.57737302401753 55.3083625267471,9.57078610879381 55.3114980045642,9.56539716162625 55.3153059335026,9.56141340764903 55.3196401456579,9.55898828936008 55.3243342211069,9.5582155169966 55.3292078617957,9.55912538917848 55.3340738061513,9.56168353705063 55.3387450208613,9.56579215409527 55.3430418941576,9.57129367822582 55.3467991533251,9.57797679637742 55.3498722383052,9.58558454859602 55.3521428830737,9.59382422277807 55.3535236863325,9.60237865681447 55.3539614919219,9.61091850566742 55.3534394457335,9.61911498992863 55.3519776479083,9.62665262185586 55.3496323745657,9.63324140587132 55.3464938998661,9.63862803297241 55.3426830044457,9.64260563123632 55.3383463078288,9.64502169531755 55.3336506081747,9.6457838933989 55.3287764508076)))', 'DKKNU', 'Knud', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2258743004691 55.4560029987082,12.2253729328 55.4511196634336,12.2232052247392 55.4463857245139,12.2194550231114 55.441983025571,12.2142668366229 55.4380806275855,12.2078402232389 55.4348283321283,12.2004220942684 55.4323509497288,12.192297234946 55.4307435298221,12.1837774043472 55.430067731588,12.1751894268119 55.4303494715874,12.1668627215721 55.431577935998,12.1591167362879 55.4337059941702,12.152248753344 55.436651997913,12.1465225249994 55.4403028991661,12.1421581650921 55.4445185692758,12.1393236815295 55.4491371576913,12.1381284762236 55.4539812881513,12.1386190688269 55.4588648578436,12.1407772194991 55.4636001808966,12.1445205364401 55.4680052029669,12.149705559075 55.4719105093992,12.1561332111089 55.4751658558386,12.1635564231102 55.4776459672709,12.1716896360005 55.4792553787901,12.1802198189486 55.4799321280111,12.1888185715612 55.4796501535935,12.197154834196 55.4784203050478,12.2049077041645 55.476289923746,12.2117788509522 55.473341011555,12.2175040406354 55.4696870593202,12.2218633175054 55.4654686601796,12.2246894475026 55.4608480801538,12.2258743004691 55.4560029987082)))', 'DKKOG', 'Køge', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5792969399451 55.7994390007223,10.5782488780522 55.7945821288999,10.5755394854812 55.7899337132733,10.5712733851099 55.7856722824638,10.5656148401189 55.7819614483027,10.5587813930725 55.7789436415487,10.551035492705 55.7767346648901,10.542674432131 55.7754192685291,10.5340189814663 55.7750479144632,10.5254011429727 55.7756348506041,10.5171514868366 55.7771575667302,10.5095865399614 55.7795576526499,10.5029966984187 55.7827430266417,10.4976351164926 55.7865914509856,10.4937079918743 55.7909552029879,10.4913666182051 55.7956667260097,10.4907015138709 55.8005450472662,10.4917388612862 55.8054027190098,10.4944394059516 55.8100530184208,10.4986998720021 55.8143171300892,10.5043568540323 55.8180310340477,10.5111930474273 55.8210518321891,10.5189455853485 55.823263266413,10.5273161641744 55.8245802123747,10.5359825647207 55.8249519721638,10.5446111177026 55.8243642361005,10.5528696217478 55.8228396361878,10.5604402029382 55.820436869407,10.5670316074298 55.817248425617,10.5723904429965 55.813397009887,10.5763109300576 55.8090308003217,10.5786427854807 55.8043177277012,10.5792969399451 55.7994390007223)))', 'DKKOK', 'Kolby Kås', 'Y'),('SRID=4326;MULTIPOLYGON(((9.51695881508012 55.4858223097268,9.5160505179273 55.480956169432,9.51348844501737 55.4762841164627,9.50937156163591 55.4719855954011,9.50385841020513 55.4682256493278,9.49716096713725 55.4651485996432,9.48953648029273 55.4628725259138,9.48127760315521 55.4614847539287,9.47270120177161 55.4610385214462,9.46413625647282 55.4615509464931,9.45591131137371 55.4630023741468,9.44834194002549 55.4653371262044,9.44171869506467 55.4684656257865,9.43629599327802 55.4722678175069,9.43228235549029 55.4765977551364,9.42983237372688 55.4812891844009,9.42904071724809 55.4861619102926,9.42993841580313 55.4910287075164,9.43249157485207 55.4957025107033,9.43660258616293 55.5000036088166,9.44211380128409 55.5037665664434,9.44881353859132 55.506846603702,9.45644420094935 55.5091251861943,9.46471219470951 55.5105146061946,9.47329926590067 55.5109613750486,9.48187480980804 55.5104482930716,9.49010866877234 55.5089951151982,9.49768391218628 55.5066577860867,9.50430909344563 55.5035262749502,9.50972950098213 55.4997210956569,9.51373696325215 55.4953886492666,9.5161778283978 55.4906955719891,9.51695881508012 55.4858223097268)))', 'DKKOL', 'Kolding', 'Y'),('SRID=4326;MULTIPOLYGON(((9.29990313938052 57.1408986718046,9.29898187325288 57.1360322520629,9.2963326683701 57.1313570143535,9.2920578979301 57.1270525206269,9.28632221344814 57.1232840349442,9.27934616054673 57.120196196108,9.27139768448926 57.1179074869495,9.26278185471219 57.1165057086114,9.25382919991894 57.1160446295779,9.24488309307874 57.1165419347203,9.23628665792605 57.1179785508567,9.22836968467461 57.1202993739615,9.22143604236063 57.1234153709491,9.21575205851583 57.1272069776551,9.21153630403441 57.1315286659913,9.20895117275579 57.1362145089467,9.2080965824509 57.1410845337626,9.2090060480669 57.1459516226826,9.21164529130468 57.150628698459,9.21591345553531 57.1549359193129,9.22164689498026 57.1587076060032,9.22862540580647 57.1617986324031,9.23658066855666 57.1640900304036,9.24520658058307 57.1654935895096,9.25417107824995 57.1659552701306,9.26312898561503 57.1654572958087,9.27173538241802 57.1640188416028,9.27965896187309 57.1616952913683,9.28659484921065 57.1585760933722,9.29227637511741 57.1547812991034,9.29648534290081 57.1504569219278,9.29906039193584 57.145769298207,9.29990313938052 57.1408986718046)))', 'DKKOS', 'Kollerupstrand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3992993214199 54.915152496077,11.3981778778622 54.910302835651,11.3954362640741 54.9056723494066,11.3911803035185 54.9014388756061,11.385573837425 54.8977649536243,11.3788323849833 54.8947916005859,11.3712148512187 54.8926329179502,11.36301360265 54.8913717313923,11.3545432882475 54.8910564277907,11.3461288267195 54.891699107858,11.3380930097836 54.8932751235771,11.3307441842382 54.895724017849,11.3243644730619 54.8989518313843,11.3191989774743 54.9028346906752,11.3154463682356 54.9072235426177,11.3132512261296 54.9119498577455,11.312698429675 54.9168320866677,11.313809814213 54.9216826246531,11.3165432427495 54.9263150185926,11.3207941379515 54.9305511397952,11.3263994297447 54.9342280458435,11.3331437777185 54.9372042653157,11.3407678360311 54.9393652603638,11.3489782448608 54.9406278532685,11.3574589606695 54.9409434430472,11.3658834812267 54.9402998854194,11.3739274834168 54.938721962003,11.38128137431 54.9362704203273,11.3876622597757 54.933039622725,11.3928248598218 54.9291538970015,11.39657094451 54.9247627326486,11.3987569263607 54.9200350111759,11.3992993214199 54.915152496077)))', 'DKKRA', 'Kragenæs', 'Y'),('SRID=4326;MULTIPOLYGON(((8.32344795615514 56.7712547818017,8.322662360289 56.7663815016963,8.32016103298642 56.7616859854597,8.31604066394474 56.7573485820271,8.31045998142432 56.7535358265184,8.30363359408699 56.750394063058,8.29582372168618 56.7480438479122,8.28733013566761 56.7465753439204,8.27847869354097 56.746044879063,8.26960889936108 56.7464727978668,8.26106095577864 56.7478426857893,8.25316279025352 56.7501019954476,8.24621753886432 56.7531640513199,8.24049195568798 56.7569113580937,8.23620618424136 56.7612000889359,8.23352528057588 56.7658655852961,8.23255281628785 56.7707286610453,8.23332681540755 56.7756024722801,8.23581819386314 56.7802996912715,8.23993177657777 56.7846397098558,8.24550986844887 56.7884555947804,8.25233825522018 56.7916005254961,8.26015441274539 56.7939534635504,8.26865761272685 56.7954238315653,8.27752053401515 56.7959550177792,8.28640192495447 56.7955265678451,8.29495981738978 56.7941549771656,8.30286476923729 56.7918930523531,8.30981261126333 56.7888278670637,8.3155361949927 56.7850773930356,8.31981568130904 56.7807859392872,8.32248697101629 56.7761185789063,8.32344795615514 56.7712547818017)))', 'DKKRI', 'Krik', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1877559854115 55.3292240981104,11.1866471944175 55.3243726770897,11.1839002052842 55.3197377518718,11.1796210630314 55.3154973309128,11.1739745112787 55.3118142190301,11.1671776160121 55.3088297840731,11.1594914130623 55.3066585504002,11.1512109018558 55.3053838229603,11.1426537661077 55.3050545063263,11.1341482461966 55.3056832378364,11.126020617036 55.3072459046948,11.1185827387354 55.3096825631755,11.1121201449596 55.3128997257273,11.1068811156767 55.3167739305858,11.1030671472747 55.3211564602047,11.1008251844989 55.3258790311416,11.100241916417 55.3307602405764,11.1013403642228 55.3356125248534,11.1040789042501 55.3402493645756,11.1083527777781 55.3444924598215,11.1139980433041 55.3481785986381,11.1207978306609 55.3511659523531,11.1284906637256 55.3533395522532,11.1367805336972 55.3546157331523,11.1453483320723 55.3549453692013,11.1538641951815 55.3543157744339,11.1620002734511 55.3527511930689,11.1694434204705 55.3503118602994,11.1759073004618 55.3470916708131,11.1811434376444 55.3432145471978,11.1849507759287 55.338829651354,11.1871833799454 55.3341056269597,11.1877559854115 55.3292240981104)))', 'DKKRR', 'Korsør', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3070760647808 54.7031874053563,11.3059722086085 54.6983365801117,11.3032560724981 54.6937036311232,11.2990324959666 54.6894664926349,11.2934640736794 54.6857878463372,11.2867648638585 54.6828088923094,11.2791921521421 54.6806439483606,11.2710365888695 54.6793760814288,11.2626110750322 54.6790539351996,11.2542388155685 54.6796898728551,11.2462409872969 54.681259504498,11.2389244819993 54.6837026170297,11.2325701826964 54.6869254718682,11.2274222130397 54.6908043846625,11.2236785663289 54.6951904528602,11.2214834726263 54.6999152533233,11.2209218009005 54.7047972947806,11.2220157196507 54.7096489801907,11.2247237561504 54.7142838133374,11.2289423039742 54.7185235731309,11.2345095340331 54.7222051788113,11.2412115696135 54.7251869797602,11.2487906948826 54.7273542247503,11.2569552830968 54.7286234965306,11.2653910592975 54.7289459375395,11.2737732561925 54.7283091397174,11.2817791840775 54.7267376239142,11.2891007180771 54.7242918900755,11.2954562095978 54.7210660758538,11.3006013534858 54.7171843161395,11.3043385866412 54.7127959469026,11.3065246554079 54.7080697415928,11.3070760647808 54.7031874053563)))', 'DKKRZ', 'Kramnitze', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((11.9304177025208 55.9409508360861,11.9291969380567 55.9361079758694,11.9263169148469 55.9314917830736,11.9218887986875 55.9272795395083,11.9160830552626 55.9236329610013,11.9091228544726 55.9206920068521,11.9012754854374 55.9185695281355,11.8928421133518 55.9173469564402,11.8841462674453 55.9170711948527,11.8755214930935 55.9177528275841,11.8672986296989 55.9193657152176,11.8597931887336 55.9218479908307,11.8532933030631 55.9251044199815,11.8480486993908 55.929010036518,11.8442611107162 55.9334149181212,11.8420764957855 55.9381499221292,11.8415793687322 55.94303316511,11.8427894660627 55.9478770002987,11.845660891986 55.9524952266394,11.8500837895641 55.9567102527342,11.8558884875963 55.960359939141,11.8628519753362 55.9633038534107,11.8707064632581 55.9654286938168,11.8791497023816 55.9666526692241,11.8878566613087 55.9669286628435,11.8964921028045 55.9662460551388,11.9047235634881 55.9646311339581,11.9122342230278 55.9621460758134,11.9187351540788 55.9588865387623,11.9239764707907 55.9549779621066,11.9277569405761 55.9505707188164,11.9299316884758 55.9458343110982,11.9304177025208 55.9409508360861)))', 'DKKSM', 'Karlsminde', 'Y'),('SRID=4326;MULTIPOLYGON(((8.22168234756121 56.1252895756876,8.22092219612071 56.1204152231067,8.21847472667278 56.1157173324476,8.2144345375268 56.1113763469262,8.20895726198833 56.1075589433902,8.20225353120422 56.104411649073,8.19458085824861 56.1020552370127,8.18623375853543 56.1005801115111,8.1775324836718 56.1000428569196,8.16881079380527 56.1004640789031,8.16040322632283 56.1018276187567,8.15263233578641 56.1040811700335,8.14579638092843 56.1071382744442,8.14015791937098 56.1108816224731,8.1359337397566 56.1151675351899,8.13328651479715 56.1198314590109,8.13231849835699 56.1246942663128,8.13306751654535 56.1295691232826,8.13550541889205 56.1342686635156,8.13953906359096 56.1386121926639,8.14501381367018 56.142432646636,8.15171942246362 56.1455830337976,8.15939809098987 56.1479421102529,8.16775439106492 56.1494190660696,8.17646667040903 56.1499570382469,8.18519949353975 56.1495353118737,8.19361662812894 56.148170122444,8.20139406310819 56.145914027538,8.2082325434139 56.1428538726901,8.21386912694997 56.1391074318175,8.21808731098818 56.134818854708,8.22072533559001 56.1301531005742,8.22168234756121 56.1252895756876)))', 'DKKSO', 'Kloster, Ved Nissum Fjord', 'Y'),('SRID=4326;MULTIPOLYGON(((11.911050330567 55.6159617087734,11.909843466637 55.6111182952968,11.9069909110854 55.6065011498012,11.9026027644853 55.602287592158,11.8968479508542 55.5986393906409,11.8899476820823 55.5956965690679,11.8821669482983 55.5935720522993,11.8738043624387 55.5923473518336,11.8651807449973 55.59206945348,11.8566268784801 55.5927490236674,11.8484708895152 55.5943600015166,11.841025729298 55.5968405920541,11.8345772198369 55.6000956236525,11.8293731143339 55.6040001817206,11.8256135853492 55.6084043825907,11.8234435048385 55.6131391081657,11.8229468168423 55.6180224847907,11.8241432281329 55.6228668604562,11.8269873566435 55.6274860140588,11.8313703847409 55.6317023200117,11.8371241676548 55.6353535916361,11.8440276504151 55.6382993377183,11.8518153535943 55.6404261881677,11.8601876032294 55.6416522762034,11.8688221076029 55.6419304047709,11.8773864267696 55.6412498723933,11.885550842778 55.6396368864347,11.8930011214912 55.6371535475857,11.8994506616577 55.6338954458794,11.9046515531623 55.6299879633034,11.9084041127494 55.6255814287549,11.9105645294912 55.6208453156119,11.911050330567 55.6159617087734)))', 'DKKSY', 'Kirke Saby', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7039023587217 55.4503965352444,10.7028490925722 55.4455405020909,10.7001498504689 55.4408945204672,10.6959088526558 55.4366370260789,10.6902893883382 55.4329314809744,10.6835074936006 55.4299201147901,10.6758236367853 55.4277184851579,10.6675327326921 55.4264110623341,10.6589528656848 55.4260480038751,10.650413146481 55.4266432401564,10.642241157064 55.4281739423361,10.6347504522046 55.4305813927094,10.6282285842236 55.4337732250592,10.6229260999005 55.4376269513452,10.6190469251586 55.4419946426716,10.6167405050081 55.4467085886123,10.6160960042802 55.4515877212854,10.6171388004911 55.4564445604936,10.6198294158247 55.4610924150562,10.6240649433838 55.4653525641298,10.6296829267609 55.4690611415149,10.6364675553337 55.4720754559378,10.6441579445605 55.474279500924,10.6524581851419 55.4755884385008,10.661048771317 55.475951880504,10.6695989604698 55.4753558381668,10.6777795766598 55.4738232630462,10.6852757517675 55.4714131579855,10.6917991006777 55.4682182933545,10.6970988511553 55.4643616188308,10.7009714934823 55.4599915121527,10.7032685771503 55.455276051461,10.7039023587217 55.4503965352444)))', 'DKKTD', 'Kerteminde', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6980925016848 55.6368355300684,12.6975307568246 55.6319537793582,12.6952966373179 55.6272277989437,12.6914765432886 55.622839122964,12.6862176656497 55.6189562703942,12.6797222709762 55.6157282895787,12.6722399027202 55.6132790558651,12.6640578023265 55.6117025376076,12.6554899166504 55.611059208451,12.6468649071199 55.6113737402225,12.6385136102287 55.6126340625407,12.6307564174957 55.6147918241121,12.623891045671 55.6177642383732,12.6181811546396 55.6214372444365,12.613846241468 55.625669864967,12.6110531949191 55.6302995973714,12.6099098365 55.6351486351392,12.6104607031056 55.6400306838391,12.6126852445032 55.6447581124344,12.616498518748 55.6491491663141,12.6217543731779 55.6530349644898,12.6282510014762 55.6562660101757,12.6357386723853 55.6587179614252,12.6439293371808 55.6602964361636,12.6525077451544 55.660940662889,12.6611436329511 55.6606258331273,12.6695045079578 55.6593640626264,12.6772685204725 55.6572039231527,12.6841369154959 55.6542285632844,12.6898455728907 55.6505524923513,12.6941751834029 55.6463171542868,12.6969596655529 55.6416854654038,12.6980925016848 55.6368355300684)))', 'DKKTP', 'Kastrup', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9583994312086 55.9259409318569,11.9571757216389 55.9210983721225,11.9542935693509 55.9164828484838,11.9498642210939 55.9122716169359,11.9440581890617 55.9086263544042,11.9370986535612 55.905686969695,11.9292528777194 55.9035662537269,11.9208219654022 55.9023455705576,11.9121293515463 55.9020717509311,11.9035084578589 55.9027553046492,11.8952899753691 55.9043700186452,11.8877892480577 55.9068539559102,11.8812942284861 55.9101118181574,11.8760544570429 55.9140185840838,11.8722714814572 55.9184242870436,11.8700910833036 55.9231597526003,11.8695976144346 55.9280430793518,11.8708106702381 55.9328866170942,11.8736842404705 55.9375041760293,11.8781083849223 55.9417181903069,11.8839133836332 55.9453665593567,11.8908762136128 55.9483089014334,11.8987291101818 55.9504319753856,11.9071698854087 55.9516540581733,11.9158736028166 55.9519281059731,11.9245051502806 55.9512435742456,11.9327322148283 55.9496268249508,11.9402381459381 55.9471401049542,11.9467341988188 55.9438791361883,11.9519706757725 55.9399694128958,11.9557465306285 55.9355613519543,11.9579170658794 55.9308244867812,11.9583994312086 55.9259409318569)))', 'DKKUL', 'Kulhuse', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4018296539405 55.4099394046709,12.4013069457547 55.4050565527771,12.3991204411005 55.4003255210678,12.395354705752 55.3959280404499,12.3901548412656 55.3920329707874,12.3837208501979 55.3887898319494,12.3762999237407 55.3863230830163,12.3681769520994 55.3847273656656,12.3596636207583 55.3840638905478,12.35108650489 55.3843581019775,12.3427746084682 55.3855987081166,12.3350468134359 55.3877381127093,12.3281997072294 55.3906942321101,12.3224962440144 55.3943536296016,12.3181556664238 55.3985758495934,12.3153450709742 55.4031987889475,12.3141729426361 55.4080449030051,12.3146849136434 55.4129280113993,12.3168619204493 55.4176604447278,12.3206208432396 55.4220602587007,12.3258176176085 55.4259582382221,12.3322527114443 55.4292044204237,12.339678765671 55.4316738829003,12.347810109428 55.4332715708616,12.3563337826521 55.4339359736491,12.3649216357103 55.4336415057186,12.3732430299867 55.4323994979583,12.3809776375747 55.4302577600085,12.3878278338886 55.4272987307474,12.3935301943242 55.4236362898929,12.3978656441391 55.4194113563596,12.4006678674754 55.414786446397,12.4018296539405 55.4099394046709)))', 'DKKVN', 'Kvæsthusbroen', 'Y'),('SRID=4326;MULTIPOLYGON(((9.32350596588823 55.0728922066667,9.32263082974342 55.0680242691554,9.32011802045132 55.0633477993879,9.31606459960361 55.0590424143598,9.31062666579898 55.0552734239354,9.30401330616343 55.0521854999598,9.29647854464056 55.0498971422016,9.28831159893734 55.0484961499103,9.27982581762704 55.048036269158,9.27134671470681 55.0485351415642,9.26319954985727 55.0499736310938,9.25569691812242 55.0522965540796,9.24912681241899 55.0554147852258,9.24374160620026 55.0592086608795,9.23974837204818 55.0635325520778,9.23730090559589 55.0682204355055,9.23649376403049 55.0730922521454,9.23735855599544 55.0779608125409,9.23986263703042 55.0826389854971,9.24391027434087 55.0869468947242,9.24934624982021 55.0907188460718,9.25596177448198 55.0938097169212,9.26350249477922 55.0961005588688,9.27167828583648 55.0975031944693,9.28017445245452 55.0979636274713,9.28866389956496 55.0974641321802,9.29681979267575 55.0960239394596,9.30432820794334 55.0936984922728,9.31090027196155 55.0905773002026,9.3162833131437 55.0867804776761,9.32027058851728 55.0824541022905,9.32270920962006 55.0777645755555,9.32350596588823 55.0728922066667)))', 'DKKVO', 'Kalvø', 'Y'),('SRID=4326;MULTIPOLYGON(((8.34090160438379 56.3122470305115,8.3401227738836 56.3073735173472,8.33764893092292 56.3026780699366,8.33357569236714 56.2983410361632,8.32805996378518 56.294528939458,8.32131385307246 56.291388101684,8.31359649793856 56.2890390466663,8.3052041244959 56.2875718953925,8.29645871634651 56.2870429257759,8.28769572156103 56.2874724256938,8.27925125773985 56.2888439194257,8.27144929230095 56.2911047962967,8.26458927594737 56.2941683180505,8.25893469191847 56.297916929989,8.2547029524086 56.3022067519882,8.25205702705238 56.3068730808252,8.25109912762685 56.311736696451,8.25186669956769 56.3166107333928,8.25433088653817 56.3213078556586,8.25839754170863 56.3256474603836,8.26391076177187 56.3294626327334,8.27065882073426 56.332606582606,8.27838228428553 56.3349583123876,8.2867839963633 56.3364272938813,8.29554055164204 56.3369569705391,8.30431480499914 56.3365269468426,8.31276892481609 56.3351537782534,8.32057747363587 56.3328903304284,8.32743999849635 56.329823733029,8.33309263426329 56.3260720089927,8.33731826535023 56.3217795122319,8.33995485207578 56.3171113531773,8.34090160438379 56.3122470305115)))', 'DKKYT', 'Kyttrup', 'Y'),('SRID=4326;MULTIPOLYGON(((8.60442953729673 56.7541523756983,8.60360789742888 56.7492808259095,8.60107263432116 56.7445909067052,8.59692173757934 56.7402627501892,8.59131510273281 56.7364625350019,8.58446832911283 56.7333361230096,8.57664441348431 56.731003481027,8.56814366176081 56.7295540978236,8.55929220362591 56.7290435684053,8.55042954303946 56.7294914733095,8.54189561039938 56.7308806320277,8.53401779893141 56.7331577583529,8.5270984683928 56.7362354932085,8.52140338339482 56.7399957390938,8.51715152185838 56.7442941714427,8.51450664192408 56.748965757628,8.513570934044 56.7538310756657,8.51438101045352 56.758703193361,8.51690639877459 56.7633948459726,8.52105061274697 56.7677256375017,8.52665477423339 56.7715289881515,8.53350366045197 56.7746585587101,8.54133395301661 56.7769939014996,8.54984437518427 56.7784451165766,8.55870732503282 56.7789563300487,8.56758154909047 56.778507857237,8.57612535652285 56.7771169651091,8.58400985075537 56.7748372037685,8.59093165464153 56.7717563334493,8.59662462702802 56.7679929289986,8.6008701116227 56.7636917958451,8.60350532111774 56.7590183777886,8.60442953729673 56.7541523756983)))', 'DKKYV', 'Karby Vig', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5258548703514 56.2824553095019,10.5247992669184 56.2775983875312,10.5220612005039 56.2729493021199,10.5177464123033 56.2686866060319,10.5120210475713 56.2649739571575,10.5051052207065 56.2619538528518,10.497264542606 56.2597421808552,10.4887999379148 56.2584237921015,10.480036139721 56.2580492615598,10.4713092948606 56.2586329583201,10.4629541433299 56.2601524970232,10.4552912497544 56.2625495911697,10.4486147631639 56.2657322765658,10.4431811634981 56.2695784219515,10.4391994196228 56.2739403954565,10.4368229348423 56.2786507116465,10.4361435930065 56.2835284461501,10.4371881428674 56.2883861746707,10.439917072453 56.2930371718373,10.4442260315666 56.2973025938393,10.4499497623802 56.301018367791,10.4568683992474 56.3040415205729,10.4647159034761 56.3062557003414,10.4731903112059 56.3075756743767,10.4819653969238 56.3079506263644,10.4907032953678 56.3073661230531,10.4990675837311 56.3058446725923,10.5067363063876 56.3034448525297,10.513414426884 56.3002590420555,10.5188452165359 56.2964098481948,10.5228201342793 56.2920453669203,10.5251868160272 56.2873334654508,10.5258548703514 56.2824553095019)))', 'DKLAK', 'Kalø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.92798231458657 56.3826715406649,9.92699975881179 56.3778094560651,9.92432700764183 56.3731471026239,9.9200673037611 56.3688635462365,9.91438468952102 56.3651232482142,9.90749765071501 56.362069768479,9.89967070435224 56.3598202756485,9.89120425606139 56.3584610708824,9.88242311341536 56.3580442934814,9.8736640878242 56.3585859314947,9.86526314870671 56.3600652116274,9.85754260881442 56.3624253912415,9.85079881856612 56.3655759229663,9.84529083006772 56.3693959111499,9.84123045844973 56.3737387308396,9.83877411989519 56.3784376358731,9.83801676329693 56.3833121446103,9.8389881373955 56.3881749612917,9.84165154957917 56.3928391692537,9.84590517893863 56.3971254202678,9.85158590791448 56.4008688427906,9.8584755377304 56.4039254012234,9.86630915692201 56.4061774582445,9.87478534398387 56.407538322319,9.88357780870223 56.4079556015309,9.89234801598146 56.407413231435,9.90075829408955 56.405932096779,9.90848490849737 56.4035692225359,9.91523058399745 56.4004155663099,9.92073598147409 56.3965924994298,9.92478968025892 56.3922471155519,9.92723628004819 56.3875465512122,9.92798231458657 56.3826715406649)))', 'DKLAN', 'Langå', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0626817995725 56.9666203110189,10.0616655938638 56.9617598724893,10.0589336390682 56.9571010754931,10.0545914714928 56.9528228460736,10.0488063129956 56.9490894368594,10.0418005909922 56.9460441388831,10.0338433746283 56.9438038026302,10.0252400585904 56.9424543746755,10.0163206873098 56.942047617317,10.0074273590815 56.9425991338665,9.99890118088118 56.9440877732925,9.99106925983943 56.9464564364503,9.98423221613917 56.9496142539126,9.97865268455813 56.9534400541967,9.97454523828773 56.9577869927133,9.97206811965843 56.9624881677326,9.97131709902961 56.9673630116802,9.97232170688149 56.9722242155986,9.9750439971638 56.9768849229153,9.97937990490277 56.9811659167589,9.98516316124529 56.9849025236428,9.99217162836441 56.9879509657182,10.0001358191981 56.9901939138388,10.0087492772612 56.9915450237962,10.0176804140896 56.9919522772221,10.0265853401872 56.9913999952828,10.0351211829054 56.9899094455336,10.0429593637773 56.9875380179493,10.0497983096188 56.9843770028166,10.0553750960715 56.9805480584346,10.0594755678676 56.9761985080527,10.061942544478 56.9714956510331,10.0626817995725 56.9666203110189)))', 'DKLBY', 'Lundby', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7712586635244 54.861376676341,10.7702141930755 54.8565207219002,10.7675481240767 54.8518755730856,10.7633633834468 54.8476196354549,10.7578210860432 54.8439163142185,10.7511342980183 54.8409077572147,10.7435598369985 54.8387094179037,10.7353884259368 54.8374056434247,10.7269335754589 54.8370464534984,10.7185196136374 54.8376456308836,10.7104693114108 54.8391801948543,10.7030915656913 54.8415912774562,10.6966696003152 54.8447863699102,10.6914501273951 54.8486428552322,10.6876338786729 54.853012694711,10.6853678688278 54.8577280920302,10.6847396914408 54.8626079211512,10.6857740750186 54.867464674052,10.6884318432202 54.8721116632921,10.6926113328476 54.8763702031261,10.6981522284619 54.8800764921821,10.7048416773227 54.8830879307983,10.7124224567177 54.885288626815,10.720602881779 54.8865938743054,10.7290680695803 54.8869534292958,10.7374921182826 54.8863534534495,10.7455507213093 54.8848170490512,10.752933718026 54.8824033642441,10.7593570851808 54.8792053039699,10.7645738972553 54.8753459370365,10.7683838275993 54.8709737408541,10.77064082345 54.8662568705254,10.7712586635244 54.861376676341)))', 'DKLDL', 'Lindelse', 'Y'),('SRID=4326;MULTIPOLYGON(((9.1902741566717 56.6239390213861,9.18937984936995 56.6190713779216,9.18678070998176 56.6143934083009,9.18257717053495 56.6100847821904,9.17693113499781 56.6063109259446,9.17005970219332 56.6032166884688,9.16222680403121 56.600920801868,9.15373308318012 56.599511345638,9.14490439602525 56.5990423846147,9.13607937414636 56.5995319064355,9.12759650959479 56.6009611354845,9.11978124533178 56.6032752489006,9.11293355202173 56.6063854679681,9.10731645595707 56.6101724468515,9.10314595051929 56.6144908319228,9.10058267587629 56.6191748205741,9.09972568959901 56.6240445099984,9.10060857603938 56.628912795452,9.10319805668996 56.6335925552438,9.10739516997707 56.6379038471707,9.11303899025813 56.6416808390324,9.11991275596555 56.6447782045546,9.12775218002897 56.6470767354154,9.13625562627154 56.6484879495539,9.14509575770421 56.6489575145081,9.15393220045696 56.6484673506973,9.1624247237512 56.6470363314748,9.1702464141686 56.64471955224,9.17709632272217 56.6416061975556,9.18271108587142 56.6378160906268,9.18687506540283 56.6334950612978,9.18942861465965 56.6288093147403,9.1902741566717 56.6239390213861)))', 'DKLDO', 'Lundø', 'Y'),('SRID=4326;MULTIPOLYGON(((8.92693937260576 55.4670341072506,8.92610419650779 55.4621636885538,8.92361315054199 55.4574793865013,8.91956247714227 55.4531611200758,8.91410818472688 55.4493746936577,8.90746000034667 55.4462654472113,8.89987329167605 55.4439526968479,8.89163927149985 55.4425251754775,8.88307385833616 55.4420376448378,8.87450561340148 55.4425088057697,8.86626320573872 55.4439205848181,8.8586628733525 55.4462188237779,8.85199634832695 55.4493153464438,8.84651969813692 55.4530913253333,8.84244350400392 55.457401822309,8.83992475082565 55.4620813325235,8.83906074294874 55.4669501225774,8.83988528734329 55.4718211226839,8.84236730259166 55.4765071102593,8.84641192110382 55.4808279097159,8.85186405626421 55.4846173310426,8.85851430944686 55.4877295783277,8.86610699802333 55.4900448786092,8.87434999882331 55.4914741107747,8.88292602610922 55.491962252633,8.89150490275828 55.4914905102905,8.89975634114308 55.490077045717,8.90736272841242 55.487776273724,8.91403141068209 55.4846767561486,8.9195059920587 55.4808977764213,8.92357620628125 55.4765847295296,8.92608597884018 55.4719035085221,8.92693937260576 55.4670341072506)))', 'DKLDT', 'Lundtofte', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0110273140975 55.598926021109,12.0098087580472 55.5940837187162,12.006945848386 55.5894690120175,12.0025490816695 55.5852591266602,11.9967877109195 55.5816156895431,11.9898831977527 55.5786785414293,11.9821006934931 55.5765603894734,11.9737388778363 55.5753425011341,11.9651185412277 55.5750716011408,11.9565703405398 55.5757580877279,11.9484221859427 55.5773756349008,11.9409867294738 55.5798621957339,11.9345494224897 55.5831223694178,11.9293575899488 55.5870310437172,11.9256109346889 55.5914381764597,11.9234538352236 55.5961745363222,11.9229697371978 55.6010581861385,11.9241778631165 55.60590146265,11.9270323794501 55.6105181863134,11.9314240674505 55.6147308244176,11.9371844472857 55.6183773309833,11.9440922081996 55.6213173979517,11.9518817044301 55.623437873799,11.960253191818 55.6246571372743,11.9688844074832 55.6249282542961,11.9774430383126 55.624240793589,11.9855995862396 55.622621229449,11.993040121418 55.6201319158671,11.999478419305 55.6168686727342,12.0046670040889 55.6129570795815,12.0084066673756 55.60854762295,12.0105540951164 55.6038098879533,12.0110273140975 55.598926021109)))', 'DKLEJ', 'Lejre', 'Y'),('SRID=4326;MULTIPOLYGON(((8.41155936253106 56.0172206071846,8.41077729201291 56.0123473005884,8.40831347833174 56.0076530637068,8.4042631418749 56.0033181985326,8.39878229985046 55.9995091464896,8.3920817152987 55.9963721142668,8.38441877689268 55.9940274814949,8.37608762466018 55.9925652011776,8.36740789845766 55.9920413656121,8.35871253365852 55.9924760663223,8.35033506104243 55.9938526278994,8.34259688464806 55.9961182442921,8.33579501207154 55.9991859937826,8.33019069634761 56.0029381573767,8.32599941742803 56.0072307164107,8.32338258498688 56.0118988605143,8.32244128383852 56.0167632983,8.32321231011755 56.0216371317475,8.32566666253855 56.0263330325048,8.32971056110413 56.0306704452697,8.33518896871775 56.0344825407713,8.34189149295857 56.0376226489818,8.34956044985603 56.0399699219791,8.35790078312274 56.0414340048087,8.36659145517207 56.0419585307566,8.37529786422217 56.0415233031942,8.38368479810373 56.0401450777393,8.39142941238502 56.0378769137535,8.39823371936092 56.0348061208034,8.40383609538395 56.0310508812225,8.40802135580678 56.0267556819653,8.41062900721806 56.0220857353517,8.41155936253106 56.0172206071846)))', 'DKLEM', 'Lem', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3183549623505 54.9779642286831,12.3178463741147 54.97308087785,12.3156916721015 54.9683484085168,12.3119741864996 54.9639486087372,12.3068371558371 54.9600504300646,12.3004781651292 54.9568035146862,12.293141526848 54.9543324694962,12.285108901391 54.9527321033947,12.2766885160445 54.9520638069146,12.2682033902013 54.9523532098143,12.2599790086792 54.9535892041094,12.2523309037051 54.9557243688846,12.2455526091275 54.9586767808701,12.239904437653 54.9623331429845,12.2356035036435 54.9665531135985,12.2328153708376 54.9711746738891,12.2316476472318 54.9760203309509,12.2321457796775 54.9809039218089,12.2342912204119 54.9856377594515,12.2380020491908 54.9900398475126,12.2431360409273 54.9939408860693,12.2494960732575 54.9971907975432,12.2568376751338 54.9996645189114,12.2648784304979 55.0012668338499,12.2733088743583 55.0019360551323,12.2818044560024 55.0016464122072,12.2900380988095 55.0004090496009,12.2976928606043 54.998271596542,12.3044741940983 54.9953163246712,12.3101213239397 54.9916569664618,12.314417294348 54.9874343196714,12.3171972972491 54.9828108105459,12.3183549623505 54.9779642286831)))', 'DKLEN', 'Lendemarke', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7496019301056 55.1610973389231,14.7487947382831 55.1562255008625,14.7463435484891 55.1515374023062,14.7423430639138 55.1472131103145,14.7369473609181 55.1434186631959,14.7303639164298 55.1402997113437,14.7228456161832 55.1379759455357,14.7146810536741 55.1365365229305,14.7061834899799 55.1360366626526,14.6976788910613 55.136495538486,14.689493490779 55.1378955474341,14.6819413439882 55.140182981437,14.675312334397 55.1432700771514,14.6698610863953 55.1470383671682,14.6657971990749 55.1513432071304,14.6632771747989 55.1560193086477,14.6623983549731 55.1608870692788,14.6631951035868 55.1657594596706,14.6656373966532 55.1704492054622,14.6696318854268 55.1747759888175,14.6750254063545 55.1785733921407,14.6816108147104 55.1816953149832,14.6891349257818 55.184021614261,14.6973082614284 55.1854627471169,14.7058162249412 55.1859632340562,14.7143312670791 55.1855038058908,14.7225255640937 55.1841021497052,14.7300837066819 55.1818122243367,14.7367148983308 55.1787221724168,14.7421641824541 55.1749509114105,14.7462222589452 55.1706435379806,14.7487335100879 55.1659657262145,14.7496019301056 55.1610973389231)))', 'DKLEV', 'Levka', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1433733306075 55.0010268792744,12.1428858334967 54.9961430624852,12.1407506977169 54.9914077386884,12.1370505040583 54.9870028066836,12.1319278299557 54.9830974159414,12.1255797125198 54.9798414860272,12.1182500499842 54.9773599699812,12.1102202375434 54.9757480783577,12.1017983960737 54.9750676435287,12.0933076011828 54.9753447604608,12.0850735543301 54.9765687920611,12.0774121566697 54.9786927760831,12.0706174494647 54.9816352182361,12.0649503723426 54.9852832043481,12.0606287625786 54.9894967149489,12.0578189755854 54.994113980203,12.0566294498105 54.9989576733404,12.0571064696809 55.0038417081224,12.0592322999892 55.0085783817317,12.0629257766176 55.0129855898725,12.0680453447387 55.0168938365534,12.0743944401012 55.0201527674188,12.0817290155937 55.0226369725604,12.0897669280697 55.0242508320335,12.0981988234955 55.024932213878,12.1067000956377 55.0246548789526,12.114943447968 55.0234294975379,12.1226115626564 55.0213032373779,12.1294093758336 55.0183579392848,12.135075475018 55.0147069522222,12.139392171819 55.0104907525275,12.1421938587793 55.0058715194261,12.1433733306075 55.0010268792744)))', 'DKLGN', 'Langebæk', 'Y'),('SRID=4326;MULTIPOLYGON(((9.29868774528438 56.9658992738158,9.29777103721809 56.9610327039734,9.29513448484139 56.9563572969486,9.29087996873553 56.9520526219033,9.28517135783775 56.948283950907,9.27822815594276 56.9451959311013,9.27031704748359 56.9429070534817,9.26174167026888 56.9415051266828,9.25283100492592 56.9410439255664,9.24392681840534 56.9415411399197,9.23537063104403 56.9429776997927,9.22749069274736 56.9452985026215,9.22058945355503 56.9484145150627,9.21493199720085 56.9522061711421,9.21073587355755 56.9565279396628,9.20816271769432 56.9612138895105,9.20731198068309 56.9660840431422,9.2082170217632 56.9709512776225,9.21084372506269 56.9756285103653,9.21509170943192 56.9799358942602,9.22079810033255 56.9837077448405,9.22774373194717 56.9867989309018,9.23566154994276 56.9890904794148,9.24424689504573 56.990494175125,9.25316926910691 56.9909559738694,9.26208512262665 56.9904580948771,9.27065115907035 56.9890197092836,9.27853762909803 56.9866961976029,9.28544108827437 56.9835770055767,9.29109611489596 56.9797821832427,9.29528552899764 56.9754577438311,9.29784871697824 56.9707700250744,9.29868774528438 56.9658992738158)))', 'DKLGR', 'Løgstør', 'Y'),('SRID=4326;MULTIPOLYGON(((10.8437134914952 55.2823476595817,10.8426480613861 55.2774927978375,10.8399443806456 55.2728498181422,10.8357068331348 55.2685970406679,10.8300985696011 55.2648977466081,10.823335191807 55.2618939263102,10.815676455187 55.2597008487361,10.8074163106402 55.258402656985,10.7988716644576 55.2580491553145,10.7903702797764 55.2586539080171,10.7822382723777 55.2601937212732,10.7747876674963 55.26260952742,10.7683044823069 55.2658086387238,10.7630377809354 55.2696682864866,10.7591901155265 55.2740403129405,10.7569097187736 55.2787568395679,10.7562847514565 55.2836366978625,10.7573398344936 55.2884923785581,10.7600350109022 55.2931372342578,10.7642671915282 55.2973926591852,10.7698740426848 55.3010949690965,10.7766401776337 55.3041017145085,10.7843054211907 55.3062971811367,10.7925748318352 55.3075968621698,10.8011300925955 55.3079507266201,10.8096418243589 55.3073451549649,10.8177823360926 55.3058034657022,10.8252383078532 55.3033850121003,10.8317229054085 55.3001828849444,10.8369868496151 55.2963203120687,10.8408280080839 55.2919458965628,10.8430991387447 55.2872278806554,10.8437134914952 55.2823476595817)))', 'DKLHH', 'Lindholm Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1535847817815 55.1449528797187,15.1527287147563 55.1400837748058,15.1502312070089 55.1354038528019,15.1461887363801 55.1310928641399,15.1407569851813 55.1273163343265,15.1341448070248 55.124219224722,15.1266061834685 55.121920387391,15.1184304821338 55.1205080232279,15.1099313878206 55.120036314028,15.1014349241821 55.1205233546638,15.0932670146959 55.1219504626631,15.0857410473443 55.1242628909727,15.0791459072996 55.1273719173,15.0737349259843 55.1311582319437,15.0697161634706 55.1354764972061,15.0672443949163 55.1401609070519,15.0664151116568 55.1450315372442,15.0672607751761 55.1499012452318,15.069749479478 55.1545828568476,15.0737860869653 55.158896364431,15.0792158079377 55.1626758589928,15.0858300978689 55.165775927817,15.0933746537046 55.1680772683243,15.1015592046887 55.1694912985339,15.1100687187413 55.1699635830097,15.118575585896 55.1694759392984,15.1267522988321 55.1680471416851,15.1342841293207 55.1657321944521,15.1408812995813 55.1626202033755,15.1462901691114 55.158830929513,15.1503029993413 55.1545101610764,15.1527659182508 55.1498240851861,15.1535847817815 55.1449528797187)))', 'DKLID', 'Listed', 'Y'),('SRID=4326;MULTIPOLYGON(((9.74430996370528 55.7997398011736,9.743365804697 55.7948757112696,9.74075577813627 55.7902088019939,9.73658069931833 55.7859183177001,9.73100134943904 55.7821689899782,9.72423224606134 55.7791047298477,9.71653338335176 55.776843123728,9.7082002618677 55.775470940696,9.69955258778002 55.7750408197377,9.69092206742922 55.775569261011,9.68263975403266 55.777035996177,9.67502341856935 55.7793847613265,9.66836541607787 55.7825254437049,9.66292150182391 55.7863375220739,9.6589010193352 55.7906746719247,9.65645883481024 55.7953703625602,9.65568933092691 55.8002442349157,9.65662269912442 55.805109018354,9.65922368506078 55.8097777228154,9.66339284979296 55.814070830646,9.66897031249217 55.8178232108465,9.67574184290404 55.8208904876856,9.68344707737051 55.823154615477,9.69178954529285 55.8245284412416,9.70044811758855 55.824959075902,9.70908942876126 55.8244299410933,9.71738078278636 55.8229614107395,9.72500303233021 55.820610022051,9.73166292199021 55.8174662871931,9.73710440919886 55.8136511921166,9.74111851992651 55.8093115205963,9.74355135801842 55.8046141872304,9.74430996370528 55.7997398011736)))', 'DKLIG', 'Losning', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00891860124811 57.1530051377747,9.0080352326988 57.148136615571,9.00542185863921 57.1434552671256,9.00117947972072 57.1391408910333,8.99547150886799 57.1353591322946,8.98851743372368 57.1322551401307,8.98058436177007 57.1299480176039,8.97197677602318 57.1285262721471,8.96302489182122 57.1280444376528,8.95407205334362 57.128520994396,8.94546164109233 57.1299376643634,8.93752397803013 57.1322401082362,8.93056372211471 57.1353399980623,8.92484821659037 57.1391183883179,8.92059723688928 57.143430259341,8.91797452496155 57.1481100627161,8.91708143930379 57.1529780596985,8.91795297336968 57.157847212681,8.92055630846213 57.1625303672818,8.9247919722703 57.166847449936,8.93049757418538 57.1706324035939,8.93745398721689 57.1737395926374,8.94539374796331 57.1760494273077,8.95401135510177 57.1774729872723,8.96297506762684 57.1779554623957,8.97193974060121 57.1774782748728,8.9805601918252 57.1760597987475,8.98850456999224 57.1737546483104,8.99546719483197 57.1706515635639,9.00118036245574 57.1668699764299,9.00542465335845 57.1625553932656,9.00803734390011 57.1578737753853,9.00891860124811 57.1530051377747)))', 'DKLIL', 'Lild strand', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0704986213731 56.0140657500661,12.0700119927494 56.0091823142121,12.0678344729304 56.0044458737695,12.06405030685 56.0000383677214,12.0588053250767 55.9961290396306,12.0523012778716 55.9928679541834,12.0447880535611 55.9903802559343,12.0365540845274 55.9887613869893,12.027915308082 55.9880734433261,12.0192030995683 55.9883428061268,12.0107516301355 55.9895591364808,12.0028851210309 55.991675770802,11.9959054696417 55.9946115020509,11.9900807098252 55.9982536801293,11.9856347405609 56.0024625153781,11.982738713197 56.0070764236739,11.9815044094939 56.0119182118036,11.9819798716681 56.0168018691039,11.9841474636043 56.0215397070836,11.9879244517974 56.0259495739978,11.9931660984476 56.0298618668639,11.9996711610382 56.0331260696356,12.0071895966625 56.0356165631739,12.0154321795643 56.0372374798149,12.0240816610485 56.0379264118374,12.032805036024 56.0376568275901,12.0412664333465 56.0364390996969,12.049140120336 56.0343201045071,12.0561231068379 56.0313814084816,12.0619468512565 56.0277361130792,12.0663876092 56.0235244825432,12.0692750226982 56.0189085265537,12.0704986213731 56.0140657500661)))', 'DKLIS', 'Liseleje', 'Y'),('SRID=4326;MULTIPOLYGON(((8.9940319552414 55.5500100535892,8.99318673569362 55.5451401599294,8.99068248097585 55.5404572874382,8.98661594298108 55.536141299448,8.98114374035735 55.532357912054,8.97447628762124 55.5292523478046,8.96686969085493 55.526943780871,8.95861592413084 55.5255207832202,8.9500316613345 55.5250379428554,8.94144618462981 55.5255137807511,8.93318882240227 55.5269300443087,8.9255763854909 55.5292324036977,8.91890107057522 55.532332525092,8.91341928372038 55.5361114433412,8.9093418056009 55.5404241077869,8.90682567345456 55.5451049304656,8.90596809438896 55.5499741274331,8.90680263176302 55.5548446128881,8.90929782301303 55.5595291834344,8.9133582960758 55.563847717227,8.91882835563521 55.5676341105955,8.92549791343916 55.5707426833595,8.93311054293038 55.5730538033285,8.94137335160977 55.5744785098585,8.94996828903508 55.5749619547845,8.95856444792454 55.5744855250928,8.96683087362445 55.5730675634778,8.97444937546328 55.5707626582844,8.98112683343227 55.5676595309146,8.98660651520823 55.5638776041518,8.99067796059819 55.5595623866728,8.99318505079376 55.554879855117,8.9940319552414 55.5500100535892)))', 'DKLIT', 'Lintrup', 'Y'),('SRID=4326;MULTIPOLYGON(((9.76218534159973 57.3697289090851,9.76119709652855 57.3648662947571,9.758472678966 57.3602012389005,9.75411735451184 57.355912908314,9.74829886638709 57.3521659426102,9.74124093301728 57.3491041513461,9.73321463305386 57.3468450155178,9.72452801150359 57.3454752004701,9.71551430277395 57.3450472484691,9.70651921393569 57.3455775745494,9.69788774336941 57.3470458403843,9.68995102560753 57.3493957295321,9.68301369233294 57.3525370952259,9.67734222215961 57.3563494006499,9.67315471829476 57.3606863231291,9.6706125040918 57.3653813495358,9.66981386287022 57.37025415209,9.6707901717143 57.3751175030718,9.67350459134125 57.3797844650425,9.6778533782453 57.3840755810154,9.68366978448952 57.3878257873285,9.69073040859886 57.3908907810717,9.69876376228407 57.3931525937002,9.70746072667429 57.3945241523501,9.71648649275704 57.3949526493071,9.72549351783583 57.3944215865719,9.73413498634272 57.3929514146203,9.7420782416484 57.3905987400837,9.74901765678955 57.3874541337796,9.75468643620993 57.3836386258777,9.75886688634796 57.3792990266008,9.76139875771729 57.3746022565944,9.76218534159973 57.3697289090851)))', 'DKLKK', 'Lokken', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1662870353382 54.9200177000802,12.1657973957772 54.9151338972791,12.1636635151228 54.9103989387459,12.1599679230642 54.9059947093465,12.1548530179281 54.9020903318479,12.1485155369377 54.8988356873226,12.1411989693842 54.8963556799413,12.1331842082095 54.8947454628083,12.1247787978774 54.8940668043945,12.1163051852716 54.8943457317009,12.1080884145649 54.895571538171,12.1004437258632 54.8976971932498,12.0936645205895 54.9006411381336,12.0880111439811 54.9042904004564,12.083700907011 54.9085049111776,12.0808997270719 54.9131228614991,12.0797157098525 54.9179668978743,12.0801949253716 54.922850920571,12.082319551017 54.9275872271269,12.0860084660894 54.9319937274525,12.091120288773 54.9359009530532,12.0974587511225 54.939158589259,12.1047802144455 54.941641276443,12.1128030404653 54.9432534535247,12.121218456918 54.9439330536484,12.1297024935765 54.943653906446,12.1379285192984 54.9424267519512,12.1455798849841 54.9402988259441,12.1523621727009 54.9373520329571,12.1580145679395 54.9336997789542,12.1623199091339 54.9294825884322,12.1651130242301 54.9248626781641,12.1662870353382 54.9200177000802)))', 'DKLLM', 'Lille damme', 'Y'),('SRID=4326;MULTIPOLYGON(((9.59480982615976 56.2327927166469,9.59387349842059 56.2279278082249,9.59125180291956 56.2232580838482,9.58704601966169 56.2189628953119,9.58141812204034 56.2152071531466,9.57458449963332 56.2121350122152,9.56680762554058 56.2098643587179,9.55838599098872 56.2084823063955,9.54964269073037 56.2080418709947,9.54091308934217 56.2085599474338,9.53253202987055 56.210016665208,9.52482106177614 56.2123561461015,9.51807616449744 56.2154886359794,9.51255642620171 56.2192939310907,9.50847410471818 56.223625970678,9.50598644989431 56.2283184234565,9.50518960471368 56.233191057311,9.50611482797324 56.238056650828,9.50872719619268 56.2427281833046,9.5129268493601 56.2470260276793,9.51855274733398 56.2507848690948,9.52538880496736 56.2538600808555,9.5331721784217 56.2561333092552,9.54160338700249 56.257517048547,9.55035787839681 56.2579580261578,9.5590985842764 56.2574392646227,9.56748897103411 56.2559807387463,9.5752060692136 56.2536386020121,9.58195296612763 56.2505030128832,9.58747026918523 56.2466946469435,9.59154609130266 56.2423600324561,9.59402417210297 56.2376658927106,9.59480982615976 56.2327927166469)))', 'DKLMM', 'Lemming', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0621989758058 54.8122734881776,11.0611210700066 54.8074203038769,11.0584251564088 54.8027817813896,11.054215303679 54.7985360701328,11.0486535855071 54.7948461815291,11.0419538080602 54.7918537472344,11.0343732826816 54.7896736019641,11.0262029615987 54.7883893952002,11.0177563120296 54.7880503966716,11.0093573478557 54.788669615331,11.0013282669681 54.7902233022438,10.9939771558961 54.7926518560687,10.9875862211212 54.7958620974162,10.9824009885839 54.7997308271184,10.9786208796621 54.8041095350825,10.9763915240018 54.8088300826538,10.9757991081281 54.813711143887,10.9768669853038 54.8185651612689,10.9795546887467 54.8232055505107,10.9837593997114 54.8274538779995,10.9893198272961 54.8311467340154,10.9960223618164 54.8341420351412,11.0036092721916 54.836324510212,11.0117886341369 54.8376101550545,11.0202456040438 54.8379494810048,11.0286545968507 54.8373294292633,11.0366918878961 54.8357738755938,11.0440481407277 54.833342705535,11.0504403660792 54.8301294967747,11.0556228415336 54.8262579002425,11.0593965654561 54.82187686248,11.0616168802594 54.817154876832,11.0621989758058 54.8122734881776)))', 'DKLNG', 'Langø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5590056441416 54.6440985277156,11.5578736604023 54.6392502715177,11.5551331933767 54.6346232057238,11.5508900126585 54.6303950372862,11.5453074606563 54.6267281026145,11.5386001331227 54.6237631518722,11.531025623187 54.6216139655839,11.5228746475005 54.620363006552,11.5144599300625 54.6200582704754,11.5061042624207 54.6207114533308,11.498128187262 54.6222975041549,11.4908377653372 54.6247555800755,11.4845128829244 54.6279913680472,11.4793965386716 54.6318806865558,11.4756855150155 54.6362742323128,11.4735227911467 54.6410032934015,11.4729919927933 54.6458862130409,11.4741141005108 54.6507353585811,11.4768465548033 54.655364329749,11.4810848059422 54.6595951295166,11.486666262004 54.6632650208787,11.4933764940855 54.6662328035426,11.5009574668682 54.6683842658489,11.5091174797914 54.6696365984919,11.5175424330173 54.6699415966522,11.5259079766901 54.6692875244534,11.5338920645844 54.6676995682532,11.5411874160827 54.6652388610008,11.5475133944254 54.6620001163381,11.5526268341212 54.6581079659091,11.5563313949278 54.6537121441361,11.5584850815656 54.6489817094383,11.5590056441416 54.6440985277156)))', 'DKLNH', 'Lundehøje', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6864221755517 55.9113996551623,10.6853574626591 55.9065438885325,10.6826272567585 55.9018980478592,10.6783369826929 55.897640561729,10.6726518328227 55.8939348893378,10.6657903703698 55.8909232622324,10.6580161172494 55.8887212450973,10.6496274515613 55.8874133205643,10.6409461992132 55.8870496637942,10.6323053492594 55.8876442275737,10.6240363524784 55.8891742095051,10.6164564768903 55.8915809212549,10.6098566920519 55.8947720275176,10.6044905360956 55.898625071135,10.6005643859127 55.9029921524238,10.5982295022904 55.9077055869259,10.5975761592722 55.9125843281002,10.5986300920612 55.9174409113856,10.6013514125367 55.9220886548399,10.6056360485801 55.9263488401961,10.6113196661704 55.9300575973258,10.6181839353638 55.9330722250591,10.6259649069467 55.9352767018927,10.6343631799951 55.9365861707277,10.6430554659664 55.9369502212966,10.6517070960348 55.9363548408605,10.6599849782444 55.9348229561457,10.6675704918486 55.9324135451679,10.6741718089551 55.929219354166,10.6795351581599 55.9253633099218,10.6834545898768 55.9209937689368,10.6857798661448 55.9162787901349,10.6864221755517 55.9113996551623)))', 'DKLNR', 'Langør', 'Y'),('SRID=4326;MULTIPOLYGON(((9.84631046138346 57.4696977458396,9.84530824328033 57.4648359089371,9.84256559104017 57.4601727986065,9.83818847354354 57.4558875059325,9.8323454721822 57.4521445528252,9.82526124613141 57.4490875938191,9.81720788141543 57.4468339236499,9.80849445878698 57.4454699974069,9.79945523762838 57.4450481312177,9.79043690057991 57.4455845067601,9.78178533543274 57.4470585540222,9.77383244639914 57.4494137353314,9.76688348591943 57.4525597015026,9.76120538069402 57.4563757397481,9.75701649193643 57.4607153845047,9.75447820055337 57.4654120182457,9.75368864409559 57.4702852512602,9.75467885540097 57.4751478387696,9.75741146494905 57.4798128718823,9.76178203276701 57.4841009667881,9.76762297459369 57.487847174963,9.77470994480239 57.4909073463182,9.78277043959863 57.4931636970666,9.79149429274067 57.4945293640245,9.80054565689366 57.4949517660559,9.80957600075343 57.4944146399054,9.81823760859769 57.4929386698586,9.82619704730348 57.4905806863151,9.83314806730368 57.4874314650754,9.83882342835762 57.483612214482,9.84300518702996 57.4792698891488,9.84553304790591 57.4745715146953,9.84631046138346 57.4696977458396)))', 'DKLNS', 'Lønstrup', 'Y'),('SRID=4326;MULTIPOLYGON(((10.9475479361219 55.1333116922235,10.9464743030485 55.1284576930874,10.9437690955682 55.123816922813,10.9395367503898 55.1195676166342,10.9339402135887 55.1158729227856,10.9271946333207 55.1128746556772,10.9195590803576 55.1106878719867,10.911326616298 55.1093964741708,10.90281308742 55.1090500065465,10.8943450663042 55.109661763984,10.8862473925857 55.1112082839769,10.8788307778945 55.1136302411616,10.87237993794 55.1168347109859,10.8671426968138 55.1206987179839,10.8633204752569 55.1250739357433,10.861060526555 55.129792361877,10.8604502219568 55.1346727537321,10.8615136136317 55.1395275806418,10.8642104192871 55.1441702275151,10.8684374813152 55.1484221734231,10.8740326579538 55.152119868257,10.8807810081216 55.1551210407342,10.8884230393571 55.1573101918603,10.8966647038039 55.158603058758,10.9051887545072 55.1589498734552,10.9136670170314 55.158337288243,10.9217730925778 55.1567888916491,10.9291949904137 55.1543642947332,10.9356471905197 55.151156823923,10.9408816617362 55.1472899115574,10.9446974050178 55.1429123263645,10.9469481533381 55.1381924311509,10.9475479361219 55.1333116922235)))', 'DKLOH', 'Lohals', 'Y'),('SRID=4326;MULTIPOLYGON(((9.27735305581606 56.6899072914009,9.27644593622524 56.6850403400443,9.27383145253486 56.6803642553242,9.26961062762454 56.6760586336662,9.26394602956608 56.6722887852198,9.25705546904361 56.6691994042999,9.24920361045628 56.6669090360635,9.24069182183342 56.6655055479323,9.2318466504148 56.6650427756929,9.22300735810743 56.6655384697146,9.21451298301786 56.6669736179268,9.2066894092624 56.6692931708018,9.19983692698796 56.6724081413343,9.19421874799694 56.6761990016667,9.19005090985667 56.680520249325,9.1874939535094 56.6852059717024,9.18664669720456 56.6900761990663,9.18754235454329 56.6949438054374,9.19014715860315 56.699621694481,9.19436156013944 56.70392999508,9.20002396898197 56.7077029892412,9.20691690773767 56.7107955037431,9.21477534994566 56.7130885163691,9.22329692528113 56.7144937571126,9.23215359656485 56.7149571233673,9.24100435113685 56.71446077433,9.24950840586198 56.713023821792,9.25733840298605 56.7107015899735,9.26419307446371 56.7075834737254,9.26980887520895 56.7037894798119,9.27397012972353 56.6994655877664,9.27651729936361 56.694778112779,9.27735305581606 56.6899072914009)))', 'DKLOV', 'Lovns', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3446437649768 55.2429579531218,12.3441296282315 55.2380748330765,12.3419585013305 55.2333428293448,12.3382143541001 55.2289437110873,12.3330414554522 55.2250464022142,12.3266387710574 55.2218005098025,12.3192522909166 55.2193305997756,12.3111655856081 55.217731436027,12.3026889526384 55.2170643619882,12.2941475633224 55.2173549601658,12.2858690548684 55.2185920770316,12.2781710311322 55.2207282495249,12.271348938498 55.2236815170981,12.2656647705023 55.2273385514717,12.2613370263908 55.2315589868425,12.2585323053859 55.2361807879143,12.2573588609908 55.2410264534298,12.2578623695612 55.2459098203688,12.2600240865482 55.2506432099374,12.2637614746981 55.2550446419945,12.2689312941084 55.2589448403754,12.2753350478965 55.2621937581016,12.2827265832587 55.2646663686734,12.2908215600061 55.2662674970631,12.2993084213804 55.2669355007401,12.3078604388825 55.2666446556683,12.3161483572566 55.2654061529636,12.3238531400709 55.2632676666684,12.330678311933 55.2603115095864,12.3363614105241 55.2566514498986,12.3406840994081 55.2524283139849,12.3434805489765 55.2478045482742,12.3446437649768 55.2429579531218)))', 'DKLUD', 'Lund', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5624313639196 55.9410834993126,11.561256438403 55.9362365913326,11.5584199487767 55.9316114114077,11.5540313931105 55.9273855888541,11.5482597241023 55.9237213626432,11.5413268104379 55.9207593705527,11.5334989005465 55.9186132713536,11.5250764182448 55.9173654026291,11.5163824782133 55.9170636372035,11.5077505534421 55.91771955587,11.4995117557634 55.9193080047544,11.4919822037819 55.9217680539634,11.4854509496571 55.925005321887,11.4801689173236 55.9288955784337,11.4763392701911 55.9332894923333,11.4741095768346 55.9380183441303,11.4735660797539 55.9429004892313,11.4747302965468 55.9477483257981,11.4775580969309 55.9523755016459,11.481941305694 55.9566040835981,11.4877117841572 55.9602714125902,11.494647844887 55.9632363784742,11.5024827603444 55.9653848697458,11.5109150401794 55.96663418465,11.5196200781243 55.9669362301943,11.5282627116298 55.9662793829398,11.5365101985535 55.9646889381301,11.5440450974315 55.9622261295204,11.5505775420891 55.9589857588152,11.5558564273466 55.9550925284762,11.5596790689102 55.9506962225064,11.5618989647401 55.9459659245318,11.5624313639196 55.9410834993126)))', 'DKLUM', 'Lumsås', 'Y'),('SRID=4326;MULTIPOLYGON(((10.8265574893928 55.1393548768477,10.8254983396224 55.1344997141399,10.8228066860096 55.1298561664964,10.8185864461568 55.1256025765654,10.8130001033004 55.1219022576153,10.8062624164523 55.1188972403052,10.7986321554941 55.1167028404559,10.7904021805795 55.1154032526411,10.7818882434368 55.1150483351305,10.7734169324576 55.1156517066362,10.7653132128229 55.1171902260721,10.7578880267525 55.1196048748493,10.7514264169939 55.1228030088604,10.7461766189134 55.1266618960388,10.7423405333547 55.1310334069856,10.7400659444567 55.1357496823306,10.7394407849657 55.1406295628589,10.7404896777869 55.145485538438,10.7431728986889 55.1501309506827,10.7473878138726 55.1543871730769,10.7529727507353 55.1580904915838,10.7597131643173 55.161098418889,10.7673498696186 55.1632951961513,10.7755890253934 55.1645962668568,10.7841134822094 55.1649515469787,10.7925950501478 55.1643473626007,10.8007072024963 55.1628069785614,10.8081377132303 55.160389697319,10.8146007289717 55.1571885637506,10.8198478003084 55.1533267665781,10.8236774415209 55.1489528782206,10.8259428495643 55.1442351199868,10.8265574893928 55.1393548768477)))', 'DKLUN', 'Lundeborg', 'Y'),('SRID=4326;MULTIPOLYGON(((8.35218425902684 56.5512436565845,8.3513993123069 56.5463703874794,8.34890873583156 56.541675306825,8.34480879784062 56.5373387474553,8.3392574354822 56.5335272131786,8.33246812795544 56.5303870026285,8.32470167101241 56.5280386139314,8.31625617213414 56.5265721411377,8.3074556481675 56.5260438352211,8.29863765543349 56.5264739582839,8.29014041525931 56.5278460110265,8.28228991491021 56.5301073622408,8.27538746469826 56.5331712568289,8.26969817661587 56.5369201273789,8.26544079846261 56.5412100854247,8.26277929071207 56.5458764238511,8.26181647229538 56.5507399231122,8.26258998752059 56.5556137224816,8.2650707615029 56.560310494732,8.26916401834199 56.5646496494994,8.27471283803551 56.5684642878503,8.28150412848466 56.5716076385843,8.28927679205814 56.5739587255102,8.29773177637294 56.5754270437962,8.30654362050946 56.5759560615087,8.31537304475084 56.5755254081805,8.32388008742375 56.5741516638398,8.33173726892013 56.5718877172253,8.33864226178481 56.568820718562,8.34432956693218 56.565068707829,8.34858073844928 56.5607760515566,8.35123276076786 56.5561078676403,8.35218425902684 56.5512436565845)))', 'DKLVG', 'Lemvig', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1944669348522 55.044581240852,10.193486951648 55.0397202356269,10.1908748669823 55.0350623751133,10.1867315459308 55.0307865560636,10.1812165256022 55.0270569488886,10.1745418370006 55.0240167110496,10.166963842998 55.0217825113349,10.1587734081136 55.0204400715405,10.1502847745426 55.0200408930669,10.1418235637439 55.0206002910758,10.1337143528956 55.0220968097349,10.1262682900325 55.0244730404528,10.1197712104144 55.0276378126094,10.1144726996423 55.0314696749313,10.1105765165775 55.0358215370946,10.1082327418819 55.0405262970763,10.1075319570529 55.0454032418345,10.1085016857138 55.0502649785364,10.1111052456925 55.0549246320338,10.1152430697189 55.0592030326091,10.1207564575575 55.0629356168383,10.1274336267384 55.0659787740306,10.1350178367461 55.0682153909524,10.1432172767317 55.0695593778095,10.1517163335538 55.0699589976744,10.1601877989058 55.0693988681878,10.1683055344446 55.0679005565428,10.1757570943278 55.0655217442972,10.1822558064251 55.0623539950858,10.1875518366079 55.0585192134116,10.1914418036641 55.0541649340433,10.1937765732637 55.049458627001,10.1944669348522 55.044581240852)))', 'DKLYQ', 'Lyø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9094196758611 55.941958393093,11.908201490026 55.9371152975529,11.9053238694949 55.9324985882626,11.9008978880628 55.9282855669975,11.8950939298143 55.9246379795401,11.8881350965212 55.9216958239721,11.8802886251915 55.9195719974865,11.8718556468613 55.9183479833614,11.8631596758151 55.9180707399737,11.8545342622438 55.9187509083226,11.8463102699393 55.9203624051186,11.8388032534262 55.9228434167709,11.8323014056817 55.9260987573424,11.8270545283363 55.9300035025052,11.823264441324 55.9344077634782,11.8210771990594 55.9391424215543,11.8205774164543 55.9440256067368,11.8217849320589 55.9488696746388,11.8246539494714 55.9534884154102,11.8290747046431 55.9577042180016,11.8348776091416 55.9613549131991,11.8418397216218 55.9643000297959,11.8496933058512 55.966426219809,11.8581361479199 55.967651640134,11.8668432318771 55.9679291183124,11.8754793156893 55.9672479776003,11.883711911115 55.9656344493208,11.8912241538816 55.9631506563403,11.8977270553638 55.9598922080283,11.9029706535118 55.9559845018379,11.9067536276219 55.9515778773398,11.9089310061548 55.9468418130658,11.9094196758611 55.941958393093)))', 'DKLYS', 'Lynæs', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9771072395052 55.6689373370834,11.9758903767532 55.6640947228527,11.973026025471 55.6594792823847,11.9686247402027 55.6552682694321,11.9628559495579 55.6516233539426,11.9559414012985 55.6486844330606,11.9481466323038 55.6465642815529,11.9397707924321 55.6453442432019,11.9311352090077 55.645071124917,11.9225711221805 55.6457554098788,11.9144070497825 55.6473708565856,11.9069562529758 55.6498554989229,11.9005047706893 55.6531140100902,11.8953004716169 55.6570213421729,11.8915435377551 55.6614275050932,11.8893787437746 55.6661633053171,11.8888898330774 55.6710468276301,11.8900962157702 55.6758904139769,11.8929521281574 55.6805078730227,11.8973483004397 55.6847216437051,11.9031160824147 55.6883696362375,11.9100338798839 55.6913114850237,11.9178356613074 55.6934339695498,11.9262212092488 55.6946553908518,11.9348677184167 55.6949287314784,11.9434422853132 55.6942434743993,11.9516147966086 55.6926260091124,11.9590707063946 55.6901386090433,11.9655231973391 55.6868770208326,11.9707242471916 55.6829667608471,11.9744741686222 55.6785582649107,11.9766292545396 55.6738210817376,11.9771072395052 55.6689373370834)))', 'DKLYY', 'Lyndby', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2606909161142 56.1375520803203,10.2596730140763 56.1326926354635,10.2569774802696 56.1280374059974,10.2527084202123 56.1237651829811,10.2470302239926 56.1200399922858,10.2401611984741 56.1170048145073,10.2323651633319 56.1147761171251,10.2239413360241 56.1134394049592,10.2152128908146 56.1130459559437,10.2065146227357 56.1136108643792,10.1981801779184 56.1151124647688,10.1905293264417 56.1174931577922,10.1838557524582 56.1206616076741,10.1784158188822 56.1244962289464,10.174418730674 56.1288498321239,10.1720184723895 56.1335552538228,10.171307833229 56.138431758954,10.1723147578587 56.1432919722808,10.1750011758664 56.1479490751087,10.1792643695309 56.1522239911766,10.1849408418705 56.1559522846212,10.1918125484692 56.1589905024813,10.1996152614843 56.1612217144524,10.208048746813 56.1625600328905,10.2167883598439 56.1629539353208,10.2254976053425 56.1623882584142,10.2338411659627 56.1608847846604,10.2414978838264 56.1585013985832,10.2481731816778 56.1553298459514,10.2536104341622 56.1514921845985,10.2576008444935 56.1471360668345,10.259991444763 56.1424290388655,10.2606909161142 56.1375520803203)))', 'DKMAB', 'Marselisborg', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3640707906626 55.6171581593659,11.362931225066 55.6123088324008,11.3601425679348 55.6076784559556,11.3558124719001 55.6034448615145,11.3501076407663 55.5997705892941,11.3432473776414 55.5967966654265,11.3354951468312 55.5946372088742,11.327148475288 55.5933750713119,11.3185275776746 55.593058673683,11.3099631332299 55.5937001578965,11.3017836716571 55.5952749228096,11.2943030385987 55.5977225619341,11.2878084086592 55.6009491679987,11.2825492954149 55.6048309183465,11.2787279737514 55.6092188069288,11.2764916808725 55.6139443450549,11.2759268995278 55.6188260156914,11.277055951986 55.6236762364207,11.2798360481542 55.6283085654142,11.2841608387297 55.6325448739305,11.2898644276176 55.6362222085599,11.296727700833 55.6391990769465,11.3044867358135 55.6413609118512,11.312842969734 55.6426244995162,11.3214747321452 55.6429411982328,11.3300496897386 55.6422988202538,11.3382377122773 55.6407221027901,11.3457236507886 55.6382717495885,11.3522195229623 55.6350420811143,11.3574756261057 55.6311573862487,11.3612901435961 55.6267671193162,11.363516874104 55.6220401310894,11.3640707906626 55.6171581593659)))', 'DKMAO', 'Madesø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.927369013018 54.9969634017626,11.9261814781604 54.9921195272699,11.9233736637876 54.9875018676115,11.9190539327005 54.9832877648122,11.9133885683816 54.9796390115317,11.9065953426157 54.9766956567459,11.8989351384465 54.9745706496775,11.8907019515817 54.9733455238681,11.8822116503519 54.9730672835176,11.8737899173517 54.9737466087766,11.8657598239926 54.9753574472035,11.8584295017876 54.9778380068019,11.852080371017 54.9810931137068,11.8469563685247 54.9849978464813,11.8432545821235 54.9894023108668,11.8411176501456 54.9941373754267,11.8406282221815 54.9990211514202,11.841805702595 55.0038659709,11.8446054141355 55.0084855966771,11.8489202275846 55.0127023874035,11.8545846081269 55.0163541412073,11.861380933751 55.0193003523103,11.8690478494899 55.021427636641,11.8772903378607 55.022654113965,11.8857911144617 55.0229325743259,11.8942229019154 55.0222523040787,11.9022610981091 55.0206394995308,11.909596337946 55.0181562520035,11.9159464524822 55.0148981445747,11.921067355107 55.0109905554843,11.9247624299362 55.0065838138386,11.9268900604142 55.0018473977661,11.927369013018 54.9969634017626)))', 'DKMAS', 'Masnedø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5769318929125 55.4990829490702,11.5757700480391 55.4942357522647,11.5729653108526 55.4896103114712,11.5686259454195 55.4853842677391,11.5629190054423 55.4817198710217,11.5560638699039 55.4787577685267,11.5483238028286 55.4766116261042,11.5399958629168 55.4753637853622,11.5313995467244 55.4750621195832,11.5228645928598 55.4757182062011,11.5147184034107 55.4773068842229,11.5072735518889 55.4797672132515,11.5008158441542 55.4830047984487,11.4955933800651 55.4868953946547,11.4918070293557 55.4912896547061,11.4896026861474 55.4960188434723,11.4890656036608 55.5009013018672,11.4902170356977 55.5057494155341,11.4930133264297 55.5103768222999,11.4973474976859 55.5146055818144,11.5030532865314 55.5182730306714,11.5099114892352 55.5212380570027,11.5176583748272 55.5233865498304,11.52599584655 55.5246358097181,11.5346029567147 55.5249377473308,11.5431483234258 55.5242807438503,11.5513029593321 55.5226900998539,11.5587530050246 55.5202270550409,11.5652118638793 55.5169864177037,11.570431260793 55.5130928976626,11.5742107929831 55.5086962872083,11.5764056043867 55.5039656792983,11.5769318929125 55.4990829490702)))', 'DKMBJ', 'Munke Bjergby', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1611128798735 55.6492307943526,11.1599973145704 55.6443794164014,11.1572301091384 55.6397442784964,11.1529180955964 55.6355033961584,11.1472272873775 55.6318195902311,11.140376453301 55.6288342531949,11.1326286993 55.6266619420076,11.1242813830392 55.6253860012475,11.1156547450665 55.6250553808929,11.1070796845165 55.6256827679045,11.0988851366554 55.6272441014921,11.0913855231352 55.6296794902675,11.084868743449 55.6328954971726,11.0795851577695 55.636768706893,11.0757379774522 55.641150442194,11.0734754306634 55.6458724519434,11.0728850079493 55.6507533561161,11.073990017653 55.6556056032722,11.0767485960374 55.6602426751078,11.0810552244728 55.6644862616791,11.0867447093611 55.6681731304478,11.0935984833506 55.671161422644,11.1013529929353 55.673336131413,11.1097098519749 55.6746135471662,11.1183473671186 55.6749444953705,11.1269329832784 55.6743162391527,11.1351361581901 55.6727529716323,11.1426411568107 55.6703148786216,11.1491592598159 55.6670958088744,11.154439905572 55.6632196439953,11.1582803303025 55.6588355111148,11.1605333343186 55.6541120263743,11.1611128798735 55.6492307943526)))', 'DKMBY', 'Melby', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0216482495967 55.2030000629252,15.0208070214772 55.1981300813861,15.018321338787 55.1934475047359,15.0142872283347 55.1891321860191,15.0088600547271 55.1853498173688,15.0022484988661 55.1822455843492,14.9947065207452 55.1799386122179,14.986523618039 55.1785174136376,14.9780137520493 55.1780365088943,14.9695033587909 55.1785143452199,14.9613188943565 55.1799325929839,14.9537743795386 55.1822368450302,14.9471594087088 55.185338693048,14.9417280721665 55.1891191033708,14.9376892098629 55.1934329657541,14.9351983682258 55.1981146442099,14.9343517717898 55.2029843204788,14.9351825489568 55.2078548896911,14.937659368499 55.212539145461,14.9416875529409 55.2168569791139,14.9471126398581 55.2206423156408,14.9537262660305 55.2237495176454,14.9612741562809 55.2260590078689,14.9694659128673 55.2274818902914,14.9779862265642 55.2279633882766,14.9865070707858 55.227484964277,14.9947003983724 55.2260650373912,15.0022508391963 55.2237582704068,15.008867896706 55.2206534545114,15.0142971629263 55.2168700752046,15.0183301130961 55.2125536947311,15.0208121008573 55.2078703324353,15.0216482495967 55.2030000629252)))', 'DKMEL', 'Melsted', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2521408326946 56.5205532966876,10.2511130634028 56.5156941176501,10.2483907682563 56.5110391009486,10.2440790941528 56.5067670279917,10.2383440772415 56.5030419166992,10.2314062105966 56.500006742053,10.2235319558462 56.4977779688612,10.2150235271625 56.4964411027054,10.2062073365258 56.496047426011,10.197421535307 56.4966120413428,10.1890031179943 56.4981132949984,10.1812750687166 56.5004936024468,10.1745340298244 56.5036616449082,10.1690389541851 56.5074958551316,10.16500116935 56.511849061982,10.1625762330067 56.5165541194658,10.1618578961836 56.5214303079261,10.1628744150653 56.526290264789,10.1655873660885 56.5309471806895,10.1698930249128 56.5352219850838,10.1756262711619 56.538950244216,10.1825668813318 56.5419885038744,10.1904479761201 56.5442198295853,10.1989663000217 56.5455583271688,10.2077939345978 56.5459524658291,10.2165909862386 56.5453870726707,10.2250187476787 56.5438839198137,10.2327528122296 56.5415008809256,10.2394956217712 56.5383296906237,10.2449879538736 56.5344923953894,10.2490188986667 56.5301366360222,10.2514339397982 56.525429947113,10.2521408326946 56.5205532966876)))', 'DKMEP', 'Mellerup', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((12.1104260940941 55.0510392587574,12.1099422181319 55.0461553850735,12.1078085363265 55.0414195315171,12.104107575562 55.0370136173037,12.0989819444735 55.0331068295524,12.0926287950177 55.0298491412782,12.0852922193235 55.0273655727545,12.0772538780007 55.0257514130193,12.0688222186999 55.0250685812231,12.0603206927546 55.0253432641288,12.0520754121001 55.0265649179784,12.0444027076328 55.0286866718424,12.0375970534083 55.03162711723,12.0319198085256 55.0352734169388,12.0275892004761 55.0394856166459,12.024771930718 55.0441019972844,12.0235767262387 55.0489452664643,12.0240500912626 55.0538293545585,12.0261744329523 55.0585665569055,12.0298686463701 55.0629747489494,12.0349911501039 55.0668843967924,12.0413452683104 55.0701450919967,12.0486867613796 55.0726313565111,12.0567332200772 55.074247490857,12.0651749609556 55.0749312752667,12.0736869978503 55.0746563779503,12.0819416186268 55.0734333753082,12.0896210704385 55.0713093436115,12.0964298520084 55.068366038131,12.1021061281293 55.0647167314925,12.1064318187976 55.0605018357966,12.109240971183 55.0558834805497,12.1104260940941 55.0510392587574)))', 'DKMER', 'Mern', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6939570794852 55.4993997640943,10.6929036046359 55.4945436833195,10.6902020605732 55.4898975323679,10.6859567576439 55.4856397533213,10.6803311516408 55.4819338189308,10.673541515146 55.4789219734878,10.6658486137492 55.4767197927139,10.6575477088649 55.4754117677451,10.6489572676656 55.47504807905,10.6404068053905 55.4756426811035,10.6322243149908 55.4771727694419,10.624723753144 55.4795796500804,10.6181930498203 55.4827709789316,10.6128830908536 55.4866242876094,10.6089980896703 55.4909916635943,10.6066877161458 55.4957054088799,10.6060412885526 55.5005844635244,10.6070842602972 55.5054413504503,10.6097771487067 55.5100893766384,10.6140169611782 55.5143498145197,10.6196410777927 55.5180587865601,10.6264334527164 55.5210735860136,10.6341329034609 55.5232781874371,10.6424431715336 55.5245877311721,10.6510443643002 55.5249518055313,10.6596053296905 55.5243563973256,10.6677964757468 55.5228244337484,10.6753025280456 55.5204148942731,10.6818347207465 55.5172205277714,10.6871419412739 55.5133642650842,10.6910203931062 55.508994468452,10.6933214034479 55.5042792044021,10.6939570794852 55.4993997640943)))', 'DKMES', 'Mesinge', 'Y'),('SRID=4326;MULTIPOLYGON(((9.7859754277592 55.5027256894161,9.78503358029431 55.4978616790471,9.78243862250664 55.4931953853341,9.77829078057272 55.4889060298426,9.7727497820055 55.4851583022647,9.76602866767066 55.4820960539962,9.75838558920443 55.479836796115,9.7501139093523 55.4784672092335,9.74153098244175 55.4780398338805,9.73296603790248 55.4785710653493,9.72474762044741 55.4800405279595,9.71719105560717 55.4823918521273,9.71058640848127 55.4855348252807,9.70518738683999 55.4893488362817,9.70120160739605 55.4936874843771,9.69878259681488 55.4983841795111,9.69802383789519 55.5032585226984,9.69895509784638 55.5081232245546,9.7015411917683 55.5127912982666,9.70568324292677 55.5170832512809,9.71122240540301 55.5208339984566,9.71794591786197 55.5238992286914,9.72559526357709 55.5261609769301,9.73387612567192 55.5275321834253,9.74246975190466 55.5279600610764,9.75104528396838 55.5274281381196,9.7592725652932 55.5259568955081,9.76683492090381 55.5236029738154,9.77344140410951 55.5204569810635,9.77883802761593 55.5166399880971,9.78281753980698 55.5122988496464,9.78522736815052 55.5076005349008,9.7859754277592 55.5027256894161)))', 'DKMID', 'Middelfart', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6569723929898 55.5124129503034,10.6559230855794 55.5075565347296,10.6532249589998 55.5029095555323,10.648982193157 55.4986504867903,10.6433581473 55.4949428508831,10.6365690349287 55.491928957445,10.6288756021503 55.4897244607505,10.6205731311453 55.4884139407027,10.6119801492504 55.4880476733763,10.6034262689584 55.4886397120582,10.5952396138849 55.4901673505495,10.5877342998648 55.4925719888432,10.5811984385376 55.495761368957,10.5758831130817 55.4996130974383,10.5719927424924 55.5039793226436,10.5696772026396 55.5086923910223,10.5690260103522 55.5135712689247,10.5700648025236 55.5184284863492,10.5727542577882 55.5230773378209,10.5769915163685 55.5273390642247,10.5826140574474 55.5310497385765,10.5894058966163 55.5340665886666,10.5971058726401 55.5362735100968,10.6054177071893 55.5375855538194,10.6140214474111 55.5379522117937,10.6225858429524 55.53735937126,10.6307811693443 55.535829860492,10.6382919906213 55.5334225645346,10.6448293567152 55.5302301459755,10.650141955363 55.5263754608432,10.6540257827035 55.5220068109045,10.6563319590179 55.517292218853,10.6569723929898 55.5124129503034)))', 'DKMIV', 'Midskov', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4279154690383 56.3324905041738,10.4268707977904 56.3276327313249,10.4241409117192 56.3229814765268,10.4198312406681 56.3187153763042,10.4141077362443 56.3149982194555,10.4071904438898 56.311972676347,10.3993450325008 56.3097548432198,10.3908726091947 56.3084298070624,10.382098206906 56.3080483974901,10.3733583782624 56.3086252471673,10.364988359664 56.3101382332277,10.3573092840626 56.3125293205922,10.3506159193534 56.3157067758128,10.3451653915527 56.3195486688474,10.3411673183726 56.3239075317493,10.3387757300564 56.3286159993368,10.3380830914839 56.3334932190901,10.3391166641075 56.3383517872791,10.341837360364 56.3430049469042,10.3461411494752 56.3472737714486,10.3518629753071 56.350994057361,10.358783047971 56.3540226579038,10.3666352752961 56.3562430113688,10.3751175125015 56.3575696470686,10.3839032325742 56.3579514918715,10.3926541598537 56.357373846853,10.4010333682706 56.3558589559631,10.4087183258058 56.3534651442747,10.4154133690944 56.3502845599897,10.4208611165741 56.346439609522,10.4248523738142 56.3420782262846,10.4272341482371 56.3373681591569,10.4279154690383 56.3324905041738)))', 'DKMKE', 'Morke', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9263356504461 54.9659641515959,11.9251492882752 54.9611202331102,11.9223438821881 54.9565025020639,11.9180277015657 54.9522883033537,11.9123668929294 54.9486394335005,11.9055790529033 54.9456959461562,11.8979248579154 54.9435707958246,11.8896980734883 54.942345521702,11.8812143229307 54.9420671337767,11.8727990382403 54.9427463178859,11.864775044113 54.9443570269514,11.8574502385437 54.9468374738202,11.8511058303337 54.9500924887845,11.8459855749343 54.9539971537444,11.8422864158083 54.9584015768602,11.8401508895813 54.9631366281316,11.8396615908006 54.9680204192388,11.8408379177213 54.972865281638,11.8436352363275 54.9774849765516,11.8479465084835 54.9817018601023,11.8536063349386 54.9853537270271,11.8603972685993 54.988300067397,11.8680581620618 54.9904274923609,11.876294230022 54.9916541164298,11.8847884358361 54.9919327240977,11.893213755786 54.9912525960739,11.9012458373964 54.9896399231389,11.908575551426 54.9871567914278,11.9149209418063 54.9838987793915,11.9200381035617 54.9799912614072,11.9237305642108 54.9755845636612,11.9258568069109 54.9708481624455,11.9263356504461 54.9659641515959)))', 'DKMKH', 'Masnedovaerkets Havn/Vordingborg', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5611193272358 55.6660868577983,11.5599538532905 55.661239659886,11.5571384304136 55.6566140695166,11.5527817386031 55.6523877329066,11.5470515008317 55.6487229103704,11.5401679924529 55.6457602644086,11.5323955663582 55.6436134806709,11.524032520995 55.6423649244761,11.5153996964792 55.6420624959586,11.5068282279993 55.6427178016111,11.4986469145456 55.6443057106286,11.491169674135 55.6467653127433,11.4846835538694 55.6500022419432,11.47943774441 55.6538922793483,11.4756340141017 55.6582861003564,11.4734189287315 55.663014987647,11.4728781598574 55.6678972943656,11.4740331093752 55.6727454122403,11.4768399926384 55.6773729787625,11.4811914297274 55.6816020468647,11.4869204976544 55.6852699403884,11.4938070991668 55.6882355293028,11.5015864104736 55.69038467992,11.5099590849169 55.6916346665851,11.5186028164394 55.6919373713869,11.5271848093571 55.6912811457708,11.5353746624271 55.6896912605983,11.5428571575528 55.6872289269893,11.5493444476511 55.6839889268015,11.5545871639667 55.680095946445,11.5583840090602 55.6756997585596,11.5605894653566 55.6709694408007,11.5611193272358 55.6660868577983)))', 'DKMKV', 'Morkov', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2115703428159 56.0325703455398,10.2105615658437 56.0277103757638,10.2078794327839 56.0230539389853,10.203627531385 56.0187798733705,10.1979695910737 56.0150522763922,10.1911231407392 56.0120142218717,10.1833511345963 56.0097822884398,10.1749518700973 56.0084421056317,10.1662475817916 56.008045084814,10.1575721407597 56.0086064573004,10.1492583197857 56.010104692961,10.1416250991795 56.0124823210718,10.1349654868279 56.0156481228495,10.1295353086765 56.0194806138379,10.1255433927132 56.0238326858154,10.1231435213185 56.0285372338833,10.1224284646008 56.0334135564653,10.123426332593 56.0382742855876,10.1260993990235 56.0429325832517,10.1303454564549 56.0472093279892,10.1360016651529 56.0509400144552,10.1428507598533 56.0539810984825,10.1506293837631 56.0562155402249,10.1590382319358 56.0575573282791,10.1677536107933 56.0579548068941,10.1764399608165 56.0573926750603,10.1847628484237 56.0558925785117,10.1924019129918 56.0535122712762,10.1990632569446 56.0503433800099,10.2044907907188 56.046507859516,10.2084760889113 56.0421532792302,10.210866376638 56.0374471259183,10.2115703428159 56.0325703455398)))', 'DKMLG', 'Malling', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2605614173111 55.1325571924075,10.2595711034796 55.1276968408557,10.2569454611171 55.1230405333728,10.2527858781295 55.11876710631,10.2472525170614 55.1150406374256,10.2405581128483 55.1120041629487,10.2329597838748 55.1097742066103,10.2247491730466 55.1084363269636,10.2162412943739 55.1080418502813,10.2077625054352 55.1086059114228,10.1996380560683 55.1101068759514,10.1921796780927 55.1124871651407,10.1856736795197 55.115655453135,10.1803699895799 55.1194901541797,10.1764725683044 55.1238440692956,10.1741315470107 55.1285500177403,10.1734374049249 55.1334272406863,10.1744174138636 55.1382883342256,10.1770344994614 55.1429464473293,10.1811885765013 55.1472224687572,10.1867203206706 55.150951925783,10.1934172431942 55.1539913272601,10.2010218422999 55.1562237038481,10.2092415205119 55.1575631285323,10.2177598833918 55.1579580398217,10.2262489772334 55.1573932366916,10.2343819833685 55.1558904665401,10.2418458672866 55.1535075829837,10.2483534827476 55.1503363068474,10.2536546543668 55.1464986788036,10.2575458055066 55.1421423434401,10.2598777594217 55.1374348499599,10.2605614173111 55.1325571924075)))', 'DKMLL', 'Millinge', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2116095624796 56.066570169152,10.2105998320768 56.0617102300285,10.2079152765252 56.0570538298386,10.2036595777814 56.0527798052089,10.1979966119183 56.0490522518433,10.1911441011657 56.0460142416617,10.1833652323121 56.0437823513694,10.1749585657284 56.0424422086587,10.1662466192472 56.0420452232353,10.1575635568887 56.0426066250158,10.1492424429821 56.0441048827965,10.1416025369867 56.0464825251359,10.1349371029852 56.0496483328975,10.1295021904287 56.0534808216198,10.1255068095654 56.0578328833908,10.1231048767383 56.0625374138892,10.12238924245 56.067413712335,10.1233880402917 56.0722744117194,10.1260635096013 56.0769326751352,10.1303133517196 56.0812093822973,10.135974582193 56.0849400291109,10.1428297429916 56.0879810727068,10.1506152438838 56.0902154745698,10.159031514832 56.091557224643,10.1677545758248 56.091954668514,10.1764485707558 56.0913925064714,10.1847787709082 56.0898923854625,10.1924245335233 56.0875120605886,10.1990917029026 56.0843431593782,10.2045239654018 56.0805076372427,10.2085127142225 56.0761530639034,10.2109050426909 56.0714469260446,10.2116095624796 56.066570169152)))', 'DKMLT', 'Marslet', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3772103020293 55.7509521156163,12.3766874408538 55.7460693890442,12.3744861698267 55.7413379930202,12.3706916340998 55.7369396715131,12.3654500507613 55.7330433150585,12.3589630298592 55.7297984908787,12.35147979962 55.7273297205874,12.3432876386815 55.7257317215126,12.3347008814654 55.7250657904723,12.3260489123046 55.725357465385,12.317663598506 55.7265955519731,12.3098666314916 55.7287325517362,12.3029572481631 55.7316864750815,12.2972007916547 55.7353439717786,12.2928185419222 55.7395646615175,12.2899792027466 55.7441865020013,12.2887923736576 55.7490319923252,12.2893042644016 55.7539149768754,12.2914958277942 55.7586477909304,12.2952833965816 55.7630484746395,12.3005218143296 55.7669477778436,12.3070099529246 55.770195684705,12.3144984139842 55.7726672042993,12.3226991225272 55.7742672007418,12.3312964428359 55.7749340731329,12.3399593824402 55.7746421402416,12.3483544038797 55.7734026356205,12.356158337831 55.7712632736531,12.3630708867399 55.7683064035569,12.3688262255435 55.7646458241788,12.3732032444488 55.7604223851388,12.3760340360226 55.7557985472896,12.3772103020293 55.7509521156163)))', 'DKMLV', 'Målov', 'Y'),('SRID=4326;MULTIPOLYGON(((10.60391456031 55.4594323418586,10.6028733012041 55.4545753826892,10.600185131151 55.4499271355075,10.5959538464982 55.4456661236389,10.5903423652416 55.4419559446315,10.5835664188953 55.4389390062461,10.5758862492385 55.436731080011,10.5675966309133 55.4354168776679,10.5590155996849 55.4350468166416,10.5504723109757 55.4356350956738,10.5422944830649 55.4371591525853,10.5347958935055 55.4395605244895,10.5282643955658 55.4427470784345,10.5229509038858 55.4465965291782,10.5190597653608 55.4509611123697,10.5167408832167 55.4556732375154,10.5160839003707 55.4605519073703,10.5171146740491 55.4654096602629,10.5197941893308 55.4700597706024,10.5240199674783 55.4743234314151,10.5296299288122 55.4780366418755,10.5364085732154 55.4810565327117,10.5440952481563 55.4832668829115,10.552394188623 55.4845826117059,10.5609859396375 55.4849530692813,10.5695397137846 55.4843639965248,10.5777261964701 55.4828380764533,10.5852302925294 55.480434055603,10.5917633103804 55.4772444702044,10.597074103993 55.4733920670108,10.6009587372306 55.4690250598569,10.6032682972388 55.464311408262,10.60391456031 55.4594323418586)))', 'DKMNK', 'Munkebo', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9293667788612 54.9949627142926,11.9281790716362 54.9901188600674,11.9253711773836 54.9855012462813,11.9210514618898 54.981287213193,11.9153862079658 54.9776385507872,11.9085931831045 54.974695304559,11.9009332626099 54.9725704195755,11.8927004313026 54.9713454247059,11.8842105438943 54.9710673191372,11.8757892671463 54.9717467778562,11.8677596550197 54.9733577433033,11.8604298206181 54.9758384186038,11.8540811655484 54.9790936254425,11.8489576084231 54.9829984385307,11.8452562199591 54.9874029605072,11.8431196231824 54.9921380577028,11.8426304547567 54.9970218401037,11.8438081090023 55.0018666395004,11.8466079019051 55.006486219465,11.8509227010355 55.0107029404065,11.8565869720555 55.0143546031393,11.8633830971129 55.0173007053959,11.8710497289288 55.0194278673043,11.8792918609454 55.0206542133538,11.887792222501 55.0209325386522,11.8962235522378 55.0202521347605,11.9042612657164 55.0186392031327,11.9115960164752 55.0161558399772,11.917945654438 55.012897632811,11.9230661113579 55.0089899636957,11.9267607884983 55.0045831647965,11.9288880845718 54.9998467164227,11.9293667788612 54.9949627142926)))', 'DKMNS', 'Masnedsund', 'Y'),('SRID=4326;MULTIPOLYGON(((9.825581411626 56.0377097658486,9.82462097510971 56.0328465383373,9.82198487923378 56.0281816142789,9.81777494785104 56.0238941603297,9.81215330505529 56.0201487899636,9.80533609350807 56.0170892604568,9.7975851522569 56.0148329750199,9.78919797621823 56.0134664973102,9.78049633982047 56.0130422467211,9.77181401344866 56.0135764981356,9.76348403230296 56.0150487608654,9.75582599246641 56.0174025599814,9.74913384808918 56.0205475909353,9.74366466664635 56.0243631670398,9.73962876652499 56.0287028307873,9.73718161338746 56.0333999558271,9.73641778988626 56.0382741283173,9.73736727888884 56.0431380657707,9.73999421547064 56.0478048097079,9.74419817019743 56.0520949164131,9.74981792886827 56.055843368555,9.75663763566513 56.0589059396849,9.76439507166385 56.0611647635326,9.77279175318244 56.0625328899901,9.78150445866817 56.0629576486569,9.7901977325651 56.0624226872993,9.79853687300916 56.0609486046885,9.80620088949623 56.0585921528142,9.81289491798646 56.0554440400838,9.81836160416822 56.0516254223572,9.82239100953781 56.0472832202012,9.82482865720086 56.0425844464157,9.825581411626 56.0377097658486)))', 'DKMOO', 'Mossø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5945027034941 56.000876547525,12.593950012339 55.9959946623963,12.5917088405057 55.9912669808513,12.5878658729029 55.986875101874,12.5825691902552 55.9829876660969,12.5760225181439 55.9797538958768,12.5684773712206 55.9772978865645,12.5602233984786 55.9757138644299,12.5515772989126 55.9750625894095,12.5428707264189 55.9753690373108,12.5344376372985 55.9766214479485,12.5266015525425 55.9787717745905,12.5196632098616 55.9817375178175,12.5138890671398 55.9854048752179,12.5095010899058 55.9896330890115,12.506668211097 55.9942598284242,12.5054997928046 55.9991074040505,12.5060413482205 56.0039895790319,12.5082726995884 56.0087187179481,12.512108657075 56.0131129999437,12.5174022071831 56.0170034185492,12.5239501012342 56.0202402972995,12.5315006385504 56.022699067598,12.5397633495011 56.0242850828393,12.5484202047781 56.024937279654,12.5571379130233 56.0246305418995,12.5655808226157 56.0233766738887,12.5734239174849 56.021223944226,12.5803653926948 56.0182552181693,12.5861383134645 56.0145847522393,12.5905209002991 56.0103537774615,12.593345040902 56.0057250449444,12.5945027034941 56.000876547525)))', 'DKMOR', 'Mørdrup', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3170124583681 55.5769717442834,12.3164987193576 55.5720887378313,12.3143138144933 55.5673563169111,12.3105422546299 55.5629562658311,12.3053293706571 55.5590575427729,12.2988756690704 55.5558098071319,12.2914290996947 55.5533376934941,12.2832755367325 55.5517360484523,12.2747278374371 55.5510663092957,12.2661138920741 55.5513541601681,12.257764113354 55.55258855317,12.2499988324643 55.5547221307944,12.2431160718939 55.5576730337826,12.2373801523583 55.5613280267494,12.233011562574 55.5655468245136,12.2301784769725 55.5701674567002,12.2289902486335 55.5750124684759,12.2294931341547 55.5798957227322,12.231668425756 55.5846295449592,12.2354330761134 55.589031937513,12.2406428062474 55.5929335857442,12.247097589808 55.5961843849266,12.2545493122524 55.5986592340777,12.262711314871 55.6002628701473,12.2712694555493 55.6009335527296,12.2798942544131 55.6006454540527,12.2882536464027 55.599409659742,12.296025836796 55.5972737406416,12.3029117511951 55.5943199124791,12.308646588745 55.5906618559713,12.3130100254543 55.5864403226957,12.3158346714018 55.5818176994836,12.3170124583681 55.5769717442834)))', 'DKMOS', 'Mosede', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2686796989251 56.9675450982274,10.2676366728594 56.9626864615984,10.2648790206928 56.9580322859625,10.2605132633864 56.9537613184832,10.2547075251379 56.9500375318847,10.2476850193528 56.9470038471536,10.2397154553523 56.9447766688466,10.2311046983133 56.9434414388076,10.2221830760018 56.9430493750592,10.2132927723997 56.9436155178046,10.2047747793531 56.9451181554741,10.1969558923037 56.9474996522624,10.1901362347303 56.9506686463883,10.1845777781452 56.954503537115,10.1804942906622 56.9588571301554,10.1780430979277 56.9635622671309,10.1773189766225 56.9684382268693,10.1783504243375 56.9732976559728,10.1810984624851 56.9779537645318,10.1854580337506 56.9822275111134,10.1912619557063 56.9859544999007,10.1982872914639 56.9889913224032,10.206263900867 56.9912210963667,10.2148848461412 56.9925579847814,10.2238182484525 56.9929505171516,10.2327201304179 56.9923835819306,10.2412477374878 56.9908790113355,10.2490728105716 56.9884947354425,10.2558942844243 56.985322539127,10.2614499110244 56.9814845106301,10.2655263531004 56.9771283219358,10.2679673576063 56.9724215265869,10.2686796989251 56.9675450982274)))', 'DKMOU', 'Mou Bro', 'Y'),('SRID=4326;MULTIPOLYGON(((9.77614799073981 55.6567287564735,9.7752034882821 55.6518647997684,9.77259935178375 55.647198441366,9.76843616517333 55.6429089047983,9.7628742490288 55.6391608859039,9.75612744929146 55.6360982462934,9.74845490356143 55.6338385110835,9.74015110371702 55.6324683783623,9.73153463349418 55.632040409031,9.72293600551212 55.6325710209608,9.71468505303135 55.6340398624247,9.70709834686358 55.6363905882253,9.70046710702991 55.6395330095948,9.69504606199596 55.6433465375791,9.69104367591019 55.6476847909885,9.68861411688458 55.652381195805,9.68785127803114 55.6572553648076,9.68878508922115 55.662120015557,9.69138027342087 55.6667881630613,9.69553760960713 55.6710803114146,9.70109766787714 55.6748313671578,9.70784688513664 55.677897006348,9.71552575574202 55.6801592472094,9.72383882491093 55.6815310101907,9.73246609773567 55.6819594861978,9.74107541699636 55.6814281802227,9.74933532177985 55.6799575496546,9.75692787836661 55.6776042120664,9.76356097606341 55.6744587538473,9.76897960356428 55.6706422262842,9.77297566477061 55.6663014672256,9.77539595447688 55.6616034321512,9.77614799073981 55.6567287564735)))', 'DKMQR', 'Mørkholt', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1212687499716 55.8110449196827,12.1207774116117 55.8061615028448,12.1186041936613 55.8014258787654,12.1148331680193 55.7970199553755,12.1096096542271 55.7931129162337,12.1031345740816 55.7898547392511,12.0956567023686 55.7873704585906,12.0874631156962 55.785755386382,12.0788682050421 55.7850714738315,12.0702016674397 55.7853449479454,12.061795927121 55.786565312046,12.0539734556995 55.7886857472168,12.0470344642788 55.7916248995421,12.0412454276653 55.7952699862687,12.0368288724016 55.7994811045814,12.0339548166929 55.8040965812576,12.032734192416 55.808939161673,12.0332145086606 55.8138228039746,12.0353779345589 55.8185598200158,12.0391418889615 55.8229680899524,12.0443621288598 55.8268780729859,12.0508382308796 55.8301393430246,12.0583212646668 55.8326263950157,12.0665233677356 55.8342434949191,12.0751288525639 55.8349283828299,12.0838064122936 55.8346546832518,12.0922219446712 55.8334329271875,12.1000514873297 55.8313101454676,12.1069937526341 55.8283680492493,12.1127817673611 55.8247198694671,12.1171931605439 55.8205059798257,12.1200586998585 55.8158884754571,12.1212687499716 55.8110449196827)))', 'DKMRB', 'Marbæk Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2269105603897 55.4495676504158,10.2259158617997 55.4447072919383,10.2232725971264 55.4400505791771,10.2190828416396 55.4357763630615,10.213507924272 55.4320487500616,10.2067621795083 55.4290108183942,10.1991046965877 55.426779145741,10.1908293851656 55.4254393548069,10.182253735776 55.4250428440258,10.1737066986248 55.4256048258503,10.1655161344328 55.427103745974,10.1579963056224 55.4294821052255,10.1514358748199 55.4326486535208,10.146086860447 55.4364818739388,10.1421549664162 55.4408346264501,10.1397916552872 55.4455397768012,10.139088272751 55.4504165981303,10.1400724575149 55.455277702546,10.142706986638 55.4599362383813,10.1468911147582 55.4642130771609,10.1524643696593 55.4679437131383,10.1592126699546 55.470984607876,10.1668765373507 55.4732187325915,10.1751610902145 55.474560091275,10.1837474310849 55.4749570468168,10.1923049820728 55.4743943190531,10.2005042818185 55.4728935758531,10.2080297379902 55.4705125939356,10.2145918312481 55.467343022662,10.2199382900788 55.4635068391748,10.2238637996304 55.4591516346034,10.2262178693231 55.4544449165049,10.2269105603897 55.4495676504158)))', 'DKMRD', 'Morud', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5954539385994 55.9374322962308,10.59439981279 55.9325757018813,10.591678562908 55.9279278119215,10.5873952716892 55.9236671341314,10.5817148654413 55.9199572505581,10.5748557272646 55.9169405545063,10.5670812914751 55.9147328051204,10.5586899442017 55.9134187047729,10.550003614548 55.9130486652844,10.5413554859439 55.9136368840275,10.5330772873664 55.9151608018245,10.5254866383951 55.9175619629415,10.5188749203104 55.9207482451818,10.5134961276576 55.9245973768448,10.5095571212206 55.9289616089167,10.507209654827 55.9336733669793,10.5065444859168 55.9385516695901,10.5075878048932 55.9434090697411,10.5103001330351 55.9480588547174,10.51457774586 55.9523222282402,10.5202565815452 55.9560351978622,10.5271184960973 55.9590549004559,10.5348996325245 55.9612651191577,10.5433005845874 55.9625807756638,10.5519979609389 55.9629512212422,10.5606568963869 55.9623621966964,10.5689440167081 55.9608363838806,10.5765403440674 55.9584325270287,10.5831536327027 55.9552431587391,10.5885296489692 55.9513910205353,10.592461954765 55.9470243191498,10.594799816375 55.9423110049307,10.5954539385994 55.9374322962308)))', 'DKMRH', 'Mårup Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0212972336043 56.6486366533866,10.0202954111559 56.6437755853129,10.0175920485544 56.6391155519919,10.01329157272 56.6348355285237,10.0075595969181 56.6310998385297,10.0006165035512 56.6280518629309,9.99272895910165 56.6258085572024,9.98419968964485 56.6244559836574,9.97535590626284 56.6240460263883,9.96653681619175 56.6245944117376,9.95808068665596 56.6260801082047,9.95031194347273 56.6284461282031,9.94352878537846 56.6316017018377,9.93799177764495 56.6354257416165,9.93391385522793 56.6397714685119,9.93145211706137 56.6444720257254,9.93070173022163 56.6493468685056,9.93169218705856 56.6542086878733,9.9343860721052 56.6588706044017,9.93868040131216 56.6631533562897,9.94441049718364 56.6668922045395,9.95135626352223 56.6699432874143,9.95925062691263 56.6721891763842,9.96778982315839 56.6735434158602,9.97664512991255 56.6739538681269,9.98547558560724 56.6734047314824,9.99394119270228 56.6719171518055,10.001716082507 56.6695484033849,10.0085011205188 56.6663896714938,10.0140354552684 56.6625625244401,10.0181065587402 56.6582142143058,10.0205583701238 56.6535119911635,10.0212972336043 56.6486366533866)))', 'DKMRR', 'Mariager', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5642546364158 54.8534504570298,10.5632352279081 54.8485925663368,10.5605934020708 54.843942721917,10.5564311565743 54.8396795110108,10.5509087454212 54.8359666191452,10.5442384748329 54.8329465622138,10.5366765319809 54.8307352352869,10.5285131624153 54.8294174837483,10.5200615702003 54.8290438631813,10.5116459590968 54.8296287094252,10.5035891626209 54.8311495910223,10.496200324869 54.8335481645906,10.4897630923305 54.8367324012545,10.4845247595444 54.8405801009466,10.4806867787206 54.8449435629043,10.4783969960147 54.8496552367553,10.4777439160992 54.8545341408196,10.4787532235553 54.8593928041079,10.4813867064987 54.8640444672373,10.4855436373882 54.8683102660855,10.4910645713233 54.8720261211354,10.4977374269778 54.8750490653755,10.5053056236292 54.8772627641687,10.5134779636442 54.8785820110356,10.5219398772876 54.8789560227424,10.5303655894525 54.8783704039021,10.5384307288254 54.8768477035933,10.5458248811791 54.8744465420811,10.5522635909251 54.8712593422323,10.5574993386353 54.8674087552325,10.5613310656564 54.8630429214106,10.5636118779182 54.8583297522332,10.5642546364158 54.8534504570298)))', 'DKMRS', 'Marstal', 'Y'),('SRID=4326;MULTIPOLYGON(((10.711012472336 55.5493932945231,10.7099554358388 55.5445374213801,10.7072483413138 55.5398917190393,10.7029957137274 55.5356346120475,10.6973612910117 55.5319295469853,10.6905616844653 55.528918734396,10.6828580419724 55.5267177100243,10.6745460362575 55.5254109203797,10.6659445592354 55.5250484983983,10.6573835482784 55.5256443499518,10.6491913999383 55.5271756227592,10.6416824407204 55.5295835776112,10.6351449226383 55.5327758294822,10.6298299935099 55.5366298748554,10.6259420586048 55.5409977731861,10.6236309020008 55.5457118065823,10.6229858739215 55.5505909040911,10.6240323759635 55.5554475869125,10.6267307915735 55.560095169671,10.6309779170703 55.5643549415437,10.6366108521665 55.5680630502463,10.6434132120426 55.5710768218692,10.6511234296471 55.5732802701813,10.6594448312551 55.5745885796497,10.6680570945109 55.5749513859585,10.6766286399336 55.5743547247254,10.684829467192 55.5728215714981,10.6923439284937 55.5704109517633,10.6988829341838 55.5672156562511,10.7041951099721 55.5633586518455,10.7080764697622 55.5589883295766,10.7103782304789 55.5542727763586,10.711012472336 55.5493932945231)))', 'DKMTF', 'Martofte', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2805186715299 55.0935502627187,10.2795269762238 55.0886900503464,10.2769016475872 55.0840341424743,10.2727440600397 55.0797613601252,10.2672142983197 55.0760357564174,10.2605249583969 55.0730003345558,10.2529329639684 55.0707715780968,10.2447297150226 55.0694349997714,10.2362299436789 55.069041876099,10.2277596973292 55.0696072901281,10.2196438990411 55.0711095555163,10.2121939496074 55.0734910435188,10.2056958342603 55.0766603820747,10.2003991799324 55.0804959448339,10.1965076763559 55.084850499425,10.1941712269235 55.0895568402419,10.1934801341466 55.0944341931221,10.1944615512836 55.0992951489786,10.1970783483318 55.103952861988,10.2012304497276 55.1082282363122,10.2067586059509 55.1119568242285,10.2134504654563 55.1149951682137,10.2210487209656 55.1172263398441,10.2292610192981 55.1185644587003,10.2377712506464 55.1189580137309,10.2462517751752 55.1183918562165,10.2543761050552 55.1168877856889,10.2618315406354 55.1145037057093,10.2683312614685 55.1113313829441,10.2736253962036 55.1074928980624,10.2775106386959 55.1031359283021,10.2798380387468 55.0984280469562,10.2805186715299 55.0935502627187)))', 'DKMUH', 'Munkholm', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2199366539208 55.4932110734027,11.2188187816481 55.488360140015,11.2160561261213 55.4837261854853,11.21175533893 55.4794871801339,11.2060819979741 55.4758058733402,11.1992541987953 55.4728235625017,11.1915341624833 55.4706546893831,11.1832181842385 55.4693824675183,11.174625304941 55.4690557048626,11.166085132253 55.4696869406974,11.1579252669057 55.4712519664856,11.1504588033 55.4736907486779,11.1439723711209 55.476909719145,11.1387151663467 55.4807853477287,11.1348893861785 55.4851688631367,11.1326424336935 55.4898919447474,11.1320611955275 55.4947731704488,11.1331686212029 55.4996249758714,11.135922747932 55.5042608595232,11.1402182225566 55.5085025573931,11.1458902759684 55.5121869101905,11.1527210086449 55.5151721567915,11.1604477529002 55.517343408488,11.1687731923112 55.5186170896288,11.1773768456194 55.5189441700965,11.1859274649148 55.5183120622255,11.1940958590629 55.5167451073129,11.2015676352292 55.5143036326002,11.2080553549409 55.5110816161289,11.2133096262073 55.5072030517839,11.2171286984291 55.5028171578001,11.2193661897541 55.4980926169155,11.2199366539208 55.4932110734027)))', 'DKMUL', 'Mullerup Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((8.35405706150169 55.5752400423381,8.3532905373729 55.5703660602227,8.35086095640339 55.5656704228347,8.34686220934783 55.5613334879317,8.34144832187535 55.5575217791254,8.33482748147384 55.5543816081538,8.32725401660435 55.5520334780722,8.31901863936501 55.5505674785161,8.31043732410289 55.5500398460316,8.30183924167758 55.5504708182662,8.29355420138399 55.5518438621613,8.28590006923682 55.5541063049143,8.27917063209242 55.5571713441265,8.27362436192647 55.5609213620093,8.26947450378744 55.5652124195495,8.26688086512605 55.5698797618378,8.26594362436706 55.5747441269689,8.26669940420802 55.5796186194958,8.26911977219053 55.5843158866671,8.27311224015259 55.5886553226061,8.27852373836101 55.5924700229413,8.28514644307404 55.5956132205019,8.29272574200854 55.5979639514616,8.30097003488398 55.5994317302244,8.30956199002762 55.5999600493755,8.31817081675203 55.5995285667286,8.32646507003769 55.5981538930481,8.33412548127429 55.5958889492569,8.3408573076719 55.5928209185147,8.34640171351507 55.5890678740438,8.35054573758401 55.5847742156276,8.35313046061338 55.5801050941348,8.35405706150169 55.5752400423381)))', 'DKMYR', 'Myrthue', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3614847073632 55.0635215063681,10.3604840122809 55.0586619808632,10.3578513377562 55.0540078376329,10.3536883385772 55.0497378295204,10.3481553053863 55.0460159028884,10.3414649579939 55.0429849197326,10.3338742573996 55.0407611933596,10.325674553138 55.0394300437018,10.3171804411673 55.0390425392638,10.3087177522344 55.0396135477655,10.3006111204757 55.0411211684028,10.2931715963434 55.0435075669976,10.2866847664912 55.0466811829231,10.2813998260396 55.0505202253547,10.2775200159831 55.0548773278735,10.2751947910795 55.0595851864538,10.274514022436 55.0644629679994,10.275504465722 55.0693232463336,10.2781286425678 55.0739792011369,10.2822861918788 55.0782518037708,10.287817652707 55.0819767128811,10.2945105446222 55.0850106124165,10.3021075192464 55.0872367450781,10.3103162718815 55.0885694245973,10.3188208290355 55.0889573495616,10.3272937697747 55.0883855882295,10.3354088992158 55.0868761560172,10.3428538732108 55.0844871628989,10.3493422754149 55.0813105644945,10.3546246713338 55.0774686056843,10.358498207357 55.073109096879,10.3608143838922 55.0683997084392,10.3614847073632 55.0635215063681)))', 'DKNAB', 'Nabbe', 'Y'),('SRID=4326;MULTIPOLYGON(((9.6783624693086 56.6997612933279,9.67740339736942 56.6948974389018,9.67473861879602 56.6902299397178,9.67047108422395 56.685938059711,9.66476514902041 56.6821865792324,9.65784020319704 56.6791194861104,9.64996222322384 56.6768544695696,9.64143357293918 56.6754784244587,9.63258144207784 56.6750441344704,9.62374535786873 56.6755682584071,9.61526423669312 56.6770306946523,9.6074634583365 56.6793753475682,9.60064244463168 56.6825122672893,9.59506320728528 56.6863210830873,9.59094029670641 56.6906556019032,9.58843253534681 56.6953493994543,9.58763685644772 56.7002221931583,9.58858449367964 56.705086755419,9.59123968102093 56.7097561038776,9.59550092801316 56.714050693064,9.60120483651745 56.7178053301798,9.6081323250715 56.7208755468273,9.61601703010032 56.7231431782533,9.6245555639378 56.7245209315161,9.63341923216659 56.7249557628717,9.64226675109538 56.7244309310992,9.65075746350781 56.7229666455772,9.65856452943849 56.7206192834794,9.66538756982973 56.7174792071202,9.67096426443303 56.7136672677977,9.67508044995158 56.7093301340989,9.67757832776411 56.7046346283984,9.6783624693086 56.6997612933279)))', 'DKNAG', 'Nørager', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1792170678283 54.8322316624524,11.1781245577942 54.8273796661766,11.1754139124194 54.8227438926138,11.1711897655627 54.8185023847935,11.1656147384446 54.8148179920723,11.1589031463316 54.8118321346712,11.1513127520296 54.8096593946612,11.143134884632 54.8083831373639,11.1346832995064 54.8080523276883,11.1262821991742 54.808679660719,11.1182538635647 54.8102410765421,11.1109063514984 54.8126766775464,11.1045217329251 54.8158930140548,11.0993452934085 54.8197666528994,11.0955761189852 54.8241488952321,11.0933594214923 54.8288714661565,11.0927809028692 54.8337529612977,11.0938633833551 54.8386058056416,11.0965658350302 54.8432434591256,11.100784871452 54.8474875925197,11.1063586494184 54.8511749567478,11.1130730438374 54.8541636792041,11.1206698652792 54.8563387416387,11.1288568061774 54.8576164251613,11.137318729805 54.8579475477328,11.1457298596949 54.8573193666328,11.1537663890068 54.8557560708864,11.1611190115024 54.8533178443065,11.1675048792168 54.8500985362906,11.172678516418 54.8462220323919,11.1764412636987 54.8418374676368,11.1786488876965 54.8371134704889,11.1792170678283 54.8322316624524)))', 'DKNAK', 'Nakskov', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5388475766857 56.2764506399031,10.5377905074978 56.2715938323948,10.5350513123662 56.2669450363305,10.5307357754838 56.2626827933,10.5250100704931 56.2589707437677,10.5180943245373 56.2559513620823,10.5102541451755 56.2537405082779,10.5017904377956 56.2524230019368,10.4930279010623 56.2520493842227,10.4843026335366 56.2526339892492,10.4759493149122 56.2541543968382,10.4682884397538 56.2565522871541,10.4616140799086 56.2597356654226,10.4561826339186 56.2635823737308,10.4522029881149 56.2679447585128,10.4498284652669 56.2726553184376,10.4491508737695 56.2775331196621,10.4501968949088 56.2823907352221,10.4529269598585 56.2870414440023,10.4572366744121 56.2913064132195,10.4629607513255 56.2950215873726,10.469879311318 56.2980440164179,10.4777263184215 56.3002573763881,10.4861998277871 56.3015764661595,10.4949736484853 56.3019505035048,10.503709964071 56.3013650904253,10.5120724128812 56.2998427701182,10.5197391103621 56.2974421536134,10.5264150982722 56.2942556507234,10.531843730214 56.2904058950564,10.5358165482723 56.2860410041109,10.5381812691408 56.2813288607581,10.5388475766857 56.2764506399031)))', 'DKNAM', 'Nappedam', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6773598859238 55.8820427079391,11.6761726763151 55.8771969830467,11.6733271245898 55.8725745067657,11.6689330736034 55.8683528040858,11.6631596838344 55.8646939555835,11.6562288872752 55.8617383926707,11.6484068491834 55.8595995276668,11.6399937671956 55.8583594209944,11.6313123955759 55.8580656481312,11.6226957263851 55.8587294836208,11.6144742881817 55.8603254700693,11.6069635359133 55.8627923883477,11.6004518026785 55.8660355929446,11.5951892650636 55.8699306253319,11.5913783391329 55.8743279700897,11.5891658745596 55.8790587750714,11.5886374509288 55.8839413196776,11.5898140045092 55.8887879858146,11.5926509279277 55.8934124655546,11.5970396919097 55.8976369288999,11.6028119408768 55.9012988749883,11.6097459165157 55.9042574008284,11.6175749695853 55.9063986430219,11.6259978344826 55.90764017924,11.6346902675829 55.9079342163693,11.6433175928125 55.9072694396338,11.6515476593254 55.905671449724,11.6590636985915 55.9032017707781,11.6655765726161 55.8999554685947,11.6708359311407 55.8960574732814,11.674639842091 55.8916577513362,11.6768425237614 55.8869255168109,11.6773598859238 55.8820427079391)))', 'DKNAS', 'Norre Asmindrup', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4761727788666 54.799126318078,11.4750457750567 54.7942773445097,11.4723036763653 54.7896485230354,11.4680523205552 54.7854176279509,11.4624553684222 54.7817470998958,11.4557279714489 54.7787778262295,11.4481284941276 54.7766237525021,11.4399486104477 54.7753675281968,11.4315021512592 54.7750573503474,11.4231131225544 54.775705123336,11.4151033432046 54.7772860037747,11.4077801637303 54.7797393476092,11.4014247250297 54.7829710241955,11.3962811976505 54.7868570109112,11.392547408534 54.791248133609,11.3903672138616 54.7959757746314,11.3898249148162 54.8008583327797,11.3909419392981 54.8057081900186,11.393675929038 54.8103389190499,11.3979222807868 54.8145724551702,11.403518095573 54.8182459556665,11.4102483950669 54.8212180806523,11.417854372896 54.8233744504896,11.4260433654279 54.824632066133,11.4345001550713 54.8249425187295,11.4428991631133 54.8242938620693,11.4509170514171 54.8227110740714,11.4582452349469 54.8202550891993,11.4646018109838 54.8170204401713,11.4697424358329 54.8131316021372,11.4734697244392 54.8087381833316,11.4756408102653 54.804009150973,11.4761727788666 54.799126318078)))', 'DKNBE', 'Nørreballe', 'Y'),('SRID=4326;MULTIPOLYGON(((10.8357444776692 55.3103503007349,10.8346791927902 55.3054953891056,10.8319744617198 55.3008522602722,10.827734709633 55.2965992400765,10.8221231726812 55.2928996189141,10.8153555787352 55.2898953995317,10.8076918451483 55.2877018660381,10.7994261143437 55.2864031788728,10.7908755064579 55.286049161189,10.7823680127035 55.2866533970248,10.7742299825589 55.288192712411,10.7667736717587 55.2906080588784,10.7602853160672 55.2938067664838,10.7550141779933 55.2976660822137,10.7511629802828 55.30203786125,10.7488800918775 55.3067542347638,10.7482537701403 55.3116340402767,10.7493086890704 55.3164897706357,10.7520048990664 55.3211347765485,10.756239272209 55.3253904464052,10.7618493912434 55.329093086424,10.7686197441665 55.3321002342647,10.7762899935978 55.334296159987,10.7845650051366 55.3355963389559,10.7931262457374 55.3359507209042,10.8016441054508 55.3353456663375,10.8097906566729 55.3338044738698,10.8172523464117 55.3313864777393,10.8237421200094 55.3281847512769,10.8290104990961 55.3243225070899,10.832855180959 55.319948335827,10.8351287886359 55.3152304705116,10.8357444776692 55.3103503007349)))', 'DKNBG', 'Nyborg', 'Y'),('SRID=4326;MULTIPOLYGON(((8.34429137477202 55.783244189812,8.34352219180918 55.7783703046936,8.34108105671498 55.7736746033474,8.33706231126978 55.7693374453104,8.33162075453208 55.7655253616869,8.3249656392858 55.7623846772975,8.31735260995809 55.7600359135685,8.30907389489583 55.7585691832946,8.30044712734683 55.7580407502612,8.29180321696711 55.7584708825147,8.28347372612294 55.7598430794434,8.27577822203041 55.7621047014668,8.26901207656515 55.7651689788046,8.26343517037107 55.7689183242664,8.25926192698759 55.7732088260402,8.25665305671639 55.7778757517692,8.25570932986673 55.782739856403,8.2564676263158 55.7876142548753,8.25889942499206 55.7923115978851,8.26291180549902 55.7966512759675,8.26835093778323 55.8004663743645,8.27500793816423 55.8036101092838,8.28262687522272 55.8059614948834,8.29091462121449 55.8074300192122,8.29955216801366 55.8079591453557,8.30820696491868 55.8075284997474,8.31654579218601 55.806154661153,8.32424766121262 55.8038905190821,8.33101623112026 55.8008232269697,8.33659125216806 55.7970708309788,8.34075858781555 55.7927777073365,8.34335842716142 55.7881089875548,8.34429137477202 55.783244189812)))', 'DKNBL', 'Norre Nebel', 'Y'),('SRID=4326;MULTIPOLYGON(((9.84345865061167 55.0327066090132,9.84252144243784 55.0278426548126,9.83995078937908 55.0231771434194,9.83584596834174 55.0188892677321,9.83036504304047 55.0151436629068,9.82371874154735 55.0120841016756,9.81616234322211 55.0098279949042,9.8079858890093 55.0084619048329,9.79950308815556 55.0080382395945,9.79103933962359 55.0085732528484,9.7829193168474 55.0100464233432,9.77545457936315 55.0124012376165,9.76893167396856 55.01554734665,9.76360117142274 55.0193640158869,9.75966805261627 55.0237047393681,9.75728381127347 55.0284028445507,9.75654057965265 55.0332778762677,9.75746751090575 55.0381425177209,9.76002956879471 55.0428097846526,9.76412878494907 55.0471002168998,9.76960794894784 55.0508487900937,9.77625660086358 55.0539112795954,9.78381910350822 55.0561698287361,9.79200448661076 55.0575375034466,9.80049768158095 55.0579616543467,9.8089717070438 55.0574259538392,9.81710032499355 55.0559510278038,9.82457066735593 55.0535936569686,9.83109533404243 55.0504445795657,9.83642348615548 55.0466249820593,9.84035050063878 55.0422818162108,9.84272581309671 55.037582126391,9.84345865061167 55.0327066090132)))', 'DKNBR', 'Nordborg', 'Y'),('SRID=4326;MULTIPOLYGON(((8.45091733962221 55.4492049051729,8.45014119742697 55.4443314106301,8.44770773797774 55.4396375904548,8.44371099581933 55.435303732412,8.4383049150384 55.4314962421379,8.43169737999111 55.4283612699045,8.42414220657961 55.4260191199168,8.41592940480023 55.4245596530752,8.40737408420959 55.4240388559329,8.39880442100026 55.4244767043332,8.39054913749648 55.4258564015303,8.38292496142675 55.4281250192,8.37622453299258 55.4311955173821,8.37070521252164 55.4349500678558,8.36657921066299 55.4392445564899,8.36400541727419 55.4439140954427,8.3630832453763 55.448779337334,8.36384873428443 55.453653352146,8.36627307324996 55.4583488049222,8.37026361623796 55.4626851593493,8.37566736293015 55.4664956297398,8.38227678431657 55.4696336121261,8.38983777731941 55.4719783440346,8.39805944596341 55.4734395714904,8.40662533079129 55.4739610399022,8.41520564729879 55.4735226712319,8.42347005129122 55.4721413414318,8.43110042652728 55.4698702273756,8.43780318903946 55.4667967490761,8.4433206231602 55.4630391884503,8.44744080542256 55.4587421178976,8.45000573195084 55.4540708183328,8.45091733962221 55.4492049051729)))', 'DKNDB', 'Nordby Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0423150439415 55.8549115778231,12.0410834650925 55.8500698986556,12.0381969896859 55.8454563483835,12.0337670272151 55.8412481069783,12.027964110485 55.8376067365756,12.0210112979418 55.8346719968177,12.0131755933877 55.8325565007562,12.0047577140111 55.8313414126167,11.9960805955231 55.8310733489091,11.9874770667958 55.8317625989139,11.9792771547948 55.8333827311277,11.9717954932336 55.8358716005127,11.965319304984 55.8391337191266,11.9600974089089 55.8430439016897,11.9563306667758 55.8474520496221,11.9541642359725 55.852188893762,11.953681929978 55.8570724789473,11.9549029125533 55.861915144365,11.9577808655632 55.866530733269,11.9622056769714 55.870741755325,11.968007598177 55.874386225069,11.9749637222961 55.8773239110121,11.9828065413713 55.8794417515726,11.9912342550935 55.8806582255955,11.9999224305598 55.8809265055824,12.0085365555711 55.880236269326,12.0167449899712 55.878614098478,12.0242318025882 55.8761224484402,12.0307089863501 55.8728572304846,12.035927570839 55.8689441017375,12.0396871984486 55.8645336093085,12.0418437949134 55.8597953792873,12.0423150439415 55.8549115778231)))', 'DKNED', 'Neder Dråby', 'Y'),('SRID=4326;MULTIPOLYGON(((8.25699842325059 56.3952777213729,8.25622870109063 56.3904037720245,8.25375989429822 56.3857067272121,8.24968743016203 56.3813669964369,8.24416818806555 56.3775512066743,8.23741441357383 56.3744058212955,8.22968554022959 56.3720515382216,8.22127823657427 56.370578678536,8.21251505826533 56.3700437386812,8.20373213333064 56.3704672352269,8.19526634154541 56.3718329226324,8.18744246599593 56.3740884131244,8.18056079580118 56.377147175539,8.17488564368767 56.3808918384886,8.17063521093582 56.385178674271,8.16797318574524 56.3898430952379,8.16700240029518 56.3947059555024,8.16776079816309 56.3995804193629,8.17021987930438 56.4042791349498,8.17428569707137 56.4086214384023,8.17980238393098 56.4124403110787,8.18655808333239 56.4155888202623,8.19429306868554 56.4179457924608,8.20270974095225 56.4194204971955,8.21148411818795 56.4199561571315,8.22027836742713 56.4195321460729,8.22875388486915 56.4181647878906,8.23658440678343 56.415906724719,8.24346863220314 56.4128448793896,8.24914185939452 56.409097092636,8.2533861801318 56.4048075677312,8.25603883671539 56.4001413017175,8.25699842325059 56.3952777213729)))', 'DKNEE', 'Nees', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3322567103688 55.7811680214083,11.3311157332575 55.7763185258201,11.3283185799867 55.7716876100628,11.3239732351859 55.7674531258725,11.3182469924172 55.7637776468379,11.311359979073 55.7608022444259,11.3035766863756 55.7586410933126,11.2951958315289 55.757377109292,11.286538937564 55.7570587835206,11.2779380607266 55.7576983316293,11.2697231244054 55.7592712269293,11.2622093320183 55.7617171352504,11.2556851286916 55.7649422166523,11.2504011630184 55.7688227081113,11.2465606660038 55.7732096530641,11.2443116151731 55.7779346000875,11.2437409888314 55.7828160556129,11.2448713401922 55.7876664458688,11.2476598356605 55.7922993224625,11.2519998086778 55.7965365351392,11.257724783489 55.8002150949231,11.2646148257392 55.8031934613314,11.2724049830849 55.8053570084462,11.2807954932423 55.8066224557032,11.2894633632454 55.8069410891813,11.2980748658437 55.8063006464039,11.3062984599704 55.804725790265,11.3138176241346 55.8022771534555,11.320343095407 55.7990489913038,11.3256240321637 55.7951655358497,11.3294576645271 55.7907761948978,11.3316970600535 55.7860497846399,11.3322567103688 55.7811680214083)))', 'DKNEO', 'Nekselø', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1784966727404 55.0639440116243,15.1776393303725 55.0590750175963,15.1751439805253 55.0543955420519,15.1711070153053 55.0500853184057,15.1656839033412 55.0463098430969,15.1590831651468 55.0432140374354,15.1515583427321 55.0409167039197,15.143398274599 55.0395059861847,15.1349160469993 55.0390360031925,15.1264370382738 55.0395247837569,15.1182865041864 55.0409535786176,15.1107771677999 55.0432675757593,15.1041972772864 55.0463779922703,15.0987995791457 55.0501654645524,15.0947916229137 55.054484609877,15.092327767227 55.0591695878559,15.0915031971101 55.0640404519795,15.0923501900541 55.0689100504266,15.0948367858951 55.0735912131617,15.0988679252439 55.0779039499113,15.1042890264088 55.0816823816394,15.1108918750042 55.0847811369484,15.1184226077328 55.0870809642823,15.1265914863022 55.0884933403446,15.1350840831503 55.0889638937075,15.1435734413102 55.0884745087234,15.1517327294079 55.0870440266698,15.1592478916612 55.0847275164227,15.1658297929635 55.0816141434915,15.1712253806928 55.0778237215628,15.1752274266066 55.0735020824221,15.1776824718615 55.0688154461179,15.1784966727404 55.0639440116243)))', 'DKNEX', 'Neksø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.32691983611775 55.4498905696949,9.32603577461185 55.4450229700607,9.32349849271412 55.4403468917115,9.31940600422984 55.4360419352111,9.31391591684091 55.4322733919099,9.30723932446251 55.4291859140791,9.29963267803084 55.42689798197,9.29138794964183 55.4254973764811,9.28282146503794 55.4250378275075,9.27426182557329 55.4255369634863,9.26603737195608 55.4269756387671,9.25846365764263 55.4292986639256,9.25183139944126 55.4324169117793,9.24639535668102 55.436210720422,9.2423645585169 55.4405344658408,9.23989425221913 55.4452221323232,9.23907988466861 55.4500936705094,9.23995335625184 55.4549619020835,9.24248170295196 55.4596397079772,9.2465682712656 55.4639472246243,9.2520563548042 55.4677187709159,9.258735164723 55.4708092374027,9.26634791248773 55.4730996888375,9.27460169713075 55.4745019607768,9.28317881417598 55.4749620696233,9.29174904357413 55.4744623017037,9.29998243239326 55.4730218988763,9.30756206687263 55.4706963135689,9.31419632891335 55.467575062724,9.31963015412236 55.4637782654262,9.32365485094911 55.4594520006838,9.32611610099759 55.4547626677531,9.32691983611775 55.4498905696949)))', 'DKNGB', 'Nagbol', 'Y'),('SRID=4326;MULTIPOLYGON(((9.68470472930719 56.9817582816753,9.68373731088972 56.9768947145775,9.68105136678829 56.9722276103025,9.67675067096451 56.9679362164414,9.67100085959423 56.9641852929756,9.66402301078567 56.9611188043787,9.65608513122799 56.9588544147287,9.6474918795121 56.9574789931926,9.63857291756104 56.9570452984757,9.62967032880306 56.9575699662012,9.62112557342958 56.9590328743192,9.61326646669873 56.9613779102193,9.60639466549608 56.9645151109997,9.6007741312545 56.9683240970788,9.59662100416514 56.9726586707713,9.59409527500801 56.9773524072816,9.5932945779225 56.9822250274048,9.59425035153273 56.9870893105244,9.59692652910831 56.9917582845477,9.6012208235516 56.996052417232,9.60696857324021 56.9998065316352,9.61394901394112 57.002876177493,9.62189374437587 57.0051432100625,9.63049706297064 57.0065203578156,9.63942777521007 57.0069545992458,9.64834200878813 57.0064292154974,9.65689653069232 57.0049644376287,9.66476203879768 57.002616662903,9.67163590166872 56.9994762711842,9.6772538440051 56.9956641278453,9.68140012021254 56.9913269112359,9.68391578249675 56.9866314485108,9.68470472930719 56.9817582816753)))', 'DKNIB', 'Nibe', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6120105685368 56.4164232467795,10.6109399932132 56.411567248004,10.6081815576567 56.4069202830821,10.6038417891052 56.4026608222261,10.5980877939237 56.3989523978846,10.5911407855849 56.3959373440708,10.5832675699675 56.3937313537118,10.5747703171876 56.3924190590525,10.5659750091787 56.3920508009544,10.5572189978854 56.3926407079646,10.5488381392431 56.3941661569136,10.5411539825072 56.3965686352338,10.534461492688 56.3997559729334,10.529017765875 56.4036058609632,10.5250321634009 56.4079705243542,10.5226582417755 56.4126823746519,10.5219877921576 56.417560428448,10.5230472273912 56.4224172486737,10.5257964684021 56.4270661440172,10.5301303877377 56.4313283503777,10.5358827695245 56.4350399173288,10.5428326459173 56.4380580324234,10.5507127744046 56.4402665366823,10.5592199324494 56.4415804151414,10.5680266301301 56.4419490858196,10.576793781525 56.4413583573579,10.5851838347166 56.439830977985,10.5928738406622 56.437425754158,10.5995679438634 56.4342352738482,10.6050088026108 56.4303823245387,10.6089874922111 56.4260151472502,10.6113515085779 56.421301713155,10.6120105685368 56.4164232467795)))', 'DKNIM', 'Nimtofte', 'Y'),('SRID=4326;MULTIPOLYGON(((8.25891019866196 56.3202767739972,8.25814165971247 56.3154027810005,8.25567737831264 56.310705729829,8.25161260517791 56.3063660304912,8.24610392229448 56.3025503091649,8.23936316871283 56.2994050270872,8.23164927807556 56.2970508787151,8.22325834477452 56.2955781803945,8.21451229788459 56.2950434226717,8.20574661011452 56.295467115243,8.1972975019074 56.2968330049612,8.18948911787444 56.2990886960173,8.18262115364823 56.3021476491308,8.17695739598437 56.3058924850903,8.17271560780705 56.310179469039,8.17005914349086 56.3148440071942,8.16909061899474 56.3197069488586,8.16984788797194 56.324581455075,8.17230249066728 56.3292801724187,8.17636064985915 56.3336224372221,8.18186679047513 56.3374412327391,8.18860946050447 56.3405896297149,8.19632943454545 56.3429464594775,8.20472969206438 56.3444209974632,8.21348688445778 56.3449564730527,8.22226384221246 56.3445322672609,8.2307226291297 56.3431647113682,8.23853762710114 56.3409064548441,8.245408133583 56.337844427539,8.25106997478685 56.3340964766821,8.25530567955484 56.3298068113452,8.25795281965751 56.3251404335272,8.25891019866196 56.3202767739972)))', 'DKNIS', 'Nissum', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5314283646904 55.9378986350552,12.5308842902717 55.9330165032629,12.52865425538 55.9282877354363,12.5248245154098 55.9238939729255,12.5195426422904 55.9200039293715,12.5130117931495 55.9167669278812,12.5054828762687 55.9143071883443,12.4972449193994 55.9127190805175,12.4886140089208 55.9120635212369,12.4799212178476 55.9123656506105,12.4714999752275 55.9136138738918,12.4636733483309 55.915760304647,12.4567417118828 55.9187225925489,12.4509712653941 55.9223870674365,12.4465838306602 55.9266130819387,12.4437483173045 55.9312383896604,12.4425741857939 55.9360853563246,12.4431071660403 55.9409677688154,12.445327407456 55.945697983105,12.4491501456131 55.9500941376329,12.4544288745454 55.9539871545957,12.4609609158015 55.9572272582123,12.4684951796138 55.9596897563221,12.4767418242104 55.9612798592004,12.4853834405838 55.9619363462819,12.4940873258415 55.9616339362093,12.5025183619442 55.960384266463,12.5103519906511 55.9582354436883,12.5172867712757 55.9552701823764,12.523056025637 55.9516026053631,12.5274381134329 55.94737383229,12.530264939064 55.9427465295192,12.5314283646904 55.9378986350552)))', 'DKNIV', 'Niva', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7754030906237 55.9230069200296,11.7742022604254 55.9181623119899,11.7713419581741 55.9135422844739,11.7669325934602 55.9093242676289,11.7611439140998 55.9056701997998,11.7541984376328 55.9027203283322,11.746362890879 55.9005878467713,11.7379379878636 55.8993545704726,11.7292469346375 55.899067812935,11.7206230934616 55.899738579801,11.7123972675633 55.9013411480822,11.7048850806165 55.903814046451,11.698374922003 55.9070624001722,11.6931169098127 55.9109615531893,11.6893132887763 55.9153618317867,11.6871106305899 55.9200942708283,11.6865941404823 55.9249770864115,11.6877842979931 55.9298226493344,11.6906359739135 55.9344446932891,11.6950400719333 55.9386654811442,11.7008276460441 55.9423226526943,11.7077763469731 55.9452754880803,11.7156189570075 55.9474103425271,11.7240536868023 55.9486450394281,11.732755834267 55.9489320490106,11.7413903481408 55.9482603272601,11.7496248003726 55.9466557425378,11.7571422540069 55.9441800731569,11.7636535178577 55.9409286157142,11.7689083055756 55.93702649878,11.7727048633287 55.9326238472991,11.7748976947425 55.9278899876571,11.7754030906237 55.9230069200296)))', 'DKNKE', 'Nakke', 'Y'),('SRID=4326;MULTIPOLYGON(((8.45919229460965 56.557204781768,8.45839347556072 56.5523321698673,8.45588925728092 56.547639214401,8.45177643111924 56.5433061658265,8.4462134275993 56.5394993925357,8.4394141708929 56.5363650099855,8.43163983658538 56.5340232924373,8.42318883263565 56.5325640779754,8.41438538580628 56.5320433392817,8.40556716395348 56.532481048438,8.39707239739263 56.5338604154217,8.38922697945686 56.5361285286498,8.38233202704493 56.5391983736635,8.37665236639941 56.5429521545963,8.37240637785261 56.5472457941796,8.36975758643372 56.5519144434177,8.36880832404345 56.5567787933204,8.36959571483767 56.5616519496872,8.37209015052404 56.5663466091921,8.3761963290635 56.5706822619539,8.38175683197367 56.5744921431174,8.38855811578058 56.5776296640802,8.39633869629393 56.579974072786,8.40479921462781 56.5814351214456,8.41361399553993 56.5819565581368,8.42244364566005 56.5815183045136,8.43094819481997 56.5801372334888,8.4388002603733 56.5778665160711,8.44569771338277 56.5747935631838,8.45137534691517 56.5710366438392,8.45561508925052 56.5667403131006,8.45825436628991 56.5620698296671,8.45919229460965 56.557204781768)))', 'DKNNI', 'Nørre Nissum, Limfjord', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8952074731038 55.7549657384273,11.8939976809331 55.7501222908535,11.8911362765912 55.7455049591499,11.8867337051448 55.7412910698654,11.8809594478262 55.7376424032744,11.8740354646133 55.7346990001716,11.8662276557161 55.7325738068526,11.8578356713626 55.7313483600259,11.8491814571718 55.7310696736352,11.8405969660752 55.731748444171,11.8324114962655 55.7333586416212,11.8249391274273 55.7358385014777,11.8184667242896 55.7390928809344,11.8132429573761 55.7429968913568,11.8094687560554 55.7474006710363,11.8072895593105 55.7521351188541,11.8067896661556 55.7570183723804,11.8079889119376 55.7618627845611,11.8108418110024 55.7664821327541,11.8152392131341 55.770698783419,11.821012424083 55.7743505358863,11.8279396431741 55.777296879565,11.8357544775666 55.7794244204831,11.844156207465 55.7806512645309,11.852821403578 55.7809301850501,11.8614164410734 55.780250449906,11.8696104161627 55.7786382359641,11.877087954309 55.7761556147253,11.8835614038044 55.7728981493917,11.8887819348295 55.7689911983948,11.8925491106523 55.7645850711186,11.8947185618591 55.7598492260815,11.8952074731038 55.7549657384273)))', 'DKNOH', 'Nordhammer', 'Y'),('SRID=4326;MULTIPOLYGON(((8.65476719382613 57.0311345175374,8.65393303097926 57.0262635021049,8.65137276456326 57.021574785585,8.64718535453664 57.0172484524775,8.64153210546747 57.0134506095285,8.63463040937844 57.0103270254602,8.62674537028906 57.0079975565736,8.61817963546804 57.0065515682808,8.60926182123126 57.0060445243421,8.60033396950227 57.0064958713233,8.59173850427176 57.0078882971701,8.58380517393008 57.0101683915003,8.57683846590545 57.0132486829952,8.57110596411763 57.0170109778831,8.56682808773233 57.0213108746972,8.56416960218277 57.0259832859546,8.56323323140774 57.0308487587529,8.56405562520821 57.0357203549822,8.56660584956765 57.0404108292122,8.57078647333838 57.0447398293481,8.57643722509939 57.0485408426135,8.58334109302333 57.0516676176345,8.59123264245139 57.0539998123163,8.59980823497608 57.0554476462686,8.60873775353438 57.0559553747457,8.61767737432307 57.0555034469667,8.62628288161592 57.0541092634074,8.63422299820839 57.0518265020464,8.64119220352817 57.0487430402341,8.64692253346778 57.0449775543943,8.65119389950861 57.0406749317875,8.65384252735961 57.036000674873,8.65476719382613 57.0311345175374)))', 'DKNOO', 'Nors Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3055583771394 56.0235364421448,10.3045380592482 56.0186772919945,10.3018452931724 56.0140229453869,10.2975840737264 56.0097521596311,10.2919184864141 56.0060289058421,10.2850663518351 56.0029960908862,10.2772908406657 56.0007700922653,10.2688903835529 55.9994363119069,10.2601872600824 55.9990459157669,10.2515152966027 55.9996138812809,10.2432071331119 56.0011184256224,10.2355815340524 56.0035018361621,10.2289312164244 56.0066726722173,10.2235116511414 56.0105092559179,10.2195312603299 56.014864321539,10.2171433849746 56.019570648675,10.2164403349865 56.0244474667491,10.217449758961 56.0293073880401,10.2201334856847 56.0339636049223,10.2243888965017 56.038237075355,10.2300527902205 56.0419634195057,10.2369076040783 56.0449992600288,10.2446897595053 56.0472277588069,10.2530998143275 56.0485631332858,10.2618140277936 56.0489539748188,10.2704968852012 56.0483852381629,10.278814088048 56.0468788235443,10.2864454957307 56.0444927283257,10.2930975069401 56.041318801908,10.2985143929331 56.0374791926414,10.3024881394832 56.0331216268654,10.3048664171349 56.028413705611,10.3055583771394 56.0235364421448)))', 'DKNOR', 'Norsminde', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((11.5763623531619 54.9790887303123,11.5752176062268 54.9742410003949,11.5724511736655 54.969614820033,11.5681698322059 54.9653878607577,11.5625383962978 54.9617224106165,11.5557733412351 54.9587591606178,11.5481344748172 54.9566118239303,11.5399149789609 54.9553627906918,11.531430199992 54.9550599816608,11.5230056097202 54.9557150186193,11.5149643878751 54.9573027800272,11.5076150894533 54.9597623586631,11.5012398577426 54.962999385623,11.4960836252797 54.9668896338839,11.4923447111071 54.971283766428,11.4901671741262 54.9760130503804,11.4896352201931 54.980895821336,11.4907698864631 54.9857444525039,11.4935281424821 54.9903725627046,11.4978044563262 54.9946021866072,11.5034347789557 54.998270630499,11.5102028045658 55.0012367476005,11.5178482731201 55.0033863882523,11.5260769975869 55.0046368115585,11.534572226667 55.0049398851348,11.5430068976134 55.0042839469247,11.5510562960032 55.0026942556758,11.5584106220346 55.0002320124109,11.5647869670129 54.9969919916998,11.569940228919 54.9930988763373,11.5736725409528 54.9887024398309,11.575840849329 54.9839717658128,11.5763623531619 54.9790887303123)))', 'DKNQR', 'Nørreby', 'Y'),('SRID=4326;MULTIPOLYGON(((8.16459959762211 56.0543099497803,8.16384796310782 56.0494352173827,8.16141185756507 56.0447361782016,8.15738544084188 56.0403933202082,8.15192381636738 56.0365733928462,8.14523701445106 56.0334230208986,8.13758189936241 56.0310630960729,8.12925231440829 56.0295841578397,8.12056784121499 56.0290429369974,8.11186159735177 56.0294601913194,8.10346752925345 56.0308199140732,8.09570767446686 56.0330699448843,8.08887986824778 56.0361239601156,8.08324635445909 56.0398647684059,8.07902372985097 56.0441487880259,8.07637460474927 56.0488115379657,8.0754013029347 56.0536739357857,8.0761418505203 56.0585491637203,8.07856841991475 56.0632498416117,8.08258830306096 56.0675952320103,8.08804739120857 56.0714181999372,8.09473604018336 56.0745716577111,8.10239710452049 56.0769342438353,8.11073583519518 56.0784150136801,8.11943125822716 56.0789569576005,8.12814858903102 56.0785392077406,8.13655219328317 56.0771778462743,8.14431858164258 56.0749252830557,8.15114892417714 56.0718682272585,8.1567805908954 56.0681243331427,8.16099726624951 56.0638376522264,8.16363724563482 56.0591730706772,8.16459959762211 56.0543099497803)))', 'DKNRL', 'Nørre Lyngvig', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5942936245716 55.8178747185044,12.5937429059353 55.8129927227412,12.5915116598583 55.808265003191,12.587686183401 55.8038731609053,12.5824138805592 55.7999858360707,12.575897538001 55.7967522479557,12.5683875056649 55.79429648612,12.5601720866612 55.7927127683793,12.5515665041124 55.7920618437166,12.5429008619006 55.7923686747956,12.5345075506702 55.793621486553,12.5267085691765 55.7957722162396,12.5198032338421 55.7987383479865,12.5140567361348 55.8024060632782,12.5096899783949 55.8066345893732,12.506871074577 55.8112615824367,12.5057088440014 55.8161093425671,12.5062485550269 55.8209916254913,12.5084700934814 55.8257207917908,12.5122886402009 55.8301150201603,12.5175578461798 55.8340053071541,12.5240753962215 55.837241982542,12.5315907565618 55.8397004867548,12.5398148129515 55.8412861844744,12.5484310273036 55.8419380252835,12.5571076771382 55.8416309070431,12.5655106959975 55.8403766485343,12.5733166072262 55.8382235327615,12.5802250394131 55.8352544388542,12.5859703296249 55.8315836362902,12.5903317593541 55.8273523678201,12.5931420257889 55.82272339478,12.5942936245716 55.8178747185044)))', 'DKNRM', 'Nærum', 'Y'),('SRID=4326;MULTIPOLYGON(((8.41367487807743 56.9572224143475,8.41287378555147 56.9523498185854,8.4103488493136 56.9476562055997,8.40619767201476 56.9433218498986,8.40058016873923 56.9395131680144,8.39371236280021 56.936376346103,8.38585806212219 56.9340317493688,8.37731873934667 56.9325693240134,8.36842200176386 56.9320451642394,8.35950908574342 56.9324793726662,8.35092184348224 56.9338552939506,8.34298970697998 56.9361201501329,8.33601711489377 56.9391870540041,8.33027187230353 56.9429383253669,8.32597488171902 56.947229986196,8.3232916364795 56.9518972660732,8.32232580602834 56.9567609105143,8.32311516784781 56.9616340533715,8.32563005512131 56.9663293916956,8.32977439506033 56.9706663883118,8.33538931350771 56.974478224633,8.34225918066967 56.977618234269,8.35011987482208 56.9799655667132,8.35866894997622 56.9814298592762,8.36757731412958 56.9819547334896,8.37650196086976 56.9815199779669,8.38509925210126 56.9801423313417,8.39303822595848 56.9778748342418,8.40001340286005 56.9748047759326,8.4057565842141 56.971050316846,8.41004718131826 56.9667559203094,8.41272067418402 56.9620867732269,8.41367487807743 56.9572224143475)))', 'DKNRR', 'Nørre Vorupør', 'Y'),('SRID=4326;MULTIPOLYGON(((9.94880985617499 57.0696615208012,9.94780554893825 57.0648002019541,9.9450801126476 57.0601389768024,9.94073883840768 57.0558568649914,9.93494891847437 57.0521182681928,9.92793296668223 57.0490666762199,9.91996044693208 57.0468191805255,9.91133734158539 57.0454620017149,9.90239445315071 57.0450471988178,9.89347477963664 57.0455906833464,9.8849204354062 57.047071612244,9.87705960470337 57.0494331823846,9.87019401396046 57.0525847970729,9.86458739154699 57.0564055237675,9.86045535008842 57.0607487137604,9.85795707749966 57.0654476104785,9.85718915947759 57.0703217350334,9.85818177989706 57.0751838071021,9.86089745843739 57.0798469374447,9.86523238952193 57.0841318163684,9.87102034658409 57.0878736209342,9.87803901462155 57.0909283729755,9.88601851621257 57.0931784999475,9.89465180607471 57.0945373806561,9.90360653119792 57.0949526969727,9.91253789154212 57.0944084592213,9.92110199352756 57.0929256251303,9.92896916737951 57.0905612878746,9.93583672098006 57.0874064654182,9.94144062713533 57.0835825786564,9.94556568674835 57.0792367573885,9.94805377482791 57.0745361587747,9.94880985617499 57.0696615208012)))', 'DKNRS', 'Nørresundby', 'Y'),('SRID=4326;MULTIPOLYGON(((8.76157979249222 56.0330941937594,8.76075332022157 56.0282231136787,8.7582460455239 56.0235358734184,8.7541548551906 56.0192125038366,8.74863733025366 56.0154190030139,8.74190563584007 56.0123009793631,8.73421834824898 56.0099780823959,8.72587053623446 56.0085394311552,8.71718247485036 56.0080402119813,8.70848741749051 56.008499572942,8.70011888390452 56.0098998935439,8.69239793835578 56.0121874569486,8.6856209324098 56.0152744996052,8.68004817109534 56.0190425617522,8.67589392966033 56.0233470133912,8.67331820147064 56.028022585797,8.67242049678711 56.0328897000225,8.67323593868207 56.0377613526525,8.67573381823612 56.0424502965409,8.67981867898223 56.0467762414681,8.68533390351166 56.0505727972811,8.69206767691616 56.0536938904726,8.69976110639157 56.056019404221,8.70811818813873 56.0574598211018,8.71681723587001 56.0579596859714,8.72552332361731 56.0574997524607,8.73390125235198 56.0560977282284,8.74162852748329 56.0538075894761,8.74840783382519 56.0507174918283,8.75397851613698 56.0469463601414,8.75812661568261 56.0426392917234,8.76069307414428 56.0379619536798,8.76157979249222 56.0330941937594)))', 'DKNRV', 'Norre Vium', 'Y'),('SRID=4326;MULTIPOLYGON(((9.79223660234569 57.410717769357,9.7912432284766 57.4058554358351,9.78851191298362 57.4011910782831,9.78414818765027 57.3969038363041,9.77832011890925 57.3931583073025,9.77125179294943 57.3900982452931,9.7632146866681 57.3878410645811,9.75451725866896 57.3864733552698,9.74549315666905 57.3860475787412,9.7364884851779 57.3865800666058,9.72784860916941 57.3880503977513,9.71990498508813 57.3904021767266,9.71296250964489 57.3935451845131,9.70728785947031 57.3973588215209,9.70309926110647 57.4016967141409,9.70055808164928 57.4063923120721,9.69976256663234 57.4112652655341,9.70074397497701 57.4161283408303,9.70346527310062 57.4207946108257,9.70782245427225 57.4250846447656,9.71364844834988 57.4288334201955,9.72071948499639 57.4318966888612,9.72876367463992 57.4341565482733,9.73747148030017 57.4355260005199,9.74650767435391 57.4359523188723,9.75552431138297 57.4354190892322,9.76417420476585 57.4339468456408,9.77212437300246 57.4315922747021,9.77906892309505 57.4284460204865,9.78474086256947 57.4246291768234,9.78892237756609 57.4202886055059,9.79145317936854 57.4155912646419,9.79223660234569 57.410717769357)))', 'DKNRY', 'Nørre Lyngby', 'Y'),('SRID=4326;MULTIPOLYGON(((9.42748359330611 55.9498537293565,9.42657532469389 55.9449872956567,9.423993126242 55.9403137583706,9.41983675281809 55.9360126179338,9.41426627600093 55.9322490158817,9.40749588041611 55.9291674112226,9.39978561554625 55.9268860554366,9.39143142253593 55.9254924744001,9.38275381611938 55.9250401268838,9.3740856482879 55.9255463646956,9.36575941167361 55.9269917706638,9.35809455623418 55.9293208991728,9.35138529238866 55.9324443916502,9.34588933728284 55.9362423880142,9.34181802865635 55.9405691063941,9.33932818348214 55.9452584191361,9.33851601718377 55.9501302148062,9.33941336531207 55.9549973050835,9.34198636512154 55.9596726133647,9.34613666215348 55.9639763695966,9.35170510990582 55.9677430340134,9.35847783266221 55.9708276813895,9.36619442665174 55.9731115970186,9.37455798717972 55.9745068653109,9.38324657339116 55.974959770626,9.39192566171799 55.9744528762357,9.40026109697918 55.9730056992702,9.40793202880551 55.9706739549638,9.41464332170418 55.9675474001209,9.42013694962699 55.9637463610409,9.42420192912931 55.9594170828201,9.42668240679095 55.9547260828244,9.42748359330611 55.9498537293565)))', 'DKNSD', 'Nørre Snede', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7730214133337 54.6660222932143,11.7718633076572 54.6611763661025,11.7690971276262 54.6565544679136,11.7648296287733 54.6523341057208,11.7592250844926 54.6486773150817,11.7524989313322 54.6457244560274,11.7449094813777 54.6435888447079,11.7367480214516 54.6423524231079,11.7283276756298 54.6420626295496,11.7199714504954 54.6427305872979,11.7119999106571 54.6443306791203,11.7047189447564 54.6468015238481,11.6984080792144 54.6500483186033,11.6933097783683 54.6539464591939,11.6896201357635 54.6583463030059,11.6874813129065 54.6630788952332,11.6869760198674 54.6679624421073,11.6881242583226 54.672809285351,11.6908824640976 54.6774331116417,11.6951450956677 54.6816561203705,11.7007486206396 54.6853158730692,11.7074777576481 54.68827155876,11.7150737403457 54.6904094309628,11.7232442873595 54.6916472034936,11.7316748911855 54.6919372323627,11.7400409835504 54.6912683584814,11.7480204976468 54.6896663385551,11.7553063308245 54.6871928472895,11.7616182156648 54.6839430904743,11.7667135326537 54.6800421232484,11.7703966425132 54.6756400185552,11.7725263782883 54.6709060753988,11.7730214133337 54.6660222932143)))', 'DKNTD', 'Nysted', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7976281679158 55.231006909997,11.7964483890078 55.2261618378454,11.7936380776307 55.2215413578088,11.7893057010779 55.217322920104,11.7836180353691 55.2136684831219,11.7767937129458 55.2107183128715,11.7690948120058 55.2085856187802,11.7608168119625 55.2073522280268,11.7522772969022 55.2070654608654,11.7438038322601 55.2077363240089,11.7357214682944 55.2093390897069,11.7283403367164 55.2118122763812,11.7219438037851 55.2150609943555,11.7167776243242 55.2189605691012,11.7130405068211 55.2233613062891,11.7108764507254 55.2280942194907,11.7103691543724 55.2329775042092,11.7115387172287 55.2378235125003,11.7143407755108 55.2424459619972,11.7186681183838 55.2466671026513,11.7243547361614 55.2503245645723,11.7311821559425 55.253277621232,11.7388878279869 55.2554126237729,11.7471752420423 55.2566473935753,11.7557253808232 55.2569344004371,11.7642090615266 55.2562626011528,11.7722996785897 55.2546578659922,11.7796858438414 55.2521819763667,11.7860834246926 55.248930233453,11.791246506786 55.2450277722994,11.7949768531823 55.240624726664,11.7971314952721 55.2358904344152,11.7976281679158 55.231006909997)))', 'DKNVD', 'Næstved', 'Y'),('SRID=4326;MULTIPOLYGON(((9.01232593253043 56.6670037619732,9.01145353059106 56.6621348821839,9.00887345694225 56.6574532375929,9.00468541479516 56.6531386400513,8.99905071707373 56.6493567458925,8.99218603135679 56.646252712882,8.98435503400536 56.6439456490019,8.97585829708864 56.6425240622821,8.96702179368428 56.6420424824349,8.9581844547533 56.6425193806467,8.94968524306286 56.6439364651511,8.9418502259328 56.646239378836,8.93498012861934 56.6493397728817,8.92933883392415 56.6531186790506,8.92514326141831 56.6574310545015,8.9225550121175 56.662111328573,8.92167410255026 56.6669797425,8.92253503740848 56.6718492419435,8.92510538439185 56.6765326598322,8.92928692108471 56.680849914347,8.9349193249607 56.6846349446548,8.94178627766087 56.6877421155403,8.9496237576993 56.6900518413081,8.9581302060776 56.6914752086793,8.96697817123498 56.6919574168532,8.97582697725973 56.6914798989863,8.98433591562086 56.6900610411818,8.99217743819995 56.6877554705214,8.99904982934628 56.6846519403257,9.00468885704562 56.6808698962827,9.00887794685922 56.6765548589466,9.01145648470364 56.6718728042259,9.01232593253043 56.6670037619732)))', 'DKNVM', 'Vium', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8712979693796 54.9289842098048,11.8701194546479 54.924139639296,11.8673230381963 54.9195205106038,11.8630166436285 54.9153042227918,11.8573660417828 54.9116526530585,11.8505884380721 54.9087059590836,11.8429441170614 54.9065772187095,11.8347264665884 54.905348109026,11.8262507607003 54.9050657871811,11.8178421237132 54.905741089819,11.8098231258225 54.9073481185767,11.8025014733368 54.9098252272777,11.7961582535035 54.9130773741033,11.7910371750811 54.9169797509007,11.7873352116507 54.9213825536521,11.7851950058381 54.9261167146953,11.7846993302685 54.9310003801596,11.785867826776 54.9358458867009,11.7886561612897 54.9404669712358,11.7929576406071 54.9446859369418,11.7986072421935 54.9483404989359,11.8053879129188 54.9512900439938,11.8130389012948 54.9534210602213,11.8212658044386 54.9546515240502,11.8297519396662 54.9549340721755,11.8381705948867 54.954257833504,11.8461976747176 54.9526488489015,11.8535242424477 54.9501690623046,11.8598684625294 54.9469139232178,11.8649864739278 54.9430086953385,11.8686817699906 54.9386036167358,11.8708127231386 54.9338681015492,11.8712979693796 54.9289842098048)))', 'DKNVY', 'Nørre Vedby', 'Y'),('SRID=4326;MULTIPOLYGON(((10.826732593801 55.299353610182,10.8256687322308 55.2944986016051,10.8229658255409 55.2898552523403,10.8187282285826 55.2856018967958,10.8131190946461 55.2819018383487,10.8063540593936 55.2788970966296,10.7986929421448 55.2767029758722,10.7904297851867 55.2754036591013,10.7818816102036 55.2750489936445,10.7733763153528 55.2756525883785,10.7652401659644 55.2771912938897,10.7577853457113 55.2796060850513,10.7512980331197 55.2828043131656,10.7460274504765 55.2866632435666,10.7421762988883 55.2910347461917,10.7398929451163 55.2957509628173,10.7392656639476 55.3006307370147,10.74031916581 55.3054865628893,10.7430135552034 55.3101317875596,10.7472457739569 55.3143877911043,10.7528534875644 55.3180908670128,10.7596212765985 55.3210985362734,10.7672889025033 55.3232950489604,10.7755613321086 55.3245958578991,10.7841201320525 55.3249508885925,10.7926357866212 55.3243464765596,10.8007804533093 55.3228058956407,10.8082406517615 55.3203884564768,10.8147293846709 55.3171872109006,10.8199972135224 55.3133253529593,10.8238418564515 55.3089514584066,10.8261159375819 55.3042337496152,10.826732593801 55.299353610182)))', 'DKNYB', 'Nyborg Lystbådehavn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9111243961844 54.7679720028444,11.9099464998676 54.7631277071094,11.9071573431613 54.7585093099532,11.9028645655977 54.7542941827338,11.8972334112088 54.7506441587992,11.8904803366436 54.7476993374036,11.8828646847313 54.7455727254863,11.8746787446537 54.7443459193197,11.8662365766334 54.7440659882778,11.8578620219134 54.7447436775333,11.8498763467991 54.7463529970082,11.8425859821094 54.7488322120913,11.8362708162464 54.7520861992696,11.8311734813014 54.7559900786891,11.8274900375231 54.760393987527,11.8253624127707 54.7651288146343,11.8248728914003 54.7700126797917,11.8260408729645 54.774857911572,11.8288220372885 54.7794782574473,11.8331099616073 54.7836960493853,11.8387401407526 54.7873490483593,11.84549626655 54.7902967021922,11.8531185316496 54.7924255727316,11.8613136400724 54.79365371985,11.8697661357969 54.7939338700251,11.8781506052786 54.7932552447232,11.8861442727775 54.7916439765271,11.893439490706 54.7891620967235,11.8997556318019 54.7859051345054,11.9048499155056 54.7819984226499,11.9085267460943 54.777592255192,11.9106452025076 54.7728560871347,11.9111243961844 54.7679720028444)))', 'DKNYF', 'Nykøbing Falster', 'Y'),('SRID=4326;MULTIPOLYGON(((8.24232786369853 55.8162810340652,8.24157080957159 55.8114065745776,8.23913993071666 55.8067089060693,8.23512917710107 55.8023684641976,8.22969304327944 55.7985519065201,8.22304057614491 55.7954057297448,8.21542732037834 55.793050666022,8.20714551425202 55.7915770696614,8.19851291004432 55.7910414675627,8.18986064093622 55.7914644024883,8.18152058884111 55.7928296497057,8.17381272451827 55.7950848361839,8.16703289222645 55.7981434391979,8.16144149607586 55.8018880896638,8.15725351442032 55.8061750565392,8.15463022271134 55.8108397439009,8.15367294521358 55.8157029934636,8.15441908331672 55.8205779538099,8.15684058486164 55.8252772547583,8.16084492749032 55.8296202121276,8.16627859266365 55.8334397853992,8.17293290932024 55.8365890187683,8.18055205120878 55.8389467147458,8.1888428839494 55.8404221182847,8.19748628104266 55.8409584273582,8.20614946618618 55.8405349915732,8.2144988955966 55.8391681119135,8.22221317090226 55.8369104099354,8.22899547183126 55.8338487913263,8.23458501844817 55.8301010842673,8.23876711397644 55.8258114851394,8.24138137907522 55.8211449906016,8.24232786369853 55.8162810340652)))', 'DKNYG', 'Nymindegab', 'Y'),('SRID=4326;MULTIPOLYGON(((9.72234125831524 54.9227501613263,9.72142134523964 54.917885140484,9.71887182367694 54.9132169296284,9.71479115663226 54.9089248265195,9.70933647960912 54.9051736298317,9.70271751382499 54.9021073280269,9.69518849155136 54.8998435914946,9.68703840613134 54.8984692757461,9.67857995828065 54.8980371046521,9.67013761552924 54.8985636580003,9.66203523209755 54.900028738638,9.65458369149333 54.9023761428708,9.64806903337022 54.9055158053833,9.64274150971509 54.9093272385157,9.63880598354532 54.9136641370387,9.63641403665556 54.9183599753338,9.63565809260802 54.9232343857166,9.63656778862999 54.9281000760129,9.6391087474066 54.9327700226702,9.64318380953845 54.9370646636687,9.64863669282022 54.9408188139638,9.65525794911755 54.9438880354339,9.66279299745129 54.9461542131966,9.67095192706609 54.947530120085,9.67942069079677 54.9479627899914,9.68787325061186 54.9474355671882,9.69598419683344 54.9459687507467,9.70344134234579 54.9436188086223,9.70995779419982 54.9404761925017,9.71528302733169 54.9366618397051,9.71921252743756 54.9323224999537,9.72159563013724 54.9276250705207,9.72234125831524 54.9227501613263)))', 'DKNYL', 'Nybøl', 'Y'),('SRID=4326;MULTIPOLYGON(((8.90848014971517 56.7950416429122,8.90761823015902 56.79017214294,8.90504230914245 56.785488448375,8.90085193624608 56.7811704500133,8.89520851907258 56.7773839345814,8.88832906377524 56.7742742367205,8.88047781564582 56.7719606810839,8.87195612397478 56.770532023997,8.8630909176374 56.7700430657288,8.85422222572411 56.7705125600622,8.84569021000771 56.771922499151,8.83782219250341 56.7742188003085,8.83092016153754 56.7773133691252,8.82524922359478 56.7810874619379,8.82102743605108 56.7853962219043,8.818417408334 56.7900742184845,8.81751999709167 56.7949417815922,8.81837034607587 56.7998118905412,8.82093643568244 56.8044973554474,8.8251202130726 56.808818015997,8.83076127475087 56.8126076801702,8.8376429731695 56.8157205339584,8.84550072154463 56.818036772247,8.8540321809835 56.8194672303005,8.86290893555559 56.8199568336686,8.87178919805365 56.8194867303575,8.88033104518548 56.818075020925,8.88820565819081 56.8157760575771,8.89511004463918 56.8126783400182,8.90077873944782 56.8089010912792,8.90499402674038 56.8045896486632,8.90759428669482 56.7999098511188,8.90848014971517 56.7950416429122)))', 'DKNYM', 'Nykøbing Mors', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2394211977115 55.0419931388849,12.2389216714543 55.0371096031963,12.2367731354583 55.0323758461955,12.2330586858455 55.0279737057269,12.2279214472742 55.0240722233377,12.2215590150376 55.0208211679462,12.2142158352914 55.0183453050807,12.2061738201691 55.0167396281522,12.1977415570186 55.0160657310867,12.189242519902 55.0163494582078,12.1810027257119 55.0175799191229,12.1733382960928 55.0197099052535,12.1665433894394 55.0226576922981,12.160878954557 55.0263101611356,12.1565627293637 55.0305271202165,12.1537608648675 55.0351466670785,12.1525814975351 55.0399913868911,12.1530705234652 55.0448751533614,12.1552097473842 55.0496102732562,12.1589174908482 55.0540147012431,12.1640516501495 55.0579190475215,12.170415098788 55.0611731071722,12.1777632358725 55.0636516572955,12.1858133945609 55.0652592953695,12.1942557477207 55.0659341289009,12.2027652851754 55.0656501709977,12.2110143914486 55.0644183471868,12.2186855272142 55.0622860735357,12.2254835131283 55.0593354226007,12.2311469315976 55.0556799495044,12.2354581994465 55.0514603031676,12.238251920379 55.0468387951622,12.2394211977115 55.0419931388849)))', 'DKNYO', 'Nyord', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7084032862377 55.9210310914355,11.7072108658816 55.91618574493,11.7043586392544 55.9115640790065,11.6999567064963 55.9073435871726,11.694174531107 55.9036863031357,11.6872343821741 55.900732597904,11.6794027832496 55.898595812223,11.6709802978655 55.8973579265495,11.6622900399511 55.8970664310852,11.6536653414397 55.8977325130534,11.6454370381539 55.8993306290205,11.6379208480867 55.9017994783614,11.6314053131723 55.9050443416918,11.6261407566185 55.9089406970218,11.6223296731834 55.9133389782772,11.6201189201146 55.9180702973817,11.6195940129298 55.9229529139039,11.6207757543916 55.9277992067878,11.6236193390643 55.9324228821578,11.6280159824664 55.9366461405871,11.6337970263561 55.9403065271794,11.6407403739092 55.9432631985908,11.6485790146148 55.9454023625013,11.6570113128943 55.9466416763901,11.6657126608925 55.946933432622,11.6743480383087 55.9462664042742,11.6825849835517 55.9446662788582,11.6901064629682 55.9421946629199,11.69662312937 55.9389466970337,11.7018844872932 55.9350473755253,11.7056885289444 55.9306467160425,11.7078894691245 55.9259139687248,11.7084032862377 55.9210310914355)))', 'DKNYS', 'Nykobing Sjælland', 'Y'),('SRID=4326;MULTIPOLYGON(((9.56097409467768 55.499806480041,9.56006004065975 55.4949406903341,9.5574918477556 55.4902695826097,9.55336871633065 55.485972564806,9.54784942839495 55.4822146219818,9.54114619532893 55.4791399984061,9.533516486442 55.4768666803916,9.52525315479801 55.4754818879366,9.51667323665252 55.4750387445215,9.50810584678041 55.4755542497651,9.49987962291594 55.4770086307107,9.49231018785665 55.4793460959812,9.48568809720416 55.4824769646826,9.48026772423699 55.4862810905328,9.47625750134124 55.4906124529965,9.47381189041158 55.4953047429345,9.4730253937188 55.5001777320407,9.47392884343197 55.5050441846017,9.47648812432517 55.5097170481564,9.48060539280494 55.5140166474579,9.48612275944259 55.5177776044382,9.49282830536028 55.5208552159505,9.50046420914026 55.5231310407957,9.50873667460326 55.5245174773327,9.51732727495153 55.5249611517841,9.52590526913922 55.5244449836856,9.5341404050188 55.5229888469075,9.54171570301835 55.5206488001371,9.54833971495777 55.5175149172788,9.55375777506246 55.5137078034929,9.55776180306099 55.5093739342007,9.56019828017656 55.5046800001828,9.56097409467768 55.499806480041)))', 'DKNYT', 'Nyby strandhuse', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6099044347601 55.4504302520059,10.6088626991496 55.4455733400134,10.6061744599413 55.4409252183735,10.6019435157843 55.4366644055861,10.5963327713002 55.4329544915766,10.5895579295109 55.4299378739735,10.5818791897072 55.4277303120453,10.5735912716856 55.4264165036072,10.5650121461006 55.4260468510149,10.5564708954657 55.4266355373667,10.5482951601059 55.4281599848593,10.5407986375141 55.4305617155971,10.5342691018164 55.4337485828111,10.5289573924243 55.4375982891692,10.5250677877833 55.4419630604295,10.5227501320713 55.4466752987975,10.522094020844 55.4515540026085,10.5231252775074 55.4564117088332,10.5258048682111 55.4610616936452,10.5300303109617 55.4653251548938,10.5356395386781 55.4690380994499,10.5424170792549 55.472057668312,10.5501023225377 55.4742676529087,10.558399558635 55.4755829865951,10.5669893982985 55.47595303481,10.5755411278908 55.4753635542248,10.5837255117586 55.473837243558,10.5912275357512 55.4714328643569,10.5977585882053 55.4682429665956,10.6030675987995 55.4643903089797,10.6069506999579 55.460023115053,10.6092590375999 55.4553093514387,10.6099044347601 55.4504302520059)))', 'DKNYY', 'Nyby', 'Y'),('SRID=4326;MULTIPOLYGON(((8.72836505076256 56.7001071510068,8.72752854782633 56.6952363658669,8.72498147577585 56.6905489184121,8.72082227447567 56.6862248451723,8.71521115486114 56.682430167646,8.70836388526313 56.679310535063,8.70054347905308 56.6769856542517,8.69205010609139 56.6755447165537,8.68320961275666 56.6750429934095,8.67436108329966 56.675499727938,8.66584390788193 56.676897401173,8.65798483929969 56.6791824002872,8.65108552076161 56.6822670638837,8.64541095118185 56.6860330280245,8.64117932255129 56.6903357478539,8.63855361667479 56.6950100251504,8.63763528691245 56.6998763335204,8.63846027601269 56.7047477017072,8.6409975356937 56.7094368929097,8.64515011993404 56.713763605129,8.65075882518681 56.7175614151063,8.65760825068855 56.7206841967246,8.66543505485376 56.7230117637436,8.67393809379259 56.72445451587,8.68279004956796 56.7249569054327,8.69165009287369 56.7244995878564,8.70017708066638 56.7231001708714,8.7080427663035 56.7208125327753,8.71494449919082 56.7177247367268,8.7206169128541 56.7139556235515,8.72484214352398 56.7096502175168,8.72745818342832 56.7049741257943,8.72836505076256 56.7001071510068)))', 'DKOAS', 'Øster Assels', 'Y'),('SRID=4326;MULTIPOLYGON(((9.87836033575141 56.6996884868109,9.8773754928966 56.6948262619972,9.87468602682736 56.690163126129,9.8703958341714 56.6858781742167,9.86467013703452 56.6821359195553,9.85772908021404 56.6790799951722,9.84983925471404 56.6768276614193,9.84130347573759 56.6754653266311,9.83244920445306 56.6750452489075,9.82361604954233 56.6755835423819,9.81514281585022 56.6770595623963,9.80735458276602 56.6794166925419,9.8005502939992 56.6825645042764,9.79499132317584 56.6863822085601,9.79089144648272 56.6907232704225,9.78840860505987 56.6954210132601,9.7876387770266 56.7002950015885,9.78861220343811 56.7051579604,9.79129212618268 56.7098229674657,9.79557610151627 56.7141106429027,9.80129985386536 56.7178560587846,9.80824353451173 56.7209151008172,9.81614015300026 56.7231700340142,9.82468585995795 56.724534054299,9.83355168276998 56.7249546469695,9.84239625413634 56.7244156194961,9.85087903115766 56.7229377282819,9.85867348155829 56.7205778746093,9.86547971509999 56.7174269016534,9.87103606208513 56.7136060797215,9.87512914578518 56.7092624184172,9.87760205923273 56.7045629900854,9.87836033575141 56.6996884868109)))', 'DKODD', 'Øster Doense', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4348470092492 55.3954933683366,10.4338282884038 55.390634804002,10.4311643751635 55.385982668883,10.4269581339428 55.3817156369622,10.4213715222508 55.3779975381299,10.4146193191787 55.3749710850928,10.4069608582449 55.3727524151212,10.3986900842621 55.3714266524248,10.3901243128158 55.3710446578336,10.3815921158676 55.3716210875215,10.373420786928 55.3731338333669,10.365923853571 55.3755248659157,10.3593891035174 55.3787024485556,10.3540675730959 55.382544640212,10.3501639139499 55.3869039553936,10.3478285060347 55.3916130064581,10.3471516233319 55.3964909151468,10.3481598848263 55.4013502502082,10.3508151392315 55.4060042265583,10.3550158403616 55.4102738899038,10.3606008741372 55.4139950097448,10.3673557016929 55.4170244134532,10.3750205899588 55.4192455145457,10.3833006156199 55.4205728186959,10.3918770546054 55.4209552304009,10.400419710915 55.4203780299851,10.4085996986931 55.4188634429066,10.4161021721352 55.4164697789309,10.4226385000941 55.4132891752817,10.4279574060216 55.409444032955,10.431854637832 55.4050822866548,10.4341807940743 55.4003716941386,10.4348470092492 55.3954933683366)))', 'DKODE', 'Odense', 'Y'),('SRID=4326;MULTIPOLYGON(((11.412470784576 55.9711372781764,11.4113135518451 55.966288807687,11.4084925538855 55.9616600601997,11.4041166964892 55.9574288028843,11.3983544479127 55.953757483936,11.3914273183141 55.9507870136306,11.3836013367562 55.9486313760506,11.3751768548394 55.9473732744788,11.3664770646675 55.947060973904,11.3578356632303 55.9477064588414,11.3495841244523 55.9492849753548,11.3420390535252 55.9517359744907,11.3354900954528 55.9549654220566,11.3301888510257 55.9588493885615,11.3263392190418 55.963238784957,11.32408953418 55.9679650662465,11.3235268066101 55.9728466876989,11.3246732937564 55.9776960687396,11.3274855487673 55.9823267988582,11.3318559968844 55.986560809048,11.3376169933665 55.9902352320139,11.3445472186783 55.9932086849218,11.3523801724649 55.9953667296147,11.3608144416678 55.9966262963482,11.3695253441565 55.9969388970754,11.3781774911889 55.9962925015855,11.3864377729187 55.9947120024384,11.3939882531184 55.9922582504261,11.4005384632729 55.989025698842,11.4058366119762 55.9851387497359,11.4096792717286 55.9807469462298,11.4119191693107 55.9760191997807,11.412470784576 55.9711372781764)))', 'DKODN', 'Odden', 'Y'),('SRID=4326;MULTIPOLYGON(((8.58722296769656 56.582158297655,8.58640717382192 56.5772865080118,8.58388546245526 56.5725961289055,8.5797552964576 56.5682673108747,8.57417577084806 56.5644662590387,8.56736144202586 56.561338868609,8.55957406165146 56.5590051451484,8.55111253594496 56.5575546199148,8.54230149343734 56.5570429323685,8.53347889221145 56.5574897076741,8.52498313036758 56.5588778083887,8.51714014021205 56.5611539882075,8.51025094719781 56.5642309233732,8.50458015893626 56.5679905459246,8.50034581793589 56.5722885541011,8.49771100471541 56.5769599306449,8.49677751658957 56.5818252610573,8.49758187320198 56.5866976125433,8.50009381479511 56.5913897117194,8.50421736586621 56.5957211461826,8.50979443845978 56.599525312486,8.51661084962872 56.6026558412688,8.5244045306969 56.6049922491822,8.53287561622189 56.6064445962843,8.54169802227599 56.6069569657512,8.55053206077672 56.6065096286019,8.55903759239966 56.6051198078152,8.56688719747697 56.6028410115617,8.57377884349487 56.5997609619276,8.57944754939707 56.5959982010239,8.58367558969813 56.5916975083969,8.58630084310489 56.5870243099869,8.58722296769656 56.582158297655)))', 'DKODO', 'Oddesund Nord', 'Y'),('SRID=4326;MULTIPOLYGON(((8.61021235625006 56.5731499221089,8.60939379505102 56.5682782725279,8.60686983142039 56.5635883497084,8.60273801415779 56.5592602865414,8.59715750107869 56.5554602590896,8.5903428859237 56.5523341232224,8.58255593089662 56.550001836383,8.57409552562749 56.5485528747678,8.5652862555982 56.548042817927,8.55646601103647 56.5484912285415,8.54797309994954 56.5498809064849,8.54013334570331 56.5521585449531,8.53324765005658 56.5552367641823,8.52758048682623 56.5589974468414,8.52334975967516 56.5632962503383,8.52071841049078 56.5679681267046,8.51978810346053 56.5728336420547,8.52059523572132 56.5777058563027,8.52310944037656 56.5823975011781,8.52723465434098 56.586728181623,8.53281272509241 56.5905313231184,8.53962943071518 56.5936605957104,8.54742269075343 56.5959955644173,8.55589265569754 56.5974463447525,8.56471328469071 56.5979570802816,8.57354495820327 56.5975081049992,8.58204762827111 56.5961167049976,8.58989398581073 56.593836449249,8.59678212377283 56.5907551159752,8.6024471965228 56.5869912965923,8.60667161865718 56.5826898112302,8.60929340817138 56.5780161161463,8.61021235625006 56.5731499221089)))', 'DKODS', 'Oddesund Syd', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1944947280421 55.9665768242948,10.1934899246567 55.9617166467523,10.1908145145439 55.9570597607032,10.1865718251687 55.95278502194,10.1809252308882 55.9490565542464,10.1740918245399 55.9460174653601,10.1663340600662 55.9437843740619,10.1579496894979 55.9424429546666,10.1492603774897 55.9420446661862,10.1405994222786 55.9426047885959,10.132299042464 55.9441018395817,10.1246777037468 55.9464783935862,10.118027958465 55.9496432726624,10.1126052534187 55.9534750273573,10.1086181284176 55.9578265773443,10.106220179855 55.9625308374992,10.1055041014744 55.9674071171846,10.1064980398764 55.9722680501281,10.1091644172939 55.9769267907219,10.1134012814069 55.9812042008365,10.119046144703 55.9849357499995,10.125882177874 55.9879778613476,10.13364652707 55.9902134559574,10.1420404377965 55.9915564784071,10.1507407929953 55.9919552256337,10.159412613201 55.9913943478219,10.1677220257149 55.989895442289,10.1753491896885 55.987516216931,10.1820006659428 55.9843482563847,10.1874207441553 55.9805134792291,10.1914012844303 55.9761594259328,10.1937896928403 55.9714535627257,10.1944947280421 55.9665768242948)))', 'DKODX', 'Odder', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1942409393456 55.7840183291132,12.1937406836727 55.7791350937755,12.1915599630451 55.7744006653856,12.1877831359698 55.7699969055333,12.1825557429935 55.7660929144305,12.1760788531185 55.7628385528699,12.1686013091619 55.7603587086219,12.1604101742052 55.7587485237407,12.1518197448017 55.7580697621466,12.1431595463227 55.7583484534663,12.1347617606133 55.7595739010476,12.1269485553049 55.7616990910109,12.1200197873465 55.7646424869207,12.1142415405336 55.7682911429311,12.1098359282831 55.7725050188307,12.1069725492051 55.7771223350118,12.1057619250929 55.7819657656275,12.1062511801907 55.7868492355821,12.1084221388937 55.7915850628306,12.1121919288583 55.7959911728202,12.1174160808742 55.7998981075523,12.1238940193486 55.8031555580936,12.131376741827 55.8056381664045,12.1395763968465 55.8072503696265,12.1481773907508 55.807930096565,12.1568485898169 55.807651170628,12.1652561374576 55.8064243241861,12.1730763798743 55.8042967840833,12.1800083887827 55.8013504445428,12.1857855869843 55.7976986995521,12.1901860207063 55.7934820595917,12.193040879724 55.788862725072,12.1942409393456 55.7840183291132)))', 'DKOEL', 'Olstykke Stationsby', 'Y'),('SRID=4326;MULTIPOLYGON(((10.9845360926006 55.1232985591727,10.9834582779702 55.1184449121561,10.9807495061658 55.1138049847675,10.976514350089 55.109556979673,10.9709158629616 55.1058639950271,10.9641692670543 55.1028677795837,10.956533671501 55.1006833113085,10.9483021391368 55.0993944038934,10.9397904803636 55.0990505062177,10.9313251961628 55.0996648146671,10.9232310215577 55.1012137689468,10.9158185344884 55.1036379503216,10.9093722929164 55.106844348846,10.9041399450554 55.1107099149079,10.900322724272 55.1150862620497,10.8980676920786 55.1198053442676,10.89746203086 55.1246858934284,10.898529614077 55.1295403725426,10.9012299977919 55.1341821796382,10.9054598861129 55.1384328258813,10.9110570277877 55.1421288110269,10.9178064053808 55.1451279295222,10.925448486274 55.1473147614381,10.9336892202986 55.1486051332392,10.9422113961821 55.1489493731064,10.9506869118062 55.1483342325584,10.9587894745038 55.1467833985694,10.9662072293231 55.1443565760441,10.9726548163368 55.1411471770195,10.9778843825022 55.1372787079068,10.9816951179427 55.1328999971264,10.9839409484813 55.1281794505244,10.9845360926006 55.1232985591727)))', 'DKOES', 'Østerhuse, Langeland', 'Y'),('SRID=4326;MULTIPOLYGON(((9.70074156396444 55.2907568621543,9.69981540513278 55.2858919878311,9.69724450751377 55.28122366402,9.69312816710078 55.2769311916042,9.68762489805545 55.2731793815527,9.68094629176919 55.2701122436096,9.67334886991192 55.2678474779653,9.66512424686128 55.2664719776585,9.65658797642327 55.2660385106787,9.64806750335472 55.2665637060412,9.63988967086743 55.2680274191245,9.63236825041035 55.2703734999982,9.62579195929613 55.2735119360943,9.62041341517195 55.2773222891696,9.61643944424464 55.2816582978349,9.61402311320848 55.2863534726951,9.6132577940385 55.2912274729725,9.61417349771938 55.2960930228327,9.61673562962536 55.3007631037795,9.62084622826255 55.3050581474221,9.6263476536037 55.3088129513462,9.63302859494699 55.3118830500175,9.64063217513352 55.3141502925017,9.64886584223671 55.3155274086831,9.65741266557447 55.3159613845694,9.6659435938043 55.3154355136689,9.67413019200859 55.3139700434478,9.68165735423657 55.3116213913452,9.68823548904408 55.3084799613759,9.69361169810074 55.3046666475732,9.69757951069482 55.3003281620702,9.69998679768332 55.2956313713374,9.70074156396444 55.2907568621543)))', 'DKOHG', 'Ørby Hage', 'Y'),('SRID=4326;MULTIPOLYGON(((8.62777272369936 56.2001428475538,8.62695968219785 56.1952710269287,8.62445790715051 56.1905812075132,8.62036408137405 56.1862535195052,8.61483589353852 56.182454126577,8.60808592292042 56.1793288626773,8.60037344990146 56.1769976542668,8.59199450993217 56.1755499383035,8.58327057040603 56.175041248018,8.57453625746987 56.1754910942343,8.56612659219985 56.1768822213253,8.55836421216312 56.1791612655254,8.55154705486249 56.18224079103,8.54593696391824 56.1860026278481,8.54174964736722 56.1903023865051,8.53914637077181 56.1949749801146,8.53822770693754 56.1998409456688,8.53902959041047 56.2047133251132,8.54152184057486 56.2094048441551,8.54560922468995 56.2137351138445,8.55113503477124 56.217537577472,8.55788705353629 56.2206659336028,8.56560568879422 56.2229997850121,8.57399396695059 56.2244492923686,8.58272899895662 56.224958649718,8.59147446993338 56.2245082446816,8.59989366009161 56.2231154179619,8.60766248178511 56.2208337920781,8.61448201682822 56.2177511958733,8.62009005961347 56.2139862668249,8.62427121392027 56.2096838651713,8.62686515233319 56.2050094801709,8.62777272369936 56.2001428475538)))', 'DKOHJ', 'Ornhoj', 'Y'),('SRID=4326;MULTIPOLYGON(((8.66133214392679 55.8171300403784,8.66052270176833 55.8122581414843,8.65804130605486 55.8075687348463,8.65398384304997 55.8032419359922,8.64850659464755 55.7994438764,8.64182017860576 55.7963203412357,8.63418143501902 55.7939911930907,8.62588357373964 55.7925457920314,8.6172449586535 55.7920395839833,8.60859695188853 55.7924919851563,8.60027127315632 55.7938856415174,8.59258734585701 55.796167090919,8.58584010200981 55.7992488031584,8.58028870250248 55.8030125217562,8.57614659787374 55.8073137823555,8.57357330847721 55.8119874380614,8.57266824243662 55.8168539833856,8.57346679676583 55.8217264372086,8.57593890340063 55.8264175225945,8.57999009025435 55.8307468684417,8.58546503092121 55.8345479555164,8.59215345897728 55.8376745377456,8.59979822801972 55.8400062886502,8.60810521087628 55.8414534519163,8.61675465498269 55.8419603133381,8.62541354958841 55.8415073572355,8.63374851740428 55.8401120221243,8.64143872085033 55.8378280257273,8.64818827242184 55.8347432860046,8.65373765990338 55.8309765203426,8.65787373907143 55.826672656986,8.6604379068952 55.8219972390755,8.66133214392679 55.8171300403784)))', 'DKOLG', 'Olgod', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5312745765356 54.871462089247,10.5302586328136 54.8666039139471,10.5276193714407 54.8619533492671,10.5234586924823 54.8576890102516,10.5179367906754 54.853974625806,10.5112659534509 54.850952769105,10.5037023902684 54.8487394042141,10.4955364091097 54.8474194546001,10.4870813141917 54.8470435600523,10.478661443331 54.8476261435431,10.4705997929352 54.8491448603657,10.4632056926905 54.8515414502033,10.4567629903853 54.8547239603879,10.4515191899734 54.8585702572766,10.4476759532669 54.8629326941842,10.4453813282345 54.8676437603654,10.4447240058438 54.8725224977578,10.4457298342617 54.8773814420324,10.4483607361116 54.8820338232146,10.4525160839888 54.8863007497139,10.4580364947662 54.8900180987047,10.4647099080109 54.8930428456871,10.4722797220898 54.8952585865763,10.4804546773794 54.8965800361809,10.4889201034317 54.8969563263511,10.4973500896061 54.8963729738845,10.5054200995282 54.8948524405577,10.512819530849 54.8924532632342,10.5192637241731 54.8892677885038,10.524504948555 54.8854186013348,10.5283419343619 54.8810537884309,10.5306275852685 54.8763412222611,10.5312745765356 54.871462089247)))', 'DKOMM', 'Ommel', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2025812466509 55.1702202405031,11.201475588382 55.1653688134589,11.1987383204755 55.1607340290951,11.1944751094347 55.1564938909894,11.1888500834162 55.1528111939204,11.182079480139 55.1498272907967,11.1744233263482 55.1476566865565,11.166175470146 55.1463826628406,11.1576523454045 55.1460540977881,11.1491808914014 55.146683600101,11.1410860797936 55.1482470272081,11.1336785144698 55.1506844056359,11.1272425674349 55.153902219338,11.1220254957061 55.1577769805272,11.1182279505759 55.1621599492588,11.1159962422183 55.166882824332,11.1154166605603 55.1717641906256,11.116512079193 55.176616478206,11.1192409849611 55.1812531677016,11.1234989844205 55.1854959654961,11.1291227428318 55.1891816718978,11.1358962154603 55.1921684758546,11.1435589387301 55.1943414308025,11.1518160643961 55.1956168972262,11.1603497473931 55.1959457773472,11.1688314410423 55.1953154144969,11.1769346147913 55.1937500822558,11.1843473916907 55.1913100441373,11.1907846063217 55.1880892211019,11.1959988086894 55.1842115590808,11.1997897843378 55.1798262396437,11.2020122232373 55.1751019218646,11.2025812466509 55.1702202405031)))', 'DKOMO', 'Omø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1603408865015 54.9472373423034,11.159247158682 54.9423852694354,11.1565305879945 54.9377492051558,11.1522960395764 54.9335072033342,11.1467065367994 54.9298221317513,11.139976952132 54.9268354360133,11.1323657390828 54.924661729669,11.12416502452 54.923384414513,11.1156894383453 54.9230524956211,11.1072641012941 54.923678710469,11.0992122205286 54.9252390421649,11.0918427561225 54.9276736350894,11.0854386192061 54.9308890788634,11.0802458444959 54.9347619753287,11.0764641465061 54.9391436549059,11.0742392206154 54.9438658649897,11.073657088444 54.9487472155605,11.0747407132387 54.9536001373978,11.0774490272895 54.9582380874112,11.0816784224565 54.9624827246459,11.0872666599049 54.9661707801036,11.0939990598036 54.9691603539104,11.1016167400523 54.9713363943575,11.1098265892113 54.9726151443037,11.1183125867178 54.972947380239,11.1267480268034 54.9723203164207,11.1348081642084 54.9707580989888,11.1421827818599 54.9683208706494,11.1485881840941 54.965102443,11.1537781435634 54.961226668467,11.1575533743509 54.9568426547892,11.1597691656511 54.9521190099171,11.1603408865015 54.9472373423034)))', 'DKONS', 'Onsevig', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6371961690098 54.8260687414289,11.636049063607 54.8212215067676,11.6332867458252 54.8165965688901,11.6290158290766 54.8123715518297,11.6234007233715 54.8087086696245,11.6166572745617 54.8057485155095,11.609044460475 54.803604684736,11.6008544643686 54.8023594337506,11.5924015032149 54.8020605388272,11.5840098315238 54.8027194718905,11.5760013697323 54.8043109618451,11.5686834190735 54.806773957937,11.5623369219946 54.8100139593058,11.5572057086786 54.8139066237139,11.5534871363734 54.8183025202369,11.5513244797529 54.8230328471694,11.5508013685276 54.8279158991571,11.5519384945836 54.8327640380455,11.5546927271696 54.8373909014016,11.5589586837708 54.841618572056,11.5645727095157 54.8452844319854,11.5713191229688 54.8482474346233,11.5789384949643 54.8503935510563,11.5871376438635 54.8516401768666,11.5956009592627 54.8519393264751,11.6040026103099 54.8512794891835,11.6120191572996 54.8496860737481,11.6193420680999 54.8472204240604,11.6256896451283 54.843977444967,11.6308178937918 54.8400819320371,11.6345299081857 54.8356837498567,11.6366834120194 54.8309520481012,11.6371961690098 54.8260687414289)))', 'DKORB', 'Oreby', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8973217004247 54.951974660477,11.896139292463 54.9471304034202,11.8933382226993 54.9425119430901,11.8890265938655 54.9382966526284,11.8833703778615 54.9346463706887,11.8765869953824 54.931701205298,11.8689369522945 54.9295741754705,11.8607138553683 54.9283468925663,11.852233186949 54.9280664436272,11.8438202611632 54.9287435934939,11.835797812371 54.9303523730367,11.8284736791905 54.9328310690343,11.8221290442852 54.9360845788862,11.8170076712572 54.9399880422235,11.8133065457807 54.9443916133591,11.8111682792428 54.9491261950976,11.810675570752 54.9540099173057,11.8118479490199 54.9588551142874,11.8146409314565 54.9634755346342,11.8189476465519 54.9676935068103,11.8246028704795 54.9713467838955,11.8313893335811 54.9742948018794,11.8390460609958 54.9764241074661,11.8472784283253 54.9776527428311,11.8557695418883 54.9779334150325,11.8641924973773 54.9772553252396,11.8722230334988 54.9756445856779,11.8795520804117 54.9731632079641,11.8858977073825 54.9699067029662,11.8910159997785 54.966000387037,11.894710440926 54.9615945401444,11.8968394370667 54.9568586059469,11.8973217004247 54.951974660477)))', 'DKORE', 'Orehoved', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7280469230071 56.4493809283907,10.7269605630568 56.4445260563188,10.7241855601546 56.4398818004323,10.7198290776901 56.4356265260002,10.7140588627112 56.4319236039499,10.7070967495313 56.4289151564984,10.6992101215468 56.4267166226939,10.6907016613221 56.4254123485756,10.6818977789303 56.4250523674189,10.6731361540799 56.4256504905274,10.6647528577647 56.4271837798951,10.6570695334288 56.4295934224878,10.6503811157055 56.4327869736352,10.6449445466651 56.4366418858572,10.6409689155231 56.4410101911109,10.6386073985834 56.4457241606433,10.6379513128671 56.4506027289675,10.6390265209784 56.4554584384063,10.6417923383773 56.4601046394289,10.6461430000831 56.4643626706372,10.651911645207 56.4680687414104,10.6588766784346 56.4710802501667,10.6667702718212 56.4732812918022,10.6752886823837 56.4745871384823,10.6841039851993 56.474947517523,10.6928767619003 56.4743485570463,10.7012692437224 56.4728133225402,10.7089583888107 56.4704009231691,10.7156483763762 56.4672042232982,10.7210820253574 56.4633462497725,10.7250506910936 56.4589754366902,10.7274022577018 56.4542598945982,10.7280469230071 56.4493809283907)))', 'DKORM', 'Orum', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8462104966284 55.7559833505381,11.8450067281208 55.7511393567711,11.8421509973419 55.7465208234844,11.8377535320514 55.7423051236811,11.8319836182368 55.7386541073796,11.8250630500476 55.7357079057024,11.8172575974885 55.7335795723819,11.808866821053 55.7323507645596,11.8002126204202 55.7320686250169,11.7916269480694 55.7327439825842,11.7834391472358 55.7343509380608,11.7759633864635 55.7368278512477,11.7694866598524 55.7400796924101,11.7642578029853 55.7439816704278,11.7604779398008 55.7483840018065,11.7582927260421 55.7531176413198,11.7577866914698 55.7580007579239,11.7589799073699 55.7628457101903,11.7618271201642 55.7674662550694,11.7662193988788 55.7716847133122,11.7719882471365 55.7753388149531,11.7789120330119 55.7782879591548,11.7867244966388 55.780418644212,11.795125010153 55.781648854952,11.8037901914918 55.7819312350116,11.8123864164605 55.7812549189437,11.820582735281 55.7796459518723,11.8280636826227 55.777166280244,11.8345414747787 55.7739113537417,11.8397671139494 55.7700064332007,11.8435399660634 55.7656017500876,11.8457154427502 55.7608667076586,11.8462104966284 55.7559833505381)))', 'DKORQ', 'Orø Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3951132948926 56.4995014785031,10.3940678728633 56.4946435590045,10.3913296684136 56.4899917433991,10.3870044371305 56.4857246892899,10.381258732842 56.4820062212864,10.3743134559009 56.4789790590511,10.3664353496833 56.4767593598782,10.3579267742102 56.4754322813971,10.349114146134 56.4750487308998,10.3403354802882 56.475623422901,10.331927498604 56.4771343174764,10.3242127868586 56.4795234603904,10.3174874781576 56.4826991937621,10.3120099242975 56.4865396548082,10.3079907825111 56.4908974317826,10.305584896218 56.4956052023079,10.3048852853467 56.5004821414648,10.3059194860937 56.5053408567348,10.3086483937424 56.5099945854445,10.3129676680586 56.5142643787384,10.31871166211 56.5179859949917,10.3256597359146 56.5210162352493,10.3335447203018 56.5232384736161,10.3420632081122 56.5245671658927,10.3508872736289 56.5249511591007,10.3596771607689 56.524375671327,10.3680944392581 56.522862863645,10.375815107964 56.5204709815439,10.3825421268894 56.5172920999217,10.3880168838742 56.5134485608543,10.3920291474872 56.5090882446886,10.394425121449 56.5043788603701,10.3951132948926 56.4995014785031)))', 'DKORS', 'Orsted', 'Y'),('SRID=4326;MULTIPOLYGON(((8.32712187268206 55.6332499037184,8.32635761657015 55.6283758052016,8.32392772647695 55.6236796776846,8.31992610726588 55.6193418977233,8.31450689676717 55.615529021207,8.30787848810113 55.6123874044199,8.30029550076828 55.6100376055704,8.29204901209982 55.6085697779967,8.28345542194223 55.6080402281139,8.27484437079789 55.6084692669774,8.26654616401475 55.6098404356966,8.25887917136079 55.6121011335666,8.2521376721251 55.6151646254399,8.24658060074358 55.6189133533185,8.24242161714484 55.6232034281716,8.23982088016804 55.6278701332821,8.23887884252531 55.6327342316128,8.23963231333207 55.637608838248,8.24205295119892 55.6423065961824,8.24604825982892 55.6466468806445,8.25146506212148 55.6504627544579,8.25809533158622 55.6536074050274,8.26568416543535 55.6559598122783,8.27393959625965 55.6574294257667,8.28254386284963 55.6579596671877,8.29116569931045 55.6575301202051,8.29947315832508 55.6561573210663,8.30714646155603 55.6538941186932,8.31389036898696 55.6508276295218,8.31944557955844 55.6470758678618,8.32359871663577 55.6427831846093,8.3261905114608 55.6381146935862,8.32712187268206 55.6332499037184)))', 'DKOSB', 'Oksbol', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4763344603343 54.9501246899296,11.4752026629595 54.9452758707259,11.4724497481163 54.9406472616178,11.4681819735497 54.9364166281546,11.4625636336893 54.9327464000936,11.4558107025495 54.92977745232,11.4481825243514 54.9276237169406,11.4399718725954 54.9263678296827,11.4314937556938 54.9260579741551,11.4230733907356 54.9267060422321,11.4150337955133 54.9282871794352,11.4076834620266 54.9307407324247,11.4013045720012 54.9339725633453,11.3961421965718 54.9378586445887,11.3923948885148 54.9422497992955,11.3902070269736 54.9469774093341,11.3896632126021 54.9518598751726,11.3907849370381 54.9567095824467,11.3935296667288 54.9613401093731,11.3977923900438 54.9655733984322,11.403409581562 54.969246615577,11.4101654420962 54.9722184308614,11.4178001814533 54.9743744756259,11.4260200272569 54.9756317625595,11.4345085713827 54.9759418949654,11.4429390092891 54.9752929388168,11.4509867896665 54.9737098837933,11.458342174399 54.971253675206,11.4647222127557 54.9680188552011,11.4698816587813 54.9641299064481,11.4736224056766 54.9597364423585,11.4758010731761 54.9550074326459,11.4763344603343 54.9501246899296)))', 'DKOSR', 'Østerby, Sjælland', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7951822752249 54.7903686865589,10.7941369586728 54.7855128912533,10.791473009896 54.7808682016566,10.7872932719648 54.7766130058077,10.7817586657448 54.772910680707,10.7750819609713 54.7699033363307,10.7675195879478 54.7677063800159,10.7593618062565 54.7664041062181,10.7509216047339 54.7660464773674,10.742522750997 54.7666472164694,10.734487438021 54.7681832828421,10.7271239890588 54.7705957506679,10.7207150802772 54.7737920576393,10.7155069228895 54.777649539681,10.7116998136274 54.7820201193007,10.7094404147889 54.7867359712738,10.7088160639197 54.7916159517083,10.7098513399764 54.7964725465279,10.7125070296803 54.8011190743059,10.7166815473291 54.8053768671575,10.7222147667994 54.8090821527125,10.7288941294781 54.8120923702924,10.7364628004218 54.8142916751408,10.7446295612476 54.8155954152588,10.7530800561261 54.8159534049818,10.761488950368 54.8153518663648,10.76953252242 54.8138139618086,10.7769011916591 54.8113988969783,10.7833114871799 54.8081996295521,10.7885169866529 54.8043392743078,10.7923177979918 54.7999663461565,10.7945682177011 54.7952490278651,10.7951822752249 54.7903686865589)))', 'DKOSS', 'Østerskov Strand, Sydlangeland', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0765718187366 55.1329804149674,15.0757253814616 55.1281107582185,15.0732376272029 55.1234292478637,15.0692046595335 55.1191156958863,15.0637817967025 55.115335726675,15.057177552284 55.1122344339476,15.0496456046553 55.1099308304869,15.0414750665065 55.1085133000964,15.0329794255065 55.1080362226796,15.0244845733582 55.1085178988685,15.0163163717251 55.1099398517764,15.0087882192701 55.1122475319465,15.0021890840125 55.1153523991784,14.9967724493756 55.1191353034179,14.9927465909768 55.1234510380622,14.9902665550399 55.128133894576,14.9894281493177 55.1330040088425,14.9902641851003 55.1378742586757,14.9927431262609 55.1425574496544,14.9967702109395 55.1468735139362,15.0021910165201 55.150656444657,15.0087973426287 55.1537606972365,15.0163351939716 55.1560668082807,15.0245145590729 55.1574860122292,15.0330206064392 55.1579636743937,15.0415258600903 55.1574814051197,15.0497028748261 55.1560577715857,15.0572369102674 55.1537475791092,15.0638381027648 55.1506397503669,15.0692526557012 55.1468538862763,15.0732726103814 55.1425356440504,15.0757438193702 55.1378511139808,15.0765718187366 55.1329804149674)))', 'DKOST', 'Ostermarie', 'Y'),('SRID=4326;MULTIPOLYGON(((9.69367795800274 55.2327595470196,9.69275406867148 55.227894566924,9.69018779504139 55.2232260377247,9.68607825369928 55.2189332684541,9.68058369647533 55.2151810818317,9.67391537974412 55.21211350245,9.66632943038137 55.2098482478171,9.65811702326895 55.2084722300401,9.64959324469433 55.2080382371527,9.641085061546 55.2085629183958,9.63291884685003 55.2100261487757,9.62540792730113 55.2123717966568,9.61884061772104 55.2155098657691,9.61346919083646 55.2193199315959,9.60950019872301 55.2236557434324,9.60708651536093 55.2283508191698,9.60632140904348 55.23322482168,9.60723488038375 55.2380904750267,9.60979241842661 55.2427607568658,9.61389623649837 55.2470560913419,9.61938895408593 55.2508112652065,9.62605959488502 55.2538817990869,9.6336516782039 55.2561495256791,9.64187309532236 55.2575271565421,9.65040738826012 55.257961658064,9.65892598940987 55.2574363035688,9.66710093969701 55.255971320547,9.67461758251141 55.2536231074583,9.68118673171708 55.250482051103,9.68655583452334 55.2466690307786,9.69051869267672 55.2423307469849,9.69292336603761 55.2376340581636,9.69367795800274 55.2327595470196)))', 'DKOSX', 'Osby', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1730923921118 57.3182119955232,11.1719197368018 57.3133623428304,11.1690216456391 57.3087296027224,11.1645100357876 57.3044916915533,11.1585586254347 57.3008113060404,11.1513962064776 57.2978296958619,11.1432978398385 57.295661263712,11.1345743135721 57.2943891960475,11.1255602645028 57.2940622883176,11.1166014099873 57.2946930833461,11.1080413665889 57.2962573923595,11.1002085464079 57.298695216606,11.0934036192975 57.3019130353511,11.0878880102097 57.3057873750025,11.0838738658103 57.3101695259625,11.0815158739033 57.3148912302121,11.0809052542042 57.3197711251966,11.0820661611455 57.324621699755,11.0849546508463 57.3292564968907,11.0894602678772 57.3334972870861,11.0954102064052 57.337180935319,11.1025758986081 57.3401656951915,11.1106817852444 57.3423366844969,11.119415933409 57.343610327474,11.128442089188 57.3439375888462,11.1374126920847 57.3433058719505,11.1459823369488 57.3417395059069,11.1538211499428 57.3392988026317,11.1606275488639 57.3360777211661,11.1661398846932 57.332200231822,11.1701465090917 57.3278155237092,11.172493879108 57.3230922441492,11.1730923921118 57.3182119955232)))', 'DKOTB', 'Østerby, Læsø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2112608560907 55.8010124100207,12.2107583195804 55.7961292313905,12.208574641815 55.7913950850767,12.2047942953556 55.7869918216626,12.1995629561286 55.7830885221146,12.1930818446183 55.7798350205047,12.185599965432 55.7773561714574,12.1774045475989 55.775747078744,12.1688100514998 55.7750694643416,12.1601461580333 55.7753493138813,12.1517451904085 55.7765758863398,12.1439294381216 55.7787021247747,12.1369988558662 55.7816464526265,12.1312195973271 55.7852958883795,12.126813815244 55.7895103619564,12.1239511154054 55.7941280708194,12.1227419942635 55.7989716740033,12.1232335190601 55.8038550896908,12.1254074276025 55.8085906377836,12.1291807346035 55.8129962542905,12.1344088358311 55.8169025000088,12.1408910037593 55.8201590923389,12.1483780729534 55.8226407061221,12.156582024254 55.8242518166807,12.1651870981366 55.8249303948386,12.1738620033289 55.8246503082411,12.1822727401835 55.8234223340017,12.1900955319263 55.8212937424716,12.1970293521707 55.8183464684482,12.2028075542799 55.8146939419754,12.2072081463484 55.8104767036647,12.2100623127221 55.8058569769587,12.2112608560907 55.8010124100207)))', 'DKOTK', 'Ølstykke', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2451957187388 56.5665555970392,10.2441675068719 56.5616963974794,10.2414426786471 56.5570412731657,10.2371264799751 56.5527690094994,10.2313851220316 56.5490436314869,10.2244393420313 56.5460081240559,10.2165559054056 56.5437789644829,10.2080373781642 56.5424416729098,10.1992105587931 56.5420475478991,10.1904140052232 56.542611709141,10.1819851232207 56.5441125204041,10.174247297398 56.5464924143002,10.167497544658 56.5496600881829,10.1619951522706 56.5534939892694,10.1579517292605 56.5578469586256,10.1555230509989 56.562551859673,10.1548030138893 56.5674279789794,10.1558199413571 56.5722879567327,10.1585353960732 56.5769449827449,10.1628455591578 56.581219982099,10.1685851383 56.5849485133052,10.1755336670943 56.5879871113912,10.1834239616329 56.5902188285557,10.1919524118518 56.5915577552863,10.2007907085806 56.5919523440821,10.2095985465616 56.5913874046455,10.218036802077 56.5898846916815,10.2257806634809 56.5875020620954,10.2325321950094 56.5843312350182,10.2380318385908 56.5804942432779,10.2420684036839 56.5761387163326,10.244487158974 56.57143218013,10.2451957187388 56.5665555970392)))', 'DKOTV', 'Oster Torslev', 'Y'),('SRID=4326;MULTIPOLYGON(((11.676059784509 54.6990563487905,11.6749121358582 54.6942094022642,11.6721545332419 54.689585216222,11.6678934047709 54.6853613860766,11.6622927813781 54.6817000808124,11.6555679510712 54.6787418338247,11.6479771767007 54.6766001679216,11.6398117968083 54.6753572571595,11.6313850860315 54.6750607885186,11.6230202945845 54.675722141061,11.6150383145605 54.677315950771,11.6077454336143 54.6797810774783,11.6014216337085 54.6830229378877,11.5963098741002 54.6869171175601,11.5926067639386 54.6913141264927,11.5904549814495 54.6960451194247,11.5899377348068 54.7009283647651,11.5910754860247 54.7057762165486,11.5938250756627 54.7104023233146,11.5980812955128 54.7146287972382,11.6036808619364 54.718293066844,11.6104086478421 54.7212541474429,11.6180059404183 54.7233980848346,11.626180408786 54.724642359149,11.6346173946684 54.7249390758169,11.6429920835576 54.7242768180162,11.6509820765622 54.7226810875803,11.6582798661235 54.7202133170929,11.6646047229879 54.7169684923414,11.6697135269883 54.7130714790591,11.6734101189419 54.7086721986399,11.6755528129615 54.7039398421574,11.676059784509 54.6990563487905)))', 'DKOUL', 'Oster Ulslev', 'Y'),('SRID=4326;MULTIPOLYGON(((8.4595630538435 56.8652054280121,8.45875788179282 56.8603330475079,8.45623331900646 56.8556402929683,8.45208694979985 56.851307405966,8.44647850128361 56.8475007469223,8.43962364686809 56.8443664248124,8.43178569638454 56.8420247094718,8.42326549538748 56.8405654371044,8.41438991899555 56.8400445814013,8.4054993940539 56.8404821184892,8.39693491643191 56.8418612653388,8.38902504727749 56.844129119982,8.38207337273397 56.8471986796529,8.37634689597957 56.8509521615393,8.37206579875413 56.8552455019697,8.36939496239647 56.8599138652465,8.36843757682258 56.8647779545923,8.36923109129142 56.8696508862785,8.37174567524123 56.8743453652368,8.3758852635427 56.8786808873678,8.38149116141762 56.8824906910767,8.38834808377038 56.8856281886413,8.39619240594789 56.8879726267919,8.40472231236425 56.8894337548011,8.41360945033765 56.8899553164724,8.42251163287422 56.8895172282017,8.4310860893386 56.8881363569311,8.43900273939332 56.8858658671565,8.4459569645655 56.8827931628195,8.45168137336956 56.8790365054793,8.45595609889521 56.8747404422411,8.45861722983841 56.8700702233251,8.4595630538435 56.8652054280121)))', 'DKOVE', 'Ovesø', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((10.2961525462439 57.3495331787018,10.2950943688465 57.34467512395,10.292303996435 57.3400219696578,10.2878892207744 57.3357524219745,10.2820200580939 57.3320303966384,10.2749221610959 57.3289987442374,10.2668681316368 57.3267737886347,10.2581670702288 57.3254408841804,10.2491527600566 57.3250511582799,10.2401709300804 57.3256195610669,10.2315660730266 57.3271242949462,10.223668309074 57.3295076453112,10.2167807845631 57.3326781815654,10.2111680770933 57.3365142464219,10.2070460442509 57.3408686030686,10.2045735035446 57.3455740658671,10.2038460669739 57.3504499023805,10.2048923765367 57.3553087641816,10.2076728990058 57.3599638823393,10.2120813421795 57.3642362517241,10.2179486538938 57.3679615270198,10.2250494632423 57.3709963628617,10.2331107249923 57.3732239507363,10.241822237582 57.3745585355535,10.2508486267276 57.3749487340874,10.2598423245514 57.3743795242498,10.2684570315523 57.3728728265024,10.276361127985 57.3704866544336,10.283250503448 57.367312868219,10.2888602985542 57.3634736199229,10.2929750991011 57.3591166310068,10.2954371886324 57.3544094878477,10.2961525462439 57.3495331787018)))', 'DKOVR', 'Ostervra', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1942409393456 55.7840183291132,12.1937406836727 55.7791350937755,12.1915599630451 55.7744006653856,12.1877831359698 55.7699969055333,12.1825557429935 55.7660929144305,12.1760788531185 55.7628385528699,12.1686013091619 55.7603587086219,12.1604101742052 55.7587485237407,12.1518197448017 55.7580697621466,12.1431595463227 55.7583484534663,12.1347617606133 55.7595739010476,12.1269485553049 55.7616990910109,12.1200197873465 55.7646424869207,12.1142415405336 55.7682911429311,12.1098359282831 55.7725050188307,12.1069725492051 55.7771223350118,12.1057619250929 55.7819657656275,12.1062511801907 55.7868492355821,12.1084221388937 55.7915850628306,12.1121919288583 55.7959911728202,12.1174160808742 55.7998981075523,12.1238940193486 55.8031555580936,12.131376741827 55.8056381664045,12.1395763968465 55.8072503696265,12.1481773907508 55.807930096565,12.1568485898169 55.807651170628,12.1652561374576 55.8064243241861,12.1730763798743 55.8042967840833,12.1800083887827 55.8013504445428,12.1857855869843 55.7976986995521,12.1901860207063 55.7934820595917,12.193040879724 55.788862725072,12.1942409393456 55.7840183291132)))', 'DKOYK', 'Olstykke', 'Y'),('SRID=4326;MULTIPOLYGON(((9.39323008656565 54.8168676605205,9.39235223437177 54.8120000238622,9.38984740924935 54.8073247837355,9.38581235733816 54.8030215103784,9.38040246494177 54.7992554335868,9.37382573838866 54.7961711147387,9.36633479433682 54.7938869167533,9.35821717072133 54.7924904806503,9.34978432778417 54.7920353787252,9.34135975412264 54.7925390697527,9.33326662341936 54.7939822326894,9.32581546283963 54.7963095037803,9.319292293699 54.7994315895575,9.31394768892041 54.8032286767376,9.30998716032854 54.8075550112465,9.30756324261847 54.8122444742427,9.3067695809322 54.8171169446862,9.30763725688421 54.821985207187,9.31013350562352 54.8266621418257,9.31416288668609 54.8309679203908,9.31957087710461 54.8347369316914,9.32614976011171 54.8378241675976,9.33364659075098 54.840110821094,9.34177293490867 54.8415088773313,9.35021600471831 54.8419645173629,9.35865075463176 54.8414602004921,9.36675246172211 54.8400153430413,9.37420929314603 54.8376855667404,9.3807343642543 54.8345605464533,9.38607681256885 54.8307605422161,9.39003145456932 54.8264317521982,9.39244665174163 54.8217406690697,9.39323008656565 54.8168676605205)))', 'DKPAO', 'Padborg', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0354611141526 55.0309950975713,15.0346218228567 55.0261250726946,15.0321451884427 55.0214426434293,15.0281268844852 55.0171276576844,15.0227216643413 55.0133457956565,15.0161373637142 55.0102422244998,15.0086268961622 55.0079360451356,15.0004785517529 55.0065157407316,14.9920049689106 55.0060357979069,14.983531195553 55.0065146272423,14.975382286853 55.0079338608331,14.967870902731 55.0102390531141,14.9612853681947 55.0133417587856,14.9558786438862 55.0171229101635,14.9518586229784 55.021437367426,14.9493801245252 55.0261194707506,14.9485388935448 55.0309893848511,14.9493678459929 55.0358599953995,14.9518357143808 55.040544094533,14.9558481596809 55.0448615801208,14.9612513204648 55.0486463913883,14.9678376745502 55.0517529121864,14.9753539957607 55.0540615925375,14.9835111028632 55.0554835685209,14.991995023392 55.0559640990343,15.0004791356079 55.0554846840264,15.0086368103382 55.0540637805652,15.0161540531132 55.0517560884393,15.0227416469992 55.0486504335275,15.028146317839 55.044866332509,15.032160485084 55.0405493742616,15.0346302208482 55.0358655993596,15.0354611141526 55.0309950975713)))', 'DKPED', 'Pedersker', 'Y'),('SRID=4326;MULTIPOLYGON(((12.088926143294 54.583040907815,12.0884484151237 54.5781567152237,12.0863398439127 54.5734204871093,12.0826819767056 54.5690141586492,12.0776157555878 54.5651069352873,12.0713360448894 54.5618488096551,12.0640841166295 54.5593648217429,12.0561383868764 54.5577502792068,12.0478037577116 54.5570671176211,12.0393999680853 54.557341537088,12.031249390906 54.55856300349,12.0236647325201 54.5606846515431,12.0169370939451 54.5636250744258,12.0113248407775 54.5672714329285,12.0070437008776 54.5714837675574,12.0042584663065 54.5761003515525,12.0030766195302 54.5809438829863,12.0035441349902 54.5858282814783,12.005643627666 54.5905658309161,12.0092949326363 54.5949743949632,12.0143581068572 54.5988844278281,12.0206387498631 54.6021455091584,12.0278954477016 54.6046321489853,12.0358490581808 54.6062486359226,12.0441934794495 54.6069327383778,12.0526074817964 54.6066581130098,12.0607671375169 54.6054353252826,12.0683583581375 54.6033114416404,12.0750890436005 54.6003682092534,12.0807003644501 54.5967188950531,12.0849767347655 54.5925039085112,12.0877540886126 54.5878853801171,12.088926143294 54.583040907815)))', 'DKPET', 'Peterværft', 'Y'),('SRID=4326;MULTIPOLYGON(((9.28957676699706 55.1379042648343,9.28870430575066 55.1330361328945,9.28619134844345 55.1283590136545,9.28213496477267 55.1240525490396,9.27669136913376 55.1202820901903,9.27006986739699 55.1171923650202,9.2625247966157 55.1149019420591,9.25434576990783 55.1134986994379,9.24584659848062 55.1130364692716,9.23735330865736 55.1135329831445,9.22919170278985 55.1149691954991,9.22167492846666 55.1172900102062,9.21509152015519 55.1204063832002,9.20969436134905 55.1241987225973,9.20569098373821 55.1285214589292,9.20323557352319 55.1332086137459,9.20242299479409 55.1380801564673,9.20328506739211 55.142948908487,9.20578925389131 55.1476277314069,9.20983981986955 55.1519367239324,9.21528143662332 55.1557101500718,9.22190509955196 55.1588028301688,9.22945614258254 55.1610957458324,9.23764404337721 55.16250063944,9.24615363972847 55.1629634275285,9.25465731821056 55.1624662935748,9.26282769489027 55.1610283775382,9.27035028690148 55.1587050349185,9.2769356740875 55.1555856946335,9.28233067169131 55.1517904003106,9.28632807704867 55.1474651712781,9.28877461318142 55.142776365477,9.28957676699706 55.1379042648343)))', 'DKPHO', 'Pamhule Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0875032927433 55.1230483549722,12.0870216571564 55.1181644634423,12.084887163716 55.1134282440162,12.0811823730998 55.1090216298942,12.0760500432068 55.1051138348391,12.0696875846768 55.101854870183,12.0623394476092 55.099369804777,12.0542877360828 55.0977539847029,12.0458414097989 55.0970693925015,12.0373244813135 55.0973422822998,12.0290636517556 55.0985621791321,12.021375846957 55.1006822796639,12.0145561191815 55.1036212391928,12.0088663671071 55.1072662780093,12.0045252986304 55.1114774907182,12.0017000180174 55.1160931966638,12.0004995618621 55.1209361298013,12.0009706386312 55.1258202337063,12.003095746148 55.1305578032269,12.0067937526552 55.1349666996237,12.0119229330732 55.1388773616786,12.0182863562435 55.1421393415852,12.0256394252112 55.1446271114477,12.0336992850619 55.1462449134548,12.0421557355853 55.146930463334,12.0506832228997 55.1466573611603,12.0589534383875 55.1454361142317,12.066648027293 55.1433137314229,12.0734709045339 55.1403719048929,12.0791596919569 55.1367238508263,12.0834958285271 55.1325099336628,12.0863129608181 55.1278922457863,12.0875032927433 55.1230483549722)))', 'DKPRS', 'Præsto', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1143960442245 55.9230487857848,12.1139046335077 55.9181654137354,12.1117264570732 55.9134296853648,12.1079457813874 55.9090235122963,12.1027082997926 55.9051160871341,12.0962154723066 55.9018574019245,12.0887167554552 55.8993725096178,12.080500024951 55.8977567451748,12.0718805578297 55.8970720859011,12.0631889905949 55.8973447872441,12.0547587048973 55.8985643822546,12.0469131116014 55.9006840818846,12.0399533074079 55.903622561032,12.0341465654845 55.9072670635115,12.0297160930415 55.911477709704,12.0268324450625 55.9160928452059,12.0256069253911 55.9209352290094,12.0260872354709 55.9258188270747,12.0282555491406 55.9305559529256,12.0320291014487 55.9349644821855,12.0372632835234 55.938874863542,12.0437571376708 55.9421366548953,12.0512610510681 55.9446243304128,12.0594863568772 55.9462421314145,12.0681164725493 55.9469277705469,12.0768191404334 55.9466548431876,12.0852592889027 55.9454338506948,12.0931120055737 55.943311794871,12.100075109277 55.940370359528,12.1058808245267 55.9367227509053,12.1103061004169 55.932509321504,12.1131811730935 55.9278921494457,12.1143960442245 55.9230487857848)))', 'DKQLS', 'Ølsted', 'Y'),('SRID=4326;MULTIPOLYGON(((8.92347048835197 56.7870361745519,8.92260680947573 56.7821667714268,8.92002956853707 56.7774833799372,8.91583836535452 56.7731658791675,8.91019463894935 56.7693800367046,8.90331540694104 56.76627116136,8.89546490575773 56.7639585462547,8.8869444558799 56.7625309116797,8.8780809385495 56.7620430187358,8.86921431821732 56.7625135803891,8.86068467745364 56.7639245478788,8.85281924749021 56.7662217990619,8.84591991770421 56.769317203038,8.84025169119382 56.7730919840174,8.8360325214207 56.7774012586356,8.83342491732021 56.7820795764653,8.8325296423158 56.7869472549483,8.83338175779749 56.7918172688412,8.83594917586787 56.7965024318107,8.84013379214989 56.8008225950811,8.84577517041929 56.8046115857248,8.85265665054176 56.8077236156481,8.86051365383691 56.8100389114741,8.86904386993785 56.8114683447956,8.87791893078259 56.8119568806686,8.88679711452213 56.8114857082466,8.89533657815949 56.8100729692747,8.90320859501825 56.8077730555883,8.91011027292729 56.8046745034306,8.91577625131071 56.8008965678734,8.9199889189666 56.7965846125369,8.92258675684916 56.7919044959631,8.92347048835197 56.7870361745519)))', 'DKQRO', 'Ørodde', 'Y'),('SRID=4326;MULTIPOLYGON(((9.2632440338447 56.5989124978009,9.26234094590398 56.594045368573,9.25973452389963 56.5893689119,9.25552547787982 56.5850627389447,9.24987592140942 56.5812921816274,9.24300308673626 56.5782019621433,9.23517095818149 56.5759106584695,9.22668014801895 56.5745061744366,9.21785640072483 56.57404238436,9.20903815876393 56.574537077738,9.20056365502485 56.5759712807231,9.19275801300751 56.5782899796716,9.18592083561417 56.5814042198105,9.18031474690132 56.5851945007127,9.17615531871193 56.5895153415758,9.17360276634884 56.5942008449631,9.17275573539198 56.5990710492987,9.17364742689884 56.6039388294724,9.17624422260196 56.6086170827005,9.18044687796918 56.6129259243117,9.18609425235571 56.6166996161072,9.19296944571894 56.6197929586964,9.20080811465123 56.6220868986373,9.20930865116663 56.6234931307512,9.21814383003874 56.6239575145927,9.2269734684459 56.6234621702679,9.23545759849122 56.6220261707253,9.2432696311558 56.6197048031186,9.25010899062045 56.6165874285005,9.25571272063081 56.6127940244942,9.25986560843769 56.6084705473664,9.26240843445327 56.6037832959004,9.2632440338447 56.5989124978009)))', 'DKQRS', 'Ørslevkloster Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1499565827574 57.1905874694738,10.1489224328442 57.1857279816037,10.1461626792358 57.1810713624424,10.1417839333481 57.1767964528718,10.1359548261299 57.1730673762418,10.1288994734058 57.1700272554149,10.1208888472467 57.1677927405325,10.1122303873161 57.1664495535599,10.1032562476321 57.166049216689,10.0943106210668 57.1666070868955,10.0857366152083 57.1681017699882,10.0778631683465 57.1704759360304,10.0709924930374 57.173638505818,10.0653885169763 57.1774681269108,10.0612667570623 57.1818178092812,10.058786013205 57.1865205466578,10.0580422046485 57.1913957117006,10.0590645948878 57.1962559827165,10.0618145637295 57.2009145379774,10.0661869893985 57.2051922418481,10.0720142031437 57.2089245455725,10.0790723774074 57.2119678349923,10.0870901105678 57.2142049775763,10.0957588809857 57.215549851315,10.1047449649635 57.2159506772211,10.1137023512158 57.2153920238675,10.1222861418456 57.2138954046727,10.1301659089194 57.211518444328,10.1370384776878 57.2083526474452,10.1426396321963 57.2045198577607,10.1467542851046 57.2001675476912,10.149224718481 57.1954631235509,10.1499565827574 57.1905874694738)))', 'DKQRU', 'Ørum Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3174779934952 56.8025281210041,10.3164335565443 56.7976697737354,10.313682294032 56.7930165266618,10.3093304748712 56.7887470916396,10.3035456828973 56.7850253832927,10.2965503243202 56.7819942438261,10.2886130657908 56.7797699811966,10.2800385343187 56.778437926358,10.271155671084 56.7780491762378,10.2623051775075 56.7786186442527,10.2538265228225 56.7801244911433,10.2460449972166 56.782508957403,10.2392592931334 56.7856805663483,10.2337300795412 56.7895176156739,10.2296700002098 56.7938728269251,10.2272354779305 56.7985789783762,10.2265206432118 56.8034553089387,10.2275536298259 56.8083144504057,10.2302953927575 56.8129696238201,10.2346411093177 56.8172418240584,10.2404241247381 56.820966715518,10.2474223032759 56.824000971394,10.2553665489695 56.8262278092844,10.2639511710776 56.8275615061746,10.2728456922111 56.8279507151491,10.2817076361366 56.8273804529347,10.2901957904065 56.8258726797008,10.2979834186067 56.8234854482227,10.3047708992301 56.8203106561639,10.3102972928493 56.8164704904301,10.3143503850123 56.8121127039205,10.316774816662 56.8074049104201,10.3174779934952 56.8025281210041)))', 'DKQSH', 'Øster Hurup', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0828533097597 55.4420540807266,12.0823697529477 55.4371703566695,12.0802199698654 55.4324340815164,12.076487119496 55.4280271896427,12.0713150458271 55.4241189038987,12.064902690455 55.4208592525086,12.0574964199243 55.41837332867,12.0493805667649 55.4167565096403,12.0408665463476 55.4160708150426,12.0322809611528 55.4163425407652,12.0239531387082 55.4175612567699,12.0162025686142 55.4196802060603,12.0093267073783 55.4226180897556,12.0035896071876 55.4262621714515,11.9992117965159 55.4304725845797,11.996361797161 55.4350876810299,11.9951496048897 55.4399302194939,11.9956223907192 55.4448141593241,11.9977625988724 55.4495518014855,12.0014885280607 55.4539610034885,12.0066573879841 55.4578721907871,12.0130707263121 55.461134893422,12.0204820268564 55.4636235536712,12.0286061913146 55.465242377683,12.0371305389955 55.4659290405936,12.0457268951842 55.4656570990976,12.0540642925644 55.4644370160826,12.0618217838372 55.4623157566607,12.0687008588088 55.4593749714095,12.0744369760321 55.4557278384692,12.0788097566836 55.4515146889323,12.0816514447421 55.4468975875022,12.0828533097597 55.4420540807266)))', 'DKQSV', 'Østskov', 'Y'),('SRID=4326;MULTIPOLYGON(((9.73610792854586 55.6207432598577,9.73516928699995 55.6158789506458,9.7325723222054 55.611211695883,9.72841734184796 55.606920753926,9.72286435114202 55.6031708749798,9.71612685366336 55.6001059924192,9.70846363070464 55.5978437177216,9.70016881740893 55.5964708465892,9.69156065382536 55.5960400450356,9.6829693348904 55.5965678395219,9.67472441416108 55.5980339862542,9.66714223129477 55.6003822432143,9.66051383249281 55.6035225161526,9.65509383641375 55.6073342983944,9.65109066572631 55.6116712756709,9.64865851716123 55.6163669229813,9.64789138168071 55.6212408823375,9.64881935273045 55.6261058796071,9.65140737652437 55.6307749168219,9.65555650656215 55.6350684642635,9.66110762828862 55.6388213750658,9.66784752266565 55.6418892542818,9.67551704349688 55.6441540342201,9.68382109684616 55.6455285377779,9.69244003594881 55.6459598504191,9.70104202539085 55.645431367874,9.7092958871249 55.6439634386876,9.71688392030576 55.6416125762408,9.72351418807586 55.6384692714455,9.72893178724565 55.6346544925493,9.73292866005647 55.6303150100343,9.73535156857311 55.6256177303007,9.73610792854586 55.6207432598577)))', 'DKRAF', 'Rands Fjord', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0810699979015 56.4586156977328,10.0800658405788 56.4537549745515,10.0773689600527 56.4490960757679,10.0730835267903 56.4448179332745,10.0673745705611 56.4410847992787,10.0604615864733 56.4380399576932,10.0526100844163 56.4358002449336,10.044121408944 56.4344515865676,10.0353212172364 56.4340457173098,10.0265470490359 56.4345982070693,10.0181354533927 56.4360878667664,10.0104091520615 56.4384575561233,10.003664718198 56.4416163633666,9.99816123161904 56.4454430755238,9.99411033862423 56.4497908094901,9.99166809587852 56.4544926300031,9.99092891516542 56.4593679426785,9.99192185046774 56.464229419808,9.99460938289726 56.4688901949623,9.99888876514897 56.4731710505891,10.004595888666 56.4769073214314,10.0115115373568 56.4799552460203,10.0193697956729 56.4821975185807,10.0278682904821 56.4835478238378,10.0366798696981 56.4839541763523,10.0454652599308 56.4834009326435,10.0538862036748 56.4819093965733,10.0616185560109 56.4795369940808,10.0683648225739 56.4763750499901,10.0738656445379 56.4725452548307,10.0779097812694 56.468194961066,10.0803422046841 56.4634914936641,10.0810699979015 56.4586156977328)))', 'DKRAN', 'Randers', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5874499867632 55.0354410031259,10.586422739307 55.0305834959358,10.5837658771328 55.0259343850906,10.5795819808247 55.021672228821,10.5740321394108 55.0179606710515,10.5673297137072 55.0149421752425,10.5597321244545 55.0127325753926,10.5515309826654 55.011416649686,10.5430409379583 55.0110448830864,10.5345876650994 55.0116315401764,10.526495438549 55.0131541203445,10.5190747588793 55.0155542157487,10.5126104932304 55.0187397401012,10.5073509745176 55.0225884450134,10.5034984712248 55.0269525921733,10.5012013919928 55.0316646057093,10.5005485279084 55.0365434913451,10.5015655619762 55.0414017788125,10.5042139917833 55.0460527227364,10.5083925204962 55.0503174858169,10.5139408762559 55.0540320272666,10.5206459244257 55.0570534293871,10.5282498450208 55.0592654157199,10.5364600631394 55.06058284476,10.5449605473732 55.0609550026743,10.5534240336303 55.060367565306,10.5615246925511 55.058843152057,10.5689507398106 55.0564404498399,10.575416491103 55.0532519418066,10.5806733873397 55.0494003305839,10.584519559287 55.0450337969433,10.5868075621948 55.0403202800758,10.5874499867632 55.0354410031259)))', 'DKRAZ', 'Rantzausminde', 'Y'),('SRID=4326;MULTIPOLYGON(((9.31119980680444 55.699895954352,9.3103119434879 55.6950284451276,9.30776025574099 55.6903522493562,9.30364331920343 55.686046971288,9.29811968668552 55.6822779133254,9.2914017433559 55.6791897459317,9.28374752758691 55.6769009742319,9.27545083434385 55.6754994099712,9.26682997841021 55.6750388188938,9.25821564112062 55.6755368690622,9.24993825560917 55.6769744567682,9.2423154012465 55.6792964352029,9.23563967763833 55.6824137187096,9.23016751229552 55.6862066840257,9.22610932416439 55.6905297411741,9.22362141826486 55.6952169023147,9.22279992575516 55.7000881385094,9.22367703032646 55.7049562834748,9.22621963796247 55.7096342212587,9.23033055538707 55.7139420824058,9.2358521461464 55.7177141712639,9.2425723359135 55.7208053559434,9.2502327443187 55.7230966719647,9.25853863362496 55.7244999202322,9.26717028903046 55.7249610786267,9.27579538507643 55.7244623927163,9.28408185070324 55.7230230629956,9.29171072417402 55.7206985014799,9.29838848952946 55.7175781870769,9.30385840842365 55.713782204476,9.30791040391411 55.7094566030082,9.31038911375529 55.7047677578628,9.31119980680444 55.699895954352)))', 'DKRBL', 'Randbol', 'Y'),('SRID=4326;MULTIPOLYGON(((9.56194716787988 56.3498043789998,9.56101205375914 56.344939311623,9.55838625047403 56.3402689876623,9.55417120029797 56.3359727817051,9.5485292359946 56.3322156428464,9.54167728931153 56.3291417788852,9.53387853724237 56.3268691414069,9.52543230962782 56.3254849196009,9.51666264265412 56.3250422119462,9.50790590952867 56.3255580002952,9.49949799106687 56.3270125019967,9.49176146449726 56.3293499242439,9.48499328819794 56.3324805925463,9.47945344332272 56.336284373892,9.47535496066391 56.3406152665263,9.47285571326377 56.345306984038,9.47205229326162 56.3501793232104,9.47297621675539 56.3550450743444,9.47559261511866 56.3597172107584,9.4798014778911 56.3640160819358,9.48544141428635 56.3677763330265,9.49229580129009 56.3708532824227,9.50010109039462 56.373128508809,9.50855695655584 56.374514428858,9.51733789620497 56.3749576855479,9.52610581996932 56.3744412134407,9.53452314335757 56.3729848992836,9.54226585732537 56.3706448118139,9.54903606152052 56.3675110312786,9.55457346606313 56.363704164499,9.55866541168197 56.359370682959,9.56115502054087 56.3546772672065,9.56194716787988 56.3498043789998)))', 'DKRDB', 'Rødkærsbro', 'Y'),('SRID=4326;MULTIPOLYGON(((9.09380973254346 55.3499742285102,9.09295653482477 55.3451048682671,9.09045314601632 55.3404238827449,9.08639627712056 55.3361110628735,9.08094216912376 55.3323320036739,9.07430053754529 55.3292317624978,9.06672649554546 55.3269293103736,9.05851076860054 55.3255129857702,9.04996857393247 55.3250371215841,9.04142758416532 55.3255199716754,9.03321542604254 55.326943014441,9.02564718084339 55.3292516594209,9.01901335308088 55.3323573305676,9.01356875814944 55.3361408483264,9.00952274811952 55.3404569838632,9.00703114848841 55.3451400143297,9.00619021842067 55.3500100695985,9.00703287434218 55.354880029903,9.00952733370942 55.3595627115544,9.01357824494549 55.3638780654031,9.01903027406474 55.3676601106534,9.02567402204043 55.3707633353547,9.03325405351227 55.3730683142637,9.04147873116215 55.374486324231,9.05003147510346 55.3749627757783,9.05858300667855 55.3744793256247,9.06680409424696 55.3730545867278,9.07437829710132 55.3707434077685,9.08101420373057 55.3676347505702,9.08645668225403 55.3638482492871,9.09049670280751 55.3595295869676,9.09297935173816 55.3548448711393,9.09380973254346 55.3499742285102)))', 'DKRDG', 'Rødding', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4106548410055 55.2509344405747,12.4101325273811 55.2460515218322,12.407953115912 55.2413206149438,12.4042008943767 55.2369234464688,12.3990204410568 55.2330288650445,12.392611010662 55.2297863727488,12.385218850989 55.2273204048418,12.3771277494818 55.2257255739115,12.3686481714604 55.2250630572273,12.3601054007232 55.2253582626098,12.3518271274145 55.2265998599658,12.3441309467669 55.2287402145019,12.3373122352519 55.2316972053012,12.3316328577509 55.235357361189,12.3273111308622 55.2395801964038,12.3245134239684 55.244203583238,12.3233477221593 55.2490499591494,12.3238594049462 55.2539331333665,12.3260294138052 55.2586654340134,12.3297748924185 55.2630649223444,12.3349522890537 55.2669623965453,12.341362814356 55.2702079141397,12.3487600538413 55.272676579293,12.3568594467114 55.2742733687854,12.3653492653612 55.274936807174,12.3739026669471 55.2746413463164,12.3821903428722 55.2733983551999,12.3898932664392 55.2712556808057,12.396715034629 55.2682957972286,12.4023933172114 55.2646326160426,12.4067099642816 55.2604070835833,12.4094993798149 55.2557817381891,12.4106548410055 55.2509344405747)))', 'DKRDH', 'Rødvig Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((9.36049929299846 55.0668789994643,9.35961980284312 55.0620113295864,9.35710306493807 55.0573356243831,9.35304629121675 55.0530314712665,9.34760570834163 55.0492641326437,9.34099050442254 55.0461782168699,9.33345477355054 55.0438921466327,9.32528777015828 55.0424936334579,9.31680284479125 55.0420363283934,9.30832547862658 55.0425377743495,9.30018086498275 55.0439787366476,9.29268150149203 55.0463039367953,9.28611525625786 55.0494241621028,9.28073435519629 55.0532196722955,9.27674570617357 55.0575447755038,9.27430292914772 55.0622334016516,9.27350040134168 55.0671054629322,9.27436955402358 55.0719737602144,9.27687757477346 55.0766511721571,9.28092857876481 55.0809578515133,9.28636721772526 55.0847281512791,9.29298459949064 55.0878170122924,9.30052629841477 55.0901055634792,9.30870215148405 55.0915057156115,9.31719746086892 55.0919635681241,9.32568516451736 55.0914614947629,9.33383849532047 55.0900188257232,9.34134362853661 55.087691099334,9.34791181767494 55.0845679128826,9.35329054087988 55.0807694574513,9.35727322184637 55.0764418732955,9.35970714919973 55.0717516081923,9.36049929299846 55.0668789994643)))', 'DKRDK', 'Rødekro', 'Y'),('SRID=4326;MULTIPOLYGON(((8.21709496865284 56.4772924885523,8.21632879333006 56.4724183659395,8.21385968782517 56.4677205881643,8.20978309431132 56.463379592849,8.20425605360341 56.4595620552791,8.19749111262535 56.4564145055116,8.18974813437392 56.4540577240401,8.18132432838689 56.4525821273255,8.17254288222995 56.4520443164236,8.16374062281165 56.4524649178202,8.15525516937966 56.4538277970316,8.14741205720414 56.456080674246,8.14051231190971 56.4591371190097,8.13482093916432 56.4628798494812,8.13055676325149 56.4671652128256,8.12788400154809 56.4718286786152,8.12690590109298 56.4766911382406,8.12766068972023 56.4815657718159,8.13012000963733 56.4862652211531,8.1341899084369 56.4906087941502,8.13971436451459 56.4944294230936,8.14648122443557 56.4975801072929,8.15423033306416 56.4999395890656,8.16266354756946 56.5014170408538,8.17145624802322 56.501955579183,8.18026989414961 56.5015344668232,8.18876513317515 56.5001699160475,8.19661494006054 56.4979144611489,8.20351726997319 56.4948549250105,8.20920672376309 56.4911090601081,8.213464769293 56.4868209964647,8.21612812248254 56.482155675604,8.21709496865284 56.4772924885523)))', 'DKRDN', 'Roddenbjerg Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.36191786184236 56.3238769427618,9.36100883362809 56.319010323578,9.3584092280227 56.3143357201302,9.35421948228098 56.3100326728073,9.34860096002888 56.3062663945817,9.34176969649792 56.3031814449187,9.33398807857845 56.3008962012772,9.32555478206451 56.2994983365832,9.31679334961811 56.2990414724345,9.30803983989368 56.2995431332582,9.2996300099257 56.3009840778046,9.29188650867635 56.3033090329174,9.2851065592762 56.3064288022414,9.27955059097315 56.3102236711566,9.27543224943348 56.3145479805476,9.27291016644406 56.3192356977013,9.27208180827412 56.3241067743016,9.27297964746773 56.328974050622,9.27556981769853 56.3336504428842,9.27975331816095 56.3379561383691,9.28536973601734 56.341725520946,9.29220335641399 56.3448135585406,9.2999914336517 56.347101403584,9.30843430856483 56.34850098711,9.31720698026577 56.3489584258437,9.32597167902284 56.3484561078823,9.33439094437016 56.3470133745192,9.34214069089355 56.3446857712421,9.34892274467722 56.3415628975659,9.35447635610261 56.3377649407202,9.35858823831929 56.3334380299295,9.36110074291478 56.3287485939461,9.36191786184236 56.3238769427618)))', 'DKRDO', 'Rødsø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.58998323547374 57.2067924056168,9.58902215995292 57.2019282707201,9.58633161710892 57.1972593122307,9.58201556714761 57.1929648486831,9.57624024360509 57.1892097570747,9.56922770900206 57.1861381606157,9.56124730305923 57.1838679179613,9.55260531478245 57.1824861214789,9.54363327182381 57.182045773382,9.53467528804773 57.1825637639762,9.52607494219227 57.1840202274335,9.5181621763135 57.186359299115,9.51124070205853 57.1894912462653,9.50557638573633 57.1932958926356,9.50138704994071 57.1976272090281,9.49883408074936 57.2023188975543,9.49801616629824 57.2071907591952,9.49896541631463 57.2120556034917,9.50164602505184 57.2167264371667,9.50595554468058 57.2210236562063,9.51172873585002 57.2247819641151,9.51874386067687 57.2278567480303,9.5267311851052 57.2301296640352,9.53538336685356 57.2315132127685,9.54436732640491 57.231954125252,9.55333713569864 57.2314354252569,9.56194741566598 57.2299770866115,9.56986671187127 57.2276352594354,9.57679031848569 57.2245000959839,9.58245204457083 57.2206922621585,9.58663446187587 57.216358272418,9.58917723760168 57.2116648316433,9.58998323547374 57.2067924056168)))', 'DKRDS', 'Rødhus', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4941207314396 55.6679091553021,12.493584077259 55.6630267426149,12.4913729892754 55.6582972978126,12.4875729857836 55.6539024893887,12.482330489923 55.6500110727618,12.4758471434011 55.6467724256045,12.4683720310121 55.6443108327892,12.4601921187192 55.6427207367111,12.4516212711496 55.6420631314939,12.4429882636364 55.6423632360789,12.4346242383208 55.6436095330377,12.4268500726265 55.6457542088427,12.4199641312834 55.6487149790293,12.4142308599791 55.6523782299646,12.4098706499174 55.6566033595705,12.4070513586336 55.6612281540354,12.405881814327 55.6660749979198,12.4064075601059 55.6709576826112,12.4086090128204 55.6756885541119,12.4124021210568 55.6800857267269,12.4176415114163 55.6839800851113,12.4241260149782 55.6872218037369,12.4316063708018 55.689686130128,12.4397948146601 55.691278205727,12.4483761830717 55.6919367350453,12.4570200989985 55.6916363584554,12.4653937595897 55.6903886347963,12.4731748205367 55.6882415947979,12.4800638673706 55.6852778828526,12.4857959816231 55.6816115604495,12.4901509482437 55.6773836972697,12.4929617079649 55.6727569232864,12.4941207314396 55.6679091553021)))', 'DKRDV', 'Rødovre', 'Y'),('SRID=4326;MULTIPOLYGON(((9.56295514698516 55.4828058044513,9.56204125659125 55.4779400156727,9.55947394860041 55.4732689346231,9.55535238880747 55.4689719682665,9.5498352984348 55.4652140997701,9.54313480425334 55.4621395706527,9.5355082704164 55.4598663637085,9.52724842831124 55.4584816947671,9.51867218062068 55.4580386826347,9.51010850170369 55.4585543219193,9.50188588733474 55.4600088345047,9.49431982216448 55.462346423904,9.48770073268389 55.4654774043682,9.48228287699895 55.469281625214,9.47827459066283 55.4736130621438,9.47583026081222 55.4783054030572,9.47504433995883 55.4831784176161,9.47594763750381 55.488044869094,9.47850604341664 55.4927177050802,9.48262174716224 55.4970172514378,9.48813691904943 55.5007781322184,9.49483972438171 55.5038556473104,9.50247244715633 55.5061313593318,9.51074141377729 55.5075176710773,9.51932833243587 55.5079612136382,9.52790260421256 55.5074449116533,9.53613412066369 55.5059886441292,9.54370604187638 55.5036484747268,9.55032704983135 55.5005144819775,9.55574259435469 55.496707275158,9.55974469174897 55.4923733331531,9.56217989708869 55.4876793494378,9.56295514698516 55.4828058044513)))', 'DKREB', 'Rebæk', 'Y'),('SRID=4326;MULTIPOLYGON(((8.69540465467656 56.7331192022884,8.69457169467491 56.7282482258823,8.6920265069541 56.7235601319767,8.68786746058025 56.7192349820285,8.68225476197867 56.7154388388656,8.67540424121277 56.7123174078685,8.66757903709741 56.7099904647056,8.65907950375062 56.7085472796447,8.65023172356116 56.7080432101547,8.64137505958363 56.7084975892304,8.63284921304896 56.7098929882196,8.62498126836688 56.7121758816078,8.61807320840483 56.7152586889667,8.6123903669475 56.7190231178646,8.60815125336009 56.7233246827155,8.60551913720712 56.7279982300124,8.6045957189182 56.7328642617523,8.60541713801665 56.7377358176032,8.60795248495305 56.7424256537579,8.61210488883029 56.7467534435183,8.61771515448405 56.7505527221695,8.62456782224787 56.7536773069816,8.63239942644873 56.7560069421462,8.64090863861476 56.7574519475623,8.64976790284367 56.7579566886277,8.6586361077372 56.7575017301063,8.66717179506184 56.7561045888656,8.67504638223556 56.7538190556629,8.68195687513287 56.7507331128147,8.68763756957947 56.7469655301027,8.69187028307583 56.7426612732523,8.69449272041452 56.7379859056027,8.69540465467656 56.7331192022884)))', 'DKRED', 'Redsted', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1539708914951 55.5222344832305,11.152860204111 55.5173829094137,11.1501031396114 55.5127474402693,11.1458061365037 55.5085061045932,11.1401346290802 55.5048217413949,11.133306643994 55.5018357654005,11.125584410573 55.4996627589123,11.1172643089011 55.4983860938578,11.108665538057 55.4980547484229,11.1001179311772 55.4986814374939,11.0919493732198 55.5002421268414,11.0844732908649 55.5026769492922,11.0779766816286 55.5058924888093,11.0727091310118 55.5097653472099,11.0688732327001 55.5141468599695,11.0666167781483 55.5188687838763,11.0660270194081 55.5237497418278,11.0671272343751 55.528602180254,11.0698757388319 55.5332395737603,11.0741673974595 55.5374836005846,11.0798375896155 55.541171012015,11.0866684888869 55.5441599292597,11.0943974222896 55.5463353222374,11.102726989729 55.5476134556989,11.1113365510477 55.547945127906,11.1198946303549 55.5473175742244,11.1280717483581 55.5457549605128,11.135553175187 55.5433174469118,11.1420510996792 55.5400988591621,11.1473157361007 55.5362230595124,11.1511449344276 55.5318391602655,11.153391923218 55.5271157679537,11.1539708914951 55.5222344832305)))', 'DKREE', 'Reersø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5305477316947 55.1244607545085,10.5295248897748 55.1196028083024,10.5268685084054 55.1149525175648,10.5226811530826 55.1106884858661,10.5171240485035 55.1069744289295,10.5104108362814 55.1039529057555,10.5027993520371 55.1017398660289,10.49458173975 55.1004202194201,10.4860732797636 55.1000445932331,10.4776003514277 55.1006273998736,10.4694879810392 55.1021462864315,10.4620474399001 55.1045429870087,10.4555643556689 55.1077255460496,10.4502877827594 55.1115718296209,10.4464206446643 55.1159341931146,10.4441119134307 55.1206451299117,10.4434508301471 55.1255236877684,10.4444633967855 55.1303824095136,10.4471112861359 55.1350345333542,10.4512932255347 55.139301176647,10.456848814811 55.1430182260777,10.4635646430451 55.146042667066,10.4711824763543 55.1482581057158,10.4794092041722 55.1495792671422,10.4879281583974 55.1499552934234,10.4964113620248 55.1493717112429,10.5045322244355 55.1478509915798,10.5119781814934 55.1454516794065,10.5184627810164 55.1422661278708,10.5237367379039 55.1384169264863,10.5275975269308 55.1340521640715,10.5298971426389 55.1293397124588,10.5305477316947 55.1244607545085)))', 'DKREF', 'Refsøre', 'Y'),('SRID=4326;MULTIPOLYGON(((8.76668071138225 55.2330913242921,8.76587000181111 55.228219653901,8.76341240541581 55.2235319482899,8.75940287365445 55.2192082590591,8.75399583178639 55.2154146009003,8.74739919267673 55.2122965934095,8.73986634825462 55.2099738906422,8.73168644914822 55.2085356085876,8.72317334336731 55.2080369223827,8.71465359142016 55.2084969607209,8.70645400689607 55.2098980761398,8.69888918767471 55.2121865184161,8.69224950323051 55.2152744859113,8.68678998798101 55.219043478192,8.68272055958069 55.2233488243455,8.68019793511979 55.2280252168476,8.67931955837239 55.2328930422328,8.68011977903285 55.2377652686327,8.68256844228907 55.2424546277804,8.68657195667141 55.2467808163399,8.69197681301283 55.2505774391199,8.69857543117713 55.2536984251881,8.70611411794437 55.2560236670271,8.71430283324328 55.2574636620967,8.72282638687778 55.2579629744686,8.73135662774633 55.2575023801208,8.73956514541409 55.2560996111632,8.74713598201027 55.2538086695562,8.75377785197055 55.2507177374388,8.7592353881547 55.2469457665816,8.7632989742053 55.2426378813585,8.76581278247789 55.2379597758434,8.76668071138225 55.2330913242921)))', 'DKREJ', 'Rejsby Å', 'Y'),('SRID=4326;MULTIPOLYGON(((8.53618330242716 56.5491767806448,8.53537475440986 56.5443046429184,8.53286153058655 56.5396132188364,8.52874076712157 56.5352826995443,8.52317119788974 56.5314793559476,8.51636699754721 56.5283491716325,8.50858952994918 56.5260122596828,8.50013732213449 56.5245582738687,8.4913346463811 56.524042986449,8.48251914086033 56.5244861605985,8.474028932151 56.5258707968429,8.46618973968599 56.5281437815662,8.45930244279269 56.5312179133895,8.45363157534764 56.5349752317781,8.44939518147994 56.5392715233639,8.44675641883775 56.5439418368751,8.4458172346774 56.5488067988534,8.44661436591288 56.5536794909932,8.44911782928401 56.5583726272423,8.45323197456561 56.5627057557935,8.45879907544231 56.5665122085058,8.46560533304531 56.5696455284588,8.47338907032286 56.5719851251958,8.48185080573547 56.5734409362117,8.49066481651375 56.5739569113767,8.49949173882891 56.5735131828128,8.50799170799598 56.5721268343991,8.51583751863965 56.5698512404143,8.52272728387585 56.5667739994743,8.52839609404786 56.5630135454488,8.53262621823047 56.558714569078,8.53525545327946 56.5540424303673,8.53618330242716 56.5491767806448)))', 'DKREM', 'Remmer Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((9.80364401081921 56.0917175261822,9.80268492739923 56.0868541662617,9.80004772809727 56.0821888173672,9.79583428124724 56.0779006624067,9.79020684762838 56.0741543415751,9.7833817932986 56.0710936483453,9.77562125869816 56.0688360302588,9.76722310655119 56.0674681017945,9.75850953150499 56.0670423377637,9.74981476066693 56.067575070985,9.74147230522594 56.0690458690312,9.73380223856893 56.0713983133332,9.7270989754377 56.0745421516244,9.72162000972856 56.0783567433796,9.71757603582448 56.0826956693092,9.71512283051122 56.0873923318088,9.7143552106073 56.0922663351465,9.71530330694972 56.097130403562,9.71793131038518 56.1017975736263,9.72213875256614 56.1060883851754,9.72776428687097 56.1098377935732,9.73459183639772 56.1129015352932,9.74235888083749 56.1151616986884,9.75076656640306 56.1165312817796,9.75949124706938 56.1169575578528,9.76819700499648 56.1164241161354,9.77654865630826 56.1149514969171,9.78422472762889 56.1125963960243,9.79092989006216 56.109449470166,9.79640636056283 56.1056318299217,9.80044382462331 56.1012903586857,9.80288749652342 56.0965920415615,9.80364401081921 56.0917175261822)))', 'DKREY', 'Ry', 'Y'),('SRID=4326;MULTIPOLYGON(((11.661115822907 55.6660509197312,11.6599380157446 55.6612047995785,11.6571108733149 55.6565816257601,11.6527435245981 55.6523589510474,11.6470041001596 55.6486988946732,11.6401132261888 55.6457419358964,11.6323355365085 55.6436015420186,11.6239695301189 55.6423598332633,11.6153361598645 55.6420644472711,11.6067665816671 55.642726720631,11.5985895224948 55.6443212554847,11.5911187382596 55.6467868875165,11.5846410298964 55.6500290193462,11.579405267003 55.6539232322427,11.5756128339685 55.6583200409365,11.5734098641631 55.6630506128297,11.5728815646212 55.6679332356801,11.5740488582952 55.672780288329,11.5768674855429 55.6774054484901,11.5812296137427 55.6816308609899,11.5869679071071 55.6852939897929,11.5938619116449 55.6882538878907,11.6016465169353 55.6903966404964,11.6100221711395 55.6916397682912,11.6186664526195 55.6919354175981,11.6272465443154 55.6912722117407,11.6354321186724 55.689675690542,11.6429081234182 55.687207320721,11.6493869628437 55.6839621164621,11.6546195951597 55.6800649642459,11.6584051125815 55.6756657968265,11.6605984345788 55.6709338058957,11.661115822907 55.6660509197312)))', 'DKRGP', 'Regstrup', 'Y'),('SRID=4326;MULTIPOLYGON(((8.80978745844893 55.3300760030033,8.80896951681601 55.325204691793,8.80650086981937 55.3205179209899,8.80247689614681 55.316195705661,8.79705257734524 55.3124040031606,8.79043649005239 55.3092883572533,8.78288277197404 55.3069683306855,8.77468137310427 55.305532936253,8.76614696411403 55.3050372380336,8.75760692039443 55.305500250077,8.74938883189851 55.3069042110706,8.74180800503703 55.3091952620442,8.73515542314427 55.3122855018035,8.72968661643489 55.3160563432702,8.72561186122231 55.3203630450245,8.72308808209367 55.3250402477979,8.72221277076097 55.3299083070786,8.72302016291377 55.3347801818282,8.72547983159558 55.3394686168662,8.72949776498464 55.3437933437615,8.73491990111338 55.347588022797,8.74153799563855 55.3507066570578,8.74909760527378 55.3530292288476,8.75730788308986 55.354466337883,8.76585280667584 55.3549626590533,8.77440339988638 55.3544990834698,8.78263046670176 55.3530934582392,8.79021733384245 55.350799895697,8.79687209839735 55.3477066794017,8.80233889786359 55.3439328495823,8.80640776151467 55.3396236026082,8.80892266170128 55.3349446852339,8.80978745844893 55.3300760030033)))', 'DKRIB', 'Ribe', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6762233915995 54.8264107677115,10.6751913045326 54.8215538868009,10.6725384924506 54.8169065374519,10.6683673730085 54.8126472104704,10.6628385386935 54.8089394418571,10.656164540089 54.8059255506747,10.6486017055923 54.8037211954137,10.6404403137234 54.802410954165,10.6319934921916 54.8020450946829,10.6235852620638 54.802637655383,10.615538174748 54.8041659090934,10.6081610034254 54.806571229677,10.6017369487833 54.8097613292455,10.5965128014197 54.8136137823729,10.5926894704537 54.8179807052599,10.5904142403598 54.8226944139094,10.5897750569244 54.8275738476572,10.5907970700594 54.8324315143266,10.5934415780701 54.8370806920839,10.5976074275205 54.841342611765,10.6031348282332 54.8450533426545,10.6098114478797 54.8480701147102,10.6173805590352 54.8502768308546,10.6255509276157 54.8515885535732,10.6340080592881 54.8519547895709,10.6424263633574 54.8513614431109,10.6504817547476 54.8498313609901,10.6578641960566 54.8474234477051,10.6642896842906 54.8442303858597,10.6695112106025 54.8403750518601,10.6733282649066 54.8360057680918,10.6755945182942 54.8312905779743,10.6762233915995 54.8264107677115)))', 'DKRIS', 'Ristinge', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7593372537831 54.9343803890147,10.7582921354794 54.9295243912604,10.7556224257698 54.9248790588895,10.7514311937719 54.9206228043073,10.7458798053724 54.9169190445523,10.7391816766988 54.91390994387,10.7315940607571 54.9117109761443,10.7234081846198 54.9104065122412,10.7149381126142 54.9100465980632,10.7065087551504 54.9106450440477,10.6984434721578 54.9121788976031,10.6910517339617 54.9145893182809,10.6846173005452 54.9177838230903,10.6793873625375 54.9216398180743,10.6755630542731 54.926009283835,10.6732917015653 54.9307244388418,10.6726611054999 54.9356041666818,10.6736960901546 54.9404609633811,10.6763574587534 54.9451081397892,10.6805434120366 54.9493670027633,10.686093387755 54.9530737381615,10.6927941848515 54.9560857287235,10.7003881440788 54.9582870606074,10.7085830726576 54.9595930030249,10.717063528107 54.9599532849827,10.7255030192296 54.9593540400523,10.7335766433361 54.9578183424575,10.7409736602415 54.9554053133858,10.7474095063283 54.9522078329327,10.7526367759035 54.94834894807,10.7564547408791 54.9439771181533,10.7587170411509 54.939260484634,10.7593372537831 54.9343803890147)))', 'DKRKB', 'Rudkøbing', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1350785037212 55.6420378557076,12.1345868432775 55.6371543801706,12.13242062248 55.6324189692751,12.1286636383091 55.6280135232096,12.1234606662377 55.6241072079967,12.1170118364285 55.620849974768,12.1095649152247 55.6183668225346,12.1014057926841 55.6167530210836,12.0928475402879 55.6160704735593,12.0842184525841 55.6163453549173,12.0758495212757 55.6175671143785,12.0680618094459 55.6196888789571,12.0611541968818 55.6226292428456,12.0553919547687 55.6262753756921,12.0509965796343 55.6304873333633,12.0481372729038 55.6351034093561,12.0469243947258 55.6399463252384,12.0474051502333 55.6448300258552,12.0495616850077 55.6495668208379,12.0533116766764 55.6539745992835,12.058511414312 55.6578838400863,12.0649612601677 55.6611441467203,12.0724132932187 55.6636300522764,12.0805808451765 55.6652458677985,12.089149561257 55.6659293835178,12.0977895539088 55.6656542770795,12.1061681712468 55.6644311335292,12.1139628755765 55.6623070365681,12.1208737225663 55.6593637470885,12.1266349486212 55.6557145408372,12.1310252119016 55.6514998298452,12.1338760892174 55.6468817397836,12.1350785037212 55.6420378557076)))', 'DKRKE', 'Roskilde', 'Y'),('SRID=4326;MULTIPOLYGON(((8.29564026022806 56.0882627086411,8.29487145316704 56.0833887612502,8.29241728076556 56.0786922918013,8.2883725967473 56.0743536885587,8.28289320490766 56.070539536705,8.27618981574819 56.0673962386345,8.26851992781236 56.0650444141514,8.26017794886887 56.0635742917657,8.25148393399505 56.063042264158,8.24277136543706 56.063468736718,8.23437443182214 56.064837349468,8.22661528122868 56.0670956013487,8.21979172347353 56.0701568535465,8.21416584174214 56.0739036370291,8.20995394265112 56.0781921405051,8.20731822760627 56.0828577103237,8.20636050790139 56.0877211550102,8.20711821285546 56.0925956156607,8.20956285640196 56.0972937405952,8.21360103549782 56.1016348895172,8.21907793666405 56.105452089688,8.22578322858404 56.1085984746349,8.23345912303886 56.1109529546045,8.24181029782294 56.1124248968125,8.25051529787464 56.1129576315267,8.25923896855156 56.1125306457062,8.2676454310269 56.1111603774684,8.27541108653847 56.108899579906,8.28223713495554 56.10583527939,8.28786111391443 56.1020854090319,8.29206700648102 56.0977942500716,8.29469352568957 56.0931268604329,8.29564026022806 56.0882627086411)))', 'DKRKG', 'Ringkøbing', 'Y'),('SRID=4326;MULTIPOLYGON(((8.56057052641927 55.1331648748701,8.5597869109595 55.1282918135193,8.55735958765651 55.1235999443654,8.55338234386581 55.1192694806286,8.54800836557637 55.1154666987247,8.54144429860327 55.1123375698093,8.5339422881946 55.1100021756808,8.52579030580829 55.1085501197633,8.51730113223444 55.1080371056328,8.50880041287466 55.1084828112525,8.50061423279463 55.1098701383569,8.49305667549178 55.1121458649841,8.48641782985352 55.1152226767665,8.48095269451704 55.1189825010362,8.47687139807514 55.1232810188442,8.47433110793305 55.1279531853587,8.47342994112741 55.1328195503967,8.47420311854508 55.1376931395541,8.4766215217213 55.1423866337982,8.480592721308 55.1467195725037,8.48596445149233 55.1505253024639,8.4925304087151 55.1536574037085,8.50003815995715 55.1559953419287,8.50819885977172 55.1574491263852,8.5166984002184 55.157962790347,8.52520955763094 55.1575165569197,8.53340465784242 55.1561276047231,8.54096825934525 55.1538494031251,8.54760935307824 55.1507696432854,8.55307259815441 55.1470068466873,8.55714815375824 55.1427057847896,8.5596797264761 55.1380318897383,8.56057052641927 55.1331648748701)))', 'DKRMO', 'Romo', 'Y'),('SRID=4326;MULTIPOLYGON(((8.97916815269642 56.5350157767798,8.9783030425968 56.5301465615986,8.97573603660318 56.5254641316541,8.97156633150522 56.5211483296942,8.96595453307169 56.5173648592353,8.95911642854161 56.5142589395621,8.95131467463072 56.5119497520047,8.94284872335848 56.510525886823,8.93404336981962 56.5100419615874,8.9252363535552 56.5105165375493,8.91676547740357 56.511931411763,8.90895572400989 56.5142323113437,8.90210685024868 56.5173309639768,8.89648192366825 56.5211084674037,8.89229723298832 56.5254198318435,8.88971395729495 56.5300995248662,8.88883191689083 56.5349678097344,8.88968565425985 56.5398376371333,8.89224300832131 56.5445218278095,8.8964062517036 56.5488402709602,8.90201576237668 56.5526268609721,8.90885610139501 56.5557359036371,8.91666427186496 56.5580477421777,8.92513984490524 56.5594733827453,8.93395656059305 56.5599579374825,8.94277494960049 56.559482749302,8.95125547768946 56.5580661143543,8.95907169279373 56.5557625735804,8.96592285430301 56.5526608013934,8.97154554638278 56.5488801749755,8.97572382049847 56.5445661595549,8.97829747442888 56.5398846911487,8.97916815269642 56.5350157767798)))', 'DKRNB', 'Rønbjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3680623340704 57.2785071849039,10.3669968695343 57.273649715859,10.3642029574215 57.268998122342,10.3597885218825 57.2647310503725,10.3539235628996 57.2610123206945,10.3468335694014 57.2579846576644,10.3387908385757 57.2557642324639,10.3301040372199 57.2544362260839,10.3211064023519 57.2540515784423,10.3121430250217 57.2546250451494,10.3035576923748 57.2561346344297,10.2956797779162 57.2585224452381,10.2888116683617 57.2616968754229,10.283217197444 57.2655361176384,10.2791115228859 57.2698928123417,10.2766528330846 57.2745996833019,10.2759362059258 57.2794759432226,10.276989865095 57.2843342267719,10.2797739913702 57.2889877868145,10.2841821504049 57.2932576779454,10.2900452977593 57.2969796502295,10.2971382203119 57.3000104856533,10.3051881749556 57.3022335300664,10.3138853951331 57.3035632037262,10.3228950576541 57.3039483128859,10.3318702403642 57.3033740316732,10.3404653588532 57.3018624758648,10.3483495498092 57.2994718458926,10.3552194709782 57.2962941731009,10.3608110128286 57.292451758493,10.3649094635642 57.2880924445796,10.3673577345506 57.283383906342,10.3680623340704 57.2785071849039)))', 'DKRNH', 'Rønnerhavn', 'Y'),('SRID=4326;MULTIPOLYGON(((14.74153439408 55.0991001372837,14.7407294099472 55.0942281983043,14.7382829357322 55.0895398946234,14.7342894915608 55.0852153014516,14.7289028820718 55.0814204690331,14.7223302344317 55.078301062969,14.7148240200599 55.0759767918704,14.7066723694137 55.0745368326137,14.698188049388 55.0740364251208,14.6896965193015 55.0744947642282,14.6815235130345 55.0758942674341,14.6739826109959 55.0781812458473,14.6673632659336 55.0812679532724,14.6619197311471 55.0850359368213,14.65786130872 55.0893405635354,14.6553442895931 55.0940165529189,14.6544658976733 55.0988843066639,14.6552604781963 55.1037567956575,14.6576980882378 55.1084467418807,14.661685557161 55.1127738200612,14.6670699900054 55.1165716016349,14.6736445909812 55.1196939720192,14.6811565912936 55.1220207713115,14.6893169796292 55.1234624377407,14.6978116588584 55.1239634714829,14.7063135925652 55.1235045823604,14.7144954630103 55.1221034366103,14.722042340293 55.1198139731863,14.7286638619895 55.116724316605,14.7341054434298 55.1129533687369,14.7381580799117 55.1086462138309,14.7406663613533 55.103968517277,14.74153439408 55.0991001372837)))', 'DKRNN', 'Rønne', 'Y'),('SRID=4326;MULTIPOLYGON(((10.9172244144808 55.7423177377519,10.9161361154296 55.7374640263367,10.913390833963 55.732823306391,10.9090945657872 55.728573809015,10.9034127257666 55.7248786864963,10.8965637439089 55.7218797658307,10.8888106592277 55.7196921249228,10.8804510362871 55.7183996958703,10.8718055880933 55.7180520604085,10.8632059337157 55.7186625574996,10.8549819486097 55.7202077738289,10.8474491794894 55.7226284363178,10.8408967934865 55.7258316734531,10.8355765132636 55.7296945610246,10.8316929560449 55.7340688195331,10.8293957458704 55.7387864867672,10.8287737058399 55.7436663514633,10.829851362254 55.7485209040123,10.8325879074902 55.7531635391152,10.8368786758534 55.7574157341074,10.8425590897772 55.761113926014,10.8494109363668 55.7641158205527,10.8571707404813 55.7663058870735,10.8655399145846 55.7675998242008,10.8741962915913 55.767947820608,10.8828065886167 55.767336482382,10.8910393099564 55.7657893508932,10.8985775788833 55.763365990786,10.9051313909712 55.7601596842623,10.9104488064516 55.7562938228188,10.9143256442337 55.7519171386996,10.9166133032514 55.7471979633928,10.9172244144808 55.7423177377519)))', 'DKRNS', 'Røsnæs', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4020297504753 54.6621540798982,11.4009158558784 54.6573041933063,11.3981918497498 54.6526734264157,11.3939628716535 54.64843962923,11.3883917213804 54.6447653549217,11.3816925598462 54.6417916357301,11.3741226693296 54.639632588726,11.3659725911138 54.6383710548593,11.3575550157254 54.6380554351666,11.3491928442673 54.6386978427345,11.3412068678412 54.6402736396259,11.3339035251566 54.6427223762002,11.3275631958546 54.6459500978621,11.3224294688731 54.6498329330603,11.3186997916859 54.6542218280741,11.3165178581626 54.658948250505,11.3159680312186 54.6638306460222,11.3170720229327 54.6686814032609,11.319787971518 54.6733140610762,11.3240119640978 54.6775504815887,11.3295819598821 54.6812277122488,11.336283973718 54.6842042707394,11.3438602890916 54.6863656077318,11.3520193865942 54.6876285336459,11.3604472025932 54.6879444355181,11.3688192769432 54.6873011573024,11.3768133109152 54.6857234694842,11.3841216391107 54.6832721095812,11.390463122891 54.6800414315671,11.3955939975616 54.676155757071,11.3993172498892 54.6717645720709,11.4014901641313 54.6670367575944,11.4020297504753 54.6621540798982)))', 'DKROD', 'Rødbyhavn', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0436383359243 55.2489187440835,12.0424281042823 55.2440764461627,12.0395881325352 55.2394620199172,12.0352280249487 55.2352526814513,12.029515618857 55.2316100385241,12.0226704922393 55.2286739036119,12.0149555175108 55.2265569471827,12.0066667872619 55.2253403926775,11.9981222948381 55.2250709148757,11.9896497957581 55.2257588578511,11.9815743040634 55.2273778392439,11.9742056902064 55.2298657557855,11.9678268437549 55.2331271526958,11.9626828450665 55.2370368685001,11.9589715555169 55.2414448187484,11.9568359865477 55.2461817387693,11.9563587448674 55.2510656685534,11.9575587761707 55.255908933583,11.9603905449087 55.2605253551497,11.9647456956492 55.2647374133803,11.9704571456941 55.2683830864565,11.9773054626163 55.2713221005893,11.9850272883076 55.2734413469753,11.9933254871811 55.2746592535479,12.0018806243776 55.2749289396872,12.010363323806 55.2742400296017,12.018447018512 55.2726190528854,12.0258205892085 55.2701284165772,12.0322003916956 55.2668639895175,12.0373412000699 55.2629513944938,12.0410456386545 55.258541154291,12.0431717390055 55.2538028822045,12.0436383359243 55.2489187440835)))', 'DKRON', 'Rønnede', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4156615906937 55.2569327181036,12.4151386065276 55.2520498180776,12.4129582913378 55.247318995412,12.4092049677794 55.2429219733782,12.4040232565423 55.2390275949324,12.3976124606369 55.2357853543047,12.3902188802039 55.2333196770496,12.382126357083 55.2317251645695,12.3736454109813 55.2310629819007,12.3651013780241 55.2313585240528,12.3568219966479 55.2326004480319,12.3491249045202 55.2347411065437,12.3423055130814 55.237698367043,12.336625713381 55.2413587480381,12.3323038383735 55.2455817551514,12.3295062633365 55.2502052540852,12.3283409685373 55.2550516779846,12.3288533180947 55.2599348342092,12.3310242280763 55.2646670515336,12.334770807683 55.2690663943626,12.3399494629312 55.2729636664204,12.3463613560591 55.276208932951,12.3537600198864 55.2786773077336,12.361860838674 55.2802737786911,12.370352029774 55.2809368826264,12.3789066973511 55.2806410842751,12.3871954839419 55.2793977656353,12.3948993200187 55.2772547863261,12.4017217674366 55.2742946322136,12.4074004699032 55.270631225316,12.4117172615103 55.2664055206772,12.4145065408832 55.2617800632683,12.4156615906937 55.2569327181036)))', 'DKRQD', 'Rødvig', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7984239582348 55.9419984052069,11.7972195949269 55.937154071113,11.7943550955022 55.9325346342108,11.7899410311082 55.9283175017389,11.7841473300714 55.9246645778636,11.7771967024727 55.9217160658261,11.769356072372 55.9195851068564,11.7609263482627 55.9183534578069,11.7522309205516 55.9180683697311,11.7436033187986 55.9187407842711,11.7353744901664 55.9203449153181,11.7278601734575 55.9228192316999,11.7213488399915 55.9260688043804,11.7160906534428 55.9299689306027,11.7122878659558 55.9343698993248,11.7100870180761 55.9391027188814,11.7095732463814 55.9439855906581,11.7107669267579 55.9488308831376,11.7136227952 55.9534523402059,11.7180315945486 55.9576722470732,11.7238241980343 55.9613282771967,11.7307780626708 55.9642797544376,11.7386257715908 55.9664130861399,11.7470653386157 55.9676461542239,11.7557718748423 55.9679314916004,11.7644101595372 55.9672581186735,11.7726476191546 55.9656519674579,11.7801672009021 55.9631748766788,11.786679631907 55.9599221977495,11.7919345814075 55.9560191063252,11.7957302900725 55.9516157648728,11.7979212950434 55.9468815262838,11.7984239582348 55.9419984052069)))', 'DKRRV', 'Rørvig', 'Y'),('SRID=4326;MULTIPOLYGON(((9.6613869870758 55.8667695112303,9.66045148600824 55.8619048178483,9.65784682311502 55.8572361878455,9.65367361081978 55.8529429319534,9.64809256158459 55.8491898882297,9.64131826056307 55.8461211101662,9.63361090289316 55.8438543572357,9.6252663155756 55.8424765955849,9.61660464415425 55.8420406778218,9.6079581305779 55.8425633261859,9.59965843967365 55.8440244944475,9.59202400698317 55.8463681323776,9.58534788001424 55.8495043242989,9.57988650825234 55.8533127218678,9.57584990486615 55.857647142594,9.57339355557215 55.8623411613785,9.57261238863685 55.8672144841674,9.57353704600429 55.8720798621321,9.57613261109194 55.8767502828762,9.58029985653367 55.8810461630448,9.58587897826789 55.8848022650585,9.59265568458805 55.8878740698284,9.60036941417373 55.890143357093,9.60872336995872 55.8915227748759,9.61739598013377 55.8919592184372,9.6260533374215 55.8914358854896,9.63436212613558 55.8899729264844,9.64200252567437 55.8876266642755,9.64868058013264 55.8844874140636,9.65413954658465 55.8806759897892,9.65816977805079 55.8763390347311,9.66061675888257 55.8716433598167,9.6613869870758 55.8667695112303)))', 'DKRSM', 'Rask Molle', 'Y'),('SRID=4326;MULTIPOLYGON(((9.84498331564395 56.3827016458186,9.84401132437272 56.377838873712,9.84134868875271 56.3731747029176,9.83709826385184 56.3688882696817,9.83142373706644 56.3651441462038,9.82454328528869 56.3620860395202,9.81672117426316 56.3598312959192,9.80825762536269 56.3584664179813,9.79947733575685 56.358043762493,9.79071708439331 56.3585795427773,9.78231288736856 56.3600532100376,9.77458718152296 56.3624082368239,9.76783651417484 56.3655542734518,9.76232019982005 56.3693705969078,9.75825037167329 56.3737107232112,9.75578380775705 56.3784080100673,9.75501584889271 56.3832820385524,9.75597665093376 56.3881455319817,9.75862992797141 56.3928115482974,9.76287424969612 56.3971006702898,9.76854685786601 56.4008479164209,9.77542986768345 56.4039091042591,9.78325862396805 56.4061664184381,9.7917318936675 56.4075329650295,9.80052349970747 56.4079561332089,9.80929494031307 56.4074196316008,9.81770849592456 56.4059441188169,9.82544030494065 56.4035864032719,9.83219289089185 56.4004372439899,9.83770664719508 56.3966178393804,9.84176983007837 56.3922751425014,9.8442266732013 56.3875761869941,9.84498331564395 56.3827016458186)))', 'DKRSN', 'Resenbro', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5773693341094 55.8848815153219,12.5768200332621 55.8799995032908,12.5745872421745 55.8752715076986,12.5707573198003 55.8708791400938,12.5654778429475 55.8669910605777,12.5589518750769 55.8637565170264,12.5514301360972 55.8612996352613,12.5432013780386 55.8597146756891,12.5345813347874 55.8590624346448,12.5259006634863 55.8593679251412,12.5174923296477 55.8606194235629,12.5096789068198 55.8627689177403,12.502760264435 55.8657339395564,12.4970021042351 55.869400713543,12.4926257766579 55.8736285035875,12.4897997643726 55.8782549945892,12.4886331617186 55.8831025063127,12.4891714075298 55.8879848042713,12.4913944466405 55.8927142485402,12.4952174047455 55.8971090070232,12.5004937652845 55.9010000556301,12.5070209392294 55.9042376944678,12.5145480230602 55.9066973264857,12.5227854510431 55.9082842725754,12.5314161693736 55.9089374339721,12.5401078957229 55.9086316575475,12.548525981545 55.9073787104472,12.5563463686392 55.9052268253892,12.5632681273273 55.9022588344811,12.5690250814408 55.8985889652085,12.5733960641604 55.8943584249133,12.5762134065242 55.8897299473966,12.5773693341094 55.8848815153219)))', 'DKRUG', 'Rungsted', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3939747492088 55.5321482538695,11.3928342666519 55.5272991543955,11.3900484162506 55.5226693763075,11.3857247397739 55.5184367282612,11.3800296921432 55.514763714478,11.3731821994588 55.5117913132545,11.3654452355367 55.5096335856355,11.357115742166 55.5083733174311,11.348513276425 55.5080588582164,11.3399678124296 55.5087022757006,11.3318071538321 55.5102788945155,11.324344426689 55.5127282367646,11.3178661196807 55.5159563293538,11.3126211201483 55.5198392919756,11.3088111603369 55.5242280713973,11.3065830392955 55.5289541441151,11.3060229231737 55.5338359720793,11.3071529517494 55.5386859665324,11.3099302940499 55.5433176942707,11.3142487035869 55.5475530498226,11.319942527284 55.5512291167739,11.3267930253765 55.5542044520109,11.3345367665041 55.5563645478116,11.3428757771106 55.5576262578313,11.3514890512031 55.5579410129909,11.36004496919 55.5572967005265,11.368214135891 55.555718132059,11.3756821299677 55.5532660823023,11.3821616608979 55.5500349365444,11.3874036550121 55.5461490399104,11.3912068376151 55.5417578923092,11.393425441427 55.5370303777781,11.3939747492088 55.5321482538695)))', 'DKRVY', 'Ruds-Vedby', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((12.1858888382547 54.5440060315749,12.1853997959412 54.5391220653516,12.1832817828956 54.5343873942633,12.1796167068272 54.5299838931538,12.1745457844141 54.5260806585614,12.1682640583259 54.5228275298636,12.1610128761681 54.5203493553327,12.1530706242198 54.5187412197628,12.1447420707119 54.5180648132044,12.1363467218559 54.5183460769038,12.1282066277647 54.5195742143918,12.1206340940975 54.5217021045174,12.1139197583613 54.5246481008332,12.1083214772622 54.5282991499156,12.1040544435921 54.5325151117048,12.1012829084434 54.5371341195091,12.1001138280305 54.5419787775627,12.1005926854508 54.5468629614523,12.1027016582403 54.5515989626422,12.1063602149855 54.5560047037933,12.1114281315167 54.5599107473416,12.1177108227844 54.5631668262718,12.1249667942456 54.5656476431654,12.1329169304945 54.5672577109521,12.1412552629862 54.5679350454184,12.1496607967458 54.5676535640523,12.157809931099 54.5664240964609,12.1653889840872 54.5642939662917,12.1721063256964 54.5613451610188,12.1777036416056 54.5576911617044,12.1819658859665 54.5534725575543,12.1847295368168 54.5488516175353,12.1858888382547 54.5440060315749)))', 'DKRYD', 'Rydsbæk', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6438283479234 55.3824185393559,10.6427844105802 55.3775618794379,10.6400969770362 55.3729144493756,10.6358698124471 55.3686547411543,10.6302656742235 55.364946302502,10.6235000104135 55.3619314747509,10.6158326675358 55.359725948877,10.6075579283832 55.3584143449561,10.5989932590196 55.3580469810688,10.5904671888893 55.3586379526742,10.5823067776475 55.3601645942852,10.5748251364212 55.3625683436272,10.5683094694232 55.3657569761085,10.5630100842071 55.3696081261585,10.5591307856851 55.3739739635651,10.5568210210112 55.3786868490562,10.5561700806302 55.3835657556538,10.5572035867571 55.3884232122196,10.5598824163789 55.3930725043829,10.5641041142084 55.3973348566709,10.5697067551009 55.401046318821,10.5764751189657 55.4040640892007,10.5841489482273 55.4062720288455,10.5924329726008 55.4075851502043,10.6010083124302 55.4079529041799,10.6095448137871 55.4073611359256,10.6177138289544 55.4058326322113,10.6252009369346 55.4034262388005,10.6317181012525 55.4002345828209,10.6370147864036 55.3963804901433,10.6408875985383 55.392012238968,10.6431880779969 55.387297836041,10.6438283479234 55.3824185393559)))', 'DKRYN', 'Rynkeby', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1279406694276 56.3495991596945,10.1269335960448 56.3447387442763,10.124238879197 56.3400807754995,10.1199606018712 56.3358041496633,10.1142635155259 56.332073061137,10.1073666573245 56.3290307159055,10.0995349174464 56.3267938552577,10.0910688827851 56.3254482959698,10.0822933437525 56.3250456543563,10.0735448970236 56.3256013767629,10.0651591078669 56.3270941500598,10.057457710638 56.3294667141714,10.0507363247638 56.3326280464059,10.0452531461485 56.3364568360798,10.0412190406877 56.3408061194439,10.0387894181367 56.3455089008782,10.0380582019914 56.3503845483722,10.039054135834 56.3552457208747,10.041739580849 56.3599055634826,10.0460118656011 56.3641848946238,10.051707150948 56.3679191080709,10.0586066739148 56.3709645220986,10.0664451386381 56.3732039282212,10.0749209344288 56.3745511221366,10.08370778483 56.3749542386726,10.0924673711109 56.3743977591806,10.1008624321044 56.3729031120502,10.1085698219011 56.3705278426314,10.1152930087613 56.3673633854753,10.1207735225995 56.3635315270063,10.1248009032109 56.3591796981698,10.1272207646385 56.3544752821102,10.1279406694276 56.3495991596945)))', 'DKSAB', 'Sabro', 'Y'),('SRID=4326;MULTIPOLYGON(((8.2577687101383 56.1992767768673,8.25700260411358 56.1944026885533,8.25454609480556 56.1897055443703,8.25049413004194 56.1853657583497,8.24500279673241 56.181549960678,8.23828326612016 56.1784046163291,8.23059365713415 56.1760504229593,8.22222913372097 56.1745776993309,8.21351061412655 56.1740429374271,8.20477251807175 56.1744666472754,8.19635001057953 56.1758325749158,8.18856621822244 56.178088322636,8.18171989445893 56.181147348303,8.17607399550567 56.1848922691154,8.17184559713291 56.1891793461483,8.16919753648088 56.1938439813525,8.16823210247492 56.1987070198339,8.16898702512303 56.2035816187418,8.17143392990671 56.2082804212365,8.17547933119883 56.2126227608242,8.18096814131965 56.2164416185616,8.18768957316112 56.2195900636077,8.19538521835201 56.2219469262529,8.20375899398945 56.2234214813614,8.2124885732593 56.2239569581234,8.22123785270287 56.2235327376805,8.22966996472497 56.2221651517262,8.23746032054926 56.2199068504364,8.24430916748985 56.2168447647027,8.24995316520173 56.2130967431939,8.25417552736406 56.2088069968879,8.25681433579614 56.2041405302058,8.2577687101383 56.1992767768673)))', 'DKSAD', 'Stadil', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5661270741833 57.3334342996439,10.5650338033334 57.328578704976,10.5622106795647 57.3239317136473,10.5577667487098 57.319671793353,10.5518731413433 57.3159624888772,10.5447564428913 57.3129461617567,10.5366899714821 57.3107385475304,10.5279833008703 57.3094243354652,10.5189704270097 57.3090539364796,10.5099970234015 57.3096415600707,10.501407261256 57.3111646720015,10.4935306851852 57.3135648530233,10.4866696333453 57.3167500267309,10.4810876726746 57.3205979735297,10.4769994854476 57.3249609993794,10.4745625934237 57.3296715841563,10.4738712414607 57.3345487967369,10.4749526851297 57.3394052337233,10.4777660387234 57.3440542173596,10.4822037438288 57.3483169766405,10.4880956176867 57.3520295345723,10.4952153387851 57.3550490343092,10.503289128828 57.35725925731,10.5120062998661 57.3585751171451,10.5210312573493 57.3589459520371,10.5300164881513 57.3583574861261,10.5386160204761 57.3568323818851,10.5464988222895 57.3544293618744,10.5533616076238 57.3512409347099,10.558940545635 57.347389815296,10.5630214142241 57.3430241806744,10.5654478058288 57.3383119481301,10.5661270741833 57.3334342996439)))', 'DKSAE', 'Sæby', 'Y'),('SRID=4326;MULTIPOLYGON(((9.92278432727091 55.331677193331,9.92182999594846 55.3268141501235,9.91923037803412 55.3221506473797,9.91508587170587 55.3178657992268,9.90955607027464 55.3141241225442,9.90285358027058 55.3110692371206,9.89523583616291 55.3088183723915,9.88699522847602 55.3074578879168,9.87844792141539 55.3070399758736,9.86992178152122 55.3075806690712,9.86174386931976 55.3090592289634,9.85422796082404 55.3114189365502,9.84766256475805 55.3145692566924,9.84229988455371 55.3183892949897,9.83834614181531 55.3227324177569,9.83595363071642 55.3274318614862,9.83521481174481 55.332307120113,9.8361586798646 55.3371708678824,9.83874955857863 55.3418361538992,9.84288838017211 55.3461235925498,9.84841641678455 55.3498682725754,9.85512133056586 55.3529261169557,9.86274531805097 55.3551794457805,9.87099503821869 55.3565415243533,9.87955293956985 55.3569599178097,9.88808954267717 55.3564185200493,9.89627619408278 55.3549381768818,9.90379778730819 55.3525758787952,9.91036494818197 55.3494225553093,9.91572520459857 55.3455995580564,9.91967270395572 55.3412539711956,9.92205610257884 55.3365529333702,9.92278432727091 55.331677193331)))', 'DKSAG', 'Sandager', 'Y'),('SRID=4326;MULTIPOLYGON(((9.72905669995967 57.2667413302848,9.7280756928317 57.2618783598138,9.72536317191267 57.2572124833281,9.72102394227137 57.2529228997967,9.71522512680686 57.2491742977426,9.7081896879429 57.246110550378,9.700187841699 57.2438492145361,9.69152669669255 57.2424770405647,9.68253851265946 57.2420466615635,9.67356802050828 57.2425745857126,9.66495927776151 57.2440405665823,9.65704254888979 57.2463883749097,9.65012169923695 57.2495279431338,9.64446257397274 57.2533388027429,9.64028280009445 57.2576746859574,9.63774340055221 57.2623691191274,9.63694254611981 57.2672417970865,9.63791169418373 57.2721054970236,9.64061427624821 57.2767732684971,9.6449470003439 57.2810656240439,9.6507437339834 57.2848174531274,9.65778183168496 57.2878843912493,9.665790672648 57.2901483958127,9.67446208337364 57.2915223101802,9.68346224126195 57.2919532362924,9.69244459249044 57.2914245826761,9.70106327409676 57.289956706816,9.70898650850788 57.2876061264707,9.71590943997194 57.2844633312165,9.72156590638529 57.280649280851,9.72573868553944 57.2763107289176,9.72826781936871 57.2716145553539,9.72905669995967 57.2667413302848)))', 'DKSAL', 'Saltum', 'Y'),('SRID=4326;MULTIPOLYGON(((14.798731289249 55.2790799060406,14.7979157351826 55.2742084818542,14.7954515401094 55.2695214520049,14.7914339101449 55.2651988417642,14.786017582162 55.2614066239811,14.7794108255597 55.2582903625611,14.7718674200704 55.2559696442124,14.7636769206452 55.2545335085458,14.7551535808311 55.254037048242,14.7466243525814 55.2544993066242,14.7384164120741 55.2559025512013,14.7308446772275 55.2581929502863,14.7241997828691 55.261282627419,14.7187369639497 55.2650530168037,14.7146662660822 55.2693593940852,14.7121444566727 55.2740364122333,14.7112689500021 55.2789044337123,14.7120739873181 55.2837764189485,14.7145292302946 55.2884651086563,14.7185408356909 55.2927902248667,14.7239549838207 55.2965854132196,14.7305637371504 55.2997046575677,14.7381130119661 55.3020279170785,14.7463123597661 55.303465765272,14.7548461799175 55.3039628487505,14.7633859249285 55.3035000293178,14.7716028175371 55.30209512488,14.7791805769477 55.2998022198232,14.7858276511484 55.2967095721197,14.7912884733298 55.2929361998079,14.7953533018662 55.2886272813663,14.7978662629051 55.2839485506934,14.798731289249 55.2790799060406)))', 'DKSAN', 'Sæne', 'Y'),('SRID=4326;MULTIPOLYGON(((9.44158237610347 56.0358485071564,9.44067026170484 56.0309822517265,9.43808057336674 56.0263090872996,9.43391335646362 56.0220084995699,9.42832910089862 56.0182456082929,9.42154252111925 56.015164844578,9.4138142875207 56.0128844270477,9.40544102954805 56.0114918451073,9.39674399151167 56.0110405189067,9.38805676868505 56.0115477610029,9.37971258265014 56.0129941158505,9.37203157047322 56.0153241017795,9.36530856184219 56.0184483278058,9.35980180178121 56.0222469062416,9.35572304428243 56.0265740333891,9.35322939479487 56.0312635663021,9.35241721801955 56.0361353853134,9.35331835338185 56.0410023012095,9.35589879593087 56.0456772438683,9.36005990787876 56.0499804568764,9.36564212874757 56.0537464208039,9.37243105385642 56.0568302367586,9.38016565575745 56.0591132214417,9.38854833549025 56.0605074946219,9.39725641436575 56.0609593786727,9.40595461624025 56.0604514761094,9.41430804806876 56.0590033430277,9.42199516519577 56.056670731818,9.42872020851119 56.0535434331403,9.43422462323115 56.0497418024657,9.43829701242291 56.0454121081676,9.44078124015547 56.040720884017,9.44158237610347 56.0358485071564)))', 'DKSAO', 'Salten Langsø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8704436074949 55.0639828858715,11.8692606589302 55.0591384464547,11.8664543882452 55.054519495919,11.8621331016122 55.0503034259535,11.8564631445346 55.0466521046387,11.8496624667438 55.0437056792568,11.8419922380984 55.0415772165025,11.8337468389013 55.0403483821208,11.8252426051766 55.040066322257,11.8168057525838 55.040741863381,11.8087599308417 55.0423490981917,11.801413873204 55.0448263731192,11.7950496024089 55.0480786407011,11.7899116356645 55.0519810889945,11.7861975969735 55.0563839120612,11.7840505961475 55.0611180421366,11.7835536713326 55.0660016269662,11.7847265173473 55.0708470064135,11.787524637776 55.0754679220535,11.7918409672486 55.0796866830285,11.7975099149457 55.0833410115763,11.8043136848073 55.0862903025909,11.8119906362372 55.088421053111,11.8202453654498 55.0896512490992,11.8287601160096 55.0899335371177,11.8372070711619 55.089257055962,11.8452610431626 55.0876478560447,11.8526120579546 55.085167890106,11.8589773381192 55.0819126152906,11.8641122127833 55.0780073013656,11.8678195286875 55.0736021905355,11.869957199504 55.0688666988554,11.8704436074949 55.0639828858715)))', 'DKSAR', 'Skaverup', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2271931823552 55.7222063776001,11.2260671268464 55.7173557424639,11.2232867550343 55.7127222572816,11.2189594062664 55.7084838733825,11.2132516834311 55.7048033149397,11.2063830042586 55.7018218490982,11.1986171582806 55.6996538837147,11.1902521955091 55.6983825962795,11.1816090314251 55.6980567581308,11.173019197232 55.698688872873,11.1648121935685 55.7002546986259,11.1573029193958 55.7026941720471,11.1507796453171 55.7059136997647,11.1454929821773 55.7097897316985,11.1416462617673 55.7141734824934,11.1393876974951 55.7188966236458,11.1388046300794 55.7237777314689,11.139920088235 55.7286292462761,11.1426918090796 55.7332646773121,11.1470137702963 55.7375057770096,11.1527201892041 55.7411894077404,11.1595918465863 55.7441738346314,11.1673644995082 55.7463441990329,11.1757390616628 55.7476169582252,11.1843931561488 55.747943116808,11.1929935877055 55.7473101223937,11.2012092423396 55.7457423507848,11.2087239040572 55.7433001615632,11.2152484820517 55.7400775615571,11.2205321669712 55.736198568575,11.2243720804344 55.7318124187644,11.2266210453297 55.7270878058569,11.2271931823552 55.7222063776001)))', 'DKSAV', 'Saltbæk Vig', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6821636708719 54.7970530703244,11.6810121310705 54.7922062906469,11.6782467990764 54.7875823918559,11.6739744027176 54.7833589579111,11.6683594075279 54.7796981420148,11.6616176540596 54.7767404581409,11.6540080543811 54.7745994068779,11.6458226681494 54.7733571382056,11.6373755356565 54.7730613141651,11.628990688369 54.7737232890157,11.6209897857456 54.7753176750326,11.6136798399408 54.7777833103103,11.6073414871174 54.7810255925649,11.6022182455351 54.7849200917607,11.5985071667061 54.7893173061966,11.5963512374119 54.7940483831724,11.5958338283646 54.7989315881333,11.5969754113703 54.8037792766986,11.5997326831176 54.8084051034749,11.6040001428776 54.8126311909847,11.60961407667 54.816294982045,11.616358805533 54.8192555097402,11.6239749644234 54.8213988405354,11.6321694951042 54.8226424774125,11.6406269651225 54.8229385500329,11.6490217692149 54.8222756662933,11.6570307320875 54.820679352289,11.6643456144853 54.8182110634444,11.6706850286952 54.8149658060254,11.6758052948736 54.8110684630094,11.6795098144882 54.8066689690435,11.6816565993393 54.8019365238648,11.6821636708719 54.7970530703244)))', 'DKSAX', 'Sakskøbing', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4506227474911 55.215131141594,11.4494855895931 55.2102823188866,11.4467164518967 55.2056534611169,11.4424222236542 55.201422342502,11.4367682211552 55.1977514100663,11.4299717905612 55.1947815641084,11.4222939455499 55.1926267695696,11.4140293625684 55.1913697014264,11.4054951142073 55.1910585876635,11.3970185649105 55.191705368105,11.3889248819591 55.1932852380152,11.3815246278353 55.1957375936381,11.3751018974007 55.1989683445051,11.3699034448627 55.2028535061677,11.3661292115879 55.2072439387895,11.3639246171395 55.2119710534468,11.363374913575 55.2168532706555,11.3645018286166 55.2217029860142,11.3672626389182 55.2263337771723,11.3715517229973 55.2305675755724,11.3772045477178 55.2342415262174,11.3840039462268 55.2372142693139,11.3916884530106 55.2393713988571,11.3999623774281 55.2406298843868,11.4085072247385 55.2409412821339,11.4169940169016 55.2402936090398,11.4250960272504 55.2387118057391,11.4325014255316 55.2362567703291,11.4389253337335 55.2330230012522,11.4441208183467 55.2291349424523,11.4478883898463 55.2247421748283,11.4500836428647 55.2200136427863,11.4506227474911 55.215131141594)))', 'DKSBB', 'Stubberup', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0802526618749 54.8910479640966,12.0797736795384 54.8861639236312,12.0776513622464 54.8814275737254,12.0739677952351 54.8770208533553,12.0688649154487 54.8731129815541,12.062538999416 54.8698539740348,12.0552330939088 54.8673689027545,12.0472276842383 54.8657531152846,12.0388299574719 54.8650685937907,12.0303620667663 54.8653415900404,12.0221488372889 54.8665616247615,12.0145053731445 54.8686818885641,12.007725027972 54.8716210292883,12.0020681893877 54.8752662588319,11.9977522994945 54.8794776630105,11.9949434908161 54.8840935525429,11.9937501602268 54.8889366534468,11.994218734097 54.8938209024878,11.9963317978756 54.8985585891492,12.0000086750885 54.9029675709464,12.0051084472532 54.9068782845649,12.0114353109499 54.910140281651,12.0187460751362 54.9126280351131,12.0267595148122 54.9142457890415,12.0351672204145 54.9149312618948,12.0436455195972 54.9146580570691,12.0518680025942 54.9134366855906,12.0595181565348 54.9113141603588,12.0663016093199 54.908372177816,12.0719575002292 54.9047239587061,12.0762685314372 54.9005098723475,12.0790693101123 54.8958920163586,12.0802526618749 54.8910479640966)))', 'DKSBK', 'Stubbekobing', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5923807678467 54.9714396632581,10.591354710075 54.966582141564,10.5887016495248 54.9619330676284,10.5845240187252 54.9576709984759,10.578982664626 54.9539595750128,10.5722906214414 54.9509412559353,10.5647049114025 54.9487318688543,10.5565166903465 54.9474161841268,10.548040113338 54.9470446776976,10.539600339916 54.9476316042491,10.5315211280864 54.9491544527532,10.524112480235 54.9515548048447,10.5176588024303 54.9547405640428,10.5124080211508 54.9585894725374,10.5085620686293 54.9629537837884,10.506269100434 54.9676659152679,10.5056177476846 54.9725448679237,10.5066336329726 54.9774031688132,10.5092782957021 54.9820540721059,10.5134505818354 54.9863187422747,10.5189904581008 54.9900331424324,10.5256851152733 54.9930543607082,10.5332771331678 54.9952661281145,10.5414743956341 54.9965833119107,10.5499613711337 54.996955207932,10.5584113170493 54.996367502184,10.5664989267028 54.9948428243207,10.5739129192152 54.992439871211,10.580368074843 54.9892511353177,10.5856162421248 54.9853993276257,10.5894558867875 54.9810326360516,10.5917398135778 54.9763190055054,10.5923807678467 54.9714396632581)))', 'DKSBL', 'Skovballe', 'Y'),('SRID=4326;MULTIPOLYGON(((8.41449961670181 55.9652194018082,8.41371818020405 55.9603460741713,8.41125727037858 55.9556518628285,8.40721199421593 55.9513170689612,8.40173817320574 55.947508131526,8.39504630005951 55.9443712531428,8.38739342897716 55.9420268078761,8.37907331417613 55.9405647418283,8.37040517302878 55.9400411392787,8.36172149773162 55.9404760828924,8.35335537191759 55.9418528878862,8.34562776537772 55.9441187386862,8.33883528077359 55.9471867042939,8.33323881088839 55.9509390570752,8.32905353386959 55.95523177075,8.32644062767604 55.9599000287001,8.32550102456178 55.9647645349453,8.32627145337319 55.9696383887375,8.32872293370378 55.9743342609817,8.33276179411703 55.97867159764,8.3382331898639 55.9824835726392,8.34492699745971 55.9856235209182,8.35258586820468 55.9879706010483,8.36091513448827 55.9894344657928,8.36959418570693 55.9899587570365,8.37828886870222 55.9895232872667,8.38666442401639 55.9881448213693,8.39439844630136 55.9858764277761,8.40119335615744 55.9828054246034,8.40678789158129 55.9790500019271,8.41096716893219 55.974754653391,8.41357092364749 55.9700845967465,8.41449961670181 55.9652194018082)))', 'DKSTU', 'Stauning', 'Y'),('SRID=4326;MULTIPOLYGON(((9.90138024507695 54.9606861887822,9.90043781245663 54.9558226434764,9.89786514888639 54.9511583088811,9.89376160564613 54.9468723325905,9.88828519488544 54.9431292769303,9.88164646952753 54.9400728170502,9.87410041718119 54.9378202451734,9.86593668174066 54.9364579883153,9.85746848527871 54.9360383079032,9.84902066793904 54.9365773049573,9.84091729379944 54.9380543054436,9.83346928548433 54.9404126487979,9.82696254936216 54.9435618502207,9.82164703648244 54.9473810559374,9.81772715230689 54.9517236619731,9.81535388143058 54.9564229228201,9.81461893292688 54.9612983382953,9.81555113921148 54.9661625763557,9.81811525845201 54.9708286679312,9.82221324016455 54.9751171979439,9.82768791889271 54.9788632152873,9.83432900540184 54.9819225939226,9.84188115262144 54.9841775972723,9.85005378876888 54.9855414281508,9.85853233671838 54.9859615855002,9.86699038040382 54.9854218956905,9.8751022988768 54.9839431382218,9.8825558687148 54.9815822411435,9.88906433685895 54.9784300780368,9.89437748857742 54.9746079535658,9.89829127787601 54.9702629160593,9.90065564805027 54.9655620811939,9.90138024507695 54.9606861887822)))', 'DKSBN', 'Sebbelev Nor', 'Y'),('SRID=4326;MULTIPOLYGON(((9.60556970145003 56.0257892813606,9.60463721808179 56.0209242830944,9.60202843894803 56.0162546021795,9.5978441406147 56.0119595894697,9.59224546606744 56.0082041498675,9.58544768013914 56.0051324279661,9.57771188032868 56.0028622952421,9.56933498402725 56.0014808466156,9.56063837369542 56.0010410754576,9.55195562790463 56.0015598514905,9.54361979736461 56.0030172771121,9.53595070048713 56.0053574461807,9.52924271239894 56.00849057699,9.52375350461878 56.0122964398025,9.51969416016302 56.0166289506633,9.51722104128018 56.0213217589808,9.51642972537536 56.0261946181479,9.51735125048009 56.0310602977571,9.51995082690466 56.0357317740073,9.52412907911119 56.0400294227217,9.52972578458319 56.0437879376904,9.5365259782642 56.0468627061237,9.54426819609928 56.049135392738,9.55265454361215 56.0505185138061,9.56136219947983 56.0509588213423,9.57005590354559 56.0504393639653,9.57840093679921 56.0489801430061,9.58607607979822 56.0466373379308,9.59278603694983 56.0435011317542,9.59827283696581 56.0396922224108,9.60232576339255 56.0353571576619,9.6047894310692 56.0306626769051,9.60556970145003 56.0257892813606)))', 'DKSBO', 'Skanderborg Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((8.96504950958256 56.4350208619638,8.96418847253232 56.4301514701576,8.96162993754855 56.4254686740235,8.95747277256252 56.421152330852,8.95187709936467 56.4173681655878,8.94505808500752 56.4142614249103,8.93727765372022 56.4119513223525,8.92883444071041 56.4105264838492,8.92005237092928 56.4100415646685,8.91126829332374 56.4105151642896,8.90281913327716 56.411929117051,8.89502904222212 56.4142291850112,8.88819702350119 56.417327127186,8.88258549745236 56.4211040679262,8.87841023669838 56.4254150384212,8.87583205534377 56.4300945208663,8.87495057424393 56.4349627863204,8.87580031019226 56.4398327861816,8.87834925179999 56.4445173348041,8.88249999163925 56.4488363080975,8.88809338609106 56.4526235807055,8.89491461502395 56.4557334328839,8.90270141706237 56.4580461774016,8.91115418711069 56.459472786109,8.91994754524414 56.4599583342399,8.92874292396386 56.4594841265629,8.93720167739163 56.4580684213107,8.94499819358842 56.4557657232263,8.95183249104318 56.4526646737068,8.95744180250399 56.4488846214666,8.96161069250171 56.4445710090139,8.96417931682283 56.4398897563671,8.96504950958256 56.4350208619638)))', 'DKSBS', 'Stubbergård Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.92631435354982 54.899677520902,9.92537042480695 54.8948141264212,9.92279885365083 54.8901502691931,9.9186989472442 54.885865078542,9.91322857633768 54.8821230868326,9.90659806085573 54.8790679286783,9.89906207289715 54.8768168466957,9.89090987046041 54.8754562110653,9.88245423403351 54.8750382212721,9.87401952320985 54.8755789136122,9.8659293006962 54.8770575489956,9.85849398584288 54.8794174039558,9.85199899885755 54.8825679353741,9.84669384017536 54.8863882380147,9.84278251737002 54.890731665331,9.84041568516174 54.8954314398318,9.83968480356992 54.900307041233,9.84061854659365 54.9051711300997,9.84318161103257 54.9098367430014,9.84727598479374 54.914124483329,9.8527446394227 54.9178694305528,9.85937751628496 54.9209275001094,9.86691958378515 54.9231810061476,9.87508065837047 54.9245432094457,9.88354660884768 54.9249616718551,9.89199150540046 54.9244202851281,9.90009023463495 54.922939894069,9.9075310821289 54.9205774894304,9.91402778538133 54.917424002497,9.91933058267323 54.9136007884549,9.92323582593333 54.9092549370853,9.92559378599786 54.9045535949187,9.92631435354982 54.899677520902)))', 'DKSDA', 'Sydals', 'Y'),('SRID=4326;MULTIPOLYGON(((8.5625856606628 56.8831678905116,8.56176671223777 56.8782961706158,8.55922804033626 56.8736054932902,8.55506777080369 56.8692760195495,8.54944616335556 56.8654739780925,8.54257939485494 56.8623453001536,8.5347312304267 56.860010038683,8.52620290565165 56.8585577821865,8.51732160579668 56.8580442353156,8.50842797636813 56.8584890940659,8.49986313220185 56.8598752948387,8.49195564919696 56.8621496653192,8.48500902336529 56.8652249528949,8.47929006609732 56.8689831549255,8.47501867272077 56.8732800263322,8.47235935415637 56.8779505954051,8.47141485975138 56.882815480024,8.47222214466311 56.8876877651543,8.47475084948443 56.8923801797747,8.47890436576629 56.8967122983837,8.48452346191546 56.9005174896257,8.49139234339413 56.9036493427403,8.49924692339852 56.9059873213856,8.50778498963574 56.9074414233897,8.51667787378855 56.9079556631391,8.52558316674349 56.9075102391533,8.53415797799572 56.9061223010833,8.54207221424638 56.9038452857322,8.54902135136426 56.9007668483703,8.5547381956411 56.897005471165,8.55900317343574 56.892705882586,8.56165275054289 56.8880334680079,8.5625856606628 56.8831678905116)))', 'DKSDD', 'Snedsted', 'Y'),('SRID=4326;MULTIPOLYGON(((8.24591241207736 56.3222814920866,8.24514549147793 56.3174074244659,8.24268268053401 56.3127101203363,8.23861917368296 56.3083699995026,8.23311150454145 56.304553704386,8.22637147351311 56.3014077182823,8.21865798675442 56.2990527626737,8.21026712334541 56.2975791848638,8.20152080978024 56.2970435091094,8.19275452900127 56.2974662802878,8.18430452410852 56.2988312805662,8.17649497394277 56.3010861482404,8.16962561865816 56.3041443756264,8.16396029815729 56.3078886113939,8.15971683514147 56.3121751437806,8.15705864813827 56.3168393964212,8.15608841920209 56.321702229678,8.15684406750047 56.3265768088588,8.15929719569176 56.3312757778293,8.16335408344867 56.3356184633281,8.16885920485257 56.3394378324876,8.17560114737234 56.342586934017,8.18332071384693 56.3449445721386,8.1917208996159 56.3464199911601,8.20047835893936 56.3469563865162,8.2092559120317 56.3465331037768,8.21771559968273 56.3451664386554,8.22553176893826 56.3429090063138,8.23240367194868 56.3398477048838,8.23806708094579 56.3361003536914,8.24230446424007 56.3318111387939,8.24495332888766 56.3271450449442,8.24591241207736 56.3222814920866)))', 'DKSDH', 'Sandholm', 'Y'),('SRID=4326;MULTIPOLYGON(((9.23697579683352 55.499922808919,9.23610168177323 55.4950545926287,9.23357181083077 55.4903766835405,9.22948391571918 55.4860687529382,9.22399543030533 55.4822962065565,9.21731738923511 55.4792038503065,9.20970630065101 55.47691035146,9.20145430790029 55.4755037041991,9.19287801535909 55.4750378698668,9.18430639977086 55.4755307177295,9.17606825979416 55.476963343201,9.16847967214467 55.4792807889806,9.1618319225 55.4823941422049,9.15638036321787 55.4861839292597,9.15233461820103 55.4905046811325,9.14985050856622 55.4951904977937,9.14902401217211 55.5000614017063,9.14988749703092 55.5049302396441,9.15240838519847 55.5096098698239,9.15649031250681 55.5139203589418,9.16197675363403 55.5176959117526,9.16865698516075 55.5207912646439,9.17627416546969 55.5230872941322,9.18453522380466 55.5244956207677,9.19312217563548 55.5249620275374,9.2017044214361 55.5244685580261,9.20995154419211 55.5230342114608,9.21754609964017 55.5207142071635,9.22419589356044 55.5175978475093,9.22964526237516 55.5138050638141,9.23368491566275 55.5094817813016,9.236159959718 55.504794285268,9.23697579683352 55.499922808919)))', 'DKSDJ', 'Sønderjylland', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6440217599918 54.6620681438313,11.6428791066526 54.6572208141728,11.640127765531 54.6525958063878,11.6358739234964 54.6483707477912,11.6302813314192 54.6447078548892,11.6235649691931 54.6417477223435,11.6159827752637 54.6396039455811,11.6078257597882 54.6383587798144,11.599406877454 54.6380599985931,11.5910490790283 54.6387190696488,11.5830729889571 54.6403107163579,11.5757846691673 54.6427738813505,11.5694639263929 54.6460140564062,11.5643536018877 54.6499068915979,11.5606502486356 54.6543029484319,11.5584965528477 54.6590334181979,11.5579757947326 54.6639165894983,11.5591085698472 54.6687648194145,11.5618519088839 54.6733917422389,11.5661008432175 54.6776194391094,11.5716923691322 54.6812852918671,11.5784116690499 54.6842482552392,11.5860003572902 54.6863943028308,11.5941664349963 54.6876408337158,11.6025955678372 54.6879398665172,11.6109632444967 54.6872798952027,11.6189473366552 54.6856863334521,11.6262405641401 54.6832205301837,11.6325623730666 54.6799773952718,11.6376697598711 54.6760817292549,11.6413666188099 54.6716834015938,11.6435112523729 54.6669515667113,11.6440217599918 54.6620681438313)))', 'DKSDL', 'Sandager, Nysted', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3109458275361 55.4825373282395,10.3099399070276 55.4776777371174,10.307284502047 55.4730229271355,10.3030821543452 55.468751675474,10.2974946758527 55.4650279741751,10.2907368821466 55.4619947508242,10.2830683234128 55.4597684021024,10.2747833327109 55.4584343463104,10.2661997705045 55.4580437618999,10.2576468895472 55.4586116341541,10.2494527743328 55.4601161830522,10.2419318238035 55.4624996937381,10.235372744598 55.4656707186672,10.2300275048151 55.4695075691923,10.2261016653971 55.4738629658457,10.2237464584642 55.478569672571,10.2230529203146 55.4834469022805,10.2240483128873 55.488307250811,10.2266949833407 55.4929638948911,10.2308917196757 55.4972377781167,10.2364775642428 55.5009645078137,10.2432379502177 55.5040006953511,10.2509129327673 55.506229492777,10.2592072008649 55.507565108997,10.2678014816467 55.5079561279981,10.2763648905503 55.5073874983345,10.2845677402955 55.5058811153358,10.2920943021862 55.503494973084,10.2986550153057 55.500320919756,10.3039976628093 55.4964811050454,10.307917078408 55.4921232596902,10.3102630079505 55.4874149925389,10.3109458275361 55.4825373282395)))', 'DKSDS', 'Søndersø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0952461811723 55.7920540468717,12.0947582624068 55.7871705511004,12.0925891979574 55.7824345003167,12.0888228997154 55.7780278190811,12.0836045055218 55.7741197202968,12.0771347407672 55.7708602227732,12.0696621766207 55.7683744115261,12.0614736865902 55.7667576575237,12.0528834667419 55.766071976531,12.0442210347335 55.7663436633642,12.035818657715 55.7675622898235,12.0279986784432 55.7696811035378,12.0210612122823 55.7726188126822,12.0152726750907 55.7762626897871,12.01085557357 55.7804728784163,12.0079799460521 55.7850877410551,12.0067567838664 55.7899300467473,12.0072336927405 55.7948137643474,12.0093929720524 55.7995512030215,12.0131521996077 55.8039602269158,12.0183673140138 55.8078712664791,12.0248380892003 55.8111338551954,12.0323158001716 55.8136224374425,12.0405127898639 55.8152412203924,12.049113568214 55.8159278793906,12.0577870101257 55.8156559707281,12.0661991722885 55.8144359563764,12.0740262222447 55.8123148000011,12.0809669681829 55.8093741500764,12.0867544949305 55.8057271817793,12.0911664496196 55.801514222152,12.0940335774781 55.7968973305681,12.0952461811723 55.7920540468717)))', 'DKSDV', 'Skuldelev Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((9.61168089640732 56.9617849937901,9.61072352314254 56.9569208275275,9.60804814902161 56.9522521209495,9.60375814209636 56.9479581837623,9.59801872878309 56.9442038741058,9.59105058917352 56.9411332868186,9.58312135873907 56.9388642435058,9.57453536562863 56.9374837919666,9.56562199450339 56.9370448838106,9.5567231151099 56.9375643544844,9.54818004557212 56.9390222810811,9.54032053608149 56.9413627418881,9.53344625800033 56.9444959494014,9.527821266377 56.9483016772611,9.52366187079708 56.9526338529751,9.52112830099276 56.9573261441049,9.52031849072581 56.962198327386,9.52126422765618 56.9670631995159,9.52392983026962 56.9717337663447,9.52821341813669 56.97603043496,9.53395074208575 56.9797879313874,9.54092144011474 56.9828616756315,9.54885748725886 56.985133365469,9.55745351758801 56.9865155501906,9.56637861836418 56.986955014325,9.57528913410492 56.9864348377827,9.58384197515509 56.9849750509328,9.59170790369803 56.9826318586954,9.59858427113014 56.9794954644102,9.60420670432122 56.9756865795947,9.60835928318656 56.9713517573584,9.61088281577806 56.9666577330486,9.61168089640732 56.9617849937901)))', 'DKSEB', 'Sebbersund', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2426997406955 56.9835545069408,10.2416596175797 56.9786956537967,10.2389039859208 56.974040908775,10.2345392899703 56.9697690410154,10.2287336140382 56.9660440578473,10.2217101698592 56.9630089261599,10.2137387032558 56.9607801059591,10.205125152609 56.9594431019771,10.1961999527654 56.9590492001785,10.1873054245908 56.9596135111869,10.1787827214491 56.9611143936571,10.1709588188526 56.9634942791397,10.1641340321254 56.9666618677663,10.158570529164 56.9704956128929,10.1544822715685 56.9748483644133,10.1520267682062 56.979552996497,10.1512989616867 56.9844288076042,10.1523274918192 56.9892884502645,10.1550734929691 56.9939451265304,10.1594319870414 56.9982197732483,10.1652358339073 57.0019479600182,10.1722621002939 57.0049862322316,10.1802406107257 57.0072176517658,10.1888643544637 57.0085563181632,10.1978013448542 57.0089506923707,10.2067074660247 57.0083855918449,10.2152397996798 57.006882778128,10.2230699041481 57.0045001136848,10.229896519928 57.0013293214555,10.2354572006693 56.9974924358041,10.2395384144319 56.9931370849528,10.2419837247094 56.9884307904562,10.2426997406955 56.9835545069408)))', 'DKSEL', 'Skellet', 'Y'),('SRID=4326;MULTIPOLYGON(((8.84068814639339 56.9660665156283,8.83983114826865 56.9611966856522,8.83725196975855 56.9565117202382,8.83305029274603 56.9521915587906,8.82738796475803 56.9484020704581,8.82048272175258 56.9452887030583,8.8125998001968 56.9429709209876,8.80404176381386 56.9415376417057,8.79513693291972 56.9410438420099,8.78622685238111 56.9415084609872,8.7776532668903 56.9429136778656,8.76974508885084 56.9452055916551,8.76280584440842 56.9482962772499,8.75710206704077 56.9520671412848,8.75285307592509 56.9563734522724,8.75022252864147 56.9610498750733,8.74931207564977 56.9659168011852,8.75015736887032 56.9707872351547,8.75272659063495 56.9754739748942,8.75692157488373 56.9797968108749,8.76258149300348 56.9835894667753,8.76948897591955 56.9867060125445,8.77737844616161 56.9890264999079,8.78594634302958 56.990461599549,8.79486284503687 56.9909560575369,8.80378463049279 56.9904908345652,8.81236817273466 56.9890838433589,8.82028304353262 56.9867892550338,8.82722469783033 56.9836954018702,8.83292623527422 56.9799213594669,8.83716867769803 56.9756123431889,8.83978936450186 56.9709341000312,8.84068814639339 56.9660665156283)))', 'DKSEN', 'Sennels', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1813738633115 55.8802214552037,11.1802484213094 55.8753705072665,11.1774617008686 55.8707361437776,11.1731212908785 55.8664963494531,11.1673943001325 55.8628139019314,11.1605008885873 55.8598301399598,11.1527057955318 55.8576595585323,11.1443081918753 55.856385434632,11.1356302425244 55.856056647778,11.1270048093731 55.8566858144125,11.1187627548015 55.8582488058862,11.1112203191891 55.8606856681385,11.1046670435299 55.8639029088764,11.0993546898175 55.8677770668997,11.0954875777865 55.8721594299686,11.0932147075182 55.8768817239523,11.0926239744441 55.8817625585465,11.0937387079643 55.8866143850474,11.0965166793722 55.8912507007872,11.1008516317388 55.8954932238379,11.1065772871456 55.8991787611377,11.1134736889319 55.9021655035488,11.1212756425739 55.9043385023318,11.129682932701 55.9056141124829,11.1383719197279 55.9059432282143,11.1470080613717 55.9053131830148,11.1552588649793 55.9037482392879,11.1628067582089 55.9013086483074,11.1693613691954 55.8980883177908,11.174670732656 55.8942111793292,11.1785309840973 55.8898263989071,11.1807941679013 55.8851026186746,11.1813738633115 55.8802214552037)))', 'DKSEO', 'Sejerø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.83332616124643 54.9097106326872,9.83239318611456 54.9048464887949,9.8298316896457 54.9001806392898,9.82574059328245 54.8958922905735,9.82027743107557 54.8921460966794,9.81365224792538 54.8890858537587,9.80611951284706 54.8868289996196,9.79796836022204 54.8854621258199,9.78951153092784 54.8850376709672,9.78107343036512 54.8855719191285,9.77297775071055 54.8870443782141,9.76553511959222 54.8893985615935,9.75903123651724 54.8925441437962,9.75371594179093 54.8963604097301,9.74979363067071 54.9007008681881,9.7474153787553 54.9053988562134,9.74667308417621 54.9102739227818,9.74759585955532 54.9151387496907,9.75014882396655 54.9198063457947,9.75423435489494 54.9240972387886,9.75969576557774 54.9278463872964,9.76632327777058 54.9309095453538,9.77386206788482 54.9331688313493,9.78202207971551 54.9345372834966,9.79048922365033 54.9349622228985,9.79893752397582 54.9344272917197,9.80704173569172 54.9329530860332,9.81448993224016 54.9305963583742,9.82099556682875 54.9274478215571,9.82630853250239 54.9236286404873,9.83022478858299 54.919285750175,9.8325941812975 54.914586183804,9.83332616124643 54.9097106326872)))', 'DKSGD', 'Sønderborg', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5994551456761 55.0404366851374,10.5984263079916 55.0355792933405,10.5957677192452 55.030930459342,10.5915820263667 55.0266687306446,10.5860303872995 55.0229577346693,10.5793262317153 55.019939913243,10.5717270465387 55.017731074439,10.5635245037972 55.0164159672215,10.5550333066567 55.0160450451591,10.5465791739506 55.016632540461,10.538486413066 55.0181559203963,10.5310655451134 55.0205567464772,10.5246014445934 55.0237429044087,10.5193424383017 55.0275921214983,10.515490775324 55.0319566397608,10.5131948323247 55.0366688690369,10.5125433570169 55.0415478067008,10.5135619792566 55.0464059804031,10.5162121357162 55.0510566490478,10.5203924632043 55.0553209858248,10.5259426206108 55.0590349662568,10.5326494038358 55.0620556941605,10.5402549259221 55.0642669189778,10.5484665501062 55.0655835284949,10.5569681906535 55.0659548404315,10.5654325388142 55.0653665632232,10.5735337319888 55.0638413486394,10.5809599653264 55.061437914477,10.5874255474964 55.0582487720883,10.5926819261375 55.0543966485222,10.5965272522021 55.0500297442486,10.5988141137643 55.0453160126748,10.5994551456761 55.0404366851374)))', 'DKSHG', 'Snøde Hesselbjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6893082099119 55.837038898824,11.6881210667614 55.8321932586318,11.6852775632853 55.8275710096477,11.680887462063 55.8233496682415,11.675119770695 55.8196913013241,11.6681962017341 55.8167363220871,11.6603826429376 55.8145981207322,11.6519789670066 55.8133587324688,11.6433075681817 55.8130657053916,11.6347010570282 55.8137302855086,11.6264895735313 55.8153269868161,11.6189881916488 55.8177945625992,11.6124848854758 55.8210383418623,11.6072295082115 55.8249338437066,11.6034242005064 55.8293315343587,11.6012155952144 55.8340625480878,11.6006891221651 55.8389451560467,11.601865640911 55.8437917375813,11.6047005436166 55.8484159880089,11.6090853770912 55.8526400862582,11.6148519357029 55.8563015457147,11.6217786793531 55.8592594823757,11.6295992369692 55.8614000557983,11.6380126703439 55.8626408696466,11.6466950997527 55.8629341587934,11.6553122353214 55.8622686373326,11.6635323195914 55.8606699345795,11.6710389692148 55.8581996019511,11.6775434081321 55.8549527301485,11.6827956106967 55.8510542708815,11.6865939195795 55.846654208164,11.6887927674345 55.841921768852,11.6893082099119 55.837038898824)))', 'DKSID', 'Sidinge', 'Y'),('SRID=4326;MULTIPOLYGON(((8.78035681377374 56.693088214205,8.77951375067581 56.6882177683498,8.77696068974079 56.6835313744169,8.77279630005634 56.679209028145,8.76718099075983 56.6754166844839,8.76033068992646 56.6722999029413,8.75250852626726 56.6699782809034,8.74401473631932 56.6685408847366,8.73517518204317 56.6680428501369,8.72632891164486 56.6685032788717,8.71781522899328 56.6699045103886,8.70996075358101 56.6721927954224,8.70306695328534 56.6752803464837,8.69739861621991 56.6790486887047,8.69317369601521 56.6833531857209,8.69055491754075 56.6880285707574,8.68964346838821 56.6928952744962,8.69047502684914 56.697766310089,8.69301829166457 56.7024544531347,8.69717608511605 56.7067794416087,8.70278900228399 56.7105749183104,8.70964147927578 56.7136948467552,8.71747005608276 56.7160191504695,8.72597351982541 56.7174583548254,8.73482453579457 56.7179570488459,8.74368231084259 56.7174960303726,8.75220578961922 56.7160930497405,8.76006686125944 56.7138021225022,8.76696305367115 56.7107114383993,8.77262921456544 56.706939949277,8.7768477216169 56.7026327705867,8.77945682630167 56.6979555773636,8.78035681377374 56.693088214205)))', 'DKSIL', 'Sillerslev', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2111816604388 57.3715642314953,10.2101340285546 57.3667054394475,10.2073526737757 57.3620503837936,10.2029450433723 57.3577778441905,10.1970808812947 57.3540518515624,10.1899856502947 57.3510154089029,10.1819318515696 57.3487850238529,10.1732285778598 57.3474462588965,10.164209697599 57.3470504660094,10.1552211147064 57.3476128278004,10.1466075799544 57.3491117782221,10.1386995449614 57.3514898244826,10.1318005484721 57.3546557396096,10.1261756067258 57.3584880439562,10.1220410456649 57.3628396455323,10.1195561631455 57.3675434650916,10.1188170452156 57.3724188339914,10.1198527834433 57.3772784224526,10.1226242523163 57.3819354342246,10.127025509603 57.3862107918501,10.1328877816036 57.3899400353869,10.1399858933167 57.3929796669202,10.1480469049854 57.3952126933317,10.1567606257648 57.3965531500135,10.1657915967483 57.3969494274394,10.1747920733107 57.3963862692338,10.1834154939732 57.3948853626913,10.1913299020763 57.392504498406,10.1982307886284 57.3893353323695,10.2038528496482 57.3854998391504,10.207980197761 57.3811455962152,10.2104546332175 57.3764400849331,10.2111816604388 57.3715642314953)))', 'DKSIS', 'Skiveren Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2766107110747 55.1991935095132,11.2754951729452 55.1943428654521,11.2727472774658 55.1897098608846,11.2684730994235 55.1854724304517,11.2628371875756 55.1817932644497,11.2560561965256 55.17881357984,11.248390550388 55.1766477194109,11.2401344601257 55.1753787826873,11.2316046743105 55.1750554526961,11.2231283869277 55.1756901374719,11.2150307547544 55.1772584958542,11.207622490193 55.1797003654036,11.2011879929676 55.1829220579108,11.1959744658262 55.18679993678,11.1921824256704 55.191185142292,11.1899579730489 55.1959092871034,11.1893871207917 55.20079090692,11.1904924083051 55.2056424215521,11.1932319438085 55.2102773407611,11.1975009252448 55.2145174384199,11.2031355949942 55.2181996181716,11.2099194875537 55.2211822042387,11.2175917370825 55.2233504121121,11.2258571273118 55.2246207848895,11.2343974938329 55.2249444209172,11.2428840318416 55.2243088655694,11.2509900239936 55.2227385925433,11.2584034851551 55.2202940557661,11.264839224468 55.2170693495087,11.2700498500901 55.2131885691832,11.2738352868519 55.208801016229,11.2760504395122 55.2040754353658,11.2766107110747 55.1991935095132)))', 'DKSIT', 'Stigsnaes Inter Terminal', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2959536306208 55.5249786921441,12.2954429754099 55.5200955945555,12.2932632938871 55.5153628185844,12.2894988946233 55.5109621624866,12.2842948324199 55.507062608059,12.2778512746268 55.5038138470169,12.2704157819179 55.5013405536727,12.2622738041927 55.4997376201758,12.253737755346 55.4990665334194,12.2451350799871 55.4993530292777,12.2367957596841 55.5005861117295,12.2290397252685 55.5027184733294,12.2221646448091 55.5056683011858,12.2164345440167 55.5093224008595,12.2120696873348 55.5135405211769,12.2092381043718 55.5181607175743,12.208049088606 55.5230055518749,12.2085489248274 55.5278888938467,12.2107190204736 55.5326230658029,12.214476526335 55.5370260569617,12.2196774370687 55.5409285300351,12.2261220651099 55.5441803489706,12.2335626868514 55.5466563739193,12.2417130715466 55.5482612968691,12.250259525415 55.5489333280503,12.258873019775 55.5486465878082,12.2672219259612 55.5474121093694,12.2749848537766 55.5452774127062,12.2818630856957 55.5423246662027,12.2875921162284 55.538667508636,12.2919518438712 55.5344466567162,12.2947750198668 55.5298244708682,12.2959536306208 55.5249786921441)))', 'DKSJA', 'Sjælsø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8909716867925 55.5449697677669,11.8897697669867 55.5401260560057,11.8869249834476 55.535508313505,11.8825471362218 55.5312938834829,11.8768047526196 55.5276445682146,11.8699185670246 55.5247004347948,11.8621530295839 55.5225744589007,11.85380617134 55.5213482083739,11.845198211025 55.5210687286863,11.8366593322399 55.5217467469424,11.8285170881564 55.5233562616341,11.8210839036185 55.5258355336136,11.8146451413334 55.5290894414492,11.8094481797627 55.5329931132591,11.805692915712 55.5373966990297,11.8035240551489 55.5421311040305,11.8030254925879 55.5470144668297,11.8042170040425 55.5518591360423,11.8070533932191 55.5564788795526,11.811426138036 55.5606960495074,11.8171674879801 55.5643484265022,11.8240568660351 55.5672954773221,11.8318293360333 55.5694237821419,11.8401858115134 55.5706514185618,11.848804609605 55.5709311301198,11.8573538967513 55.570252154411,11.8655045351999 55.5686406387074,11.87294282214 55.5661586267933,11.8793826180717 55.5629016572308,11.8845763871722 55.558995068022,11.8883247186631 55.554589153328,11.8904839619965 55.549853362436,11.8909716867925 55.5449697677669)))', 'DKSJD', 'Sjælland og Øer', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1614377763854 55.0600211765958,12.1609476092694 55.055137440788,12.1588074320558 55.0504024145029,12.1551000210239 55.0459979848083,12.1499682320579 55.0420932814937,12.143609452813 55.0388381973083,12.1362679906511 55.0363576524323,12.1282256928489 55.0347468198329,12.1197911581532 55.0340674910533,12.1112879477606 55.034345718578,12.1030422381111 55.035570822808,12.0953703768028 55.0376958005736,12.0885668061156 55.0406391197719,12.0828928060221 55.0442878329248,12.0785664804338 55.0485018929822,12.0757543673557 55.0531195092598,12.0745649965598 55.0579633416307,12.0750446487263 55.0628472984835,12.0771754896376 55.0675836798231,12.0808761643808 55.0719903922875,12.0860048426109 55.0758979585565,12.0923646102562 55.0791560500224,12.099711009482 55.0816392886738,12.1077614413899 55.0832520914401,12.1162060688888 55.0839323668375,12.124719794242 55.0836539182674,12.1329748401999 55.082427458981,12.1406534377947 55.0803001984434,12.1474601192083 55.0773540162894,12.1531331308905 55.0737022958565,12.1574545194086 55.0694855420256,12.1602584983832 55.0648659555833,12.1614377763854 55.0600211765958)))', 'DKSJG', 'Sandvig, Sydsjælland', 'Y'),('SRID=4326;MULTIPOLYGON(((10.642621706089 57.7244038076644,10.6415055312564 57.7195492866804,10.638641399754 57.7149045030502,10.6341399466396 57.710647837465,10.6281745205975 57.7069427068981,10.6209744676657 57.703931309596,10.612816302905 57.7017291890418,10.6040131114347 57.7004208214573,10.5949025819434 57.7000563922058,10.5858341226338 57.7006498815313,10.5771555406149 57.7021785310314,10.5691997804541 57.7045837108048,10.5622722156882 57.707773155075,10.5566389685736 57.7116244830209,10.5525166985596 57.7159898732777,10.550064249511 57.7207017167951,10.5493764806473 57.7255790350426,10.5504805280402 57.7304344204095,10.5533346544454 57.7350812343038,10.5578297479893 57.7393407869455,10.5637934281763 57.7430492218338,10.5709966147622 57.7460638376693,10.5791623156187 57.7482686009761,10.5879762983252 57.7495786331966,10.5970992313237 57.7499434955414,10.6061798180865 57.7493491418317,10.6148684052071 57.7478184620648,10.6228305249309 57.7454103952324,10.629759835537 57.74221764664,10.6353899489839 57.7383631001621,10.6395046828977 57.7339950671554,10.6419463407175 57.7292815590045,10.642621706089 57.7244038076644)))', 'DKSKA', 'Skagen', 'Y'),('SRID=4326;MULTIPOLYGON(((9.67798985603591 55.5147644290236,9.6770610167373 55.5098995668076,9.67447800767342 55.5052309661856,9.67034059758661 55.5009379379839,9.66480811535272 55.4971853133958,9.65809327697397 55.494117132066,9.65045399511439 55.4918511328255,9.64218348828689 55.4904742548305,9.6335990666159 55.4900393180878,9.62503001692376 55.4905630076713,9.61680504071382 55.4920252369693,9.60923971382644 55.4943699137619,9.60262443583452 55.4975070805692,9.59721332063272 55.5013163493263,9.59321444746851 55.5056515017706,9.59078184451423 55.5103460827041,9.59000951603081 55.5152197751046,9.59092775074139 55.5200853153976,9.59350186526431 55.5247556853135,9.59763344496957 55.5290513046671,9.60316404860514 55.5328069477865,9.6098812461708 55.535878115483,9.61752676584003 55.5381466142781,9.62580643945084 55.5395251244807,9.63440156131804 55.5399605775947,9.64298121560901 55.5394362099332,9.651215086364 55.5379722113392,9.65878624362794 55.5356249433926,9.66540340020699 55.5324847580532,9.6708121562111 55.5286725029304,9.67480479156157 55.5243348509336,9.67722822773754 55.5196386377946,9.67798985603591 55.5147644290236)))', 'DKSKB', 'Skærbæk', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0508066482087 55.4010650372665,12.0503273734645 55.396181209163,12.0481834981884 55.3914444126665,12.0444579532694 55.3870366025245,12.03929430149 55.3831270372336,12.0328911610071 55.3798657945142,12.0254945450884 55.3773780289588,12.0173884165967 55.3757591887224,12.0088838188459 55.3750713710854,12.0003069939156 55.3753409533715,11.9919869341806 55.3765575876497,11.984242831988 55.3786745965867,11.9773718957534 55.3816107555113,11.9716379881967 55.385253393977,11.9672615142603 55.3894627006363,11.9644109430203 55.3940770697772,11.9631962905632 55.3989192880571,11.9636648207381 55.4038033272839,11.9657991398044 55.4085414848671,11.9695177717185 55.4129515988464,11.9746782061404 55.4168640599873,11.981082314729 55.4201283497029,11.9884839368336 55.422618849523,11.9965983474466 55.4242396950252,12.0051132423756 55.424928483645,12.0137008118869 55.424658690235,12.0220304278381 55.4234406948683,12.0297814430334 55.4213213820917,12.0366555966157 55.4183823273157,12.0423885360552 55.4147366418542,12.0467600037991 55.4105246009322,12.0496022929201 55.4059082265279,12.0508066482087 55.4010650372665)))', 'DKSKC', 'Store kattinge Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1773733548868 55.9010258228418,12.1768742036838 55.89614260768,12.174689458985 55.8914079120316,12.1709036382244 55.88700360749,12.1656626308114 55.8830988146704,12.1591680306486 55.8798434244653,12.1516693610623 55.8773623633923,12.1434544951155 55.8757508195306,12.1348386379721 55.8750706084458,12.126152287836 55.875347815134,12.1177286268803 55.8765717999591,12.1098908128258 55.8786956055183,12.1029396450731 55.8816377491045,12.0971420665079 55.8852853337062,12.0927209335243 55.8894983610684,12.0898464430354 55.8941150849309,12.0886295471919 55.8989582027912,12.0891176156028 55.9038416519092,12.0912925229467 55.9085777510801,12.0950712494361 55.9129844150376,12.1003089857007 55.916892163967,12.1068046358428 55.9201506569354,12.1143085166889 55.9226344950574,12.1225319618105 55.9242480674729,12.1311584599414 55.9249292497868,12.1398558928817 55.9246518091419,12.1482893911991 55.9234264207923,12.1561342995224 55.9213002558149,12.1630887384131 55.9183551561175,12.1688852669868 55.914704468753,12.1733011887037 55.9104886643438,12.1761671000204 55.9058699119299,12.1773733548868 55.9010258228418)))', 'DKSKE', 'Skævinge', 'Y'),('SRID=4326;MULTIPOLYGON(((9.75126483390744 54.8517400584919,9.750343134759 54.8468752057016,9.74779483143201 54.8422075438,9.74371833763263 54.8379163495365,9.73827062657963 54.8341663869249,9.73166115074587 54.8311015974082,9.72414377768401 54.8288395937439,9.71600705406314 54.8274671653394,9.70756316898295 54.8270369639553,9.69913603279245 54.8275654939709,9.69104891800524 54.8290324823813,9.68361212384549 54.8313816520937,9.6771111251834 54.834522869682,9.67179565013583 54.8383355873205,9.66787009873456 54.842673449933,9.6654856684588 54.8473698943614,9.66473449214408 54.8522445292069,9.66564602133526 54.8571100533813,9.66818580558903 54.861779449605,9.6722567281501 54.8660731770943,9.67770266397124 54.8698260861751,9.6843144308448 54.8728937868314,9.69183781243023 54.8751582231108,9.69998334731602 54.876532235262,9.70843750496623 54.8769629304128,9.71687481112397 54.8764337290121,9.72497044498814 54.8749650062776,9.73241281038151 54.8726133033375,9.73891558426509 54.8694691392792,9.74422876826289 54.865653510502,9.74814831113686 54.8613132152765,9.75052393015239 54.8566151871033,9.75126483390744 54.8517400584919)))', 'DKSKF', 'Skeldevig', 'Y'),('SRID=4326;MULTIPOLYGON(((9.87757505184223 56.0326909983563,9.87660821382917 56.0278281930796,9.87396620941095 56.0231643957971,9.86975108865271 56.0188787295654,9.86412517396632 56.0151357389787,9.85730477098418 56.0120790898276,9.84955184029628 56.0098260747516,9.84116395242953 56.0084631319825,9.83246290871285 56.0080425454152,9.82378245675685 56.0085804495158,9.81545556018717 56.0100562135974,9.80780169739342 56.0124132284746,9.80111466310812 56.0155610661987,9.79565132962348 56.0193789322529,9.79162179169772 56.0237202810097,9.7891812713443 56.0284184211126,9.78842409678098 56.0332928993638,9.78937999536192 56.038156421136,9.79201285538914 56.0428220435508,9.7962220189472 56.0471103656924,9.80184607055519 56.050856438629,9.80866898822004 56.05391612731,9.81642842851662 56.056171676355,9.82482582988999 56.0575362617579,9.83353794266492 56.0579573495472,9.84222933406443 56.0574187289501,9.8505653750293 56.0559411397339,9.85822519501775 56.0535814689445,9.86491409236954 56.0504305488699,9.87037491116007 56.0466096432868,9.87439793947297 56.0422657605633,9.87682894632523 56.0375659778288,9.87757505184223 56.0326909983563)))', 'DKSKG', 'Skanderborg', 'Y'),('SRID=4326;MULTIPOLYGON(((8.40641711880372 55.8932221184066,8.40563808044402 55.8883486879562,8.40318264381582 55.8836542726783,8.39914570324188 55.879319181902,8.39368275837702 55.8755098664231,8.38700388352599 55.8723725438715,8.37936563405531 55.8700276058424,8.37106120398744 55.8685650177458,8.36240921040678 55.8680408841473,8.3537415278229 55.8684753081637,8.34539062808704 55.8698516248361,8.3376768981979 55.8721170370471,8.33089640905557 55.8751846302252,8.32530959291808 55.8789366905671,8.32113125627193 55.8832292025688,8.31852230866304 55.8878973569898,8.31758352775253 55.8927618616023,8.31835160792922 55.897635815676,8.32079765622373 55.902331886405,8.32482820760087 55.9066695124332,8.33028873510402 55.9104818569961,8.33696953245229 55.9136222413136,8.34461375159891 55.9159698076641,8.3529272896935 55.9174341904991,8.36159014303627 55.9179590120197,8.37026878381482 55.9175240643792,8.37862907188961 55.9161460922536,8.3863491909713 55.9138781447885,8.39313209746407 55.9108075225253,8.39871699109264 55.9070524004183,8.4028893580576 55.9027572600974,8.40548919764403 55.8980873109403,8.40641711880372 55.8932221184066)))', 'DKSKH', 'Skaven huse', 'Y'),('SRID=4326;MULTIPOLYGON(((8.53748215122542 55.9491749697437,8.53668557633449 55.944302387214,8.53421078708372 55.9396105988152,8.53015342179734 55.9352798119007,8.52466976389586 55.9314763110064,8.51797068126989 55.9283460897381,8.51031350256132 55.9260092665998,8.50199214554232 55.9245554953657,8.49332587426821 55.9240405423652,8.48464710911234 55.9244841587861,8.47628874613303 55.9258693274392,8.46857145883385 55.9281429120557,8.46179145595397 55.9312176848689,8.45620915345694 55.9349756567409,8.45203918766512 55.9392725851869,8.44944215013044 55.9439434910328,8.44851836434936 55.9488089757261,8.44930395129076 55.9536820999961,8.4517693469137 55.9583755618953,8.45582034298752 55.9627088992954,8.46130162574753 55.9665154393728,8.46800268889935 55.9696487258337,8.47566590228653 55.9719881735262,8.4839964294129 55.9734437291111,8.49267361015646 55.9739593546071,8.50136336327357 55.9735151964451,8.50973111988588 55.9721283542895,8.51745477639323 55.9698522191851,8.52423715440318 55.9667744071878,8.52981747636264 55.9630133701241,8.53398140747069 55.958713817126,8.5365692749024 55.9540411269316,8.53748215122542 55.9491749697437)))', 'DKSKJ', 'Skjern', 'Y'),('SRID=4326;MULTIPOLYGON(((8.83760997516965 56.9020675769056,8.83675482838554 56.8971976767173,8.83418043125532 56.892512602347,8.82998627961492 56.8881922976541,8.82433393028564 56.8844026376783,8.81744073526122 56.8812890772786,8.80957146861465 56.8789710887054,8.80102817092223 56.8775375977163,8.79213859846056 56.8770435894769,8.78324371248185 56.8775080111564,8.77468467649821 56.878913049457,8.76678984608638 56.8812048099852,8.75986223596745 56.8842953731401,8.75416793301978 56.8880661498168,8.74992589173185 56.8923724114477,8.74729950100936 56.8970488244264,8.74639024921856 56.9019157803938,8.74723373935425 56.9067862826803,8.74979822029127 56.9114731266794,8.75398570584301 56.9157960991225,8.75963565404086 56.9195889188295,8.76653107844437 56.9227056499013,8.7744068655806 56.9250263373811,8.78295998218903 56.9264616446268,8.79186117715098 56.9269563099636,8.80076771979114 56.9264912861851,8.80933667197351 56.9250844782532,8.81723816846883 56.9227900499724,8.8241681797063 56.9196963270853,8.82986025326186 56.9159223797375,8.83409577405458 56.9116134192023,8.83671234586625 56.9069351899695,8.83760997516965 56.9020675769056)))', 'DKSKK', 'Skibsted Strand V. Flade, Mors', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3447941285519 56.2275211869169,10.3437630423839 56.2226625699554,10.3410508731883 56.2180093239967,10.3367623676051 56.2137401630083,10.3310626632673 56.2100189943437,10.32417089224 56.2069886433383,10.3163517455499 56.2047653915402,10.3079053250894 56.2034345343797,10.2991556692179 56.2030471250068,10.2904383841459 56.2036180261488,10.2820878436904 56.2051253427656,10.2744244346333 56.2075112567301,10.2677423234283 56.2106842324743,10.2622982023975 56.2145225113015,10.258301440157 56.218878763612,10.255906012463 56.2235857243393,10.2552045270333 56.228462599032,10.2562245807107 56.2333219977253,10.2589276016846 56.237977132277,10.263210236048 56.2422490011989,10.2689082400091 56.2459732848797,10.2758027403726 56.2490066837511,10.2836286305973 56.2512324522548,10.2920847821499 56.2525649118145,10.300845675199 56.2529527653288,10.309573992773 56.2523810824538,10.3179336814541 56.2508718772416,10.325602961725 56.2484832553415,10.3322867732944 56.2453071645804,10.3377281649776 56.2414658378883,10.3417181836795 56.2371070688745,10.3441038802874 56.2323985057502,10.3447941285519 56.2275211869169)))', 'DKSKN', 'Skæring', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5114201870848 55.0064683214685,10.5104029248943 55.001610091137,10.5077568045013 54.9969592354501,10.5035839938 54.9926943802459,10.4980451566498 54.9889792736094,10.4913532324295 54.9859565156445,10.4837652401478 54.9837421041852,10.4755724239517 54.9824210021407,10.4670891152629 54.9820438930183,10.4586407312829 54.9826252461904,10.4505513592406 54.9841427642911,10.4431313899073 54.9865382334565,10.4366656622875 54.9897197447402,10.4314025640345 54.9935652037099,10.4275444993591 54.9979269967482,10.4252400886799 55.0026376386323,10.4245784030696 55.0075161881773,10.425585463235 55.0123751885512,10.4282231494026 55.0170278675647,10.4323905777119 55.0212953217951,10.4379279037249 55.0250134074797,10.4446224181222 55.0280390709817,10.4522167075661 55.0302558721251,10.4604185692247 55.0315784841926,10.4689122945853 55.031955993789,10.4773708806003 55.0313738705734,10.4854686868713 55.029854529144,10.4928940385914 55.0274564609504,10.4993612773376 55.024271970618,10.5046217854037 55.0204236061123,10.5084735529136 55.016059423392,10.5107689181356 55.0113472714869,10.5114201870848 55.0064683214685)))', 'DKSKQ', 'Skarø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.29368054950684 55.2329027056896,9.2928054687306 55.2280346823547,9.29028600805721 55.2233577283479,9.28621949000788 55.2190514788765,9.28076252031817 55.2152812762871,9.27412491939097 55.2121918380407,9.26656164214552 55.2099017210502,9.25836299927989 55.2084987912006,9.24984355280508 55.2080368682774,9.24133010467954 55.2085336719719,9.23314922844907 55.2099701457405,9.22561480934632 55.2122911837741,9.21901605802682 55.2154077339494,9.21360644701856 55.2192001981776,9.20959398734644 55.2235230027849,9.20713321630514 55.2282101671864,9.20631920703159 55.2330816607458,9.2071838378726 55.2379503068336,9.20969447658114 55.2426289709718,9.21375514369926 55.2469377576015,9.21921012424364 55.2507109381172,9.22584990064305 55.2538033416959,9.23341918678461 55.2560959599795,9.24162675717122 55.2575005462832,9.25015669065673 55.2579630286411,9.25868058872807 55.2574656021929,9.26687028692762 55.2560274182908,9.274410556957 55.2537038430968,9.28101129741112 55.2505843149943,9.28641873293661 55.2467888854347,9.29042518370839 55.2424635795365,9.2928770272333 55.2377747586829,9.29368054950684 55.2329027056896)))', 'DKSKR', 'Skrydstrup', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((12.6441808739147 55.7168557220481,12.6436249872356 55.7119738339805,12.6413931042475 55.7072469466669,12.6375715424522 55.7028566291845,12.6323075520534 55.6989714634208,12.6258035981119 55.6957405862153,12.6183095538302 55.6932879836536,12.610113108872 55.6917077529016,12.6015287596295 55.6910605096381,12.5928857975288 55.6913710755848,12.5845157457191 55.6926275324346,12.576739713139 55.6947816773535,12.569856137656 55.6977508629313,12.5641293766965 55.7014211527549,12.5597795747932 55.7056516744406,12.5569741933467 55.7102800067044,12.5558215295963 55.7151283974788,12.5563664807236 55.7200105777208,12.5585887270832 55.7247389116707,12.5624034182611 55.7291316100149,12.5676643500435 55.7330197284014,12.5741695230185 55.7362536804811,12.5816688783994 55.7387090120465,12.5898739179569 55.7402912104654,12.5984688368487 55.7409393604987,12.607122734513 55.7406285023771,12.6155024229576 55.7393705988889,12.6232853261522 55.7372140731061,12.6301719602412 55.7342419349041,12.6358975021554 55.7305685702069,12.6402419929532 55.7263353195194,12.6430387798032 55.7217050195912,12.6441808739147 55.7168557220481)))', 'DKSKU', 'Skudehavnen/København', 'Y'),('SRID=4326;MULTIPOLYGON(((9.09720503435421 56.5659728808756,9.09632406054647 56.5611045210583,9.09374039097157 56.5564245615121,9.08955386234136 56.5521127491853,9.08392572537122 56.5483346336007,9.07707239272645 56.5452352278751,9.06925710336758 56.5429334629777,9.06077982645214 56.5415176442405,9.05196578969139 56.5410420806393,9.0431530644937 56.5415250129287,9.03467967233866 56.5429479179537,9.02687069299821 56.5452562150725,9.02002585516069 56.5483613483628,9.01440807372228 56.5521441669033,9.01023336578019 56.5564594766924,9.00766252981631 56.5611415933642,9.00679491071372 56.566010686417,9.00766449859024 56.5708796746412,9.01023852399896 56.5755614101111,9.01441861846377 56.5798758755105,9.02004451081377 56.5836571174109,9.02690013010944 56.5867596467425,9.03472188927108 56.5890640569952,9.04320883417343 56.5904816401051,9.05203426524074 56.5909578184861,9.06085837638206 56.5904742577888,9.06934141270841 56.5890495768379,9.07715682620907 56.5867386266441,9.08400390865425 56.5836303670371,9.08961940342934 56.5798444248915,9.09378764156356 56.5755264697494,9.09634880954572 56.5708425887073,9.09720503435421 56.5659728808756)))', 'DKSKV', 'Skive', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7614753808082 55.0623786934226,10.7604263386788 55.0575228375774,10.7577475532138 55.0528777079903,10.7535424460561 55.0486217087757,10.7479729186585 55.0449182464523,10.7412530848183 55.0419094730289,10.7336410304146 55.0397108490278,10.7254289187802 55.0384067314621,10.7169318183499 55.0380471525197,10.7084756735251 55.0386459096499,10.7003848690875 55.0401800385152,10.6929698523844 55.0425906885821,10.6865152756143 55.0457853687488,10.6812691028878 55.0496414791256,10.6774330936581 55.0540109966663,10.6751550262858 55.0587261384965,10.6745229640054 55.0636057891176,10.6755617919463 55.0684624476304,10.6782321702253 55.073109429985,10.6824319571166 55.0773680500001,10.688000061131 55.0810745021645,10.6947225851706 55.0840861792933,10.7023410338 55.0862871788011,10.7105622702243 55.0875927820249,10.7190698368408 55.0879527305986,10.7275361958639 55.0873531707997,10.7356354074906 55.0858171891648,10.7430557444546 55.0834039182954,10.7495117445972 55.0802062482871,10.7547552271143 55.076347234206,10.7585848421152 55.0719753411608,10.7608537847032 55.0672587136744,10.7614753808082 55.0623786934226)))', 'DKSKX', 'Skårupøre', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0031964037692 55.7489269725774,12.0019734758471 55.744084737348,11.9990998710871 55.7394700601309,11.9946865016938 55.7352601648688,11.9889032616218 55.7316166780049,11.9819724536349 55.7286794412405,11.9741602379863 55.7265611641735,11.9657664325502 55.7253431182641,11.9571130520094 55.7250720337693,11.9485320172623 55.7257583158456,11.9403524946024 55.7273756465736,11.9328883368765 55.7298619879137,11.9264260954966 55.7331219483253,11.9212140528915 55.7370304247421,11.9174526901052 55.741437383561,11.9152869544543 55.7461736009522,11.9148006285798 55.7510571457555,11.916013026449 55.7559003589191,11.9188781560565 55.7605170631195,11.9232863954623 55.7647297258245,11.9290686317072 55.7683762992733,11.9360027148539 55.7713164718602,11.9438219860377 55.7734370870347,11.9522255532438 55.7746565173802,11.9608899156469 55.7749278218716,11.969481480457 55.7742405618598,11.9776694782719 55.7726212041463,11.9851387659786 55.7701320953613,11.9916020111735 55.7668690483643,11.9968107786087 55.7629576361262,12.0005650858574 55.7585483392022,12.002721059745 55.7538107373768,12.0031964037692 55.7489269725774)))', 'DKSKY', 'Skibby', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4013433270996 54.9561513553975,11.4002203510752 54.9513017574029,11.397475574468 54.9466713753819,11.3932149434421 54.9424380434211,11.3876024794059 54.9387642952121,11.3808539321758 54.9357911409424,11.3732284789699 54.9336326741862,11.3650187896756 54.9323717121259,11.3565398362966 54.9320566328962,11.348116868029 54.9326995285681,11.3400730020599 54.9342757429205,11.3327168933504 54.9367248113904,11.3263309440673 54.9399527682262,11.3211604950223 54.9438357346719,11.3174044077848 54.9482246537529,11.3152073977644 54.9529509936198,11.3146544166018 54.9578332040486,11.3157673082431 54.9626836810382,11.3185038792223 54.9673159737428,11.3227594326072 54.9715519571917,11.3283707200155 54.975228694029,11.3351221707641 54.9782047190754,11.3427541656025 54.9803655017071,11.3509730387398 54.9816278721699,11.3594624200139 54.9819432379122,11.3678954726741 54.981299463244,11.3759475442738 54.9797213382058,11.3833087306185 54.9772696182459,11.3896958565186 54.9740386727814,11.3948634020356 54.97015283556,11.398612947638 54.9657616006058,11.4008007738213 54.9610338523383,11.4013433270996 54.9561513553975)))', 'DKSKZ', 'Skalø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2442246995062 55.7680001535897,12.2437183244316 55.7631170483881,12.2415323459147 55.7583834431561,12.2377513234323 55.7539811675744,12.2325209574934 55.7500792646641,12.2260424300996 55.7468275149654,12.2185646459524 55.7443507060196,12.210374676682 55.742743863505,12.2017867738304 55.7420686232504,12.1931303659587 55.7423508799442,12.1847374899808 55.7435798002765,12.1769301259333 55.7457082371875,12.1700079075512 55.7486545296155,12.1642366681835 55.7523056204086,12.1598382530029 55.7565213756456,12.1569819847265 55.7611399432285,12.1557781121033 55.7659839488658,12.1562734996408 55.7708672949785,12.158449735329 55.7756023039223,12.1622237429469 55.7800069323144,12.1674508899357 55.7839117789402,12.1739304843518 55.7871666151059,12.1814134590521 55.7896461833833,12.1896119521929 55.7912550380106,12.1982104145499 55.7919312368325,12.2068778099707 55.7916487392271,12.2152804287839 55.7904184151811,12.2230948076934 55.7882876254575,12.2300202450154 55.7853383893125,12.2357904173488 55.781684212053,12.2401836419697 55.7774656974863,12.2430313863781 55.7728451177931,12.2442246995062 55.7680001535897)))', 'DKSLE', 'Stenløse', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3161397077906 56.5205300495799,10.3151037576451 56.5156714390641,10.3123736427341 56.5110178618866,10.3080548095784 56.5067480437443,10.3023135681664 56.5030259156536,10.2953706492995 56.4999943378795,10.2874927073092 56.4977696371195,10.2789820968626 56.49643716274,10.2701653130088 56.4960480288073,10.2613805296876 56.4966171637896,10.2529647026225 56.4981227407682,10.2452407172809 56.5005070094613,10.2385050611132 56.5036784991134,10.2330164816074 56.5075155100755,10.2289860581245 56.5118707634682,10.2265690666684 56.5165770343648,10.2258589537308 56.5214535560636,10.2268836596904 56.5263129527043,10.2296044460092 56.5309684359786,10.2339172863592 56.5352409900041,10.2396567831036 56.5389662672516,10.2466024710537 56.5420009280255,10.2544872743126 56.5442281762694,10.2630077936484 56.545562274785,10.2718360254718 56.5459518622456,10.2806320529908 56.5453819411372,10.2890572086522 56.5438744580594,10.2967871867933 56.5414874534809,10.3035245876158 56.5383128146713,10.3090103980266 56.5344727207105,10.3130339602368 56.5301149198362,10.31544104281 56.5254070248058,10.3161397077906 56.5205300495799)))', 'DKSLL', 'Silkeborg Langsø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0962611089869 54.8712608487749,11.0951773651278 54.8664080602914,11.092473454202 54.8617704043926,11.0882537534709 54.8575259967727,11.0826807155205 54.8538377983123,11.075968581087 54.8508473753161,11.068375135125 54.8486694849115,11.060191824506 54.8473876897817,11.051732613403 54.8470511670039,11.0433219962033 54.8476728305824,11.0352826167269 54.8492288379577,11.0279229560057 54.8516594990336,11.0215255486289 54.8548715538836,11.01633616971 54.8587417340483,11.0125544012245 54.8631214739906,11.0103259384789 54.8678425955444,11.0097369359125 54.8727237506818,11.0108106178504 54.877577378088,11.0135062963356 54.8822169081293,11.0177208474205 54.8864639397906,11.0232926025074 54.8901551127055,11.0300075161665 54.8931484077353,11.0376073803336 54.8953286305116,11.0457997710241 54.8966118632681,11.0542693417053 54.8969487100617,11.0626900208358 54.8963262075594,11.0707376327556 54.8947683260395,11.0781024431174 54.8923350409203,11.0845011333472 54.8891200116153,11.0896877330308 54.885246959418,11.0934630833084 54.8808648871062,11.095682465988 54.8761423279275,11.0962611089869 54.8712608487749)))', 'DKSLN', 'Sletnæs', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8654643873236 55.082984433956,11.8642813979309 55.0781399589801,11.8614742900447 55.0735209149752,11.8571514026255 55.0693046971751,11.8514791431217 55.0656531792529,11.8446755499211 55.0627065159299,11.8370019048166 55.0605777829174,11.8287527190377 55.0593486562288,11.8202444735517 55.0590662931513,11.8118035374946 55.0597415317569,11.8037537168027 55.0613484763682,11.7964038977917 55.0638254846141,11.7900362473177 55.067077519369,11.78489541229 55.0709797777537,11.7811791270384 55.0753824612551,11.7790305880728 55.0801165075903,11.7785328932218 55.0850000678144,11.7797057675904 55.0898454827871,11.7825047143838 55.0944664927203,11.7868226370933 55.0986854030861,11.7924938841039 55.1023399302928,11.7993005711732 55.1052894614831,11.8069809454967 55.1074204843385,11.815239471383 55.1086509742375,11.8237582459166 55.1089335663559,11.8322092970072 55.1082573877522,11.8402672787942 55.1066484772103,11.8476220625088 55.104168776397,11.8539907254649 55.1009137323572,11.8591284666145 55.0970086061064,11.8628380226447 55.0926036327642,11.8649772215091 55.0878682232205,11.8654643873236 55.082984433956)))', 'DKSLP', 'Sallerup', 'Y'),('SRID=4326;MULTIPOLYGON(((9.40991250916753 57.1488584123912,9.40897660687433 57.1439928302719,9.40631297487069 57.1393199443719,9.40202453956053 57.1350192255313,9.3962764755462 57.1312557922338,9.38928980162819 57.1281740889105,9.38133286854415 57.1258923627278,9.37271106832653 57.1244981469085,9.36375515736363 57.1240449199921,9.35480863291475 57.12455006592,9.34621463496091 57.1259942110344,9.33830286126467 57.1283219627073,9.33137698308307 57.1314440221038,9.32570303213262 57.1352405922985,9.32149919643643 57.1395659543419,9.31892741421225 57.1442540396142,9.318087092001 57.1491247885074,9.31901119728811 57.1539910546158,9.32166488898843 57.1586657914688,9.32594675401795 57.1629692464362,9.33169261804127 57.166735884484,9.33868179718951 57.1698207732874,9.34664555932929 57.1721051807193,9.35527747276746 57.1735011653603,9.3642452414683 57.1739549793833,9.37320356293647 57.1734491494652,9.38180750119885 57.1720031533952,9.38972584516988 57.1696726655932,9.39665392332901 57.1665474014453,9.40232536903602 57.1627476457716,9.40652237567125 57.1584196024816,9.40908404468074 57.1537297483901,9.40991250916753 57.1488584123912)))', 'DKSLR', 'Slettestrand', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5794494272959 55.9548814984359,12.5788991248986 55.9499995352921,12.5766622951196 55.9452715880768,12.5728254545492 55.9408792662345,12.5675364475672 55.9369912277295,12.5609987046001 55.9337567184081,12.5534633977042 55.9312998623161,12.5452197989196 55.9297149184765,12.5365842102341 55.9290626823463,12.5278878834882 55.9293681666412,12.5194643830456 55.930619648057,12.5116368628665 55.9327691153212,12.5047057324214 55.9357341017277,12.4989371726227 55.9394008336223,12.4945529339106 55.9436285769705,12.4917218043643 55.9482550188643,12.4905530771939 55.9531024812306,12.4910922755854 55.9579847315893,12.4933193105544 55.9627141317726,12.49714915668 55.9671088511353,12.5024350344239 55.9709998667128,12.5089739897601 55.9742374794267,12.5165146660627 55.9766970927679,12.5247669738494 55.9782840279466,12.5334132852654 55.9789371863419,12.5421207160291 55.9786314148315,12.5505540112884 55.9773784804457,12.5583885259094 55.9752266156588,12.565322785582 55.9722586521785,12.5710901329994 55.9685888168919,12.5754690022983 55.9643583162966,12.5782914228452 55.9597298830661,12.5794494272959 55.9548814984359)))', 'DKSLT', 'Sletten', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4262095947877 54.8321437549091,11.4250875276251 54.8272942914196,11.4223487600701 54.8226643294831,11.4180990034701 54.8184316873797,11.4125018586678 54.8147588728819,11.4057724857303 54.8117868610516,11.3981693257635 54.8096297023651,11.3899841943528 54.8083701644691,11.3815311234737 54.8080565713172,11.3731343721278 54.8087009581524,11.3651160545181 54.8102786114202,11.3577838476906 54.8127290109264,11.3514192379551 54.8159581391788,11.3462667471131 54.8198420716495,11.3425245458822 54.8242317134336,11.340336813637 54.828958504174,11.3397881417626 54.8338408757687,11.3409002041378 54.8386912177395,11.3436308346316 54.8433230844564,11.3478755606897 54.847558367654,11.3534715473252 54.8512341574777,11.3602038107936 54.8542090258993,11.3678134699341 54.8563684875521,11.3760077197213 54.8576294241832,11.3844711399884 54.8579432988939,11.3928778961311 54.8572980335763,11.4009043508046 54.855718475526,11.4082415881683 54.8532654349237,11.4146073560598 54.8500333313448,11.4197569563615 54.846146542284,11.4234926584163 54.8417545975358,11.4256712722907 54.8370264080621,11.4262095947877 54.8321437549091)))', 'DKSMA', 'Stokkemarke', 'Y'),('SRID=4326;MULTIPOLYGON(((10.092329539667 55.8206143279471,10.0913414827438 55.8157531395687,10.0886885120179 55.8110938396655,10.0844730892489 55.8068153779766,10.0788575398621 55.8030820225795,10.0720577650109 55.800037070122,10.0643349297875 55.7977973654873,10.0559854491912 55.7964488374798,10.0473296532416 55.7960432181568,10.0386995582915 55.7965960686219,10.0304262021398 55.7980861850588,10.0228270153686 55.8004564072204,10.0161937001424 55.8036157992659,10.0107810705349 55.8074431215266,10.0067972755912 55.8117914632396,10.0043957784593 55.8164938622261,10.0036694030767 55.8213696995036,10.0046466856132 55.8262316263911,10.0072906832102 55.8308927600438,10.0115003001847 55.8351738715513,10.0171140949922 55.8389102894256,10.0239164336008 55.8419582507848,10.0316457606116 55.8442004526674,10.0400046727105 55.8455505860852,10.048671404016 55.8459566745712,10.0573122733639 55.8454030855958,10.0655946026484 55.8439111354073,10.0731995952087 55.841538263425,10.0798346650024 55.8383758089014,10.0852447308415 55.8345454777401,10.0892220339938 55.8301946387815,10.0916140996286 55.8254906343868,10.092329539667 55.8206143279471)))', 'DKSNA', 'Snaptun', 'Y'),('SRID=4326;MULTIPOLYGON(((9.69029631889324 56.6447570880797,9.68933716320716 56.6398932829424,9.68667484444738 56.6352259920969,9.68241221663052 56.6309344716157,9.67671344506049 56.6271834883058,9.66979764377249 56.6241170112491,9.66193043805509 56.6218527063873,9.65341377881909 56.6204774415843,9.6445743968235 56.6200439708286,9.63575133163297 56.6205689215972,9.62728300167271 56.6220321605067,9.61949429725879 56.6243775609315,9.61268417773403 56.6275151440082,9.60711423683887 56.6313245131576,9.60299866749652 56.6356594536632,9.60049600892485 56.6403535246714,9.59970299643611 56.6452264328073,9.60065075896083 56.6500909459185,9.60330352329684 56.6547600835262,9.60755989000095 56.6590543084053,9.61325664696812 56.6628084420294,9.62017498687096 56.66587803571,9.62804889794246 56.6681449490274,9.63657540844346 56.6695219170036,9.64542628784793 56.6699559263566,9.65426074621213 56.669430267613,9.66273863060082 56.6679651819389,9.67053359612177 56.665617077114,9.67734573023662 56.6624763437222,9.68291313250462 56.65866385795,9.6870219964882 56.6543263089911,9.6895148038006 56.6496305348122,9.69029631889324 56.6447570880797)))', 'DKSNB', 'Snæbum Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6904455961837 55.033404255267,10.689405964426 55.02854770293,10.686737367596 55.0239009215954,10.6825428358506 55.0196423793779,10.6769838650001 55.0159355809437,10.6702741645138 55.012922806761,10.6626714325903 55.0107196711484,10.6544674761623 55.0094107043338,10.6459770519604 55.0090461245078,10.6375258490982 55.0096399208148,10.6294380631036 55.0111693190128,10.6220240252756 55.0135756498411,10.6155683494381 55.0167665877618,10.610319040589 55.0206196764416,10.6064779769641 55.0249870089059,10.6041931293014 55.0297008864139,10.6035528196966 55.0345802424049,10.6045822489361 55.0394375877882,10.6072424376543 55.0440862126654,10.6114316357524 55.0483473682595,10.616989159421 55.0520571520418,10.623701519513 55.0550728290521,10.6313106129316 55.0572783430425,10.6395236642644 55.0585888016979,10.6480245321631 55.0589537597083,10.6564859375533 55.0583591703538,10.6645821316629 55.0568279286111,10.6720015031326 55.0544189844043,10.6784586261414 55.0512250611349,10.6837052753748 55.0473690696285,10.6875399775015 55.0429993587886,10.6898157302648 55.0382839894417,10.6904455961837 55.033404255267)))', 'DKTRO', 'Troense', 'Y'),('SRID=4326;MULTIPOLYGON(((12.62951303712 56.0088639963317,12.6289558395647 56.0039822346808,12.6267099395817 55.9992551540785,12.6228622036766 55.9948643301597,12.6175608953971 55.9909783628065,12.6110099174121 55.9877464178223,12.6034609490226 55.9852925203923,12.5952037852305 55.9837108157091,12.5865552469163 55.9830619748232,12.5778470811679 55.9833708802374,12.5694133052827 55.9846256775923,12.5615774667441 55.9867782286906,12.5546402942175 55.9897459488333,12.548868201289 55.9934149597609,12.5444830755368 55.9976444401724,12.541653741167 56.0022720105377,12.5404894248074 56.0071199493463,12.5410354825462 56.0120020055451,12.5432715638399 56.0167305480112,12.547112296988 56.0211237785549,12.5524104845497 56.0250127309074,12.5589626989594 56.0282477848269,12.5665170726843 56.0307044418206,12.5747829878107 56.032288136577,12.583442291146 56.0329378950743,12.5921615967232 56.0326286951117,12.6006051913042 56.0313724358909,12.6084480325969 56.0292174781654,12.6153883258306 56.026246773022,12.6211591823222 56.0225746531597,12.6255389027324 56.0183424131866,12.6283594857708 56.0137128527506,12.62951303712 56.0088639963317)))', 'DKSNE', 'Snekkersten', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1564544800679 55.0249518998254,15.1556006512822 55.0200827171658,15.1531102988779 55.015402756886,15.1490796219753 55.0110917713012,15.1436638471414 55.0073152864273,15.1370712131154 55.0042182626458,15.1295549512198 55.0019195494783,15.1214035721806 55.0005073436948,15.1129298297998 55.0000358214455,15.1044587778468 55.0005230705867,15.0963153676374 55.0019504005035,15.0888120494072 55.0042630552056,15.0822368404642 55.0073723030749,15.0768423072168 55.0111588251488,15.0728358768294 55.0154772750026,15.0703718481035 55.0201618388579,15.0695454112449 55.0250325861154,15.0703889139672 55.0299023695546,15.072870528902 55.0345840122376,15.0768953871286 55.038897505719,15.0823091479218 55.0426769421785,15.0889038791638 55.0457769118829,15.0964260302524 55.0480781168205,15.1045861938863 55.049491980871,15.1130702788876 55.0499640754281,15.1215516569143 55.0494762255064,15.1297038045974 55.0480472131843,15.1372129414992 55.0457320505837,15.1437901644726 55.0426198511279,15.1491826004936 55.0388303831318,15.1531831416837 55.0345094415102,15.1556383858193 55.0298232193898,15.1564544800679 55.0249518998254)))', 'DKSNG', 'Snogebæk', 'Y'),('SRID=4326;MULTIPOLYGON(((9.75999799778989 55.5227349574765,9.75905885168529 55.5178707553771,9.75646562356352 55.513203921529,9.75231847409317 55.5089136983366,9.74677710507169 55.5051648088298,9.74005457229397 55.5021011489606,9.73240908229149 55.4998402838845,9.72413409050321 55.4984689557598,9.71554707818338 55.4980397717981,9.70697743109718 55.4985691965845,9.69875387379467 55.5000369237091,9.6911919283676 55.5023866501994,9.68458186579261 55.5055282248882,9.67917760125739 55.5093410904749,9.67518695256723 55.5136788903932,9.67276363348688 55.5183750673998,9.67200129273487 55.5232492426536,9.67292983583253 55.5281141334363,9.67551418316771 55.5327827458345,9.67965552609023 55.5370755666762,9.68519504679801 55.5408274774635,9.69191997088758 55.5438941222817,9.69957172777424 55.5461574815441,9.70785590794361 55.5475304333743,9.71645363129261 55.5479601233659,9.72503388139654 55.5474300098953,9.73326631948966 55.5459605042184,9.74083407145949 55.5436081800767,9.74744598233698 55.5404635841067,9.75284785554959 55.5366477335719,9.75683223735153 55.5323074394695,9.75924636805586 55.5276096387595,9.75999799778989 55.5227349574765)))', 'DKSNH', 'Snoghøj', 'Y'),('SRID=4326;MULTIPOLYGON(((8.2318946645438 56.3072865205978,8.23112981302785 56.3024123602526,8.22866967233546 56.2977147736604,8.2246093339342 56.2933741916255,8.21910520958415 56.2895572744372,8.21236896364258 56.2864105294198,8.20465935723064 56.2840547073029,8.19627232091327 56.2825801887189,8.18752963480525 56.2820435340507,8.17876664312531 56.2824653257136,8.17031946313384 56.2838293833956,8.16251216546726 56.2860833814721,8.15564440381478 56.289140845533,8.14997995666144 56.2928844534589,8.14573661272497 56.2971705175323,8.14307778535301 56.3018344793548,8.14210618051445 56.306697210492,8.14285976957221 56.3115718802566,8.14531023375865 56.3162711291549,8.14936395476528 56.3206142733121,8.15486552827131 56.3244342623796,8.16160367826491 56.3275841213674,8.16931935375291 56.3299426254721,8.17771570020981 56.3314189857523,8.18646952013553 56.3319563614433,8.19524377428597 56.3315340603602,8.20370063078902 56.3301683403698,8.21151454584589 56.3279117801686,8.21838485833062 56.3248512442275,8.22404740141962 56.3211045223321,8.22828467627439 56.3168157762731,8.23093419351116 56.3121499727567,8.2318946645438 56.3072865205978)))', 'DKSNI', 'Sønder Nissum, Nissum Fjord', 'Y'),('SRID=4326;MULTIPOLYGON(((9.71500290268408 55.5267511051441,9.71406920461825 55.5218865468141,9.71148102452107 55.517218750263,9.70733832976618 55.5129269951484,9.70180065187788 55.5091760635268,9.69508090580332 55.506109929859,9.6874371919124 55.5038462542685,9.67916289810723 55.5024718867078,9.67057547921662 55.5020395508973,9.66200433664696 55.5025658322138,9.65377825205254 55.5040305447307,9.64621284395351 55.5063775010674,9.63959851547847 55.5095166563559,9.63418934475123 55.5133275462397,9.63019333718762 55.517663890175,9.62776441176927 55.5223591870834,9.62699643226158 55.5272330922403,9.62791952086009 55.5320983336395,9.63049880793119 55.5367679042135,9.63463567998296 55.5410622542262,9.64017149194595 55.5448162065719,9.64689361294565 55.5478853269121,9.65454358105369 55.5501515004292,9.66282705622097 55.5515274968837,9.67142518583844 55.5519603445703,9.68000693788621 55.5514333801836,9.68824191551077 55.5499668936417,9.69581314630789 55.5476173424047,9.70242934069704 55.5444751663914,9.70783613648834 55.5406612898363,9.71182588983077 55.5363224479764,9.71424563389205 55.5316255221763,9.71500290268408 55.5267511051441)))', 'DKSNK', 'Sønderskov, Øst for Skærbæk', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6563062677538 54.9034173299389,10.6552744152982 54.8985603362272,10.6526186460982 54.8939126270987,10.6484414939552 54.8896527070121,10.6429037849822 54.885944134418,10.6362184116193 54.8829292588152,10.628642139091 54.8807237760173,10.6204657609752 54.8794123069676,10.6120029786824 54.8790451662283,10.6035784239134 54.8796364412364,10.5955152725901 54.8811634542042,10.5881229127184 54.883567626847,10.5816851268737 54.8867567157327,10.576449232518 54.890608334735,10.572616590488 54.8949746326174,10.5703348444279 54.8996879498807,10.5696921927392 54.9045672412791,10.5707139213505 54.9094250203241,10.5733613423433 54.9140745608891,10.5775331928547 54.918337079696,10.5830694538979 54.9220486226631,10.5897574534693 54.9250663880794,10.5973400265303 54.9272742401831,10.6055254203045 54.9285871973252,10.6139985608281 54.9289547183944,10.6224332394512 54.9283626580519,10.6305047389847 54.9268338136456,10.6379024004828 54.9244270422805,10.6443416342467 54.9212349830212,10.6495749023841 54.9173804742065,10.6534012438783 54.9130118070203,10.6556739742852 54.9082970016666,10.6563062677538 54.9034173299389)))', 'DKSNO', 'Strynø', 'Y'),('SRID=4326;MULTIPOLYGON(((8.649900792788 55.4331334774124,8.64910044040512 55.4282612093465,8.64664434683195 55.4235713118945,8.64262741354622 55.4192439208972,8.63720435663623 55.4154451927179,8.6305837084594 55.4123209407001,8.62301978468239 55.4099910574438,8.61480292825556 55.4085449333289,8.60624840258685 55.4080380434209,8.59768435300275 55.4084898305713,8.58943928747817 55.4098829638006,8.58182954393733 55.4121639996224,8.57514721186785 55.4152454216045,8.56964896054299 55.4190089819406,8.56554619510895 55.4233102198927,8.56299691579259 55.4279839873659,8.56209959553671 55.4328507732147,8.56288931895363 55.4377235866301,8.56533634260333 55.4424151373965,8.56934714582068 55.4467450379715,8.57476794576565 55.4505467499317,8.58139055368561 55.4536740056802,8.58896035556314 55.4560064553263,8.59718611356142 55.4574543177798,8.60575120908803 55.4579618533285,8.61432588764909 55.4575095208278,8.62258002310193 55.456114734282,8.63019589670692 55.4538311888804,8.63688048573066 55.4507467831165,8.64237677730141 55.4469802190504,8.64647366463012 55.4426764147107,8.64901404237926 55.438000908901,8.649900792788 55.4331334774124)))', 'DKSNU', 'Sneum Sluse', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3023529096924 54.9405432759989,10.3013626414808 54.9356831156705,10.2987450501552 54.9310275247344,10.2946012079426 54.9267553124754,10.2890906680167 54.9230305108497,10.2824252863446 54.9199960931753,10.2748610668183 54.9177685054031,10.2666883450286 54.9164332162356,10.2582206845563 54.9160414532983,10.2497829043207 54.916608247662,10.2416986853532 54.9181118598714,10.234278219725 54.9204946089856,10.2278063629751 54.9236650737368,10.222531734274 54.92750158356,10.2186571760453 54.9318568687032,10.2163319375195 54.9365636945999,10.2156458857791 54.9414412677947,10.2166259748179 54.946302170417,10.2192351200336 54.9509595587543,10.2233735350423 54.9552343498844,10.2288824929138 54.9589621192414,10.2355503785369 54.9619994416977,10.2431208068179 54.9642294290751,10.2513024969399 54.9655662473528,10.259780519974 54.9659584361115,10.2682284793923 54.9653908994529,10.2763211444731 54.9638854898402,10.2837470373001 54.961500161853,10.2902204760937 54.9583267293697,10.295492600834 54.9544873147657,10.2993609503046 54.9501296300193,10.3016772205031 54.9454212750144,10.3023529096924 54.9405432759989)))', 'DKSOB', 'Søby Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6054680123266 55.0524344594753,10.604438111819 55.0475771344567,10.601778007427 55.0429284502647,10.5975904046057 55.0386669485644,10.5920365348129 55.0349562479655,10.5853299133818 55.031938778862,10.5777281217633 55.0297303357243,10.5695229317789 55.028415652276,10.5610291478781 55.0280451657985,10.5525725878426 55.0286330917936,10.54447765194 55.0301568810397,10.5370549445851 55.0325580793998,10.5305894108474 55.0357445583598,10.525329432663 55.0395940329727,10.5214772967001 55.04395873542,10.5191813981691 55.0486710685,10.5185304835233 55.0535500256001,10.5195501615336 55.0584081335922,10.5222018287016 55.0630586538449,10.5263840640626 55.0673227651702,10.5319364533069 55.0710364516669,10.5386457065039 55.0740568283653,10.5462538415423 55.0762676581399,10.5544681208731 55.0775838439227,10.5629723562752 55.0779547197151,10.5714391388179 55.0773660107456,10.5795425119477 55.0758403854366,10.5869705867576 55.0734365774497,10.5934376010329 55.0702471125911,10.5986949474415 55.0663947303844,10.6025407399812 55.0620276413023,10.6048275491712 55.0573138058897,10.6054680123266 55.0524344594753)))', 'DKSOE', 'Store Snøde', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1625777515788 56.8825842121137,10.1615510059582 56.8777245656058,10.158812916436 56.8730679157687,10.1544692506868 56.8687931058545,10.1486872841771 56.865064257182,10.1416893187151 56.8620244859851,10.1337441238946 56.8597904311102,10.12515663264 56.8584477986702,10.116256283121 56.8580480907789,10.1073844458846 56.8586066406941,10.0988814061464 56.8601020277089,10.0910733862183 56.8624768936517,10.0842600917449 56.8656401306292,10.0787032477883 56.8694703584319,10.074616557157 56.8738205615732,10.0721574643517 56.878523711937,10.0714210451441 56.8833991650718,10.072436265643 56.8882595877532,10.0751647678238 56.8929181528159,10.0795022435969 56.8971957254325,10.0852823598647 56.9009277636885,10.0922830965047 56.9039706657647,10.1002352620388 56.9062073161667,10.1088328623159 56.9075516136355,10.1177449201577 56.9079518025713,10.1266282825283 56.9073924764813,10.1351409096123 56.9058951742385,10.1429551195103 56.903517545591,10.1497702642121 56.9003511190292,10.1553243369783 56.8965177603483,10.1594040568916 56.8921649616824,10.1618530406807 56.8874601462922,10.1625777515788 56.8825842121137)))', 'DKSOK', 'Kongerslev', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2769629737053 55.5339856114889,12.276454594629 55.5291024646698,12.2742767419618 55.5243693756546,12.2705136544986 55.5199681548239,12.2653103371732 55.5160678057191,12.2588669292096 55.5128180505776,12.2514309859027 55.5103436018413,12.2432879746694 55.5087393959426,12.2347503491144 55.508066968527,12.2261456142248 55.508352106839,12.2178038303265 55.5095838668944,12.2100450224215 55.5117149919721,12.2031669646184 55.5146637166569,12.1974337965462 55.5183168889202,12.1930659001415 55.5225342933011,12.1902314216243 55.5271540128668,12.1890397657528 55.5319986279105,12.189537318988 55.5368820167769,12.1917055768899 55.54161650011,12.1954617613784 55.5460200552575,12.2006619184354 55.5499233232999,12.2071063899615 55.5531761376183,12.2145474587464 55.5556533200387,12.2226988770671 55.5572595179496,12.2312469114155 55.5579328924394,12.239862472158 55.5576475120797,12.248213850828 55.5564143577043,12.2559795617053 55.5542808983076,12.2628607797666 55.5513292546839,12.2685928842648 55.5476730232442,12.272955655185 55.5434528851812,12.2757817266172 55.5388311736055,12.2769629737053 55.5339856114889)))', 'DKSOL', 'Solrød Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((8.9443511236834 55.8330280524328,8.94350598732498 55.8281580428017,8.94098955540404 55.8234743702855,8.93689905764601 55.8191569282333,8.93139204056249 55.8153714872758,8.92468025983171 55.8122633471234,8.91702152396433 55.8099517790387,8.90870980547101 55.808525468566,8.90006399668399 55.8080391296737,8.89141573427574 55.8085114170522,8.8830967483389 55.8099242145425,8.8754262080079 55.8122233262338,8.86869853571638 55.8153205444453,8.86317214629184 55.8190970173464,8.85905953548865 55.8234077901521,8.85651909588062 55.8280873493531,8.8556489772959 55.8329559609112,8.85648323566602 55.8378265622585,8.85899043029815 55.8425119455545,8.86307473775927 55.846831957,8.8685795539554 55.8506204347979,8.87529345827592 55.8537316169064,8.88295831891536 55.8560457689528,8.89127923092307 55.8574738120073,8.8999359023366 55.8579607683313,8.90859504274457 55.8574878892357,8.91692326597503 55.8560733809635,8.92459999659829 55.8537716998767,8.93132986976583 55.8506714448238,8.9368541355892 55.8468919299675,8.94096062161554 55.8425785732024,8.94349186771381 55.8378972814217,8.9443511236834 55.8330280524328)))', 'DKSOM', 'Sønder Omme', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1023965959156 55.8796104441922,10.101405689226 55.8747493941361,10.0987474043545 55.8700903769886,10.0945244090522 55.865812331334,10.0888993207914 55.8620795088902,10.0820884074474 55.8590351854256,10.074353261396 55.8567961812873,10.0659907691765 55.8554483980855,10.0573217587219 55.855043539111,10.0486787518578 55.8555971362564,10.0403932803479 55.8570879571712,10.0327832385866 55.8594588148231,10.026140744844 55.8626187493206,10.0207209657609 55.8664465005468,10.0167323258873 55.8707951416187,10.0143284761121 55.8754976991296,10.0136023329004 55.8803735481501,10.0145824258581 55.8852353395402,10.0172317063658 55.8898961955022,10.0214488775042 55.8941768975095,10.0270722084786 55.897912789439,10.0338856989469 55.9009601282212,10.041627364192 55.9032016344537,10.0499993251873 55.9045510256051,10.0586793124635 55.9049563535881,10.0673331330706 55.9044020151076,10.0756276089482 55.902909355376,10.0832434748678 55.9005358413693,10.0898877258852 55.8973728373853,10.0953049278327 55.8935420708427,10.0992870485087 55.8891909276787,10.1016814295136 55.8844867622205,10.1023965959156 55.8796104441922)))', 'DKSON', 'Sondrup Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3726723367344 55.2581585874409,11.3715432695946 55.2533089932698,11.3687800041131 55.2486783400144,11.3644892061982 55.2444444711707,11.3588360625747 55.2407699394916,11.3520378882545 55.2377957833847,11.3443557650965 55.235636133005,11.3360845342622 55.2343738493631,11.3275415232143 55.2340573602354,11.3190544317227 55.2346988114152,11.3109488301784 55.2362736024885,11.3035357367714 55.2387213245955,11.2970997375088 55.2419480652905,11.2918880946502 55.2458299944398,11.2881012552797 55.2502180968526,11.2858851230887 55.2549438737268,11.2853253941187 55.2598257976265,11.2864441827797 55.2646762760271,11.2891990800427 55.2693088577349,11.2934846939842 55.273545405665,11.2991366270936 55.2772229591982,11.3059377486513 55.2802000198773,11.3136265281104 55.282362015352,11.3219071109484 55.283625727592,11.3304607459435 55.2839425113292,11.3389581159237 55.2833001759187,11.3470720856893 55.2817234563908,11.3544903630637 55.2792730551954,11.3609275728291 55.2760432926458,11.3661362684403 55.2721584589255,11.3699164515071 55.26776801142,11.3721232317004 55.2630408059496,11.3726723367344 55.2581585874409)))', 'DKSOO', 'Sorø Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0142784695323 54.9159334523922,12.0130832585111 54.9110904707215,12.0102715430322 54.9064748190262,12.0059518323315 54.902263761997,12.0002904060772 54.8986189753975,11.993504882597 54.8956803562146,11.9858558480528 54.8935606723615,11.9776368693884 54.8923412536144,11.969163270692 54.8920688856608,11.960760095484 54.8927540236666,11.9527497054039 54.8943703922747,11.9454394782569 54.896855987138,11.9391100651163 54.9001154407406,11.9340046472185 54.9040236641579,11.9303195990813 54.9084306283117,11.9281969153288 54.9131671048972,11.9277186962353 54.9180511501017,11.9289039126186 54.9228950849417,11.9317075865368 54.927512705757,11.9360224330083 54.9317264480767,11.941682912901 54.9353742273265,11.9484715519646 54.9383156909156,11.9561272897198 54.9404376378956,11.9643555387203 54.9416583939491,11.9728395635518 54.9419309697956,11.981252733407 54.9412448786193,11.98927116505 54.939626540889,11.99658625642 54.9371382607334,12.0029166159113 54.9338758144802,12.0080189182165 54.9299647466579,12.0116972631404 54.9255555193794,12.0138106765631 54.9208177054892,12.0142784695323 54.9159334523922)))', 'DKSOR', 'Sortsø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.78439123709561 54.9697278918694,9.78346270678659 54.9648634063635,9.7809029833822 54.9601965660486,9.77681092259335 54.9559066154749,9.77134409758948 54.9521582701033,9.7647126954246 54.9490954084505,9.75717142462871 54.9468355685111,9.74900974717627 54.9454654560684,9.74054080709267 54.9450376336834,9.73208947318837 54.9455685144181,9.72397994380696 54.9470377353252,9.71652337641035 54.9493889341417,9.71000600401001 54.9525319002217,9.70467818389673 54.9563460193224,9.70074479214057 54.9606848831878,9.69835733058432 54.965381890658,9.69760805259165 54.9702566288979,9.69852634115497 54.9751217927417,9.70107749016294 54.9797903783628,9.70516394927796 54.9840828755043,9.71062899813568 54.9878341810141,9.71726272008653 54.9908999657213,9.7248100534363 54.9931622466225,9.73298061324249 54.9945339463197,9.74145990322083 54.9949622606064,9.74992147888092 54.9944307015329,9.75803958266252 54.9929597353176,9.76550175172819 54.9906059899312,9.77202090026416 54.9874600637123,9.77734640058138 54.9836430215582,9.78127372977989 54.979301716733,9.78365230898716 54.9746031220103,9.78439123709561 54.9697278918694)))', 'DKSOT', 'Sottrupskov', 'Y'),('SRID=4326;MULTIPOLYGON(((10.8733323781886 54.9323397700222,10.8722736062288 54.9274848582506,10.8695909604203 54.9228421301494,10.8653880054806 54.9185898973894,10.8598265556744 54.914891422045,10.8531204113784 54.9118886651847,10.8455271313175 54.9096968571257,10.8373381583563 54.9084000941036,10.8288676746789 54.9080481268031,10.8204406062622 54.908654461091,10.812380225753 54.9101958420326,10.8049958165949 54.9126131405605,10.7985708592418 54.9158136097813,10.7933521825664 54.9196744266313,10.7895404904575 54.9240473861902,10.7872826257812 54.9287645721526,10.7866658724476 54.9336447893343,10.7877145228271 54.9385005141313,10.7903888542966 54.9431450977838,10.7945865679209 54.9473999461306,10.800146647379 54.9511013988986,10.8068555009199 54.9541070417334,10.8144551573626 54.9563012049543,10.822653203097 54.957599433773,10.8311340746902 54.9579517543503,10.8395712646969 54.957344607036,10.847639959548 54.955801370541,10.8550296100161 54.9533814564243,10.8614559377065 54.9501780097794,10.8666719051273 54.9463143069559,10.8704772208514 54.9419389922372,10.8727260127601 54.9372203404801,10.8733323781886 54.9323397700222)))', 'DKSPB', 'Spodsbjerg Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((8.56167592494837 56.1171665965504,8.56087294099916 56.1122942931424,8.55838455010126 56.1076030964574,8.55430691869805 56.1032731903436,8.54879711243771 56.0994708244572,8.54206700497058 56.0963419476473,8.53437511544658 56.0940066256766,8.52601669141306 56.0925544537845,8.5173124154951 56.0920411363485,8.50859616181068 56.0924863616434,8.50020226049546 56.0938730510321,8.49245274535168 56.0961480105668,8.48564506018588 56.0992239606715,8.48004068385692 56.102982868104,8.4758551027057 56.1072804555024,8.47324951249952 56.1119517192187,8.47232457130278 56.1168172474416,8.473116451253 56.1216900992901,8.4755953530829 56.1263829829071,8.47966655497253 56.1307154576247,8.48517397010983 56.1345208827405,8.49190608887382 56.1376528436659,8.49960408591543 56.1399908051091,8.50797178387428 56.1414447699946,8.51668708825321 56.1419587609773,8.52541444594856 56.1415129872411,8.53381783633704 56.1401246109181,8.5415737809899 56.1378470827774,8.5483838572671 56.1347680734422,8.55398622228726 56.1310060818952,8.55816569591562 56.1267058550265,8.56076201220098 56.122032798319,8.56167592494837 56.1171665965504)))', 'DKSPJ', 'Spjald', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2944540795838 55.9325409194777,10.2934377177744 55.9276815890448,10.2907527592839 55.9230268962169,10.2865028960794 55.9187556120317,10.2808517755675 55.9150317273195,10.2740166620904 55.9119981738056,10.2662600733291 55.9097713579458,10.2578797151202 55.9084367135174,10.2491970979192 55.9080454399306,10.2405452636862 55.9086125483563,10.2322560823616 55.910116288686,10.2246475917236 55.9124989787663,10.2180118529993 55.9156692050421,10.2126037771638 55.9195053124639,10.2086313437081 55.9238600530375,10.2062475854604 55.9285662184031,10.2055446508539 55.9334430439497,10.2065501803855 55.938303141652,10.2092261489911 55.9429596973236,10.213470233331 55.9472336563264,10.2191196657798 55.9509606206137,10.2259574389901 55.9539971896231,10.2337206303631 55.9562264978166,10.2421105288752 55.9575627319812,10.2508041716449 55.9579544506834,10.2594668381668 55.9573865749872,10.2677650093801 55.9558809718115,10.275379278877 55.9534956069114,10.2820167056525 55.9503223010598,10.2874221217437 55.9464831781436,10.291387952584 55.9421259452385,10.2937621705342 55.9374181901389,10.2944540795838 55.9325409194777)))', 'DKSPO', 'Spottrup', 'Y'),('SRID=4326;MULTIPOLYGON(((9.91381864800364 55.3626802938754,9.91286462702147 55.3578172039155,9.91026398938688 55.3531535374306,9.90611717354119 55.3488684147779,9.90058386233991 55.3451263632511,9.893876797578 55.3420710168573,9.88625358945337 55.3398196225363,9.87800683794185 55.3384585599979,9.8694529424543 55.3380400434705,9.86092002158792 55.3385801288942,9.85273539526299 55.3400581010585,9.8452130964366 55.3424172636109,9.83864187861592 55.3455671024916,9.83327416856899 55.3493867419813,9.8293163812662 55.3537295639312,9.82692096683578 55.3584288165964,9.82618049823621 55.3633040014185,9.82712403496014 55.3681677955792,9.82971591444455 55.3728332464213,9.83385703159625 55.377120961936,9.83938857113534 55.3808660200901,9.84609806098876 55.3839243291452,9.85372752176267 55.3861781911226,9.86198340157293 55.3875408506341,9.87054791130681 55.3879598503259,9.87909131644195 55.3874190607005,9.88728470092091 55.3859393041768,9.89481269843621 55.3835775487604,9.90138568790805 55.3804247032516,9.90675097285295 55.3766021011017,9.9107025075026 55.3722568114974,9.91308879363937 55.3675559618612,9.91381864800364 55.3626802938754)))', 'DKSQA', 'Sønder Åby', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5850063574768 55.5660793376294,11.5838412884122 55.5612322950168,11.5810305927916 55.5566071418312,11.5766827655731 55.5523815077536,11.570965186731 55.5487176265851,11.5640976441973 55.5457561252809,11.556343877892 55.5436106461831,11.548001471207 55.5423635051009,11.5393904742893 55.5420625482654,11.5308411873223 55.5427193258711,11.5226815607653 55.5443086505434,11.5152246825954 55.5467695573491,11.5087568197519 55.5500076296545,11.5035264622345 55.5538986040211,11.4997347840065 55.5582931191582,11.4975278856803 55.5630224304416,11.4969911210282 55.5679048742419,11.4981457342412 55.5727528367597,11.5009479496915 55.5773799614583,11.5052905634496 55.5816083185122,11.5110069892444 55.5852752595722,11.5178776146878 55.5882396918424,11.5256382305167 55.5903875267677,11.533990210562 55.5916360898847,11.542612047218 55.5919373184701,11.5511717900467 55.591279620958,11.5593398967766 55.5896883247704,11.5668019884006 55.5872246949865,11.5732710042797 55.583983562789,11.5784982788773 55.5800896574577,11.582283107579 55.5756927864954,11.5844804325513 55.5709620531792,11.5850063574768 55.5660793376294)))', 'DKSQG', 'Sølager', 'Y'),('SRID=4326;MULTIPOLYGON(((10.591436923071 55.0234396587112,10.590409529179 55.0185821770289,10.5877530279296 55.0139331422328,10.5835699856291 55.0096711096529,10.5780214581862 55.005959718511,10.5713207557749 55.0029414259353,10.5637252329382 55.0007320581956,10.5555264214768 54.9994163846353,10.547038881795 54.9990448805929,10.5385881928206 54.9996318006014,10.530498530169 55.0011546339559,10.5230802962909 55.0035549630625,10.5166182646372 55.0067406926023,10.5113606824207 55.0105895662304,10.5075097436807 55.0149538390694,10.5052137967357 55.0196659303392,10.5045615888203 55.0245448427112,10.5055787772939 55.0294031048489,10.5082268533561 55.0340539723404,10.5124045333583 55.0383186108447,10.5179515777541 55.0420329844122,10.5246549021525 55.0450541818675,10.5322567528387 55.0472659346989,10.5404646346551 55.0485831104542,10.5489626063169 55.0489550050987,10.5574235007195 55.0483673046337,10.5655215885614 55.0468426385818,10.5729451847325 55.0444397035488,10.5794086994226 55.0412509915828,10.5846636596421 55.0373992130762,10.5885082705293 55.0330325551474,10.5907951471247 55.0283189616847,10.591436923071 55.0234396587112)))', 'DKSQH', 'Sønderskov Huse', 'Y'),('SRID=4326;MULTIPOLYGON(((8.16556617449892 56.0253094904166,8.16481494568793 56.0204347424435,8.16238051366974 56.0157357056341,8.15835697297289 56.0113928679664,8.15289931580455 56.0075729782579,8.14621741972958 56.0044226600327,8.13856796066271 56.0020628031265,8.13024456515735 56.0005839445678,8.12156657792551 56.0000428122111,8.11286686842256 56.0004601604792,8.10447913313206 56.0018199790039,8.09672516724162 56.0040701036327,8.08990258040068 56.007124206969,8.08427341618198 56.0108650940779,8.08005410401482 56.0151491800083,8.07740712632866 56.0198119810334,8.07643472343829 56.0246744126321,8.07717488577167 56.0295496556898,8.07959979937797 56.0342503294929,8.08361681881938 56.0385956968464,8.08907194469165 56.0424186238114,8.09575568479926 56.0455720244695,8.10341108249282 56.0479345397122,8.11174360711803 56.0494152278029,8.12043252413624 56.0499570823571,8.12914330012872 56.0495392390035,8.13754055383661 56.048177783483,8.14530104097835 56.0459251291662,8.152126159104 56.0428679885723,8.15775347927813 56.0391240190313,8.1619668528131 56.0348372747665,8.16460470138355 56.0301726442116,8.16556617449892 56.0253094904166)))', 'DKSQL', 'Sønder Lyngvig', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0304351634017 55.0069968883295,15.02959698322 55.0021268093434,15.0271224133637 54.9974442590361,15.0231070473873 54.9931290900835,15.0177055253384 54.9893469898703,15.011125540737 54.9862431348612,15.0036198415581 54.9839366370281,14.9954765352069 54.982515991884,14.9870080672965 54.9820356991968,14.978539290074 54.9825141829863,14.9703950675651 54.9839330885618,14.9628878802834 54.9862379828481,14.9563058923615 54.9893404318502,14.9509019282181 54.993121377591,14.9468837746783 54.9974356880083,14.9444061784529 55.0021177088155,14.9435648490888 55.0069876078429,14.9443927054276 55.0118582713471,14.9468585212487 55.0165424894956,14.9508680357191 55.020860155699,14.956267499631 55.0246452023894,14.9628495327993 55.027752004528,14.9703610753754 55.0300610014686,14.978513130351 55.0314833172316,14.986991920213 55.0319641977119,14.9954710212888 55.0314851294034,15.0036239978372 55.0300645559848,15.0111370366205 55.0277571644456,15.0177210826691 55.0246517689654,15.0231229982353 55.0208678760961,15.0271353083735 55.0165510665733,15.0296041559789 55.0118673751492,15.0304351634017 55.0069968883295)))', 'DKSQM', 'Sømarken', 'Y'),('SRID=4326;MULTIPOLYGON(((9.53827518849059 54.8598159203967,9.53737892125567 54.8549494129145,9.53485466433232 54.8502772462488,9.53079991016252 54.8459788715049,9.52537080047619 54.8422193294283,9.51877607738452 54.8391429298153,9.51126904582395 54.8368677312094,9.50313785855769 54.835481029164,9.49469449409506 54.8350360226364,9.48626284327447 54.8355497834269,9.47816635085337 54.8370026046026,9.47071567362458 54.8393387522685,9.46419681603622 54.8424685926356,9.45886018803869 54.8462720148747,9.45491099822978 54.8506030215058,9.4525013489728 54.8552953137683,9.45172434006859 54.8601686611598,9.45261041528298 54.8650358136031,9.45512610359884 54.8697096927499,9.45917521706617 54.8740105867856,9.46460247270185 54.8777730714256,9.47119941065935 54.8808523888954,9.47871238881114 54.883130036434,9.48685234908026 54.8845183456596,9.49530597734624 54.884963872936,9.50374782019741 54.8844494671835,9.51185288122988 54.8829949335247,9.51930919915659 54.8806562665651,9.52582991078526 54.8775234836337,9.53116432390693 54.8737171435388,9.53510756712073 54.869383687977,9.5375084433794 54.8646897885363,9.53827518849059 54.8598159203967)))', 'DKSQN', 'Sønderhav', 'Y'),('SRID=4326;MULTIPOLYGON(((9.52056901106301 55.1318216975349,9.5196685970236 55.1269552857761,9.5171290706448 55.1222829918582,9.51304851965513 55.1179842708999,9.50758408290068 55.1142241755693,9.50094586224823 55.111147035246,9.49338883245082 55.1088709352207,9.48520306225113 55.1074832041906,9.4767026194962 55.1070370796068,9.46821357868173 55.1075496757936,9.4600615801169 55.1090013308046,9.45255940517122 55.1113363564308,9.44599503153797 55.1144651633802,9.4406206161302 55.1182676822132,9.43664282142748 55.1225979518866,9.43421485446271 55.1272897034624,9.43343052722538 55.1321627282718,9.43432057456813 55.137029789082,9.43685138277492 55.1417038108373,9.44092619137902 55.1460050753717,9.44638873576149 55.1497681427813,9.45302920215435 55.1528482312145,9.46059227391319 55.1551268065573,9.46878696246234 55.1565161632677,9.47729784221588 55.1569628163987,9.48579724973738 55.1564495711596,9.49395796647824 55.1549961883091,9.50146588380481 55.1526586191048,9.50803214979939 55.1495268400756,9.51340431945637 55.1457213731337,9.51737607219365 55.1413886281447,9.51979512081365 55.1366952508908,9.52056901106301 55.1318216975349)))', 'DKSQS', 'Sønderballe Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((9.18236537394979 56.6999418648256,9.18147026456324 56.6950742248316,9.17886685128407 56.6903961501279,9.17465573318085 56.686087314174,9.1689991074096 56.6823131509823,9.1621144805667 56.6792185207486,9.15426629113076 56.6769221701437,9.14575576774012 56.6755121960246,9.13690940988549 56.6750426827886,9.12806652506956 56.6755316391343,9.11956628858698 56.6769603112217,9.11173480819439 56.6792738978364,9.10487267578082 56.6823836409123,9.09924347171624 56.6861702134103,9.09506365514352 56.690488277848,9.09249422570868 56.6951720444105,9.09163448011254 56.7000416191682,9.09251811190388 56.704909901946,9.0951118171626 56.7095897711117,9.09931647477712 56.7139012800158,9.10497087114341 56.7176785877139,9.11185783907455 56.720776355288,9.11971258368519 56.7230753584353,9.12823287837218 56.7244870964728,9.13709073605235 56.724957216462,9.14594509847607 56.7244676173316,9.15445504298422 56.7230371507798,9.16229298386017 56.7207208912125,9.169157345666 56.7176080036292,9.17478420862975 56.7138182937918,9.17895747002266 56.7094975768141,9.1815171281665 56.7048120463357,9.18236537394979 56.6999418648256)))', 'DKSQT', 'Sønder Thise', 'Y'),('SRID=4326;MULTIPOLYGON(((8.16367127436782 56.116310520878,8.16291862603833 56.1114358282353,8.16047879339421 56.106736805979,8.15644608166131 56.1023939412124,8.15097583765935 56.0985739833029,8.1442784235242 56.0954235578026,8.13661111094819 56.0930635580654,8.12826821066173 56.091584526085,8.1195698139534 56.0910431960166,8.11084957101696 56.0914603297327,8.10244196377694 56.0928199251988,8.09466954793395 56.0950698271479,8.08783063997526 56.0981237172303,8.08218790980509 56.1018644092988,8.077958308743 56.1061483265023,8.07530471652823 56.1108109921233,8.0743296306471 56.1156733272099,8.07507114822597 56.1205485165074,8.07750140689261 56.12524918128,8.08152755897127 56.1295945843665,8.08699525629102 56.133417589964,8.09369452442777 56.1365711085378,8.10136780943686 56.1389337758413,8.10971989134029 56.1404146437675,8.11842928103062 56.1409566986547,8.12716065472975 56.1405390682831,8.1355778359528 56.1391778302985,8.14335681144584 56.1369253900272,8.15019826607525 56.1338684522557,8.15583914223177 56.1301246671145,8.16006277085522 56.1258380823469,8.1627071814572 56.1211735807824,8.16367127436782 56.116310520878)))', 'DKSQV', 'Søndervig', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1817223439513 55.3200171519423,12.181227572645 55.3151336183536,12.1790720407919 55.3103989436996,12.1753391231614 55.3059950005919,12.1701726616998 55.3020908987198,12.1637713789148 55.2988365060734,12.1563812141521 55.2963567146172,12.1482858813034 55.2947466669794,12.1397960093897 55.2940681236168,12.1312372767091 55.2943471065145,12.1229379837084 55.2955729073809,12.1152165287438 55.2976984972122,12.1083692540729 55.3006423217805,12.1026591167448 55.3042914158303,12.0983056107706 55.3085057193154,12.0954763236539 55.3131234335863,12.0942804529801 55.3179672156767,12.0947645387077 55.3228509762291,12.0969105859547 55.3275870224592,12.1006366638955 55.3319932729458,12.1057999718651 55.3359002667226,12.1122022674485 55.3391576955335,12.1195974571131 55.3416402051852,12.1277010619728 55.3432522392287,12.1362011936673 55.3439317347943,12.144770611938 55.3436525249324,12.1530793895513 55.342425352488,12.1608076842032 55.3402974552755,12.1676581123563 55.3373507388013,12.1733672368746 55.3336986085875,12.1777157179405 55.3294815869087,12.1805367330487 55.3248618862343,12.1817223439513 55.3200171519423)))', 'DKSRD', 'Solrød', 'Y'),('SRID=4326;MULTIPOLYGON(((8.40363081509648 56.9212259822725,8.40283177151044 56.9163532983457,8.40031049674046 56.9116594631561,8.39616445152859 56.9073247599529,8.39055335303019 56.903515618875,8.38369297832231 56.9003782439884,8.37584685026403 56.8980330219836,8.3673161284786 56.8965699232625,8.35842809115454 56.8960450679858,8.34952364190654 56.8964785854799,8.34094430906941 56.8978538468337,8.33301922189021 56.9001180992471,8.32605254883496 56.9031844784621,8.32031186762916 56.9069353241802,8.31601790498455 56.9112266744973,8.31333603683091 56.9158937707558,8.31236987826132 56.9207573654456,8.31315721777264 56.925630594351,8.31566846474706 56.9303261513359,8.3198076850822 56.9346634910237,8.32541620064937 56.9384757818957,8.33227862760212 56.941616340358,8.34013113064859 56.9439642950496,8.34867157963264 56.9454292595414,8.35757121548687 56.9459548296252,8.36648736882278 56.9455207671517,8.3750767294614 56.9441437840003,8.38300864151251 56.9418768950996,8.38997789748626 56.9388073660896,8.39571652643397 56.9350533367966,8.40000411408447 56.9307592537951,8.40267625504432 56.9260902917684,8.40363081509648 56.9212259822725)))', 'DKSRG', 'Stenbjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2718208222993 55.3901934247638,11.2706998547791 55.3853429203341,11.2679386722961 55.3807100551023,11.2636438660144 55.376472757633,11.2579807810608 55.3727937120636,11.2511671172467 55.3698141295109,11.2434645524229 55.367648347642,11.2351687119209 55.3663794619629,11.2265978656288 55.3660561528902,11.2180807782833 55.3666908274554,11.2099441675743 55.368259145171,11.2025002380568 55.3707009458779,11.1960347563812 55.3739225450584,11.1907961150221 55.3778003109191,11.18698579784 55.3821853892844,11.1847506121394 55.3869093987004,11.1841769894797 55.3917908807289,11.1852875829278 55.3966422606783,11.1880403038318 55.4012770532069,11.1923298492258 55.4055170363373,11.1979916749067 55.4091991170649,11.2048082727784 55.4121816221976,11.2125175183085 55.4143497691319,11.2208227690893 55.4156201023015,11.2294043226017 55.415943720922,11.2379317840294 55.415308170836,11.2460768563201 55.4137379258213,11.2535260467193 55.4112934394514,11.2599927876562 55.4080688051121,11.2652284949478 55.4041881166726,11.2690321314207 55.3998006732441,11.2712579068484 55.3950752163396,11.2718208222993 55.3901934247638)))', 'DKSRR', 'Skarresø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5491150439371 54.7471009301324,11.5479809784524 54.7422526740237,11.545234309441 54.7376255169976,11.5409810478659 54.7333971691725,11.5353849255062 54.7297299733259,11.5286610602262 54.7267646890268,11.5210676798516 54.7246151089769,11.5128962240524 54.7233637105572,11.5044602007129 54.7230585059701,11.4960832164863 54.7237112090445,11.4880866296186 54.7252967873555,11.4807772860814 54.7277544165267,11.4744357973206 54.7309898012056,11.4693057995327 54.734878776007,11.4655846006789 54.7392720514929,11.4634155731299 54.744000926688,11.4628825880148 54.7488837523394,11.4640067136011 54.7537328995633,11.4667453164857 54.7583619679222,11.4709936137 54.7625929563152,11.4765886292447 54.7662631199628,11.4833154137607 54.7692312474751,11.490915294997 54.7713831132968,11.4990958435867 54.7726358920585,11.5075421673495 54.7729413614126,11.5159290914838 54.7722877672219,11.5239337444807 54.770700277576,11.531248052373 54.7682400078349,11.5375906479381 54.7650016553546,11.5427177264808 54.7611098373412,11.5464324244705 54.7567142760856,11.5485923592347 54.7519840205504,11.5491150439371 54.7471009301324)))', 'DKSRS', 'Søndersø, Ved Maribo', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6183057657027 55.8278661757599,12.6177519299253 55.8229842668464,12.6155172215438 55.8182569590625,12.6116880707591 55.8138658374464,12.6064120225952 55.8099795143265,12.5998920072436 55.8067471703635,12.5923785152076 55.80429284726,12.5841599818903 55.8027107075714,12.5755517494511 55.8020614397368,12.5668840230766 55.8023699429031,12.5584892731702 55.8036243779356,12.5506895536868 55.8057766198922,12.5437842095808 55.8087440949518,12.5380384330622 55.8124129330892,12.5336730993335 55.816642318458,12.5308562682875 55.821269874173,12.5296966802352 55.826117878611,12.5302395025164 55.831000077956,12.5324645017321 55.8357288358154,12.5362867258125 55.8401223463907,12.5415596842622 55.8440116336565,12.5480809172728 55.8472470656882,12.5555997489662 55.8497041306525,12.5638269310262 55.8512882485701,12.5724458046002 55.8519384298341,12.5811245444828 55.8516296362358,12.5895290035616 55.8503737511258,12.5973356497464 55.8482191202077,12.6042440835562 55.8452486810008,12.6099886424038 55.8415767547953,12.6143486364686 55.8373446275678,12.6171568187746 55.832715093626,12.6183057657027 55.8278661757599)))', 'DKSSB', 'Skodsborg', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4217390969529 56.1814935906111,10.4206996274637 56.176635625005,10.4179815139718 56.1719840647968,10.413689728983 56.1677175588888,10.407989533671 56.1639999125674,10.401100076946 56.160973816027,10.393285959644 56.1587553877602,10.3848470900855 56.1574297384261,10.3761072171608 56.1570477216987,10.3674015727301 56.1576239936897,10.3590640855215 56.1591364534501,10.3514146432523 56.1615270854889,10.3447468781254 56.1647041729609,10.3393169331798 56.1685457989391,10.3353336335157 56.1729045047547,10.3329504378355 56.17761293046,10.3322594830869 56.1824902246464,10.3332879598239 56.1873489806057,10.335996970284 56.1920024344039,10.3402829278143 56.1962716488572,10.3459814584203 56.1999924063281,10.3528736666308 56.2030215429781,10.3606945327236 56.2052424774854,10.3691431209368 56.2065697176378,10.3778942028017 56.2069521675732,10.3866108399959 56.2063751052278,10.3949574302403 56.2048607518751,10.402612699962 56.2024674112889,10.4092821297826 56.1992872126667,10.4147093232313 56.19544254658,10.4186858741007 56.1910813345262,10.4210593511322 56.1863713180048,10.4217390969529 56.1814935906111)))', 'DKSSD', 'Skødshoved Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3326702966498 55.2551729263693,11.3315461872088 55.2503229146709,11.3287877651965 55.2456913092078,11.324501510838 55.2414559903113,11.3188524369525 55.2377795666194,11.3120577029997 55.2348031493023,11.3043782594895 55.2326409553513,11.296108845354 55.2313759433585,11.2875667187613 55.2310566457034,11.2790795457059 55.2316953158203,11.2709728995875 55.2332674598825,11.2635578382936 55.2357127705107,11.2571190227578 55.2389374277702,11.2519038226229 55.2428176815381,11.2481128208138 55.2472045810675,11.2458920802318 55.2519296739485,11.2453274734925 55.2568114592766,11.2464413022393 55.2616623501417,11.2491913481736 55.2662958797877,11.2534724062516 55.2705338749443,11.2591202547419 55.2742133195378,11.2659179207425 55.277192642493,11.2736040073681 55.2793571844614,11.2818827643331 55.280623629386,11.2904355111068 55.2809432267361,11.2989329648662 55.2803036774513,11.3070479870653 55.2787296092041,11.3144682446339 55.2762816223137,11.3209082855537 55.2730539441522,11.3261205536309 55.2691707847473,11.3299049123218 55.2647815372027,11.3321163100804 55.2600550113918,11.3326702966498 55.2551729263693)))', 'DKSSK', 'Skælskør', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0306019144092 56.0576356168848,10.029615181135 56.0527741121623,10.0269530228877 56.0481136927748,10.0227182630302 56.0438333509385,10.0170739762794 56.0400974258861,10.0102371710373 56.0370493115311,10.0024704346169 56.034805972621,9.99407186468401 56.0334534760673,9.98536367038234 56.0330437052048,9.97667987254856 56.0335923799594,9.96835356318348 56.035078456887,9.96070419929891 56.0374449315148,9.95402540513841 56.0406010131109,9.94857373958199 56.0444255907068,9.94455885260356 56.0487718606621,9.94213540660501 56.0534729419745,9.94139707635102 56.0583482675358,9.94237286660041 56.0632105090545,9.94502590144422 56.0678727716961,9.949254746474 56.0721557826262,9.95489722745306 56.0758947962672,9.96173661089431 56.0789459484963,9.96950991697994 56.0811918120767,9.97791804787282 56.0825459357385,9.98663733885867 56.0829561884339,9.99533207972862 56.082406776882,10.0036675125013 56.080918856698,10.011322791208 56.0785497129742,10.0180033911282 56.0753905427887,10.0234524784741 56.0715629273198,10.0274607957833 56.0672141326964,10.0298746808274 56.0625114242781,10.0306019144092 56.0576356168848)))', 'DKSSS', 'Stilling Solbjerg Sø', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((9.48374215735754 55.2898345805074,9.48284255188419 55.2849680216242,9.48029715330303 55.2802950929432,9.47620428035937 55.2759952736224,9.47072154931693 55.2722336578332,9.46405976692443 55.2691546324355,9.45647481291535 55.2668763541125,9.44825782640876 55.265486234282,9.43972407030659 55.2650376014158,9.4312008936067 55.2655476657782,9.42301524245603 55.2669968626653,9.41548118612291 55.2693295986828,9.40888792357984 55.2724563732303,9.4034887200602 55.2762571959207,9.39949119109778 55.2805861719429,9.39704930482065 55.2852770830653,9.39625741269509 55.2901497537007,9.39714654600793 55.2950169606819,9.39968313217331 55.2996916233925,9.40377019405541 55.3039939986848,9.409251000073 55.3077586032642,9.41591503654729 55.310840595255,9.42350608058357 55.3131213663368,9.43173206591222 55.3145131255912,9.44027635964123 55.3149622949588,9.44881000851218 55.3144515824975,9.45700447208278 55.3130006515788,9.4645443394727 55.3106653595876,9.4711395270298 55.307535596249,9.47653647645708 55.3037318069666,9.48052791538817 55.2994003381877,9.48296080284798 55.2947077876434,9.48374215735754 55.2898345805074)))', 'DKSST', 'Skrillinge Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((8.42750201523739 55.9672147134458,8.42671890578312 55.9623414663042,8.42425629589386 55.9576475124637,8.42020935780187 55.9533131431208,8.41473397666892 55.9495047808515,8.40804070489179 55.9463686061383,8.40038665011625 55.9440249660083,8.39206561175812 55.9425637756639,8.38339684244787 55.9420410858036,8.37471285838026 55.9424769441105,8.3663467550259 55.9438546307482,8.35861950140226 55.9461212963508,8.35182768680232 55.949189978674,8.34623217853005 55.952942922575,8.34204811808146 55.9572360790535,8.33943663695421 55.9619046144336,8.33849861287264 55.9667692220018,8.33927071414466 55.9716429970242,8.34172389612117 55.9763386133344,8.34576442188301 55.9806755266408,8.3512373824885 55.9844869270723,8.35793259404665 55.987626171614,8.36559265360022 55.9899724458851,8.37392284756146 55.9914354336586,8.38260252944142 55.9919588105931,8.39129752170304 55.9915224244047,8.39967305297542 55.990143075295,8.40740671892489 55.9878738657267,8.41420095404092 55.9848021452403,8.41979452252038 55.9810461315116,8.42397257818568 55.9767503408943,8.42657490371414 55.9720800080873,8.42750201523739 55.9672147134458)))', 'DKSTA', 'Stavning', 'Y'),('SRID=4326;MULTIPOLYGON(((9.81501416755803 55.5377151528152,9.81406786182573 55.5328514075559,9.81146713126199 55.5281857737962,9.80731242462428 55.5238974474335,9.80176373341348 55.5201510783035,9.79503439371831 55.5170904653367,9.78738287234948 55.5148330565916,9.77910285520663 55.513465461556,9.77051201553024 55.5130401442719,9.76193988539152 55.5135734211134,9.75371528446172 55.5150448380561,9.74615377515931 55.5173979507179,9.73954561241011 55.5205424781033,9.73414463948293 55.5243577496075,9.73015854899464 55.5286973162133,9.72774088086455 55.5333945526312,9.72698506778831 55.5382690390171,9.72792076521471 55.5431334803123,9.73051261890005 55.5478008994587,9.73466153151025 55.5520918287506,9.74020839363372 55.5558412220801,9.74694014764612 55.5589048201102,9.75459795918118 55.5611647203332,9.76288718471933 55.5625339339559,9.77148874912426 55.5629597505207,9.78007148757965 55.5624257776423,9.78830496539185 55.5609525753107,9.79587226871665 55.5585968597176,9.80248226054195 55.5554493081318,9.80788081914112 55.5516310515654,9.81186061945919 55.5472889934839,9.8142690791991 55.542590138481,9.81501416755803 55.5377151528152)))', 'DKSTB', 'Strib Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1854668528011 55.0860129264847,12.1849735438999 55.081129269425,12.1828292302331 55.0763946360362,12.179116847652 55.0719908980518,12.1739794433101 55.0680871584386,12.167614620446 55.0648332727015,12.1602669180678 55.0623541148184,12.152218422351 55.0607448043938,12.1437779691511 55.0600670745075,12.1352693460352 55.0603469163219,12.1270189365383 55.0615735883951,12.1193432682587 55.0637000275407,12.112536929557 55.0666446457363,12.106861306987 55.070294445794,12.1025345674145 55.0745093390418,12.0997232656615 55.0791275028386,12.0985359013956 55.0839715759839,12.0990186792649 55.0888554574919,12.1011536458499 55.0935914500693,12.1048592883064 55.097997475059,12.1099935856043 55.1019040813187,12.1163594075262 55.1051609769229,12.1237120629691 55.1076428296686,12.1317687116996 55.1092541096826,12.1402192766391 55.1099327840323,12.1487384307979 55.1096527177692,12.1569981873828 55.1084246865055,12.1646805957847 55.1062959603525,12.171490041521 55.1033484755091,12.1771646650221 55.0996956655847,12.1814864515237 55.0954780774762,12.1842896002654 55.0908579440923,12.1854668528011 55.0860129264847)))', 'DKSTC', 'Stavreby, Sydsjælland', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5483290347024 57.4934398753987,10.5472329753538 57.48858425791,10.544399416105 57.4839370322026,10.5399378099471 57.4796766744051,10.5340199708211 57.475966745198,10.5268734168432 57.4729496290057,10.5187726120916 57.4707410905369,10.5100284457048 57.4694258535644,10.500976348517 57.4690543676768,10.4919634941855 57.4696408838277,10.4833355627897 57.4711629104769,10.4754235596324 57.4735620706516,10.4685311801787 57.4767463280908,10.4629231937627 57.4805934995304,10.4588152841657 57.4849559218821,10.456365735075 57.4896660992293,10.4556692838111 57.4945431168268,10.4567533890976 57.4993995790865,10.4595770701698 57.5040488071446,10.4640323778984 57.5083120200332,10.4699484572228 57.5120252224108,10.4770980579437 57.5150455315425,10.4852062521467 57.5172566966233,10.4939610257174 57.5185735940019,10.5030253329724 57.5189455213074,10.5120501413793 57.5183581603842,10.520687950956 57.5168341313817,10.5286062525354 57.5144321161134,10.5355003917764 57.511244585503,10.5411053314361 57.5073942211252,10.5452058515774 57.5030291721643,10.5476447934913 57.4983173344134,10.5483290347024 57.4934398753987)))', 'DKSTD', 'Strandby', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3313651229202 54.9869596975701,12.3308548746552 54.982076389429,12.3286981868727 54.9773441352917,12.3249784662336 54.9729447148304,12.3198390371515 54.9690470649172,12.3134775766405 54.9658008073376,12.3061384917762 54.9633305236607,12.2981035365754 54.9617309935174,12.2896810274232 54.9610635753539,12.2811940649317 54.9613538652507,12.2729682041978 54.9625907212376,12.2653190341328 54.9647266893961,12.2585401295201 54.9676798156873,12.2528918266788 54.9713367756612,12.248591245328 54.9755572047598,12.2458039360548 54.9801790665457,12.2446374756407 54.9850248564887,12.2451372627921 54.9899084064322,12.2472846864606 54.9946420308357,12.2509977503614 54.9990437414164,12.2561341435095 55.002944252653,12.2624966510863 55.0061935071496,12.2698407066122 55.0086664670837,12.2778837993335 55.0102679453881,12.2863163740011 55.0109362870261,12.2948137976171 55.0106457553263,12.303048922471 55.0094075290715,12.310704749272 55.0072692707914,12.3174866898092 55.0043132831756,12.3231339455737 55.0006533262852,12.327429556257 54.9964302209312,12.330208728012 54.9918064109864,12.3313651229202 54.9869596975701)))', 'DKSTE', 'Stege', 'Y'),('SRID=4326;MULTIPOLYGON(((11.936001591623 54.6529645903683,11.9348245655219 54.6481204515262,11.9320409610356 54.6435024888547,11.927758200787 54.6392880573239,11.9221411414366 54.6356389640911,11.9154056970502 54.6326952733415,11.9078105336529 54.6305699493084,11.8996471552996 54.6293445394492,11.8912287585963 54.6290660599872,11.8828782753481 54.629745200574,11.874916050932 54.631355915334,11.8676476185125 54.6338364157298,11.861352026069 54.637091528312,11.8562711544314 54.6409963292813,11.8526004304745 54.6454009196559,11.8504812910164 54.6501361614162,11.8499956909115 54.6550201578967,11.851162874932 54.659865232359,11.853938549413 54.6644851383435,11.8582164990028 54.6687022250289,11.8638325994214 54.672354281035,11.8705710825938 54.6753007911213,11.8781728198694 54.6774283618359,11.8863453063802 54.6786551036841,11.8947739588847 54.6789337976587,11.9031342842225 54.6782537214506,11.911104438646 54.6766410633754,11.9183776817184 54.6741579078233,11.9246742330831 54.6708998324674,11.9297520659257 54.6669922121625,11.9334162160022 54.6625853751085,11.9355262473088 54.6578488013611,11.936001591623 54.6529645903683)))', 'DKSTF', 'Stavreby, Sydfalster', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4307203114343 55.3099279293493,12.4301949801139 55.3050451065185,12.4280101537077 55.300314542561,12.424250329842 55.2959179505409,12.4190603800149 55.2920241565508,12.4126399240926 55.2887826320007,12.4052356329045 55.2863177745998,12.3971317586496 55.2847241540003,12.3886392554853 55.2840629008399,12.3800839016498 55.2843593744224,12.371793868673 55.2856021961101,12.3640872019488 55.2877436843745,12.3572596798534 55.2907016751212,12.3515735056341 55.2943626591552,12.3472472577471 55.2985861192514,12.3444474807615 55.3032099039489,12.3432822413314 55.3080564355368,12.3437969034698 55.3129395172225,12.345972296342 55.3176714804948,12.3497253584906 55.3220703992571,12.354912247828 55.3259670931917,12.361333810422 55.3292116493989,12.3687432069649 55.3316792086268,12.3768554080151 55.3332747898942,12.3853581917356 55.3339369640691,12.3939242147644 55.3336402316313,12.4022236812814 55.3323960106269,12.4099371097203 55.330252195618,12.4167676922956 55.3272913049255,12.4224527598319 55.323627289235,12.4267739023578 55.3194011273138,12.4295653525506 55.3147753819504,12.4307203114343 55.3099279293493)))', 'DKSTH', 'Store Heddinge', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4528920976276 55.4364866576168,10.4518700206396 55.4316282939303,10.4492011501498 55.4269766098831,10.4449885421053 55.4227102618598,10.4393943991587 55.4189930531728,10.4326337896638 55.4159676620387,10.4249663694294 55.4137501846929,10.4166864263173 55.4124256993772,10.4081116267281 55.4120450178075,10.3995708879578 55.4126227457886,10.3913918303441 55.4141367254972,10.3838882774388 55.4165288803256,10.3773482708728 55.4197074308282,10.3720230491325 55.4235503990188,10.3681174064753 55.4279102697913,10.3657818003311 55.4326196342894,10.36510651385 55.4374976022355,10.3661181062918 55.4423567400115,10.3687782997999 55.4470102699243,10.3729853594183 55.4512792545732,10.3785779271932 55.4549994892441,10.3853411745789 55.4580278350419,10.3930150441738 55.4602477459101,10.4013042662602 55.4615737731249,10.4098897617966 55.4619548702296,10.4184409851236 55.4613763681578,10.4266287197225 55.4598605425815,10.4341378210484 55.4574657511254,10.4406794027748 55.4542841746382,10.4460019866139 55.450438251785,10.4499011799072 55.4460759474923,10.4522275070826 55.4413650410972,10.4528920976276 55.4364866576168)))', 'DKSTI', 'Stige', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6513655028639 54.9584187148553,10.6503327020391 54.953561727032,10.6476737465564 54.9489139708921,10.6434912943455 54.9446539525231,10.6379463763164 54.9409452338721,10.6312521623349 54.9379301697115,10.6236657569613 54.935724462754,10.6154783420408 54.9344127422552,10.6070040414335 54.9340453322292,10.598567927495 54.9346363303736,10.5904936183737 54.936163069588,10.583090929181 54.9385669822854,10.5766440383192 54.9417558353023,10.5714006127574 54.9456072519156,10.5675623031492 54.9499733890143,10.5652769720683 54.9546865935806,10.5646329573743 54.9595658249119,10.565655599367 54.9644235989175,10.5683061770201 54.9690731896168,10.572483307852 54.973335811628,10.5780267710854 54.9770475066232,10.5847236183363 54.9800654667089,10.5923163441552 54.9822735482938,10.6005128044671 54.9835867606063,10.6089974983317 54.9839545525167,10.6174437711122 54.9833627681891,10.6255264580662 54.981834194413,10.6329344686326 54.9794276780716,10.6393828142794 54.9762358487098,10.644623606562 54.9723815361724,10.6484555957217 54.9680130244486,10.6507318814166 54.9632983280705,10.6513655028639 54.9584187148553)))', 'DKSTJ', 'Stjovl', 'Y'),('SRID=4326;MULTIPOLYGON(((8.28684720523762 56.2662664711225,8.28607613730545 56.2613926028515,8.2836118443913 56.2566960667903,8.27954957541791 56.2523572531714,8.27404581432379 56.2485427543143,8.26731220989966 56.2453989847895,8.25960742079695 56.2430465813246,8.25122719229029 56.2415757936312,8.24249304352852 56.2410430392141,8.23373999201791 56.2414687510687,8.22530377490693 56.2428365985924,8.21750804364233 56.2450941107206,8.21065200943543 56.2481546780119,8.20499900170371 56.2519008589123,8.20076637051991 56.2561888664823,8.1981171177188 56.2608540671801,8.19715358067547 56.2657172844632,8.19791341934063 56.2705916684962,8.20036807289126 56.2752898704039,8.20442375990913 56.2796312463444,8.20992499849975 56.2834488139083,8.21666052390323 56.2865956913427,8.22437138501908 56.2889507687686,8.23276091216495 56.2904233893877,8.24150617055751 56.2909568566484,8.25027045134736 56.290530629031,8.25871630782743 56.2891611156586,8.26651862104318 56.2869010412065,8.27337717774184 56.2838374052072,8.27902826448199 56.2800881163981,8.28325482364707 56.2757974348693,8.28589477781334 56.2711304012481,8.28684720523762 56.2662664711225)))', 'DKSTK', 'Staby kloster', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2442428206676 55.7840003377101,12.2437363011225 55.7791172417256,12.2415494877789 55.7743836384474,12.2377669727528 55.7699813574296,12.2325345143105 55.766079441819,12.2260533750482 55.762827672542,12.2185725599755 55.7603508377876,12.2103792568993 55.7587439641337,12.2017878449874 55.7580686885401,12.1931278870468 55.7583509070247,12.1847315557894 55.7595797877581,12.1769209634789 55.7617081852535,12.1699958675098 55.7646544400469,12.164222211632 55.7683054965341,12.1598219339453 55.7725212222173,12.1569644290403 55.7771397662266,12.1557599936785 55.7819837552423,12.1562555145995 55.7868670923532,12.1584325752986 55.791602100249,12.1622080684101 55.7960067355358,12.1674373046911 55.7999115966513,12.1739195120924 55.8031664542426,12.1814055229926 55.8056460499532,12.1896073585686 55.8072549368739,12.1982093406563 55.8079311715428,12.206880297233 55.8076487119314,12.2152863811416 55.8064184265784,12.2231039953642 55.8042876748116,12.2300323134843 55.8013384745121,12.2358049012112 55.7976843297109,12.2401999830636 55.7934658430736,12.2430489554713 55.7888452857999,12.2442428206676 55.7840003377101)))', 'DKSTL', 'Stenlille', 'Y'),('SRID=4326;MULTIPOLYGON(((10.014326123934 56.6726390967023,10.0133245253635 56.6677779901962,10.0106202685056 56.6631178263263,10.0063178155758 56.6588375851565,10.0005828564979 56.6551015985614,9.99363588864722 56.6520532587048,9.98574372732515 56.6498095348861,9.97720927556565 56.6484565053192,9.96835994281895 56.6480460714873,9.95953514859508 56.6485939779671,9.95107337828994 56.6500792116454,9.94329927356285 56.6524448027734,9.93651123850923 56.6555999980495,9.9309700254888 56.6594237246767,9.92688873113497 56.6637692158358,9.92442458442565 56.6684696239544,9.92367284578004 56.6733444101448,9.92466306048379 56.6782062676833,9.92735782341434 56.6828683156915,9.93165411771953 56.6871512872632,9.93738719107157 56.6908904348453,9.94433683318272 56.6939418850426,9.95223582162229 56.6961881950342,9.96078021399052 56.6975428928844,9.96964108746829 56.6979538231284,9.9784772655711 56.6974051656151,9.98694852980803 56.695918047796,9.99472879315375 56.6935497262638,10.0015187139203 56.69039137,10.007057252668 56.6865645330332,10.0111317198999 56.6822164557036,10.0135859260065 56.677514379304,10.014326123934 56.6726390967023)))', 'DKSTM', 'Stinesminde', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3076250733186 55.2131822879318,11.3065053321429 55.2083319762427,11.3037528453474 55.2036997223813,11.2994738641604 55.1994634319056,11.2938331215955 55.1957857511145,11.2870474572966 55.1928078397775,11.2793774741826 55.1906439725113,11.2711175490334 55.1893771723135,11.262584577007 55.1890560402583,11.2541058739303 55.1896929001285,11.2460066890868 55.1912633274179,11.238597794544 55.1937070804138,11.2321636145586 55.1969303987165,11.2269513402862 55.2008095833687,11.2231614412665 55.2051957244971,11.2209399366172 55.2099203987348,11.220372726668 55.2148021212895,11.2214822114597 55.2196533078096,11.2242263382429 55.2242874804234,11.2285001285246 55.2285264414607,11.2341396395607 55.232207138054,11.240928219199 55.2351879513057,11.2486048206887 55.2373541648084,11.2568740596628 55.2386223983709,11.2654176230166 55.2389438327018,11.273906582487 55.2383060979994,11.2820141273457 55.2367337519554,11.2894282127879 55.2342873283961,11.2958636242909 55.2310609942906,11.3010729832139 55.227178907725,11.3048562638552 55.2227904203622,11.3070684546856 55.2180643127617,11.3076250733186 55.2131822879318)))', 'DKSTN', 'Stigsnæs', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2121165586378 56.499567934271,10.2110945089805 56.494708384183,10.2083786433735 56.4900524482896,10.204073861468 56.4857789436531,10.1983459348876 56.4820519434925,10.1914150850158 56.4790144955672,10.1835475049462 56.4767831521152,10.175045153622 56.4754435174302,10.1662342107153 56.4750469801477,10.1574526269486 56.4756087524875,10.1490372353775 56.4771072896739,10.1413109040208 56.4794851112394,10.1345702088778 56.482650993654,10.1290740888232 56.4864834524862,10.1250339104308 56.4908353838362,10.1226053220949 56.4955396907873,10.121882213943 56.5004156827077,10.1228930244951 56.5052760048524,10.1255995489094 56.5099338341471,10.1298983096457 56.5142100652768,10.1356244517502 56.517940209939,10.1425580255122 56.5209807416529,10.1504324231534 56.5232146387011,10.1589446478178 56.5245559080276,10.1677670167056 56.5249529121371,10.1765598395894 56.5243903677395,10.1849845723574 56.5228899371494,10.1927169248772 56.5205093890885,10.1994594044835 56.5173403621714,10.2049528006359 56.5135048195518,10.2089861614526 56.5091503346081,10.2114048764543 56.5044443930177,10.2121165586378 56.499567934271)))', 'DKSTO', 'Støvring', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4937312524689 55.3179054670433,12.4931980906913 55.3130228449137,12.4910053178689 55.3082933368748,12.4872377366116 55.3038986149809,12.4820405156524 55.3000074331271,12.4756135530559 55.2967691621624,12.4682037683083 55.2943080747629,12.46009562338 55.2927185958805,12.4516002354561 55.2920616973188,12.4430434929603 55.2923625714674,12.4347536206325 55.2936096710438,12.4270486580806 55.2957551505537,12.4202243190624 55.2987166928511,12.4145426857254 55.3023806524365,12.4102221634127 55.3066063977367,12.4074290780087 55.3112316892943,12.4062712401104 55.3160788911611,12.406793729974 55.3209617803551,12.4089770761091 55.3256926952952,12.4127379110324 55.3300897497394,12.4179320930795 55.3339838346835,12.4243601868349 55.3372251373097,12.4317751006061 55.3396889233986,12.4398915915766 55.341280357147,12.4483972719516 55.3419381691402,12.4569646863727 55.3416370279266,12.4652639853939 55.3403885214471,12.4729756942772 55.3382407093847,12.4798030721976 55.3352762639957,12.4854835743645 55.3316092727494,12.4897989676475 55.3273808287617,12.4925837070118 55.3227535823403,12.4937312524689 55.3179054670433)))', 'DKSTP', 'Stevns Pier', 'Y'),('SRID=4326;MULTIPOLYGON(((9.3397402655588 57.0088842373297,9.33881712327991 57.004018009728,9.33617236986541 56.9993435097729,9.3319082020627 56.9950402713373,9.32618885992548 56.9912735108567,9.31923425902293 56.9881878016967,9.3113115204915 56.9859015458241,9.30272472719605 56.9845024510485,9.29380329635535 56.9840441834958,9.28488940659082 56.9845443204707,9.2763249494788 56.9859836800773,9.26843849171673 56.98830705259,9.26153273366844 56.9914253063394,9.25587293333725 56.9952187895755,9.25167673202146 56.9995419011179,9.2491057696544 57.004228658315,9.24825941513868 57.0090990525017,9.24917086134534 57.0139659512464,9.2518057479166 57.0186422844955,9.25606338024137 57.0229482392744,9.26178051323447 57.0267181856095,9.26873756765173 57.0298070651179,9.27666704883417 57.0320959931757,9.28526384741055 57.0334968551568,9.29419702294753 57.0339557158938,9.3031226087973 57.033454907775,9.31169693275775 57.0320137148718,9.31958992599206 57.0296876260134,9.32649789317125 57.0265661864086,9.33215523997471 57.0227695328252,9.33634469863432 57.0184437491001,9.33890565572614 57.0137552246998,9.3397402655588 57.0088842373297)))', 'DKSTQ', 'Staun', 'Y'),('SRID=4326;MULTIPOLYGON(((8.64011493901176 56.4911389041071,8.63929426460571 56.4862673843934,8.63677201103578 56.4815780087928,8.63264565809415 56.4772508892851,8.627074151066 56.4734521660058,8.62027173619094 56.4703276452108,8.61249970676734 56.4679972228726,8.60405638014224 56.4665503041317,8.5952656879315 56.4660423905378,8.5864648096683 56.4664929627468,8.57799131265662 56.467884737684,8.57017027747939 56.4701643278431,8.56330188907805 56.4732442781224,8.55764995757774 56.4770064041641,8.55343180136436 56.4813063073118,8.550809877943 56.4859788967413,8.54988548682214 56.4908447106566,8.55069479454925 56.4957167971571,8.55320734708212 56.5004078927592,8.55732714152233 56.5047376236291,8.56289623105815 56.5085394520754,8.56970073749389 56.5116670991091,8.57747904911272 56.5140001928158,8.58593189216151 56.515448921363,8.59473388623413 56.5159575076739,8.60354613118874 56.5155063686771,8.61202932924291 56.514112873736,8.61985692291679 56.5118306722124,8.62672772879827 56.5087476167651,8.63237756872545 56.5049823644857,8.63658944273815 56.5006797899718,8.6392018497406 56.4960053907383,8.64011493901176 56.4911389041071)))', 'DKSTR', 'Struer', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2127198612091 56.9995653800277,10.2116831657043 56.9947062760276,10.2089300557991 56.9900508723568,10.2045668798312 56.9857779635866,10.1987616646814 56.9820515970756,10.1917376051972 56.9790147927985,10.183764471381 56.9767840748739,10.1751482658505 56.9754450207356,10.1662195252518 56.975048994879,10.1573207059361 56.9756111893084,10.1487931253201 56.9771100438193,10.1409639453614 56.9794880677753,10.1341336832077 56.9826540328207,10.1285647163501 56.9864864547798,10.1244712158257 56.9908382345583,10.1220108918137 56.995542283896,10.1212788724017 57.0004179239039,10.1223039598809 57.0052778139331,10.1250474217704 57.0099351467287,10.1294043785544 57.0142108340282,10.1352077501681 57.0179404054675,10.1422346224284 57.0209803531508,10.150214797116 57.0232136744041,10.1588411997053 57.0245543954601,10.1677817411391 57.0249508980495,10.1766921684931 57.0243879175899,10.1852293971292 57.0228871339516,10.1930647962652 57.0205063314641,10.1998969019417 57.0173371614895,10.2054630560106 57.0135015961255,10.2095495156592 57.0091472130207,10.2119996426187 57.0044414967676,10.2127198612091 56.9995653800277)))', 'DKSTV', 'Storevorde', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7113552289949 55.8790304934144,11.7101638973098 55.8741851366484,11.707314562469 55.8695634834165,11.7029172121364 55.8653430268943,11.6971411328538 55.8616857996652,11.6902083591992 55.8587321708293,11.6823851317115 55.8565954784712,11.6739716932182 55.8553576996947,11.6652908114251 55.8550663207498,11.6566754596081 55.8557325244375,11.64845611603 55.8573307625931,11.6409481557153 55.8597997297411,11.6344398051961 55.8630447017376,11.629181111834 55.8669411521422,11.6253743446594 55.8713395109514,11.6231661940471 55.8760708868746,11.6226420740605 55.8809535371395,11.623822755545 55.885799839337,11.6266634721648 55.890423499287,11.6310555483014 55.8946467183098,11.6368305003631 55.8983070432568,11.6437664653837 55.9012636334285,11.6515967169699 55.9034026999035,11.6600199429395 55.9046419041398,11.6687118855307 55.9049335428735,11.6773378875588 55.9042663937531,11.6855658493606 55.9026661488771,11.6930790838645 55.9001944192264,11.6995885615926 55.8969463495115,11.7048440635783 55.8930469377725,11.7086438066517 55.8886462048486,11.7108421697943 55.8839134034677,11.7113552289949 55.8790304934144)))', 'DKSTW', 'Strandhuse', 'Y'),('SRID=4326;MULTIPOLYGON(((10.8554049951987 54.9993456439486,10.8543464354615 54.994490624056,10.8516612050086 54.989847567021,10.8474529700818 54.9855947970046,10.8418837494232 54.9818955964275,10.8351676427433 54.9788919538258,10.8275625913489 54.9766991331096,10.8193604892727 54.9754012690109,10.8108760212978 54.9750481541974,10.8024346484115 54.9756533384434,10.7943601904862 54.9771936109869,10.7869624697543 54.9796098855046,10.7805254766501 54.9828094547541,10.7752965018599 54.9866695306593,10.7714766452808 54.9910419372197,10.7692130647259 54.9957587798018,10.7685932657075 55.0006388767495,10.7696416600421 55.0054947092716,10.7723185374419 55.0101396244921,10.776521503341 55.0143950153589,10.7820893411601 55.0180972004507,10.7888081617159 55.0211037368664,10.7964196105407 55.0232989201386,10.8046308196516 55.0245982558573,10.813125717801 55.0249517273133,10.8215772560996 55.0243457304368,10.8296600670811 55.0228035997055,10.8370630568352 55.0203847043356,10.8435014327681 55.0171821505708,10.8487276936726 55.0133191808527,10.8525411528183 55.0089444117384,10.854795626344 55.0042260975383,10.8554049951987 54.9993456439486)))', 'DKSTY', 'Strandby, Langeland', 'Y'),('SRID=4326;MULTIPOLYGON(((9.83419807770976 55.7017077314969,9.83324523549935 55.6968442842353,9.83063115978961 55.6921792236682,9.82645681716268 55.6878917229302,9.82088295676545 55.6841463991447,9.81412388257781 55.6810870099865,9.80643920225437 55.6788309554654,9.79812387193027 55.6774647922289,9.78949691627368 55.6770409288381,9.78088924889707 55.6775756257476,9.77263104900205 55.6790483747306,9.76503916521313 55.681402680947,9.75840501666657 55.6845482185152,9.75298344457251 55.6883642790928,9.74898293497485 55.6927043843588,9.7465575859418 55.697401889125,9.74580113098002 55.7022763636962,9.74674325659543 55.7071405135179,9.74934836768186 55.7118073723645,9.75351686243894 55.7160974933299,9.75908888200606 55.7198458603852,9.76585040265554 55.7229082525458,9.7735414442835 55.7251668126215,9.78186608230473 55.7265346025166,9.79050387503741 55.7269589660254,9.79912225901999 55.7264235665546,9.80738942354239 55.72494901929,9.81498715519593 55.7225920928441,9.82162314456114 55.7194435120052,9.82704227018238 55.7156244484264,9.83103641847146 55.7112818376079,9.83345245981262 55.7065827061852,9.83419807770976 55.7017077314969)))', 'DKSUB', 'Stouby', 'Y'),('SRID=4326;MULTIPOLYGON(((9.21737490632538 56.7079291143915,9.21647508648599 56.7030617360621,9.21386677974736 56.6983844027771,9.20965077305007 56.6940767592515,9.2039894509136 56.6903041934803,9.19710049966563 56.6872115041665,9.18924852309075 56.6849173633918,9.18073489448868 56.6835097831941,9.17188623194069 56.6830427561657,9.16304193102413 56.6835341957127,9.15454122128258 56.6849652528391,9.14671022883715 56.6872810349269,9.13984952732432 56.6903926997325,9.1342226428704 56.6941808464714,9.1300459463551 56.6985000771654,9.12748031840037 56.7031845570782,9.12662491036248 56.7080543646749,9.12751324959734 56.7129223905813,9.13011185145425 56.7176015227638,9.13432140647179 56.7219118426419,9.13998051234141 56.7256875547709,9.1468718201447 56.7287833814434,9.15473036733564 56.7310801729432,9.16325378029886 56.7324895136828,9.17211395137166 56.7329571430432,9.18096973290533 56.7324650559182,9.1894801475337 56.731032199892,9.1973175916535 56.7287137414493,9.20418050942048 56.725598930285,9.20980503730647 56.7218076461883,9.21397516320062 56.7174857647716,9.21653100679957 56.7127995243192,9.21737490632538 56.7079291143915)))', 'DKSUE', 'Sundsøre', 'Y'),('SRID=4326;MULTIPOLYGON(((11.891123031167 54.7659791371615,11.8899475850224 54.761134616649,11.8871608357488 54.7565157293408,11.8828703305732 54.7522998655515,11.877241226538 54.7486488870143,11.8704899019087 54.7457029296955,11.8628756326883 54.7435750441574,11.8546906552925 54.7423468755351,11.8462489932105 54.7420655454395,11.8378744683555 54.7427418526654,11.8298883458334 54.7443498601031,11.8225970734473 54.7468278834422,11.8162805741459 54.7500808448879,11.8111815308538 54.753983903977,11.8074960690473 54.7583872294411,11.8053661937659 54.7631217326316,11.8048742755889 54.7680055458984,11.8060398060621 54.7728509999515,11.8088185592558 54.7774718338639,11.8131042052731 54.7816903609687,11.8187323268359 54.7853443140674,11.8254866952535 54.7882931043438,11.8331075711355 54.7904232499433,11.8413017122625 54.7916527616563,11.8497537000489 54.7919343133982,11.8581381405844 54.7912570726306,11.8661322591887 54.7896471185865,11.873428390727 54.7871664319301,11.8797458724901 54.7839104959225,11.8848418719849 54.780004603877,11.8885207271276 54.7755990183537,11.8906414386838 54.7708631720743,11.891123031167 54.7659791371615)))', 'DKSUN', 'Sundby, Faslster', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4617104200369 56.157479267653,10.4606666111902 56.1526216435432,10.457945428177 56.1479709615665,10.453651960128 56.1437058367292,10.4479515316069 56.1399900212278,10.4410632994386 56.136966135015,10.4332518167533 56.1347502118715,10.4248168904767 56.1334272664955,10.4160821183329 56.1330480489909,10.4073825369984 56.1336271082191,10.399051843373 56.1351422363728,10.3914096654329 56.1375353155627,10.3847493575059 56.1407145349184,10.3793267771054 56.1445578954711,10.3753504669679 56.148917871664,10.3729736173457 56.1536270544199,10.3722881209427 56.1585045628951,10.3733209577165 56.1633629818235,10.3760330611753 56.1680155599679,10.3803207244674 56.1722833936483,10.3860195067523 56.1760023182719,10.3929105018319 56.1790292405506,10.4007287359504 56.1812476644896,10.4091733743386 56.1825721946671,10.4179193406899 56.1829518397068,10.4266298941088 56.182371985659,10.4349696672923 56.1808549613353,10.4426176499832 56.1784591733001,10.4492796041343 56.1752768448214,10.4546994216121 56.1714304482041,10.4586689803125 56.167067971218,10.4610361178292 56.1623572036628,10.4617104200369 56.157479267653)))', 'DKSUO', 'Stubbe Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.390823630656 56.2535043808576,10.38978597056 56.2486462009035,10.3870663499415 56.2439940208887,10.3827698020281 56.2397265134345,10.3770617731619 56.2360075220206,10.37016171443 56.232979788086,10.362334634069 56.2307594925182,10.3538809373733 56.2294318172036,10.3451249408627 56.2290476932202,10.3364024931985 56.2296218573536,10.328048165806 56.2311322895459,10.3203824907586 56.2335210523222,10.3136997219377 56.2366965009662,10.3082565778169 56.2405367819752,10.3042623907499 56.2448944888966,10.3018710390157 56.2496023007022,10.3011749751606 56.2544793900306,10.3022015889017 56.2593383583546,10.3049120571218 56.263992433693,10.3092027399621 56.2682626548794,10.3149090839859 56.2719847652932,10.3218118946108 56.2750155486563,10.3296457446521 56.277238359833,10.3381091981936 56.2785676339578,10.3468764533229 56.2789521965478,10.3556099473535 56.2783772440434,10.3639734271482 56.2768649165251,10.3716449672627 56.2744734400144,10.3783294209137 56.2712948723698,10.3837698131299 56.2674515419334,10.3877572305128 56.2630913194054,10.3901388254072 56.2583819087919,10.390823630656 56.2535043808576)))', 'DKSUP', 'Studstrup', 'Y'),('SRID=4326;MULTIPOLYGON(((9.35224964089844 56.6038801254605,9.35133499242525 56.5990136627301,9.34871724382095 56.5943390903645,9.34449753940248 56.5900359465353,9.33883840069674 56.5862694463565,9.33195742617799 56.5831841559507,9.3241189108905 56.5808984639781,9.31562371070371 56.5795000589673,9.30679773748014 56.5790425821669,9.29797951862906 56.5795435811171,9.28950728636772 56.5809838403198,9.28170607790201 56.5833081139723,9.27487532738251 56.586427233469,9.26927741389486 56.5902215110325,9.26512759720102 56.5945453121681,9.2625857250885 56.5992326253263,9.26175003402946 56.6041034188364,9.26265328990008 56.6089705442881,9.2652614298088 56.6136469233878,9.26947477227439 56.6179527429057,9.27513176432081 56.6217223803787,9.28201513428595 56.62481079206,9.28986022244321 56.6270991141032,9.29836517226438 56.6284992575748,9.30720258759231 56.6289573165607,9.31603219905836 56.6284556548882,9.3245140400202 56.627013588949,9.33232161043336 56.6246866396055,9.33915450759958 56.6215643828137,9.34475002562847 56.6177669839757,9.34889326944761 56.6134405527719,9.35142539193117 56.6087515011552,9.35224964089844 56.6038801254605)))', 'DKSUT', 'Sundstrup', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1845749090989 55.135941804237,15.1837152660916 55.1310729125793,15.1812147004243 55.1263936209476,15.1771698067989 55.1220836553943,15.1717363598996 55.1183085020316,15.1651232777862 55.1152130693371,15.1575845761715 55.1129161450347,15.1494096253144 55.1115058566769,15.1409120810891 55.1110363065079,15.1324179077838 55.1115255066635,15.1242529413223 55.1129546918934,15.116730457239 55.1152690354734,15.1101392075865 55.1183797415857,15.1047323749996 55.1221674359629,15.1007178607029 55.1264867277835,15.0982502769625 55.1311717713876,15.097424954382 55.1360426179622,15.0982742020362 55.1409121164066,15.1007659757302 55.1455931003947,15.1048050192594 55.1499055862289,15.1102364485647 55.1536837041072,15.1168516527489 55.1567820942317,15.1243962930355 55.1590815186365,15.1325800950575 55.1604934691505,15.1410880554302 55.160963590481,15.149592624099 55.1604737835378,15.1577663825381 55.1590429059494,15.1652947167131 55.1567260420865,15.1718879839491 55.1536123714577,15.1772926944547 55.1498217196514,15.1813012700752 55.1454999277306,15.1837600026551 55.1408132219723,15.1845749090989 55.135941804237)))', 'DKSVA', 'Svaneke', 'Y'),('SRID=4326;MULTIPOLYGON(((11.327107884231 55.649171132847,11.3259718372239 55.6443214537317,11.3231851375744 55.6396902407237,11.3188553641783 55.6354553575426,11.3131492097648 55.6317793938827,11.3062860292512 55.6288034407012,11.2985293995016 55.6266416946692,11.2901770163833 55.6253770951092,11.2815493133593 55.6250581572339,11.2729772300515 55.6256971202735,11.2647895882959 55.6272694797629,11.2573005466075 55.629714921565,11.2507976014049 55.6329396228972,11.2455305848544 55.6368198344756,11.2417020751106 55.6412066096619,11.2394595857398 55.6459315028884,11.2388898383086 55.6508130222494,11.2400153470747 55.655663591441,11.2427934595554 55.6602967554538,11.2471179041728 55.6645343535459,11.2528227994574 55.6682133827027,11.2596889821854 55.6711922852731,11.2674524184349 55.673356415568,11.2758143761114 55.6746224712819,11.2844529641109 55.6749417155156,11.29303558567 55.6743018623984,11.3012318145973 55.672727551902,11.3087261850581 55.670279395187,11.315230389378 55.6670516283573,11.3204944037038 55.6631684673912,11.3243161069447 55.6587793079443,11.3265490217636 55.6540529585658,11.327107884231 55.649171132847)))', 'DKSVB', 'Svebølle', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3606092212476 55.200163471461,11.359483461937 55.1953136942534,11.356725799503 55.1906826768721,11.3524426829768 55.1864482771034,11.3467990030541 55.1827730684698,11.3400117110687 55.1797981157737,11.332341471526 55.1776375801187,11.3240826704682 55.1763743567764,11.3155521597253 55.1760569097448,11.3070771608904 55.1766974215895,11.2989827816753 55.1782713278136,11.2915796105601 55.1807182532657,11.2851518530883 55.1839443157493,11.2799464547942 55.187825710814,11.2761636219454 55.192213443457,11.2739491027075 55.1969390288444,11.2733885290993 55.2018209467886,11.2745040457811 55.206671605032,11.277253367421 55.2113045456506,11.2815313147976 55.2155416180632,11.2871737841725 55.219219841862,11.2939640085093 55.2221976932129,11.3016408768809 55.2243605697184,11.3099089940665 55.2256252197329,11.3184500899387 55.2259429620604,11.3269353314121 55.2253015691787,11.3350380514241 55.2237257397151,11.3424463916829 55.2212761416172,11.3488753596914 55.2180470639679,11.3540778256243 55.2141627702495,11.3578540296415 55.2097726967583,11.3600592327576 55.2050456847005,11.3606092212476 55.200163471461)))', 'DKSVD', 'Sevedø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6504746294619 55.0594183444397,10.6494390912035 55.0545614434109,10.6467733139359 55.0499137859098,10.6425802207486 55.0456538738566,10.6370212533952 55.0419452645659,10.6303101221898 55.0389303079734,10.6227045808963 55.0367247020329,10.6144965445099 55.0354130715974,10.6060009261529 55.035045736882,10.5975436137109 55.0356367925865,10.5894490363515 55.0371635695454,10.5820277850781 55.0395674990952,10.5755647496963 55.0427563479702,10.5703082170453 55.0466077402402,10.5664603423793 55.0509738343552,10.5641693580759 55.0556869794721,10.5635238224538 55.0605661375128,10.5645491379682 55.0654238273084,10.5672064844914 55.0700733259689,10.5713942224376 55.0743358512747,10.5769517253413 55.0780474480675,10.5836655058397 55.0810653115918,10.5912774068406 55.0832733013395,10.5994945451415 55.084586429544,10.6080006219349 55.0849541479681,10.6164681571308 55.0843623034957,10.6245711652377 55.0828336853753,10.6319977717469 55.080427142571,10.6384622715676 55.0772353061932,10.6437161549155 55.0733810069925,10.647557669871 55.0690125290725,10.6498395522654 55.0642978861885,10.6504746294619 55.0594183444397)))', 'DKSVE', 'Svendborg', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8227401464314 55.2870713167176,14.8219214909119 55.2822000572574,14.819453974725 55.2775135157944,14.8154329315814 55.2731916986557,14.8100132292601 55.2694005480703,14.8034032663859 55.2662855868457,14.7958569453391 55.2639663517072,14.7876639325134 55.2625318253204,14.7791385775023 55.262037038639,14.7706079092997 55.2625009708323,14.7623991592195 55.2639058252684,14.7548272763227 55.2661977085699,14.7481829013843 55.2692886873808,14.7427212498405 55.2730601459692,14.7386523230095 55.2773673189088,14.7361328208385 55.2820448285392,14.7352600694869 55.2869130183208,14.7360682047214 55.2917848420498,14.7385267693675 55.2964730464641,14.7425417925043 55.3007973720679,14.7479593228453 55.3045914947416,14.7545712924323 55.3077094392043,14.7621234933835 55.3100312145597,14.770325364144 55.3114674514166,14.7788612065792 55.3119628584173,14.7874023950776 55.3114983619544,14.7956200967031 55.310091844565,14.8031979996025 55.3077974527962,14.8098445465105 55.3047035018961,14.8153041913308 55.3009290600705,14.8193672382528 55.2966193469161,14.8218778824932 55.2919401268177,14.8227401464314 55.2870713167176)))', 'DKSVG', 'Sandvig', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6392327101796 55.7628579736166,12.638676948889 55.7579760965239,12.6364431955909 55.7532491337424,12.632617841302 55.7488586571302,12.6273482831823 55.7449732544728,12.6208372008591 55.7417420714303,12.6133347413756 55.7392891055364,12.605128917002 55.7377084676385,12.5965345832248 55.7370607888477,12.587881413458 55.7373709075077,12.5795013213125 55.7386269225019,12.5717157999321 55.7407806480946,12.564823650617 55.7437494532069,12.5590895596725 55.7474194163287,12.5547339534108 55.751649677937,12.55192451707 55.7562778270237,12.5507697050661 55.7611261187762,12.5513144988511 55.7660082880727,12.5535385866451 55.7707366995735,12.5573570489152 55.7751295608666,12.5626235377496 55.7790179211211,12.5691358407939 55.7822521844097,12.5766436251638 55.784707884259,12.584858067925 55.7862904936012,12.5934630015188 55.7869390811903,12.602127138803 55.786628670326,12.6105168964591 55.7853712066105,12.6183093098554 55.7832150963345,12.6252045284454 55.780243333624,12.6309373986569 55.7765702902566,12.6352876800257 55.7723372946949,12.6380884979818 55.7677071741662,12.6392327101796 55.7628579736166)))', 'DKSVH', 'Skovshoved', 'Y'),('SRID=4326;MULTIPOLYGON(((11.794494176209 55.1080094669062,11.7933189096979 55.1031642332556,11.7905180808223 55.0985434985726,11.7861997889306 55.0943247233665,11.7805302666486 55.0906698796969,11.7737274487785 55.0877192499861,11.7660525885024 55.08558606207,11.7578002443332 55.0843521627087,11.7492870185108 55.0840648920669,11.7408394707881 55.084735276277,11.7327816598548 55.0863376057592,11.7254227774052 55.0888104151951,11.7190453368187 55.0920588287084,11.713894359626 55.0959581826863,11.7101679687243 55.1003587905313,11.7080097483858 55.1050916701788,11.7075031685858 55.1099750180535,11.7086682966451 55.1148211837115,11.7114609347854 55.1194438789717,11.7157742306229 55.1236653448455,11.7214427121374 55.1273231996436,11.7282486029762 55.1302767025268,11.7359301821278 55.1324121882448,11.7441918681919 55.1336474602172,11.7527156367085 55.1339349693114,11.7611733228926 55.1332636530928,11.7692393245637 55.1316593630312,11.7766032030612 55.1291838629259,11.7829816844042 55.1259324382836,11.7881295886186 55.1220302111343,11.7918492606425 55.1176273054897,11.7939981390921 55.1128930532329,11.794494176209 55.1080094669062)))', 'DKSVI', 'Svinø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4441753650955 55.7179276603468,12.4436444505792 55.7130451198492,12.4414367809522 55.708314841819,12.437637745402 55.7039185269324,12.4323937319646 55.700024988472,12.4259064422801 55.6967836854369,12.418425113563 55.6943190043957,12.4102369506934 55.6927255059574,12.401656134527 55.692064314505,12.3930118219119 55.6923607863529,12.384635587368 55.6936035433483,12.3768487752597 55.6957449078395,12.3699502342166 55.6987027226405,12.3642048925077 55.7023634879052,12.3598336043006 55.7065866974452,12.3570046528217 55.711210211701,12.355827238337 55.7160564649234,12.3563472079721 55.720939271644,12.358545202625 55.7256709735052,12.3623373060342 55.7300696530662,12.3675781855196 55.7339661370443,12.3740666165594 55.7372105180125,12.3815531881805 55.7396779408146,12.3897498973197 55.7412734274331,12.3983412620286 55.7419355508019,12.4069965195368 55.7416388127305,12.4153824290612 55.740394631902,12.4231761733079 55.7382509027343,12.4300778482926 55.7352901424143,12.4358220486343 55.731626299217,12.440188093931 55.727400347918,12.4430084991429 55.7227748454844,12.4441753650955 55.7179276603468)))', 'DKSVL', 'Skovlunde', 'Y'),('SRID=4326;MULTIPOLYGON(((9.89568406087765 56.966681283955,9.89468958341306 56.9618194315127,9.89197842558943 56.9571569331362,9.88765532684248 56.9528728581527,9.88188677963561 56.9491316845091,9.8748945769783 56.9460770018289,9.86694727237705 56.943826020956,9.85834988286945 56.9424650967862,9.84943222724826 56.9420464323236,9.84053633853059 56.9425860872003,9.83200342118469 56.9440633649746,9.82416083899473 56.9464216020813,9.81730961844783 56.9495703290812,9.81171293517762 56.9533887236211,9.80758601759817 56.9577302259973,9.80508785304346 56.9624281441314,9.80431501852495 56.9673020366959,9.80529788215023 56.9721646325594,9.80799933438593 56.9768290229091,9.81231611338312 56.9811158503825,9.81808268880431 56.9848602179919,9.82507756782942 56.9879180498613,9.83303178950199 56.9901716557111,9.84163928372402 56.9915342810162,9.85056869335025 56.9919534637894,9.85947619591995 56.9914130654904,9.86801881885844 56.9899338957404,9.87586772079204 56.9875729061414,9.88272091311128 56.9844209851749,9.88831492000096 56.980599441447,9.89243492050443 56.9762553140962,9.89492298035084 56.9715556948293,9.89568406087765 56.966681283955)))', 'DKSVN', 'Svenstrup, Jylland', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0590687938118 55.6360650802281,12.0585866539231 55.6311814042109,12.0564299566539 55.6264447546817,12.0526821335866 55.6220370799447,12.0474876092889 55.6181276320566,12.04104619082 55.6148664827366,12.0336053614047 55.6123787814721,12.025450778589 55.6107599726356,12.0168953406438 55.6100721513916,12.0082672346746 55.6103416948341,11.9998974147306 55.6115582567528,11.9921069774653 55.6136751633849,11.9851949062583 55.6166111952228,11.9794266421019 55.6202536881909,11.9750239112525 55.6244628380498,11.972156196215 55.6290770464289,11.9709341790098 55.6339191070779,11.9714054152557 55.6388029982359,11.9735524162756 55.6435410227776,11.9772932266518 55.6479510230657,11.9824844894358 55.6518633930002,11.9889268941064 55.655127616007,11.9963728073011 55.6576180746575,12.004535797516 55.659238904792,12.0131016865296 55.659927703521,12.0217406961534 55.6596579449372,12.0301202123535 55.6584400080042,12.0379176623075 55.6563207758186,12.0448329950183 55.6533818219331,12.0506002729612 55.6497362552787,12.0549979200244 55.6455243480357,12.0578572276649 55.6409081183608,12.0590687938118 55.6360650802281)))', 'DKSVO', 'Svogerslev Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1830583649896 55.6012233357906,11.1819416117981 55.5963721332675,11.1791753580499 55.5917374500375,11.1748663974141 55.5874972842111,11.1691806246568 55.5838144292887,11.1623366143782 55.5808302414958,11.1545972103098 55.5786592339731,11.1462594500036 55.5773847015498,11.1376432081677 55.5770555403826,11.1290789862182 55.5776843815605,11.1208953048345 55.5792471084877,11.1134061698528 55.5816837761694,11.1068990794309 55.5849008982091,11.1016240221052 55.5887750161472,11.0977838814655 55.5931574174993,11.0955266143824 55.5978798251863,11.0949395071176 55.6027608435896,11.0960457388015 55.6076129166743,11.0988033967964 55.6122495327478,11.1031069960581 55.6164923994421,11.1087914580423 55.6201783120748,11.1156384077048 55.6231654489117,11.1233845538217 55.6253388478468,11.1317318324259 55.6266148499794,11.1403589197333 55.6269443354024,11.1489336632007 55.6263146236617,11.1571259403407 55.6247499638888,11.1646204366904 55.6223105953371,11.1711288378737 55.6190904155865,11.1764009558051 55.6152133486056,11.1802343543934 55.6108285558434,11.1824821031846 55.6061046784492,11.1830583649896 55.6012233357906)))', 'DKSVS', 'Svallerup Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2167926328668 55.3632133895222,11.2156792366561 55.3583622965343,11.2129264138861 55.3537280983407,11.2086404343915 55.3494887751564,11.2029863046299 55.3458070893166,11.1961813813361 55.3428243536245,11.1884870078986 55.3406550269811,11.1801984964366 55.3393823410059,11.1716338366731 55.339055121894,11.1631215567678 55.3396859265592,11.1549881903366 55.3412505627973,11.1475458173343 55.3436890115012,11.1410801440622 55.3469077166179,11.1358395692964 55.3507831573475,11.1320256497678 55.3551665688064,11.1297853296375 55.3598896337081,11.1292052362874 55.3647709301756,11.1303082702754 55.3696228910267,11.133052632777 55.3742590090316,11.1373333419561 55.3785010117021,11.142986193714 55.3821857287759,11.1497940258829 55.385171385972,11.1574950522267 55.3873430796165,11.165792947782 55.3886172177353,11.1743682941816 55.3889447530569,11.1828909363195 55.3883130805274,11.1910327630221 55.3867465244757,11.198480406334 55.3843053962837,11.2049473575984 55.3810836599325,11.210185023479 55.3772052977,11.2139922900984 55.3728195192421,11.2162232261413 55.3680950021989,11.2167926328668 55.3632133895222)))', 'DKSVT', 'Svenstrup, Sjælland', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3358206860372 55.4039629843404,12.335306185111 55.3990799323246,12.3331279132455 55.3943478023489,12.3293701203223 55.3899483679716,12.3241776036519 55.3860505644737,12.3177500847346 55.3828040169579,12.3103345074963 55.380333315484,12.302215557948 55.3787332534241,12.2937047680896 55.3780652080385,12.2851286160542 55.3783547988189,12.2768160688542 55.3795909110084,12.2690860329584 55.3817261206055,12.2622351809464 55.3846785048405,12.25652660962 55.388334770361,12.252179756459 55.3925545819495,12.2493619577703 55.39717592922,12.2481819742532 55.4020213290507,12.2486857393778 55.4069046289782,12.2508545048625 55.4116381527287,12.2546054680845 55.4160399145547,12.2597948714939 55.4199406248425,12.2662234675584 55.4231902159576,12.2736441483687 55.4256636344794,12.2817714509425 55.4272656733896,12.2902925716071 55.4279346544699,12.2988794594555 55.4276448157772,12.3072015130427 55.426407309811,12.3149383786371 55.424269772763,12.3217923439002 55.4213144817369,12.3274998380679 55.4176551726176,12.3318415876507 55.4134326439831,12.3346510333163 55.4088093198645,12.3358206860372 55.4039629843404)))', 'DKSYL', 'Strøby Ladeplads', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3610970001655 55.6509567675575,12.360577092608 55.6460739342431,12.3583830119407 55.641342255864,12.3545996237111 55.6369434876686,12.3493727144249 55.6330465379514,12.3429033294471 55.6298009974009,12.3354400200364 55.6273314158007,12.3272693014752 55.6257325421727,12.318704687444 55.6250657072567,12.3100747151916 55.6253564837697,12.3017104105643 55.6265937117628,12.2939326608967 55.6287299253046,12.2870399667786 55.6316831644251,12.2812970307694 55.6353401045216,12.276924612484 55.639560386033,12.2740910357059 55.6441819818328,12.272905675244 55.6490274001038,12.2734146805335 55.6539104879359,12.2755991113949 55.658643576834,12.2793755713744 55.6630446968115,12.2845993287305 55.6669445815368,12.2910698179531 55.6701931934934,12.2985383196746 55.6726655153038,12.306717528132 55.6742663807735,12.3152926371344 55.6749341559224,12.3239335116666 55.6746431248912,12.3323074661064 55.6734044863771,12.3400921440214 55.6712659210509,12.3469879900595 55.6683097469209,12.3527298218121 55.6646497354189,12.3570970477802 55.6604267136993,12.3599221346647 55.6558031260601,12.3610970001655 55.6509567675575)))', 'DKTAA', 'Tåstrup', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1946479866998 56.099576143527,10.1936394681727 56.0947160857337,10.1909546018529 56.0900593423055,10.1866970829512 56.0857847630327,10.1810308585161 56.0820564648116,10.1741737765906 56.0790175479876,10.1663891996902 56.0767846238621,10.1579759070651 56.0754433596023,10.1492566702408 56.0750452077892,10.140565932138 56.0756054430013,10.1322370506677 56.0771025787918,10.1245895824809 56.0794791868627,10.1179170812408 56.0826440879451,10.1124758673956 56.0864758326193,10.1084751932836 56.0908273418119,10.1060691791376 56.0955315326922,10.1053508332433 56.1004077177576,10.1063483946622 56.1052685345191,10.1090241516445 56.1099271416329,10.1132757957926 56.11420440558,10.1189402744371 56.1179358007473,10.1258000053185 56.1209777553075,10.1335912226443 56.1232131954912,10.1420141362205 56.1245560710836,10.1507445098177 56.1249546841926,10.15944620504 56.1243936900112,10.1677841958518 56.1228946905328,10.1754375387865 56.1205153977854,10.1821117858051 56.117347399756,10.1875503506829 56.1135126173468,10.1915443843656 56.1091585920983,10.1939407775663 56.1044527898875,10.1946479866998 56.099576143527)))', 'DKTAG', 'Tranbjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((8.63928423274159 56.6331394614069,8.6384606620405 56.6282680442234,8.63592912330019 56.6235787472884,8.63178745819677 56.6192516790286,8.62619520387521 56.615452976806,8.61936740514819 56.612328445111,8.61156632972174 56.6099979793726,8.60309140790517 56.6085509855764,8.59426778055663 56.6080429675981,8.58543388701172 56.6084934098962,8.57692855741509 56.6098850345601,8.56907809059619 56.6121644603847,8.56218379910088 56.6152442393853,8.55651048720622 56.6190061947411,8.55227629599063 56.6233059353187,8.54964430241867 56.6279783773666,8.54871619792923 56.6328440653142,8.54952829765985 56.6377160523141,8.55205004621259 56.6424070785367,8.55618509237745 56.6467367722874,8.5617749066839 56.6505385964975,8.56860481579213 56.6536662713828,8.57641223071246 56.6559994229915,8.58489675600629 56.6574482364383,8.59373178877207 56.6579569308216,8.60257715330012 56.6575059187062,8.61109227308984 56.6561125647525,8.61894935884245 56.6538305134345,8.62584609034048 56.6507476124453,8.63151729184125 56.6469825139002,8.63574514355744 56.6426800874546,8.63836753365699 56.6380058257585,8.63928423274159 56.6331394614069)))', 'DKTAM', 'Tambohuse', 'Y'),('SRID=4326;MULTIPOLYGON(((9.63195013046289 56.3527789887784,9.6310060342588 56.3479144735557,9.628371484146 56.3432456557499,9.62414825770767 56.3389518516227,9.61849900061949 56.3351979176659,9.61164092331602 56.3321279384032,9.60383743678162 56.3298597162266,9.59538805140323 56.328480270933,9.58661692374214 56.3280425178764,9.5778604827317 56.3285632490229,9.56945459818431 56.3300224922928,9.56172176998574 56.3323642731088,9.55495881567961 56.335498749786,9.54942551730995 56.3393056430731,9.54533465569768 56.3436388315334,9.54284381241399 56.3483319402441,9.5420492576152 56.3532047120921,9.54298216712787 56.358069920234,9.54560732677843 56.3627405583335,9.5498243885955 56.3670370330062,9.55547164541227 56.3707940811944,9.56233219132005 56.3738671442611,9.57014223951442 56.3761379503329,9.5786012806562 56.3775190862378,9.58738368818044 56.377957379241,9.59615131589423 56.3774359551742,9.6045665909084 56.3759748916084,9.61230558372275 56.3736304402446,9.61907053828798 56.3704928493351,9.6246013680414 56.3666828722451,9.62868566798915 56.3623470998919,9.63116685551495 56.3576523005722,9.63195013046289 56.3527789887784)))', 'DKTAN', 'Tange Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6372632358905 55.7898589593195,12.6367074313164 55.7849770918491,12.6344724640452 55.7802501007318,12.6306447727013 55.7758595588385,12.6253718449543 55.7719740563311,12.6188564902592 55.7687427425387,12.6113490197648 55.766289619841,12.6031376378313 55.7647088049495,12.5945374127107 55.7640609356565,12.5858782432042 55.7643708575656,12.5774922724238 55.7656266771289,12.569701218471 55.7677802161968,12.5628040945595 55.7707488509899,12.5570657778273 55.7744186667115,12.5527068570558 55.7786488096815,12.5498951453353 55.7832768736135,12.5487391853307 55.7881251170885,12.5492840036261 55.7930072769015,12.5515092885685 55.7977357180698,12.5553300755785 55.8021286469658,12.5605999281097 55.8060171100288,12.5671165048829 55.8092515072119,12.5746293087016 55.8117073667172,12.5828493232568 55.8132901551786,12.5914601660574 55.8139389343452,12.6001303218545 55.813628720093,12.6085259749702 55.8123714504767,12.616323933254 55.8102155244037,12.6232241323708 55.8072439290539,12.628961227013 55.803571029942,12.6333148144537 55.7993381501664,12.6361178935553 55.7947081126668,12.6372632358905 55.7898589593195)))', 'DKTAR', 'Tårbæk', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6812384482557 54.8670526085132,11.6800847475155 54.8622058908261,11.6773144669812 54.857582070027,11.6730345266496 54.8533587268118,11.6674096832012 54.8496980105148,11.6606561559379 54.8467404308455,11.6530333086825 54.8445994839615,11.6448337085988 54.8433573154798,11.6363719399762 54.8430615833685,11.6279725942033 54.8437236382936,11.6199578854521 54.8453180895637,11.6126353544378 54.8477837730313,11.6062861197222 54.8510260849406,11.6011541174537 54.8549205945529,11.59743673651 54.8593178001938,11.595277207444 54.8640488498539,11.5947590415384 54.8689320102525,11.5959027422269 54.8737796387831,11.5986649272812 54.8784053922492,11.6029399091676 54.8826313957246,11.6085636860849 54.8862950948748,11.6153202011035 54.8892555258779,11.6229496355437 54.8913987584865,11.6311584194033 54.8926422991022,11.6396305702449 54.8929382808615,11.6480399160788 54.8922753150918,11.6560627203123 54.8906789311525,11.663390209766 54.8882105874228,11.6697405110019 54.88496529266,11.6748695255058 54.881067931715,11.6785803192623 54.8766684403517,11.6807306645583 54.8719360185593,11.6812384482557 54.8670526085132)))', 'DKTAS', 'Tårs vig, Ved Sakskøbing', 'Y'),('SRID=4326;MULTIPOLYGON(((8.73767559970702 56.9561041172722,8.73683226120376 56.951233589278,8.73426669324346 56.9465465083168,8.7300780556584 56.9422228957915,8.72442769667878 56.9384287539758,8.71753289463291 56.9353097097466,8.70965848725695 56.9329854455783,8.70110671338393 56.9315451276589,8.6922056544163 56.9310440026627,8.68329671119968 56.9315012904252,8.67472158469118 56.9328994511196,8.66680924552993 56.9351848542219,8.65986337797914 56.9382698243251,8.65415076771113 56.9420359874766,8.64989107083615 56.9463387929183,8.64724835403898 56.9510130406003,8.64632473368595 56.9558792062222,8.64715636676989 56.9607503243155,8.64971196059603 56.9654391672931,8.65389387380236 56.9697654455016,8.65954178188551 56.9735627508418,8.66643877964673 56.976684974819,8.67431969507497 56.9790119508709,8.68288129854644 56.9804540999492,8.69179401219035 56.9809558966018,8.70071466083943 56.9804980187393,8.70929976148776 56.9790980960261,8.71721882502261 56.9768100272381,8.72416714345695 56.9737218936093,8.72987755799645 56.9699525507108,8.7341307468135 56.9656470333878,8.73676363401734 56.9609709545494,8.73767559970702 56.9561041172722)))', 'DKTED', 'Thisted', 'Y'),('SRID=4326;MULTIPOLYGON(((14.748646712777 55.2020977364845,14.7478388238047 55.1972259243226,14.7453852441117 55.1925378357975,14.7413807700324 55.1882135374446,14.7359796321263 55.1844190676035,14.729389516516 55.1813000772844,14.7218635650361 55.1789762584835,14.7136906643881 55.1775367701724,14.705184394819 55.1770368338467,14.696671055348 55.1774956261524,14.6884772142126 55.1788955473449,14.6809172493434 55.1811828928742,14.6742813440047 55.1842699030105,14.6688243872466 55.1880381138891,14.6647561978063 55.1923428844542,14.6622334441978 55.1970189292068,14.6613535739735 55.2018866480416,14.6621509929951 55.2067590132731,14.6645956530349 55.2114487514661,14.6685941156941 55.2157755449381,14.6739930655982 55.2195729754913,14.6805851497304 55.2226949413737,14.6881169265689 55.2250212975865,14.6962986225548 55.2264624988596,14.7048153184301 55.2269630629142,14.7133391278627 55.2265037175379,14.7215418886558 55.2251021466757,14.7291078649409 55.2228123060249,14.7357459582711 55.2197223351758,14.7412009464966 55.2159511487348,14.7452633105738 55.2116438407598,14.7477772688484 55.2069660830472,14.748646712777 55.2020977364845)))', 'DKTEG', 'Teglkås', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8776963335602 55.2470516021753,14.8768717708021 55.2421806768863,14.8744002594479 55.2374952135896,14.8703772848184 55.2331751769844,14.8649577870843 55.2293864408628,14.8583501555403 55.2262744354176,14.8508082020957 55.2239585841148,14.8426214251424 55.2225277400185,14.8341039352205 55.2220367930525,14.8255824603163 55.222504575275,14.817383880161 55.2239131424472,14.8098227549088 55.2262084587088,14.8031893137589 55.2293024587907,14.7977383534402 55.2330764106846,14.7936794652994 55.237385452819,14.7911689636673 55.2420641352642,14.7903038282351 55.2469327559307,14.7911179008518 55.2518042516078,14.7935804944595 55.2564913812911,14.7975974813822 55.2608139265897,14.8030148330245 55.2646056317862,14.8096244868169 55.2677206146731,14.8171723229834 55.2700389984958,14.8253679475421 55.2714715446366,14.8338959029841 55.2719631040502,14.8424278680403 55.2714947514389,14.8506353659467 55.270084517878,14.8582024789014 55.2677866929209,14.8648380661324 55.2646897237633,14.8702870041921 55.2609127944285,14.8743400096064 55.2566012197762,14.8768416636374 55.2519208352886,14.8776963335602 55.2470516021753)))', 'DKTEJ', 'Tejn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8650021752573 54.6509898174275,11.8638336404203 54.6461448867601,11.8610581750197 54.6415251938259,11.8567828897844 54.6373081604933,11.8511723553878 54.6336556941592,11.844442236612 54.6307079886989,11.8368509962581 54.6285781624927,11.8286899888092 54.6273479356993,11.8202723205192 54.6270645092085,11.8119208954177 54.6277387622743,11.8039560947173 54.6293448363511,11.7966835497064 54.6318211208344,11.7903824651397 54.6350726040354,11.785294931441 54.6389745015648,11.7816166300656 54.643377026153,11.7794892878344 54.6481111194813,11.7789951740638 54.6529949294638,11.7801538604795 54.6578407870387,11.7829213803321 54.6624624161481,11.7871918325297 54.6666821001589,11.7928013821864 54.670337528133,11.7995345144403 54.6732880553122,11.8071323077173 54.675420133735,11.8153024099118 54.6766517003625,11.823730330176 54.6769353503271,11.8320916037078 54.6762601703527,11.8400643499585 54.6746521600987,11.8473417280012 54.6721732249353,11.8536437972972 54.668918780094,11.8587283175088 54.6650140608468,11.8624000659588 54.6606092840441,11.8645183134504 54.6558738508834,11.8650021752573 54.6509898174275)))', 'DKTGS', 'Tågense', 'Y'),('SRID=4326;MULTIPOLYGON(((8.2583665256498 56.7042782676248,8.25759067254552 56.69940455174,8.25510183657327 56.6947077136717,8.25099622578353 56.6903681538231,8.24543200088547 56.6865524908514,8.23862313895526 56.6834071811762,8.23083118826398 56.6810529177166,8.22235523437708 56.6795800190135,8.21352046045244 56.6790449817953,8.20466573314463 56.6794683259195,8.19613067867288 56.680833812077,8.18824273079475 56.6830890613736,8.18130463334241 56.6861475536578,8.17558286461269 56.6898919299996,8.17129741953597 56.6941784758057,8.16861333878365 56.6988426163658,8.16763431279997 56.70370521779,8.16839861461729 56.7085794547847,8.17087753023234 56.7132779838285,8.1749763618778 56.7176201470833,8.18053798090877 56.7214389295473,8.1873488069714 56.7245873998868,8.19514699277604 56.7269443839999,8.20363250351904 56.7284191491504,8.21247870109682 56.7289549144598,8.22134497970448 56.7285310492249,8.22988995453933 56.7271638720895,8.23778468155716 56.7249060193843,8.24472538486423 56.7218444076067,8.25044518944863 56.7180968706016,8.2547243994061 56.7138076041443,8.2573989233069 56.7091415971391,8.2583665256498 56.7042782676248)))', 'DKTHN', 'Thyborøn', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((10.7184601191213 55.0473941573368,10.7174167049392 55.0425378811942,10.7147439148951 55.0378917534013,10.7105449403423 55.0336342167409,10.704981447573 55.0299287370562,10.6982673193109 55.0269175440197,10.6906604232025 55.0247161911522,10.682452725418 55.023409140223,10.6739591257157 55.0230465359262,10.6655054346445 55.023642291677,10.6574159429986 55.0251735581523,10.6500010475681 55.0275815945109,10.6435453953835 55.0307740098528,10.6382969910519 55.0346282911855,10.634457678757 55.0389964857372,10.6321753627246 55.0437108615869,10.6315382685143 55.0485903328933,10.632571473947 55.053447405945,10.635235854897 55.0580953810893,10.6394295002183 55.0623555343012,10.6449915549473 55.066064001392,10.6517083552911 55.0690780978835,10.6593216268054 55.0712818282302,10.6675384327226 55.0725903687125,10.6760424866527 55.0729533478651,10.6845063864831 55.0723567952041,10.6926042872263 55.0708236813753,10.7000245118828 55.0684130284631,10.7064816020969 55.0652176257146,10.7117273343369 55.0613604409279,10.7155602712228 55.0569898688992,10.7178334791279 55.0522740034983,10.7184601191213 55.0473941573368)))', 'DKTHO', 'Thurø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.17190107409016 57.1389455045541,9.17099665102 57.1340781387638,9.16836371386344 57.1294001925706,9.16410401233664 57.1250913328349,9.15838162141587 57.1213169919547,9.15141657889489 57.1182220339433,9.14347640997293 57.1159252150318,9.13486586746542 57.1145146474738,9.12591527866872 57.1140444367025,9.11696793782925 57.1145326175511,9.10836701556634 57.1159604665103,9.10044247286587 57.1182732156476,9.09349846711293 57.1213821415999,9.08780172106897 57.1251679517373,9.0835712930103 57.1294853409137,9.08097013804636 57.1341685478727,9.08009878793679 57.1390377019711,9.08099140101491 57.1439057198808,9.08361434714589 57.1485854896249,9.08786739765548 57.1528970667243,9.09358749012571 57.1566746050876,9.10055493668396 57.1597727539139,9.10850184614103 57.1620722711993,9.11712243949726 57.1634846338865,9.12608485930449 57.1639554632499,9.13504401014928 57.1634666302809,9.14365492344318 57.1620369577684,9.15158611715523 57.1597214912649,9.15853242134533 57.1566093678286,9.16422676333873 57.1528203668772,9.16845045085689 57.1485002793294,9.17104155497773 57.1438152772436,9.17190107409016 57.1389455045541)))', 'DKTHP', 'Thorup Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((8.56230417325122 56.6501675012682,8.56149016675237 56.6452956045128,8.55896705473615 56.6406047696154,8.55483235664182 56.6362751645331,8.54924534378098 56.6324730243513,8.54242086146249 56.6293442856858,8.53462105159304 56.6270090054154,8.52614529697154 56.6255567741284,8.51731877089027 56.6250432964259,8.50848002375213 56.6254882659836,8.49996807118405 56.6268746146508,8.49210946494226 56.6291491635485,8.48520582846519 56.6322246518731,8.47952232322921 56.6359830676837,8.47527748038394 56.6402801560899,8.47263478509831 56.6449509356781,8.47169633963447 56.6498160153138,8.47249885685195 56.6546884721245,8.47501215064089 56.659381028782,8.47914019629694 56.6637132552077,8.48472473528295 56.6675185172408,8.49155129891777 56.670650402992,8.49935742843593 56.6729883764672,8.5078427789305 56.6744424370615,8.51668071622346 56.674956601678,8.52553095265571 56.6745110720641,8.53405272345666 56.6731230016343,8.54191798213194 56.6708458313909,8.54882409247145 56.667767221214,8.55450551637837 56.6640056583185,8.55874403956933 56.6597058767098,8.56137713898669 56.6550332678167,8.56230417325122 56.6501675012682)))', 'DKTHY', 'Thyholm', 'Y'),('SRID=4326;MULTIPOLYGON(((8.42504128567544 56.4302168528658,8.42424939735882 56.425343936371,8.42175763974586 56.4206502230443,8.41766232125141 56.4163159931582,8.41212119718564 56.4125076613664,8.40534735053879 56.4093714039256,8.39760098212603 56.4070275679601,8.38917942874388 56.4055660735568,8.38040579022438 56.4050429812993,8.37161659429794 56.4054783536486,8.36314896095529 56.406855489976,8.3553277448976 56.4091215637335,8.34845313537843 56.4121896379753,8.34278917726241 56.4159419839776,8.33855364573838 56.4202345788019,8.33590966043864 56.4249026130062,8.3349593637288 56.4297668009476,8.33573991410974 56.434640254714,8.3382219610165 56.4393356599582,8.34231067440002 56.443672478829,8.34784930451936 56.4474839025238,8.35462514806765 56.4506232840718,8.36237770022225 56.4529698007318,8.37080868276922 56.4544331243046,8.37959356037066 56.454956915732,8.38839409424521 56.4545210061102,8.39687143829963 56.453142177863,8.40469925946369 56.4508735151185,8.41157636291726 56.4478023489727,8.41723832411942 56.4440468788639,8.42146767189604 56.4397516033474,8.42410222803552 56.4350817399759,8.42504128567544 56.4302168528658)))', 'DKTIH', 'Tissinghuse', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1617646045935 56.1995875762606,10.1607574410373 56.1947273212223,10.1580693987099 56.1900699500336,10.1538042986236 56.1857943364155,10.1481263819401 56.1820646365697,10.1412539474053 56.1790240040787,10.1334509472992 56.1767891154622,10.1250168670697 56.1754457126891,10.116275274008 56.1750453299555,10.1075614662569 56.175603327219,10.0992096841342 56.1770983039476,10.0915403606016 56.179472915006,10.0848478864292 56.182636058311,10.0793893482225 56.1864663526187,10.0753746642963 56.1908167753065,10.0729584950563 56.1955202859917,10.0722342421296 56.20039622388,10.0732303755031 56.2052572363378,10.0759092424664 56.2099164745908,10.0801684188722 56.214194780675,10.0858445653868 56.2179275884854,10.0927196527591 56.2209712712803,10.1005293248412 56.2232086881588,10.1089730804381 56.2245537122463,10.1177258792704 56.2249545625159,10.1264507172157 56.2243958078318,10.1348116747066 56.2228989640366,10.1424869219139 56.22052166051,10.1491811662429 56.2173554092395,10.1546370516007 56.2135220646289,10.1586450635469 56.2091691136816,10.1610515574252 56.2044639816841,10.1617646045935 56.1995875762606)))', 'DKTIL', 'Tilst', 'Y'),('SRID=4326;MULTIPOLYGON(((8.36177086441163 56.2002391348804,8.36099154868297 56.195365663961,8.35852226026056 56.1906705592903,8.35445843682204 56.1863341558583,8.3489566190733 56.1825229534056,8.34222837885414 56.1793832401375,8.33453216744782 56.1770354974391,8.32616340049745 56.1755697965903,8.31744315792317 56.1750423603282,8.30870592509712 56.175473417921,8.30028683423286 56.1768464338104,8.29250888183852 56.1791087385511,8.2856705988644 56.1821735384834,8.28003463483535 56.1859232290834,8.27581768608136 56.1902138879998,8.27318215177803 56.1948807791221,8.27222984088218 56.1997446602275,8.27299797965856 56.2046186553214,8.27545768534132 56.2093154299954,8.27951497913685 56.213654395017,8.28501431441918 56.2174686606676,8.29174449728404 56.2206114723978,8.29944678070061 56.2229618771095,8.30782482461844 56.2244293982551,8.31655613678224 56.2249575359733,8.32530454657269 56.2245259542051,8.33373322018207 56.2231512683102,8.34151770221501 56.2208864019776,8.34835846764386 56.2178185388464,8.35399248901508 56.2140657497852,8.35820336575336 56.2097724288576,8.36082962309362 56.2051037174408,8.36177086441163 56.2002391348804)))', 'DKTIM', 'Tim', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2129229971034 56.3552058361984,11.2117780657314 56.3503556704078,11.2089515260354 56.3457226635725,11.204552511945 56.3414847461461,11.1987503932647 56.3378046207583,11.1917682187001 56.3348235337226,11.1838741327754 56.332655874212,11.1753710981578 56.3313848045268,11.1665853142175 56.3310590854126,11.1578537675849 56.3316912152234,11.1495113800644 56.3332569524752,11.1418782329466 56.3356962397049,11.1352473442719 56.3389154943023,11.129873456957 56.3427911808699,11.1259632612462 56.3471745314563,11.1236674253448 56.3518972363863,11.1230747444336 56.3567778909761,11.1242086420996 56.3616289536453,11.1270261716992 56.3662639500448,11.1314195710077 56.3705046468285,11.1372203250217 56.3741879182352,11.1442055927963 56.3771720389989,11.1521067588967 56.3793421580883,11.1606197827638 56.3806147387543,11.1694169442532 56.3809407902177,11.1781595246031 56.3803077635271,11.1865109222232 56.3787400367088,11.1941496841162 56.3762979701195,11.2007819374446 56.3730755695025,11.2061527315381 56.3691968492085,11.21005584707 56.3648110390455,11.2123416937286 56.3600868231369,11.2129229971034 56.3552058361984)))', 'DKTIO', 'Tissø', 'Y'),('SRID=4326;MULTIPOLYGON(((8.64419954323714 55.7001360042362,8.6433945928351 55.695263905624,8.64092260671671 55.690574076703,8.63687910587245 55.6862466497591,8.6314198333395 55.6824477811179,8.6247547154913 55.6793232878199,8.6171397751656 55.676993070013,8.60886731030598 55.675546529448,8.60025471285005 55.6750391561727,8.59163234967873 55.6754904112112,8.58333095950733 55.6768829843098,8.57566903601081 55.6791634544226,8.5689406679258 55.6822443282715,8.56340429135515 55.6860073808139,8.55927277831082 55.6903081725516,8.55670523929132 55.6949815740277,8.55580085741541 55.6998480891896,8.55659499879932 55.704720738039,8.55905776047651 55.7094122364106,8.563095025793 55.7137421978599,8.56855200101512 55.7175440802065,8.57521910951658 55.7206716076008,8.58284002540318 55.7230044179811,8.59112154100744 55.7244527149002,8.59974488649697 55.7249607409209,8.60837805869777 55.7245089356444,8.61668867331532 55.7231146930932,8.62435683233526 55.7208316884728,8.63108749772 55.7177478009174,8.63662188362604 55.7139817142796,8.64074742110453 55.7096783299706,8.64330590938374 55.7050031721426,8.64419954323714 55.7001360042362)))', 'DKTIS', 'Tistrup', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0845267906352 56.038060989875,12.0840381896927 56.0331776038268,12.0818576923189 56.028441394382,12.0780696585812 56.0240342914762,12.0728200680518 56.0201255229876,12.0663108480832 56.0168651319125,12.0587920853796 56.0143782359721,12.0505524244254 56.0127602463488,12.04190802032 56.0120732252094,12.0331904636552 56.0123435183397,12.0247341301715 56.0135607511989,12.0168634273302 56.0156782256879,12.0098804133066 56.0186147026718,12.0040532511985 56.0222575035789,11.9996059327093 56.0264668149648,11.99670966177 56.0310810345,11.9954762304512 56.0359229570305,11.9959536484661 56.0408065666727,11.9981242054767 56.0455441766452,12.0019050547442 56.0499536437954,12.0071513104674 56.0538653803106,12.01366155299 56.0571288913398,12.0211855399363 56.059618584177,12.0294338314793 56.0612386218371,12.0380889585905 56.0619266303577,12.0468176981953 56.0616561136331,12.0552839720492 56.0604374802441,12.0631618593582 56.0583176415084,12.0701482081775 56.0553781964965,12.0759743477191 56.0517322756357,12.0804164419588 56.0475201673551,12.0833040823116 56.0429038997855,12.0845267906352 56.038060989875)))', 'DKTIV', 'Tisvildeleje', 'Y'),('SRID=4326;MULTIPOLYGON(((9.65713908344981 56.512769468441,9.65618764099497 56.5079052875131,9.65353877389138 56.5032371584522,9.64929481507462 56.4989443702699,9.6436192100612 56.4951917393921,9.63673018240798 56.4921232991551,9.6288923304831 56.4898567917789,9.62040648099708 56.4884791703713,9.61159818584595 56.4880432797637,9.60280529559176 56.4885658403407,9.59436507435331 56.490026810135,9.58660133639182 56.4923701489977,9.57981208396896 56.4955059563906,9.5742581091375 56.4993139030336,9.57015298929904 56.5036478280404,9.56765485826476 56.5083413289766,9.56686027221613 56.5132141340919,9.56780041489325 56.5180790152762,9.57043980059908 56.5227489783428,9.57467753985389 56.5270444550697,9.58035113401433 56.5308002197251,9.5872426656604 56.5338717618837,9.59508715521637 56.5361408670857,9.60358276545355 56.5375201867274,9.61240245848882 56.5379566174361,9.62120664853288 56.5374333566016,9.6296563511737 56.5359705527993,9.63742630869153 56.5336245253897,9.64421757195481 56.5304855842183,9.64976904278128 56.5266745356548,9.65386752498404 56.5223380128246,9.65635589527277 56.5176428136566,9.65713908344981 56.512769468441)))', 'DKTJE', 'Tjele Langsø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.8934040560418 54.999332088649,10.8923409153229 54.9944774348656,10.8896513178868 54.9898352504827,10.8854390973034 54.9855838259051,10.8798664247805 54.98188639171,10.8731475318803 54.978884868515,10.8655404662011 54.9766944388538,10.8573371985416 54.975399145739,10.8488524580719 54.9750486832765,10.8404117161435 54.9756564995865,10.8323387685883 54.9771992830262,10.8249433800856 54.9796178510008,10.8185094521417 54.9828194082711,10.8132841584517 54.9866810904008,10.8094684582325 54.9910546595926,10.8072093502152 54.9957721763664,10.8065941684437 55.0006524329179,10.8076471474065 55.0055079040476,10.8103284004257 55.010151950499,10.8145353642924 55.0144059983848,10.8201066680873 55.0181064177533,10.8268282886272 55.0211108335214,10.8344417630574 55.0233036227872,10.8426541449057 55.0246003833092,10.8511493174481 55.0249511975816,10.8596002211422 55.0243425639242,10.8676815131173 55.0227979184138,10.8750821583313 55.0203767271292,10.8815174549924 55.0171721846848,10.8867400210329 55.0133076099832,10.8905493124981 55.0089316811889,10.8927993063321 55.0042126970098,10.8934040560418 54.999332088649)))', 'DKTKA', 'Tranekaer', 'Y'),('SRID=4326;MULTIPOLYGON(((17.8445070977121 56.0159809320873,17.8432943711449 56.0111371856915,17.8404186408026 56.0065189856765,17.8359909110776 56.0023036911736,17.8301816359379 55.9986531351223,17.8232141232297 55.9957074292434,17.8153559440433 55.9935796065519,17.806908678585 55.9923513032044,17.7981963882522 55.992069641743,17.7895532475594 55.9927454324113,17.781310798268 55.9943527598218,17.7737853009609 55.9968299705402,17.7672656561197 56.0000820248977,17.7620023475468 56.0039841252942,17.7581978260688 56.0083864851994,17.7559987015537 56.0131200596575,17.7554900474697 56.0180030209837,17.7566920461127 56.0228477339356,17.7595591163776 56.0274679642061,17.7639815722899 56.0316860435762,17.7697897627732 56.0353397151365,17.776760545113 56.0382883928578,17.7846258504496 56.0404185912891,17.7930830136855 56.0416483125883,17.8018064665749 56.0419302183426,17.8104603352025 56.0412534611168,17.8187114445739 56.0396441034486,17.8262422156868 56.0371641078608,17.8327629451721 56.033908937994,17.8380229841028 56.0300038657563,17.8418203794279 56.0255991301137,17.8440096061723 56.0208641377059,17.8445070977121 56.0159809320873)))', 'DKTLL', 'Tollose', 'Y'),('SRID=4326;MULTIPOLYGON(((8.16496560238304 56.3683110062613,8.16420814384256 56.3634365037452,8.16175238453484 56.3587376482624,8.15769325052561 56.3543949195846,8.15218711001871 56.350575060447,8.14544570692053 56.3474246909382,8.13772800163625 56.3450647005806,8.1293302359256 56.3435856295703,8.12057460105683 56.3430442125865,8.1117969367385 56.3434612144742,8.10333392133819 56.3448206385624,8.09551023107153 56.3470703370868,8.08862614685716 56.3501240009124,8.08294607237007 56.3538644542527,8.07868839576882 56.3581481311122,8.07601708122617 56.3628105654512,8.07503531574944 56.3676726881881,8.07578146329171 56.3725476926013,8.07822749381834 56.377248206766,8.08227996238108 56.3815934983919,8.08778351553083 56.3854164345583,8.09452680326544 56.3885699267274,8.10225057826361 56.3909326099797,8.11065767470793 56.3924135341499,8.1194244808096 56.3929556824316,8.12821345613856 56.3925381786459,8.1366862003257 56.3911770958734,8.14451655603453 56.3889248343988,8.15140322759422 56.3858680935432,8.15708141743246 56.3821245175435,8.16133302431409 56.3778381477915,8.16399500812738 56.3731738602949,8.16496560238304 56.3683110062613)))', 'DKTMD', 'Thorsminde', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3160417042441 55.5685350442405,10.315032792053 55.5636755761925,10.312370829751 55.5590209731125,10.3081586137014 55.5547500038698,10.3025583366973 55.5510266491559,10.2957853065472 55.5479938226769,10.2880996580621 55.5457679053252,10.2797963789918 55.5444342983918,10.2711940297089 55.5440441628161,10.2626225816388 55.5446124665802,10.2544108295929 55.5461174132454,10.2468738476661 55.5485012730278,10.2403009569377 55.5516725854633,10.234944655871 55.5555096514159,10.2310109313781 55.5598651836769,10.2286513206503 55.5645719414128,10.2279570321237 55.5694491358405,10.2289553598864 55.5743093642067,10.2316085415172 55.5789658076939,10.2358151174299 55.5832394172481,10.2414137534919 55.5869658102146,10.2481893917159 55.5900016103412,10.2558815002377 55.5922299840242,10.2641941078262 55.593565156018,10.2728072339252 55.5939557271166,10.2813892664343 55.5933866630333,10.289609799155 55.5918798759585,10.2971524212133 55.5894933758627,10.3037269528724 55.5863190251738,10.3090806458545 55.5824789855747,10.3130079103071 55.5781209969846,10.3153581925222 55.5734126741903,10.3160417042441 55.5685350442405)))', 'DKTNO', 'Tunø', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7940548047532 55.6160037231073,11.7928623333521 55.6111590074113,11.7900234394435 55.606538996185,11.7856477002331 55.6023211200998,11.7799035652096 55.5986673137954,11.7730118384616 55.5957178165663,11.7652371843247 55.5935858095655,11.7568779840949 55.5923530915902,11.7482549293781 55.5920669557957,11.7396987813128 55.5927383843098,11.7315377534622 55.5943416283033,11.7240849890311 55.5968151893383,11.7176265999801 55.6000641655148,11.7124107166087 55.6039638748579,11.7086379616175 55.6083646202803,11.7064537132245 55.6130974170217,11.7059424587039 55.6179804663133,11.7071244643455 55.6228261295878,11.7099549024234 55.6274481370917,11.7143254830547 55.631668754239,11.7200685420992 55.6353256290886,11.726963439279 55.6382780551878,11.734745027591 55.6404124054895,11.7431138700745 55.6416465244496,11.7517478071765 55.6419329056252,11.7603144210114 55.6412605295314,11.7684839046954 55.6396552892579,11.7759418276989 55.6371789871587,11.7824012927171 55.6339269424367,11.7876140056467 55.6300243042247,11.7913798264602 55.6256212155037,11.793554432606 55.6208870177795,11.7940548047532 55.6160037231073)))', 'DKTOL', 'Tølløse', 'Y'),('SRID=4326;MULTIPOLYGON(((12.026548333269 55.1659259043329,12.0253430557357 55.1610833249,12.0225113018126 55.1564683521945,12.0181623577874 55.1522582237504,12.0124636308526 55.1486145782108,12.0056341733826 55.1456772671229,11.9979362569111 55.1435590066292,11.9896653207665 55.1423410706211,11.981138677411 55.1420701871153,11.9726833995786 55.142756754141,11.9646238423872 55.1443744419487,11.9572692661111 55.1468611965533,11.9509020220041 55.1501216073029,11.945766744487 55.1540305500792,11.9420609585211 55.1584379696634,11.939927461776 55.1631746214394,11.9394487783897 55.1680585555576,11.9406439063072 55.1729020973976,11.943467495523 55.1775190578798,11.9478115027516 55.1817318968497,11.9535092723845 55.1853785630116,11.9603418977902 55.1883187449559,11.9680466251476 55.1904392894782,11.976326978233 55.1916585749638,11.9848642109392 55.19192966795,11.9933296383969 55.1912421385158,12.0013973602979 55.1896224629292,12.0087568733642 55.187132997797,12.0151250747619 55.1838695664247,12.0202571843338 55.1799577527932,12.0239561594117 55.1755480491827,12.0260802392222 55.170810047931,12.026548333269 55.1659259043329)))', 'DKTPN', 'Tappernøje', 'Y'),('SRID=4326;MULTIPOLYGON(((8.63376340087882 57.0281421872063,8.63293205083855 57.0232710331553,8.63037463356291 57.0185818887249,8.62618999968518 57.0142548550061,8.62053934743051 57.0104560657778,8.61363996949534 57.0073313261815,8.6057568813355 57.0050005369155,8.59719265574276 57.0035531140632,8.58827585142976 57.0030445763934,8.57934847174409 57.0034944277216,8.57075292257472 57.004885413308,8.56281895537415 57.0071641779719,8.55585108170381 57.0102433013842,8.55011692981187 57.0140046346071,8.54583698175492 57.0183038131384,8.54317608208189 57.0229757771685,8.54223704710747 57.0278410911021,8.54305662877932 57.0327128230883,8.54560400110934 57.0374037226424,8.54978184271489 57.0417334214723,8.55542998943378 57.0455353800603,8.56233153001752 57.0486633107593,8.57022111976952 57.050996827054,8.57879519609077 57.0524460976951,8.58772370058344 57.0529553226044,8.59666284865081 57.05250489334,8.60526844277162 57.0511121526275,8.61320920223928 57.0488307228501,8.62017958143239 57.045748430077,8.62591157066246 57.0419839057524,8.63018501712147 57.0376820001948,8.63283606607106 57.0330081883783,8.63376340087882 57.0281421872063)))', 'DKTQF', 'Tømmerby Fjord', 'Y'),('SRID=4326;MULTIPOLYGON(((9.82510812561383 55.6217112582473,9.82415844761306 55.6168476677111,9.82155086756482 55.6121823331337,9.81738609998623 55.6078944385374,9.8118245245645 55.6041486166615,9.80507997284936 55.6010886448514,9.7974114952983 55.5988319460063,9.7891134273585 55.597465101926,9.78050413307156 55.5970405475614,9.77191385045375 55.597574569946,9.76367209363011 55.5990466865955,9.75609508177005 55.6014004266142,9.74947366399475 55.6045454854003,9.74406219261554 55.6083611724815,9.74006876462963 55.6127010233912,9.73764720399422 55.6173984023229,9.73689109587271 55.6222728841899,9.73783011031489 55.6271371741309,9.74042876875375 55.6318043007138,9.74458771490546 55.6360948071,9.75014745534341 55.6398436629294,9.75689443787996 55.6429066289648,9.76456924198946 55.6451658264631,9.77287656906444 55.6465342932268,9.78149664544276 55.6469593472657,9.79009759163005 55.6464246254752,9.7983482700671 55.6449507168181,9.80593110334885 55.6425943650074,9.81255435609659 55.6394462722671,9.81796339664351 55.6356275909616,9.82195049806695 55.6312852414008,9.82436279957237 55.6265862397878,9.82510812561383 55.6217112582473)))', 'DKTRE', 'Trelde', 'Y'),('SRID=4326;MULTIPOLYGON(((9.93968845970407 55.2446714606579,9.93873427019175 55.2398084806432,9.9361384701427 55.2351452580051,9.93200130811625 55.2308608963293,9.9264820931292 55.2271198942094,9.91979302397881 55.2240658460436,9.91219101976735 55.2218159496674,9.90396786776336 55.2204565279577,9.89543906396386 55.2200397326554,9.88693176703143 55.2205815538725,9.8787723166645 55.2220612097123,9.87127378229885 55.224421938837,9.86472400704468 55.2275731664429,9.85937459494881 55.2313939627245,9.85543125735326 55.2357376642921,9.85304588695715 55.2404374848632,9.85231066723355 55.2453129034842,9.85325445163179 55.2501765880315,9.85584156356446 55.2548415900398,9.85997307715836 55.2591285350308,9.86549054332045 55.2628725311251,9.87218202949857 55.2659295281192,9.87979024862213 55.2681818792449,9.88802246725939 55.2695428879116,9.89656180909951 55.2699601607781,9.90507951115638 55.2694176350273,9.91324764964348 55.2679361998152,9.92075183243665 55.2655728873732,9.92730335650488 55.2624186657922,9.93265035156266 55.2585949206834,9.93658747424233 55.2542487643683,9.9389637780102 55.2495473568424,9.93968845970407 55.2446714606579)))', 'DKTRH', 'Torø Huse', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2118221229704 56.249569222023,10.210807226358 56.2447094476219,10.2081095426408 56.2400532440383,10.2038332643307 56.2357794396205,10.1981430622542 56.2320521205595,10.1912577064633 56.2290143485528,10.1834416441976 56.2267826899519,10.1749948607401 56.2254427625444,10.1662414092091 56.2250459671124,10.1575170412526 56.2256075260717,10.1491564012792 56.2271059024589,10.1414802616609 56.229483620993,10.134783275005 56.2326494606566,10.1293227021347 56.2364819369795,10.1253085411469 56.2408339437282,10.1228954344861 56.2455383797007,10.1221766684413 56.2504145484036,10.1231805043591 56.2552750880173,10.1258689952658 56.2599331674956,10.1301393481712 56.264209672903,10.1358277943388 56.2679401068478,10.1427158310406 56.2709809334196,10.1505386028953 56.2732151212371,10.1589951031464 56.2745566674617,10.1677597993808 56.2749539248607,10.1764952280436 56.2743916006877,10.1848650608313 56.2728913484034,10.1925471258486 56.2705109288775,10.1992458684011 56.2673419743294,10.2047037603488 56.2635064434426,10.2087112117437 56.2591519074796,10.2111146016167 56.2544458526922,10.2118221229704 56.249569222023)))', 'DKTRI', 'Trige', 'Y'),('SRID=4326;MULTIPOLYGON(((11.080273331108 54.8822664468924,11.0791911759376 54.8774135102446,11.0764883226464 54.8727754969754,11.0722691083778 54.8685305365624,11.0666959675165 54.8648416111274,11.0599831451391 54.8618503148585,11.0523884528567 54.8596714383446,11.044203385456 54.8583885820382,11.0357419744395 54.8580509636608,11.0273287983791 54.8586715391951,11.0192865989531 54.8602265077997,11.0119239650372 54.8626562192474,11.0055235449853 54.8658674501075,11.0003312292995 54.8697369636395,10.9965467125925 54.8741162200222,10.9943157957617 54.878837059799,10.9937247277366 54.8837181459067,10.9947968125736 54.8885719198086,10.9974914241695 54.8932118063363,11.0017054801039 54.8974593908259,11.0072773313028 54.9011512916642,11.0139929290313 54.9041454616851,11.0215940391585 54.9063266727966,11.0297881898395 54.9076109691247,11.0382599667234 54.907948913717,11.0466832131269 54.9073275009275,11.0547336542509 54.9057706590623,11.0621014464955 54.903338323536,11.0685031561992 54.9001241172721,11.0736926965242 54.8962517299892,11.0774707953836 54.8918701390109,11.0796926289397 54.8871478592144,11.080273331108 54.8822664468924)))', 'DKTRS', 'Tårs', 'Y'),('SRID=4326;MULTIPOLYGON(((10.8950427837872 56.4493203322276,10.8939351632518 56.4444670730514,10.8911398848124 56.439826695343,10.8867648886776 56.4355774143289,10.8809786300067 56.4318823699753,10.8740035558166 56.4288833815932,10.8661075438371 56.4266955250447,10.8575936341688 56.4254027368119,10.8487884443511 56.4250546098641,10.8400297038125 56.4256645012057,10.8316533736883 56.4272090218063,10.8239808320588 56.4296289280289,10.8173066025316 56.4328313814176,10.8118870857759 56.4366934925586,10.8079307194542 56.441067016441,10.8055899426327 56.4457840230013,10.8049552772699 56.450663328951,10.8060517633347 56.4555174470131,10.8088378976095 56.4601597875871,10.813207132001 56.4644118366187,10.8189918885245 56.4681100327363,10.8259699488543 56.4711120768019,10.8338729806504 56.4733024277528,10.8423968751094 56.4745967693564,10.8512134945967 56.474945272156,10.8599833696175 56.4743345219273,10.8683688439099 56.4727880384587,10.8760471472761 56.4703653642164,10.8827228789379 56.4671597590629,10.8881394095424 56.4632945922397,10.892088756044 56.4589185739573,10.8944195480812 56.4542000140285,10.8950427837872 56.4493203322276)))', 'DKTSO', 'Thorso', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1775834702507 56.0840279672227,12.1770826953231 56.0791448562691,12.1748883202112 56.0744101803462,12.1710852389444 56.0700058096932,12.1658200089128 56.066100866507,12.1592951570072 56.0628452462824,12.1517613683757 56.0603638831632,12.1435078622026 56.0587519757683,12.1348513228725 56.058071352875,12.12612380493 56.0583481149693,12.1176600652697 56.0595716396391,12.1097847953117 56.0616949877573,12.1028002291819 56.0646366951512,12.0969745910936 56.0682838827458,12.0925318164592 56.0724965687575,12.0896429373304 56.0771130211139,12.0884194644995 56.0819559485098,12.0889090273884 56.086839295864,12.0910934506015 56.0915753857466,12.0948893551942 56.0959821326564,12.1001512763604 56.0998900526333,12.1066771909567 56.1031487969935,12.1142162520523 56.105632955972,12.1224784377799 56.1072469053047,12.1311457423705 56.1079285053477,12.1398844723641 56.1076515068524,12.1483581639303 56.1064265682209,12.1562406105599 56.1043008438435,12.1632284855444 56.1013561596575,12.1690530609297 56.0977058479277,12.1734905630929 56.093490366059,12.1763707626698 56.0888718717669,12.1775834702507 56.0840279672227)))', 'DKTSV', 'Tisvilde', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3958593563585 55.4369418507857,12.3953371334672 55.4320589966941,12.3931499544858 55.4273278691788,12.3893824120754 55.4229302027809,12.3841796779885 55.4190348643931,12.3777418654756 55.415791384055,12.3703163126035 55.413324233792,12.3621880869866 55.4117280705309,12.3536690752927 55.4110641219159,12.3450860700312 55.4113578503686,12.3367683004585 55.4125979825884,12.3290348732476 55.4147369405791,12.3221825915226 55.4176926579681,12.3164746079212 55.4213517136429,12.3121303387693 55.4255736653276,12.3093170228263 55.4301964203693,12.3081432503322 55.4350424413348,12.3086547176615 55.4399255515248,12.31083238167 55.4446580814913,12.3145930982635 55.4490580831836,12.3197927348589 55.4529563341819,12.3262316497729 55.4562028610282,12.3336623371105 55.4586727278938,12.3417989475829 55.4602708642734,12.3503283180036 55.4609357421329,12.3589220788387 55.4606417575815,12.3672493633906 55.4594002229084,12.3749896164158 55.4572589296211,12.3818449956223 55.4543002996205,12.3875518768111 55.450638197438,12.3918910114912 55.4464135291525,12.3946959425812 55.4417888009946,12.3958593563585 55.4369418507857)))', 'DKTUH', 'Tuborg Havn/Hellerup', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1107537806385 55.3510429372745,12.1102675010954 55.346159233807,12.108118923674 55.3414234056011,12.1043911576603 55.3370173699612,12.0992278489688 55.3331103171644,12.0928276007655 55.3298522285604,12.0854363140544 55.3273681378959,12.077337746645 55.3257533525931,12.068842651926 55.3250698146463,12.0602769082242 55.3253437374249,12.0519690840928 55.3265646065984,12.0442379039696 55.3286855823222,12.0373800819054 55.3316252875118,12.0316589784606 55.3352709152581,12.0272945076457 55.3394825389731,12.0244546775278 55.3440984634109,12.0232490907815 55.3489414149161,12.0237246614251 55.3538253366061,12.0258637231299 55.358562530002,12.02958461529 55.3629708699624,12.0347447384734 55.3668808153986,12.0411459744809 55.3701419445829,12.0485422719267 55.3726287608679,12.0566491101639 55.3742455418799,12.0651544766446 55.3749300417956,12.0737309292574 55.3746559007941,12.0820482691118 55.3734336664286,12.0897863230863 55.371310386382,12.0966473306489 55.3683677885519,12.1023674462781 55.3647191202257,12.1067269063517 55.3605047708921,12.1095584656443 55.3558868507473,12.1107537806385 55.3510429372745)))', 'DKTUR', 'Tureby', 'Y'),('SRID=4326;MULTIPOLYGON(((10.6963849830636 54.9774025280659,10.6953462224981 54.9725459784474,10.6926807906838 54.967899265535,10.6884915944152 54.9636408549912,10.6829399233032 54.9599342467054,10.676239205881 54.9569217141845,10.6686467955312 54.9547188628163,10.6604541036818 54.9534102122178,10.6519754558935 54.9530459686485,10.6435360907537 54.9536401084272,10.6354597509119 54.9551698440691,10.6280563295318 54.9575764931696,10.621610033618 54.9607677176775,10.6163685081226 54.9646210499007,10.6125333317808 54.9689885731485,10.610252247943 54.9737025810351,10.6096134323424 54.9785820017674,10.6106420263129 54.9834393436693,10.6132990805418 54.9880878970185,10.6174829636455 54.9923489159633,10.6230331948953 54.9960585035093,10.6297365649665 54.9990739325843,10.6373353166368 55.0012791568262,10.6455370730702 55.002589295369,10.6540261287042 55.0029539154267,10.6624756604488 55.0023589833635,10.6705603778791 55.0008274072827,10.6779691124188 54.9984181497792,10.684416848184 54.9952239460105,10.6896557210207 54.9913677172343,10.6934845560389 54.986997821115,10.695756575298 54.982282325286,10.6963849830636 54.9774025280659)))', 'DKTVS', 'Tvede Skov', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4016188569188 55.2101487117088,11.4004878047055 55.2052993710194,11.3977246849372 55.2006693403345,11.3934361561122 55.1964364392471,11.3877873163282 55.1927631834838,11.3809953143748 55.1897905627005,11.3733209948063 55.1876326484065,11.3650588995323 55.1863722352712,11.3565260062193 55.1860576795278,11.3480496275451 55.1867010529216,11.339954924126 55.1882776812936,11.3325524971528 55.1907270851571,11.3261265241581 55.1939552872744,11.3209238829325 55.1978384010697,11.3171446747437 55.2022273654715,11.3149345093913 55.2069536481755,11.3143788523386 55.2118357019668,11.3154996597854 55.2166859290768,11.3182544432029 55.2213178878435,11.322537813226 55.2255534651413,11.3281854571392 55.2292297378154,11.3349804082158 55.2322052569126,11.3426613729263 55.2343655096813,11.3509327976991 55.2356273454401,11.3594762845347 55.2359421913738,11.3679629079852 55.2352979315582,11.3760659477578 55.2337193751022,11.3834735335269 55.2312672950264,11.3899007023811 55.2280360759978,11.3951003944738 55.2241500638897,11.398872957518 55.2197587610155,11.4010737933776 55.2150310556899,11.4016188569188 55.2101487117088)))', 'DKTYO', 'Tystrup Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3452452833483 56.6095190105404,10.3442029923445 56.6046607402147,10.3414627287333 56.6000079150403,10.3371303316794 56.5957392312764,10.3313726337918 56.5920185757088,10.3244109981775 56.5889887513757,10.3165127968786 56.5867660170471,10.3079811603341 56.5854356461548,10.2991433880375 56.5850486717963,10.2903384566734 56.5856199395695,10.2819040927428 56.5871275409487,10.2741638914337 56.5895136483919,10.2674149619876 56.5926867211173,10.2619165620683 56.5965249992784,10.2578801499806 56.6008811558429,10.255461234642 56.6055879315437,10.2547533400571 56.6104645404147,10.2557843251942 56.6153236031268,10.2585152137256 56.6199783438493,10.2628415937565 56.6242497746984,10.2685975487167 56.62797359067,10.2755619808467 56.6310065075834,10.2834670923628 56.6332317958509,10.2920087008092 56.6345637932262,10.3008579885592 56.6349512189938,10.309674225802 56.634379158833,10.3181179648165 56.6328696419034,10.3258641831422 56.6304807873728,10.332614855503 56.6273045542424,10.3381104588945 56.6234631835022,10.3421399607609 56.6191044730013,10.3445489042039 56.6143960708198,10.3452452833483 56.6095190105404)))', 'DKUDN', 'Udbyhøj Nord', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3582307006078 56.5975143525502,10.3571870993353 56.5926561882267,10.3544461363658 56.5880036437563,10.3501136771478 56.5837354045801,10.344356556154 56.5800153404183,10.3373961139444 56.5769862316486,10.3294996765258 56.5747643096464,10.3209703066096 56.5734348167518,10.3121352168633 56.5730487524492,10.3033332813407 56.5736209274738,10.2949021119823 56.5751293985118,10.2871651818023 56.5775163046317,10.2804194748596 56.58069007434,10.2749241253586 56.5845289209388,10.2708904745537 56.588885495447,10.2684739251927 56.5935925224107,10.2677679100795 56.59846920608,10.2688002154968 56.6033281641402,10.27153181381 56.6079826247051,10.2758582652538 56.6122536106259,10.281613649986 56.6159768340162,10.2885768917796 56.6190090335344,10.2964802384188 56.6212335072664,10.3050195753271 56.6225646243939,10.3138661724516 56.6229511381574,10.3226794038413 56.6223781693948,10.33111993786 56.62086778226,10.338862875808 56.6184781293931,10.3456103189994 56.6153012004556,10.3511028689045 56.6114592631095,10.3551296104847 56.6071001368738,10.3575361928597 56.6023914856795,10.3582307006078 56.5975143525502)))', 'DKUDS', 'Udbyhøj Syd', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2110923154617 55.6322129842024,11.2099711235108 55.6273620968474,11.2071992997025 55.622728114535,11.2028838523305 55.6184890081526,11.1971909254975 55.6148075302087,11.1903393682622 55.6118249837853,11.1825923134612 55.6096558188052,11.1742470914282 55.6083832592555,11.1656238622647 55.6080561255547,11.157053394631 55.6086869710559,11.1488644482241 55.6102516023898,11.1413712306384 55.6126900016628,11.1348613968639 55.6159086162127,11.1295850413259 55.6197839304505,11.1257450984205 55.6241671860609,11.1234895186507 55.628890073171,11.1229055247945 55.6337711776608,11.1240161776158 55.6386229400089,11.1267793955806 55.6432588602124,11.1310894805562 55.647500672358,11.1367811048175 55.6511852120097,11.1436356176131 55.6541707099683,11.1513894361512 55.6563422669664,11.1597442003814 55.6576162948532,11.1683782974875 55.6579437496688,11.1769593042612 55.6573120291732,11.1851568565146 55.655745459946,11.1926554364905 55.6533043549078,11.199166572825 55.6500826786496,11.2044399727924 55.6462044128777,11.2082731519577 55.6418187652517,11.2105191895365 55.6370944098065,11.2110923154617 55.6322129842024)))', 'DKUGE', 'Ugerløse', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2560778646016 56.4675521256585,10.2550511229989 56.4626929343178,10.2523322336723 56.4580379502205,10.2480262107786 56.4537659537112,10.2422988720562 56.4500409600658,10.2353704150789 56.4470059400996,10.2275069403059 56.4447773530375,10.2190102488837 56.4434406976209,10.2102063035939 56.4430472483932,10.2014327874155 56.4436120992665,10.1930262249197 56.4451135874325,10.1853091465197 56.4474941191608,10.1785777742054 56.4506623667593,10.1730906898034 56.4544967547396,10.1690589133357 56.4588501047745,10.1666377703543 56.4635552650539,10.1659208642542 56.4684315117527,10.1669363940435 56.4732914799692,10.169645971971 56.4779483599553,10.1739460014551 56.4822230827352,10.1796715772011 56.4859512179834,10.186602770035 56.4889893166042,10.1944730629908 56.4912204506751,10.2029796169163 56.4925587336954,10.2117949675521 56.492952643333,10.2205796955557 56.4923870155828,10.2289955694547 56.4908836315254,10.2367186412582 56.4885003735244,10.2434517765363 56.4853289843224,10.2489361250699 56.4814915176886,10.2529610833508 56.4771356206473,10.2553723638348 56.4724288327665,10.2560778646016 56.4675521256585)))', 'DKUGG', 'Uggelhuse', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0535651225084 55.1810612183846,12.0530871957905 55.1761772741174,12.050953892423 55.1714405104219,12.0472477296149 55.1670328814533,12.0421115199446 55.1631236398418,12.0357428244821 55.1598628522249,12.0283863335261 55.1573756571161,12.0203244718141 55.1557574819986,12.0118665879016 55.155070399493,12.0033371366344 55.1553407590865,11.995063298153 55.1565581828415,11.9873624959529 55.1586759624223,11.9805302798325 55.1616128424506,11.9748290270504 55.1652561234144,11.970477886943 55.1694659678646,11.9676443511916 55.1740807481689,11.9664377748376 55.1789232342788,11.9669051034069 55.1838073872908,11.9690289810009 55.1885455003737,11.972728325398 55.1929554139404,11.9778613620613 55.196867527552,11.9842310129845 55.2001313373352,11.9915924424112 55.2026212446791,11.9996624737677 55.2042414091868,12.0081305147438 55.2049294553707,12.016670564171 55.2046588870319,12.0249538284322 55.2034401138877,12.0326614490411 55.2013200497066,12.039496838159 55.198380297677,12.0451971354692 55.1947339945472,12.0495433370995 55.1905214378638,12.0523687032086 55.1859046681715,12.0535651225084 55.1810612183846)))', 'DKULO', 'Ulse Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.82798350902554 56.382707812017,9.82701368182513 56.3778449003552,9.82435311875886 56.3731803585394,9.8201045954761 56.3688933371785,9.81443172662877 56.3651484311419,9.80755262578344 56.3620893775607,9.79973150715253 56.3598335590833,9.79126855429232 56.3584675195229,9.78248844167608 56.358043660198,9.773727941516 56.3585782405677,9.76532307938265 56.3600507578221,9.75759631744918 56.3624047286007,9.75084424328629 56.3655498437322,9.7453262250653 56.3693654155938,9.74125446109558 56.3737049891163,9.73878580347035 56.3784019433222,9.73801567326023 56.3832758721798,9.73897430969487 56.3881395029598,9.74162551017481 56.3928058884515,9.74586792441864 56.3970955973633,9.75153886782146 56.400843625671,9.75842051995088 56.4039057609064,9.76624827818716 56.4061641512669,9.77472094815525 56.4075318613928,9.78351237603907 56.4079562356368,9.79228406697684 56.4074209361478,9.80069829170091 56.4059465752152,9.80843116266765 56.4035899168835,9.81518516226263 56.40044167948,9.82070062918764 56.3966230259653,9.82476575354758 56.392280880562,9.82722469407059 56.3875822557929,9.82798350902554 56.382707812017)))', 'DKULS', 'Ulstrup', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2924317778108 55.0499743267501,12.291925723256 55.0450909438751,12.289770506253 55.0403580565361,12.286049479393 55.0359574687922,12.2809060194032 55.0320581622364,12.2745379596627 55.0288098220124,12.267189961434 55.0263371092965,12.2591441208862 55.0247348965811,12.2507091714327 55.0240646449338,12.2422086897596 55.0243520589435,12.2339687480919 55.0255861069233,12.2263054740151 55.0277194428105,12.2195129822039 55.0306702138582,12.2138521296592 55.0343251864315,12.2095405177868 55.0385440727743,12.2067441214448 55.0431648962217,12.20557086791 55.0480101926159,12.2060664189444 55.0528938131495,12.208212328703 55.0576280698059,12.2119266615369 55.0620309500606,12.2170670598243 55.0659331233068,12.2234361563044 55.0691844679735,12.230789131883 55.0716598654853,12.2388431326359 55.0732640346134,12.247288182832 55.0739352164436,12.2557991680365 55.073647564775,12.2640484169547 55.0724121474759,12.2717183850552 55.0702765190758,12.2785139385594 55.0673228813364,12.2841737543534 55.0636649043208,12.2884803888699 55.059443333184,12.2912686250091 55.0548205533261,12.2924317778108 55.0499743267501)))', 'DKULV', 'Ulvshale', 'Y'),('SRID=4326;MULTIPOLYGON(((10.072536025179 55.1066245072129,10.0715692022885 55.1017625159133,10.0689671134917 55.0971020460511,10.064830243135 55.0928220951463,10.0593178838631 55.0890869925252,10.0526419673554 55.0860401065867,10.0450589056685 55.0837983610099,10.0368597588242 55.0824477667301,10.0283591032112 55.0820401375525,10.0198830204216 55.0825911124495,10.0117566563072 55.0840795585062,10.0042918146957 55.0864483768635,9.99777504907227 55.0896066816204,9.99245669861575 55.0934332702891,9.98854128260643 55.0977812557991,9.98617962004963 55.1024836859485,9.98546298045519 55.1073599381989,9.98641949859907 55.112222647277,9.98901300283429 55.1168849014481,9.99314431573541 55.1211674315477,9.99865499073085 55.1249055155908,10.0053333525596 55.1279553312844,10.0129226168893 55.1301995089203,10.0211307794025 55.1315516673039,10.0296418911559 55.131959754509,10.0381282787022 55.1314080618324,10.0462632273818 55.1299178314647,10.0537336264438 55.1275464339107,10.0602520763329 55.124385147731,10.0655679814583 55.1205556293082,10.0694771948213 55.1162052117412,10.0718298417141 55.11150121749,10.072536025179 55.1066245072129)))', 'DKUNB', 'Ungersbjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9603698877822 54.9989516139472,11.9591783189866 54.9941081116654,11.9563665937581 54.9894912626432,11.952043224799 54.9852783775591,11.9463746348069 54.9816312021518,11.9395787188356 54.9786897247244,11.9319164626189 54.9765668224111,11.9236819401352 54.9753439480115,11.9151910706468 54.975068019411,11.906769558445 54.9757496281587,11.8987404665891 54.9773626342936,11.8914118884933 54.9798451627096,11.8850651779965 54.9831019640064,11.8799441796244 54.9870080516692,11.8762458664366 54.991413479315,11.8741127438827 54.9961490783477,11.8736273155568 55.001032939281,11.8748088322627 55.0058773906653,11.8776124615053 55.010496209223,11.8819309231225 55.0147117844321,11.8875985415162 55.0183619610069,11.8943975695522 55.0213062937442,11.9020665477148 55.0234314708141,11.9103103786711 55.0246556931058,11.9188117260266 55.024931837529,11.9272432903276 55.0242492796775,11.9352804781715 55.0226343040048,11.9426139636031 55.0201490854621,11.9489616456872 55.0168892829974,11.9540795319854 55.012980340026,11.9577711232249 55.0085726376256,11.9598949373125 55.0038356907027,11.9603698877822 54.9989516139472)))', 'DKUNX', 'Masnedsund Godningshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3273391766767 54.9501777912125,11.3262252824392 54.9453274208611,11.3234893942633 54.940695280819,11.31923711754 54.9364592731795,11.3136321538921 54.9327820347553,11.3068899664352 54.929804709962,11.2992694895558 54.9276415525351,11.2910632032714 54.9263755596136,11.282585949768 54.9260553022146,11.2741629133187 54.9266930708731,11.2661172135169 54.9282644058677,11.2587575749989 54.9307090296994,11.2523665343191 54.9339331471242,11.2471896264157 54.9378130268302,11.2434259594961 54.9421997305723,11.2412205388802 54.9469248119378,11.2406586384594 54.9518067695171,11.241762444534 54.9566580095567,11.244490113002 54.9612920524169,11.2487372898483 54.9655307063184,11.2543410498609 54.9692109315793,11.2610861131694 54.9721911290654,11.268713107567 54.9743566076994,11.2769285608036 54.9756240169591,11.2854162351067 54.9759445702025,11.2938493597286 54.9753059318546,11.3019032792408 54.9737326940396,11.3092680176301 54.9712854239441,11.3156602619343 54.968058319682,11.3208342939766 54.9641755672845,11.3245914433754 54.9597865423374,11.3267876970448 54.9550600446356,11.3273391766767 54.9501777912125)))', 'DKURN', 'Urne', 'Y'),('SRID=4326;MULTIPOLYGON(((11.821298770568 54.9280020304156,11.8201262844231 54.9231569055942,11.8173356316503 54.9185365594794,11.8130345150031 54.9143184382059,11.8073885034098 54.9106644896093,11.8006146269332 54.9077149628309,11.7929730279276 54.9055830444779,11.7847569904677 54.9043505335433,11.7762817271469 54.9040647175665,11.7678723454162 54.904736567108,11.7598514438217 54.9063403161552,11.7525268011896 54.9088144442822,11.7461796187624 54.9120640240334,11.7410537565287 54.9159643458631,11.7373463708826 54.9203656848218,11.7352003119767 54.9250990297243,11.7346985768301 54.9299825583807,11.735861039997 54.9348286130661,11.7386435995323 54.9394509099834,11.7429397848041 54.9436717060065,11.7485847776425 54.9473286460938,11.7553617030832 54.9502810256767,11.763009954597 54.9524152238342,11.7712352353254 54.9536490944931,11.7797209254701 54.9539351431081,11.788140330188 54.9532623637014,11.7961693250223 54.9516566638496,11.8034988990238 54.9491798609711,11.8098471001951 54.9459272897288,11.8149699134552 54.9420241150958,11.8186706465908 54.9376204963348,11.8208074622343 54.9328857917098,11.821298770568 54.9280020304156)))', 'DKVAA', 'Vålse', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4110796683377 55.6339386174028,12.4105536943612 55.6290559252701,12.4083544486554 55.6243250796825,12.4045669941421 55.6199278036143,12.3993372723127 55.6160329478747,12.3928664353682 55.6127900226853,12.3854030893375 55.6103234774743,12.377233750258 55.6087279448515,12.3686718786204 55.6080646275213,12.3600459066091 55.6083589634073,12.3516867071197 55.6095996561304,12.3439149724101 55.6117391068823,12.3370289731955 55.6146952314335,12.331293156003 55.6183545942931,12.3269280079067 55.6225767426446,12.3241015739577 55.6271995773452,12.3229229546524 55.6320455586101,12.3234380400459 55.6369285115075,12.3256276555276 55.6416607723719,12.3294082042886 55.6460604027662,12.3346347961764 55.6499581934569,12.3411067554973 55.653204187403,12.3485753053533 55.6556734679858,12.3567531374731 55.6572709861595,12.3653254983772 55.6579352369371,12.3739623589833 55.6576406402858,12.3823311887033 55.656398532284,12.3901098291625 55.6542567272037,12.3969989583085 55.6512976677001,12.402733653113 55.6476352360844,12.4070935973776 55.643410352363,12.4099115382887 55.6387855321138,12.4110796683377 55.6339386174028)))', 'DKVAE', 'Vallensbaek', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5271398511781 55.6838974598758,12.5265989179055 55.679015162761,12.5243829827893 55.6742862785099,12.5205777505925 55.6698924538078,12.5153298452101 55.666002406034,12.5088411157057 55.6627654600878,12.5013608529421 55.6603058353884,12.4931762198656 55.6587178987245,12.4846012615743 55.6580625613616,12.4759649105682 55.6583649552958,12.4675984369335 55.6596134753763,12.4598228119832 55.6617602229083,12.4529364567021 55.6647228340475,12.4472038332109 55.6683876245836,12.4428453086124 55.6726139333499,12.4400286766137 55.677239501194,12.4388626641678 55.6820866828296,12.4393926794648 55.6869692564576,12.4415989758269 55.6916995720917,12.4453973159027 55.696095765132,12.4506421250607 55.6999887576418,12.4571320256116 55.7032287764125,12.4646175484139 55.7056911342153,12.4728107297296 55.7072810481708,12.481396223068 55.7079373059882,12.4900434920615 55.7076346355404,12.4984196044567 55.7063846840749,12.5062021215253 55.7042355682023,12.5130915730205 55.7012700123259,12.5188230254535 55.6976021489658,12.5231762900068 55.693373107098,12.525984373769 55.6887455619647,12.5271398511781 55.6838974598758)))', 'DKVAN', 'Vanløse', 'Y'),('SRID=4326;MULTIPOLYGON(((8.598748470491 57.0161549582649,8.5979219595397 57.0112835693451,8.59536976664169 57.0065937084146,8.59119054167619 57.0022655043713,8.58554527540257 56.9984651361913,8.57865105425197 56.9953384698329,8.57077269643322 56.9930054800731,8.56221259394884 56.9915556674839,8.55329914797655 56.9910446424963,8.54437423349877 56.9914920042671,8.53578016203681 56.9928805934488,8.52784662824354 56.9951571466815,8.52087812663317 56.9982343283974,8.51514230887346 57.0019940641379,8.51085972011521 57.0062920507559,8.50819530539172 57.0109632743208,8.50725201518208 57.0158283278666,8.50806676426217 57.020700289794,8.51060891198516 57.0253919010623,8.51478133775739 57.029722766301,8.52042408593615 57.0335263013917,8.52732045345019 57.0366561582428,8.53520529532922 57.0389918763535,8.54377523243257 57.0404435397847,8.55270036634983 57.0409552563308,8.56163704271211 57.0405073215515,8.57024115935491 57.0391169820295,8.5781814923364 57.0368377675989,8.58515251202867 57.0337574189713,8.59088618341164 57.029994492739,8.59516228810379 57.0256937777725,8.59781686821336 57.0210207033681,8.598748470491 57.0161549582649)))', 'DKVAO', 'Vandet Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.99898627715666 55.5146491665579,9.99801788684088 55.5097869180384,9.99539700071884 55.5051252576652,9.99122483903481 55.5008432276192,9.9856620601736 55.4971052351786,9.97892253747097 55.4940547572853,9.97126512532946 55.4918088529643,9.96298373325706 55.490453690506,9.95439608594578 55.4900412574074,9.94583159299407 55.4905873762766,9.93761878235099 55.4920711008692,9.93007276640566 55.4944355148494,9.92348320857709 55.4975899035151,9.91810324129037 55.5014132173789,9.91413975367139 55.5057586979119,9.91174541980946 55.5104594916465,9.91101277707973 55.5153350408005,9.91197059031145 55.5201980081055,9.91458265359601 55.5248614718521,9.91874908988533 55.5291461153125,9.9243101124352 55.5328871333404,9.93105211529476 55.5359405883757,9.93871586648238 55.5381889681504,9.9470064914286 55.5395457275082,9.95560485981894 55.5399586358382,9.9641799298654 55.5394117981825,9.97240156334981 55.5379262702144,9.97995330468461 55.5355592428177,9.98654461881327 55.532401828564,9.99192210593239 55.5285755375592,9.9958792545014 55.5242275815747,9.99826435549474 55.5195251909426,9.99898627715666 55.5146491665579)))', 'DKVAR', 'Varbjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((9.60869805791769 56.9757860525174,9.60774070147016 56.970921874269,9.60506468447916 56.9662531156499,9.60077340024752 56.9619590883289,9.59503212466926 56.9582046538391,9.58806160957979 56.9551339117235,9.5801295816764 56.9528646894356,9.57154047631996 56.9514840415589,9.56262379729427 56.9510449271751,9.55372154087408 56.9515641896158,9.54517515434464 56.9530219139749,9.53731251482162 56.9553621863485,9.53043541355977 56.9584952265445,9.52480801392041 56.9623008147256,9.52064671808783 56.9666328838688,9.51811182911125 56.9713251057254,9.5173013319263 56.9761972597659,9.51824704118433 56.9810621438523,9.52091327705263 56.985732763377,9.52519813531458 56.9900295233656,9.53093731837307 56.9937871462617,9.53791039296271 56.9968610471167,9.54584924272833 56.9991329175871,9.55444839374342 57.0005152999274,9.56337681286244 57.0009549709989,9.57229071648499 57.000435002719,9.58084688414204 56.9989754174519,9.58871594962886 56.9966324124082,9.59559514339723 56.993496183805,9.60121998352355 56.9896874368857,9.60537445748898 56.9853527195623,9.60789930081281 56.9806587632446,9.60869805791769 56.9757860525174)))', 'DKVAT', 'Valsted', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1768371056639 55.3825859309424,10.1758503443465 55.37772507793,10.1732175294292 55.3730671868823,10.1690403331712 55.3687911545624,10.1634796014561 55.3650611577983,10.1567491243043 55.3620203669003,10.1491074058942 55.3597854697656,10.1408477524544 55.3584422131508,10.1322870555511 55.3580421285888,10.123753693481 55.3586005655775,10.1155750036815 55.3600961055797,10.1080647936868 55.3624713787687,10.1015113568926 55.3656352530943,10.0961664422732 55.3694663139073,10.0922355945329 55.3738175038322,10.089870233631 55.3785217485264,10.0891617812666 55.3833983560155,10.0901380682622 55.3882599469182,10.0927621729306 55.3929196513294,10.096933749068 55.3971982964185,10.1024928064046 55.4009313075875,10.1092258098312 55.4039750556104,10.1168738705692 55.4062124023943,10.1251427168291 55.4075572282454,10.1337140575198 55.4079577627283,10.1422578939222 55.4073985878484,10.1504452939743 55.4059012344805,10.1579611240843 55.4035233485202,10.164516235246 55.4003564597889,10.1698586235801 55.396522441852,10.1737831289887 55.39216880228,10.1761392970758 55.3874629883517,10.1768371056639 55.3825859309424)))', 'DKVBG', 'Vissenbjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0609737215039 55.551063312922,12.0604920163875 55.5461795942486,12.058339388418 55.5414429707286,12.0545991098517 55.5370353899238,12.049415313186 55.5331261007068,12.0429873922145 55.5298651692297,12.0355623117339 55.527377737162,12.0274251255805 55.5257592390247,12.0188880660028 55.5250717584003,12.0102786169843 55.5253416594613,12.0019270188941 55.5265585822076,11.9941536710745 55.5286758387552,11.987256902313 55.5316121957252,11.9815015665581 55.5352549760181,11.9771088929746 55.5394643637984,11.9742479760695 55.5440787510578,11.9730292340961 55.5489209243118,11.9735000936558 55.5538048573018,11.9756430772409 55.5585428513406,11.9793763808637 55.5629527502176,11.9845569338993 55.5668649521553,11.9909858363695 55.5701289475667,11.9984159740559 55.5726191283257,12.0065615232099 55.5742396414477,12.0151089783914 55.5749280965866,12.0237292729783 55.5746579812085,12.0320905154596 55.5734396879416,12.0398708382204 55.5713201133194,12.046770850602 55.5683808436274,12.0525252048465 55.5647349994008,12.0569128212175 55.5605228629311,12.0597653751244 55.5559064606892,12.0609737215039 55.551063312922)))', 'DKVBI', 'Viby/Sjælland', 'Y'),('SRID=4326;MULTIPOLYGON(((10.028886533036 57.1326320065225,10.0278699475693 57.1277714217607,10.0251297657494 57.1231120367108,10.0207718464863 57.1188327995438,10.0149640215224 57.1150980007567,10.0079295913122 57.1120509836668,9.99993872734684 57.1098086636215,9.99129811374 57.1084570623237,9.98233922243345 57.1080480247477,9.97340566333967 57.1085972413799,9.9648400821479 57.1100836495808,9.95697109377953 57.1124502364168,9.95010073832016 57.1156062131074,9.94449292869182 57.1194304800238,9.94036332566074 57.1237762527068,9.93787102663953 57.1284766753396,9.93711239117107 57.1333512101101,9.93811724949723 57.1382125603991,9.94084765330416 57.1428738640047,9.94519923229452 57.1471558806738,9.95100511997649 57.1508938967557,9.95804231083207 57.1539440791295,9.96604021308977 57.1561890305617,9.97469107112062 57.157542328744,9.98366185336081 57.1579518703664,9.99260713960806 57.1574018882058,10.0011824988175 57.1559135614467,10.0090578274522 57.1535441951063,10.0159301201798 57.15038500112,10.0215351691498 57.1465575689209,10.025657733884 57.1422091648536,10.0281397884876 57.1375070453386,10.028886533036 57.1326320065225)))', 'DKVBJ', 'Vestbjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6083395733626 55.8578700756455,12.6077866680829 55.8529881511444,12.6055515556224 55.848260678873,12.6017206828636 55.8438692501567,12.5964416619222 55.8399824890141,12.5899175377743 55.8367495927669,12.5823989589075 55.834294624136,12.574174555825 55.8327117702753,12.5655598954634 55.8320617468893,12.556885428946 55.8323694820365,12.548483884486 55.8336231660477,12.5406775759971 55.8357747028757,12.5337661007265 55.8387415459079,12.528014885955 55.8424098495787,12.523645015784 55.8466388187866,12.5208247248187 55.8512660928485,12.5196628871257 55.8561139611454,12.5202047575829 55.8609961752177,12.5224301405827 55.8657250981563,12.5262540704637 55.8701189177856,12.5315299921009 55.8740086460924,12.5380553323614 55.8772446340315,12.5455792576181 55.8797023481998,12.5538123234299 55.8812871834598,12.5624376440374 55.8819381224565,12.5711231453894 55.8816300977376,12.5795344193166 55.8803749630571,12.5873476706805 55.8782210353139,12.5942622452448 55.8752512251163,12.6000122438917 55.8715798297541,12.6043767676663 55.8673481150108,12.6071883959051 55.8627188595519,12.6083395733626 55.8578700756455)))', 'DKVBK', 'Vedbæk', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9603698877822 54.9989516139472,11.9591783189866 54.9941081116654,11.9563665937581 54.9894912626432,11.952043224799 54.9852783775591,11.9463746348069 54.9816312021518,11.9395787188356 54.9786897247244,11.9319164626189 54.9765668224111,11.9236819401352 54.9753439480115,11.9151910706468 54.975068019411,11.906769558445 54.9757496281587,11.8987404665891 54.9773626342936,11.8914118884933 54.9798451627096,11.8850651779965 54.9831019640064,11.8799441796244 54.9870080516692,11.8762458664366 54.991413479315,11.8741127438827 54.9961490783477,11.8736273155568 55.001032939281,11.8748088322627 55.0058773906653,11.8776124615053 55.010496209223,11.8819309231225 55.0147117844321,11.8875985415162 55.0183619610069,11.8943975695522 55.0213062937442,11.9020665477148 55.0234314708141,11.9103103786711 55.0246556931058,11.9188117260266 55.024931837529,11.9272432903276 55.0242492796775,11.9352804781715 55.0226343040048,11.9426139636031 55.0201490854621,11.9489616456872 55.0168892829974,11.9540795319854 55.012980340026,11.9577711232249 55.0085726376256,11.9598949373125 55.0038356907027,11.9603698877822 54.9989516139472)))', 'DKVBN', 'Vordingborg Nordhavnen', 'Y'),('SRID=4326;MULTIPOLYGON(((11.926352881748 54.9819639485152,11.9251659765815 54.977120046962,11.9223593868947 54.9725023401456,11.9180414280096 54.968288171968,11.9123783150626 54.9646393376881,11.9055877332878 54.96169588949,11.8979304643041 54.9595707802754,11.8897003913907 54.9583455475813,11.8812132637099 54.9580671997546,11.8727946424525 54.9587464210801,11.8647674799716 54.9603571630771,11.8574397955636 54.9628376373901,11.8510929083829 54.9660926733452,11.8459706690875 54.9699973521365,11.8422700975508 54.9744017814907,11.8401337850509 54.9791368312471,11.8396443568724 54.9840206131938,11.8408212168322 54.988865459151,11.8436197109973 54.993485130945,11.8479327565147 54.9977019855242,11.8535948862652 55.0013538186499,11.8603885646999 55.004300121591,11.8680525387634 55.0064275068367,11.8762919043894 55.0076540903446,11.884789497683 55.0079326581179,11.8932181641564 55.0072524923873,11.9012534221614 55.0056397854105,11.9085860199309 55.003156624694,11.914933890297 54.9998985898927,11.9200530329232 54.9959910563595,11.9237468993779 54.9915843509765,11.9258739191714 54.9868479504082,11.926352881748 54.9819639485152)))', 'DKVBS', 'Vordingborg Sydhavnen', 'Y'),('SRID=4326;MULTIPOLYGON(((8.52611331591032 55.6241783269863,8.52532453250934 55.6193054269145,8.52287139671185 55.6146132009665,8.51884870402617 55.6102818745531,8.51341139831048 55.606477754763,8.50676856370163 55.603346861107,8.49917536981436 55.6010093400275,8.49092328269872 55.5995548738789,8.48232891511902 55.5990392568471,8.47372193684959 55.5994822660077,8.46543249783085 55.6008669070402,8.45777863354777 55.6031400627169,8.45105412257444 55.6062145199405,8.44551725086563 55.6099722995821,8.44138090636037 55.6142691644432,8.43880438141744 55.6189401360284,8.43788720053885 55.6238058121003,8.43866521822745 55.6286792456572,8.44110914866766 55.6333731233306,8.44512559778225 55.63770696825,8.45056057224107 55.6415140899073,8.45720534282238 55.644648011785,8.46480444517961 55.6469881264213,8.47306551375281 55.6484443566155,8.48167056843127 55.6489606396215,8.49028831242435 55.648517096975,8.49858695680537 55.647130804215,8.50624706465531 55.6448551300301,8.51297390687454 55.6417776709383,8.51850884259962 55.6380168630758,8.52263927862993 55.6337174046602,8.52520682211952 55.6290446690314,8.52611331591032 55.6241783269863)))', 'DKVDA', 'Varde Å', 'Y'),('SRID=4326;MULTIPOLYGON(((9.26119999487222 55.6999139489505,9.26031834280572 55.6950460728047,9.25777261776575 55.6903688330624,9.25366116687594 55.6860618744,9.24814233306619 55.6822905640074,9.2414283181844 55.6791996589766,9.23377701072092 55.6769077695625,9.22548209479285 55.6755028271134,9.21686181749021 55.6750387268852,9.2082468381182 55.6755332714306,9.19996761426073 55.6769674913973,9.19234179531202 55.6792863690895,9.18566209387857 55.6824009378068,9.18018508924713 55.6861916785442,9.1761213852478 55.6905130868888,9.17362749795242 55.6951992385714,9.17279978776878 55.7000701437569,9.17367067711891 55.7049386492473,9.17620731105698 55.7096176256001,9.18031272649623 55.7139271637562,9.18582949935046 55.7177015038215,9.192545741536 55.7207954274643,9.20020322547813 55.7230898648728,9.20850732674782 55.7244964967895,9.21713839986901 55.7249611707517,9.22576414196856 55.7244659968608,9.23405245693243 55.7230300402814,9.24168431132687 55.7207085830933,9.24836607370455 55.7175909847024,9.25384085102108 55.713797225354,9.25789837853728 55.7094732690171,9.26038308049585 55.7047854278691,9.26119999487222 55.6999139489505)))', 'DKVDL', 'Vandel', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((8.24781058547645 56.2352805051359,8.24704506561117 56.2304063849748,8.24458751150699 56.2257090673353,8.24053291251713 56.2213689728469,8.23503745782348 56.2175527433937,8.22831247760019 56.2144068603216,8.22061630017558 56.2120520417371,8.21224434132138 56.2105786301837,8.20351780394778 56.2100431438803,8.19477141450291 56.2104661205662,8.18634065522383 56.2118313344245,8.17854896842059 56.2140864152399,8.17169540988757 56.2171448466637,8.1660432133158 56.2208892689519,8.16180969650958 56.2251759625899,8.15915789389932 56.2298403445084,8.15819023928552 56.2347032697487,8.15894454940613 56.2395778999388,8.16139247478266 56.2442768770699,8.16544049194718 56.2486195278701,8.17093341374197 56.2524388212806,8.17766029560633 56.2555878094962,8.18536251970695 56.25794530168,8.1937437497217 56.2594205482568,8.2024813712893 56.2599567516418,8.21123897049104 56.2595332649259,8.21967935850336 56.2581663915739,8.22747762712762 56.2559087544443,8.23433371854781 56.2528472590621,8.23998401346632 56.2490997316314,8.24421148359095 56.2448103643962,8.24685401504498 56.2401441474565,8.24781058547645 56.2352805051359)))', 'DKVDR', 'Vedersø', 'Y'),('SRID=4326;MULTIPOLYGON(((9.74430990529077 54.8937424131597,9.74338803840969 54.8888775415306,9.74083784298631 54.884209771473,9.73675780678175 54.8799183837815,9.7313050400936 54.8761681497067,9.72468919008628 54.8731030208712,9.71716436907368 54.870840622802,9.7090194091798 54.8694677598166,9.70056681479961 54.8690371001907,9.6921308294864 54.869565165817,9.6840350642882 54.8710317015439,9.67659014951664 54.8733804477848,9.67008187116278 54.8765212875834,9.66476023668603 54.8803336878847,9.66082988301044 54.8846713060776,9.65844219292556 54.8893675886445,9.65768942575869 54.8942421505933,9.65860109568194 54.8991076937346,9.66114274838124 54.9037772000533,9.66521719664693 54.9080711244249,9.67066818089548 54.9118243094129,9.67728632532502 54.9148923541451,9.68481716831884 54.9171571891753,9.69297096096168 54.9185316391805,9.70143385415162 54.918962794275,9.70988003643268 54.9184340571355,9.71798434435873 54.9169657851456,9.72543484706446 54.9146145022225,9.73194490784749 54.9114707115099,9.73726424789201 54.9076553953129,9.74118857958262 54.903315340161,9.74356743692323 54.8986174705764,9.74430990529077 54.8937424131597)))', 'DKVEB', 'Vemmingbund', 'Y'),('SRID=4326;MULTIPOLYGON(((9.99097746360586 55.506652073539,9.99001026757966 55.5017897509034,9.98739086781203 55.4971279075338,9.98322042727894 55.4928455927221,9.97765953820882 55.4891072247651,9.97092200143734 55.4860562950969,9.96326659529037 55.4838098801412,9.95498715250955 55.48245416782,9.94640132323189 55.4820411667388,9.93783844752335 55.4825867212833,9.92962699144457 55.484069906827,9.92208201547894 55.486433827671,9.91549314309446 55.489587787989,9.91011348025284 55.4934107546932,9.90614990413965 55.4977559825585,9.90375509192227 55.5024566278188,9.90302159900299 55.5073321384198,9.90397822254858 55.5121951786242,9.90658880210672 55.5168588239901,9.91075351749756 55.5211437508887,9.91631264809479 55.524885143357,9.92305266077676 55.5279390495067,9.93071440028495 55.5301879397715,9.93900306968174 55.5315452493856,9.94759961416037 55.5319587265696,9.95617306236018 55.5314124544554,9.9643933386523 55.5299274669132,9.97194403975495 55.5275609339802,9.97853467060108 55.5244039491502,9.98391185752156 55.5205780059655,9.98786910026967 55.5162303027932,9.99025468587629 55.5115280602421,9.99097746360586 55.506652073539)))', 'DKVEH', 'Vedelshave', 'Y'),('SRID=4326;MULTIPOLYGON(((9.58121062604774 55.7107987571833,9.580288964193 55.705933302804,9.57770437555433 55.7012628162172,9.57355669707424 55.69696668058,9.56800565815188 55.6932098458069,9.56126469134752 55.6901365121976,9.55359271386196 55.6878646151722,9.5452841980563 55.6864813190691,9.53665790943025 55.6860396892394,9.52804473658263 55.6865566670324,9.5197750687237 55.6880124233368,9.5121661916753 55.6903511148269,9.50551017269039 55.6934830147263,9.50006268785532 55.6972879385107,9.49603321361479 55.7016198363024,9.4935769567246 55.7063123794464,9.49278883573108 55.7111853305359,9.49369975340944 55.7160514554258,9.49627531551196 55.7207237138144,9.50041705930352 55.7250224528043,9.50596615888858 55.7287823261449,9.51270947695589 55.731858670942,9.52038773834855 55.7341330933493,9.52870551403851 55.7355180445615,9.53734262879151 55.7359602072517,9.54596654582658 55.7354425589471,9.55424524022591 55.7339850308387,9.5618600519578 55.7316437359936,9.5685180102686 55.7285087975261,9.57396314382966 55.7247008625549,9.57798633415883 55.7203664393835,9.58043333116977 55.7156722411325,9.58121062604774 55.7107987571833)))', 'DKVEJ', 'Vejle', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8152775268461 54.9080044120735,11.8141064268449 54.903159200111,11.8113179221564 54.8985386785504,11.8070196324956 54.8943203003811,11.801377017916 54.8906660234424,11.7946069779887 54.8877161096236,11.7869695079652 54.885583760515,11.7787577338094 54.8843507917349,11.7702867049853 54.8840645084408,11.7618813669584 54.8847358991233,11.7538641635451 54.8863392153272,11.7465427319423 54.8888129531488,11.7401981502322 54.8920622000003,11.7350741784088 54.895962258999,11.7313678998872 54.9003634151866,11.7292221217114 54.9050966643294,11.7287198294046 54.9099801878938,11.7298809181865 54.9148263283789,11.7326613382582 54.9194487987665,11.736954700714 54.9236698493764,11.7425962956238 54.9273271155149,11.7493693786546 54.9302798802141,11.7570134912718 54.9324145078629,11.7652344962375 54.9336488359554,11.7737159387791 54.9339353523906,11.7821312880346 54.9332630331844,11.7901565760671 54.9316577681513,11.7974829348688 54.9291813578873,11.8038285362378 54.9259291218356,11.8089494649485 54.9220262119576,11.812649100874 54.917622777232,11.814785648246 54.9128881687787,11.8152775268461 54.9080044120735)))', 'DKVEK', 'Vester Kippinge', 'Y'),('SRID=4326;MULTIPOLYGON(((8.35760040078504 56.0532402053232,8.35682443851087 56.0483666003238,8.35436491969354 56.0436713241072,8.35031690155976 56.0393347188172,8.34483631406376 56.0355232927824,8.33813391197277 56.0323833437741,8.33046715475683 56.0300353632056,8.32213032944635 56.0285694323142,8.31344329341969 56.028041783218,8.30473926180702 56.0284726535467,8.29635209680418 56.0298455147354,8.28860357303875 56.0321077027257,8.28179109391284 56.0351724275167,8.27617631855267 56.0389220864993,8.27197512791112 56.0432127575676,8.26934931230873 56.0478797033251,8.26840030226341 56.0527436789052,8.26916519131217 56.0576178044973,8.27161521566711 56.0623147408793,8.27565676354619 56.0666538931627,8.28113489003372 56.0704683652628,8.28783921503121 56.0736113956726,8.2955119863261 56.0759620238633,8.30385800130015 56.0774297655205,8.31255600353109 56.0779581128531,8.32127110838108 56.0775267219308,8.32966776785168 56.0761522005745,8.33742276186751 56.0738874655885,8.34423770199041 56.0708196947311,8.34985055443217 56.0670669543479,8.3540457309894 56.0627736356596,8.35666235693253 56.0581048791386,8.35760040078504 56.0532402053232)))', 'DKVEL', 'Velling', 'Y'),('SRID=4326;MULTIPOLYGON(((10.706384758933 54.97739896149,10.7053447932689 54.9725425056376,10.7026782117714 54.9678960198688,10.6984879652882 54.9636379610588,10.692935383606 54.9599318155429,10.6862339300399 54.956919839034,10.6786409860566 54.9547176155708,10.6704479834219 54.9534096406843,10.661969259532 54.9530460947294,10.6535300558696 54.9536409272879,10.6454541089315 54.9551713243227,10.63805129691 54.9575785780704,10.6316058035755 54.9607703272807,10.6263652432478 54.9646240841079,10.622531157777 54.968991915526,10.6202512487624 54.9737061032626,10.6196136468976 54.9785855685503,10.6206434469037 54.9834428179285,10.6233016530678 54.98809114516,10.6274865896104 54.9923518130239,10.6330377351363 54.9960609379805,10.6397418449743 54.9990758107243,10.6473411332667 55.0012804062907,10.6555432023847 55.0025898680172,10.6640323346411 55.0029537891905,10.6724817039715 55.002358163105,10.6805660262461 55.0008259246055,10.6879741482027 54.9984160618019,10.6944210776828 54.9952213331502,10.6996589817288 54.9913646800892,10.7034867228874 54.9869944765701,10.7057575654241 54.9822788019954,10.706384758933 54.97739896149)))', 'DKVEM', 'Vemmenæs', 'Y'),('SRID=4326;MULTIPOLYGON(((8.66918523408811 56.5501284448178,8.66835958155502 56.5452571580272,8.66582984375677 56.5405684087485,8.66169378981842 56.5362422844856,8.65611073867744 56.5324448866677,8.64929538005812 56.5293219701713,8.64150950355673 56.5269933689588,8.63305195673027 56.5255484179664,8.62424721523359 56.5250425430767,8.61543299593049 56.5254951467311,8.60694737648862 56.5268888680782,8.59911590162736 56.5291702452174,8.59223915662253 56.5322517548336,8.58658127287745 56.5360151530868,8.58235979863342 56.5403159927897,8.57973732082656 56.5449891473475,8.57881516270696 56.5498551332955,8.5796294075917 56.5547269919916,8.58214941404156 56.5594174684163,8.5862788944399 56.563746212124,8.59185953061217 56.5675467228993,8.59867700049382 56.5706727719462,8.60646919307076 56.5730040483999,8.61493629922194 56.5744508100423,8.62375238797089 56.5749573553353,8.63257801493489 56.5745041797745,8.6410733657306 56.5731087312791,8.64891141412704 56.5708247346927,8.65579057408831 56.5677401121182,8.66144634655851 56.5639735813153,8.66566150472153 56.5596700663736,8.66827442320852 56.5549951011682,8.66918523408811 56.5501284448178)))', 'DKVEN', 'Venø Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3920157232592 57.2414986068518,10.3909482543819 57.2366413225593,10.3881542057162 57.2319902357551,10.3837415049677 57.2277239729929,10.3778800840883 57.2240063240494,10.3707952952123 57.2209799719825,10.3627592353507 57.218761037896,10.3540803154594 57.217434645802,10.3450914708019 57.2170516738789,10.3361374561867 57.2176268135649,10.3275617007154 57.2191380089115,10.3196932115391 57.2215272971477,10.3128340145311 57.2247030192161,10.3072476017534 57.2285433178917,10.3031488214325 57.2329007927311,10.30069559651 57.2376081371989,10.2999827937362 57.2424845455042,10.3010384882645 57.2473426463871,10.30382278089 57.2519956996123,10.3082292291747 57.2562647792571,10.3140888530493 57.2599856667003,10.32117657396 57.2630151858521,10.3292198485231 57.2652367334483,10.3379091674107 57.2665647875933,10.3469100122049 57.2669482170758,10.3558758011821 57.2663722607982,10.364461312698 57.2648590990279,10.3723360543314 57.2624669939068,10.3791970483303 57.2592880333379,10.3847805290602 57.2554445675786,10.3888720946752 57.2510844792321,10.3913149206082 57.2463754727157,10.3920157232592 57.2414986068518)))', 'DKVEO', 'Voer', 'Y'),('SRID=4326;MULTIPOLYGON(((10.9690657958051 57.2922869418327,10.9679208556909 57.287435202245,10.9650504238905 57.2827975768216,10.9605653567794 57.2785521710192,10.9546383562912 57.2748619705142,10.9474972810832 57.2718686025539,10.9394163769833 57.2696869214427,10.9307057656418 57.2684006219705,10.9216995910694 57.2680590452312,10.9127432698088 57.2686752962307,10.9041803208953 57.2702257435437,10.8963392659627 57.2726509197532,10.8895210875702 57.2758577892339,10.8839877151007 57.279723298779,10.8799519727189 57.2840990783567,10.8775693735415 57.2888171156108,10.8769320794069 57.2936961901818,10.8780652680131 57.298548823979,10.8809260608427 57.3031884824447,10.8854050689652 57.3074367506109,10.8913305128748 57.3111302070323,10.8984747708923 57.3141267287784,10.9065631126385 57.316310981409,10.9152842841499 57.3175988786431,10.9243025337239 57.3179408361417,10.9332706065052 57.3173236909314,10.9418431943934 57.3157712105733,10.9496903083073 57.3133431719979,10.9565100432641 57.3101330465999,10.9620402329115 57.3062643832704,10.9660685376431 57.3018860321759,10.9684405766579 57.2971663971622,10.9690657958051 57.2922869418327)))', 'DKVES', 'Vesterø Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((8.36343865905876 56.7632401884397,8.36264804120754 56.7583671433872,8.36014224414203 56.7536724136156,8.35601812852815 56.7493363176093,8.35043456562943 56.7455253401154,8.34360627379846 56.7423857569182,8.33579554510345 56.7400380406055,8.32730218328252 56.7385722581986,8.31845203696743 56.7380446333705,8.30958456054548 56.7384754018171,8.3010398680993 56.7398480397763,8.29314576294754 56.742109894411,8.28620522610418 56.7451741925271,8.28048483146948 56.7489233526565,8.27620452404372 56.7532134766361,8.27352915051742 56.7578798521677,8.27256207023295 56.7627432590544,8.27334110018938 56.7676168403572,8.27583696248136 56.7723132768916,8.2799543089209 56.7766519903345,8.28553529879092 56.7804660974585,8.29236560546184 56.7836088460218,8.30018263012713 56.7859592815378,8.30868561054554 56.7874269230108,8.31754723374003 56.7879552637414,8.32642629806972 56.7875239590437,8.33498092529528 56.7861496143193,8.34288179961668 56.7838851422456,8.34982490947626 56.7808177144983,8.35554328925805 56.7770653890037,8.35981730070769 56.7727725458231,8.3624830556412 56.7681043112277,8.36343865905876 56.7632401884397)))', 'DKVEV', 'Vestervig', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4293263002464 54.9411415344292,11.4282004343391 54.9362922132389,11.4254535339438 54.9316624744263,11.421191626037 54.9274301272583,11.415578780309 54.9237576675646,11.4088307605916 54.9207860560864,11.4012067234124 54.9186293272567,11.3929992841204 54.9173702316718,11.3845233284477 54.9170570759643,11.3761039908708 54.9177018784997,11.3680642497453 54.9192799099488,11.3607126023185 54.9217306360208,11.3543312801006 54.9249600272807,11.3491654467422 54.9288441497786,11.3454137868559 54.9332339019662,11.3432208458351 54.9379607197768,11.3426714187585 54.9428430343939,11.3437872125108 54.9476932375971,11.3465259214046 54.95232488889,11.3507827655443 54.9565598878483,11.3563944461538 54.9602353349319,11.3631453767823 54.9632098145964,11.3707759577445 54.9653688557534,11.3789925774601 54.9666293557751,11.3874789525596 54.9669427942159,11.395908362301 54.9662971096664,11.4039562949307 54.9647171657348,11.4113130061187 54.9622637878706,11.4176954934443 54.9590314092203,11.4228584158821 54.9551444185373,11.4266035319829 54.9507523540246,11.4287872925859 54.946024131779,11.4293263002464 54.9411415344292)))', 'DKVEY', 'Vesterby', 'Y'),('SRID=4326;MULTIPOLYGON(((9.2908420117701 56.2589027670779,9.28994357545804 56.254035565546,9.28735706301733 56.2493594095923,9.28318240724493 56.245053899959,9.27758039177012 56.2412843449059,9.27076641859125 56.2381954303575,9.26300221229346 56.235905686463,9.25458578241793 56.2345029591533,9.24584002659453 56.234041056688,9.23710040397755 56.2345376966708,9.22870214022523 56.2359738301869,9.22096744111918 56.2382943682754,9.21419319163818 56.2414102836629,9.20863960088467 56.2452020093002,9.20452022101204 56.2495240065426,9.20199372084533 56.2542103314667,9.20115773325445 56.2590809894629,9.20204502102312 56.2639488373341,9.20462212100019 56.2686267699513,9.20879053334989 56.2729349160919,9.21439042494859 56.2767075661122,9.22120671714145 56.2797995629074,9.22897733229703 56.2820919070838,9.2374032851847 56.2834963568405,9.2461602283812 56.2839588416908,9.25491099955347 56.2834615553677,9.26331867577422 56.2820236451859,9.2710596182978 56.2797004705878,9.27783599164284 56.2765814602322,9.28338726337045 56.2727866523491,9.28750023438051 56.2684620548271,9.29001721154025 56.2637740074582,9.2908420117701 56.2589027670779)))', 'DKVIB', 'Viborg', 'Y'),('SRID=4326;MULTIPOLYGON(((10.657457147081 55.0434159608478,10.6564212169509 55.0385591097876,10.6537557343907 55.0339115917299,10.6495636105993 55.0296519032557,10.6440062496461 55.0259435931493,10.6372972998818 55.0229289999424,10.6296944312428 55.0207238077357,10.6214894562542 55.0194126255953,10.6129971708266 55.0190457566052,10.6045433353305 55.0196372776335,10.5964522459295 55.0211645016575,10.5890343601518 55.023568842814,10.582574438901 55.0267580519584,10.5773206495745 55.030609739222,10.5734750420001 55.0349760516069,10.5711857611957 55.0396893297691,10.5705412995803 55.0445685304207,10.5715670177671 55.0494261706891,10.5742240795391 55.0540755295622,10.5784108556855 55.0583378302118,10.5839667562686 55.0620491261741,10.590678355268 55.065066624348,10.5982875794275 55.0672741983777,10.6065016486523 55.0685868765857,10.6150043825156 55.0689541281248,10.623468429965 55.0683618178872,10.6315679401573 55.0668327530457,10.6389911735745 55.0644257997118,10.6454525551847 55.0612336047109,10.6507036952662 55.0573790124814,10.6545429473169 55.0530103182756,10.6568231338905 55.0482955440478,10.657457147081 55.0434159608478)))', 'DKVIN', 'Vindeby', 'Y'),('SRID=4326;MULTIPOLYGON(((8.68558874945462 56.8851230210363,8.68475375742744 56.8802520960785,8.68219954685437 56.8755639065743,8.67802483919151 56.8712385171352,8.67239044662895 56.8674419989581,8.66551303449876 56.8643200708116,8.65765677405166 56.8619925264133,8.64912320948462 56.8605486582073,8.64023972569143 56.8600438492551,8.63134705140751 56.8604974606765,8.62278626520731 56.8618920934408,8.61488578856427 56.8641742519942,8.60794885060463 56.8672563849792,8.60224189327105 56.8710202269019,8.5979843536463 56.8753213157903,8.5953402127774 56.8799945173598,8.59441163848858 56.8848603475579,8.59523497484539 56.8897318540932,8.59777924515467 56.8944217949349,8.60194724127415 56.8987498388467,8.60757917278647 56.9025495105129,8.61445874903493 56.9056746110749,8.62232146930425 56.9080048638434,8.63086480594932 56.9094505640491,8.63975988636494 56.9099560497245,8.64866421633227 56.9095018567246,8.65723494280193 56.9081054726204,8.6651421309833 56.9058206595919,8.67208152998038 56.9027353731167,8.67778632318264 56.8989683587796,8.68203740297951 56.8946645615233,8.68467177177543 56.8899895279565,8.68558874945462 56.8851230210363)))', 'DKVIQ', 'Vilsund Øst', 'Y'),('SRID=4326;MULTIPOLYGON(((9.3465308379638 55.0958839540978,9.34565239229459 55.0910162052074,9.34313544686873 55.0863402340047,9.33907722265628 55.0820356381038,9.33363400290178 55.0782676968285,9.32701507754073 55.0751810415303,9.31947468374605 55.0728941231141,9.31130225477974 55.0714946854901,9.30281134894738 55.0710364150454,9.29432767624546 55.0715368916541,9.28617667123048 55.0729769178269,9.27867107609048 55.0753012510654,9.27209899756535 55.0784207120935,9.26671288524564 55.0822155901702,9.26271984719006 55.0865402179196,9.2602736723853 55.0912285437487,9.25946886936924 55.096100491579,9.26033695785262 55.100968866775,9.26284516743389 55.1056465450645,9.26689760709522 55.1099536689455,9.27233887423856 55.1137245742324,9.27895997619802 55.1168141783302,9.28650634443556 55.1191035814055,9.29468763613531 55.1205046612811,9.30318894371988 55.1209634815514,9.31168297361801 55.1204623786362,9.31984271448171 55.1190206453745,9.32735409416827 55.1166937841539,9.33392812529401 55.1135713591133,9.33931206100494 55.1097735322381,9.34329912461353 55.1054464198315,9.34573643668939 55.1007564517529,9.3465308379638 55.0958839540978)))', 'DKVIS', 'Vilstrup Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((8.67158503370042 56.8821281248907,8.67075192845731 56.8772571061922,8.66819967403311 56.8725686304822,8.66402691678376 56.8682427734722,8.65839439414849 56.8644456244054,8.65151869989945 56.861322926338,8.64366393962278 56.858994502576,8.63513160021602 56.857549679316,8.62624901978742 56.8570438762452,8.6173568925537 56.8574964925864,8.60879627613405 56.8588901674399,8.60089558540522 56.8611714419627,8.59395805751961 56.8642527986922,8.58825015679101 56.8680160019224,8.58399135620384 56.8723166142248,8.58134568491124 56.8769895196705,8.58041536925275 56.8818552456631,8.58123682001526 56.8867268440164,8.58377913289918 56.8914170692804,8.58794517505673 56.8957455793905,8.59357523136164 56.8995458811933,8.60045308352095 56.9026717516577,8.60831429742908 56.9050028845086,8.61685640368284 56.9064495411147,8.62575057725895 56.906956022678,8.63465435898633 56.9065028266811,8.64322491695193 56.9051074022711,8.65113232276752 56.9028234746458,8.65807231697071 56.8997389651792,8.66377805977599 56.895972589553,8.66803040672603 56.8916692681641,8.67066631117667 56.8869945293747,8.67158503370042 56.8821281248907)))', 'DKVIV', 'Vilsund Vest', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7605155501118 55.0993787670704,10.7594655591334 55.0945229372615,10.7567843191003 55.0898778302315,10.7525753470947 55.0856218490927,10.7470006938073 55.08191839947,10.7402746702279 55.0789096326515,10.7326555997742 55.0767110086751,10.7244359145857 55.0754068843589,10.7159309729659 55.0750472920228,10.7074670192866 55.0756460295889,10.6993687370802 55.0771801335218,10.6919468599477 55.0795907543805,10.6854863030129 55.0827854023841,10.6802352599878 55.0866414791115,10.676395677813 55.0910109630405,10.6741154729686 55.0957260727831,10.6734827920095 55.1006056942019,10.6745225452056 55.1054623275627,10.6771953584608 55.1101092897322,10.6813989975924 55.1143678951703,10.6869722237929 55.1180743387268,10.6937009433358 55.1210860133145,10.7013264223696 55.1232870162138,10.7095552531072 55.1245926284365,10.718070684917 55.1249525911422,10.7265448763884 55.1243530500231,10.734651585376 55.1228170909486,10.7420787953769 55.1204038457886,10.7485407793878 55.1172062038506,10.7537891264394 55.113347219355,10.757622300031 55.1089753565053,10.7598933593318 55.1042587588582,10.7605155501118 55.0993787670704)))', 'DKVJT', 'Vejstrup', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1766650232365 55.268018319846,12.176171303154 55.2631347430358,12.1740189831836 55.2583999814388,12.1702913129756 55.2539959112037,12.1651319316558 55.2500916471916,12.158739289181 55.2468370639566,12.1513589931598 55.2443570611163,12.1432743792614 55.2427467896974,12.1347956661779 55.2420680189361,12.1262481052983 55.2423467796127,12.1179595696951 55.2435723719006,12.1102480460123 55.2456977746169,12.1034094960233 55.2486414404389,12.0977065419644 55.2522904098791,12.0933584015005 55.2565046273508,12.090532454919 55.2611222972339,12.0893377698379 55.2659660780873,12.0898208387323 55.2708498805434,12.0919637038385 55.2755860102817,12.0956845549224 55.2799923828669,12.1008407910085 55.2838995329263,12.1072344409753 55.2871571465318,12.1146197438354 55.2896398627189,12.1227126016748 55.2912521173783,12.1312015407358 55.2919318393428,12.1397597528149 55.2916528530199,12.1480577432887 55.2904258925887,12.1557760860932 55.2882981875201,12.1626177813063 55.2853516356495,12.1683197278618 55.2816996358394,12.1726628614806 55.2774827050227,12.1754805641233 55.2728630519014,12.1766650232365 55.268018319846)))', 'DKVLE', 'Værløse', 'Y'),('SRID=4326;MULTIPOLYGON(((14.784695018855 55.2460848925636,14.7838818466779 55.2412133502442,14.7814213338834 55.2365260149499,14.7774085442018 55.2322029238936,14.7719980280465 55.2284100686357,14.7653978315159 55.2252930378086,14.7578614827752 55.2229714478777,14.7496782665272 55.2215343720693,14.7411621576335 55.2210369392272,14.7326398314504 55.2214982299911,14.7244382000838 55.2229005489141,14.716871939874 55.2251900996791,14.7102314757154 55.2282790381925,14.7047718722688 55.2320488268144,14.7007030510505 55.2363547640867,14.6981817064111 55.2410315197668,14.6973052335674 55.2458994663706,14.6981079096097 55.2507715672589,14.7005594857795 55.2554605588426,14.7045662588656 55.2597861517544,14.7099745944277 55.2635819735493,14.716576778345 55.266701983967,14.7241189798933 55.2690261129259,14.7323110233337 55.2704649006556,14.7408375899438 55.2709629576873,14.7493704122724 55.2705011083536,14.7575809802683 55.2690971331391,14.7651532570694 55.2668050805166,14.7717959018107 55.2637131754652,14.7772535178598 55.2599404072536,14.781316486266 55.2556319309552,14.7838290037172 55.250953463356,14.784695018855 55.2460848925636)))', 'DKVNG', 'Vang Havn', 'Y'),('SRID=4326;MULTIPOLYGON(((8.1856090693687 56.0623023877862,8.18485463760288 56.0574277813394,8.18241547975106 56.0527291538096,8.17838587298044 56.0483869771863,8.17292104311051 56.0445679745937,8.16623114323973 56.041418735189,8.15857315616633 56.0390601071305,8.15024103499027 56.0375825800928,8.14155445826341 56.0370428307402,8.13284662397018 56.0374615604394,8.1244515394239 56.038822705924,8.11669128121029 56.0410740523067,8.1098637002877 56.0441292255287,8.10423103225168 56.0478709898156,8.10000984187374 56.0521557267267,8.0973626849393 56.0568189276489,8.0963918101352 56.0616814927147,8.09713515073058 56.0665565975898,8.09956477204323 56.0712568666808,8.10358784875639 56.075601578086,8.10905014919353 56.0794236227841,8.11574190534188 56.082575948485,8.12340585180436 56.0849372371698,8.13174712821927 56.086416594107,8.14044466223168 56.0869570640463,8.14916358770732 56.086537835918,8.15756820879828 56.08517504887,8.16533499706516 56.0829211677031,8.17216510740913 56.0798629523747,8.17779591915561 56.0761181017923,8.18201115013894 56.0718307042572,8.18464915183874 56.0671656734377,8.1856090693687 56.0623023877862)))', 'DKVOA', 'Vonå', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5319705602992 57.2074475602697,10.5308857862362 57.2025915333993,10.5280768392367 57.1979436158511,10.5236522162703 57.1936823116606,10.5177823037342 57.1899712197009,10.510692776491 57.1869527711298,10.502655910707 57.1847427838225,10.4939801464809 57.1834260388105,10.4849982973634 57.1830530445931,10.4760548503382 57.1836381102772,10.4674928307093 57.1851587994557,10.4596407210248 57.1875567852419,10.4527999214165 57.1907400746877,10.4472332205489 57.1945865196804,10.4431547120793 57.1989484830813,10.440721541757 57.2036584850241,10.4400278061021 57.2085356165392,10.4411008465279 57.2133924774649,10.4439000949275 57.218042374222,10.4483185308544 57.2223065014587,10.4541867098336 57.2260208305194,10.4612792209237 57.229042437427,10.4693233336977 57.2312550234781,10.4780095047692 57.2325734120053,10.4870033362381 57.2329468442987,10.4959585169134 57.232360944558,10.5045302351464 57.2308382761681,10.5123885318634 57.2284374673332,10.5192310650148 57.2252509407857,10.5247947820226 57.2214013374578,10.528866043498 57.2170367753157,10.5312888069818 57.2123251298599,10.5319705602992 57.2074475602697)))', 'DKVOE', 'Voerså', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7701392236735 54.7493779004308,10.7690980640431 54.7445218285382,10.7664397640004 54.7398765187268,10.7622669486708 54.7356203831686,10.7567402725925 54.7319168352894,10.75007220107 54.728908032336,10.7425188335222 54.7267094379016,10.7343700847739 54.7254054094911,10.7259385980799 54.7250459769391,10.7175478076963 54.7256449324246,10.7095195980351 54.7271793035713,10.7021620202429 54.7295902294101,10.6957575251617 54.7327852065786,10.690552154075 54.736641621825,10.6867460957564 54.7410114384486,10.6844859708006 54.7457268604481,10.6838591431062 54.7506067604783,10.6848902852629 54.7554636276943,10.6875403415425 54.7601107704391,10.6917079418568 54.764369497494,10.6972332256076 54.7680760009013,10.703903939462 54.7710876734622,10.711463581732 54.7732886147115,10.7196212823239 54.7745941098627,10.7280630351448 54.7749539057826,10.7364638430115 54.7743541549726,10.744500296439 54.7728179508903,10.7518630892412 54.7704044335531,10.7582689766394 54.7672065008559,10.7634717053847 54.763347216003,10.767271488978 54.7589750525665,10.7695226620955 54.7542581638284,10.7701392236735 54.7493779004308)))', 'DKVOG', 'Vognsbjerg', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9583742808407 55.0029522755245,11.957182815863 54.9981087550091,11.9543710217243 54.9934918630834,11.950047413916 54.9892789120699,11.9443784244219 54.9856316502258,11.9375819637046 54.9826900691519,11.9299190384295 54.9805670499371,11.921683748225 54.9793440498442,11.9131920417461 54.9790679915637,11.9047696553056 54.979749471611,11.8967396854057 54.981362354964,11.8894102590616 54.9838447712394,11.8830627626031 54.9871014753618,11.8779410707026 54.9910074845746,11.8742421830742 54.9954128555381,11.8721086273036 55.0001484218635,11.8716229237438 55.0050322753469,11.8728043339191 55.0098767448424,11.8756080295828 55.0144956063834,11.8799267281622 55.0187112477916,11.8855947450606 55.022361511222,11.8923943178866 55.0253059481096,11.9000639661865 55.0274312425936,11.9083085668128 55.0286555910215,11.9168107536819 55.0289318654307,11.9252431949341 55.0282494364021,11.9332812633113 55.0266345834317,11.940615598878 55.0241494767598,11.9469640679213 55.0208897710506,11.9520826477037 55.0169809060253,11.9557748123051 55.0125732597948,11.9578990576601 55.0078363451362,11.9583742808407 55.0029522755245)))', 'DKVOR', 'Vordingborg', 'Y'),('SRID=4326;MULTIPOLYGON(((9.97915759016289 57.3496494049693,9.97814125031248 57.3447885824954,9.97539089564883 57.3401283029559,9.97101278467114 57.3358475483096,9.96517553125919 57.3321106662584,9.95810356956063 57.3290610787119,9.95006851233049 57.3268157982006,9.94137873729319 57.3254609587088,9.93236759798043 57.3250485285013,9.92338070272806 57.3255943278014,9.9147627371157 57.3270774252633,9.90684432051526 57.3294409357644,9.8999293863068 57.3325941898521,9.89428355773619 57.3364161939895,9.89012395762643 57.3407602522736,9.8876108408445 57.3454595762628,9.88684137459729 57.3503336715222,9.88784581480212 57.3551952589686,9.89058623903611 57.3598574673219,9.89495790061689 57.3641410209794,9.90079316752833 57.3678811461157,9.9078679080525 57.370933927091,9.91591008638624 57.373181865204,9.92461024068271 57.3745384218743,9.93363343726067 57.3749513674113,9.94263223217193 57.3744048031376,9.95126012821876 57.3729197768593,9.9591849942096 57.3705534673446,9.96610191490457 57.3673969701709,9.97174496463627 57.3635717726059,9.97589744363763 57.3592250567226,9.97840018116688 57.3545240155574,9.97915759016289 57.3496494049693)))', 'DKVRA', 'Vrå', 'Y'),('SRID=4326;MULTIPOLYGON(((9.33125691206979 56.6098877534804,9.33034481395436 56.6050211383302,9.32772923736718 56.6003461264847,9.32351124364588 56.5960422731125,9.31785328912892 56.5922748206476,9.31097292731416 56.5891883717969,9.30313443012929 56.5869013596656,9.29463865301022 56.585501523391,9.28581153004607 56.5850425590682,9.27699163267028 56.5855420712375,9.26851725725437 56.5869809013892,9.26071352287622 56.5893038585297,9.25387996020397 56.5924218245934,9.24827905586094 56.5962151561396,9.24412618411514 56.6005382551016,9.24158130989362 56.605225137038,9.24074278498041 56.6100957870062,9.24164348431356 56.6149630622769,9.24424944359834 56.6196398789473,9.24846106564314 56.6239464070808,9.25411686414068 56.6277169970359,9.26099961383022 56.6308065684515,9.2688446792545 56.6330962128398,9.27735020502375 56.6344977903259,9.28618877290407 56.6349573397305,9.29502006907453 56.6344571674397,9.3035040617978 56.6330165324609,9.31131416784703 56.6306909005567,9.3181498865261 56.6275697970018,9.32374840298194 56.6237733428917,9.32789470648339 56.6194476116751,9.33042983206015 56.6147589885294,9.33125691206979 56.6098877534804)))', 'DKVRK', 'Virksund', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4934854739822 55.0664743530401,10.492468726198 55.061616015466,10.4898205930734 55.0569648255703,10.4856433218678 55.0526994219143,10.4800977493256 55.0489835734002,10.4733970743636 55.0459599082835,10.4657986521018 55.0437444588563,10.4575941264829 55.04242222753,10.4490982772001 55.0420439408982,10.4406370012361 55.0426241133957,10.4325348789987 55.0441404929914,10.4251027892246 55.046534909693,10.4186260352252 55.0497154952576,10.4133534276826 55.0535601911858,10.4094877364102 55.0579214135865,10.4071778759291 55.0626316995536,10.406513128458 55.0675101218925,10.4075196345195 55.0723692288497,10.4101592978943 55.0770222441784,10.4143311607648 55.0812902514124,10.4198752097578 55.0850090852785,10.4265784779055 55.088035663029,10.4341832153009 55.090253508949,10.4423968165803 55.0915772557826,10.4509031203622 55.0919559462135,10.4593746380588 55.0913750043319,10.4674852300495 55.089856799301,10.4749227281533 55.0874597790195,10.4814010056911 55.0842762081021,10.4866710200381 55.0804285995414,10.4905303961735 55.0760649806499,10.4928311809995 55.0713531791774,10.4934854739822 55.0664743530401)))', 'DKVSK', 'Vester-Skerninge', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3152387047027 54.8561830157357,11.3141291743177 54.851332427095,11.3114013387638 54.8466998756235,11.3071604914224 54.8424632796569,11.3015698932315 54.8387852991749,11.2948444551014 54.8358071077098,11.2872424689355 54.833642992853,11.2790557065005 54.8323759889542,11.2705982628252 54.832054706103,11.2621945643569 54.8326914742332,11.2541669907933 54.834261871836,11.2468235727448 54.8367056570064,11.240446224893 54.8399290661729,11.2352799561304 54.8438083946419,11.2315234646357 54.8481947248009,11.229321477651 54.8529196241746,11.2287591339803 54.8578015981241,11.2298586334947 54.8626530522741,11.2325782943261 54.8672874989932,11.23681406762 54.8715267314123,11.2424034649174 54.8752076881757,11.2491317581355 54.8781887426396,11.2567402207115 54.8803551713467,11.2649360949048 54.881623587684,11.2734038985026 54.8819451665307,11.281817627851 54.8813075328902,11.2898533761397 54.8797352400375,11.29720186823 54.8772888184128,11.3035804169646 54.8740624329643,11.3087438306298 54.8701802414976,11.3124938457117 54.8657915974905,11.3146867209438 54.8610652856801,11.3152387047027 54.8561830157357)))', 'DKVST', 'Vesterborg Sø', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0805315664979 55.0959790015591,15.0796854339851 55.0911093424553,15.077199518482 55.0864278837676,15.0731698517029 55.0821144356014,15.0677516242093 55.0783346185372,15.0611531710923 55.0752335206724,15.0536279483626 55.0729301475392,15.0454648109759 55.0715128743021,15.0369769632975 55.0710360711378,15.0284899988767 55.0715180282137,15.020329477628 55.0729402578308,15.0128085042582 55.0752481997917,15.0062157717379 55.078353303655,15.0008045177913 55.0821364100466,14.9967828110743 55.0864523043574,14.9943055375677 55.0911352717028,14.9934683977632 55.0960054435508,14.9943041529608 55.1008756954272,14.9967812764396 55.1055588328495,15.0008050749901 55.1098747901404,15.0062212514366 55.1136575647284,15.0128217829436 55.1167616182602,15.0203528970866 55.1190674952299,15.0285248419964 55.120486439286,15.0370230724414 55.1209638258844,15.0455204141879 55.120481276035,15.0536897274653 55.1190573676813,15.0612165690592 55.1167469165936,15.0678113526161 55.1136388552056,15.0732205281623 55.1098527931478,15.0772363434618 55.1055343950027,15.0797048094496 55.1008497568403,15.0805315664979 55.0959790015591)))', 'DKYPN', 'Ypnested', 'Y'),('SRID=4326;MULTIPOLYGON(((-80.6840316359459 -0.966997753301433,-80.6845109416967 -0.971900999690085,-80.6859313490999 -0.976615907676336,-80.6882382768785 -0.980961285972995,-80.6913430745216 -0.984770143158376,-80.695126428526 -0.987896105208896,-80.6994429472005 -0.990219040850397,-80.7041267479022 -0.991649678503481,-80.7089978320057 -0.992133037334679,-80.713869002591 -0.991650540493335,-80.7185530589324 -0.990220729265175,-80.7228699912074 -0.987898550656833,-80.7266538988235 -0.984773245773713,-80.729759366391 -0.980964920150266,-80.7320670522377 -0.976619927867668,-80.7334882746659 -0.971905246894994,-80.7339684197049 -0.967002061863229,-80.7334890394478 -0.96209880093621,-80.732068560409 -0.957383894409919,-80.7297615747713 -0.953038533349284,-80.7266567418539 -0.949229706551965,-80.7228733805305 -0.94610378341524,-80.7185568836063 -0.943780889288993,-80.7138731304131 -0.9423502894323,-80.7090021123435 -0.941866958924472,-80.7041310162645 -0.942349470304185,-80.6994470315588 -0.943779280072378,-80.695130157143 -0.946101441444686,-80.691346284801 -0.949226715939735,-80.6882408245526 -0.953035002649387,-80.6859331169555 -0.957379953416738,-80.6845118470187 -0.96209459659303,-80.6840316359459 -0.966997753301433)))', 'ECMEC', 'Manta', 'Y'),('SRID=4326;MULTIPOLYGON(((-79.9579985118689 -3.26697426594053,-79.958473849388 -3.27187708106148,-79.9598917161731 -3.27659248701866,-79.9621976383931 -3.28093927331491,-79.9653030121665 -3.28475039216977,-79.969088506795 -3.28787937856048,-79.9734086494765 -3.29020597969208,-79.9780974154812 -3.29164077741921,-79.9829746090118 -3.29212862579798,-79.9878527894355 -3.29165077146599,-79.9925444764987 -3.29022557518528,-79.9968693573228 -3.28790780668623,-80.0006612178708 -3.28478653984688,-80.0037743321815 -3.28098172910699,-80.0060890635728 -3.27663959877021,-80.0075164624098 -3.27192702252595,-80.0080016837254 -3.26702510936251,-80.0075260934654 -3.26212224254698,-80.0061079826395 -3.25740683934395,-80.0038018622318 -3.25306010983133,-80.0006963662963 -3.24924909314475,-79.996910844129 -3.24612023875281,-79.992590772725 -3.24379377935484,-79.9879021659624 -3.24235911151855,-79.9830251953954 -3.24187136141311,-79.9781472677127 -3.24234926743968,-79.9734558246903 -3.2437744609662,-79.9691311420538 -3.2460921726816,-79.965339403668 -3.24921333735264,-79.9622263168959 -3.25301801609375,-79.9599115142272 -3.25736000469693,-79.9584839561481 -3.26207245105038,-79.9579985118689 -3.26697426594053)))', 'ECPBO', 'Puerto Bolivar', 'Y'),('SRID=4326;MULTIPOLYGON(((-80.2250094840287 -2.69998424482291,-80.2254865608734 -2.70488728239055,-80.2269056788484 -2.70960251591506,-80.2292123134065 -2.71394874122964,-80.2323178310035 -2.71775893245659,-80.2361028938212 -2.72088666115406,-80.2404220449952 -2.72321172423848,-80.2451092982799 -2.72464476428598,-80.2499845173707 -2.72513070450491,-80.2548603396434 -2.72465086621388,-80.2595493780464 -2.72322368730898,-80.2638714241215 -2.72090401400772,-80.2676603750573 -2.7177809930439,-80.2707706183002 -2.71397464533436,-80.2730826281575 -2.70963125286853,-80.2745075591998 -2.70491773622346,-80.2749906599357 -2.700015238921,-80.2745133756714 -2.69511216532505,-80.2730940599372 -2.69039693975526,-80.2707872673875 -2.6860507651674,-80.2676816556192 -2.6822406597165,-80.2638965767872 -2.67911303878577,-80.2595774901941 -2.67678808905228,-80.2548903722535 -2.67535515068326,-80.2500153386652 -2.6748692849907,-80.2451397238121 -2.67534915931003,-80.2404508831684 -2.67677633026019,-80.2361289950849 -2.6790959528347,-80.2323401383204 -2.68221888802245,-80.2292299110916 -2.68602512796525,-80.2269178366534 -2.69036840708017,-80.225492770267 -2.6950818220468,-80.2250094840287 -2.69998424482291)))', 'ECPSJ', 'Posorja', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7252758295646 59.6524881626096,25.724513702475 59.6476134936951,25.7218879298447 59.6429077110679,25.717500113167 59.6385515506702,25.7115193543932 59.634712253478,25.7041756846046 59.6315371634763,25.69575119484 59.6291480954344,25.6865692142582 59.6276366843458,25.6769819485962 59.6270608906,25.6673570442597 59.6274427911553,25.6580635793492 59.6287677387917,25.6494580018987 59.6309849205966,25.6418705372934 59.6340092948849,25.6355925712381 59.6377248345044,25.6308654819924 59.6419889556396,25.6278713464276 59.6466379664698,25.6267258796959 59.6514933309631,25.6274738893467 59.6563685111702,25.6300874335673 59.661076127943,25.6344667725268 59.6654351661079,25.640444094931 59.6692779465757,25.6477898928585 59.6724565950643,25.6562217512848 59.6748487550572,25.6654152192412 59.6763623208385,25.6750163421406 59.6769390039855,25.6846553639348 59.6765565921365,25.6939610572642 59.6752298103515,25.7025751124271 59.6730097507762,25.7101660133844 59.6699818932108,25.7164418512818 59.6662627951053,25.7211615718566 59.6619955820222,25.7241442200528 59.6573444165026,25.7252758295646 59.6524881626096)))', 'EEAAD', 'Aadamiansu', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2049763003228 59.4379323327085,27.2040059429695 59.4330670061434,27.201191542184 59.4283915529427,27.1966419154764 59.4240855341761,27.1905323416756 59.4203142583745,27.1830977585254 59.4172224546049,27.1746237115764 59.4149287408669,27.1654354055414 59.4135210957917,27.1558852750543 59.4130535031014,27.1463395421076 59.4135438939316,27.1371642614109 59.4149734635414,27.1287113719185 59.417287387794,27.121305272578 59.4203969128061,27.1152304229461 59.4241827400649,27.1107204349711 59.4284995808029,27.1079490715215 59.4331817091853,27.1070235011229 59.438049305487,27.1079800783062 59.4429153493901,27.1107828270517 59.4475928011122,27.1153247037655 59.4519017953273,27.1214316094865 59.4556765705202,27.1288690126656 59.4587718648735,27.1373509384325 59.4610685289777,27.1465509825971 59.4624781350344,27.1561149235003 59.4629464007791,27.1656744366348 59.4624552926096,27.1748613693786 59.4610237244753,27.1833220088573 59.4587068247712,27.1907307762597 59.4555938003666,27.1968028058449 59.4518044825253,27.2013049149948 59.4474846914242,27.2040645403223 59.4428006020634,27.2049763003228 59.4379323327085)))', 'EEAAK', 'Aa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0634778296596 58.367614512049,22.0624193227504 58.3627552800524,22.0595777420967 58.3580978812097,22.0550628901249 58.3538211818686,22.0490486593063 58.3500893671587,22.0417662906076 58.3470456567283,22.0334954694069 58.3448068300731,22.0245536036489 58.3434587674153,22.0152836922272 58.3430531731527,22.0060412397429 58.343605604197,21.9971807059482 58.3450948766584,21.989041993771 58.3474638729917,21.9819374785701 58.3506217196365,21.9761400632042 58.3544472540879,21.9718727089011 58.3587936519667,21.9692998414027 58.3634940406903,21.9685209664442 58.3683678883727,21.9695667498297 58.3732279260783,21.9723977272796 58.3778873397831,21.9769057106079 58.3821669563956,21.9829178530337 58.3859021466586,21.9902032315326 58.3889491770268,21.9984817025149 58.3911907625736,22.0074346934273 58.39254060306,22.0167175116706 58.3929467234294,22.0259726876936 58.3923934866748,22.0348438246975 58.3909021993485,22.0429894055107 58.3885302857411,22.0500960090885 58.3853690635421,22.0558904146392 58.3815402091544,22.0601501191553 58.3771910523868,22.0627118615068 58.3724888858372,22.0634778296596 58.367614512049)))', 'EEABA', 'Abaja', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5721935323049 58.161427146165,22.5710722208041 58.1565723485374,22.5681811942387 58.1519264073578,22.5636321391083 58.1476677463168,22.5576002456477 58.1439598565746,22.5503174189339 58.1409450392825,22.5420633515028 58.1387389660667,22.5331548028103 58.1374262621048,22.5239334932373 58.1370572772508,22.5147530676985 58.1376461657794,22.5059656153304 58.1391703463289,22.4979082466393 58.1415713622095,22.4908902276323 58.1447571101478,22.4851811518528 58.1486053544951,22.4810005961923 58.1529683956761,22.4785096554923 58.1576787178659,22.4778046853021 58.1625554031643,22.4789135032769 58.1674110693338,22.481794209692 58.1720590667637,22.4863366891961 58.1763206587183,22.4923667526357 58.1800319078329,22.4996527735412 58.1830500015225,22.5079145730931 58.1852587693587,22.5168342146912 58.1865731759319,22.5260682891587 58.1869426121803,22.535261208238 58.1863528551083,22.5440589807611 58.1848266183058,22.5521229250707 58.182422671509,22.559142774083 58.1792335641975,22.5648486556564 58.175382043454,22.5690214791914 58.1710163076553,22.5715013269935 58.1663042828568,22.5721935323049 58.161427146165)))', 'EEABR', 'Abruka', 'Y'),('SRID=4326;MULTIPOLYGON(((22.162562363187 58.4315775103916,22.1614881978828 58.4267192021404,22.1586283215204 58.4220641133734,22.1540932406841 58.4177910207386,22.1480576246834 58.4140639699333,22.140753534235 58.4110259969257,22.1324614861921 58.4087936604341,22.1234997002453 58.407452591334,22.114211936716 58.4070542256793,22.1049543826739 58.4076138432901,22.0960820756972 58.409109984979,22.0879353700731 58.4114852701437,22.0808269488724 58.4146485843763,22.0750298671135 58.4184785556632,22.0707670764744 58.4228281894148,22.0682028313083 58.427530488632,22.0674363101039 58.4324048475969,22.0684977075118 58.4372639770263,22.0713469617502 58.4419210969212,22.0758751833556 58.4461971214136,22.0819087472761 58.449927558458,22.0892159052089 58.452968856562,22.0975156733076 58.4552039507915,22.106488656574 58.4565467904295,22.1157893899949 58.4569456698734,22.1250597119484 58.456385231083,22.1339426410545 58.4548870582633,22.1420962059018 58.4525088412383,22.1492066791666 58.4493421407658,22.155000693426 58.4455088443838,22.1592557640041 58.4411564528972,22.1618088118581 58.4364523831447,22.162562363187 58.4315775103916)))', 'EEABU', 'Abula', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8252351932787 59.6234504748796,25.8244591792794 59.6185763265607,25.8218216204825 59.6138724917418,25.8174245684266 59.6095196309303,25.8114374766971 59.6056848580056,25.8040906165829 59.6025153431242,25.7956661991534 59.600132687168,25.7864875491976 59.5986282793494,25.776906744091 59.5980598117326,25.7672911828735 59.5984490805947,25.7580095866444 59.5997811563352,25.7494179502085 59.6020049526954,25.7418459664762 59.6050351740939,25.7355844293976 59.6087555686439,25.7308740884578 59.6130233655986,25.7278963785045 59.6176747312468,25.7267663838441 59.6225310382556,25.7275283165419 59.6274057115956,25.7301536976814 59.6321113908148,25.73454232966 59.6364671346133,25.7405260407744 59.6403053902035,25.7478750744071 59.6434784572252,25.7563068885946 59.6458641940153,25.7654970324603 59.6473707423312,25.7750916787839 59.647940084237,25.7847213213217 59.6475502903528,25.7940150952172 59.646216370209,25.8026151517242 59.6439896908587,25.8101905160541 59.6409559867931,25.8164498795954 59.6372320401037,25.8211528237683 59.6329611623183,25.8241190398178 59.6283076561759,25.8252351932787 59.6234504748796)))', 'EEADK', 'Ado-Kusta', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8232351578005 59.6234512259561,25.8224594336843 59.6185770666955,25.8198221548563 59.6138731925067,25.815425362126 59.609520265424,25.809438499159 59.6056854018835,25.8020918285088 59.6025157755278,25.7936675540201 59.60013299152,25.7844889950374 59.5986284439852,25.7749082254739 59.5980598303431,25.7652926430171 59.5984489524665,25.7560109695736 59.5997808863778,25.7474192028861 59.6020045512544,25.7398470408243 59.6050346565581,25.733585284136 59.6087549548597,25.7288746906893 59.6130226791135,25.7258967049868 59.6176739984109,25.7247664218978 59.6225302872136,25.725528064558 59.6274049712078,25.7281531652057 59.6321106895485,25.732541537047 59.6364664994465,25.7385250184214 59.640304845584,25.7458738615963 59.6434780241249,25.7543055319839 59.6458638891178,25.7634955842828 59.6473705773851,25.7730901948255 59.6479400655991,25.782719858757 59.6475504187411,25.7920137103898 59.646216640675,25.8006138979604 59.6439900929799,25.8081894415971 59.6409565050776,25.8144490257419 59.6372326545918,25.8191522232808 59.6329618493558,25.8221187156731 59.6283083893291,25.8232351578005 59.6234512259561)))', 'EEADP', 'Ado-Peetri', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6470472936703 58.0397696245355,27.6460554928436 58.0349066306298,27.6432945577507 58.0302396533526,27.6388711847837 58.0259479312661,27.6329557515377 58.0221962306603,27.6257757102339 58.0191285383729,27.6176068280139 58.0168625571823,27.6087626135182 58.0154852109522,27.59958233236 58.0150493279586,27.5904180624084 58.0155716262631,27.5816212722335 58.0170320762042,27.5735294220581 58.0193746637577,27.5664530858305 58.0225095263928,27.5606640755957 58.0263163818744,27.5563850154794 58.0306491219596,27.5537807629223 58.0353413988056,27.5529520103249 58.0402129937239,27.5539313224769 58.0450767271775,27.5566817761397 58.0497456468779,27.5610982706227 58.0540402185472,27.5670114755191 58.0577952420728,27.574194277857 58.0608662247327,27.5823704901555 58.063134962819,27.5912254878375 58.064514112755,27.6004183636458 58.0649505716662,27.6095951222867 58.0644275338125,27.6184023938972 58.0629651414454,27.6265011225498 58.0606197043065,27.6335796871119 58.0574815187506,27.6393659362979 58.0536713728977,27.6436376663301 58.0493358759194,27.6462311357077 58.0446417953703,27.6470472936703 58.0397696245355)))', 'EEADR', 'Audjasaare', 'Y'),('SRID=4326;MULTIPOLYGON(((26.204354091841 58.2733034690151,26.2035534208195 58.2684305592871,26.200964402874 58.2637335457093,26.1966871579738 58.25939282968,26.1908864855159 58.2555750652217,26.1837854664228 58.2524267785111,26.1756568655162 58.2500687656079,26.1668126682495 58.2485914793245,26.1575921509606 58.2480515781202,26.1483489340217 58.2484697658707,26.139437501578 58.2498300029406,26.1311996893878 58.2520801178622,26.1239516433094 58.2551337968262,26.1179717352085 58.2588738768625,26.1134898907566 58.2631568197566,26.1106787353276 58.2678181991048,26.1096469009323 58.2726789940523,26.1104347603101 58.2775524516684,26.1130127659247 58.2822512568888,26.1172824743328 58.2865947355541,26.1230802335009 58.2904158130564,26.1301834060322 58.2935674588384,26.1383188992665 58.2959283654518,26.1471736784578 58.2974076395426,26.1564068562649 58.2979483200253,26.165662884863 58.2975295843857,26.1745853296449 58.2961675556706,26.1828306783218 58.2939146781102,26.1900816376749 58.2908576861008,26.1960593923221 58.2871142469942,26.200534344439 58.2828284103925,26.2033349179489 58.2781650432397,26.204354091841 58.2733034690151)))', 'EEADS', 'Andrese', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1565719479731 59.1593243804865,26.155758530485 59.1544518069792,26.1531104931589 59.1497543239738,26.1487302635327 59.1454123475533,26.1427866262009 59.1415925747771,26.1355081675942 59.1384416023797,26.1271744650615 59.1360803227952,26.118105362784 59.1345993083599,26.1086487435553 59.1340553565263,26.0991672567345 59.1344693249389,26.0900244977221 59.1358253368843,26.0815711525349 59.1380713865921,26.0741316221763 59.1411213218539,26.0679916255103 59.1448581301782,26.063387246502 59.1491384059213,26.0604958425341 59.1537978312084,26.0594291660071 59.1586574645825,26.0602289729831 59.1635305996713,26.0628653022772 59.1682299330445,26.0672375087916 59.1725747669181,26.0731780293792 59.176397969212,26.0804587521088 59.179552421079,26.0887997549433 59.1819167003672,26.0978800822985 59.1833997780617,26.1073501424629 59.1839445425971,26.1168452398135 59.183530012602,26.1259997068659 59.1821721502859,26.1344610751588 59.1799232431219,26.141903722245 59.176869878341,26.1480414547704 59.1731295905481,26.1526385334689 59.1688463151043,26.1555187123652 59.1641848265609,26.1565719479731 59.1593243804865)))', 'EEAEA', 'Tamsalu', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1807997238789 58.5999416829464,27.1798562822724 58.59507553019,27.1771129320273 58.5903989134685,27.172675723672 58.5860914424376,27.1667155918985 58.5823184870694,27.1594617237243 58.5792248475082,27.1511927295383 58.5769292187429,27.1422259594968 58.5755196583703,27.1329053722478 58.5750502272047,27.123588412401 58.5755389281099,27.1146323865475 58.5769670197893,27.106380844374 58.5792797310557,27.0991504712536 58.5823883490287,27.0932189816256 58.5861736035268,27.088814468766 58.590490221344,27.0861066168095 58.5951724798193,27.0852001160674 58.6000405507134,27.0861305443034 58.6049073943708,27.0888628867089 58.6095859417615,27.0932927685979 58.6138962893034,27.0992503706679 58.6176726291026,27.1065068910295 58.6207696457658,27.1147833155256 58.6230681301707,27.1237611628038 58.6244795899749,27.1330947878061 58.6249496751919,27.1424247610394 58.6244602833846,27.1513917947389 58.6230302610331,27.159650663372 58.6207146732529,27.1668835661797 58.6176026708479,27.1728124036045 58.6138140392489,27.1772094861475 58.6094945657948,27.179906260874 58.6048104078909,27.1807997238789 58.5999416829464)))', 'EEAEC', 'Alatskivi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0412614903114 58.2053635910874,26.0404846122621 58.2004896859743,26.0379220183159 58.1957894052031,26.0336728123926 58.1914432771015,26.0279007178811 58.1876181648458,26.0208277208547 58.1844608777751,26.0127255140042 58.1820925581191,26.0039050738498 58.1806040545201,25.9947047689515 58.1800524557552,25.9854774471565 58.1804589140838,25.9765769843843 58.1818078392628,25.9683447954441 58.1840474931628,25.9610968086052 58.1870919628143,25.9551113900905 58.1908244383619,25.9506186726025 58.1951016735321,25.9477916939799 58.199759461514,25.9467396890996 58.2046189202221,25.9475038015929 58.2094933492237,25.9500553938656 58.2141953974896,25.9542970369014 58.2185442676076,25.9600661586935 58.2223726789549,25.9671412257414 58.225533319936,25.9752502302157 58.2279045377184,25.9840811607213 58.2293950424456,25.9932940516359 58.2299474406866,26.0025341390025 58.2295404584686,26.0114456034555 58.2281897657923,26.019685355278 58.2259473698731,26.0269363148216 58.2228996011286,26.0329196632991 58.2191637716716,26.037405583156 58.2148836383778,26.0402220714327 58.2102238492703,26.0412614903114 58.2053635910874)))', 'EEKVA', 'Kalda', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6019334569209 59.4389079741403,24.6013375287987 59.4340281371837,24.5988846379562 59.4293012570499,24.5946697478418 59.424908889347,24.5888553330609 59.4210196734869,24.5816650599635 59.4177828758565,24.5733751578368 59.4153226831014,24.5643038172895 59.4137334603462,24.5547990210883 59.4130761519287,24.5452252661597 59.4133759588609,24.535949672652 59.4146213793183,24.5273279962489 59.4167646476797,24.519691063033 59.4197235556916,24.5133321320892 59.4233845879543,24.5084956599397 59.4276072548214,24.5053678933388 59.4322294606624,24.5040696538109 59.4370737058435,24.5046515999495 59.4419538882389,24.5070921638548 59.4466824459063,24.5112982587404 59.4510775678487,24.517108748996 59.4549701953469,24.5243005657484 59.4582105426235,24.532597244707 59.4606738826313,24.541679563554 59.4622653711043,24.5511978681753 59.4629237187691,24.5607856051063 59.4626235663973,24.5700735255615 59.4613764684036,24.5787039971889 59.4592304457996,24.5863448549137 59.4562681261477,24.5927022421837 59.4526035442395,24.5975319374912 59.4483777301225,24.6006487257967 59.443753258567,24.6019334569209 59.4389079741403)))', 'EEAEH', 'Tabasalu', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0978641219479 59.3599724911734,27.0969113398387 59.3551063099741,27.0941181384373 59.3504284916413,27.0895925186981 59.3461186892172,27.0835088370209 59.3423423576467,27.0761010382714 59.3392444210721,27.0676536425001 59.3369437336142,27.058490835129 59.3355285419307,27.0489640761363 59.3350531193708,27.0394386941546 59.3355356972262,27.0302799654339 59.3369577700191,27.0218391947358 59.3392648006317,27.0144403151667 59.3423682990894,27.0083675067123 59.3461491976895,27.0038542990842 59.3504623966256,27.0010745739835 59.3551423099814,27.0001358160137 59.360009203536,27.0010748816824 59.3648760847181,27.0038564642879 59.3695558825556,27.0083743317307 59.3738686426452,27.0144553078293 59.3776484597651,27.0218658596219 59.3807498791296,27.0303210479357 59.3830535163946,27.0394955010065 59.3844706758205,27.0490359859022 59.3849467844865,27.058575084342 59.3844635066469,27.0677454318659 59.3830394543462,27.076193954853 59.3807294660651,27.083595539983 59.3776224820569,27.0896655953767 59.3738381006681,27.094171010455 59.3695219519278,27.0969390898635 59.3648400708327,27.0978641219479 59.3599724911734)))', 'EEAEI', 'Püssi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8071334491467 59.5718322616759,24.8065059153539 59.5669532814303,24.8040149678956 59.5622301350122,24.799757036342 59.5578442325328,24.7938962493803 59.5539639630492,24.7866580518381 59.5507382476445,24.7783205080782 59.5482908462097,24.7692036308707 59.546715632195,24.7596571435241 59.5460730122556,24.7500471364251 59.5463876242733,24.7407421161855 59.5476473992843,24.7320989656889 59.5498040220374,24.7244493361923 59.552774772977,24.7180869782298 59.5564456830885,24.713256486628 59.5606758840026,24.7101438869859 59.5653029906776,24.7088694273945 59.5701493144837,24.7094828613414 59.5750286720765,24.7119614175968 59.5797535313972,24.7162105530366 59.5841422215611,24.7220674781031 59.5880259291122,24.729307335911 59.5912552095532,24.7376518093413 59.5937057602484,24.7467798306464 59.5952832283007,24.7563399799291 59.5959268638974,24.765964086893 59.5956118745315,24.7752814983458 59.5943503866152,24.7839334449514 59.5921909761742,24.7915869363264 59.5892167871654,24.7979476340041 59.5855423120184,24.8027711959254 59.5813089618467,24.8058726514747 59.5766796011374,24.8071334491467 59.5718322616759)))', 'EEAEN', 'Aegna', 'Y'),('SRID=4326;MULTIPOLYGON(((27.3334274756418 58.3248852186597,27.3324704817945 58.3200199968271,27.3297284010302 58.3153464407652,27.3253072213434 58.3110440426833,27.3193772504734 58.3072779786913,27.3121665098218 58.3041927859392,27.3039519512833 58.3019068371165,27.2950488375417 58.3005078202509,27.2857986903344 58.3000493931523,27.2765562601495 58.3005491374014,27.2676760038295 58.3019878880873,27.2594985730175 58.3043104642386,27.2523378160345 58.3074277727934,27.2464687786118 58.3112202077646,27.2421171552128 58.315542217699,27.239450593052 58.3202278702898,27.2385721863544 58.3250972046793,27.2395164203821 58.3299631310506,27.2422477353483 58.3346386148421,27.2466617822522 58.3389438703657,27.2525893392578 58.3427132864927,27.2598027524555 58.345801815741,27.2680246630832 58.3480905774695,27.2769386891695 58.3494914554106,27.2862016476699 58.3499505084219,27.2954568376897 58.349450059633,27.3043478598139 58.3480093812148,27.312532423402 58.345683947619,27.3196955942339 58.3425632869281,27.3255619590952 58.3387675154619,27.3299062303988 58.3344426926245,27.3325618802217 58.3297551789609,27.3334274756418 58.3248852186597)))', 'EEAHU', 'Ahunapalu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1651877262015 59.5873226776093,26.1643632914997 59.5824504506622,26.1616810184042 59.5777533715641,26.1572446699537 59.5734118389709,26.1512252008064 59.5695925300256,26.1438541165921 59.5664420202576,26.1354145500579 59.564081180936,26.1262304009894 59.5626005645999,26.1166539540673 59.5620569514691,26.1070524405878 59.5624711854751,26.0977940453417 59.5638273803445,26.0892338783357 59.566073525168,26.0817004321632 59.5691234669315,26.0754830296964 59.5728601962696,26.0708207336121 59.5771403139637,26.0678931396343 59.5817995111017,26.0668134102077 59.586658856942,26.0676238260297 59.591531656871,26.070294041481 59.5962306196995,26.0747221291882 59.600575059991,26.0807383921176 59.6043978579329,26.088111812761 59.6075519068279,26.0965589026752 59.6099157966065,26.10575461671 59.6113985103246,26.1153449095219 59.6119429484543,26.1249604418999 59.6115281414653,26.1342308947987 59.6101700628626,26.1427993225416 59.6079210103375,26.1503359749142 59.6048675795759,26.1565510409334 59.6011273111121,26.1612058136291 59.5968441429639,26.164121842647 59.5921828484471,26.1651877262015 59.5873226776093)))', 'EEAJA', 'Altja', 'Y'),('SRID=4326;MULTIPOLYGON(((27.4773655410102 59.009830840596,27.4763689649609 59.0049672760441,27.4735528186249 59.0002974100573,27.469025963137 58.9960005890843,27.4629627832187 58.9922417698378,27.4555964220168 58.9891652056372,27.4472098007286 58.986888932639,27.4381247712001 58.9855002633175,27.4286898144861 58.9850524559048,27.4192667479017 58.9855626840262,27.4102169364061 58.9870113820925,27.4018875206765 58.9893429907928,27.394598173696 58.9924680750077,27.3886288800896 58.9962667353528,27.3842091980765 59.0005931860898,27.3815094133565 59.0052813279898,27.3806339284874 59.010151106481,27.3816171518347 59.0150154145429,27.3844220590571 59.0196872776,27.3889415000713 59.0239870451685,27.395002218944 59.0277493119438,27.402371447204 59.0308292997518,27.4107658271737 59.0331084512224,27.41986232582 59.0344990156595,27.4293107160171 59.0349474463162,27.43874713532 59.0344364746834,27.4478081859357 59.0329857795438,27.4561450161316 59.0306512242452,27.4634368241406 59.0275226925003,27.4694032506723 59.0237206085491,27.4738151739973 59.0193912793426,27.476503489607 59.0147012423299,27.4773655410102 59.009830840596)))', 'EEAJS', 'Alajõe Jõesadam', 'Y'),('SRID=4326;MULTIPOLYGON(((25.70314966773 59.566496019869,25.7023925231993 59.561621177277,25.6997763842178 59.5569149247717,25.6954024782466 59.5525580168768,25.6894393702997 59.5487177239711,25.6821164126061 59.5455414290313,25.6737149016051 59.5431509937976,25.6645572864372 59.5416381063083,25.6549948407588 59.5410607839564,25.6453942620031 59.5414411624313,25.6361236981407 59.542764652717,25.627538720951 59.5449804973845,25.6199687665344 59.5480037054593,25.6137045482512 59.5517182938796,25.6089869147077 59.5559817147168,25.605997576368 59.5606303025555,25.6048520597619 59.56548553735,25.6055951694985 59.5703608861453,25.6081991473575 59.5750689636021,25.6125646172964 59.5794287373651,25.6185242986121 59.5832725007537,25.6258493607528 59.5864523424419,25.6342581869003 59.5888458607291,25.6434272142512 59.5903608982094,25.6530034317466 59.5909391101724,25.6626180453152 59.5905582254931,25.6719007703092 59.589232910253,25.6804941835253 59.5870141997142,25.6880675645557 59.5839875211551,25.6943296783731 59.5802693859873,25.699039996761 59.5760028820995,25.7020179229236 59.571352144273,25.70314966773 59.566496019869)))', 'EEAJT', 'Ajaotsa', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((23.2356943494065 58.5481785398696,23.2344682407726 58.5433306899765,23.231457260249 58.5387009816462,23.2267777088036 58.5344672087802,23.2206097861318 58.5307919009189,23.213190610092 58.527816103504,23.2048050912459 58.5256539871648,23.1957750151086 58.5243884887015,23.1864467468819 58.5240681469611,23.1771780204195 58.5247052517104,23.1683243040275 58.5262753744989,23.160225249907 58.5287182990641,23.1531917313406 58.53194031679,23.1474939521597 58.5358178018206,23.1433510768876 58.5402019323817,23.1409227778902 58.5449243813532,23.1403030289169 58.5498037617471,23.1415163941498 58.5546525829358,23.1445169704625 58.5592844525131,23.1491900408331 58.5635212475476,23.1553563922528 58.5671999784018,23.1627791460758 58.5701790785147,23.1711728470585 58.5723438744505,23.1802144640306 58.5736110214644,23.1895558748008 58.5739317297318,23.198837344679 58.5732936536852,23.207701465286 58.5717213696469,23.2158070004725 58.5692754229106,23.2228420902744 58.566049982191,23.2285362916574 58.562169194464,23.2326709847887 58.5577823843092,23.23508774296 58.5530582867897,23.2356943494065 58.5481785398696)))', 'EEAJV', 'Aljava', 'Y'),('SRID=4326;MULTIPOLYGON(((27.4813627074798 59.0078293516037,27.4803656270683 59.0029658169704,27.4775491047929 58.9982960369169,27.4730220160856 58.9939993545719,27.4669587544806 58.9902407213162,27.4595924661372 58.9871643833315,27.4512060693682 58.9848883681031,27.4421214073617 58.983499978231,27.4326869470786 58.9830524612437,27.4232644868413 58.9835629796409,27.4142153684339 58.9850119567063,27.4058867060481 58.9873438224252,27.3985981438663 58.9904691318057,27.3926296364811 58.9942679768006,27.3882107119828 58.9985945645537,27.3855116269908 59.0032827905389,27.3846367571433 59.0081525969174,27.3856204870866 59.013016875562,27.3884257728842 59.0176886529992,27.3929454497544 59.0219882820174,27.3990062525496 59.0257503626322,27.4063754094459 59.0288301238328,27.4147695654227 59.0311090169802,27.4238656960245 59.0324993013366,27.433313588299 59.0329474409548,27.4427493990211 59.0324361785451,27.4518097539129 59.030985204093,27.4601458281283 59.028650391698,27.4674368491028 59.0255216349574,27.4734024879185 59.0217193667477,27.4778136532024 59.0173899010786,27.4805012696066 59.012699780612,27.4813627074798 59.0078293516037)))', 'EEAKS', 'Alajõe Kalasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9847866396956 57.838014233435,26.9838898197722 57.8331460730952,26.981230182612 57.8284647307423,26.9769105333498 57.8241500021347,26.9710972724177 57.8203675417972,26.9640139404506 57.8172625210828,26.9559326066408 57.8149540776772,26.947163434611 57.8135307655416,26.9380428234887 57.8130471758558,26.9289205707154 57.813521855182,26.9201465362082 57.8149365984234,26.9120573042127 57.8172371428878,26.9049633392624 57.8203352376242,26.8991371160858 57.8241120109171,26.894802670362 57.8284225101518,26.8921269685206 57.8331012438759,26.8912134312958 57.8379685173888,26.892097868962 57.8428373220661,26.8947469981404 57.8475205161525,26.89905961344 57.8518380219806,26.9048703852869 57.8556237622195,26.9119561519901 57.8587320661811,26.9200444736939 57.8610432963349,26.9288241229335 57.8624684744621,26.9379571055198 57.8629527253019,26.9470917405649 57.862477401637,26.95587628306 57.8610608066595,26.9639725490122 57.858757484972,26.9710690030331 57.8556561103331,26.976892791459 57.8518760537941,26.9812202492827 57.8475627678137,26.9838854739203 57.8428821681007,26.9847866396956 57.838014233435)))', 'EEALG', 'Ala-Vagula', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9848086865995 57.8550142319866,26.9839114415622 57.850146084914,26.9812505491698 57.8454647555635,26.9769288634681 57.841150039124,26.9711128635983 57.8373675895481,26.9640261956087 57.8342625776521,26.9559410567356 57.8319541406598,26.947167756379 57.8305308321815,26.938042851644 57.8300472431866,26.9289163041805 57.8305219201863,26.9201381381545 57.8319366581972,26.9120450959099 57.8342371947976,26.9049477879544 57.8373352794429,26.8991188173249 57.8411120409282,26.8947823254381 57.8454225272161,26.8921053578034 57.8501012474563,26.8911913844699 57.8549685075366,26.8920762332659 57.8598372993739,26.8947266058097 57.8645204816825,26.8990412496055 57.868837977178,26.9048547575799 57.8726237088222,26.9119438630561 57.8757320061339,26.920035997716 57.8780432317144,26.9288197871155 57.8794684074156,26.9379570772866 57.8799526579995,26.9470960210059 57.879477336234,26.9558847068867 57.8780607452624,26.9639847910311 57.8757574296033,26.9710845908675 57.8726560628887,26.9769111239957 57.8688760159886,26.9812406200897 57.8645627411152,26.9839070986876 57.8598821536549,26.9848086865995 57.8550142319866)))', 'EEALH', 'Ala-Haraka', 'Y'),('SRID=4326;MULTIPOLYGON(((23.8416969546807 59.2839458126934,23.8403560895112 59.2791052763681,23.8371963164292 59.2744915466083,23.8323396742905 59.2702817958737,23.8259731724273 59.266637623154,23.818341547784 59.2636988711158,23.8097378485312 59.2615782825621,23.800492207651 59.2603571969203,23.7909592325132 59.2600824477282,23.7815044834497 59.2607645768195,23.7724905448989 59.2623774317265,23.7642632063271 59.2648591613911,23.7571382666026 59.2681145733282,23.7513894548416 59.2720187646415,23.7472379232677 59.2764218914666,23.7448437139583 59.2811548981784,23.7442995325563 59.2860359906327,23.7456270796757 59.2908776082551,23.7487760970412 59.2954936292188,23.7536261832564 59.29970653225,23.7599913270715 59.3033542384507,23.7676269982964 59.3062963672142,23.7762395327085 59.3084196616612,23.7854974522539 59.309642370416,23.7950442802449 59.3099174128358,23.8045123473743 59.3092342024456,23.8135370416455 59.3076190563314,23.8217709361303 59.3051341743676,23.8288972338845 59.3018752289488,23.8346419990481 59.2979676609119,23.8387846954587 59.2935618281967,23.8411666261134 59.2888271983747,23.8416969546807 59.2839458126934)))', 'EEALI', 'Alliklepa', 'Y'),('SRID=4326;MULTIPOLYGON(((27.4773725568131 59.0148308305523,27.4763758317086 59.0099672700153,27.4735592727036 59.005297408334,27.4690317570103 59.0010005917692,27.462967694865 58.9972417768311,27.4556002633656 58.9941652166347,27.4472124247841 58.991888947144,27.4381260775952 58.9905002806661,27.4286897532678 58.9900524753023,27.4192653214126 58.9905627045922,27.4102141991957 58.9920114029096,27.401883577446 58.9943430109563,27.3945931753489 58.9974680936712,27.3886230180282 59.0012667517661,27.3842026969503 59.005593199628,27.3815025225243 59.0102813381709,27.3806269125071 59.0151511129736,27.3816102803352 59.0200154171648,27.3844155963754 59.0246872763097,27.3889356950538 59.0289870400524,27.3949972953087 59.0327493032023,27.4023675948466 59.0358292876854,27.4107631947662 59.0381084362211,27.4198610150007 59.039498998193,27.4293107774127 59.0399474269275,27.438748566561 59.0394364539822,27.4478109317491 59.0379857581982,27.4561489705063 59.0356512029708,27.4634418344768 59.032522672043,27.4694091237423 59.0287205896626,27.4738216834756 59.0243912627587,27.4765103848633 59.0197012287246,27.4773725568131 59.0148308305523)))', 'EEALJ', 'Alajõe', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0292892336313 58.2263681092923,26.028513568385 58.2214941507663,26.02595107466 58.2167936453322,26.021700853569 58.2124471299481,26.0159266683696 58.2086214825993,26.008850586018 58.2054635330556,26.0007444179115 58.2030944488337,25.9919192925187 58.2016051077734,25.982713757793 58.201052630666,25.9734808616259 58.2014582033969,25.9645746930866 58.2028062696883,25.9563368852105 58.2050451244203,25.9490835813412 58.208088885408,25.9430933514901 58.2118207701619,25.9385965131122 58.2160975552835,25.9357662626866 58.2207550514419,25.9347119614791 58.2256143879355,25.9354748423037 58.2304888691571,25.9380263159714 58.2351911421392,25.9422689590719 58.239540400831,25.948040162029 58.2433693496042,25.9551183119091 58.2465306560772,25.9632312825558 58.2489026416712,25.9720669098771 58.250393986838,25.981285047095 58.2509472656789,25.9905307276995 58.2505411702514,25.9994479163034 58.2491913364094,26.0076933021648 58.2469497383668,26.0149495882615 58.2439026759535,26.0209377505685 58.2401674342712,26.0254277863988 58.2358877477802,26.0282475349012 58.231228247518,26.0292892336313 58.2263681092923)))', 'EEALK', 'Alliku, Kivilõppe k', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1685260429158 58.4222045000133,23.1673139470192 58.4173558351144,23.1643228972081 58.4127243446931,23.15966842461 58.4084878921464,23.1535297635785 58.4048091110924,23.1461429084628 58.4018291814665,23.1377915311696 58.3996624334843,23.1287961104923 58.3983919823724,23.1195016862535 58.3980665573216,23.1102646982307 58.3986986430434,23.1014394006974 58.4002640032019,23.0933643576616 58.4027026035525,23.086349521274 58.4059209005588,23.0806643764495 58.4097954103279,23.076527598783 58.4141774246325,23.0740986210019 58.4188986972403,23.0734714365223 58.4237778863498,23.0746708887176 58.4286275090868,23.0776516034452 58.4332611430056,23.0822996229998 58.4375005983819,23.0884366954468 58.4411827844445,23.0958270682883 58.4441660028764,23.1041865340789 58.4463354227708,23.1131933826255 58.4476075221263,23.1225008343143 58.447933320821,23.1317504660531 58.4473002772595,23.140586098674 58.4457327736006,23.1486675947448 58.4432911704178,23.1556840197004 58.4400694684023,23.1613656467845 58.4361916698287,23.1654943359496 58.4318069836147,23.1679118858698 58.427084062766,23.1685260429158 58.4222045000133)))', 'EEALL', 'Alla', 'Y'),('SRID=4326;MULTIPOLYGON(((27.4753641519923 59.0088315891179,27.4743678877461 59.0039680080094,27.4715520944264 58.9992980973417,27.4670256195897 58.9950012052985,27.4609628333466 58.991242291339,27.4535968637595 58.9881656124332,27.4452106170411 58.9858892091498,27.436125930718 58.9845003989673,27.4266912727301 58.9840524455214,27.4172684489749 58.9845625280352,27.40821881512 58.9860110864973,27.3998895050286 58.988342566944,27.3926001876075 58.9914675391693,27.3866308463012 58.9952661080817,27.3822110410975 58.9995924914522,27.3795110623552 59.0042805926434,27.3786353200135 59.0091503586574,27.3796182322703 59.0140146829675,27.3824227866984 59.0186865903915,27.3869418467594 59.0229864287584,27.3930021711768 59.0267487900585,27.4003710066823 59.0298288924956,27.4087650107568 59.0321081742992,27.4178611648881 59.0334988797616,27.4273092552647 59.0339474567071,27.4367454310261 59.0334366309904,27.445806303779 59.0319860757689,27.4541430286386 59.0296516489956,27.4614348078685 59.0265232294286,27.4674012832397 59.0227212369862,27.4718133310807 59.0183919750985,27.4745018420224 59.0137019786303,27.4753641519923 59.0088315891179)))', 'EEALS', 'Alajõe Saare kinnistu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0134868357568 58.374374583702,26.0127103187583 58.3695006381162,26.0101394179053 58.3647998981541,26.0058735638608 58.360452909297,26.0000771252722 58.3566265668852,25.992973026359 58.3534677263352,25.9848341543999 58.351097588279,25.9759728911374 58.3496070700385,25.966729167565 58.3490533368904,25.9574574920987 58.3494576226139,25.9485134367593 58.3508044204496,25.9402400840819 58.3530420745083,25.9329549387358 58.3560847495833,25.9269377922748 58.3598157059782,25.9224199972927 58.3640917570973,25.9195755591132 58.3687487428359,25.9185143899412 58.3736078128649,25.9192779935854 58.3784822821962,25.9218377604208 58.3831847982625,25.9260959548358 58.3875345451872,25.9318893742935 58.3913642077398,25.9389955542129 58.3945264250429,25.9471412905044 58.3968994823841,25.9560131563948 58.3983920180064,25.9652696067354 58.3989465595042,25.9745541955719 58.3985417500341,25.9835093849364 58.3971931760916,25.9917903972379 58.3949527639624,25.9990785616999 58.3919067687452,26.0050936271388 58.3881724355981,26.0096045577809 58.3838934651967,26.0124383933379 58.3792344620792,26.0134868357568 58.374374583702)))', 'EEALV', 'Alliku, Valma k', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5471975167645 59.6015547520117,25.5464622437386 59.5966791254838,25.5438652879183 59.5919698636941,25.5395071435499 59.587607837766,25.5335557746833 59.5837605152955,25.5262400872075 59.5805755494338,25.5178411022711 59.5781751346658,25.5086811747324 59.5766513416301,25.499111668173 59.5760626056104,25.4894995505445 59.5764314996004,25.4802134106575 59.5777438746968,25.4716094149058 59.5799493996654,25.4640177255282 59.5829634795742,25.45772988636 59.5866704821157,25.4529876496321 59.590928151352,25.4499736684819 59.5955730438042,25.4488044153651 59.6004267826421,25.4495256078843 59.6053028937187,25.4521103326747 59.6100139636344,25.4564599575513 59.6143788459954,25.4624078154808 59.6182296383406,25.4697255350864 59.6214181592622,25.4781317858501 59.6238216730494,25.4873031067595 59.6253476372652,25.4968863996941 59.625937286083,25.5065125978482 59.6255679075434,25.5158109687744 59.6242537243181,25.5244234840123 59.6220453429134,25.5320186843097 59.6190277931282,25.5383044913292 59.6153172355279,25.5430394622204 59.6110564672754,25.5460420500056 59.6064094036462,25.5471975167645 59.6015547520117)))', 'EEALX', 'Aleksandri', 'Y'),('SRID=4326;MULTIPOLYGON(((25.830189961418 59.5924484654966,25.8294138904797 59.5875743237635,25.8267780139634 59.5828705720697,25.8223843171946 59.5785178678262,25.8164021236746 59.5746833190776,25.8090615159103 59.5715140876019,25.8006444648274 59.5691317636463,25.7914740129177 59.5676277239016,25.7819019238351 59.5670596464684,25.7722952633278 59.5674493127276,25.76302241219 59.5687817778077,25.7544390307216 59.5710059403905,25.7468744957451 59.5740364906402,25.740619315513 59.5777571637963,25.7359139950975 59.5820251781486,25.7329397756287 59.586676691394,25.7318116059532 59.5915330703452,25.7325736263399 59.5964077371087,25.7351973527519 59.6011133314839,25.7395826496053 59.6054689155286,25.7455614722108 59.6093069427756,25.7529042512566 59.6124797218772,25.7613286852631 59.6148651224922,25.7705106077572 59.6163712995355,25.7800965087914 59.6169402495216,25.7897172198691 59.616550058231,25.79900222112 59.6152157504666,25.8075940024978 59.6129887080793,25.8151619083713 59.6099546793296,25.8214149173032 59.6062304585487,25.8261128547861 59.6019593675401,25.8290756036764 59.5973057169992,25.830189961418 59.5924484654966)))', 'EEAMP', 'All-Männipõllu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1838378004063 58.652196940074,23.1826148825222 58.6473486466863,23.1796014603809 58.6427178064259,23.1749139338188 58.6384822565337,23.168732812824 58.6348045943515,23.1612957244694 58.6318259550523,23.1528882675811 58.6296606175929,23.1438330685556 58.6283916416674,23.1344774541109 58.6280676989963,23.1251802039 58.6287012172092,23.1162978768959 58.6302679054875,23.1081712197515 58.6327076797119,23.1011121626927 58.6359269528181,23.0953918889487 58.639802205166,23.0912304275687 58.6441847016669,23.0887881673399 58.6489061788906,23.0881596224704 58.6537852879593,23.0893697002723 58.6586345491949,23.0923726294576 58.6632675534789,23.0970536076461 58.667506134118,23.1032331217823 58.6711872323673,23.1106737894267 58.6741691899439,23.1190894668418 58.6763372227129,23.1281562761315 58.6776078606433,23.1375251230183 58.6779321789886,23.1468352133263 58.6772976929264,23.1557280332908 58.6757288406215,23.1638612387999 58.6732860356476,23.1709219027004 58.6700633264735,23.1766385971396 58.6661847558498,23.1807918379886 58.6617995640422,23.183222487962 58.6570764248163,23.1838378004063 58.652196940074)))', 'EEANA', 'Anenina', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5110598250498 59.5075677529681,25.5103316118845 59.502691884473,25.5077467290227 59.497981889467,25.503405202759 59.4936186679039,25.4974743562011 59.4897697341223,25.4901823062858 59.4865828040111,25.4818091675612 59.4841801482534,25.4726763052039 59.4826539241097,25.4631340475235 59.4820626605044,25.45354832066 59.4824290274603,25.4442867042996 59.483738972778,25.4357044264104 59.4859422579482,25.4281308169609 59.4889543733203,25.4218567253 59.4926597612667,25.4171233735941 59.496916227183,25.414113069973 59.5015603733284,25.4129421407396 59.5064138513348,25.413656362547 59.5112901971812,25.4162290848311 59.5160019888535,25.4205621326331 59.5203680528722,25.4264894736155 59.5242204421616,25.4337835245371 59.5274109147631,25.4421638662189 59.5298166606815,25.4513080369014 59.5313450522067,25.4608639866838 59.5319372304494,25.4704637049238 59.5315703861413,25.4797374818711 59.5302586441543,25.4883282382165 59.5280525165252,25.4959053532244 59.5250369456439,25.5021774438603 59.5213280152081,25.5069035925998 59.5170684591341,25.5099025879012 59.5124221456104,25.5110598250498 59.5075677529681)))', 'EEANE', 'Andineeme', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2811175506513 58.0995350951446,22.2800378470981 58.0946775598565,22.2771897286559 58.0900248396342,22.2726832349496 58.0857556208116,22.2666919255075 58.0820338018631,22.2594461527874 58.079002220031,22.251224193394 58.0767771910881,22.2423415807336 58.0754440676758,22.233139044946 58.0750539826249,22.2239695135873 58.0756218988733,22.2151846582629 58.0771260386677,22.2071214876495 58.0795087133454,22.2000894858459 58.0826785228872,22.1943587767645 58.0865138433419,22.1901497606201 58.0908674718903,22.1876246181114 58.095572255418,22.1868810126464 58.100447490602,22.1879482424706 58.1053058531396,22.1907860049174 58.1099605921504,22.1952858369673 58.1142327139589,22.2012751932702 58.1179578781381,22.2085240187196 58.1209927381646,22.2167535719635 58.1232204791901,22.2256471635018 58.1245553356825,22.2348623917584 58.1249459109648,22.2440443968605 58.1243771674655,22.2528396081853 58.1228710088798,22.2609094404478 58.1204854312136,22.2679433953749 58.1173122764403,22.2736710517126 58.1134736777925,22.2778724740016 58.1091173371644,22.2803866376398 58.104410820559,22.2811175506513 58.0995350951446)))', 'EEANK', 'Anseküla', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1872055273684 59.5993144526694,26.186377627517 59.5944423658938,26.1836913404683 59.5897457376436,26.1792505837517 59.5854049490425,26.1732264813112 59.5815866484566,26.1658507163696 59.5784373725288,26.157406600821 59.5760779450464,26.1482182083779 59.5745988643062,26.1386379858796 59.5740568516072,26.1290333089182 59.574472689533,26.1197724832943 59.5758304303678,26.1112107121729 59.5780780039981,26.10367654991 59.5811292026868,26.0974593473548 59.5848669689019,26.0927981602302 59.5891478636452,26.0898725425325 59.5938075481297,26.0887955816735 59.5986670727941,26.0896094527573 59.6035397359978,26.0922836779458 59.6082382516094,26.0967161760165 59.6125819511725,26.1027370803311 59.6164037431537,26.110115194556 59.6195565593775,26.1185668491442 59.6219190370781,26.1277668226345 59.6234002135903,26.137360905077 59.6239430485518,26.1469796108246 59.6235266341968,26.1562524983172 59.6221670059975,26.164822528078 59.6199165214022,26.1723598884491 59.6168618313166,26.1785747417024 59.6131205248067,26.1832283897789 59.6088365798481,26.1861424264358 59.6041747995949,26.1872055273684 59.5993144526694)))', 'EEAOL', 'Altja oja lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1904167402584 58.3203087966625,26.1896169804147 58.3154358375076,26.1870264323505 58.3107385723112,26.1827452770082 58.3063974120444,26.1769384657084 58.3025790275742,26.169829316159 58.2994299685812,26.1616909055992 58.2970710604343,26.15283559553 58.2955927899899,26.143603087659 58.2950518532325,26.1343474609593 58.2954689936472,26.1254236741165 58.2968282117977,26.1171740354915 58.2990773754684,26.1099151437737 58.3021302076319,26.1039257867379 58.3058695781821,26.0994362531949 58.3101519765389,26.0966194649295 58.3148129975854,26.0955842721055 58.319673634533,26.0963711787184 58.3245471407106,26.0989506762133 58.329246199238,26.1032242659952 58.3335901261263,26.1090281485327 58.337411829316,26.1161394519987 58.3405642538818,26.1242847712432 58.3429260620767,26.1331506929819 58.3444063255376,26.1423958999758 58.3449480448608,26.1516643799221 58.3445303574224,26.1605992173414 58.3431693459382,26.1688564215214 58.3409174156433,26.1761182419864 58.337861264759,26.1821054450898 58.3341185286369,26.186588069941 58.3298332302348,26.1893942465423 58.3251702161745,26.1904167402584 58.3203087966625)))', 'EEARJ', 'Arali, Järveküla k', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5370419840262 58.0679186899575,24.536473152846 58.0630378308211,24.5341189461299 58.0583095396376,24.5300704735066 58.0539154319674,24.5244837712882 58.0500242228247,24.5175737369795 58.0467852656121,24.5096058401515 58.0443228404771,24.5008859328153 58.0427314073433,24.4917485489617 58.042072001636,24.4825441347955 58.0423699073109,24.4736256873337 58.0436136938022,24.4653352987804 58.0457556525964,24.4579911071454 58.0487136170649,24.4518751398841 58.0523740976685,24.4472225071626 58.0565966154423,24.4442123552244 58.0612190714453,24.4429609291859 58.0660639502454,24.4435170197789 58.0709451229818,24.4458599820338 58.0756749914364,24.4499004181873 58.0800716999239,24.4554835154075 58.0839661374801,24.4623949250212 58.0872084592059,24.470368968083 58.089673872737,24.4790988568752 58.0912674631932,24.4882485378201 58.0919278667157,24.4974656925891 58.0916296474401,24.5063953845208 58.0903842836754,24.5146938095404 58.0882397240609,24.5220416061598 58.0852785311774,24.5281561981002 58.0816146860613,24.5328026845794 58.0773891798938,24.5358028550652 58.0727645665712,24.5370419840262 58.0679186899575)))', 'EEARM', 'Arumetsa', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9278021587015 57.8500352497863,26.9269127283255 57.8451666987557,26.9242595974766 57.8404841736514,26.9199453225356 57.8361675160079,26.9141360989234 57.8323824546577,26.907055313654 57.8292742609101,26.8989749393596 57.8269621942153,26.8902051036765 57.8255349474536,26.8810822315679 57.8250472625897,26.8719562070906 57.8255178431047,26.8631770342687 57.8269286409946,26.8550814935364 57.8292255448608,26.8479802903506 57.8323204434816,26.8421461760696 57.8360945879638,26.8378034883112 57.8404031268889,26.8351195093482 57.8450806444591,26.8341979776615 57.8499474931311,26.8350750110174 57.8548166810639,26.837717611417 57.8595010521976,26.8420248256436 57.863820483957,26.8478315332072 57.8676088251765,26.8549147301428 57.8707203052162,26.8630020766669 57.8730351643178,26.8717823836858 57.8744642844817,26.8809176320689 57.8749526385342,26.8900560535809 57.8744814211159,26.8988457568583 57.8730687771939,26.9069483582991 57.870769099209,26.9140520775189 57.867670920718,26.9198837801191 57.8638934899447,26.9242194956417 57.8595821586154,26.9268930032749 57.8549027676456,26.9278021587015 57.8500352497863)))', 'EEARN', 'Arno', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1341990700447 58.1573290160677,26.1334104611107 58.1524556122295,26.1308389895187 58.1477571409419,26.1265840970695 58.143414060562,26.1208097223469 58.1395931170106,26.1137379361696 58.1364409596121,26.1056403827048 58.1340785339429,26.0968278588458 58.1325964628385,26.0876384294466 58.132051588687,26.0784245261613 58.1324648061228,26.0695395119585 58.1338202658213,26.0613242112399 58.1360659789695,26.0540939066026 58.1391157998802,26.0481262876406 58.1428527128686,26.0436508050327 58.1471333006573,26.0408398351055 58.1517932269012,26.0398019970295 58.1566535265331,26.0405778882727 58.1615274660037,26.0431384158716 58.1662277124265,26.0473858041475 58.1705735371965,26.0531572569603 58.1743977765851,26.0602311483285 58.177553279507,26.0683355135924 58.1799185910598,26.0771585188252 58.1814026490578,26.0863605034778 58.1819483086258,26.0955871244694 58.1815345555566,26.1044830826725 58.1801773207203,26.112705887559 58.1779288631792,26.1199391140914 58.1748757464298,26.125904627847 58.1711354879191,26.1303732986487 58.1668520142495,26.1331737872074 58.1621901011148,26.1341990700447 58.1573290160677)))', 'EEARR', 'Arali, Rannaküla k', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5470780466242 59.5195543150626,25.5463443999703 59.5146786352354,25.5437535952254 59.5099693379518,25.5394058863087 59.505607296047,25.5334688335032 59.5017599782704,25.5261707914218 59.4985750382419,25.5177921037816 59.4961746701137,25.5086543477825 59.4946509433027,25.4991080386487 59.4940622909424,25.4895192573167 59.494431282971,25.4802557003383 59.495743766617,25.4716726702041 59.4979494061295,25.4640995262059 59.5009636016378,25.4578271006277 59.5046707157436,25.4530965527139 59.5089284875612,25.450090084066 59.513573469097,25.4489238747598 59.5184272796996,25.4496435209688 59.5233034423024,25.4522221641926 59.5280145416248,25.4565614019916 59.532379430488,25.4624949637349 59.5362302067197,25.4697950262957 59.539418690182,25.4781809383615 59.5418221472668,25.4873300228809 59.5433480382908,25.4968900399641 59.5439376006382,25.5064928217597 59.543568125833,25.5157685402683 59.5422538401454,25.5243600415147 59.5400453536713,25.5319366765579 59.5370276997062,25.538207081638 59.5333170421676,25.542930405117 59.5290561813964,25.5459255452503 59.5244090356508,25.5470780466242 59.5195543150626)))', 'EEARS', 'Arusoo', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9320069220519 59.459034685574,26.9310751721997 59.454167380965,26.9282967013735 59.4494860948447,26.9237789515905 59.445170614209,26.9176959837356 59.4413866123044,26.9102817208865 59.4382793075209,26.9018209350153 59.435967912944,26.8926383269635 59.4345410852786,26.8830861156926 59.4340535434611,26.8735306035123 59.434523983027,26.8643382182981 59.4359343637839,26.8558615510796 59.43823059724,26.8484259075239 59.4413246082531,26.8423168747752 59.4450976942316,26.837769371085 59.4494050566508,26.8349585952561 59.4540813353093,26.8339932270762 59.4589469372455,26.8349111501014 59.463814921022,26.8376778764024 59.4684981744819,26.8421877519579 59.4728166111207,26.8482679146642 59.4766041076678,26.8556848685062 59.4797149137057,26.8641534318361 59.4820292831144,26.8733477197667 59.4834581062973,26.882913735179 59.4839463605177,26.8924830742043 59.4834752417832,26.9016872039513 59.4820628936835,26.91017174539 59.4797637042213,26.9176101940764 59.4766661985644,26.9237165358144 59.4728896113328,26.9282562620382 59.4685792740848,26.9310553579957 59.4639009999118,26.9320069220519 59.459034685574)))', 'EEASE', 'Aseri', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5107548450185 58.5784475370641,22.5096277526484 58.5735925290383,22.506709615758 58.568945607109,22.5021131803572 58.5646852311681,22.4960154695133 58.5609749558151,22.4886509222034 58.5579571708148,22.4803023678677 58.5557476586425,22.4712901858713 58.5544311737856,22.4619600620969 58.5540582093316,22.4526698027528 58.5546430715206,22.4437756972354 58.5561633339953,22.4356189369871 58.5585606921109,22.4285125954844 58.561743185614,22.4227296557935 58.5655887069817,22.4184925368408 58.5699496644825,22.4159645182755 58.5746586252229,22.4152433975876 58.5795347256988,22.4163576335042 58.584390607127,22.4192651387632 58.5890396113562,22.4238547859231 58.5933029614837,22.4299505853664 58.5970166501178,22.4373183891132 58.6000377678527,22.4456748719634 58.6022500248342,22.4546984475086 58.6035682487018,22.4640416952999 58.603941681619,22.4733448111127 58.6033559460262,22.4822495482665 58.6018336012488,22.4904130967476 58.5994332689438,22.4975213496343 58.5962473621588,22.5033010328731 58.592398508058,22.5075302233063 58.5880348057508,22.5100468483309 58.5833241060024,22.5107548450185 58.5784475370641)))', 'EEASU', 'Asuka', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1131002801238 58.8412217436856,23.1118799663597 58.8363728932923,23.1088589682515 58.831740567011,23.1041539856727 58.8275026587473,23.0979462059178 58.8238218554848,23.0904742836263 58.8208394117223,23.0820251554982 58.8186697510503,23.0729230448175 58.8173960977848,23.063517073524 58.817067302161,23.0541679469855 58.8176959775413,23.0452342078157 58.8192580190381,23.0370585695111 58.8216935215413,23.0299548381097 58.82490906313,23.0241959105246 58.8287812689458,23.0200033019829 58.8331615225468,23.0175386027242 58.8378816482167,23.0168971968349 58.8427603502561,23.0181044953564 58.8476101653975,23.021114843781 58.8522446634168,23.0258131635521 58.8564856197815,23.0320192817292 58.8601698834629,23.0394947966366 58.863155673145,23.0479522246345 58.865328055851,23.05706607886 58.866603392859,23.066485449523 58.8669325775991,23.0758475913194 58.8663029374689,23.0847919801772 58.8647387242311,23.0929742812805 58.8623001736242,23.1000796742426 58.8590811716158,23.1058350091963 58.8552056198821,23.1100193178637 58.8508226442502,23.1124722735866 58.8461008348404,23.1131002801238 58.8412217436856)))', 'EEATK', 'Andruse talu lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((21.9413911602162 58.3016599940867,21.9403514512869 58.2967996558805,21.937531265907 58.2921394457777,21.9330395834966 58.2878583392422,21.9270494071251 58.2841206917068,21.9197910559888 58.281069947623,21.911543296348 58.2788231570525,21.902622654417 58.277466506108,21.8933713179457 58.2770520286712,21.8841440814705 58.2775956221548,21.8752948224759 58.2790764412343,21.8671630114191 58.2814376921437,21.8600607574809 58.2845887980372,21.8542608740097 58.2884088547994,21.8499864132262 58.2927512482858,21.8474020694551 58.2974492599554,21.8466077849696 58.3023224498278,21.8476348139738 58.3071835751211,21.8504444104146 58.311845781075,21.8549292069408 58.3161297883762,21.8609172487979 58.3198707999771,21.8681785417536 58.322924859278,21.8764338716854 58.325174411505,21.885365559872 58.3265328501078,21.8946297368699 58.3269478690492,21.9038696532852 58.3264034884773,21.9127295012243 58.3249206735438,21.920868198158 58.322556521866,21.9279725865948 58.3194020519061,21.9337695282316 58.3155786799282,21.9380364187188 58.311233524788,21.9406097162414 58.3065337254628,21.9413911602162 58.3016599940867)))', 'EEATL', 'Atla', 'Y'),('SRID=4326;MULTIPOLYGON(((25.6031185089567 59.5465334473237,25.6023762327535 59.5416580703866,25.599775580291 59.5369498662266,25.5954171844053 59.5325896651602,25.5894690156934 59.528744864742,25.5821598547695 59.5255630215261,25.5737704708482 59.523166210507,25.5646228500443 59.5216463644537,25.5550678845237 59.5210617676053,25.5454719860339 59.5214348344442,25.5362031233734 59.522751256096,25.5276168024452 59.5249605459842,25.5200425093752 59.5279779644085,25.5137711217733 59.5316877504418,25.5090437607832 59.5359475406688,25.5060425076727 59.5405938094809,25.5048833442504 59.545448126518,25.5056115977786 59.5503239948563,25.5082000802537 59.5550340100329,25.5125500116079 59.5593970660212,25.5184947098937 59.5632453306311,25.5258059228414 59.5664307199172,25.5342025688384 59.5688306190278,25.5433615561869 59.5703526250592,25.5529302622662 59.5709381249345,25.5625401834498 59.5705645666934,25.5718212161068 59.569246334022,25.5804160015608 59.5670341892087,25.5879937650397 59.5640133065911,25.5942631005991 59.5602999744885,25.5989831995041 59.5560370961731,25.6019730860758 59.5513886673861,25.6031185089567 59.5465334473237)))', 'EEATO', 'Alttoa', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4114801692793 58.4009685603459,24.4109245797919 58.39608747077,24.408566271369 58.3913570462501,24.4044965272638 58.3869589839666,24.3988722140787 58.3830621495512,24.3919096824201 58.3798161104401,24.3838764207625 58.3773454163319,24.3750807880218 58.375744842255,24.365860217523 58.3750757725889,24.3565683374489 58.375363861036,24.3475614894073 58.3765980536078,24.3391851468053 58.3787310108332,24.3317607379541 58.381680913355,24.3255733652204 58.3853345835854,24.3208608813104 58.3895518068794,24.3178047374836 58.3941706904313,24.3165229570192 58.3990138584321,24.3170655120025 58.4038952494102,24.3194122943531 58.4086272574618,24.3234737755559 58.4130279443286,24.3290943469611 58.4169280448105,24.3360582276177 58.4201774942426,24.3440977236818 58.4226512237358,24.3529035271077 58.4242539961512,24.362136656175 58.4249240924317,24.3714415707697 58.4246357025817,24.3804599448926 58.4233999264757,24.3888445503935 58.421264344664,24.3962727010102 58.4183111760742,24.4024587247296 58.4146540955234,24.407164974224 58.4104338368469,24.4102109473692 58.4058127549594,24.4114801692793 58.4009685603459)))', 'EEAUD', 'Audru', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9009677683846 58.7659292569531,23.899640842023 58.7610888963077,23.8965224646069 58.7564759653411,23.8917330618429 58.7522676079971,23.8854570446849 58.7486253730709,23.8779356685027 58.7456890327741,23.869457751131 58.743571241292,23.860348608036 58.7423532340604,23.8509576245617 58.7420817287175,23.8416449316152 58.7427671433791,23.8327676813308 58.7443831986527,23.8246664326808 58.7468679183268,23.81765215346 58.7501259916713,23.8119943245808 58.7540324095042,23.807910595508 58.758437238327,23.8055583865641 58.7631713535966,23.805028765836 58.7680529161491,23.8063428470775 58.7728943463893,23.8094508625551 58.7775095303463,23.8142339640728 58.7817209810796,23.8205086999861 58.7853666788541,23.8280340099872 58.7883063242711,23.8365204773562 58.7904267599703,23.8456414849679 58.7916463479571,23.8550458412114 58.7919181299372,23.8643713792927 58.7912316456791,23.8732589915191 58.7896133374121,23.8813665414058 58.7871255243461,23.8883821018538 58.7838639881527,23.8940359968994 58.7799542652014,23.8981111759714 58.7755467921645,23.9004515204083 58.7708110961422,23.9009677683846 58.7659292569531)))', 'EEAUL', 'Aru lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6856416572512 58.5210118152876,23.6843546484053 58.5161687890459,23.6812871585748 58.5115501216277,23.6765576518031 58.5073331799451,23.670348236408 58.5036798451595,23.6628976127643 58.5007303180981,23.6544918888551 58.4985977610283,23.6454536181874 58.4973639772086,23.6361294762965 58.4970762899615,23.6268770384779 58.4977457377636,23.6180511516788 58.4993466526482,23.6099904071211 58.5018176377266,23.6030042169737 58.5050639076079,23.5973609782861 58.5089609046518,23.5932777707403 58.5133590560655,23.590911982229 58.5180894935161,23.5903551888877 58.5229705197705,23.5916295355735 58.5278145773405,23.5946867710857 58.5324354534632,23.5994099925071 58.5366554449719,23.6056180484096 58.5403122063973,23.6130724453923 58.5432650152376,23.6214865010187 58.5454002096039,23.6305363933541 58.5466355847326,23.6398736775677 58.5469235750383,23.6491387775609 58.5462530959062,23.657974918682 58.5446499723141,23.6660419485808 58.5421759374071,23.6730294982041 58.5389262408853,23.6786689635382 58.5350259620642,23.6827438393631 58.5306251733569,23.685098006216 58.5258931445998,23.6856416572512 58.5210118152876)))', 'EEAYY', 'Avanina talu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6989513114803 59.4488717235203,24.6983412546806 59.4439922525966,24.6958740990996 59.4392671170109,24.6916453555198 59.4348778045925,24.6858180291233 59.4309928367818,24.6786162799648 59.4277613164201,24.6703167755691 59.4253072273632,24.6612380728959 59.423724700492,24.6517284355016 59.4230744234009,24.642152545073 59.4233813276369,24.632877603584 59.424633639432,24.6242593425012 59.4267833290712,24.616628458451 59.4297479420949,24.6102779805262 59.4334137441601,24.6054520431852 59.4376400623099,24.6023364910008 59.4422646602808,24.6010516782481 59.4471099459365,24.6016477488338 59.4519897764203,24.6041025923127 59.4567166025101,24.6083225723061 59.4611086790134,24.6141460178093 59.4649970636833,24.6213493596023 59.4682321334933,24.6296556877 59.470689364216,24.6387454062981 59.4722741466798,24.6482685747646 59.472925449896,24.6578584514261 59.472618186099,24.6671457050273 59.471364183797,24.675772729692 59.4692117300698,24.683407494619 59.4662437001851,24.6897563798905 59.4625743486724,24.6945754935195 59.4583448888596,24.6976800297834 59.4537180352993,24.6989513114803 59.4488717235203)))', 'EEBEK', 'Bekkeri', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6291145666322 58.0907761400143,27.6281237408106 58.0859130435448,27.6253611594678 58.0812457179734,27.6209335845572 58.0769534151453,27.6150115568731 58.0732009234236,27.6078227829424 58.0701322596974,27.5996433654116 58.0678651636739,27.5907872167464 58.0664866016648,27.5815940593454 58.0660494483423,27.5724164635481 58.0665704703782,27.5636064075121 58.0680296870992,27.5555018589637 58.0703711319729,27.5484138781158 58.0735049866249,27.5426147236153 58.0773110079057,27.5383274095006 58.0816431200337,27.5357171114416 58.086334999693,27.5348847559994 58.0912064437861,27.5358630487793 58.0960702787814,27.5386151082422 58.1007395485472,27.5430357742943 58.1050347052532,27.5489555579539 58.1087905260598,27.5561470943297 58.1118624872551,27.5643338602214 58.1141323471219,27.5732008244429 58.1155127185777,27.5824066180238 58.1159504514779,27.5915967468776 58.1154286909151,27.6004173247991 58.1139675299969,27.6085287821993 58.1116232312426,27.6156190070564 58.1084860475047,27.621415399097 58.104676728756,27.6256953648453 58.1003418527876,27.6282948473548 58.0956481636842,27.6291145666322 58.0907761400143)))', 'EEBER', 'Beresje', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0591156367804 58.1380959623076,24.0586114246861 58.1332136665853,24.0563164956815 58.1284771852893,24.0523196902811 58.1240684517905,24.0467750709957 58.1201567451325,24.0398959309055 58.1168922069937,24.0319465642474 58.1144000996658,24.0232321201493 58.1127760214816,24.0140869277831 58.1120822591361,24.0048617336956 58.1123454131256,23.9959103288238 58.1135553846731,23.9875760630651 58.1156657616845,23.9801787489023 58.1185955892262,23.9740024424696 58.1222324584662,23.9692845607976 58.1264367987163,23.9662067483438 58.1310472118414,23.9648878451947 58.1358866484705,23.9653792348805 58.1407691926543,23.9676627634716 58.1455071971801,23.9716513260613 58.1499184967799,23.9771921150327 58.1538334217449,23.9840724204389 58.1571013404389,23.9920277706378 58.1595964759114,24.0007521055638 58.1612227688214,24.0099095902551 58.1619175953014,24.0191476067672 58.1616541928499,24.0281104120614 58.16044269807,24.0364529206277 58.1583297549549,24.043854065091 58.1553967091046,24.0500292061917 58.15175645931,24.0547411043137 58.1475490909177,24.0578090259429 58.1429364630696,24.0591156367804 58.1380959623076)))', 'EEBET', 'Beti', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2743671567409 59.036160050303,23.2731166621553 59.0313130584855,23.2700564091251 59.0266848909034,23.2653046114514 59.0224532796834,23.2590442567244 59.0187806678478,23.2515160168832 59.0158079934263,23.2430089858872 59.0136493034489,23.2338496024016 59.0123874002221,23.2243891782208 59.0120706828013,23.2149905005706 59.0127113014824,23.2060140075496 59.0142846940533,23.1978040502494 59.0167305211459,23.190675752304 59.0199549660395,23.1849029577845 59.0238343134067,23.180707721775 59.0282196734962,23.1782517452721 59.0329426747715,23.1776300882786 59.0378219106635,23.1788674136744 59.0426698963,23.1819169218214 59.0473002701122,23.1866620347286 59.0515349640957,23.192920782503 59.0552110659059,23.2004527378531 59.0581871061963,23.2089682411706 59.0603485255135,23.218139563957 59.0616121060332,23.2276135767655 59.0619291933466,23.2370254236212 59.0612875808449,23.2460126615298 59.0597119820409,23.2542293035872 59.057263072182,23.2613592084674 59.054035137313,23.2671282874622 59.0501524240785,23.2713150511459 59.0457643346523,23.2737590883574 59.0410396560869,23.2743671567409 59.036160050303)))', 'EEBOR', 'Borrby', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6862960433962 58.9960067849975,23.6849893683823 58.9911642216727,23.6818778499711 58.9865461979379,23.6770816633309 58.9823300536747,23.6707854909681 58.9786776361751,23.6632313698148 58.9757291073502,23.6547093781836 58.9735975875564,23.6455465221796 58.9723648372967,23.6360942434507 58.9720781383742,23.626715017044 58.9727484908513,23.6177685387147 58.9743501929937,23.6095980147929 58.9768218199387,23.6025170644097 58.980068564844,23.5967977235553 58.9839658554778,23.5926600033992 58.9883641113197,23.5902634021725 58.9930944629303,23.5897007017616 58.9979752181896,23.5909942985673 59.0028188304692,23.5940952253247 59.0074391031247,23.5988849193481 59.0116583538971,23.6051796865751 59.0153142625573,23.6127377039967 59.0182661356969,23.6212683001321 59.0204003438172,23.6304431589194 59.0216347171415,23.6399090113934 59.0219217267691,23.6493013160237 59.0212503253354,23.6582583860107 59.0196463742693,23.6664354025395 59.0171716408124,23.6735177580407 59.0139214047457,23.6792332026115 59.0100207697991,23.6833623182594 59.0056198256337,23.6857469167127 59.0008878509612,23.6862960433962 58.9960067849975)))', 'EEBTO', 'Betoneks', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5496017693384 59.2090557397025,23.5483054424123 59.204211867539,23.5451921305762 59.1995907076793,23.5403820891799 59.1953697203468,23.5340605419341 59.1917109380109,23.5264705058708 59.1887547656229,23.5179034398851 59.1866146153399,23.5086880780366 59.1853725773057,23.4991778715404 59.1850762884439,23.4897375106413 59.1857371160438,23.4807290284533 59.1873297237906,23.4724980028233 59.1897930364848,23.4653603691298 59.1930325677277,23.4595903366666 59.1969240240567,23.4554098642079 59.2013180510975,23.4529800971183 59.206045943949,23.4523951000183 59.2109261067902,23.4536781371073 59.2157710170758,23.4567806589712 59.2203944289013,23.461584052935 59.2246185392028,23.4679041073012 59.2282808400677,23.4754980323192 59.2312403908806,23.4840737770394 59.2333832651496,23.4933012861443 59.2346269580281,23.5028252591071 59.2349235806567,23.5122789098592 59.234261714933,23.5212981820236 59.2326668552172,23.5295358550762 59.2302004195513,23.536674981631 59.2269573697787,23.5424411251236 59.2230625350265,23.5466129188436 59.2186657840027,23.5490305386867 59.2139362363098,23.5496017693384 59.2090557397025)))', 'EEDIR', 'Dirhami', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3473604631922 59.0331328437124,23.3460998318649 59.0282866223314,23.3430300932638 59.0236602403927,23.3382698243444 59.0194313609501,23.332002336413 59.0157623217758,23.3244685735255 59.0127939235578,23.3159578400054 59.0106400491776,23.3067967153316 59.0093833162661,23.2973365773732 59.0090719257152,23.287940202279 59.0097178237035,23.2789679403569 59.0112962457028,23.2707639814622 59.0137466595191,23.2636432205369 59.0169750724372,23.2578792140161 59.0208576166889,23.2536936811536 59.0252452794865,23.2512479515396 59.0299696004176,23.2506366922417 59.0348491216707,23.2518841666466 59.0396963468145,23.2549431844028 59.0443249429392,23.2596968007055 59.0485569099019,23.2659627170508 59.0522294398841,23.2735002286466 59.055201200754,23.2820194604657 59.0573577976966,23.2911925392414 59.0586161985946,23.3006662671988 59.0589279486202,23.310075799231 59.0582810468673,23.3190587820022 59.0567004106789,23.3272693935042 59.0542469093398,23.3343917259979 59.0510150056131,23.3401519837947 59.0471290987112,23.3443290183539 59.0427387133543,23.3467627938755 59.0380127244393,23.3473604631922 59.0331328437124)))', 'EEDIY', 'Diby', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1382295941103 58.1803276112581,26.1374399539818 58.1754542470584,26.1348663190791 58.1707558681079,26.1306082152393 58.166412929096,26.1248297050272 58.1625921703507,26.1177530183374 58.1594402339186,26.1096499873712 58.1570780567196,26.1008316188335 58.1555962519111,26.0916362012079 58.155051651574,26.082416395151 58.1554651398126,26.0735257893769 58.156820856956,26.0653054222661 58.1590668044165,26.0580707705416 58.162116827662,26.0520996906977 58.1658539034076,26.0476217666982 58.1701346082865,26.0448094693738 58.1747946015839,26.0437714698842 58.1796549157302,26.0445483730241 58.1845288166263,26.0471110480428 58.189228972808,26.0513616376445 58.1935746590191,26.0571372232401 58.1973987166961,26.0642160201846 58.2005540015601,26.072325875013 58.2029190669227,26.0811547421507 58.2044028599291,26.0903627347963 58.2049482458129,26.0995952778572 58.2045342208769,26.1084968435225 58.2031767264997,26.1167247248661 58.2009280318372,26.1239623011923 58.1978747096588,26.129931270766 58.1941342854822,26.1344023708961 58.1898506924424,26.1372041696258 58.1851887109498,26.1382295941103 58.1803276112581)))', 'EEEHA', 'Eha', 'Y'),('SRID=4326;MULTIPOLYGON(((26.3741637696058 59.569244169194,26.3733095525114 59.5643732105159,26.3705995755037 59.5596803661612,26.3661386622222 59.5553458706673,26.3600987058866 59.5515361298715,26.35271199341 59.5483973513699,26.3442622524362 59.5460499560443,26.3350737692617 59.544583980834,26.3254989925193 59.5440556448014,26.315905088991 59.5444852065016,26.3066599530174 59.5458561923006,26.2981181890772 59.548116024263,26.290607587977 59.5511780242629,26.284416600689 59.554924719784,26.2797832804695 59.5592123281796,26.276886114026 59.5638762516317,26.2758370971226 59.5687373762766,26.2766773305434 59.5736089374255,26.2793753208098 59.5783036898151,26.2838280691531 59.5826411084277,26.2898649253929 59.5864543424082,26.2972540745815 59.5895966523553,26.3057114181118 59.5919470797562,26.3149115122686 59.593415126065,26.3245001407512 59.5939442569128,26.3341080279714 59.5935140927406,26.3433651506947 59.5921411989037,26.3519150795664 59.5898784438195,26.3594287807446 59.5868129506334,26.3656173313021 59.583062723668,26.3702430489569 59.5787720832001,26.3731286044247 59.5741060886525,26.3741637696058 59.569244169194)))', 'EEEIS', 'Eisma', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4613311767211 59.0150904914522,23.4600552685296 59.0102454762031,23.4569719716159 59.0056218803387,23.4522003812726 59.0013972592069,23.4459242406812 58.9977337866091,23.4383848231997 58.9947720493478,23.4298716477147 58.9926256747178,23.420711385698 58.9913769928259,23.4112553811868 58.9910738960459,23.4018662520761 58.9917280127687,23.3929040719893 58.9933142634777,23.3847126460308 58.9957718157654,23.3776063907036 58.9990064029184,23.3718583082172 59.0028939198642,23.367689508623 59.0072851623293,23.3652606803252 59.0120115316511,23.3646658415776 59.0168914904203,23.3659286241511 59.0217375244532,23.3690012476361 59.0263633457577,23.3737662416718 59.0305910601833,23.3800408673068 59.0342580230035,23.3875840818254 59.0372231160612,23.3961057882799 59.0393722011715,23.4052780164366 59.040622535581,23.4147476005199 59.0409259753344,23.4241498552641 59.0402708398261,23.4331227087839 59.038682363674,23.4413207310404 59.0362217180896,23.4484285013062 59.0329836407136,23.4541727867399 59.0290927679731,23.4583330553605 59.0246988150308,23.4607499175278 59.0199707931942,23.4613311767211 59.0150904914522)))', 'EEEIY', 'Einby', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0494052213488 58.3561021570987,24.0489001996592 58.3512199531412,24.0465933709087 58.3464833246853,24.0425740425562 58.342074210033,24.0369971497137 58.3381619016415,24.0300772291184 58.334896562757,24.0220801414138 58.3324034848014,24.0133128648081 58.3307783019302,24.0041117506708 58.330083342201,23.9948296843844 58.3303452515881,23.9858226317155 58.3315539792417,23.9774360714349 58.3336631615872,23.9699918185948 58.3365918908301,23.9637757297134 58.3402278018988,23.959026751358 58.3444313625695,23.9559277277913 58.3490412061481,23.9545983223448 58.3538803062469,23.9550903323664 58.3587627603921,23.9573855908611 58.3635009247375,23.9613965518346 58.3679126271564,23.9669695540329 58.3718281812282,23.9738906530374 58.3750969295817,23.981893808806 58.377593061734,23.9906711193248 58.3792204785554,23.9998847056512 58.379916511889,24.009179783622 58.3796543523136,24.0181984065561 58.3784440887681,24.0265933342126 58.376332318653,24.0340414776828 58.3734003437281,24.0402563881385 58.3697610231911,24.0449992984206 58.3655544083261,24.0480882880775 58.3609423308002,24.0494052213488 58.3561021570987)))', 'EEEJM', 'Ermistu järvemajand', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0414139158386 58.3628816781529,24.040084676189 58.3580425406427,24.0369853420554 58.3534326085037,24.0322355891169 58.3492289115083,24.026018291705 58.3455928215444,24.0185724429755 58.3426638776457,24.0101839607425 58.340554453058,24.0011747337113 58.3393454648117,23.9918903238641 58.3390832864348,23.9826867865917 58.3397779790752,23.9739170999367 58.3414029070115,23.9659177074723 58.3438957520012,23.9589956756745 58.3471608888864,23.9534169461719 58.3510730340729,23.9493961263146 58.3554820306611,23.9470882087376 58.3602185908047,23.9465825430905 58.365100778888,23.9478993024583 58.3699409898029,23.9509885954105 58.3745531562108,23.9557322749459 58.378759908193,23.9619483913557 58.3823994087678,23.9693981312846 58.3853315996672,23.9777949845216 58.3874436133187,23.9868157879526 58.3886541385296,23.9961132171916 58.3889165677826,24.0053292347596 58.3882208017358,24.0141089625994 58.3865936395277,24.0221144284575 58.3840977395489,24.0290376412408 58.3808291920521,24.0346124795301 58.3769137998665,24.0386249283802 58.3725022142175,24.0409212695667 58.3677641171117,24.0414139158386 58.3628816781529)))', 'EEEKI', 'Ermistu-Kihnu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5645189517539 59.151050714978,23.5632229325492 59.1462069518067,23.5601130964664 59.141586089046,23.5553095625821 59.1373655756922,23.5489973026604 59.1337074263439,23.5414189760771 59.1307520220721,23.5328655922193 59.1286127459943,23.5236653609868 59.1273716550986,23.5141711546772 59.1270763502444,23.5047470517217 59.1277381610836,23.495754463571 59.1293317135101,23.4875383599765 59.1317958958325,23.4804141047468 59.1350361878905,23.4746553938116 59.1389282665393,23.4704837503977 59.1433227530104,23.4680599789468 59.1480509243057,23.4674779111282 59.1529311735685,23.4687606954995 59.157775974753,23.4718597892258 59.1623990861523,23.4766567086559 59.1666227164363,23.4829674890187 59.1702843764824,23.4905496961917 59.1732431507479,23.4991117300065 59.1753851430639,23.5083240636867 59.1766278829191,23.5178319824447 59.1769235184142,23.5272693202494 59.1762606695602,23.5362726507608 59.1746648684918,23.5444953687996 59.1721975692366,23.5516211035701 59.16895376648,23.5573759338999 59.1650583178392,23.5615389273526 59.1606611151331,23.5639505963656 59.155931294881,23.5645189517539 59.151050714978)))', 'EEELB', 'Elbiku', 'Y'),('SRID=4326;MULTIPOLYGON(((21.8763960184258 58.3046840637163,21.8753651232377 58.2998231778277,21.8725532223746 58.2951615166847,21.8680689779996 58.2908781119218,21.8620851088655 58.287137407546,21.8548316934862 58.2840829655446,21.8465873100653 58.2818319779498,21.8376683563668 58.2804707918446,21.8284169560362 58.2800516149445,21.8191879061989 58.280590524746,21.8103351535004 58.2820668554171,21.802198301554 58.2844239852704,21.7950896517414 58.2875714955739,21.7892822615005 58.2913886203242,21.7849994699083 58.2957288581897,21.7824062901359 58.300425573786,21.781603003238 58.3052983773907,21.7826212092357 58.3101600415804,21.7854225016619 58.3148236913857,21.7898998333906 58.3191099924168,21.7958815380584 58.3228540597367,21.8031378666753 58.3259118193805,21.8113897975266 58.328165574235,21.8203197838219 58.329528555926,21.8295840223012 58.3299482833762,21.838825761344 58.3294085952722,21.847689122485 58.3279302759361,21.8558328870703 58.3255702498119,21.8629437013335 58.3224193765634,21.8687481783219 58.3185989341718,21.8730234224781 58.3142559290496,21.8756055696609 58.30955741787,21.8763960184258 58.3046840637163)))', 'EEELD', 'Elda', 'Y'),('SRID=4326;MULTIPOLYGON(((26.7437640034541 58.5741040865522,26.7428819104225 58.5692348184216,26.7401988949526 58.5645489680983,26.7358186943128 58.5602265031107,26.7299100613677 58.5564333717581,26.7227002152228 58.5533151504211,26.7144660862003 58.5509914782701,26.7055236950266 58.5495514888182,26.6962160710661 58.5490504094548,26.6869001643552 58.5495074558711,26.6779332400821 58.5509050997581,26.6696592614328 58.5531897369892,26.6623957670975 58.5562737314293,26.6564217332062 58.5600387582707,26.6519668763032 58.5643403221167,26.6492028047626 58.5690132805894,26.6482363617502 58.573878165639,26.6491054249317 58.5787480634397,26.6517773386256 58.5834357910784,26.6561500557069 58.5877610952232,26.6620559626161 58.5915575953393,26.6692682552655 58.5946792021827,26.6775096308783 58.5970057611702,26.6864629655018 58.5984476992932,26.6957835637292 58.5989494924944,26.7051125003062 58.5984918164068,26.7140905263623 58.5970922952016,26.7223719885638 58.5948048188106,26.7296382089191 58.5917174556057,26.7356097962899 58.587949043259,26.7400574065957 58.5836445925793,26.7428105346928 58.5789696854383,26.7437640034541 58.5741040865522)))', 'EEELI', 'Elistvere', 'Y'),('SRID=4326;MULTIPOLYGON(((26.4632966502925 58.2282074529243,26.4624614482455 58.2233360970337,26.4598414478173 58.2186442649902,26.4555379541067 58.2143121575147,26.4497167684289 58.2105060969055,26.4426017529452 58.2073721594522,26.4344662040893 58.2050305904708,26.4256223698186 58.2035712122323,26.4164095104613 58.2030499968774,26.4071809527925 58.2034869322755,26.3982906209504 58.204865260297,26.3900795452907 58.2071321158044,26.3828628509937 58.2102005425646,26.3769177121654 58.2139528109791,26.3724727245923 58.2182449137565,26.3696991017887 58.2229120710976,26.3687040354976 58.2277750382247,26.3695264848097 58.2326469766472,26.3721355695829 58.2373406277089,26.3764316465262 58.2416755137604,26.3822500434615 58.2454848894912,26.3893673227912 58.2486221739146,26.3975098434351 58.2509666121685,26.4063642960459 58.2524279451606,26.4155898037479 58.2529499031562,26.4248311141669 58.2525123852252,26.433732361671 58.2511322381828,26.4419508540922 58.2488626040965,26.4491703371168 58.2457908622135,26.4551132120835 58.24203524683,26.4595512278617 58.2377402747828,26.4623142323311 58.2330711626908,26.4632966502925 58.2282074529243)))', 'EEELV', 'Elva', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8082656461969 59.644456949882,25.8074916456846 59.6395827227933,25.8048548525881 59.6348785637911,25.8004572902865 59.6305251458701,25.794468433064 59.6266896042625,25.7871186208066 59.6235191385304,25.7786901783287 59.6211353859049,25.769506584897 59.6196297775236,25.7599201071919 59.6190600513735,25.7502983612125 59.6194480519203,25.7410103044908 59.6207788981926,25.7324121788408 59.6230015511494,25.7248339254578 59.6260307592056,25.7185665784768 59.6297503095504,25.7138511103528 59.6340174640703,25.7108691531656 59.6386684139621,25.7097359551075 59.6435245480847,25.7104958523845 59.6483992982297,25.7131204455478 59.6531053011058,25.7175095685454 59.6574616030058,25.723495031902 59.6613006296385,25.7308470124208 59.6644746508788,25.7392828551933 59.6668614882014,25.748477954327 59.6683692408507,25.7580782915013 59.6689398443939,25.7677141407348 59.6685513207896,25.7770143973988 59.6672186306403,25.7856209623468 59.6649930937013,25.793202609578 59.6619604006184,25.7994677882788 59.6582372947665,25.8041758560992 59.6539670555527,25.8071463075905 59.6493139613961,25.8082656461969 59.644456949882)))', 'EEEMM', 'Emma', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1382309201334 58.181327614509,26.137441258933 58.1764542510196,26.1348675528546 58.1717558726387,26.1306093305121 58.1674129340297,26.1248306590531 58.1635921754991,26.1177537745795 58.1604402390779,26.1096505168854 58.158078061678,26.1008319013624 58.1565962564585,26.0916362259458 58.1560516555113,26.0824161611513 58.1564651429629,26.0735253055876 58.1578208591736,26.0653047071927 58.1600668055958,26.0580698515494 58.1631168277433,26.0520986029771 58.1668539023806,26.0476205519319 58.1711346061912,26.0448081741525 58.1757945985075,26.0437701439304 58.1806549118022,26.0445470672894 58.1855288120103,26.04710981275 58.1902289676931,26.0513605203516 58.1945746536093,26.057136266999 58.1983987112007,26.0642152618694 58.2015539961844,26.0723253438834 58.20391906186,26.08115445871 58.205402855354,26.090362709989 58.2059482418771,26.0995955126406 58.2055342177059,26.1084973288292 58.2041767241907,26.1167254419596 58.2019280304584,26.1239632223998 58.1988747092488,26.1299323605597 58.1951342860499,26.1344035872779 58.1908506939664,26.137205465759 58.1861887133783,26.1382309201334 58.181327614509)))', 'EEEPU', 'Epu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1261289254851 58.1043318001556,26.1253425199886 58.0994583121672,26.1227758599145 58.0947596524207,26.1185282000728 58.0904162867826,26.1127631997688 58.0865949724977,26.10570256919 58.0834423735398,26.0976175244336 58.0810794528354,26.0888183832388 58.0795968525462,26.0796426983985 58.0790514355745,26.070442375939 58.079464117441,26.061570259445 58.0808190692735,26.0533666797549 58.0830643215107,26.0461464703738 58.0861137458173,26.0401869333291 58.0898503413477,26.0357172080931 58.0941307026426,26.0329094481981 58.0987905017572,26.0318721472285 58.1036507783306,26.0326458794379 58.1085247996721,26.0352016323039 58.1132252298777,26.0394418115388 58.1175713335451,26.0452038966927 58.1213959365898,26.0522666213866 58.1245518743547,26.0603584507166 58.1269176756099,26.0691680340551 58.1284022596552,26.0783562288865 58.1289484615791,26.0875692246485 58.1285352463586,26.0964522483577 58.1271785240644,26.1046633086494 58.1249305337951,26.1118864331659 58.1218778207274,26.1178438760802 58.1181378863909,26.1223068167354 58.113854644548,26.125104134492 58.1091928616799,26.1261289254851 58.1043318001556)))', 'EEERD', 'Märdianni', 'Y'),('SRID=4326;MULTIPOLYGON(((25.9011605297111 59.5714217265809,25.9003746414583 59.5665479632847,25.8977304597654 59.5618456022583,25.8933302870548 59.5574952470611,25.8873436933645 59.5536639152598,25.8800009280563 59.5504986450377,25.8715840431578 59.5481208746742,25.8624160736674 59.5466218063199,25.8528486876052 59.5460589276015,25.8432487706562 59.5464538207251,25.8339844459394 59.5477913405051,25.825411048146 59.550020191784,25.8178575727579 59.5530548847489,25.8116141052565 59.5567789954082,25.806920702419 59.5610496096914,25.803958148507 59.5657027849304,25.8028409443116 59.5705598234941,25.8036128080396 59.5754341215303,25.8062448759044 59.5801383324549,25.8106366897019 59.5844915710791,25.8166199519644 59.5883263808612,25.8239649205135 59.5914951941271,25.8323892079021 59.5938760332009,25.8415686521717 59.5953772287481,25.85114983837 59.5959409692954,25.8607637798624 59.5955455414308,25.8700402184163 59.5942061717496,25.8786219751166 59.5919744370405,25.886178781915 59.5889362660934,25.8924200461569 59.5852086123913,25.8971060464954 59.5809349294007,25.9000571256342 59.576279626972,25.9011605297111 59.5714217265809)))', 'EEERH', 'Ero-Hansu', 'Y'),('SRID=4326;MULTIPOLYGON(((25.9011605297111 59.5714217265809,25.9003746414583 59.5665479632847,25.8977304597654 59.5618456022583,25.8933302870548 59.5574952470611,25.8873436933645 59.5536639152598,25.8800009280563 59.5504986450377,25.8715840431578 59.5481208746742,25.8624160736674 59.5466218063199,25.8528486876052 59.5460589276015,25.8432487706562 59.5464538207251,25.8339844459394 59.5477913405051,25.825411048146 59.550020191784,25.8178575727579 59.5530548847489,25.8116141052565 59.5567789954082,25.806920702419 59.5610496096914,25.803958148507 59.5657027849304,25.8028409443116 59.5705598234941,25.8036128080396 59.5754341215303,25.8062448759044 59.5801383324549,25.8106366897019 59.5844915710791,25.8166199519644 59.5883263808612,25.8239649205135 59.5914951941271,25.8323892079021 59.5938760332009,25.8415686521717 59.5953772287481,25.85114983837 59.5959409692954,25.8607637798624 59.5955455414308,25.8700402184163 59.5942061717496,25.8786219751166 59.5919744370405,25.886178781915 59.5889362660934,25.8924200461569 59.5852086123913,25.8971060464954 59.5809349294007,25.9000571256342 59.576279626972,25.9011605297111 59.5714217265809)))', 'EEERU', 'Eru', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0474056097518 58.3568795294834,24.0460758044742 58.3520404556688,24.0429762456352 58.3474306672277,24.0382266172182 58.3432271884022,24.0320097884905 58.3395913827138,24.0245647344126 58.3366627783124,24.0161773421992 58.3345537354549,24.0071694587373 58.3333451565679,23.9978865945678 58.3330833995119,23.9886847459655 58.3337785092964,23.9799168264106 58.3354038342019,23.971919211899 58.3378970407392,23.9649989008599 58.341162489839,23.9594217689796 58.3450748858678,23.955402362275 58.349484062229,23.9530956190055 58.3542207241015,23.9525908435018 58.3591029318961,23.9539081743575 58.3639430796944,23.9569976978466 58.3685551025504,23.9617412577763 58.3727616360533,23.9679569087534 58.3764008516353,23.9754058551228 58.3793327020211,23.9838016171068 58.3814443327818,23.9928210735973 58.3826544475053,24.0021169521628 58.3829164545134,24.011331275201 58.3822202707437,24.0201092301089 58.3805927114203,24.0281129130985 58.3780964502031,24.0350344018717 58.3748275912092,24.0406076414466 58.3709119491976,24.0446186783773 58.3665001849362,24.0469138486276 58.3617619872296,24.0474056097518 58.3568795294834)))', 'EEESA', 'Ermistu-Sarapuu', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((23.4913370967767 59.0200792542539,23.490056773493 59.0152345688442,23.4869690058404 59.0106117217545,23.4821930606122 59.006388239343,23.4759128477527 59.0027262514983,23.4683697963268 58.999766287898,23.4598535640078 58.9976219077058,23.4506909389323 58.9963753645036,23.4412333553186 58.9960744686703,23.4318434913898 58.9967307642526,23.4228814489796 58.9983190882459,23.414691028205 59.0007785287828,23.4075866075301 59.0040147467379,23.401841119446 59.0079035744354,23.3976755751666 59.0122957572017,23.3952505388068 59.0170226601188,23.3946598835312 59.0219027250785,23.3959270807021 59.0267484335789,23.3990041802904 59.0313735098925,23.4037735396176 59.035600088283,23.4100522513855 59.0392655675274,23.4175991150606 59.0422288864142,23.4261238925926 59.0443759749677,23.4352984949145 59.0456241672816,23.4447696643787 59.0459254019142,23.4541726544357 59.0452680832396,23.4631453649145 59.0436775300193,23.4713423715803 59.0412149935008,23.4784482933291 59.0379752841452,23.4841899691485 59.0340831011628,23.4883469682107 59.0296882100384,23.4907600273339 59.0249596580122,23.4913370967767 59.0200792542539)))', 'EEEYA', 'Einby-Kalamehe', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4643240582702 59.0100894209262,23.463047933355 59.0052444333578,23.4599647014778 59.0006209051654,23.4551934551731 58.9963963891014,23.4489179242008 58.9927330549521,23.4413793583805 58.9897714842358,23.4328672438648 58.9876252978919,23.4237082114545 58.9863768188375,23.4142535581262 58.9860739316925,23.4048658501041 58.9867282568205,23.3959051066779 58.9883147067089,23.3877150780008 58.990772441291,23.3806101270799 58.9940071868254,23.3748632061093 58.9978948321169,23.3706953805103 59.0022861679151,23.3682673011566 59.0070125919241,23.3676729573282 59.0118925645924,23.3689359615217 59.0167385711728,23.3720085245322 59.021364324715,23.3767731780624 59.0255919336778,23.3830471960448 59.0292587574097,23.3905895590025 59.0322236831354,23.3991102027066 59.0343725791452,23.4082811978656 59.0356227099993,23.4177494262808 59.0359259396057,23.4271502550401 59.035270595464,23.4361216673372 59.0336819202228,23.4443182887791 59.0312210927391,23.4514247526722 59.0279828576213,23.4571678764899 59.0240918573221,23.4613271728963 59.0196978118612,23.4637432895109 59.0149697360551,23.4643240582702 59.0100894209262)))', 'EEEYR', 'Einby-Kruusaaugu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3044281263318 58.3335253541998,22.303337657594 58.3286682317916,22.300467266352 58.3240162853153,22.2959278571015 58.3197481701846,22.2898942597512 58.3160277408604,22.2825984530045 58.3129977794128,22.2743206329126 58.3107745376724,22.2653784722755 58.3094432982799,22.2561149794685 58.3090551208964,22.2468854131156 58.30962489505,22.238043740882 58.3111307721728,22.2299291459362 58.3135149980164,22.2228530830951 58.3166861145457,22.2170873683183 58.3205224493517,22.2128537503576 58.3248767623086,22.2103153626205 58.3295818753264,22.2095703876825 58.3344570731943,22.2106481879213 58.3393150331485,22.2135080655527 58.3439690191982,22.2180407166819 58.3482400654234,22.2240723402644 58.3519638711315,22.2313712580885 58.3549971402286,22.239656800473 58.3572231173241,22.2486101189699 58.3585561033439,22.2578865065194 58.3589447727179,22.2671287413861 58.3583741610169,22.2759809272354 58.3568662443179,22.284102280295 58.3544790873771,22.2911803168879 58.3513045944631,22.2969429205724 58.3474649520089,22.3011688162354 58.3431079036997,22.3036960461202 58.3384010440573,22.3044281263318 58.3335253541998)))', 'EEFKU', 'Kärla', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1913165802768 58.9981913441684,23.1900792463721 58.9933434472788,23.1870335843343 58.9887132071453,23.1822972470622 58.9844784362551,23.1760526290085 58.9808016996462,23.1685397993812 58.9778240942392,23.1600472626691 58.9756598566678,23.150900903565 58.9743920022516,23.1414515362178 58.9740691583101,23.1320615252226 58.9747037099486,23.1230909769584 58.9762713273815,23.1148840142534 58.9787118924629,23.1077556446774 58.9819317900964,23.1019797130444 58.985807479323,23.0977783922648 58.9901902108606,23.095313614131 58.9949117143623,23.0946807740035 58.9997906412531,23.0959049622331 59.004639519165,23.0989398826887 59.0092719529677,23.1036695177789 59.0135097962082,23.1099124933994 59.0171900161117,23.1174289903916 59.0201709854576,23.1259299459472 59.0223379554829,23.1350881936816 59.0236074948758,23.1445511095077 59.0239307197938,23.1539542661936 59.0232951871312,23.1629355560446 59.0217253760261,23.1711492209221 59.0192817385917,23.1782792329137 59.0160583576628,23.184051497166 59.0121793044989,23.1882443990977 59.0077938405105,23.1906972886105 59.0030706520349,23.1913165802768 58.9981913441684)))', 'EEFRY', 'Förby', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8190353944052 58.7883316124447,22.8178580634696 58.7834797536149,22.8148808684684 58.7788403144002,22.8102188286262 58.7745914641849,22.8040514865012 58.770896311987,22.7966159502721 58.7678966644434,22.7881977667371 58.7657076060598,22.7791199779766 58.7644131054799,22.7697307776077 58.7640628122438,22.7603902302683 58.7646701635609,22.7514565494865 58.7662118716201,22.7432724438713 58.7686288105814,22.736152039359 58.7718282703652,22.7303688660851 58.7756874934041,22.7261453626284 58.7800583623859,22.7236442985009 58.7847730633502,22.7229624488805 58.7896505109096,22.7241267752358 58.794503292303,22.7270932738225 58.7991448657163,22.7317485538472 58.8033967368537,22.7379141018744 58.8070953367895,22.7453530828644 58.8100983340004,22.7537794255885 58.8122901340237,22.7628688458049 58.8135863508254,22.7722713791109 58.8139370735855,22.781624931046 58.8133287997033,22.7905693082471 58.8117849574425,22.7987601736711 58.8093649975564,22.8058823722641 58.8061620900338,22.8116621007618 58.8022995173292,22.8158774450245 58.7979259067107,22.8183668777048 58.7932094895273,22.8190353944052 58.7883316124447)))', 'EEFUR', 'Furtsellaaria kai', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5652531580331 58.9620522393855,23.5639648484847 58.9572083057601,23.5608726281567 58.9525872183748,23.5560959312867 58.9483664357765,23.5498186934494 58.94470798421,23.5422822270352 58.9417522578428,23.5337759355764 58.9396126536107,23.5246262255318 58.9383712422923,23.5151840365203 58.9380756378008,23.5058114579889 58.9387371814917,23.4968679310168 58.9403305091336,23.4886965478469 58.9427945167606,23.4816109585972 58.946034689631,23.4758833744359 58.9499267076986,23.4717341196377 58.9543211930801,23.4693231319926 58.9590494216349,23.4687437430719 58.9639297835593,23.4700189884474 58.9687747482846,23.473100605279 58.9733980682088,23.4778707736143 58.9776219449021,23.4841465517909 58.9812838810723,23.4916868496425 58.9842429520525,23.5002016803385 58.9863852517197,23.5093633373992 58.9876282989391,23.5188190623792 58.9879242307456,23.5282047050988 58.9872616559532,23.5371588355714 58.9856660957692,23.5453367472663 58.9831989940445,23.5524237961589 58.9799553365698,23.5581475488675 58.9760599738909,23.5622882644245 58.9716627930773,23.5646873050631 58.9669329286243,23.5652531580331 58.9620522393855)))', 'EEHAA', 'Haapsalu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7079922152878 58.7780009025845,23.7066915844837 58.7731583724839,23.703597541583 58.7685406041194,23.6988295809171 58.7643249284818,23.6925712943178 58.7606731762606,23.6850632610205 58.7577254854765,23.6765937909011 58.7555949459717,23.6674878784351 58.7543632820266,23.6580947867293 58.7540777346854,23.6487747276147 58.7547492601326,23.6398851342152 58.7563521112656,23.631767036077 58.7588248181504,23.6247320436389 58.7620725310418,23.6190504285705 58.7659706388341,23.6149407496133 58.770369527911,23.6125614206764 58.7751003030429,23.6120045501159 58.7799812548399,23.6132922989592 58.7848248287384,23.6163759134945 58.7894448298577,23.6211374870137 58.793663587291,23.6273944000722 58.7973188011741,23.6349062825476 58.8002698064795,23.6433842385648 58.802403008759,23.6525019817479 58.8036362783483,23.6619084478688 58.8039221297576,23.6712413889592 58.8032495605108,23.6801414107279 58.80164447662,23.6882658960033 58.7991686879368,23.6953022619648 58.795917513383,23.7009800278402 58.7920160910709,23.7050812208958 58.7876145392224,23.7074487191252 58.782882158449,23.7079922152878 58.7780009025845)))', 'EEHAE', 'Haeska', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1302807268216 58.9712143213081,23.1290530061338 58.9663657668802,23.1260179602315 58.9617340117393,23.1212928339444 58.9574969271136,23.1150595916445 58.9538171673847,23.1075578668593 58.950835945922,23.0990757393147 58.9486676383955,23.0899386958795 58.9473954163958,23.080497194772 58.9470680747629,23.0711132999156 58.9476981709831,23.062146883585 58.9492615459588,23.0539419099258 58.9516982440598,23.0468133093286 58.9549147983668,23.0410349340093 58.9587877961299,23.0368290488009 58.9631685914231,23.0343577587072 58.9678889884418,23.0337167072666 58.9727676814552,23.0349312987533 58.9776172075459,23.0379556048893 58.9822511472068,23.0426740158758 58.9864912966368,23.0489055896867 58.9901745348662,23.0564109468104 58.9931591189559,23.0649014545338 58.9953301613058,23.074050350183 58.9966040739726,23.0835053711454 58.9969318047272,23.0929023952185 58.9963007368425,23.10187955132 58.9947351773438,23.1100912402705 58.9922954144358,23.1172215093393 58.9890753816274,23.1229962523044 58.985199021239,23.1271937573294 58.9808154911254,23.1296531952184 58.9760934034422,23.1302807268216 58.9712143213081)))', 'EEHAL', 'Harilaiu lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5987428314952 58.5930433485517,23.5974648823989 58.5881994314582,23.5944022152086 58.5835786972273,23.5896731129429 58.5793585923973,23.5834596721565 58.575701119539,23.5760007506011 58.5727466380287,23.5675827763224 58.5706084998022,23.5585287730989 58.5693687217278,23.549186018951 58.5690748566019,23.5399128010403 58.5697381795555,23.5310647607192 58.571333257476,23.5229813362562 58.5737989175836,23.5159728076098 58.5770405792685,23.5103084275882 58.580933862453,23.5062060871255 58.5853293377932,23.5038239098685 58.5900582406679,23.5032541038616 58.5949389337007,23.5045193174248 58.5997838729705,23.5075716545117 58.6044068123538,23.5122944047675 58.6086299695985,23.5185064386753 58.6122908774318,23.5259691126717 58.6152486535338,23.5343954274389 58.6173894443966,23.5434610894357 58.6186308293115,23.5528170456969 58.6189250108544,23.5621029991553 58.6182606657229,23.5709613695836 58.616663382647,23.5790511460473 58.6141946701222,23.5860610815554 58.6109495734616,23.5917217091214 58.607052995687,23.5958157090917 58.6026548677134,23.5981862275847 58.5979243580009,23.5987428314952 58.5930433485517)))', 'EEHAN', 'Hanila', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7126446677789 58.5240017669766,23.711353822512 58.5191590441312,23.7082825298073 58.5145410543776,23.7035493995156 58.5103251384032,23.6973366786466 58.5066731378286,23.6898831939056 58.5037252021628,23.6814751624965 58.5015944325554,23.6724352259506 58.500362563692,23.6631101233473 58.5000768454825,23.6538574666756 58.5007482409469,23.6450321113502 58.5023510074842,23.6369726285 58.5048236772303,23.6299883823631 58.5080714001772,23.6243476959775 58.5119695628902,23.6202675516718 58.5163685477421,23.6179052202741 58.5210994542541,23.6173521455428 58.5259805669888,23.6186303296598 58.5308243249223,23.6216913738987 58.5354445265924,23.6264182286438 58.5396634945682,23.6326296022827 58.5433189225898,23.6400868732171 58.5462701393509,23.6485032478328 58.5484035441843,23.6575548144216 58.5496370012147,23.6668930633335 58.5499230187475,23.6761583811695 58.5492505881933,23.6849939849644 58.5476456097365,23.6930597433518 58.5451698879865,23.7000453367021 58.5419187375919,23.7056822368798 58.5380172937853,23.7097540379753 58.5336156737103,23.7121047393395 58.5288831790339,23.7126446677789 58.5240017669766)))', 'EEHBS', 'Hõbesalu paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4062813261953 58.9781113535692,23.4050146355083 58.9732657107035,23.4019421118562 58.9686407097254,23.3971824359272 58.9644139605097,23.3909188934089 58.9607477191091,23.3833922747999 58.9577826790694,23.3748916091225 58.9556325947679,23.3657430895029 58.9543799388243,23.3562976111689 58.9540727560873,23.3469173896197 58.9547228315619,23.3379621576388 58.9563052405286,23.3297754539211 58.9587592976877,23.322671513137 58.9619908701709,23.3169232472816 58.9658759684168,23.3127517714689 58.9702654809411,23.3103178745487 58.9749908756075,23.3097157671077 58.979870652707,23.3109693581189 58.9847173054439,23.3140312189164 58.9893445225565,23.318784292134 58.9935743567841,23.3250462972891 58.9972440824097,23.3325766779365 59.0002124754458,23.3410858323211 59.0023652710515,23.3502462749888 59.0036195838351,23.3597052955339 59.0039271167082,23.3690986167743 59.0032760313606,23.378064511614 59.0016914062564,23.3862578180337 58.9992342640827,23.3933632961633 58.9959992073738,23.3991077999648 58.9921107561331,23.4032707870661 58.9877185323077,23.4056927609476 58.9829914808041,23.4062813261953 58.9781113535692)))', 'EEHBY', 'Hosby', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5260573788856 58.0799228674623,24.525489901742 58.0750419775808,24.5231364051729 58.0703134965043,24.5190879721647 58.0659190471225,24.5135006380929 58.0620273575645,24.506589325178 58.0587877996326,24.4986195523434 58.0563246764608,24.4898972436607 58.0547324746779,24.4807570251246 58.0540722591248,24.4715494513944 58.0543693447718,24.4626276402971 58.0556123324908,24.4543338126522 58.0577535444328,24.4469862380461 58.0607108426864,24.4408670735041 58.0643707633767,24.4362115518428 58.0685928491546,24.4331989303571 58.0732150178006,24.4319455493433 58.0780597650487,24.4325002751425 58.0829409672015,24.4348425158446 58.0876710249864,24.4388829020651 58.0920680754745,24.4444666234797 58.0959629945424,24.4513793078654 58.0992059187246,24.4593552275079 58.1016720324059,24.4680875225419 58.1032663936789,24.4772400466404 58.1039276089394,24.4864603717308 58.1036302110203,24.4953934387038 58.1023856465905,24.5036953131327 58.1002418335394,24.5110465003823 58.0972813057744,24.5171642934378 58.0936180188344,24.5218136682825 58.0893929425495,24.5248163034205 58.0847686144162,24.5260573788856 58.0799228674623)))', 'EEHDJ', 'Häädemeeste jõe lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5260508000715 58.0749228192339,24.5254833848482 58.0700419264286,24.5231302004508 58.0653134443351,24.5190823176561 58.0609189959009,24.5134957505435 58.0570273092482,24.5065853917921 58.0537877561037,24.4986167236845 58.0513246394544,24.4898956279558 58.049732445711,24.480756684177 58.0490722394283,24.4715503982525 58.0493693352306,24.4626298387612 58.0506123335947,24.4543371786371 58.0527535562442,24.4469906427516 58.0557108648269,24.440872348281 58.059370795035,24.4362174945795 58.0635928891164,24.433205313156 58.0682150645001,24.431952127206 58.073059816638,24.4325067953409 58.0779410216346,24.4348487276242 58.0826710801126,24.4388885663098 58.0870681291347,24.4444715219615 58.0909630446633,24.4513832517155 58.0942059634052,24.4593580645698 58.0966720699913,24.4680891433094 58.0982664228197,24.4772403885395 58.0989276286339,24.4864594215681 58.0986302206396,24.4953912331821 58.0973856458886,24.5036919374118 58.0952418226483,24.5110420847445 58.0922812851881,24.5171590081967 58.0886179893833,24.5218077171428 58.0843929053675,24.5248099155591 58.0797685709017,24.5260508000715 58.0749228192339)))', 'EEHDM', 'Häädemeeste', 'Y'),('SRID=4326;MULTIPOLYGON(((26.2064410355714 58.3383029212093,26.2056386844246 58.3334300697784,26.2030447128116 58.3287331340483,26.1987594337752 58.3243925121477,26.1929479572825 58.3205748540691,26.1858337801121 58.3174266814166,26.1776901721479 58.3150687853846,26.168829693793 58.3135916138869,26.1595922443964 58.3130518207017,26.1503320918651 58.3134701054611,26.1414043679964 58.3148304249015,26.1331515319114 58.3170806046657,26.1258903049971 58.3201343288639,26.1198995649747 58.3238744332714,26.1154096543625 58.3281573792199,26.1125935102665 58.3328187405969,26.1115599590692 58.3376794975102,26.1123494426487 58.3425528985849,26.1149323542368 58.3472516308307,26.1192100645776 58.3515950226166,26.1250186159704 58.3554160022605,26.1321349569598 58.3585675424806,26.1402854882437 58.3609283394004,26.1491565954077 58.3624075034718,26.1584067609618 58.3629480775648,26.1676797810761 58.3625292431607,26.176618564977 58.3611671272019,26.1848789697521 58.3589141775496,26.1921431217512 58.3558571317847,26.1981316979388 58.3521136598107,26.202614685224 58.347827812977,26.2054202005165 58.3431644590291,26.2064410355714 58.3383029212093)))', 'EEHER', 'Hermani', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8903298054488 59.0013035923263,22.889134620961 58.9964526306593,22.8861289615829 58.9918151327021,22.8814289481228 58.9875691917756,22.8752155863743 58.9838778033691,22.8677277525805 58.9808826277505,22.8592529985593 58.9786985761035,22.850116532038 58.9774094236803,22.8406687909491 58.9770646141412,22.8312720782801 58.9776773742925,22.8222867556444 58.9792242094318,22.8140575084872 58.9816457981442,22.8069001935375 58.9848492533854,22.8010897597727 58.9887116657742,22.7968496980811 58.9930847969061,22.7943434226028 58.9978007468792,22.7936679194316 59.0026783826675,22.7948499175169 59.0075302839483,22.7978447443651 59.0121699417636,22.8025379283215 59.0164189339741,22.8087495033242 59.0201138005608,22.81624086515 59.0231123517348,22.8247239248734 59.0252991624141,22.8338722103003 59.0265900373083,22.8433334841751 59.0269352705259,22.8527433832624 59.0263215707592,22.8617395384329 59.0247725757587,22.8699756150848 59.0223479357597,22.8771347167627 59.0191410023373,22.8829416224797 59.0152752143947,22.8871733784642 59.0108993242336,22.8896678350458 59.0061816517922,22.8903298054488 59.0013035923263)))', 'EEHII', 'Hiiessaare', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9044458895679 59.1089242376737,23.9031037675189 59.1040842501313,23.8999524266232 59.0994718745931,23.8951135732688 59.0952642319518,23.8887735271834 59.0916228411646,23.8811760059785 59.0886874393249,23.8726127483339 59.0865706419767,23.863412337738 59.0853536442673,23.8539276509028 59.0850831237633,23.8445224017044 59.0857694604591,23.8355572818855 59.087386340298,23.8273762132624 59.0898717570764,23.8202932225921 59.0931303756408,23.8145804296051 59.0970371685332,23.8104576012996 59.1014421904237,23.8080836720759 59.1061763114432,23.8075505607139 59.111057693494,23.808879533157 59.1158987642003,23.8120202667621 59.1205134226426,23.8168526700043 59.1247242003774,23.8231914051294 59.1283691011586,23.8307929541114 59.1313078535281,23.8393649650816 59.1334273318537,23.8485775219376 59.1346459328331,23.8580758988074 59.1349167348156,23.8674942976272 59.1342293149541,23.8764700247403 59.1326101522081,23.8846575434654 59.1301216003334,23.8917418450779 59.1268594717745,23.8974506102723 59.122949328354,23.9015646852486 59.1185416254892,23.9039264682224 59.1138059012024,23.9044458895679 59.1089242376737)))', 'EEHIN', 'Hindaste', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1822604297063 58.9405680388907,22.181166847058 58.9357103375469,22.1782615027034 58.931056201988,22.1736566714339 58.9267843697984,22.1675297162524 58.923058834803,22.1601162115401 58.920022570804,22.1517008722295 58.9177920670447,22.1426066401937 58.9164528808625,22.1331823429763 58.9160563740073,22.1237893886105 58.9166177543792,22.1147879926757 58.9181154960928,22.1065234493579 58.9204921594746,22.0993129568616 58.9236565805758,22.0934334890853 58.9274873487576,22.0891111702989 58.9318374426108,22.0865125582551 58.936539850575,22.0857381747466 58.9414139647131,22.0868185425789 58.9462725056508,22.089712896409 58.9509287149668,22.094310634652 58.9552035393664,22.1004354741556 58.9589325294885,22.1078521626353 58.9619721855194,22.1162755004624 58.9642055018094,22.1253813280632 58.9655464928381,22.1348190525728 58.9659435220835,22.1442252217707 58.9653813021162,22.1532376082356 58.9638814866426,22.1615092445718 58.961501831048,22.1687218527288 58.9583339548191,22.1745981367215 58.9544997946069,22.1789124569859 58.9501468882259,22.1814994734728 58.945442675418,22.1822604297063 58.9405680388907)))', 'EEHIR', 'Hirmuste lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5732486657654 58.9590492879633,23.5719593601642 58.9542054392008,23.5688663550049 58.9495845467289,23.5640891144247 58.9453640615679,23.5578115946252 58.9417059985217,23.5502751185978 58.9387507368436,23.5417690900796 58.9366116556523,23.532619905354 58.9353708056855,23.5231784838859 58.9350757793522,23.5138068857601 58.9357378958569,23.5048645145922 58.9373317690112,23.4966944184685 58.9397962739219,23.4896101983142 58.9430368767473,23.4838840129186 58.9469292409026,23.4797361329687 58.9513239751637,23.4773264434917 58.9560523457666,23.476748226138 58.9609327373804,23.4780244713235 58.9657776182281,23.4811068775724 58.9704007438747,23.4858775943345 58.9746243233201,23.4921536586027 58.9782858706842,23.4996939689806 58.9812444762581,23.5082085379896 58.9833862518446,23.5173696691348 58.9846287365086,23.526824624215 58.9849240889722,23.5362092827718 58.9842609403807,23.5451622528542 58.9826648340486,23.5533388727863 58.9801972348509,23.5604245484543 58.9769531477068,23.566146899484 58.9730574396576,23.570286238939 58.9686600110041,23.5726839820062 58.9639300057069,23.5732486657654 58.9590492879633)))', 'EEHKS', 'Haapsalu kalasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4940681286859 58.8064524899809,22.4929354697341 58.8015975245913,22.4899999527907 58.7969504560527,22.4853750014655 58.7926897489528,22.4792387410759 58.7889789691754,22.4718270941727 58.7859605241444,22.4634246977615 58.7837502199523,22.4543539936755 58.7824328400196,22.4449629069209 58.7820589107988,22.4356115749314 58.7826427752015,22.4266586225945 58.7841620454999,22.4184474931018 58.7865584561097,22.4112933428762 58.7897400846258,22.4054709900607 58.7935848584904,22.4012043706029 58.7979452164476,22.3986579044618 58.8026537501532,22.3979301079015 58.807529613553,22.3990497077727 58.8123854573844,22.4019744222218 58.8170346246591,22.4065924722198 58.8212983312764,22.4127267831156 58.8250125547037,22.4201417291549 58.828034363253,22.4285521710718 58.8302474387661,22.4376344421791 58.8315665759135,22.4470388564945 58.831940980722,22.4564032475804 58.831356237876,22.4653670024168 58.8298348688386,22.4735850332284 58.8274354587087,22.4807411329307 58.8242503865417,22.4865601865945 58.8204022491603,22.4908187605412 58.816039119885,22.4933536596694 58.8113288289675,22.4940681286859 58.8064524899809)))', 'EEHLD', 'Haldi', 'Y'),('SRID=4326;MULTIPOLYGON(((22.852325244622 58.9973177971474,22.8511355483296 58.9924664540999,22.8481353388717 58.987828043836,22.8434405280851 58.9835806950003,22.8372319226231 58.9798874573691,22.8297482169511 58.976890062347,22.8212768053052 58.9747035063597,22.8121427679219 58.9734116607379,22.8026964500878 58.9730640723895,22.793300100444 58.973674074608,22.7843140665919 58.9752182783709,22.7760830608473 58.9776374631212,22.7689230067292 58.9808388340152,22.7631089574774 58.9846995616988,22.7588645418612 58.9890714725574,22.7563533403816 58.9937867137448,22.7556725277264 58.9986641797236,22.756849036533 59.0035164569982,22.759838405316 59.0081570224679,22.7645263726321 59.0124074193781,22.7707331736864 59.0161041339115,22.7782203887218 59.0191049053368,22.786700089237 59.0212942232012,22.7958459330914 59.0225877957026,22.8053057775682 59.0229358130306,22.8147153147137 59.0223248765835,22.8237121892455 59.0207785176117,22.8319500384516 59.0183562847841,22.83911189696 59.0151514369871,22.8449224368324 59.0112873329018,22.8491585635744 59.0069126601692,22.8516579585919 59.0021956921049,22.852325244622 58.9973177971474)))', 'EEHLK', 'Hausma lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((26.2053327658585 58.2573030510201,26.2045323023891 58.2524301357942,26.2019443029006 58.2477331328006,26.1976688475391 58.2433924430892,26.1918706664519 58.2395747197656,26.1847727446186 58.236426487542,26.176647727943 58.2340685405047,26.1678074645376 58.2325913290411,26.1585910801947 58.2320515088113,26.1493520372251 58.2324697806135,26.1404446601551 58.2338301015694,26.1322106295821 58.2360802969297,26.1249659465196 58.2391340496999,26.1189888537981 58.2428741939575,26.1145091687915 58.2471571888993,26.1116994334904 58.251818606015,26.1106682247011 58.2566794229217,26.1114558903545 58.2615528858103,26.1140328895717 58.2662516794264,26.1183008168966 58.2705951301144,26.1240960882584 58.2744161644358,26.1311961616599 58.2775677536092,26.1393280636441 58.279928592483,26.1481788978742 58.2814077904132,26.1574079292445 58.2819483893178,26.1666597700456 58.2815295698519,26.1755781473941 58.2801674582709,26.1838197059983 58.2779145019312,26.1910672987714 58.2748574381618,26.1970422399089 58.2711139369554,26.2015150395997 58.2668280501798,26.2043142040816 58.2621646466003,26.2053327658585 58.2573030510201)))', 'EEHLM', 'Hällimäe', 'Y'),('SRID=4326;MULTIPOLYGON(((23.428223279513 58.9371035426618,23.4269551665099 58.9322580971894,23.423883504721 58.9276335855191,23.419126939643 58.9234075987805,23.4128686358408 58.9197423639183,23.4053491816522 58.9167785360972,23.3968573307964 58.9146298234691,23.3877189385293 58.913378646306,23.3782845124925 58.913072992943,23.3689158455336 58.9137245898296,23.3599722286461 58.9153084538658,23.3517967562338 58.9177638437773,23.3447032329337 58.9209965752865,23.3389641712516 58.9248826139924,23.3348003325786 58.9292728119099,23.3323722114023 58.9339986101978,23.3317737947513 58.9388784933196,23.3330288476779 58.9437249501866,23.3360898830815 58.9483516769763,23.340839873235 58.9525807453282,23.3470966545483 58.9562494591502,23.3546198704726 58.9592166336377,23.3631201946019 58.961368051139,23.372270481702 58.9626208795888,23.381718413249 58.9629268792581,23.3911001402997 58.9622742709753,23.4000543835767 58.9606881918165,23.408236430904 58.9582297202891,23.4153314766755 58.9549935098195,23.4210667766064 58.9511041244488,23.4252221420017 58.9467112216611,23.4276383683544 58.9419837720892,23.428223279513 58.9371035426618)))', 'EEHLP', 'Hobulaiu paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0961354817749 58.8662278669647,23.0949165794604 58.8613788651233,23.0918955862316 58.8567461583379,23.0871892030905 58.8525076551268,23.0809786722012 58.8488260652359,23.073502754546 58.8458426732172,23.0650485404609 58.843671938877,23.0559404482409 58.8423971275527,23.0465278287847 58.8420671337652,23.0371716417061 58.8426946167594,23.0282306995691 58.8442555173875,23.0200479913605 58.8466899743916,23.0129375937617 58.8499046061291,23.0071726592406 58.8537760728825,23.0029749337649 58.8581557868367,23.0005062046497 58.8628755932534,22.9998620117528 58.8677542089203,23.0010678744596 58.8726041740525,23.0040781948267 58.8772390527453,23.0087778966973 58.8814806058283,23.0149867550724 58.8851656592404,23.0224662635984 58.8881524011403,23.0309287852652 58.8903258617322,23.0400486370248 58.891602360631,23.0494746776931 58.8919327463974,23.0588439043949 58.8913043001108,23.0677955193982 58.8897412275722,23.0759849088681 58.8873037206937,23.0830969789638 58.8840856254341,23.0888583225986 58.8802108088011,23.0930477404881 58.8758283685982,23.0955047100728 58.8711068746096,23.0961354817749 58.8662278669647)))', 'EEHLT', 'Heltermaa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9872487200272 58.9452678474866,22.9860420450221 58.9404178083522,22.9830284554893 58.9357825696037,22.9783243730172 58.9315401373841,22.9721109559922 58.9278533723318,22.9646270797712 58.9248637573758,22.9561601422974 58.9226859906367,22.9470350506187 58.921403606671,22.9376018067811 58.9210657899351,22.9282221592411 58.9216854993464,22.9192558173536 58.9232389737965,22.9110467411065 58.9256666370854,22.9039100158503 58.9288753687427,22.8981198023329 58.9327420562859,22.8938988161934 58.9371182963906,22.8914097388205 58.9418360688488,22.8907488941633 58.9467141696917,22.8919424452653 58.9515651598812,22.8949452721043 58.9562025648191,22.8996425916134 58.9604480485805,22.905854275008 58.9641382859577,22.9133417108644 58.9671312653921,22.9218169593205 58.9693117765514,22.930953848058 58.9705958670653,22.9404005790335 58.9709340926704,22.9497933504922 58.9703134322023,22.9587704550782 58.9687577915598,22.9669862942792 58.9663270767264,22.9741247531484 58.9631148727434,22.9799114070148 58.9592448207233,22.9841240821671 58.9548658362015,22.9866013624904 58.9501463571978,22.9872487200272 58.9452678474866)))', 'EEHMA', 'Hellamaa lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5813699426217 59.0244187266315,22.5802173567625 59.0195647755356,22.5772510983486 59.0149199815421,22.5725857801368 59.0106627202477,22.5664010825368 59.00695642329,22.5589347888008 59.0039433240284,22.5504736308526 59.0017390216341,22.5413422999364 59.0004280679265,22.53189103985 59.0000607421222,22.522482288768 59.0006511338052,22.5134768676244 59.0021766054975,22.5052202281687 59.004578654874,22.4980292718888 59.0077651446574,22.4921802320255 59.011613817267,22.4878980751806 59.0159769631114,22.4853478271475 59.0206870676715,22.4846281605991 59.0255632248127,22.4857675016768 59.0304180735507,22.4887228204706 59.035064994049,22.4933811696804 59.0393252869706,22.499563929866 59.0430350591409,22.5070336127328 59.0460515481308,22.5155029703959 59.0482586387136,22.5246460632799 59.0495713545926,22.5341108569323 59.0499391482762,22.543532852812 59.0493478589497,22.552549213581 59.0478202607495,22.5608128220299 59.045415179743,22.5680057157067 59.0422252147462,22.5738513664232 59.0383731524097,22.578125323548 59.0340072183799,22.5806638096219 59.0292953516511,22.5813699426217 59.0244187266315)))', 'EEHMS', 'Heinamaasääre lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8570594232381 59.5198130907032,24.8564254698377 59.5149342790078,24.8539311953739 59.5102120303945,24.8496731540366 59.505827720326,24.8438154758202 59.5019496767463,24.8365834839392 59.4987267354973,24.8282550032205 59.4962825503306,24.8191496983406 59.4947108716661,24.8096168493028 59.4940719708793,24.8000220247982 59.494390343434,24.7907331510347 59.4956537762051,24.7821064936246 59.4978138135242,24.7744730729182 59.5007876045353,24.7681260187101 59.5044610630987,24.763309338782 59.5086932224405,24.7602085277777 59.5133216216885,24.7589433793538 59.5181685219567,24.7595632867589 59.5230477172389,24.7620452269303 59.5277716813572,24.7662945234601 59.5321587776795,24.7721483776724 59.5360402540806,24.7793820485265 59.5392667521029,24.7877174555911 59.5417140765082,24.7968338797185 59.5432879989555,24.8063803480998 59.5439279064728,24.8159892186184 59.5436091503305,24.8252904266844 59.5423440020516,24.8339258288973 59.5401811784754,24.841563073591 59.5372039546413,24.8479084488071 59.5335269393054,24.8527182023793 59.5292916407277,24.8558078941409 59.5246609977002,24.8570594232381 59.5198130907032)))', 'EEHNE', 'Haabneeme', 'Y'),('SRID=4326;MULTIPOLYGON(((25.795275673177 59.6514618634908,25.7945034087452 59.6465875703687,25.791867899135 59.6418831592273,25.7874711189339 59.6375293128128,25.7814825129045 59.6336931828408,25.7741324117338 59.6305219914533,25.765703151645 59.6281374036948,25.7565182434368 59.6266308826918,25.7469300042157 59.6260602013826,25.737306117379 59.6264472408214,25.7280156222835 59.6277771568745,25.7194148539179 59.6299989461867,25.7118338545021 59.6330273903452,25.7055637632442 59.6367463059255,25.7008456577519 59.6410129792807,25.6978612713438 59.6456636202031,25.6967259456638 59.6505196295457,25.6974840989761 59.6553944440134,25.7001073992995 59.6601006979406,25.7044957307974 59.6644574280344,25.7104809349473 59.6682970435658,25.7178331989713 59.6714717917483,25.7262698573753 59.6738594660475,25.7354662730363 59.6753681334382,25.7450683769411 59.6759396942136,25.7547063749161 59.6755521334282,25.7640090793077 59.6742203745863,25.7726182963703 59.6719957015916,25.7802026976479 59.6689637718722,25.7864706260337 59.6652412994978,25.7911813332016 59.660971539605,25.794154212163 59.656318752298,25.795275673177 59.6514618634908)))', 'EEHNS', 'Hansu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8421141977986 59.5578190193755,24.841481814652 59.5529401701387,24.838986945814 59.5482176581759,24.8347261703764 59.5438328690225,24.8288637250469 59.5399541488635,24.8216251172141 59.5367303592759,24.8132884261151 59.5342851862908,24.8041736312722 59.532712417961,24.7946303759731 59.5320723672522,24.7850246268857 59.5323895736199,24.7757247278855 59.5336518686724,24.7670873662203 59.5358108405095,24.7594439719519 59.5387836793898,24.7530880571689 59.5424563360281,24.7482639699868 59.5466878747895,24.745157490373 59.5513158589792,24.7438886312309 59.556162565948,24.7445069303417 59.5610417973186,24.7469894286132 59.5657660256097,24.7512414302579 59.5701536039912,24.7571000342997 59.5740357616438,24.7643403181548 59.577263113664,24.7726839474309 59.5797114316723,24.7818098863335 59.5812864488139,24.7913667949918 59.5819275097614,24.800986628134 59.5816099212591,24.8102988977108 59.5803459098754,24.8189450331641 59.5781841488069,24.8265922687034 59.5752078724312,24.8329465074452 59.5715316533612,24.83776365644 59.5672969695795,24.8408589919989 59.5626667365812,24.8421141977986 59.5578190193755)))', 'EEHOL', 'Holmi', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4352160572685 58.9321009819225,23.4339471672857 58.9272556070355,23.4308750360472 58.9226312615235,23.4261183267651 58.9184055301106,23.4198602092512 58.9147406299362,23.4123412644653 58.9117772033356,23.4038502264401 58.9096289430952,23.3947129192101 58.9083782521684,23.3852798088572 58.9080731002734,23.3759126379084 58.9087251946498,23.3669706401719 58.9103095331234,23.3587968481532 58.9127653562082,23.3517050022078 58.9159984629732,23.3459675506017 58.9198848045645,23.3418051929635 58.9242752213042,23.3393783668517 58.9290011458752,23.3387810093891 58.9338810578192,23.3400368446841 58.9387274448783,23.3430983552635 58.9433540058686,23.3478484948133 58.9475828187802,23.354105093706 58.951251197344,23.3616278021819 58.9542179696716,23.3701273132239 58.9563689336196,23.3792765128585 58.9576212746191,23.3887231244909 58.9579267717425,23.3981033501429 58.9572736651924,23.4070559685427 58.9556871112374,23.4152363302841 58.9532282066513,23.4223296948332 58.9499916214961,23.4280633827339 58.9461019341794,23.4322172673511 58.9417088137352,23.4346322010678 58.9369812390943,23.4352160572685 58.9321009819225)))', 'EEHOT', 'Hobulaiu lõuna tulepaak', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5614399621187 59.0950523957836,23.5601467011091 59.0902085460207,23.5570425489894 59.0855875347991,23.5522474041135 59.0813668171143,23.5459459144918 59.0777084158168,23.5383803253639 59.0747527221037,23.5298411575482 59.0726131306365,23.5206560765774 59.0713717108576,23.5111773752072 59.0710760764619,23.5017685390181 59.0717375697948,23.4927903956296 59.0733308288095,23.4845873619836 59.0757947527979,23.4774743009967 59.0790348311291,23.4717244786629 59.0829267484278,23.4675590757124 59.0873211317046,23.4651386548288 59.0920492615914,23.4645569162457 59.0969295326242,23.4658369928652 59.1017744178899,23.4689304430351 59.1063976725922,23.4737189976754 59.1106215001867,23.4800190120817 59.114283404368,23.4875884656063 59.1172424606567,23.4961362491148 59.1193847624694,23.5053333854144 59.1206278277374,23.5148257464326 59.1209237922545,23.5242477670275 59.1202612634171,23.5332366123699 59.1186657609185,23.5414462362416 59.1161987270177,23.548560772426 59.1129551458021,23.5543067303475 59.1090598659294,23.558463517601 59.1046627723103,23.5608718831657 59.0999329969371,23.5614399621187 59.0950523957836)))', 'EEHRA', 'Hara, Lääne mk', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1471410646623 58.1133240655955,26.1463516044846 58.1084507062614,26.143781542319 58.1037524674111,26.1395302637995 58.0994097985592,26.1337615671072 58.095589430022,26.1266973040493 58.0924379893256,26.1186088297098 58.0900763948464,26.1098065929326 58.0885952378114,26.1006282648004 58.0880513257556,26.0914258523703 58.0884655165138,26.0825522791996 58.089821923403,26.0743479320199 58.0920685211218,26.0671276740155 58.0951191297802,26.0611688095101 58.0988567031223,26.0567004527371 58.1031377981511,26.053894705332 58.1077980586943,26.0528599842141 58.1126585065625,26.0536367650472 58.1175324023353,26.0561959184984 58.1222324147586,26.0604397196852 58.126577824308,26.0662055087836 58.1304014834215,26.0732718766446 58.1335562636128,26.0813671477502 58.1359207380974,26.090179838512 58.1374038771931,26.0993706863219 58.1379485716136,26.108585778112 58.1375338444158,26.1174702600042 58.136175663951,26.1256820845113 58.1339263255319,26.1329052500949 58.1308724262959,26.1388620097818 58.12713151346,26.1433235697816 58.1228475384284,26.1461188632074 58.1181852958271,26.1471410646623 58.1133240655955)))', 'EEHRJ', 'Härmoja', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1471410646623 58.1133240655955,26.1463516044846 58.1084507062614,26.143781542319 58.1037524674111,26.1395302637995 58.0994097985592,26.1337615671072 58.095589430022,26.1266973040493 58.0924379893256,26.1186088297098 58.0900763948464,26.1098065929326 58.0885952378114,26.1006282648004 58.0880513257556,26.0914258523703 58.0884655165138,26.0825522791996 58.089821923403,26.0743479320199 58.0920685211218,26.0671276740155 58.0951191297802,26.0611688095101 58.0988567031223,26.0567004527371 58.1031377981511,26.053894705332 58.1077980586943,26.0528599842141 58.1126585065625,26.0536367650472 58.1175324023353,26.0561959184984 58.1222324147586,26.0604397196852 58.126577824308,26.0662055087836 58.1304014834215,26.0732718766446 58.1335562636128,26.0813671477502 58.1359207380974,26.090179838512 58.1374038771931,26.0993706863219 58.1379485716136,26.108585778112 58.1375338444158,26.1174702600042 58.136175663951,26.1256820845113 58.1339263255319,26.1329052500949 58.1308724262959,26.1388620097818 58.12713151346,26.1433235697816 58.1228475384284,26.1461188632074 58.1181852958271,26.1471410646623 58.1133240655955)))', 'EEHRM', 'Härma', 'Y'),('SRID=4326;MULTIPOLYGON(((25.3650476939764 59.5016224724324,25.3643406700142 59.4967458863599,25.3617766179582 59.4920330994732,25.3574547654156 59.4876651200765,25.3515416825585 59.4838096461086,25.3442648076008 59.4806146451383,25.3359036760651 59.4782026978838,25.3267791954246 59.4766663181007,25.3172413746308 59.476064424056,25.3076559706687 59.4764200931417,25.2983905505675 59.4777196830746,25.2898004866606 59.4799133522371,25.2822154050303 59.482916959755,25.2759265919772 59.4866152746052,25.2711758312603 59.4908663741181,25.2681460962901 59.4955070673496,25.2669544573401 59.5003591395575,25.2676474855571 59.5052361818986,25.2701993450713 59.5099507467929,25.2745126644775 59.5143215552516,25.2804221726972 59.5181804786373,25.2877009757266 59.5213790242391,25.2960692445155 59.5237940717006,25.3052049850108 59.525332635287,25.3147564740489 59.5259354642666,25.3243558737748 59.5255793389115,25.3336334864272 59.524277970968,25.3422320834652 59.5220814727403,25.3498207397158 59.519074415803,25.3561076246785 59.5153725563222,25.3608512481328 59.5111183566052,25.3638697232537 59.5064754795735,25.3650476939764 59.5016224724324)))', 'EEHSE', 'Haapse', 'Y'),('SRID=4326;MULTIPOLYGON(((26.8434414511782 58.3350668196988,26.8425515220534 58.330198052708,26.8398733617731 58.3255141128724,26.8355105095025 58.3211948946418,26.8296310424743 58.31740622261,26.8224610539515 58.3142935034165,26.8142759422254 58.3119761667306,26.8053898487235 58.3105431045596,26.796143647791 58.3100492797662,26.7868919402551 58.3105136304034,26.777989536478 58.3119183479078,26.7697779316731 58.3142095559846,26.7625722765063 58.3172993649266,26.7566493294393 58.3210692248543,26.7522368441565 58.3253744526954,26.7495047963485 58.3300497633004,26.7485587900754 58.3349155965368,26.7494359063733 58.339785000982,26.7521031677316 58.3444708122341,26.7564586942456 58.3487928509379,26.762335523964 58.3525848631086,26.7695079651335 58.355700933601,26.7777002460732 58.3580211225409,26.7865971339091 58.3594561036904,26.7958561109552 58.3599506220392,26.8051206313334 58.3594856339465,26.8140339340391 58.3580790450228,26.8222528645945 58.3557850164701,26.8294611570558 58.3526918673881,26.8353816514604 58.3489186561625,26.839786967523 58.3446105760702,26.8425082210033 58.3399333464895,26.8434414511782 58.3350668196988)))', 'EEHSL', 'Haaslava', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2762913911707 58.9821597869657,23.275042765052 58.9773127655185,23.2719872170934 58.9726845789355,23.2672427779959 58.9684529603213,23.2609921511161 58.9647803533439,23.2534756341674 58.9618076962668,23.2449818713311 58.9596490358686,23.235836793115 58.958387173666,23.2263911640424 58.9580705073642,23.2170072056098 58.9587111853659,23.2080447930389 58.9602846430845,23.1998477386069 58.9627305384023,23.1927306715544 58.9659550516163,23.1869670047579 58.9698344643535,23.1827784418138 58.9742198839347,23.180326425553 58.9789429361889,23.1797058613162 58.9838222123598,23.1809413671439 58.9886702259547,23.1839862105367 58.9933006144244,23.188723990466 58.9975353094477,23.1949730173752 59.0012113990016,23.2024932371356 59.0041874146323,23.2109954418499 59.0063487982515,23.2201524158118 59.0076123337559,23.2296115834766 59.0079293686949,23.2390086622159 59.0072876985439,23.2479817793569 59.0057120389356,23.2561854929478 59.003263067206,23.2633041599532 59.0000350714147,23.2690641239224 58.9961523001255,23.2732442449841 58.9917641573264,23.2756843655084 58.9870394317731,23.2762913911707 58.9821597869657)))', 'EEHUL', 'Hullo', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7679709999266 59.4608459715972,24.7673508127369 59.4559667725448,24.7648731647393 59.4512428877103,24.760633969559 59.4468557563137,24.7547966329062 59.4429738155525,24.7475856978281 59.4397460516933,24.7392781828471 59.4372963042027,24.7301929507419 59.4357185373115,24.720678514264 59.435073256077,24.7110997383568 59.4353852005786,24.701823935447 59.4366424039294,24.6932068704716 59.4387966489776,24.6855791952034 59.4417653066302,24.6792338171131 59.4454344873597,24.6744146766861 59.4496633883996,24.6713073593209 59.4542896740355,24.6700319045683 59.4591356868892,24.6706380978908 59.4640152556377,24.6731034402742 59.4687408405404,24.6773338915094 59.473130743558,24.6831673770737 59.4770161055395,24.6903799402164 59.4802474193689,24.6986943145615 59.4827003051285,24.7077905930563 59.4842803208141,24.7173185812356 59.4849266190091,24.7269113510288 59.4846143048105,24.7361994595627 59.4833554013887,24.7448252684786 59.4811983847163,24.752456794819 59.4782263058418,24.7588005448257 59.4745535751429,24.7636128258786 59.4703215358367,24.7667090968588 59.4656930014097,24.7679709999266 59.4608459715972)))', 'EEHUN', 'Hundipea', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5582492306257 58.9590548785224,23.5569620248326 58.9542108653098,23.5538710161476 58.9495896000083,23.5490955922424 58.9453685480609,23.5428196398641 58.9417097461111,23.5352844221766 58.9387536018214,23.5267792949523 58.9366135281946,23.5176306201576 58.9353716140312,23.5081892978577 58.9350754925303,23.4988173843711 58.9357365248623,23.4898742953182 58.9373293663861,23.4817031061178 58.9397929317585,23.4746174593427 58.9430327231851,23.4688895681996 58.9469244352487,23.4647397685328 58.9513187018187,23.4623280188225 58.9560468071797,23.4617476796943 58.9609271463005,23.4630218230565 58.9657721895423,23.4661022283187 58.9703956863466,23.4708711220837 58.9746198315452,23.477145611761 58.9782821175755,23.4846846568734 58.9812416063558,23.4931983189611 58.9833843757141,23.5023589367032 58.9846279264489,23.5118137918268 58.9849243762073,23.5211987677598 58.9842623138445,23.5301524602393 58.9826672408147,23.5383301795704 58.9802005821885,23.5454172890289 58.9769573066806,23.5511413527317 58.9730622501282,23.5552826175309 58.9686652878297,23.5576824243036 58.9639355458999,23.5582492306257 58.9590548785224)))', 'EEHUS', 'Haapsalu uussadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5782414944022 58.9540474750496,23.5769516955799 58.9492036763637,23.573858491741 58.9445829016096,23.5690813543668 58.9403625972765,23.5628042354457 58.9367047712339,23.5552684424001 58.9337497936619,23.5467633526637 58.9316110328102,23.5376153265022 58.9303705271622,23.5281752390238 58.9300758559499,23.5188050992962 58.9307383247755,23.5098642551813 58.9323325339396,23.5016956963729 58.9347973456437,23.4946129649649 58.9380382142418,23.4888881626999 58.941930792901,23.48474150717 58.9463256821049,23.4823328362903 58.9510541420787,23.4817553924017 58.9559345540024,23.4830321359484 58.960779385273,23.4861147460106 58.9654023933324,23.490885363913 58.9696257916916,23.4971610301994 58.9732871014442,23.5047006586018 58.9762454220471,23.5132142877917 58.9783868763038,23.5223742574497 58.979629015684,23.5318278741765 58.9799240122341,23.5412110691951 58.9792605108221,23.5501625070906 58.9776640683496,23.5583375853613 58.9751961626168,23.5654217693864 58.9719518103079,23.5711427362791 58.9680558886197,23.5752808523516 58.9636583060138,23.5776775797444 58.9589282123104,23.5782414944022 58.9540474750496)))', 'EEHVS', 'Haapsalu vanasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5762457591682 58.9570481900797,23.5749561162801 58.9522043723219,23.571862898555 58.9475835518032,23.5670855781653 58.9433631767696,23.5608081142568 58.9397052577949,23.5532718275805 58.9367501686088,23.5447661145478 58.9346112817232,23.5356173593208 58.933370640436,23.5261764649123 58.9330758291661,23.5168054712485 58.9337381588791,23.5078637588401 58.9353322352123,23.4996943505914 58.9377969254738,23.4926108211154 58.9410376886972,23.4868853027524 58.9449301821204,23.482738040605 58.9493250095302,23.4803288959566 58.9540534335551,23.4797511294674 58.9589338367823,23.4810277141305 58.9637786869621,23.4841103352999 58.9684017408192,23.4888811340318 58.9726252101027,23.4951571440458 58.9762866131679,23.502697265937 58.9792450458641,23.5112115194205 58.9813866266598,23.520372220129 58.9826289021331,23.5298266464564 58.9829240390746,23.5392106983604 58.9822606769379,23.5481630073285 58.9806643672631,23.5563389372255 58.9781965827491,23.5634239205783 58.9749523354345,23.5691456037111 58.9710564985029,23.5732843254036 58.9666589771861,23.5756815245801 58.9619289189777,23.5762457591682 58.9570481900797)))', 'EEHVV', 'Haapsalu Veskiviigi', 'Y'),('SRID=4326;MULTIPOLYGON(((25.6701825677691 59.5895085166309,25.6694297234273 59.5846335155397,25.6668164539126 59.5799266309123,25.6624438780071 59.5755686416992,25.6564805111333 59.571726859843,25.6491557166911 59.5685487254226,25.6407508624387 59.566156170642,25.6315885261326 59.5646409646917,25.622020162378 59.5640612137324,25.612412695011 59.5644391464753,25.6031345353131 59.5657602676521,25.5945415453783 59.5679739107418,25.5869634677104 59.5709951693647,25.5806913266172 59.574708135492,25.5759662744338 59.5789703237642,25.572970306575 59.5836181164335,25.5718192048157 59.5884730243422,25.5725579894234 59.5933485274069,25.5751590698075 59.5980572346009,25.5795231828686 59.6024180895052,25.5854831015767 59.6062633439022,25.5928099874878 59.6094450290506,25.6012221544403 59.61184067218,25.6103959113878 59.613358033926,25.6199780650343 59.6139386799272,25.6295995921542 59.6135602452098,25.6388899409919 59.6122373014635,25.6474913937653 59.6100207926794,25.6550729195815 59.6069960615141,25.6613429691871 59.6032795446599,25.6660607086611 59.5990142680419,25.6690452558844 59.5943643195799,25.6701825677691 59.5895085166309)))', 'EEHYA', 'Hara, Harju mk', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8410923353571 59.542819274364,24.8404603332075 59.5379404121697,24.837966670142 59.5332178777638,24.8337078781979 59.5288330576125,24.8278481173642 59.5249542991945,24.8206127916692 59.5217304656769,24.8122798543499 59.5192852448991,24.8031691411105 59.5177124268523,24.7936301390627 59.5170723264802,24.7840286522401 59.5173894851707,24.7747328615507 59.5186517363402,24.7660992970796 59.5208106697071,24.7584592434609 59.5237834769064,24.7521060846039 59.5274561097504,24.7472840625889 59.5316876333987,24.7441788775847 59.5363156116352,24.7429104920667 59.5411623219714,24.7435284247978 59.5460415658763,24.7460097299333 59.5507658154108,24.7502597568163 59.5551534229965,24.75611567986 59.5590356167937,24.7633526793085 59.5622630106304,24.7716925471151 59.5647113746406,24.7808143924739 59.566286440304,24.7903670335079 59.5669275504968,24.7999825897679 59.5666100100949,24.8092907383974 59.5653460437939,24.8179330679249 59.5631843229894,24.8255769593168 59.5602080804093,24.8319284444013 59.556531887247,24.836743535919 59.5522972203691,24.8398375888085 59.5476669945192,24.8410923353571 59.542819274364)))', 'EEHYE', 'Heina', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9588086736816 57.855023819378,26.9579149367372 57.8501554892155,26.9552574165534 57.8454736155734,26.9509388379515 57.8411580147273,26.9451255612178 57.8373743747309,26.9380411284001 57.8342679121877,26.9299576514857 57.8319578200294,26.9211853765558 57.8305327153601,26.9120608216762 57.8300472580065,26.9029339351825 57.8305200660792,26.8941547541425 57.8319330062164,26.8860600595418 57.8342318849175,26.8789605248399 57.8373285152358,26.8731288379994 57.841104081815,26.8687892441711 57.845413678576,26.8661089075189 57.8500918489655,26.865191427191 57.8549589201714,26.8660727656549 57.8598278915694,26.8687197595545 57.8645116151741,26.8730312865984 57.8688299930705,26.8788420600373 57.8726169144247,26.8859289189306 57.8757266630763,26.8940193819462 57.8780395458134,26.9028021394335 57.8794665206909,26.9119390774511 57.8799526431593,26.9210783624398 57.87947919385,26.9298680697702 57.8780644037475,26.9379698159229 57.8757627479935,26.9450718539051 57.8726628363164,26.9509011146553 57.8688839836298,26.9552337223764 57.8645715962926,26.9579035764772 57.8598915556975,26.9588086736816 57.855023819378)))', 'EEHYP', 'Hüpsi', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2370778246259 59.5246706210708,25.2363888650403 59.5197934497761,25.2338410175359 59.5150782510182,25.229532889937 59.5107061266018,25.2236305286448 59.5068449342421,25.2163609636837 59.503642861346,25.2080034530734 59.5012227600715,25.1988787676158 59.4996774568346,25.1893369253013 59.4990662118734,25.1797438373386 59.4994124608647,25.1704673642886 59.500702922517,25.1618633003108 59.5028881051928,25.1542618058416 59.5058841936608,25.147954794084 59.5095762457637,25.1431847447384 59.5138225798329,25.1401353699714 59.51846018875,25.1389244936187 59.5233109772534,25.1395994264177 59.5281885868996,25.1421350296512 59.5329055493282,25.1464345595724 59.5372804942322,25.1523332786995 59.5411451345034,25.1596047114984 59.544350757822,25.1679693155923 59.5467739715102,25.1771052402626 59.5483214753145,25.1866607564497 59.5489336739799,25.1962678712178 59.5485869866362,25.2055565885482 59.5472947613103,25.2141692501985 59.5451067581437,25.2217743868159 59.5421072217625,25.2280795307168 59.538411619238,25.2328424865693 59.5341621727579,25.2358806221287 59.5295223632765,25.2370778246259 59.5246706210708)))', 'EEIHS', 'Ihasalu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4047980383272 57.8849655700081,24.4042493713084 57.8800841641984,24.4019239134625 57.8753535444521,24.3979116635135 57.870955417399,24.3923672628827 57.8670586542386,24.3855039842346 57.8638128234115,24.3775855046688 57.8613424704488,24.3689157843185 57.8597423606176,24.3598274374987 57.8590738628092,24.3506690353504 57.85936260975,24.3417918150692 57.8605975216419,24.3335362906367 57.8627312294392,24.3262192631598 57.8656818818743,24.3201217154448 57.8693362688043,24.3154780455168 57.8735541442025,24.3124670480025 57.8781735868445,24.3112049915256 57.8830171970684,24.3117410659117 57.8878988953944,24.3140553869688 57.8926310646028,24.3180596514463 57.8970317621729,24.3236004336391 57.9009317255677,24.3304650117601 57.9041808991404,24.33838951088 57.906654228457,24.347069054445 57.908256495127,24.3561695326438 57.9089260018993,24.3653405274401 57.9086369624416,24.3742288845186 57.9074005010852,24.3824923944193 57.9052642227681,24.3898130403207 57.9023103700971,24.3959092885475 57.8986526404221,24.4005469389128 57.8944317886724,24.403548113216 57.8898101891945,24.4047980383272 57.8849655700081)))', 'EEIKL', 'Ikla', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1904073726832 58.3133087754537,26.1896077637119 58.3084358113088,26.1870177203935 58.303738542048,26.1827374039786 58.299397378827,26.1769317333469 58.2955789926698,26.1698239822939 58.2924299333737,26.1616871743739 58.2900710263715,26.1528336096845 58.2885927585204,26.1436029231429 58.2880518257358,26.1343491240685 58.2884689713616,26.1254271012554 58.2898281957525,26.1171790955687 58.2920773664245,26.1099216431471 58.2951302060381,26.1039334765327 58.298869584149,26.0994448387319 58.3031519898344,26.0966286169227 58.3078130176506,26.0955936392169 58.3126736605181,26.0963804010032 58.3175471715268,26.0989593989483 58.3222462336194,26.1032321533579 58.3265901626984,26.1090348966005 58.3304118666637,26.1161448005519 58.333564290612,26.1242885139023 58.3359260968724,26.1331526852664 58.3374063572015,26.1423960649557 58.3379480723465,26.1516627112309 58.3375303798559,26.1605957794246 58.3361693626306,26.168851347111 58.3339174260977,26.1761117269068 58.3308612686748,26.1820977406069 58.3271185259127,26.18657947297 58.3228332209718,26.1893850881101 58.3181702006804,26.1904073726832 58.3133087754537)))', 'EEILI', 'Ilmari', 'Y'),('SRID=4326;MULTIPOLYGON(((26.6105130005491 58.3891532534973,26.6096538272719 58.3842829621049,26.6070024793384 58.3795942372544,26.6026614711489 58.3752671586098,26.5967980470587 58.3714678535423,26.5896376903481 58.3683421372901,26.5814554346692 58.3660099382439,26.5725653153317 58.3645607182041,26.5633083626126 58.3640500592071,26.5540395891432 58.3644975443349,26.5451144573473 58.3658860114078,26.5368753302699 58.3681622072951,26.5296384096777 58.3712388184884,26.5236816490035 58.3749978023075,26.5192340958456 58.379294894386,26.516467069867 58.3839651235837,26.5154875180707 58.3888291268088,26.5163338119913 58.3937000248691,26.518974162375 58.398390597718,26.5233077290974 58.4027204843514,26.5291684007003 58.4065231299075,26.5363311129479 58.4096522105893,26.5445204735825 58.4119872858022,26.5534213656309 58.4134384558748,26.5626911187669 58.4139498418951,26.5719727716086 58.4135017500983,26.5809089009613 58.4121114350242,26.5891554694998 58.4098324311454,26.596395142564 58.4067524794623,26.6023495476853 58.4029901312145,26.6067899958806 58.3986901629721,26.6095462491545 58.3940179837444,26.6105130005491 58.3891532534973)))', 'EEILM', 'Ilmatsalu', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1199707189766 59.4339642027359,27.1190126749241 59.4290982404292,27.1162103228431 59.424420951817,27.111672018382 59.4201119691005,27.1055726071433 59.4163367151253,27.0981466386415 59.4132400720019,27.0896793297623 59.4109408435951,27.0804956283868 59.4095272200977,27.0709477936994 59.4090534144145,27.0614019601406 59.4095375957637,27.0522241860279 59.4109611973404,27.0437665049834 59.4132696237583,27.0363534982189 59.4163743319995,27.0302698884318 59.4201562084906,27.0257496218242 59.424470116396,27.022966854151 59.4291504429505,27.0220291906799 59.4340174382366,27.0229734499874 59.4388841057135,27.025764129676 59.4435633823278,27.0302946511116 59.4478753332238,27.0363913535883 59.4516540836779,27.0438200999802 59.4547542192729,27.0522952504967 59.4570564044464,27.06149066344 59.4584719988642,27.0710522966443 59.4589464895658,27.0806119149658 59.4584616030451,27.0898013614783 59.4570360134632,27.0982668255408 59.4547246188629,27.1056825410493 59.4516164141414,27.1117633729286 59.44783104518,27.1162757978916 59.443514180511,27.1190468540044 59.4388318830391,27.1199707189766 59.4339642027359)))', 'EEJAB', 'Jabara küla', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9607939554106 58.6152801054422,22.9596032955687 58.6104295006461,22.9566225608919 58.6057932434316,22.9519668972243 58.6015493808002,22.945815594328 58.5978608306825,22.9384051390617 58.5948691471776,22.9300201130036 58.5926891103285,22.9209822864119 58.5914043438503,22.9116383229878 58.5910641248758,22.9023465572719 58.5916815047869,22.8934633377354 58.5932328111513,22.8853294431896 58.5956585493777,22.8782570777662 58.5988656706591,22.8725179304618 58.6027311218293,22.8683327493769 58.6071065446428,22.8658628289506 58.611823948372,22.8652037417347 58.6167021420895,22.8663815661109 58.6215536830326,22.8693517699903 58.6261920762798,22.8740008107463 58.6304389496386,22.880150406897 58.6341309268229,22.8875643314236 58.637125931994,22.895957474588 58.6393086794151,22.905006830377 58.6405951327104,22.9143639798718 58.6409357579438,22.9236685810684 58.6403174418841,22.9325623314068 58.6387639994841,22.9407028488556 58.6363352505277,22.947776921008 58.6331247021788,22.953512599037 58.6292559293439,22.9576896630111 58.6248777959613,22.9601480542486 58.6201587054178,22.9607939554106 58.6152801054422)))', 'EEJAN', 'Jaani', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7539915593577 58.7553560378371,22.7528244846842 58.7505035121992,22.7498588303844 58.7458624933601,22.745209171881 58.7416112119798,22.7390545765796 58.7379128709899,22.7316316643136 58.7349093998959,22.7232254988813 58.7327160302562,22.714158662945 58.7314168962823,22.7047789315725 58.7310618252522,22.6954460074473 58.7316644375014,22.6865178123544 58.7332016267685,22.678336844399 58.7356144402973,22.6712171082942 58.7388103260604,22.6654321069898 58.7426666635115,22.6612043471872 58.7470354461125,22.6586967595342 58.7517489401905,22.658006367535 58.7566261070584,22.6591604589929 58.7614795452237,22.662115422262 58.7661226882037,22.6667583095309 58.7703769819581,22.6729110842552 58.774078764949,22.6803374037712 58.7770855836578,22.6887516855614 58.7792816968818,22.6978301113223 58.7805825527229,22.7072231415386 58.7809380617638,22.7165690488949 58.7803345369859,22.7255079350234 58.7787952235748,22.7336956742047 58.7763793976693,22.7408172308697 58.7731800699043,22.7465988249086 58.7693203848398,22.7508184683485 58.7649488586576,22.7533144661855 58.760233642715,22.7539915593577 58.7553560378371)))', 'EEJAU', 'Jausa', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1825024969767 58.3843119567256,26.1817024577877 58.3794389958352,26.1791083479544 58.3747416083336,26.1748204881138 58.3704002096849,26.1690040892543 58.3665814795557,26.1618828384416 58.3634319804497,26.1537302776304 58.3610725541596,26.1448593105878 58.3595937070094,26.1356102382302 58.3590521568144,26.1263377730315 58.3594686704648,26.1173975175902 58.3608272726304,26.1091324103287 58.3630758549726,26.1018596423621 58.3661281631638,26.0958585337958 58.3698670876937,26.0913598253609 58.3741491356121,26.0885367929386 58.3788099157148,26.0874985291292 58.3836704308061,26.0882856590123 58.3885439390685,26.090868668646 58.393243123523,26.0951489272965 58.3975872951363,26.1009623811888 58.4014093520837,26.1080857916052 58.4045622253839,26.1162452878142 58.4069245595535,26.1251269101989 58.4084054055696,26.1343887356626 58.4089477413071,26.1436741101831 58.4085306802837,26.1526254658313 58.4071702811625,26.1608981742774 58.4049189258529,26.168173887196 58.4018632908421,26.1741728361427 58.398120992119,26.1786646091725 58.3938360363239,26.1814769862582 58.3891732573581,26.1825024969767 58.3843119567256)))', 'EEJES', 'Rannu-Jõesuu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.4439978036822 58.746215903281,26.44315333278 58.7413447997971,26.4404974980715 58.736652891912,26.4361330040838 58.7323203812398,26.430228011715 58.7285136023991,26.4230096098607 58.7253786554372,26.4147550639248 58.7230358205368,26.4057811811788 58.7215749652,26.3964321984782 58.7210521159442,26.3870666483072 58.7214873224323,26.3780436934998 58.7228638935221,26.3697094386957 58.7251290335998,26.3623837273366 58.728195855517,26.3563479167965 58.7319466951861,26.3518340913248 58.7362376041539,26.3490161234386 58.7409038519271,26.348002930183 58.7457662310849,26.3488341927408 58.7506379267425,26.3514787182278 58.7553316890349,26.355835523842 58.7596670340317,26.3617376191716 58.763477195615,26.3689583563724 58.7666155587455,26.3772201145088 58.7689613231601,26.3862049883188 58.7704241753636,26.3955670676557 58.7709477848334,26.4049458261876 58.7705119861705,26.4139800902238 58.7691335606707,26.4223220333954 58.7668655862654,26.4296506417778 58.7637953816044,26.4356841169548 58.7600411257676,26.4401907302186 58.7557472872885,26.4429977070469 58.7510790426515,26.4439978036822 58.746215903281)))', 'EEJGA', 'Jõgeva', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((22.054312159481 58.2436183820307,22.0532587957878 58.238758965482,22.0504285201748 58.2341012391475,22.0459306957644 58.2298240825659,22.0399385576382 58.2260916992738,22.032682497009 58.2230473317082,22.024441189902 58.2208077855166,22.0155309138466 58.2194589692948,22.0062934591231 58.2190526168361,21.9970830891531 58.219604314274,21.9882530367143 58.2210929056308,21.9801420382159 58.2234612989336,21.9730614070441 58.2266186429632,21.967283128978 58.2304437935919,21.9630294281828 58.2347899402911,21.9604642019236 58.2394902194054,21.9596866569265 58.244364102821,21.960727401758 58.2492243201412,21.9635471598042 58.2538840507182,21.9680381691459 58.2581641098862,21.9740282322354 58.2618998522166,21.9812872737691 58.2649475238897,21.989536163909 58.267189816237,21.998457470679 58.268540402585,22.0077077244709 58.2689472796541,22.0169307133175 58.2683947814434,22.0257712833284 58.2669041858413,22.0338890968882 58.2645328899495,22.0409718030809 58.2613721868806,22.0467471002278 58.2575437321457,22.0509932179848 58.2531948392936,22.0535474135367 58.2484927900557,22.054312159481 58.2436183820307)))', 'EEJGE', 'Jõgela', 'Y'),('SRID=4326;MULTIPOLYGON(((25.1120424576317 59.5027173488961,25.1113719426223 59.4978396017044,25.108843180387 59.4931220540429,25.1045540460376 59.4887458989654,25.0986698581522 59.4848791498503,25.0914169514733 59.4816702080839,25.0830739475259 59.4792421898298,25.073961063307 59.4776882253854,25.0644278664154 59.4770679071231,25.0548399379178 59.4774050184513,25.0455649408507 59.4786866281888,25.0369586119444 59.4808635838908,25.029351196615 59.4838523857154,25.0230348325 59.487538371088,25.0182523550338 59.4917800914387,25.0151879503038 59.4964147173127,25.0139600166005 59.5012642687945,25.0146165180525 59.5061424359297,25.0171330234845 59.5108617299813,25.0214135237699 59.5152406920239,25.0272940147896 59.5191108813448,25.0345487246191 59.5223233728182,25.0428987572241 59.5247545098693,25.0520228255604 59.5263106873916,25.0615696593474 59.526931976091,25.0711716014213 59.5265944448183,25.0804588553013 59.525311088688,25.0890738182665 59.5231313260177,25.0966849304448 59.5201390839855,25.1029994913904 59.5164495489069,25.1077749401893 59.512204709762,25.110828160807 59.5075678708134,25.1120424576317 59.5027173488961)))', 'EEJGM', 'Jaagomäe', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5050014353303 58.0379302137585,24.5044373428865 58.0330492277678,24.5020892479176 58.0283203715989,24.4980480243043 58.0239252828566,24.4924694295192 58.0200327145917,24.4855680498901 58.0167920727227,24.4776090233732 58.0143277023313,24.4688978625214 58.0127341381687,24.4597687668521 58.0120724974943,24.450571865686 58.0123681499698,24.4416598686756 58.0136097513398,24.4333746210179 58.0157496767329,24.4260340634316 58.0187058373286,24.4199200833374 58.0223648126234,24.4152677135615 58.0265861813059,24.4122560888221 58.0312078885207,24.4110015091831 58.0360524476699,24.411552884936 58.0409337423592,24.4138897509367 58.0456641699622,24.4179229428111 58.0500618536382,24.423497925847 58.053957645282,24.4304006635754 58.057201648245,24.4383658112854 58.0596690057493,24.4470869245298 58.0612647282825,24.4562282886287 58.0619273699919,24.4654379065013 58.0616314088173,24.4743611324885 58.0603882360107,24.4826544118815 58.058245715681,24.4899985812034 58.055286331705,24.4961112031825 58.0516239953168,24.5007574517567 58.0473996395237,24.5037591241072 58.0427757739413,24.5050014353303 58.0379302137585)))', 'EEJGP', 'Jaagupi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0893173328151 58.289086591002,24.0888074712335 58.2842044609834,24.086499366202 58.279468500778,24.0824823707871 58.2750606229715,24.0769113275178 58.271150072684,24.0700005463595 58.2678869459939,24.0620155360089 58.265396449845,24.0532628111862 58.2637741197696,24.0440781659452 58.263082174757,24.0348138556535 58.2633471453741,24.0258251671384 58.2645588633915,24.0174568768802 58.2666708503547,24.0100301007577 58.2696020904969,24.0038300256553 58.2732401218607,23.9990949834779 58.2774453302063,23.9960072823046 58.2820562849253,23.9946861484605 58.2868959163649,23.9951830585443 58.2917783011837,23.9974796538321 58.2965157979355,24.0014883335095 58.3009262601101,24.0070555210439 58.3048400491411,24.0139674934736 58.3081065758814,24.021958560745 58.3106001157602,24.0307212860288 58.3122246698642,24.0399183527909 58.3129176806155,24.0491956145966 58.3126524551977,24.0581958128646 58.3114392006313,24.066572418857 58.3093246292973,24.0740030507007 58.3063901504099,24.0802019345154 58.3027487189964,24.0849309197627 58.2985404669234,24.0880086204782 58.2939272881787,24.0893173328151 58.289086591002)))', 'EEJGR', 'Jaaguranna lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((25.1530276536321 59.4917019003069,25.1523514104194 59.4868243280957,25.149817711335 59.4821075419494,25.1455246200972 59.4777327054104,25.1396376060499 59.4738677810531,25.132383111264 59.4706611001388,25.124039817225 59.4682356920812,25.1149279513804 59.4666845871151,25.1053970419733 59.4660672680466,25.095812582454 59.466407403375,25.0865421033054 59.4676919460305,25.0779411687452 59.4698716311052,25.0703398181802 59.4728628540035,25.0640299574624 59.4765508591115,25.0592541731776 59.48079412011,25.0561963949011 59.4854297480923,25.0549747664984 59.4902797243109,25.055637009502 59.4951577221399,25.0581584713358 59.4998762590251,25.0624429512899 59.5042539048906,25.0683262910114 59.5081222694685,25.0755826078159 59.5113324977551,25.0839329428359 59.5137610202815,25.0930559967008 59.5153143326624,25.1026005378915 59.5159326160324,25.1121989976386 59.5155920550854,25.1214817140474 59.5143057616881,25.1300912598862 59.5121232672835,25.1376962847601 59.5091286041631,25.1440043234406 59.5054370516837,25.1487730667347 59.5011906762192,25.151819656996 59.4965528408252,25.1530276536321 59.4917019003069)))', 'EEJGU', 'Jaagu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3374531624603 58.382995793308,24.3369080254225 58.3781144548766,24.3345608001653 58.3733827447597,24.330502344164 58.3689824101281,24.3248890911755 58.3650824044165,24.3179369683822 58.3618324172301,24.309913066282 58.3593571500622,24.3011253862473 58.3577515535181,24.2919110579082 58.3570772046132,24.2826234709805 58.3573599593995,24.2736188027827 58.3585889682555,24.2652424428179 58.3607170903325,24.2578158191238 58.3636626916069,24.2516241175759 58.3673127594864,24.246905355207 58.3715272176875,24.2438412224121 58.3761442798276,24.2425500475518 58.3809866404668,24.2430821623075 58.3858682696889,24.2454178591093 58.3906015530383,24.2494680355827 58.3950045038342,24.2550775184546 58.3989077703554,24.2620309545118 58.4021611665683,24.2700610533273 58.404639471986,24.2788588701372 58.4062472734568,24.2880857320782 58.4069226582845,24.2973863413044 58.4066396127069,24.3064025379667 58.4054090306159,24.3147871774559 58.4032782923717,24.3222175712525 58.400329430286,24.32840795952 58.3966759533807,24.3331205251644 58.3924584569322,24.3361745211877 58.3878391898684,24.3374531624603 58.382995793308)))', 'EEJHT', 'Juheta', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3122307073857 58.1855231777606,22.311143995306 58.1806659978702,22.3082847955657 58.1760140780493,22.3037635765534 58.1717460732946,22.297754465173 58.1680258347464,22.2904884978409 58.1649961382384,22.2822447254455 58.162773226522,22.2733395165188 58.1614423704976,22.2641144655514 58.161054615733,22.2549233610676 58.161624835755,22.2461186998206 58.1631311646647,22.2380382486955 58.1655158302488,22.2309921543666 58.1686873566555,22.2252510824556 58.1725240546304,22.2210358331833 58.1768786689878,22.218508829912 58.1815840091093,22.2177678115716 58.1864593504129,22.2188419812757 58.1913173643793,22.2216907735753 58.1959713131365,22.226205304519 58.2002422328012,22.2322124654025 58.203965828465,22.2394815167583 58.2069988132039,22.2477329381864 58.209224443663,22.25664919666 58.2105570350374,22.2658870154936 58.2109452775672,22.2750906623675 58.2103742234678,22.2839057310602 58.208865865619,22.2919928702463 58.2064782851224,22.2990409150564 58.2033034015992,22.3047789029292 58.1994634153947,22.3089865031639 58.1951060822974,22.3115024568958 58.1903990068285,22.3122307073857 58.1855231777606)))', 'EEJJK', 'Järve, Järve k', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2303289611105 58.9829230658376,27.2293679893676 58.9780575793628,27.2265874674268 58.9733823228511,27.2220948900528 58.9690768516812,27.2160633295728 58.9653064562601,27.2087247204043 58.96221583535,27.2003609241593 58.9599235650927,27.1912929219125 58.9585175717715,27.1818685452577 58.9580517778083,27.1724492075771 58.958544046112,27.1633961305449 58.9599754992746,27.1550565777063 58.9622912389222,27.14775060674 58.9654024384988,27.1417588347476 58.9691897316161,27.1373116768675 58.9735077695717,27.1345804682798 58.9781907773873,27.1336708142267 58.9830588993514,27.134618433495 58.9879250940349,27.1373876699535 58.9926023163703,27.1418727469487 58.9969107117008,27.1479017340193 59.000684544443,27.1552430885299 59.003778592534,27.1636145309187 59.0060737580746,27.1726939160563 59.0074816740001,27.1821316794053 59.0079481251889,27.1915643695773 59.0074551486753,27.2006287320984 59.0060217296861,27.2089757853088 59.003703065875,27.2162843296677 59.0005884289761,27.2222733563012 58.9967977086791,27.2267128680308 58.9924767754432,27.2294326937349 58.9877918450263,27.2303289611105 58.9829230658376)))', 'EEJKR', 'Jõekääru', 'Y'),('SRID=4326;MULTIPOLYGON(((24.2568452662771 59.3870366564137,24.2562997135409 59.3821556230527,24.2538986253067 59.3774226488535,24.2497349764332 59.3730195263084,24.243969278132 59.3691153102361,24.2368233331243 59.3658598446699,24.2285716771556 59.3633780337622,24.2195310409488 59.3617650724148,24.2100482356427 59.3610828152785,24.2004869185575 59.3613574195259,24.1912137336903 59.3625783489929,24.1825843420493 59.3646987765426,24.1749298604749 59.3676373695737,24.1685442139366 59.3712813921751,24.1636728756659 59.375491008255,24.1605034223902 59.3801046247052,24.1591582692673 59.3849450739218,24.1596898722176 59.3898264022618,24.1620785961375 59.394561006616,24.1662333485206 59.3989668463162,24.1719949725665 59.4028744528823,24.1791422858256 59.4061334661093,24.1874005442528 59.4086184417456,24.1964520119629 59.4102337030874,24.2059482288181 59.4109170453302,24.215523495708 59.4106421461031,24.2248090449 59.4094195864784,24.2334473330274 59.4072964417704,24.2411058888412 59.4043544582438,24.2474901671093 59.4007068879821,24.252354902911 59.3964941071764,24.2555135246873 59.391878190735,24.2568452662771 59.3870366564137)))', 'EEJMJ', 'Jämaja', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0144814773976 58.3703741980981,26.0137049052353 58.3655002553778,26.0111341571396 58.3607995329356,26.0068686577197 58.3564525755891,26.0010727618567 58.3526262774877,25.9939693728424 58.3494674923731,25.9858313506809 58.347097418778,25.9769710445405 58.3456069715771,25.9677283487801 58.3450533133414,25.9584577325056 58.3454576749857,25.9495147272354 58.3468045468358,25.9412423753345 58.3490422701489,25.9339581431515 58.3520850070369,25.9279417872198 58.3558160154002,25.923424629748 58.3600921066145,25.9205806514781 58.3647491190045,25.9195197467943 58.3696082011924,25.9202834091527 58.3744826677084,25.9228430264698 58.3791851660903,25.927100868695 58.3835348811504,25.9328937466869 58.387364498903,25.9399992166003 58.39052666022,25.9481441016367 58.3928996525721,25.9570150078187 58.3943921167298,25.9662704270263 58.3949465830581,25.9755539531206 58.3945416976172,25.984508089177 58.3931930498246,25.9927880982672 58.390952568795,26.0000753483063 58.3879065122545,26.0060896233229 58.3841721276898,26.0105999179124 58.3798931177211,26.013433296146 58.3752340883772,26.0144814773976 58.3703741980981)))', 'EEJNT', 'Jaani tee', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2010043353133 59.4746837905724,25.2003214658013 59.4698064237277,25.197782293683 59.4650905304561,25.1934850915004 59.4607172397162,25.1875954849245 59.4568544545491,25.1803400141012 59.453650424041,25.1719973968057 59.4512280759411,25.1628878337792 59.4496803232091,25.1533607646956 59.449066520223,25.1437815359867 59.4494102007773,25.1345174782322 59.4506981819331,25.1259239103755 59.4528810669149,25.1183305903762 59.4558751282865,25.1120291170323 59.4595655013217,25.107261755832 59.4638105685152,25.1042121133625 59.4684473712326,25.1029980209148 59.4732978451849,25.1036669098603 59.4781756442016,25.1061938711086 59.4828932929954,25.1104824911101 59.4872693953461,25.1163684507541 59.491135620171,25.1236257651108 59.4943431947275,25.1319754357477 59.4967686517171,25.1410961881184 59.498318604879,25.1506368790716 59.4989333648391,25.1602300883658 59.498589252112,25.1695063569998 59.497299515431,25.1781085070325 59.4951138188352,25.1857054739468 59.4921163178043,25.1920051037387 59.4884224007215,25.1967654115881 59.4841742246412,25.1998038647185 59.4795352214972,25.2010043353133 59.4746837905724)))', 'EEJOE', 'Jõesuu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8207841539639 58.605332193838,22.8196132277031 58.6004801881736,22.8166518357403 58.5958405833496,22.8120143824635 58.5915915559537,22.8058794608025 58.5878962230255,22.7984829317317 58.5848963995481,22.7901088453928 58.5827071781651,22.7810785549103 58.5814125349274,22.7717384366892 58.5810621255943,22.7624466785008 58.5816693920554,22.7535596280632 58.5832110494275,22.7454182095499 58.585627972985,22.7383349132648 58.5888274520315,22.7325818446393 58.5926867268597,22.728380283019 58.5970576767884,22.725892149052 58.6017724835983,22.7252137128978 58.6066500570922,22.7263717954926 58.6115029794459,22.7293226238683 58.6161447037591,22.7339534018463 58.6203967307717,22.7400865527524 58.6240954867802,22.7474864851972 58.6270986356688,22.7558686309094 58.6292905785298,22.764910409799 58.6305869249914,22.7742636964533 58.6309377599932,22.7835682983229 58.6303295768413,22.7924659123522 58.6287857999771,22.8006140061558 58.6263658768002,22.8076990731792 58.6231629746725,22.8134487384156 58.6193003744347,22.8176422406578 58.6149267030309,22.8201188862263 58.6102101929998,22.8207841539639 58.605332193838)))', 'EEJOI', 'Jõiste', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7362716414222 59.6494840168344,25.7355079810731 59.6446094046062,25.7328808956637 59.6399038356885,25.7284920368279 59.6355480377457,25.7225105462122 59.6317092377909,25.7151664826762 59.6285347607031,25.706741952105 59.6261463977357,25.6975602850446 59.6246357568546,25.6879736751338 59.6240607689387,25.6783497436676 59.6244434800725,25.6690575315742 59.625769211972,25.6604534390499 59.6279871216509,25.6528676347688 59.6310121394865,25.6465914409767 59.6347282135934,25.6418661681121 59.638992739578,25.6388738234265 59.6436420099937,25.6377300533007 59.6484974787449,25.6384795999962 59.6533726037816,25.641094462418 59.6580800079895,25.6454748497691 59.6624386842982,25.6514529101114 59.6662809674904,25.6587991068168 59.6694590023959,25.6672310092488 59.6718504561159,25.6764241645644 59.6733632501444,25.6860246301406 59.6739391258051,25.6956626752794 59.6735559018617,25.7049671103696 59.6722283346691,25.7135796743725 59.670007546621,25.7211689089095 59.6669790455465,25.7274429695133 59.6632594136228,25.7321608705079 59.6589917968887,25.7351417269443 59.6543403733287,25.7362716414222 59.6494840168344)))', 'EEJOP', 'Joosti, Pärispea k', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8102642165319 59.6434561943326,25.8094899473683 59.6385819774755,25.8068529509736 59.6338778573195,25.8024552584614 59.629524505357,25.7964663490405 59.6256890542822,25.7891165645338 59.6225187001821,25.7806882286415 59.6201350760086,25.7715048165151 59.6186296079785,25.7619185878792 59.6180600287035,25.7522971492028 59.6184481770226,25.7430094462727 59.619779166301,25.7344117073849 59.6220019520116,25.7268338589512 59.6250312774709,25.7205669196134 59.6287509253524,25.7158518462092 59.6330181537835,25.7128702556693 59.6376691511053,25.7117373820844 59.6425253043358,25.7124975491499 59.6474000445143,25.7151223469846 59.6521060087173,25.719511601593 59.6564622447138,25.7254971183622 59.6603011807423,25.7328490719735 59.6634750901635,25.7412848085042 59.6658617987598,25.7504797261248 59.6673694107383,25.760079813502 59.6679398670901,25.7697153542955 59.6675511954487,25.7790152557947 59.6662183621202,25.7876214325801 59.6639926923724,25.795202673648 59.6609598819579,25.8014674438623 59.6572366787563,25.806175116619 59.6529663659054,25.8091452016708 59.6483132246383,25.8102642165319 59.6434561943326)))', 'EEJOV', 'Joosti, Viinistu k', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9148021428774 57.8500400432199,26.9139144663909 57.8451714016234,26.911263021855 57.8404886053243,26.9069503010295 57.8361715063642,26.9011424398861 57.8323858505919,26.8940627734033 57.8292769321805,26.885983231543 57.8269640384088,26.8772139102261 57.8255358938848,26.8680912148334 57.8250472749889,26.8589650226961 57.8255169209967,26.8501853442186 57.8269268197164,26.8420889790853 57.8292228942188,26.8349866641612 57.832317065097,26.8291511932048 57.8360906114042,26.8248069556459 57.8403987047287,26.8221212930395 57.8450759464531,26.8211980083823 57.8499426997194,26.8220732867394 57.8548119764531,26.8247141976177 57.8594966172825,26.8290198529099 57.8638164893533,26.8348251923089 57.8676054246365,26.8419072647522 57.8707176296834,26.8499937739954 57.8730333168545,26.858773563398 57.8744633362714,26.8679086339067 57.8749526261179,26.877047224188 57.8744823449718,26.8858374363293 57.8730706017193,26.89394086699 57.8707717541034,26.9010457036439 57.8676743037132,26.9068787686252 57.8638974707716,26.9112160387951 57.8595865840503,26.9138912333218 57.8549074674356,26.9148021428774 57.8500400432199)))', 'EEJPG', 'Järvere Pargi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1181182728286 58.0963347309785,26.1173331257819 58.0914611909149,26.114768084321 58.0867623684305,26.1105223408323 58.0824187357317,26.1047594809193 58.0785970604118,26.097701132629 58.0754440203917,26.0896184246199 58.0730805955962,26.0808215852128 58.0715974475762,26.071648079181 58.0710514602656,26.0624497292467 58.071463571055,26.053579303542 58.0728179729456,26.0453770681511 58.0750627174247,26.0381578049782 58.078111695584,26.0321987795761 58.0818479236506,26.0277291114883 58.0861280102376,26.02492095167 58.0907876379398,26.0238828086368 58.0956478530003,26.0246552885747 58.1005219251405,26.0272094267329 58.1052225165768,26.0314476906525 58.1095688857966,26.0372076334278 58.1133938485965,26.0442680711226 58.116550226567,26.0523575569889 58.1189165316102,26.0611648308401 58.1204016636834,26.0703508393522 58.1209484367976,26.0795618564107 58.1205357939307,26.0884431854252 58.1191796230856,26.0966529003799 58.1169321420828,26.103875080676 58.1138798764422,26.1098320166582 58.1101403104262,26.1142949068816 58.105857343594,26.1170926322611 58.1011957318414,26.1181182728286 58.0963347309785)))', 'EEJPK', 'Järve, Purtsi k', 'Y'),('SRID=4326;MULTIPOLYGON(((27.4833557610379 58.2718297381868,27.4823796820433 58.2669656320007,27.4796220120834 58.2622952789855,27.4751893338383 58.2579980475031,27.4692523922054 58.2542389148012,27.4620394721365 58.2511621518423,27.4538276059967 58.2488858080051,27.444931951266 58.2474972032099,27.4356937431085 58.2470495963557,27.4264672750709 58.247560154454,27.4176063939623 58.2490092981086,27.409451011231 58.2513414477101,27.4023141326216 58.2544671426106,27.3964698905718 58.2582664543661,27.3921430299719 58.2625935666142,27.3895002481727 58.2672823499634,27.3886437254785 58.2721527220222,27.3896071043012 58.2770175518467,27.3923540857449 58.2816898459262,27.3967797143582 58.28598994039,27.4027143184875 58.2897524221279,27.4099299690482 58.2928325103174,27.4181492179858 58.2951116493433,27.4270557838576 58.2965020937426,27.4363067703757 58.2969503045524,27.4455459386004 58.2964390228145,27.454417508231 58.2949879380928,27.4625799405874 58.2926529255072,27.4697191566849 58.2895238815696,27.4755606682277 58.2857212445847,27.4798801460239 58.2813913371507,27.4825120166888 58.2767007142002,27.4833557610379 58.2718297381868)))', 'EEJPR', 'Jõepera', 'Y'),('SRID=4326;MULTIPOLYGON(((22.537291084896 58.9674354945388,22.5361467242586 58.9625810759041,22.5331913992911 58.957935187695,22.5285393008875 58.9536762481118,22.5223696009243 58.9499677538552,22.5149195070677 58.9469520232211,22.5064751306047 58.9447447568506,22.497360520651 58.9434306206149,22.4879252816391 58.9430600159587,22.4785312392249 58.9436471581849,22.4695386517296 58.9451695342372,22.461292479417 58.9475687602023,22.4541092220448 58.9507528067378,22.4482648162385 58.9545995096598,22.4439840486108 58.9589612347212,22.4414318887968 58.9636705218529,22.4407070797214 58.9685464964065,22.4418382419763 58.9734018046988,22.4447826573118 58.9780498096867,22.4494277957254 58.9823117709101,22.4555955449378 58.9860237316515,22.4630489942708 58.9890428458745,22.4715015215997 58.9912528978168,22.4806278369149 58.9925687975285,22.4900765537466 58.9929398750912,22.4994837945593 58.9923518432058,22.5084872916918 58.9908273503717,22.5167404239858 58.9884251027636,22.5239256320914 58.9852375897423,22.5297666824054 58.9813875032329,22.5340392991619 58.9770229926028,22.536579753623 58.9723119419978,22.537291084896 58.9674354945388)))', 'EEJRA', 'Jõeranna', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7275359102116 58.4439970689162,23.7262462736677 58.4391544348334,23.7231803187744 58.4345367099641,23.7184564468662 58.4303212251035,23.71225654689 58.4266698057826,23.7048189520448 58.4237225797682,23.6964292696713 58.421592621561,23.6874094383973 58.4203616352195,23.6781054280307 58.4200768371423,23.668874043973 58.4207491551797,23.6600693281287 58.4223528112259,23.652029061853 58.4248263029484,23.6450618731815 58.4280747482753,23.6394354304669 58.4319735054167,23.6353661679018 58.4363729332789,23.6330109359058 58.4411041138017,23.6324609020497 58.445985320612,23.633737947672 58.4508289888778,23.6367937137977 58.4554489206325,23.6415113502389 58.4596674491033,23.6477099173441 58.4633222853974,23.6551512848353 58.4662727815452,23.663549271024 58.4684053651974,23.6725806731023 58.4696379325947,23.6818977597103 58.4699230266364,23.6911417347039 58.4692496744143,23.6999566393194 58.4676438114797,23.7080031410529 58.4651672761446,23.7149716625789 58.4619154138439,23.7205943326331 58.4580133865707,23.7246552913795 58.4536113332664,23.7269989525803 58.4488785716903,23.7275359102116 58.4439970689162)))', 'EEJRE', 'Jaagusääre paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9358034644632 57.8510323000904,26.9349129300362 57.8461638056938,26.9322586879133 57.841481448352,26.9279433371079 57.8371650630962,26.9221331142436 57.8333803682495,26.915051444545 57.8302726210175,26.9069703344241 57.8279610636956,26.8981999395991 57.8265343696181,26.8890767063682 57.8260472595581,26.8799505325787 57.8265184149677,26.8711714279847 57.8279297658129,26.8630761704708 57.8302271795018,26.8559754547516 57.8333225252619,26.8501420136417 57.8370970370365,26.8458001590975 57.8414058492876,26.8431171415682 57.8460835356851,26.8421966627408 57.8509504421497,26.8430748000085 57.8558195745595,26.8457185129584 57.860503778925,26.850026805547 57.8648229390231,26.8558345157014 57.8686109140864,26.8629186007376 57.8717219475266,26.8710066865333 57.8740362967524,26.8797875553885 57.8754648633871,26.8889231664276 57.875952641577,26.8980617373911 57.8754808481532,26.9068513711642 57.8740676502817,26.9149536868889 57.8717674617479,26.9220569153035 57.8686688357701,26.9278879410614 57.8648910377884,26.9322228199245 57.8605794336359,26.9348953634295 57.8558998746839,26.9358034644632 57.8510323000904)))', 'EEJRR', 'Järvere', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1954328680565 58.3323069800138,26.1946321611171 58.3274340590234,26.192040083433 58.3227369004405,26.1877568751653 58.3183959110563,26.1819475667655 58.3145777550734,26.1748355719084 58.3114289732941,26.1666940769474 58.3090703803511,26.1578355614868 58.3075924509322,26.1485998498532 58.3070518678963,26.1393411435274 58.3074693611543,26.1304145189767 58.3088289177649,26.1221623931766 58.3110783925878,26.114901460157 58.3141314967359,26.1089105861316 58.3178710897482,26.1044201184352 58.322153652579,26.1016030151788 58.3268147738466,26.1005681391938 58.331675442931,26.1013559829122 58.3365489119079,26.1039370023361 58.3412478652719,26.1082126408229 58.345591622993,26.1140190203527 58.3494130994152,26.1211331731478 58.3525652482297,26.1292815843319 58.3549267422027,26.1381507213699 58.3564066649908,26.1473991428952 58.3569480302615,26.1566707124578 58.356529989016,26.1656083952759 58.3551686376217,26.1738680908515 58.352916394459,26.181131952726 58.3498599698704,26.1871206687975 58.3461170098239,26.1916042202637 58.3418315459656,26.1944107019482 58.3371684313319,26.1954328680565 58.3323069800138)))', 'EEJRV', 'Järveküla, Rannu v', 'Y'),('SRID=4326;MULTIPOLYGON(((26.2035040887124 58.3853041728347,26.2027011311319 58.3804313371106,26.2001041552595 58.3757343689533,26.1958135916199 58.3713936675659,26.1899947546851 58.3675758857166,26.1828714246873 58.3644275494226,26.1747172229306 58.3620694558111,26.165845115749 58.3605920600747,26.1565954475136 58.3600520243837,26.1473229534254 58.3604700575885,26.1383832372354 58.3618301261295,26.1301192168929 58.364080065462,26.1228480421632 58.3671335692135,26.1168489724511 58.3708734819739,26.1123526706882 58.3751562727958,26.1095323207643 58.3798175218433,26.1084969125552 58.3846782137673,26.1092869615758 58.3895515997931,26.1118728416623 58.3942503674724,26.1161558115213 58.3985938436418,26.1219717127665 58.4024149530984,26.1290972121008 58.4055666632272,26.137258357962 58.4079276632649,26.1461411268405 58.4094070555415,26.1554035512175 58.4099478739307,26.1646889538816 58.4095292904233,26.1736397658647 58.4081674223576,26.1819113799822 58.4059147082402,26.1891854903863 58.4028578768801,26.195182390746 58.399114590286,26.1996717483972 58.3948288930405,26.2024814366297 58.3901656474557,26.2035040887124 58.3853041728347)))', 'EEJSK', 'Jõesuu, Kolga-Jaani v', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5220227836211 58.7950699235067,23.5207473117969 58.790225359528,23.5176762759479 58.7856029849674,23.5129282901074 58.7813803089167,23.506686183322 58.7777194316919,23.4991899181323 58.7747608420126,23.4907273567367 58.772618048011,23.4816232314627 58.7713732438576,23.4722267383652 58.7710741741882,23.4628982196499 58.7717323133363,23.4539954312833 58.773322427223,23.4458599060571 58.7757835343106,23.4388039192994 58.779021230019,23.4330985443929 58.7829112881627,23.4289632485798 58.7873044050129,23.4265574268392 58.7920319082049,23.4259742039804 58.7969122154676,23.4272367540579 58.801757798516,23.4302972939855 58.8063823866678,23.4350388076377 58.8106081338328,23.441279451302 58.8142724721462,23.4487794851885 58.8172343859692,23.4572504733522 58.8193798610984,23.4663664005674 58.8206262951854,23.4757762740385 58.8209256954512,23.4851177145156 58.8202665372317,23.4940309988076 58.8186742097507,23.5021729962127 58.8162100315463,23.5092304460742 58.8129688747485,23.5149320522687 58.8090754924628,23.5190589213098 58.804679694488,23.5214529411186 58.7999505613651,23.5220227836211 58.7950699235067)))', 'EEJSP', 'Jugassaare paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1101063071786 58.0873376579075,26.1093224386129 58.082464065164,26.1067590854406 58.0777650794985,26.102515374906 58.0734211794779,26.0967548144009 58.0695991430607,26.0896989437105 58.0664456621242,26.0816187965563 58.0640817335934,26.0728245032538 58.0625980384008,26.0636534312073 58.0620514814954,26.0544573100754 58.0624630221101,26.045588822737 58.063816875084,26.0373881610492 58.0660611129095,26.0301700465273 58.0691096460569,26.0242117004816 58.0728455077749,26.019742216074 58.077125320699,26.0169337367943 58.081784777917,26.0158947829583 58.0866449322359,26.0166659914358 58.0915190557579,26.0192184459371 58.0962198087986,26.0234546784403 58.1005664437247,26.029212320017 58.1043917662139,26.0362702752657 58.1075485841144,26.044357193113 58.1099153924784,26.0531619124684 58.1114010719446,26.0623454786544 58.1119484154754,26.0715542598898 58.1115363440813,26.0804336459063 58.1101807237296,26.0886417856204 58.1079337509958,26.0958628190561 58.1048819317751,26.1018190805281 58.1011427330942,26.1062817942355 58.0968600403394,26.1090798474675 58.0921985988506,26.1101063071786 58.0873376579075)))', 'EEJSV', 'Jõesuu, Puka v', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5432398445233 59.6305564083238,25.5425045741135 59.6256807804005,25.5399059953107 59.6209714540136,25.5355446661932 59.6166093026742,25.5295886742647 59.6127617986259,25.5222671035839 59.6095766017755,25.5138612012626 59.6071759152458,25.5046935872501 59.6056518198995,25.4951159192744 59.6050627624713,25.4854954773712 59.6054313282179,25.4762011686174 59.6067433808531,25.4675894718701 59.6089486016287,25.4599908442438 59.6119624074738,25.4536970956921 59.6156691768344,25.4489502056581 59.619926662973,25.4459330068375 59.6245714296671,25.4447620965785 59.6294251050868,25.4454832577233 59.6343012176119,25.4480695797501 59.6390123537845,25.4524223705615 59.643377364571,25.4583748425348 59.6472283424035,25.4656984474963 59.6504170985232,25.4741116286377 59.6528208879409,25.483290657877 59.6543471574065,25.4928821396205 59.6549371291948,25.5025166908076 59.6545680788455,25.5118232563469 59.6532542164215,25.5204434913946 59.6510461361956,25.5280456389587 59.6480288565649,25.5343373532107 59.6443185279358,25.5390769644153 59.6400579389122,25.5420827480146 59.635410998102,25.5432398445233 59.6305564083238)))', 'EEJTK', 'Järve, Tammistu k', 'Y'),('SRID=4326;MULTIPOLYGON(((26.048246982765 58.1943609608578,26.0474693724432 58.1894870878595,26.0449066318295 58.1847869388696,26.0406578699237 58.1804410371486,26.0348867925885 58.1766162372082,26.027815346508 58.1734593364538,26.0197151646797 58.1710914623598,26.0108971459346 58.1696034465454,26.0016995661127 58.1690523591353,25.9924751688226 58.1694593328103,25.9835777181597 58.1708087575641,25.975348513735 58.1730488760721,25.9681033695882 58.1760937574754,25.9621205430009 58.1798265760271,25.9576300671626 58.1841040721816,25.954804893638 58.1887620289991,25.9537541876026 58.1936215578123,25.954519042289 58.1984959554218,25.9570707910163 58.203197871963,25.961311998198 58.2075465150827,25.967080108111 58.2113746129163,25.9741536258375 58.2145348659847,25.9822606029938 58.2169056364536,25.9910891062237 58.2183956517566,26.0002992635182 58.2189475373642,26.0095364164592 58.2185400390772,26.0184448590158 58.2171888467693,26.0266816181593 58.2149459868599,26.0339297297136 58.2118978075621,26.0399104846394 58.2081616366974,26.0443941651423 58.2038812441706,26.0472088541874 58.1992212878673,26.048246982765 58.1943609608578)))', 'EEJTV', 'Järveküla, Tarvastu v', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9647879267983 57.8390216069908,26.9638937787287 57.8341533065293,26.9612366601246 57.829471546243,26.9569192796563 57.825156138078,26.951107951016 57.8213727627552,26.9440261410888 57.8182666268136,26.9359458610643 57.8159569107587,26.9271772344642 57.8145322173657,26.9180566396986 57.8140471907609,26.9089338736336 57.8145204325711,26.9001588157677 57.8159337927895,26.8920680893538 57.8182330617463,26.884972215908 57.8213300374258,26.8791437429943 57.8251058910931,26.8748067922589 57.8294157055117,26.8721284260003 57.8340940156392,26.8712121670996 57.8389611431879,26.8720939303684 57.8438300852985,26.874740535347 57.8485136950872,26.8790508739682 57.8528318790388,26.8848597045983 57.8566185338443,26.8919439406548 57.8597279536935,26.9000312015951 57.8620404581356,26.9088103011175 57.8634670198881,26.9179432664035 57.8639527103834,26.9270784172838 57.863478826923,26.9358639887812 57.8620636171995,26.9439617570363 57.8597615724536,26.9510601284779 57.8566613172903,26.9568861752477 57.8528821797164,26.9612161450612 57.8485695769132,26.9638840384034 57.8438893984289,26.9647879267983 57.8390216069908)))', 'EEJUB', 'Juba', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5522546875406 59.6405530815629,25.5515179119568 59.6356775056816,25.5489173165234 59.6309683572444,25.5445535371688 59.6266065028174,25.5385947556876 59.6227594031234,25.5312701632272 59.6195747024328,25.5228611226878 59.6171745847312,25.5136903741089 59.6156511089898,25.5041096950721 59.6150626981435,25.4944864807169 59.615431912654,25.485189744143 59.6167445913893,25.4765760571539 59.6189503916465,25.468975953216 59.621964708196,25.462681299126 59.6256718999555,25.4579341094612 59.6299297040251,25.4549172289408 59.6345746719966,25.4537472432875 59.6394284242941,25.4544699004231 59.6443044862905,25.4570582328594 59.6490154463839,25.461413471596 59.653380162201,25.4673687350714 59.6572307373986,25.4746953677263 59.6604189985929,25.4831116960636 59.6628222197439,25.4922938705447 59.6643478694073,25.5018883740967 59.6649371936878,25.511525706919 59.6645674930614,25.5208347064995 59.6632530026668,25.5294569341007 59.6610443410164,25.537060556027 59.6580265489616,25.5433531699035 59.6543157966993,25.548093071761 59.6500548891834,25.5510985263849 59.6454077472931,25.5522546875406 59.6405530815629)))', 'EEJUM', 'Juminda', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0945350268594 58.4093446718684,26.0937465983286 58.4044712141946,26.091162398445 58.3997720927107,26.0868823693064 58.3954277900102,26.0810714235867 58.3916050976118,26.0739530413275 58.3884507302582,26.0658006563209 58.3860857165218,26.056927166875 58.3846007769157,26.0476729711646 58.3840528627035,26.0383929778531 58.3844629846153,26.0294430772261 58.3858154122917,26.0211665760797 58.3880582741821,26.0138811007796 58.3911055355397,26.0078664572282 58.3948402808274,26.0033539042164 58.3991191780036,26.0005172483567 58.4037779574778,25.9994661054558 58.4086376996189,26.0002415962212 58.413511693041,26.002814655609 58.418212602783,26.0070870375593 58.422559674006,26.0128949936145 58.4263856937093,26.0200154988856 58.4295434405986,26.0281747963746 58.4319113715976,26.0370589354122 58.4333983220658,26.0463258965187 58.4339470346035,26.0556188276116 58.4335363769424,26.0645798687418 58.4321821610052,26.0728640170711 58.4299365305896,26.0801524820205 58.4268859419258,26.0861650025441 58.4231478171033,26.0906706430661 58.4188660026672,26.0934966493395 58.4142052123337,26.0945350268594 58.4093446718684)))', 'EEJVA', 'Järvekalda, Vaibla k', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1652923462522 58.2273177690211,26.1644980122935 58.2224445962305,26.1619174562084 58.2177467799111,26.1576504713982 58.2134047527591,26.1518614624859 58.2095852196465,26.1447730626568 58.2064347751263,26.1366575531648 58.2040742984719,26.1278264184361 58.2025943373045,26.1186184352627 58.2020516528252,26.109386744779 58.2024670556438,26.1004853902469 58.2038246127839,26.0922558215249 58.2060722553182,26.0850138681735 58.2091237639866,26.0790376674419 58.212862058814,26.0745570011551 58.2171436698989,26.0717444473452 58.2218042218883,26.0707086893191 58.2266647257733,26.0714902481497 58.2315384400337,26.0740598163446 58.2362380401066,26.0783192733077 58.240582821736,26.0841053604637 58.2444056607065,26.0911958894414 58.2475594591785,26.0993182548467 58.2499228272695,26.1081599285044 58.2514047771626,26.1173805291647 58.251948244891,26.1266249947921 58.2515323006017,26.1355373372216 58.2501729597054,26.1437744337852 58.2479225626909,26.1510193088781 58.2448677481632,26.1569933804455 58.2411260993851,26.1614671908118 58.2368415968663,26.1642692056982 58.2321790561539,26.1652923462522 58.2273177690211)))', 'EEJVE', 'Järvekalda, Vehendi k', 'Y'),('SRID=4326;MULTIPOLYGON(((27.460859771945 59.3578365113495,27.4598551292813 59.3529730912145,27.4570122514042 59.3483031504565,27.4524410424598 59.3440060369345,27.4463176022241 59.3402467163486,27.4388773934337 59.3371694585814,27.4304061716982 59.3348923237023,27.4212290297132 59.3335026549453,27.411697972843 59.3330537473251,27.4021784930911 59.3335628161055,27.393035642056 59.3350103406881,27.384620120131 59.3373408083104,27.3772548986835 59.3404648299505,27.3712228742525 59.3442625497577,27.366756019197 59.3485882208815,27.3640264422955 59.3532757764234,27.3631397065145 59.3581451859812,27.3641306710116 59.3630093573644,27.366962032495 59.3676813208173,27.3715256400834 59.3719814205446,27.3776465512401 59.3757442362242,27.3850896882619 59.3788249658774,27.3935688497461 59.3811050208713,27.4027577342439 59.3824966134103,27.4123025486982 59.3829461556006,27.4218357066341 59.3824363355708,27.4309900740698 59.3809867882902,27.439413197343 59.3786533344596,27.4467809478516 59.3755258177246,27.4528100440338 59.3717246260328,27.4572689593337 59.3673960347972,27.4599867937302 59.3627065554763,27.460859771945 59.3578365113495)))', 'EEJVI', 'Jõhvi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1261328835815 58.1073318100783,26.1253464153912 58.1024583242203,26.1227795430586 58.0977596661755,26.1185315296746 58.0934163017329,26.112766048216 58.089594988073,26.1057048273932 58.0864423891236,26.0976191059621 58.0840794677889,26.0888192275888 58.0825968662357,26.0796427732761 58.0820514474018,26.0704416784787 58.0824641268747,26.0615688163175 58.0838190758779,26.0533645461624 58.0860643249708,26.0461437279674 58.0891137459571,26.0401836871229 58.0928503381408,26.0357135824857 58.0971306962134,26.0329055822453 58.101790492373,26.0318681893414 58.1066507663852,26.0326419817033 58.1115247856629,26.0351979446415 58.1162252143776,26.0394384759201 58.1205713171724,26.0452010416463 58.1243959199779,26.0522643570064 58.1275518581243,26.0603568643736 58.1299176603447,26.0691671869863 58.1314022458827,26.0783561537995 58.1319484497565,26.0875699244408 58.1315352368629,26.0964536960035 58.1301785171872,26.1046654482587 58.1279305297394,26.1118891821716 58.1248778196061,26.1178471284634 58.1211378882263,26.1223104471572 58.1168546492708,26.1251080031636 58.1121928691291,26.1261328835815 58.1073318100783)))', 'EEJVL', 'Järvela', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0205187977595 58.3976303278338,22.0194652507754 58.392770748773,22.016626864023 58.3881124091128,22.0121133190701 58.3838342115014,22.0060984599107 58.3801003986328,21.9988135530134 58.3770542667729,21.9905383820514 58.374812688171,21.981590522167 58.373461648419,21.9723132019231 58.3730529659103,21.963062209339 58.3736023158603,21.9541923306402 58.375088632501,21.9460438259965 58.3774549117314,21.9389294453342 58.3806103844198,21.933122469276 58.38443397946,21.9288462257003 58.3887789473037,21.9262654819124 58.3934784707097,21.9254800470055 58.3983520514587,21.9265208401764 58.4032124312508,21.9293485906385 58.4078727831998,21.9338552361017 58.4121538983053,21.9398679829582 58.4158910897122,21.947155886322 58.4189405468027,21.9554387063381 58.4211848910911,21.9643977033665 58.4225377159342,21.9736879533134 58.422946931174,21.9829516997258 58.4223967804915,21.9918322147204 58.4209084515592,21.9999876188463 58.4185392548319,22.0071041117955 58.4153804036043,22.0129080913722 58.4115534833348,22.0171766858882 58.4072057498074,22.0197462925396 58.402504441313,22.0205187977595 58.3976303278338)))', 'EEJYA', 'Jaagarahu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.6887283946144 58.5481244958934,26.6878545775622 58.5432548388467,26.6851808837049 58.5385678303536,26.6808106917819 58.5342434829297,26.6749123704933 58.530447817629,26.6677127438356 58.5273265084964,26.6594883510845 58.5249993134789,26.6505548407543 58.5235555013975,26.6412549028399 58.5230504462916,26.6319451936019 58.5235035162476,26.6229827410943 58.5248973352996,26.6147113369672 58.5271784458288,26.6074484205171 58.530259346815,26.601472944511 58.5340218320434,26.5970146792344 58.5383215036738,26.5942453620946 58.5429932921178,26.593272035921 58.5478577745396,26.5941328412924 58.5527280529764,26.5967954388308 58.5574169303584,26.6011581391094 58.5617441096495,26.6070537139644 58.56554313867,26.6142557575221 58.5686678312795,26.6224873625594 58.5709979144271,26.6314317825583 58.5724436795996,26.6407446666242 58.5729494554164,26.650067387559 58.5724957640693,26.6590409363924 58.5711000761256,26.6673198321577 58.5688161337265,26.6745854950258 58.5657318690192,26.6805585541157 58.5619660003149,26.6850096070991 58.5576634405572,26.6877680145766 58.5529896990249,26.6887283946144 58.5481244958934)))', 'EEJYE', 'Järveääre', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2886566294775 58.494901676649,27.2877011212132 58.4900362491559,27.2849516684948 58.4853618651695,27.2805145503316 58.4810580482807,27.2745606926212 58.4772900282343,27.2673190374569 58.4742024161433,27.2590677241644 58.4719136763295,27.2501234240594 58.4705116028041,27.2408292351629 58.4700499698322,27.231541592307 58.4705464815993,27.2226166812471 58.4719820973278,27.2143968619696 58.4743017569509,27.2071976060886 58.4774164803715,27.201295436059 58.4812067621523,27.1969173201713 58.4855271349282,27.1942319275372 58.4902117305834,27.1933430825033 58.495080629893,27.1942856796378 58.49994676036,27.1970242306737 58.5046230796722,27.2014541162827 58.5089297696035,27.2074055116595 58.5127011630149,27.2146498495822 58.5157921352295,27.2229085823028 58.5180837103768,27.2318639089663 58.5194876627913,27.2411710528567 58.5199499321632,27.2504716068581 58.5194527174209,27.2594074196067 58.5180151663638,27.2676344714316 58.5156926336955,27.2748361896303 58.5125745369088,27.2807356768859 58.5087808950056,27.2851063733392 58.504457686899,27.2877807394216 58.4997712123576,27.2886566294775 58.494901676649)))', 'EEJYR', 'Jürimardi', 'Y'),('SRID=4326;MULTIPOLYGON(((25.3270743346268 59.5206368396999,25.3263724445126 59.5157600851108,25.323812303515 59.5110465845644,25.319492990403 59.5066773739806,25.3135809792586 59.5028201986763,25.3063036684177 59.4996230915302,25.2979406110727 59.4972087140032,25.2888127890948 59.4956696729539,25.2792703396453 59.4950649885784,25.2696791968327 59.4954178451589,25.2604071470314 59.4967147082077,25.2518098158937 59.4989058407091,25.2442171072802 59.5019071992057,25.2379205992821 59.5056036391736,25.2331623704463 59.5098533101893,25.2301256807815 59.514493076496,25.228927868017 59.5193447593148,25.2296157413062 59.5242219651082,25.2321636640772 59.5289372403034,25.2364744176732 59.5333092788072,25.2423828311222 59.537169904778,25.2496620538085 59.5403705600049,25.2580322414826 59.5427880428637,25.2671713267472 59.5443292737364,25.2767274577068 59.5449348990455,25.2863326173632 59.5445815912599,25.2956168854006 59.5432829535593,25.3042227760489 59.5410889931348,25.3118190823407 59.5380841839699,25.3181136784747 59.5343841959221,25.322864776972 59.5301314195776,25.3258902033554 59.5254894634507,25.3270743346268 59.5206368396999)))', 'EEKAB', 'Kaberneeme', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1319408410838 58.7029598258472,27.1310014004882 58.6980933923661,27.1282564766071 58.6934158100747,27.1238121855614 58.6891067256152,27.1178397382333 58.685331570515,27.1105687972077 58.6822352287462,27.1022786291967 58.6799364982836,27.0932873961823 58.6785235550407,27.083939993227 58.6780505890663,27.0745948905185 58.6785357385261,27.0656104707252 58.6799603983754,27.0573313695817 58.6822699294269,27.0500753275202 58.6853757414587,27.0441210431149 58.6891586728248,27.0396974853857 58.6934735404539,27.0369750722046 58.6981546898251,27.0360590571385 58.7030223360918,27.0369853885217 58.7078894564588,27.0397192144401 58.712568971493,27.0441561083361 58.7168809403107,27.0501259854775 58.7206594922674,27.0573995745709 58.7237592262507,27.065697205763 58.7260608278517,27.074699580872 58.7274756840515,27.0840601085508 58.7279493135703,27.0934183204879 58.7274634772234,27.1024138382504 58.7260368846284,27.110700336537 58.7237244692159,27.1179589487689 58.7206152603264,27.1239105850903 58.716828936747,27.1283266796316 58.7125111979824,27.1310379507249 58.7078281356571,27.1319408410838 58.7029598258472)))', 'EEKAD', 'Kadrina, Jõgeva mk', 'Y'),('SRID=4326;MULTIPOLYGON(((26.7297925674546 58.5951093074463,26.7289118950862 58.5902399606286,26.7262291481284 58.585553834359,26.721848054632 58.5812309067756,26.715937402685 58.5774371438841,26.708724489565 58.5743181461995,26.7004863636226 58.571993582547,26.6915391989091 58.5705526205032,26.6822262075595 58.5700505246501,26.6729045449047 58.5705065495991,26.6639316962102 58.5719032062155,26.6556518512343 58.5741869283072,26.6483827731937 58.5772701149774,26.6424036522102 58.5810344725956,26.6379444001509 58.5853355316622,26.6351767945635 58.5900081693946,26.6342078150974 58.594872930253,26.6350754378642 58.5997429053278,26.6377470636605 58.6044309088171,26.64212065753 58.6087566767941,26.6480285731363 58.6125538108294,26.6552439297883 58.6156761971821,26.6634893071331 58.6180036511328,26.6724474271609 58.6194465650826,26.6817734098881 58.6199493772889,26.6911081221605 58.6194927240818,26.7000920920234 58.6180941902428,26.70837943662 58.6158076277546,26.7156512509854 58.6127210699395,26.7216279284209 58.6089533236543,26.7260799290707 58.6046493742924,26.7288365793501 58.5999747846568,26.7297925674546 58.5951093074463)))', 'EEKAI', 'Kaiavere', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7529970981861 58.7593563820708,22.7518300175113 58.7545038502998,22.7488641447578 58.7498628123887,22.7442140639251 58.7456114997183,22.7380588587762 58.7419131163999,22.7306351726355 58.7389095935362,22.722228099014 58.7367161646426,22.7131602553715 58.7354169661781,22.7037794553361 58.7350618278763,22.6944454424576 58.7356643726452,22.6855161801543 58.7372014968166,22.6773342073616 58.7396142501479,22.67021356728 58.7428100829475,22.664427797543 58.7466663767344,22.6601994344081 58.7510351266803,22.6576914318121 58.7557486003975,22.6570008293705 58.7606257600038,22.6581549231756 58.7654792042987,22.6611101016995 58.7701223665643,22.6657534090411 58.7743766920068,22.671906792642 58.7780785178481,22.6793338864956 58.7810853888931,22.6877490783007 58.7832815618956,22.6968285146789 58.7845824826302,22.7062226171113 58.7849380591629,22.7155696168748 58.7843346018687,22.7245095734127 58.7827953533398,22.7326983196878 58.7803795872337,22.7398207813004 58.7771803119102,22.7456031433092 58.7733206699436,22.7498233882555 58.7689491758918,22.7523197981244 58.7642339799072,22.7529970981861 58.7593563820708)))', 'EEKAJ', 'Kajaka kanal', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6519540114297 59.4518893581727,24.6513506876086 59.4470097127042,24.6488898993952 59.4422837319388,24.6446669136718 59.437892936511,24.6388445154942 59.4340059050727,24.6316466768502 59.4307718198507,24.6233499162835 59.4283147631976,24.6142726863866 59.426728979828,24.6047631948108 59.4260752821636,24.5951861178427 59.4263787328242,24.5859087027382 59.4276276903801,24.5772867752357 59.4297742536924,24.5696511717196 59.4327360882234,24.563295101329 59.4363995663235,24.5584629121381 59.4406241044124,24.5553406878936 59.4452475348422,24.5540490385754 59.4500923106622,24.5546383706066 59.454972308987,24.5570868328143 59.459699974526,24.5613010348367 59.464093530154,24.5671195288579 59.4679839770042,24.5743189372659 59.4712216128847,24.582622502539 59.4736818148871,24.5917107361317 59.4752698594453,24.6012337551791 59.4759245898916,24.6108248239559 59.4756207863739,24.6201145650762 59.4743701440415,24.6287452762752 59.4722208205258,24.6363847839314 59.4692555705811,24.6427392845391 59.4655885418233,24.6475646690135 59.4613608583879,24.6506758895667 59.4567351667727,24.6519540114297 59.4518893581727)))', 'EEKAK', 'Kakumäe', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1072309951274 58.9185961065576,22.1061486717924 58.913737721844,22.1032552792043 58.909081850947,22.0986626331218 58.9048072987323,22.0925476294181 58.9010781640184,22.0851453850246 58.8980375592086,22.076740184404 58.8958021403879,22.067654582139 58.8944576535605,22.0582370761917 58.8940556637507,22.0488488150765 58.8946115889943,22.0398498346678 58.8961041124133,22.0315853360669 58.8984759942778,22.0243725146297 58.9016362539246,22.018488431923 58.9054636403695,22.0141593873094 58.9098112621331,22.0115521946736 58.9145122028702,22.010767703491 58.9193859114542,22.0118368235232 58.9242451246676,22.0147192210114 58.9289030588854,22.0193047540999 58.9331805951205,22.0254176098062 58.936913180265,22.0328229982155 58.939957176619,22.041236156221 58.9421954117654,22.0503333178013 58.9435417109393,22.0597642251918 58.9439442332024,22.0691656896258 58.9433874794575,22.0781756651401 58.9418928927148,22.0864472767269 58.939518026827,22.0936622461445 58.9363543167486,22.0995431848191 58.9325235387609,22.1038642720422 58.9281731006746,22.1064599053707 58.9234703475938,22.1072309951274 58.9185961065576)))', 'EEKAL', 'Kalana', 'Y'),('SRID=4326;MULTIPOLYGON(((21.921339358811 58.2626675508929,21.9203035892257 58.2578070096704,21.9174891792332 58.25314631368,21.9130048850407 58.2488644573585,21.9070234252156 58.2451258252866,21.8997747841823 58.2420739000683,21.8915373559943 58.2398257774073,21.8826272713826 58.238467694756,21.8733863143004 58.2380517410382,21.8641688824017 58.2385938702924,21.8553284781516 58.2400732932435,21.847204232996 58.2424332694788,21.8401079659467 58.2455832708034,21.8343122600875 58.2494024352329,21.830040006156 58.2537441826619,21.8274558121235 58.2584418192276,21.8266596125918 58.2633149193411,21.8276827333612 58.268176243776,21.8304865767966 58.272838930339,21.8349639953519 58.2771236815474,21.8409433172149 58.2808656721006,21.8481948834498 58.2839209080965,21.856439854671 58.2861717897954,21.8653609517902 58.2875316597056,21.8746147142982 58.2879481568089,21.8838447950277 58.287405244341,21.8926957658404 58.2859238308144,21.9008268866259 58.2835609596896,21.9079252916217 58.2804075998827,21.9137180722643 58.2765851246769,21.9179827831572 58.2722406182128,21.9205559646893 58.2675411943909,21.921339358811 58.2626675508929)))', 'EEKAR', 'Karala', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7999532689664 59.4478338740836,24.7993286665158 59.4429547925239,24.7968474559518 59.4382314851899,24.792605686734 59.4338453689319,24.7867668623349 59.4299648418575,24.7795555819112 59.426738835937,24.7712488764463 59.4242911232167,24.7621655771763 59.4227155899525,24.7526541225833 59.4220726556357,24.7430792634675 59.4223869704357,24.7338081625567 59.423646476624,24.7251964051618 59.4258028687293,24.717574440243 59.4287734352276,24.7112349568909 59.4324442132057,24.7064216698734 59.4366743383804,24.7033199400842 59.4413014277743,24.7020495923432 59.4461477928502,24.7026602154068 59.4510272484679,24.7051291392068 59.4557522589857,24.70936218483 59.4601411482596,24.7151971768932 59.4640250960163,24.7224100996815 59.4672546495178,24.7307236721806 59.4697054966306,24.7398180177127 59.4712832739156,24.7493430161015 59.4719272202487,24.7589318546231 59.4716125313898,24.7682152423078 59.4703513220149,24.7768357232927 59.4681921568905,24.7844615205309 59.4652181697083,24.7907993614996 59.4615438441499,24.795605781473 59.4573105845855,24.7986964650046 59.4526812511741,24.7999532689664 59.4478338740836)))', 'EEKAS', 'Kalasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7749900430776 59.4738434562332,24.7743686477906 59.4689642921457,24.7718891073634 59.4642405377151,24.7676474086784 59.4598536270471,24.7618070539437 59.4559719887376,24.7545927021937 59.4527445973129,24.7462815029687 59.4502952778299,24.7371924601053 59.4487179780083,24.7276742321114 59.4480731849372,24.7180918288887 59.4483856199643,24.7088127015669 59.4496432974223,24.7001927423051 59.4517979820427,24.6925627138097 59.4547670279584,24.6862156139776 59.4584365308386,24.6813954497394 59.4626656756342,24.678287846362 59.4672921173269,24.6770128550765 59.4721381925607,24.6776202442841 59.4770177275877,24.6800874697096 59.4817431838927,24.6843204193156 59.4861328682756,24.690156922863 59.4900179298683,24.6973729076294 59.493248872981,24.7056909754666 59.4957013318443,24.7147910768562 59.4972808807957,24.724322869729 59.4979266903359,24.7339192790498 59.4976138843685,24.7432107213834 59.4963545050332,24.7518394297196 59.4941970466947,24.7594733093857 59.4912245774941,24.7658187761825 59.4875515229268,24.7706320717985 59.4833192387536,24.7737286166544 59.4786905479343,24.7749900430776 59.4738434562332)))', 'EEKAT', 'Katariina kai', 'Y'),('SRID=4326;MULTIPOLYGON(((26.895453618032 58.3440475484509,26.894556310857 58.3391791485477,26.8918705921699 58.3344963019767,26.8875002912214 58.3301788607907,26.8816137706117 58.3263925810041,26.8744373934222 58.3232827771745,26.8662468020339 58.3209687669469,26.8573563470711 58.3195393146665,26.8481070693536 58.3190492447743,26.8388536872354 58.3195173514169,26.8299510752487 58.320925682109,26.8217407369826 58.3232202220865,26.8145377753055 58.3263129538879,26.8086188464131 58.3300852154608,26.8042115509967 58.3343922314283,26.8014856666898 58.3390686477539,26.8005465618323 58.3439348615084,26.8014310529613 58.3488039062538,26.8041058793431 58.3534886309909,26.8084688699806 58.3578088977338,26.8143527752033 58.3615985203031,26.8215316301021 58.3647116752333,26.8297294150907 58.3670285347044,26.8386306843857 58.3684599005991,26.8478927507819 58.3689506571452,26.8571589489617 58.3684819056594,26.8660724532601 58.3670716967984,26.8742901018311 58.3647743312613,26.8814956788798 58.3616782566759,26.8874121300472 58.3579026440036,26.8918122318568 58.3535927787953,26.8945273018378 58.3489144488583,26.895453618032 58.3440475484509)))', 'EEKBI', 'Kabina', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4879614955484 58.0079361944298,24.4874000866104 58.0030551335384,24.4850561046911 57.9983259752672,24.4810202645476 57.9939303690589,24.4754481162032 57.9900370881102,24.4685539982682 57.9867955659803,24.4606027702298 57.9843301817859,24.4518996460309 57.9827355093675,24.4427785177494 57.9820727086071,24.433589210038 57.9823671936785,24.4246841421312 57.9836076650291,24.4164048940078 57.9857465409859,24.4090691763983 57.9887017727983,24.4029586907164 57.9923599754026,24.3983083349119 57.9965807569741,24.3952971652294 58.0012020850891,24.3940414628403 58.0060464876848,24.3945901796647 58.0109278544515,24.396922951339 58.015658580153,24.4009507697624 58.0200567767204,24.4065193061466 58.0239532765987,24.4134147717723 58.0271981561762,24.4213721019822 58.0296665251952,24.4300851538347 58.0312633554022,24.4392185238561 58.0319271584107,24.4484205236968 58.0316323674635,24.4573368018572 58.0303903286801,24.4656240716971 58.0282488623613,24.4729634012533 58.0252904116178,24.4790725392288 58.0216288515665,24.4837167928533 58.0174050851728,24.4867180348856 58.012781599272,24.4879614955484 58.0079361944298)))', 'EEKBL', 'Kabli', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5761470674948 59.5665436824443,25.5754082943142 59.561668180399,25.5728099118825 59.5569594630551,25.5684524671574 59.5525983805564,25.5625038954668 59.5487523643315,25.5551929939273 59.5455690175526,25.5468005992379 59.5431704728015,25.5376488132977 59.5416487292199,25.5280886878947 59.5410621436929,25.5184868321695 59.5414332068721,25.5092114426357 59.5427476866871,25.5006182746661 59.5449551710784,25.4930370762309 59.547970989728,25.4867589892898 59.5516794432911,25.4820253918394 59.5559382197514,25.4790186047227 59.5605838327128,25.4778548228547 59.5654378772943,25.4785795518791 59.5703138672981,25.4811657404577 59.5750243937823,25.4855146980349 59.5793883311784,25.4914597813749 59.5832378134263,25.4987727244348 59.5864247096835,25.5071723797167 59.5888263469921,25.5163355399642 59.5903502553959,25.5259094217527 59.5909377484346,25.5355253216529 59.5905661972958,25.544812905049 59.5892499083376,25.5534145601609 59.5870395690458,25.5609992469294 59.5840202843716,25.5672752923312 59.5803082813312,25.5720016291799 59.5760464123163,25.574997041995 59.571398634536,25.5761470674948 59.5665436824443)))', 'EEKBN', 'Kolga-Aabla lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3354007821583 58.3439961321497,24.3348563757667 58.3391147652438,24.33251186441 58.3343830142702,24.3284579995818 58.3299826281291,24.3228510374185 58.3260825624775,24.3159066628477 58.3228325095138,24.3078916688637 58.3203571735514,24.2991137154799 58.31875150809,24.2899095600814 58.3180770929645,24.2806322033237 58.3183597868372,24.271637431316 58.3195887423773,24.2632702549443 58.3217168206269,24.255851750515 58.3246623890049,24.2496667923943 58.3283124358937,24.2449531382207 58.3325268855242,24.2418922811156 58.3371439515912,24.2406024220134 58.3419863283322,24.2411338401487 58.3468679851456,24.2434668527848 58.3516013065648,24.247512459002 58.3560043046042,24.2531156599635 58.3599076259696,24.2600613433535 58.36316108281,24.2680825169253 58.3656394526024,24.2768705798815 58.3672473199735,24.2860872357453 58.3679227698671,24.2953775807757 58.3676397860863,24.304383851513 58.3664092600981,24.3127592864922 58.3642785699472,24.3201815521093 58.3613297458539,24.3263652013944 58.357676295089,24.331072675971 58.353458811631,24.3341234235073 58.3488395436571,24.3354007821583 58.3439961321497)))', 'EEKBR', 'Kabriste', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7926547777393 59.2529644689462,23.7913222011362 59.2481233459187,23.7881720137976 59.2435083351813,23.7833258857663 59.2392966588866,23.7769704227323 59.2356499904299,23.7693499386176 59.2327082686741,23.7607570552642 59.2305843506701,23.7515214921299 59.2293597037348,23.7419974714342 59.229081298032,23.73255021121 59.229759815543,23.7235420093272 59.2313692421387,23.7153184352411 59.2338478580442,23.7081951427533 59.2371005900271,23.7024457964926 59.2410026378922,23.6982915674316 59.2454042400219,23.6958925991846 59.2501363994421,23.6953417781396 59.2550173548009,23.696661058244 59.259859551163,23.6998004976865 59.2644768449137,23.7046400626933 59.2686916663331,23.7109941467377 59.2723418632098,23.7186186458401 59.275286959511,23.7272203269167 59.2774135844416,23.7364681311369 59.2786398585788,23.7460059726844 59.2789185640315,23.7554665294232 59.2782389731843,23.764485479206 59.276627263572,23.7727156163063 59.2741455025391,23.7798402877653 59.2708892421355,23.7855856190224 59.2669838197267,23.7897310503563 59.2625795106737,23.7921177775278 59.2578457240543,23.7926547777393 59.2529644689462)))', 'EEKBU', 'Keiburanna', 'Y'),('SRID=4326;MULTIPOLYGON(((24.960046685555 59.5087743850907,24.9593980242868 59.5038959893094,24.9568901032881 59.4991756272277,24.9526199991961 59.4947946011169,24.9467523028859 59.4909211122713,24.9395127195832 59.4877038213593,24.9311793630293 59.4852661651876,24.9220720830426 59.4837016437673,24.9125402342193 59.483070254149,24.9029493466263 59.483396203987,24.893667196142 59.4846669897953,24.8850497919755 59.4868338740255,24.8774278015549 59.4898137431498,24.871093918391 59.4934922775901,24.8662916469345 59.4977283153178,24.8632059303647 59.5023592459212,24.8619559835902 59.507207232512,24.8625906158662 59.5120860264957,24.8650862373029 59.5168081162834,24.8693476437579 59.5211919365767,24.8752115684935 59.5250688606933,24.8824528804756 59.5282897049761,24.8907932027913 59.5307304916499,24.8999116251503 59.5322972441122,24.90945709663 59.532929625656,24.9190620132341 59.5326032776148,24.9283564632903 59.5313307640978,24.9369825650889 59.5291610856817,24.9446083270674 59.5261777812848,24.950940481533 59.5224956934744,24.9557357872177 59.5182565252476,24.9588103614202 59.5136233636053,24.960046685555 59.5087743850907)))', 'EEKBV', 'Kibuvitsa, Randvere k', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1798332458925 59.342316325652,26.1790123552107 59.3374440172788,26.1763471009884 59.3327471008319,26.1719405804889 59.3284059696768,26.1659625938847 59.3245872870827,26.1586430492182 59.3214376064184,26.1502631004582 59.3190777690668,26.1411443631771 59.3175982908036,26.1316366191439 59.3170559093569,26.1221044725858 59.3174714218826,26.1129134560313 59.3188288927607,26.1044161019127 59.3210762610936,26.0969384972087 59.3241273253017,26.0907678223281 59.327865030978,26.0861413424347 59.3321459394066,26.083237270034 59.3368057095403,26.0821678528336 59.3416653873658,26.082974962069 59.3465382649471,26.0856283656704 59.3512370483196,26.0900267705224 59.3555810598957,26.0960016119878 59.3594031978892,26.1033234608464 59.3625563828781,26.1117108123413 59.3649192399778,26.1208409239025 59.3664007936826,26.1303622821285 59.3669439902966,26.1399082101511 59.3665279085617,26.1491110773347 59.3651685707552,26.1576165470945 59.3629183219981,26.1650972969203 59.3598638023892,26.1712656675906 59.3561225923894,26.1758847447409 59.3518386642156,26.1787774428678 59.3471768186434,26.1798332458925 59.342316325652)))', 'EEKDA', 'Kadrina , Lääne-Viru mk', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((25.8311841384012 59.5884480730865,25.8304080087772 59.5835739341474,25.827772299475 59.5788702001625,25.8233789891874 59.5745175278728,25.8173973864082 59.5706830241161,25.8100575508622 59.5675138489718,25.8016414238059 59.5651315905555,25.7924720123145 59.5636276230714,25.7829010402233 59.563059621869,25.7732955305671 59.5634493654152,25.7640238201397 59.5647819058714,25.7554415256107 59.5670061390127,25.7478779821879 59.5700367522702,25.7416236601001 59.5737574784322,25.7369190314357 59.5780255337181,25.7339453106492 59.5826770742196,25.7328174272585 59.5875334656761,25.7335795103193 59.5924081296978,25.7362030731589 59.5971137061864,25.7405879862717 59.6014692578972,25.7465662195588 59.6053072396272,25.7539082262738 59.6084799618076,25.7623317346235 59.6108652963183,25.7715126137997 59.612371400647,25.7810973941146 59.6129402741284,25.7907169503528 59.6125500054986,25.8000008072517 59.6112156225357,25.8085914989496 59.6089885099702,25.816158411847 59.6059544187378,25.822410562747 59.6022301455408,25.827107810109 59.5979590141635,25.8300700632168 59.5933053368205,25.8311841384012 59.5884480730865)))', 'EEKDE', 'Kaldapealse', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2340791982807 59.5256717527896,25.2333906542317 59.5207945683542,25.2308431533464 59.5160793135028,25.2265352902201 59.511707092213,25.2206331011921 59.5078457659311,25.2133636097633 59.504643527209,25.2050060712042 59.5022232345659,25.1958812574363 59.5006777217526,25.1863391913878 59.5000662570363,25.1767457928333 59.5004122845133,25.167468934203 59.5017025313811,25.158864424383 59.5038875142394,25.1512624408418 59.506883425527,25.1449549154806 59.5105753298971,25.1401843476602 59.5148215513698,25.1371344694262 59.5194590871731,25.1359231239547 59.5243098448797,25.1365976400428 59.5291874672556,25.1391328950542 59.5339044854745,25.1434321587149 59.5382795271028,25.1493307038774 59.5421443013238,25.1566020617901 59.5453500906686,25.1649666930311 59.5477734960676,25.1741027458846 59.5493212098807,25.1836584863724 59.5499336287573,25.1932659129066 59.549587163339,25.2025550174204 59.5482951531007,25.2111681267007 59.5461073499007,25.2187737540904 59.5431079906723,25.2250794129489 59.5394125356804,25.2298428880778 59.5351632014546,25.2328815272314 59.5305234646549,25.2340791982807 59.5256717527896)))', 'EEKDI', 'Kadastiku, Ihasalu k', 'Y'),('SRID=4326;MULTIPOLYGON(((28.1489813040388 59.4475783985226,28.1478752765639 59.4427208263094,28.1449302901887 59.4380664230538,28.1402601658533 59.4337939344845,28.1340447908296 59.4300673763541,28.126523142601 59.4270297578363,28.1179840864808 59.4247976162293,28.1087553033516 59.4234565683697,28.0991907686141 59.4230580451857,28.0896572526475 59.4236173311354,28.0805203458744 59.425112981469,28.0721305273436 59.4274876390109,28.0648097943431 59.4306502201793,28.0588393519583 59.4344793889856,28.0544488259605 59.438828189487,28.0518074105506 59.4435296632808,28.0510172952872 59.4484032407106,28.0521096345014 59.4532616639704,28.0550432297654 59.4579181785204,28.0597059943311 59.4621937172071,28.0659191613866 59.4659237999257,28.0734440895958 59.4689648809162,28.0819914143018 59.47119989575,28.091232195806 59.4725427901671,28.1008106320619 59.472941852117,28.1103578363065 59.4723817151192,28.1195061341969 59.4708839534882,28.1279033124887 59.468506245826,28.135226253439 59.4653401400683,28.1411934158259 59.4615075087908,28.1455756732319 59.4571558350656,28.1482050902755 59.4524525147173,28.1489813040388 59.4475783985226)))', 'EEKDK', 'Kudruküla', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3121786422101 58.8835198582414,22.311068762461 58.8786632791677,22.3081508953236 58.8740120725155,22.3035377923154 58.8697448627255,22.2974071297335 58.8660254658201,22.2899946204784 58.8629966199982,22.2815849385027 58.8607745301099,22.2725008071879 58.8594444311347,22.2630906666339 58.8590573367387,22.2537153832571 58.8596280942172,22.2447344972947 58.8611348182478,22.2364925192502 58.8635197245615,22.2293057847387 58.866691332608,22.2234503586164 58.8705279552819,22.2191514439882 58.8748823455085,22.2165747003022 58.8795873256381,22.2158198082569 58.8844621877526,22.2169165392022 58.8893196226196,22.2198234952206 58.8939729133995,22.2244295859122 58.8982431183625,22.2305582025433 58.9019659654991,22.2379739436947 58.904998191344,22.2463916433903 58.9072230764691,22.2554873576246 58.9085549603447,22.2649108829014 58.9089425575692,22.2742993150979 58.9083709442959,22.2832911121848 58.9068621361347,22.2915401025377 58.9044742346451,22.2987288829828 58.9012991763665,22.3045810771928 58.897459173671,22.3088719740957 58.8931019882106,22.3114371348704 58.8883952231834,22.3121786422101 58.8835198582414)))', 'EEKDP', 'Kiduspe', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7325492014903 58.4539951070446,23.7312584710146 58.449152538639,23.7281909543567 58.4445349523775,23.7234651131762 58.4403196736501,23.7172629122203 58.4366685199807,23.7098227730336 58.433721608847,23.7014304004633 58.4315920025872,23.6924078361005 58.4303613916999,23.6831011542785 58.4300769781531,23.6738672625475 58.4307496750507,23.6650602987355 58.4323536897865,23.6570181302777 58.434827506322,23.6500494581849 58.4380762301885,23.6444220078949 58.4419752089723,23.6403522525897 58.4463747931242,23.6379970620438 58.4511060586129,23.6374476027411 58.4559872758024,23.6387257344563 58.4608308794313,23.6417830569233 58.4654506739578,23.6465026604552 58.4696689978043,23.6527035299319 58.4733235698557,23.6601474465184 58.4762737522167,23.6685481302955 58.4784059845341,23.6775822743671 58.4796381765152,23.6869020414921 58.4799228854841,23.6961485319981 58.4792491533616,23.7049656900044 58.4776429303579,23.7130140961018 58.4751660687007,23.719984099657 58.4719139264515,23.725607772533 58.468011676442,23.7296692166278 58.4636094662355,23.7320128274741 58.4588766196556,23.7325492014903 58.4539951070446)))', 'EEKDR', 'Kadariku paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7562076083322 59.6054763052206,25.7554419760785 59.6006017708719,25.7528154544939 59.595896572492,25.7484296711253 59.5915414235536,25.7424536475039 59.5877035263234,25.7351172312535 59.5845301713,25.726702234193 59.5821431069971,25.7175316212998 59.580633891866,25.7079571630685 59.5800604023388,25.6983460160829 59.5804446271623,25.6890667325072 59.5817718299893,25.6804752181193 59.5839911112602,25.6729011601539 59.58701734845,25.6666354306041 59.5907344425041,25.6619189379704 59.5949997494528,25.6589333512953 59.5996495314443,25.6577940555965 59.6045052223779,25.6585456189123 59.6093802714197,25.6611599601056 59.6140873042671,25.6655373059817 59.618445328167,25.6715099195424 59.6222867031667,25.6788484723185 59.6254636093088,25.6872708272285 59.6278537574541,25.6964528991312 59.6293651196633,25.7060411730002 59.6299394926306,25.7156663889426 59.6295547531131,25.7249578529186 59.6282257158157,25.7335578047931 59.62600355958,25.7411352728017 59.6229738446193,25.747398865807 59.6192531994473,25.7521080005821 59.6149848086593,25.7550821282537 59.6103328795929,25.7562076083322 59.6054763052206)))', 'EEKDS', 'Kadapiku, Suurpe k', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1865389509081 58.4321977397569,23.1853240067013 58.427349270591,23.1823297236612 58.4227182281188,23.1776717572691 58.4184824583627,23.1715294759762 58.414804568565,23.1641390128459 58.4118257043174,23.1557841778469 58.4096601548581,23.1467855819676 58.4083909893829,23.1374883863811 58.4080668877632,23.12824913681 58.408700283984,23.11942217408 58.4102668915058,23.1113461260864 58.4127066283082,23.104330983764 58.4159259073185,23.0986462441927 58.4198012069996,23.094510567984 58.4241837888042,23.0920833462207 58.4289053846639,23.0914585055086 58.4337846402687,23.0926607997105 58.4386340700562,23.0956447458281 58.4432672588376,23.1002962620821 58.4475060338347,23.106436961998 58.4511873302854,23.1138309532665 58.454169483966,23.1221938887948 58.4563377048515,23.1312039243634 58.4576085170453,23.1405141572082 58.4579329899772,23.1497660567988 58.4572986331332,23.1586033564555 58.4557298792994,23.1666858545786 58.4532871372533,23.1737025782615 58.4500644515893,23.1793837896801 58.4461858624768,23.1835113653553 58.4418006092489,23.1859271474379 58.4370773666732,23.1865389509081 58.4321977397569)))', 'EEKDT', 'Kadastiku, Saareküla k', 'Y'),('SRID=4326;MULTIPOLYGON(((23.595985519186 58.7700426460542,23.5947007791965 58.7651988675539,23.5916222664039 58.7605782955653,23.5868688799089 58.7563583695625,23.5806236539252 58.752701084061,23.5731266687376 58.7497467898803,23.5646658126625 58.7476088304327,23.5555657517508 58.7463692146253,23.5461755260448 58.7460754883264,23.5368552379701 58.7467389211435,23.5279623289972 58.7483340760858,23.5198379545184 58.7507997782376,23.51279396372 58.7540414465528,23.5071009711158 58.757934702055,23.5029779696628 58.7623301177903,23.5005838826274 58.7670589325239,23.5000113836905 58.771939512964,23.501283233724 58.7767843197095,23.5043512904446 58.7814071113878,23.5090982465928 58.7856301105976,23.5153420469189 58.7892908549563,23.5228428281853 58.7922484670648,23.5313121241604 58.7943890983859,23.5404239838958 58.7956303332436,23.5498275710831 58.795924379283,23.5591607491287 58.7952599182192,23.5680641141775 58.7936625435842,23.5761949189936 58.7911937682228,23.5832403354324 58.7879486410497,23.5889295319427 58.7840520676214,23.5930440934919 58.7796539800155,23.5954263817131 58.7749235462343,23.595985519186 58.7700426460542)))', 'EEKDV', 'Kiideva', 'Y'),('SRID=4326;MULTIPOLYGON(((25.3808100589483 59.336615484346,25.3801038070103 59.3317388695192,25.3775496228433 59.327026321349,25.3732463467502 59.3226588395405,25.3673598291815 59.3188041039039,25.3601164847539 59.315610054895,25.3517945612621 59.313199237985,25.3427134636763 59.3116641247001,25.3332215407653 59.311063585535,25.3236827943881 59.3114206462658,25.3144630076323 59.3127216110657,25.305915807253 59.3149165849124,25.2983691779719 59.3179213758047,25.2921129311319 59.3216207059846,25.2873875981997 59.3258726124272,25.2843751711999 59.3305138719657,25.2831920482761 59.3353662471915,25.2838844645913 59.3402433171598,25.2864265986742 59.3449576332894,25.2907214447363 59.3493279267201,25.2966044357239 59.3531860895981,25.3038496939139 59.3563836597018,25.3121786801626 59.3587975555049,25.3212709142612 59.360334836747,25.3307763520064 59.360936302881,25.3403289340248 59.3605787870077,25.3495607708739 59.3592760542455,25.3581164012789 59.3570782687735,25.3656665571245 59.3540700506382,25.3719208901838 59.3503671993644,25.3766391603498 59.3461122140317,25.3796404508422 59.341468786539,25.3808100589483 59.336615484346)))', 'EEKEH', 'Kehra', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4747419406377 59.3089543161182,24.474166067147 59.3040739545877,24.4717398058187 59.2993447883176,24.4675570922073 59.294948462201,24.4617791627232 59.2910537692454,24.4546282830539 59.2878101876162,24.4463791729596 59.2853421655859,24.437348462006 59.2837443695599,24.4278825793925 59.2830780731719,24.4183445344725 59.283368822116,24.4091000817907 59.2846054614999,24.4005037848579 59.2867405617282,24.3928854961383 59.2896922269705,24.3865377568075 59.2933472188642,24.3817045889891 59.2975652789655,24.3785721058942 59.3021844882676,24.3772613024858 59.3070274624575,24.3778233123003 59.3119081489705,24.3802373268321 59.3166389676528,24.3844112749886 59.3210380220468,24.3901852548211 59.3249361037905,24.3973376019443 59.3281832188065,24.4055933731956 59.3306543808961,24.4146349249105 59.3322544456076,24.4241141774812 59.3329217939199,24.4336660860959 59.3326307199927,24.4429227855844 59.331392428194,24.4515278479679 59.3292545996849,24.4591500863231 59.3262995456527,24.4654963581814 59.3226410203729,24.4703228648328 59.3184198202152,24.4734445071705 59.3137983422307,24.4747419406377 59.3089543161182)))', 'EEKEI', 'Keila', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8881142167034 59.5568017565634,24.8874751900367 59.5519230926097,24.8849739354011 59.5472014218879,24.8807072765955 59.5428180972787,24.8748396753552 59.5389414084592,24.8675968359318 59.53572013885,24.8592569988898 59.5332778776958,24.8501402635384 59.5317083013438,24.8405963469777 59.5310716003975,24.8309912409914 59.5313921859506,24.8216932649538 59.5326577601266,24.8130590329041 59.5348197853367,24.8054198556968 59.537795334727,24.7990690846348 59.5414702549433,24.7942508714553 59.5457035233089,24.7911507715047 59.5503326364678,24.7898885532859 59.5551798280815,24.7905134996746 59.5600588807798,24.7930023959176 59.5647822735715,24.7972602996671 59.5691683914068,24.8031240820669 59.5730485193662,24.8103686202527 59.5762733504514,24.8187154150431 59.5787187532151,24.8278433078769 59.5802905730281,24.8374008830274 59.5809282777393,24.8470200693108 59.5806073034407,24.856330403751 59.579340007192,24.864973390852 59.5771751887525,24.8726163868829 59.5741962002206,24.8789654591635 59.5705177185291,24.8837767145846 59.5662813085568,24.8868656570576 59.5616499519402,24.8881142167034 59.5568017565634)))', 'EEKEL', 'Kelvingi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5839822849337 58.7341637723078,26.5831185313762 58.7292935601726,26.5804447598208 58.7246045115388,26.5760643615278 58.7202767172435,26.5701461051338 58.7164763300921,26.5629175854491 58.7133492043562,26.5546564531052 58.711015319946,26.5456797656559 58.7095642010902,26.5363318661042 58.7090515011179,26.5269712451147 58.7094968807819,26.5179568773719 58.7108832590833,26.5096345400727 58.7131574644211,26.5023236221195 58.7162322618418,26.496304916196 58.7199896809142,26.4918098528324 58.7242855200523,26.4890115863725 58.7289548586126,26.488018278399 58.7338183694179,26.4888688461226 58.7386891929716,26.4915313535022 58.7433801118273,26.4959041241444 58.7477107504243,26.5018195506546 58.7515145229385,26.5090504690504 58.754645059708,26.5173188635215 58.7569818615233,26.5263065709229 58.7584349600065,26.5356675705625 58.7589484004478,26.5450413774022 58.7585024093641,26.5540670093282 58.757114160838,26.562396974272 58.7548371111956,26.5697107220928 58.7517589284108,26.5757270292889 58.7479980983059,26.5802148305178 58.7436993417655,26.5830020770319 58.7390280235807,26.5839822849337 58.7341637723078)))', 'EEKEM', 'Kuremaa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8980222058393 58.7803022672171,22.8968341661651 58.7754511836638,22.893847185226 58.7708136168474,22.8891766566849 58.7665676637274,22.8830024472604 58.7628763217218,22.8755619268691 58.7598812510208,22.8671408318954 58.7576973604681,22.8580623148643 58.7564084205463,22.8486745966701 58.756063867685,22.8393376851193 58.7566769191338,22.8304096549646 58.7582240686294,22.8222329992857 58.7606459816906,22.8151215597718 58.7638497573536,22.8093485242074 58.7677124722194,22.8051359435423 58.7720858745652,22.8026461689806 58.7768020526399,22.801975542568 58.7816798637091,22.8031505943505 58.786531880401,22.8061269074675 58.7911715896862,22.8107907123342 58.7954205684342,22.8169631658523 58.7991153586032,22.8244071654299 58.8021137750516,22.8328364450113 58.8043003995757,22.8419266060402 58.8055910454697,22.8513276549272 58.8059360165849,22.8606775543851 58.8053220319959,22.8696162523666 58.8037727400286,22.8777996317112 58.8013478013367,22.8849128271143 58.7981405775095,22.890682383477 58.7942745168978,22.8948867795297 58.7898983805836,22.8973649101024 58.7851804965394,22.8980222058393 58.7803022672171)))', 'EEKEO', 'Kassariotsa paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0210539245997 58.7850011071702,27.020127765475 58.7801339309829,27.0173912640534 58.7754540499521,27.0129502179829 58.7711411994458,27.0069757182832 58.7673609556823,26.9996975101581 58.7642583977353,26.991395141678 58.7619525616629,26.9823872437945 58.7605318954163,26.9730193501134 58.7600508847383,26.9636507146862 58.7605279759473,26.9546406197856 58.7619448729208,26.9463346826396 58.764247234405,26.9390516701314 58.7673467457327,26.9330713135328 58.7711244878401,26.9286235816943 58.7754354778752,26.9258798213511 58.7801142113577,26.924946108293 58.7849809973816,26.9258590745588 58.7898488472141,26.9285843866034 58.7945306541451,26.9330179502588 58.7988463896064,26.9389898136364 58.8026300381719,26.9462706328923 58.8057360024182,26.9545804624384 58.8080447277085,26.9635995354451 58.8094673262338,26.9729806169939 58.809949018079,26.9823624452964 58.8094712532235,26.9913837295808 58.8080524303469,26.9996971491352 58.8057471839049,27.006982797949 58.8026442677739,27.0129605434005 58.7988631193685,27.0174008141661 58.7945492401184,27.0201333993929 58.7898685743599,27.0210539245997 58.7850011071702)))', 'EEKEP', 'Kasepää, Jõgeva mk', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1822130198079 58.906568199897,22.1811205773613 58.9017104693878,22.178218149394 58.8970562992039,22.1736178971743 58.892784428417,22.1674970068022 58.8890588525623,22.1600908193154 58.8860225472759,22.1516837688704 58.8837920036471,22.1425984798579 58.882452780762,22.1331834376729 58.8820562419214,22.1237996964501 58.8826175962976,22.1148071194535 58.8841153189435,22.1065506634112 58.8864919707632,22.0993472166761 58.8896563880255,22.0934734826662 58.8934871599762,22.0891553648921 58.8978372648011,22.0865592586149 58.9025396903009,22.0857855878055 58.9074138277233,22.0868648461095 58.9122723967551,22.0897563090748 58.9169286379555,22.094349484754 58.9212034969601,22.1004682643881 58.9249325233052,22.1078776282837 58.9279722160492,22.1162926587084 58.9302055683924,22.1253895163931 58.9315465936471,22.1348179547157 58.9319436541174,22.1442148800971 58.9313814612172,22.1532184221013 58.9298816675518,22.161481954676 58.9275020275117,22.1686875121321 58.9243341597578,22.174558069717 58.9205000003512,22.1788682075058 58.9161470868147,22.1814527451189 58.9114428589481,22.1822130198079 58.906568199897)))', 'EEKES', 'Kaleste lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8072656281995 59.6444573254975,25.8064917727544 59.6395830929609,25.803855119773 59.6348789142927,25.7994576872646 59.6305254632507,25.793468944549 59.6266898763446,25.7861192271393 59.6235193548792,25.7776908562333 59.6211355382261,25.7685073083716 59.6196298599793,25.7589208485003 59.619060060804,25.7492990919398 59.619447987964,25.7400109966245 59.6207787633002,25.7314128058366 59.6230013504904,25.7238344632516 59.626030500472,25.7175670064047 59.629750002664,25.7128514119448 59.6340171208046,25.7098693167821 59.6386680474931,25.7087359743945 59.6435241724867,25.7094957265273 59.6483989279358,25.7121201793139 59.6531049503535,25.7165091721119 59.6574612852886,25.7224945204724 59.6613003571855,25.7298464056457 59.6644744341814,25.738282176416 59.6668613356072,25.7474772296821 59.6683691582395,25.7570775489034 59.6689398349494,25.7667134087949 59.6685513848758,25.7760137043142 59.667218765787,25.7846203348064 59.6649932947006,25.7922020717289 59.6619606597267,25.7984673607933 59.6582376020052,25.8031755553799 59.6539673990949,25.8061461451441 59.649314328024,25.8072656281995 59.6444573254975)))', 'EEKEY', 'Kesküla', 'Y'),('SRID=4326;MULTIPOLYGON(((21.9636559729107 58.4986510682714,21.9626070998453 58.4937910849699,21.9597679377261 58.4891315611824,21.9552482029296 58.4848514449842,21.9492219812793 58.4811150523849,21.9419209782011 58.4780657781014,21.9336255962369 58.4758206142891,21.9246541854819 58.474465683424,21.9153508760216 58.4740529526368,21.9060724498576 58.4745982521376,21.8971747421826 58.4760806715429,21.8889990776099 58.4784433565952,21.8818592458392 58.4815956766962,21.8760295032421 58.4854166825767,21.8717340522784 58.4897597250434,21.8691384001084 58.4944580617412,21.8683429322626 58.4993312408546,21.8693789582726 58.5041920200996,21.872207395858 58.5088535575141,21.8767201613541 58.5131365984668,21.8827442299518 58.5168763816814,21.8900482240114 58.5199289962509,21.8983512856446 58.5221769414912,21.9073338955975 58.5235336714784,21.9166502188065 58.5239469451814,21.9259414920412 58.5234008497356,21.9348499242556 58.5219164167005,21.9430325581213 58.5195508068909,21.9501745429285 58.5163950961736,21.9560012945287 58.5125707500085,21.9602890658179 58.5082249261168,21.9628735187975 58.5035247902996,21.9636559729107 58.4986510682714)))', 'EEKGA', 'Kollinga sadam', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2501577113769 58.1295464006892,22.2490812535098 58.1246886133546,22.2462347123965 58.1200352169011,22.241728068702 58.1157649237155,22.2357348891629 58.1120416734952,22.2284855991171 58.1090083583011,22.2202586107675 58.1067813602415,22.2113696505609 58.1054461073029,22.2021596917353 58.1050538138253,22.1929819457872 58.1056195273371,22.1841883983939 58.1071215545481,22.17611639061 58.1095022879141,22.1690757446957 58.1126704020824,22.1633369157329 58.1165043384377,22.1591206155426 58.1208569476271,22.1565893049584 58.125561116037,22.1558408852547 58.1304361643109,22.1569048410086 58.1352947756083,22.1597409969886 58.139950189677,22.1642409535712 58.1442233869668,22.1702321620736 58.1479499856576,22.1774844972335 58.1509865839142,22.1857190832604 58.1532162998118,22.1946190370309 58.1545532915969,22.2038417116351 58.1549460802053,22.2130319597109 58.1543795427293,22.2218358922425 58.1528754979004,22.2299145871309 58.1504918604276,22.2369572040664 58.1473203977878,22.2426929879006 58.1434831783712,22.2469016904085 58.1391278513467,22.2494220074362 58.1344219440929,22.2501577113769 58.1295464006892)))', 'EEKGM', 'Kaugatoma', 'Y'),('SRID=4326;MULTIPOLYGON(((23.019457938309 58.3682601767576,23.018268282992 58.3634099377903,23.0153014164947 58.3587747949268,23.0106719408709 58.3545327531147,23.0045581319304 58.3508466617091,22.9971950325272 58.3478579821343,22.9888654061451 58.3456813809454,22.9798889004546 58.3444003516213,22.9706098326732 58.3440640290431,22.961384055611 58.3446853155852,22.9525653942875 58.3462403886675,22.9444921574258 58.3486696081836,22.9374742257109 58.3518797901512,22.9317811994674 58.3557477619741,22.9276320526766 58.3601250665869,22.925186688645 58.3648436391455,22.9245397261983 58.3697222424329,22.925716765573 58.3745734172111,22.9286732923449 58.3792106826438,22.9332962785887 58.3834557106423,22.9394084364456 58.3871451972323,22.9467749744277 58.3901371641034,22.9551126055619 58.3923164442393,22.9641004635278 58.3935991363151,22.9733925028248 58.3939358523101,22.9826308958438 58.3933136299557,22.9914598968971 58.3917564343012,22.9995396231304 58.3893242285961,23.0065592059126 58.3861106514434,23.0122487935627 58.3822393923256,23.016389935597 58.3778594087687,23.0188239473617 58.3731391734611,23.019457938309 58.3682601767576)))', 'EEKGS', 'Kõiguste', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1217619052263 58.595220461411,23.1205497370244 58.59037147425,23.1175495609007 58.5857390629026,23.1128772663772 58.5815011256461,23.1067127780904 58.5778203521938,23.0992930852176 58.5748379977802,23.0909031204617 58.5726684844243,23.0818648411051 58.5713950323408,23.072524927005 58.5710664850546,23.0632415575562 58.5716954467127,23.054370760674 58.5732578010107,23.0462528412028 58.5756936297222,23.0391993935912 58.5789094967807,23.0334813842243 58.58278201294,23.0293187527662 58.5871625479672,23.0268719298715 58.5918829137649,23.0262356017292 58.5967618043769,23.0274349716478 58.6016117489548,23.0304246774506 58.6062463127125,23.0350904236261 58.6104872696882,23.0412532824661 58.6141714704444,23.0486765128657 58.6171571379708,23.0570746435687 58.6193293458567,23.0661244741023 58.6206044636689,23.0754775660453 58.6209333942899,23.0847737337923 58.6203034752132,23.0936550009996 58.618738968502,23.1017794688101 58.6163001200686,23.1088345458518 58.6130808257055,23.1145490176769 58.609204996435,23.1187034831836 58.6048217668807,23.1211387549101 58.600099735357,23.1217619052263 58.595220461411)))', 'EEKGV', 'Koguva', 'Y'),('SRID=4326;MULTIPOLYGON(((22.147542395362 58.4165831444867,22.1464707782814 58.4117246907066,22.1436141178353 58.4070692454478,22.1390827966456 58.4027955992219,22.1330513394854 58.3990678191603,22.1257516475229 58.396028969388,22.1174640691408 58.3937956424001,22.1085066530257 58.3924535071591,22.099222992417 58.3920540406482,22.0899691175174 58.3926125648934,22.0810999251583 58.394107662582,22.0729556503127 58.3964819930689,22.0658488826966 58.3996444784737,22.0600526135121 58.4034737785025,22.0557897626521 58.4078229242778,22.0532245860223 58.4125249375299,22.052456297057 58.4173992235716,22.0535151575319 58.4222584960216,22.0563612025137 58.4269159695273,22.0608856654874 58.4311925447955,22.0669150657829 58.4349237087751,22.0742178153743 58.4379658821707,22.0825131003861 58.4402019664951,22.0914816988683 58.441545873006,22.1007783151658 58.4419458550596,22.1100449466862 58.4413865121432,22.1189247545149 58.4398893862048,22.127075887569 58.437512126673,22.1341847120338 58.4343462573492,22.1399779235742 58.4305136336985,22.1442330677991 58.4261617305895,22.1467870620694 58.4214579460703,22.147542395362 58.4165831444867)))', 'EEKHI', 'Kehila', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5910166147717 59.4765375879103,25.5902774741718 59.4716621036698,25.5876837483417 59.466953636416,25.5833358007585 59.4625930269575,25.5774011984493 59.4587476890617,25.5701082000663 59.4555652005142,25.5617369546196 59.4531676616561,25.5526087534708 59.4516470336615,25.5430737458342 59.451061631075,25.5334975803514 59.4514338993819,25.5242474713009 59.4527495602109,25.515678207069 59.4549581558442,25.5081186203612 59.4579749727445,25.5018590242599 59.4616842725251,25.497140085872 59.465943709909,25.4941435605016 59.4705897724111,25.4929852449401 59.4754440373413,25.4937104299939 59.4803200097372,25.4962920417557 59.4850302813205,25.5006315610031 59.4893937365902,25.5065627038483 59.4932425285307,25.5138577383146 59.4964285535098,25.5222362054209 59.4988291727964,25.5313757143751 59.5003519562486,25.540924394451 59.5009382611721,25.5505145154984 59.5005655047087,25.5597767386265 59.4992480395474,25.5683544311884 59.4970365980997,25.5759174773431 59.4940163271532,25.5821750373426 59.490303490942,25.5868867540618 59.4860409731325,25.5898719716323 59.4813927551759,25.5910166147717 59.4765375879103)))', 'EEKHL', 'Kahala', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0671225794258 58.1430930644287,24.0666172208947 58.1382107933796,24.0643209233979 58.1334744471844,24.060322580159 58.1290659539477,24.0547763127827 58.1251545834106,24.0478954775581 58.1218904642802,24.039944433636 58.1193988427146,24.0312283943031 58.1177752983762,24.0220817497154 58.1170820974698,24.0128553019331 58.1173458189663,24.0039028898483 58.1185563423464,23.9955679019452 58.1206672343835,23.9881701784612 58.1235975204214,23.9819937913857 58.1272347740627,23.9772761610766 58.1314394098785,23.9741989226288 58.1360500183784,23.9728808943909 58.1408895426581,23.9733734265661 58.1457720633499,23.9756583215451 58.1505099340767,23.9796484220322 58.1549209946383,23.9851908613077 58.1588355844421,23.9920728658789 58.1621030846775,24.0000298985763 58.1645977344433,24.0087558343783 58.166223493061,24.0179147764805 58.1669177572209,24.0271540506347 58.1666537860812,24.0361178652465 58.165441738167,24.0444610958982 58.1633282788022,24.0518626474694 58.1603947734959,24.0580378651823 58.1567541387502,24.062749506707 58.1525464747365,24.0658168486889 58.1479336519602,24.0671225794258 58.1430930644287)))', 'EEKHN', 'Kihnu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7963407602244 59.0073386162371,22.7951585596572 59.0024867294407,22.7921649586776 58.9978469968813,22.787475616517 58.9935975983332,22.7812711312668 58.9899016625028,22.7737900406454 58.9869010244679,22.7653196397395 58.984710805089,22.7561849708401 58.983415016141,22.746736403815 58.9830633556389,22.7373362734209 58.9836693129055,22.7283450716488 58.9852096539434,22.7201077080658 58.987625306323,22.712940348928 58.9908236107855,22.707118326612 58.9946818558337,22.7028655749369 58.9990519634503,22.7003459938502 59.0037661504243,22.6996570797443 59.0086433521638,22.700826076906 59.0134961657902,22.7038088134201 59.0181380480128,22.7084912840704 59.0223904917913,22.7146939368929 59.0260899048111,22.7221785131432 59.029093922624,22.7306571870829 59.0312869098285,22.7398036569275 59.032584433273,22.7492657562204 59.0329365308802,22.7586790900359 59.032329646782,22.7676811562786 59.0307871560778,22.7759253913629 59.0283684584651,22.7830945829109 59.0251666768123,22.788913119582 59.0213050519877,22.7931575982184 59.0169321765484,22.7956653783688 59.0122162550808,22.7963407602244 59.0073386162371)))', 'EEKHV', 'MTÜ Hiiumaa Vetelpääste Kärdla sadam', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8260766860428 58.8183287894903,22.8248972756717 58.8134770268902,22.821916496534 58.8088377889677,22.8172495067179 58.804589237186,22.8110760396262 58.8008944688646,22.8036334388362 58.7978952756493,22.7952075220497 58.7957067243742,22.7861216274345 58.7944127640423,22.7767242586667 58.794063023362,22.7673757927191 58.7946709183306,22.7584347459659 58.7962131403569,22.7502441089572 58.7986305440344,22.7431182580012 58.8018304016536,22.7373309325113 58.8056899405977,22.7331047312109 58.810061031627,22.7306025283826 58.8147758524014,22.7299211444092 58.8196533130008,22.7310875244414 58.824506000141,22.7340575872811 58.8291473755182,22.7387178062987 58.8333989522619,22.7448894788857 58.8370971725298,22.7523355346658 58.840099719149,22.7607696299495 58.8422910147597,22.769867181468 58.8435866925579,22.7792779108855 58.8439368623661,22.7886394071876 58.8433280428559,22.7975911702435 58.8417836833718,22.8057885780422 58.8393632547298,22.8129162234856 58.8361599451631,22.8187000939699 58.8322970528166,22.8229181167684 58.8279232174548,22.825408662702 58.8232066792168,22.8260766860428 58.8183287894903)))', 'EEKIA', 'Käina', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0694723673767 58.3636123052144,22.0684131634839 58.3587531220057,22.0655711226977 58.3540958547878,22.0610560648724 58.3498193648289,22.0550418901511 58.346087829213,22.0477598371577 58.3430444568851,22.0394895790307 58.3408060143887,22.0305485020655 58.3394583672357,22.0212795749302 58.3390532039127,22.0120382645721 58.3396060648231,22.0031789870827 58.3410957495972,21.9950415973647 58.3434651248663,21.9879384201947 58.3466233025069,21.9821423071994 58.3504491072719,21.9778761696655 58.3547957043539,21.9753043865867 58.3594962134621,21.9745264219381 58.3643700980274,21.9755729063694 58.3692300876444,21.9784043484292 58.3738893700972,21.9829125418218 58.378168777317,21.9889246314536 58.3819036880938,21.99620969614 58.3849503796452,22.0044876042429 58.3871915801057,22.0134398048285 58.3885410040878,22.0227216357567 58.3889466925981,22.0319756655912 58.3883930252781,22.0408455418125 58.3869013252662,22.0489897959556 58.3845290327337,22.0560950581992 58.3813674799312,22.0618881594864 58.377538355944,22.0661466470392 58.3731890009007,22.0687073065051 58.3684867149661,22.0694723673767 58.3636123052144)))', 'EEKIH', 'Kihelkonna', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1404965301501 58.3759567089588,27.1395646801733 58.3710900853543,27.1368441138757 58.3664124361772,27.1324399974236 58.3621034119877,27.1265219884583 58.3583284440532,27.1193176541413 58.3552324116047,27.111103704613 58.352934103204,27.102195381908 58.3515216806666,27.0929344085958 58.3510493154775,27.0836759496617 58.3515351232676,27.0747750744161 58.3529604732685,27.066573221936 58.3552706984328,27.0593851734301 58.3583771798159,27.0534870179745 58.3621607276004,27.0491055645673 58.3664761325496,27.046409603995 58.3711577173649,27.04550335957 58.3760256790091,27.0464223878727 58.3808929820055,27.0491321012655 58.3855725403226,27.0535289858372 58.3898844127516,27.0594444849361 58.3936627344071,27.0666514135087 58.3967621154846,27.0748726664657 58.3990632576236,27.0837918898932 58.4004775675973,27.0930657016843 58.4009505865748,27.102336982308 58.4004640993915,27.1112487104647 58.3990368402478,27.1194577948186 58.3967237668412,27.1266483531752 58.3936139317361,27.1325439143599 58.3898270353237,27.1369180643321 58.385508796639,27.1396031241883 58.3808253243902,27.1404965301501 58.3759567089588)))', 'EEKIK', 'Kikassaare', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8301826608715 59.5874484442419,25.8294066974942 59.5825742991538,25.8267712047121 59.5778705449879,25.8223781528642 59.5735178392717,25.8163968405027 59.5696832901394,25.8090573162063 59.5665140594237,25.8006415093074 59.5641317373828,25.7914724146309 59.5626277006685,25.7819017438997 59.5620596272889,25.7722965086284 59.5624492984784,25.7630250351175 59.5637817691697,25.7544429309653 59.5660059378075,25.7468795240737 59.5690364942904,25.7406252794104 59.5727571735785,25.7359206660518 59.5770251936856,25.7329468978106 59.581676712053,25.7318189059663 59.5865330952723,25.7325808236807 59.5914077652764,25.7352041705843 59.5961133617466,25.7395888254361 59.6004689466817,25.7455667680516 59.6043069736134,25.7529084628692 59.6074797512457,25.7613316501186 59.6098651493344,25.770512211385 59.6113713229266,25.7800966892602 59.6119402686934,25.7897159702131 59.6115500725867,25.7989995896114 59.6102157595882,25.8075900907538 59.6079887117282,25.8151568673738 59.6049546774446,25.8214089414972 59.6012304512409,25.8261061744964 59.5969593550888,25.8290684761536 59.5923056998467,25.8301826608715 59.5874484442419)))', 'EEKIN', 'Kingu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3293537287822 58.30899799179,24.3288105561248 58.304116586074,24.3264690376132 58.2993847259353,24.3224198082709 58.2949841646413,24.3168189451214 58.2910838648185,24.3098818983672 58.2878335279332,24.3018751797375 58.2853578694682,24.2931061321965 58.2837518555252,24.2839111723335 58.2830770794583,24.2746429491378 58.2833594138268,24.265656899436 58.2845880250376,24.257297700378 58.2867157871943,24.2498861226848 58.2896610796249,24.2437067748825 58.2933109010482,24.238997198677 58.2975251841006,24.2359387295122 58.3021421486695,24.234649475106 58.3069844927644,24.2351796897385 58.3118661870109,24.2375097352016 58.3165996145818,24.2415507231374 58.3210027835829,24.2471478312027 58.3249063343885,24.2540861808754 58.3281600706,24.2620990620726 58.3306387592179,24.2708781936367 58.3322469728266,24.2800856237768 58.3329227831922,24.2893668050137 58.3326401602925,24.2983643277731 58.331409981647,24.3067317682341 58.3292796117804,24.3141471009974 58.3263310683653,24.3203251458648 58.3226778476165,24.3250285594939 58.3184605344137,24.328076944639 58.313841370182,24.3293537287822 58.30899799179)))', 'EEKIR', 'Kirsimäe', 'Y'),('SRID=4326;MULTIPOLYGON(((22.522027442491 58.77744223994,22.5208918945574 58.7725875117661,22.5179551632864 58.7679410646527,22.5133307172909 58.7636813392594,22.5071966610472 58.759971863821,22.4997888314376 58.7569549958272,22.4913917184097 58.7547464810401,22.4823275610547 58.7534310344313,22.4729440336991 58.7530591084674,22.4636009846549 58.7536449693336,22.4546567221464 58.7551661527447,22.4464543570808 58.7575643196448,22.4393087104928 58.760747480059,22.4334942747052 58.7645935023696,22.4292346817881 58.7689547770698,22.4266940813849 58.7736638602682,22.4259707634388 58.7785398844824,22.4270932813077 58.783395494011,22.4300192393502 58.7880440407031,22.4346368090789 58.7923067642581,22.4407689328685 58.7960196799985,22.4481800680389 58.7990399066803,22.4565852214044 58.8012511872112,22.4656609298063 58.8025683855595,22.475057760374 58.8029407825716,22.4844138394987 58.8023540403491,22.4933688752407 58.8008307573563,22.5015781165648 58.7984295922919,22.50872569559 58.7952429915748,22.514536825801 58.7913936105776,22.5187883783755 58.7870295701366,22.5213174277402 58.7823187352014,22.522027442491 58.77744223994)))', 'EEKIT', 'Kitsa', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0272931959621 58.2293688606711,26.0265177433281 58.2244948929089,26.0239553017832 58.2197943497677,26.0197049705884 58.215447769656,26.013930517361 58.2116220330373,26.0068540194415 58.2084639730936,25.9987473042247 58.2060947615593,25.9899215211704 58.2046052811393,25.980715243416 58.2040526579542,25.9714815472752 58.2044580834828,25.9625745524053 58.2058060070921,25.9543359234442 58.208044729144,25.9470818351606 58.2110883725614,25.9410908876254 58.2148201593915,25.9365934258461 58.2190968700237,25.9337626702919 58.2237543180173,25.9327080017299 58.2286136345477,25.9334706672231 58.2334881247956,25.9360220860126 58.2381904354584,25.9402648369505 58.2425397590392,25.946036306446 58.2463687974065,25.9531148714078 58.2495302147174,25.9612283897563 58.2519023281088,25.9700646763179 58.2533938130935,25.9792835588904 58.2539472383736,25.9885300421877 58.2535412903584,25.9974480598203 58.2521915992248,26.0056942690331 58.2499501337011,26.0129513410339 58.2469031885337,26.018940221511 58.2431680443374,26.0234308801513 58.2388884318507,26.0262511322034 58.2342289792952,26.0272931959621 58.2293688606711)))', 'EEKIV', 'Kivi', 'Y'),('SRID=4326;MULTIPOLYGON(((27.3379281425034 59.4048825181652,27.3369396875521 59.4000181770611,27.3341097423427 59.3953455842996,27.329547718124 59.3910441902721,27.3234293660176 59.3872791254075,27.3159899570928 59.3841948801488,27.3075152190588 59.3819097825101,27.2983303811194 59.380511480846,27.2887877441025 59.3800536008762,27.27925324312 59.3805537016049,27.2700925037852 59.3819926061614,27.2616569098449 59.3843151324268,27.2542701997176 59.3874321963261,27.2482160918665 59.3912242095763,27.2437274044506 59.3955456452048,27.2409770838554 59.4002305999638,27.2400714904875 59.4050991444518,27.2410462100932 59.4099642207871,27.2438645669087 59.4146388253503,27.2484189139118 59.4189432014723,27.2545346687688 59.4227117647278,27.261976955822 59.4257994920756,27.2704596091972 59.4280875253852,27.279656194653 59.4294877693718,27.2892126229071 59.4299463026142,27.2987608592528 59.4294454666529,27.3079331869885 59.4280045502915,27.3163764581367 59.4256790419288,27.3237657654956 59.4225584796374,27.3298169952006 59.4187629842993,27.3342977672684 59.414438613003,27.3370363403548 59.4097517159245,27.3379281425034 59.4048825181652)))', 'EEKJE', 'Kohtla-Järve', 'Y'),('SRID=4326;MULTIPOLYGON(((25.9917026188657 58.5343833470313,25.9909258263371 58.5295093886525,25.9883463739877 58.5248083016563,25.984064028273 58.5204606443591,25.9782437967809 58.5166333368941,25.9711095204825 58.5134732706125,25.9629352456272 58.5111016920171,25.9540347107224 58.5096095726607,25.9447493497516 58.5090541384987,25.9354352635279 58.5094566882333,25.9264496458505 58.5108017818457,25.9181371693096 58.5130378294355,25.9108168368892 58.5160790584224,25.904769789927 58.5198087858319,25.9002285307714 58.5240838735315,25.897367970184 58.5287401995715,25.8962986461343 58.5335989398306,25.8970623835356 58.5384734224442,25.8996305756944 58.5431762943101,25.9039051704156 58.547526725382,25.9097223401311 58.5513573732454,25.9168587100006 58.5545208380039,25.9250399150511 58.5568953557673,25.9339511617176 58.5583895075205,25.9432493852467 58.5589457578936,25.952576526614 58.5585426839231,25.9615734044896 58.5571958054384,25.9698936320185 58.554956984071,25.9772170262002 58.5519124146844,25.983261979575 58.5481792887989,25.9877963085277 58.543901261934,25.9906461573589 58.5392429035001,25.9917026188657 58.5343833470313)))', 'EEKJI', 'Kolga-Jaani', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8779847129949 59.4678048065463,24.8773485502898 59.4629260485238,24.8748550216111 59.4582041690749,24.8706006496749 59.4538205295371,24.8647494212142 59.4499434323158,24.85752641024 59.4467216772468,24.8492090962137 59.4442788729366,24.8401167155908 59.4427087171897,24.8305980536154 59.4420714232492,24.8210181364046 59.4423914251041,24.811744320229 59.4436564471327,24.8031322948571 59.4458179725322,24.7955125205915 59.4487930930332,24.7891776041557 59.4524676710434,24.7843710871307 59.4567006963304,24.7812780727085 59.4613296742933,24.7800180530197 59.4661768434123,24.7806402215895 59.4710559870723,24.7831214655091 59.4757795809613,24.7873671323034 59.4801660027343,24.7932145605193 59.4840465264166,24.8004392547025 59.4872718305251,24.8087634791421 59.4897177661441,24.817866945337 59.4912901587551,24.8273991803643 59.491928454572,24.8369930917292 59.4916080670788,24.8462791926739 59.4903413306074,24.8548999231829 59.4881770229693,24.8625234976766 59.4851984760057,24.8688567308848 59.4815203489567,24.8736563374865 59.4772841923637,24.8767382663414 59.47265297754,24.8779847129949 59.4678048065463)))', 'EEKJK', 'Kalevi Jahtklubi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5850926479254 59.5191648909128,26.5842092388578 59.5142952546381,26.58147393656 59.5096067262288,26.5769925323039 59.5052793731194,26.5709377002421 59.5014793260126,26.5635422925029 59.49835242001,26.5550903654851 59.4960186204491,26.5459062859649 59.4945674430731,26.5363423322198 59.4940545399314,26.5267652565586 59.4944995782865,26.5175423104375 59.495885491385,26.5090272511703 59.498159128889,26.5015468498281 59.5012332827951,26.4953884032772 59.5049900134964,26.4907887196698 59.5092851519959,26.4879249966345 59.5139538098188,26.4869079458775 59.5188166895016,26.4877774383122 59.5236869571217,26.4905008522534 59.5283774154802,26.4949742063221 59.5327077033256,26.501026051935 59.536511243169,26.5084239916277 59.5396416681718,26.5168835835382 59.5419784772603,26.5260792939817 59.5434316965172,26.5356570739765 59.5439453630348,26.5452480662889 59.543499693333,26.5544829007746 59.5421118502825,26.5630060102223 59.5398352780394,26.5704893979956 59.5367576313952,26.5766453125748 59.5329973816948,26.5812373312815 59.5286992336708,26.5840894234003 59.5240285339701,26.5850926479254 59.5191648909128)))', 'EEKJL', 'Kunda jõge lossimiskoht', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3288740834519 59.4050098866976,24.3283179426961 59.4001290921789,24.3259055716241 59.3953973761629,24.3217303785947 59.3909964822001,24.3159533175068 59.3870953789799,24.308796626089 59.383843790603,24.30053525095 59.3813664721409,24.2914862940635 59.3797584460083,24.2819968842816 59.379081377567,24.2724309312012 59.3793612251173,24.2631552561956 59.3805872516019,24.2545256160522 59.3827124345985,24.2468731380989 59.3856552592431,24.2404916719578 59.3893028273153,24.2356265323224 59.3935151665571,24.2324650599642 59.3981305790576,24.2311293653921 59.4029718278244,24.2316715425796 59.4078529279615,24.2340715508522 59.4125862845242,24.2382378639728 59.4169899042046,24.2440108799293 59.4208944033478,24.2511689768309 59.4241495408554,24.259436994101 59.4266300213325,24.2684968185638 59.4282403409758,24.2779996668763 59.4289184852566,24.2875795835439 59.4286383320873,24.2968676213592 59.4274106650531,24.3055061414074 59.4252827563358,24.313162664476 59.4223365357662,24.3195427251144 59.4186854185641,24.3244012226084 59.4144699173101,24.3275518273943 59.409852211302,24.3288740834519 59.4050098866976)))', 'EEKJO', 'Keila-Joa', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3278740435342 59.4050102610785,24.3273180467731 59.4001294633281,24.3249058156273 59.3953977298239,24.3207307530917 59.3909968047952,24.3149538080722 59.3870956581309,24.307797213864 59.3838440156032,24.299535913368 59.3813666343639,24.2904870057142 59.3797585392362,24.2809976178806 59.3790813982269,24.2714316586282 59.3793611724174,24.2621559495651 59.3805871275612,24.2535262487739 59.3827122439705,24.2458736858915 59.385655009335,24.2394921137768 59.38930252771,24.2346268511678 59.3935148287481,24.231465243537 59.3981302160107,24.230129406574 59.4029714534814,24.230671439716 59.4078525567064,24.233071307827 59.4125859306304,24.2372374900696 59.4169895812855,24.243010389483 59.4208941238318,24.2501683886822 59.4241493155051,24.2584363308733 59.4266298588283,24.2674961057907 59.4282402475789,24.2769989320132 59.4289184645662,24.2865788549033 59.4286383849006,24.2958669270117 59.4274107893342,24.3045055080919 59.4252829472953,24.3121621165643 59.422336786047,24.3185422836692 59.4186857185271,24.3234009045727 59.4144702554078,24.3265516449439 59.4098525745254,24.3278740435342 59.4050102610785)))', 'EEKJP', 'Keila-Jõesuu paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5771441739596 59.5645432967304,25.5764052961364 59.5596677984797,25.5738069242523 59.5549590995748,25.5694496047483 59.5505980494526,25.5635012680509 59.5467520783055,25.5561907021911 59.5435687875873,25.5477987309564 59.5411703077428,25.5386474400058 59.5396486354375,25.5290878621782 59.5390621248336,25.5194865856729 59.5394332637154,25.5102117848592 59.5407478171089,25.5016191925966 59.5429553701256,25.4940385348209 59.5459712498023,25.4877609327699 59.549679754435,25.483027745818 59.5539385700276,25.4800212790006 59.5585842086618,25.4788577148507 59.5634382644541,25.4795825505436 59.5683142507635,25.4821687305267 59.5730247587846,25.4865175644633 59.5773886636595,25.4924624137788 59.5812381005863,25.4997750213684 59.5844249404779,25.5081742526137 59.58682651256,25.517336916587 59.5883503494012,25.5269102490083 59.5889377673076,25.5365255676627 59.5885661403661,25.5458125603867 59.5872497778534,25.554413638211 59.5850393700807,25.5619977833513 59.5820200246228,25.5682733436538 59.5783079708175,25.5729992705858 59.5740460629904,25.5759943643863 59.5693982598235,25.5771441739596 59.5645432967304)))', 'EEKKA', 'Kadapiku-Mardi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0706969392861 59.2891051906575,24.0701792435141 59.2842235490563,24.0678106250306 59.2794873561698,24.0636828086267 59.2750785299084,24.057954929122 59.2711663458625,24.0508473393166 59.2679009554663,24.0426331066998 59.2654076449076,24.0336275309588 59.2637820509822,24.0241760833296 59.2630865131157,24.0146412227239 59.263347697613,24.0053885812707 59.2645555824208,23.9967730328018 59.2666638399792,23.9891251615741 59.2695916037919,23.9827386351233 59.2732265529094,23.9778589548028 59.2774291992936,23.9746740107996 59.2820382177036,23.9733068061039 59.2868766179189,23.9738106373862 59.2917585262762,23.97616693192 59.2964963189809,23.9802858411216 59.3009078345653,23.986009586213 59.3048233880147,23.9931184438245 59.3080923149341,24.0013391534587 59.310588790732,24.0103554293636 59.3122166967332,24.0198201712995 59.3129133415185,24.0293688964134 59.3126518902645,24.0386338618268 59.3114424056358,24.0472583174944 59.3093314587512,24.0549103231196 59.3064003255332,24.0612955817458 59.302761839893,24.0661687850384 59.2985560282723,24.0693430288813 59.2939446977899,24.0706969392861 59.2891051906575)))', 'EEKKE', 'Kurkse', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2543316786363 58.9849141075519,27.2533672676525 58.9800488033218,27.2505833358636 58.975374066142,27.2460875087899 58.9710694312637,27.2400529831516 58.9673001568354,27.2327118066898 58.9642108984883,27.2243459390123 58.9619201800258,27.2152764401956 58.9605158681931,27.2058511988974 58.9600518209472,27.1964316614998 58.9605458342598,27.1873790573808 58.961978963857,27.1790406321913 58.9642962471105,27.1717364007642 58.9674087982648,27.1657469139757 58.9711971990436,27.1613024998097 58.9755160581542,27.1585743886106 58.9801995689659,27.1576680670416 58.9850678562836,27.1586191260539 58.9899338721353,27.1613917773025 58.9946105781315,27.1658801126256 58.9989181392875,27.1719120758558 59.0026908519558,27.1792560093588 59.0057835370648,27.1876295337962 59.0080771491173,27.1967104234203 59.0094833808447,27.2061490554251 59.0099480820028,27.2155819448108 59.0094533570673,27.2246458294768 59.0080182586507,27.2329917464097 59.0056980491167,27.2402985402281 59.0025820597212,27.2462852699586 58.9987902321818,27.2507220273581 58.994468479484,27.2534387477569 58.9897830487805,27.2543316786363 58.9849141075519)))', 'EEKKI', 'Kauksi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1075325044451 58.4073398435785,26.106742323183 58.4024664597856,26.10415653559 58.3977675947739,26.0998751445118 58.3934237212006,26.0940631146235 58.389601614046,26.0869439672746 58.3864479655533,26.0787911653383 58.3840837767019,26.0699176229079 58.3825997363728,26.060663740077 58.3820527613639,26.0513844135053 58.3824638264169,26.0424355080106 58.3838171650276,26.0341602924121 58.3860608707186,26.026876344009 58.3891088763645,26.0208634103819 58.3928442378344,26.0163526849321 58.3971235993753,26.0135179042782 58.4017826734836,26.012468612283 58.4066425291127,26.0132458585054 58.4115164504105,26.0158205102864 58.4162171050877,26.020094260105 58.4205637480271,26.0259033065999 58.4243891826385,26.0330245826193 58.4275462101035,26.041184301223 58.4299133150248,26.0500684953191 58.4313993645756,26.0593351431935 58.4319471360714,26.0686274048208 58.4315355335125,26.077587446135 58.4301804052337,26.0858703029875 58.4279339301736,26.0931572347689 58.4248825970696,26.0991680397094 58.4211438566284,26.1036718484845 58.4168615790203,26.1064959774781 58.4122004956932,26.1075325044451 58.4073398435785)))', 'EEKKJ', 'Kõrkja', 'Y'),('SRID=4326;MULTIPOLYGON(((26.031285272043 58.2233673579591,26.0305093942364 58.2184934086742,26.0279468483525 58.2137929409503,26.0236967373554 58.2094464902947,26.0179228201433 58.2056209322146,26.0108471532894 58.2024630930677,26.0027415321965 58.200094136153,25.9939170643455 58.1986049344456,25.9847122725106 58.1980526034075,25.9754801761663 58.1984583233312,25.9665748337992 58.1998065322945,25.9583378468487 58.2020455196959,25.9510853272392 58.2050893982432,25.9450958149282 58.2088213809106,25.9405995998242 58.2130982405123,25.9377698544208 58.2177557848272,25.9367159204869 58.2226151412773,25.93747901659 58.2274896134677,25.940030545114 58.232191848766,25.9442730803863 58.2365410425681,25.9500440168453 58.2403699017483,25.9571217517136 58.2435310973866,25.9652341747554 58.2459029551885,25.9740691429563 58.2473941605443,25.9832865349579 58.2479472929544,25.9925314130214 58.2475410501242,26.0014477727556 58.246191073584,26.0096923354257 58.2439493430332,26.0169478357735 58.2409021633845,26.0229352800544 58.2371668242266,26.0274246932023 58.2328870637405,26.030243938261 58.2282275157798,26.031285272043 58.2233673579591)))', 'EEKKK', 'Kivilõppe kalakaitsekordon', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1105726571008 58.4385967683365,22.1095054239186 58.4337380078963,22.1066518148726 58.429081744768,22.1021220967912 58.4248068010348,22.0960907342506 58.4210772937025,22.0887896259194 58.418036353155,22.0804991753006 58.415800652003,22.0715375415993 58.4144559501369,22.0622484797035 58.4140538228343,22.0529882264475 58.4146096940545,22.0441119224793 58.4161022481901,22.0359600746009 58.4184742422009,22.0288455621455 58.4216346879832,22.0230416728052 58.4254623237425,22.0187716186149 58.4298102447896,22.016199932154 58.4345115202299,22.0154260774526 58.4393855840707,22.0164805311101 58.4442451587895,22.0193234988473 58.4489034476683,22.0238463338775 58.4531813202224,22.0298756195082 58.4569142135601,22.0371797732652 58.4599584818092,22.0454779280101 58.4621969457462,22.0544507516556 58.463543424871,22.0637527857448 58.4639460733342,22.0730258185407 58.463389387834,22.081912763823 58.4618948079451,22.0900714947451 58.4595198851106,22.0971880840942 58.456356053322,22.1029889279937 58.4525250898625,22.1072512780524 58.4481744060332,22.1098117745766 58.4434713533368,22.1105726571008 58.4385967683365)))', 'EEKKN', 'Kesknõmme Jahisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2806223623444 58.4961623080211,23.2793920566379 58.4913148803832,23.2763798064151 58.4866862008743,23.2717019586254 58.4824540238191,23.2655386451627 58.478780817601,23.2581268052605 58.4758075472489,23.2497510671225 58.4736482867602,23.2407328410882 58.4723858637243,23.231418038679 58.4720686993136,23.2221638787372 58.4727089616015,23.213325272644 58.4742821010389,23.20524129473 58.4767277854767,23.198222241243 58.4799522000714,23.1925377616354 58.4838316265057,23.1884065097825 58.4882171679172,23.1859877106876 58.4929404424291,23.1853749713167 58.4978200308141,23.186592584002 58.5026684340404,23.1895944795233 58.5072992755182,23.1942658873398 58.5115344717831,23.2004276559869 58.515211094805,23.207843081419 58.5181876593779,23.216226989571 58.5203495899886,23.2252567262938 58.5216136525453,23.2345846276663 58.5219311762728,23.2438514806438 58.5212899383949,23.2527004414426 58.5197146369858,23.260790859321 58.5172659333356,23.267811457607 58.5140381019364,23.2734923516701 58.5101553812828,23.2776154335049 58.5057671697522,23.28002272192 58.5010422557222,23.2806223623444 58.4961623080211)))', 'EEKKV', 'Kõrkvere', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1616163935636 58.4715776930024,22.160541070168 58.4667194104423,22.1576780059714 58.4620643398201,22.15313783171 58.457791256914,22.1470954135035 58.4540642067917,22.1397830738121 58.4510262250947,22.1314816460562 58.4487938705761,22.1225097092204 58.4474527745514,22.1132114120162 58.4470543739415,22.1039433443328 58.4476139498524,22.0950609458173 58.4491100447606,22.086904956923 58.4514852800328,22.0797884163926 58.4546485434335,22.0739846909189 58.4584784652025,22.0697169879326 58.4628280529529,22.0671497517236 58.4675303117069,22.0663822774269 58.4724046374704,22.0674447983083 58.4772637422949,22.0702972113834 58.4819208470658,22.0748305074516 58.4861968663249,22.0808708675373 58.489927307972,22.0881862825143 58.4929686200369,22.0964954507809 58.4952037367478,22.1054786149312 58.4965466062698,22.1147899169951 58.4969455216827,22.124070787208 58.4963851235061,22.1329638368503 58.4948869944464,22.1411267039302 58.4925088228184,22.1482453025651 58.489342167892,22.1540459527381 58.4855089157565,22.1583059152083 58.4811565658167,22.1608619241105 58.4764525335681,22.1616163935636 58.4715776930024)))', 'EEKLA', 'Kallasmaa', 'Y'),('SRID=4326;MULTIPOLYGON(((25.9733683847706 58.2863890718786,25.972599181049 58.2815148398878,25.9700398579668 58.2768132670168,25.9657893980859 58.2724649313815,25.9600115767585 58.2686367808085,25.9529286027732 58.2654757409245,25.94481255333 58.2631030974874,25.9359749363106 58.2616098644975,25.9267547781612 58.2610533116866,25.9175056861935 58.2614547810323,25.9085823687131 58.2627988735832,25.9003271144902 58.265034036789,25.8930567344015 58.2680745304362,25.8870504525794 58.2718036979358,25.8825392023726 58.27607842083,25.8796967344065 58.2807345896565,25.8786328810056 58.2855933853481,25.8793892446184 58.2904681336172,25.8819374896759 58.2951714716002,25.8861803201435 58.2995225524595,25.8919551221792 58.3033540104337,25.8990401466572 58.3065184163745,25.9071630042121 58.3088939720721,25.9160111504905 58.3103892201605,25.9252439560609 58.3109465841267,25.9345058881532 58.3105445985018,25.9434402836657 58.3091987408362,25.9517031672966 58.3069608324035,25.9589765666623 58.3039170313538,25.9649807979758 58.3001844977984,25.9694852400634 58.2959068626464,25.9723171787758 58.2912486787242,25.9733683847706 58.2863890718786)))', 'EEKLB', 'Kalbuse', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3155617274742 58.4521497295036,23.3143283079619 58.44730262869,23.3113153932815 58.4426747460252,23.3066393535981 58.4384438051977,23.3004802494302 58.4347722272383,23.2930748570726 58.4318009149034,23.2847075566678 58.4296438673452,23.2756994349467 58.4283838275504,23.2663960166115 58.4280691255161,23.257154085115 58.4287118350089,23.2483280842925 58.4302873126172,23.2402566063776 58.4327351363529,23.2332494691459 58.4359614090068,23.227575865301 58.4398423405581,23.2234540310648 58.4442289759035,23.2210428288868 58.4489528906874,23.2204355723077 58.4538326406644,23.2216563408628 58.4586807202705,23.2246589416599 58.4633107651687,23.2293285747277 58.4675447224908,23.2354861548993 58.4712197119725,23.2428951378978 58.4741943114843,23.2512705969412 58.4763540214307,23.260290203221 58.4776156935,23.269606683613 58.4779307491954,23.2788612660811 58.4772870609086,23.2876975807912 58.4757094210639,23.2957754653127 58.4732585808312,23.3027841265243 58.4700288966542,23.3084541397139 58.4661446779276,23.3125678153073 58.4617553801968,23.3149675329353 58.4570298331411,23.3155617274742 58.4521497295036)))', 'EEKLD', 'Kaldu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3008545156778 58.667153325742,23.2996148158233 58.6623062707624,23.2965846223381 58.6576782964774,23.2918809782369 58.653447129179,23.2856850105387 58.6497751972257,23.2782349138478 58.6468034153534,23.269816783671 58.6446457991325,23.2607536536363 58.6433851120216,23.2513931530403 58.6430697079675,23.2420942481675 58.6437116873828,23.2332135616764 58.6452864352257,23.2250917784972 58.6477335584634,23.2180406438968 58.6509591881775,23.2123310396624 58.6548395606776,23.2081825880447 58.6592257439728,23.2057551808194 58.6639493324657,23.2051427636215 58.6688288953836,23.2063696251393 58.6736769346883,23.2093893490065 58.6783070872812,23.2140864861118 58.6825412952433,23.2202809000693 58.6862166673032,23.2277346328214 58.6891917650001,23.2361610353072 58.6913520679591,23.2452358145154 58.6926144036893,23.2546095676666 58.6929301672561,23.263921310891 58.6922872035141,23.2728124670043 58.6907102773604,23.2809407571705 58.6882601134563,23.2879934454945 58.6850310436349,23.2936994136527 58.6811473553117,23.2978395929573 58.6767584852815,23.300255351018 58.6720332481719,23.3008545156778 58.667153325742)))', 'EEKLE', 'Kallaste, Saare mk', 'Y'),('SRID=4326;MULTIPOLYGON(((28.2218287708188 59.3425515405054,28.2207159448371 59.3376945327068,28.2177702815158 59.3330417024245,28.2131056219178 59.3287717349506,28.2069016385409 59.3250485495622,28.1993968681732 59.3220150265635,28.1908795268886 59.3197875468286,28.18167646283 59.3184515490801,28.1721406668924 59.3180582711298,28.162637810431 59.3186227965923,28.1535323117429 59.3201234797562,28.1451734487686 59.3225027700289,28.1378820339696 59.3256694053906,28.131938148693 59.3295018933118,28.1275703987951 59.3338531493341,28.1249471014776 59.3385561196497,28.1241697461775 59.3434301761322,28.1252689914699 59.3482880418334,28.1282033674085 59.3529429832475,28.1328607513309 59.3572159936824,28.1390625783967 59.3609426905984,28.1465706401006 59.3639796590933,28.1550962192964 59.366209993747,28.164311213695 59.3675478212009,28.1738608161134 59.3679416250864,28.1833772532812 59.3673762417198,28.1924940393578 59.365873447421,28.2008601779991 59.3634911141843,28.208153749091 59.360320967294,28.2140943430145 59.3564850338782,28.2184538549953 59.3521309229401,28.2210652219814 59.347426122922,28.2218287708188 59.3425515405054)))', 'EEKLG', 'Kulgu', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8142569617013 59.6384546703671,25.8134822197998 59.6335804719821,25.8108450476589 59.628876428061,25.8064474828453 59.6245232071597,25.8004589994013 59.6206879369497,25.7931099226027 59.6175178065996,25.7846825488836 59.6151344405081,25.7755003164691 59.6136292550263,25.7659154399086 59.613059971958,25.7562954739586 59.6134484188011,25.7470093081062 59.6147796974746,25.7384131118787 59.6170027523371,25.7308367526633 59.6200323163482,25.7245711920506 59.6237521629819,25.719857333965 59.6280195426824,25.7168767485851 59.6326706379254,25.7157446312141 59.637526831915,25.7165052762394 59.6424015540825,25.7191302551151 59.6471074421701,25.7235193865868 59.651463546865,25.729504480513 59.6553023014651,25.7368557276455 59.6584759863352,25.7452905011403 59.660862435933,25.7544842362258 59.6623697644709,25.7640829671736 59.6629399238834,25.7737170300186 59.6625509532568,25.7830153891453 59.6612178304138,25.7916200187088 59.6589918917544,25.7991997674242 59.6559588433516,25.8054631576842 59.6522354421989,25.810169615985 59.6479649789951,25.8131386987001 59.6433117406994,25.8142569617013 59.6384546703671)))', 'EEKLH', 'Kalde', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2954987432778 58.3778992317109,27.2945455078195 58.3730337639236,27.2918043025514 58.3683594337535,27.2873810845715 58.364055763181,27.2814462422291 58.3602879770454,27.2742279856001 58.3572006783379,27.2660035558445 58.3549123202226,27.257088594322 58.3535106828118,27.2478250764068 58.3530495241475,27.2385682640046 58.3535465304102,27.2296731638684 58.3549826416937,27.221480995336 58.3573027784329,27.2143061708066 58.3604179414811,27.2084242751435 58.3642086076402,27.2040614965024 58.3685292938871,27.2013859114465 58.3732141192875,27.200500962607 58.3780831552477,27.2014413890701 58.3829493237935,27.2041717801694 58.3876255812732,27.2085878251647 58.3919321122912,27.21452022773 58.3957032565321,27.2217411492267 58.3987938997639,27.2299729427963 58.4010850796486,27.2388988460064 58.4024885864847,27.2481752177087 58.4029503776263,27.2574448391216 58.4024526706039,27.2663507534327 58.4010146320082,27.2745500949431 58.3986916348207,27.281727359234 58.3955731136661,27.287606590014 58.3917791029839,27.2919620048348 58.3874555949703,27.2946266482098 58.3827689001473,27.2954987432778 58.3778992317109)))', 'EEKLI', 'Kalli', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((25.140047597624 59.5057068706974,25.1393729871199 59.5008292492576,25.1368400913163 59.4961122250321,25.132546943922 59.4917369707471,25.126659017205 59.4878714650046,25.1194027888656 59.4846640613258,25.1110570072703 59.482237816773,25.1019419953898 59.4806857935758,25.092407401973 59.4800675096739,25.0828188613873 59.4804066705129,25.0735440601286 59.4816902663819,25.0649387276526 59.4838690687222,25.0573330716087 59.4868595068866,25.0510191627475 59.4905468555003,25.0462397429573 59.4947896135992,25.0431788815927 59.4994249117542,25.0419548413924 59.5042747440466,25.0426154372305 59.5091527895138,25.0451360806524 59.5138715638619,25.0494206032611 59.5182496279248,25.0553048458352 59.522118575338,25.0625628915555 59.5253295286176,25.0709157153796 59.5277588903065,25.0800419222236 59.5293131236188,25.0895901590057 59.5299323741442,25.0991927142762 59.5295927892768,25.1084797679263 59.5283074432825,25.1170937251828 59.526125831161,25.1247030653527 59.5231319513242,25.1310151568143 59.5194410531106,25.1357875343659 59.5151951778785,25.1388372007722 59.5105576696115,25.140047597624 59.5057068706974)))', 'EEKLK', 'Koljunuki', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2138939855864 58.6689293488429,27.212944056555 58.6640634957442,27.2101908513885 58.6593876416935,27.2057408017656 58.6550813665186,27.1997653370664 58.6513099936443,27.1924942333416 58.6482182618278,27.1842067617548 58.6459247922759,27.1752209798262 58.6445175593157,27.1658815733849 58.6440505342481,27.1565467066158 58.6445416276306,27.1475743709773 58.6459720065907,27.1393087404951 58.6482868125591,27.1320670407302 58.6513972527472,27.1261274215851 58.6551839875203,27.1217182903129 58.6595016872557,27.1190095112369 58.6641845880095,27.1181058137346 58.6690528369344,27.1190426714891 58.6739193873762,27.1217848259102 58.6785971812073,27.1262275276934 58.6829063432869,27.1322004661023 58.6866811106854,27.1394742496944 58.6897762278607,27.1477691993241 58.6920725582153,27.1567661190085 58.6934816918902,27.1661186272944 58.6939493682174,27.1754665653565 58.6934575774907,27.1844499517469 58.6920252587473,27.1927229300619 58.6897075658715,27.1999671561008 58.6865937311579,27.2059040953626 58.6828036110273,27.2103057485853 58.6784830504921,27.2130033899125 58.6737982490264,27.2138939855864 58.6689293488429)))', 'EEKLL', 'Kallaste, Tartu', 'Y'),('SRID=4326;MULTIPOLYGON(((27.038202284855 58.8919947428369,27.0372708543708 58.8871277716052,27.0345235893672 58.8824483333562,27.030066705521 58.8781361458615,27.0240719052038 58.874356759088,27.0167697143901 58.8712552183288,27.0084406012426 58.8689505197598,26.9994042210045 58.8675310670006,26.9900071969411 58.8670512988107,26.9806098970001 58.8675296137321,26.971572699625 58.8689476689124,26.9632422591819 58.8712510791659,26.95593828147 58.8743514902919,26.9499413027884 58.8781299494941,26.9454819322915 58.8824414471567,26.9427319674582 58.8871204599124,26.9417977274145 58.8919872864755,26.9427158700324 58.8968549365869,26.9454518682553 58.9015363109158,26.9499012216702 58.9058513969405,26.955893374347 58.9096342034201,26.9631982033938 58.9127391644423,26.9715348390047 58.915046763127,26.980582480711 58.9164681543376,26.9899927907894 58.9169486042023,26.9994033786133 58.9164696104001,27.008451842776 58.915049619137,27.0167898136434 58.9127433103506,27.0240964389793 58.9096394795173,27.030090779411 58.9058576000532,27.0345426274377 58.9015432022779,27.0372813308097 58.8968622510737,27.038202284855 58.8919947428369)))', 'EEKLM', 'Kalmaküla', 'Y'),('SRID=4326;MULTIPOLYGON(((25.06223779461 59.6377370636748,25.0615721985282 59.632859180938,25.0590406622842 59.6281407473727,25.0547411748684 59.6237629898752,25.0488394584598 59.6198939827758,25.0415625247448 59.6166822132749,25.0331899190177 59.6142509050613,25.0240429933084 59.6126933137096,25.0144726182829 59.6120691699827,25.0048457968115 59.6124024036243,24.9955316788836 59.6136802322119,24.9868874973537 59.6158536488061,24.9792449465409 59.6188392901949,24.9728975109582 59.6225226162132,24.968089219641 59.6267622816314,24.9650052532067 59.6313955371205,24.9637647668063 59.6362444564222,24.9644162138996 59.641122754556,24.9669353652544 59.6458429380128,24.9712261173653 59.6502235134917,24.9771240779253 59.6540959776512,24.9844028070456 59.657311316985,24.992782486102 59.6597457643295,25.0019406862164 59.6613055862052,25.0115248202957 59.6619307122715,25.0211657907747 59.661597063232,25.0304922936017 59.66031748475,25.0391452104314 59.658141250171,25.0467915170758 59.6551521517205,25.053137157234 59.6514652558701,25.0579383752119 59.647222451324,25.0610110672463 59.6425869653141,25.06223779461 59.6377370636748)))', 'EEKLN', 'Kelnase', 'Y'),('SRID=4326;MULTIPOLYGON(((24.2968052235685 59.3580213908004,24.2962542750817 59.3531404674321,24.2938495388195 59.3484081850268,24.2896841278923 59.3440063093166,24.2839186193478 59.3401038471816,24.2767748070833 59.3368505753836,24.2685271439312 59.3343713140353,24.2594922069423 59.3327611604208,24.2500165887646 59.3320818616905,24.240463671725 59.332359461706,24.2311997787093 59.333583309477,24.2225802155798 59.3357064658938,24.2149357233505 59.3386474935109,24.2085598446423 59.3422935627279,24.2036976782751 59.3465047585374,24.2005364487441 59.3511194267633,24.1991982546527 59.3559603589824,24.1997352832883 59.3608415826102,24.2021276893403 59.3655754982604,24.2062842368589 59.3699800915547,24.2120456981707 59.373885941886,24.2191908955365 59.3771427566709,24.2274451652588 59.3796251764088,24.2364909244986 59.3812376229789,24.2459799330173 59.3819180001483,24.2555467699269 59.3816400998725,24.2648229931631 59.3804146188539,24.2734514196973 59.3782887448499,24.2810999591432 59.3753443290346,24.2874744527315 59.3716947168314,24.2923300125182 59.3674803626351,24.2954804198023 59.3628634014568,24.2968052235685 59.3580213908004)))', 'EEKLO', 'Kloogaranna', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1131313984825 58.1063366128762,26.1123467253009 58.1014630509565,26.1097816352175 58.0967641352868,26.1055353229693 58.0924203416477,26.0997713964047 58.0885984437793,26.0927115247969 58.0854451280906,26.0846268953912 58.0830813850199,26.0758278101976 58.0815978882648,26.0666518199725 58.0810515350858,26.0574508424589 58.0814632768782,26.0485777462639 58.0828173207972,26.0403728996154 58.0850617320931,26.0331511843778 58.0881104146995,26.0271899600988 58.0918463962654,26.0227184307747 58.0961262949573,26.0199088190337 58.1007858006749,26.0188696895087 58.1056459644248,26.0196416867418 58.1105200579558,26.0221958650352 58.1152207426887,26.0264346908712 58.1195672735197,26.0321956961411 58.1233924599965,26.0392576563155 58.1265491150497,26.0473490661872 58.1289157398528,26.0561585914831 58.13040122199,26.0653470920348 58.1309483619437,26.0745607455123 58.1305360885391,26.0834447535046 58.1291802755542,26.09165708656 58.1269331270637,26.0988817230776 58.1238811558475,26.1048408587746 58.120141834918,26.1093056076256 58.1158590544964,26.1121047792696 58.1111975633995,26.1131313984825 58.1063366128762)))', 'EEKLP', 'Kalasaare', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2128994719548 58.6729297168304,27.2119495713831 58.66806385942,27.2091961828871 58.6633879871362,27.2047457453761 58.6590816804969,27.198769703272 58.6553102641145,27.1914978548793 58.6522184783892,27.1832094999636 58.6499249465678,27.1742227298976 58.6485176453401,27.1648822683271 58.6480505486067,27.1555463197881 58.6485415696655,27.1465729171043 58.6499718784217,27.1383062751219 58.6522866190144,27.1310636581376 58.6553970011889,27.1251232512362 58.6591836875684,27.1207134919587 58.6635013504222,27.1180042688548 58.6681842272538,27.1171003285223 58.6730524661592,27.1180371541734 58.6779190208828,27.120779488659 58.6825968331347,27.1252225759412 58.6869060270552,27.1311960906054 58.6906808384699,27.1384706191303 58.6937760101161,27.1467664537279 58.696072403271,27.1557643643133 58.6974816056321,27.1651179311961 58.6979493538677,27.1744669546716 58.6974576354944,27.1834514113723 58.6960253867673,27.1917254035767 58.6937077588906,27.1989705479848 58.6905939816827,27.2049082747379 58.6868039093834,27.2093105543269 58.682483385199,27.2120086369184 58.6777986072369,27.2128994719548 58.6729297168304)))', 'EEKLR', 'Kallaste Rannasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.8679416155329 58.7459417542251,23.8666201172413 58.7411009969727,23.8635079610676 58.7364872044764,23.8587253334049 58.7322775540911,23.8524563851424 58.7286336445646,23.8449421007814 58.7256953126429,23.8364710267742 58.7235752891208,23.8273682169446 58.7223548951627,23.8179828145851 58.7220809399683,23.8086747372419 58.7227639355525,23.7998009604084 58.7243776951894,23.7917019098137 58.7268603305848,23.7846884684899 58.7301166108444,23.7790300843697 58.7340215955119,23.774944427105 58.7384254060917,23.7725889897729 58.7431589572171,23.7720549631887 58.7480404315627,23.7733636292972 58.7528822531701,23.7764654277251 58.7574982933266,23.7812417489515 58.7617110324919,23.787509402187 58.7653584016801,23.7950276000903 58.768300037443,23.8035072004109 58.7704227060059,23.8126218512718 58.7716446835199,23.8220206066888 58.7719189197031,23.83134151623 58.771234859762,23.8402256508129 58.7696188524619,23.8483310078342 58.767133128284,23.8553457441676 58.7638733883622,23.8610002147308 58.759965099855,23.8650773456785 58.7555586442376,23.867420941989 58.7508235095588,23.8679416155329 58.7459417542251)))', 'EEKLS', 'Kloostri', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5521874006026 59.5945528378235,25.5514515426091 59.5896772320532,25.5488544130643 59.5849680636602,25.5444965124793 59.5806062001731,25.5385457951864 59.5767591029668,25.5312311418008 59.5735744165812,25.5228335336483 59.5711743248236,25.5136752727576 59.5696508859897,25.5041076588926 59.5690625218181,25.4944975876159 59.5694317910664,25.4852135695076 59.5707445304425,25.4766116898336 59.572950394719,25.4690220298625 59.5759647759034,25.4627360556763 59.5796720300648,25.4579954479209 59.5839298915335,25.4549827970552 59.588574909373,25.4538145241834 59.5934287018674,25.4545363088914 59.5983047927539,25.4571212146461 59.6030157693762,25.4614706018956 59.6073804889197,25.4674178123869 59.6112310552016,25.4747344993874 59.6144192955471,25.4831393719759 59.6168224850903,25.4923090221812 59.6183480939252,25.5018904163182 59.6189373699496,25.5115145608993 59.6185676155841,25.5208108028069 59.6172530679758,25.5294211958108 59.6150443476397,25.5370143625661 59.6120264973781,25.5432983031186 59.6083156892578,25.5480316464287 59.6040547300065,25.5510329079855 59.5994075421691,25.5521874006026 59.5945528378235)))', 'EEKLT', 'Kallaste, Leesi k', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0173410031784 58.2653726963426,26.0165661831451 58.2604986971743,26.014002513666 58.2557979769206,26.009749142841 58.2514510807191,26.0039699563474 58.2476249010049,25.9968872140805 58.2444662877409,25.9887729833704 58.2420964336443,25.979938701777 58.2406062458414,25.9707232677409 58.2400528774152,25.961480107776 58.2404575483451,25.9525637034335 58.2418047369639,25.9443160793024 58.2440427719546,25.9370537545786 58.2470858028183,25.9310556451899 58.2508170753886,25.9265523713937 58.2550933900987,25.9237173777216 58.2597505759954,25.9226602090982 58.2646097745494,25.9234222103348 58.2694842956145,25.9259748280015 58.2741867847381,25.9302205965353 58.278536427489,25.9359967876397 58.2823659132952,25.9430815974435 58.2855278888717,25.9512026438564 58.2879006496195,25.960047451691 58.2893928459004,25.9692755199809 58.2899470188583,25.9785314987582 58.2895418260306,25.9874589549205 58.2881928685393,25.9957141813376 58.2859520869965,26.0029795014358 58.2829057500394,26.0089755432717 58.2791711151575,26.0134720013578 58.2748918937989,26.0162964687939 58.270232699427,26.0173410031784 58.2653726963426)))', 'EEKLU', 'Kaluri', 'Y'),('SRID=4326;MULTIPOLYGON(((26.855041553478 59.4830635689681,26.8541202167932 59.4781957398227,26.8513504242263 59.4735128402622,26.8468392866117 59.4691947197065,26.8407606132838 59.4654071530452,26.8333481646813 59.4622954955951,26.8248866449357 59.4599791274001,26.8157007841678 59.4585468957866,26.8061429264514 59.4580537267285,26.7965795902158 59.4585185313533,26.7873775022912 59.4599234854316,26.7788896242681 59.4622147085943,26.7714416900909 59.4653043180476,26.7653197568253 59.469073780412,26.7607592365945 59.4733784367266,26.7579358273308 59.4780530312953,26.756958694196 59.4829180365091,26.7578661737303 59.4877865345231,26.7606241810624 59.4924713940059,26.7651273995514 59.4967924671577,26.7712032254793 59.5005835295836,26.7786183319023 59.5036986937686,26.7870876100636 59.5060180458,26.7962851486957 59.5074522840885,26.8058568258743 59.5079461771618,26.8154340192783 59.5074807036671,26.8246478924454 59.5060737896635,26.8331436895871 59.5037796139016,26.8405944711464 59.5006865086824,26.8467137465734 59.4969135395843,26.8512665083809 59.4926058994364,26.8540782397874 59.4879292981956,26.855041553478 59.4830635689681)))', 'EEKLV', 'Kalvi', 'Y'),('SRID=4326;MULTIPOLYGON(((25.6811608989624 59.5745043151048,25.6804067716248 59.569629361841,25.6777931011592 59.5649226843964,25.6734210208724 59.5605650537458,25.6674590263889 59.5567237680981,25.6601364278629 59.5535462485601,25.6517345084821 59.5511544038408,25.6425757333841 59.5496399759949,25.6330114208108 59.5490610414258,25.6234083396545 59.549439797588,25.6141347335154 59.5507617176408,25.6055462903794 59.552976104377,25.5979725787719 59.5559980227942,25.591704455724 59.559711539411,25.5869829193464 59.5639741475789,25.5839898297801 59.5686222132622,25.5828408576994 59.5734772366661,25.5835809407881 59.5783526931511,25.586182437675 59.5830611934095,25.5905460683682 59.5874216889599,25.5965046236187 59.5912664454394,25.6038293168678 59.5944475133386,25.6122385460296 59.5968424437426,25.6214087331204 59.5983590248285,25.6309868225246 59.598938852381,25.6406039479485 59.5985595929965,25.6498897276755 59.597235850127,25.6584866203992 59.5950185984877,25.6660637712224 59.5919932092373,25.6723297995284 59.5882761442603,25.6770440261159 59.5840104504106,25.6800257036953 59.5793602314904,25.6811608989624 59.5745043151048)))', 'EEKLY', 'Kalamehe', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7022590394285 58.970001095383,23.7009512166886 58.9651586852879,23.6978400160411 58.9605410270985,23.6930455990969 58.9563254466751,23.6867525793137 58.9526737697584,23.6792028718952 58.949726129989,23.6706863855106 58.947595613791,23.6615299152289 58.9463639433416,23.6520846582998 58.9460783591611,23.6427128212495 58.946749818626,23.6337738173079 58.9483525775299,23.6256105669143 58.9508251703741,23.6185364107252 58.9540727530811,23.6128231242163 58.9579707210338,23.6086904859245 58.9623694674494,23.6062977982644 58.9671001037935,23.605737691727 58.9719809267896,23.607032461707 58.9768243870523,23.6101330944063 58.9814442937094,23.6149210370879 58.9856629785924,23.6212126619437 58.9893181433353,23.6287662661389 58.9922691233078,23.6372913477589 58.9944023235697,23.6464598031886 58.9956356133187,23.6559186105462 58.9959215055104,23.6653035003718 58.9952489958762,23.6742530722653 58.9936439885014,23.6824227969119 58.991168291195,23.6894983480107 58.9879172206611,23.6952077377275 58.9840159125071,23.6993317807802 58.9796144820306,23.701712483302 58.9748822263895,23.7022590394285 58.970001095383)))', 'EEKMA', 'Kirimäe', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0205192029065 58.398372077016,26.0197412225801 58.393498187853,26.0171676723092 58.3887975987059,26.012898085497 58.3844508491155,26.0070969747893 58.3806248250455,25.999987444047 58.3774663694881,25.9918425889144 58.3750966681089,25.9829750202751 58.3736066213237,25.9737249103526 58.3730533762306,25.9644470117763 58.3734581478667,25.9554971345622 58.3748054108843,25.9472185840514 58.3770434916616,25.9399290641086 58.3800865387745,25.9339085343019 58.3838177984201,25.9293884776165 58.3880940725203,25.9265429870782 58.3927511925272,25.9254820164154 58.3976103030131,25.9262470630218 58.4024847174225,25.9288094629805 58.4071870852138,25.9330713804206 58.411536596064,25.9388694702897 58.4153659436334,25.9459810886257 58.4185277789576,25.9541328219705 58.4209004018315,25.9630110122966 58.4223924670681,25.9722738703238 58.4229465202774,25.9815647026361 58.4225412233938,25.99052573017 58.4211921817295,25.9988119500476 58.4189513396896,26.0061044908137 58.4159049690759,26.0121229330108 58.4121703296646,26.0166361114765 58.4078911340723,26.0194709803333 58.4032319956168,26.0205192029065 58.398372077016)))', 'EEKMS', 'Kuimetsa', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7209462321901 58.7449964210379,23.7196451680443 58.7401540038949,23.7165524742995 58.7355365158821,23.7117875918899 58.7313212772944,23.7055339932305 58.7276701022002,23.6980320768786 58.724723106685,23.6895699177933 58.7225933541489,23.6804722302981 58.7213625388959,23.6710879627559 58.7210778695727,23.6617769895546 58.7217502687559,23.6528963963908 58.7233539557965,23.6447868684867 58.7258274285602,23.6377596880576 58.7290758076961,23.6320848270921 58.7329744562518,23.627980584629 58.7373737395534,23.6256051648541 58.742104746954,23.6250505245607 58.7469857599198,23.6263387374005 58.7518292214013,23.6294210300851 58.7564489408067,23.6341795451467 58.7606672581322,23.6404317795433 58.7643218906002,23.647937542418 58.7672721957714,23.6564081732168 58.7694046063804,23.6655176678753 58.7706370234548,23.6749152804949 58.7709219944847,23.6842391050171 58.7702485509613,23.6931300992448 58.7686426325252,23.7012459944874 58.766166081021,23.708274539162 58.7629142445107,23.7139455535898 58.7590122863006,23.7180413243357 58.7546103449292,23.7204049369569 58.7498777357098,23.7209462321901 58.7449964210379)))', 'EEKMU', 'Keemu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5910955920745 59.5211626423855,26.5902112665908 59.5162930471518,26.5874749704642 59.5116046445936,26.5829925331595 59.5072774972588,26.576936668452 59.5034777279008,26.5695402680107 59.5003511609211,26.561087426196 59.4980177486218,26.5519025447356 59.4965669918771,26.5423379325371 59.4960545266032,26.5327603670682 59.4965000032805,26.5235371185292 59.4978863383628,26.5150219558537 59.5001603653458,26.507541654163 59.5032348613004,26.5013835066364 59.5069918735012,26.4967843101218 59.5112872221404,26.4939212437329 59.5159560106546,26.4929049941302 59.5208189365267,26.493775401585 59.525689164014,26.4964998093283 59.5303794974082,26.5009741977921 59.5347095802096,26.5070270785657 59.5385128427673,26.5144260142609 59.5416429288723,26.5228865245519 59.5439793504672,26.5320830402564 59.545432148539,26.5416614812575 59.5459453763976,26.5512529647735 59.5454992674654,26.5604881017038 59.5441110015441,26.5690113132132 59.5418340390913,26.57649459882 59.5387560499356,26.5826502110745 59.5349955186108,26.5872417391049 59.5306971606791,26.5900931712565 59.5260263308408,26.5910955920745 59.5211626423855)))', 'EEKND', 'Kunda', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0024503796045 58.3622665242027,23.0012632733105 58.3574161079535,22.9982991469866 58.35278055078,22.99367249742 58.3485378736863,22.9875614920559 58.3448509505479,22.9802010664133 58.3418612748147,22.9718738817342 58.3396835513323,22.9628994923918 58.3384013166622,22.9536221347555 58.3380637519123,22.9443975962696 58.3386838070647,22.9355796545286 58.3402377067187,22.9275065905681 58.3426658557273,22.9204882781918 58.34587511114,22.9147943319494 58.349742335905,22.9106437606686 58.3541191016564,22.908196521861 58.3588373643043,22.9075473059155 58.3637158986357,22.9087217993127 58.3685672481904,22.911675585294 58.3732049255584,22.9162957412947 58.3774505869556,22.922405088458 58.381140904174,22.9297689437143 58.3841338670461,22.9381041236973 58.3863142702886,22.9470898568222 58.3875981693703,22.9563801797296 58.3879361297914,22.965617331127 58.3873151413319,22.9744456132149 58.3857591214806,22.9825251707329 58.3833279881659,22.9895451412938 58.3801153386723,22.9952356579079 58.3762448267701,22.9993782338805 58.3718653812614,23.0018141289139 58.3671454542044,23.0024503796045 58.3622665242027)))', 'EEKNG', 'Kungla', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1472562434786 58.2003243455868,26.1464649489558 58.1954510481306,26.1438887005739 58.1907528590219,26.1396271253136 58.1864102255134,26.1338444195236 58.1825898760281,26.1267629743238 58.1794384367223,26.1186548043885 58.1770768252751,26.1098311131912 58.1755956330131,26.1006303928268 58.1750516684486,26.091405506724 58.1754657912901,26.0825102378896 58.1768221175747,26.0742858031926 58.1790686254466,26.0670478352888 58.1821191390015,26.0610743181153 58.1858566162751,26.0565949296912 58.1901376186069,26.0537821978414 58.194797793941,26.0527448113596 58.1996581677415,26.0535233524955 58.204532003581,26.0560886284854 58.2092319723996,26.0603426827942 58.2135773560007,26.0661224640712 58.217401007285,26.0732060264301 58.2205557974276,26.0813210328818 58.2229202986147,26.0901552391568 58.2244034795824,26.0993685523336 58.2249482290554,26.1086061918389 58.2245335678298,26.1175124330725 58.2231754618325,26.1257443887156 58.2209262038653,26.1329852811177 58.2178723885101,26.1389566811165 58.2141315604007,26.1434292330169 58.2098476683316,26.1462314497945 58.2051855042946,26.1472562434786 58.2003243455868)))', 'EEKNN', 'Kannistiku', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0114962127328 58.3813753512721,26.01071982681 58.3765013992593,26.0081486918331 58.371800623716,26.0038822477881 58.3674535714763,25.9980848862425 58.3636271402819,25.9909795670154 58.3604681889131,25.9828392242767 58.3580979222053,25.9739762961504 58.356607262371,25.9647307773564 58.3560533800845,25.9554572449717 58.3564575148288,25.9465113420238 58.3578041656396,25.9382362217249 58.3600416822924,25.9309494564253 58.3630842348948,25.9249308998005 58.3668150885053,25.9204119586397 58.371091060533,25.9175666824518 58.3757479939665,25.9165050158988 58.3806070405304,25.9172684822326 58.3854815161665,25.9198284774597 58.390184068072,25.9240872575182 58.3945338789785,25.9298815976145 58.3983636311628,25.9369889979209 58.4015259602544,25.9451362074455 58.40389914719,25.95400974266 58.4053918251783,25.9632679940103 58.4059465162986,25.9725544459999 58.4055418579302,25.9815114887052 58.4041934307545,25.9897942729852 58.4019531554321,25.9970840597191 58.3989072818383,26.0031005352486 58.395173050506,26.0076126096161 58.3908941582532,26.0104472787211 58.3862352066686,26.0114962127328 58.3813753512721)))', 'EEKNR', 'Kanguri', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1635475182729 58.4205771913519,22.1624735711887 58.415718882447,22.1596144746078 58.41106380518,22.1550807046853 58.4067907357992,22.1490468800423 58.4030637191758,22.141744992443 58.4000257900459,22.1334554741902 58.3977935055251,22.1244964480599 58.3964524945646,22.1152115687722 58.3960541910349,22.1059569130986 58.3966138723902,22.0970874077776 58.3981100769821,22.0889432998935 58.4004854217488,22.0818371729994 58.4036487899247,22.0760419940588 58.4074788073419,22.0717806415239 58.4118284775545,22.0692173141801 58.4165308020891,22.0684511547879 58.4214051742034,22.069512343551 58.4262643040873,22.0723608261605 58.4309214117354,22.0768877423408 58.4351974117927,22.0829195168929 58.4389278132197,22.0902244701636 58.4419690659749,22.0985217031328 58.4442041069505,22.1074919185299 58.4455468875496,22.1167897581688 58.4459457044895,22.1260571721786 58.4453852021538,22.1349372914764 58.443886967178,22.143088253095 58.4415086917322,22.150196430064 58.4383419387516,22.155988543318 58.4345085977105,22.1602421811313 58.4301561710459,22.1627943192158 58.4254520768755,22.1635475182729 58.4205771913519)))', 'EEKNS', 'Kallaste, Kihelkonna v', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1999324413735 58.6969345298232,27.1989836873672 58.6920685944129,27.1962301347904 58.6873924625497,27.1917782300774 58.6830857247088,27.185799475004 58.6793137219759,27.1785237727069 58.6762212171214,27.1702305711462 58.6739268608247,27.1612381475434 58.6725186612473,27.1518914419671 58.6720506266235,27.1425488977607 58.6725407061557,27.1335687999361 58.673970105866,27.1252956194115 58.6762840048449,27.1180468707836 58.6793936452774,27.1121009741941 58.6831797184539,27.1076865780526 58.6874969204115,27.1049737495014 58.6921795065786,27.1040673745311 58.6970476364114,27.1050030310634 58.7019142679849,27.1077455081611 58.7065923401216,27.11219004553 58.7109019669579,27.1181662630069 58.7146773675854,27.1254446437849 58.7177732619352,27.1337453321328 58.7200704833079,27.1427489110351 58.7214805873593,27.1521087421285 58.7219492759157,27.161464383825 58.7214585002192,27.1704555571352 58.7200271602326,27.1787361049971 58.7177103722554,27.1859873912052 58.7145973339272,27.1919306092978 58.7108078712566,27.1963375186455 58.7064878042259,27.1990391919041 58.7018033135875,27.1999324413735 58.6969345298232)))', 'EEKOA', 'Kodavere', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5741484822412 59.5675444382409,25.573409978404 59.5626689266541,25.5708118005083 59.5579601711175,25.5664544877287 59.5535990232526,25.560505970402 59.5497529170032,25.553195043624 59.5465694589971,25.544802545112 59.5441707860801,25.5356505807746 59.5426489023038,25.5260902092446 59.5420621699227,25.5164880490808 59.5424330852142,25.5072123084324 59.543747421776,25.4986187560882 59.5459547730436,25.4910371547107 59.5489704738119,25.4847586616754 59.5526788292698,25.4800246705365 59.5569375311817,25.4770175172461 59.5615830960317,25.4758534108015 59.5664371208058,25.4765778693603 59.5713131200855,25.4791638520418 59.5760236845875,25.4835126762801 59.5803876872921,25.4894577040433 59.584237259633,25.4967706714935 59.5874242673015,25.5051704302438 59.5898260330479,25.5143337690821 59.5913500819645,25.5239078977096 59.5919377221732,25.5335241031705 59.5915663191878,25.5428120390424 59.5902501736578,25.5514140799221 59.5880399675472,25.558999170846 59.5850208006859,25.5652756231903 59.5813088955665,25.5700023540817 59.5770471008282,25.5729981328769 59.5723993708411,25.5741484822412 59.5675444382409)))', 'EEKOB', 'Kolga-Aabla kai', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0642316838963 59.6183607008614,26.0634211505317 59.6134878994055,26.0607505499574 59.6087888078149,26.0563231996546 59.6044439026568,26.0503097118482 59.600619990957,26.0429413655065 59.5974638250666,26.0345011907132 59.595096493229,26.0253131121468 59.5936087968308,26.0157295657515 59.5930577873496,26.006118054606 59.5934645920862,25.9968471455176 59.5948136094892,25.9882724263944 59.5970531039021,25.9807229457049 59.6000971776024,25.9744886393174 59.603829046788,25.969809216955 59.6081054993984,25.966864930962 59.6127623680235,25.965769584979 59.6176208122307,25.9665660608768 59.6224941729265,25.9692245509277 59.6271951381545,25.9736435813661 59.6315429461039,25.9796538065924 59.6353703478257,25.9870244443402 59.6385300596452,25.9954721156842 59.6409004534832,26.0046717546659 59.6423902617903,26.0142691653714 59.6429421115695,26.0238947340025 59.6425347475919,26.0331777536229 59.6411838565484,26.0417607926043 59.6389414593411,26.0493135358562 59.6358938956172,26.0555455508188 59.6321584805036,26.0602174766218 59.627878965896,26.0631502022057 59.6232199853651,26.0642316838963 59.6183607008614)))', 'EEKOE', 'Koolimäe', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2687381472211 58.5549090294603,27.26778374077 58.5500434986839,27.2650322166501 58.5453687336702,27.2605899362882 58.5410642725253,27.2546280260719 58.5372953694551,27.2473757386323 58.534206669084,27.2391116217838 58.5319166770726,27.2301528376001 58.5305132350828,27.2208430384647 58.5300501695825,27.2115392562148 58.5305452395648,27.2025982937488 58.531979459595,27.1943631250855 58.5342978233674,27.1871498095912 58.5374114008798,27.1812354089271 58.5412007311531,27.1768473614908 58.5455203838713,27.1741547193231 58.5502045190616,27.1732615876151 58.555073235583,27.1742030285617 58.5599394682083,27.176943601423 58.5646161707648,27.1813786120005 58.5689235101734,27.1873380406669 58.5726957940396,27.1945930125881 58.5757878630433,27.2028645712652 58.5780806986802,27.2118344216747 58.5794860263714,27.2211572266993 58.5799497325675,27.2304739744695 58.579453960735,27.2394258882006 58.5780178031593,27.2476683266415 58.5756965611203,27.2548841236697 58.5725796028109,27.2607958398364 58.5687869039061,27.2651764454378 58.5644644075653,27.2678580213864 58.5597783866763,27.2687381472211 58.5549090294603)))', 'EEKOL', 'Kolkja', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0663013273824 58.2356139742092,22.0652465754243 58.2307546550018,22.062415381475 58.2260971914676,22.0579171434444 58.2218204530038,22.0519251118357 58.2180886270803,22.044669673397 58.2150449347588,22.0364294800306 58.2128061558185,22.0275207664432 58.2114581694749,22.0182852630421 58.2110526777424,22.0090771586002 58.2116052337815,22.0002495992877 58.213094648698,21.9921412262073 58.2154637989126,21.9850632523255 58.2186218041175,21.9792875616755 58.2224474947326,21.9750362792044 58.2267940393971,21.9724732092669 58.2314945590574,21.9716974755523 58.2363685162424,21.9727396166813 58.2412286376161,21.9755603019247 58.2458881061384,21.9800517332268 58.2501677471712,21.9860416963485 58.2539029313556,21.9933001194536 58.2569499263651,22.0015478962547 58.259191449616,22.0104676375368 58.2605412040959,22.0197159340248 58.2609472186068,22.0289366493106 58.2603938604,22.0377747173342 58.2589024404926,22.0458898971359 58.2565303877063,22.052969939489 58.2533690242396,22.0587426454577 58.2495400309379,22.0629863444889 58.2451907419655,22.065538386739 58.2404884541717,22.0663013273824 58.2356139742092)))', 'EEKOO', 'Kooviranna', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0842850862414 58.2236073639405,22.0832282536419 58.2187481911153,22.0803956836064 58.2140911220812,22.0758968261718 58.2098150110119,22.0699049549352 58.2060840212687,22.0626504499256 58.2030413418459,22.0544119268555 58.2008037137187,22.0455055562103 58.1994569720345,22.0362729786169 58.1990527711458,22.02706827092 58.1996066147625,22.0182444494381 58.2010972646282,22.0101400123844 58.203467549769,22.0030660221758 58.2066265462609,21.9972942103136 58.2104530463634,21.9930465530067 58.2148001874868,21.9904867153326 58.2195010674986,21.9897136965112 58.2243751349099,21.9907579303227 58.2292351119923,21.9935800049329 58.2338941871314,21.9980720681371 58.2381732007427,22.0040618806996 58.2419075475798,22.0113193760095 58.2449535275615,22.0195654831113 58.2471938972321,22.0284828769206 58.2485424040684,22.0377282386322 58.2489471249891,22.0469455451318 58.2483924771139,22.0557798620443 58.2468998211404,22.063891093321 58.2445266334549,22.070967142188 58.2413642798681,22.0767359637351 58.2375344792081,22.0809760370051 58.2331845965441,22.0835248515225 58.2284819513827,22.0842850862414 58.2236073639405)))', 'EEKOR', 'Koovi', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7961222848963 59.5464610281341,25.7953521150152 59.5415866702677,25.7927245089372 59.5368822276428,25.7883411324625 59.53252838466,25.7823709117539 59.5286922935947,25.7750434695458 59.525521175926,25.7666402721743 59.5231366947131,25.7574838319092 59.5216303097213,25.7479253765957 59.5210597891705,25.7383314507765 59.5214470081432,25.7290699482577 59.5227771154794,25.7204960949196 59.5249991000317,25.71293890217 59.5280277351959,25.7066885957799 59.5317468293759,25.7019854921775 59.536013661213,25.6990107451385 59.5406644336734,25.6978793211301 59.5455205420432,25.6986354827424 59.5503954190123,25.7012509686769 59.5551016966384,25.7056259583136 59.5594584111592,25.7115928023109 59.5632979731346,25.7189223920119 59.5664726326709,25.7273329341482 59.5688601874918,25.7365007982782 59.5703687099021,25.7460730173754 59.5709401062788,25.7556809514821 59.5705523682024,25.7649545741534 59.569220425862,25.7735368143236 59.5669955697685,25.7810973837671 59.5639634636927,25.7873455426456 59.5602408276461,25.7920413014742 59.555970922204,25.7950046246542 59.5513180123283,25.7961222848963 59.5464610281341)))', 'EEKOT', 'Kotka, Kuusalu vald', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5080081052999 58.0429291550284,24.5074435422555 58.0380481821361,24.5050947388246 58.0333193792886,24.5010525962887 58.0289243820025,24.495472907525 58.0250319397697,24.4885703008958 58.0217914536228,24.4806099614066 58.0193272626249,24.4718974518827 58.0177338946122,24.4627670234334 58.0170724593018,24.4535688563432 58.017368318476,24.444655708681 58.0186101199643,24.4363694696875 58.0207502312438,24.429028118086 58.0237065563947,24.4229135718164 58.0273656686322,24.4182608855651 58.0315871414168,24.4152492063962 58.0362089159136,24.4139948367023 58.0410535029436,24.4145466789617 58.0459347850285,24.4168842503359 58.0506651599982,24.4209183595202 58.0550627529956,24.4264944366431 58.0589584193559,24.433398403185 58.0622022672024,24.4413648671094 58.0646694456837,24.450087333203 58.0662649721459,24.4592300345584 58.0669274082668,24.4684409224493 58.0666312398994,24.4773653021769 58.0653878662863,24.4856595745185 58.0632451592927,24.493004537747 58.0602856100129,24.4991177240882 58.0566231360763,24.5037642858957 58.0523986758107,24.5067660084985 58.0477747428673,24.5080081052999 58.0429291550284)))', 'EEKOU', 'Kadaka oja lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((26.4721325689681 59.5472073406244,26.4712647467341 59.5423369890081,26.4685428919551 59.5376461426562,26.4640722821816 59.5333149587399,26.4580251802712 59.5295097155195,26.4506341447517 59.5263764477538,26.4421830668735 59.5240353648686,26.4329962826276 59.5225762618055,26.4234261747732 59.522055094299,26.4138397312707 59.5224918462489,26.4046045614716 59.5238697684682,26.396074889393 59.5261360170438,26.3885780441446 59.52920366758,26.3824019510559 59.5329550304142,26.3777840935411 59.5372461432214,26.3749023657802 59.5419122729264,26.3738681708349 59.546774220115,26.3747220392976 59.5516451876597,26.3774319520084 59.5563379523422,26.3818944494866 59.5606720649436,26.3879385038996 59.5644808013384,26.3953320206773 59.567617594964,26.4037907308242 59.5699616996143,26.4129891364073 59.5714228603104,26.4225730854228 59.5719448080614,26.432173482715 59.5715074401819,26.4414205945905 59.5701275996289,26.4499583789575 59.5678584223651,26.4574582716855 59.564787278653,26.4636318834977 59.5610323899601,26.4682421087356 59.5567382553909,26.4711122151661 59.552070068056,26.4721325689681 59.5472073406244)))', 'EEKPA', 'Karepa', 'Y'),('SRID=4326;MULTIPOLYGON(((25.1510275981999 59.4917026501525,25.1503516436543 59.4868250690161,25.1478182241363 59.4821082454854,25.1435253926494 59.4777333445536,25.1376386086001 59.4738683312794,25.1303843052755 59.4706615403458,25.1220411568595 59.4682360053918,25.1129293852521 59.466684761521,25.1033985151096 59.466067296864,25.0938140383878 59.4664072854993,25.0845434862233 59.4676916859782,25.0759424256117 59.4698712388422,25.0683409007589 59.4728623445665,25.0620308241602 59.4765502520358,25.0572547906412 59.4807934386853,25.0541967393064 59.4854290184737,25.0529748244797 59.4902789745186,25.0536367786862 59.4951569809853,25.0561579604552 59.4998755550041,25.0604421798677 59.5042532650863,25.0663252886284 59.5081217185062,25.0735814129833 59.5113320568504,25.0819316015171 59.5137607064183,25.0910545605379 59.5153141579342,25.100599062206 59.5159325871727,25.1101975392857 59.5155921732061,25.1194803292088 59.5143060222363,25.1280900018897 59.5121236602186,25.1356952020142 59.509129114347,25.142003457564 59.505437659468,25.1467724509554 59.5011913582075,25.1498193148819 59.4965535707772,25.1510275981999 59.4917026501525)))', 'EEKPH', 'Kostiranna-Pihkla', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5060803178529 58.8154479676355,22.5049456687949 58.8105931227337,22.5020077710712 58.8059463438403,22.4973801399652 58.8016860842927,22.4912410037374 58.7979758926657,22.4838263952018 58.7949581536974,22.4754210647481 58.7927486463023,22.4663475664229 58.7914321232818,22.456953932045 58.7910590782044,22.447600396441 58.7916438200896,22.4386456688065 58.793163927599,22.4304332603733 58.795561103094,22.4232783767504 58.7987433948851,22.4174558645161 58.8025887050089,22.4131896661728 58.8069494516462,22.4106441860364 58.8116582115152,22.4099179030492 58.8165341298238,22.4110394864094 58.8213898551145,22.413966578417 58.8260387348436,22.4185873088599 58.8303019958411,22.4247245000426 58.8340156325892,22.4321424152705 58.8370367358616,22.4405558007434 58.8392490145585,22.4496408761119 58.8405672939726,22.4590478470558 58.8409408131395,22.4684144483733 58.8403551908639,22.4773799817291 58.8388329825158,22.4855992908171 58.8364328055683,22.492756119468 58.8332470686552,22.4985753249943 58.8293983942288,22.5028334683132 58.8250348762925,22.5053673714147 58.8203243600328,22.5060803178529 58.8154479676355)))', 'EEKPL', 'Kurbapere lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((25.3221061937115 59.5426388511718,25.3214046190146 59.5377620869101,25.3188435576807 59.5330485000762,25.3145221249789 59.5286791298495,25.3086068772995 59.524821727563,25.3013253378022 59.5216243346547,25.2929572221545 59.5192096233847,25.2838237061156 59.5176702132629,25.2742751447726 59.5170651385289,25.2646777059583 59.5174175983826,25.2553994167633 59.5187140735672,25.2467961414844 59.5209048420282,25.2391980115563 59.5239058744164,25.2328968129577 59.5276020389029,25.2281348045168 59.5318514958334,25.2250953919861 59.5364911178532,25.2238960186251 59.5413427318683,25.2245835547138 59.5462199470696,25.2271323778789 59.5509353095388,25.231445235999 59.5553075097727,25.2373568780876 59.5591683655961,25.2446403299072 59.5623693098016,25.2530155846605 59.564787129476,25.2621603797263 59.5663287318825,25.2717226428868 59.5669347490254,25.281334120328 59.5665818382311,25.2906246477014 59.5652835874082,25.2992364975565 59.5630899889369,25.3068382330583 59.5600855030101,25.3131375193159 59.5563857872274,25.3178923886417 59.5521332218954,25.3209205221509 59.5474914075941,25.3221061937115 59.5426388511718)))', 'EEKPS', 'Koipsi', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8901545144421 59.5674258393298,25.8893703043531 59.5625520120261,25.8867279665428 59.5578494314325,25.8823297325477 59.5534987096409,25.8763450980241 59.5496668783857,25.8690042372967 59.5465009950969,25.8605891295457 59.5441225216314,25.8514227418585 59.5426226871398,25.8418566818322 59.5420590086365,25.8322577844841 59.5424530989822,25.822994133923 59.5437898437467,25.8144210389613 59.5460179774614,25.8068674833224 59.5490520378091,25.8006235553206 59.5527756250566,25.7959293290862 59.5570458452292,25.7929656201391 59.5616987708242,25.7918469732918 59.5665557138583,25.7926171618987 59.5714300742312,25.7952473863728 59.5761345030583,25.7996372593213 59.5804881068718,25.8056185579828 59.5843234151761,25.8129616158911 59.5874928411923,25.8213841193692 59.5898743837153,25.8305619753994 59.5913763463576,25.8401418304317 59.5919408881123,25.8497547492806 59.5915462646964,25.8590305131867 59.5902076716953,25.867611969189 59.5879766559555,25.8751688606725 59.5849391185572,25.8814105914747 59.5812119885834,25.8860974219731 59.5769386993562,25.8890496625834 59.5722836456138,25.8901545144421 59.5674258393298)))', 'EEKPT', 'Kaasikupeetri', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8272205985453 59.6134496812255,25.8264445100651 59.6085755371498,25.8238074401551 59.60387173677,25.8194114210553 59.599518939299,25.8134258662774 59.5956842562389,25.8060809878588 59.5925148543683,25.7976589207447 59.5901323303094,25.7884828996477 59.5886280682842,25.7789049013389 59.588059754815,25.7692922175282 59.5884491802901,25.7600134593023 59.5897814090938,25.7514245129144 59.5920053490565,25.7438549682764 59.5950356990219,25.7375955257951 59.5987562020871,25.7328868544328 59.6030240832514,25.7299103246332 59.6076755054896,25.7287809749296 59.6125318392323,25.7295429920676 59.6174065083877,25.7321678933189 59.622112152661,25.7365554990092 59.6264678321239,25.7425376764938 59.6303059965178,25.7498847279011 59.6334789490629,25.7583141874723 59.6358645525788,25.7675016950621 59.6373709540234,25.7770935251838 59.6379401411666,25.7867202803555 59.6375501906107,25.7960112072492 59.6362161179105,25.8046085670405 59.6339892959527,25.8121814889543 59.6309554646519,25.8184387584281 59.6272314109133,25.8231400373242 59.622960450295,25.826105080637 59.6183068886406,25.8272205985453 59.6134496812255)))', 'EEKRA', 'Kiviranna', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5440779810651 59.5195554403707,25.5433447676334 59.5146797453954,25.5407543817761 59.5099703903223,25.5364070613583 59.5056082502288,25.5304703518017 59.5017607976523,25.5231725946109 59.4985756913988,25.5147941226389 59.4961751320051,25.5056565048706 59.4946511962254,25.4961102512687 59.4940623252042,25.4865214406566 59.4944310972584,25.4772577706991 59.4957433680458,25.468674548185 59.4979488099744,25.4611011397313 59.5009628307515,25.4548283877024 59.5046697996876,25.4500974638036 59.5089274614794,25.4470905840122 59.5135723723741,25.4459239441531 59.5184261544549,25.4466431569241 59.5233023317753,25.4492213804939 59.5280134885134,25.4535602285933 59.5323784753054,25.4594934456355 59.5362293862305,25.4667932218234 59.5394180359808,25.4751789169339 59.5418216845541,25.4843278623268 59.5433477848958,25.49388782351 59.5439375663261,25.5034906348014 59.5435683119259,25.5127664670556 59.5422542394705,25.5213581618825 59.5400459508403,25.5289350628333 59.537028471713,25.5352057958466 59.533317959281,25.5399294965976 59.5290572083126,25.5429250487701 59.524410132859,25.5440779810651 59.5195554403707)))', 'EEKRC', 'Kruusimäe', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7382204273132 59.6144831048572,25.7374572133602 59.6096084800902,25.7348325237235 59.6049029337056,25.73044791625 59.6005471926383,25.7244723679958 59.5967084819381,25.7171357089357 59.5935341233287,25.7087197606497 59.5911459037955,25.6995475248458 59.5896354260449,25.6899708342819 59.5890606148679,25.6803569309596 59.5894435096398,25.6710744723902 59.5907694249913,25.6624794856662 59.5929875107508,25.6549017907485 59.5960126903076,25.6486323987763 59.5997289052871,25.6439123585619 59.6039935455968,25.6409234753007 59.6086428991433,25.6397812607978 59.613498416454,25.640530395628 59.6183735535291,25.6431428925575 59.6230809328189,25.6475190499666 59.6274395483461,25.6534911772461 59.631281737451,25.6608299652374 59.6344596488547,25.6692532682543 59.6368509546909,25.6784369648994 59.6383635823909,25.6880274776045 59.6389392798527,25.6976554600684 59.6385558727717,25.7069501113542 59.637228124512,25.7155535481367 59.6350071642894,25.7231346640115 59.6319785063263,25.7294019270337 59.6282587385534,25.734114612508 59.6239910119437,25.737092034934 59.6193395084511,25.7382204273132 59.6144831048572)))', 'EEKRD', 'Kardani', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0499062991263 57.9356211897039,22.0488630445741 57.9307614734906,22.0460580703324 57.9261033477399,22.0415997551027 57.9218257087088,22.0356598078713 57.9180927804485,22.0284666119044 57.9150478286182,22.0202964309334 57.9128076835564,22.0114628180047 57.91145827873,22.0023046300795 57.9110513717462,21.9931730992071 57.9116025703992,21.9844184429876 57.9130907373332,21.9763765125093 57.9154587955256,21.9693559747362 57.918615904667,21.9636265084338 57.9224409273794,21.9594084584586 57.9267870558085,21.9568643432181 57.9314874251371,21.9560925453544 57.9363615025813,21.9571234377351 57.9412220099301,21.9599181077478 57.9458821159325,21.9643697454154 57.9501626228566,21.9703076583514 57.9538988700411,21.9775037729959 57.956947086551,21.9856813812783 57.9591899450294,21.9945257994125 57.9605410989158,22.0036965254414 57.9609485243241,22.0128404184995 57.9603965345343,22.021605378953 57.9589063873459,22.0296539869863 57.9565354612579,22.0366765590398 57.9533750331913,22.0424031066504 57.9495467458007,22.0466137293091 57.9451979039577,22.0491470393511 57.9404957855716,22.0499062991263 57.9356211897039)))', 'EEKRE', 'Karuste', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5123266342496 58.9924446689298,22.511184896847 58.9875900366941,22.5082307280448 58.982943591036,22.5035782757777 58.978683771624,22.4974067267852 58.9749741089053,22.4899533606563 58.9719569659137,22.4815044147655 58.9697480973257,22.4723841135845 58.9684322303053,22.4629422794696 58.9680598325345,22.4535409903126 58.9686451879941,22.4445407814732 58.9701658521424,22.4362869046299 58.972563506807,22.4290961543549 58.9757461830938,22.4232447543513 58.9795917696409,22.4189577596722 58.9839526753437,22.4164003794937 58.9886614719003,22.4156715581402 58.9935373037912,22.4168000716035 58.9983928230474,22.4197433048796 59.0030413846691,22.4243887748674 59.0073042268521,22.4305583578179 59.0110173589605,22.4380150734581 59.0140378897774,22.4464721744841 59.0162495488603,22.45560419488 59.0175671842171,22.4650595281436 59.0179400589521,22.4744740412559 59.0173538164705,22.4834851856267 59.0158310363555,22.4917460447408 59.013430358917,22.4989387610403 59.0102442132397,22.5047868115166 59.0063952388687,22.5090656510551 59.002031542674,22.5116113120272 58.9973209777839,22.5123266342496 58.9924446689298)))', 'EEKRG', 'Kõrgessaare', 'Y'),('SRID=4326;MULTIPOLYGON(((25.6581852464599 59.5915130310777,25.6574340984788 59.5866379685346,25.6548223564666 59.5819308514413,25.650451080778 59.5775724677583,25.644488737211 59.5737301446331,25.6371646501994 59.5705513429529,25.6287601606364 59.5681580205331,25.6195978324981 59.5666419759993,25.6100291201885 59.5660613476489,25.6004209609119 59.5664383978109,25.5911417923779 59.5677586650386,25.5825475151777 59.5699715155515,25.5749679209424 59.5729920733823,25.5686940919021 59.576704457425,25.5639672449366 59.5809662047203,25.5609694441972 59.5856137145316,25.5598165417813 59.5904685086607,25.5605536271799 59.5953440714968,25.5631531752632 59.600053009812,25.5675159820897 59.604414258382,25.5734748711701 59.608260053907,25.5808010439886 59.6114424068586,25.5892128421109 59.6138388187724,25.598386588901 59.6153570206747,25.6079690915675 59.6159385458276,25.6175913134454 59.6155609953717,25.6268826759174 59.6142389069192,25.635485421974 59.612023191516,25.6430684706784 59.6089991612839,25.6493402138931 59.6052832259707,25.65405975229 59.6010183891844,25.6570461343834 59.5963687220077,25.6581852464599 59.5915130310777)))', 'EEKRI', 'Kari I', 'Y'),('SRID=4326;MULTIPOLYGON(((27.526362377541 59.0078125553047,27.5253589528085 59.0029493769574,27.5225363456021 58.9982805845975,27.5180036644898 58.9939854830967,27.5119355168804 58.9902289628871,27.5045652354863 58.9871551888822,27.4961758908666 58.9848820901122,27.4870894384811 58.983496857307,27.4776544134267 58.9830526169779,27.4682326355089 58.9835664060634,27.4591854205493 58.9850185225137,27.4508598102906 58.9873532759698,27.4435753326578 58.9904811106643,27.4376117864884 58.9942820215699,27.4331985104221 58.9986101363622,27.4305055450291 59.0032992916249,27.4296370314474 59.0081693935007,27.4306271102812 59.0130333221468,27.4334384933533 59.0177041171819,27.4379637808672 59.0220021688459,27.4440294910238 59.0257621375718,27.4514026621948 59.0288393334409,27.4597997838821 59.0311153064749,27.4688977166395 59.0325024283627,27.4783461775856 59.0329472849966,27.4877813014188 59.032432745611,27.4968397405192 59.0309786264825,27.5051727443688 59.0286409228602,27.5124596594373 59.0255096396483,27.5184203158132 59.0217053068799,27.5228258148053 59.0173743178265,27.5255072998341 59.0126832734841,27.526362377541 59.0078125553047)))', 'EEKRJ', 'Karjamaa', 'Y'),('SRID=4326;MULTIPOLYGON(((25.1580248927697 59.4897000120495,25.1573479628846 59.4848224609343,25.1548137098659 59.4801057675783,25.1505202185518 59.4757310919306,25.1446329734807 59.4718663903705,25.1373784254363 59.4686599856027,25.1290352578255 59.4662348964502,25.1199236931705 59.4646841409271,25.1103932481422 59.464067188453,25.1008093984162 59.464407693483,25.0915396511697 59.4656925947785,25.082939542661 59.4678726136766,25.075339080732 59.470864132765,25.0690301372504 59.4745523850426,25.0642552636792 59.4787958346702,25.061198354663 59.4834315854574,25.0599775206602 59.488281613895,25.0606404526048 59.4931595913064,25.0631624713161 59.4978780358835,25.0674473545164 59.5022555210701,25.0733309281757 59.5061236627609,25.080587300453 59.5093336145228,25.0889375102226 59.5117618175349,25.0980602628597 59.5133147797255,25.1076043384231 59.5139326957294,25.1172021861085 59.5135917644023,25.1264841676719 59.5123051118829,25.1350928842893 59.5101222834426,25.1426970176133 59.5071273242218,25.1490041368433 59.503435524951,25.153771968246 59.4991889614668,25.1568176892853 59.4945510040152,25.1580248927697 59.4897000120495)))', 'EEKRK', 'Kari, Kostiranna k', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5422134856555 59.612556687803,25.5414787184173 59.6076810431451,25.5388816354615 59.6029716897058,25.5345227365252 59.5986095021193,25.5285700151399 59.594761954146,25.5212524294598 59.5915767075258,25.5128510736314 59.5891759674382,25.5036883934297 59.5876518169257,25.4941158578089 59.5870627049233,25.4845005505609 59.5874312188121,25.4752111824392 59.5887432242686,25.4666040432922 59.5909484042744,25.4590094156729 59.593962177202,25.4527189560403 59.5976689226179,25.4479745172747 59.6019263945602,25.4449588373291 59.60657115723,25.443788454353 59.6114248388712,25.4445091299341 59.6163009675967,25.4470939712075 59.6210121293562,25.4514443421192 59.6253771742157,25.4573935474536 59.6292281934218,25.4647131643471 59.6324169967711,25.4731217894232 59.6348208376041,25.4822958702322 59.6363471608173,25.4918822021793 59.636937186701,25.5015116011035 59.6365681887437,25.5108132109169 59.6352543749641,25.5194288780827 59.633046337682,25.5270270217356 59.63002909352,25.5333154501359 59.6263187913761,25.5380526196444 59.6220582186914,25.5410568989884 59.617411283324,25.5422134856555 59.612556687803)))', 'EEKRL', 'Kari, Leesi k', 'Y'),('SRID=4326;MULTIPOLYGON(((25.1190426555244 59.5027147241983,25.1183711296835 59.4978370078705,25.1158413883394 59.4931195907043,25.111551344131 59.4887436606888,25.105666350444 59.4848772225183,25.0984127727958 59.4816686656149,25.0900692583001 59.4792410913597,25.0809560434022 59.4776876130164,25.0714227082883 59.4770678043224,25.0618348392852 59.4774054291595,25.0525600971689 59.4786875366696,25.0439542089706 59.4808649553288,25.0363474033271 59.4838541675392,25.0300317946372 59.4875404949702,25.0252501895016 59.4917824758995,25.0221867406566 59.4964172708295,25.02095980978 59.5012668933024,25.0216173225146 59.5061450305799,25.0241348087972 59.510864195015,25.0284162217086 59.5152429326135,25.0342975219011 59.5191128112526,25.0415529061619 59.5223249177306,25.049903452341 59.5247556102756,25.0590278534852 59.5263113008918,25.0685748264025 59.5269320790426,25.0781767085305 59.526594033255,25.0874637057181 59.5253101784731,25.0960782252083 59.5231299522276,25.1036887243294 59.5201372995469,25.1100025263879 59.5164474225421,25.1147770998305 59.512202323326,25.1178293624343 59.5075653161264,25.1190426555244 59.5027147241983)))', 'EEKRM', 'Karineeme', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1846511911478 58.4975690329385,22.1835718503357 58.4927109768449,22.1807035886927 58.4880564568837,22.1761572373928 58.483784227406,22.1701079001003 58.4800583004173,22.1627881647738 58.4770216681725,22.1544791481439 58.4747908374155,22.145499719567 58.4734513808511,22.1361943142208 58.4730546724485,22.1269197937649 58.4736159284325,22.1180318446878 58.4751136269393,22.1098714200413 58.4774903279751,22.1027517288612 58.4806548632411,22.0969462593103 58.4844858143255,22.0926782867385 58.488836149437,22.0901122670589 58.4935388449313,22.0893474500955 58.4984132799796,22.090413968391 58.5032721622846,22.0932715664841 58.5079287210588,22.0978110366284 58.5122038915608,22.1038583227549 58.5159332140417,22.1111811491799 58.5189731793136,22.1194979285843 58.5212067732094,22.1284886098009 58.5225480023606,22.1378070445379 58.5229452229372,22.1470943875255 58.5223831407405,22.1559930001578 58.5208834034178,22.1641603059522 58.5185037613549,22.1712820482821 58.5153358305958,22.1770844267193 58.5115015464856,22.1813446365113 58.5071484482383,22.1838994035589 58.5024439801599,22.1846511911478 58.4975690329385)))', 'EEKRN', 'Kaandaranna', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5518374397337 58.6610601116611,23.5505632337736 58.6562157456418,23.5475005314182 58.651593936731,23.5427676205399 58.6473721727365,23.5365467468274 58.643712519714,23.5290770552955 58.6407554203428,23.5206453880985 58.6386143265514,23.511575294022 58.6373713681409,23.5022146669998 58.6370742195382,23.492922477716 58.6377342816183,23.4840550928911 58.6393262463601,23.4759526906915 58.6417890606491,23.4689262776011 58.6450282535124,23.4632457920831 58.6489195402257,23.4591297437564 58.6533135687783,23.4567367842448 58.6580416307973,23.4561595383928 58.66292212181,23.4574209437558 58.6677675060994,23.4604732543379 58.6723915206641,23.4651997643191 58.6766163419062,23.4714192024914 58.6802794383323,23.4788926423915 58.6832398430363,23.4873326712132 58.6853836008822,23.4964144671904 58.6866281764905,23.5057883548788 58.6869256492295,23.5150933447745 58.6862645688777,23.5239711213766 58.684670398479,23.532079924464 58.6822045269398,23.5391077730777 58.6789618906722,23.5447845102127 58.6750672986277,23.5488921969106 58.6706706060236,23.5512734545308 58.6659409268095,23.5518374397337 58.6610601116611)))', 'EEKRO', 'Kukeranna', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7946789343315 59.2699635367633,23.7933453370454 59.2651224529229,23.7901932411667 59.2605075158631,23.7853443907632 59.2562959448075,23.7789854965319 59.2526494089802,23.7713610042902 59.2497078420107,23.7627636895896 59.2475840948753,23.753523441554 59.2463596282286,23.7439946616008 59.2460814052548,23.734542749733 59.2467601009133,23.7255301817113 59.2483696942823,23.7173026940971 59.2508484592746,23.7101760906956 59.2541013170552,23.7044241633317 59.2580034627313,23.7002681824853 59.2624051310526,23.6978683597169 59.2671373225979,23.6973176150943 59.2720182748328,23.6986379005555 59.2768604329415,23.7017792365278 59.2814776547268,23.7066215170405 59.2856923731371,23.7129790316054 59.2893424397925,23.7206075444506 59.2922873835272,23.7292136679277 59.2944138392827,23.7384661718572 59.2956399340405,23.7480087889709 59.2959184567512,23.7574740126792 59.2952386868225,23.7664973406114 59.2936268087249,23.774731398106 59.2911448963752,23.7818593811555 59.2878885077658,23.7876072879 59.2839829853262,23.791754459966 59.2795786083881,23.7941420268508 59.2748447887343,23.7946789343315 59.2699635367633)))', 'EEKRP', 'Kruusi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.2487817511073 59.3430391968793,24.2482378838552 59.338158114225,24.2458408548095 59.3334249944889,24.2416834808133 59.3290216359863,24.2359260305855 59.325117102923,24.2287899894012 59.3218612518731,24.2205495128771 59.319379002148,24.2115209034598 59.3177655657912,24.2020505121193 59.3170828158769,24.1925015214921 59.31735692855,24.183240104258 59.318577386432,24.1746214712254 59.3206973802801,24.1669763271465 59.323635593842,24.1605982386436 59.3272793054305,24.1557323880382 59.3314886905604,24.1525661398333 59.3361021647196,24.1512217840054 59.3409425656017,24.1517517434526 59.345823941385,24.1541364438395 59.3505586872413,24.1582849452473 59.3549647572938,24.1640383297291 59.3588726745287,24.1711757309861 59.3621320671625,24.1794227863471 59.36461747671,24.1884621917993 59.3662332100725,24.1979459527735 59.3669170444769,24.2075088512242 59.3666426386743,24.2167825971276 59.3654205546693,24.2254101027446 59.363297849268,24.2330593125537 59.3603562515329,24.2394360409652 59.356708998361,24.2442953127233 59.3524964534115,24.2474507648972 59.3478806822498,24.2487817511073 59.3430391968793)))', 'EEKRS', 'Kersalu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1381620847907 58.1293274452991,26.1373735173772 58.1244540448609,26.1348035060308 58.1197556368552,26.130551435219 58.1154126772931,26.1247811342129 58.1115919076058,26.1177145168736 58.1084399706344,26.1096230288581 58.1060778036968,26.1008172346069 58.10459601988,26.0916349414134 58.1040514506787,26.0824283080016 58.1044649790857,26.0735504193305 58.1058207438216,26.0653418271885 58.1080667442661,26.0581175572477 58.1111168235386,26.0521550676043 58.1148539558277,26.0476836117009 58.119134715216,26.0448754104852 58.1237947585691,26.0438389756746 58.1286551161715,26.0446148494978 58.133529052168,26.0471739382885 58.1382292338094,26.051418520438 58.142574935065,26.0571859067572 58.1463989971062,26.0642546271229 58.1495542758612,26.0723529157146 58.1519193252557,26.0811691727674 58.1534030933742,26.09036399812 58.1539484466293,26.0995833251375 58.153534382663,26.1084721363713 58.1521768442889,26.1166882171703 58.1499281021482,26.1239154017833 58.1468747305205,26.129875788385 58.1431342564487,26.1343404437051 58.138850614606,26.1371381821246 58.1341885869541,26.1381620847907 58.1293274452991)))', 'EEKRT', 'Koruste', 'Y'),('SRID=4326;MULTIPOLYGON(((26.6797337908923 58.5521278435426,26.6788611238268 58.5472581294775,26.6761883280119 58.5425709376248,26.6718187479771 58.5382462875897,26.6659207292206 58.5344502120709,26.6587210843885 58.5313284008624,26.6504963536525 58.5290006311622,26.6415621986045 58.527556193811,26.6322613339831 58.5270504868001,26.6229504515124 58.5275029031916,26.6139866240897 58.5288960920702,26.6057136959017 58.5311766199909,26.5984491645016 58.5342570083073,26.5924720444417 58.538019070521,26.5880121689889 58.5423184250915,26.5852413373382 58.5469900146799,26.5842666505522 58.551854424169,26.585126301646 58.5567247584759,26.5877879958437 58.5614138184492,26.5921500787346 58.5657413000799,26.5980453461944 58.5695407395851,26.6052474044401 58.5726659350346,26.6134793458833 58.5749965940102,26.6224244111688 58.5764429858047,26.6317382245718 58.5769494148797,26.6410621230303 58.5764963782453,26.6500370520773 58.5751013212433,26.6583174774029 58.5728179617242,26.6655847600841 58.5697342094202,26.6715594667142 58.5659687629665,26.6760121314528 58.5616665191233,26.6787720528723 58.5569929750946,26.6797337908923 58.5521278435426)))', 'EEKRV', 'Kraaviotsa', 'Y'),('SRID=4326;MULTIPOLYGON(((21.9675815455164 58.4436498004052,21.9665338466237 58.4387898047014,21.9636986710578 58.4341303170556,21.9591855796765 58.4298502843725,21.9531684014478 58.4261140197922,21.9458784937108 58.4230649135213,21.9375958331489 58.4208199516757,21.9286382825115 58.4194652493316,21.9193494415465 58.4190527650881,21.9100855389578 58.4195983197834,21.9012018545305 58.4210809931648,21.8930391762914 58.4234439209982,21.8859107964433 58.4265964630168,21.8800905318316 58.4304176610142,21.8758022201644 58.4347608579964,21.8732110927198 58.4394593053079,21.8724173588481 58.4443325466299,21.8734522587208 58.4491933371841,21.8762767505984 58.4538548346348,21.8807829001167 58.4581377861035,21.8867979351449 58.461877434092,21.8940908246304 58.4649298733005,21.9023811379488 58.4671776102035,21.9113498472891 58.4685341072468,21.9206516540904 58.4689471326039,21.9299283557143 58.4684007830569,21.9388227238354 58.4669160998677,21.9469923439301 58.464550253246,21.9541228669626 58.4613943278183,21.9599401498107 58.4575697968846,21.9642208087159 58.4532238248478,21.966800777465 58.4485235828399,21.9675815455164 58.4436498004052)))', 'EEKRY', 'Kõruse', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7852946001676 58.2413478023921,22.7841415060082 58.2364951214291,22.7812160513802 58.2318542637123,22.7766312456319 58.2276034558671,22.7705636500903 58.2239058858848,22.7632465369036 58.2209034575026,22.7549609098741 58.2187113660865,22.7460247344922 58.2174137000335,22.7367807866228 58.2170602324443,22.7275835764926 58.2176645228574,22.7187858358312 58.2192033998068,22.7107250706939 58.2216178435376,22.7037106803668 58.2248152361289,22.6980121238634 58.2286728952704,22.693848580162 58.2330427597488,22.6913804971372 58.2377570509961,22.6907033581481 58.2426346974409,22.6918439160067 58.2474882783251,22.6947590536967 58.2521312223886,22.6993373325287 58.2563849853793,22.7054031848414 58.2600859294124,22.7127236038809 58.2630916370821,22.7210170825618 58.2652864137805,22.7299644600522 58.2665857622998,22.7392212550656 58.2669396533988,22.7484310015109 58.266334463063,22.757239059115 58.264793499764,22.7653063511606 58.2623761008851,22.7723224847006 58.2591753342423,22.7780177353367 58.2553143958146,22.7821734273821 58.2509418460569,22.7846303083066 58.2462258723458,22.7852946001676 58.2413478023921)))', 'EEKSA', 'Kärsa', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((26.1061537509157 58.1233392583266,26.1053696793545 58.1184656679813,26.1028043091012 58.113766623561,26.0985568464598 58.1094226057732,26.0927909441165 58.1056003968998,26.085728347635 58.1024466951896,26.0776403490171 58.1000825057809,26.0688373794639 58.0985985193867,26.0596571384358 58.0980516519654,26.0504517062655 58.0984628745922,26.0415741219025 58.0998164143403,26.0333649252532 58.1020603558555,26.0261391647196 58.1051086211966,26.0201743549424 58.1088442541593,26.0156998376616 58.1131238864413,26.0128879506142 58.1177832183179,26.0118473464399 58.122643307595,26.0126187271181 58.1275174289663,26.0151731714948 58.1322182428164,26.0194131366301 58.1365649990589,26.0251761112662 58.1403904985075,26.0322407955597 58.1435475419536,26.0403355796615 58.1459146155095,26.0491489993436 58.1474005893765,26.0583417642071 58.1479482450209,26.0675598872759 58.1475364913673,26.0764483975227 58.1461811821867,26.0846650916728 58.143934502214,26.0918937798989 58.1408829462963,26.0978565018488 58.1371439715988,26.1023242336385 58.1328614551721,26.1051256705623 58.1282001358256,26.1061537509157 58.1233392583266)))', 'EEKSI', 'Kaasiku', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8980235862532 58.7813022596886,22.8968355094345 58.7764511770498,22.8938484397888 58.7718136114132,22.8891777744292 58.7675676596886,22.8830033853582 58.7638763192334,22.8755626494028 58.7608812501706,22.867141311218 58.7586973612733,22.8580625326436 58.7574084229546,22.84867454458 58.7570638715781,22.839337365153 58.7576769243356,22.8304090793597 58.7592240749152,22.8222321900623 58.7616459887988,22.815120547902 58.7648497649977,22.8093473484436 58.7687124801,22.8051346489488 58.7730858823815,22.8026448052196 58.7778020600994,22.8019741620046 58.7826798705375,22.8031492500473 58.787531886349,22.8061256511438 58.7921715945365,22.8107895923701 58.7964205720071,22.8169622254138 58.8001153607613,22.8244064407909 58.8031137757043,22.8328359641393 58.8053003986824,22.8419263875032 58.8065910430432,22.8513277071669 58.8069360126929,22.8606778753853 58.8063220267611,22.8696168297324 58.8047727336275,22.8778004431544 58.8023477939953,22.8849138413249 58.7991405694965,22.8906835613462 58.7952745085156,22.8948880756727 58.7908983721562,22.8973662746211 58.7861804883989,22.8980235862532 58.7813022596886)))', 'EEKSK', 'Kassari kalasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2153873709609 59.0491819494491,23.2141446540169 59.0443343505518,23.2110911000158 59.0397047583474,23.2063446668677 59.0354709600246,23.20008813776 59.031795482801,23.1925620393061 59.0288193747774,23.1840553845447 59.0266568147071,23.1748945985277 59.0253907532453,23.1654310471384 59.0250697487775,23.1560276372868 59.0257061158595,23.1470449878264 59.0272754552304,23.1388276848947 59.0297175829691,23.1316911326642 59.0329388243713,23.125909490721 59.0368155872607,23.1217051527734 59.0411990814327,23.1192401687478 59.0459210074334,23.1186099446033 59.050800000485,23.1198394729393 59.0556485855374,23.1228822548554 59.0602803784236,23.1276219723928 59.0645172569217,23.1338768647571 59.0681962248859,23.141406654518 59.071175702782,23.1499217666723 59.0733409988237,23.1590944886076 59.0746087458283,23.1685716373032 59.0749301288012,23.1779882357786 59.0742927755625,23.1869816573285 59.0727212355067,23.1952056758615 59.0702760275899,23.2023438648176 59.0670512954464,23.208121815438 59.0631711626862,23.2123176959882 59.0587849325459,23.2147707441049 59.054061321005,23.2153873709609 59.0491819494491)))', 'EEKSL', 'Kersleti', 'Y'),('SRID=4326;MULTIPOLYGON(((25.9732098622556 59.6043948233908,25.9724128247901 59.5995214882963,25.9697560331161 59.5948205727701,25.9653422747498 59.5904726241727,25.9593416412379 59.5866445670191,25.9519849199151 59.5834833132506,25.9435546968113 59.5811101466257,25.9343745167876 59.5796160924594,25.924796514406 59.5790584460107,25.9151879810536 59.5794585889295,25.9059173694657 59.5808011749139,25.8973402554262 59.5830347147632,25.8897857777978 59.5860735390527,25.8835440621362 59.5898010654273,25.8788551002101 59.5940742487251,25.8758995083373 59.5987290474712,25.8747915224717 59.6035867013202,25.8755745088537 59.6084605822583,25.8782191777784 59.6131633590989,25.8826245873064 59.617514201114,25.8886219169275 59.6213457432925,25.8959808822978 59.6245105431301,25.904418555756 59.6268867770113,25.9136102581937 59.6283829526582,25.9232021008647 59.6289414518351,25.9328246853193 59.6285407630716,25.9421074196653 59.6271963157698,25.9506928825369 59.6249598824997,25.9582506640386 59.6219175731838,25.9644901356338 59.6181865007411,25.9691716471967 59.6139102501901,25.9721157166617 59.6092533299666,25.9732098622556 59.6043948233908)))', 'EEKSM', 'Käsmu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9573653298167 58.323913238202,23.9560491910591 58.319073090614,23.9529643141431 58.3144609747689,23.9482298190777 58.3102540050594,23.9420279948857 58.3066136797157,23.9345972421093 58.303679700892,23.9262229011107 58.3015646354114,23.9172263200903 58.3003496168853,23.9079525777971 58.3000812501337,23.8987573218159 58.3007698334869,23.8899932131557 58.3023889652777,23.8819964811297 58.3048765493048,23.8750740889442 58.3081371620123,23.8694919900735 58.3120456933078,23.8654649186766 58.3164521250816,23.8631481046935 58.3211872682448,23.8626312369014 58.3260692420829,23.8639349167232 58.3309104503548,23.8670097541447 58.3355247881178,23.8717381575781 58.3397348027129,23.8779387653983 58.3433785323544,23.8853733622484 58.3463157566146,23.8937560225437 58.3484334145819,23.9027641315471 58.3496499779615,23.9120508554766 58.349918606743,23.9212585704076 58.3492289627043,23.9300327185656 58.3476076089928,23.9380355422144 58.3451169800776,23.9449591507553 58.3418529630718,23.9505374055384 58.3379411863414,23.9545561576353 58.3335321620838,23.9568614436446 58.3287954740696,23.9573653298167 58.323913238202)))', 'EEKSN', 'Kastna', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6842975224946 58.9970075201032,23.6829910857344 58.9921649354635,23.6798797395193 58.9875468630136,23.675083652476 58.983330644515,23.6687875033569 58.9796781301134,23.6612333282607 58.9767294854375,23.6527112076105 58.9745978352838,23.6435481524783 58.9733649451486,23.6340956121442 58.9730781021921,23.6247160716616 58.9737483119948,23.6157692387891 58.9753498782921,23.6075983334062 58.9778213814338,23.6005169892297 58.9810680193343,23.5947972573231 58.9849652238801,23.5906591638462 58.9893634178714,23.588262221367 58.9940937342616,23.5876992249066 58.9989744823028,23.5889925822894 59.0038181156609,23.592093335518 59.0084384368948,23.5968829286511 59.0126577618868,23.6031776715774 59.0163137675562,23.610735742282 59.0192657567607,23.6192664672743 59.0214000955291,23.6284415255497 59.0226346090474,23.6379076404566 59.0229217630094,23.6473002603319 59.0222505044865,23.6562576861948 59.0206466894021,23.6644350854781 59.0181720797643,23.6715178358297 59.0149219505953,23.6772336721125 59.0110214015227,23.6813631612434 59.0066205189198,23.6837481005891 59.0018885791491,23.6842975224946 58.9970075201032)))', 'EEKSO', 'Keskuse', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1070454929885 58.0425996704702,22.1059912102774 58.0377405421656,22.1031702914745 58.0330838093998,22.0986917313469 58.0288083140688,22.0927280183398 58.02507819693,22.0855084483976 58.0220366147554,22.0773102961735 58.0198002677177,22.0684481854283 58.0184549429432,22.0592620631223 58.018052241206,22.0501042294837 58.0186076090072,22.0413259082281 58.020099749389,22.0332638565431 58.022471433458,22.0262275131613 58.0256316824757,22.0204871648533 58.0294592392582,22.0162635772619 58.0338071992428,22.0137194857991 58.0385086276144,22.0129532773541 58.0433829509329,22.0139951153373 58.0482428812279,22.0168056712101 58.0529016088085,22.0212775278663 58.0571799880866,22.0272392174051 58.0609134392504,22.0344617519403 58.0639582979533,22.0426674054892 58.0661973652004,22.0515404122836 58.0675444397377,22.0607391665367 58.067947654405,22.0699094449177 58.0673914846119,22.0786981291085 58.0658973494126,22.0867668842577 58.063522781394,22.0938052510923 58.0603591983503,22.099542634793 58.0565283650408,22.1037587210545 58.0521776848495,22.1062919164754 58.0474745067177,22.1070454929885 58.0425996704702)))', 'EEKSP', 'Kaunispe', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0733276371173 59.698733366663,25.0726593920986 59.6938555691568,25.070121859727 59.6891373603257,25.0658132622579 59.6847599580967,25.0598996738186 59.6808914226922,25.0526085629221 59.6776802226779,25.0442200189238 59.6752495593744,25.0350560043579 59.6736926631875,25.0254680436799 59.6730692379359,25.0158238121542 59.6734031857145,25.0064931254469 59.6746816968151,24.9978338503032 59.6768557384008,24.9901782592172 59.6798419236949,24.9838203372264 59.6835256921374,24.979004517098 59.6877656819806,24.975916270762 59.692399131815,24.9746749207675 59.697248108145,24.9753289571814 59.7021263238388,24.9778540546612 59.7068462883978,24.9821538840489 59.7112265166021,24.9880637060791 59.7150985180009,24.9953566256442 59.7183132963625,25.0037522780397 59.7207471055952,25.0129276185444 59.7223062363535,25.0225293984303 59.7229306446246,25.03218783858 59.7225962786576,25.041530960189 59.7213160118261,25.0501990034091 59.7191391442618,25.0578583608869 59.7161494929718,25.0642144741898 59.7124621461828,25.069023185911 59.7082190104133,25.0721001063133 59.7035833260108,25.0733276371173 59.698733366663)))', 'EEKSR', 'Keri saar', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0444512806686 58.3476216407451,22.0433960140141 58.3427622266223,22.0405585671256 58.3381043786371,22.0360485830544 58.3338269806089,22.030039767102 58.3300942447262,22.0227631524788 58.3270494262114,22.0144982041525 58.3248093472568,22.0055621053645 58.3234599362447,21.9962976344976 58.3230529493412,21.9870600881404 58.3236039968523,21.9782037383627 58.3250919478752,21.9700683278227 58.327459735436,21.9629661051026 58.3306165322181,21.957169884633 58.3344412158876,21.9529025810106 58.3387869946468,21.9503286170423 58.3434870196694,21.9495475394876 58.3483607730939,21.950590097726 58.3532209897309,21.9534169505565 58.3578808488617,21.957920067776 58.3621611604888,21.9639267895004 58.3658972688553,21.9712064013501 58.3689454053089,21.97947898206 58.371188242531,21.9884261864288 58.3725394322173,21.9977035453478 58.3729469474141,22.0069538001361 58.3723950973875,22.0158207439772 58.3709051352162,22.0239630213615 58.3685344340538,22.0310673382936 58.365374264787,22.0368605615217 58.36154626318,22.0411202327551 58.3571977261562,22.0436830911501 58.352495922462,22.0444512806686 58.3476216407451)))', 'EEKSS', 'Kiirassaare', 'Y'),('SRID=4326;MULTIPOLYGON(((22.6783105767873 58.251387336319,22.6771717312144 58.2465336288632,22.6742593577547 58.2418902658901,22.6696859651374 58.2376355709337,22.6636276787472 58.23393288173,22.6563174158159 58.2309242987874,22.648035919465 58.2287252537006,22.6391009983672 58.22742010152,22.629855381169 58.2270589022627,22.6206536421426 58.2276555117385,22.611848685883 58.2291870528514,22.6037782936658 58.2315947871246,22.5967522320894 58.2347863541106,22.5910404058581 58.2386392953291,22.5868625013213 58.2430057311588,22.5843795162994 58.2477180153642,22.5836875058321 58.2525951542747,22.5848137943308 58.2574497474905,22.5877158143172 58.2620951856549,22.5922826332837 58.2663528293054,22.598339126626 58.2700588917945,22.6056526500909 58.2730707590622,22.6139419641736 58.2752724995043,22.6228880700234 58.2765793477267,22.6321465362152 58.2769409855047,22.6413608323303 58.2763434902674,22.6501761420678 58.2748098739604,22.6582531079278 58.2723991909905,22.6652809625363 58.2692042507182,22.6709895282195 58.2653480251761,22.6751596150198 58.2609788939939,22.6776314152976 58.2562649137493,22.6783105767873 58.251387336319)))', 'EEKST', 'Kasti', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1442442600282 58.1913254267811,26.1434535665296 58.1864521054029,26.1408783560011 58.1817538516599,26.1366182152054 58.1774111153449,26.1308372851729 58.1735906289012,26.1237578887592 58.1704390238196,26.1156519620554 58.1680772242128,26.1068306226295 58.1665958286828,26.0976322726047 58.166051653573,26.0884096847669 58.1664655666749,26.0795165542256 58.1678216920509,26.0712940160102 58.1700680155097,26.0640576300903 58.1731183681648,26.0580853196329 58.1768557141638,26.0536067161349 58.1811366198282,26.0507943169572 58.1857967367719,26.0497567977039 58.1906570926831,26.0505347452774 58.1955309518298,26.0530989892992 58.2002309842914,26.0573516125561 58.2045764694817,26.0631296184962 58.2084002564667,26.0702111294335 58.2115552112784,26.0783238873633 58.213919899838,26.087155734727 58.2154032837258,26.0963666696619 58.2159482438884,26.1056020034402 58.2155337930171,26.1145061004956 58.21417588892,26.1227361562443 58.211926816583,26.1299754662419 58.2088731633853,26.1359456621601 58.2051324676571,26.1404174344248 58.2008486730427,26.1432193256701 58.196186567744,26.1442442600282 58.1913254267811)))', 'EEKSU', 'Kasesalu', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1246991419823 58.5259625450181,27.123765474115 58.5210959218424,27.1210353800398 58.5164180506521,27.1166143985724 58.512108590003,27.1106728399849 58.5083329870495,27.1034391782874 58.5052361443252,27.0951912495595 58.5029368803824,27.0862455977648 58.5015233927359,27.0769453739489 58.5010498930631,27.0676472441449 58.5015345402466,27.0587077947095 58.50295874822,27.0504699406003 58.5052678943553,27.0432498420114 58.5083734020565,27.0373248178047 58.5121561200234,27.0329227105937 58.5164708720578,27.0302131087293 58.5211520069767,27.029300765806 58.5260197397763,27.030221480107 58.5308870441239,27.0329406067139 58.5355668338378,27.0373542765073 58.5398791582852,27.0432932923525 58.5436581343249,27.0505295673523 58.5467583459018,27.0587848675791 58.549060461586,27.0677415268266 58.5504758497103,27.077054718263 58.5509500092663,27.0863658016491 58.5504646809098,27.0953162185592 58.5490385544099,27.1035613843358 58.5467265444735,27.1107840256511 58.5436176636849,27.1167064365397 58.5398315768666,27.1211011722454 58.5355139730937,27.1237997666636 58.5308309376997,27.1246991419823 58.5259625450181)))', 'EEKSV', 'Koosa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4282828794679 58.2264800261155,22.427178998998 58.2216239427559,22.4243012949031 58.2169747350738,22.4197609465114 58.2127109529164,22.4137328143126 58.2089962844125,22.4064486629997 58.2059732908995,22.3981882388501 58.2037579574571,22.3892685466921 58.2024352640529,22.3800317343165 58.2020559431962,22.3708320397868 58.2026345451645,22.3620222887293 58.204148882911,22.3539404437857 58.2065408773701,22.3468967067243 58.2097187717858,22.3411616552498 58.2135606326301,22.3369558616286 58.2179190063935,22.3344413894746 58.2226265576921,22.3337154994484 58.2275024763447,22.3348068157521 58.2323594107831,22.3376741152529 58.2370106636535,22.3422078026266 58.241277373748,22.3482340314651 58.2449954071863,22.3555213268479 58.2480216903507,22.3637894638447 58.2502397373413,22.3727202634172 58.251564155077,22.3819698867697 58.251943948534,22.3911821454803 58.2513644954854,22.4000023011368 58.2498481125478,22.4080908070906 58.2474531901491,22.4151364474965 58.244271930798,22.4208683548866 58.2404267803038,22.4250664356557 58.236065692995,22.427569800403 58.2313564173675,22.4282828794679 58.2264800261155)))', 'EEKSY', 'Kuuse, Nasva k', 'Y'),('SRID=4326;MULTIPOLYGON(((26.7631022538612 59.5250981068563,26.7621930308492 59.5202296720351,26.7594325498194 59.5155448640523,26.7549275671626 59.5112236061123,26.7488516591535 59.5074317938148,26.7414384829845 59.5043149454524,26.7329727728634 59.5019926400754,26.723779420834 59.5005539524716,26.7142110583826 59.5000540558972,26.7046346058688 59.5005121192042,26.6954172913909 59.5019105765479,26.6869126583049 59.5041957967786,26.6794470809734 59.5072801276472,26.6733072914488 59.5110452388059,26.6687293859306 59.515346638984,26.6658897295535 59.5200191983172,26.6648981123058 59.5248834682283,26.6657934290998 59.5297525599428,26.6685420652578 59.5344393199964,26.6730390676618 59.5387635280001,26.6791120749595 59.5425588392345,26.6865278715695 59.5456792027258,26.6950013243497 59.5480045042772,26.7042063625083 59.5494452129594,26.7137885754499 59.549945847825,26.7233789341999 59.5494871276235,26.7326080935574 59.5480867182061,26.7411207068892 59.5457985479085,26.7485891849141 59.5427107181018,26.7547263539795 59.5389420918153,26.7592965168308 59.534637695466,26.7621244870859 59.5299631150574,26.7631022538612 59.5250981068563)))', 'EEKTA', 'Kivikari talu lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0631224102927 58.1430945420482,24.0626176000719 58.1382122600195,24.0603218360594 58.1334758465063,24.056323991026 58.1290672322283,24.0507781675106 58.1251556915982,24.043897704844 58.121891359869,24.0359469479626 58.1193994913657,24.0272310992138 58.1177756752254,24.0180845414955 58.1170821880739,24.0088580735599 58.1173456198517,23.9999055350639 58.1185558611421,23.9915703193015 58.1206664895308,23.9841722751868 58.1235965404734,23.9779954869322 58.1272335965978,23.9732773902096 58.1314380800685,23.9701996379463 58.1360485872645,23.9688810681701 58.1408880651989,23.9693730518646 58.1457705963153,23.9716574125075 58.1505085338678,23.9756470133857 58.1549197151158,23.9811890070588 58.1588344748495,23.9880706372577 58.162102187737,23.9960273813033 58.1645970847022,24.0047531253586 58.1662231155519,24.0139119800546 58.1669176664901,24.0231512745325 58.1666539856239,24.0321152164072 58.1654422202919,24.0404586763218 58.1633290249302,24.0478605502652 58.1603957548823,24.0540361709715 58.1567553176002,24.0587482805207 58.15254780567,24.0618161374806 58.1479350837676,24.0631224102927 58.1430945420482)))', 'EEKTD', 'Kalurite sadam', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1442416062856 58.1893254203289,26.1434509550231 58.1844520975294,26.1408758869995 58.1797538426446,26.1366159834181 58.1754111055193,26.1308353761361 58.1715906186402,26.1237563755841 58.1684390135295,26.1156509026569 58.1660772143158,26.1068300575361 58.164595819599,26.0976322234291 58.1640516456996,26.0884101533912 58.164465560366,26.0795175227297 58.1658216875979,26.0712954473475 58.1680680131249,26.064059469485 58.1711183679686,26.05808749665 58.1748557161777,26.0536091473489 58.179136623974,26.0507969091222 58.1837967428768,26.0497594513085 58.1886571004902,26.0505373583535 58.1935309610135,26.0531014613388 58.1982309944755,26.0573538483875 58.2025764802598,26.0631315319674 58.2064002674217,26.0702126467583 58.2095552220013,26.0783249499951 58.2119199099434,26.0871563016448 58.2134032928651,26.0963667189754 58.2139482517587,26.1056015332465 58.2135337993676,26.1145051289534 58.2121758935558,26.1227347208629 58.2099268193671,26.1299736224127 58.2068731642393,26.1359434809933 58.2031324665623,26.1404149999776 58.1988486700401,26.1432167316808 58.1941865629353,26.1442416062856 58.1893254203289)))', 'EEKTI', 'Kalmetimäe', 'Y'),('SRID=4326;MULTIPOLYGON(((26.7870950690113 59.5200890979153,26.786182521514 59.5152208243753,26.783419121217 59.5105365174318,26.7789117360882 59.5062160808917,26.7728340340078 59.5024253787113,26.7654197403901 59.4993098865217,26.7569536317697 59.4969891313333,26.7477606150891 59.4955521285034,26.7381933087954 59.4950539867296,26.7286185927946 59.4955138076295,26.7194036288521 59.4969139580019,26.7109018705995 59.4992007417783,26.7034395826401 59.5022864467011,26.6973033713409 59.5060526896195,26.6927291960104 59.5103549356933,26.6898932788527 59.515028022409,26.6889052663154 59.519892480736,26.6898039146517 59.5247614144567,26.6925554807548 59.5294476759911,26.6970548983037 59.5337710639644,26.7031297124116 59.537565265092,26.7105466373357 59.5406842710599,26.7190204959528 59.5430080199168,26.7282252014554 59.5444470405456,26.7378063558776 59.5449459170567,26.7473949710574 59.544485435975,26.7566217692017 59.5430833310085,26.765131495027 59.5407935957959,26.772596670941 59.5377043919246,26.7787302509156 59.533934635229,26.7832966762417 59.5296293954898,26.7861209045845 59.5249542909782,26.7870950690113 59.5200890979153)))', 'EEKTL', 'Kaasiku talu lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1032568830378 58.2026004258895,22.1021981195522 58.1977414008716,22.0993647767101 58.1930847401959,22.0948663331184 58.1888092823134,22.0888760455079 58.1850791655391,22.081624232399 58.1820375454518,22.0733894058158 58.179801122506,22.0644875943961 58.1784556857517,22.0552602641793 58.1780528396053,22.0460612912981 58.1786080358897,22.0372434728044 58.1800999844774,22.0291450773471 58.1824714645157,22.022076936132 58.1856315061071,22.0163105565412 58.1894588612164,22.0120677062697 58.1938066342082,22.0095118654613 58.1985078984503,22.0087418791198 58.2033820874755,22.009788063547 58.2082419187065,22.0126109308251 58.2129005860219,22.0171025971557 58.2171789454787,22.0230908375862 58.2209124170242,22.0303456452641 58.2239573343459,22.0385880522726 58.2261964950154,22.0475008759239 58.2275436931883,22.0567409736647 58.2279470562874,22.065952525619 58.2273910537887,22.074780819682 58.2258970985585,22.0828859923931 58.2235227169432,22.0899561807726 58.2203593205798,22.0957195657796 58.2165286682372,22.0999548356207 58.2121781575246,22.1024996642047 58.2074751318666,22.1032568830378 58.2026004258895)))', 'EEKTN', 'Kotlandi', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8130424605236 58.7933338098385,22.811865782063 58.7884818964874,22.8088889428359 58.7838423205129,22.8042269487002 58.7795932565697,22.7980593407282 58.7758978218802,22.7906232375102 58.7728978339054,22.7822042077233 58.7707083901834,22.7731253259402 58.7694134741057,22.7637348276389 58.7690627511184,22.7543928271007 58.7696696748923,22.7454575934067 58.7712109740094,22.7372718945387 58.7736275383297,22.7301499173895 58.7768266721799,22.7243652523343 58.7806856305498,22.720140395189 58.7850563063483,22.7176381675145 58.7897708930993,22.7169553893457 58.7946483098666,22.7181190580705 58.7995011451258,22.7210851955101 58.8041428550303,22.725740425056 58.8083949400545,22.7319062354849 58.8120938230444,22.7393457818701 58.8150971615668,22.7477729713467 58.8172893479926,22.7568634871044 58.8185859813779,22.766267322496 58.8189371348316,22.7756223327855 58.818329289148,22.7845682682718 58.816785856098,22.792760731721 58.8143662706938,22.7998845063962 58.8111636885424,22.8056657282687 58.8073013796265,22.8098824257195 58.8029279611272,22.8123730194281 58.7982116570713,22.8130424605236 58.7933338098385)))', 'EEKTP', 'Kata talu paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1314992346318 58.3779600448668,27.1305685699964 58.3730933569075,27.1278490390962 58.3684155177459,27.1234457685235 58.3641061852939,27.1175283836655 58.3603308026923,27.1103244279508 58.3572342651062,27.1021105971821 58.3549353804806,27.09320212897 58.3535223327219,27.0839407515231 58.3530493172741,27.0746816453044 58.3535344746838,27.0657799043545 58.3549591991089,27.0575770008042 58.3572688474917,27.0503877560022 58.3603748230256,27.0444883047461 58.364157955334,27.0401055056186 58.3684730511756,27.0374082009804 58.3731544451832,27.0365006657474 58.3780223417206,27.037418506157 58.3828897078865,27.0401271803665 58.3875694552894,27.044523214615 58.3918816355053,27.0504380851814 58.3956603718479,27.0576446314187 58.3987602585758,27.0658657631438 58.4010619778671,27.0747851312431 58.4024769142627,27.0840593480978 58.4029505847901,27.0933312785578 58.4024647491726,27.1022438762047 58.4010381165035,27.1104540160727 58.398725620354,27.1176457751508 58.3956162910778,27.1235426358689 58.3918298096289,27.1279181340336 58.3875118791244,27.1306045387909 58.3828285964827,27.1314992346318 58.3779600448668)))', 'EEKTR', 'Kastre', 'Y'),('SRID=4326;MULTIPOLYGON(((27.4313588312959 59.0048480197855,27.4303688894943 58.9999840903997,27.4275593770663 58.9953132137333,27.4230389007098 58.9910147754051,27.4169816009158 58.9872537945175,27.4096203960538 58.9841746075667,27.4012380104534 58.98189535146,27.3921561343722 58.9805034531314,27.3827231285865 58.9800522946101,27.3733007359274 58.9805591779429,27.3642502954523 58.9820046657056,27.3559189715152 58.9843333216274,27.3486265095195 58.9874558238264,27.3426530126085 58.9912523720363,27.3382281992441 58.9955772617257,27.3355225511304 59.0002644538345,27.3346406952401 59.0051339305825,27.3356172842791 59.0099985969053,27.3384155488583 59.0146714648339,27.3429285946617 59.0189728455988,27.348983412434 59.0227372721389,27.3563474616748 59.0258198833888,27.3647375850272 59.0281020211224,27.3738309142324 59.0294958197035,27.3832773448782 59.0299476078062,27.3927130903165 59.0294399875352,27.4017747786469 59.0279925085073,27.4101135331297 59.0256609101458,27.4174084771301 59.0225349622932,27.4233791296456 59.0187349897855,27.4277962052515 59.0144072184722,27.4304904002486 59.0097181261137,27.4313588312959 59.0048480197855)))', 'EEKTS', 'Katase', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5343527753686 59.0114363456997,22.5332072679013 59.006581937609,22.5302484718388 59.0019360273621,22.5255907133855 58.9976770338195,22.5194133831911 58.9939684554711,22.5119539825602 58.9909526135051,22.5034989799377 58.9887452124986,22.4943728314669 58.9874309232033,22.4849255830381 58.9870601527459,22.4755195195283 58.9876471227245,22.466515358943 58.9891693267607,22.458258504374 58.9915683877371,22.4510658648244 58.9947522829353,22.4452137370488 58.9985988543258,22.4409272048972 59.0029604730593,22.4383714608561 59.0076696834472,22.4376453875501 59.0125456139919,22.4387776564541 59.0174009127792,22.4417255090794 59.0220489430729,22.4463762852599 59.0263109632552,22.4525516573353 59.0300230140584,22.4600144221107 59.0330422456448,22.4684775989841 59.0352524373978,22.477615487358 59.0365684936993,22.4870762540462 59.0369397384114,22.4964955561355 59.0363518777348,22.5055106601632 59.0348275536487,22.5137744969965 59.0324254660298,22.5209690946475 59.0292380983759,22.5268178582626 59.0253881373665,22.5310962161578 59.0210237278896,22.5336402203046 59.0163127504981,22.5343527753686 59.0114363456997)))', 'EEKTT', 'Kootsaare lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9810889896534 58.8302709846368,22.9798875098736 58.8254207792034,22.9768850469885 58.8207852587411,22.972197590316 58.8165424408022,22.966005656464 58.8128552016503,22.9585472945987 58.8098650433319,22.9501089238989 58.807686685707,22.9410143574224 58.8064036867276,22.9316124294606 58.8060652548979,22.922263691021 58.8066843728493,22.9133266694219 58.8082373019304,22.9051442025749 58.8106644863195,22.8980303561235 58.8138728231504,22.8922584122266 58.8177392142158,22.8880503827182 58.8221152667251,22.88556844727 58.8268329669884,22.8849086500584 58.8317111133943,22.8860971078563 58.8365622650748,22.8890888905668 58.8411999414968,22.8937696348309 58.8454457968833,22.8999598459457 58.8491364925476,22.9074217370201 58.8521300002205,22.9158683515884 58.8543110901329,22.9249746215397 58.8555957883662,22.9343899308326 58.8559346277195,22.9437516912696 58.8553145635194,22.9526993930479 58.8537594784757,22.9608885722944 58.8513292566362,22.9680041414657 58.8481174632922,22.9737725561382 58.8442477228737,22.9779723417733 58.8398689380799,22.9804425737557 58.8351495385654,22.9810889896534 58.8302709846368)))', 'EEKTU', 'Kalda talu lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((21.9913157461677 58.2456416982307,21.9902709299587 58.2407817397522,21.9874487317934 58.2361225968379,21.9829582054247 58.2318432038629,21.9769723069239 58.2281078505577,21.9697211893546 58.225059893561,21.9614833403569 58.2228162763311,21.9525749058405 58.2214630636071,21.9433376060958 58.2210521577045,21.9341256987566 58.221599319247,21.9252924752115 58.223083566085,21.9171767926983 58.225447972805,21.9100901431627 58.228601841138,21.9043047420313 58.2324241604583,21.9000430856279 58.2367682291705,21.8974693756681 58.2414672637784,21.8966831441152 58.2463407844269,21.8977153331812 58.2512015351572,21.9005269955125 58.2558626753082,21.9050106813401 58.2601449664444,21.9109944760047 58.2638836776168,21.9182485467363 58.2669349409823,21.9264939563054 58.2691813097177,21.9354134077754 58.2705363001912,21.9446635036228 58.2709477394408,21.9538880381198 58.2703997856451,21.9627317975043 58.2689135415677,21.9708543205513 58.2665462366839,21.9779430739074 58.2633890104827,21.9837255218618 58.2595633847948,21.9879796176883 58.2552165645801,21.9905423107018 58.2505157522252,21.9913157461677 58.2456416982307)))', 'EEKTY', 'Katri', 'Y'),('SRID=4326;MULTIPOLYGON(((26.6129425725028 58.7051529396709,26.6120754768742 58.7002828961334,26.6094000182426 58.6955944253463,26.6050196510188 58.6912675958675,26.5991031411537 58.6874685234785,26.5918780152653 58.6843430120967,26.5836217930698 58.6820109798571,26.5746513435871 58.6805618801261,26.5653107708894 58.680051288958,26.5559582853745 58.6804987863406,26.5469525506974 58.6818872100809,26.5386390139713 58.6841633100467,26.5313367273908 58.6872397784228,26.5253261530197 58.6909985803935,26.5208384093985 58.6952954609657,26.5180463694233 58.6999654591587,26.5170579546104 58.7048292221258,26.517911892829 58.709699880404,26.5205761168953 58.7143902227084,26.5249488827578 58.7187198955605,26.5308625817052 58.7225223503014,26.5380901150598 58.7256512680815,26.5463535965941 58.7279862121724,26.555335052121 58.7294372859042,26.5646887019967 58.7299486126981,26.5740543449381 58.7295005005737,26.5830713141876 58.7281102053132,26.5913924522688 58.7258312619712,26.598697549751 58.7227514112421,26.6047057166395 58.7189892028741,26.6091862009147 58.7146894104534,26.6119672348519 58.7100174382626,26.6129425725028 58.7051529396709)))', 'EEKUD', 'Kuremaa Udu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.430712215267 58.5661059872741,23.4294585186808 58.5612602196361,23.4264203367366 58.5566353000862,23.4217150132298 58.5524088371832,23.4155237341737 58.5487430786668,23.4080845099544 58.5457787026821,23.3996830163382 58.5436294412304,23.39064164811 58.542377737963,23.3813072010948 58.5420716028787,23.3720376450784 58.5427227813237,23.3631884807708 58.5443063055429,23.3550991879238 58.5467614455771,23.3480802687694 58.5499940242634,23.342401371129 58.5538800102186,23.33828093916 58.5582702546968,23.3358777873934 58.5629961947691,23.3352849265321 58.5678763079936,23.3365258889996 58.5727230740449,23.3395537106107 58.5773501779503,23.3442526248358 58.581579678603,23.3504424214186 58.5852488657943,23.35788531567 58.5882165393943,23.3662950730975 58.5903684653696,23.3753480408269 58.5916217944184,23.3846956571121 58.5919282690311,23.393977947262 58.5912760921711,23.4028374719068 58.5896903835936,23.4109331740264 58.5872322058069,23.4179535756372 58.5839961984452,23.4236288032309 58.5801069148761,23.4277409713845 58.5757140058775,23.4301325236591 58.5709864400262,23.430712215267 58.5661059872741)))', 'EEKUI', 'Kuivastu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9213107280553 58.988292126761,22.9201116802745 58.9834414629767,22.9171030403703 58.9788046916384,22.9124010426255 58.9745598780054,22.9061867680087 58.970869974208,22.8986991269134 58.9678765835298,22.8902256631114 58.9656945487243,22.8810915344948 58.9644075677721,22.8716470893234 58.9640650011545,22.862254504496 58.9646799897472,22.8532739838789 58.9662289534278,22.8450500294407 58.968652489121,22.8378982955935 58.9718576350001,22.8320935177692 58.9757214166457,22.8278589701462 58.9800955428703,22.8253578552201 58.9848120752967,22.8246869605989 58.9896898582456,22.8258728375586 58.9945414654749,22.8288706636574 58.999180399108,22.8335658509152 59.0034282646963,22.8397783552002 59.0071216454777,22.8472695356398 59.0101184088295,22.8557513096325 59.0123031985389,22.8648972541361 59.0135918972154,22.874355222027 59.0139348828691,22.8837609776913 59.0133189508298,22.8927523121187 59.0117678248514,22.900983077035 59.0093412372001,22.9081365811964 59.0061326143362,22.9139378196605 59.0022654600186,22.918164057088 58.9978885788933,22.9206533561362 58.9931703287453,22.9213107280553 58.988292126761)))', 'EEKUK', 'Kukka lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0034090194352 58.3156369680453,22.0023603799578 58.3107771724369,21.9995309254355 58.3061183685941,21.9950299911132 58.301839477476,21.9890309345934 58.2981047690275,21.9817644148426 58.295057574568,21.9735095102995 58.2928148077576,21.9645830200306 58.2914625002787,21.9553273550877 58.2910525194584,21.9460974753975 58.2916005903757,21.9372473597105 58.2930856961446,21.9291165117818 58.295450878727,21.9220170047855 58.2986054105361,21.9162215479906 58.302428255987,21.9119530252396 58.3067726937604,21.9093759043884 58.3114719265549,21.9085898515903 58.3163454671013,21.9096258056684 58.3212060586725,21.9124446779011 58.3258668665136,21.9169387440998 58.3301486645756,21.9229356922735 58.3338867403583,21.9302051844353 58.3369372498965,21.9384676896274 58.3391827748389,21.9474052516545 58.3405368636021,21.9566737738883 58.3409473776739,21.9659163389928 58.3403985107925,21.9747770369749 58.3389114010224,21.9829147530197 58.3365433114935,21.9900163683463 58.3333854123492,21.9958088527152 58.329559251821,22.0000697748118 58.3252120559184,22.0026358239122 58.3205110418423,22.0034090194352 58.3156369680453)))', 'EEKUM', 'Kuusnõmme', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0875349340087 58.4093472681077,26.0867474721528 58.4044737699961,26.0841642049208 58.3997745099075,26.0798850386674 58.3954299758089,26.0740748530563 58.3916069681444,26.0669570990982 58.3884522137845,26.0588051866217 58.3860867561649,26.0499319959322 58.3846013328274,26.0406779138306 58.3840529135796,26.0313978446562 58.3844625285054,26.0224476815799 58.3858144666737,26.0141707413867 58.3880568752977,26.006884667165 58.391103737017,26.0008692876541 58.3948381516397,25.9963558897453 58.3991167998405,25.9935183123633 58.4037754216262,25.9924662066204 58.408635103471,25.993240730183 58.4135091363607,25.9958128552059 58.4182101838726,26.0000843716332 58.4225574859211,26.005891564419 58.4263838206677,26.0130114381865 58.4295419547239,26.0211702603887 58.4319103301256,26.0300540987787 58.4333977651249,26.0393209455387 58.433946983656,26.0486139530225 58.4335368339511,26.0575752583153 58.4321831083569,26.0658598483292 58.4299379317801,26.073148915361 58.4268877429774,26.0791621750466 58.4231499486593,26.0836686632222 58.418868382679,26.0864955929091 58.4142077492345,26.0875349340087 58.4093472681077)))', 'EEKUO', 'Kullisoo', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5502575742716 59.6425538432903,25.5495210489534 59.6376782585743,25.5469205831918 59.632969072409,25.5425568080585 59.6286071528158,25.5365979052992 59.6247599630188,25.5292730708048 59.6215751507388,25.5208636768169 59.6191749042311,25.5116924769487 59.6176512873945,25.5021112660683 59.6170627285632,25.4924874596585 59.6174317938658,25.4831900934511 59.6187443278905,25.4745757633201 59.6209499934899,25.466975027334 59.6239641906122,25.4606797764956 59.6276712827767,25.4559320482741 59.6319290109294,25.4529147080936 59.6365739296018,25.4517443593974 59.6414276611358,25.452466764154 59.6463037317222,25.4550549646943 59.651014729443,25.4594101972134 59.6553795104845,25.4653655805023 59.6592301759939,25.4726924544814 59.6624185491048,25.4811091364203 59.6648218994577,25.4902917631831 59.6663476906205,25.4998868002595 59.6669371632373,25.5095247272499 59.6665676120633,25.518834358688 59.6652532664801,25.5274572314274 59.6630447394292,25.5350614868664 59.6600270665929,25.5413546982011 59.6563164135985,25.5460951384623 59.6520555816037,25.5491010517539 59.6474084886081,25.5502575742716 59.6425538432903)))', 'EEKUS', 'Kuldaste', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1412349361775 58.1843265142291,26.1404448011145 58.1794531703667,26.1378704853707 58.1747548531544,26.1336115410727 58.1704120148729,26.1278320631341 58.1665913919407,26.1207543186066 58.1634396211505,26.1126501802343 58.1610776330309,26.1038306971089 58.1595960334605,26.094634200342 58.1590516466347,26.0854133918524 58.1594653484696,26.0765218986962 58.1608212711141,26.0683007932298 58.1630674081196,26.0610655804999 58.1661175977082,26.0550941385908 58.1698548102371,26.0506160654892 58.1741356171091,26.0478038379254 58.1787956737025,26.0467661245831 58.1836560100135,26.0475435194704 58.1885298910748,26.0501068731205 58.1932299861559,26.0543583022846 58.1975755723124,26.0601348561613 58.2013994947872,26.0672147128639 58.2045546144625,26.0753256780924 58.2069194909721,26.0841556634295 58.2084030787056,26.0933647388959 58.2089482507872,26.1025982875768 58.2085340117525,26.111500742834 58.2071763112366,26.1197293634289 58.2049274263533,26.126967500206 58.2018739372209,26.1329368299243 58.1981333758078,26.1374080761626 58.1938496805485,26.1402098015201 58.1891876357948,26.1412349361775 58.1843265142291)))', 'EEKUT', 'Kuusikuotsa', 'Y'),('SRID=4326;MULTIPOLYGON(((25.4859709048555 59.446576789025,25.4852474813929 59.4417007566418,25.4826706166984 59.4369902562069,25.4783400263822 59.432626207531,25.4724226118321 59.4287761572598,25.4651459736556 59.4255878647192,25.4567896353248 59.4231836534085,25.447674318727 59.4216557406846,25.4381496810341 59.4210627204912,25.428580974716 59.4214273302749,25.4193351286201 59.4227355850864,25.4107667672266 59.42493731095,25.4032046871696 59.4279480576176,25.39693929489 59.4316523195298,25.3922114770672 59.4359079448951,25.3892033268352 59.4405515679553,25.3880310846067 59.4454048603141,25.3887405740278 59.4502813651639,25.3913053231312 59.4549936546567,25.3956274607935 59.4593605366147,25.4015413724683 59.4632140330512,25.4088199908327 59.4664058599934,25.4171834909528 59.4688131558611,25.4263100606259 59.4703432337009,25.4358483295002 59.4709371699492,25.4454309698785 59.470572087698,25.4546889315746 59.4692620438256,25.4632657456165 59.4670574846769,25.4708313285318 59.4640432918423,25.4770947406051 59.4603354955295,25.4818153966294 59.45607678561,25.4848122937915 59.4514309974371,25.4859709048555 59.446576789025)))', 'EEKUU', 'Kuusalu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5515584151246 58.4231751880823,26.5507065722106 58.4183045381868,26.5480605255951 58.4136146265176,26.5437225882307 58.4092855786011,26.5378598887104 58.40548359754,26.5306978843445 58.4023546012543,26.5225116733217 58.4000186438444,26.5136154433306 58.3985653310698,26.5043504589564 58.3980504017146,26.4950720401438 58.3984936024542,26.4861360180273 58.3998779353393,26.4778851718884 58.4021503058592,26.4706361516036 58.405223547457,26.4646673737104 58.4089797470977,26.460208346395 58.413274747748,26.4574308298788 58.4179436591129,26.4564421748234 58.4228071692787,26.4572811039327 58.4276784185169,26.4599161129356 58.4323701737033,26.4642465692545 58.4367020286531,26.4701064832192 58.440507352919,26.4772708215982 58.4436397196086,26.4854641308739 58.4459785615078,26.4943711427146 58.4474338337192,26.5036489510949 58.4479494991515,26.5129402837281 58.4475056990681,26.5218873434641 58.4461195226631,26.5301456706425 58.4438443451071,26.5373974764675 58.4407677603032,26.5433639203318 58.4370081902597,26.5478158493873 58.4327103051228,26.5505825840599 58.428039434324,26.5515584151246 58.4231751880823)))', 'EEKVE', 'Kärevere', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2489631377244 57.9815475251463,22.247891555652 57.9766895991697,22.2450571724659 57.9720360245729,22.2405694958266 57.9677655212445,22.2346013598726 57.9640420379037,22.2273822264639 57.9610084766634,22.2191893506301 57.9587812301604,22.2103371521544 57.9574457368199,22.2011651976868 57.9570532207936,22.1920252453334 57.9576187383316,22.183267835355 57.9591206034135,22.1752289258527 57.9615012140743,22.1682170708641 57.9646692487335,22.1625016201489 57.9685031507392,22.1583023854144 57.9728557709835,22.1557811674349 57.9775599945337,22.1550354734879 57.9824351393366,22.1560946762894 57.9872938846697,22.1589187762632 57.991949465389,22.1633998312738 57.9962228561923,22.169366015267 57.9999496687692,22.1765881635546 58.0029864941611,22.1847885621221 58.0052164427933,22.1936516459192 58.0065536648654,22.2028361911029 58.0069466730413,22.2119885227414 58.0063803361455,22.220756215937 58.0048764649384,22.2288017470607 58.0024929668001,22.2358155539948 57.9993216029038,22.2415279898169 57.995484436748,22.2457197018129 57.9911291143771,22.2482300344783 57.9864231620979,22.2489631377244 57.9815475251463)))', 'EEKVI', 'Kaavi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0235569565755 58.4263710673585,26.0227779797414 58.4214972147837,26.0202020218643 58.4167966999252,26.0159287100231 58.4124500593351,26.0101227007693 58.4086241746,26.0030072864543 58.405465883144,25.9948557885191 58.4030963641202,25.9859810723191 58.4016065107679,25.9767235835685 58.401053462648,25.9674383570763 58.4014584272032,25.9584814830933 58.402805871731,25.9501965346889 58.4050441157673,25.942901460837 58.4080873018018,25.9368764342907 58.4118186709062,25.9323531111428 58.4160950210025,25.9295057107508 58.4207521807914,25.9284442614231 58.4256112934211,25.9292102803356 58.4304856722793,25.9317750675848 58.4351879681319,25.936040696717 58.4395373732873,25.9418436808047 58.4433665852794,25.9489611880538 58.4465282601398,25.9571195783966 58.4489007036226,25.9660049371729 58.4503925772653,25.9752751984313 58.4509464339356,25.9845733828611 58.4505409430961,25.9935414274796 58.4491917175716,26.0018340585875 58.4469507089671,26.0091321575904 58.4439041956741,26.0151550911865 58.4401694431663,26.0196715219192 58.4358901686138,26.0225082797405 58.4312309885373,26.0235569565755 58.4263710673585)))', 'EEKVK', 'Kõrveküla', 'Y'),('SRID=4326;MULTIPOLYGON(((27.9609178444856 59.4016490536129,27.9598402921841 59.3967897950748,27.95692511033 59.3921310561561,27.9522849755402 59.3878517506732,27.9460986257859 59.3841161574768,27.9386039279525 59.3810676335669,27.9300887174039 59.3788231353367,27.9208797644305 59.3774687538804,27.9113302873148 59.3770564314129,27.901806481138 59.3776019812282,27.8926735644448 59.379084484862,27.8842818619244 59.381447088889,27.8769534401103 59.3845991718073,27.8709697947542 59.3884198004519,27.8665610532738 59.3927623470614,27.8638971040888 59.3974600941629,27.8630809977515 59.4023326164292,27.8641448840312 59.4071926980674,27.8670486566463 59.4118535223976,27.8716813759316 59.4161358581191,27.8778654328613 59.4198749650555,27.8853633096155 59.422926951272,27.8938866868724 59.4251743332702,27.9031075510354 59.4265305809277,27.9126708704496 59.4269434679169,27.9222083426655 59.4263970950001,27.9313526686041 59.4249125059516,27.9397517866204 59.4225468716831,27.947082501241 59.4193912750237,27.953062967659 59.415567184074,27.9574635424249 59.4112217536996,27.9601155804287 59.4065221403998,27.9609178444856 59.4016490536129)))', 'EEUDR', 'Udria', 'Y'),('SRID=4326;MULTIPOLYGON(((25.4077705834968 59.3086052107352,25.4070609833384 59.303728707835,25.4045050971669 59.2990166615606,25.4002018289863 59.2946500522549,25.3943170274179 59.290796526247,25.3870770400212 59.2876039776706,25.37875998505 59.2851948945896,25.3696850805088 59.2836616822057,25.3602004379414 59.2830631382731,25.3506697807204 59.2834222121612,25.3414585826929 59.2847251308647,25.3329201422568 59.2869219243491,25.3253821090199 59.2899283306383,25.3191339651018 59.2936290097333,25.3144159311178 59.2978819465177,25.3114097184759 59.3025238779243,25.3102314857405 59.3073765404134,25.3109272788539 59.3122535017311,25.3134711449518 59.3169673172845,25.3177660099755 59.3213367373742,25.3236473046091 59.3251936877558,25.330889215196 59.3283897529659,25.339213330698 59.3308019095647,25.3482993582107 59.3323372844349,25.3577974928177 59.3329367506025,25.3673419571019 59.3325772182959,25.3765651752121 59.3312725303107,25.3851120187999 59.329072926039,25.3926535589548 59.3260630953746,25.3988997796645 59.3223588996469,25.4036107531086 59.3181028893474,25.4066058427843 59.3134587954577,25.4077705834968 59.3086052107352)))', 'EEKVL', 'Kaunissaare veehoidla lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8571234207468 59.563813440471,24.8564887708418 59.5589346550901,24.8539913692333 59.5542124188992,24.8497278924281 59.5498281067036,24.843862680816 59.5459500462444,24.8366213477708 59.5427270736664,24.8282820767937 59.5402828435703,24.8191649460139 59.538711107793,24.8096196879607 59.5380721396874,24.8000123458289 59.5383904372119,24.7907113244316 59.5396537901712,24.7820733540656 59.5418137461427,24.7744298883124 59.5447874576798,24.7680744423268 59.5484608420423,24.7632513466722 59.552692935663,24.7601463437485 59.5573212805056,24.7588793902396 59.5621681399939,24.7594999511343 59.5670473097827,24.761984980706 59.5717712646281,24.7662396859761 59.5761583680759,24.7721010619426 59.5800398674427,24.7793440791776 59.5832664030417,24.7876902977813 59.5857137778345,24.7968185819136 59.5872877612317,24.8063775010473 59.5879277377001,24.8159989322084 59.587609055767,24.8253123256526 59.5863439841503,24.8339590675489 59.5841812369235,24.8416063689309 59.581204086477,24.8479601307077 59.5775271390942,24.8527762787256 59.5732919007799,24.8558701283016 59.5686613083205,24.8571234207468 59.563813440471)))', 'EEKVN', 'Kivineeme', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0272931959621 58.2293688606711,26.0265177433281 58.2244948929089,26.0239553017832 58.2197943497677,26.0197049705884 58.215447769656,26.013930517361 58.2116220330373,26.0068540194415 58.2084639730936,25.9987473042247 58.2060947615593,25.9899215211704 58.2046052811393,25.980715243416 58.2040526579542,25.9714815472752 58.2044580834828,25.9625745524053 58.2058060070921,25.9543359234442 58.208044729144,25.9470818351606 58.2110883725614,25.9410908876254 58.2148201593915,25.9365934258461 58.2190968700237,25.9337626702919 58.2237543180173,25.9327080017299 58.2286136345477,25.9334706672231 58.2334881247956,25.9360220860126 58.2381904354584,25.9402648369505 58.2425397590392,25.946036306446 58.2463687974065,25.9531148714078 58.2495302147174,25.9612283897563 58.2519023281088,25.9700646763179 58.2533938130935,25.9792835588904 58.2539472383736,25.9885300421877 58.2535412903584,25.9974480598203 58.2521915992248,26.0056942690331 58.2499501337011,26.0129513410339 58.2469031885337,26.018940221511 58.2431680443374,26.0234308801513 58.2388884318507,26.0262511322034 58.2342289792952,26.0272931959621 58.2293688606711)))', 'EEKVP', 'Kivilõppe paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((24.2402995240788 58.2710305263838,24.2397690474133 58.2661488248371,24.2374418129189 58.2614154300415,24.2334079061426 58.2570121550033,24.227822815889 58.2531080673081,24.2209013879086 58.2498530144654,24.212909536216 58.2473718934013,24.2041540353874 58.2457598800556,24.1949707843467 58.2450787979649,24.1857119845902 58.2453547614263,24.1767327124464 58.2465771809406,24.1683773851667 58.2486991677929,24.1609666240759 58.2516393225818,24.1547850046384 58.2552848409833,24.1500701533581 58.259495820783,24.1470036054565 58.2641106088943,24.1457037761778 58.2689519873363,24.1462213237058 58.2738339644432,24.1485370949704 58.2785689132549,24.1525627495953 58.282974784181,24.1581440550921 58.286882114436,24.165066741908 58.2901405628603,24.1730647043857 58.2926247155813,24.1818302376394 58.2942389351163,24.1910259153986 58.2949210620558,24.2002976443088 58.2946448230336,24.2092883796915 58.2934208495007,24.2176519591192 58.2912962667576,24.225066504953 58.2883528694073,24.2312468655387 58.2847039554248,24.2359556060248 58.2804899439707,24.2390121215047 58.275872949673,24.2402995240788 58.2710305263838)))', 'EEKVR', 'Kavaru', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1535059119488 58.3829518831747,27.1525720849205 58.378085360515,27.149849258168 58.3734079938328,27.1454426848244 58.3690994227163,27.1395221168552 58.3653250609199,27.132315219494 58.362229764309,27.1240988009728 58.3599322931363,27.1151881977294 58.3585207770567,27.1059252194927 58.3580493527777,27.0966651078875 58.358536099863,27.0877629954601 58.3599623515594,27.0795603687316 58.362273406284,27.072372038755 58.365380613314,27.0664741056904 58.3691647550182,27.0620933703933 58.3734805993677,27.0593985965329 58.3781624521645,27.0584939622981 58.3830305000164,27.0594149628016 58.3878977040423,27.0621269348926 58.3925769819016,27.0665262779608 58.3968884030475,27.0724443407857 58.4006661198351,27.0796538395228 58.4037647656321,27.0878775699075 58.4060650703024,27.0967990823386 58.4074784728162,27.1060749062605 58.4079505492729,27.1153478444061 58.4074631208204,27.1242608115013 58.4060349579439,27.1324706684987 58.4037210531871,27.1396615036039 58.4006104911648,27.1455568352772 58.3968230002757,27.1499302587043 58.3925043224313,27.1526141233838 58.3878205832031,27.1535059119488 58.3829518831747)))', 'EEKVS', 'Kavastu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.7447735424072 58.5811037208293,26.7438911357897 58.5762344647267,26.7412074526152 58.5715486400975,26.7368262560951 58.5672262134465,26.730916337544 58.5634331315505,26.723704965519 58.5603149688352,26.7154691288879 58.5579913621668,26.7065249137821 58.5565514425013,26.6972154193492 58.5560504345225,26.6878976671522 58.5565075511755,26.678928992955 58.5579052614698,26.6706534269081 58.560189958763,26.6633885685248 58.5632740046609,26.6574134463066 58.5670390724327,26.6529578187132 58.5713406651601,26.6501933239524 58.5760136393961,26.6492268217639 58.5808785265092,26.6500961924425 58.5857484125973,26.6527687688366 58.5904361151798,26.6571424786398 58.5947613818513,26.6630496703235 58.5985578334682,26.6702634904753 58.6016793825955,26.6785065775253 58.6040058768164,26.6874617415333 58.6054477455704,26.6967842164792 58.6059494674421,26.7061150046311 58.6054917208026,26.7150947856157 58.6040921325522,26.7233778383733 58.6018045952356,26.7306454236081 58.5987171796156,26.7366180976835 58.5949487254329,26.7410664748511 58.5906442451559,26.7438200207159 58.5859693218341,26.7447735424072 58.5811037208293)))', 'EEKVT', 'Kaiavere tuuleveski', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4531124976489 58.8580949887296,23.4518440856077 58.8532497372874,23.4487763902125 58.848625739793,23.444027900863 58.8444005678393,23.4377814691768 58.8407364174999,23.4302772261152 58.8377739028528,23.4218033413391 58.8356266822373,23.4126849817325 58.8343771192019,23.4032718883923 58.8340731405342,23.3939250384066 58.834726408604,23.3850028885294 58.8363118761198,23.3768477118712 58.8387687399666,23.3697725357272 58.8420027587856,23.3640491686875 58.8458898481154,23.359897768528 58.8502808189437,23.357478349689 58.8550070821111,23.356884561476 58.8598871037314,23.3581399870218 58.8647333671129,23.3611971207152 58.8693595758362,23.3659390810795 58.8735878216696,23.3721840104774 58.8772554405697,23.3796920066614 58.8802212904016,23.3881743285951 58.8823712050741,23.3973045249145 58.8836224108923,23.4067310524884 58.8839267309693,23.4160908889848 58.8832724509585,23.4250236005678 58.8816847722106,23.4331853062019 58.8792248344815,23.4402619846168 58.8759873471011,23.4459815985188 58.8720969225882,23.4501245615167 58.8677032577059,23.4525321436523 58.8629753517583,23.4531124976489 58.8580949887296)))', 'EEKVU', 'Kuivarahu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.6239385132786 58.7021488428323,26.6230699559604 58.697278869471,26.6203932483616 58.692590623483,26.6160118925989 58.6882641647254,26.6100946922809 58.6844655947024,26.6028692002382 58.68134069803,26.5946129499961 58.6790093692593,26.5856428114891 58.6775610347905,26.5763028767987 58.6770512413551,26.5669513318938 58.6774995383761,26.5579468044877 58.6788887330135,26.5496346955888 58.6811655455716,26.5423340028517 58.6842426408818,26.5363251274111 58.6880019600317,26.5318391227816 58.6922992281147,26.5290487951955 58.6969694691904,26.5280620004042 58.7018333209924,26.5289174039319 58.7067039105522,26.5315828820786 58.7113940291428,26.5359566423083 58.7157233318206,26.5418710373649 58.7195252841212,26.5490989414967 58.7226535865077,26.5573624539635 58.7249878259396,26.5663435992243 58.7264381328944,26.5756966095178 58.7269486603468,26.5850613082296 58.7264997471261,26.594077065095 58.7251086798834,26.6023967695206 58.7228290234021,26.6097002675031 58.7197485458131,26.6157067308382 58.7159858209502,26.6201854732359 58.7116856422089,26.6229647940744 58.70701342865,26.6239385132786 58.7021488428323)))', 'EEKVV', 'Kuremaa väljavool', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1883699229253 58.2853094313886,26.1875711915143 58.2804364354515,26.1849834298054 58.2757391101029,26.1807067102183 58.2713978687813,26.1749058126475 58.2675793856951,26.1678038272054 58.264430214577,26.1596735561619 58.2620711853632,26.1508270491897 58.260592789778,26.1416036711446 58.2600517287545,26.1323571518501 58.260468750596,26.1234421017038 58.2618278603622,26.1152004947652 58.2640769298476,26.1079486220377 58.267129685419,26.1019650019017 58.2708689996515,26.0974797023658 58.2751513638706,26.0946654815406 58.2798123740551,26.0936310894792 58.2846730236932,26.094416997696 58.2895465655826,26.0969937342933 58.2942456815309,26.101262905323 58.2985896854975,26.1070608800913 58.302411482687,26.1141650134592 58.305564014825,26.1223021761581 58.30792594029,26.1311592693246 58.3094063264293,26.1403953164497 58.3099481692652,26.149654658954 58.3095306014706,26.1585807342192 58.308169701102,26.1668298897096 58.3059178689687,26.1740846852247 58.3028617992926,26.1800661574191 58.2991191240413,26.1845445652925 58.2948338635736,26.1873481999288 58.2901708628378,26.1883699229253 58.2853094313886)))', 'EEKYA', 'Kaarlijärve', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3455283532534 58.4281388298735,23.3442917439033 58.4232920235147,23.3412770449164 58.4186648423157,23.3366006935885 58.4144349829321,23.3304427611344 58.4107648248776,23.3230399778956 58.4077952164959,23.3146766233164 58.4056400916989,23.3056736326197 58.4043821198756,23.296376333993 58.4040695518523,23.2871412768175 58.4047143796477,23.2783226421279 58.4062918786282,23.270258740519 58.408741549202,23.2632590998941 58.4119694231464,23.2575926257961 58.4158516487509,23.2534772808924 58.4202392209413,23.2510716781285 58.4249636790662,23.2504689151985 58.4298435576996,23.2516928978439 58.4346913460707,23.2546973082772 58.4393206908507,23.2593672755409 58.4435535659993,23.2655237003377 58.4472271328803,23.2729300818572 58.4502000241873,23.2813015928523 58.4523578062124,23.2903160563607 58.4536174050271,23.2996263975616 58.45393032211,23.3088740814562 58.4532845123008,23.3177030047034 58.4517048497364,23.3257732903677 58.4492521633949,23.3327744386335 58.4460208806233,23.3384373144363 58.4421353720951,23.3425445029201 58.4377451426795,23.344938632881 58.4330190575656,23.3455283532534 58.4281388298735)))', 'EEKYB', 'Kübassaare', 'Y'),('SRID=4326;MULTIPOLYGON(((25.6591838065443 59.5905126507856,25.6584325342932 59.585637592807,25.6558207281415 59.5809304946974,25.6514494508459 59.5765721436849,25.6454871682098 59.5727298656632,25.6381632022844 59.5695511197921,25.6297588892898 59.5671578617518,25.6205967864214 59.5656418877048,25.6110283394544 59.5650613332513,25.6014204754436 59.5654384578903,25.5921416208117 59.5667587973201,25.5835476641493 59.5689717149882,25.5759683848261 59.571992332345,25.5696948530113 59.5757047659909,25.5649682741827 59.5799665510511,25.5619707021828 59.5846140853267,25.5608179802906 59.5894688896676,25.5615551910122 59.5943444480608,25.5641548043416 59.599053367442,25.5685176137672 59.6034145833119,25.5744764426429 59.6072603336289,25.5818024947252 59.6104426306078,25.5902141161995 59.6128389779445,25.5993876372228 59.6143571091583,25.6089698737078 59.6149385602393,25.6185917992669 59.6145609351848,25.6278828467303 59.6132387744804,25.636485271257 59.6110229919517,25.6440680043231 59.6079989022982,25.6503394499622 59.6042829175454,25.6550587203019 59.6000180431917,25.6580448741528 59.5953683517525,25.6591838065443 59.5905126507856)))', 'EEKYC', 'Kadapiku, Virve k', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3356321948221 58.485513047307,22.3345324255945 58.480656339631,22.3316452592484 58.4760052663283,22.3270822505956 58.4717384483754,22.3210191396973 58.4680196892665,22.3136890397801 58.4649917057048,22.3053734621424 58.4627706724448,22.2963915254119 58.4614417864659,22.2870877595956 58.4610560165948,22.2778189633319 58.461628159902,22.2689406046616 58.4631362772825,22.2607932709254 58.4655225292735,22.2536896718078 58.4686953810905,22.2479026811051 58.4725330948194,22.2436548677815 58.4768883784127,22.2411099159216 58.4815940172738,22.2403662673001 58.4864692763828,22.2414532410004 58.4913268305641,22.2443297939465 58.4959799589137,22.2488859871194 58.5002497275933,22.2549471180548 58.5039718838879,22.2622803749609 58.5070031939039,22.2706037659195 58.5092269764638,22.2795969827971 58.5105576160317,22.2889137782845 58.5109438768122,22.2981953700907 58.5103708869982,22.3070843421661 58.508860714568,22.3152384913743 58.5064715118475,22.3223440704385 58.5032952628439,22.3281279041373 58.4994542226622,22.3323679041348 58.4950961897718,22.3349015758554 58.4903887973244,22.3356321948221 58.485513047307)))', 'EEKYD', 'Küdema', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2836986850404 58.5259034936788,27.2827430070903 58.5210380530514,27.2799917763031 58.5163635870047,27.2755513413905 58.512059622182,27.2695927566806 58.5082913938361,27.2623451463433 58.5052035208589,27.2540868783657 58.502914477357,27.2451348905534 58.5015120687933,27.2358325751217 58.5010500821444,27.2265366776845 58.5015462351036,27.2176036996532 58.5029815006908,27.2093763096507 58.5053008323948,27.2021702692563 58.5084152628966,27.1962623612231 58.5122052982414,27.1918797745355 58.5165254807753,27.1891913508857 58.521209949913,27.1883010323394 58.5260787914563,27.1892437716102 58.530944935213,27.1919840765376 58.5356213383519,27.1964172617716 58.5399281793254,27.2023733766835 58.5436997850135,27.2096236731112 58.5467910223548,27.2178893741381 58.5490829050485,27.2268524103455 58.5504871953898,27.2361677074988 58.550949819918,27.2454765436311 58.5504529638282,27.2544204475286 58.5490157611461,27.2626550872028 58.5466935532885,27.2698635973792 58.5435757454434,27.2757688193063 58.5397823457357,27.2801439729383 58.5354593240129,27.2828213481997 58.5307729731003,27.2836986850404 58.5259034936788)))', 'EEKYE', 'Kasepää, Tartu mk', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8281767869792 59.5834491780102,25.8274011990405 59.5785750192874,25.8247662926631 59.5738712237767,25.8203740154887 59.5695184506261,25.8143936362132 59.5656838105974,25.8070551675603 59.5625144690519,25.7986404983857 59.5601320205367,25.789472579958 59.558627846583,25.7799030790122 59.5580596304786,25.7702989623405 59.5584491589344,25.761028513469 59.5597814923466,25.752447300782 59.5620055344043,25.7448846180098 59.5650359798344,25.7386309022908 59.568756567829,25.7339266022839 59.5730245198808,25.7309529195949 59.5776759960268,25.7298247820005 59.5825323644754,25.7305863280315 59.5874070477356,25.7332090913879 59.5921126850008,25.7375929730908 59.5964683367332,25.74356998258 59.6003064539338,25.7509106201551 59.6034793418735,25.7593326667657 59.6058648660988,25.7685120479973 59.6073711768287,25.7780953520058 59.6079402654701,25.7877135106039 59.6075502124758,25.7969961025054 59.6062160373061,25.8055857106579 59.6039891166634,25.8131517631988 59.60095519406,25.819403309977 59.5972310596722,25.8241002325389 59.5929600319133,25.8270624524299 59.5883064189943,25.8281767869792 59.5834491780102)))', 'EEKYF', 'Kasispea', 'Y'),('SRID=4326;MULTIPOLYGON(((26.53843336061 58.3301798567875,26.5375854994099 58.3253090542709,26.5349480820522 58.3206188154518,26.5306230861484 58.3162892789022,26.5247771405975 58.3124866671453,26.5176350582224 58.3093569230522,26.509471172794 58.3070201301382,26.5005988168487 58.3055659268076,26.4913583415218 58.3050500863839,26.4821041295029 58.305492390601,26.4731910861859 58.3068758757331,26.4649611115162 58.3091474793775,26.4577300556658 58.3122200638074,26.4517756454704 58.3159757405288,26.4473268358194 58.3202703719262,26.444554991479 58.3249390813554,26.4435672411176 58.3298025643444,26.4444022680475 58.3346739621602,26.4470287134255 58.339366036197,26.451346270023 58.343698368488,26.4571894415093 58.3475043108844,26.4643338373909 58.3506374134557,26.47250477169 58.3529770813886,26.4813878387449 58.3544332385824,26.4906410567499 58.3549498142554,26.4999081030546 58.3545069147381,26.5088321183583 58.3531215943855,26.5170695323284 58.3508471949969,26.5243033622282 58.3477712799263,26.5302554589014 58.3440122447277,26.5346972196748 58.3397147383141,26.5374583529113 58.3350440750245,26.53843336061 58.3301798567875)))', 'EEKYG', 'Keeri', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((25.7472176730018 59.6124797162974,25.7464531970054 59.6076051383438,25.7438274001918 59.6028997671031,25.7394418827262 59.5985443227244,25.7334656563613 59.5947060188253,25.7261285768548 59.5915321614947,25.7177124817078 59.5891445184817,25.7085403781112 59.5876346703897,25.698964093681 59.5870605178819,25.6893508548593 59.5874440750974,25.6800692937708 59.5887706312803,25.6714754032474 59.5909893116875,25.663898961397 59.5940150168869,25.6576309314803 59.597731668306,25.652912310204 59.6019966390527,25.6499248483965 59.6066462042827,25.6487840032999 59.611501806319,25.6495344028159 59.6163768978296,25.6521480109603 59.6210841029449,25.6565250831803 59.6254424223256,25.6624978934365 59.6292842046616,25.6698371060467 59.6324616143041,25.6782605587681 59.6348523426964,25.6874441242878 59.6363643395134,25.6970342300147 59.6369393769673,25.7066615453357 59.6365553061938,25.7159552951025 59.6352269161333,25.7245576308656 59.6330053607211,25.732137488807 59.629976177083,25.7384033856013 59.6262559733531,25.743114649294 59.6219879172301,25.7460906491843 59.6173362032783,25.7472176730018 59.6124797162974)))', 'EEKYH', 'Kunturi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8541262377456 59.5658145817662,24.8534919905865 59.5609357854986,24.8509948678732 59.5562134950258,24.8467315355344 59.5518290872524,24.8408663285446 59.5479508935948,24.833624860212 59.5447277553072,24.8252853193078 59.5422833333394,24.8161677943534 59.5407113868754,24.8066220329901 59.5400721973355,24.79701409767 59.5403902711593,24.7877124158803 59.5416534067261,24.7790737431572 59.5438131599539,24.771429559937 59.5467866911852,24.765073408834 59.5504599246178,24.7602496474373 59.5546919025039,24.7571440437112 59.5593201712812,24.7558765774634 59.5641669973258,24.7564967334718 59.5690461776061,24.7589814816908 59.5737701864974,24.7632360400942 59.5781573854821,24.7690974094606 59.5820390182079,24.7763405607289 59.5852657198539,24.7846870489202 59.5877132869812,24.7938157278539 59.5892874815831,24.8033751517953 59.5899276799801,24.8129971782852 59.5896092221427,24.8223112345792 59.5883443681545,24.8309586812329 59.5861818237122,24.8386067020597 59.583204853411,24.844961170208 59.5795280566207,24.8497779843075 59.575292933578,24.8528724340591 59.5706624166661,24.8541262377456 59.5658145817662)))', 'EEKYI', 'Kurekari', 'Y'),('SRID=4326;MULTIPOLYGON(((27.3393481284606 58.9968823702005,27.3383713912516 58.9920177222435,27.3355749809033 58.9873448352141,27.3310670016897 58.9830431726396,27.3250211157288 58.9792778779881,27.3176698051634 58.9761934537295,27.3092954166428 58.9739082379445,27.3002193354164 58.9725098862239,27.2907897012953 58.9720520280058,27.281368128418 58.9725522220806,27.2723159242344 58.9739912873453,27.2639803198061 58.9763140336905,27.2566812231582 58.9794313658748,27.2506989900039 58.9832236821125,27.2462636719808 58.9875454405954,27.2435461521582 58.9922307229629,27.2426515119934 58.9970995854156,27.2436148945957 59.0019649572191,27.2464000381889 59.0066398240386,27.250900553759 59.0109444209423,27.2569439154618 59.0147131577376,27.2642980254532 59.0178010079197,27.2726801109008 59.0200891118419,27.2817676147688 59.02148937422,27.2912106582511 59.021947874735,27.3006455857519 59.0214469568123,27.3097090566973 59.0200059117547,27.3180521247617 59.0176802310774,27.3253537456508 59.0145594567481,27.3313331793623 59.0107637145882,27.3357608004519 59.006439067971,27.3384668976401 59.0017518749489,27.3393481284606 58.9968823702005)))', 'EEKYJ', 'Kuru', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9970912614507 58.8120100407297,26.9961677379467 58.8071427132951,26.9934323358718 58.8024623440252,26.9889908121571 58.7981486870948,26.9830142774977 58.794367349645,26.9757325562086 58.7912634526103,26.9674253317299 58.7889560832653,26.9584114213848 58.7875337482016,26.9490365890274 58.7870509970157,26.9396603541087 58.7875263426822,26.9306422894428 58.7889415560092,26.9223283170031 58.7912423603999,26.9150375111432 58.7943405010921,26.9090499017151 58.7981171118625,26.9045957359239 58.8024272535794,26.9018466079937 58.8071054546457,26.9009088007914 58.8119720448943,26.9018191049418 58.816840043348,26.9045432907104 58.8215223377354,26.9089773087457 58.8258388808008,26.9149511910258 58.8296236260157,26.9222355170398 58.8327309336446,26.9305502068053 58.8350411971805,26.9395753064787 58.836465469417,26.9489633487304 58.8369489058397,26.9583528030192 58.836472889153,26.9673820839982 58.8350557507055,26.9757035621106 58.832752060177,26.9829970203334 58.8296505117185,26.9889820250202 58.8258704903551,26.9934287255176 58.8215574544502,26.9961666641263 58.8168773162139,26.9970912614507 58.8120100407297)))', 'EEKYK', 'Kükita', 'Y'),('SRID=4326;MULTIPOLYGON(((25.6051112743899 59.5415326713353,25.6043688098051 59.5366573014021,25.6017682541151 59.5319491337203,25.5974102361681 59.5275889972116,25.5914627118248 59.5237442869728,25.5841544368144 59.5205625561281,25.5757661462914 59.5181658753962,25.5666197844471 59.5166461725826,25.557066195257 59.5160617264588,25.5474717378341 59.5164349457408,25.5382043258823 59.5177515157058,25.5296194098236 59.5199609440709,25.5220464220082 59.5229784857912,25.5157761900093 59.5266883751661,25.5110497905777 59.530948244766,25.5080492679346 59.5355945658891,25.5068905756272 59.5404489061274,25.5076190225556 59.5453247676398,25.5102074129983 59.5500347462154,25.514556970154 59.554397737241,25.5205010262417 59.5582459110461,25.5278113535468 59.5614311872104,25.5362069044752 59.5638309552721,25.545364629507 59.5653528174072,25.554931954723 59.5659381661062,25.564540429821 59.5655644552441,25.5738200070291 59.5642460743823,25.5824133838735 59.5620337914972,25.5899898399272 59.5590127862089,25.5962580196128 59.5552993515154,25.6009771586297 59.5510363945886,25.603966318091 59.5463879141473,25.6051112743899 59.5415326713353)))', 'EEKYL', 'Külaotsa', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1081102349791 58.0903384072985,26.107326576824 58.0854648051233,26.1047632750422 58.0807657816389,26.1005194550546 58.0764218168667,26.0947586285859 58.0725996912445,26.0877023457253 58.0694461000594,26.0796216560605 58.0670820444485,26.0708267107217 58.0655982102003,26.0616549020818 58.065051507582,26.0524579879758 58.0654629014058,26.0435886816038 58.06681661214,26.0353872061466 58.0690607177417,26.0281683142655 58.0721091337715,26.0222092570604 58.0758448979972,26.0177391549954 58.0801246368257,26.0149301753297 58.0847840462195,26.0138908576969 58.0896441808494,26.014661853078 58.0945183135948,26.0172142535252 58.0992191044286,26.0214505932457 58.1035658042668,26.0272084993184 58.1073912162834,26.0342668662614 58.1105481448678,26.0423543272076 58.112915080794,26.051159700162 58.1144008997708,26.0603440052408 58.1149483893736,26.0695535821362 58.1145364649787,26.0784337898499 58.1131809868926,26.086642745569 58.1109341462221,26.0938645578314 58.1078824437965,26.0998215309387 58.1041433421724,26.1042848617152 58.0998607230314,26.1070834137705 58.0951993289117,26.1081102349791 58.0903384072985)))', 'EEKYR', 'Kase', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3556738037245 58.516505455301,22.3545702375685 58.5116489573353,22.3516778241455 58.5069983776153,22.347108320857 58.5027323178804,22.3410377177043 58.4990145522013,22.3336994155468 58.4959877588455,22.325375239999 58.4937680666362,22.3163846387448 58.4924406209199,22.3070724731488 58.4920563351874,22.2977958630187 58.4926299495956,22.2889105752819 58.4941394687163,22.2807574626082 58.4965269994868,22.2736494564021 58.499700958265,22.2678596001051 58.503539564856,22.2636105736906 58.5078954930932,22.2610661092162 58.512601503705,22.2603246313437 58.5174768473734,22.261415377371 58.5223341955532,22.2642971606568 58.5269868350459,22.2688598421403 58.5312558505312,22.2749284703799 58.5349770179526,22.2822699451825 58.5380071411585,22.2906019579303 58.5402295843858,22.299603867798 58.5415587834699,22.3089290917853 58.5419435579849,22.3182185220593 58.5413690933613,22.3271144399385 58.539857514465,22.3352743744094 58.5374670279414,22.3423843555122 58.53428966742,22.3481710391489 58.5304477309803,22.3524122283581 58.5260890517281,22.354945384227 58.5213812877511,22.3556738037245 58.516505455301)))', 'EEKYS', 'Külasadama', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8013406281509 59.0073367508373,22.8001577248516 59.0024849132114,22.7971634535368 58.997845299574,22.7924734991154 58.9935960850966,22.7862684830889 58.9899003913915,22.7787869634376 58.9869000442264,22.770316251603 58.9847101532941,22.7611814017162 58.983414717772,22.7517327905312 58.9830634221282,22.7423327544833 58.9836697417043,22.7333417819724 58.9852104286189,22.7251047738379 58.9876263971828,22.7179378827945 58.9908249760072,22.7121164233656 58.9946834430567,22.7078643078715 58.9990537117724,22.7053454119212 59.003767992728,22.704657205647 59.0086452176848,22.7058269061532 59.013497982832,22.7088103144612 59.0181397467022,22.7134933994552 59.0223920067711,22.7196965854438 59.0260911777631,22.7271815930572 59.0290949045255,22.7356605798466 59.031287562852,22.7448072318953 59.032584732254,22.754269375675 59.0329364642951,22.763682614532 59.0323292171961,22.7726844500547 59.0307863800457,22.7809283276077 59.0283673658876,22.7880970486714 59.0251653097754,22.7939150201224 59.0213034631302,22.7981588606566 59.0169304270232,22.800665954454 59.0122144121906,22.8013406281509 59.0073367508373)))', 'EEKYT', 'Kärdla Svertpaadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((24.847130382917 59.5688172316529,24.8464971020996 59.5639384090366,24.8440007489454 59.5592159914793,24.8397379600542 59.5548313608073,24.8338730497767 59.550952857019,24.8266316202555 59.5477293332785,24.8182918589472 59.545284465317,24.8091738629337 59.5437120294083,24.7996273979492 59.5430723257212,24.7900185533769 59.5433898803919,24.7807157914556 59.5446525116963,24.7720759089863 59.5468117948928,24.7644304326349 59.5497849083708,24.7580729544728 59.5534577923901,24.7532478829095 59.5576895026617,24.7501410361665 59.5623175959571,24.7488724418287 59.5671643454568,24.7494916281337 59.5720435511326,24.751975602492 59.5767676864384,24.7562296128608 59.5811551080366,24.7620906813412 59.5850370510365,24.7693337906728 59.5882641386855,24.7776804976673 59.5907121526795,24.7868096478272 59.5922868377891,24.7963697772996 59.5929275514245,24.8059927164033 59.5926096136934,24.8153078571306 59.5913452646378,24.8239565181174 59.5891831905118,24.8316058362492 59.5862066378205,24.8379616345818 59.5825301898935,24.8427797604488 59.5782953335923,24.8458754530502 59.5736649910991,24.847130382917 59.5688172316529)))', 'EEKYV', 'Kabelikari', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5240273980852 58.7774414954541,22.5228915713992 58.7725867860988,22.5199545739197 58.7679403856733,22.5153298844573 58.7636807330301,22.5091956167982 58.7599713536,22.5017876158959 58.7569546011807,22.4933903782283 58.7547462170969,22.4843261476333 58.7534309113069,22.4749426012245 58.7530591308797,22.4655995880381 58.7536451364234,22.4566554149336 58.7551664581086,22.4484531894148 58.7575647515785,22.4413077271997 58.7607480220026,22.4354935135793 58.764594133538,22.4312341721382 58.768955473245,22.4286938428991 58.7736645947244,22.4279708054125 58.778540629009,22.4290936022662 58.7833962199943,22.4320198270846 58.7880447202264,22.4366376410961 58.792307371177,22.4427699772413 58.7960201909506,22.4501812846258 58.7990403019887,22.4585865633931 58.8012514516469,22.467662345522 58.8025685089328,22.4770591952808 58.8029407601273,22.4864152383151 58.8023538729521,22.4953701840857 58.8008304514572,22.5035792850472 58.7984291596772,22.5107266787593 58.7952424489087,22.5165375858818 58.791392978756,22.5207888862181 58.7870288734775,22.5233176639315 58.782318000505,22.5240273980852 58.7774414954541)))', 'EEKYY', 'Külaküla rand', 'Y'),('SRID=4326;MULTIPOLYGON(((24.2568452662771 59.3870366564137,24.2562997135409 59.3821556230527,24.2538986253067 59.3774226488535,24.2497349764332 59.3730195263084,24.243969278132 59.3691153102361,24.2368233331243 59.3658598446699,24.2285716771556 59.3633780337622,24.2195310409488 59.3617650724148,24.2100482356427 59.3610828152785,24.2004869185575 59.3613574195259,24.1912137336903 59.3625783489929,24.1825843420493 59.3646987765426,24.1749298604749 59.3676373695737,24.1685442139366 59.3712813921751,24.1636728756659 59.375491008255,24.1605034223902 59.3801046247052,24.1591582692673 59.3849450739218,24.1596898722176 59.3898264022618,24.1620785961375 59.394561006616,24.1662333485206 59.3989668463162,24.1719949725665 59.4028744528823,24.1791422858256 59.4061334661093,24.1874005442528 59.4086184417456,24.1964520119629 59.4102337030874,24.2059482288181 59.4109170453302,24.215523495708 59.4106421461031,24.2248090449 59.4094195864784,24.2334473330274 59.4072964417704,24.2411058888412 59.4043544582438,24.2474901671093 59.4007068879821,24.252354902911 59.3964941071764,24.2555135246873 59.391878190735,24.2568452662771 59.3870366564137)))', 'EELAH', 'Laheda', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2567749476163 58.5819134561246,27.2558214552047 58.5770478564229,27.253069396407 58.5723728554263,27.2486251545147 58.5680680002725,27.2426599323162 58.5642985601875,27.2354031102892 58.5612092002471,27.2271334105411 58.5589184512357,27.2181682091839 58.5575141836806,27.2088514042356 58.5570502555814,27.1995402954731 58.5575444589466,27.1905919659387 58.5589778415928,27.1823496714471 58.5612954294311,27.1751297441829 58.5644083223982,27.1692094993199 58.5681970860073,27.164816599807 58.5725163119417,27.1621202846527 58.5772001768561,27.1612248011707 58.5820687901911,27.1621653032246 58.5869350908193,27.1649063875701 58.5916120300079,27.1693433416753 58.5959197655476,27.1753060722528 58.5996925897004,27.1825655781551 58.6027853221971,27.1908427286824 58.6050789188119,27.1998190134107 58.606485075495,27.2091488469777 58.6069496466437,27.2184729461138 58.6064547423507,27.2274322501067 58.6050194215097,27.2356818323786 58.6026989532827,27.2429042512477 58.5995826762466,27.2488218122197 58.5957905400825,27.2532072609469 58.5914684665475,27.255892492737 58.5867827125079,27.2567749476163 58.5819134561246)))', 'EELAL', 'Lahe, Alatskivi v Lahe k', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1692487390401 58.2350563972059,24.1687284251103 58.2301744653238,24.166412908565 58.2254398548446,24.162391823947 58.2210344261218,24.1568201676215 58.217127330075,24.1499122703412 58.213868530246,24.1419335281623 58.211383067768,24.1331902143403 58.2097662853889,24.1240177620064 58.2090801896487,24.1147679599055 58.2093510870515,24.1057955401792 58.2105685821923,24.0974446574421 58.2126859749695,24.0900357619193 58.21562204196,24.0838533561326 58.2192641355078,24.079135094792 58.2234724847991,24.0760626416957 58.2280855378643,24.0747546364683 58.2329261436658,24.0752620492438 58.2378083406944,24.0775661148259 58.2425444941306,24.0815789419756 58.2469525087204,24.0871467914529 58.2508628398699,24.0940559120663 58.2541250315227,24.1020407215216 58.2566135261709,24.1107940228775 58.2582325194458,24.1199788624907 58.2589196682178,24.1292415657622 58.258648505668,24.1382254364607 58.2574294675676,24.1465845766628 58.2553094889205,24.15399727902 58.2523701868256,24.1601784614576 58.2487247014547,24.1648906555125 58.2445133199957,24.1679531210782 58.2398980560376,24.1692487390401 58.2350563972059)))', 'EELAO', 'Lao', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2471947970627 58.1575473676598,22.2461178455596 58.1526895779545,22.2432694059036 58.1480361423957,22.2387595328714 58.1437657747691,22.2327619180785 58.1400424174657,22.2255071575924 58.1370089664579,22.2172738735921 58.134781808863,22.2083780337166 58.1334463786142,22.1991608744565 58.1330538967348,22.1899758826763 58.1336194179363,22.1811753211577 58.1351212563439,22.1730967993515 58.1375018117726,22.1660503890673 58.1406697658739,22.1603067666177 58.1445035663872,22.1560868282788 58.1488560693904,22.1535531754385 58.1535601655354,22.1528038005116 58.1584351783742,22.1538682261274 58.1632937924859,22.156706260352 58.1679492474853,22.1612094325402 58.172222522146,22.1672050712208 58.1759492315078,22.1744628811751 58.178985969278,22.1827037759731 58.1812158479593,22.191610629302 58.1825530193572,22.2008405279712 58.1829459973736,22.2100380456532 58.1823796517644,22.2188490126083 58.1808757939133,22.226934235251 58.178492331448,22.2339826216319 58.1753210252874,22.2397231945989 58.1714839380129,22.2439355221351 58.1671287139261,22.2464581615293 58.1624228766346,22.2471947970627 58.1575473676598)))', 'EELAS', 'Lassi', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3001713393466 58.1405278552647,22.2990877258085 58.1356705273056,22.2962337838897 58.1310182849585,22.2917197783306 58.1267497958905,22.2857195579517 58.1230289301916,22.2784638174693 58.119998488145,22.2702312155891 58.1177747414589,22.2613376931228 58.1164429933384,22.2521243975031 58.11605432373,22.2429446677287 58.1166236412769,22.2341505654969 58.1181291145913,22.2260794535119 58.1205130040655,22.2190411204317 58.1236838633358,22.2133059336511 58.1275200284374,22.2090944664074 58.1318742643555,22.2065689951701 58.1365793947963,22.2058271979464 58.1414547031387,22.2068983055503 58.1463128621697,22.2097418681303 58.1509671286125,22.2142492011053 58.1552385266505,22.2202474714968 58.1589627433299,22.2275062814598 58.1619964682112,22.2357465049912 58.1642229298042,22.2446510409529 58.1655564115832,22.253877065206 58.1659455696674,22.2630693009291 58.1653754210473,22.2718737825047 58.1638679236344,22.2799515670664 58.1614811251877,22.2869918501183 58.158306914936,22.2927239674039 58.1544674670011,22.2969278129914 58.1501105161788,22.2994422707407 58.145403652082,22.3001713393466 58.1405278552647)))', 'EELAT', 'Läätsa', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0202266585475 59.6153772142865,26.0194225669254 59.6105041558307,26.0167583504917 59.6058041828072,26.0123370819104 59.6014578059783,26.0063291406126 59.5976318891573,25.998965593603 59.594473261857,25.9905292877957 59.5921031068765,25.9813440003415 59.5906123339232,25.971762060793 59.5900581124238,25.9621509109299 59.5904616927668,25.9528791036408 59.5918075969498,25.9443022608353 59.5940442086334,25.9367495116751 59.5970857406445,25.9305109164514 59.6008155067492,25.9258263484378 59.6050903757412,25.9228762565644 59.609746241238,25.9217746667138 59.6146043016376,25.9225647002483 59.6194779129448,25.9252167970481 59.624179753936,25.9296297295518 59.6285290294685,25.9356343874217 59.6323584344283,25.9430002035292 59.6355206082653,25.9514439855147 59.6378938282524,25.9606408180488 59.6393867180618,25.9702366139439 59.6399417859941,25.9798618219133 59.6395376527986,25.9891457488449 59.6381898806449,25.9977309277219 59.6359503702545,26.0052869602923 59.6329053501031,26.0115232863994 59.6291720374627,26.0162003782261 59.6248941034672,26.0191389250258 59.6202361211175,26.0202266585475 59.6153772142865)))', 'EELBI', 'Lobi', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8471508660769 59.5654419702244,25.8463729172455 59.5605679036678,25.8437367372354 59.5558644734065,25.8393443214882 59.551512324496,25.8333649429936 59.5476785437357,25.8260285752539 59.5445102635722,25.8176170260115 59.5421290379334,25.808453126703 59.5406262015629,25.7988883901081 59.540059386558,25.7892896007808 59.5404503259724,25.7800248386002 59.5417840261115,25.7714494545572 59.5440093381988,25.7638925194227 59.5470409081283,25.7576442502217 59.5507624317727,25.7529448866883 59.5550310944993,25.7499754406615 59.5596830288276,25.7488506766117 59.5645395851453,25.7496146025733 59.569414178555,25.7522386597046 59.5741194515706,25.7566226981602 59.5784744785948,25.7625987203185 59.5823117346619,25.7699372636528 59.5854835582418,25.7783561892102 59.5878678559534,25.7875315425789 59.5893728253573,25.797110067201 59.5899405096202,25.8067228794167 59.5895490433517,25.8159997644851 59.5882135004552,25.8245835258137 59.5859853102512,25.832143817267 59.5829502650133,25.8383899108548 59.5792251979534,25.8430818980643 59.574953463157,25.8460398900369 59.5702993957987,25.8471508660769 59.5654419702244)))', 'EELBL', 'Loobu jõe lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0152558607226 59.6353791628472,26.0144520405554 59.6305060892934,26.0117869635961 59.6258060271588,26.0073637366123 59.6214594905781,26.0013528150692 59.6176333493945,25.9939853808959 59.614474441593,25.9855444303465 59.6121039605839,25.9763539185941 59.6106128284436,25.9667663751266 59.6100582282739,25.9571494560157 59.6104614249381,25.947871934724 59.6118069551647,25.9392896517132 59.6140432170364,25.931731944433 59.6170844369321,25.9254890633122 59.6208139407617,25.9208010463659 59.6250886075663,25.9178484755333 59.6297443388939,25.9167454727918 59.6346023384276,25.9175352148658 59.6394759645888,25.9201881539748 59.6441778955977,25.924603031227 59.6485273328006,25.9306106623295 59.6523569647621,25.9379803662966 59.655519422058,25.9464288013231 59.6578929708992,25.9556308727938 59.6593862221594,25.9652322913571 59.6599416701191,25.97486328858 59.6595379208463,25.9841529477307 59.6581905217426,25.9927435804669 59.6559513592453,26.0003045781701 59.6529066485703,26.0065451894781 59.6491735952474,26.0112257219386 59.6448958606136,26.0141667330592 59.6402380101693,26.0152558607226 59.6353791628472)))', 'EELBN', 'Lobineem', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1529086003406 57.9385831686582,22.1518513460596 57.9337243534449,22.149032827945 57.9290685543654,22.1445619437512 57.9247945775932,22.1386108833146 57.9210665059968,22.1314084544006 57.9180274184457,22.123231272967 57.9157939200835,22.1143931588706 57.9144516894049,22.1052331405494 57.9140522089969,22.0961025198338 57.9146108020515,22.087351479812 57.9161060478441,22.0793157340233 57.9184805979869,22.0723037139169 57.9216433631343,22.0665847735011 57.925472988704,22.0623788557223 57.9298224897932,22.0598480149767 57.9345248715199,22.0590901252863 57.9393995230868,22.0601350256057 57.9442591434215,22.0629432645456 57.9489169345642,22.0674075092619 57.9531937870683,22.0733565807198 57.9569251802617,22.0805619739613 57.9599675295922,22.0887466217397 57.9622037333395,22.097595567516 57.9635477011379,22.1067681338254 57.9639476859392,22.1159111085168 57.9633882877619,22.1246724277184 57.9618910499033,22.1327148129775 57.9595136240261,22.1397288220473 57.9563475372807,22.1454447981214 57.9525146499329,22.1496432495504 57.9481624434613,22.1521632586234 57.9434583246174,22.1529086003406 57.9385831686582)))', 'EELBR', 'Läbara', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6410749542252 58.0607717847765,27.640083362553 58.0559087599652,27.6373215662899 58.0512416702357,27.6328962958458 58.0469497584205,27.6269780024116 58.0431977979943,27.619794248452 58.0401297856333,27.6116209437133 58.0378634362528,27.6027717663331 58.0364856877097,27.5935861718701 58.0360493836164,27.5844164414053 58.0365712581426,27.5756142523261 58.0380312978991,27.5675172714088 58.0403735046754,27.5604362690937 58.0435080306799,27.5546432364092 58.0473146067598,27.5503609521275 58.0516471355731,27.547754398047 58.0563392775521,27.5469243557886 58.0612108193165,27.5479034406803 58.0660745834471,27.5506547392476 58.0707436164898,27.5550731192585 58.0750383797608,27.5609891785295 58.0787936656779,27.5681756947303 58.0818649712891,27.5763563375915 58.0841340803115,27.5852163118143 58.0855136347569,27.5944145181169 58.0859505160803,27.6035967553769 58.0854279022338,27.6124094421575 58.0839659191613,27.6205133135013 58.0816208609266,27.6275965499644 58.0784830094302,27.6333868203931 58.0746731401013,27.6376617665465 58.0703378516489,27.6402575237913 58.0656439037701,27.6410749542252 58.0607717847765)))', 'EELBT', 'Lüübnitsa', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0527705568468 59.3411124961697,24.0522548711587 59.3362308317132,24.0498853572936 59.3314943368748,24.0457537772026 59.3270849410975,24.0400194125407 59.323171941626,24.0329028666425 59.3199055208733,24.0246775514052 59.3174110041944,24.0156591915274 59.3157840743006,24.0061937476631 59.3150871215834,23.9966442140243 59.3153468664613,23.9873767837406 59.3165533421028,23.9787468962223 59.3186602751705,23.9710856845645 59.321586850298,23.964687327644 59.3252207925729,23.9597977812097 59.3294226530778,23.9566053154742 59.3340311372083,23.9552332243475 59.3388692756526,23.9557349948522 59.3437512050668,23.9580921363408 59.3484893009506,23.9622147704422 59.3529013901167,23.9679449774479 59.3568177652772,23.9750627869923 59.3600877301016,23.9832945948036 59.3625854196818,23.9923236877498 59.3642146682604,24.0018024711638 59.3649127324466,24.0113659200048 59.3646527226103,24.0206457226756 59.3634446459208,24.0292845561799 59.361335019461,24.036949925478 59.3584050686426,24.0433470187335 59.3547675822967,24.0482300725833 59.3505625488933,24.0514118052541 59.3459517460811,24.0527705568468 59.3411124961697)))', 'EELBY', 'Lillby, Väike-Pakri', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4482525170408 58.938468857066,22.4471216722638 58.933613578286,22.4441808185689 58.9289655813402,22.4395435909547 58.9247033661808,22.4333885911271 58.9209905559523,22.4259524640185 58.9179696351411,22.4175207869119 58.9157565038892,22.4084171237554 58.9144360532053,22.398990660861 58.9140589266946,22.3896028884914 58.9146395896127,22.3806138249077 58.9161557771459,22.3723682947361 58.9185493424883,22.3651827717639 58.9217284732661,22.3593332775072 58.9255711938728,22.3550447913968 58.9299300230519,22.3524825768188 58.9346376122658,22.3517457605274 58.9395131526154,22.3528634226643 58.944369307783,22.3557933628772 58.9490194089355,22.3604236076452 58.9532846357747,22.3665766183392 58.9570009066559,22.3740160528581 58.9600252102398,22.382455830399 58.9622411313877,22.3915711537975 58.9635633543537,22.4010110615735 58.9639409657184,22.4104120165992 58.9633594264112,22.4194119936701 58.9618411346684,22.4276645066795 58.9594445576434,22.4348520187681 58.956261966212,22.4406982055986 58.9524158628341,22.4449785912692 58.948054243762,22.4475291456137 58.9433448822687,22.4482525170408 58.938468857066)))', 'EELDJ', 'Luidja', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1462535757456 58.1983247092271,26.1454624604695 58.1934514045057,26.1428864868133 58.1887531944208,26.1386252711304 58.1844105270458,26.1328429959156 58.1805901321224,26.1257620357452 58.1774386375691,26.1176543866962 58.175076963202,26.1088312322988 58.173595702774,26.0996310441143 58.1730516674193,26.0904066652214 58.1734657195623,26.081511859228 58.1748219779468,26.0732878252859 58.1770684233116,26.0660501806864 58.1801188821374,26.0600768969393 58.1838563145469,26.0555976430515 58.1881372835901,26.0527849416038 58.1927974384816,26.0517474801265 58.1976578054692,26.0525258436493 58.2025316483912,26.0550908461411 58.2072316379262,26.059344541507 58.2115770550961,26.0651238921537 58.2154007515286,26.072206968747 58.2185555966804,26.080321453007 58.2209201606372,26.0891551208063 58.2224034097314,26.0983679000122 58.2229482300721,26.1076050306739 58.2225336397274,26.116510807839 58.2211756018902,26.1247423620927 58.2189264067277,26.1319829312455 58.2158726463915,26.1379540985542 58.2121318633844,26.1424265172237 58.2078480047543,26.1452287052749 58.2031858611992,26.1462535757456 58.1983247092271)))', 'EELDK', 'Loskini', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1230767932533 58.0665936493172,22.12201958885 58.0617346818169,22.1191946599927 58.0570783351946,22.1147111562537 58.0528034363002,22.1087417563158 58.0490741027516,22.101515974445 58.0460334610109,22.093311323344 58.0437981749652,22.0844426755053 58.042453990896,22.0752502278995 58.0420524657535,22.0660865226178 58.0426090009184,22.0573030079826 58.0441022547352,22.0492366400565 58.0464749557282,22.0421970231808 58.0496360862977,22.0364545701433 58.0534643555794,22.0322301281378 58.0578128317753,22.0296864664258 58.062514560305,22.0289219565899 58.0673889561814,22.0299666979821 58.0722487285509,22.0327812515303 58.0769070736278,22.037258047208 58.0811848603164,22.0432254275752 58.0849175313589,22.0504541858309 58.0879614521901,22.0586663561478 58.0901994597108,22.0675459213019 58.0915453933192,22.076751022259 58.0919474297128,22.0859271905662 58.0913900896775,22.0947210805157 58.0898948374033,22.1027941564959 58.0875192486134,22.1098357929268 58.0843547805492,22.115575269565 58.0805232321784,22.1197921923495 58.0761720345101,22.1223249367533 58.0714685564438,22.1230767932533 58.0665936493172)))', 'EELDM', 'Lindmetsa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3131552354178 58.1285231122011,22.3120702439793 58.1236658912224,22.3092155961196 58.1190139337743,22.3047015830355 58.1147458965453,22.2987020532452 58.111025632285,22.2914476745056 58.1079959182371,22.2832170530053 58.105772998245,22.2743260535277 58.1044421438782,22.2651157268757 58.1040544008717,22.2559392984805 58.1046246423761,22.2471487038185 58.1061310015754,22.2390811714715 58.1085157048484,22.2320463531262 58.1116872745346,22.2263144815306 58.1155240192952,22.2221060027103 58.1198786817279,22.2195830782174 58.1245840690142,22.2188432878635 58.1294594545271,22.2199157848111 58.1343175079716,22.2227600651664 58.1389714900491,22.22726741609 58.14324243584,22.2332650033191 58.1469660497934,22.2405224548373 58.1499990447052,22.2487606966565 58.1522246772499,22.25766270387 58.1535572628959,22.2668857498452 58.153945492336,22.2760746727458 58.1533744183645,22.2848756349171 58.151866034533,22.2929498294171 58.1494784226955,22.2999865903081 58.1463035033153,22.3057153891106 58.1424634776921,22.309916247607 58.1381061027097,22.3124281643715 58.1333989841468,22.3131552354178 58.1285231122011)))', 'EELDN', 'Laidunina', 'Y'),('SRID=4326;MULTIPOLYGON(((24.438889121173 57.9539537339848,24.4383350295663 57.9490724788207,24.4360008600012 57.9443424593787,24.4319769484738 57.9399453587324,24.4264183859494 57.9360500080669,24.4195389894211 57.9328059209741,24.4116030541715 57.9303375754961,24.4029152088006 57.9287396594372,24.3938087610417 57.9280734572765,24.3846329742309 57.9283645136388,24.3757397504531 57.9296016603027,24.3674702162065 57.9317374428262,24.3601417095811 57.93468993078,24.3540356544108 57.9383458440507,24.3493867768623 57.9425648784343,24.3463740740259 57.9471850684855,24.3451138831763 57.9520289859291,24.3456553258663 57.9569105393612,24.3479783148098 57.9616421168045,24.3519942161572 57.9660417979942,24.3575491584215 57.9699403588813,24.364429875764 57.9731877971474,24.3723718718236 57.9756591245643,24.3810695952988 57.9772591993541,24.3901882346037 57.9779264083898,24.399376670347 57.9776350537588,24.4082810747549 57.9763963490911,24.4165586191779 57.9742579860215,24.42389074605 57.9713022878444,24.4299954803905 57.9676430234011,24.4346382971204 57.9634210070811,24.437641121856 57.9587986583017,24.438889121173 57.9539537339848)))', 'EELDO', 'Loode oja lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((26.20646651513 58.3573029775128,26.2056637519472 58.3524301396433,26.2030684058375 58.3477332150107,26.1987808434674 58.3433926012396,26.1929662630986 58.3395749478917,26.1858482809996 58.3364267762487,26.1777003131159 58.334068877324,26.1688350868953 58.3325916990208,26.1595926833725 58.3320518952957,26.1503275599156 58.3324701661545,26.1413950384182 58.3338304688922,26.133137761569 58.3360806298706,26.125872620861 58.3391343340396,26.1198786442069 58.3428744180848,26.1153862986628 58.3471573442628,26.1125686154093 58.3518186873428,26.1115344807496 58.3566794282195,26.1123243599088 58.3615528161662,26.1149086318539 58.366251538673,26.119188615858 58.3705949244059,26.1250002673981 58.3744159017975,26.1321204160965 58.3775674435112,26.1402753161663 58.3799282454705,26.1491511847985 58.3814074178109,26.1584063207466 58.3819480030011,26.1676843282429 58.3815291820641,26.1766279239122 58.3801670814495,26.1848927791219 58.3779141485065,26.1921608486435 58.3748571202924,26.1981526586823 58.3711136661776,26.202638072033 58.3668278369677,26.2054451128805 58.3621644998533,26.20646651513 58.3573029775128)))', 'EELDR', 'Lindre', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1224992011874 58.4012217316277,23.1212942044323 58.3963725730879,23.1183110084646 58.3917399459841,23.1136648425096 58.3875017577825,23.1075346222382 58.3838207091215,23.1001560187006 58.3808380672831,23.0918123881482 58.3786682667691,23.0828239132741 58.3773945400147,23.0735353684905 58.3770657418534,23.064302968825 58.3776944862808,23.0554807929179 58.3792566649702,23.0474072849037 58.3816923655525,23.0403923374134 58.3849081556072,23.0347054385623 58.3887806473774,23.0305653299052 58.3931612101279,23.0281315705736 58.3978816535057,23.0274983362172 58.4027606678144,23.0286907015017 58.4076107772399,23.0316635639299 58.4122455410288,23.0363032674633 58.4164867264248,23.042431880278 58.4201711764943,23.049813976048 58.4231571061219,23.0581656668643 58.4253295802693,23.0671655429328 58.4266049594643,23.0764670941107 58.4269341373036,23.0857121252613 58.4263044419891,23.0945446347122 58.4247401266116,23.1026246051395 58.4223014288324,23.1096411600701 58.4190822373684,23.1153245666742 58.4152064578106,23.1194566150631 58.4108232214296,23.121878973209 58.4061011256138,23.1224992011874 58.4012217316277)))', 'EELDS', 'Laiduse', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7930540432091 58.8013411979298,22.7918798591517 58.7964890953371,22.7889049725775 58.7918490537441,22.7842443149646 58.7875992657903,22.7780773767002 58.7839028765489,22.7706412512291 58.7809017401238,22.7622215084993 58.7787109980862,22.7531412506585 58.7774146835737,22.7437487659787 58.7770625156022,22.7344042447371 58.777668003204,22.7254660523447 58.7792079300113,22.7172770698269 58.7816232385301,22.7101516095889 58.7848212813184,22.7043633952669 58.7886793553343,22.7001350586547 58.793049387573,22.6976295548471 58.7977635964374,22.696943829864 58.8026409156845,22.698104994676 58.8074939377068,22.7010691678684 58.812136111622,22.7057230489774 58.8163889201644,22.7118881792787 58.8200887584041,22.7193277405775 58.8230932471588,22.7277556398554 58.8252867344951,22.7368475332052 58.8265847693279,22.7462533609523 58.8269373707375,22.7556109014548 58.8263309637046,22.7645598072338 58.8247889045721,22.772755566247 58.822370575462,22.7798828344308 58.8191690836746,22.7856676129097 58.8153076573306,22.789887792969 58.8109348797961,22.7923816612762 58.8062189506142,22.7930540432091 58.8013411979298)))', 'EELDU', 'Laidu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9063714053268 58.3013025624299,22.9051996518818 58.2964511283309,22.9022533140934 58.2918132076878,22.8976462042768 58.2875669132178,22.8915557396461 58.2838752585911,22.8842160684571 58.2808799196438,22.8759090575891 58.2786958191053,22.8669534899909 58.2774067385077,22.8576928826075 58.2770621216168,22.8484823825171 58.2776751887317,22.8396752301089 58.2792224321444,22.8316092926719 58.2816445116185,22.824594169488 58.2848485166709,22.8188993504574 58.2887115114585,22.8147438747372 58.2930852299186,22.8122878844682 58.2978017451603,22.8116264024573 58.3026798995476,22.8127855832105 58.3075322519143,22.8157215961268 58.312172277168,22.8203222007583 58.3164215421843,22.8264109702481 58.3201165810545,22.8337540144139 58.3231152027226,22.8420689528742 58.3253019846943,22.8510357957772 58.326592737213,22.860309309613 58.3269377619774,22.8695323824098 58.3263237765933,22.8783498596945 58.3247744285671,22.8864223023083 58.3223493785442,22.893439120617 58.3191419892474,22.8991305666564 58.3152757117406,22.9032781147799 58.3108993118502,22.9057228297524 58.30618112469,22.9063714053268 58.3013025624299)))', 'EELDV', 'Laidevahe', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1932103075311 58.1685672867273,22.1921403560051 58.1637090251914,22.1892980485887 58.1590543710371,22.1847932056634 58.1547820851773,22.1787993270173 58.1510561838725,22.1715468666053 58.1480196608438,22.1633143594475 58.1457890210838,22.1544177441408 58.1444498320241,22.1451982872432 58.1440534587288,22.1360095636006 58.1446151050185,22.1272039785569 58.146113233532,22.1191193333562 58.1484903863553,22.1120659336529 58.1516553757465,22.1063147228927 58.1554867633914,22.1020868877302 58.1598374982728,22.0995453322064 58.1645405393091,22.0987883521575 58.1694152510082,22.099845762785 58.1742743299586,22.1026776425878 58.17893099831,22.1071757586928 58.1832061885069,22.1131676354111 58.1869354421304,22.1204231235665 58.1899752550994,22.1286632271955 58.1922086215575,22.1375708512085 58.1935495589572,22.1468030530701 58.1939464360652,22.1560043176258 58.1933839723597,22.1648203302883 58.1918838296463,22.1729117023017 58.1895037724833,22.1799671039172 58.1863354307725,22.1857152869195 58.1825007531886,22.1899355256057 58.1781472916119,22.1924660724306 58.1734425022381,22.1932103075311 58.1685672867273)))', 'EELEB', 'Labuna', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5432032744146 59.6055562750075,25.5424685014117 59.6006806308573,25.539871805054 59.5959712936739,25.5355136698687 59.5916091374896,25.5295620597788 59.5877616348991,25.5222458901086 59.5845764459519,25.5138462006175 59.5821757736689,25.5046853732213 59.5806516985401,25.4951148059709 59.5800626666438,25.4855015073893 59.5804312623044,25.4762141114319 59.5817433480555,25.4676088325109 59.5839486037705,25.4600158819505 59.5869624448717,25.4537268518865 59.5906692482519,25.4489835402342 59.5949267656642,25.4459686414562 59.599571559509,25.4447986633836 59.6044252567914,25.4455193516687 59.6093013850015,25.4481038125636 59.6140125301089,25.452453424277 59.6183775428422,25.4584015205087 59.6222285157234,25.4657197208912 59.6254172603833,25.4741266765117 59.6278210324756,25.4832988992539 59.6293472795919,25.4928832562277 59.6299372249878,25.5025106395458 59.6295681452664,25.5118102709755 59.6282542515883,25.5204240733627 59.6260461393211,25.5280205377639 59.6230288279276,25.5343075370967 59.6193184688357,25.5390435826104 59.6150578516171,25.5420470860481 59.6104108857879,25.5432032744146 59.6055562750075)))', 'EELEE', 'Leesi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.061101200117 58.1270950974155,24.0605968235509 58.1222128011418,24.058302290918 58.1174763524107,24.0543064270007 58.113067683367,24.0487632577471 58.109156070632,24.0418860203068 58.1058916523493,24.0339389357988 58.1033996862879,24.0252270658551 58.1017757654316,24.0160846411059 58.101082170493,24.0068623022377 58.1013454955734,23.9979137310031 58.1025556353277,23.9895821689033 58.1046661711721,23.9821873249042 58.1075961420151,23.9760131604217 58.1112331334434,23.971297010175 58.1154375699896,23.9682204518794 58.1200480497383,23.9669022770449 58.1248875206941,23.9673938407139 58.1297700655499,23.9696769817295 58.1345080370601,23.9736646095777 58.138919271251,23.9792039521782 58.1428341009816,23.9860823549574 58.1461018983501,23.9940354193875 58.1485968911523,24.0027571734495 58.1502230256101,24.0119118817452 58.1509176840094,24.0211470335265 58.1506541103462,24.0301069963876 58.1494424478105,24.0384467945532 58.147329346816,24.0458454651919 58.1443961589757,24.0520184643196 58.1407557884622,24.0567286346351 58.1365483251775,24.0597953088154 58.1319356318303,24.061101200117 58.1270950974155)))', 'EELEM', 'Lemsi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7859629234691 59.4548391772131,24.7853402320092 59.4499600448499,24.7828604873272 59.4452364850504,24.7786196830824 59.440849924439,24.7727812862144 59.4369687782253,24.7655698799352 59.4337420021493,24.7572625004102 59.4312933977835,24.7481780049332 59.4297168855438,24.7386648778947 59.4290729224179,24.7290879340996 59.4293861979863,24.7198144159574 59.4306446943504,24.7112000011407 59.4328001447739,24.7035752401829 59.4357698738947,24.6972329291389 59.439439951003,24.6924168910957 59.4436695388193,24.6893125925113 59.4482962751222,24.6880399569816 59.4531424850687,24.688648661447 59.4580219896061,24.6911161100017 59.46274725132,24.6953481809583 59.4671365844858,24.701182736942 59.4710211517981,24.7083957794842 59.4742514766863,24.7167100233175 59.4767032173029,24.7258055661214 59.4782819757659,24.7353322416491 59.4789269531197,24.7449231724574 59.4786133053764,24.7542089867368 59.4773531070949,24.7628321348371 59.4751948841139,24.7704607366627 59.4722217338927,24.7768014114249 59.4685481079731,24.7816105851498 59.4643153839088,24.7847038364119 59.4596864013858,24.7859629234691 59.4548391772131)))', 'EELEN', 'Lennusadam', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8281797060755 59.585449186529,25.827404075153 59.580575029148,25.8247690153639 59.5758712346254,25.8203764803415 59.5715184620625,25.8143957487566 59.5676838221851,25.8070568468983 59.5645144803332,25.7986416802525 59.5621320310492,25.789473219147 59.5606278558803,25.7799031510809 59.5600596381512,25.7702984645314 59.5604491646316,25.7610274648139 59.5617814957962,25.7524457413855 59.564005535429,25.7448826075376 59.5670359783633,25.7386285177164 59.570756563903,25.7339239349745 59.5750245136511,25.730950071841 59.5796759877472,25.7298218631177 59.5845323544881,25.7305834501781 59.5894070364523,25.7332063652567 59.5941126728802,25.7375905036404 59.5984683242578,25.7435678649718 59.6023064415864,25.7509089360561 59.6054793301162,25.7593314811665 59.6078648553548,25.7685114066728 59.6093711674682,25.7780952797235 59.6099402578006,25.7877140101539 59.609550206736,25.7969971545909 59.6082160336632,25.805587274652 59.6059891152125,25.8131537787359 59.6029551948254,25.8194056993124 59.5992310626089,25.8241029035807 59.5949600369091,25.8270653023194 59.5903064258717,25.8281797060755 59.585449186529)))', 'EELEO', 'Leeotsa', 'Y'),('SRID=4326;MULTIPOLYGON(((24.9161078199442 59.5517912147753,24.9154648209372 59.5469126624939,24.9129599941525 59.5421915040153,24.9086903000265 59.5378090723548,24.9028203161393 59.5339336227645,24.8955758374648 59.5307138910205,24.887235166808 59.5282734073374,24.8781184349603 59.5267057799044,24.8685753586189 59.5260711246363,24.8589718973357 59.5263937742454,24.8496763076545 59.5276613517582,24.8410451125424 59.5298252427795,24.833409506945 59.5328024488631,24.8270627057513 59.5364787530114,24.8222487088954 59.5407130792955,24.8191529102495 59.5453428835553,24.8178949132918 59.5501903726867,24.8185238386226 59.5550693176528,24.8210163182069 59.5597922013779,24.8252772713554 59.5641774281943,24.8311434512236 59.5680563173133,24.8383896419688 59.5712796093221,24.8467372801428 59.573723231988,24.8558651742149 59.5752930992393,24.8654219081396 59.5759287541687,24.8750394431179 59.5756057118741,24.8843473800096 59.5743364091119,24.8929873160943 59.5721697229315,24.9006267256938 59.5691890773175,24.9069718147979 59.5655092129053,24.9117788441266 59.5612717476413,24.9148634805529 59.5566397035663,24.9161078199442 59.5517912147753)))', 'EELEP', 'Leppneeme', 'Y'),('SRID=4326;MULTIPOLYGON(((26.6601396331344 59.5511367854059,26.659244575567 59.5462676712464,26.6564962735788 59.5415807247729,26.6520010183493 59.5372559519657,26.6459320155713 59.5334593838025,26.638522660233 59.5303367213079,26.6300575423126 59.5280077666007,26.6208615327475 59.5265618493577,26.6112873656022 59.5260544198462,26.6017021834885 59.5265049355309,26.5924735480155 59.5278961198226,26.5839554347884 59.5301746204753,26.5764747329728 59.5332530431631,26.5703187526844 59.537013284617,26.565724209712 59.5413110410688,26.5628681068925 59.545981323321,26.5618608657777 59.5508447711234,26.5627419825063 59.5557145281706,26.5654783900633 59.560403416228,26.5699656080869 59.5647311337274,26.5760316544775 59.568531201389,26.583443584334 59.5716573854218,26.5919164157351 59.5739893475842,26.6011241034377 59.5754373003411,26.6107121354851 59.575945483536,26.6203112584559 59.5754943249624,26.629551788368 59.5741011990837,26.638077938794 59.5718197537357,26.6455615969791 59.5687378315482,26.6517150027309 59.5649740685573,26.6563018322146 59.5606733046533,26.6591462569037 59.5560009868904,26.6601396331344 59.5511367854059)))', 'EELET', 'Letipea', 'Y'),('SRID=4326;MULTIPOLYGON(((25.6031083224977 59.5395334114864,25.6023661872072 59.5346580299685,25.5997660613622 59.5299498226927,25.5954085572255 59.5255896201252,25.5894616108918 59.5217448199242,25.5821539559056 59.5185629786908,25.5737663036671 59.5161661713997,25.5646205739447 59.5146463307252,25.5550675865457 59.5140617407332,25.5454736775784 59.5144348156563,25.5362067397723 59.5157512463006,25.5276222053951 59.5179605457145,25.5200494921503 59.5209779737858,25.5137794170321 59.5246877691617,25.5090530506901 59.5289475680109,25.5060524359681 59.5335938443452,25.5048935298277 59.5384481674814,25.5056216492641 59.5433240402476,25.5082096110385 59.5480340580195,25.5125586547555 59.5523971146999,25.5185021323438 59.5562453781184,25.5258118383477 59.5594307644308,25.5342067491223 59.5618306589561,25.5433638398548 59.5633526590159,25.5529305611259 59.5639381517967,25.562538485966 59.5635645856244,25.5718175878518 59.562246344481,25.5804105826432 59.560034190951,25.5879867646161 59.5570132996606,25.5942547886978 59.5532999592067,25.5989738964945 59.5490370731262,25.6019631502122 59.5443886374098,25.6031083224977 59.5395334114864)))', 'EELGU', 'Loigu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.956364035215 58.3229136200878,23.955048074543 58.3180734600031,23.9519634184998 58.3134613174647,23.9472291785848 58.3092543079023,23.9410276340155 58.3056139310876,23.9335971746096 58.3026798911613,23.925223129495 58.3005647572996,23.9162268355533 58.2993496657426,23.9069533605574 58.2990812241135,23.8977583418718 58.2997697336129,23.8889944314267 58.301388795402,23.8809978509394 58.303876315959,23.8740755577932 58.3071368741565,23.8684935016351 58.3110453619886,23.8644664149434 58.315451763011,23.8621495281937 58.3201868893156,23.8616325329036 58.3250688608391,23.8629360353433 58.3299100814364,23.866010652275 58.334524445701,23.8707388005624 58.3387344999662,23.8769391283851 58.3423782809323,23.8843734311677 58.3453155662077,23.8927557946658 58.3474332925408,23.9017636156003 58.3486499290106,23.911050071316 58.3489186327945,23.9202575482479 58.3482290627808,23.9290314978078 58.3466077792626,23.9370341699134 58.3441172140004,23.9439576797898 58.3408532516509,23.9495358925573 58.3369415184712,23.9535546608622 58.3325325249804,23.9558600206283 58.3277958537655,23.956364035215 58.3229136200878)))', 'EELHE', 'Lahe, Tõstamaa v Kastna k', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1382284555304 58.1815875715631,22.1371655838764 58.176728835355,22.1343293842034 58.1720729458456,22.1298294435338 58.1677987117178,22.1238390748154 58.1640702242473,22.1165885986266 58.161030576512,22.1083564749714 58.1587963933883,22.0994586284862 58.1574533781419,22.0902363732436 58.1570530424522,22.0810433912223 58.1576107419659,22.0722322504619 58.1591050905926,22.0641409643578 58.1614787753808,22.0570800922222 58.1646407417175,22.0513208631529 58.1684696674897,22.0470847707026 58.1728185964842,22.0445350354512 58.1775205573536,22.0437702673701 58.1823949565393,22.0448205813528 58.1872545030867,22.0476463295694 58.1919124015795,22.0521395161359 58.1961895374858,22.0581278563571 58.199921377761,22.0653813384783 58.2029643188932,22.0736210448727 58.2052012346162,22.0825298965016 58.2065460056498,22.0917649038576 58.2069468530117,22.1009704435649 58.2063883431573,22.1097920357868 58.2048919855445,22.1178900759866 58.2025153989751,22.1249529766039 58.1993500798328,22.1307091997262 58.195517860665,22.1349377094322 58.1911661990741,22.1374764395471 58.18646248242,22.1382284555304 58.1815875715631)))', 'EELHG', 'Lahetaguse', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5422149479484 59.6135566931405,25.5414801608271 59.6086810491316,25.5388830026059 59.6039716961239,25.5345239759626 59.5996095087308,25.5285710793698 59.5957619606986,25.5212532777288 59.5925767137616,25.512851673477 59.5901759731034,25.5036887219073 59.5886518217814,25.4941159023574 59.5880627087568,25.4845003094757 59.5884312214482,25.4752106649369 59.5897432255791,25.4666032691637 59.5919484041865,25.4590084145372 59.5949621757032,25.4527177662263 59.5986689197576,25.44797318437 59.6029263904484,25.444957412449 59.607571152032,25.4437869921923 59.6124248327985,25.4445076866749 59.6173009608966,25.4470926023617 59.6220121222989,25.4514431003874 59.6263771670809,25.4573924806854 59.6302281864855,25.4647123136824 59.6334169902938,25.4731211876894 59.6358208318206,25.4822955406611 59.6373471559286,25.4918821574987 59.637937182869,25.5015118430379 59.6375681860874,25.5108137301205 59.6362543735589,25.5194296545057 59.6340463375593,25.5270280254095 59.6310290946686,25.5333166423456 59.6273187937439,25.5380539544374 59.6230582221874,25.541058324962 59.6184112878212,25.5422149479484 59.6135566931405)))', 'EELHK', 'Luha', 'Y'),('SRID=4326;MULTIPOLYGON(((27.405531838274 57.6408593692316,27.4045835994125 57.6359941520039,27.4018843270111 57.631321585545,27.3975383357015 57.6270211264412,27.3917130242468 57.6232578802424,27.3846323842055 57.6201762807113,27.3765683728032 57.6178945675509,27.367830484397 57.6165002705395,27.3587539178092 57.6160468693703,27.3496867849715 57.6165517539893,27.3409768387825 57.6179955614695,27.3329582142328 57.6203229141223,27.3259386764213 57.6234445313897,27.3201878520792 57.6272406368111,27.315926887919 57.6315655327767,27.3133199301497 57.6362531715324,27.3124677558507 57.6411235126094,27.3134038100772 57.6459894259773,27.3160928146315 57.6506638780385,27.3204320180674 57.6549671251415,27.3262550550153 57.6587336372893,27.3333382801929 57.6618184835084,27.341409342814 57.6641029298166,27.3501576750387 57.665499030338,27.3592464880666 57.6659530308111,27.3683258055533 57.6654474500507,27.3770460195949 57.6640017569656,27.3850714320121 57.661671616311,27.3920932443161 57.6585467330936,27.3978414835079 57.6547473809854,27.4020953964437 57.6504197518746,27.4046919104007 57.6457303096114,27.405531838274 57.6408593692316)))', 'EELHM', 'Luhamaa', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7519661250541 59.4578519419108,24.7513482910068 59.4529726790459,24.7488730918249 59.4482485034834,24.744636347104 59.4438608657428,24.7388013686373 59.4399782225806,24.7315926092387 59.436749587315,24.7232870042887 59.4342988329087,24.7142033436397 59.4327199622441,24.7046900800629 59.4320735227073,24.6951120337104 59.4323842987705,24.6858364890848 59.4336403683152,24.6772192011225 59.4357935576347,24.6695908299147 59.4387612781061,24.6632443092878 59.4424296761584,24.6584236231665 59.4466579790939,24.6553144158732 59.4512838742262,24.654036799176 59.4561297192725,24.654640641335 59.4610093494789,24.6571035335759 59.4657352228768,24.6613315299211 59.4701256304675,24.6671626504394 59.4740116938106,24.6743730296579 59.4772438788966,24.6826854855975 59.4796977723348,24.6917801854068 59.4812788933529,24.7013069957015 59.4819263519683,24.7108990339611 59.4816152085629,24.7201868855377 59.4803574411799,24.7288129218711 59.4782014820071,24.7364451510109 59.4752303413531,24.742790051799 59.4715583934813,24.7476038869207 59.4673269515167,24.7507020550583 59.462698806034,24.7519661250541 59.4578519419108)))', 'EELHS', 'Lahesuu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7464263602208 59.0673568568356,22.7452489715461 59.0625045342845,22.7422567084136 59.0578636828823,22.7375651820193 59.053612525439,22.7313550771884 59.0499142580516,22.7238651493855 59.0469108049844,22.7153830338181 59.0447173947161,22.7062342221246 59.0434181610209,22.6967696256076 59.043062933701,22.6873521920524 59.0436653386794,22.6783430749652 59.0452022781942,22.6700878690148 59.0476148104928,22.662903423329 59.05081039642,22.6570657251092 59.0546664293627,22.6527993100629 59.0590349168749,22.6502686040406 59.063748138631,22.6495715330183 59.0686250677262,22.6507356577272 59.0734783122326,22.6537169969437 59.0781213125796,22.6584016025378 59.0823755188007,22.6646098433155 59.0860772706504,22.6721032476011 59.089084113387,22.6805936509278 59.091280302485,22.6897542999218 59.0925812811179,22.6992324811571 59.0929369538319,22.7086631786943 59.0923336268966,22.7176832197026 59.0907945384339,22.7259453464443 59.0883789573549,22.7331316561656 59.0851798869644,22.7389658778865 59.0813204643539,22.7432240051686 59.076949198015,22.7457428738993 59.072234231324,22.7464263602208 59.0673568568356)))', 'EELHT', 'Lehtma', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1022747208541 58.9439708532735,27.1013328679974 58.939104387407,27.0985728043095 58.9344263532678,27.0941012386123 58.9301164140098,27.0880904375536 58.9263400325742,27.0807715408223 58.9232421382604,27.0724256563309 58.9209415868155,27.0633730808646 58.9195266224377,27.0539610568202 58.9190515116055,27.0445505255648 58.9195344743103,27.035502371672 58.9209569896756,27.027163669253 58.9232645017704,27.0198544415359 58.9263684993896,27.0138554277458 58.9301498924113,27.0093973174851 58.9344635587745,27.0066518627723 58.9391438918221,27.0057252126606 58.9440111393273,27.0066537363786 58.9488782944258,27.0094025102864 58.9535582762216,27.0138665443274 58.9578711250485,27.0198747184817 58.9616509350103,27.0271962929864 58.964752254846,27.0355497522658 58.9670557073034,27.0446136463435 58.9684726065309,27.0540390096651 58.9689483914861,27.0634628700759 58.9684647395481,27.0725223137557 58.9670402765232,27.0808685478239 58.9647298548567,27.0881804024287 58.96162242871,27.0941767384287 58.9578376101676,27.0986272738945 58.9535210427948,27.1013614100029 58.9488387749004,27.1022747208541 58.9439708532735)))', 'EELHU', 'Lohusuu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4302841683647 58.2274792801153,22.4291799816786 58.2226232161024,22.4263019337786 58.2179740556857,22.4217612172138 58.2137103468786,22.4157327066029 58.2099957749766,22.408448181137 58.2069728975949,22.4001874014093 58.2047576953469,22.3912673858419 58.2034351431617,22.3820302945849 58.2030559681315,22.3728303763627 58.2036347149443,22.3640204653625 58.2051491910039,22.355938530364 58.2075413119469,22.3488947766152 58.2107193161711,22.343159782506 58.2145612659386,22.3389541181607 58.2189197043259,22.3364398422964 58.2236272934626,22.3357142080998 58.2285032217037,22.3368058299981 58.2333601370979,22.3396734731503 58.2380113430061,22.344207529035 58.2422779800078,22.350234137063 58.2459959170172,22.3575218076979 58.249022084112,22.3657903015259 58.2512399998496,22.3747214257245 58.252564276196,22.3839713289531 58.2529439235707,22.3931838119778 58.2523643253752,22.4020041277306 58.2508478038213,22.4100927234016 58.2484527546811,22.4171383797175 58.2452713853486,22.4228702286432 58.2414261458694,22.4270681788831 58.2370649939953,22.429571346124 58.2323556806999,22.4302841683647 58.2274792801153)))', 'EELID', 'Laid, Nasva k', 'Y'),('SRID=4326;MULTIPOLYGON(((23.8838612842369 58.6879364651737,23.882540024216 58.6830958329679,23.8794311815815 58.6784823631779,23.8746548128011 58.674273220939,23.868394826451 58.6706299858044,23.8608918619146 58.6676924690376,23.852434031091 58.665573370576,23.843345880445 58.6643539764671,23.833975992362 58.6640810578173,23.8246836911194 58.6647650869861,23.8158253489335 58.6663798375267,23.8077408009775 58.6688633828851,23.8007403747515 58.672120456866,23.7950930187542 58.6760260880777,23.7910159783846 58.6804303727087,23.7886664140164 58.6851642067414,23.7881352883344 58.6900457616462,23.7894437688607 58.6948874581886,23.7925422993531 58.6995031724619,23.797312393273 58.7037153976293,23.803571097337 58.7073620847903,23.8110779673821 58.7103028971416,23.8195442969337 58.7124246330227,23.8286442456737 58.7136456048622,23.8380274350617 58.7139188013581,23.8473325158134 58.713233707851,23.856201170145 58.711616712824,23.8642919929518 58.7091300845345,23.8712937014468 58.7058695585267,23.8769371519208 58.7019606317321,23.8810056935589 58.6975537096846,23.8833434598427 58.6928182979238,23.8838612842369 58.6879364651737)))', 'EELIH', 'Lihula', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4993017670364 58.9950765155894,23.4980213469001 58.9902318931935,23.494934842747 58.9856092115841,23.490161471641 58.9813859908308,23.4838850437728 58.9777243509072,23.4763468423892 58.9747648083089,23.4678363389388 58.9726209062283,23.4586801020588 58.9713748800697,23.4492293215288 58.9710745204959,23.4398464154268 58.9717313510343,23.4308912195364 58.9733201881322,23.4227072720409 58.975780100134,23.4156087034747 58.9790167296565,23.4098682218047 58.9829058930194,23.405706645697 58.987298322442,23.4032843861177 58.9920253733311,23.4026952084666 58.9969054817374,23.403962526025 59.0017511273998,23.4070383827973 59.0063760369952,23.4118051826855 59.0106023512641,23.4180801159095 59.0142674792738,23.4256221267725 59.0172303734991,23.4341411638703 59.0193769804927,23.4433093593963 59.020624653051,23.4527737029734 59.0209253498611,23.4621697116686 59.0202674960546,23.4711355549441 59.0186764309675,23.4793260736477 59.0162134254474,23.4864261368403 59.0129733078382,23.4921628090155 59.0090807928499,23.4963158514716 59.0046856585174,23.4987261524145 58.9999569612314,23.4993017670364 58.9950765155894)))', 'EELIL', 'Lille', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3373821174264 58.3299952472585,24.3368375975941 58.3251138787275,24.3344936940282 58.3203821600173,24.3304411342269 58.3159818388264,24.3248361236955 58.3120818683891,24.3178942721135 58.3088319373425,24.3098822755394 58.3063567454221,24.3011076790839 58.3047512406921,24.2919071116357 58.3040769968888,24.2826334366205 58.3043598661349,24.2736422993586 58.3055889943635,24.265278571693 58.307717235943,24.2578631978792 58.3106629519422,24.2516809322262 58.3143131249733,24.2469694288844 58.3185276743123,24.2439100980359 58.323144809722,24.2426210814546 58.3279872226965,24.2431526253434 58.332868881197,24.2454850414325 58.3376021696887,24.2495293510858 58.3420051014885,24.2551306048091 58.3459083259211,24.2620737648658 58.3491616589586,24.2700919359977 58.3516398829432,24.2788766330756 58.3532475882056,24.2880896894817 58.3539228659978,24.2973763404566 58.3536397067816,24.3063789652044 58.352409008769,24.3147509430145 58.3502781565777,24.3221700736224 58.3473291865815,24.3283510307843 58.3436756115601,24.3330563595592 58.3394580301595,24.3361055897889 58.3348386942203,24.3373821174264 58.3299952472585)))', 'EELIN', 'Lindi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3143131027741 58.2790032314744,24.313772342826 58.2741217616685,24.3114347034459 58.2693896382788,24.3073906694622 58.2649886249053,24.3017961176116 58.2610877018012,24.2948662555103 58.2578365946372,24.2868673193302 58.2553600487104,24.2781063540138 58.253753064368,24.2689194669566 58.2530772723038,24.2596589984519 58.2533585840691,24.2506800887571 58.254586205224,24.2423271417593 58.2567130477041,24.2349206885531 58.2596575259276,24.2287451407866 58.2633066696504,24.2240378935936 58.2675204373394,24.2209801918656 58.2721370685452,24.2196901124264 58.2769792740395,24.2202179397208 58.2818610298261,24.222544125839 58.2865947168572,24.2265799296059 58.2909983334831,24.2321707272613 58.2949025031298,24.2391018827343 58.2981570058701,24.2471069629525 58.3006365794613,24.2558779876012 58.302245762621,24.2650773178418 58.3029225899047,24.2743507190164 58.3026409921582,24.2833410819821 58.3014118073595,24.2917022591933 58.299282361624,24.2991124665807 58.2963346368563,24.3052867209592 58.2926820975578,24.3099878241051 58.2884653022069,24.3130354665044 58.2838464721867,24.3143131027741 58.2790032314744)))', 'EELIU', 'Liu', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5120438863635 59.4965673177149,25.5113157438577 59.49169144709,25.5087315409961 59.4869814666172,25.5043912774001 59.4826182757309,25.4984622272652 59.478769387658,25.4911724383154 59.4755825166158,25.4828019382719 59.4731799311066,25.4736719911974 59.4716537857719,25.4641328138427 59.4710626065671,25.4545502145589 59.4714290603007,25.445291653451 59.4727390914334,25.4367122416163 59.4749424581191,25.4291411992729 59.4779546475077,25.4228692772966 59.4816600990427,25.4181376144162 59.4859166155865,25.4151284535738 59.490560797372,25.4139580766825 59.4954142946016,25.4146722385822 59.5002906424858,25.4172442903987 59.5050024189371,25.4215760823952 59.5093684511002,25.4275016301015 59.5132207931903,25.4347934190104 59.5164112051476,25.4431711169291 59.5188168793974,25.4523123639855 59.5203451910647,25.461865223108 59.520937284389,25.4714618030165 59.5205703533951,25.4807325151787 59.519258526281,25.4893203986073 59.5170523183153,25.4968949433623 59.5140366749079,25.5031648653609 59.5103276824588,25.5078893303569 59.5060680771773,25.5108871912229 59.5014217290624,25.5120438863635 59.4965673177149)))', 'EELJL', 'Loo jõe lauter', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((25.755188596731 59.5924766217457,25.7544233835419 59.5876020733809,25.7517979948101 59.5828968492033,25.7474140139373 59.5785416637397,25.7414403927773 59.5747037207513,25.7341068864836 59.5715303126008,25.7256951951874 59.5691431899467,25.7165281572308 59.5676339135688,25.7069574063319 59.5670603623087,25.6973499573194 59.5674445273018,25.6880742209646 59.5687716744757,25.6794859673379 59.5709909063469,25.6719147587753 59.5740171021983,25.6656513579171 59.5777341644587,25.6609365836366 59.5819994502764,25.6579520385394 59.5866492225256,25.6568130670103 59.5915049154239,25.6575642239126 59.5963799780446,25.6601774430068 59.6010870355882,25.6645529936061 59.6054450944148,25.6705232072907 59.6092865133206,25.6778588476682 59.6124634707663,25.6862778897166 59.6148536757451,25.6954563760102 59.6163650982206,25.7050409299243 59.6169395326267,25.7146624352423 59.6165548533765,25.7239503412438 59.6152258728338,25.7325470251381 59.6130037675963,25.7401216411586 59.609974095826,25.7463829079141 59.6062534842715,25.7510903314335 59.6019851161319,25.7540634281996 59.5973331977883,25.755188596731 59.5924766217457)))', 'EELKL', 'Loksa Kalurite lossimiskoht', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2856507433113 58.4985315368191,22.2845574362183 58.493674386816,22.2816757685015 58.4890221782216,22.2771170849796 58.4847535759051,22.2710569609755 58.481032452055,22.2637283963386 58.4780016142125,22.2554128444948 58.4757773466286,22.2464294237575 58.4744449702589,22.2371227212866 58.4740555876701,22.2278496481266 58.4746241343566,22.2189658357252 58.4761288090642,22.2108120796957 58.4785119043654,22.2037013350564 58.481682006662,22.1979067487927 58.485517483739,22.1936511806298 58.4898711296929,22.1910986119836 58.4945757931775,22.1903477772079 58.4994507770499,22.1914282719909 58.5043087671239,22.1942993031896 58.5089630261107,22.1988511452975 58.5132345769881,22.204909264537 58.5169590986765,22.2122409662692 58.5199932663449,22.2205643194772 58.5222202888061,22.229559018162 58.5235544256987,22.2388787581963 58.5239443064319,22.2481646436816 58.5233749196731,22.2570590926064 58.5218681945703,22.2652196900419 58.5194821507055,22.2723324394296 58.5163086505696,22.2781238885828 58.5124698436682,22.2823716553762 58.5081134428399,22.2849129460829 58.503407018835,22.2856507433113 58.4985315368191)))', 'EELKR', 'Läkuranna', 'Y'),('SRID=4326;MULTIPOLYGON(((27.4654454816575 58.3388362720648,27.464469968079 58.3339720795402,27.461709396187 58.3293013933156,27.4572704631877 58.3250035943871,27.4513241565438 58.3212436814601,27.4440991221562 58.3181659550072,27.4358728576932 58.3158885009071,27.4269610724483 58.3144986812476,27.4177056189335 58.3140498012179,27.4084614502383 58.3145590765236,27.3995830900477 58.3160069770304,27.3914111185144 58.3183379710715,27.3842591766754 58.3214626427532,27.3784019747695 58.3252611034262,27.3740647559563 58.3295875699614,27.3714146171421 58.3342759382821,27.3705540238931 58.3391461423444,27.3715167782419 58.3440110578959,27.3742666086534 58.3486836881676,27.3786984532128 58.3529843562005,27.3846424036099 58.3567476264944,27.3918701726642 58.3598286874486,27.4001038463827 58.3621089455363,27.4090265874811 58.3635006117876,27.4182948755166 58.3639500998856,27.4275518034566 58.3634401015519,27.4364409051339 58.3619902569952,27.4446199651002 58.3596563938471,27.4517742631703 58.3565283647973,27.4576287303941 58.3527265696242,27.4619585399459 58.3483972991042,27.4645977229135 58.3437070841945,27.4654454816575 58.3388362720648)))', 'EELKS', 'Laaksaare', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5740786305986 59.5195441872237,25.5733410850375 59.5146686443308,25.5707465106274 59.5099598677329,25.5663953057588 59.5055987100646,25.5604551644465 59.5017526059619,25.5531545592504 59.49856916235,25.5447739316294 59.4961705159071,25.5356349326793 59.4946486700013,25.5260881249337 59.4940619856624,25.5164996083032 59.4944329574142,25.5072370692778 59.4957473566256,25.4986557716195 59.4979547741227,25.4910850086553 59.5009705418405,25.4848155219087 59.5046789620164,25.4800883584443 59.5089377235413,25.47708559046 59.5135833402737,25.4759232562774 59.5184374069736,25.4766468033412 59.523313436517,25.479229223135 59.5280240185158,25.4835719676965 59.53238802548,25.4895086310171 59.5362375889948,25.4968112700334 59.5394245754714,25.5051991336598 59.5418263088621,25.5143494691864 59.5433503158385,25.5239099881872 59.5439379063667,25.5335125033336 59.5435664479634,25.5427871969846 59.5422502433482,25.5513769549443 59.5400399765521,25.558951195883 59.5370207494205,25.5652186487907 59.5333087863809,25.5699385762405 59.5290469379112,25.572930007654 59.5243991601114,25.5740786305986 59.5195441872237)))', 'EELKT', 'Lahe, Kuusalu vTsitre k', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7771641947655 59.575468286963,25.7763961568403 59.5705938456708,25.7737689903483 59.5658890443771,25.7693843458671 59.5615345812753,25.7634111996828 59.557697632372,25.7560792878617 59.5545254519199,25.7476702487878 59.5521397435625,25.7385068188406 59.5506320139415,25.7289404934835 59.5500600826851,25.7193381182518 59.5504458788816,25.7100679099714 59.5517746059297,25.701485427412 59.5539953057154,25.6939200122006 59.5570228011057,25.6876622051794 59.5607409444975,25.682952610731 59.5650070513277,25.6799726324473 59.5696573527067,25.6788374388171 59.5745132622899,25.6795914387446 59.5793882206142,25.682206455695 59.5840948567297,25.6865826887464 59.5884521931084,25.6925524421779 59.592292616314,25.6998864964428 59.5954683431632,25.7083028869935 59.5978571301054,25.7174777582569 59.5993670018118,25.7270578729314 59.5999398125403,25.7366742861795 59.5995534993106,25.7459566440106 59.5982229374378,25.7545475379938 59.595999364372,25.7621163459406 59.5929683946779,25.7683720104993 59.5892467048899,25.7730742534618 59.5849775194778,25.7760427904353 59.5803250760167,25.7771641947655 59.575468286963)))', 'EELKU', 'Loksa küla', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1517562061129 59.3280753246368,24.1512264475513 59.3231939392475,24.1488439594009 59.3184591404559,24.1447010002705 59.3140527918615,24.1389572865096 59.3101440731743,24.1318337778733 59.3068830021637,24.1236041511436 59.3043946987805,24.1145842945962 59.3027746074358,24.1051202251881 59.302084856411,24.0955748841802 59.3023518901723,24.0863143045516 59.3035654625763,24.0776936643698 59.3056790282268,24.0700437439468 59.308611517306,24.0636582911011 59.3122504277691,24.0587827683794 59.3164561195936,24.0556049091929 59.321067150468,24.0542474473557 59.3259064525191,24.0547633078372 59.3307881168803,24.057133457555 59.3355245284392,24.0612675163125 59.3399335780676,24.0670071227622 59.3438456748483,24.0741319424532 59.3471102867282,24.0823680990115 59.3496017546911,24.0913987100564 59.3512241525468,24.1008761213553 59.3519150008677,24.1104353604619 59.3516476881338,24.1197082785336 59.3504325029598,24.1283378190846 59.348316236272,24.1359918468029 59.3453803690976,24.1423759885752 59.3417379177658,24.1472449814578 59.3375290613643,24.1504120861507 59.3329157239822,24.1517562061129 59.3280753246368)))', 'EELKY', 'Laoküla', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4047921602964 58.6241150856796,23.4035397612757 58.6192690948893,23.4004997566948 58.6146436119974,23.3957895631421 58.6104162671009,23.3895905558239 58.6067493415466,23.3821410431396 58.6037835579092,23.3737270960837 58.6016327017976,23.364671586719 58.6003792776633,23.3553218520552 58.6000713612341,23.3460364465137 58.6007207660489,23.3371714768575 58.6023025924292,23.3290670274795 58.6047561757723,23.3220341810214 58.6079873990231,23.3163431194903 58.6118722833055,23.3122127546342 58.6162617226979,23.3098022839903 58.6209871856934,23.3092050017707 58.6258671685885,23.3104446131743 58.6307141563314,23.3134742089825 58.6353418255143,23.3181779572475 58.6395722131979,23.3243754640016 58.6432425747993,23.3318286492962 58.6462116646368,23.3402508830186 58.6483651937621,23.3493180315369 58.6496202507811,23.3586809858837 58.6499285113736,23.3679791790573 58.6492781096045,23.3768545574902 58.6476940969302,23.3849654521468 58.6452374707974,23.3919997991521 58.6420028114989,23.397687188058 58.638114621018,23.4018092662437 58.6337225086148,23.4042080977431 58.6289954127372,23.4047921602964 58.6241150856796)))', 'EELLI', 'Lalli', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5319321990264 58.7084389394156,22.5307976757985 58.7035842441727,22.5278655866765 58.6989379546907,22.5232492188538 58.6946785058253,22.5171263643114 58.6909694156026,22.5097324286808 58.6879530272266,22.5013513685919 58.6857450685681,22.4923048081515 58.6844302337063,22.482939748376 58.6840589519452,22.4736153313716 58.6846454648745,22.4646891528709 58.6861672831016,22.4565036318488 58.688566042923,22.4493729440983 58.6917497311623,22.4435710078734 58.6955961954002,22.4393209742875 58.6999578086063,22.4367866237133 58.7046671133997,22.4360660029889 58.7095432334335,22.4371875583187 58.7143988091613,22.4401089275105 58.7190471937793,22.4447184553822 58.7233096334669,22.450839391275 58.7270221548732,22.4582366216581 58.7300418924276,22.4666256883087 58.732252608377,22.4756837481947 58.7335691888691,22.4850620496116 58.7339409388427,22.4943994345297 58.733353545427,22.5033363329657 58.731829632061,22.5115286939305 58.7294278814145,22.5186613003138 58.7262407619909,22.5244599417707 58.7223909485761,22.5287019687898 58.718026578082,22.5312248199266 58.7133155276611,22.5319321990264 58.7084389394156)))', 'EELLK', 'Liivalauka', 'Y'),('SRID=4326;MULTIPOLYGON(((24.2718386888356 59.3820309909204,24.2712910390198 59.3771500018102,24.268888187889 59.3724172877249,24.2647231776058 59.3680146310721,24.2589565711988 59.3641110687205,24.2518102058047 59.3608564195851,24.2435586329331 59.3583755564957,24.2345185798736 59.3567636380242,24.2250368353019 59.3560824788642,24.2154770159171 59.3563581941231,24.2062057084762 59.3575802050589,24.1975785022805 59.3597016430633,24.1899264306849 59.3626411367502,24.1835433265278 59.3662859155936,24.1786745657308 59.3704961143871,24.1755076262128 59.375110117536,24.1741648265843 59.379950742455,24.1746985321812 59.3848320286197,24.1770890267809 59.3895663744235,24.1812451493883 59.3939717490449,24.1870076900437 59.3978787018298,24.1941554305878 59.401136897701,24.2024136101608 59.40362092387,24.2114644956652 59.4052351402143,24.2209596492827 59.4059173822091,24.230533412905 59.405641369895,24.2398170768875 59.404417727238,24.2484531707551 59.4022935712618,24.2561093080863 59.3993506871398,24.2624910370747 59.3957023615613,24.2673531911597 59.3914889996909,24.2705092982368 59.3868726986725,24.2718386888356 59.3820309909204)))', 'EELLM', 'Laulasmaa', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5744324223285 59.0900475941683,23.5731375401125 59.0852038823003,23.5700321193349 59.0805831880169,23.5652361066696 59.0763629540759,23.5589341830328 59.0727051847214,23.5513686099583 59.0697502468931,23.5428299073793 59.0676115062719,23.5336457228385 59.0663709996998,23.5241683147048 59.06607630589,23.5147611190872 59.0667387311513,23.5057849009157 59.0683328777147,23.4975840035796 59.070797610822,23.490473208341 59.0740383887652,23.484725694508 59.0779308692561,23.4805625543665 59.0823256575943,23.4781442637549 59.0870540187485,23.4775644409806 59.0919343382549,23.4788461450959 59.0967790872275,23.4819408715477 59.1014020260162,23.4867303017753 59.1056253701584,23.4930307569811 59.1092866419107,23.5006001991906 59.1122449411252,23.5091475194332 59.1143863903801,23.518343758206 59.1156285404677,23.5278348219902 59.115923562464,23.5372551957241 59.1152601000964,23.5462421082255 59.1136637090246,23.5544495879895 59.1111958657134,23.5615618516411 59.1079515853716,23.5673054963235 59.1040557434963,23.5714600187972 59.0996582465275,23.5738662551868 59.0949282418605,23.5744324223285 59.0900475941683)))', 'EELLV', 'Lillevälja', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1652160800848 58.1725776252414,22.164149815161 58.1677191192362,22.1613108293575 58.1630638329862,22.1568088159954 58.1587905518574,22.1508171668467 58.1550633304481,22.1435662509356 58.1520252132154,22.135334544587 58.1497927663349,22.1264379560941 58.1484516265303,22.117217751196 58.1480532336264,22.1080275334035 58.1486128688326,22.0992197651203 58.1501090718633,22.091132330907 58.1524844586376,22.0840756428773 58.155647909191,22.0783207700978 58.1594780443404,22.0740890392915 58.1638278612819,22.0715435037327 58.1685303543641,22.0707826119936 58.1734049093577,22.0718363296778 58.1782642290978,22.0746648775609 58.1829215266902,22.0791601513994 58.1871977105608,22.0851497854543 58.1909282841959,22.0924037174847 58.1939696927925,22.1006430119918 58.1962048690945,22.1095506054552 58.1975477608478,22.1187835567275 58.1979466615087,22.1279863217742 58.1973862125664,22.1368045279829 58.1958879981905,22.1448987017124 58.1935097086717,22.1519574048203 58.1903429058916,22.1577092614659 58.1865094793796,22.1619334041086 58.1821569330194,22.1644679347042 58.1774526879911,22.1652160800848 58.1725776252414)))', 'EELMA', 'Lõmala', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2200962355247 58.0825577271915,22.2190253601788 58.0776996307664,22.2161865452507 58.0730455015669,22.2116894731007 58.0687740805374,22.2057073421086 58.0650493511413,22.1984701534388 58.0620142626676,22.1902558555399 58.0597852656572,22.1813796891486 58.0584478650607,22.1721821382023 58.0580533577337,22.1630159397518 58.0586168761038,22.1542326377549 58.0601168109274,22.146169180938 58.0624956346724,22.1391350634892 58.0656620949488,22.1334004891996 58.0694946963145,22.1291860050987 58.0738463404321,22.1266540002548 58.0785499506279,22.1259024002611 58.0834248690136,22.1269608095214 58.0882837839176,22.1297892638981 58.0929399237313,22.1342796583301 58.0972142414131,22.140259811061 58.1009423125112,22.1475000221021 58.1039806789928,22.1557218828794 58.1062123912698,22.1646090012775 58.1075515310163,22.1738192260138 58.1079465366062,22.1829978905644 58.1073821997559,22.1917915531176 58.1058802543153,22.1998616876453 58.1034985339154,22.2068977833398 58.1003287319362,22.2126293352436 58.0964928525639,22.2168362564611 58.0921384931825,22.2193573093055 58.0874331438393,22.2200962355247 58.0825577271915)))', 'EELMB', 'Lembri', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5770622116086 58.8250491547973,23.5757778615397 58.8202052207843,23.5726967786774 58.8155842499225,23.5679379634409 58.8113636968687,23.561684660489 58.8077055799359,23.5541772613143 58.8047502814861,23.5457040541229 58.8026111830703,23.5365901782172 58.8013703369328,23.5271852022792 58.8010753358788,23.51784979279 58.8017374982997,23.5089419694383 58.8033314359932,23.5008034582145 58.8057960209655,23.4937466497431 58.8090367154016,23.4880426502873 58.8129291781585,23.483910876093 58.8173240132026,23.4815105889445 58.8220524820482,23.4809347030506 58.8269329650418,23.4822061122352 58.8317779267327,23.4852766940567 58.8364011198273,23.4900290467832 58.8406247513543,23.4962809096165 58.844286334332,23.5037921103128 58.8472449587244,23.5122737819222 58.8493867366357,23.521399496512 58.850629207892,23.5308178830661 58.8509245322779,23.5401662334546 58.8502613421774,23.5490845578512 58.8486651822481,23.5572295315755 58.8461975187999,23.5642877801481 58.8429533583183,23.5699879780672 58.8390575696204,23.5741112878396 58.8346600550838,23.5764997363134 58.8299299611221,23.5770622116086 58.8250491547973)))', 'EELME', 'Laomäe', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1522629451272 58.2053225111781,26.1514708598989 58.2004492465184,26.1488935941937 58.1957511594625,26.1446308142267 58.1914086932874,26.1388467626795 58.1875885699319,26.1317638823169 58.1844374068165,26.1236542427967 58.1820761109759,26.114829103827 58.1805952615977,26.1056270128645 58.1800516540277,26.0964008857403 58.1804661342855,26.0875045529319 58.1818228047187,26.0792792720562 58.1840696302997,26.0720407082497 58.1871204229683,26.0660668684202 58.19085813008,26.0615874431544 58.1951393041722,26.0587749619332 58.1997995865993,26.057738104195 58.2046599986996,26.0585174321395 58.2095338025434,26.0610837229889 58.214233670255,26.0653389813486 58.2185788874694,26.071120109635 58.2224023134275,26.0782051101263 58.2255568279178,26.0863215903978 58.227921013689,26.0951572493004 58.2294038515872,26.104371937812 58.2299482435317,26.1136108222356 58.2295332240888,26.122518129907 58.2281747729972,26.1307509323845 58.2259251963742,26.137992419437 58.2228711011017,26.1439641391223 58.2191300426161,26.1484367236296 58.2148459785959,26.1512386849232 58.2101837076516,26.1522629451272 58.2053225111781)))', 'EELMG', 'Limnoloogiakeskus', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8231529304781 59.5848263641748,24.8225228750438 59.5799474551488,24.8200287558885 59.5752246039101,24.8157671248803 59.5708392090581,24.8099022529647 59.5669596399763,24.8026597417082 59.5637347906944,24.7943178207068 59.5612883877296,24.785196670191 59.5597142661349,24.7756461768356 59.5590727906236,24.7660325841515 59.5593885551976,24.7567245358729 59.5606494467455,24.7480790308363 59.5628071072762,24.7404278106882 59.5657787775181,24.7340646873305 59.5694504532664,24.729234285541 59.5736812368181,24.7261226282208 59.5783087207685,24.7248499281039 59.5831552019502,24.7254658718898 59.588034490872,24.7279475925705 59.5927590579689,24.7322004258313 59.5971472434182,24.7380614401048 59.6010302529938,24.7453056211193 59.6042586688827,24.7536544850775 59.6067082215837,24.7627867947487 59.6082845965246,24.7723509645768 59.6089270859397,24.7819786689284 59.608610941469,24.7912991156917 59.60734833406,24.799953418471 59.6051878829288,24.8076084962443 59.6022127721912,24.8139699498249 59.5985375298368,24.8187934086476 59.5943035965517,24.8218939068172 59.5896738592585,24.8231529304781 59.5848263641748)))', 'EELMK', 'Lemmiku kael', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4589068235224 57.9669464878112,24.458349856736 57.9620653062167,24.4560122439262 57.957335636012,24.4519844537132 57.9529391466637,24.44642172611 57.9490446456908,24.4395380378552 57.9458016138947,24.431597848584 57.9433344886847,24.4229059496274 57.9417379109629,24.4137958036885 57.94107311384,24.404616815479 57.9413655880714,24.3957210095452 57.9426041111161,24.3874496113118 57.9447411758236,24.3801200305053 57.9476948026657,24.3740137325527 57.9513516678993,24.3693654535246 57.9555714308162,24.3663541682585 57.9601920979826,24.3650961603615 57.9650362227249,24.3656404682428 57.9699177055482,24.3679668950791 57.9746489370198,24.3719866752114 57.979048009985,24.3775457880895 57.9829457235932,24.3844308072869 57.9861921079486,24.3923770705479 57.988662215245,24.4010788618334 57.9902609505844,24.4102012124222 57.9909267523774,24.4193928595522 57.9906339769166,24.4282998514681 57.9893938926026,24.4365792597788 57.9872542442754,24.4439124552968 57.9842974047965,24.4500174222913 57.9806371870041,24.4546596273211 57.9764144420032,24.4576610202617 57.9717916172222,24.4589068235224 57.9669464878112)))', 'EELML', 'Lemmejõe lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3306844133566 58.5431433234298,23.3294454034831 58.5382964677888,23.3264224048191 58.5336690679169,23.3217321784164 58.5294388284277,23.3155553318742 58.5257681427366,23.3081293234538 58.5227978786053,23.2997393239223 58.5206419942645,23.2907072891613 58.5193831875225,23.2813796586288 58.5190697407491,23.2721141416248 58.5197136795014,23.263266084042 58.5212903134248,23.2551749223729 58.5237391766133,23.2481512289193 58.5269663325743,23.2424648324749 58.530847958047,23.2383344624952 58.5352350719021,23.2359193126086 58.5399592318742,23.2353128522744 58.5448389845403,23.2365391350561 58.5496868242052,23.2395517604918 58.5543163954568,23.2442355467589 58.5585496631091,23.2504108667122 58.5622237727372,23.2578404945036 58.565197335316,23.2662387083525 58.5673558904556,23.2752823018231 58.5686163337424,23.2846230757464 58.5689301336568,23.293901319857 58.568285210879,23.3027597506721 58.566706405573,23.3108573524681 58.5642545142187,23.3178825724938 58.56102393432,23.3235653495526 58.5571390104014,23.3276875052107 58.5527492257504,23.3300910963967 58.5480234292362,23.3306844133566 58.5431433234298)))', 'EELMP', 'Lahe, Muhu v Pädaste k', 'Y'),('SRID=4326;MULTIPOLYGON(((22.661448211185 59.081388498021,22.6602822885882 59.0765353636054,22.6573002066151 59.0718925165146,22.6526171872178 59.0676382567375,22.6464135907003 59.0639358998473,22.6389279248362 59.0609275272514,22.6304476631222 59.0587285562022,22.6212982273676 59.0574233336665,22.6118305533963 59.0570619189423,22.6024077068418 59.0576581750303,22.5933910479201 59.059189239825,22.5851264591257 59.0615963968494,22.5779311477707 59.06478731326,22.5720815161976 59.0686395619026,22.5678025566254 59.0730052960389,22.5652591755603 59.077716901658,22.5645497855238 59.0825934146151,22.5657024210692 59.0874474596761,22.5686735438031 59.0920924471503,22.573349600217 59.0963497511953,22.5795512900597 59.1000555927765,22.5870403958357 59.103067359974,22.5955289203562 59.1052691187378,22.6046901838758 59.106576097696,22.6141714498985 59.1069379701508,22.6236075835205 59.1063408034158,22.6326352016866 59.1048075982347,22.6409067534556 59.1023973969396,22.6481039714676 59.0992029958371,22.6539501631127 59.0953473525944,22.6582208598732 59.0909788307466,22.6607524131822 59.0862654687078,22.661448211185 59.081388498021)))', 'EELMS', 'Lõimastu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4315253393256 58.4339614769269,24.4309665788537 58.429080472215,24.4286034880105 58.424350401781,24.4245275350361 58.4199529489343,24.4188958257634 58.4160569555883,24.4119249949855 58.4128119565706,24.4038828494054 58.4103424613773,24.395078088087 58.408743198821,24.3858484935424 58.4080755028493,24.376548039007 58.4083649744596,24.36753339401 58.4096005066976,24.3591503303882 58.4117347088723,24.351720534105 58.4146857140811,24.3455293145961 58.4183403026477,24.3408146730929 58.4225582248685,24.3377581450221 58.4271775612219,24.3364777700489 58.4320209185298,24.3370234679874 58.436902227961,24.3393750115726 58.4416338865577,24.3434426905279 58.4460339692274,24.3490706586655 58.4499332336907,24.3560428507493 58.4531816471224,24.3640912528335 58.4556541802128,24.3729062133601 58.4572556416563,24.3821483970792 58.4579243627441,24.3914619141646 58.4576345864137,24.4004881064287 58.4563974660106,24.408879444066 58.45426063401,24.41631298147 58.4513063576822,24.4225028396564 58.4476483547022,24.4272112246464 58.4434273945868,24.4302575535127 58.4388058593491,24.4315253393256 58.4339614769269)))', 'EELMT', 'Lemmetsa', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5460910713735 58.845060492067,23.5448102213308 58.8402162379385,23.5417313942576 58.8355945240946,23.5369735052261 58.8313728338438,23.5307197645398 58.8277132291849,23.52321058146 58.8247561495253,23.5147343132589 58.8226150446465,23.5056162168719 58.8213720436209,23.4962060226595 58.821074821769,23.4868645966925 58.8217347825587,23.4779501886332 58.8233266221964,23.4698047761795 58.8257892932156,23.4627410139272 58.8290283313682,23.4570302744188 58.8329194592878,23.4528922323992 58.8373133324575,23.4504863905163 58.8420412496351,23.4499058769526 58.8469216126641,23.4511737643162 58.8517668909723,23.4542420667464 58.8563908252985,23.4589934714514 58.8606155942866,23.4652457553099 58.8642786672284,23.4727587308531 58.8672390767022,23.481243463444 58.8693828659921,23.4903734075214 58.8706274973476,23.4997970290192 58.8709250472448,23.5091514176805 58.8702640622738,23.5180763503869 58.8686700021507,23.5262282471575 58.8662042523916,23.5332934662202 58.8629617459553,23.53900041325 58.8590672882232,23.5431299908759 58.8546707306456,23.5455239850779 58.8499411831406,23.5460910713735 58.845060492067)))', 'EELND', 'Lindamere lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((25.9031591045894 59.5704209719008,25.9023729489956 59.5655472190935,25.8997285650888 59.5608448971275,25.8953282629851 59.5564946080513,25.8893416176156 59.5526633668877,25.8819988802599 59.549498208341,25.8735821018241 59.5471205664094,25.8644143131963 59.5456216383237,25.8548471754578 59.5450589063382,25.8452475647921 59.5454539470381,25.8359835926121 59.5467916095813,25.8274105801386 59.549020593334,25.8198575081249 59.5520554033954,25.8136144466194 59.55577961127,25.8089214368448 59.5600502991406,25.8059592479768 59.5647035214958,25.8048423667666 59.5695605788756,25.8056144989677 59.5744348666867,25.8082467704119 59.579139038723,25.812638714994 59.5834922112804,25.818622030141 59.5873269303527,25.8259669715732 59.5904956317561,25.834391152838 59.5928763421241,25.8435704160356 59.5943773970837,25.8531513531841 59.5949409905828,25.8627649872611 59.5945454148781,25.8720410719126 59.5932059022615,25.8806224419016 59.5909740350245,25.8881788441203 59.5879357470528,25.8944197015306 59.5842079963226,25.8991053084673 59.5799342400186,25.9020560227717 59.5752788907926,25.9031591045894 59.5704209719008)))', 'EELNE', 'Laine, Eru k', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0071133678712 58.1358969902085,24.0057982548431 58.1310572295033,24.0027240386065 58.1264461075967,23.9980094215115 58.1222407012687,23.9918359232008 58.1186024497271,23.9844408535118 58.1156709768018,23.9761081830162 58.1135587544912,23.9671576634486 58.1123468085013,23.9579326110226 58.1120816266072,23.948786811299 58.1127733852968,23.9400710339523 58.1143955608611,23.9321196589296 58.1168859395506,23.9252379118998 58.1201489893588,23.9196901865622 58.1240595051683,23.9156898946683 58.1284673911288,23.9133912321532 58.1332034009077,23.9128831826671 58.1380856194502,23.91418599963 58.1429264405565,23.9172503169101 58.147539774175,23.9219589391831 58.1517482068132,23.9281312594655 58.1553898385356,23.9355301472675 58.1583245309104,23.9438710507474 58.1604393218072,23.9528329647738 58.161652794475,23.9620708384283 58.1619182287155,23.9712289342306 58.1612254096232,23.979954610537 58.1596010223441,23.9879119803727 58.157107617342,23.9947949054148 58.1538411873524,24.0003388126257 58.1499274520949,24.0043308715322 58.1455169975513,24.0066181395975 58.1407794610969,24.0071133678712 58.1358969902085)))', 'EELNK', 'Linaküla', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2069929159595 59.4666814882513,25.2063093230993 59.461804143636,25.203769894311 59.457088360074,25.1994729115304 59.4527152622982,25.1935839915928 59.4488527459563,25.1863296479799 59.445649049854,25.1779885550405 59.4432270889603,25.1688808550124 59.4416797614352,25.1593559162259 59.4410664053946,25.1497790036319 59.4414105375206,25.1405173592655 59.4426989575607,25.131926209794 59.444882251883,25.1243352206444 59.4478766772987,25.1180359013202 59.4515673550419,25.1132704346422 59.4558126558265,25.1102223543173 59.4604496119609,25.1090094313553 59.465300153182,25.109679051799 59.4701779306701,25.1122062779837 59.474895469925,25.1164946857073 59.4792713789263,25.1223799636103 59.4831373340434,25.1296361526813 59.4863445729485,25.1379842976216 59.4887696413128,25.1471031825918 59.4903191678914,25.1566417364548 59.490933479782,25.1662326214839 59.4905889147824,25.1755064684634 59.4892987390464,25.1841061929868 59.4871126334954,25.1917008241541 59.4841147693029,25.1979982980015 59.4804205487578,25.2027567126692 59.4761721405054,25.205793608057 59.4715329853207,25.2069929159595 59.4666814882513)))', 'EELNM', 'Linnamäe', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0285233537431 58.4013691212539,26.0277442065699 58.3964952796068,26.0251693754208 58.3917948497149,26.0208984429389 58.3874483649327,26.0150959733999 58.3836227009917,26.0079851227127 58.3804646870074,25.9998390370144 58.3780954916644,25.9909703742205 58.3766059959455,25.9817193483575 58.3760533258108,25.9724407470594 58.3764586742586,25.9634904072327 58.3778064938416,25.9552116519792 58.3800450896158,25.9479221931143 58.3830885904219,25.9419019880287 58.386820225059,25.9373825074605 58.3910967810503,25.9345378225539 58.3957540790013,25.9334778563229 58.4006132566071,25.934244067757 58.4054876246761,25.9368077482912 58.4101898343806,25.9410710128609 58.4145390814063,25.9468704645617 58.4183680694959,25.9539834069264 58.4215294634625,25.9621363753826 58.4239015800499,25.9710156641788 58.4253930935415,25.9802794415748 58.4259465707892,25.9895709786281 58.4255406959186,25.9985324690772 58.4241910965203,26.0068188922375 58.4219497384998,26.0141113689255 58.4189029135437,26.0201294823175 58.4151678989252,26.0246420801203 58.4108884216922,26.02747613903 58.4062291059714,26.0285233537431 58.4013691212539)))', 'EELNO', 'Laine, Oiu k', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2875782234824 58.4369021223978,27.2866244605227 58.4320366411759,27.2838796961283 58.4273621877385,27.2794500267367 58.4230582886021,27.2735060904159 58.4192901770481,27.2662764474715 58.4162024681433,27.258038776232 58.4139136303624,27.2491092254265 58.4125114618435,27.2398303287284 58.4120497407386,27.2305579361756 58.4125461746958,27.2216476503196 58.4139817258301,27.2134412715121 58.4163013363021,27.2062537564431 58.4194160275292,27.2003611769011 58.4232062948744,27.195990132006 58.4275266710944,27.1933090174731 58.4322112875777,27.1924214907853 58.4370802240608,27.1933623929649 58.4419464065411,27.1960962980131 58.4466227908041,27.2005187627281 58.4509295563829,27.20646024589 58.4547010336071,27.2136925606678 58.4577920950172,27.221937621974 58.4600837617498,27.2308781560102 58.4614878049839,27.2401699570042 58.4619501611584,27.2494552103527 58.4614530259415,27.2583763555611 58.4600155439789,27.2665899390385 58.4576930670616,27.2737799072506 58.4545750101633,27.2796698149436 58.4507813903139,27.2840334697658 58.4464581851451,27.2867036010747 58.4417716939494,27.2875782234824 58.4369021223978)))', 'EELNP', 'Laine, Praaga k', 'Y'),('SRID=4326;MULTIPOLYGON(((23.366679114133 58.5401299902376,23.3654352608105 58.5352835137743,23.3624078104801 58.5306569905284,23.3577136945539 58.5264280912131,23.3515336691929 58.522759157621,23.3441053138511 58.5197909901707,23.3357138886091 58.5176374666194,23.3266814034828 58.5163811942482,23.3173543149053 58.5160703582952,23.3080903113892 58.5167168842746,23.2992446810709 58.5182959826773,23.2911567678753 58.5207470931013,23.2841370201755 58.5239761928157,23.278455116099 58.5278593838738,23.2743296133423 58.5322476248818,23.2719195191474 58.5369724300624,23.2713181090231 58.5418523209344,23.2725492424192 58.5466997862018,23.2755663320623 58.5513284845682,23.2802540238601 58.5555604141785,23.2864325396689 58.5592327719059,23.293864529854 58.5622042360384,23.3022641809659 58.5643604269283,23.3113082306755 58.565618331216,23.3206484619448 58.565929515218,23.3299251854021 58.565282000433,23.3387811764117 58.5637007269069,23.3468755137267 58.5612465861852,23.3538967709621 58.5580140623348,23.3595750401807 58.5541275745962,23.3636923170634 58.5497366662525,23.3660908466839 58.5450102291581,23.366679114133 58.5401299902376)))', 'EELNR', 'Lõunaranna', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1763411880934 58.2599434584104,27.1754074966499 58.2550770081383,27.1726911258411 58.2504000332363,27.1682970752916 58.2460921586083,27.1623946118517 58.2423187719212,27.1552107032606 58.2392246924489,27.1470212749447 58.2369286346204,27.138140629051 58.2355186746518,27.1289094288341 58.2350488901174,27.1196817005949 58.2355372979245,27.1108113385176 58.236965167494,27.1026386143851 58.2392777347007,27.0954771939969 58.2423862900231,27.0896021451644 58.2461715631362,27.0852393887011 58.2504882775806,27.0825569944504 58.2551707048435,27.0816586600952 58.2600390087856,27.0825796327493 58.2649061403227,27.0852852441976 58.2695850199033,27.0896721328294 58.273895732654,27.0955721221327 58.27767245883,27.1027586210366 58.2807698707509,27.1109553097662 58.283068746652,27.119846780844 58.2844805812909,27.1290907229775 58.2849510116912,27.1383311700213 58.2844619226179,27.1472122914653 58.283032148367,27.155392177509 58.2807167430349,27.1625560720184 58.2776048482225,27.1684285305229 58.2738162426621,27.1727840265662 58.2694967101477,27.1754555956395 58.2648124082172,27.1763411880934 58.2599434584104)))', 'EELNS', 'Lääniste', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8113137413442 58.9883331559411,22.8101301393389 58.9834813995872,22.8071362289069 58.9788420019402,22.8024476801203 58.9745931298966,22.7962450597197 58.9708978919974,22.7887668332173 58.967898096631,22.7803001854944 58.9657088324506,22.7711700148932 58.9644140747167,22.7617265190782 58.964063481997,22.7523318388646 58.9646705027217,22.7433462578744 58.9662118621065,22.7351144707217 58.9686284485948,22.7279524302272 58.9718275669638,22.72213526492 58.9756864743068,22.7178867221109 58.9800570669792,22.715370539723 58.9847715429358,22.7146840828769 58.9896488262972,22.7158545004847 58.9945015109055,22.718837564963 58.9991430583465,22.7235192574366 59.0033949744375,22.7297200549783 59.0070936872096,22.7372017695935 59.0100968592566,22.7456766853709 59.0122888878559,22.7548186452327 59.0135853768888,22.7642756567049 59.0139364042124,22.7736835213318 59.0133284552316,22.7826799482808 59.0117849460498,22.7909185917376 59.0093653155113,22.7980824550735 59.0061627222686,22.803896132252 59.0023004382465,22.8081364070017 58.9979270811582,22.8106408001377 58.9932108739054,22.8113137413442 58.9883331559411)))', 'EELNU', 'Linnumäe', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6639488599339 57.9647635525898,27.6629569153717 57.9599006335057,27.6601996220892 57.9552339605461,27.6557835333079 57.9509427607885,27.6498787443853 57.9471917808492,27.6427122974338 57.9441249803978,27.6345594375336 57.9418600285147,27.6257330593179 57.9404838100427,27.6165717457803 57.9400491103334,27.6074268493629 57.9405726022063,27.59864909775 57.9420342101442,27.5905752227409 57.9443778754136,27.5835151098275 57.9475136936709,27.5777399486701 57.9513213454307,27.5734718308351 57.9556546912752,27.570875191547 57.9603473595455,27.5700504278167 57.9652191160947,27.5710299476502 57.9700827749413,27.5737768161866 57.9747513866501,27.5781860672761 57.9790454289873,27.5840886465394 57.98279972258,27.5912578482679 57.9858698032852,27.5994180079947 57.9881375026335,27.6082551197554 57.9895155175046,27.61742896647 57.989950789061,27.6265862876305 57.9894265574243,27.6353744639951 57.9879630107345,27.6434551766893 57.985616502883,27.6505174992469 57.9824773709713,27.6562899056128 57.9786664389588,27.6605507236157 57.974330345652,27.6631366293656 57.9696358809851,27.6639488599339 57.9647635525898)))', 'EELOB', 'Lobotka paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0299549171676 57.9726284129073,22.0289132284708 57.9677685559173,22.0261078922511 57.9631100177892,22.021647302864 57.9588317105954,22.0157032580598 57.9550978839139,22.0085042993601 57.9520518376838,22.0003269120427 57.9498104439971,21.9914849254646 57.9484596839888,21.9823175171384 57.9480513670656,21.9731762717765 57.9486011550037,21.9644117784542 57.9500879645682,21.9563602645518 57.9524547709305,21.9493307639459 57.9556107820377,21.9435932990439 57.9594349029535,21.9393685219883 57.9637803607831,21.9368192103238 57.9684803167962,21.9360439476286 57.973354254373,21.9370732415956 57.9782149008797,21.9398682428918 57.9828754198105,21.9443221305592 57.9871565975343,21.9502641271249 57.9908937474616,21.9574660028964 57.9939430637194,21.9656508285012 57.9961871763834,21.9745036421717 57.9975396903782,21.983683618067 57.9979485292682,21.9928372581729 57.9973979518122,22.0016120864238 57.9959091614422,22.0096703020389 57.9935394845473,22.0167018508681 57.9903801501934,22.0224363986841 57.9865527592512,22.026653737447 57.9822045824471,22.0291922220262 57.97750287245,22.0299549171676 57.9726284129073)))', 'EELOO', 'Loode', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0946922690042 59.2850961742799,24.0941711769757 59.2802145990924,24.0917994737135 59.2754788163633,24.0876690020466 59.2710707280827,24.0819389981787 59.2671595813813,24.0748298958433 59.2638954878022,24.0666148200098 59.2614036837483,24.0576091022809 59.2597797482416,24.048158219091 59.2590859571473,24.0386246076725 59.2593489098394,24.0293738524284 59.2605585165058,24.0207607552099 59.2626683835746,24.0131158067282 59.265597582797,24.0067325629034 59.2692337380887,24.0018563995864 59.2734373150084,23.9986750722996 59.2780469524353,23.9973114453057 59.282885636189,23.997818677777 59.2877674815128,24.0001780660027 59.292504866842,24.004299642004 59.2969156462056,24.0100255238626 59.3008301627806,24.0171359053869 59.3040977919915,24.0253574668665 59.3065927591676,24.0343738893203 59.3082190037294,24.0438380666157 59.3089138982785,24.0533855376099 59.3086506754494,24.0626486079011 59.3074394661802,24.0712706007815 59.3053269080253,24.0789196712568 59.3023943389275,24.0853016358743 59.2987546480046,24.0901713135346 59.2945479079654,24.0933419361002 59.2899359614866,24.0946922690042 59.2850961742799)))', 'EELOT', 'Laheotsa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2170989222892 58.0845588259518,22.2160283903402 58.0797007045529,22.213189802287 58.075046509162,22.2086928318953 58.0707749832777,22.2027106737513 58.0670501143925,22.1954733301541 58.0640148571448,22.1872587555582 58.0617856685413,22.1783822013387 58.0604480608692,22.1691841662942 58.060053338914,22.160017405995 58.0606166433252,22.151233485878 58.0621163730623,22.1431693782993 58.0644950084637,22.1361346023387 58.0676613043777,22.130399387002 58.0714937716899,22.1261843039009 58.0758453172342,22.1236517651177 58.0805488681513,22.1228997168068 58.0854237688591,22.1239577806846 58.0902827083911,22.1267860059993 58.0949389142123,22.131276296617 58.0992133367547,22.1372564748882 58.1029415475366,22.1444968399349 58.1059800831463,22.1527189773173 58.1082119874758,22.1616064842956 58.1095513347927,22.1708171946117 58.1099465554659,22.1799964229965 58.1093824329201,22.1887907058571 58.1078806927501,22.1968614932025 58.1054991606879,22.2038982490204 58.1023295228762,22.2096304428932 58.0984937772034,22.2138379632028 58.0941395159359,22.2163595492344 58.0894342253766,22.2170989222892 58.0845588259518)))', 'EELOU', 'Lõu', 'Y'),('SRID=4326;MULTIPOLYGON(((25.9851720784266 59.5783902223113,25.9843738860903 59.5735169378635,25.9817174354462 59.5688162474388,25.9773054994812 59.5644686897757,25.9713080985769 59.5606411744811,25.9639558951736 59.5574805928569,25.9555313015775 59.5551082030567,25.946357646788 59.5536150007746,25.9367868155899 59.5530582487358,25.9271858251272 59.5534592943627,25.9179228397615 59.5548027567261,25.9093531436276 59.5570371129187,25.9018055916562 59.5600766620303,25.8955700439267 59.5638047936676,25.8908862552868 59.5680784391838,25.8879346427765 59.5727335391085,25.8868292884432 59.5775913213182,25.8876134560566 59.5824651527208,25.8902578090175 59.5871677039695,25.8946614160998 59.591518153033,25.9006555249201 59.5953491501155,25.9080099742317 59.5985132738448,25.9164420098134 59.6008887268137,25.9256271696929 59.6023840469878,25.9352118175383 59.6029416492114,25.9448268327426 59.6025400566287,25.9541019158002 59.6011947334383,25.9626799408107 59.5989574858421,25.9702307848485 59.5959144549411,25.976464086651 59.5921827811997,25.9811404332965 59.5879060725179,25.9840805407231 59.5832488547043,25.9851720784266 59.5783902223113)))', 'EELPE', 'Lepispäe', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1893953233504 58.3043091186652,26.1885960457565 58.2994361421881,26.1860067836571 58.2947388477825,26.1817276679161 58.2903976476138,26.1759235710348 58.2865792141863,26.1688177062569 58.2834300991821,26.1606830247487 58.2810711302409,26.1518317451512 58.2795927966533,26.1426034149463 58.2790517968938,26.133351953342 58.2794688768873,26.1244321597412 58.2808280394911,26.1161861897067 58.2830771545528,26.1089305013867 58.2861299468096,26.1029437596053 58.2898692875688,26.0984561525143 58.2941516672771,26.0956405274234 58.2988126814356,26.0946056891335 58.3036733234566,26.0953921272334 58.3085468464549,26.0979703503906 58.3132459329321,26.1022419083186 58.3175898978966,26.1080430791259 58.3214116479296,26.1151510950403 58.324564126426,26.1232926774078 58.326925993685,26.1321545569956 58.3284063191726,26.1413955725685 58.3289481011651,26.1506598736826 58.3285304746494,26.1595907062328 58.3271695199712,26.1678442340748 58.324917640111,26.1751028484538 58.3218615312475,26.181087439083 58.3181188269969,26.1855681453074 58.3138335489735,26.1883731704134 58.3091705429178,26.1893953233504 58.3043091186652)))', 'EELPG', 'Lipingu', 'Y'),('SRID=4326;MULTIPOLYGON(((25.6781637564285 59.5765054507604,25.6774100219459 59.5716304830584,25.6747966193193 59.5669237481347,25.670424671703 59.5625660191858,25.6644626697583 59.5587245981995,25.657139924036 59.5555469114738,25.6487377234478 59.5531548741227,25.6395785439533 59.5516402355769,25.6300137192952 59.5510610803074,25.6204100379568 59.5514396142223,25.6111357664795 59.5527613189997,25.6025466182778 59.5549755056925,25.5949721888368 59.5579972469844,25.5887033626637 59.5617106162108,25.5839811648218 59.5659731124069,25.580987480856 59.5706211058669,25.5798380043223 59.5754760996008,25.5805776923784 59.5803515701375,25.5831789189577 59.5850601276512,25.5875424145967 59.5894207214731,25.5935009753723 59.5932656134655,25.6008258146242 59.5964468489011,25.609235324724 59.5988419724071,25.6184059169071 59.6003587647128,25.6279845199512 59.6009388134563,25.6376022477348 59.6005597767058,25.6468886952686 59.5992362493355,25.6554862954419 59.5970191977663,25.6630641660345 59.5939939854669,25.6693308986593 59.5902770675315,25.6740457869804 59.5860114851835,25.6770280582635 59.5813613379668,25.6781637564285 59.5765054507604)))', 'EELPH', 'Lepiku, Hara k', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5899061677185 58.6904174794903,22.5887642181397 58.6855633168802,22.5858259910001 58.6809183635382,22.5812050076945 58.6766610026817,22.575079235761 58.6729546719767,22.5676841912721 58.669941608652,22.559303872193 58.6677374130484,22.5502598734643 58.6664266350245,22.5408990976602 58.666059548455,22.5315805229507 58.6666502341935,22.5226615218334 58.6681760429074,22.5144842391334 58.6705784578332,22.5073625358609 58.6737653254511,22.5015699866764 58.6776143710905,22.4973293832386 58.68197786827,22.4948041442224 58.6866882868179,22.4940919663175 58.6915647071131,22.4952209705848 58.6964197575863,22.4981485072915 58.7010668111985,22.5027626825633 58.7053271649855,22.5088865653253 58.7090369256355,22.5162849271177 58.712053333742,22.5246732649496 58.7142602797509,22.5337287630988 58.7155727950788,22.543102768307 58.7159403413617,22.5524342883434 58.7153487677586,22.5613639798985 58.7138208587716,22.5695480706241 58.7114154509124,22.5766716630514 58.7082251533487,22.5824608949168 58.7043727629291,22.5866934795969 58.7000065153471,22.5892072192009 58.6952943594979,22.5899061677185 58.6904174794903)))', 'EELPK', 'Lepiku, Lepiku k', 'Y'),('SRID=4326;MULTIPOLYGON(((24.2627808902047 59.3420339488964,24.2622350240035 59.3371529093542,24.2598361068323 59.3324200326499,24.2556770278587 59.328017107662,24.2499181209837 59.3241131818706,24.2427809270689 59.3208580884878,24.2345396456454 59.3183767177278,24.2255106097725 59.3167642479177,24.2160401866035 59.3160825150818,24.2064915599375 59.3163576563912,24.1972308885611 59.3175791150509,24.1886133548531 59.3197000434557,24.1809696216571 59.3226390895051,24.1745932017671 59.3262834995454,24.1697292137657 59.3304934222306,24.1665649508973 59.3351072523294,24.1652226270504 59.3399478137631,24.1657545870969 59.3448291484277,24.1681411797269 59.3495636529617,24.1722913920703 59.3539692906647,24.1780462400908 59.3578766010713,24.1851848008541 59.3611352356926,24.193432666743 59.3636197651928,24.2024725022751 59.3652345303548,24.2119562961462 59.3659173457069,24.2215188289854 59.3656419092744,24.2307918249135 59.3644188227823,24.2394182252478 59.362295181659,24.2470660172824 59.3593527509927,24.2534410703052 59.3557047997147,24.2582984738309 59.351491718292,24.2614519370439 59.3468755928445,24.2627808902047 59.3420339488964)))', 'EELPR', 'Lahepere', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8072656281995 59.6444573254975,25.8064917727544 59.6395830929609,25.803855119773 59.6348789142927,25.7994576872646 59.6305254632507,25.793468944549 59.6266898763446,25.7861192271393 59.6235193548792,25.7776908562333 59.6211355382261,25.7685073083716 59.6196298599793,25.7589208485003 59.619060060804,25.7492990919398 59.619447987964,25.7400109966245 59.6207787633002,25.7314128058366 59.6230013504904,25.7238344632516 59.626030500472,25.7175670064047 59.629750002664,25.7128514119448 59.6340171208046,25.7098693167821 59.6386680474931,25.7087359743945 59.6435241724867,25.7094957265273 59.6483989279358,25.7121201793139 59.6531049503535,25.7165091721119 59.6574612852886,25.7224945204724 59.6613003571855,25.7298464056457 59.6644744341814,25.738282176416 59.6668613356072,25.7474772296821 59.6683691582395,25.7570775489034 59.6689398349494,25.7667134087949 59.6685513848758,25.7760137043142 59.667218765787,25.7846203348064 59.6649932947006,25.7922020717289 59.6619606597267,25.7984673607933 59.6582376020052,25.8031755553799 59.6539673990949,25.8061461451441 59.649314328024,25.8072656281995 59.6444573254975)))', 'EELPV', 'Vana-Lepiku', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9967929208038 58.6152667306481,22.9955972811554 58.6104164884136,22.9926118000115 58.6057810934867,22.9879518050315 58.6015385595023,22.9817967515931 58.597851753188,22.9743832697332 58.5948621615919,22.9659960564131 58.5926844844415,22.9569569651858 58.5914022549458,22.9476127078736 58.5910646529932,22.9383216301867 58.5916846296813,22.929440054405 58.5932384130639,22.9213086967556 58.5956664135887,22.9142396647104 58.5988754956547,22.9085045201183 58.602742530782,22.9043238581866 58.6071190997802,22.9018588004496 58.6118371676988,22.9012047330713 58.6167155178359,22.9023875416515 58.621566701131,22.9053625023135 58.6262042361266,22.9100158890449 58.6304497833823,22.9161692525159 58.634140017428,22.9235862199755 58.6371329293745,22.9319815638146 58.639313314001,22.9410321926834 58.640597225909,22.9503896382564 58.6409352290774,22.9596935470266 58.6403143113273,22.9685856432948 58.6387583878731,22.976723609184 58.6363273740742,22.9837943311798 58.6331148642761,22.9895259901572 58.6292445087999,22.9936985215654 58.6248652323286,22.9961520416696 58.6201454820004,22.9967929208038 58.6152667306481)))', 'EELRI', 'Lautri, Haapsu k', 'Y'),('SRID=4326;MULTIPOLYGON(((25.748176785744 59.584479213128,25.7474127543043 59.5796046219185,25.7447889549209 59.5748992569076,25.7404069096374 59.5705438381182,25.7344354958198 59.5667055783651,25.7271043838821 59.5635317822612,25.7186951822075 59.5611442154295,25.7095306338671 59.5596344557448,25.699962277384 59.5590604006135,25.6903570360547 59.5594440604938,25.681083236224 59.5607707206569,25.6724965738244 59.5629895022515,25.6649265501478 59.5660153017774,25.6586638822148 59.5697320368167,25.6539493604686 59.5739970770369,25.6509645774075 59.5786466947243,25.6498248860806 59.5835023300443,25.6505748685274 59.5883774343239,25.653186503226 59.5930846312297,25.6575601200938 59.59744292185,25.663528124916 59.6012846561606,25.6708613662709 59.6044620005789,25.679277911595 59.6068526492831,25.6884538998152 59.6083645552105,25.6980360507889 59.6089394942081,25.7076553411298 59.6085553212567,25.7169413056543 59.6072268291958,25.7255363964637 59.6050051757669,25.7331098291183 59.6019759016821,25.7393703676153 59.5982556183293,25.7440775457029 59.5939874962397,25.7470508888902 59.5893357323127,25.748176785744 59.584479213128)))', 'EELSA', 'Loksa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7187458908805 58.5753702956511,22.7175901477303 58.5705172671967,22.7146448178341 58.565875215234,22.7100236887541 58.5616224111837,22.7039047276703 58.5579221178318,22.6965231846891 58.5549163411277,22.6881625370626 58.5527204025107,22.6791436245615 58.5514185358624,22.6698123890325 58.5510606739463,22.6605266787755 58.551660544274,22.6516426098846 58.5531951453436,22.6435009915364 58.5556056228087,22.6364143201475 58.5587995130799,22.6306548283735 58.562654270881,22.6264440393824 58.5670219490982,22.6239442253305 58.5717348555492,22.6232521025338 58.5766119736529,22.624395015999 58.5814659038628,22.6273297748942 58.586110061397,22.6319442009952 58.5903658542814,22.6380613475917 58.5940695647075,22.64544624082 58.5970786665076,22.6538148933867 58.5992773320263,22.6628452468424 58.6005809122354,22.672189617557 58.6009392134966,22.6814881575141 58.600338441412,22.6903827974107 58.598801734768,22.6985311187296 58.5963882684661,22.7056196045893 58.5931909611199,22.711375746101 58.5893328782243,22.7155785301471 58.5849624731082,22.7180669032528 58.5802478530991,22.7187458908805 58.5753702956511)))', 'EELSI', 'Leisi jõe lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1445200567444 58.4172134402639,23.1433114421588 58.4123645230019,23.1403239681795 58.4077324465113,23.1356730287091 58.4034950968855,23.1295377227529 58.3998151423448,23.1221539163237 58.3968338079822,23.1138051648451 58.3946654779826,23.1048118468545 58.3933933282811,23.0955189218993 58.3930661531972,23.0862827724671 58.3936965045101,23.0774576206791 58.3952602123419,23.0693820247525 58.3976973057718,23.0623659576608 58.4009142990454,23.0566789510181 58.4047877583096,23.0525397512915 58.409169015721,23.0501078836328 58.4138898542211,23.0494774519818 58.4187689488383,23.0506734241692 58.4236188205145,23.0536505597111 58.4282530374324,23.0582950386373 58.4324933876385,23.0644287455037 58.4361767461021,23.0718160577479 58.4391613695138,23.080172886221 58.4413323729606,23.0891776227372 58.4426061734985,23.0984835693803 58.4429337254827,23.1077323612253 58.442302419754,23.116567851455 58.4407365714919,23.1246499079171 58.4382964774791,23.1316675740824 58.4350760802819,23.1373510748955 58.4311993319701,23.1414821976234 58.4268154011145,23.143902646765 58.4220929117806,23.1445200567444 58.4172134402639)))', 'EELSK', 'Lautri, Saareküla k', 'Y'),('SRID=4326;MULTIPOLYGON(((24.258869813219 59.4040360823584,24.2583237647603 59.399155064665,24.2559212573742 59.3944221277958,24.2517553212554 59.3900190627273,24.2459865560607 59.3861149219518,24.2388368825847 59.3828595464723,24.2305809797046 59.3803778368448,24.2215357408555 59.3787649839671,24.2120481532924 59.378082838249,24.2024820572021 59.3783575525594,24.1932042793104 59.3795785865363,24.1845706563341 59.3816991091071,24.1769124671711 59.3846377841364,24.1705237790536 59.3882818726983,24.1656501822463 59.3924915363006,24.1624793407621 59.3971051801212,24.1611337238669 59.4019456355775,24.1616658062181 59.4068269488091,24.1640559352183 59.4115615172561,24.1682129651677 59.4159673015494,24.1739776522938 59.4198748352205,24.1811286966545 59.4231337607289,24.189391210672 59.4256186370588,24.1984472944276 59.4272337912101,24.2079483096269 59.4279170224242,24.2175283718435 59.4276420125749,24.2268185281317 59.4264193470175,24.2354610572734 59.4242961052185,24.2431233244889 59.4213540372919,24.2495106417029 59.4177063987018,24.2543776273623 59.4134935683999,24.257537623944 59.408877623309,24.258869813219 59.4040360823584)))', 'EELSL', 'Lohusalu', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6330356016649 58.0307748208734,27.6320459593178 58.0259117068553,27.629287547776 58.0212444144032,27.6248669663028 58.0169521943202,27.6189544852874 58.0131998321503,27.6117774437778 58.0101313402399,27.6036114940806 58.0078644521384,27.5947700326857 58.006486126553,27.5855922199668 58.0060492293393,27.576430039424 58.0065705174377,27.5676348796809 58.0080299998862,27.5595441384556 58.0103716997118,27.5524683470127 58.0135057883828,27.5466792961844 58.0173120133212,27.5423996112122 58.0216442904737,27.539794173005 58.0263362897952,27.538963718965 58.0312078033192,27.5399408787737 58.0360716547334,27.542688811555 58.0407408873384,27.5471025133407 58.045035954961,27.5530127611131 58.0487916385456,27.5601925558185 58.0518634200908,27.5683658260042 58.05413306523,27.5772180607039 58.0555131955211,27.5864084594041 58.0559506703582,27.5955831225 58.0554286448625,27.6043887610091 58.0539672222584,27.6124863819152 58.0516226748905,27.6195644065861 58.0484852648037,27.6253507042039 58.0446757502317,27.6296230686819 58.0403407160443,27.6322177335911 58.0356469120196,27.6330356016649 58.0307748208734)))', 'EELSN', 'Laossina', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5667835768594 58.622054934614,23.5655088728071 58.6172106948342,23.5624477599568 58.612589205692,23.5577184632862 58.6083679427987,23.5515030882808 58.6047089531575,23.5440405680297 58.6017526542398,23.5356174692761 58.5996124675367,23.5265570124646 58.598370488302,23.5172067227337 58.5980743535873,23.5079251754537 58.5987354254602,23.4990683304094 58.6003283571293,23.4909759625405 58.6027920582309,23.4839586940337 58.6060320235089,23.4782861125526 58.6099239382705,23.4741764238001 58.6143184260459,23.4717880340715 58.6190467605019,23.4712133910392 58.6239273264415,23.4724753302878 58.628772585111,23.475526083266 58.6333962783004,23.480249002192 58.6376205948529,23.4864629525361 58.6412830228738,23.4939292181044 58.6442426214297,23.5023606619667 58.6463854666893,23.5114327932119 58.6476290586568,23.5207963093726 58.6479255147564,23.5300906214711 58.6472634239922,23.5389578263914 58.6456682882728,23.5470565719956 58.6432015335096,23.5540752651469 58.6399581298512,23.559744101296 58.6360629154529,23.5638454449359 58.6316657691241,23.5662221602401 58.6269358219378,23.5667835768594 58.622054934614)))', 'EELSO', 'Laiasoone', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5575571065143 58.4221729606181,26.5567044589741 58.4173023487785,26.5540576892728 58.4126125592458,26.5497191380223 58.408283712817,26.543855957248 58.4044820048305,26.5366936225896 58.4013533427096,26.5285072447822 58.3990177677293,26.5196110178182 58.3975648709849,26.5103462061182 58.3970503753163,26.5010681230064 58.3974940107808,26.4921325867943 58.3988787627689,26.4838823582179 58.4011515207,26.4766340635796 58.4042251031502,26.4706660916958 58.4079815839886,26.466207919925 58.4122767953595,26.4634312757168 58.4169458388378,26.4624434762597 58.421809397389,26.4632832113623 58.4266806093768,26.4659189457023 58.4313722430624,26.4702500187 58.4357038968942,26.4761104168273 58.4395089481325,26.4832750880808 58.4426409803744,26.4914685660034 58.4449794392745,26.500375575676 58.4464342946863,26.5096532111071 58.4469495255798,26.5189442066723 58.446505289966,26.5278907782527 58.4451186938222,26.536148485076 58.4428431284854,26.5433995623458 58.4397662027822,26.5493651976187 58.4360063518238,26.5538162692672 58.4317082565358,26.5565821307729 58.4270372543929,26.5575571065143 58.4221729606181)))', 'EELTK', 'Leetsi, Kardla k', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4474721026347 58.3939551521744,24.446911616738 58.3890741776042,24.4445489121182 58.3843443786304,24.4404754402079 58.3799474281686,24.4348482099082 58.376052148986,24.4278836829209 58.3728080487232,24.4198494234963 58.3703396026542,24.4110538282318 58.3687414996009,24.4018343286914 58.3680750292395,24.3925445119705 58.3683657456723,24.3835406408321 58.3696024941978,24.3751680750424 58.371737837347,24.3677480987282 58.3746898642112,24.3615656449233 58.3783453155953,24.3568583782081 58.382563908322,24.3538075500142 58.3871836967752,24.3525309796692 58.3920272701144,24.3530784389706 58.3969085510007,24.3554296309206 58.4016399374813,24.3594948567841 58.4060395149577,24.3651183630468 58.4099380607241,24.3720842549609 58.4131855698323,24.3801247604817 58.4156570480428,24.3889305321025 58.4172573449167,24.3981625890004 58.4179248367881,24.4074654323331 58.4176338140385,24.4164808161503 58.4163954780036,24.4248616279831 58.4142575078369,24.4322853283201 58.4113022143874,24.4384664171818 58.4076433541583,24.4431674377917 58.4034217292928,24.446208089633 58.3987997470219,24.4474721026347 58.3939551521744)))', 'EELTV', 'Leetsi, Valgeranna k', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1705117652595 58.3913164280435,26.1697132304838 58.3864434013047,26.1671202106394 58.3817457788245,26.1628329849407 58.3774039851496,26.1570167404669 58.3735847151389,26.1498951587363 58.3704345520128,26.1417417946729 58.3680743630135,26.1328695829933 58.3665946836794,26.1236188723416 58.3660522636976,26.1143444378802 58.3664679032788,26.1054019574875 58.3678256605975,26.0971344546256 58.3700734597293,26.089859212011 58.3731250764329,26.0838556444619 58.3768634278017,26.0793545869527 58.3811450429803,26.0765294055552 58.3858055474901,26.0754892755548 58.3906659548351,26.0762748940179 58.3955395274438,26.0788568054834 58.40023894595,26.0831364218854 58.404583512379,26.0889497145924 58.4084061097458,26.0960734514689 58.4115596482704,26.1042337494932 58.4139227468367,26.1131166183175 58.4154044269505,26.1223800868427 58.4159476343234,26.1316674376328 58.4155314488713,26.1406210264117 58.4141718955239,26.1488961385647 58.4119213236353,26.156174332931 58.4088663795743,26.1621757453181 58.4051246528079,26.1666698688592 58.400840128065,26.1694843931176 58.3961776227784,26.1705117652595 58.3913164280435)))', 'EELUA', 'Luhaääre', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1845403620085 58.4331984725541,23.1833256544761 58.4283499836044,23.180331544725 58.423718893977,23.175673681649 58.4194830515144,23.1695314297997 58.4158050662542,23.1621409211674 58.4128260874509,23.1537859675068 58.4106604087338,23.1447871843766 58.4093911042497,23.1354897401285 58.4090668591946,23.1262501899972 58.4097001130487,23.1174228862966 58.4112665847301,23.1093464699532 58.4137061974308,23.1023309459865 58.4169253688458,23.0966458260843 58.4208005815785,23.0925097854365 58.4251831004345,23.0900822291201 58.4299046597804,23.0894570966151 58.4347839067271,23.0906591530414 58.4396333560618,23.0936429246006 58.444266591858,23.0982943362939 58.448505439539,23.104435005736 58.4521868315505,23.1118290418476 58.4551690999911,23.1201920958502 58.4573374504139,23.1292023189823 58.4586084019282,23.1385128012539 58.4589330185923,23.1477650025058 58.4582988043516,23.1566026444026 58.4567301864985,23.1646855121201 58.454287568577,23.1717026184774 58.4510649904099,23.1773842108859 58.4471864880414,23.1815121511876 58.4428012974827,23.1839282675106 58.438078091109,23.1845403620085 58.4331984725541)))', 'EELUH', 'Luhina', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8322338535026 59.6224478418693,25.831456846496 59.6175737312225,25.828818384771 59.612870033749,25.8244205544126 59.6085174046328,25.8184328387208 59.6046829488223,25.8110855327554 59.6015138242818,25.8026608645311 59.5991316169094,25.7934821683336 59.5976276987163,25.7839015232434 59.5970597430019,25.7742863221588 59.5974495264292,25.7650052724253 59.5987820996793,25.7564143479983 59.6010063574194,25.7488432146203 59.6040369863651,25.7425826337704 59.6077577189738,25.7378733183754 59.61202577149,25.7348966640138 59.6166773003447,25.7337677144993 59.6215336718813,25.734530641726 59.6264083085327,25.7371569284721 59.6311138512005,25.741546342181 59.6354693637874,25.7475306809127 59.6393073023633,25.7548801637225 59.6424799787449,25.7633122311951 59.6448652662981,25.7725024225782 59.6463713240816,25.7820969087523 59.646940153062,25.7917261896358 59.6465498436291,25.8010194143571 59.6452154251817,25.8096187554275 59.6429882839677,25.8171932657481 59.639954172255,25.8234516697348 59.6362298878063,25.8281535858725 59.6319587551122,25.8311187450545 59.6273050866704,25.8322338535026 59.6224478418693)))', 'EELUK', 'Lõuka', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1924127486018 58.3173080464946,26.191612778273 58.312435097039,26.1890221811982 58.3077378699483,26.1847411400492 58.3033967747278,26.1789346016289 58.2995784797543,26.1718258730746 58.2964295312877,26.1636880154204 58.2940707504748,26.1548333689545 58.2925926193059,26.1456016099738 58.2920518284395,26.1363467888055 58.2924691157746,26.1274238333351 58.2938284762409,26.1191750201282 58.2960777721546,26.1119169162832 58.2991307213973,26.1059282793821 58.302870189345,26.1014393705884 58.3071526616495,26.0986230876438 58.3118137303245,26.0975882612019 58.3166743867247,26.0983753810446 58.3215478834113,26.1009549302665 58.3262469038565,26.1052284081301 58.3305907655336,26.1110320192751 58.3344123788985,26.1181429022185 58.3375646924966,26.1262876679436 58.3399263728702,26.1351529244725 58.3414064965963,26.1443973802213 58.3419480696673,26.1536650518915 58.3415302351003,26.1625990552219 58.3401690812769,26.1708554317087 58.3379170189038,26.178116462814 58.3348607512683,26.1841029453102 58.3311179181901,26.1885849460258 58.3268325463277,26.1913906189129 58.3221694850982,26.1924127486018 58.3173080464946)))', 'EELUN', 'Luhaneeme', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((23.579456205115 59.1070455567134,23.5781599099356 59.1022019161163,23.5750522179321 59.0975813688072,23.570253163683 59.0933613517807,23.5639475453059 59.0897038608076,23.5563777662816 59.0867492519917,23.547834507787 59.0846108782517,23.5386455917681 59.0833707622502,23.5291634575578 59.0830764676604,23.519751721966 59.0837392854738,23.5107713235562 59.0853338029107,23.5025667657377 59.0877988710753,23.4954529701244 59.0910399355203,23.4897032313629 59.0949326430855,23.4855387276272 59.099327590463,23.4831199878338 59.1040560365906,23.4825406484172 59.1089363637699,23.4838237507766 59.1137810427962,23.4869207374644 59.1184038366324,23.4917132036883 59.1226269662714,23.4980173543 59.1262879620757,23.5055910092766 59.1292459343631,23.514142897366 59.1313870181565,23.5233438828455 59.1326287782114,23.532839688914 59.1329234005618,23.5422646173414 59.1322595443176,23.551255721071 59.1306627803504,23.5594668669048 59.1281945995707,23.5665821302656 59.1249500302937,23.5723279930591 59.1210539592586,23.5764838671959 59.1166563018309,23.5788905375386 59.1119262116527,23.579456205115 59.1070455567134)))', 'EELUR', 'Luksi rand', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3506535690242 58.5015073931939,22.3495511959956 58.4966508363779,22.3466607063189 58.4920001254719,22.3420937829347 58.4877338673566,22.3360263164219 58.4840158438454,22.3286915871187 58.4809887432336,22.3203712836484 58.4787687062543,22.3113847054504 58.4774408915723,22.3020765600035 58.4770562268837,22.2928038133939 58.4776294668865,22.2839220847814 58.4791386304755,22.2757720905942 58.4815258381511,22.268666642676 58.4846995185689,22.26287868614 58.4885379021117,22.2586308276439 58.4928936710821,22.2560867538072 58.4975995922594,22.2553448735611 58.5024749197363,22.2564344388939 58.507332325611,22.259314307829 58.5119850945333,22.2638744143364 58.5162543063088,22.2699399056464 58.5199757294569,22.2772778021311 58.5230061581182,22.285605932996 58.5252289448943,22.2946038071528 58.5265585124879,22.3039249974136 58.5269436663377,22.3132105517341 58.5263695772747,22.3221029010934 58.5248583556666,22.3302597121495 58.522468194328,22.3373671352542 58.5192911142725,22.3431519245935 58.5154494026815,22.3473919556899 58.5110908839173,22.3499247335757 58.506383209831,22.3506535690242 58.5015073931939)))', 'EELUT', 'Luhtse', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5744672848329 58.3869080295868,24.5738893196254 58.382027486182,24.5715100004601 58.3772999118169,24.5674214153336 58.3729068930558,24.5617811511085 58.3690171009833,24.5548061670669 58.3657798321446,24.5467644260383 58.3633192994518,24.5379646093789 58.3617298881562,24.5287443090656 58.3610725547382,24.5194571423709 58.3613725031593,24.5104592709289 58.3626182249375,24.5020958258504 58.3647619386275,24.4946877435775 58.367721412237,24.4885195033647 58.3713831006283,24.4838282268551 58.3756064807764,24.4807945537517 58.3802294225538,24.4795356459489 58.3850743931162,24.480100597092 58.3899552604423,24.4824684372781 58.3946844374699,24.4865488260795 58.3990800936443,24.4921854244505 58.4029731563592,24.4991618312052 58.4062138311443,24.5072098669225 58.4086773865627,24.5160198919388 58.4102689771801,24.5252527601466 58.4109273147334,24.5345529409223 58.4106270423903,24.5435622913524 58.4093797179472,24.5519339327522 58.407233366841,24.5593456808648 58.4042706225875,24.5655124983482 58.4006055282505,24.5701974801601 58.3963791253793,24.5732209449104 58.3917540042829,24.5744672848329 58.3869080295868)))', 'EELVA', 'Liiva', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7571754954041 59.5834758301721,25.756410182445 59.5786012865528,25.7537852009459 59.5738960972299,25.749402118197 59.5695409754156,25.7434298511932 59.5657031224748,25.7360981028738 59.5625298273772,25.7276885058329 59.5601428365119,25.7185238181456 59.5586337056652,25.7089555835838 59.5580603081422,25.6993507207522 59.5584446292036,25.6900775415441 59.559771928784,25.6814917182221 59.561991303519,25.6739227200727 59.5650176271515,25.6676612249678 59.5687347971326,25.662947978525 59.5730001663959,25.6599645244239 59.5776499945373,25.65882616475 59.5825057135701,25.6595774303756 59.5873807715298,25.6621902503732 59.5920877937909,25.6665649089292 59.5964457880938,25.672533771557 59.6002871157638,25.6798676536064 59.6034639588354,25.6882845976463 59.6058540307726,25.6974607270896 59.6073653067231,25.7070427562595 59.6079395868085,25.7166616664435 59.6075547514056,25.7259470071621 59.606225618884,25.734541254671 59.6040033716572,25.742113657179 59.600973573294,25.7483730185351 59.5972528553399,25.7530789179699 59.5929844050077,25.7560509303209 59.5883324317657,25.7571754954041 59.5834758301721)))', 'EELVJ', 'Loksa Valgejõe lossimiskoht', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0402588202314 58.2033639539014,26.0394821203666 58.1984900416968,26.0369198002157 58.193789740148,26.0326709531066 58.189443578396,26.0268992886032 58.185618420927,26.0198267762567 58.1824610788342,26.0117250901736 58.1800926964754,26.0029051869352 58.178604124911,25.9937054145634 58.1780524555324,25.9844786005422 58.178458843308,25.9755786013704 58.1798077006959,25.9673468141115 58.1820472921572,25.9600991516349 58.1850917071048,25.9541139676959 58.1888241377693,25.9496213859409 58.1931013395882,25.946794438919 58.1977591070238,25.9457423601974 58.2026185587778,25.9465062961433 58.207492994689,25.9490576158537 58.212195063473,25.9532989007162 58.2165439669439,25.9590675924517 58.2203724232141,25.9661421740892 58.2235331189782,25.9742506564947 58.2259043993122,25.98308104841 58.2273949719645,25.9922934050062 58.2279474408958,26.0015329829619 58.2275405294126,26.0104439825816 58.2261899047868,26.0186833320817 58.2239475716039,26.0259339673115 58.2208998578536,26.0319170819439 58.2171640735188,26.0364028673692 58.2128839737274,26.0392193257194 58.2082242052066,26.0402588202314 58.2033639539014)))', 'EELVK', 'Liivaku, Kivilõppe k', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0532271386042 59.6153648216753,26.0524182671733 59.6104919541513,26.0497494384311 59.6057926407159,26.0453239017913 59.6014473665521,26.0393121999378 59.5976229529394,26.0319455434738 59.5944661715614,26.023506897879 59.5920981343236,26.0143201294213 59.5906096696937,26.0047376240183 59.5900578586123,25.9951268449798 59.5904638591022,25.9858563310949 59.5918121004251,25.9772816550627 59.5940508766585,25.96973186354 59.5970943176062,25.9634969040738 59.6008256637376,25.9588165111476 59.6051017230834,25.9558709740479 59.6097583433733,25.9547741441734 59.6146166937777,25.9555689601821 59.6194901188908,25.9582256780178 59.6241913043747,25.9626428920406 59.6285394800448,25.9686513266109 59.6323673828941,25.9760202685438 59.6355277100347,25.9844664044215 59.6378988097506,25.9936647276503 59.639389387339,26.0032610932023 59.6399420401798,26.0128859276817 59.6395354820996,26.0221685524818 59.6381853687251,26.0307515511247 59.6359436909824,26.0383046099129 59.6328967607966,26.0445372838916 59.6291618689037,26.0492101865261 59.6248827470828,26.0521441688609 59.6202240138375,26.0532271386042 59.6153648216753)))', 'EELVL', 'Lahe, Vihula v Lahe k', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9964680022505 58.3752686434293,22.9952812407339 58.3704181787593,22.9923167690907 58.365782493782,22.9876890979894 58.3615396143911,22.9815764345916 58.3578524221748,22.9742137783721 58.3548624208317,22.9658838762744 58.3526843276124,22.9569063868282 58.3514016931794,22.9476256650534 58.3510637139116,22.9383976270527 58.35168335566,22.9295761842375 58.3532368588894,22.9214997515767 58.3556646437085,22.9144783318704 58.3588735812236,22.9087816588402 58.3627405466911,22.9046288461181 58.3671171218178,22.9021799376235 58.3718352699476,22.9015296883942 58.3767137703599,22.902703825244 58.3815651679597,22.9056579457862 58.3862029735122,22.9102791152129 58.3904488382858,22.9163901161851 58.3941394261955,22.9237562023208 58.3971327165795,22.9320941045061 58.39931349146,22.9410829462713 58.4005977919154,22.9503766443071 58.4009361679294,22.9596173069891 58.4003155932497,22.9684491009097 58.3987599694423,22.9765320352367 58.3963291992379,22.9835551173524 58.3931168660285,22.9892483604519 58.3892466115216,22.993393173082 58.3848673547366,22.995830729266 58.380147540587,22.9964680022505 58.3752686434293)))', 'EELVN', 'Laevnina', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7552090512767 59.6064766852138,25.7544435427729 59.6016021461624,25.7518170847118 59.5968969286776,25.7474313022622 59.592541746969,25.7414552169761 59.5887038045608,25.734118678888 59.5855303936819,25.7257035045188 59.5831432649831,25.7165326656546 59.5816339793791,25.7069579414457 59.5810604159989,25.6973464986493 59.5814445664174,25.6880669007376 59.5827716971399,25.6794750655055 59.584990911375,25.6719006924612 59.5880170891754,25.6656346656648 59.5917341337749,25.6609179050201 59.5959994031136,25.6579320898737 59.6006491607963,25.6567926140514 59.605504841668,25.6575440525618 59.6103798952911,25.6601583291236 59.6150869471943,25.6645356730891 59.6194450038947,25.6705083475902 59.6232864241777,25.6778470218572 59.6264633863395,25.6862695541596 59.6288535990786,25.6954518525344 59.6303650319625,25.7050403932236 59.6309394789576,25.7146659060323 59.6305548139663,25.7239576854523 59.6292258488225,25.7325579591626 59.6270037595923,25.7401357429744 59.6239741039156,25.7463996335731 59.6202535080341,25.7511090362756 59.6159851546581,25.7540833919173 59.6113332496987,25.7552090512767 59.6064766852138)))', 'EELVS', 'Liivaku, Suurpea k', 'Y'),('SRID=4326;MULTIPOLYGON(((24.2567806450213 59.3420361936155,24.2562356407023 59.3371551353238,24.2538375613014 59.3324221543648,24.2496792638713 59.328019043667,24.2439210524092 59.324114857878,24.2367844412136 59.3208594402156,24.228543607589 59.3183776933508,24.2195148675341 59.3167648100409,24.2100445769401 59.3160826421625,24.2004959145598 59.3163573435581,24.1912350405353 59.3175783742894,24.182617144954 59.3196989031531,24.174972904436 59.3226375933717,24.1685958511106 59.3262817049516,24.1637311277358 59.3304913980215,24.1605660556677 59.3351050761974,24.1592228797848 59.3399455692768,24.1597539776534 59.3448269218298,24.1621397311128 59.3495615298566,24.1662891596209 59.3539673527228,24.1720433093944 59.3578749228786,24.1791812844935 59.3611338818675,24.1874286999757 59.3636187878833,24.1964682378165 59.3652339672162,24.2059518982589 59.36591721844,24.2155144671083 59.3656422227825,24.2247876670847 59.3644195649807,24.233414431584 59.3622963239453,24.2410627337747 59.3593542493581,24.247438423178 59.3557065964524,24.2522965646847 59.3514937442342,24.2554508389708 59.3468777700386,24.2567806450213 59.3420361936155)))', 'EELVT', 'Liiva talu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1662604597598 58.2033173235677,26.1654664992361 58.1984441395608,26.1628875265958 58.1937463292903,26.1586232733735 58.1894043253104,26.1528380385132 58.1855848317459,26.145754309877 58.1824344418047,26.1376441893794 58.1800740328425,26.1288189549566 58.1785941500361,26.1196171576026 58.1780515516858,26.1103917018796 58.178467045139,26.1014963926205 58.1798246939137,26.0932724483833 58.1820724254712,26.0860354832912 58.1851240169876,26.0800634431908 58.1888623851293,26.0755859498491 58.1931440569978,26.0727754587615 58.1978046547467,26.0717405730188 58.2026651874973,26.0725217790252 58.2075389125717,26.0750897816734 58.2122385050142,26.0793465195094 58.2165832609514,26.0851288377397 58.2204060572987,26.0922146925357 58.2235597980295,26.1003316582979 58.2259230956608,26.1091674149622 58.2274049652414,26.1183818096174 58.2279483460022,26.1276200198733 58.2275323114803,26.1365262991316 58.2261728805311,26.1447577587498 58.2239223970135,26.1519976404571 58.2208675027131,26.1579675543821 58.2171257837827,26.162438202452 58.2128412232477,26.1652381713035 58.2081786387274,26.1662604597598 58.2033173235677)))', 'EELYO', 'Lohu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1476888289371 59.281076316882,24.1471601854998 59.2761948939818,24.1447813566971 59.2714600204179,24.1406444582975 59.2670535628747,24.1349089721981 59.2631447055645,24.1277955413326 59.2598834719558,24.1195774555633 59.2573949886188,24.1105701609612 59.2557747071946,24.1011191937879 59.2550847634791,24.0915869942794 59.2553516094172,24.0823390929372 59.2565650060097,24.0737301828227 59.2586784144067,24.0660905950165 59.2616107705192,24.0597136809078 59.2652495770413,24.0548445745522 59.2694551975734,24.0516707614836 59.2740661922283,24.0503148179756 59.2789054943134,24.0508296081581 59.2837871948856,24.0531961375274 59.2885236775139,24.0573241627898 59.2929328305489,24.063055552904 59.2968450594149,24.0701702885161 59.300109827355,24.078394881132 59.3026014697288,24.0874128940747 59.30422405396,24.0968771593114 59.3049150936706,24.1064232120932 59.3046479700598,24.1156834128794 59.3034329644003,24.1243011961272 59.3013168605082,24.1319448799029 59.2983811328381,24.1383204892466 59.2947387919853,24.1431830887451 59.2905300124191,24.1463461834768 59.2859167149603,24.1476888289371 59.281076316882)))', 'EEMAD', 'Madise', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7942771214069 59.6524622435081,25.7935049806838 59.6475879456244,25.7908695343545 59.6428835153206,25.7864727546381 59.6385296360819,25.7804840863348 59.6346934608836,25.7731338625659 59.6315222135997,25.7647044242857 59.6291375614134,25.7555192891354 59.6276309699159,25.7459307829143 59.627060214743,25.7363065992323 59.6274471797776,25.7270157887932 59.6287770237383,25.7184146986416 59.6309987460378,25.7108333833067 59.6340271308401,25.7045629940959 59.6377459970078,25.6998446200474 59.6420126328022,25.6968600048047 59.6466632494704,25.6957244988345 59.651519248809,25.6964825273775 59.6563940679172,25.6991057633074 59.6611003409579,25.7034940933258 59.6654571039067,25.7094793590239 59.6692967647702,25.7168317452998 59.6724715690138,25.7252685819813 59.6748593079394,25.7344652250896 59.6763680460267,25.7440675968418 59.6769396808407,25.753705892723 59.6765521945807,25.7630089135704 59.6752205078799,25.771618453414 59.6729959018672,25.7792031713365 59.6699640313981,25.7854713980214 59.6662416082716,25.7901823736595 59.661971885741,25.7931554809502 59.6573191224861,25.7942771214069 59.6524622435081)))', 'EEMAE', 'Mäe', 'Y'),('SRID=4326;MULTIPOLYGON(((26.7760979388759 59.5220932267065,26.7751869227449 59.5172248789255,26.7724248840429 59.512540342039,26.7679186386779 59.5082195287574,26.7618418110506 59.5044283175523,26.7544280932987 59.5013122036189,26.745962240112 59.4989907378277,26.7367691488159 59.4975529627809,26.7272014408082 59.4970540167679,26.7176260113868 59.4975130322207,26.7084100495661 59.498912406805,26.6999070470616 59.5011984741986,26.6924433159722 59.5042835496362,26.6863055177956 59.5080492741553,26.6817296725366 59.5123511328701,26.6788920663734 59.5170239782161,26.6779024105764 59.5218883505227,26.678799524593 59.52675735697,26.6815497244467 59.5314438472697,26.6860479965851 59.5357676113227,26.6921219304607 59.5395623214296,26.6995382744869 59.5426819497197,26.7080118741516 59.5450064102932,26.7172166527999 59.5464462046187,26.726798209739 59.5469458869894,26.736387541293 59.546486212869,26.7456153419698 59.5450848848684,26.7541263176937 59.5427958667004,26.7615929425169 59.5397072923595,26.7677281144011 59.5359380534849,26.7722962131743 59.531633199991,26.7751221319925 59.5269583353693,26.7760979388759 59.5220932267065)))', 'EEMAH', 'Mahu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1736072898833 59.2230659795156,24.1730755931238 59.2181846020981,24.1706969612599 59.2134501686334,24.1665634993672 59.2090445289306,24.1608345547205 59.2051368360011,24.1537305172636 59.2018770689511,24.1455243154662 59.1993902984736,24.1365309395527 59.1977719108917,24.1270953928728 59.1970839696754,24.1175795258641 59.1973528501471,24.1083482445843 59.198568235282,24.0997556065162 59.2006835097763,24.0921313199782 59.2036175376013,24.0857681499571 59.2072577568255,24.0809107027545 59.2114644762784,24.0777460150144 59.2160762133353,24.0763963103602 59.2209158723179,24.0769142103619 59.2257975302339,24.0792805977928 59.230533572129,24.0834052316793 59.234941903326,24.0891301087313 59.2388529610583,24.0962354582626 59.2421162539595,24.1044481520562 59.2446061745576,24.1134522115424 59.2462268569516,24.1229010068936 59.2469158883063,24.1324306706785 59.2466467273356,24.1416741964015 59.2454297337675,24.1502756624721 59.243311767776,24.1579040165892 59.2403743751463,24.1642658745175 59.2367306300715,24.1691168297135 59.2325207605007,24.1722708338847 59.227906728635,24.1736072898833 59.2230659795156)))', 'EEMAN', 'Manilaiu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7399262171882 58.7309895076118,23.7386230998345 58.7261472893845,23.7355292012396 58.7215302579864,23.7307640077539 58.7173157161137,23.7245110029527 58.7136654510823,23.7170105619897 58.7107195440969,23.7085507028435 58.7085910168737,23.6994560515128 58.7073615168101,23.6900754400763 58.7070782021979,23.6807686030868 58.7077519437179,23.6718924681279 58.7093569092528,23.6637875499797 58.7118315475884,23.656764954502 58.7150809345601,23.6510944780713 58.7189803943934,23.6469942515168 58.7233802610898,23.6446223246382 58.7281116014013,23.6440705196072 58.7329926838128,23.6453608004507 58.7378359484408,23.6484443135668 58.7424552121406,23.6532031536991 58.7466728323687,23.6594548045149 58.7503265531582,23.6669590969963 58.7532757671967,23.6754274268092 58.7554069492988,23.6845338783733 58.7566380478851,23.6939278231294 58.7569216613027,23.7032474966438 58.7562468733803,23.7121340170853 58.7546396755407,23.7202452885774 58.752161958847,23.7272692380232 58.7489091161166,23.7329358629207 58.7450063492318,23.7370276188049 58.7406038276596,23.7393877454596 58.735870888828,23.7399262171882 58.7309895076118)))', 'EEMAT', 'Matsalu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1899340933616 57.9585694180546,22.1888712141283 57.9537109468717,22.1860463107818 57.9490560069362,22.1815685266762 57.9447833710825,22.1756103165011 57.9410570703695,22.1684007619966 57.9380201154208,22.1602167518088 57.9357890293486,22.1513723668905 57.9344493979953,22.1422068753513 57.9340526042275,22.1330717882578 57.9346138682547,22.1243174596243 57.9361116670256,22.1162797291458 57.9384885543651,22.1092671048434 57.9416533513896,22.1035489647243 57.9454846256255,22.0993452221224 57.9498353288904,22.0968178491727 57.9545384200535,22.0960645879484 57.9594132608847,22.0971151006366 57.964272542775,22.0999297208876 57.9689294804527,22.1044008708543 57.9732049969462,22.1103571058361 57.9769346226457,22.1175696448015 57.9799748407288,22.1257611447503 57.9822086313004,22.1346163844828 57.983549996782,22.1437944433405 57.983947290301,22.1529418969933 57.9833852155652,22.1617065087273 57.9818854190493,22.1697508733375 57.9795056510674,22.1767654728181 57.9763375290556,22.182480628462 57.9725029916865,22.1866768812979 57.968149583925,22.1891933994406 57.9634447586362,22.1899340933616 57.9585694180546)))', 'EEMBE', 'Mäebe', 'Y'),('SRID=4326;MULTIPOLYGON(((25.954225649421 59.6154019991437,25.9534311182368 59.610528563675,25.9507761290896 59.6058272761515,25.9463634010383 59.6014786983151,25.9403629868374 59.5976497788808,25.9330056660636 59.5944874628753,25.9245740482188 59.5921130747644,25.9153917318992 59.5906176866454,25.9058109335789 59.5900586448611,25.8961990516147 59.5904573845101,25.886924666731 59.5917986130772,25.8783434989064 59.5940308934401,25.8707848419866 59.5970686045565,25.8645389814635 59.6007952069009,25.8598460679514 59.6050676909347,25.8568868694861 59.6097220422137,25.8557757608023 59.6145795177686,25.8565562286241 59.6194534966106,25.859199080731 59.6241566439316,25.8636034458165 59.6285081148532,25.8696005443131 59.632340520215,25.876960101434 59.6355063842899,25.8853991672177 59.6378838424504,25.8945930091888 59.6393813552112,25.9041876561958 59.6399412527716,25.9138136015411 59.6395419697483,25.9231001234741 59.6381988813807,25.9316896542583 59.6359637079294,25.9392516268646 59.6329225108839,25.9454952510219 59.6291923604712,25.9501807165862 59.6249168063909,25.9531283894062 59.6202603304731,25.954225649421 59.6154019991437)))', 'EEMDL', 'Mädalaht', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8660321371042 59.5008095654825,24.8653971837155 59.4959307787013,24.8629029960512 59.4912086892151,24.8586461239172 59.4868246663844,24.8527906515235 59.482947027192,24.8455618167881 59.479724592069,24.8372373230875 59.4772809954786,24.8281366821791 59.4757099653921,24.8186089955091 59.4750717484128,24.809019634333 59.4753908138373,24.7997363159869 59.4766549219673,24.791115093639 59.4788155911685,24.7834867796271 59.4817899462254,24.7771443080304 59.4854638791932,24.7723315106512 59.4896964049054,24.7692337326339 59.4943250482399,24.7679706504042 59.4991720607778,24.7685915768563 59.5040512320868,24.7710734486816 59.508775036856,24.7753215910469 59.5131618445894,24.7811732487714 59.5170429143285,24.7884037646895 59.5202689033732,24.796735179484 59.5227156362074,24.8058469277258 59.5242889073947,24.8153882169769 59.5249281291439,24.8249916051085 59.5246086791908,24.8342872393035 59.5233428557748,24.8429171914154 59.5211794016678,24.8505493200798 59.5182016160624,24.8568901104749 59.5145241291739,24.8616959867502 59.5102884672207,24.8647826574389 59.5056575827885,24.8660321371042 59.5008095654825)))', 'EEMDR', 'Miiduranna', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5923795155942 59.0314145774572,22.5912251294743 59.0265607373131,22.5882567732111 59.0219162094401,22.583589140297 59.0176593591036,22.5774020000237 59.0139536020554,22.5699332292674 59.010941150839,22.561469654758 59.0087375796901,22.5523360601419 59.0074274123359,22.5428827757358 59.007060897822,22.5334723170964 59.0076520946352,22.5244655704919 59.0091783344565,22.5162080384907 59.0115810855464,22.5090166569489 59.0147681837542,22.5031676756947 59.0186173481854,22.4988860594612 59.0229808503799,22.4963368137311 59.0276911621157,22.4956185731347 59.0325673692485,22.4967597094281 59.0374221087926,22.4997171240005 59.0420687650079,22.5043777891316 59.0463286486092,22.5105629963134 59.0500378820581,22.5180351629692 59.0530537235607,22.5265069453777 59.0552600827407,22.5356523103152 59.0565720114179,22.5451191355386 59.0569389924004,22.5545428440206 59.0563468961858,22.5635605323211 59.054818528019,22.5718250320966 59.0524127436615,22.5790183467123 59.0492221690521,22.5848639320509 59.0453696143363,22.5891373403802 59.0410033241137,22.5916748157975 59.0362912510577,22.5923795155942 59.0314145774572)))', 'EEMDS', 'Mudaste lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1607008038181 59.2890715422095,24.1601702047618 59.2841901622114,24.1577890365222 59.2794555134096,24.1536495049846 59.2750494537262,24.1479111932316 59.2711411519665,24.1407948525643 59.2678806101571,24.1325738842633 59.2653929282298,24.1235638446482 59.2637735270221,24.1141103749031 59.263084508546,24.1045760109138 59.2633522892738,24.0953263659626 59.2645665943956,24.0867161999021 59.2666808502721,24.07907589208 59.2696139603632,24.0726988217738 59.2732533984807,24.0678301294439 59.2774595040066,24.0646572852385 59.2820708184218,24.0633028287661 59.2869102627036,24.0638195675355 59.2917919223607,24.0661884325614 59.2965281824213,24.0703190910091 59.3009369396645,24.0760533106442 59.3048486146066,24.0831709631568 59.3081126916848,24.0913984475541 59.3106035327548,24.1004192155018 59.3122252360274,24.1098859925238 59.3129153490217,24.1194342168185 59.3126472886342,24.1286961649938 59.3114313722508,24.1373152041405 59.3093144188115,24.1449596040648 59.3063779355362,24.1513353625071 59.3027349621504,24.1561975387304 59.2985256974846,24.1593596546069 59.2939120810076,24.1607008038181 59.2890715422095)))', 'EEMDV', 'Madise vaatetorn', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5142942590085 58.2258183566055,27.5133152455611 58.2209544563683,27.5105571169802 58.2162847380051,27.5061264712397 58.2119885454839,27.5001939732197 58.2082308162841,27.4929877359078 58.2051557677304,27.4847845345477 58.2028813837094,27.4758991942672 58.2014949092528,27.4666725553239 58.2010495217876,27.4574584687557 58.2015623033406,27.4486103079489 58.2030135892379,27.4404674978459 58.2053477175514,27.4333425629456 58.2084751514351,27.4275091779027 58.2122758953201,27.423191670696 58.2166040774169,27.4205563786088 58.2212935267935,27.4197051926522 58.2261641350665,27.4206715480591 58.2310287619077,27.4234190291476 58.2357004214371,27.4278426589268 58.2399994741626,27.4337728406346 58.2437605471648,27.4409818139244 58.2468389140559,27.4491923870278 58.2491160857621,27.4580886125372 58.2505043928514,27.467327993016 58.2509503788945,27.4765547376399 58.2504368707363,27.485413545945 58.2489836436699,27.4935633720024 58.2466466551496,27.5006906231994 58.2435158774624,27.5065212722494 58.2397118152412,27.510831407707 58.2353808454619,27.5134558145721 58.2306895634553,27.5142942590085 58.2258183566055)))', 'EEMEE', 'Meeksi', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5223101682504 58.2378153684473,27.5213297187001 58.2329515410616,27.5185695989189 58.2282820076539,27.5141364837689 58.2239861049804,27.5082011331727 58.2202287592714,27.5009917696405 58.217154173014,27.4927852882255 58.2148803122539,27.4838966395979 58.2134944018758,27.474666790543 58.2130495976338,27.4654497148423 58.2135629591878,27.4565989002183 58.2150147996558,27.4484538732295 58.2173494359012,27.4413272434216 58.220477311669,27.4354927506813 58.2242784145094,27.4311747658829 58.2286068589137,27.4285396451706 58.2332964639082,27.4276892735806 58.2381671151255,27.4286570556713 58.2430316705412,27.4314065214714 58.247703146939,27.4358326180898 58.2520019117608,27.4417656541131 58.2557626030406,27.4489777594073 58.2588405089588,27.4571916215139 58.2611171580812,27.4660911661206 58.2625049010196,27.4753337676267 58.2629503030285,27.4845635108021 58.2624362134434,27.493424979413 58.2609824299825,27.5015770249266 58.2586449315861,27.5087059692918 58.2555137102464,27.5145377202552 58.2517092877464,27.5188483243562 58.2473780549827,27.5214725490962 58.2426866174305,27.5223101682504 58.2378153684473)))', 'EEMEH', 'Mehikoorma L', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2772503460284 58.9345326420886,22.2761436322053 58.9296757893657,22.2732260544963 58.9250238291979,22.2686103560247 58.920755414976,22.2624743150338 58.917034408814,22.2550538524588 58.9140036104015,22.2466339481776 58.9117792991695,22.2375377175895 58.9104467949715,22.2281140639641 58.9100572034538,22.2187243705137 58.9106254675314,22.2097287284168 58.912129797519,22.2014722125208 58.9145125011546,22.1942717149135 58.917682182728,22.188403828003 58.9215172295178,22.1840942334592 58.9258704554656,22.1815090019627 58.9305747281559,22.1807481421878 58.93544936731,22.1818416573277 58.9403070726086,22.1847482758848 58.9449611170039,22.1893569231661 58.9492325298009,22.1954908944101 58.9529569923803,22.2029145837855 58.9559911788446,22.2113425201665 58.9582182939623,22.220450365341 58.9595525910129,22.2298874478219 58.9599426914043,22.2392903399717 58.9593735747494,22.248296941226 58.9578671605313,22.2565605083039 58.9554814583178,22.2637630756409 58.952308320326,22.269627735735 58.9484698854858,22.2739292981734 58.9441138556554,22.2765029150918 58.9394077901153,22.2772503460284 58.9345326420886)))', 'EEMGP', 'Mägipe lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((22.095250370575 58.1976034087151,22.0941928559816 58.1927443094723,22.0913609635594 58.188087462808,22.0868641160993 58.1838117143938,22.0808755090422 58.1800812137752,22.0736253964926 58.1770391313291,22.0653922253819 58.1748021853001,22.0564919610417 58.1734561848335,22.0472660103759 58.1730527559748,22.0380681967777 58.1736073728836,22.0292512729397 58.1750987676274,22.0211534732078 58.1774697405642,22.0140856058472 58.1806293412185,22.0083191675506 58.184456338453,22.0040759280104 58.1888038503627,22.0015193820176 58.1935049603551,22.0007484013566 58.1983791079248,22.0017933402635 58.2032390121438,22.0046147584922 58.2078978641563,22.0091048278518 58.212176512995,22.0150913848071 58.2159103675519,22.0223444873667 58.2189557468433,22.0305852334003 58.2211954307097,22.0394965043642 58.2225431931943,22.048735217694 58.2229471399996,22.0579456069935 58.2223917181133,22.0667730050303 58.2208983180185,22.0748775828554 58.2185244446545,22.0819475003021 58.2153614900611,22.0877109485741 58.2115311959825,22.0919466131861 58.2071809462382,22.0944921525626 58.2024780742304,22.095250370575 58.1976034087151)))', 'EEMHA', 'Muha', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5213115069494 58.2388157364869,27.5203311656514 58.2339519020318,27.5175710985064 58.2292823477022,27.5131379784091 58.2249864110606,27.5072025655209 58.2212290196406,27.4999930847801 58.2181543776798,27.4917864357591 58.2158804533557,27.4828975755624 58.2144944739848,27.4736674790784 58.2140495979619,27.4644501295532 58.2145628876962,27.4555990251786 58.2160146590595,27.4474537035926 58.2183492315687,27.4403267856135 58.2214770514199,27.4344920221677 58.2252781083183,27.4301737945173 58.2296065185297,27.4275384681458 58.2342961024054,27.4266879360202 58.2391667464001,27.4276556089119 58.2440313087761,27.4304050211 58.2487028060563,27.4348311218091 58.2530016048818,27.4407642195177 58.2567623419783,27.4479764417557 58.2598403037593,27.456190471586 58.2621170166347,27.4650902282441 58.2635048287556,27.4743330779526 58.2639503027071,27.4835630958992 58.2634362850505,27.4924248552366 58.2619825707339,27.500577196204 58.2596451360381,27.5077064293473 58.2565139705095,27.5135384512808 58.252709593792,27.517849298116 58.2483783950321,27.5204737280328 58.2436869784091,27.5213115069494 58.2388157364869)))', 'EEMHK', 'Mehikoorma M', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4551743596385 58.8824665712718,22.4540444936999 58.8776113084939,22.4511075819709 58.8729634140724,22.446477105483 58.8687013842343,22.4403314048259 58.8649888353491,22.432906766954 58.8619682422855,22.4244883281598 58.8597554930305,22.4153991452534 58.8584354643009,22.4059878505065 58.8580587837628,22.3966153541619 58.858639899657,22.3876410903341 58.8601565297137,22.3794093173836 58.8625505099083,22.3722359820982 58.865730011579,22.3663966382564 58.8695730444411,22.3621158746923 58.8739321147976,22.359558656424 58.8786398644533,22.358823915774 58.8835154780654,22.3599406502285 58.8883716163753,22.3628666921717 58.8930216112454,22.3674902153973 58.897286646675,22.3736339378887 58.9010026487212,22.3810618738531 58.9040266168031,22.3894883848964 58.9062421491173,22.3985891852831 58.9075639452508,22.4080138740838 58.9079411084659,22.4173995019283 58.9073591170382,22.4263846355472 58.9058403865299,22.4346233617516 58.9034434007411,22.4417986751855 58.9002604459083,22.4476347209191 58.8964140380295,22.4519074122287 58.8920521846168,22.4544530130251 58.8873426675598,22.4551743596385 58.8824665712718)))', 'EEMHR', 'Mardihansu Rannaliiva', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4421857608128 58.8904713699218,22.4410574355102 58.8856159931766,22.4381215667135 58.8809678049646,22.4334915959235 58.8767053128504,22.4273458448148 58.872992150969,22.4199206026913 58.8699708176997,22.4115010293067 58.8677572293888,22.4024102251059 58.8664362948845,22.3929968844875 58.8660586765387,22.3836219959532 58.8666388585179,22.3746450850552 58.8681545943551,22.3664105113325 58.870547754342,22.3592343286859 58.8737265413365,22.3533921999042 58.8775689925641,22.3491088206031 58.8819276367661,22.3465492562863 58.8866351322374,22.3458125296107 58.8915106735259,22.3469277147468 58.8963669242666,22.3498527041118 58.9010172120888,22.3544757124988 58.905282709782,22.3606194781976 58.9089993256396,22.3680480141687 58.9120240354458,22.3764756592034 58.914240408807,22.3855780840225 58.9155631128756,22.3950048250917 58.9159412158991,22.4043928538084 58.9153601599229,22.4133806441433 58.9138423244725,22.4216221802607 58.9114461589038,22.4288003483001 58.9082639179324,22.4346391832182 58.9044180901692,22.4389144908639 58.9000566609199,22.4414624345708 58.8953473958871,22.4421857608128 58.8904713699218)))', 'EEMHS', 'Mardihansu Kustavi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.9121076946396 59.5517927151647,24.9114652745458 59.54691414643,24.9089610089655 59.5421929144983,24.9046918368247 59.5378103552362,24.8988223157337 59.5339347288199,24.8915782229911 59.5307147778295,24.8832378466835 59.5282740409009,24.8741213063895 59.5267061359391,24.8645783115145 59.526071189498,24.8549748185102 59.5263935454479,24.8456790851254 59.5276608380678,24.8370476397939 59.5298244638818,24.8294116869875 59.5328014346155,24.8230644548288 59.5364775423066,24.818249959701 59.5407117185802,24.8151536145253 59.5453414250572,24.8138950437126 59.5501888724172,24.8145233898852 59.5550678332603,24.8170153072786 59.5597907899336,24.8212757368641 59.5641761439948,24.827141452007 59.5680552097856,24.8343872548336 59.5712787211126,24.8427345969167 59.5737225973109,24.8518622982036 59.5752927425493,24.8614189501278 59.5759286892115,24.8710365170722 59.5756059411524,24.8803445986539 59.574336923788,24.888984786536 59.5721705031716,24.8966245452736 59.5691900930618,24.9029700673292 59.5655104250349,24.9077775966716 59.5612731094945,24.9108627808592 59.5566411627441,24.9121076946396 59.5517927151647)))', 'EEMHV', 'Mihkli-V', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1705259802274 58.4222037585675,23.1693136099 58.4173551143459,23.1663222987343 58.4127236722823,23.1616675878688 58.4084872939027,23.1555287207676 58.4048086099673,23.1481416996468 58.4018287966773,23.1397902027418 58.3996621797817,23.1307947134011 58.3983918694793,23.1215002740601 58.3980665895638,23.1122633250701 58.3986988191848,23.1034381192188 58.4002643164919,23.095363217023 58.4027030419826,23.0883485652669 58.4059214473194,23.0826636418225 58.4097960444482,23.0785271138277 58.4141781217804,23.0760984044573 58.4188994306517,23.0754714968384 58.4237786278534,23.0766712237114 58.4286282301841,23.0796522003643 58.4332618159671,23.0843004589937 58.4375011973152,23.0904377384315 58.4411832862941,23.0978282781727 58.4441663883158,23.1061878643071 58.4463356769512,23.115194781975 58.4476076352528,23.1245022488801 58.4479332885334,23.133751841339 58.4473001008018,23.1425873817073 58.4457324597723,23.1506687361307 58.4432907313104,23.1576849755337 58.4400689209294,23.1633663803432 58.4361910350706,23.1674948191044 58.4318062860015,23.1699121001562 58.4270833291336,23.1705259802274 58.4222037585675)))', 'EEMIA', 'Maria', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0350414901482 58.775995896219,27.0341136147491 58.7711288138181,27.0313759412922 58.7664492230068,27.0269343118663 58.7621368479451,27.0209598393355 58.7583572465762,27.0136822673979 58.7552554733336,27.0053811193975 58.7529505342104,26.9963749793294 58.7515308428097,26.9870093134268 58.751050847544,26.9776432905132 58.7515289558346,26.9686360929955 58.7529468325701,26.9603332273552 58.7552500989,26.9530533430132 58.7583504053894,26.9470760514903 58.7621288023702,26.9426312041287 58.7664402817335,26.9398900368711 58.7711193200737,26.9389585256796 58.775986214636,26.9398732175922 58.780853972392,26.9425997122159 58.7855354900723,26.9470338693361 58.7898507501691,26.9530057136813 58.7936337555194,26.9602859016741 58.7967389334647,26.9685945117036 58.7990467596765,26.9776118237497 58.800468381018,26.9869906707454 58.8009490552601,26.9963698771618 58.8004702716132,27.0053882535195 58.7990504680059,27.0136985914587 58.796744316638,27.02098110397 58.7936406061661,27.0269557794213 58.7898588044837,27.0313931647471 58.7855444380346,27.0341231600334 58.7808634697565,27.0350414901482 58.775995896219)))', 'EEMIH', 'Mihkli sadam', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7739683079323 59.4588437067215,24.773347285846 59.4539645298471,24.7708689388132 59.4492407533111,24.7666292071424 59.4448538121366,24.7607915169588 59.4409721361933,24.7535804247028 59.4377447015735,24.7452729547819 59.4352953351133,24.73618796815 59.4337179864389,24.7266739681076 59.4330731445844,24.7170958028869 59.4333855327959,24.7078207615763 59.4346431671818,24.6992045800241 59.4367978140609,24.6915778762553 59.4397668289157,24.6852335205998 59.4434363084895,24.6804154144069 59.4476654385095,24.677309103424 59.4522918744235,24.6760345885458 59.4571379530297,24.6766416190557 59.4620175004263,24.6791076636369 59.4667429776461,24.6833386549154 59.4711326907529,24.6891724974125 59.4750177878761,24.6963852204668 59.4782487720802,24.7046995514006 59.4807012761368,24.7137955847352 59.4822808727486,24.7233231354087 59.4829267306526,24.7329152922246 59.482613971918,24.7422026359969 59.4813546368456,24.7508275579368 59.4791972180309,24.7584581093755 59.4762247819946,24.7648008342139 59.4725517528373,24.7696120793839 59.4683194852237,24.7727073436687 59.4636908013755,24.7739683079323 59.4588437067215)))', 'EEMII', 'Miinisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((26.2291695308817 59.5742986135946,26.22833614863 59.5694267629399,26.2256459747702 59.5647309697918,26.2212030743715 59.5603915829973,26.2151786519693 59.5565751970188,26.2078044016051 59.5534282750442,26.1993635760262 59.5510715506591,26.1901801222489 59.5495954186384,26.1806062977748 59.5490564873639,26.1710092334242 59.5494754213841,26.1617569440317 59.5508361543092,26.1532043065429 59.5530865012263,26.1456795261019 59.556140147857,26.1394715945011 59.5598799424753,26.1348192121357 59.564162367874,26.131901594913 59.5688230260873,26.1308315223446 59.5736829297333,26.1316509037228 59.5785553622234,26.1343290478672 59.5832530459841,26.1387637211221 59.5875953443403,26.1447849714614 59.5914152195716,26.1521615877653 59.594565677283,26.1606099570976 59.5969254456052,26.1698049839759 59.5984036663504,26.1793926489974 59.5989434131471,26.18900371424 59.5985238972904,26.1982680333564 59.5971612737497,26.2068288979826 59.5949080152677,26.2143568504688 59.5918508793829,26.2205624161114 59.5881075490288,26.2252072547149 59.583822079696,26.2281132988431 59.5791593327613,26.2291695308817 59.5742986135946)))', 'EEMJL', 'Mustoja jõe lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((25.188101226056 59.5416891128684,25.1874190461407 59.536811728975,25.1848768158813 59.5320956157147,25.180572928758 59.5277219103142,25.1746732698961 59.5238585313786,25.167404767054 59.5206537503125,25.1590466386846 59.5182305231559,25.1499196800533 59.5166817961285,25.1403739965949 59.5160669606386,25.1307756465704 59.5164095899204,25.1214926916343 59.5176965414052,25.1128811735238 59.5198784580704,25.1052715374531 59.5228716500608,25.0989560079141 59.5265612865592,25.0941773906853 59.5308057789173,25.0911197264617 59.5354421911145,25.0899011575434 59.5402924742827,25.0905692908455 59.545170289824,25.0930992500763 59.5498881618473,25.0973945099065 59.5542646853709,25.1032904986388 59.5581315127566,25.1105608472627 59.5613398476049,25.1189260563258 59.5637661928447,25.1280642525933 59.5653171275555,25.137623619801 59.5659329242286,25.1472360164576 59.5655898632981,25.156531242432 59.5643011530474,25.1651513878305 59.5621164182559,25.1727646940137 59.5591197778136,25.1790783777521 59.5554265875339,25.1838499142775 59.5511789770955,25.18689634087 59.5465403572182,25.188101226056 59.5416891128684)))', 'EEUIT', 'Uitro', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5751543352173 59.5715440838345,25.5744156066681 59.5666685799519,25.5718169880324 59.5619598454862,25.5674590355998 59.5575987312253,25.5615097043993 59.5537526697902,25.5541978208303 59.5505692660531,25.5458042593179 59.5481706547429,25.5366511664815 59.5466488375204,25.5270896441249 59.5460621740698,25.517486354808 59.5464331580196,25.5082095498553 59.5477475603423,25.4996150387782 59.5499549719701,25.4920326209713 59.5529707254094,25.4857534851576 59.5566791238588,25.4810190496528 59.5609378574614,25.4780116676248 59.5655834415073,25.476847557058 59.5704374722577,25.477572236493 59.575313464064,25.4801586567797 59.5800240079172,25.4845081187141 59.5843879775672,25.4904539598701 59.5882375056866,25.4977678851796 59.5914244596324,25.5061687093851 59.5938261641882,25.5153331801899 59.5953501467741,25.5249084635967 59.5959377180482,25.5345258020465 59.5955662461737,25.5438148053576 59.5942500344607,25.5524178069271 59.5920397674405,25.5600037147613 59.5890205473153,25.5662808088157 59.5853085986582,25.5710079816181 59.5810467718129,25.5740039856833 59.5763990224068,25.5751543352173 59.5715440838345)))', 'EEMKA', 'Mustoja, Kolga-Aabla k', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2380749451171 59.5226702329882,25.2373858770277 59.5177930650315,25.2348380358226 59.5130778843649,25.230530028973 59.508705792099,25.2246278981498 59.5048446447216,25.2173586644648 59.5016426279246,25.2090015731938 59.4992225917273,25.1998773790558 59.497677360063,25.1903360812314 59.4970661904355,25.1807435701055 59.4974125156386,25.1714676841859 59.498703051458,25.1628641951796 59.5008883034047,25.1552632415174 59.5038844535775,25.1489567156758 59.5075765574341,25.144187078695 59.5118229312999,25.1411380268634 59.516460566509,25.1399273715351 59.5213113667729,25.140602414853 59.5261889731844,25.1431380137381 59.5309059175012,25.1474374244994 59.5352808301135,25.1533359141437 59.5391454251622,25.1606070158993 59.542350992079,25.1689712000975 59.5447741403707,25.1781066321878 59.5463215723154,25.187661602112 59.5469336954357,25.1972681380281 59.5465869317769,25.2065562662773 59.5452946323045,25.2151683513667 59.543106560008,25.2227729461908 59.5401069621624,25.2290776039431 59.5364113081869,25.233840147987 59.5321618222296,25.2368779618715 59.5275219867433,25.2380749451171 59.5226702329882)))', 'EEMKK', 'Miku 3', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2506879922172 58.5255443923485,22.2495986221404 58.5206869504183,22.2467193080151 58.5160339676909,22.2421613058663 58.5117641388892,22.236100166335 58.5080413833041,22.2287689294212 58.5050085710218,22.2204491518204 58.5027820619024,22.2114601141791 58.5014472627097,22.2021466188255 58.5010553687705,22.1928658366425 58.5016214117792,22.1839736937846 58.5031236864721,22.1758113043494 58.5055045775475,22.1686919536279 58.5086727561441,22.1628891182033 58.5125066641341,22.1586259742291 58.5168591561802,22.1560667943086 58.5215631256131,22.1553105675456 58.5264379023106,22.156387098047 58.5312961803585,22.1592557465653 58.5359512116272,22.1638068808163 58.5402239895223,22.1698659957358 58.5439501457809,22.1772003595562 58.5469862925954,22.1855279395421 58.5492155624529,22.1945282672058 58.5505521282917,22.2038548214137 58.5509445258286,22.2131484431874 58.5503776467007,22.2220512516576 58.5488733234637,22.2302205089828 58.5464894832921,22.2373418842998 58.5433179040211,22.2431415928025 58.5394806615003,22.2473969343864 58.535125408719,22.2499448242922 58.5304196726427,22.2506879922172 58.5255443923485)))', 'EEMKL', 'Männiku lautri', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5697985164109 58.6114254132005,22.5686621129882 58.6065709904105,22.5657333501053 58.6019254812855,22.5611253825278 58.5976672908937,22.5550156760041 58.5939598893849,22.547639129181 58.5909455557646,22.5392790306938 58.5887399397431,22.5302562012758 58.5874276461592,22.5209167337338 58.5870590073068,22.5116187914596 58.5876481636255,22.5027189578529 58.5891725242559,22.4945586440702 58.5915736275936,22.4874510606326 58.5947593699184,22.4816692396419 58.5986075191777,22.4774355589688 58.6029703827838,22.4749131683998 58.6076804545158,22.4741996514011 58.6125568279012,22.4753231763962 58.6174121332392,22.4782413004058 58.6220597339974,22.4828424883349 58.626320906676,22.4889503065772 58.6300317270996,22.496330143963 58.633049395764,22.5046982109021 58.6352577552286,22.5137324735377 58.6365717829894,22.5230850984574 58.6369408827393,22.5323959191743 58.6363508438712,22.5413063916595 58.6348243916047,22.5494734850823 58.6324203059775,22.5565829567847 58.6292311447371,22.5623614871974 58.6253796604351,22.5665871994136 58.6210140533889,22.5690981567732 58.6163022474826,22.5697985164109 58.6114254132005)))', 'EEMKR', 'Murika rand', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0165006908913 58.3790026883085,27.0155858319235 58.3741351693053,27.0128814362152 58.3694548931898,27.0084920504538 58.3651416122824,27.0025867689892 58.3613609219621,26.9953926730992 58.3582579215357,26.9871860826307 58.3559516671231,26.9782819594329 58.3545306253305,26.9690218663692 58.3540492980408,26.9597609350813 58.3545261443196,26.9508543291059 58.3559428768193,26.9426437058151 58.3582451588498,26.9354441806846 58.361344676186,26.9295322806069 58.3651225064643,26.9251353396104 58.3694336603833,26.9224227410305 58.374112624577,26.9214993458759 58.3789796975524,26.9224013693244 58.3838478789594,26.9250948780039 58.3885300499769,26.9294769826772 58.3928461698036,26.9353796974754 58.3966302108614,26.9425763318757 58.3997365637242,26.9507901795696 58.4020456618939,26.9597051738623 58.4034686058275,26.9689780968634 58.4039506040576,26.9782518636864 58.403473095374,26.987169356697 58.4020544679695,26.9953872610695 58.399749347017,27.0025893528509 58.3966464789421,27.0084987144026 58.3928652962285,27.0128883981673 58.3885512985552,27.0155901256587 58.3838704322233,27.0165006908913 58.3790026883085)))', 'EEMKS', 'Mäksa', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6619907494003 57.996764202033,27.6609981541603 57.9919012934119,27.6582386268961 57.9872346059261,27.6538188079724 57.9829433670878,27.6479089369638 57.9791923248231,27.6407362516003 57.9761254409648,27.6325762364151 57.9738603875626,27.6237420601715 57.9724840531566,27.6145726042646 57.9720492274118,27.6054195325343 57.9725725879337,27.5966338853215 57.9740340642879,27.588552696556 57.9763776029202,27.5814861319192 57.9795133045451,27.5757056286852 57.9833208543909,27.571433483993 57.9876541171923,27.5688342886561 57.9923467246868,27.5680085391849 57.9972184452055,27.5689886829786 58.0020820942102,27.5717377627195 58.0067507226091,27.5761507285824 58.0110448074041,27.5820583843104 58.0147991673989,27.5892338294333 58.0178693356663,27.5974011592727 58.0201371401349,27.6062460914766 58.0215152734391,27.6154281071511 58.0219506720473,27.6245936303423 58.0214265711407,27.6333897250839 58.0199631538707,27.6414777669035 58.0176167692789,27.6485465468058 58.014477749923,27.6543242902658 58.0106669156693,27.6585891202982 58.0063309018043,27.6611775596816 58.0016364954142,27.6619907494003 57.996764202033)))', 'EEMKT', 'Mikitamäe', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7672824910917 59.6564724037595,25.766514183612 59.6515979625098,25.7638822151996 59.6468930041455,25.7594884250157 59.6425382326184,25.7535021437327 59.638700835299,25.7461536135443 59.6355280830476,25.7377251110497 59.6331417008155,25.7285401184706 59.6316332205347,25.7189509564009 59.6310604902263,25.7093253436182 59.631445469452,25.7000323854055 59.6327733930288,25.6914285107519 59.6349933339944,25.6838438804376 59.6380201448633,25.6775697723588 59.6417377049617,25.6728474177375 59.6460033528087,25.6698587126433 59.6506533377613,25.6687191644361 59.6555090860919,25.669473353731 59.6603840447708,25.6720931012816 59.6650908428136,25.6764784284399 59.6694484961946,25.6824612929541 59.6732893788078,25.6898119728061 59.6764656891892,25.698247864134 59.6788551606939,25.7074443598354 59.6803657910757,25.7170473880688 59.6809394049793,25.7266871190552 59.6805539083233,25.7359922981389 59.6792241450651,25.744604635812 59.6770013222423,25.7521926828776 59.673971026078,25.7584646412738 59.6702499078506,25.7631796070526 59.665981170734,25.7661568090306 59.6613290356837,25.7672824910917 59.6564724037595)))', 'EEMKU', 'Miku', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1645555882081 58.4265767921072,22.1634813094683 58.4217184972388,22.1606215842404 58.4170634488705,22.1560869130662 58.4127904221069,22.1500519493359 58.4090634601381,22.142748728609 58.4060255955535,22.1344577343233 58.4037933829458,22.1254971457793 58.4024524484698,22.1162106774695 58.4020542230398,22.1069544669287 58.4026139811088,22.0980835003615 58.4041102580987,22.0899380807785 58.4064856681986,22.082830842005 58.4096490921751,22.0770347937116 58.4134791537623,22.0727728478541 58.4178288548596,22.070209226217 58.4225311958394,22.0694430831408 58.4274055693449,22.0705045985048 58.4322646855122,22.0733537057367 58.4369217648448,22.0778815207871 58.4411977230429,22.0839144340501 58.4449280706325,22.0912207221349 58.4479692595943,22.0995194346294 58.4502042292292,22.108491217207 58.4515469336492,22.1177906511835 58.4519456724816,22.1270596251152 58.4513850931123,22.1359412096837 58.4498867851552,22.1440934853829 58.4475084436182,22.1512027746076 58.44434163402,22.156995755528 58.4405082480569,22.1612499831713 58.4361557899352,22.1638024107824 58.4314516790141,22.1645555882081 58.4265767921072)))', 'EEMLA', 'Mäekalda', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1932010359451 58.1615673207852,22.1921313081272 58.1567090531574,22.1892895717531 58.1520543917589,22.1847856249821 58.1477820978121,22.1787929329849 58.1440561879328,22.1715419040612 58.1410196562238,22.1633110183008 58.1387890080623,22.1544161521932 58.1374498112456,22.1451985053682 58.1370534311634,22.1360115834506 58.1376150719056,22.1272077228782 58.1391131963124,22.1191246589026 58.1414903465968,22.112072636592 58.14465533507,22.106322546514 58.1484867234011,22.1020955321767 58.1528374604953,22.0995544658759 58.1575405051429,22.0987976243548 58.1624152216854,22.0998548171516 58.1672743065165,22.1026861308018 58.1719309815717,22.10718335391 58.1762061790685,22.1131740449239 58.1799354403524,22.1204281001786 58.1829752610997,22.1286665788562 58.185208635207,22.1375724485154 58.1865495798755,22.1468028343338 58.1869464636206,22.156002291287 58.1863840056738,22.1648165745884 58.1848838676074,22.1729063622195 58.1825038137704,22.1799603854978 58.1793354738917,22.1857074492302 58.1755007965236,22.1899268706452 58.1711473334865,22.1924569334018 58.1664425409896,22.1932010359451 58.1615673207852)))', 'EEMLD', 'Möldri', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4754704465402 58.3919447582808,24.474906111543 58.3870638764571,24.4725397711098 58.382334565898,24.4684630159523 58.3779384805614,24.4628329805071 58.3740444098406,24.4558662335409 58.3708018148884,24.4478304238957 58.36833511317,24.4390340071457 58.3667389265939,24.429814446041 58.3660744713705,24.4205253299324 58.3663672243801,24.4115228948366 58.3676059528768,24.4031524457737 58.3697431434904,24.3957351861613 58.3726968144434,24.3895559453659 58.3763536434073,24.384852265216 58.3805732942262,24.3818052599129 58.3851937805019,24.3805326022591 58.3900376643932,24.381083913803 58.3949188564085,24.3834387493306 58.3996497577894,24.3875072696461 58.4040484723906,24.3931335939936 58.4079458105375,24.4001017185904 58.4111918136418,24.4081437848664 58.4136615453779,24.4169503847341 58.4152599225439,24.426182505155 58.4159253954314,24.4354846447334 58.4156323322296,24.4444985847436 58.4143920129086,24.4528772686449 58.4122521930275,24.4602982393409 58.4092952546468,24.4664761024891 58.4056350175314,24.4711735259992 58.4014123366974,24.4742103481884 58.3967896598347,24.4754704465402 58.3919447582808)))', 'EEMLE', 'Malle', 'Y'),('SRID=4326;MULTIPOLYGON(((25.9894395247292 58.3393833480496,25.9886670367216 58.3345092426876,25.9861018250751 58.3298080120449,25.9818431006667 58.3254602207638,25.9760549576483 58.3216327953497,25.9689600016603 58.3184726331412,25.9608307695275 58.316100985792,25.9519792739938 58.31460882875,25.942745072469 58.3140533902691,25.9334823092855 58.3144559695371,25.9245462155934 58.3158011251405,25.9162795691223 58.3180372639968,25.9089996173398 58.3210786087997,25.902985952007 58.3248084706713,25.8984697910431 58.3290837048458,25.8956250755258 58.3337401824875,25.8945617265318 58.338599072793,25.8953213297902 58.3434736978066,25.8978754277774 58.3481766992106,25.9021265015689 58.3525272427807,25.9079116217508 58.3563579830013,25.9150086428854 58.3595215178847,25.9231447137518 58.3618960823178,25.9320067804721 58.3633902567527,25.9412536762684 58.363946505805,25.9505293242169 58.3635434068844,25.9594765315757 58.3621964805172,25.9677508286585 58.359957589369,25.9750338032625 58.3569129297583,25.9810454034327 58.3531796952127,25.9855547256556 58.3489015439569,25.9883888699916 58.3442430489251,25.9894395247292 58.3393833480496)))', 'EEMLG', 'Mulgi Rand', 'Y'),('SRID=4326;MULTIPOLYGON(((22.6203774504575 59.0304041339909,22.6192191595651 59.0255505603945,22.6162471296675 59.0209066899,22.6115761949276 59.0166508623326,22.6053862508351 59.0129464540304,22.5979152812472 59.0099356256813,22.589450196663 59.007733889219,22.5803158381785 59.0064256980072,22.57086256512 59.0060612253492,22.561452892552 59.0066544514907,22.5524476767755 59.008182630345,22.5441923620322 59.0105871558344,22.5370037996572 59.0137757957285,22.5311581319074 59.0176262099117,22.5268801969119 59.0219906218335,22.5243348592702 59.0267014681692,22.5236206037758 59.0315778140303,22.5247656490982 59.0364322908736,22.5277267461651 59.0410782928353,22.5323907252369 59.0453371555942,22.5385787497632 59.0490450407325,22.5460531281272 59.0520592582457,22.5545264308779 59.0542637802304,22.5636725657792 59.0555737292514,22.5731393806501 59.0559386643944,22.5825622988042 59.0553445350046,22.5915784474165 59.05381422468,22.5998407178192 59.0514066639963,22.6070311997428 59.0482145472652,22.6128734587004 59.0443607439193,22.6171431755243 59.0399935464783,22.6196767367579 59.0352809423363,22.6203774504575 59.0304041339909)))', 'EEMLK', 'Mangu lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0642041977268 59.614736148466,25.0635387053489 59.6098582603152,25.0610085590046 59.6051398564077,25.0567116931182 59.6007621625812,25.050813728289 59.5968932508594,25.0435415316407 59.593681604955,25.0351744665361 59.5912504439955,25.0260336726789 59.5896930180671,25.0164697860831 59.5890690517017,25.0068495615076 59.5894024678908,24.9975418967193 59.5906804771875,24.9889037777349 59.5928540656273,24.981266666732 59.5958398632547,24.9749238395717 59.599523323723,24.9701191480849 59.6037630964475,24.9670376339567 59.6083964278045,24.9657983571076 59.6132453884929,24.9664497232773 59.6181236918778,24.9689675050466 59.6228438442569,24.9732556503836 59.6272243536039,24.9791498663146 59.6310967192586,24.9864238564555 59.6343119316785,24.9947979844045 59.6367462287663,25.0039500352061 59.6383058829882,25.0135276590774 59.6389308305738,25.0231620098802 59.6385969991498,25.0324820392534 59.6373172413787,25.0411288787821 59.6351408374151,25.0487697386661 59.6321515858532,25.0551107723147 59.6284645588701,25.0599084009473 59.6242216500203,25.0629786581361 59.6195860903731,25.0642041977268 59.614736148466)))', 'EEMLP', 'Mölgi paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8082656461969 59.644456949882,25.8074916456846 59.6395827227933,25.8048548525881 59.6348785637911,25.8004572902865 59.6305251458701,25.794468433064 59.6266896042625,25.7871186208066 59.6235191385304,25.7786901783287 59.6211353859049,25.769506584897 59.6196297775236,25.7599201071919 59.6190600513735,25.7502983612125 59.6194480519203,25.7410103044908 59.6207788981926,25.7324121788408 59.6230015511494,25.7248339254578 59.6260307592056,25.7185665784768 59.6297503095504,25.7138511103528 59.6340174640703,25.7108691531656 59.6386684139621,25.7097359551075 59.6435245480847,25.7104958523845 59.6483992982297,25.7131204455478 59.6531053011058,25.7175095685454 59.6574616030058,25.723495031902 59.6613006296385,25.7308470124208 59.6644746508788,25.7392828551933 59.6668614882014,25.748477954327 59.6683692408507,25.7580782915013 59.6689398443939,25.7677141407348 59.6685513207896,25.7770143973988 59.6672186306403,25.7856209623468 59.6649930937013,25.793202609578 59.6619604006184,25.7994677882788 59.6582372947665,25.8041758560992 59.6539670555527,25.8071463075905 59.6493139613961,25.8082656461969 59.644456949882)))', 'EEMLS', 'Mariliis', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0812354891107 58.1853487181767,26.0804535464476 58.1804750276353,26.077887083333 58.1757755242279,26.0736353509907 58.1714307062193,26.0678621684806 58.1676073863781,26.0607895624531 58.164452305237,26.0526892097096 58.1620865204534,26.0438720151558 58.1606007835513,26.0346762228192 58.1600520773297,26.0254545078519 58.1604614432318,26.0165605318431 58.161813179566,26.0083354617013 58.1640554403615,26.001094953541 58.1671022125301,25.9951170874205 58.1708365976577,25.9906317066763 58.1751152758871,25.9878115675688 58.1797739846568,25.9867656419469 58.1846338061505,25.9875348391019 58.1895080256505,25.9900903249 58.1942092998895,25.994334519313 58.1985568610099,26.0001047508633 58.2023834786302,26.0071794421607 58.2055419101607,26.0152865989439 58.2079105878775,26.0241142804551 58.2093983198332,26.0333226461216 58.2099478194993,26.0425571066127 58.2095379246377,26.0514620599452 58.2081844174693,26.059694668011 58.2059394135591,26.0669381271163 58.2028893436102,26.0729139079514 58.1991516080941,26.0773924846487 58.1948700369341,26.0802021368041 58.1902093331136,26.0812354891107 58.1853487181767)))', 'EEMLT', 'Maltsa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4183123624859 58.2484836007888,22.4172091136177 58.2436274447275,22.4143308844253 58.2389780300945,22.4097888754445 58.2347139146558,22.4037580117615 58.2309987992469,22.3964701634554 58.2279752622271,22.3882052188653 58.2257593093825,22.3792803561002 58.2244359443027,22.3700379208581 58.2240559251547,22.3608323662514 58.2246338289468,22.35201674199 58.2261474954245,22.3439292353917 58.2285388713523,22.3368802650152 58.2317162238445,22.3311406092579 58.2355576403509,22.3269310173329 58.239915684618,22.3244136992545 58.244623034106,22.323686025846 58.249498886544,22.3247766908797 58.2543558930134,22.3276444973706 58.2590073534308,22.3321798315438 58.263274398579,22.3382087844935 58.2669928816011,22.345499777036 58.2700197114495,22.3537724421538 58.2722383810345,22.3627084263587 58.2735634731668,22.3719636908125 58.2739439667508,22.3811818292683 58.2733652125492,22.3900078762362 58.2718495002843,22.3981020576344 58.2694551946444,22.4051529387283 58.2662744745381,22.4108894502347 58.2624297652045,22.4150913216269 58.2580690041997,22.4175975182733 58.2533599276619,22.4183123624859 58.2484836007888)))', 'EEMLU', 'Mullutu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3128734429809 59.4050158767555,24.3123196061628 59.4001350307095,24.3099094739984 59.3954030350532,24.3057363690221 59.391001644199,24.29996116524 59.3870998460142,24.2928060294374 59.3838473913437,24.284545848889 59.3813690685365,24.2754976800566 59.379759938541,24.2660086217915 59.3790817090377,24.2564425703104 59.37936038282,24.2471663507226 59.3805852678073,24.2385357405298 59.3827093853289,24.2308819039903 59.3856512613836,24.2244987425048 59.3892980341671,24.21963163547 59.3935097619973,24.2164679988668 59.398124770522,24.2151300260891 59.4029658383752,24.2156698985303 59.4078469877393,24.2180676641304 59.412580621909,24.2222318830503 59.4169847370238,24.2280030341062 59.4208899304729,24.2351595675073 59.4241459345137,24.243426383211 59.4266274204375,24.2524854146157 59.4282388457396,24.261987909141 59.4289181532993,24.2715679250179 59.4286391761981,24.2808565111804 59.4274126526946,24.2894960074256 59.4252858109093,24.2971538966751 59.4223405395885,24.3035356605435 59.4186902174353,24.3083961324124 59.4144753264912,24.3115489064474 59.4098580226631,24.3128734429809 59.4050158767555)))', 'EEMMA', 'Meremõisa', 'Y'),('SRID=4326;MULTIPOLYGON(((26.19518371818 59.584311405742,26.1943550149871 59.5794393566018,26.1916687933575 59.5747428813841,26.187228967471 59.5704023553415,26.1812066248265 59.5665844168122,26.1738333806098 59.5634355886302,26.1653924497619 59.561076677508,26.1562077838644 59.5595981620374,26.146631687102 59.5590567419188,26.1370313772871 59.5594731770544,26.1277749932616 59.5608314968224,26.1192175683371 59.5630796088519,26.1116874905229 59.566131284654,26.1054739541173 59.5698694482569,26.1008158740422 59.5741506452596,26.0978926846398 59.5788105251204,26.0968173794508 59.5836701306453,26.097632069182 59.5885427569943,26.1003062436645 59.5932411194076,26.1047378227854 59.5975845553251,26.1107569745425 59.6014059834069,26.1181325695376 59.6045583495668,26.126581034949 59.606920308467,26.135777272128 59.6084009175184,26.1453672152657 59.6089431582912,26.1549815385608 59.6085261459457,26.164249969742 59.607165938979,26.1728156414257 59.6049149170715,26.1803489101095 59.6018597517153,26.1865600957181 59.5981180501355,26.1912106412212 59.593833805358,26.1941222593486 59.5891718319196,26.19518371818 59.584311405742)))', 'EEMMO', 'Mustoja, Mustoja k', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((24.4554723985773 58.3939521880846,24.4549108058235 58.389071240225,24.4525470260249 58.3843415807935,24.4484725518311 58.3799448772875,24.442844430496 58.3760499429438,24.4358791577613 58.3728062721333,24.4278443263271 58.3703383236333,24.4190483545881 58.3687407671753,24.4098286884442 58.3680748714796,24.4005389213344 58.368366168626,24.3915353141373 58.3696034816597,24.3831632165766 58.3717393514739,24.375743894949 58.3746918469606,24.3695622573305 58.3783476909335,24.3648559371453 58.3825665851217,24.3618061496355 58.3871865722936,24.3605306742685 58.3920302339222,24.3610792408223 58.3969114892144,24.3634315097262 58.4016427371375,24.3674977407578 58.4060420683615,24.3731221416108 58.4099402696037,24.3800887829561 58.413187349138,24.3881298637389 58.4156583292397,24.3969360141597 58.4172580786428,24.4061682387056 58.4179249947703,24.4154710320318 58.4176333901907,24.4244861501327 58.4163944886627,24.4328664908519 58.4142559911276,24.4402895329475 58.4113002287409,24.4464698019388 58.4076409760447,24.4511698727663 58.4034190502574,24.4542094815981 58.3987968701434,24.4554723985773 58.3939521880846)))', 'EEMMS', 'Meremetsa sadam', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3692627964359 58.2105019513743,22.368167494274 58.2056453120064,22.3652988061813 58.2009947274404,22.3607675652876 58.1967288008845,22.3547482829978 58.1930113032202,22.3474723853096 58.1899849046968,22.3392193029976 58.1877657212508,22.3303057604486 58.1864388806229,22.321073670593 58.1860552743597,22.3118770910179 58.1866296169806,22.3030687280401 58.1881398846403,22.294986490684 58.1905281542363,22.2879405948937 58.1937028118119,22.2822016999355 58.1975420480389,22.2779905241004 58.2018985102644,22.275469336133 58.2066049367434,22.274735653307 58.2114805608582,22.2758183982825 58.2163380428041,22.2786766769157 58.2209906646706,22.2832012408215 58.2252595130896,22.2892185951077 58.2289803723529,22.2964976073007 58.2320100604386,22.3047583724743 58.2342319606036,22.3136829965966 58.235560531511,22.3229278796664 58.2359446181941,22.3321370164425 58.2353694329938,22.3409557888847 58.2338571280308,22.3490447032211 58.2314659365691,22.3560925269994 58.2282879173936,22.3618283074382 58.2244453916058,22.3660318004067 58.220086212664,22.3685419068084 58.2153780559081,22.3692627964359 58.2105019513743)))', 'EEMND', 'Mändjala', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7266304153892 59.2339893395636,23.7253079971092 59.2291474542581,23.7221685085391 59.2245307551992,23.7173332089383 59.2203165299343,23.7109882889968 59.2166665502035,23.7033776591957 59.2137208823264,23.6947935647363 59.2115925349929,23.6855653893989 59.2103631455155,23.6760470732731 59.2100798659111,23.666603616382 59.2107535649432,23.6575971709003 59.2123584130962,23.6493732384305 59.2148328660286,23.6422474854251 59.2180820100987,23.6364936693507 59.2219811827849,23.6323331308979 59.2263807329672,23.6299262540682 59.2311117427467,23.6293662273848 59.2359924953511,23.6306753573394 59.2408354441561,23.6338040917137 59.2454544171908,23.6386328084762 59.2496717807167,23.6449763191167 59.2533252852223,23.6525909277113 59.256274327773,23.6611837833269 59.2584053859154,23.6704241683774 59.2596364096399,23.679956283953 59.2599199981299,23.6894130291853 59.2592452355966,23.6984302288669 59.2576381134646,23.7066607441648 59.2551605222685,23.7137879064529 59.251907853423,23.7195377437179 59.2480053060649,23.7236895210105 59.2436030450769,23.7260841881372 59.238870401053,23.7266304153892 59.2339893395636)))', 'EEMNI', 'Männi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.177226479279 58.2180532522021,24.1767052462819 58.2131713341659,24.1743897013027 58.2084368576104,24.1703694791387 58.2040316777487,24.1647995423193 58.2001249359971,24.1578941550761 58.1968665823869,24.1499186168822 58.1943816410369,24.1411790780778 58.1927654348106,24.132010827238 58.1920799482355,24.1227654923876 58.1923514645021,24.1137976348479 58.1935695644719,24.1054512347482 58.1956875247942,24.0980465707416 58.1986241001756,24.0918679831795 58.2022666233186,24.0871529801672 58.2064753067667,24.0840831000782 58.2110885855667,24.0827768831439 58.2159292998767,24.0832852300341 58.2208114839208,24.085589338799 58.2255475033291,24.0896013156994 58.2299552680039,24.0951674534731 58.233865243015,24.1020740662618 58.2371269860971,24.1100556680178 58.2396149571148,24.1188051852803 58.2412333719647,24.127985810344 58.2419199098757,24.1372440313175 58.2416481276006,24.1462233250806 58.2404284847755,24.1545779704406 58.2383079396373,24.1619864334791 58.2353681309947,24.1681637954796 58.2317222183804,24.1728727349207 58.2275105052671,24.1759326365548 58.2228950178464,24.177226479279 58.2180532522021)))', 'EEMNJ', 'Manija', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7568078482958 59.3478491479401,24.7561909525979 59.3429698393298,24.7537227336993 59.3382457257258,24.7494987375836 59.3338582556744,24.7436817822621 59.3299758801666,24.7364956261575 59.3267476030811,24.7282163366003 59.3242972845006,24.7191616950032 59.3227189113478,24.7096790436274 59.3220730124633,24.7001320320116 59.3223843518137,24.6908867580481 59.3236409855616,24.6822978187512 59.3257947179139,24.6746947886629 59.3287629387035,24.6683696295612 59.3324317742878,24.6635655039039 59.33666043427,24.6604674167782 59.3412865914513,24.6591950479408 59.3461325929014,24.659798058174 59.351012267581,24.6622540646149 59.3557380718824,24.6664693805139 59.3601282998665,24.6722825093447 59.3640140806726,24.6794702752369 59.3672458919968,24.6877563657883 59.3696993357003,24.6968219641987 59.3712799490881,24.7063180601304 59.3719268622635,24.7158789572294 59.3716151568429,24.7251364436604 59.3703568323948,24.7337340631696 59.3682003421066,24.7413409197323 59.365228716017,24.7476644690278 59.3615563461948,24.7524617936811 59.3573245610924,24.755548923998 59.3526961636793,24.7568078482958 59.3478491479401)))', 'EEMNK', 'Männiku karjäär', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1739213033383 57.9485753714608,22.1728608999619 57.9437167500674,22.1700388673684 57.9390614369337,22.1655642384435 57.9347882193813,22.1596093467238 57.9310611509524,22.1524031467532 57.9280232718665,22.1442223987752 57.9257911407927,22.1353810589909 57.9244503837185,22.1262182791104 57.9240524267029,22.1170854665311 57.9246125345458,22.1083328882308 57.9261092284883,22.1002963167897 57.9284851046677,22.093284215591 57.9316490229295,22.0875659422123 57.9354795844775,22.0833614145989 57.939829768474,22.0808326344404 57.9445325537569,22.0800773972632 57.9494073139188,22.0811254406482 57.9542667435632,22.0839371927652 57.95892405188,22.0884051858368 57.9632001477998,22.0943580965764 57.9669305395755,22.1015672720296 57.9699716810384,22.1097554989659 57.9722065168518,22.1186076825816 57.9735490092555,22.12778302029 57.9739474680018,22.1369281928748 57.9733865519065,22.1456910516566 57.9718878627782,22.1537342589438 57.9695091082289,22.1607483411074 57.9663418666193,22.1664636389893 57.9625080426956,22.1706606876394 57.9581551539623,22.1731786239737 57.9534506333525,22.1739213033383 57.9485753714608)))', 'EEMNT', 'Mõntu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8240297375391 58.7843297802633,22.822851856965 58.7794779670561,22.8198743509139 58.7748386420303,22.8152122503163 58.7705899701682,22.8090450998441 58.7668950536406,22.8016100001494 58.763895690053,22.7931924811777 58.7617069530393,22.7841155594893 58.7604127989425,22.7747273954919 58.7600628640381,22.7653880141842 58.7606705718096,22.7564555845193 58.7622126207787,22.7482727672739 58.7646298720182,22.7411536390941 58.7678296034412,22.7353716812289 58.7716890470162,22.7311492856277 58.7760600769157,22.7286491792105 58.7807748729457,22.7279681002398 58.785652346015,22.7291329803809 58.7905050823374,22.7320997943717 58.7951465417993,22.73675513905 58.7993982344704,22.7429204982734 58.8030965982899,22.7503590440947 58.8060993108334,22.7587847219303 58.8082907886185,22.7678732731079 58.8095866580441,22.7772747667334 58.8099370216906,22.7866271484897 58.8093283908024,22.7955702702196 58.8077842073943,22.8037598433756 58.805363935343,22.8108807627872 58.8021607566273,22.8166592745104 58.7982979640979,22.8208735112428 58.79392419343,22.8233619881795 58.7892076820739,22.8240297375391 58.7843297802633)))', 'EEMNU', 'Männiku', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8423249584946 59.6844443466169,25.8415451578233 59.6795703324842,25.8389005124793 59.6748668628453,25.8344933490225 59.6705145837901,25.8284935112481 59.6666805863528,25.8211317606013 59.6635120103687,25.8126908793687 59.6611304201673,25.8034948228214 59.6596271636534,25.7938963341899 59.6590598884688,25.7842634886189 59.6594503450877,25.7749656681056 59.6607835584831,25.7663594882531 59.6630083990586,25.7587751992218 59.6660395315916,25.7525040674992 59.6697606697003,25.7477872122905 59.674029014535,25.7448063209865 59.6786807116833,25.7436766032215 59.6835371212531,25.7444422638914 59.6884116642539,25.7470746841601 59.6931169850248,25.7514733986228 59.6974721556586,25.7574698497683 59.7013096449053,25.7648337917389 59.7044817813333,25.7732821086429 59.7068664585679,25.7824897131975 59.7083718587305,25.7921021040917 59.7089400078278,25.8017490896831 59.7085490223398,25.8110591352807 59.7072139578094,25.8196737641212 59.704986225652,25.8272614397637 59.7019516013081,25.8335303801435 59.6982269027565,25.8382397996717 59.6939554708916,25.8412091429745 59.6893016300978,25.8423249584946 59.6844443466169)))', 'EEMOH', 'Mohni', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8489043512925 59.4128152343701,24.8482732331735 59.4079363265115,24.8457876390269 59.4032139017472,24.8415437844026 59.398829342802,24.8357052506322 59.3949509879137,24.8284966238554 59.3917276857427,24.8201948319418 59.3892831047612,24.8111185170518 59.387711011317,24.8016158499328 59.3870716932001,24.7920512451785 59.3873896620727,24.782791473532 59.388652720145,24.7741916872888 59.3908124256587,24.7665818776458 59.3937859397822,24.760254268427 59.3974591861625,24.7554521192292 59.4016912053285,24.7523603631874 59.4063195410752,24.7510984411722 59.4111664564786,24.7517156166559 59.4160457447873,24.7541889656761 59.4207698764245,24.7584241368904 59.4251572088098,24.7642588709386 59.429038981475,24.7714691601579 59.4322658254346,24.7797778235909 59.434713533011,24.7888651729528 59.4362878618601,24.7983813575968 59.436928183871,24.8079599050051 59.4366098345474,24.8172319217878 59.4353450695995,24.8258403914363 59.4331825906425,24.8334540007851 59.4302056587403,24.8397799475427 59.4265288705723,24.8445752252113 59.4222937248142,24.8476559467859 59.4176631536658,24.8489043512925 59.4128152343701)))', 'EEMOI', 'Mõigu , Ülemiste', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8117612150738 58.5883356603796,22.8105921497817 58.5834835507563,22.8076334272664 58.5788437126421,22.8029993487861 58.5745943317261,22.7968683773511 58.5708985387825,22.7894762222534 58.5678981666118,22.7811067659995 58.5657083290519,22.7720811844993 58.5644130258943,22.7627456740642 58.5640619382631,22.7534582462827 58.5646685340615,22.7445750832359 58.5662095540778,22.7364369602532 58.5686258979438,22.7293562412244 58.5718248770915,22.7236049324199 58.5756837508848,22.7194042451051 58.5800544139454,22.7169160656135 58.5847690590166,22.716236664983 58.5896466021117,22.7173929003192 58.5944996266272,22.7203410688615 58.5991415818386,22.7249684760973 58.6033939597487,22.7310976746549 58.6070931733187,22.7384932251501 58.6100968689887,22.7468707281613 58.612289426948,22.7559077827339 58.6135864332483,22.7652564458832 58.6139379474769,22.7745567036357 58.6133304367847,22.7834504206602 58.6117872996682,22.7915952148789 58.6093679588054,22.7986777067685 58.6061655590306,22.8044256201604 58.6023033617395,22.8086182607132 58.5979299782824,22.8110949671409 58.5932136300711,22.8117612150738 58.5883356603796)))', 'EEMOO', 'Moosi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0432575339747 58.202362840051,26.0424804436951 58.1974889442078,26.0399177977057 58.1927887011631,26.0356687017732 58.1884426377935,26.0298968749313 58.1846176147965,26.022824292883 58.1814604380998,26.0147226323443 58.1790922457162,26.0059028488748 58.1776038814247,25.9967032858881 58.1770524286747,25.9874767628519 58.1774590341346,25.9785771251435 58.1788081019195,25.9703457560185 58.1810478884209,25.9630985523693 58.1840924755646,25.9571138504062 58.1878250489617,25.9526217553225 58.1921023585533,25.9497952810054 58.1967601946412,25.9487436428622 58.2016196732651,25.949507970299 58.2064940932064,25.952059617307 58.211196103772,25.9563011526131 58.215544908997,25.9620700082214 58.2193732307616,25.9691446607756 58.2225337609311,25.9772531183473 58.2249048509566,25.9860833905918 58.2263952159189,25.9952955372735 58.2269474677839,26.004534823168 58.2265403382248,26.0134454598651 58.2251895029164,26.0216843896113 58.2229469745568,26.0289345644793 58.2198990886442,26.034917195921 58.2161631617753,26.0394024939643 58.2118829545444,26.0422184795117 58.2072231177885,26.0432575339747 58.202362840051)))', 'EEMOR', 'Mõru', 'Y'),('SRID=4326;MULTIPOLYGON(((23.8393943481075 58.3419567097932,23.8380935655547 58.3371152340537,23.8350223336547 58.3325001718277,23.8302992507084 58.3282887513773,23.82410617033 58.3246426422952,23.8166811602048 58.3217017689585,23.8083093427021 58.3195789627391,23.7993119708618 58.3183556540192,23.7900341544873 58.3180787653127,23.7808316971385 58.3187589214945,23.7720575348165 58.3203700438871,23.7640482805403 58.3228503434435,23.7571113755931 58.3261046762199,23.7515133280013 58.3300081734984,23.7474694821214 58.3344110110247,23.7451357106978 58.3391441385354,23.744602353496 58.3440257536703,23.7458906461988 58.348868274925,23.7489517918618 58.3534855477639,23.7536687277216 58.35770000738,23.7598605360042 58.3613495214955,23.7672893426928 58.3642936473482,23.7756694474289 58.3664190583995,23.7846783355171 58.3676439277046,23.7939691439077 58.3679210951642,23.8031840911206 58.3672398934657,23.811968339683 58.3656265604572,23.8199837410366 58.3631432217326,23.8269219180632 58.3598854839222,23.8325161690776 58.3559787341294,23.8365517277206 58.3515732917741,23.8388739829055 58.3468386036807,23.8393943481075 58.3419567097932)))', 'EEMPI', 'Matsi-Saulepi paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8960333071587 58.7883029514197,22.8948452488635 58.7834518552553,22.8918578237498 58.7788142501274,22.8871864429127 58.7745682344429,22.8810110060787 58.7708768079785,22.8735689304406 58.7678816341106,22.8651460120945 58.7656976255831,22.8560654734266 58.7644085573529,22.8466756126887 58.7640638707346,22.8373365196194 58.7646767880936,22.8284063523906 58.7662238083192,22.8202276858453 58.7686456019225,22.8131144386938 58.7718492725758,22.8073398680776 58.7757119009752,22.8031260839915 58.780085238785,22.8006354840953 58.7848013767938,22.7999644424842 58.7896791738531,22.8011395055657 58.7945312031542,22.8041162564619 58.7991709511833,22.8087809091294 58.8034199932967,22.8149545881464 58.807114868972,22.8224001439356 58.8101133897219,22.8308312505829 58.8123001332697,22.8399234391083 58.8135909082758,22.849326637673 58.8139360135838,22.8586787259714 58.8133221630866,22.8676195674225 58.8117729999569,22.8758049621286 58.8093481799219,22.88291996708 58.8061410600568,22.8886910575297 58.802275084777,22.8928966533099 58.7978990119499,22.8953756033573 58.7931811671679,22.8960333071587 58.7883029514197)))', 'EEMPS', 'Mäealuse paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0650063215872 59.4787347994379,25.0643430009298 59.4738568321606,25.0618225409241 59.4691384022752,25.0575424971413 59.4647607371732,25.0516678390574 59.4608919086535,25.0444245361299 59.4576803983009,25.0360908423096 59.4552494211307,25.0269866186283 59.4536922211237,25.0174611017334 59.4530685148039,25.0078795791876 59.4534022154562,24.9986094690032 59.4546805225595,24.9900063206069 59.4568544101541,24.9824002569542 59.4598404959126,24.9760833628065 59.463524221348,24.9712984924794 59.4677642245951,24.9682299221985 59.4723977422108,24.9669962084616 59.4772468370578,24.9676455358788 59.4821252170544,24.9701537478078 59.4868453856938,24.974425153334 59.4912258508758,24.9802960980787 59.4950981145152,24.9875411779102 59.4983131720618,24.9958818683644 59.5007472684722,25.0049972432372 59.5023066848885,25.0145363682127 59.5029313673582,25.0241318840174 59.5025972539858,25.0334142422882 59.5013172081256,25.0420260289361 59.4991405204478,25.0496358059113 59.496150999568,25.0559509231362 59.4924637269394,25.0607287968198 59.488220604455,25.063786215914 59.4835848704332,25.0650063215872 59.4787347994379)))', 'EEMRD', 'Maardu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5129735626631 59.4689415898922,24.5123900512814 59.4640614519666,24.5099475539228 59.4593329915557,24.505740637296 59.4549378255174,24.4999314725935 59.4510447010659,24.492743527282 59.4478030347606,24.4844529435025 59.4453372000242,24.4753779394532 59.4437417782337,24.4658666389552 59.4430779512313,24.4562837879936 59.4433711697668,24.4469968543447 59.4446101845065,24.4383620268229 59.446747475476,24.4307106339028 59.4497010638639,24.4243364874708 59.4533576387301,24.4194846264536 59.4575768820451,24.4163418875841 59.4621968303078,24.4150296674816 59.4670400713639,24.4155991628955 59.4719205424447,24.4180292863271 59.476650671214,24.4222273548834 59.481048586822,24.4280325444117 59.484945123458,24.4352219926328 59.4881903450889,24.4435193286056 59.4906593370259,24.4526053061739 59.4922570372359,24.4621301308968 59.4929219170076,24.4717269978451 59.4926283653162,24.4810263054314 59.4913876822152,24.4896699810193 59.4892476416728,24.4973253490973 59.4862906410986,24.5036979926007 59.4826305109075,24.5085431014144 59.4784081103948,24.5116748667692 59.4737858837157,24.5129735626631 59.4689415898922)))', 'EEMRE', 'Muraste', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2825668739387 58.455161938858,23.281337870945 58.4503144933303,23.2783290034674 58.4456858103373,23.2736564867995 58.4414536445169,23.2675002469071 58.437780464085,23.2600969508961 58.4348072333884,23.2517308991444 58.4326480252076,23.242723130988 58.4313856653798,23.2334191578358 58.4310685728186,23.2241757844148 58.4317089128926,23.2153475095922 58.4332821329977,23.2072730123337 58.4357278977068,23.2002622256133 58.4389523888282,23.1945844814995 58.4428318847951,23.1904581745232 58.4472174857656,23.188042338425 58.451940807315,23.1874304645269 58.456820428237,23.1886468098497 58.461668848192,23.1916453518629 58.4662996900125,23.1963114472304 58.4705348703994,23.202466147573 58.4742114621967,23.209873020171 58.4771879817085,23.2182472201466 58.4793498554615,23.2272664676713 58.4806138518088,23.236583503705 58.480931302691,23.2458395348113 58.4802899881881,23.2546781351024 58.4787146092526,23.2627590536526 58.4762658299745,23.2697713799063 58.4730379274869,23.2754455474186 58.4691551427064,23.279563706167 58.4647668761666,23.2819680629055 58.4600419181003,23.2825668739387 58.455161938858)))', 'EEMRJ', 'Muraja', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3213347214347 58.295000807546,24.3207928132572 58.2901193687333,24.3184532400321 58.2853873684439,24.314406561515 58.2809865654389,24.3088087564279 58.277085931757,24.3018751574571 58.2738351818145,24.2938721441157 58.2713590470662,24.2851069174909 58.2697525119792,24.2759157480073 58.2690771899509,24.2666511397174 58.2693589744896,24.2576683911987 58.2705870530563,24.2493120532506 58.2727143201164,24.2419027869204 58.2756591739012,24.2357251119095 58.2793086298663,24.2310165053618 58.283522634594,24.2279582649444 58.2881394186047,24.2266684889132 58.2929816868304,24.227197450867 58.297863412844,24.2295255600648 58.3025969786727,24.2335640020431 58.307000387217,24.2391580520193 58.3109042697689,24.2460929489916 58.3141584173016,24.2541021158413 58.3166375811078,24.2628774146676 58.3182463155732,24.2720810416435 58.3189226724644,24.2813585961733 58.3186406007242,24.2903528087285 58.3174109566156,24.2987173832118 58.3152810840134,24.3061304046389 58.3123329813569,24.3123067816321 58.3086801278022,24.3170092346624 58.3044630940192,24.3200574028819 58.299844110633,24.3213347214347 58.295000807546)))', 'EEMRK', 'Marksa', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0673364243582 58.3040949014178,24.0668294435023 58.2992127185408,24.0645233739522 58.2944763884551,24.0605074914805 58.2900678380604,24.0549365967644 58.2861563383465,24.0480249948277 58.2828920218194,24.04003822641 58.2804001410179,24.0312828739513 58.2787762845042,24.0220948322763 58.2780827297216,24.0128264867333 58.2783460689007,24.0038332784276 58.2795561963455,23.9954601566067 58.2816666946262,23.9880284219062 58.2845966051623,23.9818234509968 58.28823351715,23.9770837634222 58.2924378594955,23.9739918456192 58.297048235052,23.9726670861602 58.30188759663,23.9731611015152 58.3067700314581,23.9754556449986 58.3115078963309,23.9794631955747 58.315919030692,23.9850302210229 58.3198337701668,23.9919430053831 58.3231014890252,23.9999358279062 58.3255964167544,24.0087011844713 58.3272225009245,24.0179016572189 58.3279171249509,24.0271829682791 58.3276535338203,24.0361877026609 58.3264418715859,24.0445691563741 58.3243287893359,24.0520047603287 58.3213956390373,24.0582085487982 58.3177553247188,24.0629421822581 58.313547935448,24.0660240959578 58.3089353322381,24.0673364243582 58.3040949014178)))', 'EEMRL', 'Merelaiu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1996495783516 58.4965634697407,22.1985682007429 58.4917055462651,22.1956980434257 58.487051367476,22.191150010148 58.482779674521,22.1850992688458 58.4790544587311,22.1777784610326 58.4760186850193,22.16946874428 58.4737888271719,22.1604890145587 58.4724504205823,22.1511837184553 58.472054798976,22.1419097134193 58.4726171369324,22.1330226662735 58.4741158711233,22.124863495683 58.4764935218466,22.1177453628558 58.479658884364,22.1119416964681 58.4834905084843,22.10767570295 58.4878413365166,22.1051117624535 58.4925443257973,22.1043490450663 58.4974188441015,22.1054176026589 58.5022775958121,22.1082771012598 58.5069338150453,22.1128182598127 58.511208450015,22.1188669569978 58.5149370614957,22.1261908625035 58.5179761676114,22.1345083471658 58.5202087872473,22.1434993324213 58.5215489645521,22.1528176581287 58.5219450962243,22.162104483196 58.5213819300315,22.1710021890634 58.5198811553937,22.179168234371 58.5175005626529,22.1862884112991 58.5143318044439,22.1920889799791 58.510496847921,22.1963472055822 58.5061432581031,22.1988998905522 58.5014384981098,22.1996495783516 58.4965634697407)))', 'EEMRM', 'Merise', 'Y'),('SRID=4326;MULTIPOLYGON(((27.4215115444324 58.3878524919091,27.4205406906487 58.3829879967313,27.4177820604965 58.378316397078,27.4133422792356 58.3740171091251,27.4073923692256 58.3702551886781,27.4001611164185 58.3671750130544,27.3919262580672 58.3648947618151,27.383003833284 58.3635019040349,27.3737361020263 58.363049861159,27.364478487015 58.3635559700266,27.355586026037 58.3650008219217,27.3473998384609 58.367329002255,27.3402341093362 58.3704512033826,27.334364077155 58.3742476318989,27.3300154775111 58.3785725832065,27.3273558450992 58.3832600119642,27.326488011739 58.3881298887337,27.3274460598931 58.3929951022548,27.330193901522 58.3976686445754,27.3346265538197 58.4019708037668,27.3405740797481 58.405736086904,27.3478080563132 58.4088196047308,27.3560503315982 58.4111026688655,27.3649837373311 58.4124973819954,27.3742643418029 58.412950040214,27.3835347624592 58.412443213002,27.3924380119665 58.4109964184367,27.400631328499 58.4086653668622,27.4077994416895 58.4055398030433,27.4136667500973 58.4017400323251,27.4180079328015 58.3974122681249,27.4206565842706 58.3927229840203,27.4215115444324 58.3878524919091)))', 'EEMRP', 'Meerapalu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6649486869765 59.4478844528592,24.6643435469692 59.4430048534902,24.6618812177019 59.438279105425,24.6576570249057 59.4338887202781,24.651833799598 59.4300022608941,24.6446355451391 59.4267688875182,24.6363387957136 59.4243126551917,24.6272620032735 59.4227277770308,24.6177533586044 59.4220750307742,24.6081775055592 59.4223794425911,24.5989016446207 59.423629334217,24.5902815421727 59.4257767686948,24.5826479648886 59.4287393780492,24.5762940444544 59.4324035048528,24.5714640466624 59.4366285405519,24.5683439712596 59.4412522982956,24.5670543457031 59.446097218451,24.5676454985329 59.4509771724746,24.5700955083424 59.4557046066757,24.5743109249241 59.4600977527416,24.5801302533608 59.4639876275035,24.5873300835587 59.4672245507562,24.5956336414457 59.4696839270218,24.6047214385451 59.4712710645471,24.6142436087109 59.471924841625,24.6238334489524 59.4716200751528,24.6331216293588 59.4703684973882,24.6417505080168 59.4682183019882,24.6493879821556 59.4652522772542,24.6557403268319 59.4615846005744,24.6605635161523 59.4573564209391,24.6636725869003 59.4527304038342,24.6649486869765 59.4478844528592)))', 'EEMRR', 'Merirahu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7199563668406 59.4518638812392,24.7193432375433 59.4469844919127,24.7168729348434 59.4422597360624,24.7126410903204 59.4378710867617,24.7068108279606 59.4339870398418,24.6996064201208 59.4307566626846,24.6913046358894 59.4283038952094,24.682224119241 59.426722817573,24.6727132029445 59.426074061797,24.6631366175128 59.426382501125,24.6538615915315 59.4276363029706,24.6452438598568 59.4297873805199,24.6376140991305 59.4327532261027,24.6312652958007 59.4364200580802,24.6264415205794 59.4406471639208,24.6233285355499 59.4452722770275,24.6220465968328 59.4501177853472,24.6226457382114 59.4549975373065,24.6251037313306 59.4597239865262,24.629326818631 59.4641154021332,24.6351532093348 59.468002867152,24.6423592205134 59.4712367938266,24.6506678389888 59.4736927018555,24.6597593803367 59.4752760329607,24.6692838333767 59.4759258120495,24.6788744067459 59.4756170100879,24.6881617423179 59.4743615148701,24.6967882312108 59.4722076710113,24.7044218635765 59.4692384073279,24.7107690635487 59.4655680258337,24.715586004516 59.4613377794422,24.7186879648505 59.4567104128699,24.7199563668406 59.4518638812392)))', 'EEMRS', 'Meeruse', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6766460739941 58.52401512215,23.6753601809214 58.5191719989308,23.6722935938928 58.514553111299,23.6675647425264 58.510335834671,23.6613557102358 58.5066820630946,23.6539051829264 58.5037320141671,23.6454992650646 58.5015988701686,23.6364605177005 58.5003644568497,23.627135634669 58.5000761216495,23.6178822196211 58.5007449278711,23.6090551568451 58.5023452321404,23.600993082487 58.5048156609923,23.5940054595368 58.5080614503969,23.5883607398523 58.5119580611932,23.5842760598427 58.5163559354741,23.581908863896 58.5210862156201,23.5813507822534 58.5259672105174,23.5826240094061 58.5308113639578,23.5856803373899 58.5354324595569,23.5904028984327 58.5396527857561,23.5966105667675 58.5433099842385,23.6040648641424 58.5462633156915,23.6124791121359 58.5483990981001,23.6215294815116 58.5496351040388,23.6308675090868 58.5499237436061,23.6401335900692 58.5492539071617,23.6489709118936 58.5476513949222,23.6570392765662 58.5451779164965,23.6640282634555 58.5419287001854,23.66966921306 58.5380288068652,23.6737455629342 58.5336282941771,23.6761011368784 58.5288964214139,23.6766460739941 58.52401512215)))', 'EEMRT', 'Muriste', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9230449884325 58.7972928331422,22.9218528333128 58.7924420147266,22.9188610221191 58.7878050653695,22.9141851344272 58.7835600580618,22.908005242761 58.7798699536593,22.9005589348474 58.7768763646342,22.8921321686011 58.7746941428141,22.8830483134179 58.7734069945701,22.873655794232 58.7730642875856,22.8643148023849 58.7736791683557,22.8553835687529 58.7752280605449,22.8472047092306 58.7776515629408,22.8400921503391 58.7808567137177,22.8343191234305 58.78472053679,22.8301076800003 58.7890947379238,22.8276201286229 58.7938113746549,22.8269527270133 58.7986892865166,22.8281318822591 58.8035410420825,22.8311130204908 58.8081801381297,22.835782186993 58.812428174854,22.8419603324842 58.816121730199,22.8494101350804 58.819118666318,22.8578451048366 58.8213036218181,22.8669406234478 58.8225924741498,22.8763464903269 58.8229355961971,22.8857004820633 58.8223197782752,22.8946423886621 58.8207687393929,22.9028279693653 58.8183422075776,22.9099422744146 58.8151336058573,22.9157118066252 58.8112664356929,22.9199150465408 58.806889500882,22.922390934499 58.8021711600659,22.9230449884325 58.7972928331422)))', 'EEMRU', 'Mustrahu, Taguküla lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((27.991928929102 59.4096374056289,27.9908466737992 59.4047784218126,27.9879265462098 59.4001203945104,27.9832814128608 59.3958422099469,27.9770902033057 59.3921081037074,27.9695909703994 59.3890613755439,27.9610717228364 59.386818912835,27.9518593850819 59.3854667285466,27.9423073046588 59.3850566806392,27.9327817761145 59.3856044952372,27.9236480839506 59.3870891671042,27.9152565828046 59.3894537597351,27.9079293319768 59.3926075753969,27.9019477830054 59.3964296144418,27.8975419836944 59.4007731949136,27.894881710365 59.4054715595136,27.894069873147 59.4103442590032,27.8951384583317 59.4152040705384,27.8980471792973 59.4198641875564,27.9026849060704 59.4241454056927,27.9088738366835 59.427883027529,27.9163762652337 59.4309332180956,27.9249036965226 59.4331785628941,27.9341279601882 59.434532610186,27.9436938930939 59.4349432183846,27.9532330917735 59.4343945760661,27.9623781905674 59.4329078144804,27.9707770982808 59.4305401882735,27.9781066280325 59.427382857014,27.9840849813427 59.4235573555674,27.9884825969216 59.4192108930092,27.9911309443484 59.4145106654087,27.991928929102 59.4096374056289)))', 'EEMRY', 'Meriküla', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2061875464068 58.8885593398086,22.2050923441326 58.8837018081952,22.2021882418231 58.879048169336,22.1975874639406 58.8747771418097,22.191467215736 58.8710526887643,22.1840628127782 58.868017742796,22.1756586202341 58.8657887429392,22.1665771526967 58.8644511891822,22.1571667491698 58.8640563809217,22.1477882863593 58.8646194610396,22.1388014257534 58.8661188384259,22.1305509055508 58.8684970104689,22.123353387044 58.8716627549985,22.1174853466266 58.8754946101455,22.1131724694238 58.8798455122871,22.1105809492792 58.8845484183545,22.1098110334582 58.8894227008875,22.1108930704727 58.894281073781,22.1137862280127 58.8989367849743,22.1183799478568 58.9032108003953,22.1244980992781 58.9069387020166,22.1319056859276 58.909977032228,22.1403178579539 58.9122088367742,22.1494108859612 58.913548188678,22.1588346709672 58.9139435147903,22.1682262990535 58.9133795933909,22.1772241044344 58.9118781436675,22.1854816826673 58.909496983727,22.1926812979403 58.9063277906205,22.1985461546499 58.9024925512319,22.2028510523651 58.8981388444039,22.2054310120479 58.8934341401924,22.2061875464068 58.8885593398086)))', 'EEMSN', 'Mustana', 'Y'),('SRID=4326;MULTIPOLYGON(((25.9102994288679 58.235412195444,25.9095399044375 58.2305375787834,25.9069925323996 58.2258347472578,25.9027558347606 58.2214843279834,25.8969930578549 58.2176533494669,25.8899258333414 58.2144888465019,25.8818256352004 58.2121122382306,25.873003364878 58.2106146910836,25.8637974620603 58.2100536404019,25.8545609890676 58.210450600614,25.8456481714963 58.2117903454952,25.8374008959024 58.2140214889443,25.8301356667025 58.2170584446178,25.8241315090776 58.2207846913977,25.8196192727293 58.2250572227658,25.8167727434611 58.2297120134129,25.815701906661 58.2345702974143,25.8164486303018 58.2394454205452,25.8189849470289 58.2441500060938,25.8232140179054 58.2485031599102,25.8289737577032 58.2523374371794,25.836042997139 58.2555053009025,25.8441499554822 58.2578848202923,25.8529827021086 58.2593843857261,25.8622012024089 58.2599462545968,25.871450476207 58.2595487879133,25.8803743490964 58.2582072890065,25.8886292514478 58.2559734110126,25.8958975177407 58.2529331565852,25.9018996604277 58.2492035490481,25.9064051365664 58.2449281065641,25.9092411895356 58.2402712976328,25.9102994288679 58.235412195444)))', 'EEMST', 'Mustla', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7556664928556 58.5298421960362,24.7550614959779 58.5249624000987,24.7526485458723 58.5202380749799,24.7485210269151 58.5158506805698,24.742838022889 58.5119686700511,24.735818132906 58.5087410394808,24.7277310399222 58.5062916304643,24.7188871604636 58.504714400534,24.709625771205 58.5040698385139,24.7003020602095 58.5043826586709,24.6912735868789 58.5056408594422,24.6828866543558 58.5077961816249,24.6754631009428 58.5107659488788,24.6692880030412 58.5144362219372,24.6645987513879 58.51866614879,24.6615759155438 58.5232933479714,24.6603362495575 58.5281401225663,24.660928115887 58.5330202701246,24.6633295169406 58.5377462296705,24.6674488265787 58.5421362924878,24.6731282108139 58.5460215991537,24.6801496216176 58.549252651803,24.6882431445062 58.5517050878497,24.697097384061 58.5532844889226,24.7063714863756 58.5539300356608,24.715708327936 58.5536168638823,24.7247483503274 58.5523570286813,24.7331434921655 58.5501990380885,24.7405706653548 58.5472259746857,24.746744242419 58.543552279549,24.7514270641586 58.5393193256688,24.7544395399106 58.5346899553476,24.7556664928556 58.5298421960362)))', 'EEMTE', 'Metste talu', 'Y'),('SRID=4326;MULTIPOLYGON(((25.6531924473237 59.5965149326468,25.6524419208467 59.5916398473008,25.6498304996306 59.586932635304,25.6454592320165 59.582574088278,25.6394965837738 59.5787315396389,25.6321718912505 59.5755524589105,25.6237665187081 59.5731588145855,25.6146030640318 59.5716424176037,25.6050330247769 59.5710614197499,25.5954233889031 59.5714380975031,25.5861426505663 59.5727580036937,25.5775467703703 59.5749705184012,25.5699656012667 59.5779907785718,25.5636902858001 59.5817029145677,25.5589620978728 59.5859644730085,25.5559631531903 59.5906118604713,25.5548093479513 59.595466603517,25.5555458065801 59.6003421885477,25.5581450283324 59.6050512215175,25.5625078221228 59.6094126335789,25.5684670122462 59.6132586551407,25.5757937888256 59.6164412879584,25.5842064703249 59.6188380227659,25.5933813461385 59.6203565781246,25.6029651799452 59.6209384736558,25.6125888836861 59.6205612962169,25.6218818214959 59.6192395690504,25.6304861755098 59.6170241893042,25.6380708027152 59.6140004562094,25.6443440341069 59.6102847681251,25.6490649130681 59.6060201192048,25.6520524366192 59.6013705733683,25.6531924473237 59.5965149326468)))', 'EEMTG', 'Mäetaguse', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9910276921836 58.7660122817327,26.9901062366634 58.7611448760432,26.9873752632965 58.7564643449123,26.9829403569212 58.7521504489747,26.9769723727386 58.7483688048816,26.9697008061669 58.7452645457127,26.961404951032 58.742956773001,26.9524031892016 58.7415340091103,26.9430408197455 58.7410508202755,26.9336768855479 58.7415257363127,26.9246704890269 58.7429405444237,26.9163671056573 58.7452409833456,26.9090854040613 58.7483388120367,26.903105064536 58.7521151759029,26.8986560542923 58.7564251449588,26.8959097679735 58.7611032539704,26.8949723771689 58.7659698361475,26.8958806541206 58.7708379107993,26.8986004446747 58.7755203628423,26.9030278664734 58.7798371392008,26.908993203776 58.7836221847064,26.9162673641312 58.7867298484452,26.9245706588367 58.7890405105694,26.9335835734193 58.7904652088275,26.9429591109019 58.790949082494,26.9523362236843 58.7904734974934,26.961353803025 58.7890567684674,26.9696646709645 58.7867534491217,26.9769490194242 58.783652219017,26.9829267651496 58.7798724505819,26.9873683358159 58.7755595921164,26.9901034693893 58.7708795487404,26.9910276921836 58.7660122817327)))', 'EEMTK', 'Metsaküla, Kasepää v', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3416826828859 58.5421392500481,23.3404421961428 58.5372925099864,23.3374178444737 58.5326653776768,23.3327264407037 58.5284355473863,23.3265486373975 58.5247653967685,23.3191219292881 58.52179577302,23.3107315137643 58.5196406097933,23.3016993624964 58.5183825772451,23.2923719193218 58.5180699280741,23.2831068863565 58.5187146572744,23.2742595910202 58.5202920441977,23.2661694407328 58.5227415940653,23.2591469692092 58.5259693440325,23.2534619585807 58.5298514480141,23.2493330853148 58.5342389064607,23.2469194857204 58.5389632638042,23.2463145697796 58.5438430589561,23.2475423316901 58.5486907844997,23.2505563140202 58.5533200893255,23.2552412825816 58.5575529484215,23.2614175645138 58.5612265230263,23.2688478967028 58.5641994446726,23.2772465300296 58.5663572776324,23.286290241739 58.5676169453058,23.2956308280191 58.5679299460605,23.3049085858316 58.5672842313768,23.313766250511 58.5657046719342,23.321862835998 58.5632520932585,23.328886828879 58.5600209193037,23.3345682154132 58.5561355174259,23.338688870872 58.5517453892491,23.3410909100338 58.547019396783,23.3416826828859 58.5421392500481)))', 'EEMTM', 'Mäetamme', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4218324670348 57.910959568636,24.4212811906107 57.9060782329812,24.4189519025778 57.9013479115219,24.4149347497356 57.8969502992126,24.4093845623627 57.8930542472365,24.4025148354386 57.8898092964807,24.3945894933025 57.8873399584795,24.3859127588368 57.8857409593921,24.3768175146664 57.8850736254103,24.3676525956795 57.8853635446114,24.3587694883205 57.8865995923038,24.3505089319227 57.8887343560049,24.3431879205225 57.8916859441041,24.3370875900869 57.8953411107244,24.3324424461385 57.8995595800529,24.3294313409225 57.9041794081448,24.328170548441 57.9090231805411,24.3287092112623 57.9139048114538,24.3310273469177 57.9186366860983,24.335036506454 57.9230368730622,24.3405830765017 57.9269361291953,24.3474541127893 57.9301844258067,24.3553854916423 57.932656741986,24.3640720711445 57.9342578981726,24.3731794698528 57.9349262397756,24.3823570024579 57.9346360253159,24.3912512622031 57.9333984244359,24.3995198119033 57.9312610860773,24.4068444406152 57.9283062938197,24.4129434616719 57.9246477813443,24.417582568895 57.9204263338403,24.4205838290779 57.9158043486519,24.4218324670348 57.910959568636)))', 'EEMTP', 'Metsapoole', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7914190747608 58.3589742916327,23.7901241507856 58.3541322909916,23.7870576002632 58.3495160490143,23.7823378430479 58.3453028395161,23.7761466064588 58.3416544009102,23.7687218886619 58.3387107470062,23.7603488017521 58.3365848157982,23.7513486479887 58.3353581574176,23.7420666439317 58.335077822705,23.7328587533545 58.3357545685684,23.7240781198814 58.3373624470562,23.7160616037626 58.3398397935661,23.7091169238396 58.3430915775686,23.7035108855876 58.3469930283822,23.6994591394747 58.3513944006298,23.6971178614032 58.3561267006999,23.696577679761 58.36100815843,23.6978600932045 58.3658511987604,23.7009165319006 58.3704696475401,23.7056301154283 58.3746858949891,23.7118200563583 58.378337740194,23.7192485537806 58.3812846507215,23.7276299201897 58.3834131927859,23.7366415928482 58.3846414187759,23.745936601547 58.3849220391961,23.75515700267 58.3842442536417,23.7639477479728 58.3826341683485,23.7719704377702 58.3801537838853,23.7789164133358 58.3768985932833,23.7845186719483 58.3729938858477,23.7885621385584 58.3685899027467,23.7908918977439 58.3638560350697,23.7914190747608 58.3589742916327)))', 'EEMTS', 'Matsi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5663117684986 58.2709099019186,24.5657364002737 58.2660292624112,24.5633655496689 58.2613015223521,24.559290974284 58.2569082751651,24.553669719163 58.2530182014479,24.5467180116877 58.249780609435,24.5387029210418 58.2473197253231,24.5299321073995 58.2457299486012,24.5207420528096 58.2450722502828,24.5114852178196 58.2453718485248,24.5025166041447 58.2466172481314,24.4941802234905 58.2487606795493,24.4867959756753 58.2517199209019,24.4806474254221 58.2553814351124,24.4759709368651 58.2596047049836,24.4729465784548 58.2642276038904,24.4716911494901 58.2690726001426,24.4722536043155 58.2739535605562,24.4746130632285 58.2786828946608,24.4786795029093 58.2830787663541,24.4842971169019 58.2869720954817,24.4912502321564 58.2902130782027,24.4992715651708 58.2926769721158,24.5080525054289 58.2942689195163,24.5172550291957 58.2949276189241,24.5265247776014 58.2946276997752,24.5355047829768 58.2933807061207,24.5438492993313 58.2912346501935,24.5512371882609 58.288272153429,24.5573843307188 58.284607248511,24.5620545768984 58.2803809688411,24.5650688086967 58.2757558992586,24.5663117684986 58.2709099019186)))', 'EEMTT', 'Metsaküla, Tahkuranna v', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8012713833645 59.6484595965938,25.8004983125913 59.6435853340734,25.7978621927458 59.6388810393915,25.7934650216321 59.6345273907889,25.7874762587965 59.6306915323705,25.7801262407453 59.6275206758548,25.7716973003642 59.6251364734492,25.7625129361073 59.6236303735182,25.752925444213 59.6230601328729,25.7433024794833 59.6234476156868,25.7340130460322 59.6247779608328,25.7254134382841 59.6270001484955,25.7178336540954 59.6300289449632,25.7115647861807 59.6337481532602,25.7068478652799 59.6380150484587,25.7038645792474 59.6426658317793,25.7027302274059 59.6475218985481,25.7034891904719 59.652396683209,25.7061131051519 59.6571028211966,25.7105018317656 59.6614593536437,25.7164871963667 59.6652986974074,25.723839379803 59.6684731101571,25.7322757195326 59.6708603982808,25.7414715906198 59.6723686436407,25.7510729450141 59.672939762803,25.76071001747 59.6725517578475,25.7700116560956 59.6712195693929,25.7786197083377 59.6689944978823,25.7862028907434 59.6659622160678,25.792469593254 59.6622394515379,25.7971791147972 59.6579694706243,25.8001508940054 59.653316541878,25.8012713833645 59.6484595965938)))', 'EEMTU', 'Matsu', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0160367686115 59.5007533289646,25.0153801508572 59.495875164624,25.0128649637356 59.491155833782,25.008588561939 59.4867765987126,25.0027157768307 59.4829055916512,24.9954725075482 59.4796913778348,24.9871370079664 59.4772572759423,24.9780292091041 59.4756966496812,24.9684984848791 59.4750693468172,24.958910322152 59.475399418414,24.9496323927254 59.4766742030377,24.9410205447661 59.4788448098352,24.9334052337047 59.4818279824536,24.9270788980149 59.4855092744228,24.9222847536219 59.489747417622,24.9192074325478 59.4943797204431,24.917965827693 59.4992282928604,24.9186084277319 59.5041068633041,24.921111335941 59.5088279283261,24.9253790669789 59.5132099616397,24.9312481095278 59.5170844050031,24.9384931342245 59.5203021700336,24.9468356199524 59.5227393974122,24.9559545721172 59.5243022476037,24.9654989188111 59.5249305342686,24.9751010992724 59.5246000565678,24.9843913076213 59.5233235377614,24.9930118263343 59.5211501327164,25.0006308799385 59.5181635237944,25.0069554601952 59.5144786806118,25.0117426184324 59.5102374119293,25.0148087862087 59.5056028851811,25.0160367686115 59.5007533289646)))', 'EEMUG', 'Muuga', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8127625513439 58.5893352816934,22.8115933115893 58.5844831828043,22.8086343700831 58.5798433695668,22.8040000365233 58.5755940267027,22.7978687837255 58.5718982835135,22.7904763317746 58.5688979708788,22.7821065745462 58.5667082003433,22.7730806994644 58.5654129691213,22.7637449140654 58.5650619555756,22.7544572404501 58.5656686247691,22.7455738701046 58.5672097146793,22.7374355862998 58.5696261222628,22.7303547591033 58.5728251565139,22.7246033989615 58.5766840746874,22.7204027191514 58.5810547697052,22.7179146057701 58.5857694330836,22.7172353273726 58.5906469801294,22.7183917364215 58.5954999940807,22.7213401235232 58.6001419246091,22.7259677857908 58.604394264655,22.7320972660547 58.608093428624,22.7394931140854 58.6110970648536,22.7478709189884 58.6132895558117,22.7569082681552 58.6145864901238,22.7662572072223 58.6149379301465,22.7755577115583 58.6143303458893,22.7844516363131 58.6127871386853,22.7925965914016 58.6103677339173,22.7996791911155 58.6071652788858,22.8054271551624 58.6033030371187,22.8096197872931 58.5989296216812,22.8120964265978 58.5942132552154,22.8127625513439 58.5893352816934)))', 'EEMUJ', 'Mujaste', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1652419296706 58.230057821305,24.1647222189885 58.2251758750308,24.1624075437488 58.2204411959499,24.1583875059946 58.2160356470982,24.1528170617854 58.2121283840616,24.1459104953211 58.2088693768447,24.1379331516437 58.2063836745844,24.1291912504729 58.2047666292615,24.1200201709091 58.2040802575196,24.1107716492085 58.2043508764494,24.1018003685427 58.2055681013119,24.0934504399217 58.2076852423458,24.086042276981 58.2106210857529,24.0798603540624 58.2142629924238,24.0751423071927 58.2184711986922,24.0720697917202 58.2230841580665,24.0707614494102 58.2279247231106,24.0712682630835 58.2328069339014,24.0735714903309 58.2375431551262,24.0775832719602 58.2419512889723,24.0831499088329 58.2458617863125,24.0900576963844 58.2491241847492,24.098041103677 58.2516129188626,24.1067929878623 58.2532321750996,24.1159764500159 58.2539196002241,24.1252378687414 58.2536487167771,24.1342205974086 58.2524299497682,24.1425787821512 58.250310223737,24.1499907524147 58.2473711460247,24.1561714542298 58.2437258481346,24.1608834374753 58.2395146100155,24.1639459699365 58.2348994397301,24.1652419296706 58.230057821305)))', 'EEMUN', 'Munalaiu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.6242825759349 58.2294074693594,22.6231518578198 58.2245532258192,22.6202483710777 58.2199085738942,22.6156842829071 58.2156518870945,22.6096353617907 58.2119465800619,22.6023341663007 58.2089348541309,22.594061092735 58.2067322617339,22.5851336278593 58.2054232941178,22.5758942154305 58.2050581576415,22.5666971925471 58.2056508590201,22.5578952832675 58.2071786708883,22.5498261517992 58.2095829976403,22.5427995156358 58.2127716094166,22.5370853003258 58.2166221610787,22.5329032823986 58.2209868647786,22.5304146159716 58.2256981409688,22.5297155727629 58.2305750349989,22.5308337461686 58.2354301562797,22.5337268798601 58.2400768756176,22.5382843827958 58.2443365047583,22.5443314890372 58.2480451811156,22.5516359163137 58.2510601904063,22.5599167763204 58.253265480336,22.5688553968775 58.254576148982,22.578107635875 58.2549417310187,22.5873172034823 58.2543481518981,22.5961294658172 58.2528182726142,22.6042051825124 58.2504110035186,22.6112336335351 58.2472190224167,22.6169446170441 58.2433651873963,22.6211188485256 58.2389977861666,22.6235963592791 58.2342848089491,22.6242825759349 58.2294074693594)))', 'EEMUR', 'Muratsi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.996139762315 58.8470104079931,26.9952154411899 58.8421431003156,26.9924774100174 58.83746273635,26.9880315282982 58.8331490699216,26.9820490752403 58.8293677083136,26.9747601029813 58.8262637731225,26.966444573282 58.8239563528196,26.9574216216386 58.8225339557233,26.9480373578553 58.8220511336554,26.9386516620429 58.8225264022529,26.9296244687956 58.8239415353305,26.9213020493574 58.8262422595198,26.9140038016534 58.8293403233628,26.9080100411318 58.8331168638555,26.9035512517034 58.8374269448369,26.9007992062624 58.8421050972764,26.8998603012954 58.8469716530349,26.9007713714018 58.8518396325233,26.9034981592155 58.8565219241547,26.9079365169335 58.8608384806348,26.9139163108105 58.8646232546969,26.9212078935486 58.8677306052296,26.9295309059688 58.8700409238064,26.9385650733999 58.8714652608724,26.9479625785342 58.8719487692624,26.9573615253819 58.8714728288528,26.9663999619949 58.8700557681064,26.9747299054274 58.8677521538625,26.9820308122958 58.8646506775642,26.9880219623218 58.8608707217312,26.9924732690226 58.8565577424787,26.9952140986826 58.8518776500725,26.996139762315 58.8470104079931)))', 'EEMUS', 'Mustvee', 'Y'),('SRID=4326;MULTIPOLYGON(((24.876019407189 59.4918057455409,24.875383152308 59.486926993816,24.8728882026563 59.4822050846556,24.8686311367463 59.4778213804555,24.8627760457032 59.4739441859613,24.8555481523838 59.4707223045632,24.8472251237671 59.4682793495278,24.8381264153089 59.4667090242754,24.8286010544128 59.4660715484322,24.8190143233626 59.4663913629115,24.8097338389513 59.4676561993015,24.8011155460153 59.4698175480163,24.7934901448487 59.4727925077201,24.7871504579992 59.4764669471834,24.7823402104747 59.4806998616931,24.7792446494316 59.485328761082,24.7779833658803 59.4901758869817,24.7786056031862 59.4950550245049,24.7810882471336 59.4997786495667,24.7853365926396 59.5041651385414,24.7911878761827 59.5080457627276,24.7984174545669 59.5112711965958,24.8067474042815 59.5137172860479,24.8158572161986 59.5152898504764,24.8253961725123 59.5159283293602,24.8349969211564 59.5156081290818,24.844289711282 59.5143415767876,24.8529167246172 59.5121774432948,24.8605459332672 59.5091990538974,24.8668839350331 59.5055210619648,24.8716872614497 59.5012850130413,24.8747717190386 59.4966538744795,24.876019407189 59.4918057455409)))', 'EEMVJ', 'Merivälja', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2100553198483 59.5096806485212,25.2093705294373 59.5048033444266,25.2068275531765 59.5000876326209,25.2025248113546 59.4957146348794,25.1966281435044 59.4918522427112,25.1893643613822 59.4886486898055,25.1810125016476 59.4862268852869,25.1718931190248 59.4846797210185,25.1623560288474 59.484066528653,25.1527669607063 59.4844108185199,25.1434936214099 59.4856993843783,25.1348916850291 59.487882807191,25.1272912301391 59.4908773391247,25.1209841294695 59.494568097664,25.1162128652691 59.49881345076,25.1131611953091 59.5034504289989,25.1119470304969 59.5083009614591,25.1126178069349 59.5131786997216,25.1151485449008 59.5178961707208,25.1194426872733 59.5222719848607,25.125335703709 59.5261378218621,25.1326013383499 59.529344923591,25.1409602725113 59.531769840647,25.1500908744538 59.5333192073103,25.1596416208029 59.5339333566332,25.1692447029358 59.5335886325975,25.1785302805366 59.5322983075427,25.1871408163616 59.5301120683283,25.1947449226492 59.5271140915599,25.2010501707813 59.5234197841982,25.2058143605453 59.5191713185678,25.2088548111908 59.5145321379371,25.2100553198483 59.5096806485212)))', 'EEMVP', 'Süsineeme', 'Y'),('SRID=4326;MULTIPOLYGON(((23.8593921872263 58.3409493168671,23.8580887154444 58.3361080668576,23.8550149818285 58.3314935055918,23.8502896804474 58.3272828419614,23.8440947496817 58.3236377164065,23.8366683277997 58.3206980154992,23.8282955909368 58.3185765256088,23.8192978270897 58.3173546266385,23.810020160923 58.31707918707,23.8008183902216 58.3177607762479,23.7920454247979 58.3193732605759,23.7840378320446 58.3218547987875,23.7771029898784 58.3251101994069,23.7715073275808 58.3290145526888,23.7674660983309 58.3334180014301,23.765135074693 58.3381514717725,23.7646044910426 58.3430331480372,23.7658954764803 58.3478754462108,23.7689591303838 58.3524922201799,23.7736782932285 58.3567059241895,23.7798719611719 58.3603544549298,23.7873021882029 58.3632974074202,23.7956832188896 58.365421500267,23.8046925025765 58.36664495729,23.8139831608058 58.3669206728073,23.8231974178653 58.3662380354637,23.8319804630048 58.3646233384294,23.8399941942854 58.3621387598362,23.8469302992574 58.3588799540308,23.852522156392 58.3549723491674,23.8565550918148 58.3505662974726,23.8588745956221 58.3458312690801,23.8593921872263 58.3409493168671)))', 'EEMYA', 'Matsi-Vidi paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8720279782089 59.4978072924121,24.8713922057473 59.4929285280876,24.8688973905898 59.4882065474696,24.8646401064273 59.483822715704,24.8587844530668 59.47994534242,24.8515556751727 59.4767232378406,24.8432314737889 59.4742800237566,24.8341313493738 59.4727094134852,24.8246043835522 59.4720716375501,24.8150159199931 59.4723911483527,24.8057336417238 59.4736556891251,24.7971135621717 59.4758167616373,24.7894864499942 59.4787914751862,24.7831451932933 59.4824657080402,24.7783335773324 59.4866984634779,24.7752369019212 59.4913272575038,24.7739748010867 59.4961743358544,24.7745965498937 59.5010534855139,24.7770790532448 59.5057771819575,24.7813276118081 59.5101637988211,24.7871794541707 59.51404460247,24.794409915862 59.51727026044,24.8027410394991 59.5197166099683,24.8118522707755 59.5212894603942,24.8213928371465 59.5219282401502,24.8309953243792 59.5216083440117,24.8402899144647 59.5203420874108,24.8489187196115 59.5181782297975,24.8565496427701 59.5152000858818,24.862889215655 59.5115222996382,24.8676939093526 59.507286408759,24.8707794779072 59.5026553745817,24.8720279782089 59.4978072924121)))', 'EEMYB', 'Miiduranna-Lahe', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8210311981663 58.7853308896731,22.8198536987817 58.7804790478163,22.8168765030122 58.7758396526462,22.812214629955 58.7715908718556,22.8060476156339 58.7678958118064,22.798612555556 58.7648962756154,22.7901949782091 58.7627073435358,22.7811179024299 58.7614129793859,22.7717294945434 58.7610628274887,22.7623897888801 58.7616703196413,22.7534569667875 58.7632121626303,22.7452737040323 58.7656292254294,22.7381540942855 58.768828793188,22.7323716372151 58.7726881041683,22.7281487438894 58.777059037652,22.7256481603224 58.7817737771714,22.724966643117 58.7866512358315,22.72613114082 58.7915040004252,22.7290976429373 58.7961455297741,22.7337527583822 58.8003973312766,22.7399179799181 58.8040958386954,22.7473564849768 58.8070987240831,22.7557822206068 58.8092903973015,22.7648709259478 58.8105864772179,22.7742726641775 58.8109370582989,22.7836253715379 58.8103286434077,22.7925688872876 58.808784666237,22.8007589076463 58.8063645827232,22.8078803101613 58.8031615675942,22.8136593222355 58.7992989074187,22.8178740572732 58.7949252327993,22.8203630112871 58.7902087775161,22.8210311981663 58.7853308896731)))', 'EEMYC', 'Muuli', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1013058335742 58.280082049832,24.100794410564 58.2751999484764,24.0984852464574 58.2704641901674,24.0944677344785 58.2660566796806,24.088896736482 58.262146648013,24.0819865602636 58.2588841713503,24.0740026910036 58.2563944317331,24.0652515995039 58.2547729357252,24.0560690171951 58.2540818703792,24.0468071205021 58.2543477325671,24.037821103972 58.2555603198846,24.029455641943 58.2576731205218,24.022031742132 58.2606050874508,24.0158344813195 58.2642437307468,24.0111020835296 58.268449412577,24.0080167552885 58.2730606840329,24.0066976315878 58.2779004631733,24.0071961114439 58.2827828208702,24.0094937753333 58.2875201166318,24.0135029808336 58.2919302116198,24.019070130677 58.2958434813711,24.0259815029173 58.2991093567313,24.0339714302941 58.3016021382389,24.0427325197142 58.3032258562294,24.0519275176534 58.3039179853726,24.0612023575169 58.3036518668429,24.0701998742734 58.3024377420704,24.0785736427777 58.300322356929,24.0860013907279 58.2973871519148,24.0921974555023 58.2937451099217,24.0969237951662 58.2895363862035,24.0999991254902 58.2849228927681,24.1013058335742 58.280082049832)))', 'EEMYD', 'Müürsepa', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6031045686531 59.5569086527718,24.602506807277 59.5520288878038,24.6000455831246 59.5473020523111,24.5958161856245 59.5429096997041,24.5899816509567 59.5390204680527,24.5827664204453 59.5357836234247,24.5744476817014 59.5333233533236,24.5653447303003 59.5317340250185,24.555806758643 59.5310765863226,24.5461995322547 59.531376243008,24.536891451054 59.5326214991495,24.5282395134734 59.5347645959189,24.5205757044358 59.5377233324156,24.5141943140438 59.541384200755,24.5093406626702 59.5456067185396,24.5062016604445 59.5502287966982,24.5048985658165 59.5550729410885,24.5054822302843 59.5599530537082,24.507931026457 59.564681575173,24.5121515569512 59.5690766953992,24.5179821355089 59.5729693549727,24.5251989230916 59.5762097659558,24.5335244950424 59.5786731978999,24.5426385154944 59.5802648021732,24.552190106883 59.5809232844662,24.5618114301986 59.5806232801283,24.5711319393894 59.5793763380118,24.5797927439715 59.57723047362,24.5874605091025 59.5742683091995,24.5938403424041 59.5706038745057,24.5986871605605 59.5663781948809,24.6018150937397 59.5617538407575,24.6031045686531 59.5569086527718)))', 'EENAI', 'Naissaare', 'Y'),('SRID=4326;MULTIPOLYGON(((28.2548870927192 59.3835389797931,28.2537681270858 59.3786823050803,28.2508143233753 59.3740302779788,28.2461398367515 59.369761552502,28.239924717737 59.3660399997754,28.2324079304839 59.3630084369935,28.2238781514352 59.3607831694432,28.2146627046337 59.359449550726,28.2051150544322 59.3590587272865,28.1956013253715 59.3596256886287,28.1864863516056 59.3611286957703,28.1781197739207 59.363510109221,28.1708227008632 59.3666785857903,28.1648754317849 59.3705125625604,28.1605067040053 59.3748648981157,28.1578848743791 59.3795684972721,28.1571113783486 59.3844427076807,28.1582167285552 59.3893002462643,28.1611592224262 59.3939543917489,28.1658264266169 59.3982261676172,28.1720393992913 59.4019512383496,28.1795595030618 59.4049862511675,28.1880975565796 59.4072143755472,28.1973249760901 59.4085498229597,28.2068864745023 59.4089411685577,28.2164138190068 59.4083733433431,28.2255401026181 59.4068682178153,28.2339139627273 59.4044837539703,28.2412131821067 59.4013117593941,28.2471571346505 59.3974743325894,28.2515175879553 59.393119140208,28.2541274448811 59.3884137123592,28.2548870927192 59.3835389797931)))', 'EENAR', 'Narva', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4442639405289 58.2124741863643,22.4431583448419 58.2076182383986,22.4402797194642 58.2029693850327,22.4357392783257 58.1987061624579,22.4297118847685 58.1949922373234,22.4224292745879 58.1919701424849,22.414171134601 58.1897558286199,22.4052543819339 58.1884342366748,22.3960210517918 58.1880560569943,22.3868252490381 58.1886357961428,22.3780196505099 58.1901512234707,22.3699420600711 58.1925442180806,22.3629025167042 58.1957229847571,22.3571714374671 58.1995655563664,22.3529692422143 58.2039244519516,22.3504578562025 58.2086323159149,22.3497344211185 58.2135083258954,22.3508274662016 58.2183651266728,22.3536957011118 58.2230160259309,22.3582294937727 58.2272821760105,22.3642549930143 58.2309994645766,22.3715407514371 58.2340248467219,22.3798066029358 58.2362418713059,22.3887344563776 58.2375651846992,22.3979805865634 58.2379438344818,22.4071889399355 58.2373632425201,22.4160049289362 58.2358457692972,22.4240891678448 58.23344984718,22.4311306055116 58.230267717071,22.4368585364919 58.2264218581563,22.4410530202281 58.2220602518548,22.4435533054728 58.2173506664459,22.4442639405289 58.2124741863643)))', 'EENAS', 'Nasva', 'Y'),('SRID=4326;MULTIPOLYGON(((28.1788252296362 59.3395676566336,28.1777186405414 59.3347102604259,28.1747791075294 59.3300564376702,28.1701202366581 59.3257849120977,28.1639214789121 59.3220596630667,28.1564211714267 59.3190236502646,28.1479073599786 59.316793350188,28.1387067581308 59.3154543097558,28.1291722629248 59.3150578834206,28.1196694960789 59.3156192754437,28.1105628723254 59.3171169601819,28.1022017122663 59.3194935019709,28.0949069156992 59.3226577442089,28.088958692767 59.3264882862529,28.0845858148098 59.3308381184819,28.0819567950242 59.3355402419906,28.081173341985 59.3404140614825,28.0822663482456 59.3452723094617,28.0851945837404 59.3499282380804,28.0898461623548 59.3542028030094,28.0960427432861 59.3579315621767,28.1035463208033 59.3609710215086,28.1120683513005 59.3632041798053,28.1212808699404 59.3645450550091,28.1308291654561 59.3649420133395,28.1403455151532 59.3643797695434,28.1494634364298 59.3628799789391,28.1578318887371 59.3605003977906,28.1651288621009 59.3573326454154,28.1710738149843 59.353498656843,28.1754384738865 59.349145966397,28.1780555768886 59.3444420081196,28.1788252296362 59.3395676566336)))', 'EENBS', 'Narva Balti Soojuselektrijaam', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7242846108029 59.6584885660905,25.7235225028353 59.6536138958244,25.720896411363 59.6489080964752,25.7165079504374 59.6445519046091,25.7105262469914 59.6407125623762,25.7031813685182 59.6375374154468,25.694755452482 59.6351482807279,25.6855718827013 59.6336367957293,25.675982925729 59.6330609236453,25.6663562926444 59.6334427444252,25.6570611276436 59.6347676139141,25.6484539437888 59.6369847222213,25.6408650279742 59.6400090305208,25.634585821564 59.6437245142421,25.6298577505057 59.6479885917677,25.6268629295514 59.6526375729989,25.625717100448 59.6574929230772,25.6264650849936 59.6623681046269,25.6290789426808 59.667075738449,25.6334589219391 59.6714348086959,25.6394371870937 59.675277635011,25.6467841941043 59.6784563413042,25.6552174814598 59.6808485687875,25.6644125431275 59.6823622091052,25.6740153630175 59.6829389709344,25.683656119543 59.6825566388697,25.6929635183381 59.681229934905,25.7015791838543 59.6790099482137,25.7091715379425 59.6759821558305,25.7154486157965 59.6722631127464,25.7201693155262 59.6679959424594,25.7231526445996 59.6633448059123,25.7242846108029 59.6584885660905)))', 'EENEP', 'Pähklimänniku', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((22.4973031650639 58.9754503661389,22.4961641383354 58.9705955779571,22.4932134759992 58.965948763343,22.4885651907623 58.9616883763209,22.4823983091202 58.9579779693282,22.4749499315751 58.9549599341507,22.4665061044122 58.9527500598511,22.45739085626 58.9514331122778,22.4479538162727 58.9510596006025,22.4385568790566 58.9516438515132,22.4295604135015 58.9531634627654,22.4213095279121 58.9555601564723,22.41412090202 58.9587420004918,22.4082706776166 58.9625869152956,22.4039838639617 58.9669473354927,22.4014256624084 58.9716558514033,22.4006950478614 58.9765316183274,22.4018208642706 58.9813872908922,22.4047605995008 58.9860362183564,22.4094019043967 58.9902996250338,22.4155668151584 58.9940134987727,22.4230185313361 58.9970349200069,22.4314704983715 58.9992475841765,22.4405974484154 59.0005663007005,22.4500479708048 59.0009402910996,22.4594581183564 59.0003551558044,22.4684655110228 58.9988334316992,22.4767233769446 58.9964337183341,22.4839139736997 58.9932484075674,22.4897608594544 58.9894001067086,22.4940395332317 58.9850368966443,22.4965860329018 58.9803266117859,22.4973031650639 58.9754503661389)))', 'EENGL', 'Nõmmerga lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2518117887361 58.6089152833197,27.2508582404936 58.6040496674098,27.2481047132964 58.5993745809621,27.2436576480809 58.5950695743141,27.237688357001 58.5912999223618,27.2304263772864 58.588210298126,27.222150629101 58.585919242336,27.2131787203295 58.584514637114,27.2038548056737 58.5840503532881,27.1945364568049 58.5845441964587,27.1855810336226 58.5859772282867,27.1773320633311 58.5882944882483,27.1701061337923 58.5914070890316,27.164180790451 58.5951956075747,27.1597838923328 58.5995146451907,27.1570848327712 58.6041983859661,27.1561879656233 58.6090669442607,27.1571284992562 58.6139332611418,27.1598710305931 58.61861028725,27.1643107927164 58.6229181769526,27.1702775853032 58.6266912164354,27.1775422515002 58.629784216957,27.1858254621545 58.6320781237788,27.1948084732893 58.6334846207344,27.2041454399673 58.6339495489957,27.2134768034616 58.6334550048527,27.2224432225106 58.6320200333613,27.2306994958874 58.6296998903422,27.2379279239032 58.6265839020273,27.2438505807462 58.6227920071996,27.2482400163891 58.6184701185547,27.2509279735943 58.6137844860485,27.2518117887361 58.6089152833197)))', 'EENIN', 'Nina', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4292855188777 58.2284796444339,22.4281814352857 58.2236235720783,22.4253034346123 58.2189743896585,22.4207627076468 58.2147106460356,22.4147341294555 58.2109960278407,22.4074494818593 58.2079730944616,22.3991885301582 58.2057578286544,22.3902682993745 58.2044352077801,22.3810309579003 58.2040559615597,22.3718307640305 58.204634637408,22.3630205624915 58.2061490454501,22.3549383331729 58.2085411039344,22.3478942925856 58.2117190536613,22.3421590301094 58.2155609589935,22.3379531261685 58.2199193647244,22.3354386486956 58.2246269342493,22.3347128586539 58.2295028566875,22.3358043765045 58.2343597803201,22.3386719714593 58.2390110081971,22.3432060369042 58.2432776800558,22.3492327119308 58.2469956634684,22.3565205044611 58.2500218867233,22.3647891704105 58.2522398662104,22.3737205103336 58.2535642114349,22.3829706645707 58.2539439301585,22.3921834241964 58.253364403032,22.401004031459 58.2518479495298,22.4090929222905 58.2494529628071,22.4161388660267 58.2462716478616,22.4218709835541 58.242426452655,22.4260691732417 58.238065333247,22.428572541583 58.2333560393745,22.4292855188777 58.2284796444339)))', 'EENJD', 'Nasva jõesadam', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0920111879168 59.4675996799517,28.0909126415799 59.4627416194063,28.0879736978651 59.4580859294908,28.0833079473425 59.4538114056644,28.0770951111541 59.4500821420016,28.0695740709806 59.447041251562,28.0610336700743 59.4448053971158,28.0518016416483 59.4434603377754,28.0422320857162 59.4430576581436,28.0326919647792 59.4436128019193,28.0235471216358 59.4451044831149,28.0151483384852 59.4474754968002,28.0078179551694 59.4506348993157,28.0018375458636 59.4544614769109,27.9974371180488 59.4588083734869,27.9947862457875 59.4635087042138,27.9939874821545 59.4683819438477,27.9950723146687 59.4732408480542,27.9979998348315 59.4778986442321,28.0026581912037 59.4821762162632,28.0088687883374 59.4859090060124,28.0163930854318 59.4889533636053,28.0249417434017 59.4911920984291,28.0341857719721 59.4925390128591,28.0437692442144 59.4929422398713,28.0533230789914 59.4923862524329,28.0624793456929 59.4908924649719,28.0708855229853 59.4885184030789,28.0782181453374 59.485355474476,28.084195297705 59.4815254297289,28.0885874684501 59.4771756527785,28.0912263405756 59.4724734669649,28.0920111879168 59.4675996799517)))', 'EENJK', 'Narva-Jõesuu kalasadam 1', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6976073980582 59.2170003558579,23.6962898087547 59.2121581293369,23.6931558451933 59.2075406789137,23.688326554105 59.2033253212787,23.6819878955482 59.1996738719199,23.6743835400903 59.1967264537936,23.6658054928491 59.1945961429138,23.6565829064198 59.1933646520084,23.6470695073069 59.193079213709,23.6376301075754 59.1937507795171,23.6286267041402 59.1953536016314,23.6204046819098 59.1978262133019,23.6132796336602 59.2010737714135,23.6075252890716 59.2049716742322,23.6033630081113 59.2093703193741,23.6009532405373 59.2141008237621,23.6003892847653 59.2189814901875,23.6016935972744 59.2238247755573,23.6048168103183 59.2284444952312,23.6096395138342 59.2326629870468,23.6159767506641 59.2363179583659,23.6235850666894 59.239268750046,23.6321718538353 59.2414017724797,23.6414066289362 59.2426349001288,23.6509338098708 59.2429206511818,23.6603864864124 59.2422480265233,23.669400640369 59.2406429351551,23.6776292501618 59.2381671893013,23.68475572012 59.2349161092286,23.6905061041255 59.2310148328579,23.6946596451771 59.2266134761653,23.6970572240895 59.2218813350363,23.6976073980582 59.2170003558579)))', 'EENJL', 'Nõva jõe lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((28.1069993638879 59.4595940907006,28.1058989415304 59.4547361559058,28.1029586487922 59.4500808014728,28.0982921274767 59.4458068099067,28.0920791277535 59.4420782548175,28.0845585370994 59.4390382220795,28.076019181183 59.4368033415933,28.0667887529765 59.4354593351676,28.0572212911536 59.4350577470813,28.0476836781108 59.4356139792184,28.0385416607986 59.4371067038714,28.0301459134285 59.4394786760733,28.0228186597729 59.4426389153394,28.0168413542255 59.4464661757192,28.0124438853032 59.4508135747837,28.0097957134451 59.4555142082676,28.0089992877972 59.4603875391527,28.0100860056612 59.4652463194653,28.0130148855554 59.4699037812592,28.0176740231771 59.4741808212038,28.0238847924591 59.4779129016013,28.0314086454929 59.4809563998818,28.0399562599461 59.4831941585467,28.0491986855602 59.4845400176102,28.0587800571632 59.4849421507451,28.0683313747168 59.4843850730889,28.0774848048791 59.4828902410717,28.0858879359343 59.4805152204885,28.0932174200129 59.4773514559129,28.0991914631632 59.4735207299921,28.1035806735427 59.469170452752,28.1062168480018 59.4644679666334,28.1069993638879 59.4595940907006)))', 'EENJS', 'Narva-Jõesuu', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0949850952051 59.4495986332504,28.0938867354667 59.4447405840081,28.0909489730348 59.440084944944,28.0862853522247 59.4358105096286,28.0800755117402 59.4320813688457,28.0725582178977 59.4290406310729,28.0640221701297 59.4268049533608,28.0547949348773 59.4254600881631,28.0452304287601 59.4250576127196,28.035695421189 59.4256129629309,28.0265555594491 59.427104844867,28.0181614351661 59.4294760458191,28.0108352097418 59.4326356148206,28.0048582978108 59.4364623315833,28.0004605723071 59.4408093345125,27.9978115029311 59.4455097345577,27.9970135726693 59.4503830037127,27.9980982360414 59.4552418964599,28.0010245900546 59.4598996406468,28.0056808272205 59.4641771222179,28.0118884329302 59.467909786625,28.0194089810952 59.4709539889512,28.0279532768459 59.4731925446984,28.0371924980619 59.4745392632578,28.0467709033674 59.4749422852311,28.0563196073221 59.4743860915135,28.0654708774868 59.4728921044514,28.0738723854054 59.4705178572407,28.0812008455863 59.4673547646138,28.0871745031773 59.4635245832993,28.0915639806921 59.4591747023381,28.0942010641132 59.4544724489342,28.0949850952051 59.4495986332504)))', 'EENJY', 'Narva-Jõesuu külaliskai', 'Y'),('SRID=4326;MULTIPOLYGON(((26.6099439292357 58.7061540572804,26.6090772278701 58.7012839947689,26.6064020960687 58.6965954628226,26.6020219757697 58.6922685323657,26.5961056235305 58.6884693230676,26.5888805600013 58.6853436441044,26.5806243025713 58.6830114200393,26.5716537216544 58.6815621115906,26.5623129263765 58.6810513028094,26.5529601356556 58.681498582021,26.5439540248105 58.6828867953942,26.5356400553235 58.6851627008652,26.528337295924 58.6882389980856,26.5223262267567 58.6919976588196,26.5178379853067 58.6962944335139,26.5150454635614 58.700964365276,26.5140566015477 58.7058281038366,26.5149101443537 58.7106987806956,26.5175740400566 58.7153891838768,26.5219465573107 58.7197189575781,26.5278600970546 58.7235215492725,26.5350875668187 58.726650634845,26.5433510828895 58.7289857711067,26.5523326697928 58.7304370539833,26.5616865428395 58.7309485988343,26.5710524921363 58.730500705274,26.5800698390871 58.7291106206631,26.5883914116128 58.7268318719449,26.5956969834915 58.723752192327,26.6017056464076 58.7199901249847,26.6061866292095 58.7156904380966,26.6089681449747 58.7110185319094,26.6099439292357 58.7061540572804)))', 'EENKK', 'Änkküla', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2100887322257 59.5326808006738,25.2094035315855 59.527803510953,25.2068588779137 59.5230878074127,25.2025532570705 59.5187148114149,25.1966526200051 59.5148524142516,25.1893839313352 59.5116488496232,25.1810264161036 59.5092270269196,25.1719008457268 59.5076798385422,25.1623572723104 59.5070666169581,25.1527616733532 59.5074108735734,25.1434820053681 59.5086994034512,25.1348741845242 59.5108827890319,25.127268514753 59.5138772840624,25.1209570688569 59.5175680076261,25.1161824962364 59.5218133292033,25.1131286824448 59.5264502807529,25.1119136217944 59.5313007924914,25.1125847860559 59.5361785168433,25.1151171818788 59.5408959812518,25.1194141895469 59.5452717962792,25.1253111693903 59.5491376414626,25.1325817135737 59.552344758172,25.1409463145731 59.5547696962454,25.1500831222306 59.5563190889937,25.159640373665 59.5569332683538,25.1692500090197 59.5565885771065,25.1785419348633 59.5552982863576,25.187158368877 59.5531120817441,25.1947676958533 59.5501141386919,25.2010772862171 59.546419863048,25.20584477306 59.5421714261039,25.2088873495762 59.5375322701867,25.2100887322257 59.5326808006738)))', 'EENME', 'Neeme', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9526807691769 59.2759044072638,23.9513245337967 59.2710651368901,23.9481506096453 59.2664542144392,23.9432815770857 59.2622487038251,23.9369049186653 59.2586100407205,23.9292657585152 59.255677856035,23.9206574315582 59.2535646405168,23.9114102465038 59.2523514508772,23.9018788689922 59.2520848180459,23.8924287980905 59.2527749728598,23.8834224397722 59.2543954552782,23.8752052944973 59.2568841217853,23.8680927723448 59.2601455136912,23.8623581283551 59.2640544983211,23.8582219731329 59.2684610472836,23.8558437599762 59.2731959728188,23.8553155808901 59.2780774062118,23.8566585214072 59.2829177728739,23.8598217303812 59.287530998198,23.8646842587373 59.2917396676792,23.8710596141361 59.2953818647365,23.8787028708238 59.2983174204481,23.8873200702203 59.3004333308572,23.8965795528684 59.3016481289793,23.9061247809286 59.3019150390071,23.9155881467091 59.3012237879029,23.9246052202084 59.2996010026081,23.9328288696765 59.2971091772312,23.939942694832 59.293844251372,23.9456732422684 59.2899318957178,23.9498005250474 59.2855226518675,23.9521664406208 59.2807861178526,23.9526807691769 59.2759044072638)))', 'EENMM', 'Nõmmiku', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1766663716893 58.5262006316776,23.1754492354136 58.5213521473801,23.1724479527297 58.5167209803492,23.1677784520131 58.5124849810188,23.1616205475343 58.5088067648701,23.1542109735802 58.5058274893332,23.1458342735189 58.5036614587365,23.1368118958853 58.502391760146,23.1274899117736 58.5020670934908,23.1182258148404 58.5026999142953,23.1093748961394 58.5042659582399,23.1012767002753 58.5067051653346,23.0942420667378 58.5099239694444,23.0885412407898 58.5137988679845,23.084393502233 58.5181811385398,23.0819587084026 58.5229025256249,23.0813310808924 58.5277816833852,23.0825354853459 58.5326311301955,23.0855263623299 58.537264450107,23.0901893676413 58.5415034649297,23.0963456758781 58.5451851001017,23.1037587957704 58.5481676776777,23.1121436441163 58.5503363906235,23.1211775318794 58.551607743509,23.1305126356507 58.5519327845533,23.1397894644208 58.5512990012344,23.1486507888259 58.5497308044064,23.1567554800865 58.5472885818167,23.1637917098493 58.5440663586829,23.1694889898444 58.5401881581052,23.1736285801124 58.5358032052037,23.176051863822 58.5310801638262,23.1766663716893 58.5262006316776)))', 'EENNU', 'Nenu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4863272060518 58.9924543689744,22.4851891234923 58.9875994925954,22.4822384454567 58.9829524396401,22.4775891861581 58.9786916732846,22.4714204102439 58.9749807604747,22.4639692914395 58.9719621123151,22.4555219814455 58.9697515412736,22.4464026424373 58.9684338398127,22.4369610601597 58.9680595459297,22.4275593029301 58.9686430162638,22.4185579239228 58.9701618785128,22.4103022193617 58.9725578835808,22.4031090534474 58.975739125858,22.3972547420111 58.9795835490598,22.3929644513 58.9839436068389,22.3904035165821 58.9886519036042,22.3896710184131 58.9935276032239,22.390795873977 58.9983833630209,22.3937356090123 59.0030325289568,22.3983778752775 59.0072963161742,22.4045446727528 59.011010697829,22.4119991289161 59.0140327347164,22.4204545839876 59.0162460984654,22.4295856357789 59.0175655714483,22.4390407153782 59.017940345969,22.4484556996196 59.0173559922155,22.4574680216324 59.0158350169829,22.4657307192185 59.0134359910502,22.4729258635542 59.0102512799272,22.4787768376156 59.006403467999,22.4830589832438 59.0020406175154,22.4856082051872 58.997330549231,22.4863272060518 58.9924543689744)))', 'EENOL', 'Ninaotsa lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4063387542355 59.019110966346,23.4050704030788 59.0142653623916,23.4019940783998 59.0096404141724,23.3972286086609 59.0054137293371,23.3909575032557 59.0017475611831,23.3834218435649 58.9987826001209,23.3749110054546 58.9966325971815,23.3657515716187 58.9953800216028,23.3562948548121 58.9950729149854,23.3469035002631 58.9957230593686,23.3379376664996 58.9973055274693,23.3297412979323 58.9997596319132,23.3226289995863 59.0029912382949,23.3168740043791 59.0068763560704,23.3126976866209 59.011265873317,23.3102610225829 59.0159912579729,23.309658331091 59.020871010875,23.3109135457275 59.0257176261989,23.3139791775309 59.0303447940364,23.3187380259315 59.0345745688226,23.3250075895763 59.0382442268437,23.3325470218075 59.0412125463886,23.3410663724274 59.0433652651277,23.3502377627905 59.0446195003663,23.359708059867 59.0449269578351,23.3691125509518 59.0442758020808,23.3780890775952 59.0426911143586,23.3862920674913 59.0402339199612,23.3934059075799 59.0369988237117,23.3991571302312 59.033110347455,23.4033249354755 59.0287181144118,23.4057496429958 59.0239910700987,23.4063387542355 59.019110966346)))', 'EENOR', 'Norrby', 'Y'),('SRID=4326;MULTIPOLYGON(((24.9430941087569 59.5417810108294,24.9424473654877 59.5369025641848,24.9399394666581 59.5321818991055,24.935667489894 59.5278003294933,24.9297960995464 59.5239260774006,24.9225511437511 59.5207078326044,24.9142109429578 59.5182690682854,24.9050956095117 59.5167033267392,24.8955548063408 59.5160706516319,24.8859544059755 59.5163952998149,24.8766625479789 59.5176648177207,24.8680356127756 59.5198305165386,24.8604046325531 59.5228093284222,24.8540626453387 59.5264869746444,24.8492534667618 59.5307223275934,24.8461623059245 59.5353528034746,24.8449085881099 59.5402005831486,24.8455412691405 59.5450794261772,24.8480368360029 59.5498018191911,24.8523000884992 59.554186185227,24.8581676904701 59.5580638765027,24.8654143705296 59.5612856796572,24.8737615457284 59.5637275797821,24.8828880419335 59.5652955571829,24.892442496787 59.5659292278042,24.9020569594097 59.5656041832364,24.9113611493835 59.564332937393,24.9199968088498 59.5621644421483,24.927631577432 59.55918219108,24.9339718403634 59.5555009865003,24.9387740445248 59.5512624977483,24.941854042608 59.5466297860157,24.9430941087569 59.5417810108294)))', 'EENOT', 'Neemeotsa', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0920140837088 59.4695996712906,28.0909154688306 59.4647416124301,28.0879763480439 59.4600859244914,28.0833103188135 59.4558114028484,28.0770971130502 59.4520821414778,28.0695756266547 59.4490412533353,28.0610347200014 59.4468054010869,28.0518021456742 59.4454603437473,28.0422320245707 59.4450576658341,28.0326913408019 59.4456128109773,28.0235459586876 59.4471044931405,28.0151466810492 59.4494755073656,28.0078158666733 59.4526349099862,28.0018351062824 59.4564614872637,27.997434420875 59.4608083831273,27.9947833944774 59.4655087127875,27.993984586182 59.4703819510501,27.9950694853343 59.4752408536361,27.997997180983 59.4798986480031,28.0026558150355 59.4841762180929,28.0088667814319 59.4879090058313,28.0163915251986 59.4909533614052,28.0249406900599 59.4931920942633,28.0341852661958 59.4945390068435,28.0437693055403 59.4949422321841,28.0533237050524 59.4943862433138,28.0624805123109 59.4928924547194,28.0708871851185 59.4905183920444,28.078220238843 59.4873554630549,28.0841977418453 59.4835254183475,28.0885901690385 59.4791756418774,28.0912291936361 59.4744734569795,28.0920140837088 59.4695996712906)))', 'EENPK', 'Narva-Jõesuu sadam. Piirivalvekai', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8351431126834 59.5778218055996,24.8345114282816 59.5729429402751,24.8320161205691 59.568220306072,24.8277537865785 59.5638352931916,24.8218887237591 59.559956256323,24.8146465405793 59.5567320690717,24.806305453736 59.5542864325825,24.7971856112993 59.5527131525509,24.7876368497737 59.5520725614624,24.778025346403 59.5523892194412,24.7687196650607 59.5536509791336,24.7600767141327 59.5558094492441,24.7524281376239 59.5587818394055,24.7460676462777 59.5624541177183,24.7412397640186 59.5666853632551,24.7381304170302 59.571313150759,24.7368597291651 59.5761597652848,24.7374773095076 59.5810390121061,24.7399602277269 59.5857633631845,24.7442137729762 59.5901511669407,24.7500749858134 59.5940336438009,24.7573188438986 59.5972613964522,24.76566687555 59.59971018095,24.7747978754156 59.6012857123423,24.7843603083723 59.6019273153937,24.7939859158213 59.6016102759174,24.8033039866669 59.6003467993468,24.8119557263314 59.5981855383572,24.8196081528056 59.5952097082026,24.8259669692273 59.5915338644905,24.8307879066682 59.587299470948,24.8338860962326 59.5826694320866,24.8351431126834 59.5778218055996)))', 'EENRM', 'Nurme', 'Y'),('SRID=4326;MULTIPOLYGON(((28.2558856348712 59.3825386101409,28.254766561389 59.37768194363,28.2518127100041 59.3730299385999,28.2471382376516 59.368761248214,28.2409231942526 59.3650397422522,28.2334065410175 59.3620082361182,28.2248769492249 59.3597830329317,28.2156617357312 59.3584494838323,28.2061143559558 59.3580587326005,28.1966009240971 59.3586257659747,28.187486262948 59.3601288422104,28.179120001342 59.3625103191642,28.1718232357313 59.3656788512026,28.1658762536892 59.3695128732695,28.1615077815189 59.3738652421987,28.1588861662427 59.3785688615122,28.1581128350331 59.3834430780753,28.1592182941476 59.3883006085649,28.1621608367679 59.3929547320117,28.1668280276147 59.3972264727435,28.1730409253119 59.4009514965934,28.1805608953166 59.4039864525915,28.189098761406 59.406214512407,28.1983259470381 59.4075498900038,28.2078871741422 59.4079411632288,28.2174142203856 59.4073732658746,28.2265401903051 59.4058680712189,28.2349137334082 59.4034835439163,28.2422126447025 59.4003114939887,28.2481563099579 59.3964740220594,28.2525165078256 59.3921187965042,28.255126150972 59.3874133486961,28.2558856348712 59.3825386101409)))', 'EENRV', 'Narva Linnasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((24.9360997112581 59.5457836668842,24.9354539154971 59.5409051936023,24.93294671216 59.536184400937,24.9286751524387 59.5318026077267,24.922803884952 59.5279280446262,24.9155587533647 59.524709413348,24.9072180850514 59.5222702018854,24.8981020103859 59.5207039696609,24.8885602207261 59.5200707791318,24.87895862635 59.520394906893,24.8696654124595 59.5216639193235,24.8610370112932 59.5238291470038,24.8534045110805 59.5268075401834,24.8470610080096 59.530484836242,24.8422503757933 59.5347199210637,24.839157879333 59.5393502212146,24.8379029952923 59.5441979243737,24.8385347244734 59.5490767931075,24.8410295906887 59.5537993131121,24.845292420959 59.5581839025779,24.8511598956465 59.5620619051462,24.8584067485091 59.5652840954771,24.8667543901279 59.5677264437437,24.8758816285087 59.5692949129728,24.8854370727181 59.5699291001427,24.895052733693 59.5696045769289,24.9043582847152 59.5683338371562,24.9129954153277 59.5661658132172,24.9206317083228 59.563183980568,24.9269734900993 59.5595031254575,24.9317771490002 59.5552649038347,24.9348584817501 59.5506323666825,24.9360997112581 59.5457836668842)))', 'EENSN', 'Neemesauna', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8753468758004 58.2823141852639,22.8741800405394 58.2774624262157,22.8712393716524 58.2728237465209,22.8666384633479 58.2685762883492,22.8605544947504 58.264883110339,22.8532213651572 58.261885947044,22.8449206910837 58.2596997913781,22.8359710131751 58.2584085038159,22.8267156232596 58.2580616127958,22.8175094689516 58.2586724257865,22.8087056243372 58.2602175214307,22.8006418298471 58.2626376417473,22.7936276021851 58.2658399512949,22.7879323961614 58.2697015792119,22.7837752647811 58.2740743118871,22.7813164125951 58.2787902603467,22.7806509711679 58.2836682888751,22.7818052461176 58.2885209613667,22.7847355946629 58.2931617407013,22.7893299937727 58.2974121650586,22.7954122552901 58.301108724226,22.802748739809 58.3041091688994,22.8110573200599 58.3062980066045,22.8200182517548 58.3075909685496,22.8292865297767 58.3079382713866,22.8385052444104 58.307326544951,22.847319409371 58.3057793496642,22.8553897130476 58.3033562631593,22.8624056477735 58.3001505724538,22.8680974988572 58.2962856631599,22.8722467240556 58.2919102484484,22.8746943224636 58.2871926256083,22.8753468758004 58.2823141852639)))', 'EENSS', 'Nässuma', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0752464748465 59.6283566030107,26.0744341182843 59.6234838726306,26.0717611974347 59.6187850069051,26.0673311192578 59.614440473601,26.0613146008811 59.6106170653342,26.0539430375575 59.6074615150087,26.045499582595 59.6050948871464,26.0363082861632 59.6036079560595,26.0267217072264 59.6030577438417,26.0171074647821 59.6034653472256,26.0078342300952 59.6048151340715,25.9992576801314 59.607055339274,25.9917069336427 59.6101000379152,25.9854719753175 59.6138324222772,25.9807925403322 59.6181092605678,25.97784888208 59.6227663705767,25.9767547807194 59.6276249025691,25.9775530709132 59.6324981940078,25.9802138757193 59.6371989354947,25.9846356327333 59.6415463736962,25.9906488916509 59.6453732737528,25.9980227534461 59.6485323711672,26.0064737148934 59.6509020614054,26.015676583031 59.6523911039354,26.0252770372059 59.6529421552149,26.0349053460373 59.6525339907713,26.0441906967765 59.6511823281609,26.0527755678969 59.6489392180578,26.0603295738269 59.6458910276254,26.0665622336618 59.6421550961755,26.0712341621535 59.6378751955121,26.0741662487062 59.6332159740632,26.0752464748465 59.6283566030107)))', 'EENTT', 'Natturi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1026968988132 59.2880932161705,24.1021746262872 59.2832116656605,24.0998016106425 59.2784760203276,24.0956697451817 59.2740681768128,24.0899383196023 59.2701573727799,24.0828278221076 59.2668937065616,24.0746114310443 59.2644023981201,24.0656045282846 59.2627790074408,24.056152635535 59.2620857894872,24.0466182286031 59.2623493216635,24.0373669223213 59.2635594919564,24.0287535396765 59.2656698852031,24.0211085824161 59.2685995529946,24.0147256069626 59.2722361012818,24.0098499790909 59.2764399805388,24.0066694340203 59.2810498180163,24.0053068062223 59.285888591811,24.0058152166937 59.2907704136499,24.0081759165963 59.2955076628031,24.0122988875857 59.2999181984632,24.0180261940676 59.3038323731121,24.0251379749374 59.307099575272,24.0333608564702 59.3095940466655,24.042378468681 59.3112197457756,24.0518436594454 59.3119140662007,24.0613919284506 59.3116502626947,24.0706555504849 59.3104384885788,24.0792778275974 59.3083254031837,24.0869269039395 59.3053923647743,24.0933085959994 59.3017522805461,24.0981777333911 59.29754523834,24.1013475690144 59.2929330924348,24.1026968988132 59.2880932161705)))', 'EENUT', 'Nurga-Uuetoa', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7136494489588 59.2469940605794,23.7123283122582 59.2421520421072,23.7091893245951 59.2375350338469,23.7043537267561 59.233320335246,23.6980077215459 59.2296697361943,23.6903952615834 59.2267233267196,23.6818086625466 59.2245941438809,23.6725774043006 59.2233638569505,23.663055544961 59.2230796522901,23.6536082200508 59.2237524340951,23.6445977296113 59.2253564080245,23.6363697299148 59.2278300633146,23.6292400430601 59.2310785170162,23.623482577255 59.2349771332299,23.6193188132992 59.2393762823507,23.61690925931 59.2441070620404,23.6163472071394 59.2489877645134,23.6176550417819 59.2538308451898,23.6207832615786 59.2584501271054,23.6256122650523 59.2626679646697,23.6319568533327 59.2663220901149,23.6395732895197 59.2692718765518,23.6481686525945 59.2714037728093,23.6574121284477 59.2726356965208,23.6669477989413 59.272920212139,23.6764084259256 59.272246368128,23.6854296842354 59.2706401205402,23.693664278287 59.2681633262839,23.7007953820531 59.2649113461882,23.7065488716179 59.261009353014,23.7107038715317 59.2566074904776,23.7131012079238 59.2518750740095,23.7136494489588 59.2469940605794)))', 'EENVA', 'Nõva', 'Y'),('SRID=4326;MULTIPOLYGON(((28.2158331852079 59.3455537728476,28.2147211109676 59.3406967136053,28.211776000643 59.3360437481571,28.2071116742778 59.3317735670148,28.2009077917935 59.3280500976719,28.193402886292 59.3250162313284,28.1848851791648 59.3227883620181,28.1756815326527 59.3214519433861,28.166144959981 59.3210582293639,28.1566411622181 59.3216223202718,28.1475345936356 59.3231225870557,28.1391745730576 59.3255014950986,28.1318819572025 59.3286677970642,28.1259368733813 59.3325000132514,28.1215679733845 59.3368510696794,28.1189436185717 59.341553920259,28.1181653390709 59.34642794152,28.1192638291099 59.3512858579204,28.1221976479659 59.3559409340484,28.1268546946174 59.3602141580608,28.1330564174155 59.3639411392155,28.1405646120546 59.3669784516712,28.1490905564057 59.3692091767545,28.1583061341866 59.3705474260538,28.1678565157424 59.3709416669348,28.1773738977236 59.3703767188673,28.1864917577807 59.3688743414005,28.1948590580636 59.3664923904845,28.2021538335868 59.3633225767061,28.2080956282534 59.3594869144081,28.2124562910204 59.3551330022104,28.2150687145731 59.3504283209663,28.2158331852079 59.3455537728476)))', 'EENVL', 'Narva veehoidla lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0595305162433 58.4063576424153,26.0587469841634 58.4014839811753,26.0561676635536 58.3967841657168,26.0518923093653 58.3924387055514,26.0460856552796 58.3886144368598,26.0389710172773 58.3854581350459,26.030821686194 58.3830909029992,26.0219504438386 58.3816035463527,26.0126976026899 58.3810531090417,26.0034180197119 58.3814606984908,25.9944675694207 58.3828106813824,25.9861895793785 58.3850512798683,25.9789017325088 58.3880965460015,25.9728839249901 58.3918296408344,25.968367536269 58.3961072957738,25.9655265194983 58.4007652890953,25.9644706574101 58.405624731593,25.9652412517077 58.410498923663,25.967809425514 58.4152005229904,25.9720771208759 58.4195487484861,25.9778807701001 58.4233763429735,25.9849975146723 58.4265360247269,25.993153743054 58.4289061762913,26.0020356233868 58.4303955475632,26.0113012236552 58.430946787898,26.0205937444314 58.4305386676179,26.0295553415336 58.4291869008548,26.0378409903969 58.4269435370359,26.0451318421128 58.4238949451054,26.0511475430457 58.420158470334,26.0556570344609 58.4158778958795,26.0584874132596 58.4112178879355,26.0595305162433 58.4063576424153)))', 'EEOIU', 'Oiu', 'Y'),('SRID=4326;MULTIPOLYGON(((25.6851566033647 59.5715027993636,25.684401959204 59.5666278651502,25.6817879569817 59.5619212642059,25.6774157425504 59.5575637645507,25.6714538164983 59.5537226593592,25.664131486199 59.5505453628196,25.6557300244453 59.5481537751003,25.6465718787781 59.5466396284174,25.6370083433184 59.5460609884104,25.6274061572302 59.5464400412518,25.6181335299 59.5477622487284,25.6095461119012 59.549976902603,25.6019734325554 59.5529990576072,25.5957063093756 59.5567127711519,25.5909857021362 59.5609755289917,25.5879934352831 59.5656236913012,25.5868451478071 59.5704787545312,25.5875857509475 59.5753541924739,25.590187583164 59.5800626165051,25.594551351375 59.5844229810572,25.6005098408541 59.5882675568016,25.6078342674184 59.5914484011901,25.616243039142 59.5938430739265,25.6254125956093 59.595359373128,25.6349899055071 59.595938905453,25.6446061326343 59.5955593488813,25.6538909299795 59.5942353183148,25.6624867941927 59.5920177995402,25.6700629100942 59.5889921739816,25.6763279369902 59.5852749125889,25.6810412342506 59.581009069735,25.6840220903094 59.5763587549101,25.6851566033647 59.5715027993636)))', 'EEOJA', 'Oja I', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7262758487976 59.6524877869753,25.7255135765747 59.6476131233875,25.7228876637184 59.6429073603105,25.718499717096 59.638551232928,25.7125188436293 59.6347119809423,25.7051750787793 59.6315369465995,25.6967505172099 59.6291479425308,25.6875684908147 59.6276366012757,25.6779812070746 59.6270608805468,25.6683563130828 59.6274428545043,25.6590628865468 59.6287678731156,25.6504573740406 59.6309851207477,25.6428699984766 59.6340095531907,25.6365921421656 59.6377251410595,25.631865179178 59.6419892986832,25.6288711815578 59.6466383328345,25.6277258591729 59.6514937065787,25.6284740140326 59.6563688816031,25.6310876987397 59.6610764789503,25.6354671680496 59.6654354841863,25.641444605636 59.6692782194823,25.648790499123 59.6724568122902,25.6572224297854 59.6748489082344,25.6664159438539 59.6763624040648,25.6760170849523 59.6769390140536,25.6856560963261 59.6765565286585,25.6949617510205 59.6752296757739,25.7035757408333 59.6730095502851,25.7111665522601 59.6699816345303,25.7174422799151 59.6662624881974,25.7221618738004 59.6619952387012,25.7251443837533 59.6573440499778,25.7262758487976 59.6524877869753)))', 'EEOJP', 'Oja, Pärispe k', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1913126195716 58.2423081897706,26.1905143995201 58.2374351808949,26.1879293298917 58.2327378903,26.1836573778067 58.2283967302433,26.177863138653 58.2245783720626,26.1707694461159 58.2214293650024,26.1626487840536 58.2190705330186,26.1538128339364 58.2175923605429,26.1446005566145 58.217051540141,26.1353652573715 58.2174688109636,26.1264611175342 58.2188281684706,26.1182296937297 58.2210774747829,26.1109868869285 58.2241304469146,26.1050108676693 58.2278699488073,26.1005314115917 58.2321524642503,26.0977210511867 58.236813583123,26.0966883864668 58.2416742945292,26.0974738205075 58.2465478487972,26.100047897516 58.2512469272899,26.1043123238971 58.2555908455591,26.1101036499843 58.259412512355,26.1171994855837 58.2625648747265,26.1253270205784 58.2649265979018,26.1341735271581 58.2664067572911,26.1433984373458 58.2669483578383,26.1526465226153 58.2665305416224,26.1615616550797 58.265169396215,26.1698006045826 58.2629173316873,26.1770463244353 58.2598610509391,26.1830202006167 58.2561181937361,26.1874927837547 58.2518327871042,26.1902925877026 58.2471696813208,26.1913126195716 58.2423081897706)))', 'EEOJV', 'Oja, Vehendi k', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4277159741131 59.2861006008338,23.4264337202195 59.2812554756568,23.4233295489847 59.2766313889937,23.4185233698859 59.272405913943,23.412200263202 59.2687412553807,23.404603309728 59.2657780435787,23.3960242362861 59.2636299603459,23.3867922384144 59.2623793995789,23.3772614046185 59.2620743245502,23.3677972140637 59.2627264391306,23.358762610668 59.2643107410469,23.3505041707169 59.2667664738846,23.3433388781084 59.269999442585,23.3375420012024 59.273885606376,23.3333365282721 59.2782758151399,23.330884565375 59.2830015118157,23.3302810321117 59.2878811861582,23.3315499087897 59.2927273354645,23.3346431951397 59.2973536670141,23.3394426388085 59.3015822659455,23.3457641849275 59.3052504518007,23.3533649902875 59.3082170573097,23.3619527416551 59.310367884002,23.3711969223578 59.3116201203135,23.380741589162 59.3119255478847,23.3902191569485 59.3112724091732,23.3992646452333 59.3096858623673,23.4075298206046 59.3072270056461,23.4146966737596 59.3039905096521,23.4204896987635 59.3001009521558,23.4246864937636 59.2957079999357,23.4271262738397 59.290980627718,23.4277159741131 59.2861006008338)))', 'EEOLA', 'Osmussaare läänesadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4636961055706 59.2730872617747,23.4624092851896 59.2682425134319,23.4593014879457 59.2636193012414,23.4544927614795 59.2593951645301,23.4481682827415 59.2557322566899,23.4405711841772 59.2527711407836,23.431993197416 59.2506254182574,23.4227634758924 59.2493773925526,23.4132360207669 59.2490749298291,23.403776181954 59.249729633874,23.3947467370938 59.2513164031577,23.3864940654103 59.2537743866136,23.379334930352 59.2570093027459,23.3735443647269 59.2608970358749,23.369345115042 59.2652883753933,23.3668990485477 59.2700147205208,23.36630085812 59.2748945357836,23.3675743181561 59.2797403127567,23.3706712512927 59.2843657727718,23.3754732638503 59.2885930342917,23.3817962010122 59.2922594682013,23.3893971650279 59.2952239746259,23.3979838357915 59.2973724359432,23.4072257378089 59.2986221317552,23.4167670155476 59.2989249416426,23.4262402147214 59.2982692089657,23.4352805236933 59.2966801918541,23.4435399092754 59.2942190835869,23.4507005858914 59.2909806413845,23.4564872860491 59.2870895177388,23.4606778517272 59.2826954394325,23.4631117377377 59.2779674242005,23.4636961055706 59.2730872617747)))', 'EEOLL', 'Osmussaare lõunalõugas', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4596991063372 59.2750887383743,23.4584127700025 59.2702439485968,23.4553053227601 59.2656206398802,23.4504967989549 59.2613963552764,23.4441723678998 59.2577332538629,23.4365751603306 59.2547719061288,23.4279969121428 59.2526259224052,23.4187667868363 59.2513776161379,23.4092388010477 59.2510748642324,23.3997783249888 59.251729281554,23.3907481606531 59.253315777565,23.3824947147595 59.2557735116844,23.3753347803583 59.2590082119963,23.3695434208525 59.262895771127,23.3653434131801 59.2672869851801,23.3628966537007 59.2720132582301,23.3622978619619 59.2768930576093,23.3635708355648 59.2817388755381,23.366667415975 59.2863644318012,23.3714692232231 59.2905918411789,23.3777921105335 59.2942584688758,23.3853931821955 59.2972232075581,23.393980114044 59.2993719306535,23.4032224205712 59.3006219076707,23.4127642306583 59.3009250073473,23.4222380694651 59.3002695618727,23.4312791006373 59.298680818312,23.4395392630781 59.296219959416,23.4467007412055 59.29298173282,23.4524882366025 59.2890907827427,23.4566795606099 59.284696829321,23.4591141388785 59.2799688855238,23.4596991063372 59.2750887383743)))', 'EEOLS', 'Osmussaare lõunasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0320428720747 58.7769970130368,27.0311153893117 58.772129909799,27.0283780401548 58.7674502560683,27.0239366543187 58.7631377784387,27.0179623354023 58.7593580388018,27.0106848212903 58.7562560969017,27.0023836331733 58.7539509652006,26.9933773566265 58.7525310646823,26.9840114631295 58.7520508517711,26.9746451302172 58.7525287422272,26.965637552143 58.7539464092882,26.9573342499247 58.7562494821454,26.9500538896647 58.7593496187919,26.9440761010835 58.7631278760896,26.9396307545554 58.7674392513098,26.9368891051674 58.7721182250688,26.935957147407 58.7769850971182,26.9368714455089 58.78185287532,26.9395976142804 58.7865344556415,26.9440315261177 58.7908498181833,26.9500032152718 58.7946329618528,26.9572833442191 58.7977383086729,26.9655919936876 58.800046327813,26.9746094421804 58.8014681587023,26.9839885173888 58.8019490510343,26.9933680349786 58.801470485613,27.002386793445 58.8000508919584,27.0106975696553 58.7977449341861,27.0179805596612 58.7946413935059,27.0239557333908 58.7908597312893,27.0283936185605 58.786545468633,27.0311240960094 58.7818645645058,27.0320428720747 58.7769970130368)))', 'EEOME', 'Omedu Kalasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((27.028044254287 58.7779985022543,27.0271173040487 58.7731313709967,27.0243804136296 58.7684516331366,27.0199393952188 58.7641390185237,27.013965338414 58.760359094325,27.006687971143 58.757256927376,26.998386809049 58.7549515387734,26.9893804367678 58.7535313593492,26.9800143294749 58.7530508562147,26.9706476728913 58.7535284562502,26.961639673637 58.7549458438236,26.9533358688127 58.7572486588446,26.9460549437171 58.7603485692031,26.9400765496609 58.7641266404585,26.9356305801908 58.7684378770453,26.9328883142715 58.7731167649319,26.9319557700666 58.777983607201,26.9328695343768 58.7828514128922,26.9355952425947 58.7875330769468,26.9400287849185 58.7918485762701,26.9460002099183 58.7956319045246,26.9532801903385 58.7987374766385,26.961588812711 58.8010457531093,26.9706063566417 58.8024678634527,26.9799856461714 58.8029490465917,26.9893654886995 58.8024707721215,26.9983846701618 58.8010514583506,27.0066959510664 58.7987457586164,27.0139795079506 58.7956424442009,27.0199552888412 58.7918609677818,27.0243937980261 58.7875468433297,27.0271248923025 58.7828660245268,27.028044254287 58.7779985022543)))', 'EEOMR', 'Omedu Rand', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4681629622029 58.8744617734633,22.4670315566865 58.8696066248859,22.4640936028983 58.8649590244468,22.4594626213677 58.8606974570281,22.4533169715741 58.8569855212283,22.4458929381072 58.853965668402,22.437475633793 58.8517537581759,22.428388071811 58.8504346351362,22.4189788223202 58.8500588922666,22.4096087173284 58.8506409418872,22.4006370995437 58.8521584659332,22.3924081261878 58.8545532660718,22.3852376369802 58.8577334821324,22.3794010767378 58.8615770963302,22.3751229275645 58.8659365925418,22.3725680540442 58.8706445960937,22.3718352982152 58.8755202817629,22.3729535809255 58.8803763074079,22.3758806745674 58.8850260091331,22.3805047119695 58.8892905821552,22.3866483908346 58.8930059703005,22.3940757266329 58.8960291966262,22.4025011037916 58.8982438879208,22.4116002801152 58.8995647762046,22.4210229172644 58.8999409997513,22.4304061450783 58.8993580730615,22.4393886230144 58.8978384477265,22.4476245404905 58.8954406419816,22.4547970006094 58.8922569735747,22.4606302585046 58.8884099858789,22.4649003348281 58.8840477086019,22.4674435940152 58.8793379398085,22.4681629622029 58.8744617734633)))', 'EEONG', 'Õngu rand', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1645528922734 58.4245768015531,22.1634786782405 58.4197185049565,22.1606191187277 58.4150634545409,22.1560847078274 58.4107904254985,22.1500500888751 58.40706346112,22.142747284165 58.4040255941026,22.1344567611714 58.401793379147,22.1254966811424 58.400452442511,22.1162107391139 58.4000542151996,22.1069550524954 58.4006139717409,22.0980845874551 58.4021102476119,22.0899396278115 58.4044856570356,22.0828327897674 58.407649080792,22.0770370676094 58.4114791426084,22.0727753607373 58.4158288443607,22.0702118816924 58.4205311863835,22.06944577925 58.4254055612719,22.0705072316283 58.4302646791064,22.0733561745777 58.4349217603299,22.0778837302801 58.4391977205786,22.0839162990434 58.4429280703128,22.0912221706996 58.445969261446,22.0995204108629 58.4482042332104,22.1084916834172 58.4495469396487,22.1177905893646 58.4499456803188,22.1270590376527 58.4493851025383,22.1359401192617 58.4478867958567,22.1440919340956 58.445508455224,22.1512008223127 58.4423416461109,22.1569934775094 58.4385082601801,22.1612474672066 58.4341558016218,22.1637997537337 58.4294516897994,22.1645528922734 58.4245768015531)))', 'EEONN', 'Onni', 'Y'),('SRID=4326;MULTIPOLYGON(((23.141716361256 58.5622133143635,23.1405026830862 58.5573645022131,23.1375028045295 58.5527325332587,23.1328326020174 58.5484952888048,23.1266719184993 58.5448154320808,23.1192575962036 58.5418341833239,23.1108743613806 58.5396659223508,23.1018439132992 58.5383938215479,23.092512632064 58.5380666727779,23.0832383669156 58.5386970266367,23.0743767976578 58.5402607134082,23.0662678761769 58.5426977636332,23.0592228524295 58.5459146941635,23.053512369817 58.5497880746535,23.0493560788265 58.5541692413668,23.0469141658439 58.55888998163,23.0462811271761 58.5637689748289,23.0474820381153 58.5686187459785,23.0504714754962 58.5732528668667,23.0551351524609 58.5774931285772,23.0612942195171 58.5811764085311,23.0687120805319 58.5841609653359,23.0771034705203 58.586331915554,23.0861454486642 58.5876056773853,23.0954898795097 58.58793320609,23.1047769119036 58.5873018932305,23.1136489223414 58.5857360545223,23.1217643693611 58.5832959870381,23.1288110095536 58.580075633277,23.1345179534321 58.5761989447408,23.138666089253 58.5718150887854,23.1410964721818 58.5670926874963,23.141716361256 58.5622133143635)))', 'EEORI', 'Orissaare', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8190353944052 58.7883316124447,22.8178580634696 58.7834797536149,22.8148808684684 58.7788403144002,22.8102188286262 58.7745914641849,22.8040514865012 58.770896311987,22.7966159502721 58.7678966644434,22.7881977667371 58.7657076060598,22.7791199779766 58.7644131054799,22.7697307776077 58.7640628122438,22.7603902302683 58.7646701635609,22.7514565494865 58.7662118716201,22.7432724438713 58.7686288105814,22.736152039359 58.7718282703652,22.7303688660851 58.7756874934041,22.7261453626284 58.7800583623859,22.7236442985009 58.7847730633502,22.7229624488805 58.7896505109096,22.7241267752358 58.794503292303,22.7270932738225 58.7991448657163,22.7317485538472 58.8033967368537,22.7379141018744 58.8070953367895,22.7453530828644 58.8100983340004,22.7537794255885 58.8122901340237,22.7628688458049 58.8135863508254,22.7722713791109 58.8139370735855,22.781624931046 58.8133287997033,22.7905693082471 58.8117849574425,22.7987601736711 58.8093649975564,22.8058823722641 58.8061620900338,22.8116621007618 58.8022995173292,22.8158774450245 58.7979259067107,22.8183668777048 58.7932094895273,22.8190353944052 58.7883316124447)))', 'EEORJ', 'Orjaku', 'Y'),('SRID=4326;MULTIPOLYGON(((23.135712468263 58.5592155675288,23.1344997316848 58.5543666907483,23.1315009075982 58.5497345730814,23.1268318318901 58.5454971015995,23.1206723042713 58.5418169483004,23.1132591226895 58.5388353448471,23.1048769697523 58.5366666846967,23.0958475033721 58.5353941555647,23.0865170661386 58.5350665657438,23.0772434750289 58.5356964827348,23.0683823840489 58.5372597535579,23.0602737267275 58.5396964246867,23.0532287428071 58.5429130274976,23.0475180740195 58.5467861442102,23.0433613778121 58.5511671212152,23.0409188559235 58.5558877531407,23.0402850278483 58.5607667235658,23.0414849990431 58.5656165584253,23.0444733823508 58.5702508271113,23.0491359313978 58.5744913150796,23.0552938400998 58.5781748911005,23.0627105569783 58.5811598024326,23.071100861212 58.583331152024,23.0801418539285 58.5846053427156,23.0894854377559 58.5849333132565,23.0987717942638 58.5843024381849,23.1076433260269 58.5827370163398,23.1157585100008 58.580297328722,23.1228051128213 58.5770773031885,23.1285122462974 58.5732008785987,23.1326607912039 58.5688172121556,23.135091786765 58.5640949186732,23.135712468263 58.5592155675288)))', 'EEORS', 'Orissaare lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1823511651844 58.271311610946,26.1815535585466 58.2664385695866,26.1789675982244 58.2617411166838,26.1746932869071 58.2573996706753,26.1688953116677 58.2535809137497,26.1617966503138 58.2504314102771,26.1536699776432 58.2480720030624,26.1448272055466 58.2465931984201,26.1356075560063 58.2460517130252,26.1263646162721 58.2464683114662,26.1174528598387 58.2478270150089,26.1092141346952 58.2500757109618,26.1019646213745 58.2531281399322,26.0959827475908 58.2568671869324,26.091498513973 58.2611493534609,26.0886846371695 58.2658102430292,26.0876498533566 58.2706708537382,26.0884346483911 58.2755444399047,26.0910095924937 58.2802436816995,26.095276360093 58.284587888343,26.10107141258 58.2884099573654,26.1081722171129 58.2915628201603,26.1163057726177 58.2939251224961,26.1251591193562 58.2954059173019,26.1343914254514 58.2959481849175,26.1436471768046 58.2955310416684,26.1525699494649 58.294170549231,26.1608162183209 58.2919190926404,26.168068654379 58.2888633515719,26.174048384968 58.2851209452504,26.1785257357443 58.2808358836035,26.1813290379115 58.2761730038745,26.1823511651844 58.271311610946)))', 'EEORU', 'Oru', 'Y'),('SRID=4326;MULTIPOLYGON(((23.448699506192 59.2750928518134,23.4474147296043 59.2702479429968,23.444308766103 59.2656243618435,23.4395015932058 59.2613996619456,23.4331783285797 59.2577360183835,23.4255820584403 59.2547740224913,23.4170044829527 59.2526273094833,23.4077747400052 59.2513782207754,23.3982468316887 59.2510746632633,23.3887861252725 59.251728282682,23.3797554315183 59.2533140190702,23.3715011772994 59.2557710609682,23.3643401864619 59.259005163018,23.3585475627023 59.2628922408264,23.3543461312478 59.2672831090185,23.3518978429325 59.2720091850157,23.3512974759066 59.2768889438018,23.3525688882728 59.2817348792464,23.355663981578 59.2863607067052,23.3604644331925 59.2905885306072,23.3667861487057 59.2942557002712,23.3743862777445 59.2972210875462,23.3829725326646 59.2993705409104,23.392214454214 59.3006213017526,23.4017561862179 59.3009252086094,23.4112302568717 59.300270562561,23.4202718208263 59.2986825798641,23.428532796318 59.2962224139593,23.43569533625 59.2929847858069,23.4414841010942 59.2890943166173,23.4456768531117 59.2847007080723,23.448112962835 59.2799729599434,23.448699506192 59.2750928518134)))', 'EEOSM', 'Osmussaare', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5662712895765 58.9750517357758,23.5649823030597 58.9702078256154,23.5618887358735 58.965586780283,23.5571100745337 58.9613660566397,23.5508303304139 58.9577076785717,23.5432909122659 58.9547520373198,23.534781336836 58.9526125264524,23.5256281363323 58.9513712130849,23.5161823838941 58.9510757073235,23.5068063052232 58.9517373467249,23.4978594752547 58.9533307634149,23.4896851126443 58.9557948500747,23.4825969817002 58.9590350890183,23.4768673912172 58.9629271577626,23.4727167427886 58.9673216765733,23.4703050282112 58.9720499201006,23.469725607608 58.976930278009,23.4710015184562 58.9817752198889,23.474084472997 58.9863984989811,23.4788566003932 58.9906223183555,23.4851348840066 58.9942841828297,23.4926781374383 58.9972431703892,23.501196260058 58.99938537802,23.5103614184265 59.0006283280485,23.5198207189258 59.0009241612012,23.5292098732807 59.0002614900787,23.5381673158986 58.9986658396258,23.546348212443 58.996198657232,23.5534378038758 58.9929549318816,23.5591635590597 58.9890595168315,23.5633056602944 58.9846623012604,23.5657054170167 58.9799324210747,23.5662712895765 58.9750517357758)))', 'EEOST', 'Österby', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8431273391917 59.5668187162432,24.842494669298 59.5619398763852,24.839999020191 59.5572173851981,24.835737001373 59.5528326273748,24.829872897622 59.5489539478332,24.8226322801659 59.545730206516,24.814293305381 59.5432850875279,24.8051760402774 59.5417123767874,24.7956302226592 59.5410723850087,24.7860219171702 59.5413896493718,24.7767195654301 59.5426519992739,24.7680799485188 59.5448110207508,24.7604345828767 59.5477839022164,24.7540770562418 59.551456592822,24.74925177876 59.5556881556991,24.7461445764121 59.5603161532857,24.74487549029 59.565162862456,24.7454940673913 59.5700420847596,24.7479773384394 59.5747662930459,24.7522305783771 59.57915384121,24.7580908389323 59.5830359595306,24.7653331339725 59.5862632645423,24.7736790517287 59.5887115296001,24.7828074681883 59.5902864898245,24.7923669478535 59.5909274920367,24.8019893461539 59.5906098452273,24.8113040759631 59.589345778223,24.81995247175 59.5871839664021,24.827601680571 59.5842076461558,24.8339575296027 59.5805313918565,24.8387758641032 59.5762966829125,24.8418719150998 59.5716664358454,24.8431273391917 59.5668187162432)))', 'EEOTI', 'Oti', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8142598920134 59.640454678974,25.8134851071153 59.6355804819275,25.81084778112 59.6308764389879,25.8064499576029 59.6265232186648,25.8004611206149 59.6226879485942,25.7931116090445 59.6195178179234,25.7846837360165 59.6171344510472,25.7755009588852 59.6156292643329,25.7659155130423 59.6150599796223,25.7562949750117 59.6154484244725,25.7470082561537 59.6167797008817,25.738411547151 59.619002753304,25.7308347350296 59.6220323148061,25.7245687987582 59.6257521589745,25.7198546567145 59.630019536364,25.7168738900478 59.6346706295532,25.7157417011193 59.6395268218348,25.7165023871759 59.6444015427095,25.719127518207 59.6491074299668,25.7235169072078 59.6534635343171,25.7295023542074 59.6573022890582,25.7368540364161 59.6604759745336,25.7452893102532 59.6628624251615,25.7544835916603 59.6643697551007,25.7640828938227 59.6649399162222,25.7737175307136 59.6645509475428,25.7830164445449 59.6632178268129,25.7916215880578 59.6609918903601,25.79920179015 59.6579588441859,25.8054655557642 59.6542354452141,25.8101722969898 59.6499649840759,25.8131415593867 59.645311747665,25.8142598920134 59.640454678974)))', 'EEOTO', 'Otsa-Tõnise', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2168665820696 58.6489282531169,27.2159167891327 58.6440624066526,27.2131647670938 58.6393866008332,27.2087169012694 58.6350804137,27.2027445364864 58.6313091654104,27.1954773293959 58.6282175900811,27.187194401546 58.6259243030617,27.1782136363535 58.6245172718059,27.1688795276706 58.6240504599687,27.1595500370848 58.624541769966,27.1505829504727 58.6259723605938,27.1423222410384 58.6282873650822,27.1350849458635 58.6313979828981,27.1291490458598 58.6351848674333,27.1247428052309 58.6395026831538,27.1220359767071 58.6441856615164,27.1211332138948 58.6490539465855,27.122069953563 58.6539204902642,27.124810940634 58.6585982346921,27.1292514697638 58.6629073066928,27.1352213130723 58.6666819469146,27.1424911977834 58.6697769048502,27.1507815947092 58.6720730501786,27.1597734833349 58.6734819802937,27.1691206763653 58.6739494424561,27.1784632202358 58.6734574352431,27.1874413418222 58.672024906004,27.1957093879443 58.6697070166452,27.2029492045775 58.666593006896,27.2088824269446 58.6628027397556,27.2132811984912 58.658482065729,27.2159769035885 58.6537971885099,27.2168665820696 58.6489282531169)))', 'EEOTS', 'Otsa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0344675279646 58.3596252964519,22.0334132553619 58.3547658059753,22.0305761399768 58.3501077443029,22.0260658127608 58.3458300034778,22.0200559927403 58.3420968088261,22.0127777520658 58.3390514331237,22.0045106183104 58.3368107198679,21.9955718585631 58.3354606216965,21.9863043530951 58.3350529210665,21.9770635145644 58.3356032556184,21.9682037409148 58.3370905217907,21.9600649057431 58.3394576789161,21.9529593886992 58.3426139239401,21.9471601304563 58.3464381558097,21.9428901622307 58.3507836001963,21.9403140093634 58.3554834212442,21.9395313031019 58.360357109047,21.9405728559647 58.3652174010312,21.9433993660309 58.3698774736401,21.9479028169116 58.3741581286845,21.9539105364418 58.3778946971752,21.9611917722548 58.3809433927003,21.9694665407982 58.3831868663492,21.9784164126569 58.3845387452387,21.98769681584 58.3849469758129,21.9969503741257 58.3843958397521,22.0058207530995 58.3829065626404,22.013966464599 58.3805364912932,22.0210740821174 58.3773768724291,22.0268703452068 58.3735493207382,22.0311326786389 58.3692011159614,22.0336977194021 58.364499514198,22.0344675279646 58.3596252964519)))', 'EEPAA', 'Papisaare', 'Y'),('SRID=4326;MULTIPOLYGON(((26.8050573733195 59.4940823293095,26.8041429336913 59.4892141606944,26.8013791624132 59.4845302142943,26.7968729402175 59.4802103800531,26.790797889058 59.4764204988731,26.7833876316844 59.4733060150118,26.7749267892931 59.4709864169652,26.7657400668183 59.46955067588,26.7561798417358 59.4690538522066,26.7466127231382 59.4695149970966,26.7374055823444 59.4709164265746,26.7289115738374 59.473204395425,26.7214566656396 59.4762911457577,26.715327181315 59.480058254071,26.7107588218923 59.4843611520332,26.7079275857097 59.4890346518209,26.7069429384192 59.4938992682877,26.7078435056346 59.4987680989501,26.7105954689859 59.5034540000817,26.7150937453888 59.507776784149,26.7211659225659 59.5115701611661,26.7285788153093 59.5146881546664,26.7370474012153 59.5170107418429,26.7462457964713 59.5184484964801,26.7558198465252 59.5189460515821,26.7654008375535 59.5184842446436,26.7746197862819 59.5170808604311,26.7831217405747 59.5147899417515,26.7905795227369 59.5116996955803,26.7967063716737 59.5079290776293,26.801266987574 59.5036231905403,26.8040865509824 59.4989476772036,26.8050573733195 59.4940823293095)))', 'EEPAD', 'Pada jõge lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0907965995048 59.3580984677365,24.0902752634134 59.3532169206036,24.0878993187905 59.3484810776672,24.0837607750408 59.3440728429773,24.0780191811997 59.3401614688539,24.0708954176688 59.3368970750266,24.0626631725659 59.3344049088514,24.0536384355231 59.3327805627376,24.0441674108689 59.3320863279382,24.0346133060782 59.3323488206829,24.0253424891186 59.3335579688659,24.0167105292208 59.3356673967859,24.0090486393435 59.3385961935053,24.0026510251671 59.3422319989599,23.997763615043 59.3464352927381,23.994574598464 59.3510447251301,23.993207138191 59.355883290229,23.9937145444949 59.3607651080356,23.9960781109826 59.3655025580137,24.000207712706 59.3699134914564,24.0059451619729 59.3738282451837,24.013070209359 59.3770961849523,24.0213089712951 59.3795915235688,24.0303444660228 59.3812181856477,24.0398288514527 59.3819135273508,24.0493968860497 59.3816507639317,24.058680081155 59.3804400087043,24.0673209830754 59.3783278820283,24.0749870175111 59.3753957057031,24.0813833478136 59.3717563543078,24.0862642410938 59.3675498880911,24.0894424999916 59.3629381397371,24.0907965995048 59.3580984677365)))', 'EEPAK', 'Pakri muul', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4622633871955 58.946463590261,22.4611302973712 58.9416084490044,22.4581868685216 58.9369607866654,22.4535468347173 58.932699090209,22.4473889053928 58.9289869627343,22.4399498377427 58.9259668624111,22.4315153215802 58.9237546578169,22.4224090293987 58.9224352043665,22.4129802479842 58.9220591074063,22.4035905562256 58.9226407927294,22.3946000458279 58.9241579563567,22.3863535969052 58.9265524140995,22.3791677186613 58.9297323194019,22.3733184465793 58.9335756669718,22.3690307520246 58.9379349514927,22.3664698685222 58.9426428069122,22.3657348722335 58.9475184140368,22.3668547738342 58.9523744338799,22.3697872872301 58.957024202684,22.3744203401281 58.9612889127943,22.3805762858753 58.9650045023109,22.3880186692625 58.9680279859998,22.396461295689 58.9702429801964,22.4055792579486 58.9715642047934,22.4150214925896 58.971940784803,22.4244243725877 58.9713582208918,22.4334257984445 58.9698389507965,22.441679228265 58.9674414793969,22.448867090069 58.9642581120517,22.4547130463978 58.9604113811176,22.4589926306831 58.9560493069973,22.461541844116 58.951339680434,22.4622633871955 58.946463590261)))', 'EEPAO', 'Paope lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8009547468962 59.4488335075964,24.8003299849 59.443954430568,24.7978485642389 59.4392311416812,24.7936065424807 59.4348450570661,24.7877674328149 59.4309645736026,24.7805558453484 59.4277386215752,24.7722488228295 59.4252909709522,24.7631652086268 59.4237155055999,24.753653453264 59.4230726424015,24.7440783190389 59.4233870287993,24.7348069791999 59.4246466043223,24.7261950282053 59.4268030608459,24.718572922443 59.4297736843821,24.7122333564283 59.4334445098359,24.7074200481401 59.4376746711064,24.7043183593414 59.4423017838325,24.7030481133376 59.4471481585784,24.7036588950367 59.4520276098267,24.7061280283261 59.4567526020944,24.7103613262768 59.4611414599277,24.716196603821 59.4650253642499,24.7234098342612 59.4682548639821,24.7317237247251 59.4707056490503,24.7408183862641 59.4722833583963,24.7503436864966 59.4729272335087,24.7599328010376 59.4726124728901,24.7692164282583 59.4713511939834,24.7778371030557 59.4691919642385,24.785463040923 59.4662179198418,24.7918009639453 59.4625435466839,24.7966074042785 59.4583102509711,24.7996980457456 59.4536808942546,24.8009547468962 59.4488335075964)))', 'EEPAR', 'Patareisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7489559051127 59.450853007326,24.7483386094376 59.4459737287369,24.7458643201694 59.4412494970424,24.7416288216389 59.4368617649686,24.735795377576 59.4329789929575,24.7285883818051 59.4297501993402,24.7202847020616 59.4272992632182,24.711203054477 59.4257201944938,24.7016918148185 59.4250735481798,24.6921157258561 59.4253841166857,24.6828419972464 59.4266399858377,24.6742263144346 59.4287929895804,24.6665992760014 59.4317605463626,24.6602537645803 59.4354288088423,24.6554337251841 59.4396570094786,24.6523247770194 59.4442828394791,24.6510470215393 59.4491286590486,24.65165033194 59.4540083044211,24.6541123195056 59.4587342330766,24.6583390727255 59.4631247339426,24.6641686592654 59.4670109250545,24.6713772725771 59.4702432675544,24.6796877986735 59.4726973420554,24.6887804791302 59.4742786608647,24.698305258524 59.4749263264141,24.7078953327795 59.4746153911241,24.717181363102 59.4733578250083,24.7258057912197 59.4712020524701,24.7334366871595 59.4682310765854,24.739780581021 59.4645592652239,24.7445937740542 59.4603279262115,24.7476916893514 59.4556998461291,24.7489559051127 59.450853007326)))', 'EEPAS', 'Paljassaare', 'Y'),('SRID=4326;MULTIPOLYGON(((22.349652233772 58.5005077698285,22.3485500321918 58.4956512030023,22.3456597585709 58.4910004679943,22.3410930875221 58.4867341726226,22.3350258999238 58.4830161001427,22.3276914654145 58.4799889407408,22.3193714613264 58.4777688374146,22.3103851756453 58.4764409513803,22.3010773046656 58.4760562130728,22.29180480398 58.4766293800128,22.2829232833401 58.4781384738933,22.2747734512072 58.4805256178825,22.2676681132009 58.4836992430729,22.261880210192 58.4875375819608,22.2576323467436 58.4918933185592,22.2550882096141 58.4965992208901,22.2543462101101 58.5014745437732,22.2554356047486 58.5063319594899,22.2583152580696 58.5109847523215,22.2628751123039 58.5152540011656,22.2689403243726 58.5189754731276,22.2762779253976 58.5220059604815,22.2846057559765 58.5242288135786,22.2936033366124 58.5255584525745,22.3029242514546 58.5259436801611,22.3122095590972 58.5253696643291,22.321101700042 58.5238585126223,22.3292583489816 58.521468415158,22.3363656625011 58.5182913904845,22.3421503989792 58.5144497236461,22.3463904359316 58.5100912372796,22.3489232781142 58.5053835819898,22.349652233772 58.5005077698285)))', 'EEPAT', 'Paatsaranna', 'Y'),('SRID=4326;MULTIPOLYGON(((25.1920795245965 59.5266875121777,25.1913970324806 59.5218101370236,25.1888553355703 59.5170940934626,25.1845528060671 59.5127205160768,25.1786552763255 59.5088573186297,25.1713895919593 59.505652765661,25.1630348631086 59.5032298045702,25.15391175472 59.5016813714737,25.1443702248625 59.5010668465837,25.1347761729564 59.5014097912603,25.125497496327 59.50269705083,25.1168900730804 59.5048792563974,25.1092841916674 59.5078727069275,25.1029719326175 59.511562561558,25.0981959760303 59.5158072231329,25.0951402600339 59.5204437490069,25.0939228514636 59.5252940858436,25.094591311862 59.5301718929198,25.0971207515197 59.5348896946539,25.1014146642884 59.5392660887985,25.1073085296344 59.543132732765,25.1145760598188 59.5463408373124,25.1229378636965 59.5487669143456,25.132072199214 59.5503175533735,25.1416273990728 59.5509330383501,25.1512354827151 59.5505896617505,25.1605264166069 59.5493006440048,25.1691424565828 59.5471156216753,25.1767520023744 59.5441187246243,25.1830624155873 59.5404253184159,25.1878312971379 59.5361775409015,25.1908757860105 59.5315388090993,25.1920795245965 59.5266875121777)))', 'EEPAV', 'Päeva', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((27.100017973949 58.7589717016572,27.0990814726519 58.7541050775135,27.0963364117791 58.7494268564157,27.0918889156009 58.745116709525,27.0859103204879 58.7413401089773,27.0786305266774 58.7382419939149,27.0703291413553 58.735941229982,27.0613247566745 58.7345260707332,27.0519627711726 58.7340507909219,27.0426022127624 58.7345336172969,27.0336020550597 58.7359560339212,27.0253075357154 58.7382634878412,27.0180369853529 58.7413674688766,27.0120696586844 58.7451488861216,27.0076350256574 58.7494626151687,27.0049039306546 58.7541430457573,27.0039819628114 58.7590104211196,27.0049053019007 58.7638777292097,27.0076392140167 58.7685578835491,27.0120792721846 58.7728709186584,27.0180552724051 58.7766509226975,27.0253377094933 58.7797524383735,27.0336465738517 58.7820560823294,27.0426621347134 58.7834731625526,27.0520372920671 58.7839491118381,27.0614110127014 58.7834656015155,27.0704223191677 58.7820412516468,27.0787242765154 58.7797309095053,27.0859974217541 58.7766235249774,27.0919621051286 58.77283870712,27.0963892591126 58.7685220980527,27.0991091779413 58.7638397464926,27.100017973949 58.7589717016572)))', 'EEPBM', 'Piibumäe', 'Y'),('SRID=4326;MULTIPOLYGON(((25.4210650107259 59.5126015359811,25.4203496944773 59.50772522696,25.4177770076945 59.5030135107975,25.4134465095307 59.4986473542068,25.4075251015024 59.4947943847287,25.4002405403701 59.4916024734846,25.3918726553754 59.4891940824331,25.3827426118461 59.4876615888251,25.37320063107 59.4870637618996,25.3636126289079 59.4874235231761,25.3543462718495 59.4887270735805,25.3457569685095 59.4909244197395,25.3381743166368 59.4939312798232,25.3318895105375 59.4976322980167,25.3271441816408 59.5018854477872,25.3241210962954 59.5065274592434,25.3229370706828 59.5113800666695,25.3236383843706 59.5162568402294,25.3261988834765 59.5209703422015,25.3305208643084 59.525339334,25.3364387220377 59.5291957564499,25.3437252404085 59.5323912127467,25.3521002922113 59.5348027012294,25.3612416210388 59.5363373730906,25.3707972875177 59.5369361274713,25.3803992922592 59.5365759016551,25.3896778370039 59.5352705654382,25.3982756576703 59.5330703840683,25.4058618598249 59.5300600710111,25.4121447086671 59.5263555077658,25.4168828707463 59.5220992605671,25.4198946707989 59.5174550708608,25.4210650107259 59.5126015359811)))', 'EEPDA', 'Pedassaar', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7324070172621 59.053362179073,22.731232117963 59.0485097074515,22.7282429901517 59.0438685081428,22.7235551241735 59.0396168174838,22.7173490641416 59.0359178522158,22.7098634103618 59.0329135635472,22.7013856343548 59.030719212147,22.69224106175 59.0294189679768,22.6827804417827 59.0290626996293,22.673366570214 59.0296640729369,22.6643604642908 59.0312000296473,22.656107603329 59.0336116656196,22.6489247463873 59.0368064759912,22.643087819336 59.0406618838276,22.6388213276875 59.0450299206265,22.6362896994789 59.049742883362,22.6355908952851 59.0546197551244,22.6367525416465 59.0594731462854,22.6397307519515 59.064116491776,22.644411697945 59.068371228523,22.6506158890208 59.0720736760468,22.6581050094085 59.075081352997,22.6665910598313 59.077278482869,22.675747454956 59.0785804727039,22.6852216456738 59.0789371881463,22.6946487701964 59.0783348952976,22.703665793631 59.0767967924023,22.7119255745686 59.0743821103391,22.7191103004487 59.0711838177109,22.7249437608761 59.0673250215944,22.7292019781038 59.0629542063267,22.7317217838014 59.0582394979294,22.7324070172621 59.053362179073)))', 'EEPDR', 'Paradiisiranna', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0932408681586 59.624349829429,26.0924259956593 59.6194772017191,26.0897508720503 59.6147786948376,26.0853189884784 59.6104347626519,26.0793011309011 59.6066121746178,26.0719287454843 59.6034576321165,26.063485016659 59.6010921609964,26.054294004802 59.5996064912233,26.0447082578257 59.599057596559,26.0350953628589 59.5994665232555,26.0258239396889 59.6008175884601,26.0172495961281 59.6030589780501,26.0097013666865 59.6061047216521,26.0034691398755 59.6098379713932,25.9987925463726 59.6141154621688,25.9958517306936 59.6187729865881,25.9947603638767 59.6236316788504,25.9955611753967 59.6285048701074,25.9982241911131 59.6332052546688,26.0026477631942 59.6375520928082,26.0086623710329 59.6413781726654,26.0160370632104 59.6445362612611,26.0244883041164 59.6469047928858,26.0336908897298 59.6483925716392,26.0432905101373 59.6489423026855,26.0529174661021 59.648532812441,26.0622009971734 59.6471798695534,26.0707836522186 59.6449355740065,26.0783351313811 59.6418863385799,26.0845650514127 59.6381495427456,26.0892341328262 59.6338689914683,26.0921633747551 59.6292093580719,26.0932408681586 59.624349829429)))', 'EEPDS', 'Pedassaare', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3306844133566 58.5431433234298,23.3294454034831 58.5382964677888,23.3264224048191 58.5336690679169,23.3217321784164 58.5294388284277,23.3155553318742 58.5257681427366,23.3081293234538 58.5227978786053,23.2997393239223 58.5206419942645,23.2907072891613 58.5193831875225,23.2813796586288 58.5190697407491,23.2721141416248 58.5197136795014,23.263266084042 58.5212903134248,23.2551749223729 58.5237391766133,23.2481512289193 58.5269663325743,23.2424648324749 58.530847958047,23.2383344624952 58.5352350719021,23.2359193126086 58.5399592318742,23.2353128522744 58.5448389845403,23.2365391350561 58.5496868242052,23.2395517604918 58.5543163954568,23.2442355467589 58.5585496631091,23.2504108667122 58.5622237727372,23.2578404945036 58.565197335316,23.2662387083525 58.5673558904556,23.2752823018231 58.5686163337424,23.2846230757464 58.5689301336568,23.293901319857 58.568285210879,23.3027597506721 58.566706405573,23.3108573524681 58.5642545142187,23.3178825724938 58.56102393432,23.3235653495526 58.5571390104014,23.3276875052107 58.5527492257504,23.3300910963967 58.5480234292362,23.3306844133566 58.5431433234298)))', 'EEPDT', 'Pädaste', 'Y'),('SRID=4326;MULTIPOLYGON(((23.949679473328 59.2749055401118,23.9483237070426 59.2700662340887,23.9451502835023 59.265455233842,23.9402817638431 59.2612496062991,23.9339056109508 59.257610791645,23.9262669296074 59.2546784266235,23.9176590364313 59.2525650089136,23.9084122235613 59.2513516029872,23.898881142422 59.2510847480681,23.8894312807533 59.2517746835043,23.8804250365157 59.2533949576601,23.872207905774 59.255883434999,23.8650952980008 59.2591446640823,23.8593604714488 59.2630535184818,23.8552240436425 59.2674599748103,23.852845478256 59.2721948488769,23.8523168807426 59.2770762739626,23.8536593526522 59.2819166758214,23.8568220608188 59.2865299785194,23.8616840754242 59.2907387646022,23.8680589239204 59.2943811130267,23.8757017001118 59.2973168490644,23.8843184639799 59.2994329618295,23.8935775729044 59.3006479765515,23.9031225034954 59.3009151090816,23.9125856595556 59.3002240778078,23.9216026191707 59.2986015011976,23.9298262549556 59.296109865316,23.9369401671064 59.2928451024618,23.9426708987948 59.2889328770477,23.9467984559053 59.2845237256674,23.9491647252478 59.2797872428078,23.949679473328 59.2749055401118)))', 'EEPED', 'Pedase', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7849628903125 59.4548395519109,24.7843403430487 59.4499604156327,24.7818607382267 59.445236837676,24.777620064145 59.4408502453699,24.7717817827634 59.4369690551473,24.7645704728829 59.4337422244414,24.7562631669925 59.4312935569233,24.7471787195807 59.4297169754317,24.7376656132084 59.4290729396092,24.728088661894 59.429386141822,24.7188151083326 59.4306445669824,24.7102006315441 59.4327999510832,24.7025757844213 59.435769621306,24.6962333663033 59.4394396492022,24.6914172043639 59.4436691993844,24.6883127697976 59.4482959110816,24.6870399914084 59.4531421104026,24.687648551619 59.4580216187112,24.6901158600707 59.4627468984563,24.6943478004737 59.4671362632273,24.7001822404925 59.4710208745095,24.7073951861424 59.4742512540448,24.7157093559074 59.4767030578846,24.7248048503385 59.4782818857134,24.7343315050652 59.4789269359032,24.7439224434514 59.4786133616592,24.7532082933932 59.4773532347077,24.7618315038558 59.4751950781388,24.7694601923249 59.4722219868546,24.7758009746547 59.4685484101299,24.7806102727095 59.4643157236286,24.7837036602612 59.4596867655975,24.7849628903125 59.4548395519109)))', 'EEPET', 'Peetri Port', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7295223516598 58.4339964361243,23.7282328488082 58.429153814535,23.7251675430322 58.4245361258695,23.7204448102976 58.4203206995669,23.7142464954879 58.416669358967,23.706810870782 58.4137222288855,23.6984234679023 58.4115923802142,23.6894061381536 58.4103615128721,23.6801047556286 58.410076838736,23.6708760252365 58.4107492809178,23.6620738874002 58.4123530565356,23.6540360248272 58.414826658627,23.6470709734668 58.4180752008198,23.6414463196419 58.4219740375277,23.6373784287074 58.4263735245214,23.635024098097 58.4311047413981,23.6344744603248 58.4359859603362,23.6357513810126 58.4408296160127,23.6388065054875 58.44544951095,23.6435230077938 58.4496679798248,23.6497199915761 58.4533227360939,23.6571593872961 58.456273134937,23.6655550891317 58.4584056078227,23.674583982338 58.4596380553184,23.683898432389 58.4599230249828,23.6931397449591 58.4592495487123,23.7019520641001 58.4576435668198,23.7099961570923 58.4551669221536,23.7169625394634 58.4519149642909,23.72258342226 58.448012858823,23.726643014235 58.4436107476179,23.7289857813969 58.4388779505901,23.7295223516598 58.4339964361243)))', 'EEPGI', 'Paagi', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0010925631339 58.8332635137917,22.9998881798966 58.8284135132271,22.9968827892291 58.8237784767119,22.9921924927543 58.8195364030584,22.9859979158199 58.815850139827,22.9785372086465 58.8128611515162,22.9700968799787 58.8106841130425,22.9610008175936 58.8094025317436,22.9515979128644 58.8090655617712,22.9422487541104 58.8096861297351,22.9333118847919 58.8112404414224,22.9251301371738 58.8136688880211,22.9180175496505 58.8168783182598,22.9122473565171 58.8207455919569,22.9080415028907 58.8251222823834,22.9055620853505 58.8298403512556,22.9049050517188 58.8347185826684,22.9060964127928 58.8395695323301,22.9090911269165 58.8442067273087,22.9137747178729 58.8484518401863,22.919967581171 58.8521415607086,22.927431827479 58.8551338980362,22.935880409255 58.8573136673946,22.9449881822617 58.8585969456933,22.954404472288 58.858934320427,22.9637666532208 58.8583128033645,22.9727141990877 58.8567563332107,22.9809026522152 58.8543248473852,22.9880169533578 58.8511119598547,22.993783607341 58.8472413371425,22.9979812078546 58.8428619158341,23.0004489147821 58.8381421499649,23.0010925631339 58.8332635137917)))', 'EEPHA', 'Pihla, Salinõmme k', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9842739500834 58.9632688249946,22.9830670106316 58.9584187720672,22.9800521981367 58.9537834827227,22.975345981988 58.949540964982,22.9691296031115 58.9458540826602,22.9616420508883 58.9428643230558,22.9531708643583 58.9406863897048,22.9440411133423 58.9394038234391,22.9346029781588 58.9390658156281,22.9252183943044 58.9396853324887,22.9162472598949 58.9412386203238,22.9080337182887 58.943666110171,22.9008930258912 58.9468746883346,22.8950994956992 58.9507412483677,22.8908759709761 58.9551173919894,22.88838523118 58.9598351028274,22.887723664929 58.9647131793741,22.8889174639306 58.9695641835693,22.8919214995785 58.9742016402646,22.8966209431597 58.9784472114806,22.9028355848122 58.9821375685386,22.9103266996352 58.9851306951434,22.9188062062187 58.9873113751632,22.9279477680903 58.9885956496099,22.9373994068338 58.9889340670588,22.9467971311542 58.9883135989289,22.9557790424153 58.9867581437398,22.96399935658 58.9843276004146,22.971141786184 58.981115547514,22.9769317537605 58.9772456204821,22.9811469584253 58.9728667301948,22.9836258873748 58.9681473111783,22.9842739500834 58.9632688249946)))', 'EEPHK', 'Pähklimetsa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3357189976323 58.5495127028778,22.3346170860169 58.5446560512567,22.3317245273708 58.540005045811,22.3271530863409 58.5357383046202,22.3210788287145 58.5320196278095,22.3137352965642 58.5289917284348,22.3054045166027 58.5267707775383,22.2964061897517 58.5254419685377,22.2870854731078 58.5250562670449,22.2777998135164 58.5256284674255,22.2689053239188 58.5271366284952,22.2607432089435 58.5295229093994,22.253626744626 58.5326957746602,22.2478292986674 58.5365334863311,22.2435738425877 58.5408887529213,22.2410243560927 58.5455943608859,22.2402794579937 58.5504695766507,22.2413685186021 58.5553270767846,22.2442504178036 58.5599801423474,22.2488150137542 58.5642498416261,22.2548872827696 58.567971924154,22.2622339855286 58.5710031583858,22.2705726126255 58.5732268655773,22.2795822684845 58.5745574326892,22.2889160712684 58.5749436264524,22.2982145818822 58.5743705775575,22.3071197309296 58.5728603563678,22.3152886909763 58.570471117373,22.3224071438884 58.5672948463941,22.328201419223 58.5634537998675,22.3324490281621 58.5590957769853,22.334987185657 58.5543884109121,22.3357189976323 58.5495127028778)))', 'EEPHL', 'Pihla, Panga k', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1102191541551 59.6093433968606,26.1094021663413 59.6044708587855,26.1067258435616 59.5997726849778,26.1022937220712 59.5954293164516,26.0962765960847 59.59160750102,26.0889058829906 59.5884539104617,26.0804647026142 59.5860895341865,26.0712770174327 59.5846050602638,26.0616952479209 59.5840574166847,26.0520868290681 59.5844676017868,26.0428202095591 59.5858198844757,26.0342508135771 59.5880624038954,26.0267074863861 59.5911091462362,26.0204799287724 59.5948432251565,26.0158075923222 59.5991213435433,26.0128704579237 59.6037792697088,26.0117820547434 59.6086381222281,26.0125849976533 59.6135112259293,26.0152492296908 59.6182112783684,26.0196730553048 59.6225575525275,26.025686943254 59.6263828582378,26.0330599691156 59.6295399923576,26.0415086609705 59.631907426002,26.050707912789 59.6333940056439,26.060303543179 59.6339424827149,26.0699260069543 59.6335317319857,26.0792047172142 59.6321775706623,26.0877824090663 59.6299321456065,26.0953289742768 59.6268819129856,26.1015542191042 59.6231442905047,26.1062190440672 59.6188631147519,26.1091446118353 59.6142030828704,26.1102191541551 59.6093433968606)))', 'EEPHP', 'Pihlaspea', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0115056229302 58.3883753773442,26.010729092157 58.3835014302188,26.0081574565837 58.378800658455,26.0038901757318 58.3744536087133,25.9980916735311 58.3706271785958,25.9909849537154 58.3674682267896,25.9828430042215 58.3650979580943,25.9739783247358 58.3636072947538,25.9647309769978 58.3630534075462,25.9554556080289 58.3634575361316,25.9465079310901 58.3648041797912,25.9382311672689 58.3670416886034,25.9309429518703 58.3700842330206,25.9249231942149 58.3738150784675,25.9204033473022 58.3780910427197,25.917557495632 58.3827479691097,25.9164956062657 58.387607009664,25.9172592113592 58.3924814805672,25.9198197019333 58.3971840291902,25.9240793151899 58.4015338383621,25.9298747945223 58.4053635903833,25.9369835964043 58.4085259208374,25.9451324159268 58.4108991105558,25.9540077075054 58.412391792595,25.9632677938046 58.4129464888475,25.9725560884692 58.4125418364833,25.9815149104148 58.4111934159619,25.9897993418259 58.4089531477166,25.9970905800777 58.4059072813943,26.0031082556508 58.4021730573005,26.0076212325274 58.3978941720278,26.0104564721101 58.3932352269421,26.0115056229302 58.3883753773442)))', 'EEPHR', 'Pahardi', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7900555041417 58.8023423076797,22.7888817017164 58.7974901765684,22.7859071258374 58.7928500649441,22.7812466961335 58.788600168152,22.77507989433 58.7849036354536,22.7676438087146 58.7819023264613,22.759224007769 58.7797113893641,22.750143595911 58.7784148647751,22.7407508673271 58.7780624797581,22.7314060216271 58.7786677516614,22.7224674366202 58.7802074723849,22.7142780083289 58.7826225923396,22.7071520661934 58.7858204713243,22.7013633522813 58.7896784125964,22.69713451752 58.794048348266,22.6946285361145 58.7987625004679,22.6939423724424 58.8036398051614,22.6951031543732 58.8084928553237,22.6980670152769 58.8131350990125,22.7027206667816 58.8173880162955,22.7088856590832 58.8210879980696,22.7163251793779 58.8240926596322,22.7247531362887 58.8262863423952,22.7338451837271 58.8275845877425,22.7432512560929 58.8279374066395,22.7526091223029 58.8273312156836,22.76155842229 58.8257893628927,22.7697546287718 58.8233712224444,22.7768823803922 58.8201698943831,22.7826676596094 58.8163086005423,22.7868883384006 58.8119359192098,22.7893826842345 58.8072200462525,22.7900555041417 58.8023423076797)))', 'EEPID', 'Puulaiu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8669887039513 59.470808952794,24.8663540806427 59.4659301520718,24.863861878209 59.4612080723381,24.8596085686982 59.4568240826938,24.8537580983628 59.4529464990346,24.8465355124233 59.4497241398906,24.8382182742954 59.4472806370473,24.8291256177058 59.4457097150877,24.8196063385642 59.4450716166139,24.8100254866275 59.4453908064392,24.8007504538847 59.4466550400612,24.7921369765591 59.4488158309086,24.7845155704038 59.4517902989037,24.7781789045106 59.455464331529,24.7733705874026 59.4596969395459,24.7702757912581 59.4643256444544,24.7690140766168 59.4691726953143,24.7696347022161 59.4740518801488,24.7721146146453 59.4787756731503,24.7763592128957 59.4831624443889,24.7822058769266 59.4870434544971,24.7894301409961 59.4902693632995,24.7977542862128 59.492715998607,24.8068580273103 59.4942891589468,24.8163908808622 59.4949282609428,24.8259857305268 59.4946086870044,24.8352730532841 59.4933427401118,24.8438952418653 59.4911791676669,24.8515204543086 59.488201273221,24.8578554420529 59.4845236909382,24.8626568520622 59.4802879504599,24.8657405637036 59.4756570071744,24.8669887039513 59.470808952794)))', 'EEPIR', 'Pirita', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5039806721839 58.7640769272779,23.5027089585395 58.7592321378037,23.4996431517498 58.7546092770881,23.4949016639462 58.7503858731678,23.4886670741107 58.7467240546108,23.4811790562192 58.7437643465671,23.4727251564471 58.741620300339,23.4636297756458 58.7403741583187,23.4542417754689 58.7400737165471,23.4449211733972 58.7407305019724,23.4360254225767 58.7423193323349,23.4278957863062 58.7447792751604,23.4208443139596 58.748015970331,23.4151419051333 58.7519052298552,23.411007912174 58.7562977805021,23.4086016786097 58.7610249715654,23.4080163434296 58.7659052327763,23.4092751602045 58.7707510377337,23.412330487898 58.7753761074309,23.4170655097252 58.7796025775344,23.4232986310925 58.7832678526785,23.4307904015887 58.786230881479,23.4392527037416 58.7883776070783,23.4483598575142 58.7896253791735,23.457761208923 58.7899261535589,23.4670947078793 58.7892683526489,23.4760009378 58.7876773133018,23.4841370400375 58.7852143042903,23.4911899808351 58.781974152532,23.4968886370417 58.7780815722526,23.5010142276163 58.7736863422375,23.5034086882185 58.768957521102,23.5039806721839 58.7640769272779)))', 'EEPIS', 'Puise', 'Y'),('SRID=4326;MULTIPOLYGON(((23.8579021629968 58.7169457987993,23.8565832773866 58.7121048990309,23.8534751472024 58.7074908138429,23.8486978031332 58.703280732041,23.8424351925545 58.6996362691876,23.8349280565364 58.6966972835242,23.8264646675178 58.6945765311611,23.8173697851518 58.6933553613965,23.807992249531 58.6930806132816,23.7986916774049 58.6937628292481,23.789824757203 58.6953758523912,23.7817316521485 58.6978578225173,23.7747230172632 58.7011135340635,23.7690681156552 58.7050180681972,23.7649844824576 58.709421563543,23.762629531807 58.714154946723,23.7620944343663 58.7190364068273,23.7634005117098 58.7238783684989,23.7664983015856 58.7284946977814,23.7712693475224 58.7327078642266,23.7775306609801 58.7363557826639,23.7850416983673 58.7392980687703,23.7935135933003 58.741421463973,23.8026202911783 58.7426442166243,23.8120111531021 58.7429192466927,23.8213245335096 58.7422359688213,23.8302017940234 58.7406207015808,23.8383011972008 58.7381356468087,23.8453111291899 58.734876479678,23.850962129414 58.7309686451029,23.8550372566936 58.7265625069207,23.8573803918419 58.7218275408564,23.8579021629968 58.7169457987993)))', 'EEPJO', 'Penijõe paadisadama', 'Y'),('SRID=4326;MULTIPOLYGON(((24.9609612682977 59.4497735634467,24.9603134271616 59.4448951360605,24.9578095747138 59.4401747744093,24.9535466283757 59.4357937809825,24.947688901924 59.4319203561945,24.9404617165591 59.4287031587124,24.9321427099616 59.4262656222272,24.9230511820889 59.4247012425676,24.9135358847629 59.424070011632,24.9039617151376 59.4243961311068,24.8946958098832 59.4256670909315,24.8860935567772 59.4278341466376,24.8784850430388 59.4308141777331,24.8721624451802 59.4344928579557,24.8673688335935 59.4387290191996,24.8642888170748 59.4433600458881,24.8630413889151 59.4482080971427,24.8636752584242 59.4530869217518,24.8661668617584 59.4578090070043,24.8704211463109 59.4621927880084,24.8762751169843 59.4660696399674,24.883504024365 59.4692903824586,24.8918299686152 59.4717310420954,24.900932593585 59.4732976475771,24.9104614580188 59.4739298681431,24.92004959929 59.4736033514446,24.9293277536677 59.4723306680159,24.9379386685545 59.4701608247292,24.9455509380545 59.4671773664611,24.9518718138785 59.4634951412301,24.9566584878027 59.4592558568374,24.9597274072292 59.4546226043301,24.9609612682977 59.4497735634467)))', 'EEPJS', 'Pirita jõe lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3206115568489 58.4891475335124,23.3193760197147 58.4843005207239,23.3163591563618 58.4796728074516,23.3116774900834 58.4754421106695,23.3055112984181 58.471770841765,23.2980976301141 58.4687998913323,23.2897211827172 58.4666432443539,23.2807033932116 58.4653836282233,23.2713901561346 58.4650693565509,23.2621386303997 58.4657124865678,23.2533036267834 58.4672883588139,23.2452240821068 58.4697365363391,23.2382101233467 58.4729631086027,23.2325312052617 58.4768442743554,23.2284057689265 58.481231069756,23.2259928164736 58.4859550644982,23.2253857303991 58.4908348113708,23.226608585559 58.4956828049265,23.2296151106416 58.5003126840237,23.2342903562605 58.5045464019617,23.2404550223663 58.5082210874101,23.2478722924671 58.5111953296371,23.2562569206793 58.5133546425139,23.2652862245645 58.5146158927876,23.2746125566237 58.5149305180637,23.2838767643475 58.514286407278,23.2927221062383 58.5127083692041,23.3008080715656 58.5102571705204,23.3078235558685 58.5070271817121,23.3134988721421 58.5031427241668,23.317616127658 58.4987532628706,23.32001756574 58.494027633988,23.3206115568489 58.4891475335124)))', 'EEPKI', 'Pae kai', 'Y'),('SRID=4326;MULTIPOLYGON(((26.6058588914957 58.644155460544,26.6049942597108 58.6392853258352,26.6023243826202 58.6345966698411,26.5979524976079 58.6302695685424,26.5920470430362 58.6264701485887,26.5848351202063 58.6233442277275,26.5765937422043 58.6210117402836,26.5676392094601 58.6195621574811,26.5583150170629 58.6190510741591,26.5489787490297 58.6194980892615,26.539988448837 58.6208860589876,26.5316889729926 58.6231617503491,26.5243988349702 58.6262378708126,26.5183980304528 58.6299963984594,26.5139173017877 58.6342930883842,26.5111292504346 58.6389629865665,26.5101416419414 58.6438267437809,26.5109931700794 58.6486974907408,26.5136518572203 58.6533880128939,26.5180161695467 58.6577179501543,26.5239188215707 58.6615207441237,26.5311331386569 58.6646500633913,26.539381743219 58.6669854562558,26.5483472346502 58.6684370091683,26.5576844494993 58.6689488273578,26.5670338211957 58.6685012000033,26.5760353113453 58.6671113641154,26.5843423598693 58.6648328367893,26.5916353004235 58.661753342309,26.5976337106684 58.6579914162568,26.6021072127663 58.6536918209142,26.6048843054386 58.6490199526247,26.6058588914957 58.644155460544)))', 'EEPKK', 'Pikkjärve', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6536134044253 59.2200167659932,23.652301908417 59.2151740520154,23.6491735705866 59.2105555026952,23.6443492223696 59.2063384772176,23.6380146350259 59.2026848553159,23.6304133239014 59.19973484345,23.6218371782469 59.1976016171851,23.6126152784276 59.1963670010417,23.6031013250023 59.1960783474252,23.593660151305 59.1967467310402,23.5846538219222 59.1983465260372,23.5764278333114 59.2008163817313,23.5692979295246 59.2040615607665,23.5635380256046 59.2079575528199,23.5593696940328 59.212354829061,23.556953616237 59.2170845592626,23.5563833326853 59.2219650762948,23.5576815430589 59.226808843166,23.5607991146129 59.2314296570718,23.5656168549789 59.2356498140649,23.5719499988846 59.239306957668,23.5795552507384 59.2422603452742,23.5881401213525 59.2443962873919,23.5973742020668 59.2456325460362,23.6069019378894 59.245921518745,23.6163563972371 59.2452520822348,23.6253734929004 59.2436500226492,23.6336060893521 59.2411770354367,23.6407374365587 59.2379283346995,23.6464933997336 59.2340289669076,23.6506530063416 59.2296289748168,23.6530569032526 59.224897602117,23.6536134044253 59.2200167659932)))', 'EEPKL', 'Peraküla', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8120438686837 58.7943341748958,22.8108672928786 58.7894822526139,22.8078904982439 58.784842654043,22.8032284889814 58.7805935547083,22.7970608067943 58.7768980731894,22.7896245731585 58.7738980287401,22.7812053617759 58.7717085210596,22.7721262541877 58.7704135359861,22.7627354945182 58.770062741606,22.7533932070449 58.7706695943248,22.7444576718186 58.772210825449,22.7362716683512 58.7746273274501,22.7291493951914 58.7778264070519,22.723364454056 58.7816853213358,22.7191393513576 58.7860559649144,22.7166369181033 58.7907705325609,22.7159539822595 58.7956479440842,22.7171175473216 58.8005007881706,22.7200836391515 58.8051425206404,22.7247388829516 58.8093946411023,22.7309047670006 58.813093571038,22.7383444435766 58.8160969662036,22.7467718148247 58.8182892167836,22.7558625569393 58.8195859193574,22.7652666545428 58.8199371443643,22.7746219527746 58.8193293698394,22.7835681908104 58.8177860048133,22.7917609597317 58.8153664816824,22.7988850310125 58.8121639536629,22.8046665291921 58.8083016886642,22.8088834720202 58.8039283021891,22.8113742707569 58.799212017045,22.8120438686837 58.7943341748958)))', 'EEPKP', 'Paadi kinnistu paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7532133994304 59.6094774497612,25.7524481173601 59.6046029019735,25.7498217099447 59.5998976467595,25.7454358005809 59.5955423997799,25.7394594158437 59.5917043670571,25.7321224173708 59.5885308442708,25.7237066394058 59.5861435863456,25.7145350768919 59.5846341591328,25.7049595366865 59.5840604471758,25.6953472167546 59.5844444477374,25.6860667141012 59.5857714330693,25.6774739811159 59.5879905119661,25.6698987516609 59.5910165696915,25.663631942612 59.5947335141136,25.6589145039029 59.5989987070488,25.6559281409763 59.6036484150676,25.6547882688107 59.6085040749514,25.6555394777962 59.613379137091,25.6581537006481 59.6180862267003,25.6625311689572 59.6224443488489,25.6685041412238 59.6262858597969,25.6758432753316 59.6294629343364,25.6842664119102 59.6318532768206,25.6934494357361 59.6333648518012,25.7030387950698 59.6339394477562,25.7126651881054 59.6335549328415,25.7219578753313 59.6322261131114,25.7305590493654 59.6300041590424,25.7381376912735 59.6269746230903,25.7444023646686 59.623254126916,25.749112444755 59.6189858494248,25.7520873463756 59.6143339936413,25.7532133994304 59.6094774497612)))', 'EEPKR', 'Paadikuuri', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6554580007709 58.3778779353161,24.6548689545464 58.3729976766747,24.6524793418325 58.3682715320139,24.6483816447698 58.3638810324246,24.642733798438 58.3599947518344,24.6357530513239 58.3567618517335,24.6277075856659 58.3543063772885,24.6189062243138 58.3527225197384,24.6096866176343 58.352071022684,24.6004023560892 58.3523768664374,24.591409490355 58.3536283165952,24.5830529605977 58.3557773721045,24.5756534394507 58.3587415960377,24.5694950793381 58.3624072608176,24.564814624283 58.3666336904682,24.5617922997753 58.3712586372992,24.5605448325705 58.3761044908654,24.5611208768205 58.3809850845727,24.5634990356391 58.3857128412391,24.5675885706356 58.3901059843609,24.5732327893316 58.3939955375575,24.580214995518 58.3972318411141,24.5882667848297 58.3996903317189,24.5970783716997 58.4012763589493,24.606310549018 58.4019288488897,24.6156078125539 58.4016226700696,24.6246121321923 58.4003696079037,24.6329768240119 58.398217908859,24.6403799727804 58.3952504123178,24.6465368738042 58.3915813440829,24.6512110051968 58.387351898275,24.6542231041906 58.3827247817667,24.6554580007709 58.3778779353161)))', 'EEPKS', 'Paikuse', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8060385008105 58.7903364371015,22.8048629078796 58.7854844521894,22.8018872640236 58.7808447064688,22.7972265291535 58.7765953811769,22.7910601960341 58.7728996036281,22.7836253344304 58.76989920449,22.7752074655276 58.7677092971097,22.766129619531 58.7664138826816,22.7567399923439 58.7660626457659,22.7473986649509 58.7666690597312,22.7384638806675 58.7682098726905,22.7302783902152 58.7706259931279,22.7231563723931 58.7738247423794,22.7173714189737 58.7776833901839,22.7131460366322 58.7820538413768,22.7106430668676 58.7867682981287,22.7099593580022 58.7916456845358,22.7111219430089 58.7964985902932,22.7140868852519 58.8011404689055,22.7187408540426 58.8053928144228,22.7249053866922 58.8090920397294,22.7323436875449 58.8120957892681,22.740769711824 58.8142884396231,22.7498591877435 58.8155855720066,22.7592621488476 58.8159372403144,22.7686164841802 58.8153299055024,22.7775619700814 58.8137869596484,22.7857542266046 58.8113678189828,22.7928780448793 58.8081656219726,22.7986595590343 58.8043036237691,22.8028767859946 58.7999304296044,22.805368125845 58.7952142548999,22.8060385008105 58.7903364371015)))', 'EEPKU', 'Priidiku kinnistu lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2119077027819 58.6789300828756,27.2109577752965 58.6740642227288,27.2082040448605 58.6693883338247,27.2037529637945 58.6650819973003,27.1977760014436 58.6613105388823,27.1905029915612 58.6582187005419,27.1822132785119 58.655925107501,27.1732250057097 58.654517738759,27.1638829543067 58.6540505707789,27.1545453896377 58.6545415195797,27.1455704063257 58.6559717578448,27.1373022796888 58.6582864324417,27.1300583308858 58.6613967556859,27.1241167960969 58.6651833925095,27.1197061562422 58.6695010171332,27.1169963338617 58.6741838685727,27.1160920988256 58.6790520959322,27.1170289459698 58.6839186534169,27.1197716176279 58.6885964826294,27.1242153450766 58.6929057070388,27.1301897784938 58.6966805612649,27.1374654691368 58.6997757863555,27.1457626645231 58.7020722414867,27.1547620821222 58.703481511931,27.1641172440861 58.7039493317079,27.1734678891123 58.703457685568,27.1824539312088 58.7020255069917,27.1907294114561 58.6997079445069,27.1979758891766 58.6965942254535,27.2039147431887 58.6928042018808,27.2083179006999 58.6884837151698,27.2110165782905 58.6837989620307,27.2119077027819 58.6789300828756)))', 'EEPKV', 'Pärsikivi', 'Y'),('SRID=4326;MULTIPOLYGON(((25.3965085795818 59.1246082293561,25.395803956008 59.1197315552632,25.3932629146099 59.1150192261681,25.3889837804845 59.1106522341192,25.3831314690572 59.1067982413904,25.3759310771319 59.1036051614994,25.3676592030399 59.1011955043675,25.3586333338426 59.0996616984689,25.3491997048271 59.0990625651679,25.3397200886641 59.0994210767519,25.3305580075423 59.1007234815209,25.3220648807567 59.1029198283598,25.3145666223011 59.105925871225,25.3083511879917 59.1096262826377,25.3036575397654 59.1138790563277,25.3006664465966 59.1185209342785,25.2994934778791 59.1233736541976,25.3001844675236 59.1282507813499,25.3027136374014 59.13296486507,25.306984469745 59.1373346461844,25.312833313001 59.14119203781,25.3200355983667 59.1443886089781,25.3283144392556 59.146801318252,25.3373512879766 59.1483372724959,25.3467982377082 59.1489373232787,25.3562914878183 59.1485783586344,25.3654654404694 59.1472741992376,25.3739668690317 59.1450750633301,25.3814685956423 59.1420656215666,25.3876821364935 59.1383617188777,25.392368817914 59.1341058930485,25.3953489315643 59.1294618667555,25.3965085795818 59.1246082293561)))', 'EEPKY', 'Paunküla, Kiruvere k', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3464427694091 58.3749923773018,24.3458964812419 58.3701110628985,24.3435485487662 58.36537950701,24.3394898561703 58.360979450847,24.3338768458676 58.3570798371455,24.326925435374 58.3538303404844,24.3189026876209 58.3513556435743,24.310116559603 58.3497506751931,24.300904121469 58.3490769883097,24.2916186906111 58.3493604136204,24.2826163619131 58.3505900758,24.2742424354364 58.3527188089266,24.2668182461372 58.3556649554916,24.2606288866797 58.3593154819096,24.2559122842865 58.3635302942079,24.2528500463648 58.3681475923088,24.2515604282957 58.372990061611,24.2520937016188 58.3778716679367,24.2544301138183 58.3826047976458,24.2584805345616 58.387007469928,24.2640897807505 58.3909103437675,24.2710425079246 58.3941632482596,24.2790714527032 58.3966409818818,24.2878677146527 58.398248153544,24.2970926808244 58.398922874847,24.3063911265428 58.3986391576132,24.3154049755261 58.3974079216105,24.3237871738518 58.3952765723619,24.3312151272507 58.3923271656572,24.3374031700112 58.3886732314089,24.3421135753698 58.3844553824009,24.3451656793635 58.379835881022,24.3464427694091 58.3749923773018)))', 'EEPLD', 'Põldeotsa', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1167733385626 59.3410885563371,24.1162484579376 59.3362070752124,24.1138699999993 59.3314716762599,24.1097300695701 59.3270642463455,24.1039882678184 59.3231540068335,24.0968654821667 59.3198910339208,24.0886353625186 59.3174005205148,24.0796138166212 59.31577799573,24.0701469264249 59.3150856810766,24.0605977411974 59.3153501192364,24.051332440847 59.3165611635395,24.0427063837684 59.3186723655404,24.0350505572336 59.3216027461539,24.0286589348838 59.325239884379,24.0237772154473 59.3294442084304,24.020593369937 59.3340543287857,24.0192303621409 59.3388932128495,24.0197413305478 59.3437749681223,24.0221074308769 59.3485119762727,24.0262384396377 59.3529221054498,24.0319761139057 59.3568357233515,24.0391001946337 59.3601022394523,24.0473368347587 59.3625959214264,24.0563691338523 59.3642207577728,24.0658493728865 59.3649141750663,24.0754124703508 59.3646494627579,24.0846901283209 59.3634368092541,24.0933251070643 59.3613229079874,24.1009850610669 59.3583891489822,24.1073753883217 59.3547484675697,24.1122505872708 59.350540974953,24.1154236795886 59.3459285430392,24.1167733385626 59.3410885563371)))', 'EEPLK', 'Paldiski lossimiskoht', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0967868157486 59.3510961466869,24.0962646959087 59.3462146130362,24.0938883737692 59.3414788721343,24.0897498728238 59.3370708240938,24.0840087400885 59.3331597140746,24.076885837972 59.3298956516969,24.068654821358 59.3274038716398,24.0596316327003 59.3257799515468,24.0501624170132 59.3250861663724,24.0406103125714 59.3253491151302,24.0313416108686 59.3265587082329,24.0227118002652 59.3286685528978,24.0150520114982 59.3315977221595,24.0086563697781 59.3352338415976,24.0037707277877 59.3394373786737,24.0005832070415 59.3440469742558,23.9992169126281 59.3488856160922,23.9997251096979 59.3537674211717,24.0020890610699 59.3585047694042,24.0062186265854 59.362915515976,24.0119556195673 59.3668300049011,24.0190798078503 59.3700976121519,24.0273173407476 59.3725925633743,24.0363512837626 59.374218798143,24.0458338546269 59.3749136891146,24.0553998818575 59.3746504689273,24.0646809543384 59.3734392684913,24.0733197003681 59.3713267252919,24.0809836288726 59.3683941771225,24.0873779844075 59.364754512812,24.092257110104 59.3605478045733,24.0954338764966 59.3559358943187,24.0967868157486 59.3510961466869)))', 'EEPLN', 'Paldiski Põhjasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1317639493742 59.3340828698521,24.1312369939145 59.3292014287642,24.1288569024445 59.3244662866564,24.124715842025 59.320059320443,24.1189734566806 59.3161497336346,24.1118506557477 59.3128875773633,24.1036210893363 59.3103980132216,24.0946006437428 59.3087765339514,24.085135358663 59.3080853210146,24.0755882219243 59.3083508748876,24.0663253351345 59.3095630061407,24.0577019644715 59.3116752246389,24.050048994538 59.3146065122679,24.0436602897118 59.3182444131527,24.0387814369848 59.3224493261317,24.0356002973968 59.3270598389434,24.0342397307214 59.3318989037803,24.0347527813941 59.3367806210621,24.0371205246921 59.341517373801,24.0412526734496 59.3459270398794,24.0469909403625 59.3498400047574,24.0541150430916 59.3531057030227,24.0623511333446 59.3555984338463,24.0713823316312 59.3572222223871,24.0808609612551 59.357914535617,24.0904220027993 59.3576487055494,24.0996972377717 59.3564349636624,24.1083295200929 59.354320045296,24.1159866084421 59.3513853795956,24.1223740114534 59.3477439367174,24.1272463403284 59.3435358570592,24.130416727227 59.3389230349801,24.1317639493742 59.3340828698521)))', 'EEPLS', 'Paldiski Lõunasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7462176541057 59.6124800917834,25.7454533230059 59.6076055084749,25.742827666178 59.6029001176626,25.7384422784225 59.5985446402549,25.7324661665303 59.5947062911436,25.7251291818879 59.5915323781569,25.7167131583789 59.5891446711815,25.7075411004656 59.5876347532747,25.6979648340252 59.5870605277758,25.6883515848154 59.5874440116209,25.6790699853559 59.5887704968656,25.6704760299381 59.5909891114859,25.6628994991412 59.5940147585729,25.656631359616 59.5977313617852,25.6519126122535 59.6019962960847,25.6489250127029 59.6066458380319,25.6477840234826 59.6115014308514,25.6485342780262 59.6163765275732,25.6511477459248 59.6210837521356,25.6555246880298 59.6254421044592,25.6614973833254 59.6292839319728,25.6688365005747 59.6324613972934,25.6772598812282 59.6348521897235,25.686443400767 59.6363642564726,25.6960334883839 59.6369393670589,25.7056608141687 59.6365553697995,25.7149546025667 59.6352270508016,25.723557003629 59.6330055612623,25.731136951005 59.6299764357714,25.7374029579045 59.6262562802262,25.7421143481134 59.621988260475,25.7450904860445 59.6173365696887,25.7462176541057 59.6124800917834)))', 'EEPLU', 'Põllu', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5511946821247 59.5995532397437,25.5504588694137 59.594677632159,25.5478615037603 59.5899684466461,25.5435030950052 59.5856065513774,25.5375516171998 59.5817594089212,25.5302359802814 59.5785746655185,25.5218372033596 59.5761745071263,25.5126776332583 59.5746509945618,25.5031086198456 59.5740625523664,25.4934971122024 59.5744317422783,25.4842116758256 59.5757444040524,25.4756084502284 59.5779501954572,25.4680175682114 59.5809645113287,25.461730542722 59.5846717102836,25.4569890948188 59.5889295288151,25.4539758473658 59.5935745176761,25.4528072446017 59.5984282962952,25.4535289790557 59.6033043889607,25.456114116409 59.6080153829501,25.4604640084666 59.6123801347674,25.4664119777683 59.6162307469615,25.4737296485185 59.6194190450556,25.4821356919792 59.6218223019228,25.4913066550639 59.6233479850306,25.5008894534248 59.6239373393914,25.5105150393439 59.6235676643978,25.51981270403 59.6222531941443,25.5284244463191 59.6200445461876,25.5360188368225 59.6170267605766,25.5423038284612 59.6133160069314,25.5470380098162 59.6090550899278,25.5500398642914 59.6044079305266,25.5511946821247 59.5995532397437)))', 'EEPNA', 'Punakivi', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7943410072969 58.276344218747,22.7931854482136 58.2714916576917,22.7902558424806 58.2668510532962,22.7856653602064 58.2626006222353,22.779590781531 58.258903537757,22.7722656469594 58.2559016846695,22.7639712678823 58.2537102359924,22.755025944892 58.2524132552544,22.7457728037787 58.2520604891463,22.7365667063145 58.2526654702819,22.7277607241501 58.2542050007849,22.7196926788195 58.2566200359996,22.7126722487093 58.2598179355375,22.706969124932 58.2636759978783,22.702802662646 58.2680461465523,22.7003334231165 58.2727605922397,22.6996569357598 58.2776382575083,22.7007999300966 58.2824917208449,22.7037191970993 58.2871344153728,22.7083031406363 58.2913878062143,22.7143759760329 58.2950882695222,22.721704428186 58.2980934060921,22.7300066806361 58.3002875430239,22.7389632341424 58.3015862075258,22.7482292531687 58.3019393965686,22.7574479153939 58.3013335131504,22.7662642362931 58.2997918925121,22.7743388203527 58.2973738975143,22.7813609937258 58.294172619146,22.7870607999072 58.2903112733242,22.7912193888156 58.2859384363983,22.7936773978372 58.2812223069496,22.7943410072969 58.276344218747)))', 'EEPNI', 'Põhja-Niidi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0460773754976 58.1098829027477,24.0447580663325 58.10504356739,24.0416811990995 58.1004333952108,24.0369655764024 58.0962294263771,24.0307927550452 58.0925930448813,24.0234000177303 58.0896638028532,24.0150712448117 58.0875540868363,24.006126038278 58.0863448265695,23.9969075108177 58.0860824069829,23.9877691984103 58.0867768987387,23.9790615845053 58.0884016733382,23.9711187369533 58.0908944172689,23.9642455552021 58.0941595076038,23.9587061049164 58.0980716606458,23.9547134804352 58.1024807173497,23.9524215830099 58.1072173860434,23.951919135664 58.1120997259839,23.9532261753616 58.1169401259767,23.956293172181 58.1215525119116,23.9610028261989 58.1257595065979,23.9671744892905 58.1293992653853,23.9745710550922 58.132331721982,23.9829080604007 58.1344440004552,23.9918646499211 58.1356547809547,24.0010959780065 58.135917447108,24.010246559895 58.1352218907156,24.0189640442166 58.1335949023575,24.0269128604387 58.1310991325717,24.0337872004397 58.1278306649446,24.039322822225 58.1239152973356,24.0433072143133 58.1195036781784,24.0455877287609 58.1147654892544,24.0460773754976 58.1098829027477)))', 'EEPNK', 'Pinuka', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3602682885155 58.9485016168308,22.3591494449044 58.9436455331556,22.3562195200958 58.9389955041981,22.3515917309544 58.934730108527,22.3454443188028 58.9310130918126,22.3380136394355 58.9279871002222,22.329585062982 58.9257682285166,22.3204820358483 58.9244415878202,22.3110537206886 58.9240580589654,22.3016616787826 58.9246323525296,22.2926660913789 58.9261424477962,22.2844120319633 58.9285304315538,22.2772162997714 58.9317047056233,22.2713553062015 58.9355434810087,22.2670544703909 58.9398994283123,22.2644795286932 58.9446053102312,22.2637300961641 58.9494803841284,22.264835737937 58.9543373323299,22.2677547166815 58.9589894562024,22.272375481971 58.9632578582461,22.2785208618022 58.9669783350984,22.2859548097869 58.9700077138175,22.2943914581816 58.9722293839828,22.3035061317017 58.9735578084289,22.3129478946343 58.9739418347631,22.3223531383945 58.9733666766713,22.3313596718677 58.9718544864867,22.3396207551269 58.9694634963537,22.3468185196219 58.9662857621454,22.3526762445584 58.9624435996327,22.3569690084224 58.9580848538725,22.359532303742 58.9533771882066,22.3602682885155 58.9485016168308)))', 'EEPNL', 'Pallinina lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7222787048588 59.6544892988098,25.7215169711961 59.6496146152482,25.7188914662697 59.6449087749205,25.7145037814267 59.6405525159989,25.7085230136881 59.6367130832469,25.7011791945901 59.6335378258492,25.6927544209769 59.6311485649877,25.6835720329303 59.6296369430393,25.6739842518057 59.6290609284671,25.6643587437286 59.6294426066877,25.6550646098764 59.6307673390031,25.6464583238489 59.632984320763,25.6388701381257 59.6360085179683,25.632591466013 59.639723910282,25.6278637128356 59.6439879195691,25.6248689809639 59.6486368583343,25.6237230085056 59.6534921933446,25.624470622534 59.6583673878119,25.6270838965645 59.663075062062,25.6314631012911 59.6674341987253,25.637440430715 59.6712771149288,25.6447863767561 59.6744559311643,25.6532185187663 59.6768482844488,25.6624123948943 59.6783620616116,25.6720140348271 59.6789389660768,25.6816536625576 59.6785567769495,25.6909600273149 59.6772302107086,25.6995747934528 59.6750103512039,25.7071664174732 59.6719826705455,25.7134429626239 59.6682637193951,25.718163347395 59.6639966176878,25.7211465911912 59.6593455237115,25.7222787048588 59.6544892988098)))', 'EEPNM', 'Pähkneeme lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4052506241046 58.9364849022003,22.4041258817019 58.931629222683,22.4011909657786 58.9269802241511,22.3965592837639 58.922716445337,22.3904092252022 58.9190015696683,22.3829772462805 58.9159781610719,22.374548766032 58.913762215225,22.3654472265552 58.9124387311053,22.3560217332437 58.9120584686009,22.3466337393775 58.9126360131401,22.3376432715493 58.914149219405,22.329395207739 58.9165400548687,22.3222061181516 58.9197168118715,22.3163521602229 58.9235576059618,22.3120584837565 58.927915029986,22.3094905505926 58.9326217895996,22.3087477065493 58.9374971080747,22.309859263129 58.9423536579623,22.3127832547901 58.9470047556033,22.3174079372223 58.9512715426957,22.323555986506 58.9549898778294,22.3309912523522 58.9580166704053,22.3394278153268 58.9602354095659,22.3485410028107 58.9615606710761,22.3579799361049 58.9619414244556,22.3673811158103 58.9613630095446,22.376382507906 58.9598477041675,22.3846375712904 58.9574538604228,22.3918286701386 58.9542736439542,22.3976793411267 58.9504294658858,22.4019649348616 58.9460692485509,22.4045212200268 58.9413607115495,22.4052506241046 58.9364849022003)))', 'EEPOA', 'Poama', 'Y'),('SRID=4326;MULTIPOLYGON(((25.811262768971 59.6424558144062,25.8104883762331 59.6375816023324,25.807851316661 59.6328775013564,25.8034536237328 59.6285241822305,25.7974647766169 59.624688776389,25.7901151147009 59.6215184781865,25.7816869569544 59.6191349184363,25.7725037716877 59.6176295208906,25.7629178099363 59.6170600154639,25.7532966679609 59.6174482381672,25.7440092802063 59.618779299514,25.7354118629198 59.6210021522105,25.7278343302103 59.6240315369972,25.721567688628 59.6277512342616,25.7168528835878 59.6320185002242,25.7138715217024 59.6366695217723,25.712738828247 59.6415256849815,25.7134991199467 59.6464004204976,25.7161239820703 59.6511063655695,25.7205132380886 59.6554625686985,25.7264986932776 59.6593014593879,25.7338505246436 59.6624753127467,25.742286082942 59.6648619567213,25.7514807731976 59.6663694980134,25.7610805928433 59.666939880342,25.7707158358758 59.6665511341954,25.780015421088 59.6652182287497,25.7886212752784 59.6629924920469,25.7962021998972 59.6599596224108,25.8024666720105 59.6562363699911,25.8071740764897 59.6519660198072,25.8101439333923 59.6473128545158,25.811262768971 59.6424558144062)))', 'EEPOH', 'Põhja', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5437690996911 58.5894352105904,22.5426370615136 58.5845805225891,22.5397136237382 58.5799343819186,22.535111736007 58.575675218185,22.5290086304472 58.571966539195,22.5216389525615 58.5689506732444,22.5132857279658 58.5667433290433,22.5042695144609 58.5654291778549,22.4949361519273 58.5650586232685,22.4856435703553 58.5656458791632,22.4767481480543 58.5671684274695,22.4685911271438 58.5695678759621,22.4614855915829 58.5727521842635,22.455704494253 58.5765991752321,22.4514701842685 58.5809612006786,22.4489458343726 58.5856707865796,22.4482291020052 58.5905470452236,22.4493482779389 58.5954026115,22.4522610854022 58.6000508390913,22.4568561931207 58.6043129806774,22.4629574011643 58.6080250751008,22.4703303529135 58.6110442740974,22.4786915243398 58.6132543615307,22.4877191478105 58.6145702485045,22.4970656463794 58.6149412671715,22.5063710902105 58.6143531330002,22.5152771428285 58.6128284977701,22.5234409437436 58.6104260714225,22.5305483768042 58.6072383476866,22.5363262002552 58.6033880236735,22.5405525634042 58.5990232549978,22.5430655033425 58.5943119333141,22.5437690996911 58.5894352105904)))', 'EEPOK', 'Poka', 'Y'),('SRID=4326;MULTIPOLYGON(((24.2072795511678 58.257042583244,24.2067537718158 58.2521607751843,24.2044318190339 58.2474268146642,24.2004035751944 58.2430225367128,24.1948243117082 58.2391170477056,24.1879086510322 58.2358602491804,24.1799222864726 58.2333771052271,24.1711717828235 58.2317628694919,24.1619928480503 58.2310794507791,24.1527375186886 58.2313530529589,24.1437607383052 58.2325731770021,24.1354068285996 58.2346930221257,24.1279963561948 58.237631270985,24.1218138848398 58.2412751923228,24.1170970728538 58.2454849452198,24.1140275297212 58.2500989237699,24.1127237847083 58.2549399412401,24.1132366455629 58.2598220200582,24.1155471387126 58.2645575296286,24.1195671264082 58.2689643990939,24.1251425941626 58.2728731275447,24.1320594973877 58.2761333202676,24.1400519536139 58.2786194964369,24.1488124706481 58.2802359407783,24.1580038160771 58.2809204082466,24.1672720639524 58.2806465353078,24.1762603039771 58.2794248622118,24.1846224698232 58.2773024255714,24.192036737946 58.2743609372668,24.1982179667356 58.2707136217318,24.202928687046 58.2665008366214,24.2059882167968 58.261884649468,24.2072795511678 58.257042583244)))', 'EEPOO', 'Pootsi', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1030685686192 58.0539706091742,27.1021502687621 58.0491034625285,27.0994591601472 58.0444247728712,27.0950992642797 58.0401142323509,27.0892385314812 58.0363373326946,27.0821023257478 58.0332390298076,27.0739647431833 58.0309382018235,27.065138100741 58.0295231092322,27.0559609958056 58.0290480272245,27.0467853860867 58.0295311760163,27.0379631723946 58.0309540262575,27.0298327835168 58.0332620053708,27.0227062623499 58.0363665785449,27.0168573356494 58.0401486268563,27.0125109165375 58.0444629963687,27.0098344398337 58.0491440477184,27.0089313663565 58.0540119972627,27.009837115054 58.0588798098027,27.0125175932056 58.0635603804874,27.0168703976966 58.0678737307994,27.0227286578043 58.0716539412468,27.0298673859809 58.0747555518868,27.0380121021067 58.0770591810102,27.0468494032094 58.0784761416784,27.0560390692188 58.0789518743022,27.0652272301122 58.0784680596149,27.0740600742737 58.0770433283438,27.0821975545218 58.0747325394361,27.0893265483645 58.0716246554697,27.0951729526069 58.0678392994063,27.0995122381514 58.0635221287573,27.1021780562011 58.0588392093335,27.1030685686192 58.0539706091742)))', 'EEPOV', 'Põlva', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5062260365353 58.9410744367931,23.5049468473932 58.9362298388233,23.5018644342615 58.9316072599155,23.4970978546386 58.9273842164106,23.4908306561798 58.9237228218131,23.4833037669488 58.9207635836061,23.474806224288 58.9186200337094,23.4656641003938 58.9173743943625,23.4562280450994 58.9170744416222,23.4468599134155 58.9177316834898,23.4379189761486 58.9193209205474,23.429748225883 58.9217812055529,23.4226612875421 58.9250181664476,23.4169304226639 58.9289076064018,23.412776079745 58.9333002465803,23.4103583901564 58.9380274339196,23.4097709412684 58.9429075989662,23.4110370771054 58.9477532191726,23.4141088842773 58.9523780222512,23.418868919946 58.9566041532524,23.4251346327161 58.9602690286286,23.4326653207102 58.9632316109799,23.4411713682621 58.9653778592706,23.4503254083837 58.9666251404545,23.459774977102 58.9669254285193,23.4691561621064 58.9662671644136,23.4781077053372 58.9646757031819,23.4862849995474 58.9622123306775,23.4933734235594 58.9589718890035,23.4991004896591 58.9550791049066,23.5032463276829 58.9506837663372,23.5056521010536 58.9459549371636,23.5062260365353 58.9410744367931)))', 'EEPPA', 'Pullapää', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5596269847952 59.2270518234628,23.5583284889863 59.2222080781678,23.5552121243917 59.2175871909088,23.5503982642629 59.2133666112806,23.5440722792862 59.2097083559203,23.5364773568616 59.2067528093762,23.5279051431238 59.2046133596391,23.5186845691307 59.2033720698691,23.509169285409 59.2030765482356,23.4997241763197 59.2037381326075,23.4907114565881 59.2053314577046,23.4824768663198 59.2077954209118,23.4753364776524 59.2110355109963,23.4695646059189 59.2149274131711,23.4653832811126 59.2193217560444,23.4629536821792 59.2240498226401,23.4623698682663 59.2289300104602,23.4636550591067 59.2337747959358,23.466760623382 59.2383979378421,23.4715678320908 59.2426216433355,23.4778923271672 59.2462834198949,23.4854911480391 59.2492423469013,23.4940720550718 59.251384521719,23.5033047937331 59.2526274663182,23.5128338615335 59.2529233205963,23.5222922756073 59.2522606960421,23.5313157956623 59.2506651162945,23.5395570373406 59.2481980272193,23.54669891589 59.2449544159351,23.5524668891604 59.2410591332997,23.5566395206676 59.2366620653491,23.5590569549428 59.2319323439268,23.5596269847952 59.2270518234628)))', 'EEPPE', 'Põõsaspea', 'Y'),('SRID=4326;MULTIPOLYGON(((26.2815534105967 58.4212753454236,26.280738896229 58.4164030035755,26.2781289188605 58.411707617981,26.2738244090841 58.4073695263515,26.2679912166757 58.40355528058,26.2608536719341 58.4004112703893,26.252685940099 58.3980581264927,26.2438015047599 58.3965861139685,26.2345411813946 58.396051688464,26.2252601124615 58.39647534378,26.2163142298036 58.3978408309626,26.2080466879069 58.400095777905,26.2007747724946 58.4031536863794,26.1947777730313 58.4068972321106,26.190286275214 58.4111827447049,26.1874732810187 58.4158456996316,26.1864475003097 58.4207070156363,26.1872490808474 58.4255799194145,26.1898479547637 58.4302771163889,26.1941448818643 58.4346179930825,26.1999751667681 58.4384355736021,26.2071149218208 58.44158296054,26.2152896452862 58.4439390091037,26.2241847891643 58.4454130120047,26.2334579076979 58.4459482105787,26.242751910477 58.4455239933315,26.2517088965942 58.4441566947663,26.259984021161 58.441898962757,26.2672588440627 58.4388377195333,26.273253633199 58.4350907970558,26.2777381393787 58.4308023797972,26.2805404250407 58.4261374344964,26.2815534105967 58.4212753454236)))', 'EEPPH', 'Palupõhja', 'Y'),('SRID=4326;MULTIPOLYGON(((27.4664093192718 58.3118359551229,27.4654344352939 58.3069717484927,27.4626758571966 58.3023010605703,27.4582402044451 58.2980032725269,27.4522983376938 58.2942433828174,27.4450787319554 58.2911656912221,27.436858676536 58.288888282482,27.4279536428616 58.287498517115,27.4187052250985 58.2870496983419,27.4094681072726 58.2875590395595,27.4005965434262 58.2890070080662,27.3924308536537 58.2913380694724,27.3852844383412 58.294462805129,27.3794317956177 58.2982613237282,27.3750979931834 58.3025878397126,27.3724499959165 58.3072762469315,27.3715901859715 58.3121464777274,27.3725523339605 58.3170114067743,27.3753001903266 58.3216840368191,27.3797287678897 58.3259846910203,27.38566828313 58.3297479345773,27.3928906190346 58.3328289571171,27.4011180706575 58.3351091667922,27.4100340405692 58.3365007766673,27.4192952696588 58.3369502027113,27.4285451234888 58.3364401390756,27.4374274090725 58.3349902284439,27.4456001740266 58.3326563008771,27.4527489408344 58.3295282113719,27.4585988533765 58.3257263618295,27.4629252596013 58.3213970449128,27.4655623206378 58.3167067931885,27.4664093192718 58.3118359551229)))', 'EEPPL', 'Parapalu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6064549734978 58.3768960804762,24.6058727140693 58.3720156446239,24.6034897404897 58.3672886325536,24.5993982803452 58.3628966090355,24.5937560300135 58.3590082068092,24.586780024155 58.3557726690122,24.5787382640888 58.3533141421384,24.5699394314097 58.3517269345465,24.5607210801481 58.351071918276,24.5514367529234 58.3513742085072,24.5424425028406 58.3526222070076,24.5340833226871 58.3547680450244,24.5266799859751 58.3577294090276,24.5205167905363 58.3613926812304,24.5158306649278 58.3656172776387,24.5128020514029 58.3702410211954,24.5115479175559 58.3750863479976,24.5121171733266 58.3799671120683,24.5144886827978 58.3846957300682,24.5185719636878 58.3890903927396,24.5242105648373 58.3929820655563,24.5311880071436 58.3962210074633,24.5392360706053 58.3986825537217,24.5480451139946 58.4002719362985,24.5572760287921 58.4009279520315,24.566573359691 58.4006253335813,24.575579073891 58.3993757291487,24.5839464332952 58.3972272519757,24.5913534191752 58.3942626173805,24.5975151781497 58.3905959410684,24.6021950003539 58.386368325278,24.6052134031725 58.3817424067394,24.6064549734978 58.3768960804762)))', 'EEPPN', 'Papiniidu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1746827193045 58.5382012700407,23.1734654020705 58.5333527763097,23.1704633177364 58.5287215758267,23.1657924259975 58.5244855202678,23.1596325949256 58.520807227203,23.1522206329717 58.517827856929,23.1438411751612 58.5156617173219,23.1348157756746 58.5143918995537,23.1254906212306 58.5140671080736,23.1162233267225 58.5146998031748,23.1073693054843 58.5162657253764,23.0992682208367 58.5187048194103,23.0922310229364 58.5219235235577,23.0865280554648 58.5257983391646,23.0823786806309 58.5301805470963,23.0799428189826 58.5349018943569,23.0793147336526 58.5397810366829,23.0805193084771 58.5446304930705,23.0835109780785 58.5492638471951,23.0881753683093 58.5535029195085,23.0943336008953 58.5571846331679,23.1017491107439 58.5601673071222,23.1101367226983 58.5623361305396,23.1191736411844 58.5636076036616,23.1285119258182 58.5639327700259,23.1377919627507 58.5632991122664,23.1466563987257 58.5617310364203,23.1547639848727 58.5592889256293,23.1618027812423 58.5560668008866,23.1675022008044 58.5521886816009,23.1716434214902 58.5478037898619,23.1740677641477 58.5430807872501,23.1746827193045 58.5382012700407)))', 'EEPPO', 'Põripõllu', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2825768944748 58.4359039788696,27.2816238487582 58.4310384590985,27.2788798247545 58.4263638972787,27.2744508904814 58.4220598241294,27.2685076558399 58.418291479647,27.2612786542906 58.415203487865,27.2530415396531 58.4129143281279,27.2441124394037 58.4115118109302,27.2348338700154 58.4110497277946,27.2255616690218 58.4115458002437,27.2166514316355 58.4129810042446,27.2084449563129 58.4153002952607,27.2012572033708 58.4184147069575,27.1953642536188 58.4222047454254,27.1909927202646 58.426524952217,27.1883110176572 58.4312094652481,27.1874228257639 58.4360783682599,27.1883630110961 58.440944588574,27.1910961751799 58.4456210805625,27.1955179033208 58.4499280196562,27.2014586826875 58.4536997295451,27.2086903536161 58.4567910738435,27.2169348559016 58.4590830628163,27.2258749373667 58.4604874552428,27.2351664097462 58.4609501741134,27.2444514711398 58.4604534011201,27.2533725684522 58.4590162669477,27.2615862499003 58.4566941099845,27.2687764581015 58.4535763328799,27.2746667384586 58.4497829418969,27.2790308841585 58.4454599058724,27.281701605557 58.4407735176152,27.2825768944748 58.4359039788696)))', 'EEPRA', 'Praaga', 'Y'),('SRID=4326;MULTIPOLYGON(((25.4680341882531 59.4905837841305,25.4673125100992 59.4857076911698,25.4647348925609 59.4809968643478,25.4604010825415 59.4766322359607,25.4544781070291 59.4727813747333,25.4471937814292 59.469592070846,25.4388279247897 59.4671866862901,25.4297016239703 59.465657483129,25.4201649566103 59.4650631045672,25.4105836352339 59.4654263400236,25.4013250709907 59.4667332572698,25.392744374752 59.4689337337881,25.3851708152999 59.4719433675397,25.3788952391192 59.4756466960426,25.3741589240878 59.4799016037494,25.371144290684 59.4845447528623,25.369967830111 59.4893978335298,25.3706755303647 59.4942743973102,25.3732409907302 59.4989870141856,25.3775663151216 59.5033544793414,25.383485768412 59.507208792181,25.3907720714257 59.5104016370476,25.3991451040758 59.5128101128679,25.408282687022 59.5143414869607,25.4178330250222 59.5149367856162,25.4274283243173 59.5145730793393,25.4366990457426 59.5132643720366,25.4452882276038 59.5110610587465,25.4528653092609 59.5080479733811,25.4591389080091 59.5043411038998,25.4638680470206 59.5000831049315,25.4668713983032 59.4954377848901,25.4680341882531 59.4905837841305)))', 'EEPRD', 'Põhja rand', 'Y'),('SRID=4326;MULTIPOLYGON(((27.4644441480104 58.3378366446946,27.4634688001941 58.3329724435487,27.4607084388327 58.3283017347108,27.456269753016 58.3240039000572,27.4503237207026 58.3202439396767,27.4430989772679 58.3171661558744,27.4348730092351 58.3148886367386,27.425961514556 58.3134987468581,27.4167063346323 58.3130497941183,27.4074624120935 58.3135589970123,27.3985842612077 58.3150068281794,27.3904124541108 58.3173377586065,27.3832606255255 58.3204623748341,27.3774034813218 58.3242607903348,27.3730662624057 58.3285872237096,27.3704160656378 58.3332755721546,27.3695553587553 58.3381457703923,27.3705179481037 58.3430106944002,27.3732675684452 58.3476833470941,27.3776991659117 58.3519840506638,27.3836428416833 58.3557473682545,27.3908703191498 58.3588284864567,27.39910369556 58.3611088095494,27.408026145105 58.3625005460664,27.4172941586026 58.362950106988,27.4265508396247 58.3624401812307,27.4354397315362 58.3609904062048,27.4436186269765 58.3586566068589,27.4507728120881 58.3555286334201,27.4566272222446 58.3517268835208,27.4609570327774 58.3473976461918,27.4635962746862 58.3427074511129,27.4644441480104 58.3378366446946)))', 'EEPRE', 'Piirissaare', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((22.5280162692465 58.7694400552396,22.5268801658501 58.7645853764476,22.5239433297593 58.7599390606312,22.5193192331847 58.7556795434024,22.5131859668235 58.751970345025,22.5057793369837 58.7489538123959,22.497383787452 58.7467456784617,22.4883214973542 58.7454306436369,22.4789400695332 58.7450591446372,22.4695992720039 58.7456454312972,22.4606573269086 58.7471670230007,22.4524572565271 58.7495655650034,22.4453137940626 58.7527490528873,22.4395013481247 58.7565953423959,22.4352434743707 58.7609568136818,22.4327042562604 58.7656660152198,22.4319819303432 58.7705420749058,22.4331050114662 58.7753976356177,22.4360310818991 58.7800460510483,22.4406483084038 58.7843085659389,22.4467796461909 58.7880212036595,22.454189582564 58.7910410937046,22.4625931703501 58.7932519919911,22.471667006673 58.7945687772564,22.4810617308801 58.7949407462952,22.4904155506983 58.7943535777138,22.4993682614567 58.7928298863931,22.5075752018998 58.7904283467258,22.5147205929214 58.7872414194978,22.5205297323104 58.7833917725746,22.524779567805 58.7790275369395,22.5273072396984 58.7743165849638,22.5280162692465 58.7694400552396)))', 'EEPRH', 'Prähnu rand', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1812678487723 58.2490521129296,24.1807457344062 58.2441702238279,24.1784277535231 58.2394358192218,24.1744036358302 58.2350307514179,24.1688284944482 58.2311241573229,24.1619167939586 58.22786598106,24.1539340761935 58.2253812397037,24.1451867665863 58.2237652482425,24.1360104510918 58.2230799828298,24.1267570661626 58.2233517181225,24.1177814809691 58.2245700266228,24.1094279713103 58.2266881771068,24.1020170881639 58.2296249171759,24.0958334105313 58.2332675734371,24.0911146423759 58.2374763535476,24.0880424675725 58.2420896890293,24.0867355157837 58.246930417984,24.0872447174144 58.251812574108,24.0895512391839 58.2565485240474,24.0935670959292 58.2609561802333,24.0991384321848 58.2648660117017,24.1060513626681 58.2681275814692,24.1140401582951 58.2706153558307,24.122797468335 58.2722335580498,24.1319861843571 58.2729198754044,24.1412524820379 58.2726478730887,24.1502395263541 58.2714280192526,24.1586012969572 58.2693072803838,24.1660159852162 58.2663673029396,24.1721984328388 58.2627212531744,24.1769111231232 58.2585094400612,24.1799732974973 58.2538938938245,24.1812678487723 58.2490521129296)))', 'EEPRI', 'Peerni', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1040207267171 58.7609702113141,27.1030836119917 58.7561036179398,27.1003378558351 58.7514254836933,27.0958896092628 58.747115476363,27.0899102374497 58.7433390626906,27.0826296703953 58.7402411746155,27.0743275448746 58.7379406690501,27.0653224813387 58.736525789625,27.0559599042673 58.7360508003586,27.0465988641844 58.7365339168628,27.0375983531357 58.7379566120856,27.0293036223249 58.7402643224025,27.022033010534 58.7433685278108,27.0160657749212 58.7471501288038,27.0116313820608 58.7514639939216,27.0089006672532 58.7561445076695,27.0079792051697 58.7610119100657,27.0089031562701 58.7658791879969,27.0116377632103 58.7705592561087,27.0160785723406 58.7748721522,27.0220553507706 58.7786519697421,27.0293385633235 58.7817532585876,27.0376481704744 58.7840566440872,27.0466644127637 58.7854734441659,27.056040163846 58.7859491024025,27.0654143675702 58.7854653013405,27.0744260278419 58.7840406722495,27.0827281960879 58.7817300731687,27.0900014012456 58.7786224638895,27.0959659913437 58.7748374621274,27.100392902567 58.7705207170782,27.1031124386281 58.7658382826795,27.1040207267171 58.7609702113141)))', 'EEPRJ', 'Piirioja', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7295439234338 58.4499962625127,23.7282537677742 58.4451536566629,23.7251870062535 58.4405359899772,23.7204620714056 58.436320590974,23.7142608931221 58.4326692818374,23.7068218537052 58.4297221860525,23.6984306158721 58.4275923730759,23.6894091777951 58.4263615413592,23.6801035707399 58.4260769013506,23.670870661162 58.4267493748365,23.6620645493167 58.4283531777649,23.654023070005 58.4308268021995,23.6470548977811 58.434075361016,23.6414277388156 58.4379742081103,23.637358054962 58.4423736989714,23.6350027130608 58.4471049131442,23.6344528851972 58.4519861229707,23.6357304451003 58.4568297634928,23.638787014307 58.4614496377822,23.6435057119703 58.4656680812336,23.6497055577552 58.4693228081738,23.6571483722242 58.4722731747882,23.6655479179454 58.4744056136657,23.6745809319469 58.4756380265844,23.6838996206313 58.4759229623721,23.69314512598 58.4752494542123,23.7019614301428 58.4736434436772,23.71000914663 58.4711667747918,23.7169786513358 58.4679147981712,23.7226020352351 58.464012680249,23.7266634111969 58.4596105634899,23.7290071771828 58.4548777681176,23.7295439234338 58.4499962625127)))', 'EEPRK', 'Parika', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5652238419419 58.9410524508439,23.5639363987201 58.936208497019,23.5608461367082 58.931587381849,23.5560724140227 58.9273665650508,23.5497990514104 58.9237080743272,23.5422672122201 58.9207523055145,23.5337661224742 58.9186126573384,23.5246219894275 58.9173712023959,23.5151855393495 58.9170755563578,23.505818642245 58.9177370621959,23.4968805219233 58.9193303570895,23.4887140637183 58.92179433823,23.4816327290195 58.9250344917495,23.4759085656186 58.9289264981822,23.4717617660252 58.9333209799327,23.4693521729849 58.9380492128696,23.4687730635034 58.9429295869392,23.4700474613092 58.9477745710856,23.4731271350652 58.9523979170045,23.4778943386199 58.9566218253684,23.4841662437074 58.9602837978122,23.4917019088775 58.9632429084394,23.5002115256402 58.965385249763,23.5093675885809 58.966628339178,23.5188175552097 58.9669243121795,23.5281974977454 58.9662617760181,23.5371462063271 58.9646662503725,23.5453191836532 58.9621991776637,23.5524019758593 58.9589555424233,23.5581223132651 58.9550601941778,23.5622605858375 58.9506630192828,23.5646582489935 58.9459331518762,23.5652238419419 58.9410524508439)))', 'EEPRL', 'Paralepa', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2470592069108 59.5116667862234,25.2463690368683 59.5067896527555,25.243820740973 59.5020746375078,25.2395129435103 59.4977028352157,25.2336116775299 59.4938420912503,25.2263439305059 59.4906405758686,25.2179888904131 59.4882211199192,25.2088672332336 59.4866765251511,25.1993288609878 59.4860660247049,25.1897395521599 59.486413025752,25.1804670228367 59.4877042181665,25.1718669163913 59.4898900822456,25.1642692418396 59.4928867765375,25.1579657660482 59.4965793355223,25.153198833018 59.5008260579368,25.1501520350401 59.5054639216062,25.1489430965221 59.5103148213497,25.1496192531034 59.5151923943428,25.1521553182796 59.5199091735664,25.1564545297794 59.5242837957363,25.1623521616893 59.5281479861813,25.169621779793 59.5313530499495,25.1779839112651 59.5337756159823,25.1871168005271 59.5353224090484,25.1966688355749 59.5359338613352,25.2062721578827 59.535586420762,25.2155569179346 59.5342934643688,25.2241656103377 59.5321047804087,25.231766918943 59.5291046396355,25.2380685236358 59.5254085322651,25.2428283652772 59.52115869977,25.2458639311778 59.5165186378059,25.2470592069108 59.5116667862234)))', 'EEPRM', 'Prii Maat III', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5274893226677 58.3824424250933,22.5263666273979 58.3775874020135,22.523462912597 58.3729406597184,22.5188903618379 58.3686806519783,22.5128250748711 58.3649709204577,22.5055002427828 58.3619538354852,22.4971971707821 58.3597451541232,22.488234495931 58.3584296002203,22.478956009847 58.3580576319809,22.4697175440526 58.3586435177235,22.4608734072485 58.3601647915323,22.452762878817 58.362563109122,22.4456972610435 58.3657464721567,22.4399479739051 58.3695927382366,22.4357361411173 58.373954285521,22.4332240650651 58.3786636571578,22.4325089223126 58.3835399729536,22.4336189321155 58.3883958654832,22.4365121598791 58.3930446763897,22.4410780185858 58.3973076369759,22.4471414272911 58.4010207560341,22.4544694808606 58.4040411475138,22.4627803836469 58.4062525509666,22.4717543064234 58.4075698281296,22.4810457451757 58.4079422584471,22.4902968964517 58.4073555032533,22.4991515202981 58.4058321608304,22.507268740774 58.4034308903918,22.5143362367929 58.4002441398188,22.5200823024353 58.3963945672331,22.5242863044325 58.3920302978608,22.5267871325674 58.3873192029665,22.5274893226677 58.3824424250933)))', 'EEPRN', 'Pärnu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1422402546859 58.1883261571562,26.1414498983384 58.1834528219709,26.1388751656684 58.1787545268633,26.1346156249773 58.1744117232417,26.1288353941908 58.1705911461634,26.1217567693105 58.1674394306277,26.1136516568538 58.1650775050117,26.1048311432196 58.1635959727707,26.0956335989465 58.1630516555017,26.0864117660111 58.1634654264489,26.0775193106491 58.1648214151182,26.0692973420409 58.1670676125464,26.06206139831 58.1701178546627,26.0560893856133 58.1738551098369,26.0516109239298 58.1781359478612,26.0487985050486 58.1827960229382,26.0477608051808 58.1876563643649,26.0485384180139 58.1925302369762,26.051102185896 58.1972303103535,26.0553542098134 58.2015758623638,26.0611315162025 58.2053997395329,26.0682122542777 58.208554804453,26.0763241958104 58.2109196188333,26.0851552147381 58.2124031394299,26.0943653411855 58.2129482419359,26.1035999176507 58.2125339335618,26.1125033378079 58.2111761666201,26.1207328231843 58.2089272208005,26.1279716912978 58.2058736785921,26.1339415907841 58.2021330740345,26.1384132233845 58.1978493472485,26.1412151369776 58.1931872838186,26.1422402546859 58.1883261571562)))', 'EEPRO', 'Pööri', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7202786662556 59.6544900500923,25.7195172228847 59.6496153558902,25.7168919984399 59.6449094764743,25.7125045735191 59.6405531515328,25.706524035201 59.6367136283762,25.6991804062607 59.6335382596674,25.6907557762916 59.6311488708634,25.681573479904 59.6296371092492,25.6719857349649 59.6290609486419,25.6623602062228 59.6294424800541,25.6530659956407 59.6307670704132,25.6444595797377 59.63298392051,25.6368712159383 59.6360080013954,25.6305923243366 59.6397232971984,25.6258643186357 59.6439872334955,25.6228693108612 59.6486361256048,25.6217230496894 59.6534914420996,25.6224703732747 59.6583666469194,25.6250833663027 59.6630743600086,25.6294623102956 59.6674335625191,25.6354394093205 59.6712765690575,25.6427851642073 59.6744554966481,25.6512171617106 59.6768479780259,25.6604109455819 59.678361895089,25.6700125490875 59.6789389458722,25.6796521976341 59.6785569038413,25.6889586396422 59.6772304798059,25.6975735364672 59.6750107521369,25.7051653395422 59.6719831878681,25.7114421051784 59.6682643331844,25.7161627433359 59.6639973043164,25.7191462636327 59.6593462567613,25.7202786662556 59.6544900500923)))', 'EEPRP', 'Pärispea', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5922353791762 58.9500422982384,23.5909437866455 58.9451986495813,23.5878490936519 58.940578217854,23.5830708284986 58.9363584362946,23.5767929860775 58.9327012926554,23.569256901212 58.929747130911,23.5607519622434 58.9276092880215,23.5516045234786 58.926369767289,23.5421654374541 58.9260761102105,23.5327966749211 58.9267395835322,23.5238575311258 58.928334749053,23.5156909308233 58.9308004322913,23.5086103412795 58.934042054136,23.5028877823297 58.9379352387889,23.4987433856648 58.9423305633839,23.4963369025601 58.9470592713189,23.4957614912813 58.9519397341297,23.4970400339928 58.9567844171411,23.5001241403243 58.9614070833917,23.5048958936949 58.9656299594583,23.5111722905747 58.9692905864784,23.5187122162147 58.9722480901643,23.5272256975538 58.9743886247754,23.5363850797876 58.9756297772187,23.5458376920924 58.9759237575833,23.5552195044599 58.9752592499057,23.5641692349213 58.9736618498585,23.572342346997 58.9711930721104,23.5794243820643 58.9679479668841,23.5851431002244 58.9640514402913,23.5892789545147 58.9596534239777,23.5916734941601 58.9549230843347,23.5922353791762 58.9500422982384)))', 'EEPRR', 'Promenaadi', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8152408701849 59.6274542474651,25.8144662196838 59.6225800471747,25.811829753338 59.6178760175273,25.8074334810458 59.6135228265706,25.8014468267904 59.6096876008936,25.7941000453795 59.6065175280391,25.7856753451049 59.6041342302863,25.7764960617514 59.6026291214412,25.7669142970218 59.6020599204215,25.7572974866823 59.6024484516011,25.7480143995687 59.6037798136517,25.7394210874392 59.6060029476878,25.7318473072366 59.6090325835584,25.7255839216173 59.6127524918906,25.7208717508566 59.6170199206673,25.7178922999933 59.6216710503972,25.7167607202485 59.6265272628994,25.717521284752 59.6314019868645,25.720145567433 59.6361078599718,25.7245334132436 59.640463933524,25.7305166810575 59.6443026420838,25.7378656316258 59.6474762678715,25.7462977264262 59.6498626477055,25.7554885039263 59.6513698985607,25.7650841125424 59.6519399754166,25.7747150088983 59.6515509205612,25.7840102796858 59.6502177150477,25.7926120182908 59.6479916984129,25.8001891849173 59.6449585796579,25.8064504013604 59.6412351183937,25.8111551775863 59.6369646075386,25.814123134309 59.632311335802,25.8152408701849 59.6274542474651)))', 'EEPRS', 'Prassi ninas', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8529106487078 59.395689544807,27.8518487448404 59.3908293586301,27.8489488791333 59.3861681725281,27.8443231411144 59.3818849951116,27.8381497179003 59.3781442545384,27.8306659825598 59.3750895058131,27.8221593522068 59.3728379443931,27.8129562700625 59.3714759323318,27.8034097306851 59.3710557043583,27.7938858170894 59.3715933767051,27.7847497515913 59.3730683327599,27.7763519783988 59.375424008396,27.7690147949433 59.3785700478531,27.7630200307436 59.3823857500163,27.7585982374724 59.3867246765957,27.7559198024498 59.3914202497073,27.7550883310087 59.3962921282944,27.7561365625494 59.4011531221672,27.7590249927424 59.4058163804665,27.7636432730119 59.4101025791089,27.7698143516177 59.413846829983,27.7773012124404 59.416905043673,27.7858159625435 59.4191594972118,27.7950309225489 59.4205233882464,27.8045912895997 59.4209441959903,27.8141288755395 59.4204057159461,27.8232763765581 59.4189286876909,27.8316816074918 59.416569990826,27.8390211355374 59.4134204410669,27.8450127742375 59.4096012739403,27.8494264477523 59.4052594552453,27.8520930049221 59.4005620031634,27.8529106487078 59.395689544807)))', 'EEPRT', 'Perjatsi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1011154169726 58.0943410083804,26.1003326305565 58.0894673686294,26.097769967616 58.0847682091514,26.0935265292828 58.0804240152252,26.0877658128754 58.0766015761025,26.0807093644728 58.0734475991011,26.0726282401703 58.0710831001462,26.0638326078512 58.0695987820092,26.0546598862349 58.0690515734906,26.045461868093 58.0694624587833,26.0365913088315 58.0708156778487,26.0283884795188 58.0730593275074,26.0211681845837 58.0761073408339,26.0152077288247 58.0798427710879,26.0107362863045 58.0841222575494,26.0079260757441 58.0887815059338,26.0068856841323 58.0936415771618,26.0076558038711 58.09851574661,26.0102075608847 58.1032166728906,26.0144435143685 58.1075636017459,26.0202013065056 58.1113893275566,26.0272598364138 58.1145466426367,26.0353477311106 58.1169140228685,26.0441537919834 58.1184003268318,26.0533390126587 58.1189483234016,26.0625496974934 58.1185369084108,26.0714311626888 58.1171819225401,26.0796414768456 58.1149355379495,26.0868646960365 58.1118842379338,26.0928230702746 58.108145469602,26.0972877423933 58.1038631018663,26.1000875244053 58.0992018676583,26.1011154169726 58.0943410083804)))', 'EEPSA', 'Pikasilla', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5031648561709 58.8970759876525,23.5018878830339 58.8922313149233,23.4988099489448 58.8876086040664,23.4940499375177 58.8833853767253,23.4877911429527 58.8797237537816,23.4802741701849 58.8767642518391,23.4717876761976 58.8746204132781,23.4626573101038 58.8733744716879,23.453233271958 58.8730742148892,23.4438769572681 58.8737311625861,23.4349471849216 58.8753201265507,23.4267865202012 58.8777801698048,23.4197082014992 58.8810169292687,23.4139841592873 58.8849062155084,23.409834579155 58.8892987552697,23.4074194079366 58.8940258990903,23.4068321341549 58.8989060790391,23.4080960927895 58.9037517719766,23.4111634519079 58.9083767029348,23.4159169378384 58.9126030122808,23.4221742498307 58.9162681099259,23.4296950086617 58.919230950275,23.4381899809576 58.9213774827052,23.4473322268608 58.9226250635092,23.4567697377213 58.9229256553106,23.4661390669289 58.9222676874037,23.4750794142502 58.9206765033348,23.4832466044578 58.9182133780732,23.4903264057151 58.9149731439072,23.4960466618484 58.9110805192625,23.5001877636679 58.9066852856351,23.5025910550865 58.9019565026033,23.5031648561709 58.8970759876525)))', 'EEPSK', 'Pusku', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4883456243171 59.0260803146122,23.4870654759823 59.0212356023638,23.4839775490369 59.0166126888141,23.4792011166964 59.0123891028649,23.4729201078506 59.0087269783542,23.4653759822701 59.0057668501675,23.4568584388978 59.0036222837411,23.4476943161181 59.0023755397613,23.4382351054659 59.0020744362781,23.4288435473829 59.002730525288,23.4198798084789 59.0043186517142,23.4116877537657 59.0067779112915,23.4045818242719 59.0100139718781,23.3988350103539 59.0139026718897,23.394668374185 59.0182947616121,23.3922425219745 59.0230216097555,23.3916513584793 59.0279016603614,23.3929183749001 59.0327473955097,23.3959956284842 59.03737253846,23.4007654709376 59.0415992209049,23.4070449766233 59.0452648375937,23.4145929146169 59.0482283219885,23.4231190055736 59.0503755977006,23.4322951098177 59.0516239915786,23.4417679117428 59.0519254343899,23.4511726017554 59.0512683224784,23.4601470140249 59.0496779666486,23.4683456586155 59.0472156105729,23.4754530912516 59.0439760578075,23.481196092741 59.0400840015894,23.4853541813213 59.0356892025845,23.487768052077 59.0309607045456,23.4883456243171 59.0260803146122)))', 'EEPSL', 'Paslepa paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2228721527986 58.6781822179833,23.2216428311007 58.6733343548856,23.2186219350394 58.6687044940702,23.2139261520755 58.6644704347688,23.2077363092302 58.660794716712,23.200290367875 58.6578184001239,23.1918742656868 58.6556556745907,23.1828109596507 58.6543894994649,23.173448086357 58.6540684390061,23.1641447029601 58.6547048103663,23.1552576031196 58.656274213436,23.1471277164947 58.658716460137,23.1400670976667 58.6619378687178,23.1343469907535 58.6658148377115,23.1301874197546 58.6701985661709,23.1277487024568 58.6749207432903,23.1271252185957 58.6797999931238,23.1283416824509 58.6846488302995,23.131352078337 58.689280861641,23.1360413173489 58.6935179574742,23.1422295687247 58.6971971157848,23.1496791133835 58.7001767526013,23.1581034650811 58.7023421728627,23.1671784109204 58.7036100069676,23.1765545422547 58.7039314380915,23.1858707835094 58.7032940926518,23.1947683835294 58.7017225190531,23.2029048140973 58.6992772358176,23.2099670243778 58.6960523869821,23.2156835279725 58.6921720977616,23.2198348494577 58.687785674577,23.2222619269612 58.6830618384812,23.2228721527986 58.6781822179833)))', 'EEPSM', 'Pallasmaa', 'Y'),('SRID=4326;MULTIPOLYGON(((26.7650964466022 59.5210973535248,26.7641870424598 59.5162289294525,26.7614266103498 59.5115441606903,26.7569219045649 59.5072229689398,26.7508464905676 59.5034312472746,26.7434340064648 59.500314510533,26.7349691598547 59.4979923335106,26.7257768096719 59.4965537860989,26.7162095490549 59.4960540361985,26.706634256227 59.4965122470474,26.6974181149503 59.4979108471412,26.6889146237131 59.5001961998404,26.6814501131702 59.5032806477875,26.6753112744795 59.5070458561073,26.6707341673155 59.5113473297599,26.6678951260583 59.5160199360215,26.6669039169054 59.5208842244792,26.6677994188794 59.5257533056231,26.6705480099554 59.5304400263847,26.6750447385293 59.5347641678892,26.6811172535982 59.53855938799,26.6885323583945 59.5416796392442,26.6970049463473 59.5440048118032,26.7062089799743 59.5454453797315,26.715790087437 59.5459458675226,26.7253792824516 59.545486999601,26.73460726477 59.5440864475047,26.743118733211 59.5417981450485,26.7505861426645 59.5387101986644,26.7567223606434 59.5349414758333,26.761291726457 59.5306370066471,26.7641190842772 59.5259623798719,26.7650964466022 59.5210973535248)))', 'EEPTA', 'Pärtlimäe talu lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7972727769764 59.649461103478,25.796500265158 59.644586819883,25.7938646290055 59.6398824470696,25.7894678478429 59.6355286663053,25.7834793663568 59.6316926267866,25.7761295103658 59.6285215471914,25.7677006066322 59.6261370882868,25.7585161522699 59.6246307082701,25.7489284470019 59.6240601746844,25.7393051538022 59.624447362927,25.7300152893346 59.6257774231593,25.7214151644795 59.6279993464912,25.71383479684 59.631027909356,25.7075653014279 59.6347469237553,25.7028477329925 59.6390136722261,25.6998638042042 59.6436643616514,25.6987288390636 59.6485203909974,25.6994872418837 59.6533951961802,25.702110670974 59.6581014118771,25.7064990054229 59.662458076259,25.7124840864808 59.6662976011255,25.7198361060173 59.6694722371863,25.728272407894 59.6718597822346,25.7374683686987 59.6733683082349,25.7470699369556 59.6739397209368,25.7567073391725 59.6735520111055,25.7660094107115 59.6722201079866,25.7746179822742 59.6699953010339,25.7822017503243 59.6669632528198,25.788469082172 59.6632406819559,25.7931792524552 59.6589708473445,25.7961516748072 59.6543180119387,25.7972727769764 59.649461103478)))', 'EEPTJ', 'Pärtli-Jaani', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7216429575829 58.5229984390416,23.7203509153194 58.5181558156069,23.7172785378207 58.513538049238,23.7125444764353 58.5093224719864,23.70633101372 58.5056709124285,23.698877004646 58.502723503125,23.6904686863529 58.5005933250258,23.6814287112435 58.4993620901362,23.6721038198103 58.4990770240701,23.6628516159527 58.4997490648582,23.6540269378002 58.5013524451674,23.6459683306479 58.5038256735978,23.6389851253151 58.5070738786993,23.6333456050849 58.5109724285086,23.6292667076861 58.5153716904949,23.6269056561831 58.5201027534779,23.6263538452188 58.5249838959402,23.6276332283842 58.5298275556429,23.6306953607581 58.5344475348314,23.6354231507185 58.5386661645731,23.6416352704784 58.5423211515784,23.6490930695228 58.5452718414889,23.6575097337267 58.5474046539115,23.6665613400987 58.5486374757885,23.6758993773902 58.5489228399011,23.6851642403604 58.5482497628433,23.6939991636413 58.5466441697116,23.7020640422092 58.5441678887885,23.7090485904809 58.5409162562389,23.7146843207262 58.5370144258243,23.7187548722106 58.5326125295176,23.7211042924601 58.5278798795497,23.7216429575829 58.5229984390416)))', 'EEPTL', 'Paatsalu lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1853245361628 58.2513104387532,26.1845269463815 58.2464374008449,26.1819420248872 58.2417399960539,26.1776697335677 58.2373986410299,26.1718746812323 58.2335800145752,26.1647797330673 58.230430676188,26.1566574212636 58.228071462482,26.147819490586 58.2265928724756,26.1386049777244 58.226051614702,26.1293672734752 58.2264684450585,26.1204606511241 58.2278273758964,26.1122267622402 58.2300762857292,26.1049816021402 58.2331289068352,26.0990034315462 58.2368681167012,26.094522108691 58.2411504104139,26.0917102379071 58.2458113864565,26.090676477521 58.2506720394997,26.0914612731122 58.2555456221766,26.0940351938885 58.2602448147938,26.0982999527202 58.2645889285218,26.1040920875521 58.2684108645715,26.1111891773648 58.2715635595887,26.1193183639242 58.2739256659434,26.1281668558478 58.2754062442369,26.1373940085905 58.2759482832367,26.1466445070456 58.2755309081107,26.1555621301219 58.2741701894439,26.1638035514881 58.2719185209043,26.1710516290765 58.2688625902022,26.1770276580073 58.265120023707,26.1815021060996 58.2608348373483,26.1843034156429 58.2561718730214,26.1853245361628 58.2513104387532)))', 'EEPTS', 'Pootsmani', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3363753895864 58.324995565904,24.3358310658484 58.3201141913693,24.3334876091343 58.3153824545872,24.3294357295635 58.310982103976,24.3238316063645 58.3070820939357,24.3168908150717 58.303832114664,24.3088800110491 58.3013568677863,24.3001066937202 58.2997513035082,24.2909074430272 58.2990769978717,24.2816350720395 58.2993598053781,24.2726451762089 58.3005888743211,24.2642825798773 58.302717061322,24.2568681839604 58.3056627295122,24.2506867052339 58.3093128633025,24.2459757675558 58.3135273834401,24.2429167592291 58.3181445007807,24.2416278094239 58.3229869074952,24.2421591615307 58.3278685717828,24.2444911344041 58.3326018778983,24.2485347662331 58.3370048385069,24.2541351334343 58.3409081018609,24.2610772322927 58.3441614824756,24.2690942083828 58.3466397609017,24.2778776226419 58.3482475254072,24.2870893579608 58.348922864985,24.2963747005961 58.3486397677251,24.3053760802765 58.3474091294463,24.3137469243462 58.3452783324451,24.3211650762469 58.3423294109395,24.3273452473915 58.3386758758068,24.332050012993 58.3344583241233,24.3350989243931 58.3298390065581,24.3363753895864 58.324995565904)))', 'EEPUA', 'Puru', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5910848047862 59.5235378310525,25.5903447243278 59.5186623775481,25.5877474765231 59.5139539310958,25.5833935624423 59.5095933315058,25.577450779959 59.5057479918579,25.5701477027177 59.5025654896341,25.5617648666671 59.5001679253243,25.5526240072439 59.4986472607549,25.5430757580122 59.4980618116511,25.5334862739445 59.4984340251953,25.5242232785578 59.4997496251785,25.515642053207 59.5019581564188,25.5080718886931 59.5049749081606,25.5018035039533 59.5086841448915,25.4970779042121 59.5129435241345,25.4940771021031 59.5175895359658,25.4929170608685 59.522443759869,25.4936431401726 59.5273197025504,25.4962282343393 59.5320299568164,25.5005736925775 59.5363934076342,25.5065130043404 59.540242207851,25.5138181243728 59.5434282531449,25.5222082057336 59.5458289036256,25.5313604099554 59.5473517276243,25.54092237633 59.5479380806618,25.5505258615707 59.5475653779396,25.5598010106047 59.5462479701397,25.5683906917923 59.5440365876684,25.5759643270095 59.5410163753562,25.5822306689395 59.5373035955562,25.5869490233613 59.5330411301453,25.5899384806774 59.5283929588877,25.5910848047862 59.5235378310525)))', 'EEPUD', 'Pudisoo', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0409722510896 59.4349938193191,27.0400255166035 59.430127279401,27.0372339753691 59.42544829788,27.0327055688727 59.4211365725494,27.026614764232 59.4173576320049,27.0191957824116 59.4142565001465,27.0107335739745 59.4119521532024,27.0015528926113 59.4105329776995,26.9920058826356 59.4100533993581,26.9824586471716 59.4105318085982,26.9732772979211 59.4119498597989,26.9648140046142 59.4142531703365,26.9573935622579 59.4173533934398,26.9513009771007 59.4211315877776,26.9467705380888 59.4254427581515,26.9439767900723 59.4301213973656,26.9430277590906 59.4349878208904,26.9439607001821 59.4398550547969,26.9467405463874 59.444536014901,26.9512611366809 59.4488507021886,26.9573491938924 59.4526331371335,26.9647709153326 59.4557377638453,26.9732409333598 59.4580450740357,26.9824333053459 59.4594662300498,26.9919941071842 59.4599465046518,27.0015551360606 59.4594674014219,27.0107481803476 59.4580473716352,27.01921928985 59.4557410991375,27.0266424796177 59.4526373816326,27.0327323251373 59.4488556924426,27.0372549545517 59.4445415588254,27.0400370119528 59.4398609391032,27.0409722510896 59.4349938193191)))', 'EEPUR', 'Purtse', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2178624730503 58.6459278842752,27.2169126240271 58.6410620429124,27.2141607058738 58.63638625613,27.209713099772 58.6320801012441,27.2037411404607 58.6283088971879,27.1964744689541 58.6252173763993,27.1881921862229 58.6229241521564,27.1792121509569 58.6215171895241,27.1698788290711 58.6210504495395,27.160550152063 58.6215418318699,27.1515838746998 58.6229724925346,27.1433239392291 58.6252875620659,27.1360873530967 58.6283982374164,27.1301520700219 58.6321851697456,27.1257463304959 58.6365030216584,27.123039867928 58.6411860231971,27.1221373217475 58.6460543175159,27.1230741202523 58.6509208561501,27.1258150059469 58.6555985814297,27.1302552772403 58.6599076209206,27.1362247160529 58.6636822165352,27.1434940650971 58.6667771195019,27.1517838157749 58.6690732016364,27.1607749724709 58.670482062785,27.1701213761314 58.6709494528781,27.1794631036739 58.6704573732751,27.1884404135022 58.6690247741103,27.1967076837746 58.6667068199712,27.2039467903895 58.6635927530612,27.2098793959106 58.6598024385551,27.2142776674835 58.6554817287536,27.2169730086284 58.6507968287014,27.2178624730503 58.6459278842752)))', 'EEPUS', 'Pusi', 'Y'),('SRID=4326;MULTIPOLYGON(((23.63467754165 58.5460304737076,23.6333965350789 58.5411869072478,23.6303334362849 58.5365670040946,23.6256065424066 58.5323481788474,23.619397863146 58.52869238508,23.6119460720668 58.5257399179701,23.6035373229531 58.5236040524695,23.5944942858226 58.5223667185714,23.5851638189157 58.5220753755739,23.5759037394773 58.5227412020137,23.5670691865199 58.5243386687507,23.5589990824647 58.5268065112068,23.5520031973651 58.5300500647307,23.5463502993593 58.5339448762159,23.542257838387 58.5383414571583,23.5398835576831 58.5430709999838,23.5393193601953 58.5479518422919,23.5405876764335 58.5527964340935,23.5436404885447 58.5574185424366,23.5483610654437 58.5616404170023,23.5545683591334 58.5652996399861,23.5620239069943 58.5682553941437,23.5704409833096 58.5703939040994,23.5794956503213 58.571632837265,23.5888392792431 58.5719244908682,23.5981120490289 58.571257639085,23.6069568886729 58.5696579671552,23.6150333096982 58.567187075378,23.6220305803519 58.563940092637,23.6276797215615 58.5600419941058,23.6317638553285 58.5556427687113,23.6341265061603 58.5509116266207,23.63467754165 58.5460304737076)))', 'EEPVR', 'Pivarootsi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.708964663902 59.4578680538035,24.7083530314871 59.4529886261019,24.7058838487997 59.4482636731508,24.7016527048203 59.4438746756527,24.695822697064 59.4399901428375,24.6886180884925 59.4367591607371,24.6803156561772 59.4343056924597,24.6712340691068 59.4327238450072,24.6617217011175 59.4320742798841,24.6521433382747 59.4323819013371,24.6428662771031 59.4336349081264,24.6342463302288 59.435785243937,24.6266142589729 59.4387504295853,24.6202631381858 59.4424167088157,24.6154371273673 59.4466433903968,24.6123220744027 59.4512682241221,24.6110383149493 59.4561136087754,24.6116359529943 59.4609933976362,24.6140928183214 59.4657200429908,24.6183151971543 59.4701118064844,24.6241413263929 59.47399975779,24.6313475335484 59.4772342904419,24.6396567981833 59.4796909007924,24.6487494111526 59.4812750034869,24.6582753200259 59.48192559368,24.6678676772573 59.4816176110671,24.6771570557993 59.4803629118714,24.6857857678156 59.4782098100621,24.6934217175727 59.4752412059216,24.6997712397571 59.4715713761405,24.7045904182458 59.4673415524891,24.707694445316 59.4627144635251,24.708964663902 59.4578680538035)))', 'EEPVS', 'Piirivalvesadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3156144307667 58.491149369812,23.3143795038328 58.4863023061107,23.3113631166033 58.4816744733823,23.3066817742358 58.4774435932137,23.3005157419862 58.4737720840458,23.2931020626195 58.4708008456955,23.2847254342064 58.4686438741843,23.2757073007286 58.4673839093405,23.2663935699183 58.4670692781328,23.2571414195784 58.4677120515676,23.2483056843555 58.4692875838533,23.2402253290245 58.4717354510821,23.2332105115507 58.4749617546318,23.227530719549 58.4788427035895,23.2234044275777 58.4832293424712,23.2209906706093 58.4879532470221,23.2203828620799 58.4928329735397,23.2216051046936 58.4976810174006,23.2246111508117 58.5023110155646,23.229286069616 58.5065449167777,23.2354505737818 58.5102198426728,23.2428678531846 58.5131943732673,23.2512526616841 58.5153540113252,23.2602823099554 58.5166156110599,23.2696091372414 58.5169305966049,23.2788739719161 58.516286843009,23.2877200482546 58.5147091452847,23.2958068271399 58.5122582570088,23.302823172681 58.5090285367313,23.3084993646319 58.5051442955309,23.3126174765127 58.5007549901054,23.3150197186964 58.4960294506662,23.3156144307667 58.491149369812)))', 'EEPYA', 'Pae', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4949800911057 58.0219337484507,24.4944175579107 58.0170527192996,24.4920717812864 58.0123236856671,24.4880335454661 58.0079282921062,24.48245849282 58.0040353035249,24.4755610735852 58.0007941421312,24.4676062738627 57.9983291730814,24.4588994443701 57.9967349541983,24.4497746189378 57.9960726279136,24.4405817635984 57.9963675901926,24.431673433267 57.9976085232112,24.4233913327881 57.9997478276544,24.4160532822219 58.0027034384215,24.4099410726178 58.0063619560018,24.405289668425 58.0105829765635,24.4022781666589 58.0152044585634,24.4010228618925 58.0200489240462,24.4015726914668 58.0249302602606,24.4039072489114 58.0296608630776,24.4079374580097 58.0340588490505,24.4135088983877 58.0379550586008,24.4204076697466 58.0411995791574,24.4283685801401 58.043667534162,24.437085348558 58.0452639112064,24.4462224280581 58.0459272392979,24.455427987034 58.045631969955,24.4643475365537 58.0443894677495,24.4726376637511 58.0422475708914,24.4799793265716 58.0392887391538,24.486090184036 58.0356268624112,24.4907354775492 58.0314028558972,24.4937370403936 58.0267792157388,24.4949800911057 58.0219337484507)))', 'EEPYB', 'Priivitsa oja lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8500577456205 59.5188157074516,24.8494248198741 59.5139368670116,24.8469315975132 59.5092144902325,24.8426745923455 59.5048299575565,24.8368178946684 59.5009516055241,24.8295867901913 59.4977282818544,24.8212590698423 59.4952836549958,24.8121543692776 59.4937114923208,24.8026219454429 59.4930720837649,24.7930273507961 59.4933899442515,24.7837385027431 59.4946528802758,24.7751116658597 59.4968124552048,24.7674778672717 59.4997858359101,24.7611302511196 59.5034589519961,24.7563128465766 59.5076908498493,24.7532111759326 59.5123190786676,24.7519450657127 59.5171659061547,24.752563946019 59.5220451291551,24.7550448332273 59.526769220484,24.7592930914429 59.531156538675,24.7651459620135 59.5350383231189,24.7723787418758 59.5382652035436,24.7807133850434 59.5407129700167,24.789829201926 59.5422873771871,24.7993752432183 59.5429277934148,24.8089838833241 59.542609550367,24.8182850665398 59.5413448997901,24.8269206503705 59.5391825393428,24.8345582760483 59.5362057262242,24.8409042167963 59.5325290533841,24.8457146985106 59.5282940159192,24.8488052528415 59.5236635426087,24.8500577456205 59.5188157074516)))', 'EEPYC', 'Pringi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.839089361564 59.5408200084197,24.8384576802487 59.5359411370268,24.8359644397408 59.5312185655543,24.8317061557697 59.5268336819154,24.825846968779 59.5229548360517,24.8186122607697 59.519730894511,24.8102799613113 59.517285549298,24.8011698816998 59.5157125951918,24.79163148482 59.5150723523617,24.7820305515719 59.5153893676585,24.7727352416943 59.5166514799907,24.7641020668644 59.5188102843896,24.7564622967673 59.5217829774234,24.7501093043923 59.5254555152716,24.7452873253522 59.5296869667303,24.7421820580604 59.5343148983515,24.7409134680311 59.539161589441,24.7415310817635 59.5440408422193,24.7440119655669 59.5487651284246,24.7482614849059 59.5531527990918,24.7541168336736 59.5570350799803,24.7613532142075 59.5602625815912,24.7696924423154 59.5627110699313,24.7788136518795 59.5642862717082,24.7883656855794 59.5649275245644,24.7979806864293 59.5646101278814,24.8072883530215 59.5633463008135,24.8159302924787 59.561184709383,24.823573900782 59.5582085813227,24.8299252206135 59.5545324834051,24.834740270994 59.5502978888222,24.8378344083381 59.5456677095336,24.839089361564 59.5408200084197)))', 'EEPYD', 'Pringi-Jaani', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8470649108101 59.5238168722849,24.846432339985 59.518938022792,24.8439391835689 59.5142155926277,24.8396819531204 59.5098309642869,24.8338247478331 59.5059524779694,24.8265928730799 59.502728986522,24.8182641494407 59.5002841647975,24.8091582510641 59.4987117876097,24.79962448076 59.4980721530934,24.7900284424845 59.4983897848213,24.7807381088346 59.4996524980605,24.772109801192 59.5018118647382,24.7644746029637 59.5047850597457,24.7581257119203 59.5084580198565,24.7533072061767 59.5126897974942,24.7502046504034 59.5173179465239,24.7489379053073 59.52216473776,24.7495564256338 59.5270439694744,24.7520372418807 59.5317681141669,24.756285721166 59.5361555283219,24.7621390965823 59.5400374476251,24.7693726458235 59.5432644965895,24.7777082933883 59.545712458762,24.7868253110253 59.5472870812237,24.7963727031171 59.5479277240165,24.80598279191 59.5476097100662,24.8152854657392 59.546345282296,24.8239225245403 59.544183129801,24.8315615526228 59.5412065018059,24.8379087691592 59.5375299841791,24.8427203509672 59.5332950660961,24.8458117874848 59.5286646717957,24.8470649108101 59.5238168722849)))', 'EEPYE', 'Pringi-Mere', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8430764059372 59.5318184362327,24.8424442875828 59.5269395754823,24.8399511245807 59.5222170745201,24.8356934291876 59.5178323185577,24.8298353188294 59.5139536526681,24.8226021338887 59.5107299365448,24.8142717453533 59.5082848536062,24.8051638912319 59.5067121886321,24.7956279492107 59.506072250751,24.7860296063046 59.5063895751455,24.7767369232193 59.5076519888687,24.7681063111795 59.509811075362,24.7604689417837 59.5127840203151,24.7541180960092 59.5164567701649,24.7492979270299 59.5206883854836,24.7461940635527 59.5253164264467,24.7449264168195 59.5301631680872,24.745544476625 59.5350424106319,24.7480252916223 59.5397666261889,24.7522742294243 59.5441541685156,24.75812850587 59.5480362683411,24.7653633642587 59.5512635431868,24.7737006788397 59.5537117678506,24.7828196571787 59.5552866792531,24.792369228027 59.5559276262666,24.801981629501 59.5556099200772,24.8112866606011 59.5543457917563,24.8199260302273 59.5521839188954,24.8275672335188 59.5492075400045,24.8339164058263 59.5455312314333,24.83872964875 59.5412964743922,24.8418223880144 59.536666187004,24.8430764059372 59.5318184362327)))', 'EEPYF', 'Pringi-Rohuneeme', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8450677516856 59.5258176382334,24.844435438543 59.5209387819148,24.8419424206851 59.5162163157911,24.837685204471 59.5118316237451,24.8318278886608 59.5079530484221,24.8245957829592 59.5047294460779,24.816266716864 59.502284495809,24.8071603776786 59.5007119773469,24.7976260850999 59.5000721942324,24.7880294630627 59.500389675729,24.7787385064799 59.5016522428625,24.7701095605474 59.5038114731689,24.7624737330876 59.5067845467828,24.7561242459673 59.510457405154,24.7513052001652 59.5146891046341,24.748202181111 59.5193172021137,24.7469350673675 59.5241639704114,24.7475533279396 59.5290432087007,24.7500340034248 59.533767389243,24.7542824664762 59.5381548671512,24.7601359509242 59.5420368756587,24.7673697303581 59.5452640358387,24.7757057204736 59.5477121269462,24.7848231798501 59.5492868910852,24.7943710958414 59.5499276828298,24.803981770468 59.5496098193617,24.8132850694335 59.5483455378068,24.8219227685241 59.5461835216349,24.8295624273293 59.5432070148348,24.8359102406983 59.5395305986286,24.8407223624701 59.5352957583127,24.843814261338 59.5306654151595,24.8450677516856 59.5258176382334)))', 'EEPYG', 'Pringi-Vabaõhumuuseum', 'Y'),('SRID=4326;MULTIPOLYGON(((27.648014471105 58.0147693230635,27.6470232546964 58.0099063164675,27.6442641417221 58.0052393382873,27.6398437575451 58.00094762722,27.6339323642318 57.9971959492853,27.6267572585173 57.9941282906318,27.6185940181088 57.9918623529291,27.6097559355081 57.9904850585272,27.6005820416892 57.9900492338179,27.5914241702455 57.9905715946636,27.5826335450424 57.9920321089676,27.5745473903932 57.9943747601326,27.5674760620442 57.997509683031,27.5616911798298 58.0013165929295,27.5574152090053 58.0056493793103,27.5548128876219 58.0103416923932,27.5539848328605 58.0152133119892,27.554963581505 58.0200770575715,27.5577122307808 58.024745976417,27.5621257483272 58.0290405343803,27.5680349174611 58.0327955320284,27.5752127800622 58.0358664778164,27.5833833387152 58.0381351696381,27.5922321867833 58.0395142658533,27.6014186543462 58.0399506657599,27.6105889935686 58.0394275659266,27.6193900824756 58.0379651109547,27.6274831037489 58.035619612891,27.634556656262 58.0324813702783,27.6403387815753 58.0286711732465,27.6446074341496 58.0243356327494,27.6471989900724 58.0196415178558,27.648014471105 58.0147693230635)))', 'EEPYH', 'Põrsanaeru', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8430953095032 59.5448185402758,24.8424629864691 59.5399396872867,24.839968900784 59.5352171899549,24.835709600796 59.5308324332994,24.8298492660417 59.5269537623356,24.82261332258 59.5237300368498,24.8142797473184 59.5212849405156,24.8051684003723 59.519712258536,24.7956287930836 59.5190723006289,24.7860267526218 59.5193896027187,24.7767304810671 59.5206519927299,24.7680965269142 59.5228110550675,24.7604561897479 59.5257839764334,24.7541028643986 59.5294567042727,24.7492807994141 59.5336883001084,24.746175696719 59.5383163249565,24.7449075157486 59.5431630545341,24.7455257675286 59.5480422895592,24.7480074940579 59.5527665024154,24.7522580285559 59.5571540469113,24.7581145259533 59.5610361536087,24.7653521443977 59.5642634396624,24.7736926519847 59.5667116793344,24.7828151332176 59.5682866088766,24.792368381659 59.5689275763991,24.8019844933939 59.5686098922724,24.8112931241144 59.567345786734,24.8199358437527 59.5651839365527,24.827580018259 59.5622075794516,24.8339316686067 59.5585312910452,24.8387468012556 59.5542965518744,24.8418407696687 59.549666279467,24.8430953095032 59.5448185402758)))', 'EEPYY', 'Püünsi', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2667135018559 58.5445383544045,22.2656212925964 58.5396810730018,22.2627382701107 58.5350284767438,22.2581758334604 58.5307592453128,22.2521097038384 58.5270372748518,22.2447731127376 58.5240054051116,22.2364478219703 58.5217799596195,22.2274533231384 58.5204463042221,22.2181346273969 58.5200555903236,22.2088491044589 58.5206228043736,22.199952861827 58.5221261962637,22.1917871706216 58.5245081079478,22.1846654428782 58.527677171534,22.1788612467968 58.5315117950486,22.1745978114585 58.5358648057693,22.172039421575 58.5405690771376,22.1712850369348 58.5454439273957,22.1723643918746 58.5503020476996,22.1752367394466 58.5549566958235,22.1797923057466 58.559228879708,22.185856415532 58.5629542537261,22.1931961448155 58.5659894599666,22.2015292540281 58.5682176669502,22.2105350612815 58.5695530884173,22.2198668338145 58.5699443040952,22.2291652110874 58.5693762511426,22.2380721286385 58.5678708073835,22.2462446901863 58.5654859432433,22.2533684377498 58.5623134760991,22.2591694956332 58.5584755160855,22.263425112521 58.5541197438763,22.2659721939908 58.549413706441,22.2667135018559 58.5445383544045)))', 'EERAG', 'Rannaaugu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9941148041227 58.8290111558432,26.993191245802 58.8241438200292,26.9904549061959 58.8194634000728,26.9860115790472 58.8151496520425,26.980032444916 58.8113681864837,26.9727474282656 58.8082641291285,26.9644363390816 58.8059565732778,26.9554181427807 58.8045340325668,26.946038767233 58.8040510644011,26.9366579056291 58.8045261900439,26.9276353076987 58.8059411887606,26.9193170688433 58.808241792255,26.9120224268104 58.8113397535816,26.906031558618 58.8151162135352,26.9015748367936 58.819426238915,26.8988239542101 58.8241043627185,26.8978852618552 58.8289709178421,26.8987955852237 58.8338389247089,26.9015206947309 58.8385212707224,26.9059565063133 58.8428379065899,26.9119329835893 58.8466227821199,26.9192206065811 58.849730252443,26.9275391685149 58.8520407046648,26.936568566317 58.8534651842033,26.9459611667889 58.8539488384831,26.9553552633617 58.8534730417864,26.9643890913979 58.8520561170097,26.9727148458127 58.8497526256752,26.9800121446844 58.8466512543764,26.9860004065189 58.842871381456,26.9904496555866 58.838558459708,26.9931893366756 58.8338783970799,26.9941148041227 58.8290111558432)))', 'EERAJ', 'Raja', 'Y'),('SRID=4326;MULTIPOLYGON(((26.4098486042995 59.3512302047557,26.408994555288 59.3463593171046,26.4062968426709 59.3416670747217,26.4018598080253 59.3373336897181,26.3958544191707 59.3335255265382,26.3885116310186 59.3303887338131,26.3801134843385 59.3280436579012,26.3709822883323 59.3265802482522,26.3614682994363 59.3260546265854,26.3519363599652 59.326486947811,26.3427519950927 59.3278606322299,26.334267484646 59.3301229975,26.3268084269991 59.3331872668658,26.3206612959804 59.3369358789416,26.3160624584148 59.341224975639,26.3131890702549 59.3458899002964,26.3121522041729 59.3507514993172,26.3129924824088 59.3556229891093,26.3156783976398 59.3603171271654,26.3201074043321 59.3646534127758,26.3261097568509 59.3684650399056,26.3334549625428 59.3716053325693,26.3418606125939 59.3739534115741,26.3510032554837 59.375418870276,26.3605308920902 59.3759452750054,26.3700766023549 59.3755123516376,26.3792727646215 59.3741367715426,26.3877653030149 59.3718715056626,26.3952273969804 59.3688037723455,26.4013721104413 59.3650516603322,26.4059634446279 59.3607595605449,26.4088253859107 59.3560925868376,26.4098486042995 59.3512302047557)))', 'EERAK', 'Rakvere', 'Y'),('SRID=4326;MULTIPOLYGON(((26.2673094771683 58.2392800427539,26.2665008980405 58.2344074854002,26.2639059927974 58.229711710058,26.2596251053522 58.2253730702557,26.2538231727701 58.2215581401492,26.2467233224266 58.218413337133,26.2385982728962 58.2160593237286,26.2297598726625 58.2145863995332,26.22054717571 58.2140510559297,26.2113135031532 58.2144738221917,26.2024129742827 58.2158384831836,26.1941870081341 58.218092697715,26.1869512976404 58.2211499945111,26.1809837425947 58.2248930714317,26.1765137952894 58.2291782747571,26.1737136244 58.2338410907332,26.1726914393925 58.2387024427396,26.1734872409154 58.2435755558926,26.1760711742868 58.2482731279141,26.1803445659601 58.2526145317484,26.1861436200347 58.2564327724411,26.1932456473648 58.2595809285912,26.2013775979529 58.2619378271931,26.2102265726935 58.2634127294034,26.219451907728 58.2639488427042,26.2286983579054 58.2635255206419,26.2376098586546 58.262159062968,26.2458433205696 58.2599020844019,26.2530819095559 58.2568414770184,26.2590472875995 58.2530950469648,26.2635103338399 58.2488069584446,26.2662999302279 58.2441421644562,26.2673094771683 58.2392800427539)))', 'EERAN', 'Rannu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.7964855938679 58.3680842612524,26.7956013072342 58.3632151972282,26.792926874892 58.3585303022471,26.7885656948004 58.3542095076387,26.7826857818757 58.3504186985781,26.7755132480549 58.3473033636594,26.7673235903422 58.3449830327557,26.758431124988 58.3435467125257,26.7491769705343 58.343049490587,26.7399160320957 58.3435104351261,26.7310034729264 58.3449118681535,26.7227811764542 58.3472000394198,26.7155647022747 58.3502871759169,26.7096312230749 58.354054830635,26.7052088963763 58.3583584055628,26.7024680759374 58.3630326794862,26.7015147036099 58.3678981325629,26.7023861448635 58.3727678283982,26.7050496421267 58.3774545917141,26.7094034622056 58.3817782067444,26.7152807106804 58.3855723589311,26.7224556812558 58.3886910507196,26.7306525059572 58.3910142411837,26.7395557774265 58.3924524883218,26.7488227319875 58.3929504111616,26.7580965158218 58.3924888348102,26.7670200100768 58.3910855334454,26.7752496665557 58.3887945417544,26.7824688051696 58.3857040621301,26.7883998475991 58.3819330505432,26.7928150073024 58.3776266160578,26.7955450216323 58.372950415229,26.7964855938679 58.3680842612524)))', 'EERBS', 'Rebase Paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9198021492489 57.8500381995918,26.918913798184 57.8451695927986,26.9162617050499 57.8404869007767,26.9119483864613 57.8361699715275,26.906140001256 57.832384544356,26.8990599044276 57.8292759046425,26.8909800423511 57.8269633289633,26.8822105231476 57.8255355297238,26.8730877597318 57.825047270068,26.8639616320236 57.8255172755045,26.8551821479756 57.8269275200674,26.8470860998703 57.8292239135699,26.8399842124946 57.8323183643679,26.8341492633009 57.8360921407654,26.8298056217925 57.840400405501,26.8271206067248 57.8450777533484,26.8261979962814 57.8499445433388,26.8270739496432 57.8548137859481,26.8297155103534 57.8594983230769,26.8340217652619 57.8638180258236,26.8398276309135 57.8676067326438,26.846910135897 57.8707186588608,26.8549969672207 57.8730340275578,26.86377695576 57.8744637011169,26.8729120947378 57.8749526310456,26.8820506201636 57.8744819897919,26.8908406366417 57.8730699001195,26.8989437484212 57.8707707331169,26.9060481553361 57.867673002669,26.9118806963601 57.863895939769,26.9162173686151 57.8595848820184,26.9188919143528 57.8549056598539,26.9198021492489 57.8500381995918)))', 'EERBY', 'Roby', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6849363834446 59.4388768823335,24.6843284923854 59.4339973526939,24.6818639915897 59.4292719623638,24.6776382895276 59.4248822091028,24.6718142744646 59.420996631428,24.6646159794324 59.4177643557267,24.6563199396722 59.4153093949487,24.6472445796145 59.4137259134886,24.6377380350395 59.4130746355841,24.6281648694189 59.4133805311537,24.6188921805183 59.4146318650673,24.6102756135307 59.4167806450492,24.6026458000149 59.4197444514617,24.5962957276973 59.4234095808504,24.5914695149941 59.4276353860416,24.5883530164464 59.4322596504703,24.5870666220174 59.4371047948582,24.587660535754 59.441984681867,24.5901127295902 59.4467117602266,24.5943296686765 59.4511042751909,24.6001497988322 59.4549932677989,24.6073496784711 59.4582290917713,24.6156525311139 59.460687193966,24.6247388951328 59.4622729317355,24.6342589594932 59.4629252373387,24.6438461024552 59.4626189843991,24.6531310983255 59.4613659624531,24.6617564282843 59.4592144207649,24.6693901266909 59.4562471994173,24.6757386143831 59.4525785217583,24.6805580141936 59.4483495751533,24.6836635087847 59.4437230544184,24.6849363834446 59.4388768823335)))', 'EERCC', 'Rocca-al-Mare', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6283887162082 58.3268874715977,24.6278040759532 58.3220070850662,24.6254213587216 58.3172804505198,24.6213327797852 58.3128891182563,24.6156959227953 58.3090016946422,24.6087276139103 58.3057673855261,24.6006955583709 58.3033102905809,24.5919080655388 58.3017246635519,24.5827022552527 58.3010713161082,24.5734311904257 58.3013752995669,24.5644504170378 58.3026249507525,24.556104412435 58.3047723373666,24.5487134458072 58.3077350861772,24.5425613408586 58.3113995258629,24.5378846002436 58.3156250271675,24.5348633048589 58.3202493778439,24.5336141394793 58.325094990287,24.5341858208712 58.3299757072721,24.5365571173534 58.3347039471414,24.5406375523582 58.3390979152018,24.5462707820746 58.3429886038111,24.5532405325669 58.3462263100553,24.5612788791261 58.3486864170792,24.570076554642 58.3502742125755,24.5792948890535 58.3509285547447,24.58857891276 58.3506242408318,24.5975711069059 58.3493729843207,24.6059252554365 58.347222961907,24.6133198493236 58.3442569480996,24.6194705126487 58.3405891112865,24.624140962235 58.3363605979056,24.6271520749398 58.3317340787648,24.6283887162082 58.3268874715977)))', 'EEREE', 'Reiu', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2915984560461 58.451900618733,27.2906437260568 58.4470351796896,27.2878972552787 58.4423608247345,27.2834652062888 58.4380570765086,27.2775183089261 58.4342891623804,27.2702852373231 58.4312016897114,27.2620438013115 58.428913117792,27.253110293786 58.427511234467,27.2438273997854 58.4270498068924,27.2345511222012 58.4275465314459,27.225637212167 58.4289823591295,27.2174276087447 58.4313022215667,27.2102373922179 58.4344171306052,27.2043427381514 58.4382075733562,27.1999703256432 58.4425280759412,27.1972886034761 58.4472127649699,27.196401253173 58.4520817174273,27.1973431097408 58.4569478586876,27.2000787112244 58.4616241460658,27.204503549797 58.4659307627278,27.2104479933417 58.4697020446122,27.2176837413011 58.4727928716475,27.2259325763959 58.475084273871,27.2348770792892 58.4764880325494,27.2441728909958 58.4769500950203,27.2534620420172 58.4764526682488,27.2623868213521 58.4750149081392,27.2706036351849 58.4726921772632,27.2777963055139 58.4695739004673,27.2836882832084 58.4657801033513,27.2880532966273 58.4614567704649,27.2907240234333 58.4567702060857,27.2915984560461 58.451900618733)))', 'EEREH', 'Rehemetsa', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2906268432815 58.4729009626187,27.2896716692228 58.4680355327369,27.2869236815393 58.4633611736247,27.2824891019912 58.459057407999,27.2765387582668 58.4552894637668,27.2693014571614 58.45220194929,27.261055170853 58.4499133253074,27.2521163780557 58.4485113815268,27.2428279660476 58.4480498873332,27.2335461487397 58.4485465416262,27.2246268891129 58.4499822981326,27.2164123309208 58.4523020912945,27.2092177442519 58.4554169357514,27.2033194723877 58.4592073212522,27.1989443336429 58.4635277762777,27.1962608821399 58.4682124294027,27.1953728667292 58.4730813590875,27.1963151490138 58.4779474916198,27.1990522517239 58.4826237846259,27.2034796102361 58.4869304209718,27.2094274962012 58.49070173571,27.2166674769985 58.4937926073496,27.2249211724949 58.4960840640543,27.233870975996 58.4974878848591,27.2431723239421 58.4979500146187,27.2524670330396 58.497452657674,27.2613971776462 58.4960149672708,27.2696189568674 58.4936923033859,27.2768160012798 58.4905740884221,27.2827115934363 58.4867803457595,27.2870793229868 58.4824570580148,27.289751763793 58.4777705278683,27.2906268432815 58.4729009626187)))', 'EEREM', 'Reemetsa', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5794604384891 59.1100455264691,23.5781640180369 59.105201888752,23.5750560430799 59.1005813454086,23.5702565591959 59.096361333266,23.56395038109 59.0927038478868,23.5563799337702 59.0897492451361,23.5478359240503 59.0876108776766,23.5386462026448 59.0863707679109,23.5291632396961 59.086076479261,23.5197506837023 59.086739302487,23.5107695046002 59.0883338246079,23.5025642356751 59.0907988965623,23.4954498257908 59.094039963778,23.4896995931823 59.097932673012,23.4855347350463 59.1023276209152,23.4831157940193 59.1070560664238,23.4825364144099 59.1119363918751,23.4838196393223 59.1167810681337,23.4869169067541 59.1214038582626,23.4917098012504 59.1256269833824,23.4980145112826 59.1292879740086,23.5055888353476 59.1322459406342,23.5141414764356 59.1343870184767,23.5233432697856 59.1356287725015,23.5328399074088 59.1359233889625,23.542265658958 59.1352595271932,23.5512575455895 59.1336627582838,23.5594694038925 59.1311945733495,23.5665852818325 59.1279500008861,23.5723316376802 59.1240539277788,23.5764878644439 59.1196562694959,23.5788947335363 59.1149261797308,23.5794604384891 59.1100455264691)))', 'EERGD', 'Riguldi', 'Y'),('SRID=4326;MULTIPOLYGON(((45.7971616915849 58.1277139159356,45.7961469259232 58.122852221252,45.7933595258079 58.118188633868,45.7889072059348 58.1139022607247,45.7829614553283 58.1101576613648,45.7757508882061 58.1070985488774,45.7675524400881 58.1048422959406,45.7586807501912 58.1034754527097,45.7494761343103 58.1030504444832,45.7402916006048 58.1035835724641,45.7314793930333 58.1050543921108,45.723377563014 58.1074064922443,45.7162970689742 58.110549645962,45.7105098858027 58.1143632532613,45.7062385721117 58.1187009468188,45.7036476932775 58.1233961882934,45.7028374334538 58.1282686444238,45.7038396516665 58.1331311015248,45.7066165477697 58.1377966550568,45.7110620062071 58.142085898751,45.717005582547 58.14583383605,45.7242189935875 58.148896245694,45.7324248708513 58.1511552530421,45.7413074441022 58.1525238886047,45.7505247406521 58.1529494542162,45.7597218218213 58.1524155638166,45.7685445334104 58.1509427780191,45.7766532248585 58.148587807332,45.7837358931494 58.1454413156742,45.7895202323879 58.1416244112196,45.7937841169277 58.1372839632535,45.7963641124148 58.1325869294499,45.7971616915849 58.1277139159356)))', 'EERGL', 'Raigla', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8683276098946 58.9993118139471,22.8671355910814 58.9944606315049,22.8641330585892 58.9898226054823,22.8594360133447 58.9855758496451,22.8532253475441 58.9818833909023,22.8457398344099 58.9788869306931,22.8372669371875 58.9767014295371,22.8281317927912 58.9754107182945,22.8186847887381 58.9750643003837,22.8092881998769 58.9756754642454,22.8003023830114 58.9772207763452,22.7920720422993 58.979640973646,22.7849130760276 58.9828432224716,22.7791004960503 58.9867046597627,22.774857875124 58.9910770846171,22.7723487251944 58.9957926243704,22.7716701424224 59.0006701619072,22.7728489739177 59.0055222808555,22.775840668927 59.0101624640694,22.7805308764311 59.0144122693709,22.7867397452198 59.0181082055983,22.794228775653 59.0211080418969,22.802709969012 59.023296303768,22.8118569253719 59.0245887400569,22.8213174589493 59.0249355847216,22.8307272351443 59.0243234843523,22.8397238894976 59.0227760150581,22.8479610679411 59.0203527682903,22.8551218312073 59.0171470419793,22.8609308938696 59.0132822286004,22.8651652186544 59.0089070430338,22.8676625566294 59.0041897782371,22.8683276098946 58.9993118139471)))', 'EERGR', 'Roograhu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.7087774836488 58.5841171015719,26.7079000017389 58.5792476053152,26.7052209004231 58.5745610358591,26.7008437674893 58.5702373885604,26.6949372389702 58.5664426572484,26.6877284541158 58.5633224797712,26.679494303284 58.5609965703448,26.6705508085395 58.5595541482418,26.6612410417612 58.5590505340618,26.6519220350255 58.5595050406174,26.642951171981 58.5609002369436,26.6346725662436 58.5631826127792,26.6274039332637 58.5662646187981,26.621424445629 58.5700280066237,26.6169640286447 58.5743283439725,26.6141945038504 58.5790005358179,26.613222923869 58.5838651438464,26.6140873640812 58.5887352651688,26.6167553471355 58.5934237085446,26.6211249778967 58.5977501933303,26.6270287624713 58.6015482937156,26.6342399793534 58.6046718589416,26.6424813679346 58.6070006590383,26.6514358042696 58.608445034654,26.6607585507206 58.6089493677839,26.6700905991699 58.6084942361614,26.679072580483 58.6070971659127,26.6873586883868 58.6048119525873,26.6946300652953 58.6017265774939,26.7006071208861 58.5979598019205,26.7050603001142 58.5936565739043,26.7078188833241 58.588982428549,26.7087774836488 58.5841171015719)))', 'EERGV', 'Raigastvere', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4761755795767 58.9040859766138,23.4749020932846 58.8992410177218,23.4718270987106 58.8946176481628,23.4670693672523 58.890393415031,23.460812106313 58.8867304779178,23.453295862662 58.8837694038998,23.4448092658656 58.881623795658,23.4356779693309 58.8803759546104,23.4262522089014 58.8800737413545,23.4168934459881 58.8807287505564,23.4079605930062 58.8823158682879,23.3997963328808 58.8847742283833,23.3927140413534 58.8880095323869,23.3869858007979 58.8918976468268,23.3828319575383 58.896289343593,23.3804126218914 58.9010160057982,23.379821442381 58.9058960842377,23.3810819043634 58.9107420598972,23.3841463108368 58.9153676471402,23.388897502345 58.9195949612509,23.3951532671346 58.9232613735873,23.4026732862158 58.9262257880018,23.4111683552503 58.9283740932678,23.4203115310104 58.9296235773694,23.4297507691463 58.9299261295682,23.4391225563846 58.9292701035971,23.4480659974713 58.9276807681785,23.4562367975374 58.9252193271016,23.4633205851968 58.921980547874,23.4690450503069 58.9180890930393,23.4731904213243 58.9136946992519,23.4755978777552 58.9089663939955,23.4761755795767 58.9040859766138)))', 'EERHK', 'Rohuküla', 'Y'),('SRID=4326;MULTIPOLYGON(((26.6554957681118 58.3761365496449,26.6546307056372 58.3712665446194,26.6519743592573 58.366578736558,26.6476294342672 58.3622531696461,26.6417633241983 58.3584559130386,26.6346016142597 58.3553327032751,26.6264193890634 58.3530033725859,26.6175306821109 58.3515572728204,26.608276469268 58.3510498664562,26.5990116582632 58.3515006119496,26.5900915600975 58.3528922221614,26.5818583455643 58.3551713234194,26.5746279905565 58.3582504906857,26.5686781974883 58.3620115830302,26.5642377472444 58.3663102548954,26.5614776871695 58.370981474153,26.5605046967103 58.3758458393117,26.5613568948672 58.3807164568988,26.5640022646371 58.38540611731,26.5683397718125 58.3897344943572,26.5742031521585 58.3935350910684,26.5813672360449 58.3966616624038,26.5895565774509 58.3989938643639,26.5984560594983 58.4004419079738,26.6077230659093 58.4009500348228,26.6170007412475 58.4004986767668,26.6259318160301 58.3991052142024,26.6341724483719 58.3968233028064,26.6414055330873 58.3937407954352,26.647352952192 58.3899763415199,26.6517862862193 58.3856747983864,26.6545355712054 58.3810016352872,26.6554957681118 58.3761365496449)))', 'EERHN', 'Rahinge', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((22.1780798382031 58.0695733116979,22.1770150763351 58.0647148310816,22.1741827668842 58.0600597337642,22.1696923423377 58.0557867982203,22.1637167462077 58.052060066371,22.1564857294996 58.049022564606,22.1482770046775 58.0467908362245,22.1394055995539 58.0454504910257,22.130211816196 58.0450529387926,22.1210482476608 58.0456134286547,22.1122663372018 58.0471104674076,22.1042029799455 58.0494866384878,22.0971676656632 58.0526507911895,22.091430643171 58.056481518601,22.0872125523822 58.0608317943819,22.0846759197199 58.0655345945586,22.0839188475143 58.070409292603,22.0849711496655 58.0752685856231,22.0877930963626 58.0799256878255,22.0922768327528 58.0842015155109,22.0982504335365 58.0879315864563,22.105484451485 58.0909723659249,22.1137007172259 58.0932068116168,22.1225830549111 58.0945489000463,22.1317894980884 58.0949469560386,22.1409655263548 58.0943856537714,22.1497577995726 58.0928866101307,22.157827844978 58.0905075469064,22.1648651545913 58.0873400551078,22.1705991758286 58.0835060499939,22.1748097256936 58.0791530569054,22.1773354258016 58.0744485135006,22.1780798382031 58.0695733116979)))', 'EERHS', 'Rahuste', 'Y'),('SRID=4326;MULTIPOLYGON(((23.087468007401 58.3772349049506,23.0862687035041 58.3723853654967,23.0832921768845 58.3677518659289,23.078653400087 58.363512347573,23.0725310050295 58.3598295624809,23.0651603628094 58.3568448448806,23.0568245249357 58.3546727091469,23.0478433760965 58.3533964774305,23.0385614106672 58.3530651006787,23.0293345921409 58.3536912917286,23.0205167855934 58.355251040063,23.0124462676337 58.3576845263787,23.0054328157848 58.3608984030521,22.9997458599255 58.3647693556397,22.995604142598 58.3691488124524,22.9931672832902 58.3738686256626,22.9925295752797 58.3787475099405,22.9937162638398 58.3835979947211,22.9966824637044 58.3882336251425,23.001314774483 58.3924761354762,23.0074355486521 58.3961623181695,23.0148096618834 58.3991503217406,23.0231535342411 58.4013251315551,23.0321460578607 58.4026030183571,23.0414410066576 58.4029347792269,23.0506804405354 58.4023076428487,23.0595085738421 58.4007457636579,23.0675855578122 58.3983092853617,23.0746006305333 58.3950920110864,23.0802841153668 58.3912177725295,23.0844177982061 58.386835641639,23.086843282742 58.3821141733458,23.087468007401 58.3772349049506)))', 'EERHV', 'Ruhve', 'Y'),('SRID=4326;MULTIPOLYGON(((25.9564149230456 58.3213955069044,25.9556473464616 58.3165212043687,25.9530878000398 58.3118193168991,25.948835276639 58.3074704346754,25.9430536322886 58.3036415263921,25.9359652235252 58.3004795465672,25.9278423365643 58.2981058167965,25.9189967415145 58.2966113925319,25.9097677702647 58.2960535890214,25.9005093672219 58.2964537961151,25.8915765967256 58.2977966632789,25.8833121091076 58.3000306850782,25.8760330686986 58.303070165299,25.8700190316046 58.3067984865246,25.8655012290374 58.3110725631018,25.8626536639543 58.3157283107025,25.8615863657047 58.3205869267111,25.8623410707095 58.325461743938,25.8648895089297 58.3301653969607,25.8691343786278 58.3345170268102,25.8749129889825 58.3383492464916,25.8820034453587 58.3415145973571,25.8901331498139 58.3438912445999,25.8989892943395 58.3453876886092,25.9082309409832 58.3459463066483,25.9175022156211 58.3455455848624,25.9264460943265 58.344200952143,25.9347182356419 58.341964182715,25.9420003100317 58.3389213910947,25.948012299497 58.3351896988296,25.9525232845624 58.3309127047828,25.955360300175 58.3262549374404,25.9564149230456 58.3213955069044)))', 'EERIM', 'Riuma', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1889995196035 58.0053082059514,26.1882066122312 58.0004350158268,26.1856386726365 57.9957375476199,26.1813949998638 57.9913962213816,26.1756390958929 57.9875777163008,26.1685923186931 57.9844285890059,26.1605253511881 57.9820696698211,26.1517478175961 57.980591448021,26.1425964433135 57.9800506190764,26.1334222044395 57.9804679228405,26.1245769471828 57.9818273531899,26.1163999751271 57.9840767684848,26.1092051033728 57.9871298800917,26.1032686629044 57.9908695448559,26.0988189064235 57.9951522385583,26.0960272189153 57.9998135427309,26.0950014733498 58.0046744383401,26.0957817955964 58.0095481682551,26.0983389148655 58.0142474074026,26.1025751794077 58.0185914661226,26.1083282150804 58.022413249231,26.1153771005897 58.0255657010499,26.1234508320441 58.0279274851263,26.1322387554771 58.0294076760311,26.1414025637319 58.0299492785147,26.1505893877468 58.0295314349592,26.1594454653361 58.0281702336666,26.1676298456169 58.0259180858874,26.174827585655 58.0228616962516,26.1807619177988 58.0191187069642,26.1852049103233 58.0148331483729,26.1879862079958 58.0101698750983,26.1889995196035 58.0053082059514)))', 'EERJJ', 'Raja, Järveküla k', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1843271891591 58.2533108151542,26.1835296937555 58.248437772768,26.1809447610869 58.2437403492367,26.1766723535683 58.2393989619289,26.1708770845529 58.2355802908796,26.1637818276012 58.232430897288,26.1556591267797 58.2300716198729,26.1468207417724 58.228592960084,26.1376057266636 58.2280516291211,26.1283674914601 58.2284683856831,26.1194603297501 58.2298272449519,26.1112259137327 58.2320760881926,26.1039802589031 58.2351286502504,26.098001644948 58.2388678108942,26.0935199471288 58.2431500671185,26.0907077842177 58.2478110188641,26.0896738258329 58.2526716617508,26.0904585252532 58.2575452488128,26.0930324554845 58.2622444601939,26.0972973291316 58.266588606342,26.1030896798061 58.2704105872144,26.1101870782416 58.2735633377215,26.1183166543537 58.2759255080844,26.1271656017591 58.2774061564277,26.1363932583431 58.2779482688116,26.1456442895456 58.2775309675728,26.1545624537 58.2761703204516,26.1628044035836 58.2739187183678,26.1700529767391 58.2708628464857,26.1760294491947 58.2671203289273,26.1805042717161 58.2628351797579,26.1833058722345 58.2581722394607,26.1843271891591 58.2533108151542)))', 'EERJK', 'Purjeka', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5894812373181 59.1250416419124,23.5881827811121 59.1201981286246,23.5850720509331 59.1155778542835,23.5802691986936 59.1113582452418,23.5739591686858 59.107701281428,23.5663845337553 59.1047472985367,23.5578361611519 59.102609625318,23.548642068534 59.1013702574528,23.5391548931891 59.1010767298651,23.5297384446661 59.1017403041345,23.5207538417941 59.1033355385278,23.5125457489769 59.1058012567483,23.5054292234524 59.109042879531,23.4996776649434 59.11293603241,23.4955123220893 59.117331295079,23.4930937568723 59.1220599144215,23.4925155999983 59.1269402660817,23.4938008484148 59.1317848198507,23.4969008630563 59.1364073433884,23.5016971233526 59.1406300679234,23.5080056885774 59.1442905392219,23.5155842088888 59.1472478876069,23.5241412255264 59.1493882719618,23.533347404857 59.1506292838592,23.5428482694983 59.1509231380857,23.5522779258264 59.1502585233334,23.56127324424 59.1486610397402,23.5694879289905 59.1461922060238,23.5766059192801 59.1429470757556,23.5823535923924 59.1390505573848,23.5865102912082 59.1346525835826,23.5889167697224 59.1299223202106,23.5894812373181 59.1250416419124)))', 'EERJL', 'Riguldi jõge lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1072351774636 58.9215960932194,22.106152754791 58.9167377110623,22.1032591061275 58.9120818431709,22.0986660572006 58.9078072942815,22.0925505194471 58.9040781630649,22.0851476303466 58.9010375617669,22.0767416991006 58.8988021463143,22.0676553082768 58.8974576625629,22.0582369860066 58.8970556754065,22.0488479120196 58.8976116027749,22.0398481532747 58.8991041277138,22.0315829406562 58.9014760104487,22.0243694968762 58.9046362703026,22.0184849073922 58.9084636563068,22.0141554910782 58.9128112770216,22.0115480761955 58.9175122161614,22.0107635208944 58.9223859226735,22.011832737557 58.9272451334241,22.0147153888652 58.9319030648773,22.0193013233378 58.9361805981388,22.025414712651 58.9399131801948,22.0328207464095 58.9429571734409,22.0412346366696 58.9451954055563,22.0503325891771 58.9465417018735,22.0597643156372 58.9469442215512,22.0691665956503 58.946387465588,22.0781773517562 58.9448928770842,22.086449678821 58.9425180099745,22.0936652710242 58.9393542992801,22.0995467158341 58.9355235213293,22.1038681731282 58.9311730839546,22.1064640263354 58.9264703322518,22.1072351774636 58.9215960932194)))', 'EERJS', 'Ristna Jahisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0488381675091 58.6279907352587,27.0479123077144 58.6231236392477,27.0451843793359 58.6184442318423,27.0407598434113 58.6141322307011,27.0348091513696 58.6103531802909,27.027561131196 58.6072521149759,27.0192941717104 58.6049480146904,27.0103255469971 58.6035292618165,27.0009992877315 58.6030502694294,26.9916730557696 58.6035294067444,26.9827045119282 58.6049482989924,26.9744376838046 58.6072525277556,26.9671898404795 58.6103537057234,26.9612393640286 58.6141328486356,26.9568150742047 58.6184449185699,26.9540874130238 58.623124368407,26.9531618312852 58.6279914788444,26.9540746407403 58.6328592482196,26.9567915057552 58.6375405729268,26.9612086495875 58.6418554434163,26.9671567461888 58.6456378783896,26.9744073627095 58.6487423282137,26.982681715063 58.6510492976933,26.9916614036694 58.6524699676368,27.0010007134741 58.6529496331119,27.0103399957917 58.6524698224316,27.0193196030034 58.6510490128789,27.0275938232126 58.6487419147646,27.0348442619621 58.6456373522325,27.0407921420498 58.6418548248124,27.0452090389991 58.6375398856869,27.0479256362937 58.6328585187829,27.0488381675091 58.6279907352587)))', 'EERKA', 'Rootsiküla, Alatskivi v', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0160615506394 58.096894137053,24.0147468368081 58.0920544409334,24.0116749939302 58.0874434902779,24.0069646315352 58.0832383554139,24.0007971046673 58.0796004653402,23.9934094932781 58.0766694302794,23.9850854816621 58.0745577057037,23.9761444898336 58.0733462984645,23.9669294694335 58.0730816758359,23.9577938223695 58.0737739929161,23.9490879300411 58.0753967045239,23.9411457941348 58.0778875761826,23.9342722863636 58.0811510567188,23.928731484211 58.0850619241791,23.9247365330413 58.0894700688983,23.922441422518 58.0942062343262,23.9219349982174 58.0990884992225,23.923237449229 58.1039292555023,23.9262994215905 58.1085424156182,23.9310038084686 58.112750572873,23.9371701645391 58.1163918381368,23.9445615880972 58.1193260873451,23.9528938144833 58.1214403757004,23.9618461730594 58.1226533060387,23.9710739816983 58.1229181792071,23.9802218915956 58.122224801965,23.9889376544434 58.1205998808939,23.9968857658576 58.1181059868421,24.0037604444103 58.1148391311152,24.0092974343804 58.110925049509,24.0132841707769 58.106514341013,24.0155679145617 58.1017766524885,24.0160615506394 58.096894137053)))', 'EERKK', 'Rootsiküla, Kihnu v', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6164378738487 58.3638922559429,24.6158544031569 58.35901184818,24.6134709221238 58.3542850098756,24.6093796771406 58.3498932991017,24.6037383557063 58.3460053366079,24.5967639563538 58.3427703487066,24.588724418478 58.3403124608668,24.5799283383621 58.3387259570138,24.5707131646018 58.3380716822659,24.5614323182581 58.3383747234098,24.5524417193424 58.3396234534227,24.5440862210248 58.3417699754613,24.5366864559369 58.3447319496806,24.5305265850882 58.3483957347705,24.5258434094628 58.35262072692,24.5228172578654 58.3572447337391,24.5215650029366 58.3620901810848,24.522135481859 58.3669709182444,24.5245075110344 58.3716993628456,24.5285905875113 58.3760937122728,24.5342282673722 58.3799849440659,24.5412041064843 58.3832233341918,24.5492499462654 58.3856842392236,24.5580562310267 58.387272915895,24.5672839586068 58.3879281882954,24.5765777967362 58.3876248177542,24.5855798475184 58.3863744814419,24.5939435143385 58.3842253207472,24.6013469209854 58.3812600772269,24.6075053520583 58.3775928899131,24.6121822257694 58.3733648805743,24.6151981727253 58.3687387009396,24.6164378738487 58.3638922559429)))', 'EERKL', 'Raeküla', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1012462942902 58.1946012019911,22.1001880559562 58.1897421525845,22.0973556244609 58.1850854385603,22.0928584431002 58.1808099004676,22.0868697199368 58.1770796797634,22.0796197133597 58.1740379360825,22.0713868661109 58.1718013746839,22.0624871310362 58.170455789978,22.0532618947443 58.1700527920852,22.044064953296 58.1706078386541,22.0352490260468 58.1720996452818,22.0271523092551 58.1744709965233,22.0200855697793 58.1776309273711,22.0143202611456 58.181458193984,22.0100781097522 58.1858059040722,22.0075225686136 58.1905071333811,22.0067524708554 58.1953813167674,22.0077981366633 58.200241171876,22.0106200976776 58.204899891697,22.0151105046369 58.2091783303174,22.0210971808215 58.2129119047018,22.0283501794795 58.2159569446481,22.0365906023552 58.2181962430706,22.0455013432832 58.2195435888711,22.0547393401118 58.219947103818,22.0639488541009 58.2193912515457,22.0727752518363 58.2178974391185,22.080878743022 58.2155231873466,22.087947529461 58.2123599028178,22.093709845999 58.2085293399408,22.0979444217604 58.2041788928315,22.100488957053 58.1994759024306,22.1012462942902 58.1946012019911)))', 'EERKS', 'Riksu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.3585205116351 58.3962467226132,26.3576959282483 58.3913748337112,26.3550775367861 58.3866809827523,26.350766589041 58.382345448057,26.3449291798145 58.3785346830599,26.3377897992037 58.3753949437721,26.3296226812192 58.3730466970718,26.3207412848212 58.3715800203307,26.3114863085621 58.3710511647561,26.3022126901921 58.3714804107401,26.293276076813 58.3728512950546,26.2850192688384 58.3751112386011,26.2777591418711 58.3781735513335,26.2717745346065 58.381920739673,26.2672955583041 58.3862089929508,26.2644947347946 58.3908736808242,26.26348030638 58.3957356548308,26.2642919837854 58.4006081157375,26.2668993095461 58.4053037854123,26.2712027165212 58.4096421086524,26.2770372579239 58.413456207493,26.2841788802608 58.4165993183759,26.2923530082422 58.4189504611279,26.301245115701 58.4204191174791,26.3105128734217 58.4209487348439,26.319799397789 58.4205189168541,26.3287470768767 58.419146213821,26.3370114256157 58.4168834817268,26.3442744203915 58.4138178351497,26.3502567859142 58.4100672752161,26.3547287522125 58.4057761258893,26.3575188646668 58.4011094584086,26.3585205116351 58.3962467226132)))', 'EERKU', 'Reku', 'Y'),('SRID=4326;MULTIPOLYGON(((22.077636690506 58.4856088050616,22.0765724985463 58.4807497961683,22.0737193535891 58.4760928323812,22.0691875070608 58.4718167627132,22.0631515073165 58.4680857472725,22.0558434324639 58.465042974086,22.0475439540234 58.4628051857808,22.0385715774516 58.4614582220095,22.0292704689197 58.4610537445589,22.0199973260092 58.4616072673841,22.0111077822055 58.4630975649492,22.0029428506794 58.4654674809274,21.9958159115733 58.4686261072377,21.9900007288855 58.4724522523185,21.9857209483392 58.4767990691771,21.9831414769658 58.4814996697991,21.9823620795199 58.4863735145402,21.9834134478064 58.4912333346187,21.9862559086271 58.4958923240647,21.9907808371175 58.5001713254775,21.9968147381327 58.5039057324181,22.0041258530808 58.5069518405346,22.0124330476179 58.5091923994867,22.0214166415827 58.5105411478155,22.030730761056 58.5109461520507,22.0400167276551 58.5103918180389,22.0489169556006 58.508899494812,22.0570888051571 58.5065266470863,22.0642178429762 58.5033646292752,22.0700299855532 58.4995351492657,22.0743020499974 58.495185561763,22.0768703039854 58.4904831765863,22.077636690506 58.4856088050616)))', 'EERKV', 'Rannaküla, Kihelkonna v', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3253513928077 59.0261411147573,23.3240941331324 59.0212946529163,23.3210279833674 59.0166677220345,23.3162713826345 59.0124380064356,23.3100075016207 59.0087678761599,23.3024771463266 59.0057981739018,23.2939694908061 59.0036428326607,23.2848109969564 59.0023845263716,23.2753529421643 59.0020715162617,23.2659580229642 59.0027158105783,23.2569865339092 59.004292706235,23.248782635073 59.00674172952,23.2416612187461 59.0099689410201,23.2358958659957 59.0138505190605,23.2317083471284 59.0182374879794,23.2292600673503 59.022961414096,23.2286457911085 59.0278408548994,23.229889897286 59.0326883172205,23.2329453247733 59.0373174592216,23.2376952668171 59.041550259957,23.2439575664576 59.0452238797027,23.2514916584479 59.0481969445245,23.2600077998591 59.0503550095025,23.2691782368952 59.0516149860371,23.2786498739254 59.0519283586206,23.2880579466389 59.0512830638222,23.297040157976 59.049703957043,23.3052507154918 59.0472518486188,23.3123737131742 59.044021147648,23.3181353292129 59.0401362070456,23.3223143621851 59.0357465143928,23.3247506987863 59.0310209180335,23.3253513928077 59.0261411147573)))', 'EERLB', 'Rälby', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1391700275598 58.1353270950232,26.1383811975244 58.1304537046766,26.1358106287423 58.1257553198972,26.1315577273375 58.1214123957728,26.1257863546494 58.1175916723315,26.1187184657635 58.1144397905913,26.1106255551275 58.1120776857046,26.1018182416749 58.1105959683399,26.0926343908274 58.1100514674189,26.0834262208777 58.1104650633079,26.0745468755481 58.1118208921499,26.0663369623704 58.1140669508915,26.0591115576337 58.1171170804532,26.0531481630023 58.1208542531366,26.0486760667698 58.125135041515,26.0458675146684 58.129795101374,26.0448310321531 58.1346554623835,26.045607163578 58.1395293885597,26.0481668056633 58.1442295475154,26.0524122157738 58.1485752140611,26.0581806730529 58.1523992306606,26.065250666263 58.1555544549427,26.0733503805954 58.1579194428829,26.0821681613171 58.1594031448936,26.0913645494583 58.159948429908,26.1005854180339 58.1595342981884,26.1094756900675 58.1581766951675,26.1176930945342 58.1559278940018,26.1249214146652 58.1528744712807,26.130882704957 58.1491339560564,26.1353479974859 58.144850284627,26.1381460823236 58.1401882401248,26.1391700275598 58.1353270950232)))', 'EERLE', 'Rannaküla, Leesoo, Rõngu vald', 'Y'),('SRID=4326;MULTIPOLYGON(((22.111233718405 58.9205946062293,22.1101507676223 58.9157362584505,22.1072566674119 58.9110804807143,22.1026632607475 58.9068060742708,22.0965474726928 58.9030771323063,22.0891444502306 58.9000367597964,22.0807385075937 58.8978016038909,22.0716522277302 58.8964574004967,22.0622341344953 58.8960557037652,22.0528453988514 58.8966119204986,22.0438460748315 58.8981047226524,22.0355813767198 58.9004768598204,22.0283685075766 58.9036373415584,22.0224845308925 58.9074649083682,22.018155742086 58.9118126618469,22.0155489453612 58.9165136805815,22.0147649751259 58.9213874104287,22.015834721244 58.9262465873247,22.0187178259745 58.9309044290047,22.0233041203046 58.9351818200026,22.0294177619608 58.9389142127613,22.0368239307337 58.9419579769534,22.0452378333967 58.9441959490758,22.0543356751612 58.9455419644775,22.0637671719756 58.9459441931448,22.0731691123002 58.9453871472927,22.0821794318058 58.9438922811921,22.0904512422437 58.9415171594669,22.0976662577683 58.9383532269337,22.1035470881255 58.9345222684431,22.1078679169002 58.9301716987505,22.1104631517321 58.9254688680113,22.111233718405 58.9205946062293)))', 'EERLS', 'Ristna Lõunasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1255314181959 58.4252204158632,23.1243251103831 58.4203713106466,23.1213394172306 58.4157387856171,23.1166896648305 58.411500744188,23.1105549072036 58.4078198811874,23.1031709898366 58.4048374565781,23.0948214727917 58.4026678963436,23.0858267641741 58.4013944235547,23.07653187687 58.4010658832141,23.0672932684427 58.4016948794085,23.0584652549916 58.4032572942057,23.0503865040822 58.4056932062924,23.0433671092983 58.40890917529,23.0376767295883 58.4127818067489,23.0335342406667 58.4171624647365,23.0310992939368 58.4218829553714,23.0304661117655 58.4267619672126,23.03165976802 58.4316120245422,23.0346351117366 58.4362466885397,23.0392783924301 58.4404877301538,23.0454115413403 58.4441719978063,23.0527989578964 58.4471577132068,23.0611565493198 58.4493299493786,23.070162678255 58.450605075863,23.0794705931743 58.4509339958966,23.0887218531746 58.4503040475877,23.0975602160658 58.4487394938196,23.1056454386733 58.4463005815452,23.1126664421576 58.4430812078951,23.1183533226638 58.4392052856464,23.1224877372027 58.4348219517244,23.1249112636234 58.4300998073966,23.1255314181959 58.4252204158632)))', 'EERLV', 'Rannaküla, Laimjala v', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5549259797547 59.4349255430111,24.5543368822791 59.4300455342697,24.5518908435148 59.425317814046,24.547682564039 59.4209239705864,24.5418742653143 59.4170327002811,24.5346893798672 59.4137933486055,24.5264039312821 59.4113302003438,24.5173359402862 59.4097377340399,24.5078332619235 59.409077018397,24.498260312313 59.4093733850025,24.4889841807283 59.410615463854,24.4803606430867 59.4127556173925,24.4727205961024 59.4157117567992,24.4663574173106 59.4193704729317,24.4615157251348 59.4235913651619,24.4583819656627 59.4282124062158,24.4570771897172 59.4330561415036,24.4576523064971 59.4379364888573,24.4600860104734 59.4426658803837,24.4642854789263 59.4470624733963,24.4700898317925 59.450957152911,24.4772762372702 59.4542000544317,24.4855684403683 59.456666352742,24.4946473920483 59.4582610897314,24.5041635686006 59.4589228510045,24.5137504989256 59.458626145786,24.5230389653086 59.4573823956289,24.5316713139688 59.4552394925343,24.5393153067953 59.4522799439164,24.5456769655376 59.4486176779396,24.5505119031902 59.4443936356635,24.5536347019825 59.4397703239274,24.5549259797547 59.4349255430111)))', 'EERMA', 'Rannamõisa', 'Y'),('SRID=4326;MULTIPOLYGON(((24.9171093068405 59.5527908473963,24.9164661469169 59.5479122998344,24.9139611083735 59.5431911600182,24.9096911598192 59.5388087602343,24.9038208886233 59.5349333544984,24.8965761007883 59.5317136768913,24.888235110965 59.52927325554,24.8791180621577 59.5277056962355,24.8695746831827 59.5270711122758,24.8599709451604 59.527393833639,24.8506751152175 59.5286614806033,24.8420437255197 59.5308254361156,24.834407978478 59.5338026992631,24.8280610944296 59.5374790508651,24.8232470765275 59.5417134131763,24.820151319505 59.5463432406551,24.8188934253023 59.5511907393035,24.8195225106326 59.5560696797131,24.8220152013645 59.5607925449739,24.8262764087293 59.5651777401167,24.8321428761256 59.5690565855583,24.8393893766486 59.5722798235543,24.8477373349104 59.5747233839406,24.8568655470272 59.5762931830361,24.866422584669 59.5769287665539,24.8760403973036 59.5766056523422,24.8853485750679 59.5753362799304,24.8939887059504 59.573169529056,24.9016282567748 59.5701888262012,24.9079734281162 59.566508914211,24.9127804775698 59.5622714128676,24.9158650712877 59.5576393456011,24.9171093068405 59.5527908473963)))', 'EERME', 'Räime', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4563495944098 59.0280922309978,23.455073857025 59.0232471740817,23.451990017076 59.0186234714957,23.4472171913503 59.0143986826577,23.4409391709581 59.0107349877441,23.4333973017099 59.0077729820037,23.4248811966519 59.0056263029389,23.4157176395142 59.0043772922495,23.4062581004252 59.0040738548589,23.3968653324412 59.0047276321944,23.3878995483236 59.0063135577697,23.3797046910516 59.0087708117034,23.3725953085362 59.0120051388167,23.3668445229472 59.0158924441273,23.3626735482719 59.020283531605,23.3602431568235 59.0250098086492,23.3596474274644 59.0298897414838,23.360910026863 59.0347358169748,23.3639831823537 59.0393617455493,23.36874940376 59.0435896289034,23.3750259054215 59.0472568157492,23.3825715727446 59.0502221792232,23.391096214464 59.052371570638,23.4002717472211 59.0536222353625,23.409744877706 59.0539260166608,23.4191507836918 59.0532712207487,23.4281272522719 59.0516830691818,23.4363287138537 59.0492227207293,23.443439615082 59.045984901683,23.4491866025805 59.0420942386405,23.4533490405902 59.037700438816,23.4557674564287 59.0329725077393,23.4563495944098 59.0280922309978)))', 'EERMI', 'Ramsi lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5441199668434 58.1269166697309,24.5435494420133 58.1220358692958,24.5411906125792 58.1173077128445,24.5371347682486 58.1129138104923,24.5315382302756 58.10902286898,24.5246162747688 58.1057842309841,24.5166348289235 58.1033221639531,24.507900263886 58.1017311136921,24.4987476745778 58.1010721006847,24.4895280887326 58.1013703937312,24.4805950835715 58.102614547488,24.4722913083121 58.1047568395933,24.4649354137497 58.1077150909917,24.4588098764434 58.1113758015577,24.4541501748194 58.1155984839213,24.4511357283131 58.1202210331748,24.4498829494327 58.1250659305317,24.4504406837129 58.1299470464843,24.4527882258627 58.1346767848887,24.4568360045597 58.1390732947917,24.4624289264702 58.1429674724774,24.4693522660012 58.1462094825915,24.4773398852558 58.1486745443109,24.4860844732439 58.1502677559159,24.4952494091399 58.1509277678772,24.504481785551 58.1506291593124,24.513426078005 58.1493834236002,24.5217379188943 58.1472385239411,24.5290974295055 58.1442770363678,24.5352215827717 58.1406129536842,24.5398751109777 58.1363872766346,24.5428795345371 58.1317625660401,24.5441199668434 58.1269166697309)))', 'EERMJ', 'Rannametsa jõe lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2781458479815 59.5706555353808,25.277450123716 59.5657785825527,25.2748931623813 59.561064173897,25.2705739236745 59.5566933803712,25.2646588816161 59.5528340080403,25.2573755530691 59.5496341739203,25.249003723476 59.54721664381,25.2398647116067 59.5456741451661,25.2303090832556 59.5450658304932,25.2207032766384 59.5454150230932,25.2114156386943 59.5467083289413,25.2028023910047 59.5488961475817,25.1951940462945 59.5518945629886,25.1888827814812 59.5555885440303,25.1841112412013 59.559836335236,25.1810631972156 59.5644748736429,25.1798564249732 59.569326028226,25.1805380802849 59.5742034262403,25.1830827684962 59.57891960707,25.1873933983796 59.5832932299609,25.1933048065313 59.5871560581035,25.2005900293213 59.5903594483662,25.2089689929296 59.5927800935594,25.2181192924996 59.5943247919827,25.2276886437854 59.5949340562343,25.2373085193754 59.5945844184472,25.2466084304524 59.5932893404223,25.25523028696 59.5910986924134,25.2628422655598 59.5880968211933,25.2691516361113 59.5843992840098,25.2739160423663 59.5801483777241,25.2769527986567 59.575507639541,25.2781458479815 59.5706555353808)))', 'EERMM', 'Rammu', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0322983085811 59.0078776694284,60.0309426406342 59.0030390621376,60.0277839472239 58.9984298010202,60.0229442108898 58.9942268869821,60.0166097796614 58.9905916574754,60.0090241513688 58.987663613513,60.0004786058797 58.9855550889498,59.9913010467381 58.9843469622972,59.9818434755983 58.9840855715132,59.9724685693205 58.9847809468643,59.9635358597632 58.9864064277154,59.9553880296268 58.9888996776364,59.9483378339697 58.9921650602424,59.9426561362552 58.9960772874469,59.9385615103101 59.0004862040139,59.9362118060354 59.0052225291205,59.9356980081633 59.0101043386624,59.9370406354035 59.0149440427094,59.9401888341727 59.0195555920854,59.9450222196446 59.0237616375186,59.951355410653 59.0274003648309,59.9589450981839 59.0303317405003,59.9674993843909 59.0324429234494,59.9766890350354 59.0336526304509,59.9861602076393 59.0339142829525,59.9955481546388 59.0332178108435,60.0044913588407 59.0315900417306,60.0126455398292 59.0290936604119,60.0196969756884 59.0258247799997,60.0253746141493 59.02190922109,60.0294604993732 59.0174976461403,60.0317981121552 59.0127597406874,60.0322983085811 59.0078776694284)))', 'EERMN', 'Remniku', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3092748948251 58.9711475821502,23.3080220803332 58.9663008988879,23.3049631402861 58.9616735060844,23.3002162347232 58.9574431061823,23.2939641607137 58.9537720959597,23.2864472706197 58.9508013523714,23.2779542222526 58.9486448488179,23.2688109183165 58.9473853041632,23.2593680552167 58.9470710273267,23.2499877486261 58.9477140751621,23.2410297342319 58.9492897922464,23.2328376563059 58.9517377497939,23.2257259539159 58.9549640489079,23.219967834743 58.958844902531,23.2157847899048 58.9632313624563,23.2133380505267 58.9679550142993,23.2127223190987 58.9728344259853,23.21396202747 58.9776821055364,23.2170102808353 58.9823117030043,23.2217505461048 58.9865451803068,23.2280010371359 58.9902196721605,23.2355216425644 58.9931937715635,23.2440231389561 58.9953529942229,23.253178337473 58.9966142073146,23.2626347308654 58.9969288479143,23.2720281435922 58.9962848037887,23.2809968446726 58.9947068820369,23.2891955628826 58.9922558470861,23.2963088482334 58.9890260663404,23.3020632520563 58.9851418569042,23.3062378488654 58.9807526778761,23.3086726936721 58.9760273575988,23.3092748948251 58.9711475821502)))', 'EERMP', 'Rumpo', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5472444671033 58.1994361538655,22.5461252697406 58.1945811549011,22.5432343192408 58.1899346745963,22.5386833010643 58.185675157349,22.5326474823938 58.1819661270794,22.5253589200563 58.1789499285142,22.5170975271703 58.1767422860351,22.5081803441063 58.1754278847769,22.4989494217873 58.1750571395019,22.4897587727885 58.1756442718977,22.4809608771616 58.1771667679656,22.4728932448591 58.1795662357595,22.4658655348 58.1827506316404,22.4601477120361 58.1865977721721,22.4559596894262 58.190960000524,22.4534628493539 58.1956698324571,22.4527537753474 58.2005463692303,22.4538604445233 58.2054022345545,22.4567410417064 58.2100507712905,22.4612854576341 58.214313221968,22.4673194302579 58.2180256160792,22.4746111837981 58.2210450967832,22.4828803193076 58.2232554400221,22.4918086176727 58.2245715494943,22.5010523357649 58.2249427503768,22.5102555129652 58.2243547516198,22.5190637619134 58.2228301991179,22.527137996457 58.2204277978912,22.5341675525469 58.2172400381678,22.5398821840937 58.2133896154988,22.5440624640754 58.2090246863899,22.5465481888542 58.2043131462454,22.5472444671033 58.1994361538655)))', 'EERMS', 'Roomassaare', 'Y'),('SRID=4326;MULTIPOLYGON(((25.3529735363406 59.4506266622545,25.3522691929027 59.4457499864839,25.3497105649721 59.4410369517759,25.3453966694397 59.4366685762565,25.339493769262 59.4328125734792,25.3322289109593 59.4296169317603,25.3238811689925 59.4272042568365,25.3147709380104 59.4256670907317,25.3052476818228 59.4250643820979,25.2956766005301 59.4254192396366,25.2864247135068 59.4267180520943,25.2778468752895 59.4289110074348,25.270272243575 59.4319139918249,25.2639917034705 59.4356117977627,25.2592467200906 59.4398625217401,25.2562200431045 59.4445029869392,25.2550286228056 59.4493549872117,25.2557190191065 59.4542321164723,25.2582654945114 59.4589469239577,25.2625708822391 59.4633181216534,25.2684702145706 59.4671775663557,25.2757369881614 59.4703767457468,25.2840918369693 59.4727925155113,25.2932132843955 59.4743318624633,25.3027501590271 59.4749355059358,25.3123351874754 59.4745801949062,25.3215992270337 59.4732796096681,25.3301855730503 59.4710838321482,25.3377637725941 59.4680774058314,25.344042397392 59.4643760622224,25.3487802739214 59.4601222434071,25.3517957344688 59.455479597364,25.3529735363406 59.4506266622545)))', 'EERMU', 'Rummu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1868281304014 58.6451958859732,23.1856050659348 58.6403476171519,23.1825918742242 58.6357168409169,23.1779049459186 58.6314813920627,23.1717247677689 58.627803864083,23.1642889304923 58.6248253870443,23.1558829848558 58.6226602337265,23.1468294993374 58.6213914568048,23.1374757350791 58.6210677204003,23.1281804009786 58.6217014442466,23.1192999827411 58.6232683296325,23.1111751539992 58.6257082848499,23.1041177749615 58.6289277158446,23.0983989644961 58.6328030968581,23.0942386954015 58.6371856877987,23.0917973104892 58.641907221549,23.0911692900567 58.6467863470108,23.0923795209152 58.6516355838446,23.0953822255263 58.6562685238602,23.100062609806 58.6605070028477,23.1062411832738 58.6641879660037,23.1136805995146 58.6671697602873,23.1220947628995 58.6693376078981,23.131159853874 58.6706080459782,23.1405268444687 58.6709321575099,23.1498350121923 58.6702974656495,23.1587259175336 58.6687284164801,23.1668572902925 58.6662854311267,23.1739162739953 58.6630625649549,23.1796315054816 58.659183866698,23.1837835568234 58.6547985814675,23.1862133362884 58.6500753865613,23.1868281304014 58.6451958859732)))', 'EERMV', 'Rannaküla, Muhu v', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1559792968463 58.7309508743043,27.1550357415168 58.7260846394057,27.1522853861609 58.7214075922031,27.1478345564646 58.7170993584932,27.1418547148453 58.7133253368219,27.1345758076867 58.7102303673542,27.1262774069141 58.7079331951539,27.1172779895468 58.7065219361795,27.1079227636067 58.7060507157953,27.098570498373 58.7065376052328,27.0895798504771 58.7079639328132,27.0812956941556 58.7102749955406,27.0740359638444 58.713382144619,27.0680795002073 58.717166167271,27.0636553569268 58.7214818386627,27.0609339757184 58.7261634734582,27.0600205720538 58.7310312681161,27.0609509954596 58.735898193991,27.0636902380634 58.740577178892,27.0681336659934 58.7448883020259,27.0741109436857 58.7486657249589,27.0813925150946 58.751764089715,27.0896984026905 58.7540641343282,27.0987089896545 58.7554773055406,27.1080773674934 58.7559491868663,27.117442764667 58.7554616064512,27.1264445253217 58.7540333411696,27.1347360834025 58.7517193890153,27.1419983776244 58.748608838674,27.147952176995 58.7448214207349,27.1523688334457 58.7405028769331,27.1550790450642 58.7358193299025,27.1559792968463 58.7309508743043)))', 'EERNA', 'Ranna, Ranna k', 'Y'),('SRID=4326;MULTIPOLYGON(((23.318673565174 57.7791545207409,23.3174650384497 57.7743068174009,23.3145101533433 57.7696781639689,23.309923024131 57.7654463168173,23.3038802784615 57.7617737361696,23.2966142171347 57.7588013683127,23.2884038747421 57.7566432578352,23.2795643264788 57.7553821925806,23.2704346474632 57.7550665444915,23.2613649770302 57.7557084243714,23.2527031707488 57.7572832194117,23.2447815368238 57.7597305308099,23.237904150801 57.7629564766964,23.2323352231592 57.7668372746134,23.228288958739 57.7712239697119,23.2259212956879 57.7759481313143,23.2253238457604 57.7808283031334,23.2265202789618 57.785676962697,23.2294653058329 57.7903077246525,23.2340463129239 57.7945425116245,23.2400876046252 57.7982184158291,23.2473571014937 57.8011939849981,23.2555752459105 57.8033546871718,23.2644257748943 57.8046173399439,23.2735679416093 57.8049333296862,23.2826497055787 57.8042904935812,23.291321370099 57.8027135900147,23.2992491261373 57.8002633387936,23.3061279661131 57.7970340693495,23.3116934581999 57.7931500701219,23.3157319205921 57.7887607833299,23.3180886029309 57.7840350342125,23.318673565174 57.7791545207409)))', 'EERNG', 'Ringsu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3051699239303 58.1395260116567,22.3040856627869 58.1346687279966,22.301231152791 58.1300165990412,22.2967166803977 58.1257482880724,22.2907161122315 58.1220276583218,22.2834601562388 58.1189975010067,22.2752274792933 58.1167740769099,22.2663340250162 58.1154426768691,22.2571209381945 58.115054367492,22.2479415498316 58.1156240436185,22.2391479085825 58.1171298601178,22.231077359552 58.1195140642211,22.2240396699 58.1226851974882,22.2183051824298 58.1265215854232,22.2140944436191 58.1308759844315,22.2115697020198 58.1355812119224,22.2108286076253 58.1404565475073,22.211900364212 58.1453146628859,22.2147444969103 58.1499688164224,22.2192522991137 58.154240036611,22.2252509196753 58.1579640173185,22.2325099471571 58.160997457175,22.2407502470822 58.1632235956601,22.249654715301 58.1645567286946,22.258880530252 58.1649455258377,22.2680724231862 58.1643750179912,22.2768764417378 58.1628671769081,22.2849536609506 58.1604800635824,22.2919932981917 58.1573055793575,22.2977247141583 58.1534659088826,22.3019278299844 58.1491087954887,22.3044415576496 58.1444018350066,22.3051699239303 58.1395260116567)))', 'EERNI', 'Rähni', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7316287903188 59.2329874816389,23.7303057077261 59.2281456514865,23.7271656430733 59.2235290768005,23.7223298776281 59.2193150403217,23.7159846198344 59.2156653065229,23.7083737930129 59.2127199322764,23.6997896498188 59.2105919150072,23.6905615758315 59.2093628793758,23.6810435072275 59.2090799638405,23.6716004345572 59.2097540232156,23.6625944953215 59.2113592141745,23.6543711717977 59.2138339792288,23.6472461071848 59.2170833927547,23.6414930326391 59.2209827818719,23.6373332604725 59.2253824871243,23.6349271453128 59.2301135846212,23.6343678464317 59.2349943541801,23.6356776423128 59.2398372484832,23.6388069550549 59.2444560976171,23.6436361402703 59.2486732725776,23.6499799912979 59.2523265310873,23.6575947989881 59.2552752796685,23.6661877046381 59.2574060071841,23.6754279886649 59.2586366763625,23.684959856022 59.2589199000519,23.6944162154197 59.2582447765244,23.7034329065701 59.2566373111145,23.7116628103134 59.2541594075756,23.7187892816741 59.2509064693383,23.7245383753353 59.247003705888,23.728689385042 59.2426012903925,23.7310832901724 59.2378685593513,23.7316287903188 59.2329874816389)))', 'EERNK', 'Rannaküla, Nõva vald', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9118021591445 58.6202982724164,22.9106180940084 58.6154471818025,22.9076433826239 58.6108097597929,22.9029929403661 58.6065640984403,22.8968458576035 58.6028731849628,22.8894384603479 58.5998786642951,22.8810552138557 58.5976954253718,22.8720178208778 58.5964072146918,22.8626729288835 58.5960634413871,22.853378908015 58.5966772930352,22.8444921928238 58.5982252324228,22.8363536954597 58.6006478940601,22.829275795679 58.6038523472073,22.8235303938305 58.6077156412188,22.8193384771739 58.6120895008856,22.816861598107 58.6168059958199,22.8161955961609 58.6216839703792,22.8173668155251 58.6265359906186,22.8203309785206 58.6311755435691,22.8249747756681 58.6354242127619,22.8311201282585 58.6391185530633,22.838530973687 58.6421163978359,22.8469223217471 58.6443023520797,22.8559712362989 58.6455922559124,22.8653293158158 58.6459364424344,22.8746361824713 58.6453216611591,22.8835334460561 58.6437715908278,22.891678588522 58.6413459213476,22.898758218458 58.6381380413756,22.9045001721186 58.6342714232608,22.9086839872026 58.6298948482764,22.9111493447043 58.625176660192,22.9118021591445 58.6202982724164)))', 'EERNL', 'Rannaküla, Orissaare v', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5251140120857 58.1229236513787,24.5245461383014 58.1180427832068,24.5221900855196 58.1133142933926,24.5181370368094 58.108919805009,24.5125432062531 58.1050280474349,24.5056237663329 58.1017883947781,24.4976445480809 58.0993251534927,24.4889118375624 58.097732814463,24.4797606588898 58.0970724476001,24.4705419859108 58.0973693735959,24.461609360906 58.0986121994885,24.4533054184191 58.1007532537991,24.4459488154116 58.1037104049222,24.4398220552514 58.1073701949447,24.4351606628493 58.1115921718594,24.4321441220912 58.1162142579146,24.4308889255059 58.1210589522236,24.4314440112122 58.1259401332179,24.4337887755605 58.1306702024075,24.4378337540414 58.1350672962741,24.4434239611926 58.1389622887786,24.4503447761656 58.1422053133245,24.4583301585922 58.1446715501181,24.4670728839695 58.1462660522356,24.4762364035127 58.1469274204547,24.4854678645856 58.1466301816359,24.4944117780325 58.1453857763655,24.502723790745 58.1432421165689,24.5100840171439 58.1402817305139,24.5162094022354 58.1366185686029,24.5208646304543 58.1323935961825,24.5238711563572 58.1277693470423,24.5251140120857 58.1229236513787)))', 'EERNM', 'Rannametsa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.616900050243 58.6864074642553,22.6157544926737 58.6815535551542,22.6128130327337 58.676909230174,22.6081893154516 58.6726528482292,22.6020614127018 58.6689478092825,22.5946649216971 58.6659363009211,22.5862838953415 58.6637338638133,22.577239955301 58.6624249803945,22.5678800017027 58.6620598519338,22.558562981221 58.6626524842548,22.5496462070035 58.6641801534222,22.5414717388947 58.6665842713319,22.534353330469 58.6697726191038,22.5285644305138 58.6736228651869,22.5243276911017 58.6779872368843,22.5218063828735 58.682698170262,22.5210980516557 58.6875747257116,22.522230670584 58.6924295262503,22.5251614506386 58.6970759542398,22.5297783727058 58.7013353306023,22.5359043994227 58.7050437995025,22.5433042191893 58.7080586511745,22.551693272331 58.7102638359605,22.5607487151775 58.7115744531155,22.5701218964019 58.7119400374243,22.57945185554 58.7113465136643,22.5883793096478 58.7098167414846,22.5965605729632 58.7074096291546,22.6036808574051 58.7042178514282,22.609466428583 58.7003642620361,22.613695141204 58.6959971426635,22.6162049466345 58.6912844755522,22.616900050243 58.6864074642553)))', 'EERNN', 'Rannaküla, Emmaste v', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2213331917252 58.9859264212712,27.2203734033656 58.9810608696162,27.2175938563286 58.9763854215902,27.213102008184 58.9720796399789,27.2070709035286 58.9683088271395,27.1997324595344 58.965217697866,27.1913685316742 58.9629248477983,27.1823001061953 58.9615182254412,27.1728750309584 58.9610517773158,27.1634547460823 58.9615433913942,27.1544005094365 58.9629742153429,27.14605962886 58.9652893749213,27.138752212763 58.9684000658445,27.1327589335108 58.9721869412808,27.1283102639552 58.9765046686166,27.1255775972534 58.9811874848711,27.1246665946788 58.9860555417684,27.1256130269497 58.9909218004563,27.1283812837558 58.9955992134746,27.1328656263611 58.999907918886,27.1388941528207 59.0036821692117,27.1462353384733 59.0067767263322,27.1546069104569 59.0090724727483,27.1636867187774 59.0104810190122,27.1731251826378 59.0109481257043,27.1825588236194 59.0104558045919,27.1916243505029 59.0090230156479,27.1999727366115 59.0067049322665,27.2072827308874 59.0035908038557,27.2132732684645 58.9998005005738,27.2177142938899 58.9954798768924,27.2204355777573 58.9907951367342,27.2213331917252 58.9859264212712)))', 'EERNP', 'Rannapungerja', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2039957298861 59.4686826260689,25.2033125341041 59.4638052690831,25.2007733788837 59.4590894299464,25.1964765357864 59.4547162355404,25.1905876164146 59.4508535852281,25.1833331343384 59.4476497229542,25.1749917692966 59.4452275700543,25.1658836740013 59.4436800320408,25.1563582319357 59.4430664550889,25.1467807273061 59.4434103643427,25.1375184247781 59.4446985680922,25.1289265761731 59.4468816610043,25.1213348736509 59.4498759076284,25.1150348540189 59.4535664360785,25.1102687269406 59.4578116228253,25.1072200514838 59.4624485045857,25.1060066215652 59.4672990139844,25.1066758427951 59.4721768034525,25.1092027929715 59.4768943980517,25.1134910586383 59.4812704036478,25.1193763340303 59.4851364929002,25.1266326603439 59.4883438983172,25.1349810770759 59.4907691591516,25.1441003579603 59.4923188967355,25.1536394166084 59.4929334300282,25.1632308958088 59.4925890882913,25.1725054033904 59.4912991290764,25.1811058294206 59.4891132249711,25.1887011759058 59.4861155394053,25.1949993512818 59.4824214678129,25.1997584266604 59.4781731731345,25.2027959165331 59.4735340918069,25.2039957298861 59.4686826260689)))', 'EERNU', 'Reinu II, Jägala jõgi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8421171101952 59.5598190353784,24.84148469552 59.5549401873352,24.8389896845333 59.5502176759306,24.8347286618873 59.5458328866704,24.8288658738586 59.5419541657308,24.8216268410355 59.5387303747031,24.8132896589736 59.5362851996574,24.8041743260075 59.5347124287119,24.7946305060165 59.5340723749227,24.7850241872616 59.5343895778595,24.7757237353991 59.5356518692645,24.7670858588254 59.5378108373861,24.7594420073209 59.5407836726382,24.7530857105148 59.5444563258908,24.7482613312172 59.5486878616555,24.7451546606757 59.5533158433666,24.7438857192192 59.5581625484802,24.7445040479 59.5630417786944,24.7469866866011 59.5677660065705,24.7512389342365 59.5721535852862,24.7570978804464 59.5760357439963,24.7643385895283 59.5792630977409,24.7726827107354 59.5817114180582,24.7818091893134 59.5832864379903,24.7913666645636 59.5839275020925,24.8009870693319 59.5836099169839,24.81029989349 59.5823459091044,24.8189465450695 59.5801841515243,24.826594238376 59.5772078784998,24.8329488589043 59.5735316625311,24.8377662990466 59.5692969814977,24.840861823981 59.5646667508033,24.8421171101952 59.5598190353784)))', 'EERNV', 'Rohuneeme Väikesadam', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8421171101952 59.5598190353784,24.84148469552 59.5549401873352,24.8389896845333 59.5502176759306,24.8347286618873 59.5458328866704,24.8288658738586 59.5419541657308,24.8216268410355 59.5387303747031,24.8132896589736 59.5362851996574,24.8041743260075 59.5347124287119,24.7946305060165 59.5340723749227,24.7850241872616 59.5343895778595,24.7757237353991 59.5356518692645,24.7670858588254 59.5378108373861,24.7594420073209 59.5407836726382,24.7530857105148 59.5444563258908,24.7482613312172 59.5486878616555,24.7451546606757 59.5533158433666,24.7438857192192 59.5581625484802,24.7445040479 59.5630417786944,24.7469866866011 59.5677660065705,24.7512389342365 59.5721535852862,24.7570978804464 59.5760357439963,24.7643385895283 59.5792630977409,24.7726827107354 59.5817114180582,24.7818091893134 59.5832864379903,24.7913666645636 59.5839275020925,24.8009870693319 59.5836099169839,24.81029989349 59.5823459091044,24.8189465450695 59.5801841515243,24.826594238376 59.5772078784998,24.8329488589043 59.5735316625311,24.8377662990466 59.5692969814977,24.840861823981 59.5646667508033,24.8421171101952 59.5598190353784)))', 'EERON', 'Rohuneeme', 'Y'),('SRID=4326;MULTIPOLYGON(((21.921339358811 58.2626675508929,21.9203035892257 58.2578070096704,21.9174891792332 58.25314631368,21.9130048850407 58.2488644573585,21.9070234252156 58.2451258252866,21.8997747841823 58.2420739000683,21.8915373559943 58.2398257774073,21.8826272713826 58.238467694756,21.8733863143004 58.2380517410382,21.8641688824017 58.2385938702924,21.8553284781516 58.2400732932435,21.847204232996 58.2424332694788,21.8401079659467 58.2455832708034,21.8343122600875 58.2494024352329,21.830040006156 58.2537441826619,21.8274558121235 58.2584418192276,21.8266596125918 58.2633149193411,21.8276827333612 58.268176243776,21.8304865767966 58.272838930339,21.8349639953519 58.2771236815474,21.8409433172149 58.2808656721006,21.8481948834498 58.2839209080965,21.856439854671 58.2861717897954,21.8653609517902 58.2875316597056,21.8746147142982 58.2879481568089,21.8838447950277 58.287405244341,21.8926957658404 58.2859238308144,21.9008268866259 58.2835609596896,21.9079252916217 58.2804075998827,21.9137180722643 58.2765851246769,21.9179827831572 58.2722406182128,21.9205559646893 58.2675411943909,21.921339358811 58.2626675508929)))', 'EEROO', 'Roopa', 'Y'),('SRID=4326;MULTIPOLYGON(((25.800274297606 59.6504599809331,25.7995013290588 59.645585714311,25.7968651955491 59.6408814009476,25.7924678955178 59.6365277198003,25.7864788935549 59.632691816216,25.7791285354107 59.629520903635,25.7706991670513 59.6271366364018,25.7615143033433 59.625630465354,25.7519262596446 59.6250601500192,25.7423027118595 59.6254475574297,25.7330126863927 59.6267778293504,25.7244125003079 59.6289999487813,25.716832173597 59.6320286846412,25.7105628197686 59.6357478422974,25.7058454882244 59.640014698786,25.702861882634 59.644665456833,25.7017273146742 59.6495215127523,25.70248617347 59.6543963014167,25.7051100998514 59.6591024581124,25.7094989538001 59.663459023252,25.715484556567 59.6672984124277,25.7228370799022 59.6704728815497,25.7312738482132 59.6728602348223,25.7404702200597 59.6743685515857,25.7500721280728 59.6749397456457,25.7597097856282 59.6745518161919,25.7690120182324 59.6732197009359,25.7776206503937 59.6709946975095,25.785204376283 59.6679624760567,25.7914715649015 59.6642397618604,25.796181496485 59.6599698193355,25.799153593943 59.6553169155761,25.800274297606 59.6504599809331)))', 'EEROU', 'Ranna-Õue', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5771598800235 58.1247952796637,27.5761751534032 58.1199317953998,27.573416694061 58.1152633622134,27.5689911076751 58.1109692747069,27.5630688606467 58.1072143898343,27.5558776695428 58.1041428162736,27.5476937308535 58.1018724052181,27.5388311309412 58.1004902499298,27.5296298394494 58.1000493626845,27.5204427379109 58.1005666531962,27.5116221678788 58.1020222838436,27.5035064989999 58.1043604257122,27.4964072168104 58.1074913873514,27.490597012645 58.1112950369659,27.486299324213 58.1156253902523,27.4836797257036 58.1203161919304,27.4828395017558 58.125187280814,27.4838116617507 58.1300514974737,27.4865595617373 58.1347218714607,27.4909782036025 58.1390188127042,27.4968981781867 58.1427770297948,27.5040921148856 58.1458519067549,27.5122833992201 58.1481250894784,27.521156826521 58.1495090627411,27.530370778772 58.1499505374969,27.5395704469508 58.1494325145881,27.5484015763442 58.1479749431373,27.556524189737 58.1456339475291,27.5636257443554 58.1424996536709,27.5694332029111 58.1386927006582,27.5737235456922 58.1343595757066,27.5763323168196 58.1296669560566,27.5771598800235 58.1247952796637)))', 'EERPA', 'Räpina sadam', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0982590387433 58.938599374018,22.0971773164528 58.9337409271511,22.0942834246696 58.9290848712318,22.0896891993346 58.9248100182036,22.0835715977712 58.9210804783498,22.076165837153 58.9180393794996,22.0677563370625 58.9158033965539,22.0586658168893 58.9144582970256,22.0492429628194 58.9140556693401,22.039849127892 58.9146109559485,22.0308445610985 58.9161028644797,22.0225746772242 58.9184741788656,22.0153568778151 58.9216339403455,22.0094684153266 58.9254609172226,22.0051357574357 58.9298082339265,22.0025258572994 58.9345089860061,22.0017396692077 58.9393826297302,22.0028081691358 58.9442419044723,22.0056910482402 58.9489000242787,22.0102781471593 58.9531778629986,22.0163935935039 58.9569108558048,22.0238024982165 58.9599553491874,22.0322199630582 58.9621941514587,22.0413220560795 58.9635410658882,22.0507583292314 58.9639442277478,22.0601653865375 58.9633881132628,22.0691809660154 58.9618941408415,22.0774579762975 58.9595198407611,22.0846779309083 58.9563566263279,22.0905632492863 58.9525262549197,22.0948879424202 58.9481761188932,22.0974862697165 58.9434735519151,22.0982590387433 58.938599374018)))', 'EERPR', 'Ristna Paradiisirand', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9110426227534 58.0533026200967,22.9098790618181 58.0484510061791,22.9069532230921 58.0438129076656,22.902378121385 58.039566445202,22.8963299376669 58.0358746405026,22.8890411936551 58.0328791770123,22.8807918021571 58.0306949840616,22.8718983391463 58.0294058482472,22.8627019453907 58.0290612164386,22.8535553123158 58.0296743098099,22.8448092377261 58.0312216192196,22.8367992514723 58.0336438008094,22.8298328088901 58.0368479385886,22.8241775308692 58.0407110897735,22.8200509340453 58.0450849804735,22.8176120434843 58.0498016756595,22.8169552143945 58.0546800097914,22.8181064104028 58.0595325344877,22.821022095921 58.064172718455,22.8255908018725 58.0684221235569,22.8316373209846 58.0721172800893,22.8389293849646 58.0751159943215,22.8471865755731 58.0773028420266,22.8560911294936 58.078593632445,22.8653002174661 58.0789386668083,22.8744592154821 58.0783246626568,22.8832154432838 58.0767752677904,22.8912318252854 58.07435014356,22.898199932458 58.071142653947,22.9038518904965 58.0672762520216,22.9079706882057 58.06289970657,22.9103984878649 58.0581813567824,22.9110426227534 58.0533026200967)))', 'EERPS', 'Rannaküla paadisadam, Orissaare v', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8533314571236 58.2703224200215,22.852168055117 58.2654704326419,22.8492312780808 58.2608312169981,22.8446345705397 58.2565829360495,22.838554950385 58.2528886802197,22.8312261502971 58.2498902255952,22.8229296211192 58.2477026147582,22.8139837450271 58.2464097640712,22.8047316685493 58.2460612619377,22.7955282126317 58.2466704775802,22.7867263480905 58.2482140508351,22.7786637393883 58.2506327820325,22.7716498574635 58.2538338889478,22.7659541433513 58.2576945468223,22.7617956688759 58.2620665792795,22.7593346893851 58.2667821242871,22.7586664173902 58.2716600617388,22.759817266618 58.2765129591894,22.7627437255046 58.2811542710653,22.7673339203691 58.2854055152751,22.773411824818 58.2891031502665,22.7807439673748 58.2921048855062,22.7890483883391 58.2942951789679,22.7980055040831 58.2955897058829,22.8072704569413 58.295938622657,22.8164864656522 58.2953284969421,22.8252986483475 58.2937828274523,22.8333677697181 58.291361132991,22.8403833673328 58.2881566469134,22.8460757389615 58.2842927084251,22.850226321646 58.2799179933462,22.8526760614931 58.275200772113,22.8533314571236 58.2703224200215)))', 'EERPV', 'Rannaküla, Pihtla v', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5635317310646 59.160050998353,23.562235476741 59.1552072328285,23.5591249239866 59.1505863570268,23.5543202198144 59.1463658204072,23.5480063812184 59.142707638404,23.5404261283218 59.139752193273,23.5318705444289 59.1376128696306,23.5226679237037 59.1363717262315,23.513171229859 59.1360763659105,23.5037446364422 59.1367381204344,23.4947496501383 59.1383316178726,23.4865313324629 59.1407957486844,23.4794051320522 59.1440359947473,23.4736448195066 59.1479280347542,23.4694719797098 59.1523224914928,23.4670474633604 59.1570506431693,23.4664651311651 59.1619308837234,23.4677481423212 59.1667756874608,23.4708479457531 59.1713988125657,23.4756460309338 59.1756224671432,23.4819583885528 59.1792841610788,23.4895425239564 59.1822429774571,23.498106762767 59.1843850184193,23.5073214931889 59.1856278115229,23.5168319079154 59.1859235027799,23.5262717445155 59.1852607100413,23.535277480146 59.1836649632968,23.5435024168031 59.1811977145245,23.5506300981725 59.1779539565283,23.5563865281954 59.1740585452759,23.5605507130704 59.1696613712205,23.5629631197331 59.1649315698423,23.5635317310646 59.160050998353)))', 'EERSA', 'Roosta', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1616136894106 58.4695777024153,22.1605384308818 58.4647194181287,22.1576755328696 58.4600643454622,22.1531356196421 58.4557912602813,22.1470935472351 58.4520642077543,22.1397816248042 58.4490262236301,22.1314806697584 58.44679386677,22.1225092429757 58.445452768592,22.1132114736524 58.4450543661077,22.1039439314911 58.4456139404975,22.0950620360417 58.447110034293,22.0869065085063 58.449485268895,22.079790369951 58.4526485320803,22.073986971637 58.4564784540823,22.069719508399 58.4608280424901,22.0671524152545 58.4655303022881,22.0663849817548 58.4704046294341,22.0674474394979 58.4752637359238,22.0702996878274 58.4799208425822,22.0748327237916 58.4841968638873,22.0808727383575 58.4879273076735,22.0881877356605 58.4909686219033,22.0964964301737 58.4932037407368,22.1054790827563 58.4945466122701,22.1147898551841 58.4949455295136,22.1240701981462 58.4943851329193,22.1329627432837 58.4928870051291,22.1411251480746 58.4905088344001,22.1482433444549 58.4873421799547,22.1540436678816 58.4835089278485,22.1583033916469 58.4791565774701,22.1608592589992 58.4744525443196,22.1616136894106 58.4695777024153)))', 'EERSG', 'Ristiaugu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1291368803587 58.1103307108487,26.1283499399939 58.1054572445465,26.1257824603576 58.1007586475614,26.121533727962 58.0964153833038,26.1157674434366 58.0925942050721,26.1087053663107 58.0894417715624,26.1006187681467 58.0870790393027,26.0918180261598 58.0855966431876,26.0826407543772 58.0850514382663,26.0734389195084 58.085464331924,26.0645654229833 58.0868194871802,26.0563606484668 58.0890649267004,26.0491394752731 58.0921145150023,26.0431792424769 58.0958512449874,26.0387091164117 58.1001317060698,26.0359012662334 58.1047915664955,26.0348641892793 58.1096518635543,26.0356384514972 58.1145258637551,26.0381950202738 58.1192262319754,26.0424362701748 58.123572235151,26.0481996397138 58.1273967030085,26.0552638131451 58.1305524760366,26.0633571997658 58.1329180892955,26.0721683888817 58.134402469284,26.0813581759834 58.1349484589256,26.0905726890145 58.1345350313685,26.0994570964064 58.1331781048744,26.1076693534122 58.1309299264335,26.1148934415777 58.1278770485045,26.1208515780532 58.124136979002,26.1253149156544 58.1198536369231,26.1281123187091 58.1151917926266,26.1291368803587 58.1103307108487)))', 'EERSK', 'Riska', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0272078565653 58.8959988427509,27.0262778630618 58.8911317952855,27.0235317651972 58.88645212631,27.0190757341373 58.8821395625192,27.0130814398472 58.878359668364,27.0057793891893 58.8752575086224,26.9974500451919 58.8729521032092,26.9884130721012 58.8715318828324,26.9790151159571 58.871051315659,26.9696165803787 58.8715288308421,26.9605778910306 58.8729461161818,26.9522457592741 58.87524881602,26.9449399555394 58.8783486034337,26.9389410859643 58.8821265496084,26.9344798321156 58.8864376646916,26.9317280637156 58.8911164400939,26.9307921692075 58.8959831837424,26.9317088701901 58.9008509086578,26.9344436952725 58.9055325127162,26.9388921894661 58.9098479746247,26.9448838302268 58.9136312887207,26.9521885146718 58.9167368695715,26.9605253788061 58.9190451764292,26.9695736135122 58.9204673368666,26.9789848582701 58.9209485873594,26.9883966863859 58.9204703947249,26.9974466485232 58.9190511742994,27.0057863171392 58.9167455763406,27.0130947743866 58.913642368985,27.019091010158 58.9098610017023,27.0235447438629 58.9055469851775,27.0262852506543 58.9008662697175,27.0272078565653 58.8959988427509)))', 'EERSM', 'Roseni, Kalmaküla k', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3959430803682 59.4509852502619,24.3953766921385 59.4461047015967,24.3929518224552 59.4413741689103,24.3887623613227 59.4369753496127,24.3829698110831 59.4330771320275,24.3757970036125 59.4298291288489,24.3675195027051 59.4273559570611,24.3584550271668 59.425752479664,24.3489512990609 59.4250801874116,24.339372775256 59.4253648554848,24.3300867578789 59.4265955621662,24.3214493998294 59.4287251058403,24.313792124889 59.4316718047021,24.3074089681037 59.4353226121611,24.3025453112727 59.4395374317836,24.2993884410535 59.4441544704022,24.2980602942652 59.4489964283374,24.2986126778089 59.4538772930147,24.3010251611325 59.4586094779475,24.3052057399405 59.463011034187,24.3109942641447 59.4669126567356,24.3181685148003 59.4701642145247,24.3264527084052 59.4726405494126,24.3355281072532 59.4742463168457,24.3450453263053 59.4749196774319,24.3546378548151 59.4746346933458,24.3639362585622 59.4734023344152,24.3725824989323 59.4712700537961,24.3802437998916 59.4683199499691,24.3866255134731 59.4646655879004,24.3914824775963 59.4604476051805,24.3946284245099 59.4558282765291,24.3959430803682 59.4509852502619)))', 'EERSN', 'Rannasauna', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3786854903981 58.5451254893926,23.3774397879464 58.5402791454744,23.3744103155375 58.5356529225883,23.3697140822909 58.531424479806,23.3635319255796 58.5277561412954,23.3561015064763 58.5247886845573,23.3477081639946 58.522635960026,23.3386739814217 58.5213805443058,23.3293454800457 58.5210705897791,23.3200804023834 58.5217179881777,23.3112340776927 58.5232979165687,23.3031458765808 58.5257497827529,23.2961262586391 58.5289795350363,23.2904448972954 58.5328632504437,23.2863203297646 58.5372518674422,23.2839115277567 58.5419768857762,23.2833117175004 58.5468568187087,23.2845446972542 58.5517041532365,23.2875638089491 58.5563325529847,23.2922536207895 58.560564027475,23.2984342730051 58.5642357909898,23.3058683335728 58.5672065446026,23.314269909102 58.5693619359596,23.3233156628999 58.5706189824558,23.332657312062 58.5709292834373,23.3419351124369 58.5702808944275,23.3507917978457 58.5686987891713,23.3588864203549 58.5662438912765,23.3659075427755 58.5630107139883,23.3715852626403 58.5591237017077,23.3757015971193 58.5547324178864,23.3780988279113 58.5500057687791,23.3786854903981 58.5451254893926)))', 'EERSS', 'Rässa', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7936789757206 59.2699639105912,23.7923455200639 59.2651228154278,23.7891935587181 59.2605078531239,23.7843448305987 59.2562962438795,23.777986041728 59.2526496583903,23.7703616339021 59.2497080321949,23.7617643794552 59.2475842185435,23.7525241652174 59.2463596806416,23.7429953913202 59.2460813844044,23.733543457537 59.2467600075988,23.7245308404625 59.2483695320799,23.7163032785255 59.2508482344014,23.7091765783631 59.2541010381329,23.703424535491 59.2580031404577,23.699268424801 59.2624047777939,23.6968684628218 59.2671369519161,23.6963175749578 59.2720179009667,23.6976377186488 59.2768600702605,23.700778919778 59.2814773171781,23.7056210775745 59.2856920737086,23.7119784862903 59.2893421900112,23.7196069142494 59.2922871930128,23.7282129770921 59.2944137153751,23.7374654469909 59.2956398815148,23.7470080579987 59.295918477632,23.7564733037635 59.2952387803054,23.7654966810586 59.2936269712075,23.7737308133082 59.2911451215971,23.780858893607 59.2878887870516,23.7866069163302 59.2839833079223,23.7907542186204 59.2795789618785,23.7931419249488 59.2748451595212,23.7936789757206 59.2699639105912)))', 'EERST', 'Ristna', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((26.1372070528284 58.1633279259011,26.136417907466 58.1584545437976,26.1338456137412 58.1537561353511,26.1295896452568 58.1494131564597,26.1238139820552 58.1455923490932,26.1167407444606 58.1424403572933,26.1086416322916 58.1400781202321,26.0998275021203 58.1385962534714,26.0906364802459 58.1380515915399,26.0814210592164 58.1384650209297,26.0725346600497 58.139820684202,26.0643181601624 58.1420665847647,26.0570868881269 58.1451165697789,26.0511185707223 58.1488536173027,26.0466426855929 58.1531343049292,26.0438316247547 58.1577942925022,26.0427940111566 58.1626546126046,26.0435704339446 58.1675285308873,26.0461317800065 58.172228715247,26.0503802424202 58.1765744394195,26.056152983876 58.1803985434915,26.063228328862 58.1835538815282,26.0713342567316 58.1859190049229,26.0801588732859 58.1874028586951,26.0893624557678 58.1879483058111,26.0985905993871 58.1875343402412,26.107487946224 58.1861769010531,26.1157119521765 58.1839282552064,26.1229461459431 58.1808749734854,26.1289123559409 58.1771345797258,26.1333814253624 58.1728510057685,26.1361819998229 58.1681890311867,26.1372070528284 58.1633279259011)))', 'EERSY', 'Rannaküla-Siku, Rõngu vald', 'Y'),('SRID=4326;MULTIPOLYGON(((26.4291365796529 59.5502234849604,26.4282748894479 59.5453528604993,26.425558774157 59.5406611317405,26.4210932915684 59.536328490051,26.4150505086048 59.532521269895,26.407662819049 59.5293855820557,26.3992139867403 59.5270417288741,26.3900282623112 59.5255796115412,26.3804579883531 59.5250553013233,26.3708701593083 59.5254889025414,26.3616324373958 59.5268637867449,26.3530991439114 59.529127226484,26.3455977460372 59.532192405122,26.3394163428289 59.5359417279371,26.3347926205911 59.5402313110866,26.3319046979397 59.5448964804903,26.3308642154366 59.5497580739425,26.3317119451985 59.5546293082617,26.3344161043482 59.5593229503232,26.33887345531 59.5636585174778,26.344913169129 59.5674692298863,26.3523033192758 59.5706084451022,26.3607597673122 59.572955323773,26.3699571031823 59.5744195041038,26.3795412165563 59.574944600755,26.3891430060626 59.5745103896776,26.3983926841245 59.5731335921684,26.4069341092289 59.5708672269611,26.41443857623 59.5677985560691,26.420617518829 59.5640457058786,26.4252336253307 59.5597530972429,26.428109936548 59.5550858648444,26.4291365796529 59.5502234849604)))', 'EERTJ', 'Rutja', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5432339890149 59.6265563870014,25.5424987982529 59.6216807564822,25.5399005208663 59.616971428368,25.5355397031564 59.6126092762531,25.5295844128393 59.6087617724374,25.5222637069563 59.6055765768507,25.5138587994182 59.6031758925993,25.5046922720613 59.6016518004866,25.4951157410346 59.601062747142,25.4854964429001 59.6014313176734,25.4762032410031 59.6027433756058,25.467592571859 59.6049486019703,25.4599948532268 59.607962413455,25.4537018601839 59.6116691882575,25.4489555431078 59.6159266793989,25.4459387125608 59.6205714504362,25.4447679515578 59.6254251293533,25.4454890369864 59.6303012443874,25.4480750610106 59.6350123819893,25.4524273427903 59.6393773930873,25.4583791141287 59.6432283701278,25.465701853721 59.6464171244145,25.4741140380465 59.648820911061,25.4832919774461 59.6503471769517,25.4928823183895 59.6509371445185,25.5025157218763 59.6505680894712,25.5118211771451 59.6492542220482,25.5204403822137 59.6470461366974,25.5280416198071 59.6440288519862,25.5343325791219 59.6403185184846,25.5390716194012 59.6360579249512,25.5420770379112 59.6314109801391,25.5432339890149 59.6265563870014)))', 'EERTK', 'Ranniku, Tammistu k', 'Y'),('SRID=4326;MULTIPOLYGON(((23.481389427208 59.0570826241165,23.4801089896665 59.0522378654977,23.4770191028233 59.0476148190226,23.4722391166222 59.0433910185949,23.4659530974898 59.0397286061091,23.4584026981118 59.0367681272808,23.449877858254 59.0346231607695,23.4407056958201 59.0333759824084,23.4312380099524 59.0330744267701,23.4218378651719 59.0337300631406,23.4128657564315 59.0353177538479,23.4046658689802 59.0377766114769,23.3975529438852 59.0410123195174,23.3918002399606 59.0449007301697,23.3876290459978 59.0492926050912,23.3852001442357 59.0540193214758,23.384607557975 59.0588993285998,23.3858748347144 59.0637451103016,23.3889540233428 59.068370388042,23.3937274026217 59.0725972882283,23.4000119119706 59.0762631970562,23.4075661285584 59.0792270365241,23.4160995314873 59.081374716345,23.4252836992043 59.0826235476083,23.4347650048698 59.0829254441015,23.444178310468 59.0822687846464,23.4531611174273 59.0806788626706,23.4613676117912 59.0782169052803,23.4684820466519 59.0749777008969,23.474230933351 59.0710859296069,23.4783935642386 59.0666913413788,23.4808104607272 59.0619629720947,23.481389427208 59.0570826241165)))', 'EERTL', 'Ranniku, Telise k', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5672506184176 59.6375474323979,25.5665117264924 59.6326719307537,25.5639092533118 59.6279630706493,25.5595439065986 59.6236017074762,25.5535839279343 59.6197552830249,25.5462585540163 59.6165714156101,25.5378491773765 59.6141722572376,25.5286785506897 59.6126498300969,25.5190984467333 59.6120625169397,25.5094762386062 59.6124328361702,25.5001809009683 59.6137465843216,25.4915689522274 59.6159533776879,25.4839708594944 59.618968572929,25.4776784127338 59.6226764952017,25.4729335420968 59.6269348534908,25.4699190034666 59.6315801780053,25.4687512926899 59.6364340753534,25.4694760702089 59.6413100652077,25.4720662868214 59.6460207386191,25.4764231007538 59.6503849641372,25.4823795694644 59.654234864206,25.4897069906183 59.6574222913801,25.4981236600145 59.6598245517122,25.5073057147243 59.6613491507671,25.516899642156 59.661937375138,25.5265359647082 59.6615665676965,25.5358435589237 59.6602510062351,25.5444640404396 59.6580413505206,25.5520656431088 59.6550226796604,25.5583560426146 59.6513111976294,25.5630936204858 59.6470497373836,25.5660967310988 59.6424022409582,25.5672506184176 59.6375474323979)))', 'EERTS', 'Rätsepa', 'Y'),('SRID=4326;MULTIPOLYGON(((25.827235228697 59.6234497238025,25.8264589248154 59.6185755864313,25.8238210860528 59.6138717909881,25.8194237746769 59.609518996453,25.8134364541921 59.6056843141489,25.8060894046229 59.6025149107456,25.7976648442628 59.6001323828437,25.788486103345 59.5986281147434,25.7789052627069 59.5980597931526,25.7692897227405 59.5984492087528,25.760008203737 59.599781426321,25.7514166975633 59.602005354162,25.7438448921697 59.6050356916516,25.7375835747084 59.6087561824456,25.7328734862812 59.6130240520959,25.7298960520808 59.6176754640892,25.7287663458504 59.6225317892982,25.7295285685848 59.6274064519781,25.732154230213 59.63211209207,25.7365431223237 59.6364677697636,25.7425270631706 59.640305934802,25.7498762872522 59.6434788903006,25.7583082452293 59.6458644988848,25.7674984806506 59.6473709072475,25.7770931627433 59.6479401028445,25.7867227838757 59.6475501619346,25.7960164800226 59.6462160997147,25.8046164054555 59.6439892887119,25.8121915904694 59.6409554684866,25.8184507333995 59.6372314255982,25.8231534242006 59.6329604752687,25.8261193639037 59.6283069230162,25.827235228697 59.6234497238025)))', 'EERTU', 'Kiviku', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2797329787479 57.8241684625814,23.2785280110885 57.8193203936687,23.2755742652783 57.8146908537644,23.2709858140987 57.8104576333455,23.2649393379037 57.8067832452714,23.2576672820838 57.8038087049954,23.2494489119647 57.8016481401885,23.2405996106963 57.8003844325614,23.2314588268222 57.8000660551699,23.2223771244309 57.8007052233568,23.2137028191541 57.8022774283132,23.20576869724 57.8047223707329,23.1988793122345 57.807946259921,23.1932993344939 57.8118253927484,23.1892433931288 57.8162108787568,23.186867798704 57.820934334185,23.1862644691457 57.8258143303166,23.1874573024115 57.830663351779,23.1904011497114 57.8352949995223,23.1949834452215 57.8395311621707,23.2010284457346 57.8432088789373,23.2083039305224 57.8461866276062,23.2165301122331 57.8483497920569,23.2253904184735 57.849615094806,23.2345437252911 57.8499338199544,23.2436375620894 57.8492936992164,23.2523217658803 57.8477193864182,23.2602620434558 57.8452715017667,23.267152904128 57.8420442838852,23.2727294528871 57.8381619426665,23.2767775826569 57.833773857017,23.2791421721177 57.8290488064692,23.2797329787479 57.8241684625814)))', 'EERUH', 'Ruhnu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.727521083101 58.432997188199,23.726231895144 58.4281545432963,23.7231669407314 58.4235368033197,23.7184445823204 58.4193212996972,23.7122466504324 58.4156698587544,23.704811402578 58.4127226091721,23.6964243560624 58.4105926264375,23.6874073485681 58.4093616156174,23.6781062418729 58.409076794092,23.6688777303417 58.4097490906224,23.6600757460197 58.4113527279065,23.6520379657208 58.413826204281,23.6450729222104 58.4170746381905,23.6394482014625 58.4209733882009,23.6353801713391 58.4253728134115,23.6330256345501 58.430103995798,23.6324757314634 58.4349852088744,23.6337523378409 58.4398288875581,23.6368071110552 58.4444488335046,23.6415232386432 58.4486673794478,23.6477198386719 58.4523222358968,23.6551588563979 58.455272754191,23.6635542005902 58.4574053612114,23.6725827703211 58.4586379523665,23.681896943565 58.4589230696841,23.6911380366898 58.4582497393711,23.6999502022139 58.4566438961141,23.7079942133266 58.4541673774164,23.7149605886796 58.450915528,23.7205815395417 58.4470135092793,23.7246412719848 58.4426114597859,23.7269842465465 58.4378786970669,23.727521083101 58.432997188199)))', 'EERVB', 'Rannaküla, Varbla v', 'Y'),('SRID=4326;MULTIPOLYGON(((25.544222304849 59.6185559688696,25.5434871283318 59.613680338212,25.5408893133385 59.6089710259248,25.5365293879988 59.6046089050211,25.5305753854437 59.6007614466492,25.5232563130891 59.5975763090539,25.5148533221079 59.5951756931791,25.5056889208907 59.5936516772603,25.4961146442246 59.5930627050444,25.4864976424674 59.593431358545,25.4772066911659 59.594743498097,25.4685981407481 59.5969488015684,25.4610023278445 59.5999626826362,25.4547109544356 59.6036695167628,25.4499659086219 59.6079270546234,25.4469499519064 59.6125718579196,25.4457796333794 59.6174255533497,25.4465007124941 59.6223016684927,25.4490862812054 59.6270127897966,25.4534376757669 59.6313777688426,25.4593881617825 59.6352286993569,25.4667092672014 59.6384173944926,25.4751195313392 59.6408211117025,25.484295338535 59.6423473006003,25.4938834175438 59.6429371866219,25.5035145167224 59.6425680486349,25.5128177143152 59.6412541000632,25.5214347955056 59.6390459384463,25.5290341249313 59.6360285852346,25.5353234652569 59.6323181935685,25.5400612379047 59.6280575543757,25.5430657886473 59.6234105781038,25.544222304849 59.6185559688696)))', 'EERVK', 'Ristvälja-Kari', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7062449092443 58.9599997106587,23.7049369472313 58.9551573355153,23.7018261552915 58.9505397639984,23.6970326788495 58.9463243186613,23.6907410948727 58.9426728201068,23.6831932632248 58.9397253951956,23.6746790205364 58.9375951221799,23.6655250759011 58.9363637139735,23.656082529922 58.9360784010855,23.646713485459 58.9367501305083,23.6377772489622 58.938353147671,23.6296166349991 58.9408259771266,23.6225448832587 58.944073765652,23.61683367698 58.9479719006459,23.6127027147136 58.9523707688215,23.6103112342189 58.9571014768828,23.6097518191838 58.9619823187303,23.611046737914 58.9668257442125,23.6141469703553 58.9714455637838,23.6189339786702 58.9756641126456,23.6252241706071 58.9793190977123,23.6327758982317 58.9822698613333,23.6412987317895 58.9844028169679,23.6504646543057 58.9856358432971,23.6599207416513 58.9859214634667,23.6693028294124 58.9852486837035,23.6782496254116 58.9836434184833,23.686416707492 58.9811674855003,23.6934898512546 58.9779162104621,23.6991971615414 58.9740147367601,23.7033195329345 58.9696131859687,23.7056990355581 58.9648808597872,23.7062449092443 58.9599997106587)))', 'EERVL', 'Rehe-Valdi', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5913660568018 59.0107882868608,27.5903533778469 59.0059256308807,27.5875217350137 59.001258272931,27.5829805832139 58.9969654623129,27.5769048539647 58.9932120011161,27.5695281696109 58.9901419365818,27.5611338450006 58.9878730552766,27.5520440254201 58.9864923861374,27.5426073742709 58.9860528807273,27.5331857733755 58.9865713945392,27.5241405319745 58.9880280444754,27.5158186168501 58.9903669664045,27.5085394153345 58.9934984446729,27.50258252523 58.9973023343508,27.4981770311623 59.0016326485533,27.4954926762011 59.0063231390616,27.4946332716933 59.0111936602747,27.4956326086663 59.0160570757196,27.4984530429401 59.020726444215,27.5029868260032 59.0250222103732,27.5090601481635 59.0287791221506,27.5164397535374 59.031852606987,27.5248418825813 59.0341243576052,27.5339432018563 59.0355069082409,27.5433932972349 59.0359470208896,27.5528282401288 59.0354277476116,27.5618846900955 59.0339690871266,27.570213973949 59.0316272096546,27.5774955825364 59.0284922808044,27.5834495516044 59.0246849708259,27.587847241232 59.0203517873133,27.5905200965063 59.0156594153114,27.5913660568018 59.0107882868608)))', 'EERVS', 'Remniku Vanasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6237132971815 58.5720342851153,23.6224327514498 58.5671906226752,23.6193687226351 58.5625704811481,23.6146395448296 58.5583512842389,23.608427316394 58.5546949996722,23.6009708477147 58.5517419412976,23.5925564722391 58.5496054065722,23.5835070755996 58.5483673509952,23.5741697594084 58.5480752614232,23.5649026028416 58.548740344972,23.5560610155312 58.5503371010195,23.547984189011 58.5528042923533,23.540982150783 58.5560472794757,23.5353239050113 58.5599416312353,23.5312271072357 58.5643378770117,23.5288496679514 58.569067222324,23.5282836125077 58.5739480125374,23.5295514441001 58.5787926997772,23.5326051648559 58.5834150474552,23.5373280099904 58.5876372960007,23.5435388452368 58.5912970131058,23.5509990723127 58.5942533623479,23.5594217855922 58.5963925452649,23.5684828300885 58.5976322031939,23.5778333309068 58.5979246053342,23.5871132016274 58.597258496984,23.5959650970005 58.5956595347826,23.6040482561823 58.59318929181,23.6110516875828 58.5899428721486,23.6167061749432 58.5860452295232,23.6207946349112 58.581646335558,23.623160426348 58.5769153878963,23.6237132971815 58.5720342851153)))', 'EERYA', 'Rame', 'Y'),('SRID=4326;MULTIPOLYGON(((24.9590408507908 59.5047747297492,24.9583923994851 59.4998963273658,24.9558849043564 59.4951759456466,24.9516154254963 59.4907948876413,24.9457485296386 59.4869213559007,24.9385098912168 59.4837040127753,24.9301775877171 59.4812662971092,24.9210714286246 59.4797017112242,24.9115407256535 59.479070254661,24.9019509650584 59.479396137647,24.8926698796253 59.480666859253,24.8840534378138 59.4828336843742,24.8764322701838 59.4858135017236,24.8700990386592 59.4894919936792,24.8652972225931 59.4937279998139,24.8622117475302 59.4983589109061,24.8609618189047 59.5032068908039,24.8615962450518 59.5080856911696,24.8640914437847 59.5128078001815,24.8683522270246 59.5171916518259,24.874215351868 59.5210686182465,24.8814557179877 59.5242895141944,24.8897949848754 59.52673035994,24.8989122829354 59.528297176635,24.9084566046456 59.5289296251171,24.9180603904181 59.5286033441479,24.9273537722568 59.5273308952464,24.9359789096837 59.5251612764828,24.9436038483112 59.5221780244517,24.9499353521191 59.5184959796745,24.9547302047872 59.5142568434631,24.9578045408876 59.5096237015643,24.9590408507908 59.5047747297492)))', 'EERYB', 'Randvere', 'Y'),('SRID=4326;MULTIPOLYGON(((22.351744528393 58.5685066573828,22.3506397662324 58.5636501684478,22.3477434874974 58.5589995518365,22.3431676003212 58.5547334104961,22.3370883414876 58.5510155213092,22.3297394449864 58.5479885668998,22.3214031430336 58.5457686818847,22.3123993478426 58.5444410186781,22.3030734256084 58.5440564988932,22.2937830222055 58.5446298715868,22.2848844320402 58.5461391506818,22.2767190167961 58.5485264525474,22.2696001791977 58.5517002026616,22.2638013784226 58.5555386292375,22.2595456386974 58.5598944134224,22.2569969515432 58.5646003218236,22.2562539061011 58.5694756092883,22.2573458025089 58.5743329495266,22.2602314125155 58.5789856295845,22.2648004522042 58.5832547323743,22.2708777272604 58.5869760301603,22.2782298057103 58.5900063213902,22.2865739709182 58.5922289634464,22.2955891135626 58.5935583841795,22.3049281398998 58.5939433944082,22.3142314090709 58.5933691704098,22.3231406679697 58.5918578278654,22.3313129306935 58.5894675645475,22.3384337520527 58.5862904058333,22.3442293708639 58.5824486424384,22.3484772473287 58.5780901012153,22.3510145870375 58.5733824352903,22.351744528393 58.5685066573828)))', 'EERYC', 'Ranna, Panga k', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2765136083536 58.3889062634416,27.2755626849568 58.3840406610095,27.272823131017 58.3793659314211,27.26840084091 58.3750616120845,27.2624661680471 58.3712929527831,27.255247316584 58.3682045900095,27.2470215509154 58.3659150177064,27.2381045638418 58.364512062492,27.2288384083915 58.3640495328782,27.219578447382 58.364545167566,27.2106798079257 58.3659799592264,27.202483844639 58.3682988789283,27.1953051150318 58.3714129742817,27.1894193534433 58.3752027631729,27.1850528962156 58.3795227964045,27.1823739611724 58.3842072182914,27.1814861198677 58.3890761159196,27.1824242229896 58.3939424167961,27.1851529497975 58.3986190723157,27.189568054247 58.4029262518652,27.1955002768794 58.4066982702201,27.202721786568 58.4097899795029,27.2109549142304 58.4120823762949,27.2198828462708 58.4134872039744,27.2291618633875 58.413950368963,27.2384346446875 58.4134540358296,27.2473441112818 58.4120173182354,27.2555472602194 58.4096955383179,27.2627284400413 58.4065780839098,27.268611543389 58.4027849485105,27.2729706386166 58.3984620907929,27.2756386286996 58.3937757964436,27.2765136083536 58.3889062634416)))', 'EERYD', 'Rebasaare', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8471274686831 59.5668172156928,24.8464942194745 59.5619383918824,24.8439980086165 59.5572159737646,24.8397354671429 59.5528313431956,24.8338708998273 59.5489528401827,24.8266298956025 59.5457293178761,24.8182906255951 59.5432844519678,24.8091731680616 59.541712018667,24.7996272681309 59.541072318052,24.7900189935794 59.5413898761454,24.7807167848517 59.5426525110892,24.7720774175873 59.544811797994,24.7644323987224 59.5477849150936,24.758075302778 59.5514578024931,24.7532505234616 59.5556895157574,24.7501438677094 59.5603176115288,24.7488753556782 59.5651643628826,24.7494945123348 59.5700435697153,24.7519783461172 59.5747677054381,24.756232110287 59.5791551267059,24.7620928363366 59.5830370686532,24.7693355201348 59.586264154584,24.7776817348592 59.5887121662762,24.7868103449854 59.5902868486033,24.7963699075022 59.590927559092,24.8059922746247 59.5906096179756,24.8153068604381 59.5893452654239,24.8239550050015 59.5871831878171,24.8316038651156 59.5842066317812,24.8379592814676 59.5805301807585,24.8427771160569 59.5762953217131,24.8458726192213 59.5716649769187,24.8471274686831 59.5668172156928)))', 'EERYF', 'Rohuneeme-Sääre', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5412354087929 59.627557143355,25.5405004881842 59.6226815033802,25.5379024159183 59.6179721371345,25.5335417304917 59.6136099196877,25.5275864946165 59.6097623258534,25.5202657633108 59.6065770190168,25.5118607515108 59.6041762065492,25.5026940450797 59.6026519741657,25.4931172670369 59.6020627738682,25.4834976633967 59.6024311963938,25.4742041091808 59.6037431109402,25.4655930543663 59.6059482040388,25.457994931454 59.6089618974958,25.4517015309881 59.6126685740484,25.4469548189548 59.6169259905037,25.4439376210737 59.6215707133044,25.442766534487 59.6264243723061,25.4434873486349 59.6313004965296,25.4460731661704 59.6360116720876,25.4504253142666 59.6403767484597,25.4563770299439 59.6442278155873,25.4636997941061 59.6474166813083,25.4721120823371 59.6498205964433,25.4812902010052 59.6513470029236,25.49088078968 59.6519371177599,25.5005144998 59.6515682109847,25.5098203087556 59.6502544871231,25.5184399008948 59.648046535096,25.5260415439877 59.645029368344,25.5323329115781 59.641319132908,25.5370723471709 59.6370586137883,25.5400781328208 59.6324117168941,25.5412354087929 59.627557143355)))', 'EERYG', 'Roigu', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0091883802012 58.8820055565814,27.0082612934739 58.8771383689434,27.0055187372614 58.8724583071511,27.0010667462877 58.8681451131773,26.9950768352597 58.8643643758628,26.9877793429308 58.8612611925236,26.9794545577791 58.8589546224898,26.9704219696717 58.8575331412354,26.9610280570182 58.8570512653221,26.9516330688648 58.8575274740758,26.9425972951761 58.8589435053378,26.934267335607 58.8612450514619,26.9269628771156 58.8643438296892,26.9209644738088 58.8681209498516,26.9165027887139 58.8724314537602,26.9137497073112 58.8771098563017,26.9128116676179 58.8819764797919,26.9137254728516 58.88684434199,26.9164567622739 58.8915263356609,26.920901216426 58.8958424247213,26.9268884680152 58.8996265795804,26.9341885831672 58.9027331826322,26.9425208741064 58.905042653926,26.951564708279 58.906466076297,26.9609718951626 58.9069486376652,26.9703801648262 58.90647175435,26.979427205312 58.9050537912066,26.9877647016959 58.902749349993,26.9950718196095 58.8996471542199,27.0010676000767 58.8958666143462,27.0055217793772 58.8915532091803,27.0082636147214 58.8868728655252,27.0091883802012 58.8820055565814)))', 'EEVLU', 'Vilusi', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5638973013236 58.7050552070145,23.5626196515573 58.7002110146873,23.5595513407159 58.6955895616486,23.5548108737662 58.6913683217442,23.5485807875764 58.6877093405461,23.5411005811149 58.6847530345673,23.5326574996743 58.6826128249458,23.5235755290142 58.681370807297,23.5142030173399 58.6810746198124,23.5048993897713 58.6817356264862,23.4960214505114 58.6833284831806,23.4879097817608 58.6857921027885,23.4808757452995 58.6890319837318,23.4751895726193 58.6929238151921,23.4710699928301 58.697318224526,23.4686757949322 58.7020464889364,23.4680996535016 58.7069269962565,23.469364465943 58.7117722100891,23.4724223574222 58.7163958738001,23.4771564092249 58.7206201769893,23.483385061133 58.7242826077281,23.490869032538 58.7272422243424,23.4993205049722 58.7293851016793,23.5084142152241 58.7306287379876,23.5178000278398 58.7309252486487,23.5271164927482 58.7302632204679,23.5360048513741 58.7286681530982,23.5441229352624 58.7262014702028,23.5511584059884 58.7229581397181,23.5568408137102 58.719062997624,23.5609520025019 58.7146659205777,23.5633344608173 58.7099360375105,23.5638973013236 58.7050552070145)))', 'EERYH', 'Rooglaiu paadisild', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6480157825871 58.0157693203435,27.6470245373967 58.0109063145776,27.6442653463972 58.0062393373113,27.6398448379897 58.0019476272021,27.6339332790407 57.9981959502268,27.6267579726589 57.9951282924897,27.6185945042525 57.992862355618,27.6097561750574 57.9914850619235,27.6005820254834 57.9910492377669,27.5914238989048 57.991571598988,27.5826330289446 57.9930321134773,27.5745466492821 57.9953747646345,27.567475124285 57.9985096873387,27.561690081336 58.0023165968714,27.5574139918777 58.006649382736,27.5548115985479 58.0113416951784,27.5539835213332 58.0162133140383,27.5549622979279 58.0210770588183,27.5577110245309 58.0257459768248,27.5621246658493 58.0300405339404,27.5680340004702 58.0337955307581,27.5752120639219 58.036866475758,27.5833828510605 58.0391351668566,27.5922319464407 58.0405142624353,27.6014186705971 58.0409506618126,27.610589265786 58.040427561576,27.6193906001483 58.0389651063439,27.6274838468931 58.0366196081776,27.6345575962033 58.03348136563,27.6403398820677 58.0296711688357,27.6446086527883 58.025335628747,27.6472002799397 58.0206415144229,27.6480157825871 58.0157693203435)))', 'EERYI', 'Rõsna-Toome', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3394264003592 58.362994846646,24.3388812201246 58.3581135031952,24.3365349811499 58.3533818243795,24.3324785021036 58.3489815562272,24.3268681400998 58.3450816497277,24.3199197108881 58.3418317908153,24.3119001630768 58.3393566762066,24.303117331136 58.3377512507841,24.293908159129 58.3370770850936,24.2846258395594 58.337360028203,24.2756263483228 58.338589223252,24.2672548768786 58.3407175221765,24.2598326660734 58.3436632840479,24.2536447325354 58.3473134899606,24.2489289484464 58.3515280581742,24.2458668893206 58.3561451979376,24.2445768030869 58.360987600721,24.2451089786479 58.3658692349313,24.2474437050946 58.3706024859226,24.2514919164343 58.3750053683175,24.2570985142373 58.3789085331324,24.2640482558224 58.3821617983844,24.2720739927879 58.3846399487727,24.2808669484232 58.386247577244,24.2900886374232 58.3869227778578,24.2993839616828 58.3866395439883,24.3083949654566 58.3854087767613,24.3167747046037 58.3832778635914,24.3242006795956 58.3803288434029,24.3303873007439 58.376675231151,24.3350968956696 58.3724576271604,24.3381488311045 58.3678382843511,24.3394264003592 58.362994846646)))', 'EESAE', 'Saulepa', 'Y'),('SRID=4326;MULTIPOLYGON(((24.510479785027 58.3979318479222,24.5099105324736 58.3930510885989,24.5075391070767 58.3883223918228,24.5034572947785 58.3839273876971,24.4978224238269 58.3800348238548,24.4908512480137 58.3767941034184,24.4828115854309 58.3743295718026,24.4740120387679 58.372735767615,24.4647901902459 58.3720738157019,24.4554997165738 58.3723690969987,24.4464969057397 58.3736102818814,24.4381270773805 58.3757497628494,24.4307114115884 58.3787054703186,24.4245346772784 58.3823640038207,24.4198343209033 58.3865849617102,24.4167913298866 58.3912063072646,24.4155232235772 58.396050569432,24.4160794491681 58.4009316439276,24.418439372804 58.4056619362261,24.4225129595793 58.4100595733209,24.4281441335084 58.413955406734,24.4351167036408 58.4171995355807,24.4431626396155 58.4196670955467,24.451972383678 58.4212630869849,24.4612068011447 58.4219260520592,24.4705103017957 58.4216304555894,24.4795246143999 58.4203876751818,24.4879026682782 58.4182455612417,24.4953220310785 58.4152865842001,24.5014973710528 58.4116246422884,24.506191454027 58.4074006560513,24.509224247648 58.4027771232492,24.510479785027 58.3979318479222)))', 'EESAG', 'Sauga', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8282220787829 59.6144493099792,25.8274458238811 59.6095751720494,25.8248085371789 59.6048713918514,25.8204122592808 59.600518627811,25.8144264136539 59.5966839901342,25.8070812234982 59.5935146438456,25.7986588357019 59.5911321834247,25.7894824972475 59.5896279906452,25.7799041970397 59.5890597493704,25.7702912383288 59.5894492472202,25.7610122427147 59.590781545807,25.7524231055397 59.593005550291,25.7448534240375 59.5960359570477,25.7385939038888 59.5997565070017,25.7338852170773 59.6040244233573,25.7309087346939 59.6086758677393,25.7297794935123 59.6135322097258,25.730541676169 59.618406872902,25.7331667936266 59.6231124971933,25.7375546579357 59.6274681434279,25.7435371265233 59.6313062626128,25.7508844903166 59.6344791596954,25.759314271515 59.6368646996201,25.7685020975596 59.6383710317857,25.7780942306627 59.6389401466264,25.7877212616375 59.6385501235292,25.7970124265053 59.6372159808461,25.8056099772632 59.6349890941647,25.8131830357872 59.6319552058984,25.8194403822795 59.6282311051514,25.8241416756798 59.623960109295,25.8271066704791 59.61930652553,25.8282220787829 59.6144493099792)))', 'EESAH', 'Suure-Ahju', 'Y'),('SRID=4326;MULTIPOLYGON(((25.4170431470991 59.497602948703,25.4163286934985 59.4927266106269,25.4137576754326 59.4880148120752,25.4094295872648 59.4836485230185,25.4035112374865 59.4797953762061,25.3962302652342 59.4766032497007,25.3878663620614 59.4741946138489,25.3787405407997 59.4726618553967,25.3692028612131 59.4720637538068,25.3596190747071 59.4724232411516,25.3503566865768 59.4737265288335,25.3417709535758 59.4759236334847,25.3341913366597 59.4789302824388,25.3279089136036 59.4826311278682,25.323165224031 59.4868841497633,25.3201429707714 59.4915260830593,25.3189589372942 59.4963786649973,25.3196594026306 59.5012554667227,25.3222182446854 59.505969049482,25.3265378227802 59.5103381716756,25.3324526240064 59.5141947692354,25.339735549466 59.5173904387542,25.3481066102514 59.5198021704935,25.3572437038516 59.5213371063858,25.3667950543899 59.5219361354723,25.3763928291787 59.5215761844771,25.3856673933295 59.5202711125848,25.3942616363981 59.5180711747936,25.4018448018493 59.5150610750904,25.4081252716794 59.5113566866485,25.41286180363 59.5071005688688,25.4158727845566 59.5024564581359,25.4170431470991 59.497602948703)))', 'EESAM', 'Salmistu', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1739572438958 58.7149441882696,27.1730116176685 58.7100780739324,27.1702601188012 58.7054013992679,27.1658091159674 58.7010937757059,27.1598300773784 58.6973205783683,27.1525529179267 58.694226615836,27.1442571420663 58.6919305946274,27.135261126005 58.6905205866531,27.1259099474771 58.6900506693914,27.1165622209407 58.6905388641615,27.1075764295132 58.6919664492387,27.0992972617554 58.6942786733532,27.0920424612556 58.6973868430547,27.0860906798619 58.7011717062496,27.0816707916327 58.7054880056523,27.0789530747059 58.7101700316086,27.0780426033166 58.7150379653553,27.0789751135872 58.7199047727353,27.0817155165402 58.7245833859934,27.0861591327533 58.7288938985669,27.0921356185625 58.7326704955088,27.0994154477164 58.7357678506795,27.1077187093267 58.7380667410618,27.1167258875493 58.739478657939,27.1260902053107 58.7399492332189,27.13545104782 58.7394603454047,27.1444479351683 58.7380308217311,27.15273448954 58.7357157086022,27.1599918428034 58.7326041392952,27.1659409544786 58.7288158834631,27.1703533569514 58.7244967148895,27.1730599117237 58.7198127800332,27.1739572438958 58.7149441882696)))', 'EESAS', 'Sassukvere', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6047638851038 59.3209057938607,24.6041691990396 59.3160258993487,24.6017240141857 59.3112990461442,24.5975229921292 59.3069067892708,24.5917280704282 59.3030177646176,24.5845621644592 59.2997812321338,24.5763005677498 59.2973213692213,24.5672603862212 59.2957325291667,24.5577884102413 59.2950756422034,24.5482478816859 59.2953758934231,24.5390046502899 59.2966217638356,24.5304132338027 59.2987654700816,24.5228032995559 59.3017247863471,24.5164670709706 59.3053861806346,24.5116481315034 59.3096091484391,24.5085320510849 59.314231581725,24.507239197128 59.3190759715117,24.50782001504 59.3239562098366,24.510252973797 59.3286847326978,24.5144452731223 59.3330797308822,24.5202363034155 59.3369721511615,24.5274037417351 59.3402122166337,24.5356720612711 59.3426752120313,24.5447231326149 59.3442663071746,24.5542085075222 59.3449242285127,24.5637629042483 59.3446236334794,24.5730183617511 59.3433760934075,24.5816185009652 59.3412296458474,24.5892323266038 59.338266933954,24.59556702282 59.3346020066788,24.6003792394506 59.330375906392,24.6034844300582 59.3257512180206,24.6047638851038 59.3209057938607)))', 'EESAU', 'Saue', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0695306527154 58.4063539336469,26.0687457397681 58.4014803297793,26.0661650867447 58.3967807119416,26.0618884996607 58.3924355819832,26.0560807593627 58.3886117633489,26.0489652233171 58.3854560141291,26.0408152166115 58.3830894159902,26.0319435467951 58.3816027502469,26.0226905426204 58.3810530343482,26.0134110672566 58.381461348073,26.0044609911267 58.3828120303489,25.9961836275525 58.3850532765184,25.9888966355963 58.3880991137912,25.9828798788387 58.3918326812891,25.9783646966061 58.3961106922419,25.975524995911 58.400768911202,25.9744705090636 58.4056284402272,25.9752424849785 58.410502576311,25.977811993642 58.4152039792107,25.9820809256646 58.4195518753181,25.9878856656147 58.4233790200679,25.9950033128049 58.4265381489991,26.0031602207485 58.4289076659145,26.0120425312469 58.4303963451418,26.0213082955991 58.4309468626964,26.0306007080112 58.4305380167546,26.0395619285086 58.429185549414,26.0478469471386 58.4269415370926,26.0551369394276 58.423892373703,26.0611515850246 58.4201554264948,26.0656598660118 58.415874496768,26.0684889260303 58.4112142643269,26.0695306527154 58.4063539336469)))', 'EESAV', 'Sääre, Vaibla k', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0124559480123 58.3513748688034,26.0116800442594 58.3465009014935,26.0091109189842 58.3418001294244,26.0048479336527 58.3374530994115,25.9990553460204 58.3336267085238,25.9919559320809 58.3304678142129,25.9838223992839 58.3280976193479,25.9749669248181 58.3266070435777,25.965729218164 58.3260532544847,25.9564635576339 58.3264574880295,25.947525285227 58.3278042394212,25.9392572622066 58.3300418544562,25.931976789078 58.3330844992808,25.9259634780849 58.3368154351891,25.9214485342191 58.3410914762012,25.9186058526134 58.3457484624567,25.9175452770221 58.3506075435108,25.9183082873177 58.35548203392,25.9208662955441 58.3601845803432,25.9251216327035 58.3645343658362,25.9309112054065 58.368364073834,25.9380126966584 58.371526341885,25.9461530827611 58.3738994534987,25.9550191431735 58.3753920449772,25.9642695567999 58.3759466418639,25.9735481108032 58.3755418852189,25.9824975002665 58.3741933594704,25.9907731714536 58.3719529889524,25.9980566594965 58.3689070270165,26.0040678931613 58.3651727173691,26.0085759837139 58.3608937596109,26.0114080793782 58.35623475765,26.0124559480123 58.3513748688034)))', 'EESBA', 'Saba', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8773588366316 58.2913133768901,22.8761914054657 58.2864616459221,22.8732497045526 58.2818230243747,22.8686473680838 58.2775756521291,22.8625616302452 58.2738825844552,22.8552264583315 58.2708855515968,22.8469235471779 58.2686995413934,22.8379715230863 58.267408408685,22.8287137676358 58.2670616759379,22.8195053188977 58.2676726445446,22.8106993387141 58.2692178871999,22.8026336492612 58.2716381403265,22.7956178398859 58.2748405634457,22.7899214261739 58.2787022814009,22.7857635077055 58.2830750771828,22.7833043195904 58.2877910594375,22.7826390067151 58.2926690911717,22.7837938702077 58.2975217361509,22.7867252450891 58.3021624582799,22.7913210692117 58.3064127978833,22.797405099837 58.3101092479387,22.8047436295814 58.3131095632655,22.8130544524138 58.3152982562977,22.8220177375516 58.3165910637584,22.831288389022 58.316938208215,22.8405094054479 58.3163263255956,22.8493257116676 58.314778982356,22.8573979134585 58.3123557618689,22.8644154300312 58.3091499563675,22.8701084858979 58.3052849559454,22.8742584926831 58.3009094773374,22.8767064197601 58.296191820333,22.8773588366316 58.2913133768901)))', 'EESDL', 'Sandla', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5802400225229 58.953046739815,23.578949985134 58.9482029621319,23.5758566085216 58.9435822357979,23.5710793707305 58.9393620054335,23.5648022275353 58.9357042760649,23.557266487231 58.932749414163,23.5487615251871 58.9306107835446,23.5396136967528 58.9293704177044,23.5301738694578 58.9290758905198,23.5208040424178 58.9297385020752,23.5118635515439 58.9313328471996,23.5036953730305 58.9337977828773,23.4966130344303 58.9370387586993,23.4908886224507 58.940931423706,23.4867423397229 58.9453263750508,23.4843340098453 58.9500548705545,23.4837568620344 58.9549352900135,23.4850338453098 58.9597801005182,23.4881166294731 58.9644030602951,23.4928873490825 58.9686263847026,23.4991630407 58.9722875976754,23.5067026170238 58.9752458023954,23.5152161186885 58.9773871261318,23.5243758902659 58.9786291253863,23.5338292459891 58.9789239776085,23.5432121271579 58.9782603332298,23.552163210485 58.9766637546595,23.5603379071703 58.9741957249358,23.5674216973306 58.9709512655089,23.5731422732755 58.9670552576858,23.5772800163784 58.9626576132261,23.5796764031225 58.9579274843108,23.5802400225229 58.953046739815)))', 'EESDM', 'Sadama', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2438783238622 58.6831743676834,23.2426458981579 58.6783267287886,23.2396217818126 58.6736973851042,23.2349227858944 58.6694641158321,23.2287298605311 58.665789430226,23.2212810850252 58.6628143487748,23.2128625053571 58.6606530136069,23.2037971731189 58.6593883307174,23.1944328022665 58.6590688071476,23.1851285071815 58.6597067011503,23.1762411164624 58.6612775542742,23.1681115710903 58.6637211228731,23.161051912895 58.6669436745124,23.155333349605 58.6708215638572,23.1511758465103 58.6752059545846,23.1487396425323 58.679928510365,23.1481190213235 58.6848078405735,23.1493385874789 58.6896564565868,23.1523522061928 58.6942879735544,23.1570446645653 58.6985242814124,23.1632360077525 58.7022024083105,23.1706883973278 58.7051808098544,23.1791152371044 58.7073448384615,23.1881922179648 58.7086111780841,23.1975698525539 58.7089310694578,23.2068870072027 58.708292198335,23.2157848955575 58.7067191719248,23.2239209784664 58.7042725647374,23.2309822188208 58.7010465718053,23.2366971680265 58.6971653623694,23.2408464110083 58.692778278206,23.2432709663731 58.6880540656951,23.2438783238622 58.6831743676834)))', 'EESEA', 'Seanina kalasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3657401703742 58.5655014734686,22.3646335733405 58.560645110012,22.3617356984201 58.5559948131164,22.3571585147417 58.5517291733657,22.3510783085149 58.5480119483283,22.343728849746 58.5449857951114,22.3353923919343 58.5427668175916,22.3263888530737 58.5414401333938,22.3170635894471 58.5410566266164,22.3077742217138 58.5416310075015,22.2988770047171 58.543141251331,22.2907132477138 58.5455294374774,22.2835962901008 58.5487039574745,22.2777995191999 58.5525430099436,22.2735458815568 58.5568992519305,22.2709992881213 58.5616054323642,22.2702582476373 58.5664807955298,22.2713519830993 58.5713380121137,22.2742391953454 58.5759903738097,22.2788095385414 58.5802589756873,22.2848877678806 58.5839796092219,22.2922404143237 58.5870090983936,22.3005847390801 58.5892308314565,22.3095996264861 58.5905592712788,22.3189379925439 58.5909432664836,22.3282402218641 58.5903680324698,22.3371481015402 58.5888557238369,22.345318699018 58.5864645755609,22.3524376335022 58.5832866470657,22.3582312167136 58.5794442586432,22.3624769874067 58.5750852611161,22.3650122323049 58.5703773250606,22.3657401703742 58.5655014734686)))', 'EESEB', 'Seebilõuka', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1028755109297 57.9126017368996,22.1018258132515 57.9077424610649,22.0990158286371 57.9030855056341,22.0945541266454 57.8988097216505,22.0886125446833 57.8950792618027,22.0814195273293 57.8920372969919,22.0732513303912 57.8898005430294,22.0644214302204 57.8884548034466,22.0552685413273 57.8880516954426,22.0461436929942 57.8886066812588,22.0373968473971 57.8900984783684,22.0293635571502 57.8924698704833,22.0223521589076 57.8956298892489,22.0166319817205 57.8994572853714,22.0124230145362 57.9038051595266,22.0098874271725 57.9085065794274,22.0091232743276 57.9133809714717,22.010160634206 57.9182410449172,22.012960344269 57.9228999848186,22.0174153991639 57.9271786380154,22.0233549734455 57.930912415008,22.0305509281898 57.9339576398901,22.0387265604011 57.9361971005339,22.0475672617759 57.9375445813395,22.0567326734171 57.9379482000221,22.0658698595642 57.9373924165938,22.0746269797177 57.9358986350109,22.0826669170543 57.9335243736801,22.0896803229623 57.9303610377688,22.0953975627448 57.9265303815764,22.099599094651 57.9221798007427,22.1021238808177 57.9174766396215,22.1028755109297 57.9126017368996)))', 'EESEE', 'Sääre, Torgu v', 'Y'),('SRID=4326;MULTIPOLYGON(((23.899399900456 58.3479344279617,23.8980906782722 58.3430936401595,23.8950111216199 58.3384800952044,23.8902801479457 58.3342709626523,23.8840799128511 58.3306278239075,23.8766487574363 58.3276904891061,23.8682720386392 58.3255716537303,23.8592711964489 58.3243525958319,23.8499914730275 58.3240800749668,23.8407887447689 58.3247645486262,23.8320159582531 58.3263797726845,23.824009674391 58.3288638008687,23.8170772215575 58.3321213462124,23.8114849382215 58.3360274166348,23.8074479488157 58.3404320889042,23.8051218640037 58.3451662419831,23.8045967291707 58.3500480337008,23.8058934644772 58.354889875296,23.8089629483703 58.3595056378807,23.8136877968889 58.363717814286,23.8198867869329 58.3673643597088,23.8273217669534 58.3703049453775,23.8357067977539 58.3724263808942,23.844719173919 58.3736469923589,23.8540118973413 58.3739197836986,23.8632271124912 58.3732342562447,23.8720099717696 58.3716168145538,23.8800223807781 58.369129742514,23.8869560786457 58.3658687904917,23.892544537362 58.3619594692036,23.8965732147611 58.3575521967962,23.8988877656075 58.3528164901535,23.899399900456 58.3479344279617)))', 'EESEP', 'Sepa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.430281508636 58.2254792917014,22.4291773886441 58.2206232259131,22.4262995069788 58.2159740633219,22.4217590497216 58.2117103520338,22.4157308814756 58.2079957774523,22.4084467682604 58.2049728973107,22.400186454851 58.202757692343,22.3912669418075 58.201435137595,22.3820303700531 58.2010559602652,22.3728309684452 58.2016347051323,22.3640215514136 58.2031491796715,22.3559400688344 58.2055412995687,22.3488967086202 58.2087193032493,22.3431620340524 58.2125612529811,22.3389566029521 58.2169196918277,22.3364424650142 58.2216272818884,22.3357168680405 58.226503211475,22.3368084249301 58.2313601285822,22.3396759032444 58.2360113365085,22.3442097007166 58.2402779757646,22.3502359666372 58.243995915191,22.3575232246017 58.2470220847877,22.3657912510788 58.2492400030304,22.3747218712647 58.2505642818012,22.383971253273 58.2509439314343,22.3931832179977 58.2503643352469,22.4020030383852 58.2488478153699,22.4100911807418 58.246452767502,22.4171364432657 58.2432713989756,22.4228679730695 58.2394261597901,22.4270656910973 58.2350650076714,22.4295687219004 58.2303556935904,22.430281508636 58.2254792917014)))', 'EESFE', 'Saare Fishexport, Nasva k', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0501390400442 58.1560994938182,24.0496358828574 58.1512171833783,24.0473410689243 58.1464805524839,24.0433434352254 58.1420715402523,24.0377970768432 58.1381594363786,24.0309153541712 58.1348943976972,24.0229626608414 58.1324017055941,24.0142442736169 58.1307769807229,24.0050946726719 58.1300825344912,23.9958647731996 58.1303449935706,23.9869085460646 58.1315542858327,23.9785695255938 58.1336640252896,23.9711677062493 58.1365932815683,23.9649873168132 58.1402296678987,23.9602659310719 58.1444336322913,23.9571853283456 58.1490437912071,23.9558644564776 58.153883105184,23.9563547754276 58.1587656630927,23.9586381733143 58.1635038172499,23.9626275511446 58.1679153966358,23.9681700707179 58.17183072073,23.9750529560675 58.175099142449,23.9830116365578 58.1775948653701,23.9917399239367 58.1792218074243,24.0009018308206 58.1799173196576,24.0101445685457 58.1796546131088,24.0191122117362 58.1784437975816,24.0274594880725 58.1763314909675,24.0348651462123 58.1733990144666,24.0410443729547 58.1697592450991,24.0457597715264 58.165552249891,24.0488304741015 58.1609398737951,24.0501390400442 58.1560994938182)))', 'EESGT', 'Sigatsuaru', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5752471935377 58.9580485526666,23.5739576492967 58.9532047248934,23.5708644713065 58.9485838808308,23.5660871302708 58.9443634696313,23.5598095861782 58.9407055032554,23.5522731628939 58.9377503572474,23.5437672620904 58.9356114062931,23.5346182751338 58.9343706961414,23.5251771139089 58.9340758138465,23.5158058285462 58.9347380730945,23.5068638107078 58.936332082225,23.498694094977 58.9387967111271,23.4916102677341 58.9420374211953,23.4858844727292 58.9459298717172,23.4817369656847 58.9503246681381,23.4793276173068 58.9550530742886,23.4787496961179 58.9599334734537,23.4800261811058 58.9647783335491,23.4831087615135 58.9694014109239,23.487879580022 58.973624916425,23.4941556696407 58.977286367013,23.5016959279386 58.980244856704,23.5102103694005 58.9823865017665,23.5193713024233 58.9836288462973,23.5288259964397 58.9839240544223,23.5382103410709 58.9832607628505,23.5471629564959 58.9816645204045,23.5553391947442 58.9791967971983,23.5624244764433 58.9759526029173,23.5681464364192 58.9720568087139,23.5722854028014 58.967659318188,23.5746828051228 58.9629292776611,23.5752471935377 58.9580485526666)))', 'EESHL', 'Suur-Holmi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6764761756119 58.3908702711958,24.6758840510205 58.3859900970673,24.673490781653 58.3812643282207,24.6693889904718 58.376874481109,24.6637367698614 58.3729891044033,24.6567515360557 58.3697573247173,24.6487016430905 58.367303144082,24.6398960831559 58.365720704012,24.6306726671159 58.3650706937062,24.6213851310474 58.3653780364766,24.6123896508821 58.3666309404921,24.6040312669561 58.368781349024,24.5966307231837 58.3717467733308,24.5904722116386 58.3754134398469,24.5857924827846 58.3796406341792,24.5827717350022 58.3842660792557,24.5815266353078 58.3891121454136,24.5821057476511 58.3939926577542,24.5844875578272 58.3987200420435,24.5885811874298 58.4031125358925,24.5942297866018 58.407001187689,24.6012164904433 58.4102363722168,24.6092727211227 58.4126935690883,24.618088521592 58.4142781775938,24.627324521958 58.4149291784093,24.636625070291 58.414621497426,24.6456320096565 58.4133669779653,24.6539985551572 58.4112139226932,24.6614027203536 58.408245223294,24.6675597618465 58.4045751519368,24.6722331529775 58.4003449413709,24.6752436602292 58.3957173278618,24.6764761756119 58.3908702711958)))', 'EESIN', 'Sindi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.4531309583266 59.5462144696556,26.452265903566 59.5413439954735,26.4495467704617 59.5366527574361,26.4450787322173 59.5323209279033,26.4390339532798 59.5285148100424,26.4316449034218 59.5253804722653,26.4231953981272 59.5230381650979,26.4140097134375 59.5215777304529,26.4044401902106 59.5210551751125,26.3948537941105 59.5214905361592,26.3856181326276 59.5228671177018,26.3770874484314 59.5251321272124,26.3695891091166 59.5281986878153,26.3634110969144 59.5319491516916,26.3587909684481 59.5362395910823,26.3559067046831 59.5409052988683,26.354869805782 59.5457670919734,26.3557209060761 59.5506381793429,26.3584280928224 59.5553313333097,26.3628880115405 59.559666089832,26.3689297339092 59.5634757001354,26.3763212554942 59.5666135641156,26.384778384518 59.5689588944139,26.393975684297 59.5704213888729,26.4035590456798 59.5709447271215,26.4131593962648 59.5705087528864,26.4224070041138 59.5691302554113,26.4309458078295 59.5668623189082,26.4384472036955 59.5637922658614,26.4446227441522 59.5600382757831,26.4492352488811 59.5557448132644,26.4521078975636 59.5510770456676,26.4531309583266 59.5462144696556)))', 'EESJL', 'Selja jõe lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2619833335609 59.4429109569668,27.2610046497806 59.4380460645592,27.2581819763422 59.4333718498815,27.253624447991 59.429067825997,27.247507646018 59.4252992244833,27.2400667844136 59.4222106715085,27.2315876483758 59.4199206602012,27.2223956367042 59.4185170271401,27.2128433253241 59.4180536022368,27.2032970194641 59.4185481569135,27.1941227959025 59.419981726882,27.1856725536391 59.4222993346845,27.1782705910773 59.425412085173,27.1722012103247 59.4292005560103,27.1676978147945 59.4335193567839,27.1649339155004 59.4382026861072,27.1640163952454 59.4430706777349,27.1649812997794 59.4479362957042,27.1677923330198 59.4526125161327,27.1723421323342 59.4569195206003,27.1784562931091 59.4606916237634,27.1859000034565 59.4637836663597,27.194387044487 59.4660766239971,27.203590813939 59.4674822115442,27.21315694587 59.467946301536,27.222717030994 59.4674510212962,27.2319028947607 59.4660154455739,27.2403608660533 59.4636948571852,27.2477654697952 59.4605786050461,27.2538320017871 59.4567866445886,27.2583274923175 59.452464897488,27.2610796338389 59.4477796136817,27.2619833335609 59.4429109569668)))', 'EESKA', 'Saka', 'Y'),('SRID=4326;MULTIPOLYGON(((26.133192438939 58.1523293696018,26.1324040717774 58.1474559563918,26.1298330872107 58.142757462456,26.1255789081296 58.1384143470489,26.1198054455828 58.1345933574726,26.1127347353051 58.1314411448585,26.1046383801835 58.1290786569409,26.0958271312117 58.1275965189749,26.0866390044647 58.1270515759331,26.0774263817803 58.1274647250981,26.068542577152 58.1288201197546,26.0603283686921 58.1310657735626,26.0530989971444 58.13411554308,26.0471321162753 58.1378524145586,26.042657148334 58.1421329722805,26.0398464497174 58.1467928810283,26.0388086289557 58.1516531763919,26.0395842826065 58.1565271249853,26.0421443265988 58.1612273935856,26.0463910036435 58.1655732527621,26.0521615448104 58.1693975374994,26.0592343591212 58.1725530950079,26.0673375233724 58.1749184683234,26.0761592499437 58.1764025929145,26.0853599276393 58.1769483213623,26.0945852638499 58.176534636813,26.1034800090598 58.1751774674894,26.1117017195507 58.1729290699092,26.1189340124636 58.1698760052295,26.1248987892842 58.1661357888574,26.1293669480886 58.1618523457403,26.1321671691111 58.1571904503701,26.133192438939 58.1523293696018)))', 'EESKI', 'Saki', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9542915960985 58.9752799186991,22.9530884088062 58.9704295742742,22.9500765249913 58.9657935787211,22.9453723025005 58.9615499673357,22.939156906672 58.9578616460011,22.9316692900031 58.9548701572541,22.9231969946353 58.9526902709264,22.9140651332629 58.9514056026781,22.9046239671626 58.9510654243984,22.8952355477845 58.9516827854598,22.8862599198166 58.9532340148002,22.8780413983003 58.9556596224276,22.8708954299892 58.9588665669382,22.8650965297343 58.962731804727,22.8608677465388 58.9671069884797,22.8583720616746 58.9718241389349,22.857706053934 58.9767020763788,22.8588960862301 58.9815533683517,22.861897175535 58.9861915288583,22.8665946073673 58.9904381930089,22.872808250207 58.9941299901651,22.8802994184372 58.997124848628,22.8887800292268 58.9993074855569,22.897923703935 59.0005938665368,22.9073783828098 59.0009344589303,22.9167799571999 59.0003161503194,22.9257663796825 58.9987627560224,22.9339916918482 58.9963340956271,22.9411394131307 58.9931236752939,22.9469347618084 58.9892550677909,22.9511552295774 58.98487713344,22.9536391011149 58.9801582702559,22.9542915960985 58.9752799186991)))', 'EESKM', 'Suursadam -Kalakai', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0010828684651 58.8262635692184,22.9998787500397 58.8214135622037,22.99687398615 58.8167785172774,22.992184654043 58.8125364336079,22.9859913418247 58.8088501591879,22.9785321510674 58.8058611589999,22.9700935323364 58.8036841084697,22.9609993079202 58.8024025154419,22.9515982988767 58.8020655345463,22.9422510210372 58.8026860928203,22.9333159459319 58.8042403964094,22.9251358371647 58.8066688367802,22.9180246703324 58.8098782628534,22.9122556251816 58.8137455345534,22.9080506026186 58.8181222251752,22.9055716670628 58.8228402963836,22.9049147474975 58.8277185321563,22.9061058499733 58.8325694880259,22.909099942418 58.837206690836,22.9137825722144 58.8414518129001,22.9199741716243 58.8451415436585,22.9274368998388 58.8481338919325,22.9358837677502 58.8503136725801,22.9449896972079 58.8515969621207,22.9544040851657 58.851934347645,22.9637643789703 58.8513128405144,22.9727101255252 58.8497563790386,22.9808969365941 58.8473249002705,22.9880098162176 58.8441120178581,22.9937753238957 58.8402413980737,22.9979720972738 58.8358619773374,23.0004393277969 58.8311422096189,23.0010828684651 58.8262635692184)))', 'EESKS', 'Salinõmme Vanasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9904885974609 58.3700123306653,26.9895775519895 58.3651446193465,26.9868772859083 58.360463787856,26.982492187212 58.3561496100675,26.9765911858199 58.3523677159989,26.9694011991117 58.3492632513239,26.9611983897783 58.3469553284594,26.9522975751797 58.345532478071,26.9430401917849 58.345049271411,26.9337812676793 58.345524239578,26.9248758895742 58.346939167183,26.9166656676518 58.3492397866862,26.9094657016481 58.3523378475806,26.9035525348181 58.3561144833644,26.8991535491142 58.3604247506125,26.89643820563 58.365103170091,26.8955114701035 58.3699700613737,26.8964096855026 58.3748384312825,26.8990990644842 58.3795211539696,26.9034768765145 58.3838381676442,26.9093753010045 58.3876234105512,26.9165678128878 58.3907312271868,26.9247778650418 58.3930419948282,26.9336895374541 58.3944667497177,26.9429597406507 58.3949506306596,26.9522314948441 58.3944750039014,26.9611477600553 58.3930581850971,26.9693652686372 58.3907547297049,26.9765678115275 58.387653319971,26.9824784531669 58.3838733322278,26.9868701960438 58.3795602202054,26.9895746817207 58.3748798962286,26.9904885974609 58.3700123306653)))', 'EESKT', 'Sarakuste', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2456690923848 58.5115463192898,22.2445808746685 58.5066888202747,22.2417033938508 58.5020357084901,22.2371478350099 58.497765683714,22.2310896546369 58.4940426728807,22.2237617790363 58.4910095559977,22.2154456360273 58.4887827047256,22.2064603671069 58.4874475390403,22.1971506304481 58.4870552683749,22.1878734532103 58.4876209388789,22.1789846236698 58.4891228595401,22.1708251290907 58.4915034285671,22.1637081437733 58.4946713293625,22.1579070533798 58.4985050143623,22.1536449667085 58.5028573467032,22.1510861152069 58.5075612257896,22.1503294746825 58.5124359849486,22.1514048644198 58.5172943189621,22.1542716883494 58.5219494776132,22.1588203838065 58.5262224495076,22.1648765391897 58.5299488590395,22.1722075364844 58.5329853087806,22.1805314726249 58.5352149196725,22.189528019682 58.5365518516116,22.1988508024866 58.5369446262682,22.2081408077187 58.5363781207643,22.2170402941525 58.5348741532338,22.2252066521076 58.5324906370858,22.2323256623985 58.5293193375908,22.2381236310827 58.5254823197344,22.2423779246172 58.5211272277765,22.24492549799 58.5164215824389,22.2456690923848 58.5115463192898)))', 'EESKV', 'Suurekivi', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3012030810363 58.1645273584365,22.3001185513799 58.159670060602,22.2972625100731 58.1550178665708,22.2927453034667 58.1507494420408,22.2867409039813 58.1470286544638,22.2794801670853 58.1439983009418,22.2712419431875 58.1417746496077,22.2623423884343 58.1404429998609,22.253122881058 58.1400544277799,22.243936997607 58.1406238382393,22.2351370351259 58.1421293963301,22.2270605805921 58.1445133592982,22.2200176273855 58.1476842781134,22.2142787202934 58.1515204867014,22.2100645758244 58.15587474855,22.2075375740455 58.1605798865107,22.2067954527997 58.1654551837616,22.2078674565201 58.1703133135372,22.2107131020578 58.1749675336362,22.2152236257226 58.1792388699107,22.2212260725125 58.1829630116228,22.2284898842431 58.1859966510341,22.2367357423926 58.1882230197646,22.2456463285704 58.1895564047151,22.2548785851081 58.1899454656377,22.2640769945096 58.1893752232358,22.2728873527648 58.1878676390745,22.2809704902328 58.1854807643592,22.2880153961192 58.182306491408,22.2937512283622 58.1784669969321,22.2979577385745 58.1741100176899,22.3004737089362 58.1694031445281,22.3012030810363 58.1645273584365)))', 'EESLE', 'Salme Jõesadam', 'Y'),('SRID=4326;MULTIPOLYGON(((22.241178576131 58.8825463244158,22.240078673341 58.8776891017377,22.2371703977496 58.8730362597423,22.2325661333787 58.8687664861841,22.226443218486 58.8650436959144,22.2190370701318 58.8620107576325,22.210632119708 58.8597840333309,22.2015509103508 58.8584489357543,22.1921417709163 58.8580566701761,22.1827655296955 58.8586222820512,22.1737817633308 58.8601240832402,22.165535091924 58.8625044781876,22.1583420298358 58.8656721594063,22.1524788831903 58.8695055905996,22.1481711499 58.8738576474665,22.1455848267168 58.8785612423585,22.1448199614201 58.8834357210777,22.1459067082722 58.8882937896921,22.1488040534388 58.8929487075689,22.1534012769548 58.8972214709203,22.1595221124705 58.9009477097267,22.1669314594958 58.9039840302804,22.1753443996735 58.9062135556684,22.184437173501 58.9075504467054,22.1938596915346 58.9079432250793,22.2032490887093 58.9073767672664,22.2122437855045 58.905872890193,22.220497497758 58.9034895054496,22.2276926392061 58.9003183756933,22.2335525871645 58.8964815622296,22.2378523306954 58.8921267042793,22.2404270894164 58.8874213159297,22.241178576131 58.8825463244158)))', 'EESLK', 'Sakka lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7859489529185 59.4217145682018,27.7848957925338 59.4168538396598,27.7820028593827 59.4121911712868,27.7773819788442 59.4079056289843,27.7712111537263 59.4041617319067,27.7637276593529 59.4011031562467,27.7552189050954 59.3988472442016,27.7460114165022 59.3974805245274,27.7364583572584 59.3970554122865,27.7269260598378 59.3975882108327,27.7177800669277 59.3990584903603,27.7093712019827 59.4014098661297,27.7020221863246 59.4045521475048,27.6960153020744 59.4083647779047,27.691581565145 59.4127014374108,27.6888918211274 59.4173956357509,27.6880501101545 59.4222670852783,27.6890895662178 59.4271286128717,27.6919710240408 59.4317933476542,27.6965844052578 59.4360819091327,27.7027528487663 59.4398293185112,27.7102394418247 59.4428913648814,27.7187563033187 59.4451501776615,27.7279756734482 59.4465187864841,27.7375425796698 59.4469444886806,27.7470885814292 59.4464108910815,27.7562460496739 59.4449385451414,27.7646624139322 59.4425841501931,27.7720138111816 59.4394383565159,27.7780175967294 59.4356222554073,27.7824432264158 59.4312826951692,27.7851210889054 59.4265866076837,27.7859489529185 59.4217145682018)))', 'EESLM', 'Sillamäe', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9990829269165 58.8262643138926,22.9978790874357 58.8214142866414,22.9948745894002 58.8167791936572,22.9901854998736 58.8125370359681,22.9839923976867 58.8088506644191,22.9765333763943 58.8058615477277,22.9680948801012 58.8036843657925,22.9590007264337 58.802402631498,22.9495997337577 58.802065504889,22.9402524172823 58.8026859185864,22.9313172500087 58.8042400842763,22.9231369990496 58.8066683987116,22.9160256454194 58.8098777156448,22.9102563759895 58.8137448991922,22.9060511002327 58.8181215260408,22.9035718922558 58.8228395603159,22.9029146914837 58.8277177874283,22.9041055147666 58.8325687632599,22.9070993407754 58.8372060139024,22.9117817271648 58.8414512098442,22.917973115598 58.8451410376945,22.9254356734274 58.8481335025457,22.9338824181456 58.8503134147716,22.9429882763795 58.8515968458251,22.9524026478472 58.8519343773447,22.961762980536 58.8513130150653,22.9707088198409 58.8497566917142,22.9788957739282 58.8473253390234,22.9860088412949 58.8441125657881,22.9917745741725 58.8402420340824,22.9959716014995 58.8358626769462,22.9984391049189 58.8311429459148,22.9990829269165 58.8262643138926)))', 'EESLN', 'Salinõmme', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1381660495372 58.1323274550702,26.1373774191289 58.1274540567645,26.1348071949795 58.1227556504682,26.1305547698586 58.1184126921148,26.1247839867381 58.1145919230708,26.1177167780395 58.1114399861303,26.1096246121208 58.1090778185881,26.1008180793963 58.1075960335352,26.0916350154192 58.107051462501,26.0824276083915 58.1074649885436,26.0735489728575 58.1088207504784,26.0653396891825 58.1110667478047,26.0581148095286 58.11411682378,26.0521518153896 58.1178539527416,26.0476799796192 58.1221347089222,26.0448715378407 58.1267947493297,26.0438350111352 58.1316551043748,26.0446109454061 58.1365290383057,26.047170244809 58.1412292184489,26.0514151797666 58.1455749188191,26.0571830476173 58.1493989806035,26.0642523597665 58.1525542597181,26.0723513276281 58.1549193100525,26.0811683252553 58.1564030796359,26.090363923907 58.1569484348117,26.0995840270876 58.1565343731429,26.1084735873752 58.1551768373587,26.1166903612082 58.1529280980126,26.1239181561172 58.1498747292957,26.1298790467902 58.1461342581609,26.1343440806106 58.1418506191907,26.1371420574918 58.1371885942555,26.1381660495372 58.1323274550702)))', 'EESLO', 'Sallo', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8179154037906 59.3987026498632,27.8168584094967 59.3938421708581,27.8139630798244 59.3891801998975,27.8093413306911 59.3848957759744,27.8031711968456 59.3811533752815,27.795689925946 59.378096616645,27.7871848413216 59.3758427726744,27.7779823274979 59.3744782929545,27.7684353575765 59.3740555067888,27.7589100311199 59.3745906284328,27.7497716243609 59.376063139021,27.7413706707781 59.3784165681841,27.7340295891037 59.3815606463594,27.728030357665 59.3853747477779,27.7236036988838 59.389712495752,27.7209201863492 59.3944073578764,27.7200836201322 59.3992790206733,27.7211269354166 59.4041403025336,27.7240108171794 59.4088043418065,27.7286250923424 59.4130917846178,27.7347928640027 59.4168376951772,27.7422772441274 59.4198979203134,27.7507904360397 59.4221546596733,27.7600048209544 59.4235210228748,27.769565618502 59.4239443938706,27.7791046239855 59.4234084693701,27.7882544786604 59.4219338904664,27.7966629062053 59.4195774424121,27.8040063500468 59.4164298543692,27.810002472243 59.4126122864525,27.8144210237299 59.4082716430921,27.8170926651817 59.4035748974892,27.8179154037906 59.3987026498632)))', 'EESLP', 'Sillamäe paadisadam', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((26.0909878216903 57.9973443698831,26.0902084000701 57.9924706038481,26.0876538711399 57.9877711927199,26.08342301959 57.9834266319026,26.0776788565139 57.9796037253848,26.0706422910483 57.9764491991707,26.062583616227 57.974084090992,26.0538121399187 57.9725991276027,26.0446643565134 57.972051262954,26.0354911050566 57.9724615065374,26.0266441937797 57.9738141227759,26.0184629888302 57.9760572312046,26.0112614661597 57.9791047850614,26.0053162099852 57.9828398545397,26.0008558092487 57.9871190920821,25.9980520556478 57.9917782123974,25.9970132840635 57.9966382809709,25.9977801199958 58.001512573195,26.0003238109511 58.0062137431615,26.0045472222208 58.0105610276998,26.0102884754279 58.0143872081598,26.0173271044399 58.0175450601099,26.02539250207 58.0199130395048,26.0341743369645 58.0213999824733,26.0433345377314 58.0219486336908,26.0525203748913 58.0215378639173,26.0613781241501 58.0201834888379,26.0695667693746 58.0179376566855,26.0767712018998 58.0148868288851,26.0827143945127 58.0111484336718,26.0871680724333 58.0068663249158,26.0899614674531 58.002205225024,26.0909878216903 57.9973443698831)))', 'EESLU', 'Salu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2877063208934 58.5395305814828,22.286611375956 58.5346734853158,22.2837259999045 58.5300213656462,22.2791616817111 58.5257528837278,22.2730942142663 58.522031906846,22.2657568798847 58.519001236581,22.2574314684615 58.516777150442,22.2484374759361 58.515444962167,22.2391198939338 58.5150557669431,22.2298360495329 58.5156244930305,22.2209419861088 58.5171293323686,22.2127788915701 58.5195125714,22.2056600787717 58.5226827912786,22.1998590044842 58.5265183555836,22.1955987783031 58.5308720553617,22.1930435619157 58.5355767374442,22.19229219323 58.5404517041259,22.193374290517 58.545309641916,22.196249001064 58.5499638154475,22.200806459624 58.5542352507855,22.2068719176252 58.5579596310138,22.2142123986761 58.5609936364236,22.222545633833 58.56322048176,22.231550936065 58.5645544332215,22.2408815919449 58.5649441271912,22.2501782840115 58.5643745594793,22.2590830129453 58.5628676662764,22.2672529671097 58.5604814738227,22.2743737893353 58.5573078505967,22.2801717169381 58.5534689511483,22.2844241193804 58.5491124921757,22.2869680260689 58.5444060469094,22.2877063208934 58.5395305814828)))', 'EESMA', 'Saaremaa sadam', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6483627356287 59.0087670166572,27.64734208317 59.0039048201501,27.6445029044413 58.9992387209182,27.6399549429696 58.9949479195204,27.6338733905881 58.9911971405975,27.6264920918647 58.988130328247,27.6180945374739 58.9858651441713,27.6090029956023 58.9844884755024,27.5995661950873 58.9840531204659,27.5901460233224 58.9845757755163,27.5811037350652 58.9860363988589,27.5727861845884 58.9883789740373,27.565512592864 58.9915136452424,27.5595623436685 58.9953201449082,27.5551642679253 58.9996523857357,27.5524878248461 59.0043440451901,27.551636522486 59.0092149323503,27.5526438406863 59.0140778962211,27.5554718281181 59.0187460125252,27.5600124450267 59.0230397736236,27.5660916177233 59.0267940042882,27.5734758639295 59.0298642349256,27.5818812442467 59.0321322834299,27.5909842990635 59.033510826585,27.600434546799 59.0339467807913,27.6098680528387 59.0334233583758,27.6189215323991 59.031960717958,27.6272464274316 59.0296151830762,27.6345223988236 59.0264770601282,27.6404697005198 59.0226671421769,27.6448599503302 59.0183320369238,27.647524880472 59.0136385029861,27.6483627356287 59.0087670166572)))', 'EESMO', 'Smolnitsa', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5182807584846 58.2489274528108,24.5177122743836 58.244046634184,24.5153492311378 58.2393180474582,24.5112830859682 58.2349233190103,24.5056705602512 58.2310311867311,24.4987275468046 58.2277910382295,24.4907207820706 58.2253271980686,24.4819576078837 58.2237341792963,24.4727742143428 58.2230730773202,24.4635228074077 58.2233692407758,24.4545581811396 58.2246113060651,24.4462241943623 58.2267516313556,24.4388406546042 58.2297081137681,24.4326910984829 58.2333673219845,24.4280119274262 58.2375888273025,24.4249833113506 58.2422105709468,24.4237222115405 58.2470550658185,24.4242777988687 58.2519361983233,24.4266294565963 58.2566663717769,24.4306874608422 58.2610637182381,24.4362963296126 58.2649591012481,24.4432407268298 58.2682026383037,24.4512537053885 58.2706694889654,24.4600269774577 58.272264681863,24.4692228156265 58.2729267905976,24.4784871193505 58.2726303132633,24.4874631311456 58.2713866612437,24.495805258843 58.2692437179369,24.5031924555336 58.2662839847921,24.5093406278682 58.2626213880223,24.5140135850913 58.2583968722061,24.5170321032884 58.2537729544394,24.5182807584846 58.2489274528108)))', 'EESNA', 'Suuna', 'Y'),('SRID=4326;MULTIPOLYGON(((26.2394186394707 58.3212906423825,26.238612116037 58.3164179756918,26.2360149944389 58.3117216890313,26.2317277075924 58.3073821554332,26.2259154414284 58.3035659830209,26.2188017220422 58.3004196363734,26.2106598010166 58.2980638366841,26.2018021736465 58.2965889515544,26.1925686299101 58.2960515471869,26.1833132882542 58.2964722316974,26.174391096575 58.2978348698379,26.1661443025701 58.3000871982984,26.1588893966272 58.303142818663,26.1529050145881 58.3068844937713,26.1484212553508 58.311168624423,26.1456108199124 58.3158307387294,26.1445823150884 58.320691787575,26.1453759881971 58.3255650080809,26.1479620704897 58.3302630939581,26.1522418096826 58.3346053982608,26.158051168908 58.3384248910511,26.165167064629 58.3415746022533,26.1733159139389 58.3439332984505,26.1821841667759 58.3454101710738,26.1914304155296 58.3459483513421,26.2006986075262 58.3455271130154,26.2096318385182 58.3441626756555,26.2178861801711 58.3419075764877,26.2251439930375 58.3388486357436,26.2311261987261 58.3351035960818,26.2356030296718 58.3308165689249,26.2384028396489 58.3261524671276,26.2394186394707 58.3212906423825)))', 'EESNG', 'Sangla', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6992843311447 58.9880020230865,23.6979761711382 58.9831595969876,23.694863675196 58.9785418879883,23.6900670554982 58.9743262238323,23.6837710106784 58.970674433366,23.67621757237 58.9677266544553,23.6676967924244 58.9655959787285,23.6585356303731 58.9643641343672,23.6490854629697 58.9640783684844,23.6397086845084 58.9647496453987,23.6307648971783 58.9663522279343,23.622597204449 58.9688246574385,23.6155191171656 58.972072096223,23.6098025616902 58.9759699453392,23.6056674423738 58.9803686027147,23.6032731575098 58.9850991833633,23.602712399767 58.9899799862399,23.604007490506 58.9948234627735,23.6071094045428 58.9994434214519,23.6118995406958 59.0036621920387,23.6181941873942 59.0073174727621,23.6257515258599 59.0102685943963,23.6342809104812 59.0124019564135,23.6434540717436 59.0136354216679,23.6529178061202 59.0139214962796,23.6623076538643 59.0132491689288,23.6712620231037 59.0116443367111,23.6794361993681 59.0091688007734,23.686515684755 59.0059178717312,23.6922283400578 59.0020166798931,23.6963548546946 58.9976153362303,23.6987371403573 58.9928831346913,23.6992843311447 58.9880020230865)))', 'EESNJ', 'Saunja', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0010828684651 58.8262635692184,22.9998787500397 58.8214135622037,22.99687398615 58.8167785172774,22.992184654043 58.8125364336079,22.9859913418247 58.8088501591879,22.9785321510674 58.8058611589999,22.9700935323364 58.8036841084697,22.9609993079202 58.8024025154419,22.9515982988767 58.8020655345463,22.9422510210372 58.8026860928203,22.9333159459319 58.8042403964094,22.9251358371647 58.8066688367802,22.9180246703324 58.8098782628534,22.9122556251816 58.8137455345534,22.9080506026186 58.8181222251752,22.9055716670628 58.8228402963836,22.9049147474975 58.8277185321563,22.9061058499733 58.8325694880259,22.909099942418 58.837206690836,22.9137825722144 58.8414518129001,22.9199741716243 58.8451415436585,22.9274368998388 58.8481338919325,22.9358837677502 58.8503136725801,22.9449896972079 58.8515969621207,22.9544040851657 58.851934347645,22.9637643789703 58.8513128405144,22.9727101255252 58.8497563790386,22.9808969365941 58.8473249002705,22.9880098162176 58.8441120178581,22.9937753238957 58.8402413980737,22.9979720972738 58.8358619773374,23.0004393277969 58.8311422096189,23.0010828684651 58.8262635692184)))', 'EESNK', 'Salinõmme Kalasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((22.6418050288938 58.6173986198825,22.6406584456028 58.6125448878776,22.6377196485741 58.6079010720732,22.6331021772678 58.6036455119737,22.6269838611549 58.5999415763141,22.6195999278838 58.5969314107816,22.61123394801 58.5947305050077,22.6022069665655 58.593423283128,22.5928652346751 58.5930598830068,22.5835670021722 58.5936542443266,22.5746688637869 58.595183576774,22.5665121664332 58.5975892281708,22.5594099831482 58.6007789203528,22.553635140366 58.6046302696059,22.549409749727 58.6089954602718,22.5468966441625 58.6137068963942,22.5461930515712 58.618583618595,22.5473267595714 58.6234382432032,22.5502549336837 58.6280841592736,22.5548656516896 58.632342707556,22.5609821122487 58.6360500643922,22.5683693702074 58.6390635632519,22.57674334886 58.6412672070348,22.5857817854341 58.6425761547673,22.5951366848633 58.6429400058392,22.6044477926723 58.6423447519147,22.6133565539789 58.6408133191984,22.6215200046247 58.638404679616,22.6286240434468 58.6352115662566,22.6343955615262 58.6313568836776,22.6386129533814 58.6269889550057,22.6411146038247 58.6222757930332,22.6418050288938 58.6173986198825)))', 'EESOE', 'Soela', 'Y'),('SRID=4326;MULTIPOLYGON(((25.4900375903475 59.4925755456574,25.4893126997547 59.4876995628537,25.4867318640913 59.4829891584243,25.4823949537077 59.4786252482685,25.4764691143041 59.4747753733887,25.4691822707675 59.4715872860005,25.4608143382767 59.4691833013556,25.4516864828734 59.4676556277985,25.4421488414771 59.4670628498872,25.432567163782 59.4674276957002,25.4233088746087 59.4687361713054,25.4147290744787 59.4709380944625,25.4071569981675 59.4739490076608,25.4008834357386 59.4776533993106,25.3961495883146 59.4819091129988,25.3931377821384 59.486552779876,25.3919644002287 59.4914060700578,25.3926753125345 59.4962825268796,25.3952439949277 59.5009947242517,25.3995724272812 59.505361473316,25.405494754599 59.5092148008729,25.4127835866811 59.5124064290682,25.4211587056149 59.5148135035944,25.4302978512897 59.5163433456998,25.4398491679434 59.5169370406838,25.449444823944 59.5165717208519,25.4587152663967 59.5152614523011,25.4673035445515 59.5130566902322,25.4748791329313 59.5100423243553,25.481150706796 59.5063343918993,25.4858773677678 59.5020755883327,25.4888778836781 59.4974297529105,25.4900375903475 59.4925755456574)))', 'EESOI', 'Sõitme', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0960718946169 58.0613427434517,26.095290473301 58.0564690515129,26.0927307937716 58.0517697748324,26.0884918412159 58.0474254033587,26.0827369397393 58.043602733391,26.0756874117214 58.0404484813684,26.0676140477024 58.0380836740214,26.0588267183007 58.0365990261607,26.0496625245389 58.0360514793682,26.0404729330586 58.0364620308527,26.0316103769956 58.0378149333236,26.0234148211541 58.0400582956032,26.0162007912793 58.0431060615857,26.0102453516485 58.0468412937869,26.0057774831725 58.0511206388605,26.0029692662695 58.0557798077671,26.0019292099342 58.0606398643702,26.0026979920895 58.0655140845912,26.0052467884949 58.0702151251714,26.0094782708189 58.074562227625,26.015230252232 58.0783881798864,26.0222818549112 58.0815457658175,26.030361972471 58.0839134511301,26.0391597061293 58.0854000828688,26.0483363709087 58.0859484174237,26.0575386015648 58.085537337656,26.0664120407589 58.0841826712828,26.0746150668269 58.0819365780206,26.0818320167507 58.078885529743,26.0877853817049 58.0751469636343,26.092246496633 58.0708647405977,26.0950443092846 58.0662035878158,26.0960718946169 58.0613427434517)))', 'EESOK', 'Soka', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0745293741633 58.4053520757843,26.0737437918548 58.4004784999557,26.0711625445981 58.395778980428,26.0668854611323 58.391434015243,26.0610773412432 58.3876104214962,26.0539615568453 58.3844549486341,26.0458114424485 58.382088667717,26.0369398096554 58.3806023478964,26.0276869857598 58.3800529933646,26.0184078270219 58.3804616700539,26.0094581917674 58.3818127029813,26.0011813764877 58.3840542740441,25.9938950193101 58.3871003979833,25.9878789595608 58.3908342029061,25.9833645099026 58.3951123929044,25.9805255492811 58.3997707256222,25.9794717816025 58.4046302987091,25.9802444281257 58.4095044074245,25.9828145329952 58.4142057125394,25.9870839637975 58.4185534441733,25.9928890857969 58.4223803640645,26.0000069834835 58.4255392163915,26.008164000622 58.4279084156007,26.0170462747314 58.4293967482567,26.0263118584728 58.4299469037306,26.035603953012 58.4295376941536,26.0445647306612 58.4281848756362,26.052849198599 58.4259405381218,26.0601385536512 58.4228910880368,26.0661525000957 58.4191539036501,26.0706600470048 58.4148727953623,26.0734883663154 58.4102124498119,26.0745293741633 58.4053520757843)))', 'EESOT', 'Sääreotsa', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6609671955054 57.9787646212312,27.6599752540963 57.9739016895681,27.6572172597389 57.969234963625,27.6527997931933 57.9649436724753,27.6468930031896 57.9611925661723,27.6397240089324 57.9581256091433,27.6315681533217 57.955860476379,27.6227384457899 57.9544840595746,27.6135735967474 57.9540491516272,27.6044250938536 57.9545724333174,27.5956438027132 57.9560338372039,27.5875665905513 57.9583773124348,27.5805034706769 57.9615129620443,27.5747257481115 57.9653204731263,27.5704556129242 57.9696537117759,27.5678575781873 57.9743463105531,27.5670320950646 57.9792180380578,27.5680115998591 57.9840817094669,27.5707591589647 57.9887503748636,27.5751697802926 57.9930445099109,27.5810743572365 57.9967989315984,27.5882461075133 57.9998691707618,27.5964092686472 58.0021370527349,27.6052497190073 58.0035152672799,27.6144271126835 58.0039507478092,27.6235880522065 58.0034267263718,27.6323797786041 58.001963383029,27.640463835977 57.9996170638978,27.6475291688962 57.9964780989028,27.6533041354274 57.9926673056876,27.657566965086 57.9883313178319,27.6601542570014 57.9836369213168,27.6609671955054 57.9787646212312)))', 'EESPD', 'Sosna paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7322407987056 59.6284854224432,25.7314781602851 59.6236107749339,25.7288532414826 59.6189051178379,25.7244676097159 59.6145491823271,25.7184902820087 59.61071020086,25.7111511570725 59.6075355054662,25.7027321512986 59.605146895953,25.6935563836301 59.6036359898901,25.6839758220181 59.6030607284214,25.6743578565021 59.6034431681519,25.6650712998961 59.6047686411679,25.6564723360144 59.606986314314,25.648890937052 59.6100111268989,25.6426182561357 59.6137270347499,25.6378954684177 59.6179914396977,25.6349044849378 59.6226406388173,25.6337608987445 59.627496088678,25.6345094438506 59.6323712479474,25.6371221564931 59.6370787382547,25.6414993275295 59.6414375493388,25.6474732280066 59.6452800109619,25.6548144809816 59.6484582612725,25.6632408460926 59.6508499592594,25.6724280840062 59.6523630171598,25.6820224805292 59.6529391662318,25.6916545393784 59.6525562147402,25.7009533021536 59.65122890851,25.7095607267598 59.6490083597874,25.7171455529347 59.6459800670449,25.7234161057933 59.6422606042781,25.728131534165 59.6379931108596,25.7311110474056 59.6333417599056,25.7322407987056 59.6284854224432)))', 'EESPE', 'Suurpea lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5866046277714 59.212041883896,23.5853029436039 59.2071984210555,23.5821843730849 59.2025781869384,23.5773693731331 59.1983586059419,23.5710433571892 59.1947016563244,23.5634495130105 59.1917476725502,23.5548794448043 59.1896099827305,23.5456620011023 59.1883705826248,23.5361507124881 59.1880770080355,23.5267103105186 59.1887405222411,23.5177028300166 59.1903356859787,23.5094738108496 59.1928013260739,23.5023391121097 59.1960428668545,23.4965728313051 59.1999359376899,23.4923967840682 59.204331122101,23.4899719466102 59.20905967054,23.489392194749 59.2139399617394,23.4906805913897 59.2187844679234,23.4937883810255 59.2234069584197,23.4985967480285 59.2276296653187,23.5049212887665 59.2312901344723,23.512519040073 59.2342474955988,23.5210978029191 59.2363879064153,23.5303274050942 59.2376289569146,23.5398524649951 59.2379228600363,23.5493061545073 59.2372583024856,23.5583244158967 59.2356608823656,23.5665600680025 59.2331921163651,23.57369624193 59.2299470560477,23.579458615591 59.2260506078618,23.5836259681837 59.221652702457,23.5860386471786 59.2169225036271,23.5866046277714 59.212041883896)))', 'EESPH', 'Spithami', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9880874016755 58.8292683860121,22.9868849831545 58.8244182503275,22.9838816790045 58.8197828967222,22.9791935107152 58.8155403362959,22.9730010220512 58.8118534353948,22.965542283305 58.8088636830671,22.9571037279698 58.8066857835929,22.9480091760805 58.8054032773585,22.9386074613189 58.8050653539851,22.9292591265267 58.8056849766217,22.9203226836099 58.8072383872743,22.9121409483982 58.8096660116552,22.905027958609 58.812874730011,22.8992569636746 58.8167414294726,22.8950499391308 58.8211177053754,22.8925690261479 58.8258355354042,22.8919102296595 58.830713712908,22.8930996279544 58.8355647957663,22.8960922546937 58.840202306038,22.9007737139255 58.844447904291,22.9069644832805 58.8481382616982,22.914426754219 58.8511313629899,22.922873555507 58.853311994036,22.931979811739 58.8545961985928,22.9413949073511 58.854934528484,22.9507562623848 58.8543139586722,22.959703382717 58.8527583913501,22.9678918269773 58.8503277291398,22.9750065360584 58.8471155542771,22.980773998785 58.8432455058532,22.9849727773713 58.8388664983814,22.9874419860204 58.8341469700329,22.9880874016755 58.8292683860121)))', 'EESPL', 'Salinõmme puhkekeskuse lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9980843407917 58.8272646783229,22.9968806029773 58.822414641877,22.9938761483644 58.8177795260669,22.9891870424057 58.8135373327998,22.9829938646129 58.8098509142851,22.9755347114797 58.8068617410384,22.96709603219 58.8046844951222,22.958001651392 58.8034026918685,22.9486003961483 58.8030654939612,22.9392527917103 58.8036858367522,22.9303173220877 58.8052399346466,22.9221367659548 58.8076681870009,22.9150251160039 58.810877449956,22.9092555704603 58.8147445897093,22.9050500493952 58.8191211846403,22.9025706363523 58.8238392001121,22.9019132786691 58.8287174222692,22.9031039992739 58.8335684071928,22.906097780841 58.8382056806311,22.9107801827912 58.8424509121985,22.9169716462392 58.8461407871321,22.9244343356886 58.8491333087083,22.9328812635867 58.8513132851115,22.9419873495104 58.8525967853169,22.951401984396 58.8529343882947,22.9607626060591 58.8523130970244,22.9697087487321 58.8507568414987,22.9778960088646 58.8483255508416,22.985009373143 58.8451128314667,22.990775382355 58.8412423433854,22.9949726548071 58.8368630179705,22.9974403627331 58.8321433055496,22.9980843407917 58.8272646783229)))', 'EESPS', 'Salinõmme Paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5432249937987 58.1738077402197,27.5422435015009 58.1689440263566,27.5394856503005 58.1642748943673,27.5350580249791 58.1599796657196,27.5291311723283 58.1562232410571,27.521932987194 58.1531497879162,27.5137399351889 58.1508772293044,27.504866452247 58.149492740557,27.4956529246976 58.1490494231973,27.4864527020955 58.149564279996,27.4776186276998 58.1510175666721,27.4694895876509 58.153353544376,27.4623775792923 58.1564826049871,27.4565557817221 58.1602846900792,27.4522480778207 58.1646138758892,27.4496204273051 58.1693039524592,27.4487744257865 58.1741747868959,27.4497433068795 58.1790392298808,27.4524905551762 58.1837103024551,27.4569112000897 58.1880083877149,27.4628357575337 58.191768150124,27.4700366820901 58.1948449140045,27.4782370910973 58.1971202523186,27.4871214285856 58.198506566546,27.496347655718 58.1989504772499,27.5055604895398 58.198434891328,27.5144051668449 58.1969796640642,27.522541187295 58.1946408297456,27.5296554908449 58.1915084313868,27.5354745489781 58.1877030355563,27.5397748958717 58.1833710700467,27.5423916918477 58.1786791679994,27.5432249937987 58.1738077402197)))', 'EESRA', 'Saarepera', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5519166434576 58.6974315681619,22.5507797261266 58.6925770517786,22.5478459333123 58.6879312172546,22.5432286169027 58.6836724818834,22.537105604581 58.6799643362626,22.5297123074298 58.6769490873568,22.5213326571629 58.67474241937,22.5122882236181 58.6734289769462,22.5029259262892 58.6730591360611,22.493604801607 58.6736470831044,22.4846823194629 58.675170273707,22.4765007575582 58.6775702915047,22.4693741402906 58.6807550749874,22.463576230102 58.6846024295858,22.4593300237704 58.6889646939316,22.4567991546829 58.693674385456,22.4560815356754 58.6985506127679,22.4572054971151 58.7034060120256,22.4601285836619 58.7080539430706,22.4647390733588 58.7123156694336,22.4708601778294 58.7160272451663,22.478256776448 58.7190458411007,22.4866444348855 58.721255263478,22.4957003641339 58.7225704483223,22.5050758945808 58.7229407543896,22.5144099751698 58.7223519244704,22.5233431635864 58.7208266373439,22.5315315521957 58.7184236285517,22.5386600772974 58.7152354149562,22.5444546860032 58.7113847133306,22.5486928841592 58.7070196945974,22.5512122575514 58.7023082606551,22.5519166434576 58.6974315681619)))', 'EESRD', 'Sõru rand', 'Y'),('SRID=4326;MULTIPOLYGON(((26.987795715682 57.8450131267216,26.9868983161592 57.8401449930331,26.9842377733959 57.8354637188925,26.9799169275635 57.8311490973885,26.9741022251994 57.8273667788739,26.9670172623221 57.8242619291961,26.9589341706592 57.821953679422,26.9501631811387 57.8205305760415,26.9410407624145 57.8200472022032,26.9319167810518 57.8205220961873,26.9231411630846 57.8219370446806,26.9150505533748 57.8242377771518,26.9079554692779 57.8273360354807,26.9021284285388 57.8311129417203,26.8977934983933 57.8354235381932,26.8951176641348 57.8401023297402,26.8942043519049 57.8449696194479,26.8950893636739 57.8498383980568,26.8977393943139 57.8545215247804,26.9020532040277 57.8588389244917,26.9078654174647 57.8626245238815,26.9149528175259 57.865732657619,26.9230429014476 57.8680436946691,26.9318243737954 57.8694686642034,26.9409591699986 57.8699526989681,26.9500955391296 57.8694771600625,26.9588816692262 57.8680603589834,26.9669793150486 57.8657568483024,26.9740768880581 57.8626553090972,26.9799014915988 57.8588751187989,26.9842294294792 57.8545617350528,26.9868947809165 57.8498810773545,26.987795715682 57.8450131267216)))', 'EESRE', 'Saare, Roosisaare k', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1855403304297 58.433198101792,23.1843254856288 58.4283496232046,23.1813312451582 58.4237185577803,23.176673262919 58.4194827524253,23.1705309080193 58.4158048157471,23.1631403163831 58.4128258951324,23.1547853029297 58.4106602819761,23.1457864854949 58.409391047911,23.1364890337355 58.4090668754334,23.1272495031719 58.4097002012425,23.1184222453728 58.4112667414989,23.1103458995171 58.4137064167656,23.1033304679384 58.4169256423372,23.0976454588002 58.4208008987368,23.0935095430611 58.4251834490899,23.091082121019 58.4299050265478,23.0904571270069 58.4347842775183,23.0916593208256 58.4396337166262,23.09464322339 58.4442669283302,23.0992947546505 58.4485057389731,23.1054355276041 58.45218708242,23.1128296471671 58.4551692926347,23.1211927613285 58.4573375774103,23.1302030189942 58.4586084583836,23.1395135088339 58.4589330023307,23.1487656903943 58.4582987159994,23.1576032861038 58.4567300294605,23.1656860829295 58.4542873489034,23.172703096438 58.4510647165624,23.1783845776349 58.4471861705643,23.1825123926617 58.4428009485947,23.1849283744815 58.4380777242313,23.1855403304297 58.433198101792)))', 'EESRK', 'Saareküla', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3421877962239 58.8905086401673,22.3410734752893 58.8856523410099,22.3381509881505 58.8810018344389,22.3335332636803 58.8767357177634,22.3273981552669 58.8730177648254,22.3199815459103 58.8699906582424,22.3115682662483 58.8677705360309,22.3024811770456 58.8664425576531,22.2930688313363 58.8660576554605,22.2836921797934 58.8666305927344,22.274710815069 58.8681394006324,22.2664692662503 58.8705262150316,22.2592838529629 58.8736994822279,22.2534305900378 58.877537451447,22.2491345983288 58.8818928238635,22.2465614258336 58.886598383984,22.2458106167511 58.8914734014233,22.2469117860156 58.8963305607483,22.2498233653131 58.9009831554595,22.2544340863897 58.905252270348,22.2605671620621 58.9089736751217,22.2679870188004 58.9120041616526,22.2764083315859 58.9142270773573,22.2855070166848 58.9155568374892,22.2949327556911 58.91594223844,22.3043225589201 58.915368440997,22.3133148314911 58.9138575449558,22.3215633836952 58.9114677323407,22.3287508297065 58.9082910133079,22.3346008452339 58.9044496641424,22.338888803814 58.9000914982355,22.3414503804213 58.8953841563638,22.3421877962239 58.8905086401673)))', 'EESRL', 'Suureranna lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5709066044364 58.6904245454921,22.5697672935789 58.6855702026149,22.5668315857937 58.6809248045592,22.5622129059648 58.6766667517551,22.5560891335482 58.6729595085377,22.5486957082808 58.6699453472247,22.5403165663952 58.6677399103146,22.5312732580009 58.6664277952769,22.5219126594026 58.6660593272359,22.5125937420333 58.666648639983,22.5036738914333 58.668173136801,22.4954952847684 58.6705743512193,22.4883718334904 58.6737601757743,22.4825771789308 58.6776083758577,22.4783341931622 58.6819712575198,22.4758063860017 58.6866813143338,22.4750915525696 58.6915576407112,22.4762179159023 58.6964128688435,22.4791429278813 58.7010603650127,22.4837547919611 58.7053214093705,22.4898766663235 58.7090320821455,22.4972734001968 58.712049588901,22.5056605536463 58.7142577778252,22.5147153568759 58.7155716324784,22.5240891835944 58.7159405628953,22.533421048504 58.7153503648915,22.5423515949152 58.7138237699571,22.550537017321 58.7114195639824,22.5576623666363 58.7082303098689,22.5634537125747 58.7043787643443,22.5676886867743 58.7000131306712,22.5702049991078 58.6953013342444,22.5709066044364 58.6904245454921)))', 'EESRM', 'Sõru sadam -Merekeskus', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5152779889946 58.2469285434161,24.5147099425825 58.2420477133493,24.5123474263673 58.2373190737068,24.5082818772677 58.2329242529276,24.5026699937532 58.2290319924772,24.4957276440096 58.2257916849114,24.4877215390619 58.2233276609181,24.4789589955057 58.2217344406117,24.4697761793309 58.2210731271352,24.4605252744259 58.2213690772331,24.4515610556491 58.222610935481,24.4432273662134 58.2247510679747,24.4358440022218 58.2277073792173,24.4296944934902 58.2313664444474,24.4250152395367 58.2355878404453,24.4219864133477 58.2402095126352,24.4207249841559 58.2450539766733,24.4212801353752 58.2499351201689,24.4236312669357 58.2546653460411,24.4276886751272 58.2590627843625,24.4332969008607 58.2629582951711,24.4402406328172 58.2662019910736,24.4482529495459 58.2686690255387,24.4570255887659 58.2702644201343,24.466220847513 58.270926740701,24.475484647627 58.2706304771736,24.4844602510674 58.2693870326934,24.4928020814074 58.2672442826547,24.500189103166 58.2642847210524,24.5063372296686 58.2606222674862,24.5110102718322 58.2563978610189,24.5140290023612 58.2517740145427,24.5152779889946 58.2469285434161)))', 'EESRN', 'Suurna', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2242527114332 58.9355524005714,22.2231534016104 58.9306950707504,22.220242849164 58.9260418929856,22.2156335281393 58.9217715678019,22.2095029729617 58.9180480309666,22.2020868951859 58.9150141794801,22.1936701075753 58.9127864099921,22.1845756068911 58.9114501749955,22.1751522306294 58.9110567231384,22.1657613515137 58.9116211452616,22.1567631058964 58.9131217989083,22.1485026677839 58.9155011327539,22.1412970787334 58.9186678803697,22.1354231253791 58.9225005417254,22.1311067211277 58.9268520225411,22.1285141972141 58.9315552577246,22.1277458418439 58.9364296072385,22.1288319460863 58.9412877823201,22.1317315236287 58.9459430382849,22.1363337712543 58.9502163582215,22.1424622314004 58.9539433504391,22.1498815114656 58.956980591887,22.1583063111704 58.9592111698242,22.1674124139861 58.9605492041963,22.1768492160955 58.9609431724159,22.1862533008077 58.9603779050306,22.1952625213346 58.9588751731808,22.203530032838 58.9564928445796,22.2107377169028 58.9533226415805,22.2166084679517 58.9494865902649,22.2209168601032 58.945132301003,22.2234977818935 58.9404272664468,22.2242527114332 58.9355524005714)))', 'EESRP', 'Suurepsi', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9863004650147 58.9822679304575,22.9850925211089 58.9774179151821,22.9820757250819 58.9727826966171,22.9773666233119 58.9685402799598,22.9711465680697 58.9648535250036,22.9636546900904 58.9618639140022,22.9551786943343 58.9596861446405,22.9460438347808 58.9584037513392,22.9366004871681 58.9580659187591,22.9272107863002 58.9586856063786,22.9182348259809 58.9602390539916,22.9100169342616 58.9626666865983,22.902872534265 58.9658753851535,22.8970760813908 58.9697420387341,22.8928505315318 58.9741182456046,22.8903587426258 58.9788359870721,22.8896971445062 58.983714060514,22.8908919311113 58.9885650279943,22.8938979368422 58.9932024157229,22.8986002580444 58.9974478882674,22.9048185747292 59.001138120604,22.9123140208447 59.0041311010796,22.9207983482177 59.0063116190369,22.9299450344568 59.0075957216059,22.939401903316 59.0079339639045,22.9488047615004 59.0073133240785,22.9577915121205 59.0057577072989,22.9660161843984 59.0033270188023,22.973162322935 59.0001148428658,22.9789552076572 58.9962448198127,22.9831724258945 58.9918658643496,22.9856523881241 58.9871464136172,22.9863004650147 58.9822679304575)))', 'EESRR', 'Säärenina lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6592957036605 58.9950168614114,23.6579928545641 58.9901739967703,23.6548850263567 58.9855552963157,23.6500922528196 58.9813381261105,23.6437990859206 58.9776843729849,23.6362474478232 58.9747342502081,23.627727322141 58.972600939337,23.6185656438787 58.9713662695733,23.6091138098236 58.9710775962971,23.5997342780646 58.9717459952274,23.5907867559338 58.9733458394914,23.5826144894518 58.9758157754481,23.5755311640924 58.9790610611266,23.569808906386 58.9829571803409,23.5656678388707 58.9873545976413,23.5632675878047 58.9920844759439,23.5627010749336 58.9969651415062,23.5639908430352 59.0018090513639,23.5670880721362 59.0064299976497,23.5718743420724 59.0106502723936,23.5781660909922 59.0143075161285,23.5857216126105 59.0172609841716,23.5942503320863 59.019396985679,23.6034240060885 59.0206332818236,23.612889411585 59.0209222696227,23.622282024354 59.0202528254741,23.6312401455952 59.0186507353759,23.6394189156684 59.0161776948777,23.6465036589892 59.0129289185892,23.6522220331593 59.0090294541104,23.656354506877 59.0046293461767,23.658742762213 58.999897841496,23.6592957036605 58.9950168614114)))', 'EESRS', 'Saare, Saare k', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1290055201359 58.7499609108834,27.1280652132471 58.7450944920542,27.1253169730089 58.7404168827272,27.1208670450479 58.736107730399,27.1148868582769 58.7323324689141,27.1076063732441 58.7292359859794,27.0993052230262 58.7269370846325,27.090301990354 58.725523947038,27.0809420294512 58.7250507704918,27.0715842907334 58.7255357011581,27.0625876400678 58.7269601424484,27.0542971811537 58.7292694637576,27.0470310894827 58.7323750832138,27.0410684492789 58.7361578469247,27.0366385510668 58.7404725786244,27.0339120576638 58.7451536293328,27.0329943814152 58.7500212182176,27.0339215368652 58.7548883247841,27.0366586428365 58.759567870082,27.041101148792 58.7638799118815,27.0470787557535 58.7676585764429,27.0543618959292 58.7707584579718,27.0626705320241 58.7730602360255,27.0716849416521 58.7744752904859,27.0810580689979 58.7749491322312,27.0904289591707 58.7744635138265,27.0994367441099 58.7730371365623,27.1077346250226 58.7707249257791,27.1150032964867 58.7676159032452,27.1209632815315 58.7638297409412,27.1253856938599 58.7595121325377,27.1281010103139 58.7548291649663,27.1290055201359 58.7499609108834)))', 'EESRT', 'Sääritsa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5729079309305 58.6914237954177,22.5717683071532 58.6865694723821,22.5688322476785 58.681924122224,22.5642131909146 58.6776661435153,22.5580890307829 58.6739589977289,22.5506952218741 58.6709449534283,22.5423157150993 58.6687396486116,22.5332720745166 58.6674276756756,22.523911189125 58.6670593542934,22.51459204132 58.6676488126353,22.5056720254609 58.6691734484063,22.4974933250548 58.6715747898134,22.4903698551759 58.6747607245277,22.4845752579159 58.6786090137177,22.4803324032101 58.6829719600128,22.4778047959128 58.6876820544991,22.4770902235354 58.6925583901307,22.4782168991412 58.6974135987286,22.4811422626482 58.702061047308,22.4857545040112 58.7063220178321,22.4918767668936 58.7100325933517,22.4992738855474 58.7130499831578,22.5076614051861 58.715258039929,22.5167165418669 58.7165717523078,22.5260906564122 58.716940535806,22.5354227524041 58.7163501919004,22.544353464236 58.7148234577051,22.5525389800347 58.71241912448,22.5596643471461 58.7092297600315,22.5654556346456 58.7053781253376,22.5696904764825 58.7010124270909,22.57220658769 58.6963005931644,22.5729079309305 58.6914237954177)))', 'EESRU', 'Sõru', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0810763291209 58.8232338076982,23.0798611689124 58.8183846122051,23.0768460436645 58.8137514905648,23.0721474273515 58.8095123675379,23.0659462629063 58.8058299770403,23.0584809514902 58.8028456347389,23.0500381768354 58.8006738372513,23.0409419193257 58.7993978909639,23.0315410772115 58.7990667340775,23.0221961597892 58.7996930704593,23.0132655485964 58.8012528848231,23.0050918371361 58.803686357357,22.9979887571138 58.806900143901,22.9922291796713 58.8107709368697,22.988034643927 58.8151501740477,22.9855668129204 58.8198697188248,22.984921189841 58.8247482979783,22.986123346749 58.8295984532004,22.9891278260426 58.8342337414834,22.9938197744968 58.8384759082155,23.0000192643015 58.8421617561051,23.0074881492482 58.8451494431288,23.0159392015703 58.8473239634648,23.025047180685 58.8486015961973,23.034461403832 58.848933146379,23.0438193245703 58.8483058502666,23.0527605817218 58.8467438692571,23.060940961032 58.8443073530152,23.0680457156775 58.8410901090786,23.073801719574 58.8372159713892,23.0779879776467 58.8328340113657,23.0804440870571 58.8281127801461,23.0810763291209 58.8232338076982)))', 'EESRV', 'Sarve', 'Y'),('SRID=4326;MULTIPOLYGON(((22.687281078307 58.2293841545864,22.6861417687972 58.2245305136283,22.6832300821653 58.2198873365485,22.6786584997374 58.2156329397796,22.6726030765817 58.2119306497046,22.6652966195161 58.2089225516478,22.6570197254514 58.2067240587492,22.6480900266646 58.2054195050148,22.6388500519283 58.2050589276108,22.6296541597205 58.2056561585446,22.6208550310557 58.2071882968671,22.6127902242667 58.2095965811095,22.6057692920618 58.2127886295836,22.6000619424119 58.2166419651519,22.5958876895921 58.2210086928595,22.5934073906252 58.2257211550775,22.5927169965119 58.230598351147,22.5938437685039 58.2354528783758,22.5967451194293 58.2400981299135,22.6013101414785 58.2443554735108,22.6073637783434 58.2480611341572,22.6146734951559 58.2510725133896,22.6229581987415 58.2532736985387,22.6318990678955 58.2545799457269,22.6411518732563 58.2549409599747,22.6503603029964 58.2543428427687,22.6591697673724 58.2528086299855,22.667241134532 58.2503973989121,22.674263853012 58.2472019798658,22.6799679429005 58.2433453631232,22.6841343861948 58.2389759431681,22.6866035148024 58.2342617874988,22.687281078307 58.2293841545864)))', 'EESSM', 'Siiasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1689682585728 58.7229460423621,27.1680231093978 58.7180798972779,27.1652716460564 58.7134031219296,27.1608202362748 58.7090953316147,27.1548403642428 58.7053219078338,27.1475619770916 58.7022276678164,27.1392646265036 58.6999313286758,27.130266749082 58.6985209744665,27.1209134938217 58.6980506959046,27.1115635546088 58.6985385281427,27.1025754991612 58.6999657633607,27.0942941026272 58.7022776637349,27.0870371939053 58.7053855482856,27.0810835056499 58.7091701759306,27.0766619851486 58.7134862985051,27.0739429733853 58.7181682132243,27.0730315946247 58.7230361056677,27.0739636202391 58.7279029433174,27.0767039803087 58.7325816572821,27.0811479974786 58.736892337128,27.0871253130184 58.7406691614503,27.0944063690033 58.7437667953181,27.1027112074488 58.7460660049349,27.1117202517944 58.7474782692417,27.1210866529809 58.7479492067265,27.1304497157707 58.7474606819218,27.1394488744966 58.7460315080846,27.1477376636355 58.7437167181765,27.1549971288333 58.7406054330832,27.1609481482388 58.736817411589,27.1653621808761 58.7324984185412,27.1680700257222 58.7278145937274,27.1689682585728 58.7229460423621)))', 'EESSO', 'Soo', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6069369030579 58.7350389144519,23.605652068134 58.7301952230712,23.6025753308577 58.7255748777661,23.597825520499 58.7213553093988,23.5915855327151 58.7176984989355,23.5840952460028 58.7147447792007,23.5756422914879 58.7126074718176,23.5665510324758 58.7113685609036,23.557170172205 58.7110755654495,23.5478594549626 58.7117397270973,23.53897595624 58.71333558086,23.5308604713978 58.7158019248682,23.5238245091314 58.7190441532162,23.518138375917 58.7229378651456,23.5140208008887 58.7273336158759,23.5116304978767 58.7320626310287,23.5110599936968 58.7369432693983,23.5123319707902 58.7417879892357,23.515398280161 58.7464105524953,23.5201416800925 58.750633190652,23.526380250859 58.7542934553925,23.5338743296954 58.7572504880102,23.5423357081627 58.7593904625252,23.5514387404859 58.7606309887725,23.5608329310445 58.7609243018412,23.5701565061323 58.7602591117351,23.5790504327643 58.7586610400149,23.5871723280242 58.7561916262147,23.5942097072908 58.7529459435889,23.5998920483663 58.7490489187782,23.6040011994383 58.744650500919,23.6063797291486 58.7399198704355,23.6069369030579 58.7350389144519)))', 'EESST', 'Saastna sadam', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1033019178381 58.2770812761722,24.1027902501722 58.2721991787877,24.1004810013093 58.2674634539806,24.096463567575 58.263056005236,24.090892807682 58.2591460611859,24.0839830201826 58.2558836946659,24.0759996752816 58.2533940835082,24.0672492236534 58.2517727293671,24.0580673722205 58.2510818138699,24.0488062694471 58.2513478281515,24.0398210795233 58.252560563976,24.0314564451769 58.2546735038297,24.0240333424524 58.257605595327,24.0178368175925 58.2612443437391,24.0131050663771 58.2654501071696,24.0100202704619 58.2700614335465,24.0087015443005 58.2749012387919,24.0092002715052 58.2797835927526,24.0114980228941 58.2845208550672,24.0155071525258 58.2889308881796,24.0210740659126 58.2928440700118,24.0279850501009 58.2961098348054,24.0359744527046 58.2986024873722,24.0447349008205 58.3002260630299,24.0539291656513 58.3009180419451,24.0632032089022 58.3006517710867,24.0721998963091 58.2994374977522,24.0805728347549 58.2973219735279,24.0879997839718 58.2943866442468,24.0941951121265 58.2907444975615,24.0989208056301 58.2865356927246,24.1019956050607 58.2819221448338,24.1033019178381 58.2770812761722)))', 'EESTE', 'Seliste', 'Y'),('SRID=4326;MULTIPOLYGON(((23.350678303736 58.5391359377546,23.3494366938844 58.5342892903098,23.3464114309229 58.5296623742311,23.3417193624288 58.5254328754332,23.3355411662287 58.5217631588156,23.3281143518993 58.5187940549107,23.3197241207234 58.5166394774357,23.310692437194 58.5153820740999,23.3013657271902 58.515070073496,23.292101664776 58.5157154457687,23.2832555402847 58.51729344562,23.2751667164089 58.5197435547593,23.2681456761729 58.5229717888649,23.2624621469599 58.5268542832322,23.2583347484966 58.5312420232679,23.25592256051 58.5359665425198,23.2553189387194 58.5408463736029,23.2565478274661 58.545694007645,23.2595627258032 58.5503230969896,23.2642483640724 58.5545556248623,23.2704250433926 58.5582287652152,23.2778554851219 58.5612011662832,23.2862539357419 58.5633584123857,23.2952971794248 58.5646174495384,23.3046370303607 58.5649298004141,23.3139138138945 58.5642834415425,23.3227703030142 58.5627032684224,23.330865557106 58.5602501302056,23.3378881142053 58.5570184723641,23.3435680160036 58.5531326808353,23.3476871950187 58.548742272175,23.3500878228608 58.5440161191088,23.350678303736 58.5391359377546)))', 'EESTI', 'Simisti', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2466424371569 58.5101747964027,23.245416272072 58.5053270255796,23.2424072306503 58.5006975366198,23.2377315376444 58.4964641151033,23.2315692432738 58.492789277278,23.2241572485867 58.4898140508005,23.2157801884098 58.4876525846646,23.2067595241573 58.4863877909684,23.1974412608734 58.4860681816976,23.1881827498047 58.4867060185959,23.1793390686197 58.4882768450865,23.1712494855695 58.4907204177564,23.1642245111718 58.4939430028749,23.1585340214363 58.4978209525034,23.154396900525 58.5022054267083,23.1519725987114 58.5069280848774,23.1513549346006 58.5118075317601,23.1525683903736 58.5166562740472,23.1555670574833 58.5212879223539,23.1602362905714 58.5255243623599,23.1663970228839 58.5292026182804,23.1738125911855 58.5321811420848,23.1821978166023 58.5343452827909,23.1912299946373 58.5356117211207,23.2005613673753 58.5359316947077,23.2098325877706 58.5352928863439,23.2186866432717 58.5337199005034,23.2267826862311 58.5312733093413,23.2338092226702 58.5280473061269,23.2394961387765 58.5241660591731,23.2436250944436 58.5197789104011,23.2460378824835 58.5150546076008,23.2466424371569 58.5101747964027)))', 'EESTM', 'Sitme', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7969087982311 58.719968438614,23.7955982386962 58.7151268505688,23.7924978561083 58.7105112341379,23.7877273845822 58.7062988373382,23.7814705089051 58.702651364908,23.7739677514046 58.6997087907716,23.7655072177791 58.6975840087787,23.7564135591196 58.6963585227556,23.7470355691304 58.6960793371816,23.7377328820323 58.6967571645267,23.7288622669124 58.6983660160744,23.7207640278328 58.7008441915767,23.7137490155978 58.7040966310827,23.7080867367472 58.7079985414744,23.7039950083903 58.7124001623676,23.7016315545804 58.7171324927464,23.7010878721072 58.7220137626026,23.7023856124475 58.7268564043823,23.7054756343532 58.7314742584584,23.7102397810289 58.7356897361535,23.7164953305903 58.7393406636914,23.7240019626029 58.7422865411391,23.732470981512 58.7444139717474,23.7415764444198 58.7456410484616,23.7509677605303 58.7459205246336,23.7602832668378 58.7452416435522,23.7691642426435 58.7436305543564,23.777268806564 58.7411492979561,23.7842851448974 58.7378934033419,23.7899435492213 58.7339881896405,23.7940267922909 58.7295839201349,23.796378441862 58.7248499990675,23.7969087982311 58.719968438614)))', 'EESTS', 'Suitsu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7613445193533 58.2783564223947,22.7601933969054 58.273503541453,22.7572679204684 58.2688621607996,22.7526811020664 58.2646105271407,22.7466095818336 58.2609118600586,22.7392867836079 58.2579081052009,22.7309939298032 58.2557145085901,22.7220492630215 58.2544152161281,22.712795884184 58.2540600631101,22.7035886642175 58.2546626736154,22.6947807175965 58.2561999406198,22.6867099407496 58.2586129062521,22.6796861162414 58.2618090095367,22.6739790647625 58.2656656179609,22.6698082916015 58.2700347110086,22.6673345230593 58.2747485400972,22.6666534622473 58.2796260517241,22.6677920144197 58.2844798305428,22.670707141571 58.2891232978039,22.6752874072613 58.2933778891349,22.681357168949 58.2970799346751,22.6886832705221 58.3000869744375,22.6969839866654 58.3022832623023,22.7059398778078 58.303584242648,22.7152061342193 58.3039398232139,22.7244259244759 58.3033363148302,22.733244220387 58.3017969612152,22.7413215499376 58.2993810379083,22.748347132975 58.2961815561647,22.7540508810919 58.2923216628373,22.7582137919099 58.2879498785384,22.7606763360994 58.2832343615687,22.7613445193533 58.2783564223947)))', 'EESTU', 'Sutu', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2430707189913 59.5196683382251,25.2423809825159 59.5147911913681,25.2398326612218 59.5100761037323,25.2355243808136 59.5057041728301,25.2296221932606 59.5018432489427,25.2223531216749 59.4986415091868,25.2139964049854 59.4962217929648,25.2048727834779 59.4946769119552,25.1953322343746 59.4940661102339,25.1857406194129 59.494412806502,25.1764657428462 59.4957037023226,25.1678633378083 59.4978892893956,25.1602635012881 59.5008857369462,25.1539580830109 59.5045780889912,25.1491895015724 59.5088246522887,25.1461414127362 59.5134624108511,25.1449315908025 59.5183132636024,25.145607305762 59.523190849572,25.14814338854 59.5279077012658,25.1524430766333 59.5322824526102,25.1583416261757 59.5361468239379,25.1656125679128 59.5393521132911,25.1739763782062 59.5417749408731,25.1831112368354 59.5433220213284,25.1926654558272 59.5439337757348,25.2022710923236 59.5435866403532,25.2115582074159 59.5422939804717,25.2201692047635 59.5401055729533,25.2277726792774 59.5371056779607,25.2340762273844 59.5334097763193,25.2388377152094 59.5291601016648,25.241874566929 59.5245201436598,25.2430707189913 59.5196683382251)))', 'EESUE', 'Saueaugu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0291857614905 58.1483678222164,26.0284116953557 58.143493808958,26.0258547122024 58.1387932610257,26.0216136981177 58.1344467173237,26.0158520603062 58.1306210574047,26.0087913826644 58.127463112094,26.0007028852183 58.1250940493242,25.9918970193827 58.1236047466079,25.9827115960871 58.1230523236025,25.9734988940792 58.1234579642459,25.9646122301576 58.1248061095536,25.9563924910646 58.1270450510583,25.9491551280135 58.1300889027631,25.9431780993044 58.1338208781207,25.9386912144733 58.1380977496716,25.9358672854809 58.1427553242649,25.9348154275567 58.1476147278425,25.9355767758862 58.1524892620858,25.93812279638 58.1571915720852,25.9423562719151 58.1615408506786,25.9481149429637 58.1653698019512,25.9551776772953 58.1685310939993,25.963272941775 58.1709030493798,25.9720892547698 58.1723943502057,25.9812872148641 58.1729475726249,25.9905126346928 58.1725414109956,25.9994102612812 58.1711915036182,26.0076375389186 58.1689498272194,26.0148778687179 58.1659026841597,26.0208528407217 58.1621673620655,26.0253329585121 58.1578875979065,26.0281464403504 58.1532280252065,26.0291857614905 58.1483678222164)))', 'EESUI', 'Suislepa', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4019635515207 59.4649831386221,24.4013961142042 59.4601026178968,24.3989694500655 59.455372193366,24.3947775186697 59.4509735581843,24.388981917645 59.4470755934799,24.3818055961632 59.4438279021059,24.3735242528087 59.4413550889569,24.3644557535305 59.4397520031754,24.3549479743119 59.4390801204344,24.3453655269119 59.4393652001937,24.3360758634849 59.4405963049774,24.3274352764451 59.4427262179698,24.3197753133048 59.4456732432928,24.3133901123564 59.4493243219331,24.3085251342033 59.4535393471431,24.3053677167987 59.4581565179303,24.3040398186996 59.462998529568,24.3045932380437 59.467879367402,24.3070075052309 59.472611445915,24.3111905480173 59.4770128201493,24.316982121986 59.4809141919816,24.3241598910512 59.4841654398546,24.3324479362512 59.4866414174289,24.3415273713442 59.4882467938064,24.3510486554672 59.488919744591,24.3606451208586 59.4886343477223,24.3699471812475 59.4874015889536,24.3785966568925 59.4852689369054,24.3862606470726 59.4823185044527,24.3926444004187 59.4786638693141,24.3975026767158 59.4744456796815,24.4006491583097 59.4698262183016,24.4019635515207 59.4649831386221)))', 'EESUJ', 'Suurupi saatejaam', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0822023701162 58.1603482613407,26.0814208096128 58.1554745588956,26.0788559856646 58.1507750613022,26.0746070854479 58.1464302666958,26.0688378184515 58.1426069870944,26.0617700605532 58.1394519616662,26.0536753024193 58.1370862461142,26.0448642345845 58.1356005894646,26.0356748666113 58.1350519715479,26.0264596279548 58.1354614304631,26.0175719325371 58.1368132609207,26.0093527069622 58.1390556132398,26.0021173834784 58.1421024706664,25.9961438432063 58.1458369313289,25.9916617630718 58.1501156722804,25.9888437718716 58.1547744283856,25.9877987579314 58.159634279893,25.9885675943169 58.1645085108815,25.9911214595408 58.1692097776653,25.9953628347915 58.1735573127665,26.0011291561893 58.1773838869522,26.0081989963003 58.1805422594839,26.0163005474634 58.1829108650924,26.0251220849686 58.1843985147657,26.0343240053396 58.1849479252531,26.0435519681295 58.1845379377937,26.0524506222788 58.183184338143,26.0606773728144 58.1809392453263,26.0679156418821 58.1778890933141,26.073887099926 58.1741512855491,26.078362387024 58.1698696545437,26.0811699085591 58.1652089054176,26.0822023701162 58.1603482613407)))', 'EESUL', 'Sula', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4519799454429 59.4749645017806,24.4514051579232 59.470084155868,24.4489707999244 59.465354615442,24.4447711264894 59.460957539281,24.4389680320143 59.4570617482794,24.4317847524394 59.4538167615632,24.4234972522807 59.4513470800528,24.4144236325843 59.4497474326705,24.4049119647905 59.4490791632241,24.3953270091632 59.4493678926891,24.3860363138439 59.4506025437518,24.3773962110883 59.4527357637152,24.3697382305457 59.4556857299381,24.3633564355142 59.459339270584,24.3584961571722 59.4635561843289,24.3553445543697 59.4681745974791,24.3540233635351 59.4730171572949,24.3545841259874 59.477897827683,24.3570060903434 59.482629029142,24.3611968883775 59.487028850017,24.366995976894 59.4909280515565,24.374180729827 59.4941765954114,24.3824749583592 59.4966494391189,24.3915595371128 59.4982513723404,24.4010847262296 59.498920703269,24.4106837069432 59.4986316493278,24.4199867959158 59.4973953372293,24.4286357740679 59.4952593725486,24.4362977605527 59.4923059957861,24.4426780822073 59.4886488980023,24.4475316321654 59.484428822063,24.4506722759149 59.4798081230769,24.4519799454429 59.4749645017806)))', 'EESUP', 'Suurupi', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9562929376148 58.9762791651379,22.9550894317545 58.9714288417545,22.9520771902463 58.9667928953863,22.9473725846915 58.9625493594214,22.9411567951281 58.9588611368297,22.9336687891368 58.9558697663434,22.9251961237542 58.953690013246,22.9160639258183 58.9524054880815,22.9066224694668 58.9520654572502,22.8972338172444 58.9526829644734,22.8882580227502 58.9542343330898,22.8800394074163 58.9566600677725,22.8728934216224 58.9598671222502,22.8670945809387 58.9637324487015,22.8628659321453 58.9681076964088,22.860370451425 58.9728248836489,22.8597047097983 58.9777028292847,22.8608950600114 58.9825541005266,22.8638965068564 58.9871922121584,22.8685943221208 58.9914388011509,22.8748083595286 58.995130499739,22.8822999182527 58.9981252400017,22.8907809003886 59.0003077436373,22.8999249129491 59.0015939813566,22.9093798831249 59.0019344260378,22.9187816910104 59.0013159709545,22.9277682801725 58.9997624370716,22.9359936857878 58.9973336493585,22.9431414237198 58.9941231188836,22.9489367116549 58.9902544226574,22.9531570436901 58.985876424415,22.9556407097949 58.9811575246228,22.9562929376148 58.9762791651379)))', 'EESUS', 'Suursadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6133493558008 59.0320336324157,23.6120514115531 59.027190294232,23.6089462373662 59.0225704947884,23.6041537673524 59.0183516424913,23.5978585438622 59.0146956887368,23.5903025695523 59.0117429311132,23.5817759953254 59.0096066520475,23.5726060037454 59.0083687943443,23.5631443099535 59.0080768354244,23.5537537491244 59.0087419768666,23.5447944501918 59.0103387167017,23.536610109432 59.0128058204788,23.5295148742772 59.0160486551405,23.5237813274775 59.0199427989402,23.5196300247432 59.0243387927277,23.5172209859118 59.0290678545871,23.5166474715547 59.0339483426226,23.517932295332 59.0387927210996,23.5210268295233 59.0434147644232,23.5258127598582 59.0476367225772,23.5321065395953 59.0512961713275,23.53966638588 59.0542522810046,23.5482015583399 59.0563912588613,23.557383565409 59.057630751226,23.5668588626946 59.0579230318148,23.5762625440095 59.0572568500776,23.5852324829418 59.0556578663594,23.5934233633706 59.0531876567227,23.6005200422607 59.0499413270645,23.6062497170701 59.0460438312129,23.6103924215674 59.0416451386376,23.6127894449195 59.0369144421194,23.6133493558008 59.0320336324157)))', 'EESUT', 'Sutlepa', 'Y'),('SRID=4326;MULTIPOLYGON(((26.71872173071 58.5431133469047,26.7178438768288 58.5382438870053,26.7151665590202 58.533557496244,26.7107932946396 58.5292341632168,26.7048925696577 58.5254398698914,26.6976912996113 58.5223202375767,26.6894660861947 58.5199949598629,26.6805326089319 58.5185532320534,26.6712335563069 58.5180503483102,26.6619255506431 58.5185055935184,26.6529655549227 58.5199015083474,26.6446972670295 58.5221845548192,26.6374380073052 58.5252671576211,26.6314665888234 58.5290310451505,26.6270126266789 58.5333317655961,26.6242476934434 58.5380042089012,26.6232786637191 58.5428689268439,26.6241435128932 58.547739012167,26.6268097457919 58.5524272749924,26.6311755326352 58.5567534417198,26.6370735258412 58.5605510989769,26.6442772257645 58.5636741133269,26.6525096607876 58.5660022762953,26.6614540519639 58.5674459533242,26.6707660492635 58.5679495534999,26.6800870596504 58.5674936828668,26.6890581402877 58.5660958959709,26.6973339057119 58.5638100157961,26.7045958971963 58.5607240490614,26.7105648857852 58.5569567794977,26.7150116263163 58.5526531738002,26.7177656456446 58.5479787812787,26.71872173071 58.5431133469047)))', 'EESVE', 'Saadjärve', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3612703162687 58.9691282143476,23.3600102946231 58.9642820816408,23.3569446034629 58.9596559620183,23.3521916613016 58.9554275086735,23.3459344958976 58.9517590433869,23.3384136538485 58.9487913452796,23.3299179434999 58.9466382708453,23.3207733688062 58.9453824074424,23.3113306744072 58.9450719228973,23.3019519694318 58.9457187287483,23.2929969285046 58.947298025556,23.2848090825904 58.9497492472896,23.2777027094131 58.9529783698047,23.2719508132783 58.9568614975773,23.267774647496 58.9612495948776,23.265335179887 58.9659741841252,23.2647268340973 58.9708537968459,23.2659737582163 58.9757009329147,23.2690287796564 58.9803292628663,23.2737751042715 58.9845607970051,23.2800307117668 58.9882327445285,23.2875552927258 58.9912037961764,23.2960594695911 58.9933595849086,23.305215949459 58.9946171101388,23.3146721752326 58.994927951042,23.3240639777503 58.9942801418272,23.3330296884018 58.9926986346875,23.3412241518527 58.9902443321571,23.3483320829211 58.9870117274045,23.3540802401305 58.983125246093,23.3582479393918 58.9787344344978,23.3606755018361 58.9740081834256,23.3612703162687 58.9691282143476)))', 'EESVI', 'Sviby', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5628745495791 59.3785475675969,25.5621413787163 59.3736718767988,25.5595588460955 59.3689628263859,25.5552268808012 59.3646012801877,25.5493124330786 59.3607546887472,25.5420429865031 59.3575706788484,25.5336977865791 59.3551714100458,25.5245971272138 59.3536489105521,25.5150901040234 59.3530615671155,25.5055412956656 59.3534318997723,25.4963168703432 59.3547457041895,25.4877706336791 59.356952593383,25.4802305360506 59.3599679186183,25.4739861421568 59.3636759980074,25.469277533338 59.3679345324222,25.4662860644927 59.3725800435176,25.4651273332763 59.3774341295073,25.4658466410131 59.382310302338,25.468417134392 59.3870211463749,25.4727407171921 59.3913855247262,25.4786517153279 59.3952355556799,25.4859231703962 59.3984230888177,25.4942755311217 59.4008254282036,25.503387413432 59.4023500781558,25.5129080131181 59.4029383245377,25.5224706846202 59.4025675098474,25.5317071491935 59.4012519118032,25.5402617683463 59.3990421904534,25.5478053155447 59.3960234257034,25.5540477009274 59.3923118230763,25.5587491489357 59.388050218081,25.5617293948415 59.3834025565303,25.5628745495791 59.3785475675969)))', 'EESVL', 'Soodla veehoidla lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1944261593268 58.3273073355497,26.1936256980156 58.3224344050689,26.1910341140418 58.3177372236465,26.1867516283967 58.3133961989786,26.1809432436393 58.3095779966593,26.1738323379199 58.3064291593104,26.1656920558042 58.3040705037363,26.1568348304425 58.3025925070591,26.1476004368015 58.3020518547382,26.1383430259606 58.3024692793471,26.1294176248433 58.3038287705688,26.1211666036062 58.3060781857488,26.1139066139549 58.3091312382562,26.1079164858805 58.3128707895761,26.1034265379846 58.3171533222287,26.1006097082488 58.3218144259641,26.0995748487752 58.3266750908209,26.1003624511124 58.3315485690363,26.1029429802967 58.336247544764,26.1072178983269 58.340591337142,26.113023354746 58.3444128592178,26.1201364172199 58.3475650629671,26.1282836128399 58.3499266190814,26.137151455939 58.3514066088569,26.1463985550951 58.3519480434027,26.155668824926 58.3515300710581,26.16460528084 58.3501687855283,26.1728638696864 58.3479166026356,26.1801267876609 58.3448602303704,26.1861147589651 58.341117312651,26.1905977933494 58.336831879461,26.1934040053532 58.33216878263,26.1944261593268 58.3273073355497)))', 'EESVU', 'Saviaudo', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1653538674471 59.0242008197613,23.1641191636827 59.0193526768207,23.1610745977535 59.0147218364869,23.1563377819634 59.0104861343543,23.1500911304538 59.0068081711739,23.1425747914506 59.0038290908258,23.1340774046215 59.0016631863702,23.1249250407568 59.0003935368919,23.1154687439142 59.0000688384075,23.106071143703 59.000701547055,23.0970926366318 59.0022674037228,23.0888776498551 59.004706357888,23.0817414980017 59.0079248564333,23.0759583240754 59.0117994123426,23.0717505789814 59.0161813201405,23.0692804416789 59.0209023414286,23.0686435143257 59.0257811464501,23.0698650456261 59.0306302677579,23.0728988430769 59.0352633010199,23.0776289337764 59.0395020767891,23.0838739274194 59.0431835263815,23.0913939281789 59.0461659751428,23.0998997389216 59.0483346172019,23.1090640063934 59.0496059566981,23.1185338743186 59.0499310403242,23.1279446470096 59.0492973533079,23.1369339225638 59.0477293037088,23.1451556344217 59.0452872759044,23.152293444124 59.0420652909462,23.1580729562783 59.0381873666254,23.1622722774543 59.0338027212271,23.1647305111589 59.0290800099238,23.1653538674471 59.0242008197613)))', 'EESXB', 'Saxby', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1372242784015 58.176327968232,26.1364348593834 58.1714545953626,26.1338616411323 58.1667561943184,26.1296041333206 58.1624132206607,26.1238263755158 58.1585924160782,26.1167505686791 58.15544042441,26.1086485112578 58.1530781847271,26.0998311726701 58.1515963126094,26.0906368019939 58.1510516427352,26.0814180198493 58.1514650618801,26.0725283757913 58.1528207130154,26.0643088713949 58.1550666000676,26.057074950323 58.1581165707967,26.0511044410104 58.1618536039048,26.0466269054386 58.1661342776355,26.0438147993854 58.1707942524495,26.0427767864854 58.1756545614767,26.0435534718512 58.1805284708155,26.0461157329108 58.1852286486901,26.050365728123 58.1895743690335,26.056140561647 58.1933984719997,26.0632184777198 58.1965538116007,26.0713273567854 58.198918939073,26.0801551908938 58.2004027991963,26.0893621331179 58.2009482546359,26.0985936489302 58.2005342990207,26.1074942501869 58.1991768710522,26.1157212671774 58.1969282373115,26.1229581125155 58.1938749681975,26.1289265125764 58.1901345871575,26.1333972264967 58.1858510256401,26.1361988370345 58.1811890628232,26.1372242784015 58.176327968232)))', 'EESYA', 'Saariku', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5781412808135 59.5625429110306,25.577402298365 59.5576674165757,25.57480393703 59.5529587361104,25.5704467427333 59.5485977183646,25.564498641 59.5447517922947,25.5571884107769 59.541568557636,25.5487968629415 59.5391701426963,25.539646066915 59.537648541665,25.5300870365896 59.5370621059816,25.5204863392261 59.537433320563,25.5112121270524 59.5387479475319,25.5026201104179 59.540955569171,25.495039993227 59.5439715098716,25.4887628759983 59.5476800655711,25.4840300994869 59.5519389202933,25.4810239529224 59.5565845845983,25.4798606064581 59.5614386515994,25.4805855488019 59.5663146342133,25.4831717201874 59.5710251237707,25.487520430497 59.5753889961246,25.4934650458169 59.579238387731,25.500777317979 59.5824251712583,25.5091761252432 59.5848266781157,25.5183382930079 59.5863504433965,25.5279110761357 59.5869377861732,25.5375258136227 59.5865660834319,25.5468122157551 59.5852496473679,25.5554127163711 59.5830391711176,25.562996319958 59.5800197648789,25.569271395229 59.5763076603117,25.5739969123023 59.5720457136748,25.5769916871343 59.5673978851235,25.5781412808135 59.5625429110306)))', 'EESYB', 'Sipelga', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((24.8451230333841 59.5638179420035,24.8444901212017 59.5589391083755,24.8419944045901 59.5542166528809,24.8377324954714 59.5498319588388,24.8318686742595 59.5459533687254,24.8246285012248 59.542729739066,24.8162901156287 59.5402847497004,24.8071735618725 59.5387121815951,24.7976285505208 59.5380723400109,24.7880211153794 59.5383897563781,24.7787196647948 59.5396522542656,24.7700809453902 59.5418114140244,24.7624364392639 59.544784418745,24.7560797012235 59.5484572128232,24.7512551111464 59.5526888553878,24.7481484685642 59.5573169057851,24.7468797929606 59.562163638832,24.7474986154105 59.5670428551379,24.7499819570348 59.5717670277698,24.7542350898889 59.5761545119905,24.7600950696667 59.5800365405451,24.7673369209248 59.5832637334373,24.7756822489119 59.585711868357,24.7848099523126 59.5872866854552,24.7943686231289 59.5879275370814,24.8039901480218 59.5876097380355,24.8133039736038 59.5863455230079,24.8219514692683 59.5841835730672,24.8295998168119 59.5812071299036,24.8359548766097 59.5775307725935,24.8407725242859 59.5732959844776,24.8438680172283 59.5686656850907,24.8451230333841 59.5638179420035)))', 'EESYC', 'Sääre-Tominga', 'Y'),('SRID=4326;MULTIPOLYGON(((23.529126379675 58.8700665718063,23.5278468788278 58.8652221561718,23.5247679927266 58.8606000538275,23.5200086400221 58.856377762998,23.5137520882991 58.8527173686582,23.5062388554449 58.8497593403835,23.4977574544384 58.8476171641839,23.4886333390064 58.8463730100626,23.479216469894 58.8460745974368,23.4698679684358 58.8467333753747,23.460946354817 58.8483240854593,23.4527938823321 58.8507857236446,23.4457234758537 58.854023865477,23.4400067626534 58.8579142682135,23.4358636469597 58.8623076154317,23.4334538268533 58.8670352263415,23.4328705843202 58.8719155147731,23.4341370980915 58.8767609531819,23.4372054364815 58.881385276235,23.4419582866321 58.8856106476253,23.4482133709156 58.8892745133912,23.4557303948524 58.8922358754643,23.4642202683094 58.8943807402936,23.4733562477066 58.8956265285557,23.4827865661158 58.8959252720498,23.4921480546652 58.8952654713358,23.5010802159991 58.8936725405395,23.5092391910284 58.8912078217906,23.5163110649289 58.8879662085314,23.5220239870313 58.8840724719982,23.5261586302706 58.8796764361533,23.5285565864212 58.8749471911053,23.529126379675 58.8700665718063)))', 'EESYN', 'Sündeva', 'Y'),('SRID=4326;MULTIPOLYGON(((26.6567323179522 58.5511363866474,26.655862865908 58.5462665190149,26.653193216662 58.5415788513542,26.6488265941153 58.5372534217142,26.6429312305876 58.533456292864,26.6357338372741 58.5303331951218,26.6275108684319 58.5280039551004,26.6185779184839 58.5265579200495,26.6092776562449 58.526050549212,26.5999667504662 58.5265012994109,26.5910022748796 58.5278928835795,26.5827280982908 58.530171929782,26.5754617657542 58.5332510162028,26.569482360452 58.5370120063287,26.5650198028609 58.5413105598446,26.5622459947076 58.5459816502894,26.56126815105 58.5508458818754,26.5621245860411 58.555716366535,26.5647831285575 58.5604058995221,26.5691422455958 58.5647341588091,26.575034847483 58.5685346508397,26.5822346434621 58.571661133282,26.5904648134955 58.5739932642333,26.5994086668456 58.5754412563251,26.6087218747523 58.5759493523724,26.6180457976002 58.5754979851453,26.6270213799233 58.5741045356476,26.6353030620144 58.5718226597952,26.6425721561758 58.5687402101929,26.6485491587963 58.5649758353679,26.6530045151892 58.5606743909249,26.6557674199466 58.556001343442,26.6567323179522 58.5511363866474)))', 'EETAB', 'Tabivere', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5172807225977 58.248927822771,24.5167123760631 58.2440470007178,24.5143494664123 58.2393183964862,24.5102834457452 58.2349236371328,24.5046710306739 58.2310314617409,24.4977281097892 58.2277912595787,24.4897214160021 58.2253273572701,24.4809582884434 58.2237342702478,24.4717749154365 58.223073096536,24.4625235021592 58.2233691875192,24.4535588429138 58.2246111823767,24.4452247977787 58.2267514419755,24.4378411765047 58.2297078659562,24.4316915188171 58.2333670252438,24.4270122300209 58.2375884930172,24.4239834845343 58.2422102119477,24.4227222485987 58.2470546958925,24.4232776983106 58.2519358316847,24.4256292222224 58.2566660225217,24.429687101608 58.2610633998011,24.4352958592922 58.2649588258848,24.4422401634914 58.2682024166167,24.4502530707011 58.2706693294934,24.4590262958549 58.2722645907502,24.4682221133615 58.2729267713548,24.4774864234777 58.2726303666319,24.4864624684708 58.2713867851665,24.4948046548838 58.2692439076388,24.5021919335308 58.2662842329647,24.5083402078877 58.2626216851082,24.5130132832526 58.2583972067692,24.5160319311477 58.2537733136069,24.5172807225977 58.248927822771)))', 'EETAH', 'Tahkuranna', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0257743385158 58.6022560615038,23.0245751742063 58.5974061006732,23.0215870189754 58.5927713859366,23.0169253022458 58.5885299046659,23.010769544559 58.5848444831042,23.0033564021643 58.5818565551539,22.9949705584061 58.5796807567669,22.9859338140003 58.5784005491743,22.9765927907738 58.5780650348161,22.9673057107121 58.5786870848093,22.9584287433112 58.5802428477311,22.9503024286986 58.5826726580812,22.9432386815465 58.5858833107377,22.9375088614621 58.5897516167953,22.9333333596104 58.5941291080656,22.9308730994366 58.5988477139336,22.9302232825488 58.603726196772,22.9314096306445 58.6085771021752,22.9343872829816 58.6132139591649,22.9390424091067 58.6174584542311,22.9451964918402 58.6211473023083,22.9526131299326 58.6241385478384,22.9610071078548 58.6263170497976,22.9700553865388 58.6275989353598,22.9794095881668 58.6279348466289,22.9887094844574 58.6273118520616,22.9975969547565 58.6257539468836,23.0057298599649 58.6233211227355,23.0127952820537 58.6201070435627,23.0185216064252 58.6162354199268,23.0226889741086 58.6118552250873,23.0251377000128 58.6071349412523,23.0257743385158 58.6022560615038)))', 'EETAL', 'Taaliku kai', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0117193190552 59.2643789610795,26.0109242199448 59.2595056156453,26.0082881291364 59.254805295241,26.0039130220358 59.2504585255466,25.9979674929668 59.2466321878279,25.9906802062637 59.2434731305558,25.9823310815712 59.2411025558412,25.9732405561448 59.2396113918919,25.9637573337804 59.2390568247534,25.9542450815621 59.2394601186709,25.9450685709292 59.2408058061178,25.9365797780054 59.2430422775272,25.9291044594446 59.2460837487709,25.9229297042087 59.2498135331708,25.9182929289493 59.2540884960262,25.9153727355794 59.2587445249689,25.9142819851161 59.2636028105112,25.9150633633822 59.2684766994213,25.9176876236686 59.2731788603332,25.9220545916576 59.2775284873669,25.9279969121326 59.2813582642534,25.9352864092421 59.2845208189398,25.9436428268313 59.2868944168655,25.9527446173687 59.2883876695655,25.9622413620465 59.2889430730003,25.971767335127 59.2885392356059,25.9809556762902 59.2871917076485,25.9894526083197 59.2849523788967,25.9969311354577 59.2819074684838,26.0031036802692 59.2781741866706,26.0077331626235 59.2738962006069,26.0106420908884 59.2692380829166,26.0117193190552 59.2643789610795)))', 'EETAP', 'Tapa', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6182874948501 58.9880322189146,23.6169906837846 58.9831888934931,23.6138889740372 58.9785691600997,23.609102164679 58.9743504247861,23.6028145792876 58.9706946347359,23.5952679266092 58.9677420815867,23.5867519998512 58.9656060402525,23.5775935737613 58.9643684446999,23.5681439210095 58.9640767624809,23.558765416347 58.9647421846224,23.5498177276752 58.9663391983138,23.5416441070014 58.9688065583981,23.534558291035 58.9720496216857,23.5288325009444 58.9759439573044,23.524686993834 58.9803400983869,23.5222815654646 58.9850692570578,23.5217093356756 58.9899497874944,23.5229930664497 58.9947941522495,23.526084169781 58.9994161263094,23.5308644613281 59.0036379625018,23.5371506097935 59.0072972415628,23.5447011251934 59.0102531406851,23.5532256262596 59.0123918755598,23.5623960328846 59.0136311021528,23.5718592484682 59.0139231046004,23.5812508334376 59.0132566431235,23.5902091285294 59.0116573887625,23.5983892670046 59.0091869277969,23.6054765198794 59.0059403754976,23.611198447233 59.0020426939077,23.6153353800312 58.9976438592878,23.6177288278753 58.9929130695791,23.6182874948501 58.9880322189146)))', 'EETAU', 'Tahu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.7705016323651 58.3800939103046,26.7696206287027 58.3752246785271,26.7669487357733 58.37053925177,26.7625892548257 58.3662175819218,26.7567101363819 58.3624255878333,26.7495374626374 58.3593088035911,26.7413467365317 58.3569868146365,26.7324523156138 58.3555486911562,26.723195393465 58.3550495898431,26.713930981113 58.3555086508858,26.7050143745965 58.3569082684897,26.6967876120053 58.359194762048,26.6895664236637 58.3622804229845,26.6836281626294 58.3660468610411,26.6792011696258 58.3703495250902,26.6764559774901 58.375023229112,26.6754986961846 58.3798884753881,26.6763668418453 58.3847583356927,26.6790277842652 58.3894456286149,26.6833798893098 58.3937701181599,26.6892563293728 58.3975654562043,26.6964314300213 58.4006855995748,26.7046293188451 58.403010451433,26.7135345478375 58.4044505057406,26.7228042779849 58.404950311853,26.7320815483542 58.4044906222822,26.741009105387 58.4030891385104,26.749243243875 58.4007998252525,26.756467110582 58.3977108203589,26.7624029446967 58.3939410231751,26.7668227749755 58.3896354962251,26.7695571590427 58.3849598613788,26.7705016323651 58.3800939103046)))', 'EETAY', 'Tartu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3022096855672 58.1695269620793,22.3011248570622 58.1646696776743,22.2982682749102 58.1600175118349,22.2937503064285 58.1557491291471,22.287744953421 58.1520283954187,22.2804831080104 58.1489981056438,22.2722436631216 58.1467745254708,22.2633428216568 58.1454429515389,22.254122011073 58.1450544570002,22.244934857754 58.1456239437512,22.2361337073129 58.1471295739673,22.2280561921971 58.1495136021513,22.2210123464388 58.1526845768026,22.2152727491132 58.1565208297396,22.211058143337 58.1608751227806,22.2085309270705 58.1655802776041,22.2077888466222 58.1704555767534,22.2088611451043 58.1753136933881,22.2117073282732 58.1799678857956,22.2162186119613 58.1842391808638,22.2222220120657 58.1879632694021,22.2294869337788 58.1909968456771,22.2377340158396 58.1932231437002,22.246645892657 58.1945564530636,22.2558794567398 58.194945436411,22.2650791400962 58.1943751174291,22.2738906895254 58.192867460642,22.2819748894272 58.190480520075,22.2890206880731 58.1873061906129,22.2947572090816 58.1834666511772,22.2989641776807 58.1791096402889,22.3014803586023 58.1744027500364,22.3022096855672 58.1695269620793)))', 'EETEH', 'Tehumardi', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2740531696898 58.0505379371307,22.2729759945306 58.0456802958568,22.2701327784334 58.0410273640271,22.2656333708141 58.0367578363675,22.2596510578069 58.033035623562,22.2524158459601 58.0300035783591,22.2442056067723 58.0277780346817,22.2353354248027 58.0264443652163,22.226145554615 58.0260537239229,22.2169884394136 58.0266210951192,22.2082152759284 58.0281247218598,22.2001626253426 58.0305069349397,22.1931395685633 58.0336763517383,22.1874158859424 58.037511363027,22.1832117069385 58.0418647775239,22.1806890248133 58.0465694500755,22.1799454062948 58.0514446814769,22.1810101477441 58.0563031475664,22.1838430398411 58.0609580936215,22.1883358049041 58.0652305182695,22.1943161680695 58.0689560697868,22.2015544196383 58.0719913871363,22.2097722253446 58.0742196382401,22.2186533486965 58.0755550382301,22.2278558694025 58.0759461696892,22.2370254183282 58.075377973676,22.2458089058184 58.0738723327071,22.2538681989532 58.0714872226363,22.2608932055588 58.0683144671251,22.2666138484435 58.0644761836911,22.270810460924 58.0601200617705,22.2733222016742 58.0554136586969,22.2740531696898 58.0505379371307)))', 'EETES', 'Teesu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7677664456288 58.5913519833278,22.7666033554246 58.5864994456792,22.7636501748395 58.5818585691345,22.7590209929923 58.5776075795565,22.7528940858096 58.5739096696975,22.7455050075792 58.5709067537349,22.7371375236594 58.5687140431511,22.7281127350039 58.5674156479145,22.718776807914 58.5670613676599,22.7094877699973 58.5676647926285,22.7006018647671 58.569202785126,22.6924599721039 58.5716163608624,22.6853745996764 58.5748129374885,22.6796179314002 58.5786698666697,22.6754113834057 58.583039117869,22.6729170664046 58.5877529383178,22.6722314868326 58.5926302760356,22.6733817392372 58.597483722665,22.6763243512217 58.6021267115965,22.6809468426397 58.6063806953763,22.6870719561237 58.6100820254127,22.6944644104639 58.6130882668374,22.7028399263233 58.6152837018962,22.7118761799589 58.6165838058434,22.7212252596285 58.6169385189081,22.7305271353599 58.6163341849573,22.7394236091956 58.61479408007,22.7475721922796 58.6123775101291,22.7546593583891 58.6091775133248,22.7604126505403 58.605317258683,22.7646111665906 58.6009452830117,22.76709401862 58.5962297538548,22.7677664456288 58.5913519833278)))', 'EETGI', 'Triigi', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7331502466831 59.5664847606389,25.7323887630188 59.5616100773212,25.7297684314643 59.556904410437,25.7253906401552 59.552548491793,25.7194241027278 59.5487095536052,25.7120983023752 59.5455349267305,25.703694643935 59.5431464088439,25.6945356583434 59.5416356144295,25.6849726714161 59.5410604806441,25.6753724011821 59.5414430593118,25.6661029838833 59.5427686771091,25.6575199476771 59.5449864950598,25.649952654759 59.5480114465039,25.643691717037 59.5517274814427,25.6389778578915 59.5559919963216,25.6359926434707 59.5606412835541,25.6348514423335 59.565496796018,25.6355988934554 59.570371989847,25.6382070716539 59.5750794854117,25.6425764390296 59.579438272506,25.648539564415 59.583280682219,25.6558674840733 59.5864588551858,25.6642784705258 59.5888504538709,25.6734488772148 59.5903633947658,25.6830256395648 59.5909394139311,25.6926399423598 59.590556324751,25.7019215130237 59.5892288782703,25.7105129731574 59.5870081918662,25.7180836781001 59.5839797688954,25.7243424964977 59.5802601878654,25.7290490276218 59.575992592191,25.7320228209512 59.571341158481,25.7331502466831 59.5664847606389)))', 'EETGP', 'Tagapõllu', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5631715810748 59.5835486506564,25.5624343495281 59.5786730935276,25.559836507374 59.5739641325993,25.5554785818168 59.5696026273962,25.5495285275283 59.5657560255429,25.5422151991907 59.5625719526083,25.5338195269895 59.5601725689273,25.5246637386041 59.5586499057077,25.51509903909 59.5580623550078,25.5054922125348 59.5584324444332,25.4962116454821 59.5597459792492,25.4876132912659 59.5619525836916,25.4800270962944 59.564967621306,25.4737443939477 59.5686754228703,25.4690067393592 59.5729337015768,25.465996609454 59.5775789903312,25.4648303281503 59.5824328968805,25.4655534979777 59.5873089404687,25.4681391285159 59.5920197101806,25.4724885516665 59.5963840711211,25.4784351071733 59.6002341409063,25.4857504730157 59.6034217660063,25.4941534088205 59.6058242453012,25.5033205810926 59.6073490763032,25.5128990516817 59.6079375369283,25.5225199399751 59.6075669610425,25.531812718653 59.60625161744,25.54041957527 59.6040421572569,25.5480092690059 59.601023651709,25.5542899338291 59.5973122979802,25.5590203248047 59.5930509236629,25.5620190708288 59.5884034671292,25.5631715810748 59.5835486506564)))', 'EETHJ', 'Tähevälja', 'Y'),('SRID=4326;MULTIPOLYGON(((22.6324630119948 59.0913992619888,22.6313008146282 59.086545857631,22.6283217446911 59.0819023376951,22.6236409092941 59.0776470281684,22.6174385857717 59.0739432850174,22.609953233842 59.0709332428773,22.6014723155763 59.0687323830246,22.5923212783304 59.0674251248065,22.5828511194178 59.0670616055073,22.5734249995497 59.0676557687604,22.5644044040177 59.0691848326771,22.5561353656914 59.0715901575313,22.5489352619167 59.0747794808362,22.5430806783392 59.0786304367041,22.5387967968387 59.0829952282124,22.5362487127481 59.08770627778,22.535535019375 59.0925826428749,22.536683917063 59.0974369541911,22.5396520117793 59.1020826120159,22.5443258672897 59.1063409648885,22.5505262688863 59.1100481935213,22.5580150494505 59.1130616326461,22.5665042249361 59.115265283826,22.5756670909014 59.1165743027589,22.5851508492158 59.116938284107,22.5945902687786 59.116343213894,22.6036218395368 59.1148120120853,22.6118978577408 59.1124036438824,22.6190998834237 59.1092108350949,22.6249510383504 59.1053564822439,22.6292266626258 59.1009888994114,22.6317629180058 59.0962760891318,22.6324630119948 59.0913992619888)))', 'EETHK', 'Tahkuna', 'Y'),('SRID=4326;MULTIPOLYGON(((22.99726658328 58.9582640170819,22.9960580114971 58.9534140910491,22.9930419130165 58.9487791083121,22.9883348062203 58.944537065049,22.9821179658218 58.9408508068227,22.9746303985526 58.9378617969732,22.9661596437576 58.9356847102895,22.9570307545467 58.9344030551621,22.9475938781722 58.934065988057,22.9382109019716 58.9346864391501,22.9292416626267 58.9362406189341,22.9210302310951 58.9386689242297,22.9138917831327 58.9418782100225,22.9081005458705 58.9457453426472,22.9038792747307 58.9501219017529,22.9013906626887 58.9548398549053,22.9007310165435 58.9597179911732,22.9019264539984 58.9645688700914,22.9049317831346 58.9692060212336,22.9096321251041 58.9734511183021,22.9158472350789 58.9771408508207,22.9233383697726 58.9801332265198,22.9318174467359 58.9823130581901,22.9409581458848 58.9835964195411,22.9504085220094 58.9839338943492,22.9598046325537 58.9833124903691,22.9687846412477 58.9817561421768,22.9770028375969 58.9793247830731,22.9841430159655 58.9761120229871,22.9899306857875 58.9722415245144,22.9941436347544 58.9678622204251,22.9966204368673 58.9631425610519,22.99726658328 58.9582640170819)))', 'EETHV', 'Tähvanina lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0040774259042 58.8020074349735,27.0031531899824 58.79714014994,27.0004176344962 58.7924599214064,26.9959765217334 58.7881464981355,26.9900009461497 58.7843654783224,26.9827206949165 58.7812619707608,26.9744153948969 58.7789550478452,26.9654037895898 58.7775331991075,26.9560315545957 58.7770509555452,26.9466581100236 58.7775268106957,26.9376429220031 58.7789425158286,26.9293318024982 58.7812437754508,26.9220437166732 58.7843423172728,26.9160585901395 58.7881192595909,26.9116065747722 58.7924296504449,26.908859182026 58.7971080085672,26.9079226277592 58.8019746576644,26.9088336539733 58.8068426144269,26.9115580026367 58.8115247681449,26.9159916175974 58.8158410769644,26.9219645458734 58.8196255033921,26.9292474033256 58.8227324200088,26.9375601663212 58.8250422354216,26.9465829551923 58.8264660197417,26.9559683917408 58.826948947296,26.9653550460371 58.8264724204152,26.9743814408871 58.8250547900951,26.9827000581875 58.8227506449214,26.9899907913037 58.8196486964835,26.995973311602 58.8158683451116,27.0004178639865 58.8115550617633,27.0031540731754 58.8068747680615,27.0040774259042 58.8020074349735)))', 'EETIH', 'Tiheda', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5369570977238 59.4569324872887,24.5363702892609 59.4520524271576,24.5339252554054 59.4473243910512,24.5297166594302 59.4429299793965,24.5239067361183 59.4390379103709,24.5167189812534 59.4357975600135,24.5084295290581 59.4333332512941,24.4993565539721 59.431739507126,24.4898481019408 59.4310774450949,24.4802688099339 59.4313724483395,24.4709860096941 59.4326131991251,24.4623557320999 59.4347521108874,24.4547091317197 59.4377071425757,24.4483398371028 59.4413649277466,24.4434927013262 59.4455851017412,24.4403543798112 59.4502056651133,24.439046099328 59.4550491818559,24.4396189047808 59.4599295783899,24.4420515807323 59.4646592850585,24.4462513452862 59.4690564471073,24.4520573081643 59.472951927637,24.4592465765266 59.4761958312383,24.4675427857383 59.4786632939921,24.4766267326673 59.4802593128114,24.4861487010038 59.4809224238146,24.4957419960396 59.4806270841664,24.5050371541936 59.4793846628158,24.5136762632048 59.4772430006562,24.5213268240024 59.474284557462,24.5276946051031 59.4706232190479,24.5325349838531 59.4663998910218,24.5356623335294 59.4617770530017,24.5369570977238 59.4569324872887)))', 'EETIL', 'Tilgu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9804108008698 58.3322749139584,22.9792278042867 58.3274242483046,22.9762691476912 58.3227881287665,22.9716491168411 58.3185445982364,22.9655456245858 58.3148565636708,22.9581933181025 58.3118655614792,22.9498745475671 58.3096863476571,22.9409085453721 58.3084025161137,22.9316392271572 58.3080633092869,22.9224220729731 58.3086817401211,22.9136105779336 58.3102340954107,22.9055427761658 58.3126608390818,22.8985283394987 58.3158688819066,22.8928367331648 58.3197351331836,22.8886868751268 58.3241112017822,22.8862386941182 58.328829070328,22.8855869151498 58.3337075287885,22.8867573216354 58.3385591237613,22.8897056525732 58.3431973586312,22.8943191941925 58.3474438684666,22.9004210215721 58.3511352927393,22.9077767410006 58.3541295789876,22.9161034827153 58.3563114712479,22.9250808007847 58.3575969678427,22.9343630568282 58.3579365728441,22.9435928011244 58.3573172126895,22.9524146218259 58.3557627420651,22.9604889128162 58.3533330190861,22.9675050143428 58.3501215865536,22.973193207717 58.3462520512213,22.9773350945714 58.3418733041873,22.9797719597139 58.3371537705928,22.9804108008698 58.3322749139584)))', 'EETJA', 'Turja', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0569636719603 57.979618415361,22.0559181163111 57.9747587976675,22.0531087272757 57.970100873691,22.0486440548252 57.9658235316992,22.0426960532078 57.9620909840217,22.0354934153744 57.9590464813608,22.0273127672399 57.956806836488,22.0184680627151 57.9554579634143,22.0092985831121 57.9550515991858,22.0001559922973 57.9556033307393,21.9913909308805 57.9570920003665,21.9833396482024 57.9594605119606,21.9763111696627 57.9626180080944,21.9705754790178 57.9664433368487,21.9663531609764 57.9707896789148,21.9638068993434 57.9754901615003,21.9630351611389 57.9803642475965,21.9640683190587 57.9852246586605,21.9668673754532 57.9898845670152,21.9713253534013 57.9941647822897,21.9772713178335 57.997900654724,21.9844768859452 58.0009484274518,21.9926649857163 58.0031907898632,22.0015205287929 58.0045414142261,22.0107025837904 58.0049482968759,22.0198575723489 58.0043957719507,22.0286329664116 58.0029051179427,22.036690943585 58.0005337330631,22.0437214592947 57.9973729121717,22.049454219647 57.9935443133518,22.0536690860467 57.9891952537498,22.0562045091349 57.9844930198776,22.0569636719603 57.979618415361)))', 'EETJU', 'Türju', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6241333164493 58.1348871839001,24.6235517356492 58.1300066694578,24.6211817674653 58.1252799207238,24.6171151289974 58.1208884931323,24.6115085549344 58.1170009978788,24.6045777051852 58.1137666449707,24.5965888466469 58.1113095371959,24.5878486333336 58.1097239300334,24.5786923756336 58.1090706352506,24.5694712413067 58.1093747024922,24.560538866923 58.1106244651519,24.5522378781144 58.1127719859046,24.5448868199636 58.1157348852025,24.5387679850454 58.1193994845376,24.5341165963156 58.1236251470854,24.5311117557522 58.1282496531576,24.5298695083143 58.1330954083101,24.5304382957757 58.1379762494774,24.5327969882432 58.1427045904376,24.5368555852407 58.1470986333551,24.542458576321 58.1509893688752,24.549390847055 58.1542270936897,24.557385914217 58.1566871916684,24.5661361785878 58.1582749521001,24.5753047995963 58.1589292354014,24.5845387272777 58.158624841434,24.5934823773864 58.1573734865456,24.6017914076617 58.1552233504642,24.6091460487812 58.1522572108981,24.6152634626987 58.1485892396573,24.6199086427964 58.1443605869081,24.6229034323059 58.1397339275695,24.6241333164493 58.1348871839001)))', 'EETKL', 'Timmkanali lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((26.012489508281 58.3763749618916,26.0117130878408 58.3715010120444,26.0091421771588 58.3668002534814,26.0048762073749 58.3624532323979,25.9990795516638 58.3586268453645,25.9919751426373 58.3554679494996,25.9838358795012 58.3530977475445,25.9749741590006 58.3516071592598,25.9657299296344 58.3510533525986,25.9564577191648 58.351457564154,25.9475131200698 58.3528042900115,25.9392392356816 58.3550418770492,25.9319535910231 58.3580844926436,25.9259359967878 58.3618153993973,25.921417822767 58.3660914126384,25.9185730888805 58.3707483737351,25.9175117187627 58.3756074333202,25.918275224036 58.3804819068187,25.9208349989588 58.3851844415084,25.9250933077079 58.3895342207956,25.9308869434329 58.3933639281987,25.9379934332907 58.3965262011033,25.9461395612914 58.3988993226444,25.955011885578 58.4003919285802,25.9642688433202 58.400946543788,25.9735539689726 58.4005418085803,25.9825097038344 58.3991933065935,25.9907912492521 58.3969529613493,25.9980799138816 58.3939070253838,26.0040954272696 58.3901727415913,26.0086067364183 58.3858938087669,26.0114408665242 58.381234830022,26.012489508281 58.3763749618916)))', 'EETKO', 'Tammekõrkja', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8029389231655 59.4378326682423,24.8023140422301 59.4329535925485,24.7998331149475 59.4282303370481,24.7955921793661 59.4238443166185,24.7897547065142 59.4199639257336,24.7825452433793 59.4167380912018,24.7742407510902 59.4142905785659,24.7651599760299 59.4127152664749,24.7556512600595 59.4120725659892,24.7460792492454 59.412387118337,24.7368109974161 59.413646856675,24.728201980918 59.4158034665917,24.7205825437893 59.4187742281442,24.7142452782112 59.4224451708521,24.7094338137435 59.4266754240184,24.7063334410445 59.431302599665,24.7050639323995 59.4361490058709,24.7056748438087 59.4410284558705,24.7081434935616 59.4457534142233,24.7123757127502 59.4501422068089,24.718209357339 59.4540260171184,24.7254204631624 59.4572553977674,24.7337318190113 59.4597060433486,24.74282363359 59.46128359825,24.7523458843699 59.4619273099629,24.7619318647289 59.4616123833085,24.7712123940979 59.4603509421152,24.7798301269842 59.4581915600393,24.7874533923594 59.4552173790605,24.7937890152303 59.4515428902363,24.7985936161283 59.4473095041275,24.8016829493135 59.4426800856737,24.8029389231655 59.4378326682423)))', 'EETLL', 'Tallinn', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4793923129027 59.0590833509075,23.4781120743632 59.0542385725065,23.4750222679797 59.049615479121,23.4702422407217 59.0453916064602,23.4639560606934 59.0417290991885,23.45640538683 59.0387685066504,23.4478801694687 59.0366234118554,23.4387075409968 59.0353760955439,23.4292393183991 59.035074397568,23.4198385867234 59.0357298926655,23.4108658633588 59.0373174485819,23.4026653570563 59.0397761830792,23.3955518325655 59.0430117843848,23.3897985716681 59.0469001088145,23.385626884536 59.0512919213591,23.3831975723835 59.056018601632,23.3826046743491 59.0608986003194,23.3838717500126 59.0657444016022,23.3869508561081 59.0703697262,23.3917242746869 59.0745966987226,23.3980089437588 59.0782627025801,23.4055634344215 59.0812266561049,23.4140972152683 59.0833744646072,23.4232818501998 59.0846234342086,23.4327636943542 59.0849254733581,23.4421775889217 59.0842689553772,23.4511610125784 59.0826791682453,23.4593681275503 59.0802173338836,23.4664831629797 59.0769782359914,23.4722326070622 59.0730865505767,23.4763957307046 59.068692024328,23.4788130364073 59.0639636907678,23.4793923129027 59.0590833509075)))', 'EETLS', 'Telise', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8190353944052 58.7883316124447,22.8178580634696 58.7834797536149,22.8148808684684 58.7788403144002,22.8102188286262 58.7745914641849,22.8040514865012 58.770896311987,22.7966159502721 58.7678966644434,22.7881977667371 58.7657076060598,22.7791199779766 58.7644131054799,22.7697307776077 58.7640628122438,22.7603902302683 58.7646701635609,22.7514565494865 58.7662118716201,22.7432724438713 58.7686288105814,22.736152039359 58.7718282703652,22.7303688660851 58.7756874934041,22.7261453626284 58.7800583623859,22.7236442985009 58.7847730633502,22.7229624488805 58.7896505109096,22.7241267752358 58.794503292303,22.7270932738225 58.7991448657163,22.7317485538472 58.8033967368537,22.7379141018744 58.8070953367895,22.7453530828644 58.8100983340004,22.7537794255885 58.8122901340237,22.7628688458049 58.8135863508254,22.7722713791109 58.8139370735855,22.781624931046 58.8133287997033,22.7905693082471 58.8117849574425,22.7987601736711 58.8093649975564,22.8058823722641 58.8061620900338,22.8116621007618 58.8022995173292,22.8158774450245 58.7979259067107,22.8183668777048 58.7932094895273,22.8190353944052 58.7883316124447)))', 'EETLT', 'Tuletorni', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6578758896242 58.6920204030002,23.6565857479262 58.6871772330786,23.6535062529863 58.6825580996193,23.6487563374595 58.6783403868009,23.6425188987799 58.6746860043762,23.6350337158886 58.6717351921482,23.6265882230897 58.6696011604423,23.6175064972685 58.6683657680125,23.6081368766007 58.668076399159,23.598838675501 58.6687441566029,23.5899684909859 58.6703434374772,23.5818666093456 58.6728129083254,23.5748440187795 58.6760578429864,23.5691705135007 58.6799537364147,23.5650643380546 58.6843510595603,23.5626837678728 58.6890809770986,23.5621209544572 58.6939618126214,23.563398282637 58.698806016354,23.5664673952566 58.7034273697785,23.5712109402743 58.7076481507474,23.5774469901103 58.7113059824103,23.5849359772661 58.7142600998492,23.5933898882759 58.7163967895498,23.6024833646591 58.7176337881021,23.6118662793212 58.7179234666875,23.621177293954 58.7172546754309,23.6300578607932 58.7156531745884,23.6381661129331 58.7131806355872,23.6451900923257 58.7099322516872,23.6508597933253 58.7060330530498,23.6549575505566 58.7016330719124,23.6573263701858 58.6969015482543,23.6578758896242 58.6920204030002)))', 'EETMA', 'Tärkma', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2777051481717 58.5385343001828,22.2766116180692 58.533677112784,22.2737276468756 58.5290247625562,22.2691646696917 58.5247559196825,22.2630984280749 58.5210344653679,22.2557621574868 58.5180032195598,22.2474376072116 58.5157784818736,22.2384442403392 58.5144455910449,22.2291270246326 58.5140556691952,22.2198432731842 58.5146236724305,22.210949025784 58.5161278203894,22.202785477295 58.5185104260148,22.1956659578172 58.5216800947538,22.1898639510242 58.5255152113454,22.1856026020768 58.529868584053,22.1830461155649 58.5345730723179,22.1822933780244 58.5394479859477,22.1833740602388 58.5443060135682,22.1862473638884 58.5489604164402,22.1908034779082 58.5532322118846,22.1968677055969 58.5569570691951,22.2042071180988 58.5599916503491,22.2125394878051 58.5622191479547,22.2215441611895 58.563553803103,22.2308744491735 58.5639442250702,22.2401710485252 58.5633753816119,22.2490759634747 58.5618691810059,22.25724637512 58.5594836228069,22.2643679085094 58.5563105510712,22.2701667733734 58.5524720991352,22.2744203028844 58.548115966511,22.2769654828921 58.5434097139292,22.2777051481717 58.5385343001828)))', 'EETME', 'Tamme, Ninase k', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1715272958928 58.4232033791748,23.1703147505934 58.4183547462354,23.1673232207379 58.4137233296022,23.1626682558924 58.4094869898129,23.1565291092829 58.4058083561341,23.1491417938469 58.4028286028271,23.1407899990912 58.4006620533308,23.1317942197589 58.3993918152525,23.122499509373 58.3990666096135,23.1132623186478 58.399698912716,23.1044369096194 58.4012644798953,23.0963618505891 58.4037032689748,23.0893470943663 58.4069217291836,23.0836621228573 58.4107963703676,23.079525605086 58.4151784792506,23.0770969638859 58.4198998059569,23.076470179821 58.4247790065893,23.0776700809369 58.4296285978076,23.0806512758673 58.4342621583526,23.0852997884439 58.438501501296,23.0914373477419 58.4421835401688,23.0988281824812 58.4451665822999,23.1071880673762 58.4473358035565,23.1161952760342 58.4486076895792,23.1255030149192 58.4489332684618,23.1347528498424 58.4483000070788,23.1435885938001 58.4467322959848,23.1516701050908 58.4442905037486,23.1586864486087 58.441068638345,23.1643679007997 58.4371907083384,23.1684963284275 58.4328059276981,23.1709135403106 58.4280829530499,23.1715272958928 58.4232033791748)))', 'EETML', 'Tammelao', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8951560557688 59.5684239666627,25.8943711008207 59.5635501678771,25.891727987936 59.5588476866468,25.88732897841 59.5544971312056,25.8813435976196 59.5506655268646,25.8740020484429 59.5474999223158,25.8655863363673 59.5451217687029,25.8564194515538 59.5436222828995,25.8468530205749 59.5430589685487,25.8372538926157 59.5434534245553,25.8279901606141 59.5447905224788,25.8194171365383 59.5470189833186,25.8118638014697 59.550053332217,25.8056202353709 59.5537771583695,25.8009264986137 59.5580475586224,25.7979633880585 59.5627005985377,25.7968454256513 59.5675575857104,25.7976163585321 59.5724319183057,25.8002473585458 59.5771362484645,25.80463800847 59.5814896864709,25.8106200556025 59.5853247681703,25.8179638045884 59.5884939154744,25.8263869150431 59.5908751378872,25.8355652704717 59.5923767513374,25.8451454980029 59.5929409282663,25.8547586480479 59.592545938449,25.8640344929294 59.5912069915941,25.8726158766009 59.5889756481859,25.88017254531 59.5859378219277,25.886413911581 59.5822104530207,25.8911002499501 59.5779369839709,25.8940518898964 59.573281816412,25.8951560557688 59.5684239666627)))', 'EETMM', 'Tamme, Eru k', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0339261117848 57.9506270299282,22.0328845576761 57.9457671884868,22.0300804569567 57.941108718182,22.0256221555832 57.9368305285494,22.0196813627359 57.9330968647712,22.0124864946958 57.9300510206825,22.0043138796828 57.9278098607736,21.9954771641923 57.9264593573471,21.9863153240178 57.9260513100627,21.9771797309178 57.926601370393,21.9684207578074 57.9280884446293,21.9603744208476 57.9304554977029,21.9533495556138 57.9336117279583,21.9476160066526 57.9374360318815,21.9433942754797 57.9417816293782,21.9408470220557 57.9464816761989,21.9400727500168 57.95135565212,21.9411019279565 57.9562162829753,21.9438957099435 57.9608767328659,21.9483473209535 57.9651577908829,21.9542860703548 57.9688947751588,21.9614838529661 57.9719438863433,21.9696638968532 57.9741877625601,21.9785114245433 57.9755400179727,21.9876858141821 57.9759485861968,21.9968337834654 57.9753977364514,22.0056030753133 57.9739086826266,22.0136561026296 57.9715387611661,22.0206830112942 57.968379210412,22.02641364567 57.9645516393943,22.0306279479635 57.9602033255924,22.0331643891949 57.9555015267882,22.0339261117848 57.9506270299282)))', 'EETMN', 'Tammuna', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1492242978535 58.1785835159869,22.1481600222681 58.1737248740174,22.1453226328998 58.1690692308521,22.1408217622028 58.1647953856496,22.1348307585449 58.1610674147131,22.1275799666 58.1580283912788,22.1193478582637 58.1557949162738,22.1104503574393 58.1544526658208,22.1012287648921 58.1540531222946,22.0920367372344 58.1546116109896,22.0832268060393 58.1561067155671,22.0751369385055 58.1584810940824,22.0680776397504 58.1616436652896,22.0623200787129 58.1654730838226,22.058085685088 58.1698223744899,22.0555376143164 58.1745245519755,22.0547744124293 58.1793990143101,22.0558261340325 58.1842584680227,22.0586530769928 58.1889161211842,22.0631471992259 58.1931928686331,22.069136179758 58.196924192226,22.0763899819211 58.1999665083152,22.0846296755444 58.2022027146967,22.0935381819345 58.2035467194197,22.1027725248269 58.2039467730372,22.1119771064815 58.2033874725978,22.1207974840897 58.2018903580214,22.12889410008 58.1995130772571,22.1359554219453 58.1963471533926,22.14170997275 58.192514442206,22.1459367810827 58.188162420165,22.148473846296 58.1834584884121,22.1492242978535 58.1785835159869)))', 'EETMO', 'Toomalõuka', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8761499057915 59.5644310817621,25.8753677853725 59.5595571746744,25.8727276329265 59.5548543159649,25.8683315960734 59.5505031285247,25.8623490862585 59.5466706620706,25.8550101965039 59.5435039984935,25.8465968306657 59.5411246296422,25.8374318893178 59.539623819037,25.8278669248452 59.5390591211245,25.8182687304199 59.5394521878339,25.8090053632423 59.540787943955,25.8004321211704 59.5430151619008,25.7928779933588 59.5460484144587,25.786633089763 59.5497713328875,25.7819375215854 59.5540410489086,25.7789721554884 59.5586936544329,25.7778515995962 59.5635504738562,25.7786197003682 59.5684249119352,25.7812477383463 59.5731296169175,25.7856354102263 59.5774836848344,25.7916145780557 59.5813196274432,25.7989556576031 59.5844898336405,25.8073764116404 59.5868722722452,25.8165528148092 59.5883752123945,25.826131569765 59.5889407754371,25.8357437838557 59.5885471777353,25.8450192655102 59.5872095753384,25.8536008725492 59.5849794769127,25.8611583423289 59.5819427481985,25.8674010561132 59.5782162871507,25.8720892360828 59.573943501379,25.8750431403649 59.5692887663139,25.8761499057915 59.5644310817621)))', 'EETMP', 'Tammispea', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1853272010128 58.2533104448672,26.1845295683732 58.2484374083853,26.1819445033495 58.243740004754,26.1776719734291 58.2393986505704,26.1718765966477 58.2355800245921,26.1647812506819 58.2324306862842,26.1566584829931 58.2300714722427,26.147820055813 58.2285928814858,26.1386050248315 58.2280516225671,26.1293668006595 58.2284684514245,26.1204596764658 58.2298273804695,26.1122253230211 58.2320762882924,26.1049797534377 58.2351289072614,26.0990012441514 58.2388681149599,26.094519666427 58.2431504065728,26.0917076344438 58.2478113806768,26.0906738128034 58.252672032026,26.0914586495359 58.2575456133218,26.0940327123658 58.2622448049213,26.0982977087886 58.2665889180263,26.1040901676763 58.270410853859,26.1111876555787 58.273563549059,26.119317298947 58.2759256559741,26.1281662887914 58.2774062351713,26.137393961351 58.2779482753748,26.1466449814458 58.2775309017027,26.1555631078405 58.2761701846867,26.1638049947773 58.2739185179396,26.1710534822394 58.2708625891151,26.1770298495736 58.2671200245253,26.1815045516113 58.2628348400416,26.1843060209356 58.2581718774999,26.1853272010128 58.2533104448672)))', 'EETMR', 'Tamme polder', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1001167223466 58.0953413814433,26.0993340515974 58.0904677366333,26.0967714496964 58.085768557973,26.0925280154846 58.0814243314809,26.0867672461713 58.0776018476585,26.079710689905 58.0744478155361,26.0716294069434 58.0720832531483,26.062833571263 58.0705988656939,26.0536606093738 58.0700515846263,26.0444623232392 58.0704623969171,26.0355914785121 58.0718155453266,26.027388357176 58.0740591293878,26.0201677748327 58.0771070846977,26.0142070472893 58.0808424667511,26.0097353590355 58.0851219166888,26.0069249382394 58.0897811416404,26.0058843799936 58.0946412034379,26.006654383145 58.0995153778297,26.0092060781508 58.1042163232447,26.0134420266444 58.1085632846924,26.0191998710502 58.1123890552998,26.0262585085138 58.1155464256535,26.0343465619371 58.1179138695035,26.043152826604 58.1194002429737,26.0523382882846 58.1199483122574,26.0615492420323 58.1195369703838,26.0704309936617 58.1181820552171,26.0786416007109 58.1159357361975,26.0858651079471 58.1128844941013,26.0918237542779 58.1091457738175,26.0962886720627 58.1048634424203,26.0990886638776 58.1002022314555,26.1001167223466 58.0953413814433)))', 'EETMT', 'Tammetare', 'Y'),('SRID=4326;MULTIPOLYGON(((24.9420882604159 59.5377813553856,24.9414417270798 59.5329029021681,24.938934254613 59.5281822174833,24.9346629040766 59.5238006160098,24.9287923156413 59.5199263210557,24.9215483065944 59.5167080240788,24.9132091610587 59.5142692002959,24.9040949509619 59.5127033943121,24.8945552962559 59.5120706522829,24.8849560255595 59.5123952336318,24.8756652352412 59.5136646873474,24.8670392648758 59.5158303270621,24.8594091096879 59.5188090871699,24.8530677760316 59.5224866909,24.8482590543652 59.5267220122422,24.8451681360974 59.5313524685925,24.8439144369957 59.5362002415487,24.8445469119399 59.5410790909301,24.8470420556175 59.545801503136,24.8513046839118 59.5501859004887,24.8571714845353 59.5540636340338,24.8644172168645 59.5572854888195,24.8727633344266 59.5597274479845,24.8818887038681 59.5612954895899,24.891442006327 59.5619292271262,24.9010553354343 59.5616042496125,24.9103584545517 59.560333068373,24.9189931471544 59.5581646327759,24.9266270901371 59.5551824340754,24.9329667004923 59.5515012725373,24.9377684501224 59.5472628158157,24.9408482090503 59.5426301238471,24.9420882604159 59.5377813553856)))', 'EETNE', 'Tammneeme', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5450780029331 59.5195550652682,25.5443446450938 59.5146793753407,25.5417541196064 59.5099700395294,25.5374066696877 59.5056079321641,25.531469845713 59.5017605245197,25.5241719935564 59.4985754736736,25.5157934496925 59.4961749780343,25.5066557858445 59.4946511119104,25.497109513729 59.494062313776,25.4875207128741 59.4944311591551,25.4782570805735 59.4957435008958,25.4696739221834 59.4979490086863,25.4621006018792 59.5009630877081,25.4558279586653 59.5046701050352,25.4510971600934 59.5089278035036,25.4480904173489 59.5135727379467,25.446923921007 59.5184265295362,25.4476432782576 59.5233027019523,25.4502216417129 59.5280138395533,25.4545606197134 59.5323787937036,25.4604939516578 59.5362296597322,25.4677938233056 59.539418254054,25.476179590737 59.5418218387986,25.4853285825082 59.5433478693683,25.4948885623277 59.5439375777711,25.5044913637901 59.5435682499024,25.5137671581319 59.5422541063692,25.5223587884346 59.5400457517903,25.5299356007519 59.5370282143829,25.536206224456 59.5333176535809,25.5409297994511 59.5290568660102,25.5439252142781 59.5244097671245,25.5450780029331 59.5195550652682)))', 'EETNK', 'Tõnikseri', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2772503460284 58.9345326420886,22.2761436322053 58.9296757893657,22.2732260544963 58.9250238291979,22.2686103560247 58.920755414976,22.2624743150338 58.917034408814,22.2550538524588 58.9140036104015,22.2466339481776 58.9117792991695,22.2375377175895 58.9104467949715,22.2281140639641 58.9100572034538,22.2187243705137 58.9106254675314,22.2097287284168 58.912129797519,22.2014722125208 58.9145125011546,22.1942717149135 58.917682182728,22.188403828003 58.9215172295178,22.1840942334592 58.9258704554656,22.1815090019627 58.9305747281559,22.1807481421878 58.93544936731,22.1818416573277 58.9403070726086,22.1847482758848 58.9449611170039,22.1893569231661 58.9492325298009,22.1954908944101 58.9529569923803,22.2029145837855 58.9559911788446,22.2113425201665 58.9582182939623,22.220450365341 58.9595525910129,22.2298874478219 58.9599426914043,22.2392903399717 58.9593735747494,22.248296941226 58.9578671605313,22.2565605083039 58.9554814583178,22.2637630756409 58.952308320326,22.269627735735 58.9484698854858,22.2739292981734 58.9441138556554,22.2765029150918 58.9394077901153,22.2772503460284 58.9345326420886)))', 'EETNP', 'Tõnupsi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0372654194887 58.2083650823598,26.0364890277852 58.2034911566151,26.0339267503826 58.1987907987601,26.0296776792165 58.1944445400995,26.0239055326679 58.1906192488269,26.0168322989445 58.1874617411461,26.0087296799117 58.1850931677373,25.99990866794 58.1836043869587,25.9907076535049 58.1830524982001,25.9814795116006 58.1834586648292,25.9725781495007 58.1848073077854,25.964345016395 58.1870466997699,25.9570960766658 58.1900909378784,25.9511097330202 58.1938232211681,25.9466161536333 58.1981003107812,25.9437884094554 58.2027580055366,25.9427357648416 58.2076174269703,25.943499388128 58.2124918761179,25.9460506606825 58.217194001204,25.9502921659564 58.2215430018791,25.9560613374085 58.2253715925035,25.9631366397655 58.2285324545773,25.9712460562348 58.2309039267441,25.9800775595994 58.2323947093357,25.9892911621632 58.2329473982035,25.9985320725003 58.2325407081704,26.0074444394556 58.2311902979806,26.0156851384482 58.2289481639787,26.0229370532592 58.2259006265172,26.0289213282556 58.2221649888354,26.0334081101986 58.2178850004669,26.0362253629889 58.2132253039013,26.0372654194887 58.2083650823598)))', 'EETNR', 'Tõnuri', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5781412808135 59.5625429110306,25.577402298365 59.5576674165757,25.57480393703 59.5529587361104,25.5704467427333 59.5485977183646,25.564498641 59.5447517922947,25.5571884107769 59.541568557636,25.5487968629415 59.5391701426963,25.539646066915 59.537648541665,25.5300870365896 59.5370621059816,25.5204863392261 59.537433320563,25.5112121270524 59.5387479475319,25.5026201104179 59.540955569171,25.495039993227 59.5439715098716,25.4887628759983 59.5476800655711,25.4840300994869 59.5519389202933,25.4810239529224 59.5565845845983,25.4798606064581 59.5614386515994,25.4805855488019 59.5663146342133,25.4831717201874 59.5710251237707,25.487520430497 59.5753889961246,25.4934650458169 59.579238387731,25.500777317979 59.5824251712583,25.5091761252432 59.5848266781157,25.5183382930079 59.5863504433965,25.5279110761357 59.5869377861732,25.5375258136227 59.5865660834319,25.5468122157551 59.5852496473679,25.5554127163711 59.5830391711176,25.562996319958 59.5800197648789,25.569271395229 59.5763076603117,25.5739969123023 59.5720457136748,25.5769916871343 59.5673978851235,25.5781412808135 59.5625429110306)))', 'EETNS', 'Tõnikse', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4348459613154 57.9209548774307,24.4342928021301 57.9160735900392,24.4319611862925 57.9113434953054,24.427941350319 57.9069462793449,24.4223882276413 57.9030507779867,24.4155154258567 57.8998065108584,24.4075869870886 57.8973379631602,24.3989072527008 57.8957398306653,24.3898092200231 57.8950734062969,24.3806418305517 57.8953642432545,24.3717566652295 57.8966011816882,24.3634945422141 57.8987367750105,24.3561725157022 57.9016890998513,24.3500717608524 57.9053448821213,24.3454267998768 57.9095638224109,24.3424164785089 57.9141839586925,24.3411570412094 57.9190278646296,24.3416975790224 57.9239094492245,24.3440180378674 57.9286410993618,24.3480298797769 57.9330408921308,24.353579388344 57.936939599407,24.3604535061898 57.9401872134913,24.3683879908358 57.9426587396397,24.37707758049 57.9442590286363,24.3861877774469 57.9449264592497,24.3953677883061 57.944635325088,24.4042641106294 57.9433968312483,24.4125342277054 57.9412586611147,24.4198598683145 57.9383031303544,24.4259593070876 57.934644001129,24.4305982221767 57.9304220823917,24.4335986882817 57.9257997896111,24.4348459613154 57.9209548774307)))', 'EETOA', 'Treimani oja lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5819582332306 59.4267910204663,27.5809341416948 59.4219286201619,27.57806879045 59.4172614080479,27.5734729484597 59.4129686259888,27.5673236613217 59.4092150722236,27.559857382378 59.4061447942953,27.5513608649672 59.4038755837083,27.5421601689235 59.402494479279,27.5326081997459 59.4020544474322,27.5230712487402 59.4025723632169,27.5139150359176 59.404028367136,27.5054907739619 59.4063666217032,27.4981217709047 59.4094974396542,27.4920910712663 59.4133007046868,27.4876306006158 59.4176304571876,27.484912227344 59.4223204733086,27.4840410889166 59.4271906275588,27.4850514494612 59.4320537982538,27.4879052633265 59.4367230530052,27.4924935180093 59.4410188389762,27.4986403230122 59.4447759006099,27.5061096028797 59.4478496563228,27.5146141474134 59.4501217851485,27.5238266747241 59.451504803995,27.5333924781078 59.4519454549839,27.5429431601223 59.4514267688072,27.552110910331 59.4499687222476,27.5605427595862 59.4476274637656,27.5679142447605 59.4444931379448,27.5739419434576 59.4406863951291,27.5783943869784 59.4363537243927,27.5811009289912 59.4316617938575,27.5819582332306 59.4267910204663)))', 'EETOI', 'Toila', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5221053039949 59.5281885438924,26.5212307481035 59.5233185017374,26.518503468605 59.518628674678,26.5140289498547 59.5142991804517,26.5079796031569 59.5104962322777,26.5005880716931 59.5073657767813,26.4921382645657 59.5050279155398,26.4829544683124 59.5035723200415,26.4733889509277 59.5030548116534,26.4638085246972 59.5034952340927,26.4545805690261 59.5048766974953,26.4460590323548 59.507146222126,26.4385709329247 59.5102167578009,26.432403861583 59.5139705039207,26.4277949562566 59.5182634063478,26.4249217677248 59.5229306628805,26.423895370836 59.5277930303747,26.4247559957774 59.5326636951144,26.427471362446 59.5373554451384,26.4319378001053 59.541687869956,26.4379841277252 59.5454943101927,26.4453781617553 59.5486282875886,26.4538356121042 59.5509691643891,26.4630310286247 59.5524268100133,26.4726103742405 59.5529450909808,26.4822047314393 59.5525040459558,26.4914445999484 59.5511206595854,26.4999742177039 59.5488482043602,26.5074653361942 59.5457741766212,26.5136299049512 59.542016908603,26.518231167048 59.5377209906201,26.5210927353195 59.5330516839645,26.5221053039949 59.5281885438924)))', 'EETOJ', 'Toolse jõge lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0703392226759 58.3060938140352,24.0698318076817 58.3012116405411,24.0675252134055 58.2964753612714,24.0635087358357 58.2920669011444,24.0579371985214 58.2881555276539,24.0510249311352 58.2848913684339,24.0430374999019 58.2823996699651,24.0342815126173 58.2807760138008,24.0250928883756 58.2800826696939,24.015824034795 58.2803462217974,24.0068304124129 58.2815565562582,23.9984569863383 58.2836672477193,23.9910250688961 58.2865973302032,23.9848200438249 58.29023438632,23.9800804328373 58.2944388394497,23.9769887195423 58.2990492881904,23.9756642847801 58.3038886825313,23.976158732661 58.3087711084233,23.9784537999696 58.313508922979,23.9824619455919 58.3179199675475,23.988029614443 58.3218345811774,23.9949430657918 58.3251021429535,24.0029365531694 58.3275968883866,24.0117025467889 58.3292227720502,24.0209036041817 58.3299171850741,24.030185424892 58.329653380572,24.0391905742509 58.3284415108227,24.0475723322697 58.3263282349174,24.0550081181613 58.3233949122923,24.0612119592536 58.31975445362,24.0659455140877 58.3155469535284,24.0690272210509 58.3109342772914,24.0703392226759 58.3060938140352)))', 'EETOL', 'Tõlli', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5591758727791 59.5865501678835,25.5584391605048 59.5816745923977,25.5558416526101 59.5769655555783,25.5514838636575 59.5726039198821,25.5455337432609 59.5687571379482,25.5382201487945 59.5655728422504,25.529824020759 59.563173201655,25.5206676043624 59.561650257205,25.5111021287274 59.5610624117254,25.501494407632 59.5614322041121,25.4922128618134 59.5627454510166,25.4836134820164 59.5649517877232,25.4760262538695 59.5679665880662,25.4697425503054 59.5716741919577,25.4650039648448 59.575932320215,25.4619930101734 59.5805775115638,25.4608260419715 59.5854313775349,25.4615486893008 59.5903074389701,25.4641339820037 59.5950182842971,25.4684832651682 59.5993827757311,25.4744298841105 59.6032330258732,25.4817455145251 59.6064208742469,25.4901489059606 59.608823611123,25.4993167074242 59.6103487240769,25.5088959565187 59.6109374801482,25.5185177425781 59.6105672018111,25.5278115035978 59.609252146396,25.5364193891772 59.6070429539485,25.544010118761 59.6040246853956,25.5502917863581 59.6003135288292,25.5550231084095 59.5960523042943,25.5580226780195 59.5914049444447,25.5591758727791 59.5865501678835)))', 'EETOM', 'Toome', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6579763836776 57.9857657095434,27.6569846469886 57.9809027594869,27.6542264965572 57.976235974136,27.6498085194618 57.9719445848365,27.6439008842987 57.9681933453826,27.6367307428852 57.9651262252711,27.6285734822074 57.962860905704,27.6197421655629 57.9614842854988,27.6105755649562 57.9610491653214,27.6014252350396 57.9615722340755,27.5926421112837 57.9630334324911,27.5845631310194 57.9653767176224,27.5774983752562 57.9685121998401,27.5717192117471 57.972319572718,27.5674478859326 57.9766527077183,27.5648489567699 57.9813452414404,27.5640229100377 57.9862169450327,27.5650022040175 57.9910806346236,27.5677499135514 57.9957493596099,27.5721610410919 58.0000435933542,27.5780664608268 58.0037981490223,27.5852393582209 58.0068685522538,27.5934039267182 58.0091366220214,27.602245990473 58.0105150408136,27.6114251413293 58.0109507341456,27.6205879139697 58.0104269258559,27.6293814786286 58.0089637878024,27.6374673084412 58.0066176582235,27.6445342796175 58.0034788597907,27.6503106871315 57.9996682037939,27.6545747051209 57.995332318596,27.65716288718 57.9906379862893,27.6579763836776 57.9857657095434)))', 'EETON', 'Tonja', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5161168962811 59.5361908086048,26.5152430027363 59.5313207332635,26.512515914661 59.5266307874074,26.5080411095228 59.5223010933452,26.501991010026 59.5184978719505,26.4945982885426 59.5153670802947,26.486146899994 59.5130288328009,26.4769611915923 59.5115728157196,26.4673935045448 59.5110548665413,26.4578107341158 59.5114948458605,26.4485803493272 59.5128758808051,26.4400563915012 59.5151450080988,26.4325659715277 59.5182151928523,26.4263967691689 59.5219686480051,26.421786004156 59.526261330674,26.4189112988317 59.5309284471839,26.4178837866031 59.5357907598495,26.4187437409195 59.5406614571241,26.4214589079207 59.5453533258337,26.4259256250131 59.5496859509329,26.4319727008253 59.5534926653252,26.439367923318 59.5566269801621,26.4478269568174 59.5589682446481,26.457024290239 59.5604263132221,26.46660581257 59.5609450360719,26.4762025222458 59.5605044348182,26.4854448281166 59.5591214770172,26.4939768739816 59.5568494186833,26.5014703176218 59.5537757409308,26.5076370189531 59.550018762598,26.5122401390071 59.54572306294,26.5151032193183 59.5410538949405,26.5161168962811 59.5361908086048)))', 'EETOO', 'Toolse', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5490881879945 58.8430593953328,23.547807001609 58.8382151720635,23.5447279619859 58.8335935299891,23.5399699922332 58.8293719496508,23.5337163056348 58.8257124888253,23.5262073092812 58.8227555814055,23.5177313532203 58.8206146705756,23.5086136823941 58.8193718779782,23.4992040108617 58.819074870953,23.4898631847024 58.8197350447382,23.4809494306512 58.8213270873738,23.4728047014052 58.8237899436018,23.4657416254264 58.8270291420546,23.4600315489769 58.8309203991929,23.4558941213697 58.8353143655123,23.4534888216396 58.8400423361635,23.4529087570825 58.8449227109059,23.4541769829564 58.8497679586913,23.4572455002685 58.854391821412,23.4619969878366 58.8586164804546,23.4682492192326 58.8622794093377,23.4757620089111 58.8652396461885,23.4842464293282 58.8673832409467,23.4933759469212 58.8686276633651,23.5027990440662 58.8689249979782,23.5121528307522 58.8682637996753,23.5210771071183 58.8666695363902,23.5292283185395 58.8642036014554,23.5362928497033 58.8609609349442,23.5419991328128 58.8570663483766,23.5461280960598 58.852669698132,23.5485215490325 58.8479400976624,23.5490881879945 58.8430593953328)))', 'EETOP', 'Topu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5193062375819 58.2454462306504,22.5181893000331 58.2405910101615,22.5152981495228 58.2359439303509,22.5107444814516 58.2316834586272,22.5047036666207 58.2279731554074,22.4974079549004 58.224955414026,22.4891375343022 58.222746017763,22.4802097913532 58.2214297187384,22.4709671812121 58.2210570042742,22.4617641634737 58.2216421714604,22.4529536911384 58.2231627816872,22.4448737552218 58.2255605155064,22.4378344856753 58.2287433960968,22.4321062907224 58.2325892985637,22.4279094816632 58.236950614046,22.4254057793047 58.241659893798,22.4246920324603 58.2465362606705,22.4257963999605 58.2513923451775,22.4286771574649 58.2560414818908,22.4332241918129 58.2603048902576,22.4392631421292 58.2640185627843,22.4465620424023 58.26703959319,22.4548402191957 58.2692516974704,22.463779105173 58.2705697112336,22.4730345487486 58.2709428861039,22.4822501365503 58.2703568548982,22.4910710018962 58.2688341877659,22.4991575715282 58.2664335173009,22.5061987055734 58.2632472674028,22.5119237119589 58.2593980759129,22.5161127648181 58.2550340524162,22.5186053241561 58.2503230579281,22.5193062375819 58.2454462306504)))', 'EETOR', 'Tori', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0423884151965 58.3438815378959,24.0410598415568 58.3390423928318,24.0379621267108 58.3344324586064,24.0332148833635 58.3302287651569,24.0270008889402 58.326592684358,24.0195590095523 58.3236637550338,24.0111750107307 58.3215543500106,24.0021706094713 58.3203453856841,23.9928911831305 58.3200832347393,23.9836925965265 58.3207779572934,23.9749276383635 58.3224029164422,23.9669325712483 58.32489579266,23.9600142959032 58.3281609594662,23.9544386097147 58.3320731319741,23.9504200028274 58.3364821520934,23.9481133822497 58.3412187309557,23.9476080469623 58.3461009321494,23.9489241564115 58.3509411500386,23.9520118432259 58.3555533170495,23.9567530213766 58.3597600633241,23.9629658368116 58.3633995522234,23.9704116029132 58.366331726071,23.9788039624368 58.368443718091,23.987819925546 58.3696542180401,23.9971123546956 58.3699166194483,24.0063234055039 58.3692208240676,24.0150983917017 58.3675936321303,24.0230995240041 58.3650977030849,24.0300189783211 58.3618291281777,24.035590777782 58.3579137111481,24.0396010239641 58.353502104035,24.0418960827014 58.3487639895525,24.0423884151965 58.3438815378959)))', 'EETOS', 'Tõstamaa', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5761638520665 58.1277956421726,27.575179175777 58.1229321524184,27.5724206122782 58.1182637000633,27.5679947713862 58.11396958044,27.5620721293834 58.1102146517221,27.5548804180665 58.1071430242519,27.5466958539109 58.1048725512706,27.5378325472528 58.103490328397,27.5286304947859 58.1030493704853,27.5194426071477 58.1035665899533,27.5106212559518 58.105022151907,27.5025048407297 58.107360230078,27.4954048755979 58.110491135478,27.4895940780849 58.1142947384938,27.4852959087074 58.1186250566363,27.4826759601991 58.1233158359991,27.4818355307587 58.1281869162724,27.4828076378037 58.1330511383697,27.4855556395674 58.1377215316361,27.4899745341609 58.1420185052538,27.4958949028143 58.1457767665546,27.503089359831 58.1488516978412,27.511281270731 58.1511249428959,27.5201554067039 58.1525089840762,27.5293701223897 58.1529505297067,27.5385705792872 58.1524325778944,27.5474024922239 58.1509750750266,27.5555258537377 58.1486341428586,27.5626280922036 58.1454999048745,27.568436144002 58.1416929980436,27.5727269666295 58.1373599078305,27.5753360858297 58.1326673101637,27.5761638520665 58.1277956421726)))', 'EETOT', 'Tooste', 'Y'),('SRID=4326;MULTIPOLYGON(((25.6232137532544 59.6115262704151,25.6224672666052 59.6066510391205,25.6198589098622 59.6019432514864,25.6154896147671 59.5975837214039,25.6095277724765 59.5937398201155,25.6022026893995 59.590559069067,25.5937957455264 59.5881635007824,25.5846295994252 59.586644999906,25.5750558519113 59.5860617988025,25.56544163284 59.5864362583513,25.5561556115371 59.5877540164011,25.5475539504655 59.5899645354344,25.5399667235433 59.592983029041,25.533685305078 59.5966936955302,25.5289512027825 59.6009541381509,25.525946759345 59.6056008065929,25.5247880824439 59.6104552553204,25.5255204843273 59.6153309823161,25.5281166211104 59.6200405883055,25.5324774214277 59.6244029825699,25.5384357873766 59.6282503578218,25.5457629417933 59.6314346637365,25.5541771893491 59.6338333265933,25.5633547595583 59.635353990627,25.5729423123875 59.6359380941509,25.5825706162435 59.6355631389,25.5918688575154 59.6342435624921,25.6004790133592 59.6320301792736,25.6080697166056 59.6290082117018,25.6143490637122 59.6252939903475,25.6190758623159 59.6210304531576,25.6220688816511 59.6163816215615,25.6232137532544 59.6115262704151)))', 'EETPL', 'Tapurla', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5450938805761 58.8470608442961,23.543813088178 58.842216581167,23.5407342086404 58.8375948451642,23.5359761591506 58.8333731204444,23.5297221562521 58.8297134703212,23.5222126193212 58.8267563359347,23.5137359192251 58.824615169152,23.5046173294522 58.8233721014075,23.4952065992452 58.8230748105706,23.4858646151719 58.8237347027504,23.4769496482344 58.8253264767864,23.4688036975095 58.8277890877364,23.4617394382042 58.8310280736704,23.4560282619238 58.8349191592432,23.451889860201 58.8393130015828,23.4494837495507 58.8440409006489,23.4489030685627 58.848921258996,23.4501708963799 58.8537665462417,23.4532392495384 58.8583905027849,23.4579908133959 58.8626153064126,23.4642433587896 58.8662784250758,23.471756688239 58.8692388895809,23.4802418535034 58.8713827410799,23.4893722923504 58.8726274394143,23.4987964516209 58.8729250584713,23.5081514002902 58.8722641421733,23.5170768936108 58.8706701475938,23.5252293299585 58.8682044577333,23.5322950467512 58.8649620032586,23.538002430498 58.8610675875688,23.5421323670485 58.856671060516,23.5445266286342 58.8519415308626,23.5450938805761 58.8470608442961)))', 'EETRA', 'Trammi lauter', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((24.4318432472241 57.918955963213,24.4312905190383 57.9140746648377,24.4289594216768 57.9093445178115,24.4249401716844 57.9049472102872,24.419387679973 57.9010515816394,24.4125155299392 57.8978071564079,24.4045877387463 57.895338425881,24.3959086229852 57.8937400928596,24.3868111563347 57.8930734579633,24.3776442586524 57.8933640824639,24.3687594920692 57.8946008146506,24.3604976594667 57.896736215834,24.3531758038823 57.8996883700013,24.3470750938597 57.9033440096011,24.3424300498023 57.9075628406946,24.3394195205234 57.9121829054486,24.3381597583508 57.9170267802848,24.3386998666995 57.9219083754192,24.3410198079054 57.9266400773567,24.3450310638456 57.9310399612238,24.3505799406307 57.9349387954219,24.3574534052069 57.9381865673953,24.3653872402871 57.9406582763446,24.3740762091551 57.9422587660306,24.3831858380852 57.9429264075002,24.3923653556201 57.9426354862399,24.4012612783674 57.9413971991395,24.4095311050187 57.9392592216104,24.416856575516 57.9363038618913,24.4229559709807 57.9326448755502,24.4275949711423 57.9284230660368,24.4305956473177 57.9238008446211,24.4318432472241 57.918955963213)))', 'EETRE', 'Treimani', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7363872331201 59.0393607819572,22.7352122870975 59.0345083367364,22.732223874067 59.029867216307,22.727537456244 59.0256156540153,22.7213335216187 59.0219168617479,22.7138505886087 59.0189127841701,22.70537602426 59.0167186739544,22.6962350311428 59.0154186919017,22.6867782215226 59.0150626966164,22.6773682454542 59.0156643434859,22.6683659712319 59.0172005637491,22.6601167315829 59.0196124430973,22.6529371468743 59.0228074672367,22.6471030174391 59.026663050913,22.6428387411993 59.0310312187508,22.6403086606943 59.03574426258,22.6396106764345 59.0406211622896,22.6407723827256 59.0454745271284,22.6437498899011 59.0501177930343,22.648429396062 59.0543724000323,22.654631465458 59.0580746727076,22.6621178636396 59.0610821365343,22.6706006960233 59.0632790233141,22.6797535013065 59.0645807495387,22.6892238689267 59.0649371910684,22.6986470847426 59.0643346245795,22.707660264825 59.0627962588367,22.7159164161271 59.0603813347795,22.7230978660474 59.0571828302314,22.728928530295 59.0533238603077,22.7331845384948 59.0489529159088,22.7357028068426 59.0442381279105,22.7363872331201 59.0393607819572)))', 'EETRL', 'Tõrvanina lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2431935445613 58.1565488521608,22.2421171697848 58.1516910257736,22.2392693325309 58.1470374979172,22.234760064448 58.142766985954,22.2287630339671 58.139043437845,22.2215088147958 58.1360097569072,22.2132760084229 58.1337823390939,22.2043805642449 58.1324466283257,22.1951637036418 58.132053856383,22.1859789020651 58.1326190890942,22.1771784150102 58.1341206516386,22.1690998490452 58.1365009544023,22.1620532776138 58.1396686887236,22.1563093831267 58.1435023107758,22.1520890722021 58.1478546834949,22.1495549604336 58.1525587025519,22.1488050577761 58.1574336944844,22.1498689070745 58.1622923447052,22.1527063385188 58.166947891474,22.1572089046496 58.1712213100677,22.1632039573491 58.1749482100179,22.1704612240122 58.1779851777203,22.1787016392004 58.1802153168412,22.1876080951449 58.181552769165,22.1968376940228 58.1819460377747,22.2060350210922 58.1813799812285,22.2148459139617 58.179876399769,22.2229311818714 58.1774931903721,22.2299797310687 58.1743221042087,22.2357205780494 58.1704851953932,22.2399332801536 58.1661301013694,22.2424563801629 58.1614243407594,22.2431935445613 58.1565488521608)))', 'EETRM', 'Tiirimetsa', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5422120234647 59.6115566824655,25.541477276108 59.6066810371584,25.5388802684123 59.6019716832874,25.5345214971741 59.5976094955075,25.5285689509839 59.5937619475931,25.5212515812496 59.5905767012897,25.5128504738272 59.5881759617728,25.5036880649746 59.58665181207,25.4941158132631 59.5860627010898,25.4845007916288 59.5864312161761,25.4752116999049 59.5877432229581,25.4666048173663 59.5899484043623,25.4590104167384 59.592962178701,25.452720145771 59.5966689254782,25.4479758500862 59.600926398672,25.4449602621097 59.6055711624282,25.4437899164117 59.6104248449441,25.4445105730925 59.615300974297,25.4470953399579 59.6200121364137,25.4514455837646 59.6243771813508,25.4573946141477 59.6282282003583,25.4647140149527 59.6314170032485,25.4731223911155 59.6338208433877,25.4822961997807 59.6353471657061,25.4918822468573 59.6359371905332,25.5015113591864 59.6355681914,25.51081269175 59.6342543763693,25.5194281017144 59.6320463378047,25.527026018132 59.6290290923714,25.5333142580098 59.6253187890083,25.5380512849448 59.6210582151952,25.5410554731144 59.6164112788267,25.5422120234647 59.6115566824655)))', 'EETRN', 'Terneme', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7623416485573 59.0073513010914,22.7611642268111 59.002499080915,22.7581751847184 58.9978585406238,22.7534900068809 58.9936078912524,22.747289132163 58.9899103097152,22.7398109604555 58.9869076943708,22.7313426755731 58.9847152419967,22.7222092392302 58.9834170500139,22.7127609743975 58.9830629085466,22.7033602043451 58.9836664019864,22.6943674454103 58.9852043907525,22.6861276664396 58.9876178925916,22.6789571257085 58.9908143307491,22.673131276938 58.9946710654105,22.6688742000938 58.9990400766711,22.6663499605931 59.0037536236183,22.6656562333751 59.0086306664942,22.6668204475616 59.0134838087991,22.6697986152785 59.0181264948788,22.6744769074481 59.0223801870226,22.6806759334885 59.0260812450821,22.6881575749571 59.0290872414299,22.6966341198028 59.031282464561,22.705779348808 59.0325823952311,22.715241143674 59.0329369786161,22.7246551213021 59.0323325630462,22.7336587546177 59.0307924284885,22.7419054192475 59.0283758838743,22.7490778086385 59.0251759691936,22.7549001876321 59.0213158535304,22.7591490045078 59.0169440715158,22.7616614513551 59.0122287858841,22.7623416485573 59.0073513010914)))', 'EETRS', 'Tareste', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8465178441897 58.3994366059296,25.8457638691425 58.394561753134,25.8432134428852 58.3898577588369,25.8389652126308 58.3855052946155,25.8331828740504 58.3816714668497,25.8260888140701 58.3785034187354,25.8179555383126 58.3761227043464,25.8090952165419 58.3746206465869,25.7998477451301 58.3740548530014,25.7905677763236 58.3744470195068,25.7816111989283 58.3757821037947,25.7733215733364 58.3780088990866,25.766017025292 58.3810419868445,25.7599780874233 58.3847649956816,25.7554369456116 58.3890350448183,25.752568499288 58.3936882056608,25.7514835816978 58.398545776058,25.7522246094702 58.4034211299926,25.7547638424764 58.40812688219,25.7590043375727 58.4124820934493,25.7647835766968 58.4163192391794,25.77187964479 58.4194906710547,25.7800197305162 58.4218743198546,25.7888906273569 58.4233784159365,25.7981508289804 58.4239450414392,25.8074437450777 58.4235523737938,25.8164115157319 58.422215531603,25.8247088764767 58.4199859892704,25.8320165239624 58.4169495835468,25.838053453702 58.4132231909496,25.8425877855373 58.4089502074047,25.8454456567961 58.4042950082426,25.8465178441897 58.3994366059296)))', 'EETRU', 'Tiiru', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0123249357129 58.2533745030757,26.0115510485695 58.2485004672482,26.0089888927447 58.2437996422092,26.0047375577334 58.2394525772051,25.9989608507379 58.2356261712552,25.9918809363597 58.2324672831139,25.9837697734793 58.2300971161448,25.9749386821852 58.2286065895534,25.965726438874 58.2280528694627,25.956486348049 58.2284571893479,25.9475727738807 58.229804040978,25.9393276326325 58.2320417659048,25.9320673483267 58.235084525448,25.9260707584896 58.2388155757702,25.9215684247605 58.2430917257625,25.9187337551229 58.2477488107454,25.9176762814911 58.2526079760473,25.918437359789 58.2574825328176,25.9209884714876 58.2621851252858,25.9252322084584 58.2665349351309,25.9310059202331 58.2703646454571,25.9380878982086 58.273526894449,25.9462058693439 58.2758999670836,25.9550474770568 58.2773925017936,25.9642723439204 58.2779470267379,25.9735252436065 58.2775421859088,25.9824498619085 58.2761935668469,25.9907026011918 58.2739530970763,25.9979658807036 58.2709070331555,26.0039604069277 58.2671726219837,26.0084559323946 58.2628935663286,26.0112800856186 58.2582344732297,26.0123249357129 58.2533745030757)))', 'EETRV', 'Tarvastu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1878267311618 58.6441955230672,23.1866035666738 58.6393472636885,23.1835903325594 58.6347165104592,23.1789034210401 58.6304810972881,23.1727233181734 58.6268036163003,23.1652876117504 58.6238251957632,23.1568818474979 58.6216601062947,23.1478285869337 58.6203913981277,23.1384750825865 58.6200677327517,23.1291800334133 58.6207015271798,23.1202999142263 58.6222684799942,23.1121753872227 58.6247084968972,23.1051183010638 58.6279279814613,23.0993997633955 58.6318034058627,23.0952397365452 58.6361860283328,23.0927985540048 58.6409075805315,23.0921706882632 58.6457867106406,23.0933810201395 58.6506359381332,23.0963837681563 58.6552688551721,23.1010641365046 58.6595072984288,23.1072426352673 58.6631882144757,23.1146819208672 58.6661699520889,23.1230959026836 58.6683377356554,23.1321607681499 58.6696081047897,23.1415274979944 58.6699321451345,23.1508353797943 58.6692973825909,23.1597259850832 58.6677282659639,23.167857055249 58.6652852189727,23.174915745495 58.6620622993488,23.1806307039714 58.6581835578728,23.1847825132535 58.6537982413077,23.1872120909007 58.6490750281443,23.1878267311618 58.6441955230672)))', 'EETSE', 'Tamse', 'Y'),('SRID=4326;MULTIPOLYGON(((25.571078566251 59.519545312545,25.5703414538936 59.5146697543837,25.5677472983065 59.5099609198802,25.5633964818291 59.5055996639156,25.557456683619 59.5017534249181,25.5501563631334 59.4985698150028,25.541775950974 59.4961709772353,25.5326370900295 59.4946489223234,25.5230903375807 59.494062019309,25.513501791434 59.4944327710956,25.5042391392012 59.4957469574808,25.4956576489516 59.4979541774482,25.4880866213451 59.5009697705091,25.4818168079928 59.5046780456067,25.4770892684264 59.5089366972108,25.4740860892242 59.5135822434167,25.4729233244593 59.5184362817146,25.4736464381024 59.5233123260959,25.4762284383055 59.5280229656268,25.4805707932742 59.5323870706277,25.4865071120401 59.5362367689312,25.4938094648638 59.5394239217745,25.5021971117423 59.5418258467132,25.5113473083686 59.543350063045,25.5209077717059 59.5439378726707,25.5305103165856 59.5435666346631,25.5397851242116 59.5422506432476,25.5483750759642 59.5400405742407,25.5559495829977 59.5370215218722,25.5622173639933 59.5333097038475,25.5669376688314 59.5290479650752,25.5699295123574 59.5244002574526,25.571078566251 59.519545312545)))', 'EETSI', 'Tsitre', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2941789849865 58.8835265666462,22.2930716258823 58.8786698239181,22.2901561682131 58.8740182022578,22.2855452711924 58.869750342172,22.2794165267616 58.8660300847492,22.2720055745911 58.8630002012794,22.2635970292703 58.8607769364543,22.2545135708936 58.8594455703196,22.2451036139535 58.8590571651132,22.2357280178847 58.8596266183603,22.2267463348252 58.861132094718,22.2185031056219 58.8635158577471,22.2113147135541 58.8666864707572,22.2054572866937 58.8705222848592,22.2011561045575 58.8748760840856,22.198576913337 58.8795807135841,22.1978194875325 58.8844554790357,22.198913695789 58.8893130750667,22.2018182372491 58.8939667787859,22.2064221145919 58.8982376327125,22.2125488045604 58.9019613399737,22.2199629802609 58.9049946040729,22.2283795363544 58.907220665648,22.23747457318 58.9085538188728,22.2468979135297 58.9089427294405,22.2562866604622 58.908372422889,22.2652792597363 58.9068648644695,22.2735295086091 58.9044781075968,22.2807199551222 58.9013040447473,22.2865741584367 58.8974648500174,22.2908673297948 58.893108254044,22.2934349425746 58.8884018374582,22.2941789849865 58.8835265666462)))', 'EETTK', 'Tooma talu lautrikoht', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8240283567832 58.7833297875043,22.8228505129554 58.7784779733883,22.8198730952413 58.773838647199,22.8152111311355 58.7695899739682,22.8090441600383 58.765895055926,22.8016092757019 58.7628956907438,22.7931919998087 58.7607069521242,22.7841153396095 58.7594127964782,22.7747274455078 58.759062860145,22.7653883321818 58.7596705666638,22.7564561583366 58.7612126146027,22.7482735749591 58.7636298650694,22.7411546497342 58.766829596,22.7353728561188 58.7706890393744,22.731150579737 58.775060069365,22.7286505428959 58.7797748657682,22.7279694811392 58.7846523394744,22.7291343254192 58.7895050766717,22.7321010518017 58.7941465372151,22.7367562604493 58.7983982311371,22.742921440421 58.8020965963355,22.7503597706508 58.8050993103409,22.7587852048536 58.8072907896221,22.7678734937512 58.8085866605268,22.777274716574 58.8089370255826,22.7866268294633 58.8083283959809,22.7955696946449 58.8067842136849,22.8037590334719 58.8043639425243,22.8108797498052 58.8011607644365,22.8166580975118 58.7972979722406,22.8208722155791 58.7929242015914,22.8233606237306 58.7882076899321,22.8240283567832 58.7833297875043)))', 'EETTL', 'Tamme talu lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4814679786498 58.3899425157607,24.4809028385134 58.385061653052,24.4785358190304 58.3803324469907,24.474458536844 58.3759365474843,24.4688281464583 58.372042736767,24.4618612301006 58.368800466001,24.4538254429767 58.3663341402138,24.4450292397054 58.3647383669033,24.4358100748122 58.364074346445,24.4265215224734 58.3643675390616,24.417519797157 58.3656066951588,24.4091501767698 58.3677442849687,24.4017338330695 58.3706983113907,24.3955555604044 58.3743554384348,24.3908528635443 58.3785753184697,24.3878068189944 58.3831959562522,24.3865350626571 58.3880399080723,24.3870871813927 58.3929210817775,24.3894426988507 58.3976518792675,24.3935117494653 58.4020504083546,24.3991384319154 58.4059474864753,24.4061067284761 58.4091931650354,24.4141487738219 58.4116625202015,24.4229551605785 58.4132604832796,24.4321868838761 58.4139255205212,24.4414884576322 58.4136320169074,24.4505016849825 58.412391269379,24.4588795369377 58.4102510499855,24.4662995885595 58.4072937561584,24.4724764810051 58.4036332213208,24.4771729196343 58.3994103119097,24.4802087807027 58.3947874843625,24.4814679786498 58.3899425157607)))', 'EETTN', 'Tammetänava', 'Y'),('SRID=4326;MULTIPOLYGON(((24.9490724866111 59.5267786463921,24.9484251206122 59.5219002156321,24.9459174536441 59.5171796564596,24.9416465536093 59.512798278725,24.9357770428325 59.5089242971739,24.9285346968336 59.5057063912918,24.9201977357055 59.5032680213618,24.9110861475618 59.5017027146533,24.9015494519577 59.5010704982348,24.8919533643342 59.5013956114095,24.88266585937 59.5026655827734,24.8740431510176 59.5048317060713,24.8664161096787 59.507810897078,24.8600776223996 59.5114888623923,24.8552713703767 59.5157244620129,24.8521824499827 59.5203551025356,24.8509301998462 59.5252029583806,24.8515635186248 59.5300817861029,24.8540588679422 59.5348040728885,24.8583210551445 59.539188245874,24.8641867843579 59.5430656647628,24.8714308557749 59.5462871267666,24.8797747866273 59.5487286302145,24.8888975277263 59.5502961707869,24.8984478615795 59.550929381329,24.9080579964423 59.5506038711912,24.9173578190671 59.5493321722114,24.9259892402471 59.5471632536594,24.9336200631326 59.5441806253132,24.9399568249748 59.5404991038781,24.9447561072634 59.5362603707425,24.9478338747069 59.5316274963591,24.9490724866111 59.5267786463921)))', 'EETTR', 'Tammetõru', 'Y'),('SRID=4326;MULTIPOLYGON(((21.9005110393129 58.3906748544593,21.8994742088766 58.3858142436693,21.8966521866659 58.3811532017265,21.8921540269287 58.3768707359361,21.8861529849133 58.3731312535665,21.878879799162 58.3700782689685,21.8706138060635 58.3678289175731,21.8616722308283 58.3664694831629,21.8523980624678 58.36605210595,21.843146968739 58.3665927943472,21.8342737393843 58.3680708145014,21.8261187617912 58.3704294803306,21.8189950321491 58.3735783147293,21.8131761873029 58.3773965014853,21.8088860080862 58.3817374990497,21.8062897945647 58.3864346432684,21.8054879483472 58.3913075281362,21.8065120184328 58.3961689230315,21.8093233770565 58.4008319630051,21.8138145934038 58.4051173365702,21.8198134692959 58.4088601937768,21.8270895959669 58.4119165064859,21.8353631893027 58.4141686325915,21.844315867027 58.4155298658858,21.8536029498734 58.4159477922926,21.8628668039681 58.4154063197887,21.8717506969153 58.413926301601,21.8799126178911 58.4115647279943,21.8870385136405 58.4084125187577,21.8928544175519 58.4045910038919,21.8971369965257 58.4002472316201,21.8997221075654 58.3955482885199,21.9005110393129 58.3906748544593)))', 'EETTT', 'Tätte kai', 'Y'),('SRID=4326;MULTIPOLYGON(((26.140147579139 58.118326669963,26.1393589695354 58.1134532733574,26.136789474698 58.1087548986917,26.132538458762 58.1044120007267,26.1267697101067 58.1005913185849,26.1197050827666 58.0974394918197,26.1116159459627 58.0950774535981,26.1028127740208 58.0935958121384,26.0936332738676 58.0930513935252,26.0844294974036 58.0934650749978,26.0755544203348 58.0948209893965,26.0673484868844 58.097067130319,26.0601266209072 58.100117335428,26.0541661882889 58.1038545739997,26.0496963633857 58.1081354159483,26.0468893042276 58.1127955148883,26.0458534782366 58.1176558989074,26.0466294037327 58.1225298311012,26.049187984524 58.1272299788647,26.0534315180385 58.1315756174995,26.0591973550288 58.1353995906418,26.0662640847382 58.1385547577132,26.0743600178823 58.1409196770154,26.0831736454557 58.142403301711,26.0923656687555 58.142948503785,26.1015821293424 58.1425342867233,26.1104681204643 58.1411765992243,26.1186815363309 58.1389277176291,26.1259063139586 58.1358742215184,26.1318646441922 58.1321336426414,26.136327672748 58.1278499196149,26.1391242762799 58.1231878374417,26.140147579139 58.118326669963)))', 'EETUB', 'Tubaku', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1835417415949 58.4341988346017,23.182327133483 58.4293503362332,23.1793330663127 58.4247192236558,23.1746751873975 58.4204833455957,23.1685328619454 58.4168053134558,23.1611422248074 58.4138262782854,23.1527870926885 58.4116605358705,23.1437880879953 58.4103911627951,23.1344903875632 58.4100668468799,23.1252505564253 58.4107000303196,23.1164229576389 58.4122664347325,23.1083462434148 58.4147059858938,23.1013304301721 58.4179251038664,23.0956450406827 58.4218002733137,23.0915087604846 58.4261827607145,23.0890810038707 58.430904301655,23.0884557180488 58.4357835439642,23.0896576740774 58.4406330026166,23.0926414020719 58.4452662613334,23.0972928287637 58.4495051446585,23.1034335712393 58.4531865836655,23.1108277356451 58.4561689086402,23.1191909682847 58.4583373229538,23.1282014135214 58.4596083432492,23.1375121527991 58.4599330309307,23.1467646360349 58.4592988872054,23.1556025740013 58.4577303366504,23.1636857404402 58.4552877802213,23.1707031366429 58.4520652553811,23.1763849988499 58.4481867961308,23.1805131785231 58.4438016368343,23.1829294946022 58.4390784486764,23.1835417415949 58.4341988346017)))', 'EETUH', 'Tuhina', 'Y'),('SRID=4326;MULTIPOLYGON(((23.56053750996 59.1640520788095,23.5592415117633 59.159208284198,23.5561309832805 59.1545873389797,23.5513260708123 59.1503666952812,23.5450117995336 59.1467083726356,23.537430906301 59.1437527586747,23.5288744990456 59.1416132444656,23.5196709035024 59.1403718960458,23.510173120697 59.1400763240922,23.50074536582 59.1407378684761,23.4917491899604 59.1423311653277,23.4835297001279 59.144795112815,23.4764023898273 59.1480351998767,23.4706410722048 59.1519271113446,23.4664673707486 59.1563214749835,23.46404216934 59.1610495726177,23.4634593551607 59.165929800301,23.4647421061356 59.1707746328621,23.4678418814186 59.1753978273923,23.4726401717855 59.1796215893286,23.4789529602182 59.1832834244148,23.4865377356142 59.1862424102822,23.4951027990213 59.1883846425212,23.504318506885 59.1896276412979,23.5138300141864 59.1899235446832,23.5232710163011 59.189260962348,23.5322779453645 59.1876654161813,23.5405040572885 59.1851983504535,23.5476328504169 59.1819547509505,23.5533902858603 59.1780594675778,23.5575553311606 59.1736623859123,23.5599684202587 59.1689326379238,23.56053750996 59.1640520788095)))', 'EETUK', 'Tuksi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.20646651513 58.3573029775128,26.2056637519472 58.3524301396433,26.2030684058375 58.3477332150107,26.1987808434674 58.3433926012396,26.1929662630986 58.3395749478917,26.1858482809996 58.3364267762487,26.1777003131159 58.334068877324,26.1688350868953 58.3325916990208,26.1595926833725 58.3320518952957,26.1503275599156 58.3324701661545,26.1413950384182 58.3338304688922,26.133137761569 58.3360806298706,26.125872620861 58.3391343340396,26.1198786442069 58.3428744180848,26.1153862986628 58.3471573442628,26.1125686154093 58.3518186873428,26.1115344807496 58.3566794282195,26.1123243599088 58.3615528161662,26.1149086318539 58.366251538673,26.119188615858 58.3705949244059,26.1250002673981 58.3744159017975,26.1321204160965 58.3775674435112,26.1402753161663 58.3799282454705,26.1491511847985 58.3814074178109,26.1584063207466 58.3819480030011,26.1676843282429 58.3815291820641,26.1766279239122 58.3801670814495,26.1848927791219 58.3779141485065,26.1921608486435 58.3748571202924,26.1981526586823 58.3711136661776,26.202638072033 58.3668278369677,26.2054451128805 58.3621644998533,26.20646651513 58.3573029775128)))', 'EETUV', 'Tuvikese', 'Y'),('SRID=4326;MULTIPOLYGON(((26.798474858868 58.3600835146173,26.7975904959907 58.3552144581616,26.7949164026134 58.3505295990433,26.790555963306 58.3462088672343,26.7846771642494 58.3424181455377,26.777506074443 58.3393029192467,26.7693181354226 58.3369827141225,26.7604275975656 58.3355465320497,26.7511755056421 58.3350494553839,26.7419166858855 58.3355105467567,26.733006220532 58.3369121225402,26.7247859129082 58.3392004269787,26.7175712464481 58.3422876819054,26.7116393245023 58.3460554357029,26.7072182447259 58.3503590864896,26.7044783127844 58.3550334100767,26.7035254360848 58.3598988846656,26.7043969606691 58.364768573007,26.7070601253599 58.3694553001063,26.7114132093794 58.3737788516093,26.7172893463239 58.3775729154404,26.7244628724796 58.3806914974972,26.7326579754024 58.3830145611332,26.7415593140767 58.3844526692807,26.7508241994047 58.3849504463562,26.7600958574699 58.3844887230966,26.7690172515166 58.3830852793293,26.7772449144221 58.3807941551941,26.784462242979 58.3777035581317,26.7903917285597 58.3739324485695,26.7948056444273 58.3696259392737,26.7975347755575 58.3649496896147,26.798474858868 58.3600835146173)))', 'EETYA', 'Tartu inertmaterjalide sadam', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8740265919854 59.4968065347499,24.8733905465445 59.4919277779223,24.8708955222632 59.4872058336033,24.866638100792 59.4828220655339,24.8607823871361 59.4789447808919,24.8535536282073 59.475722786497,24.8452295242715 59.4732796999159,24.8361295720204 59.471709229581,24.8266028464717 59.4710716006564,24.8170146820991 59.4713912599118,24.8077327504946 59.4726559448896,24.7991130518396 59.4748171518285,24.7914863402327 59.477791984863,24.7851454884517 59.4814663176663,24.7803342662489 59.4856991496662,24.777237958324 59.4903279939097,24.7759761845733 59.4951750941854,24.7765982074535 59.5000542366171,24.7790809212725 59.5047778969424,24.7833296185339 59.5091644501748,24.7891815224155 59.5130451651212,24.7964119660127 59.5162707127296,24.8047429925881 59.5187169344885,24.813854051543 59.5202896446624,24.823394376964 59.5209282770916,24.8329965639161 59.5206082322313,24.8422908059929 59.5193418312442,24.850919228853 59.5171778391391,24.8585497502175 59.5141995757985,24.8648889173113 59.5105216897826,24.8696932168645 59.5062857226078,24.8727784180902 59.5016546385284,24.8740265919854 59.4968065347499)))', 'EETYB', 'Telliranna', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8352295164672 59.619446702581,25.8344521394314 59.6145726063758,25.8318134886233 59.6098689665113,25.8274156572053 59.6055164359493,25.8214281283491 59.6016821158562,25.814081189812 59.5985131589987,25.8056570554302 59.5961311448594,25.7964790389893 59.594627438057,25.7868991935332 59.5940597038019,25.7772848813745 59.5944497102761,25.7680047758781 59.5957824996099,25.7594148149015 59.5980069581748,25.7518446273315 59.6010377649635,25.7455849384234 59.604758645581,25.7408764268864 59.6090268105561,25.7379004573929 59.613678411964,25.736772047352 59.6185348133257,25.737535347782 59.6234094358979,25.7401618269389 59.6281149211027,25.744551244682 59.6324703350425,25.7505353987466 59.6363081375836,25.7578845151608 59.6394806457883,25.7663160485302 59.6418657395136,25.7755055586425 59.6433715853009,25.7850992426453 59.6439401922982,25.7947276314286 59.6435496594558,25.8040199085852 59.6422150247788,25.8126182832306 59.6399876828329,25.8201918455746 59.6369533935946,25.8264493565869 59.6332289616308,25.8311504691272 59.6289577170729,25.8341149449554 59.6243039766832,25.8352295164672 59.619446702581)))', 'EETYC', 'Turbuneeme', 'Y'),('SRID=4326;MULTIPOLYGON(((21.9676518534055 58.4956495951644,21.9666025224822 58.4907896435739,21.9637630784971 58.4861302068216,21.9592432484733 58.4818502296254,21.9532171217238 58.4781140226559,21.9459163998985 58.4750649735135,21.9376214746621 58.4728200657315,21.9286506785606 58.4714654119841,21.9193481181315 58.4710529687917,21.9100705467238 58.4715985553479,21.9011737668539 58.4730812502637,21.8929990676651 58.4754441887069,21.8858602019281 58.478596730339,21.88003138902 58.4824179173601,21.8757367957425 58.4867610935861,21.8731418962938 58.4914595114845,21.8723470472057 58.4963327160798,21.8733835340988 58.501193464073,21.8762122568092 58.505854914677,21.8807251205295 58.5101378165836,21.8867490965049 58.5138774138625,21.8940528105249 58.5169298027692,21.9023554153935 58.5191774913217,21.9113374094115 58.5205339434979,21.9206529812588 58.5209469289823,21.929943396712 58.520400546022,21.9388508978622 58.5189158372517,21.947032563347 58.5165499740953,21.9541735798419 58.513394042153,21.95999940054 58.5095695153688,21.9642863141797 58.5052235583751,21.9668700157193 58.5005233420507,21.9676518534055 58.4956495951644)))', 'EETYD', 'Türdu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0373404897275 58.3078838240522,24.0360141154082 58.3030445845637,24.0329203546209 58.2984344713507,24.0281786668248 58.2942305214311,24.0219716152309 58.2905941167941,24.0145377991092 58.2876648089834,24.0061626747803 58.2855549856203,23.9971676194438 58.284345579364,23.987897652942 58.284082979978,23.9787082783519 58.2847772648026,23.9699519320375 58.2864018136409,23.9619645469535 58.2888943225337,23.9550527293295 58.2921591788587,23.9494820284254 58.2960711093861,23.9454667421545 58.3004799650742,23.9431616486738 58.3052164631858,23.9426559866328 58.310098670316,23.9439699262347 58.3149389806102,23.9470536818144 58.3195513230577,23.9517893171143 58.3237583212607,23.957995190363 58.327398129157,23.9654328816863 58.3303306770874,23.9738163448025 58.3324430841516,23.9828229330079 58.3336540243446,23.9921058706832 58.3339168743745,24.0013076800045 58.3332215187426,24.0100740315296 58.3315947406668,24.0180674691006 58.3290991834882,24.0249804650535 58.3258309239033,24.0305472907421 58.3219157532579,24.0345542382225 58.3175043138716,24.0368477988437 58.3127662818258,24.0373404897275 58.3078838240522)))', 'EETYE', 'Tõstamaa sadam', 'Y'),('SRID=4326;MULTIPOLYGON(((26.7844989908064 58.3780887174397,26.7836161081685 58.3732195792556,26.7809425107638 58.3685344419233,26.7765815650569 58.3642132461239,26.7707012774987 58.3604218924407,26.7635277748325 58.3573058903421,26.7553365915103 58.3549847952479,26.7464421023994 58.3535476430683,26.7371855035773 58.3530495532704,26.7279217936697 58.3535096272831,26.719006241887 58.354910220491,26.7107808460711 58.3571976148801,26.7035612843817 58.3602840673063,26.6976248477458 58.3640511571031,26.6931998071195 58.3683543080612,26.6904566205652 58.3730283153754,26.6895013210975 58.3778936695712,26.6903713486698 58.3827634381631,26.6930340005882 58.3874504431572,26.6973875767378 58.3917744595385,26.7032651926173 58.3955691573162,26.7104411282256 58.3986885179141,26.7186394787207 58.4010124746112,26.7275447780997 58.4024515558435,26.7368141845184 58.4029503484626,26.7460907495073 58.402489644041,26.7550172467829 58.4010871831685,26.76325001215 58.3987969681948,26.7704722455027 58.3957071716728,26.7764062491809 58.3919367233778,26.7808241226275 58.3876307108196,26.7835564989199 58.3829547744554,26.7844989908064 58.3780887174397)))', 'EETYR', 'Turusadam', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6553468649837 58.2948771833163,24.6547589256559 58.2899968754607,24.6523746449252 58.2852707113874,24.6482862964122 58.2808802232472,24.6426514533716 58.2769939850263,24.6356868634524 58.2737611571944,24.6276600884596 58.2713057827649,24.6188792349822 58.2697220496797,24.6096811685184 58.2690706971414,24.6004186557239 58.2693767000742,24.5914469155876 58.2706283178788,24.5831100800448 58.2727775427484,24.5757280674664 58.2757419307505,24.5695843585767 58.279407747396,24.5649151338999 58.2836343102482,24.5619001853503 58.28825936595,24.5606559529959 58.2931052994851,24.5612309626965 58.2979859410182,24.5636038532038 58.3027137116065,24.5676840849534 58.3071068345227,24.5733153203951 58.3109963346603,24.5802813611073 58.3142325549528,24.5883144244184 58.3166909359151,24.5971054464018 58.3182768318876,24.6063160134956 58.318929174387,24.6155914559334 58.318622837776,24.6245745863019 58.3173696134538,24.6329195386043 58.3152177538054,24.6403051587674 58.3122501038851,24.6464474168478 58.3085808947797,24.6511103531977 58.3043513253972,24.6541151332452 58.299724106811,24.6553468649837 58.2948771833163)))', 'EEUJL', 'Ura jõe lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2795669729104 58.4551630513299,23.2783383819682 58.4503155742846,23.2753299067225 58.4456868182613,23.2706577474429 58.4414545407231,23.2645018164302 58.4377812141909,23.2570987689988 58.4348078086291,23.2487328960503 58.4326484035316,23.2397252301115 58.431385832288,23.2304212787017 58.4310685219158,23.221177845722 58.4317086461302,23.2123494323068 58.4332816605993,23.2042747226992 58.4357272377796,23.1972636579647 58.4389515666743,23.191585580777 58.442830931948,23.1874588983904 58.4472164387874,23.18504265891 58.4519397064003,23.1844303691204 58.4568193156739,23.1856463020152 58.4616677667399,23.1886444509345 58.4662986812586,23.1933101876974 58.470533973156,23.199464577775 58.4742107110026,23.2068712004498 58.4771874054929,23.2152452205251 58.479349476423,23.2242643651487 58.4806136845536,23.2335813792737 58.4809313536656,23.2428374703155 58.4802902554287,23.2516762100612 58.4787150824614,23.2597573421767 58.4762664909194,23.2667699478298 58.4730387507094,23.2724444497595 58.4691560965088,23.2765629850152 58.4647679238398,23.2789677458196 58.4600430193425,23.2795669729104 58.4551630513299)))', 'EEULE', 'Ulle', 'Y'),('SRID=4326;MULTIPOLYGON(((26.4804771970233 58.3632014146267,26.4796365504549 58.3583302656312,26.4770043837866 58.3536388660104,26.4726824750594 58.3493073991974,26.4668373367222 58.3455021619507,26.4596937524116 58.3423691978902,26.4515261148187 58.3400287139436,26.4426479010612 58.3385704898993,26.4333996869022 58.3380504530727,26.4241361511472 58.3384885459592,26.4152125556089 58.3398679662626,26.4069712035443 58.3421358075358,26.3997283801645 58.3452050765798,26.3937622626859 58.348958012455,26.3893022546918 58.3532505832027,26.3865201508973 58.3579179918286,26.3855234747129 58.3627809843723,26.3863512537459 58.3676527214537,26.3889724095755 58.3723459518408,26.3932868404595 58.3766802133833,26.3991291723842 58.3804887838512,26.406275048967 58.3836251121722,26.4144497285426 58.3859684792402,26.4233386619168 58.3874286663369,26.4325996413608 58.3879494472896,26.4418760446669 58.3875107663161,26.4508106510509 58.3861295152437,26.4590594809529 58.3838588792381,26.46630511073 58.3807862769716,26.4722689359207 58.377029976837,26.476721901925 58.3727345229707,26.4794932861087 58.3680651512952,26.4804771970233 58.3632014146267)))', 'EEULI', 'Ulila', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6043277649104 58.2818959414985,24.6037470221538 58.2770154425575,24.6013703916762 58.2722883740447,24.5972898531893 58.2678963032713,24.5916626804574 58.2640078653728,24.5847053274693 58.2607723055568,24.5766850793156 58.2583137718759,24.5679097932394 58.256726573568,24.5587161221193 58.2560715827448,24.5494566646863 58.256373913784,24.5404865230037 58.2576219667799,24.5321497674989 58.2597678705166,24.5247663128285 58.2627293083609,24.5186196940355 58.2663926589901,24.5139462020744 58.2706173346834,24.5109257913704 58.275241154717,24.5096751105616 58.2800865518177,24.5102429323258 58.2849673771286,24.5126081711475 58.2896960450607,24.5166805815894 58.294090744806,24.5223041273091 58.2979824409929,24.5292629065009 58.3012213923689,24.5372894169508 58.3036829345471,24.5460748480399 58.3052723002727,24.5552810024025 58.3059282874636,24.564553380844 58.3056256300539,24.5735349141913 58.3043759776361,24.5818797977373 58.3022274449246,24.5892668794057 58.2992627487904,24.5954120719789 58.2955960066018,24.600079301635 58.2913683224137,24.6030895673299 58.2867423349653,24.6043277649104 58.2818959414985)))', 'EEULU', 'Uulu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6202343083815 58.9500318638344,23.6189387980547 58.9451885238051,23.6158403807108 58.9405687895664,23.6110587272969 58.936350067375,23.6047779622419 58.9326943041636,23.5972395319248 58.9297417908331,23.5887329140884 58.9276058010596,23.5795845269632 58.9263682670732,23.5701452591647 58.92607665422,23.5607770883472 58.9267421509132,23.5518392872316 58.9283392414125,23.5436747294524 58.9308066774376,23.536596804452 58.9340498126283,23.5308774304277 58.9379442130543,23.52673661741 58.9423404090653,23.5243339795537 58.9470696104293,23.5237625277231 58.9519501695212,23.5250449920084 58.95679454774,23.5281328311225 58.9614165196186,23.5329079845572 58.9656383382406,23.5391873174483 58.9692975852703,23.5467296014548 58.9722534394272,23.5552447721479 58.9743921184243,23.564405109203 58.9756312806211,23.5738579047341 58.9759232127904,23.5832391216084 58.9752566779059,23.5921875009578 58.9736573497636,23.6003585587066 58.9711868173053,23.6074379158533 58.9679401982957,23.6131534361728 58.9640424570449,23.6172856963299 58.9596435718134,23.6196763842659 58.9549127422417,23.6202343083815 58.9500318638344)))', 'EEUMO', 'Uuemõisa', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2255727823363 58.4581830495958,23.2243514945112 58.4533350103433,23.2213498153877 58.4487049457256,23.2166836850674 58.4444706638202,23.2105327854807 58.4407947143667,23.2031335800213 58.4378181681556,23.1947702132776 58.4356552252362,23.1857636224914 58.4343888546707,23.1764592744315 58.4340676290951,23.1672139882628 58.4347038722527,23.1583823358087 58.4362731885488,23.1503031247892 58.4387153922325,23.1432864679413 58.4419368017557,23.1376019214068 58.4458138139424,23.1334681397186 58.4501976245441,23.1310444427715 58.4549199182375,23.1304246233632 58.4597993137241,23.1316332438207 58.4646483197834,23.1346245790237 58.4692805371583,23.1392842636376 58.4735178300342,23.1454335970345 58.4771971902792,23.1528363542622 58.4801770278406,23.1612078500112 58.4823426415907,23.170225909473 58.4836106558569,23.1795433198752 58.4839322477641,23.188801273426 58.4832950377981,23.1976432698049 58.4817235687418,23.205728926522 58.479278354085,23.2127471495433 58.4760535337697,23.2184281442949 58.4721732302342,23.2225537969736 58.4677867488046,23.2249660252538 58.4630628114132,23.2255727823363 58.4581830495958)))', 'EEUND', 'Undu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1945751235172 58.4591945373106,23.193358056921 58.4543461765634,23.1903603450202 58.449715361635,23.1856977760046 58.4454799296274,23.1795498956849 58.441802474593,23.172153052245 58.4388241252038,23.1637913002772 58.4366591507305,23.1547855155813 58.435390598148,23.1454811343066 58.4350671237271,23.1362349769439 58.435701137386,23.1274016485289 58.4372683289718,23.1193200206447 58.4397085941941,23.1123002981706 58.4429283258831,23.1066121542397 58.4468039853176,23.1024743808546 58.4511868203077,23.1000464506926 58.4559085531803,23.0994223188697 58.4607878244084,23.1006267133846 58.4656371477937,23.1036140717834 58.4702701121219,23.1082701821022 58.4745085530651,23.1144164818102 58.478189418488,23.1218168633608 58.4811710605182,23.1301867335198 58.4833387086099,23.1392039805671 58.4846089087534,23.1485214233125 58.484932753851,23.1577802527711 58.4842977775524,23.1666239346924 58.4827284365639,23.1747120212647 58.4802851624035,23.181733324334 58.4770620203252,23.1874179301396 58.4731830682512,23.1915475853293 58.4687975596457,23.1939640531487 58.4640741792147,23.1945751235172 58.4591945373106)))', 'EEUNG', 'Unguma', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0536641479371 58.5056176275818,22.0526026285421 58.5007584267221,22.0497509978698 58.4961009397312,22.0452194503468 58.4918240357953,22.0391825239097 58.4880919070536,22.0318723330661 58.485047784196,22.0235696310373 58.4828084615236,22.0145930470834 58.4814598374169,22.0052869085363 58.4810536372243,21.9960081053825 58.4816054408901,21.9871124874981 58.4830940887924,21.9789413002858 58.4854624879325,21.9718081632178 58.4886197885494,21.9659870776852 58.4924448501468,21.9617019158649 58.4967908675625,21.9591177916599 58.5014909837413,21.958334649154 58.5063646779004,21.9593833249683 58.5112246872607,21.9622242505071 58.5158841987314,21.9667488611019 58.5201640349185,21.9727836749024 58.5238995572745,21.9800968990341 58.5269470184629,21.9884073184885 58.5291891159515,21.9973951290986 58.5305395289188,22.0067142943742 58.5309462596778,22.016005941124 58.5303936475101,22.0249122641475 58.5289029751251,22.0330903882803 58.5265316437311,22.0402256379687 58.5233709494989,22.0460436901979 58.5195425495721,22.0503211345871 58.515193757343,22.0528940321435 58.5104918523064,22.0536641479371 58.5056176275818)))', 'EEUNV', 'Undva', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5193049061172 58.2444462367915,22.5181880024292 58.2395910154084,22.5152969355912 58.2349439344909,22.5107433977489 58.2306834614946,22.5047027546735 58.2269731568919,22.4974072496277 58.223955414078,22.489137062693 58.2217460163953,22.4802095714462 58.2204297160242,22.4709672214158 58.2200570003425,22.4617644622495 58.2206421664882,22.4529542370589 58.2221627758896,22.4448745274014 58.2245605091258,22.4378354545589 58.2277433893916,22.4321074192029 58.2315892917973,22.4279107264882 58.2359506074767,22.4254070927217 58.2406598876706,22.424693364038 58.2455362552087,22.425797698521 58.2503923405784,22.428678373051 58.25504147832,22.4332252776162 58.2593048878458,22.4392640563033 58.263018561624,22.4465627496892 58.2660395933331,22.4548406922998 58.268251698926,22.4637793258278 58.2695697139668,22.4730345084318 58.2699428900342,22.4822498368178 58.2693568599006,22.4910704543211 58.2678341936723,22.4991567972479 58.265433523904,22.5061977344629 58.2622472744618,22.5119225814642 58.2583980831623,22.5161115184983 58.2540340595756,22.5186040099914 58.2493230647146,22.5193049061172 58.2444462367915)))', 'EEURE', 'Kuressaare', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9298060528471 57.8530345127366,26.9289162784618 57.8481659779896,26.9262626674341 57.8434834968857,26.9219477946886 57.8391669092431,26.916137878657 57.8353819411768,26.9090563329407 57.8322738603866,26.9009751593183 57.8299619219631,26.8922045160223 57.8285348138476,26.8830808589055 57.828047272677,26.8739541020418 57.8285179964217,26.8651742774703 57.8299289315929,26.8570781905803 57.8322259615419,26.8499765677795 57.8353209702286,26.8441421765726 57.8390952045551,26.8397993652963 57.8434038096689,26.8371154210915 57.8480813672386,26.8361940812501 57.8529482281828,26.8370714563163 57.8578174001784,26.8397145352908 57.862501727758,26.844022346657 57.8668210899949,26.8498297470156 57.8706093383677,26.8569137057567 57.87372070578,26.8650018537438 57.8760354367827,26.8737829709619 57.8774644182889,26.8829190069972 57.8779526284544,26.8920581631944 57.8774812674601,26.9008485198254 57.8760684858105,26.9089516680887 57.8737686812647,26.9160558065481 57.8706703922703,26.9218877847155 57.8668928713227,26.926223621621 57.8625814736323,26.9288970919097 57.8579020426746,26.9298060528471 57.8530345127366)))', 'EEURM', 'Urmase', 'Y'),('SRID=4326;MULTIPOLYGON(((27.383353505872 59.0008659421151,27.3823704490489 58.9960016363821,27.3795677583519 58.991329709434,27.3750537788963 58.9870295875901,27.3690024024902 58.9832663548879,27.3616463211255 58.9801844344614,27.3532680635681 58.9779020682135,27.3441891626398 58.9765068024045,27.3347578656765 58.9760521481646,27.3253358502886 58.976555541502,27.316284440971 58.9779976787236,27.3079508387426 58.9803232519791,27.3006548755761 58.9834430576123,27.2946767879105 58.9872373988815,27.2902464692973 58.9915606561162,27.2875346117979 58.9962468531841,27.2866460801093 59.0011160108532,27.2876157830309 59.0059810466986,27.2904072158637 59.0106549589394,27.2949137473988 59.014958019014,27.3009626197079 59.0187246955666,27.308321522029 59.0218100411684,27.3167074961349 59.0240952924645,27.3257978344304 59.0254924639712,27.3352425483427 59.0259477544328,27.3446779176489 59.0254436309817,27.3537405848373 59.0239995084645,27.3620816349788 59.0216709969755,27.3693801022253 59.0185477474908,27.3753553689178 59.0147499810474,27.3797779709759 59.0104238387677,27.3824783911154 59.0057357360048,27.383353505872 59.0008659421151)))', 'EEUSA', 'Uusküla, Alajõe v', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5074877446088 58.4039330172827,24.5069188315285 58.3990522511707,24.5045474267171 58.3943235030197,24.5004653156275 58.3899284049055,24.4948298382395 58.3860357080519,24.4878577718092 58.3827948206556,24.4798169686998 58.3803300944994,24.4710160753546 58.3787360756157,24.4617927255619 58.3780738970548,24.4525006534572 58.3783689484267,24.443496208148 58.3796099089251,24.4351247717821 58.3817491796738,24.4277075859962 58.3847046991884,24.4215294779576 58.3883630742605,24.4168279468642 58.3925839093811,24.4137840253578 58.3972051725972,24.4125152687301 58.4020493960677,24.4130711494322 58.4069304770306,24.4154310471705 58.4116608207303,24.4195049283376 58.4160585521835,24.4251367058857 58.4199545192652,24.4321101658289 58.4231988159164,24.4401572436578 58.4256665713261,24.4489683376617 58.4272627782849,24.458204261094 58.4279259706272,24.4675093655934 58.4276306044038,24.4765253179846 58.4263880483542,24.4849049842693 58.4242461442635,24.4923258698809 58.4212873545193,24.4985025843901 58.4176255701929,24.5031978407551 58.4134017058213,24.5062315616064 58.4087782545331,24.5074877446088 58.4039330172827)))', 'EEUSG', 'Uus-Sauga', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5571787487688 59.5885509291722,25.5564422862125 59.5836753448413,25.5538449078761 59.5789662703006,25.5494871234688 59.5746045694618,25.5435368825428 59.5707576974645,25.5362230471866 59.5675732902313,25.5278265671982 59.5651735208965,25.518669701302 59.5636504354281,25.5091036958387 59.5630624420472,25.4994953848523 59.5634320853138,25.4902132116301 59.5647451875959,25.481613190902 59.5669513897301,25.4740253328144 59.5699660707253,25.4677410344252 59.5736735750919,25.4630019120735 59.5779316274904,25.4599904990858 59.5825767695842,25.4588231688108 59.5874306148198,25.4595455643193 59.5923066848558,25.4621307252507 59.5970175678035,25.466480001883 59.6013821244379,25.4724267398968 59.6052324648515,25.479742610494 59.6084204250867,25.4881463540338 59.610823291097,25.4973146059838 59.6123485454728,25.5068943865786 59.6129374497958,25.5165167646316 59.6125673208231,25.525811155268 59.6112524101311,25.5344196837654 59.6090433521981,25.5420110447478 59.606025202785,25.5482933078772 59.6023141454173,25.5530251666683 59.5980529963462,25.5560251936079 59.5934056853483,25.5571787487688 59.5885509291722)))', 'EEUSI', 'Uusaia', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0620482776936 59.5077361323355,25.0613848983921 59.5028581698749,25.058862770768 59.4981396937863,25.0545795159202 59.4937619331387,25.0487002277754 59.4898929632297,25.0414510542222 59.4866812708566,25.0331104746915 59.484250077793,25.0239986140984 59.4826926361017,25.0144650013467 59.4820686714329,25.0048752335842 59.4824021069167,24.9955970440722 59.4836801522296,24.9869862912797 59.4858537915698,24.9793733893401 59.4888396523219,24.9730506852993 59.4925231848671,24.9682612568613 59.4967630349889,24.965189556143 59.5013964453443,24.9639542611668 59.5062454830805,24.9646036188455 59.5111238583943,24.9671134729899 59.5158440749522,24.9713880710249 59.5202246387153,24.9772636369461 59.5240970476376,24.9845145895434 59.5273122913637,24.9928621785467 59.5297466074584,25.0019852119143 59.5313062684051,25.0115324597877 59.5319312106915,25.0211362491918 59.5315973623537,25.0304267121933 59.5303175765685,25.0390461217937 59.5281411341097,25.04666274594 59.5251518343425,25.0529836709179 59.5214647504452,25.0577660898735 59.5172217772952,25.0608266178223 59.5125861476875,25.0620482776936 59.5077361323355)))', 'EEUSK', 'Uusküla', 'Y'),('SRID=4326;MULTIPOLYGON(((21.9326225569451 58.473662671835,21.931578744258 58.4688024027282,21.9287457289487 58.4641421581784,21.9242329906272 58.4598609142723,21.9182143462773 58.45612303065,21.9109212107384 58.4530719595567,21.9026336852926 58.4508247623288,21.8936698195157 58.4494676395972,21.8843734550485 58.4490526426161,21.8751011083805 58.4495956884724,21.8662083821179 58.4510759531048,21.8580364099936 58.4534366647505,21.850898839784 58.4565872683548,21.8450698403516 58.4604068803826,21.8407735845149 58.4647489050744,21.8381756089638 58.4694466391745,21.8373763870069 58.4743196541327,21.8384073710584 58.4791807141851,21.8412296715458 58.4838429668626,21.8457354400923 58.4881271303598,21.8517519208006 58.4918684005559,21.85904802823 58.4949228096307,21.867343208658 58.4971727880703,21.8763182471086 58.4985317118288,21.8856276010009 58.4989472554613,21.8949127763198 58.4984034186581,21.9038162174099 58.4969211458952,21.9119951593018 58.4945575146557,21.9191348931368 58.4914035244766,21.9249609206635 58.4875805744685,21.9292495215123 58.4832357685679,21.9318363243972 58.4785362334436,21.9326225569451 58.473662671835)))', 'EEUUD', 'Uudepanga', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5781427380366 59.5635429162413,25.577403735572 59.5586674224386,25.5748052990381 59.553958742413,25.570447977298 59.5495977248729,25.5644997008077 59.5457517987604,25.5571892552433 59.5425685638046,25.5487974597495 59.5401701483164,25.5396463932361 59.5386485464996,25.5300870799452 59.5380621098189,25.5204860979571 59.5384333232276,25.5112116103827 59.5397479488948,25.5026193381066 59.5419555691574,25.4950389948238 59.5449715084662,25.4887616897278 59.5486800628198,25.4840287708014 59.5529389163019,25.4810225327755 59.5575845795273,25.4798591493633 59.5624386456556,25.4805841107469 59.567314627639,25.4831703564838 59.5720251168311,25.4875191936476 59.5763889890948,25.4934639834832 59.5802383808831,25.5007764711298 59.5834251648495,25.5091755265582 59.5858266723779,25.5183379656015 59.5873504385291,25.5279110326518 59.5879377823373,25.5375260557397 59.5875660807469,25.5468127341202 59.5862496459103,25.555413490967 59.5840391709208,25.5629973208872 59.5810197659347,25.5692725838823 59.5773076625716,25.5739982428648 59.573045717052,25.5769931083664 59.5683978894955,25.5781427380366 59.5635429162413)))', 'EEUUE', 'Uuetoa', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5950355380316 59.4895361552182,25.5942955609042 59.4846606999522,25.5917003043839 59.4799523157514,25.5873501913331 59.4755918401493,25.5814128723354 59.4717466816648,25.5741167105087 59.4685644110782,25.5657419762139 59.4661671202553,25.5566100944188 59.4646467607652,25.5470713551352 59.4640616367983,25.5374915496818 59.4644341831398,25.5282380315214 59.4657501107819,25.5196657194881 59.4679589518365,25.5121035630716 59.4709759834392,25.5058419740386 59.4746854590629,25.5011216962987 59.4789450267725,25.4981245370933 59.4835911691479,25.496966318219 59.4884454604656,25.4976923274964 59.4933214047428,25.5002754600444 59.4980315947332,25.5046171387635 59.5023949179886,25.5105509971219 59.5062435324616,25.5178491988562 59.5094293412293,25.5262311630523 59.5118297137695,25.5353743640574 59.5133522293491,25.5449267886113 59.5139382555319,25.5545205619331 59.5135652201782,25.5637862040749 59.5122474867436,25.5723669504343 59.5100357980325,25.579932567473 59.5070153104397,25.5861921165798 59.5033022966359,25.5909051644093 59.499039647212,25.5938910044103 59.4943913487502,25.5950355380316 59.4895361552182)))', 'EEUUR', 'Uuri', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3205211134895 58.4221481530097,23.3192881651585 58.4173010764199,23.3162772628614 58.4126732772574,23.3116046981629 58.4084424761104,23.3054503971895 58.4047710888213,23.2980509513466 58.4018000110414,23.2896905125404 58.3996432331407,23.2806899046457 58.3983834879487,23.2713943648643 58.39806909429,23.2621603753623 58.3987121141494,23.2533420762556 58.400287892167,23.2452777650723 58.4027359947022,23.2382769850286 58.4059625136533,23.2326086848368 58.4098436493122,23.2284908966237 58.4142304385001,23.226082326525 58.4189544507428,23.2254761856808 58.4238342379003,23.2266965092645 58.4286822929096,23.2296971199907 58.4333122523997,23.2343632930925 58.4375460668927,23.2405160755077 58.4412208617921,23.2479191070213 58.4441952226691,23.2562876898444 58.4463546593315,23.2652997602502 58.4476160341767,23.2746083359718 58.4479307802798,23.2838549502356 58.4472867819993,23.2926835409171 58.4457088436512,23.3007542436885 58.4432577277674,23.3077565422739 58.4400278012053,23.3134212567805 58.4361433824509,23.3175309009727 58.4317539345042,23.319928008569 58.4270282926108,23.3205211134895 58.4221481530097)))', 'EEUUU', 'Uue-Udriku', 'Y'),('SRID=4326;MULTIPOLYGON(((24.2338558293571 59.395045347914,24.2333134898046 59.3901642475133,24.2309150840859 59.3854308750875,24.226753484668 59.3810270385674,24.2209891247834 59.3771218202781,24.2138437564644 59.3738651027593,24.2055918938931 59.3713818381917,24.1965502760919 59.3697672771947,24.187065751989 59.369083335706,24.1775020447217 59.3693562354287,24.1682258896381 59.3705755055219,24.1595930611973 59.3726943824826,24.1519348075349 59.3756315932287,24.1455451978335 59.379274454977,24.1406698570261 59.3834831763292,24.137496515292 59.3880961987071,24.1361477371495 59.392936377523,24.1366761180598 59.3978177697242,24.1390621472427 59.4025527699285,24.143214836444 59.4069593223912,24.148975108932 59.4108679313103,24.1561218349468 59.4141281979538,24.1643802936135 59.4166146298188,24.1734327417164 59.418231494093,24.1829306815111 59.4189165241848,24.1925083474393 59.418643332661,24.2017968790692 59.4174224347865,24.2104386177227 59.41530084188,24.2181009587657 59.4123602405023,24.2244892107524 59.40871382963,24.2293579554539 59.4045019409831,24.2325204668903 59.3998866153313,24.2338558293571 59.395045347914)))', 'EEUVL', 'Uuevälja I', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9687827448428 57.8350201323473,26.9678881570242 57.8301518569017,26.9652308147643 57.8254701772643,26.9609134351134 57.8211549022721,26.9551023315422 57.8173717075355,26.9480209621498 57.8142657926765,26.9399413211335 57.8119563297394,26.9311735074796 57.8105319118143,26.9220538684582 57.8100471724838,26.9129321643733 57.8105207023716,26.904158234118 57.8119343404254,26.8960686578262 57.8142338663082,26.8889739130059 57.8173310681237,26.883146503986 57.8211071084243,26.8788105115915 57.8254170627661,26.876132961272 57.8300954606876,26.8752173444517 57.8349626204847,26.8760995511011 57.8398315380219,26.8787463835152 57.8445150673347,26.883056724671 57.8488331179903,26.8888653326463 57.8526195918094,26.8959491292771 57.8557287899596,26.9040357508439 57.858041040545,26.9128140356364 57.8594673260809,26.9219460422473 57.8599527286571,26.9310801275159 57.8594785566766,26.9398645676231 57.8580630689447,26.947961182404 57.8557607673959,26.9550584228057 57.8526602864967,26.9608834045727 57.848880962906,26.9652124164106 57.8445682209185,26.9678794955974 57.839887955389,26.9687827448428 57.8350201323473)))', 'EEVAG', 'Vagula', 'Y'),('SRID=4326;MULTIPOLYGON(((26.6757324120052 58.5511293283992,26.6748603243595 58.5462595869525,26.6721881383856 58.5415723117271,26.6678191751929 58.5372475255636,26.6619217566336 58.5334512664162,26.6547226723824 58.5303292311499,26.6464984411819 58.5280012055748,26.6375647055439 58.5265564903534,26.6282641641914 58.5260504941337,26.618953496497 58.5265026210618,26.609989767135 58.5278955313138,26.6017168165084 58.5301758021207,26.5944521429741 58.5332559646925,26.5884747664533 58.5370178411919,26.5840145299546 58.5413170572135,26.581243246431 58.5459885607537,26.5802680342079 58.5508529400243,26.5811271064205 58.5557233011332,26.5837881905077 58.5604124439322,26.5881496555203 58.5647400612604,26.5940443211373 58.5685396841448,26.601245816798 58.5716651036224,26.609477256648 58.5739960186672,26.6184219007254 58.5754426887205,26.6277353895949 58.5759494075285,26.6370590727385 58.5754966609371,26.6460339039941 58.5741018831088,26.6543143527947 58.5718187811344,26.6615817792555 58.5687352548243,26.6675567443509 58.5649699941147,26.6720097721931 58.5606678886262,26.6747701472834 58.5559944302568,26.6757324120052 58.5511293283992)))', 'EEVAM', 'Valgma', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8159537939942 59.4478278792552,24.8153268851194 59.4429488608614,24.8128434376905 59.4382258445372,24.8085995869059 59.4338402358349,24.8027589158757 59.429960413276,24.7955460942865 59.4267352817215,24.7872382118999 59.4242885796322,24.7781541447873 59.4227141544908,24.7686423606601 59.4220723833075,24.7590676228607 59.42238787168,24.7497970895081 59.4236485169104,24.7411863243228 59.4258059698692,24.7335657384893 59.4287774783458,24.7272279685349 59.4324490432628,24.722416663831 59.4366797700798,24.7193171094865 59.4413072526344,24.7180490470006 59.4461537871767,24.7186619774323 59.4510331819274,24.7211331419901 59.455757903453,24.7253682754294 59.4601462866003,24.731205121778 59.4640295304645,24.7384195936258 59.467258209322,24.7467343499784 59.4697080446672,24.7558294682675 59.4712847120071,24.7653547983394 59.4719274929763,24.7749435146008 59.471611628246,24.7842263308344 59.4703492778115,24.7928458133602 59.4681890504044,24.8004702238588 59.4652141206209,24.8068063435359 59.4615390084017,24.8116107742639 59.4573051483315,24.8146992774364 59.4526754235817,24.8159537939942 59.4478278792552)))', 'EEVAN', 'Vanasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7345872693116 58.4718494848029,24.7339860007127 58.466969574689,24.7315796764317 58.4622448591176,24.7274614239305 58.4578568133523,24.7217899695112 58.453973916063,24.7147834681844 58.4507451978592,24.7067110892884 58.4482945425633,24.6978826858148 58.4467159559041,24.6886369423523 58.4460699789824,24.6793284486775 58.4463813803933,24.6703141822465 58.4476382128722,24.6619399025282 58.4497922694319,24.6545269629702 58.4527609219143,24.6483600323581 58.456430273419,24.6436761866759 58.4606595069295,24.6406557858238 58.4652862673211,24.639415487628 58.4701328744005,24.6400036758625 58.4750131321995,24.6423984914237 58.4797394757288,24.6465085589463 58.4841301818833,24.6521763982178 58.4880163669734,24.6591844046042 58.4912484998524,24.6672631796392 58.4937021768442,24.6761018965788 58.4952829321937,24.6853603007017 58.495929894636,24.6946818747575 58.4956181455391,24.7037076499171 58.4943596850998,24.7120901146099 58.4922029681481,24.7195066693013 58.4892310278631,24.7256720948372 58.4855582616841,24.7303495443716 58.4813260064802,24.7333596317618 58.4766970774013,24.7345872693116 58.4718494848029)))', 'EEVAR', 'Varbla', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7636232205929 59.2299755554573,23.762295741294 59.2251340824437,23.7591516647612 59.2205183091434,23.7543124257469 59.2163054873124,23.7479643653209 59.2126573346418,23.7403515136056 59.2097138472389,23.7317662002665 59.207587950116,23.7225378552643 59.2063611866407,23.7130204249109 59.2060806081953,23.7035788752997 59.2067569800434,23.6945752858103 59.2083643702355,23.6863550491069 59.2108411369564,23.679233690623 59.2140922777633,23.6734847999922 59.2179930534017,23.6693295295486 59.2223937510349,23.6669280615118 59.2271254084532,23.6663733768505 59.2320062837147,23.6676875766586 59.2368488251764,23.6708209133862 59.2414668762397,23.6756535873182 59.2456828383805,23.6820002568612 59.2493345158248,23.6896171036461 59.2522813758503,23.6982111897977 59.2544099799933,23.707451749775 59.2556383727662,23.7169829776445 59.2559192547403,23.7264378067623 59.2552418144423,23.7354521360608 59.253632146484,23.7436789378363 59.2511522394506,23.7508016871848 59.2478975738694,23.7565465827303 59.2439934256102,23.7606930803575 59.23959002096,23.7630823334294 59.2348567342469,23.7636232205929 59.2299755554573)))', 'EEVAS', 'Vaisi', 'Y'),('SRID=4326;MULTIPOLYGON(((22.088617578736 58.4716047840632,22.0875523182573 58.466745859268,22.0846988802198 58.4620891306201,22.0801675265689 58.4578134380876,22.0741327861002 58.4540829273302,22.0668266881295 58.4510407670718,22.0585298280875 58.4488036765098,22.0495606109858 58.4474574686213,22.0402630820275 58.4470537762763,22.0309938018839 58.4476080833632,22.0221082563509 58.4490991342691,22.0139473056911 58.4514697437257,22.0068241776839 58.4546289769579,22.0010124902708 58.458455618989,21.9967357549759 58.4628028036043,21.9941587616276 58.467503628518,21.9933811793043 58.4723775453346,21.9944336294052 58.4772372823978,21.9972763964022 58.4818960368657,22.001800842918 58.4861746603584,22.0078334917073 58.4899085610044,22.0151426318971 58.4929540540004,22.0234472049096 58.4951939127695,22.0324276315048 58.4965419028996,22.0417381599339 58.4969461201899,22.0510202504706 58.4963910008337,22.0599164670495 58.4948979241049,22.0680843248368 58.4925243836854,22.0752095445072 58.4893617605636,22.081018189686 58.4855317857963,22.0852872120049 58.4811818329768,22.0878529958674 58.4764792258242,22.088617578736 58.4716047840632)))', 'EEVAU', 'Vaigu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1825051858149 58.3863119628322,26.1817051033976 58.3814390033647,26.1791108487585 58.3767416170201,26.1748227481841 58.3724002192096,26.1690060219719 58.3685814895553,26.16188436979 58.3654319905277,26.1537313490006 58.3630725639016,26.1448598809944 58.3615937160009,26.1356102858577 58.3610521646611,26.1263372960574 58.3614686768131,26.1173965342533 58.3628272771868,26.1091309582423 58.3650758575204,26.101857777095 58.3681281635763,26.0958563267726 58.3718670859407,26.0913573611559 58.3761491317618,26.0885341660626 58.380809909929,26.0874958404256 58.3856704233296,26.0882830117985 58.3905439302146,26.0908661647435 58.3952431136553,26.0951466631051 58.3995872846493,26.1009604439548 58.4034093413832,26.1080842560326 58.4065622148691,26.1162442131552 58.4089245496012,26.1251263379397 58.4104053965223,26.1343886879004 58.4109477334635,26.1436745887612 58.4105306738931,26.1526264522666 58.4091702764207,26.1608996304849 58.4069189229006,26.1681757569796 58.4038632897638,26.1741750473901 58.4001209929421,26.1786670766663 58.3958360390177,26.1814796149869 58.3911732618329,26.1825051858149 58.3863119628322)))', 'EEVBL', 'Vaibla', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1005337593537 58.4083424431443,26.0997445234621 58.4034690194845,26.0971595962872 58.3987700163007,26.09287894775 58.3944259116036,26.0870675141694 58.3906034892812,26.0799487941701 58.387449453694,26.0717962343758 58.3850848206802,26.0629227397043 58.3836002961537,26.05366870848 58.3830528154703,26.0443890430583 58.3834633727479,26.0354396211992 58.3848162209424,26.027163731426 58.3870594723794,26.0198789767671 58.3901070773638,26.0138651355962 58.3938421071567,26.0093534360172 58.3981212187676,26.0065176519536 58.4027801343339,26.0054673657613 58.4076399289511,26.0062436652123 58.4125138891683,26.0088174541107 58.4172146812543,26.0130904582355 58.421561554855,26.0188989050615 58.4253873045424,26.0260197506735 58.4285447193952,26.0341792248462 58.4309122691125,26.0430633700118 58.432398803738,26.0523301664036 58.4329470818961,26.0616227682818 58.4325359880601,26.0705833284248 58.4311813509607,26.0788668626049 58.4289353306173,26.0861546040033 58.4258843982666,26.0921663195454 58.4221459892091,26.0966711047387 58.4178639608973,26.0994962383137 58.4132030352349,26.1005337593537 58.4083424431443)))', 'EEVBP', 'Vaibla puhkeala', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((26.9877905293839 57.8410131271098,26.9868932299269 57.8361449902985,26.9842329825036 57.8314637130957,26.979912615777 57.8271490887241,26.9740985577671 57.8233667676713,26.9670143796932 57.8202619159113,26.9589321831604 57.8179536646199,26.950162164803 57.8165305603699,26.9410407561115 57.8160471863597,26.9319177850229 57.8165220808819,26.9231431389332 57.8179370305971,26.9150534255143 57.8202377649104,26.9079591277841 57.8233360256065,26.9021327333054 57.8271129346185,26.8977982844425 57.8314235341334,26.8951227478882 57.8361023288505,26.8942095381855 57.8409696217181,26.8950944531779 57.8458384033492,26.8977441912691 57.850521532847,26.9020575237452 57.854838934994,26.9078690934886 57.8586245364122,26.9149557080991 57.8617326717219,26.923044895034 57.8640437098564,26.9318253934352 57.8654686799706,26.940959176319 57.8659527148049,26.9500945318868 57.8654771754617,26.9588796873147 57.864060373449,26.966976434978 57.8617568613576,26.9740732209603 57.858655320295,26.9798971788879 57.8548751277344,26.9842246373425 57.8505617413791,26.9868896938591 57.8458810808003,26.9877905293839 57.8410131271098)))', 'EEVBS', 'Vabasaare', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0838413123229 58.6507213394075,25.0831887928778 58.6458429458721,25.0807234545526 58.6411246130129,25.0765406960052 58.636747567684,25.0708017207204 58.6328798630046,25.0637272719543 58.6296699436724,25.0555891198873 58.6272409700674,25.046699632574 58.6256861148996,25.0373998291414 58.625065008656,25.0280463656185 58.6254014665086,25.0189979397276 58.6266825812438,25.0106016203077 58.6288592158411,25.0031796094726 58.6318478772916,24.9970169311036 58.6355339018352,24.9923505080817 58.639775832742,24.9893600433269 58.6444108267472,24.9881610571488 58.6492608858771,24.9888003570172 58.6541396791619,24.9912541275926 58.6588596949325,24.9954287313004 58.6632394501273,25.0011642061571 58.6671104790754,25.0082403418183 58.6703238309895,25.0163851112926 58.67275582291,25.0252851390874 58.6743128226152,25.0345978013818 58.674934873131,25.0439644844982 58.6745980155282,25.0530244781475 58.673315217879,25.0614289524026 58.6711358734128,25.0688544636508 58.6681438876921,25.0750154551078 58.6644544305673,25.0796752607136 58.6602094813476,25.0826551849914 58.6555723428081,25.0838413123229 58.6507213394075)))', 'EEVDA', 'Vändra', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0673444385832 58.3100949696988,24.0668373968353 58.3052127901043,24.0645309609714 58.3004764606231,24.060514421105 58.2960679081094,24.054942603366 58.292156403599,24.0480298483367 58.2888920797387,24.0400417410409 58.2864001893039,24.0312849152313 58.2847763211872,24.0220953221229 58.2840827532495,24.0128254064003 58.2843460782142,24.0038306692133 58.2855561909363,23.9954561183 58.2876666745738,23.9880231090249 58.2905965711441,23.9818170669518 58.2942334704236,23.9770765528157 58.2984378018522,23.9739840849564 58.3030481687424,23.972659073314 58.3078875242663,23.9731531443348 58.3127699558981,23.9754480494913 58.3175078205505,23.979456254114 58.3219189576537,23.9850242010388 58.3258337026922,23.9919381389827 58.3291014296787,23.9999323028376 58.3315963677424,24.0086991367964 58.3332224640164,24.0179011659936 58.3339171014224,24.0271840524597 58.3336535244198,24.0361903203632 58.3324418765241,24.0445732065171 58.3303288082942,24.0520100865925 58.3273956711941,24.0582149457346 58.323755368789,24.0629494033024 58.3195479897339,24.0660318630156 58.3149353946893,24.0673444385832 58.3100949696988)))', 'EEVDU', 'Võidu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.3241837022571 59.5832629719149,26.3233363692073 59.5783917108411,26.3206322430181 59.5736978536924,26.3161759239152 59.5693616742138,26.310139130184 59.5655496431007,26.3027540287604 59.5624080559422,26.2943042866414 59.5600574413718,26.2851141909465 59.5585879597247,26.2755362524516 59.558055964411,26.2659377589879 59.5584818541826,26.2566867802679 59.5598492961294,26.2481381438805 59.5621058482168,26.2406199031218 59.5651649582187,26.2344208009909 59.5689092647002,26.2297792013225 59.573195077007,26.2268739082128 59.5778578666606,26.2258172295474 59.5827185637717,26.2266505609988 59.5875904205097,26.2293426753435 59.5922861806397,26.2337908010484 59.5966252807057,26.2398244672001 59.6004408053803,26.2472119830122 59.6035859272113,26.255669313923 59.6059395794435,26.26487101749 59.6074111392841,26.2744628157426 59.6079439369366,26.2840753108233 59.6075174514998,26.2933383013961 59.6061481065687,26.3018951311749 59.6038886338905,26.3094164994953 59.6008260303259,26.3156131872192 59.5970781891728,26.3202471980874 59.5927893392074,26.3231408833316 59.5881244713633,26.3241837022571 59.5832629719149)))', 'EEVEA', 'Vainupea', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7049645265781 59.4578695525599,24.7043534710774 59.4529901096644,24.7018848481352 59.4482650845334,24.6976542252767 59.4438759606718,24.6918246800793 59.439991252186,24.6846204578375 59.4367600518677,24.6763183208887 59.4343063312073,24.6672369269691 59.4327242068894,24.6577246425621 59.4320743510327,24.6481462505521 59.4323816790247,24.6388690485717 59.4336344008708,24.6302488546033 59.4357844711771,24.6226164393753 59.4387494209431,24.6162648908483 59.442415502969,24.6114383848476 59.4466420336055,24.6083227881893 59.4512667684628,24.6070384573539 59.4561121101501,24.6076355182555 59.4609919136296,24.6100918228696 59.4657186306587,24.6143136790225 59.4701105201569,24.6201393437892 59.4739986469754,24.6273451626392 59.4772333979127,24.6356541301703 59.4796902609287,24.6447465487539 59.481274640943,24.6542723735006 59.481925522427,24.6638647601284 59.4816178338502,24.6731542804471 59.4803634201033,24.6817832411166 59.4782105841571,24.6894195367587 59.4752422160567,24.6957694886587 59.4715725834126,24.7005891640672 59.4673429104233,24.703693736066 59.4627159198728,24.7049645265781 59.4578695525599)))', 'EEVEB', 'Vene-Balti', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0986039035424 58.4616011175205,22.0975375853299 58.4567422716519,22.0946836558126 58.4520857596028,22.090152395259 58.4478104129973,22.0841183283977 58.4440803642245,22.0768134583175 58.441038764317,22.0685183331224 58.4388023110312,22.0595512912359 58.4374567929631,22.0502562945598 58.4370538165816,22.0409898069065 58.4376088383525,22.0321072073093 58.4391005752584,22.0239492433834 58.4414718156891,22.0168290286199 58.4446316005988,22.011020069348 58.4484586937477,22.0067457723935 58.4528062114921,22.0041708338013 58.4575072386354,22.0033948433972 58.4623812189015,22.0044483609482 58.4672408781042,22.0072916293522 58.4718994163329,22.0118159913974 58.4761776934966,22.0178479725921 58.479911131056,22.0251558873748 58.4829560620665,22.0334587241166 58.4851952816412,22.042436970382 58.4865425800412,22.0517449585024 58.4869460797575,22.0610242468323 58.4863902446511,22.0699175075482 58.4848964815628,22.078082369975 58.4825223105711,22.0852046703889 58.479359136874,22.091010584943 58.4755287126234,22.0952771703455 58.4711784285929,22.0978409045664 58.4664756211205,22.0986039035424 58.4616011175205)))', 'EEVEE', 'Veere', 'Y'),('SRID=4326;MULTIPOLYGON(((26.3231734770478 59.5762633306637,26.3223264589669 59.571392058423,26.3196230281591 59.5666981766706,26.3151677578099 59.5623619601347,26.3091323256999 59.5585498809862,26.3017488463807 59.5554082367182,26.2933009246087 59.5530575582132,26.2841127777829 59.5515880083074,26.2745368421227 59.5510559430597,26.2649403288808 59.5514817639141,26.2556912320528 59.5528491405906,26.2471443072242 59.5551056335255,26.2396275421206 59.5581646927143,26.2334296230915 59.5619089586176,26.2287888684117 59.5661947420852,26.2258840494716 59.5708575157033,26.2248274555973 59.5757182101726,26.2256604788128 59.5805900777596,26.2283519033562 59.5852858618304,26.2327989838849 59.5896249980466,26.2388312894458 59.5934405697431,26.2462171814798 59.5965857477185,26.2546726879207 59.5989394631151,26.2638724366741 59.6004110907567,26.2734622252309 59.6009439582674,26.2830727333567 59.6005175420657,26.2923338364575 59.5991482630679,26.3008889510999 59.5968888504495,26.308408842735 59.5938262987112,26.3146043490307 59.5900784991017,26.3192375190332 59.5857896787455,26.3221307360524 59.5811248273946,26.3231734770478 59.5762633306637)))', 'EEVEJ', 'Vainupea jõe lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8170382100222 58.7903323424779,22.8158610843059 58.7854804657717,22.812883978428 58.7808409813535,22.8082219083037 58.7765920603482,22.8020544177539 58.772896814489,22.7946186207285 58.7698970539987,22.7862000740734 58.7677078677046,22.7771218338035 58.7664132291434,22.7677321108245 58.766062793136,22.758390989762 58.7666700023603,22.7494567060779 58.7682115744539,22.741271991435 58.7706283887984,22.7341509950749 58.7738277401082,22.7283672698101 58.7776868749978,22.7241432754057 58.7820576795617,22.7216418002605 58.7867723423372,22.7209596354098 58.7916497794265,22.7221237545323 58.7965025784891,22.7250901619619 58.8011441970438,22.7297454705243 58.8053961390634,22.7359111657869 58.8090948328933,22.7433504071198 58.8120979433885,22.7517771133157 58.8142898717137,22.7608669861448 58.8155862268819,22.7702700437477 58.8159370927339,22.7796241714195 58.8153289611517,22.7885691535567 58.8137852549187,22.7967606297528 58.8113654195572,22.803883421383 58.8081626202759,22.8096637023249 58.8043001353828,22.8138795371836 58.7999265887909,22.8163693797784 58.7952102094111,22.8170382100222 58.7903323424779)))', 'EEVGL', 'Vesigari lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((26.2552455496788 58.1912843519256,26.2544396601029 58.186411687857,26.251849794822 58.1817156438367,26.2475761022334 58.1773765839937,26.2417832418012 58.1735610989776,26.2346939920491 58.1704156278821,26.2265806648869 58.1680608592423,26.2177546598404 58.1665871219332,26.2085545566631 58.1660509387147,26.1993331948712 58.1664728711122,26.1904442229359 58.1678367358789,26.1822286176007 58.1700902221488,26.1750016747528 58.1731468862831,26.1690409574734 58.1768894500802,26.1645756545829 58.1811742791991,26.1617777547544 58.1858368740106,26.1607553780686 58.1906981662624,26.1615485301615 58.1955713833803,26.1641274558817 58.2002692192465,26.1683936722789 58.2046110369402,26.1741836580729 58.2084298259548,26.1812750723806 58.2115786441929,26.1893952737616 58.213936293547,26.1982318161543 58.2154120065791,26.2074445155883 58.2159489597427,26.2166786148786 58.2155264742949,26.2255785263819 58.2141608176796,26.2338016079029 58.2119045735561,26.2410314253743 58.2088446054222,26.2469899780826 58.2050986944834,26.2514484067471 58.2008109846528,26.254235769235 58.1961464141211,26.2552455496788 58.1912843519256)))', 'EEVGU', 'Valguta', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9326702275471 59.2679119743969,23.9313171777588 59.2630724653081,23.9281467200966 59.2584610226216,23.9232813017284 59.2542547304104,23.9169082665998 59.2506150545164,23.909272600115 59.2476816648498,23.9006675035979 59.2455670984793,23.8914231623212 59.2443524639746,23.8818941332861 59.2440843476773,23.8724458257963 59.2447730372773,23.8634405783121 59.2463921288672,23.8552238485878 59.2488795322132,23.8481110304467 59.252139837035,23.8423753897917 59.2560479523537,23.8382375748687 59.2604538831707,23.8358571020491 59.2651884655346,23.8353261495268 59.2700698440317,23.8366659089261 59.2749104463387,23.8398256510925 59.2795241889676,23.8446845601945 59.2837336377005,23.8510562832656 59.2873768461442,23.8586960346543 59.2903136065902,23.8673099911507 59.2924308687987,23.8765666186312 59.2936471137824,23.8861094896293 59.2939155100183,23.8955710875239 59.2932257271982,23.9045870505076 59.2916043356629,23.9128102894876 59.2891137757925,23.9199244196679 59.2858499384203,23.9256559754032 59.281938452324,23.9297849303432 59.2775298256722,23.9321531169694 59.2727936328319,23.9326702275471 59.2679119743969)))', 'EEVHP', 'Vihterpalu', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8501596656939 59.5714408693305,25.8493811534999 59.566566823319,25.846744094117 59.5618634551733,25.8423505170231 59.5575114075148,25.8363697399662 59.5536777631975,25.8290317901901 59.5505096493714,25.8206185360971 59.5481286135275,25.811452874392 59.5466259830872,25.8018863852605 59.5460593822255,25.7922859202588 59.5464505357794,25.7830196233425 59.5477844418574,25.7744429042386 59.5500099438155,25.7668848848939 59.5530416803054,25.7606358240021 59.5567633408524,25.7559359918568 59.561032105607,25.7529664185532 59.5656841031968,25.7518418737749 59.5705406815873,25.7526063574774 59.5754152550199,25.7552312897057 59.5801204667441,25.7596164872294 59.5844753934712,25.7655939080152 59.5883125140355,25.772934035785 59.5914841720605,25.7813546705609 59.5938682804827,25.7905317919978 59.5953730441079,25.8001120752684 59.5959405140023,25.8097265687802 59.5955488330262,25.81900499286 59.5942130833667,25.8275900915282 59.5919847023369,25.8351514671265 59.5889494895983,25.8413983500059 59.5852242848535,25.8460908014594 59.5809524475236,25.8490489150373 59.5762983167521,25.8501596656939 59.5714408693305)))', 'EEVHS', 'Vihasoo', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1011048730704 58.0863409811131,26.1003222525974 58.0814673356952,26.0977601540648 58.0767681717243,26.0935176565839 58.0724239746836,26.0877582210906 58.0686015339935,26.0807033443515 58.0654475570906,26.0726240221281 58.0630830599552,26.0638303532568 58.0615987453395,26.0546596813196 58.061051541943,26.045463720699 58.0614624337754,26.0365951481159 58.0628156605365,26.0283941586222 58.0650593187195,26.0211754861706 58.0681073410224,26.0152163732977 58.0718427803018,26.0107459423971 58.0761222754316,26.007936373109 58.0807815317434,26.006896227462 58.0856416098185,26.0076661880258 58.0905157847567,26.0102173864564 58.0952167149693,26.0144524030828 58.0995636460792,26.0202089158626 58.1033893724294,26.0272658729887 58.1065466863717,26.0353519619831 58.1089140638916,26.0441560538314 58.1104003637238,26.0533392181466 58.1109483549369,26.0625478386917 58.1105369335833,26.0714273113839 58.1091819405778,26.0796357817269 58.1069355483229,26.0868573768775 58.1038842403585,26.092814409348 58.1001454640407,26.0972780734704 58.0958630885291,26.1000772197868 58.0912018470035,26.1011048730704 58.0863409811131)))', 'EEVHT', 'Vahtramäe', 'Y'),('SRID=4326;MULTIPOLYGON(((23.8573922696752 58.340950057285,23.8560890709216 58.3361087845766,23.8530155965545 58.3314941730493,23.8482905307133 58.3272834335389,23.8420958027734 58.3236382094088,23.8346695432606 58.3206983910211,23.8262969221207 58.3185767692551,23.8172992229437 58.3173547290718,23.8080215679339 58.3170791443657,23.7988197544525 58.317760590043,23.7900466939407 58.319372938007,23.7820389574124 58.321854352219,23.7751039282633 58.3251096459611,23.7695080429084 58.3290139135934,23.7654665630485 58.333417301209,23.7631352708381 58.3381507373085,23.7626044109487 58.3430324075432,23.7638951230914 58.3478747281472,23.7669585171613 58.3524915521605,23.7716774436524 58.3567053319171,23.7778709078516 58.3603539612042,23.7853009716296 58.3632970312556,23.7936818858788 58.3654212561552,23.8026911044592 58.3666448546379,23.8119817514399 58.3669207155718,23.8211960515463 58.3662382219973,23.8299791923586 58.3646236615443,23.8379930682278 58.3621392070836,23.8449293611013 58.3588805081839,23.850521442177 58.3549729888896,23.8545546289242 58.3505669981433,23.8568744017403 58.3458320037469,23.8573922696752 58.340950057285)))', 'EEVID', 'Vidi', 'Y'),('SRID=4326;MULTIPOLYGON(((21.9094853855401 58.3716715879014,21.9084479046649 58.3668110372452,21.9056262424203 58.3621501783678,21.9011294383087 58.3578680115645,21.8951306947791 58.3541289326983,21.887860661655 58.3510764407441,21.8795985541557 58.3488276523581,21.8706614485301 58.3474688298464,21.8613921627051 58.3470520900438,21.8521461777023 58.3475934169634,21.8432780879173 58.349072052252,21.8351280841381 58.3514312861638,21.828008972119 58.3545806196782,21.8221942116451 58.3583992172721,21.8179074266096 58.3627405214513,21.8153137862856 58.3674378561186,21.8145135927161 58.3723108078117,21.8155383304912 58.3771721432448,21.818349345205 58.3818349997154,21.8228392183436 58.3861200728131,21.8288358026377 58.3898625242186,21.8361087769912 58.3929183415187,21.8443784784125 58.3951699018031,21.8533266745482 58.3965305207687,21.86260885904 58.3969478080863,21.871867587158 58.3964056963883,21.8807463244795 58.3949250635037,21.8889032592242 58.3925629232948,21.8960245304629 58.38941021724,21.9018363496924 58.3855882943016,21.9061155408003 58.3812442182269,21.9086980906216 58.3765450871084,21.9094853855401 58.3716715879014)))', 'EEVIK', 'Vikati', 'Y'),('SRID=4326;MULTIPOLYGON(((25.6434657571868 58.3635116942859,25.6427404949686 58.3586357491718,25.6402196653436 58.3539278199401,25.6360007793817 58.3495687309134,25.6302464083158 58.345725844237,25.6231778690547 58.3425466518853,25.6150666920208 58.3401531362208,25.6062242032289 58.3386371114864,25.5969896183445 58.3380567208249,25.5877170974111 58.3384342196024,25.5787622439929 58.339755127541,25.5704685510153 58.3419687811243,25.5631542973065 58.3449902656625,25.5571003837346 58.3487036550206,25.5525395661444 58.3529664380628,25.5496474945925 58.3576149660302,25.5485359056024 58.3624707159535,25.5492482377269 58.3673471332843,25.5517578526 58.3720567935281,25.5559689464945 58.3764186088321,25.5617201344503 58.3802648020004,25.5687905841614 58.3834473776758,25.5769084743601 58.3858438384149,25.5857614570149 58.3873619216135,25.5950087188637 58.3879431707457,25.6042941699069 58.3875651997505,25.6132602380848 58.3862425607972,25.6215617231247 58.3840261809338,25.6288791599288 58.3810013899022,25.6349311630347 58.3772846172214,25.6394852674523 58.3730188891072,25.6423668451462 58.3683683026784,25.6434657571868 58.3635116942859)))', 'EEVIL', 'Viljandi', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5577184999158 58.5740587637354,23.556446972599 58.5692143791008,23.5533914118149 58.5645926030774,23.5486698274186 58.5603709225863,23.5424640275525 58.5567114010355,23.5350125773143 58.5537544767125,23.5266016189516 58.5516135954777,23.5175539080823 58.5503708795211,23.5082164822886 58.5500739943241,23.4989474250475 58.5507343307682,23.490102218444 58.5523265701562,23.4820201919222 58.5547896484445,23.4750115712296 58.5580290839554,23.4693456117343 58.56192058198,23.4652402637503 58.5663147817269,23.4628537650426 58.571042967685,23.4622784883484 58.5759235302441,23.4635372911358 58.5807689308065,23.4665825230904 58.5853929058768,23.4712977468269 58.5896176337498,23.4775021225577 58.5932805870816,23.4849573020003 58.5962408051275,23.4933765751729 58.5983843405872,23.5024359206038 58.5996286671884,23.5117865294524 58.599925874243,23.5210683112375 58.5992645218696,23.5299238466744 58.5976700834317,23.5380122338468 58.5952039577589,23.5450222786579 58.5919610904662,23.5506845089342 58.5880662987203,23.5547815421045 58.5836694447515,23.5571564062597 58.5789396481515,23.5577184999158 58.5740587637354)))', 'EEVIR', 'Virtsu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.571737035041 58.5880534240493,23.5704630130077 58.5832092060514,23.56740434278 58.5785877954839,23.5626791540292 58.5743666650691,23.5564693934258 58.570707856928,23.5490137779823 58.5677517818131,23.5405986094545 58.5656118528778,23.5315468045171 58.5643701557011,23.5222055572807 58.5640743166589,23.5129330973285 58.5647356865279,23.5040850369287 58.5663289070334,23.496000814871 58.5687928765822,23.488990741258 58.5720330793936,23.4833241275835 58.5759251913914,23.4792189498573 58.5803198282623,23.4768334400387 58.5850482577119,23.4762599336687 58.5899288607277,23.4775212209354 58.594774097059,23.4805695566319 58.599397709385,23.4852883844247 58.6036218897862,23.4914967260435 58.6072841318093,23.4989560805069 58.6102435019247,23.5073795768306 58.6123860853446,23.5164430305091 58.6136293923681,23.5257974740146 58.6139255515343,23.535082668748 58.6132631633303,23.5439410636829 58.6116677410633,23.5520316466894 58.6092007215256,23.5590431392701 58.6059570848315,23.5647060139101 58.6020616778348,23.5688028638365 58.5976643864823,23.5711767249232 58.5929343471885,23.571737035041 58.5880534240493)))', 'EEVIS', 'Virtsu Kalasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0211755379112 59.5803767153352,26.0203720934328 59.5755036386568,26.0177104621027 59.5708036668389,26.0132936155524 59.5664573107427,26.0072917621066 59.562631433613,25.9999357343419 59.5594728637143,25.991508090503 59.5571027819225,25.9823322758786 59.5556120953789,25.9727602575654 59.555057970362,25.9631590979827 59.5554616536248,25.9538969680437 59.5568076631707,25.9453291194514 59.5590443784674,25.9377843369002 59.5620860081327,25.9315523750128 59.5658158619032,25.926872851865 59.5700908049208,25.923926021509 59.5747467277108,25.9228257829111 59.5796048262958,25.9236152035949 59.58447845514,25.9262647450392 59.5891802923841,25.9306732761861 59.5935295431734,25.9366718546568 59.5973589035728,25.9440301464641 59.6005210150221,25.9524652486872 59.6028941574761,25.9616525805679 59.6043869578346,25.9712384216104 59.6049419280096,25.9808536050063 59.60453769258,25.9901278248398 59.6031898176048,25.9987039888294 59.6009502076119,26.006252046338 59.5979050946754,26.0124817441642 59.5941716993553,26.0171538089191 59.5898936956786,26.0200891220249 59.5852356590768,26.0211755379112 59.5803767153352)))', 'EEVJL', 'Võsu jõe lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3929083163309 59.4269861401821,24.3923426738742 59.4221055679866,24.3899198560409 59.4173749781884,24.3857336728574 59.4129760705089,24.3799454999283 59.4090777368364,24.3727780006189 59.40582959452,24.3645065349597 59.4033562660808,24.3554485905351 59.4017526206959,24.3459516395068 59.401080155676,24.3363798796011 59.4013646528702,24.3271003543231 59.4025951970809,24.3184689682116 59.4047245928201,24.3108169163213 59.4076711638005,24.3044380332776 59.4113218681524,24.2995775364224 59.4155366132144,24.2964225902715 59.4201536085266,24.2950950566185 59.4249955559721,24.2956467175027 59.4298764433498,24.2980571688275 59.4346086833473,24.3022344832529 59.4390103250159,24.3080186353633 59.442912060243,24.3151875739301 59.4461637538239,24.323465719813 59.4486402425896,24.3325345684263 59.4502461762313,24.3420449875435 59.4509197090714,24.3516307290404 59.4506348966942,24.3609226208373 59.4494027022815,24.3695628757028 59.4472705725499,24.3772189483956 59.4443206000132,24.3835963921631 59.4406663443975,24.3884502087843 59.4364484390117,24.3915942507506 59.4318291554459,24.3929083163309 59.4269861401821)))', 'EEVJS', 'Vääna-Jõesuu', 'Y'),('SRID=4326;MULTIPOLYGON(((21.921339358811 58.2626675508929,21.9203035892257 58.2578070096704,21.9174891792332 58.25314631368,21.9130048850407 58.2488644573585,21.9070234252156 58.2451258252866,21.8997747841823 58.2420739000683,21.8915373559943 58.2398257774073,21.8826272713826 58.238467694756,21.8733863143004 58.2380517410382,21.8641688824017 58.2385938702924,21.8553284781516 58.2400732932435,21.847204232996 58.2424332694788,21.8401079659467 58.2455832708034,21.8343122600875 58.2494024352329,21.830040006156 58.2537441826619,21.8274558121235 58.2584418192276,21.8266596125918 58.2633149193411,21.8276827333612 58.268176243776,21.8304865767966 58.272838930339,21.8349639953519 58.2771236815474,21.8409433172149 58.2808656721006,21.8481948834498 58.2839209080965,21.856439854671 58.2861717897954,21.8653609517902 58.2875316597056,21.8746147142982 58.2879481568089,21.8838447950277 58.287405244341,21.8926957658404 58.2859238308144,21.9008268866259 58.2835609596896,21.9079252916217 58.2804075998827,21.9137180722643 58.2765851246769,21.9179827831572 58.2722406182128,21.9205559646893 58.2675411943909,21.921339358811 58.2626675508929)))', 'EEVKA', 'Võrka', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2886371463463 58.4885304752462,22.2875437571174 58.4836733436356,22.2846625325797 58.4790211933843,22.2801048000658 58.4747526871448,22.2740460980222 58.4710316934665,22.2667193714982 58.46800101496,22.2584060033259 58.4657769298333,22.2494250281361 58.4644447521065,22.2401209394988 58.4640555767731,22.2308505484973 58.4646243313986,22.2219693840152 58.4661292067434,22.2138181403628 58.4685124876445,22.20670967634 58.4716827533184,22.2009170514462 58.4755183651999,22.1966630499911 58.4798721121248,22.1941115929492 58.4845768387903,22.1933613715657 58.4894518455646,22.1944419574684 58.4943098173453,22.1973125535011 58.4989640175406,22.2018634504234 58.5032354714132,22.2079201504477 58.5069598616639,22.2152500133172 58.5099938685849,22.223571178723 58.512220707247,22.2325634249775 58.5135546444287,22.2418805425913 58.5139443172748,22.2511637369342 58.5133747224778,22.2600555299265 58.5118677971861,22.2682136091626 58.5094815686492,22.2753240751886 58.506307906402,22.2811135637217 58.5024689661074,22.285359767938 58.4981124656499,22.2878999539231 58.4934059795323,22.2886371463463 58.4885304752462)))', 'EEVKJ', 'Vanakubja', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1265287105092 58.4043327869315,26.1257359697728 58.3994595115081,26.1231478679271 58.3947610217107,26.1188644963595 58.3904177756608,26.1130508953591 58.386596524154,26.1059306461312 58.38344392654,26.0977772534251 58.3810809434608,26.088903653693 58.3795982175601,26.0796502490624 58.3790526152596,26.0703719178496 58.3794650587013,26.061424486851 58.3808197285559,26.0531511686134 58.3830646673036,26.0458694680152 58.3861137605029,26.0398590467763 58.3898500222411,26.0353510022177 58.394130062121,26.0325189682792 58.3987895664717,26.0314723834391 58.4036495875757,26.0322521931903 58.4085234030692,26.0348291661292 58.4132236845824,26.039104905142 58.4175697012219,26.044915531928 58.4213942803957,26.0520379180824 58.4245502561473,26.0601982335316 58.4269161535434,26.0690824879003 58.4284008862616,26.0783486569878 58.4289472823597,26.0876399192018 58.4285342988471,26.0965984791147 58.427177837274,26.1048794299016 58.4249301279338,26.1121641046991 58.4218777070661,26.1181723889955 58.4181380671914,26.1226735108036 58.4138551129972,26.1254948901109 58.4091936018319,26.1265287105092 58.4043327869315)))', 'EEVKN', 'Viinakingu', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7883486458135 58.9997147919753,27.7873085478954 58.9948537409729,27.7844512209485 58.9901907489059,27.7798871033195 58.9859048960374,27.7737920042143 58.9821607162908,27.7664002849334 58.9791019000363,27.7579958329724 58.9768458020085,27.7489011787297 58.9754789608793,27.739465169001 58.9750537982046,27.7300496606013 58.9755866198835,27.7210157303762 58.9770569945171,27.7127099139936 58.9794085318022,27.7054509849792 58.982551032072,27.6995177674878 58.986363927022,27.6951384415663 58.9907008832717,27.692481748754 58.9953953963656,27.6916504397798 59.0002671647215,27.6926772263528 59.0051290023472,27.6955234076926 59.0097940271494,27.7000802422687 59.0140828494001,27.7061730296557 59.017830483115,27.713567760495 59.020892712089,27.7219800888121 59.0231516620313,27.7310862851061 59.0245203600914,27.7405357454069 59.0249461020117,27.7499645651681 59.0244124937082,27.7590096410065 59.0229400863365,27.7673227404342 59.0205855796663,27.7745839811496 59.0174396254271,27.7805141870662 59.013623317759,27.7848856366254 59.0092835095978,27.7875307873942 59.0045871395759,27.7883486458135 58.9997147919753)))', 'EEVKS', 'Vasknarva Sadam', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5810149541341 59.4755413321539,25.5802772749484 59.4706657961972,25.5776850174571 59.4659571353846,25.5733384888082 59.4615961980379,25.5674052016943 59.4577504105807,25.5601133644864 59.4545673681026,25.5517430818588 59.452169192228,25.5426156084436 59.4506478685756,25.5330810657017 59.4500617383625,25.5235050845315 59.4504332749584,25.5142548721426 59.4517482280286,25.5056852207956 59.4539561669793,25.4981249778793 59.4569724034536,25.4918644814335 59.4606812213422,25.4871444328773 59.4649402938908,25.4841466299062 59.46958612267,25.4829869181948 59.4744402940324,25.483710642079 59.4793163166898,25.4862907837884 59.4840267805149,25.4906288806908 59.4883905626941,25.496558703752 59.4922398037046,25.5038525719752 59.495426382685,25.5122300714865 59.4978276396103,25.5213688489505 59.499351119799,25.5309170619664 59.4999381537203,25.5405069984566 59.4995661304228,25.5497693266365 59.4982493743372,25.5583474097244 59.4960385905507,25.5659111166763 59.4930189005215,25.5721695820882 59.4893065461316,25.5768824137517 59.4850443925353,25.5798689126795 59.480396407223,25.5810149541341 59.4755413321539)))', 'EEVKT', 'Vanakõrtsi', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5544261323833 59.0850551082951,23.5531342722679 59.0802111722149,23.5500319976009 59.0755899737068,23.5452391342908 59.0713689750571,23.5389402425812 59.0677102100102,23.5313774680098 59.0647540838268,23.5228412235684 59.0626140078481,23.5136590629314 59.061372070163,23.5041831671894 59.061075904358,23.4947769146567 59.0617368731535,23.4858010341242 59.0633296345845,23.4775998558711 59.0657931069713,23.4704881716017 59.0690327969416,23.4647391942717 59.0729244039596,23.460574071805 59.077318566899,23.4581533556213 59.0820465748322,23.4575707567402 59.0869268269926,23.4588494405697 59.0917717972389,23.4619410185193 59.0963952375852,23.466727293158 59.1006193444462,23.4730247073098 59.1042816108813,23.4805913403857 59.1072410985753,23.4891361919749 59.1093838844269,23.4983303980436 59.1106274677933,23.5078199436914 59.110923964547,23.5172393725257 59.1102619615837,23.5262259497797 59.1086669583114,23.5344337166944 59.1062003777105,23.5415468785037 59.1029571863513,23.5472919973136 59.0990622178244,23.5514485126284 59.0946653450152,23.5538571833901 59.0899356914035,23.5544261323833 59.0850551082951)))', 'EEVLA', 'Võõla', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7051482491445 59.5654952645291,25.7043908360849 59.5606204318519,25.7017744934974 59.5559142178807,25.6974004565903 59.5515573756482,25.69143729533 59.5477171730068,25.6841143639259 59.5445409894685,25.6757129577592 59.5421506825028,25.6665555219222 59.5406379352344,25.6569933231908 59.5400607596855,25.6473930495492 59.5404412859222,25.6381228373064 59.5417649192647,25.6295382448064 59.5439808967968,25.6219686934453 59.5470042224408,25.6157048811631 59.5507189086133,25.6109876410116 59.5549824036183,25.607998668357 59.5596310391749,25.6068534756651 59.5644862933854,25.6075968550563 59.5693616325308,25.610201037884 59.5740696716274,25.6145666401511 59.5784293797842,25.6205263759899 59.5822730528386,25.6278514126843 59.58545278294,25.6362601343456 59.5878461726865,25.6454289821659 59.5893610696276,25.6550049519969 59.5899391344718,25.6646192593256 59.589558101766,25.6739016313374 59.5882326432951,25.6824946584715 59.5860137998356,25.6900676352366 59.582987003777,25.6963293422099 59.5792687710424,25.7010392668576 59.5750021932594,25.7040168275349 59.5703514080334,25.7051482491445 59.5654952645291)))', 'EEVLD', 'Veeleidi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0777015963702 57.7773483947307,26.0769284141205 57.7724743982237,26.0743908739219 57.7677746084037,26.070187098848 57.7634295361847,26.0644790536194 57.7596060065985,26.0574862573386 57.7564507712046,26.0494773230689 57.7540848965758,26.0407596530158 57.7525991402431,26.0316676825598 57.7520504874876,26.02255011619 57.7524599783498,26.0137566325022 57.7538119058067,26.0056245532044 57.7560544149117,25.9984659722437 57.7591014805493,25.9925558256994 57.7628361900652,25.9881213512583 57.767115208146,25.9853333384756 57.7717742566064,25.984299508592 57.7766344028294,25.9850602868764 57.7815089189556,25.9875871432776 57.786210450842,25.9917835812317 57.7905582223612,25.9974887530294 57.794384997538,26.0044835770247 57.7975435307014,26.0124991314567 57.7999122532231,26.0212270062615 57.8013999740053,26.0303312124766 57.801949408697,26.0394611828264 57.8015393982146,26.0482653503186 57.8001857286889,26.0564047667311 57.7979405202809,26.0635662211087 57.7948902090515,26.0694743399237 57.791152201767,26.0739021941956 57.7868703357959,26.0766800022317 57.7822093228886,26.0777015963702 57.7773483947307)))', 'EEVLG', 'Valga', 'Y'),('SRID=4326;MULTIPOLYGON(((25.4040399362 59.4956078118813,25.4033273964849 59.4907314095129,25.4007583411616 59.4860193623169,25.3964321892588 59.48165264992,25.3905156750863 59.4777989214173,25.3832363675683 59.4746060772679,25.3748738946635 59.4721966153979,25.3657492146122 59.4706629542561,25.3562123436323 59.4700639079191,25.3466290022546 59.4704224446657,25.3373666787273 59.471724812321,25.3287806272305 59.4739210627728,25.3212003207333 59.4769269561036,25.314916863183 59.4806271734816,25.3101718335782 59.4848797190315,25.3071479858712 59.4895213460346,25.3059621644935 59.4943738035784,25.3066607169833 59.4992506676885,25.3092175946944 59.5039644973226,25.3135352325272 59.5083340414945,25.3194481923632 59.5121912199976,25.3267294463973 59.5153876071422,25.3350990703354 59.5178001656129,25.3442350172592 59.5193360055309,25.3537855556704 59.5199359811199,25.3633828842922 59.5195769826307,25.3726573854411 59.5182728325345,25.3812519510023 59.5160737503045,25.388835811819 59.5130644069715,25.3951173228346 59.5093606465993,25.3998552013968 59.5051050044516,25.4028677822367 59.5004611986756,25.4040399362 59.4956078118813)))', 'EEVLK', 'Valkla', 'Y'),('SRID=4326;MULTIPOLYGON(((25.556180186892 59.5895513098273,25.5554438492102 59.584675721076,25.5528465356629 59.579966627676,25.5484887535323 59.575604894267,25.5425384523395 59.5717579772382,25.5352244965304 59.5685735142372,25.5268278405517 59.5661736805319,25.517670749887 59.5646505245528,25.5081044794862 59.5640624572194,25.4984958735277 59.5644320259236,25.4892133865745 59.5657450558919,25.4806130453502 59.5679511907368,25.4730248722614 59.5709658120552,25.4667402764298 59.5746732666563,25.4620008856048 59.5789312811225,25.4589892434343 59.5835763985859,25.4578217321022 59.5884302334514,25.4585440016848 59.5933063077858,25.4611290967204 59.5980172095423,25.4654783700825 59.602381798776,25.471425167634 59.6062321843249,25.4787411583305 59.6094202004912,25.4871450779361 59.6118231310694,25.496313555148 59.6133484561575,25.5058936015163 59.6139374346083,25.515516275593 59.6135673803201,25.5248109810672 59.6122525419923,25.5334198310542 59.6100435513195,25.541011507767 59.6070254614794,25.5472940686924 59.603314453714,25.5520261958812 59.5990533423779,25.5550264515102 59.5944060558086,25.556180186892 59.5895513098273)))', 'EEVLL', 'Vello', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0124760773806 58.3663749246666,26.0116998637253 58.361500967835,26.0091296675725 58.35680020387,26.0048648921781 58.3524531792145,25.9990698645256 58.3486267906388,25.9919674545477 58.3454678953946,25.9838304847088 58.3430976962742,25.9749712638869 58.3416071129938,25.9657296449254 58.3410533133582,25.9564600557561 58.3414575337076,25.9475179886148 58.342804269777,25.9392464499575 58.3450418680118,25.9319628749546 58.3480844952967,25.9259469948798 58.3518154137106,25.9214301135713 58.3560914380586,25.9185862010089 58.3607484092175,25.9175251488589 58.3656074773891,25.9182884560372 58.370481957651,25.9208475239203 58.3751844970335,25.9251046434285 58.3795342788027,25.930896653119 58.3833639864436,25.9380011425198 58.3865262574073,25.9461449725964 58.3888993749782,25.9550147900635 58.3903919751323,25.9642691288335 58.3909465830131,25.9735516244957 58.3905418392324,25.9825048199143 58.389193327743,25.9907840144523 58.3869529723915,25.9980706074021 58.3839070260401,26.0040844080382 58.3801727319078,26.0085944291015 58.3758937891119,26.011427745024 58.3712348010822,26.0124760773806 58.3663749246666)))', 'EEVLM', 'Valma', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0894827253134 58.3882340718871,23.0882827379781 58.3833845631584,23.0853049893375 58.3787511252516,23.0806644993002 58.3745116970598,23.0745399658492 58.3708290270894,23.0671668422748 58.3678444450594,23.0588282752463 58.3656724600582,23.0498442539527 58.364396388387,23.0405593826524 58.3640651748145,23.031329735957 58.3646915259114,23.0225092871107 58.3662514250465,23.0144364138614 58.3686850471845,23.0074209840167 58.3718990395623,23.0017325034504 58.375770083375,22.9975897734931 58.3801496035045,22.9951524529253 58.3848694497471,22.9945148532549 58.3897483355322,22.9957022161453 58.3945987902325,22.9986696309357 58.3992343601057,23.0033036509516 58.4034767816869,23.009426563214 58.4071628507537,23.0168031612474 58.4101507201057,23.0251497694306 58.4123253801892,23.0341451743828 58.4136031074453,23.0434430387849 58.4139347050571,23.0526853099398 58.413307407987,23.0615160926406 58.4117453768826,23.0695954359028 58.4093087613526,23.0766124869198 58.4060913698777,23.0822974930126 58.4022170387445,23.0864321818109 58.3978348435356,23.0888581187285 58.3931133417106,23.0894827253134 58.3882340718871)))', 'EEVLT', 'Viltina', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3066426303248 59.2440164957421,24.3060916588784 59.2391355406106,24.3036931448666 59.2344034142707,24.2995399566686 59.2300018768317,24.293792197479 59.2260999228403,24.2866709770567 59.2228473103866,24.2784498804088 59.2203688351615,24.2694444663656 59.2187595650754,24.2600001976758 59.2180812139562,24.2504792578026 59.2183597895781,24.2412467469844 59.2195846034364,24.2326567706942 59.2217086789242,24.2250389370942 59.2246505426139,24.2186857663944 59.2282973319209,24.2138414844196 59.2325091032487,24.2106926256838 59.2371241794653,24.2093608087447 59.2419653358342,24.2098979699309 59.2468465908246,24.2122842526 59.251580343865,24.2164286504813 59.2559845871964,24.2221723986271 59.2598899143253,24.2292949979271 59.2631460536322,24.2375226534566 59.2656276724948,24.2465388078571 59.2672392244115,24.2559963632571 59.267918648166,24.2655311134088 59.2676397726846,24.2747758555801 59.2664133321231,24.283374622183 59.2642865507396,24.2909964668109 59.2613413139106,24.2973482586147 59.2576909977511,24.3021859816976 59.2534760827886,24.3053241000801 59.2488587247445,24.3066426303248 59.2440164957421)))', 'EEVLV', 'Valgma talu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1181182728286 58.0963347309785,26.1173331257819 58.0914611909149,26.114768084321 58.0867623684305,26.1105223408323 58.0824187357317,26.1047594809193 58.0785970604118,26.097701132629 58.0754440203917,26.0896184246199 58.0730805955962,26.0808215852128 58.0715974475762,26.071648079181 58.0710514602656,26.0624497292467 58.071463571055,26.053579303542 58.0728179729456,26.0453770681511 58.0750627174247,26.0381578049782 58.078111695584,26.0321987795761 58.0818479236506,26.0277291114883 58.0861280102376,26.02492095167 58.0907876379398,26.0238828086368 58.0956478530003,26.0246552885747 58.1005219251405,26.0272094267329 58.1052225165768,26.0314476906525 58.1095688857966,26.0372076334278 58.1133938485965,26.0442680711226 58.116550226567,26.0523575569889 58.1189165316102,26.0611648308401 58.1204016636834,26.0703508393522 58.1209484367976,26.0795618564107 58.1205357939307,26.0884431854252 58.1191796230856,26.0966529003799 58.1169321420828,26.103875080676 58.1138798764422,26.1098320166582 58.1101403104262,26.1142949068816 58.105857343594,26.1170926322611 58.1011957318414,26.1181182728286 58.0963347309785)))', 'EEVMP', 'Vooremäe puhkeala', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7853598983357 59.0077158860014,27.7843199709083 59.0028548166024,27.7814623757243 58.9981917649221,27.776897561833 58.993905813498,27.770801365493 58.9901615000004,27.7634081903229 58.9871025198816,27.7550019797534 58.9848462341064,27.7459053315871 58.9834791884962,27.7364671689298 58.9830538124105,27.7270494309282 58.9835864199148,27.7180132796782 58.9850565878306,27.7097053358064 58.9874079338151,27.7024444542999 58.9905502655931,27.6965095341927 58.994363021393,27.6921288209748 58.9986998732489,27.6894711096749 59.0033943207826,27.6886391904767 59.0082660649863,27.6896657989446 59.0131279208309,27.6925122415762 59.0177930055332,27.6970697671959 59.0220819270473,27.70316364912 59.025829695534,27.7105598360825 59.0288920895507,27.7189739261381 59.0311512283971,27.7280821219054 59.0325201318971,27.7375337422591 59.0329460878436,27.7469647992366 59.0324126938923,27.7560121030451 59.0309404929515,27.7643273351807 59.0285861768742,27.771590531086 59.025440390106,27.7775224393843 59.0216242204096,27.7818952731099 59.0172845154854,27.7845414368167 59.0125882100648,27.7853598983357 59.0077158860014)))', 'EEVNA', 'Vasknarva', 'Y'),('SRID=4326;MULTIPOLYGON(((25.6202122288067 59.6105273917634,25.61946619725 59.6056521443063,25.6168583364386 59.600944298047,25.6124895590516 59.5965846691552,25.606528236386 59.5927406326918,25.5992036549516 59.5895597153112,25.5907971755537 59.5871639559339,25.5816314390131 59.585645246542,25.5720580305022 59.5850618274982,25.5624440669238 59.5854360680351,25.5531582078286 59.5867536143921,25.54455660945 59.5889639371616,25.5369693432622 59.5919822574542,25.5306877850123 59.5956927802256,25.5259534476921 59.5999531142434,25.5229486829195 59.6045997133765,25.521789610625 59.6094541347677,25.5225215581758 59.6143298774724,25.5251171991032 59.6190395416381,25.5294774810926 59.623402034336,25.5354353261954 59.6272495445174,25.5427619773333 59.6304340166863,25.5511757586112 59.6328328707375,25.5603529175653 59.6343537435523,25.5699401300632 59.6349380654059,25.5795681776663 59.6345633296204,25.5888662566548 59.6332439653541,25.5974763504251 59.6310307787753,25.6050670941583 59.628008984763,25.611346582686 59.6242949072043,25.6160736181169 59.6200314785156,25.6190669604817 59.6153827159628,25.6202122288067 59.6105273917634)))', 'EEVNE', 'Võrkneeme', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0165033790628 58.381002687867,27.0155884679118 58.3761351704162,27.0128839188194 58.3714548958334,27.0084942844505 58.3671416163715,27.0025886687645 58.3633609273413,26.9953941659023 58.3602579279853,26.9871871113311 58.3579516743671,26.9782824846796 58.3565306330498,26.9690218680757 58.3560493058896,26.9597604131822 58.3565261519441,26.9508533035597 58.3579428838775,26.9426422158519 58.3602451650294,26.935442283326 58.3633446812216,26.9295300485108 58.3671225101492,26.9251328583175 58.3714336625775,26.9224201057134 58.3761126252106,26.9214966577093 58.3809796966241,26.9223987316122 58.3858478765307,26.9250923922096 58.3905300461642,26.9294747445097 58.3948461647679,26.9353777931838 58.3986302047983,26.9425748348982 58.4017365568536,26.9507891476723 58.4040456544519,26.9597046468828 58.4054685980592,26.9689780951522 58.4059505962123,26.9782523873094 58.405473087701,26.9871703854333 58.4040544607142,26.9953887552034 58.4017493404175,27.0025912547258 58.398646473224,27.0085009506731 58.3948652915983,27.0128908826571 58.3905512951927,27.0155927627086 58.3858704302723,27.0165033790628 58.381002687867)))', 'EEVNG', 'Võngi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.9031059563352 59.5507960832548,24.9024648549148 59.5459174769857,24.8999619234656 59.5411960795761,24.895694049722 59.5368132333207,24.8898257415653 59.5329372094766,24.8825827299136 59.5297167659241,24.8742432615686 59.527275460227,24.8651274214659 59.5257069321181,24.8555848923044 59.5250713320448,24.8459816127606 59.5253930289267,24.8366858324044 59.5266596822956,24.8280540813978 59.5288227131733,24.8204175757927 59.5317991560962,24.8140695647244 59.5354748233577,24.8092540942484 59.5397086635095,24.8061566145177 59.5443381511189,24.8048967933411 59.5491855053299,24.8055238212687 59.554064502392,24.8080144031701 59.558787623335,24.8122735314154 59.5631732634729,24.8181380295471 59.5670527262058,24.8253827466926 59.570276730114,24.8337291764085 59.5727211756018,24.8428561739554 59.5742919449311,24.8524123580138 59.5749285464482,24.8620297110694 59.5746064587726,24.8713378409833 59.5733380818672,24.8799783374834 59.5711722571039,24.8876186530966 59.5681923752907,24.8939649586521 59.5645131476741,24.8987734677473 59.5602761677345,24.9018597900386 59.555644438908,24.9031059563352 59.5507960832548)))', 'EEVNI', 'Vana-Niidi', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2906484955898 58.4889009418863,27.2896928774932 58.4840355247414,27.2869436315636 58.479361178857,27.2825070285829 58.4750574263725,27.2765539744403 58.4712894945874,27.2693133802403 58.4682019912651,27.2610633445469 58.4659133765957,27.2521204897055 58.4645114398281,27.242827858421 58.4640499500106,27.2335418259553 58.4645466058515,27.2246185164849 58.465982361043,27.2164002287286 58.4683021501462,27.2092023756559 58.4714169880587,27.2033014259217 58.4752073649014,27.1989243009123 58.4795278096075,27.1962396315342 58.48421245125,27.1953512141155 58.4890813687981,27.1962939265029 58.4939474890293,27.1990322756919 58.4986237700182,27.2034616498291 58.5029303950238,27.2094122435527 58.5067016994321,27.216655520338 58.5097925620286,27.2249129732253 58.5120840112038,27.2338668506699 58.5134878261803,27.2431724318741 58.5139499519692,27.2524713700646 58.5134525930408,27.2614055762819 58.5120149027421,27.2696310928749 58.5096922411149,27.2768314063508 58.506574030578,27.2827296734839 58.5027802944624,27.2870993812932 58.4984570152533,27.2897730280749 58.4937704954046,27.2906484955898 58.4889009418863)))', 'EEVNJ', 'Varnja', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6088914880246 58.7020385107765,23.607607724439 58.6971948094215,23.6045337606941 58.692574469655,23.5997883181141 58.6883549222727,23.5935541236424 58.6846981476496,23.5860708329087 58.6817444774854,23.5776258086173 58.6796072317487,23.5685431103472 58.6783683923992,23.5591711138214 58.6780754758168,23.5498692243856 58.678739720659,23.5409941799336 58.6803356586886,23.5328864522955 58.682802084653,23.5258572529289 58.686044389282,23.5201766286563 58.6899381686339,23.5160630964834 58.694333975086,23.5136752138522 58.6990630319067,23.5131054130954 58.7039436961486,23.5143763479304 58.7087884250209,23.5174399077582 58.7134109801837,23.5221789551556 58.7176335935682,23.5284117367899 58.7212938180286,23.5358988121267 58.7242507966592,23.5443522422936 58.7263907058068,23.5534466879939 58.727631158031,23.5628319850629 58.7279243914057,23.572146703264 58.7272591190446,23.581032151637 58.7256609656156,23.5891462744484 58.7231914736465,23.5961768866353 58.7199457191794,23.6018537262898 58.7160486313629,23.6059588525835 58.7116501615028,23.6083349877938 58.7069194918101,23.6088914880246 58.7020385107765)))', 'EEVNN', 'Vana-Ranna', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7332232573216 59.6164849915453,25.7324607259396 59.6116103414113,25.7298365836421 59.606904698192,25.7254523674128 59.6025487925702,25.7194770394545 59.5987098559307,25.7121404214414 59.5955352186738,25.7037243334997 59.5931466784707,25.6945517827683 59.5916358503156,25.6849746141008 59.5910606724224,25.675360087797 59.5914431982153,25.6660768851764 59.5927687564663,25.6574810617549 59.5949865107003,25.6499024694657 59.5980113970354,25.6436321537677 59.6017273683715,25.6389111988473 59.6059918240014,25.6359214449869 59.6106410589643,25.634778437454 59.6154965283875,25.6355268873738 59.6203716901555,25.6381388339662 59.6250791658082,25.6425145969311 59.629437945692,25.6484865009998 59.6332803608426,25.6558252457582 59.636458551288,25.6642486873063 59.6388501784163,25.6734326989875 59.6403631572761,25.683023691121 59.6409392222276,25.6926522989058 59.6405561847997,25.7019476972406 59.6392287941123,25.7105519739206 59.637008165613,25.7181339900818 59.6339798007653,25.7244021790157 59.6302602762417,25.7291157803206 59.6259927336896,25.7320940732373 59.6213413480252,25.7332232573216 59.6164849915453)))', 'EEVNO', 'Vanaõue', 'Y'),('SRID=4326;MULTIPOLYGON(((22.765308424526 58.2513551332876,22.7641577064981 58.2465022666079,22.7612340047803 58.2418609488762,22.7566502620674 58.2376094244774,22.7505829995337 58.2339109089546,22.7432654771127 58.2309073423287,22.7349787147114 58.2287139635942,22.7260407215672 58.2274149104629,22.7167943432374 58.2270600091643,22.7075941829314 58.2276628741655,22.6987930851434 58.2292003886429,22.6907286842332 58.231613585119,22.6837105185087 58.2348098935883,22.6780081914853 58.2386666734554,22.6738410266599 58.2430358974099,22.6713696109458 58.2477498116552,22.670689555937 58.2526273592837,22.6718277269242 58.2574811235036,22.6747410992271 58.2621245261451,22.6793183027097 58.2663790054153,22.6853838117381 58.2700808959191,22.6927046333373 58.2730877438258,22.7009992453338 58.2752838105951,22.7099484434612 58.2765845492858,22.7192076763035 58.2769398770566,22.7284203836647 58.2763361145138,22.7372318108723 58.2747965151237,22.7453027510046 58.2723803637737,22.7523226702186 58.2691806803225,22.7580216980491 58.2653206191761,22.7621810132749 58.2609487071896,22.7646412240138 58.2562331073876,22.765308424526 58.2513551332876)))', 'EEVNP', 'Vinni-Pärdi', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2490273500556 58.030547274993,22.2479542037724 58.0256893919891,22.2451158514105 58.0210358688634,22.2406219550742 58.0167654233123,22.2346455891497 58.0130420015235,22.2274165321302 58.010008502884,22.2192124198425 58.0077813172699,22.210348102483 58.0064458804707,22.2011636104029 58.0060534142738,22.1920111811847 58.0066189729559,22.1832418322689 58.0081208689993,22.1751919786511 58.0105014994618,22.1681705937101 58.0136695423123,22.1624473930662 58.0175034409442,22.1582424868046 58.0218560467348,22.1557178950444 58.0265602456035,22.1549712567361 58.0314353566388,22.1560319832294 58.0362940604752,22.1588600187017 58.0409495934804,22.1633472717006 58.0452229319729,22.1693216792293 58.0489496893411,22.1765537609459 58.0519864583868,22.1847654205442 58.0542163513437,22.1936406588191 58.0555535202534,22.2028377828074 58.0559464796298,22.2120026318298 58.0553801001139,22.2207822976402 58.0538761941882,22.2288387945881 58.0514926707818,22.2358621379096 58.0483212923509,22.2415823138419 58.0444841233142,22.2457796727881 58.0401288101835,22.2482933436402 58.0354228792069,22.2490273500556 58.030547274993)))', 'EEVNR', 'Vintri', 'Y'),('SRID=4326;MULTIPOLYGON(((26.2014718253466 58.3613048429289,26.2006696643992 58.3564319782095,26.1980746931814 58.3517349561551,26.193787264192 58.3473941781517,26.1879725707898 58.3435763000704,26.1808542337591 58.3404278518084,26.1727056827809 58.3380696349728,26.1638396677158 58.336592109637,26.1545962998265 58.336051943044,26.1453300733758 58.3364698490989,26.1363963524262 58.3378297990818,26.128137825522 58.3400796328931,26.1208714319723 58.3431330480573,26.1148762476631 58.346872892387,26.1103827859634 58.3511556373874,26.1075641209412 58.3558168648373,26.1065291767147 58.3606775601249,26.1073184497855 58.3655509743212,26.1099023426311 58.3702497939418,26.1141821893329 58.3745933439382,26.1199939508679 58.3784145464291,26.1271144528053 58.3815663654063,26.13526993588 58.3839274861017,26.1441465948842 58.3854070063548,26.1534026981108 58.3859479552142,26.162681812454 58.3855294996813,26.1716266117831 58.3841677521295,26.1798927209694 58.3819151463224,26.1871620463711 58.3788584067473,26.1931550657578 58.3751151917035,26.1976415953537 58.3708295428461,26.2004496164424 58.3661663204816,26.2014718253466 58.3613048429289)))', 'EEVNS', 'Vanause', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9176794372336 59.2739175130838,23.9163282462517 59.2690778371479,23.9131592214926 59.2644660213929,23.9082947555773 59.2602591642931,23.9019221563721 59.2566187534145,23.8942863929762 59.2536844868765,23.8856806707418 59.2515689353636,23.876435199102 59.2503532451887,23.8669045784055 59.2500840431312,23.8574542788378 59.2507716584787,23.8484467149801 59.2523897285026,23.8402274330857 59.2548762021626,23.8331119245339 59.2581357048894,23.82737355817 59.2620431765638,23.8232330866815 59.2664486470034,23.8208501284129 59.2711829700643,23.820316957163 59.2760643004289,23.8216548501041 59.2809050677515,23.8248131502435 59.2855191823068,23.8296710976855 59.2897291956496,23.8360423769446 59.2933731397051,23.8436822198752 59.29631077846,23.8522968000566 59.2984290278398,23.8615545595142 59.2996463308052,23.8710990271883 59.2999158150435,23.8805626248125 59.2992271083075,23.8895809132937 59.2976067394802,23.8978067136509 59.2951171095745,23.9049235421305 59.2918540736701,23.9106578289438 59.2879432297807,23.9147894424816 59.2835350614773,23.9171601129427 59.2787991256286,23.9176794372336 59.2739175130838)))', 'EEVNT', 'Vintse', 'Y'),('SRID=4326;MULTIPOLYGON(((26.6877066508326 58.5321248503868,26.6868333659591 58.5272551746857,26.6841610185889 58.5225681344535,26.6797929350502 58.5182437434994,26.6738974025828 58.5144480246568,26.6667011378698 58.5113266541498,26.6584805511656 58.5089993924034,26.6495511451862 58.5075555109011,26.6402554528837 58.5070503864129,26.6309499681619 58.5075033897088,26.6219915575227 58.508897147354,26.6137238579559 58.5111782040159,26.6064641668325 58.5142590606387,26.6004913131162 58.5180215125905,26.5960349661462 58.5223211631905,26.5932667891465 58.5269929435598,26.5922937804469 58.5318574311098,26.5931540676244 58.5367277276629,26.5958153304183 58.5414166354834,26.6001759300249 58.5457438564393,26.6060687185669 58.5495429368559,26.6132673971022 58.5526676887398,26.6214951878974 58.5549978368821,26.6304354914803 58.5564436703709,26.6397441158363 58.5569495152635,26.64906259827 58.5564958911145,26.6580320934926 58.5551002658781,26.6663072769852 58.5528163792116,26.6735697120183 58.5497321610137,26.6795401518962 58.5459663276861,26.6839892947684 58.541663790693,26.6867465741708 58.53699005834,26.6877066508326 58.5321248503868)))', 'EEVOD', 'Voldi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5152367770504 58.2159282445059,24.5146691174628 58.211047396373,24.5123085557701 58.206318750478,24.5082464524394 58.2019239356157,24.5026393725666 58.1980316932087,24.4957029993118 58.194791415345,24.4877038141966 58.1923274318029,24.4789488686284 58.1907342613453,24.4697740378038 58.1900730053434,24.4605312002056 58.1903690183953,24.4515748221889 58.1916109426292,24.4432484469909 58.1937511414902,24.4358715905906 58.1967075167473,24.4297275331511 58.2003666409541,24.4250524645375 58.2045880883923,24.4220263961631 58.2092098023054,24.4207661900883 58.2140542966017,24.4213209812536 58.2189354576645,24.4236701819019 58.2236656877655,24.4277241611801 58.2280631169294,24.4333275908065 58.2319586057304,24.4402653433409 58.2352022678469,24.4482707272824 58.2376692582786,24.4570357475104 58.2392646004903,24.4662229950519 58.2399268624805,24.4754787010884 58.239630536498,24.4844464401583 58.2383870280556,24.4927809394051 58.2362442148902,24.5001614460379 58.2332845932375,24.5063041241817 58.2296220847786,24.5109729939602 58.2253976304533,24.5139889876785 58.2207737447889,24.5152367770504 58.2159282445059)))', 'EEVOI', 'Võiste', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6399403909178 59.4147693105733,27.6389083662451 59.4099073707571,27.6360360755539 59.4052414350991,27.6314345530038 59.4009506960751,27.6252810607581 59.3971998732365,27.6178122120343 59.3941329091903,27.6093148574751 59.3918674682878,27.6001150881269 59.3904904448305,27.5905657735557 59.3900546488675,27.5810331034177 59.3905767931513,27.5718826342087 59.3920368561308,27.5634653593649 59.3943788446683,27.5561043201386 59.3975129281813,27.55008225673 59.4013188648633,27.5456307642791 59.4056505922349,27.5429213671158 59.4103418102035,27.5420588580873 59.4152123466378,27.5430771693375 59.420075064679,27.5459379486786 59.4247430488875,27.5505319144482 59.4290367949152,27.5566829549363 59.4327911254221,27.5641548301869 59.4358615637909,27.5726602288001 59.4381299167357,27.5818718350965 59.4395088466225,27.5914349774403 59.4399452531647,27.6009813610182 59.4394223306546,27.6101433415839 59.4379602191214,27.6185681732002 59.4356152235773,27.625931664166 59.4324776323947,27.6319507010303 59.4286682213915,27.6363941494205 59.4243335819807,27.6390917096438 59.4196404575857,27.6399403909178 59.4147693105733)))', 'EEVOK', 'Voka', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1843418522417 58.2643108488164,26.1835441210686 58.2594378142734,26.1809583986956 58.2547403971177,26.1766846783466 58.250399014428,26.1708876241406 58.2465803459939,26.1637901783628 58.2434309528329,26.1556649691039 58.2410716735654,26.1468238521563 58.2395930096423,26.1376059861481 58.2390516723741,26.1283648901148 58.239468420684,26.1194549670486 58.2408272700851,26.1112179948047 58.2430761022659,26.1039700867968 58.2461286525646,26.097989609177 58.249867801283,26.0935065089152 58.2541500459557,26.0906934589665 58.2588109870379,26.0896591634802 58.2636716206074,26.0904440892206 58.2685452000751,26.0930188010344 58.2732444058623,26.097284981954 58.2775885485879,26.1030791156712 58.2814105282726,26.1101787045221 58.2845632797911,26.118310794156 58.2869254532434,26.1271624813071 58.2884061065648,26.1363929981287 58.288948225576,26.1456468996104 58.2885309323405,26.154567833243 58.2871702943052,26.1628123449109 58.2849187020857,26.1700631733926 58.2818628405351,26.1760415079237 58.2781203334602,26.1805177278033 58.2738351946053,26.1833202075538 58.2691722641276,26.1843418522417 58.2643108488164)))', 'EEVOO', 'Voore', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5921030278805 58.0817898399413,27.5911174908714 58.0769264397895,27.5883604358283 58.0722582959262,27.5839384125209 58.0679646919218,27.5780217489683 58.064210466357,27.5708379464202 58.061139702869,27.5626629175014 58.0588702218607,27.5538104070581 58.0574890811851,27.5446199985562 58.0570492544014,27.5354441572949 58.057567610645,27.52663479423 58.0590242713875,27.5185298502725 58.061363368043,27.5114404002652 58.0644951722629,27.5056387584536 58.0682995195766,27.5013480334365 58.0726303985281,27.4987335309287 58.0773215333034,27.4978963381797 58.0821927496399,27.4988693460869 58.0870568830346,27.5016158759785 58.0917269661894,27.5060309804426 58.096023420295,27.5119453847925 58.0997809728693,27.5191319317251 58.1028550337681,27.5273142908111 58.1051272805875,27.536177601254 58.1065102344041,27.5453806353844 58.1069506456239,27.5545690057623 58.1064315561362,27.5633888939843 58.1049729560994,27.5715007567785 58.10263100934,27.5785924659732 58.0994958781096,27.5843913633856 58.0956882333863,27.5886747582298 58.0913545886265,27.5912784607448 58.0866616407128,27.5921030278805 58.0817898399413)))', 'EEVOP', 'Võõpsu', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0111753895093 59.5803804693238,26.0103733914878 59.575507335118,26.0077131560467 59.5708071637945,26.0032976013248 59.5664604739516,25.9972968862342 59.562634141708,25.9899417998824 59.5594750128366,25.9815148646171 59.5571042896811,25.9723394987387 59.5556129039865,25.962767652265 59.5550580488323,25.9531663810769 59.5554609989499,25.9439038603312 59.5568063004356,25.9353353565999 59.5590423598974,25.9277896795236 59.562083411108,25.9215566178242 59.5658127860148,25.9168758315614 59.5700873681751,25.9139276230856 59.5747430620251,25.9128259441559 59.5796010724527,25.9136139175805 59.58447475739,25.9162620605005 59.5891767929038,25.9206692957517 59.5935263765905,25.9266667309874 59.5973561917706,25.9340240764322 59.6005188624259,25.9424584658158 59.6028926470081,25.9516453460179 59.604386147697,25.961231014068 59.6049418494237,25.9708463098715 59.6045383485737,25.9801209231471 59.6031911828945,25.9886977463429 59.6009522295858,25.9962467032564 59.5979076954373,26.0024775058443 59.5941747787476,26.00715083798 59.5898971351636,26.0100875321383 59.5852393263224,26.0111753895093 59.5803804693238)))', 'EEVOS', 'Võsu', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0781638173142 58.8862344073236,23.0769466614703 58.8813852395152,23.0739262587632 58.8767521221903,23.0692192886307 58.8725129796635,23.0630070167376 58.8688305461864,23.0555282715867 58.8658461385925,23.0470702523661 58.8636742555265,23.0379575233422 58.8623982062572,23.028539612935 58.862066932674,23.0191776831082 58.8626931430382,23.0102307659769 58.8642528270076,23.0020420790159 58.8666861700593,22.9949259277214 58.8698998334217,22.9891556850542 58.8737705147276,22.9849533007729 58.8781496565356,22.9824807414813 58.8828691263087,22.9818336948951 58.887747653977,22.9830377910448 58.8925977833036,22.9860475010174 58.8972330721756,22.9907477732462 58.9014752656802,22.9969583617632 58.905161165083,23.0044406943483 58.9081489258947,23.0129070256625 58.9103235389734,23.0220315259993 58.9116012794299,23.0314628748612 58.9119329479063,23.0408378643977 58.9113057760221,23.049795474268 58.9097439205027,23.0579908591237 58.9073075264704,23.0651086937769 58.9040903971817,23.0708753489943 58.9002163626595,23.0750694211775 58.8958344908418,23.0775302091653 58.8911133298843,23.0781638173142 58.8862344073236)))', 'EEVPA', 'Vahtrepa', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((27.170454853857 58.3449456103788,27.1695197082778 58.3400791829524,27.1667975749436 58.3354021483348,27.1623936785156 58.3310941334026,27.1564776666693 58.3273205307032,27.1492770287518 58.3242261671882,27.1410683323925 58.3219297675621,27.1321666179636 58.3205194206158,27.1229133549384 58.3200492184002,27.1136634133682 58.3205371937038,27.104771536918 58.3219646326496,27.0965788205687 58.3242767879804,27.0893996959449 58.3273849665123,27.0835099102544 58.3311699130227,27.079135951318 58.3354863642444,27.0764463217066 58.3401686023419,27.0755450005852 58.3450367988426,27.0764673539662 58.3499039089636,27.0791786647548 58.3545828538966,27.0835753559231 58.3588937159373,27.0894888767323 58.3626706690925,27.0966921170765 58.3657683763344,27.104908113134 58.3680676039061,27.1138207132208 58.3694798324869,27.1230867906195 58.3699506835636,27.1323495244034 58.3694620255641,27.1412522234055 58.3680326763002,27.149452145008 58.3657176738582,27.1566337606533 58.3626061448692,27.1625209439016 58.3588178546331,27.1668876031336 58.3544985754687,27.1695663470936 58.3498144557395,27.170454853857 58.3449456103788)))', 'EEVPE', 'Võõpste', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9286675487626 59.2659134922444,23.9273151535369 59.2610739350928,23.9241454278426 59.2564623878773,23.9192807907054 59.252255938723,23.9129085560964 59.2486160595328,23.9052736787569 59.2456824280483,23.8966693298229 59.243567590637,23.8874256659932 59.2423526662762,23.8778972183834 59.2420842524255,23.8684493740723 59.2427726481788,23.8594444537924 59.2443914608853,23.8512279027368 59.2468786109932,23.844115107816 59.2501386979246,23.8383793339403 59.2540466390547,23.834241234337 59.2584524460732,23.8318603361622 59.2631869597942,23.831328833807 59.2680683274629,23.8326679399058 59.2729089772031,23.8358269503377 59.2775228237396,23.8406850773778 59.281732428897,23.8470559981605 59.2853758403003,23.8546949579666 59.2883128424604,23.863308164145 59.290430375855,23.8725641115626 59.2916469110667,23.8821063990366 59.291915605398,23.8915675324903 59.2912261170543,23.9005831680364 59.2896050050237,23.9088062291786 59.2871146989099,23.9159203379073 59.2838510797648,23.9216520293007 59.2799397679608,23.9257812716558 59.2755312649623,23.9281498862531 59.2707951403931,23.9286675487626 59.2659134922444)))', 'EEVPJ', 'Vihterpalu jõe lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1782978241361 58.2313129689873,26.1775016224427 58.2264398755264,26.1749190608788 58.2217423199021,26.1706500099022 58.2174007246887,26.1648589533752 58.2135817780746,26.1577686028859 58.2104320520213,26.1496513142844 58.2080723981797,26.140818639976 58.2065933325802,26.1316094155612 58.2060515820743,26.1223768296068 58.2064679214738,26.1134749596485 58.2078263819169,26.105245275364 58.2100748598661,26.0980036109152 58.2131271040418,26.0920280927337 58.2168660062561,26.0875484767806 58.2211480732788,26.0847373011159 58.2258089122065,26.0837031964429 58.2306695229367,26.0844866205668 58.2355431597493,26.0870581944531 58.2402425009507,26.0913197204172 58.2445868521292,26.0971078602126 58.2484091055264,26.1042003463004 58.2515621857533,26.1123244977084 58.2539247305162,26.1211677172329 58.2554057836677,26.1303895638585 58.2559483157687,26.139634927398 58.2555314330166,26.148547785041 58.2541711869938,26.1567849943327 58.2519199530766,26.1640295754983 58.2488644021165,26.1700029580655 58.2451221457297,26.174475711205 58.2408371877882,26.1772763416591 58.2361743613114,26.1782978241361 58.2313129689873)))', 'EEVPK', 'Vehendi puhkekeskus', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8087367834786 58.5703369046911,22.8075687840816 58.5654847492087,22.8046120241718 58.5608448190055,22.7999807289041 58.5565953034118,22.7938532539399 58.5528993385087,22.786465174161 58.5498987638455,22.7781002157739 58.5477087011697,22.7690793824572 58.5464131590201,22.7597486888849 58.5460618277549,22.7504659624553 58.5466681846363,22.7415872054458 58.5482089795766,22.7334530245466 58.5506251207554,22.7263756325503 58.5538239272628,22.7206269079179 58.5576826649569,22.7164279622979 58.5620532335614,22.7139406144742 58.5667678293526,22.7132611026913 58.5716453701873,22.7144162874046 58.5764984395524,22.7173625053579 58.5811404850569,22.7219871363126 58.5853929953358,22.7281128391904 58.5890923783947,22.7355043088971 58.5920962743015,22.7438773031437 58.5942890556789,22.7529095948659 58.59558630009,22.7622534249494 58.595938058022,22.7715489660778 58.5953307872564,22.7804382650484 58.5937878770117,22.7885791102521 58.5913687411452,22.7956582743183 58.5881665164811,22.8014036090079 58.5843044575449,22.8055945187636 58.5799311702417,22.8080704081903 58.5752148721917,22.8087367834786 58.5703369046911)))', 'EEVPL', 'Võlupe jõe lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5134557086565 58.3799305634544,24.5128862682602 58.3750498039526,24.5105155869734 58.3703211561318,24.5064354213147 58.3659262482609,24.500803035628 58.3620338243669,24.4938350878716 58.3587932823197,24.4857992721069 58.356328960817,24.4770040435575 58.3547353905224,24.4677868191553 58.354073687397,24.4585010987494 58.3543692228748,24.4495029885661 58.3556106575711,24.4411376284267 58.3577503743388,24.4337260273382 58.3607062944396,24.4275527983409 58.3643650091085,24.4228552531626 58.3685861095995,24.4198142708319 58.3732075535792,24.4185472928528 58.3780518661097,24.4191037222137 58.3829329409107,24.4214629163217 58.3876631834375,24.4255348674754 58.3920607226424,24.4311635619154 58.3959564139023,24.4381329036453 58.3992003619207,24.4461749863877 58.4016677094716,24.4549804008302 58.4032634652022,24.4642101793301 58.4039261804383,24.4735089107879 58.4036303296607,24.4825185081588 58.4023873002558,24.4908920827996 58.4002449521511,24.4983073751205 58.3972857646829,24.5044792101278 58.3936236440435,24.5091704883195 58.3893995175068,24.5122012847609 58.3847758880939,24.5134557086565 58.3799305634544)))', 'EEVPN', 'Vana-Pärnu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0147495013387 59.3258806478807,24.013382250653 59.3210421463282,24.0101951004177 59.3164328761657,24.0053111402616 59.3122298371668,23.9989184261327 59.3085943694316,23.9912626977022 59.3056659806267,23.9826379241423 59.3035570153909,23.9733750431223 59.3023483671102,23.9638293202478 59.3020863924483,23.9543668029896 59.3027811436926,23.9453503735252 59.3044059847615,23.9371259183375 59.3068986052812,23.9300091286661 59.3101633952017,23.9242734250083 59.3140750917122,23.9201394611438 59.3184835624435,23.9177666092326 59.3232195457744,23.9172467584799 59.3281011320855,23.9186006772593 59.3329407404504,23.9217770946525 59.3375523248045,23.9266545550081 59.3417585330601,23.9330459919159 59.3453975426271,23.9407058601543 59.3483293066273,23.949339560306 59.3504409665786,23.9586147957101 59.3516512188481,23.9681744199155 59.351913462579,23.9776502690959 59.3512176045205,23.9866774314061 59.3495904492567,23.9949083863837 59.3470946594776,24.0020264532575 59.3438263277247,24.0077580170916 59.3399112560207,24.0118830543606 59.3355000905772,24.0142435518984 59.3307625032601,24.0147495013387 59.3258806478807)))', 'EEVPP', 'Väike-Pakri paadisild', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0032301128125 58.9322619854639,23.0020216911995 58.9274120962905,22.9990071374626 58.9227772267201,22.9943029094341 58.9185353686672,22.9880901703744 58.9148493607291,22.9806077690669 58.9118606568237,22.9721430465337 58.909683920193,22.9630208247776 58.9084026459673,22.9535909959322 58.9080659761203,22.9442151778413 58.9086868256377,22.9352529334714 58.9102413896967,22.9270480661539 58.9126700502659,22.9199155002129 58.9158796485268,22.9141292370782 58.9197470386099,22.9099118408229 58.9241237900601,22.9074258548075 58.9288418628585,22.9067674838068 58.9337200413299,22.9079627951795 58.9385708833099,22.9109666004802 58.943207919796,22.9156640782278 58.9474528289807,22.9218750928329 58.9511423077603,22.9293610580484 58.9541343738129,22.9378340902829 58.9563138520398,22.9469681024579 58.9575968299266,22.9564114074535 58.9579339061324,22.9658003358004 58.9573121038067,22.9747733286112 58.9557553728291,22.9829849462005 58.9533236611253,22.9901192365787 58.9501105920221,22.9959019357898 58.9462398397934,23.0001110223392 58.9418603467501,23.0025852179447 58.9371405702932,23.0032301128125 58.9322619854639)))', 'EEVPS', 'Värssu paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3674543148669 58.3829846801318,24.3669050283751 58.3781034374215,24.3645537707715 58.3733722462348,24.3604915541143 58.3689728335903,24.3548749560663 58.3650741173411,24.3479200316024 58.3618257374714,24.3398939781029 58.359352333732,24.3311048789251 58.357748785232,24.32188991774 58.3570765904677,24.312602508359 58.357361522938,24.3035988213587 58.3585926495718,24.29522420891 58.3607227483457,24.2878000325056 58.3636701094232,24.2816113847281 58.3673216526517,24.27689616604 58.3715372450264,24.2738359313493 58.3761550564649,24.2725488597138 58.3809977525464,24.273085125358 58.3858792902343,24.2754248611163 58.3906120583523,24.279478809025 58.3950140898088,24.285091650264 58.3989160680612,24.2920479018018 58.4021678565148,24.3000801642264 58.4046442964929,24.3088794089302 58.4062500466461,24.3181069076769 58.4069232732956,24.327407337922 58.4066380458471,24.3364225467766 58.4054053422794,24.3448054279703 58.4032726246906,24.3522333611694 58.4003220016085,24.3584206818566 58.3966670497966,24.3631296916105 58.3924484211856,24.3661797807788 58.387828408097,24.3674543148669 58.3829846801318)))', 'EEVRA', 'Valgeranna', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0343432926175 58.3098849099392,24.0330172429399 58.3050456376435,24.02992368655 58.3004354512043,24.0251820751785 58.2962313904623,24.0189749692154 58.2925948416634,24.0115409701072 58.2896653618786,24.0031655412521 58.2875553453165,23.9941700715491 58.2863457320339,23.9848995967134 58.2860829197218,23.9757096392653 58.2867769938778,23.9669526578496 58.2884013423822,23.9589646097012 58.2908936689657,23.9520521264149 58.2941583680142,23.9464807827442 58.2980701723543,23.9424649012576 58.3024789378154,23.9401592829885 58.3072153851548,23.9396531868047 58.3120975829467,23.9409667996848 58.3169379257213,23.9440503486377 58.3215503412381,23.9487859054735 58.3257574503003,23.9549918315523 58.3293974025834,23.9624297050578 58.3323301228668,23.9708134727531 58.3344427236051,23.9798204762269 58.3356538713234,23.9891039238501 58.3359169347264,23.9983063181095 58.3352217900899,24.0070733069654 58.333595212505,24.0150674096404 58.3310998375988,24.0219810727946 58.3278317350657,24.027548542054 58.3239166902285,24.0315560846973 58.3195053405941,24.0338501692048 58.3147673588215,24.0343432926175 58.3098849099392)))', 'EEVRD', 'Värati Rannasadama paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1522021660241 59.5973275886377,26.1513793780146 59.5924552910997,26.1486981330407 59.5877579556188,26.1442621553047 59.5834159907511,26.1382423858464 59.5795960902467,26.1308703423226 59.5764448523128,26.1224291946176 59.574083176103,26.1132429032958 59.5726016461918,26.103663835121 59.5720570777725,26.0940593216586 59.5724703513654,26.0847976623724 59.573825617513,26.0762340920322 59.5760709009488,26.0686972333914 59.5791200817654,26.0624765399733 59.5828561798954,26.0578112006501 59.5871358204755,26.0548809280773 59.5917947130545,26.053798987877 59.5966539387296,26.054607746169 59.6015268076284,26.057276921648 59.6062260260034,26.0617046275811 59.6105708986458,26.0677211822369 59.6143942891239,26.0750955573868 59.6175490679138,26.0835442281819 59.6199137967984,26.0927420887371 59.6213974264606,26.1023350109764 59.6219428220384,26.1119535541749 59.6215289770837,26.1212272829645 59.6201718280389,26.1297991251012 59.6179236368252,26.1373391985268 59.6148709660335,26.1435575603001 59.6111313270486,26.1482153765247 59.6068486337967,26.1511340798706 59.6021876414698,26.1522021660241 59.5973275886377)))', 'EEVRG', 'Vergi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0343432926175 58.3098849099392,24.0330172429399 58.3050456376435,24.02992368655 58.3004354512043,24.0251820751785 58.2962313904623,24.0189749692154 58.2925948416634,24.0115409701072 58.2896653618786,24.0031655412521 58.2875553453165,23.9941700715491 58.2863457320339,23.9848995967134 58.2860829197218,23.9757096392653 58.2867769938778,23.9669526578496 58.2884013423822,23.9589646097012 58.2908936689657,23.9520521264149 58.2941583680142,23.9464807827442 58.2980701723543,23.9424649012576 58.3024789378154,23.9401592829885 58.3072153851548,23.9396531868047 58.3120975829467,23.9409667996848 58.3169379257213,23.9440503486377 58.3215503412381,23.9487859054735 58.3257574503003,23.9549918315523 58.3293974025834,23.9624297050578 58.3323301228668,23.9708134727531 58.3344427236051,23.9798204762269 58.3356538713234,23.9891039238501 58.3359169347264,23.9983063181095 58.3352217900899,24.0070733069654 58.333595212505,24.0150674096404 58.3310998375988,24.0219810727946 58.3278317350657,24.027548542054 58.3239166902285,24.0315560846973 58.3195053405941,24.0338501692048 58.3147673588215,24.0343432926175 58.3098849099392)))', 'EEVRI', 'Värati', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2468754840625 58.6811732703242,23.2456427201786 58.6763256609543,23.2426183878458 58.671696387781,23.2379193063017 58.667463227287,23.2317264288443 58.6637886845473,23.2242778328429 58.6608137745731,23.2158595573301 58.6586526329242,23.2067946422099 58.6573881581862,23.1974307854589 58.65706884943,23.1881270817945 58.657706956679,23.1792403372078 58.6592780133065,23.17111146798 58.6617217678551,23.1640524900779 58.6649444807429,23.1583345851789 58.6688225004259,23.1541776933215 58.673206985551,23.1517420299377 58.6779295961339,23.1511218578554 58.6828089394149,23.1523417643177 58.6876575262422,23.1553556013199 58.6922889728676,23.1600481474424 58.6965251719206,23.1662394443479 58.7002031557339,23.1736916552955 58.7031813854242,23.1821181909129 58.7053452200345,23.1911947537712 58.7066113509996,23.2005718726293 58.7069310271027,23.2098884337303 58.7062919423947,23.2187856736519 58.7047187123122,23.2269210782922 58.7022719192019,23.2339816367293 58.6990457652397,23.2396959266672 58.6951644258423,23.2438445584156 58.6907772477588,23.2462685740703 58.6860529809513,23.2468754840625 58.6811732703242)))', 'EEVRK', 'Võrkaia', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0182339441853 59.6203779830242,26.0174300290372 59.6155049164728,26.0147657024298 59.6108049062004,26.0103440415305 59.6064584643931,26.004335441058 59.6026324573375,25.9969709934681 59.5994737179781,25.9885335802945 59.5971034333772,25.9793470211436 59.5956125181802,25.9697636942433 59.5950581472431,25.9601510944277 59.5954615766718,25.9508778300194 59.5968073342539,25.9422995786546 59.5990438092915,25.934745523414 59.6020852198862,25.9285057746601 59.6058148845059,25.923820249984 59.6100896758874,25.9208694351786 59.6147454906741,25.9197673841031 59.6196035292501,25.9205572361056 59.6244771484842,25.9232094383302 59.629179026858,25.927622759435 59.6335283677846,25.9336280743609 59.6373578636135,25.9409947908506 59.6405201502663,25.9494396819549 59.6428935006372,25.9586377896222 59.6443865333446,25.9682349774664 59.6449417511599,25.9778616404464 59.6445377690474,25.9871470292463 59.6431901433608,25.9957336203992 59.6409507692007,26.0032909611687 59.6379058698313,26.0095284410041 59.6341726579193,26.0142064877407 59.6298948007708,26.017145754036 59.6252368684769,26.0182339441853 59.6203779830242)))', 'EEVRL', 'Virula', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3576751207172 58.5175047073258,22.3565712449425 58.5126482285252,22.3536784833666 58.5079976959721,22.3491086067794 58.5037317095756,22.3430376195088 58.5000140405733,22.3356989371304 58.4969873635077,22.3273743998068 58.4947678027292,22.3183834690521 58.4934404985367,22.3090710188225 58.4930563589923,22.2997941798062 58.4936301186493,22.29090872769 58.4951397765152,22.282755521451 58.4975274342127,22.2756474961087 58.5007015032369,22.2698576958846 58.504540199166,22.2656087986607 58.5088961924041,22.2630645316025 58.5136022411783,22.2623233118566 58.5184775946945,22.2634143668593 58.5233349240142,22.2662964981323 58.5279875166466,22.2708595532517 58.5322564590545,22.2769285663981 58.5359775299751,22.2842704225419 58.5390075369549,22.2926027983468 58.5412298486939,22.3016050389621 58.5425589060837,22.310930548606 58.5429435341533,22.3202202084095 58.5423689239757,22.3291162908339 58.5408572060277,22.3372763185327 58.5384665923161,22.3443863179829 58.5352891213727,22.3501729444264 58.5314470955307,22.3544140031639 58.5270883513351,22.3569469603693 58.5223805493662,22.3576751207172 58.5175047073258)))', 'EEVRN', 'Veerenina', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1382107531141 59.6033328638075,26.1373898512095 59.5984604871961,26.134710089212 59.5937628731399,26.1302751348324 59.5894204409719,26.1242558903048 59.5855999024276,26.1168838535777 59.5824478802115,26.1084421946114 59.5800853035495,26.0992548937772 59.5786027915168,26.0896743565906 59.578057196927,26.0800679708317 59.578469439612,26.0708041075177 59.5798237096256,26.0622380856206 59.5820680699104,26.0546986215856 59.5851164360077,26.0484752685942 59.588851859181,26.0438073173852 59.5931309905722,26.040874580826 59.5977895594007,26.0397904192695 59.6026486593279,26.0405972844386 59.6075216054375,26.043264968178 59.6122211011211,26.0476916415801 59.6165664405854,26.0537076631161 59.6203904694864,26.0610820255126 59.6235460337446,26.0695312047511 59.6259116648901,26.078730075569 59.6273962788295,26.0883244710243 59.6279427027525,26.0979448935372 59.6275298905683,26.107220835118 59.6261737389243,26.115795137986 59.6239264713399,26.123337824995 59.6208746148844,26.1295588522985 59.6171356496702,26.1342192832266 59.6128534637985,26.1371404498085 59.6081927930664,26.1382107531141 59.6033328638075)))', 'EEVRP', 'Vergi paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7683030215754 58.2473540513503,22.7671520349815 58.2425012102091,22.7642282826087 58.2378599585421,22.7596447088937 58.2336085381946,22.7535778283491 58.2299101607251,22.7462608861247 58.2269067608758,22.7379748798055 58.2247135712673,22.7290377896307 58.223414722382,22.7197924265878 58.2230600326363,22.7105933550544 58.2236631083954,22.7017933778947 58.2252008247522,22.6937300866081 58.2276142064721,22.6867129770275 58.2308106764168,22.6810116121864 58.234667587759,22.6768452786315 58.2390369081007,22.6743745312745 58.2437508799024,22.673694955894 58.2486284440085,22.6748333991635 58.253482182966,22.6777468257277 58.25812551956,22.6823238631598 58.2623798945347,22.6883889920386 58.266081646517,22.6957092338931 58.2690883270259,22.7040030888025 58.2712842039898,22.7129513816521 58.2725847378002,22.7222095959469 58.2729398535254,22.731421210819 58.2723358799487,22.7402315137919 58.270796078662,22.7483013413534 58.2683797423123,22.7553202025838 58.265179897854,22.7610182677804 58.2613197058536,22.7651767527405 58.2569476981594,22.7676362974307 58.2522320414353,22.7683030215754 58.2473540513503)))', 'EEVRR', 'Varese-Ranna', 'Y'),('SRID=4326;MULTIPOLYGON(((26.189406023019 58.3123091429431,26.1886065731452 58.3074361721691,26.1860167345689 58.3027388824071,26.1817366606444 58.2983976856117,26.175931260925 58.2945792541078,26.16882379881 58.2914301394447,26.1606872867839 58.2890711691889,26.151834013622 58.2875928326305,26.1426036030937 58.2870518283233,26.1333500539658 58.2874689023537,26.1244282454717 58.2888280578185,26.1161804102686 58.2910771648719,26.1089230779513 58.2941299486082,26.1029349764319 58.2978692807214,26.0984463461813 58.3021516520501,26.095630074039 58.3068126584689,26.0945949899952 58.3116732937225,26.0953815934708 58.3165468111995,26.0979603871712 58.3212458936032,26.1022328992229 58.3255898560665,26.1080353713001 58.3294116052169,26.1151449857139 58.3325640844241,26.1232884023152 58.3349259538998,26.1321522811713 58.3364062829734,26.1413953838908 58.3369480697482,26.1506617794326 58.3365304490139,26.1595946328098 58.3351695009046,26.1678500298803 58.3329176281807,26.1751102898248 58.3298615267965,26.1810962390297 58.3261188301403,26.1855779646977 58.3218335595943,26.1883836311514 58.3171705606631,26.189406023019 58.3123091429431)))', 'EEVRS', 'Väike-Rootsi', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0398008980463 57.8489939527957,27.0388963844833 57.8441261916246,27.0362288052305 57.839446012172,27.0319012702896 57.8351331651019,27.0260804822629 57.8313532323252,27.0189902697792 57.8282512878982,27.0109029649744 57.8259463512915,27.0021289594822 57.8245268418743,26.9930048369675 57.8240472050041,26.9838805290263 57.8245258357463,26.9751059743115 57.8259443775926,26.9670177773971 57.8282484222772,26.9599263639051 57.8313495846457,26.9541041117769 57.8351288752602,26.9497749055572 57.8394412447635,26.9471055117782 57.8441211296583,26.9461991099746 57.8489887906916,26.9470912370029 57.853857203939,26.9497483142344 57.8585392422472,26.9540688305036 57.8628548719587,26.9598871517386 57.8666380875314,26.9669798248605 57.8697433151332,26.9750741431267 57.8720510354597,26.9838586471688 57.8734724053451,26.9929951550116 57.8739526961917,27.002131849502 57.8734734133722,27.0109169062442 57.8720530126678,27.0190121218243 57.8697461853391,27.0261060020934 57.8666417401734,27.0319257935688 57.8628591663852,27.0362479863211 57.8585440131647,27.0389068815562 57.8538622678044,27.0398008980463 57.8489939527957)))', 'EEVRU', 'Võru', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4477507490566 58.574470963303,22.4466325068384 58.5696153639658,22.443723033286 58.5649669736993,22.4391347423231 58.5607043092468,22.4330443453685 58.5569910134395,22.4256860019608 58.5539695922208,22.4173423048036 58.5517559677106,22.4083334480695 58.5504350521551,22.3990049908881 58.5500575084937,22.389714675868 58.5506378184483,22.380818794336 58.5521537301042,22.3726586051519 58.5545471055923,22.3655473122327 58.5577261374221,22.3597580872968 58.5615688509957,22.3555135891315 58.5659277625753,22.3529773794935 58.5706355181658,22.3522475696089 58.5755113009936,22.3533529516726 58.5803677649777,22.3562517788765 58.5850182300782,22.3608332581062 58.5892838636777,22.366921714969 58.5930005709199,22.3742832852913 58.5960253265014,22.3826348851044 58.5982417006757,22.3916551171291 58.5995643625844,22.4009966904491 58.5999423834211,22.4102998656389 58.599361208818,22.4192063935245 58.5978432223252,22.4273733944337 58.5954468776875,22.4344866274283 58.5922644344219,22.4402726254343 58.5884183864868,22.4445092209385 58.5840567252461,22.4470340552941 58.5793472233051,22.4477507490566 58.574470963303)))', 'EEVSE', 'Varese', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5234708449276 58.3909269639044,24.5228998823988 58.386046245181,24.520527156867 58.3813177749691,24.5164445037651 58.3769231746007,24.5108092831661 58.3730311761699,24.5038382618726 58.3697911610938,24.495799251738 58.3673274477445,24.4870008302479 58.3657345433809,24.4777805364438 58.3650735383831,24.4684919875285 58.3653697774109,24.4594913979083 58.3666118941318,24.4511240023315 58.3687522453,24.4437108878857 58.3717087279128,24.4375367258657 58.3753679116913,24.4328388641753 58.3795893699362,24.4297981945008 58.3842110466002,24.4285321469254 58.389055457793,24.4290900892859 58.393936493389,24.4314513213666 58.3986665602607,24.4355257575064 58.4030637939996,24.4411572885911 58.4069590616053,24.4481297095162 58.4102024839592,24.456174995351 58.4126692239615,24.4649836131929 58.4142643135725,24.4742164716978 58.4149263297272,24.4835180407978 58.4146297738261,24.4925301238781 58.4133860604429,24.5009057364132 58.4112430759013,24.5083225403591 58.4082833241118,24.5144953027309 58.4046207330563,24.5191868887124 58.400396248161,24.5222173620387 58.3957723862526,24.5234708449276 58.3909269639044)))', 'EEVSG', 'Vana-Sauga kai', 'Y'),('SRID=4326;MULTIPOLYGON(((27.784362715278 59.009716252847,27.7833228657209 59.004855176767,27.7804652372082 59.0001921045966,27.7759002801727 58.9959061196582,27.7698038364534 58.9921617609013,27.7624103192208 58.989102725503,27.7540036850537 58.9868463765356,27.7449065479944 58.9854792622312,27.7354678498616 58.9850538145737,27.7260495502798 58.9855863503687,27.7170128328169 58.9870564491886,27.7087043397559 58.9894077313485,27.7014429471091 58.9925500070348,27.6955075735082 58.9963627166457,27.6911264818668 59.0006995340073,27.688468481795 59.0053939600849,27.6876363746487 59.0102656967104,27.6886629033154 59.0151275591568,27.691509377469 59.0197926643918,27.6960670448256 59.024081619578,27.7021611733352 59.0278294335732,27.709557702301 59.0308918831718,27.7179722166385 59.0331510855204,27.7270809026223 59.0345200579846,27.7365330602129 59.0349460856918,27.7459646807016 59.0344127635292,27.7550125525297 59.0329406316417,27.7633283352619 59.0305863792312,27.7705920431011 59.0274406483055,27.7765244049524 59.0236245244955,27.7808976164172 59.0192848537557,27.7835440675723 59.0145885695213,27.784362715278 59.009716252847)))', 'EEVSK', 'Vasknarva Reisisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0134801200782 58.3693745651094,26.0127037065027 58.3645006160312,26.0101331629524 58.3597998733668,26.005867906147 58.355452882722,26.0000722816363 58.3516265395366,25.9929691822986 58.348467699294,25.9848314570398 58.3460975626516,25.975971443667 58.3446070469095,25.966729025344 58.3440533172704,25.9574586605697 58.344457607387,25.9485158712425 58.3458044103249,25.9402436914577 58.3480420699787,25.9329595809574 58.3510847508959,25.9269432915849 58.3548157131184,25.9224261429571 58.3590917697891,25.9195821154277 58.3637487605577,25.9185211052179 58.3686078348794,25.9192846097844 58.3734823075928,25.9218440230619 58.3781848260066,25.9261016228122 58.3825345741741,25.9318942292039 58.3863642368482,25.9389994088434 58.3895264531837,25.947143996121 58.3918995085433,25.9560146085509 58.3933920412783,25.9652697493582 58.3939465791166,25.9745530231574 58.3935417653639,25.983506942765 58.3921931866738,25.9917867795996 58.3899527694945,25.9990739082037 58.3869067690874,26.0050881172586 58.3831724307729,26.0095984038601 58.3788934553876,26.0124318323376 58.3742344476289,26.0134801200782 58.3693745651094)))', 'EEVSN', 'Vanasauna', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1582776344568 58.2163203254602,26.1574844938519 58.2114471037676,26.1549056496941 58.2067491421067,26.1506408292338 58.2024068788511,26.1448543537538 58.1985870280459,26.137768759138 58.1954361965462,26.1296562191075 58.1930752785693,26.1208281044157 58.1915948387367,26.1116230763433 58.1910516566467,26.1023941630306 58.1914665619964,26.0934953015188 58.1928236408578,26.0852678462242 58.1950708425924,26.0780275456569 58.1981219647799,26.0720524734963 58.201859942204,26.0675723679289 58.2061413170882,26.0647597849978 58.2108017231157,26.0637234085815 58.215662176884,26.0645037829468 58.2205359388343,26.067071645613 58.2252356826401,26.0713289411608 58.2295806986131,26.0771124939081 58.2334038536324,26.0842002129339 58.2365580378068,26.0923196010983 58.2389218465042,26.1011582450831 58.2404042750166,26.1103758806171 58.2409482409866,26.1196175601849 58.2405327953783,26.1285274031956 58.2391739343692,26.1367623833973 58.2369239799145,26.1440056066824 58.2338695535114,26.1499785544174 58.2301282234138,26.1544518118437 58.2258439578117,26.1572538654872 58.2211815631072,26.1582776344568 58.2163203254602)))', 'EEVSP', 'Väikesapi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1145312489128 58.4063372440626,26.1137401223662 58.4014639002083,26.1111534744617 58.3967651734356,26.1068713409655 58.392421531046,26.1010587149043 58.3885997391092,26.0939391403472 58.3854464777498,26.0857860964114 58.3830827330866,26.0769125063604 58.3815991769665,26.0676587720515 58.3810527076298,26.0583797844441 58.3814642804413,26.0494313954091 58.3828181094377,26.0411568540584 58.38506226934,26.0338737119588 58.3881106755936,26.0278616858961 58.3918463686781,26.0233519345681 58.3961259800799,26.020518157289 58.4007852126577,26.0194698594294 58.4056451292249,26.0202480523379 58.4105190115316,26.0228235668952 58.4152195287328,26.0270980622847 58.4195659409511,26.0329077083134 58.4233910604361,26.0400294145984 58.4265477004744,26.0481893774898 58.4289143605737,26.0570736203774 58.4303999250379,26.0663401196048 58.4309471898739,26.0756320408663 58.4305350786091,26.084591563256 58.4291794591814,26.092873742708 58.4269325294477,26.1001598648248 58.4238807956445,26.1061697591436 58.4201417238822,26.1106725915086 58.4158591970469,26.1134957159566 58.4111979561278,26.1145312489128 58.4063372440626)))', 'EEVSR', 'Väikesaare', 'Y'),('SRID=4326;MULTIPOLYGON(((23.8914082733219 58.3539373206828,23.8900998948614 58.3490964476305,23.8870208276331 58.3444827096766,23.8822899706401 58.3402732838145,23.8760894753259 58.3366297627107,23.8686576930283 58.3336919711556,23.8602800048892 58.3315726221225,23.8512778881209 58.3303530133267,23.8419966337016 58.3300799254166,23.8327921765834 58.3307638376062,23.8240175294385 58.3323785272985,23.8160093243163 58.3348620687348,23.8090749630984 58.3381191936638,23.8034808573532 58.3420249261998,23.7994422014326 58.3464293561579,23.7971146700704 58.3511633718884,23.7965883644061 58.3560451365772,23.7978842498719 58.3608870625703,23.8009532379214 58.3655030177852,23.8056779640146 58.3697154876713,23.8118772100839 58.3733624161377,23.8193128149812 58.3763034596538,23.8276988156114 58.3784254101645,23.8367124692618 58.3796465739026,23.8460067285662 58.3799199334931,23.8552236786932 58.379234968361,23.8640084050203 58.3776180614047,23.8720227410331 58.3751314759419,23.8789583514795 58.3718709436498,23.8845486346111 58.3679619591544,23.888578978037 58.3635549277217,23.8908949725264 58.3588193570515,23.8914082733219 58.3539373206828)))', 'EEVST', 'Vaiste', 'Y'),('SRID=4326;MULTIPOLYGON(((26.7834989875849 58.3780890882523,26.7826162426959 58.3732199432652,26.7799427778078 58.3685347851488,26.7755819543072 58.3642135553898,26.7697017739703 58.3604221558809,26.7625283594458 58.3573060978532,26.7543372418243 58.3549849388743,26.74544279347 58.3535477173051,26.7361862089092 58.3530495552727,26.7269224862246 58.3535095569742,26.7180068951129 58.3549100805651,26.709781434913 58.3571974107003,26.7025617862372 58.3602838067002,26.6966252433295 58.3640508500652,26.6922000812043 58.3683539663719,26.6894567625709 58.373027952151,26.688501325505 58.3778932987622,26.6893712152422 58.3827630740192,26.6920337343904 58.3874500996799,26.6963871879513 58.3917741499419,26.7022646961564 58.3955688935167,26.7094405431684 58.3986883100699,26.7176388275758 58.4010123307286,26.7265440859376 58.4024514814665,26.7358134780006 58.4029503464575,26.7450900558526 58.402489714485,26.7540165927109 58.4010873233469,26.7622494228443 58.3987971727061,26.7694717436365 58.3957074326391,26.775405854041 58.3919370307496,26.7798238493737 58.3876310527659,26.7825563580057 58.3829551378208,26.7834989875849 58.3780890882523)))', 'EEVTR', 'Väike-Turu', 'Y'),('SRID=4326;MULTIPOLYGON(((24.561858505691 59.3879224930173,24.5612690564222 59.3830424821959,24.5588252708312 59.3783148765394,24.5546217605386 59.3739212600289,24.5488205619587 59.3700303205972,24.5416448338572 59.366791391354,24.5333702480024 59.3643287412329,24.5243144087545 59.3627368299918,24.5148247060758 59.3620767052814,24.5052650598722 59.3623736761361,24.4960020507732 59.3636163493439,24.4873909527734 59.3657570643691,24.4797621863153 59.3687137105526,24.4734086963462 59.3723728589278,24.4685747288693 59.376594091873,24.4654464320441 59.381215368662,24.4641446448673 59.3860592253666,24.4647201592426 59.3909395749946,24.4671516517543 59.3956688495533,24.4713463822893 59.400065210987,24.477143651073 59.403959553474,24.4843208976188 59.4072020258206,24.4926022189933 59.4096678196878,24.5016689854164 59.41126199671,24.5111721433618 59.4119231642914,24.5207457244775 59.4116258546294,24.530021026666 59.4103815125166,24.538640904419 59.408238052565,24.5462736006572 59.4052780033244,24.5526255721633 59.4016153118464,24.5574528041104 59.3973909351581,24.5605701737646 59.3927673925911,24.561858505691 59.3879224930173)))', 'EEVTS', 'Vatsla', 'Y'),('SRID=4326;MULTIPOLYGON(((25.792278551496 59.6534629991801,25.7915066796148 59.6485886911098,25.7888714367505 59.6438842219982,25.7844747873812 59.6395302768316,25.7784861713777 59.6356940111219,25.7711359199203 59.6325226522175,25.7627063750751 59.6301378715804,25.7535210585981 59.6286311397224,25.7439323032449 59.6280602376553,25.7343078121581 59.628447054889,25.7250166477906 59.629776755807,25.7164151707101 59.6319983453091,25.7088334502357 59.6350266126596,25.7025626531752 59.6387453812388,25.6978438841919 59.6430119430686,25.6948589020869 59.6476625122542,25.6937230714365 59.6525184924352,25.69448083 59.6573933214649,25.6971038610908 59.6620996331402,25.7014920593608 59.6664564619618,25.7074772715436 59.6702962134079,25.7148296846637 59.6734711294591,25.7232666275655 59.6758589971097,25.7324634522079 59.6773678758771,25.7420660738201 59.6779396579017,25.7517046782436 59.6775523197077,25.7610080543936 59.676220776223,25.7696179825675 59.6739963030627,25.7772031068449 59.6709645499741,25.7834717422238 59.6672422242492,25.7881831131414 59.662972575409,25.791156587087 59.658319859317,25.792278551496 59.6534629991801)))', 'EEVTU', 'Valge-Tiiru', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7843613124954 59.0087162560392,27.7833214944522 59.0038551791329,27.7804639500948 58.9991921060335,27.7758991265786 58.9949061201038,27.7698028605835 58.9911617603379,27.7624095584408 58.9881027239597,27.7540031684758 58.9858463740865,27.7449062953766 58.9844792589918,27.735467870863 58.9840538106944,27.7260498440968 58.9845863460253,27.7170133882135 58.9860564445735,27.7087051354871 58.9884077266598,27.7014439527225 58.9915500024668,27.6955087504947 58.9953627123804,27.6911277851202 58.9996995302074,27.6884698613261 59.0043939568884,27.6876377774922 59.0092656942282,27.6886642755575 59.0141275574709,27.6915106663201 59.0187926635551,27.6960682006571 59.0230816196155,27.7021621516018 59.0268294344829,27.7095584652718 59.029891884926,27.717972734868 59.0321510880665,27.727081156101 59.0335200612463,27.7365330391507 59.0339460895695,27.7459643859113 59.033412767901,27.7550119953955 59.0319406363649,27.7633275372932 59.0295863841451,27.7705910350911 59.0264406532354,27.776523225775 59.0226245292584,27.7808963115122 59.0182848581671,27.7835426871803 59.0135885734037,27.7843613124954 59.0087162560392)))', 'EEVUS', 'Vasknarva Uussadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1305312644667 58.4252185621396,23.1293242704191 58.4203695083106,23.1263379236132 58.415737103886,23.1216875751795 58.4114992476127,23.1155523019292 58.4078186271835,23.1081679690335 58.4048364932345,23.0998181523959 58.4026672605898,23.0908232715311 58.4013941397555,23.0815283458795 58.4010659622437,23.0722898344617 58.4016953182373,23.0634620496841 58.4032580760158,23.0553836504048 58.4056943011167,23.0483647168093 58.4089105411524,23.0426748902534 58.4127833912625,23.0385330253214 58.4171642071014,23.0360987495415 58.4218847886969,23.0354662595618 58.4267638210779,23.0366606026658 58.4316138276977,23.0396366014601 58.4362483716457,23.0442804802043 58.4404892284524,23.0504141470406 58.4441732536218,23.0578019813635 58.4471586781769,23.0661598742119 58.4493305863285,23.0751661765423 58.450605360248,23.0844741300977 58.4509339167557,23.0937252924738 58.4503036079697,23.1025634252673 58.4487387106651,23.1106482942275 58.446299485028,23.1176688342205 58.4430798402515,23.1233551593347 58.4392036995367,23.1274889480516 58.4348202081939,23.1299118023745 58.4300979735158,23.1305312644667 58.4252185621396)))', 'EEVVA', 'Värava', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5931255771722 59.551537225242,25.5923846460674 59.546661800279,25.5897850149405 59.5419534048903,25.5854272777653 59.5375928767908,25.5794793802196 59.533747626119,25.5721700928405 59.5305652267123,25.5637801899417 59.5281677748867,25.5546316776815 59.5266472279601,25.5450754824286 59.5260618970154,25.5354780629863 59.5264342246563,25.5262074462848 59.52774993034,25.5176192052482 59.5299585549546,25.5100428993965 59.5329753843495,25.5037694833454 59.536684680253,25.49904015595 59.5409440981373,25.4960370739443 59.5455901267801,25.4948762894744 59.550444345141,25.4956031922999 59.5553202601782,25.4981906466423 59.5600304657101,25.5025399123309 59.5643938484444,25.508484333396 59.5682425636511,25.5157956685671 59.5714285100492,25.5241928317766 59.5738290513249,25.5333527115519 59.5753517598193,25.5429226509218 59.5759379953694,25.5525340986621 59.5755651776533,25.5618168921573 59.5742476618235,25.5704136046748 59.5720361825709,25.5779933869898 59.5690158886396,25.5842647552302 59.5653030457457,25.5889868223056 59.5610405384141,25.5919785368019 59.5563923482068,25.5931255771722 59.551537225242)))', 'EEVVI', 'Väike-Villemi', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7883430391162 58.9957148048087,27.7873030672444 58.9908537504991,27.7844460767398 58.9861907547121,27.7798824928467 58.9819048978718,27.7737881041468 58.9781607140809,27.7663972446044 58.9751018938961,27.7579937687231 58.9728457922338,27.7489001695137 58.9714789479315,27.7394652534068 58.9710537826837,27.730050835399 58.971586602494,27.7210179506397 58.9730569760284,27.7127130947936 58.975408513008,27.7054550045869 58.9785510137511,27.6995224719761 58.9823639099039,27.6951436506423 58.9867008680091,27.6924872626118 58.9913953835138,27.6916560467215 58.9962671547263,27.6926827108941 59.0011289955389,27.6955285588451 59.0057940237426,27.7000848616819 59.0100828494968,27.706176939299 59.0138304867093,27.7135708095773 59.0168927190715,27.7219821596596 59.0191516721936,27.7310872977608 59.0205203731287,27.7405356607568 59.0209461175258,27.7499633864802 59.0204125112112,27.7590074137991 59.0189401052572,27.7673195506939 59.0165855993608,27.7745799519662 59.013439645195,27.7805094738246 59.0096233368661,27.7848804209511 59.0052835273041,27.7875252700978 59.0005871551695,27.7883430391162 58.9957148048087)))', 'EEVVN', 'Vasknarva Paadisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((27.3475146391958 58.3898799314186,27.3465539142603 58.3850148684622,27.343804900293 58.3803416689844,27.3393738541975 58.3760398111198,27.3334314643346 58.3722744497429,27.3262062295935 58.3691900944967,27.317975657838 58.3669050854255,27.3090556249949 58.3655070740982,27.299788300077 58.3650496795054,27.2905290904479 58.3655504435668,27.2816330946759 58.3669901623901,27.2734415667898 58.3693136181687,27.2662688953816 58.3724316845107,27.2603905838012 58.3762247268135,27.2560326839302 58.3805471707455,27.2533630863128 58.3852330676683,27.2524850047416 58.3901024475135,27.2534329152469 58.3949682187013,27.2561711198685 58.3996433524248,27.2605950073267 58.4039480760785,27.2665349790996 58.4077167984981,27.2737629044338 58.4108044983526,27.2820008658504 58.4130923264111,27.2909318624149 58.4144922019389,27.300212055986 58.4149502221372,27.3094840800609 58.4144487498432,27.3183908851846 58.4130070967714,27.3265895717013 58.410680775201,27.3337646611837 58.4075593478152,27.3396402821556 58.4037629609053,27.3439907923594 58.3994376979887,27.3466494262621 58.3947499368682,27.3475146391958 58.3898799314186)))', 'EEVVR', 'Virvissaare', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6167217267832 58.5780368211895,23.6154419027626 58.5731930874791,23.6123782439203 58.5685727800924,23.6076490704862 58.5643533291235,23.6014364809628 58.5606967120468,23.5939792998304 58.5577432554506,23.5855638880077 58.5556062720353,23.5765131709063 58.5543677344713,23.5671743007042 58.5540751480662,23.5579054160134 58.5547397389674,23.5490619925313 58.5563360254436,23.5409832920001 58.5588027883123,23.5339794136284 58.5620454045547,23.5283194320774 58.5659394573114,23.5242210694984 58.570335487513,23.5218422965665 58.575064709034,23.5212751900607 58.5799454720692,23.522542293852 58.5847902298495,23.5255956383832 58.5894127431178,23.530318473684 58.5936352459553,23.5365296661772 58.5972952962686,23.5439906040712 58.6002520447906,23.5524143545178 58.6023916776546,23.5614767226262 58.6036318188349,23.5708287824562 58.6039247188875,23.5801103873909 58.6032591039148,23.5889641251879 58.6016606115539,23.5970491638433 58.5991907968141,23.6040544392284 58.5959447473344,23.6097106640031 58.5920474026535,23.6138006879544 58.5876487230063,23.6161678098885 58.5829178978715,23.6167217267832 58.5780368211895)))', 'EEVVS', 'Virtsu Vanasadam', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1442429331123 58.1903254235551,26.1434522607325 58.1854521014662,26.1408771214589 58.1807538471523,26.1366170992744 58.1764111104322,26.1308363306226 58.1725906237708,26.1237571321464 58.1694390186746,26.1156514323385 58.1670772192643,26.1068303400735 58.1655958241409,26.0976322480162 58.1650516496363,26.088409919087 58.1654655635204,26.079517038494 58.1668216898244,26.071294731703 58.1690680143173,26.0640585498186 58.1721183680667,26.058086408178 58.1758557151707,26.0536079317828 58.1801366219011,26.0507956130832 58.1847967398243,26.0497581245508 58.1896570965866,26.0505360518593 58.1945309564216,26.0531002253605 58.1992309893834,26.0573527305093 58.2035764748707,26.0631305752638 58.2074002619441,26.0702118881213 58.2105552166398,26.0783244186969 58.2129199048907,26.0871560181953 58.2144032882954,26.0963666943193 58.2149482478235,26.1056017683353 58.2145337961923,26.114505614708 58.2131758912378,26.1227354385294 58.2109268179751,26.1299745442962 58.2078731638123,26.13594457154 58.2041324671097,26.1404162171603 58.1998486715414,26.1432180286319 58.1951865653397,26.1442429331123 58.1903254235551)))', 'EEVYA', 'Variku', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8441200877941 59.561818301144,24.8434873519848 59.5569394623113,24.8409919180063 59.5522169879917,24.8367303868357 59.547832262243,24.830867024316 59.5439536287779,24.8236273730878 59.5407299458057,24.8152895524018 59.5382848952301,24.8061735850297 59.5367122603798,24.7966291591077 59.5360723490841,24.7870222860593 59.5363896954483,24.7777213527376 59.5376521257215,24.7690830859715 59.5398112228376,24.7614389505116 59.5427841722766,24.7550824869239 59.5464569205405,24.7502580644973 59.5506885285038,24.7471514762413 59.5553165568323,24.7458827394459 59.5601632811876,24.7465013874219 59.5650425025169,24.7489844478869 59.5697666937041,24.753237203617 59.5741542093145,24.7590967247513 59.578036280905,24.766338053469 59.5812635268432,24.7746828151411 59.5837117227959,24.7838099302957 59.5852866065787,24.7933680136468 59.5859275279821,24.8029889745475 59.5856097991204,24.8123022813927 59.5843456519768,24.8209493235946 59.5821837649957,24.8285973004231 59.5792073774297,24.8349520865021 59.5755310662005,24.8397695679326 59.571296312863,24.8428650084109 59.5666660356052,24.8441200877941 59.561818301144)))', 'EEVYB', 'Viigi', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8042699715667 59.647458465364,25.8034964869726 59.6425842184977,25.8008600236206 59.637879982306,25.7964625924224 59.6335264327655,25.7904736628164 59.6296907101658,25.7831235776212 59.6265200210083,25.7746946722268 59.6241360110809,25.765510443699 59.622630121371,25.7559231830552 59.622060100636,25.7463005362449 59.6224478046242,25.7370114952338 59.6237783637324,25.7284123394576 59.6260007499393,25.7208330495063 59.6290297219115,25.714564699198 59.6327490759266,25.7098482994576 59.6370160814453,25.706865518156 59.6416669354285,25.7057316352245 59.6465230304621,25.7064910133256 59.6513977998778,25.7091152731473 59.6561038796726,25.7135042616528 59.6604603131989,25.7194897947283 59.6642995211068,25.72684204665 59.6674737662889,25.7352783521677 59.6698608615845,25.7444740876158 59.671368896286,25.7540752101512 59.6719397950802,25.7637119634733 59.6715515685415,25.7730132080238 59.6702191658273,25.7816208064867 59.6679938956314,25.789203492951 59.6649614383495,25.7954696765137 59.6612385283108,25.8001786761218 59.6569684374269,25.8031499505092 59.6523154384551,25.8042699715667 59.647458465364)))', 'EEVYC', 'Viinistu', 'Y'),('SRID=4326;MULTIPOLYGON(((21.8594994573444 58.3816900898913,21.8584685397823 58.3768291259518,21.8556526453079 58.3721671591831,21.8511605929439 58.3678832327373,21.8451654039125 58.3641418102465,21.8378975928181 58.3610864807408,21.829636290656 58.3588344697584,21.8206985435051 58.357472163155,21.8114271942191 58.3570518112787,21.8021778028426 58.3575895365468,21.7933050938966 58.3590647186437,21.7851494345139 58.3614207802464,21.7780238464128 58.3645673440963,21.7722020368715 58.3683836811144,21.7679078995041 58.3727233208417,21.7653068853446 58.3774196514377,21.7644995795299 58.3822922984042,21.7655177402402 58.3871540405729,21.7683229666014 58.3918179999836,21.7728080637132 58.3961048301231,21.7788010692291 58.3998496252988,21.7860718009685 58.4029082830202,21.7943406832976 58.405163071058,21.8032895161272 58.4065271807747,21.8125737689079 58.4069480873136,21.8218359171513 58.4064095838149,21.8307192942161 58.4049324090733,21.8388819088437 58.4025734437742,21.8460096804445 58.3994235072384,21.8518285693256 58.3956038420059,21.8561151265204 58.3912614252259,21.8587050550084 58.3865632915195,21.8594994573444 58.3816900898913)))', 'EEVYD', 'Vilsandi', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7652853877877 59.6584731640414,25.7645173281159 59.653598713348,25.7618854866316 59.6488937167256,25.7574916977448 59.6445388796018,25.7515052921909 59.6407013918646,25.7441565170217 59.6375285278366,25.7357276582901 59.6351420167461,25.7265422118979 59.6336333954545,25.7169525158215 59.633060517379,25.7073263092636 59.6334453477399,25.6980327202057 59.6347731270612,25.6894282017534 59.6369929339188,25.6818429393147 59.6400196259842,25.6755682349953 59.6437370871613,25.6708453428905 59.6480026597892,25.6678561797345 59.6526525961381,25.6667162705474 59.6575083243714,25.6674702099126 59.6623832922514,25.6700898283088 59.6670901284542,25.6744751521784 59.6714478474932,25.6804581395096 59.6752888207358,25.6878090636476 59.6784652432229,25.6962453113827 59.6808548439831,25.7054422619063 59.68236561578,25.715045825841 59.6829393778008,25.7246861527244 59.6825540302522,25.7339919648795 59.6812244113476,25.7426049483429 59.6790017225715,25.7501936289867 59.6759715449992,25.7564661843184 59.6722505253639,25.7611816874105 59.6679818630694,25.7641593464411 59.6633297762184,25.7652853877877 59.6584731640414)))', 'EEVYE', 'Võrgukuivatusplats', 'Y'),('SRID=4326;MULTIPOLYGON(((27.6669776080996 57.9867623835742,27.6659846238948 57.9818995070327,27.6632252274266 57.9772329201245,27.6588060535644 57.9729418465071,27.6528973167267 57.9691910277986,27.6457262108487 57.9661244173075,27.6375681597449 57.9638596766592,27.6287362568721 57.9624836824584,27.619569296599 57.9620492113699,27.6104188473121 57.9625729274217,27.6016358490719 57.9640347465393,27.593557234478 57.9663786019863,27.5864930706557 57.9695145822608,27.5807147028283 57.9733223618166,27.5764443460944 57.9776557964794,27.5738465223867 57.9823485112985,27.5730216751674 57.9872202704068,27.5740022167099 57.9920838877308,27.576751173911 57.9967524153734,27.581163501184 58.0010463342184,27.587070026443 58.0048004694882,27.5942438924489 58.0078703629582,27.6024092551859 58.0101378531989,27.6112519080684 58.0115156450045,27.6204314201349 58.0119506880406,27.6295943120987 58.0114262312051,27.6383877496115 58.0099624713505,27.6464732107878 58.0076157706732,27.6535395861737 58.0044764738363,27.6593151938586 58.0006654113028,27.6635782389539 57.9963292270504,27.6661653126586 57.9916347146291,27.6669776080996 57.9867623835742)))', 'EEVYF', 'Värska', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5742472313262 58.9580489253641,23.5729578270633 58.9532050866142,23.5698647821576 58.948584217684,23.5650875622157 58.9443637686875,23.5588101225964 58.9407057530418,23.5512737831775 58.9377505481855,23.5427679424345 58.9356115310637,23.5336189894468 58.9343707499628,23.524177834807 58.9340757946567,23.5148065283953 58.9347379816291,23.5058644626752 58.9363319219893,23.4976946740531 58.9387964882629,23.4906107516864 58.9420371442473,23.4848848429537 58.9459295513077,23.4807372079216 58.9503243165615,23.4783277221936 58.9550527050424,23.477749659557 58.9599331007214,23.4790260044324 58.9647779716563,23.4821084514546 58.9694010737874,23.4868791484479 58.9736246170166,23.4931551331153 58.9772861168586,23.5006953070862 58.9802446654376,23.5092096881125 58.9823863767568,23.518370586935 58.9836287923617,23.527825274314 58.9839240736397,23.5372096401286 58.9832608544806,23.5461623037363 58.9816646809164,23.5543386152974 58.9791970204074,23.5614239925983 58.975952880226,23.5671460667636 58.9720571294446,23.5712851615084 58.9676596699965,23.5736827014112 58.9629296470143,23.5742472313262 58.9580489253641)))', 'EEWJS', 'Westmeri Jahisadam', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5732500625264 58.9600492778652,23.5719607156059 58.955205430065,23.5688676171011 58.9505845389177,23.564090234778 58.9463640553878,23.5578125303103 58.9427059942097,23.550275833792 58.9397507345571,23.5417695574185 58.9376116554634,23.532620106965 58.9363708075791,23.523178412062 58.9360757832299,23.5138065432497 58.9367379015426,23.5048639144953 58.9383317762617,23.4966935837428 58.9407962824386,23.4896091609084 58.9440368861899,23.4838828125646 58.9479292509028,23.479734815675 58.9523239853396,23.4773250597938 58.9570523557355,23.4767468291695 58.9619327467717,23.4780231147805 58.9667776266941,23.4811056136487 58.9714007511015,23.4858764717059 58.9756243290362,23.4921527205407 58.9792858746696,23.4996932516699 58.9822444783512,23.5082080691168 58.9843862519493,23.5173694668059 58.9856287345986,23.5268246962463 58.985924085095,23.5362096263835 58.9852609346584,23.5451628547785 58.9836648266761,23.5533397097874 58.9811972260916,23.560425588237 58.9779531378844,23.5661481019545 58.9740574291441,23.5702875577666 58.9696600002061,23.572685366422 58.9649299950477,23.5732500625264 58.9600492778652)))', 'EEWST', 'Westmeri', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8152496555989 59.633454273272,25.8144748761592 59.6285800769981,25.8118379485111 59.6238760502968,25.8074409005694 59.6195228610766,25.8014531863245 59.6156876358199,25.794105101398 59.6125175620057,25.7856789041226 59.6101342619017,25.7764979876359 59.6086291493622,25.7669145161278 59.6080599434185,25.7572959906267 59.6084484686222,25.7480112455468 59.6097798238826,25.7394163960719 59.6120029506007,25.7318412580242 59.6150325789464,25.7255767461604 59.6187524798838,25.720863724088 59.6230199017285,25.7178837297362 59.6276710252972,25.716751935485 59.632527232675,25.7175126230368 59.6374019527608,25.7201373619275 59.6421078233753,25.724525979868 59.6464638958913,25.7305103062607 59.6503026048715,25.7378605612574 59.6534762324721,25.746294156156 59.6558626153933,25.7554865716 59.6573698704491,25.7650838927858 59.6579399524289,25.7747165101937 59.6575509034122,25.7840134440401 59.6562177042358,25.7926167235101 59.6539916942187,25.8001952493925 59.6509585821478,25.8064575911672 59.6472351274251,25.8111632156073 59.6429646227663,25.814131711008 59.6383113566844,25.8152496555989 59.633454273272)))', 'EEXAA', 'Haldi (Saar)', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9770539198261 58.785017492933,26.9761339163801 58.780150002032,26.9734033314449 58.7754691890347,26.9689677359629 58.7711548254192,26.9629980124797 58.7673725457492,26.9557237238169 58.7642675074062,26.9474242685868 58.7619588416994,26.9384181667733 58.7605351051244,26.9290508836204 58.76005090112,26.9196816499503 58.7605247983748,26.9106697707969 58.7619386231598,26.9023609312991 58.7642381519884,26.8950740088912 58.7673351788528,26.8890888839365 58.7711108800953,26.8846357073647 58.7754203513615,26.8818860341581 58.7800981467327,26.8809461666694 58.7849646116486,26.8818529732108 58.7898327700648,26.8845723571789 58.7945155037616,26.8890004528754 58.7988327488522,26.8949675195305 58.8026184320952,26.9022443988042 58.8057268779462,26.9105512976907 58.8080384363335,26.9195685629784 58.8094641103765,26.928949029884 58.8099490016739,26.938331460475 58.8094744369026,26.9473545406025 58.8080586914152,26.9556708798791 58.8057562811087,26.9629604590987 58.8026558506701,26.9689429934261 58.7988767419207,26.9733887263346 58.794564377977,26.9761272360738 58.7898846451406,26.9770539198261 58.785017492933)))', 'EEXAB', 'Nõmme', 'Y'),('SRID=4326;MULTIPOLYGON(((26.2044329730102 58.3323036446203,26.2036310271736 58.3274307770242,26.2010377547346 58.3227337978949,26.1967534416419 58.3183931070668,26.1909431606122 58.3145753572276,26.1838303624681 58.3114270735559,26.1756882642002 58.3090690515547,26.1668293683984 58.3075917440085,26.1575935138689 58.3070518099368,26.1483349075315 58.3074699543808,26.1394086220501 58.3088301394453,26.1311570614949 58.3110801958995,26.1238968983657 58.3141338125459,26.1179069695191 58.3178738292449,26.1134175862 58.3221567106566,26.1106016650477 58.3268180331185,26.1095680236033 58.3316787782206,26.1103571069096 58.3365521950472,26.1129393232935 58.3412509700261,26.1172160699887 58.3455944299219,26.1230234261953 58.3494155004817,26.1301383863717 58.3525671509779,26.1382874043808 58.3549280733387,26.1471569241667 58.3564073732254,26.1564054895164 58.3569480883022,26.1656769583998 58.3565293946268,26.1746142999436 58.3551674137099,26.1828734268907 58.3529145881853,26.190136514828 58.3498576508169,26.1961242816265 58.3461142672944,26.2006067451971 58.3418284855258,26.2034120423709 58.3371651707262,26.2044329730102 58.3323036446203)))', 'EEYLE', 'Üleoja', 'Y'),('SRID=4326;MULTIPOLYGON(((21.9553242405268 58.2516550033911,21.9542841598449 58.2467947419999,21.9514661869124 58.2421347968729,21.9469792138983 58.2378541334199,21.9409960612747 58.2341170903079,21.9337467775564 58.2310670891157,21.925509780755 58.2288211517498,21.9166011846198 58.2274654319076,21.9073627158954 58.2270519279849,21.8981486769997 58.2275965001562,21.8893124407357 58.2290782655116,21.8811929793322 58.2314403937929,21.8741019290037 58.2345922741769,21.8683116733229 58.238412972431,21.8640448943231 58.2427558493646,21.8614659899855 58.247454167484,21.8606746916429 58.2523274747352,21.8617021363577 58.2571885236504,21.8645095595987 58.2618504623786,21.8689896752904 58.266134022003,21.8749707069274 58.2698744229413,21.8822229288995 58.2729277324163,21.8904674758756 58.2751764248651,21.8993870846621 58.2765339271533,21.9086383519364 58.2769479695234,21.9178650268139 58.2764026098268,21.9267118127749 58.2749188508674,21.9348381314935 58.272553826412,21.9419313027929 58.2693985882008,21.9477186202051 58.2655745816652,21.9519778490248 58.2612289496515,21.9545457407184 58.2565288490887,21.9553242405268 58.2516550033911)))', 'EEYLG', 'Ülgapäe', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9837866393769 57.838014602113,26.9828899542879 57.8331464347141,26.9802304467327 57.828465071413,26.9759109168794 57.8241503087796,26.9700977605924 57.8203678026508,26.9630145145101 57.8172627261407,26.9549332445492 57.8149542190778,26.9461641118997 57.8135308378652,26.9370435141899 57.8130471763308,26.9279212483509 57.8135217837902,26.9191471747969 57.8149364579006,26.9110578792602 57.8172369386201,26.9039638286951 57.8203349774429,26.8981375010952 57.8241117048006,26.8938029361277 57.8284221698455,26.8911271047837 57.8331008824432,26.8902134327596 57.8379681487116,26.891097735505 57.8428369603123,26.8937467348311 57.8475201752319,26.8980592303508 57.8518377150087,26.9038698971146 57.8556235010116,26.9109555774947 57.8587318607956,26.9190438349776 57.8610431546833,26.9278234445879 57.8624684020023,26.9369564136736 57.8629527248262,26.9460910618706 57.8624774731638,26.9548756436599 57.8610609474324,26.9629719735243 57.8587576895668,26.970068513598 57.8556563708688,26.9758924068856 57.8518763602382,26.9802199843249 57.8475631083712,26.9828853387142 57.8428825296698,26.9837866393769 57.838014602113)))', 'EEYLV', 'Üla-Vagula', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0276024731281 25.3996218680105,29.0269903637861 25.3947380225574,29.0253411832792 25.3900564656546,29.022718406878 25.3857570676783,29.019222886276 25.3820049999358,29.0149889648419 25.3789443951646,29.0101793130151 25.3766928172762,29.004978682589 25.3753367515516,28.9995868190413 25.37492828737,28.9942108024248 25.3754831199984,28.989057108577 25.3769799476973,28.9843236928226 25.3793612872719,28.9801923975949 25.3825356771922,28.9768219734775 25.386381184513,28.9743419804748 25.3907500820183,28.972847803575 25.3954745171647,28.9723969749813 25.4003729562029,28.973006946187 25.4052571568022,28.9746543980905 25.4099394017812,28.9772761185853 25.4142397160103,28.9807714167302 25.417992788691,28.9850059830238 25.4210543340933,28.9898170488528 25.4233066451029,28.9950196471549 25.4246631248277,29.000413732861 25.4250716208608,29.0057918876145 25.4245164330858,29.010947310066 25.4230189173104,29.0156817817263 25.4206366614828,29.0198132994102 25.4174612666242,29.0231830786674 25.4136148186726,29.0256616576676 25.4092451880464,29.0271538666918 25.4045203389,29.0276024731281 25.3996218680105)))', 'EGDAK', 'Dakhlah', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.1719771137607 27.1496377092159,-13.1725951464952 27.1447541789293,-13.1742661685365 27.1400723239095,-13.1769258547257 27.1357720241271,-13.180471927615 27.1320184821996,-13.1847680981192 27.128955883197,-13.1896493053508 27.1267018630316,-13.1949280539326 27.125342996592,-13.200401606151 27.124931477674,-13.2058597545636 27.1254831172461,-13.2110928791723 27.1269767363662,-13.2158999827048 27.129354977,-13.2200963982935 27.1325265000495,-13.2235208758565 27.1363694870595,-13.2260417764169 27.140736312306,-13.227562136695 27.1454592071333,-13.2280234084764 27.1503567002044,-13.227407727071 27.1552405872367,-13.225738618884 27.1599231630117,-13.2230801177073 27.1642244378303,-13.2195343205813 27.1679790606347,-13.2152374746086 27.1710426818013,-13.2103547435102 27.1732975098023,-13.2050738546583 27.1746568467636,-13.1995978716035 27.1750684272567,-13.1941373718608 27.1745164309386,-13.1889023333976 27.1730220910631,-13.1840940448531 27.1706428753927,-13.1798973535019 27.1674702714662,-13.1764735514084 27.1636262622925,-13.173954174715 27.1592586292106,-13.1724359547065 27.1545352638619,-13.1719771137607 27.1496377092159)))', 'EHAIU', 'El Aiun', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9057536448943 23.7001618342779,-15.9062433845955 23.6952640458973,-15.9077612652754 23.6905483387111,-15.9102488566316 23.6861959091535,-15.9136104933609 23.682373977543,-15.9177169619227 23.6792293681608,-15.9224104703298 23.6768828745393,-15.9275107093541 23.6754246253379,-15.9328217726274 23.6749106276955,-15.9381396710849 23.6753606198464,-15.9432601551182 23.6767573147774,-15.9479865464168 23.6790470636608,-15.952137281156 23.6821419137032,-15.955552876932 23.6859229819062,-15.9581020573008 23.6902450160284,-15.9596867992155 23.6949419686282,-15.9602461090133 23.6998333711837,-15.959758380483 23.7047312643995,-15.958242242257 23.7094474191387,-15.9557558593649 23.7138005708311,-15.9523947131322 23.7176233892197,-15.9482879424257 23.7207689150196,-15.943593385231 23.723116215182,-15.9384915104448 23.7245750382589,-15.9331784734652 23.725089289744,-15.927858563836 23.7246391927578,-15.9227363373485 23.7232420502737,-15.918008737586 23.7209515792552,-15.9138575123509 23.7178558424345,-15.9104422187205 23.7140738578139,-15.9078940871395 23.7097510171511,-15.9063109809864 23.7050534906761,-15.9057536448943 23.7001618342779)))', 'EHVIC', 'Ad Dakhla', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.57927609952266 42.3418812183364,-8.57995657938316 42.3370027535392,-8.58190659726902 42.3323164892639,-8.58505097106142 42.3280024535755,-8.58926870341327 42.3242263406689,-8.59439765600321 42.3211331573093,-8.60024078844533 42.318841666597,-8.60657372090176 42.3174398401058,-8.61315333123725 42.3169814907192,-8.6197270602313 42.3174842135149,-8.62604257299406 42.3189287124837,-8.63185741201714 42.3212595385205,-8.63694827757316 42.3243872108632,-8.64111958445385 42.3281916418809,-8.64421096995009 42.3325267357053,-8.64610346581728 42.3372259864481,-8.64672409564977 42.3421088633246,-8.64604871713912 42.3469877393785,-8.64410299425625 42.3516750989146,-8.64096145524499 42.3559907471247,-8.63674466588239 42.3597687443221,-8.63161462092762 42.3628637968756,-8.62576852706857 42.3651568571169,-8.61943121499175 42.3665597145255,-8.61284647359021 42.36701839927,-8.60626764324337 42.3665152652172,-8.59994783547645 42.3650696709868,-8.59413016167355 42.3627372324276,-8.58903835313127 42.3596076757938,-8.58486813861836 42.3558013755825,-8.58177971454021 42.3514647122299,-8.57989159829209 42.3467644305705,-8.57927609952266 42.3418812183364)))', 'ESAAE', 'Arcade', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-16.628750619767 28.0273378375068,-16.6292197757492 28.0224409619744,-16.6307563933539 28.0177193887355,-16.6333012945966 28.0133545365164,-16.6367565908147 28.009514095851,-16.6409894580598 28.0063455921827,-16.6458372473226 28.00397072575,-16.6511137323232 28.0024807043735,-16.6566162551938 28.0019327470383,-16.6621334971023 28.00234789133,-16.6674535778394 28.0037101880245,-16.6723721763315 28.0059673133232,-16.6767003633343 28.0090325753065,-16.6802718482234 28.0127882381506,-16.6829493634664 28.0170900374647,-16.6846299423441 28.0217727146164,-16.6852488867147 28.0266563588336,-16.6847822707134 28.0315533146839,-16.6832478815349 28.0362753904573,-16.680704557906 28.0406410909212,-16.677249948312 28.0444825964042,-16.6730167721686 28.0476522193543,-16.6681677255121 28.0500280891322,-16.6628892260488 28.0515188451671,-16.6573842383305 28.0520671566288,-16.6518644564401 28.0516519320191,-16.6465421472763 28.0502891327898,-16.6416219711707 28.0480311592459,-16.6372930975447 28.0449648324448,-16.6337219215549 28.0412080503191,-16.6310456637061 28.0369052476601,-16.6293670992908 28.0322218358504,-16.628750619767 28.0273378375068)))', 'ESABG', 'Los Abrigos', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.5114972633425 28.965687583706,-13.5121148723253 28.9608035503863,-13.513803917803 28.9561193038342,-13.5164993697373 28.9518148144396,-13.520097567284 28.9480554425692,-13.524460213966 28.9449855928048,-13.5294196952984 28.9427231745871,-13.5347855140732 28.9413550806163,-13.5403515969274 28.9409338553175,-13.5459041935563 28.9414756802372,-13.551230068053 28.9429597530887,-13.5561246710688 28.9453290841749,-13.5603999821332 28.9484926800364,-13.563891723549 28.9523290313823,-13.5664656704073 28.9566907726084,-13.5680228147071 28.9614103353603,-13.5685031842391 28.9663063803365,-13.5678881673499 28.9711907613428,-13.5662012512028 28.9758757546976,-13.5635071416649 28.9801812763167,-13.5599092952126 28.983941808687,-13.5555459548718 28.9870127705509,-13.5505848407305 28.9892760831606,-13.545216698577 28.990644717653,-13.5396479554876 28.9910660473132,-13.5340927667641 28.9905238747066,-13.5287647629365 28.9890390550521,-13.5238688175248 28.9866686917411,-13.5195931553672 28.9835039353796,-13.5161021076111 28.9796664719344,-13.513529793562 28.9753038363166,-13.5119749726405 28.9705837330434,-13.5114972633425 28.965687583706)))', 'ESACE', 'Arrecife de Lanzarote', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.78630639316437 42.2839421678568,-8.78697024804185 42.2790623846222,-8.78890312200053 42.2743725111674,-8.79203049116744 42.270052715353,-8.79623201021395 42.2662689135619,-8.80134616177564 42.2631664084753,-8.80717647182036 42.2608643213992,-8.81349905086717 42.2594510306411,-8.82007117266146 42.2589807887883,-8.8266405644765 42.2594716468262,-8.83295505771487 42.2609047635056,-8.83877223462704 42.26322512604,-8.84386870709528 42.266343654943,-8.84804867654806 42.2701406135227,-8.85115144981959 42.2744701930932,-8.85305762344352 42.2791661001528,-8.85369369738685 42.2840479332735,-8.85303493712597 42.2889281067238,-8.85110636838975 42.2936190561479,-8.84798185962032 42.2979404498788,-8.84378132067645 42.3017261282653,-8.83866611971015 42.304830502932,-8.83283289051531 42.3071341679458,-8.82650596698674 42.3085485047727,-8.81992873678727 42.3090191015704,-8.81335425035268 42.3085278533165,-8.80703545189066 42.307093660667,-8.80121541458228 42.3047717002154,-8.79611796201438 42.3016512947166,-8.79193904196914 42.2978524665572,-8.78883918784893 42.2935213090497,-8.7869373587055 42.2888243559222,-8.78630639316437 42.2839421678568)))', 'ESADI', 'Aldan-Hio', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.990880516718 36.748001684171,-2.9914790090349 36.7431160502947,-2.99325018564671 36.7384182357738,-2.99612579470706 36.7340887254392,-2.99999520362456 36.730293825849,-3.00470966950618 36.7271792855048,-3.0100880618541 36.724864707104,-3.01592381661235 36.7234389645466,-3.02199285535319 36.7229567988048,-3.02806216815682 36.7234367217739,-3.03389873464767 36.7248603075203,-3.03927844542097 36.7271728977645,-3.04399468607979 36.7302856948816,-3.04786625830669 36.7340791631202,-3.0507443364582 36.7384076090298,-3.05251819338327 36.7431047670858,-3.05311947445087 36.7479901778772,-3.05252485269161 36.7528761154702,-3.05075695872499 36.7575747988926,-3.04788354464458 36.7619056110315,-3.04401490887581 36.7657020471409,-3.0392996766064 36.7688181247982,-3.03391909500937 36.7711340072639,-3.02808006143385 36.7725606221059,-3.02200715347794 36.7730430955544,-3.01593397011479 36.7725628688685,-3.01009412097796 36.7711384142199,-3.0047122152255 36.7688245221709,-2.99999520141984 36.7657101885343,-2.9961243955826 36.7619151829828,-2.99324850668099 36.7575854330089,-2.99147792857242 36.7528874026689,-2.990880516718 36.748001684171)))', 'ESADR', 'Adra', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.6887279337796 28.1173511982644,-16.6891945261569 28.1124542792332,-16.6907295508536 28.1077321513436,-16.6932738903196 28.103366254753,-16.6967296767637 28.0995243201019,-16.7009640668532 28.0963539300784,-16.7058143527655 28.0939768571299,-16.7110942122845 28.0924843935181,-16.716600858167 28.0919338517103,-16.7221228136924 28.0923463682789,-16.727448018233 28.0937060947389,-16.7323719545897 28.0959608059476,-16.7367054891046 28.0990239027853,-16.7402821261975 28.1027777328013,-16.7429644006319 28.1070781023217,-16.7446491627888 28.1117598080145,-16.7452715534606 28.1166429768121,-16.7448075137864 28.1215399718852,-16.7432747312307 28.1262626002602,-16.740731981998 28.1306293455852,-16.7372768917809 28.1344723480077,-16.7330421979177 28.1376438622812,-16.7281906544773 28.1400219448014,-16.7229087751232 28.1415151496083,-16.7173996546002 28.1420660513944,-16.7118751463706 28.1416534587837,-16.7065476996884 28.1402932318381,-16.7016221730987 28.1380376718946,-16.6972879423578 28.1349735072853,-16.6937116090397 28.1312185530194,-16.6910305921338 28.1269171739276,-16.6893478498118 28.1222347270401,-16.6887279337796 28.1173511982644)))', 'ESAEJ', 'Adeje', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.8007075557758 28.2013753097062,-16.8011691721864 28.1964782799219,-16.8027001965009 28.1917551197678,-16.8052416639794 28.187387309409,-16.8086958162282 28.183542653163,-16.8129298718434 28.1803688382133,-16.8177811352156 28.1779877683198,-16.8230632462532 28.1764908888739,-16.8285733312527 28.1759356814765,-16.8340997817607 28.1763434614243,-16.8394303651414 28.1776985617653,-16.8443603584107 28.1799489347976,-16.8487003961178 28.1830081479824,-16.8522837336413 28.1867586982091,-16.8549726488933 28.1910565181492,-16.8566637373653 28.19573650292,-16.8572918966704 28.2006188461525,-16.8568328458328 28.2055159433157,-16.8553040798671 28.210239598006,-16.8527642197002 28.2146082547697,-16.8493107790272 28.2184539804319,-16.8450764309207 28.2216289250003,-16.8402239155192 28.2240110127407,-16.8349397835241 28.2255086433037,-16.8294272163115 28.2260642207375,-16.8238982002295 28.2256563734107,-16.8185653584995 28.2243007785333,-16.8136337579188 28.2220495590957,-16.8092930086369 28.2189892764944,-16.8057099636056 28.2152375966492,-16.8030223003836 28.2109387588625,-16.8013332328688 28.2062580229749,-16.8007075557758 28.2013753097062)))', 'ESAEM', 'Alcalá', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.20468504664182 43.421766489092,-8.20540821144843 43.416891495061,-8.20742196037848 43.4122129812205,-8.21064865081821 43.4079106736395,-8.21496411658742 43.404149811118,-8.22020246479347 43.4010748098406,-8.22616245882943 43.3988037305248,-8.23261524105757 43.3974237581058,-8.23931310004741 43.3969878651433,-8.24599894965047 43.3975127850718,-8.25241616175581 43.3989783718278,-8.25831838197072 43.4013283700569,-8.26347895804781 43.4044725669064,-8.26769962462154 43.408290244236,-8.27081811436674 43.4126348007916,-8.27271440433121 43.4173393692872,-8.27331535583134 43.4222232150737,-8.27259756545099 43.4270986726215,-8.27058831146737 43.431778354638,-8.26736455217964 43.4360823572104,-8.26305000752637 43.4398451834919,-8.25781043016789 43.442922118333,-8.25184724383779 43.4451948066488,-8.24538979217136 43.4465758185483,-8.23868649747908 43.44701202322,-8.23199527344656 43.4464866397744,-8.2255735663936 43.4450198848414,-8.2196684150282 43.4426681916201,-8.21450691783851 43.4395220310103,-8.2102874804204 43.4357024201173,-8.20717218297053 43.4313562545626,-8.20528056244284 43.4266506465874,-8.20468504664182 43.421766489092)))', 'ESAER', 'Ares', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.6837222461605 28.099143859383,-15.6842345680358 28.0942491268399,-15.6858137675903 28.0895370648057,-15.6883990332987 28.0851887225607,-15.6918909300934 28.0813711533973,-15.6961552334575 28.0782310026321,-15.7010280925633 28.0758888814944,-15.7063223232977 28.0744347416752,-15.711834589904 28.0739244268385,-15.7173532010386 28.0743775323647,-15.7226662233799 28.0757766546978,-15.7275696042565 28.0780680587863,-15.7318749944592 28.0811637381709,-15.7354169734658 28.0849447892967,-15.7380594013829 28.0892659715433,-15.739700654283 28.0939612791533,-15.7402775412189 28.0988503123871,-15.7397677506234 28.1037452043386,-15.7381907293541 28.1084578381112,-15.7356069573122 28.1128070773825,-15.732115642168 28.1166257322961,-15.7278509198872 28.1197669922399,-15.7229767050736 28.122110077122,-15.7176803882343 28.1235648885303,-15.7121656227168 28.124075480557,-15.7066444803013 28.1236222156222,-15.7013292796744 28.1222225215504,-15.6964244051317 28.1199302204352,-15.6921184332794 28.1168334553003,-15.6885768731904 28.113051294996,-15.6859358009817 28.1087291490053,-15.684296634186 28.1040331698067,-15.6837222461605 28.099143859383)))', 'ESAGA', 'Agaete', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.84350890954478 41.8999592444917,-8.84416429820827 41.895078788405,-8.84608125588776 41.8903876098475,-8.84918587473432 41.8860659279182,-8.8533586863133 41.8822797328768,-8.85843927693006 41.8791744208682,-8.86423246051649 41.8768692224309,-8.87051577062362 41.8754526364679,-8.87704798497587 41.8749790427353,-8.88357835875106 41.8754666209916,-8.88985621733365 41.8768966554227,-8.89564054644963 41.8792142506101,-8.90070921768051 41.8823304320229,-8.9048675003675 41.8861255516895,-8.90795553650501 41.8904538702271,-8.90985449267508 41.895149141564,-8.91049115131201 41.9000309881639,-8.90984076114771 41.9049118238124,-8.90792803172697 41.9096040593098,-8.90482622718487 41.9139273146482,-8.90065438750347 41.9177153600306,-8.89557277841421 41.9208225176145,-8.88977674103777 41.9231292758893,-8.88348917628651 41.9245468984807,-8.87695195416731 41.9250208478151,-8.87041658189007 41.9245328899968,-8.86413449504758 41.9231017986249,-8.85834735162834 41.9207826300276,-8.85327770850274 41.9176645982736,-8.84912044429112 41.9138676330319,-8.84603526194479 41.9095377546577,-8.84414056041763 41.9048414466931,-8.84350890954478 41.8999592444917)))', 'ESAGD', 'La Guardia', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.38990475346196 36.7113671846709,-4.39041422940041 36.7064759400539,-4.39209890920291 36.7017586911618,-4.3948938586876 36.697396675934,-4.39869153499398 36.6935574543723,-4.40334593980829 36.690388479935,-4.4086782384229 36.6880114460131,-4.41448362742986 36.6865176227732,-4.42053918787295 36.6859643615277,-4.42661242470328 36.6863728991788,-4.43247016849881 36.6877275458342,-4.43788750235283 36.6899762862478,-4.44265637598204 36.6930327722026,-4.44659358046771 36.6967796302548,-4.44954778028493 36.7010729593243,-4.45140533369929 36.7057478472636,-4.4520946771668 36.7106246964503,-4.4515891026487 36.7155161171261,-4.44990781699293 36.7202341248733,-4.44711523765347 36.7245973662242,-4.44331854665758 36.7284380945107,-4.43866359231403 36.7316086268895,-4.43332929299086 36.733987032787,-4.42752075668559 36.7354818331658,-4.42146138150218 36.7360355279527,-4.41538424324956 36.7356268142426,-4.40952310530636 36.7342714087315,-4.4041034013077 36.7320214421944,-4.39933354236982 36.7289634495144,-4.39539688741533 36.7252150335209,-4.39244468830761 36.7209203324763,-4.39059028219095 36.7162444673987,-4.38990475346196 36.7113671846709)))', 'ESAGP', 'Málaga', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.54562085658421 37.4046181039729,-1.54631815346938 37.3997419608735,-1.54819427801394 37.3950680085561,-1.55117694672084 37.3907758073579,-1.55515141979105 37.3870302241484,-1.55996492833121 37.3839751087707,-1.56543255000808 37.3817277797842,-1.57134430663615 37.380374529319,-1.57747321230242 37.3799673177679,-1.58358396597053 37.3805217836941,-1.58944195911483 37.3820166444183,-1.59482225750978 37.3843945100837,-1.59951821717677 37.3875640804924,-1.60334940765424 37.3914036415947,-1.60616854083482 37.3957657290997,-1.60786713987213 37.400482782078,-1.60837972899975 37.4053735713215,-1.60768638005842 37.4102501570872,-1.60581351326938 37.4149251098815,-1.60283291616607 37.4192187170536,-1.59885901316443 37.4229658976875,-1.59404448636962 37.4260225587467,-1.58857441313449 37.4282711463557,-1.58265914487195 37.4296251767705,-1.57652620210972 37.4300325708579,-1.57041150049586 37.4294776622651,-1.5645502495954 37.4279818010635,-1.55916787959786 37.4256025294235,-1.55447134986434 37.4224313615903,-1.55064117764343 37.4185902548068,-1.54782449602175 37.4142269086798,-1.54612940861792 37.4095090757525,-1.54562085658421 37.4046181039729)))', 'ESAGU', 'Águilas', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.470245931545718 38.3313189234636,-0.471025753817841 38.3264524953965,-0.472995605236254 38.3217993803158,-0.476079597850919 38.3175383313839,-0.480159101218673 38.3138330127426,-0.485077318639034 38.3108257230214,-0.49064531630784 38.3086319412788,-0.496649273172234 38.3073359027891,-0.502858674527161 38.3069873726351,-0.509035138039594 38.3075997394764,-0.514941537955892 38.3091495018095,-0.520351082416279 38.3115771663476,-0.525056000391283 38.3147895247155,-0.528875508738787 38.3186632224238,-0.53166275587148 38.3230494849289,-0.533310475774502 38.3277798213447,-0.533755133502367 38.3326724886797,-0.532979399318983 38.337539469827,-0.53101285146611 38.342193698111,-0.527930874956 38.3464562508944,-0.523851793297908 38.3501632350876,-0.518932338990356 38.3531720984962,-0.513361634141942 38.3553671224817,-0.507353911948961 38.3566638826496,-0.501140260353874 38.357012504048,-0.494959708750734 38.3563995841261,-0.489050005268355 38.354848708589,-0.483638444704624 38.352419540199,-0.478933105022207 38.3492055162789,-0.475114833563864 38.3453302448837,-0.472330293611316 38.3409427401363,-0.470686339035673 38.3362116820429,-0.470245931545718 38.3313189234636)))', 'ESALC', 'Alicante', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.41215199824617 36.1356255786146,-5.41259522446381 36.13073179629,-5.4142067260504 36.1260021790806,-5.41692438186876 36.1216184458003,-5.42064361601408 36.117748995764,-5.42522143754044 36.1145424472113,-5.4304819450335 36.1121219385484,-5.43622308306373 36.110580409498,-5.4422243913941 36.1099770414865,-5.44825545152992 36.1103349922428,-5.454084709902 36.1116405103204,-5.45948834341469 36.1138434628928,-5.46425883165204 36.1168592566426,-5.4682129107457 36.1205720787801,-5.47119860643821 36.124839335135,-5.47310107754485 36.1294971166653,-5.47384704478734 36.134366486327,-5.47340763245607 36.1392603465438,-5.47179950982099 36.1439906247328,-5.46908428360476 36.148375501452,-5.46536615982719 36.1522464033086,-5.4607879603904 36.1554544910364,-5.45552564424179 36.1578763919039,-5.44978154216206 36.1594189542376,-5.443776565638 36.1600228393031,-5.43774169161392 36.1596648106544,-5.43190905428931 36.1583586315969,-5.42650299117496 36.1561545355848,-5.42173139257152 36.1531372900145,-5.41777769139017 36.149422928702,-5.41479380435423 36.145154280143,-5.41289429729664 36.14049546533,-5.41215199824617 36.1356255786146)))', 'ESALG', 'Algeciras', 'Y'),('SRID=4326;MULTIPOLYGON(((3.17046932011981 39.8409568336564,3.16983340332788 39.8360746727652,3.16797440730849 39.8313819362111,3.16496398876233 39.8270589071092,3.16091798022154 39.8232716337248,3.15599191685097 39.8201655610186,3.1503750518787 39.8178599561574,3.14428309174879 39.8164433399535,3.13794992894274 39.8159700975556,3.13161868678067 39.8164583967482,3.12553241531443 39.8178894926051,3.1199247899542 39.8202084447897,3.11501116437775 39.8233262204,3.11098031655827 39.8271231028294,3.10798720176722 39.8314532775532,3.10614698987544 39.8361504208651,3.10553061726806 39.8410340790438,3.1061620276598 39.8459165947154,3.1080172128692 39.8506103155179,3.11102509635659 39.8549348084931,3.11507023152981 39.8587238025146,3.11999721618681 39.8618315906703,3.12561665684252 39.8641386446317,3.13171245492865 39.865556222974,3.13805013366943 39.8660297940715,3.14438588223408 39.8655411400981,3.15047596451129 39.8641090599922,3.15608612492926 39.8617886439337,3.16100062387087 39.8586691476859,3.16503055040152 39.8548705498073,3.16802108950814 39.850538925984,3.16985746344473 39.8458408205344,3.17046932011981 39.8409568336564)))', 'ESALK', 'Alcudia', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.98472915372874 43.3380005586847,-2.98538882849854 43.333120525022,-2.98733985515513 43.3284281741036,-2.99050699739546 43.3241037676553,-2.99476837051256 43.3203133964603,-2.99996015162977 43.3172026118572,-3.00588288447778 43.3148908490897,-3.01230913506008 43.3134668542622,-3.01899220543925 43.3129852880982,-3.02567557479002 43.3134646348614,-3.03210271088431 43.3148864953633,-3.03802688200129 43.3171962907189,-3.04322059924141 43.3203053503083,-3.0474843323665 43.3240943051361,-3.05065416824179 43.3284176583367,-3.0526081190152 43.333109359724,-3.05327083625906 43.3379891727161,-3.05261654595339 43.3428695911311,-3.05067008555003 43.3475630415168,-3.04750599618169 43.3518890947639,-3.04324569778295 43.3556814093789,-3.03805284961363 43.3587941381553,-3.03212707039137 43.3611075498668,-3.02569625789523 43.3625326473717,-3.01900780457296 43.3630146020738,-3.01231905075482 43.362534870558,-3.00588734840594 43.3611119105879,-2.9999601244183 43.3588004684327,-2.99476533246308 43.355689465423,-2.99050266639334 43.3518985664221,-2.98733587689365 43.3475735642785,-2.98538648803274 43.3428807602146,-2.98472915372874 43.3380005586847)))', 'ESALT', 'Algorta', 'Y'),('SRID=4326;MULTIPOLYGON(((2.42333030016863 39.5471649028001,2.42274953995513 39.5422787221547,2.42094890190377 39.5375741267376,2.41799780099048 39.533231859377,2.4140097942601 39.5294187108033,2.40913819445434 39.5262811221835,2.40357016985106 39.5239395720693,2.39751955831585 39.522483961247,2.39121867066643 39.5219701706072,2.38490939514167 39.5224179223897,2.3788339399631 39.5238100256763,2.37322556395764 39.5260930346109,2.36829964561478 39.5291792944184,2.36424542877292 39.5329502977833,2.36121875871194 39.5372612244458,2.35933608647504 39.5419464917677,2.35866997281722 39.546826105212,2.3592462677176 39.551712566634,2.36104307869918 39.5564180762496,2.36399157342247 39.5607617520525,2.36797859161163 39.5645765888898,2.37285097102187 39.5677158885718,2.37842142468815 39.5700589120529,2.3844757449423 39.57151553424,2.39078105634754 39.5720297202712,2.39709479718781 39.5715816877119,2.40317407943723 39.5701886702261,2.40878506163181 39.5679042528485,2.41371196851358 39.5648163047771,2.41776540574857 39.5610435903503,2.42078964674547 39.5567311903215,2.42266861026432 39.5520449116355,2.42333030016863 39.5471649028001)))', 'ESAND', 'Andraitx', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.0201446497459285 38.5891925646196,-0.0209584421115777 38.5843306284946,-0.0229648369450321 38.5796866871209,-0.0260865421959335 38.5754391386928,-0.030203480393856 38.5717511265974,-0.0351574201493535 38.5687642832293,-0.0407580598465404 38.5665933017103,-0.0467903293054933 38.5653215419083,-0.0530226305785516 38.564997837551,-0.059215704874708 38.5656346255323,-0.0651317899059954 38.5672074684031,-0.0705437213885769 38.569655988331,-0.0752436343256747 38.5728861774201,-0.0790509340146276 38.5767739971138,-0.0818192330649496 38.5811701303678,-0.0834419883331504 38.5859057061785,-0.0838566194452381 38.5907987785478,-0.0830469469850079 38.5956613125266,-0.081043851603527 38.6003064097934,-0.0779241230396067 38.6045554961796,-0.0738075378307178 38.6082451941582,-0.0688522736264245 38.6112336146741,-0.0632488336775069 38.6134058244991,-0.0572127144767263 38.6146782767666,-0.0509761000603174 38.6150020323273,-0.0447789058567654 38.6143646464918,-0.0388595213730193 38.6127906477273,-0.033445613204747 38.6103405898407,-0.0287453472809278 38.6071087148682,-0.0249393720427462 38.6032193180271,-0.0221738732446388 38.5988219564678,-0.0205549677169746 38.5940856881921,-0.0201446497459285 38.5891925646196)))', 'ESAQA', 'Altea', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.6558112080085 27.75613655277,-15.6563235131255 27.7512416881185,-15.6578992797616 27.7465297783423,-15.660477830558 27.7421818672595,-15.6639599901006 27.7383649922739,-15.6682119087903 27.7352257728939,-15.6730702114653 27.7328847854809,-15.6783482721878 27.7314319389972,-15.6838433746216 27.7309230280322,-15.6893444845865 27.7313775943356,-15.6946403387841 27.7327781781779,-15.6995275420639 27.7350709879544,-15.7038183653072 27.7381679625066,-15.7073479470667 27.7419501476387,-15.709980624134 27.7462722582264,-15.7116151485181 27.7509682519959,-15.7121885898279 27.7558577022106,-15.7116787713578 27.7607527256195,-15.7101051435769 27.7654652003101,-15.7075280582228 27.7698139964614,-15.7040464676093 27.7736319419259,-15.6997941347207 27.7767722542246,-15.6949344977771 27.7791141906091,-15.6896543858461 27.7805676976446,-15.6841568275421 27.7810768801788,-15.6786532309294 27.7806221551179,-15.6733552378761 27.7792210063609,-15.6684665691544 27.7769273115156,-15.664175176983 27.7738292664843,-15.6606460094232 27.7700459884337,-15.6580146666251 27.7657229288748,-15.656382193449 27.7610262745537,-15.6558112080085 27.75613655277)))', 'ESARI', 'Arguineguín', 'Y'),('SRID=4326;MULTIPOLYGON(((2.59732448288794 41.5801215388892,2.596714529128 41.5752377937612,2.59484764396038 41.5705372169337,2.59179581046381 41.5662003919667,2.58767647101642 41.5623938938151,2.58264798945466 41.5592639006647,2.57690355619298 41.5569305921127,2.57066377187861 41.5554835465806,2.56416819337734 41.5549783124295,2.55766616339126 41.5554342824955,2.55140727071133 41.5568339523301,2.54563180129163 41.5591235901201,2.54056154064326 41.5622152929633,2.53639127547645 41.5659903517778,2.53328131741604 41.5703037975253,2.53135133467671 41.5749899564193,2.53067572988089 41.5798688030454,2.53128074518024 41.5847528693226,2.5331434113304 41.5894544452235,2.53619238755955 41.5937927950884,2.54031066648286 41.5976011118106,2.54534004571965 41.6007329403436,2.5510871981932 41.6030678216697,2.55733110928118 41.6045159379266,2.56383159385371 41.605021577745,2.57033856230321 41.6045652865294,2.57660167400183 41.6031646176207,2.58238000068786 41.600873454932,2.58745132185756 41.5977799335178,2.59162068934652 41.594003039321,2.59472792819383 41.5896880208002,2.59665378416062 41.5850007911822,2.59732448288794 41.5801215388892)))', 'ESARN', 'Arenys de Mar', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.86167455151426 43.4349636314865,-2.86234516573571 43.4300844047091,-2.86430880483006 43.4253942486345,-2.867489747317 43.4210733398371,-2.87176557849286 43.4172876339741,-2.87697192098007 43.4141825025841,-2.88290876064345 43.4118771634243,-2.88934812343266 43.4104601158208,-2.89604280960881 43.4099857538979,-2.90273585376367 43.4104722856869,-2.90917035311556 43.4119010366548,-2.91509929347057 43.4142171639237,-2.92029500231688 43.4173317542554,-2.92455787177122 43.4211252266265,-2.92772402017274 43.4254519108023,-2.92967159931342 43.4301456285138,-2.93032550352695 43.435026065315,-2.9296602956619 43.439905690429,-2.92770123147639 43.4445969601169,-2.92452333596262 43.4489195282671,-2.92024855994991 43.4527071866013,-2.9150411201761 43.4558142663348,-2.90910119782759 43.4581212530926,-2.90265723626531 43.4595393967166,-2.89595713534996 43.4600141362233,-2.88925868483542 43.4595272060974,-2.88281961057336 43.4580973415153,-2.87688762324655 43.4557795548926,-2.87169085924038 43.4526630120893,-2.86742908707591 43.4488675913752,-2.86426602136084 43.4445392596023,-2.86232304099186 43.4398444458711,-2.86167455151426 43.4349636314865)))', 'ESARW', 'Armintza', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.88663962610957 43.5748734633161,-5.88706684352386 43.56998306604,-5.88879786544675 43.5652472208303,-5.89176588935718 43.5608478747274,-5.89585665286139 43.5569540075622,-5.90091285552707 43.5537151510389,-5.90674021817449 43.5512556586574,-5.91311494461931 43.5496699441947,-5.91979229978992 43.5490188691022,-5.92651597795448 43.5493274152756,-5.93302790662774 43.5505837308703,-5.93907811633854 43.5527395849429,-5.94443430421503 43.5557122135723,-5.94889073032628 43.5593874876246,-5.95227610959958 43.5636242823674,-5.95446019825873 43.5682598834811,-5.95535882108035 43.5731162243489,-5.95493714294775 43.5780067173253,-5.95321105341211 43.5827434182533,-5.95024660408368 43.5871442498174,-5.94615751315835 43.5910400060389,-5.94110082643279 43.5942808676219,-5.93527089677972 43.5967421758144,-5.92889191118638 43.5983292403985,-5.92220925314131 43.5989809943787,-5.91548003569155 43.5986723525048,-5.90896317462907 43.597415181191,-5.90290939033701 43.5952578416562,-5.89755152988464 43.5922833239701,-5.89309558783678 43.5886060448583,-5.88971277557109 43.5843674343052,-5.88753294605972 43.5797304830711,-5.88663962610957 43.5748734633161)))', 'ESAVS', 'Aviles', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.3777013476994 37.2165753494357,-7.37840728096259 37.2117002570232,-7.38028861556075 37.2070289561866,-7.38327287040848 37.202740905012,-7.38724524716509 37.1990008109502,-7.39205305932522 37.1959523133754,-7.39751160442983 37.1937124773429,-7.40341125305775 37.1923673080618,-7.40952548355471 37.191968456457,-7.4156195569551 37.1925312408037,-7.42145950330293 37.1940340594747,-7.42682107927252 37.1964192171514,-7.43149835796381 37.1995951333452,-7.43531162498257 37.2034398496672,-7.43811428003831 37.2078057029008,-7.43979847956704 37.2125249863723,-7.44029930220859 37.2174163840688,-7.43959727387056 37.2222919318828,-7.43771915076548 37.2269642394826,-7.43473692505815 37.2312536955121,-7.43076508617083 37.2349953786439,-7.4259562387227 37.2380454075823,-7.42049524278563 37.240286484136,-7.41459210089766 37.2416324142373,-7.40847386653047 37.2420314311335,-7.40237588820304 37.2414681913851,-7.39653273036153 37.2399643659502,-7.39116912525254 37.2375778034181,-7.38649130869399 37.2344002981542,-7.38267907696509 37.2305540504688,-7.37987887274242 37.2261869567147,-7.37819816647274 37.2214669124234,-7.3777013476994 37.2165753494357)))', 'ESAYA', 'Ayamonte', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.13856535280964 37.5525084523139,-1.13929077358144 37.5476355453419,-1.14119606370339 37.5429689170279,-1.14420781972754 37.5386878442272,-1.14821018637694 37.5349567646186,-1.15304932626502 37.5319189698728,-1.15853933608792 37.5296911129671,-1.16446938129789 37.5283587386118,-1.17061177652967 37.5279730065308,-1.17673070457266 37.5285487318971,-1.18259124350374 37.5300638172498,-1.18796836040789 37.5324600975354,-1.19265553124729 37.5356455664267,-1.19647265987455 37.5394978997146,-1.1992729945441 37.5438691422438,-1.20094877681907 37.5485913803834,-1.20143540439184 37.5534831840753,-1.2007139445592 37.558356572537,-1.19881189708171 37.5630242369357,-1.19580217174424 37.5673067426819,-1.19180031466984 37.5710394339439,-1.18696008566647 37.5740787736913,-1.18146755384552 37.5763078737345,-1.17553393770594 37.5776410001064,-1.16938746625488 37.5780268785953,-1.16326457727082 37.5774506717391,-1.15740079569469 37.575934550301,-1.15202164810493 37.5735368370693,-1.14733396769261 37.5703497565246,-1.14351792818253 37.5664958782353,-1.14072011551163 37.5621233925693,-1.13904790416522 37.5574004024136,-1.13856535280964 37.5525084523139)))', 'ESAZH', 'Almadraba la Azohía SA', 'Y'),('SRID=4326;MULTIPOLYGON(((2.27324781478954 41.4342148387147,2.27266345395932 41.4293294491238,2.27082411419872 41.4246237064639,2.26780072016099 41.4202783946414,2.26370962298986 41.4164604162406,2.25870810415758 41.4133163915434,2.25298832172698 41.4109670395822,2.24676993309937 41.4095025547894,2.24029167663015 41.4089791545216,2.23380223213749 41.4094169280655,2.22755070620512 41.410799068367,2.2217771015678 41.4130725154379,2.21670313040686 41.4161499870909,2.21252371906307 41.4199133202212,2.20939952683579 41.4242179961882,2.20745076487571 41.4288986787481,2.20675255375775 41.4337755541231,2.20733200157896 41.4386612316499,2.20916712018305 41.4433679412714,2.21218762754934 41.4477147518703,2.21627761200387 41.4515345326874,2.22127996147598 41.4546803890392,2.22700239144608 41.4570313230406,2.23322484144924 41.4584968994076,2.23970795482223 41.4590207346013,2.24620231232672 41.4585826731213,2.25245805941687 41.4571995658574,2.25823455072462 41.4549246200093,2.26330963459947 41.4518453459397,2.2674882153006 41.448080181155,2.27060975998711 41.4437739231486,2.27255446057266 41.4390921490152,2.27324781478954 41.4342148387147)))', 'ESBAD', 'Badalona', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.47871370892872 43.386448550005,-4.47925386938973 43.3815615792448,-4.48109060923985 43.3768453501004,-4.48415307412623 43.372481049103,-4.48832338728613 43.3686363049568,-4.49344120800384 43.3654587602068,-4.49930990518907 43.3630704139703,-4.50570410706669 43.3615629506217,-4.51237833788944 43.3609942313633,-4.51907641345279 43.3613860812443,-4.52554124011057 43.3627234550693,-4.53152464769352 43.3649550135491,-4.5367968855879 43.367995087857,-4.54115542325897 43.3717269583635,-4.54443272137849 43.3760073235869,-4.54650267675754 43.3806717901244,-4.54728549244895 43.3855411751817,-4.5467507822385 43.3904283817834,-4.54491878447166 43.395145584088,-4.54185963156244 43.3995114474095,-4.53769069605486 43.4033581051945,-4.5325721089289 43.4065376235637,-4.52670061795279 43.4089277029342,-4.52030202023067 43.4104363950774,-4.51362246073748 43.4110056517181,-4.50691893492019 43.4106135659954,-4.50044936617748 43.4092752190093,-4.4944626466184 43.4070420982045,-4.4891890310748 43.4040001102574,-4.48483125981536 43.400266266132,-4.48155675548838 43.3959841677755,-4.47949119595281 43.3913184724442,-4.47871370892872 43.386448550005)))', 'ESBCD', 'Bustio', 'Y'),('SRID=4326;MULTIPOLYGON(((2.2202178524266 41.3762298975974,2.21963792041078 41.3713442286832,2.21780398857708 41.36663763868,2.2147867733614 41.3622909444244,2.21070238844876 41.3584711019747,2.20570785773802 41.3553248035222,2.19999507144501 41.3529728556389,2.19378341903676 41.351505552539,2.1873113810033 41.3509792197645,2.18082739912346 41.351414059053,2.17458037077389 41.3527933757812,2.16881012624518 41.3550642181024,2.16373824860413 41.3581394035806,2.15955958336638 41.3619008566921,2.15643476045799 41.3662041308831,2.15448401434336 41.3708839437568,2.1537825408424 41.3757605150769,2.15435757248972 41.3806464661083,2.15618729011938 41.3853540166143,2.15920161886957 41.3897022035307,2.16328488449369 41.3935238435552,2.168280233495 41.3966719708322,2.17399565108094 41.3990255003676,2.18021134719427 41.400493897155,2.1866882257273 41.401020669148,2.19317710797845 41.4005855477421,2.19942835053333 41.3992052705103,2.20520148152654 41.3969329355276,2.21027447845343 41.3938559524742,2.21445232539782 41.3900926705385,2.217574517012 41.3857878146961,2.21952121942254 41.3811069081357,2.2202178524266 41.3762298975974)))', 'ESBCN', 'Barcelona', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.8941437304516 36.1877506164261,-5.89455692893934 36.1828563825592,-5.89613988426987 36.178121528351,-5.89883156979154 36.1737279759697,-5.90252840398826 36.1698445034816,-5.90708825254572 36.1666202685064,-5.91233590064089 36.1641790886542,-5.91806978363297 36.1626146966467,-5.9240697179253 36.1619871504407,-5.93010533721285 36.1623205344583,-5.9359449137529 36.1636020388711,-5.94136423044966 36.1657824515855,-5.94615516781884 36.1687780440666,-5.95013368032631 36.1724737793398,-5.95314685885478 36.176727720345,-5.9550788094678 36.1813764711221,-5.95585512218267 36.1862414437536,-5.95544575575282 36.1911357121014,-5.95386622377368 36.1958711903692,-5.95117703172289 36.2002658613817,-5.94748138150813 36.2041507767713,-5.94292122719282 36.2073765592497,-5.93767183014846 36.2098191556133,-5.93193502127725 36.2113846174893,-5.92593142961454 36.2120127240433,-5.91989197826718 36.2116793055448,-5.91404897837469 36.2103971770718,-5.90862716820745 36.2082156457256,-5.90383504685795 36.2052186103427,-5.89985684011024 36.2015213275665,-5.89684541053203 36.1972659700503,-5.89491638579772 36.1926161494052,-5.8941437304516 36.1877506164261)))', 'ESBDF', 'Barbate', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.8261105532678 42.6479535725397,-8.826775270373 42.6430738710084,-8.8287164949931 42.6383836401622,-8.83185937751304 42.6340630610012,-8.83608297301813 42.6302780789701,-8.84122491427393 42.6271740407762,-8.84708765997836 42.6248701252261,-8.85344607689189 42.6234547796076,-8.86005606589464 42.6229823345135,-8.8666639043832 42.6234709251074,-8.87301595177907 42.6249017973312,-8.87886835197874 42.627220025243,-8.88399636667867 42.6303366124281,-8.88820298665537 42.6341318981423,-8.89132649392076 42.6384601394034,-8.8932466854976 42.643155095429,-8.89388951828955 42.6480364023037,-8.89322999268921 42.6529164950133,-8.89129315832111 42.657607812252,-8.88815319642454 42.6619300076265,-8.88393060727545 42.6657168896383,-8.87878760489905 42.6688228223255,-8.87292189214276 42.6711283384619,-8.86655905395258 42.6725447470848,-8.85994386254796 42.6730175557683,-8.8533308325515 42.6725285739958,-8.84697439490239 42.6710966153787,-8.84111907408065 42.6687767712526,-8.83599005302778 42.6656582840865,-8.83178449417472 42.6618611038793,-8.82866395396244 42.6575312620327,-8.82674818366096 42.6528352430036,-8.8261105532678 42.6479535725397)))', 'ESBDN', 'Bodion', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.0991657840830181 38.5362149744923,-0.0999734535670257 38.5313522171051,-0.101973151119117 38.5267066250645,-0.105087842086851 38.5224566604407,-0.109197718198577 38.518765559836,-0.114144818773739 38.5157750745612,-0.119739104116289 38.513600037752,-0.125765747249424 38.5123239649984,-0.13199336551634 38.511995855492,-0.138182879371726 38.5126283150167,-0.144096662949146 38.5141970720096,-0.149507640380984 38.5166419052147,-0.154207983687856 38.5198689480525,-0.158017082309508 38.5237542826477,-0.160788480628877 38.5281486873988,-0.162415517391253 38.5328833578474,-0.162835448614864 38.537776383068,-0.162031891925252 38.5426397303209,-0.160035493354189 38.5472864704856,-0.156922785314263 38.5515379667003,-0.152813274194066 38.5552307491922,-0.147864865107004 38.5582228105983,-0.142267796957772 38.5603990778313,-0.136237320380158 38.56167584798,-0.130005401638413 38.5620040156807,-0.123811774986657 38.5613709662899,-0.117894692427717 38.5598010611723,-0.112481732069349 38.5573546963757,-0.107781023773246 38.5541259716505,-0.103973233665468 38.5502390609244,-0.101204618153273 38.5458434257503,-0.0995814148340989 38.5411080579071,-0.0991657840830181 38.5362149744923)))', 'ESBEM', 'Benidorm', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.71074671615479 43.3216189758339,-1.71150799399138 43.3167474962575,-1.7135560095677 43.3120780270855,-1.71681180810355 43.3077899447107,-1.72115011057188 43.3040479400907,-1.72640415244233 43.300995704633,-1.73237209926954 43.298750425207,-1.73882479155266 43.2973982972539,-1.74551452300361 43.2969912259173,-1.75218451916877 43.2975448399144,-1.75857875830389 43.299037893178,-1.76445176418844 43.3014130769273,-1.76957800151335 43.3045792116243,-1.77376051856779 43.3084147361535,-1.77683850882115 43.3127723623781,-1.77869350192007 43.3174847187733,-1.77925394449404 43.3223707687734,-1.77849799049254 43.3272427592571,-1.77645438766852 43.3319134334706,-1.77320141900087 43.3362032315645,-1.76886393269453 43.3399472013788,-1.76360856902586 43.343001352323,-1.75763736367134 43.3452482059122,-1.75117997221282 43.3466013270529,-1.74448481634561 43.3470086593974,-1.73780949634223 43.3464545344925,-1.73141084445373 43.3449602761865,-1.72553500870257 43.3425833767173,-1.72040795521901 43.3394152768257,-1.71622675996592 43.3355778368104,-1.71315202824095 43.3312186364235,-1.71130173431583 43.3265052868416,-1.71074671615479 43.3216189758339)))', 'ESBID', 'Bidasoa', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.06871286333757 43.3670257388958,-3.06936612087243 43.3621452497856,-3.07131160480866 43.3574514939086,-3.07447429091419 43.3531247873223,-3.07873246465362 43.3493313093775,-3.08392242504647 43.346216730786,-3.0898447849199 43.3439006323856,-3.09627212405142 43.3424719265324,-3.1029577025105 43.3419854545253,-3.10964490334986 43.3424598886587,-3.11607704774449 43.34387701808,-3.12200721243741 43.3461824453768,-3.12720767927317 43.3492876676158,-3.13147865968501 43.3530734632855,-3.13465596290393 43.3573944571305,-3.13661731467423 43.3620846899978,-3.13728708231566 43.3669639822064,-3.13663922060519 43.3718448480867,-3.13469831930249 43.3765396974451,-3.13153870497555 43.3808680477518,-3.127281624509 43.3846634694146,-3.12209061244176 43.3877799958083,-3.11616521605382 43.3900977495599,-3.10973331784923 43.3915275663008,-3.10304235183631 43.3920144356095,-3.09634975516929 43.3915396247057,-3.08991302813975 43.390121401802,-3.08397979166958 43.3878143307839,-3.07877823156418 43.3847071648266,-3.07450830283 43.380919421355,-3.07133403612694 43.3765967721596,-3.06937724342841 43.3719054284055,-3.06871286333757 43.3670257388958)))', 'ESBIO', 'Bilbao', 'Y'),('SRID=4326;MULTIPOLYGON(((2.83537414952888 41.6750526484957,2.83474535962814 41.6701702074402,2.83285846097951 41.6654735312366,2.82978620550048 41.6611430522309,2.82564681901285 41.657345100459,2.82059943350219 41.6542255250538,2.81483796306022 41.6519041051652,2.80858366015327 41.6504699627768,2.80207663700126 41.6499781512952,2.79556667424628 41.650447548969,2.7893036646596 41.651860136715,2.78352805266662 41.6541616876069,2.77846163061137 41.6572638419767,2.77429903993086 41.6610474897187,2.77120030011301 41.6653673318284,2.76928465117478 41.6700574482763,2.76862594749236 41.674937660656,2.76924978359644 41.6798204471634,2.77113246784785 41.6845181455688,2.7742018899326 41.6888501679056,2.77834025538773 41.6926499491796,2.78338858767121 41.6957713617333,2.78915282855438 41.6980943467272,2.79541130379658 41.6995295439045,2.80192326597745 41.7000217392764,2.80843818253191 41.6995519961505,2.81470540651701 41.6981383862019,2.82048385190315 41.6958352919782,2.8255512949881 41.6927313081057,2.82971293889295 41.6889458232157,2.83280890826842 41.6846244160014,2.83472038487252 41.6799332447654,2.83537414952888 41.6750526484957)))', 'ESBLA', 'Blanes', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.1516577888455 43.4707503586243,-8.1523858517255 43.4658757814987,-8.15440535571718 43.4611982883979,-8.15763843675843 43.4568975658024,-8.16196068318794 43.4531387912743,-8.16720594201656 43.4500663005143,-8.17317271184746 43.4477980576393,-8.17963187561648 43.4464211385988,-8.18633547765336 43.4459883987668,-8.19302621199074 43.4465164506725,-8.19944726343306 43.4479850282326,-8.20535213033068 43.4503377615192,-8.21051405862231 43.4534843329009,-8.2147347304997 43.4573039332295,-8.21785187765395 43.4616498874743,-8.21974552776423 43.4663552746208,-8.22034264259418 43.471239328406,-8.21961996528293 43.4761143750393,-8.21760496127392 43.480793042679,-8.21437480954797 43.4850954660316,-8.21005347580435 43.4888562086106,-8.20480697408332 43.4919306350972,-8.19883699500014 43.4942004866777,-8.19237314419826 43.4955784424916,-8.18566409090654 43.4960114893254,-8.17896797099721 43.4954829679115,-8.17254241957103 43.4940132158117,-8.16663462335964 43.4916587817671,-8.16147178238547 43.4885102423342,-8.15725235340369 43.4846887062795,-8.15413841550292 43.48034114333,-8.15224945242397 43.4756347194109,-8.1516577888455 43.4707503586243)))', 'ESBLE', 'Barallobre', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.774559479338 28.8275882480644,-17.7749762963847 28.8226909113334,-17.7764699453212 28.817959279555,-17.7789828903293 28.8135751615923,-17.7824184610454 28.8097069898887,-17.78664458262 28.8065033548256,-17.791498858514 28.8040873037979,-17.7967948096142 28.8025516226759,-17.8023290301713 28.8019552794515,-17.8078889871344 28.8023211653239,-17.8132611658066 28.8036352189426,-17.8182392521013 28.8058469668682,-17.8226320404463 28.8088714594647,-17.8262707665693 28.8125925283962,-17.8290155856706 28.8168672416141,-17.830760948155 28.8215313860382,-17.8314396661096 28.8264057687715,-17.8310255127076 28.8313030961285,-17.829534252007 28.8360351672293,-17.8270230562391 28.8404201063279,-17.8235883294614 28.8442893559706,-17.8193620180411 28.8474941616695,-17.8145065474194 28.8499112978109,-17.8092085785959 28.851447813326,-17.8036718245 28.8520446131937,-17.7981092038911 28.8516787366952,-17.7927346369822 28.8503642437538,-17.7877548014476 28.8481516746918,-17.7833611691653 28.8451261041562,-17.7797226328891 28.8414038645889,-17.7769790085161 28.8371280662575,-17.7752356637548 28.8324630874408,-17.774559479338 28.8275882480644)))', 'ESBLV', 'Barlovento', 'Y'),('SRID=4326;MULTIPOLYGON(((0.465710892353537 40.4147220784959,0.465265495806354 40.4098304671943,0.463580355522156 40.4050992520686,0.460720467942737 40.4007102064946,0.456795907546727 40.3968319227219,0.451957570855708 40.3936133445921,0.446391365786265 40.3911780583791,0.440311071415849 40.3896195589201,0.433950141917672 40.388997670612,0.4275527666894 40.3893362586983,0.421364525427635 40.3906223172395,0.415622991335372 40.3928064680467,0.410548637406858 40.3958048515327,0.406336389781421 40.3995023378351,0.403148148812451 40.4037569365565,0.401106563430087 40.4084052378762,0.400290298616262 40.4132686782886,0.400730980755421 40.4181603923118,0.402411943036941 40.4228923884464,0.405268825081746 40.4272827744155,0.409192009976744 40.4311627539065,0.414030810608414 40.4343831249202,0.419599248429997 40.4368200282323,0.425683204448075 40.4383797228169,0.43204866703664 40.4390022023298,0.438450756675604 40.4386635115219,0.444643175941491 40.437376671971,0.450387715567743 40.435191180768,0.455463444994942 40.4321911015632,0.459675228677059 40.4284918223771,0.462861236892447 40.4242356065572,0.464899160627774 40.4195861101127,0.465710892353537 40.4147220784959)))', 'ESBNI', 'Benicarlo', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.77160145869301 43.6358398225237,-5.77203820937392 43.6309496394571,-5.77377986087324 43.6262152928742,-5.77675920195806 43.6218186715189,-5.78086153575418 43.6179286499028,-5.78592911821075 43.6146946115284,-5.79176723428376 43.6122407245695,-5.79815167620761 43.6106611875009,-5.80483733717597 43.6100166247518,-5.81156759360755 43.6103317685285,-5.81808412106456 43.6115945141369,-5.82413677357399 43.6137563842366,-5.82949315396116 43.6167343843224,-5.83394751387995 43.620414179259,-5.83732864620777 43.6246544707475,-5.83950646870882 43.6292924099806,-5.84039704533591 43.6341498401182,-5.83996584884084 43.6390401310786,-5.83822913370901 43.6437753457745,-5.83525335965651 43.6481734632999,-5.83115268050906 43.6520653813649,-5.82608458841159 43.6553014277502,-5.82024387599555 43.6577571285802,-5.81385514629582 43.6593380092348,-5.80716415889389 43.6599832407356,-5.80042834827294 43.6596679890649,-5.79390688444651 43.6584043753427,-5.78785066490552 43.656241009072,-5.7824926298727 43.6532611125368,-5.77803877959833 43.6495793095895,-5.77466024361549 43.6453372042306,-5.77248670888956 43.6406979214125,-5.77160145869301 43.6358398225237)))', 'ESBNU', 'Bañugues', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.66551053057422 43.7386024593786,-7.66628152956915 43.733731744004,-7.66834796065893 43.7290636465438,-7.67163015622805 43.7247774895012,-7.67600181977297 43.7210378883007,-7.68129490420911 43.7179884403117,-7.68730607682209 43.7157462237286,-7.69380452138208 43.7143973150932,-7.70054077940789 43.7139934951767,-7.70725629520657 43.7145502677289,-7.71369330417505 43.7160462659266,-7.71960469161417 43.7184240689888,-7.72476345030065 43.7215923982597,-7.72897137927164 43.7254296099636,-7.73206669333325 43.7297883526822,-7.73393025198402 43.734501213184,-7.734490166642 43.7393871361905,-7.73372460478202 43.7442583734804,-7.73166267692848 43.7489276966208,-7.72838336512022 43.7532155965099,-7.72401252683399 43.7569571923907,-7.71871808351546 43.760008583222,-7.71270357475582 43.7622523950291,-7.70620032468276 43.7636023084116,-7.69945852337362 43.7640063896346,-7.69273757043676 43.7634490951665,-7.68629605823094 43.7619518712877,-7.68038178703261 43.7595723253783,-7.67522220309091 43.7564020014267,-7.67101563300555 43.752562846881,-7.66792365509171 43.7482025089393,-7.66606490195234 43.7434886436912,-7.66551053057422 43.7386024593786)))', 'ESBQB', 'Barquero-Bares', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.31656128717202 43.6594978847987,-7.31735925847527 43.6546298943734,-7.31944966660512 43.6499684332347,-7.32275192603346 43.6456925674084,-7.32713897343496 43.6419665160547,-7.33244217482041 43.6389333558375,-7.33845781239077 43.636709539814,-7.34495490088776 43.6353804388594,-7.35168403496575 43.634997074446,-7.35838693203442 43.6355741662836,-7.3648063101666 43.6370895685849,-7.37069572870562 43.6394851163286,-7.37582902046557 43.6426688497232,-7.38000895887392 43.6465185330171,-7.38307483068673 43.6508863347267,-7.38490862428256 43.6556044920333,-7.38543959389919 43.6604917442054,-7.38464702001188 43.6653602898867,-7.38256105345554 43.6700230021825,-7.37926160356917 43.6743006245898,-7.37487530595045 43.6780286705251,-7.3695706804402 43.6810637596676,-7.36355166164687 43.6832891452987,-7.35704974958905 43.6846192175843,-7.35031508395618 43.6850028071756,-7.34360678946839 43.6844251600816,-7.33718296976169 43.6829085066224,-7.33129074168243 43.6805112022968,-7.32615670014316 43.6773254743203,-7.32197818586278 43.6734738621016,-7.31891569527397 43.6691044907853,-7.31708672523723 43.6643853621485,-7.31656128717202 43.6594978847987)))', 'ESBRL', 'Burela', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.68568399170563 43.4189108307277,-2.68636854970138 43.4140326638363,-2.68834522931623 43.4093455549117,-2.69153780930501 43.4050295626207,-2.6958234296093 43.4012504531752,-2.70103733873731 43.3981533444875,-2.7069792337415 43.3958571462746,-2.71342094786077 43.3944500072042,-2.72011519191565 43.3939859415055,-2.72680501762517 43.3944827625429,-2.73323364522378 43.3959214013572,-2.73915428479646 43.3982466358938,-2.74433958096185 43.4013692034353,-2.74859032391459 43.4051692165299,-2.75174309603669 43.4095007533211,-2.75367656159488 43.4141974484343,-2.75431615637435 43.4190788721195,-2.75363699298571 43.4239574546622,-2.75166486415481 43.4286456914031,-2.74847529831152 43.4329633519757,-2.74419069663762 43.4367444161875,-2.73897565554695 43.4398434685308,-2.73303065031738 43.4421413033848,-2.72658432121338 43.4435495229176,-2.71988466000429 43.4440139484093,-2.71318943968443 43.4435167117202,-2.70675626130056 43.4420769450888,-2.7008326075838 43.4397500422697,-2.69564629279131 43.4366255199615,-2.69139668180448 43.4328235632116,-2.68824701990905 43.4284903897803,-2.68631816933418 43.4237926142055,-2.68568399170563 43.4189108307277)))', 'ESBRM', 'Bermeo', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.0325673228545762 39.8541741584118,-0.0334006124755056 39.8493135854836,-0.0354479228087983 39.8446716686116,-0.0386303769918411 39.8404267255737,-0.0428255553198144 39.8367417958666,-0.047872217922522 39.8337583890861,-0.0535765043343836 39.8315910620273,-0.0597193712441127 39.8303230305898,-0.0660649844621442 39.8300029829597,-0.0723697465206092 39.8306432148538,-0.078391618346704 39.8322191575337,-0.0838993827916602 39.8346703166512,-0.0886814997684528 39.8379025866487,-0.0925542173154672 39.8417918533445,-0.095368629669677 39.8461887483514,-0.0970164116461784 39.8509243749291,-0.097434007150646 39.8558167873995,-0.0966051069854376 39.8606779768312,-0.0945613153604709 39.8653210955172,-0.0913809734470293 39.8695676427146,-0.0871861793757217 39.8732543347082,-0.0821381145165956 39.8762393936098,-0.0764308528155877 39.8784080111039,-0.0702838905446677 39.8796767748336,-0.0639336853753262 39.8799968851279,-0.057624533858948 39.8793560367299,-0.0515991433239906 39.8777788922352,-0.0460892666108651 39.8753261289576,-0.0413067653799665 39.8720920966736,-0.0374354500915604 39.8682011778571,-0.0346240130270348 39.8638029924156,-0.032980326410295 39.8590666335463,-0.0325673228545762 39.8541741584118)))', 'ESBRX', 'Burriana', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.19474764129358 43.3107639778427,-8.19547015156231 43.3058889484581,-8.19748086721408 43.3012104964177,-8.20070226372395 43.2969083456193,-8.20501037940291 43.2931477291765,-8.2102396042345 43.2900730542401,-8.21618905193929 43.2878023694277,-8.22263026923835 43.2864228449075,-8.22931598769355 43.2859874363125,-8.2359895859775 43.2865128585981,-8.24239490502941 43.2879789463584,-8.24828604597795 43.2903294247828,-8.2534367812942 43.2934740622269,-8.25764922336647 43.2972921231966,-8.26076142120638 43.301636991253,-8.26265359458365 43.3063417867449,-8.26325276445356 43.3112257660132,-8.26253559760212 43.3161012582629,-8.2605293501102 43.3207808749044,-8.25731086626615 43.32508471474,-8.25300366433171 43.3288472875157,-8.24777321521329 43.3319238882469,-8.2418205915762 43.3341961751311,-8.23537473020603 43.3355767340989,-8.22868360655895 43.3360124520319,-8.22200466485454 43.3354865668808,-8.21559487764161 43.3340193145185,-8.20970082402873 43.331667147056,-8.20454917497127 43.3285205532786,-8.20033795718901 43.3247005665145,-8.19722893528258 43.3203540963873,-8.19534140597492 43.3156482664486,-8.19474764129358 43.3107639778427)))', 'ESBTS', 'Betanzos', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.75228246576001 42.3289321174287,-8.75294943615616 42.3240525775484,-8.75488622384873 42.3193633243932,-8.75801815421567 42.3150445017295,-8.76222470658978 42.3112619882928,-8.7673441704248 42.3081610370481,-8.77317986804964 42.3058607094587,-8.77950770363571 42.3044493161818,-8.78608474969629 42.303981036952,-8.79265854500381 42.304473847489,-8.79897675232349 42.3059088317336,-8.80479681152346 42.308230905386,-8.80989522377746 42.3113509234522,-8.81407611572507 42.3151490922182,-8.81717875824221 42.3194795566212,-8.81908375219368 42.3241759891907,-8.81971764210601 42.3290579682376,-8.81905577664894 42.3339379022658,-8.81712330029378 42.3386282358967,-8.8139942313008 42.3429486608715,-8.80978865471868 42.3467330545176,-8.80466813253755 42.3498358776252,-8.79882950355145 42.3521377837567,-8.79249730986189 42.3535502219361,-8.78591514243763 42.3540188533516,-8.77933624218808 42.3535256486664,-8.77301372352979 42.3520895839452,-8.76719080295714 42.3497659079809,-8.76209141491413 42.346644009705,-8.7579115813156 42.3428439690765,-8.75481187016092 42.3385119261321,-8.75291123431165 42.333814448661,-8.75228246576001 42.3289321174287)))', 'ESBUE', 'Bueu', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.8146667849999 28.35638009775,-16.8151280123272 28.3514831250289,-16.8166602285252 28.3467598364332,-16.8192044220032 28.3423917168998,-16.82266272884 28.3385465823279,-16.8269022076005 28.3353721378928,-16.8317599543462 28.3329903111248,-16.8370493603527 28.3314925761139,-16.842567272455 28.3309364470448,-16.848101782516 28.3313432744753,-16.8534403493417 28.3326974280609,-16.8583779441962 28.3349468966466,-16.8627249102738 28.3380052827502,-16.8663142370743 28.3417551154349,-16.869007972268 28.3460523553676,-16.870702525601 28.3507319203426,-16.8713326606541 28.3556140204193,-16.8708740194166 28.3605110605697,-16.8693440799946 28.3652348465785,-16.8668015073609 28.3696038177825,-16.8633439186773 28.3734500286233,-16.8591041460467 28.3766256100733,-16.8542451381464 28.3790084615023,-16.8489536957 28.3805069528247,-16.843433281902 28.3810634547141,-16.8378961857502 28.3806565598542,-16.8325553421479 28.3793019088552,-16.8276161264495 28.3770515885986,-16.8232684422196 28.3739921262259,-16.8196794092902 28.3702411565263,-16.8169869352517 28.365942891933,-16.8152944183583 28.3612625706468,-16.8146667849999 28.35638009775)))', 'ESBVN', 'Buenavista', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.81139336394584 42.1199496830501,-8.81205352872567 42.1150696073495,-8.81397951525952 42.1103791630691,-8.81709706622829 42.1060585404734,-8.82128621472712 42.1022736883178,-8.82638591897366 42.0991699502886,-8.83220025937167 42.0968664956568,-8.83850595854038 42.0954517557227,-8.84506093671092 42.0949800389912,-8.85161357751789 42.0954694531064,-8.85791235375064 42.0969012120455,-8.86371544977986 42.0992203547328,-8.86880001748749 42.1023378479614,-8.8729707155998 42.1061339941995,-8.87606720800356 42.1104630153946,-8.87797033420346 42.1151586390636,-8.87860671347592 42.1200404744411,-8.87795160202611 42.1249209357276,-8.87602988771246 42.1296124477685,-8.87291517744754 42.1339346577424,-8.86872700566454 42.1377213752304,-8.86362626544903 42.1408269725661,-8.85780903411351 42.1431319974158,-8.85149902915752 42.1445477794279,-8.84493898586728 42.1450198514502,-8.83838129172739 42.1445300517486,-8.83207824327325 42.1430972250482,-8.82627230654141 42.1407764949818,-8.82118676212089 42.1376571364206,-8.81701709998046 42.1338591308764,-8.81392349851539 42.1295285394641,-8.81202467810154 42.124831873718,-8.81139336394584 42.1199496830501)))', 'ESBYN', 'Bayona', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.7183347616558 42.2309222727154,-8.71900327687021 42.2260428513181,-8.72093954089257 42.2213540896668,-8.72406890065598 42.2170361126902,-8.72827093540427 42.2132547668312,-8.73338410884785 42.2101552605169,-8.73921198512344 42.2078566000885,-8.74553076845831 42.2064470325532,-8.75209787821703 42.2059806678511,-8.75866123364474 42.2064754083879,-8.76496889718818 42.20791226405,-8.77077871247662 42.2102360785701,-8.77586757322564 42.2133576398483,-8.78003997248337 42.2171570945347,-8.78313550741931 42.2214885377437,-8.78503505254951 42.2261856039711,-8.7856653628159 42.2310678468085,-8.78500192582683 42.2359476643612,-8.78306994796699 42.2406375056117,-8.77994342977415 42.2449570812726,-8.77574235940086 42.2487403015158,-8.77062812631869 42.2518416725564,-8.76479732771067 42.2541419041654,-8.7584742042479 42.2555525101373,-8.7519019973112 42.2560192224395,-8.74533356365522 42.2555240857471,-8.73902161394809 42.2540861504849,-8.73320895709034 42.2517607372796,-8.7281191319693 42.2486373016169,-8.72394779235309 42.2448359822046,-8.72085517975075 42.2405029678158,-8.71895997474719 42.2358048631526,-8.7183347616558 42.2309222727154)))', 'ESBZS', 'Bouzas', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.72662579540265 43.5908256107593,-5.72706605928351 43.5859354780317,-5.72881015298466 43.5812017255167,-5.73179077231916 43.5768062189903,-5.73589317216436 43.5729177901017,-5.74095960664796 43.5696857612465,-5.74679540529262 43.5672342235811,-5.75317644950659 43.5656572855791,-5.75985776282019 43.5650154721019,-5.76658288817862 43.5653334099996,-5.77309369754475 43.5665988874374,-5.77914026379181 43.5687633222307,-5.78449042276299 43.5717436213356,-5.78893866447969 43.5754253611663,-5.79231401648541 43.5796671684763,-5.79448661855996 43.584306135925,-5.7953727355077 43.5891640668455,-5.79493801201412 43.5940543116141,-5.79319883888958 43.5987889346823,-5.79022177120824 43.6031859377405,-5.78612101338559 43.6070762613063,-5.78105406131023 43.6103102945367,-5.7752156642574 43.6127636411275,-5.7688303364025 43.6143419172122,-5.76214370636089 43.6149843942184,-5.75541304061167 43.6146663442795,-5.74889731066701 43.6133999962877,-5.74284719276755 43.6112340649616,-5.73749539177685 43.608251871179,-5.73304766765541 43.6045681269733,-5.7296749140598 43.6003245107388,-5.7275065956254 43.5956842052083,-5.72662579540265 43.5908256107593)))', 'ESCA2', 'Candas', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.24200744725063 36.5202868784706,-6.2427762283719 36.5154204637337,-6.24470621786627 36.5107685829606,-6.24772307720725 36.5065099445187,-6.25171076774655 36.5028081244697,-6.25651602554333 36.4998052927687,-6.26195425408498 36.4976167632726,-6.26781660802603 36.4963265749455,-6.27387799728248 36.4959842721541,-6.27990570718979 36.4966030062955,-6.28566830799723 36.4981590308629,-6.2909445164052 36.5005926092875,-6.29553167347996 36.5038103013823,-6.29925351707216 36.5076885419139,-6.30196695243231 36.5120783756402,-6.30356756130759 36.5168111688958,-6.30399363629963 36.5217050801605,-6.30322858217511 36.5265720424627,-6.3013015873068 36.5312249901571,-6.29828653431662 36.5354850524475,-6.2942991868521 36.5391884365043,-6.28949275662362 36.5421927342663,-6.28405201863553 36.5443824086821,-6.27818620027367 36.545673246484,-6.27212091904894 36.5460156044282,-6.2660894821432 36.5453963227213,-6.26032388670926 36.543839231232,-6.25504587195156 36.5414042289584,-6.25045837180398 36.5381849728557,-6.24673770064517 36.5343052662633,-6.2440267747319 36.5299142876179,-6.24242963027636 36.5251808448882,-6.24200744725063 36.5202868784706)))', 'ESCAD', 'Cádiz', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.75031925559918 42.2599316244983,-8.75098562445483 42.2550520356511,-8.75292042089668 42.250362753948,-8.75604904769586 42.2460439243911,-8.76025111172708 42.2422614261948,-8.76536507514431 42.2391605119953,-8.77119447146568 42.2368602420926,-8.77751544645383 42.2354489251519,-8.78408533541699 42.2349807381289,-8.79065195115693 42.2354736532612,-8.79696323132585 42.2369087504284,-8.80277688112761 42.2392309408532,-8.8078696474561 42.2423510748406,-8.81204587370221 42.2461493539651,-8.8151450102282 42.2504799186624,-8.81704779319464 42.2551764373824,-8.81768085294867 42.26005848497,-8.81701957107772 42.2649384672335,-8.81508907064848 42.2696288269818,-8.81196329486112 42.2739492550905,-8.80776220279993 42.2777336289804,-8.80264718433668 42.2808364104581,-8.7968148665738 42.283138254947,-8.79048954851136 42.2845506140656,-8.78391455603511 42.2850191521956,-8.77734285330753 42.2845258436468,-8.77102727712481 42.2830896684335,-8.76521077631249 42.2807658794561,-8.76011703801695 42.2776438697748,-8.7559418668198 42.2738437233725,-8.75284565173651 42.2695115840898,-8.75094721184308 42.2648140231927,-8.75031925559918 42.2599316244983)))', 'ESCAG', 'Cangas', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.943549242010753 37.5994559638807,-0.944287918542523 37.5945846741294,-0.946206569401356 37.5899216170795,-0.949231278346984 37.5856459314239,-0.953245693603682 37.581921847156,-0.958095516465519 37.5788923868189,-0.96359443495807 37.5766738832082,-0.969531273932506 37.5753515220868,-0.975678088314669 37.5749760791845,-0.98179889184934 37.5755619752669,-0.987658690610801 37.5770867230576,-0.993032479479506 37.5794917871012,-0.997713861041432 37.5826848241774,-1.00152295992811 37.5865432195381,-1.00431333110182 37.5909187849626,-1.00597759726026 37.5956434402,-1.00645159727777 37.6005356614961,-1.00571688293581 37.6054074510193,-1.00380146328395 37.6100715603425,-1.00077876264061 37.6143486905737,-0.996764827035465 37.6180743917962,-0.991913882151383 37.6211053953003,-0.986412410780099 37.6233251333571,-0.980471976722963 37.6246482322702,-0.974321072373118 37.6250238039878,-0.968196306646746 37.6244374081331,-0.96233327667774 37.6229116080686,-0.956957479507833 37.6205050994488,-0.952275618296462 37.6173104454178,-0.948467641433923 37.6134505068904,-0.945679823139518 37.6090737070206,-0.944019152062688 37.6043483139919,-0.943549242010753 37.5994559638807)))', 'ESCAR', 'Cartagena', 'Y'),('SRID=4326;MULTIPOLYGON(((0.0504779352738194 39.9518315729315,0.0500635299943226 39.9469391623334,0.0484171273029123 39.942202970089,0.0456022316198662 39.9378049636696,0.0417271878636628 39.9339140824167,0.0369409920040242 39.9306797565068,0.031427553092646 39.9282261787639,0.0253986291016225 39.9266475472737,0.019085707514386 39.9260044593063,0.0127311399020424 39.9263215930229,0.00657886654751724 39.9275867644757,0.000865081795062158 39.9297513953308,-0.00419080718825084 39.9327323734109,-0.00839458618636385 39.9364152355112,-0.011584685154414 39.9406585518577,-0.0136383904245029 39.9452993458849,-0.0144765787060889 39.9501593433735,-0.0140667882143768 39.9550518129225,-0.0124245042896074 39.9597887364871,-0.00961260430748849 39.9641880352595,-0.00573897711807141 39.9680805731491,-0.000952403031149891 39.9713166677715,0.00456315132046649 39.9737718570325,0.0105956059083978 39.9753516975071,0.0169129357477194 39.9759954078681,0.0232721181504312 39.9756782152005,0.0294285102730459 39.9744123124268,0.0351452907258943 39.9722463892181,0.0402025962737899 39.9692637545008,0.0444059970420362 39.9655791236881,0.0475939805683998 39.9613341958241,0.0496441552421157 39.9566921928132,0.0504779352738194 39.9518315729315)))', 'ESCAS', 'Castellón de la Plana', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.76735427979542 42.1939367014609,-8.76801862088916 42.1890569523838,-8.76995012297035 42.1843673212233,-8.77307431612154 42.1800479666319,-8.77727097798411 42.1762647882639,-8.78237877831335 42.1731630651594,-8.7882014870858 42.1708618889314,-8.79451550635144 42.1694496032287,-8.80107843779397 42.1689804222943,-8.8076383605833 42.1694723565142,-8.81394346864875 42.1709065233196,-8.81975170367284 42.1732278694655,-8.82484002025015 42.1763472774396,-8.82901293277128 42.1801449764513,-8.83211001932627 42.1844751290021,-8.83401209556506 42.1891714192259,-8.83464581992323 42.1940534306898,-8.83398654945511 42.1989335706367,-8.83205933086214 42.2036242759605,-8.82893798193978 42.2079452244772,-8.8247422920383 42.211730273872,-8.81963344342953 42.2148338602581,-8.81380782572734 42.2171366083545,-8.80748947973968 42.2185499352097,-8.80092146248732 42.2190194680744,-8.79435646906945 42.2185271429843,-8.78804707751461 42.2170919020149,-8.78223599826294 42.2147689619428,-8.77714670972749 42.2116476829416,-8.77297484548882 42.2078481206487,-8.76988066786475 42.2035163962302,-8.76798291834672 42.1988190648548,-8.76735427979542 42.1939367014609)))', 'ESCAW', 'Canido', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-3.32489073514875 36.72408897874,-3.32546787806547 36.7192017267705,-3.32721814034912 36.7144990032467,-3.33007407245871 36.7101614831573,-3.33392579566052 36.7063557819175,-3.338625243854 36.7032280635568,-3.34399186069485 36.7008984369382,-3.34981953202832 36.6994563533529,-3.35588448818487 36.6989571803387,-3.36195387528037 36.6994200816667,-3.36779467038603 36.7008272837975,-3.37318260300724 36.7031247565569,-3.37791074509676 36.7062242822283,-3.3817974438288 36.7100068346455,-3.38469329522596 36.7143271401023,-3.3864868917512 36.7190192468087,-3.38710912208191 36.7239028908848,-3.38653585504249 36.7287904159959,-3.38478890030469 36.7334939819028,-3.38193520386581 36.7378327853717,-3.37808430409881 36.7416400156047,-3.37338414174335 36.7447692757971,-3.368015381868 36.7471002223558,-3.36218446488491 36.7485432030407,-3.35611565458454 36.7490427137384,-3.35004239160984 36.7485795392686,-3.3441982889575 36.7471714947542,-3.33880812066632 36.7448727386148,-3.33407915514385 36.7417716839498,-3.33019317057569 36.7379875897013,-3.32729946221385 36.7336659643049,-3.32550911133749 36.7289729604996,-3.32489073514875 36.72408897874)))', 'ESCAY', 'Castell de Ferro', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.7911793352 42.5209433645336,-8.79184538899185 42.5160637600638,-8.79378525668069 42.511374013905,-8.79692414262852 42.50705428854,-8.80114125690577 42.5032704969015,-8.80627448210287 42.5001679403936,-8.81212661186747 42.4978657414023,-8.81847292016372 42.4964522817672,-8.82506977179663 42.4959818200404,-8.83166394719371 42.4964724154555,-8.83800232886033 42.4979052370088,-8.84384158402885 42.5002252837389,-8.84895747815021 42.5033434890372,-8.85315346702823 42.5071401295341,-8.85626824122006 42.5114694096637,-8.85818193411234 42.5161650482023,-8.85882075375044 42.5210466545678,-8.85815985658262 42.525926651946,-8.8562243469273 42.5306174825954,-8.85308835695167 42.5349388189296,-8.84887223569948 42.5387245027606,-8.8437379494006 42.5418289446152,-8.83788286594984 42.5441327350803,-8.83153216105474 42.5455472500289,-8.82493013925288 42.5460180702465,-8.81833080722877 42.5455270819226,-8.8119880675274 42.5440931758779,-8.80614591638798 42.5417715181778,-8.80102902924459 42.5386514206866,-8.79683410147136 42.5348528948434,-8.7937222809669 42.5305220232407,-8.79181298467219 42.5258253293896,-8.7911793352 42.5209433645336)))', 'ESCBD', 'Cambados', 'Y'),('SRID=4326;MULTIPOLYGON(((1.09304547430747 41.0655517750365,1.09255154469296 41.0606619134254,1.09080690182878 41.0559389261571,1.08787883332285 41.0515642661867,1.08388003410757 41.0477059689171,1.07896424970136 41.0445122069271,1.07332035668013 41.042105610935,1.06716510951812 41.0405785729385,1.0607348317166 41.0399897096356,1.05427636734701 41.0403616199167,1.04803763567865 41.0416800210791,1.04225814570046 41.0438942962482,1.03715982870396 41.0469194321898,1.03293853564677 41.0506392741561,1.02975652208607 41.0549109745256,1.02773620773882 41.059570466569,1.02695545123042 41.0644387553866,1.02744452474825 41.0693287863974,1.02918490990591 41.0740526289878,1.0321099672924 41.0784286999876,1.03610746039112 41.0822887491777,1.04102384252861 41.0854843372656,1.04667014613039 41.0878925555258,1.05282924973349 41.089420764985,1.05926424272827 41.0900101706005,1.06572756319733 41.0896380909194,1.07197055257362 41.0883188344343,1.07775305367049 41.086103148235,1.08285267678103 41.0830762603724,1.08707337210416 41.0793545923085,1.09025297508289 41.0750812696716,1.09226943298982 41.0704206061662,1.09304547430747 41.0655517750365)))', 'ESCBL', 'Cambrils', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.34970907781648 41.5168165755069,-2.35039755862948 41.5119388292833,-2.3523386373533 41.5072557341952,-2.3554574868154 41.5029471972139,-2.35963409924605 41.4991787031313,-2.36470792118439 41.4960949687561,-2.3704840307799 41.4938143973909,-2.37674061900945 41.4924245442924,-2.3832374887735 41.4919787650037,-2.38972524904288 41.4924941733904,-2.39595485626713 41.493950986571,-2.40168714282288 41.4962932815224,-2.40670197271982 41.499431134836,-2.41080667808257 41.5032440648054,-2.41384345573233 41.5075856456307,-2.41569544078353 41.5122891188209,-2.41629122245934 41.517173788528,-2.41560762484473 41.5220519570417,-2.41367064018295 41.5267361352241,-2.41055447236296 41.5310462512129,-2.40637872089849 41.5348165798268,-2.4013038081755 41.5379021249663,-2.39552482210601 41.5401842076563,-2.38926400962998 41.5415750425546,-2.38276221095048 41.5420211246475,-2.37626956747998 41.5415052939704,-2.37003586619265 41.5400473976947,-2.36430089799605 41.5377035237351,-2.35928520713575 41.5345638358899,-2.35518159256038 41.5307490951566,-2.35214769138565 41.5264060030071,-2.35029993057966 41.521701548018,-2.34970907781648 41.5168165755069)))', 'ESCBM', 'Cabrera', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.67122915692313 42.428908118297,-8.67190350543857 42.424029160024,-8.67384943268281 42.4193413885106,-8.6769919120694 42.4150248899881,-8.68121001747072 42.4112454533037,-8.68634159497542 42.4081482127223,-8.69218950258754 42.4058520868269,-8.69852917685545 42.4044452247477,-8.70511723709851 42.4039816322625,-8.71170080047298 42.4044791053616,-8.71802715565718 42.4059185493343,-8.72385343014087 42.4082447090911,-8.72895588631999 42.4113682831846,-8.73313849482174 42.4151693417072,-8.73624045936234 42.4195019188273,-8.7381424052616 42.4241996059427,-8.73877099241886 42.4290819329798,-8.73810177162891 42.4339612946898,-8.73616016872512 42.4386501571598,-8.73302055195259 42.4429682680703,-8.7288034116316 42.4467495931028,-8.72367075474812 42.4498487105088,-8.7178198876231 42.4521464159755,-8.71147582426693 42.4535543198971,-8.70488261355942 42.4540182578848,-8.69829392245649 42.4535203813483,-8.69196324293065 42.4520798464183,-8.6861341058342 42.4497520742726,-8.68103068457777 42.4466266118307,-8.67684915545778 42.4428236764838,-8.67375015043126 42.4384895197933,-8.67185259361897 42.4337907908361,-8.67122915692313 42.428908118297)))', 'ESCBY', 'Combarro', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.4348000926588 27.7950916221393,-15.4353224567717 27.7901974679673,-15.4369083192705 27.7854879671719,-15.4394966153656 27.7811440700524,-15.4429877961674 27.7773326590742,-15.4472476667531 27.7742001434462,-15.4521125478514 27.771866842,-15.4573955620929 27.7704223688195,-15.4628938038402 27.7699221975256,-15.4683961188562 27.7703855350199,-15.4736911975554 27.7717945855592,-15.4785756740443 27.7740952331118,-15.4828619229645 27.7771991160023,-15.486385257301 27.7809870148729,-15.4890102524522 27.7853134249335,-15.490635954264 27.7900121381956,-15.4911997703296 27.7949026226014,-15.490679893248 27.7997969541437,-15.4890961600115 27.8045070364388,-15.486509311249 27.8088518306595,-15.4830186755065 27.8126643177651,-15.4787583647266 27.8157979247158,-15.4738921251957 27.8181321665363,-15.4686070410923 27.8195772859789,-15.4631063331715 27.8200777110352,-15.4576015311232 27.8196141961706,-15.4523043231612 27.8182045641312,-15.4474183993402 27.815903019477,-15.4431316053615 27.8127980604591,-15.4396087112202 27.8090090702658,-15.4369850745021 27.8046817198313,-15.4353614425518 27.7999823603075,-15.4348000926588 27.7950916221393)))', 'ESCCM', 'Castillo del Romeral', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.15494754775716 42.9460511572963,-9.15558956643289 42.9411698323764,-9.15751523347888 42.9364742939874,-9.16065029122016 42.9321449280177,-9.16487408975768 42.9283480176672,-9.170024249475 42.9252293672734,-9.17590291046137 42.9229087156792,-9.18228432730682 42.9214751513214,-9.18892351876786 42.9209837027206,-9.19556564379732 42.921453233262,-9.20195574945812 42.9228657197325,-9.20784852300864 42.9251669418194,-9.21301768030643 42.9282685565449,-9.21726463562976 42.9320514793124,-9.22042612371882 42.9363704437405,-9.22238048258587 42.941059567558,-9.2230523543655 42.945938713188,-9.22241561971111 42.9508204007483,-9.22049444714371 42.9555170092704,-9.21736241009494 42.9598479899483,-9.21313969859055 42.9636468137572,-9.20798852675533 42.9667673850533,-9.20210690858514 42.9690896725535,-9.19572103969409 42.9705243387691,-9.18907657910953 42.9710161874312,-9.18242917005558 42.9705462942491,-9.17603456991486 42.9691327376447,-9.17013877567308 42.9668299008489,-9.1649685313453 42.9637263726645,-9.16072258814301 42.9599415289951,-9.1575640572391 42.9556209286618,-9.15561415041639 42.9509307029874,-9.15494754775716 42.9460511572963)))', 'ESCCN', 'Corcubión', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.8521278688732 42.6159612896905,-8.85279020683571 42.6110814062059,-8.85472847949784 42.606390703795,-8.85786795092821 42.6020693817721,-8.86208780732292 42.5982834143149,-8.86722582494335 42.5951781861494,-8.87308461288374 42.5928729219038,-8.8794391894807 42.591456120715,-8.88604560262403 42.5909821690571,-8.89265026659091 42.591469259868,-8.89899966237575 42.5928986965557,-8.90485003553244 42.5952156081531,-8.90997672562953 42.5983310486456,-8.91418277454187 42.6021254012062,-8.91730648661274 42.6064529586213,-8.9192276515127 42.6111475063685,-8.91987218931333 42.6160286962774,-8.91921503542373 42.6209089679506,-8.9172811487487 42.6256007533748,-8.91414459749311 42.629923688357,-8.90992575089043 42.6337115531613,-8.90478667894697 42.6368186742078,-8.8989249330789 42.6391255386943,-8.89256594526707 42.6405434038615,-8.88595433918941 42.6410177212541,-8.87934449114658 42.6405302422542,-8.87299070937339 42.6390997225524,-8.86713741604322 42.6367811979949,-8.86200971615714 42.6336638601549,-8.85780472157089 42.6298676147137,-8.85468396742892 42.6255384570585,-8.85276721374256 42.6208428453337,-8.8521278688732 42.6159612896905)))', 'ESCCZ', 'Cabo de Cruz - Boiro', 'Y'),('SRID=4326;MULTIPOLYGON(((0.564780912239253 40.5536960177888,0.56432788256769 40.548804658368,0.562632715654172 40.5440746872688,0.559760794399451 40.5396878293285,0.55582265609059 40.5358125919904,0.55096971856736 40.532597801393,0.545388449612854 40.5301668978289,0.539293205392163 40.5286132075511,0.532918012485172 40.527996370273,0.52650760633825 40.5283400575315,0.520308065671238 40.5296310680414,0.514557396773218 40.5318198340423,0.509476423318003 40.5348223193242,0.505260326297453 40.5385232370259,0.502071155225937 40.5427804653126,0.500031596584179 40.5474304934737,0.499220239576766 40.552294691513,0.499668524074213 40.557186164432,0.501359492864721 40.5619169293843,0.504228402173397 40.5663051406758,0.508165173254798 40.5701820848278,0.513018596417656 40.573398675855,0.518602129945226 40.5758311993658,0.524701072912015 40.5773860824846,0.531080835637429 40.5780035038988,0.537495986961161 40.577659703142,0.543699725752629 40.5763678987783,0.549453406596048 40.5741777794255,0.554535747276357 40.5711735873293,0.558751358654586 40.5674708691979,0.561938265151589 40.5632120209652,0.563974125047899 40.5585607999638,0.564780912239253 40.5536960177888)))', 'ESCDK', 'Casas De Alcanar', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.03455192932991 43.6587142302224,-8.03529195579444 43.6538406669792,-8.03732702529715 43.6491655375946,-8.04057867391778 43.6448684367298,-8.04492177600601 43.641114401773,-8.05018937795792 43.6380475854346,-8.05617912177222 43.6357857331864,-8.06266101040052 43.634415675168,-8.06938621818602 43.6339900032591,-8.07609661210182 43.6345250589098,-8.08253462411157 43.6360003077089,-8.08845310246989 43.6383591243382,-8.09362477049072 43.6415109583792,-8.09785093522629 43.6453347992944,-8.10096911525781 43.6496838096724,-8.10285929568056 43.6543909512765,-8.1034485682758 43.6592753902518,-8.10271397431035 43.6641494374689,-8.10068343450276 43.6688257586703,-8.09743472316853 43.6731245777519,-8.0930925187824 43.6768805957427,-8.08782363828056 43.6799493580332,-8.08183063431122 43.6822128228982,-8.07534400025157 43.6835839146916,-8.06861328420765 43.6840098841504,-8.06189745778952 43.6834743445254,-8.05545491608347 43.6819979039085,-8.04953350044033 43.6796373690616,-8.04436093472081 43.6764835519864,-8.04013604853843 43.6726577651194,-8.03702112866313 43.6683071421255,-8.03513569367016 43.6635989667474,-8.03455192932991 43.6587142302224)))', 'ESCED', 'Cedeira', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.14094146016462 42.9570470014005,-9.14158469772778 42.952165762682,-9.14351177021394 42.9474704668773,-9.14664836588319 42.9431414904612,-9.15087377577196 42.9393451015829,-9.15602555846378 42.9362270844818,-9.16190579186851 42.933907153637,-9.1682886703779 42.9324743697958,-9.17492915680998 42.9319837315266,-9.18157236055321 42.932454071144,-9.18796328735454 42.9338673344298,-9.19385659297153 42.9361692713093,-9.19902597277812 42.9392715114164,-9.20327283237903 42.9430549461795,-9.20643391000274 42.9473742895685,-9.20838755920651 42.9520636447406,-9.20905844916409 42.9569428651857,-9.20842049805848 42.9618244680762,-9.20649792101919 42.9665208356104,-9.20336434539538 42.9708514281524,-9.19914002037581 42.9746497315125,-9.19398722221475 42.9777696699891,-9.18810402759767 42.980091236591,-9.18171669295025 42.9815251215415,-9.17507093386136 42.982016158638,-9.16842244365742 42.9815454548481,-9.16202702140789 42.9801311198321,-9.15613069574673 42.9778275668259,-9.15096023107407 42.9747234122366,-9.14671438694554 42.9709380560984,-9.14355627053553 42.9666170769531,-9.14160707746851 42.9619266206726,-9.14094146016462 42.9570470014005)))', 'ESCEE', 'Cee', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.336658882224 28.3612808173782,-16.3371421503732 28.3563846287234,-16.338695856358 28.3516659072958,-16.341260164375 28.347305960557,-16.3447364400665 28.3434722889756,-16.3489910545555 28.3403121566693,-16.3538605254036 28.3379469415141,-16.3591577960799 28.3364674804195,-16.3646794130987 28.3359305871675,-16.3702133267379 28.3363568753246,-16.3755470182748 28.3377299689501,-16.3804756447061 28.3399971309954,-16.3848098913284 28.3430712853846,-16.3883832333545 28.3468343557585,-16.3910583295816 28.3511417937163,-16.3927323032925 28.3558281239557,-16.3933407070116 28.3607132946976,-16.3928600170528 28.3656095906786,-16.3913085592877 28.3703288440109,-16.388745827249 28.3746896662551,-16.3852702153656 28.3785244236549,-16.3810152514558 28.3816856867869,-16.3761444711538 28.3840519056168,-16.3708451303428 28.3855320904348,-16.3653209976679 28.3860693172786,-16.3597845058373 28.3856429217951,-16.3544485660801 28.3842692962647,-16.3495183636709 28.3820012587136,-16.3451834532415 28.3789260185058,-16.3416104606372 28.3751618173064,-16.3389366738646 28.3708533756741,-16.337264770288 28.3661663217117,-16.336658882224 28.3612808173782)))', 'ESCEI', 'Candelaria', 'Y'),('SRID=4326;MULTIPOLYGON(((3.49840770675732 39.7118654065018,3.49774991157887 39.7069850562303,3.49587225179047 39.7022975717289,3.49284709808507 39.6979830330526,3.48879084558391 39.694207161583,3.48385941957693 39.6911149642266,3.47824227649952 39.6888251757422,3.47215513171273 39.687425710516,3.46583169225056 39.6869702963461,3.45951470880772 39.6874764177375,3.45344668579478 39.6889246465319,3.44786060058219 39.6912593852116,3.44297098274306 39.6943909948124,3.43896569119309 39.6981992269833,3.43599870197308 39.7025378302242,3.43418418274249 39.7072401555383,3.43359208293721 39.7121255483103,3.43424541244983 39.7170062826555,3.4361193184461 39.7216947729989,3.43914200171372 39.7260107861552,3.44319744323341 39.7297883762669,3.44812984118035 39.7328822747797,3.4537495911506 39.7351734879492,3.45984058090752 39.7365738844936,3.46616851805502 39.7370295948298,3.47248996716605 39.7365230893643,3.47856174397203 39.7350738547272,3.48415029962135 39.7327376415669,3.48904072843953 39.7296043133237,3.49304504804719 39.7257943799968,3.49600943037344 39.7214543520715,3.49782010463495 39.7167510954398,3.49840770675732 39.7118654065018)))', 'ESCEM', 'Cala-Ratjada', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.06862354562941 43.5584242418171,-7.06943983703415 43.5535582464628,-7.07154546374898 43.5489015316168,-7.07485925848769 43.5446329799955,-7.07925371799165 43.54091652929,-7.08455992655828 43.5378948874115,-7.09057405324588 43.5356840655215,-7.0970651722048 43.5343689363248,-7.10378410756219 43.5339999858125,-7.11047296743646 43.5345913812604,-7.116875007016 43.5361204284993,-7.1227444488787 43.5385284390544,-7.12785589017155 43.5417229745858,-7.13201294089073 43.5455813840302,-7.13505576492431 43.5499554998173,-7.13686723500839 43.5546773152959,-7.13737746318565 43.5595654277065,-7.13656652823126 43.5644320011479,-7.13446528891261 43.5690899832167,-7.13115424457484 43.5733602982737,-7.12676047975257 43.5770787401609,-7.12145280438865 43.5801022978278,-7.11543527273069 43.5823146684514,-7.10893932900402 43.5836307435458,-7.10221488360899 43.5839998931157,-7.09552066728126 43.5834079195803,-7.08911424030456 43.5818776051176,-7.08324204804269 43.579467831126,-7.0781299120716 43.5762713044127,-7.07397432815283 43.5724109791804,-7.07093490909057 43.5680353146607,-7.06912826377249 43.5633125532851,-7.06862354562941 43.5584242418171)))', 'ESRHR', 'Rinlo', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.28024400367175 35.8915881609928,-5.28069488983281 35.8866944361315,-5.28231022060432 35.8819663103419,-5.28502773052061 35.877585444931,-5.28874285178015 35.8737201292113,-5.29331275328125 35.870518823121,-5.29856183878063 35.8681044644605,-5.30428849149671 35.866569757621,-5.31027280650527 35.8659736228617,-5.31628501615421 35.8663389407927,-5.3220942885698 35.867651677416,-5.32747756588333 35.8698614226948,-5.33222810745889 35.8728833220649,-5.3361634141744 35.8766013275245,-5.33913223236907 35.8808726448533,-5.34102036973762 35.885533207938,-5.34175509918511 35.8904039718336,-5.34130797906497 35.8952977845318,-5.33969597757471 35.9000265747088,-5.3369808533273 35.904408579911,-5.33326681092774 35.908275337303,-5.32869651723069 35.9114781674651,-5.32344562818732 35.9138939005709,-5.31771603515221 35.9154296229822,-5.31172809068662 35.916026259828,-5.30571211499491 35.9156608540601,-5.2998995132971 35.9143474530488,-5.29451385031515 35.9121365679781,-5.28976222988125 35.9091132269355,-5.28582731536353 35.9053936974041,-5.28286030071384 35.9011210056305,-5.28097510366384 35.8964594269746,-5.28024400367175 35.8915881609928)))', 'ESCEU', 'Ceuta', 'Y'),('SRID=4326;MULTIPOLYGON(((1.64211685853695 41.1893952822237,1.64158141153756 41.1845071971938,1.63979411910344 41.179791930182,1.63682390635206 41.1754306345926,1.63278508416334 41.1715908300508,1.62783293089518 41.1684199772856,1.62215771474336 41.1660398266285,1.61597738801761 41.1645417549858,1.60952923313355 41.1639832680874,1.60306077804611 41.1643858003401,1.59682032507009 41.1657338953559,1.59104745081733 41.1679757980072,1.58596383595762 41.171025435545,1.58176477166464 41.1747657128285,1.57861166527037 41.1790529969217,1.57662583150826 41.1837226210385,1.57588380882772 41.1885951987181,1.57641438403558 41.1934835076957,1.57819744476327 41.1981996804301,1.58116471013201 41.2025624256291,1.58520231797432 41.2064040029778,1.59015517480612 41.2095766818535,1.59583290532105 41.2119584339158,1.60201717442066 41.213457638459,1.60847009949848 41.214016617279,1.61494342638025 41.2136138610785,1.62118811106404 41.2122648603394,1.62696393269857 41.2100215080777,1.63204876190209 41.2069700977326,1.63624712262864 41.2032279943389,1.63939771465846 41.198939108841,1.64137960604758 41.1942683518246,1.64211685853695 41.1893952822237)))', 'ESCFE', 'Calafell', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.39891282467921 36.7463241114152,-6.39967492105297 36.7414565402458,-6.40160211924178 36.736802118626,-6.40462018517697 36.7325396527764,-6.40861303142058 36.7288328656205,-6.41342719423742 36.7258241173739,-6.41887773424622 36.7236289483361,-6.42475533343363 36.7223316515346,-6.43083431734342 36.721982043423,-6.4368812974644 36.7225935552174,-6.44266410626997 36.7241427173495,-6.4479606866872 36.7265700567583,-6.45256759932044 36.7297823732403,-6.45630782449411 36.7336563087651,-6.45903756172526 36.7380430744558,-6.46065176584025 36.7427741556411,-6.46108820549227 36.7476677776839,-6.46032988483309 36.7525358856491,-6.45840573070025 36.7571913704783,-6.45538951373261 36.7614552640871,-6.45139703987936 36.7651636261888,-6.44658171618217 36.7681738567964,-6.44112865875548 36.7703701899344,-6.43524756886656 36.7716681553516,-6.42916465239956 36.7720178348035,-6.42311389656227 36.7714057862129,-6.41732804370026 36.7698555608708,-6.41202961431656 36.7674267937023,-6.40742232929495 36.7642129022744,-6.40368326500336 36.7603374843889,-6.40095604519057 36.7559495545985,-6.39934533177601 36.7512178047981,-6.39891282467921 36.7463241114152)))', 'ESCHP', 'Chipiona', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.4744252149327 29.2286770972741,-13.4750467278705 29.2237935413538,-13.4767422932633 29.2191101577037,-13.4794466290131 29.2148068829943,-13.4830557320272 29.2110490302116,-13.4874308866716 29.2079809448237,-13.4924039985141 29.2057204678083,-13.4977840479422 29.2043544167837,-13.5033644165932 29.2039352574339,-13.508930807225 29.2044790919659,-13.5142694557628 29.2059650411955,-13.5191753234625 29.2083360438755,-13.5234599578098 29.2115010430086,-13.5269587228888 29.2153384761127,-13.5295371231517 29.2197009366722,-13.531095978049 29.2244208291724,-13.5315752477579 29.2293168018725,-13.5309563608297 29.2342007113029,-13.52926295122 29.2388848515736,-13.5265599728282 29.2431891708256,-13.5229512221016 29.2469481970509,-13.5185753610413 29.2500174061352,-13.5136005916247 29.2522787860284,-13.5082181858148 29.253645381657,-13.5026351207123 29.254064644426,-13.4970661040698 29.2535204563837,-13.4917252997487 29.2520337505331,-13.4868180746915 29.2496617033101,-13.4825330880578 29.2464955307345,-13.4790350293957 29.2426569739341,-13.4764582867073 29.2382936104972,-13.4749017881912 29.2335731733933,-13.4744252149327 29.2286770972741)))', 'ESCHR', 'Caleta del Sebo, La Graciosa', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.74212863106262 42.614928770599,-8.74279954188141 42.6100495442065,-8.74474602573191 42.6053607226961,-8.74789303184384 42.6010424325823,-8.75211945790861 42.5972605311854,-8.75726282894451 42.5941602468603,-8.76312554953312 42.5918606143758,-8.76948248790323 42.5904499167986,-8.7760896018553 42.5899823065702,-8.78269327895559 42.5904757335481,-8.78904003785908 42.591911258259,-8.7948862247445 42.594233776295,-8.80000733901017 42.5973541265322,-8.80420663558224 42.6011525035811,-8.80732267707556 42.6054830454405,-8.80923554691226 42.6101794225431,-8.80987148326294 42.6150612158916,-8.80920575186178 42.6199408412812,-8.80726364150515 42.6246307549196,-8.80411953713883 42.6289506640261,-8.79989409930664 42.6327344648034,-8.79474965254018 42.6358366397334,-8.78888395602745 42.6381378662197,-8.78252259459685 42.6395496185231,-8.77591028381908 42.6400175836293,-8.76930142729814 42.639523757654,-8.76295029489955 42.6380871408142,-8.75710120626982 42.6357630037848,-8.75197910377464 42.6326407541667,-8.74778088293616 42.6288404865133,-8.74466781736819 42.6245083506531,-8.74275937059066 42.6198109188251,-8.74212863106262 42.614928770599)))', 'ESCIL', 'Carril', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.5687396420153 43.3208759536945,-8.56943240273269 43.3159984374593,-8.5714148295938 43.3113132932321,-8.57461048256236 43.3070005038384,-8.57889638549232 43.3032257123596,-8.58410777766415 43.3001338710278,-8.59004445386914 43.297843687657,-8.59647844814196 43.29644308047,-8.6031627674032 43.2959858134577,-8.609840843484 43.2964894394515,-8.61625634633176 43.2979346285642,-8.6221629883392 43.3002659073573,-8.62733395003835 43.3033937808823,-8.63157057085275 43.3071981575262,-8.63470997485128 43.3115329472258,-8.63663133978416 43.3162316588976,-8.63726056702193 43.3211137845168,-8.63657316888494 43.3259917266562,-8.63459525637668 43.3306780046826,-8.6314025822644 43.33499246316,-8.62711766918995 43.3387692049044,-8.62190512717563 43.3418629807733,-8.61596533648256 43.3441547884372,-8.60952673722838 43.345556462389,-8.60283702355945 43.3460140762323,-8.59615358489504 43.345510024334,-8.58973356769316 43.3440637014213,-8.58382394683088 43.3417307535436,-8.57865199527949 43.3386009297528,-8.57441652431078 43.3347946185721,-8.57128023480159 43.3304582045802,-8.56936347484866 43.3257584261445,-8.5687396420153 43.3208759536945)))', 'ESCIN', 'Cayon', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.55954473693366 43.6815709229266,-7.56032344803859 43.6767009832606,-7.56239597842565 43.6720348426321,-7.56568242758631 43.6677517479801,-7.5700563371149 43.6640161969168,-7.57534957500006 43.6609716312974,-7.58135880362941 43.6587349420567,-7.58785328194055 43.6573919938722,-7.5945837037267 43.6569943391038,-7.60129173684688 43.6575572452237,-7.60771990304768 43.6590591102455,-7.61362142595606 43.6614422882944,-7.61876967587691 43.6646152942846,-7.62296685430642 43.6684563045875,-7.62605158818529 43.6728178214407,-7.62790514313691 43.6775323244562,-7.6284560151585 43.6824186945882,-7.62768271995817 43.6872891657866,-7.62561466645469 43.6919565385109,-7.62233107359189 43.6962413782467,-7.61795796492961 43.699978921709,-7.61266335055383 43.7030254237178,-7.60665077763444 43.7052636985405,-7.60015149637147 43.7066076401091,-7.59341554417793 43.7070055448296,-7.58670209514994 43.7064421071768,-7.58026945206448 43.7049390100584,-7.57436507285992 43.7025540869249,-7.56921602207621 43.6993790885355,-7.56502022014053 43.6955361418435,-7.56193883055277 43.6911730394092,-7.56009007855131 43.6864575430105,-7.55954473693366 43.6815709229266)))', 'ESCIO', 'Cillero', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.04571960421111 43.3550188406001,-3.04637457673095 43.3501384717319,-3.04832145024826 43.3454450963726,-3.05148514743965 43.341119015872,-3.05574391524498 43.3373263854865,-3.06093403015574 43.334212843377,-3.06685609928777 43.331897930622,-3.07328271370897 43.3304705141271,-3.07996716132935 43.3299853857785,-3.08665286852386 43.3304611663742,-3.09308321362713 43.3318795934389,-3.09901134221912 43.3341862197769,-3.10420961406013 43.3372924964112,-3.10847832463393 43.3410791612904,-3.1116533701727 43.3454008056839,-3.11361256306378 43.3500914453253,-3.11428035360035 43.3549708847649,-3.11363077267324 43.3598516325353,-3.11168847635107 43.3645461028604,-3.10852784512106 43.3688738276917,-3.10427016527822 43.3726684014388,-3.09907899469794 43.3757838900815,-3.09315388697979 43.3781004561993,-3.08672271365276 43.379528981177,-3.08003288085921 43.3800145043716,-3.07334178206871 43.3795383448733,-3.06690685976894 43.3781188228421,-3.0609756652169 43.3758105521724,-3.05577630541664 43.3727023321762,-3.05150865051562 43.3689137207641,-3.04833664356434 43.3645904230086,-3.04638200957776 43.3598986748853,-3.04571960421111 43.3550188406001)))', 'ESCIV', 'Ciervana', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.11564242074849 43.5671376565526,-6.11653524663785 43.5622805902406,-6.11871371543038 43.5576434683809,-6.12209386741612 43.5534044163666,-6.12654565900864 43.549726235481,-6.13189798241351 43.5467501622325,-6.1379452453791 43.5445904580372,-6.14445525756484 43.543330034536,-6.15117812266606 43.5430172801881,-6.15785579926089 43.5436642081507,-6.16423196941155 43.5452459954992,-6.17006184301818 43.547701931364,-6.17512152809186 43.5509377384244,-6.17921661244893 43.5548291803011,-6.18218963044007 43.5592268185838,-6.18392612846419 43.5639617393105,-6.18435909404212 43.5688520313164,-6.18347157360362 43.5737097694655,-6.18129737193473 43.5783482355517,-6.1779197991147 43.5825890995359,-6.17346850607493 43.5862692842789,-6.16811452470897 43.5892472482034,-6.16206369967732 43.5914084420548,-6.15554876361268 43.5926697274053,-6.14882036243604 43.5929825845868,-6.14213738038736 43.5923349847867,-6.1357569431123 43.5907518532108,-6.12992449034191 43.5882941053753,-6.12486430671898 43.5850562944572,-6.12077088032602 43.5811629619051,-6.11780142440169 43.5767638339673,-6.11606985025452 43.5720280513921,-6.11564242074849 43.5671376565526)))', 'ESCLO', 'Cudillero', 'Y'),('SRID=4326;MULTIPOLYGON(((0.101879253326526 38.6407947369576,0.101463319066413 38.6359017060199,0.0998384418087418 38.6311663255519,0.0970672839277098 38.6267705338743,0.0932564986793114 38.6228831886681,0.0885526074095456 38.6196535885516,0.0831363574707868 38.6172057492897,0.077215779373404 38.6156336525202,0.0710182094853864 38.6149976473757,0.0647815822247531 38.6153221412706,0.0587453220397673 38.6165946670886,0.0531411797857744 38.6187663618345,0.0481843599936095 38.6217538384274,0.0440652749483892 38.6254423796024,0.0409422387756356 38.6296903327911,0.0389353805337726 38.6343345391523,0.0381220106635774 38.6391965903362,0.0385336214316033 38.6440896745684,0.0401546409657939 38.6488257504975,0.0429229941951014 38.6532227739254,0.0467324548464386 38.6571116996482,0.0514367032321313 38.6603429884287,0.0568549376326465 38.6627923674179,0.0627788254215811 38.6643656205685,0.0689805263603043 38.6650022226992,0.075221477115345 38.6646776755096,0.0812615950251057 38.66340445423,0.0868685419303333 38.6612315277331,0.0918266863175744 38.6582424706231,0.0959454142445479 38.6545522407843,0.0990664659542515 38.6503027478688,0.101070014505052 38.6456573851273,0.101879253326526 38.6407947369576)))', 'ESCLP', 'Calpe', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.77669568450148 43.4275382830751,-4.7772120964892 43.4226503458949,-4.77902670105836 43.4179297408302,-4.78206949214843 43.4135578239693,-4.78622334585592 43.409702517584,-4.79132855044558 43.4065118703812,-4.79718895629667 43.4041083845854,-4.80357950760058 43.4025843253532,-4.81025486733563 43.4019981901801,-4.81695880768781 43.402372471692,-4.82343401077657 43.4036927981587,-4.82943191001657 43.4059084840181,-4.83472220107446 43.4089344695229,-4.8391016631877 43.4126545762045,-4.84240195627849 43.4169259550678,-4.84449609614716 43.4215845590715,-4.84530335802413 43.426451432192,-4.84479241647625 43.4313395756951,-4.84298259529028 43.436061129415,-4.83994317230037 43.4404345928399,-4.83579075864709 43.4442918082475,-4.83068484682984 43.4474844362999,-4.8248216941376 43.449889673206,-4.81842677456025 43.4514149872184,-4.81174609014975 43.4520016898124,-4.80503667935432 43.4516272019775,-4.79855669288066 43.4503059268547,-4.79255542554146 43.4480886944304,-4.78726369443245 43.4450607999028,-4.78288493955021 43.4413387123719,-4.7795873933023 43.4370655823992,-4.77749762170609 43.4324057236162,-4.77669568450148 43.4275382830751)))', 'ESCLY', 'Celorio', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.05481432647446 43.1860214855253,-9.05546677657123 43.1811409212254,-9.05740758736216 43.1764472553503,-9.06056191669604 43.1721208008279,-9.06480837292679 43.1683277278709,-9.06998370609889 43.165213692312,-9.07588909075765 43.1628982548364,-9.08229775756647 43.1614703030401,-9.08896368185793 43.1609846497086,-9.09563099918789 43.1614599358949,-9.10204379198091 43.1628779179443,-9.10795587815642 43.1651841653505,-9.11314023255822 43.1682901431168,-9.11739768507609 43.1720766000134,-9.12056456520028 43.1763981346583,-9.1225190006853 43.1810887664757,-9.12318562694242 43.185968299987,-9.12253852226907 43.1908492400282,-9.12060225020185 43.1955439936132,-9.11745096191273 43.1998720822203,-9.11320558607598 43.2036670868624,-9.10802920816627 43.2067830576253,-9.1021208126894 43.2091001392065,-9.09570762735144 43.2105291937095,-9.08903636472522 43.2110152404718,-9.08236370196863 43.2105395785437,-9.07594637045054 43.2091205087836,-9.07003124323159 43.2068126272918,-9.06484580843898 43.2037047178401,-9.06058940066194 43.1999163257398,-9.05742553135721 43.1955931469902,-9.05547561440001 43.1909014124669,-9.05481432647446 43.1860214855253)))', 'ESCMY', 'Camelle', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.82950838375142 43.7386519465014,-7.83026611112923 43.7337799746275,-7.83231986766534 43.7291087682058,-7.83559047166904 43.7248177699872,-7.83995207042801 43.7210717819388,-7.84523700171433 43.7180146470233,-7.85124224423894 43.7157637386184,-7.85773720808608 43.7144054667291,-7.86447256751934 43.7139919711398,-7.87118980107442 43.7145391264906,-7.87763107859133 43.716025934615,-7.88354912247872 43.7183953271291,-7.88871667137183 43.7215563480896,-7.89293518843126 43.7253876344229,-7.89604248346638 43.7297420626387,-7.89791895713408 43.734452385867,-7.89849222555808 43.7393376471465,-7.89773994334398 43.7442101246273,-7.89569071023364 43.748882543145,-7.89242301926742 43.7531752754184,-7.88806227967376 43.7569232554862,-7.8827760228797 43.759982337119,-7.87676747197011 43.7622348505689,-7.87026772053216 43.7635941414772,-7.86352682316988 43.764007914923,-7.85680414444784 43.7634602539647,-7.85035834350402 43.7619722337433,-7.84443738658078 43.7596011071737,-7.8392689785258 43.7564380941935,-7.83505178697738 43.7526048611434,-7.83194780032838 43.7482488278834,-7.83007611424986 43.743537485637,-7.82950838375142 43.7386519465014)))', 'ESCNO', 'Cariño', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.42569691078897 43.3971328332588,-3.42632182643631 43.3922504440132,-3.42824068017068 43.3875507476155,-3.43137946844255 43.3832142900731,-3.43561739136696 43.379407626521,-3.44079152200007 43.3762769346879,-3.44670307748325 43.3739424141307,-3.45312504957205 43.3724936839274,-3.45981090263581 43.3719863531294,-3.46650400879396 43.3724398935799,-3.47294746353276 43.3738368953552,-3.47889391163465 43.3761237328776,-3.48411501290347 43.3792126165452,-3.48841018999132 43.3829849524234,-3.49161432628365 43.3872958830093,-3.4936041195832 43.391979837104,-3.49430284618214 43.3968568780881,-3.49368334837115 43.4017396088503,-3.4917691246563 43.4064403695378,-3.48863347370892 43.4107784521149,-3.48439671778448 43.41458705405,-3.47922160616097 43.4177197025133,-3.47330707104319 43.4200559000685,-3.46688057429764 43.4215057723298,-3.46018934039321 43.4220135363775,-3.45349081639542 43.4215596544101,-3.44704273163565 43.4201615883441,-3.44109314621053 43.4178731257861,-3.43587087794496 43.4147823037352,-3.43157668185082 43.4110080112271,-3.42837552519453 43.4066954036441,-3.42639025655048 43.4020103074923,-3.42569691078897 43.3971328332588)))', 'ESCOD', 'Colindres', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.61528823769313 42.3188918553148,-8.61596567567366 42.3140131448483,-8.6179123034137 42.3093262356464,-8.62105306913314 42.3050111807766,-8.625267113992 42.3012337137857,-8.63039244104456 42.2981388935996,-8.6362321487667 42.2958455462648,-8.64256198840298 42.2944417146609,-8.64913895616393 42.293981288604,-8.65571059396762 42.2944819427921,-8.66202464703176 42.2959244604936,-8.66783871388482 42.2982534685241,-8.67292952462116 42.3013795558009,-8.67710149647064 42.3051826954823,-8.68019424163475 42.3095168412808,-8.68208874014557 42.3142155237829,-8.68271193914754 42.319098234164,-8.68203959801597 42.3239773520506,-8.68009726425412 42.3286653526725,-8.67695933592308 42.3329820168034,-8.67274623989588 42.3367613659013,-8.6676198286666 42.3398580545067,-8.66177716881478 42.3421529721231,-8.65544295853059 42.3435578368095,-8.64886086699531 42.3440186014724,-8.6422841323397 42.3435175398637,-8.63596578529622 42.3420739307415,-8.63014888105605 42.3397433134491,-8.62505712149104 42.3366153440649,-8.62088623382123 42.3328103359646,-8.61779644078796 42.3284746198853,-8.61590631292376 42.3237749043015,-8.61528823769313 42.3188918553148)))', 'ESCOS', 'Santa Cristina de Cobres', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.92977015136901 43.2649841064333,-8.93043342484255 43.2601043295594,-8.93238633601974 43.2554128570672,-8.93555357750317 43.251089916822,-8.93981326195253 43.2473015433256,-8.9450016322407 43.2441932113673,-8.95091936357439 43.2418842622819,-8.95733921404664 43.2404633344616,-8.96401473105893 43.2399849711903,-8.97068968303948 43.2404675340137,-8.97710785996703 43.2418925004067,-8.98302287309123 43.2442051722308,-8.98820758426786 43.2473167682618,-8.99246280849914 43.2511078218098,-8.99562495923887 43.255432755012,-8.99757234408282 43.2601254565479,-8.99822986753991 43.2650056509759,-8.9975719562026 43.2698858170875,-8.995623587947 43.2745783908707,-8.99245937855217 43.2789029767989,-8.98820075375014 43.2826932898302,-8.98301130934561 43.2858035598986,-8.97709053365566 43.2881141506097,-8.97066613206261 43.2895361736484,-8.96398525003214 43.2900149189936,-8.95730493591213 43.2895319669322,-8.95088221606166 43.2881058992472,-8.9449641708502 43.2857915817393,-8.93977840002948 43.2826780461732,-8.93552424991778 43.2788850545153,-8.93236514353564 43.2745584796882,-8.93042230981115 43.2698646829348,-8.92977015136901 43.2649841064333)))', 'ESCOX', 'Corme', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.6512297616302 42.4279022282883,-8.65190564883641 42.4230233924002,-8.65385303188746 42.4183359647984,-8.65699682839055 42.4140200184058,-8.66121606179847 42.4102413207926,-8.66634853507469 42.4071449778042,-8.67219707201581 42.4048498735567,-8.6785370851621 42.4034441179864,-8.68512518092007 42.4029816744457,-8.69170847510784 42.4034802948843,-8.6980342666877 42.4049208406103,-8.70385970466951 42.4072480142868,-8.70896108339951 42.4103724755607,-8.71314241468728 42.4141742604485,-8.71624295111492 42.4185073751777,-8.7181433727066 42.4232053904191,-8.71877039782932 42.4280878233918,-8.71809963727875 42.4329670646634,-8.71615657612089 42.4376555848387,-8.71301563877974 42.4419731446601,-8.70879736652073 42.4457537309279,-8.70366381005353 42.4488519502663,-8.69781231048691 42.4511486329016,-8.69146790631321 42.4525554286023,-8.68487465962033 42.4530182156654,-8.67828623877394 42.4525191898429,-8.6719561252997 42.4510775515426,-8.66612782815726 42.4487487644366,-8.66102548828138 42.4456224145077,-8.65684524018756 42.4418187532702,-8.6537476663866 42.437484060154,-8.65185163582102 42.432785004783,-8.6512297616302 42.4279022282883)))', 'ESCPE', 'Campelo', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.03715051787066 42.5740159743585,-9.03779797921871 42.5691349890439,-9.0397210821666 42.5644411264414,-9.04284567311298 42.5601147082771,-9.04705150871574 42.5563219052908,-9.05217690211868 42.5532083652574,-9.05802494538053 42.5508936321766,-9.06437106765525 42.5494665686147,-9.07097164003354 42.5489819546345,-9.07757330021369 42.5494583919174,-9.0839226444029 42.5508775922137,-9.08977592076548 42.5531850769678,-9.09490835868275 42.5562922617123,-9.09912278106942 42.5600798465188,-9.10225717265796 42.5644023843015,-9.10419091480897 42.569093853891,-9.1048494459569 42.5739740261965,-9.10420716479644 42.578855380931,-9.10228845890711 42.583550309528,-9.09916681247824 42.5878783279734,-9.09496202057557 42.5916730218995,-9.08983561116077 42.5947884556529,-9.08398464685303 42.5971047969322,-9.07763414320089 42.5985329383372,-9.07102839613892 42.5990179357131,-9.06442155576813 42.5985411290099,-9.0580678145191 42.5971208627184,-9.05221159364025 42.5948117776823,-9.04707811202592 42.5917027019977,-9.04286470565416 42.5879132234715,-9.03973323511277 42.5835890774912,-9.03780387433793 42.5788965300594,-9.03715051787066 42.5740159743585)))', 'ESCR2', 'Corrubedo', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.49595242241591 36.5963938220899,-4.49645466716803 36.591502199272,-4.498130565159 36.5867835629818,-4.50091552028186 36.5824192051486,-4.50470237374428 36.5785767764305,-4.50934554253638 36.5754038540285,-4.51466662262363 36.5730222833328,-4.52046124026041 36.5715235088809,-4.52650688885236 36.5709650720243,-4.53257145280453 36.5713684081037,-4.53842209487944 36.5727180265091,-4.54383417048847 36.5749621045551,-4.54859983142574 36.5780144725656,-4.55253599284285 36.5817579148529,-4.55549136041792 36.5860486613211,-4.5573522489992 36.590721899044,-4.55804696845159 36.5955980940487,-4.55754860559642 36.6004898821736,-4.55587609125445 36.6052092654918,-4.55309350640296 36.6095748383461,-4.54930764898182 36.6134187651025,-4.54466395036226 36.6165932404972,-4.53934089523983 36.6189761827111,-4.53354315804114 36.6204759384052,-4.52749372028571 36.6210348168428,-4.52142527443466 36.6206313154563,-4.5155712487098 36.6192809500223,-4.51015680282999 36.6170356569547,-4.50539014585323 36.6139817909056,-4.50145451426551 36.6102367956257,-4.49850112172656 36.6059446776398,-4.4966433527066 36.6012704586753,-4.49595242241591 36.5963938220899)))', 'ESCRQ', 'La Carihuela', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.86578700869778 36.9927058360144,-1.86645924775008 36.9878270477449,-1.86830490405432 36.9831471802131,-1.87125286705551 36.9788460232305,-1.87518973063509 36.9750887898687,-1.87996416907358 36.9720197792867,-1.88539275757095 36.969756844962,-1.89126701287962 36.9683868788471,-1.89736138475281 36.9679624829931,-1.90344189421059 36.968499954907,-1.90927509113659 36.9699786630357,-1.91463699213671 36.9723418361035,-1.9193216602616 36.9754987365041,-1.92314910110265 36.9793281354805,-1.92597217454988 36.9836829583298,-1.92768225741904 36.9883959231775,-1.92821343812154 36.9932859586328,-1.9275450791039 36.9981651553585,-1.92570264411039 37.002845985469,-1.92275675328079 37.007148512609,-1.91882049726411 37.0109073151129,-1.91404510928347 37.0139778549341,-1.90861415869769 37.0162420457823,-1.90273648836073 37.0176128044104,-1.8966381684267 37.0180374081145,-1.8905537789324 37.017499527744,-1.88471736069501 37.016019857036,-1.87935338752424 37.0136553138103,-1.87466811183841 37.0104968442674,-1.87084162054137 37.0066659160521,-1.86802090918321 37.0023098366799,-1.86631424134141 36.9975960793194,-1.86578700869778 36.9927058360144)))', 'ESCRS', 'Carboneras', 'Y'),('SRID=4326;MULTIPOLYGON(((3.03222586485059 39.316995539608,3.03160445680256 39.3121121710539,3.02976875789038 39.307416783782,3.02678952469413 39.3030897644277,3.02278138873069 39.2992973165522,3.01789842979987 39.2961850859233,3.01232824733341 39.2938725780114,3.00628475869302 39.2924485800198,3 39.2919677611688,2.99371524130698 39.2924485800198,2.98767175266659 39.2938725780114,2.98210157020013 39.2961850859233,2.97721861126932 39.2992973165522,2.97321047530587 39.3030897644277,2.97023124210962 39.307416783782,2.96839554319744 39.3121121710539,2.96777413514941 39.316995539608,2.96839114830278 39.3218792435803,2.97022312140266 39.3265755860425,2.97319986508992 39.3309040349402,2.97720712685308 39.3346981690773,2.98209095998187 39.3378120859682,2.98766363195636 39.3401260234241,2.99371084640999 39.3415509766066,3 39.3420321308761,3.00628915359 39.3415509766066,3.01233636804364 39.3401260234241,3.01790904001813 39.3378120859682,3.02279287314692 39.3346981690773,3.02680013491008 39.3309040349402,3.02977687859734 39.3265755860425,3.03160885169722 39.3218792435803,3.03222586485059 39.316995539608)))', 'ESCSB', 'Colonia San Jorge', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99464154109392 43.5294023106389,-6.99546328907467 43.5245369284754,-6.9975734696403 43.5198816454156,-7.00089074140703 43.5156152888799,-7.00528746848686 43.5119017120859,-7.0105946489622 43.5088835125575,-7.01660841526316 43.5066765693888,-7.02309785579676 43.5053656065791,-7.02981385922216 43.5050009504364,-7.03649864598051 43.505596603648,-7.04289562711038 43.507129708808,-7.04875921868076 43.5095414217716,-7.05386424167207 43.5127391620358,-7.05801455180471 43.5166001553264,-7.06105057127986 43.520976134558,-7.06285543391895 43.5256990211171,-7.06335950565155 43.5305873706537,-7.06254310218999 43.5354533377117,-7.06043729313102 43.540109892803,-7.05712275433635 43.5443780148523,-7.05272670562339 43.5480935818585,-7.04741804563376 43.5511136933061,-7.04140086717934 43.5533221790286,-7.03490660132232 43.5546340801866,-7.02818509401567 43.5549989276168,-7.02149496273503 43.5544026895102,-7.01509361009757 43.5528683123177,-7.00922728555689 43.5504548338398,-7.00412158420216 43.5472551033631,-6.9999727535869 43.5433921981537,-6.99694014626617 43.5390146763693,-6.99514010894872 43.5342908514628,-6.99464154109392 43.5294023106389)))', 'ESCSO', 'Castropol', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.18170287908405 43.3850596332218,-3.18234726296002 43.3801785295276,-3.18428460079554 43.3754828808874,-3.18744018043601 43.3711530766015,-3.19169255918454 43.3673554153692,-3.19687825740517 43.3642357287237,-3.20279805047523 43.3619137936077,-3.20922461587004 43.3604787462593,-3.21591124289318 43.3599856710965,-3.22260127432011 43.3604534935159,-3.2290379230822 43.3618642561221,-3.23497409379113 43.3641638056705,-3.24018183874022 43.3672638647999,-3.24446109102227 43.3710454103529,-3.24764734322953 43.3753632305976,-3.24961797814802 43.3800514887593,-3.2502970068553 43.3849300816249,-3.2496580282152 43.3898115510546,-3.24772529008277 43.3945082842889,-3.24457280434983 43.3988397269083,-3.24032154269361 43.4026393307922,-3.23513481468219 43.4057609686562,-3.22921200171384 43.4080845665025,-3.22278088606508 43.409520734957,-3.21608887116753 43.4100142189232,-3.20939343450146 43.409546030768,-3.20295218603488 43.4081341835667,-3.19701292141972 43.405832995684,-3.19180405938157 43.4027309939027,-3.18752583689358 43.3989474971314,-3.184342604586 43.3946280141574,-3.18237651992016 43.3899386348905,-3.18170287908405 43.3850596332218)))', 'ESCSU', 'Castro Urdiales', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.98417912975306 42.5210003215469,-8.98483016890505 42.5161195906086,-8.98675561200142 42.5114265735325,-8.98988121651579 42.5071015594139,-8.99408670110209 42.5033106650376,-8.99921039313789 42.5001994649728,-9.00505545049337 42.4978874135548,-9.01139741711762 42.4964632706324,-9.01799282346139 42.4959817043945,-9.02458850507556 42.4964611997355,-9.03093128701152 42.4978833511434,-9.03677766861319 42.5001935667911,-9.04190314327662 42.5033031572636,-9.04611080076444 42.507092730041,-9.04923888534892 42.5114167613823,-9.05116702071419 42.5161091723841,-9.05182086109769 42.5209896974128,-9.05117498613244 42.5258708022893,-9.04925392241573 42.5305648877916,-9.04613124575337 42.5348915021664,-9.04192679175221 42.5386842850046,-9.03680207613682 42.5417973742357,-9.03095409686704 42.544111027916,-9.0246077548285 42.5455362422667,-9.01800718568786 42.5460181859834,-9.01140633988394 42.5455383167037,-9.00505917856706 42.5441150968688,-8.99920986911463 42.5418032809641,-8.99408336386907 42.5386918020294,-8.98987672996387 42.534900340086,-8.98675156729495 42.5305747064831,-8.98482780734273 42.5258812240539,-8.98417912975306 42.5210003215469)))', 'ESDAA', 'Carreira-Aguiño', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.66168915294649 43.4099036456603,-2.66237552993231 43.4050256207179,-2.66435375977273 43.4003389242129,-2.66754756192689 43.3960235988685,-2.67183402968416 43.3922453852201,-2.67704837928886 43.3891493667644,-2.68299029111173 43.3868544113845,-2.68943159789593 43.3854486200945,-2.69612502614846 43.3849859554648,-2.70281365884918 43.3854841771604,-2.7092407618802 43.3869241625243,-2.71515960363687 43.3892506378493,-2.72034289751234 43.3923742927817,-2.72459151034471 43.3961751980728,-2.7277421061291 43.4005073975164,-2.72967343261625 43.4052045001651,-2.73031100776102 43.4100860604716,-2.7296300218769 43.4149645033281,-2.72765633792627 43.4196523293146,-2.72446554437976 43.4239693237544,-2.72018008991447 43.427749492008,-2.71496460402083 43.4308474530076,-2.70901957931708 43.4331440431355,-2.7025736569677 43.4345509125017,-2.69587481314395 43.4350139344084,-2.68918078933828 43.4345152947982,-2.68274914041618 43.433074179952,-2.67682729005327 43.4307460355306,-2.67164298288912 43.4276204259927,-2.66739550634894 43.423817578158,-2.6642480234467 43.4194837439674,-2.66232131252332 43.4147855632434,-2.66168915294649 43.4099036456603)))', 'ESDAC', 'Mundaca', 'Y'),('SRID=4326;MULTIPOLYGON(((0.77189120312096 40.7686400314117,0.771422256524362 40.7637492107664,0.76970755355494 40.7590219095153,0.766813229368386 40.7546397485009,0.762850682293632 40.750771053341,0.757972266894322 40.7475643977067,0.752365427558918 40.7451429086436,0.746245499788804 40.7435995505118,0.739847455100337 40.7429935664068,0.733416903715918 40.7433482116983,0.727200695871022 40.7446498652381,0.721437476864309 40.7468485516524,0.716348552544595 40.7498598548204,0.712129410733001 40.7535681500708,0.708942220442021 40.7578310326806,0.706909595349506 40.7624847747485,0.706109861849937 40.7673506031161,0.706574016542071 40.772241559219,0.708284494995512 40.7769696788231,0.711175805198518 40.7813532164991,0.71513700767398 40.7852236370454,0.720015952561834 40.7884321041165,0.725625114864379 40.7908552148917,0.731748805429855 40.7923997581199,0.738151479890271 40.7930063102853,0.744586823181885 40.7926515295362,0.750807255544203 40.7913490576427,0.75657348853377 40.7891489945659,0.76166375745035 40.7861359660111,0.765882369770666 40.7824258593242,0.769067237093064 40.7781613550029,0.771096099390912 40.7735064278393,0.77189120312096 40.7686400314117)))', 'ESDEL', 'Deltebre', 'Y'),('SRID=4326;MULTIPOLYGON(((0.144971747079889 38.8457864785835,0.14455253784514 38.8408935934626,0.142920959922215 38.8361586714759,0.140139935200728 38.8317636327683,0.136316497372383 38.8278773053819,0.131597654328469 38.8246489480783,0.126164727331538 38.8222025281929,0.120226386215587 38.820631972324,0.114010647755216 38.8199975701447,0.107756142047257 38.820323667512,0.101702978140702 38.8215977360127,0.0960835544781301 38.8237708539226,0.0911136615836903 38.826759580171,0.0869842138146548 38.8304491502119,0.083853924202278 38.8346978726072,0.0818432021129857 38.8393425594505,0.0810295086887225 38.8442047841724,0.0814443511623217 38.8490977282869,0.0830720359327001 38.8538333555042,0.0858502338071456 38.8582296383143,0.0896723414558978 38.8621175592722,0.0943915534958914 38.8653476170094,0.0998264924887773 38.867795585315,0.105768182292697 38.8693673018574,0.111988096325555 38.8700023002615,0.118246968797021 38.8696761439004,0.124304025857433 38.8684013701686,0.129926276366545 38.8662270081554,0.134897499438554 38.8632366883351,0.139026578209154 38.8595454178608,0.142154855824265 38.855295147046,0.144162229226091 38.8506492995298,0.144971747079889 38.8457864785835)))', 'ESDNA', 'Denia', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.76432188255097 42.2549357421927,-8.7649871180418 42.2500560648933,-8.7669207241647 42.2453665399473,-8.77004814940826 42.2410473217809,-8.77424904673301 42.237264304602,-8.77936192298954 42.2341627610248,-8.78519035330702 42.2318617755387,-8.79151052039999 42.2304496842793,-8.79807979047533 42.2299806939035,-8.80464600001536 42.2304728074465,-8.81095710224032 42.2319071355111,-8.8167708092177 42.2342286187997,-8.82186386573304 42.2373481347324,-8.82604060416443 42.2411459086015,-8.829140455359 42.2454761002565,-8.83104412818432 42.2501723925117,-8.83167821893943 42.2550543689709,-8.83101806969444 42.2599344382501,-8.82908876003222 42.264625039896,-8.82596418736723 42.2689458555649,-8.82176426445946 42.2727307478436,-8.81665033611151 42.2758341586512,-8.81081898736494 42.2781367192292,-8.80449447980935 42.2795498536484,-8.79792010803422 42.2800191964402,-8.79134881224541 42.2795266909171,-8.78503341355859 42.2780912861517,-8.77921685400389 42.27576820536,-8.77412282307455 42.2726468143271,-8.76994713673752 42.2688471732279,-8.76685020397322 42.2645154064819,-8.76495087160926 42.2598180710676,-8.76432188255097 42.2549357421927)))', 'ESDRB', 'Darbo', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.84774948838176 43.3019595390703,-2.84841972517942 43.2970802795502,-2.8503801233041 43.2923902483915,-2.85355508768433 43.2880696175953,-2.85782243466451 43.2842843325297,-2.86301811347618 43.2811797490633,-2.86894251951749 43.2788750644289,-2.8753681554983 43.2774587532812,-2.88204834750611 43.276985181801,-2.88872668507445 43.277472527824,-2.89514682846566 43.278902085502,-2.90106231331699 43.2812189807297,-2.90624598288784 43.2843342703634,-2.91049869138566 43.288128346005,-2.91365694788941 43.2924555137048,-2.91559920852501 43.2971495761295,-2.91625057369947 43.3020302052267,-2.91558570589869 43.3069098626479,-2.91362984993919 43.3116010034368,-2.91045790938924 43.315923286661,-2.90619160755342 43.3197105153859,-2.9009948360857 43.3228170378381,-2.89506736593423 43.3251233615918,-2.88863716087187 43.3265407624512,-2.88195159041263 43.3270147083364,-2.87526788384419 43.3265269644119,-2.86884319828648 43.325096297103,-2.86292468960622 43.3227777494463,-2.85773997489427 43.3196605161531,-2.85348835905571 43.3158645015259,-2.85033316666345 43.3115356947077,-2.84839547510804 43.3068405425721,-2.84774948838176 43.3019595390703)))', 'ESDRI', 'Derio', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.31975510296219 43.295801465776,-2.32046744244806 43.2909255650645,-2.32246809509646 43.2862448351966,-2.32567992245326 43.2819390882305,-2.32997932946212 43.2781736959157,-2.33520103937996 43.27509324912,-2.34114445324622 43.2728160181719,-2.34758134832894 43.2714294244388,-2.35426462130723 43.2709866946435,-2.36093774434508 43.2715048243915,-2.36734457672824 43.2729639278085,-2.37323916206958 43.2753079978634,-2.37839514157507 43.2784470487442,-2.382614427496 43.2822605594606,-2.3857348073145 43.2866020885347,-2.38763618770432 43.2913048849948,-2.38824523678758 43.2961882825791,-2.38753824218846 43.3010646335468,-2.38554206899315 43.3057465170258,-2.38233317369993 43.3100539453313,-2.3780347049847 43.3138212907452,-2.37281179674314 43.3169036650583,-2.36686523036905 43.3191825044948,-2.36042370853487 43.3205701428095,-2.35373503894275 43.3210131942511,-2.34705657101499 43.3204946142466,-2.34064525917752 43.3190343572176,-2.33474774177408 43.3166886058224,-2.32959082397825 43.3135476018422,-2.3253727363842 43.3097321636088,-2.32225550907475 43.3053890260472,-2.32035875543492 43.3006851850064,-2.31975510296219 43.295801465776)))', 'ESDVA', 'Deva', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.09897334303329 42.8990344726159,-9.09961929994629 42.8941534172589,-9.1015477617756 42.8894587786682,-9.10468436441147 42.8851309079871,-9.10890839952839 42.8813360309251,-9.11405747919374 42.8782198737973,-9.11993378549279 42.875902079873,-9.12631166363549 42.8744716281003,-9.13294626812017 42.8739834277536,-9.13958293358464 42.8744562177402,-9.14596691605815 42.8758718498688,-9.15185313714416 42.8781759831075,-9.15701556356484 42.8812801626327,-9.16125586748548 42.8850652051687,-9.16441103876328 42.8893857626321,-9.16635965802869 42.8940758912021,-9.16702658823255 42.8989554143211,-9.16638590051955 42.9038368372483,-9.16446191616713 42.9085325489042,-9.16132831763007 42.9128620347813,-9.15710535588678 42.9166588232712,-9.15195525545779 42.9197768970614,-9.14607598965918 42.9220963210879,-9.13969366383768 42.9235278682342,-9.13305380061403 42.9240164624652,-9.12641186594642 42.9235433049079,-9.12002340599469 42.9221265997133,-9.11413418081115 42.9198208512778,-9.10897068101996 42.9167147603243,-9.10473139786609 42.9129278011263,-9.10157918608917 42.9086056135615,-9.09963501450128 42.9039143896187,-9.09897334303329 42.8990344726159)))', 'ESEAN', 'El Pindo', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.95274209748629 43.3246914325216,-1.95348411149189 43.319818142609,-1.95551378756354 43.3151441496959,-1.95875287399819 43.3108490051471,-1.96307673157125 43.30709767204,-1.96831914806352 43.3040342004832,-1.9742787330499 43.3017762088112,-1.98072664611114 43.3004103801641,-1.98741536318283 43.2999891450023,-1.99408814839276 43.3005286749706,-2.00048887351392 43.3020082638866,-2.00637181476491 43.3043711192693,-2.01151105745457 43.3075265346266,-2.01570915287954 43.3113533605661,-2.01880469858054 43.3157046435624,-2.02067855182398 43.3204132566812,-2.0212584359016 43.3252983084023,-2.02052175804412 43.3301720853491,-2.01849652453764 43.3348472634743,-2.01526031074519 43.3391441109754,-2.01093731855729 43.3428974055162,-2.00569362844537 43.3459627983776,-1.99973082473088 43.3482223787239,-1.99327823785503 43.3495892215535,-1.98658410342846 43.3500107420057,-1.97990598206726 43.3494707250028,-1.9735008143798 43.3479899508738,-1.96761500048816 43.345625392538,-1.96247489241666 43.3424680157468,-1.95827807061449 43.338639268503,-1.95518574364272 43.3342863968333,-1.95331656421235 43.3295767695328,-1.95274209748629 43.3246914325216)))', 'ESEAS', 'San Sebastián', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.350205193704956 38.4312848673599,-0.350994483699721 38.426419640708,-0.352975000527798 38.4217689893863,-0.356070446136746 38.4175115711648,-0.360161750360021 38.4138109100499,-0.365091663988497 38.4108091252698,-0.37067080516269 38.4086214841738,-0.376684926229778 38.4073319861789,-0.382903123485051 38.4069901454068,-0.389086677901379 38.407609094038,-0.394998192073889 38.4091650783389,-0.400410677844901 38.4115983666268,-0.405116250747344 38.4148155350191,-0.408934101482372 38.4186930445954,-0.411717440741926 38.423081974483,-0.413359151049004 38.4278137311667,-0.413795926795659 38.4327065166889,-0.413010739814492 38.4375723088106,-0.411033530760993 38.4422240858447,-0.407940094109023 38.446483018642,-0.403849194179368 38.4501853526157,-0.398918018630625 38.4531887138601,-0.393336141437768 38.4553775950233,-0.387318226787549 38.4566678078993,-0.381095755923584 38.4570097295321,-0.374908098491679 38.4563902154307,-0.368993276544067 38.4548331054166,-0.363578781817312 38.4523983025524,-0.35887280462352 38.4491794613011,-0.355056215810736 38.445300375261,-0.35227561257037 38.4409102053068,-0.35063769584519 38.4361777337426,-0.350205193704956 38.4312848673599)))', 'ESECP', 'Campello', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.35265102747104 43.5287123431499,-5.35312139799978 43.5238229193301,-5.35489346172169 43.5190941991533,-5.35789884260142 43.5147078532416,-5.36202184802575 43.5108323600655,-5.36710394477974 43.5076165445626,-5.37294986476157 43.505183875321,-5.37933510379136 43.5036277369842,-5.38601452615424 43.5030078569445,-5.39273174771585 43.5033480213081,-5.39922894268471 43.5046351662056,-5.40525670411644 43.5068198785483,-5.41058358644012 43.5098182871815,-5.41500496967002 43.5135152729301,-5.41835090923363 43.5177688761579,-5.42049267183467 43.5224157349436,-5.42134770544916 43.527277347511,-5.42088284901473 43.5321669206044,-5.41911565282156 43.536896542368,-5.41611375186828 43.5412844049214,-5.41199230898067 43.5451617988992,-5.40690961949096 43.5483796099841,-5.40106104173885 43.5508140657788,-5.39467148452526 43.552371509653,-5.38798674096958 43.5529920154581,-5.3812640053102 43.5526517018206,-5.37476194281075 43.5513636553355,-5.36873070145342 43.5491774263502,-5.36340225659607 43.5461771169148,-5.35898146610536 43.5424781355843,-5.35563818431387 43.5382227458043,-5.35350073989578 43.533574581482,-5.35265102747104 43.5287123431499)))', 'ESEEL', 'El Puntal', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.6026921965986 43.4048859553785,-2.60338324520582 43.4000082982907,-2.60536584862445 43.3953226349588,-2.60856355869758 43.3910089681315,-2.61285331915925 43.3872329744385,-2.61807022041163 43.3841396520214,-2.62401384542686 43.3818477652457,-2.63045596163583 43.3804452974096,-2.63714926474988 43.3799860836614,-2.64383684260627 43.3804877513893,-2.65026200140352 43.381931045837,-2.65617808379661 43.3842605664016,-2.66135790859697 43.3873868858727,-2.66560247526303 43.3911899726489,-2.66874860262121 43.3955237866017,-2.67067520961493 43.4002218745307,-2.67130799525449 43.4051037527285,-2.67062233386144 43.4099818335317,-2.66864426829528 43.4146686311035,-2.66544955586631 43.4189839700177,-2.66116079647602 43.4227619190847,-2.65594274731748 43.4258571824748,-2.64999600017617 43.4281507003272,-2.6435492629363 43.4295542410266,-2.63685054339692 43.430013806091,-2.63015757832313 43.4295117146472,-2.62372788167213 43.4280672859587,-2.61780880163632 43.4257360933064,-2.61262797576787 43.422607818461,-2.6083845570112 43.4188027907121,-2.60524155178038 43.4144673456835,-2.60331956581613 43.4097681848921,-2.6026921965986 43.4048859553785)))', 'ESEEM', 'Elanchove', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9815691563467 28.6827890714857,-13.9821627370944 28.677902001379,-13.9838259246613 28.6732109358589,-13.986494682622 28.6688961096539,-13.9900663744064 28.6651232822211,-13.9944037193492 28.6620373763668,-13.9993400717018 28.6597569188026,-14.0046858192368 28.6583694947875,-14.0102356563921 28.6579283900829,-14.0157764545137 28.6584505480893,-14.0210954297105 28.659915919933,-14.0259882978558 28.6622682322976,-14.0302671067023 28.6654171438899,-14.0337674469198 28.6692417085899,-14.0363547667455 28.6735950135006,-14.0379295481184 28.6783098151514,-14.0384311445782 28.6832049587124,-14.0378401314017 28.6880923347315,-14.0361790747035 28.6927841068077,-14.033511686504 28.6970999326456,-14.0299403948391 28.7008739006033,-14.0256024194596 28.7039609142399,-14.0206645020921 28.7062422781938,-14.0153164932231 28.7076302692165,-14.0097640426825 28.7080715152247,-14.0042206769888 28.7075490513057,-13.9988995709228 28.7060829729056,-13.9940053330169 28.7037296609076,-13.9897261240518 28.7005796087904,-13.986226414272 28.6967539363083,-13.9836406594617 28.6923997250082,-13.9820681394223 28.6876843563501,-13.9815691563467 28.6827890714857)))', 'ESEEN', 'El Cotillo', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.82619220508481 42.496953716358,-8.82685527572809 42.4920738824527,-8.828791781623 42.4873835179207,-8.83192705640455 42.4830628092255,-8.83614044878985 42.4792777072755,-8.84126998408124 42.4761735639577,-8.84711859726771 42.4738695626892,-8.8534616969224 42.4724541545345,-8.86005577063473 42.4719816728111,-8.86664770515277 42.4724702542018,-8.87298446881855 42.4739011448869,-8.87882279096095 42.4762194178905,-8.88393847301354 42.4793360745802,-8.88813497924685 42.4831314509697,-8.8912509807954 42.4874598000214,-8.89316656441054 42.4921548763269,-8.89380786600109 42.4970363110258,-8.89314994707007 42.5019165340788,-8.89121779776441 42.506607979286,-8.88808542119814 42.510930295661,-8.88387302742686 42.5147172875409,-8.87874243911766 42.5178233153139,-8.87289088159329 42.5201289086719,-8.86654339452913 42.5215453741688,-8.85994415827933 42.5220182175163,-8.85334707204602 42.5215292469775,-8.84700595178977 42.5200972756164,-8.84116473143337 42.5177773949322,-8.83604805076978 42.5146588483123,-8.83185259755729 42.5108615874679,-8.82873954034786 42.5065316463276,-8.82682834414092 42.5018355126806,-8.82619220508481 42.496953716358)))', 'ESEGR', 'El Grove', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((0.742945429820049 40.8796497316515,0.742478204908824 40.8747589158287,0.740763074060237 40.8700312471997,0.73786619035448 40.8656483606566,0.733899051660395 40.861778609472,0.729014189692684 40.8585706075486,0.7233992966885 40.8561475332485,0.717270017154405 40.8546024114239,0.710861680968665 40.8539945525792,0.704420292455933 40.8543472838752,0.698193116760966 40.8556470576164,0.692419219190285 40.8578439707364,0.687320314783412 40.860853675487,0.683092274189555 40.8645606089731,0.679897608281634 40.8688224192246,0.677859218510609 40.8734754199781,0.677055653823814 40.8783408669328,0.677518059445316 40.8832318164372,0.679228939718842 40.8879603046123,0.682122788675404 40.8923445717976,0.686088570459366 40.8962160545305,0.690973959933822 40.8994258752957,0.696591184554099 40.9018505788291,0.702724244846536 40.9033968922422,0.70913723534653 40.9040053236219,0.715583443151745 40.9036524586442,0.721814869423231 40.9023518653561,0.72759180174241 40.9001535715932,0.73269206305696 40.8971421352939,0.736919576141312 40.8934333829661,0.740111910431681 40.889169943482,0.742146519445062 40.8845157511408,0.742945429820049 40.8796497316515)))', 'ESEPC', 'Perello', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.1230342222495 36.418554820338,-5.12349625094916 36.4136616512725,-5.12513034988027 36.4089353430735,-5.12787352810736 36.4045574856175,-5.13162022904517 36.4006962507692,-5.13622640785112 36.3974999397968,-5.14151507624884 36.3950912969874,-5.14728310030875 36.3935628060476,-5.15330899053811 36.3929731480179,-5.15936138738297 36.393344955001,-5.1652079200274 36.3946639446932,-5.17062410293589 36.3968794683343,-5.17540193330364 36.3999064511528,-5.17935786348044 36.4036286516369,-5.18233984518638 36.4079031159093,-5.18423317625657 36.4125656579522,-5.18496492469567 36.4174371571183,-5.18450675759732 36.4223304327561,-5.18287606224643 36.4270574331166,-5.18013531141448 36.4314364629482,-5.17638969213769 36.4352991719028,-5.1717830845852 36.4384970342927,-5.16649254230571 36.4409070696418,-5.16072148451013 36.4424365822418,-5.15469186255005 36.4430267355133,-5.14863560410196 36.4426548219578,-5.1427856678763 36.4413351401035,-5.13736705757318 36.4391184440862,-5.13258814554612 36.4360899871613,-5.1286326441178 36.4323662352597,-5.12565253629461 36.4280903784481,-5.12376223895959 36.4234268147458,-5.1230342222495 36.418554820338)))', 'ESEPN', 'Estepona', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.77651765357336 43.7236360533221,-7.77727945264407 43.7187644683012,-7.77933676696191 43.7140942442171,-7.78261027868268 43.7098047858549,-7.78697402401827 43.7060608358952,-7.79226025890998 43.7030061589882,-7.79826591252724 43.7007580341812,-7.80476037952157 43.699402764736,-7.81149435337041 43.6989923753487,-7.81820936571319 43.6995426216037,-7.8246476713647 43.7010323868391,-7.83056210637233 43.703404489246,-7.83572554739321 43.7065678688528,-7.83993961478993 43.7104010719348,-7.84304228881336 43.7147569012134,-7.84491414733603 43.7194680557475,-7.84548298371726 43.7243535463354,-7.84472662302587 43.7292256420006,-7.84267382212237 43.7338970819649,-7.83940321172479 43.7381882763364,-7.83504031392071 43.741934218143,-7.82975274373912 43.744990839494,-7.82374377529565 43.7472405653181,-7.81724451859077 43.7485968486128,-7.81050500933742 43.7490075103325,-7.80378455861208 43.7484567534326,-7.79734173954509 43.7469657723163,-7.79142440321593 43.7445919338993,-7.78626011466699 43.7414265624453,-7.78204738256339 43.7375914149197,-7.77894802336731 43.733233984625,-7.77708095455354 43.7285218162422,-7.77651765357336 43.7236360533221)))', 'ESEPT', 'Espasante', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.221882135132774 39.1622381960491,-0.222691206866973 39.1573749987047,-0.224703146759649 39.1527280950663,-0.227840442925321 39.1484759968263,-0.231982413640772 39.1447820210459,-0.236969862841689 39.1417880274737,-0.24261120129433 39.1396089818072,-0.248689797718994 39.1383285515712,-0.254972279132307 39.1379959017496,-0.261217465182151 39.1386238116574,-0.267185598300411 39.1401881844769,-0.272647520765669 39.1426289682111,-0.277393451568263 39.1458524534309,-0.28124103027083 39.1497348610298,-0.284042321469723 39.1541270841506,-0.285689511234384 39.1588604042998,-0.286119074907223 39.1637529641109,-0.285314252381932 39.1686167496842,-0.283305730568943 39.1732648151509,-0.280170500982203 39.1775184719411,-0.276028930726731 39.1812141657185,-0.271040154899917 39.1842097751851,-0.265395964701819 39.1863900886381,-0.259313425564414 39.1876712455433,-0.25302651071364 39.1880039702882,-0.246777075452799 39.1873754721512,-0.240805524254315 39.1858099375027,-0.235341535211452 39.1833675952176,-0.230595203951293 39.1801423920007,-0.226748951876708 39.1762583685077,-0.22395051242381 39.1718648776012,-0.222307265370562 39.1671308307833,-0.221882135132774 39.1622381960491)))', 'ESERA', 'Cullera', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.930565058714775 37.5624529575946,-0.931304099306269 37.5575817347818,-0.933222492615435 37.5529188573733,-0.936246332711499 37.5486434571761,-0.94025930152558 37.5449197532837,-0.945107156112412 37.5418907537333,-0.950603660142747 37.5396727737494,-0.956537731089692 37.5383509791131,-0.962681529943424 37.5379761239076,-0.968799185926508 37.538562606401,-0.974655825628584 37.5400879168189,-0.980026564919055 37.5424934980676,-0.984705123259502 37.5456869869807,-0.988511733600625 37.5495457513348,-0.991300046531589 37.5539215885921,-0.992962764010898 37.5586464079147,-0.993435784736878 37.563538679119,-0.992700698532242 37.5684104023681,-0.990785529181164 37.5730743317439,-0.987763691796148 37.5773511752867,-0.983751199551235 37.5810764941673,-0.978902222837901 37.5841070344808,-0.973403168818573 37.5863262464357,-0.967465508232732 37.5876487766942,-0.961317626580413 37.5880237591811,-0.955196016208585 37.5874367762511,-0.949336152547852 37.5859104138653,-0.943963410547419 37.5835033892703,-0.939284375639904 37.5803082853689,-0.935478887427168 37.576447980252,-0.932693124485763 37.5720709110244,-0.931033996644269 37.5673453560802,-0.930565058714775 37.5624529575946)))', 'ESESC', 'Escombreras', 'Y'),('SRID=4326;MULTIPOLYGON(((3.23957171334876 42.0539348340137,3.2389083512528 42.0490550032759,3.23698063268835 42.0443653645222,3.23386288040702 42.0400460769626,3.22967506803993 42.036263038098,3.22457818528439 42.0331615221223,3.21876804295388 42.030860613218,3.21246775718278 42.0294486452237,3.20591920021374 42.0289798204994,3.19937374250405 42.0294721358822,3.19308263629453 42.0309066940883,3.18728740358702 42.033228426567,3.18221059132713 42.0363482005376,3.17804724349145 42.04014623063,3.17495741408366 42.0444766660929,3.17306000746374 42.0491731797243,3.17242818404914 42.0540553461784,3.17308651170068 42.0589355666007,3.17500997788884 42.0636262748591,3.17812490724749 42.0679471489213,3.18231175591018 42.0717320497562,3.18740968089548 42.0748354197016,3.19322271272052 42.077137892325,3.19952729535181 42.0785508957255,3.20608090238841 42.0790200699118,3.21263139454541 42.0785273648441,3.21892675313239 42.0770917371325,3.22472480876134 42.0747684181504,3.22980258472271 42.0716467822092,3.23396489032573 42.0678468981475,3.23705183023783 42.0635148989663,3.23894493999881 42.0588173499294,3.23957171334876 42.0539348340137)))', 'ESETT', 'Estartit', 'Y'),('SRID=4326;MULTIPOLYGON(((2.95125203863838 39.3740179800853,2.95063576333287 39.36913422957,2.94880399288821 39.3644376133714,2.94582733396209 39.3601085656077,2.9418203202102 39.3563133678698,2.93693698923099 39.3531977714919,2.93136495539593 39.3508814110073,2.92531820747609 39.349453221261,2.91902890668779 39.3489680320836,2.91273849708104 39.3494444695145,2.90668846500558 39.3508642429745,2.90111109699866 39.3531728453333,2.89622058549209 39.3562816393959,2.89220481923313 39.3600712518656,2.88921817060512 39.3643961462184,2.88737555583079 39.3690902009655,2.88674799741799 39.373973081157,2.88735986261092 39.3788571601679,2.8891878888529 39.3835547270518,2.89216203950695 39.3878852029574,2.89616816277928 39.3916820888721,2.90105235663937 39.3947993764523,2.90662687535046 39.3971171736945,2.91267735184186 39.39854632702,2.91897105725582 39.3990318599021,2.92526587697749 39.3985550939753,2.9313196532566 39.3971343698293,2.93689952953464 39.3948243393281,2.94179093151845 39.3917138570883,2.9458058348942 39.3879225534165,2.9487899986452 39.3835962223069,2.95062888484891 39.3789012039811,2.95125203863838 39.3740179800853)))', 'ESETY', 'S''Estanyol', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.75670896961037 43.3876323017309,-1.75746752483364 43.3827605362246,-1.75951437311447 43.3780902806706,-1.76277060335915 43.3738009417456,-1.76711091894037 43.3700572586133,-1.77236847727053 43.3670029869703,-1.77834130849501 43.3647553916194,-1.78480006559671 43.3634007566332,-1.79149680984163 43.3629910831347,-1.79817449823884 43.363542099535,-1.80457681458921 43.365032659391,-1.81045797344037 43.3674055496779,-1.81559212718016 43.3705696790757,-1.81978202057136 43.3744035637463,-1.82286656389187 43.3787599788873,-1.82472703477221 43.3834715998836,-1.82529166871374 43.3883574187957,-1.82453845763334 43.3932296916892,-1.82249604271968 43.3979011511584,-1.81924266012673 43.4021922072414,-1.8149031729523 43.4059378593531,-1.80964429766584 43.4089940520377,-1.80366820461594 43.4112432280312,-1.79720473740282 43.412598862622,-1.79050255183259 43.4130088025065,-1.78381951928937 43.4124572787186,-1.77741276957074 43.4109655149466,-1.77152876306944 43.4085909075008,-1.76639378092621 43.4054248091232,-1.76220520449447 43.4015890034114,-1.75912392300046 43.3972310076289,-1.75726816222994 43.3925183870287,-1.75670896961037 43.3876323017309)))', 'ESEWE', 'Fuenterrabia', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.58597575134301 36.5414167335162,-4.58647207520899 36.5365248322538,-4.5881413857765 36.5318050478947,-4.59091934019508 36.5274387169852,-4.59469904842319 36.523593566431,-4.59933520141125 36.5204172783168,-4.60464966386192 36.5180318274781,-4.6104383153496 36.51652880747,-4.61647887759853 36.5159659225209,-4.62253942970226 36.5163647784914,-4.62838728811794 36.5177100564441,-4.63379791512398 36.5199500999976,-4.63856351846353 36.5229988940957,-4.64250101612669 36.5267393601086,-4.64545906331562 36.5310278422133,-4.6473238728949 36.5356996145951,-4.64802360500644 36.5405751998704,-4.64753115461695 36.5454672577271,-4.64586522581513 36.5501877803683,-4.64308964660845 36.5545553188512,-4.63931094543385 36.558401962428,-4.63467427802578 36.5615798017152,-4.62935785799692 36.5639666257249,-4.62356610379621 36.5654706318492,-4.61752176605947 36.5660339657323,-4.61145734047732 36.5656349531675,-4.60560610029501 36.5642889369322,-4.60019309807763 36.5620476858047,-4.59542648768634 36.5589973986836,-4.59148950444512 36.5552553814978,-4.58853341483533 36.5509655262227,-4.5866717079685 36.5462927677253,-4.58597575134301 36.5414167335162)))', 'ESFGL', 'Fuengirola', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.98863655702211 43.5384004087205,-6.98945893539411 43.5335350887828,-6.99156991333234 43.5288799386604,-6.99488811873789 43.5246137806161,-6.99928587983198 43.5209004601914,-7.00459415501157 43.5178825650181,-7.01060903474387 43.515675962468,-7.01709956479215 43.514365363443,-7.0238165921076 43.5140010802827,-7.03050229793758 43.5145971013698,-7.03690005812381 43.5161305552035,-7.04276425886944 43.5185425842883,-7.0478696977566 43.5217405960212,-7.05202021447238 43.5256018057357,-7.05505622317335 43.5299779380553,-7.05686085795034 43.5347009084911,-7.0573644933278 43.5395892694586,-7.05654746163286 43.5444551750333,-7.05444085648187 43.5491115980476,-7.05112538425673 43.5533795224527,-7.04672830063391 43.5570948337949,-7.04141854407683 43.5601146413434,-7.0354002496439 43.5623227865843,-7.02890489142888 43.5636343237549,-7.02218235752555 43.5639987976914,-7.01549130501541 43.5634021909669,-7.00908917204099 43.5618674642403,-7.00322223811672 43.5594536687938,-6.99811612176175 43.5562536661432,-6.99396708642657 43.552390544054,-6.99093449242716 43.5480128690445,-6.98913468581515 43.5432889604638,-6.98863655702211 43.5384004087205)))', 'ESFGU', 'Figueras', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.8206514141554 28.4905915819499,-17.821066140293 28.4856941302889,-17.8225542484772 28.4809622586765,-17.8250584179054 28.4765777858549,-17.8284823167966 28.4727091587714,-17.8326943192357 28.4695049862472,-17.8375325706578 28.4670883372006,-17.8428112062308 28.4655520211502,-17.8483274834191 28.4649550308508,-17.8538695561685 28.4653202823719,-17.8592245945485 28.4666337383852,-17.8641869410764 28.4688449477559,-17.8685659937056 28.471868980678,-17.8721935156224 28.4755896855417,-17.87493009321 28.4798641434197,-17.8766704951172 28.4845281503764,-17.8773477262748 28.4894025184338,-17.8769356195521 28.4942999544655,-17.8754498628721 28.4990322537704,-17.8729474190424 28.5034175324939,-17.8695243571373 28.5072872209976,-17.8653121756481 28.5104925488688,-17.8604727563983 28.5129102712979,-17.8551921420109 28.5144474153537,-17.8496733762782 28.5150448622249,-17.8441286841129 28.514679626333,-17.8387712942281 28.5133657426269,-17.8338072221019 28.511153727354,-17.8294273324875 28.5081286330114,-17.8257999896219 28.5044067728009,-17.8230645798627 28.5001312415406,-17.8213261567696 28.4954664065788,-17.8206514141554 28.4905915819499)))', 'ESFHR', 'Fuencaliente', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.22596861954919 42.9080722297741,-9.22660464776263 42.9031904875403,-9.22852374728913 42.8984937382426,-9.23165191288599 42.8941624147257,-9.23586875917281 42.8903628757683,-9.24101217302524 42.8872410269506,-9.24688455286034 42.8849167300976,-9.25326039364296 42.8834792136307,-9.25989492746691 42.8829836576937,-9.26653349153022 42.8834490831452,-9.27292126931221 42.8848576241003,-9.27881303748174 42.8871552114486,-9.28398255087238 42.8902536415419,-9.28823121075475 42.8940339519396,-9.2913956872748 42.898350976583,-9.29335420460804 42.9030389078456,-9.29403124603127 42.9079176542336,-9.29340049427935 42.9127997515765,-9.29148588838575 42.9174975635868,-9.28836074947858 42.9218304956314,-9.28414500215193 42.925631944048,-9.27900059222275 42.9287557125587,-9.27312527291693 42.9310816470826,-9.26674499677712 42.9325202698774,-9.26010520695269 42.9330162323709,-9.25346136642473 42.9325504518099,-9.2470690950085 42.9311408481414,-9.24117430015051 42.9288416522645,-9.2360036878028 42.9257413127116,-9.23175602400034 42.9219590826213,-9.22859448695235 42.9176404203079,-9.22664040497506 42.9129513827182,-9.22596861954919 42.9080722297741)))', 'ESFNE', 'Finisterre', 'Y'),('SRID=4326;MULTIPOLYGON(((1.45195040661464 38.7344275450227,1.45144191572361 38.7295371722391,1.44972533680628 38.7248184531202,1.44686685083673 38.7204526792444,1.44297645749132 38.716607550054,1.43820372521077 38.713430739653,1.43273203387459 38.7110442357746,1.42677153276111 38.7095396663451,1.42055108361844 38.708974791043,1.41430949557931 38.7093712907487,1.40828638421288 38.7107139384546,1.4027130004841 38.7129511828759,1.39780337641143 38.7159971225713,1.39374612275923 38.719734795759,1.39069719050443 38.7240206611189,1.3887738727675 38.7286900995027,1.38805027844427 38.7335637273276,1.38855445433063 38.7384542809858,1.39026727086873 38.7431738091136,1.39312311987237 38.7475408969686,1.39701240311951 38.7513876450669,1.40178572117226 38.7545661328409,1.40725960497313 38.7569541171923,1.41322357146113 38.7584597448062,1.41944823131616 38.7590250949048,1.42569413436225 38.7586284143242,1.43172100810905 38.7572849576089,1.43729702880305 38.7550463992077,1.44220776297189 38.751998840604,1.44626443084959 38.7482594900435,1.44931117063858 38.7439721442112,1.45123102300167 38.7393016476438,1.45195040661464 38.7344275450227)))', 'ESFNI', 'Formentera', 'Y'),('SRID=4326;MULTIPOLYGON(((4.16356463325012 40.0556774971159,4.16285593477911 40.0508018721337,4.16092331769091 40.046126150627,4.15784126445656 40.041829956926,4.15372835354096 40.0380783044454,4.1487426817385 40.0350152675428,4.14307578259042 40.0327584599601,4.13694527548792 40.0313945297389,4.13058652647447 40.0309758415034,4.1242436375996 40.0315184717732,4.11816010588846 40.0330015931892,4.11256950488356 40.035368271008,4.10768654095022 40.0385276418442,4.10369882312946 40.0423583923303,4.10075965963794 40.0467134060037,4.0989821568825 40.0514254021363,4.09843484917313 40.0563133520553,4.09913903065939 40.0611894282335,4.1010678972287 40.065866220287,4.10414753739235 40.0701639409047,4.10825974005382 40.073917344213,4.11324651624455 40.0769820893066,4.11891616429071 40.0792403023869,4.12505064630647 40.0806051214379,4.13141399110359 40.081024046519,4.13776139696559 40.080480965053,4.14384867919645 40.0789967730895,4.14944169327087 40.0766285683533,4.15432536545581 40.0734674466891,4.15831197888592 40.0696349880124,4.16124839347852 40.0652785688421,4.16302192132189 40.0605656838803,4.16356463325012 40.0556774971159)))', 'ESFRN', 'Fornells', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.21065332387186 43.4777680477953,-8.2113767428323 43.4728930649364,-8.21339195446112 43.4682145023041,-8.21662125915572 43.4639120877438,-8.22094038973029 43.4601510639978,-8.22618331223349 43.4570758532341,-8.23214861440093 43.4548045239959,-8.23860723506911 43.4534242706206,-8.24531123916437 43.4529880763155,-8.25200330526207 43.4535126860221,-8.25842656725039 43.4549779656119,-8.26433443902132 43.4573276716327,-8.26950005168414 43.4604716026294,-8.27372494654484 43.4642890508907,-8.2768466936598 43.4686334241902,-8.27874514443688 43.4733378624871,-8.27934707642919 43.4782216362852,-8.27862904766296 43.4830970828956,-8.27661834467867 43.487776815433,-8.27339198067892 43.4920809279449,-8.26907377515507 43.4958439191913,-8.26382962122713 43.4989210674702,-8.25786111863207 43.5011940092691,-8.25139781576921 43.5025753047529,-8.24468836053422 43.5030118120623,-8.23799090423911 43.5024867386037,-8.23156313360506 43.5010202891079,-8.22565232114079 43.4986688851347,-8.2204857834306 43.4955229866373,-8.21626211999786 43.4917036008612,-8.21314357331172 43.4873576150018,-8.21124980472781 43.4826521345974,-8.21065332387186 43.4777680477953)))', 'ESFRO', 'Ferrol', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.8276206017757 28.4967581725468,-13.8282199268728 28.4918718136856,-13.8298866600861 28.4871826180009,-13.8325566304882 28.482870748045,-13.8361271565453 28.479101849695,-13.8404610036462 28.4760206951332,-13.8453916611537 28.473745629136,-13.8507297357121 28.4723640306077,-13.8562702159771 28.4719289623382,-13.8618003316505 28.4724571365713,-13.8671077077504 28.4739282738503,-13.8719885041426 28.4762858796162,-13.8762552308606 28.4794394091276,-13.8797439416258 28.483267738433,-13.882320530894 28.48762380931,-13.8838858929485 28.4923402711531,-13.8843797439567 28.4972359044328,-13.8837829580725 28.5021225800564,-13.8821183248655 28.5068124879204,-13.8794496955564 28.5111253570496,-13.8758795475093 28.514895389452,-13.8715450577869 28.517977640296,-13.8666128348594 28.5202535979062,-13.8612725104033 28.5216357476383,-13.8557294382896 28.5220709427864,-13.8501967834022 28.5215424517907,-13.8448873072957 28.5200706023321,-13.8400051698111 28.5177119973925,-13.835738065084 28.5145573338286,-13.8322499969414 28.5107279082412,-13.8296749730936 28.5063709457515,-13.8281118609362 28.501653932705,-13.8276206017757 28.4967581725468)))', 'ESFUE', 'Puerto del Rosario', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.5547304985948 28.100323390484,-16.5552031704242 28.0954266683779,-16.5567439403514 28.0907057978345,-16.55929347061 28.0863421701698,-16.5627536947206 28.0825034284916,-16.5669915997059 28.0793370326798,-16.5718443435256 28.0769646018335,-16.5771255102002 28.0754772501963,-16.5826322626755 28.0749320943315,-16.5881531202228 28.0753500644676,-16.5934760641492 28.0767151031681,-16.5983966635616 28.0789747816667,-16.602725912249 28.0820423102928,-16.6062974784413 28.0857998663893,-16.6089740909156 28.090103112945,-16.6106528169448 28.0947867356901,-16.6112690288624 28.0996707873395,-16.6107989051641 28.1045675965013,-16.6092603673792 28.1092889767195,-16.6067124134506 28.1136534590849,-16.6032528698756 28.1174932703694,-16.5990146460261 28.120660787855,-16.5941606324862 28.1230342216781,-16.5888774385388 28.1245223049009,-16.583368209872 28.1250678095828,-16.5778448041925 28.1246497523909,-16.5725196281234 28.1232842040152,-16.5675974523814 28.1210236708155,-16.5632675231593 28.1179550725831,-16.5596962758322 28.1141963948129,-16.5570209330785 28.1098921452806,-16.5553442343218 28.1052077909503,-16.5547304985948 28.100323390484)))', 'ESGAB', 'Granadilla de Abona', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.125960857476725 38.9942145690899,-0.126773855381028 38.9893520883947,-0.128786545677348 38.9847067804054,-0.131921389866474 38.9804570954387,-0.13605780228147 38.9767662580639,-0.141036801615295 38.9737760079379,-0.146667123664394 38.971601167603,-0.152732559915288 38.9703252437603,-0.159000241729837 38.9699972289617,-0.165229555510216 38.9706297249954,-0.171181351373319 38.9721984591543,-0.176627097206422 38.9746432118946,-0.181357631828246 38.9778701210127,-0.185191185308246 38.9817552753096,-0.187980360911907 38.9861494616704,-0.189617810887459 38.9908838853706,-0.190040386262703 38.9957766458872,-0.189231597474923 39.0006397210114,-0.187222286137362 39.0052861918228,-0.184089476333503 39.0095374309756,-0.179953444013282 39.01322997729,-0.174973112617237 39.0162218309384,-0.169339949142876 39.0183979252568,-0.163270594684807 39.0196745626363,-0.156998514392978 39.0200026418954,-0.150764991494027 39.0193695514322,-0.144809816671648 39.0177996544505,-0.139362036454599 39.0153533475235,-0.134631121740384 39.0121247294657,-0.130798900324655 39.0082379716468,-0.128012566146771 39.0038425313031,-0.126379034377073 38.9991073940667,-0.125960857476725 38.9942145690899)))', 'ESGAN', 'Gandia', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.78670946564643 37.1836836722303,-1.78738878888182 37.1788056064114,-1.78924423310788 37.1741272857933,-1.79220431029925 37.1698284400404,-1.79615514827402 37.1660741926551,-1.80094488464563 37.1630087273612,-1.80638950791163 37.1607497608758,-1.81227992045238 37.1593840323997,-1.81838995331021 37.1589639811518,-1.82448502789757 37.1595057379822,-1.83033113629669 37.160988507213,-1.83570380026128 37.1633553622019,-1.84039666975385 37.1665154245983,-1.84422943483613 37.1703473448172,-1.84705474960611 37.174703951784,-1.84876390291335 37.1794178953328,-1.8492910166878 37.1843080664447,-1.8486156074264 37.1891865502667,-1.8467634078766 37.193865845767,-1.84380541209135 37.1981660748642,-1.83985517537716 37.2019219034546,-1.83506446858367 37.2049889070902,-1.82961745095085 37.2072491348552,-1.82372358461885 37.2086156555304,-1.81760956435396 37.2090359092916,-1.81151057579072 37.2084937344579,-1.80566122271468 37.2070099903443,-1.80028647734492 37.2046417520104,-1.79559300659377 37.2014801084088,-1.79176121193527 37.1976466498485,-1.78893829153276 37.1932887816027,-1.78723259201582 37.1885740458553,-1.78670946564643 37.1836836722303)))', 'ESGAR', 'Garrucha', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.612338478205991 38.1103605004445,-0.613105731599845 38.105492568025,-0.615059946761658 38.1008364084043,-0.618125837882143 38.096570892793,-0.622185470274758 38.092859858004,-0.627082809855567 38.0898458231699,-0.632629723144744 38.0876445270845,-0.638613196669831 38.0863404939278,-0.644803499934837 38.0859837957361,-0.650962981756592 38.0865881344165,-0.656855166796602 38.0881303160677,-0.662253808211983 38.0905511376769,-0.666951553837858 38.0937576528203,-0.67076789716842 38.0976267307237,-0.673556110240944 38.1020097738547,-0.67520889259987 38.1067384149101,-0.675662517710008 38.1116309763258,-0.674899314009248 38.1164994457105,-0.672948380388858 38.1211567001128,-0.669884503073312 38.125423701652,-0.665825310165351 38.1291363872962,-0.660926768840879 38.1321519865849,-0.655377195533878 38.1343545225504,-0.649390008680287 38.1356592822521,-0.643195504096955 38.1360160830435,-0.637031972580161 38.1354112073976,-0.631136505998178 38.133867930964,-0.625735850779029 38.1314456234264,-0.621037665670705 38.1282374574278,-0.617222524085753 38.12436681507,-0.614436971031602 38.1199825320595,-0.612787902000008 38.1152531644598,-0.612338478205991 38.1103605004445)))', 'ESGDS', 'Guardamar del Segura', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.64564908632874 43.5458006040009,-5.64609577227423 43.5409105892561,-5.64784514441091 43.5361779105318,-5.65082969680555 43.5317843920187,-5.65493453439315 43.5278987888185,-5.66000181874221 43.5246703147816,-5.66583684758595 43.5222229246855,-5.67221553240252 43.5206505679977,-5.67889298742214 43.520013593998,-5.68561290343002 43.5203364440546,-5.69211735175342 43.5216067180034,-5.69815664861864 43.5237756496532,-5.70349890802545 43.5267599732984,-5.70793892244844 43.530445110649,-5.71130603472854 43.5346895576635,-5.71347070080337 43.5393303051771,-5.71434949042061 43.54418908764,-5.7139083302812 43.5490792222069,-5.71216385938026 43.5538127771209,-5.70918283748271 43.5582077947998,-5.70507962216723 43.5620952919075,-5.70001180488842 43.5653257662636,-5.69417416904604 43.56777495856,-5.68779120005343 43.5693486449605,-5.6811084359075 43.5699862737483,-5.67438299409006 43.5696633038695,-5.66787364452902 43.5683921537302,-5.66183081716748 43.5662217229136,-5.65648693549158 43.5632355053604,-5.65204745400182 43.5595483676908,-5.64868294872227 43.5553021184767,-5.6465225668227 43.5506600412514,-5.64564908632874 43.5458006040009)))', 'ESGIJ', 'Gijón', 'Y'),('SRID=4326;MULTIPOLYGON(((3.18460717174165 42.1209508535289,3.18394730306094 42.1160707550879,3.18202158057119 42.1113802439883,3.17890425148165 42.1070595130791,3.17471527421568 42.1032745152875,3.16961568402157 42.100170599897,3.163801396153 42.0978669429864,3.1574956860004 42.0964519836134,3.15094063376673 42.0959800386949,3.14438785865742 42.0964692246213,3.13808889302087 42.0979007641173,3.13228555972797 42.1002197045238,3.12720071596957 42.1033370203979,3.12302971358155 42.1071330210229,3.1199329003298 42.1114619339504,3.11802944901119 42.1161574908737,3.11739275283129 42.1210393036135,3.11804756776962 42.1259197872633,3.1199690173859 42.1306113658303,3.12308350497689 42.1349336839535,3.12727150471187 42.1387205470671,3.13237213016343 42.1418263219092,3.13818930846997 42.1441315493162,3.14449932419832 42.1455475511364,3.15105944166037 42.1460198517497,3.15761727051497 42.1455302806143,3.16392050902617 42.14409767365,3.16972668381639 42.1417771460287,3.17481250510284 42.1386579648323,3.1789824722305 42.1348601047561,3.1820763950431 42.130529621333,3.1839755407872 42.1258330219632,3.18460717174165 42.1209508535289)))', 'ESGLE', 'La Escala', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.0787419245759 28.0884311946729,-17.0791906733454 28.0835338172422,-17.08070800892 28.078808175897,-17.0832354923929 28.0744358474531,-17.0866759017953 28.0705848108901,-17.0908969822747 28.0674029991954,-17.0957365349038 28.0650126235356,-17.1010086476134 28.0635054864835,-17.106510829151 28.0629394629362,-17.1120317735164 28.0633362826236,-17.1173594590989 28.0646806984239,-17.1222892744896 28.0669210719368,-17.126631862042 28.0699713538642,-17.1302203807217 28.0737143837055,-17.1329169112757 28.0780063830388,-17.1346177585602 28.0826824710966,-17.1352574469446 28.0875629921556,-17.1348112536732 28.0924604129353,-17.1332961802274 28.0971865259631,-17.1307703211256 28.1015596826139,-17.1273306510406 28.1054117778211,-17.1231093122706 28.1085947174284,-17.1182685430649 28.1109861185546,-17.1129944407054 28.1124940225091,-17.1074897993508 28.1130604376406,-17.1019662994863 28.112663574604,-17.0966363517745 28.1113186871207,-17.091704912013 28.1090774854007,-17.0873615851441 28.1060261448289,-17.083773324756 28.1022819870751,-17.0810780107791 28.0979889622756,-17.0793791531443 28.0933121073158,-17.0787419245759 28.0884311946729)))', 'ESGMR', 'San Sebastián de la Gomera', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.7476583041965 28.3843665061943,-16.7481226708278 28.3794696361765,-16.7496582303381 28.3747469684792,-16.7522058427042 28.3703799638641,-16.7556675128533 28.3665363951334,-16.7599101704827 28.3633639071393,-16.7647707899655 28.3609843522027,-16.7700626526714 28.3594891172123,-16.7755825114619 28.3589356204948,-16.781118383703 28.3593451117442,-16.786457675996 28.3607018585771,-16.7913953316773 28.3629537504963,-16.7957416913703 28.3660142971433,-16.7993297674958 28.3697659447021,-16.8020216553134 28.3740645841198,-16.8037138350705 28.3787450793056,-16.8043411611267 28.3836276043552,-16.803879383105 28.3885245476132,-16.8023460995125 28.3932477182573,-16.7998001038848 28.3976155789572,-16.7963391451607 28.4014602265793,-16.7920961853347 28.4046338520201,-16.7872342960402 28.4070144297929,-16.7819403892247 28.4085104172912,-16.776418023224 28.4090642816257,-16.7708795623722 28.4086547171361,-16.7655379941608 28.4072974673559,-16.7605987217415 28.4050447193516,-16.7562516506245 28.401983093813,-16.7526638766966 28.3982303088075,-16.7499732586912 28.3939306465541,-16.7482831230433 28.3892493988608,-16.7476583041965 28.3843665061943)))', 'ESGRC', 'Garachico', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.8885650171218 28.8176120821415,-17.8889764610956 28.8127147630072,-17.89046473257 28.8079822326388,-17.8929725020684 28.8035963349211,-17.8964032975603 28.7997255710485,-17.900625226984 28.7965186311863,-17.9054760541281 28.7940986896862,-17.9107694317036 28.7925586816759,-17.9163020523235 28.7919577410082,-17.9218614441396 28.7923189350358,-17.9272341141878 28.7936283821652,-17.9322137298079 28.7958357854925,-17.9366090272142 28.7988563619856,-17.9402511464332 28.8025740936338,-17.9430001130448 28.8068461766825,-17.9447502187775 28.8115084993779,-17.945434093976 28.81638193925,-17.9450253139073 28.8212792393707,-17.9435394361214 28.8260122004553,-17.9410334256777 28.8303989130462,-17.9376034868065 28.8342707518921,-17.9333813811566 28.8374788631727,-17.9285293717679 28.8398998941987,-17.9232339859154 28.8414407439716,-17.917698836728 28.8420421504881,-17.9121367810057 28.8416809754739,-17.9067617172684 28.840371097628,-17.9017803425938 28.8381628794272,-17.8973841885678 28.8351412279606,-17.8937422455761 28.831422324894,-17.8909944612097 28.8271491523198,-17.8892463637538 28.8224859878621,-17.8885650171218 28.8176120821415)))', 'ESGRF', 'Garafía', 'Y'),('SRID=4326;MULTIPOLYGON(((0.0494887903894856 39.9748322468204,0.0490744175776213 39.9699398470801,0.0474276291538031 39.9652036395104,0.0446119446323515 39.9608055921351,0.0407357394446348 39.9569146458086,0.0359480542894201 39.9536802331306,0.0304328554302015 39.9512265501783,0.0244019683382599 39.9496477990072,0.0180869557101567 39.9490045814329,0.0117302491882893 39.9493215805708,0.00557587095142843 39.9505866176503,-0.000139904037219102 39.9527511195372,-0.00519759232556289 39.9557319790717,-0.00940291064783409 39.9594147376817,-0.0125942297835816 39.9636579696519,-0.014648789040526 39.9682987017325,-0.015487432082367 39.9731586621388,-0.0150776793616628 39.9780511209215,-0.0134350144652844 39.9827880604442,-0.0106223291381966 39.9871874012502,-0.00674754221149315 39.9910800055721,-0.00195947846608279 39.9943161883953,0.00355783819817695 39.9967714841543,0.00959225989369864 39.9983514452583,0.0159116858124517 39.99899528569,0.0222730124280679 39.9986782275096,0.0284315141938192 39.9974124584764,0.0341502883762934 39.9952466631582,0.0392093949234428 39.9922641456279,0.0434143346529317 39.9885796168727,0.0466035359821886 39.9843347720964,0.0486545606360873 39.9796928300837,0.0494887903894856 39.9748322468204)))', 'ESGRY', 'Grao', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.164749580237 43.307755008052,-2.16547444566717 43.3028801850449,-2.16748735069018 43.2982022759581,-2.17071068688648 43.2939009836895,-2.17502041834792 43.2901415082772,-2.18025087331761 43.2870682130047,-2.18620111857332 43.2847990935196,-2.19264267044471 43.2834212599447,-2.19932824778245 43.2829876030835,-2.2060012346944 43.2835147707459,-2.21240549549077 43.2849825306187,-2.21829517172767 43.2873345437675,-2.22344409184293 43.2904805196524,-2.22765443762895 43.2942996713618,-2.2307643383253 43.2986453404912,-2.23265410172074 43.3033506164956,-2.23325084123759 43.3082347370972,-2.23253131704602 43.3131100258971,-2.23052287594148 43.3177891019573,-2.22730244675267 43.3220920847192,-2.22299362282186 43.3258535167826,-2.21776193774193 43.3289287369815,-2.21180851200755 43.3311994566157,-2.20536231348784 43.3325783219541,-2.19867133074255 43.3330122851162,-2.19199300258885 43.3324846516606,-2.18558427787283 43.3310157248135,-2.17969169462995 43.3286620211706,-2.17454186698736 43.3255140886344,-2.17033275131474 43.3216930119989,-2.16722603109824 43.3173457427212,-2.16534091434962 43.3126394349542,-2.164749580237 43.307755008052)))', 'ESGTI', 'Getaria', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9956955109162 28.2087951627235,-13.9962850965742 28.2039076123228,-13.9979395908201 28.1992158490714,-14.0005952941834 28.1949001352944,-14.0041500736072 28.1911262656686,-14.0084672988693 28.1880392043206,-14.0133810965215 28.1857575236018,-14.0187027189503 28.1843688567887,-14.0242277846215 28.1839265380392,-14.0297441132825 28.184447557572,-14.0350398579106 28.18591190993,-14.0399116242401 28.1882633601934,-14.0441722691178 28.1914115990894,-14.0476580807274 28.1952357050804,-14.0502350665139 28.1995887816619,-14.0518041076946 28.2043035931237,-14.0523047814877 28.2091989836211,-14.051717702184 28.2140868340478,-14.0500652882071 28.2187792901052,-14.0474109223254 28.2230959839951,-14.0438565339763 28.2268709718274,-14.0395386938441 28.2299591192387,-14.0346233689852 28.2322416885343,-14.0292995395166 28.2336309111598,-14.0237719229741 28.2340733683399,-14.0182530879578 28.233552048781,-14.0129552630604 28.2320870036166,-14.0080821592498 28.2297345732399,-14.0038211232985 28.2265852161373,-14.0003359265599 28.2227600240831,-13.9977604679804 28.2184060589253,-13.9961936338391 28.2136906916514,-13.9956955109162 28.2087951627235)))', 'ESGTL', 'Gran Tarajal', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.92769188893698 37.258455934775,-6.92842720388223 37.2535844112803,-6.93033714457883 37.248921128857,-6.93334813270484 37.2446452354583,-6.93734434585162 37.2409209699822,-6.94217218546983 37.2378913630381,-6.94764618352508 37.2356727541726,-6.95355612029191 37.2343503341547,-6.95967508122955 37.2339748816366,-6.96576814662545 37.2345608180105,-6.9716013847041 37.2360856542679,-6.97695080786485 37.2384908509566,-6.98161095296402 37.2416840588391,-6.98540276006966 37.2455426555011,-6.98818044951241 37.2499184438683,-6.9898371335914 37.2546433341596,-6.9903089458591 37.2595357929265,-6.98957752602553 37.2644078129526,-6.98767076035364 37.2690721371358,-6.98466174379677 37.2733494589244,-6.98066599860979 37.2770753219614,-6.97583705209897 37.280106452423,-6.97036054081265 37.2823262788209,-6.96444706709284 37.2836494250278,-6.95832408394956 37.2840250018356,-6.95222712344014 37.28343856893,-6.94639071033622 37.2819126909121,-6.9410393156074 37.2795060658329,-6.93637870255047 37.2763112603894,-6.93258800233929 37.2724511402102,-6.92981282612815 37.2680741343112,-6.92815967900109 37.2633485178314,-6.92769188893698 37.258455934775)))', 'ESHUV', 'Huelva', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.8321544215944 42.5669554218819,-8.83281778647884 42.562075613763,-8.83475602640341 42.5573852089216,-8.83789440744306 42.553064395248,-8.84211215829893 42.5492791274788,-8.8472471365113 42.5461747636153,-8.85310206804859 42.543870495279,-8.85945211921467 42.5424547835552,-8.86605351130885 42.5419819732499,-8.87265285087208 42.5424702135879,-8.87899682273335 42.5439007638759,-8.88484188013704 42.5462187103411,-8.88996356633038 42.5493350671054,-8.89416511511933 42.5531301819661,-8.89728500371088 42.5574583182072,-8.89920316894006 42.5621532388416,-8.89984564665361 42.567034581169,-8.89918745212136 42.5719147787859,-8.89725358502025 42.5766062664502,-8.89411811355287 42.5809286914221,-8.8899013660618 42.5847158536594,-8.88476533225289 42.5878221067453,-8.87890744686208 42.5901279714414,-8.87255299328266 42.5915447436308,-8.8659464204431 42.592017917061,-8.85934191052465 42.5915292872247,-8.85299356583869 42.5900976541129,-8.84714559886401 42.5877780963487,-8.84202290930893 42.5846598451161,-8.83782241611953 42.5808628410332,-8.83470548138274 42.5765331084331,-8.83279171856562 42.571837127334,-8.8321544215944 42.5669554218819)))', 'ESIAL', 'Isla de Arosa', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.445317818964844 38.1673146381587,-0.446096927089919 38.1624482498191,-0.448063330961774 38.1577953366714,-0.451141276803222 38.1535346443445,-0.45521236770742 38.1498298236871,-0.4601201307227 38.146823154723,-0.465676033494846 38.1446300932278,-0.471666718741627 38.1433348473227,-0.477862180183486 38.142987152031,-0.484024569271742 38.1436003641408,-0.489917299174403 38.145150949658,-0.495314101676542 38.1475793834354,-0.500007694249655 38.1507924271269,-0.503817728513262 38.1546666993744,-0.506597717266127 38.1590534029831,-0.5082406744553 38.1637840295889,-0.50868324975861 38.1686768246483,-0.507908195387404 38.1735437659332,-0.505945065413526 38.1781977883068,-0.502869115192988 38.1824599772707,-0.498798437817181 38.1861664541271,-0.493889443281343 38.1891746867107,-0.488330851427108 38.1913689811991,-0.482336428924968 38.1926649417589,-0.476136751017985 38.193012724567,-0.469970308173916 38.1923989595116,-0.46407430437275 38.1908472647678,-0.458675506250898 38.1884173343527,-0.453981500151614 38.1852026344622,-0.450172697410508 38.1813267985954,-0.447395397740259 38.1769388619942,-0.445756177805251 38.1722075207343,-0.445317818964844 38.1673146381587)))', 'ESIAM', 'Isla de Tabarca', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.14684619255809 43.1290489279672,-9.14749072374628 43.1241678013063,-9.14942269876261 43.1194725402631,-9.15256761517124 43.1151435196326,-9.15680444267765 43.1113470087235,-9.161970300486 43.1082287958113,-9.1678667260549 43.105908602233,-9.1742672929536 43.1044754982525,-9.18092628644609 43.1039844943364,-9.18758810733885 43.1044544366834,-9.19399704859918 43.1058672864364,-9.19990707599403 43.1081688097555,-9.20509124386298 43.1112706527057,-9.20935039012765 43.1150537226308,-9.21252078040663 43.1193727481888,-9.21448040894875 43.1240618453321,-9.21515371294527 43.1289408778724,-9.21451451517179 43.1338223703724,-9.21258707599307 43.1385187091786,-9.20944520730508 43.1428493554167,-9.20520947541422 43.146647792294,-9.20004259431812 43.1497679383238,-9.19414318234375 43.1520897778696,-9.18773812057473 43.1535239900836,-9.1810738080506 43.1540153957804,-9.17440665373993 43.153545087594,-9.16799317664063 43.152131160077,-9.16208010152642 43.1498280111496,-9.15689483804509 43.1467242422308,-9.15263671507137 43.1429392391884,-9.14946931119923 43.1386185676637,-9.14751417752615 43.1339283622879,-9.14684619255809 43.1290489279672)))', 'ESIAS', 'Camariñas', 'Y'),('SRID=4326;MULTIPOLYGON(((1.47003257520773 38.9174242817431,1.4695219573711 38.912534084004,1.46780017792919 38.9078156594852,1.46493361955637 38.9034502880276,1.46103259335043 38.8996056530396,1.4562470767445 38.8964294089967,1.45076094040721 38.8940435212612,1.44478488741935 38.8925395935972,1.43854837526197 38.8919753607321,1.43229082812885 38.8923724788089,1.42625247268096 38.8937156972543,1.4206651438572 38.8959534432652,1.41574340837115 38.898999796693,1.41167634203906 38.9027377804924,1.40862027343354 38.9070238420133,1.40669277122827 38.9116933550542,1.40596810704215 38.9165669334528,1.40647437101949 38.9214573155508,1.40819235557048 38.9261765563799,1.41105625575825 38.9305432518236,1.41495616516974 38.9343895169086,1.41974227639412 38.9375674489922,1.42523062823797 38.939954825723,1.43121018032998 38.9414598166508,1.43745094248205 38.9420245251758,1.44371284347679 38.9416272227399,1.44975499381674 38.9402831879836,1.45534498082484 38.938044117986,1.46026783310321 38.9349961344608,1.46433430481453 38.931256462621,1.46738815791234 38.9269689121054,1.46931216101416 38.9222983358013,1.47003257520773 38.9174242817431)))', 'ESIBZ', 'Ibiza', 'Y'),('SRID=4326;MULTIPOLYGON(((0.216952724948068 38.7987659981866,0.216528648002046 38.7938731645779,0.214893121695436 38.7891390786114,0.212109218809466 38.7847456280466,0.208284082737367 38.7808615797818,0.203564785803722 38.7776361050432,0.198132666085983 38.7751930605958,0.192196362063773 38.77362624365,0.185983812243123 38.7729958005959,0.179733524543437 38.7733259255578,0.173685446567848 38.7746039357081,0.168071782150219 38.7767807581053,0.163108101394115 38.7797728094302,0.158985080757647 38.7834651973063,0.15586118691047 38.787716121804,0.15385658376667 38.792362310063,0.153048497306771 38.7972252774135,0.153468218932059 38.8021181764159,0.155099866888425 38.8068529721493,0.157880958838033 38.811247668799,0.161704779327339 38.8151333097615,0.166424456317753 38.818360481337,0.171858593872133 38.8208050684324,0.177798246313806 38.822373038983,0.184014965370111 38.8230040709728,0.190269608392879 38.822673880617,0.196321564720005 38.8213951606991,0.201938040073485 38.8192170922164,0.206903036410361 38.8162234481934,0.211025676987715 38.8125293634804,0.214147552996952 38.8082768963354,0.216148807721805 38.8036295544722,0.216952724948068 38.7987659981866)))', 'ESJAV', 'Javea', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.04165036420585 43.5571155813645,-6.04254891847598 43.5522592522783,-6.04473258846545 43.547623687092,-6.0481172152635 43.5433869510672,-6.05257258416502 43.5397117563139,-6.05792745078631 43.5367392245782,-6.06397612593049 43.5345834813366,-6.07048636556148 43.5333272863123,-6.07720826490534 43.5330188658618,-6.08388381958138 43.5336700670236,-6.09025679279113 43.5352559030574,-6.09608251661536 43.5377155078145,-6.10113725769442 43.5409544631526,-6.10522679295479 43.5448484117133,-6.10819386920522 43.5492478185981,-6.1099242606063 43.5539837015792,-6.11035118907923 43.5588741121177,-6.1094579331269 43.563731120091,-6.10727851835242 43.5683680349519,-6.10389645584881 43.5726065859634,-6.09944156993016 43.5762837847003,-6.09408503144966 43.5792582043282,-6.08803278412894 43.5814154319562,-6.08151761583542 43.5826724818762,-6.07479018168766 43.5829809975817,-6.06810932869082 43.5823291175323,-6.06173210026534 43.5807419318229,-6.05590381214864 43.5782805120784,-6.05084858809021 43.5750395527566,-6.04676072469205 43.5711437163041,-6.0437972206189 43.5667428250339,-6.04207175787838 43.5620060871579,-6.04165036420585 43.5571155813645)))', 'ESJLA', 'San Juan de la Arena', 'Y'),('SRID=4326;MULTIPOLYGON(((0.835949491115743 40.8836232160887,0.835475383180272 40.8787326067377,0.833753480166479 40.8740061552132,0.830850194968232 40.8696254491798,0.82687727072165 40.8657587577883,0.821987460549335 40.8625545772079,0.816368645869512 40.8601359390018,0.810236621021126 40.8585956977916,0.803826820741103 40.8579929769237,0.797385305306859 40.8583509066045,0.791159344807057 40.8596557398819,0.785387958283214 40.8618573797091,0.780292765012978 40.8648712970196,0.776069493955137 40.8685817671806,0.772880473667982 40.8728463022568,0.770848389521526 40.8775011110262,0.770051548786193 40.8823673793061,0.770520838602375 40.8872581313861,0.772238498693265 40.8919854104593,0.775138762111228 40.8963675028745,0.779110345758958 40.900235928417,0.784000700608407 40.9034419269089,0.789621862319791 40.9058621900265,0.7957576792402 40.90740361577,0.802172139323961 40.9080069004582,0.808618472880251 40.9076488280483,0.814848676304401 40.9063431672215,0.820623084607815 40.9041401410118,0.825719618474447 40.9011244895498,0.829942344852398 40.8974122014775,0.833129018106545 40.8931460414904,0.835157310181693 40.8884900481886,0.835949491115743 40.8836232160887)))', 'ESKLL', 'L''Ametlla de Mar', 'Y'),('SRID=4326;MULTIPOLYGON(((0.744911322895417 40.8106482693975,0.744444206887901 40.8057574163377,0.742730490748224 40.8010297676982,0.739836272351291 40.7966469577226,0.735872946538359 40.7927773369363,0.730992898224757 40.7895695144721,0.725383634759066 40.7871466620457,0.719260584760215 40.7856017962043,0.712858839447335 40.784994217774,0.706424150773729 40.7853472432115,0.700203527360504 40.7866473134926,0.694435783552375 40.7888445140354,0.689342398505784 40.7918544858518,0.685119031038785 40.7955616555425,0.681928012343669 40.7998236618098,0.679892103260527 40.8044768106358,0.679089756667434 40.80934235187,0.679552070064744 40.814233338165,0.681261550390879 40.818961804253,0.684152744634829 40.8233459914413,0.688114718355364 40.8272173395367,0.692995292481496 40.8304269764393,0.698606879615047 40.8328514542015,0.704733697380034 40.8343975088334,0.711140080948937 40.8350056585261,0.717579572235491 40.8346524998532,0.72380443146371 40.8333516121231,0.729575199424129 40.8311530343666,0.734669936560683 40.8281413352408,0.738892778212409 40.8244323511119,0.742081473238214 40.8201687195094,0.744113614555913 40.8155143818937,0.744911322895417 40.8106482693975)))', 'ESLAA', 'Ampolla', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9508396399589 27.7856046960897,-17.9512487165151 27.7807070506582,-17.9527241651016 27.7759744864027,-17.9552091555872 27.771588850196,-17.958608095805 27.7677186355885,-17.9627903195816 27.7645125143971,-17.9675951152505 27.7620936322057,-17.9728379003391 27.7605548856505,-17.9783173053583 27.7599553615118,-17.9838228959319 27.7603180730839,-17.9891432389947 27.7616290797493,-17.994074006214 27.7638380229897,-17.9984258065342 27.7668600581925,-18.0020314498294 27.7705791085315,-18.0047523647353 27.7748523168819,-18.006483925129 27.7795155260252,-18.0071594803823 27.7843895780178,-18.0067529330716 27.789287192027,-18.0052797626082 27.7940201574087,-18.0027964522995 27.7984065662225,-17.9993983385209 27.8022778072956,-17.9952159616277 27.805485052541,-17.9904100565966 27.807904985248,-17.9851653747907 27.8094445488486,-17.979683574457 27.8100445321747,-17.9741754546368 27.8096818520249,-17.9688528334504 27.808370444233,-17.9639203860543 27.8061607283852,-17.9595677592958 27.8031376667165,-17.9559622691183 27.7994174923235,-17.9532424635751 27.795143233458,-17.9515127998985 27.7904792072696,-17.9508396399589 27.7856046960897)))', 'ESLAF', 'La Restinga', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.7907472591745 28.006165415642,-15.791254387671 28.001270320573,-15.792827634528 27.9965570816614,-15.795406417181 27.9922067939819,-15.7988915495185 27.9883865860862,-15.8031490664347 27.9852432050481,-15.8080153770827 27.9828973863877,-15.8133035480333 27.9814392238205,-15.8188104754305 27.980924715322,-15.8243246722844 27.9813736169825,-15.8296343743529 27.9827686862485,-15.8345356563573 27.985056343258,-15.8388402499297 27.9881487250524,-15.842382765703 27.9919270544488,-15.845027043974 27.9962461952675,-15.8466713906771 28.0009402202704,-15.8472524969462 28.0058287792884,-15.8467478898986 28.0107240240887,-15.8451768177513 28.0154378247654,-15.8425995319891 28.0197890007205,-15.8391149908356 28.0236102881702,-15.8348570693937 28.0267547756885,-15.8299894200955 28.0291015593037,-15.8246991801676 28.0305603983946,-15.8191897684491 28.0310751919912,-15.8136730501453 28.0306261405992,-15.8083611733666 28.0292305095677,-15.8034583944717 28.0269419642823,-15.7991532097164 28.0238485029337,-15.7956110984697 28.0200690670572,-15.7929681588493 28.015748961284,-15.7913258811232 28.0110542597577,-15.7907472591745 28.006165415642)))', 'ESLAH', 'La Aldea', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.8186970283351 28.242379533214,-16.8191578859526 28.2374825003977,-16.8206885852203 28.2327591752647,-16.8232301735642 28.2283910443352,-16.8266848876666 28.2245459242073,-16.8309199243413 28.2213715198044,-16.8357725502042 28.2189897574171,-16.8410563528598 28.2174921089106,-16.8465683937723 28.2169360853073,-16.852096989593 28.2173430331616,-16.8574298255641 28.2186973174314,-16.8623620924614 28.2209469217607,-16.8667043377389 28.2240054431901,-16.8702897321308 28.2277554052795,-16.8729804745782 28.2320527634239,-16.8746730902996 28.2367324306252,-16.8753024180414 28.2416146128518,-16.8748441316561 28.2465117118689,-16.873315696459 28.2512355312686,-16.8707757203399 28.2556045092831,-16.86732172117 28.2594507003535,-16.8630863932932 28.262626236515,-16.8582325144261 28.2650090191772,-16.8529466877229 28.266507421147,-16.8474321598622 28.2670638166942,-16.8419009928083 28.266656802639,-16.8365658927661 28.2653020241022,-16.8316320136442 28.2630515726875,-16.8272890534352 28.2599919803154,-16.8237039502465 28.2562408864674,-16.8210144608038 28.2519425080486,-16.8193238691297 28.2472620873843,-16.8186970283351 28.242379533214)))', 'ESLAK', 'Los Gigantes', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.96479308319986 43.2239945869861,-8.96545311497875 43.219114570776,-8.96740202938871 43.2144224653396,-8.9705646729407 43.2100985231237,-8.97481933501248 43.2063088173816,-8.98000245121041 43.2031988742978,-8.98591489812525 43.2008880972403,-8.99232963622588 43.1994651948712,-8.99900040861088 43.198984786277,-9.005671165323 43.1994653114375,-9.01208585700272 43.2008883259047,-9.01799822851967 43.2031992062937,-9.02318124322092 43.2063092399779,-9.02743578157489 43.2100990201098,-9.03059828391954 43.214423017644,-9.03254704503977 43.2191151571947,-9.03320691732443 43.2239951849948,-9.03255223782257 43.2288755864058,-9.03060786077485 43.2335687886027,-9.02744824889834 43.2378943721673,-9.02319465126989 43.2416860139657,-9.01801047023057 43.2447978930667,-9.0120949913014 43.247110311361,-9.00567571560989 43.2485343103229,-8.99899959086483 43.2490151039195,-8.99232348187248 43.2485341935577,-8.98590425282917 43.2471100823291,-8.97998884963807 43.2447975605907,-8.97480477049671 43.2416855908498,-8.97055129698734 43.2378938747011,-8.96739182665836 43.2335682359309,-8.96544760312768 43.2288749997882,-8.96479308319986 43.2239945869861)))', 'ESLAX', 'Lage', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.34672175934114 43.3548093379721,-8.34743269114195 43.3499333099827,-8.34943327134362 43.3452521557102,-8.35264636332164 43.3409457035178,-8.35694832264803 43.3371793521443,-8.36217377402139 43.3340977291117,-8.36812197459559 43.3318191496893,-8.37456451797074 43.3304310867848,-8.38125408439091 43.3299868233229,-8.38793390504021 43.3305034136514,-8.3943475828078 43.3319610309518,-8.40024889919615 43.3343037253079,-8.40541123751494 43.3374415638863,-8.40963626612634 43.3412540724865,-8.41276155193044 43.3455948484024,-8.41466681278644 43.350297169887,-8.41527856706772 43.3551803891895,-8.41457299756508 43.3600568656165,-8.41257691360825 43.3647391735785,-8.40936676730946 43.3690473090738,-8.40506575464341 43.3728156170962,-8.39983910679034 43.3758991722417,-8.39388774874888 43.3781793650942,-8.38744056761442 43.3795684771157,-8.38074558920002 43.3800130656629,-8.37406040624934 43.3794960268964,-8.36764223223571 43.3780372559056,-8.3617379701696 43.3756928782458,-8.35657468519377 43.3725530830181,-8.35235085306526 43.3687386423055,-8.34922872472965 43.3643962529603,-8.34732810163148 43.3596928823596,-8.34672175934114 43.3548093379721)))', 'ESLCG', 'La Coruña', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.75261059880871 43.6188338495142,-5.75304884065804 43.6139436885192,-5.75479157443285 43.609209592506,-5.75777154766002 43.6048134405269,-5.76187403952132 43.6009240890408,-5.76694130018533 43.5976908958322,-5.77277862716835 43.5952379966754,-5.77916184309395 43.593659552196,-5.78584588819617 43.5930161449631,-5.79257420078885 43.5933324629004,-5.79908853083617 43.594596356292,-5.80513881646001 43.5967593037515,-5.81049275109504 43.5997382693865,-5.81494468008981 43.6034188809214,-5.81832348954591 43.6076598085967,-5.82049918642829 43.6122981790451,-5.82138791644935 43.6171558187276,-5.82095522352629 43.6220460893865,-5.81921741995032 43.6267810546137,-5.81624100761692 43.6311787030273,-5.81214016523032 43.63506995035,-5.80707239150375 43.6383051501733,-5.80123246702924 43.6407598612343,-5.79484496462737 43.6423396470608,-5.78815559664138 43.6429837208758,-5.7814217351189 43.6426672932745,-5.7749024748708 43.6414025306679,-5.76884862835396 43.639238086773,-5.76349304424726 43.636257225301,-5.75904162831857 43.6325746071515,-5.7556654163559 43.628331867573,-5.75349400594903 43.6236921557783,-5.75261059880871 43.6188338495142)))', 'ESLCO', 'Luanco', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.6907457679974 28.0493508347188,-16.6912121449128 28.0444538791609,-16.6927462775437 28.0397317298527,-16.6952890830492 28.03536582788,-16.6987427528771 28.0315239042444,-16.7029745251434 28.0283535413903,-16.707821792538 28.0259765108988,-16.7130983485707 28.0244841035489,-16.7186015325331 28.0239336297431,-16.724120000249 28.0243462234714,-16.7294418246256 28.0257060332434,-16.7343626179342 28.02796083061,-16.7386933670119 28.0310240129862,-16.7422676832121 28.0347779244547,-16.7449481905774 28.0390783680335,-16.7466318076692 28.0437601373956,-16.7472537197004 28.0486433569291,-16.7467898866999 28.0535403878238,-16.74525798869 28.0582630357693,-16.742716768311 28.0626297837668,-16.7392637927938 28.0664727720153,-16.7350317183196 28.0696442559928,-16.730183198207 28.0720222934371,-16.7249046296608 28.0735154402699,-16.7193989797763 28.0740662735091,-16.7138779681446 28.0736536044439,-16.7085539091464 28.0722932960343,-16.7036315307117 28.0700376526425,-16.6993000873242 28.0669734056532,-16.6957260733329 28.0632183730614,-16.6930468186862 28.05891692253,-16.6913652141076 28.0542344136854,-16.6907457679974 28.0493508347188)))', 'ESLCR', 'Los Cristianos', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.7347307171131 28.1093605889318,-16.7351951957308 28.1044636015861,-16.7367280817235 28.0997410472947,-16.7392703396239 28.095374382801,-16.7427241814242 28.0915313684024,-16.7469568382416 28.0883596283535,-16.7518056685522 28.0859809869688,-16.7570844057862 28.0844867966871,-16.7625903056003 28.0839344361647,-16.7681119198137 28.0843451116567,-16.7734372009014 28.0857030452081,-16.7783616288286 28.0879560803776,-16.7826960512561 28.0910176823074,-16.7862739387628 28.0947702559231,-16.7889577783699 28.0990696558466,-16.7906443606014 28.1037507161039,-16.7912687565348 28.1086335885969,-16.7908068303798 28.113530648093,-16.7892761883937 28.118253699364,-16.7867355244141 28.1226212100061,-16.7832823837889 28.1264652909036,-16.7790494286531 28.1296381554372,-16.7741993459466 28.1320178080995,-16.7689185929051 28.133512742494,-16.7634102207603 28.1340654666799,-16.7578860540832 28.1336547190375,-16.7525585289884 28.1322962885061,-16.7476325071406 28.1300424071878,-16.743297383539 28.1269797387589,-16.7397197943516 28.1232260406587,-16.7370372071409 28.1189256294579,-16.7353526407167 28.1142438250882,-16.7347307171131 28.1093605889318)))', 'ESLCT', 'La Caleta', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.38068542867087 43.4171193775396,-3.381314155013 43.4122372369613,-3.38323711268805 43.407538296642,-3.38638014045244 43.4032030732716,-3.39062227575292 43.3993980743442,-3.39580043021563 43.3962694134862,-3.40171566692554 43.3939372121752,-3.40814083678791 43.3924910004373,-3.41482928184699 43.3919862907103,-3.42152427503755 43.3924424543494,-3.42796883954892 43.3938419808935,-3.43391557749905 43.3961311480008,-3.43913613730179 43.3992220767577,-3.44342996196955 43.4029960947698,-3.44663198628388 43.4073082799214,-3.44861898859194 43.4119930127265,-3.44931435187722 43.4168703264708,-3.44869104725465 43.4217528133226,-3.44677271930175 43.4264528225319,-3.4436328244292 43.43078967468,-3.43939184823558 43.4345966143066,-3.43421270263054 43.4377272323312,-3.42829447542084 43.4400611093155,-3.42186477097737 43.4415084601272,-3.41517093760504 43.4420135989144,-3.40847052269162 43.4415570890014,-3.40202132845666 43.4401564935665,-3.39607145761596 43.4378656976805,-3.39084973870959 43.4347728282242,-3.38655690518747 43.4309968530457,-3.38335787137437 43.4266829922216,-3.38137540364614 43.4219971203437,-3.38068542867087 43.4171193775396)))', 'ESLDO', 'Laredo', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.45084588217656 36.8368601802198,-2.45147938174079 36.8319775631626,-2.4532855389169 36.8272880850422,-2.45619475947299 36.8229719078132,-2.46009512263527 36.8191948238479,-2.46483670050404 36.8161018961856,-2.47023732559784 36.8138118972515,-2.47608958400367 36.8124127577253,-2.48216876653403 36.8119581984521,-2.48824147532004 36.8124656731598,-2.49407455947221 36.8139156999561,-2.49944404152368 36.8162526069595,-2.50414369668323 36.8193866638706,-2.50799295946261 36.8231975187573,-2.51084385664191 36.8275388097236,-2.51258670107724 36.8322437762647,-2.51315432645288 36.8371316566823,-2.51252469728667 36.842014627401,-2.51072178951406 36.8467050186212,-2.50781470267486 36.8510225293773,-2.50391503270364 36.8548011642798,-2.49917260196761 36.8578956241732,-2.49376970778915 36.860186903364,-2.48791410952867 36.8615868762649,-2.48183102483643 36.8620416951569,-2.47575444565052 36.8615338667875,-2.46991811209413 36.8600829268908,-2.46454649632661 36.8577446863596,-2.45984614797793 36.8546090785112,-2.45599773806767 36.8507966913936,-2.45314910997377 36.8464541201712,-2.45140960539225 36.841748320256,-2.45084588217656 36.8368601802198)))', 'ESLEI', 'Almería', 'Y'),('SRID=4326;MULTIPOLYGON(((2.70234287618995 41.6150911659958,2.70172468954275 41.6102079794889,2.69984918421887 41.6055091066598,2.69678867436563 41.6011750650187,2.6926609351347 41.5973723221177,2.68762465215247 41.594246911581,2.68187331442714 41.5919188368792,2.6756277867127 41.590477475513,2.66912784553177 41.5899781578175,2.66262300051286 41.5904400498135,2.65636294833868 41.5918454200801,2.65058801971805 41.5941403183058,2.64551998003021 41.5972366398743,2.64135353164193 41.601015498459,2.63824884071138 41.605331779019,2.63632537426974 41.6100196986154,2.63565728558344 41.6148991637579,2.63627052869651 41.6197826820456,2.6381418184654 41.6244825639048,2.64119948252255 41.6288181382101,2.64532617896317 41.632622704075,2.65036338091687 41.6357499503459,2.65611745947098 41.6380795940781,2.66236713260543 41.6395220189002,2.66887199269475 41.6400217325753,2.67538178125061 41.6395595087983,2.68164604898101 41.6381531295008,2.68742382339663 41.6358566986102,2.69249290587199 41.6327585540774,2.69665843528598 41.6289778597588,2.69976038538654 41.6246600101691,2.70167970640926 41.6199710271177,2.70234287618995 41.6150911659958)))', 'ESLEL', 'Calella de la Costa', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.14170153410696 37.2255128930649,-7.14242271066924 37.2206396206182,-7.14431869055029 37.2159724686619,-7.14731643105685 37.2116907348226,-7.15130061739048 37.2079588831119,-7.15611811131307 37.2049202359417,-7.16158384039783 37.2026914800945,-7.16748790091993 37.2013581956916,-7.17360360285758 37.2009715779817,-7.17969615110513 37.2015464763267,-7.18553163388962 37.203060824782,-7.19088597822054 37.2054564859667,-7.19555353332089 37.2086414764168,-7.1993549563672 37.2124934892404,-7.20214410012755 37.2168645805494,-7.20381363849271 37.2215868416574,-7.20429921233858 37.2264788410696,-7.20358193316448 37.2313525903256,-7.20168914368945 37.2360207669926,-7.19869340089649 37.2403039174413,-7.19470971545003 37.2440373619941,-7.18989114933221 37.2470775357436,-7.18442293820142 37.2493075194993,-7.17851536365137 37.2506415462016,-7.17239565068297 37.2510283075937,-7.16629920504539 37.2504529324391,-7.1604605318543 37.2489375592725,-7.15510418981081 37.2465404814779,-7.15043613382533 37.2433538981855,-7.1466357829761 37.2395003587829,-7.14384912126236 37.2351280395661,-7.14218309692412 37.2304050361591,-7.14170153410696 37.2255128930649)))', 'ESLEP', 'Lepe', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.46471371718534 43.3678446653529,-2.4654153703074 43.3629678654628,-2.46740734049052 43.358284612114,-2.47061282102703 43.3539748148667,-2.47490845871693 43.3502040013337,-2.48012911980031 43.3471169705857,-2.48607424421592 43.3448322455125,-2.49251554276572 43.3434375347647,-2.49920574296234 43.342986376139,-2.50588805159504 43.3434960882807,-2.51230597643807 43.344947108041,-2.51821313673877 43.3472837385122,-2.52338269250146 43.3504162795663,-2.52761603612097 43.3542244605121,-2.53075041626136 43.3585620451468,-2.53266520230823 43.3632624347925,-2.53328654716047 43.368145056539,-2.53259026509091 43.3730222933371,-2.5306028080227 43.3777066910331,-2.52740029558295 43.3820181658506,-2.52310562910554 43.385790934782,-2.51788379449134 43.3888799010651,-2.51193553046035 43.3911662471425,-2.50548960418832 43.3925620175798,-2.49879399269169 43.3930135132523,-2.49210631300328 43.3925033642022,-2.48568387504409 43.3910512000939,-2.47977374664808 43.3887128920517,-2.4746032196762 43.3855783955987,-2.47037104959071 43.3817682791181,-2.46723980906695 43.3774290734803,-2.46532965074087 43.3727276241459,-2.46471371718534 43.3678446653529)))', 'ESLEQ', 'Lequeitio', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.8718751240892 27.6395857650528,-17.8722878400883 27.6346880361429,-17.873765424214 27.62995611822,-17.876250965456 27.6255718331926,-17.8796488515505 27.6217036227684,-17.8838284576205 27.6185000820225,-17.8886291729818 27.616084257805,-17.8938665718911 27.6145489297549,-17.8993394913245 27.6139530538091,-17.9048377452516 27.6143195035198,-17.9101501814255 27.6156341949303,-17.9150727741837 27.6178466280461,-17.9194164455418 27.620871824059,-17.9230143169771 27.6245935843973,-17.9257281154064 27.6288689473614,-17.9274534882612 27.6335336724134,-17.9281240232183 27.6384085428262,-17.9277138166728 27.6433062458587,-17.926238489784 27.6480385671301,-17.9237546099186 27.6524236233255,-17.9203575364107 27.6562928553342,-17.9161777704282 27.659497512554,-17.9113759470004 27.6619143781618,-17.9061366605634 27.6634505139763,-17.9006613615002 27.6640468410859,-17.8951605981185 27.6636804172524,-17.8898459047071 27.6623653224932,-17.8849216505725 27.660152118209,-17.8805771666287 27.6571259006114,-17.8769794551068 27.6534030237993,-17.8742667647448 27.6491266194452,-17.8725432794174 27.6444610866291,-17.8718751240892 27.6395857650528)))', 'ESLES', 'La Estaca', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-17.88260815099 28.6576077340713,-17.8830199321258 28.6527103568656,-17.8845068710668 28.647977937067,-17.8870116906326 28.6435923145094,-17.8904380329464 28.6397219801432,-17.8946541774505 28.63651560804,-17.8994981101407 28.6340963511636,-17.9047837481155 28.6325571187163,-17.910308080481 28.6319570150258,-17.9158589527354 28.632319075412,-17.9212231980971 28.6336293849522,-17.926194806574 28.6358376134028,-17.9305828213001 28.6388589456931,-17.9342186617983 28.6425773343557,-17.9369625950378 28.6468499499566,-17.9387091067377 28.6515126598918,-17.9393909662941 28.6563863265299,-17.9389818276011 28.6612836840959,-17.9374972632118 28.6660165311327,-17.9349941888026 28.6704029627632,-17.9315686965661 28.6742743648631,-17.9273523776431 28.6774819008081,-17.9225072725914 28.67990224045,-17.9172196427936 28.6814423097452,-17.9116928023809 28.6820428769635,-17.9061392876826 28.6816808362168,-17.9007726677686 28.6803700994381,-17.8957993141353 28.6781610619143,-17.891410449333 28.6751386618901,-17.8877747832547 28.6714191093857,-17.8850320223773 28.6671454110196,-17.8832875025001 28.6624818642369,-17.88260815099 28.6576077340713)))', 'ESLHN', 'Los Llanos de Aridane', 'Y'),('SRID=4326;MULTIPOLYGON(((2.22628784438689 41.5132287687547,2.2257063930306 41.5083432315671,2.22386831245444 41.5036368123511,2.22084448014944 41.4992903210758,2.2167512651669 41.4954707055606,2.2117460311065 41.4923246487704,2.20602107910979 41.4899729474947,2.19979626506369 41.4885058860601,2.19331057361561 41.4879797804587,2.18681296931358 41.4884148236222,2.18055287111777 41.489794313216,2.17477060996387 41.4920652910535,2.16968822963232 41.4951405699286,2.16550097888007 41.4989020712332,2.16236981796268 41.5032053470577,2.16041522600861 41.5078851153537,2.15971254826764 41.5127615978621,2.16028906547892 41.5176474193374,2.16212290331025 41.5223548043988,2.16514383018976 41.5267027960364,2.16923591939105 41.5305242180144,2.17424197870502 41.5336721123502,2.17996958135336 41.5360254025048,2.18619846791175 41.5374935622589,2.19268903372949 41.538020108411,2.19919157217935 41.5375847809596,2.20545591312128 41.5362043255196,2.21124107969967 41.533931847319,2.21632458580976 41.5308547619809,2.22051101130561 41.5270914231308,2.22363952157007 41.5227865584282,2.22559004101286 41.5181056918134,2.22628784438689 41.5132287687547)))', 'ESLJO', 'La Llagosta', 'Y'),('SRID=4326;MULTIPOLYGON(((3.19974223559548 42.3749461808892,3.19907847406429 42.3700663943028,3.19714382208695 42.3653763640067,3.19401287308759 42.3610562637595,3.18980611085011 42.3572720213967,3.18468525464344 42.3541689562036,3.17884703603221 42.3518662106538,3.17251564777996 42.3504521880264,3.16593415361642 42.3499811687757,3.15935518512769 42.3504712336175,3.15303127756389 42.3519035717759,3.14720520923894 42.354223200511,3.14210070907616 42.357341068782,3.13791388373179 42.3611374656111,3.13480568995927 42.3654666042572,3.13289574016824 42.3701622084967,3.13225768056463 42.375043888798,3.1329163232968 42.3799240654476,3.13484664852907 42.3846151739758,3.13797472154477 42.3889368764733,3.14218049640271 42.3927230011767,3.14730240415421 42.3958279422314,3.15314355314711 42.3981322715808,3.15947930449409 42.3995473448266,3.16606593022351 42.4000187215669,3.17265001751424 42.3995282666617,3.17897825182432 42.3980948502703,3.18480719613166 42.3957736192841,3.18991268367097 42.3926538686722,3.19409845746753 42.3888555959819,3.19720372085718 42.384524873537,3.19910930755476 42.3798282186799,3.19974223559548 42.3749461808892)))', 'ESLLC', 'Llansa', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.32413905710326 36.1636033128281,-5.32458783527243 36.158709670183,-5.32620517066709 36.1539810426989,-5.3289287180778 36.1495991107122,-5.33265367560931 36.145732203964,-5.33723683302759 36.1425288427518,-5.34250208465945 36.140112042966,-5.34824719357418 36.1385746019522,-5.35425154764267 36.1379755443464,-5.36028461181693 36.1383378626526,-5.36611475571759 36.1396476380491,-5.37151812210264 36.1418545745465,-5.37628720040348 36.1448739260781,-5.38023878027773 36.1485897433364,-5.38322098271545 36.1528593170791,-5.38511909996162 36.1575186490559,-5.38586001934603 36.1623887423297,-5.38541505865078 36.1672824710947,-5.38380110016086 36.1720117673516,-5.3810799749828 36.1763948489497,-5.37735611624879 36.1802632111301,-5.37277256691052 36.1834681120188,-5.36750549230705 36.1858863013237,-5.36175740689976 36.1874247701576,-5.35574937596189 36.1880243374078,-5.34971249431181 36.1876619329816,-5.34387897350541 36.1863514888117,-5.33847318488817 36.1841434027023,-5.33370300779151 36.1811225957383,-5.32975181983914 36.1774052388036,-5.32677144037403 36.1731342755422,-5.32487629961996 36.168473915746,-5.32413905710326 36.1636033128281)))', 'ESLLI', 'La Linea de la Concepción', 'Y'),('SRID=4326;MULTIPOLYGON(((2.91538976798955 41.7050294335073,2.91475464002532 41.7001474492348,2.91286104916105 41.6954521041301,2.90978200437397 41.6911237789482,2.9056359919164 41.6873287206098,2.90058239764009 41.6842126668549,2.89481537329926 41.6818952614743,2.88855638382837 41.680465472331,2.88204572070252 41.6799781858495,2.87553330384609 41.6804521068037,2.8692691200782 41.6818690427467,2.86349365906328 41.684174600091,2.85842870781963 41.6872802655483,2.85426885202609 41.6910667942839,2.85117400700679 41.6953887766038,2.84926326406997 41.7000802100769,2.84861028990593 41.7049608653744,2.84924045946568 41.709843203252,2.85112983798294 41.7145395782569,2.85420605777186 41.7188694528413,2.85835106266074 41.7226663442023,2.86340562019164 41.7257842355388,2.86917543196415 41.7281032033048,2.87543860868289 41.7295340417782,2.88195422140198 41.7300217047832,2.88847159666571 41.7295474302236,2.89473999278181 41.7281294643796,2.90051827879373 41.7258223576319,2.90558423760326 41.7227148591518,2.90974313013939 41.7189264928349,2.91283518772581 41.7146029481303,2.91474174341593 41.709910465328,2.91538976798955 41.7050294335073)))', 'ESLLO', 'Lloret de Mar', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.71269676777156 43.4235190465425,-4.71321831631963 43.4186313092225,-4.71503781666101 43.4139116352424,-4.71808507503059 43.4095413445994,-4.72224279648851 43.4056882968623,-4.7273511214069 43.4025004538633,-4.73321378098672 43.4001002101317,-4.73960563342368 43.3985797064357,-4.74628129209469 43.397997303939,-4.75298451782404 43.3983753521848,-4.75945802002662 43.399699335053,-4.7654532970461 43.4019184267779,-4.77074014468258 43.4049474369359,-4.77511547376 43.408670070899,-4.77841110229607 43.4129433824822,-4.78050022473185 43.4176032501691,-4.78130230871236 43.422470669068,-4.78078622766001 43.4273586191084,-4.77897150303593 43.4320792471953,-4.77592760154592 43.4364510880774,-4.77177130707517 43.4403060461765,-4.76666226200499 43.4434958688251,-4.76079684477028 43.44589786011,-4.75440061700292 43.4474196132139,-4.74771963143059 43.4480025767618,-4.74101093820212 43.4476243157953,-4.73453266028053 43.4462993788196,-4.72853402638246 43.4440787368546,-4.72324575176191 43.4410478163342,-4.71887114283968 43.4373232027218,-4.71557827196021 43.433048143586,-4.71349352485386 43.4283870264922,-4.71269676777156 43.4235190465425)))', 'ESLNS', 'Llanes', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.89913052228315 42.610975187612,-8.89978913813931 42.6060950241412,-8.901723731099 42.6014035186509,-8.90485970640545 42.5970809015509,-8.90907638420733 42.5932931969522,-8.91421166241001 42.5901858564086,-8.92006825484565 42.5878781856913,-8.92642126373913 42.5864587762829,-8.93302679686863 42.5859821146771,-8.93963130215256 42.5864664976942,-8.9459812667135 42.5878933325343,-8.95183291448041 42.5902078479846,-8.95696153643954 42.5933211899484,-8.96117010073229 42.5971138221732,-8.9642968155739 42.6014401035908,-8.96622135572484 42.6061338688481,-8.96686951190676 42.611014800058,-8.96621608065497 42.6158953470245,-8.96428587778618 42.6205879314221,-8.96115282970591 42.6249121585875,-8.95693717062154 42.6287017592919,-8.95180084753655 42.6318109933168,-8.94594130569198 42.6341202666255,-8.93958389188345 42.6355407437552,-8.93297316894143 42.6360177756612,-8.9263634790501 42.6355330091482,-8.92000912439701 42.6341050953999,-8.9141545494052 42.6317889698834,-8.9090249087316 42.6286737318135,-8.90481738932421 42.6248792061078,-8.90169362389278 42.6205513220996,-8.89977348865561 42.6158564891218,-8.89913052228315 42.610975187612)))', 'ESLPC', 'La Puebla del Caramiñal', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.3807061206496 28.1550815458722,-15.3812324514078 28.1501878091887,-15.3828257360011 28.1454790982528,-15.385424622366 28.1411363322629,-15.3889291534184 28.1373263492726,-15.3932046209915 28.1341955026181,-15.3980867472746 28.1318640460958,-15.4033879939357 28.1304215222283,-15.4089047570847 28.1299233293992,-15.4144251734091 28.1303885985378,-15.4197372402644 28.1317994601043,-15.42463694096 28.134101729216,-15.4289360662996 28.1372069828239,-15.4324694346407 28.1409959498906,-15.4351012349411 28.1453230854735,-15.4367302497711 28.1500221543659,-15.4372937569973 28.1549126111709,-15.4367699583932 28.1598065328839,-15.4351788390838 28.1645158384355,-15.4325814214879 28.1688595181027,-15.4290774390828 28.1726705947326,-15.4248015165084 28.1758025484925,-15.4199180008452 28.1781349570392,-15.4146146419454 28.1795781329128,-15.4090953652684 28.1800765784678,-15.403572416789 28.1796111242996,-15.3982581846493 28.178199668117,-15.3933570151851 28.1758964853279,-15.3890573411992 28.1727901380801,-15.3855244278604 28.1690000639081,-15.3828940169406 28.1646719763012,-15.3812671143488 28.159972255403,-15.3807061206496 28.1550815458722)))', 'ESLPX', 'Puerto de la Luz', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.26270151727593 43.3917840137814,-8.26341964518079 43.3869085910911,-8.26542791991323 43.3822289917701,-8.26864890923176 43.3779249839441,-8.27295866572984 43.3741618720321,-8.27819151533112 43.3710841588368,-8.28414643196803 43.3688100093359,-8.29059475229136 43.3674267263553,-8.29728893556836 43.3669874094593,-8.30397203631484 43.3675089233531,-8.31038753173475 43.3689712525132,-8.31628913340265 43.3713182664302,-8.32145021315645 43.374459866657,-8.32567248686061 43.3782754346648,-8.32879362619711 43.3826184502156,-8.33069350722524 43.3873221053377,-8.33129885403139 43.3922057007007,-8.33058609488393 43.3970815807075,-8.3285823150368 43.4017623421837,-8.3253642624262 43.406068040076,-8.32105543737121 43.4098331126684,-8.31582137214366 43.4129127586626,-8.30986327787854 43.4151885188294,-8.30341030168988 43.4165728451336,-8.29671069312402 43.4170124791743,-8.29002222361695 43.4164905079635,-8.28360223331054 43.4150270166474,-8.27769769493619 43.4126783126632,-8.27253568374263 43.4095347517556,-8.26831462566793 43.4057172509494,-8.26519666396084 43.4013726247336,-8.26330143879655 43.3966679262886,-8.26270151727593 43.3917840137814)))', 'ESLRC', 'Lorbe', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.5386555723528 28.3833230290964,-16.5391295815844 28.3784264798216,-16.5406745147602 28.3737057904332,-16.5432308723631 28.3693423448134,-16.5467003243759 28.3655037784078,-16.5509495028009 28.3623375436019,-16.5558151327989 28.3599652525713,-16.561110304378 28.3584780135853,-16.5666316440618 28.3579329385031,-16.5721671126324 28.3583509543568,-16.5775041319863 28.3597160021583,-16.5824377320796 28.3619756532628,-16.5867784082616 28.3650431197178,-16.5903593900107 28.3688005820141,-16.5930430438404 28.3731037074815,-16.5947261652343 28.3777871871055,-16.595343955837 28.382671079477,-16.5948725313853 28.387567719418,-16.5933298613094 28.3922889267707,-16.5907751005902 28.3966532387976,-16.5873063361336 28.4004928881507,-16.583056831263 28.4036602575755,-16.5781899105158 28.4060335621609,-16.5728926803885 28.4075215393331,-16.567368827753 28.4080669648506,-16.5618307744015 28.4076488583307,-16.5564914919472 28.4062832925646,-16.5515562949705 28.4040227750526,-16.5472149312332 28.4009542256499,-16.5436342759308 28.3971956287348,-16.5409519128508 28.3928914897129,-16.5392708500047 28.3882072719031,-16.5386555723528 28.3833230290964)))', 'ESLRE', 'Los Realejos', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.10102381309915 42.8070350144498,-9.1016686643702 42.8021538699701,-9.10359412495841 42.7974591243322,-9.10672594726925 42.7931311330008,-9.11094360746134 42.7893361266259,-9.1160849628474 42.7862198368453,-9.12195249205538 42.783901912375,-9.12832087678478 42.7824713374715,-9.13494563516234 42.781983026331,-9.14157247880119 42.7824557221784,-9.14794703977929 42.7838712803601,-9.15382460058321 42.7861753624786,-9.15897945996349 42.7892795153717,-9.16321358061816 42.7930645564344,-9.16636419031712 42.7973851372903,-9.1683100457964 42.8020753129277,-9.16897611741537 42.8069549047892,-9.16833651072059 42.8118364154321,-9.16641550684866 42.8165322304854,-9.16328667489974 42.8208618316756,-9.15907008345944 42.8246587432664,-9.15392771250659 42.8277769435685,-9.14805723802342 42.8300964930061,-9.14168442670158 42.8315281599358,-9.13505443432319 42.8320168639104,-9.12842234610495 42.8315438018994,-9.12204332840926 42.8301271743016,-9.11616277724467 42.8278214823234,-9.1110068491157 42.8247154242139,-9.10677374403092 42.8209284726301,-9.10362607960846 42.8166062668078,-9.10168465072036 42.811914999145,-9.10102381309915 42.8070350144498)))', 'ESLRT', 'Lira-Carnota', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.22965486802767 43.5166752429311,-5.23013514644421 43.511786102006,-5.23191658633489 43.5070590789301,-5.23493045222686 43.5026757785131,-5.23906072669436 43.4988045617916,-5.24414859862509 43.4955940892207,-5.24999857939431 43.4931676241997,-5.25638600993344 43.4916183133417,-5.26306567104865 43.4910056222538,-5.26978116963215 43.4913530614733,-5.27627474573892 43.4926472882612,-5.28229713061609 43.4948386179696,-5.28761708405215 43.4978429255402,-5.29203025088789 43.5015448652473,-5.2953670008871 43.5058022869407,-5.29749895273499 43.5104516815646,-5.2983439306857 43.5153144493006,-5.29786915990506 43.5202037518022,-5.29609257205077 43.5249316869116,-5.2930821639175 43.5293165109704,-5.28895342651841 43.5331896309818,-5.2838649369604 43.5364020967319,-5.27801227789563 43.538830341378,-5.27162051613848 43.540380947375,-5.26493553027166 43.5409942519425,-5.25821452404879 43.5406466511463,-5.25171609590382 43.5393515123241,-5.24569025326882 43.5371586589729,-5.24036876276742 43.5341524481119,-5.23595621356241 43.5304485152258,-5.23262214186058 43.5261893139081,-5.23049452122984 43.5215386241462,-5.22965486802767 43.5166752429311)))', 'ESLS3', 'Lastres', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.8036618300046 28.374378030687,-16.8041235946244 28.3694810808417,-16.8056565175901 28.3647578937049,-16.8082015600715 28.3603899502436,-16.8116608254989 28.3565450595199,-16.8159013356374 28.3533709172789,-16.8207601470058 28.3509894393978,-16.8260506100995 28.3494920865457,-16.8315695312831 28.348936358236,-16.8371049637907 28.3493435896657,-16.8424443311025 28.3506981350253,-16.8473825737994 28.3529479681748,-16.8517300102014 28.3560066776927,-16.8553196116962 28.3597567802732,-16.8580134153052 28.3640542262509,-16.8597078280127 28.3687339255156,-16.8603376186509 28.3736160829512,-16.8598784422949 28.3785131012851,-16.8583477974914 28.3832367870803,-16.8558043762414 28.3876055834535,-16.8523458282965 28.3914515514948,-16.8481050226614 28.3946268314472,-16.8432449478036 28.3970093342272,-16.8379524455825 28.398507443134,-16.8324310200721 28.3990635435519,-16.8268929992997 28.3986562436335,-16.8215513538251 28.3973011996153,-16.8166114898971 28.3950505135534,-16.8122633360135 28.3919907267177,-16.8086740300164 28.3882394864259,-16.8059814898974 28.3839410155496,-16.804289116317 28.3792605602305,-16.8036618300046 28.374378030687)))', 'ESLSI', 'Los Silos', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.6374563897961 29.1087129941817,-13.6380692421775 29.1038283086439,-13.6397552854048 29.0991424596386,-13.6424496034119 29.0948354794081,-13.6460485776188 29.0910728240327,-13.6504138806801 29.0879990239924,-13.6553777954512 29.085732140016,-13.660749654306 29.0843592357464,-13.6663231522606 29.0839330397396,-13.6718842550114 29.0844699238957,-13.6772194010439 29.0859492752901,-13.6821236861109 29.0883142853973,-13.6864087189781 29.0914741268176,-13.6899098493688 29.0953074348253,-13.6924924921394 29.0996669612885,-13.6940573051563 29.1043852236389,-13.6945440210117 29.109280933275,-13.6939337832069 29.1141659575587,-13.6922498939689 29.1188525485969,-13.6895569414386 29.1231605611794,-13.6859583363144 29.1269243820598,-13.6815923497519 29.1299993033206,-13.6766268029525 29.1322670935372,-13.6712526120036 29.1336405511,-13.6656764369295 29.1340668632187,-13.6601127196011 29.1335296403165,-13.6547754195789 29.1320495468889,-13.6498697690357 29.1296835044294,-13.6455843670868 29.1265224975039,-13.6420839201983 29.1226880682759,-13.6395029094563 29.1183276355728,-13.637940428533 29.1136088199297,-13.6374563897961 29.1087129941817)))', 'ESLST', 'La Santa', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.49764359276202 43.5462527558817,-6.49850545046403 43.54139192893,-6.50065410677198 43.536746770185,-6.50400674509234 43.5324957156766,-6.50843437538366 43.5288020290841,-6.51376681391492 43.5258075431276,-6.51979922818043 43.5236272262878,-6.52629999474265 43.5223447810314,-6.53301957013664 43.522009440212,-6.5397000385314 43.5226340827876,-6.54608497563096 43.5241947401009,-6.55192925697454 43.526631511513,-6.5570084406724 43.5298508550326,-6.56112736965857 43.5337291666246,-6.56412766637107 43.5381175129898,-6.56589383263738 43.5428473385537,-6.56635771832158 43.5477369298453,-6.56550118245266 43.552598390843,-6.56335683817327 43.5572448624259,-6.56000684560988 43.5614977086965,-6.55557979201099 43.5651933931962,-6.5502457733107 43.5681897790417,-6.54420986258042 43.5703716085111,-6.5377042155626 43.5716549488537,-6.53097911872769 43.5719904309467,-6.52429332849679 43.5713651543246,-6.51790407936783 43.5698031841725,-6.51205715226915 43.5673646209974,-6.50697739188234 43.5641432795704,-6.50286004306826 43.5602630680899,-6.49986324282135 43.5558732090959,-6.49810195700878 43.5511424884467,-6.49764359276202 43.5462527558817)))', 'ESLUA', 'Luarca', 'Y'),('SRID=4326;MULTIPOLYGON(((4.29248769517361 39.8966424272557,4.29177179483166 39.8917675771994,4.28983521011948 39.8870939469725,4.28675257352161 39.8828010802915,4.28264248371564 39.8790538628221,4.27766292746622 39.8759961989311,4.27200520251599 39.8737454965925,4.26588657586858 39.872388170102,4.25954195810647 39.8719763312093,4.25321491008092 39.8725257940116,4.24714832239716 39.8740154691438,4.24157511990587 39.8763881702552,4.23670934256409 39.8795528023837,4.23273794056231 39.8833878495305,4.22981359589693 39.8877460294013,4.22804884532979 39.8924599387178,4.22751173201672 39.8973484743801,4.2282231564846 39.9022237855554,4.23015603393862 39.906898490693,4.23323629629051 39.9111928824312,4.23734570632037 39.9149418429282,4.24232638075384 39.9180012024572,4.2479868516154 39.9202532948985,4.2541094338615 39.9216114943258,4.26045861470533 39.9220235560925,4.26679013860729 39.9214736321707,4.27286043355002 39.919982882127,4.27843601028609 39.9176086559578,4.28330246740147 39.9144422808015,4.28727275121687 39.9106055380171,4.29019434997011 39.9062459680443,4.29195514493976 39.9015311857917,4.29248769517361 39.8966424272557)))', 'ESMAH', 'Mahón', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.76973728010096 43.3239361558371,-8.77041400411876 43.3190573866587,-8.77238110681795 43.3143687252853,-8.77556273569426 43.3100502906564,-8.77983645154652 43.3062679434218,-8.7850379596819 43.3031669263805,-8.79096743244324 43.3008662997146,-8.79739717877983 43.2994543823135,-8.80408036761502 43.2989853718363,-8.81076047383375 43.2994772712673,-8.81718108989256 43.3009112002313,-8.82309573304677 43.3032321170588,-8.82827727833704 43.3063509243791,-8.8325266607796 43.3101478787828,-8.83568051630965 43.3144771756866,-8.83761746922811 43.3191725357538,-8.83826282311759 43.3240535807369,-8.83759147095379 43.3289327558799,-8.83562890657914 43.333622534301,-8.83245029157943 43.3379426270007,-8.82817760632014 43.341726920903,-8.82297498859495 43.3448298768465,-8.81704243498531 43.3471321394687,-8.81060810557289 43.3485451408205,-8.80391952916637 43.349014518221,-8.79723405109043 43.3485222128251,-8.79080889670577 43.3470871668124,-8.78489123967634 43.3447645919134,-8.77970866379636 43.3416438379251,-8.77546039094684 43.3378449446195,-8.77230961626638 43.3335140117603,-8.77037724642237 43.3288175677432,-8.76973728010096 43.3239361558371)))', 'ESMAI', 'Malpica de Bergantiños', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.4417266641923 28.1093001902952,-16.4422045077347 28.1044036670095,-16.4437503961217 28.0996838787604,-16.4463047952213 28.0953221747985,-16.449769452013 28.0914861239691,-16.4540111838859 28.0883230825972,-16.4588670024843 28.0859545409364,-16.46415037434 28.0844714640359,-16.4696583781498 28.0839308046093,-16.4751794853377 28.0843533206113,-16.4805016675682 28.0857227804489,-16.4854205228875 28.0879865859273,-16.4897471115444 28.0910577891144,-16.493315203281 28.0948184262895,-16.495987659646 28.0991240419742,-16.4976617069549 28.1038092305897,-16.4982728968457 28.1086939842498,-16.4977976005656 28.1135906040627,-16.4962539384716 28.1183109103098,-16.493701105763 28.1226734748802,-16.4902371169914 28.1265105979088,-16.4859950530675 28.129674759838,-16.4811379528985 28.1320442998196,-16.4758525450601 28.133528100819,-16.4703420608154 28.1340690998849,-16.4648184063642 28.1336464873557,-16.4594939978402 28.1322765095197,-16.4545735761302 28.1300118434325,-16.4502463194541 28.126939568046,-16.4466785597695 28.1231778103136,-16.4440073849756 28.1188711963085,-16.4423353736491 28.1141852835945,-16.4417266641923 28.1093001902952)))', 'ESMDT', 'San Miguel de Tajao', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.5077445274357 28.0443131342225,-16.5082192202881 28.0394164614719,-16.5097613940712 28.0346960320993,-16.5123116575884 28.0303332203553,-16.5157719166789 28.0264956379834,-16.5200091574215 28.0233307004069,-16.5248605635451 28.0209599708694,-16.5301397705248 28.0194744984791,-16.5356440164623 28.0189313278501,-16.5411619166214 28.0193513131712,-16.5464815654995 28.02071831976,-16.5513986583121 28.022979843337,-16.5557243231074 28.0260490233353,-16.5592923654414 28.0298079735423,-16.5619656492678 28.0341123031882,-16.5636413697285 28.0387966561357,-16.5642550148129 28.0436810567693,-16.5637828619909 28.0485778200337,-16.5622429112305 28.0532987610398,-16.5596942152935 28.0576624276452,-16.5562346296906 28.0615010779617,-16.5519970658106 28.0646671339813,-16.547144389119 28.0670388621873,-16.5418631575732 28.0685250614334,-16.5363564412931 28.0690685764482,-16.5308360011027 28.0686485006133,-16.5255141292014 28.0672809823907,-16.5205954688089 28.065018603952,-16.5162691305268 28.0619483560088,-16.5127014113312 28.0581882873589,-16.5100293980734 28.0538829590447,-16.5083557021785 28.0491978792417,-16.5077445274357 28.0443131342225)))', 'ESMED', 'El Medano', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.68430719395314 42.2829122030433,-8.68497890418503 42.2780330348113,-8.68691929817536 42.2733449036718,-8.69005356371436 42.269027910052,-8.69426109141009 42.2652478623332,-8.6993801341099 42.2621499188248,-8.7052140309286 42.2598530256552,-8.71153875547949 42.2584453618613,-8.71811149966906 42.2579809642754,-8.72467996705084 42.2584776598604,-8.73099202430825 42.2599163835998,-8.73680534665441 42.2622419077083,-8.74189669314235 42.2653649546586,-8.74607046106915 42.2691656142386,-8.7491661944785 42.2734979354149,-8.75106475950767 42.2781955189997,-8.75169294790292 42.283077898651,-8.75102632797658 42.2879574670646,-8.74909022774328 42.2926466825685,-8.74595880572746 42.2969652796511,-8.74175223842015 42.3007472058184,-8.73663212676294 42.3038470167845,-8.73079529437942 42.3061454821173,-8.72446621456921 42.3075541834322,-8.71788835847481 42.3080189259434,-8.71131480078454 42.3075218301765,-8.70499844976892 42.3060820220718,-8.69918228390086 42.3037548944998,-8.69408997702748 42.3006299691006,-8.68991727806104 42.2968274420633,-8.68682448021766 42.2924935487246,-8.68493027044655 42.2877949276197,-8.68430719395314 42.2829122030433)))', 'ESMEI', 'Meira', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.30170912000921 43.3777957634699,-8.30242394555155 43.3729200613287,-8.30442875396533 43.3682397419114,-8.3076462461387 43.363934601233,-8.31195260879304 43.3601699874151,-8.31718229786422 43.3570904610715,-8.32313440824753 43.3548142568636,-8.32958038393383 43.3534287564951,-8.3362727738591 43.352987144583,-8.34295470115641 43.3535063738173,-8.34936968800429 43.3549665162407,-8.35527146559915 43.3573115251627,-8.36043339928213 43.3604513790192,-8.36465717251203 43.3642655262991,-8.36778039983925 43.3686075013564,-8.36968287758607 43.3733105362884,-8.37029123048409 43.3781939557577,-8.36958177158086 43.3830701111389,-8.36758145942534 43.3877515889069,-8.36436690861508 43.3920584166987,-8.3600614846325 43.395824989545,-8.35483058863675 43.3989064485879,-8.34887530947518 43.4011842649297,-8.34242468557443 43.402570811434,-8.33572687564735 43.4030127442188,-8.32903958170773 43.4024930617441,-8.32262009860038 43.4010317609691,-8.31671537964389 43.3986850649329,-8.31155250729246 43.3955432520477,-8.30732994099033 43.391727172069,-8.30420988244258 43.3873835848786,-8.30231205290873 43.3826795038117,-8.30170912000921 43.3777957634699)))', 'ESMEO', 'Mera-Oleiros', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.17985792969699 43.108058756783,-9.18049962185671 43.1031774312866,-9.18242841712388 43.0984816013933,-9.18556993532461 43.0941516639628,-9.18980327662462 43.0903539237106,-9.19496569389315 43.087234216274,-9.20085885636899 43.0849123204683,-9.207256462519 43.0834773719373,-9.21391291089863 43.0829844519214,-9.22057269972013 43.0834524800843,-9.22698019978859 43.0848634909281,-9.23288943218802 43.087163321077,-9.23807348193881 43.0902636814888,-9.24233319180847 43.0940455363616,-9.2455048061938 43.0983636610018,-9.24746627280338 43.1030522060192,-9.24814195868198 43.1079310565544,-9.24750559547365 43.1128127443341,-9.2455813348673 43.1175096484024,-9.24244286667611 43.1218412083666,-9.23821062639778 43.1256408724953,-9.23304719354181 43.1287625122585,-9.22715105348271 43.1310860546616,-9.22074896106337 43.1325221133811,-9.21408720072246 43.1330154381603,-9.20742208294637 43.1325470477138,-9.20101004821574 43.1311349626941,-9.19509776580804 43.1288335100108,-9.18991261503874 43.125731225722,-9.18565392075971 43.1219474385231,-9.182485283959 43.1176276672862,-9.18052830361747 43.1129380120812,-9.17985792969699 43.108058756783)))', 'ESMGA', 'Mugia', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.22066003750667 43.4657711025989,-8.22138249616998 43.4608960390483,-8.22339652688158 43.4562172814199,-8.22662447551123 43.4519145651273,-8.23094212698987 43.4481531445793,-8.236183504124 43.4450774572498,-8.24214725387961 43.4428055900298,-8.24860437454392 43.441424757937,-8.2553069884612 43.4409879663955,-8.26199782741978 43.4415119832496,-8.26842007230296 43.4429766970873,-8.27432717599873 43.4453258861233,-8.27949229912852 43.4484693686991,-8.28371700189318 43.4522864542788,-8.28683886188811 43.4566305645397,-8.28873772639078 43.4613348495434,-8.28934035728175 43.4662185857077,-8.28862328594028 43.4710941118383,-8.28661376227739 43.4757740380607,-8.28338875426627 43.4800784510539,-8.27907202929312 43.4838418381016,-8.27382942349868 43.4869194623486,-8.26786247696863 43.4891929420254,-8.26140067809544 43.4905748166323,-8.25469261675005 43.4910119220317,-8.24799639046641 43.4904874425971,-8.24156963853332 43.4890215601645,-8.23565959422054 43.4866706744271,-8.2304935445886 43.4835252253513,-8.22627007048747 43.4797062028545,-8.22315140726818 43.4753604801376,-8.22125722097287 43.4706551526208,-8.22066003750667 43.4657711025989)))', 'ESMGR', 'Mugardos', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.3327353730138 28.0478655848747,-14.3333086366909 28.0429761448929,-14.3349459108117 28.0382798594063,-14.3375841573673 28.0339571660989,-14.3411219129162 28.0301741291018,-14.3454231994613 28.0270760655483,-14.3503227536285 28.0247819706757,-14.355632372653 28.0233799542621,-14.3611481340699 28.022923862358,-14.3666582136105 28.0234312129649,-14.37195100371 28.0248825242461,-14.3768232239373 28.0272220608714,-14.3810877149316 28.0303599701669,-14.3845806190622 28.0341757268441,-14.3871676736537 28.038522755179,-14.3887493755073 28.0432340524578,-14.3892648175172 28.0481285990085,-14.3886940480182 28.0530183096693,-14.387058859353 28.0577152603242,-14.384421972039 28.0620389120234,-14.3808846425854 28.0658230547296,-14.3765827841198 28.0689222029752,-14.371681747086 28.0712171963884,-14.3663699600015 28.0726197883962,-14.360851675399 28.0730760453192,-14.3553391016794 28.0725684240332,-14.3500442261239 28.0711164475833,-14.3451706466554 28.0687759525658,-14.3409057295669 28.0656369375611,-14.3374133973577 28.061820096192,-14.3348278256331 28.0574721693169,-14.3332482918391 28.0527602964441,-14.3327353730138 28.0478655848747)))', 'ESMHR', 'Morro Jable', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.91609142564218 42.6829801805165,-2.91674948505044 42.6780999806003,-2.9186850447707 42.6734082487039,-2.92182347186894 42.669085223863,-2.92604399150119 42.6652969456796,-2.93118435353233 42.6621888874958,-2.93704707645605 42.6598803823693,-2.94340702736259 42.6584600535636,-2.95002004806597 42.6579824226693,-2.95663229978804 42.6584658236067,-2.96298997308109 42.6598917012764,-2.96884899665676 42.6622053213229,-2.97398437882632 42.6653178642372,-2.97819882834391 42.6691098247277,-2.98133032723178 42.6734355878325,-2.98325836594792 42.6781290084025,-2.98390859995339 42.6830097820323,-2.98325574488622 42.6878903647311,-2.98132459329728 42.6925831768415,-2.97818910702282 42.6969078148753,-2.97396961319277 42.7006979936364,-2.96882820577249 42.7038079504373,-2.96296252541867 42.7061180631728,-2.95659815528269 42.7075394638355,-2.94997992633846 42.7080174676541,-2.94336247027222 42.7075336839337,-2.9370003888466 42.7061067260493,-2.93113842444843 42.7037914928091,-2.92600201647974 42.7006770493167,-2.92178861235434 42.6968831902095,-2.91866007089784 42.6925558194964,-2.91673645140986 42.6878613270702,-2.91609142564218 42.6829801805165)))', 'ESMIX', 'Miranda de Ebro', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.90044932423561 35.2879787154307,-2.90104229292411 35.2830923342194,-2.90278631270637 35.2783946763209,-2.90561418873188 35.2740662227513,-2.90941713204499 35.2702732430771,-2.9140489577699 35.2671614165015,-2.91933170893298 35.2648502460982,-2.92506248890374 35.2634284789369,-2.93102124086361 35.2629507061985,-2.93697917803965 35.2634352723293,-2.94270754474395 35.2648635725156,-2.94798637625291 35.2671807651085,-2.95261292559977 35.2702978720051,-2.95640943743865 35.2740951873514,-2.95922997291049 35.2784268651883,-2.96096602418456 35.2831265116469,-2.96155070198752 35.2880135686996,-2.96096133253177 35.2929002457684,-2.95922036003984 35.2975987339051,-2.95639451544004 35.3019284256978,-2.95259227842175 35.3057228630717,-2.94795972633339 35.308836144902,-2.9426749267305 35.3111485465659,-2.93694108809979 35.3125711335451,-2.93097873291325 35.3130491898487,-2.92501719650279 35.3125643278603,-2.91928578250747 35.3111351974351,-2.91400491957349 35.3088167666186,-2.90937766393351 35.3056982020222,-2.90558187845975 35.3018994314213,-2.90276339142842 35.2975665223244,-2.90103039881359 35.2928660560485,-2.90044932423561 35.2879787154307)))', 'ESMLN', 'Melilla', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.18072414784169 43.3527595970358,-8.18144832724033 43.3478847048806,-8.18346154963324 43.3432065533102,-8.18668619370856 43.3389048545147,-8.19099817275532 43.3351448240544,-8.19623172833779 43.3320708463838,-8.20218580805622 43.3298009431806,-8.20863178114721 43.3284222544866,-8.21532219706542 43.3279877037931,-8.22200025465224 43.328513973137,-8.22840962409773 43.3299808646747,-8.2343042513312 43.3323320728675,-8.23945777506916 43.3354773382095,-8.2436722004966 43.3392959012538,-8.24678550009954 43.3436411264118,-8.24867785078713 43.3483461203993,-8.24927626604515 43.3532301319506,-8.2485574409679 43.3581054889803,-8.24654869473971 43.3627848079811,-8.24332696721718 43.3670881990324,-8.23901590109222 43.3708501889435,-8.23378111581578 43.3739260949514,-8.22782385099669 43.3761976018063,-8.22137322230078 43.3775773253249,-8.21467738904737 43.378012184473,-8.20799397713596 43.3774854502542,-8.20158013152457 43.3760173912852,-8.19568258773982 43.3736644908357,-8.19052815108337 43.3705172660426,-8.18631495535308 43.3666967746615,-8.18320484085199 43.3623499458527,-8.18131714576781 43.3576439170414,-8.18072414784169 43.3527595970358)))', 'ESMNO', 'Miño', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.70231140041485 42.2749175043192,-8.70298163402338 42.270038219162,-8.70492044707886 42.2653497719223,-8.7080530881118 42.2610322752764,-8.71225901005671 42.2572515570184,-8.71737652729396 42.2541528012751,-8.72320903733998 42.2518549853977,-8.7295325668675 42.2504463238499,-8.73610435349674 42.2499808917387,-8.74267213742437 42.2504765556884,-8.74898381152187 42.2519142902216,-8.75479706574051 42.2542389054659,-8.75988866185322 42.2573611587396,-8.76406298773876 42.261161170282,-8.7671595662197 42.265493013954,-8.76905923119133 42.27019030895,-8.76968873234065 42.2750726000872,-8.76902358768755 42.2799522835574,-8.76708906863002 42.2846418133733,-8.76395927291551 42.2889609120464,-8.75975431443531 42.2927435078888,-8.75463573212963 42.2958441309283,-8.74880029062841 42.298143519535,-8.74247240954617 42.2995532198109,-8.73589551374771 42.3000189985121,-8.72932264086169 42.2995229362491,-8.72300667276507 42.2980841191388,-8.71719057322928 42.2957579018665,-8.71209801365483 42.2926337710081,-8.70792475284067 42.2888318921699,-8.7048311058161 42.2844984757695,-8.70293579239792 42.2798001420461,-8.70231140041485 42.2749175043192)))', 'ESMOA', 'Moaña', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.48889138487515 36.7241318409814,-3.48945812944141 36.7192438651835,-3.49119837148323 36.7145387993008,-3.49404504573541 36.7101974090595,-3.497888628035 36.7063864590897,-3.50258136370454 36.7032523153038,-3.50794295292443 36.7009153333321,-3.51376747352596 36.6994652466574,-3.5198312760948 36.6989577296608,-3.52590155077522 36.699412265925,-3.53174524079398 36.7008114025282,-3.53713796519967 36.7031014185277,-3.54187261300024 36.7061943822785,-3.54576728278523 36.7099715196061,-3.54867226568891 36.7142877650609,-3.55047580448074 36.7189773233458,-3.55110840659146 36.7238600292262,-3.5505455425702 36.7287482632651,-3.54880862204328 36.7334541588279,-3.54596420460558 36.737796823877,-3.54212147084032 36.7416092997047,-3.53742804624291 36.7447449881005,-3.53206433551557 36.7470832982813,-3.52623658380709 36.7485342945565,-3.5201689324387 36.7490421640662,-3.51409477721138 36.7485873695608,-3.50824776567687 36.747187403277,-3.50285278445743 36.744896112469,-3.49811728812437 36.7418016228602,-3.49422330726915 36.7380229409227,-3.49132044587377 36.7337053672594,-3.48952013818817 36.7290148993747,-3.48889138487515 36.7241318409814)))', 'ESMOT', 'Motril', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.65924636016115 42.3969046434417,-8.65992127807245 42.3920257304495,-8.66186709189084 42.3873381357616,-8.66500877986481 42.3830219388267,-8.66922544665774 42.3792429169675,-8.6743549938647 42.3761461886152,-8.68020035754496 42.3738506528024,-8.68653707184654 42.3724444361228,-8.69312186950692 42.371981519676,-8.69970199261078 42.3724796735631,-8.7060248615427 42.3739197769529,-8.71184773729128 42.3762465494027,-8.71694701248594 42.3793706658544,-8.72112677977463 42.3831721754505,-8.72422635202643 42.3875050948904,-8.72612644665653 42.392203002277,-8.72675379503878 42.3970854189467,-8.72608399602451 42.4019647361159,-8.72414249817036 42.406653421541,-8.72100366616166 42.4109712297186,-8.71678796053993 42.4147521380291,-8.71165733337984 42.4178507408463,-8.70580901303456 42.4201478537673,-8.69946791548126 42.4215551100977,-8.69287797529307 42.4220183704602,-8.68629273328921 42.4215198123958,-8.67996554839188 42.420078618268,-8.67413981667932 42.4177502345747,-8.66903958031648 42.4146242316713,-8.66486089298388 42.4108208476107,-8.66176427739828 42.4064863510635,-8.65986856601861 42.4017874040269,-8.65924636016115 42.3969046434417)))', 'ESMPG', 'Marin', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.83999227466903 36.5104824596242,-4.84047243842604 36.5055899194705,-4.84212558063651 36.500866995972,-4.84488797893444 36.4964951475035,-4.84865333949688 36.4926423138791,-4.85327690255761 36.4894564728573,-4.85858101437667 36.4870599662875,-4.8643619501984 36.4855448119892,-4.87039772664308 36.4849691794932,-4.87645660583856 36.4853551632733,-4.88230596851449 36.4866879377314,-4.88772121999261 36.4889163257958,-4.89249439188977 36.4919547594513,-4.89644211342736 36.4956865577945,-4.89941264917652 36.4999683981931,-4.90129173417565 36.5046358106693,-4.90200698158796 36.5095094863988,-4.9015306910225 36.514402159721,-4.89988094557495 36.5191258005202,-4.89712095048514 36.5234988412194,-4.89335663370926 36.5273531604982,-4.88873259610611 36.5305405544207,-4.88342656366002 36.5329384447225,-4.87764255352449 36.5344546029234,-4.87160301711576 36.5350307066572,-4.86554026472681 36.5346445897085,-4.85968750528699 36.533311097949,-4.85426985060129 36.5310815176534,-4.84949563491931 36.5280415983432,-4.84554838792606 36.5243082470994,-4.84257977280492 36.5200250229693,-4.84070376211904 36.5153566065913,-4.83999227466903 36.5104824596242)))', 'ESMQE', 'Marbella', 'Y'),('SRID=4326;MULTIPOLYGON(((0.167901948906235 38.6877775392482,0.167481426758981 38.6828845961028,0.165851267734657 38.6781499609158,0.163074337383891 38.6737555429758,0.159257510663311 38.6698701468232,0.154547540644251 38.6666429959227,0.149125407591926 38.6641980117988,0.143199367271332 38.6626290664022,0.136996965116661 38.6619963879407,0.130756320517617 38.6623242562867,0.124717011802102 38.6636000750197,0.11911090677618 38.6657748549909,0.114153285528975 38.6687650909044,0.110034591588155 38.6724559597091,0.106913124738224 38.6767057195061,0.104908954559518 38.6813511419938,0.104099289037204 38.686213771907,0.104515478813386 38.6911067749305,0.106141776553802 38.6958421124594,0.108915904553013 38.7002377682803,0.112731414487124 38.7041247493964,0.117441753754036 38.7073535910469,0.122865885874399 38.709800114306,0.128795250743512 38.7113702129035,0.135001796794697 38.712003483067,0.14124677376714 38.7116755548427,0.147289943767854 38.7103990337672,0.152898851144831 38.7082230159145,0.157857789176505 38.7052311950371,0.161976113867148 38.7015386354824,0.165095581647749 38.6972873365508,0.167096427278436 38.6926407608629,0.167901948906235 38.6877775392482)))', 'ESMRA', 'Moraira', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.01804015951008 42.7770103847355,-9.01869122068848 42.7721296802867,-9.02062202256605 42.767436303636,-9.02375811319782 42.7631105573079,-9.02797880575873 42.7593185855103,-9.03312184204889 42.7562060032844,-9.03898963693886 42.753892317073,-9.04535686244886 42.7524663486189,-9.05197908139592 42.7519828355541,-9.05860210271413 42.7524603372045,-9.06497170473381 42.7538805246759,-9.07084335960173 42.7561888820012,-9.07599159198593 42.7592967918931,-9.08021861823614 42.7630849273473,-9.08336193791541 42.7674078208665,-9.08530058737759 42.7720994382049,-9.08595981376037 42.7769795449423,-9.08531398593512 42.7818606233603,-9.08338762475012 42.7865550752534,-9.08025450609543 42.7908824344015,-9.07603486433928 42.7946763110596,-9.07089079770538 42.7977908001888,-9.06502004818299 42.8001061050375,-9.05864839356762 42.8015331574399,-9.05202094533366 42.8020170547425,-9.0453926906592 42.8015391791225,-9.03901864794564 42.8001179164079,-9.03314402110191 42.7978079462617,-9.02799473791604 42.794698131509,-9.02376874201267 42.7909080891518,-9.02062837696711 42.7865835769962,-9.01869415660904 42.7818908757103,-9.01804015951008 42.7770103847355)))', 'ESMRS', 'Muros', 'Y'),('SRID=4326;MULTIPOLYGON(((2.34727081730337 41.4781936168318,2.34668054557568 41.473308596453,2.3448346405864 41.4686040242212,2.34180427938946 41.4642606386248,2.33770608058078 41.4604452678521,2.33269759790305 41.4573044317262,2.32697125614219 41.4549587266557,2.32074696376127 41.4534982070112,2.31426368502128 41.4529789380174,2.30777029195612 41.4534208505694,2.30151604240815 41.4548069789909,2.29574104367433 41.4570841104711,2.29066706179941 41.4601648216053,2.28648902417516 41.4639308250471,2.28336753820211 41.4682374996268,2.28142271204128 41.4729194322099,2.28072951599121 41.4777967607343,2.28131486621269 41.4826820767519,2.28315654820881 41.48738762366,2.28618402783781 41.4917325145846,2.29028112519655 41.495549692165,2.29529045422873 41.4986923615082,2.30101946129923 41.5010396471147,2.30724783217603 41.5025012539916,2.31373598168389 41.5030209513926,2.32023429625808 41.5025787432015,2.32649276880046 41.501191640103,2.33227064910121 41.4989130032939,2.33734573242336 41.4958304853516,2.34152292369034 41.4920626486927,2.34464174435248 41.4877543935778,2.34658249201846 41.4830713737631,2.34727081730337 41.4781936168318)))', 'ESMSN', 'El Masnou', 'Y'),('SRID=4326;MULTIPOLYGON(((2.31326444766212 41.4662034041735,2.31267682775469 41.4613182194531,2.31083371642387 41.4566131131843,2.30780618341715 41.4522688445635,2.30371073884656 41.4484522758588,2.2987048309315 41.4453099730138,2.29298078590174 41.4429625888128,2.28675842435928 41.4415002420891,2.2802766367148 41.4409790681502,2.27378423794729 41.4414190709204,2.26753044779478 41.4428033579195,2.26175535584859 41.4450787869165,2.25668073153482 41.4481579997863,2.25250152661396 41.4519227666752,2.24937839295483 41.4562285139224,2.24743150163655 41.4609098640954,2.24673590196896 41.4657869776446,2.24731860223433 41.4706724545601,2.24915748966526 41.4753785322518,2.25218213756443 41.4797243036335,2.25627647505154 41.4835426776552,2.26128322245117 41.4866868135304,2.26700992573026 41.4890357794125,2.27323635959272 41.4904992156714,2.27972301365384 41.4910208211275,2.28622033206622 41.490580526162,2.2924783461199 41.4891952677392,2.2982563231726 41.4869183359807,2.30333205456716 41.4838373177935,2.30751042000063 41.4800707178747,2.31063089540917 41.4757633889471,2.31257371440846 41.4710809492397,2.31326444766212 41.4662034041735)))', 'ESMTG', 'Montgat', 'Y'),('SRID=4326;MULTIPOLYGON(((2.4782987533547 41.5311558830478,2.47769818799835 41.5262715182196,2.47584131547955 41.5215690260393,2.47279973420439 41.5172290643342,2.46869049322339 41.5134183291323,2.46367156940509 41.5102831617652,2.45793578725767 41.5079439407308,2.4517034164335 41.5064904714536,2.44521373021272 41.5059785487086,2.43871584581997 41.5064278217555,2.43245919319622 41.5078210428172,2.42668397210722 41.5101047272428,2.42161195786521 41.5131912003839,2.41743800346241 41.5169619538137,2.41432256090739 41.5212721838878,2.41238550771694 41.5259563406055,2.41170151691312 41.5308344759412,2.41229715195366 41.5357191497645,2.41414980360613 41.5404226293918,2.4171885160528 41.5447641066663,2.42129667699653 41.5485766548284,2.42631647399523 41.5517136565399,2.43205494960755 41.5540544540403,2.43829142412576 41.5555090019025,2.4447859995193 41.5560213411464,2.45128881423067 41.5555717591043,2.457549687722 41.5541775505947,2.46332777763843 41.551892350599,2.46840087191498 41.5488040644973,2.47257395313456 41.5450314767235,2.47568670222343 41.5407196701841,2.4776196517209 41.5360344348822,2.4782987533547 41.5311558830478)))', 'ESMTO', 'Mataró', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.3457476267536 43.3088092030419,-2.34645805558905 43.3039331390424,-2.34845715881642 43.2992519550529,-2.35166785718054 43.294945480677,-2.35596659864413 43.291179115656,-2.36118813170589 43.288097488214,-2.36713186395061 43.2858189139687,-2.37356956028183 43.2844308657817,-2.38025408659903 43.2839866261155,-2.38692886705245 43.2845032484422,-2.39333769750216 43.285960904681,-2.39923454512007 43.2883036433212,-2.4043929645414 43.2914415296782,-2.40861477458794 43.2952540875376,-2.41173766599301 43.2995949121214,-2.41364144904196 43.304297279659,-2.41425269951303 43.3091805405261,-2.41354762028137 43.3140570523928,-2.4115530025587 43.3187393883402,-2.40834524272302 43.3230475433894,-2.40404744544697 43.3268158619322,-2.39882471848716 43.3298994183385,-2.39287783601823 43.3321796033232,-2.3864355127295 43.3335686988041,-2.37974558713412 43.3340132628774,-2.37306545707372 43.3334961926831,-2.3666521411181 43.3320373844855,-2.36075235497321 43.3296929651712,-2.35559299136763 43.3265531252921,-2.35137237522233 43.3227386384687,-2.34825263404267 43.3183962031464,-2.34635347794977 43.3136927883158,-2.3457476267536 43.3088092030419)))', 'ESMTU', 'Motrico', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.66563714587309 43.5678069337684,-5.66608228574106 43.5629168953285,-5.66783063038108 43.5581839507993,-5.67081471291944 43.5537899346433,-5.67491965594021 43.5499036210888,-5.6799876166342 43.5466742512318,-5.68582386654785 43.5442258141757,-5.69220427019937 43.5426522994901,-5.69888387589573 43.5420141008124,-5.7056062920491 43.5423357064407,-5.71211349428751 43.5436047639303,-5.71815569343172 43.5457725537805,-5.72350089235574 43.5487558541616,-5.72794377089677 43.5524401261597,-5.7313135620256 43.5566838990883,-5.7334806187693 43.561324189819,-5.73436141887375 43.5661827504998,-5.73392181150202 43.5710729069422,-5.73217837559686 43.5758067266526,-5.72919783072204 43.5802022419303,-5.7250945157161 43.5840904503195,-5.72002602553708 43.5873218222529,-5.71418716924708 43.5897720638291,-5.70780247912464 43.5913469107564,-5.7011175594393 43.5919857665756,-5.6943896107862 43.5916640429445,-5.68787749981101 43.5903941102728,-5.68183176300404 43.5882248213,-5.67648493606822 43.5852396260837,-5.67204258701572 43.5815533520094,-5.66867540226516 43.5773077745616,-5.66651263199159 43.5726661515901,-5.66563714587309 43.5678069337684)))', 'ESMUS', 'Musel', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.2245592374637 37.563531231257,-1.22527921278848 37.558657662589,-1.22717950342144 37.5539895231761,-1.2301868974652 37.549706148289,-1.23418570652634 37.5459720642774,-1.23902222913483 37.5429306782999,-1.24451066183478 37.5406987811957,-1.25044023013201 37.5393620726359,-1.25658326669677 37.5389718784946,-1.2627039296871 37.5395431849621,-1.26856723082599 37.5410540639591,-1.27394803162349 37.543446511735,-1.27863966721563 37.54662866904,-1.28246187067658 37.5504783388967,-1.28526769597136 37.5548476686501,-1.28694917421759 37.5595688184779,-1.28744148450858 37.5644604005559,-1.28672547574412 37.5693344430759,-1.28482843788458 37.5740036125048,-1.28182308762218 37.5782884167614,-1.27782480220296 37.5820241118876,-1.27298720337673 37.5850670454474,-1.26749625844337 37.5873001909959,-1.26156312436171 37.5886376587977,-1.25541601132006 37.5890280073907,-1.24929138176751 37.588456227071,-1.24342482785459 37.5869443180573,-1.23804198327678 37.5845504409114,-1.23334982404481 37.5813666724916,-1.22952869680351 37.577515455053,-1.22672538374273 37.5731448768559,-1.22504747127988 37.5684229677867,-1.2245592374637 37.563531231257)))', 'ESMZO', 'Mazarron', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.79268864122051 43.4405432105349,-4.79320383920626 43.4356552323629,-4.79501754737463 43.4309343986815,-4.79805979383751 43.4265620744169,-4.8022134753451 43.4227061975114,-4.8073188865454 43.4195148385693,-4.81317986972075 43.417110527103,-4.81957134682037 43.415585559908,-4.82624794529839 43.4149984692681,-4.83295338989163 43.4153717844253,-4.83943030514517 43.4166911707023,-4.84543005895138 43.418905978615,-4.85072227598291 43.4219311821412,-4.85510366169776 43.4256506328903,-4.85840580225288 43.4299215071379,-4.86050164250828 43.434579777326,-4.86131039229649 43.4394465003638,-4.86080066885001 43.4443346833864,-4.85899174891166 43.4490564647935,-4.85595287540531 43.4534303353762,-4.85180063807849 43.4572881217795,-4.84669452241912 43.4604814626956,-4.84083079339161 43.4628875268743,-4.83443494707747 43.4644137506855,-4.82775302119607 43.4650014105368,-4.82104210206017 43.4646278905287,-4.81456039857488 43.4633075565253,-4.8085572718131 43.4610912022935,-4.80326361060389 43.458064089269,-4.79888292935153 43.4543426565462,-4.7955835346503 43.4500700295869,-4.79349206360845 43.4454105027835,-4.79268864122051 43.4405432105349)))', 'ESNEM', 'Niembro', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.85303697500673 42.7829614514504,-8.85370105524144 42.7780817080339,-8.85564449369302 42.7733911350665,-8.85879235377319 42.7690699265312,-8.86302349787959 42.7652840517084,-8.86817526799327 42.7621788911308,-8.87404974521081 42.7598736661943,-8.88042134636736 42.7584568739861,-8.88704546724554 42.7579829002729,-8.89366784414489 42.7584699387104,-8.9000342798832 42.759899294841,-8.90590036731767 42.7622161011492,-8.9110408435579 42.7653314162014,-8.91525822119162 42.7691256286241,-8.9183903687096 42.7734530372244,-8.92031675018868 42.7781474337391,-8.92096308309387 42.7830284761732,-8.92030423132536 42.7879086099278,-8.9183652165088 42.7926002721685,-8.91522030177438 42.7969231030805,-8.91099017632202 42.8007108863913,-8.90583734308912 42.8038179510185,-8.89995988282871 42.8061247856916,-8.89358383284661 42.8075426482556,-8.88695447465383 42.8080169899915,-8.88032686928518 42.8075295612156,-8.87395600991061 42.8060991158108,-8.86808697713168 42.8037806871251,-8.86294548224053 42.8006634635845,-8.85872916772911 42.7968673471126,-8.85560000325526 42.7925383287765,-8.85367807060043 42.7878428619069,-8.85303697500673 42.7829614514504)))', 'ESNOA', 'Noia', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.25370539601652 43.39538115437,-4.25426372666578 43.3904950283265,-4.25611825141391 43.3857822003103,-4.25919743368866 43.3814237250201,-4.26338275632742 43.377587006486,-4.26851330433357 43.3744193784927,-4.27439196014013 43.3720424592276,-4.28079297159549 43.3705474945791,-4.28747060294047 43.3699918664602,-4.29416854006076 43.3703968980896,-4.30062969437816 43.3717470389945,-4.30660603561254 43.373990460383,-4.31186808267227 43.3770410383403,-4.31621369412874 43.3807816499304,-4.3194758247738 43.3850686575934,-4.32152895196323 43.3897374120172,-4.32229392376421 43.394608564598,-4.32174103891586 43.3994949491799,-4.31989123445282 43.4042087702194,-4.31681532832708 43.4085688218391,-4.31263133893702 43.4124074600272,-4.30749997830355 43.4155770587492,-4.30161848770807 43.4179556997922,-4.29521305087275 43.4194518751423,-4.288530077281 43.4200080185681,-4.28182669435643 43.4196027284,-4.27536081975233 43.418251594471,-4.26938120237002 43.416006596752,-4.26411782206473 43.4129540991403,-4.25977302323894 43.4092115168218,-4.25651372738441 43.4049227873817,-4.25446502557386 43.4002528222573,-4.25370539601652 43.39538115437)))', 'ESOLL', 'Comillas', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.38673837086876 43.3248214268659,-2.38744572633658 43.3199451031104,-2.38944223086333 43.3152631999286,-2.39265090457613 43.3109555747206,-2.39694827270262 43.307187671528,-2.40216913600217 43.3041041776657,-2.40811292738596 43.3018234803645,-2.41455140923892 43.3004331338868,-2.42123741723104 43.2999865087836,-2.42791431874021 43.3005007499537,-2.43432582846757 43.3019561206051,-2.44022581110496 43.3042967569021,-2.4453877013513 43.307432804877,-2.4496131851628 43.3112438589835,-2.45273981250535 43.3155835723438,-2.45464725034172 43.320285264078,-2.45526193404246 43.3251683107661,-2.45455993437887 43.3300450785537,-2.45256792386446 43.3347281309051,-2.44936219819975 43.3390374354697,-2.44506578334316 43.3428072925392,-2.43984373340793 43.3458927173389,-2.4338967961367 43.34817502867,-2.42745368807712 43.3495664265486,-2.42076227785754 43.3500133803573,-2.41408002054095 43.3494986951546,-2.40766401680002 43.3480421753328,-2.40176108611601 43.3456998596784,-2.39659824260305 43.3425618578262,-2.39237394543043 43.3387488727828,-2.38925046397655 43.3344075453934,-2.38734765234533 43.3297048022591,-2.38673837086876 43.3248214268659)))', 'ESOND', 'Ondarroa', 'Y'),('SRID=4326;MULTIPOLYGON(((3.31569653630126 42.2899121908083,3.31502474815325 42.285033028815,3.31308413599533 42.2803449041846,3.3099495205082 42.2760279170791,3.30574152458961 42.2722478756071,3.3006219134052 42.2691499378117,3.2947873696651 42.2668530495756,3.28846194455757 42.2654453897239,3.28188847301015 42.2649809949227,3.27531927931799 42.2654776920229,3.26900652460646 42.2669164159553,3.26319256037833 42.2692419389418,3.25810065219002 42.2723649835209,3.25392642431059 42.2761656395977,3.25083035039336 42.2804979562996,3.24893157744571 42.2851955346329,3.2483033217995 42.2900779084723,3.24897001783022 42.2949574707421,3.25090633470177 42.2996466800008,3.25403810565161 42.3039652709618,3.25824514083726 42.3077471913443,3.26336582135664 42.3108469970581,3.2692033017037 42.3131454578469,3.27553308361862 42.3145541554784,3.28211166888917 42.3150188952937,3.28868595470156 42.3145217979167,3.29500300470063 42.3130819893552,3.30081981346478 42.3107548625124,3.30591268238303 42.3076299390225,3.31008584092455 42.3038274150276,3.31317897823366 42.2994935257738,3.31507339437519 42.2947949096616,3.31569653630126 42.2899121908083)))', 'ESOOP', 'Cadaques', 'Y'),('SRID=4326;MULTIPOLYGON(((0.165543892143405 40.0838015234517,0.165120992312526 40.0789093059836,0.163463891001314 40.0741744544589,0.160636504743704 40.0697788840381,0.156747658652024 40.065891439683,0.15194687848849 40.0626614188646,0.146418632431654 40.0602128485709,0.1403752456319 40.0586397343535,0.134048759287627 40.0580024616654,0.127682044259068 40.0583254856744,0.121519506039743 40.0595963967606,0.115797732472455 40.0617663968055,0.110736437537009 40.0647521680626,0.106530043815362 40.0684390637556,0.103340223170492 40.0726854994971,0.101289680425171 40.0773283789467,0.100457419420338 40.0821893475364,0.100875676160063 40.0870816360621,0.102528641564115 40.0918172327469,0.105353028752617 40.096214108987,0.109240469194446 40.1001032210214,0.114041651125322 40.1033350174901,0.119572045201819 40.1057852010785,0.125618999257348 40.1073595206254,0.131949929011033 40.1079974071772,0.138321287133354 40.1076743121105,0.144487961261286 40.1064026558635,0.150212733897125 40.1042313499986,0.155275434480181 40.1012439110618,0.159481426431882 40.0975552397186,0.162669099055642 40.093307190683,0.164716074545747 40.0886631059046,0.165543892143405 40.0838015234517)))', 'ESOPM', 'Oropesa del Mar', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.09176706931616 43.2777332990259,-2.09249735958291 43.2728589620141,-2.09451480738294 43.2681823538991,-2.09774163060458 43.2638831273068,-2.10205366031124 43.2601264027678,-2.10728513734495 43.2570564378963,-2.11323508992905 43.2547911005628,-2.11967504605723 43.2534173558844,-2.1263577859513 43.2529879379502,-2.13302680243174 43.253519332106,-2.13942611173507 43.2549911440023,-2.14531004481842 43.2573468792644,-2.15045264985072 43.2604961044392,-2.15465635038952 43.2643179077024,-2.15775953032257 43.2686655285439,-2.15964275529423 43.2733719810756,-2.16023338994472 43.2782564573867,-2.15950842937816 43.2831312669722,-2.15749542996219 43.2878090469239,-2.15427149658257 43.2921099662145,-2.14996035822334 43.2958686466157,-2.14472763834217 43.298940532751,-2.1387744979273 43.3012074642549,-2.13232989430312 43.3025822333121,-2.1256417547873 43.3030119498809,-2.11896740860354 43.302480083151,-2.11256365091499 43.3010070994172,-2.10667682799112 43.2986496714559,-2.1015333316147 43.2954984904185,-2.09733087392651 43.2916747658919,-2.09423088182539 43.287325550881,-2.09235230434821 43.2826180739712,-2.09176706931616 43.2777332990259)))', 'ESORI', 'Orio', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.92302650999955 42.8019822034324,-8.9236852988113 42.7971020660024,-8.92562405294863 42.7924103171829,-8.9287680151479 42.7880871964357,-8.9329961967716 42.7842987466865,-8.93814605280734 42.7811904474252,-8.94401973718479 42.7788816405143,-8.95039169670969 42.777460960409,-8.95701731319651 42.7769829419115,-8.96364226560444 42.7774659337088,-8.97001225822168 42.7788913964755,-8.97588274790544 42.7812046120239,-8.98102830341663 42.7843167767508,-8.98525124298963 42.7881084003429,-8.98838922209828 42.7924338812454,-8.99032148121468 42.7971270855601,-8.99097351212806 42.8020077174821,-8.99031995963389 42.806888238596,-8.98838564126419 42.8115810715604,-8.98524463897747 42.8159058118625,-8.98101749079112 42.8196961700143,-8.97586658438538 42.8228063759887,-8.96998992573923 42.8251167976437,-8.96361352085208 42.8265385546935,-8.95698266467586 42.8270169483809,-8.95035247594727 42.8265335728993,-8.94397804756112 42.825107025987,-8.93810459796611 42.8227921908828,-8.93295800902066 42.819678117753,-8.92873611982076 42.815884587448,-8.92560111498209 42.8115574918023,-8.92367330122664 42.8068632105439,-8.92302650999955 42.8019822034324)))', 'ESOUT', 'Sierra de Outes', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.18863000984859 43.5851593178808,-6.18951733298838 43.5803015415082,-6.1916909890478 43.5756629050378,-6.19506720249672 43.5714215923544,-6.1995160802073 43.5677404917594,-6.20486662547685 43.5647609519392,-6.21091331364421 43.5625973673418,-6.21742397597322 43.5613327984091,-6.22414869102088 43.5610157925011,-6.23082934647346 43.5616585257309,-6.23720951044177 43.563236335988,-6.24304424011437 43.5656886649533,-6.24810945778262 43.5689213737751,-6.25221053953592 43.5728103451611,-6.25518978999241 43.5772062358269,-6.25693251652813 43.5819401992906,-6.25737146746182 43.5868303615807,-6.25648945901025 43.5916888029754,-6.25432008361258 43.5963287786319,-6.25094646510712 43.6005719007863,-6.2464981015647 43.604255005662,-6.24114591140981 43.6072364394389,-6.23509566972181 43.6094015193313,-6.22858008622802 43.6106669572519,-6.22184983157458 43.6109840735451,-6.21516386143075 43.6103406752924,-6.20877941679993 43.6087615258484,-6.2029420921858 43.6063073874113,-6.19787636035289 43.6030726743086,-6.19377692348797 43.5991818089664,-6.19080122655289 43.5947844230066,-6.18906342118001 43.5900495905558,-6.18863000984859 43.5851593178808)))', 'ESOVN', 'Oviñana', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.4234272894212 29.2236662552918,-13.4240511695517 29.2187830222815,-13.425748930675 29.2141003655024,-13.4284552065509 29.2097981934993,-13.4320659198475 29.2060417767638,-13.4364422934004 29.2029754055515,-13.4414161862656 29.2007168550356,-13.4467965490756 29.1993528689556,-13.4523767515727 29.1989358338583,-13.4579425029154 29.1994817705627,-13.463280063476 29.2009697193369,-13.4681844360832 29.2033425422846,-13.4724672253596 29.2065091125749,-13.475963865943 29.2103478073733,-13.4785399435978 29.214711171608,-13.4800963667716 29.2194315748812,-13.4805731889422 29.2243276456058,-13.4799519327028 29.2292112362992,-13.4782563231804 29.2338946530826,-13.4755513990536 29.2381978717075,-13.4719410318625 29.2419554623437,-13.4675639460799 29.2450229560199,-13.4625883910801 29.247282406678,-13.4572056692754 29.2486469335397,-13.4516227700593 29.2490640677292,-13.4460543948244 29.2485177733414,-13.4407146826626 29.2470290645626,-13.4358089583068 29.2446551949927,-13.431525822926 29.2414874508016,-13.4280298945733 29.2376476335395,-13.4254554790535 29.233283369163,-13.4239014148738 29.2285624251085,-13.4234272894212 29.2236662552918)))', 'ESOZL', 'Orzola', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.4137081905801 28.1782950767134,-16.4141874739254 28.1733986412218,-16.4157354558091 28.1686791340615,-16.4182925213043 28.1643178934677,-16.4217603147702 28.1604824702489,-16.4260055331158 28.1573201964005,-16.4308650542667 28.1549525325205,-16.436152202896 28.1534704098403,-16.4416639130879 28.1529307444064,-16.4471885143772 28.1533542560653,-16.4525138446324 28.1547246751258,-16.4574353812661 28.156989366744,-16.4617640816389 28.1600613491633,-16.4653336342813 28.1638226289287,-16.4680068443365 28.1681287260276,-16.4696809087281 28.1728142164662,-16.4702913779111 28.1776990807568,-16.4698146502831 28.1825956156655,-16.4682689007257 28.1873156445725,-16.4657134043143 28.1916777498114,-16.462246277811 28.1955142489394,-16.4580007227676 28.1986776461637,-16.4531399125172 28.2010463098626,-16.4478507186406 28.202529156591,-16.4423365184239 28.2030691600729,-16.4368093614162 28.2026455489968,-16.4314817988342 28.2012746081892,-16.426558693117 28.1990090519256,-16.4222293257825 28.1959359935969,-16.418660109839 28.1921735904557,-16.4159881888838 28.1878664935383,-16.4143161697392 28.1831802790516,-16.4137081905801 28.1782950767134)))', 'ESPAB', 'Poris de Abona', 'Y'),('SRID=4326;MULTIPOLYGON(((3.16046290713985 41.8459581256954,3.15980778055963 41.8410776458071,3.15789215727711 41.8363864870303,3.15478989318029 41.8320648677986,3.15062036573921 41.8282787761199,3.1455438622477 41.8251736043624,3.1397554118235 41.8228685778789,3.1334772994294 41.8214521891458,3.12695054823164 41.820978810471,3.12042569387476 41.8214666134098,3.11415319965034 41.8228968734956,3.10837387436404 41.8252146865432,3.10330965461415 41.8283310694925,3.0991551001868 41.8321263664317,3.09606992569917 41.8364548309611,3.09417285419245 41.8411502112172,3.09353703017026 41.8460321253459,3.09418717205767 41.8509129844762,3.096098579065 41.855605198524,3.09919803719371 41.8599283884002,3.10336659615721 41.863716326981,3.10844411610422 41.8668233407238,3.11423541317149 41.8691299238505,3.12051776902087 41.8705473468996,3.12704951445828 41.8710210800977,3.13357935351083 41.8705328979166,3.13985606401158 41.8691015825592,3.14563819526479 41.8667821988661,3.1507033834894 41.8636639690145,3.1548569214584 41.8598668300903,3.1579392493018 41.8555368089184,3.15983207735444 41.8508403943472,3.16046290713985 41.8459581256954)))', 'ESPAL', 'Palamós', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-16.694659103368 28.3783554155353,-16.695125905132 28.3734586177948,-16.6966637746682 28.3687364455524,-16.699213483402 28.3643703403209,-16.7026769560104 28.3605280402033,-16.7069210532777 28.3573571412562,-16.7117826945954 28.3549794347897,-16.7170751223446 28.3534862368036,-16.722595067846 28.352934887559,-16.7281305451747 28.3533465544745,-16.7334689760109 28.3547054218061,-16.7384053365752 28.3569592977754,-16.7427500169502 28.3600216159146,-16.7463360937377 28.3637747543743,-16.7490257386873 28.3680745467516,-16.7507155179586 28.3727558125019,-16.751340377986 28.3776386958931,-16.7508761631189 28.3825355712479,-16.749340565608 28.3872582501045,-16.7467924681325 28.3916252138229,-16.7433297007162 28.395468593603,-16.7390852952152 28.3986406290198,-16.7342223791637 28.4010193557457,-16.7289279042472 28.4025133024557,-16.7234054508076 28.4030650149021,-16.717867386581 28.4026532703722,-16.712526683719 28.401293896426,-16.7075887118966 28.3990391619696,-16.7032433263306 28.3959757641675,-16.6996575577778 28.3922214892383,-16.6969691875625 28.3879206766019,-16.6952814554582 28.3832386621282,-16.694659103368 28.3783554155353)))', 'ESPAM', 'Playa San Marcos', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.89074279062234 43.3246728632144,-1.89148975237711 43.3198000295765,-1.89352415773196 43.3151271886354,-1.896767573664 43.310833847195,-1.9010951951846 43.3070848988514,-1.90634066614285 43.3040243020097,-1.91230247943672 43.3017695646117,-1.91875170960166 43.3004072449459,-1.9254407823387 43.2999896389281,-1.9321129482245 43.3005327790901,-1.9385121026673 43.3020158208603,-1.94439258182417 43.3043818393575,-1.94952856500621 43.3075400067224,-1.95372272805691 43.3113690678637,-1.95681381893077 43.3157219832778,-1.95868286550173 43.3204315630898,-1.95925777539624 43.3253168783262,-1.95851614688149 43.3301902051306,-1.95648617665871 43.3348642364052,-1.95324562254238 43.3391592841286,-1.94891885383528 43.3429101949389,-1.9436720968545 43.3459727116633,-1.93770705448663 43.3482290340751,-1.93125314379325 43.3495923625817,-1.92455865164168 43.3500102476802,-1.91788115251272 43.3494666143513,-1.91147756293673 43.3479823822469,-1.90559422196571 43.3456146574658,-1.90045738597349 43.3424545276339,-1.89626450894847 43.3386235466103,-1.89317664714972 43.3342690461833,-1.89131228110565 43.3295584575313,-1.89074279062234 43.3246728632144)))', 'ESPAS', 'Pasajes', 'Y'),('SRID=4326;MULTIPOLYGON(((3.19976957198841 42.425946124856,3.19910525558541 42.4210663830994,3.19716902030702 42.4163763983564,3.19403552106158 42.4120563425254,3.18982534006177 42.408272141572,3.18470032810297 42.4051691129979,3.17885737629756 42.402866397678,3.17252085887062 42.4014523975677,3.16593403601953 42.400981392148,3.15934974335184 42.4014714615658,3.15302071996744 42.4029037949083,3.14718994013932 42.4052234097297,3.14208131342562 42.4083412556868,3.13789110491625 42.4121376228512,3.13478040153124 42.4164667258135,3.13286891255435 42.4211622898837,3.13223034398506 42.4260439271823,3.132889528289 42.4309240596861,3.13482142557551 42.4356151245833,3.13795204135592 42.4399367855321,3.14216123239924 42.4437228722024,3.14728729862267 42.4468277800094,3.15313318841221 42.4491320819817,3.15947408026161 42.4505471346105,3.16606604800705 42.4510184981781,3.17265547277679 42.4505280380128,3.17898883415428 42.4490946245152,3.18482249744615 42.4467734045753,3.18993211411332 42.443653672901,3.19412126835509 42.4398554265041,3.19722903375475 42.4355247368902,3.19913614831045 42.4308281203022,3.19976957198841 42.425946124856)))', 'ESPBO', 'Port Bou', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.7077381720117 28.0793546778492,-16.708203828853 28.0744577130983,-16.7097375610673 28.0697354074555,-16.7122803009516 28.0653692080413,-16.7157342422526 28.0615268572697,-16.7199666124909 28.0583559539406,-16.724814781299 28.0559782903135,-16.7300925075654 28.0544851813878,-16.7355970857238 28.0539339644149,-16.7411171182097 28.0543458018475,-16.7464406180349 28.0557048711924,-16.7513631333337 28.0579589724277,-16.7556955849914 28.0610215297381,-16.759271519095 28.0647749112864,-16.7619534975901 28.0690749405469,-16.7636383824845 28.073756427225,-16.7642613101569 28.0786395066847,-16.7637982014158 28.0835365455956,-16.7622667082124 28.0882593494064,-16.7597255573807 28.0926263951553,-16.7562723132553 28.0964698115814,-16.7520396421764 28.0996418376486,-16.7471902203117 28.1020205101708,-16.7419104795391 28.1035143605534,-16.7364034321153 28.1040659386647,-16.7308808515283 28.1036540270719,-16.7255551126916 28.1022944595587,-16.7206310083404 28.1000395119884,-16.7162978595082 28.0969758890233,-16.7127222262462 28.093221384737,-16.7100415008081 28.0889203465816,-16.7083586304196 28.084238118447,-16.7077381720117 28.0793546778492)))', 'ESPCL', 'Puerto Colón', 'Y'),('SRID=4326;MULTIPOLYGON(((3.36732811735372 39.5399023337706,3.36668124854495 39.5350210439916,3.3648171484792 39.5303312368115,3.36180766567098 39.5260130824767,3.35776859290824 39.5222324422137,3.35285519615591 39.5191345069176,3.34725624073543 39.5168382322978,3.34118674539915 39.5154317820951,3.33487974149331 39.5149691522691,3.32857735052149 39.515468104028,3.322521518012 39.5169094839155,3.31694475395092 39.5192379566825,3.31206122982047 39.5223641232633,3.30805856948215 39.5261679437517,3.3050906461249 39.5305033357398,3.30327166097471 39.5352037735397,3.30267173251662 39.5400886753383,3.30331416907022 39.5449703347084,3.30517453450683 39.5496611313505,3.30818154887517 39.5539807443818,3.31221979518512 39.5577630905024,3.3171341332922 39.5608627191161,3.32273565456274 39.5631604167211,3.32880894961718 39.5645678029398,3.33512040863643 39.5650307393127,3.34142723186575 39.5645314179624,3.3474867990053 39.5630890486122,3.35306603150523 39.5607591171481,3.3579503820861 39.5576312447094,3.36195210106735 39.5538257309037,3.3649174585736 39.5494889159311,3.36673264400666 39.5447875421157,3.36732811735372 39.5399023337706)))', 'ESPCR', 'Porto Cristo', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.61322507020745 42.4368910145903,-8.61390400470448 42.4320124226642,-8.61585449708546 42.4273256604193,-8.61900134559691 42.4230107750113,-8.62322345668809 42.4192334930901,-8.62835852312922 42.4161388660231,-8.63420926950854 42.4138457119952,-8.64055102388777 42.4124420660902,-8.64714032610586 42.4119818107494,-8.65372424582992 42.4124826140373,-8.66005005802905 42.413925253595,-8.66587491079277 42.4162543518186,-8.67097512067463 42.4193804945433,-8.67515474400857 42.4231836532425,-8.67825309856686 42.4275177813386,-8.68015094779212 42.432216410466,-8.68077510855773 42.4370990340907,-8.68010130152124 42.4419780352475,-8.6781551287767 42.4466658935495,-8.67501113445235 42.4509823949763,-8.67078997757455 42.454761566854,-8.66565382010207 42.4578580700866,-8.65980010354566 42.4601528008599,-8.65345395202588 42.4615574840445,-8.64685949512887 42.4620180792827,-8.6402704479413 42.4615168667638,-8.63394031610455 42.4600731311482,-8.62811260915503 42.4577424169049,-8.62301144506283 42.4546143842234,-8.61883291276321 42.450809349359,-8.61573752838319 42.4464736445185,-8.61384407629716 42.4417739781121,-8.61322507020745 42.4368910145903)))', 'ESPEV', 'Pontevedra', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.3446764784327 28.2952818817433,-16.3451592106594 28.2903856412566,-16.3467117256781 28.2856668288535,-16.3492742338489 28.2813067556201,-16.352748170229 28.2774729270539,-16.3569999959023 28.2743126134872,-16.3618663354709 28.2719471999305,-16.3671602524309 28.2704675310469,-16.3726784217437 28.269930428674,-16.3782089256843 28.2703565144158,-16.3835393760806 28.2717294200415,-16.3884650540891 28.2739964155993,-16.3927967580641 28.2770704312436,-16.3963680608676 28.2808333957652,-16.3990416997942 28.2851407646627,-16.4007148544357 28.2898270651582,-16.4013231092271 28.2947122465449,-16.4008429467022 28.2996085931492,-16.399292672947 28.3043279352064,-16.3967317363894 28.3086888809957,-16.3932584627081 28.3125237921807,-16.3890062899294 28.3156852336103,-16.3841386462944 28.3180516485671,-16.3788426668393 28.3195320399338,-16.3733219905989 28.3200694758813,-16.3677889169553 28.3196432840218,-16.3624562252951 28.3182698487415,-16.3575289756738 28.3160019806275,-16.3531966090008 28.3129268823643,-16.3496256533038 28.3091627899799,-16.3469533184442 28.3048544196826,-16.3452822262975 28.3001673967044,-16.3446764784327 28.2952818817433)))', 'ESPGU', 'El Puertito de Güimar', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.2946004333947 28.5782739798298,-16.2950862138327 28.5733779963181,-16.2966445795651 28.5686597356102,-16.2992155144655 28.5643004869761,-16.3027001287759 28.5604677234595,-16.3069644730666 28.5573086736646,-16.3118446915296 28.5549446733245,-16.3171533157128 28.5534665122778,-16.3226864573193 28.5529309541754,-16.3282316254082 28.5533585613454,-16.3335758703329 28.554732907459,-16.3385139447815 28.5570012078211,-16.3428561717037 28.5600763432074,-16.346435719741 28.5638402001764,-16.3491150086588 28.5681482006422,-16.3507909995153 28.5728348480722,-16.3513991658192 28.5777200786698,-16.3509159913419 28.5826161748013,-16.3493598958527 28.5873349759583,-16.3467905498541 28.5916951105924,-16.3433066012084 28.5955289707744,-16.3390418980033 28.5986891609429,-16.3341603506882 28.6010541717532,-16.3288496300208 28.6025330595317,-16.3233139434687 28.6030689499891,-16.3177661694181 28.6026412301991,-16.3124196542497 28.601266343636,-16.3074799908996 28.5989971572736,-16.3031370983138 28.5959209252216,-16.2995579091919 28.5921559278792,-16.2968799491268 28.5878469169435,-16.2952060547541 28.5831595427821,-16.2946004333947 28.5782739798298)))', 'ESPHD', 'Punta Hidalgo', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.92314728522599 42.5799822951771,-8.92380369776926 42.5751019653802,-8.92573552900938 42.5704100267718,-8.92886829056302 42.5660867265865,-8.93308142611764 42.5622981153614,-8.93821296952982 42.5591896796353,-8.94406577779775 42.5568807673567,-8.95041509808003 42.5554600177437,-8.95701717936107 42.5549819687455,-8.96361860169424 42.555464970388,-8.96996597026664 42.5568904827991,-8.97581560852661 42.5592037854059,-8.98094288464719 42.5623160705452,-8.98515081866345 42.5661078424337,-8.98827764337067 42.5704334929749,-8.99020302979672 42.5751268810368,-8.99085273668703 42.580007703275,-8.99020150150295 42.5848884137923,-8.98827405608061 42.5895814281359,-8.98514422110262 42.5939063353004,-8.98093210733665 42.5976968401009,-8.97579952536736 42.6008071677192,-8.96994377630685 42.6031176821829,-8.96359006070522 42.6045395003558,-8.9569827987259 42.6050179216099,-8.95037619903051 42.6045345392466,-8.94402444463907 42.6031079510995,-8.93817187980471 42.6007930415127,-8.93304358189854 42.5976788627976,-8.92883668644242 42.5938851990174,-8.92571280252903 42.5895579462918,-8.92379181142105 42.5848634896709,-8.92314728522599 42.5799822951771)))', 'ESPMA', 'Palmeira', 'Y'),('SRID=4326;MULTIPOLYGON(((2.6723402571644 39.5660956787807,2.67174187034614 39.5612106761707,2.66992390656324 39.556509872564,2.66695644546608 39.5521738638953,2.66295367090991 39.5483691995521,2.65806946078469 39.5452419943097,2.6524914654966 39.5429123278741,2.64643390386858 39.5414696450322,2.64012935220037 39.5409693309409,2.63381983877906 39.5414305912583,2.62774758117369 39.5428357172885,2.62214571646762 39.5451307638954,2.6172293748217 39.5482276145286,2.61318743441571 39.552007355223,2.61017527123321 39.5563248297686,2.60830878104103 39.5610142032136,2.60765990433959 39.5658953221441,2.6082538294653 39.570780629245,2.61006798621987 39.5754823677425,2.61303287453826 39.5798197993733,2.61703470224765 39.5836261581168,2.62191973560746 39.5867550712409,2.62750019888198 39.58908619903,2.63356149751996 39.5905298742191,2.63987048629556 39.5910305605754,2.6461844614118 39.5905689957669,2.65226052604653 39.5891629348452,2.65786496353045 39.5868664652756,2.6627822520208 39.5837679202418,2.66682336918984 39.5799864716659,2.66983306438487 39.5756675357675,2.67169581756802 39.5709771699759,2.6723402571644 39.5660956787807)))', 'ESPMI', 'Palma de Mallorca', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.79038071558099 42.1439435049239,-8.79104274919591 42.1390635747089,-8.79297101790965 42.1343735077633,-8.79609117653509 42.1300534797012,-8.80028315795457 42.1262694162888,-8.80538581167946 42.1231666307892,-8.81120310506659 42.120864255803,-8.81751164764637 42.119450681131,-8.82406925080544 42.1189801705467,-8.83062419769627 42.1194707854423,-8.83692487279003 42.120903693784,-8.84272938765108 42.1232238904748,-8.84781483963959 42.1263423019448,-8.85198585333925 42.1301391954868,-8.85508208020984 42.1344687643958,-8.85698436956757 42.1391647151494,-8.85761937242151 42.144046644364,-8.85696239747607 42.1489269625347,-8.8550384038983 42.1536180998719,-8.85192108602487 42.1579397178043,-8.84773007849443 42.1617256485225,-8.84262638352921 42.1648302944831,-8.83680619229113 42.1671342398472,-8.83049333642107 42.1685488557379,-8.82393066119201 42.1690197198653,-8.81737065562879 42.1685287170138,-8.81106570539789 42.1670947382796,-8.80525834978606 42.1647729517177,-8.80017192391146 42.1616526729416,-8.79600195145504 42.1578539189388,-8.79290862243658 42.1535227796529,-8.79101064636789 42.1488257876814,-8.79038071558099 42.1439435049239)))', 'ESPNJ', 'Panjón', 'Y'),('SRID=4326;MULTIPOLYGON(((0.437683097126605 40.3587291727069,0.437239892477479 40.3538374840243,0.435557926716994 40.3491059216792,0.432702073773856 40.3447162726276,0.428782252836163 40.3408371525662,0.423949178361794 40.3376175377112,0.418388556416035 40.3351810543574,0.412313952137671 40.3336212434449,0.40595860180147 40.3329979797685,0.399566481203802 40.3333351813279,0.39338296882376 40.3346198952862,0.38764545665467 40.3368027948894,0.382574263373911 40.3398000683778,0.37836419358996 40.3434966283094,0.375177063592056 40.3477505197057,0.373135478999624 40.3523983598305,0.372318103995358 40.3572616029018,0.372756606823548 40.3621533911192,0.374434403706247 40.3668857303134,0.377287255388288 40.3712767152604,0.381205699596503 40.3751575268854,0.386039231468098 40.3783789314474,0.391602075303779 40.3808170301847,0.397680327702476 40.3823780362297,0.404040196996038 40.3830018928391,0.410437019417296 40.3826645917447,0.416624700676566 40.3813791009367,0.422365214106136 40.3791948654374,0.427437784114059 40.3761959003849,0.431647396498128 40.3724975507466,0.434832304604668 40.3682420439673,0.436870241077385 40.3635930087108,0.437683097126605 40.3587291727069)))', 'ESPNL', 'Peñíscola', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99272859112866 43.3390029557014,-2.99338763620939 43.3341228767161,-2.99533807920172 43.3294303901522,-2.99850470616709 43.3251057629844,-3.00276565211357 43.3213150945005,-3.00795711048563 43.3182039474688,-3.01387963732832 43.3158917710478,-3.02030580649304 43.3144673272098,-3.02698892313255 43.3139852938927,-3.03367246464127 43.3144641732668,-3.040099892209 43.3158855840602,-3.04602446297887 43.3181949646341,-3.05121867277941 43.3213036602857,-3.05548297253842 43.3250923160006,-3.05865342743434 43.3294154464205,-3.0606080258955 43.3341070099497,-3.06127139464285 43.3389867753446,-3.06061773462226 43.3438672382986,-3.05867185903036 43.3485608236924,-3.05550828646066 43.3528870972648,-3.05124841690075 43.356679709078,-3.04605589303539 43.3597928005092,-3.04013032103048 43.3621066263829,-3.0336995906327 43.3635321736123,-3.02701109109595 43.3640145962779,-3.02032216452384 43.3635353329349,-3.01389016955434 43.3621128233105,-3.00796254439013 43.3598017963312,-3.00276725820626 43.3566911573501,-2.99850402394381 43.352900557236,-2.99533661421145 43.3485757773642,-2.99338657698201 43.3438831104445,-2.99272859112866 43.3390029557014)))', 'ESPOR', 'Portugalete', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.724459828838639 37.8213945943321,-0.725215727669335 37.8165253760541,-0.727154367494585 37.8118666690491,-0.730201063100406 37.807597443474,-0.734238618244654 37.8038816798442,-0.739111846642509 37.8008620800562,-0.744633539482175 37.7986545975474,-0.750591649584713 37.797343994654,-0.756757417682125 37.7969805958655,-0.762894131957846 37.7975783601401,-0.768766189011928 37.7991143454158,-0.774148113460551 37.8015295857526,-0.778833194783204 37.8047313480816,-0.782641413764703 37.8085966832392,-0.78542635656114 37.8129771367369,-0.787080851303732 37.8177044403724,-0.787541109128182 37.8225969679944,-0.786789207093852 37.8274667089581,-0.784853812789452 37.832126492258,-0.781809117327956 37.8363971838811,-0.777772012447422 37.8401145801195,-0.772897615883634 37.8431357305271,-0.767373314290649 37.8453444455983,-0.761411552006327 37.8466557753506,-0.755241644310486 37.8470192846367,-0.749100933236487 37.8464209976759,-0.743225630661003 37.8448839361047,-0.737841706069184 37.8424672297194,-0.733156174484968 37.8392638347816,-0.729349123671314 37.8353969490048,-0.726566789628748 37.8310152629453,-0.724915947066808 37.8262872324514,-0.724459828838639 37.8213945943321)))', 'ESPPI', 'San Pedro del Pinatar-Lo Pagan', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.1787584161527 28.0324509658947,-17.1792025498479 28.0275534871662,-17.1807148158942 28.0228269888124,-17.1832369702279 28.0184530810729,-17.1866719953992 28.0145998040251,-17.190887842933 28.0114151770188,-17.1957225142888 28.0090215194882,-17.2009902842007 28.0075107600074,-17.2064888275766 28.0069409123839,-17.2120069776591 28.0073338528746,-17.2173328198982 28.0086744829354,-17.2222618136986 28.0109113091605,-17.2266046332624 28.0139584181656,-17.2301944291736 28.0176987711218,-17.2328932338078 28.0219886924008,-17.2345972654109 28.0266633812122,-17.2352409267128 28.0315432359022,-17.2347993428519 28.0364407492287,-17.2332893384958 28.0411677106604,-17.2307688133866 28.0455424394584,-17.2273345369392 28.0493967705464,-17.2231184436424 28.0525825241069,-17.2182825694514 28.0549772091977,-17.2130128227529 28.0564887408082,-17.2075118295867 28.0570589875809,-17.201991129669 28.056666012492,-17.1966630257391 28.055324919353,-17.1917324027145 28.0530872720692,-17.1873888344275 28.0500391090236,-17.1837992842804 28.0462976295134,-17.181101682482 28.0420066806744,-17.1793996276653 28.0373312197337,-17.1787584161527 28.0324509658947)))', 'ESPPS', 'Puerto de Playa de Santiago', 'Y'),('SRID=4326;MULTIPOLYGON(((3.30027697919154 39.4289211589247,3.29963587332921 39.4240393803089,3.29777927695598 39.4193483794224,3.29477874942629 39.4150283729058,3.29074973916215 39.4112452936897,3.28584712582341 39.4081444268471,3.28025926127292 39.4058448410519,3.27420073939651 39.404434827408,3.26790417138818 39.4039685187246,3.26161127922401 39.4044638173013,3.25556364465253 39.4059017096356,3.24999346341715 39.4082269939831,3.245114654249 39.4113503932817,3.24111465942904 39.4151519735195,3.23814724877282 39.4194857380727,3.23632660245504 39.4241852236773,3.23572290124543 39.4290698852029,3.23635959692691 39.433952025741,3.23821247273122 39.4386440069368,3.2412105357266 39.4429654629068,3.24523871269428 39.4467502400544,3.25014225083675 39.4498527948119,3.25573265749867 39.4521538015357,3.26179495178099 39.4535647527981,3.26809594817491 39.4540313730459,3.27439325052225 39.4535357125467,3.28044460566357 39.4520968399023,3.28601725143225 39.4497701061008,3.29089689389451 39.4466450088705,3.29489596390843 39.442841740718,3.29786083245228 39.438506555237,3.29967770636516 39.4338061320145,3.30027697919154 39.4289211589247)))', 'ESPRD', 'Porto Colom', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.9120483811487 42.7619789589854,-8.9127076028775 42.7570988508819,-8.91464593311427 42.7524072546493,-8.91778863146965 42.7480844039197,-8.92201475832188 42.7442963313367,-8.92716184786429 42.7411885020364,-8.93303216034177 42.7388802399852,-8.93940027189925 42.737460158864,-8.94602171178066 42.7369827705944,-8.95264231886696 42.7374663997362,-8.95900796380338 42.7388924825024,-8.96487426994218 42.7412062768451,-8.97001596636781 42.7443189568242,-8.97423551937361 42.7481110121855,-8.97737071457511 42.7524368246169,-8.97930089966808 42.7571302473156,-8.97995164659061 42.7620109759456,-8.97929765006449 42.7668914682828,-8.97736374531827 42.7715841480602,-8.97422399900077 42.7759086166859,-8.96999890131246 42.7796985952063,-8.96485076137846 42.782808328324,-8.95897747886582 42.7851182022333,-8.95260492979025 42.7865393578625,-8.94597826048002 42.7870171197056,-8.93935242818795 42.7865331063296,-8.93298235775971 42.7851059400178,-8.92711309958432 42.7827905277782,-8.92197037399786 42.7796759418612,-8.91775187138673 42.7758819826831,-8.91461964622167 42.7715545583943,-8.91269389864549 42.7668600611885,-8.9120483811487 42.7619789589854)))', 'ESPRT', 'Portosín', 'Y'),('SRID=4326;MULTIPOLYGON(((3.11649958227638 39.9049719053863,3.11586688736611 39.9000894976518,3.11400982599951 39.8953959451751,3.11099998152835 39.8910715625456,3.10695316533895 39.8872824500178,3.10202494432704 39.8841741230632,3.0964046550036 39.8818659351968,3.09030813539165 39.8804465061406,3.083969452794 39.8799703287674,3.07763194193649 39.8804556833171,3.07153889284583 39.8818839377793,3.06592424039499 39.8842002608915,3.061003607393 39.887315720811,3.05696604040945 39.8911106900873,3.05396675256109 39.8954394279985,3.05212115096039 39.9001356664078,3.05150037951142 39.9050189867414,3.05212855169048 39.9099017449434,3.05398178468763 39.9145962795773,3.05698907798544 39.9189221265292,3.06103500859081 39.9227129626151,3.06596414443069 39.9258230099673,3.07158700972035 39.9281326531559,3.07768737426947 39.9295530508991,3.08403058541822 39.9300295628502,3.09037261900936 39.9295438578327,3.09646949647045 39.9281146212127,3.10208670009363 39.9257968337773,3.10700821867722 39.9226796502995,3.11104487083039 39.9188829606258,3.11404158271153 39.9145527673932,3.11588333937607 39.9098555602975,3.11649958227638 39.9049719053863)))', 'ESPSA', 'Pollensa', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.7867131288895 28.1793721505184,-16.7871753501509 28.1744751281059,-16.7887067418189 28.169752096297,-16.7912483252257 28.1653845302985,-16.7947023376954 28.1615402250458,-16.7989360033257 28.1583668542757,-16.8037866415617 28.1559863047471,-16.8090679163302 28.1544900019388,-16.8145769859881 28.1539354053804,-16.8201022809637 28.1543438069727,-16.8254316128508 28.1556995159307,-16.8303603065708 28.1579504611897,-16.8346990464407 28.1610101882122,-16.8382811375842 28.1647611740994,-16.8409689057429 28.1690593347121,-16.8426589904956 28.1737395519909,-16.8432863281046 28.1786220105432,-16.8428266693085 28.1835191013279,-16.8412975326623 28.1882426281298,-16.8387575535273 28.192611040384,-16.8353042503437 28.1964564143203,-16.8310702910309 28.1996309135047,-16.8262184008543 28.2020124793873,-16.8209351064834 28.2035095317586,-16.8154235570278 28.2040644969747,-16.8098956995859 28.2036560270101,-16.8045641126763 28.2022998230588,-16.7996338146848 28.2000480315437,-16.7952943655299 28.1969872358374,-16.7917125680699 28.1932351215362,-16.7890260518523 28.1889359445698,-16.7873379867016 28.1842549777283,-16.7867131288895 28.1793721505184)))', 'ESPSJ', 'Playa San Juan', 'Y'),('SRID=4326;MULTIPOLYGON(((2.72444787578421 39.7960815842666,2.72384392558941 39.7911970236591,2.72201648059588 39.7864971876619,2.71903598701671 39.7821626343399,2.71501713078417 39.7783598563206,2.71011440789635 39.7752348950355,2.70451617913097 39.772907743213,2.69843743880894 39.7714677484828,2.69211157436632 39.7709701924785,2.68578143011112 39.7714341749807,2.67969001361701 39.7728418831133,2.67407119602566 39.7751392731945,2.669140757736 39.778238139447,2.66508811854795 39.7820194912994,2.66206906664991 39.7863381113707,2.6601997645975 39.7910281212107,2.65955226369878 39.7959093431712,2.66015170244052 39.8007942158648,2.66197530157328 39.8054949987805,2.6649532003812 39.8098309896937,2.6689711079626 39.8136354771169,2.67387467274346 39.8167621593773,2.67947540577599 39.8190907817437,2.68555793148755 39.8205317727091,2.69188828615062 39.8210296989721,2.69822294186131 39.8205654043835,2.70431820421724 39.8191567493318,2.70993961657889 39.8168579216586,2.7148710035173 39.8137573460021,2.71892280080988 39.8099742731745,2.72193934843972 39.8056541825601,2.72380486510356 39.8009631764856,2.72444787578421 39.7960815842666)))', 'ESPSL', 'Port de Soller', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.19898101068401 36.5892745337217,-6.19975344403197 36.5844085912675,-6.20168795958674 36.5797576390916,-6.20471004453532 36.5755003495647,-6.20870345938052 36.5718002466081,-6.21351472049337 36.5687994339426,-6.21895900123155 36.5666131476796,-6.22482722443465 36.5653253405379,-6.23089407531027 36.5649854654598,-6.23692663009927 36.5656065807386,-6.2426932734851 36.5671648486341,-6.24797256716797 36.5696004466786,-6.2525617336824 36.5728198573746,-6.25628443336554 36.5766994496916,-6.25899753799568 36.5810902165944,-6.26059664126235 36.5858234885961,-6.26102009278185 36.5907174056957,-6.26025139734527 36.5955839005054,-6.2583198826368 36.600235925073,-6.25529960461787 36.6044946437661,-6.2513065276968 36.6081963150859,-6.24649408405623 36.6111985965426,-6.24104728036725 36.6133860284144,-6.23517557788656 36.614674483574,-6.22910482109526 36.6150144104242,-6.22306852839318 36.6143927427897,-6.21729888416062 36.6128334025019,-6.21201778354917 36.6103963752906,-6.20742827911259 36.6071753962314,-6.20370676195886 36.6032943351236,-6.20099618027996 36.5989024226124,-6.1994005562898 36.5941685025934,-6.19898101068401 36.5892745337217)))', 'ESPSM', 'Puerto de Santa María', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.13869182366498 43.4107467370279,-8.13942013070622 43.4058721943847,-8.14143856219255 43.4011948731864,-8.14466929615458 43.3968944533824,-8.14898801177134 43.3931361010591,-8.15422869205301 43.3900641359137,-8.16019001148755 43.3877965021129,-8.1666430620322 43.3864202524381,-8.17334012220821 43.3859882167317,-8.18002413652191 43.3865169805797,-8.18643854704877 43.3879862505617,-8.19233710646889 43.3903396300662,-8.19749330246891 43.3934867764679,-8.20170903721464 43.3973068582996,-8.20482223219186 43.4016531817781,-8.20671306739199 43.4063588114603,-8.20730861348978 43.4112429715706,-8.2065856748372 43.4161179841162,-8.2045717278989 43.4207964785421,-8.20134391191274 43.4250985962859,-8.19702610346399 43.4288589127656,-8.19178418143364 43.4319328092589,-8.18581966037802 43.4342020475688,-8.17936193575741 43.4355793306418,-8.1726594406366 43.4360116713097,-8.16597005793104 43.4354824375591,-8.15955116285498 43.4340119943485,-8.15364968546051 43.4316569169033,-8.14849258229581 43.428507806345,-8.14427808930195 43.4246857931658,-8.141168095947 43.4203378651791,-8.1392819348213 43.4156312020995,-8.13869182366498 43.4107467370279)))', 'ESPTD', 'Puentedeume', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.96806635482012 42.7289955657724,-8.9687208323583 42.7241151053057,-8.97065391201541 42.7194225321851,-8.97379105524641 42.7150981179216,-8.97801153566089 42.7113079555284,-8.98315310391435 42.7081975906394,-8.9890182317065 42.7058864447247,-8.9953816936139 42.7044632422183,-9.0019991967868 42.7039826147995,-9.00861673076844 42.7044630112175,-9.01498028392692 42.7058859915779,-9.02084555993103 42.7081969327194,-9.02598732769942 42.7113071180645,-9.03020805130914 42.7150971330384,-9.03334547211448 42.7194214376769,-9.0352788530959 42.7241139431924,-9.03593364415399 42.7289943806907,-9.03528438522217 42.7338752194254,-9.03335572984274 42.7385688701566,-9.03022154300488 42.7428948973174,-9.02600210101465 42.7466869623454,-9.02085949512521 42.7497992299481,-9.01499141160684 42.7521119889843,-9.00862352586525 42.7535362694367,-9.0020008042391 42.7540172755184,-8.99537805164803 42.7535365008321,-8.98901007421057 42.7521124428602,-8.9831418418146 42.7497998888208,-8.97799903562504 42.7466878008405,-8.97377934965438 42.7428958831533,-8.97064488457653 42.738569965394,-8.96871592742803 42.7338763819333,-8.96806635482012 42.7289955657724)))', 'ESPTN', 'Puerto del Son', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.6385091050275 28.9167149320771,-13.6391203890032 28.9118300669517,-13.6408028998876 28.9071439700261,-13.6434918585616 28.9028366833747,-13.6470838531756 28.8990736752974,-13.6514408248344 28.8959994903446,-13.6563953762137 28.8937322045466,-13.6617571986403 28.8923588974139,-13.667320371555 28.8919323132612,-13.6728712559707 28.8924688389909,-13.6781966816123 28.8939478753349,-13.6830921165797 28.8963126255708,-13.6873695089675 28.8994722718423,-13.6908645018866 28.9033054564069,-13.6934427464017 28.9076649353668,-13.6950050702768 28.9123832275527,-13.6954913030299 28.9172790429391,-13.6948826081984 28.9221642447372,-13.6932022301617 28.9268510783495,-13.6905146233319 28.931159389548,-13.6869229937528 28.9349235540548,-13.6825653447458 28.9379988512637,-13.6776091767553 28.9402670358131,-13.6722450445688 28.9416408913661,-13.6666792203855 28.9420675901156,-13.6611257468245 28.9415307277131,-13.655798188335 28.9400509546819,-13.6509014015238 28.9376851798985,-13.6466236441022 28.9345243771974,-13.6431293285323 28.930690080377,-13.6405527006287 28.926329702666,-13.6389926865131 28.9216108620603,-13.6385091050275 28.9167149320771)))', 'ESPUC', 'Puerto del Carmen', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.60962993171312 43.5652861636714,-6.61048315587998 43.5604243034359,-6.61262403807878 43.5557768681213,-6.61597005940857 43.5515223817105,-6.62039248281098 43.5478242400232,-6.62572132330509 43.5448244469904,-6.63175188546919 43.542638174795,-6.63825261619576 43.5413493543054,-6.64497397302133 43.5410074627697,-6.65165797180634 43.5416256302325,-6.65804805323833 43.5431801362654,-6.66389889622135 43.5456113161539,-6.66898580800773 43.5488258425304,-6.67311333589339 43.5527002964742,-6.67612277305431 43.5570858931787,-6.67789827090449 43.5618141831955,-6.67837132107986 43.5667035126663,-6.67752343027485 43.571565996286,-6.67538687875326 43.5762147362418,-6.6720435261099 43.5804710099313,-6.6676217031194 43.584171149438,-6.66229130335468 43.587172846681,-6.65625725962158 43.5893606395786,-6.64975165506478 43.590650365749,-6.64302477414459 43.5909924100623,-6.63633544199467 43.5903736192148,-6.62994102988461 43.5888178085396,-6.62408751821702 43.5863848413716,-6.6190000060222 43.5831683171756,-6.61487403741022 43.579291959022,-6.61186808181915 43.5749048416164,-6.61009745779736 43.5701756459196,-6.60962993171312 43.5652861636714)))', 'ESPVG', 'Puerto de Vega', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.263815283454192 39.3062474681341,-0.264623714847695 39.3013840416008,-0.266637606867592 39.296736562239,-0.26977937093427 39.2924835637423,-0.273928152390701 39.2887883974476,-0.278924492832212 39.2857929683855,-0.284576461451668 39.2836122968731,-0.290667019272033 39.2823301123762,-0.296962335032317 39.2819956468424,-0.303220736922272 39.2826217490688,-0.309201961354439 39.2841843916129,-0.314676349190605 39.2866235890937,-0.31943364162146 39.2898456933602,-0.323291042200408 39.2937269788439,-0.32610023796719 39.2981183823551,-0.32775311041239 39.3028512174379,-0.328185915104918 39.3077436458186,-0.327381765627401 39.3126076589444,-0.325371321163503 39.3172563022954,-0.322231645433805 39.3215108649716,-0.318083275164673 39.3252077575039,-0.313085606160711 39.3282048120576,-0.307430771490185 39.3303867608494,-0.301336246460307 39.3316696799591,-0.295036466304042 39.3320042256007,-0.288773782495984 39.3313775367814,-0.282789110507271 39.3298137302473,-0.27731263433546 39.3273729685866,-0.272554930719747 39.3241491380823,-0.268698858705365 39.3202662271073,-0.265892528990202 39.3158735463174,-0.264243623753179 39.3111399766226,-0.263815283454192 39.3062474681341)))', 'ESQAA', 'Perellonet', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.8146982846782 28.2373786440751,-16.8151593177947 28.2324816138851,-16.8166901375047 28.2277583254091,-16.8192317866517 28.2233902637494,-16.822686499625 28.2195452428417,-16.8269214733167 28.2163709638051,-16.831773976784 28.2139893481284,-16.8370576023383 28.2124918620603,-16.8425694182356 28.211936010404,-16.8480977497442 28.2123431331278,-16.853430292223 28.2136975884861,-16.8583622476805 28.2159473535573,-16.8627041754956 28.2190060192053,-16.8662892585672 28.2227561034391,-16.8689797077796 28.2270535569436,-16.8706720596165 28.2317332890348,-16.8713011629795 28.2366155031642,-16.8708427003737 28.2415125998492,-16.8693141439276 28.2462363827548,-16.8667741062364 28.2506052915063,-16.8633201075811 28.2544513832062,-16.8590848423211 28.2576267937171,-16.8542310857875 28.2600094292933,-16.8489454364367 28.2615076684155,-16.8434311341177 28.262063891635,-16.8379002320973 28.2616567024162,-16.832565426354 28.2603017526281,-16.827631859441 28.2580511404646,-16.8232892173089 28.2549914040241,-16.8197044258066 28.2512401883162,-16.8170152296611 28.2469417149125,-16.8153249016203 28.2422612297675,-16.8146982846782 28.2373786440751)))', 'ESQAE', 'Puerto Santiago', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.8956216640109 28.6086095094415,-17.8960328548778 28.6037121189435,-17.8975187074448 28.5989796179875,-17.9000219865634 28.5945938496487,-17.9034463937175 28.5907233106242,-17.9076602827338 28.5875166829949,-17.9125017261543 28.5850971296667,-17.9177847364804 28.5835575713163,-17.92330640345 28.5829571248245,-17.9288546746084 28.5833188386565,-17.9342164827723 28.5846288111258,-17.9391859113266 28.5868367248199,-17.9435720870156 28.5898577766198,-17.9472065000178 28.593575929693,-17.9499494722902 28.5978483635363,-17.9516955267394 28.6025109524485,-17.9523774506806 28.6073845634202,-17.9519688959166 28.6122819328439,-17.9504854129213 28.6170148588882,-17.9479838760978 28.6214014337623,-17.9445603187133 28.6252730379813,-17.9403462575714 28.6284808272984,-17.9355036463342 28.630901461951,-17.9302186502897 28.6324418566407,-17.9246944820078 28.6330427671613,-17.9191435747455 28.6326810744036,-17.9137793970093 28.6313706768457,-17.9088082261601 28.6291619566159,-17.9044212007024 28.6261398396212,-17.900786959827 28.6224205248604,-17.8980451553718 28.6181470096929,-17.8963010866407 28.6134835844418,-17.8956216640109 28.6086095094415)))', 'ESQAH', 'Puerto Naos', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.7355628874802 28.8115797352676,-17.735981544125 28.8066823897972,-17.7374768304479 28.8019510765328,-17.7399911479435 28.7975675919569,-17.7434277737877 28.7937003440933,-17.7476545928702 28.7904978878142,-17.7525091820937 28.7880832252824,-17.7578050504732 28.7865490891399,-17.7633387955041 28.785954388181,-17.7688979023622 28.7863219506851,-17.7742688888663 28.7876376510493,-17.7792454865076 28.7898509526908,-17.783636546639 28.7928768463444,-17.7872733711156 28.796599109839,-17.7900161879696 28.8008747651522,-17.7917595243816 28.8055395628685,-17.792436270233 28.8104142848104,-17.792020274531 28.8153116240651,-17.7905273722854 28.8200433791157,-17.7880147990478 28.8244276862215,-17.7845790120946 28.8282960121362,-17.7803519988224 28.8314996378641,-17.775496211892 28.8339153832044,-17.770198324628 28.8354503506672,-17.7646620468923 28.8360455048973,-17.7591002790903 28.8356779486087,-17.7537269085083 28.8343618064581,-17.7487485666093 28.8321476822863,-17.7443566675878 28.8291207105814,-17.740720037302 28.825397277638,-17.7379784181555 28.8211205395166,-17.7362371006276 28.8164549104804,-17.7355628874802 28.8115797352676)))', 'ESQAI', 'Puerto Espindola', 'Y'),('SRID=4326;MULTIPOLYGON(((3.23572504237766 42.3429356277256,3.23505884577911 42.3380560280981,3.23312251350817 42.3333665827413,3.2299907029354 42.3290474428339,3.22578393035237 42.3252644992958,3.2206639149391 42.3221630215809,3.21482735565209 42.3198620913181,3.20849838142557 42.3184500422422,3.20191996340108 42.3179810792037,3.19534461534819 42.3184732041232,3.18902473393927 42.3199075272336,3.18320294339072 42.3222289896152,3.17810280883547 42.3253484697722,3.17392026964929 42.3291461947017,3.1708161181695 42.3334763264634,3.1689098115268 42.3381725504527,3.1682748557427 42.3430544530826,3.1689359432901 42.347934445871,3.17086795982621 42.3526249712375,3.17399690501172 42.3569457135817,3.17820269878457 42.3607305380275,3.18332377098036 42.36383388877,3.18916326175768 42.3661363990287,3.19549659588974 42.3675494945283,3.20208013847861 42.3680188111101,3.20866059558561 42.3675262930293,3.21498479273056 42.3660908899084,3.22080944866509 42.3637678250892,3.22591056202754 42.3606464640241,3.23009204442822 42.3568468660674,3.2331932644165 42.3525151543107,3.23509521115495 42.3478178838984,3.23572504237766 42.3429356277256)))', 'ESQAJ', 'Port de la Selva', 'Y'),('SRID=4326;MULTIPOLYGON(((3.86454147506277 40.0007618124642,3.86385467524202 39.9958840691035,3.8619439973552 39.9912030718603,3.85888308193945 39.9868986492595,3.85478969733712 39.983136131985,3.84982119282998 39.9800600123886,3.84416844534603 39.9777884067971,3.83804853332234 39.9764085311405,3.83169641785744 39.9759733615321,3.82535594729028 39.9764996062769,3.81927052573546 39.9779670660601,3.81367379819182 39.9803194065546,3.80878070427919 39.9834663143117,3.80477923945904 39.9872869544441,3.80182323712032 39.9916345991972,3.80002644788582 39.9963422518155,3.79945814500837 40.0012290518294,3.80014042824946 40.0061072174874,3.80204733500512 40.0107892597529,3.80510579885854 40.0150951910062,3.80919842469578 40.0188594508847,3.81416797875069 40.0219372817411,3.81982342431166 40.0242103067247,3.82594727218407 40.0255910938156,3.83230396207182 40.026026528143,3.83864894922103 40.0254998611006,3.84473814190789 40.0240313562944,3.85033732101272 40.0216775071467,3.85523117368795 40.0185288567854,3.85923158895795 40.0147065053933,3.86218489321875 40.0103574412488,3.86397774660568 40.0056488771968,3.86454147506277 40.0007618124642)))', 'ESQIU', 'Ciudadela', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.6765089373444 28.9157229798731,-13.6771184398202 28.9108378831147,-13.6787992447205 28.9061512543735,-13.6814866383414 28.901843156312,-13.6850772687616 28.8980790885117,-13.6894331292577 28.8950036362805,-13.6943868649538 28.8927349243108,-13.6997481983094 28.8913600868156,-13.7053112274179 28.8909319267666,-13.71086231877 28.8914668914464,-13.7161882941896 28.892944441398,-13.7210846007938 28.8953078368691,-13.725363153396 28.8984663119667,-13.728859550774 28.9022985539227,-13.7314393902729 28.9066573551017,-13.7330034385764 28.9113752604855,-13.7334914590763 28.9162709950672,-13.7328845466571 28.9211564253439,-13.7312058771494 28.9258437881175,-13.728519839163 28.9301529089755,-13.7249295782361 28.9339181326252,-13.7205730448398 28.9369946977912,-13.7156176962927 28.9392643103466,-13.7102540556773 28.9406396989724,-13.7046883761595 28.9410679767922,-13.6991346947499 28.9405326785938,-13.6938065839373 28.9390543946096,-13.6889089216991 28.9366899763416,-13.6846299996048 28.9335303453945,-13.681134275128 28.9296969905039,-13.6785560484804 28.9253372887396,-13.6769943074362 28.9206188322255,-13.6765089373444 28.9157229798731)))', 'ESQLY', 'Playa Blanca', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.71924242173741 42.4039222977485,-8.7199127722304 42.3990430238386,-8.72185434698639 42.3943544040398,-8.72499228669115 42.3900365574623,-8.72920583943054 42.3862553249882,-8.73433302579019 42.3831559100385,-8.74017687191885 42.3808573147944,-8.74651296978745 42.3794477832075,-8.75309807554301 42.3789814234673,-8.75967941940911 42.3794761376583,-8.76600437509766 42.3809129368063,-8.77183012387008 42.3832366671816,-8.77693294856731 42.3863581204661,-8.78111680611241 42.3901574481085,-8.78422085282561 42.3944887507551,-8.78612563466842 42.399185668855,-8.78675770316925 42.4040677620626,-8.78609247581053 42.4089474343653,-8.78415522522282 42.4136371402013,-8.78102015240517 42.4179565951212,-8.77680757281388 42.4217397133876,-8.77167931770968 42.4248410044846,-8.76583252364986 42.4271411806048,-8.759492047459 42.4285517571223,-8.75290179955027 42.429018466766,-8.74631533254692 42.4285233541818,-8.7399860526889 42.4270854689958,-8.73415743703064 42.4247601302773,-8.72905363918833 42.4216367912002,-8.72487085039075 42.4178355874107,-8.72176975160992 42.4135027038889,-8.71986934808807 42.4088047408593,-8.71924242173741 42.4039222977485)))', 'ESRAC', 'Rajo', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.02267855850363 43.4666125052362,-5.02317533109737 43.4617238714351,-5.02497171562855 43.4569997456577,-5.02799840422335 43.4526216204374,-5.03213888910824 43.4487576573623,-5.03723396935161 43.4455562380178,-5.04308788162914 43.4431402782463,-5.04947581749787 43.4416025217198,-5.05615253919549 43.4410019910872,-5.0628617664363 43.4413617307712,-5.0693459791733 43.4426679264907,-5.07535626657643 43.4448704345739,-5.08066185091631 43.4478847009539,-5.08505892666932 43.451594997312,-5.08837847965525 43.4558588520051,-5.09049278771319 43.4605125079925,-5.09132035227998 43.4653772006259,-5.09082906784059 43.4702660163798,-5.08903750176747 43.4749910706418,-5.08601422836828 43.4793707295255,-5.08187523548379 43.4832365979566,-5.07677949690137 43.4864400042767,-5.07092287617076 43.4888577301442,-5.06453059407199 43.4903967630149,-5.05784855004167 43.4909978859278,-5.05113383464308 43.4906379642909,-5.04464480344624 43.4893308400859,-5.03863110084842 43.4871267983385,-5.03332402451123 43.484110626602,-5.02892760710069 43.4803983432685,-5.02561076256961 43.4761327224802,-5.0235008007408 43.4714777901495,-5.02267855850363 43.4666125052362)))', 'ESRBS', 'Ribadesella', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.58030064875457 42.2958816195283,-8.5809805255874 42.291003106938,-8.58292902093512 42.2863167810321,-8.58607101175348 42.2820026723479,-8.59028559263903 42.2782264780358,-8.59541074649411 42.2751332081634,-8.60124957876079 42.2728416293266,-8.60757787445308 42.2714397166277,-8.61415268903747 42.2709812863548,-8.62072164690903 42.2714839367212,-8.62703259585473 42.2729283744597,-8.63284325318656 42.2752591527146,-8.63793047950868 42.2783867924099,-8.64209882935006 42.2821912069957,-8.64518805379244 42.2865263010638,-8.64707926803962 42.2912255685743,-8.64769954552425 42.2961084780063,-8.64702475816184 42.3009874011247,-8.64508054788227 42.3056748204669,-8.64194138536726 42.3099905390301,-8.63772774543644 42.3137686145744,-8.63260150193498 42.3168637506318,-8.62675971530897 42.3191568964966,-8.62042705031857 42.3205598385004,-8.6138471166836 42.3210186036527,-8.60727306933869 42.3205155427578,-8.60095783532368 42.3190700115822,-8.5951443496898 42.3167376234476,-8.59005618241596 42.3136081025197,-8.58588892222389 42.3098018217493,-8.58280265214199 42.305465160654,-8.58091580719163 42.3007648638393,-8.58030064875457 42.2958816195283)))', 'ESRED', 'Redondela', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.16768366402411 43.4247553732058,-8.16840983344967 43.4198806401369,-8.17042652359872 43.4152028042035,-8.17365597903974 43.4109015652412,-8.17797392767669 43.4071421208589,-8.18321438162136 43.4040688326949,-8.18917602377826 43.4017996956678,-8.19562993355537 43.4004218201851,-8.20232835646346 43.3999880983965,-8.20901418480425 43.4005151805083,-8.21543079123569 43.4019828375766,-8.2213318444304 43.4043347348677,-8.22649073664828 43.407480586674,-8.23070926681436 43.4112996113047,-8.23382524927035 43.4156451556949,-8.23571875703481 43.4203503144835,-8.23631675806897 43.4252343301627,-8.23559596221907 43.4301095304652,-8.23358376330838 43.4347885377727,-8.23035723301835 43.4390914739188,-8.22604019811698 43.4428528829139,-8.22079850738379 43.4459281040252,-8.21483366620342 43.4481988480604,-8.20837508218995 43.4495777599594,-8.20167122144306 43.4500117897872,-8.19498001952341 43.4494842404415,-8.18855892185243 43.4480154119982,-8.18265494350825 43.4456618175225,-8.17749513755813 43.442514001103,-8.17327784418377 43.4386930435254,-8.17016506075243 43.434345892128,-8.16827622722282 43.4296396969239,-8.16768366402411 43.4247553732058)))', 'ESREE', 'Redes', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.4117922579786 27.8250870129916,-15.4123157792061 27.8201929541152,-15.4139030548636 27.8154837220941,-15.4164929657512 27.8111402567625,-15.4199859009237 27.807329423864,-15.4242475981405 27.8041976102917,-15.4291143081237 27.8018651078391,-15.434399083468 27.8004214998789,-15.4398989511259 27.7999222268281,-15.4454026946256 27.8003864611608,-15.4506989496757 27.8017963727919,-15.4555843052796 27.8040978127345,-15.459871102296 27.8072023889903,-15.463394632545 27.810990855657,-15.4660194637073 27.8153176861824,-15.4676446476834 27.8200166564266,-15.4682076116983 27.8249072244103,-15.4676865808465 27.8298014628228,-15.4661014362684 27.8345112787363,-15.4635129727263 27.8388556434243,-15.4600205808202 27.8426675542241,-15.455758440083 27.8458004601423,-15.4508903673145 27.8481339030855,-15.4456035173914 27.8495781564996,-15.4401011791973 27.8500776817032,-15.4345949453208 27.8496132678343,-15.4292965591909 27.8482027723104,-15.4244097562419 27.8459004330112,-15.4201224159601 27.8427947788539,-15.4165993292324 27.8390052198415,-15.413975860856 27.8346774488258,-15.4123527514582 27.829977833128,-15.4117922579786 27.8250870129916)))', 'ESRGA', 'Arinaga', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.78611062968986 42.6479417397807,-8.78677847182417 42.6430622771156,-8.78872269737171 42.6383727304553,-8.79186834164817 42.6340532543176,-8.79609435398494 42.6302697516331,-8.80123827471534 42.6271675122151,-8.80710248691117 42.6248656457901,-8.81346180135171 42.6234525210273,-8.82007208467521 42.6229823833637,-8.82667960305365 42.6234732795137,-8.8330307281196 42.6249063670419,-8.83888163896071 42.6272266350628,-8.84400765413077 42.6303450088876,-8.8482118408022 42.6341417591562,-8.85133257405313 42.638471086559,-8.85324975713392 42.643166708446,-8.85388946231223 42.6480482351228,-8.85322681008598 42.6529280929037,-8.85128697032422 42.6576187292871,-8.84814424001543 42.6619398238548,-8.84391922620274 42.6657252272851,-8.83877423653595 42.6688293603936,-8.83290705067846 42.6711328251563,-8.82654331056376 42.6725470095715,-8.81992782332266 42.6730175068796,-8.81331511503311 42.6725262156135,-8.80695960418014 42.6710920383614,-8.80110577937267 42.6687701519096,-8.7959787656816 42.6656498773387,-8.7917756479496 42.6618512333799,-8.78865788836156 42.6575203076403,-8.78674513095363 42.6528236261016,-8.78611062968986 42.6479417397807)))', 'ESRIA', 'Rianjo', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.00263967084981 43.532404681866,-7.0034608273079 43.5275392328967,-7.00557051111696 43.5228837945424,-7.00888739988729 43.518617200221,-7.01328387234325 43.5149033123013,-7.01859093625251 43.511884740258,-7.02460472844629 43.5096773774775,-7.03109433629132 43.5083659640469,-7.03781064201195 43.5080008435453,-7.04449585446799 43.5085960364572,-7.05089336840985 43.5101287030241,-7.05675757952663 43.5125400159261,-7.0618632850958 43.5157374100211,-7.06601431470656 43.5195981243435,-7.06905106298963 43.5239739025517,-7.07085663580431 43.5286966737948,-7.0713613717939 43.5335849982008,-7.07054556110817 43.5384510313268,-7.06844025049262 43.543107741188,-7.06512609655811 43.547376100791,-7.06073030422592 43.5510919790192,-7.05542176218495 43.5541124633914,-7.04940455863549 43.5563213693865,-7.04291012555854 43.5576337219767,-7.03618831532799 43.5579990346042,-7.02949775709649 43.557403257535,-7.02309586996017 43.5558693194603,-7.01722892400934 43.553456241276,-7.01212253831984 43.5502568568723,-7.00797298684389 43.5463942302214,-7.00493964991746 43.5420169087995,-7.00313890233292 43.5372931983976,-7.00263967084981 43.532404681866)))', 'ESRIB', 'Ribadeo', 'Y'),('SRID=4326;MULTIPOLYGON(((3.21467922820497 42.256941906028,3.21401558912821 42.2520621049885,3.21208347486148 42.247372224315,3.20895737974144 42.2430524321986,3.20475759990379 42.2392686449631,3.199645585789 42.2361661648304,3.19381772935929 42.2338641122497,3.18749782602264 42.2324508642915,3.18092849953975 42.2319806719599,3.17436191561071 42.2324715843623,3.16805013532649 42.2339047581456,3.16223547252119 42.2362251782758,3.15714121892953 42.2393437629705,3.15296308794103 42.2431407732937,3.14986170200046 42.2474703984686,3.14795641104241 42.2521663431524,3.14732068084756 42.2570482044093,3.14797923233333 42.2619283954012,3.14990704739397 42.2666193511128,3.15303028620769 42.2709407396886,3.15722908748582 42.2747264017584,3.16234214976537 42.2778307496738,3.16817292151115 42.2801343786326,3.174497163485 42.281548671575,3.18107159140777 42.2820192184071,3.18764326293074 42.2815279160519,3.19395934242225 42.2800936672297,3.1997768615326 42.2777716506393,3.2048720936808 42.2746511911099,3.20904917650161 42.2708523130044,3.21214764712492 42.2665211114521,3.21404859944703 42.2618241217851,3.21467922820497 42.256941906028)))', 'ESROS', 'Rosas', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.32396696339839 36.6163066266351,-6.32473196492575 36.6114395792889,-6.32665987626118 36.6067863322407,-6.32967643746642 36.602525646515,-6.33366562020731 36.598821176794,-6.3384741023605 36.5958151946037,-6.34391716309723 36.5936231344577,-6.34978577146122 36.5923291704889,-6.35585459758229 36.5919829916287,-6.36189064196301 36.5925978977593,-6.36766215577277 36.5941502891453,-6.37294751446352 36.5965805686862,-6.37754370860495 36.5997954230239,-6.38127412959857 36.6036713962323,-6.38399535347905 36.6080596206155,-6.3856026626001 36.6127915248667,-6.38603409151046 36.6176853021615,-6.38527283826701 36.6225528911471,-6.38334794396581 36.6272072024332,-6.38033320922911 36.6314693129747,-6.37634438432755 36.6351753511742,-6.37153473690627 36.6381828067191,-6.36608916519516 36.6403760207908,-6.36021708242349 36.6416706435817,-6.35414434740873 36.6420168858605,-6.3481045547424 36.6414014380901,-6.34233002389795 36.6398479824656,-6.33704283873974 36.6374162781084,-6.33244628676094 36.6341998552921,-6.32871703103712 36.6303224087294,-6.32599831813148 36.625933030421,-6.32439448341704 36.6212004673483,-6.32396696339839 36.6163066266351)))', 'ESROT', 'Rota', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.57387770475942 36.756892614114,-2.57450269113794 36.7520092183763,-2.57629944284733 36.7473177453491,-2.57919872720885 36.7429984343307,-2.58308900485087 36.7392171986936,-2.58782073453519 36.7361192613975,-2.59321212598191 36.7338235875054,-2.59905611871559 36.7324183256314,-2.60512831985353 36.7319574314994,-2.61119559874709 36.7324586016946,-2.61702501253604 36.7339025959179,-2.62239272469435 36.736233973436,-2.62709257888369 36.7393632158737,-2.63094400288393 36.7431701559419,-2.63379894167806 36.7475085820669,-2.63554755421231 36.7522118439886,-2.63612245384892 36.7570992459154,-2.63550132663399 36.7619829832475,-2.63370782241925 36.7666753574115,-2.63081067948198 36.7709959919195,-2.6269211111812 36.7747787719097,-2.62218855076394 36.7778782393087,-2.61679491498121 36.7801751961091,-2.61094760598816 36.7815812983856,-2.60487152153806 36.7820424624706,-2.59880038347904 36.7815409506807,-2.59296772219471 36.7800960553201,-2.58759786861298 36.7777633543118,-2.5828973050843 36.7746325675208,-2.57904671181887 36.77082409735,-2.57619401736147 36.7664843883172,-2.57444872108577 36.7617802859935,-2.57387770475942 36.756892614114)))', 'ESRQM', 'Roquetas de Mar', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.89674384556214 43.3226746723223,-1.89749030069995 43.3178017923256,-1.89952417856371 43.313128837309,-1.90276706638656 43.3088353184932,-1.90709417943196 43.3050861363154,-1.91233918102535 43.3020252581804,-1.91830058202659 43.2997702028397,-1.92474947273981 43.2984075407866,-1.93143829184698 43.2979895810692,-1.9381102996288 43.2985323697792,-1.94450939755428 43.3000150758154,-1.95038992396735 43.3023807871662,-1.9555260564057 43.3055386877508,-1.95972046504096 43.3093675327164,-1.96281188846544 43.3137202908672,-1.96468134184896 43.3184297783855,-1.9652567172486 43.3233150698698,-1.96451559508544 43.3281884424091,-1.96248615261716 43.3328625871838,-1.95924612736209 43.3371578118433,-1.95491986825643 43.3409089562514,-1.94967358196946 43.3439717542716,-1.94370895322356 43.3462283948672,-1.93725538310925 43.3475920662041,-1.93056114534127 43.3480103055795,-1.92388380458165 43.3474670243265,-1.91748027125957 43.3459831285314,-1.91159688228029 43.343615711336,-1.90645989590551 43.3404558485208,-1.90226677196698 43.3366250836703,-1.89917857628828 43.3322707402655,-1.89731380230429 43.3275602434643,-1.89674384556214 43.3226746723223)))', 'ESRTA', 'Rentería', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.5216460297296 28.418319851984,-16.5221209006342 28.4134233500153,-16.5236670285801 28.4087028282781,-16.526224867969 28.4043396640916,-16.5296960317754 28.4005014819615,-16.5339470862667 28.397335719395,-16.5388146846605 28.3949639703401,-16.5441118415555 28.3934773222017,-16.5496351074608 28.392932864145,-16.5551723694188 28.393351499549,-16.560510980651 28.3947171457135,-16.5654459101054 28.3969773511186,-16.569787602109 28.4000453066353,-16.5733692470552 28.4038031740705,-16.5760531858185 28.4081066052648,-16.5777362026983 28.4127902794914,-16.5783535030748 28.417674247851,-16.57788122124 28.4225708421865,-16.5763373593283 28.427291883996,-16.573781117955 28.431655916784,-16.5703106408621 28.4354951838083,-16.566059257236 28.4386620823964,-16.5611903639668 28.4410348456511,-16.5558911435887 28.4425222317651,-16.5503653597392 28.4430670392227,-16.5448255087104 28.4426483114517,-16.5394846314434 28.4412821452146,-16.5345481039738 28.4390210712076,-16.5302057252576 28.4359520307965,-16.5266244094472 28.4321930273398,-16.5239417655598 28.427888581946,-16.5222608121629 28.4232041697443,-16.5216460297296 28.418319851984)))', 'ESRUZ', 'Puerto de la Cruz', 'Y'),('SRID=4326;MULTIPOLYGON(((1.33605883412589 38.9804616660105,1.33555714604869 38.9755711221088,1.33384294161885 38.9708509290457,1.33098231374755 38.966482435132,1.32708534713757 38.9626334440233,1.32230186466559 38.95945177756,1.31681566000133 38.9570596091616,1.31083743956529 38.9555487833951,1.30459674428025 38.9549772993681,1.29833315865484 38.9553670911288,1.29228714044414 38.9567031889685,1.28669081772567 38.9589342932191,1.28175910133405 38.9619747387171,1.27768144919398 38.9657077754927,1.27461459551045 38.9699900413294,1.272676522704 38.9746570564506,1.2719419084643 38.979529531398,1.27243922574886 38.984420247672,1.27414961174589 38.9891412481448,1.27700755486572 38.993511061585,1.28090337913481 38.9973616834513,1.28568743558799 39.0005450436351,1.2911758431726 39.0029387108634,1.29715756009375 39.0044506123857,1.30340251312033 39.0050225853203,1.30967046954072 39.0046326211872,1.3157203061854 39.0032957159371,1.32131931365465 39.0010632921593,1.32625217238503 38.9980212159035,1.33032925054156 38.9942864854076,1.33339390130357 38.9900027207416,1.33532847762561 38.9853346298652,1.33605883412589 38.9804616660105)))', 'ESSAA', 'San Antonio Abad', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.21271825272952 43.3627691437736,-8.2134400045648 43.3578940385473,-8.21545111993985 43.3532153154681,-8.21867405816706 43.3489127088172,-8.22298479768804 43.3451514691091,-8.22821762730539 43.3420760272617,-8.23417152218825 43.3398044611411,-8.24061785846324 43.3384239745553,-8.24730917156373 43.3379875599104,-8.25398862594701 43.3385119706847,-8.26039983836334 43.3399770802867,-8.26629668426398 43.3423266515276,-8.27145271750505 43.3454704877427,-8.27566984722884 43.3492878844127,-8.2787859423271 43.3536322508507,-8.28068107249387 43.3583367269114,-8.28128214446653 43.36322058141,-8.2805657511499 43.3680961484859,-8.27855911803884 43.3727760367319,-8.27533910343716 43.377080334481,-8.27102928380744 43.3808435337645,-8.26579523030126 43.3839209053371,-8.25983815407476 43.3861940775493,-8.25338716333179 43.3875756020799,-8.24669043123989 43.3880123285052,-8.24000561833477 43.3874874558809,-8.23358992365326 43.3860211811112,-8.22769015412859 43.3836699187712,-8.22253320099958 43.3805241229804,-8.21831729516781 43.3767047965857,-8.21520438141437 43.372358824057,-8.21331390571408 43.3676533100523,-8.21271825272952 43.3627691437736)))', 'ESSAD', 'Sada', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.184656656090171 39.6542199235996,-0.185476059736905 39.6493576472147,-0.187506591257731 39.6447123335724,-0.190670019648432 39.6404624320648,-0.194844656253886 39.6367711737519,-0.199870049367257 39.633780312227,-0.20555315370101 39.631604691219,-0.211675737143967 39.6303278454027,-0.218002741982661 39.629998801324,-0.224291283118449 39.6306301996976,-0.230299942781189 39.6321978102741,-0.235798010494696 39.634641457826,-0.240574318905193 39.6378673244489,-0.2444453405074 39.6417515412451,-0.247262236904677 39.6461449334383,-0.248916590266942 39.650878738854,-0.249344594975579 39.6557710821708,-0.248529544560507 39.6606339578452,-0.246502513059373 39.665280454348,-0.243341198630246 39.6695319422076,-0.239166968096457 39.6732249488563,-0.23414021134357 39.6762174545326,-0.228454181260406 39.6783943652003,-0.222327555376845 39.6796719498456,-0.215996006831594 39.6800010694422,-0.209703112461975 39.6793690717787,-0.20369095277899 39.677800278341,-0.198190771105297 39.6753550444364,-0.193414056625647 39.6721274294777,-0.189544398665124 39.6682415685305,-0.186730428017814 39.6638468866782,-0.185080117094765 39.6591123424342,-0.184656656090171 39.6542199235996)))', 'ESSAG', 'Sagunto', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.62129675159057 42.3028936527923,-8.62197354537964 42.2980148906592,-8.62391922690133 42.2933278626431,-8.62705878089872 42.2890126264401,-8.63127139517265 42.2852349226354,-8.63639512773202 42.2821398193219,-8.64223313821277 42.2798461534793,-8.64856124289214 42.2784419802587,-8.6551365044159 42.2779812026092,-8.66170653002304 42.2784815087184,-8.66801912666542 42.2799236951853,-8.67383194868016 42.2822524014922,-8.67892177392449 42.2853782280819,-8.68309305752143 42.289181158064,-8.68618543823649 42.293515153157,-8.68807991029841 42.2982137497073,-8.68870342210636 42.3030964421882,-8.68803172126399 42.3079756109362,-8.68609033089091 42.3126637292722,-8.68295361295581 42.3169805735089,-8.6787419478928 42.3207601582527,-8.67361713318357 42.3238571290549,-8.66777617393904 42.3261523646274,-8.66144370280429 42.3275575708419,-8.65486332188707 42.3280186874851,-8.64828820333029 42.3275179747606,-8.64197131553813 42.326074697973,-8.6361556574624 42.3237443836316,-8.63106488301015 42.3206166761026,-8.62689468156601 42.3168118786321,-8.62380524961589 42.31247631381,-8.62191514400805 42.3077766842666,-8.62129675159057 42.3028936527923)))', 'ESSAN', 'San Adrián', 'Y'),('SRID=4326;MULTIPOLYGON(((3.15865329001972 42.2079583925876,3.1579944898199 42.203078217246,3.1560680230598 42.1983873431213,3.15294816678776 42.1940659769503,3.14875497750098 42.190280095878,3.14364965284232 42.1871750828349,3.13782832845998 42.184870155728,3.13151454966616 42.1834538020712,3.12495070581413 42.182980392057,3.11838875274803 42.1834680981706,3.11208057419157 42.1848981999263,3.10626834582618 42.1872157999787,3.1011752657181 42.1903319245884,3.09699700168934 42.1941269291148,3.09389418054072 42.1984550797428,3.09198620643388 42.2031501378178,3.09134664730456 42.2080317346373,3.09200037037307 42.2129122938014,3.09392254249025 42.2176042364949,3.09703954042794 42.2219271933013,3.10123174284472 42.225714944916,3.10633810234037 42.2288218236354,3.11216232572278 42.2311283275201,3.11848042633353 42.232545729006,3.12504935686162 42.2330194983778,3.13161638706196 42.2325314084415,3.13792886026255 42.2311002381162,3.14374394696103 42.2287810474276,3.14883801393616 42.2256630522752,3.153015243125 42.2218661820728,3.15611516527236 42.2175364546678,3.15801881756351 42.2128403487645,3.15865329001972 42.2079583925876)))', 'ESSAP', 'San Pedro Pescador', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.349750780487 27.9840747308361,-15.3502777740083 27.9791809858407,-15.3518699803776 27.9744725279829,-15.3544660901473 27.9701302668638,-15.3579662538252 27.9663210214312,-15.362235931542 27.9631911170959,-15.3671110679526 27.9608607719192,-15.3724043928157 27.9594194861791,-15.3779126057335 27.9589226110582,-15.3834241707678 27.9593892270846,-15.3887274241329 27.9608014130179,-15.3936186866551 27.9631049329529,-15.3979100725226 27.966211315477,-15.4014366970527 27.9700012457507,-15.4040630083967 27.9743291413382,-15.4056880005874 27.9790287373622,-15.4062491070158 27.9839194677883,-15.4057246229241 27.9888133988585,-15.4041345610734 27.9935224490842,-15.4015399044277 27.9978656186815,-15.3980402812544 28.0016759503953,-15.3937701491356 28.0048069534383,-15.3888936325947 28.0071382424809,-15.3835982119854 28.0085801735499,-15.3780875067637 28.0090772972173,-15.3725734322988 28.0086104951159,-15.3672680344147 28.0071977168144,-15.3623753187689 28.0048932884008,-15.3580833923977 28.0017858195954,-15.3545572222706 27.9979947906142,-15.3519322910573 27.9936659511611,-15.3503093946126 27.9889657098085,-15.349750780487 27.9840747308361)))', 'ESSAT', 'Salinetas', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.32089741214571 36.7893030392901,-6.32166500940688 36.78443621561,-6.32359808724035 36.7797833222797,-6.3266221856849 36.7755231063818,-6.33062098585232 36.7718192040528,-6.33544079583664 36.7688138644573,-6.34089646003698 36.766622496876,-6.34677846435955 36.7653292483878,-6.35286096581445 36.7649837801569,-6.35891044126592 36.7655993646922,-6.36469462756142 36.7671523763415,-6.36999141463478 36.769583194516,-6.37459735477492 36.7727984856476,-6.37833546504482 36.7766747775814,-6.38106202543856 36.7810631909121,-6.3826721120264 36.7857951475114,-6.3831036509409 36.790688838816,-6.38233983411173 36.7955562068428,-6.38040979932133 36.800210170539,-6.37738754325528 36.804471819869,-6.37338910431613 36.8081773004691,-6.3685681194157 36.8111841228972,-6.36310992302481 36.8133766521251,-6.35722441474022 36.8146705642232,-6.35113797099851 36.8150160969988,-6.3450847151133 36.8143999681165,-6.33929748577428 36.8128458861006,-6.3339988563235 36.8104136344936,-6.32939255495708 36.8071967650907,-6.32565561960502 36.8033189903246,-6.32293159140229 36.7989294153479,-6.32132500877539 36.7941967951393,-6.32089741214571 36.7893030392901)))', 'ESSBA', 'Sanlucar De Barrameda', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-13.571487183549 28.9996999751594,-13.5721022611011 28.9948155977427,-13.573789260458 28.9901305445609,-13.5764832297594 28.9858248171846,-13.5800805646524 28.98206382363,-13.584443001367 28.9789920307551,-13.5894029331516 28.9767274225168,-13.5947698453125 28.9753569755318,-13.6003376224795 28.9749333243542,-13.6058924494321 28.975472743454,-13.6112210049044 28.9769545227367,-13.6161186369717 28.9793217604632,-13.6203972092441 28.9824835435459,-13.6238923191429 28.9863184324019,-13.6264696126459 28.9906791177859,-13.6280299533188 28.9953980721636,-13.6285132461075 29.0002939799088,-13.6279007668236 29.0051787004033,-13.6262159047609 29.0098644971816,-13.6235232863961 29.0141712554671,-13.619926310414 29.0179334102973,-13.6155631859437 29.0210063180205,-13.6106016244408 29.0232718249542,-13.6052323887091 29.0246428176634,-13.5996619478613 29.0250665785123,-13.5941045226394 29.0245268163345,-13.5887738298726 29.0230442934551,-13.5838748468693 29.020676024819,-13.5795959156869 29.0175130804605,-13.576101493545 29.0136770767564,-13.5735258297606 29.0093154926774,-13.571967812658 29.0045959925759,-13.571487183549 28.9996999751594)))', 'ESSBT', 'San Bartolomé de Tirajana', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.43552491770126 43.7195332243245,-7.43631422413269 43.7146643189727,-7.43839770021873 43.7100006210914,-7.44169502519266 43.7057212830774,-7.44607932364159 43.7019906576756,-7.45138206567925 43.6989519971926,-7.45739955003301 43.6967219656567,-7.46390071993012 43.6953861721967,-7.47063601330021 43.6949958947564,-7.4773469116222 43.6955661179885,-7.48377582678229 43.6970749594477,-7.48967595325087 43.6994645058277,-7.4948207140573 43.7026430278136,-7.4990124434196 43.7064884900598,-7.50208997610425 43.7108532236951,-7.50393485291753 43.7155695844099,-7.50447590205825 43.7204563812329,-7.50369201588568 43.7253258310287,-7.50161301007274 43.729990772774,-7.49831852482781 43.7342718647052,-7.49393500324043 43.7380044870596,-7.48863085692597 43.7410450835127,-7.48261000094479 43.7432766953022,-7.47610400536911 43.74461347272,-7.46936316693551 43.7450039880231,-7.46264684835145 43.7444332203466,-7.45621346291721 43.7429231350224,-7.45031049672133 43.7405318347244,-7.44516495905684 43.7373513157855,-7.44097463397453 43.7335039175697,-7.43790047291836 43.7291376036817,-7.43606042178194 43.7244202590101,-7.43552491770126 43.7195332243245)))', 'ESSCI', 'San Ciprián', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.3957221848346 28.094084477633,-15.3962475704635 28.0891906496646,-15.3978393295839 28.0844817381106,-15.4004361690829 28.0801386700297,-15.4039382107115 28.0763282952606,-15.4082108419662 28.0731969823703,-15.4130898938524 28.0708650032197,-15.4183879458529 28.0694219205127,-15.423901516414 28.068923154141,-15.4294188644457 28.0693878570375,-15.4347281047866 28.0707981813212,-15.4396253290395 28.0730999626065,-15.4439224230006 28.0762047964158,-15.4474542830951 28.079993427669,-15.4500851564232 28.0843203241815,-15.4517138615105 28.0890192598364,-15.4522776885593 28.0939096943248,-15.45175482752 28.0988037055368,-15.450165227918 28.1035132090654,-15.4475698540995 28.1078571877293,-15.4440683611766 28.1116686530618,-15.4397952781172 28.1148010704676,-15.4349148426989 28.1171339999334,-15.4296146860691 28.1185777340781,-15.4240986101921 28.1190767538345,-15.4185787375699 28.1186118676944,-15.4132673377101 28.1172009514357,-15.4083686477772 28.114898259567,-15.4040710051113 28.1117923351942,-15.4005395968225 28.1080025994255,-15.3979101070268 28.1036747525983,-15.3962835065685 28.098975165506,-15.3957221848346 28.094084477633)))', 'ESSCK', 'San Cristóbal', 'Y'),('SRID=4326;MULTIPOLYGON(((0.635814378442657 40.6186767555116,0.635355945488568 40.6137855673777,0.633654299351422 40.6090565012603,0.63077507233388 40.6046712467578,0.626829082445433 40.6007982492652,0.621968048786311 40.5975862485139,0.61637874943278 40.595158577401,0.610275848078779 40.593608437951,0.603893664413962 40.5929953335902,0.597477201485978 40.5933427927222,0.591272769983109 40.5946374695336,0.58551856373568 40.5968296558309,0.580435542386941 40.5998351843927,0.576218966096598 40.6035386517378,0.573030903631925 40.6077978382342,0.570993999945028 40.6124491579265,0.570186743362997 40.6173139310167,0.570640417231542 40.6222052400874,0.572337858021613 40.6269351081657,0.575214073656203 40.6313217235623,0.579158704581722 40.6351964336983,0.584020238588245 40.6384102381081,0.589611821426736 40.640839529304,0.595718441763682 40.6423908586182,0.602105213727845 40.6430045414783,0.608526435744078 40.6426569614094,0.614735072595467 40.6413614826363,0.620492290225184 40.6391679354443,0.625576670534466 40.6361606942387,0.629792746474703 40.6324554232352,0.632978525452973 40.6281946166565,0.635011710157591 40.6235421071007,0.635814378442657 40.6186767555116)))', 'ESSCR', 'San Carlos de la Rápita', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.2116255132567 28.4812558159051,-16.2121148749374 28.4763599556947,-16.2136757198088 28.471642510817,-16.216247937393 28.467284738993,-16.2197325895216 28.4634540564969,-16.223995726022 28.4602976121272,-16.2288735379312 28.4579366418165,-16.2341786493644 28.4564618193937,-16.2397073067448 28.4559297806838,-16.2452471908677 28.4563609532119,-16.2505855543299 28.4577387739827,-16.2555173749213 28.4600103249693,-16.2598532150415 28.4630883620447,-16.2634264880618 28.4668546600911,-16.2660998544612 28.4711645468892,-16.2677705028103 28.4758524529831,-16.2683741121995 28.4807382657307,-16.2678873421091 28.4856342446807,-16.2663287513031 28.4903522334794,-16.2637581070984 28.4947108915988,-16.2602741081307 28.4985426678344,-16.2560106051344 28.5017002468757,-16.2511314628681 28.5040622200467,-16.2458242597511 28.505537760842,-16.2402930678005 28.5060701240709,-16.2347505920861 28.5056388328031,-16.2294099745581 28.5042604681109,-16.2244765805875 28.5019880308286,-16.2201400873074 28.4989089000135,-16.216567180784 28.4951414672956,-16.2138951447423 28.4908305776376,-16.2122265880765 28.4861419531715,-16.2116255132567 28.4812558159051)))', 'ESSCT', 'Santa Cruz de Tenerife', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.2866244622355 28.4882715259472,-16.2871103720722 28.4833755091445,-16.2886679393012 28.4786573103245,-16.2912371790921 28.4742982164773,-16.2947192672719 28.4704656948754,-16.2989803516979 28.4673069650548,-16.3038567017796 28.4649433506981,-16.3091609974106 28.4634656270358,-16.3146895161146 28.4629305410809,-16.3202299439533 28.4633586371071,-16.3255695127617 28.4647334699948,-16.3305031543186 28.4670022362442,-16.3348413614836 28.4700777985506,-16.338417457165 28.4738420268377,-16.3410939938562 28.4781503285042,-16.3427680386949 28.4828371952175,-16.3433751404974 28.4877225545828,-16.3428918245966 28.492618683928,-16.3413365168809 28.4973374214724,-16.3387688581904 28.5016973982103,-16.3352874319898 28.5055310124571,-16.3310259896414 28.5086908783314,-16.3261483162258 28.511055499197,-16.3208419333149 28.5125339465912,-16.3153108811544 28.5130693633194,-16.3097678593788 28.5126411547507,-16.3044260310566 28.5112657831382,-16.2994908083997 28.5089961339977,-16.2951519392564 28.5059194790463,-16.2915762014984 28.5021541147055,-16.2889009881417 28.4978448065305,-16.2872290305825 28.4931572160857,-16.2866244622355 28.4882715259472)))', 'ESSCX', 'San Cristóbal de la Laguna', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.78766704542084 43.4542416575722,-3.7882633674498 43.4493575537695,-3.79015588339876 43.4446520289594,-3.79327159879811 43.440305854771,-3.79749059642975 43.4364859607533,-3.8026506722936 43.4333390332991,-3.80855357962993 43.4309858952988,-3.81497263945645 43.4295168799687,-3.82166142638218 43.4289883740607,-3.82836319976148 43.4294206610744,-3.83482072364702 43.4307971458246,-3.84078610520646 43.4330649895514,-3.8460302806443 43.4361371315624,-3.85035179022847 43.439895621067,-3.85358450942495 43.444196133259,-3.85560404070343 43.44887349863,-3.85633251923136 43.4537480356071,-3.85574164397744 43.4586324454,-3.85385381185982 43.4633390056546,-3.8507413042776 43.4676867871048,-3.84652355008755 43.471508615511,-3.84136256398633 43.4746575099871,-3.83545673130834 43.4770123481816,-3.82903317639229 43.4784825380386,-3.82233900896604 43.4790115139952,-3.81563178880837 43.478578920991,-3.80916958108996 43.4772014007955,-3.80320099171457 43.4749319498059,-3.79795557283834 43.471857873406,-3.79363497349488 43.4680974168798,-3.7904051796416 43.4637952044946,-3.78839014345147 43.4591166645975,-3.78766704542084 43.4542416575722)))', 'ESSDR', 'Santander', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.1606185643969 28.5052453618177,-16.1611103558284 28.5003496292519,-16.1626738031322 28.4956327087292,-16.1652486958467 28.4912758375771,-16.1687359931721 28.4874463972628,-16.1730016435741 28.4842914887306,-16.1778817418488 28.4819322888691,-16.1831888246342 28.4804594035463,-16.1887190629424 28.4799293943084,-16.1942600770693 28.4803626109146,-16.1995990763104 28.4817424120699,-16.2045310139971 28.484015803885,-16.2088664478577 28.487095471686,-16.2124388065846 28.4908631278051,-16.2151107854257 28.4951740478558,-16.2167796258881 28.499862622599,-16.2173810761908 28.5047487135336,-16.216891878531 28.5096445692927,-16.2153306848381 28.514362038003,-16.2127573624821 28.5187197988805,-16.20927071319 28.5225503350057,-16.2050046898385 28.5257063786069,-16.2001232544094 28.5280665799914,-16.1948140738345 28.5295401808186,-16.1892812964711 28.5300705106129,-16.1837376885714 28.5296371708134,-16.1783964357189 28.5282568214702,-16.173462927674 28.5259825399293,-16.1691268457812 28.5229017763172,-16.1655548600048 28.5191329851293,-16.1628842183185 28.5148210635558,-16.1612174756453 28.5101317733087,-16.1606185643969 28.5052453618177)))', 'ESSEM', 'San Andrés', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.04965522824523 43.5481181299226,-6.05055296937383 43.5432617089528,-6.05273567093752 43.5386259574777,-6.05611921129477 43.5343889479758,-6.06057341747759 43.5307134031199,-6.06592708970559 43.5277404581506,-6.07197458454938 43.5255842544464,-6.0784837031659 43.5243275694248,-6.08520458368808 43.5240186482499,-6.09187926073345 43.5246693571614,-6.09825153111777 43.5262547282817,-6.10407675387746 43.528713913271,-6.10913121492223 43.5319525100649,-6.11322070201899 43.5358461750435,-6.11618796395948 43.5402453841844,-6.11791876793364 43.5449811628597,-6.11834632018106 43.5498715665619,-6.11745387538835 43.5547286654723,-6.11527542809929 43.5593657656031,-6.11189445228082 43.5636045891554,-6.10744073047274 43.5672821372837,-6.10208538871301 43.5702569697674,-6.09603432460144 43.5724146578712,-6.0895202803696 43.5736721981906,-6.08279386776526 43.5739812153503,-6.07611389438101 43.5733298284977,-6.06973736972133 43.5717431087207,-6.0639095824248 43.5692821096804,-6.05885463700879 43.5660415096138,-6.05476681944677 43.5621459571213,-6.05180312677478 43.5577452635818,-6.05007724841399 43.5530086296094,-6.04965522824523 43.5481181299226)))', 'ESSEO', 'San Esteban de Pravia', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.17504105390806 36.440270843205,-6.17581287709092 36.4354049496507,-6.17774449994349 36.4307541854877,-6.18076152222027 36.4264972160522,-6.18474789994888 36.4227975533169,-6.18955042032156 36.4197972845456,-6.19498459234728 36.417611625447,-6.20084172648651 36.4163245050992,-6.20689693277083 36.4159853504044,-6.21291773334337 36.4166071921638,-6.21867296297445 36.4181661647199,-6.22394162058547 36.4206024183357,-6.22852133647752 36.4238224099685,-6.23223613377746 36.4277024858026,-6.23494318819448 36.4320936197226,-6.2365383267733 36.4368271276756,-6.23696005281318 36.4417211402395,-6.23619193900912 36.4465875861651,-6.23426329231798 36.4512394193774,-6.23124805989177 36.4554978117873,-6.2272620132141 36.4591990347874,-6.22245831469281 36.4622007635775,-6.21702163468102 36.4643875601744,-6.21116104453629 36.465675322326,-6.2051019603728 36.4660145254212,-6.19907745041979 36.4653921312903,-6.19331924462684 36.4638320896842,-6.18804879716633 36.4613944130935,-6.18346875022528 36.4581728611959,-6.17975513107563 36.4542913253433,-6.17705058464511 36.4498990539256,-6.17545890207071 36.4451649041692,-6.17504105390806 36.440270843205)))', 'ESSFO', 'San Fernando', 'Y'),('SRID=4326;MULTIPOLYGON(((3.07142918932321 41.780984079613,3.07078148928175 41.7761030301177,3.06887429965368 41.7714103263586,3.06578115198299 41.7670862466955,3.06162107368772 41.7632968741702,3.05655398970985 41.7601877275687,3.05077456832256 41.7578781851349,3.04450474884471 41.7564569128136,3.03798523707891 41.7559784703038,3.03146629158082 41.7564612233161,3.02519814930631 41.7578866409098,3.01942145206429 41.7602000044413,3.01435803517532 41.7633125013614,3.01020242680169 41.7671046247591,3.00711438092277 41.771430750051,3.00521272958838 41.776124715345,3.0045707919715 41.7810061934454,3.00521352031726 41.7858876126823,3.00711649799232 41.7905813619877,3.01020683468411 41.7949070038269,3.01436593092091 41.798698217331,3.01943401127083 41.8018092034419,3.02521625577271 41.804120303867,3.03149029531435 41.8055426154713,3.03801478162639 41.806021420334,3.04453869882302 41.8055382975798,3.05081105305171 41.8041118344392,3.05659056127144 41.8017969087308,3.06165496021605 41.7986825708316,3.06580957221478 41.7948886079248,3.06889479497795 41.7905609246424,3.07079222624973 41.7858659200661,3.07142918932321 41.780984079613)))', 'ESSFU', 'San Feliu de Guixols', 'Y'),('SRID=4326;MULTIPOLYGON(((1.8601433451841 41.2363329007318,1.85959134075354 41.2314456484837,1.85778711549269 41.2267335787039,1.85480024458944 41.2223777207993,1.85074567759774 41.218545384573,1.84577929583632 41.2153837433,1.84009191189716 41.2130141933422,1.83390194336513 41.2115277047182,1.82744704128292 41.210981338915,1.82097499170715 41.2113960656782,1.81473423479078 41.2127559612226,1.80896435946829 41.2150088180621,1.80388693264563 41.2180681433405,1.79969700979299 41.2218164700748,1.79655564933842 41.2261098559729,1.79458371695488 41.2307833992699,1.79385721877752 41.2356575620078,1.79440434621092 41.2405450598629,1.79620435109455 41.2452580552323,1.79918830075439 41.2496153777968,1.80324169036951 41.2534494947721,1.80820881786669 41.2566129617804,1.81389875712301 41.2589841045082,1.82009270153003 41.2604717104519,1.82655239475394 41.2610185480225,1.83302932132966 41.260603575652,1.83927429862457 41.2592427545173,1.84504709518956 41.2569884330171,1.85012569938616 41.2539273269894,1.85431487650026 41.2501771745201,1.85745368163635 41.2458821958526,1.85942163814582 41.2412075352368,1.8601433451841 41.2363329007318)))', 'ESSIT', 'Sitges', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.90063152063173 43.5898779088499,-5.90105764297852 43.5849874993107,-5.90278792362717 43.5802514716267,-5.90575558825026 43.5758517798919,-5.9098463879792 43.5719574172233,-5.91490302076151 43.5687179343321,-5.92073119074879 43.5662577087213,-5.92710707070127 43.5646711822549,-5.93378588130306 43.5640192474895,-5.94051126107659 43.5643269192643,-5.94702507240355 43.5655823792641,-5.95307727375605 43.5677374293843,-5.95843548600657 43.5707093365953,-5.9628938916571 43.5743839995216,-5.96628112970263 43.5786203169838,-5.96846688496603 43.5832555930945,-5.96936691809349 43.5881117738262,-5.96894633958561 43.5930022777811,-5.96722099647651 43.5977391604532,-5.96425691139842 43.6021403375846,-5.96016778826648 43.6060365899204,-5.95511067388582 43.6092780790646,-5.94927993742307 43.6117401220804,-5.9428997968402 43.6133280004203,-5.93621568009561 43.6139806157169,-5.92948475647966 43.6136728495263,-5.92296600761118 43.6124165345375,-5.91691022671441 43.6102599990197,-5.9115503378699 43.6072862021411,-5.90709241382122 43.603609532962,-5.90370774225313 43.5993713980955,-5.90152624761939 43.5947347701123,-5.90063152063173 43.5898779088499)))', 'ESSJX', 'San Juan de Nieva', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.82253942410004 43.6846501805671,-7.82329694103109 43.6797782083488,-7.82534930309914 43.6751070690983,-7.82861738296717 43.6708162030773,-7.83297542545746 43.6670704073344,-7.83825590522852 43.6640135176484,-7.84425597193573 43.6617628981931,-7.85074523411559 43.6604049480691,-7.85747458443417 43.6599917948451,-7.8641857314945 43.660539300081,-7.87062107815803 43.6620264521559,-7.87653357398754 43.6643961693765,-7.88169617029201 43.6675574831601,-7.88591052033383 43.6713890189736,-7.88901459418093 43.6757436435195,-7.89088891672843 43.6804541021826,-7.89146118747548 43.6853394326467,-7.89070910022852 43.6902119103264,-7.88866124811826 43.6948842600576,-7.88539607188176 43.6991768572941,-7.88103888464481 43.7029246414255,-7.8757570815436 43.7059834739589,-7.86975371438705 43.7082356949398,-7.86325967710193 43.7095946614494,-7.85652480398899 43.7100080911833,-7.84980822724133 43.7094600804856,-7.84336837061889 43.7079717179291,-7.83745297115948 43.7056002694922,-7.8322895196051 43.7024369673198,-7.82807649289667 43.6986034886592,-7.82497571950004 43.6942472625887,-7.82310617205618 43.6895357875409,-7.82253942410004 43.6846501805671)))', 'ESSMR', 'Santa Marta Ortigueira', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.95515808160269 42.5599917540513,-8.95581178817955 42.5551112224782,-8.95774060370095 42.5504187264128,-8.96087015572801 42.5460945347069,-8.96508001115651 42.5423047323239,-8.97020832960069 42.5391948516887,-8.9760580915779 42.5368842963168,-8.98240466084377 42.5354617685318,-8.98900439164819 42.534981874508,-8.99560395400234 42.5354630350104,-9.00195002434243 42.5368867807271,-9.00779897595402 42.5391984587834,-9.01292620352831 42.5423093237816,-9.01713472926065 42.5460999344022,-9.02026276362106 42.5504247271357,-9.02218993162156 42.555117593852,-9.02284192399807 42.5599982513511,-9.022193390753 42.5648791602304,-9.02026896011852 42.5695727286085,-9.01714233697449 42.5738985243836,-9.01293350852897 42.5776902183878,-9.00780415881821 42.5808019902139,-9.00195146432519 42.5831141484297,-8.99560050774297 42.584537746693,-8.98899560275106 42.5850180158586,-8.98239086706208 42.5845364780496,-8.97604041183381 42.5831116600195,-8.97018853134045 42.580798377893,-8.96506027678622 42.5776856212733,-8.96085278232348 42.5738931194622,-8.95772768048014 42.5695667238857,-8.95580489979474 42.5648727866919,-8.95515808160269 42.5599917540513)))', 'ESSNI', 'Santa Eugenia de Riveira', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.4266692394702 43.4461332482695,-3.42729455007524 43.4412508938085,-3.42921484626204 43.4365512152094,-3.4323560683803 43.4322147576937,-3.43659732255722 43.4284080762383,-3.44177555365511 43.4252773490708,-3.44769182136841 43.4229427769143,-3.45411893678307 43.4214939806641,-3.46081016725548 43.4209865717952,-3.46750867902219 43.4214400251058,-3.47395736061213 43.4228369340509,-3.47990865661101 43.4251236767213,-3.48513404097857 43.4282124673171,-3.48943277194758 43.4319847156693,-3.49263959620036 43.4362955678305,-3.49463110782554 43.4409794557815,-3.49533051643914 43.4458564455597,-3.49471063735349 43.4507391420674,-3.49279498294776 43.4554398867382,-3.48965690620348 43.459777972051,-3.4854168221385 43.4635865952118,-3.48023760775089 43.4667192823858,-3.47431835304243 43.4690555344568,-3.46788670166978 43.4705054747777,-3.46119007683532 43.4710133176986,-3.45448613354591 43.470559522341,-3.44803281017345 43.4691615473233,-3.44207836880185 43.4668731768549,-3.43685181432558 43.4637824445535,-3.4325540666496 43.4600082361949,-3.42935022939344 43.4556957041201,-3.42736325372499 43.4510106720993,-3.4266692394702 43.4461332482695)))', 'ESSNN', 'Santoña', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99473196525356 43.3330035550887,-2.99539078501304 43.3281234594108,-2.99734088182712 43.3234309337373,-3.00050705512753 43.3191062465688,-3.00476745739031 43.3153154995248,-3.00995830294911 43.3122042584185,-3.01588017135741 43.3098919760445,-3.0223056616971 43.30846741846,-3.02898810511503 43.3079852679778,-3.03567100477845 43.308464031264,-3.04209784645332 43.3098853314921,-3.04802190973134 43.3121946112495,-3.05321570990957 43.3153032196814,-3.05747971366137 43.3190918050999,-3.06064999758199 43.323414884827,-3.06260455674287 43.3281064192019,-3.06326801946806 43.3329861780975,-3.06261458319082 43.3378666574638,-3.06066905259931 43.3425602815667,-3.05750593309608 43.3468866146801,-3.05324660729189 43.3506793046042,-3.04805469697131 43.3537924897404,-3.04212978468049 43.3561064213327,-3.03569973474077 43.3575320822454,-3.02901191016335 43.3580146221937,-3.02232362701445 43.3575354752189,-3.01589221911567 43.3561130765604,-3.0099651020418 43.3538021508574,-3.00477022540821 43.3506915995448,-3.00050728642144 43.3469010700969,-2.9973400463847 43.3425763411523,-2.99539004682251 43.3378837034501,-2.99473196525356 43.3330035550887)))', 'ESSNR', 'Santurce', 'Y'),('SRID=4326;MULTIPOLYGON(((3.20323302646134 39.3329481848904,3.20259958577062 39.3280657695747,3.20075204559445 39.3233731178882,3.19776161679162 39.3190505105363,3.19374335982669 39.3152639809688,3.18885174182889 39.3121589472828,3.18327469330191 39.309854638504,3.17722639395605 39.3084395272199,3.17093906368526 39.3079679418834,3.16465407084368 39.3084579871185,3.15861269461592 39.3098908507217,3.15304689071459 39.3122115235749,3.14817040952518 39.3153309052627,3.14417060315675 39.319129215738,3.14120123299938 39.3234605838086,3.1393765530521 39.328158638323,3.13876689754659 39.333042889402,3.13939594570328 39.3379256563643,3.14123977363751 39.3426192773668,3.14422773564545 39.3469433241346,3.14824514680994 39.35073154408,3.15313766876769 39.3538382617614,3.1587172333958 39.3561439917799,3.1647692779306 39.3575600451769,3.17106101230684 39.3580319500714,3.17735039768476 39.3575415531894,3.1833954861554 39.3561077202696,3.18896375685063 39.3537856079998,3.19384108383816 39.3506645359337,3.19783998624433 39.3468645414634,3.20080684029964 39.3425317521538,3.20262777505896 39.3378327555271,3.20323302646134 39.3329481848904)))', 'ESSNY', 'Santañy', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.7405998150958 28.6755782960232,-17.7410182449059 28.6706809002749,-17.7425118949213 28.6659495934335,-17.7450232304085 28.6615661719463,-17.7484556437548 28.6576990417234,-17.7526771819794 28.6544967534795,-17.7575256247654 28.6520823032796,-17.7628147167905 28.6505484159081,-17.7683413151213 28.6499539907975,-17.7738931785662 28.6503218456907,-17.7792571022754 28.6516378436694,-17.78422708827 28.6538514365024,-17.7886122413692 28.6568776034237,-17.7922440901846 28.6606001113979,-17.7949830541187 28.6648759726473,-17.7967238089572 28.6695409295399,-17.7973993446301 28.6744157575824,-17.7969835576628 28.67931314572,-17.795492276074 28.684044890636,-17.7929826740257 28.6884291291903,-17.7895510952304 28.6922973310818,-17.7853293656157 28.695500782444,-17.7804797346359 28.6979163101378,-17.7751886385046 28.6994510253399,-17.7696595252625 28.7000459025881,-17.7641050189738 28.6996780553055,-17.7587387268374 28.698361619252,-17.7537670074041 28.6961472093515,-17.7493810197548 28.6931199707613,-17.7457493623305 28.6893962996689,-17.743011586591 28.685119360926,-17.7412728358583 28.6804535762032,-17.7405998150958 28.6755782960232)))', 'ESSPC', 'Santa Cruz de La Palma', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.525306350871296 38.1893358974241,-0.526080478212024 38.1844688191382,-0.528042534834996 38.1798144261678,-0.531116933353192 38.1755515213043,-0.535185412396715 38.171843840571,-0.54009159860838 38.1688337738831,-0.545647019576853 38.1666369074041,-0.551638336106725 38.1653375951572,-0.557835517519193 38.1649857280236,-0.564000649339012 38.1655948226779,-0.569897039787857 38.1671415029633,-0.575298280648581 38.1695663935144,-0.579996919612958 38.1727763920004,-0.583812415148708 38.1766482341081,-0.586598070835116 38.1810332162155,-0.588246683272672 38.1857628964361,-0.588694684952404 38.190655557005,-0.587924619383239 38.1955231812979,-0.585965848464906 38.2001786783256,-0.582893459365799 38.2044430772139,-0.578825407539715 38.2081524144882,-0.573918001303375 38.2111640480398,-0.568359898805389 38.2133621531644,-0.562364847479607 38.2146621872661,-0.556163446593911 38.2150141495677,-0.549994253000579 38.2144045089061,-0.544094576846554 38.2128567245628,-0.53869132656793 38.2104303399862,-0.533992260388334 38.207218684959,-0.530177984879211 38.203345275988,-0.527395010722857 38.1989590552356,-0.525750133080022 38.1942286531608,-0.525306350871296 38.1893358974241)))', 'ESSPO', 'Santa Pola', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.759453536580838 37.8344037925487,-0.760207321309417 37.8295342905582,-0.762144170655251 37.824874957532,-0.765189467892144 37.8206047878071,-0.769226070159044 37.8168877982383,-0.774098827448475 37.8138667378159,-0.779620548779978 37.8116576160191,-0.785579185716149 37.8103452580327,-0.791745958713896 37.8099800556101,-0.797884117448496 37.8105760368312,-0.803758003241969 37.8121103279857,-0.809142070751705 37.8145240281155,-0.813829527457718 37.8177244632844,-0.817640263201592 37.8215887353487,-0.820427767695407 37.8259684307635,-0.822084770790186 37.8306953106073,-0.822547387257019 37.8355877651984,-0.821797603404803 37.8404577868899,-0.819864005189928 37.8451181940579,-0.816820714383493 37.8493898288374,-0.812784568385457 37.8531084513323,-0.80791064774003 37.856131063954,-0.802386320537662 37.8583414209152,-0.796424031935853 37.8596545089882,-0.790253117410929 37.8600198252706,-0.78411095779805 37.8594233243482,-0.778233820873062 37.8578879590511,-0.772847746933995 37.8554727938662,-0.76815983396127 37.8522707257711,-0.764350261575306 37.8484049015078,-0.761565362952913 37.8440239709292,-0.759912011522645 37.8392963609993,-0.759453536580838 37.8344037925487)))', 'ESSPP', 'San Pedro del Pinatar', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.16806345436171 36.3842699919074,-6.16883492194768 36.3794040981769,-6.1707653426117 36.3747533662595,-6.17378036282093 36.3704964603318,-6.17776401588803 36.3667968900633,-6.18256319384005 36.3637967393383,-6.18799353402253 36.3616112195131,-6.1938464938193 36.3603242544798,-6.19989734317647 36.3599852652952,-6.20591377107393 36.3606072764614,-6.21166477972031 36.362166415801,-6.21692952973362 36.3646028270882,-6.22150580123411 36.367822961084,-6.22521774958565 36.371703158328,-6.22792266009041 36.376094387855,-6.22951644251378 36.3808279617714,-6.22993765277436 36.3857220079965,-6.2291698839865 36.3905884539259,-6.22724243045074 36.3952402534941,-6.22422919398162 36.3994985799844,-6.22024586970799 36.4031997074598,-6.21544551554657 36.4062013149652,-6.21001267321866 36.4083879693627,-6.2041562662693 36.4096755740318,-6.19810154955035 36.4100146105368,-6.1920814228531 36.4093920471713,-6.18632744707805 36.4078318401803,-6.18106091332569 36.4053940083299,-6.17648431303366 36.4021723171271,-6.17277354089319 36.398290663103,-6.1700711325343 36.3938982990043,-6.16848079726245 36.3891640854527,-6.16806345436171 36.3842699919074)))', 'ESSPT', 'Sancti Petri', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.6677082385999 28.1521408021637,-15.6682214883022 28.147246150115,-15.6698021177054 28.1425342831091,-15.6723892600596 28.1381862427892,-15.6758834080399 28.1343690706841,-15.680150250637 28.1312293966962,-15.6850258396166 28.1288878136068,-15.6903228862614 28.1274342523526,-15.6958379469866 28.1269245343467,-15.701359223482 28.1273782320791,-15.7066746803689 28.1287779193378,-15.711580171694 28.1310698395031,-15.7158872672844 28.1341659664444,-15.7194304810621 28.1379473795625,-15.722073625508 28.1422688244519,-15.7237150488561 28.1469642853394,-15.7242915532227 28.1518533566125,-15.7237808413326 28.1567481698576,-15.7222023950761 28.161460611101,-15.7196167488388 28.1658095512769,-15.7161231821753 28.169627811862,-15.7118559175945 28.1727685972425,-15.7069789675736 28.1751111454376,-15.7016798280362 28.1765653785822,-15.6961622611909 28.1770753729736,-15.6906384468823 28.1766215140447,-15.6853208068483 28.1752212525483,-15.6804138194067 28.1729284325265,-15.6761061425004 28.1698312171051,-15.6725633507074 28.1660486925946,-15.6699215673032 28.1617262825997,-15.6682822368474 28.1570301498222,-15.6677082385999 28.1521408021637)))', 'ESSRL', 'Sardina', 'Y'),('SRID=4326;MULTIPOLYGON(((1.54906345605757 38.9834031709389,1.54854706486968 38.9785132586616,1.54681854977266 38.9737959198794,1.54394455259466 38.969432392223,1.54003567017218 38.9655902878069,1.53524218130147 38.9624171635353,1.5297482621408 38.9600348647199,1.52376491378126 38.9585348572333,1.51752187294651 38.9579747253647,1.51125881374347 38.9583759680216,1.50521617396163 38.9597231765844,1.49962595287616 38.9619646253976,1.49470282847624 38.9650142524535,1.49063593049761 38.9687549552268,1.48758158192159 38.9730430767388,1.48565728640128 38.9777139115959,1.4849371934404 38.9825880226276,1.48544921849651 38.9874781273435,1.48717393328478 38.9921962909756,1.49004527453938 38.9965611503172,1.4939530497642 39.0004048905171,1.49874714872429 39.003579705638,1.5042433023813 39.0059634929514,1.51023016946257 39.0074645599745,1.51647747755081 39.008025161113,1.52274490288796 39.0076237260173,1.52879134297969 39.006275692604,1.53438421998786 39.0040329121049,1.53930845158327 39.0009816492648,1.54337473947019 38.9972392556425,1.54642685354873 38.992949645633,1.54834763034803 38.9882777512402,1.54906345605757 38.9834031709389)))', 'ESSTE', 'Santa Eulalia del Río', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.70462987889278 43.5613147733081,-6.70547541753809 43.5564520286958,-6.7076089142356 43.5518026441393,-6.71094813326295 43.5475452189738,-6.71536459802492 43.5438432622398,-6.72068855142268 43.5408389245633,-6.72671548474632 43.5386475526453,-6.73321398342105 43.5373532730095,-6.73993459015333 43.5370057722265,-6.74661934942966 43.5376183953578,-6.75301167295 43.5391676345061,-6.75886615409515 43.5415940269156,-6.76395796124814 43.5448044289121,-6.76809145468304 43.5486755799869,-6.77110769942083 43.5530588223894,-6.77289058618826 43.5577857974696,-6.77337132327908 43.5626749023709,-6.77253112218616 43.5675382609621,-6.77040196742562 43.5721889423412,-6.76706543369947 43.5764481497436,-6.76264958878978 43.5801521027995,-6.75732409542774 43.5831583469611,-6.75129369676819 43.5853512452823,-6.74479033495169 43.586646438858,-6.73806420764145 43.5869941019785,-6.73137411080966 43.5863808648678,-6.72497744535147 43.584830328896,-6.71912027890694 43.5824021542488,-6.71402785190514 43.5791897559302,-6.70989589843761 43.5753166983707,-6.70688311903661 43.570931929566,-6.70510509540911 43.5662040405466,-6.70462987889278 43.5613147733081)))', 'ESSTR', 'Ortiguera', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99968092395249 43.4333051915374,-4.00025999513122 43.4284201312839,-4.00213539610249 43.423711246208,-4.00523478907786 43.4193594381546,-4.00943888226681 43.415531853956,-4.01458604208795 43.4123754758872,-4.02047851562802 43.4100114898959,-4.02689002258214 43.4085306454981,-4.03357442609405 43.4079897830778,-4.04027515308265 43.4084096598113,-4.04673500789025 43.409774156211,-4.0527060091393 43.4120308931398,-4.05795887890058 43.4150932359552,-4.06229182567149 43.418843610089,-4.06553828790393 43.4231380027264,-4.06757334222251 43.4278114801111,-4.06831852897767 43.432684511035,-4.06774490594465 43.4375698557624,-4.06587420697541 43.4422797572347,-4.06277805402157 43.44663315887,-4.05857524560948 43.4504626712279,-4.05342721972421 43.4536210184887,-4.04753186112872 43.4559867149128,-4.04111588935106 43.4574687505864,-4.03442612097668 43.4580101037642,-4.02771994583902 43.4575899425565,-4.02125538902781 43.4562244297596,-4.01528114775838 43.453966099248,-4.01002699322342 43.4509018282729,-4.00569491251998 43.4471494849475,-4.00245133534455 43.442853381878,-4.00042074584836 43.4381787132184,-3.99968092395249 43.4333051915374)))', 'ESSUN', 'Suances', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.36070968952283 43.3904132029015,-4.3612593738062 43.3855266651661,-4.363105422557 43.3808122101947,-4.3661766243468 43.3764509557468,-4.37035476773361 43.3726104130337,-4.3754792124166 43.3694380629649,-4.38135307412568 43.3670557051176,-4.38775078383173 43.3655547940759,-4.39442673185522 43.3649929397811,-4.40112466839562 43.3653917041241,-4.40758750500797 43.3667357768667,-4.413567147343 43.3689735618751,-4.41883398841155 43.372019151457,-4.42318570375133 43.3757556142121,-4.42645501483634 43.380039472094,-4.42851612419646 43.3847061971395,-4.42928957395668 43.3895765192211,-4.42874533743156 43.3944633046949,-4.42690401919661 43.3991787432263,-4.42383611050247 43.4035415673176,-4.41965932144693 43.4073840267938,-4.41453408614549 43.4105583489357,-4.408657409232 43.412942433936,-4.40225528832458 43.4144445642666,-4.3955740046684 43.4150069443606,-4.3888706203664 43.4146079322789,-4.38240305323656 43.4132628759755,-4.37642011780693 43.4110235213228,-4.37115192241023 43.4079760149774,-4.36680099769227 43.4042375801493,-4.3635345018133 43.3999519951155,-4.3614778036535 43.3952840507818,-4.36070968952283 43.3904132029015)))', 'ESSVB', 'San Vicente Barquera', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.95265999833741 37.3887873742434,-5.95307068360587 37.3838936789491,-5.95466980295803 37.3791579363174,-5.95739569663376 37.3747621009567,-5.96114345975749 37.3708750357509,-5.96576899659007 37.3676460326991,-5.97109456883844 37.3651990887495,-5.97691562318356 37.3636281546214,-5.98300863609641 37.3629935370847,-5.98913967691464 37.363319591024,-5.99507336417461 37.3645937885226,-6.00058187608955 37.3667671999817,-6.00545367422709 37.3697563688307,-6.00950160990166 37.3734465086344,-6.01257010524032 37.3776959012603,-6.01454113463365 37.3823413290574,-6.0153387763186 37.387204334412,-6.01493215677721 37.3920980680791,-6.01333667074423 37.3968344645937,-6.01061342484011 37.4012314697995,-6.0068669208411 37.4051200427148,-6.00224106279566 37.4083506618051,-5.99691363789812 37.4107990840952,-5.9910894815163 37.4123711338017,-5.98499258943631 37.4130063343178,-5.9788574828889 37.4126802420056,-5.97292016230858 37.4114053906237,-5.96740900262247 37.4092308093187,-5.96253594536199 37.40624013276,-5.95848833090239 37.4025483769178,-5.95542168821408 37.398297505952,-5.953453760857 37.3936509625771,-5.95265999833741 37.3887873742434)))', 'ESSVQ', 'Sevilla', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.77124443436753 42.3999376147029,-8.77191071366875 42.3950580233803,-8.77384829778011 42.3903685100171,-8.77698248046716 42.3860492283161,-8.78119265374118 42.3822660744858,-8.78631696749723 42.3791643258545,-8.79215855769351 42.3768630742405,-8.79849310247918 42.3754506655247,-8.80507741731481 42.3749813182247,-8.8116587626497 42.3754730489475,-8.81798451219773 42.3769069830793,-8.8238118169896 42.3792280767376,-8.82891690052261 42.3823472227566,-8.833103633475 42.3861446611807,-8.83621106225008 42.3904745653018,-8.83811960335578 42.395170629467,-8.83875566422625 42.4000524463853,-8.83809450908979 42.4049324309495,-8.8361612540262 42.409623025891,-8.83302994621191 42.4139439128466,-8.82882075596205 42.4177289512227,-8.82369538372439 42.420832576786,-8.81785085468433 42.4231354119722,-8.81151193810474 42.4245488698157,-8.80492248409135 42.4250185720786,-8.79833601458873 42.4245264481138,-8.79200593599174 42.4230914324029,-8.78617575632837 42.420768733489,-8.78106968977421 42.4176477029239,-8.77688401530641 42.4138483875683,-8.77377952537631 42.4095168998757,-8.77187535606325 42.4048197865837,-8.77124443436753 42.3999376147029)))', 'ESSXX', 'Sanjenjo', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.81612846911764 42.6149506475964,-8.81679360571269 42.6100709765887,-8.81873454544214 42.6053808872494,-8.82187645012202 42.6010605551645,-8.82609841278871 42.5972759163588,-8.83123812916372 42.5941723044638,-8.83709814345515 42.5918688820401,-8.84345342720048 42.5904540775625,-8.85006000132603 42.589982200946,-8.85666427398515 42.5904713655884,-8.86301274111391 42.591902795402,-8.86886168371374 42.5942215429932,-8.87398649598084 42.5973385919017,-8.87819029155128 42.6011342635254,-8.88131146096663 42.6054627999156,-8.88322989128048 42.6101579488105,-8.88387160744009 42.6150393387645,-8.88321165322504 42.6199194014898,-8.88127509525066 42.6246105768023,-8.8781361046187 42.6289325237863,-8.87391514465512 42.6327190605636,-8.86877436698528 42.6358245645538,-8.86291138897296 42.638129585142,-8.85655169028003 42.6395454505469,-8.8499399221162 42.6400176893368,-8.84333046707405 42.6395281329764,-8.83697761818897 42.638095617189,-8.83112576154251 42.6357752546978,-8.82599994657536 42.6326563078173,-8.82179721230279 42.6288587440986,-8.81867900660957 42.6245286095449,-8.81676499124204 42.6198323997235,-8.81612846911764 42.6149506475964)))', 'ESTAG', 'Teis-Chapela', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.3417491919223 27.9900731020337,-15.3422765731426 27.9851793884716,-15.343869213191 27.98047102342,-15.3464657859456 27.9761289128727,-15.3499664241404 27.9723198699563,-15.3542365697132 27.9691902122754,-15.3591121494 27.966860148404,-15.3644058759928 27.9654191678174,-15.3699144337225 27.9649226099939,-15.3754262734543 27.9653895433025,-15.3807297208801 27.9668020343504,-15.3856210893771 27.9691058355479,-15.3899124890425 27.9722124647085,-15.3934390346208 27.9760025975381,-15.3960651772373 27.9803306438256,-15.3976899173401 27.9850303328945,-15.3982506979414 27.9899210951124,-15.3977258267499 27.9948149954649,-15.3961353313686 27.9995239536033,-15.3935402114134 28.0038669732418,-15.3900401129747 28.007677102853,-15.3857695119415 28.0108078593927,-15.3808925509173 28.0131388669958,-15.3755967274061 28.0145804925123,-15.3700856764139 28.015077298279,-15.3645713266523 28.0146101781799,-15.3592657345589 28.0131970940448,-15.3543729132629 28.0108923837558,-15.3500809738423 28.0077846679003,-15.3465548837255 28.0039934362119,-15.3439301224468 27.9996644461931,-15.342307479262 27.9949641121946,-15.3417491919223 27.9900731020337)))', 'ESTAN', 'Taliarte - Melenara', 'Y'),('SRID=4326;MULTIPOLYGON(((1.27407036132834 41.1085002923614,1.27356276743448 41.1036109664935,1.27180403416133 41.0988904722016,1.2688619901498 41.0945201656867,1.26484986623488 41.0906679143186,1.25992191829087 41.0874816579323,1.25426748834969 41.0850837387979,1.24810373385578 41.0835662158459,1.24166730360628 41.0829873408308,1.2352052770416 41.0833693297386,1.22896570998997 41.0846975135734,1.22318814399205 41.0869209004681,1.21809443756505 41.0899541277629,1.21388026618645 41.0936807301684,1.21070761371265 41.0979576002772,1.2086985420795 41.1026204723118,1.20793047950202 41.1074902207676,1.20843321141834 41.1123797340302,1.21018769489589 41.1171011003589,1.2131267482863 41.1214728307928,1.21713759604972 41.1253268411839,1.22206617659488 41.1285149239016,1.22772305158268 41.1309144586336,1.23389069133281 41.1324331404889,1.24033185555291 41.1330125412807,1.2467987440979 41.1326303649778,1.25304256094654 41.1313013091056,1.25882311756477 41.1290764982911,1.26391810014073 41.126041511973,1.2681316389154 41.1223130832363,1.27130184634117 41.1180345975306,1.27330703271891 41.1133705665933,1.27407036132834 41.1085002923614)))', 'ESTAR', 'Tarragona', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9156122176457 28.6456144173836,-17.916022457972 28.640717046196,-17.9175077596503 28.6359843754316,-17.920010908391 28.6315982547232,-17.9234356104081 28.6277271942874,-17.927650207991 28.6245198961709,-17.9324927463518 28.6220995489353,-17.9377771959339 28.6205591036333,-17.9433005913035 28.6199577110954,-17.9488508138187 28.6203184560262,-17.954214721602 28.6216274738928,-17.9591863176627 28.6238344839359,-17.963574645729 28.6268547177846,-17.9672111134709 28.6305721701114,-17.969955963984 28.6348440474534,-17.9717036479753 28.6395062456285,-17.9723868900001 28.6443796467785,-17.9719792909737 28.6492769954764,-17.9704963643461 28.6540100907678,-17.9679949628273 28.6583970183898,-17.9645711142043 28.6622691452803,-17.9603563462661 28.6654776070348,-17.9555126397356 28.6678990379384,-17.9502262020122 28.6694403219595,-17.9447003012064 28.6700421805802,-17.9391474373902 28.6696814581392,-17.9337811545555 28.6683720157452,-17.9288078112733 28.6661641987882,-17.9244186298137 28.6631428984845,-17.9207823324281 28.6594242825197,-17.9180386500855 28.6551513215102,-17.9162929542352 28.6504882846163,-17.9156122176457 28.6456144173836)))', 'ESTAZ', 'Tazacorte', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9266130363926 28.6436166831042,-17.9270227625505 28.6387193149992,-17.9285075385481 28.6339865601645,-17.9310101702745 28.6296002715123,-17.9344343837639 28.6257289657499,-17.9386485400123 28.6225213543707,-17.9434907011168 28.6201006379732,-17.9487748519468 28.6185597817752,-17.9542980384914 28.6179579523592,-17.9598481500991 28.6183182511687,-17.9652120491478 28.619626830762,-17.9701837390051 28.6218334271738,-17.9745722598433 28.6248532878921,-17.9782090119912 28.6285704219096,-17.98095422769 28.6328420479972,-17.9827023436848 28.6375040716501,-17.9833860679873 28.6423773817556,-17.9829789830139 28.647274726435,-17.9814965824666 28.6520079049418,-17.9789956988159 28.6563949998637,-17.9755723398987 28.6602673717461,-17.9713580146179 28.6634761467887,-17.9665146866099 28.6658979472357,-17.9612285486557 28.6674396428325,-17.9557028572877 28.6680419392057,-17.9501501044945 28.6676816638218,-17.9447838299948 28.666372660556,-17.9398103920621 28.6641652578742,-17.9354210166527 28.6611443310355,-17.9317844335382 28.6574260333548,-17.9290403847435 28.653153323218,-17.9272942558727 28.6484904601666,-17.9266130363926 28.6436166831042)))', 'ESTJF', 'Tijarafe', 'Y'),('SRID=4326;MULTIPOLYGON(((2.97039860431658 41.7220134567924,2.96975914793251 41.7171317893072,2.9678610570734 41.7124373625851,2.96477751352209 41.708110521795,2.96062717605587 41.7043174565876,2.95556959619568 41.7012038279846,2.94979907822455 41.6988891865767,2.94353722070025 41.6974623941277,2.93702442477711 41.696978222122,2.9305106919815 41.6974552559368,2.92424605957603 41.6988751838161,2.91847103459103 41.7011834974869,2.91340738764676 41.7042915779626,2.90924965483591 41.7080800877248,2.90615767053239 41.7124035409529,2.90425041674444 41.7170958785717,2.90360142661633 41.7219768362854,2.90423592235678 41.7268588629369,2.90612980307543 41.7315543247173,2.90921052794489 41.7358827188796,2.9133598673069 41.7396776192864,2.91841842159344 41.7427930855236,2.92419173817452 41.7451092872373,2.93045779242963 41.7465371251213,2.93697554428996 41.7470216685327,2.94349423773202 41.7465442755512,2.94976308027914 41.7451233126129,2.95554092394482 41.7428134455692,2.96060556899049 41.7397035298938,2.96476232737215 41.7359131824976,2.96785151306455 41.7315881689645,2.96975457012284 41.7268947859116,2.97039860431658 41.7220134567924)))', 'ESTKG', 'Tossa de Mar', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.647395758620243 37.9753718195069,-0.648158822369722 37.9705034330654,-0.650106810231561 37.9658464014398,-0.653164676765169 37.9615796297702,-0.657214796165698 37.957867003622,-0.662101499797943 37.9548511037562,-0.667637062174039 37.95264774103,-0.673608904790789 37.9513415192936,-0.679787742571709 37.9509825947606,-0.685936363321654 37.9515847547765,-0.691818707635343 37.9531248888742,-0.697208905784801 37.9555438723091,-0.701899929570425 37.9587488288148,-0.705711530929204 37.9626166870416,-0.708497164868067 37.9669988959361,-0.71014963128466 37.9717271200033,-0.71060521733595 37.9766196976316,-0.709846177728953 37.9814886159247,-0.707901452786761 37.9861467349705,-0.704845591200145 37.9904149840793,-0.700795913538699 37.994129252759,-0.695908021186383 37.9971467101883,-0.690369820602501 37.9993513083849,-0.684394291933349 38.0006582554092,-0.678211281423727 38.001017284629,-0.67205863652937 38.0004145927613,-0.666173029295488 37.9988733712427,-0.660780826200192 37.996452910368,-0.656089360677666 37.9932463113306,-0.652278948040885 37.9893768955407,-0.649495952310358 37.9849934511765,-0.647847171945012 37.9802645018219,-0.647395758620243 37.9753718195069)))', 'ESTOR', 'Torrevieja', 'Y'),('SRID=4326;MULTIPOLYGON(((0.776889836300334 40.7656385681281,0.776420533258624 40.7607477564653,0.774705540161942 40.7560205200446,0.77181100325364 40.7516384771988,0.767848328970842 40.7477699489963,0.762969876704438 40.7445635026954,0.757363092213 40.7421422573119,0.751243308865311 40.7405991678644,0.744845492628158 40.7399934671516,0.738415244970591 40.7403483996819,0.732199404503385 40.7416503332948,0.726436602468712 40.7438492818717,0.721348128757914 40.7468608192253,0.717129453936799 40.7505693116813,0.71394272911848 40.7548323469237,0.711910550118106 40.7594861911626,0.711111226186739 40.7643520672845,0.711575738157848 40.7692430148605,0.713286507823638 40.7739710699582,0.716178031919508 40.7783544896089,0.720139362681871 40.7822247431382,0.725018345259165 40.7854330006224,0.73062745315839 40.7878558673097,0.736750999293299 40.7894001413523,0.743153444846708 40.7900064096076,0.749588483577609 40.7896513411639,0.755808547477146 40.7883485888733,0.761574362323555 40.7861482634907,0.766664179552363 40.78313500081,0.770882324059853 40.7794246971708,0.774066725468945 40.7751600406253,0.776095141682797 40.7705050117921,0.776889836300334 40.7656385681281)))', 'ESTOT', 'Tortosa', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.90961835585617 43.5733762665183,-6.91044765699607 43.5685116817042,-6.912565988336 43.563858165918,-6.91589169530927 43.559594478169,-6.92029681838128 43.5558843687171,-6.92561203388329 43.5528703015991,-6.93163316661705 43.550667997059,-6.93812902313067 43.5493620009934,-6.94485024663889 43.5490024491765,-6.95153885781538 43.5496031486006,-6.95793812115799 43.5511410484549,-6.96380236498801 43.5535571208328,-6.96890638470961 43.5567586180995,-6.9730540736987 43.5606226218413,-6.97608595373306 43.5650007493277,-6.97788531648031 43.5697248392324,-6.97838273810684 43.574613400627,-6.97755878904397 43.5794785794519,-6.9754448284292 43.5841333759916,-6.97212184542612 43.5883988362541,-6.96771738486919 43.5921109401304,-6.96240066956447 43.5951269199507,-6.95637610304091 43.5973307642795,-6.94987540151356 43.5986376928009,-6.94314865937751 43.5989974277827,-6.93645469612088 43.5983961343473,-6.93005106205218 43.5968569537385,-6.92418409425376 43.5944391088464,-6.91907941202055 43.591235617155,-6.91493322283727 43.5873697007114,-6.91190477659363 43.5829900334372,-6.91011025885832 43.5782650110775,-6.90961835585617 43.5733762665183)))', 'ESTPC', 'Tapia de Casariego', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.57320417789311 36.0116650828051,-5.57363715040289 36.0067710391204,-5.57523679155302 36.0020396525606,-5.57794143646396 35.9976527108652,-5.58164700895037 35.9937787374758,-5.58621104208714 35.9905665250642,-5.59145816279507 35.9881394299791,-5.59718682822559 35.9865906449778,-5.60317705555386 35.9859796299008,-5.60919885047105 35.9863298356377,-5.61502101431703 35.98762780749,-5.62041999616397 35.989823701699,-5.6251884546349 35.9928331953667,-5.62914320484918 35.9965407172092,-5.63213224830099 36.0008038764586,-5.63404061701875 36.0054589215989,-5.63479480698757 36.0103270211708,-5.634365628158 36.0152211271189,-5.63276935768472 36.0199531583059,-5.6300671472925 36.0243412288539,-5.62636270253318 36.0282166434637,-5.62179831864528 36.0314303900509,-5.61654942210628 36.0338588787025,-5.61081782611871 36.0354087045032,-5.60482395965825 36.03602024916,-5.59879837105898 36.0356699811596,-5.59297283653512 36.0343713646797,-5.5875714201699 36.0321743416175,-5.58280183397352 36.029163406729,-5.57884743451224 36.0254543507111,-5.57586016689252 36.0211897978957,-5.57395472873137 36.0165337119566,-5.57320417789311 36.0116650828051)))', 'ESTRF', 'Tarifa', 'Y'),('SRID=4326;MULTIPOLYGON(((1.43408659357909 41.1354546063816,1.43356695247468 41.1305657887721,1.43179601559241 41.1258475382645,1.42884208000752 41.1214811240149,1.42481883240705 41.1176342632036,1.41988095458989 41.1144546881968,1.41421816845326 41.1120644845364,1.40804795091324 41.110555415026,1.40160719781872 41.1099854072175,1.39514315394828 41.1103763371776,1.38890395252022 41.1117131932088,1.38312912156353 41.1139446509939,1.37804041561952 41.1169850383257,1.37383331954967 41.1207176150728,1.37066954704435 41.1249990442055,1.36867082044199 41.1296648843721,1.36791417172758 41.1345358953464,1.36842894850178 41.1394249161536,1.37019564509203 41.1441440530781,1.37314660996881 41.148511902015,1.37716860870865 41.152360527366,1.38210714964092 41.1555419281298,1.38777240991573 41.1579337408097,1.39394653595221 41.159443957643,1.40039203686812 41.1600144764083,1.40686094507156 41.1596233432503,1.41310438679302 41.1582856008014,1.41888218845697 41.1560527083283,1.42397214325906 41.1530105564563,1.42817857621101 41.1492761539524,1.43133987457677 41.1449931158011,1.43333469268351 41.1403261283123,1.43408659357909 41.1354546063816)))', 'ESTRR', 'Torredembarra', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.621374025231464 38.027364098637,-0.622139523697438 38.0224959956972,-0.624090686648552 38.0178395334838,-0.627152346293043 38.0135735950403,-0.631206730968003 38.0098620336926,-0.63609800829217 38.0068473890913,-0.641638277410904 38.0046454237211,-0.647614779512228 38.003340687677,-0.653798051111573 38.0029832801088,-0.659950710263261 38.0035869301776,-0.665836542895443 38.0051284703308,-0.671229545561198 38.0075487220039,-0.675922582377366 38.0107547604117,-0.679735327756825 38.0146234728186,-0.682521192345922 38.0190062754793,-0.684172966610147 38.0237348101367,-0.684626963651573 38.0286274032131,-0.683865498602003 38.033496041107,-0.681917604464372 38.0381535945054,-0.678857951383344 38.0424210142419,-0.674804005540478 38.0461342214773,-0.669911532508352 38.0491504259895,-0.664368615176884 38.0513536278115,-0.658388415524317 38.0526590886096,-0.652200959954129 38.0530165988966,-0.646044267384103 38.0524124138733,-0.640155165937891 38.0508697825344,-0.634760156709834 38.0484480495678,-0.630066681063762 38.0452403652721,-0.626255131394197 38.0413700929547,-0.623471915018379 38.0369860538428,-0.621823838304237 38.0322567944321,-0.621374025231464 38.027364098637)))', 'ESTRT', 'Torrelamata', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.44169924112301 43.3931376226798,-3.44232283302496 43.3882551483214,-3.44424032483906 43.3835551860913,-3.44737776530543 43.3792182922986,-3.45161440621648 43.3754110389089,-3.45678736972547 43.3722796263526,-3.46269791762977 43.3699442818824,-3.46911908021346 43.3684946562018,-3.4758043527955 43.3679863927075,-3.48249712970081 43.3684389989987,-3.48894051903921 43.3698351009572,-3.49488716815408 43.3721211074982,-3.50010872924196 43.3752092608885,-3.50440460745398 43.378980995223,-3.50760965942766 43.3832914761165,-3.50960054796908 43.3879751496888,-3.51030050744058 43.3928520901678,-3.50968233285688 43.3977349043917,-3.50776947190304 43.4024359293943,-3.50463517083275 43.406774447069,-3.50039969990874 43.4105836382292,-3.49522575885712 43.4137170074365,-3.48931223470183 43.4160540295558,-3.48288655026569 43.4175047984766,-3.47619589864106 43.4180134967539,-3.4694977044142 43.4175605505968,-3.46304968421409 43.416163385865,-3.4570998957044 43.4138757554411,-3.45187716463269 43.4107856642799,-3.44758226396661 43.4070119732948,-3.44438018824537 43.4026998147529,-3.44239382155514 43.3980149979414,-3.44169924112301 43.3931376226798)))', 'ESTTO', 'Treto', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.36363994532539 43.5487159065196,-5.36410951074188 43.5438264700011,-5.36588122622994 43.5390976008509,-5.36888672879048 43.534710975431,-5.37301032083205 43.5308350829288,-5.37809344638422 43.5276187635677,-5.38394079771905 43.5251855052121,-5.39032781569629 43.5236287150452,-5.39700929641159 43.5230081454104,-5.40372877690588 43.5233476088339,-5.41022834491495 43.5246340683306,-5.41625850264561 43.5268181371366,-5.42158771274078 43.5298159688518,-5.42601126597261 43.5335124665321,-5.42935913446757 43.5377656893837,-5.43150251075681 43.5424122902029,-5.43235878062932 43.5472737772251,-5.43189473523741 43.5521633621007,-5.43012789336603 43.5568931325735,-5.42712587605074 43.5612812750632,-5.42300385028579 43.5651590694226,-5.41792013358953 43.5683773858879,-5.41207012368549 43.5708124325536,-5.40567878445657 43.5723705299825,-5.3989919776787 43.5729917268119,-5.39226697715636 43.5726521150311,-5.38576253552875 43.571364754211,-5.3797288925537 43.5691791683343,-5.37439811618496 43.5661794347613,-5.36997515410069 43.562480939977,-5.3666299441768 43.5582259288161,-5.36449088913839 43.5535780207359,-5.36363994532539 43.5487159065196)))', 'ESTZN', 'Tazones', 'Y'),('SRID=4326;MULTIPOLYGON(((0.256599908339007 40.1957777351405,0.256170213174917 40.1908856911329,0.254504428409293 40.1861519207933,0.25166680513454 40.1817582970945,0.247766562074422 40.1778735895585,0.242953662498095 40.1746469899588,0.237413039245654 40.1722023934696,0.23135749159152 40.1706336528299,0.225019526332128 40.1700009855681,0.218642453770958 40.170328670247,0.212471076058376 40.1716041186892,0.206742319873555 40.173778359046,0.201676167321749 40.1767679112459,0.19746722812806 40.1804579837368,0.194277273053782 40.1847068703876,0.192229013611145 40.189351380774,0.191401367633217 40.194213097503,0.191826395459732 40.1991052222418,0.193488029183228 40.203839748958,0.196322649669517 40.2082346895276,0.200221495342287 40.212121073947,0.205034815672431 40.2153494551526,0.210577613764466 40.2177956667366,0.216636759244672 40.2193656100766,0.222979197580084 40.2199988845437,0.229360937481457 40.2196711191335,0.235536466237616 40.2183949143139,0.241268225210321 40.2162193570857,0.246335775147207 40.2132281280019,0.250544293584455 40.2095362739054,0.25373207381769 40.2052857721603,0.255776735434832 40.2006400590744,0.256599908339007 40.1957777351405)))', 'ESUAA', 'Torrenostra', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.30313153802098 36.1815981545819,-5.30358166899637 36.176704553256,-5.30520059356199 36.1719761637279,-5.30792590536032 36.1675946570649,-5.31165273471783 36.1637283465505,-5.31623779959274 36.1605257294852,-5.32150492121493 36.1581097931199,-5.32725179104547 36.1565733016251,-5.33325772954881 36.1559752432003,-5.33929214102262 36.1563385720431,-5.34512334348045 36.1576493306148,-5.35052743907809 36.1598571852674,-5.35529688919813 36.1628773547627,-5.35924846908454 36.1665938584435,-5.36223029952169 36.1708639607312,-5.36412768679592 36.1755236430582,-5.36486754602454 36.180393894971,-5.36442123549571 36.1852875844757,-5.36280568919826 36.1900166449644,-5.36008279917924 36.1943993032224,-5.3563570664181 36.1982670706466,-5.35177160600943 36.2014712281348,-5.34650265693935 36.203888553921,-5.34075280595897 36.2054260723078,-5.33474318645696 36.2060246387605,-5.3287049545347 36.2056612217388,-5.3228703738077 36.2043497922059,-5.31746385643124 36.2021407859577,-5.31269330971649 36.1991191595524,-5.30874212536574 36.1954011154488,-5.30576212237747 36.1911296237407,-5.30386771625261 36.1864689145223,-5.30313153802098 36.1815981545819)))', 'ESUNR', 'La Atunara', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.75314214256108 42.5899320565256,-8.75381191713586 42.5850527414115,-8.75575678984557 42.580363708231,-8.75890177208161 42.576045091739,-8.76312583941768 42.5722627619136,-8.76826660746591 42.5691619636804,-8.77412658063963 42.5668617516392,-8.7804807324313 42.5654504311733,-8.78708512734001 42.5649821786622,-8.79368625702424 42.5654749686028,-8.80003073768517 42.566909885922,-8.80587500280616 42.5692318494474,-8.81099462553107 42.5723517192501,-8.81519291815481 42.5761497082965,-8.81830848207208 42.5804799694143,-8.82022141937557 42.58517618378,-8.82085796603139 42.5900579386494,-8.82019336471997 42.5949376513394,-8.81825286115964 42.5996277747838,-8.81511077879583 42.603948008245,-8.81088770057534 42.6077322355763,-8.80574586030148 42.610834922974,-8.79988291679689 42.6131367282301,-8.79352434877481 42.6145491034086,-8.78691476406747 42.6150177115593,-8.78030846111685 42.6145245240425,-8.77395961130533 42.6130885164586,-8.7681124463134 42.6107649359631,-8.76299183447597 42.6076431686542,-8.75879461408089 42.6038432904436,-8.75568202049571 42.5995114361118,-8.75377349942134 42.5948141670343,-8.75314214256108 42.5899320565256)))', 'ESVEM', 'Villajuan', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.79715556640076 42.5649450861944,-8.79782163605282 42.5600654845761,-8.79976243190401 42.5553756752845,-8.80290312205373 42.5510558231619,-8.80712284681236 42.5472718458896,-8.81225938825815 42.5441690518456,-8.81811541266631 42.5418665723715,-8.82446604465242 42.5404527999258,-8.83106748338739 42.5399820049599,-8.83766633366491 42.5404722594477,-8.84400929900812 42.5419047454872,-8.84985287109513 42.544224475077,-8.85497264990678 42.5473423939182,-8.85917194215494 42.5511387898093,-8.86228931138279 42.5554678767576,-8.86420479093211 42.560163381123,-8.86484451966549 42.565044917602,-8.86418361844854 42.5699249121323,-8.86224719108292 42.5746158070821,-8.85910940440717 42.5789372723277,-8.85489067608305 42.5827231446044,-8.84975307233351 42.5858278270373,-8.84389408860881 42.5881319007945,-8.83753905082223 42.5895467307022,-8.8309324305463 42.5900178853197,-8.82432841183066 42.5895272379195,-8.81798107800066 42.588093666221,-8.81213460244096 42.5857723235074,-8.80701382719786 42.5826525096614,-8.80281559725647 42.5788542253818,-8.79970118734638 42.5745235441512,-8.79779011359625 42.5698269823247,-8.79715556640076 42.5649450861944)))', 'ESVEN', 'Villanueva', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.3786148295727 28.5282910973164,-16.3790965801566 28.5233949168154,-16.380650519359 28.5186758090394,-16.3832168011896 28.5143150962266,-16.3866967144701 28.5104803080338,-16.3909564899676 28.5073187510953,-16.3958324468325 28.5049518575585,-16.4011372797043 28.5034705283458,-16.4066672453457 28.5029316486074,-16.4122099743663 28.5033559079554,-16.4175526105657 28.5047270082939,-16.4224899684261 28.5069922892453,-16.4268323986695 28.5100647472741,-16.4304130625839 28.5138263716048,-16.4330943376692 28.5181326698839,-16.4347731093362 28.5228182110926,-16.4353847448676 28.5277029741969,-16.4349055952159 28.5325992598935,-16.4333539257652 28.5373189008113,-16.430789236957 28.5416804935464,-16.4273099974463 28.5455163744819,-16.4230498738904 28.5486790706233,-16.4181726001273 28.5510469763898,-16.4128656820034 28.5525290367563,-16.4073331802167 28.5530682552608,-16.4017878502629 28.5526438907172,-16.3964429443113 28.5512722572366,-16.3915039934287 28.5490060963625,-16.3871608894165 28.5459325455908,-16.3835805735616 28.5421697820573,-16.3809006153749 28.5378624715488,-16.3792239289598 28.5331761991867,-16.3786148295727 28.5282910973164)))', 'ESVGE', 'Valle Guerra', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.68432901586919 42.2419122747256,-8.68500027027988 42.2370330699552,-8.68693938798103 42.2323449006928,-8.69007160631801 42.2280278689188,-8.69427639490807 42.2242477846115,-8.69939211197445 42.2211498076401,-8.70522222430801 42.2188528855723,-8.71154285061096 42.217445198685,-8.71811133976869 42.2169807847839,-8.72467555824917 42.2174774714884,-8.73098353541685 42.218916194092,-8.73679310277213 42.2212417247649,-8.74188116333281 42.2243647855974,-8.74605224055707 42.22816546569,-8.74914598201542 42.2324978130678,-8.75104333074033 42.2371954274062,-8.75167112573431 42.2420778410952,-8.75100495103272 42.2469574454926,-8.74907011814382 42.251646697575,-8.74594073739866 42.2559653305127,-8.74173690718208 42.2597472905648,-8.73662012336652 42.2628471322971,-8.73078708156338 42.2651456242488,-8.72446210905539 42.2665543471424,-8.71788851862774 42.2670191054492,-8.71131922043522 42.2665220191174,-8.70500695845413 42.265082213693,-8.69919455350831 42.2627550818556,-8.69410553457712 42.259630145278,-8.68993552410497 42.2558276004248,-8.68684471211737 42.2514936831639,-8.68495170959623 42.2467950328201,-8.68432901586919 42.2419122747256)))', 'ESVGO', 'Vigo', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.3197436498028 28.099480994986,-17.3201814013205 28.0945834616023,-17.3216880997572 28.0898557575528,-17.3242057141071 28.0854795398968,-17.3276374003451 28.0816229377385,-17.3318512372808 28.0784340982006,-17.3366853027844 28.0760355023285,-17.3419538943197 28.0745192679757,-17.3474546550539 28.0739436187005,-17.3529763332633 28.0743306530184,-17.3583068794342 28.0756654987174,-17.363241573102 28.0778968841956,-17.36759087047 28.0809391048952,-17.371187674212 28.0846753098503,-17.3738937482535 28.0889619831115,-17.3756050320358 28.0936344492057,-17.3762556497598 28.0985131925424,-17.3758204589879 28.1034107492841,-17.3743160380853 28.1081389078709,-17.3718000713238 28.1125159420443,-17.3683691518982 28.1163735983929,-17.3641550842584 28.119563569303,-17.3593198256566 28.1219632014882,-17.3540492602673 28.1234802193255,-17.3485460454246 28.1240562799782,-17.3430218064683 28.1236692223021,-17.3376889827628 28.1223339220656,-17.3327526415068 28.1201017200696,-17.3284025773273 28.1170584451795,-17.3248060042904 28.1133211088523,-17.3221011233477 28.1090333992783,-17.3203918134192 28.1043601497,-17.3197436498028 28.099480994986)))', 'ESVGR', 'Valle Gran Rey', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.63951089692154 43.7385946141541,-7.64028399936941 43.7337241016518,-7.64235243828014 43.7290565005934,-7.64563646906209 43.7247711142837,-7.65000972495014 43.7210325284497,-7.65530409797256 43.7179843014174,-7.66131620619563 43.7157434644959,-7.66781519768383 43.7143960412964,-7.67455159309822 43.7139937556344,-7.6812668315133 43.7145520524484,-7.68770315891257 43.7160495064855,-7.69361348660677 43.7184286411396,-7.69877084783404 43.7215981266617,-7.70297709502957 43.7254362748657,-7.70607050732855 43.7297956983089,-7.70793201706324 43.7345089575111,-7.70848981422906 43.7393949817432,-7.70772214762692 43.7442660187446,-7.70565820873808 43.7489348476321,-7.70237705706688 43.7532219781755,-7.69800462105957 43.7569625591041,-7.69270888386771 43.760012728357,-7.68669343510676 43.7622551589393,-7.6801896352786 43.7636035846194,-7.67344769574871 43.764006128963,-7.66672702148467 43.7634473076495,-7.66028619406241 43.7619486257823,-7.65437298725913 43.7595677468937,-7.6492148061546 43.7563962662766,-7.64500992313174 43.7525561758526,-7.64191985137174 43.7481951587494,-7.64006314997533 43.7434808970675,-7.63951089692154 43.7385946141541)))', 'ESVIE', 'Vicedo', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-8.73613677223146 42.5999270185788,-8.73680798365234 42.5950478152974,-8.73875444376235 42.5903590832184,-8.74190110293176 42.5860409454235,-8.74612687236754 42.5822592534092,-8.75126930243141 42.5791592275342,-8.75713083388566 42.5768598926991,-8.76348638058382 42.5754495205989,-8.77009195365282 42.574982251228,-8.77669399966144 42.5754760213894,-8.78303909970803 42.5769118784436,-8.78888366349212 42.5792347052065,-8.7940032526039 42.582355328661,-8.79820118047025 42.5861539328674,-8.80131606228424 42.5904846470313,-8.80322802610635 42.5951811348969,-8.80386334507921 42.6000629731496,-8.80319730887543 42.6049425758141,-8.80125521824381 42.6096323999494,-8.79811145760088 42.6139521562185,-8.79388667446499 42.6177357467268,-8.78874316831855 42.6208376620873,-8.78287866222242 42.6231385897423,-8.77651869518509 42.6245500155041,-8.76990792903645 42.6250176389678,-8.76330070780771 42.6245234694229,-8.75695123828151 42.6230865203116,-8.75110377597224 42.6207620750737,-8.74598320056363 42.6176395531249,-8.74178634878288 42.6138390594334,-8.73867444161198 42.6095067524504,-8.73676689812775 42.604809210924,-8.73613677223146 42.5999270185788)))', 'ESVIL', 'Villagarcia de Arosa', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.63300085596578 42.8498960715613,-2.63368297745025 42.84501772589,-2.63564514489683 42.8403310085976,-2.63881170252868 42.836015964307,-2.64306079573907 42.8322383245008,-2.6482290790093 42.8291431527525,-2.65411800151486 42.8268492865932,-2.66050142762702 42.8254447870904,-2.66713430094845 42.8249835685177,-2.67376202291871 42.8254833355454,-2.68013019145753 42.8269249058491,-2.68599433228259 42.8292529437175,-2.69112925578569 42.8323780770053,-2.69533768567361 42.8361803175236,-2.69845783162436 42.8405136555667,-2.70036961626423 42.8452116545162,-2.70099931575341 42.8500938330297,-2.70032243170597 42.8549725916612,-2.69836467820211 42.8596604191342,-2.69520103903617 42.8639771018109,-2.6909529245046 42.8677566587797,-2.68578353113045 42.8708537345963,-2.67989157874081 42.8731492018526,-2.67350366423654 42.8745547557283,-2.66686552733227 42.8750163214309,-2.66023256792189 42.8745161414427,-2.65385998543913 42.8730734609577,-2.64799292614951 42.8707437847022,-2.64285702397073 42.8676167342516,-2.63864970418981 42.8638125896652,-2.63553258812436 42.859477650526,-2.63362529187525 42.8547785972044,-2.63300085596578 42.8498960715613)))', 'ESVIT', 'Vitoria-Gasteiz', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.55955388966137 43.6655710485815,-7.56033235907716 43.6607010927222,-7.56240430561445 43.6560349316001,-7.56568985141211 43.6517518129792,-7.57006257291496 43.648016235447,-7.57535438380563 43.6449716419391,-7.58136200124734 43.6427349245242,-7.58785474593954 43.6413919490142,-7.59458337807373 43.6409942688532,-7.60128963402593 43.6415571524992,-7.60771610358464 43.6430589988152,-7.61361607536736 43.6454421626078,-7.61876297915256 43.648615159285,-7.62295906812815 43.6524561655131,-7.62604301116423 43.6568176836239,-7.62789610443058 43.6615321931289,-7.62844686189046 43.6664185746995,-7.62767380391322 43.6712890618352,-7.62560633055562 43.6759564543976,-7.622323638678 43.6802413171472,-7.61795171735169 43.6839788859688,-7.6126585310737 43.6870254147713,-7.60664757207037 43.6892637168548,-7.60015002836447 43.6906076851555,-7.59341587037122 43.6910056150861,-7.58670420297727 43.6904422001631,-7.58027326023778 43.688939122406,-7.57437043453671 43.6865542144839,-7.56922273057842 43.6833792265169,-7.56502801699335 43.6795362849947,-7.56194741551997 43.6751731822164,-7.56009912126563 43.6704576799213,-7.55955388966137 43.6655710485815)))', 'ESVIV', 'Vivero', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.80362584923242 43.5643444991496,-6.80446350146909 43.5594808550814,-6.80658957230681 43.5548294639509,-6.80992211063706 43.5505690026517,-6.81433289555933 43.5468630971766,-6.81965238708263 43.543854049961,-6.82567624685178 43.5416573885298,-6.83217317751597 43.5403574423201,-6.83889378150526 43.5400041151628,-6.84558010331525 43.5406109754539,-6.85197549495478 43.5421547362081,-6.85783443265314 43.5445761447542,-6.86293191456904 43.5477822486689,-6.86707208406337 43.5516499525538,-6.87009575071393 43.556030731292,-6.87188652092136 43.5607563212697,-6.87237530056069 43.565645173362,-6.87154299215311 43.5705094217236,-6.8694212765482 43.5751621018107,-6.86609144180996 43.5794243404977,-6.86168129724114 43.583132241201,-6.85636028534396 43.5861431977298,-6.85033297593608 43.5883413918836,-6.84383119154433 43.5896422608817,-6.83710506867507 43.589995760407,-6.83041340303289 43.5893882958221,-6.82401365615964 43.5878432461104,-6.81815201487108 43.5854200601757,-6.8130538926052 43.5822119610326,-6.80891524348784 43.5783423478349,-6.80589502647692 43.5739600363751,-6.80410910999524 43.5692335236097,-6.80362584923242 43.5643444991496)))', 'ESVIZ', 'Viavelez', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.185176173276183 38.5072388390515,-0.185977638700788 38.5023752324933,-0.187970973642607 38.4977279072044,-0.191079387719551 38.4934753922848,-0.195183313325982 38.4897810226532,-0.2001250176784 38.4867866753984,-0.205714667569206 38.484607332039,-0.211737613300783 38.4833266734553,-0.217962613603941 38.4829938747162,-0.22415068910249 38.4836217213652,-0.230064269097679 38.4851861186403,-0.235476285784459 38.487627012405,-0.240178871794836 38.4908506871601,-0.243991331159085 38.4947333543116,-0.246767079994133 38.4991258947967,-0.248399290717312 38.5038595760072,-0.248825021217959 38.5087525253867,-0.248027666698559 38.5136167135555,-0.246037634954025 38.518265179547,-0.242931213484714 38.5225192205997,-0.238827666539542 38.5262152694551,-0.233884669253768 38.5292111933779,-0.228292251671945 38.531391770816,-0.222265484847448 38.5326731330116,-0.216036191776501 38.5330059977771,-0.209844005370771 38.5323775695172,-0.203927122177792 38.5308120315388,-0.198513112884641 38.5283696116404,-0.193810148215296 38.5251442576614,-0.18999898178638 38.5212600138422,-0.187226000642853 38.5168662392791,-0.185597611011332 38.5121318544573,-0.185176173276183 38.5072388390515)))', 'ESVJY', 'Villajoyosa', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.276748280084758 39.4512487587725,-0.277558078027522 39.4463853770568,-0.279575857095709 39.4417378919983,-0.282723877813328 39.4374848372594,-0.286881044083405 39.4337895659363,-0.291887574947845 39.4307939866034,-0.297551148377847 39.4286131248438,-0.303654280481177 39.427330716988,-0.309962658326038 39.4269960032496,-0.316234109950266 39.4276218418247,-0.322227872077964 39.4291842154617,-0.327713805274398 39.4316231493629,-0.332481208052114 39.4348450059078,-0.336346895763848 39.43872606954,-0.339162236593275 39.4431172861042,-0.340818874831207 39.4478499767763,-0.341252919777545 39.4527423091506,-0.340447435533503 39.4576062785042,-0.338433130767267 39.4622549319407,-0.335287216023973 39.4665095579229,-0.331130466784801 39.4702065641471,-0.326122600518137 39.4732037779163,-0.3204561425552 39.4753859248187,-0.314349015932096 39.4766690728727,-0.308036141710337 39.4770038691759,-0.301760376385247 39.4763774429626,-0.295763139955039 39.4748139009469,-0.29027510078563 39.4723733958018,-0.285507280979479 39.4691498043555,-0.28164292867211 39.4652671062876,-0.278830472376175 39.4608746045811,-0.277177828656668 39.4561411737115,-0.276748280084758 39.4512487587725)))', 'ESVLC', 'Valencia', 'Y'),('SRID=4326;MULTIPOLYGON(((1.77013216038522 41.2163586651377,1.76958700111021 41.2114710597832,1.7677897852155 41.2067576606974,1.76480981878564 41.202399548839,1.76076178665143 41.1985641209833,1.75580131986849 41.1953986694025,1.75011900471118 41.1930247368781,1.7439330649387 41.1915334616465,1.73748099756211 41.1909820887763,1.73101048019965 41.1913917799586,1.72476989425083 41.1927468044144,1.71899882181982 41.1949951413837,1.71391887520741 41.1980504713516,1.70972520585167 41.2017954806847,1.70657901516513 41.2060863545839,1.70460135347775 41.2107582880203,1.70386844630486 41.2156318052668,1.70440873084475 41.2205196472786,1.70620172177484 41.2252339637364,1.70917875622285 41.2295935340204,1.71322559572582 41.233430739323,1.71818679079601 41.2365980167723,1.72387164428451 41.2389735456146,1.73006154599452 41.2404659445883,1.7365183957457 41.2410177975454,1.74299378784606 41.2406078697055,1.74923859876084 41.2392519278769,1.75501260317281 41.2370021324814,1.76009374241385 41.233945025066,1.76428668347956 41.2301981898648,1.76743033583356 41.2259057196484,1.76940403558432 41.2212326624706,1.77013216038522 41.2163586651377)))', 'ESVLG', 'Vilanova y la Geltrú', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.0368849181569 36.7502752191051,-4.03741702346691 36.7453851342216,-4.03912421733071 36.7406725331869,-4.04194070164549 36.7363184736816,-4.04575810827269 36.7324902087886,-4.05042968362898 36.7293347703618,-4.05577593632053 36.7269733317868,-4.06159152959107 36.7254965647805,-4.06765315452985 36.7249611666269,-4.07372808418047 36.7253876895371,-4.07958308399826 36.7267597543064,-4.08499334125168 36.7290246779646,-4.08975107532039 36.732095491568,-4.09367350242074 36.7358542716178,-4.09660985174562 36.740156658705,-4.09844716464133 36.7448373917187,-4.0991146531989 36.7497166469815,-4.09858644809671 36.7546069404925,-4.09688262592709 36.7593203292967,-4.09406847148315 36.7636756357831,-4.09025199820161 36.7675054170271,-4.08557981757199 36.7706624103244,-4.08023151313507 36.7730252055743,-4.07441273400657 36.7745029245183,-4.06834727411536 36.7750387249485,-4.06226844425499 36.7746119934106,-4.05641007274212 36.7732391408712,-4.05099748561851 36.7709729702314,-4.04623881820596 36.7679006402766,-4.04231699638088 36.7641403053566,-4.03938269880227 36.7598365615951,-4.03754857176388 36.7551548766442,-4.0368849181569 36.7502752191051)))', 'ESVMG', 'Vélez-Málaga', 'Y'),('SRID=4326;MULTIPOLYGON(((0.509737701775318 40.467710390398,0.509288948302013 40.4628188838149,0.507599551497231 40.4580882186471,0.50473467178153 40.4537001468271,0.500804575565751 40.4498232228819,0.495960371868291 40.4466063381462,0.490388193537969 40.4441730136586,0.484302048457121 40.4426166688238,0.477935614796794 40.4419970453145,0.471533292665208 40.4423379215254,0.465340851207984 40.4436262038534,0.459596024635093 40.4458124289586,0.454519412379763 40.4488126578416,0.450306027607011 40.452511689972,0.447117814902047 40.4567674757066,0.445077422852465 40.4614165596537,0.444263471423499 40.4662803481553,0.444707498910576 40.4711719621667,0.446392710603132 40.4759034137643,0.449254583225691 40.4802928312889,0.453183308170223 40.4841714553425,0.458027985182455 40.4873901357641,0.463602409356265 40.4898250781383,0.469692230900318 40.4913826167518,0.476063211935233 40.4920028281895,0.482470260055724 40.4916618445501,0.488666886626619 40.4903727757916,0.494414720292017 40.4881852049811,0.499492703816252 40.4851832759894,0.503705615271554 40.4814824481733,0.506891582131587 40.4772250445526,0.508928297718597 40.4725747668277,0.509737701775318 40.467710390398)))', 'ESVZR', 'Vinaroz', 'Y'),('SRID=4326;MULTIPOLYGON(((2.42428358669957 41.5021714236316,2.42368732851638 41.4972867796301,2.42183517871186 41.4925834219122,2.41879855416625 41.4882420418812,2.41469431368762 41.4844293903323,2.40968024245935 41.4812918824108,2.40394897915478 41.478949986613,2.3977206204848 41.4774936110795,2.39123428621885 41.4769786620832,2.38473896529859 41.4774249049072,2.37848398945897 41.4788152079064,2.37270949406406 41.4810961982556,2.36763722629809 41.4841803045766,2.36346204841629 41.487949109228,2.36034445879807 41.492257883403,2.35840441675504 41.4969411331235,2.35771670949368 41.501818945407,2.35830804276045 41.5067038928112,2.36015597232912 41.5114082324574,2.36318972381183 41.5157511234529,2.3672928757985 41.5195655849719,2.37230780881938 41.5227049263177,2.37804175300164 41.5250483998715,2.38427420349532 41.5265058572938,2.39076541758771 41.5270212276036,2.39726566342719 41.5265746813767,2.40352485950392 41.5251833964483,2.40930222796071 41.5229008951339,2.41437558421591 41.5198149788424,2.41854990030227 41.5160443407671,2.42166480904155 41.5117339888367,2.42360075926192 41.5070496572282,2.42428358669957 41.5021714236316)))', 'ESVZZ', 'Vilasar', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.7214991320104 28.94973221272,-13.7221067969014 28.9448468758357,-13.7237862120813 28.9401596617461,-13.7264727168605 28.9358506557323,-13.730062993077 28.9320853923052,-13.7344190472755 28.9290085026647,-13.7393735168992 28.926738166603,-13.7447360961085 28.9253615805442,-13.7503008351818 28.9249316144223,-13.7558540351067 28.9254647846959,-13.7611824370015 28.9269406206739,-13.7660813951265 28.9293024483472,-13.7703627227967 28.9324595620346,-13.77386191249 28.9362907013414,-13.7764444544822 28.9406487011451,-13.7780110116968 28.9453661374258,-13.7785012510478 28.9502617534381,-13.7778961819407 28.9551474204663,-13.7762189090431 28.9598353664062,-13.7735337669017 28.9641453945591,-13.7699438662291 28.9679118148028,-13.7655871433071 28.9709898198226,-13.7606310624996 28.9732610600198,-13.7552661749341 28.9746382013239,-13.7496987817585 28.9750682892698,-13.7441429860486 28.9745347888521,-13.7388124418712 28.9730582210234,-13.7339121211089 28.9706953712107,-13.7296304178958 28.9675371007065,-13.726131896927 28.9637048460206,-13.7235509661191 28.9593459420817,-13.7219867172602 28.9546279505561,-13.7214991320104 28.94973221272)))', 'ESYZA', 'Yaiza', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.15175137766859 43.3047511293744,-2.15247724101628 43.2998763945928,-2.15449103622799 43.2951987193013,-2.15771512080169 43.2908977973583,-2.1620254302235 43.2871388145407,-2.1672562706834 43.2840661152005,-2.17320669428222 43.2817976721122,-2.17964821059204 43.2804205694579,-2.18633353987041 43.279987670022,-2.19300607573641 43.2805155925829,-2.19940969975353 43.2819840758877,-2.2052985778224 43.2843367532556,-2.21044656890023 43.2874833086513,-2.2146558903242 43.2913029328943,-2.21776471056205 43.2956489493928,-2.21965337882749 43.3003544341997,-2.22024905058737 43.3052386169434,-2.21952852706642 43.3101138187608,-2.21751919354386 43.3147926619858,-2.21429801327027 43.3190952749529,-2.20998860860583 43.3228562144424,-2.20475653561872 43.3259308382165,-2.19880292984854 43.3282008805233,-2.19235676617968 43.3295790137138,-2.18566603187322 43.3300122181138,-2.17898815617732 43.3294838285166,-2.17258007046986 43.3280141772775,-2.16668828810239 43.3256598088846,-2.16153939227051 43.3225112968168,-2.1573313033769 43.3186897481403,-2.15422566531159 43.3143421324242,-2.15234164440368 43.3096356170818,-2.15175137766859 43.3047511293744)))', 'ESZAU', 'Zarauz', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.846658396942342 41.6563799299979,-0.847461527751864 41.6515138305887,-0.849514758188003 41.646858706506,-0.85273895917762 41.6425933826848,-0.857010087234296 41.6388816784198,-0.86216397249251 41.6358661262997,-0.868002632585881 41.6336625108986,-0.874301869005745 41.632355434646,-0.880819855853329 41.6319950789434,-0.88730639504027 41.6325952831265,-0.893512488034923 41.6341330139807,-0.899199862869665 41.6365492459897,-0.904150096638351 41.6397512192351,-0.908172988095682 41.6436159897505,-0.9111138618422 41.6479951380705,-0.91285952419811 41.6527204574682,-0.913342640117905 41.6576104056337,-0.912544358870075 41.6624770737504,-0.910495081809506 41.6671334062994,-0.907273336143912 41.6714003943675,-0.903002791558555 41.6751139652939,-0.897847529090102 41.6781313023076,-0.892005740772136 41.6803363491006,-0.88570210135699 41.6816442853266,-0.879179107059891 41.682004798661,-0.872687718308629 41.68140402577,-0.866477671937631 41.6798650864488,-0.860787841780396 41.677447190192,-0.85583702454333 41.6742433502851,-0.851815510298866 41.6703767948765,-0.848877764777719 41.6659962151654,-0.84713650541556 41.661270035795,-0.846658396942342 41.6563799299979)))', 'ESZAZ', 'Zaragoza', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.6297558530664 28.0073378229191,-16.6302249250075 28.0024409358409,-16.6317612608343 27.997719351984,-16.6343056935151 27.9933544905156,-16.6377603524762 27.9895140423713,-16.6419924382879 27.9863455333352,-16.6468393319414 27.9839706639041,-16.6521148414921 27.9824806420564,-16.657616346434 27.9819326868224,-16.6631325669075 27.9823478357139,-16.6684516618104 27.9837101393163,-16.6733693478303 27.985967273533,-16.677696730706 27.9890325460551,-16.6812675506858 27.9927882206007,-16.6839445658185 27.9970900322774,-16.6856248286864 28.001772721935,-16.6862436534157 28.0066563782939,-16.6857771188854 28.0115533454476,-16.6842430093058 28.0162754312657,-16.6817001527829 28.0206411401621,-16.6782461799345 28.0244826521879,-16.6740137857357 28.0276522795928,-16.6691656361441 28.0300281516185,-16.6638881143095 28.0315189076506,-16.6583841470899 28.0320672168856,-16.6528653892047 28.0316519879186,-16.647544068054 28.0302891823546,-16.6426248058764 28.0280312007096,-16.638296736889 28.0249648643058,-16.6347262252974 28.0212080713914,-16.6320504661033 28.0169052571204,-16.630372215519 28.0122218332789,-16.6297558530664 28.0073378229191)))', 'ESZBB', 'Las Galletas', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.22061605082162 43.5664698676842,-7.2214202688392 43.561602582857,-7.22351457815248 43.5569428757326,-7.22681824520665 43.5526697447035,-7.23120415432908 43.5489473038652,-7.23650371660888 43.5459184914179,-7.24251335481615 43.5436995938332,-7.24900231424149 43.5423757936061,-7.2557215012088 43.5419979091758,-7.26241301405117 43.5425804502675,-7.2688200065833 43.544101062135,-7.27469651222893 43.5465013797847,-7.27981685828978 43.5496892600895,-7.2839843143508 43.5535423076495,-7.28703864613216 43.5579125611976,-7.28886228548757 43.5626321630602,-7.28938487759945 43.5675197963202,-7.288586026224 43.572387644367,-7.28649612518668 43.5770486066615,-7.28319523692247 43.5813234937229,-7.27881005405805 43.5850479241162,-7.27350905493734 43.5880786567493,-7.26749603553558 43.5902991128197,-7.26100226531816 43.591623872567,-7.25427757036105 43.5920019714734,-7.24758069087342 43.5914188671615,-7.24116929006433 43.5898970001231,-7.23529000563046 43.5874949264402,-7.23016893331506 43.5843050565802,-7.22600291409808 43.5804500888349,-7.22295196351221 43.5760782768019,-7.22113313494714 43.57135771542,-7.22061605082162 43.5664698676842)))', 'ESZBE', 'Foz', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.105100330209 36.2952552442262,-6.10587443564843 36.2903898297617,-6.10780597556334 36.2857401246514,-6.11082055450565 36.281484753526,-6.11480222369243 36.2777871671588,-6.11959795204287 36.2747893734379,-6.12502350972842 36.2726064935064,-6.13087053774893 36.2713223502379,-6.13691453342671 36.270986256682,-6.1429234482281 36.2716111264293,-6.14866657200743 36.2731729776941,-6.15392336729749 36.2756118501193,-6.1584919189665 36.2788340998014,-6.16219667839237 36.2827159857319,-6.16489520688137 36.2871084116851,-6.16648365962663 36.2918426433582,-6.16690079794072 36.2967367829614,-6.16613037231756 36.3016027539349,-6.16420178023837 36.3062535282197,-6.16118896837007 36.3105103184131,-6.15720761647435 36.3142094577018,-6.15241070732692 36.3172087017795,-6.14698265052161 36.3193927086992,-6.1411321855268 36.3206774840134,-6.13508433826861 36.3210136184495,-6.12907174364931 36.3203881921928,-6.12332567203384 36.3188252717529,-6.11806710967084 36.3163849802591,-6.11349824071269 36.3131611776554,-6.10979466208547 36.3092778413685,-6.10709863271663 36.3048842884277,-6.1055136169446 36.3001494247093,-6.105100330209 36.2952552442262)))', 'ESZEA', 'Conil', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.7867128657665 28.180372162561,-16.7871750886903 28.1754751406329,-16.788706492062 28.170752108831,-16.7912480967576 28.1663845423604,-16.7947021392785 28.1625402361726,-16.798935842566 28.1593668640376,-16.8037865246189 28.1569863127641,-16.8090678476843 28.1554900078958,-16.8145769682689 28.1549354090398,-16.8201023148511 28.1553438081847,-16.8254316970491 28.1566995146399,-16.8303604378571 28.1589504574384,-16.8346992197871 28.1620101821393,-16.8382813463483 28.1657611659357,-16.8409691419202 28.1700593247715,-16.8426592450241 28.1747395406577,-16.8432865912111 28.1796219982569,-16.8428269308829 28.184519088565,-16.841297782646 28.189242615385,-16.8387577823008 28.1936110281496,-16.8353044490978 28.197456403067,-16.8310704521085 28.2006309036627,-16.8262185180471 28.20301247133,-16.8209351752736 28.2045095257887,-16.8154235747635 28.2050644933129,-16.8098956655846 28.2046560257878,-16.8045640282513 28.2032998243143,-16.7996336830933 28.2010480352214,-16.7952941918462 28.1979872417907,-16.7917123589879 28.1942351295338,-16.7890258154249 28.1899359543044,-16.7873377320289 28.1852549888282,-16.7867128657665 28.180372162561)))', 'ESZFJ', 'Guía de Isora', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.29670758368442 37.2045540695052,-7.29741856896627 37.1996795768538,-7.29930452024158 37.195009669986,-7.30229277955671 37.1907237530967,-7.30626839538169 37.1869864514296,-7.31107855748131 37.1839412970237,-7.31653847376757 37.1817052265992,-7.32243846263272 37.1803641009407,-7.32855198960667 37.1799694159661,-7.33464434273207 37.1805363302588,-7.34048161785142 37.1820430838866,-7.34583967374647 37.1844318306347,-7.35051271809252 37.1876108522764,-7.35432119847317 37.1914580711082,-7.35711869786689 37.1958257276031,-7.35879757033012 37.2005460455033,-7.35929309895774 37.2054376686565,-7.35858601312982 37.210312623861,-7.35670326372566 37.2149835431517,-7.35371702124318 37.2192708682018,-7.34974193016764 37.2230097593877,-7.34493072084547 37.2260564426809,-7.33946834479439 37.2282937486017,-7.33356485809895 37.2296356282723,-7.32744732774237 37.2300304709833,-7.32135107516119 37.2294630941371,-7.31551059817009 37.2279553280858,-7.3101505254434 37.2255651731765,-7.30547695634993 37.2223845620157,-7.30166952319369 37.2185358142969,-7.29887448356538 37.2141669223064,-7.29719910893144 37.2094458503945,-7.29670758368442 37.2045540695052)))', 'ESZGA', 'Isla Cristina', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.738796237946 27.816153772967,-15.7393050380631 27.8112587067281,-15.7408780105708 27.8065459419646,-15.74345458482 27.8021965555975,-15.7469356606538 27.7983776418184,-15.7511874294932 27.7952358984126,-15.7560465214771 27.7928919985101,-15.7613262801157 27.7914359626492,-15.7668239238751 27.7909237075689,-15.7723283212291 27.7913749031101,-15.7776280830786 27.7927722187189,-15.7825196647701 27.7950619881408,-15.7868151696252 27.7981562669621,-15.7903495569116 27.801936204655,-15.792986979206 27.8062566026909,-15.7946260063817 27.8109514849575,-15.7952035349566 27.8158404678495,-15.7946972308385 27.8207356864959,-15.7931264089102 27.8254490118431,-15.7905513124149 27.8297992816264,-15.7870708165346 27.833619267162,-15.7828186415555 27.8367621074995,-15.7779582191696 27.8391069625112,-15.7726764084083 27.8405636662516,-15.7671763032225 27.8410762003033,-15.7616694098685 27.8406248523544,-15.7563674974392 27.8392269761615,-15.7514744379941 27.8369363233232,-15.7471783531865 27.8338409727451,-15.7436443720407 27.8300599381206,-15.7410082801488 27.825738584976,-15.7393713050955 27.8210430348301,-15.738796237946 27.816153772967)))', 'ESZIH', 'Mogán', 'Y'),('SRID=4326;MULTIPOLYGON(((2.04916103464277 41.2672786666495,2.04859470868149 41.262392188318,2.04677603770135 41.2576829461078,2.04377515133788 41.2533318598059,2.03970753636701 41.2495060551377,2.03472957366957 41.2463524540245,2.02903251882567 41.2439921439104,2.02283515912366 41.2425157401945,2.01637542811285 41.2419799176001,2.00990129653563 41.2424052417068,2.00366128444717 41.2437753825411,1.99789495284647 41.2460377398538,1.99282373383555 41.2491054563994,1.98864244618333 41.2528607430746,1.98551181853284 41.2571593900615,1.98355230604854 41.2618362929532,1.9828394391128 41.2667117838917,1.98340088618186 41.2715985265066,1.98521534891132 41.2763087111558,1.98821333833337 41.2806612745746,1.99227980870538 41.28448886616,1.99725855340187 41.287644291949,2.00295819779108 41.290006186707,2.00915956035015 41.2914836937871,2.01562409813084 41.2920199704885,2.02210310860307 41.2915943820981,2.0283473289435 41.2902232988241,2.03411655748466 41.2879594643938,2.03918892109181 41.2848899609306,2.04336942674219 41.2811328495799,2.04649746484607 41.2768326179498,2.04845297447427 41.2721546116947,2.04916103464277 41.2672786666495)))', 'ESZJM', 'Pineda', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.78724654325006 42.3959423304012,-8.78791153977184 42.3910626397942,-8.78984780984141 42.3863728498081,-8.79298069767137 42.3820531248602,-8.79718964491689 42.3782693782555,-8.80231284842379 42.3751669101345,-8.80815348662864 42.3728648399618,-8.81448727408279 42.3714515450369,-8.8210710552015 42.3709812778662,-8.82765211085128 42.3714720903206,-8.83397782585519 42.3729051429823,-8.8398053526218 42.3752254257597,-8.84491090623427 42.3783438625853,-8.84909833947048 42.3821407207251,-8.85220667201011 42.3864701957745,-8.85411628581251 42.3911659986073,-8.85475354723831 42.3960477320431,-8.85409367447288 42.4009278142694,-8.85216173433883 42.4056186843566,-8.84903172343039 42.4099400134522,-8.84482376210687 42.4137256440343,-8.83969950342414 42.4168299891439,-8.83385592958593 42.4191336435621,-8.82751777296418 42.420547988802,-8.82092885431009 42.4210186124562,-8.81434267490098 42.4205274083823,-8.80801262996034 42.4190932756186,-8.80218222627349 42.4167713886928,-8.79707568674202 42.4136510678895,-8.79288930868462 42.4098523327612,-8.78978391177955 42.4055212734672,-8.78787866714347 42.4008244203201,-8.78724654325006 42.3959423304012)))', 'ESZJN', 'Portonovo', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.59908294233459 42.6998863071549,-8.59976599176402 42.695008039657,-8.60172589839609 42.6903217717096,-8.60488709546924 42.6860075308352,-8.60912793596954 42.6822310180224,-8.61428539232983 42.6791372540713,-8.62016132969547 42.676845023022,-8.6265301104565 42.6754423236963,-8.63314723929593 42.6749830016701,-8.63975872049644 42.6754846890305,-8.64611077375223 42.6769281297281,-8.65195954194917 42.6792579160071,-8.65708042464764 42.6823846081518,-8.66127668432428 42.6861881575321,-8.66438699844726 42.6905225035333,-8.66629166846253 42.6952211702104,-8.66691724567205 42.7001036500771,-8.66623939231745 42.7049823318054,-8.66428386208329 42.7096697070009,-8.66112555546449 42.7139855795729,-8.65688567942921 42.7177640001216,-8.65172711471288 42.7208596574117,-8.64584816490665 42.7231534791592,-8.63947492623697 42.7245572243727,-8.63285257269732 42.7250168882492,-8.62623589541895 42.7245147866581,-8.61987946576405 42.7230702387116,-8.61402780711409 42.7207388207342,-8.60890595995371 42.7176102208532,-8.60471080863615 42.7138047781343,-8.60160350695497 42.7094688414358,-8.59970329484699 42.7047691288717,-8.59908294233459 42.6998863071549)))', 'ESZJU', 'Pontecesures', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.92772287198801 37.1834568686941,-6.92845722727128 37.1785852650148,-6.93036505548535 37.1739218692403,-6.93337286016481 37.1696458338258,-6.93736494166481 37.1659214033373,-6.94218786032479 37.1628916149697,-6.94765633700134 37.1606728154811,-6.95356036363652 37.159350203165,-6.95967325207792 37.1589745641917,-6.96576031513386 37.159560327157,-6.9715878508744 37.1610850096578,-6.97693209016113 37.1634900780057,-6.98158776863658 37.1666831876843,-6.98537599790471 37.1705417198099,-6.98815113600729 37.1749174795483,-6.98980639380486 37.1796423780192,-6.9902779603958 37.1845348813311,-6.98954748577426 37.1894069805175,-6.98764282070206 37.1940714154921,-6.98463698008507 37.1983488755913,-6.9806453645572 37.2020748993535,-6.97582134283853 37.2051062070226,-6.97035036200277 37.2073262205405,-6.96444281134327 37.2086495567886,-6.95832591551343 37.2090253193844,-6.95223497179393 37.2084390609117,-6.94640427291097 37.20691333921,-6.94105806956282 37.2045068461771,-6.93640192511727 37.2013121432245,-6.93261479890966 37.1974520917978,-6.92984216496685 37.1930751180307,-6.92819043119254 37.1883494956283,-6.92772287198801 37.1834568686941)))', 'ESZJY', 'Punta Umbria', 'Y'),('SRID=4326;MULTIPOLYGON(((2.66033604310642 41.6021033221181,2.65972114273899 41.5972199109113,2.65784905873369 41.592520355018,2.65479197385075 41.5881851984225,2.65066753189243 41.5843809516972,2.6456342921798 41.5812537063534,2.6398856272518 41.5789235363761,2.63364229963176 41.5774798996976,2.62714400170547 41.5769782139245,2.62064018022932 41.5774377358603,2.61438049265258 41.5788408249231,2.60860525558184 41.5811336182426,2.60353624598087 41.5842280919195,2.59936820308348 41.5880054305441,2.59626135384221 41.5923205774827,2.59433524774689 41.5970077934488,2.5936641390916 41.6018870121599,2.59427409769758 41.6067707509064,2.59614196454122 41.6114713118841,2.59919619888667 41.6158079980938,2.60331959090039 41.6196140660933,2.60835374110645 41.622743147099,2.61410513835217 41.6250748876629,2.62035260414388 41.6265195907449,2.62685581609641 41.6270216763881,2.63336457933684 41.6265618269123,2.63962848407645 41.6251577327643,2.6454065716836 41.6228634098299,2.6504766312264 41.6197671148785,2.65464376362753 41.6159879405922,2.65774788054986 41.6116712230679,2.65966984847461 41.606982940699,2.66033604310642 41.6021033221181)))', 'ESZME', 'San Pol de Mar', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.4236234124324 28.4983002131919,-16.4241030028023 28.493403930245,-16.4256545359007 28.4886843737175,-16.4282182582386 28.4843228833202,-16.4316955568863 28.4804870187844,-16.4359527628493 28.4773241282356,-16.4408262936898 28.4749556951156,-16.4461289369017 28.4734726794659,-16.4516570330338 28.4729320311162,-16.4571982842482 28.4733545074519,-16.4625398909582 28.4747238786699,-16.4674767071726 28.4769875506145,-16.4718191045384 28.480058581391,-16.4754002458475 28.4838190149442,-16.4780824905873 28.4881244046367,-16.4797626872816 28.4928093544122,-16.4803761488122 28.4976938660945,-16.4798991562515 28.5025902502354,-16.4783498922663 28.5073103359085,-16.4757877648939 28.5116727028455,-16.4723111442448 28.51550965787,-16.4680535960943 28.5186736868395,-16.4631787549746 28.5210431329979,-16.4578740328703 28.5225268820777,-16.4523434057248 28.5230678725911,-16.4467995567001 28.5226452950613,-16.4414556808763 28.5212753946974,-16.4365172696968 28.5190108462127,-16.4321741943334 28.5159387249474,-16.4285933952129 28.5121771529736,-16.4259124607527 28.5078707502431,-16.4242343429506 28.5031850670377,-16.4236234124324 28.4983002131919)))', 'ESZMF', 'Sauzal', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.3926192841899 28.512293872859,-16.3931003455943 28.5073976565107,-16.3946534512478 28.502678407599,-16.3972187872472 28.4983174538659,-16.4006976787569 28.4944823343015,-16.4049563957469 28.4913203683318,-16.4098312979336 28.4889530038546,-16.4151351203435 28.487471159891,-16.4206641584174 28.4869317413428,-16.4262060782709 28.4873554584721,-16.4315480546941 28.4887260339462,-16.4364849274697 28.4909908274776,-16.4408270659659 28.4940628541872,-16.4444076427453 28.4978241198177,-16.4470890387681 28.5021301457684,-16.4487681349411 28.5068155114852,-16.4493802862301 28.511700202708,-16.4489018239072 28.516596522952,-16.4473509870488 28.5213163035925,-16.4447872441546 28.5256781359366,-16.4413090275242 28.5295143472339,-16.4370499644433 28.5326774518519,-16.4321737478843 28.5350458285439,-16.4268678429221 28.5365284041881,-16.4213362711654 28.5370681624909,-16.4157917522293 28.5366443414658,-16.4104475070106 28.5352732342625,-16.4055090411301 28.5330075621197,-16.4011662277555 28.529934443677,-16.3975859970681 28.5261720393984,-16.3949059154181 28.5218650012333,-16.3932289017972 28.5171789038363,-16.3926192841899 28.512293872859)))', 'ESZMG', 'El Pris - Tacoronte', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.9106891835807 43.4089783519185,-2.91135557230716 43.4040988116839,-2.91331458776249 43.3994077886259,-2.91649068617562 43.3950854929292,-2.92076163874953 43.3912979337912,-2.92596325510434 43.3881905541262,-2.93189570208124 43.3858826581364,-2.93833117372825 43.3844628433328,-2.94502261917494 43.3839856100027,-2.95171319703172 43.384469276266,-2.95814609899887 43.3858952774122,-2.96407437224198 43.3882088759451,-2.96927037013236 43.3913212555617,-2.97353447416157 43.3951129200392,-2.97670275587039 43.3994382685737,-2.97865328577957 43.4041311742964,-2.9793108454939 43.409011354144,-2.97864985790587 43.4138912874725,-2.97669541688898 43.4185834189966,-2.97352236979779 43.422907369778,-2.96925248089294 43.4266968786478,-2.96404977861959 43.4298062058627,-2.95811426145715 43.4321157507236,-2.95167420276518 43.4335366646937,-2.94497735175044 43.4340142801475,-2.93828137275197 43.4335302207899,-2.93184389634504 43.4321031111767,-2.92591257178135 43.4297878575583,-2.92071551022519 43.4266735282095,-2.91645249211777 43.4228799161826,-2.91328728059584 43.4185529187778,-2.91134133773025 43.4138589138894,-2.9106891835807 43.4089783519185)))', 'ESZOD', 'Plencia', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.8345551223299 28.7397577601098,-13.8351559297192 28.7348715729939,-13.8368266027519 28.7301825593047,-13.8395028175609 28.7258708742524,-13.8430816516235 28.7221021560727,-13.8474255507064 28.7190211693826,-13.8523676182537 28.7167462518576,-13.8577180234671 28.7153647761375,-13.8632712826888 28.7149297999089,-13.8688141363519 28.7154580317292,-13.8741337217759 28.7169291900356,-13.8790257311648 28.7192867798084,-13.8833022446649 28.7224402574558,-13.8867989402502 28.7262685016605,-13.8893814051545 28.7306244581205,-13.8909503068271 28.735340781187,-13.8914452238631 28.7402362570479,-13.8908469876285 28.7451227628104,-13.8891784416109 28.749812494792,-13.8865035858588 28.754125188429,-13.8829251359906 28.7578950519381,-13.8785805877493 28.760977146336,-13.8736369365191 28.7632529653088,-13.8682842541995 28.7646349989796,-13.8627283711172 28.7650701047184,-13.8571829462984 28.7645415542512,-13.851861233859 28.7630696776521,-13.8469678654137 28.7607110792942,-13.8426909677202 28.7575564563174,-13.8391949212944 28.7537271044051,-13.8366140400733 28.7493702464975,-13.8350474155064 28.7446533654809,-13.8345551223299 28.7397577601098)))', 'ESZRJ', 'Corralejo', 'Y'),('SRID=4326;MULTIPOLYGON(((23.8547764147876 62.9989041628027,23.853249423861 62.9940671955676,23.8496773461568 62.9894585455156,23.8441982551319 62.9852551688679,23.8370231959917 62.9816183902833,23.8284280017085 62.978687735019,23.8187426781584 62.9765756026394,23.8083387684146 62.9753629815615,23.7976151746893 62.9750963639764,23.7869829675709 62.9757859755844,23.7768497453144 62.9774053856979,23.7676041205815 62.9798925122326,23.7596009080279 62.9831519845855,23.7531475635188 62.9870587770568,23.7484923847522 62.9914629779677,23.7458149242038 62.9961955165865,23.7452189895373 63.0010746329618,23.7467285154582 63.0059128462165,23.7502864866861 63.0105241560717,23.7557569773461 63.0147312013763,23.7629302515641 63.0183720989527,23.7715307481125 63.0213066964646,23.7812276538995 63.0234219941757,23.7916476625625 63.0246365217748,23.802389420971 63.0249034968195,23.8130390931217 63.0242126391894,23.8231864218609 63.022590569268,23.8324406469413 63.0200997740724,23.8404456443862 63.0168361827268,23.8468936866034 63.0129254480104,23.8515372831267 63.0085180817728,23.8541986447733 63.0037836366367,23.8547764147876 62.9989041628027)))', 'FIAJI', 'Alajärvi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.2853689596133 65.6750875987622,24.2847179178618 65.6702099211685,24.2817729179525 65.6654783148729,24.2766482691962 65.6610744893183,24.26954172292 65.6571674772962,24.260726749717 65.653907170157,24.2505419744092 65.6514185960371,24.2393781830099 65.6497971551445,24.2276633978058 65.6491049891424,24.2158465799854 65.6493686187752,24.2043805631934 65.650577936643,24.1937048456152 65.652686592026,24.1842288725293 65.655613753514,24.1763164257127 65.6592471845093,24.1702717007572 65.6634475180673,24.1663275985466 65.6680535725989,24.1646366834809 65.6728885102353,24.1652651696301 65.6777666066361,24.1681901887073 65.682500376052,24.1733004732968 65.686907779726,24.1804004588876 65.6908192401316,24.1892176737005 65.6940841886932,24.1994131516586 65.6965768906596,24.210594477373 65.6982013173944,24.2223309591143 65.6988948726657,24.2341703325842 65.6986308242245,24.2456563302346 65.6974193432309,24.2563464119699 65.6953071097222,24.2658289457009 65.6923754998471,24.2737391508606 65.6887374274308,24.2797731731395 65.6845329660317,24.2836997410447 65.6799239256642,24.2853689596133 65.6750875987622)))', 'FIAJO', 'Ajos', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5645876945166 59.8870437939852,23.5632603012642 59.882200719888,23.5600792744223 59.8775807942193,23.5551675009159 59.8733614262673,23.5487141318106 59.8697045814007,23.5409672536517 59.8667505846245,23.5322243416466 59.86461275921,23.5228208634508 59.8633731016926,23.5131174660497 59.8630791549089,23.5034862261775 59.8637421955922,23.4942964760193 59.8653368039673,23.4859007300828 59.8678018314355,23.4786212358831 59.8710427305543,23.4727376504926 59.8749351607814,23.4684763073481 59.8793297356045,23.4660014836086 59.8840577333552,23.4654090088387 59.8889375568094,23.4667224724294 59.8937816970331,23.4698921921537 59.8984039361358,23.4747970024918 59.9026265126308,23.4812488124598 59.9062869726785,23.4889997728811 59.9092444408954,23.4977517870648 59.9113850655145,23.507168001632 59.912626423846,23.5168858305979 59.9129207141194,23.5265310001492 59.9122566073076,23.5357320574295 59.9106596854952,23.5441347665235 59.908191449481,23.5514158198405 59.9049469351804,23.5572953229513 59.9010510335143,23.5615475639127 59.8966536594902,23.5640096512917 59.8919239609282,23.5645876945166 59.8870437939852)))', 'FIBAG', 'Baggö', 'Y'),('SRID=4326;MULTIPOLYGON(((21.1697990200526 62.9759447979155,21.168718031472 62.9710818077981,21.1655737194241 62.9664081706767,21.1604877756547 62.9621033601372,21.153656219994 62.9583326117291,21.1453417811459 62.9552406028885,21.1358637707746 62.9529459280849,21.1255858443579 62.951536576191,21.1149021142301 62.9510665785929,21.1042221350849 62.951553952397,21.0939553190941 62.9529800148122,21.0844953562569 62.9552900940346,21.0762052154323 62.9583956103854,21.0694032827175 62.9621774507249,21.0643511566278 62.9664905109517,21.0612435643696 62.9711692373138,21.0602007912422 62.9760339588909,21.0612639272385 62.9808977724115,21.0643931333185 62.9855737178648,21.0694690174806 62.9898819702431,21.0762970913812 62.9936567700092,21.0846151563891 62.9967528229448,21.0941033487966 62.9990509189032,21.1043964630055 63.0004625481711,21.1150980744755 63.0009333326516,21.125795906234 63.0004451354424,21.1360778282045 62.999016764691,21.1455478506367 62.9967032436253,21.1538414731922 62.9935936759147,21.1606397797181 62.989807791482,21.1656817237598 62.9854913101048,21.168774128238 62.9808103063732,21.1697990200526 62.9759447979155)))', 'FIBER', 'Bergö', 'Y'),('SRID=4326;MULTIPOLYGON(((21.1004409352865 60.4169715226961,21.0994568733386 60.4121061543386,21.0965730588667 60.4074291680472,21.0919010258051 60.4031201799645,21.085620790904 60.3993446064074,21.0779738641204 60.3962473337628,21.0692539428721 60.3939471820304,21.0597956514157 60.3925323699986,21.04996175407 60.3920571515738,21.0401293226285 60.3925397485141,21.030675373138 60.3939616563393,21.0219625047299 60.3962683491592,21.0143250731276 60.3993713572862,21.0080564138108 60.4031516404757,21.0033975948533 60.4074641311885,21.0005281277094 60.4121432780345,20.9995589966392 60.4170093811384,21.0005282854963 60.4218754800264,21.0033995863058 60.4265545320756,21.0080632702234 60.4308666066511,21.0143405915821 60.4346458175463,21.0219904839897 60.4377467246226,21.0307187985434 60.440049954571,21.0401896331839 60.4414668199718,21.0500383140045 60.441942754311,21.0598855185569 60.4414594268386,21.0693519817181 60.4400354532524,21.0780731992618 60.4377256739362,21.0857135443862 60.4346190284698,21.0919792380588 60.4308351108499,21.0966296637025 60.4265195419245,21.0994865876708 60.4218383417129,21.1004409352865 60.4169715226961)))', 'FIBRA', 'Brändö', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5668119471828 60.016418622172,22.5656247919891 60.0115653889477,22.5625699377679 60.0069213011631,22.5577654465638 60.0026647025774,22.5513963757123 59.998958992512,22.5437076020788 59.9959463738161,22.5349943940546 59.9937424193377,22.5255910961937 59.9924316609645,22.5158583564675 59.9920643661324,22.5061693754502 59.9926546218972,22.496895689405 59.994179797804,22.4883930147092 59.9965814075607,22.4809876790899 59.9997673376091,22.4749641457717 60.0036153598277,22.4705541001204 60.0079777974861,22.4679275153142 60.0126871698689,22.4671860449619 60.0175626032852,22.4683590079495 60.022416765929,22.4714021362724 60.0270630625437,22.4761991530467 60.0313228130965,22.4825661388531 60.0350321384082,22.4902585342598 60.0380482852413,22.4989805194972 60.0402551436205,22.5083964137616 60.041567739565,22.5181436513912 60.0419355258844,22.527846824633 60.0413443406984,22.5371322365823 60.0398169559581,22.5456423856981 60.0374121942313,22.5530498063425 60.0342226489357,22.5590697178693 60.0303710985815,22.5634709863014 60.0260057570256,22.5660849747139 60.0212945470747,22.5668119471828 60.016418622172)))', 'FIDLS', 'Taalintehdas (Dalsbruk)', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5168884616025 60.0664371772088,22.5157067195523 60.0615835108478,22.5126541298972 60.0569382945843,22.5078486708908 60.0526799156302,22.5014754398239 60.0489718415801,22.4937794753078 60.0459563657752,22.4850563227728 60.0437491703511,22.4756407083528 60.0424349111556,22.465893751566 60.0420639895837,22.4561891966478 60.0426506315877,22.4468991751531 60.044172345282,22.43838002799 60.0465707773372,22.4309587131462 60.0497539364558,22.4249203060357 60.0535997013544,22.4204970629039 60.0579604825591,22.4178594646695 60.0626688635991,22.4171095899457 60.0675440094577,22.418277083288 60.0723985998588,22.4213178901013 60.0770460234149,22.4261158259615 60.0813075568744,22.432486938911 60.0850192523986,22.4401865128069 60.08803826531,22.4489184527275 60.0902483749801,22.4583466947405 60.0915644818929,22.4681081968889 60.0919359033545,22.4778270005336 60.0913483373087,22.4871288048762 60.0898244163185,22.4956554751756 60.0874228297547,22.5030789081167 60.084236049161,22.509113705829 60.0803867471577,22.5135281615691 60.0760230517103,22.5161531322204 60.0713128229561,22.5168884616025 60.0664371772088)))', 'FIDRA', 'Dragsfjärd', 'Y'),('SRID=4326;MULTIPOLYGON(((19.6671198554065 60.2175130423074,19.6663543676529 60.212638431711,19.6636929526794 60.2079317567544,19.6592386107083 60.203573785625,19.6531630210538 60.1997318253614,19.6456998685948 60.1965533178278,19.6371358327608 60.1941602044047,19.6277995898731 60.1926442712816,19.6180492484767 60.1920636494645,19.6082586904463 60.1924405998712,19.5988033271563 60.1937606657546,19.590045799294 60.1959732238325,19.5823221507009 60.1989934136126,19.5759289909193 60.2027053732041,19.5711121281534 60.2069666610948,19.5680571046269 60.211613698623,19.5668820007554 60.2164680287714,19.5676327945204 60.2213431549391,19.5702814699441 60.2260516998246,19.574726966283 60.2304126105617,19.5807989508917 60.2342581325835,19.5882642877309 60.2374402817812,19.5968359648234 60.2398365623634,19.6061841425378 60.2413547059689,19.6159488953585 60.2419362450649,19.6257541473979 60.2415587790859,19.6352222502477 60.2402368432703,19.6439886237358 60.2380213455815,19.6517158773558 60.2349975940413,19.6581068527368 60.2312819927869,19.6629160742342 60.2270175377402,19.6659591629404 60.222368289733,19.6671198554065 60.2175130423074)))', 'FIECK', 'Eckerö', 'Y'),('SRID=4326;MULTIPOLYGON(((21.7846833301576 61.199710555166,21.7835694204715 61.1948512262738,21.7805131043114 61.1901900805327,21.7756325735915 61.1859061166083,21.7691158666418 61.1821637801923,21.7612135689745 61.1791066725616,21.7522291606066 61.1768520646936,21.742507384244 61.1754864228037,21.7324210765908 61.1750621123792,21.7223569567543 61.1755954033054,21.7127009002684 61.1770658501021,21.7038232441599 61.1794170702608,21.6960646674929 61.1825588918843,21.6897231729662 61.1863707909838,21.6850426586401 61.1907064905696,21.682203515286 61.1953995497307,21.6813156151099 61.2002697328187,21.6824139731808 61.2051299180914,21.6854572658864 61.2097932830368,21.6903292840137 61.2140804911362,21.6968432851999 61.2178266028027,21.704749095866 61.2208874420118,21.7137427011773 61.223145169687,21.7234779582787 61.2245128446494,21.7335799781433 61.2249377918943,21.7436596496172 61.224403644586,21.7533287295657 61.2229309785814,21.7622148982564 61.220576514244,21.7699761806638 61.2174309173687,21.7763141621697 61.2136152866924,21.780985479544 61.2092764673033,21.7838111421699 61.2045813750732,21.7846833301576 61.199710555166)))', 'FIEJO', 'Eurajoki (Euraåminne)', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0865627990029 64.4091540204439,24.085972272349 64.4042750536872,24.0831931844776 64.3995396331178,24.078333359495 64.3951296236312,24.0715802968767 64.3912143084929,24.0631938539896 64.3879439129673,24.0534962085416 64.3854438674603,24.0428594943397 64.3838100251348,24.0316915828285 64.3831050120525,24.0204205442554 64.3833558450034,24.0094783650917 64.3845529048638,23.9992845220458 64.3866503031866,23.9902300174526 64.3895676283974,23.9826624659953 64.3931930070966,23.9768727887556 64.3973873671881,23.973084017848 64.401989744467,23.9714426440678 64.4068234344847,23.9720128522539 64.411702758437,23.9747738862993 64.4164401868536,23.9796206706243 64.4208535491634,23.9863676910768 64.4247730516654,23.9947560101621 64.4280478316074,24.0044631645463 64.4305517910958,24.0151155727779 64.4321884810985,24.0263029741369 64.4328948420194,24.0375943312163 64.4326436518719,24.0485545642279 64.4314445841597,24.0587614479239 64.4293438330081,24.0678219946503 64.4264223204306,24.0753876698711 64.422792557316,24.0811678381526 64.4185942832477,24.084940915038 64.4139890582971,24.0865627990029 64.4091540204439)))', 'FIELA', 'Elävisluoto', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7004953328254 68.3819222938637,23.6986215337769 68.3770878511659,23.6942279074207 68.3724810286731,23.6874845718431 68.3682786714931,23.6786514487216 68.3646420069556,23.6680681570069 68.3617104893641,23.6561409368895 68.3595964865397,23.6433271100583 68.3583810054195,23.6301176623905 68.3581106143443,23.6170185945348 68.3587956749747,23.6045317239781 68.3604099485393,23.5931356390099 68.3628915908779,23.5832675004805 68.3661455000454,23.5753063613902 68.3700469306414,23.569558627132 68.3744462420694,23.5662462108468 68.3791746051624,23.5654978493842 68.3840504545529,23.5673439370424 68.3888864442605,23.5717151087437 68.3934966425618,23.5784446649161 68.3977036904148,23.5872747816804 68.4013456463791,23.5978662977929 68.4042822505798,23.6098117209873 68.4064003608046,23.6226509583246 68.4076183448,23.6358891553994 68.4078892531834,23.6490159347102 68.4072026455383,23.661525259938 68.4055849961561,23.6729351242699 68.4030986631368,23.6828062690811 68.3998394625405,23.6907591837087 68.3959329453403,23.6964887148737 68.391529526521,23.6997757206945 68.3867986605605,23.7004953328254 68.3819222938637)))', 'FIENF', 'Enontekiö (Enontekis)', 'Y'),('SRID=4326;MULTIPOLYGON(((28.9701517371138 62.0822526896709,28.9688155126408 62.0774052156717,28.9654891525599 62.0727730654059,28.960301252305 62.0685341100303,28.9534516602303 62.0648510532116,28.9452037248704 62.0618652085091,28.935874156308 62.0596911028665,28.9258208939337 62.0584121084227,28.9154294408804 62.0580772655095,28.9050981766404 62.0586994148524,28.8952231930201 62.0602547082175,28.8861832141753 62.0626835156895,28.8783251588177 62.0658926961047,28.8719508817932 62.069759146577,28.8673055933642 62.0741344992245,28.8645683982 62.0788507897632,28.863845323267 62.083726885156,28.8651651159893 62.0885754274389,28.8684779934287 62.0932100294897,28.8736574127599 62.0974524468907,28.8805048167753 62.1011394489141,28.8887571900582 62.1041291213789,28.8980971468978 62.1063063545991,28.9081651663839 62.1075873002894,28.9185734987441 62.1079226210576,28.9289211947588 62.1072994034289,28.9388096610278 62.1057416582746,28.9478581207825 62.1033093887734,28.9557183641727 62.1000962631524,28.96208820325 62.0962259849199,28.9667231033946 62.091847504699,28.9694455414609 62.0871292629176,28.9701517371138 62.0822526896709)))', 'FIENK', 'Enonkoski', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7000670212083 60.2008780898616,24.6994454859204 60.1959990577512,24.6969244511274 60.1912741092296,24.6926015359355 60.186884721835,24.6866433912758 60.18299941496,24.6792792162201 60.1797672984698,24.670791915168 60.1773123729594,24.6615072409172 60.1757287960583,24.6517813385029 60.1750772919076,24.6419871589976 60.1753828375726,24.6325002501829 60.1766337122728,24.6236844515396 60.1787819445965,24.6158780240599 60.1817451409954,24.6093807309487 60.1854096275625,24.604442353558 60.1896347880683,24.6012530784097 60.194258436151,24.5999361267613 60.1991030200075,24.6005429192274 60.2039824254124,24.603050976406 60.2087091187152,24.6073646549129 60.2131013567509,24.6133187100196 60.2169901861437,24.6206845652554 60.2202259607574,24.6291790604332 60.2226841230803,24.6384753475173 60.2242700227074,24.6482155135228 60.2249225818825,24.6580244358707 60.2246166629221,24.6675243223108 60.2233640434377,24.6763493576342 60.2212129604694,24.6841598746488 60.2182462415508,24.6906554875591 60.2145780968612,24.6955866708129 60.2103496995458,24.6987643331329 60.2057237287407,24.7000670212083 60.2008780898616)))', 'FIESP', 'Espoo (Esbo)', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0671512485076 60.233361986363,20.0663260052477 60.2284896176804,20.0636059542426 60.2237909006779,20.0590963436371 60.2194462947798,20.0529709676029 60.2156225913191,20.0454654129236 60.2124665296458,20.036867976618 60.2100991889534,20.0275086079246 60.2086113666434,20.0177462963297 60.2080601160818,20.0079553799961 60.2084665727056,19.9985112849612 60.2098151492059,19.9897762242524 60.212054129596,19.982085387349 60.215097640083,19.9757341341936 60.2188289234997,19.9709666744547 60.2231047953467,19.9679666625066 60.2277611148731,19.9668500725245 60.2326190657193,19.9676606376053 60.237492008899,19.9703680439318 60.2421926476469,19.974868968395 60.2465402299711,19.9809909392109 60.2503675114054,19.9884988880138 60.2535272078861,19.9971041533057 60.2558976868531,20.0064755939579 60.2573876731301,20.0162523826363 60.2579397839062,20.0260579771693 60.2575327527842,20.0355147168922 60.2561822545354,20.0442584637366 60.2539402977157,20.051952705839 60.2508932092536,20.0583015648505 60.2471582910306,20.0630611955937 60.2428792809123,20.0660491355898 60.2382207974222,20.0671512485076 60.233361986363)))', 'FIFAR', 'Färjsundet', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6680141441055 60.8159960678091,23.666629288966 60.8111550019413,23.6633382649945 60.8065388516864,23.6582682281289 60.8023248756448,23.6516144356095 60.7986748246312,23.6436326790098 60.7957287545929,23.634629440909 60.7935996767905,23.6249501554134 60.7923692459075,23.6149660177678 60.7920846470854,23.6050598371282 60.7927567977386,23.5956114583555 60.7943599309686,23.5869832929514 60.7968325761401,23.5795064957791 60.8000799003923,23.5734683030262 60.8039773242398,23.5691010082484 60.8083752766752,23.566572997877 60.8131049119469,23.565982196292 60.8179845730552,23.567352185016 60.8228267574128,23.5706311629846 60.827445319333,23.5756938081532 60.8316626330619,23.5823459886033 60.835316439653,23.5903321581892 60.8382661114066,23.5993451624988 60.840398088733,23.6090380806102 60.8416302755217,23.6190376418336 60.8419152193098,23.6289586889082 60.8412419501647,23.6384191136889 60.8396364052658,23.6470546707775 60.8371604224036,23.6545330799965 60.8339093425732,23.6605668597436 60.8300083170124,23.6649243883076 60.8256074650567,23.6674387660757 60.8208760738826,23.6680141441055 60.8159960678091)))', 'FIFSF', 'Forssa', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4666839835911 59.949080081212,23.4653681372129 59.9442359914484,23.462194510933 59.9396136963409,23.4572857118758 59.9353906965533,23.4508307810356 59.9317290969682,23.4430778682038 59.9287694048904,23.4343246822315 59.9266251617348,23.4249070855751 59.9253786097515,23.4151862660105 59.9250775557592,23.4055349665394 59.9257335487432,23.3963232859812 59.9273214391199,23.3879045770269 59.9297803361372,23.3806019654093 59.9330159279946,23.3746959933466 59.9369040785235,23.3704138528281 59.9412955663996,23.3679206202466 59.9460217895005,23.3673128343696 59.9509012197711,23.3686146762408 59.9557463642648,23.3717769145047 59.9603709671482,23.3766786757583 59.9645971764203,23.3831319904513 59.9682623985842,23.3908889548405 59.9712255748305,23.3996512432657 59.9733726333109,23.4090816075056 59.9746209031666,23.418816916033 59.9749223160481,23.4284822200288 59.9742652683321,23.4377052886076 59.9726750701762,23.4461310353547 59.9702129636714,23.4534352630995 59.9669737492344,23.4593371835872 59.9630821145389,23.4636102216481 59.9586878113414,23.466090686657 59.953959870371,23.4666839835911 59.949080081212)))', 'FIGUL', 'Gullö', 'Y'),('SRID=4326;MULTIPOLYGON(((25.3732704300932 63.7506457227824,25.372468935288 63.7457717452493,25.3695367289934 63.7410606346061,25.3645874425622 63.7366933143624,25.3578119364536 63.7328374253369,25.3494708652794 63.7296409126906,25.3398846194987 63.7272263761387,25.32942103645 63.7256863950411,25.3184813493152 63.7250800024931,25.3074849010878 63.7254304390956,25.2968531908123 63.7267242693457,25.2869938407843 63.7289118931683,25.278285075871 63.7319094336518,25.2710612895983 63.7356019312182,25.2656002363402 63.7398477258844,25.2621123352312 63.7444838645955,25.2607325000701 63.7493323313779,25.2615148217706 63.7542068657716,25.2644303277949 63.7589201109738,25.2693679292511 63.7632908185085,25.2761385446138 63.767150831874,25.2844822638494 63.7703515780162,25.2940782933631 63.7727698127083,25.3045573063352 63.7743123935812,25.315515720516 63.7749198917461,25.3265313418821 63.7745688982816,25.3371797524451 63.773272933468,25.3470507874383 63.7710819223494,25.3557644430666 63.7680802575234,25.3629855812438 63.7643835264626,25.3684368507517 63.7601340336606,25.371909321947 63.7554952951793,25.3732704300932 63.7506457227824)))', 'FIHAA', 'Haapajärvi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8918699513029 65.0008426226889,24.8911220434517 64.9959670410242,24.8881415159085 64.9912468468626,24.8830439683543 64.9868633097411,24.8760260456689 64.9829846853629,24.867357767544 64.9797597802725,24.8573721028811 64.977312270839,24.8464521968801 64.975735989166,24.8350167380743 64.9750913512208,24.82350401378 64.9754030593006,24.812355244672 64.9766591634714,24.8019978120625 64.9788115164275,24.792828994764 64.9817776049495,24.785200816173 64.9854436904204,24.7794065665358 64.9896691423063,24.7756695106009 64.9942918037356,24.7741342177036 64.9991341888628,24.7748608609567 65.0040102790668,24.7778227265436 65.0087326605568,24.7829070558919 65.0131197307958,24.7899192164763 65.0170026961967,24.7985900658408 65.0202320893346,24.808586243645 65.0226835505753,24.8195230041633 65.0242626461873,24.8309790929126 65.0249085318055,24.8425130818469 65.0245963151849,24.8536805129334 65.0233380236806,24.8640511637382 65.0211821376012,24.8732257431007 65.0182117080533,24.8808513504103 65.0145411345364,24.8866350868842 65.0103117308484,24.8903552883123 65.0056862554859,24.8918699513029 65.0008426226889)))', 'FIHAO', 'Hailuoto', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0846814204754 61.200358981668,26.0838296545707 61.1954873609925,26.0810253528994 61.190789491573,26.0763770527077 61.1864457956328,26.0700639128908 61.1826230225516,26.06232874913 61.17946786765,26.0534686717305 61.1771013669661,26.0438236905278 61.175614278539,26.0337637212465 61.1750636227514,26.0236744815824 61.1754705104278,26.0139428020821 61.176819339229,26.0049418960711 61.1790583880658,25.9970171341833 61.1821017874698,25.9904728524585 61.1858327928067,25.9855606887321 61.190108238581,25.982469890635 61.1947640075241,25.9813199708532 61.1996213092512,25.9821560027369 61.2044935315094,25.9849467539274 61.2091934037216,25.9895857501143 61.2135401987583,25.9958952488542 61.2173666954313,26.0036329887917 61.2205256315371,26.0125014674271 61.2228953953834,26.0221593959152 61.2243847321434,26.0322348874228 61.2249362791453,26.0423398611311 61.224528789885,26.052085091123 61.2231779582875,26.061095301131 61.2209358103505,26.0690237040738 61.217888687353,26.0755654095986 61.2141539008132,26.0804691720783 61.20987519188,26.083547022898 61.2052171746077,26.0846814204754 61.200358981668)))', 'FIHEA', 'Heinola', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0350520724541 60.183751499208,25.0343810727788 60.1788738274186,25.0318130723897 60.17415504923,25.0274474894508 60.1697764026798,25.0214526061129 60.1659059927792,25.0140590234344 60.1626923563023,25.0055507661886 60.1602587841575,24.9962543843569 60.1586986148899,24.9865264675688 60.1580716754056,24.9767400426203 60.1584020015132,24.9672703614921 60.1596769229088,24.9584806073726 60.1618475464586,24.9507080488197 60.1648306197542,24.944251157321 60.1685117056483,24.9393581713748 60.1727495495276,24.9362175413209 60.1773814761081,24.9349506243808 60.1822296131431,24.9356069200911 60.1871077071067,24.9381620444881 60.1918282719634,24.9425185396587 60.1962097976723,24.9485095069834 60.2000837408969,24.9559049415855 60.2033010269472,24.9644205367576 60.2057378092999,24.9737286253876 60.2073002606844,24.9834708355912 60.2079282067621,24.9932719645252 60.2075974584795,25.0027545216562 60.2063207504127,25.0115533635386 60.2041472477008,25.0193298380863 60.2011606410793,25.0257848776408 60.1974759056128,25.0306705256501 60.1932348515286,25.033799448911 60.1886006428347,25.0350520724541 60.183751499208)))', 'FIHEL', 'Helsinki (Helsingfors)', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6155292454134 65.7369573505384,24.6148145793503 65.7320809691754,24.6118022822924 65.7273556132726,24.6066092485227 65.722962748759,24.5994358499798 65.7190709844997,24.5905581139295 65.7158296242066,24.5803170615692 65.7133629675016,24.5691056252621 65.7117655732577,24.5573536436146 65.7110986611707,24.5455114965216 65.7113877844924,24.5340329858263 65.7126218595292,24.5233580909841 65.7147535874675,24.513896232951 65.7177012529354,24.5060106634229 65.721351833065,24.5000045606533 65.7255653022923,24.496109357672 65.7301799733058,24.4944757544293 65.7350186749855,24.4951677733581 65.7398955353386,24.4981601099146 65.7446231126933,24.5033389086154 65.7490196029258,24.5105059646846 65.7529158451896,24.5193862164493 65.756161854038,24.5296382597278 65.7586326221484,24.5408674888947 65.7602329647223,24.5526413565397 65.760901213206,24.5645061508143 65.7606116108928,24.5760046220368 65.7593753143986,24.586693751937 65.757239960735,24.5961619524026 65.7542878172591,24.604045006169 65.7506325885756,24.6100401179946 65.7464150079485,24.6139175281271 65.7417973886114,24.6155292454134 65.7369573505384)))', 'FIHHT', 'Hahtisaari', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6898797528982 64.0709589367644,23.6883183079136 64.0661209816406,23.6846323658192 64.0615092945536,23.6789644504788 64.0573009425753,23.6715329121999 64.0536574324077,23.6626234556705 64.0507185369427,23.6525781434438 64.0485969611332,23.6417823000082 64.0473740465138,23.6306498121357 64.0470966740349,23.6196073739873 64.0477754798904,23.6090782596397 64.049384450272,23.5994662209227 64.051861910095,23.5911401045606 64.0551128693575,23.5844197596038 64.0590126405557,23.5795637642302 64.0634115931294,23.5767594406595 64.0681408678694,23.5761155490486 64.0730188371234,23.577657957313 64.0778580669557,23.5813284760817 64.0824725164248,23.5869869295505 64.0866846979127,23.5944164079007 64.0903325217097,23.6033315200575 64.0932755582136,23.6133893424564 64.095400472035,23.6242026460507 64.0966254134562,23.6353548859128 64.0969031929636,23.6464163608126 64.0962231123967,23.6569608984939 64.0946113796276,23.6665823990623 64.0921300902907,23.6749105753168 64.0888748173975,23.6816252646149 64.0849709051634,23.6864687498082 64.080568614583,23.6892556132405 64.0758373130457,23.6898797528982 64.0709589367644)))', 'FIHIM', 'Himanka', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9975402423058 59.8422575088545,22.9962970993422 59.837408378141,22.9931988679882 59.8327744205825,22.988365261567 59.8285335886453,22.98198244034 59.8248486751821,22.9742957957833 59.8218610847878,22.9656005049013 59.8196854308028,22.9562302198221 59.8184051608737,22.9465443222468 59.8180693746234,22.9369142209315 59.8186909520176,22.9277092023729 59.8202460620506,22.9192823597276 59.8226750700804,22.9119571224871 59.8258848102265,22.9060148895817 59.8297521384238,22.9016842316799 59.834128633717,22.8991320750862 59.838846271834,22.8984572108399 59.8437238575898,22.899686389915 59.8485739726867,22.9027731709871 59.8532101742783,22.9075995839333 59.8574541682651,22.9139805636357 59.8611426804019,22.9216709989781 59.8641337582284,22.930375135847 59.8663122574739,22.9397579753942 59.8675942973261,22.9494582246125 59.8679305087065,22.9591022898339 59.8673079469271,22.9683187586797 59.8657505928578,22.9767527947899 59.8633184227754,22.9840798735353 59.8601050839548,22.9900183156373 59.856234268327,22.9943401275469 59.8518549277767,22.9968797296828 59.8471355197396,22.9975402423058 59.8422575088545)))', 'FIHKL', 'Hangonkylä', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((22.9995104911618 59.8222569105202,22.9982678662886 59.8174077821136,22.9951712752507 59.812773849509,22.9903403673886 59.808533064301,22.9839611986382 59.804848217681,22.9762790199101 59.8018607118374,22.9675888368355 59.7996851570257,22.9582241059095 59.7984049972231,22.9485439963589 59.7980693279187,22.938919695642 59.7986910246231,22.9297202684671 59.8002462517198,22.9212985940639 59.8026753699817,22.9139779039363 59.805885209158,22.9080394224796 59.8097526212162,22.9037115759549 59.8141291818135,22.9011611819729 59.8188468640257,22.9004869628686 59.8237244708747,22.9017156436878 59.8285745832125,22.9048008011239 59.8332107583236,22.9096245264975 59.8374547032131,22.9160018573436 59.8411431456571,22.9236878225601 59.8441341360361,22.9323868400612 59.8463125336051,22.9417641083914 59.8475944616022,22.9514585496157 59.847930555346,22.9610967944041 59.8473078747089,22.9703076551861 59.8457504051024,22.9787365120677 59.843318127156,22.98605904008 59.8401046921546,22.9919937350307 59.8362337955628,22.9963127471237 59.8318543922116,22.9988506037116 59.8271349418078,22.9995104911618 59.8222569105202)))', 'FIHKO', 'Hanko (Hangö)', 'Y'),('SRID=4326;MULTIPOLYGON(((21.663565002477 60.4987581682284,21.6624941430052 60.4938972782614,21.6595221440181 60.4892327935795,21.6547639227923 60.4849438455597,21.648402796669 60.4811950771989,21.6406833683705 60.478130343212,21.6319021038102 60.4758672134571,21.6223959677645 60.4744924861066,21.61252954971 60.4740588782477,21.6026811631384 60.4745830171258,21.5932284358379 60.4760448066386,21.5845339254302 60.4783881926,21.5769312936478 60.4815232984252,21.570712554428 60.4853298519509,21.5661168751425 60.4896617757989,21.5633213577396 60.4943527696689,21.562434158192 60.499222674803,21.5634902199054 60.5040843800545,21.5664498017344 60.508751006821,21.5711998768008 60.5130430976131,21.5775583679442 60.5167955309762,21.5852810735986 60.5198638942322,21.5940710289073 60.5221300649993,21.603589946008 60.5235067821378,21.6134712896222 60.5239410256328,21.6233344739724 60.5234160714687,21.6327996184386 60.5219521398678,21.6415022749964 60.5196056111307,21.6491075417378 60.516466840302,21.6553230035816 60.5126566575088,21.6599099921109 60.5083216926521,21.6626927284682 60.5036287089973,21.663565002477 60.4987581682284)))', 'FIHKP', 'Hakkenpää', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2506740293827 60.5669145665569,27.2496628282566 60.5620504427675,27.2467439798338 60.5573768426851,27.2420303694621 60.5530732505411,27.235703612952 60.5493048735082,27.2280070053291 60.5462163199043,27.2192361469086 60.5439260736505,27.2097276105064 60.5425219725149,27.1998460811364 60.542057859139,27.1899704511576 60.542551529522,27.180479388591 60.5439840551403,27.1717369136989 60.5463005038443,27.1640785186543 60.549412032813,27.1577983472339 60.5531992758637,27.1531379161903 60.5575168990101,27.1502768078465 60.5621991539907,27.1493256954454 60.5670662211435,27.1503219803386 60.5719311019478,27.1532282252777 60.5766067990867,27.1579334636792 60.5809135090714,27.164257354291 60.5846855500673,27.1719570383992 60.5877777559513,27.1807364473258 60.5900710867757,27.19025770652 60.5914772351735,27.200154194036 60.5919420468256,27.2100447402682 60.5914476194262,27.2195484063267 60.590012996748,27.2282992531802 60.5876934301997,27.2359605141023 60.5845782372668,27.2422376090169 60.5807873419375,27.2468894895459 60.576466634224,27.2497378751068 60.5717823319845,27.2506740293827 60.5669145665569)))', 'FIHMN', 'Hamina (Fredrikshamn)', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4042779017369 60.3204784205491,22.403103119506 60.3156239076165,22.4000422651529 60.310976296539,22.3952136487071 60.3067140660479,22.3888032680329 60.303000830398,22.3810575948931 60.2999790793019,22.3722740845413 60.2977647337332,22.3627897762875 60.296442722018,22.3529684182504 60.2960637415473,22.3431865993848 60.2966423267046,22.3338194049588 60.2981562948101,22.3252261274283 60.3005475906958,22.3177365628865 60.3037244986466,22.3116384039678 60.307565139589,22.3071662035269 60.3119221232781,22.3044923301729 60.3166281814827,22.3037202677995 60.3215025703894,22.3048805281236 60.3263580000882,22.3079293500654 60.3310078273587,22.3127502554195 60.3352732360747,22.3191584202677 60.3389901281265,22.3269077101909 60.3420154571475,22.3357001193174 60.3442327574571,22.3451972535806 60.345556650896,22.3550334122161 60.3459361535971,22.3648297530077 60.3453566516719,22.3742089798515 60.3438404673701,22.3828099684635 60.3414459932561,22.3903017488107 60.3382654289024,22.3963962909268 60.3344212100368,22.4008595925866 60.3300612716103,22.4035206399412 60.3253533316852,22.4042779017369 60.3204784205491)))', 'FIHSS', 'Hessund', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2388980115086 63.5499178173045,27.2377834310837 63.5450557667677,27.2345646378354 63.5403840782463,27.2293662235501 63.5360821465823,27.2223885541166 63.5323150913862,27.2138999796947 63.5292274422228,27.2042264918272 63.5269376203437,27.1937392294378 63.5255334235741,27.1828403086444 63.5250686824553,27.1719475068841 63.5255612115828,27.1614783691471 63.5269921318482,27.1518343227351 63.5293065885957,27.1433853866907 63.5324158392057,27.1364560429008 63.5362006329707,27.1313127980431 63.5405157579795,27.1281539094695 63.5451955857072,27.1271016746389 63.5500604056734,27.1281975941923 63.5549233113564,27.1314006152919 63.5595973758452,27.1365885473152 63.563902842579,27.1435626202055 63.5676740537663,27.1520550313514 63.5707658471304,27.16173920511 63.5730591705025,27.1722423757308 63.5744656929857,27.1831600052087 63.574931229969,27.194071467872 63.5744378456932,27.2045563777705 63.5730045494557,27.214210906431 63.5706865576338,27.2226634389866 63.5675731510308,27.229588946021 63.563784213067,27.2347215049747 63.5594655865699,27.2378644853305 63.5547834331333,27.2388980115086 63.5499178173045)))', 'FIIIS', 'Iisalmi (Idensalmi)', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1196008998791 61.7661974721875,23.1182558316333 61.7613512844929,23.1149421216981 61.7567224872609,23.1097878584696 61.7524888235536,23.1029915821224 61.7488127956028,23.0948145844923 61.7458354496403,23.0855708506559 61.7436709892389,23.0756150312369 61.7424024190604,23.0653289017315 61.7420783814912,23.0551068157899 61.7427113037346,23.0453406925946 61.7442769240877,23.0364050937542 61.746715215028,23.0286429423036 61.7499326690395,23.0223524154639 61.7538058625055,23.0177755040441 61.7581861651827,23.015088675291 61.762905419368,23.0143960036009 61.7677823754658,23.0157250462946 61.7726296407011,23.0190256418337 61.7772608764912,23.0241716983689 61.7814979685265,23.030965925123 61.7851778926442,23.0391473422978 61.7881590094566,23.048401291986 61.7903265413125,23.0583715682944 61.7915970159485,23.0686741947938 61.7919215010407,23.0789123063104 61.7912875012544,23.0886915439083 61.7897194423392,23.0976353494286 61.7872777230672,23.1053995504466 61.7840563728878,23.1116856577188 61.7801794085741,23.1162523532802 61.7757960344463,23.1189247251573 61.7710748758073,23.1196008998791 61.7661974721875)))', 'FIIKA', 'Ikaalinen (Ikalis)', 'Y'),('SRID=4326;MULTIPOLYGON(((28.8016087400177 61.1663229562853,28.8003398936518 61.1614729981791,28.7971375343263 61.1568357483455,28.7921254453219 61.1525892802063,28.7854966918157 61.1488965941941,28.7775061328624 61.1458993825054,28.7684606093993 61.1437126167361,28.7587071879591 61.1424201614183,28.7486199064312 61.1420715772062,28.7385855185625 61.1426802326237,28.728988767071 61.1442227944691,28.7201977307664 61.1466401158366,28.7125497887213 61.1498394889353,28.7063387243269 61.1536981791786,28.7018034542617 61.1580681090613,28.699118812564 61.1627815167876,28.6983887490991 61.1676573770389,28.6996422162707 61.1725083411313,28.7028319199986 61.1771479323957,28.7078360037008 61.1813977209497,28.7144626209373 61.1850942008581,28.7224572378864 61.1880951023385,28.7315123958222 61.1902848920572,28.7412795614523 61.1915792451125,28.7513826044565 61.1919283119358,28.7614323715407 61.1913186505302,28.7710417786364 61.1897737472502,28.7798408202314 61.1873531054645,28.7874908985227 61.1841499384685,28.7936979049001 61.1802875584354,28.7982235404859 61.1759146046071,28.8008944380057 61.1711992991468,28.8016087400177 61.1663229562853)))', 'FIIMA', 'Imatra', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0881740899272 68.9089782595771,27.0868258505754 68.9041184539782,27.0828728092007 68.8994467079473,27.0764683126383 68.8951423807429,27.0678594369194 68.8913706266722,27.0573773479156 68.8882760876827,27.0454245252196 68.8859773811333,27.0324593474957 68.8845625875557,27.0189786235389 68.884085904822,27.0054987181286 68.8845655914025,26.9925359650335 68.8859832738228,26.9805870811415 68.8882846435607,26.9701102956532 68.8913815179852,26.9615078865971 68.8951551900748,26.9551107735861 68.8994609440886,26.9511657508195 68.904133570644,26.9498258582667 68.908993676278,26.9511442827478 68.9138545510151,26.9550720561656 68.9185293340773,26.9614596784951 68.9228382038474,26.9700626426614 68.9266153144559,26.9805506827901 68.9297152084718,26.9925204133006 68.932018453281,27.0055108814743 68.9334362774411,27.0190214282673 68.9339140216991,27.0325311486269 68.9334332659766,27.0455191697114 68.9320125465158,27.0574849278035 68.929706634203,27.0679676247659 68.9266044032369,27.0765640826186 68.9228253761248,27.0829442877825 68.9185150838603,27.086864020132 68.9138394267316,27.0881740899272 68.9089782595771)))', 'FIINA', 'Inari', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9727576229279 60.0118889008219,23.9713651910286 60.007050570781,23.9681151304601 60.0024411567339,23.9631329791567 59.9982376607203,23.9566105857007 59.9946014356296,23.9487986780766 59.991672012678,23.939997217038 59.9895617707518,23.9305439064253 59.9883516477004,23.9208012962089 59.9880880538556,23.9111429616027 59.9887811027703,23.9019392724621 59.9904042250172,23.8935432808197 59.9928951795169,23.8862772506347 59.9961584250004,23.8804203326518 60.0000687635603,23.8761978489867 60.0044761205154,23.8737725973011 60.0092112816648,23.8732385142358 60.0140923720147,23.874616953731 60.018931830676,23.8778557401873 60.0235436161111,23.8828310520509 60.0277503652591,23.8893520819847 60.0313902299706,23.8971683095924 60.0343231249304,23.9059791164461 60.0364361426702,23.9154453758903 60.037647922747,23.9252025666102 60.0379118025616,23.9348748936378 60.0372176250246,23.9440898568947 60.0355921313861,23.9524926879654 60.0330979237492,23.9597600816522 60.0298310386441,23.9656126796341 60.0259172280779,23.9698258174801 60.0215070953128,23.9722381203456 60.0167702771408,23.9727576229279 60.0118889008219)))', 'FIINK', 'Ingå Fiskehamn', 'Y'),('SRID=4326;MULTIPOLYGON(((24.117070880884 67.8971744056591,24.1164028555351 67.8922971606398,24.1132225920219 67.887562683241,24.1076536924909 67.8831527804638,24.0999111650633 67.8792366964635,24.0902930100385 67.8759646430199,24.0791686988052 67.8734620697381,24.0669649984529 67.8718248876771,24.0541496831336 67.8711158232106,24.0412137411028 67.8713620362403,24.0286527334533 67.8725540899573,24.0169479866002 67.8746463097029,24.006548305544 67.8775585177118,23.9978528788538 67.8811790801621,23.9911960092076 67.8853691545916,23.9868342453602 67.8899679808984,23.984936413008 67.8947990193649,23.9855769441302 67.8996767058953,23.9887327887273 67.904413569318,23.9942840622032 67.9088274393829,24.0020184398464 67.912748467953,24.0116391621011 67.9160256904834,24.0227763667563 67.9185328704223,24.0350013238241 67.9201733953871,24.0478430230076 67.9208840300757,24.0608064593344 67.9206373755331,24.0733918859393 67.9194429357851,24.0851142588341 67.9173467487433,24.0955220896163 67.9144295961598,24.1042149490073 67.9108038646244,24.1108589251923 67.906609183545,24.1151994323376 67.9020070143428,24.117070880884 67.8971744056591)))', 'FIJJR', 'Jerisjärvi', 'Y'),('SRID=4326;MULTIPOLYGON(((29.8210399484749 62.5989209019509,29.8195406827946 62.5940831896778,29.8160235262002 62.5894731746573,29.8106244180908 62.5852678683116,29.8035513162737 62.5816286731112,29.7950761336943 62.5786952111888,29.7855242744847 62.5765799937175,29.7752621735356 62.5753641305979,29.7646833115845 62.5750942402686,29.7541932285266 62.5757806743385,29.7441940905066 62.5773971228303,29.7350693809179 62.5798816147448,29.7271692815353 62.5831388770836,29.7207972876638 62.5870439650714,29.7161985606432 62.5914470287725,29.7135504628398 62.5961790382158,29.7129556453525 62.6010582521096,29.7144379685887 62.6058971856758,29.7179414328641 62.6105098123498,29.7233321833094 62.6147187231101,29.7304035344996 62.6183619667473,29.7388838400129 62.6212993047913,29.7484469158021 62.6234176359641,29.7587246193553 62.624635376331,29.7693210945764 62.624905621659,29.7798281201034 62.6242179662936,29.7898409504487 62.6225989061437,29.798974017685 62.6201108098108,29.8068758676653 62.6168494990342,29.813242738578 62.6129405349273,29.8178302490129 62.6085343575293,29.8204627442285 62.6038004708424,29.8210399484749 62.5989209019509)))', 'FIJOE', 'Joensuu', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5345065222624 61.0994251113815,28.5332813986774 61.0945724814787,28.5301249855672 61.0899287384522,28.5251593021367 61.08567220746,28.5185756353105 61.0819662773341,28.5106271192749 61.0789531501503,28.5016189885827 61.0767484091323,28.491896882187 61.0754366086832,28.4818336426368 61.0750680511989,28.4718151052904 61.0756568705659,28.4622254058833 61.0771804934877,28.4534323506494 61.0795804986654,28.445773391203 61.0827648420666,28.4395427265693 61.0866113657645,28.4349800173561 61.090972459795,28.4322611426483 61.0956807028201,28.4314913597474 61.1005552696761,28.4327011418767 61.1054088635846,28.4358448715684 61.1100549092035,28.4408024605516 61.1143147308267,28.4473838542101 61.1180244386543,28.4553362644321 61.1210412554898,28.4643538638146 61.1232490363932,28.474089571884 61.1245627641655,28.484168475357 61.1249318429926,28.4942023541803 61.1243420596181,28.5038047370129 61.1228161341001,28.5126058866828 61.1204128382879,28.5202671192737 61.1172247171839,28.5264938896998 61.1133745038361,28.5310471302156 61.109010369924,28.5337524032612 61.1043001995791,28.5345065222624 61.0994251113815)))', 'FIJOU', 'Joutseno', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7864648570221 62.2504776660882,25.7856332008689 62.245604994974,25.7827797414274 62.24090157195,25.7780149727497 62.2365480297294,25.7715225805434 62.2327114896614,25.7635522956262 62.2295391672003,25.7544102620192 62.2271527480508,25.7444472950054 62.2256437460147,25.7340454768076 62.2250700157597,25.723603593245 62.2254535500451,25.7135219528656 62.2267796429526,25.7041871501278 62.2289974500088,25.6959573359656 62.2320219244319,25.6891485425229 62.235737057764,25.6840225741741 62.240000304536,25.6807769246376 62.2446480259987,25.6795371108681 62.2495017489116,25.6803517298349 62.254375003401,25.6831904462487 62.2590804802896,25.6879450105466 62.2634372341828,25.6944332905474 62.2672776547842,25.7024061814848 62.270453935864,25.7115571426005 62.2728437890533,25.7215339994824 62.2743551777482,25.7319525552989 62.2749298839327,25.7424114760748 62.2745457662708,25.7525078594951 62.2732176194948,25.7618528666041 62.2709966007618,25.7700867929466 62.2679682458033,25.776892980342 62.2642491538538,25.782010021169 62.2599824730458,25.7852417808462 62.2553323649286,25.7864648570221 62.2504776660882)))', 'FIJYV', 'Jyväskylä', 'Y'),('SRID=4326;MULTIPOLYGON(((21.4009398574946 61.9438561709314,21.3998590312832 61.9389942472937,21.3967862626755 61.9343250242956,21.3918404250113 61.9300278098513,21.3852121044628 61.9262675548991,21.3771561971153 61.9231885431489,21.3679820874221 61.9209088799104,21.3580417893074 61.9195159866957,21.3477165009273 61.9190632696899,21.3374020772477 61.9195680858775,21.327493960266 61.9210110821928,21.3183721244141 61.9233369321579,21.310386594198 61.9264564427707,21.3038440724681 61.930249953589,21.2989961810926 61.9345719017037,21.2960297617476 61.9392563822491,21.2950596139224 61.9441234958328,21.2961239615224 61.9489862432538,21.2991828407043 61.9536577054162,21.3041194926654 61.957958233514,21.3107447296759 61.9617223721361,21.3188041250966 61.9648052463194,21.327987763452 61.9670881627334,21.337942180168 61.9684832045987,21.3482840276566 61.9689366386166,21.3586149299724 61.9684309986439,21.3685369363897 61.9669857631603,21.3776679579338 61.9646565995378,21.3856565716625 61.9615332052535,21.3921956052944 61.9577358320038,21.3970339679977 61.9534106307176,21.3999862687526 61.9487240015256,21.4009398574946 61.9438561709314)))', 'FIKA2', 'Kasala', 'Y'),('SRID=4326;MULTIPOLYGON(((21.2706363685659 62.3399060148729,21.269562161293 62.3350433525431,21.2664690093913 62.3303715106283,21.2614765959001 62.3260698965072,21.2547773163821 62.322303627656,21.2466288035187 62.3192172153828,21.2373439989425 62.3169290454438,21.2272791578941 62.3155268624685,21.216820242915 62.3150644265874,21.2063682166306 62.31555946642,21.1963237798627 62.3169930042242,21.187072119361 62.319310078169,21.1789682291378 62.3224218350336,21.1723233507388 62.3262089158516,21.167393040999 62.3305260087677,21.1643673214059 62.3352073993001,21.1633632920202 62.3400733098755,21.1644205063814 62.3449367893969,21.1674993040551 62.3496108910219,21.1724821873007 62.3539158633522,21.1791782114515 62.3576860776556,21.1873302394319 62.3607764219651,21.1966247944705 62.3630679119072,21.2067041369095 62.3644722974111,21.2171800964995 62.3649354830304,21.227649115722 62.3644396260045,21.2377079067285 62.363003828486,21.2469690974644 62.3606833963278,21.2550762430282 62.3575676940093,21.2617176062836 62.3537766811569,21.2666381655504 62.3494562682418,21.2696493837643 62.3447726751849,21.2706363685659 62.3399060148729)))', 'FIKAS', 'Kaskö (Kaskinen)', 'Y'),('SRID=4326;MULTIPOLYGON(((26.703461985418 60.4311218328826,26.7025368220783 60.4262536451459,26.6997088062095 60.4215681749434,26.6950873347937 60.417245367187,26.6888504919553 60.4134511710528,26.6812381320335 60.410331189132,26.6725426356508 60.408005113367,26.6630976979362 60.4065621568359,26.6532655760156 60.40605765217,26.6434232750086 60.4065109432649,26.6339481871347 60.4079046485719,26.6252037165596 60.4101853232695,26.6175254230707 60.413265495747,26.611208200545 60.4170270027614,26.6064949717042 60.4213254990827,26.6035673293921 60.4259959730667,26.6025384874691 60.4308590609835,26.6034488228412 60.435727921553,26.6062641961689 60.4404154093081,26.6108771351806 60.4447412721841,26.6171108547347 60.4485390958909,26.624725975988 60.4516627255729,26.6334296979351 60.4539919139486,26.6428870731808 60.4554369740726,26.6527339510966 60.4559422530599,26.6625910800917 60.4554882891309,26.6720788105155 60.4540925662679,26.6808318134869 60.4518088364474,26.68851323024 60.4487250363957,26.6948276914136 60.4449598816215,26.6995326946812 60.4406582726928,26.70244789947 60.4359856951193,26.703461985418 60.4311218328826)))', 'FIKEH', 'Keihässalmi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4829329772085 60.1179592350013,24.4823448836393 60.1130793572618,24.4798611370719 60.1083504775881,24.4755779224561 60.1039542265322,24.4696603670204 60.1000593889401,24.4623361148401 60.0968154421131,24.4538865430454 60.0943468417668,24.4446359625283 60.0927482707715,24.4349392159786 60.0920810284878,24.4251681405399 60.0923706952245,24.4156974003021 60.0936061585245,24.4068902146163 60.095740037289,24.3990845115521 60.0986904878813,24.3925800216835 60.1023443250282,24.3876267960031 60.1065613412579,24.3844155836315 60.1111796634574,24.3830704409808 60.1160219454856,24.3836438654794 60.1209021631381,24.3861146558176 60.1256327534487,24.3903885995118 60.1300318254369,24.3963019807481 60.1339301647962,24.4036277909392 60.1371777611132,24.4120844157663 60.1396496030705,24.4213464705795 60.1412505142914,24.4310573658307 60.1419188391361,24.4408431103606 60.1416288324855,24.4503268068387 60.1403916585456,24.4591432634415 60.1382549588454,24.4669531406873 60.1353010064841,24.4734560725245 60.1316435198479,24.4784022451613 60.1274232620101,24.4816019832413 60.1228025995886,24.4829329772085 60.1179592350013)))', 'FIKKI', 'Kirkkonummi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.779305407728 65.6378917248614,24.7785623578604 65.6330159811434,24.7755313792401 65.6282937570944,24.7703300709712 65.6239063974389,24.7631591104369 65.6200222994266,24.754294421136 65.6167904728836,24.744076516799 65.6143348524594,24.7328974390422 65.6127495747797,24.7211857868497 65.6120953959613,24.7093903986633 65.6123973818481,24.697963291008 65.6136439559496,24.687342481007 65.6157873399754,24.6779353237034 65.6187453706927,24.6701029787894 65.622404626188,24.6641465852815 65.6266247461093,24.6602956671647 65.6312437856923,24.6586992187024 65.6360844038769,24.6594198261218 65.640960653087,24.6624310746134 65.6456851136231,24.667618368801 65.6500761002768,24.6747831648206 65.6539646636225,24.6836504776738 65.657201114028,24.693879394228 65.6596608129024,24.7050761963621 65.6612490027118,24.7168095867139 65.6619044839926,24.7286274173949 65.6616019926121,24.7400742552037 65.6603531820181,24.7507090792748 65.6582061709878,24.7601224010523 65.6552436749337,24.7679521223676 65.6515797955775,24.7738975036334 65.6473555972115,24.7777306973841 65.6427336455051,24.779305407728 65.6378917248614)))', 'FIKKK', 'Karsikko', 'Y'),('SRID=4326;MULTIPOLYGON(((24.493612827596 65.775005967065,24.492920291737 65.7701291179663,24.4899260521268 65.765401445713,24.4847463154776 65.7610045061057,24.4775809496819 65.7571070650163,24.4687056797984 65.7538586442044,24.458461437286 65.7513838140177,24.4472412799257 65.7497774464222,24.4354753816526 65.7491011046951,24.4236146546888 65.7493807031454,24.4121136101224 65.7506055229371,24.4014130870382 65.7527286200727,24.3919234843302 65.7556686104489,24.3840091134111 65.7593127662515,24.3779742542924 65.763521309401,24.3740514422332 65.7681327428994,24.3723924379661 65.7729700213034,24.373062242531 65.7778473286388,24.3760364098394 65.7825772072397,24.3812017889996 65.7869777654102,24.3883606979187 65.7908796863862,24.397238394548 65.7941327663871,24.4074935779889 65.7966117257453,24.4187315248088 65.7982210638647,24.4305193527865 65.7988987652313,24.4424028110922 65.7986187085429,24.4539239279866 65.797391682398,24.4646388085493 65.7952649666928,24.4741348680926 65.7923204964263,24.4820468122182 65.7886716814363,24.4880707303822 65.7844590091209,24.4919757529923 65.7798446051051,24.493612827596 65.775005967065)))', 'FIKKM', 'Kaakamoniemi', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5335770929095 60.505807405586,27.5325254518894 60.5009454596059,27.5295714593427 60.4962780685534,27.5248293431879 60.4919844763665,27.5184818054181 60.4882295050584,27.5107729305228 60.4851572478535,27.5019987826115 60.4828855634268,27.4924960559577 60.4815015780217,27.4826292107785 60.4810583635458,27.4727765772507 60.481572915325,27.4633159451098 60.4830255046193,27.4546101731545 60.4853604299301,27.4469933523441 60.4884881392646,27.4407580379353 60.4922886445651,27.4361440305097 60.4966161011758,27.433329133354 60.5013043811485,27.4324222454143 60.5061734309799,27.4334590664242 60.5110361734906,27.4364005959025 60.5157056912849,27.4411345033182 60.5200024166485,27.4474793363863 60.5237610505711,27.4551914223882 60.5268369422287,27.4639742083568 60.5291116796335,27.4734896849544 60.5304976717532,27.4833714508986 60.5309415411753,27.4932389044569 60.530426192864,27.5027119996741 60.5289714768244,27.5114259803593 60.5266334183336,27.5190455058505 60.5235020463834,27.5252776091325 60.5196979066317,27.529882978493 60.5153673970462,27.532685125714 60.5106771103623,27.5335770929095 60.505807405586)))', 'FIKLA', 'Klamila', 'Y'),('SRID=4326;MULTIPOLYGON(((21.1454192449089 63.3029542391303,21.1443300504039 63.2980912907317,21.1411540372241 63.2934173361711,21.1360141379335 63.2891118595445,21.1291084612521 63.2853401193282,21.1207025902416 63.2822468278281,21.1111193458143 63.2799506254792,21.1007264134123 63.2785395569539,21.0899223033295 63.2780677175675,21.0791211704899 63.2785531943374,21.0687370567085 63.2799773778099,21.0591681371017 63.2822856700613,21.0507815521839 63.2853895627425,21.0438993882875 63.2891700083502,21.038786331475 63.2934819597119,21.0356394645186 63.2981599086035,21.0345806036607 63.303024216038,21.0356514831007 63.3078879955417,21.0388119925654 63.3125642879833,21.0439415597882 63.3168732533469,21.0508436490154 63.3206491020284,21.0592532233494 63.3237464962458,21.0688468980871 63.3260461709621,21.0792553998689 63.3274595528675,21.0900778481012 63.3279321944546,21.1008972960363 63.3274458865777,21.1112969135453 63.3260193652195,21.1208761652071 63.3237075842266,21.1292663375484 63.3205995830783,21.1361447980907 63.3168150347553,21.1412474245803 63.3124996110308,21.1443787221698 63.3078193487636,21.1454192449089 63.3029542391303)))', 'FIKLB', 'Klobbskat', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1120693425223 60.1805894418506,22.1109429519749 60.1757321467756,22.1079366150809 60.1710775948912,22.1031665451822 60.1668045343456,22.0968164933311 60.1630769978784,22.0891306202213 60.1600380263248,22.0804040934748 60.1578042030051,22.0709717745318 60.1564612042756,22.0611954252798 60.1560605325701,22.0514499146383 60.1566175536142,22.0421089386767 60.1581109107622,22.0335307839479 60.1604833382314,22.0260446623407 60.1636438431156,22.0199381268926 60.167471175145,22.0154460419358 60.1718184549451,22.012741528242 60.1765187876798,22.0119292354687 60.1813916510334,22.0130412116832 60.186249815962,22.0160355451791 60.1909065367999,22.0207978500219 60.1951827351961,22.0271455573205 60.1989139007024,22.0348348633225 60.2019564399955,22.0435700777834 60.2041932265989,22.0530150166386 60.2055381330223,22.0628059967313 60.2059393664022,22.0725659217248 60.2053814755029,22.0819189010912 60.203885949398,22.0905048208664 60.201510384075,22.0979932870058 60.1983462501505,22.1040963895427 60.1945153503832,22.1085797867784 60.1901651073028,22.1112716805695 60.1854628668774,22.1120693425223 60.1805894418506)))', 'FIKLD', 'Käldinge', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5816520930349 65.7899711953819,24.5809425545961 65.7850947030426,24.5779304679546 65.780368709687,24.5727327251894 65.77597470572,24.565549884061 65.7720813434927,24.5566583378067 65.7688379875882,24.5463996392139 65.7663690136275,24.5351673972957 65.7647690687946,24.5233922465929 65.7640994701276,24.5115254521806 65.7643858736121,24.5000217570981 65.7656172998102,24.4893221027504 65.7677465517192,24.4798368567193 65.7706920094184,24.4719301663632 65.7743407354183,24.465906020692 65.7785527760985,24.4619965475684 65.7831664997866,24.4603529989341 65.7880047724466,24.4610397846149 65.7928817390863,24.4640318071861 65.7976099542186,24.4692152291358 65.8020075891946,24.4763916729204 65.8059054388763,24.4852857192488 65.8091534555071,24.4955554347308 65.8116265539124,24.506805533137 65.8132294589976,24.5186026614362 65.8139004030517,24.5304922086542 65.8136135252653,24.542015967833 65.8123798772849,24.5527299429852 65.8102469943605,24.5622215863188 65.8072970492034,24.5701257765529 65.8036436624786,24.576138905309 65.7994274973595,24.5800305219554 65.7948108134255,24.5816520930349 65.7899711953819)))', 'FIKMJ', 'Kemijokisuu', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4626718939537 59.9214583648196,22.4615035434029 59.9166040630673,22.4584721401654 59.9119574203248,22.4536948424611 59.9076968797054,22.4473556623816 59.9039859931447,22.4396983303252 59.9009671633314,22.4310169107121 59.8987562023602,22.4216445322327 59.8974379114939,22.4119406609551 59.8970628473033,22.4022773939729 59.8976453946772,22.3930252840003 59.8991632183597,22.3845392208921 59.9015581134349,22.3771448942423 59.904738223262,22.3711263420157 59.908581542476,22.3667150538653 59.9129405745194,22.3640810449735 59.9176479694287,22.3633262479282 59.9225229298376,22.3644804878099 59.9273781428553,22.367500211477 59.9320269738913,22.3722700388169 59.9362906466855,22.3786070950353 59.9400051324575,22.386267973077 59.9430274805715,22.3949580686815 59.9452413433033,22.4043429323186 59.9465614776224,22.414061197166 59.9469370463085,22.4237385748354 59.9463535876676,22.4330023643845 59.9448335756882,22.4414958978475 59.9424355484353,22.4488923483387 59.9392518393959,22.4549073545618 59.9354050018828,22.4593099667149 59.9310430680821,22.4619314904586 59.9263338297231,22.4626718939537 59.9214583648196)))', 'FIKNA', 'Kasnäs', 'Y'),('SRID=4326;MULTIPOLYGON(((23.973517584626 63.8988496692015,23.9719176429635 63.8940148849276,23.9682086081387 63.8894104400441,23.962533872453 63.8852131223904,23.9551120312159 63.8815840149897,23.9462284038584 63.8786623388335,23.9362240541291 63.8765601397201,23.9254827334812 63.8753580177146,23.9144162416952 63.8751020579969,23.9034487509265 63.8758020767733,23.8930006730009 63.8774312471032,23.8834726645296 63.8799271185596,23.8752303601221 63.8831939932417,23.8685904006587 63.8871065704464,23.8638082814502 63.891514724918,23.8610684846581 63.8962492406549,23.860477282478 63.9011282853084,23.8620585038128 63.9059643807096,23.8657524497356 63.9105716042903,23.871418025092 63.9147727451808,23.878838029154 63.9184061383054,23.8877274221915 63.9213319102106,23.89774426269 63.9234373915566,23.9085028975915 63.9246414825871,23.9195888911728 63.9248977983551,23.9305751022993 63.9241964684484,23.941038269134 63.9225645194161,23.9505754379145 63.9200648247187,23.9588195794615 63.9167936643115,23.9654537732147 63.9128769913607,23.970223401647 63.9084655546617,23.9729458842057 63.9037290699042,23.973517584626 63.8988496692015)))', 'FIKNS', 'Kannus', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1734185472881 63.8321624434495,23.1719598802061 63.8273185553862,23.1683904189108 63.8226933447629,23.1628482069736 63.8184644037983,23.1555467714345 63.8147940350539,23.1467668349467 63.8118230467047,23.1368455080135 63.8096653781539,23.1261633795134 63.8084037569423,23.1151299946266 63.8080865484758,23.1041682624794 63.8087259152645,23.0936983705766 63.8102973537135,23.0841217989917 63.8127406256323,23.0758060241777 63.8159620502005,23.0690704801528 63.8198380717758,23.0641743039133 63.8242199713221,23.0613063327017 63.8289395459648,23.0605777441 63.8338155438261,23.0620176372926 63.8386606112886,23.0655717474474 63.843288488495,23.071104368063 63.8475211772645,23.0784034322951 63.8511958044675,23.0871885785081 63.8541709136175,23.0971219030718 63.856331937956,23.1078209905793 63.857595639053,23.1188737139913 63.8579133348578,23.1298542200586 63.8572727886673,23.1403394631108 63.8556986836302,23.1499256259989 63.8532516639018,23.1582437720852 63.8500259808738,23.1649741063541 63.8461458385004,23.1698582849541 63.8417605831715,23.1727092971766 63.8370389286479,23.1734185472881 63.8321624434495)))', 'FIKOK', 'Kokkola (Karleby)', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7401748059627 64.2159380550223,23.7385958521564 64.2111008019891,23.7348817557798 64.206490594169,23.7291761316389 64.2022844404171,23.7216987836809 64.1986437613349,23.712737176391 64.1957082193846,23.7026353707533 64.1935903892531,23.6917808523903 64.1923714675883,23.6805897503615 64.1920981815447,23.6694909980015 64.1927810105736,23.6589100214185 64.1943937871555,23.6492525564634 64.1968746912976,23.6408891909949 64.2001286022552,23.634141206098 64.2040307207252,23.6292682477728 64.2084313273409,23.6264582999636 64.213161500279,23.6258203515344 64.2180395777266,23.6273800553924 64.2228781212988,23.6310785696679 64.2274911155305,23.6367746517868 64.2317011273618,23.6442499504926 64.2353461488347,23.6532173132884 64.2382858563974,23.6633318029734 64.2404070411858,23.6742040028955 64.2416279958346,23.6854150921339 64.2419016836851,23.6965330944741 64.2412175641142,23.7071296531662 64.2396020011152,23.7167966601227 64.2371172388891,23.7251620748061 64.2338589855398,23.7319043041651 64.2299527014604,23.736764578435 64.2255487401931,23.7395568447057 64.2208165342756,23.7401748059627 64.2159380550223)))', 'FIKON', 'Konikarvo/Rahja', 'Y'),('SRID=4326;MULTIPOLYGON(((24.2855839956517 65.7670883309778,24.2849309647202 65.7622106984494,24.2819757960136 65.757479109149,24.2768331985354 65.7530752713161,24.2697016197556 65.749168217325,24.2608554951424 65.7459078390467,24.2506346456134 65.7434191662221,24.2394312386941 65.7417976018573,24.2276748112407 65.74110529165,24.215815915053 65.7413687615686,24.2043089907688 65.7425779104729,24.1935950997162 65.7446863946809,24.1840851477461 65.7476133902444,24.176144219483 65.7512466680315,24.170077606024 65.7554468681158,24.1661190541737 65.7600528150365,24.1644216914423 65.7648876757765,24.1650519893763 65.7697657292742,24.167987020164 65.7744994913102,24.1731151406115 65.7789069228671,24.1802401072478 65.78281844446,24.1890884912523 65.7860834840667,24.1993201277461 65.7885763023012,24.2105412069919 65.7902008650551,24.2223195016796 65.7908945701516,24.2342011309126 65.7906306792624,24.2457281931426 65.7894193576169,24.2564565612159 65.7873072796785,24.2659731252888 65.7843758165096,24.2739117941127 65.7807378773954,24.2799676205801 65.7765335319067,24.283908500114 65.7719245866035,24.2855839956517 65.7670883309778)))', 'FIKOT', 'Koivuluodonletto', 'Y'),('SRID=4326;MULTIPOLYGON(((19.9849175215484 60.0803924214683,19.9841080279355 60.0755194725623,19.9814120892734 60.0708190266692,19.9769340206395 60.0664716109274,19.9708464007431 60.0626441261062,19.9633833657205 60.0594834582875,19.9548315824558 60.0571108648379,19.9455192526194 60.0556173457509,19.9358035668127 60.0550601735062,19.9260570807931 60.055460710728,19.9166535217432 60.056803596695,19.9079535513719 60.0590373328364,19.9002910140123 60.0620762454398,19.8939601818143 60.0658037526158,19.8892044758464 60.0700768138184,19.8862070919593 60.0747313955717,19.8850838945364 60.079588748102,19.88587886117 60.0844622557917,19.8885622688638 60.0891646010728,19.8930317102647 60.0935149676428,19.8991159200828 60.0973460054964,19.9065812813393 60.1005102876353,19.9151407730064 60.1028860064447,19.9244650198815 60.1043816861231,19.9341950171005 60.1049397252595,19.9439560301192 60.1045386292529,19.9533721201468 60.1031938438949,19.9620807177445 60.1009571569219,19.9697466651637 60.0979146912845,19.9760751711079 60.0941835697895,19.9808231686639 60.0899073832301,19.983808635519 60.0852506408888,19.9849175215484 60.0803924214683)))', 'FIKOV', 'Korrvik', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5347784317783 61.8508049019992,21.5336797531038 61.8459439890619,21.5305960254219 61.8412777056396,21.5256465352202 61.8369852462009,21.5190220016754 61.8332313790441,21.5109771697391 61.8301601430485,21.5018209952485 61.8278893458127,21.4919048029519 61.8265060695299,21.481608867743 61.8260633522858,21.4713279222453 61.8265781681078,21.4614561293035 61.8280307806302,21.4523720754225 61.8303654943135,21.4444243405334 61.8334927754417,21.4379181806593 61.837292664312,21.4331038233348 61.8416193518064,21.4301668215139 61.8463067495305,21.4292208411009 61.8511748445087,21.4303031715808 61.8560365984922,21.4333731506246 61.8607051295764,21.4383135848481 61.8650009011073,21.4449351337676 61.8687586405515,21.452983506819 61.8718337195095,21.4621492090679 61.874107745326,21.4720794652531 61.8754931442848,21.482391859379 61.8759365551412,21.4926891530956 61.8754208982713,21.5025746946849 61.8739660380832,21.5116678045331 61.8716280123038,21.5196185240225 61.8684968588866,21.5261211427569 61.8646931270557,21.5309259723138 61.8603632109845,21.5338489102572 61.8556736905882,21.5347784317783 61.8508049019992)))', 'FIKRA', 'Krooka', 'Y'),('SRID=4326;MULTIPOLYGON(((21.4079236775612 63.0428524260578,21.4068005302027 63.0379913593508,21.4036109148935 63.0333231203413,21.3984782638885 63.0290269729737,21.3916003876171 63.0252678181075,21.3832417873239 63.0221898865715,21.3737234621859 63.0199112316349,21.3634106067707 63.0185192272076,21.352698666478 63.018067239481,21.3419982732129 63.0185725954756,21.3317196201517 63.0200159236362,21.3222568526087 63.0223418908388,21.3139730515089 63.0254613086101,21.3071863668132 63.0292545306679,21.3021578206384 63.0335760157435,21.299081244229 63.0382598856585,21.2980757402406 63.0431262703742,21.2991809733751 63.047988200681,21.3023554903664 63.0526587866518,21.307478157539 63.0569584070396,21.3143526844145 63.06072163225,21.3227150796697 63.0638036117817,21.3322437663856 63.0660856760944,21.3425719725406 63.0674799322305,21.3533019157212 63.0679326711954,21.3640202232394 63.0674264515991,21.3743139746301 63.0659807764728,21.3837867259925 63.0636513362455,21.3920738764585 63.0605278481282,21.398856766163 63.0567305780768,21.4038749507485 63.0524056836296,21.406936176431 63.0477195620101,21.4079236775612 63.0428524260578)))', 'FIKRO', 'Kronvik', 'Y'),('SRID=4326;MULTIPOLYGON(((21.2833192170983 62.1609012248106,21.2822493961882 62.1560385318011,21.2791726377966 62.1513668417583,21.2742079837981 62.1470655571026,21.267546755372 62.1432997840306,21.2594451200352 62.1402140164729,21.250214220211 62.1379266171229,21.2402082466787 62.1365253024889,21.2298109105281 62.1360638003761,21.2194208208256 62.1365598039586,21.2094363112206 62.1379942982247,21.2002402766719 62.1403122837167,21.1921855811592 62.1434248708082,21.1855815786476 62.1472126669552,21.1806822529296 62.1515303310976,21.1776764277685 62.1562121253037,21.176680427907 62.1610782554348,21.1777334854045 62.1659417615107,21.1807960865 62.1706156958978,21.185751344637 62.1749203144953,21.192409369073 62.1786900035451,21.2005144800753 62.181779672945,21.2097550060878 62.1840703659808,21.2197752908333 62.1854738647097,21.2301894444672 62.1859361088169,21.240596297608 62.1854392921662,21.2505949645193 62.1840025535518,21.2598003949185 62.1816812341139,21.2678582943952 62.178564731043,21.2744588212155 62.1747730330557,21.2793485207349 62.1704520752315,21.282340034694 62.1657680969345,21.2833192170983 62.1609012248106)))', 'FIKRS', 'Kristiinankaupunki (Kristinestad)', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5677447523359 68.449379687374,22.5661070272482 68.4445329207431,22.5619306801456 68.4398966868248,22.555377527779 68.4356489704988,22.5467002452144 68.4319527476561,22.5362325285641 68.4289497619355,22.5243762365509 68.4267551232124,22.5115860100603 68.4254529284982,22.4983519510644 68.4250930668023,22.4851810036961 68.4256893252102,22.4725777204126 68.4272188654477,22.461025114986 68.4296230900829,22.4509663014803 68.4328098668074,22.4427875944129 68.4366570294799,22.4368036999518 68.4410170273623,22.4332455614351 68.4457225507757,22.4322513352235 68.4505929237613,22.4338608660689 68.4554410237136,22.4380139068637 68.4600804657005,22.4445521890259 68.4643327764448,22.4532253013515 68.4680342805988,22.4637001826254 68.4710424304925,22.475573883391 68.473241330051,22.4883891124425 68.4745462335874,22.5016519613866 68.4749068396969,22.5148511030658 68.4743092479631,22.5274776926795 68.4727764996481,22.5390451682735 68.4703676805864,22.5491081519434 68.4671756225479,22.5572796943184 68.4633232957067,22.5632461800049 68.4589590369979,22.5667793159978 68.4542508047705,22.5677447523359 68.449379687374)))', 'FIKRV', 'Kaaresuvanto', 'Y'),('SRID=4326;MULTIPOLYGON(((30.170147577051 62.1010982387675,30.1695793745275 62.0962183807048,30.1669912936198 62.091484208297,30.1624836480376 62.0870775492282,30.1562302794718 62.0831675760933,30.1484717836907 62.0799043315235,30.1395062220079 62.0774129949019,30.1296776814188 62.0757891060168,30.119363120745 62.0750949240181,30.1089579977377 62.0753570569851,30.0988612122927 62.0765654498537,30.0894599231505 62.0786737680145,30.0811147994573 62.0816011622648,30.0741462542981 62.0852353496528,30.0688221749888 62.0894368957721,30.0653476149595 62.0940445388864,30.0638568452813 62.0988813564819,30.0644080815559 62.1037615419329,30.0669811059099 62.1084975342784,30.0714778968543 62.1129072287659,30.0777262652194 62.1168209906866,30.0854863764771 62.1200882006014,30.0944599233782 62.1225830754392,30.1043016032535 62.1242095367496,30.1146324569431 62.1249049337535,30.1250545462265 62.1246424733973,30.1351663882405 62.1234322605875,30.1445785320152 62.1213209070037,30.152928655886 62.1183897239654,30.1598955855412 62.1147515712332,30.1652116796168 62.1105464869012,30.1686731003654 62.1059362713658,30.170147577051 62.1010982387675)))', 'FIKTQ', 'Kitee', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7376212640543 62.8827248752224,27.7364498284594 62.8778664261727,27.7332254172136 62.8732056004047,27.7280727824099 62.868921375412,27.7211904854653 62.8651781936125,27.7128431834785 62.8621196730592,27.7033514324815 62.8598631232988,27.6930794032813 62.8584950718126,27.6824209766222 62.8580679677208,27.671784738337 62.8585981850524,27.6615784311606 62.8600653994667,27.6521934374936 62.8624133614774,27.6439898664296 62.8655520376477,27.6372827988106 62.8693610405581,27.6323302061514 62.8736942202686,27.6293230034643 62.8783852461221,27.6283776232038 62.8832539696477,27.629531409145 62.8881133284719,27.6327410271354 62.892776528853,27.6378839772184 62.8970642317851,27.644763172391 62.9008114653666,27.6531144277775 62.9038739946975,27.6626165854828 62.9061338999309,27.6729038903751 62.907504142744,27.6835801361215 62.907931940406,27.6942340240887 62.9074008132979,27.7044551245311 62.905931224266,27.7138498029055 62.9035797843116,27.7220564757123 62.9004370563578,27.7287595899033 62.8966240446717,27.7337017758437 62.8922875094927,27.7366937028519 62.8875942923166,27.7376212640543 62.8827248752224)))', 'FIKUO', 'Kuopio', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0065061276088 60.4590071002092,27.0055348383113 60.4541410721602,27.0026607961468 60.4494620856339,26.997995163225 60.4451498341012,26.9917177141307 60.4413698594321,26.9840698550449 60.4382672169455,26.9753453214899 60.4359609324908,26.9658789158985 60.4345394597908,26.9560337138507 60.4340573078557,26.94618721961 60.4345329640436,26.9367169865802 60.4359481898929,26.9279862359521 60.4382487158364,26.9203300068673 60.4413463090325,26.9140423538933 60.4451221375267,26.9093650727281 60.4494313054793,26.9064783833725 60.4541083899342,26.9054939324729 60.4589737711359,26.9064503945727 60.4638405172066,26.9093118576947 60.4685215613658,26.9139690747724 60.4728368968873,26.920243552459 60.4766205123927,26.9278943369476 60.479726798279,26.9366272473543 60.482036174022,26.9461062059485 60.4834597152774,26.9559662260676 60.4839425981156,26.9658275475264 60.4834662239047,26.9753103596072 60.4820489404191,26.9840495260709 60.4797453304834,26.9917087265432 60.4766440964495,26.9979934540938 60.472864624557,27.0026623583988 60.4685523653196,27.00553649476 60.4638732123127,27.0065061276088 60.4590071002092)))', 'FIKUU', 'Kuusinen', 'Y'),('SRID=4326;MULTIPOLYGON(((25.3821363189488 65.1136500601959,25.3812957544874 65.1087769001346,25.378215955256 65.104066432617,25.3730163352647 65.0996995485126,25.3658974522484 65.0958438595482,25.3571331884038 65.0926472883381,25.3470601789957 65.0902324217205,25.3360649019384 65.0886918386378,25.3245689203789 65.0880845862274,25.313012830987 65.0884339344287,25.3018395122825 65.0897264918065,25.2914772895159 65.0919127150497,25.2823236351831 65.0949087933387,25.2747300072179 65.0985998381166,25.2689883903802 65.1028442603737,25.2653200507015 65.1074791729525,25.2638669387439 65.1123266161661,25.2646860860854 65.1172003726659,25.2677472327973 65.1219131133439,25.272933804542 65.1262836012636,25.2800472300643 65.1301436760515,25.28881445803 65.1333447473919,25.2988984019228 65.1357635433421,25.3099109191568 65.1373068867536,25.3214278219218 65.1379153102523,25.3330053284758 65.1375653656109,25.344197299721 65.1362705350675,25.3545725707223 65.134080708003,25.3637316825106 65.1310802438877,25.3713223463125 65.1273846989812,25.3770530286442 65.1231363473967,25.3807041281584 65.1184986744951,25.3821363189488 65.1136500601959)))', 'FIKVN', 'Kiviniemi/Kello', 'Y'),('SRID=4326;MULTIPOLYGON(((41.7180917753974 60.8659765806791,41.7166969920505 60.8611361257952,41.7133934454263 60.8565213120395,41.7083087741906 60.8523093460439,41.7016387981189 60.8486619007883,41.6936399294897 60.8457189316003,41.6846193060903 60.8435933302753,41.6749230269238 60.8423666178226,41.6649229367559 60.8420858366491,41.6550024544638 60.8427617578343,41.645541971902 60.8443684701115,41.6369043642146 60.8468443659107,41.6294211489657 60.8500944880406,41.6233798101901 60.8539941499785,41.6190127647304 60.8583936950115,41.6164883926456 60.8631242162627,41.6159044820426 60.8680040225244,41.6172843529674 60.8728456052562,41.6205758272153 60.87746284136,41.6256531040293 60.881678155424,41.6323214893704 60.885329364756,41.6403248131393 60.8882759409822,41.6493552592982 60.8904044431678,41.6590652334192 60.8916329086729,41.669080805801 60.8919140282036,41.679016200535 60.8912369791683,41.688488755478 60.8896278445394,41.6971337575744 60.8871486006685,41.7046185635311 60.8838947144613,41.7106554471474 60.8799914454874,41.7150126698426 60.8755889995976,41.7175233469855 60.8708567252971,41.7180917753974 60.8659765806791)))', 'FILAI', 'Laitila', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7845921819337 66.5656993817402,27.7832363436438 66.5608439467387,27.779528682068 66.5561870614723,27.7736128159058 66.5519075271863,27.7657168291185 66.5481695699384,27.7561443937814 66.5451165651212,27.7452630651851 66.5428655690083,27.733490204106 66.5415028611912,27.7212770599514 66.5410806630291,27.7090916079017 66.5416151530617,27.6974007726124 66.5430858522957,27.6866526902215 66.5454364019281,27.6772596592469 66.5485767050193,27.669582409446 66.5523863534584,27.6639162759495 66.5567192138764,27.6604798042681 66.5614090025258,27.6594062307708 66.5662756411035,27.6607381842022 66.571132154503,27.6644258388125 66.5757918488798,27.6703286217769 66.5800754953287,27.6782204409378 66.583818241754,27.6877982587145 66.5868759836545,27.6986937003998 66.5891309435781,27.7104872566314 66.5904962384775,27.7227245273477 66.5909192531324,27.7349338643062 66.5903836846987,27.74664470658 66.5889101763474,27.7574058721448 66.5865555145455,27.7668030706932 66.5834104222746,27.774474938004 66.5795960367553,27.7801269583928 66.5752592125334,27.7835427349455 66.5705668368082,27.7845921819337 66.5656993817402)))', 'FILEH', 'Lehtola', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4661316762822 64.6690074991988,24.4654683933222 64.664129991497,24.4625975404582 64.6594016064865,24.4576304827041 64.6550039340235,24.4507588439928 64.651105778645,24.442247030675 64.6478567022987,24.4324220203582 64.6453813135628,24.4216608159525 64.6437745172297,24.4103760439561 64.6430979010162,24.3990002372899 64.6433773931401,24.387969385494 64.6446022771011,24.3777063584084 64.6467255998392,24.3686048133689 64.6496659581374,24.3610141804694 64.6533105973313,24.3552262856946 64.6575197077146,24.3514641180754 64.6621317590823,24.3498731751415 64.6669696742164,24.3505157320361 64.6718476092495,24.3533682755993 64.6765780841042,24.3583222282375 64.6809791907657,24.3651879611548 64.6848816018725,24.3737019671116 64.6881351075818,24.3835369346995 64.6906144249843,24.3943143451091 64.692224051183,24.405619104623 64.6929019676385,24.4170156373946 64.6926220481822,24.4280647985133 64.6913950743721,24.438340930706 64.6892683174298,24.447448381505 64.6863237034002,24.4550368217257 64.6826746348446,24.4608147592073 64.6784615957995,24.4645607208314 64.6738467145718,24.4661316762822 64.6690074991988)))', 'FILLO', 'Lapaluoto', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5150710756101 61.4328130549675,21.5139905154054 61.4279516672986,21.5109513620477 61.4232846084634,21.506071165656 61.4189911050777,21.4995379674002 61.4152359689081,21.4916029977796 61.4121632914435,21.4825709974593 61.4098909394276,21.4727885362437 61.4085060578922,21.4626307744549 61.4080617485725,21.4524871633287 61.4085750472129,21.4427466161389 61.4100262747804,21.4337826991124 61.4123597866271,21.4259393905661 61.4154860918853,21.4195179381013 61.4192852645162,21.4147653073501 61.4236115191705,21.411864662233 61.4282987809841,21.410928246855 61.433167040227,21.4119929545119 61.4380292517884,21.4150187718718 61.4426985171438,21.4198901790986 61.4469952737558,21.4264204730953 61.4507542145842,21.4343588655149 61.4538306689155,21.443400094607 61.4561061950122,21.4531961855725 61.4574931646165,21.463369903081 61.4579381581029,21.4735293667781 61.4574240355683,21.4832832499746 61.4559706014768,21.4922559561557 61.4536338364001,21.5001021689374 61.4505037264817,21.5065201985803 61.4467007769856,21.5112636005506 61.4423713482544,21.5141506159283 61.4376819983756,21.5150710756101 61.4328130549675)))', 'FILNK', 'Lankoori', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7839393371204 67.8216975825967,27.782509652351 67.8168429652103,27.7786025273563 67.8121869612405,27.7723693824007 67.8079083279855,27.7640505831979 67.8041712421013,27.7539660783788 67.8011190282729,27.7425030649265 67.798868695324,27.7301011612953 67.7975064830623,27.7172356498248 67.7970845844215,27.7043994116618 67.7976191633856,27.6920842182029 67.7990897412947,27.6807620628869 67.8014399739888,27.6708672159607 67.804579791409,27.6627796626057 67.8083888213048,27.656810541589 67.8127209711622,27.6531901375978 67.8174099989183,27.6520588961728 67.8222758649914,27.6534618268513 67.8271316270937,27.6573465397734 67.8317906165457,27.6635650267046 67.8360736215383,27.6718791534888 67.8398157998599,27.6819696828428 67.8428730515484,27.6934485006163 67.845127600811,27.7058735822954 67.8464925659427,27.7187661168865 67.8469153349086,27.7316291092032 67.8463796112249,27.7439667147581 67.8449060478256,27.7553035280688 67.8425514433862,27.7652030473481 67.8394065335258,27.7732845761053 67.8355924657735,27.7792378927773 67.8312560996104,27.7828351187504 67.8265643189921,27.7839393371204 67.8216975825967)))', 'FILOK', 'Lokka', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1047456272026 62.9661949346567,23.1033443590243 62.9613496034781,23.0998942904979 62.9567217443201,23.0945288213722 62.9524890571981,23.0874546530811 62.9488139967786,23.0789437682402 62.9458375605658,23.0693229596759 62.943673905869,23.0589613141139 62.9424059970423,23.0482561250441 62.9420824450856,23.0376177614394 62.9427156568468,23.0274540531508 62.9442813623373,23.0181547695022 62.9467195377082,23.0100767646815 62.9499366898825,23.0035303419936 62.9538094183783,22.9987673491191 62.9581891221439,22.9959714587328 62.9629076758811,22.9952510140857 62.9677838629369,22.9966347289463 62.972630321828,23.000070427815 62.9772607421391,23.005426898591 62.9814970339435,23.0124988097613 62.9851761937955,23.0210145223431 62.9881566000896,23.0306465085359 62.9903234911069,23.0410239799232 62.9915934097923,23.0517472336733 62.9919174391618,23.0624031506228 62.9912830996858,23.0725812285771 62.9897148330374,23.0818895105593 62.98727305298,23.0899697724703 62.9840518013721,23.0965113673903 62.9801751027974,23.1012631826283 62.9757921627158,23.1040432472052 62.9710715991241,23.1047456272026 62.9661949346567)))', 'FILPA', 'Lapua (Lappo)', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5305413114579 60.4828085918788,21.5294908869739 60.4779466036467,21.5265394376076 60.4732791261075,21.5218010924351 60.468985406657,21.5154584078466 60.4652302723795,21.5077552816668 60.4621578229618,21.4989875574758 60.4598859246542,21.489491683568 60.4585017120676,21.4796318580506 60.4580582659261,21.4697861427449 60.4585725904695,21.4603320628843 60.4600249656237,21.4516322265776 60.4623596979863,21.4440204973715 60.4654872427993,21.437789235021 60.4692876181281,21.4331780840052 60.4736149841229,21.4303647369634 60.4783032161685,21.4294580320342 60.4831722625167,21.4304936605088 60.4880350461102,21.4334326663669 60.492704648041,21.4381628149418 60.4970014974943,21.4445027977032 60.5007602908721,21.4522091281595 60.503836371423,21.4609854749128 60.5061113200894,21.4704940769637 60.50749753787,21.4803687984583 60.5079416387673,21.4902293097936 60.5074265188609,21.4996958331702 60.5059720193118,21.5084038660653 60.503634156943,21.5160182970778 60.5005029530284,21.5222463551316 60.4966989465679,21.5268488835773 60.4923685302178,21.5296495024852 60.4876782929815,21.5305413114579 60.4828085918788)))', 'FILPN', 'Laupunen', 'Y'),('SRID=4326;MULTIPOLYGON(((28.2344318590104 61.0495396355986,28.2332546207307 61.0446841532508,28.2301470964053 61.0400332684626,28.2252294295031 61.0357655831968,28.218691068158 61.0320449166566,28.210783414388 61.0290140380567,28.2018101424149 61.0267892126074,28.1921155611443 61.0254557653675,28.1820714630264 61.0250648286214,28.1720629524609 61.0256313937857,28.1624737807529 61.0271337401608,28.1536717308711 61.0295142617432,28.1459945936749 61.0326816615204,28.139737257879 61.0365144318648,28.1351403990649 61.0408654915273,28.132381199086 61.0455678059562,28.1315664572012 61.0504407798036,28.1327283697 61.0552971800048,28.1358231577921 61.0599503260007,28.140732616983 61.064221271581,28.147268548691 61.0679457011899,28.155179920793 61.0709802727198,28.1641624929896 61.073208158745,28.1738705405022 61.0745435682608,28.1839302207647 61.0749350702436,28.1939540571324 61.0743675872241,28.2035559650811 61.0728629796376,28.2123662226632 61.0704791977372,28.2200457894738 61.0673080348901,28.2262994069164 61.0634715716175,28.2308869654996 61.0591174513828,28.2336326992474 61.0544131746814,28.2344318590104 61.0495396355986)))', 'FILPP', 'Lappeenranta (Villmanstrand)', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3876571634262 65.7960481351254,24.3869841944094 65.7911708911459,24.3840070558636 65.7864412199405,24.3788413016862 65.782040754949,24.3716862676567 65.7781383979935,24.3628172870755 65.7748838597995,24.3525750542525 65.7724019454273,24.3413525528536 65.770787798339,24.32958004811 65.7701032797717,24.3177087052603 65.7703746171594,24.3061934405375 65.7715914080912,24.2954756351573 65.7737070162923,24.2859663469536 65.77664034498,24.278030638555 65.7802789222881,24.271973605398 65.7844831848865,24.2680286317333 65.7890918010192,24.2663483287056 65.7939278345147,24.2669985166997 65.7988055183491,24.2699555062933 65.8035373814352,24.2751068110784 65.8079414566407,24.2822552950669 65.8118482925223,24.2911266221515 65.8151074964794,24.3013797407989 65.8175935531314,24.312620010081 65.8192106883904,24.324414459765 65.8198965860959,24.3363085836853 65.8196248088519,24.3478439973869 65.8184058260338,24.3585762521491 65.8162866076123,24.3680920903528 65.8133487999949,24.3760254522 65.8097055569251,24.382071599506 65.8054971520524,24.3859988052978 65.8008855477555,24.3876571634262 65.7960481351254)))', 'FILVN', 'Laivaniemi', 'Y'),('SRID=4326;MULTIPOLYGON(((27.3551262501091 63.1498728256962,27.3540077361141 63.1450114122012,27.3508147955686 63.1403420579145,27.34567099676 63.1360440694237,27.3387745848657 63.1322824176913,27.3303907769264 63.129201428514,27.3208415409311 63.1269192714944,27.3104932560334 63.125523453948,27.2997427229734 63.125067487596,27.2890020486059 63.1255688516728,27.2786829652208 63.127008327775,27.269181163606 63.1293307310223,27.2608612183788 63.1324470105471,27.2540426649766 63.1362376416504,27.2489877500714 63.1405571838025,27.245891321509 63.1452398346708,27.2448732510335 63.1501057720749,27.245973694431 63.1549680446832,27.2491513914037 63.1596397496732,27.2542850943572 63.1639412225851,27.2611780951194 63.1677069619857,27.2695656959701 63.1707920197683,27.2791253514904 63.1730776069217,27.2894890962509 63.1744756939225,27.3002577758849 63.1749324235447,27.3110165208794 63.1744302003527,27.3213508478492 63.1729883735425,27.3308627453061 63.1706624858697,27.3391861016352 63.1675421186749,27.3460008620963 63.1637474189683,27.3510453574648 63.159424446687,27.3541263261774 63.1547395263688,27.3551262501091 63.1498728256962)))', 'FIMAA', 'Maaninka', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6189493022612 65.041950475047,24.6182502449593 65.0370737559928,24.6153136160752 65.0323483263647,24.6102533376351 65.0279556590134,24.6032646340287 65.0240643618008,24.5946164144249 65.020823728547,24.5846408879722 65.0183580392492,24.5737208184048 65.0167618229156,24.5622749045067 65.0160962591774,24.5507418345686 65.0163868517746,24.5395636056788 65.0176224596088,24.5291687219907 65.0197557209169,24.5199558898411 65.0227048548642,24.5122788117476 65.0263567741114,24.5064326460186 65.0305713933112,24.5026426443085 65.0351869736171,24.5010554065967 65.0400263037212,24.5017331029634 65.0449034851352,24.5046509060334 65.0496310647646,24.5096977598353 65.0540272424416,24.5166804837608 65.0579228758903,24.5253310790011 65.0611680111386,24.5353169747481 65.0636376828013,24.5462538286411 65.06523675559,24.5577203866329 65.0659036150028,24.5692748175485 65.0656125600444,24.5804718722752 65.0643748022039,24.5908801805918 65.0622380305641,24.6000989923855 65.0592845603776,24.6077736948002 65.0556281391372,24.613609491212 65.0514095375777,24.6173827086063 65.0467911008225,24.6189493022612 65.041950475047)))', 'FIMAR', 'Marjaniemi', 'Y'),('SRID=4326;MULTIPOLYGON(((27.3194928816945 61.6828876378166,27.3184341457165 61.678024877867,27.3153997704564 61.6733536385018,27.3105071401866 61.6690533071005,27.3039447886022 61.6652889568266,27.2959650759452 61.6622050313069,27.2868744650066 61.6599198269288,27.2770217735198 61.6585209797601,27.2667848498324 61.6580621255297,27.2565561716554 61.6585608568218,27.2467279032591 61.6599980532104,27.237676964195 61.6623186091389,27.2297506622599 61.6654335326163,27.2232534249766 61.6692233369462,27.2184351275817 61.6735425994075,27.2154814618967 61.6782255167198,27.2145067204246 61.6830922488171,27.2155492849964 61.6879558114009,27.2185700113689 61.6926292552456,27.2234535931868 61.6969328573607,27.2300128743021 61.7007010466469,27.2379959619291 61.7037887950229,27.2470958794736 61.7060772241057,27.2569623923577 61.7074782068947,27.2672155480492 61.7079377825312,27.2774603976563 61.7074382486033,27.2873023149498 61.7059988477313,27.2963623024554 61.7036750210853,27.3042916748352 61.700556258594,27.3107855371245 61.6967626314095,27.3155945279039 61.6924401442473,27.318534372202 61.6877550913186,27.3194928816945 61.6828876378166)))', 'FIMIK', 'Mikkeli (Sankt Michel)', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8203768122535 65.6678756796826,24.8196252782401 65.6630001300002,24.8165834046023 65.6582787093825,24.8113692110777 65.6538927311325,24.8041838707859 65.6500105388647,24.7953038589319 65.6467810687012,24.7850702758586 65.6443281644211,24.7738757624966 65.6427458581541,24.7621495073028 65.6420947919276,24.7503409062593 65.6423999122728,24.7389024806244 65.6436495227013,24.7282726805114 65.6457957287825,24.7188592058659 65.6487562593815,24.711023460031 65.6524175969838,24.7050667149273 65.6566393015413,24.7012185112557 65.6612593675118,24.6996277426803 65.6661004142934,24.7003567808147 65.6709764775383,24.7033788899119 65.6757001442353,24.7085790592012 65.6800897591373,24.715758250628 65.6839764249839,24.7246409251052 65.687210524592,24.7348855769399 65.6896675093911,24.7460978800881 65.6912527260284,24.7578459377569 65.6919050893974,24.769677034726 65.6915994554882,24.7811352249263 65.6903475989748,24.7917790492633 65.6881977562353,24.8011986727327 65.6852327520541,24.8090317558977 65.6815667850087,24.8149774322152 65.6773409999377,24.818807846112 65.6727180236034,24.8203768122535 65.6678756796826)))', 'FIMKS', 'Maksniemi', 'Y'),('SRID=4326;MULTIPOLYGON(((25.3353558347457 65.2126690833472,25.3345209764967 65.2077957372144,25.3314382320183 65.2030843619491,25.326227138313 65.1987158831058,25.3190887017883 65.1948579730354,25.3102975605795 65.1916586386881,25.3001913834267 65.189240571863,25.2891579194549 65.1876964732408,25.2776201924262 65.1870855239856,25.2660203939435 65.187431135363,25.2548030718995 65.1887200592455,25.2443982327706 65.1909028921487,25.235204979009 65.1938959541961,25.2275762857763 65.1975844737594,25.2218054847203 65.2018269600959,25.2181149667653 65.2064606016911,25.216647541638 65.2113074887807,25.2174608002961 65.2161814261352,25.2205247194939 65.2208950779978,25.2257226282025 65.225267172224,25.2328555273133 65.2291294860548,25.2416496217203 65.2323333421082,25.2517667930953 65.234755360196,25.2628176185471 65.2363022380922,25.2743764311833 65.2369143715122,25.2859978292997 65.2365681689115,25.297233976646 65.2352769684263,25.3076520007595 65.2330905201343,25.3168507918962 65.2300930543235,25.3244765318878 65.2264000130557,25.3302363386999 65.222153575462,25.3339094951869 65.2175171545987,25.3353558347457 65.2126690833472)))', 'FIMRT', 'Martinniemi', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((28.4764134924717 66.0934251505477,28.4749514603452 66.0885758390089,28.4711869990616 66.083935363707,28.4652658452598 66.079681893018,28.4574162286415 66.0759786528374,28.4479399979291 66.0729676893145,28.4372009922871 66.0707644507302,28.4256111092592 66.0694533905697,28.4136145969058 66.0690847547541,28.4016711553879 66.0696726715505,28.3902384710925 66.0711946144211,28.3797548242624 66.07359225758,28.3706224088444 66.0767736929078,28.3631919809292 66.0806169267285,28.3577494098272 66.0849745273922,28.3545046438597 66.0896792512002,28.3535835220609 66.0945504365149,28.3550227645192 66.0994009253587,28.3587683601541 66.1040442497494,28.3646774444474 66.1083018075644,28.372523625176 66.1120097506816,28.3820055767111 66.1150253169729,28.3927585889546 66.1172323574267,28.4043686319883 66.1185458397563,28.4163883885681 66.1189151492859,28.4283546197997 66.1183260551812,28.4398061697588 66.1168012632152,28.4503018860733 66.1143995329242,28.4594377373318 66.1112133946578,28.4668624443788 66.107365558072,28.472291008864 66.1030041555454,28.47551561485 66.0982970095744,28.4764134924717 66.0934251505477)))', 'FIMSM', 'Mourusalmi', 'Y'),('SRID=4326;MULTIPOLYGON(((21.190873269187 62.4719367319456,21.1898072369032 62.4670735462444,21.1867128452218 62.4624000232843,21.1817098345942 62.4580956349185,21.1749910155892 62.4543256045556,21.1668147763641 62.4512345869282,21.157495124773 62.448941143368,21.1473896519458 62.447533219698,21.1368858751406 62.4470647953507,21.126386471804 62.4475538281274,21.1162939531772 62.4489815706845,21.1069953440092 62.4512932840203,21.0988474347378 62.4544003215929,21.0921631539089 62.4581835069199,21.0871995718064 62.4624976792526,21.0841479917768 62.4671772378173,21.0831265144042 62.4720424767574,21.0841753729498 62.4769064717446,21.0872552383794 62.4815822565818,21.0922485817293 62.4858900150664,21.0989640641885 62.4896640107206,21.1071438055646 62.4927589851327,21.1164732648384 62.4950557745858,21.1265933577519 62.4964659238743,21.1371143412685 62.4969351147344,21.1476309183703 62.49644527267,21.1577379632598 62.4950152682316,21.1670462396941 62.4927001847728,21.1751974854841 62.4895891819072,21.1818782641351 62.4858020397973,21.1868320385438 62.4814845215758,21.1898689984987 62.4768027373968,21.190873269187 62.4719367319456)))', 'FINAM', 'Öskata/Nämpnäs', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8504659887991 60.4493088914856,22.8492198131136 60.4444588074823,22.846083120623 60.4398219674749,22.841177133944 60.4355764325917,22.8346908166382 60.4318851726171,22.8268735464669 60.4288898311284,22.8180255151647 60.4267053140605,22.8084862261147 60.4254154048236,22.7986215267485 60.4250695698044,22.7888096619546 60.4256810731934,22.7794268673814 60.4272264712009,22.7708330367521 60.4296465045002,22.7633579949429 60.4328483558861,22.7572888886434 60.4367091893568,22.7528591691741 60.4410808388257,22.750239588085 60.445795471098,22.7495315564782 60.4506720101929,22.7507631351252 60.4555230799986,22.7538878265486 60.4601622009141,22.7587862351839 60.4644109645644,22.7652705511605 60.4681059096153,22.7730917014058 60.4711048314701,22.7819489034835 60.4732922791153,22.7915012578441 60.4745840229861,22.8013809279786 60.4749303173888,22.8112073898304 60.4743178281957,22.8206021854767 60.4727701492765,22.8292035941389 60.4703468872068,22.8366806372559 60.4671413507437,22.8427458634622 60.4632769369087,22.8471664121502 60.4589023568661,22.8497729279394 60.454185889963,22.8504659887991 60.4493088914856)))', 'FINJI', 'Nurmijärvi', 'Y'),('SRID=4326;MULTIPOLYGON(((29.2228233665119 63.5321452280473,29.2213726271427 63.5273016247091,29.2178336356305 63.5226773443278,29.2123432430133 63.5184499449579,29.205112970563 63.5147816724578,29.196420801183 63.5118132575521,29.1866004776761 63.5096585439514,29.176028721899 63.5084001484524,29.1651108590933 63.5080863144956,29.1542653844197 63.5087290757887,29.1439080431539 63.5103037979142,29.134436011727 63.5127501149227,29.1262127636425 63.5159742264452,29.1195541822915 63.5198524704787,29.1147164420255 63.5242360393715,29.1118861200239 63.5289566632719,29.1111729254161 63.5338330479673,29.1126053402528 63.5386778240827,29.1161293614889 63.5433047433234,29.1216104171735 63.5475358458932,29.1288384075018 63.5512083221563,29.13753569701 63.5541808014035,29.1473677634086 63.5563388211647,29.1579560970938 63.5575992613087,29.1688928489842 63.5579135671158,29.1797566482198 63.5572696330429,29.19012895977 63.5556922720532,29.1996103281119 63.5532422518404,29.2078358582852 63.5500139365536,29.2144893194785 63.5461316281812,29.2193153168445 63.541744753133,29.2221290609554 63.5370220845918,29.2228233665119 63.5321452280473)))', 'FINUR', 'Nurmes', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0065590732838 63.9007898143065,25.0058172997461 63.8959141551284,25.0029314036467 63.8911958955333,24.998013255252 63.886816235947,24.9912525377367 63.8829432921999,24.9829093545359 63.8797256641842,24.9733041896237 63.8772867610078,24.9628056130845 63.8757200952941,24.9518162010607 63.8750857218836,24.940757198392 63.875407952905,24.9300524931408 63.8766744335583,24.9201124942447 63.8788366126043,24.9113185065522 63.8818115901284,24.9040081814769 63.8854852742911,24.8984625865974 63.8897167301458,24.8948953841393 63.8943435587982,24.8934445371412 63.89918810579,24.894166874473 63.9040642650699,24.897035743692 63.9087846206287,24.901941866716 63.9131676529503,24.9086973911261 63.917044732737,24.9170430040969 63.9202666304226,24.9266578517517 63.9227092868804,24.9371718899002 63.924278618083,24.9481801885081 63.9249141633922,24.9592586274179 63.9245914322678,24.9699803595679 63.9233228556462,24.9799323838256 63.9211573038598,24.988731564592 63.9181781902934,24.9960394598621 63.9145002364621,25.0015753719807 63.9102650273306,25.0051271128386 63.9056355331944,25.0065590732838 63.9007898143065)))', 'FINVA', 'Nivala', 'Y'),('SRID=4326;MULTIPOLYGON(((23.685072870198 61.4659835554592,23.6836540276225 61.4611432728354,23.6802896884104 61.4565283646805,23.6751098587995 61.4523160381203,23.6683140351638 61.448667975413,23.6601634711396 61.4457241502882,23.6509711238233 61.4435974821704,23.6410896674168 61.4423695286609,23.6308980287504 61.442087376983,23.6207869486592 61.4427618499707,23.6111441054066 61.4443670931991,23.6023393507692 61.4468415586639,23.5947106058257 61.4500903487022,23.5885509419445 61.4539888333041,23.5840973332234 61.4583874062746,23.5815215102516 61.4631172025163,23.5809232725596 61.4679965615831,23.5823265300241 61.4728379930533,23.5856782440408 61.4774553784617,23.5908503304421 61.4816711335442,23.5976444716906 61.4853230540817,23.6057996702835 61.4882705790251,23.6150022635579 61.4904002256857,23.6248980174589 61.4916299830052,23.6351058284894 61.4919124891458,23.6452324937129 61.4912368673096,23.6548879621665 61.4896291468236,23.6637004599997 61.4871512528332,23.6713308873057 61.4838986049639,23.6774859165968 61.4799964205455,23.6819292793543 61.4755948690362,23.6844908048452 61.4708632689879,23.685072870198 61.4659835554592)))', 'FIPIR', 'Pirkkala (Birkala)', 'Y'),('SRID=4326;MULTIPOLYGON(((21.332361971775 60.9998832414932,21.3313243920623 60.9950200742204,21.3283537750648 60.9903486027039,21.3235650167953 60.9860482266563,21.3171426338378 60.9822840260949,21.3093335986805 60.9792004449748,21.3004378240868 60.9769157725495,21.2907966658174 60.9755176296391,21.2807798811854 60.9750596284098,21.2707715329619 60.9755593299428,21.2611553631483 60.9769975753864,21.2523001785546 60.9793192154847,21.2445457897509 60.9824352114658,21.2381900267819 60.9862260293437,21.2334773193016 60.9905462013382,21.2305892760294 60.9952298840001,21.2296376295881 61.000097204323,21.2306598292957 61.0049611541016,21.2336174684384 61.0096347703576,21.2383976267624 61.0139383268622,21.2448170969495 61.017706259403,21.2526293499591 61.0207935558652,21.2615339831436 61.0230813613677,21.2711882921041 61.0244815781071,21.2812205174521 61.0249402781948,21.2912442457025 61.0244397941545,21.3008733933795 61.0229994039677,21.3097371779092 61.0206745834089,21.3174944794613 61.0175548554469,21.3238470245561 61.0137603222285,21.3285508734369 61.0094370171604,21.3314257660275 61.004751260673,21.332361971775 60.9998832414932)))', 'FIPKT', 'Pitkäluoto', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4827310393626 59.9839580008624,24.4821448555014 59.9790780473782,24.4796706995139 59.9743491405277,24.475404380879 59.9699529124611,24.469510372596 59.9660581480263,24.4622154116401 59.962814322796,24.4537997503594 59.9603458889281,24.4445864002729 59.9587475238732,24.4349287794629 59.958080519771,24.4251972290472 59.9583704480799,24.415764902016 59.9596061861577,24.4069935484315 59.9617403417968,24.3992197243007 59.9646910598389,24.3927419373373 59.9683451436522,24.3878092115281 59.9725623751698,24.3846115044328 59.9771808720239,24.3832723473339 59.9820232806639,24.383844000072 59.9869035717127,24.386305321571 59.9916341795136,24.3905624562844 59.9960332129629,24.3964523293825 59.9999314601192,24.4037488334384 60.0031789151975,24.4121714811854 60.0056505734283,24.4213961974808 60.0072512664803,24.4310678338388 60.0079193477967,24.440813915398 60.0076290819224,24.4502590769287 60.0063916428913,24.4590396144302 60.0042546818662,24.4668175737283 60.0013004811007,24.4732938175714 59.9976427674401,24.4782195569032 59.9934223115625,24.4814058977943 59.9888014867147,24.4827310393626 59.9839580008624)))', 'FIPOA', 'Porkkala (Porkala)', 'Y'),('SRID=4326;MULTIPOLYGON(((21.8521509287642 61.4826840734431,21.8510160873311 61.47782554143,21.8479216992533 61.4731661828275,21.8429874337513 61.468884925659,21.8364034024017 61.4651461091097,21.8284227789867 61.4620931965561,21.8193520472036 61.4598432953822,21.8095392543866 61.4584826891634,21.7993607177574 61.4580635489868,21.789206681684 61.4586019461814,21.7794664591183 61.4600772401645,21.7705136072961 61.4624328641055,21.7626916866936 61.4655784793529,21.75630113316 61.4693934187635,21.7515877363184 61.4737312908952,21.748733163282 61.4784255731218,21.7478478964098 61.4832959836865,21.7489668686759 61.4881553919807,21.7520479823746 61.4928170042259,21.7569735891878 61.4971015493027,21.763554895748 61.5008441874728,21.7715391431025 61.5039008735525,21.7806192958474 61.5061539256725,21.790445872394 61.5075165805535,21.8006404570704 61.5079363552173,21.8108103623339 61.5073970817398,21.820563859287 61.5059195341103,21.829525369787 61.5035606222572,21.8373500151551 61.5004111853878,21.8437369447261 61.4965924724528,21.8484409205975 61.4922514493789,21.8512817099153 61.4875551184937,21.8521509287642 61.4826840734431)))', 'FIPOR', 'Pori (Björneborg)', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8391315577555 63.6822937529256,22.8377381085634 63.6774462457412,22.8342423430948 63.6728125102069,22.8287794704054 63.6685704696228,22.8215599732987 63.6648829329175,22.8128614367308 63.6618913700113,22.8030178589264 63.6597105116989,22.7924068590959 63.6584239760378,22.7814352667253 63.6580810839533,22.7705236308956 63.6586949820518,22.7600902231965 63.6602421420339,22.75053512414 63.6626632552485,22.7422249803709 63.6658654894623,22.7354789984391 63.6697260245073,22.7305567006258 63.6740967357491,22.7276479098056 63.6788098509133,22.7268653544268 63.6836843682769,22.7282401928869 63.6885329940286,22.7317206510233 63.6931693350279,22.7371738501807 63.6974150713172,22.7443907802668 63.7011068313313,22.7530942471386 63.7041025021898,22.7629495019839 63.7062867276989,22.7735771478708 63.7075753771748,22.7845678210982 63.7079188078821,22.7954980676904 63.7073037912137,22.8059467827311 63.7057540257617,22.8155115553026 63.7033292168374,22.8238242660583 63.7001227593134,22.8305653176557 63.6962581163186,22.8354759384186 63.6918840378851,22.8383680831998 63.6871688089106,22.8391315577555 63.6822937529256)))', 'FIPRS', 'Pietarsaari (Jacobstad)', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7174019415557 60.4004949887863,25.7166250027347 60.3956207638033,25.7139417496184 60.3909151554667,25.7094560303321 60.3865588897958,25.7033407353324 60.3827192067763,25.6958310765311 60.3795434591415,25.6872155174248 60.3771534807347,25.6778247073565 60.3756409361575,25.6680188420888 60.3750638256185,25.6581739261817 60.3754442751429,25.6486674492667 60.3767676941721,25.6398640076154 60.3789833317361,25.6321014041454 60.3820062105085,25.6256777441846 60.3857203668785,25.6208400111395 60.3899832763918,25.6177745562259 60.3946312991853,25.6165998704983 60.3994859409624,25.6173619269624 60.4043606931083,25.620032287553 60.4090681920397,25.6245090669125 60.4134274239123,25.6306207356089 60.4172706971636,25.6381326338062 60.4204501124804,25.6467559570846 60.4228432776481,25.6561588740786 60.4243580429087,25.6659793458543 60.424936069974,25.6758391441393 60.4245550932856,25.6853585135902 60.4232297836583,25.6941708951616 60.4210111798892,25.7019371249155 60.4179847108833,25.7083585454594 60.4142668868323,25.7131885143222 60.4100007905614,25.7162418623168 60.405350547088,25.7174019415557 60.4004949887863)))', 'FIPRV', 'Porvoo (Borgå)', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5411671346357 64.6839781473046,24.5404900465906 64.6791009361419,24.5376045652735 64.6743739639496,24.5326226176306 64.6699787655639,24.5257363982784 64.666084049852,24.5172108713058 64.662839246208,24.5073735380734 64.6603687989234,24.4966018716258 64.6587674230965,24.4853088974306 64.658096498602,24.4739274613469 64.6583817355839,24.4628937681394 64.6596121975178,24.4526307970562 64.6617407177105,24.443532204789 64.6646856938029,24.4359473105319 64.6683341940428,24.4301677229868 64.6725462604381,24.4264161153762 64.6771602489857,24.4248375825102 64.6819990075594,24.4254939249063 64.6868766592226,24.4283611007627 64.6916057340388,24.433329969969 64.6960043770676,24.4402103289838 64.6999033550273,24.4487381059093 64.7031525896357,24.4585854568584 64.7056269620271,24.4693733836848 64.7072311595401,24.4806863854235 64.7079033727227,24.4920885671961 64.707617695239,24.5031405658862 64.7063851306762,24.513416615397 64.7042531658348,24.5225210679668 64.7013039274916,24.5301037122312 64.6976509962885,24.5358732820377 64.6934350047912,24.5396086292786 64.6888181945633,24.5411671346357 64.6839781473046)))', 'FIRAA', 'Raahe (Brahestad)', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5335910911395 61.1418064146493,21.5325178613139 61.1369449565181,21.5295041836856 61.1322780810082,21.5246666130675 61.1279850090588,21.5181915415576 61.1242305379856,21.5103279618523 61.1211587362833,21.5013778746815 61.1188874396517,21.491684712532 61.1175037548263,21.4816202199851 61.1170607391222,21.471570282953 61.1175753792092,21.461920233942 61.1190279441145,21.4530401776817 61.1213627364403,21.4452708808119 61.1244902139907,21.4389107508197 61.1282904031152,21.4342043932984 61.1326174767865,21.4313331834145 61.1373053263963,21.4304082181312 61.1421739180456,21.4314659317195 61.1470361932007,21.4344665604693 61.1517052512764,21.4392955361393 61.1560015390584,21.4457677751363 61.1597597696506,21.4536347159937 61.1628353022057,21.4625938462812 61.1651097330352,21.4723003567812 61.1664954782494,21.4823804707452 61.1669391668571,21.4924459240367 61.1664237097446,21.5021090219348 61.1649689622698,21.5109976731333 61.1626309541078,21.5187698024931 61.1594997170371,21.5251265713112 61.1556957970614,21.5298238857072 61.1513655891959,21.5326817472506 61.1466756792008,21.5335910911395 61.1418064146493)))', 'FIRAU', 'Rauma (Raumo)', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5113595870644 61.604814231282,21.5102734915563 61.5999529431189,21.5072179400217 61.5952859371572,21.5023111224807 61.5909924371074,21.4957421095939 61.5872372532966,21.4877635104033 61.5841644774947,21.4786817398622 61.5818919786713,21.4688452738315 61.5805069061796,21.4586313382107 61.5800623682057,21.4484315314422 61.5805754089606,21.4386369148665 61.582026359617,21.429623122832 61.5843595870348,21.4217360438332 61.5874856125828,21.4152786052844 61.5912845225194,21.410499158061 61.5956105431453,21.4075819031753 61.600297609916,21.4066397328288 61.6051657214913,21.4077097730269 61.6100278387615,21.4107518170617 61.614697066534,21.4156497313053 61.6189938428484,21.4222158005459 61.6227528585969,21.4301978638904 61.6258294386324,21.4392889790042 61.6281051348245,21.4491392474022 61.6294923110489,21.4593693418971 61.6299375388445,21.4695852039993 61.6294236689807,21.479393328084 61.6279704965098,21.4884160234052 61.6256339928236,21.4963060460259 61.6225041353363,21.5027600203973 61.6187014211679,21.5075301230387 61.6143722031771,21.5104335755678 61.6096830326775,21.5113595870644 61.604814231282)))', 'FIREP', 'Reposaari', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2608981383473 65.0076972479166,25.2600827564259 65.0028234122685,25.2570363034669 64.9981104808049,25.251876905353 64.9937394407569,25.2448035717766 64.9898780652836,25.2360884368153 64.9866744970379,25.2260662543583 64.9842515928176,25.2151215589793 64.9827022409094,25.2036739816961 64.9820858252229,25.1921622707377 64.9824259669871,25.1810276091331 64.9837096272031,25.1706968432399 64.9858876028059,25.1615662390791 64.9888763982086,25.1539863665245 64.9925614032204,25.1482486751553 64.996801259863,25.1445742702602 65.0014332559611,25.1431053237712 65.0062795441084,25.1438994640204 65.0111539521905,25.1469273820755 65.015869127422,25.1520737738205 65.0202437409795,25.159141609667 65.0241094756706,25.1678595925252 65.0273175251918,25.1778925349483 65.0297443505114,25.1888542642602 65.0312964663896,25.2003225561785 65.0319140681262,25.2118555088507 65.0315733539264,25.2230087053804 65.0302874499373,25.2333524776311 65.0281059008193,25.2424885794842 65.0251127461957,25.2500656041003 65.0214232599101,25.2557925354821 65.0171794821734,25.2594499064559 65.0125447221111,25.2608981383473 65.0076972479166)))', 'FIRIU', 'Riutunkari', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0063221450468 60.3446288274843,22.005205544765 60.339770732,22.0021989099955 60.3351138999043,21.9974184753715 60.3308371668839,21.9910483981152 60.3271047060944,21.9833336131687 60.3240597463771,21.9745704000206 60.3218190996116,21.965095026749 60.3204687027204,21.9552709030831 60.3200603409481,21.9454747246814 60.3206096744347,21.9360821244446 60.3220956414064,21.927453362981 60.3244612601634,21.9199195890887 60.3276158001634,21.913770182332 60.3314382415922,21.9092416537152 60.3357818945802,21.9065085276807 60.3404800053255,21.9056765601375 60.3453521384043,21.9067785644593 60.3502110939538,21.9097730224908 60.354870096487,21.9145455533952 60.3591499798882,21.920913203222 60.3628860913858,21.9286314065877 60.3659346463514,21.9374033635847 60.3681782855613,21.9468914749645 60.3695306165195,21.9567303917345 60.3699395595367,21.9665411661157 60.3693893659832,21.9759459430975 60.3679012285707,21.9845826082712 60.3655324594296,21.9921188095724 60.3623742687204,21.9982647978903 60.3585482320448,22.0027845826512 60.3542015866158,22.0055049705871 60.3495015418067,22.0063221450468 60.3446288274843)))', 'FIROL', 'Röölä', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4750935753279 64.6510038241896,24.4744290547597 64.6461263414211,24.4715584756154 64.6413981212218,24.4665931906808 64.6370007471378,24.4597247543787 64.633103012346,24.4512174491475 64.629854462804,24.4413980791701 64.627379687059,24.4306434311107 64.6257735665676,24.4193658806328 64.62509766327,24.4079976847029 64.6253778781274,24.3969745421547 64.6266034669291,24.3867190282726 64.6287274495061,24.3776245130494 64.6316683971786,24.3700401572802 64.6353135324607,24.3642575459142 64.6395230263683,24.360499464443 64.6441353337362,24.3589112522497 64.648973367312,24.3595550779711 64.6538512785348,24.3624073779108 64.658581588178,24.3673595821212 64.6629823945975,24.3742221276035 64.6668843820758,24.3827316287505 64.6701373572227,24.3925609470795 64.6726160577328,24.403331781385 64.6742250046384,24.414629291792 64.6749022057023,24.4260181826085 64.6746215623893,24.4370596043834 64.6733938841388,24.4473281989807 64.6712664692207,24.4564286049894 64.6683212688587,24.4640107648031 64.6646717079729,24.4697834277954 64.6604582893049,24.4735253230295 64.6558431555284,24.4750935753279 64.6510038241896)))', 'FIRTR', 'Rautaruukki', 'Y'),('SRID=4326;MULTIPOLYGON(((25.3042639435645 62.7006661609604,25.3034998785706 62.6957912279502,25.3006806928311 62.6910783968159,25.2959156012157 62.6867086632806,25.2893883357232 62.6828497699664,25.2813499920189 62.6796497881352,25.2721093413441 62.6772314614361,25.2620209858425 62.6756875238544,25.2514718091694 62.6750771665012,25.2408662312426 62.6754237844071,25.230610815229 62.6767140866665,25.2210987958307 62.6788986027383,25.2126951004098 62.6818935661193,25.2057224184556 62.6855841056373,25.2004488405438 62.6898286259284,25.1970775357057 62.6944642139008,25.1957388668231 62.6993128687242,25.1964852586071 62.7041883206016,25.1992890338615 62.7089031795982,25.2040433238197 62.7132761412682,25.2105660409393 62.7171389715363,25.2186067820092 62.7203429997753,25.2278564108172 62.7227648663073,25.2379589583835 62.7243112982383,25.2485253804379 62.7249227247144,25.2591486316037 62.7245755879401,25.2694194581173 62.7232832578143,25.2789422791646 62.7210955136033,25.287350522932 62.7180966132662,25.2943208074914 62.7144020273416,25.2995854072551 62.7101539672217,25.3029425200367 62.7055158849045,25.3042639435645 62.7006661609604)))', 'FISAI', 'Saarijärvi', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7219961403887 63.0827305280619,27.7208190563763 63.0778720939664,27.7175748228097 63.0732110685057,27.7123889669485 63.0689264358004,27.7054613359019 63.0651826523028,27.6970583322148 63.0621233572178,27.6875026495527 63.0598658878474,27.6771609068496 63.0584968052707,27.6664296507179 63.0580685970199,27.6557202501525 63.0585976790589,27.6454432437591 63.0600637709675,27.6359927174559 63.0624106674344,27.6277312896417 63.0655483775971,27.6209762612017 63.0693565531276,27.615987449632 63.0736890778934,27.612957170497 63.0783796481565,27.6120027562406 63.0832481341753,27.6131619134807 63.0881074832098,27.6163911174351 63.0927709016072,27.621567128964 63.0970590409447,27.6284915996715 63.1008069109182,27.6368986081523 63.1038702501941,27.6464648510534 63.1061311057787,27.6568221017429 63.1075024010715,27.6675714526548 63.1079313116732,27.6782987800215 63.1074013146932,27.688590816038 63.1059328298434,27.6980511866599 63.1035824267399,27.706315774783 63.1004406300997,27.7130667984003 63.0966284103803,27.71804504972 63.0922924994049,27.7210598208823 63.0875997164301,27.7219961403887 63.0827305280619)))', 'FISII', 'Siilinjärvi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9444344697066 67.9940357969335,26.9431698667835 67.9891743348756,26.9394023685477 67.9844987651187,26.9332780764 67.980188603116,26.9250332253006 67.9764092401062,26.9149849720194 67.9733056246652,26.9035191602966 67.9709967365357,26.8910755399365 67.9695710584044,26.8781310005834 67.9690832129698,26.8651814442582 67.9695518888866,26.8527229631562 67.9709591315091,26.8412330105319 67.9732510243447,26.8311522527073 67.9763397363129,26.8228677693213 67.9801068598673,26.816698226933 67.9844079173111,26.8128815881753 67.9890778687943,26.8115658353285 67.9939374170302,26.8128030845479 67.9987998721832,26.8165473469803 68.0034783170111,26.8226560586594 68.0077927983588,26.8308953566157 68.0115772674086,26.8409489295096 68.0146859982368,26.8524301237523 68.0169992323286,26.8648968476964 68.0184278253624,26.8778686943807 68.0189167108702,26.8908456044761 68.0184470418552,26.9033273214095 68.0170369241535,26.9148328544756 68.0147407119647,26.9249191653771 68.0116468939532,26.933198329084 68.0078746550149,26.9393524889244 68.0035692516168,26.9431460241249 67.9988963852392,26.9444344697066 67.9940357969335)))', 'FISIL', 'Siltaharju', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4678273581932 66.6820236176129,24.4671180222595 66.6771471083783,24.464022603978 66.6724191032762,24.4586612922491 66.6680211654448,24.451241000349 66.6641220901329,24.4420472809585 66.6608714507564,24.43143329309 66.6583938913084,24.4198062537237 66.6567843783201,24.4076118911114 66.6561045884824,24.3953174815979 66.6563805651371,24.3833940967186 66.6576017296669,24.3722987119396 66.6597212839339,24.362456832597 66.6626579889152,24.3542462763874 66.6662992541706,24.3479827152332 66.6705054243245,24.3439075227375 66.6751151039326,24.3421783973087 66.6799513224761,24.3428631364312 66.6848283082469,24.345936826312 66.6895586149397,24.351282585996 66.6939603290211,24.3586958698675 66.6978640803443,24.367892192165 66.7011195836138,24.3785179976192 66.7036014543525,24.3901642701361 66.705214069673,24.4023823533884 66.7058952805809,24.4147013597687 66.7056188273884,24.4266464730793 66.7043953612617,24.4377574098909 66.7022720307374,24.4476062972141 66.6993306497408,24.4558142504611 66.695684520594,24.4620659939991 66.6914740391557,24.4661219533564 66.6868612572225,24.4678273581932 66.6820236176129)))', 'FISKK', 'Sirkkakoski', 'Y'),('SRID=4326;MULTIPOLYGON(((25.9040353197803 62.5674337342881,25.9031761613673 62.5625619315642,25.9002743649555 62.5578610356567,25.8954423003382 62.5535115796324,25.8888662500589 62.5496805246795,25.8807991614587 62.5465148722081,25.8715508909319 62.5441360487152,25.8614763205028 62.5426352740296,25.8509617996372 62.5420700856927,25.8404104211895 62.5424621485146,25.8302266786674 62.5437964303605,25.8208010720541 62.5460217745773,25.8124952310498 62.5490528478559,25.8056281077588 62.5527733914009,25.800463755767 62.5570406547226,25.7972011596728 62.5616908468069,25.7959665092924 62.5665454004373,25.796808227301 62.5714178135156,25.7996949599867 62.576120807673,25.8045166308689 62.5804735304043,25.8110885397581 62.5843085231954,25.8191583698081 62.5874781851366,25.8284158472699 62.5898604793254,25.8385046884495 62.5913636575497,25.849036371287 62.5919298163506,25.8596051901673 62.5915371431729,25.8698039964291 62.590200763073,25.8792399967682 62.587972152145,25.8875499791361 62.5849371410261,25.894414360949 62.5812125880126,25.8995695059924 62.5769418539992,25.9028178313452 62.5722892583804,25.9040353197803 62.5674337342881)))', 'FISLI', 'Suolahti', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1524287166245 66.0919515988452,27.151219468625 66.0870905763251,27.1476973468186 66.0824186232188,27.141998810643 66.0781151287267,27.1343435870893 66.0743452484107,27.125026115441 66.0712535916709,27.1144041941755 66.0689587047756,27.1028852718978 66.0675485553397,27.0909109027991 66.0670771857076,27.0789399467573 66.0675626587173,27.0674311341419 66.068986371384,27.0568256353469 66.0712937616957,27.0475302749273 66.0743963825815,27.0399020099724 66.0781752667969,27.0342342521096 66.082485458565,27.0307455526309 66.0871615439125,27.0295710913324 66.0920239732808,27.0307573130203 66.0968859386389,27.0342599432888 66.1015605443244,27.0399454901059 66.1058679973071,27.0475962039969 66.1096425393821,27.0569183322439 66.1127388514391,27.0675533674549 66.1150376784799,27.0790918645498 66.1164504530362,27.0910892892444 66.1169227331119,27.1030832716453 66.1164363172614,27.114611575818 66.1150099520092,27.1252300639516 66.1126986032007,27.1345299339861 66.1095913205533,27.1421535422948 66.1058077810232,27.1478081861927 66.1014936491162,27.1512773108743 66.0968149386544,27.1524287166245 66.0919515988452)))', 'FISMJ', 'Simojärvi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.9613474025599 65.6528197410513,24.9605697659135 65.647944815878,24.9575039371143 65.6432261440102,24.9522688519104 65.6388449319668,24.9450664802521 65.6349693394677,24.9361739452903 65.6317480488081,24.9259328225246 65.6293045897923,24.9147360379174 65.6277326324378,24.9030128645916 65.6270924223072,24.891212579971 65.6274084901618,24.8797873881059 65.6286687202003,24.86917523508 65.6308248110388,24.8597831486713 65.6337941124122,24.8519717168392 65.6374627699577,24.8460412832455 65.6416900619723,24.8422203822007 65.6463137673307,24.8406568607975 65.6511563643335,24.8414120437098 65.656031827632,24.8444581880869 65.6607527658713,24.8496793549501 65.6651376274992,24.8568756932929 65.6690176971809,24.865770998491 65.6722436110115,24.8760232733114 65.6746911353504,24.8872378939979 65.6762659812704,24.8989828720435 65.6769074634497,24.9108056104446 65.6765908574683,24.9222504867562 65.6753283610527,24.932876558111 65.6731686206235,24.942274677794 65.6701948420641,24.9500833393433 65.6665215613493,24.9560026208579 65.662290204017,24.9598056858353 65.6576636100994,24.9613474025599 65.6528197410513)))', 'FISMN', 'Simoniemi', 'Y'),('SRID=4326;MULTIPOLYGON(((21.9695005386019 60.4596423882373,21.9683853178146 60.4547840638082,21.9653731588087 60.4501264922218,21.9605805148523 60.4458485372642,21.9541920170006 60.4421144183775,21.9464533103154 60.4390674272015,21.9376615930677 60.4368244526518,21.9281542255532 60.4354715201216,21.9182958416649 60.4350605115097,21.9084644469399 60.4356071881997,21.8990370205552 60.4370905904311,21.8903751551265 60.4394538353806,21.8828112669662 60.4426062843975,21.876635890656 60.4464269989427,21.8720865356802 60.4507693565416,21.869338529982 60.4554666541611,21.8684982066379 60.4603384884182,21.8695987068647 60.465197671411,21.8725985774032 60.4698574190003,21.8773832357915 60.474138536124,21.8837692667069 60.4778763219297,21.8915114006606 60.4809269265226,21.9003119176156 60.4831729108769,21.9098321176019 60.484527791383,21.9197054130972 60.4849393895798,21.9295515284024 60.4843918543245,21.9389912432618 60.4829062760867,21.9476610942489 60.4805398689678,21.9552274493247 60.4773837530307,21.9613993983465 60.4735594250702,21.9659399536078 60.4692140576702,21.9686751268438 60.464514812078,21.9695005386019 60.4596423882373)))', 'FISRK', 'Särkänsalmi', 'Y'),('SRID=4326;MULTIPOLYGON(((21.4543241269683 60.9768368378309,21.4532686899233 60.9719746161965,21.4502823637194 60.9673058358743,21.4454806446612 60.963009792405,21.4390485433815 60.9592513989065,21.431233401801 60.9561748761817,21.4223353639141 60.9538982426525,21.4126958701462 60.9525088109724,21.4026846130043 60.9520598595321,21.3926854436005 60.9525686027052,21.3830817534421 60.954015535161,21.3742418731401 60.9563451745588,21.366505029147 60.959468175122,21.3601683813096 60.963264733676,21.3554756281453 60.9675891614141,21.3526076138714 60.9722754505795,21.3516753022663 60.9771436270062,21.3527153988742 60.9820066485162,21.3556888069726 60.9866775868144,21.3604819969193 60.9909768178286,21.3669112565636 60.9947389431667,21.3747296766029 60.9978191738875,21.3836366139317 61.0000989270598,21.3932892732672 61.0014904150921,21.403315957762 61.0019400465319,21.4133304676245 61.0014305034816,21.4229470758969 60.9999814130462,21.4317954853007 60.9976485860999,21.439535170907 60.9945218536958,21.4458685402641 60.9907215871475,21.4505523939779 60.9863940397697,21.4534072426939 60.9817056942556,21.4543241269683 60.9768368378309)))', 'FISTO', 'Santtio', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8158748767224 60.0623244454098,22.814649441773 60.0574736802476,22.8115553804465 60.0528355830847,22.8067122592237 60.0485882655688,22.8003066150179 60.0448947689674,22.7925847233095 60.0418968261029,22.7838431174403 60.0397094459886,22.7744172258166 60.0384165245131,22.7646685586438 60.0380676452473,22.7549709248902 60.0386761895528,22.7456961925524 60.040218826267,22.7372001204513 60.0426363999838,22.7298087875002 60.0458361850503,22.7238061256684 60.0496954215809,22.7194230260017 60.0540660017434,22.7168284336404 60.0587801309711,22.7161227788066 60.0636567511751,22.7173340077394 60.0685084829337,22.7204163827064 60.0731488222914,22.7252521163679 60.0773993162474,22.731655796502 60.081096439951,22.7393814466449 60.0840979083862,22.7481319612712 60.0862881758033,22.7575705556981 60.0875829067473,22.7673337858315 60.0879322421715,22.77704562562 60.087322731268,22.786332044323 60.0857778523556,22.7948355039751 60.0833571021955,22.8022288009777 60.080153690026,22.8082277043568 60.0762909279263,22.8126018952608 60.0719174604644,22.815183784829 60.0672015217713,22.8158748767224 60.0623244454098)))', 'FISUN', 'Sundvik', 'Y'),('SRID=4326;MULTIPOLYGON(((28.9527777094498 61.8662607570996,28.9514542686962 61.8614129224455,28.9481545557356 61.8567801125753,28.9430061300597 61.8525402253537,28.9362073158385 61.848856002101,28.9280195088399 61.8458688032479,28.9187571130463 61.8436932097152,28.9087754963339 61.8424126523564,28.8984574222233 61.8420762324667,28.8881984657023 61.8426968515043,28.8783919546198 61.8442507193835,28.8694139936964 61.8466782596188,28.8616091255834 61.8498863779085,28.855277162648 61.8537520101388,28.8506616845151 61.8581268179302,28.8479406404037 61.8628428563937,28.8472194229109 61.8677190012684,28.8485266926294 61.8725678925513,28.8518131330145 61.8772031303657,28.8569532052022 61.881446447215,28.8637498567684 61.8851345796502,28.8719420211954 61.8881255721033,28.8812146311268 61.8903042661118,28.8912107636782 61.8915867588018,28.9015454454211 61.8919236542407,28.9118205730006 61.8913019785723,28.9216403566657 61.8897456827448,28.9306266710638 61.887314712878,28.9384337018059 61.8841026854047,28.9447613072896 61.8802332595766,28.9493665712776 61.8758553513135,28.9520730995634 61.8711373775225,28.9527777094498 61.8662607570996)))', 'FISVL', 'Savonlinna (Nyslott)', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4827088378774 59.9660738960426,23.4813899196072 59.9612299966114,23.4782123865864 59.9566081222607,23.473298996554 59.9523857572928,23.4668389670003 59.9487249820065,23.4590806433018 59.9457662718734,23.4503219415216 59.9436231304733,23.4408989351028 59.9423777576881,23.4311730186234 59.9420779150674,23.4215171299211 59.9427351051596,23.4123015433547 59.9443241325425,23.4038797612369 59.9467840629614,23.3965750273284 59.9500205450907,23.3906679657569 59.953909408705,23.3863858111019 59.9583014051771,23.3838936412818 59.9630279128684,23.3832879553169 59.9679073927409,23.3845928545924 59.9727523498269,23.3877589910857 59.9773765353287,23.3926653420749 59.981602113093,23.3991237617022 59.9852665137024,23.4068861496926 59.988228709763,23.4156539712349 59.9903746669938,23.425089764486 59.9916217568273,23.4348301881863 59.9919219563082,23.4445000959009 59.9912637085595,23.4537270789996 59.989672370022,23.4621559001498 59.9872092268038,23.4694622439644 59.9839691193507,23.4753652412265 59.9800767698106,23.4796382761146 59.9756819575113,23.4821176591133 59.9709537327747,23.4827088378774 59.9660738960426)))', 'FITAI', 'Tammisaari (Ekenäs)', 'Y'),('SRID=4326;MULTIPOLYGON(((21.663565002477 60.4987581682284,21.6624941430052 60.4938972782614,21.6595221440181 60.4892327935795,21.6547639227923 60.4849438455597,21.648402796669 60.4811950771989,21.6406833683705 60.478130343212,21.6319021038102 60.4758672134571,21.6223959677645 60.4744924861066,21.61252954971 60.4740588782477,21.6026811631384 60.4745830171258,21.5932284358379 60.4760448066386,21.5845339254302 60.4783881926,21.5769312936478 60.4815232984252,21.570712554428 60.4853298519509,21.5661168751425 60.4896617757989,21.5633213577396 60.4943527696689,21.562434158192 60.499222674803,21.5634902199054 60.5040843800545,21.5664498017344 60.508751006821,21.5711998768008 60.5130430976131,21.5775583679442 60.5167955309762,21.5852810735986 60.5198638942322,21.5940710289073 60.5221300649993,21.603589946008 60.5235067821378,21.6134712896222 60.5239410256328,21.6233344739724 60.5234160714687,21.6327996184386 60.5219521398678,21.6415022749964 60.5196056111307,21.6491075417378 60.516466840302,21.6553230035816 60.5126566575088,21.6599099921109 60.5083216926521,21.6626927284682 60.5036287089973,21.663565002477 60.4987581682284)))', 'FITUO', 'Tuomarainen', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4859450970085 60.1034486567036,22.4847664943706 60.098594728615,22.4817147473102 60.0939488202707,22.4769078039986 60.0896893455028,22.4705308206693 60.0859798138838,22.4628289813483 60.0829625744988,22.45409805758 60.0807533768911,22.4446730735705 60.079436953446,22.4349155075008 60.0790637883457,22.4251995092902 60.0796481934558,22.4158976479152 60.0811677626752,22.4073667169879 60.0835642250605,22.3999341254339 60.0867456651392,22.3938853807989 60.0905900279585,22.3894531362338 60.0949497782907,22.3868082191404 60.0996575396869,22.3860529907924 60.104532501328,22.3872173035085 60.1093873503228,22.3902572272687 60.1140354655258,22.3950566138905 60.1182980971313,22.40143145758 60.1220112549676,22.4091369000564 60.1250320378912,22.4178766212316 60.1272441568867,22.4273142575754 60.1285624348132,22.4370864047014 60.12893610516,22.4468166928523 60.128350779142,22.4561303775338 60.1268290030606,22.464668865141 60.1244293838345,22.4721035963146 60.1212443175375,22.4781487377756 60.1173964111813,22.4825721849276 60.1130337394647,22.4852044496966 60.1083241235902,22.4859450970085 60.1034486567036)))', 'FIUDI', 'Uddis', 'Y'),('SRID=4326;MULTIPOLYGON(((30.2875958394304 62.9010609573449,30.2869960716655 62.8961819008519,30.2843220382625 62.8914499435302,30.2796774075953 62.8870468232157,30.2732413208253 62.8831415697128,30.2652614090197 62.8798840364434,30.2560442322313 62.8773991756241,30.2459435146012 62.8757822718154,30.2353466250659 62.8750953116508,30.2246598119196 62.8753646244955,30.2142927403287 62.8765798812625,30.2046429044143 62.8786944882541,30.1960804894526 62.8816273613602,30.1889342450875 62.8852660149044,30.1834788973746 62.8894708505418,30.1799245763869 62.894080486515,30.1784086678068 62.8989179278453,30.1789904126274 62.9037973451533,30.1816484807266 62.9085312051199,30.1862816342994 62.9129374802498,30.1927124794695 62.9168466604472,30.2006941831613 62.9201082944874,30.2099199125302 62.9225968058483,30.2200346413861 62.9242163542066,30.2306488677089 62.9249045503193,30.2413537038301 62.9246348766586,30.2517367407419 62.9234177172427,30.2613980537442 62.9212999554313,30.2699657102798 62.918363155628,30.2771101627281 62.914720401314,30.2825569578434 62.910511915139,30.2860972676116 62.9058996346207,30.2875958394304 62.9010609573449)))', 'FIUIM', 'Uimaharju', 'Y'),('SRID=4326;MULTIPOLYGON(((21.4400359622734 60.796842492962,21.4389887374162 60.7919800207087,21.4360213690418 60.7873107798205,21.431248615687 60.7830140845403,21.4248543689738 60.779254874436,21.4170845144593 60.7761774032777,21.4082374586318 60.7738997274645,21.3986526896025 60.7725092009454,21.3886978067332 60.7720591449498,21.3787545060967 60.7725668164711,21.3692040433564 60.7740127509162,21.3604127128611 60.7763415033008,21.3527178812331 60.7794637605395,21.346415095494 60.7832597464392,21.3417467500601 60.7875837926682,21.3388927443074 60.792269904884,21.3379634937811 60.7971381149491,21.3389955749691 60.8020013792148,21.3419501879667 60.8066727604997,21.3467145161258 60.8109726187056,21.3531059504861 60.8147355327386,21.3608790336505 60.8178166849393,21.3697348676023 60.8200974585029,21.3793326278425 60.8214900278754,21.3893027372132 60.8219407608206,21.3992611815399 60.8214322972853,21.4088243996652 60.81998422244,21.4176241553469 60.8176523071263,21.4253217993061 60.8145263459575,21.4316213563743 60.8107266790169,21.4362809236756 60.806399535041,21.4391219382267 60.8017113799753,21.4400359622734 60.796842492962)))', 'FIUKI', 'Suukari/Uusikaupunki', 'Y'),('SRID=4326;MULTIPOLYGON(((22.332421835385 63.3114927847716,22.3311324745466 63.3066400066995,22.3277639923483 63.3019935537166,22.322446692832 63.2977318439681,22.3153854650416 63.2940184480163,22.3068518262902 63.2909958340604,22.2971734642252 63.2887799287708,22.2867216830486 63.2874556973274,22.2758972303083 63.2870739072144,22.2651150343722 63.2876491957574,22.2547884182243 63.289159512874,22.2453133721524 63.2915469596582,22.2370534660583 63.294719991901,22.2303259615071 63.2985569071138,22.2253896444666 63.3029104857344,22.2224348424342 63.3076136135729,22.2215760152025 63.3124856747639,22.2228472183021 63.3173394739891,22.2262006343341 63.32198842483,22.2315082529418 63.3262537288662,22.238566658915 63.3299712683385,22.2471047645437 63.3329979442346,22.2567942021451 63.3352172114902,22.2672619813696 63.3365435930954,22.2781049191082 63.3369259942224,22.2889052728125 63.336349684524,22.2992469551367 63.3348368695448,22.3087316821019 63.3324458284685,22.3169944099816 63.3292686527037,22.323717447626 63.3254276755529,22.32864268912 63.3210707349711,22.3315814931198 63.3163654569751,22.332421835385 63.3114927847716)))', 'FIUKP', 'Uusikaarlepyy (Nykarleby)', 'Y'),('SRID=4326;MULTIPOLYGON(((26.3054140201738 60.4022724559066,26.3045491258258 60.3974016455524,26.3017808757865 60.3927078679599,26.2972163753023 60.3883713902597,26.2910315280104 60.3845586890806,26.2834642014527 60.3814160791084,26.2748050577682 60.3790641215126,26.2653864061175 60.3775930223822,26.2555695017597 60.3770591932275,26.2457307692955 60.3774831016304,26.2362474634327 60.3788484918433,26.2274832991736 60.3811030042078,26.2197745842983 60.3841601703867,26.2134173704233 60.3879027102896,26.2086561049852 60.392187007927,26.2056742157658 60.3968485989077,26.2045869929576 60.4017084634927,26.2054370526747 60.4065798875149,26.208192572277 60.4112756303634,26.2127483846096 60.4156151257162,26.2189299087292 60.4194314375348,26.2264997830213 60.4225777014467,26.2351669574815 60.4249328000029,26.2445979003388 60.4264060489311,26.2544294851075 60.4269407094327,26.2642830522232 60.4265161873608,26.2737790885324 60.4251488318885,26.2825519409357 60.4228913018681,26.2902639789635 60.4198305250481,26.2966186450835 60.4160843312067,26.3013718797364 60.4117968926121,26.3043414777566 60.4071331518372,26.3054140201738 60.4022724559066)))', 'FIVKO', 'Valkom (Valko)', 'Y'),('SRID=4326;MULTIPOLYGON(((27.953588621179 62.3166428354873,27.9524050460019 62.3117858319574,27.9492086178514 62.3071295385542,27.9441229736159 62.3028527602231,27.9373440707821 62.2991196568962,27.929132578326 62.2960734644968,27.9198038354448 62.2938310246949,27.9097157675185 62.2924783284351,27.8992552184051 62.292067239395,27.888823211061 62.2926135190484,27.8788196837079 62.2940962264885,27.869628265854 62.296458515239,27.8616016572191 62.2996097976333,27.8550481530233 62.3034291966351,27.8502198213929 62.307770156899,27.8473027833365 62.3124660430484,27.8464099737408 62.3173365151584,27.8475766745966 62.3221944407383,27.8507590112928 62.3268530804076,27.8558354922353 62.331133272024,27.8626115549684 62.3348703360144,27.8708269629015 62.337920433481,27.8801657807472 62.3401661282422,27.8902685493053 62.3415209338143,27.9007461866774 62.3419326653953,27.9111950683686 62.3413854636899,27.9212126871852 62.3399004099796,27.9304132683196 62.3375347079398,27.9384427170281 62.3343794648804,27.9449923057212 62.3305561608135,27.9498105623778 62.3262119455945,27.9527128998148 62.3215139501367,27.953588621179 62.3166428354873)))', 'FIVRK', 'Varkaus', 'Y'),('SRID=4326;MULTIPOLYGON(((24.8666280065551 64.8908517685679,24.8658873976505 64.885976017121,24.8629231748852 64.8812553064203,24.8578503022928 64.8768709267101,24.8508644705766 64.8729911672428,24.842234464286 64.8697648794874,24.8322917839636 64.8673157941882,24.8214179292916 64.865737804997,24.8100298283978 64.8650913940875,24.7985639595418 64.8654013319883,24.7874597535635 64.8666557363853,24.7771428883079 64.8688065244437,24.7680090895761 64.8717712419185,24.7604090369823 64.875436201579,24.7546349375586 64.8796608149133,24.7509092753849 64.8842829562812,24.7493761726267 64.8891251592288,24.7500957073216 64.8940014120328,24.7530414279852 64.8987242950582,24.7581011873563 64.903112187345,24.7650812911029 64.9069962648841,24.7737138267148 64.9102270188199,24.7836669085922 64.9126800384723,24.7945574535152 64.9142608312187,24.8059659924143 64.9149084880684,24.8174529355209 64.9145980488091,24.8285756436227 64.9133414720824,24.8389056220894 64.9111871714416,24.8480451487547 64.908218135892,24.855642671986 64.9045487100525,24.8614063698329 64.90032016237,24.8651153417658 64.8956952174526,24.8666280065551 64.8908517685679)))', 'FIVRS', 'Varessäikkä', 'Y'),('SRID=4326;MULTIPOLYGON(((27.7147864741361 68.7857241942846,27.7133090287801 68.780869568884,27.709246710523 68.7762125572552,27.7027570273818 68.7719319475636,27.6940902863359 68.7681919803779,27.6835798362975 68.7651360767189,27.6716292142635 68.7628813726525,27.6586966949407 68.761514263451,27.6452778287229 68.761087121655,27.6318866164015 68.7616163093918,27.619036011021 68.7630815575735,27.607218457736 68.7654267346265,27.5968871814099 68.7685619767492,27.5884389089881 68.7723671018819,27.5821986693945 68.7766961821495,27.5784072479311 68.7813831060347,27.5772117853669 68.7862479234749,27.5786599051373 68.7911037359073,27.5826976273211 68.7957638703709,27.5891711884241 68.8000490632787,27.5978327359087 68.8037943763111,27.6083497115522 68.8068555745911,27.6203175849101 68.809114715994,27.6332754549237 68.810484729701,27.646723911779 68.8109128009853,27.6601444497611 68.8103824262125,27.6730196512434 68.8089140551869,27.6848533265315 68.8065642949088,27.6951897963408 68.8034237069361,27.7036315430821 68.7996132871865,27.7098545313235 68.7952797695917,27.7136206021312 68.7905899412097,27.7147864741361 68.7857241942846)))', 'FIVSK', 'Veskoniemi', 'Y'),('SRID=4326;MULTIPOLYGON(((21.3015847974793 60.5098953056174,21.3005677668448 60.5050315304106,21.2976467421939 60.5003590045278,21.2929346887198 60.4960571708396,21.286613159177 60.4922911691171,21.2789252455458 60.4892055168001,21.2701662132384 60.4869185868855,21.2606721813002 60.4855180903476,21.2508072794376 60.4850577319376,21.2409497641878 60.4855551638714,21.2314776111899 60.4869913133965,21.2227541178025 60.4893111091808,21.2151140499804 60.4924255796044,21.208850849385 60.4962152450444,21.2042053814051 60.5005346778536,21.2013566526568 60.5052180595743,21.20041485856 60.51008552661,21.2014170392035 60.5149500645523,21.2043255270003 60.5196246889328,21.2090292653778 60.5239296374047,21.2153479674815 60.5276992959999,21.2230389717876 60.5307885905531,21.231806542361 60.5330785935697,21.2413132602846 60.5344811262228,21.2511930645237 60.5349421737804,21.2610654297848 60.5344439791096,21.270550119645 60.5330057310833,21.2792819281201 60.530682820512,21.2869248233606 60.5275646932144,21.2931849332607 60.5237713855396,21.2978218629664 60.5194488796318,21.3006579057382 60.5147634617993,21.3015847974793 60.5098953056174)))', 'FIVSN', 'Vuosnainen', 'Y'),('SRID=4326;MULTIPOLYGON(((25.1771235559781 65.5527336586945,25.1763082531155 65.5478597047525,25.1732148225304 65.5431452711676,25.1679632464391 65.5387714003089,25.160756114233 65.5349059694237,25.1518707198415 65.5316972709194,25.1416483561599 65.529268352186,25.1304812252611 65.5277123266114,25.11879746336 65.5270888299787,25.1070448412367 65.5274217531784,25.0956737432614 65.5286983346704,25.0851200509182 65.5308696459748,25.0757885596569 65.5338524522782,25.0680375410011 65.537532379624,25.0621650252341 65.5417682717299,25.0583973239868 65.5463975748302,25.0568802373119 65.5512425496332,25.0576732975347 65.5561170769835,25.0607472942181 65.5608337994807,25.0659852037761 65.5652113262909,25.0731865174258 65.5690812235826,25.0820748270692 65.5722945189792,25.092308396 65.5747274652552,25.1034933162529 65.5762863358644,25.1151987433424 65.5769110618919,25.126973608151 65.5765775652822,25.1383641400514 65.5752986948722,25.1489314989155 65.5731237276102,25.1582688086923 65.5701364548971,25.1660169120509 65.5664519306607,25.1718782225452 65.5622120110178,25.1756281344507 65.5575798628891,25.1771235559781 65.5527336586945)))', 'FIVTK', 'Vatunginnokka', 'Y'),('SRID=4326;MULTIPOLYGON(((21.6080011763834 63.0847747545509,21.6068430153847 63.0799153599419,21.6036167744565 63.0752517123989,21.5984472919525 63.0709628976578,21.5915337893813 63.0672135334315,21.5831421304823 63.0641474735507,21.5735945769876 63.0618823150362,21.5632574387563 63.0605049138364,21.5525270875584 63.0600680762658,21.5418148581799 63.0605885488692,21.5315313968795 63.0620463810598,21.5220710351134 63.0643856840918,21.5137967656493 63.0675167583642,21.5070263787303 63.0713195103973,21.5020202780223 63.0756480327254,21.4989714401599 63.0803361760397,21.4979979086622 63.0852039047627,21.499138124227 63.0900641962975,21.5023492910378 63.0947302217978,21.5075088656362 63.099022533506,21.5144191349053 63.1027759813286,21.5228147273532 63.1058460897449,21.5323727824069 63.1081146453806,21.5427253914426 63.1094942751057,21.5534738273976 63.1099318333317,21.5642040022392 63.1094104638005,21.5745025376681 63.1079502536481,21.5839728073264 63.1056074536447,21.5922503100625 63.1024722957742,21.5990167634035 63.0986654952077,21.6040123625413 63.0943335757629,21.6070457296127 63.0896432039276,21.6080011763834 63.0847747545509)))', 'FIWAS', 'Vasklot (Vaskiluoto)', 'Y'),('SRID=4326;MULTIPOLYGON(((178.468254126994 -18.1418014636045,178.467790534231 -18.1467022124487,178.466335761988 -18.1514223216128,178.463945642984 -18.1557803837292,178.460711975636 -18.1596088920985,178.456759004321 -18.1627606822622,178.452238648368 -18.165114593097,178.447324662547 -18.1665801290153,178.442205953678 -18.1671009431788,178.437079311114 -18.1666570070208,178.432141831994 -18.1652653820659,178.427583334218 -18.162979564061,178.423579050665 -18.1598874246541,178.420282887117 -18.1561078301085,178.417821504192 -18.1517860676752,178.416289451266 -18.1470882562534,178.415745539139 -18.1421949570562,178.416210589916 -18.137294230654,178.417666649033 -18.1325744078269,178.420057687853 -18.1282168523503,178.423291767929 -18.1243889937925,178.427244582047 -18.121237897684,178.431764234811 -18.1188846194844,178.436677078505 -18.1174195584684,178.441794380188 -18.1168989891746,178.446919564737 -18.1173429028906,178.451855756983 -18.1187342415084,178.456413334942 -18.1210195528732,178.460417205768 -18.1241110424685,178.463713526514 -18.127889942959,178.466175612628 -18.1322110727573,178.467708807681 -18.136908409277,178.468254126994 -18.1418014636045)))', 'FJSUV', 'Suva', 'Y'),('SRID=4326;MULTIPOLYGON(((-57.8108135306799 -51.6922842329842,-57.8116728693155 -51.6971514141131,-57.8140440433622 -51.7018208492212,-57.8178363305443 -51.7061130058152,-57.8229042565863 -51.7098628096845,-57.8290531457732 -51.7129260082522,-57.8360465896213 -51.7151847369392,-57.8436155486145 -51.7165520711444,-57.851468734713 -51.7169753854719,-57.8593038690169 -51.716438388236,-57.8668193722324 -51.7149617512018,-57.8737260273526 -51.7126023097953,-57.87975815517 -51.7094508653479,-57.8846838638215 -51.7056286759148,-57.8883139724422 -51.7012827735458,-57.8905092641726 -51.6965802914567,-57.8911857924474 -51.691702022531,-57.8903180433627 -51.6868354595368,-57.8879398423275 -51.6821675863344,-57.8841429814125 -51.6778776976314,-57.8790736312031 -51.674130522373,-57.8729266842326 -51.6710699129539,-57.8659382533013 -51.6688133397787,-57.8583766147547 -51.6674473992911,-57.8505319421603 -51.6670245047058,-57.8427052183126 -51.6675608838062,-57.8351967420881 -51.6690359589332,-57.8282946606975 -51.6713931324471,-57.8222639570401 -51.6745419482831,-57.8173363061652 -51.6783615485683,-57.8137011846251 -51.682705295427,-57.8114985724515 -51.6874063838001,-57.8108135306799 -51.6922842329842)))', 'FKPSY', 'Port Stanley', 'Y'),('SRID=4326;MULTIPOLYGON(((-57.7598351585372 -51.6672667010571,-57.7606885334711 -51.6721342993663,-57.7630531390028 -51.6768048095204,-57.76683850522 -51.6810986580728,-57.7718994241987 -51.684850706091,-57.7780414902693 -51.6879166149499,-57.7850285581938 -51.6901784159725,-57.7925918346262 -51.691549066402,-57.8004402509873 -51.6919758131829,-57.8082717125285 -51.6914422324057,-57.8157847815908 -51.6899688641761,-57.8226903347679 -51.6876124179417,-57.8287227348127 -51.6844635796319,-57.8336500786292 -51.6806435069573,-57.8372831214759 -51.6762991505659,-57.8394825325865 -51.6715975843503,-57.8401642060103 -51.6667195662173,-57.8393024292693 -51.6618525796137,-57.8369307977697 -51.6571836250448,-57.8331408510633 -51.652892039134,-57.8280784944126 -51.6491426163473,-57.8219383523613 -51.6460792956422,-57.8149562772346 -51.6438196516728,-57.8074003022708 -51.6424503988036,-57.7995603844658 -51.6420240773239,-57.7917373247387 -51.6425570463948,-57.7842312816468 -51.6440288590376,-57.7773303089557 -51.646383042629,-57.7712993465756 -51.6495292557067,-57.7663700787327 -51.6533467402281,-57.7627320430856 -51.657688939568,-57.7605253305098 -51.6623891082247,-57.7598351585372 -51.6672667010571)))', 'FKPWI', 'PORT WILLIAM', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.76057429160694 62.2431480110706,-6.76196126416512 62.2383035028771,-6.76534691599108 62.2336782266504,-6.77060036948667 62.2294497865393,-6.77751925933194 62.2257804795873,-6.78583758160695 62.2228110891258,-6.79523593329594 62.2206555089184,-6.80535374619106 62.2193963994335,-6.81580305128549 62.2190820381519,-6.82618325867946 62.2197244808832,-6.83609640462829 62.2212991022457,-6.84516230209107 62.2237455323973,-6.85303303418267 62.2269699554732,-6.85940625127318 62.2308486846559,-6.86403677187234 62.235232881063,-6.86674604434428 62.2399542403089,-6.86742909996426 62.2448314332589,-6.86605871634386 62.2496770575896,-6.86268661161077 62.2543048355934,-6.85744160094258 62.2585367822495,-6.85052476431213 62.2622100666752,-6.84220179305006 62.2651833000053,-6.83279279793299 62.2673420034338,-6.82265996753271 62.2686030410092,-6.81219355713824 62.2689178417156,-6.80179676078218 62.2682742828446,-6.79187006773356 62.2666971597008,-6.78279572745795 62.2642472230006,-6.77492294217904 62.2610188224498,-6.76855437409992 62.2571362504007,-6.76393449693574 62.2527489307769,-6.76124024195439 62.2480256434443,-6.76057429160694 62.2431480110706)))', 'FOFUG', 'FUGLEFJORD', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.46848989712018 62.2970351599028,-6.46992642196313 62.2921938903896,-6.473362937371 62.2875760628791,-6.47866661424214 62.2833589928934,-6.48563316407825 62.2797045388006,-6.49399476096342 62.2767529123276,-6.50343034963416 62.2746173247945,-6.51357794124338 62.273379669579,-6.52404843077802 62.2730874017181,-6.5344404193527 62.2737517305218,-6.54435549157083 62.2753471921975,-6.55341338326332 62.2778126183983,-6.56126647837299 62.2810534649851,-6.56761309552649 62.2849454148202,-6.57220906468099 62.2893391207519,-6.57487715160489 62.2940659117393,-6.5755139618879 62.2989442478795,-6.57409404515138 62.3037866803756,-6.57067102192425 62.3084070515132,-6.56537566724733 62.3126276585272,-6.55841100263701 62.3162861045697,-6.55004456699462 62.3192415701758,-6.54059815223534 62.3213802595519,-6.53043539537869 62.3226198070916,-6.51994771021248 62.322912469668,-6.50953911350715 62.3222469778792,-6.49961054910187 62.320648972572,-6.49054433523033 62.318180009339,-6.48268935492272 62.3149351708016,-6.47634757655065 62.3110393818357,-6.47176243349111 62.3066425740654,-6.46910951179947 62.3019138907575,-6.46848989712018 62.2970351599028)))', 'FOHVN', 'Hvannasund', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.52561864144762 62.2230577577487,-6.52704223254511 62.218215789496,-6.53046137462421 62.2135964212594,-6.53574390926538 62.2093770286123,-6.54268636136032 62.2057195600512,-6.55102182969837 62.2027643439124,-6.56043025970948 62.2006247300098,-6.57055070129158 62.1993827666938,-6.58099508706095 62.1990860744615,-6.59136301563944 62.1997460322269,-6.60125699153772 62.2013373434914,-6.61029755825613 62.2037989985667,-6.61813776459437 62.207036597367,-6.62447642581655 62.2109259467987,-6.62906968101315 62.2153177990945,-6.63174040518935 62.2200435542021,-6.63238510832809 62.2249217121215,-6.63097804240205 62.2297648313254,-6.62757233882425 62.2343867283927,-6.62229811012562 62.2386096427594,-6.61535756690678 62.24227108978,-6.60701731976333 62.2452301354338,-6.59759815078993 62.2473728468978,-6.58746264499688 62.2486167042447,-6.57700116316072 62.2489137986277,-6.56661670938676 62.2482526899088,-6.55670929498073 62.2466588498093,-6.54766042233468 62.2441936730106,-6.53981830714788 62.2409520957499,-6.53348442475513 62.2370589168054,-6.52890190852727 62.2326639669527,-6.52624624854711 62.2279363178178,-6.52561864144762 62.2230577577487)))', 'FOKVI', 'KLAKSVIK', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.65263662190509 62.2101067275139,-6.65403923962074 62.2052633555752,-6.65743753440772 62.2006407568648,-6.66270014701965 62.1964164320704,-6.66962436458353 62.1927525198893,-6.67794398240553 62.1897895965361,-6.68733955058941 62.1876413078159,-6.69745060930212 62.1863900348387,-6.70788944879006 62.1860837549341,-6.71825587936928 62.1867342143501,-6.72815246339251 62.1883164804772,-6.73719964608594 62.1907698902572,-6.74505022533992 62.1940003598025,-6.75140262201094 62.1978839697356,-6.75601245180086 62.2022716930435,-6.75870195678191 62.2069950889548,-6.75936692817108 62.2118727490642,-6.75798084051014 62.2167172520913,-6.75459601876653 62.2213423625667,-6.74934177103935 62.2255701974104,-6.74241953672053 62.2292380835525,-6.7340952185669 62.2322048397792,-6.72468898205235 62.2343562367647,-6.7145629111651 62.2356094201928,-6.70410700112943 62.2359161218843,-6.69372404047139 62.2352645313776,-6.68381398339813 62.2336797534812,-6.67475843583464 62.2312228336482,-6.66690587336301 62.2279883901408,-6.66055817704773 62.2241009473364,-6.65595901559516 62.2197101157675,-6.65328452277397 62.214984809409,-6.65263662190509 62.2101067275139)))', 'FOLVK', 'Leirvik', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.68765822843815 62.197120300118,-6.68905459933341 62.1922765372698,-6.69244606089609 62.1876530412702,-6.69770151647789 62.1834273476122,-6.70461852766052 62.1797616478593,-6.71293116560421 62.1767965870819,-6.72232024723013 62.1746458932602,-6.73242556044738 62.1733920398353,-6.74285961488105 62.1730831030903,-6.75322240364664 62.1737309310788,-6.76311662845709 62.1753106919808,-6.77216282519396 62.1777618186898,-6.78001383021582 62.1809903147934,-6.78636804909458 62.184872336591,-6.79098102891917 62.189258918064,-6.79367489224281 62.1939816624161,-6.79434526421733 62.1988591864918,-6.79296541293801 62.2037040745343,-6.78958742431086 62.2083300766135,-6.78434034385334 62.2125592757095,-6.77742533494381 62.2162289465883,-6.76910802158821 62.2191978396118,-6.75970829864918 62.2213516433747,-6.74958799825966 62.2226074109745,-6.73913689245884 62.2229167747116,-6.72875758405322 62.2222678215265,-6.71884988630051 62.2206855545407,-6.70979531445396 62.2182309223899,-6.70194230718635 62.2149984551594,-6.69559276374361 62.211112601118,-6.69099042523884 62.206722909708,-6.68831154907286 62.2019982511847,-6.68765822843815 62.197120300118)))', 'FONDG', 'Nordregote', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.66380149662772 62.1161117487019,-6.66519766595125 62.111268174348,-6.66858343302999 62.1066451868651,-6.67382792520363 62.1024203025131,-6.68072912896672 62.0987556823248,-6.68902172444441 62.0957919306287,-6.69838729794863 62.093642725904,-6.70846653776599 62.0923904851121,-6.7188729507453 62.0920832231349,-6.72920758647193 62.0927327239762,-6.73907422265087 62.0943140915322,-6.74809445022483 62.0967666966484,-6.75592209991937 62.0999964855304,-6.76225647331598 62.1038795640531,-6.76685388095605 62.1082669247817,-6.76953704683046 62.1129901402253,-6.77020201194691 62.1178678085499,-6.76882225797221 62.1227125081412,-6.76544987301202 62.1273379963063,-6.76021369242183 62.1315663760801,-6.75331446434073 62.135234954284,-6.74501720785802 62.138202524018,-6.73564104625238 62.1403548255406,-6.72554690317823 62.1416089704302,-6.71512354067563 62.1419166539224,-6.70477248957638 62.1412660278413,-6.69489247127228 62.1396821595989,-6.68586393212933 62.1372260590573,-6.67803430677986 62.1339923121586,-6.67170459441206 62.1301054156003,-6.66711777488001 62.125714958078,-6.66444951224793 62.1209898385405,-6.66380149662772 62.1161117487019)))', 'FORVK', 'RUNAVIK', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.69680025818862 62.1161244331985,-6.69819116965873 62.1112805017605,-6.70157193110264 62.1066566838,-6.70681186152385 62.1024305277231,-6.71370912173912 62.0987642435783,-6.72199854230481 62.0957984996733,-6.73136183046168 62.0936470509667,-6.74143976143954 62.0923924004722,-6.75184589183705 62.0920826554184,-6.76218128196721 62.0927296949397,-6.77204968084809 62.0943087172358,-6.78107261237725 62.0967591830473,-6.78890380434834 62.0999871206478,-6.79524242333132 62.1038687070202,-6.79984461779553 62.1082549921515,-6.80253292866294 62.1129775900674,-6.80320319977567 62.117855122922,-6.80182870903045 62.1227001746004,-6.79846134196762 62.1273264891637,-6.79322974041202 62.1315561381215,-6.78633447554948 62.1352263796667,-6.77804041304342 62.1381959430135,-6.76866655234124 62.1403504917275,-6.75857372778589 62.1416070508458,-6.74815065019397 62.1419172225685,-6.7377988393151 62.1412690628046,-6.72791704604647 62.1396875439015,-6.71888578566611 62.1372335852053,-6.71105259836932 62.1340016902034,-6.70471862135054 62.1301162843915,-6.7001269994383 62.125726899257,-6.69745358213398 62.121002392721,-6.69680025818862 62.1161244331985)))', 'FOSTR', 'STRENDUR', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-6.71397419795603 62.0161317924443,-6.71535748104435 62.0112875895743,-6.71872423263113 62.0066632266122,-6.72394431543179 62.0024362736129,-6.7308166560167 61.9987689721524,-6.73907704285491 61.995802030596,-6.74840829641002 61.9936492508044,-6.75845241805038 61.9923931876029,-6.7688242570588 61.9920820028495,-6.77912618430044 61.9927276309758,-6.78896322794854 61.9943053240257,-6.7979581115334 61.9967545931218,-6.80576563766725 61.9999815116268,-6.8120858820843 62.0038622947246,-6.81667570187382 62.0082480223922,-6.81935811842602 62.0129703294158,-6.8200292086914 62.017847848784,-6.81866222635626 62.0226931649266,-6.81530877525586 62.0273200121355,-6.81009696779774 62.0315504421527,-6.80322661756255 62.0352216840586,-6.79496163306279 62.0381924295909,-6.78561989378203 62.0403482977677,-6.77556099470718 62.041606263584,-6.76517233628896 62.0419178755253,-6.75485410827064 62.0412711341243,-6.74500376412956 62.0396909568234,-6.73600060521635 62.0372382107057,-6.72819108875941 62.0340073517543,-6.72187544202742 62.0301227646828,-6.71729610797014 62.0257339486342,-6.71462846883825 62.0210097389995,-6.71397419795603 62.0161317924443)))', 'FOTHO', 'Thorshavn', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.67983066293377 62.099118040777,-6.68122344031057 62.0942742780871,-6.68460482764097 62.0896508676384,-6.68984412120562 62.0854253421572,-6.69673950740278 62.0817598875257,-6.70502588952387 62.0787951403171,-6.71438509179465 62.0766448173852,-6.72445804615147 62.0753913787033,-6.73485849964661 62.075082885143,-6.74518772959541 62.0757311679159,-6.75504972040337 62.0773113775479,-6.76406624089859 62.0797629291712,-6.77189126413724 62.0829918092658,-6.77822419302719 62.0868741584526,-6.78282139447888 62.0912609972066,-6.78550560159908 62.0959839180555,-6.786172816727 62.1008615305298,-6.78479643635809 62.1057064152827,-6.78142841999939 62.1103323226861,-6.77619743576243 62.1145613398756,-6.76930403222601 62.118230749389,-6.76101300425075 62.1211993125584,-6.75164323489491 62.123352731584,-6.74155540096362 62.1246080751396,-6.73113802068806 62.1249169923528,-6.72079239370759 62.1242675875146,-6.71091703192132 62.1226848809238,-6.70189220211282 62.1202298375885,-6.6940651962404 62.116997002611,-6.68773691322838 62.1131108374656,-6.68315027886836 62.108720902622,-6.68048095130824 62.1039960769033,-6.67983066293377 62.099118040777)))', 'FOTOF', 'TOFTIR', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.74777120345863 61.54914829354,-6.74912684174402 61.544303323194,-6.75243642320299 61.5396775821992,-6.75757203264497 61.5354486964766,-6.76433585794811 61.5317789858131,-6.77246786050309 61.5288092555244,-6.78165578454557 61.5266534187728,-6.79154711837226 61.5253941511318,-6.8017625537051 61.525079739519,-6.81191043925394 61.5257222426408,-6.82160169166882 61.527297031215,-6.83046461203832 61.529743725091,-6.83815905908512 61.5329684926714,-6.84438945121178 61.536847627435,-6.84891610830105 61.5412322685627,-6.85156450011294 61.5459540893076,-6.85223204026821 61.5508317394118,-6.8508921516374 61.5556777979969,-6.8475954282687 61.5603059722354,-6.84246782782635 61.5645382657678,-6.83570594313175 61.56821184,-6.82756951734874 61.5711853014229,-6.81837147963329 61.5733441688427,-6.80846588140234 61.574605305293,-6.79823420256307 61.5749201393464,-6.78807056733762 61.5742765479834,-6.77836645682624 61.5726993261616,-6.76949552747032 61.5702492244722,-6.76179913983991 61.5670205933222,-6.75557317096329 61.5631377274264,-6.75105662755324 61.5587500556346,-6.74842250013239 61.5540263660838,-6.74777120345863 61.54914829354)))', 'FOTVO', 'TVOEROYRI', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.76490959280337 61.4661554748277,-6.76625869004119 61.4613102493132,-6.76955667145858 61.4566839860611,-6.77467607175479 61.4524543316469,-6.78141970399982 61.448783636133,-6.78952830570843 61.4458127434564,-6.79869051833147 61.4436556121445,-6.8085548143082 61.4423949680312,-6.8187429192079 61.4420791511809,-6.82886422635167 61.4427202742527,-6.83853066848233 61.4442937606577,-6.8473714960187 61.4467392797057,-6.85504741439381 61.4499630442141,-6.86126355391335 61.4538413854353,-6.86578078422204 61.4582254723484,-6.86842494126619 61.4629469989906,-6.86909360661137 61.4678246261531,-6.86776016558726 61.4726709338862,-6.86447496979084 61.4772996201284,-6.85936353802929 61.4815326694268,-6.85262184409263 61.4852072148793,-6.8445088553709 61.488181826431,-6.83533659829146 61.490341979389,-6.82545812959119 61.4916044879003,-6.8152538813723 61.4919207280621,-6.80511691799302 61.4912785227696,-6.79543769023521 61.4897026133705,-6.78658889417722 61.4872536994348,-6.77891103751836 61.4840260849868,-6.77269928503374 61.4801440248926,-6.76819209918762 61.4757569163373,-6.76556211485399 61.4710335253006,-6.76490959280337 61.4661554748277)))', 'FOVAG', 'MIDVAGUR', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.11872630798104 62.1502864337656,-7.12005152996994 62.1454381066315,-7.12337199838526 62.1408038410879,-7.12855933842949 62.1365615898181,-7.13541371818007 62.1328741829838,-7.14367160147062 62.1298831007727,-7.15301589428536 62.1277030705686,-7.16308809199953 62.1264176911866,-7.17350196657303 62.1260762473115,-7.18385828137021 62.1266918324628,-7.19375998746219 62.1282408500596,-7.20282733953072 62.13066391112,-7.21071237203017 62.1338680954717,-7.21711219706277 62.1377304927617,-7.22178062423877 62.1421028917023,-7.22453765909476 62.1468174425212,-7.22527650948396 62.1516930800571,-7.22396781723603 62.1565424648227,-7.22066093313116 62.1611791779286,-7.21548216388035 62.1654248940734,-7.20863003657758 62.1691162556002,-7.20036774446859 62.1721111802557,-7.19101305276656 62.1742943556781,-7.18092604923094 62.1755817042205,-7.17049521595692 62.1759236414104,-7.16012237139442 62.1753069986255,-7.15020708098453 62.1737555334621,-7.14113115813638 62.171329007523,-7.1332438732161 62.1681208684776,-7.12684845702627 62.1642546287455,-7.12219042874502 62.1598790845908,-7.11944819969669 62.1551625646152,-7.11872630798104 62.1502864337656)))', 'FOVES', 'VESTMANHAVN', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.2115189200414 49.6694119030073,-1.21243691053955 49.6645509918065,-1.2147979340718 49.6598996804501,-1.21851091048898 49.6556366285604,-1.22343293323117 49.6519255396444,-1.22937479433449 49.6489088888142,-1.23610826420112 49.6467024688309,-1.24337484510516 49.6453909608322,-1.25089566468444 49.6450246968383,-1.25838213536328 49.6456177359158,-1.26554697878794 49.6471473263612,-1.27211520158462 49.6495547741969,-1.27783461037408 49.6527476854907,-1.28248546997097 49.6566034983315,-1.28588893870043 49.6609741715571,-1.28791395806164 49.6656918532733,-1.28848232944824 49.6705753144581,-1.28757177675597 49.6754369029805,-1.2852168684686 49.6800897524033,-1.28150775374508 49.6843549689479,-1.27658675123681 49.6880685195585,-1.27064291358499 49.6910875543524,-1.26390477129782 49.6932959176314,-1.25663153343449 49.6946086324084,-1.24910308581956 49.694975182942,-1.24160917732929 49.6943814665422,-1.234438218658 49.692850338029,-1.22786613417073 49.6904407255371,-1.22214570515344 49.6872453525483,-1.2174968221106 49.6833871557445,-1.21409802580344 49.6790145392246,-1.21207966339843 49.6742956507313,-1.2115189200414 49.6694119030073)))', 'FR2GX', 'Barfleur', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.17124327206206 45.8414331470111,-1.17209002294312 45.8365686576859,-1.17427793985572 45.8319130631949,-1.17772266067567 45.8276451980833,-1.182291629584 45.8239289658834,-1.18780921796643 45.8209070568563,-1.19406348058545 45.818695483108,-1.20081428637639 45.8173791382626,-1.20780251357298 45.8170085496119,-1.21475996081282 45.8175979453497,-1.2214196004424 45.8191247098097,-1.22752578810465 45.8215302473373,-1.23284404416184 45.82472222239,-1.23717003756085 45.8285780915495,-1.24033743101401 45.832949794197,-1.24222428711825 45.8376694244092,-1.24275778715206 45.8425556688435,-1.24191707625179 45.8474207654378,-1.23973411853222 45.8520777168975,-1.23629252112565 45.8563474820916,-1.23172436433919 45.8600658682176,-1.22620515314802 45.8630898570987,-1.21994707984674 45.8653031199898,-1.21319085564159 45.8666205061101,-1.20619642720373 45.8669913296427,-1.19923293997927 45.8664013266353,-1.19256834115544 45.8648732052054,-1.18645903008195 45.8624657675943,-1.18113996190712 45.8592716386153,-1.17681559132069 45.8554136896024,-1.173652008551 45.8510402978131,-1.17177057085884 45.846319626327,-1.17124327206206 45.8414331470111)))', 'FR5TB', 'Saint-Trojan-les-Bains', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.541801122075085 49.3291934087847,-0.54277762859413 49.3243385192152,-0.545184059829234 49.3197013873725,-0.548927603574818 49.3154601255599,-0.553864191783276 49.3117775992044,-0.559804068201438 49.30879518689,-0.566519087472875 49.30662736837,-0.573751464198413 49.3053573453323,-0.581223638557901 49.3050338601546,-0.58864888558345 49.3056693324585,-0.595742269048601 49.3072393836083,-0.602231528838079 49.3096837671596,-0.607867492884136 49.3129086704712,-0.612433621262535 49.3167903010919,-0.615754320462003 49.3211796229452,-0.617701709443671 49.3259080634991,-0.618200574763888 49.3307939756693,-0.617231318184755 49.3356496086045,-0.614830774822914 49.3402883209735,-0.611090860508926 49.3445317598525,-0.606155090741643 49.3482167283761,-0.600213097172694 49.3512014761624,-0.59349334747439 49.3533711679036,-0.586254347210203 49.3546423167306,-0.578774664574697 49.3549660088741,-0.571342167604011 49.3543297932038,-0.564242896264164 49.3527581615264,-0.55775000704629 49.3503116009075,-0.552113224565015 49.3470842554275,-0.547549213342629 49.3432002893355,-0.544233244571462 49.3388090942624,-0.542292479125243 49.3340795279204,-0.541801122075085 49.3291934087847)))', 'FRAA2', 'Asnelles', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.964969548158461 44.6793809288154,-0.965813304552424 44.6745170356417,-0.967970449326028 44.6698640126154,-0.971357821193244 44.665600597394,-0.975845081028546 44.6618905260807,-0.98125974563866 44.6588762568551,-0.987393822245093 44.6566735132963,-0.994011787826302 44.6553668543743,-1.00085960877779 44.6550064387485,-1.00767445903688 44.6556061056225,-1.01419476992118 44.6571428446342,-1.02017023311253 44.6595576748923,-1.02537137979764 44.6627579001721,-1.02959837392446 44.6666206553308,-1.03268868547542 44.6709976100555,-1.03452334985866 44.6757206518949,-1.03503157085637 44.6806083327953,-1.03419348552547 44.6854728335275,-1.03204097808678 44.6901271796708,-1.02865650383435 44.694392432135,-1.02416996075769 44.6981045751139,-1.01875372292925 44.7011208350354,-1.012616022635 44.7033251852551,-1.00599293456989 44.704632822203,-0.999139272190563 44.7049934383241,-0.992318750864975 44.704393163891,-0.985793802644734 44.7028551017614,-0.979815441840569 44.7004384342595,-0.974613578400623 44.6972361373139,-0.970388157495566 44.6933713914598,-0.96730146963346 44.6889928300753,-0.965471927732163 44.6842688102108,-0.964969548158461 44.6793809288154)))', 'FRAA4', 'Audenge', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99217059135095 48.8000036379806,-2.99289816112646 48.7951282404999,-2.99505112451999 48.7904402651339,-2.99854639773388 48.7861197922556,-3.00324942792128 48.7823327417042,-3.00897939907663 48.7792245138637,-3.01551619293274 48.7769144223642,-3.02260883553859 48.7754911292607,-3.02998510683683 48.7750092550311,-3.03736194930631 48.7754872910602,-3.04445628365308 48.7769068930888,-3.05099582531124 48.7792135821675,-3.05672949548805 48.7823188267821,-3.06143703465593 48.7861034278714,-3.06493745442351 48.7904220792568,-3.06709600492182 48.7951089313099,-3.06782938815094 48.7999839471433,-3.06710901166134 48.8048598096978,-3.06496214956297 48.8095491160698,-3.06147095678708 48.813871583253,-3.05676936497035 48.8176609877937,-3.05103797113828 48.8207715709344,-3.04449711014653 48.8230836604718,-3.03739837513017 48.8245082901675,-3.0300149136613 48.8249906360592,-3.02263087790053 48.8245121349559,-3.01553044225636 48.82309120192,-3.00898682016241 48.8207825185351,-3.0032517116203 48.8176749199307,-2.99854559513452 48.8138879635418,-2.99504924250482 48.8095673141197,-2.99289678441481 48.8048791254757,-2.99217059135095 48.8000036379806)))', 'FRAC5', 'L''Arcouëst / Cornec', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.06492941014059 44.7424109482697,-1.06576591244692 44.7375462373098,-1.0679176259995 44.7328912753289,-1.07130159660172 44.7286248748125,-1.07578761421066 44.7249108866611,-1.08120324199537 44.7218919193982,-1.0873404492466 44.719683876743,-1.09396359231552 44.7183715207406,-1.10081843895755 44.7180052283422,-1.10764189404084 44.7185990639691,-1.11417205958447 44.7201302408427,-1.12015825018772 44.7225399915056,-1.12537058641469 44.7257358148639,-1.12960880358366 44.7295950151148,-1.13270994130271 44.7339693989605,-1.13455461925956 44.7386909533132,-1.13507165609612 44.7435782879271,-1.13424084915863 44.748443597505,-1.13209380158169 44.753099877052,-1.12871275720964 44.7573681134954,-1.12422748059297 44.7610841764318,-1.11881029575242 44.7641051414704,-1.11266947044415 44.7663148007487,-1.10604119913314 44.7676281461052,-1.09918049479275 44.7679946499683,-1.09235134433716 44.7674002157229,-1.08581651281682 44.7658677212823,-1.07982739598536 44.7634561346914,-1.07461431876996 44.7602582365479,-1.07037765866029 44.7563970385218,-1.06728013899934 44.752021038054,-1.06544058928263 44.747298494348,-1.06492941014059 44.7424109482697)))', 'FRADB', 'Andernos-les-Bains', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.79602087281774 47.6329402118223,-2.7967503227971 47.6280650644001,-2.7988724368981 47.6233797574257,-2.80230533978614 47.6190642707719,-2.80691689207992 47.6152843365593,-2.81252980097583 47.6121850868545,-2.81892844457936 47.6098854958976,-2.82586714604051 47.6084738274678,-2.83307958138398 47.6080042593883,-2.84028896457543 47.6084948124031,-2.84721862594361 47.6099266613665,-2.85360258627159 47.6122448546563,-2.8591957290158 47.615360414772,-2.86378318720525 47.6191537410807,-2.86718858927634 47.6234791864619,-2.86928084871348 47.6281706349343,-2.86997923481782 47.633047868883,-2.86925652472746 47.6379234837161,-2.86714010804297 47.6426100859063,-2.86371099271936 47.646927498396,-2.85910074151513 47.6507096958739,-2.85348644915375 47.6538112017118,-2.84708394814879 47.6561126981937,-2.84013950260421 47.6575256314414,-2.83292031098039 47.6579956310741,-2.82570418789515 47.6575046106478,-2.81876882910853 47.6560714664675,-2.81238108121816 47.6537513473406,-2.80678663738923 47.6506335239592,-2.80220056267003 47.6468379415179,-2.79879901800231 47.6425105906128,-2.79671250264656 47.6378178773238,-2.79602087281774 47.6329402118223)))', 'FRADN', 'Arradon', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.48100085801369 46.2075272479777,-1.48182691777352 46.2026604944131,-1.48400425630151 46.1979991108154,-1.48744890997544 46.1937221547664,-1.4920283184955 46.1899938787604,-1.49756644702818 46.1869574345974,-1.50385055875193 46.1847293909589,-1.51063937641134 46.1833952719976,-1.51767232135318 46.1830062856209,-1.52467948002796 46.1835773649388,-1.53139192213803 46.1850865967316,-1.53755198216767 46.1874760585461,-1.54292311726131 46.1906540330123,-1.54729896930277 46.1944985160405,-1.55051128722634 46.1988618865735,-1.55243640633514 46.2035765612879,-1.55300003360672 46.2084614197155,-1.55218015011277 46.2133287551614,-1.5500079118298 46.2179914857413,-1.54656650591424 46.2222703488079,-1.54198799822367 46.2260008015409,-1.53644828644754 46.2290393607535,-1.53016034844099 46.2312691357669,-1.52336604397601 46.2326043388419,-1.5163267870227 46.2329935970247,-1.50931345207803 46.232421935825,-1.50259590972161 46.2309113570489,-1.49643260193572 46.2285199882158,-1.49106056601694 46.2253398370223,-1.48668629722295 46.2214932389451,-1.48347780558351 46.2171281370382,-1.48155817327815 46.2124123782111,-1.48100085801369 46.2075272479777)))', 'FRAER', 'Ars-en-Ré', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50125777605003 43.3168549977832,3.50055946938359 43.311977929286,3.49857181078289 43.307294020482,3.49537144081923 43.3029832063959,3.49108151618856 43.2992110539928,3.48586695134667 43.2961224140288,3.47992807264081 43.2938358713909,3.47349293004116 43.2924392046326,3.46680856036654 43.2919860266639,3.46013153363811 43.2924937335764,3.45371813981536 43.2939428390477,3.44781458597246 43.2962777194597,3.44264757362089 43.2994087416628,3.43841561238089 43.3032156931006,3.43528139990506 43.307552384663,3.43336555957378 43.3122522519372,3.43274197810163 43.3171347421419,3.43343492629161 43.3220122434386,3.43541807962277 43.3266972917428,3.43861548341 43.3310097785513,3.44290443253112 43.3347838822424,3.44812016104354 43.3378744549942,3.45406216544243 43.3401626176702,3.46050191989943 43.3415603450805,3.46719168548195 43.3420138628404,3.47387407069005 43.3415057231279,3.48029196978358 43.3400554781556,3.48619848980147 43.3377189250203,3.49136647765931 43.3345859515289,3.49559727522557 43.3307770673037,3.49872836200713 43.3264387557041,3.50063959048249 43.3217378277788,3.50125777605003 43.3168549977832)))', 'FRAGD', 'Agde', 'Y'),('SRID=4326;MULTIPOLYGON(((5.5671688589477 43.2162378671998,5.5663077521273 43.2113772875184,5.56416702073902 43.206732936401,5.56082917220703 43.2024832193342,5.55642262497721 43.1987913495421,5.55111675121505 43.1957990911726,5.5451153632833 43.1936213284635,5.53864889499123 43.1923416669974,5.53196557599656 43.1920092336339,5.52532193398628 43.1926367961499,5.51897298333608 43.1942002737092,5.5131624701881 43.196639656802,5.50811354198096 43.1998613021323,5.50402019444871 43.2037415159622,5.50103982136059 43.2081312905283,5.49928715254879 43.2128620140988,5.49882981519524 43.2177519377045,5.4996856934463 43.2226131519997,5.50182219412101 43.2272588073095,5.50515745388282 43.231510299596,5.50956344840303 43.2352041453742,5.51487088966193 43.2381982796703,5.52087572666022 43.2403775326535,5.5273470004997 43.2416580718602,5.53403574992122 43.2419906368027,5.5406846205038 43.2413624396723,5.54703780186837 43.2397976579197,5.5528509037847 43.2373564996064,5.55790038469806 43.2341328782898,5.56199216473063 43.2302507885338,5.56496908875141 43.2258595236946,5.56671695201762 43.2211279223843,5.5671688589477 43.2162378671998)))', 'FRAIS', 'Cassis', 'Y'),('SRID=4326;MULTIPOLYGON(((8.76649978648955 41.917073006987,8.76587393652346 41.9121904023829,8.76398503829639 41.9074927882977,8.76090592393423 41.9031606329413,8.75675508544647 41.8993603302338,8.75169209636095 41.8962378188391,8.74591147047868 41.8939129897686,8.73963519508565 41.8924750950459,8.7331042242931 41.8919793314466,8.72656925573264 41.892444728534,8.72028113952585 41.8938534207561,8.71448128156692 41.8961513310656,8.70939240334975 41.8992502402352,8.70521000783226 41.9030311636832,8.70209487550878 41.9073489080652,8.70016687765656 41.9120376349399,8.69950034570955 41.9169172201346,8.70012117834171 41.9218001665123,8.70200580295174 41.9264988059107,8.70508203803293 41.9308325140252,8.70923182992046 41.9346346605426,8.7142957644225 41.9377590260959,8.72007918380759 41.9400854373945,8.72635967550451 41.9415244015349,8.73289564350774 41.9420205589322,8.73943562940501 41.9415548200708,8.74572801923009 41.9401451025348,8.75153075646884 41.9378456394664,8.75662068128339 41.9347448864864,8.76080213138146 41.9309621088803,8.76391447020089 41.926642782271,8.76583825175036 41.9219529859794,8.76649978648955 41.917073006987)))', 'FRAJA', 'Ajaccio', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.04409895490335 46.0693910700561,-1.04496094427244 46.0645279431423,-1.04716905137794 46.0598752762838,-1.05063813578973 46.0556117903213,-1.05523470469486 46.0519012192665,-1.06078206991229 46.0488860347462,-1.06706714461721 46.0466819896841,-1.07384861759354 46.0453736880502,-1.08086619311327 46.0450113481917,-1.08785054646388 46.0456088819168,-1.09453361974138 46.0471433617983,-1.10065887046233 46.0495558968774,-1.10599108713387 46.0527538839313,-1.11032540113233 46.0566145495849,-1.1134951527044 46.0609896496582,-1.11537830988907 46.0657111480008,-1.11590219154627 46.0705976593296,-1.11504630794032 46.0754614107162,-1.11284320251442 46.080115455584,-1.10937725423856 46.084380863303,-1.10478147847693 46.0880936072919,-1.09923244266074 46.0911108851142,-1.09294348794747 46.0933166251599,-1.08615651624905 46.094625965413,-1.07913266042452 46.0949885294056,-1.07214220130687 46.094390371207,-1.06545412634857 46.0928545133152,-1.05932573949391 46.0904400564785,-1.0539927296832 46.0872398964903,-1.04966008628739 46.0833771375353,-1.04649421472487 46.0790003424794,-1.04461655626009 46.0742778055186,-1.04409895490335 46.0693910700561)))', 'FRAJJ', 'Angoulins', 'Y'),('SRID=4326;MULTIPOLYGON(((3.05083651341861 42.5499899847452,3.05018244493905 42.545109479007,3.04825348914286 42.5404170756855,3.04512402369497 42.5360930400617,3.0409144782314 42.5323034511137,3.0357866811302 42.5291938330955,3.02993763180274 42.5268835794749,3.02359193913538 42.5254613810304,3.01699321528044 42.5249818313298,3.01039475166677 42.5254633379469,3.00404982979702 42.5268874182948,2.99820203241507 42.5291994066464,2.99307592061443 42.5323105456663,2.9888684294175 42.5361013834735,2.98574130863445 42.5404263477832,2.9838148981167 42.545119323821,2.98316347792947 42.5500000241356,2.98381237594492 42.5548809076379,2.98573694974982 42.5595743833955,2.9888634887974 42.5639000228591,2.99307200896983 42.5676915028805,2.99820083798103 42.5708030113071,3.00405281932132 42.5731148668735,3.01040289773223 42.5745381349193,3.01700679337149 42.5750180590393,3.0236104274523 42.5745361746578,3.02995973131459 42.5731110218729,3.0358104550956 42.5707974296807,3.04093759218433 42.567684399587,3.04514405146824 42.5638916713718,3.04826824023721 42.5595651051171,3.05019026501267 42.5548710594788,3.05083651341861 42.5499899847452)))', 'FRALM', 'Argelès-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((5.06736849859122 43.5493834542273,5.06654144625351 43.5445186394863,5.06442578140408 43.5398646264,5.06110305599544 43.5356001932513,5.05670111502403 43.5318891190944,5.05138916009158 43.5288739051513,5.04537124145804 43.5266703157961,5.0388784295116 43.5253629462964,5.0321599645091 43.5250019851402,5.02547372018995 43.5256012933624,5.01907634140465 43.5271378734633,5.01321342755287 43.529552748091,5.00811013207973 43.5327532154908,5.00396253355875 43.5366163967137,5.00093010637268 43.5409939405796,4.99912957942821 43.5457177081941,4.99863042082506 43.5506062210799,4.99945212646076 43.5554716271596,5.00156342310481 43.5601269181364,5.00488342382416 43.5643931211802,5.009284698432 43.5681061877868,5.01459814677517 43.5711233134016,5.02061949123615 43.5733284426157,5.02711713987576 43.574636745732,5.03384111609411 43.5749978921273,5.04053270711836 43.574397992566,5.04693445410998 43.5728601345737,5.05280009264927 43.57044349005,5.05790405448252 43.5672410302004,5.06205015958968 43.5633759373062,5.06507916094738 43.5589968535822,5.06687485120046 43.5542721523521,5.06736849859122 43.5493834542273)))', 'FRAMA', 'Saint-Chamas', 'Y'),('SRID=4326;MULTIPOLYGON(((7.20143056122585 43.6505470784085,7.20091460842331 43.6456592221527,7.19909559625709 43.6409383583787,7.1960437034178 43.6365658527644,7.19187640596895 43.6327096495674,7.18675393344073 43.6295178311285,7.18087309880977 43.6271129437885,7.17445974134681 43.6255873057427,7.16776007177818 43.6249994745346,7.16103124870299 43.6253720076346,7.15453154261851 43.6266906005121,7.14851045849859 43.6289046345761,7.14319918926846 43.6319291141949,7.13880176070146 43.6356479195991,7.13548720354725 43.6399182526949,7.13338305176218 43.6445761074524,7.13257041758876 43.6494425572679,7.13308083634591 43.6543306200096,7.13489500795786 43.6590524386077,7.13794349066414 43.6634265020211,7.14210932756326 43.6672846288316,7.14723251148121 43.6704784438459,7.15311612113944 43.6728850967625,7.15953389479487 43.6744120005929,7.16623894939566 43.6750004050893,7.17297330651973 43.6746276655031,7.17947785316023 43.6733081178007,7.18550234741219 43.6710925259366,7.19081507718889 43.6680661227039,7.1952117943627 43.6643453207245,7.19852357648787 43.6600732220529,7.20062331208145 43.6554141015118,7.20143056122585 43.6505470784085)))', 'FRANT', 'Antibes', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.44566151555967 43.4795382769239,-1.44644632425062 43.4746690446251,-1.448520230636 43.4700048368555,-1.4518032847684 43.4657248262144,-1.45616916155347 43.4619933921398,-1.4614500394868 43.458953818968,-1.46744305645121 43.4567228067175,-1.4739180935182 43.4553860029457,-1.48062658947821 43.4549947248745,-1.48731105174312 43.455563995705,-1.49371490436685 43.4570719693165,-1.49959230189566 43.4594607651477,-1.50471753891331 43.462638681884,-1.50889369946759 43.4664837064867,-1.51196021768518 43.4708481859859,-1.51379906006995 43.4755644850961,-1.51433929012969 43.4804514147593,-1.51355983558324 43.485321186638,-1.51149034556395 43.4899866276069,-1.50821009766776 43.4942683773236,-1.50384498976462 43.4980017915917,-1.4985627263029 43.5010432846085,-1.49256638033325 43.5032758640764,-1.4860865775948 43.5046136438431,-1.47937260482776 43.5050051581003,-1.47268278841521 43.5044353476893,-1.46627451942435 43.5029261408776,-1.46039431566101 43.50053560597,-1.45526830976483 43.4973557090399,-1.45109353474207 43.4935087645926,-1.44803034553077 43.489142717877,-1.44619626881578 43.4844254427727,-1.44566151555967 43.4795382769239)))', 'FRAOO', 'Adour', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.53699965399575 49.0415244308449,-1.5378727039795 49.0366600367326,-1.54017206805393 49.0320010496975,-1.54380904454778 49.027726427841,-1.54864365079774 49.0240003230125,-1.55449003530127 49.0209657907361,-1.56112362894633 49.0187393134392,-1.56828975916064 49.0174063442984,-1.57571339838589 49.0170180398874,-1.58310967809446 49.0175893046827,-1.59019477266273 49.019098221,-1.59669674445586 49.0214868858579,-1.60236594277502 49.0246636234311,-1.60698456484867 49.0285064899935,-1.61037501645853 49.0328679394012,-1.61240675236354 49.0375804729687,-1.61300133131994 49.0424630596921,-1.61213548566052 49.0473280826315,-1.60984207911311 49.0519885461226,-1.60620890636986 49.0562652672873,-1.60137537100695 49.059993774676,-1.59552716149281 49.0630306469966,-1.58888912477968 49.0652590455708,-1.5817166098563 49.066593224725,-1.57428561629565 49.0669818436714,-1.56688213225748 49.0664099500484,-1.55979108016043 49.0648995572737,-1.55328530461947 49.0625087931063,-1.54761503541897 49.0593296529726,-1.54299823836118 49.0554844463668,-1.53961222982116 49.051121075683,-1.53758687862245 49.0464073321033,-1.53699965399575 49.0415244308449)))', 'FRAOV', 'Agon-Coutainville', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.381820225601044 44.9491983678735,-0.382717813458176 44.944340233036,-0.38493243720612 44.9396997604727,-0.388378727450662 44.9354552021362,-0.39292408489394 44.9317695667988,-0.3983938003484 44.9287843720405,-0.404577773748582 44.9266142239517,-0.411238573215605 44.9253424300949,-0.418120526760011 44.9250178117087,-0.42495950220016 44.9256528355902,-0.431493006347234 44.9272231362299,-0.437470223120573 44.9296684463787,-0.442661612314549 44.9328949011611,-0.44686770620512 44.9367786289945,-0.449926769677119 44.9411704937784,-0.451721030325935 44.9459018088638,-0.45218123690785 44.9507908058396,-0.451289366044053 44.9556496116372,-0.449079366271819 44.960291467081,-0.445635903027172 44.9645379096876,-0.441091145222404 44.9682256438218,-0.435619710754684 44.9712128323809,-0.429431961392914 44.9733845657362,-0.422765903871701 44.9746572949826,-0.41587801067205 44.9749820564767,-0.409033318235128 44.9743463616345,-0.40249519011143 44.9727746781133,-0.396515146340341 44.9703274836935,-0.391323157511803 44.9670989301141,-0.38711878263793 44.9632132084805,-0.384063495128432 44.9588197584311,-0.382274492531662 44.9540875079569,-0.381820225601044 44.9491983678735)))', 'FRAQU', 'Asques', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.73241171080973 48.5005720135501,-4.73296780542246 48.4956876718599,-4.73494668619368 48.4909692616168,-4.73827195105902 48.4865980429087,-4.7428155630967 48.4827418932686,-4.7484028086682 48.4795488723724,-4.75481902745378 48.4771415519613,-4.76181785337421 48.4756123258824,-4.76913065100098 48.475019877386,-4.77647678958344 48.4753869367215,-4.78357436737502 48.476699413277,-4.79015098324475 48.4789069347579,-4.79595415097824 48.4819247730334,-4.80076096422986 48.4856370841445,-4.80438664647703 48.4899013403893,-4.8066916598925 48.4945537871551,-4.80758709876286 48.4994157178958,-4.80703815550407 48.5043003288541,-4.80506551859123 48.5090198920742,-4.8017446395185 48.513392971938,-4.79720288751013 48.5172514075687,-4.79161469303097 48.5204467912693,-4.78519486086219 48.5228561915829,-4.77819030718725 48.5243868980158,-4.7708705394337 48.524980001947,-4.76351724949187 48.5246126733431,-4.75641342783915 48.5232990438095,-4.74983242617837 48.5210896611716,-4.74402739842051 48.5180695369048,-4.73922153408197 48.5143548629898,-4.73559946522075 48.5100885268437,-4.73330017955824 48.505434599725,-4.73241171080973 48.5005720135501)))', 'FRAR5', 'Argenton', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.12897878616312 44.6584314436172,-1.12980849739399 44.6535660852353,-1.13195178683897 44.648909713001,-1.13532602471591 44.6446411941028,-1.13980137505205 44.6409244613381,-1.1452058103604 44.6379022290997,-1.15133172890922 44.6356905268202,-1.15794391934936 44.6343742572338,-1.16478856867587 44.6340039475424,-1.17160297207801 44.6345938162282,-1.17812557821393 44.6361212285113,-1.18410599150287 44.6385275610982,-1.18931455447628 44.6417204437611,-1.19355114804517 44.6455772933106,-1.19665287535168 44.6499500065418,-1.19850033494438 44.6546706345149,-1.19902224023453 44.6595578227294,-1.19819820303672 44.6644237718356,-1.19605956754505 44.6690814527107,-1.19268825501969 44.6733517989379,-1.18821365607474 44.6770705995257,-1.18280768380385 44.680094825274,-1.17667817392665 44.6823081432562,-1.17006088453923 44.683625404762,-1.16321040491545 44.6839959315783,-1.15639032747681 44.6834054721678,-1.14986306738651 44.681876751243,-1.14387972874791 44.6794685913261,-1.13867041438712 44.6762736408398,-1.13443535778421 44.672414797781,-1.13133722180716 44.668040468848,-1.12949486115982 44.6633188489564,-1.12897878616312 44.6584314436172)))', 'FRARC', 'Arcachon', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.26392279727877 46.3324577906538,-1.26477022989476 46.3275930045191,-1.26697111037445 46.3229361813121,-1.27044057020532 46.3186662019822,-1.27504509707074 46.3149470497709,-1.28060769338501 46.3119215251242,-1.28691468545149 46.3097057768833,-1.29372392050218 46.308384857039,-1.30077403880715 46.3080094671082,-1.3077944696531 46.3085940189137,-1.31451577432109 46.3101160828996,-1.32067994690855 46.312517244857,-1.32605028525813 46.3157053389286,-1.33042045934935 46.3195579728676,-1.33362243291248 46.3239272125948,-1.33553293500937 46.3286452488958,-1.3360782307803 46.3335308312762,-1.33523700295592 46.3383962240026,-1.33304122613243 46.3430544184428,-1.32957499183723 46.3473263248895,-1.32497132132792 46.3510476667157,-1.31940708181677 46.3540753101262,-1.31309619716139 46.3562927837172,-1.30628141274086 46.3576147728286,-1.29922493312687 46.3579904131573,-1.29219829748527 46.3574052547595,-1.2854718891598 46.3558818195394,-1.27930449103888 46.353478730464,-1.27393329633761 46.3502884467773,-1.26956476544729 46.3464336940751,-1.26636668447436 46.342062728999,-1.26446173174508 46.3373436234317,-1.26392279727877 46.3324577906538)))', 'FRAS3', 'L''Aiguillon-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.49575976113168 48.0174910103741,-4.49633426109908 48.0126072435946,-4.4983174651816 48.0078924942659,-4.50163281613241 48.0035278816955,-4.50615266720373 47.9996810304965,-4.51170322389863 47.9964996448594,-4.51807123777254 47.9941058518548,-4.52501219280534 47.9925915281868,-4.53225967108597 47.9920147869524,-4.53953554259897 47.9923977567633,-4.54656059488397 47.993725736704,-4.55306520297527 47.9959477587932,-4.55879963867908 47.9989785367065,-4.56354363093461 48.0027017273786,-4.56711481541701 48.0069743825485,-4.5693757510144 48.0116324221281,-4.57023923231022 48.0164969220986,-4.56967168928595 48.0213809779785,-4.56769453625558 48.0260968820101,-4.56438340924867 48.030463339093,-4.55986531195549 48.0343124438041,-4.55431377187512 48.037496148876,-4.54794218716254 48.0398919741255,-4.54099561746512 48.0414077334571,-4.53374133547606 48.0419850952069,-4.52645850701479 48.0416018362952,-4.51942740367509 48.0402727016504,-4.51291857164145 48.0380488350475,-4.50718238216425 48.0350158036216,-4.50243937329935 48.0312902935149,-4.49887175965816 48.0270156061013,-4.49661643872383 48.0223561308593,-4.49575976113168 48.0174910103741)))', 'FRAUD', 'Audierne', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.32927419855084 48.6824589264978,-1.3301602186137 48.6775959681972,-1.33246150556344 48.6729408751093,-1.33608929235357 48.6686724556525,-1.34090395641715 48.6649546241222,-1.34672041692812 48.6619301196245,-1.35331525576192 48.6597150412328,-1.36043528725948 48.6583944062606,-1.36780724992824 48.6580188993267,-1.375148253423 48.6586029346879,-1.3821765875708 48.6601241047742,-1.38862248749348 48.6625240357445,-1.39423845035028 48.6657106180278,-1.39880871484516 48.6695615280553,-1.40215754406042 48.6739289085703,-1.40415599466894 48.6786450307653,-1.40472691003349 48.6835287236826,-1.4038479395899 48.6883923262862,-1.40155246024783 48.6930488966098,-1.3979283548985 48.6973194013398,-1.39311468564228 48.7010396087169,-1.38729638185361 48.7040664179342,-1.38069714227829 48.7062833790452,-1.37357082254804 48.7076051881093,-1.36619164148244 48.7079809817627,-1.35884358836335 48.7073963020978,-1.35180944660625 48.7058736547745,-1.34535986524551 48.7034716385299,-1.33974290758687 48.7002826803993,-1.33517448637475 48.696429465653,-1.33183005790263 48.69206020242,-1.32983789552406 48.6873429061341,-1.32927419855084 48.6824589264978)))', 'FRAVR', 'Avranches', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.53234866350252 48.580507310304,-4.5329247313063 48.5756237944556,-4.53492523181197 48.5709086643207,-4.53827293209708 48.5665430526476,-4.54283893437302 48.5626946204287,-4.54844766700731 48.5595111300818,-4.55488364715809 48.5571147868997,-4.56189975281633 48.5555975632022,-4.56922668773622 48.5550176817831,-4.5765832803663 48.5553973910821,-4.58368722858089 48.5567221156668,-4.59026588647074 48.5589410138437,-4.59606668804524 48.5619689213481,-4.60086681544756 48.56568960795,-4.60448174587859 48.5699602242803,-4.60677235120611 48.574616770993,-4.60765027616973 48.5794803831961,-4.60708138373644 48.5843641913788,-4.60508712764271 48.5890804971231,-4.60174379015648 48.5934479887052,-4.59717960486941 48.5972987189338,-4.59156986679283 48.60048457554,-4.58513021183687 48.6028829929896,-4.57810832146576 48.6044016831741,-4.57077437259577 48.6049822000399,-4.56341060458975 48.6046021984062,-4.55630041196051 48.6032762982109,-4.54971739127342 48.6010555201237,-4.54391477271506 48.5980253146091,-4.53911565076049 48.5943022617481,-4.53550439513735 48.5900295711515,-4.53321957452105 48.5853715579532,-4.53234866350252 48.580507310304)))', 'FRAWR', 'Aber Wrac''h', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.33010469766991 47.5167904095332,-2.33087561907443 47.5119183431316,-2.33303437637626 47.5072417518669,-2.33649769185129 47.502940278587,-2.34113226428477 47.4991791157573,-2.34675992319392 47.4961026740688,-2.35316448582876 47.4938290523875,-2.36010005195359 47.4924455185882,-2.3673004196432 47.4920051720155,-2.37448926542267 47.4925249133922,-2.38139070509505 47.4939847986034,-2.38773983821904 47.4963288006971,-2.39329287974655 47.4994669514888,-2.39783649680027 47.503278782207,-2.40119599661382 47.5076179334978,-2.40324205256917 47.5123177605914,-2.40389570795908 47.5171977211672,-2.40313146007723 47.5220703029012,-2.40097829856247 47.5267482260971,-2.39751864923145 47.5310516451327,-2.39288525516124 47.5348150713193,-2.38725610743846 47.5378937493903,-2.38084761547045 47.5401692400108,-2.37390627769789 47.5415539907766,-2.3666991747275 47.5419947170706,-2.35950365542069 47.541474460361,-2.35259661995947 47.5400132432175,-2.34624382069364 47.537667295367,-2.34068960080768 47.534526881218,-2.33614747257226 47.5307128141177,-2.33279190209364 47.526371793889,-2.33075161778387 47.52167074983,-2.33010469766991 47.5167904095332)))', 'FRAZR', 'Arzal', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.63033293996363 47.1995674519034,-1.63116289005138 47.1947004578705,-1.63336962031136 47.1900373054907,-1.63686802055693 47.1857571184728,-1.64152345314231 47.1820242701948,-1.64715695674085 47.1789820839506,-1.65355213209775 47.1767473445774,-1.66046344390281 47.1754058294235,-1.66762562193031 47.175009027527,-1.67476380543319 47.1755721707311,-1.68160404850019 47.1770736509162,-1.68788379135731 47.1794558453541,-1.69336190373743 47.1826273192273,-1.6978279214358 47.1864663224717,-1.70111012565268 47.1908254491269,-1.70308215598183 47.195537283085,-1.70366790082796 47.2004208161586,-1.70284447211242 47.2052883942087,-1.70064314240288 47.2099529259142,-1.6971481997015 47.2142350775767,-1.69249375527378 47.2179701767191,-1.68685862000729 47.221014557374,-1.68045944156252 47.2232511006246,-1.6735423646832 47.2245937544987,-1.66637353727584 47.224990856598,-1.65922883239633 47.2244271293762,-1.65238318877736 47.2229242698642,-1.64609998837837 47.2205401107806,-1.64062088784534 47.2173663860427,-1.63615650181935 47.2135251883882,-1.63287830069184 47.2091642578567,-1.63091203543465 47.2044512851795,-1.63033293996363 47.1995674519034)))', 'FRBAI', 'Basse-Indre', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.44865976793164 43.4825391523596,-1.44944438209372 43.4776698988898,-1.45151816861465 43.4730056371567,-1.45480118209339 43.46872554184,-1.45916709894274 43.4649939956308,-1.46444809607675 43.4619542871654,-1.47044130677505 43.4597231216459,-1.47691660466466 43.4583861524997,-1.48362541853621 43.4579947032828,-1.49031024362714 43.4585638037545,-1.4967144901037 43.4600716143265,-1.5025922974365 43.4624602606961,-1.5077179445159 43.4656380472937,-1.51189449967329 43.4694829660908,-1.51496138189349 43.4738473681991,-1.51680054369151 43.4785636213275,-1.51734103627693 43.4834505382058,-1.51656177723713 43.4883203310073,-1.51449240813666 43.4929858258166,-1.51121220186456 43.4972676602292,-1.5068470546359 43.5010011867929,-1.50156467236812 43.5040428153804,-1.49556813265496 43.5062755484683,-1.48908806868153 43.5076134939808,-1.4823737772506 43.5080051797189,-1.47568359703424 43.5074355399151,-1.46927493313619 43.5059264962661,-1.46339431859842 43.5035361107997,-1.45826790190173 43.5003563438473,-1.45409273188125 43.4965095049286,-1.45102917867695 43.4921435352529,-1.44919478296108 43.487426305759,-1.44865976793164 43.4825391523596)))', 'FRBAY', 'Bayonne', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.01351941120854 46.9196914530371,-2.01430980256 46.9148211648665,-2.0164713468339 46.9101500802915,-2.01992067178866 46.9058576304948,-2.02452502414655 46.9021086624128,-2.03010740119778 46.8990471204326,-2.03645336195044 46.8967905339062,-2.04331925473713 46.8954255194029,-2.05044154712919 46.8950044676915,-2.05754690470682 46.8955435404059,-2.06436263874033 46.8970220518676,-2.07062712983209 46.8993832593816,-2.0760998353756 46.9025365323385,-2.08057050329442 46.9063608185029,-2.08386724257428 46.9107092767931,-2.0858631418844 46.9154149014277,-2.08648118000403 46.9202969241727,-2.08569723432077 46.9251677510461,-2.08354106441476 46.9298401684542,-2.08009522432914 46.9341345423027,-2.07549193680144 46.937885732736,-2.06990804242972 46.9409494570343,-2.06355821320322 46.9432078536073,-2.05668668972908 46.9445740303224,-2.04955786165754 46.9449954194741,-2.04244605840735 46.9444558080564,-2.03562495000437 46.9429759637606,-2.02935697404559 46.9406128321938,-2.02388320367649 46.9374573368851,-2.01941405308253 46.9336308684031,-2.01612118227809 46.9292806000674,-2.0141309136533 46.9245738132221,-2.01351941120854 46.9196914530371)))', 'FRBB4', 'Baie de Bourgneuf', 'Y'),('SRID=4326;MULTIPOLYGON(((3.07096747729669 42.7909839876632,3.07030927811519 42.7861038058488,3.06837132168336 42.7814119457534,3.06522833450622 42.7770886511674,3.0610012677145 42.7732999717516,3.05585262351262 42.7701913958706,3.04998020150156 42.767882276052,3.0436095065153 42.7664612587925,3.03698510832352 42.7659828918459,3.03036128132898 42.7664655372645,3.02399227814802 42.767890668992,3.01812260400345 42.7702035815101,3.0129776588313 42.7733154828065,3.00875510090833 42.7771068926424,3.00561725999374 42.7814322176427,3.00368489015312 42.7861253298839,3.00303250367248 42.791005937104,3.00368546923991 42.7958865018626,3.00561899172457 42.8005794451828,3.00875901964942 42.8049043583634,3.01298505240335 42.8086949453274,3.0181347452055 42.8118054273033,3.02401013881565 42.8141161615778,3.0303852760011 42.8155382558677,3.03701491070732 42.8160169984509,3.04364397131902 42.8155339700878,3.05001740844842 42.8141077551346,3.05589004184399 42.811793224021,3.06103602105083 42.8086794151762,3.06525753037045 42.8048860992456,3.06839239968466 42.8005591597903,3.07032032732739 42.7958649705196,3.07096747729669 42.7909839876632)))', 'FRBCJ', 'Le Barcarès', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.55768296277834 43.4385722346045,-1.55845818275093 43.4337020648032,-1.56052204847881 43.4290356510451,-1.56379499561789 43.4247522513214,-1.56815108669072 43.4210163757843,-1.57342287504789 43.4179714797109,-1.57940784644316 43.4157344676794,-1.58587618968471 43.4143912175637,-1.59257959955957 43.4139932938465,-1.59926077808698 43.4145559745036,-1.60566327518923 43.4160576660048,-1.61154129775405 43.4184407285898,-1.61666911713061 43.4216136807954,-1.62084971932995 43.4254547001077,-1.62392236922478 43.4298162874732,-1.62576879913404 43.4345309190004,-1.62631778222826 43.4394174701833,-1.6255479107042 43.4442881678437,-1.6234884657521 43.448955803946,-1.62021833869324 43.4532409344083,-1.61586303767306 43.4569787855893,-1.61058988906188 43.4600256014382,-1.60460161419161 43.4622641851082,-1.59812852717796 43.4636084194576,-1.59141965543056 43.4640065901627,-1.58473312845148 43.4634433816461,-1.5783262105724 43.4619404677998,-1.57244536792901 43.4595556744754,-1.56731675850318 43.4563807466256,-1.56313751656099 43.4525378075382,-1.56006817014221 43.4481746485351,-1.55822648400341 43.4434590327751,-1.55768296277834 43.4385722346045)))', 'FRBDD', 'Bidart', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.614672614125876 45.1792672247845,-0.61555496006719 45.1744070982095,-0.617760602166815 45.1697620672884,-0.621204511145474 45.1655105596539,-0.625754174652176 45.161815850982,-0.631234714630037 45.1588198067471,-0.637435613331745 45.1566374486753,-0.64411878869274 45.155352551932,-0.65102771098242 45.155014439602,-0.657897215357797 45.1556360955436,-0.664463640166245 45.1571936668814,-0.670474909243593 45.1596273750384,-0.675700178339945 45.1628438011475,-0.679938681145778 45.1667194598081,-0.68302743880551 45.1711055263155,-0.684847537553107 45.1758335384659,-0.685328731057605 45.1807218564704,-0.684452185692201 45.1855826348603,-0.682251256289638 45.190229039746,-0.678810254664 45.1944824343213,-0.674261250547674 45.198179255641,-0.668779021610462 45.2011773165991,-0.662574342727663 45.2033612884416,-0.655885871461924 45.204647150321,-0.6489709437978 45.2049854322189,-0.642095638842971 45.2043631244619,-0.635524501336468 45.2028041791585,-0.629510324908237 45.2003685840597,-0.624284396425528 45.1971500453025,-0.620047582582586 45.1932723699193,-0.616962605104938 45.1888846896422,-0.615147802259946 45.1841557123568,-0.614672614125876 45.1792672247845)))', 'FRBE5', 'La Belle Etoile', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.44548019586109 48.4004775701429,-4.44606296240299 48.3955942794326,-4.44806484985418 48.3908805068795,-4.45140857612653 48.3865173330385,-4.45596539959945 48.3826723255847,-4.46156010361719 48.379493116025,-4.46797774514254 48.377101746071,-4.47497190595047 48.3755899979376,-4.48227413065906 48.3750158849407,-4.48960419372138 48.3754014345761,-4.49668080834838 48.3767318473806,-4.5032323749153 48.3789560630904,-4.50900736508293 48.3819887127262,-4.51378395066127 48.3857133831222,-4.51737851284394 48.3899870708872,-4.51965270718614 48.3946456576278,-4.52051881155041 48.399510199108,-4.51994314675918 48.4043937893693,-4.51794743099529 48.4091087379559,-4.51460800676402 48.4134737852729,-4.51005296073884 48.4173210784257,-4.50445723897412 48.4205026379307,-4.49803593944868 48.4228960643181,-4.49103603728432 48.4244092622996,-4.48372686193278 48.4249839978327,-4.47638969711445 48.424598148646,-4.46930691079752 48.4232665598067,-4.46275104219117 48.4210404706196,-4.45697427458073 48.4180055352841,-4.45219870675471 48.4142785149434,-4.44860780257477 48.4100027707461,-4.44633934958737 48.4053427341586,-4.44548019586109 48.4004775701429)))', 'FRBES', 'Brest', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.59289010760761 47.8201976610262,-3.5935475896352 47.8153179587064,-3.59560555005166 47.8106183843614,-3.59898456928099 47.8062794698228,-3.60355456694994 47.8024678496003,-3.60913983516756 47.799329873588,-3.61552580377382 47.7969860024699,-3.62246727564826 47.7955261982339,-3.62969781722088 47.7950064839418,-3.6369399482238 47.7954468023916,-3.64391574655225 47.7968302542099,-3.65035746956847 47.799103743975,-3.6560177926316 47.8021800100403,-3.66067927907803 47.8059409616584,-3.66416272298313 47.810242197627,-3.66633404612657 47.8149185357663,-3.66710948260214 47.8197903437381,-3.66645884699295 47.824670430511,-3.66440675307763 47.8293712354282,-3.66103172731102 47.8337120393146,-3.6564632420975 47.8375259200249,-3.65087677506934 47.8406661835261,-3.64448707889353 47.8430120208849,-3.63753991817871 47.8444731707707,-3.63030259256969 47.8449934052585,-3.6230536151434 47.8445527023551,-3.61607195031159 47.8431680199635,-3.60962623383447 47.8408926408494,-3.60396439832072 47.8378141142959,-3.5993041106898 47.8340508751892,-3.59582439435648 47.829747672981,-3.59365876005157 47.8250699891931,-3.59289010760761 47.8201976610262)))', 'FRBG4', 'Brigneau', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.2421408401342 48.8400857297891,-3.24284472688635 48.8352088329847,-3.2449760688111 48.8305162630111,-3.2484526101474 48.8261882780297,-3.25314051424437 48.8223910872943,-3.25885954248566 48.8192704809977,-3.26538999359012 48.8169462479734,-3.27248113470301 48.8155075926883,-3.27986080211053 48.8150097245537,-3.2872458079228 48.8154717479941,-3.29435276075314 48.8168759325804,-3.30090889396673 48.8191683906257,-3.30666249481854 48.822261136775,-3.31139254175348 48.8260354521453,-3.31491718496965 48.830346426323,-3.317100746368 48.8350285057475,-3.31785896816433 48.8399018383676,-3.31716230324456 48.8447791734081,-3.31503711287964 48.849473052907,-3.31156471631189 48.8538030193397,-3.30687831918831 48.8576025617947,-3.30115793070104 48.8607255320512,-3.29462345921518 48.8630517813843,-3.28752624965156 48.8644917983622,-3.28013938959108 48.8649901662676,-3.272747161941 48.8645277045905,-3.2656340575485 48.8631222104777,-3.25907377956848 48.8608277709798,-3.25331867174864 48.8577326731104,-3.24858998506512 48.8539559937806,-3.24506936223269 48.8496430032954,-3.24289186928292 48.8449595621795,-3.2421408401342 48.8400857297891)))', 'FRBG5', 'Buguélès', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.03424097023635 45.8493901962944,-1.03509977662281 45.8445269256773,-1.03729936990594 45.8398741527674,-1.04075494021699 45.8356106029997,-1.04533351627548 45.8319000136237,-1.05085910202946 45.8288848579028,-1.05711944668052 45.8266808885917,-1.06387418695293 45.8253727075501,-1.07086405091263 45.8250105290324,-1.07782077468686 45.8256082588473,-1.08447735811242 45.8271429618609,-1.090578273314 45.829555738023,-1.09588924179737 45.8327539740621,-1.10020621080854 45.8366148861028,-1.1033631880868 45.840990219558,-1.10523863499457 45.8457119285058,-1.10576017022189 45.8505986190259,-1.1049073983116 45.8554625111011,-1.10271274718594 45.860116652918,-1.09926027431526 45.8643821106381,-1.09468247942236 45.8680948565438,-1.08915523963287 45.8711120890595,-1.08289105755629 45.8733177392572,-1.07613088068135 45.8746269493774,-1.06913480861604 45.8749893484974,-1.06217205036182 45.8743909972239,-1.05551052477761 45.8728549253023,-1.04940651213783 45.8704402411868,-1.04409476249312 45.8672398486177,-1.03977944752128 45.8633768597828,-1.0366263076697 45.858999845442,-1.03475629736229 45.8542771074165,-1.03424097023635 45.8493901962944)))', 'FRBG6', 'Brouage', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.27927977871587 48.6674251326268,-4.27988111972042 48.6625427408825,-4.28190855851283 48.6578318489217,-4.28528382722307 48.6534734250302,-4.28987697051209 48.64963485269,-4.29551137694654 48.6464635146214,-4.30197058110302 48.6440811489426,-4.30900657275489 48.6425791913016,-4.31634929528825 48.6420152788739,-4.32371697327092 48.6424110478801,-4.33082687996132 48.6437513073735,-4.33740614020606 48.6459846202534,-4.3432021629914 48.6490252695953,-4.34799231090402 48.6527565362987,-4.35159244060631 48.6570351645797,-4.35386398847741 48.6616968467253,-4.35471932777376 48.6665625194458,-4.3541251865747 48.671445232585,-4.35210398751267 48.6761573281535,-4.34873304851589 48.6805176546275,-4.3441416657634 48.6843585388742,-4.33850618266172 48.6875322462069,-4.3320432285459 48.6899166778081,-4.32500138453931 48.6914200835117,-4.31765159822418 48.6919846056874,-4.31027672043055 48.6915885152859,-4.30316057400713 48.6902470521837,-4.29657698405067 48.68801183672,-4.29077920073389 48.6849688754709,-4.28599012949398 48.6812352395038,-4.28239374975367 48.6769545453016,-4.28012805423555 48.6722914150947,-4.27927977871587 48.6674251326268)))', 'FRBGG', 'Brignogan-Plage', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.94220815347692 48.7499872447547,-2.94293983310232 48.7451121219161,-2.94509530425028 48.7404250399451,-2.94859138812456 48.736106044752,-2.95329350198943 48.7323209994133,-2.95902086601679 48.7292152274285,-2.96555346264676 48.7269079483488,-2.97264047921724 48.7254877165265,-2.98000991134465 48.7250090351942,-2.98737896335912 48.7254902733939,-2.99446485408062 48.7269129640739,-3.00099562205611 48.7292225097205,-3.00672052439572 48.7323302690199,-3.01141963754842 48.7361169460994,-3.01491229640877 48.7404371547033,-3.01706404935897 48.7451249849833,-3.01779186015389 48.7500003620607,-3.01706735146331 48.7548759546343,-3.01491795746634 48.7595643699098,-3.01142593176855 48.7638853589939,-3.00672523928461 48.7676727552583,-3.0009964434491 48.7707808772965,-2.99445977980054 48.7730901477829,-2.98736668016728 48.7745117091914,-2.97999007502453 48.7749908558716,-2.9726138520699 48.7745091479364,-2.9655218841952 48.7730851239506,-2.95898705804544 48.7707735844119,-2.95326073433025 48.7676634741863,-2.94856305299105 48.7638744470539,-2.9450744611515 48.7595522470445,-2.94292879126185 48.7548630871796,-2.94220815347692 48.7499872447547)))', 'FRBH3', 'Bréhec', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.09423970828635 45.8494089727481,-1.09509329833045 45.8445451686303,-1.09728792603941 45.8398911615549,-1.10073897188997 45.835625724673,-1.10531363779307 45.8319126679371,-1.11083607718216 45.828894559479,-1.11709415941206 45.826687265434,-1.1238476075261 45.8253755152111,-1.13083719885267 45.8250096599149,-1.13779467989159 45.8256037462927,-1.14445302157957 45.8271349788766,-1.15055662894868 45.829544590695,-1.15587112072561 45.8327400898976,-1.16019230953739 45.836598797734,-1.16335404171944 45.8409725444145,-1.16523459653238 45.8456933452139,-1.16576139676914 45.8505798414229,-1.16491384474773 45.8554442608499,-1.16272416759273 45.8600996317656,-1.1592762311507 45.8643669733869,-1.15470236013097 45.8680821857821,-1.14917828008539 45.8711023726399,-1.14291637143338 45.8733113514074,-1.13615749366944 45.8746241361916,-1.12916169608061 45.8749902183852,-1.12219817701517 45.8743955166976,-1.11553488477204 45.8728629202723,-1.10942816799655 45.8704514037136,-1.10411288134049 45.8672537488515,-1.09979333318903 45.8633929626158,-1.09663542743028 45.8590175312139,-1.09476030226509 45.8542956958542,-1.09423970828635 45.8494089727481)))', 'FRBH4', 'Bourcefranc-le-Chapus', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.44309481184037 47.5298267266456,-2.44385548047765 47.5249538706461,-2.4460047624199 47.5202751252883,-2.44945974293077 47.5159702167428,-2.45408743960229 47.5122044698185,-2.45970994455427 47.5091224714357,-2.46611127159116 47.5068425337927,-2.47304564365909 47.5054521670333,-2.48024690408437 47.5050047324665,-2.48743869507056 47.5055174025016,-2.49434501984724 47.5069705040985,-2.50070079138136 47.5093082704533,-2.5062619710125 47.512440972688,-2.51081491474914 47.5162483513499,-2.51418457291741 47.5205842183816,-2.51624122968426 47.5252820556748,-2.51690552159973 47.5301613979984,-2.51615153721992 47.5350347574894,-2.51400787115538 47.539714825237,-2.51055658317634 47.5440216737489,-2.50593009353585 47.5477896828742,-2.50030612635349 47.5508739212931,-2.49390089043515 47.5531557357821,-2.48696075792604 47.5545473304641,-2.47975276247529 47.55499515709,-2.47255428722694 47.554481983563,-2.46564234657076 47.5530275595751,-2.45928288250692 47.5506878532528,-2.45372049584958 47.5475528888166,-2.44916901434799 47.5437432701191,-2.44580326506299 47.5394055262426,-2.44375236873519 47.5347064610279,-2.44309481184037 47.5298267266456)))', 'FRBI3', 'Billiers', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.11321886678641 47.3500422317328,-3.11391511393101 47.3451648601032,-3.11599770886568 47.3404734938157,-3.11938629736763 47.3361483479571,-3.12395044256719 47.3323555280162,-3.12951467021911 47.329240662904,-3.13586522364673 47.3269233278371,-3.14275826704651 47.325492468473,-3.14992922363622 47.3250029992154,-3.15710289470436 47.3254737039225,-3.16400397804683 47.3268865180269,-3.17036759025594 47.3291872190503,-3.17594939719757 47.3322874995395,-3.18053497077714 47.3360683443931,-3.18394801741692 47.340384585256,-3.186057163856 47.3450704598833,-3.18678103787032 47.349945965773,-3.18609144381549 47.3548237664171,-3.18401450361414 47.3595163864722,-3.1806297106076 47.3638434199772,-3.17606692383534 47.3676384740663,-3.17050141073339 47.3707555796998,-3.16414712367549 47.3730748205622,-3.15724846687611 47.3745069608553,-3.15007087170711 47.3749968911656,-3.14289054754451 47.3745257574435,-3.13598380946674 47.3731116895704,-3.12961640176412 47.3708091008995,-3.12403323639984 47.3677065862616,-3.11944894827499 47.3639235008871,-3.11603963526747 47.35960535423,-3.11393610222609 47.3549181986748,-3.11321886678641 47.3500422317328)))', 'FRBI4', 'Belle-Île-en-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((9.48391668541138 42.6998617308457,9.48322714405209 42.6949839901664,9.48126101149805 42.6902991727668,9.47809409323356 42.6859872500345,9.47384825534271 42.6822138336149,9.46868671651219 42.6791238252291,9.46280776756188 42.6768358646913,9.45643716105912 42.6754377869788,9.44981946197043 42.674983260459,9.4432086877561 42.6754897333966,9.43685859174867 42.6769377662991,9.43101295637971 42.6792717753263,9.42589626248605 42.6824021587434,9.42170508754431 42.686208726154,9.41860055960543 42.6905453008645,9.41670215564181 42.6952453210137,9.41608308406594 42.7001282267047,9.41676743280201 42.7050063897786,9.41872919835694 42.7096923213078,9.42189324008221 42.7140058802886,9.42613812982105 42.717781205972,9.43130079323498 42.7208731059688,9.43718276829715 42.7231626524839,9.4435578417424 42.7245617690895,9.45018076855237 42.7250166292556,9.45679673539296 42.7245097339231,9.46315119840069 42.7230605868901,9.46899971030751 42.7207249416136,9.47411735235008 42.7175926489324,9.47830740270537 42.7137841899112,9.4814089045312 42.7094460292242,9.4833028415537 42.7047449701828,9.48391668541138 42.6998617308457)))', 'FRBIA', 'Bastia', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.52565855413024 43.4825622769389,-1.52643699735946 43.4776924057914,-1.52850489883824 43.4730266619342,-1.53178253878398 43.4687442773633,-1.53614379933412 43.4650097229746,-1.54142103544597 43.4619664030741,-1.54741152405513 43.4597311615425,-1.55388524267004 43.4583898081823,-1.56059368030646 43.457993834651,-1.56727934652684 43.4585584441348,-1.57368561939211 43.4600619691989,-1.57956656103781 43.4624466998713,-1.5846963306798 43.4656210908295,-1.58887783911687 43.4694632644697,-1.59195031586099 43.4738256775046,-1.59379549916179 43.4785407743454,-1.59434220929393 43.4834274125385,-1.59356912504362 43.4882978154076,-1.5915056504639 43.492964786026,-1.58823083138237 43.4972489056347,-1.5838703562102 43.500985439194,-1.57859175042269 43.5040306810874,-1.57259794560425 43.5062674948279,-1.56611946910902 43.5076098312585,-1.55940555626575 43.5080060490577,-1.55271453106332 43.5074409078519,-1.54630383129793 43.5059361560258,-1.54042006878968 43.5035496903148,-1.53528951377311 43.5003733201857,-1.53110937501484 43.496529224553,-1.52804021448106 43.4921652393101,-1.52619978905893 43.4874491593998,-1.52565855413024 43.4825622769389)))', 'FRBIQ', 'Biarritz', 'Y'),('SRID=4326;MULTIPOLYGON(((5.83407961183705 43.0691604246885,5.83320011906447 43.0643022797093,5.83104514227773 43.059663243202,5.82769773259262 43.0554215155626,5.82328667205615 43.0517400027379,5.8179815029535 43.0487600712579,5.81198600825277 43.0465961326221,5.80553039433493 43.0453312625723,5.79886247428017 43.0450140211719,5.79223818597365 43.0456565939806,5.78591180313136 43.0472343246541,5.78012620837144 43.0496866567987,5.77510359536035 43.0529194497446,5.77103695188313 43.0568085809657,5.76808264781168 43.0612046990333,5.76635441212599 43.0659389470281,5.76591893251504 43.0708294389082,5.76679325117678 43.0756882418855,5.76894406318023 43.0803285976181,5.77228895145998 43.0845721048703,5.77669951783051 43.0882555867656,5.78200629523966 43.0912373770006,5.78800525586986 43.0934027810975,5.79446566568395 43.0946685002108,5.80113898146964 43.0949858450149,5.80776844388989 43.0943426142077,5.81409899151619 43.092763564308,5.81988710767962 43.0903094525498,5.8249102148533 43.0870746905332,5.82897525002114 43.0831837005575,5.83192608816239 43.0787861170298,5.83364952795367 43.0740510199721,5.83407961183705 43.0691604246885)))', 'FRBL5', 'Le Brusc', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.98283649226171 47.9003241218639,-3.98345824102795 47.895442515622,-3.98548391371978 47.890736253526,-3.98883532709344 47.8863861262738,-3.99338345605579 47.8825592003723,-3.99895342724193 47.8794024140762,-4.00533125308627 47.877036950157,-4.01227204554116 47.8755535987869,-4.01950939529395 47.8750092857282,-4.02676556086708 47.8754248966396,-4.03376208345235 47.8767844793088,-4.04023042843987 47.8790358537309,-4.04592225370777 47.8820926070367,-4.05061891785574 47.8858373981661,-4.05413986837141 47.8901264477314,-4.0563495895423 47.8947950434815,-4.05716284171832 47.8996638528168,-4.05654798583531 47.9045458024011,-4.05452825804425 47.9092532623318,-4.05118093653217 47.9136052595515,-4.04663442344299 47.9174344428682,-4.04106334613854 47.9205935303562,-4.03468186057981 47.9229609889085,-4.02773541197226 47.9244457246874,-4.02049127072689 47.9249906011672,-4.01322821226548 47.9245746469129,-4.00622574477708 47.9232138664079,-3.99975330792969 47.920960622017,-3.9940598667934 47.9179016112955,-3.98936430876879 47.9141545189746,-3.98584701796988 47.9098634747774,-3.98364295294993 47.9051934946196,-3.98283649226171 47.9003241218639)))', 'FRBM5', 'Beg Meil', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.19217082301508 48.8000692740471,-3.19287900879235 48.7951926430662,-3.19501333139182 48.7905009604863,-3.19849142169195 48.7861744502074,-3.20317938465944 48.7823792647927,-3.2088969803435 48.7792611174966,-3.21542456308705 48.7769397029037,-3.2225115103937 48.775504117506,-3.229885819382 48.7750094531123,-3.23726450733843 48.7754746913794,-3.244364424625 48.7768819786104,-3.25091307379592 48.7791773080455,-3.25665902857041 48.7822725840033,-3.26138156029779 48.7860489902577,-3.26489910740616 48.7903615357948,-3.26707626436324 48.7950446063318,-3.2678290198344 48.7999183113578,-3.26712803751724 48.8047953854352,-3.26499984564228 48.8094883803533,-3.2615258799843 48.813816872421,-3.25683940763678 48.817614407366,-3.25112044161596 48.8207349142393,-3.24458883619912 48.8230583392318,-3.23749582629767 48.8244952797864,-3.23011433776863 48.8249904377834,-3.22272844634668 48.8245247564194,-3.21562239833331 48.8231161568489,-3.20906962452237 48.8208188456237,-3.20332217913326 48.8177212201351,-3.19860101774804 48.813942454304,-3.19508749331527 48.8096278983685,-3.19291639895085 48.8049434726759,-3.19217082301508 48.8000692740471)))', 'FRBM6', 'Beg Melen', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.381805840872092 49.3291405341883,-0.3827980354898 49.324287263866,-0.38521936492689 49.3196537197937,-0.388976446005497 49.3154178755925,-0.393924692627663 49.3117423879938,-0.399873902988054 49.3087683649681,-0.406595575422565 49.3066099641544,-0.413831670798592 49.3053500259617,-0.421304487592741 49.3050369061105,-0.428727276427329 49.3056826269097,-0.435815194855352 49.3072624168683,-0.442296191230575 49.3097156560916,-0.447921408867483 49.3129481921215,-0.452474718347521 49.3168359393063,-0.455781016388643 49.3212296262339,-0.457712973429569 49.3259605119877,-0.458195967856866 49.3308468546183,-0.457211011056854 49.3357008857097,-0.454795542181386 49.3403360244975,-0.451042052191242 49.3445740545799,-0.446094580473012 49.3482519864452,-0.440143210858631 49.3512283400055,-0.433416773737929 49.3533886028189,-0.426174033623494 49.3546496510035,-0.418693703640608 49.3549629598524,-0.411263676983133 49.3543164782835,-0.404169897992118 49.3527350936079,-0.397685310531685 49.3502796685022,-0.392059317996815 49.3470446882054,-0.387508167775957 49.3431546104867,-0.384206634422396 49.3387590615609,-0.382281322116626 49.3340270658162,-0.381805840872092 49.3291405341883)))', 'FRBM7', 'Bernières-sur-Mer', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-1.48209323154383 48.9195072396309,-1.48296921243416 48.9146431933456,-1.48526779981615 48.9099852001706,-1.48890032464339 48.9057121800797,-1.49372697750291 48.9019882236914,-1.49956221378028 48.8989563044993,-1.5061818929075 48.8967328051721,-1.51333187602559 48.8954030651321,-1.52073775410296 48.8950181174708,-1.52811533848596 48.8955927381075,-1.53518151905144 48.897104880598,-1.54166508224323 48.8994965179168,-1.54731708261498 48.9026758596861,-1.55192037705048 48.9065208615704,-1.55529796023037 48.9108838947062,-1.55731978244642 48.9155973988579,-1.55790778542655 48.9204803051102,-1.55703895689422 48.925344983802,-1.55474627816514 48.930004452293,-1.55111751874725 48.9342795660065,-1.54629191480347 48.938005915589,-1.5404548512591 48.9410401632048,-1.53383074686585 48.9432655717039,-1.52667441418897 48.9445965110095,-1.51926122892342 48.9449817654523,-1.51187649217722 48.9444065124086,-1.5048044029571 48.9428928946007,-1.49831707435873 48.9404991636582,-1.49266402507687 48.9373174286943,-1.48806255791357 48.9334700983868,-1.48468940000142 48.9291051560804,-1.4826739273414 48.9243904526645,-1.48209323154383 48.9195072396309)))', 'FRBM8', 'Bricqueville-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.4462717580893 47.2758284136369,-2.44702827945186 47.2709553045259,-2.44916677907551 47.2662762492436,-2.45260476089902 47.2619709865451,-2.45720989858167 47.2582048558332,-2.46280515206365 47.2551224599209,-2.46917558123924 47.2528421274131,-2.47607659339213 47.2514513845723,-2.4832433093845 47.2510036077752,-2.49040069373776 47.2515159827755,-2.49727406675574 47.2529688476122,-2.50359960340414 47.2553064439086,-2.50913442410406 47.2584390483404,-2.51366589691589 47.2622464040699,-2.51701979843459 47.2665823227904,-2.5190670213862 47.2712802834605,-2.51972856932288 47.2761598154898,-2.51897864146392 47.2810334235295,-2.51684568169823 47.285713789375,-2.51341134269424 47.29002097475,-2.508807396206 47.2937893475419,-2.50321070094373 47.2968739636014,-2.49683641651015 47.2991561563262,-2.48992972254926 47.3005481162524,-2.48275636320308 47.3009962817128,-2.47559238534165 47.3004834077833,-2.46871347246395 47.2990292323823,-2.4623842929981 47.2966897134082,-2.45684828110848 47.293554866896,-2.45231825008151 47.2897452910198,-2.44896820382258 47.2854075120835,-2.44692666267689 47.280708334329,-2.4462717580893 47.2758284136369)))', 'FRBMR', 'Batz-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.79232039264985 48.5999382141564,-2.79306430879132 48.595063934594,-2.79522723096783 48.5903795456866,-2.79872569813673 48.5860649894643,-2.80342503973847 48.5822859584911,-2.80914458534683 48.5791875456623,-2.81566461939086 48.5768886886155,-2.82273481194745 48.5754776191775,-2.83008380357674 48.5750084896666,-2.83742958121489 48.5754993031263,-2.84449025431713 48.576931225324,-2.85099482644307 48.579249304373,-2.85669355762839 48.5823645709544,-2.86136752719097 48.5861574401726,-2.86483703473529 48.5904822869184,-2.86696851835715 48.5951730219737,-2.86767972233572 48.600049457638,-2.8669429104411 48.604924220854,-2.8647859934499 48.6096099499055,-2.86129151817019 48.6139264987378,-2.85659354743212 48.6177078714303,-2.85087254295919 48.6208086185824,-2.8443484424201 48.6231094471766,-2.83727219482452 48.6245218252359,-2.8299160814376 48.6249914012158,-2.82256319954737 48.6245001041019,-2.81549652125769 48.623066841759,-2.8089879572448 48.6207467700987,-2.8032878552011 48.6176291617976,-2.79861534450834 48.6138339582567,-2.79514990346121 48.6095071399645,-2.79302447487609 48.6048150962893,-2.79232039264985 48.5999382141564)))', 'FRBN2', 'Binic', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.19348364827207 46.969748600716,-2.19425853001952 46.9648770176859,-2.19640653982214 46.9602024933443,-2.19984482329314 46.9559045918356,-2.20444104882819 46.952148370001,-2.2100185234071 46.9490780509497,-2.21636299224052 46.9468115008666,-2.22323085955428 46.9454357183921,-2.23035851657398 46.9450035070461,-2.23747242329952 46.9455314561927,-2.24429956399858 46.9469993065963,-2.25057788318198 46.9493507244865,-2.25606630947841 46.9524954550631,-2.26055398929247 46.9563127744026,-2.26386838005448 46.9606561096174,-2.26588189354551 46.9653586526249,-2.26651683211534 46.9702397546729,-2.26574842310242 46.9751118582911,-2.26360582748556 46.9797877018531,-2.26017107539121 46.9840875203756,-2.25557596080316 46.9878459651696,-2.24999700760899 46.9909184747006,-2.24364869570286 46.9931868493028,-2.23677520593158 46.9945638125692,-2.22964100303818 46.9949963812147,-2.22252062357371 46.9944679114796,-2.21568806868724 46.9929987418544,-2.20940621812928 46.9906454069493,-2.20391668089046 46.987498453413,-2.19943047969607 46.9836789435943,-2.1961199320084 46.9793337838615,-2.1941120409728 46.9746300600631,-2.19348364827207 46.969748600716)))', 'FRBN4', 'Le Bonhomme', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.91302280816416 47.6299779253224,-2.91374133759785 47.6251020255117,-2.91585288046713 47.620414546455,-2.91927596679892 47.6160955521087,-2.92387883309587 47.6123109098051,-2.92948451872294 47.6092059326924,-2.9358776777215 47.6068998149804,-2.94281284259141 47.6054810708721,-2.95002382429149 47.6050041495064,-2.95723389226826 47.6054873534982,-2.96416635080391 47.6069121394048,-2.97055511406767 47.6092238264217,-2.97615488229845 47.6123336866666,-2.98075053553929 47.6161223383955,-2.98416538894698 47.6204443142598,-2.98626799422078 47.6251336320038,-2.98697722405745 47.6300101564943,-2.9862654392631 47.6348865111158,-2.98415960931855 47.6395752746284,-2.98074033445631 47.6438961875296,-2.97613879791162 47.6476830904044,-2.97053175787573 47.6507903259534,-2.96413476650271 47.6530983561402,-2.95719387473654 47.6545183756046,-2.94997614348688 47.654995741046,-2.94275933086598 47.654512082243,-2.93582115940362 47.6530860118793,-2.92942858467232 47.6507724063064,-2.92382748669408 47.6476602854899,-2.91923318786686 47.6438693753251,-2.9158221668356 47.6395454869872,-2.91372528845605 47.6348548938883,-2.91302280816416 47.6299779253224)))', 'FRBO2', 'Bono', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.531887401711151 44.8322461178691,-0.532770151406356 44.8273863972277,-0.534967932387459 44.8227425651186,-0.538396022958678 44.8184930035926,-0.542922522577563 44.8148009145469,-0.54837344511556 44.8118080641605,-0.554539410332426 44.8096293529554,-0.561183675639569 44.808348417408,-0.568051201732263 44.8080144295378,-0.574878408606395 44.8086402153903,-0.581403253866985 44.8102017634902,-0.587375253742453 44.8126391419514,-0.592565069149292 44.8158587898533,-0.596773294472985 44.8197370966094,-0.599838115061367 44.8241251342161,-0.601641540022636 44.8288543632609,-0.60211396865313 44.8337430960256,-0.601236910156894 44.8386034704112,-0.599043745313379 44.8432486679412,-0.595618493053466 44.8475000986921,-0.591092621811986 44.8511942761945,-0.585640022051885 44.8541891163206,-0.579470329354526 44.8563694156286,-0.572820853783412 44.8576512958677,-0.565947427859178 44.8579854411973,-0.559114529782655 44.8573590016001,-0.552585068383535 44.8557960880782,-0.546610230198851 44.8533568403912,-0.541419786418504 44.8501351040324,-0.537213238320337 44.8462548075372,-0.534152145213391 44.8418651818285,-0.532353930514003 44.837135008093,-0.531887401711151 44.8322461178691)))', 'FRBOD', 'Bordeaux', 'Y'),('SRID=4326;MULTIPOLYGON(((1.65633993941193 50.7174600759738,1.65572342465416 50.712578880776,1.65361919184399 50.7078678126705,1.65010850346314 50.7035078416684,1.6453265494651 50.6996664026303,1.63945721011331 50.6964909785632,1.63272597258989 50.6941034544299,1.62539127612156 50.6925954551827,1.61773461660257 50.6920248438436,1.6100497854642 50.6924135113021,1.60263164774948 50.6937465407365,1.59576488029505 50.6959727779078,1.5897130922491 50.699006785859,1.58470873684518 50.7027321105817,1.58094419571262 50.7070057348228,1.57856437568368 50.7116635521237,1.57766110408695 50.7165266540763,1.57826954334269 50.7214081921106,1.58036677120819 50.7261205521958,1.58387259164031 50.7304825676288,1.5886525557871 50.7343264923033,1.59452308632329 50.7375044647968,1.60125851472119 50.7398942121716,1.60859976373214 50.7414037710067,1.61626433989621 50.7419750408468,1.62395724654333 50.7415860305512,1.63138238920601 50.7402517091357,1.63825402460706 50.738023427532,1.64430780249802 50.7349869339437,1.64931096671081 50.7312590607951,1.65307131696562 50.7269832133139,1.65544458445405 50.7223238364265,1.65633993941193 50.7174600759738)))', 'FRBOL', 'Boulogne-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((9.20022896973215 41.3919469771136,9.19957555543736 41.3870663337925,9.1976705632148 41.3823754435314,9.19458743473004 41.3780545152096,9.19044480810984 41.3742695115766,9.18540193519893 41.3711657848124,9.17965255360332 41.3688625064484,9.17341745020648 41.3674481033154,9.16693600059357 41.3669768725415,9.16045700584709 41.3674669036851,9.15422917340883 41.3688993865349,9.14849160143451 41.3712193307255,9.14346462594886 41.3743376700079,9.13934137714402 41.3781346716663,9.13628036570416 41.3824645220801,9.13439938279623 41.3871609145905,9.13377094942019 41.3920434273143,9.13441949362291 41.3969244478273,9.1363203694885 41.4016163799577,9.13940076202917 41.4059388562112,9.1435424496411 41.4097256781799,9.14858632343567 41.4128312168588,9.15433849343198 41.4151360248689,9.16057774823808 41.4165514425042,9.16706408025413 41.417023018188,9.17354794509542 41.4165326098521,9.17977989389176 41.4150990851323,9.18552020180901 41.4127775930093,9.19054811630016 41.4096574353908,9.19467036421861 41.405858621818,9.19772858725665 41.401527241759,9.19960541875649 41.396829834747,9.20022896973215 41.3919469771136)))', 'FRBON', 'Bonifacio', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.63275284455569 48.0305355255604,-4.63331449710633 48.0256512333875,-4.63528561787588 48.0209342690036,-4.63859011270672 48.0165658375449,-4.64310075027605 48.0127137108448,-4.64864408815255 48.0095257959784,-4.65500715337291 48.0071244707453,-4.66194561852095 48.0056019008165,-4.66919316040252 48.0050165154639,-4.67647164633883 48.0053907746411,-4.68350176396151 48.0067103113379,-4.69001369490615 48.0089244813365,-4.69575743133076 48.0119482996003,-4.70051234675564 48.0156656903676,-4.70409565902079 48.0199339284482,-4.70636946252562 48.0245891039913,-4.70724605832151 48.0294524037659,-4.70669137263169 48.0343369702607,-4.70472632510988 48.0390550769367,-4.70142608531736 48.0434253447543,-4.69691723678561 48.0472797223114,-4.69137294958013 48.0504699598604,-4.68500634118986 48.0528733259942,-4.67806227844592 48.0543973443331,-4.67080793672602 48.0549833650976,-4.66352248392372 48.0546088315981,-4.65648629305071 48.0532881526081,-4.64997010706925 48.0510721462494,-4.64422458161182 48.048046077128,-4.63947061552109 48.0443263636785,-4.63589084642844 48.0400560846982,-4.63362264051799 48.0353994607463,-4.63275284455569 48.0305355255604)))', 'FRBR2', 'Bestrée', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.03499814659172 44.6294029264338,-1.03583519461615 44.6245383592036,-1.03798479278035 44.6198838428283,-1.04136406996988 44.615618172806,-1.04584299781472 44.6119051722753,-1.05124941256764 44.6088874122438,-1.05737563742455 44.6066807505355,-1.06398644988556 44.6053698966087,-1.07082809005106 44.6050051700843,-1.07763796840817 44.6056005754532,-1.08415470672667 44.6071332656716,-1.09012813381751 44.6095444149896,-1.09532885942847 44.6127414682539,-1.09955706443382 44.6166016819598,-1.10265017334425 44.6209768233651,-1.10448911528433 44.6256988497864,-1.10500293084019 44.6305863524416,-1.10417154305086 44.6354515193297,-1.10202657937289 44.6401073508793,-1.09865020536243 44.6443748513695,-1.09417200740638 44.6480899189895,-1.08876403813219 44.6511096680361,-1.08263421100499 44.6533179378759,-1.07601829693743 44.6546297742269,-1.0691708325029 44.6549947079026,-1.06235529390727 44.6543987028753,-1.0558339211015 44.6528646974816,-1.04985759083353 44.6504517176949,-1.04465613533758 44.6472525973411,-1.04042948485692 44.6433903946205,-1.03733997821783 44.6390136450847,-1.03550613788235 44.6342906362401,-1.03499814659172 44.6294029264338)))', 'FRBR5', 'La Barbotière', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.96348598761912 46.969675254171,-1.96428172372368 46.9648053954418,-1.96644968912011 46.9601353463271,-1.96990626439083 46.9558444978383,-1.97451841768844 46.952097635022,-1.98010884703619 46.9490386210898,-1.98646280289937 46.9467848880928,-1.99333632751177 46.9454229429359,-2.00046559637855 46.9450050585753,-2.00757700808495 46.94554727519,-2.01439764206995 46.9470287866311,-2.02066569105198 46.9493927352953,-2.02614047564455 46.9525483855846,-2.03061166335931 46.9563745941759,-2.03390734230628 46.9607244462599,-2.03590064075404 46.9654308824981,-2.03651463620893 46.9703131033271,-2.03572536030538 46.9751835068883,-2.03356277663176 46.9798548955071,-2.03010968528749 46.9841476742451,-2.02549858772326 46.9878967641931,-2.019906625189 46.9909579630788,-2.01354878063221 46.9932135062118,-2.00666960383712 46.99457661111,-1.9995337797926 46.9949948282568,-1.9924159078808 46.9944520668098,-1.98558989217141 46.9929692158634,-1.97931835926509 46.9906033369489,-1.97384251894376 46.9874454595275,-1.96937286441989 46.9836170659832,-1.9660810741681 46.9792654037644,-1.96409342790089 46.974557807786,-1.96348598761912 46.969675254171)))', 'FRBS3', 'Les Brochets', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.514765776174314 45.0322382386538,-0.515653770766644 45.0273789044923,-0.517861264457646 45.0227357478876,-0.521303159660051 45.0184871243476,-0.525847023796547 45.0147961989542,-0.531318203237833 45.0118046923306,-0.537506540456892 45.0096274525801,-0.544174435483789 45.0083480590307,-0.55106594412735 45.008015624111,-0.557916568281494 45.0086429141735,-0.564463368979234 45.0102058602444,-0.570455021354268 45.0126444772958,-0.575661432627131 45.0158651575768,-0.579882559615866 45.0197442516643,-0.582956090699094 45.0241328020775,-0.584763697888409 45.0288622503002,-0.585235616568136 45.0337509005263,-0.584353371998943 45.0386108938436,-0.582150540907325 45.0432554261136,-0.578711511042273 45.0475059323958,-0.574168278758996 45.0511989609781,-0.568695401492014 45.0541924710459,-0.562503295246158 45.0563713094895,-0.555830133791318 45.0576516535943,-0.548932663085047 45.0579842462181,-0.542076288904286 45.057356296999,-0.535524825606208 45.0557919752619,-0.529530307895954 45.0533514754674,-0.524323264773839 45.0501286919973,-0.520103835614283 45.0462475944662,-0.517034073558807 45.0418574453608,-0.515231732795303 45.0371270465835,-0.514765776174314 45.0322382386538)))', 'FRBSG', 'Bourg-sur-Gironde', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.54498045942548 49.0665268848418,-1.54585322363519 49.0616624475981,-1.54815305019856 49.0570033250174,-1.55179121912898 49.0527284803795,-1.55662770153321 49.0490020740178,-1.56247657360231 49.0459671729316,-1.56911317065123 49.0437402735909,-1.57628270493729 49.0424068452622,-1.5837100185225 49.0420180620582,-1.59111010223429 49.0425888467852,-1.59819898485888 49.0440973001861,-1.60470458373064 49.0464855370992,-1.61037710917039 49.0496618982218,-1.61499863075589 49.0535044544071,-1.6183914428214 49.0578656715694,-1.62042490916757 49.0625780600774,-1.62102052161433 49.0674605946094,-1.62015497221869 49.0723256603016,-1.61786111272611 49.0769862598684,-1.6142267546911 49.0812632051726,-1.60939134683203 49.0849920160736,-1.60354064936686 49.0880292595028,-1.59689960487949 49.0902580823897,-1.58972367819441 49.091592722625,-1.58228900043499 49.091981821594,-1.57488170190383 49.0914104084178,-1.5677868522067 49.0899004780294,-1.56127744244231 49.0875101404489,-1.55560384246309 49.0843313747866,-1.55098414627894 49.0804864762589,-1.54759578165366 49.0761233355517,-1.54556870770374 49.0714097351383,-1.54498045942548 49.0665268848418)))', 'FRBVM', 'Blainville-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.614711507601098 45.1162680238093,-0.615592656631052 45.1114078275539,-0.617795654477129 45.1067626985431,-0.621235574364073 45.1025110683388,-0.625780057790778 45.0988162175556,-0.631254425900259 45.0958200173907,-0.637448397820177 45.0936374958187,-0.644124156979862 45.0923524344989,-0.651025457664974 45.0920141629748,-0.657887426806095 45.0926356712589,-0.664446691238929 45.0941931120841,-0.670451449080962 45.0966267117298,-0.675671105751679 45.0998430552714,-0.679905110488328 45.1037186602192,-0.682990657597024 45.1081047036767,-0.684808957388078 45.1128327241143,-0.685289833647685 45.1177210812904,-0.684414466062911 45.1225819281935,-0.682216165294649 45.1272284283671,-0.678779143030852 45.1314819415026,-0.674235316635306 45.1351789003264,-0.668759264937092 45.138177112711,-0.66256152511891 45.1403612443398,-0.655880487379571 45.1416472684365,-0.648973201049776 45.1419857088835,-0.642105450459953 45.1413635499512,-0.635541488948316 45.1398047379621,-0.629533833485263 45.1373692553843,-0.624313519787381 45.134150803802,-0.620081198642986 45.1302731866349,-0.616999419433541 45.1258855331217,-0.615186398220016 45.121156549908,-0.614711507601098 45.1162680238093)))', 'FRBYE', 'Blaye', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.63275284455569 48.0305355255604,-4.63331449710633 48.0256512333875,-4.63528561787588 48.0209342690036,-4.63859011270672 48.0165658375449,-4.64310075027605 48.0127137108448,-4.64864408815255 48.0095257959784,-4.65500715337291 48.0071244707453,-4.66194561852095 48.0056019008165,-4.66919316040252 48.0050165154639,-4.67647164633883 48.0053907746411,-4.68350176396151 48.0067103113379,-4.69001369490615 48.0089244813365,-4.69575743133076 48.0119482996003,-4.70051234675564 48.0156656903676,-4.70409565902079 48.0199339284482,-4.70636946252562 48.0245891039913,-4.70724605832151 48.0294524037659,-4.70669137263169 48.0343369702607,-4.70472632510988 48.0390550769367,-4.70142608531736 48.0434253447543,-4.69691723678561 48.0472797223114,-4.69137294958013 48.0504699598604,-4.68500634118986 48.0528733259942,-4.67806227844592 48.0543973443331,-4.67080793672602 48.0549833650976,-4.66352248392372 48.0546088315981,-4.65648629305071 48.0532881526081,-4.64997010706925 48.0510721462494,-4.64422458161182 48.048046077128,-4.63947061552109 48.0443263636785,-4.63589084642844 48.0400560846982,-4.63362264051799 48.0353994607463,-4.63275284455569 48.0305355255604)))', 'FRBZB', 'Brézellec', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.56215981015997 48.8295341758758,-1.56302628181063 48.8246693594062,-1.56531317190857 48.8200095904152,-1.56893226186681 48.8157338577863,-1.57374425858724 48.8120063570131,-1.57956417978175 48.8089701983034,-1.5861684717479 48.8067419275481,-1.59330358473488 48.8054070675826,-1.60069567875891 48.8050168480455,-1.60806109265041 48.8055862470163,-1.61511718227407 48.8070934181214,-1.6215931209185 48.8094805247177,-1.62724025611655 48.8126559499069,-1.63184163261135 48.8164977993591,-1.63522032046854 48.8208585650554,-1.63724622973888 48.8255707738453,-1.63784114749389 48.8304534068012,-1.63698179796243 48.8353188451991,-1.63470079991263 48.8399800777995,-1.6310854749209 48.8442578928981,-1.62627454290274 48.8479877779642,-1.6204528240538 48.8510262598034,-1.61384414575199 48.853256438849,-1.60670272552756 48.8545925017455,-1.59930336358463 48.8549830357187,-1.59193082756876 48.8544130148191,-1.58486884589523 48.8529043801032,-1.578389142287 48.8505151910361,-1.57274094239224 48.8473373815535,-1.56814136355704 48.8434932089725,-1.56476706203726 48.8391305349872,-1.56274746000164 48.8344171232674,-1.56215981015997 48.8295341758758)))', 'FRC2H', 'Chausey', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.0949064055047 44.7794197831863,-1.09574103709265 44.7745548486831,-1.09789183600285 44.7698993326481,-1.10127588244631 44.7656320689092,-1.10576296281743 44.761916941498,-1.11118059898768 44.758896602592,-1.11732068287146 44.7566870084285,-1.12394746036791 44.7553729804458,-1.13080655993475 44.7550049596164,-1.13763472359336 44.7555970765858,-1.14416987313548 44.7571266104874,-1.15016113236897 44.7595348569519,-1.15537842772204 44.762729372732,-1.1596213043944 44.7665875124013,-1.16272662312939 44.7709611236127,-1.16457484284724 44.7756822232009,-1.16509464571178 44.7805694386287,-1.16426572218142 44.7854349693781,-1.16211960229063 44.7900918020901,-1.15873849349034 44.794360902485,-1.15425216215619 44.7980781069171,-1.14883297238179 44.8011004470014,-1.14268926877413 44.8033116618393,-1.13605735650397 44.8046266832592,-1.12919238883679 44.8049949190466,-1.12235851711711 44.8044022058306,-1.11581868855451 44.8028713552509,-1.1098244916798 44.8004612721295,-1.1046064472936 44.7972646793282,-1.10036512422887 44.7934045384812,-1.09726342521884 44.7890293065964,-1.09542034027273 44.7843072135718,-1.0949064055047 44.7794197831863)))', 'FRCA5', 'Le Canon', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.03499814659172 44.6294029264338,-1.03583519461615 44.6245383592036,-1.03798479278035 44.6198838428283,-1.04136406996988 44.615618172806,-1.04584299781472 44.6119051722753,-1.05124941256764 44.6088874122438,-1.05737563742455 44.6066807505355,-1.06398644988556 44.6053698966087,-1.07082809005106 44.6050051700843,-1.07763796840817 44.6056005754532,-1.08415470672667 44.6071332656716,-1.09012813381751 44.6095444149896,-1.09532885942847 44.6127414682539,-1.09955706443382 44.6166016819598,-1.10265017334425 44.6209768233651,-1.10448911528433 44.6256988497864,-1.10500293084019 44.6305863524416,-1.10417154305086 44.6354515193297,-1.10202657937289 44.6401073508793,-1.09865020536243 44.6443748513695,-1.09417200740638 44.6480899189895,-1.08876403813219 44.6511096680361,-1.08263421100499 44.6533179378759,-1.07601829693743 44.6546297742269,-1.0691708325029 44.6549947079026,-1.06235529390727 44.6543987028753,-1.0558339211015 44.6528646974816,-1.04985759083353 44.6504517176949,-1.04465613533758 44.6472525973411,-1.04042948485692 44.6433903946205,-1.03733997821783 44.6390136450847,-1.03550613788235 44.6342906362401,-1.03499814659172 44.6294029264338)))', 'FRCA7', 'Le Canal', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.56256798311148 48.2835148099461,-4.56313849103378 48.278630965578,-4.56512522376707 48.2739152293314,-4.56845148295019 48.2695487581474,-4.57298919837088 48.2656992473034,-4.57856388663841 48.2625145020859,-4.58496137181832 48.2601167773765,-4.59193600746518 48.2585980996913,-4.59922008542256 48.2580167483779,-4.60653407457258 48.2583950285102,-4.61359730351866 48.2597184191725,-4.62013868569487 48.2619361290364,-4.62590708397523 48.2649630382519,-4.63068092452921 48.2686829535363,-4.63427669612449 48.2729530537954,-4.63655601065493 48.2776093584076,-4.63743095233659 48.2824730111033,-4.63686750532756 48.2873571406649,-4.63488692061717 48.292074036728,-4.63156496058639 48.29644236578,-4.62702904094017 48.3002941497003,-4.62145337167782 48.3034812371474,-4.61505227808018 48.3058810166563,-4.60807195594104 48.3074011488859,-4.60078097913404 48.3079831330474,-4.59345992906546 48.3076045677211,-4.58639055209385 48.3062800172413,-4.57984487076687 48.3040604495081,-4.5740746767169 48.3010312672156,-4.56930181716306 48.297309009702,-4.56570965398813 48.2930368546446,-4.5634360259484 48.2883790954892,-4.56256798311148 48.2835148099461)))', 'FRCAM', 'Camaret-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((1.52189736595091 50.1835015329353,1.52130041251651 50.178619371345,1.51923197982269 50.1739057773476,1.51577194388681 50.1695418202244,1.51105354169914 50.165695090776,1.50525821008326 50.1625132782079,1.49860859637915 50.1601185155757,1.49136001205571 50.1586027078928,1.48379065616264 50.1580240191604,1.47619097901283 50.1584046504626,1.46885258654266 50.1597299924994,1.4620571017184 50.1619491842608,1.456065400788 50.1649770567904,1.45110762909673 50.1686973889709,1.44737437389841 50.1729673528194,1.44500933075158 50.1776229806477,1.44410374672136 50.1824854472739,1.44469285915675 50.1873679287521,1.44675447517693 50.1920827760962,1.45020975654061 50.1964487292147,1.45492619009846 50.2002978934349,1.46072263873424 50.2034822088796,1.46737628505318 50.2058791614527,1.47463120365802 50.2073965127421,1.48220823116171 50.2079758637461,1.48981574931692 50.2075949125555,1.49716095846388 50.2062683171706,1.5039611978584 50.2040471294125,1.50995486741273 50.2010168221104,1.51491152207771 50.1972939870538,1.51864074465806 50.1930218332656,1.52099945352543 50.1883646618323,1.52189736595091 50.1835015329353)))', 'FRCAY', 'Cayeux-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.39857530120527 43.6325228246201,-1.39936624309 43.6276541313231,-1.40144935612196 43.6229910362608,-1.4047443348891 43.6187126686953,-1.40912439524653 43.6149833442632,-1.41442117081426 43.611946265587,-1.42043118968407 43.6097180362969,-1.42692368148017 43.6083841966714,-1.43364941663133 43.6079959499359,-1.44035024259143 43.6085682029714,-1.44676895683701 43.6100789954569,-1.45265914445168 43.6124703390784,-1.45779460930289 43.6156504352698,-1.46197804220455 43.6194971878784,-1.46504859667092 43.6238628780554,-1.46688808217142 43.6285798243226,-1.46742553508405 43.6334668128391,-1.46663998731228 43.6383360528347,-1.46456131987144 43.6430003912194,-1.46126916137282 43.6472805094469,-1.45688986660067 43.6510118253582,-1.45159168538079 43.6540508331463,-1.44557830361851 43.6562806354911,-1.4390810036593 43.6576154526305,-1.43234974707399 43.6580039325215,-1.42564352699774 43.657431132787,-1.41922036716002 43.6559190969781,-1.41332735927852 43.6535260026938,-1.40819112884548 43.6503439150229,-1.40400910159915 43.6464952333028,-1.40094191002629 43.642127970072,-1.3991072326872 43.6374100462918,-1.39857530120527 43.6325228246201)))', 'FRCBT', 'Capbreton', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.98283649226171 47.9003241218639,-3.98345824102795 47.895442515622,-3.98548391371978 47.890736253526,-3.98883532709344 47.8863861262738,-3.99338345605579 47.8825592003723,-3.99895342724193 47.8794024140762,-4.00533125308627 47.877036950157,-4.01227204554116 47.8755535987869,-4.01950939529395 47.8750092857282,-4.02676556086708 47.8754248966396,-4.03376208345235 47.8767844793088,-4.04023042843987 47.8790358537309,-4.04592225370777 47.8820926070367,-4.05061891785574 47.8858373981661,-4.05413986837141 47.8901264477314,-4.0563495895423 47.8947950434815,-4.05716284171832 47.8996638528168,-4.05654798583531 47.9045458024011,-4.05452825804425 47.9092532623318,-4.05118093653217 47.9136052595515,-4.04663442344299 47.9174344428682,-4.04106334613854 47.9205935303562,-4.03468186057981 47.9229609889085,-4.02773541197226 47.9244457246874,-4.02049127072689 47.9249906011672,-4.01322821226548 47.9245746469129,-4.00622574477708 47.9232138664079,-3.99975330792969 47.920960622017,-3.9940598667934 47.9179016112955,-3.98936430876879 47.9141545189746,-3.98584701796988 47.9098634747774,-3.98364295294993 47.9051934946196,-3.98283649226171 47.9003241218639)))', 'FRCC5', 'Cap Coz', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.91343201396758 47.0496588622949,-1.91423361128234 47.0447894662405,-1.91640928347842 47.0401204921583,-1.91987511406073 47.0358312892885,-1.92449771524348 47.0320865789707,-1.93009938396841 47.0290301412927,-1.93646493982438 47.0267793090205,-1.94334998077287 47.0254204774716,-1.95049024149462 47.0250058000169,-1.95761169987444 47.025551193838,-1.96444105068244 47.0270357310665,-1.97071615256684 47.0294024382769,-1.97619605536899 47.0325604743286,-1.98067022949115 47.0363886046197,-1.98396664723483 47.0407398407732,-1.98595840696938 47.0454470703769,-1.98656864358923 47.0503294633109,-1.98577353146391 47.0551994108607,-1.9836032570399 47.0598697324973,-1.98014091505079 47.0641608738278,-1.97551936217518 47.0679078183998,-1.96991614187509 47.0709664459807,-1.96354667077393 47.0732190904114,-1.95665594697048 47.0745790804895,-1.94950910094763 47.0749940864683,-1.94238115737397 47.0744481411513,-1.93554640879232 47.0729622563673,-1.92926781831691 47.070593610695,-1.92378686721227 47.0674333403888,-1.91931424466968 47.0636030201953,-1.91602174217276 47.0592499718845,-1.91403566529099 47.0545415837526,-1.91343201396758 47.0496588622949)))', 'FRCE9', 'Le Collet', 'Y'),('SRID=4326;MULTIPOLYGON(((7.05137061943923 43.5505911901623,7.05086740973892 43.5457028191123,7.0490629488338 43.5409797652668,7.04602685570746 43.5366034794234,7.04187599967797 43.5327420519562,7.03676997974246 43.5295437665765,7.03090497858966 43.5271314184186,7.02450622936837 43.5255976122926,7.01781938378493 43.5250012191785,7.01110110964377 43.52536512483,7.00460927342645 43.5266753553438,6.99859307818746 43.5288816125346,6.99328352855316 43.5318991987867,6.98888458291844 43.5356122586334,6.9855653283606 43.5398782145048,6.9834534770045 43.5445332286837,6.98263043461231 43.5493984841854,6.98312813445469 43.5542870455205,6.98492776385611 43.5590110373802,6.98796043938527 43.5633888661631,6.99210981202247 43.5672522065965,6.99721650860429 43.5704524837378,7.00308424342949 43.5728665992246,7.00948736717279 43.5744016791872,7.01617956214634 43.574998658715,7.02290334614889 43.5746345627782,7.02940001387167 43.5733233942492,7.03541962670691 43.5711155941181,7.04073065973039 43.5680960948992,7.04512892871534 43.5643810432912,7.04844544959902 43.5601133200917,7.05055292643404 43.5554570320772,7.05137061943923 43.5505911901623)))', 'FRCEQ', 'Cannes', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.61152727008703 49.6495449687042,-1.61240505280922 49.6446805398724,-1.61472710803495 49.6400207351096,-1.6184038497342 49.6357445425714,-1.62329375862642 49.6320161721643,-1.62920885466684 49.628978763592,-1.63592193057063 49.6267489067879,-1.64317526698135 49.6254121820895,-1.65069049686364 49.6250198884115,-1.65817924606037 49.6255870825825,-1.66535414973736 49.627092003571,-1.67193983130095 49.6294769032959,-1.67768343162556 49.6326502529206,-1.68236429205075 49.6364902417982,-1.68580242424623 49.6408494374034,-1.68786544298907 49.6455604303806,-1.68847369305059 49.6504422509213,-1.68760336722045 49.6553073124904,-1.68528748701485 49.6599686177225,-1.68161469837336 49.6642469500294,-1.67672591875871 49.6679777737446,-1.67080895629207 49.6710175756704,-1.66409130240355 49.673249401507,-1.65683137340583 49.6745873711492,-1.64930853999653 49.6749799961507,-1.64181233390214 49.6744121692417,-1.63463125520313 49.6729057477825,-1.6280416205847 49.6705187082875,-1.62229689098856 49.6673429053544,-1.61761789699519 49.6635005231239,-1.61418434278634 49.6591393584876,-1.61212791662758 49.6544271205679,-1.61152727008703 49.6495449687042)))', 'FRCER', 'Cherbourg', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.0949064055047 44.7794197831863,-1.09574103709265 44.7745548486831,-1.09789183600285 44.7698993326481,-1.10127588244631 44.7656320689092,-1.10576296281743 44.761916941498,-1.11118059898768 44.758896602592,-1.11732068287146 44.7566870084285,-1.12394746036791 44.7553729804458,-1.13080655993475 44.7550049596164,-1.13763472359336 44.7555970765858,-1.14416987313548 44.7571266104874,-1.15016113236897 44.7595348569519,-1.15537842772204 44.762729372732,-1.1596213043944 44.7665875124013,-1.16272662312939 44.7709611236127,-1.16457484284724 44.7756822232009,-1.16509464571178 44.7805694386287,-1.16426572218142 44.7854349693781,-1.16211960229063 44.7900918020901,-1.15873849349034 44.794360902485,-1.15425216215619 44.7980781069171,-1.14883297238179 44.8011004470014,-1.14268926877413 44.8033116618393,-1.13605735650397 44.8046266832592,-1.12919238883679 44.8049949190466,-1.12235851711711 44.8044022058306,-1.11581868855451 44.8028713552509,-1.1098244916798 44.8004612721295,-1.1046064472936 44.7972646793282,-1.10036512422887 44.7934045384812,-1.09726342521884 44.7890293065964,-1.09542034027273 44.7843072135718,-1.0949064055047 44.7794197831863)))', 'FRCFP', 'Cap-Ferret', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.311921246983469 49.1821193483524,-0.3129167457251 49.1772666354684,-0.315336818992251 49.1726344400175,-0.319088135273761 49.1684006838849,-0.324026332629593 49.1647279439674,-0.329961596891936 49.1617572233086,-0.336665962397855 49.1596025534592,-0.343882053773112 49.1583466322991,-0.351332935705683 49.1580376619275,-0.358732698421758 49.1586875057291,-0.365797380712369 49.1602712340117,-0.372255820491033 49.1627280754444,-0.377860025283625 49.1659637387314,-0.382394671722836 49.1698540173788,-0.385685373664472 49.1742495418719,-0.387605402224755 49.1789814998269,-0.388080596723076 49.1838681073369,-0.387092271637005 49.1887215852666,-0.384677999211999 49.1933553738644,-0.38093022783387 49.1975913087034,-0.375992779762553 49.2012664811986,-0.370055355092808 49.2042395179687,-0.363346248388904 49.2063960348557,-0.356123556829207 49.2076530527848,-0.34866522054469 49.2079622026834,-0.341258284167954 49.2073115938355,-0.334187801033874 49.2057262724046,-0.327725816355058 49.2032672522643,-0.322120862283841 49.2000291563992,-0.317588376257135 49.1961365616414,-0.314302415514811 49.191739190112,-0.312388987135737 49.1870061353891,-0.311921246983469 49.1821193483524)))', 'FRCFR', 'Caen', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.22229974737845 48.6317516007575,-2.22309898822788 48.626881351075,-2.22531588152563 48.6222080051864,-2.22886489643317 48.6179110776835,-2.23360942667399 48.6141555815795,-2.23936707353595 48.6110857045378,-2.24591666574992 48.6088192881918,-2.25300674493137 48.6074433196168,-2.2603651926524 48.6070106051745,-2.26770963470669 48.6075377520225,-2.27475823078974 48.6090045332204,-2.28124044431789 48.6113546603318,-2.28690738777336 48.6144979345423,-2.29154135378019 48.6183136954469,-2.29496417073901 48.6226554376194,-2.29704406357588 48.6273564206385,-2.29770075390371 48.6322360600317,-2.29690859814656 48.6371068560957,-2.29469763498556 48.6417815959985,-2.29115249245008 48.6460805529225,-2.28640918728255 48.6498384048938,-2.28064993168766 48.6529106055897,-2.2740961418484 48.6551789596214,-2.2669999151993 48.6565561849183,-2.259634306065 48.6569892837938,-2.25228277891325 48.6564615905638,-2.24522825269153 48.6549934153504,-2.23874216679376 48.6526412588168,-2.23307399827038 48.6494956287384,-2.22844164100166 48.6456775441802,-2.22502302167006 48.6413338643233,-2.2229492762984 48.6366316245835,-2.22229974737845 48.6317516007575)))', 'FRCG2', 'St-Cast-le-Guildo', 'Y'),('SRID=4326;MULTIPOLYGON(((8.6136112833768 42.1301181076548,8.61299516033146 42.1252348896938,8.61111132946616 42.1205349546783,8.6080324317341 42.1161988602903,8.60387695399045 42.1123931516439,8.59880465034347 42.1092639745364,8.59301039362146 42.1069314751857,8.58671669462487 42.105485199232,8.58016517539605 42.1049806643694,8.57360732049693 42.1054372362256,8.56729485615265 42.1068373876982,8.56147012038339 42.1091273696741,8.55635678755097 42.112219267786,8.55215129808732 42.1159943674948,8.54901531889077 42.1203077002115,8.54706952267429 42.1249935981805,8.54638892649561 42.1298720471117,8.54699997224364 42.1347555945466,8.54887946683233 42.1394565499259,8.55195542946701 42.1437942002265,8.55610982013472 42.147601763461,8.56118305022528 42.1507328114878,8.56698010586841 42.1530669132587,8.57327805015357 42.1545142791791,8.57983461473143 42.1550192256173,8.58639754693082 42.1545623242869,8.592714347553 42.1531611524497,8.5985420184185 42.1508696145604,8.60365643832397 42.14777586186,8.60786100134108 42.1439988912322,8.61099418161523 42.1396839560962,8.61293573254428 42.1349969681613,8.6136112833768 42.1301181076548)))', 'FRCG3', 'Cargèse', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.96348598761912 46.969675254171,-1.96428172372368 46.9648053954418,-1.96644968912011 46.9601353463271,-1.96990626439083 46.9558444978383,-1.97451841768844 46.952097635022,-1.98010884703619 46.9490386210898,-1.98646280289937 46.9467848880928,-1.99333632751177 46.9454229429359,-2.00046559637855 46.9450050585753,-2.00757700808495 46.94554727519,-2.01439764206995 46.9470287866311,-2.02066569105198 46.9493927352953,-2.02614047564455 46.9525483855846,-2.03061166335931 46.9563745941759,-2.03390734230628 46.9607244462599,-2.03590064075404 46.9654308824981,-2.03651463620893 46.9703131033271,-2.03572536030538 46.9751835068883,-2.03356277663176 46.9798548955071,-2.03010968528749 46.9841476742451,-2.02549858772326 46.9878967641931,-2.019906625189 46.9909579630788,-2.01354878063221 46.9932135062118,-2.00666960383712 46.99457661111,-1.9995337797926 46.9949948282568,-1.9924159078808 46.9944520668098,-1.98558989217141 46.9929692158634,-1.97931835926509 46.9906033369489,-1.97384251894376 46.9874454595275,-1.96937286441989 46.9836170659832,-1.9660810741681 46.9792654037644,-1.96409342790089 46.974557807786,-1.96348598761912 46.969675254171)))', 'FRCH9', 'Les Champs', 'Y'),('SRID=4326;MULTIPOLYGON(((0.190438119075504 49.6519398062088,0.18998003739559 49.6470530153343,0.188062725605184 49.6423181303355,0.184760251317175 49.6379170475756,0.180199805276331 49.6340187920111,0.174556771232255 49.6307730378334,0.168047966634726 49.6283043768941,0.160923316815902 49.6267075520877,0.153456281619725 49.6260438356282,0.14593339763842 49.6263386884918,0.138643330181694 49.6275807888415,0.131865846096453 49.6297224657259,0.125861121196108 49.6326815215988,0.120859784306522 49.6363443750471,0.117054074078127 49.6405704053862,0.114590445379332 49.6451973352375,0.113563910274375 49.6500474474847,0.114014335705111 49.6549344006295,0.115924847885742 49.6596703828088,0.119222414381577 49.6640733306238,0.123780591615002 49.6679739351806,0.129424341242924 49.6712221646752,0.135936736875754 49.6736930504114,0.143067306479508 49.6752915107892,0.150541688976373 49.6759560245935,0.158072229213039 49.6756610094592,0.165369096282996 49.6744178119278,0.172151488159104 49.6722742699869,0.178158481861569 49.6693128651209,0.183159103161119 49.665647536356,0.186961222350761 49.6614192812213,0.189418931265933 49.6567907158,0.190438119075504 49.6519398062088)))', 'FRCIF', 'Cap-d''Antifer', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.06395965078682 46.2823951985688,-1.06482383912119 46.27753211803,-1.06703941005448 46.2728793385912,-1.07052093292222 46.2686155849628,-1.07513443463479 46.2649046007076,-1.0807025754935 46.26188887243,-1.08701147107267 46.2596841730187,-1.09381889700163 46.2583751307712,-1.10086356359108 46.2580119919137,-1.10787510904179 46.2586086987018,-1.11458443448382 46.2601423555935,-1.12073399198304 46.2625541037116,-1.12608763823268 46.2657513708089,-1.13043968189373 46.2696114120788,-1.13362278108823 46.2739860082678,-1.1355143886528 46.2787071434102,-1.13604149530872 46.2835934467653,-1.13518348337129 46.2884571536565,-1.13297297405202 46.2931113191117,-1.1294946274308 46.2973770074125,-1.124881933042 46.3010901804598,-1.11931210767565 46.3041080184256,-1.11299929220758 46.3063144272401,-1.10618630777574 46.3076245183645,-1.09913529030159 46.3079878858903,-1.09211756844995 46.3073905527493,-1.08540318139267 46.30585550984,-1.07925044764919 46.3034418270486,-1.07389599408019 46.3002423711589,-1.06954563493077 46.2963802202014,-1.0663664556264 46.2920039146102,-1.06448040656246 46.2872817305919,-1.06395965078682 46.2823951985688)))', 'FRCJH', 'Charron', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.0949064055047 44.7794197831863,-1.09574103709265 44.7745548486831,-1.09789183600285 44.7698993326481,-1.10127588244631 44.7656320689092,-1.10576296281743 44.761916941498,-1.11118059898768 44.758896602592,-1.11732068287146 44.7566870084285,-1.12394746036791 44.7553729804458,-1.13080655993475 44.7550049596164,-1.13763472359336 44.7555970765858,-1.14416987313548 44.7571266104874,-1.15016113236897 44.7595348569519,-1.15537842772204 44.762729372732,-1.1596213043944 44.7665875124013,-1.16272662312939 44.7709611236127,-1.16457484284724 44.7756822232009,-1.16509464571178 44.7805694386287,-1.16426572218142 44.7854349693781,-1.16211960229063 44.7900918020901,-1.15873849349034 44.794360902485,-1.15425216215619 44.7980781069171,-1.14883297238179 44.8011004470014,-1.14268926877413 44.8033116618393,-1.13605735650397 44.8046266832592,-1.12919238883679 44.8049949190466,-1.12235851711711 44.8044022058306,-1.11581868855451 44.8028713552509,-1.1098244916798 44.8004612721295,-1.1046064472936 44.7972646793282,-1.10036512422887 44.7934045384812,-1.09726342521884 44.7890293065964,-1.09542034027273 44.7843072135718,-1.0949064055047 44.7794197831863)))', 'FRCL6', 'Claouey', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.06227459530916 48.6703540908217,-4.06289695050704 48.6654726886695,-4.06494478720416 48.6607654771532,-4.06833905530262 48.6564132819399,-4.07294907193185 48.6525832463281,-4.07859758038528 48.6494224246434,-4.08506757654149 48.6470521510693,-4.09211063826169 48.6455633972696,-4.0994564392075 48.6450132941102,-4.10682308647589 48.6454229484647,-4.11392789249639 48.6467766371419,-4.12049817648991 48.6490224081463,-4.12628168979936 48.6520740666153,-4.13105627258769 48.6558144707097,-4.13463837643941 48.6601000133,-4.13689012763107 48.6647661202532,-4.13772465820971 48.6696335571311,-4.13710949508152 48.6745153046451,-4.13506786917277 48.6792237405499,-4.1316778850457 48.6835778527764,-4.12706957337465 48.6874102061786,-4.12141993130068 48.6905733935685,-4.11494613552745 48.6929457206053,-4.10789718665047 48.6944359030037,-4.10054430727473 48.6949865924066,-4.0931704679312 48.6945765926898,-4.08605945111976 48.6932216796229,-4.07948488315668 48.6909739916041,-4.07369966489417 48.687920015344,-4.06892621573184 48.6841772455449,-4.0653479114997 48.6798896494932,-4.06310204746302 48.6752221139424,-4.06227459530916 48.6703540908217)))', 'FRCL7', 'Cléder', 'Y'),('SRID=4326;MULTIPOLYGON(((8.79084600275871 42.5680667776754,8.79021201444747 42.563184842801,8.78830199578376 42.5584881157069,8.78518959854575 42.5541570290313,8.78099459903941 42.5503579334893,8.77587826958194 42.547236718893,8.77003717171641 42.5449132240065,8.76369561105105 42.5434766475846,8.75709704235711 42.5429821344638,8.7504947514137 42.5434486657874,8.74414216597473 42.5448583330188,8.73828316144207 42.5471570231216,8.73314272700789 42.5502564890336,8.72891834517485 42.5540377272372,8.725772412021 42.5583555347062,8.72382598804782 42.563044072576,8.72315412100886 42.56792322522,8.72378292421748 42.5728055124937,8.72568852832033 42.5775032909623,8.72879795361578 42.5818359679259,8.73299187624947 42.5856369505624,8.73810918784894 42.5887600617668,8.74395317734957 42.5910851740337,8.75029909891818 42.5925228423764,8.75690283387527 42.5930177557232,8.76351030992434 42.5925508720001,8.76986730992548 42.5911401533932,8.77572928639948 42.5888398730017,8.7808707977033 42.5857385199949,8.78509419739128 42.5819553851835,8.78823723890872 42.5776359603349,8.79017930197987 42.5729463305452,8.79084600275871 42.5680667776754)))', 'FRCLY', 'Calvi', 'Y'),('SRID=4326;MULTIPOLYGON(((9.53371694541777 42.3298480198866,9.53302787900099 42.3249702628845,9.53106987460509 42.3202859542834,9.52791842039785 42.3159750464896,9.52369478466269 42.3122031131842,9.51856133130928 42.3091150004414,9.51271527248849 42.3068292766795,9.50638109956075 42.3054336922535,9.49980198179786 42.3049818207319,9.49323045944043 42.3054910088911,9.486918783019 42.3069417128805,9.4811092634783 42.3092782456427,9.47602499727872 42.3124109074211,9.47186131729392 42.3162194189159,9.4687782943341 42.3205575272703,9.46689457621581 42.3252586103481,9.46628280255831 42.3301420663852,9.46696677538555 42.335020245528,9.46892050001245 42.3397056582436,9.47206913982699 42.3440181840343,9.47629185501184 42.3477920028941,9.48142642180341 42.3508819816901,9.4872754585406 42.3531692679143,9.49361402050245 42.3545658733407,9.50019827022621 42.3550180689627,9.50677488617612 42.3545084586624,9.51309084236769 42.3530566505577,9.51890317629975 42.3507184997977,9.52398836304663 42.3475839524646,9.52815092959034 42.3437735749171,9.53123097463262 42.3394339041012,9.53311030371812 42.3347318000237,9.53371694541777 42.3298480198866)))', 'FRCM5', 'Campoloro', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.3631303693245 47.4798011467461,-2.36389766218112 47.4749288102246,-2.36605194573214 47.4702515465535,-2.36951011454297 47.4659490246855,-2.37413906520302 47.4621864776356,-2.379760842944 47.4591083694922,-2.38615949040093 47.4568328632838,-2.39308933382734 47.4554472993289,-2.40028439031336 47.455004854909,-2.40746853964634 47.4555225111951,-2.41436607745542 47.4569804039654,-2.42071225287814 47.459322582572,-2.4262633945058 47.4624591486532,-2.43080624279753 47.4662696941342,-2.43416613515323 47.4706079089296,-2.4362137306971 47.475307184236,-2.43687001446242 47.4801869990177,-2.43610938358269 47.4850598467245,-2.43396068935594 47.4897384376745,-2.43050618629322 47.4940429008492,-2.42587841972771 47.4978077076875,-2.42025516415901 47.5008880500687,-2.41385260193696 47.5031654248218,-2.40691700279517 47.5045522071591,-2.39971522589942 47.504995034311,-2.39252441458491 47.5044768668392,-2.38562128744978 47.5030176467888,-2.3792714462811 47.5006735268744,-2.3737191205637 47.4975347010043,-2.36917775010434 47.4937219212861,-2.36582177251554 47.4893818379471,-2.36377993268491 47.4846813442595,-2.3631303693245 47.4798011467461)))', 'FRCM6', 'Camoël', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.41180493338316 49.3291504476722,-0.412794187074486 49.3242968708551,-0.415212724539748 49.3196626513209,-0.41896726960222 49.3154257887994,-0.423913333212052 49.3117489792487,-0.429860796991849 49.308773381463,-0.436581225949691 49.3066132135453,-0.443816628375248 49.3053513836933,-0.451289329150264 49.3050363201546,-0.458712583304381 49.3056801197412,-0.465801530638497 49.3072580846082,-0.472284080257374 49.3097096648471,-0.477911316193729 49.3129407716598,-0.48246703193065 49.3168273742965,-0.485776032163547 49.3212202453822,-0.487710883852573 49.3259506754727,-0.488196854370684 49.3308369402975,-0.487214840787179 49.3356912746226,-0.48480216901842 49.3403270862162,-0.481051222242318 49.3445661329724,-0.476105941701535 49.3482453864032,-0.470156326557009 49.3512233156561,-0.46343113932531 49.3533853476831,-0.456189096120532 49.3546482904923,-0.448708883060067 49.3549635463984,-0.441278388792932 49.3543189893031,-0.43418357576093 49.3527394323752,-0.427697427858926 49.3502856679005,-0.422069408859492 49.3470521172073,-0.417515844492499 49.3431631831042,-0.414211602534841 49.3387684479106,-0.412283391621793 49.3340369048641,-0.41180493338316 49.3291504476722)))', 'FRCM8', 'Courseulles-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.464658016222157 45.209220426537,-0.465553664895941 45.2043617739427,-0.467772654516782 45.1997199579479,-0.471229443630954 45.1954732818583,-0.475791026315792 45.1917848351293,-0.481282068299161 45.1887962423598,-0.487491650228357 45.1866222390383,-0.494181358175807 45.1853462797114,-0.501094412765973 45.1850173447175,-0.507965491110428 45.1856480661033,-0.514530871069367 45.1872142435051,-0.52053851587413 45.1896557683988,-0.525757719153889 45.1928789220729,-0.529987945875486 45.1967599608241,-0.533066533246986 45.2011498530779,-0.534874956508374 45.2058799891606,-0.535343416606713 45.2107686469487,-0.534453568490793 45.2156279670467,-0.532239278207529 45.220271170713,-0.528785371779306 45.2245197433818,-0.524224416265516 45.2282103068609,-0.51873165045631 45.2312009142954,-0.512518256140486 45.2333765234823,-0.50582322764671 45.2346534353962,-0.498904154355944 45.2349825246758,-0.492027275450094 45.2343511357858,-0.485457196152622 45.2327835707115,-0.479446668664087 45.2303401492376,-0.474226838217318 45.2271148788132,-0.469998335325088 45.2232318253975,-0.466923560341173 45.2188403272795,-0.465120457623932 45.2141092386107,-0.464658016222157 45.209220426537)))', 'FRCM9', 'St-Christoly-Medoc', 'Y'),('SRID=4326;MULTIPOLYGON(((9.38405406663793 42.9498908125477,9.38336944180322 42.945012663342,9.38140275859931 42.9403263375499,9.37822984751634 42.936011864449,9.37397280800687 42.9322349531921,9.36879529105473 42.9291406389542,9.36289620181625 42.9268477259513,9.35650206558027 42.9254442383548,9.34985834891655 42.9249840514192,9.34322006552208 42.9254848301925,9.33684202186231 42.9269273536437,9.33096907053858 42.9292562497321,9.32582673905215 42.93238211371,9.32161258828327 42.9361849297094,9.3184886289136 42.9405186662707,9.3165750859039 42.9452168717288,9.31594575207894 42.9500990569379,9.31662511334197 42.9549776221727,9.3185873619033 42.9596650634145,9.32175734240664 42.9639811815688,9.32601340155393 42.9677600170386,9.33119203761327 42.970856241705,9.33709417505507 42.9731507605064,9.34349282452944 42.9745553048032,9.35014183236669 42.9750158384673,9.35678537933595 42.9745146436647,9.36316785763952 42.9730710047629,9.3690437395415 42.9707404636202,9.37418705138695 42.9676126754291,9.37840008304554 42.9638079490016,9.38152099421065 42.9594726066425,9.38343002398333 42.9547733444851,9.38405406663793 42.9498908125477)))', 'FRCN5', 'Centuri', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.19532666517191 44.0694574117654,-1.19614105969016 44.0645908662278,-1.19825626538606 44.0599323514388,-1.20159073923444 44.0556608186606,-1.20601617773931 44.0519403187691,-1.211362472057 44.0489137133598,-1.21742425145095 44.0466972021646,-1.22396876269141 44.0453758744294,-1.23074478457377 44.045000452653,-1.23749223954557 44.0455853517553,-1.24395213954431 44.0471081269892,-1.24987649122887 44.0495103315297,-1.25503778715715 44.0526997515338,-1.25923772409775 44.0565539344463,-1.26231481719101 44.0609248772962,-1.26415061836254 44.0656446974653,-1.26467429812572 44.0705320705762,-1.26386541017692 44.0753991901859,-1.261754726072 44.0800589831343,-1.25842310046513 44.0843323035712,-1.25399840323294 44.0880548284661,-1.24865063036628 44.0910833879352,-1.24258537769669 44.0933014847584,-1.2360359272284 44.0946237882923,-1.2292542521191 44.0949994274814,-1.22250129057457 44.0944139543065,-1.21603686898381 44.0928899009123,-1.21010966905957 44.0904859087123,-1.20494763186221 44.0872944637045,-1.20074917347385 44.0834383267327,-1.19767555365728 44.0790657982557,-1.19584469171175 44.0743450022887,-1.19532666517191 44.0694574117654)))', 'FRCN6', 'Contis', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.8798589921743 47.8672906413327,-3.88049007116945 47.8624095073598,-3.88252384794436 47.8577049851975,-3.88588182921296 47.8533577982156,-3.89043473910768 47.8495348996803,-3.89600752214679 47.8463830730824,-3.90238608405928 47.8440233108529,-3.90932550939898 47.8425461845225,-3.9165594416798 47.8420083812409,-3.9238102704021 47.8424305371605,-3.9307997409073 47.8437964491566,-3.93725958820452 47.8460536944559,-3.94294179510977 47.8491156348236,-3.94762808823876 47.8528647298594,-3.95113831227569 47.8571570345224,-3.95333736282753 47.8618277109994,-3.95414041001598 47.8666973461172,-3.95351620729913 47.8715788341435,-3.95148835096361 47.876284562303,-3.94813443296276 47.8806336236241,-3.9435831105681 47.8844587794897,-3.93800919757783 47.8876129027509,-3.93162696028668 47.8899746513306,-3.92468187368342 47.891453151294,-3.91744115613056 47.891991506368,-3.91018345112495 47.8915689963945,-3.90318806017804 47.8902018784,-3.8967241496148 47.8879427587604,-3.89104035521428 47.8848785610619,-3.88635519204148 47.8811271693631,-3.88284864338552 47.8768328783511,-3.8806552540955 47.8721608282423,-3.8798589921743 47.8672906413327)))', 'FRCOC', 'Concarneau', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.73250748399789 48.3705708924088,-4.73306248578661 48.3656864613544,-4.73503663767111 48.3609680073115,-4.73835372182111 48.3565967923718,-4.74288601744532 48.3527406944213,-4.74845924651802 48.3495477717492,-4.75485928696435 48.347140592932,-4.76184039295937 48.3456115469034,-4.76913460772606 48.3450193103597,-4.77646201183406 48.3453866055529,-4.78354142061666 48.3466993327146,-4.79010112866199 48.3489071096009,-4.79588929775847 48.3519251977693,-4.80068359721164 48.3556377430585,-4.80429973178933 48.3599022081571,-4.80659853203953 48.3645548298972,-4.80749133333082 48.3694168946413,-4.80694343225209 48.3743015933332,-4.80497548011132 48.3790211947373,-4.80166275088458 48.3833942620868,-4.79713230236525 48.3872526354833,-4.79155813137303 48.3904479102219,-4.78515450338029 48.392857159645,-4.77816771038283 48.3943876795878,-4.77086657495256 48.3949805689637,-4.7635320701292 48.3946130061326,-4.75644646160016 48.3932991316085,-4.7498823986331 48.3910895023112,-4.74409238243662 48.3880691386961,-4.73929902490834 48.3843542413408,-4.73568647787977 48.3800877056374,-4.73339336463047 48.3754336099843,-4.73250748399789 48.3705708924088)))', 'FRCQ2', 'Le Conquet', 'Y'),('SRID=4326;MULTIPOLYGON(((1.87253953428801 50.9503884293869,1.8718977455669 50.9455084103176,1.86976155397072 50.9408012270813,1.86621345353345 50.9364476985271,1.86139007264388 50.9326150100993,1.85547688150039 50.9294503069988,1.84870104793743 50.927075061205,1.84132271865732 50.9255804255305,1.83362505919703 50.9250237498877,1.8259034297186 50.9254263907384,1.81845410384179 50.9267728958825,1.81156295353963 50.9290115950826,1.8054945242459 50.9320565743083,1.80048191076099 50.9357909594588,1.79671781659717 50.94007138608,1.79434713772971 50.9447334865972,1.79346135734807 50.9495981875592,1.79409497258905 50.9544785778361,1.79622409929846 50.9591870858922,1.7997673190066 50.9635426911868,1.80458874637191 50.9673778921111,1.81050320860378 50.9705451609597,1.81728334435756 50.9729226351408,1.82466835196209 50.9744188225902,1.83237404916555 50.9749761371511,1.84010385213097 50.9745731250923,1.8475602428978 50.973225295127,1.85445627392686 50.970984519185,1.8605266567384 50.967937027462,1.86553799912806 50.964200076564,1.86929779109781 50.9599174215568,1.8716617916431 50.9552537692664,1.87253953428801 50.9503884293869)))', 'FRCQF', 'Calais', 'Y'),('SRID=4326;MULTIPOLYGON(((6.11708482109523 43.0838644883052,6.11665864319888 43.0789738261804,6.11493920436549 43.0742380681659,6.11199285505166 43.0698391588962,6.10793301971975 43.065946062934,6.10291580796168 43.0627082842083,6.09713400131681 43.0602501367209,6.09080964896535 43.0586659842539,6.08418555618588 43.0580166294312,6.07751598936884 43.0583269885677,6.07105694934077 43.0595851399244,6.06505638002345 43.0617427810702,6.0597446816362 43.0647170778923,6.05532588671172 43.0683938352893,6.05196983344084 43.0726318696033,6.0498056349469 43.0772684171874,6.04891669603583 43.0821253738488,6.04933747216747 43.0870161277452,6.05105210062641 43.091752724913,6.05399496329154 43.0961530929644,6.05805316651132 43.1000480452505,6.06307084916872 43.1032877952341,6.06885515803496 43.105747728807,6.07518366298972 43.1073332102718,6.08181292655804 43.1079832346764,6.08848789514316 43.107672783768,6.09495174554756 43.1064137932572,6.10095580151287 43.1042546933289,6.10626913200938 43.1012785401824,6.11068745603116 43.0975998115277,6.11404100707879 43.0933599911289,6.11620105297015 43.088722114548,6.11708482109523 43.0838644883052)))', 'FRCQI', 'Carqueiranne', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.36149222921671 49.6994615082727,-1.36239592884022 49.6945992877014,-1.36474424107401 49.689944812279,-1.3684465722367 49.6856768639095,-1.37336042243734 49.6819593346346,-1.37929689532261 49.6789349470546,-1.38602796624479 49.6767197908629,-1.39329522821265 49.6753988822215,-1.40081978211691 49.675022913499,-1.40831289726788 49.6756063157259,-1.41548704127074 49.6771267066322,-1.42206686534864 49.6795257450848,-1.42779973270983 49.6827113599513,-1.43246539342001 49.6865612697273,-1.4358844391271 49.6909276604868,-1.43792521417914 49.6956428456108,-1.43850891506948 49.7005256929332,-1.43761267620099 49.7053885748984,-1.43527051468383 49.7100445762704,-1.43157208780893 49.7143146828338,-1.42665930107416 49.7180346739815,-1.42072088892848 49.7210614523156,-1.4139851712532 49.7232785641718,-1.40671126246523 49.7246006956557,-1.39917907359258 49.7249769682317,-1.39167849768101 49.7243929046102,-1.38449820295971 49.7228709877528,-1.37791447459705 49.720469791105,-1.37218054377608 49.7172817143652,-1.3675168223319 49.7134294138359,-1.36410242337971 49.7090610674133,-1.36206829514477 49.7043446594481,-1.36149222921671 49.6994615082727)))', 'FRCQV', 'Cosqueville', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.97103194217929 47.616996621565,-2.97174489995358 47.6121203464313,-2.97385073649732 47.6074317882546,-2.97726820089388 47.6031110527944,-2.98186574515543 47.5993240745427,-2.98746661240977 47.5962162565456,-2.99385564099955 47.593906902174,-3.00078752131335 47.592484649863,-3.00799618984619 47.5920040833026,-3.01520500450835 47.5924836448484,-3.02213731763894 47.5939049306695,-3.02852704922679 47.5962133941346,-3.0341288628344 47.5993204309904,-3.03872756066051 47.6031067678652,-3.04214634172626 47.6074270263802,-3.04425360763524 47.6121152904272,-3.04496805266856 47.6169914656326,-3.04426183764791 47.621868189146,-3.0421617181201 47.6265580259175,-3.03874807463835 47.6308806755334,-3.0341518734904 47.6346699120889,-3.02854966707054 47.6377799887319,-3.0221568209109 47.6400912582331,-3.01521922581288 47.6415147905959,-3.00800381530598 47.6419958072537,-3.00078825788537 47.6415157973277,-2.99385022773686 47.6400932329107,-2.98745667523619 47.6377828552888,-2.98185351851978 47.6346735601286,-2.97725615986397 47.6308849646083,-2.97384119637006 47.6265627909649,-2.97173964524332 47.6218732468674,-2.97103194217929 47.616996621565)))', 'FRCQX', 'Crach', 'Y'),('SRID=4326;MULTIPOLYGON(((5.07624456830564 43.3303832381003,5.07542045596481 43.3255182667442,5.07331237692431 43.3208641100509,5.07000158875975 43.3165995522981,5.06561547587834 43.3128883780466,5.06032263106042 43.309873093216,5.05432637099271 43.3076694657592,5.04785693580415 43.306362093136,5.04116267039816 43.306001164446,5.03450052201837 43.3066005396557,5.02812621295312 43.3081372185321,5.02228445890588 43.3105522194532,5.01719960201689 43.3137528350944,5.01306701284165 43.3176161799592,5.0100455881537 43.3219938957235,5.00825163197831 43.3267178361571,5.00775435690218 43.3316065156484,5.0085731829535 43.336472075536,5.01067694412222 43.3411275017708,5.01398504018937 43.3453938167992,5.01837049659552 43.3491069685314,5.02366482050351 43.3521241499942,5.02966447004921 43.3543293044895,5.03613868908656 43.3556376020797,5.04283840441418 43.3559987128471,5.04950583908652 43.3553987491054,5.05588446602447 43.3538608006867,5.06172891216737 43.3514440424891,5.06681442552822 43.348241449367,5.07094553561035 43.3443762078705,5.07396357081941 43.3399969650685,5.07575274314775 43.3352720996687,5.07624456830564 43.3303832381003)))', 'FRCR2', 'Carro', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.87927477297049 48.6672941471066,-3.87991478296805 48.6624136298187,-3.88197958262318 48.6577095716831,-3.88538947147694 48.6533626762066,-3.89001316864241 48.6495398823586,-3.89567289437543 48.6463879659201,-3.90215121618568 48.6440279190562,-3.90919939428526 48.6425503210508,-3.91654690726449 48.6420118750114,-3.92391179698843 48.6424332409689,-3.93101144291603 48.6437982468046,-3.93757336106063 48.6460545065891,-3.94334562198657 48.6491154230465,-3.94810649558462 48.6528634988083,-3.9516729575686 48.6571548317244,-3.9539077330154 48.6618246245182,-3.95472460478333 48.666693500154,-3.95409177782818 48.6715743829177,-3.9520331623948 48.6762796826508,-3.948627517451 48.6806285068248,-3.94400547778643 48.6844536228439,-3.93834457080467 48.6876079013977,-3.93186240882927 48.6899699907103,-3.92480831627791 48.6914490005534,-3.91745371498237 48.6919880128796,-3.91008164221059 48.6915662814459,-3.90297581205873 48.6902000340114,-3.89640965000605 48.6879418455282,-3.89063573158438 48.6848786068991,-3.88587603924049 48.6811281690225,-3.88231341742417 48.6768347936588,-3.88008455642726 48.6721635890286,-3.87927477297049 48.6672941471066)))', 'FRCRN', 'Carantec', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.7117369170527 49.379579903805,-1.71259945094918 49.3747143747625,-1.71489879747845 49.3700521682592,-1.71854624760992 49.3657723660533,-1.72340140974564 49.362039318244,-1.72927763856517 49.3589963457056,-1.7359492173464 49.3567602533423,-1.74316001632242 49.3554168618261,-1.75063329676571 49.3550177264275,-1.75808228993952 49.3555781664774,-1.76522115286021 49.3570766795691,-1.77177588963453 49.3594557625716,-1.77749482828514 49.3626241087081,-1.78215825843778 49.3664600981919,-1.78558686466217 49.3708164510387,-1.78764863292643 49.375525866429,-1.78826396244349 49.3804074350224,-1.78740878063234 49.3852735803853,-1.78511553300598 49.3899372644344,-1.78147200009274 49.394219180469,-1.77661797712899 49.3979546565788,-1.77073993600528 49.4010000022028,-1.76406386934943 49.4032380511561,-1.75684659016616 49.4045826848931,-1.74936582373642 49.4049821590263,-1.7419094784718 49.4044211026554,-1.73476451664631 49.4029211120166,-1.72820586265657 49.4005399151841,-1.72248578483985 49.3973691407467,-1.71782416699687 49.3935307781779,-1.71440004864899 49.3891724687426,-1.71234476058917 49.3844618111327,-1.7117369170527 49.379579903805)))', 'FRCRT', 'Carteret', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.994956845673993 44.6993899154732,-0.995798448887303 44.6945257767185,-0.997954011836038 44.6898721725138,-1.0013404335193 44.6856078629428,-1.00582741082988 44.6818966184959,-1.01124247101732 44.6788809423778,-1.01737760583204 44.6766766121082,-1.02399725150288 44.67536824746,-1.03084730997574 44.6750060724473,-1.03766486949752 44.6756039936984,-1.04418825770269 44.6771390677833,-1.05016704851601 44.6795523777009,-1.05537164574226 44.6827512856341,-1.05960208114222 44.6866129771224,-1.06269569272277 44.6909891628543,-1.06453338915848 44.6957117601041,-1.06504425759728 44.7005993380989,-1.06420833306044 44.7054640817522,-1.06205741629785 44.7101190074593,-1.05867390097093 44.7143851539502,-1.05418764772005 44.71809847108,-1.04877101906331 44.7211161400972,-1.04263226203478 44.7233220800809,-1.0360074918546 44.7246314261938,-1.02915158673742 44.7249938050024,-1.02232834853572 44.7243952788523,-1.01580031414337 44.722858883264,-1.00981861697566 44.7204437364256,-1.00461329569354 44.7172427558092,-1.00038442876632 44.7133790714223,-0.99729443940063 44.7090012759772,-0.995461867472281 44.7042776972637,-0.994956845673993 44.6993899154732)))', 'FRCS9', 'Cassy', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-1.01431805109231 45.7293851905295,-1.01517639262904 45.7245219713978,-1.01737257869515 45.7198694394808,-1.02082193229801 45.7156063111638,-1.0253917224089 45.711896307882,-1.03090629116632 45.7088818808695,-1.03715381082135 45.7066787554078,-1.04389440979955 45.7053715014146,-1.05086935780004 45.7050102978879,-1.05781096197535 45.7056090133631,-1.06445280096751 45.7071446748199,-1.07053991158226 45.7095583451654,-1.07583854447655 45.7127573763842,-1.08014512038832 45.7166189535493,-1.08329404677884 45.7209947959822,-1.08516409555338 45.7257168377137,-1.08568309465725 45.7306036716641,-1.08483074828485 45.7354675121078,-1.08263947024363 45.740121409223,-1.07919319032417 45.7443864387853,-1.0746241716143 45.7480985899126,-1.06910795453579 45.7511150843807,-1.06285661777868 45.7533198821567,-1.05611061403636 45.7546281587279,-1.04912949643651 45.754989579418,-1.0421818970931 45.7543902426302,-1.0355351500749 45.7528532159742,-1.02944496577891 45.7504376443824,-1.02414556148779 45.7472364653178,-1.01984063390089 45.7433728206977,-1.01669552461359 45.7389953059515,-1.01483088060102 45.7342722416429,-1.01431805109231 45.7293851905295)))', 'FRCT4', 'Chaillevette', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.19480815739908 49.2994095313542,-1.19571992205179 49.2945483955715,-1.19806385316139 49.2898969566149,-1.20174953468816 49.2856338800139,-1.20663511371924 49.2819228717405,-1.21253278426963 49.2789064056049,-1.21921601295483 49.2767002690762,-1.22642822761898 49.2753891339386,-1.23389263761463 49.2750233189232,-1.24132281437311 49.2756168662252,-1.24843363420365 49.2771470042772,-1.25495217256695 49.2795550170591,-1.26062814068889 49.2827484874166,-1.26524347128843 49.2866048301579,-1.26862069002736 49.2909759819499,-1.27062975233036 49.2956940709636,-1.27119308036009 49.30057785148,-1.2702886006228 49.3054396587091,-1.26795065692958 49.3100926181403,-1.26426875379064 49.314357832766,-1.25938416889291 49.3180712711195,-1.25348455687232 49.321090089433,-1.24679674668345 49.3232981421395,-1.2395780079742 49.3246104657339,-1.23210612461938 49.3249765605531,-1.22466866294014 49.3243823418039,-1.21755185569154 49.322850683276,-1.21102953894338 49.3204405324682,-1.20535257669397 49.3172446320303,-1.20073918756997 49.3133859371117,-1.19736655033639 49.3090128691432,-1.19536401207553 49.3042935916739,-1.19480815739908 49.2994095313542)))', 'FRCTA', 'Carentan', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.69632024159519 47.2165884603142,-1.6971444630272 47.2117209461082,-1.69934617453896 47.207056486754,-1.70284045798224 47.2027742564709,-1.70749283294635 47.1990387073048,-1.71312445464157 47.19599326633,-1.71951899532021 47.1937548432899,-1.72643094352475 47.1924093567917,-1.73359500439263 47.1920084481014,-1.74073624502449 47.1925675064693,-1.74758060258301 47.1940650803757,-1.75386536000315 47.1964436969239,-1.75934919528097 47.1996120586456,-1.76382142525009 47.2034485350874,-1.76711009319212 47.2078058175628,-1.76908859084408 47.2125165611371,-1.76968055825837 47.2173997999141,-1.7688628680242 47.2222678914798,-1.76666657162516 47.2269337251583,-1.76317576280794 47.2312179175023,-1.75852439300247 47.23495571776,-1.7528911539711 47.2380033561491,-1.74649261968536 47.2402435883894,-1.73957490959289 47.2415902204395,-1.73240419575196 47.2419914366329,-1.72525642391781 47.2414318009048,-1.71840665124506 47.2399328526729,-1.71211841920113 47.2375522740627,-1.70663357876943 47.234381661249,-1.70216296614091 47.2305429873935,-1.69887829180751 47.2261838957189,-1.69690555604119 47.221472006594,-1.69632024159519 47.2165884603142)))', 'FRCUN', 'Couëron', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.84627259654168 47.2826360897378,-1.84708423504518 47.2777674431792,-1.84927568158717 47.2731000660447,-1.85276241015644 47.2688132452582,-1.85741022816743 47.2650716095064,-1.86304046366351 47.2620188196177,-1.86943684044351 47.2597720672432,-1.87635377559049 47.2584175902941,-1.88352578265883 47.258007374587,-1.8906776243951 47.2585571660717,-1.89753483237907 47.2600458685155,-1.90383419804527 47.2624163493702,-1.90933384050559 47.2655776235853,-1.91382247142317 47.2694083332241,-1.91712750553095 47.2737613917209,-1.91912170653022 47.2784696172525,-1.91972811094694 47.2833521416384,-1.9189230355538 47.2882213508837,-1.91673704524042 47.2928900921969,-1.91325383535699 47.2971788709705,-1.90860706280057 47.3009227604322,-1.90297524036576 47.3039777566469,-1.89657488584982 47.3062263320701,-1.88965218774355 47.3075819712479,-1.88247350985139 47.3079925114245,-1.87531510500026 47.3074421572526,-1.86845244078611 47.3059520906289,-1.86214955643631 47.3035796517861,-1.85664886852619 47.3004161238606,-1.85216182455183 47.2965832078964,-1.84886076818159 47.2922283263521,-1.84687233013935 47.2875189385928,-1.84627259654168 47.2826360897378)))', 'FRCXY', 'Cordemais', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.07986123153282 47.8673553345633,-4.08047351420623 47.8624732492282,-4.08248913787653 47.8577653272801,-4.08583030534096 47.8534124238014,-4.09036838452466 47.8495817124662,-4.09592888706569 47.8464202772888,-4.10229818777406 47.8440494797468,-4.10923172465233 47.8425603147907,-4.11646336582062 47.8420099311913,-4.12371558816674 47.842419447339,-4.13071008394255 47.8437731446157,-4.13717839655999 47.8460190685921,-4.14287218586254 47.8490710153776,-4.14757273617389 47.8528118283355,-4.15109934713659 47.8570978809031,-4.15331628707808 47.8617645761914,-4.15413804033401 47.8666326550377,-4.15353264216576 47.8715150727346,-4.15152296574985 47.8762241820147,-4.14818590287395 47.8805789470355,-4.14364946072617 47.8844119107201,-4.13808787844355 47.8875756461546,-4.13171494559587 47.889948441668,-4.1247757771403 47.8914389981366,-4.11753736231371 47.8919899549441,-4.11027825545738 47.8915801064342,-4.10327781242481 47.8902252218243,-4.09680539522052 47.8879774363047,-4.09110996888679 47.8849232371692,-4.08641049832207 47.8811801239546,-4.08288751950108 47.8768920734167,-4.0806762111352 47.8722239866171,-4.07986123153282 47.8673553345633)))', 'FRDBE', 'Bénodet', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.53214524244218 48.8495241832285,-1.53301500446086 48.8446596406231,-1.53530561674848 48.8400005189185,-1.53892871757851 48.8357257819126,-1.54374485987172 48.8319995866569,-1.54956890241089 48.8289649930651,-1.55617713366582 48.8267384868335,-1.56331585314027 48.8254055230227,-1.57071108288342 48.8250172585163,-1.57807904174359 48.8255885964363,-1.58513698812005 48.827097616104,-1.59161402404701 48.8294864100475,-1.59726145473707 48.8326632967057,-1.60186231319658 48.8365063257095,-1.60523968884668 48.8408679437591,-1.60726354152593 48.8455806449138,-1.60785573670979 48.8504633912122,-1.60699310273013 48.855328559401,-1.60470838423631 48.859989148417,-1.60108904567855 48.8642659710775,-1.59627396136364 48.8679945528093,-1.59044811143999 48.8710314703796,-1.58383548259459 48.8732598842871,-1.57669044481656 48.8745940490445,-1.56928793796179 48.874982624935,-1.56191285105742 48.8744106614309,-1.55484901088543 48.8729001744506,-1.54836821268893 48.8705092948512,-1.54271972402615 48.8673300217164,-1.53812067295629 48.8634846687348,-1.5347476948984 48.8591211430107,-1.53273016052 48.8544072409105,-1.53214524244218 48.8495241832285)))', 'FRDBI', 'Donville-les-Bains', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.61178497226208 49.31954721941,-1.61265617490515 49.3146824659789,-1.61496200824779 49.3100222601974,-1.61861351605231 49.305745606591,-1.62347015286061 49.3020167341775,-1.62934521843664 49.2989788035665,-1.63601304193126 49.2967484263436,-1.64321763829891 49.2954112041707,-1.65068250675879 49.2950184559385,-1.65812120066541 49.2955852562057,-1.66524827107189 49.2970898587033,-1.67179017319143 49.2994745266353,-1.67749572620184 49.3026477386831,-1.68214573237283 49.306487687874,-1.68556139097384 49.3108469416154,-1.68761118512814 49.315558086989,-1.68821597461779 49.3204401474666,-1.68735209308377 49.3253055270271,-1.68505232212505 49.3299672164579,-1.68140469503669 49.3342459853614,-1.67654916647234 49.3379772826854,-1.67067226794667 49.3410175786497,-1.66399994935763 49.3432499015649,-1.65678888008775 49.3445883535549,-1.64931654635913 49.3449814285001,-1.64187053133801 49.3444140021028,-1.63473739854579 49.3429079159546,-1.62819161571291 49.3405211327243,-1.62248495446439 49.3373454957655,-1.61783678124846 49.3335031812221,-1.61442561774372 49.3291419817897,-1.61238229648882 49.3244296066003,-1.61178497226208 49.31954721941)))', 'FRDEI', 'Denneville', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.54310126395993 47.5198589291191,-2.54385252596568 47.5149853705111,-2.54599251837628 47.5103047125856,-2.54943868280821 47.5059967555488,-2.55405837456794 47.5022269417369,-2.5596739920382 47.4991400145147,-2.56606981227225 47.4968544754072,-2.57300026855228 47.4954580495044,-2.58019935374004 47.4950043304684,-2.58739079317101 47.495510731615,-2.59429860367838 47.4969578201976,-2.60065764176749 47.499290059952,-2.60622374432474 47.5024179340085,-2.61078307953287 47.5062213683006,-2.61416035353133 47.5105543264356,-2.61622555910542 47.5152504024064,-2.61689900522977 47.5201291991648,-2.61615442913483 47.5250032504161,-2.61402006378508 47.5296852212831,-2.61057761089546 47.5339951116762,-2.60595915011035 47.5377671849236,-2.60034209564127 47.540856353682,-2.59394238920397 47.5431437751727,-2.5870061891551 47.5445414377296,-2.57980037707007 47.5449955594212,-2.5726022517236 47.5444886656307,-2.56568881415353 47.5430402641055,-2.55932606452421 47.5407060909936,-2.55375873099714 47.5375759575012,-2.54920083279253 47.5337702816734,-2.54582744499916 47.5294354411565,-2.54376798319183 47.5247381285326,-2.54310126395993 47.5198589291191)))', 'FRDGD', 'Damgan', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.51232148490061 48.599846603637,-2.51309232054667 48.5949742287125,-2.5152810758476 48.5902951900045,-2.51880329938664 48.5859892224726,-2.52352341118145 48.5822216876525,-2.52925994674685 48.579137236322,-2.53579254170438 48.5768542699511,-2.54287038688448 48.5754604106981,-2.55022183105373 48.5750091509889,-2.55756476767344 48.5755178088835,-2.56461741451739 48.5769668661344,-2.57110908122491 48.5793007138301,-2.5767905202688 48.5824297776436,-2.58144347137005 48.5862339427903,-2.58488903774969 48.5905671497035,-2.58699457407602 48.5952629868895,-2.58767881946224 48.6001410690912,-2.58691507289527 48.6050139582306,-2.58473228109008 48.609694362871,-2.58121398757573 48.6140023401023,-2.57649517402339 48.6177722224305,-2.57075710727145 48.6208590016912,-2.56422038480653 48.6231439220079,-2.55713644417331 48.6245390637515,-2.5497778645832 48.6249907392483,-2.5424278388792 48.6244815671382,-2.53536922853747 48.6230311439537,-2.5288736318076 48.6206952865574,-2.52319089452657 48.6175638752353,-2.51853947461706 48.613757382159,-2.51509803574685 48.6094222213012,-2.51299859487131 48.6047251016258,-2.51232148490061 48.599846603637)))', 'FRDHA', 'Dahouët', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.82861594994283 49.5326177444565,-1.82946987842611 49.5277514050535,-1.83176559923848 49.523086967057,-1.83541453863081 49.5188035981489,-1.84027624429492 49.5150657852455,-1.84616381706945 49.5120170317117,-1.85285110337583 49.5097743636988,-1.86008137050105 49.508423853519,-1.867577133748 49.5080173289662,-1.87505076372248 49.5085703924636,-1.88221547466244 49.5100618245185,-1.88879628139849 49.5124343939493,-1.89454051358192 49.5155970445386,-1.89922749120936 49.5194283760035,-1.90267699486246 49.5237812882769,-1.90475620675957 49.5284886138182,-1.9053848535907 49.5333695246434,-1.9045383476526 49.5382364704679,-1.9022487970408 49.5429023830123,-1.89860383614774 49.5471878701085,-1.89374331159056 49.5509281223656,-1.88785394271647 49.5539792650492,-1.88116215654274 49.5562239082815,-1.87392537084595 49.5575756790408,-1.86642206271727 49.5579825576211,-1.85894101019201 49.5574288877016,-1.85177012904952 49.5559359810974,-1.845185343817 49.5535612934773,-1.8394399305326 49.5503962035338,-1.83475474901029 49.5465624829198,-1.8313097452265 49.5422075954282,-1.82923705189814 49.5374990093087,-1.82861594994283 49.5326177444565)))', 'FRDIL', 'Diélette', 'Y'),('SRID=4326;MULTIPOLYGON(((2.40663022296793 51.050207911917,2.40593107829213 51.0453307622147,2.40373627399611 51.040633272803,2.40013055401823 51.0362958867086,2.3952527551925 51.0324851665409,2.38929043072509 51.0293474119671,2.38247262722621 51.027003059425,2.37506109516838 51.0255420759606,2.36734026860405 51.0250205208432,2.35960639333774 51.0254584042196,2.35215621243027 51.0268389231324,2.34527563323005 51.0291091035073,2.33922880074016 51.0321818240029,2.3342479880317 51.0359391457503,2.33052468591991 51.0402368227885,2.32820223189232 51.044909823182,2.32737026336308 51.0497786520139,2.3280612141983 51.0546562361732,2.3302489980508 51.0593551083619,2.33384993978044 51.0636946150385,2.33872592999873 51.0675078707544,2.34468969084504 51.0706481898285,2.35151195703495 51.0729947454007,2.35893029869238 51.0744572350336,2.36665924506451 51.0749793701569,2.37440131417825 51.074541052323,2.38185851553232 51.0731591506317,2.38874387297827 51.0708868496732,2.39479251406897 51.0678115936286,2.39977189039169 51.0640517073815,2.40349072980937 51.0597518273146,2.40580637423988 51.0550773207542,2.40663022296793 51.050207911917)))', 'FRDKK', 'Dunkerque', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.02930092429556 48.6326884256492,-2.03011873433072 48.6278196413045,-2.0323534311737 48.6231501309563,-2.03591880147114 48.6188592607974,-2.04067761286454 48.6151118104051,-2.04644692068005 48.6120516580404,-2.05300510835417 48.6097962718902,-2.06010038955798 48.6084322158488,-2.06746044751171 48.6080118395189,-2.07480284663576 48.6085512771163,-2.08184582451267 48.6100298305684,-2.08831905880715 48.6123907600394,-2.0939740046289 48.615543452244,-2.09859341281168 48.6193668850613,-2.10199966837261 48.6237142579734,-2.10406163030119 48.628418613471,-2.10469970771682 48.6332992364465,-2.10388897181214 48.6381685881915,-2.10166017591044 48.6428395101818,-2.09809863500067 48.6471324213153,-2.09334099845123 48.6508822312951,-2.08757003207544 48.6539447026343,-2.08100760493646 48.6562020141033,-2.07390614878291 48.6575673086949,-2.06653892047521 48.6579880482483,-2.05918944721553 48.65744804325,-2.05214056839548 48.6559680781544,-2.04566350471583 48.6536051077075,-2.04000738405554 48.6504500559151,-2.03538963443818 48.6466243041239,-2.03198761834397 48.6422750058943,-2.02993183136263 48.6375694118477,-2.02930092429556 48.6326884256492)))', 'FRDNR', 'Dinard', 'Y'),('SRID=4326;MULTIPOLYGON(((1.12168780155204 49.9336331955266,1.12113389297574 49.9287492906883,1.11911488341824 49.9240289609987,1.11570874747569 49.9196535374929,1.11104665218747 49.9157910542064,1.10530787522791 49.9125898076341,1.09871289784835 49.9101726785532,1.09151494062458 49.9086324312615,1.08399026593123 49.9080281676251,1.07642761469911 49.9083830693337,1.06911717529878 49.9096835130881,1.06233949861544 49.9118795918041,1.05635477517439 49.9148870221581,1.05139287751426 49.9185903667315,1.04764454418863 49.9228474494753,1.04525404144912 49.9274947979536,1.04431358584531 49.9323539064863,1.04485974710159 49.9372380823999,1.0468719775779 49.9419596143679,1.05027333473101 49.9463369883199,1.05493337904932 49.9502018732829,1.06067314510129 49.9534056071284,1.06727200105658 49.9558249304147,1.07447613586212 49.9573667447954,1.08200834666207 49.9579717098295,1.08957874522047 49.9576165370453,1.09689596370522 49.9563148910112,1.10367841917626 49.9541168618475,1.10966519358157 49.9511070298164,1.11462610214301 49.9474011979701,1.11837055688969 49.9431419210222,1.12075488204917 49.9384930054562,1.12168780155204 49.9336331955266)))', 'FRDPE', 'Dieppe', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.29569665866079 48.1004267146196,-4.29629087020666 48.0955438388791,-4.29829544473714 48.0908324166872,-4.30163300371341 48.0864734382138,-4.30617504822457 48.0826343104989,-4.31174693329192 48.0794624402472,-4.31813459398849 48.0770795886645,-4.32509276270841 48.0755772123015,-4.33235436321348 48.07501296591,-4.33964072523535 48.0754084990594,-4.34667223452384 48.0767486293336,-4.35317901802128 48.0789819230973,-4.35891126266633 48.0820226619206,-4.36364877920837 48.0857541206251,-4.36720944902919 48.0900330334104,-4.36945623165605 48.0946950793951,-4.37030246236978 48.0995611798152,-4.36971523161493 48.104444367557,-4.36771670892956 48.1091569669218,-4.36438335151447 48.1135178085262,-4.35984301863061 48.1173592016854,-4.35427009467588 48.1205333948017,-4.34787880273732 48.122918273034,-4.34091496324394 48.1244220712924,-4.33364651575814 48.1249869183541,-4.32635317294008 48.124591073203,-4.31931561180398 48.1232497657547,-4.31280462674699 48.1210146088589,-4.30707067047947 48.1179716045906,-4.30233419282998 48.114237823022,-4.29877715425365 48.1099568835882,-4.29653604239861 48.1052934157093,-4.29569665866079 48.1004267146196)))', 'FRDRZ', 'Douarnenez', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.0618524743672823 49.2820354844262,-0.0628748408488313 49.2771855130672,-0.0653233806219878 49.2725591754401,-0.0691036688394829 49.2683341667674,-0.0740702324739102 49.2646727265925,-0.0800321708680457 49.26171542306,-0.0867604976711516 49.2595757720887,-0.0939969211810193 49.2583358950115,-0.101463728649576 49.2580433785275,-0.108874401040915 49.2587094552406,-0.115944559054543 49.2603085733049,-0.122402829573467 49.2627793715181,-0.128001224354549 49.2660270234285,-0.132524639704794 49.2699268624856,-0.135799116701986 49.2743291517969,-0.137698545479774 49.2790648183932,-0.138149553066112 49.2839519346828,-0.13713438066585 49.2888027004444,-0.134691631078838 49.2934306584825,-0.130914847649262 49.2976578668823,-0.125948969831612 49.301321751212,-0.119984793872432 49.3042813712266,-0.11325164677035 49.3064228583439,-0.106008554074123 49.3076638116941,-0.0985342438557221 49.3079564807248,-0.0911163773779981 49.3072896096083,-0.0840404291769843 49.3056888711316,-0.0775786538734852 49.3032158731901,-0.071979573281594 49.2999657771247,-0.0674583955014947 49.2960636215862,-0.0641887388045209 49.2916594961303,-0.0622959792097455 49.2869227532623,-0.0618524743672823 49.2820354844262)))', 'FRDSM', 'Dives-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.71242609286425 48.4805653123699,-4.71298394189914 48.4756810311401,-4.71496395663297 48.4709629363007,-4.7182896919622 48.4665922757594,-4.72283309339382 48.4627369056001,-4.728419455784 48.4595448556046,-4.73483415298633 48.4571386603149,-4.74183087742496 48.455610670486,-4.74914107425218 48.4550195220171,-4.75648421230598 48.4553878953435,-4.76357850466356 48.4567016494683,-4.77015167591389 48.4589103630603,-4.77595137170892 48.461929262176,-4.78075481872549 48.4656424620283,-4.78437736956875 48.4699074006498,-4.78667960671808 48.4745602970588,-4.78757273132715 48.479422427272,-4.78702202510601 48.484306979721,-4.78504824476494 48.4890262285872,-4.78172688627831 48.493398750273,-4.77718533780416 48.4972564053525,-4.77159802238927 48.5004508161856,-4.76517971126826 48.502859088814,-4.75817726220275 48.5043885562266,-4.75086010156333 48.5049803575751,-4.74350982069036 48.5046117130291,-4.73640929393728 48.5032968048763,-4.72983174584592 48.5010862301385,-4.72403019709835 48.498065046102,-4.71922770311191 48.4943494854126,-4.71560876619005 48.4900824694535,-4.71331225366604 48.485428095462,-4.71242609286425 48.4805653123699)))', 'FRDUT', 'Lanildut', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.34411895671003 46.0294856515592,-1.34495394963886 46.0246198672201,-1.34713533911762 46.0199610120928,-1.35057900966225 46.0156880463814,-1.35515244205466 46.0119650694687,-1.36067983340681 46.0089350301565,-1.36694886044619 46.0067142519459,-1.37371882503798 46.005387980903,-1.38072987105378 46.0050071244592,-1.38771292340924 46.0055863042369,-1.39439997446094 46.0071032963444,-1.40053433064697 46.0094998803163,-1.4058804335922 46.0126840648499,-1.41023288485684 46.0165336065646,-1.4134243317171 46.0209006890477,-1.41533191210437 46.025617585207,-1.41588200898171 46.0305030880886,-1.4150531264855 46.0353694652877,-1.41287677016418 46.0400296711185,-1.40943628924949 46.044304539745,-1.4048637173668 46.0480296820829,-1.39933472639843 46.0510618196641,-1.3930618831431 46.053284309545,-1.38628646671965 46.0546116450729,-1.37926916324887 46.0549927567581,-1.37228000045686 46.0544129841199,-1.36558791624644 46.0528946413077,-1.35945037043262 46.0504961544198,-1.35410340698194 46.0473098044608,-1.34975255533746 46.0434581644776,-1.34656492469442 46.0390893703253,-1.34466279613669 46.0343714096819,-1.34411895671003 46.0294856515592)))', 'FRDUU', 'Le Douhet', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.16300882427888 47.6500585193724,-3.16370436245404 47.6451811025963,-3.16579434305992 47.640489069348,-3.16919812241108 47.6361626598425,-3.17378467575969 47.6323680271622,-3.17937766578068 47.6292508685948,-3.1857622309776 47.6269308460846,-3.19269323136687 47.6254970072498,-3.19990463630739 47.6250043799684,-3.20711969869054 47.6254718688821,-3.21406153196822 47.6268815329617,-3.22046369237058 47.6291792712815,-3.22608036849103 47.632276891208,-3.23069579419735 47.6360554811677,-3.23413252822893 47.6403699608686,-3.23625828417284 47.6450546370651,-3.23699104670844 47.6499295543386,-3.236302272593 47.6548073993825,-3.23421804592212 47.6595006951923,-3.23081813439722 47.6638290093394,-3.22623297392422 47.6676258987774,-3.22063868977449 47.6707453226479,-3.21425034046279 47.6730672741344,-3.20731364206943 47.6745024119494,-3.20009549270539 47.6749955104568,-3.19287366625767 47.6745275932747,-3.18592607904294 47.6731166666326,-3.17952005081625 47.67081702367,-3.17390198182497 47.6677171469853,-3.16928785025222 47.663936291723,-3.16585490033748 47.6596198830469,-3.16373484239574 47.6549339078714,-3.16300882427888 47.6500585193724)))', 'FRE29', 'Etel', 'Y'),('SRID=4326;MULTIPOLYGON(((3.01710065210647 43.0329999850052,3.01644411474483 43.0281197002264,3.01450264069104 43.0234271280754,3.01135109511234 43.0191025394381,3.00711076064145 43.0153120330912,3.00194465068955 43.0122011667419,2.99605123592144 43.0098893799534,2.9896568263248 43.008465420757,2.98300690021286 43.0079839491822,2.97635670943186 43.0084634461035,2.96996151592279 43.0098855063399,2.96406682790676 43.0121955426749,2.9588990039761 43.015304874238,2.95465658027862 43.0190941204085,2.95150265012873 43.023417771945,2.94955858747052 43.0281097661914,2.9488993567313 43.032989854633,2.94955059320376 43.0378705202546,2.95148757203455 43.0425641803246,2.95463611241309 43.0468903983316,2.95887538922142 43.0506828274422,2.96404255006858 43.053795617226,2.96993896430119 43.0561090352942,2.97633786529057 43.057534085268,2.98299309094937 43.0580159410564,2.9896485826227 43.057536063292,2.99604827135608 43.0561129151358,3.00194596457097 43.0538012494302,3.00711484616104 43.050689995103,3.0113562189601 43.0468988254984,3.01450714964417 43.042573542683,3.01644672091096 43.0378804576601,3.01710065210647 43.0329999850052)))', 'FREBQ', 'Etang de Bages-Sigean', 'Y'),('SRID=4326;MULTIPOLYGON(((4.05142318212048 43.6166885558054,4.05067679802979 43.6118155787492,4.04863657332781 43.6071419989078,4.04538116889517 43.6028473510844,4.04103585348909 43.5990965782755,4.03576766465397 43.5960337079117,4.02977898210884 43.593776334099,4.02329976168932 43.5924111152997,4.01657872655764 43.5919904579378,4.00987384989649 43.5925305112777,4.00344248861377 43.5940105492995,3.99753154001963 43.5963737629482,3.99236799266154 43.5995294329539,3.98815022853204 43.6033564012836,3.98504040705796 43.607707710066,3.98315822236163 43.6124162323117,3.98257627535026 43.6173010805957,3.98331724273191 43.6221745495374,3.98535295796414 43.6268493266515,3.98860544669196 43.6311456948612,3.99294988404811 43.6348984492568,3.99821936616408 43.6379632607291,4.00421131643125 43.6402222396561,4.0106952815332 43.6415884832109,4.01742181597246 43.6420094289598,4.02413210934588 43.641468883734,4.03056798009951 43.6399876484385,4.03648184439688 43.6376227144027,4.04164626980149 43.63446506281,4.04586274064691 43.6306361533721,4.04896929439779 43.6262832394765,4.05084673441328 43.621573692476,4.05142318212048 43.6166885558054)))', 'FREDH', 'Etang de Mauguio', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.194843963009645 44.9191412191749,-0.195756664969526 44.9142849107917,-0.197984905071114 44.9096483892207,-0.20144279253997 44.9054097537896,-0.205997284719515 44.9017317852284,-0.211473323770646 44.8987557064861,-0.217660568718653 44.8965957737558,-0.22432146345646 44.895334902818,-0.231200332994635 44.8950214961802,-0.238033163394849 44.8956675908946,-0.244557696452426 44.8972483970382,-0.250523458958352 44.8997032444328,-0.25570134857548 44.9029379021221,-0.259892413969233 44.9068281832934,-0.262935495453828 44.911224699581,-0.264713433301242 44.9159585847939,-0.265157602875821 44.9208479707211,-0.264250597360613 44.9257049682291,-0.262026948074429 44.9303428865992,-0.258571846881865 44.9345834138541,-0.254017912253722 44.9382634812509,-0.248540117146098 44.9412415463118,-0.242349069876647 44.9434030504448,-0.235682905421233 44.9446648386372,-0.228798101036494 44.9449783687376,-0.221959574188204 44.9443315848978,-0.21543045031436 44.9427493819539,-0.209461901534322 44.9402926427347,-0.204283454369741 44.9370558862097,-0.200094145035883 44.9331636187203,-0.197054865873593 44.9287655310311,-0.195282197741607 44.9240307285645,-0.194843963009645 44.9191412191749)))', 'FREEA', 'Estuaire de la Gironde', 'Y'),('SRID=4326;MULTIPOLYGON(((3.08712223479327 43.0719791100725,3.08645972617545 43.0670992652624,3.08451168344499 43.0624079182174,3.08135322425869 43.0580852923237,3.07710589660236 43.0542974105806,3.07193298195729 43.0511897296054,3.0660332115764 43.0488815664788,3.0596331386779 43.0474615300734,3.05297845825462 43.0469841299184,3.04632460409998 43.0474676907905,3.03992697849277 43.0488936517577,3.03403118305685 43.05120727612,3.02886361927226 43.0543197454713,3.0246228139613 43.0581115588357,3.02147179915618 43.0624371083877,3.01953183777863 43.0671302584353,3.01887773760609 43.0720107157971,3.01953493752755 43.076890948916,3.02147848396382 43.0815833912562,3.02463394377782 43.085907652683,3.02888022561129 43.089697461202,3.03405420720067 43.092807066862,3.03995699486114 43.0951168595665,3.04636157602128 43.0965379823539,3.05302156934604 43.0970157603033,3.0596807322002 43.0965318111221,3.06608285410291 43.0951047548588,3.0719816489098 43.0927894949626,3.07715025851408 43.089675098835,3.08138999687756 43.0858813607861,3.0845379944018 43.0815541816571,3.08647344751902 43.0768599452283,3.08712223479327 43.0719791100725)))', 'FREGL', 'Etang de l''Ayrolle', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.01351941120854 46.9196914530371,-2.01430980256 46.9148211648665,-2.0164713468339 46.9101500802915,-2.01992067178866 46.9058576304948,-2.02452502414655 46.9021086624128,-2.03010740119778 46.8990471204326,-2.03645336195044 46.8967905339062,-2.04331925473713 46.8954255194029,-2.05044154712919 46.8950044676915,-2.05754690470682 46.8955435404059,-2.06436263874033 46.8970220518676,-2.07062712983209 46.8993832593816,-2.0760998353756 46.9025365323385,-2.08057050329442 46.9063608185029,-2.08386724257428 46.9107092767931,-2.0858631418844 46.9154149014277,-2.08648118000403 46.9202969241727,-2.08569723432077 46.9251677510461,-2.08354106441476 46.9298401684542,-2.08009522432914 46.9341345423027,-2.07549193680144 46.937885732736,-2.06990804242972 46.9409494570343,-2.06355821320322 46.9432078536073,-2.05668668972908 46.9445740303224,-2.04955786165754 46.9449954194741,-2.04244605840735 46.9444558080564,-2.03562495000437 46.9429759637606,-2.02935697404559 46.9406128321938,-2.02388320367649 46.9374573368851,-2.01941405308253 46.9336308684031,-2.01612118227809 46.9292806000674,-2.0141309136533 46.9245738132221,-2.01351941120854 46.9196914530371)))', 'FREL2', 'L''Epoids', 'Y'),('SRID=4326;MULTIPOLYGON(((1.68917398783416 50.5174477003817,1.68855629488219 50.5125665091192,1.68645730332534 50.5078559185927,1.68295806946435 50.5034968808215,1.67819333952222 50.4996567955177,1.67234633007142 50.4964830946247,1.66564167041664 50.494097597943,1.65833678064927 50.4925918535075,1.65071201509431 50.4920236384719,1.64305994445937 50.4924147520879,1.63567418007061 50.4937501835794,1.62883815943717 50.4959786860395,1.62281431367261 50.4990147347452,1.61783402400049 50.502741796305,1.61408874698722 50.5070167856616,1.61172264693216 50.5116755428975,1.61082702003231 50.5165391226977,1.61143672997747 50.5214206576751,1.61352880042802 50.5261325338642,1.61702322875826 50.5304936035155,1.6217860003441 50.5343361575819,1.6276341967564 50.5375123882735,1.63434300798778 50.5399000906507,1.64165438190763 50.5414073808812,1.64928697703706 50.5419762464778,1.6569470306854 50.5415847891464,1.66433971618364 50.540248071991,1.67118054234578 50.5380175376494,1.6772063464605 50.5349790201803,1.68218544916453 50.5312494288224,1.68592657459801 50.5269722337717,1.68828619050266 50.5223119307421,1.68917398783416 50.5174477003817)))', 'FRELS', 'Étaples', 'Y'),('SRID=4326;MULTIPOLYGON(((6.15110470525268 43.1178548950356,6.15067571725925 43.1129643012212,6.14895281355149 43.1082289776093,6.1460024780235 43.103830851903,6.14193828835825 43.0999388583253,6.13691652125844 43.0967024582584,6.13113013287662 43.0942459126127,6.1248013478662 43.0926635235911,6.11817314118696 43.0920160261206,6.11149993669848 43.0923282652919,6.10503787452804 43.0935882473283,6.09903501445129 43.0957475996841,6.09372184468581 43.0987234227131,6.08930245453055 43.102401462846,6.08594670549542 43.1066404872407,6.08378369961214 43.1112776942236,6.08289679651941 43.116134954191,6.08332037406893 43.1210256434918,6.0850384623832 43.1257618104338,6.0879853106677 43.1301613989247,6.09204787214084 43.1340552520458,6.09707011797803 43.1372936253165,6.10285901914404 43.139751957424,6.10919196843722 43.1413356741927,6.11582535692335 43.1419838385578,6.12250397185911 43.1416715038998,6.12897084942492 43.1404106785326,6.13497719674444 43.1382498633914,6.14029199469914 43.1352721808184,6.14471090611365 43.1315921674818,6.14806414236273 43.127351356626,6.15022298396396 43.122712821897,6.15110470525268 43.1178548950356)))', 'FREMR', 'Porquerolles', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.51332101271106 47.2195298572229,-1.51416200344905 47.2146638511279,-1.51637980418124 47.2100030928159,-1.51988887993383 47.2057266133581,-1.52455418399996 47.2019986432019,-1.53019637725623 47.1989623179794,-1.53659872819683 47.1967341973762,-1.54351542731811 47.1953998047388,-1.55068099855876 47.1950103559607,-1.55782045142264 47.1955808010079,-1.5646597912234 47.1970892518769,-1.57093649225941 47.1994778185953,-1.57640953997096 47.2026548219143,-1.5808686632293 47.206498299476,-1.58414240649588 47.2108606732921,-1.58610473295039 47.2155744021152,-1.58667990271099 47.2204584043698,-1.58584543343846 47.225325007187,-1.5836330219739 47.2299871560002,-1.58012738282431 47.2342656080474,-1.57546303950438 47.2379958325725,-1.56981918487158 47.2410343507363,-1.56341280336027 47.2432642689976,-1.55649031809163 47.2445997903325,-1.54931808601598 47.2449895270132,-1.54217211168223 47.2444184852434,-1.53532738261235 47.2429086438719,-1.52904724497567 47.240518104563,-1.52357323652271 47.2373388468748,-1.51911577464532 47.2334931763723,-1.51584606195092 47.2291290048993,-1.51388952164144 47.2244141473799,-1.51332101271106 47.2195298572229)))', 'FREOE', 'Estuaire de la Loire', 'Y'),('SRID=4326;MULTIPOLYGON(((0.238478334688104 49.7009245279721,0.238015166555341 49.6960378733687,0.236091421087165 49.6913037066799,0.232781413829324 49.686903896271,0.228212625178023 49.6830074178151,0.222560759097423 49.6797638768871,0.21604297156863 49.6772977800752,0.208909531896197 49.6757037716724,0.201434236306798 49.6750430157508,0.193903937472311 49.6753408597478,0.186607584539067 49.6765858672169,0.179825185208741 49.6787302558807,0.173817104017001 49.6816917243687,0.16881409915272 49.6853565988753,0.165008474240982 49.6895841812584,0.1625466821069 49.6942121345598,0.161523665644463 49.6990627022421,0.161979157942422 49.7039495250728,0.16389609161483 49.708684795858,0.167201188149348 49.713086478144,0.171767714763168 49.7169853112818,0.177420311867986 49.7202313312177,0.183941712192235 49.7226996539568,0.191081096416752 49.7242952963287,0.198563763310406 49.724956845504,0.206101737985913 49.7246588332794,0.213404902718377 49.7234127217127,0.220192212770696 49.7212664611702,0.226202555994581 49.7183026379996,0.231204829828427 49.7146352844854,0.235006841941256 49.7104054761764,0.237462689524586 49.7057758889073,0.238478334688104 49.7009245279721)))', 'FRET2', 'Étretat', 'Y'),('SRID=4326;MULTIPOLYGON(((5.20132128350441 43.4713441151911,5.200484823311 43.4664804147951,5.19836192877181 43.4618289836899,5.19503442770755 43.4575685005037,5.19063034664443 43.4538625923733,5.18531896770284 43.4508535621976,5.17930431781771 43.4486569372122,5.17281734128538 43.447357045767,5.16610705442152 43.4470037898026,5.15943101773376 43.4476107350609,5.15304548542798 43.4491545912291,5.14719560361139 43.451576101772,5.14210602691074 43.4547823100442,5.13797230842134 43.4586501162755,5.13495339031916 43.4630309910503,5.13316548284573 43.4677566667498,5.13267756883543 43.4726455907401,5.13350871101461 43.47750989433,5.1356272718811 43.4821626109155,5.13895208337636 43.4864248661658,5.14335552843708 43.4901327631636,5.14866842176921 43.4931436962228,5.15468650588627 43.4953418484113,5.16117831366142 43.4966426588759,5.16789409326567 43.4969960857636,5.17457544797072 43.4963885373109,5.1809653139501 43.4948433956614,5.18681788533389 43.4924201130537,5.19190809803351 43.4892119159139,5.19604030212929 43.4853422067994,5.19905578599865 43.4809598048226,5.20083886223106 43.4762332101044,5.20132128350441 43.4713441151911)))', 'FRETB', 'Berre-l''Étang', 'Y'),('SRID=4326;MULTIPOLYGON(((7.53451255657468 43.7834478361914,7.53396862829506 43.778561191501,7.5321195761328 43.7738453056871,7.52903673304824 43.7694813511887,7.52483876263878 43.7656369420652,7.51968706988151 43.7624597064297,7.51377958644359 43.7600716299714,7.50734317118176 43.7585643853926,7.50062491680737 43.7579958246254,7.49388269303384 43.7583877663386,7.48737528374342 43.7597251621351,7.48135249007896 43.7619566727757,7.47604557251653 43.7649966325983,7.47165839288513 43.7687283279293,7.46835959229639 43.7730084655683,7.46627610370706 43.7776726621662,7.46548824940779 43.7825417461686,7.46602661554292 43.7874286324626,7.4678708296423 43.7921455071904,7.47095029529642 43.7965110473599,7.47514686309128 43.800357397508,7.48029934158585 43.8035366340183,7.48620967949236 43.8059264665863,7.49265058338744 43.8074349551579,7.49937427720582 43.8080040584142,7.50612206312733 43.8076118750972,7.51263431048235 43.806273490386,7.51866048157618 43.8040403940733,7.52396880174998 43.8009984932256,7.52835519564059 43.7972647970202,7.53165114175904 43.7929829032723,7.53373014171617 43.7883174626825,7.53451255657468 43.7834478361914)))', 'FRETN', 'Menton', 'Y'),('SRID=4326;MULTIPOLYGON(((3.7843308686701 43.449769669682,3.78360821854048 43.4448946257095,3.78159435305981 43.440215941849,3.77836691976382 43.4359133506917,3.77405011373017 43.4321521018757,3.76880987956069 43.4290766263326,3.76284752636541 43.4268050028832,3.75639200228875 43.4254244372458,3.74969112381699 43.4249879246634,3.74300209271361 43.4255122222999,3.7365816588849 43.4269772079677,3.73067630008975 43.4293266494229,3.72551278883901 43.4324703552686,3.72128950309052 43.4362876263316,3.71816881079501 43.4406318770928,3.71627081970085 43.4453362521454,3.71566873417659 43.4502200243881,3.71638600164059 43.4550955312001,3.71839536437994 43.4597753834345,3.72161986036019 43.4640796706259,3.72593574168373 43.4678428849306,3.73117720452816 43.4709202961892,3.73714275272953 43.4731935308857,3.74360295173297 43.4745751380039,3.75030927333666 43.4750119637445,3.75700368710887 43.474487203268,3.7634286236801 43.4730210492254,3.76933691978947 43.4706699117353,3.77450135574699 43.4675242404005,3.77872341281731 43.4637050336224,3.78184091010553 43.459359171615,3.78373422627442 43.4546537550825,3.7843308686701 43.449769669682)))', 'FREVT', 'Etang du Prévost', 'Y'),('SRID=4326;MULTIPOLYGON(((3.63431331973054 43.4168148172429,3.63360312329064 43.4119387191253,3.6316019026257 43.4072572873318,3.62838681991657 43.4029503608407,3.62408159681686 43.3991833564711,3.61885173444534 43.3961009266171,3.61289814516285 43.3938214172901,3.60644944206678 43.3924323368692,3.59975318090914 43.3919870071557,3.5930663868405 43.3925025233206,3.58664572393696 43.393959099769,3.58073767818746 43.3963008266329,3.57556912416358 43.3994378084056,3.57133863197428 43.4032496040349,3.56820884467633 43.4075898384773,3.56630021778575 43.4122918110592,3.56568636300171 43.4171748876642,3.56639117919573 43.4220514332354,3.56838788700887 43.4267340195828,3.57160001130076 43.4310426319576,3.57590428081036 43.4348115968807,3.58113533959504 43.4378959634815,3.5870920931516 43.4401770908961,3.59354544665089 43.4415672244064,3.60024713635883 43.4420128818874,3.60693931067656 43.4414969182685,3.61336448643313 43.4400391872654,3.61927549059839 43.4376957745169,3.62444499820906 43.4345568321903,3.628674293982 43.4307430998147,3.63180091700464 43.4264012472854,3.63370489349348 43.4216982216151,3.63431331973054 43.4168148172429)))', 'FREZE', 'Mèze', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.54195531013492 49.0995256585057,-1.54282901899075 49.0946612795098,-1.54513071941719 49.0900022602809,-1.5487716188234 49.085727560017,-1.55361158302835 49.0820013333563,-1.55946455435196 49.0789666402306,-1.56610571080932 49.0767399689663,-1.57328008993862 49.0754067799464,-1.58071234830235 49.0750182380188,-1.5881172874726 49.0755892567117,-1.59521075038057 49.0770979278323,-1.60172047893623 49.0794863579615,-1.60739652511796 49.0826628805185,-1.61202082327334 49.086505560314,-1.61541556080472 49.0908668586643,-1.61745002702314 49.095579282937,-1.61804567463884 49.1004618065045,-1.61717919358609 49.1053268149312,-1.61488347067351 49.1099873130764,-1.61124638847003 49.1142641165909,-1.60640750002154 49.117992750636,-1.60055269923273 49.1210297887774,-1.59390708660685 49.1232583856812,-1.58672630301658 49.1245927878032,-1.57928666692116 49.124981645611,-1.57187449994253 49.1244099974868,-1.56477505951892 49.1228998474486,-1.55826151376333 49.1205093140675,-1.55258439183087 49.1173303841258,-1.54796192314599 49.1134853593151,-1.5445716417849 49.1091221353266,-1.54254358002465 49.1044084979531,-1.54195531013492 49.0995256585057)))', 'FRF2N', 'Gouville-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.41150708287611 49.6794782869514,-1.41240538469606 49.6746156071171,-1.41474793811933 49.6699600454943,-1.418444370687 49.6656904260478,-1.42335240875415 49.6619707052889,-1.4292833786087 49.6589436901809,-1.43600946619246 49.6567255714091,-1.44327245509418 49.6554014788729,-1.45079360959197 49.6550222270705,-1.45828432903705 49.6556023728944,-1.46545717282213 49.6571196588789,-1.47203684221953 49.6595158628928,-1.47777070681244 49.6626990224782,-1.48243847905713 49.6665469503396,-1.48586067034475 49.6709119086965,-1.48790550506858 49.6756262660885,-1.48849402453784 49.6805089223844,-1.48760317857959 49.6853722576747,-1.48526677733809 49.6900293396404,-1.48157425665876 49.6943011128586,-1.47666729463634 49.6980232929258,-1.47073440116352 49.7010526984718,-1.46400368315072 49.7032727748883,-1.45673406194965 49.704598094242,-1.44920528299029 49.7049776552628,-1.44170710767793 49.7043968539822,-1.43452811170924 49.7028780476533,-1.4279445304265 49.7004796898665,-1.42220958979494 49.6972940709723,-1.41754374117412 49.6934437526737,-1.41412618031736 49.6890768366734,-1.41208797788989 49.6843612524652,-1.41150708287611 49.6794782869514)))', 'FRF2V', 'Fermanville', 'Y'),('SRID=4326;MULTIPOLYGON(((-61.0342235025693 14.5897843879113,-61.0347622451293 14.5848912893233,-61.0362707746053 14.5801945524923,-61.0386910704974 14.5758746460426,-61.0419300941138 14.5720975511031,-61.0458633682403 14.5690083873829,-61.0503397612151 14.5667258411536,-61.0551872914927 14.5653376085319,-61.0602197301461 14.5648970285218,-61.0652437485856 14.5654210347332,-61.0700663381707 14.5668895042672,-61.0745022180777 14.5692460288472,-61.078380948159 14.5724000788915,-61.0815534745662 14.5762304779163,-61.0838978572468 14.5805900544425,-61.0853239593002 14.5853112933669,-61.0857769174946 14.5902127702776,-61.0852392595794 14.5951061219333,-61.0837315856714 14.599803285277,-61.0813117860179 14.6041237267519,-61.0780728237631 14.6079013837765,-61.074139166779 14.6109910510691,-61.0696620050143 14.6132739656939,-61.0648134370555 14.6146623754492,-61.0597798498074 14.6151029143641,-61.0547547467227 14.6145786550851,-61.0499313015696 14.6131097590382,-61.0454949254241 14.6107526994328,-61.0416161339817 14.6075980873035,-61.0384439904323 14.6037671847064,-61.0361003765417 14.5994072397848,-61.0346753121693 14.5946858237269,-61.0342235025693 14.5897843879113)))', 'FRFDE', 'Fort-de-France', 'Y'),('SRID=4326;MULTIPOLYGON(((0.405523148819573 49.7508696720643,0.40504288783592 49.7459834490248,0.40310099163648 49.7412518049375,0.399772473092893 49.7368565101533,0.39518552268276 49.7329663659382,0.389516540117344 49.7297307339035,0.38298333638829 49.7272738165741,0.375836770322965 49.7256899057846,0.368351139970471 49.7250397782523,0.360813693237203 49.7253483739433,0.353513653019494 49.7266038443357,0.346731168907166 49.7287580061393,0.340726609981285 49.7317281832817,0.335730601263707 49.7354003678334,0.331935180285228 49.7396335808625,0.329486410655615 49.7442652687268,0.328478737446417 49.7491175306824,0.328951306048098 49.7540039414144,0.330886393790194 49.7587367084584,0.334210024326236 49.7631338905038,0.338794751333768 49.7670263989663,0.344464513595588 49.7702645122998,0.351001381419691 49.7727236502239,0.358153938154197 49.7743091828383,0.365646973724619 49.7749600865175,0.373192112846091 49.7746513031336,0.380498961524556 49.7733947097833,0.387286333643022 49.7712386607171,0.393293115966104 49.7682661193264,0.398288344981046 49.7645914534763,0.402080101861063 49.7603560198537,0.404522880822902 49.7557227101658,0.405523148819573 49.7508696720643)))', 'FRFEC', 'Fécamp', 'Y'),('SRID=4326;MULTIPOLYGON(((3.7843308686701 43.449769669682,3.78360821854048 43.4448946257095,3.78159435305981 43.440215941849,3.77836691976382 43.4359133506917,3.77405011373017 43.4321521018757,3.76880987956069 43.4290766263326,3.76284752636541 43.4268050028832,3.75639200228875 43.4254244372458,3.74969112381699 43.4249879246634,3.74300209271361 43.4255122222999,3.7365816588849 43.4269772079677,3.73067630008975 43.4293266494229,3.72551278883901 43.4324703552686,3.72128950309052 43.4362876263316,3.71816881079501 43.4406318770928,3.71627081970085 43.4453362521454,3.71566873417659 43.4502200243881,3.71638600164059 43.4550955312001,3.71839536437994 43.4597753834345,3.72161986036019 43.4640796706259,3.72593574168373 43.4678428849306,3.73117720452816 43.4709202961892,3.73714275272953 43.4731935308857,3.74360295173297 43.4745751380039,3.75030927333666 43.4750119637445,3.75700368710887 43.474487203268,3.7634286236801 43.4730210492254,3.76933691978947 43.4706699117353,3.77450135574699 43.4675242404005,3.77872341281731 43.4637050336224,3.78184091010553 43.459359171615,3.78373422627442 43.4546537550825,3.7843308686701 43.449769669682)))', 'FRFRO', 'Frontignan', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.06415480525954 45.9823982337236,-1.06501344021041 45.9775348362989,-1.06721617798697 45.9728816336159,-1.07067808564943 45.9686173674276,-1.07526594678071 45.9649058021137,-1.08080340778917 45.9618894478993,-1.08707776178223 45.9596841029936,-1.0938481083221 45.9583744215489,-1.10085457770359 45.9580106750278,-1.10782827034655 45.958606829232,-1.11450153650505 45.9601400095409,-1.12061820942593 45.9625513746177,-1.12594340665487 45.965748365818,-1.13027252936189 45.9696082476475,-1.13343911796876 45.9739828057126,-1.135321263276 45.978704024461,-1.13584632459013 45.9835905292633,-1.13499376851561 45.988454547505,-1.13279601215235 45.9931091225618,-1.12933723006538 45.9973753037495,-1.12475016283075 46.0010890351474,-1.11921104317562 46.0041074767637,-1.11293283050564 46.0063145126011,-1.10615701270693 46.007625231078,-1.09914429243471 46.0079892028529,-1.09216452091152 46.0073924278311,-1.08548627333853 46.0058578751472,-1.07936647484435 46.0034445950701,-1.07404048372305 46.0002454377855,-1.06971301966658 45.9963834685547,-1.06655028973782 45.992007219559,-1.06467361568723 45.9872849637794,-1.06415480525954 45.9823982337236)))', 'FRFUA', 'Fouras', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.43302387233896 47.6301455263181,-3.43369402023449 47.6252665406041,-3.43575901759794 47.6205696565578,-3.43913917907306 47.6162353022651,-3.44370438458151 47.6124299371449,-3.4492791134918 47.6092996713601,-3.45564920220167 47.6069646703366,-3.46257006359045 47.605514556466,-3.46977605412772 47.6050049817315,-3.47699063356998 47.605455500431,-3.48393693422212 47.6068488220231,-3.4903483423862 47.6091314721578,-3.49597869421124 47.6122158370068,-3.50061170170232 47.6159835139452,-3.50406925181278 47.6202898422798,-3.50621826164821 47.6249694428575,-3.50697582479131 47.6298425566477,-3.50631244614467 47.6347219412768,-3.50425323358352 47.6394200622459,-3.50087699178085 47.6437563031591,-3.49631324408 47.6475639173769,-3.49073728917344 47.6506964523317,-3.48436347730921 47.653033397137,-3.47743696242401 47.6544848334777,-3.47022424874223 47.6549949080364,-3.46300290004622 47.6545439904214,-3.45605081458964 47.6531494319053,-3.44963548675496 47.650864895149,-3.44400367712706 47.6477782812019,-3.4393718956371 47.644008335094,-3.43591806868313 47.6397000629787,-3.43377471234228 47.6350191399319,-3.43302387233896 47.6301455263181)))', 'FRG2X', 'Groix', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.54568822883625 43.4295687052019,-1.54646427443333 43.4246986213326,-1.5485287315173 43.4200324257102,-1.55180201321897 43.415749367908,-1.55615816939923 43.4120139449326,-1.56142975106737 43.4089695946941,-1.56741425202175 43.4067332008457,-1.57388187917653 43.4053906175749,-1.58058435478616 43.4049933838158,-1.58726441665106 43.4055567511042,-1.59366565743188 43.407059099582,-1.59954233209604 43.409442764277,-1.60466876359638 43.412616240593,-1.60884799111819 43.4164576858503,-1.6119193322601 43.4208195845756,-1.61376456960792 43.425534400842,-1.61431252221263 43.4304210029659,-1.61354182199413 43.4352916157371,-1.61148178216346 43.4399590343227,-1.60821131710329 43.4442438229645,-1.60385594814421 43.4479812211515,-1.59858300442892 43.4510274902655,-1.59259519951771 43.4532654545219,-1.58612282949368 43.4546090206527,-1.57941489416157 43.4550065000918,-1.57272948691495 43.4544426039011,-1.56632382887977 43.4529390324592,-1.56044433757576 43.4505536369237,-1.55531711885762 43.4473781853959,-1.55113925338609 43.4435348212634,-1.54807121620207 43.439171352131,-1.54623072172186 43.4344555530056,-1.54568822883625 43.4295687052019)))', 'FRGB2', 'Guéthary', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.5238674830444 46.4095392341962,-1.52469323637319 46.4046723286227,-1.52687540281618 46.4000103398135,-1.53032982973667 46.3957323482988,-1.53492357875504 46.3920026457464,-1.54048006280095 46.3889644379424,-1.54678584005327 46.386734360421,-1.55359880252637 46.3853980146242,-1.56065744674695 46.3850066933478,-1.56769087533224 46.3855754190321,-1.57442915237297 46.3870823688564,-1.58061362301225 46.3894697083696,-1.58600680881483 46.3926458023776,-1.59040150541887 46.3964887198896,-1.59362873719189 46.400850900934,-1.59556426445048 46.4055648087719,-1.59613339114328 46.4104493530954,-1.59531388322184 46.4153168396813,-1.5931368782932 46.4199801808883,-1.58968574320059 46.4242600902959,-1.58509291517221 46.4279919842552,-1.57953484106505 46.4310323233578,-1.57322520477178 46.433264147599,-1.56640670178173 46.4346015896139,-1.55934167906214 46.4349931897174,-1.5523020050654 46.4344238830202,-1.54555856650896 46.4329155807971,-1.53937080404396 46.4305263233899,-1.53397669725582 46.4273480379748,-1.52958359071712 46.4235029891646,-1.52636021798642 46.4191390614015,-1.52443023124262 46.4144240573466,-1.5238674830444 46.4095392341962)))', 'FRGC2', 'St Gilles-Croix-de-Vie', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.01175023454251 49.3793482743266,-1.01268170760647 49.3744888994855,-1.01504680696883 49.3698415071331,-1.01875430332541 49.3655846061176,-1.02366150694351 49.3618816641556,-1.02957978339042 49.3588748445247,-1.03628181065116 49.3566795639012,-1.04351029757039 49.355380077278,-1.05098783124376 49.3550262565532,-1.05842748103424 49.3556316840956,-1.06554376032144 49.3571731330197,-1.07206353455299 49.3595914538072,-1.07773646596031 49.3627938341049,-1.08234460139656 49.3666573468684,-1.08571073978928 49.3710336533107,-1.08770525895113 49.3757546831195,-1.08825113684345 49.380639076751,-1.08732696829292 49.3854991447459,-1.08496785261761 49.3901480781958,-1.08126410815993 49.3944071336348,-1.07635785345934 49.3981125153551,-1.07043757848316 49.4011216886481,-1.06373090950317 49.4033188785136,-1.05649584433404 49.4046195392937,-1.04901079735971 49.4049736203351,-1.04156384305045 49.4043674996383,-1.03444158007458 49.4028245096153,-1.02791805394717 49.4004040344031,-1.02224417362829 49.3971992143466,-1.01763803672666 49.3933333479217,-1.01427654005481 49.3889551322389,-1.0122885991398 49.3842329282744,-1.01175023454251 49.3793482743266)))', 'FRGCP', 'Grandcamp', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.23230114936624 48.6297548816073,-2.23309939478589 48.624884555698,-2.2353152774294 48.620211010482,-2.23886330524734 48.6159137682689,-2.24360690979356 48.6121578542077,-2.24936372778948 48.6090874720442,-2.2559126196624 48.6068204828186,-2.26300215379273 48.605443895593,-2.27036023258012 48.6050105404553,-2.27770449592591 48.6055370491238,-2.28475311038195 48.6070032191191,-2.29123553870782 48.6093527854355,-2.29690288523367 48.6124955707677,-2.30153742723384 48.6163109334775,-2.30496097113033 48.6206523834457,-2.30704171406244 48.6253531915086,-2.30769934509335 48.6302327799655,-2.30690818456717 48.6351036511314,-2.30469823293052 48.6397785893522,-2.30115407929123 48.6440778602466,-2.29641170228633 48.6478361298173,-2.29065327831122 48.6509088357137,-2.28410019143323 48.6531777631281,-2.27700451192303 48.6545556079265,-2.26963927295987 48.6549893485668,-2.26228792471544 48.6544622946412,-2.25523337925059 48.6529947316397,-2.2487470767485 48.6506431366409,-2.24307850268672 48.6474979957987,-2.23844556667092 48.6436803093566,-2.23502621778144 48.6393369212009,-2.23295162022677 48.6346348555663,-2.23230114936624 48.6297548816073)))', 'FRGE2', 'Le Guildo', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.09354569688691 46.8797171313343,-2.09432820946603 46.8748462028182,-2.09648117102937 46.8701735159517,-2.09992153917624 46.8658785639962,-2.1045169043228 46.8621262904566,-2.11009060817643 46.859060767005,-2.11642854179548 46.8567996760638,-2.12328736062634 46.8554298071665,-2.13040380282274 46.8550037373137,-2.13750475780963 46.8555378205307,-2.14431770551027 46.857011562365,-2.15058113358838 46.8593684029128,-2.15605454079547 46.8625178789725,-2.16052764904369 46.8663390839622,-2.16382847479293 46.8706852951422,-2.16582995103736 46.8753895932231,-2.16645484350684 46.8802712612692,-2.16567876715929 46.8851427193823,-2.16353117970056 46.8898167302288,-2.16009430537299 46.8941135989835,-2.15550002185762 46.8978680903267,-2.14992482277757 46.9009357949457,-2.14358304470819 46.903198698355,-2.13671861748547 46.904569735089,-2.12959565678295 46.9049961503545,-2.12248826556014 46.90446153754,-2.11566994375328 46.9029864717246,-2.10940302185798 46.9006277143764,-2.10392853302426 46.8974760205128,-2.09945692000682 46.8936526343562,-2.09615993870951 46.8893046107093,-2.09416407085484 46.8845991447926,-2.09354569688691 46.8797171313343)))', 'FRGE3', 'Le Grand Etier de Sallertaine', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.56215755098998 48.8325341544195,-1.56302408096755 48.8276693409281,-1.56531111389403 48.8230095756467,-1.56893042563821 48.8187338473075,-1.57374271454343 48.8150063512272,-1.5795629870829 48.8119701974188,-1.58616767606891 48.8097419315709,-1.59330321653439 48.8084070763185,-1.60069575212681 48.8080168611114,-1.60806160477549 48.8085862638606,-1.6151181135508 48.8100934380504,-1.62159443568903 48.8124805469278,-1.62724190402121 48.8156559735191,-1.63184355049865 48.8194978234548,-1.63522243479524 48.8238585887115,-1.63724845937183 48.8285707961673,-1.63784340680975 48.8334534269536,-1.63698400012894 48.838318862432,-1.63470286022666 48.842980091472,-1.63108731407498 48.8472579024976,-1.62627609005266 48.8509877831223,-1.62045401956649 48.854026260308,-1.61384494352417 48.8562564346527,-1.60670309478195 48.8575924929699,-1.59930329007087 48.8579830226536,-1.59193031412026 48.8574129979169,-1.58486791231901 48.8559043599672,-1.57838782459099 48.8535151684021,-1.57273929138149 48.850337357266,-1.56813944285591 48.8464931839537,-1.56476494561737 48.8421305102015,-1.56274522931481 48.8374170996821,-1.56215755098998 48.8325341544195)))', 'FRGFR', 'Granville', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.24167519452899 49.4694235945446,-1.24258593610229 49.4645622091878,-1.24493399026792 49.4599099913638,-1.24862877885733 49.4556456362762,-1.25352809629504 49.4519328984633,-1.2594436073591 49.4489143174133,-1.26614809338485 49.4467057609808,-1.2733841671782 49.4453919930889,-1.28087412433225 49.4450234329508,-1.28833055843689 49.4456142278302,-1.29546734086051 49.4471417118412,-1.30201055301816 49.4495472712121,-1.3077089606266 49.4527385836348,-1.31234363535826 49.456593147632,-1.31573635918332 49.4609629691162,-1.31775648981482 49.4656802282397,-1.31832602093479 49.4705637118711,-1.31742263674133 49.4754257670573,-1.3150806348188 49.4800795098524,-1.31138967193699 49.48434601289,-1.3064913712414 49.4880611946262,-1.30057391316293 49.4910821435077,-1.29386481278035 49.4932926311989,-1.28662215978139 49.4946075997597,-1.27912466019799 49.4949764471858,-1.27166086870806 49.4943849824763,-1.26451803403961 49.4928559734929,-1.25797099617738 49.4904482661707,-1.25227157183279 49.4872545098243,-1.24763884412098 49.4833975779963,-1.24425073465447 49.4790258252547,-1.24223718322559 49.4743073654636,-1.24167519452899 49.4694235945446)))', 'FRGG2', 'Les Gougins, Saint-Marcouf', 'Y'),('SRID=4326;MULTIPOLYGON(((6.15410646079509 43.1208540479302,6.15367722453442 43.1159634602383,6.15195401475667 43.1112281750723,6.14900332714311 43.1068301186364,6.14493875291002 43.1029382224719,6.13991658351906 43.0997019442013,6.13412979054315 43.0972455400445,6.12780061413101 43.0956633067651,6.12117204422517 43.0950159733116,6.11449851858854 43.095328378485,6.10803618964641 43.0965885221479,6.10203312740116 43.0987480255642,6.09671982783656 43.1017239833029,6.09230038525932 43.1054021366336,6.08894466323318 43.1096412483742,6.08678176280494 43.1142785134963,6.08589503961938 43.1191358001555,6.08631886466985 43.1240264836618,6.08803725861122 43.1287626125266,6.09098445892922 43.1331621321002,6.09504740531686 43.1370558880923,6.10007005413786 43.1402941397385,6.10585936083111 43.1427523303902,6.11219270255763 43.144335891306,6.1188264552434 43.1449838914168,6.12550539209359 43.1446713904288,6.13197253687399 43.1434104030664,6.13797908641409 43.1412494365114,6.14329401382123 43.1382716189447,6.14771297696508 43.1345914922385,6.151066185272 43.1303505940038,6.15322492038656 43.1257120012461,6.15410646079509 43.1208540479302)))', 'FRGIN', 'Giens', 'Y'),('SRID=4326;MULTIPOLYGON(((7.11138206704173 43.5685733385144,7.11087389481623 43.5636851544576,7.10906422412903 43.5589629662623,7.10602287406876 43.5545881911225,7.10186691558812 43.5507288610899,7.09675614315882 43.5475331791153,7.09088692136485 43.5451238402628,7.0844846447935 43.5435933338111,7.07779510004394 43.5430004041704,7.07107505818434 43.5433678043137,7.06458245343299 43.5446814264014,7.05856651848066 43.5468908422485,7.05325824833531 43.5499112331215,7.04886155283002 43.5536266359312,7.04554543331085 43.5578943830924,7.04343748218413 43.5625505679358,7.04261895599141 43.5674163282542,7.04312161491419 43.5723047088396,7.04492645589981 43.5770278409739,7.04796439513755 43.581404163757,7.0521188809417 43.585265409523,7.0572303430429 43.588463083668,7.0631023118616 43.5908741878379,7.06950897460129 43.5924059640004,7.07620387690821 43.5929994744431,7.08292943207398 43.592631877771,7.08942686652867 43.5913173117435,7.09544621230258 43.589106348252,7.1007559551213 43.5860840416452,7.10515196095123 43.5823666466654,7.1084653334439 43.5780971341876,7.11056889840325 43.5734396796343,7.11138206704173 43.5685733385144)))', 'FRGJE', 'Golfe Juan', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.03199640622275 44.63240197537,-1.0328337561785 44.6275374377771,-1.03498371140789 44.6228829864474,-1.03836338705597 44.6186174143576,-1.04284273944633 44.6149045408636,-1.04824958854673 44.6118869320763,-1.05437624091063 44.6096804399999,-1.06098745767041 44.6083697675746,-1.06782946345307 44.6080052274553,-1.07463965475175 44.6086008169849,-1.08115664135079 44.6101336820627,-1.08713024253868 44.6125449902403,-1.09233106136678 44.6157421802791,-1.09655927509723 44.6196025034331,-1.09965230785622 44.6239777227614,-1.10149109163366 44.6286997925854,-1.10200467303006 44.6335873024463,-1.10117298402643 44.6384524400504,-1.09902766361392 44.6431082069318,-1.09565089103883 44.647375609833,-1.0911722680106 44.6510905506741,-1.0857638635219 44.6541101486092,-1.07963360781226 44.6563182488044,-1.07301728832583 44.6576299034978,-1.06616945727989 44.6579946504928,-1.05935360502566 44.6573984609514,-1.0528319836087 44.6558642803211,-1.04685547934976 44.6534511413311,-1.04165393116332 44.6502518839449,-1.03742727282461 44.6463895716436,-1.0343378434124 44.6420127441975,-1.03250416235967 44.6372896921063,-1.03199640622275 44.63240197537)))', 'FRGMS', 'Gujan-Mestras', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.292911887847 47.8004237918843,-4.29350350600502 47.7955407098848,-4.29549732126712 47.7908291995148,-4.2988163741314 47.7864702550565,-4.30333288072991 47.7826312833689,-4.30887317906874 47.7794596865181,-4.3152244171343 47.7770772165857,-4.32214272369672 47.7755753166525,-4.32936254920065 47.7750116239915,-4.3366068224876 47.7754077672295,-4.34359754034497 47.776748540298,-4.35006639174213 47.7789824841397,-4.35576501745181 47.7820238542193,-4.36047451858393 47.7857558997434,-4.36401385406359 47.7900353309777,-4.36624680659588 47.7946978059172,-4.36708724813835 47.79956422848,-4.36650249789842 47.804447618832,-4.36451463651563 47.8091602936935,-4.36119971706824 47.8135210814996,-4.35668489414861 47.8173622947583,-4.35114357342479 47.8205361901448,-4.34478876255811 47.8229206656463,-4.33786487670452 47.8244239728519,-4.3306383148162 47.8249882602439,-4.32338717360612 47.824591808653,-4.31639050186701 47.8232498710918,-4.30991751705455 47.8210140839012,-4.30421720767068 47.8179704722499,-4.29950872892858 47.8142361281904,-4.29597296625247 47.8099546913883,-4.29374559300976 47.8052908091775,-4.292911887847 47.8004237918843)))', 'FRGN3', 'Saint-Guenole', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.2971534163502 45.9774713608205,-1.29799160470608 45.9726059236181,-1.30017474220992 45.9679479508328,-1.30361864736339 45.9636763686662,-1.30819079296809 45.9599552233794,-1.31371542633896 45.9569273935678,-1.31998033054644 45.9547091181112,-1.32674496579819 45.9533855472477,-1.33374968023756 45.9530074850031,-1.34072564121202 45.9535894459362,-1.34740511248827 45.9551090994991,-1.35353169063082 45.9575081230433,-1.35887011513413 45.9606944314681,-1.36321528188164 45.9645456995922,-1.36640011773075 45.9689140443695,-1.36830201476271 45.9736316898469,-1.36884757487862 45.9785173999133,-1.36801547744722 45.9833834338853,-1.36583735267477 45.9880427590444,-1.36239661891694 45.9923162433025,-1.35782532055543 45.9960395508223,-1.3522990812893 45.9990694738283,-1.34603036253024 46.0012894547707,-1.33926028480123 46.0026140837664,-1.33224932852719 46.0029923956982,-1.32526727662434 46.0024098379948,-1.31858279261546 46.0008888320571,-1.3124530430794 45.9984879064206,-1.30711377133716 45.9952994357623,-1.30277021048882 45.9914460744444,-1.29958918919255 45.9870760241824,-1.29769273463572 45.9823573205738,-1.2971534163502 45.9774713608205)))', 'FRGO2', 'St Georges d''Oleron', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.02915780947588 48.8170157826216,-3.02988203912332 48.8121401669438,-3.03203228289476 48.8074515154085,-3.03552556086958 48.803129934524,-3.04022739619364 48.7993413867721,-3.04595701815327 48.7962313300389,-3.05249432142687 48.7939191481118,-3.05958831223704 48.7924935831808,-3.06696671872783 48.7920093427879,-3.07434640159593 48.7924850090011,-3.08144417288314 48.793902328417,-3.0879876165787 48.7962069096552,-3.09372550461935 48.7993103021413,-3.09843741601409 48.8030933780242,-3.10194219482487 48.807410889864,-3.10410492391909 48.8120970320229,-3.10484214470554 48.8169717951358,-3.10412511698844 48.8218478721027,-3.10198098569536 48.8265378519958,-3.09849180017798 48.8308614260769,-3.09379141425043 48.8346523284182,-3.08806037796771 48.8377647426687,-3.08151901196815 48.8400789261306,-3.07441892854184 48.8415058318979,-3.06703332709079 48.8419905482981,-3.05964644228695 48.8415144207954,-3.05254255851913 48.8400957730204,-3.04599502236834 48.8377891985844,-3.04025568493655 48.8346834515084,-3.03554518787029 48.8308980181086,-3.03204447178773 48.8265785047353,-3.02988783530745 48.8218910217413,-3.02915780947588 48.8170157826216)))', 'FRGPA', 'Loguivy-Plougras', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((2.14958534934642 51.0002948490052,2.14891387679203 50.995416262747,2.14674739394957 50.9907140522291,2.1431695575854 50.9863688434958,2.13831813578431 50.9825475009776,2.13237967206992 50.9793967331837,2.12558230063379 50.9770374766089,2.11818699116815 50.9755602703588,2.1104775579187 50.9750217958877,2.10274981112666 50.9754427119312,2.09530025892624 50.9768068658455,2.08841478331479 50.9790619108659,2.08235771467414 50.9821213060915,2.07736171548255 50.9858676241009,2.07361885562726 50.9901570418303,2.07127321976833 50.9948248454354,2.07041533255201 50.9996917409554,2.07107862159399 51.0045707311886,2.07323806297539 51.0092742965374,2.07681107192777 51.0136216046968,2.08166061529655 51.0174454716183,2.08760043553383 51.0205988044751,2.09440219193119 51.0229602762649,2.10180424722652 51.0244390106353,2.10952176018216 51.0249780934893,2.11725769049347 51.0245567734702,2.12471428415811 51.0231912647236,2.13160458717896 51.0209341202755,2.13766353424538 51.017872200646,2.14265817690724 51.0141233175742,2.14639665179813 51.0098316846312,2.14873554182977 51.0051623529073,2.14958534934642 51.0002948490052)))', 'FRGPO', 'Grand-Fort-Philippe', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.0949064055047 44.7794197831863,-1.09574103709265 44.7745548486831,-1.09789183600285 44.7698993326481,-1.10127588244631 44.7656320689092,-1.10576296281743 44.761916941498,-1.11118059898768 44.758896602592,-1.11732068287146 44.7566870084285,-1.12394746036791 44.7553729804458,-1.13080655993475 44.7550049596164,-1.13763472359336 44.7555970765858,-1.14416987313548 44.7571266104874,-1.15016113236897 44.7595348569519,-1.15537842772204 44.762729372732,-1.1596213043944 44.7665875124013,-1.16272662312939 44.7709611236127,-1.16457484284724 44.7756822232009,-1.16509464571178 44.7805694386287,-1.16426572218142 44.7854349693781,-1.16211960229063 44.7900918020901,-1.15873849349034 44.794360902485,-1.15425216215619 44.7980781069171,-1.14883297238179 44.8011004470014,-1.14268926877413 44.8033116618393,-1.13605735650397 44.8046266832592,-1.12919238883679 44.8049949190466,-1.12235851711711 44.8044022058306,-1.11581868855451 44.8028713552509,-1.1098244916798 44.8004612721295,-1.1046064472936 44.7972646793282,-1.10036512422887 44.7934045384812,-1.09726342521884 44.7890293065964,-1.09542034027273 44.7843072135718,-1.0949064055047 44.7794197831863)))', 'FRGQE', 'Grand Piquey', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.89147582123564 49.70963768018,-1.89232688353011 49.7047710018317,-1.89462523107036 49.7001054735304,-1.89828218509312 49.6958203046756,-1.90315698219309 49.69208005082,-1.90906221845421 49.689028308328,-1.91577106153355 49.6867822172615,-1.9230259520225 49.6854279805224,-1.93054846210454 49.6850175682996,-1.93804993860845 49.6855667318687,-1.94524253005987 49.6870544014092,-1.95185018392642 49.6894234905107,-1.95761920124581 49.6925830772347,-1.96232795120712 49.6964118798445,-1.96579537767439 49.7007628964089,-1.96788797239434 49.7054690331961,-1.96852494462379 49.710349508722,-1.96768138262571 49.7152167899818,-1.96538927693588 49.7198837960072,-1.96173635605287 49.724171092429,-1.95686276937239 49.7279137997919,-1.95095573653382 49.7309679482074,-1.94424236339146 49.7332160313333,-1.93698089901453 49.7345715429947,-1.929450772035 49.7349823189066,-1.92194179522901 49.7344325524254,-1.91474296192515 49.7329434051593,-1.90813127492168 49.7305721884896,-1.90236104718883 49.7274101482579,-1.89765409381068 49.7235789397252,-1.89419119740844 49.7192259311027,-1.89210517657365 49.7145185193947,-1.89147582123564 49.70963768018)))', 'FRGR5', 'Goury', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.44227435020893 48.679495953675,-1.44314945171538 48.6746320103235,-1.44544023788665 48.6699745478696,-1.44905834424761 48.6657024663688,-1.45386451881475 48.6619798212265,-1.45967400533401 48.6589495366508,-1.46626365202284 48.6567279336788,-1.4733804713516 48.6554002799432,-1.48075132434325 48.655017529182,-1.4880933629865 48.6555943733213,-1.49512483768085 48.6571086804469,-1.50157586382098 48.6595023398735,-1.50719874299436 48.6626834826614,-1.51177744978798 48.666529994159,-1.51513592451774 48.670894186303,-1.51714485459099 48.6756084532288,-1.51772668158239 48.6804916958835,-1.51685863591517 48.6853562712424,-1.51457367431572 48.6900152006569,-1.51095927452129 48.6942893607403,-1.50615412422364 48.6980143796421,-1.50034282373989 48.7010469717709,-1.49374880101114 48.7032704647855,-1.48662570977907 48.704599303311,-1.47924764386176 48.7049823532356,-1.47189854937421 48.7044048770882,-1.46486125010636 48.7028891030008,-1.45840651740241 48.7004933649903,-1.45278261396505 48.6973098484425,-1.44820572114099 48.6934610293924,-1.44485162245282 48.6890949472072,-1.44284896428016 48.6843794954927,-1.44227435020893 48.679495953675)))', 'FRGTN', 'Genêts', 'Y'),('SRID=4326;MULTIPOLYGON(((3.68833103462201 43.4487984944872,3.68761609932062 43.4439227906536,3.68560964315298 43.4392423651348,3.68238902955564 43.4349370179104,3.6780781924732 43.4311721048338,3.67284284823202 43.4280921977525,3.6668841191282 43.4258155456723,3.66043081496539 43.4244295472436,3.65373066753723 43.4239874060228,3.64704085072378 43.4245060949333,3.64061814439672 43.4259657067847,3.63470911301234 43.4283102153886,3.62954066927528 43.4314496186126,3.62531137958899 43.4352633825297,3.62218384152787 43.4396050565138,3.62027842498571 43.444307884497,3.61966861906628 43.4491911992966,3.62037816766547 43.4540673564177,3.62238010992958 43.4587489422661,3.62559776962268 43.4630559802129,3.62990766250563 43.4668228570076,3.63514421599862 43.4699047018445,3.64110612370861 43.4721829707121,3.64756409191826 43.4735700188185,3.65426967877473 43.4740124828032,3.66096488229359 43.4734933406049,3.66739210252541 43.4720325684229,3.67330408781254 43.4696863690958,3.67847347574575 43.4665450021534,3.68270155617701 43.462729300481,3.68582591563074 43.4583860097104,3.68772666812756 43.4536821320504,3.68833103462201 43.4487984944872)))', 'FRGUZ', 'Bouzigues', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.3129880405727 47.6801069280222,-3.31366998926923 47.6752286601133,-3.31574770583162 47.6705339492335,-3.31914101616224 47.6662031392023,-3.32371929569763 47.6624025526218,-3.32930652283949 47.6592781156383,-3.33568805556648 47.6569497695906,-3.34261886898601 47.6555068813378,-3.34983293896017 47.6550048256725,-3.35705341614908 47.655462868622,-3.36400320693953 47.656863431269,-3.37041556346487 47.6591527617458,-3.37604428461742 47.6622429901162,-3.3806731436122 47.6660154888043,-3.38412418494776 47.6703254119114,-3.38626457384105 47.6750072419261,-3.38701173332433 47.6798811336569,-3.38633656670884 47.684759814151,-3.38426463414027 47.6894557751913,-3.38087522915609 47.6937884826327,-3.37629838176577 47.6975913250101,-3.37070989553545 47.7007180327526,-3.36432460417022 47.7030483188188,-3.35738810478083 47.7044925209991,-3.35016728714295 47.7049950644672,-3.34294002786814 47.704536608932,-3.33598445308175 47.7031347961235,-3.32956819121186 47.7008435682351,-3.32393803791903 47.6977510840674,-3.31931043801758 47.6939763146207,-3.31586315532237 47.6896644514963,-3.31372845239704 47.6849813075552,-3.3129880405727 47.6801069280222)))', 'FRGV5', 'Gâvres', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.13337483862716 47.1297287523364,-2.13415771409117 47.124857762889,-2.13631758655156 47.1201845727665,-2.13977114357701 47.1158886941247,-2.14438546558606 47.1121351052622,-2.14998316439883 47.1090679273319,-2.1563492095551 47.1068049051853,-2.16323917867322 47.1054329015085,-2.17038861681185 47.1050045745287,-2.17752315027716 47.1055363645735,-2.18436897364725 47.1070078653185,-2.19066331564157 47.1093626034264,-2.19616449017278 47.1125101973069,-2.20066115347072 47.1163298137743,-2.20398041620903 47.1206747922868,-2.20599450038694 47.1253782619907,-2.20662568322806 47.1302595385986,-2.20584933305161 47.1351310576957,-2.2036949130162 47.139805579604,-2.20024490547124 47.1441033894157,-2.1956316896215 47.1478592148293,-2.19003248524311 47.1509285941973,-2.18366255200404 47.1531934475192,-2.17676690421095 47.1545666333287,-2.16961086133243 47.1549953134296,-2.16246980257509 47.1544629937345,-2.15561852677836 47.1529901612025,-2.14932063530569 47.1506334919237,-2.14381835461984 47.1474836614917,-2.13932319689199 47.1436618435872,-2.13600782223813 47.1393150339005,-2.13399941673306 47.1346103820649,-2.13337483862716 47.1297287523364)))', 'FRGV6', 'Gravette', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.24592330237193 47.7834084995818,-4.24651916579456 47.7785256080806,-4.24851662321336 47.7738148681805,-4.25183857582356 47.7694572443458,-4.25635712908281 47.7656200925766,-4.26189854308869 47.7624507450083,-4.26824992356601 47.7600708674072,-4.27516739420132 47.7585718034521,-4.28238543767011 47.7580110817134,-4.2896270511044 47.7584102169502,-4.29661433304661 47.7597538883897,-4.3030791038454 47.7619905258009,-4.30877316032841 47.7650342812451,-4.31347777845458 47.7687683122533,-4.31701210418572 47.7730492526675,-4.31924011235716 47.7777127022664,-4.32007586482657 47.7825795272295,-4.31948686119043 47.7874627319556,-4.31749534600536 47.7921746400209,-4.31417751342543 47.7965341091185,-4.30966063075539 47.8003735023242,-4.30411818356457 47.8035451462643,-4.29776322342011 47.8059270255706,-4.29084017160682 47.8074274918226,-4.2836153951333 47.8079888029626,-4.2763669219075 47.8075893545005,-4.26937369772914 47.8062445148947,-4.26290480690169 47.8040060322195,-4.25720907983416 47.8009600353382,-4.25250549489795 47.7972237079585,-4.24897474883637 47.7929407658403,-4.24675232184129 47.7882759139457,-4.24592330237193 47.7834084995818)))', 'FRGVC', 'Guilvinec', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.0949064055047 44.7794197831863,-1.09574103709265 44.7745548486831,-1.09789183600285 44.7698993326481,-1.10127588244631 44.7656320689092,-1.10576296281743 44.761916941498,-1.11118059898768 44.758896602592,-1.11732068287146 44.7566870084285,-1.12394746036791 44.7553729804458,-1.13080655993475 44.7550049596164,-1.13763472359336 44.7555970765858,-1.14416987313548 44.7571266104874,-1.15016113236897 44.7595348569519,-1.15537842772204 44.762729372732,-1.1596213043944 44.7665875124013,-1.16272662312939 44.7709611236127,-1.16457484284724 44.7756822232009,-1.16509464571178 44.7805694386287,-1.16426572218142 44.7854349693781,-1.16211960229063 44.7900918020901,-1.15873849349034 44.794360902485,-1.15425216215619 44.7980781069171,-1.14883297238179 44.8011004470014,-1.14268926877413 44.8033116618393,-1.13605735650397 44.8046266832592,-1.12919238883679 44.8049949190466,-1.12235851711711 44.8044022058306,-1.11581868855451 44.8028713552509,-1.1098244916798 44.8004612721295,-1.1046064472936 44.7972646793282,-1.10036512422887 44.7934045384812,-1.09726342521884 44.7890293065964,-1.09542034027273 44.7843072135718,-1.0949064055047 44.7794197831863)))', 'FRHB3', 'L''Herbe', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.54890691150758 47.7961833715113,-3.54956823158769 47.7913038857783,-3.55162923576435 47.7866050684071,-3.55501038826702 47.7822674219687,-3.55958152755612 47.7784575321754,-3.56516690259806 47.7753216824723,-3.57155193966104 47.7729802519885,-3.57849147768012 47.7715231091615,-3.58571915734363 47.7710061750652,-3.59295760800019 47.7714492859478,-3.59992904836258 47.7728354353746,-3.60636590249368 47.7751114244272,-3.61202103204757 47.7781898954784,-3.61667719921421 47.7819526729948,-3.6201554019504 47.7862552854481,-3.62232176319159 47.7909324975194,-3.62309270777111 47.7958046429972,-3.62243822325713 47.8006845175878,-3.62038307195601 47.8053845685373,-3.61700589859152 47.8097241054739,-3.61243625891513 47.8135362548743,-3.60684967565694 47.8166743892888,-3.60046090648766 47.8190177817617,-3.5935156806511 47.82047626516,-3.58628122337797 47.82099371432,-3.57903593715033 47.8205502145794,-3.57205864391019 47.8191628315731,-3.56561781064274 47.8168849520212,-3.55996118148095 47.8138042213623,-3.5553062225355 47.810039159135,-3.55183175190782 47.8057345846938,-3.54967107848228 47.8010560320522,-3.54890691150758 47.7961833715113)))', 'FRHCN', 'Clohars-Carnoët', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.84323279453932 47.3299556086856,-2.84395362861766 47.3250798927054,-2.84605932178409 47.3203934455372,-2.84946863462795 47.3160762918905,-2.85405033725113 47.3122942292662,-2.85962828449794 47.3091924729422,-2.86598819610263 47.3068900947877,-2.87288587956133 47.3054754666787,-2.88005658154361 47.3050028806999,-2.88722511345869 47.3054904735506,-2.89411636945229 47.3069195332817,-2.90046584132368 47.3092352144439,-2.90602973495595 47.3123486347597,-2.91059430684366 47.3161402744102,-2.91398406684039 47.3204645497899,-2.91606853363872 47.3251553888899,-2.91676728166075 47.3300325969872,-2.91605308049369 47.3349087705011,-2.91395299883818 47.3395964949943,-2.91054742180361 47.3439155512966,-2.90596701054458 47.3476998522451,-2.90038771361726 47.3508038417976,-2.89402401676303 47.3531081080959,-2.88712068875527 47.3545239918109,-2.87994334225628 47.3549970097031,-2.87276817742526 47.3545089593183,-2.86587130991884 47.353078622261,-2.85951810224012 47.3507610384421,-2.85395291724839 47.3476453798016,-2.84938969504584 47.3438515069231,-2.84600372030054 47.3395253434008,-2.8439248980493 47.3348332486959,-2.84323279453932 47.3299556086856)))', 'FRHDO', 'Hoedic', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.74072607587233 43.3576277113748,-1.7414854784426 43.352756038043,-1.74353248420612 43.3480860472531,-1.74678817651667 43.3437971355013,-1.75112727983001 43.3400540255874,-1.7563829984047 43.3370004512818,-1.76235343315579 43.3347536507261,-1.76880932902938 43.3333998776004,-1.77550285693418 43.3329911000484,-1.78217709703558 43.3335430121615,-1.78857586513919 43.3350344331383,-1.79445351165067 43.337408116868,-1.79958432352396 43.340572941487,-1.80377117368731 43.344407396338,-1.80685308929784 43.34876423457,-1.80871144909818 43.3534761151579,-1.80927457002941 43.3583620200441,-1.80852050259867 43.3632342018791,-1.806477921416 43.3679053966927,-1.80322506952556 43.3721960246873,-1.79888679004302 43.3759411017808,-1.79362975328832 43.3789965947176,-1.78765605902668 43.3812449732616,-1.78119545854271 43.3825997434985,-1.77449649716232 43.383008785483,-1.76781692191826 43.3824563648663,-1.76141372923269 43.3809637398647,-1.75553324230271 43.3785883398915,-1.75040160660197 43.3754215480927,-1.74621607462177 43.3715851746109,-1.74313741852288 43.3672267583913,-1.74128376333132 43.3625138806932,-1.74072607587233 43.3576277113748)))', 'FRHEN', 'Hendaye', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.9819974662487 44.6323866517141,-0.982838981504441 44.6275225568025,-0.98499289980251 44.6228691196935,-0.988376184367098 44.6186050941531,-0.992858653369833 44.6148942399555,-0.998268007622838 44.6118790455715,-1.00439645800601 44.6096752702962,-1.01100869704606 44.6083675128428,-1.01785091039418 44.6080059740999,-1.02466048664829 44.6086045363613,-1.0311760590693 44.6101402315706,-1.03714750091589 44.6125541187542,-1.04234549768627 44.6157535377125,-1.04657033447899 44.6196156540838,-1.04965956459534 44.6239921619404,-1.05149426566594 44.6287149659084,-1.05200364087582 44.6336026270617,-1.05116778376442 44.6384673270004,-1.04901849365954 44.643122083792,-1.04563810273675 44.6473879427611,-1.04115635229327 44.6511008650106,-1.03574543212201 44.6541180472277,-1.02961336973921 44.6563234274878,-1.02299602251212 44.6576321627328,-1.01614798246515 44.6579939032142,-1.00933274806327 44.6573947359253,-1.00281254744804 44.6558577210324,-0.996838211961614 44.6534420004193,-0.991639496635781 44.6502405134087,-0.987416225764724 44.6463764092048,-0.984330607649043 44.6419982963644,-0.982501014763525 44.6372745146057,-0.9819974662487 44.6323866517141)))', 'FRHHL', 'Le Teich', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.19345639524611 47.0097484343568,-2.19423190547307 47.0048768889318,-2.19638156607523 47.0002024074101,-2.19982245856565 46.9959045521875,-2.20442215064563 46.9921483781748,-2.21000381594141 46.9890781064663,-2.21635303879593 46.9868116012522,-2.22322604120787 46.9854358593011,-2.23035901774802 46.9850036824788,-2.2374782247872 46.9855316587911,-2.2443104436941 46.9869995279968,-2.25059342448803 46.9893509557056,-2.25608591708746 46.9924956868911,-2.26057691176992 46.9963129977835,-2.26389373840033 47.0006563159955,-2.26590871468502 47.0053588342456,-2.26654408607543 47.0102399048302,-2.26577506247858 47.0151119715202,-2.26363082770008 47.0197877740703,-2.26019347419476 47.0240875489703,-2.25559489548245 47.0278459490561,-2.2500117484358 47.0309184143341,-2.24365867429402 47.0331867466629,-2.23678003738168 47.034563671112,-2.22964050093002 47.0349962057907,-2.2225148072563 47.0344677082129,-2.21567716252409 47.0329985179777,-2.20939064274716 47.0306451705903,-2.20389703678466 47.0274982133313,-2.19940752385751 47.0236787088699,-2.196094548516 47.0193335635444,-2.19408520672962 47.0146298627974,-2.19345639524611 47.0097484343568)))', 'FRHID', 'L''Herbaudiere', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.97221742790311 48.745324977078,-3.97284931918259 48.7404440620985,-3.97490851760655 48.7357384378893,-3.97831553571647 48.7313888684403,-3.9829392007726 48.727562395516,-3.9886017324989 48.724405936049,-3.99508558948249 48.7220406563234,-4.0021418189731 48.7205573360895,-4.00949959078015 48.7200128976607,-4.01687655393976 48.7204282306947,-4.02398962591556 48.7217873943962,-4.0305658090129 48.7240382270447,-4.03635262777565 48.7270943398888,-4.0411277944148 48.7308384203918,-4.04470773646711 48.7351267204052,-4.046954661234 48.7397945598341,-4.04778188405799 48.744662637407,-4.04715721069923 48.7495439087376,-4.04510423608179 48.7542507692551,-4.0417015001466 48.7586022667532,-4.03707952371075 48.7624310659395,-4.03141582997201 48.7655898957295,-4.02492813724794 48.7679572289786,-4.01786598224496 48.7694419733059,-4.0105010972596 48.7699869895926,-4.0031169161738 48.769571300207,-3.99599762038893 48.768210900196,-3.98941715511872 48.7659581394972,-3.98362864774088 48.7628997003904,-3.97885464311964 48.7591532495649,-3.97527853681038 48.7548628960293,-3.97303753755399 48.7501936325081,-3.97221742790311 48.745324977078)))', 'FRHMX', 'Île-de-Batz', 'Y'),('SRID=4326;MULTIPOLYGON(((0.271257669611067 49.4179098081348,0.270792753861482 49.4130230621843,0.268875804039994 49.4082893709638,0.265580868267603 49.4038905850756,0.261034843036236 49.3999956417969,0.255412555080434 49.3967540890015,0.248930023907023 49.3942903582911,0.241836166743833 49.3926990043532,0.234403263670499 49.3920410902786,0.226916544648413 49.3923418548714,0.219663290936522 49.3935897494876,0.212921860226729 49.3957368803934,0.206951047379426 49.398700839863,0.2019801808459 49.4023678570713,0.198200329019446 49.4065971501169,0.195756951492656 49.411226314977,0.194744278517015 49.4160775475229,0.19520163927066 49.4209644623904,0.197111887686323 49.4256992488065,0.200401995870567 49.4300998894359,0.204945802288281 49.4339971646338,0.210568818000316 49.4372411715132,0.217054912706866 49.4397071048603,0.22415462666521 49.4413000746557,0.231594788151457 49.4419587718089,0.239089062175521 49.4416578382988,0.246349017296584 49.4404088484857,0.253095275593215 49.4382598628373,0.259068307248974 49.4352935714478,0.264038446020228 49.4316241001557,0.267814734310198 49.4273926044747,0.270252255043143 49.4227618237584,0.271257669611067 49.4179098081348)))', 'FRHON', 'Honfleur', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.91319795884034 47.3799780405432,-2.91391303711053 47.3751019238978,-2.91601453568366 47.3704142301893,-2.91942137493204 47.3660950322629,-2.92400241862074 47.3623102062296,-2.92958154575015 47.3592050734227,-2.93594442995218 47.3568988351583,-2.94284676424906 47.3554800112234,-2.95002361690007 47.3550030544591,-2.95719956377536 47.3554862690625,-2.96409921527871 47.3569111109583,-2.97045774198482 47.3592228965536,-2.97603100319996 47.3623328932249,-2.98060489659637 47.3661217128619,-2.98400357457139 47.370443880539,-2.98609621334777 47.3751334056762,-2.98680207298764 47.3800101445326,-2.98609364895622 47.3848867120301,-2.98399778672984 47.3895756789717,-2.98059470785389 47.3938967786742,-2.97601497608026 47.3976838454988,-2.97043451268038 47.400791216972,-2.96406784745639 47.403099350961,-2.95715986301194 47.4045194390716,-2.94997635127194 47.4049968360033,-2.94279375015318 47.4045131705473,-2.93588846230116 47.4030870554172,-2.92952617522457 47.4007733680446,-2.92395160209905 47.3976611305816,-2.9193790449778 47.3938700722788,-2.91598414802667 47.3895460088782,-2.91389715939591 47.3848552195664,-2.91319795884034 47.3799780405432)))', 'FRHOT', 'Île-d''Houat', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.43302387233896 47.6301455263181,-3.43369402023449 47.6252665406041,-3.43575901759794 47.6205696565578,-3.43913917907306 47.6162353022651,-3.44370438458151 47.6124299371449,-3.4492791134918 47.6092996713601,-3.45564920220167 47.6069646703366,-3.46257006359045 47.605514556466,-3.46977605412772 47.6050049817315,-3.47699063356998 47.605455500431,-3.48393693422212 47.6068488220231,-3.4903483423862 47.6091314721578,-3.49597869421124 47.6122158370068,-3.50061170170232 47.6159835139452,-3.50406925181278 47.6202898422798,-3.50621826164821 47.6249694428575,-3.50697582479131 47.6298425566477,-3.50631244614467 47.6347219412768,-3.50425323358352 47.6394200622459,-3.50087699178085 47.6437563031591,-3.49631324408 47.6475639173769,-3.49073728917344 47.6506964523317,-3.48436347730921 47.653033397137,-3.47743696242401 47.6544848334777,-3.47022424874223 47.6549949080364,-3.46300290004622 47.6545439904214,-3.45605081458964 47.6531494319053,-3.44963548675496 47.650864895149,-3.44400367712706 47.6477782812019,-3.4393718956371 47.644008335094,-3.43591806868313 47.6397000629787,-3.43377471234228 47.6350191399319,-3.43302387233896 47.6301455263181)))', 'FRHR3', 'Locmaria', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.49204757856952 48.9795100772893,-1.49292377818117 48.9746460052957,-1.49522432911961 48.9699878788462,-1.49886048567321 48.9657146229161,-1.50369229802045 48.9619903369718,-1.50953402291853 48.9589580068938,-1.51616127063765 48.9567340308424,-1.52331961216904 48.9554037662873,-1.53073431838613 48.9550182662701,-1.53812086272691 48.9555923278279,-1.54519579212678 48.9571039260073,-1.55168755802389 48.9594950548196,-1.55734690059267 48.9626739436433,-1.56195639491684 48.9665185658268,-1.56533879723098 48.9708813073969,-1.56736387192626 48.975594619596,-1.56795343462608 48.9804774410933,-1.56708441176069 48.985342145594,-1.56478979072522 48.9900017494611,-1.5611574144577 48.994277102796,-1.55632665726475 48.9980037868217,-1.55048310175027 49.0010384505718,-1.5438514163377 49.0032643406052,-1.53668670563401 49.0045958080657,-1.52926466841512 49.0049816167799,-1.52187094732285 49.0044069227143,-1.51479008801828 49.0028938471159,-1.50829454183787 49.0005006208976,-1.50263414412045 48.997319333992,-1.4980264804179 48.9934723781371,-1.49464851579896 48.9891077225863,-1.49262981027321 48.9843932074831,-1.49204757856952 48.9795100772893)))', 'FRHSA', 'Hauteville-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.04710083576692 46.066392042977,-1.047962506803 46.0615288860645,-1.05017023568448 46.0568761529727,-1.05363889653729 46.0526125671096,-1.05823501281977 46.0489018663464,-1.06378191371297 46.04588652731,-1.07006653018271 46.04368230887,-1.0768475685564 46.0423738216586,-1.0838647497383 46.0420112911459,-1.09084876410826 46.0426086364507,-1.0975315667442 46.0441429373659,-1.103656625542 46.0465553097884,-1.10898873638995 46.0497531567255,-1.11332303476286 46.0536137101716,-1.11649286156089 46.0579887302508,-1.11837618199838 46.0627101838869,-1.11890030873093 46.0675966875241,-1.11804474266674 46.0724604685456,-1.1158420150912 46.0771145792563,-1.11237649047516 46.0813800865185,-1.10778116789617 46.0850929599457,-1.10223259733808 46.0881103921426,-1.09594410202557 46.0903163055747,-1.08915756614964 46.0916258315625,-1.08213410575135 46.0919885864913,-1.0751439864056 46.091390617077,-1.06845618246252 46.0898549385418,-1.06232798743017 46.0874406447192,-1.05699508288306 46.0842406251178,-1.05266245417893 46.0803779785117,-1.04949650622486 46.0760012634416,-1.04761868328741 46.07127877103,-1.04710083576692 46.066392042977)))', 'FRHTP', 'Châtelaillon-Plage', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.16420620068812 45.8994303975071,-1.16505460280991 45.8945660300877,-1.16724553070269 45.8899106587971,-1.17069450571993 45.8856431094209,-1.17526880808667 45.8819272731224,-1.18079260417075 45.8789058246956,-1.18705371054186 45.8766947583137,-1.19381173386534 45.875378947927,-1.20080727599548 45.8750089001953,-1.20777185555215 45.8755988225291,-1.21443817182117 45.8771260791256,-1.22055032467889 45.8795320555992,-1.22587360572053 45.8827243997739,-1.23020349084495 45.8865805542994,-1.23337349284492 45.8909524478227,-1.23526157334237 45.8956721672619,-1.23579486557656 45.900558395939,-1.23495252157632 45.905423372394,-1.2327665671822 45.9100801038493,-1.2293207238709 45.9143495574465,-1.22474723464307 45.9180675521223,-1.21922180933692 45.9210910844893,-1.21295687941622 45.9233038431132,-1.20619342031613 45.9246206964151,-1.19919165773053 45.9249909789604,-1.19222102004845 45.9244004475903,-1.18554973027956 45.9228718308281,-1.17943444571806 45.9204639501325,-1.17411035154176 45.9172694475802,-1.16978209564327 45.9134112091151,-1.1666159171941 45.9090376233508,-1.1647332724711 45.9043168609975,-1.16420620068812 45.8994303975071)))', 'FRHTR', 'Le Château-d''Oléron', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.79305821562885 47.5799393015811,-2.79378718816313 47.5750641270697,-2.79590740911947 47.5703788286428,-2.7993370768657 47.5660633859661,-2.80394417699554 47.5622835296636,-2.80955158805177 47.5591843890438,-2.81594389923485 47.5568849343974,-2.82287567645434 47.5554734244775,-2.83008086092004 47.5550040311662,-2.8372829441555 47.5554947685558,-2.84420553591919 47.5569268043851,-2.85058292772495 47.5592451797299,-2.85617025480133 47.5623609099006,-2.86075287341464 47.5661543874934,-2.86415459816401 47.5704799593314,-2.86624448444075 47.5751715043604,-2.86694189365441 47.5800488011046,-2.86621964157529 47.5849244424934,-2.86410510130939 47.5896110340088,-2.86067920965568 47.5939283991242,-2.85607340614414 47.5977105145422,-2.85046461483257 47.6008119070245,-2.84406845665085 47.6031132634546,-2.83713095135964 47.6045260355497,-2.82991902979662 47.6049958592729,-2.82271022610125 47.6045046550054,-2.81578195364519 47.6030713260865,-2.80940078574894 47.6007510283017,-2.80381216205907 47.5976330390151,-2.79923092370585 47.5938373095603,-2.79583304595705 47.5895098359399,-2.79374888774999 47.5848170287367,-2.79305821562885 47.5799393015811)))', 'FRIDH', 'Îles du Golfe du Morbihan', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.14412925119394 46.0194229656271,-1.14498156935421 46.0145588993491,-1.14717921676159 46.0099041038521,-1.15063745489712 46.0056373823898,-1.15522320709573 46.0019225938038,-1.16076019967082 45.9989023720952,-1.16703574289034 45.9966926638218,-1.17380889020054 45.9953782903974,-1.18081966433878 45.9950097030959,-1.18779900084791 45.9956010532453,-1.19447903403766 45.9971296504131,-1.20060333829817 45.9995368290995,-1.2059367391721 46.0027301914331,-1.21027432370949 46.0065871414659,-1.21344930799298 46.0109595777483,-1.21533946060043 46.0156795666866,-1.21587183305089 46.0205657814118,-1.21502561043507 46.0254304609601,-1.2128329655146 46.0300866237233,-1.20937787522544 46.0343552582941,-1.20479293700109 46.0380722145777,-1.19925430060702 46.0410945285608,-1.192974906031 46.0433059351555,-1.1861962861606 46.0446213543938,-1.17917925140663 46.044990175786,-1.17219381934916 46.0443982123658,-1.16550878367128 46.0428682479307,-1.15938133156659 46.0404591561347,-1.15404711672269 46.0372636261033,-1.14971117600818 46.0334045837966,-1.14654004308241 46.029030449194,-1.14465536303298 46.0243094144427,-1.14412925119394 46.0194229656271)))', 'FRIDX', 'Île-d''Aix', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.66288134426121 47.8332203322289,-3.66353241389068 47.8283402708842,-3.6655845472587 47.8236394805713,-3.66895854794011 47.8192985401865,-3.67352452743363 47.8154841622918,-3.67910693121834 47.8123428027922,-3.6854912982673 47.809995052261,-3.6924324923058 47.8085310214838,-3.69966409009033 47.8080068955534,-3.70690857081657 47.8084427863652,-3.71388792252993 47.8098219642779,-3.72033426681433 47.8120914977778,-3.72600010242214 47.8151642770542,-3.73066778189179 47.8189223453194,-3.73415786225136 47.8232214123117,-3.73633601094948 47.8278963794895,-3.73711820013153 47.8327676675923,-3.73647398482726 47.8376481060073,-3.73442773163863 47.8423501209844,-3.73105774178732 47.8466929471835,-3.72649329316168 47.8505095849447,-3.72090970722082 47.853653234319,-3.71452162496318 47.8560029561202,-3.70757474826981 47.8574683394546,-3.70033636551729 47.8579929933147,-3.69308503046089 47.8575567254322,-3.68609979856588 47.8561763228541,-3.67964944345319 47.8539049035388,-3.6739820769823 47.8508298643953,-3.66931557967378 47.8470695062559,-3.66582921452514 47.8427684679947,-3.66365674848009 47.8380921482608,-3.66288134426121 47.8332203322289)))', 'FRIEC', 'Riec-sur-Bélon', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.96214801784043 48.8299937860409,-2.96287893422738 48.825118604468,-2.9650359813557 48.8204312153472,-2.96853591817321 48.8161116762831,-2.9732440126102 48.8123258710022,-2.97897925435752 48.8092191518547,-2.98552132318291 48.8069107743876,-2.99261904318174 48.8054893347727,-3 48.8050093823377,-3.00738095681826 48.8054893347727,-3.01447867681709 48.8069107743876,-3.02102074564248 48.8092191518547,-3.0267559873898 48.8123258710022,-3.03146408182679 48.8161116762831,-3.0349640186443 48.8204312153472,-3.03712106577262 48.825118604468,-3.03785198215957 48.8299937860409,-3.03712826938898 48.8348694364787,-3.0349773291929 48.8395581608136,-3.03148147289891 48.8438796981673,-3.02677481135354 48.8476678605918,-3.02103813671999 48.8507769368836,-3.01449198737331 48.8530873126414,-3.00738816044001 48.8545100874717,-3 48.8549905087721,-2.99261183955999 48.8545100874717,-2.98550801262669 48.8530873126414,-2.97896186328001 48.8507769368836,-2.97322518864646 48.8476678605918,-2.96851852710109 48.8438796981673,-2.9650226708071 48.8395581608136,-2.96287173061102 48.8348694364787,-2.96214801784043 48.8299937860409)))', 'FRIHR', 'Île-de-Bréhat', 'Y'),('SRID=4326;MULTIPOLYGON(((8.96988523726445 42.640013918469,8.96923654596979 42.6351330289452,8.96731088746973 42.6304393378025,8.96418251437133 42.6261131600034,8.95997181585903 42.6223206568161,8.95484066578814 42.6192074642369,8.94898619305153 42.6168931126711,8.94263321495021 42.6154664498336,8.93602562297586 42.6149822402793,8.92941704818333 42.6154590701367,8.92306115911415 42.6168786361581,8.91720195832229 42.6191864459077,8.91206444360067 42.6222939026624,8.90784598701037 42.6260816962982,8.90470875912241 42.6304043719463,8.90277348819813 42.6350959033296,8.90211479543612 42.6399760590916,8.90275828935988 42.6448573195923,8.90467953676262 42.6495520797984,8.90780495658659 42.6538798619926,8.91201460925687 42.6576742606519,8.91714678013879 42.6607893512119,8.9230041849309 42.6631053143169,8.92936155995362 42.6645330569095,8.93597434432356 42.6650176500516,8.94258811649004 42.6645404492171,8.94894841665782 42.6631198141313,8.95481057072286 42.6608103999859,8.95994913128345 42.6577010477588,8.96416656705966 42.6539113561425,8.96730086289083 42.649587068956,8.96923173689497 42.6448944578186,8.96988523726445 42.640013918469)))', 'FRILR', 'L''Île-Rousse', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.48219451925467 48.7701643740446,-3.48287419678287 48.7652860359005,-3.48498020716623 48.7605890586712,-3.4884312674788 48.7562538713518,-3.49309451819696 48.7524469611204,-3.49879066489311 48.7493144923304,-3.50530088174284 48.7469767097353,-3.51237520956067 48.7455233379537,-3.51974212737839 48.745010150875,-3.52711893494062 48.7454568401978,-3.53422255499744 48.7468462632112,-3.54078034962034 48.7491250980425,-3.54654054429892 48.7522058817252,-3.55128186729918 48.7559703544386,-3.55482203935275 48.7602739839621,-3.55702478952345 48.7649514995338,-3.55780512600431 48.7698232255563,-3.5571326541643 48.77470197442,-3.55503280647564 48.7794002353963,-3.55158592765043 48.7837373840513,-3.54692424061827 48.7875466346117,-3.5412268017486 48.7906814664303,-3.53471263358637 48.7930212750038,-3.52763229686804 48.7944760272766,-3.52025822736291 48.7949897391917,-3.51287421410705 48.7945426391487,-3.50576443135312 48.7931519323871,-3.49920245524491 48.790871136219,-3.49344069688561 48.7877880122067,-3.4887006660643 48.7840211764652,-3.48516444532562 48.7797155209645,-3.48296770405338 48.7750366249028,-3.48219451925467 48.7701643740446)))', 'FRIRR', 'Île-Grande', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.06079637925621 49.3183650673434,-1.06172170660979 49.3135051748277,-1.06407912653141 49.3088566392651,-1.06777770552106 49.3045980138671,-1.07267509659963 49.3008928330337,-1.07858304185642 49.2978833464203,-1.0852746151842 49.2956850734044,-1.09249292567619 49.2943823840246,-1.09996094986243 49.2940252731409,-1.10739212100951 49.2946274492924,-1.11450127711899 49.296165810165,-1.12101555668723 49.2985813244827,-1.12668483303314 49.3017812873273,-1.13129129403503 49.3056428642156,-1.13465780407865 49.3100177905438,-1.13665472818398 49.3147380489861,-1.13720495353421 49.3196223097589,-1.1362869094311 49.324482888777,-1.13393546104656 49.3291329578719,-1.13024063276854 49.333393730366,-1.12534420056368 49.3371013449835,-1.11943427636155 49.3401131815476,-1.11273808754472 49.3423133629219,-1.10551322768599 49.3436172285375,-1.09803771733768 49.3439746044626,-1.09059926293481 49.3433717418079,-1.08348413528663 49.3418318474016,-1.07696610500977 49.3394141859866,-1.07129586979606 49.3362117893576,-1.06669138774483 49.3323478625192,-1.06332949319189 49.3279710278339,-1.06133911845028 49.3232495931572,-1.06079637925621 49.3183650673434)))', 'FRISM', 'Isigny-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.14232431015514 48.5997255532562,-2.14313068924542 48.5948558738371,-2.14535350047753 48.5901840765338,-2.14890698687669 48.5858896161004,-2.15365437173193 48.5821374106003,-2.15941314793495 48.5790715213057,-2.16596210182622 48.5768096368645,-2.17304980011245 48.575438570611,-2.18040421588951 48.5750109410246,-2.18774312938612 48.5755431603809,-2.19478491178685 48.5770148072679,-2.20125928707091 48.5793694065903,-2.20691766753873 48.582516587812,-2.21154267357878 48.5863355403199,-2.21495647690518 48.5906796357761,-2.21702764826747 48.5953820429065,-2.21767624440862 48.6002621219994,-2.21687693331589 48.6051323559267,-2.21466002961664 48.6098055529963,-2.21111039091777 48.6141020453524,-2.20636420815221 48.6178566055902,-2.20060380541984 48.6209248139498,-2.19405064400342 48.623188628727,-2.18695679775341 48.6245609427107,-2.1795952295462 48.6249889474659,-2.17224924804691 48.6244561736006,-2.16520155811141 48.6229831269461,-2.15872333512952 48.6206264956998,-2.1530637525774 48.6174769597401,-2.14844037307185 48.6136556881676,-2.14503077727249 48.6093096623768,-2.14296575387153 48.6046060075173,-2.14232431015514 48.5997255532562)))', 'FRJAM', 'Saint-Jacut-de-la-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.0949064055047 44.7794197831863,-1.09574103709265 44.7745548486831,-1.09789183600285 44.7698993326481,-1.10127588244631 44.7656320689092,-1.10576296281743 44.761916941498,-1.11118059898768 44.758896602592,-1.11732068287146 44.7566870084285,-1.12394746036791 44.7553729804458,-1.13080655993475 44.7550049596164,-1.13763472359336 44.7555970765858,-1.14416987313548 44.7571266104874,-1.15016113236897 44.7595348569519,-1.15537842772204 44.762729372732,-1.1596213043944 44.7665875124013,-1.16272662312939 44.7709611236127,-1.16457484284724 44.7756822232009,-1.16509464571178 44.7805694386287,-1.16426572218142 44.7854349693781,-1.16211960229063 44.7900918020901,-1.15873849349034 44.794360902485,-1.15425216215619 44.7980781069171,-1.14883297238179 44.8011004470014,-1.14268926877413 44.8033116618393,-1.13605735650397 44.8046266832592,-1.12919238883679 44.8049949190466,-1.12235851711711 44.8044022058306,-1.11581868855451 44.8028713552509,-1.1098244916798 44.8004612721295,-1.1046064472936 44.7972646793282,-1.10036512422887 44.7934045384812,-1.09726342521884 44.7890293065964,-1.09542034027273 44.7843072135718,-1.0949064055047 44.7794197831863)))', 'FRJJT', 'Les Jacquets', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.1925277363866 48.3303946497922,-4.1931340320563 48.3255123960723,-4.19515670979281 48.3208028053143,-4.19851769182862 48.3164467961804,-4.20308757735972 48.3126116603379,-4.20869065177469 48.3094446498792,-4.21511165383496 48.3070673382842,-4.22210403857046 48.3055709686237,-4.22939941981765 48.3050129647089,-4.2367178344054 48.3054147365983,-4.24377844108847 48.30676086294,-4.25031025215067 48.3089996807974,-4.25606249450676 48.3120452607137,-4.26081421014011 48.315780692677,-4.2643827325065 48.320062559166,-4.2666307154461 48.3247264263743,-4.26747144313334 48.3295931456587,-4.2668722122077 48.3344757257412,-4.26485564858375 48.3391865134597,-4.26149889921135 48.3435444079258,-4.2569307205095 48.3473818304479,-4.25132656723926 48.3505511808072,-4.244901864884 48.3529305292954,-4.23790372174961 48.3544283227426,-4.23060140066403 48.3549869205789,-4.22327592132693 48.3545848223266,-4.21620920052878 48.3532374990232,-4.20967315680488 48.3509967958324,-4.20391920762449 48.3479489292359,-4.19916857085169 48.3442111573724,-4.19560374878281 48.3399272539913,-4.19336152424039 48.3352619629976,-4.1925277363866 48.3303946497922)))', 'FRKOC', 'Kérascouët', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.39295295579323 47.7301328313621,-3.39362806446802 47.7252541507045,-3.39570055387381 47.7205580483133,-3.39909044927184 47.7162249217742,-3.40366725578523 47.7124211828015,-3.40925500708144 47.7092928785629,-3.41563904006383 47.7069600986953,-3.42257423337473 47.7055123799817,-3.42979439478608 47.7050052823056,-3.43702244166783 47.7054582649212,-3.44398099076023 47.70685394293,-3.45040295913447 47.7091387518868,-3.45604177785151 47.7122249955228,-3.46068083342634 47.7159941995158,-3.4641417794452 47.7203016448978,-3.46629140088023 47.7249819098401,-3.46704676573963 47.7298552098373,-3.466378461208 47.7347342952125,-3.46431178247136 47.7394316426374,-3.46092581964725 47.7437666649817,-3.4563504689134 47.7475726619119,-3.45076147497209 47.750703242507,-3.44437369010033 47.7530379705754,-3.4374328068465 47.7544870127379,-3.43020588368126 47.7549946076278,-3.42297103265145 47.7545412202941,-3.41600667288776 47.7531442972504,-3.40958077194146 47.7508575924874,-3.40394049744967 47.7477690908933,-3.39930268452484 47.7439976105441,-3.39584549039749 47.7396882169625,-3.39370155890353 47.7350066285724,-3.39295295579323 47.7301328313621)))', 'FRKOK', 'Kerroch', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.3322932614398 48.6504423747349,-4.33288930840642 48.6455597401502,-4.334911140735 48.6408479522504,-4.33828070592437 48.6364880140819,-4.34286826740327 48.6326473675841,-4.34849742756139 48.6294734753445,-4.35495192174046 48.6270881736655,-4.36198391983444 48.625583010918,-4.36932351791736 48.6250157472243,-4.37668906006329 48.6254081472843,-4.38379790134841 48.6267451492727,-4.39037720764405 48.6289754409428,-4.39617438657922 48.6320134212088,-4.40096675699114 48.635742473382,-4.40457009097849 48.6400194267523,-4.40684570266372 48.6446800380776,-4.40770580991779 48.6495452854425,-4.40711695815756 48.6544282353453,-4.405101367009 48.6591412210435,-4.40173613881076 48.6635030571371,-4.39715034986613 48.6673460127449,-4.39152012793206 48.6705222737386,-4.38506189931139 48.6729096431945,-4.37802406264448 48.6744162579409,-4.37067741072745 48.6749841368017,-4.36330467336965 48.6745914214233,-4.35618959090186 48.6732532216353,-4.34960594761682 48.6710210320388,-4.34380699615245 48.6679807426622,-4.33901568752196 48.6642493217352,-4.33541608797886 48.6599703005893,-4.33314631486484 48.6553082372664,-4.3322932614398 48.6504423747349)))', 'FRKRE', 'Kerlouan', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.46233259059441 48.6004845668088,-4.46291559844813 48.5956013491059,-4.4649233870493 48.5908873794379,-4.46827844354984 48.5865237455266,-4.47285158803941 48.5826780320191,-4.47846697532179 48.5794978966546,-4.48490886792426 48.5771054157668,-4.4919299177573 48.5755924133968,-4.49926063956128 48.5750169504153,-4.50661971695141 48.5754011058716,-4.51372475260955 48.5767301339235,-4.52030305868823 48.5789530279277,-4.52610208214688 48.5819844704035,-4.5308990725557 48.585708095475,-4.53450962656566 48.5899809408791,-4.53679478309483 48.5946389214616,-4.53766639528593 48.5995031169282,-4.53709056800409 48.6043866349454,-4.53508902118958 48.6091017877923,-4.53173831743562 48.613467307619,-4.52716697398601 48.6173153226652,-4.52155056184383 48.6204978248035,-4.51510497450627 48.6228923773801,-4.50807812255217 48.624406840958,-4.50074037456186 48.6249829322105,-4.49337411659441 48.6245984764394,-4.48626283914692 48.6232682652075,-4.47968018032331 48.6210434852866,-4.47387935582975 48.6180097412715,-4.46908339028617 48.6142837494265,-4.46547653101399 48.6100088323348,-4.46319717660422 48.6053493905457,-4.46233259059441 48.6004845668088)))', 'FRKSI', 'Koréjou / Saint-Michel', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.46233259059441 48.6004845668088,-4.46291559844813 48.5956013491059,-4.4649233870493 48.5908873794379,-4.46827844354984 48.5865237455266,-4.47285158803941 48.5826780320191,-4.47846697532179 48.5794978966546,-4.48490886792426 48.5771054157668,-4.4919299177573 48.5755924133968,-4.49926063956128 48.5750169504153,-4.50661971695141 48.5754011058716,-4.51372475260955 48.5767301339235,-4.52030305868823 48.5789530279277,-4.52610208214688 48.5819844704035,-4.5308990725557 48.585708095475,-4.53450962656566 48.5899809408791,-4.53679478309483 48.5946389214616,-4.53766639528593 48.5995031169282,-4.53709056800409 48.6043866349454,-4.53508902118958 48.6091017877923,-4.53173831743562 48.613467307619,-4.52716697398601 48.6173153226652,-4.52155056184383 48.6204978248035,-4.51510497450627 48.6228923773801,-4.50807812255217 48.624406840958,-4.50074037456186 48.6249829322105,-4.49337411659441 48.6245984764394,-4.48626283914692 48.6232682652075,-4.47968018032331 48.6210434852866,-4.47387935582975 48.6180097412715,-4.46908339028617 48.6142837494265,-4.46547653101399 48.6100088323348,-4.46319717660422 48.6053493905457,-4.46233259059441 48.6004845668088)))', 'FRKSL', 'Kastellac''h', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.292911887847 47.8004237918843,-4.29350350600502 47.7955407098848,-4.29549732126712 47.7908291995148,-4.2988163741314 47.7864702550565,-4.30333288072991 47.7826312833689,-4.30887317906874 47.7794596865181,-4.3152244171343 47.7770772165857,-4.32214272369672 47.7755753166525,-4.32936254920065 47.7750116239915,-4.3366068224876 47.7754077672295,-4.34359754034497 47.776748540298,-4.35006639174213 47.7789824841397,-4.35576501745181 47.7820238542193,-4.36047451858393 47.7857558997434,-4.36401385406359 47.7900353309777,-4.36624680659588 47.7946978059172,-4.36708724813835 47.79956422848,-4.36650249789842 47.804447618832,-4.36451463651563 47.8091602936935,-4.36119971706824 47.8135210814996,-4.35668489414861 47.8173622947583,-4.35114357342479 47.8205361901448,-4.34478876255811 47.8229206656463,-4.33786487670452 47.8244239728519,-4.3306383148162 47.8249882602439,-4.32338717360612 47.824591808653,-4.31639050186701 47.8232498710918,-4.30991751705455 47.8210140839012,-4.30421720767068 47.8179704722499,-4.29950872892858 47.8142361281904,-4.29597296625247 47.8099546913883,-4.29374559300976 47.8052908091775,-4.292911887847 47.8004237918843)))', 'FRKTK', 'Kérity', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.74289125593776 47.8202461490419,-3.74353467310836 47.8153656642285,-3.74557907021677 47.8106634749688,-3.74894554775317 47.8063202143742,-3.75350450554132 47.8025026845073,-3.7590806578345 47.799357462569,-3.76545978266252 47.7970052875368,-3.77239694408311 47.7955364400102,-3.77962587293275 47.7950072898124,-3.78686915044868 47.7954381414442,-3.79384881083758 47.7968124584148,-3.8002969642022 47.7990774955593,-3.80596604055476 47.8021463155226,-3.81063826895763 47.8059011135029,-3.81413403281061 47.8101977249399,-3.81631878227416 47.8148711458739,-3.81710823672471 47.8197418568398,-3.81647167251957 47.8246227098786,-3.81443316231331 47.8293261158099,-3.81107070938874 47.8336712562953,-3.80651330121106 47.8374910430761,-3.8009359876118 47.8406385553569,-3.7945531673584 47.8429927054762,-3.78761033898765 47.8444629121451,-3.78037463440524 47.8449925986231,-3.77312450391887 47.8445613787655,-3.76613895662555 47.8431858451222,-3.75968677865087 47.8409189280857,-3.75401615269262 47.8378478512079,-3.74934508560081 47.8340907628855,-3.74585301717548 47.8297921763626,-3.74367393466032 47.8251173962875,-3.74289125593776 47.8202461490419)))', 'FRKUK', 'Kerdruc', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.42922198457938 48.7331469111378,-3.42990631589665 48.7282688409618,-3.43201574463939 48.7235727919024,-3.43546885766201 48.7192391571003,-3.44013271769617 48.7154343640268,-3.44582800785894 48.7123044957777,-3.45233593587714 48.7099696974053,-3.45940663073755 48.7085195791781,-3.4667687108446 48.708009790331,-3.47413966119649 48.7084598923367,-3.48123662865837 48.7098526116355,-3.4877872298136 48.7121344998666,-3.4935399654533 48.7152179767682,-3.49827384952805 48.7189846789178,-3.50180688800475 48.7232899881836,-3.50400308386904 48.7279685689202,-3.50477769742923 48.7328407042184,-3.5041005546388 48.7377191903733,-3.50199726844728 48.7424165264524,-3.49854831685303 48.7467521233782,-3.4938860035842 48.750559254964,-3.48818941004159 48.7536914820969,-3.48167752692497 48.7560283006058,-3.47460082737492 48.7574797926745,-3.46723160714702 48.7579900999129,-3.4598534682629 48.7575395819277,-3.45275035824743 48.7561455756079,-3.44619559566587 48.7538617252519,-3.4404413132661 48.7507759098375,-3.43570873257659 48.7470068488046,-3.4321796492007 48.7426995194036,-3.429989458024 48.7380195648267,-3.42922198457938 48.7331469111378)))', 'FRLAI', 'Lannion', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.86305808663874 47.5799618455202,-2.86378056293608 47.5750862200252,-2.86589454461846 47.570399622027,-2.86931846926528 47.5660820814938,-2.8739205423409 47.5622994099089,-2.87952383459523 47.559196844853,-2.88591309253488 47.5568934881289,-2.89284299857782 47.555477748201,-2.90004756529244 47.5550039591453,-2.90725030775226 47.5554903035532,-2.91417481058077 47.556918117557,-2.9205552924078 47.5592326041142,-2.92614677054511 47.5623449277388,-2.93073444271497 47.5661356118551,-2.93414193028916 47.5704591107241,-2.93623806802535 47.5751493831977,-2.93694197764578 47.5800262570662,-2.9362262253064 47.5849023419373,-2.93411793413463 47.5895902266774,-2.93069780022287 47.5939096854237,-2.92609704100123 47.5976946146627,-2.92049238569643 47.6007994331064,-2.91409929531291 47.603104695894,-2.9071636708871 47.6045217043799,-2.899952370423 47.6049959313615,-2.89274290400046 47.6045091275771,-2.88581271065938 47.6030800268303,-2.87942843809932 47.6007636220587,-2.8738356461128 47.5976490407796,-2.86924933699818 47.593856103276,-2.86584568186982 47.5895306983446,-2.86375526251449 47.5848391573141,-2.86305808663874 47.5799618455202)))', 'FRLB3', 'Larmor-Baden', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.28417171194006 45.9494675352216,-1.28501054099422 45.9446021804339,-1.2871935916793 45.9399444336488,-1.29063668635941 45.9356732123918,-1.29520732939839 45.9319525491179,-1.30072982609716 45.9289253040075,-1.30699204167071 45.9267076936075,-1.31375353946809 45.925384842743,-1.32075478783484 45.9250075279012,-1.3277270868181 45.9255902350146,-1.33440284035805 45.9271106049077,-1.34052578736391 45.9295102873954,-1.34586080645572 45.932697171991,-1.35020292414028 45.9365489112631,-1.35338518441369 45.9409176039225,-1.3552850785151 45.9456354605027,-1.35582928568502 45.950521236649,-1.35499653778508 45.9553871890423,-1.35281849057477 45.9600462880511,-1.34937855995656 45.9643194102865,-1.3448087598664 45.9680422338869,-1.33928465667116 45.9710715697819,-1.33301862972949 45.9732908831214,-1.32625169593835 45.9746147898229,-1.31924421453341 45.9749923526576,-1.31226583439202 45.9744090479382,-1.30558507737606 45.9728873258203,-1.29945896631043 45.9704857423533,-1.29412310427406 45.9672966974308,-1.28978259308987 45.9634428673748,-1.28660414418582 45.9590724717769,-1.28470968607604 45.9543535593606,-1.28417171194006 45.9494675352216)))', 'FRLC5', 'La Cotinière', 'Y'),('SRID=4326;MULTIPOLYGON(((5.63413916751535 43.1662185812882,5.63327366329167 43.161358588481,5.63112984535173 43.1567155421063,5.62779033862869 43.1524677973261,5.62338362422781 43.1487784915517,5.61807907987812 43.1457892905465,5.61208046632687 43.1436149613495,5.60561811065221 43.1423389779902,5.59894008478377 43.1420103264156,5.59230271369655 43.14264162948,5.58596077175416 43.1442086629212,5.5801577368619 43.1466512807637,5.57511647013732 43.1498757154214,5.57103067375057 43.153758165816,5.56805745181446 43.1581495379402,5.56631125946269 43.1628811582743,5.56585947467504 43.1677712429516,5.56671976751647 43.1726318760264,5.56885937417851 43.1772762298374,5.57219631085673 43.1815257501775,5.57660248771226 43.1852170293225,5.58190860885325 43.1882081010815,5.58791067348087 43.1903839136099,5.59437782912206 43.1916607670544,5.60106127309541 43.1919895430051,5.60770385556782 43.1913575996726,5.61405000878888 43.1897892587942,5.61985561372413 43.1873448653911,5.62489741799069 43.1841184573625,5.62898163758321 43.1802341362147,5.63195140844216 43.17584128076,5.63369280082923 43.1711087903415,5.63413916751535 43.1662185812882)))', 'FRLCT', 'La Ciotat', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.08454172281369 46.8857142370435,-2.0853251447153 46.880843381487,-2.08747913296072 46.8761708759845,-2.09092060566837 46.8718762067672,-2.09551711084813 46.8681243064223,-2.10109194649893 46.8650592322445,-2.10743096033265 46.8627986493773,-2.11429076645449 46.8614293278389,-2.12140806524497 46.8610038236276,-2.12850971335001 46.8615384690811,-2.1353231641465 46.8630127482003,-2.14158688599095 46.8653700804941,-2.14706036630479 46.8685199839154,-2.15153332408876 46.8723415354951,-2.15483378143737 46.8766879991879,-2.1568346853313 46.881392445991,-2.15745882332731 46.8862741532208,-2.15668183923739 46.8911455394239,-2.15453322556118 46.8958193699701,-2.15109524595116 46.9001159569027,-2.14649982060455 46.9038700756799,-2.14092348712663 46.9069373312707,-2.13458062583515 46.9091997264315,-2.12771520836516 46.9105702152383,-2.12059138861346 46.9109960639867,-2.11348330269236 46.9104608878861,-2.10666447732507 46.9089852837221,-2.10039726238509 46.9066260337119,-2.09492270224267 46.9034739118579,-2.09045124229019 46.8996501788656,-2.08715463240093 46.8953019028804,-2.08515933985305 46.89059628881,-2.08454172281369 46.8857142370435)))', 'FRLDM', 'La Barre-de-Monts', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.53234866350252 48.580507310304,-4.5329247313063 48.5756237944556,-4.53492523181197 48.5709086643207,-4.53827293209708 48.5665430526476,-4.54283893437302 48.5626946204287,-4.54844766700731 48.5595111300818,-4.55488364715809 48.5571147868997,-4.56189975281633 48.5555975632022,-4.56922668773622 48.5550176817831,-4.5765832803663 48.5553973910821,-4.58368722858089 48.5567221156668,-4.59026588647074 48.5589410138437,-4.59606668804524 48.5619689213481,-4.60086681544756 48.56568960795,-4.60448174587859 48.5699602242803,-4.60677235120611 48.574616770993,-4.60765027616973 48.5794803831961,-4.60708138373644 48.5843641913788,-4.60508712764271 48.5890804971231,-4.60174379015648 48.5934479887052,-4.59717960486941 48.5972987189338,-4.59156986679283 48.60048457554,-4.58513021183687 48.6028829929896,-4.57810832146576 48.6044016831741,-4.57077437259577 48.6049822000399,-4.56341060458975 48.6046021984062,-4.55630041196051 48.6032762982109,-4.54971739127342 48.6010555201237,-4.54391477271506 48.5980253146091,-4.53911565076049 48.5943022617481,-4.53550439513735 48.5900295711515,-4.53321957452105 48.5853715579532,-4.53234866350252 48.580507310304)))', 'FRLE6', 'Landeda', 'Y'),('SRID=4326;MULTIPOLYGON(((0.171319078033174 49.5009440364365,0.170863689145864 49.4960571161279,0.168953537853514 49.4913219430215,0.165662413515292 49.4869204250304,0.161117068625744 49.4830216045054,0.155492305844258 49.4797751781065,0.149004241135834 49.4773057642494,0.141902004808194 49.4757081353566,0.134458198389411 49.4750435949087,0.126958469389872 49.4753376356305,0.119690596893768 49.4765789666824,0.112933497888327 49.478719946201,0.106946566884885 49.4816784027725,0.101959749672666 49.4853407772576,0.0981647262613016 49.4895664666465,0.0957075388412759 49.4941932060679,0.094682948922064 49.4990432853552,0.0951307451010662 49.503930364192,0.0970341510153595 49.5086666260962,0.100320404227701 49.5130699973955,0.104863493828577 49.5169711535899,0.11048896050699 49.5202200424353,0.116980581137333 49.5226916706305,0.124088684055749 49.52429092864,0.131539774598619 49.5249562649646,0.139047096312563 49.5246620657144,0.146321714190131 49.5234196458634,0.153083684320175 49.5212768130352,0.159072870607071 49.5183160207935,0.164058983916264 49.5146511838623,0.167850451402302 49.5104232801364,0.170301772232833 49.5057949115997,0.171319078033174 49.5009440364365)))', 'FRLEH', 'Le Havre', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.572263266133884 44.2012666514248,-0.573130939926192 44.196405846606,-0.575299793932198 44.1917601794305,-0.578686226318898 44.1875081042213,-0.58315994230237 44.1838129218269,-0.58854898496447 44.1808165198971,-0.594646348632632 44.1786339378805,-0.601217919915086 44.1773489629269,-0.608011443377717 44.1770109233936,-0.614766172054891 44.1776328011527,-0.621222838532279 44.1791907340368,-0.627133570886977 44.181624927345,-0.632271379630262 44.1848419402122,-0.636438856938369 44.1887182607203,-0.639475757495607 44.1931050347501,-0.641265170467943 44.1978337695218,-0.64173804334681 44.2027227952005,-0.640875879124443 44.2075842383022,-0.638711496547415 44.2122312401567,-0.63532781671439 44.2164851432485,-0.630854715357525 44.2201823684507,-0.625464055822832 44.2231807171146,-0.619363089936371 44.2253648534187,-0.6127864794948 44.2266507535871,-0.605987247098956 44.2269889484065,-0.599227008848598 44.226366432364,-0.592765870941334 44.2248071647999,-0.586852386034925 44.2223711436082,-0.581713962668716 44.219152087933,-0.577548102236442 44.2152738206914,-0.574514803898402 44.210885492375,-0.572730430083218 44.2061558323893,-0.572263266133884 44.2012666514248)))', 'FRLEP', 'Le Passage', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.06219541322338 48.7670266014312,-3.06291572792811 48.7621507374457,-3.06506076442191 48.7574614312266,-3.06854774357328 48.75313881475,-3.07324243081051 48.7493488906121,-3.07896432985159 48.7462371698706,-3.08549363145028 48.7439231004553,-3.09257964827868 48.7424954971757,-3.09995041368743 48.7420091458661,-3.10732308079466 48.7424827095577,-3.1144147302262 48.7438980153935,-3.12095318055245 48.7462007490655,-3.12668739537675 48.7493025306833,-3.13139709512902 48.7530842940227,-3.13490120957236 48.7574008418877,-3.13706484815468 48.7620864056005,-3.13780451856396 48.7669609980649,-3.13709138769101 48.7718373188965,-3.13495245174164 48.7765279480486,-3.13146956109524 48.7808525521408,-3.12677632788524 48.7846448259807,-3.12105302703002 48.78775890079,-3.11451968118815 48.7900749702531,-3.10742759338641 48.7915039150713,-3.10004965452528 48.7919907451728,-3.0926698035809 48.7915167246346,-3.08557205360268 48.7901000958645,-3.07902951477364 48.7877953745757,-3.07329384592745 48.7846912432553,-3.0685855479947 48.7809071258487,-3.06508547779679 48.7765885779371,-3.06292791018562 48.7719016726869,-3.06219541322338 48.7670266014312)))', 'FRLEZ', 'Lézardrieux', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.05508752902223 44.4794106231212,-1.05592032919124 44.4745457205099,-1.05806241132552 44.4698905850969,-1.06143119505362 44.4656240366303,-1.06589705634624 44.4619099325953,-1.07128833369215 44.4588908870328,-1.07739793110403 44.456682807738,-1.08399126329724 44.4553704590713,-1.09081523976693 44.4550042183125,-1.0976079472089 44.4555981481193,-1.10410866482363 44.4571294578909,-1.11006783518038 44.4595393744677,-1.11525661481653 44.4627353894822,-1.11947564358025 44.4665947987032,-1.12256269951866 44.4709693997344,-1.12439894613324 44.4756911702323,-1.12491352995279 44.4805787110316,-1.12408634709441 44.4854442086886,-1.12194886586667 44.4901006511824,-1.11858296619493 44.4943690197739,-1.11411783303665 44.4980851798804,-1.10872501705039 44.5011062044428,-1.10261184846678 44.5033158843813,-1.09601345624876 44.5046292116516,-1.08918370124451 44.5049956599901,-1.08238537648854 44.504401135137,-1.07588005796623 44.5028685182837,-1.06991800355502 44.5004567815812,-1.06472849578827 44.4972587104949,-1.06051100566829 44.4933973222744,-1.05742752090264 44.4890211206005,-1.05559633431096 44.4842983715,-1.05508752902223 44.4794106231212)))', 'FRLF2', 'Lège-Cap-Ferret', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.1434977110764 46.9497327437775,-2.14427681054253 46.944861510006,-2.14642833435739 46.9401879304224,-2.14986929382286 46.9358915326647,-2.15446725529823 46.9321373156979,-2.16004545980133 46.9290694256213,-2.16638962507638 46.9268056354311,-2.17325616734516 46.9254328379574,-2.18038152878064 46.925003722316,-2.18749225731963 46.9255347592232,-2.19431545881962 46.9270055710628,-2.20058922844438 46.929359710458,-2.20607266885978 46.9325068181114,-2.21055511732512 46.9363260787142,-2.2138642317225 46.9406708446223,-2.21587262626788 46.9453742525219,-2.21650280000042 46.9502556201152,-2.21573016364848 46.9551273794084,-2.21358404119146 46.9598022817264,-2.21014659902007 46.9641005980567,-2.20554973529843 46.9678570373496,-2.19997004188465 46.9709271151767,-2.19362202770672 46.9731927254764,-2.18674986250307 46.9745666983235,-2.17961796014205 46.9749961656617,-2.17250076848448 46.9744646032322,-2.16567216562503 46.9729924686572,-2.15939487870828 46.9706364106882,-2.15391034054375 46.9674870807084,-2.14942938099349 46.9636656323556,-2.14612411550061 46.9593190463391,-2.144121343888 46.9546144630672,-2.1434977110764 46.9497327437775)))', 'FRLF3', 'La Fosse', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.29702041575101 46.1824695344478,-1.29786224304307 46.1776043090293,-1.30005398642891 46.1729466113754,-1.30351113057164 46.1686753565882,-1.30810063752455 46.1649545775869,-1.31364608687239 46.1619271380109,-1.31993446271555 46.1597092608783,-1.3267243256064 46.1583860804013,-1.33375505756415 46.1580083851404,-1.34075682996038 46.1585906754138,-1.34746091842244 46.1601106082266,-1.35360997661173 46.162509850723,-1.35896788211672 46.1656963101476,-1.36332878273169 46.1695476563956,-1.36652499970505 46.1739160042845,-1.36843348540797 46.1786335784622,-1.36898058518291 46.1835191460228,-1.36814491536119 46.1883849718986,-1.36595823964409 46.1930440311596,-1.36250430186216 46.1973172014116,-1.35791565182227 46.2010401581234,-1.35236857948148 46.2040697061191,-1.34607634782452 46.2062893013926,-1.33928098331142 46.20761354816,-1.33224394149557 46.2079914955277,-1.32523601162502 46.2074086047964,-1.31852685549295 46.2058873103754,-1.31237459094503 46.2034861524132,-1.30701582853137 46.2002975152778,-1.30265655091333 46.1964440606107,-1.29946418975505 46.192073994582,-1.29756120567221 46.1873553541148,-1.29702041575101 46.1824695344478)))', 'FRLFK', 'La Flotte/Île de Ré', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.47156493637209 48.2854852047565,-4.47214414961145 48.2806017255656,-4.47413936692147 48.275887477687,-4.47747356453569 48.2715235603683,-4.48201836822448 48.2676775703947,-4.48759902349062 48.2644971775994,-4.49400112642609 48.2621044696781,-4.5009788543029 48.2605912806417,-4.5082643809692 48.2600156793665,-4.51557812000634 48.2603997505092,-4.52263940948032 48.2617287511771,-4.52917723671012 48.2639516749488,-4.53494060013585 48.2669832019563,-4.53970811812365 48.2707069616068,-4.54329652107828 48.2749799849952,-4.54556770288813 48.2796381788799,-4.54643405946367 48.284502613933,-4.54586190450752 48.2893863883176,-4.54387282379721 48.2941018047491,-4.54054290685806 48.2984675860787,-4.53599987622539 48.3023158517428,-4.53041821646363 48.3054985854549,-4.52401248440502 48.3078933431359,-4.51702905527809 48.3094079787174,-4.50973662319866 48.3099842030995,-4.50241582587301 48.3095998367627,-4.49534839979673 48.3082696675408,-4.48880629189347 48.3060448797568,-4.4830411554165 48.3030110770583,-4.4782746419296 48.2992849764914,-4.47468986810072 48.2950099033443,-4.47242438753939 48.2903502629158,-4.47156493637209 48.2854852047565)))', 'FRLFR', 'Le Frêt', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.22226057406138 48.738095781162,-0.223254123225748 48.7332435068539,-0.225659290873246 48.7286126350554,-0.229383327174307 48.7243810376573,-0.23428292465899 48.7207112101913,-0.240169754968738 48.7177440458484,-0.246817712122947 48.7155934417459,-0.253971583082995 48.7143419415767,-0.261356815250917 48.7140375791117,-0.268690011652227 48.7146920414973,-0.275689758928093 48.7162802215374,-0.282087381537683 48.7187411759556,-0.287637218039161 48.7219804538076,-0.292126031937829 48.7258737076246,-0.295381199983263 48.7302714513226,-0.297277364223755 48.7350047851732,-0.297741289449573 48.7398918708207,-0.296754733310542 48.7447449099089,-0.294355210358457 48.7493773595615,-0.290634611069443 48.7536111076739,-0.285735719658837 48.7572833312879,-0.279846756990599 48.7602527724208,-0.273194153676524 48.7624051873345,-0.266033830090688 48.7636577566562,-0.258641321185517 48.763962283846,-0.251301131754002 48.7633070566796,-0.244295739781488 48.7617172987841,-0.237894680162969 48.7592541936505,-0.232344137593059 48.7560125196501,-0.227857456057751 48.7521169890438,-0.224606934173419 48.747717434536,-0.222717222555596 48.742983031534,-0.22226057406138 48.738095781162)))', 'FRLFY', 'La Fresnaye-au-Sauvage', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((4.17637391911523 43.5326514577927,4.17561865909525 43.5277793284081,4.17357179469752 43.5231079880611,4.1703122399906 43.5188168850971,4.16596542125147 43.5150708261868,4.16069843212258 43.5120136578209,4.15471360509767 43.5097627554717,4.14824074744855 43.5084045296023,4.14152833820454 43.5079911186959,4.13483402016953 43.508538394311,4.12841474615459 43.5100253535116,4.12251695093125 43.5123949216617,4.11736711954281 43.5155561353919,4.11316310856173 43.5193876234162,4.11006655001539 43.5237422536836,4.10819662874319 43.5284527708669,4.10762547399538 43.5333382100824,4.10837534663172 43.5382108424677,4.11041773621885 43.5428833870526,4.11367440993732 43.5471762121574,4.11802038011486 43.5509242489314,4.12328868229558 43.5539833497722,4.12927678408618 43.5562358450053,4.13575437966171 43.5575950816656,4.14247226868617 43.5580087673859,4.149171974108 43.5574609887696,4.15559572293467 43.5559728253303,4.16149639914486 43.5536015350385,4.1666470790915 43.5504383434442,4.17084977701755 43.5466049229456,4.17394306079708 43.5422486997951,4.17580824414447 43.5375371718217,4.17637391911523 43.5326514577927)))', 'FRLGR', 'Le Grau-du-Roi', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.03499814659172 44.6294029264338,-1.03583519461615 44.6245383592036,-1.03798479278035 44.6198838428283,-1.04136406996988 44.615618172806,-1.04584299781472 44.6119051722753,-1.05124941256764 44.6088874122438,-1.05737563742455 44.6066807505355,-1.06398644988556 44.6053698966087,-1.07082809005106 44.6050051700843,-1.07763796840817 44.6056005754532,-1.08415470672667 44.6071332656716,-1.09012813381751 44.6095444149896,-1.09532885942847 44.6127414682539,-1.09955706443382 44.6166016819598,-1.10265017334425 44.6209768233651,-1.10448911528433 44.6256988497864,-1.10500293084019 44.6305863524416,-1.10417154305086 44.6354515193297,-1.10202657937289 44.6401073508793,-1.09865020536243 44.6443748513695,-1.09417200740638 44.6480899189895,-1.08876403813219 44.6511096680361,-1.08263421100499 44.6533179378759,-1.07601829693743 44.6546297742269,-1.0691708325029 44.6549947079026,-1.06235529390727 44.6543987028753,-1.0558339211015 44.6528646974816,-1.04985759083353 44.6504517176949,-1.04465613533758 44.6472525973411,-1.04042948485692 44.6433903946205,-1.03733997821783 44.6390136450847,-1.03550613788235 44.6342906362401,-1.03499814659172 44.6294029264338)))', 'FRLHH', 'La Hume', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.23289678202538 47.8204045303181,-4.23349422321785 47.8155217227791,-4.23549421578527 47.8108112163417,-4.23881956292056 47.8064539663383,-4.243342239317 47.8026173142155,-4.24888834661846 47.7994485727218,-4.25524481049635 47.7970693841757,-4.26216755985656 47.7955710656729,-4.26939087526504 47.7950111171027,-4.27663755206862 47.7954110235514,-4.28362949497999 47.7967554347172,-4.290098345808 47.7989927521013,-4.29579574490369 47.8020371018212,-4.30050283977766 47.8057716187563,-4.30403868090669 47.8100529182312,-4.30626718431994 47.8147165863298,-4.3071023920941 47.8195834808694,-4.30651182394395 47.8244666035352,-4.30451778379435 47.8291782809491,-4.30119656225125 47.8335373795081,-4.296675556537 47.8373762763402,-4.2911284106605 47.8405473169605,-4.28476835706288 47.842928509029,-4.27784001334002 47.8444282304317,-4.27060995061731 47.8449887677004,-4.26335640076637 47.8445885461245,-4.25635850543477 47.8432429639812,-4.24988552901619 47.8410037980402,-4.24418645924302 47.8379572036103,-4.23948040294912 47.8342203875491,-4.23594815154224 47.8299370845529,-4.23372524249002 47.8252720135555,-4.23289678202538 47.8204045303181)))', 'FRLI4', 'Lechiagat', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.197845702255303 44.9161421875256,-0.198758092369129 44.911285845439,-0.200985965919301 44.9066492542497,-0.204443446235158 44.902410515982,-0.208997506298905 44.8987324153373,-0.214473104845458 44.895756180355,-0.220659917777308 44.8935960732394,-0.227320405526952 44.8923350164713,-0.234198908680808 44.8920214196902,-0.241031427323889 44.8926673272394,-0.24755571519205 44.8942479563684,-0.253521308481206 44.8967026436798,-0.258699111364808 44.8999371643499,-0.262890175873174 44.9038273368174,-0.265933342405601 44.9082237768866,-0.267711448028299 44.9129576212969,-0.268155861722705 44.9178470034146,-0.267249167347251 44.9227040342686,-0.265025884304137 44.927342021879,-0.261571190401122 44.9315826516293,-0.257017688449435 44.935262850857,-0.251540334745797 44.9382410720327,-0.24534972059374 44.940402750572,-0.238683964261896 44.9416647247589,-0.231799527258201 44.9419784452848,-0.224961312873341 44.9413318489676,-0.21843243449726 44.9397498234165,-0.212464054797441 44.9372932446217,-0.207285693805727 44.9340566253683,-0.203096384457846 44.930164466708,-0.20005701914649 44.925766455216,-0.198284182103812 44.9210316933879,-0.197845702255303 44.9161421875256)))', 'FRLIB', 'Libourne', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.4950702849216 48.9495112881105,-1.49594559892594 48.9446471604926,-1.49824442657047 48.939988933833,-1.50187808889983 48.9357155370589,-1.50670673226141 48.9319910751834,-1.51254473525019 48.9289585409944,-1.51916785095273 48.926734340633,-1.52632180869958 48.9254038402953,-1.53373204721028 48.9250181021435,-1.54111421091964 48.9255919323701,-1.54818501444484 48.9271033148593,-1.55467306724748 48.9294942518106,-1.56032925187521 48.9326729798417,-1.56493626471193 48.9365174783338,-1.56831695756688 48.9408801379299,-1.57034116097535 48.9455934129162,-1.5709307246642 48.9504762433316,-1.57006257572161 48.9553410025346,-1.56776966862394 48.9600007048381,-1.56413978097734 48.9642761966614,-1.55931219177262 48.9680030540396,-1.5534723619277 48.9710379194913,-1.54684481647721 48.9732640319617,-1.53968450047918 48.9745957341531,-1.53226694320079 48.9749817809317,-1.52487761442447 48.9744073191193,-1.51780089035068 48.972894460985,-1.51130906286803 48.9705014289833,-1.50565182408911 48.9673203054491,-1.50104663811373 48.9634734756949,-1.49767037500846 48.9591089039911,-1.4956525298484 48.9543944271523,-1.4950702849216 48.9495112881105)))', 'FRLIV', 'Lingreville', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.997956781661194 44.6993908359642,-0.998798134379055 44.6945266705811,-1.00095345900446 44.6898730054172,-1.00433966367241 44.6856086029127,-1.00882645358316 44.6818972371386,-1.01424136315096 44.6788814159642,-1.02037638987848 44.6766769224793,-1.02699597411874 44.6753683827182,-1.03384602015972 44.6750060274094,-1.04066361672122 44.6756037700922,-1.04718709002386 44.6771386741819,-1.05316601074482 44.679551829196,-1.05837077772879 44.6827506032613,-1.06260141624983 44.6866121870595,-1.065695256545 44.6909882954219,-1.06753319852915 44.6957108486067,-1.06804431993266 44.70059841755,-1.06720864606048 44.7054631875303,-1.06505796802007 44.7101181739486,-1.0616746702762 44.7143844132158,-1.05718860507535 44.7180978516307,-1.05177212767193 44.7211156657832,-1.04563347925129 44.7233217691706,-1.03900877083012 44.7246312906653,-1.03215287823097 44.7249938500786,-1.02532960282034 44.724395502798,-1.01880148293166 44.722859277453,-1.01281965528859 44.7204442856752,-1.00761416359854 44.7172434389689,-1.00338509291656 44.7133798621931,-1.00029487431556 44.7090021439292,-0.998462056510353 44.7042786090117,-0.997956781661194 44.6993908359642)))', 'FRLJA', 'Lanton', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.17989819066429 47.8173873826264,-4.18050057732057 47.8125048068528,-4.18250526938371 47.8077951819322,-4.18583488990208 47.8034394290464,-4.19036125000153 47.7996048319256,-4.19591031052145 47.7964386242824,-4.2022688843875 47.7940623511266,-4.20919282003821 47.7925672177021,-4.21641635284906 47.7920106017729,-4.2236622699296 47.7924138606788,-4.23065250500714 47.7937615156091,-4.2371187650696 47.796001843684,-4.24281278937525 47.799048855505,-4.24751585436849 47.8027855837124,-4.2510471646466 47.8070685585878,-4.2532708097366 47.811733301646,-4.2541010180174 47.8166006291185,-4.25350550121204 47.8214835257282,-4.25150675359938 47.826194326459,-4.24818124714287 47.830551931123,-4.2436565443877 47.8343887740739,-4.23810643217779 47.8375572796918,-4.23174425769668 47.8399355531211,-4.2248147206663 47.841432084594,-4.21758443847081 47.8419892835062,-4.21033165153433 47.8415857037639,-4.2033354720039 47.8402368730222,-4.19686509788121 47.8379946931679,-4.191169416236 47.8349454355163,-4.18646740293777 47.8312064093345,-4.18293969327714 47.8269214341868,-4.18072164956517 47.8222552930813,-4.17989819066429 47.8173873826264)))', 'FRLKL', 'Lesconil', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.278832222805334 49.2991069009881,-0.279833781042766 49.294254659779,-0.282263097628068 49.2896233967934,-0.28602648400423 49.285390997565,-0.290979113512303 49.2817199862455,-0.296930617582956 49.2787512988576,-0.303652407740456 49.2765988883208,-0.310886441126675 49.2753453653704,-0.318355095601004 49.2750388398451,-0.325771781204882 49.2756910813133,-0.332851888901874 49.2772770682956,-0.339323665649861 49.2797359431763,-0.344938607322232 49.2829733371149,-0.349480977730654 49.2868649777013,-0.352776092636764 49.2912614435774,-0.354697051436662 49.2959938865045,-0.35516965502629 49.3008805040388,-0.354175314639623 49.3057335165229,-0.351751831168012 49.3103663817383,-0.347992005130072 49.3146009702268,-0.343040121154824 49.3182744245417,-0.337086434309691 49.3212454367366,-0.330359865376917 49.323399699961,-0.323119184739554 49.3246543214244,-0.315643026522657 49.3249610240493,-0.308219123062858 49.3243080113053,-0.301133182250848 49.3227204220918,-0.294657845167917 49.3202593579499,-0.289042157968684 49.3170195210156,-0.284501970339895 49.313125555623,-0.281211634210389 49.3087272370606,-0.279297322658356 49.3039936956217,-0.278832222805334 49.2991069009881)))', 'FRLM2', 'Lion-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.03499814659172 44.6294029264338,-1.03583519461615 44.6245383592036,-1.03798479278035 44.6198838428283,-1.04136406996988 44.615618172806,-1.04584299781472 44.6119051722753,-1.05124941256764 44.6088874122438,-1.05737563742455 44.6066807505355,-1.06398644988556 44.6053698966087,-1.07082809005106 44.6050051700843,-1.07763796840817 44.6056005754532,-1.08415470672667 44.6071332656716,-1.09012813381751 44.6095444149896,-1.09532885942847 44.6127414682539,-1.09955706443382 44.6166016819598,-1.10265017334425 44.6209768233651,-1.10448911528433 44.6256988497864,-1.10500293084019 44.6305863524416,-1.10417154305086 44.6354515193297,-1.10202657937289 44.6401073508793,-1.09865020536243 44.6443748513695,-1.09417200740638 44.6480899189895,-1.08876403813219 44.6511096680361,-1.08263421100499 44.6533179378759,-1.07601829693743 44.6546297742269,-1.0691708325029 44.6549947079026,-1.06235529390727 44.6543987028753,-1.0558339211015 44.6528646974816,-1.04985759083353 44.6504517176949,-1.04465613533758 44.6472525973411,-1.04042948485692 44.6433903946205,-1.03733997821783 44.6390136450847,-1.03550613788235 44.6342906362401,-1.03499814659172 44.6294029264338)))', 'FRLM5', 'La Malle', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.744607366744381 45.2793062396513,-0.74548055372617 45.274445001004,-0.747679897956988 45.2697974029143,-0.751120609740037 45.2655419720273,-0.755670297264384 45.2618421348077,-0.76115407969196 45.2588399534963,-0.767361313561858 45.2566506850517,-0.774053673162467 45.2553583693901,-0.780974276574365 45.2550126138154,-0.787857511643298 45.2556266950847,-0.794439191231717 45.2571770507714,-0.800466655380273 45.2596041792328,-0.805708439798391 45.2628149144339,-0.809963145364577 45.2666859899913,-0.813067171675149 45.2710687579376,-0.814901018395457 45.2757948836415,-0.815393910116084 45.2806828006964,-0.814526562067605 45.2855446798702,-0.812331973453937 45.2901936456142,-0.808894209972501 45.2944509630704,-0.804345214581577 45.2981529185615,-0.798859762747314 45.3011571273588,-0.792648752081877 45.3033480238375,-0.785951083279537 45.3046413202275,-0.779024446538012 45.3049872599179,-0.772135372532176 45.3043725381216,-0.765548937325571 45.3028208147796,-0.75951852487753 45.3003917997481,-0.754276048330035 45.2971789462753,-0.750023012174128 45.2933058432325,-0.746922762660131 45.2889214472532,-0.745094225139425 45.2841943408217,-0.744607366744381 45.2793062396513)))', 'FRLM6', 'La Mareschale', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.293651830719 46.719781405326,-2.29441382136404 46.7149088644588,-2.29654298074804 46.7102321574002,-2.29995718219641 46.7059309333165,-2.30452502107637 46.7021703780037,-2.31007089474736 46.6990948823096,-2.31638176038316 46.6968225123125,-2.32321530955334 46.6954404908734,-2.33030924734537 46.6950018613581,-2.33739132440228 46.6955234593714,-2.34418974360222 46.6969852689127,-2.35044354989959 46.6993311872198,-2.35591261241323 46.7024711695692,-2.36038682217468 46.7062846733034,-2.36369415668964 46.7106252712063,-2.36570730290913 46.7153262598209,-2.36634858226539 46.7202070500406,-2.36559298360326 46.7250800967826,-2.36346918020859 46.7297581030123,-2.36005848335548 46.7340612217767,-2.35549176413343 46.7378239788321,-2.34994445472425 46.7409016481355,-2.34362981653135 46.743175832696,-2.33679073232243 46.7445590334016,-2.32969033966993 46.7449980273537,-2.32260187062577 46.7444759234651,-2.31579809543487 46.7430128147516,-2.30954078454425 46.7406650017628,-2.30407060237719 46.7375228176703,-2.29959782835825 46.7337071403274,-2.29629426640202 46.7293647278622,-2.29428665521926 46.7246625599821,-2.293651830719 46.719781405326)))', 'FRLM7', 'La Meule', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.311831186191655 49.2991178000733,-0.312829513863209 49.2942652168569,-0.315255765032375 49.2896332064093,-0.319016368621459 49.2853996831542,-0.32396660446181 49.2817272145412,-0.329916195461614 49.278756792619,-0.336636626171921 49.2766024369053,-0.343869905578893 49.275346832755,-0.351338440271816 49.2750381698005,-0.358755644840734 49.27568829954,-0.365836890449978 49.2772722814431,-0.372310380649366 49.2797293347826,-0.377927545914813 49.2829651606164,-0.382472565116084 49.2868555467721,-0.385770652715347 49.2912511201574,-0.387694794269718 49.2959830669635,-0.38817066861046 49.3008696039981,-0.387179561334311 49.3057229549079,-0.384759148942285 49.3103565646732,-0.381002113611469 49.3145922753888,-0.376052632274836 49.3182671865844,-0.370100867156555 49.3212399343503,-0.363375664694286 49.32339614508,-0.356135742357558 49.3246528510089,-0.348659704883628 49.3249616947686,-0.341235279914142 49.3243107973349,-0.334148195526422 49.3227252161128,-0.327671137072031 49.3202659753115,-0.322053217308825 49.3170277068949,-0.317510372231194 49.3131349948962,-0.314217056385233 49.3087375664964,-0.31229955775735 49.3040045179128,-0.311831186191655 49.2991178000733)))', 'FRLM8', 'Luc-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.39295295579323 47.7301328313621,-3.39362806446802 47.7252541507045,-3.39570055387381 47.7205580483133,-3.39909044927184 47.7162249217742,-3.40366725578523 47.7124211828015,-3.40925500708144 47.7092928785629,-3.41563904006383 47.7069600986953,-3.42257423337473 47.7055123799817,-3.42979439478608 47.7050052823056,-3.43702244166783 47.7054582649212,-3.44398099076023 47.70685394293,-3.45040295913447 47.7091387518868,-3.45604177785151 47.7122249955228,-3.46068083342634 47.7159941995158,-3.4641417794452 47.7203016448978,-3.46629140088023 47.7249819098401,-3.46704676573963 47.7298552098373,-3.466378461208 47.7347342952125,-3.46431178247136 47.7394316426374,-3.46092581964725 47.7437666649817,-3.4563504689134 47.7475726619119,-3.45076147497209 47.750703242507,-3.44437369010033 47.7530379705754,-3.4374328068465 47.7544870127379,-3.43020588368126 47.7549946076278,-3.42297103265145 47.7545412202941,-3.41600667288776 47.7531442972504,-3.40958077194146 47.7508575924874,-3.40394049744967 47.7477690908933,-3.39930268452484 47.7439976105441,-3.39584549039749 47.7396882169625,-3.39370155890353 47.7350066285724,-3.39295295579323 47.7301328313621)))', 'FRLN3', 'Lomener', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.23255025588876 48.3004074962247,-4.23315242867242 48.295525042202,-4.235170278564 48.2908147651656,-4.2385259135858 48.2864576104413,-4.24309013832941 48.2826209139843,-4.24868745530513 48.2794519880576,-4.25510282384233 48.2770724798515,-4.26208991461337 48.27557371684,-4.26938054401386 48.275013214688,-4.27669493069867 48.2754124792467,-4.28375238764703 48.2767561852478,-4.29028204792491 48.2789927624769,-4.29603322118487 48.2820363673198,-4.30078499091154 48.2857701654683,-4.3043546891675 48.2900508020868,-4.30660492545479 48.2947138906429,-4.3074488982394 48.2995803125376,-4.30685378024096 48.3044630881343,-4.30484203988493 48.3091745570295,-4.30149063902815 48.3135335924483,-4.29692812846543 48.3173725721169,-4.2913297447169 48.3205438361743,-4.28491069085852 48.3229253814707,-4.27791785727414 48.3244255704035,-4.27062030185979 48.3249866702239,-4.26329886038449 48.3245870840908,-4.25623529389804 48.3232421862297,-4.24970139945684 48.3210037283049,-4.24394851202092 48.3179578402498,-4.23919780907234 48.3142217039711,-4.23563179614008 48.3099390302633,-4.23338730266443 48.3052745157872,-4.23255025588876 48.3004074962247)))', 'FRLN4', 'Landevennec', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.331815110105822 49.3191241433785,-0.332811963548026 49.3142713757843,-0.335237415076567 49.3096389445653,-0.338997923777929 49.3054047803553,-0.343948772629484 49.3017314752119,-0.349899660622377 49.298760053248,-0.356622022301126 49.2966045722819,-0.363857792502348 49.2953477607534,-0.371329282363606 49.2950378545326,-0.378749793348445 49.2956867527557,-0.38583457010066 49.297269562121,-0.39231168103516 49.2997255469211,-0.397932417985949 49.3029604492999,-0.402480822925679 49.3068500926562,-0.40578198037015 49.3112451325731,-0.407708757849253 49.3159767759009,-0.408186732630002 49.3208632512711,-0.407197109151358 49.3257167848407,-0.404777506348539 49.3303508146684,-0.401020574719882 49.3345871667469,-0.396070486710413 49.3382629159357,-0.390117427496385 49.3412366660382,-0.38339029308089 49.3433940047982,-0.376147875232924 49.3446519209429,-0.368668874859587 49.3449620104345,-0.361241133906014 49.3443123462352,-0.354150508426726 49.3427279382599,-0.347669820422788 49.3402697655902,-0.342048322635881 49.3370324191656,-0.337502088922464 49.3331404476714,-0.33420570421609 49.328743549962,-0.332285574380464 49.3240108020191,-0.331815110105822 49.3191241433785)))', 'FRLN5', 'Langrune-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.03499814659172 44.6294029264338,-1.03583519461615 44.6245383592036,-1.03798479278035 44.6198838428283,-1.04136406996988 44.615618172806,-1.04584299781472 44.6119051722753,-1.05124941256764 44.6088874122438,-1.05737563742455 44.6066807505355,-1.06398644988556 44.6053698966087,-1.07082809005106 44.6050051700843,-1.07763796840817 44.6056005754532,-1.08415470672667 44.6071332656716,-1.09012813381751 44.6095444149896,-1.09532885942847 44.6127414682539,-1.09955706443382 44.6166016819598,-1.10265017334425 44.6209768233651,-1.10448911528433 44.6256988497864,-1.10500293084019 44.6305863524416,-1.10417154305086 44.6354515193297,-1.10202657937289 44.6401073508793,-1.09865020536243 44.6443748513695,-1.09417200740638 44.6480899189895,-1.08876403813219 44.6511096680361,-1.08263421100499 44.6533179378759,-1.07601829693743 44.6546297742269,-1.0691708325029 44.6549947079026,-1.06235529390727 44.6543987028753,-1.0558339211015 44.6528646974816,-1.04985759083353 44.6504517176949,-1.04465613533758 44.6472525973411,-1.04042948485692 44.6433903946205,-1.03733997821783 44.6390136450847,-1.03550613788235 44.6342906362401,-1.03499814659172 44.6294029264338)))', 'FRLO4', 'Larros', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.06213296816108 48.8500266245379,-3.06285447087955 48.8451508310052,-3.06500304759937 48.8404615922469,-3.06849578155415 48.836139037424,-3.07319821595777 48.832349166431,-3.07892955643447 48.8292374878905,-3.08546963127682 48.8269234477179,-3.09256734020109 48.8254958592659,-3.09995026881674 48.825009507576,-3.10733510468181 48.825483055615,-3.11443846265125 48.8268983312044,-3.12098771292948 48.8292010214198,-3.12673140514819 48.8323027483727,-3.13144889590675 48.8360844483319,-3.13495881520228 48.8404009269301,-3.13712604835557 48.8450864184852,-3.13786696333837 48.8499609388979,-3.13715267734522 48.8548371906329,-3.13501022909945 48.8595277562223,-3.13152160236333 48.8638523045072,-3.1268206286357 48.8676445321069,-3.12108787991648 48.870758571627,-3.11454374230406 48.8730746177142,-3.10743993460162 48.8745035516332,-3.10004979968385 48.8749903835071,-3.09265774708805 48.8745163772652,-3.08554826064229 48.8730997748435,-3.07899490314761 48.8707950911649,-3.07324975025828 48.8676910076046,-3.06853366774767 48.8639069466663,-3.06502781122447 48.8595884621549,-3.06286667684715 48.8549016251341,-3.06213296816108 48.8500266245379)))', 'FRLO6', 'Lanmodez', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.1298861284187 47.8333713138884,-4.13049336846999 47.8284889746288,-4.13250318891929 47.8237801944784,-4.13583801582004 47.8194258618497,-4.14036946060297 47.8155932056497,-4.14592328932795 47.812429384858,-4.15228613244722 47.8100558527359,-4.1592136751279 47.8085637092913,-4.16644001483001 47.8080102175951,-4.17368783129722 47.8084166152113,-4.18067898549051 47.809767303031,-4.18714514899299 47.8120104419268,-4.19283806439289 47.815059934726,-4.19753905012904 47.8187987188711,-4.20106738993791 47.8230832456594,-4.20328728670546 47.8277489768664,-4.20411311215376 47.83261669054,-4.20351274593174 47.8374993562746,-4.2015088684505 47.8422093176057,-4.19817814889413 47.8465655062971,-4.19364835052557 47.8504004108733,-4.18809345663228 47.8535665300598,-4.18172699892314 47.8559420606856,-4.17479384251906 47.8574355984884,-4.16756074459887 47.8579896681187,-4.16030605429737 47.8575829440271,-4.15330895713362 47.8562310750257,-4.14683868628842 47.8539860800659,-4.14114412447887 47.85093433889,-4.13644420391607 47.8471932563504,-4.13291947869946 47.8429067310595,-4.13070519565366 47.8382396054955,-4.1298861284187 47.8333713138884)))', 'FRLOC', 'Loctudy', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.94599666055949 47.6669885507289,-2.94671263215026 47.6621124750878,-2.94882272065473 47.6574244190883,-2.9522455110764 47.6531044689337,-2.95684925046298 47.6493185286594,-2.96245694401337 47.646211961166,-2.96885316829774 47.643904021573,-2.97579233806332 47.6424832938416,-2.98300811075311 47.6420043030747,-2.99022357237483 47.6424854311785,-2.99716182079562 47.6439082143177,-3.00355654859529 47.6462180485771,-3.00916222762598 47.6493262773024,-3.01376351139766 47.6531135815755,-3.01718349899962 47.6574345460367,-3.01929054478502 47.6621232275542,-3.02000335041589 47.6669995157104,-3.01929413860646 47.671876043207,-3.01718977909805 47.6765653823293,-3.01377081469987 47.6808872515305,-3.00916841588638 47.6846754546182,-3.00355937336753 47.6877842841989,-2.99715931594033 47.6900941407707,-2.99021441241837 47.6915161485295,-2.98299187827151 47.6919955874998,-2.97576965686363 47.6915140075401,-2.96882567944479 47.6900899412769,-2.96242712562363 47.6877781879696,-2.95682010602467 47.6846676964305,-2.95222017122626 47.6808781300706,-2.94880401676912 47.6765552486317,-2.9467027047381 47.6718652870879,-2.94599666055949 47.6669885507289)))', 'FRLP2', 'Le Palais', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.34297400149877 47.7001166392092,-3.34365340388394 47.6952382165272,-3.34572921211962 47.6905429839454,-3.34912132485307 47.6862113054381,-3.35369916294916 47.6824095370111,-3.35928672126594 47.6792836501765,-3.3656693447111 47.6769536418649,-3.37260196634822 47.675508942636,-3.37981849265781 47.675004996671,-3.38704198023054 47.6754611424389,-3.39399522026141 47.6768598737634,-3.40041133292117 47.6791475090478,-3.40604397335042 47.6822362434712,-3.41067676465736 47.6860075069213,-3.41413160056974 47.6903165010935,-3.41627550061109 47.6949977443542,-3.41702575277652 47.6998714142666,-3.41635314120168 47.7047502466045,-3.41428312734741 47.7094467274823,-3.41089493042485 47.7137803028844,-3.40631853342201 47.71758432802,-3.40072972208643 47.7207124878138,-3.39434334227011 47.7230444392976,-3.38740503278246 47.7244904560811,-3.38018175306707 47.7249948933972,-3.37295147467912 47.724538337973,-3.36599244026473 47.7231383583512,-3.35957241179596 47.720848826171,-3.35393833027824 47.7177578350384,-3.34930679199498 47.7139842986296,-3.34585571245589 47.7096733612864,-3.34371750026318 47.7049908004722,-3.34297400149877 47.7001166392092)))', 'FRLP4', 'Larmor-Plage', 'Y'),('SRID=4326;MULTIPOLYGON(((0.218454011033402 49.6709307675008,0.217993016254528 49.6660440500258,0.216072294031687 49.661309582966,0.21276604323547 49.6569092464176,0.208201599687854 49.6530120364721,0.202554500468078 49.6497675869958,0.196041718760219 49.6473004396269,0.188913332124908 49.6457052790984,0.181442943371291 49.6450433137496,0.173917217396425 49.645339937411,0.166624928310358 49.6465837603861,0.159845928137877 49.6487270457298,0.153840451004594 49.6516875342722,0.148839154934557 49.6553515896858,0.145034277496338 49.6595785451707,0.142572242164187 49.6642060877915,0.141548000409767 49.6690564768013,0.142001331615167 49.6739433599177,0.143915250745287 49.6786789277771,0.147216594637983 49.6830811326968,0.151778774503143 49.6869806941429,0.157426597887815 49.6902276202547,0.163942981361725 49.6926969923486,0.171077299028759 49.6942937869971,0.178555045133668 49.6949565470807,0.186088434688203 49.6946597577776,0.193387526870442 49.6934148340016,0.200171433945125 49.6912696802853,0.206179174755545 49.6883068402415,0.211179746654488 49.6846403081927,0.214981022323206 49.680411127984,0.217437126624956 49.6757819512446,0.218454011033402 49.6709307675008)))', 'FRLPA', 'La Poterie-Cap-d''Antifer', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.3129597190949 47.7201069906498,-3.31364217362635 47.7152287558393,-3.31572146414963 47.7105340746587,-3.31911735536926 47.7062032896846,-3.32369912306065 47.7024027224031,-3.3292906114036 47.699278298038,-3.33567701477837 47.6969499572619,-3.34261312158031 47.6955070665769,-3.34983270495045 47.6950050007651,-3.35705870450282 47.6954630262063,-3.36401381523734 47.6968635646903,-3.37043108555653 47.6991528653792,-3.37606412599903 47.7022430596339,-3.38069654396854 47.7060155213704,-3.38415024703962 47.7103254062916,-3.38629229767776 47.7150071985082,-3.38704005435493 47.7198810543855,-3.38636439660073 47.7247597023869,-3.38429090259821 47.7294556355094,-3.38089892517557 47.7337883205799,-3.37631859271689 47.7375911468402,-3.37072584254012 47.7407178451574,-3.36433567236675 47.7430481286703,-3.35739386726188 47.7444923351124,-3.35016752159987 47.7449948893894,-3.34293472526537 47.744536450757,-3.33597381800797 47.7431346603299,-3.32955263389369 47.7408434595434,-3.32391815822329 47.7377510063095,-3.31928700209247 47.7339762706212,-3.31583706582211 47.7296644429644,-3.313700713485 47.7249813349918,-3.3129597190949 47.7201069906498)))', 'FRLQ3', 'Locmiquelic', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.53224726579359 48.7001805921582,-3.53292121192247 48.6953019203876,-3.53501968744822 48.6906039988893,-3.53846169993932 48.6862672933969,-3.54311473786329 48.6824583498896,-3.54879989886407 48.6793234112547,-3.55529877826348 48.6769828174345,-3.56236185106914 48.6755264011915,-3.56971802709478 48.6750100533417,-3.57708501716565 48.6754535868101,-3.58418011987466 48.67683997979,-3.59073102367331 48.6791160264013,-3.59648621856817 48.6821943703691,-3.60122462535886 48.6859568452328,-3.60476407786884 48.6902589952731,-3.60696833431078 48.6949356064727,-3.60775234673618 48.699807038058,-3.60708558097448 48.7046861139741,-3.60499325166003 48.7093853112976,-3.60155541551993 48.7137239700621,-3.59690394827464 48.7175352469208,-3.59121751315749 48.720672543755,-3.58471470881816 48.7230151616077,-3.57764565778503 48.7244729595757,-3.57028236037574 48.7249898364875,-3.5629081899323 48.7245458988731,-3.55580694100958 48.7231582300668,-3.54925186086194 48.7208802301822,-3.54349509529364 48.7177995528624,-3.53875796262473 48.7140347197998,-3.53522243505707 48.7097305457281,-3.53302415684059 48.7050525528049,-3.53224726579359 48.7001805921582)))', 'FRLQ4', 'Locquemeau', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.61224780054543 48.7002068056928,-3.61291401202316 48.6953276984105,-3.61500503246613 48.6906283512436,-3.61844015528546 48.6862892851412,-3.62308713272443 48.6824771370892,-3.62876729414998 48.6793382732319,-3.63526242582831 48.6769931842659,-3.64232314577511 48.6755318754254,-3.64967845353409 48.6750104251291,-3.65704609303865 48.6754488418904,-3.66414333813496 48.6768303000348,-3.6706977955919 48.6791017828972,-3.6764578198383 48.6821761092945,-3.6812021472613 48.6859352670498,-3.6847483853453 48.6902349280073,-3.68696003255485 48.6949099740772,-3.68775175761133 48.6997808250496,-3.68709273021442 48.7046603276788,-3.68500786740882 48.7093609431441,-3.68157693833948 48.7137019574095,-3.67693155230226 48.7175164368992,-3.67125013765259 48.7206576605288,-3.66475109891512 48.7230047783477,-3.65768441288798 48.724467476247,-3.65032198830951 48.7249894643359,-3.64294716471872 48.7245506522272,-3.6358437619826 48.7231679257833,-3.62928511077766 48.7208944947566,-3.62352349513474 48.7178178369211,-3.61878042094126 48.7140563193938,-3.61523808991883 48.7097546295846,-3.61303240878765 48.7050781944573,-3.61224780054543 48.7002068056928)))', 'FRLQ5', 'Locquirec', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.91306506088832 47.5699779529917,-2.91378275777585 47.5651020011548,-2.91589187759686 47.5604144705931,-2.91931104454514 47.5560954273964,-2.92390864644263 47.5523107410045,-2.92950792520492 47.5492057265307,-2.93589378083496 47.5468995798909,-2.94282102579134 47.5454808166292,-2.95002377433749 47.5450038867732,-2.95722561107464 47.5454870933175,-2.96415015536692 47.5469118926673,-2.97053162447261 47.549223603348,-2.97612499823892 47.5523334963383,-2.98071540219803 47.5561221883655,-2.98412635348055 47.5604442102612,-2.98622655444531 47.5651335777713,-2.98693497123816 47.5700101536966,-2.9862239971527 47.5748865593907,-2.98412057175816 47.5795753717051,-2.98070520393636 47.583896329415,-2.97610892748237 47.5876832716138,-2.9705082986928 47.5907905397619,-2.96411862309308 47.5930985948417,-2.95718566977997 47.5945186307665,-2.94997619353601 47.5949960037569,-2.94276763399202 47.5945123433549,-2.93583739527132 47.5930862622512,-2.92945212704113 47.5907726370561,-2.92385742783611 47.5876604882585,-2.91926837390904 47.5838695425576,-2.91586124259816 47.5795456122229,-2.91376674998814 47.5748549720509,-2.91306506088832 47.5699779529917)))', 'FRLR3', 'Locmariaquer', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.73250748399789 48.3705708924088,-4.73306248578661 48.3656864613544,-4.73503663767111 48.3609680073115,-4.73835372182111 48.3565967923718,-4.74288601744532 48.3527406944213,-4.74845924651802 48.3495477717492,-4.75485928696435 48.347140592932,-4.76184039295937 48.3456115469034,-4.76913460772606 48.3450193103597,-4.77646201183406 48.3453866055529,-4.78354142061666 48.3466993327146,-4.79010112866199 48.3489071096009,-4.79588929775847 48.3519251977693,-4.80068359721164 48.3556377430585,-4.80429973178933 48.3599022081571,-4.80659853203953 48.3645548298972,-4.80749133333082 48.3694168946413,-4.80694343225209 48.3743015933332,-4.80497548011132 48.3790211947373,-4.80166275088458 48.3833942620868,-4.79713230236525 48.3872526354833,-4.79155813137303 48.3904479102219,-4.78515450338029 48.392857159645,-4.77816771038283 48.3943876795878,-4.77086657495256 48.3949805689637,-4.7635320701292 48.3946130061326,-4.75644646160016 48.3932991316085,-4.7498823986331 48.3910895023112,-4.74409238243662 48.3880691386961,-4.73929902490834 48.3843542413408,-4.73568647787977 48.3800877056374,-4.73339336463047 48.3754336099843,-4.73250748399789 48.3705708924088)))', 'FRLR4', 'Lauberlac''h', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.48219451925467 48.7701643740446,-3.48287419678287 48.7652860359005,-3.48498020716623 48.7605890586712,-3.4884312674788 48.7562538713518,-3.49309451819696 48.7524469611204,-3.49879066489311 48.7493144923304,-3.50530088174284 48.7469767097353,-3.51237520956067 48.7455233379537,-3.51974212737839 48.745010150875,-3.52711893494062 48.7454568401978,-3.53422255499744 48.7468462632112,-3.54078034962034 48.7491250980425,-3.54654054429892 48.7522058817252,-3.55128186729918 48.7559703544386,-3.55482203935275 48.7602739839621,-3.55702478952345 48.7649514995338,-3.55780512600431 48.7698232255563,-3.5571326541643 48.77470197442,-3.55503280647564 48.7794002353963,-3.55158592765043 48.7837373840513,-3.54692424061827 48.7875466346117,-3.5412268017486 48.7906814664303,-3.53471263358637 48.7930212750038,-3.52763229686804 48.7944760272766,-3.52025822736291 48.7949897391917,-3.51287421410705 48.7945426391487,-3.50576443135312 48.7931519323871,-3.49920245524491 48.790871136219,-3.49344069688561 48.7877880122067,-3.4887006660643 48.7840211764652,-3.48516444532562 48.7797155209645,-3.48296770405338 48.7750366249028,-3.48219451925467 48.7701643740446)))', 'FRLR5', 'Landrellec', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.19217082301508 48.8000692740471,-3.19287900879235 48.7951926430662,-3.19501333139182 48.7905009604863,-3.19849142169195 48.7861744502074,-3.20317938465944 48.7823792647927,-3.2088969803435 48.7792611174966,-3.21542456308705 48.7769397029037,-3.2225115103937 48.775504117506,-3.229885819382 48.7750094531123,-3.23726450733843 48.7754746913794,-3.244364424625 48.7768819786104,-3.25091307379592 48.7791773080455,-3.25665902857041 48.7822725840033,-3.26138156029779 48.7860489902577,-3.26489910740616 48.7903615357948,-3.26707626436324 48.7950446063318,-3.2678290198344 48.7999183113578,-3.26712803751724 48.8047953854352,-3.26499984564228 48.8094883803533,-3.2615258799843 48.813816872421,-3.25683940763678 48.817614407366,-3.25112044161596 48.8207349142393,-3.24458883619912 48.8230583392318,-3.23749582629767 48.8244952797864,-3.23011433776863 48.8249904377834,-3.22272844634668 48.8245247564194,-3.21562239833331 48.8231161568489,-3.20906962452237 48.8208188456237,-3.20332217913326 48.8177212201351,-3.19860101774804 48.813942454304,-3.19508749331527 48.8096278983685,-3.19291639895085 48.8049434726759,-3.19217082301508 48.8000692740471)))', 'FRLR8', 'La Roche Jaune', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.68172152149444 45.097288960149,-0.682596643714919 45.0924281108578,-0.684793463864871 45.0877815496735,-0.688227292316215 45.0835277635578,-0.69276600408443 45.0798301162409,-0.698235141312114 45.0768305865176,-0.704424623238621 45.0746443302869,-0.711096804964922 45.0733552725481,-0.717995577544074 45.0730128961195,-0.724856164621897 45.0736303483789,-0.731415246047031 45.0751839375262,-0.737421027225412 45.0776140374965,-0.742642874821705 45.0808273675898,-0.746880154677719 45.0847005609928,-0.749969936146814 45.089084887511,-0.75179326769306 45.0938119517762,-0.752279780448998 45.0987001505969,-0.751410437935377 45.1035616434315,-0.749218319373807 45.108209569405,-0.745787398618377 45.1124652337791,-0.741249357982802 45.116164986876,-0.735778553149764 45.1191665293149,-0.72958531875694 45.1213543987792,-0.722907870982125 45.1226444246689,-0.716003120480865 45.1229869767737,-0.709136753692658 45.1223688809702,-0.702572970678138 45.1208139270327,-0.696564281805952 45.1183819488031,-0.691341763081001 45.1151665129296,-0.687106150833867 45.1112913068115,-0.684020121832091 45.1069053670607,-0.682202056332253 45.1021773346455,-0.68172152149444 45.097288960149)))', 'FRLR9', 'Lamarque', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.11403443573229 46.1664121004557,-1.11489207158234 46.1615484531105,-1.11709847195369 46.1568944787178,-1.12056855996819 46.1526289484522,-1.12516880251217 46.1489156747392,-1.13072236906301 46.1458972327077,-1.13701593406024 46.1436894999494,-1.1438078603961 46.1423772215555,-1.15083745175985 46.1420107681154,-1.1578349233869 46.1426042090378,-1.16453171527181 46.1441347738712,-1.17067075976796 46.1465437220224,-1.17601631703023 46.1497385882586,-1.18036300693419 46.1535967194946,-1.18354369455554 46.1579699694625,-1.18543592728699 46.1626903737056,-1.18596667408911 46.16757658957,-1.18511517969168 46.1724408559655,-1.18291381683248 46.1770962068333,-1.17944689547436 46.181363661443,-1.17484746663579 46.1850791144055,-1.16929223695917 46.188099658821,-1.16299478519994 46.1903090970287,-1.15619734018987 46.191622424298,-1.14916143840831 46.1919891103575,-1.14215782532468 46.1913950503842,-1.1354559959264 46.1898631090747,-1.12931378477608 46.1874522365784,-1.12396741381276 46.1842551910923,-1.11962238703853 46.1803949574729,-1.11644558618042 46.1760200020567,-1.11455887212096 46.1712985489392,-1.11403443573229 46.1664121004557)))', 'FRLRH', 'La Rochelle', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.32993850096026 47.7501125271409,-3.33061974670822 47.7452342198212,-3.33269869027194 47.7405392564652,-3.3360951090207 47.7362079905058,-3.34067825789527 47.732406761858,-3.34627192762739 47.7292815210475,-3.3526612286458 47.7269522399666,-3.35960083813554 47.7255083210789,-3.3668243950201 47.7250051785142,-3.37405468678763 47.7254621198995,-3.3810142441627 47.7268616086059,-3.38743594533402 47.729149934125,-3.3930732311277 47.7322392653475,-3.39770954617265 47.7360110094691,-3.40116664840506 47.7403203499258,-3.40331146951998 47.745001791926,-3.4040612611337 47.7498755054592,-3.40338682400008 47.7547542245914,-3.40131368872096 47.7594504396649,-3.39792119366884 47.7637836066845,-3.39333948655528 47.767587096316,-3.38774455715247 47.7707146138198,-3.38135148680404 47.7730458406975,-3.37440617217082 47.7744910782553,-3.3671758428861 47.7749947116076,-3.35993874249933 47.7745373584093,-3.35297337683753 47.7731366179843,-3.34654775197147 47.7708463914039,-3.34090902442158 47.7677547991971,-3.33627396905224 47.7639807783827,-3.33282063615197 47.7596694921303,-3.33068152017863 47.7549867314612,-3.32993850096026 47.7501125271409)))', 'FRLRT', 'Lorient', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.74680457042283 46.4996091057729,-1.74761202118377 46.4947404827379,-1.74977901119155 46.4900741593834,-1.75322196782931 46.4857893836783,-1.75780839002857 46.4820507083711,-1.7633619690458 46.4790016838827,-1.76966937219821 46.4767593607195,-1.77648842763519 46.4754098097941,-1.78355739767889 46.4750048300001,-1.79060498941072 46.4755599672618,-1.79736072506021 46.4770539197252,-1.80356528203984 46.4794293515546,-1.80898041348995 46.4825950847907,-1.81339807493167 46.4864295867814,-1.81664841071524 46.4907856216637,-1.8186062946762 46.4954958900138,-1.81919617167239 46.5003794427562,-1.81839500895796 46.505248625181,-1.81623323672227 46.5099162857086,-1.81279363322397 46.514202972798,-1.80820818904602 46.5179438427098,-1.80265306403609 46.5209950109146,-1.79634182623945 46.5232391005445,-1.7895172312962 46.5245897717581,-1.7824418602243 46.5249950551079,-1.77538798044178 46.5244393584558,-1.76862702701877 46.5229440688181,-1.76241911690178 46.5205667256034,-1.75700300743482 46.5173987977624,-1.75258689198995 46.5135621520558,-1.74934039085206 46.509204350708,-1.74738804639524 46.5044929620707,-1.74680457042283 46.4996091057729)))', 'FRLSO', 'Les Sables-d''Olonne', 'Y'),('SRID=4326;MULTIPOLYGON(((1.40580134882828 50.0675394855738,1.40521738315042 50.0626567615697,1.40316512192326 50.0579411680219,1.39972381815438 50.0535738520123,1.39502598872873 50.0497225343507,1.38925228097716 50.0465350813233,1.3826245135299 50.0441338432174,1.37539716142838 50.0426109740095,1.36784761124757 50.0420249088108,1.36026555547483 50.0423981315831,1.35294192549266 50.0437163168918,1.34615777850905 50.0459288777987,1.34017355531458 50.0489508992387,1.33521911279383 50.0526663841894,1.33148490798751 50.05693269047,1.32911466983745 50.061585990834,1.32819984157772 50.066447549801,1.32877601250123 50.0713305789009,1.33082148442477 50.0760474089436,1.33425803794998 50.0804167046025,1.33895387937386 50.0842704436844,1.34472866402207 50.087460391264,1.35136040931799 50.0898638172808,1.35859403462948 50.0913882346686,1.36615119834183 50.0919749726195,1.37374104887523 50.0916014447509,1.38107146816419 50.090282022946,1.3878603653896 50.0880674823883,1.39384657658005 50.0850430395273,1.39879994219783 50.0813250600249,1.40253016915233 50.0770565658346,1.40489413409429 50.0724017172922,1.40580134882828 50.0675394855738)))', 'FRLTR', 'Le Tréport', 'Y'),('SRID=4326;MULTIPOLYGON(((5.96208019516471 43.0771221792981,5.96119048548735 43.0722653281185,5.9590256655094 43.0676290046257,5.95566916377862 43.0633913043631,5.95125011050325 43.0597149781272,5.94593835366819 43.0567411930192,5.93993792795341 43.0545841245121,5.93347922801112 43.0533265847676,5.92681018470298 43.053016852778,5.92018677880282 43.0536668262467,5.91386325041649 43.0552515651402,5.9080823732992 43.0577102443356,5.90306616105905 43.0609484796312,5.89900735695884 43.0648419394669,5.89606203106006 43.0692411058938,5.89434356854473 43.0739770044117,5.89391828234129 43.0788676849214,5.89480282320155 43.083725206659,5.8969634930627 43.0883628598047,5.90031749519448 43.0926023463876,5.90473607993034 43.0962806436604,5.91004947061701 43.0992562844493,5.91605338383606 43.1014148107707,5.92251689399449 43.1026731885237,5.92919133791846 43.1029830111367,5.93581991263858 43.1023323671094,5.94214759114243 43.1007462985622,5.94793096785683 43.0982858330457,5.95294764863313 43.0950456267131,5.95700481887885 43.0911503111969,5.95994665727267 43.0867496869566,5.96166030957373 43.082012950431,5.96208019516471 43.0771221792981)))', 'FRLU2', 'Saint-Mandrier-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.13288830611594 47.830372266612,-4.13349523432732 47.8254899115294,-4.1355046713944 47.8207810795469,-4.13883905813579 47.8164266610924,-4.14337002289992 47.8125938883933,-4.14892335016627 47.8094299249244,-4.15528568960494 47.8070562294402,-4.16221274566873 47.805563908229,-4.16943863444066 47.8050102311858,-4.17668605292082 47.8054164429823,-4.18367687730797 47.8067669516296,-4.19014279182725 47.8090099248628,-4.19583554863238 47.812059271853,-4.20053647228388 47.8157979356281,-4.20406484895684 47.8200823721006,-4.20628488019102 47.8247480465145,-4.20711093261854 47.8296157391076,-4.20651087723838 47.8344984202992,-4.20450738257309 47.8392084330518,-4.20117710312777 47.8435647071764,-4.19664778525503 47.8473997279367,-4.19109339375009 47.8505659896114,-4.18472744096242 47.8529416835645,-4.17779477253837 47.8544353992589,-4.17056212682622 47.854989654502,-4.1633078355098 47.8545831165961,-4.15631106871848 47.8532314271775,-4.14984104690478 47.850986598273,-4.14414664321298 47.847935003221,-4.1394467838051 47.8441940412406,-4.13592202048352 47.8399076063003,-4.13370760160796 47.8352405374043,-4.13288830611594 47.830372266612)))', 'FRLV4', 'Larvor', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.03143680179973 45.5413924509989,-1.03229025446675 45.5365288802699,-1.03447718047068 45.5318757301985,-1.03791326130315 45.5276117414855,-1.04246627754755 45.5239006693712,-1.04796121618717 45.5208850069726,-1.05418700273495 45.5186805277998,-1.06090459851776 45.5173718543764,-1.06785615411576 45.5170092205735,-1.07477487216431 45.5176065499095,-1.08139520750473 45.51914092234,-1.08746302068806 45.5215534497504,-1.09274530240594 45.5247515273084,-1.09703910151801 45.5286123759273,-1.10017931759402 45.5329877421722,-1.10204505955638 45.537709577788,-1.10256432397828 45.5425964832887,-1.1017168083385 45.5474606701795,-1.09953474411371 45.5521151756168,-1.09610170965073 45.5563810525576,-1.09154946058359 45.5600942582963,-1.0860528931323 45.563111974891,-1.07982332975493 45.5653181160989,-1.07310038411245 45.5666278063662,-1.06614272009277 45.5669906570163,-1.05921806501327 45.5663927115179,-1.05259286789257 45.5648569837206,-1.04652200834185 45.5624425680814,-1.04123895945084 45.5592423568987,-1.03694678915416 45.5553794540842,-1.03381034990887 45.5510024258053,-1.03194995780408 45.5462795733465,-1.03143680179973 45.5413924509989)))', 'FRLVE', 'Le Verdon-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.94582391172851 47.9173122281638,-3.94644932380516 47.9124308119001,-3.94847900087281 47.9077251894594,-3.9518346057747 47.9033761267191,-3.95638695256283 47.8995506490784,-3.96196100622291 47.8963956390069,-3.9683426228907 47.8940322109769,-3.97528676948756 47.8925510769785,-3.98252690841253 47.892009077704,-3.98978519147995 47.8924270101029,-3.99678307878186 47.8937888329907,-4.00325198329193 47.896042280511,-4.00894354116499 47.8991008603257,-4.01363912083891 47.9028471613127,-4.01715821088925 47.9071373461017,-4.01936536645149 47.9118066587603,-4.02017544585942 47.9166757389961,-4.01955693149635 47.9215575028546,-4.01753319983034 47.9262643273283,-4.01418168288518 47.9306152635413,-4.00963094425414 47.9344430008754,-4.00405577412311 47.9376003128434,-3.99767048632784 47.9399657345299,-3.99072067284232 47.9414482504286,-3.98347373400033 47.941990809465,-3.97620855321428 47.941572529471,-3.96920472050836 47.940209504549,-3.9627317280433 47.9379541835549,-3.95703856201795 47.9348933440461,-3.95234409882002 47.931144741163,-3.94882867989952 47.9268525627186,-3.94662719122421 47.922181868161,-3.94582391172851 47.9173122281638)))', 'FRLZF', 'La Forêt-Fouesnant', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.08126110693817 45.816405237142,-1.08211522678845 45.8115415133199,-1.08430954191178 45.8068877267182,-1.0877594453924 45.8026226420377,-1.09233218349944 45.798910055778,-1.09785198400109 45.7958925181207,-1.104106817669 45.7936858734232,-1.11085653214716 45.7923748263015,-1.11784204779675 45.7920097009815,-1.12479526715395 45.7926045162565,-1.13144932428862 45.794136448689,-1.13754878829092 45.7965467043911,-1.1428594366563 45.7997427666863,-1.14717722945959 45.8036019350556,-1.15033614353517 45.8079760218534,-1.15221456668018 45.8126970291227,-1.1527400040546 45.8175835900784,-1.15189191094068 45.8224479299416,-1.14970253589931 45.8271030799988,-1.14625573376379 45.831370067976,-1.14168378611286 45.8350848076139,-1.13616234483761 45.8381044208986,-1.12990368895851 45.8403127474775,-1.12314855272829 45.8416248266827,-1.11615684119884 45.8419901771631,-1.10919759510145 45.8413947458465,-1.10253859788365 45.8398614499573,-1.0964360325384 45.8374492909577,-1.09112459372115 45.834251075284,-1.08680844169526 45.8303898312878,-1.08365334983206 45.8260140626097,-1.08178034843696 45.8212920232578,-1.08126110693817 45.816405237142)))', 'FRM2R', 'Marennes', 'Y'),('SRID=4326;MULTIPOLYGON(((9.38402653777756 42.8998909180825,9.38334249689101 42.8950127238818,9.3813774323234 42.8903263504771,9.37820711171791 42.8860118290857,9.37395353455118 42.8822348708793,9.36878021860872 42.8791405130287,9.3628859077663 42.8768475616169,9.35649694412309 42.8754440424522,9.34985859612276 42.8749838321093,9.34322567191438 42.8754845965721,9.33685277277623 42.8769271153201,9.33098455425251 42.8792560163836,9.32584636239236 42.8823818946611,9.32163559913699 42.8861847335434,9.31851414482805 42.8905185005008,9.31660212771813 42.8952167425383,9.31597328133894 42.9000989689973,9.31665207209362 42.9049775785304,9.31861271335152 42.909665065456,9.32178011087802 42.9139812290335,9.32603271020903 42.9177601080834,9.33120714242635 42.920856373004,9.33710449371218 42.9231509273781,9.34349795908764 42.9245555013607,9.35014158476084 42.9250160577904,9.35677975910419 42.9245148779949,9.36315708155327 42.9230712457251,9.36902822315462 42.9207407024747,9.37416739284734 42.9176129033534,9.37837703982474 42.9138081574015,9.38149545368906 42.9094727874827,9.38340296906809 42.9047734906281,9.38402653777756 42.8998909180825)))', 'FRMCI', 'Macinaggio', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.581773829082866 45.0162591153282,-0.582655868020552 45.0113991219013,-0.584857327722692 45.0067545294461,-0.588293342182547 45.0025037490031,-0.592831704216308 44.9988100287956,-0.598297970830861 44.9958151969643,-0.60448217240612 44.9936342293563,-0.611146867063939 44.9923508483675,-0.618036232941745 44.9920143193494,-0.624885853898005 44.9926375656031,-0.63143282947417 44.9941966731563,-0.637425828383131 44.9966318041396,-0.642634706696703 44.9998494845163,-0.646859327231232 45.003726180033,-0.649937245000825 45.0081130254257,-0.651749964279512 45.0128415278924,-0.652227524659183 45.0177300282837,-0.651351234976383 45.0225906738314,-0.64915444316023 45.0272366357324,-0.645721304574345 45.0314892944605,-0.641183588576337 45.0351851158408,-0.635715639805375 45.0381819518482,-0.629527683973854 45.0403645215176,-0.622857734511192 45.0416488585538,-0.615962413276824 45.0419855520556,-0.609107043062192 45.0413616536804,-0.60255539959907 45.0398011766805,-0.596559524818253 45.0373641674112,-0.591350000472888 45.0341443858614,-0.587127062098253 45.0302656861693,-0.584052898585893 45.025877238716,-0.582245434109934 45.0211477802028,-0.581773829082866 45.0162591153282)))', 'FRMCQ', 'Macau', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.814449235578818 45.5293250389247,-0.815321119104324 45.5244634234688,-0.817525283668906 45.5198147426087,-0.820976750186568 45.5155575642946,-0.825542710520276 45.5118553814398,-0.831047657027304 45.5088503454315,-0.837280133270338 45.5066578217974,-0.844000845577999 45.5053619744464,-0.850951825967657 45.5050125455007,-0.857866299321046 45.5056229523178,-0.864478882658717 45.5071697735363,-0.87053573255428 45.5095936436436,-0.875804258474902 45.5128015225231,-0.880082035100664 45.5166702545521,-0.883204575086161 45.5210512829591,-0.885051664545706 45.5257763410667,-0.885552015645894 45.5306639044003,-0.884686052545862 45.5355261578888,-0.882486716587315 45.5401762117428,-0.879038251744984 45.5444352889864,-0.874473009177578 45.5481396076117,-0.868966387253513 45.5511466910799,-0.86273009747636 45.553340862156,-0.856004014093265 45.5546377061227,-0.849046922784873 45.5549873291319,-0.842126529002326 45.5543762842816,-0.835509117057543 45.5528280900682,-0.82944926548881 45.5504023210305,-0.82418002180602 45.5471923063801,-0.819903920600979 45.5433215268918,-0.816785194150678 45.5389388510439,-0.814943475764405 45.5342127963215,-0.814449235578818 45.5293250389247)))', 'FRMD7', 'Les Monards', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.21297358101941 47.7000746929557,-3.21366511140542 47.6951970223425,-3.21575259329368 47.6905041241198,-3.21915547774286 47.686176271876,-3.22374277320831 47.6823796741199,-3.22933811293154 47.6792601034926,-3.23572654461592 47.6769373143474,-3.24266277967634 47.6755004602589,-3.24988058678143 47.675004684593,-3.25710297368372 47.6754690126309,-3.26405277353258 47.6768756245521,-3.27046323768557 47.6791705365905,-3.27608823681536 47.6822656647409,-3.28071168585793 47.68604219335,-3.28415583572662 47.6903551216272,-3.28628811504051 47.6950388163108,-3.28702625731691 47.6999133600886,-3.2863415116804 47.7047914543589,-3.2842598062379 47.7094856128027,-3.28086081051968 47.7138153699745,-3.27627492404593 47.7176142273578,-3.2706782990679 47.7207360683037,-3.26428608354954 47.7230607928236,-3.25734414212996 47.7244989526991,-3.25011957488237 47.7249952057701,-3.24289040322571 47.7245304540745,-3.23593482692901 47.7231225819311,-3.22952047404698 47.7208257649635,-3.22389406593029 47.7177283771855,-3.21927190214738 47.7139495782582,-3.21583153611475 47.7096347146076,-3.21370496315811 47.704949714138,-3.21297358101941 47.7000746929557)))', 'FRME2', 'Le Magouer', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.91248921503127 48.400629836511,-4.91302720507589 48.3957447864214,-4.91498570695233 48.3910234731314,-4.91828910232557 48.386647269518,-4.92281019392465 48.3827842457497,-4.92837513153612 48.3795827264183,-4.93477010916698 48.3771656101683,-4.94174957358468 48.3756256671267,-4.94904563001254 48.3750219917661,-4.95637828821015 48.3753777447929,-4.96346616261695 48.3766792688943,-4.97003722440909 48.3788766114468,-4.9758392015826 48.3818854344216,-4.98064923555726 48.3855902395636,-4.98428242899019 48.3898487873055,-4.98659895884348 48.394497542575,-4.98750948024041 48.3993579413108,-4.98697860883925 48.4042432396145,-4.98502634049217 48.4089656843137,-4.98172734453645 48.4133437302846,-4.97720814847129 48.417209026877,-4.97164231393124 48.4204129034822,-4.96524378345737 48.4228321025822,-4.95825865116976 48.4243735369546,-4.95095567472724 48.424977885085,-4.94361589788076 48.4246218838437,-4.93652178994183 48.423319228332,-4.92994632873364 48.4211200434207,-4.92414245603106 48.4181089476211,-4.91933331899039 48.4144017852056,-4.91570367840325 48.410141154615,-4.91339281641839 48.4054909080159,-4.91248921503127 48.400629836511)))', 'FRME5', 'Île de Molène', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.44259000380544 48.2504755128113,-4.44317166040029 48.2455921270848,-4.44516826347807 48.2408783411203,-4.44850273690167 48.2365152363443,-4.4530466966462 48.2326703783422,-4.45862542124884 48.2294913935629,-4.46502458130488 48.2271003157832,-4.47199846714873 48.2255889166032,-4.47927939990994 48.2250151963599,-4.48658796906596 48.2254011676384,-4.49364371053198 48.2267320146793,-4.5001758239515 48.2289566601765,-4.50593352653896 48.2319897180719,-4.5106956535994 48.2357147588254,-4.51427914239618 48.2399887641098,-4.51654607569414 48.2446476027148,-4.51740901303568 48.2495123202924,-4.5168344001675 48.2543960039323,-4.51484391815108 48.2591109596821,-4.51151371124798 48.2634759280262,-4.50697151394369 48.2673230596684,-4.5013917793844 48.2705043820185,-4.49498899073043 48.2728975054258,-4.48800941006795 48.2744103468617,-4.48072158325229 48.2749846864186,-4.47340597036432 48.2745984172263,-4.46634410783436 48.273266400399,-4.45980772789594 48.2710398913324,-4.45404826287313 48.2680045597964,-4.44928714577461 48.2642771814725,-4.44570728557834 48.2600011305616,-4.44344604709739 48.2553408497019,-4.44259000380544 48.2504755128113)))', 'FRMG8', 'Morgat', 'Y'),('SRID=4326;MULTIPOLYGON(((5.25128904401656 43.416329786172,5.25044953383206 43.4114664794147,5.24832494578211 43.4068159768365,5.24499717170796 43.4025569212845,5.24059424767964 43.3988528850754,5.23528541066191 43.3958460993498,5.22927458957471 43.3936520053765,5.22279258165675 43.3923548345907,5.21608821276226 43.3920043847413,5.20941881678001 43.3926141140507,5.2030403937261 43.3941606254422,5.19719781756225 43.3965845604408,5.19211546311149 43.3997928691884,5.18798860661574 43.4036623710166,5.18497592688158 43.4080444710632,5.18319339433538 43.4127708542721,5.1827097847781 43.4176599404577,5.18354399471292 43.4225238543776,5.18566426773502 43.4271756441759,5.18898936892683 43.4314364710383,5.19339166914082 43.4351424929823,5.19870202638306 43.4381511765571,5.20471628029386 43.4403467915637,5.21120311101842 43.4416448750028,5.21791295847353 43.4419954901824,5.22458765470851 43.4413851537101,5.23097039279114 43.4398373550975,5.23681564183553 43.4374116487876,5.24189862009719 43.434201354305,5.2460239563654 43.430329954628,5.24903320327508 43.4259463335492,5.25081091301648 43.4212190376877,5.25128904401656 43.416329786172)))', 'FRMGN', 'Marignane', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99605588315954 47.5830046790612,-2.99676605437514 47.5781282193484,-2.99886829295841 47.5734391739582,-3.00228148665778 47.5691176675899,-3.00687425170683 47.5653296645776,-3.01247001468511 47.5622206075319,-3.01885380959966 47.5599098475628,-3.02578052727149 47.5584860771653,-3.03298430179912 47.5580039383262,-3.04018867839424 47.5584819337012,-3.0471171793146 47.5599017194634,-3.05350387065135 47.5622088064121,-3.05910353269891 47.5653146429763,-3.06370105054753 47.5691000017269,-3.06711966905242 47.5734195417505,-3.06922779675853 47.5781073745058,-3.0699440956234 47.5829834222357,-3.06924065600154 47.58786032711,-3.06714412741903 47.5925506472922,-3.06373475283201 47.5968740640079,-3.05914333458124 47.6006643220899,-3.05354624104831 47.6037756356138,-3.04715864079001 47.6060883099413,-3.04022622231401 47.6075133611335,-3.03301571941796 47.6079959522137,-3.02580461122432 47.6075175116767,-3.0188704003012 47.6060964511213,-3.01247988985407 47.6037874538242,-3.00687888101301 47.6006793621898,-3.00228269372383 47.5968917469613,-2.99886788056467 47.5925702925805,-2.99676545366076 47.5878811790317,-2.99605588315954 47.5830046790612)))', 'FRMHB', 'La Trinité-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.13329219567358 47.2497282180564,-2.13407699909484 47.2448573420565,-2.13624189875919 47.2401842823596,-2.13970338703609 47.2358885457969,-2.14432823824358 47.2321351047481,-2.1499386591613 47.2290680741508,-2.15631913097545 47.2268051926641,-2.16322467832076 47.2254333171237,-2.1703902496763 47.2250051005405,-2.17754085378246 47.225536978905,-2.18440207002992 47.2270085426156,-2.19071053760616 47.2293633162262,-2.1962240288977 47.2325109172398,-2.2007307272249 47.2363305127314,-2.20405735707828 47.2406754434963,-2.20607585592283 47.2453788409615,-2.20670832924648 47.2502600239093,-2.20593009334733 47.2551314316202,-2.2037706814461 47.2598058285801,-2.20031276571151 47.2641035043719,-2.19568902793787 47.267859191386,-2.19007709183431 47.2709284327571,-2.18369270688695 47.2731931532557,-2.17678144419977 47.274566216073,-2.16960922540314 47.2749947874456,-2.16245205377035 47.2744623773697,-2.1555853497581 47.2729894763949,-2.14927330964171 47.2706327635541,-2.14375870492104 47.2674829165748,-2.1392535217842 47.2636611103099,-2.1359308050657 47.2593143405343,-2.13391802156087 47.2546097557933,-2.13329219567358 47.2497282180564)))', 'FRMI2', 'Mindin', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.89329482480615 47.2496513395538,-1.8941015996163 47.2447822926551,-1.89628751742078 47.2401139446101,-1.89976826483828 47.2358256199767,-1.90440987892943 47.2320820055133,-1.91003392560662 47.2290268382834,-1.91642436570231 47.2267774013772,-1.92333584351025 47.2254200358236,-1.93050308138266 47.2250068382794,-1.93765102456756 47.2255536690233,-1.94450535395415 47.2270395452864,-1.95080297143389 47.2294074428068,-1.95630206350365 47.2325664755302,-1.96079136351936 47.2363953714644,-1.96409826129882 47.2407471136631,-1.96609544985665 47.2454545709349,-1.96670585183518 47.2503369047896,-1.96590563116199 47.2552065088158,-1.96372516667505 47.2598762153669,-1.96024794153785 47.264166493065,-1.95560738245404 47.2679123578154,-1.94998176289489 47.2709697299691,-1.943587361484 47.2732209907559,-1.93667013700158 47.2745795214776,-1.92949624197501 47.2749930480907,-1.92234174464866 47.2744456602188,-1.91548196194294 47.2729584254484,-1.90918082218512 47.2705885748623,-1.90368067511277 47.2674272918515,-1.89919294798352 47.2635961909941,-1.89589001152086 47.2592426249158,-1.89389856963526 47.254534002477,-1.89329482480615 47.2496513395538)))', 'FRMI3', 'Le Migron', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.19348364827207 46.969748600716,-2.19425853001952 46.9648770176859,-2.19640653982214 46.9602024933443,-2.19984482329314 46.9559045918356,-2.20444104882819 46.952148370001,-2.2100185234071 46.9490780509497,-2.21636299224052 46.9468115008666,-2.22323085955428 46.9454357183921,-2.23035851657398 46.9450035070461,-2.23747242329952 46.9455314561927,-2.24429956399858 46.9469993065963,-2.25057788318198 46.9493507244865,-2.25606630947841 46.9524954550631,-2.26055398929247 46.9563127744026,-2.26386838005448 46.9606561096174,-2.26588189354551 46.9653586526249,-2.26651683211534 46.9702397546729,-2.26574842310242 46.9751118582911,-2.26360582748556 46.9797877018531,-2.26017107539121 46.9840875203756,-2.25557596080316 46.9878459651696,-2.24999700760899 46.9909184747006,-2.24364869570286 46.9931868493028,-2.23677520593158 46.9945638125692,-2.22964100303818 46.9949963812147,-2.22252062357371 46.9944679114796,-2.21568806868724 46.9929987418544,-2.20940621812928 46.9906454069493,-2.20391668089046 46.987498453413,-2.19943047969607 46.9836789435943,-2.1961199320084 46.9793337838615,-2.1941120409728 46.9746300600631,-2.19348364827207 46.969748600716)))', 'FRMI4', 'Le Morin', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.13329219567358 47.2497282180564,-2.13407699909484 47.2448573420565,-2.13624189875919 47.2401842823596,-2.13970338703609 47.2358885457969,-2.14432823824358 47.2321351047481,-2.1499386591613 47.2290680741508,-2.15631913097545 47.2268051926641,-2.16322467832076 47.2254333171237,-2.1703902496763 47.2250051005405,-2.17754085378246 47.225536978905,-2.18440207002992 47.2270085426156,-2.19071053760616 47.2293633162262,-2.1962240288977 47.2325109172398,-2.2007307272249 47.2363305127314,-2.20405735707828 47.2406754434963,-2.20607585592283 47.2453788409615,-2.20670832924648 47.2502600239093,-2.20593009334733 47.2551314316202,-2.2037706814461 47.2598058285801,-2.20031276571151 47.2641035043719,-2.19568902793787 47.267859191386,-2.19007709183431 47.2709284327571,-2.18369270688695 47.2731931532557,-2.17678144419977 47.274566216073,-2.16960922540314 47.2749947874456,-2.16245205377035 47.2744623773697,-2.1555853497581 47.2729894763949,-2.14927330964171 47.2706327635541,-2.14375870492104 47.2674829165748,-2.1392535217842 47.2636611103099,-2.1359308050657 47.2593143405343,-2.13391802156087 47.2546097557933,-2.13329219567358 47.2497282180564)))', 'FRMI5', 'Mogueriec', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.59289010760761 47.8201976610262,-3.5935475896352 47.8153179587064,-3.59560555005166 47.8106183843614,-3.59898456928099 47.8062794698228,-3.60355456694994 47.8024678496003,-3.60913983516756 47.799329873588,-3.61552580377382 47.7969860024699,-3.62246727564826 47.7955261982339,-3.62969781722088 47.7950064839418,-3.6369399482238 47.7954468023916,-3.64391574655225 47.7968302542099,-3.65035746956847 47.799103743975,-3.6560177926316 47.8021800100403,-3.66067927907803 47.8059409616584,-3.66416272298313 47.810242197627,-3.66633404612657 47.8149185357663,-3.66710948260214 47.8197903437381,-3.66645884699295 47.824670430511,-3.66440675307763 47.8293712354282,-3.66103172731102 47.8337120393146,-3.6564632420975 47.8375259200249,-3.65087677506934 47.8406661835261,-3.64448707889353 47.8430120208849,-3.63753991817871 47.8444731707707,-3.63030259256969 47.8449934052585,-3.6230536151434 47.8445527023551,-3.61607195031159 47.8431680199635,-3.60962623383447 47.8408926408494,-3.60396439832072 47.8378141142959,-3.5993041106898 47.8340508751892,-3.59582439435648 47.829747672981,-3.59365876005157 47.8250699891931,-3.59289010760761 47.8201976610262)))', 'FRMI7', 'Merrien', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-1.03499814659172 44.6294029264338,-1.03583519461615 44.6245383592036,-1.03798479278035 44.6198838428283,-1.04136406996988 44.615618172806,-1.04584299781472 44.6119051722753,-1.05124941256764 44.6088874122438,-1.05737563742455 44.6066807505355,-1.06398644988556 44.6053698966087,-1.07082809005106 44.6050051700843,-1.07763796840817 44.6056005754532,-1.08415470672667 44.6071332656716,-1.09012813381751 44.6095444149896,-1.09532885942847 44.6127414682539,-1.09955706443382 44.6166016819598,-1.10265017334425 44.6209768233651,-1.10448911528433 44.6256988497864,-1.10500293084019 44.6305863524416,-1.10417154305086 44.6354515193297,-1.10202657937289 44.6401073508793,-1.09865020536243 44.6443748513695,-1.09417200740638 44.6480899189895,-1.08876403813219 44.6511096680361,-1.08263421100499 44.6533179378759,-1.07601829693743 44.6546297742269,-1.0691708325029 44.6549947079026,-1.06235529390727 44.6543987028753,-1.0558339211015 44.6528646974816,-1.04985759083353 44.6504517176949,-1.04465613533758 44.6472525973411,-1.04042948485692 44.6433903946205,-1.03733997821783 44.6390136450847,-1.03550613788235 44.6342906362401,-1.03499814659172 44.6294029264338)))', 'FRMM4', 'Meyran', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.2625360496514 48.3204173905694,-4.26313555658165 48.3155348192064,-4.26515138968182 48.310824049419,-4.26850573386864 48.3064660455803,-4.27306944272026 48.3026281763108,-4.27866703803724 48.2994577988959,-4.28508346808283 48.2970766161833,-4.29207236258823 48.2955760198184,-4.29936546872847 48.295013595713,-4.30668291030393 48.2954109233729,-4.31374388340124 48.2967527517921,-4.32027738657107 48.2989875827993,-4.32603258240499 48.302029639852,-4.3307884003384 48.3057621481701,-4.33436201723485 48.3100418026078,-4.33661589215524 48.314704254556,-4.33746308364063 48.3195704100884,-4.33687064039328 48.3244533000098,-4.33486092754386 48.3291652596954,-4.33151082842351 48.3335251436212,-4.32694884318083 48.3373652969408,-4.32135018761035 48.3405380146427,-4.31493007486164 48.342921237592,-4.30793543586114 48.3444232635353,-4.30063539798148 48.3449862889202,-4.29331089271783 48.3445886427015,-4.28624379936722 48.3432456243828,-4.2797060511326 48.3410089132873,-4.27394913169468 48.337964572184,-4.26919437402007 48.3342297235792,-4.26562443982928 48.329948028906,-4.2633763094023 48.3252841473806,-4.2625360496514 48.3204173905694)))', 'FRMM5', 'Moulin Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.48204775278969 48.9795067877428,-1.48292492379505 48.9746428014335,-1.48522640174765 48.9699848837216,-1.48886340540268 48.9657119515092,-1.49369595251632 48.9619880917898,-1.49953827176039 48.9589562740546,-1.50616595071284 48.9567328767906,-1.51332454391543 48.9554032352627,-1.52073931264843 48.9550183786248,-1.52812572796967 48.9555930792523,-1.53520034173561 48.9571052876948,-1.54169161742305 48.9594969745627,-1.54735031391393 48.9626763478217,-1.55195903096923 48.9665213622134,-1.5553405545452 48.9708843886767,-1.55736468267943 48.975597867468,-1.55795326729225 48.9804807307997,-1.55708327237847 48.9853453507062,-1.55478772272545 48.9900047467392,-1.55115449704848 48.9942797769357,-1.54632300242787 48.9980060349037,-1.54047884995806 49.0010401860401,-1.53384673115196 49.0032654966189,-1.5266817673949 49.0045963400898,-1.5192596672664 49.004981504314,-1.51186607584834 49.0044061700885,-1.5047855337811 49.0028924833236,-1.49829048011838 49.0004986984704,-1.49263073114013 48.9973169269624,-1.4880238473158 48.9934695791701,-1.48464676359521 48.9891046393934,-1.48262900601267 48.9843899586603,-1.48204775278969 48.9795067877428)))', 'FRMM6', 'Montmartin-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.19825045908734 44.1994570548089,-1.19906674960504 44.1945906201166,-1.20118670463069 44.1899322264186,-1.20452859686034 44.1856608200256,-1.20896383657816 44.1819404465145,-1.21432193795089 44.1789139621057,-1.22039707702039 44.1766975613647,-1.22695598844137 44.1753763288568,-1.23374689948384 44.1750009831323,-1.24050916257155 44.1755859360905,-1.24698322269769 44.1771087410218,-1.25292054412114 44.1795109502567,-1.25809312211999 44.1827003502131,-1.26230222023975 44.1865544896244,-1.2653860010507 44.1909253677081,-1.26722575818755 44.195645104772,-1.26775050827278 44.2005323799222,-1.26693976170928 44.2053993905797,-1.26482435934941 44.2100590676644,-1.26148533539527 44.2143322694818,-1.25705084289333 44.2180546771179,-1.25169125391923 44.2210831246755,-1.24561261890421 44.2233011187174,-1.23904873541934 44.2246233321123,-1.23225213314668 44.2249988969786,-1.22548432610145 44.2244133680548,-1.21900571330849 44.2228892797359,-1.21306552361136 44.2204852750757,-1.20789219840027 44.217293840994,-1.2036845878852 44.2134377384343,-1.20060430302082 44.2090652670507,-1.19876951794602 44.2043445491007,-1.19825045908734 44.1994570548089)))', 'FRMMZ', 'Mimizan', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.914421700653598 45.5693557202503,-0.915285730389558 45.564493232152,-0.917483403255673 45.5598425340386,-0.920929988263453 45.555582271755,-0.925492863381854 45.5518760568824,-0.930996638156881 45.5488661956655,-0.937229900127899 45.5466682387416,-0.943953324857794 45.545366558317,-0.950908840124541 45.5450111200702,-0.957829497102923 45.5456155716747,-0.964449676228484 45.5471567200878,-0.970515243544477 45.5495754174261,-0.97579327499906 45.552778822206,-0.980080981355782 45.5566439508312,-0.98321349473109 45.5610223853264,-0.985070218542589 45.5657459591975,-0.985579494720483 45.5706332056142,-0.984721403874293 45.5754963223035,-0.982528583770604 45.5801483868413,-0.979085026609056 45.5844105453573,-0.974522893458084 45.5881188975862,-0.969017461812975 45.5911308118904,-0.962780396377006 45.5933304250684,-0.956051600630114 45.594633112764,-0.949089964483435 45.5949887559508,-0.942163368611571 45.5943836757547,-0.935538336722478 45.5928411609162,-0.929469741562398 45.5904205673445,-0.924190968144526 45.587215025208,-0.919904918661598 45.5833478434961,-0.916776208752347 45.5789677527478,-0.914924855955702 45.5742431716066,-0.914421700653598 45.5693557202503)))', 'FRMO5', 'Meschers-sur-Gironde', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.98283649226171 47.9003241218639,-3.98345824102795 47.895442515622,-3.98548391371978 47.890736253526,-3.98883532709344 47.8863861262738,-3.99338345605579 47.8825592003723,-3.99895342724193 47.8794024140762,-4.00533125308627 47.877036950157,-4.01227204554116 47.8755535987869,-4.01950939529395 47.8750092857282,-4.02676556086708 47.8754248966396,-4.03376208345235 47.8767844793088,-4.04023042843987 47.8790358537309,-4.04592225370777 47.8820926070367,-4.05061891785574 47.8858373981661,-4.05413986837141 47.8901264477314,-4.0563495895423 47.8947950434815,-4.05716284171832 47.8996638528168,-4.05654798583531 47.9045458024011,-4.05452825804425 47.9092532623318,-4.05118093653217 47.9136052595515,-4.04663442344299 47.9174344428682,-4.04106334613854 47.9205935303562,-4.03468186057981 47.9229609889085,-4.02773541197226 47.9244457246874,-4.02049127072689 47.9249906011672,-4.01322821226548 47.9245746469129,-4.00622574477708 47.9232138664079,-3.99975330792969 47.920960622017,-3.9940598667934 47.9179016112955,-3.98936430876879 47.9141545189746,-3.98584701796988 47.9098634747774,-3.98364295294993 47.9051934946196,-3.98283649226171 47.9003241218639)))', 'FRMO7', 'Mousterlin', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.99432484949572 45.7193790501224,-0.995184738565912 45.7145159997113,-0.997382151047678 45.7098638658071,-1.00083236312453 45.7056013494299,-1.00540261109588 45.7018921484746,-1.01091721978747 45.6988786833685,-1.01716436011915 45.6966766425001,-1.02390417518705 45.6953705542137,-1.0308779647848 45.6950105528357,-1.03781808043151 45.6956104608289,-1.04445815772575 45.6971472594511,-1.05054330086837 45.6995619679788,-1.0558398358065 45.7027618985239,-1.06014426361839 45.7066242015727,-1.06329107411139 45.7110005684794,-1.06515912040915 45.7157229130124,-1.06567630744099 45.7206098163297,-1.06482240918807 45.7254734899143,-1.06262989934274 45.7301269902506,-1.0591827553398 45.7343914082921,-1.0546132737929 45.7381027566327,-1.04909701319423 45.7411182879253,-1.042846054111 45.7433219992231,-1.03610083481714 45.7446291078739,-1.02912087826389 45.7449893242098,-1.02217477179613 45.7443887930425,-1.0155297918643 45.7428506279871,-1.00944158064995 45.7404340177942,-1.00414427929156 45.7372319398635,-0.999841503390514 45.7333675706287,-0.996698511650216 45.7289895332937,-0.994835869576263 45.7242661683972,-0.99432484949572 45.7193790501224)))', 'FRMR3', 'Mornac-sur-Seudre', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.74432645291436 47.206603890761,-1.74514611535983 47.2017359801689,-1.74734320617208 47.1970705469282,-1.75083298454213 47.1927868029503,-1.75548114271891 47.1890492586445,-1.7611089973289 47.1860014178478,-1.7675003646902 47.1837602825026,-1.77440985463087 47.1824118753105,-1.78157226623349 47.18200794955,-1.78871272967269 47.1825640101306,-1.79555721193664 47.1840587204374,-1.80184299139745 47.1864347173544,-1.80732870724056 47.1896008038907,-1.81180360466199 47.1934354369357,-1.81509562513599 47.1977913786683,-1.81707803222819 47.2025013358146,-1.81767431628003 47.2073843729289,-1.81686118430323 47.2122528556323,-1.81466951265311 47.2169196585165,-1.81118321712068 47.2212053611547,-1.80653607522606 47.2249451549495,-1.80090661562199 47.2279951935995,-1.79451126633523 47.2302381405593,-1.7875960237494 47.2315876973248,-1.78042696457053 47.2319919356053,-1.77327997065822 47.231435302913,-1.76643006923059 47.2299392229615,-1.76014080693443 47.2275612673832,-1.75465407481391 47.2243929313576,-1.750180782391 47.2205561004597,-1.74689274384402 47.2161983471137,-1.7449160893947 47.2114872403951,-1.74432645291436 47.206603890761)))', 'FRMR4', 'La Martinière', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.963950674225336 46.2993634987863,-0.964824010014834 46.2945013372985,-0.967048718383363 46.2898506592279,-0.970539018076275 46.2855901080032,-0.975160599711936 46.2818833037516,-0.980735814369444 46.2788725722871,-0.987050507158598 46.2766734945566,-0.993862232186411 46.2753704831271,-1.00090953550493 46.2750135529496,-1.00792195448772 46.2756164082738,-1.01463035666772 46.2771559178774,-1.02077722903908 46.2795729984942,-1.02612653049012 46.282774873322,-1.03047273536705 46.2866386206379,-1.03364872479486 46.2910158786857,-1.0355322235705 46.2957385288991,-1.03605053307406 46.3006251418283,-1.03518337318577 46.3054879403096,-1.03296371669302 46.3101400136748,-1.02947657574843 46.3144025060745,-1.02485577884234 46.3181115018554,-1.01927885542672 46.3211243415631,-1.01296022053386 46.3233251232897,-1.00614292020603 46.3246291750499,-0.999089257180556 46.3249863235117,-0.992070662292591 46.3243828311934,-0.985357208235612 46.3228419262941,-0.979207177118212 46.3204229045013,-0.973857090942027 46.3172188381439,-0.96951259482718 46.3133529825854,-0.966340547504277 46.3089740205426,-0.964462624026379 46.3042503299995,-0.963950674225336 46.2993634987863)))', 'FRMRN', 'Marans', 'Y'),('SRID=4326;MULTIPOLYGON(((5.43421876285427 43.2992764820755,5.43336672426669 43.2944147368679,5.43123279286033 43.2897677824128,5.42789921673875 43.2855141246477,5.423494252157 43.2818171283301,5.41818721214916 43.2788187543866,5.41218195502201 43.2766341215515,5.40570906366791 43.2753470986902,5.39901701417838 43.2750070947243,5.39236266861563 43.2756271675595,5.38600145099421 43.2771835235276,5.38017757687363 43.2796164263903,5.37511470515194 43.2828324817871,5.37100736571284 43.2867082110276,5.36801348889571 43.2910947792089,5.36624832307574 43.2958236985512,5.3657799760845 43.3007132902538,5.36662675629398 43.3055756585325,5.36875642185041 43.3102239100232,5.37208737408706 43.3144793413267,5.37649175621193 43.3181783176805,5.38180034386548 43.3211785767155,5.38780904312656 43.3233647127092,5.39428674706928 43.3246526279537,5.40098424692875 43.32499277767,5.4076438508726 43.3243720817632,5.41400933434478 43.3228144287586,5.41983583234848 43.3203797523567,5.42489928652364 43.3171617169235,5.42900507831403 43.313284102592,5.43199551299641 43.308896031253,5.43375586622958 43.3041662195282,5.43421876285427 43.2992764820755)))', 'FRMRS', 'Marseille', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.747480412999954 45.4823047478691,-0.748357162517045 45.4774437028836,-0.750564806958412 45.4727963496032,-0.75401823472054 45.4685412047625,-0.758584563474002 45.4648416831024,-0.764088272381125 45.4618398338884,-0.770317953167979 45.45965090048,-0.777034419742636 45.4583589092206,-0.783979866960927 45.4580134544942,-0.790887731593397 45.4586278013573,-0.797492883570566 45.460178377372,-0.803541763838841 45.4626056729293,-0.80880208695651 45.4658165163026,-0.813071741867503 45.4696876377994,-0.81618655273287 45.4740703885245,-0.818026602537495 45.4787964352081,-0.8185208742981 45.4836842149353,-0.817650026546632 45.4885459038924,-0.815447189400113 45.4931946336459,-0.811996742595224 45.497451677906,-0.807431114637203 45.5011533327626,-0.80192571967308 45.5041572241903,-0.795692222662882 45.506347797921,-0.788970390683722 45.5076407778871,-0.782018845714433 45.5079864191824,-0.775105079312681 45.5073714283472,-0.76849512003961 45.5058194758583,-0.762443258816264 45.5033902808807,-0.757182234907273 45.5001773043107,-0.752914266056941 45.4963041406007,-0.749803271415971 45.4919197495543,-0.747968587013683 45.487192714165,-0.747480412999954 45.4823047478691)))', 'FRMSG', 'Mortagne-sur-Gironde', 'Y'),('SRID=4326;MULTIPOLYGON(((5.08428322943163 43.3993800547016,5.08345732915608 43.3945152286666,5.08134604664106 43.3898613343898,5.07803076338879 43.3855971458651,5.07363903701948 43.3818864332067,5.06833967608536 43.3788716843199,5.06233624730486 43.3766686463088,5.05585926554767 43.3753618937903,5.04915736472277 43.3750015919334,5.04248778439048 43.3756015766213,5.03610653140172 43.3771388243096,5.03025858749133 43.379554331716,5.02516853220078 43.3827553723087,5.02103193580545 43.3866190445362,5.0180078494503 43.3909969777471,5.01621268019437 43.3957210175462,5.01571568824748 43.4006096746044,5.01653628386746 43.4054750911173,5.01864323408689 43.4101302584351,5.02195581695609 43.4143962087554,5.02634688596409 43.4181089037466,5.03164773263668 43.4211255537113,5.03765456406589 43.4233301221234,5.0441363473598 43.4246378013761,5.05084371761862 43.4249982852135,5.05751860260954 43.4243977100472,5.0639041878948 43.4228591893169,5.06975483218649 43.4204419201141,5.07484554483494 43.4172388971885,5.07898065548875 43.4133733238835,5.08200133919427 43.4089938602725,5.08379170691525 43.4042688937399,5.08428322943163 43.3993800547016)))', 'FRMTU', 'Martigues', 'Y'),('SRID=4326;MULTIPOLYGON(((3.56527823038011 43.3538357152179,3.56457435023766 43.3489590998038,3.56258054866327 43.3442763675316,3.55937370235904 43.3399674078256,3.55507721659401 43.3361977160651,3.54985625733399 43.333112048235,3.54391139580395 43.3308288749397,3.53747091093918 43.3294358453403,3.53078204395645 43.3289864328034,3.52410153698996 43.3294978890537,3.51768581332177 43.330950584075,3.51178116949862 43.3332887566919,3.50661434922572 43.3364226475601,3.50238385537034 43.3402319340927,3.49925233004958 43.3445703375093,3.4973402943301 43.3492712275227,3.4967214896216 43.354154011818,3.49742000387739 43.3590310669183,3.49940929909921 43.3637149454945,3.50261318463599 43.3680255836079,3.50690870596904 43.3717972303572,3.51213084395928 43.3748848321282,3.51807884793143 43.3771696238914,3.52452396054217 43.3785637100885,3.53121823604202 43.3790134564954,3.53790410889836 43.3785015605584,3.54432433892037 43.3770477192322,3.5502319435095 43.3747078682071,3.5553997282111 43.3715720223498,3.55962904333305 43.3677608018767,3.56275742621046 43.363420779993,3.56466483418543 43.3587188333828,3.56527823038011 43.3538357152179)))', 'FRMWR', 'Marseillan', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.79533651143325 48.5832663082162,-3.79598365623787 48.5783861494318,-3.79805294265785 48.5736835047508,-3.80146450009426 48.5693390231272,-3.80608698566729 48.5655195507896,-3.81174266784579 48.5623717361502,-3.81821427045497 48.5600164142298,-3.82525331197808 48.5585439833582,-3.83258962129893 48.5580109487379,-3.83994166926166 48.5584377630483,-3.84702732674302 48.5598080452491,-3.85357464504438 48.5620692068784,-3.85933225366362 48.5651344622647,-3.86407898391484 48.5688861470237,-3.86763235410178 48.5731802198285,-3.86985559234858 48.5778517774874,-3.87066292569676 48.5827213744761,-3.87002292722845 48.5876019067514,-3.86795978487281 48.5923057971669,-3.86455243385118 48.5966522071167,-3.85993157665446 48.6004739968025,-3.85427469690715 48.6036241650171,-3.84779925310188 48.6059815184288,-3.84075431154213 48.6074553494317,-3.8334109415716 48.6079889396656,-3.82605174726719 48.6075617518639,-3.81895994571904 48.6061902239276,-3.81240842100479 48.6039271339707,-3.80664918401437 48.6008595612355,-3.80190365133733 48.5971055229019,-3.79835412234895 48.5928094186069,-3.7961367841369 48.5881364608179,-3.79533651143325 48.5832663082162)))', 'FRMXN', 'Morlaix', 'Y'),('SRID=4326;MULTIPOLYGON(((7.28446070297781 43.7005225472126,7.28393769541993 43.6956349880081,7.28211074435305 43.6909153524815,7.27905033375949 43.6865449585916,7.27487426674058 43.6826916689934,7.26974310908773 43.6795034537468,7.26385400645407 43.6771027205953,7.25743311458291 43.6755816281664,7.25072693249924 43.6749985595856,7.24399286803666 43.6753758897176,7.2374893924425 43.6766991301919,7.23146615534373 43.6789174843309,7.22615443269446 43.6819457909348,7.22175826843789 43.6856677834793,7.21844664582323 43.68994054152,7.21634698729659 43.6945999657635,7.21554023367382 43.6994670690246,7.21605769532881 43.7043548436406,7.21787980220822 43.7090754431066,7.22093680781299 43.7134474027132,7.22511142742068 43.717302621439,7.2302433155958 43.7204928355322,7.23613521547059 43.7228953329431,7.24256054544751 43.7244176864514,7.24927213083998 43.7250013209434,7.25601174120893 43.7246237753996,7.26252006099231 43.723299570985,7.26854670307888 43.7210796511285,7.27385987313619 43.7180494153965,7.27825530686701 43.7143254240056,7.28156413223879 43.7100509017064,7.28365935266067 43.7053902163845,7.28446070297781 43.7005225472126)))', 'FRNCE', 'Nice', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.18845780391254 47.0077468471567,-2.18923373677903 47.0028753365196,-2.19138374952467 46.9982009493989,-2.19482491020304 46.9939032445426,-2.1994247762894 46.9901472710742,-2.20500651479814 46.9870772423848,-2.21135570731728 46.984811013341,-2.21822857704439 46.9834355701236,-2.22536132365197 46.9830037031489,-2.23248021231887 46.9835319885472,-2.23931203659391 46.9850001542277,-2.24559456158887 46.9873518544264,-2.25108655465814 46.9904968236544,-2.2555770252007 46.9943143289904,-2.25889332316511 46.9986577905593,-2.26090778654064 47.0033603955453,-2.26154268048662 47.0082414928809,-2.26077323328604 47.0131135252771,-2.25862864507811 47.0177892337781,-2.25519102197291 47.0220888584681,-2.25059226793127 47.0258470579465,-2.24500904663909 47.0289192799324,-2.23865600224772 47.0311873356496,-2.23177749797186 47.0325639608228,-2.22463819194843 47.0329961850931,-2.2175128176112 47.0324673779352,-2.21067556879681 47.0309978908733,-2.20438950623078 47.0286442708398,-2.1988964011214 47.0254970756014,-2.19440741336671 47.0216773769694,-2.19109496727617 47.0173320887282,-2.18908613844729 47.0126283017875,-2.18845780391254 47.0077468471567)))', 'FRNOI', 'Noirmoutier-en-l''Île', 'Y'),('SRID=4326;MULTIPOLYGON(((3.08409176841694 43.0169800294589,3.08343009826529 43.0121001193376,3.08148403164781 43.0074086738537,3.07832860958181 43.0030859203109,3.07408526288886 42.999297886803,3.06891711993201 42.9961900359941,3.06302272879593 42.9938816916991,3.05662843648836 42.9924614699221,3.04997971659619 42.9919838874208,3.04333177470768 42.9924672760043,3.03693978673721 42.9938930813023,3.03104913835638 42.9962065724631,3.02588603369776 42.9993189360109,3.02164882835636 43.0031106748212,3.01850041581677 43.0074361837259,3.0165619584877 43.0121293284253,3.01590820560803 43.0170098158383,3.01656458186459 43.0218901132276,3.01850616448828 43.0265826516465,3.02165859510894 43.0309070374023,3.02590089832571 43.0346969939114,3.03107010463602 43.0378067657506,3.03696750406995 43.0401167366453,3.04336629163397 43.0415380429562,3.05002030937886 43.0420160028149,3.05667354516562 43.0415322269631,3.06307001713116 43.0401053287292,3.06896365695601 43.0377902053546,3.07412780508765 43.0346759188052,3.07836394707244 43.0308822589649,3.08150935131288 43.0265551234614,3.08344331338682 43.021860894229,3.08409176841694 43.0169800294589)))', 'FRNOU', 'Port-la-Nouvelle', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.51332308148544 47.2165298800866,-1.51416401800525 47.211663870972,-1.51638168716872 47.207003108858,-1.51989055910765 47.2027266249696,-1.52455559497929 47.1989986499363,-1.53019746597578 47.1959623195909,-1.53659945296059 47.1937341938292,-1.54351576037997 47.1923997962069,-1.55068092717265 47.1920103428163,-1.55781997832427 47.1925807838026,-1.5646589345263 47.1940892313154,-1.57093528476904 47.1964777955033,-1.57640802794178 47.199654797203,-1.58086690460985 47.2034982741058,-1.58414046872586 47.2078606482351,-1.58610269039074 47.2125743783205,-1.58667783380251 47.2174583827311,-1.58584341769554 47.2223249885126,-1.58363113692775 47.2269871409879,-1.58012570103328 47.2312655972621,-1.57546162574775 47.2349958264281,-1.56981809363744 47.2380343494821,-1.56341207672747 47.240264272708,-1.55648998409083 47.2415997989022,-1.54931815753618 47.2419895401575,-1.54217258596731 47.2414185025037,-1.53532824136812 47.2399086646285,-1.52904845508326 47.2375181280538,-1.5235747513292 47.234338872221,-1.51911753577935 47.2304932026102,-1.51584800158998 47.2261290310179,-1.51389156514002 47.2214141723615,-1.51332308148544 47.2165298800866)))', 'FRNTE', 'Nantes', 'Y'),('SRID=4326;MULTIPOLYGON(((1.65934249964488 50.7204590827573,1.65872563927441 50.7155779031859,1.65662097593516 50.7108668882816,1.65310978869552 50.7065070059857,1.64832728668621 50.7026656877256,1.64245737120054 50.6994904118469,1.6357255514996 50.697103057605,1.62839028909909 50.6955952434205,1.62073310154831 50.6950248252103,1.61304780048176 50.6954136864579,1.60562926893091 50.6967469029162,1.59876219882546 50.6989733131843,1.59271021093763 50.7020074736776,1.58770576621038 50.7057329245457,1.58394124976695 50.7100066437,1.58156156757458 50.7146645210379,1.58065854175838 50.7195276458369,1.58126732538241 50.7244091686337,1.58336498304105 50.7291214759609,1.58687130221656 50.7334834031176,1.59165181489733 50.7373272073653,1.59752292264862 50.7405050318896,1.60425893469917 50.7428946094266,1.61160075128679 50.7444039830791,1.61926585704612 50.7449750595148,1.62695923486584 50.7445858550413,1.63438477210058 50.7432513461588,1.64125671026805 50.7410228910283,1.64731068747818 50.7379862445466,1.65231393993308 50.7342582450334,1.65607426402361 50.7299823025853,1.65844739203099 50.7253228657811,1.65934249964488 50.7204590827573)))', 'FRNUO', 'Nord-Boulogne', 'Y'),('SRID=4326;MULTIPOLYGON(((1.08858098122756 49.8006429757826,1.08803155751595 49.7957588633851,1.08602096150446 49.7910379574061,1.08262684187765 49.7866616115565,1.07797990231597 49.7827978959844,1.07225883773301 49.7795951552446,1.06568344966248 49.777176328167,1.05850620798011 49.7756342447686,1.05100258190671 49.7750280777044,1.04346050680041 49.7753810817681,1.03616938349484 49.7766797062767,1.02940902315404 49.778874113531,1.02343895243218 49.7818800837746,1.01848848111761 49.7855822349966,1.01474790770727 49.7898384363744,1.01236119814401 49.7944852488745,1.01142042027542 49.7993441871839,1.01196215289055 49.8042285652128,1.01396601533733 49.8089506641761,1.01735538405472 49.8133289487422,1.02200027864552 49.8171950536111,1.02772231552562 49.8204002704797,1.03430154513924 49.8228212835497,1.04148491277122 49.8243649300062,1.0489960165801 49.8249717992327,1.05654578278907 49.8246185295373,1.06384363966253 49.8233187120432,1.07060875091107 49.821122366071,1.07658086659824 49.8181140065298,1.08153036560947 49.8144093791794,1.08526709747353 49.8101509918105,1.08764768108887 49.8055026162536,1.08858098122756 49.8006429757826)))', 'FROI2', 'Omonville', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.4802549394049 47.2998392463046,-2.48100870246763 47.2949659225738,-2.48314519673991 47.2902862450029,-2.4865820025449 47.285979976372,-2.49118683806568 47.2822124947636,-2.49678267429643 47.2791284548351,-2.50315454837549 47.2768462482189,-2.51005781194989 47.2754534729891,-2.51722749951909 47.2750035833899,-2.52438846181048 47.2755138461421,-2.53126588221456 47.2769646802747,-2.53759578083712 47.2793004053384,-2.54313511114085 47.2824313698965,-2.54767106844362 47.2862373802002,-2.55102925736707 47.2905722997974,-2.55308040598665 47.2952696462519,-2.55374536683674 47.3001489728134,-2.5529982075788 47.3050227922564,-2.55086726512043 47.3097037784351,-2.54743411392549 47.3140119693462,-2.54283047942923 47.3177816942575,-2.53723320779132 47.3208679569893,-2.53085748040019 47.3231520275074,-2.52394853224023 47.3245460239752,-2.51677219423905 47.324996306226,-2.50960462813828 47.3244855477611,-2.50272165591851 47.3230334050196,-2.49638810268797 47.3206957576746,-2.49084757136444 47.3175625498131,-2.48631304947341 47.3137543167066,-2.48295871386382 47.3094175332087,-2.48091324982773 47.3047189655172,-2.4802549394049 47.2998392463046)))', 'FROII', 'Le Croisic', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.04245536061935 48.4506727251284,-5.0429812473973 48.4457872759385,-5.04492941591058 48.4410639317579,-5.0482246429947 48.4366841440983,-5.05274004306797 48.4328161211683,-5.05830198248367 48.4296083796551,-5.0646967686978 48.4271840569744,-5.07167885471786 48.4256361995766,-5.07898024472751 48.425024205285,-5.08632074409412 48.4253715536469,-5.09341866727963 48.4266649095566,-5.10000160121989 48.4288546337007,-5.10581681988122 48.4318566805125,-5.11064095797677 48.4355558121588,-5.11428857792487 48.4398100074437,-5.11661930340766 48.4444558991722,-5.11754324431805 48.449315034121,-5.11702450004004 48.4542007178108,-5.11508259903352 48.4589251830401,-5.11179181029253 48.4633068076281,-5.10727834370091 48.4671771037105,-5.10171553854929 48.4703872085336,-5.09531721918094 48.4728136248891,-5.08832947047845 48.4743629875833,-5.08102115035052 48.4749756696249,-5.07367350847854 48.4746280867628,-5.06656931778343 48.4733336098032,-5.05998194550148 48.4711420487296,-5.05416479336335 48.4681377287646,-5.04934152100916 48.4644362338087,-5.04569743421811 48.4601799448501,-5.04337237141632 48.4555325478265,-5.04245536061935 48.4506727251284)))', 'FROS2', 'Ouessant', 'Y'),('SRID=4326;MULTIPOLYGON(((1.65592726197982 50.2174568829175,1.65531626613505 50.21257532684,1.65323318780241 50.2078640304572,1.64975846543489 50.2035039739122,1.64502589917023 50.1996625974479,1.63921746823976 50.1964873841789,1.63255632109784 50.1941002135139,1.62529821012402 50.1925926990164,1.61772169848214 50.1920226865891,1.61011751011193 50.192412044701,1.60277742378104 50.1937458295795,1.59598312793048 50.1959728566027,1.58999545435277 50.1990076563708,1.5850443955287 50.2027337419372,1.58132028302406 50.2070080642612,1.57896646336501 50.2116664878575,1.57807375430078 50.2165300795013,1.57867689977512 50.2214119712022,1.58075316816421 50.2261245357434,1.58422315776657 50.2304865999165,1.58895378896549 50.2343304178355,1.59476337712713 50.2375081346969,1.60142859762058 50.2398974899425,1.6086930779361 50.241406537426,1.61627728523489 50.2419771978611,1.62388932398193 50.2415875041254,1.63123622025948 50.2402524510872,1.6380352488732 50.2380234164345,1.64402485751071 50.2349861752109,1.64897475909721 50.2312575860526,1.65269479824722 50.2269810791492,1.65504224856656 50.2223211225684,1.65592726197982 50.2174568829175)))', 'FROTY', 'Le Crotoy', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.964189190871515 45.9323674044779,-0.965055625813085 45.9275048516225,-0.967264540452723 45.9228536448168,-0.970730766030329 45.9185924487619,-0.975320921807548 45.914884909736,-0.980858567439898 45.911873383369,-0.987130989967372 45.9096734827021,-0.993897363647461 45.9083696532071,-1.00089797129132 45.9080119420915,-1.00786413781935 45.9086140838492,-1.01452850145878 45.910152974292,-1.02063523602551 45.9125695529979,-1.02594983937761 45.915771061085,-1.03026811837069 45.9196345893462,-1.03342402911267 45.924011782895,-1.0352960722734 45.9287345243605,-1.0358119955337 45.9336213799637,-1.03495161742934 45.9384845629785,-1.03274765690878 45.9431371483456,-1.02928452851265 45.9474002614904,-1.02469514146103 45.9511099642755,-1.01915581906597 45.9541235716583,-1.01287952955856 45.9563251537817,-1.00610768739371 45.9576300091871,-0.999100842287959 45.9579879344813,-0.992128618918881 45.9573851625637,-0.985459301159217 45.9558448935585,-0.979349469413213 45.9534263977617,-0.974034097339788 45.9502227259151,-0.969717495113262 45.9463571166386,-0.96656545135238 45.9419782416344,-0.964698876674205 45.9372544742594,-0.964189190871515 45.9323674044779)))', 'FROUB', 'Soubise', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.211847487501355 49.2820850065388,-0.212855185785695 49.2772334456716,-0.215289817967836 49.2726036776501,-0.219057492185423 49.2683735302736,-0.224013218107593 49.2647054410224,-0.22996650924795 49.261740233662,-0.236688709336565 49.2595917275775,-0.243921760315497 49.2583423837936,-0.251388077938934 49.2580401519641,-0.258801161760095 49.258696637091,-0.265876540475774 49.2602866550044,-0.272342641808906 49.2627491934667,-0.2779511786298 49.2659897429827,-0.282486659807797 49.2698839098401,-0.285774664969256 49.2742821753971,-0.287688566176557 49.2790156219196,-0.288154435400163 49.2839024079776,-0.287153942962063 49.2887547469987,-0.284725126854815 49.2933861222534,-0.280960993496372 49.2976184612564,-0.276005994153181 49.3012889928721,-0.27005050469528 49.3042565215074,-0.263323516065404 49.3064068743837,-0.256083815333213 49.307657309319,-0.248609999109885 49.3079597105413,-0.241189709437354 49.3073024472598,-0.234108514645485 49.3057108221117,-0.227638872456502 49.3032460920218,-0.222029609062589 49.300003100141,-0.217496326207268 49.2961066120095,-0.214213109588367 49.2917064996619,-0.21230585813103 49.2869719619892,-0.211847487501355 49.2820850065388)))', 'FROUI', 'Ouistreham', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.584598949667222 45.2992564068949,-0.585486139928512 45.2943966987654,-0.587699267670837 45.2897524864587,-0.591153014484552 45.2855021657023,-0.595714489234569 45.281808966037,-0.601208360091676 45.2788146944246,-0.607423597966262 45.2766343040291,-0.614121571386407 45.2753514941063,-0.621045184013302 45.2750155074453,-0.627928708654471 45.2756392463235,-0.634507946844434 45.2771987781183,-0.640530331471775 45.2796342493587,-0.645764591849257 45.2828521739468,-0.650009616016824 45.2867290094187,-0.653102173556086 45.2911158862874,-0.654923203037233 45.2958443115018,-0.655402420287549 45.3007326295007,-0.654521065430046 45.3055929947089,-0.652312676139088 45.3102385888162,-0.648861849438267 45.3144908057288,-0.644301031901486 45.3181861272332,-0.638805455302316 45.3211824233372,-0.632586408413359 45.323364432666,-0.625883102594233 45.3246482094957,-0.618953445993619 45.3249843638343,-0.612064085945086 45.3243599678768,-0.605480109302761 45.3227990542802,-0.599454804564695 45.3203616868828,-0.594219886978042 45.3171416404552,-0.589976568556114 45.3132627804924,-0.586887820032216 45.3088742846914,-0.585072122947882 45.304144892571,-0.584598949667222 45.2992564068949)))', 'FRP9S', 'Portes Neuves', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.46233259059441 48.6004845668088,-4.46291559844813 48.5956013491059,-4.4649233870493 48.5908873794379,-4.46827844354984 48.5865237455266,-4.47285158803941 48.5826780320191,-4.47846697532179 48.5794978966546,-4.48490886792426 48.5771054157668,-4.4919299177573 48.5755924133968,-4.49926063956128 48.5750169504153,-4.50661971695141 48.5754011058716,-4.51372475260955 48.5767301339235,-4.52030305868823 48.5789530279277,-4.52610208214688 48.5819844704035,-4.5308990725557 48.585708095475,-4.53450962656566 48.5899809408791,-4.53679478309483 48.5946389214616,-4.53766639528593 48.5995031169282,-4.53709056800409 48.6043866349454,-4.53508902118958 48.6091017877923,-4.53173831743562 48.613467307619,-4.52716697398601 48.6173153226652,-4.52155056184383 48.6204978248035,-4.51510497450627 48.6228923773801,-4.50807812255217 48.624406840958,-4.50074037456186 48.6249829322105,-4.49337411659441 48.6245984764394,-4.48626283914692 48.6232682652075,-4.47968018032331 48.6210434852866,-4.47387935582975 48.6180097412715,-4.46908339028617 48.6142837494265,-4.46547653101399 48.6100088323348,-4.46319717660422 48.6053493905457,-4.46233259059441 48.6004845668088)))', 'FRPA2', 'Plouguerneau', 'Y'),('SRID=4326;MULTIPOLYGON(((3.96437457593848 43.5297152104257,3.96363639883806 43.5248415158547,3.96160592974734 43.520166221766,3.95836145409522 43.5158689294508,3.9540278207796 43.5121146840918,3.9487716191929 43.5090476469927,3.94279476971214 43.5067855726093,3.93632677509209 43.505415300035,3.92961592883512 43.504989429666,3.92291981413219 43.5055243106623,3.91649545231767 43.5069994152077,3.91058947226856 43.5093581232283,3.90542867147119 43.5125098880429,3.90121132558967 43.5163337012674,3.89809957665938 43.5206827260534,3.89621319121654 43.5253899231924,3.89562492985667 43.5302744564231,3.89635771037918 43.5351486329095,3.89838367970955 43.5398251135429,3.90162523746632 43.5441241163916,3.90595797897506 43.5478803358598,3.91121545061359 43.5509493101039,3.91719553865172 43.553212989755,3.92366824729393 43.5545842913321,3.93038456537035 43.5550104577826,3.9370860766544 43.5544750948705,3.94351493823045 43.5529988037795,3.94942383617335 43.5506383852245,3.95458552877421 43.5474846463003,3.95880160460068 43.5436588959313,3.96191011497244 43.5393082658785,3.96379178639469 43.5346000397375,3.96437457593848 43.5297152104257)))', 'FRPAF', 'Palavas-les-Flots', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.01219538703685 48.7670102005756,-3.01292054151311 48.7621346488952,-3.01507023100176 48.7574462729439,-3.01856149797955 48.7531251686834,-3.02325994372478 48.7493372804194,-3.02898492825963 48.7462280409097,-3.03551652450563 48.7439168027933,-3.04260395758187 48.7424922722506,-3.04997520683433 48.7420091172964,-3.05734740693639 48.7424858784392,-3.06443765631525 48.7439042602576,-3.07097382692676 48.7462098305003,-3.07670496935554 48.7493141004462,-3.08141092136112 48.7530979083094,-3.08491075598813 48.7574159782629,-3.08706974652456 48.7621024829604,-3.08780457885677 48.76697739888,-3.0870866056489 48.7718534128954,-3.08494300933918 48.7765431164382,-3.08145581982008 48.7808662114332,-3.0767588150567 48.7846564505036,-3.07103241564927 48.7877680430028,-3.06449676407662 48.7900812780705,-3.05740325260591 48.7915071455081,-3.05002482727208 48.7919907737705,-3.04264544589626 48.7915135502922,-3.03554910333623 48.790093840881,-3.02900885526823 48.7877862799027,-3.02327627186296 48.7846796591497,-3.01857173473533 48.7808934982975,-3.0150759554372 48.776573431394,-3.01292304329304 48.7718855898029,-3.01219538703685 48.7670102005756)))', 'FRPAI', 'Paimpol', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.714657729914992 45.1992979142144,-0.715531968423221 45.1944368678532,-0.717730389135538 45.1897897739131,-0.721168239217456 45.1855351397264,-0.725713237873504 45.1818363613426,-0.731190685009916 45.1788354606232,-0.737390180609251 45.1766476456876,-0.744073695750261 45.175356900973,-0.750984687334685 45.1750127737392,-0.757857911201584 45.1756284783918,-0.764429563447253 45.1771803902073,-0.770447368085686 45.1796089476813,-0.775680230991692 45.1828209296621,-0.779927095334775 45.1866930215424,-0.783024662058922 45.1910765359249,-0.78485367965155 45.1958031091142,-0.785343559349312 45.2006911571797,-0.784475133518452 45.205552845629,-0.782281444276041 45.2102013061534,-0.778846524133385 45.2144578233707,-0.7743022078288 45.2181587145571,-0.768823091573363 45.2211616361962,-0.762619829491977 45.223351072502,-0.755931023918421 45.2246427921978,-0.749014023371813 45.2249870995918,-0.742134986823984 45.2243707528506,-0.735558603107389 45.2228174744498,-0.729537868531814 45.2203870339443,-0.724304323278361 45.2171729391606,-0.720059128057868 45.2132988263611,-0.716965327816791 45.2089136906095,-0.715141600654588 45.2041861424399,-0.714657729914992 45.1992979142144)))', 'FRPAP', 'Pauillac', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.31215613548202 48.8201086857497,-3.31285295588417 48.8152313597148,-3.31497691819153 48.8105374951038,-3.31844605003911 48.8062074002564,-3.32312679889887 48.8024073658382,-3.32883920018004 48.7992832915085,-3.33536380614318 48.7969550993871,-3.34245010741937 48.7955121459234,-3.3498261253094 48.7950098053914,-3.35720881150511 48.795467353671,-3.36431486350584 48.7968672318551,-3.37087154949012 48.7991557173234,-3.37662713608626 48.8022449770536,-3.3813605263718 48.8060164259577,-3.38488974318997 48.8103252637657,-3.38707893382207 48.8150060191794,-3.38784362513646 48.8198788913419,-3.3871540220701 48.8247566475899,-3.38503621476937 48.829451814231,-3.38157123855584 48.8337838847036,-3.37689201329946 48.8375862675713,-3.37117827163504 48.8407127056446,-3.36464966536206 48.8430429169451,-3.35755731285981 48.8444872376217,-3.35017411407229 48.8449900852541,-3.34278421053537 48.8445321067609,-3.33567200352564 48.8431309265454,-3.32911116190943 48.8408404654506,-3.32335405171524 48.8377488572705,-3.31862200181838 48.8339750446232,-3.31509678531242 48.8296641876372,-3.31291364590426 48.824982065012,-3.31215613548202 48.8201086857497)))', 'FRPB2', 'Port-Blanc', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.66177411980663 49.3325636661273,-1.66264065968259 49.3276985065231,-1.66494242796927 49.3230372785798,-1.66859062393527 49.3187590263257,-1.67344482856826 49.3150280403258,-1.67931843428383 49.3119875623998,-1.68598582565363 49.3097543018863,-1.69319103379567 49.3084139710086,-1.70065753428129 49.3080180078153,-1.70809881793541 49.3085816100862,-1.7152293367741 49.3100831541519,-1.72177541419845 49.3124650205283,-1.7274857097568 49.3156357954459,-1.73214084428135 49.3194737656031,-1.73556182064441 49.3238315745985,-1.73761691805611 49.3285418652761,-1.73822679263759 49.3334236942615,-1.73736758242602 49.3382894747581,-1.73507188901865 49.3429521824436,-1.73142758830195 49.3472325480127,-1.72657450627127 49.3509659591673,-1.72069907960373 49.3540088048803,-1.7140272009499 49.3562440153387,-1.70681552233972 49.3575855814575,-1.69934155327255 49.3579818771335,-1.6918929399486 49.3574176539695,-1.68475634622875 49.3559146301602,-1.67820637355791 49.3535306504677,-1.67249495540308 49.3503574503948,-1.66784164183596 49.3465171124513,-1.66442515275878 49.3421573535124,-1.66237652581241 49.337445827595,-1.66177411980663 49.3325636661273)))', 'FRPBA', 'Portbail', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.2625360496514 48.3204173905694,-4.26313555658165 48.3155348192064,-4.26515138968182 48.310824049419,-4.26850573386864 48.3064660455803,-4.27306944272026 48.3026281763108,-4.27866703803724 48.2994577988959,-4.28508346808283 48.2970766161833,-4.29207236258823 48.2955760198184,-4.29936546872847 48.295013595713,-4.30668291030393 48.2954109233729,-4.31374388340124 48.2967527517921,-4.32027738657107 48.2989875827993,-4.32603258240499 48.302029639852,-4.3307884003384 48.3057621481701,-4.33436201723485 48.3100418026078,-4.33661589215524 48.314704254556,-4.33746308364063 48.3195704100884,-4.33687064039328 48.3244533000098,-4.33486092754386 48.3291652596954,-4.33151082842351 48.3335251436212,-4.32694884318083 48.3373652969408,-4.32135018761035 48.3405380146427,-4.31493007486164 48.342921237592,-4.30793543586114 48.3444232635353,-4.30063539798148 48.3449862889202,-4.29331089271783 48.3445886427015,-4.28624379936722 48.3432456243828,-4.2797060511326 48.3410089132873,-4.27394913169468 48.337964572184,-4.26919437402007 48.3342297235792,-4.26562443982928 48.329948028906,-4.2633763094023 48.3252841473806,-4.2625360496514 48.3204173905694)))', 'FRPBC', 'Pors Beach', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99627079765604 47.2826841627105,-1.99706869157973 47.2778143519788,-1.9992469957849 47.2731440089712,-2.00272168807791 47.2688525353415,-2.00735903662644 47.2651047390715,-2.01298076972943 47.2620445178846,-2.01937093587828 47.2597893488012,-2.0262841891191 47.2584257926415,-2.03345518339259 47.2580061833437,-2.04060872002795 47.2585466269337,-2.04747026595248 47.2600263855105,-2.05377644712466 47.2623886694801,-2.05928512252958 47.2655428083038,-2.0637846587778 47.2693677181021,-2.06710205356839 47.2737165354032,-2.06910959730186 47.2784222419104,-2.06972981486418 47.2833040670346,-2.06893849254075 47.288174424569,-2.06676566621967 47.292846118498,-2.06329452413673 47.2971395415026,-2.05865825763648 47.3008895888266,-2.05303497368689 47.303952020044,-2.04664085989793 47.3062090216773,-2.03972186321556 47.307573753917,-2.03254420408646 47.307993703777,-2.02538409584631 47.3074527133839,-2.01851707203607 47.3059716038845,-2.01220734065602 47.3036073705389,-2.00669758320758 47.3004509806608,-2.00219959781048 47.2966238608326,-1.99888615066163 47.2922732109826,-1.9968843503675 47.2875663283966,-1.99627079765604 47.2826841627105)))', 'FRPBF', 'Paimboeuf', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.13227548586427 48.6703770142421,-4.13289107302006 48.6654952859147,-4.13493237007694 48.6607868802252,-4.13832057769774 48.65643266911,-4.14292524505806 48.6525998735972,-4.14856931999563 48.6494356541758,-4.1550359677269 48.6470614755309,-4.16207689389477 48.6455684591626,-4.16942185361189 48.6450138993846,-4.17678898605902 48.6454190739039,-4.18389558518633 48.6467684312483,-4.19046890185717 48.6490101854951,-4.19625657172225 48.6520582958833,-4.2010362762343 48.6557957568216,-4.20462427119335 48.6600790743546,-4.20688245738286 48.6647437600901,-4.20772372017696 48.6696106345664,-4.20711532801382 48.6744927005403,-4.20508025145132 48.6792023239673,-4.20169634281332 48.6835584475216,-4.19709339844267 48.6873935590241,-4.19144820819097 48.6905601453973,-4.18497777663706 48.6929363816092,-4.17793097419016 48.6944308329134,-4.17057894034822 48.69498598654,-4.16320461290298 48.6945804743738,-4.1560917932787 48.6932298992907,-4.14951417762684 48.6909862326035,-4.14372478477723 48.687935806225,-4.13894619558476 48.6841959783353,-4.13536198445096 48.6799106032365,-4.13310967453868 48.6752444825663,-4.13227548586427 48.6703770142421)))', 'FRPBP', 'Port du Bloscon', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.09513300126071 48.8500374626723,-3.09585130009051 48.8451614647906,-3.09799679596258 48.840471613238,-3.10148669022783 48.8361480609001,-3.10618663481143 48.8323568461224,-3.11191593052869 48.8292435292101,-3.11845448375949 48.8269276189997,-3.12555125227752 48.8254980005922,-3.13293385755194 48.8250095368649,-3.14031899946711 48.8254809717431,-3.14742328121231 48.8268942140496,-3.15397403776811 48.8291950288228,-3.1597197612959 48.8322951101288,-3.16443973082383 48.8360754574358,-3.16795248158341 48.840390928398,-3.17012279050237 48.8450757961723,-3.17086690763371 48.8499501008051,-3.17015582721614 48.8548265532596,-3.16801646468963 48.8595177285609,-3.16453068495752 48.8638432722949,-3.15983220969376 48.8676368429445,-3.15410151439128 48.8707525215443,-3.14755890574316 48.8730704397123,-3.14045604337575 48.8745014066538,-3.13306623355371 48.8749903541893,-3.12567387322089 48.8745184647378,-3.11856345812784 48.8731038986813,-3.1120085870411 48.8708010925107,-3.10626139419884 48.8676986553323,-3.10154282426156 48.8639159463383,-3.09803412892158 48.8595984674198,-3.09586991384981 48.8549122511127,-3.09513300126071 48.8500374626723)))', 'FRPBY', 'Pleubian', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.46233259059441 48.6004845668088,-4.46291559844813 48.5956013491059,-4.4649233870493 48.5908873794379,-4.46827844354984 48.5865237455266,-4.47285158803941 48.5826780320191,-4.47846697532179 48.5794978966546,-4.48490886792426 48.5771054157668,-4.4919299177573 48.5755924133968,-4.49926063956128 48.5750169504153,-4.50661971695141 48.5754011058716,-4.51372475260955 48.5767301339235,-4.52030305868823 48.5789530279277,-4.52610208214688 48.5819844704035,-4.5308990725557 48.585708095475,-4.53450962656566 48.5899809408791,-4.53679478309483 48.5946389214616,-4.53766639528593 48.5995031169282,-4.53709056800409 48.6043866349454,-4.53508902118958 48.6091017877923,-4.53173831743562 48.613467307619,-4.52716697398601 48.6173153226652,-4.52155056184383 48.6204978248035,-4.51510497450627 48.6228923773801,-4.50807812255217 48.624406840958,-4.50074037456186 48.6249829322105,-4.49337411659441 48.6245984764394,-4.48626283914692 48.6232682652075,-4.47968018032331 48.6210434852866,-4.47387935582975 48.6180097412715,-4.46908339028617 48.6142837494265,-4.46547653101399 48.6100088323348,-4.46319717660422 48.6053493905457,-4.46233259059441 48.6004845668088)))', 'FRPCV', 'Porscave', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.54290402668447 47.8001814435752,-3.54356595658491 47.7953019934357,-3.54562765772225 47.7906032843725,-3.54900956751697 47.7862658147528,-3.55358149534945 47.7824561634572,-3.55916765994914 47.7793206047393,-3.56555345734218 47.7769795065345,-3.57249369736346 47.7755227245154,-3.57972199384326 47.7750061659106,-3.58696095252825 47.7754496525711,-3.5939327726769 47.7768361636615,-3.60036986378259 47.7791124864063,-3.60602507837069 47.7821912503915,-3.6106811752974 47.7859542688523,-3.61415915511876 47.7902570610129,-3.61632514921781 47.7949343846438,-3.61709559641721 47.7998065692259,-3.61644050329685 47.8046864089302,-3.61438465548217 47.8093863523033,-3.61100672443786 47.8137257130657,-3.60643629505445 47.8175376244279,-3.60084892047616 47.8206754680614,-3.59445938888406 47.8230185281734,-3.58751345894072 47.8244766504081,-3.58027838305534 47.8249937235013,-3.57303258758532 47.8245498472755,-3.5660549141118 47.823162101874,-3.55961384425754 47.8208838879853,-3.55395713122517 47.8178028639332,-3.54930224428201 47.8140375605571,-3.54582799866192 47.8097328064905,-3.54366769448308 47.8050541426451,-3.54290402668447 47.8001814435752)))', 'FRPD3', 'Le Pouldu', 'Y'),('SRID=4326;MULTIPOLYGON(((5.01728466131706 43.3994001397338,5.01646410609839 43.3945347232901,5.01435790640168 43.3898794898686,5.01104724887866 43.3856132652337,5.00665951406598 43.381899897941,5.00136335790084 43.3788819779637,4.99536222470176 43.3766753741705,4.98888654174238 43.3753647979748,4.98218489341127 43.3750005611533,4.97551450966772 43.3755966504241,4.96913142803434 43.3771301915675,4.96328070004257 43.3795423234336,4.95818701154549 43.3827404490151,4.95404607166274 43.3866017787307,4.95101709769862 43.390978032048,4.94921668391658 43.3957011193635,4.94871429167674 43.4005895882854,4.94952953866319 43.4054555886233,4.95163139765559 43.4101120896662,4.95493934283491 43.414380072666,4.95932640659462 43.4180954213724,4.96462403515998 43.4211152441598,4.97062856005355 43.4233233824739,4.97710903764716 43.424634891284,4.98381615361225 43.4249993168314,4.9904918455911 43.424402643666,4.9968792679297 43.4228678349003,5.00273270826342 43.4204539446685,5.00782706781007 43.417253837673,5.01196653528954 43.4133906051479,5.01499211755823 43.4090128173106,5.0167877367078 43.4042887973815,5.01728466131706 43.3994001397338)))', 'FRPDB', 'Port-de-Bouc', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.03117678433639 45.9493882243223,-1.03203769215517 45.944525086582,-1.03424177051654 45.9398725178307,-1.03770403572302 45.9356092353862,-1.04229125830622 45.9318989658455,-1.04782710972649 45.9288841697519,-1.05409894520605 45.9266805856262,-1.06086596105845 45.9253728001896,-1.06786841525349 45.9250110122876,-1.07483756195213 45.9256091126716,-1.08150592539255 45.9271441520885,-1.08761752647101 45.929557217831,-1.09293767695191 45.9327556858777,-1.09726197143444 45.9366167638661,-1.10042413562487 45.9409921912461,-1.10230243038318 45.945713918823,-1.10282436331044 45.950600552168,-1.10196952179348 45.9554643135077,-1.09977041147568 45.9601182559319,-1.09631125971521 45.9643834529937,-1.09172482198602 45.9680958866131,-1.08618730733994 45.9711127667856,-1.07991161376495 45.9733180377082,-1.07313913230733 45.9746268558598,-1.06613043708658 45.9749888651733,-1.05915522408226 45.9743901411893,-1.05248189259707 45.9728537280984,-1.04636717807481 45.9704387477376,-1.04104624274418 45.9672381156119,-1.03672361149132 45.9633749535451,-1.03356530539749 45.9589978393693,-1.03169247624222 45.9542750790784,-1.03117678433639 45.9493882243223)))', 'FRPDH', 'Port-des-Barques', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.5647540217013 45.0492534437712,-0.565638122505175 45.0443936491402,-0.567842324847986 45.0397494658793,-0.571281656997423 45.0354992891411,-0.575823784174108 45.0318063437801,-0.581294118837567 45.0288124280112,-0.587482535401241 45.0266324823715,-0.594151430539317 45.025350189935,-0.601044821583842 45.0250147742389,-0.607898138316189 45.0256391158812,-0.614448338757797 45.0271992589261,-0.620443968020204 45.0296353258736,-0.625654781192527 45.0328538068869,-0.629880566592403 45.0367311370937,-0.632958834103775 45.0411184269461,-0.634771074028709 45.0458471666098,-0.635247343762998 45.0507356878025,-0.63436900113265 45.0555961368757,-0.632169472451983 45.0602416924446,-0.62873301793082 45.0644937504355,-0.624191534255261 45.0681887995903,-0.618719510997705 45.0711847214106,-0.612527330817098 45.0733662699563,-0.605853170015605 45.0746495181249,-0.59895381291116 45.0749850968776,-0.59209473800179 45.0743601007926,-0.585539863897071 45.0727985854387,-0.579541357008513 45.0703606372377,-0.574329900339038 45.0671400524303,-0.570105803536752 45.0632607161726,-0.567031299643282 45.0588718234153,-0.565224325379641 45.0541421280204,-0.5647540217013 45.0492534437712)))', 'FRPDW', 'Le Pain de Sucre', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99217059135095 48.8000036379806,-2.99289816112646 48.7951282404999,-2.99505112451999 48.7904402651339,-2.99854639773388 48.7861197922556,-3.00324942792128 48.7823327417042,-3.00897939907663 48.7792245138637,-3.01551619293274 48.7769144223642,-3.02260883553859 48.7754911292607,-3.02998510683683 48.7750092550311,-3.03736194930631 48.7754872910602,-3.04445628365308 48.7769068930888,-3.05099582531124 48.7792135821675,-3.05672949548805 48.7823188267821,-3.06143703465593 48.7861034278714,-3.06493745442351 48.7904220792568,-3.06709600492182 48.7951089313099,-3.06782938815094 48.7999839471433,-3.06710901166134 48.8048598096978,-3.06496214956297 48.8095491160698,-3.06147095678708 48.813871583253,-3.05676936497035 48.8176609877937,-3.05103797113828 48.8207715709344,-3.04449711014653 48.8230836604718,-3.03739837513017 48.8245082901675,-3.0300149136613 48.8249906360592,-3.02263087790053 48.8245121349559,-3.01553044225636 48.82309120192,-3.00898682016241 48.8207825185351,-3.0032517116203 48.8176749199307,-2.99854559513452 48.8138879635418,-2.99504924250482 48.8095673141197,-2.99289678441481 48.8048791254757,-2.99217059135095 48.8000036379806)))', 'FRPE3', 'Pors-Even', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.0949064055047 44.7794197831863,-1.09574103709265 44.7745548486831,-1.09789183600285 44.7698993326481,-1.10127588244631 44.7656320689092,-1.10576296281743 44.761916941498,-1.11118059898768 44.758896602592,-1.11732068287146 44.7566870084285,-1.12394746036791 44.7553729804458,-1.13080655993475 44.7550049596164,-1.13763472359336 44.7555970765858,-1.14416987313548 44.7571266104874,-1.15016113236897 44.7595348569519,-1.15537842772204 44.762729372732,-1.1596213043944 44.7665875124013,-1.16272662312939 44.7709611236127,-1.16457484284724 44.7756822232009,-1.16509464571178 44.7805694386287,-1.16426572218142 44.7854349693781,-1.16211960229063 44.7900918020901,-1.15873849349034 44.794360902485,-1.15425216215619 44.7980781069171,-1.14883297238179 44.8011004470014,-1.14268926877413 44.8033116618393,-1.13605735650397 44.8046266832592,-1.12919238883679 44.8049949190466,-1.12235851711711 44.8044022058306,-1.11581868855451 44.8028713552509,-1.1098244916798 44.8004612721295,-1.1046064472936 44.7972646793282,-1.10036512422887 44.7934045384812,-1.09726342521884 44.7890293065964,-1.09542034027273 44.7843072135718,-1.0949064055047 44.7794197831863)))', 'FRPF2', 'Port le Four', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.864529686213364 45.3993420676137,-0.865394865097448 45.3944798521948,-0.867589495211487 45.3898299395628,-0.871028965356107 45.3855709455723,-0.875580929024752 45.3818664335359,-0.881070416115891 45.378858644935,-0.887286563039514 45.3766630515349,-0.893990701685181 45.3753639354738,-0.900925498603702 45.3750111645116,-0.907824798159954 45.3756182842208,-0.914423798371248 45.3771619991373,-0.920469176316755 45.3795830625552,-0.925728781701274 45.3827885415939,-0.930000532351586 45.3866553722699,-0.933120173740785 45.3910350704214,-0.934967605338 45.3957594202307,-0.935471528546749 45.4006469244184,-0.934612232696179 45.4055097704025,-0.932422405040366 45.4101610460485,-0.928985925648189 45.4144219279955,-0.924434685710794 45.4181285655069,-0.918943545147307 45.421138393517,-0.912723619273122 45.4233356297789,-0.906014151509413 45.4246357420433,-0.899073286615743 45.4249887108871,-0.892168104022329 45.4243809606122,-0.885564301351732 45.4228358826807,-0.879515932655904 45.4204129313054,-0.874255603544216 45.4172053267914,-0.869985506369899 45.4133364567067,-0.866869643932341 45.4089551156945,-0.865027541451045 45.4042297696828,-0.864529686213364 45.3993420676137)))', 'FRPG5', 'Port de Goulée', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.19213317137347 48.850069320156,-3.1928420513141 48.8451927309874,-3.19497848722114 48.8405010872055,-3.19846002780052 48.8361746110861,-3.20315264478286 48.8323794536794,-3.20887591913542 48.829261326927,-3.21540998719006 48.8269399243872,-3.22250397785496 48.8255043418876,-3.22988561852617 48.8250096709905,-3.23727164586162 48.8254748935543,-3.24437862930244 48.8268821565311,-3.25093380081411 48.8291774542258,-3.25668548411207 48.8322726923765,-3.26141273063603 48.8360490564463,-3.26493379741369 48.8403615572794,-3.26711314302483 48.8450445825126,-3.26786667107665 48.8499182435119,-3.26716501445132 48.8547952765804,-3.265034726162 48.8594882350383,-3.26155732158419 48.8638166964628,-3.25686619931806 48.8676142075591,-3.25114155083819 48.8707346980579,-3.24460344900998 48.8730581145417,-3.23750337903018 48.874495054578,-3.23011453902382 48.8749902199316,-3.22272128836764 48.8745245534675,-3.21560815730679 48.8731159758134,-3.2090488497957 48.8708186928123,-3.20329567178689 48.8677211009715,-3.19856979939568 48.8639423731558,-3.19505276639391 48.85962785838,-3.19287950009551 48.8549434756112,-3.19213317137347 48.850069320156)))', 'FRPGC', 'Plougrescant', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.41215882123714 48.8171415071032,-3.41284589754031 48.8122636018339,-3.41496039067456 48.8075679195285,-3.41842069139876 48.8032348389211,-3.42309358534732 48.7994307657903,-3.42879940831991 48.7963017551463,-3.435318963875 48.7939679187062,-3.44240193542019 48.7925188294921,-3.44977647130145 48.7920100970552,-3.45715957978096 48.792461242293,-3.46426794233757 48.7938549517355,-3.47082873912266 48.7961377392823,-3.47659007999742 48.7992219905061,-3.48133064837338 48.8029893126463,-3.48486819274765 48.8072950641233,-3.48706654168968 48.811973892579,-3.48784087103848 48.8168460717247,-3.48716101573366 48.8217243961494,-3.48505269111559 48.8264213709557,-3.48159656732527 48.830756420638,-3.4769252228275 48.8345628396443,-3.47121808593163 48.8376942158261,-3.46469455311092 48.8400300773346,-3.45760554645989 48.8414805428492,-3.45022383642316 48.841989793289,-3.44283350693986 48.8415382288953,-3.43571897586467 48.8401432269507,-3.42915400214778 48.8378584703278,-3.42339111182754 48.8347718732279,-3.41865185738031 48.8310021855504,-3.41511829027405 48.8266944090061,-3.41292597643579 48.8220142042512,-3.41215882123714 48.8171415071032)))', 'FRPGR', 'Perros-Guirec', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.21297358101941 47.7000746929557,-3.21366511140542 47.6951970223425,-3.21575259329368 47.6905041241198,-3.21915547774286 47.686176271876,-3.22374277320831 47.6823796741199,-3.22933811293154 47.6792601034926,-3.23572654461592 47.6769373143474,-3.24266277967634 47.6755004602589,-3.24988058678143 47.675004684593,-3.25710297368372 47.6754690126309,-3.26405277353258 47.6768756245521,-3.27046323768557 47.6791705365905,-3.27608823681536 47.6822656647409,-3.28071168585793 47.68604219335,-3.28415583572662 47.6903551216272,-3.28628811504051 47.6950388163108,-3.28702625731691 47.6999133600886,-3.2863415116804 47.7047914543589,-3.2842598062379 47.7094856128027,-3.28086081051968 47.7138153699745,-3.27627492404593 47.7176142273578,-3.2706782990679 47.7207360683037,-3.26428608354954 47.7230607928236,-3.25734414212996 47.7244989526991,-3.25011957488237 47.7249952057701,-3.24289040322571 47.7245304540745,-3.23593482692901 47.7231225819311,-3.22952047404698 47.7208257649635,-3.22389406593029 47.7177283771855,-3.21927190214738 47.7139495782582,-3.21583153611475 47.7096347146076,-3.21370496315811 47.704949714138,-3.21297358101941 47.7000746929557)))', 'FRPH8', 'Pors Poulhan', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.33280529068161 47.9504377218619,-4.3333945683462 47.9455545786972,-4.33539022809273 47.9408424754847,-4.33871523647869 47.9364824291341,-4.34324157839608 47.9326418884301,-4.34879521255795 47.9294683151154,-4.35516277438139 47.9270835364996,-4.36209976650017 47.925579083663,-4.36933992353829 47.9250126913769,-4.37660539599817 47.9254060916114,-4.38361736926677 47.9267441835751,-4.39010671853655 47.9289756113972,-4.39582429923556 47.9320147276493,-4.40055048538029 47.93574486877,-4.4041035947916 47.9400228189362,-4.40634687968196 47.9446842937827,-4.40719381269093 47.9495502362704,-4.40661146056964 47.9544336854181,-4.40462180851974 47.9591469558229,-4.40130097536693 47.9635088528809,-4.39677634057746 47.967351646054,-4.3912216855425 47.9705275306819,-4.38485053026252 47.9729143275784,-4.3779079191744 47.9744201983978,-4.37066097309164 47.9749871924937,-4.36338857508334 47.9745934862757,-4.35637059411563 47.9732542271185,-4.34987706961431 47.9710209485878,-4.34415778179212 47.967979579866,-4.3394326165256 47.9642471274324,-4.33588310057331 47.9599671589868,-4.33364543465068 47.9553042661587,-4.33280529068161 47.9504377218619)))', 'FRPHE', 'Penhors', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.54189402812921 49.1795250817639,-1.54276932293098 49.1746607821778,-1.54507490132751 49.1700018620438,-1.54872182019008 49.1657272765222,-1.55356971304784 49.1620011755083,-1.55943221725193 49.1589666137195,-1.56608414493061 49.156740074055,-1.57327012080828 49.1554070115239,-1.58071435740075 49.155018585909,-1.58813119782046 49.1555897062064,-1.59523602946244 49.1570984604089,-1.6017561588533 49.1594869521336,-1.6074412392429 49.1626635127647,-1.61207285808039 49.1665062060357,-1.61547292098772 49.1708674931254,-1.61751051151008 49.1755798821513,-1.61810696068275 49.1804623480461,-1.61723892577638 49.1853272786533,-1.61493935148551 49.1899876817332,-1.61129626686856 49.1942643763608,-1.60644945466664 49.1979928915486,-1.60058511300732 49.2010298050434,-1.59392870949707 49.2032582759199,-1.58673630081588 49.2045925551591,-1.57928465378458 49.2049812977453,-1.57186055346412 49.2044095464262,-1.5647497177147 49.2028993092764,-1.55822575408102 49.2005087084446,-1.55253959304135 49.1973297336391,-1.54790981166444 49.1934846886627,-1.54451422459047 49.1891214703624,-1.54248306686882 49.1844078646295,-1.54189402812921 49.1795250817639)))', 'FRPI2', 'Pirou', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.0949064055047 44.7794197831863,-1.09574103709265 44.7745548486831,-1.09789183600285 44.7698993326481,-1.10127588244631 44.7656320689092,-1.10576296281743 44.761916941498,-1.11118059898768 44.758896602592,-1.11732068287146 44.7566870084285,-1.12394746036791 44.7553729804458,-1.13080655993475 44.7550049596164,-1.13763472359336 44.7555970765858,-1.14416987313548 44.7571266104874,-1.15016113236897 44.7595348569519,-1.15537842772204 44.762729372732,-1.1596213043944 44.7665875124013,-1.16272662312939 44.7709611236127,-1.16457484284724 44.7756822232009,-1.16509464571178 44.7805694386287,-1.16426572218142 44.7854349693781,-1.16211960229063 44.7900918020901,-1.15873849349034 44.794360902485,-1.15425216215619 44.7980781069171,-1.14883297238179 44.8011004470014,-1.14268926877413 44.8033116618393,-1.13605735650397 44.8046266832592,-1.12919238883679 44.8049949190466,-1.12235851711711 44.8044022058306,-1.11581868855451 44.8028713552509,-1.1098244916798 44.8004612721295,-1.1046064472936 44.7972646793282,-1.10036512422887 44.7934045384812,-1.09726342521884 44.7890293065964,-1.09542034027273 44.7843072135718,-1.0949064055047 44.7794197831863)))', 'FRPI4', 'Piraillan', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.18337437317336 47.1297447386502,-2.18415268867488 47.1248733795032,-2.18630819592916 47.1201992198639,-2.18975774985317 47.1159018093976,-2.19436858411169 47.1121461854343,-2.19996344386986 47.1090765473871,-2.20632740709131 47.1068107345802,-2.21321613083367 47.1054357167656,-2.22036520764365 47.1050042677416,-2.22750027759565 47.1055329475105,-2.23434751480487 47.1070014689737,-2.24064409405971 47.1093534730341,-2.24614824388525 47.1124986830045,-2.2506485068592 47.1163163572586,-2.25397185600176 47.1206599099606,-2.25599035684402 47.1253625252268,-2.25662611725283 47.1302435518661,-2.25585432975333 47.1351154353737,-2.25370428201002 47.1397909223686,-2.25025828794525 47.1440902611076,-2.24564857193747 47.1478481206991,-2.240052218577 47.1509199613758,-2.23368437728665 47.1531876084831,-2.22678998140926 47.1545638130132,-2.21963430192972 47.1549956205008,-2.21249270397123 47.1544664163706,-2.20564000724937 47.1529965675508,-2.19933986813741 47.1506426352166,-2.19383460006579 47.1474951896177,-2.18933583069863 47.1436753127345,-2.18601635962663 47.1393299257333,-2.18400353091728 47.1346261237527,-2.18337437317336 47.1297447386502)))', 'FRPI9', 'Prefailles', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-2.51319712107386 47.3828496190682,-2.51394909647441 47.3779761426866,-2.51608609304549 47.3732959204833,-2.51952567012769 47.368988736122,-2.52413543808346 47.3652200026698,-2.52973817759236 47.3621344225564,-2.53611866041337 47.3598504461902,-2.54303190796109 47.358455739228,-2.55021257224915 47.3580038297721,-2.55738508378321 47.3585120618952,-2.56427418390088 47.3599609325405,-2.57061544554183 47.3622948367599,-2.57616538681874 47.3654241932962,-2.58071079604441 47.3692288705303,-2.58407691470421 47.3735627836518,-2.58613416554601 47.378259489331,-2.5868031654084 47.3831385658204,-2.58605782512708 47.388012535776,-2.5839264099252 47.3926940673903,-2.58049051074968 47.3970031776541,-2.57588195730969 47.4007741602992,-2.5702777840256 47.4038619704767,-2.56389343741672 47.4061478182713,-2.55697448429472 47.4075437531176,-2.54978714126839 47.4079960599791,-2.54260799461047 47.4074873342815,-2.5357133131218 47.406037154224,-2.52936837357624 47.4037013241011,-2.52381721778831 47.4005697183715,-2.51927324234245 47.3967628110738,-2.51591098747233 47.3924270265251,-2.51385944220273 47.3877290929629,-2.51319712107386 47.3828496190682)))', 'FRPIR', 'Piriac-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.39327624854976 47.2698114462759,-2.39403753971253 47.2649387037017,-2.39618045164771 47.2602606525413,-2.39962231925913 47.2559569927084,-2.40423066757123 47.2521930018545,-2.40982833389578 47.2491132005277,-2.41620028610302 47.2468358177209,-2.42310187348707 47.2454482665505,-2.4302681951017 47.2450038010292,-2.43742423063399 47.2455194799872,-2.44429535194332 47.2469755148089,-2.45061782000182 47.2493160255505,-2.45614887246248 47.2524511770416,-2.46067602144296 47.2562606145947,-2.4640252089994 47.2605980698039,-2.46606750847101 47.2652969623726,-2.46672411231681 47.2701767856078,-2.46596940974292 47.2750500326425,-2.46383202840606 47.27972939883,-2.46039379141932 47.2840349840561,-2.45578662102813 47.2878012175457,-2.45018750059189 47.29088323733,-2.44381168361472 47.2931624766758,-2.43690440917829 47.2945512398253,-2.42973144403147 47.2949960882528,-2.42256881990574 47.2944799048338,-2.41569216799634 47.2930225549838,-2.40936606931525 47.290680118848,-2.40383383893839 47.2875427247206,-2.39930814407416 47.2837310687106,-2.3959628212894 47.2793917569635,-2.39392620886807 47.2746916524168,-2.39327624854976 47.2698114462759)))', 'FRPL4', 'Le Pouliguen', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.43302387233896 47.6301455263181,-3.43369402023449 47.6252665406041,-3.43575901759794 47.6205696565578,-3.43913917907306 47.6162353022651,-3.44370438458151 47.6124299371449,-3.4492791134918 47.6092996713601,-3.45564920220167 47.6069646703366,-3.46257006359045 47.605514556466,-3.46977605412772 47.6050049817315,-3.47699063356998 47.605455500431,-3.48393693422212 47.6068488220231,-3.4903483423862 47.6091314721578,-3.49597869421124 47.6122158370068,-3.50061170170232 47.6159835139452,-3.50406925181278 47.6202898422798,-3.50621826164821 47.6249694428575,-3.50697582479131 47.6298425566477,-3.50631244614467 47.6347219412768,-3.50425323358352 47.6394200622459,-3.50087699178085 47.6437563031591,-3.49631324408 47.6475639173769,-3.49073728917344 47.6506964523317,-3.48436347730921 47.653033397137,-3.47743696242401 47.6544848334777,-3.47022424874223 47.6549949080364,-3.46300290004622 47.6545439904214,-3.45605081458964 47.6531494319053,-3.44963548675496 47.650864895149,-3.44400367712706 47.6477782812019,-3.4393718956371 47.644008335094,-3.43591806868313 47.6397000629787,-3.43377471234228 47.6350191399319,-3.43302387233896 47.6301455263181)))', 'FRPL5', 'Port Lay', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.76224900183586 48.7002559550082,-3.76290070729103 48.6953760568086,-3.76497773841347 48.6906740612269,-3.76839992500082 48.6863305917931,-3.7730355145764 48.6825124552572,-3.77870627192942 48.6793662481038,-3.78519434249313 48.6770127430632,-3.79225061373055 48.6755422682831,-3.79960425484771 48.6750112536447,-3.80697307333231 48.6754400742844,-3.81407429810931 48.6768122723631,-3.82063538421858 48.6790751862712,-3.82640443319987 48.6821419635777,-3.83115983682935 48.685894882005,-3.83471877916706 48.690189853334,-3.83694427237304 48.6948619402046,-3.83775045438112 48.6997316769066,-3.83710593981884 48.7046119539456,-3.83503508762816 48.7093152036802,-3.83161712732565 48.7136606116471,-3.826983167974 48.7174810759726,-3.82131119659606 48.7206296457872,-3.81481925258169 48.722985188667,-3.8077570381651 48.7244570662214,-3.80039628893581 48.724988635009,-3.79302027955289 48.7245594355295,-3.78591287584165 48.7231859832967,-3.77934756344947 48.7209211308542,-3.77357688424946 48.7178520257576,-3.76882269465032 48.7140967446694,-3.76526762576574 48.7097997355025,-3.76304807573701 48.705126245859,-3.76224900183586 48.7002559550082)))', 'FRPLO', 'Plougasnou', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.684490132968882 45.4692853178587,-0.685372035995942 45.4644248490057,-0.68758426078564 45.4597787958948,-0.691041520402757 45.4555256250313,-0.695610786085833 45.451828675158,-0.701116424966767 45.4488298967156,-0.707346955321354 45.4466444152083,-0.714063158901275 45.4453561245995,-0.721007240860998 45.4450144774145,-0.727912690299888 45.4456325927694,-0.73451446951738 45.4471867537551,-0.740559148386826 45.449617313259,-0.745814602101083 45.4528309742625,-0.750078905898118 45.4567043587867,-0.753188088860148 45.4610887308174,-0.755022449754792 45.4658156945043,-0.755511190026103 45.4707036513374,-0.754635180913776 45.4755647703151,-0.752427751328429 45.4802122045575,-0.748973458179109 45.4844672772947,-0.744404878608976 45.4881663602412,-0.738897541030761 45.4911671782151,-0.732663185779139 45.493354295212,-0.725941613408106 45.4946435682798,-0.718991436113445 45.4949853953225,-0.712080092756176 45.4943666298423,-0.705473518333297 45.492811087724,-0.69942587299823 45.4903786263455,-0.69416973317515 45.4871628322686,-0.689907128079044 45.4832874082135,-0.686801770015086 45.4789014006943,-0.684972777909374 45.4741734545493,-0.684490132968882 45.4692853178587)))', 'FRPM4', 'Port-Maubert', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.11432231849177 45.7194165208504,-1.11517182246704 45.7145524032337,-1.11735934981174 45.7098978039587,-1.1208005556377 45.7056315193625,-1.12536302099551 45.7019173925142,-1.13087136824249 45.6988980332383,-1.1371140074121 45.69668935625,-1.14385125333646 45.6953761444807,-1.15082450375625 45.6950088053862,-1.15776613070345 45.6956014426999,-1.16440971209852 45.6971313163904,-1.17050021842905 45.699539711281,-1.17580377088858 45.7027341817482,-1.18011660242493 45.706592088007,-1.18327288140701 45.7109652905591,-1.18515109833476 45.7156858252119,-1.18567876807429 45.720572343298,-1.1848352619735 45.7254370718194,-1.18265265396163 45.7300930274184,-1.17921454000328 45.73436120727,-1.17465286833856 45.7380774797698,-1.16914289577669 45.7410989084374,-1.16289645972285 45.7433092635115,-1.15615382338584 45.7446235065869,-1.14917440966694 45.7449910732008,-1.14222678484147 45.7443978249818,-1.13557828411239 45.7428665949663,-1.12948468591639 45.7404563048195,-1.12418033976795 45.7372596887004,-1.11986913355027 45.7333997130504,-1.11671665145361 45.7290248324136,-1.11484382493638 45.7243032664556,-1.11432231849177 45.7194165208504)))', 'FRPM5', 'La Palmyre', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.74289125593776 47.8202461490419,-3.74353467310836 47.8153656642285,-3.74557907021677 47.8106634749688,-3.74894554775317 47.8063202143742,-3.75350450554132 47.8025026845073,-3.7590806578345 47.799357462569,-3.76545978266252 47.7970052875368,-3.77239694408311 47.7955364400102,-3.77962587293275 47.7950072898124,-3.78686915044868 47.7954381414442,-3.79384881083758 47.7968124584148,-3.8002969642022 47.7990774955593,-3.80596604055476 47.8021463155226,-3.81063826895763 47.8059011135029,-3.81413403281061 47.8101977249399,-3.81631878227416 47.8148711458739,-3.81710823672471 47.8197418568398,-3.81647167251957 47.8246227098786,-3.81443316231331 47.8293261158099,-3.81107070938874 47.8336712562953,-3.80651330121106 47.8374910430761,-3.8009359876118 47.8406385553569,-3.7945531673584 47.8429927054762,-3.78761033898765 47.8444629121451,-3.78037463440524 47.8449925986231,-3.77312450391887 47.8445613787655,-3.76613895662555 47.8431858451222,-3.75968677865087 47.8409189280857,-3.75401615269262 47.8378478512079,-3.74934508560081 47.8340907628855,-3.74585301717548 47.8297921763626,-3.74367393466032 47.8251173962875,-3.74289125593776 47.8202461490419)))', 'FRPM6', 'Port Manec''h', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.44814620175993 48.8341533615761,-3.44883000538815 48.829275266111,-3.45094183750558 48.8245789457004,-3.45440019050711 48.8202448037482,-3.45907192420558 48.8164392868819,-3.46477741837284 48.8133085055611,-3.47129748873702 48.810972639427,-3.47838179867584 48.8095213393082,-3.48575844511283 48.8090102994849,-3.49314435546948 48.8094591292852,-3.50025610403188 48.8108506040096,-3.50682074145278 48.8131313232891,-3.51258623067077 48.816213752116,-3.51733109629509 48.8199795677954,-3.52087292214982 48.8242841867618,-3.52307537251777 48.828962300372,-3.5238534656131 48.8338342100436,-3.52317689147097 48.8387127209627,-3.52107123885647 48.8434103312758,-3.51761707460194 48.8477464412036,-3.51294690119534 48.8515543045121,-3.50724010132336 48.8546874535174,-3.5007160580384 48.8570253481197,-3.49362571280339 48.8584780286743,-3.48624188751439 48.8589895907418,-3.4788487476662 48.858540345487,-3.47173081959846 48.8571475808587,-3.46516199343261 48.8548648936025,-3.45939494392808 48.8517801183328,-3.45465138401395 48.8480119349694,-3.45111353108239 48.843705287536,-3.44891711600856 48.8390257934913,-3.44814620175993 48.8341533615761)))', 'FRPMH', 'Ploumanac''h', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.0621464550694 45.9953974744562,-1.06300550378381 45.9905341085871,-1.06520895997698 45.9858809654936,-1.06867186292136 45.9816167845956,-1.07326095785136 45.9779053269408,-1.07879984375493 45.9748890985596,-1.08507575907044 45.9726838927742,-1.09184774352972 45.9713743583524,-1.09885586470923 45.9710107610885,-1.10583115979839 45.9716070610517,-1.11250591770115 45.9731403780453,-1.11862391451707 45.9755518655227,-1.12395021701627 45.97874896019,-1.12828018390082 45.9826089226341,-1.13144732306298 45.9869835354149,-1.13332970397574 45.9917047809155,-1.13385467666537 45.9965912834972,-1.1330017108944 46.0014552706273,-1.13080323927545 46.0061097868519,-1.12734346368008 46.0103758837047,-1.12275516276286 46.0140895084514,-1.11721461665368 46.0171078251415,-1.11093483966458 46.0193147225268,-1.10415737996825 46.0206252943081,-1.09714300354393 46.0209891167628,-1.09016162550744 46.020392195538,-1.08348188302928 46.0188575054122,-1.07736075886654 46.0164441019791,-1.07203366235884 46.0132448402196,-1.06770535568379 46.0093827894671,-1.06454207819641 46.0050064850875,-1.06266517251851 46.0002842022283,-1.0621464550694 45.9953974744562)))', 'FRPN6', 'Port Nord', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.88227256421764 48.6702951426269,-3.8829123185795 48.6654146127039,-3.8849769573501 48.6607105042011,-3.8883867861714 48.656363522569,-3.89301052638719 48.6525406100873,-3.89867039653969 48.6493885470862,-3.90514895855544 48.6470283313458,-3.91219746341348 48.6455505486174,-3.91954537717628 48.6450119090836,-3.92691072636321 48.6454330801897,-3.93401087285092 48.6467978972885,-3.94057331349818 48.6490539816953,-3.94634609886614 48.6521147428746,-3.95110747875097 48.6558626894348,-3.95467440944358 48.6601539242085,-3.95690959801101 48.6648236537125,-3.95772681140646 48.6696925033676,-3.95709424140099 48.6745733984795,-3.95503578829032 48.6792787484316,-3.95163020472238 48.6836276587741,-3.94700812305162 48.687452893599,-3.94134707223627 48.6906073190204,-3.93486467009383 48.6929695776012,-3.92781025026917 48.6944487725858,-3.9204552472003 48.694987978788,-3.91308271365155 48.6945664424926,-3.90597638150139 48.6932003839433,-3.89940969560266 48.6909423708248,-3.89363525169483 48.6878792873018,-3.88887505247828 48.6841289783216,-3.88531196191488 48.6798357007088,-3.88308268831218 48.6751645589498,-3.88227256421764 48.6702951426269)))', 'FRPO3', 'Pont de la Corde', 'Y'),('SRID=4326;MULTIPOLYGON(((8.73368597440584 42.2700831672352,8.73305930024127 42.2652006821272,8.73116245857406 42.2605027946935,8.72806859137718 42.2561699830654,8.72389676085226 42.2523686653773,8.71880734865929 42.2492448180226,8.712995883401 42.2469183820021,8.7066855349323 42.2454786698727,8.70011856264648 42.2449809473463,8.69354704263634 42.2454443188141,8.68722322445827 42.2468509966367,8.68138988142787 42.2491469817594,8.67627101859449 42.2522441299422,8.67206328977483 42.2560235255514,8.66892844961732 42.2603400353078,8.66698712932129 42.2650278694392,8.66631417641926 42.2699069389888,8.66693574140055 42.274789767091,8.66882822874894 42.2794886900611,8.67191915939673 42.2838230721168,8.67608991820556 42.2876262560408,8.6811802866751 42.2907519813222,8.68699459061885 42.2930800210626,8.69330922801803 42.2945208185534,8.69988128652834 42.2950189428459,8.70645791572474 42.2945552283837,8.71278608822292 42.2931475150239,8.71862236780123 42.2908499594728,8.72374230234777 42.2877509450537,8.72794907488788 42.2839696715182,8.73108107635865 42.2796515580426,8.73301810772536 42.2749626385506,8.73368597440584 42.2700831672352)))', 'FRPO4', 'Porto', 'Y'),('SRID=4326;MULTIPOLYGON(((3.15081860990237 42.516960484398,3.15015711073145 42.5120805320773,3.14822169999436 42.5073897938339,3.14508700236747 42.5030684705582,3.140873647338 42.499282536785,3.13574360848018 42.4961773763171,3.12989397034956 42.4938722115585,3.12354936380526 42.4924555381489,3.11695335905579 42.4919817378771,3.11035914331248 42.4924689979536,3.10401983554977 42.4938986152228,3.09817880380995 42.4962157115797,3.09306035040371 42.4993313336014,3.08886111724935 42.5031258571136,3.08574253781263 42.5074535679556,3.08382462436368 42.5121482453822,3.0831813306381 42.5170295360136,3.08383767193855 42.5219098754906,3.0857687190957 42.5266016932525,3.08890051174841 42.5309246240621,3.09311286266572 42.5347124486525,3.09824395114104 42.5378194953609,3.10409653282471 42.5401262546205,3.11044552872862 42.5415439880429,3.11704670040377 42.5420181524618,3.12364607402058 42.5415305052287,3.12998974536445 42.5400998084402,3.13583368207718 42.5377811045485,3.14095313959255 42.5346635917094,3.14515132312639 42.530867181957,3.14826695900883 42.5265378766148,3.15018048309943 42.5218421391762,3.15081860990237 42.516960484398)))', 'FRPOV', 'Port-Vendres', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.3129597190949 47.7201069906498,-3.31364217362635 47.7152287558393,-3.31572146414963 47.7105340746587,-3.31911735536926 47.7062032896846,-3.32369912306065 47.7024027224031,-3.3292906114036 47.699278298038,-3.33567701477837 47.6969499572619,-3.34261312158031 47.6955070665769,-3.34983270495045 47.6950050007651,-3.35705870450282 47.6954630262063,-3.36401381523734 47.6968635646903,-3.37043108555653 47.6991528653792,-3.37606412599903 47.7022430596339,-3.38069654396854 47.7060155213704,-3.38415024703962 47.7103254062916,-3.38629229767776 47.7150071985082,-3.38704005435493 47.7198810543855,-3.38636439660073 47.7247597023869,-3.38429090259821 47.7294556355094,-3.38089892517557 47.7337883205799,-3.37631859271689 47.7375911468402,-3.37072584254012 47.7407178451574,-3.36433567236675 47.7430481286703,-3.35739386726188 47.7444923351124,-3.35016752159987 47.7449948893894,-3.34293472526537 47.744536450757,-3.33597381800797 47.7431346603299,-3.32955263389369 47.7408434595434,-3.32391815822329 47.7377510063095,-3.31928700209247 47.7339762706212,-3.31583706582211 47.7296644429644,-3.313700713485 47.7249813349918,-3.3129597190949 47.7201069906498)))', 'FRPPL', 'Port-Louis', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.94226573245392 48.6803148389047,-3.94289980002855 48.6754340205213,-3.94495923505301 48.6707288781489,-3.94836454247378 48.6663801572663,-3.95298461652169 48.662554867173,-3.95864181569654 48.6593998796076,-3.96511880371611 48.6570363046292,-3.97216689140201 48.6555548568401,-3.9795155605087 48.6550123869315,-3.98688280854546 48.6554297091661,-3.99398592478888 48.6567908064399,-4.0005522926413 48.6590434427214,-4.00632981260956 48.6621011598027,-4.01109655347267 48.6658465832361,-4.01466926635652 48.6701359129262,-4.01691043676965 48.6748044288433,-4.01773360212899 48.6796728033832,-4.01710672545996 48.6845539804922,-4.01505348789574 48.6892603590845,-4.01165244098323 48.6936110054784,-4.00703404186746 48.6974386172331,-4.00137567705427 48.7005959691579,-3.99489486028257 48.7029615912417,-3.987840863623 48.7044444572286,-3.98048510490918 48.7049875005193,-3.97311066596138 48.7045698195586,-3.9660013522552 48.7032074860637,-3.95943072389637 48.7009529242696,-3.95365152900113 48.6978928855264,-3.9488859537818 48.6941450977339,-3.94531706965262 48.6898537209397,-3.9430818082113 48.685183786826,-3.94226573245392 48.6803148389047)))', 'FRPPM', 'Pempoul', 'Y'),('SRID=4326;MULTIPOLYGON(((-61.5140140442317 16.2298195685986,-61.5145500915218 16.2249252755842,-61.516064075483 16.220226045773,-61.5184977579355 16.2159024432433,-61.521757579397 16.2121205892199,-61.5257182597321 16.2090257830618,-61.5302276136402 16.2067369238334,-61.5351123957762 16.2053419460249,-61.5401849513823 16.2048944440777,-61.5452504179281 16.2054116148618,-61.5501142024944 16.2068735968613,-61.5545894492245 16.2092242314589,-61.5585042114828 16.2123732173616,-61.5617080544046 16.2161995759352,-61.5640778349034 16.220556295016,-61.5655224371908 16.225275973544,-61.5659862813464 16.230177250851,-61.5654514690441 16.2350717741153,-61.563938482489 16.2397714365562,-61.5615054080149 16.2440956082313,-61.5582457125449 16.2478780812687,-61.5542846570333 16.2509734620702,-61.5497744838977 16.2532627640871,-61.5448885632031 16.2546579854186,-61.5398147230428 16.255105494549,-61.5347480215088 16.2545880935149,-61.5298832395362 16.2531256788855,-61.5254073848279 16.2507744751423,-61.5214924965785 16.2476248702256,-61.5182890288337 16.2437979370087,-61.5159200675625 16.2394407751396,-61.5144766038334 16.2347208530888,-61.5140140442317 16.2298195685986)))', 'FRPPN', 'Pointe-a-Pitre', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.13401250048642 46.1994180711382,-1.13486898311504 46.1945542817202,-1.13707511744227 46.1898999416079,-1.14054583614881 46.1856338360416,-1.14514758133549 46.1819197994933,-1.15070346438556 46.1789004362816,-1.15700007062108 46.1766916592285,-1.16379564623259 46.1753782533683,-1.17082935508207 46.1750106324396,-1.17783125476289 46.1756029105753,-1.18453261578115 46.1771323619266,-1.19067619556564 46.1795402886793,-1.19602608053179 46.1827342649137,-1.20037672459407 46.1865916718722,-1.20356084096987 46.1909643912905,-1.20545584511715 46.1956844792894,-1.205988599081 46.2005706055474,-1.20513826986611 46.2054350125594,-1.20293718475229 46.2100907289462,-1.19946964236214 46.2143587599424,-1.19486871702896 46.218074977947,-1.1893111725533 46.2210964465344,-1.18301067654923 46.2233069323582,-1.17620957500792 46.224621390239,-1.16916954534061 46.2249892462775,-1.1621614922421 46.2243963505471,-1.15545508200919 46.2228655229203,-1.14930832591053 46.2204556707367,-1.14395762109524 46.2172595130457,-1.13960863846252 46.2134000007121,-1.13642841185651 46.2090255725241,-1.13453893363681 46.2043044325056,-1.13401250048642 46.1994180711382)))', 'FRPR2', 'Port-du-Plomb', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.66237332183298 48.5505495680434,-4.66293658657327 48.5456655235395,-4.66492383371033 48.5409482616171,-4.66825833922778 48.53657899773,-4.6728117112503 48.5327255338305,-4.67840886180007 48.5295358260418,-4.68483475110636 48.5271323186115,-4.691842642928 48.5256072588781,-4.69916355496526 48.5250191701947,-4.70651654598534 48.5253906156374,-4.71361945187525 48.5267073365132,-4.72019966718884 48.5289187979248,-4.72600456723242 48.5319401207902,-4.73081117836183 48.5356553275813,-4.73443473063301 48.5399217794908,-4.73673576660191 48.5445756375069,-4.73762553187721 48.5494381406376,-4.73706943555337 48.554322462757,-4.73508844001997 48.5590408865347,-4.731758317544 48.5634120196353,-4.7272067927221 48.5672677755359,-4.72160867231147 48.5704598491771,-4.71517914373418 48.5728654361315,-4.70816549727682 48.5743919724718,-4.70083759133058 48.5749807100446,-4.69347743188861 48.574608986986,-4.6863682743923 48.5732911042537,-4.67978367603881 48.5710777736274,-4.67397692879958 48.5680541587602,-4.66917128753649 48.564336586117,-4.66555137453904 48.5600680546846,-4.66325609320428 48.5554127200628,-4.66237332183298 48.5505495680434)))', 'FRPR6', 'Portsall', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.06338445795327 47.1167064344678,-2.06417350529792 47.1118359564559,-2.06633894078859 47.1071641152408,-2.06979723899326 47.1028703708223,-2.07441529909805 47.0991196193021,-2.08001559027623 47.0960558727815,-2.08638298333525 47.093796744398,-2.09327300473469 47.0924289475003,-2.10042119781688 47.0920049790479,-2.10755323663572 47.0925411123078,-2.11439541116121 47.0940167744562,-2.12068508955528 47.0963753325539,-2.12618076398341 47.099526258391,-2.13067130103521 47.1033485907517,-2.1339840459199 47.1076955645719,-2.13599147047088 47.1124002320216,-2.13661610754161 47.1172818623885,-2.1358335770985 47.122152877227,-2.13367358027976 47.1268260558288,-2.13021881452923 47.1311217345892,-2.12560184287623 47.1348747229208,-2.12000003043955 47.1379406681882,-2.11362873800859 47.1402016225143,-2.10673303276745 47.1415705945672,-2.09957823668763 47.1419949084803,-2.0924396809628 47.1414582383932,-2.08559206776376 47.139981238857,-2.0792988569177 47.1376207464163,-2.07380209404245 47.1344675837674,-2.06931307825361 47.1306430526604,-2.06600423274249 47.1262942528987,-2.06400249203105 47.1215884102949,-2.06338445795327 47.1167064344678)))', 'FRPRC', 'Pornic', 'Y'),('SRID=4326;MULTIPOLYGON(((8.93337014245408 41.6670241887238,8.93273402502837 41.6621422706713,8.93084023685152 41.657447190483,8.92776179391579 41.6531193187279,8.92361715887498 41.6493248849636,8.91856566434701 41.6462096030479,8.91280138130825 41.6438930872694,8.90654566948838 41.6424642714789,8.90003869475214 41.6419780048587,8.89353023578219 41.6424529531175,8.88727012787631 41.6438708844017,8.88149870463305 41.6461773668789,8.87643759837161 41.6492838516468,8.87228124731207 41.6530710622659,8.86918943218089 41.6573935626785,8.8672811277088 41.6620853303687,8.86662990653004 41.6669661230003,8.86726107572811 41.6718483959236,8.86915066154214 41.6765445061098,8.87222628775124 41.6808739261821,8.87636992052297 41.6846701908657,8.88142237982638 41.6877873075622,8.88718944780741 41.690105382654,8.89344934075442 41.691535244899,8.89996125626372 41.6920218858014,8.90647466346412 41.6915465826714,8.912738973734 41.6901276213886,8.91851321370274 41.6878195905935,8.92357532223047 41.6847112749058,8.92773070851174 41.6809222295063,8.93081973869947 41.6765981697812,8.93272386204556 41.6719053556373,8.93337014245408 41.6670241887238)))', 'FRPRP', 'Propriano', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.03499814659172 44.6294029264338,-1.03583519461615 44.6245383592036,-1.03798479278035 44.6198838428283,-1.04136406996988 44.615618172806,-1.04584299781472 44.6119051722753,-1.05124941256764 44.6088874122438,-1.05737563742455 44.6066807505355,-1.06398644988556 44.6053698966087,-1.07082809005106 44.6050051700843,-1.07763796840817 44.6056005754532,-1.08415470672667 44.6071332656716,-1.09012813381751 44.6095444149896,-1.09532885942847 44.6127414682539,-1.09955706443382 44.6166016819598,-1.10265017334425 44.6209768233651,-1.10448911528433 44.6256988497864,-1.10500293084019 44.6305863524416,-1.10417154305086 44.6354515193297,-1.10202657937289 44.6401073508793,-1.09865020536243 44.6443748513695,-1.09417200740638 44.6480899189895,-1.08876403813219 44.6511096680361,-1.08263421100499 44.6533179378759,-1.07601829693743 44.6546297742269,-1.0691708325029 44.6549947079026,-1.06235529390727 44.6543987028753,-1.0558339211015 44.6528646974816,-1.04985759083353 44.6504517176949,-1.04465613533758 44.6472525973411,-1.04042948485692 44.6433903946205,-1.03733997821783 44.6390136450847,-1.03550613788235 44.6342906362401,-1.03499814659172 44.6294029264338)))', 'FRPS6', 'La Passerelle', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.46233259059441 48.6004845668088,-4.46291559844813 48.5956013491059,-4.4649233870493 48.5908873794379,-4.46827844354984 48.5865237455266,-4.47285158803941 48.5826780320191,-4.47846697532179 48.5794978966546,-4.48490886792426 48.5771054157668,-4.4919299177573 48.5755924133968,-4.49926063956128 48.5750169504153,-4.50661971695141 48.5754011058716,-4.51372475260955 48.5767301339235,-4.52030305868823 48.5789530279277,-4.52610208214688 48.5819844704035,-4.5308990725557 48.585708095475,-4.53450962656566 48.5899809408791,-4.53679478309483 48.5946389214616,-4.53766639528593 48.5995031169282,-4.53709056800409 48.6043866349454,-4.53508902118958 48.6091017877923,-4.53173831743562 48.613467307619,-4.52716697398601 48.6173153226652,-4.52155056184383 48.6204978248035,-4.51510497450627 48.6228923773801,-4.50807812255217 48.624406840958,-4.50074037456186 48.6249829322105,-4.49337411659441 48.6245984764394,-4.48626283914692 48.6232682652075,-4.47968018032331 48.6210434852866,-4.47387935582975 48.6180097412715,-4.46908339028617 48.6142837494265,-4.46547653101399 48.6100088323348,-4.46319717660422 48.6053493905457,-4.46233259059441 48.6004845668088)))', 'FRPS9', 'Perros', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.48219451925467 48.7701643740446,-3.48287419678287 48.7652860359005,-3.48498020716623 48.7605890586712,-3.4884312674788 48.7562538713518,-3.49309451819696 48.7524469611204,-3.49879066489311 48.7493144923304,-3.50530088174284 48.7469767097353,-3.51237520956067 48.7455233379537,-3.51974212737839 48.745010150875,-3.52711893494062 48.7454568401978,-3.53422255499744 48.7468462632112,-3.54078034962034 48.7491250980425,-3.54654054429892 48.7522058817252,-3.55128186729918 48.7559703544386,-3.55482203935275 48.7602739839621,-3.55702478952345 48.7649514995338,-3.55780512600431 48.7698232255563,-3.5571326541643 48.77470197442,-3.55503280647564 48.7794002353963,-3.55158592765043 48.7837373840513,-3.54692424061827 48.7875466346117,-3.5412268017486 48.7906814664303,-3.53471263358637 48.7930212750038,-3.52763229686804 48.7944760272766,-3.52025822736291 48.7949897391917,-3.51287421410705 48.7945426391487,-3.50576443135312 48.7931519323871,-3.49920245524491 48.790871136219,-3.49344069688561 48.7877880122067,-3.4887006660643 48.7840211764652,-3.48516444532562 48.7797155209645,-3.48296770405338 48.7750366249028,-3.48219451925467 48.7701643740446)))', 'FRPSI', 'Pors-Gelin', 'Y'),('SRID=4326;MULTIPOLYGON(((4.83427875079325 43.3824551738316,4.83347307264229 43.3775881608257,4.8313814001891 43.3729292783397,4.82808436289648 43.3686574932528,4.82370881960023 43.3649368683986,4.81842295981196 43.3619102728663,4.8124298343069 43.3596939087207,4.80595956449605 43.3583728618776,4.79926052805657 43.3579978456184,4.79258985513199 43.358583259873,4.78620359407615 43.3601066396174,4.78034691752504 43.3625095133148,4.77524473821939 43.3656996391503,4.7710930894902 43.3695545347541,4.76805159803451 43.3739261670518,4.76623733728275 43.3786466246046,4.7657202994075 43.383534556957,4.76652066435315 43.3884021355757,4.76860797708668 43.3930622701383,4.7719022718729 43.3973358031482,4.77627710739811 43.4010584056668,4.78156440190314 43.4040869075233,4.78756088619085 43.4063048164323,4.79403592750619 43.4076268113016,4.80074042175336 43.4080020345212,4.80741640788633 43.4074160546532,4.8138070286628 43.4058914228314,4.8196664477186 43.4034868012101,4.8247693347919 43.40029469771,4.82891954880123 43.3964378957826,4.83195768147332 43.3920647187223,4.83376717072229 43.3873433131442,4.83427875079325 43.3824551738316)))', 'FRPSL', 'Port-Saint-Louis-du-Rhône', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.43302387233896 47.6301455263181,-3.43369402023449 47.6252665406041,-3.43575901759794 47.6205696565578,-3.43913917907306 47.6162353022651,-3.44370438458151 47.6124299371449,-3.4492791134918 47.6092996713601,-3.45564920220167 47.6069646703366,-3.46257006359045 47.605514556466,-3.46977605412772 47.6050049817315,-3.47699063356998 47.605455500431,-3.48393693422212 47.6068488220231,-3.4903483423862 47.6091314721578,-3.49597869421124 47.6122158370068,-3.50061170170232 47.6159835139452,-3.50406925181278 47.6202898422798,-3.50621826164821 47.6249694428575,-3.50697582479131 47.6298425566477,-3.50631244614467 47.6347219412768,-3.50425323358352 47.6394200622459,-3.50087699178085 47.6437563031591,-3.49631324408 47.6475639173769,-3.49073728917344 47.6506964523317,-3.48436347730921 47.653033397137,-3.47743696242401 47.6544848334777,-3.47022424874223 47.6549949080364,-3.46300290004622 47.6545439904214,-3.45605081458964 47.6531494319053,-3.44963548675496 47.650864895149,-3.44400367712706 47.6477782812019,-3.4393718956371 47.644008335094,-3.43591806868313 47.6397000629787,-3.43377471234228 47.6350191399319,-3.43302387233896 47.6301455263181)))', 'FRPT3', 'Port Tudy', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.944191566809729 45.9293611697214,-0.945059688900352 45.9244987949226,-0.947270134006485 45.9198479987752,-0.950737674758831 45.9155874301111,-0.95532888013413 45.9118807110488,-0.960867269720698 45.9088701657042,-0.967140102208007 45.9066713694619,-0.973906536272896 45.9053687254349,-0.980906852488119 45.9050122353846,-0.987872386951488 45.9056155870014,-0.994535802057279 45.9071556297164,-1.00064130786798 45.9095732589145,-1.00595444920598 45.9127756753936,-1.01027108884299 45.916639935041,-1.01342524564676 45.9210176548201,-1.0152954875154 45.9257406970538,-1.01580963126941 45.9306276162939,-1.01494756385147 45.9354906232472,-1.01274206925211 45.9401427995068,-1.0092776211711 45.9444052861315,-1.00468717980005 45.9481141690107,-0.999147109236983 45.9511267946073,-0.992870406705042 45.9533272708369,-0.986098502706345 45.9546309388234,-0.979091949416455 45.9549876409168,-0.972120360276567 45.9543836571449,-0.96545199466285 45.9528422343166,-0.959343396183022 45.9504226871569,-0.954029490845056 45.9472181068606,-0.949714532188386 45.9433517669619,-0.9465642454304 45.9389723671966,-0.944699473493356 45.9342483010043,-0.944191566809729 45.9293611697214)))', 'FRPT4', 'Port Neuf', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.13227548586427 48.6703770142421,-4.13289107302006 48.6654952859147,-4.13493237007694 48.6607868802252,-4.13832057769774 48.65643266911,-4.14292524505806 48.6525998735972,-4.14856931999563 48.6494356541758,-4.1550359677269 48.6470614755309,-4.16207689389477 48.6455684591626,-4.16942185361189 48.6450138993846,-4.17678898605902 48.6454190739039,-4.18389558518633 48.6467684312483,-4.19046890185717 48.6490101854951,-4.19625657172225 48.6520582958833,-4.2010362762343 48.6557957568216,-4.20462427119335 48.6600790743546,-4.20688245738286 48.6647437600901,-4.20772372017696 48.6696106345664,-4.20711532801382 48.6744927005403,-4.20508025145132 48.6792023239673,-4.20169634281332 48.6835584475216,-4.19709339844267 48.6873935590241,-4.19144820819097 48.6905601453973,-4.18497777663706 48.6929363816092,-4.17793097419016 48.6944308329134,-4.17057894034822 48.69498598654,-4.16320461290298 48.6945804743738,-4.1560917932787 48.6932298992907,-4.14951417762684 48.6909862326035,-4.14372478477723 48.687935806225,-4.13894619558476 48.6841959783353,-4.13536198445096 48.6799106032365,-4.13310967453868 48.6752444825663,-4.13227548586427 48.6703770142421)))', 'FRPU4', 'Plouescat', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.0949064055047 44.7794197831863,-1.09574103709265 44.7745548486831,-1.09789183600285 44.7698993326481,-1.10127588244631 44.7656320689092,-1.10576296281743 44.761916941498,-1.11118059898768 44.758896602592,-1.11732068287146 44.7566870084285,-1.12394746036791 44.7553729804458,-1.13080655993475 44.7550049596164,-1.13763472359336 44.7555970765858,-1.14416987313548 44.7571266104874,-1.15016113236897 44.7595348569519,-1.15537842772204 44.762729372732,-1.1596213043944 44.7665875124013,-1.16272662312939 44.7709611236127,-1.16457484284724 44.7756822232009,-1.16509464571178 44.7805694386287,-1.16426572218142 44.7854349693781,-1.16211960229063 44.7900918020901,-1.15873849349034 44.794360902485,-1.15425216215619 44.7980781069171,-1.14883297238179 44.8011004470014,-1.14268926877413 44.8033116618393,-1.13605735650397 44.8046266832592,-1.12919238883679 44.8049949190466,-1.12235851711711 44.8044022058306,-1.11581868855451 44.8028713552509,-1.1098244916798 44.8004612721295,-1.1046064472936 44.7972646793282,-1.10036512422887 44.7934045384812,-1.09726342521884 44.7890293065964,-1.09542034027273 44.7843072135718,-1.0949064055047 44.7794197831863)))', 'FRPUP', 'Petit Piquey', 'Y'),('SRID=4326;MULTIPOLYGON(((9.31632640937949 41.5829131417415,9.31566228034237 41.5780333563597,9.31374324628433 41.5733445917565,9.31064329005068 41.5690269741855,9.3064816969044 41.565246338214,9.30141844684552 41.5621478673542,9.29564805878175 41.5598505305909,9.28939212429074 41.5584425261988,9.28289081651158 41.5579779055573,9.27639369674253 41.5584745047054,9.27015016653221 41.5599132618062,9.26439992572893 41.5622389463151,9.25936379675087 41.5653622723375,9.25523526226344 41.5691633163415,9.25217303785136 41.5734961099282,9.25029496386601 41.5781942335601,9.24967345249516 41.5830771986779,9.25033266870576 41.5879573749689,9.2522475588983 41.5926471979246,9.25534477109319 41.5969663801672,9.25950543778274 41.6007488489223,9.26456972001215 41.6038491416532,9.27034294173573 41.6061480120117,9.27660307997704 41.6075570282469,9.28310932161384 41.6080219849352,9.28961135421219 41.6075249948776,9.29585902828911 41.6060851794234,9.30161201312995 41.6037579302422,9.30664906856193 41.6006327714358,9.31077657087604 41.596829905561,9.31383596162721 41.59249557838,9.31570983186347 41.5877964429058,9.31632640937949 41.5829131417415)))', 'FRPVO', 'Porto-Vecchio', 'Y'),('SRID=4326;MULTIPOLYGON(((1.06866021087155 49.9006505664416,1.06811195010567 49.8957664499966,1.06609942886665 49.8910452493105,1.06270037212572 49.8866683292738,1.05804567505049 49.8828037817752,1.05231433161708 49.8795999828855,1.04572653836135 49.877179911584,1.03853524092312 49.8756364452059,1.03101644691216 49.8750288091498,1.0234586722788 49.8753803144135,1.01615191869 49.8766774678554,1.00937659567265 49.8788704884534,1.00339280312787 49.8818752100629,0.998430377213124 49.8855762991112,0.994680075833918 49.889831666109,0.992286239727109 49.8944779045851,0.991341212372528 49.8993365516905,0.991881738169848 49.9042209327764,0.993887485341293 49.9089433289976,0.997281760205325 49.9133221934549,1.0019343955921 49.9171891382391,1.0076667114001 49.9203954223148,1.01425836305961 49.9228176883555,1.02145581752451 49.9243627248966,1.02898212983316 49.9249710674961,1.03654763944134 49.9246192975912,1.04386116710094 49.9233209486128,1.05064127199349 49.921125983593,1.0566271262211 49.918118864697,1.06158857975499 49.914415290463,1.06533502272719 49.9101577287273,1.06772270180903 49.9055099200897,1.06866021087155 49.9006505664416)))', 'FRPVU', 'Pourville', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.71333171454835 47.1995940146133,-1.7141540865608 47.1947263463372,-1.71635357975761 47.1900615253841,-1.71984536138 47.1857787399993,-1.72449504713848 47.1820424636809,-1.73012389540604 47.1789961515395,-1.73651568470238 47.1767567468475,-1.74342500890608 47.175410205937,-1.75058667357185 47.175008210546,-1.75772583750377 47.175566191595,-1.76456851738795 47.1770627388455,-1.77085206048968 47.1794404187252,-1.77633519149167 47.1826079696412,-1.78080725447321 47.1864437922065,-1.78409629944628 47.1908006028122,-1.78607570405673 47.1955110746558,-1.78666907392539 47.2003942523325,-1.78585322812839 47.2052624958671,-1.78365914755289 47.2099286888632,-1.78017084093548 47.2142134341949,-1.77552216352713 47.2179519599799,-1.76989170344168 47.2210004686471,-1.76349592754312 47.2232416825225,-1.75658084887658 47.2245893698423,-1.74941253795266 47.2249916743376,-1.74226684780085 47.2244331180297,-1.73541875529382 47.2229351987349,-1.72913173718939 47.2205555589073,-1.72364759784201 47.2173857585242,-1.7191771466828 47.2135477394338,-1.71589208831349 47.2091891196458,-1.7139184381636 47.2044775013939,-1.71333171454835 47.1995940146133)))', 'FRPXN', 'Le Pellerin', 'Y'),('SRID=4326;MULTIPOLYGON(((3.0669178347454 42.6999852066881,3.06626092400808 42.6951049229024,3.06432611274597 42.6904129174013,3.06118800545537 42.6860894397786,3.05696736499591 42.6823005470358,3.05182644638581 42.6791917360861,3.04596275265789 42.6768823688321,3.03960145404376 42.6754611015595,3.03298676041018 42.6749824918064,3.02637257460584 42.6754649110021,3.02001278010987 42.6768898416925,3.01415152940259 42.67920258587,3.00901389945442 42.6823143576853,3.00479726765178 42.6861056815255,3.00166373569806 42.6904309669784,2.99973389124962 42.6951240873593,2.99908214834891 42.7000047499164,2.999733849563 42.7048854150358,3.00166424697765 42.7095784999752,3.00479940806453 42.7139035908059,3.00901901849711 42.7176943849305,3.01416098007008 42.7208050959677,3.02002763096964 42.7231160727438,3.02639335076191 42.7245384139377,3.03301325649552 42.7250173985164,3.03963265182615 42.7245345979866,3.04599686017085 42.7231085878573,3.05186105708057 42.720794230471,3.05699971705255 42.7176805572734,3.06121530588926 42.713887333346,3.06434588067006 42.7095604383719,3.06627130394165 42.7048662440705,3.0669178347454 42.6999852066881)))', 'FRPYO', 'Canet-en-Roussillon', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.94220815347692 48.7499872447547,-2.94293983310232 48.7451121219161,-2.94509530425028 48.7404250399451,-2.94859138812456 48.736106044752,-2.95329350198943 48.7323209994133,-2.95902086601679 48.7292152274285,-2.96555346264676 48.7269079483488,-2.97264047921724 48.7254877165265,-2.98000991134465 48.7250090351942,-2.98737896335912 48.7254902733939,-2.99446485408062 48.7269129640739,-3.00099562205611 48.7292225097205,-3.00672052439572 48.7323302690199,-3.01141963754842 48.7361169460994,-3.01491229640877 48.7404371547033,-3.01706404935897 48.7451249849833,-3.01779186015389 48.7500003620607,-3.01706735146331 48.7548759546343,-3.01491795746634 48.7595643699098,-3.01142593176855 48.7638853589939,-3.00672523928461 48.7676727552583,-3.0009964434491 48.7707808772965,-2.99445977980054 48.7730901477829,-2.98736668016728 48.7745117091914,-2.97999007502453 48.7749908558716,-2.9726138520699 48.7745091479364,-2.9655218841952 48.7730851239506,-2.95898705804544 48.7707735844119,-2.95326073433025 48.7676634741863,-2.94856305299105 48.7638744470539,-2.9450744611515 48.7595522470445,-2.94292879126185 48.7548630871796,-2.94220815347692 48.7499872447547)))', 'FRPZ3', 'Port-Lazo', 'Y'),('SRID=4326;MULTIPOLYGON(((0.958657623308777 49.9006872377279,0.958120486582952 49.8958027415077,0.956118757046365 49.8910797669833,0.95272974583276 49.8866997478319,0.948083963464427 49.8828308954741,0.942360063032918 49.8796217515982,0.935777956791375 49.8771955004937,0.928590373358142 49.8756452566243,0.921073178691032 49.8750305052759,0.913514827738513 49.8753748301922,0.906205344090262 49.8766650134599,0.899425241312124 49.8788515412972,0.893434801595017 49.8818504966374,0.888464114843185 49.8855467673166,0.88470425467268 49.8897984491053,0.882299927627912 49.89444227751,0.881343879268621 49.8992998828668,0.881873277060034 49.9041846312517,0.883868217088977 49.9089087904149,0.887252421861989 49.913290746329,0.891896112594147 49.9171619927189,0.897620954627761 49.9203736234272,0.904206892360664 49.9228020755661,0.911400613865394 49.9243538995847,0.918925318718036 49.9249693696329,0.926491408611237 49.9246247925514,0.933807681770398 49.9233334246437,0.940592590987477 49.9211449600423,0.946585122335156 49.9181436106691,0.95155486747861 49.9144448531581,0.955310896154488 49.9101909703361,0.957709085129412 49.9055455617838,0.958657623308777 49.9006872377279)))', 'FRQRU', 'Quiberville', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.08012609332556 47.4830316943967,-3.08082713592816 47.4781546346331,-3.08291790345795 47.4734639738872,-3.08631772557343 47.4691398996248,-3.09089573254537 47.4653484755348,-3.09647591733781 47.4622352762504,-3.10284391104001 47.4599198124142,-3.10975520954766 47.458490957381,-3.11694453710164 47.4580035483596,-3.12413599181038 47.4584762901146,-3.13105359068327 47.4598910401129,-3.13743181768279 47.4621935019867,-3.14302577820128 47.4652953012326,-3.14762057718831 47.46907736502,-3.15103956555692 47.4733944787088,-3.15315113979411 47.4780808469062,-3.15387383181968 47.4829564483135,-3.15317948860135 47.4878339426731,-3.15109441193226 47.4925258660953,-3.14769840577242 47.4968518388838,-3.14312175890598 47.5006455083164,-3.13754027130414 47.5037609579269,-3.13116851021754 47.5060783344808,-3.12425155330017 47.5075084734294,-3.11705553775316 47.5079963420989,-3.10985738365542 47.5075231657474,-3.10293409391981 47.5061071530716,-3.09655205096659 47.5038027926705,-3.09095673034731 47.5006987480817,-3.08636323417443 47.4969144339686,-3.08294801319222 47.4925954075631,-3.08084209736283 47.4879077554516,-3.08012609332556 47.4830316943967)))', 'FRQUI', 'Quiberon', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.66151070287406 49.6695614506945,-1.66238390931221 49.6646966209455,-1.66470220209343 49.6600357977742,-1.66837613891325 49.6557580086756,-1.67326430735109 49.652027524994,-1.67917879339142 49.6489875675957,-1.68589241254026 49.6467548241901,-1.69314742421659 49.6454149857731,-1.70066539701334 49.6450194705889,-1.70815785172698 49.6455834589311,-1.71533728178412 49.647085312675,-1.72192813750562 49.649467401409,-1.72767736185507 49.6526383042377,-1.73236408090037 49.6564763045918,-1.73580808182128 49.6608340465371,-1.7378767542141 49.6655441768535,-1.73849022557845 49.6704257592128,-1.73762448769134 49.6752912165699,-1.73531238509478 49.6799535366414,-1.73164241769413 49.6842334640431,-1.72675539360128 49.6879664018939,-1.72083905261429 49.6910087557024,-1.71412086162473 49.6932434729274,-1.70685925723449 49.6945845620766,-1.69933367453224 49.6949804144929,-1.69183375126192 49.694415798542,-1.68464813101821 49.6929124478966,-1.67805330588044 49.6905282208581,-1.67230293719204 49.6873548638599,-1.66761807309903 49.6835144670961,-1.66417864402077 49.6791547513328,-1.66211656433894 49.6744433702855,-1.66151070287406 49.6695614506945)))', 'FRQUL', 'Querqueville', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.429297417086 48.6328193536873,-2.43007676680929 48.6279475957877,-2.43227463021312 48.6232701972925,-2.43580620595952 48.6189668296064,-2.44053555531122 48.6152027539369,-2.44628085988255 48.6121224878792,-2.45282141968266 48.6098442720225,-2.45990612090608 48.608455546135,-2.4672630501469 48.608009605726,-2.47460989103502 48.6085235649267,-2.48166471177238 48.6099777023102,-2.48815673836299 48.6123162142607,-2.49383670880903 48.6154493476244,-2.49848641817863 48.6192568314766,-2.50192709289618 48.623592478759,-2.50402627416361 48.6282897840276,-2.50470294401022 48.6331683052522,-2.50393069158517 48.6380405869943,-2.5017387900078 48.6427193606116,-2.49821113298251 48.6470247453496,-2.49348306265628 48.6507911729234,-2.48773620269358 48.6538737676817,-2.48119148987836 48.6561539345116,-2.47410067027459 48.6575439366268,-2.46673658875661 48.6579902842234,-2.45938265056504 48.6574758011796,-2.45232186799921 48.6560202886728,-2.44582592268986 48.6536797596691,-2.44014467322372 48.6505442744007,-2.43549651925069 48.6467344618484,-2.43205999755025 48.642396863594,-2.42996693466081 48.637698282099,-2.429297417086 48.6328193536873)))', 'FRQUY', 'Erquy', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.578797751981497 49.3322056012492,-0.579770699616109 49.3273503458701,-0.582173839473537 49.3227123940212,-0.585914485419395 49.318469889696,-0.590848680228576 49.3147857461742,-0.59678675904479 49.3118014041999,-0.603500645058687 49.3096314176035,-0.610732596015158 49.3083590712321,-0.618205068238739 49.3080331965332,-0.625631325319363 49.3086663047185,-0.632726392440537 49.3102341077789,-0.639217945197838 49.3126764454847,-0.644856723943236 49.3158995837113,-0.649426081165197 49.3197797978251,-0.652750299804541 49.3241681062632,-0.654701363980416 49.3288959755969,-0.655203919232787 49.3337817809085,-0.654238225518574 49.3386377756913,-0.651840980810173 49.3432773049343,-0.648103973759282 49.3475219845003,-0.643170607601547 49.3512085699492,-0.637230421037295 49.3541952487755,-0.630511811760274 49.3563671113844,-0.623273241099271 49.3576405873224,-0.615793260520451 49.3579666731755,-0.608359749514193 49.3573328255857,-0.601258787242545 49.3557634451298,-0.594763595593464 49.3533189321821,-0.589123988202575 49.3500933520281,-0.584556738733888 49.3462108010629,-0.581237243359117 49.3418206166138,-0.579292798884585 49.3370916177147,-0.578797751981497 49.3322056012492)))', 'FRR4B', 'Arromanches-les-Bains', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.66288348350567 47.8302203222416,-3.66353451836269 47.8253402585185,-3.66558653614438 47.8206394662813,-3.66896034492171 47.8162985245077,-3.67352606360507 47.8124841458247,-3.67910814771021 47.8093427861809,-3.68549214848414 47.806995036169,-3.6924329436934 47.8055310065664,-3.69966412536868 47.8050068824286,-3.70690818863377 47.8054427755851,-3.71388713751362 47.8068219563021,-3.72033310901854 47.8090914929504,-3.72599861618963 47.8121642755872,-3.73066602417284 47.8159223472817,-3.73415590044029 47.820221417627,-3.73633392031813 47.8248963879408,-3.7371160609548 47.8297676788342,-3.7364718793084 47.834648119584,-3.73442574075092 47.8393501363529,-3.73105594215328 47.8436929637396,-3.72649175409121 47.8475096020498,-3.72090848802468 47.8506532513272,-3.71452077264852 47.853002972403,-3.70757429571022 47.8544683544231,-3.70033633017122 47.8549930064384,-3.69308541369053 47.8545567362547,-3.68610058558423 47.8531763310049,-3.67965060390142 47.8509049087423,-3.67398356611385 47.8478298664779,-3.66931734009701 47.8440695051502,-3.66583117843402 47.839768463742,-3.66365884028342 47.8350921410119,-3.66288348350567 47.8302203222416)))', 'FRRA3', 'Rosbras', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.0953002188665 48.6327100278648,-2.09611168568367 48.627840736515,-2.09834031250229 48.623169908923,-2.10190011865908 48.6188769622435,-2.10665408478048 48.6151267560752,-2.11241945141577 48.6120632746517,-2.11897475249336 48.6098041139998,-2.12606831180837 48.6084359828233,-2.13342787822747 48.6080113869755,-2.14077103489677 48.6085466224134,-2.14781599050895 48.6100211521431,-2.15429234729987 48.6123783906171,-2.15995144122291 48.6155278661702,-2.16457586467982 48.6193486802254,-2.16798781092002 48.6236941329953,-2.17005592105223 48.6283973410026,-2.1707003684518 48.6332776335915,-2.16989597968293 48.6381474851633,-2.16767326393121 48.6428197183944,-2.16411730195399 48.6471147021345,-2.15936452788282 48.6508672666612,-2.15359751968839 48.6539330687021,-2.14703799335367 48.6561941589376,-2.13993826834023 48.6575635349019,-2.13257153445363 48.6579885012337,-2.12522129973089 48.6574527055732,-2.11817043304991 48.6559767702032,-2.1116902320819 48.6536174946674,-2.10602994611404 48.6504656607556,-2.10140716422142 48.6466425260834,-2.09799944324024 48.6422951437312,-2.09593749880398 48.6375906909373,-2.0953002188665 48.6327100278648)))', 'FRRCM', 'Saint-Briac-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.947189569118083 45.9323620774364,-0.948057485825647 45.9274996786179,-0.950267810237824 45.9228488245299,-0.953735319554562 45.9185881662376,-0.958326583898248 45.9148813293017,-0.963865120544699 45.9118706423576,-0.970138182508639 45.9096716862142,-0.976904919651521 45.9083688701081,-0.983905600928334 45.9080122023914,-0.990871548458743 45.9086153775622,-0.997535408827932 45.910155251818,-1.00364137505604 45.9125727270108,-1.00895497433432 45.915775009859,-1.0132720518826 45.9196391613954,-1.01642660976349 45.9240168027554,-1.01829720045885 45.9287397992969,-1.01881162735472 45.9336267073499,-1.01794976646183 45.9384897380709,-1.01574439376912 45.9431419721541,-1.0122799782225 45.9474045484427,-1.00768947870063 45.9511135493786,-1.0021492614896 45.9541263168772,-0.995872329424563 45.9563269533838,-0.989100121831624 45.9576307938416,-0.98209320258271 45.95798767395,-0.975121199233786 45.9573838668761,-0.968452387143973 45.9558426126241,-0.962343327147959 45.953423219434,-0.957028963052139 45.9502187725855,-0.952713566072277 45.9463525404952,-0.949562878293639 45.941973218773,-0.947697758046131 45.9372491978808,-0.947189569118083 45.9323620774364)))', 'FRRCO', 'Rochefort', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.03499814659172 44.6294029264338,-1.03583519461615 44.6245383592036,-1.03798479278035 44.6198838428283,-1.04136406996988 44.615618172806,-1.04584299781472 44.6119051722753,-1.05124941256764 44.6088874122438,-1.05737563742455 44.6066807505355,-1.06398644988556 44.6053698966087,-1.07082809005106 44.6050051700843,-1.07763796840817 44.6056005754532,-1.08415470672667 44.6071332656716,-1.09012813381751 44.6095444149896,-1.09532885942847 44.6127414682539,-1.09955706443382 44.6166016819598,-1.10265017334425 44.6209768233651,-1.10448911528433 44.6256988497864,-1.10500293084019 44.6305863524416,-1.10417154305086 44.6354515193297,-1.10202657937289 44.6401073508793,-1.09865020536243 44.6443748513695,-1.09417200740638 44.6480899189895,-1.08876403813219 44.6511096680361,-1.08263421100499 44.6533179378759,-1.07601829693743 44.6546297742269,-1.0691708325029 44.6549947079026,-1.06235529390727 44.6543987028753,-1.0558339211015 44.6528646974816,-1.04985759083353 44.6504517176949,-1.04465613533758 44.6472525973411,-1.04042948485692 44.6433903946205,-1.03733997821783 44.6390136450847,-1.03550613788235 44.6342906362401,-1.03499814659172 44.6294029264338)))', 'FRRE2', 'Le Rocher', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.23167539974692 49.4694202813453,-1.23258712895807 49.4645589858443,-1.23493612455902 49.4599069816761,-1.23863177229721 49.4556429557821,-1.24353183371594 49.4519306500173,-1.24944794515774 49.4489125872573,-1.25615286503737 49.4467046154555,-1.26338918961286 49.4453914761066,-1.27087920491915 49.4450235643246,-1.27833550233294 49.4456150025211,-1.28547195843621 49.4471431001505,-1.29201466709 49.4495492199114,-1.29771241322545 49.4527410179932,-1.30234629377984 49.456595974264,-1.30573812109138 49.4609660795456,-1.30775728720028 49.4656835030453,-1.30832582277489 49.4705670252595,-1.30742145024954 49.4754289916884,-1.30507850522878 49.4800825217344,-1.30138668081956 49.4843486961554,-1.29648763341076 49.488063446003,-1.29056957228471 49.491083876312,-1.28386003584724 49.4932937786912,-1.27661713066904 49.4946081177327,-1.26911957255291 49.4949763156797,-1.26165591844788 49.4943842065546,-1.25451341176269 49.492854583046,-1.24796687978294 49.4904463147568,-1.24226811964354 49.4872520725919,-1.23763618877883 49.4833947487727,-1.23424897802685 49.4790227129151,-1.23223639251766 49.4743040897241,-1.23167539974692 49.4694202813453)))', 'FRRO3', 'Ravenoville', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.56257017491259 48.2805147865414,-4.56314065616609 48.2756309400612,-4.56512727908263 48.2709152026611,-4.56845334957826 48.2665487313342,-4.57299080473152 48.2626992213748,-4.5785651711699 48.2595144780489,-4.58496228531712 48.2571167561797,-4.59193651495244 48.2555980821862,-4.59922016746912 48.2550167352824,-4.60653372803453 48.255395020376,-4.61359654165674 48.2567184163586,-4.62013753767348 48.2589361316898,-4.62590559375888 48.2619630462982,-4.63067914921628 48.2656829666801,-4.6342747037788 48.2699530715314,-4.63655387771451 48.2746093800418,-4.63742876069547 48.2794730357836,-4.63686533919991 48.2843571674189,-4.63488486330248 48.2890740645056,-4.63156309125975 48.2934423934993,-4.62702743159236 48.2972941762929,-4.62145208432532 48.3004812616021,-4.61505136235601 48.3028810380581,-4.60807144716284 48.3044011664492,-4.60078089692751 48.3049831461425,-4.59346027659886 48.3046045758934,-4.5863913159549 48.3032800202231,-4.57984602148684 48.3010604472239,-4.57407616992043 48.2980312597806,-4.569303595297 48.2943089974157,-4.56571164855919 48.2900368379788,-4.56343816017976 48.285379075072,-4.56257017491259 48.2805147865414)))', 'FRRO4', 'Roscanvel', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.94522611951813 48.7333160688098,-3.94586049241326 48.728435276239,-3.94792174234121 48.7237301118291,-3.95133030345399 48.7193813217856,-3.95595494420634 48.7155559178684,-3.96161784728589 48.7124007759465,-3.96810145736614 48.7100370117567,-3.97515683138644 48.7085553469475,-3.98251317204621 48.7080126403882,-3.98988818320586 48.7084297153614,-3.99699885700711 48.7097905642896,-4.00357228746843 48.7120429608047,-4.00935610442526 48.7151004561096,-4.01412813498679 48.7188456845232,-4.01770492684903 48.7231348536985,-4.01994880817058 48.7278032499999,-4.02077321123569 48.7326715505827,-4.02014605033932 48.7375527023102,-4.01809101633647 48.7422591050482,-4.01468672875742 48.7466098240674,-4.01006376854027 48.7504375539389,-4.00439969715001 48.7535950646886,-3.99791224777667 48.7559608799469,-3.99085094797791 48.7574439658084,-3.98348749720077 48.7579872470614,-3.9761052740369 48.757569812931,-3.96898838430799 48.7562077256735,-3.9624106803148 48.7539534001814,-3.95662518282796 48.7508935789215,-3.95185432058261 48.7471459816806,-3.94828136801602 48.7428547614381,-3.94604341247105 48.7381849440856,-3.94522611951813 48.7333160688098)))', 'FRROS', 'Roscoff', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.74289125593776 47.8202461490419,-3.74353467310836 47.8153656642285,-3.74557907021677 47.8106634749688,-3.74894554775317 47.8063202143742,-3.75350450554132 47.8025026845073,-3.7590806578345 47.799357462569,-3.76545978266252 47.7970052875368,-3.77239694408311 47.7955364400102,-3.77962587293275 47.7950072898124,-3.78686915044868 47.7954381414442,-3.79384881083758 47.7968124584148,-3.8002969642022 47.7990774955593,-3.80596604055476 47.8021463155226,-3.81063826895763 47.8059011135029,-3.81413403281061 47.8101977249399,-3.81631878227416 47.8148711458739,-3.81710823672471 47.8197418568398,-3.81647167251957 47.8246227098786,-3.81443316231331 47.8293261158099,-3.81107070938874 47.8336712562953,-3.80651330121106 47.8374910430761,-3.8009359876118 47.8406385553569,-3.7945531673584 47.8429927054762,-3.78761033898765 47.8444629121451,-3.78037463440524 47.8449925986231,-3.77312450391887 47.8445613787655,-3.76613895662555 47.8431858451222,-3.75968677865087 47.8409189280857,-3.75401615269262 47.8378478512079,-3.74934508560081 47.8340907628855,-3.74585301717548 47.8297921763626,-3.74367393466032 47.8251173962875,-3.74289125593776 47.8202461490419)))', 'FRRR2', 'Raguenes', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.71778156607787 49.3482513649998,-0.718741241720047 49.3433947583416,-0.721132246136467 49.3387537496042,-0.724862357908566 49.3345066009117,-0.729788022557694 49.3308164043953,-0.735719900843178 49.3278248334421,-0.742430152260523 49.3256467193726,-0.749661172767856 49.3243656587549,-0.757135453721618 49.324030817103,-0.764566189325876 49.3246550493264,-0.771668233608284 49.3262144076734,-0.778168995671703 49.3286490557834,-0.783818864031544 49.3318655546659,-0.788400767202248 49.3357404348017,-0.791738507972944 49.3401249199233,-0.793703552283812 49.3448506241424,-0.794220009157906 49.3497360065627,-0.793267604203136 49.3545933378275,-0.790882523762455 49.3592359124083,-0.787156087383147 49.3634852297959,-0.782231289997947 49.3671778676952,-0.776297338813163 49.3701717810407,-0.769582389912279 49.3723517819039,-0.762344762486126 49.3736339864689,-0.754862971022443 49.373969055066,-0.747424964725507 49.3733440982353,-0.740316996465856 49.3717831740435,-0.733812559012792 49.3693463572372,-0.728161823394977 49.3661274169714,-0.723581993128843 49.3622501944441,-0.720248949843189 49.3578638225302,-0.718290512447996 49.353136974365,-0.71778156607787 49.3482513649998)))', 'FRRTB', 'Port-en-Bessin-Huppain', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.24151040731368 49.6794217858466,-1.24242562837806 49.6745606142401,-1.2447843168664 49.6699086729806,-1.24849548188174 49.6656446460231,-1.25341628594165 49.6619322744013,-1.25935756741158 49.6589140824987,-1.26609111857093 49.656705922202,-1.27335843833858 49.6553925413712,-1.28088062592859 49.6550243438052,-1.28836904136974 49.6556154626772,-1.29553633192773 49.6571432199,-1.30210741066762 49.6595489918201,-1.30782997499095 49.6627404488537,-1.31248416895144 49.6665950849979,-1.31589102313557 49.6709649044069,-1.31791934917438 49.6756820881552,-1.31849082141897 49.6805654265504,-1.3175830444254 49.6854272723803,-1.31523047965318 49.6900807494962,-1.3115231857194 49.6943469401235,-1.30660341076874 49.6980617738293,-1.30066015976188 49.7010823514005,-1.29392194026234 49.7032924577537,-1.28664796406336 49.7046070487593,-1.27911814533287 49.7049755363797,-1.27162228581535 49.7043837432836,-1.26444887153948 49.702854450203,-1.2578739217211 49.7004465146119,-1.25215032829461 49.6972525954938,-1.24749810387662 49.6933955736818,-1.24409591803443 49.6890238082176,-1.24207424842387 49.6843054142959,-1.24151040731368 49.6794217858466)))', 'FRRUB', 'Roubaril', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.26249204323401 48.3804177679452,-4.26309214623021 48.3755352405845,-4.26511024245672 48.3708244990424,-4.26846842872072 48.3664665064559,-4.27303741016531 48.3626286307822,-4.27864150565393 48.3594582292761,-4.28506541385677 48.3570770054307,-4.29206247781617 48.3555763522312,-4.29936413183448 48.3550138576081,-4.30669017251573 48.3554111037125,-4.31375946680408 48.3567528427186,-4.32030069461048 48.3589875800409,-4.32606272246172 48.3620295429675,-4.33082421756091 48.3657619606119,-4.33440213840063 48.3700415315935,-4.33665877795401 48.3747039107518,-4.33750708744467 48.3795700071239,-4.336914071315 48.3844528538534,-4.33490211539127 48.3891647879299,-4.33154818806138 48.3935246646638,-4.32698093579778 48.397364829254,-4.3213757764838 48.4005375759789,-4.31494817340589 48.4029208443071,-4.30794534603237 48.4044229299992,-4.30063673748882 48.4049860270403,-4.29330360993571 48.4045884615666,-4.28622817534203 48.403245530025,-4.27968268860321 48.401008908554,-4.27391893157594 48.3979646567104,-4.26915850030743 48.3942298938474,-4.26558427434535 48.3899482783843,-4.26333339820439 48.3852844667347,-4.26249204323401 48.3804177679452)))', 'FRRV4', 'Rostiviec', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.51201682997177 49.0195163613745,-1.51289187806436 49.0146521583136,-1.51519250307315 49.0099936647632,-1.51882995551051 49.0057198197944,-1.52366423501503 49.0019947454102,-1.52950950309467 48.9989614576172,-1.5361412337876 48.9967363911606,-1.54330482611591 48.9954049451805,-1.55072534980832 48.9950182179092,-1.55811805561508 48.9955910533895,-1.56519925466586 48.9971014737067,-1.57169715838872 48.9994915181476,-1.57736227182605 49.0026694578619,-1.58197694873086 49.0065133028445,-1.58536374624678 49.0108754692089,-1.58739225955339 49.0155884305361,-1.5879841714908 49.0204711391903,-1.587116317334 49.0253359733709,-1.58482163858699 49.0299959445366,-1.58118797947338 49.0342718886629,-1.57635476285478 49.0379993641694,-1.57050766540727 49.0410349895006,-1.56387149159622 49.0432619740421,-1.55670151882361 49.0445946266424,-1.54927364872613 49.044981665372,-1.54187374897834 49.0444081987713,-1.53478660366402 49.0428963008376,-1.5282849066202 49.0405041572379,-1.52261873030263 49.0373238164008,-1.51800588277094 49.0334776338808,-1.51462352837489 49.0291135494328,-1.5126013955098 49.0243993814866,-1.51201682997177 49.0195163613745)))', 'FRRVM', 'Regneville-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.997380023450344 45.6323809047974,-0.998238059578893 45.6275177347931,-1.00043157194654 45.6228654140972,-1.00387598787177 45.6186026511446,-1.00843876716824 45.6148931536346,-1.01394452184885 45.6118793537617,-1.02018176263168 45.6096769531354,-1.02691101203368 45.6083704942137,-1.03387397446501 45.6080101257417,-1.040803415923 45.6086096843269,-1.04743338066149 45.6101461645467,-1.05350936024432 45.6125605976783,-1.05879803199422 45.6157603060889,-1.06309619899243 45.6196224484306,-1.06623859209786 45.6239987218769,-1.06810423520266 45.6287210434989,-1.0686211270057 45.6336079951583,-1.06776905444012 45.6384717864427,-1.06558042259044 45.6431254694206,-1.06213906112381 45.6473901282622,-1.05757704521248 45.6511017666367,-1.05206964662418 45.6541176264222,-1.04582860491004 45.6563216924062,-1.03909397621023 45.6576291685948,-1.03212487506437 45.657989751373,-1.02518947003966 45.6573895715072,-1.01855462478206 45.6558517290043,-1.01247559074277 45.6534353999827,-1.0071861556119 45.6502335507074,-1.00288963252513 45.6463693484536,-0.999751040352139 45.6419914096507,-0.997890776543016 45.6372680707627,-0.997380023450344 45.6323809047974)))', 'FRRYN', 'Royan', 'Y'),('SRID=4326;MULTIPOLYGON(((5.18424329673316 43.332350880776,5.18341055756207 43.3274868752657,5.18129423501412 43.3228348900889,5.1779759027107 43.3185736255732,5.17358323389658 43.3148667394032,5.16828507204586 43.3118565726201,5.16228493695086 43.3096586966458,5.15581321663876 43.3083574882862,5.1491183431746 43.3080029002862,5.14245728697668 43.3086085495598,5.13608572865975 43.3101511953689,5.13024827896169 43.3125716272858,5.12516911568593 43.3157769295955,5.12104339183193 43.3196440367865,5.11802974156907 43.3240244457989,5.11624417117562 43.328749906531,5.11575557163534 43.3336388744122,5.11658302977606 43.3385034790815,5.11869504756444 43.3431567425932,5.1220107067395 43.3474197700048,5.12640274101643 43.3511286352472,5.1317024035244 43.3541406959833,5.13770594601028 43.3563400924538,5.14418246170271 43.3576422163711,5.15088278848309 43.3579969756045,5.15754912571441 43.3573907271715,5.1639249887918 43.3558468030266,5.16976511161644 43.3534246082129,5.17484490942599 43.3502173268307,5.17896913261971 43.3463483256872,5.1819793754908 43.3419663961794,5.1837601505057 43.3372400198904,5.18424329673316 43.332350880776)))', 'FRRYR', 'Carry-le-Rouet', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-2.86307917289867 47.5499618669738,-2.86380122884356 47.5450862153151,-2.86591399662129 47.5403995911272,-2.86933596098433 47.5360820254621,-2.87393540307772 47.5322993308836,-2.87953549487859 47.5291967459913,-2.88592110575912 47.5268933734857,-2.89284705793888 47.5254776225516,-2.90004751540508 47.5250038277643,-2.90724615052823 47.5254901719619,-2.91416670515619 47.5269179912576,-2.92054354912229 47.529232488329,-2.92613183918993 47.5323448271709,-2.93071689547516 47.5361355304881,-2.9341224400009 47.5404590516683,-2.93621738254668 47.5451493485915,-2.93692089129096 47.5500262480318,-2.9362055484152 47.5549023585875,-2.93409846193143 47.5595902681648,-2.9306802821621 47.5639097500234,-2.92608215179164 47.5676946998764,-2.92048069914396 47.5707995357792,-2.91409126202246 47.5731048123354,-2.90715960071763 47.5745218304854,-2.89995242040524 47.5749960627316,-2.89274707220821 47.5745092596366,-2.88582083628435 47.5730801549502,-2.87944020772655 47.5707637416842,-2.87385060594075 47.5676491475673,-2.86926691050708 47.5638561932401,-2.86586519222426 47.5595307680104,-2.86377595880155 47.5548392038725,-2.86307917289867 47.5499618669738)))', 'FRRZN', 'Arzon', 'Y'),('SRID=4326;MULTIPOLYGON(((5.15424228889442 43.3293598978101,5.15341198708849 43.3244956196096,5.1512980461108 43.3198430258794,5.14798194823747 43.315580840478,5.14359128112607 43.3118727565759,5.13829481166796 43.3088611612767,5.13229599496822 43.3066616808662,5.125825168695 43.3053587537118,5.11913073077122 43.3050023984674,5.11246963496947 43.3056062997911,5.10609756338085 43.3071472839476,5.10025914629187 43.3095662042211,5.0951785984023 43.3127702028911,5.09105112558029 43.3166362645099,5.08803542885635 43.3210159262311,5.08624759284621 43.3257409667667,5.08575659538369 43.3306298578376,5.08658161535472 43.3354947322046,5.08869124846854 43.3401486017281,5.09200466828208 43.3444125483217,5.09639469484848 43.3481226106898,5.10169265879427 43.351136100525,5.10769487749284 43.3533371031158,5.11417049535275 43.3546409483561,5.12087038497505 43.3549974778219,5.12753676261474 43.3543929803312,5.13391314206812 43.3528507203806,5.13975423721512 43.350430038914,5.1448354256463 43.3472240617778,5.14896140397759 43.3433561056235,5.1519736987018 43.338974921723,5.15375674312703 43.3342489631022,5.15424228889442 43.3293598978101)))', 'FRS22', 'Sausset-les-Pins', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.54235626578235 48.5705105035124,-4.54293127768239 48.5656269406475,-4.54493047126678 48.5609116425712,-4.54827666395433 48.5565457485651,-4.55284101590718 48.552696930548,-4.55844801882383 48.5495129658255,-4.56488225615377 48.5471160779582,-4.57189667261953 48.5455982602059,-4.57922203661978 48.5450177581691,-4.58657723671723 48.5453968440871,-4.59368002409866 48.5467209664138,-4.60025779734746 48.5489393065207,-4.60605802445388 48.5519667215132,-4.61085790972669 48.5556870000264,-4.61447293985182 48.5599573083357,-4.61676398310979 48.5646136589239,-4.61764266768134 48.5694771944584,-4.61707482759829 48.574361048425,-4.61508187635856 48.5790775207164,-4.6117400462035 48.5834452932876,-4.60717751281463 48.5872964082258,-4.60156950763245 48.59048273854,-4.59513159979216 48.5928817005296,-4.58811140337254 48.5944009851682,-4.58077902992089 48.5949821235351,-4.57341665800099 48.5946027465151,-4.56630762827221 48.5932774499721,-4.55972549249254 48.5910572312987,-4.55392344682716 48.5880275193845,-4.54912456382532 48.58430487528,-4.54551320421325 48.5800324928496,-4.5432279409075 48.5753746753764,-4.54235626578235 48.5705105035124)))', 'FRS29', 'Saint-Pabu', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.947338604267402 45.6993645909877,-0.948202189903582 45.6945019429895,-0.950402627322391 45.6898507512504,-0.953855077129313 45.6855896804103,-0.958426690345184 45.6818823727446,-0.963941739984932 45.6788711759701,-0.970188380516998 45.6766716914595,-0.976926774502804 45.6753683495579,-0.983898276330811 45.6750111793373,-0.990835325149042 45.6756138947532,-0.997471673895375 45.6771533694275,-1.00355256938963 45.6795705199713,-1.00884450009805 45.6827725647199,-1.01314414338137 45.6866365728652,-1.01628617241791 45.6910141700808,-1.01814962381966 45.6957372226152,-1.01866257910992 45.7006242841301,-1.01780497518122 45.7054875597366,-1.01560942865045 45.7101401209604,-1.01216003431902 45.7144030946704,-1.00758917599718 45.7181125488964,-1.00207246574331 45.7211258091276,-0.995822001901601 45.7233269598485,-0.989078203974629 45.7246313170484,-0.982100540275451 45.7249886970849,-0.975157509745985 45.7243853540602,-0.968516270110475 45.7228445099001,-0.962432319142893 45.7204254564856,-0.957139633544629 45.7172212651764,-0.952841650879203 45.7133551935749,-0.949703445153424 45.7089759301501,-0.947845397690685 45.7042518623184,-0.947338604267402 45.6993645909877)))', 'FRUCM', 'L''Eguille', 'Y'),('SRID=4326;MULTIPOLYGON(((3.03387439540604 42.6199949922566,3.03322091402659 42.6151144493285,3.03129106758505 42.6104218183112,3.02815926897015 42.606097373166,3.02394603823355 42.6023072084375,3.01881334577182 42.5991968702609,3.01295837910023 42.5968857794952,3.00660597406929 42.5954626588119,3 42.5949821369894,2.99339402593071 42.5954626588119,2.98704162089977 42.5968857794952,2.98118665422818 42.5991968702609,2.97605396176645 42.6023072084375,2.97184073102985 42.606097373166,2.96870893241495 42.6104218183112,2.96677908597341 42.6151144493285,2.96612560459396 42.6199949922566,2.96677389637228 42.6248759122029,2.96869934328177 42.6295696168774,2.97182820222228 42.6338956688645,2.97604040068121 42.6376877289924,2.98117412541756 42.6407999625689,2.98703203176228 42.6431126601772,2.99338883632654 42.6445368545186,3 42.6450177533597,3.00661116367346 42.6445368545186,3.01296796823772 42.6431126601772,3.01882587458244 42.6407999625689,3.02395959931879 42.6376877289924,3.02817179777772 42.6338956688645,3.03130065671823 42.6295696168774,3.03322610362771 42.6248759122029,3.03387439540604 42.6199949922566)))', 'FRS2C', 'Saint-Cyprien, Pyrénées-Orientales', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.334008640192 46.1994810314513,-1.33484751210515 46.1946155070999,-1.33703686699046 46.1899570805312,-1.34049228074223 46.1856846949952,-1.3450807813212 46.1819624269162,-1.35062598645281 46.1789331971169,-1.35691488922662 46.1767132972856,-1.36370602974738 46.1753879391719,-1.37073874096553 46.1750079947904,-1.37774311844389 46.1755880506587,-1.38445033813588 46.1771058494488,-1.39060293392774 46.1795031401783,-1.39596464804999 46.1826879050454,-1.40032948246825 46.1865378791066,-1.40352960765443 46.1909052300387,-1.40544182598906 46.1956222209959,-1.40599233934334 46.2005076417162,-1.40515963261423 46.2053737630087,-1.40297535519482 46.2100335487911,-1.39952315819291 46.2143078488856,-1.39493552392632 46.2180322953939,-1.38938870278044 46.2210636358474,-1.38309594768835 46.2232852572295,-1.37629930502559 46.2246116857001,-1.36926027949341 46.2249918862921,-1.36224973682702 46.2244112334822,-1.35553743966785 46.2228920754773,-1.34938162712828 46.2204928701884,-1.34401904669802 46.2173059268916,-1.33965582829803 46.2134538421768,-1.33645955543141 46.2090847696948,-1.33455283923661 46.2043667083818,-1.334008640192 46.1994810314513)))', 'FRS2R', 'Saint-Martin-de-Ré', 'Y'),('SRID=4326;MULTIPOLYGON(((0.912648511134457 49.8907024715474,0.912116106806802 49.8858178153299,0.910119275985162 49.8810941017002,0.906735141699935 49.8767127930239,0.902094027487636 49.8728421505,0.896374407691483 49.8696307847383,0.889796030824523 49.8672019654254,0.882611482949859 49.8656489056137,0.87509651401745 49.8650311985978,0.867539493875257 49.8653725414299,0.860230395124429 49.8666598304928,0.853449716390363 49.8688436629428,0.847457761568297 49.8718402250724,0.842484678142568 49.8755344965602,0.838721631070092 49.8797846499929,0.836313448602471 49.884427479716,0.835353023811982 49.8892846546507,0.835877691911821 49.8941695576903,0.837867730592363 49.8988944509455,0.841247050864412 49.9032776924637,0.84588606208167 49.9071507267885,0.851606610064067 49.9103645791804,0.858188804991969 49.9127956013857,0.865379479537818 49.9143502449814,0.872901951021154 49.9149686755558,0.880466707397431 49.9146270859013,0.887782598292636 49.9133386172116,0.894568091038251 49.9111528519183,0.900562148849765 49.908153897987,0.905534304082981 49.9044571398694,0.909293533091236 49.9002047835455,0.911695588889303 49.8955603700398,0.912648511134457 49.8907024715474)))', 'FRSBI', 'Saint-Aubin-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.74538210288505 48.5169229440706,-2.74612927859176 48.5120489030091,-2.74829296379138 48.5073653293666,-2.75178967006285 48.5030521338193,-2.75648479613193 48.4992749568088,-2.76219783461384 48.4961788203169,-2.76870932031192 48.4938825749513,-2.77576925134204 48.4924743526683,-2.7831066614333 48.4920081968385,-2.79043998089023 48.492501996596,-2.79748779595619 48.4939368031585,-2.80397960237538 48.4962575538202,-2.80966614914528 48.4993751764268,-2.81432898277799 48.5031699952098,-2.81778883051 48.5074963096914,-2.81991250212191 48.5121879737535,-2.82061804327701 48.5170647635268,-2.81987793706903 48.5219392919771,-2.81772022285033 48.5266242061964,-2.81422748001473 48.5309393914184,-2.80953370643879 48.5347189042917,-2.80381920360133 48.5378173672206,-2.79730365963275 48.5401155754185,-2.79023769425161 48.5415250981052,-2.78289319240454 48.5419916939353,-2.77555280344369 48.5414974067886,-2.76849901739471 48.5400612596479,-2.76200324754188 48.5377385193104,-2.7563153482841 48.5346185608406,-2.75165397901214 48.530821415621,-2.74819818955272 48.5264931383084,-2.7460805522896 48.5218001738438,-2.74538210288505 48.5169229440706)))', 'FRSBK', 'Saint-Brieuc', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.334680213420416 45.1791806266643,-0.335586295009641 45.1743232157133,-0.337814460462919 45.1696841220591,-0.341278817159364 45.1654415438594,-0.345846070066539 45.1617584128219,-0.351340668710433 45.1587761493021,-0.357551558494358 45.1566092458915,-0.364240276183993 45.1553408848708,-0.371150080784526 45.155019755318,-0.378015773951507 45.1556581901058,-0.384573839519555 45.1572316931607,-0.390572520357394 45.1596798749687,-0.395781452868408 45.162908761266,-0.400000495016953 45.166794388014,-0.403067412388009 45.1711875469925,-0.404864127734786 45.1759195024106,-0.405321291602444 45.18080846149,-0.404420993395857 45.1856665524707,-0.402197501727755 45.1903070431322,-0.398735997677799 45.1945515226355,-0.394169341988381 45.1982367698167,-0.388672994211647 45.2012210421567,-0.382458275233144 45.2033895412392,-0.375764231247158 45.2046588418567,-0.368848414129313 45.2049801118859,-0.361976937576192 45.2043409970678,-0.355414198222047 45.2027660970046,-0.349412664739921 45.2003160138921,-0.344203135015183 45.197085011451,-0.339985842002981 45.1931973758833,-0.336922753827423 45.1888026212339,-0.335131364774796 45.18406972622,-0.334680213420416 45.1791806266643)))', 'FRSC9', 'St Ciers-sur-Gironde', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.53275824068372 48.0205030273073,-4.5333292678738 48.0156191155509,-4.53530919231221 48.010903765237,-4.53862158245408 48.0065381189601,-4.54313890486222 48.0026898411846,-4.5486874616763 47.9995066909662,-4.55505408078253 47.9971108631391,-4.56199429933187 47.9955943124733,-4.56924172744647 47.9950152374535,-4.57651823696968 47.9953958561495,-4.58354459106463 47.9967215577708,-4.590051115069 47.9989414616989,-4.59578800763189 48.0019703628826,-4.60053490381486 48.0056919903349,-4.60410932822087 48.0099634559165,-4.60637371565998 48.014620725385,-4.60724072833448 48.0194849045113,-4.60667666058746 48.0243691013719,-4.60470279303886 48.0290856030189,-4.60139463512755 48.0334530915777,-4.59687907597164 48.0373036221137,-4.59132954499127 48.0404890926089,-4.58495936260709 48.042886954988,-4.57801353414435 48.0444049447385,-4.5707593035397 48.0449846442878,-4.56347583456827 48.0446037404873,-4.55644342358094 48.0432768875318,-4.54993266734756 48.0410551413204,-4.54419401153719 48.0380239873757,-4.53944808952567 48.0343000396469,-4.53587722840018 48.0300265395145,-4.53361845087292 48.0253678309625,-4.53275824068372 48.0205030273073)))', 'FRSE2', 'Saint-Evette', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99225134699721 48.7003313139353,-3.99288080108345 48.6954502680302,-3.99493635413478 48.69074427419,-3.99833865949445 48.6863941108329,-4.00295672588304 48.6825668427978,-4.00861298811693 48.6794094178125,-4.01509014525151 48.6770430394577,-4.02213950121043 48.675558529819,-4.02949048894012 48.6750128569391,-4.03686101711784 48.6754269578392,-4.04396824953666 48.6767849389123,-4.05053941219956 48.6790346836626,-4.05632222222817 48.6820898448955,-4.06109454594463 48.6858331464046,-4.06467292059945 48.6901208697849,-4.06691961452426 48.6947883569854,-4.06774795294213 48.6996563202482,-4.067125699811 48.7045377196556,-4.06507635801361 48.7092449458766,-4.0616783286002 48.7135970328745,-4.05706195187572 48.7174266229538,-4.05140453578661 48.7205864148767,-4.04492355694031 48.7229548447175,-4.03786829323359 48.7244407780704,-4.03051021112145 48.7249870301445,-4.02313248198317 48.7245725757418,-4.01601903830784 48.7232133622867,-4.00944359970053 48.7209616938943,-4.00365910001299 48.7179042106166,-3.99888793015719 48.7141585421703,-3.99531337721664 48.7098687673051,-3.9930725910378 48.7051998563918,-3.99225134699721 48.7003313139353)))', 'FRSE3', 'Santec', 'Y'),('SRID=4326;MULTIPOLYGON(((3.71730314538723 43.3997899804267,3.71658651574456 43.3949144283372,3.71457950209712 43.3902344754608,3.71135948846375 43.385929903587,3.70705038502276 43.3821660388462,3.70181784100673 43.3790874129605,3.69586287094031 43.3768122259262,3.68941414034373 43.3754278203486,3.68271920573343 43.3749873388181,3.67603504138089 43.3755076906769,3.66961821077977 43.3769689049515,3.66371505342622 43.3793148939004,3.65855225699992 43.3824555984297,3.65432817135414 43.3862704344426,3.6512051942377 43.390612909887,3.64930352009766 43.3953162376395,3.64869649373811 43.4001997310649,3.64940775152062 43.4050757386032,3.6514102660641 43.4097568522853,3.65462733829721 43.4140631136,3.6589355058435 43.4178289392147,3.66416926195258 43.4209094988822,3.67012740757034 43.4231862982054,3.67658079372789 43.4245717491224,3.68328115514151 43.4250125498993,3.6899706913574 43.4244917425912,3.69639202106369 43.42302936751,3.70229811981601 43.4206816891195,3.70746185213369 43.417539023716,3.71168472568322 43.4137222539217,3.71480452724712 43.4093781661893,3.71670154582767 43.4046737930981,3.71730314538723 43.3997899804267)))', 'FRSET', 'Sète', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.56185525326766 49.2295313256512,-1.56272958229853 49.2246669057583,-1.56503572155793 49.2200076304897,-1.56868470523087 49.2157324686128,-1.57353608662504 49.2120055920293,-1.57940336855005 49.2089700850386,-1.58606117951535 49.2067424665946,-1.59325391860737 49.2054082328891,-1.60070553928686 49.2050185884741,-1.60813010202007 49.2055884890182,-1.61524269865657 49.2070960693206,-1.62177033845089 49.2094834781505,-1.62746238690618 49.2126590886492,-1.63210016417532 49.2165010012853,-1.63550533923285 49.2208617075058,-1.63754679871651 49.2255737380258,-1.63814572412922 49.2304560817935,-1.63727867645977 49.2353211315122,-1.63497856124189 49.2399818904331,-1.63133342718524 49.244259163917,-1.62648313491234 49.2479884585891,-1.62061401580348 49.251026322018,-1.61395172104264 49.2532558765036,-1.60675253416021 49.2545913311088,-1.59929348331371 49.2549812954103,-1.5918616392137 49.2544107650399,-1.58474301853388 49.2529017010837,-1.57821152912608 49.2505121806457,-1.57251839155532 49.2473341520581,-1.5678824514754 49.2434898829843,-1.56448176021522 49.2391272407236,-1.56244674851914 49.2344139893052,-1.56185525326766 49.2295313256512)))', 'FRSG9', 'Saint-Germain-sur-Ay', 'Y'),('SRID=4326;MULTIPOLYGON(((6.15110470525268 43.1178548950356,6.15067571725925 43.1129643012212,6.14895281355149 43.1082289776093,6.1460024780235 43.103830851903,6.14193828835825 43.0999388583253,6.13691652125844 43.0967024582584,6.13113013287662 43.0942459126127,6.1248013478662 43.0926635235911,6.11817314118696 43.0920160261206,6.11149993669848 43.0923282652919,6.10503787452804 43.0935882473283,6.09903501445129 43.0957475996841,6.09372184468581 43.0987234227131,6.08930245453055 43.102401462846,6.08594670549542 43.1066404872407,6.08378369961214 43.1112776942236,6.08289679651941 43.116134954191,6.08332037406893 43.1210256434918,6.0850384623832 43.1257618104338,6.0879853106677 43.1301613989247,6.09204787214084 43.1340552520458,6.09707011797803 43.1372936253165,6.10285901914404 43.139751957424,6.10919196843722 43.1413356741927,6.11582535692335 43.1419838385578,6.12250397185911 43.1416715038998,6.12897084942492 43.1404106785326,6.13497719674444 43.1382498633914,6.14029199469914 43.1352721808184,6.14471090611365 43.1315921674818,6.14806414236273 43.127351356626,6.15022298396396 43.122712821897,6.15110470525268 43.1178548950356)))', 'FRSH8', 'Salins d''Hyères', 'Y'),('SRID=4326;MULTIPOLYGON(((0.0525624757884296 45.5839239046778,0.0521343222410629 45.57903452854,0.0503562282902367 45.5742977400013,0.0472968363914544 45.5698955185699,0.0430739427237328 45.5659969482669,0.0378499361315037 45.5627517336666,0.0318255416685911 45.5602844643723,0.025232111568789 45.5586898456762,0.0183227591560261 45.5580290758698,0.0113626726594786 45.5583275068811,0.00461897497357053 45.5595736762528,-0.00164948865253668 45.5617197467199,-0.00720205058570287 45.564683336629,-0.0118254351641904 45.5683506720588,-0.0153419385585122 45.5725809415895,-0.0176162622699559 45.5772116890209,-0.0185607370134573 45.5820650396238,-0.0181387325508202 45.5869545232161,-0.0163661162641149 45.5916922337757,-0.0133106966846514 45.5960960514254,-0.00908966524165496 45.5999966491344,-0.0038651272719455 45.6032440136745,0.00216211127415975 45.6057132281334,0.00876026517749585 45.607309291085,0.015675501957677 45.6079707843628,0.0226417375431589 45.6076722458969,0.0293909128955538 45.6064251545033,0.0356633488401207 45.6042774878168,0.0412177729944323 45.6013118705011,0.0458406261912355 45.5976423851317,0.0493542854999992 45.5934101704374,0.0516238854087693 45.5887779787515,0.0525624757884296 45.5839239046778)))', 'FRSHE', 'Roullet-Saint-Estèphe', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.8127563857132 48.0305938798521,-4.81330100035259 48.0257089277428,-4.81525560823891 48.0209890872304,-4.81854474846276 48.0166156749505,-4.82304177767468 48.0127566548234,-4.82857377386552 48.0095601991152,-4.83492819732965 48.0071490136858,-4.84186105048863 48.0056156425541,-4.84910622423369 48.0050189291742,-4.85638567623147 48.0053817677378,-4.86342005734741 48.0066902290058,-4.86993938669774 48.0088940934117,-4.87569337421257 48.0119087712785,-4.8804610020048 48.0156185378226,-4.88405900198392 48.0198809610051,-4.88634890637475 48.024532355011,-4.88724239906908 48.0293940528327,-4.88670475762019 48.034279259614,-4.88475624632678 48.0390002253285,-4.88147139794783 48.0433754620393,-4.87697620243801 48.0472367280728,-4.87144330264092 48.0504355092447,-4.86508537582693 48.0528487456639,-4.85814695292715 48.0543835810669,-4.85089499099323 48.054980949077,-4.84360856579976 48.0546178558411,-4.83656808808826 48.0533082693699,-4.83004446689448 48.051102580532,-4.82428864568226 48.0480856567579,-4.81952192150148 48.0443735647505,-4.81592742487487 48.0401090905793,-4.81364309022337 48.0354562323034,-4.8127563857132 48.0305938798521)))', 'FRSI3', 'Île de Sein', 'Y'),('SRID=4326;MULTIPOLYGON(((3.013956019877 42.7700008960134,3.01330252012857 42.7651203677404,3.0113695209759 42.7604275249208,3.00823155851096 42.7561026494273,3.00400939112875 42.7523118519228,2.99886533332687 42.749200702312,2.99299700915439 42.7468886520455,2.98662976668811 42.7454644601218,2.98000804364988 42.744982796069,2.97338601208277 42.7454621483415,2.96701785579767 42.746884117101,2.96114804738112 42.7491941180639,2.95600199156997 42.752303470858,2.95177738874885 42.7560927930387,2.94863664656072 42.7604165714414,2.94670062984421 42.7651087376908,2.94604399040044 42.7699890361049,2.94669225990952 42.7748699414142,2.94862082351405 42.7795638618913,2.95175582039378 42.7838903516002,2.95597694363746 42.7876830541285,2.96112203770878 42.7907961095488,2.96699332079669 42.7931097762683,2.97336499435666 42.7945350491982,2.97999194607268 42.7950170942365,2.98661920788223 42.7945373649273,2.99299179971675 42.7931143185094,2.99886457371723 42.7908027033303,3.00401167366383 42.7876914455121,3.00823524021242 42.7839002175223,3.01137302348383 42.7795748226673,3.01330460910794 42.7748815754127,3.013956019877 42.7700008960134)))', 'FRSL5', 'Saint-Laurent-de-la-Salanque', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.841769843118514 49.3592922471384,-0.842717587799484 49.354434455352,-0.845097574383289 49.3497907369372,-0.848818003461502 49.3455394587467,-0.853735690843905 49.3418438719541,-0.859661601902329 49.3388458571377,-0.866368123658968 49.3366604929891,-0.873597794040878 49.3353716541613,-0.881073155566118 49.3350288043607,-0.888507360936504 49.3356451054474,-0.895615131604875 49.3371969137034,-0.902123658005239 49.3396246823158,-0.907783032082138 49.34283523632,-0.912375818999721 49.3467053346073,-0.915725405084639 49.3510863849354,-0.917702802433944 49.3558101339439,-0.918231646079654 49.3606951165941,-0.917291185594246 49.3655536196916,-0.914917147536627 49.3701988934321,-0.911200425706375 49.3744523341789,-0.906283639898136 49.3781503615293,-0.900355687482298 49.381150723352,-0.893644492213678 49.3833379836449,-0.886408227664717 49.3846279790841,-0.87892535522019 49.384971069879,-0.871483865648938 49.3843540574805,-0.864370146452828 49.3828006938974,-0.857857912807611 49.3803707627274,-0.852197637162495 49.3771577681651,-0.847606891607629 49.3732853228722,-0.844261979036243 49.3689023764011,-0.842291175850883 49.3641774707825,-0.841769843118514 49.3592922471384)))', 'FRSL8', 'Saint-Laurent-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.1817464746994 49.3794045194422,-1.18266121793964 49.3745435832232,-1.18501038099196 49.369892529247,-1.18870334536105 49.3656300079471,-1.19359797747369 49.3619197035756,-1.199506123384 49.3589040624911,-1.20620084782594 49.3566988400954,-1.21342513818164 49.3553886727765,-1.22090174148819 49.3550238419418,-1.22834376250922 49.3556183519891,-1.23546562417722 49.3571493945284,-1.24199397901808 49.3595582190812,-1.24767816180564 49.3627523776763,-1.2522997896362 49.3666092590747,-1.25568114549738 49.3709807796047,-1.25769202451609 49.3756990535341,-1.25825477729241 49.3805828281698,-1.25734735052084 49.385444438925,-1.25500419946767 49.390097018664,-1.25131502735618 49.3943616846701,-1.24642139042212 49.3980744261793,-1.24051129110315 49.401092425801,-1.23381196205293 49.4032995690675,-1.2265811168988 49.4046109271552,-1.21909700651299 49.4049760373725,-1.21164766901791 49.4043808527884,-1.20451979534908 49.4028482844849,-1.19798764825361 49.4004373152248,-1.19230247029339 49.3972407194915,-1.18768279587687 49.3933814795565,-1.18430604462567 49.3890080381572,-1.18230172040238 49.3842885734603,-1.1817464746994 49.3794045194422)))', 'FRSM5', 'Sainte-Marie-du-Mont', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.11285235438738 47.8803660813443,-4.11346166674122 47.8754838544878,-4.11547477628077 47.8707753837433,-4.11881398193104 47.8664215454261,-4.12335072645788 47.862589549207,-4.12891057226071 47.8594265284658,-4.13527991896114 47.8570539055198,-4.1422142025348 47.8555627453091,-4.14944726235345 47.8550102730789,-4.15670152094806 47.8554176872703,-4.16369859266945 47.8567693498489,-4.17016992242485 47.8590133844341,-4.17586705466083 47.862063659672,-4.18057114576307 47.8658030831739,-4.18410135973119 47.8700880818655,-4.18632182669239 47.8747540995168,-4.18714689549578 47.8796219032089,-4.18654447382806 47.8845044590226,-4.18453732012966 47.8892141145769,-4.18120222875327 47.8935698131799,-4.17666713057178 47.8974040619497,-4.17110621254357 47.900569384576,-4.16473323828254 47.9029440083003,-4.15779332407576 47.904436563582,-4.15055348776467 47.9049896127886,-4.14329233847889 47.9045818696396,-4.13628931091395 47.9032290222502,-4.12981386688633 47.9009831273779,-4.12411508830975 47.8979305995888,-4.11941206943795 47.8941888742022,-4.11588548303282 47.8899018747334,-4.11367064670308 47.8852344620123,-4.11285235438738 47.8803660813443)))', 'FRSM6', 'Sainte-Marine', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.97928882151872 48.6496719738471,-1.98011173963953 48.644803594118,-1.98235181120593 48.640135104857,-1.98592261644265 48.6358458327118,-1.99068671456513 48.6321004956122,-1.99646095841258 48.6290428904745,-2.00302354255169 48.626790387589,-2.01012251253459 48.6254294401659,-2.01748541054741 48.6250122785707,-2.02482969237127 48.6255549137775,-2.03187352344298 48.6270365251582,-2.03834654851636 48.6294002556675,-2.04400023030836 48.6325553846147,-2.04861736755143 48.6363807963692,-2.05202043171483 48.6407296143721,-2.05407840359573 48.645434825463,-2.05471184492287 48.650315681429,-2.05389600454583 48.6551846343092,-2.05166183174238 48.6598545405802,-2.04809484825501 48.6641458578676,-2.04333191304102 48.6678935568875,-2.03755599621776 48.6709534811427,-2.03098915791282 48.6732079072782,-2.02388400023184 48.6745700892862,-2.01651392301021 48.6749876088465,-2.00916256343742 48.6744444004879,-2.0021128336009 48.672961372096,-1.9956359867807 48.6705955964433,-1.98998114208564 48.6674381055754,-1.98536567782353 48.6636103747039,-1.98196686782782 48.6592596334523,-1.97991508364246 48.6545531877777,-1.97928882151872 48.6496719738471)))', 'FRSML', 'Saint-Malo', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.71303026256776 47.6199134781438,-2.71376723904823 47.6150388634357,-2.71589622704266 47.6103550954583,-2.71933508795196 47.6060420945482,-2.72395145457414 47.6022654970664,-2.72956785030983 47.599170306813,-2.73596852037199 47.5968753421887,-2.74290771086067 47.5954686895249,-2.75011907942891 47.595004334356,-2.75732588099114 47.5955000976147,-2.76425154457885 47.5969369544225,-2.77063024371584 47.5992597611023,-2.77621706290269 47.6023793630981,-2.78079737696325 47.6061760044889,-2.78419508777204 47.6105039105954,-2.78627940355522 47.6151968705329,-2.78696989845892 47.6200746081377,-2.78623965291961 47.6249496989438,-2.78411634662776 47.629634769067,-2.78068125319517 47.6339496999314,-2.77606616625921 47.6377285613579,-2.77044836759756 47.6408260048817,-2.76404382557901 47.6431228690617,-2.75709888357334 47.6445307783763,-2.74988075954429 47.6449955559773,-2.74266722703615 47.6444993166201,-2.73573588174395 47.6430611576653,-2.72935341513231 47.64073642103,-2.72376531626407 47.6376145550891,-2.71918640513423 47.6338156604285,-2.71579256628374 47.6294858547674,-2.71371400201549 47.6247916381802,-2.71303026256776 47.6199134781438)))', 'FRSN4', 'Sene', 'Y'),('SRID=4326;MULTIPOLYGON(((3.02490099140337 42.6689976471498,3.02424769648637 42.6641170948886,3.02231700777124 42.6594243532055,3.0191833711968 42.6550997002521,3.01496737794844 42.6513092384297,3.00983110483032 42.6481985251149,3.0039718769128 42.6458869953874,2.99761469347023 42.6444633886017,2.99100360688664 42.643982352069,2.9843923819541 42.6444623502665,2.97803478874155 42.6458849585188,2.97217489526698 42.6481955678023,2.9670377262121 42.6513054740775,2.96282064087745 42.6550952732585,2.95968575783508 42.6594194334538,2.95775371600141 42.6641118712553,2.957099013201 42.6689923202751,2.95774710518614 42.6738732493173,2.95967338236698 42.6785670657561,2.96280407042053 42.6828933278185,2.96701902704726 42.6866856881308,2.97215633325991 42.6897983002888,2.97801850670951 42.6921114401311,2.98438009969144 42.6935361231775,2.99099638850898 42.6940175382657,2.99761281637645 42.6935371632868,3.00397482112456 42.6921134802779,3.00983766311875 42.6898012618847,3.0149758687922 42.6866894571191,3.01919192102926 42.6828977590953,3.02232385853827 42.6785719887861,3.02425149083385 42.6738784747247,3.02490099140337 42.6689976471498)))', 'FRSNP', 'Saint-Nazaire, Pyrénées-Orientales', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.16326909146208 47.2827376865653,-2.16405167657314 47.2778666190349,-2.16621533132959 47.2731930117134,-2.16967659514287 47.2688963925422,-2.17430225023863 47.2651417677917,-2.17991447197489 47.2620732977722,-2.18629767207475 47.2598087762715,-2.19320677037681 47.2584351229205,-2.20037657925051 47.2580050588131,-2.20753194519022 47.2585350907303,-2.21439826534819 47.2600048798799,-2.22071198356958 47.2623580189454,-2.22623067118045 47.2655041882716,-2.23074231233984 47.2693226100682,-2.23407344184912 47.273666670422,-2.23609582420597 47.2783695344392,-2.23673141530691 47.28325054164,-2.23595541103624 47.2881221382679,-2.23379725809695 47.2927970816979,-2.23033957947618 47.2970956405786,-2.22571504713475 47.3008525133366,-2.22010131478443 47.3039231974231,-2.21371420067846 47.3061895619783,-2.2067993808498 47.3075644067828,-2.19962291398004 47.3079948293546,-2.19246096719539 47.3074642683395,-2.18558914521858 47.3059931430802,-2.17927184180684 47.303638064304,-2.17375203144639 47.3004896469699,-2.16924190090559 47.2966690111069,-2.16591468540411 47.2923231076997,-2.1638980245717 47.28761905223,-2.16326909146208 47.2827376865653)))', 'FRSNR', 'Saint-Nazaire, Loire-Atlantique', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.94299454165182 47.6699875823032,-2.9437108340687 47.6651115280878,-2.94582131233408 47.6604235299092,-2.94924454644434 47.6561036717253,-2.95384876639708 47.6523178540152,-2.95945695895319 47.6492114349523,-2.96585368156093 47.6469036639422,-2.97279332988831 47.6454831184663,-2.98000954306412 47.6450043166314,-2.98722539023912 47.6454856330988,-2.99416395451776 47.6469085968156,-3.00055891637059 47.6492185969502,-3.00616473865488 47.6523269704958,-3.01076606934578 47.656114392986,-3.01418600567504 47.6604354445281,-3.01629290389518 47.665124178645,-3.01700547126229 47.6700004828899,-3.01629593957609 47.6748769893305,-3.01419119081642 47.6795662710405,-3.01077178272203 47.6838880486559,-3.00616890281865 47.6876761294821,-3.00055936033397 47.6907848108068,-2.99415880333307 47.6930944988153,-2.98721341989913 47.6945163241806,-2.97999044402175 47.6949955739438,-2.97276783611126 47.6945138052506,-2.96582354232492 47.6930895580014,-2.95942475445823 47.690777638434,-2.9538175921294 47.6876670017719,-2.94921761137189 47.6838773170204,-2.94580150943777 47.679554348481,-2.9437003463222 47.674864334476,-2.94299454165182 47.6699875823032)))', 'FRSO6', 'Sauzon', 'Y'),('SRID=4326;MULTIPOLYGON(((9.40845543839678 41.8328859046852,9.40778162255391 41.8280069061762,9.40584832146264 41.8233199457915,9.4027300686709 41.8190050794934,9.3985468537092 41.8152280350516,9.39345948717297 41.8121338569409,9.38766341302333 41.8098413483666,9.38138120706368 41.8084385215756,9.37485404844524 41.8079792288938,9.36833248814913 41.8084811019426,9.36206686361428 41.8099248769084,9.35629772132912 41.8122551313669,9.35124660893578 41.8153824048696,9.34710758521264 41.8191866232026,9.34403977056065 41.8235216967923,9.34216122303317 41.8282211189674,9.34154437660349 41.8331043513495,9.34221322072496 41.8379837530236,9.34414233515824 41.842671788553,9.34725782373589 41.8469882382942,9.35144011775421 41.850767133413,9.35652854682367 41.8538631476857,9.36232750522271 41.8561571983681,9.36861397804736 41.8575610384411,9.37514613655459 41.8580206613155,9.38167266857492 41.8575183851013,9.38794247976888 41.8560735349901,9.39371438626688 41.8537416970877,9.39876641960072 41.8506125729077,9.40290438078781 41.846806518413,9.40596931118928 41.8424699027159,9.40784359185301 41.8377694672596,9.40845543839678 41.8328859046852)))', 'FRSOZ', 'Solenzara', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.733620682692459 45.2583030836198,-0.734494412425488 45.2534419244945,-0.736693766942593 45.2487945239533,-0.740133956537126 45.2445394010509,-0.744682609774343 45.2408399704601,-0.750164885748498 45.2378382788747,-0.756370198924518 45.2356495645362,-0.763060297279051 45.2343578461778,-0.7699783855303 45.2340127082511,-0.776858947821202 45.234627403855,-0.783437899324841 45.2361783469956,-0.789462684535359 45.2386060134536,-0.794701941802973 45.2418172164757,-0.798954368936885 45.2456886716209,-0.802056453057424 45.2500717162317,-0.803888768589189 45.2547980049338,-0.804380599225873 45.2596859649544,-0.803512701334232 45.2645477653327,-0.801318095651965 45.2691965335063,-0.79788084891889 45.273453542211,-0.793332884545309 45.277155089678,-0.787848938562847 45.2801588069384,-0.781639850749428 45.2823491473598,-0.774944447782507 45.2836418446525,-0.768020332523493 45.2839871653307,-0.76113393838762 45.2833718284733,-0.754550238048112 45.2818195176993,-0.748522509978263 45.2793899654381,-0.743282563851052 45.2761766455395,-0.73903180672903 45.2723031647199,-0.735933497246919 45.2679184940272,-0.734106486325416 45.2631912263918,-0.733620682692459 45.2583030836198)))', 'FRSPH', 'Saint-Estèphe, Médoc', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.79228315420273 48.6499381610875,-2.79302782439565 48.6450639253025,-2.79519290156715 48.6403795808886,-2.79869484092198 48.6360650680319,-2.80339883784426 48.6322860774299,-2.80912404279377 48.6291877001913,-2.81565052294305 48.6268888723515,-2.82272770128396 48.6254778244168,-2.83008395086177 48.6250087077471,-2.83743698080486 48.6254995248467,-2.84450462297507 48.6269314413909,-2.8510156140524 48.629249505844,-2.85671996802033 48.6323647496473,-2.86139854833251 48.6361575890156,-2.8648714771796 48.6404824002214,-2.86700506054577 48.6451730956111,-2.86771696107363 48.6500494891412,-2.86697941465239 48.6549242094198,-2.86482035917427 48.6596098963333,-2.86132242268679 48.6639264053125,-2.85661980040505 48.6677077417688,-2.85089313259155 48.6708084574583,-2.84436257478041 48.6731092603375,-2.83727932476635 48.6745216192183,-2.82991593386178 48.6749911831607,-2.82255578014175 48.674499881567,-2.81548211627601 48.6730666225219,-2.80896712233359 48.670746561945,-2.80326139373045 48.667628972287,-2.79858427628753 48.6638337944684,-2.79511542510444 48.6595070082242,-2.79298791340916 48.6548150018897,-2.79228315420273 48.6499381610875)))', 'FRSQ2', 'Saint-Quay-Portrieux', 'Y'),('SRID=4326;MULTIPOLYGON(((6.8012898467068 43.4176647380542,6.80080752804502 43.4127756118882,6.79902625049123 43.4080490059436,6.79601474171075 43.4036665090456,6.7918889272791 43.3997964515575,6.78680744613787 43.3965874497192,6.78096554115421 43.3941627108221,6.77458756152099 43.3926153155717,6.76791836427455 43.3920046563358,6.76121394184343 43.3923541658386,6.75473163015062 43.3936504219028,6.74872026663176 43.395843661852,6.74341066922306 43.3988496870139,6.7390067958852 43.4025530853237,6.7356779198782 43.4068116501668,6.7335521194555 43.41146182813,6.73271133293356 43.4163249889144,6.73318817263026 43.421214278798,6.73496462574923 43.4259417959856,6.73797269910123 43.4303258129237,6.74209699012376 43.434197767837,6.74717909180114 43.4374087556197,6.75302366679594 43.4398352666385,6.7594059594307 43.4413839503982,6.7660804560535 43.4419952183668,6.77279035745313 43.4416455451463,6.77927749358256 43.4403483778382,6.78529229252904 43.438153617848,6.7906034133438 43.4351456952605,6.79500666614209 43.4314403110064,6.79833287213614 43.4271799740424,6.80045435955818 43.4225285075709,6.8012898467068 43.4176647380542)))', 'FRSRL', 'Saint-Raphaël', 'Y'),('SRID=4326;MULTIPOLYGON(((6.66720234470727 43.2677029942524,6.66673148728627 43.262813456653,6.66496458743029 43.2580849846458,6.66196981896111 43.2536992397418,6.65786246389203 43.24982467807,6.65280045265118 43.24661008974,6.64697828173584 43.2441788972159,6.6406195445139 43.2426244293372,6.63396836140069 43.2420063500118,6.62728003528219 43.2423483765145,6.6208112857013 43.2436373733849,6.61481043023021 43.2458238559409,6.60950788323558 43.2488238842464,6.60510733087303 43.2525222759156,6.60177791693776 43.2567770162473,6.59964773781313 43.2614246986755,6.59879889722976 43.2662867890588,6.59926431428156 43.2711764754088,6.6010264129378 43.2759058415451,6.60401775031541 43.280293089834,6.60812356675388 43.2841695352699,6.61318616606829 43.2873861009573,6.61901096223322 43.2898190633973,6.62537396221074 43.2913748242967,6.63203039661941 43.2919935228964,6.63872416311049 43.291651347643,6.64519771389294 43.2903614566426,6.65120200045475 43.2881734707008,6.65650608607701 43.2851715586307,6.66090605036261 43.2814711896044,6.66423283904648 43.2772146793576,6.66635875541638 43.2725657039096,6.66720234470727 43.2677029942524)))', 'FRSTP', 'Saint-Tropez', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.784456247006431 45.5193158198128,-0.785330519371447 45.5144544710565,-0.787536710852136 45.5098064006681,-0.790989764852512 45.5055501530209,-0.795556812657075 45.5018491852105,-0.801062305239124 45.4988456019497,-0.807294765500427 45.496654713026,-0.814014900576493 45.4953606196709,-0.820964764699178 45.4950129967791,-0.827877625513822 45.4956251924863,-0.834488161730661 45.4971737168479,-0.840542608210763 45.4995991390175,-0.845808466356011 45.5028083592866,-0.850083412960349 45.5066781704648,-0.853203069109115 45.5110599742218,-0.855047331546865 45.5157854739403,-0.855545021048112 45.5206731279976,-0.854676664189014 45.5255351176517,-0.852475294581449 45.5301845630889,-0.849025234735161 45.5344427105972,-0.844458897532366 45.5381458138448,-0.838951723816188 45.541151443018,-0.832715446621496 45.5433439768574,-0.825989939906056 45.5446390637077,-0.819033967221883 45.5449868774237,-0.812115190897645 45.544374040818,-0.805499832806612 45.5428241414066,-0.799442392174587 45.540396819375,-0.794175823431703 45.5371854636685,-0.789902557965171 45.5333136065785,-0.786786718750863 45.5289301579069,-0.784947827950321 45.5242036646939,-0.784456247006431 45.5193158198128)))', 'FRSU6', 'Saint-Seurin-d''Uzet', 'Y'),('SRID=4326;MULTIPOLYGON(((0.768628870153179 49.8707502499761,0.768111176620477 49.8658651210621,0.766129240042594 49.8611391174185,0.762759611782645 49.8567537902791,0.758132059435229 49.8528775559233,0.752424538260239 49.8496592401951,0.745856334175846 49.8472223798459,0.738679644559162 49.845660496563,0.731169919178748 49.8450335220432,0.723615327467417 49.8453655086064,0.716305748913669 49.8466437112497,0.709521699878989 49.8488190754517,0.703523612268259 49.8518081122806,0.698541867158473 49.8554960902631,0.694767960022106 49.8597414238581,0.69234713420441 49.8643810930106,0.691372766840276 49.8692368887789,0.691882727848791 49.8741222479345,0.693857859889257 49.8788494160035,0.697222647526976 49.8832366644795,0.701848060108544 49.8871152845769,0.707556468135225 49.8903360872445,0.714128450675074 49.8927751571169,0.721311235116111 49.8943386361266,0.728828443807676 49.8949663496416,0.736390768049466 49.8946341328365,0.743707151143956 49.8933547657664,0.750496040799296 49.8911774802265,0.756496268170327 49.8881860576552,0.761477126422149 49.8844955927336,0.765247255099735 49.8802480496167,0.767661986094649 49.8756067847388,0.768628870153179 49.8707502499761)))', 'FRSV3', 'Saint-Valery-en-Caux', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.994507997262781 45.4293821199125,-0.995362597911023 45.4245187604543,-0.997547893010754 45.4198662096147,-1.00097962864698 45.415603185174,-1.00552575382473 45.4118934056129,-1.01101152108673 45.4088793148177,-1.01722620832601 45.4066766264204,-1.02393120253958 45.4053698946424,-1.03086913704217 45.4050092791748,-1.03777373595029 45.4056086262617,-1.04437999459197 45.407144938417,-1.05043431255944 45.4095592528772,-1.05570419771638 45.4127588958387,-1.05998717457002 45.4166210276169,-1.06311855864809 45.4209973449476,-1.06497779914718 45.4257197625093,-1.06549314402337 45.4306068580145,-1.0646444433535 45.4354708353762,-1.06246397626332 45.4401247397027,-1.05903526164736 45.4443896471576,-1.05448989057721 45.4481015525886,-1.04900249570319 45.4511176884653,-1.04278404692067 45.4533220298101,-1.03607372989324 45.4546297707553,-1.0291297216568 45.4549905979731,-1.02221922276664 45.4543906329821,-1.0156081361143 45.4528529673389,-1.00955079712865 45.4504367698636,-1.0042801578682 45.4472350010318,-0.999998808630251 45.4433708241728,-0.996871186096539 45.4389928538955,-0.995017268409206 45.4342694271676,-0.994507997262781 45.4293821199125)))', 'FRSV5', 'Saint-Vivien-de-Médoc', 'Y'),('SRID=4326;MULTIPOLYGON(((1.67189987737649 50.1834513067971,1.67128761804915 50.1785697973097,1.66920437703768 50.1738587596539,1.66573059817341 50.169499164032,1.66100004461508 50.1656584330532,1.65519461778816 50.1624840251703,1.64853735057371 50.1600977890286,1.64128384647109 50.1585913024804,1.6337124921443 50.1580223721107,1.62611381411438 50.1584128249472,1.61877938028059 50.1597476752235,1.61199066273418 50.1619756973737,1.60600827961822 50.1650113836773,1.60106202056511 50.168738212975,1.59734203281845 50.1730131074579,1.59499150417167 50.1776719094507,1.59410112536394 50.182535671001,1.59470555001416 50.1874175174467,1.59678199644761 50.1921298232337,1.6002510552452 50.1964914250988,1.604979681836 50.2003345950007,1.61078626815914 50.2035115031827,1.61744760481217 50.2058999203516,1.62470746876126 50.2074079366133,1.632286505113 50.2079775124973,1.6398930178264 50.2075867227022,1.6472342462413 50.2062506042932,1.6540276838524 50.2040205758984,1.66001199392998 50.200982450671,1.6649570934805 50.1972531210747,1.66867301178549 50.1929760455659,1.6710171805878 50.188315713861,1.67189987737649 50.1834513067971)))', 'FRSVS', 'Saint-Valéry-sur-Somme', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.413793037207785 44.9922076319601,-0.414688770536029 44.9873492323377,-0.416902655875021 44.9827081496275,-0.420349351360276 44.9784626592695,-0.424896241400627 44.9747758057905,-0.430368557427654 44.971789153427,-0.436556099262811 44.9696173640597,-0.443221298055522 44.9683438080643,-0.450108313225143 44.968017374142,-0.456952818786394 44.9686505986476,-0.463492109874048 44.9702191850839,-0.469475148864837 44.9726629320374,-0.474672172529542 44.9758880347676,-0.478883497100607 44.9797706738056,-0.481947186627807 44.9841617551174,-0.483745290770746 44.9888926224229,-0.484208410111054 44.9937815247745,-0.483318408622123 44.9986405929532,-0.481109162157486 45.0032830578371,-0.477665306355258 45.007530433563,-0.473119024490144 45.0112193885743,-0.467644992540535 45.0142080386951,-0.461453671917887 45.0163814179043,-0.454783206758719 45.0176559137868,-0.447890239400691 45.017982494552,-0.44104000199667 45.0173486014896,-0.434496072033737 45.0157786328786,-0.428510193362066 45.0133330005562,-0.423312561526086 45.0101057962935,-0.419102952881058 45.0062211594988,-0.416043042142272 45.0018284883461,-0.414250204363646 44.9970966811544,-0.413793037207785 44.9922076319601)))', 'FRSZB', 'Saint-André-de-Cubzac', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.01417715025258 45.9493828955475,-1.01503954102108 45.9445199101837,-1.01724503076608 45.9398676926207,-1.02070858168796 45.9356049465987,-1.02529691510305 45.9318953780486,-1.03083366000506 45.9288814205614,-1.0371061374964 45.9266787804566,-1.04387351939607 45.9253720082394,-1.0508760497189 45.9250112639064,-1.05784497972977 45.9256103982068,-1.06451284193646 45.9271464222536,-1.07062367636149 45.9295603855826,-1.07594282403776 45.9327596297302,-1.08026591787982 45.936621332523,-1.08342672951739 45.9409972093741,-1.08530357161015 45.9457191937539,-1.08582400747161 45.9506058812762,-1.08496768198997 45.9554694919841,-1.08276715789387 45.9601230846566,-1.07930671700817 45.9643877462057,-1.07471916454124 45.9680994790792,-1.06918075260617 45.9711155201874,-1.06290441389038 45.9733198459984,-1.05613156441103 45.9746276493732,-1.04912279254322 45.9749886133306,-1.04214779724165 45.9743888536857,-1.03547496938487 45.9728514545283,-1.02936102492586 45.9704355756712,-1.02404109630571 45.9672341671999,-1.01971966950057 45.9633703807866,-1.01656271908862 45.9589928182304,-1.01469134457334 45.9542698026939,-1.01417715025258 45.9493828955475)))', 'FRSZI', 'Saint-Nazaire-sur-Charente', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.53219481642418 48.770180775046,-3.53286964857476 48.7653021595335,-3.53497099017062 48.7606042856141,-3.53841773729434 48.7562676170099,-3.54307719555355 48.7524586980047,-3.54877021552352 48.7493237702149,-3.55527809079423 48.7469831728353,-3.56235095153021 48.7455267384827,-3.56971733271152 48.7450103584782,-3.57709455454469 48.7454538469122,-3.5841995239933 48.7468401837694,-3.59075955168036 48.7491161655088,-3.59652277790031 48.7521944386254,-3.60126781515718 48.7559568397104,-3.60481224219035 48.7602589162109,-3.60701962518459 48.7649354572187,-3.60780479472938 48.7698068248492,-3.60713717062474 48.7746858455768,-3.60504199891461 48.7793849985385,-3.6015994442078 48.7837236252902,-3.59694156263874 48.7875348834379,-3.59124726359427 48.7906721752521,-3.58473544821069 48.7930148016368,-3.57765658616944 48.7944726210771,-3.57028305613521 48.7949895313846,-3.56289862625068 48.794545637735,-3.55578748691391 48.7931580218342,-3.54922326681197 48.7908800819461,-3.54345846390713 48.7877994696865,-3.53871470573021 48.7840347045774,-3.53517421881232 48.7797305990732,-3.53297283712134 48.775052672979,-3.53219481642418 48.770180775046)))', 'FRTBD', 'Trebeurden', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.48322023332275 47.3498400753794,-2.48397447359829 47.3449667763746,-2.48611275951995 47.3402870910769,-2.48955260168399 47.3359807824497,-2.49416160099265 47.3322132299313,-2.49976256820263 47.3291290906838,-2.50614034344987 47.3268467599298,-2.51305005215745 47.3254538403159,-2.52022648198861 47.3250037914953,-2.52739422557936 47.3255138862479,-2.53427820673864 47.3269645500874,-2.54061419432117 47.3293001092224,-2.54615890839161 47.3324309187731,-2.5506993376012 47.3362367911679,-2.55406091454359 47.3405715954811,-2.55611423654199 47.3452688539053,-2.55678007176282 47.3501481232132,-2.5560324532545 47.35502191844,-2.55389973455057 47.3597029143421,-2.55046355749671 47.3640111484289,-2.54585576321042 47.3677809481282,-2.54025335748026 47.3708673141655,-2.53387171917095 47.3731515123093,-2.52695631097519 47.3745456556196,-2.5197732129256 47.3749960981462,-2.51259884756302 47.3744855071712,-2.50570929918423 47.3730335327261,-2.4993696464936 47.3706960481305,-2.49382372740552 47.3675629913983,-2.48928473672071 47.3637548922143,-2.48592702284219 47.3594182205124,-2.48387940032989 47.354719738393,-2.48322023332275 47.3498400753794)))', 'FRTBE', 'La Turballe', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.10199436591785 44.6334234190769,-1.10282590050931 44.6285582690211,-1.10497034424071 44.6239024051594,-1.10834502351974 44.619634675078,-1.11282008591843 44.615918981268,-1.11822351540474 44.612897998276,-1.12434774911274 44.6106877076667,-1.13095764044415 44.6093729581036,-1.13779946454119 44.6090042185656,-1.14461062478051 44.6095956473678,-1.15112969394876 44.6111245499055,-1.15710641184112 44.6135322456818,-1.16231126249323 44.616726312075,-1.16654426908782 44.6205841203258,-1.16964267239826 44.6249575302472,-1.17148719870755 44.6296785659469,-1.17200667435669 44.6345658570649,-1.17118080491448 44.6394316001234,-1.16904100549237 44.6440887737881,-1.1656692426289 44.6483583310675,-1.1611949247538 44.6520760912962,-1.15578995455131 44.6550990653342,-1.1496621294467 44.657310968498,-1.14304714279559 44.6586267066271,-1.13619949517242 44.6589956602421,-1.1293826697804 44.6584036384366,-1.12285895630181 44.6568734260949,-1.11687932199581 44.6544639031198,-1.1116737268239 44.6512677703076,-1.10744226094892 44.6474079710113,-1.10434744903616 44.6430329485364,-1.10250801804465 44.6383109242717,-1.10199436591785 44.6334234190769)))', 'FRTDB', 'La Teste-de-Buch', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.33250043339683 48.3704405221923,-4.33309373704959 48.3655576842118,-4.33510497549593 48.3608457698738,-4.33845650873407 48.3564857877877,-4.34301929687272 48.3526451826649,-4.34861789582497 48.3494714168015,-4.35503721443048 48.3470863229595,-4.36203077110509 48.3455814426564,-4.36933013414131 48.345014525939,-4.37665518772117 48.3454073244788,-4.38372483665927 48.3467447609236,-4.39026774758385 48.3489755056305,-4.39603272304374 48.3520139390225,-4.40079831792085 48.3557434257002,-4.404381334215 48.3600207769385,-4.40664387008794 48.3646817330695,-4.40749865096703 48.369547258145,-4.40691243306933 48.3744304076816,-4.40490734103453 48.3791435074768,-4.40156007912952 48.3835053684463,-4.39699903697349 48.3873482598363,-4.39139939284224 48.3905243712871,-4.38497639701399 48.3929115129422,-4.37797709089618 48.394417831523,-4.37067078149725 48.3949853580176,-4.36333864215701 48.3945922479214,-4.35626284680479 48.3932536260182,-4.34971566454874 48.3910210024265,-4.34394894311118 48.3879802827668,-4.33918439341839 48.3842484505022,-4.33560505434956 48.3799690514518,-4.33334826791816 48.3753066570444,-4.33250043339683 48.3704405221923)))', 'FRTDF', 'Le Tinduff', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.76224900183586 48.7002559550082,-3.76290070729103 48.6953760568086,-3.76497773841347 48.6906740612269,-3.76839992500082 48.6863305917931,-3.7730355145764 48.6825124552572,-3.77870627192942 48.6793662481038,-3.78519434249313 48.6770127430632,-3.79225061373055 48.6755422682831,-3.79960425484771 48.6750112536447,-3.80697307333231 48.6754400742844,-3.81407429810931 48.6768122723631,-3.82063538421858 48.6790751862712,-3.82640443319987 48.6821419635777,-3.83115983682935 48.685894882005,-3.83471877916706 48.690189853334,-3.83694427237304 48.6948619402046,-3.83775045438112 48.6997316769066,-3.83710593981884 48.7046119539456,-3.83503508762816 48.7093152036802,-3.83161712732565 48.7136606116471,-3.826983167974 48.7174810759726,-3.82131119659606 48.7206296457872,-3.81481925258169 48.722985188667,-3.8077570381651 48.7244570662214,-3.80039628893581 48.724988635009,-3.79302027955289 48.7245594355295,-3.78591287584165 48.7231859832967,-3.77934756344947 48.7209211308542,-3.77357688424946 48.7178520257576,-3.76882269465032 48.7140967446694,-3.76526762576574 48.7097997355025,-3.76304807573701 48.705126245859,-3.76224900183586 48.7002559550082)))', 'FRTEZ', 'Terenez', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.864448068000149 45.5293405995765,-0.865315655873469 45.5244785244676,-0.867515736215927 45.5198288039686,-0.870963486499215 45.5155700462199,-0.875526240837734 45.5118658049806,-0.881028614152769 45.5088583107794,-0.887259248270899 45.506663023533,-0.893978919802823 45.505364213172,-0.900929700442632 45.5050117354263,-0.907844822667171 45.5056191245205,-0.914458878730923 45.5071630747733,-0.920517969006261 45.5095843307645,-0.925789417423837 45.5127899526867,-0.93007068699405 45.5166568716115,-0.933197156762786 45.5210366005213,-0.935048462336347 45.5257609228596,-0.935553154180058 45.5306483426862,-0.934691489723467 45.5355110507421,-0.932496244944855 45.5401621400585,-0.929051506202008 45.5444227941054,-0.924489480900325 45.5481291704294,-0.918985443128377 45.5511387134548,-0.912751004457261 45.5533356513497,-0.906025967484747 45.554635462887,-0.8990690773569 45.5549881399168,-0.892148031711942 45.554380117875,-0.885529140083253 45.5528347988037,-0.879467038269625 45.5504116465135,-0.874194860819342 45.5472038895063,-0.869915255709733 45.5433349217579,-0.866792590495074 45.5389535422006,-0.864946650359953 45.5342282186869,-0.864448068000149 45.5293405995765)))', 'FRTG4', 'Talmont-sur-Gironde', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.46217186785295 48.800157881479,-3.46285387136011 48.7952796796333,-3.46496298744547 48.7905830830688,-3.46841781341976 48.7862485059661,-3.47308534490586 48.7824424118615,-3.47878612312028 48.7793109335767,-3.48530114467316 48.7769742776819,-3.49238026636363 48.7755221254448,-3.49975178373444 48.7750102039114,-3.50713282050707 48.7754581562404,-3.51424013752721 48.7768487913355,-3.52080095520816 48.7791287409301,-3.52656338300851 48.7822104994092,-3.53130606322743 48.7859757696598,-3.53484666402009 48.7902799889316,-3.53704889734818 48.7949578638519,-3.53782779052917 48.799829704991,-3.5371530036603 48.8047083202216,-3.53505005755482 48.809406203799,-3.53159941557901 48.8137427456067,-3.52693344513372 48.8175511830003,-3.52123136734697 48.8206850264135,-3.51471238345554 48.8230237092069,-3.50762723988992 48.8244772415354,-3.5002485578837 48.8249896862465,-3.49286030446733 48.8245413205321,-3.48574681746492 48.8231493984228,-3.47918181578752 48.820867484122,-3.47341782695167 48.8177833823533,-3.46867644631053 48.8140157469747,-3.46513980785881 48.8097095008055,-3.46294359640383 48.8050302457951,-3.46217186785295 48.800157881479)))', 'FRTGT', 'Trégastel', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.02447597499484 45.4793909190141,-1.02532890803342 45.4745273447887,-1.02751383005658 45.4698742497988,-1.0309465005258 45.4656103727524,-1.03549483172984 45.4618994648036,-1.04098399093352 45.4588840130159,-1.04720312554348 45.456679783072,-1.05391345189684 45.4553713881553,-1.06085739899505 45.4550090516059,-1.06776846074888 45.4556066855993,-1.07438138510485 45.4571413583605,-1.08044231645561 45.45955417011,-1.08571850930852 45.4627525048839,-1.09000724627356 45.4666135734559,-1.09314362165954 45.4709891136717,-1.09500689260229 45.475711070353,-1.09552515157344 45.4805980391885,-1.09467813580734 45.4854622291684,-1.0924980586957 45.4901166773532,-1.08906842318344 45.4943824390233,-1.08452085493666 45.498095476108,-1.07903007053632 45.5011129774021,-1.07280716999644 45.5033188652041,-1.06609151030835 45.5046282739366,-1.05914147442291 45.5049908259148,-1.05222449539292 45.5043925761663,-1.04560672612429 45.5028565502092,-1.03954275981867 45.5004418538351,-1.0342658040126 45.497241389925,-1.02997869224792 45.4933782718471,-1.02684608279299 45.4890010737742,-1.02498814518287 45.4842781032781,-1.02447597499484 45.4793909190141)))', 'FRTII', 'Talais', 'Y'),('SRID=4326;MULTIPOLYGON(((0.121213937011756 49.3679587297314,0.120764200806054 49.3630716265737,0.118863521161475 49.3583357122077,0.115585321007505 49.3539329236396,0.111055854758989 49.350032352768,0.105449314699848 49.3467837642417,0.098981117604659 49.344311860184,0.0918996324774624 49.342711509132,0.0844766663515815 49.3420441193319,0.0769970691335898 49.3423352928754,0.0697478493487687 49.3435738487078,0.0630072096127414 49.345712251011,0.0570339133345231 49.3486684266931,0.0520573825073239 49.3523289035441,0.0482689007522374 49.3565531508603,0.0458142566761075 49.3611789587689,0.0447881110869676 49.3660286527443,0.045230309082827 49.3709159074081,0.0471242863316417 49.3756528999199,0.0503976402821918 49.3800575291359,0.0549248543104398 49.3839604229358,0.0605320790137012 49.387211463026,0.0670037933878408 49.3896855740552,0.074091092955714 49.3912875514942,0.0815212854878463 49.391955739494,0.0890084209217016 49.3916644144442,0.0962643431056656 49.3904247804648,0.10300982904387 49.3882845375123,0.108985377537215 49.3853260389012,0.113961223714275 49.3816631104864,0.117746188187034 49.3774366562,0.120195017823729 49.3728092219058,0.121213937011756 49.3679587297314)))', 'FRTJE', 'Trouville-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((5.967101675837 43.1161200532122,5.96621083491459 43.111263298477,5.96404410254652 43.1066271496101,5.96068498121201 43.1023896953287,5.9562627020289 43.0987136768299,5.9509472369556 43.0957402492344,5.94494276294494 43.0935835741374,5.93847982978934 43.0923264484793,5.93180653046193 43.0920171352887,5.92517900867589 43.0926675161841,5.91885166213626 43.0942526355421,5.91306741088779 43.0967116537344,5.90804839796349 43.0999501736778,5.90398747424944 43.1038438530278,5.90104079149388 43.1082431655387,5.89932178745491 43.1129791311993,5.89889679644015 43.1178697973812,5.89978245847577 43.122727223862,5.90194503298646 43.1273647044154,5.90530165048893 43.1316039475873,5.9097234610515 43.1352819398384,5.91504056405971 43.1382572255619,5.92104853320061 43.1404153602797,5.92751628658003 43.141673324837,5.93419499738907 43.1419827284901,5.94082769806478 43.1413316758486,5.9471592024625 43.1397452248031,5.95294595754111 43.1372844177196,5.95796543908259 43.1340439240238,5.96202472485885 43.1301483865462,5.96496791248347 43.1257476144155,5.9666820963005 43.1210108098565,5.967101675837 43.1161200532122)))', 'FRTLN', 'Toulon', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.51332101271106 47.2195298572229,-1.51416200344905 47.2146638511279,-1.51637980418124 47.2100030928159,-1.51988887993383 47.2057266133581,-1.52455418399996 47.2019986432019,-1.53019637725623 47.1989623179794,-1.53659872819683 47.1967341973762,-1.54351542731811 47.1953998047388,-1.55068099855876 47.1950103559607,-1.55782045142264 47.1955808010079,-1.5646597912234 47.1970892518769,-1.57093649225941 47.1994778185953,-1.57640953997096 47.2026548219143,-1.5808686632293 47.206498299476,-1.58414240649588 47.2108606732921,-1.58610473295039 47.2155744021152,-1.58667990271099 47.2204584043698,-1.58584543343846 47.225325007187,-1.5836330219739 47.2299871560002,-1.58012738282431 47.2342656080474,-1.57546303950438 47.2379958325725,-1.56981918487158 47.2410343507363,-1.56341280336027 47.2432642689976,-1.55649031809163 47.2445997903325,-1.54931808601598 47.2449895270132,-1.54217211168223 47.2444184852434,-1.53532738261235 47.2429086438719,-1.52904724497567 47.240518104563,-1.52357323652271 47.2373388468748,-1.51911577464532 47.2334931763723,-1.51584606195092 47.2291290048993,-1.51388952164144 47.2244141473799,-1.51332101271106 47.2195298572229)))', 'FRTMU', 'Trentemoult', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.32321434064312 47.3597887016957,-2.32398345080192 47.3549165402242,-2.32613625610364 47.3502399220621,-2.32958971029538 47.3459384914648,-2.33421089296647 47.3421774398381,-2.33982214885804 47.3391011742984,-2.34620792496443 47.3368277876529,-2.35312304120807 47.3354445393586,-2.36030207883397 47.3350045182137,-2.36746953086403 47.335524612606,-2.37435033203395 47.3369848647455,-2.38068037228825 47.3393292332073,-2.38621659846013 47.3424677351485,-2.39074632320428 47.3462798876049,-2.39409538823263 47.3506193181471,-2.39613486972123 47.3553193706579,-2.39678606632215 47.3601994937272,-2.39602357302939 47.3650721686134,-2.39387631528012 47.3697501121484,-2.39042649476304 47.3740534783007,-2.38580647869433 47.3778167809942,-2.3801937447272 47.3808952704081,-2.37380407088991 47.3831705151703,-2.36688323065386 47.3845549729422,-2.35969751420044 47.3849953707934,-2.35252344529975 47.3844747629858,-2.34563709657564 47.3830131854723,-2.33930342264881 47.3806668814544,-2.3337660298793 47.3775261284459,-2.32923778321531 47.3737117521159,-2.3258926159196 47.3693704634581,-2.32385885842129 47.3646692014708,-2.32321434064312 47.3597887016957)))', 'FRTN2', 'La Trinite', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.864180515805113 45.9493358793842,-0.86505598808333 45.944474257096,-0.867273922747091 45.9398251560179,-0.870748804954521 45.9355671594065,-0.87534692228178 45.931863790222,-0.880891529691775 45.9288572436979,-0.88716964804147 45.9266629415872,-0.893940233938461 45.9253651145199,-0.900943409253447 45.9250135795175,-0.907910400719124 45.9256218343162,-0.914573814827241 45.9271665404076,-0.920677861335038 45.9295884144004,-0.925988140420699 45.9327944942836,-0.930300623855364 45.9366616953114,-0.933449489112168 45.9410415213719,-0.935313506374893 45.9457657536214,-0.935820730818457 45.9506529005072,-0.934951314779003 45.9555151635219,-0.932738324558976 45.9601656523597,-0.929266522253762 45.9644255724905,-0.924669151399523 45.9681311081157,-0.91912284338867 45.9711397341811,-0.912840836264473 45.9733357123421,-0.906064765449759 45.9746345568051,-0.899055344103312 45.974986295659,-0.892082296395036 45.9743774001332,-0.885413937842052 45.972831306281,-0.879306811434274 45.9704075087679,-0.873995785879886 45.9671992624437,-0.869685003049913 45.9633299818752,-0.866540026568744 45.9589484797655,-0.864681494221508 45.9542232301212,-0.864180515805113 45.9493358793842)))', 'FRTON', 'Tonnay-Charente', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99217059135095 48.8000036379806,-2.99289816112646 48.7951282404999,-2.99505112451999 48.7904402651339,-2.99854639773388 48.7861197922556,-3.00324942792128 48.7823327417042,-3.00897939907663 48.7792245138637,-3.01551619293274 48.7769144223642,-3.02260883553859 48.7754911292607,-3.02998510683683 48.7750092550311,-3.03736194930631 48.7754872910602,-3.04445628365308 48.7769068930888,-3.05099582531124 48.7792135821675,-3.05672949548805 48.7823188267821,-3.06143703465593 48.7861034278714,-3.06493745442351 48.7904220792568,-3.06709600492182 48.7951089313099,-3.06782938815094 48.7999839471433,-3.06710901166134 48.8048598096978,-3.06496214956297 48.8095491160698,-3.06147095678708 48.813871583253,-3.05676936497035 48.8176609877937,-3.05103797113828 48.8207715709344,-3.04449711014653 48.8230836604718,-3.03739837513017 48.8245082901675,-3.0300149136613 48.8249906360592,-3.02263087790053 48.8245121349559,-3.01553044225636 48.82309120192,-3.00898682016241 48.8207825185351,-3.0032517116203 48.8176749199307,-2.99854559513452 48.8138879635418,-2.99504924250482 48.8095673141197,-2.99289678441481 48.8048791254757,-2.99217059135095 48.8000036379806)))', 'FRTOO', 'Toul Broch', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.09729271801546 45.7664107417255,-1.09814454274013 45.7615468235632,-1.1003354376798 45.7568926383461,-1.10378092797001 45.7526269662981,-1.10834842976399 45.7489136267238,-1.11386237197495 45.7458951989799,-1.12011095006348 45.7436875618134,-1.12685425133921 45.7423754580952,-1.13383344170671 45.7420092526835,-1.14078066582591 45.7426030058156,-1.14742928731079 45.7441339347272,-1.1535240835238 45.7465432838907,-1.1588310110508 45.749738571235,-1.16314617303706 45.7535971257962,-1.1663036478573 45.7579707833325,-1.16818187935019 45.7626915622678,-1.16870838095377 45.7675781045635,-1.16786256800794 45.7724426362205,-1.16567660230034 45.7770981812994,-1.16223420826481 45.7813657525502,-1.15766749837092 45.7850812415317,-1.15215192314495 45.7881017416597,-1.14589953573721 45.7903110586854,-1.13915082877216 45.7916241939942,-1.13216545931286 45.7919906256776,-1.12521222341101 45.7913962590502,-1.11855867269287 45.7898639702757,-1.11246078022734 45.7874527219086,-1.10715306080445 45.7842552851567,-1.102839531837 45.780394658212,-1.09968586633715 45.7760193208175,-1.09781304053145 45.7712975102925,-1.09729271801546 45.7664107417255)))', 'FRTRB', 'La Tremblade', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-3.19518360789664 48.7830702426367,-3.19589126744961 48.7781935793929,-3.19802459321619 48.7735018284624,-3.20150125468296 48.769175216433,-3.20618741190659 48.7653798998567,-3.21190289436383 48.7622615971125,-3.21842813748953 48.7599400088358,-3.22551260844544 48.7585042382508,-3.23288439916721 48.7580093843131,-3.2402606233265 48.7584744359613,-3.24735822559377 48.7598815466359,-3.25390479718751 48.7621767163012,-3.25964899148541 48.765271855337,-3.26437014745588 48.769048152695,-3.26788675651359 48.7733606214692,-3.27006344942641 48.7780436502688,-3.2708162330403 48.7829173501565,-3.2701157703625 48.7877944558941,-3.26798857002912 48.7924875180886,-3.26451603001244 48.7968161105244,-3.25983136280188 48.8006137751507,-3.25411451207857 48.8037344361195,-3.24758525071258 48.8060580337769,-3.24049472328234 48.8074951589883,-3.23311575989595 48.8079905065685,-3.22573233885611 48.807525012426,-3.21862861115332 48.8061165904862,-3.21207791811164 48.8038194404133,-3.20633223380601 48.8007219533269,-3.20161244610701 48.7969432977447,-3.19809985529188 48.7926288195911,-3.19592921885126 48.7879444361662,-3.19518360789664 48.7830702426367)))', 'FRTRE', 'Tréguier', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.29269661419018 48.1004257408026,-4.29329111016808 48.0955428779965,-4.29529595980324 48.0908315056483,-4.29863377400757 48.0864726119965,-4.30317604409731 48.0826336008103,-4.30874811646752 48.0794618743119,-4.31513591903665 48.0770791881857,-4.32209417878422 48.0755769926336,-4.32935581599981 48.0750129354743,-4.33664215901475 48.0754086590234,-4.34367359430267 48.0767489735664,-4.35018025162702 48.0789824384027,-4.35591232273988 48.0820233285394,-4.36064962501683 48.0857549129876,-4.36421004803035 48.0900339211117,-4.3664565607548 48.0946960283569,-4.36730250881713 48.0995621535897,-4.36671499351346 48.1044453287245,-4.36471619532345 48.1091578785286,-4.36138258205807 48.1135186355068,-4.35684202284586 48.1173599122156,-4.3512689108251 48.1205339615277,-4.3448774763536 48.1229186741313,-4.33791354537552 48.1244222913113,-4.33064506099505 48.124986948819,-4.3233517373007 48.1245909129408,-4.31631425056513 48.1232494209408,-4.30980339230347 48.1210140927769,-4.30406961031791 48.1179709371169,-4.29933334769669 48.1142370298555,-4.29577655658803 48.1099559952551,-4.29353571509246 48.1052924663832,-4.29269661419018 48.1004257408026)))', 'FRTRK', 'Tréboul', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.994956845673993 44.6993899154732,-0.995798448887303 44.6945257767185,-0.997954011836038 44.6898721725138,-1.0013404335193 44.6856078629428,-1.00582741082988 44.6818966184959,-1.01124247101732 44.6788809423778,-1.01737760583204 44.6766766121082,-1.02399725150288 44.67536824746,-1.03084730997574 44.6750060724473,-1.03766486949752 44.6756039936984,-1.04418825770269 44.6771390677833,-1.05016704851601 44.6795523777009,-1.05537164574226 44.6827512856341,-1.05960208114222 44.6866129771224,-1.06269569272277 44.6909891628543,-1.06453338915848 44.6957117601041,-1.06504425759728 44.7005993380989,-1.06420833306044 44.7054640817522,-1.06205741629785 44.7101190074593,-1.05867390097093 44.7143851539502,-1.05418764772005 44.71809847108,-1.04877101906331 44.7211161400972,-1.04263226203478 44.7233220800809,-1.0360074918546 44.7246314261938,-1.02915158673742 44.7249938050024,-1.02232834853572 44.7243952788523,-1.01580031414337 44.722858883264,-1.00981861697566 44.7204437364256,-1.00461329569354 44.7172427558092,-1.00038442876632 44.7133790714223,-0.99729443940063 44.7090012759772,-0.995461867472281 44.7042776972637,-0.994956845673993 44.6993899154732)))', 'FRTST', 'Taussat', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.44312983985771 47.4798268692386,-2.44388974219055 47.4749539675542,-2.44603694224527 47.4702751724459,-2.44948860615173 47.4659702121261,-2.45411187952265 47.4622044135861,-2.45972902464765 47.459122365955,-2.46612426108276 47.4568423835478,-2.47305204523481 47.4554519784173,-2.4802464727191 47.4550045134716,-2.48743144729493 47.4555171623292,-2.49433123311946 47.4569702527162,-2.50068099358707 47.4593080181299,-2.50623692047162 47.4624407295365,-2.51078557145372 47.4662481269053,-2.51415206204807 47.4705840212361,-2.51620679874541 47.4752818931821,-2.51687049276368 47.4801612760554,-2.51611725666777 47.4850346803926,-2.51397565733832 47.4897147956065,-2.51052767598618 47.4940216925109,-2.50590560636267 47.4977897492872,-2.5002870029175 47.5008740330104,-2.49388786810967 47.5031558889408,-2.48695433902383 47.5045475197982,-2.47975319465927 47.5049953760686,-2.47256155384184 47.5044822245577,-2.46565616729025 47.503027814064,-2.45930272427044 47.5006881120647,-2.45374559364327 47.4975531424213,-2.449198400986 47.4937435089609,-2.44583580876619 47.4894057411081,-2.4437868170005 47.4847066434363,-2.44312983985771 47.4798268692386)))', 'FRTT2', 'Trehiguier-en-Penestin', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.33215621174961 48.8201152512546,-3.3328510913805 48.815237808672,-3.3349731852905 48.8105435798055,-3.33844059274994 48.8062128870995,-3.34311982724748 48.802412044267,-3.34883098209162 48.7992869820603,-3.35535465714481 48.7969576605391,-3.36244037855861 48.7955134794855,-3.36981618974639 48.7950098602441,-3.37719905028078 48.7954661277102,-3.38430565101688 48.7968647720727,-3.39086323921075 48.7991521180198,-3.3966200470691 48.8022403762482,-3.40135493103358 48.8060110001306,-3.40488585684442 48.8103192211256,-3.4070769063619 48.814999591708,-3.40784353519067 48.8198723259148,-3.40715587387359 48.8247501965089,-3.40503993788174 48.829445725529,-3.4015766904581 48.8337783925945,-3.39689898478579 48.8375815834142,-3.3911864948054 48.8407090097764,-3.38465882391568 48.8430403516996,-3.37756705429443 48.8444859018141,-3.37018406331352 48.8449900303475,-3.36279398445988 48.8445333348694,-3.35568122580327 48.843133390352,-3.3491194775757 48.8408440700442,-3.34336114089745 48.837753463828,-3.33862759207465 48.8339804757907,-3.33510066210271 48.8296702343948,-3.33291566079057 48.8249884947529,-3.33215621174961 48.8201152512546)))', 'FRTT3', 'Trélévern', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.13288830611594 47.830372266612,-4.13349523432732 47.8254899115294,-4.1355046713944 47.8207810795469,-4.13883905813579 47.8164266610924,-4.14337002289992 47.8125938883933,-4.14892335016627 47.8094299249244,-4.15528568960494 47.8070562294402,-4.16221274566873 47.805563908229,-4.16943863444066 47.8050102311858,-4.17668605292082 47.8054164429823,-4.18367687730797 47.8067669516296,-4.19014279182725 47.8090099248628,-4.19583554863238 47.812059271853,-4.20053647228388 47.8157979356281,-4.20406484895684 47.8200823721006,-4.20628488019102 47.8247480465145,-4.20711093261854 47.8296157391076,-4.20651087723838 47.8344984202992,-4.20450738257309 47.8392084330518,-4.20117710312777 47.8435647071764,-4.19664778525503 47.8473997279367,-4.19109339375009 47.8505659896114,-4.18472744096242 47.8529416835645,-4.17779477253837 47.8544353992589,-4.17056212682622 47.854989654502,-4.1633078355098 47.8545831165961,-4.15631106871848 47.8532314271775,-4.14984104690478 47.850986598273,-4.14414664321298 47.847935003221,-4.1394467838051 47.8441940412406,-4.13592202048352 47.8399076063003,-4.13370760160796 47.8352405374043,-4.13288830611594 47.830372266612)))', 'FRTTU', 'Tudy', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.81287048314751 47.8502688988629,-3.8135076681979 47.8453880836868,-3.81554687279738 47.8406847031146,-3.81890939589687 47.8363394363334,-3.82346578809015 47.8325191626403,-3.82904086109779 47.8293705646394,-3.83542043353968 47.8270145108367,-3.84235955176107 47.8255414305398,-3.84959187134138 47.8250078557981,-3.85683984361703 47.8254342606891,-3.86382532318095 47.8268042792011,-3.87028019758961 47.8290653310619,-3.87595663976475 47.8321306319303,-3.88063659683225 47.8358825122806,-3.88414015607266 47.8401769198861,-3.88633246858879 47.8448489358296,-3.88712896317492 47.8497190950763,-3.88649864523884 47.8546002713261,-3.88446534659117 47.8593048633854,-3.88110686915386 47.8636520076292,-3.87655204641736 47.8674745389342,-3.8709758277245 47.8706254309956,-3.86459256887449 47.872983466057,-3.8576477847438 47.8744579131823,-3.85040868233673 47.8749920322342,-3.84315384294176 47.8745652662691,-3.83616245742375 47.8731940362689,-3.82970353735466 47.8709311069443,-3.82402552572753 47.8678635484633,-3.81934671435025 47.8641093740531,-3.81584684152025 47.85981298519,-3.81366019491167 47.8551396024193,-3.81287048314751 47.8502688988629)))', 'FRTVG', 'Trévignon', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.10391409514927 44.7664226806182,-1.10474774873504 44.7615576537868,-1.10689731223364 44.7569019376057,-1.11027991344503 44.7526343736686,-1.11476539432031 44.7489188576166,-1.12018133811774 44.7458980566232,-1.12631970162202 44.7436879447222,-1.13294479661848 44.7423733632597,-1.13980231596941 44.74200477446,-1.14662906218265 44.7425963307511,-1.1531630113302 44.7441253327484,-1.15915333323718 44.7465330964491,-1.16436999033481 44.7497271970851,-1.16861255243081 44.7535850051231,-1.17171789252366 44.7579583809215,-1.17356646893977 44.7626793503501,-1.1740869503885 44.7675665458916,-1.17325900149168 44.7724321678366,-1.17111411502126 44.7770891993861,-1.16773445114233 44.7813585986936,-1.16324972072118 44.7850761906995,-1.15783222624884 44.7880989921854,-1.15169024701607 44.7903107245605,-1.1450600216992 44.791626299776,-1.13819663848111 44.7919951043174,-1.13136418757544 44.7914029529121,-1.12482556139865 44.7898726355454,-1.11883230216114 44.7874630364735,-1.11361489461323 44.7842668598833,-1.10937388319562 44.7804070513533,-1.10627215883233 44.7760320550818,-1.10442871273469 44.7713100919011,-1.10391409514927 44.7664226806182)))', 'FRTWA', 'Arès', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.66237332183298 48.5505495680434,-4.66293658657327 48.5456655235395,-4.66492383371033 48.5409482616171,-4.66825833922778 48.53657899773,-4.6728117112503 48.5327255338305,-4.67840886180007 48.5295358260418,-4.68483475110636 48.5271323186115,-4.691842642928 48.5256072588781,-4.69916355496526 48.5250191701947,-4.70651654598534 48.5253906156374,-4.71361945187525 48.5267073365132,-4.72019966718884 48.5289187979248,-4.72600456723242 48.5319401207902,-4.73081117836183 48.5356553275813,-4.73443473063301 48.5399217794908,-4.73673576660191 48.5445756375069,-4.73762553187721 48.5494381406376,-4.73706943555337 48.554322462757,-4.73508844001997 48.5590408865347,-4.731758317544 48.5634120196353,-4.7272067927221 48.5672677755359,-4.72160867231147 48.5704598491771,-4.71517914373418 48.5728654361315,-4.70816549727682 48.5743919724718,-4.70083759133058 48.5749807100446,-4.69347743188861 48.574608986986,-4.6863682743923 48.5732911042537,-4.67978367603881 48.5710777736274,-4.67397692879958 48.5680541587602,-4.66917128753649 48.564336586117,-4.66555137453904 48.5600680546846,-4.66325609320428 48.5554127200628,-4.66237332183298 48.5505495680434)))', 'FRTZM', 'Tremazan', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.13672024518888 49.4143893100193,-1.13764017025008 49.4095288189577,-1.13999532141063 49.4048787774509,-1.14369484981598 49.4006177966899,-1.14859636982751 49.3969095014301,-1.15451146338572 49.3938962606105,-1.16121292912336 49.3916937372974,-1.16844349642409 49.3903864641909,-1.17592567218207 49.390024611636,-1.18337234793872 49.390622069838,-1.1904977683788 49.3921559174327,-1.19702844950895 49.3945672964786,-1.20271363652183 49.3977636611318,-1.20733490734058 49.4016223155864,-1.21071455778129 49.4059951081286,-1.2127224474431 49.4107141041083,-1.21328104072655 49.4155980229242,-1.21236844324567 49.4204591941876,-1.21001930833966 49.4251107673299,-1.20632356894319 49.4293738979831,-1.201423033852 49.4330846340902,-1.19550597117908 49.4361002351156,-1.18879988207038 49.4383046786726,-1.18156274100823 49.4396131397215,-1.17407304189469 49.4399752670634,-1.16661903855232 49.439377128659,-1.15948760185604 49.4378417494273,-1.15295313172001 49.435428220488,-1.14726695979276 49.4322294149872,-1.1426476580941 49.4283684003275,-1.13927263102612 49.4239936875427,-1.13727131512272 49.4192735036218,-1.13672024518888 49.4143893100193)))', 'FRUAT', 'Utah Beach', 'Y'),('SRID=4326;MULTIPOLYGON(((1.12129306839588 49.4336286438187,1.12074346643756 49.428744402642,1.11874375722218 49.4240239205871,1.11537116307817 49.4196485358299,1.11075555464396 49.4157862829237,1.10507442000237 49.4125854519323,1.09854602686695 49.4101689101311,1.09142104314419 49.4086294013903,1.083972936573 49.4080260006811,1.0764875174053 49.4083818571405,1.06925201812371 49.4096833104159,1.06254412027315 49.4118804133494,1.05662134024849 49.4148888412563,1.05171117330293 49.418593115963,1.04800236842337 49.4228510232061,1.04563766670832 49.4274990567184,1.04470828350143 49.4323586830002,1.04525035121454 49.4372431888656,1.04724346738938 49.4419648506671,1.05061141342753 49.4463421506233,1.05522502632289 49.4502067626094,1.06090712179651 49.4534100374134,1.06743928585817 49.4558287357115,1.07457027651271 49.4573697853261,1.08202571151994 49.4579738767016,1.08951866493883 49.4576177555532,1.09676075726402 49.4563151225299,1.1034733032188 49.4541161043961,1.10939807877692 49.4511053174085,1.11430728488448 49.4473985988895,1.11801231883474 49.4431385351508,1.12037101361966 49.438488960766,1.12129306839588 49.4336286438187)))', 'FRURO', 'Rouen', 'Y'),('SRID=4326;MULTIPOLYGON(((3.11882404486116 42.5269699208634,3.11816492740826 42.5220897894182,3.11623159729661 42.517398516534,3.11309859957372 42.5130763237773,3.10888649878554 42.509289219165,3.10375722068963 42.5061826314918,3.09790782092888 42.5038758379342,3.09156292141577 42.5024573965922,3.08496610368962 42.5019817570218,3.07837058612364 42.5024671769304,3.07202953749992 42.5038950237078,3.06618639243356 42.5062104871583,3.06106553406464 42.5093246765415,3.05686369634958 42.5131180227413,3.05374241252226 42.5174448569142,3.05182179856622 42.5221389921385,3.0511759119228 42.527020096044,3.05182986761874 42.5319006116343,3.05375882838273 42.536592961752,3.05688891436056 42.5409167608321,3.06110000429334 42.5447057563095,3.06623032631775 42.5478142315225,3.07208266586291 42.5501226219337,3.07843195346106 42.5515421263366,3.08503393952644 42.5520181333335,3.0916346188524 42.5515323292796,3.09798003682503 42.5501034052676,3.10382609363517 42.547786335493,3.10894796285645 42.5446702552444,3.11314875663999 42.5408750215051,3.11626710068167 42.5365465904794,3.11818332655394 42.5318513921951,3.11882404486116 42.5269699208634)))', 'FRURU', 'Collioure', 'Y'),('SRID=4326;MULTIPOLYGON(((3.06703660226732 42.9169851289873,3.06637736075125 42.9121050330656,3.06443574743329 42.9074132124599,3.06128663100261 42.9030899091884,3.05705119925573 42.8993011728501,3.05189227627958 42.8961924935206,3.0460080563409 42.8938832272178,3.03962449660832 42.8924620256479,3.03298665963235 42.8919834433568,3.02634933434924 42.8924658505549,3.01996729017861 42.8938907304139,3.01408553184872 42.8962033873482,3.00892992255867 42.8993150395618,3.00469852997417 42.9031062168648,3.00155402370207 42.9074313353031,2.99961741500343 42.9121242753121,2.99896338066473 42.9170047515406,2.9996173546142 42.9218852317005,3.00155450490258 42.9265781399932,3.00470064229623 42.9309030688101,3.00893503253027 42.9346937210779,3.01409501007937 42.9378043150383,3.01998222012828 42.9401152031879,3.02637025029147 42.941537486909,3.03301335743561 42.9420164469078,3.03965595028844 42.9415336554712,3.04604245748994 42.9401076879244,3.05192719485556 42.9377934054439,3.05708384565531 42.9346798373004,3.06131418366374 42.9308867453669,3.06445569982433 42.9265600050825,3.06638783809366 42.9218659829232,3.06703660226732 42.9169851289873)))', 'FRUTE', 'Leucate', 'Y'),('SRID=4326;MULTIPOLYGON(((3.16680026805451 42.4829557940134,3.16613789319418 42.4780759064056,3.16420234519847 42.4733854103505,3.16106825348864 42.4690644974294,3.15685622383135 42.4652791264658,3.15172817859245 42.4621746597453,3.14588112564095 42.4598702931577,3.1395395966292 42.458454491829,3.13294704382979 42.4579816041826,3.12635652227071 42.4584697824719,3.12002100950356 42.4599002883185,3.11418372826059 42.4622182094724,3.10906883715906 42.4653345607559,3.10487284149616 42.4691296898586,3.10175705039708 42.4734578592013,3.09984136883875 42.4781528302593,3.09919966445516 42.4830342382199,3.09985689099803 42.4879145141004,3.10178808473507 42.4926060897203,3.10491927914117 42.4969286091448,3.10913030953819 42.5007158689748,3.11425940568923 42.5038222193621,3.12010939973409 42.5061281776456,3.1264553122659 42.5075450363777,3.13305302366058 42.5080182861549,3.13964869354012 42.5075297195926,3.14598856056717 42.5060981341803,3.15182873911258 42.5037786065222,3.15694462947137 42.500660366372,3.16113957421912 42.4968633536028,3.16425242422362 42.4925335925651,3.16616372226316 42.4878375641046,3.16680026805451 42.4829557940134)))', 'FRUYR', 'Banyuls-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.81226629868821 48.6826171067122,-1.81310587786667 48.6777500834138,-1.81536282909336 48.6730850060814,-1.81895008478487 48.6688010692921,-1.82372957372322 48.6650627852495,-1.82951755964954 48.6620136794988,-1.8360917116472 48.6597707957923,-1.84319963319616 48.6584202181704,-1.85056852443452 48.6580137793093,-1.85791561196759 48.6585670791335,-1.8649589535625 48.6600588882459,-1.87142821192405 48.6624319586602,-1.87707499278113 48.6655952114512,-1.88168235770715 48.6694272191219,-1.8850731510985 48.6737808515497,-1.88711682283198 48.6784889100703,-1.88773448221928 48.68337053623,-1.88690198345244 48.6882381514499,-1.88465091582399 48.6929046625437,-1.88106745119321 48.6971906566575,-1.87628908362291 48.700931308379,-1.87049937865264 48.7039827317053,-1.86392092890678 48.7062275300542,-1.85680678519819 48.707579327898,-1.84943069465672 48.7079861067926,-1.84207652670689 48.7074322150463,-1.83502730151195 48.7059389721713,-1.82855425209225 48.7035638444312,-1.82290634987259 48.7003982239609,-1.81830070399565 48.6965638987153,-1.8149142083543 48.6922083516463,-1.81287675877787 48.6874990729049,-1.81226629868821 48.6826171067122)))', 'FRV35', 'Cancale', 'Y'),('SRID=4326;MULTIPOLYGON(((7.35146189490878 43.7005023476866,7.35093343359318 43.6956150087432,7.34910119447373 43.6908963609319,7.34603586434373 43.6865276839197,7.34185543472272 43.6826767741508,7.33672063828381 43.6794915101342,7.33082875972922 43.6770941862557,7.32440606079495 43.6755768303254,7.3176991094728 43.6749976821893,7.31096534295953 43.6753789664282,7.30446322116355 43.6767060431025,7.29844234208976 43.6789279684456,7.29313389170966 43.6819594442513,7.28874178898481 43.6856840823004,7.28543486186988 43.6899588604278,7.28334035305159 43.6946196015105,7.28253900592518 43.6994872674465,7.28306192329628 43.7043748285725,7.28488932534153 43.7090944462024,7.28795126166797 43.7134646930233,7.29213025743209 43.7173175336019,7.29726579825321 43.7205047954812,7.30316048610439 43.7229038801187,7.30958763156008 43.7244224916446,7.31629998968568 43.7250021990598,7.32303930014694 43.7246206926379,7.32954625901886 43.7232926461442,7.33557053189518 43.7210691509915,7.34088041612898 43.7180357443756,7.34527177446816 43.7143091084641,7.34857589228476 43.7100325695785,7.35066595458264 43.7053705729011,7.35146189490878 43.7005023476866)))', 'FRVFM', 'Villefranche-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.2731310510121 47.4797722094323,-2.27390665639417 47.4749005200868,-2.27606890383183 47.4702249901914,-2.27953438257733 47.4659252216133,-2.28416970938146 47.4621663412596,-2.28979668570164 47.4590926722127,-2.29619915563994 47.4568222070297,-2.30313129959861 47.4554420926249,-2.31032704694468 47.4550052973273,-2.31751025113777 47.4555285857647,-2.32440524385288 47.45699187782,-2.33074737130349 47.4593390158118,-2.33629311656714 47.4624799110929,-2.3408294262259 47.466293989318,-2.34418188770881 47.470634804521,-2.34622144465667 47.4753356476472,-2.34686939033244 47.4802159369402,-2.3461004420726 47.4850881470643,-2.34394377108102 47.4897650122935,-2.34048193914246 47.4940667274686,-2.33584777431236 47.4978278693307,-2.33021929823225 47.5009037705036,-2.3238128951239 47.5031760986091,-2.31687498337418 47.5045574231196,-2.30967251171042 47.5049945914779,-2.30248265039046 47.5044707822615,-2.29558208122752 47.5030061548711,-2.28923630697214 47.5006570702813,-2.28368939973927 47.4975139134913,-2.27915458984509 47.4936976031407,-2.27580606153397 47.4893549250164,-2.273772272375 47.4846528717857,-2.2731310510121 47.4797722094323)))', 'FRVH2', 'St-Vaast-la-Hougue', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.0949064055047 44.7794197831863,-1.09574103709265 44.7745548486831,-1.09789183600285 44.7698993326481,-1.10127588244631 44.7656320689092,-1.10576296281743 44.761916941498,-1.11118059898768 44.758896602592,-1.11732068287146 44.7566870084285,-1.12394746036791 44.7553729804458,-1.13080655993475 44.7550049596164,-1.13763472359336 44.7555970765858,-1.14416987313548 44.7571266104874,-1.15016113236897 44.7595348569519,-1.15537842772204 44.762729372732,-1.1596213043944 44.7665875124013,-1.16272662312939 44.7709611236127,-1.16457484284724 44.7756822232009,-1.16509464571178 44.7805694386287,-1.16426572218142 44.7854349693781,-1.16211960229063 44.7900918020901,-1.15873849349034 44.794360902485,-1.15425216215619 44.7980781069171,-1.14883297238179 44.8011004470014,-1.14268926877413 44.8033116618393,-1.13605735650397 44.8046266832592,-1.12919238883679 44.8049949190466,-1.12235851711711 44.8044022058306,-1.11581868855451 44.8028713552509,-1.1098244916798 44.8004612721295,-1.1046064472936 44.7972646793282,-1.10036512422887 44.7934045384812,-1.09726342521884 44.7890293065964,-1.09542034027273 44.7843072135718,-1.0949064055047 44.7794197831863)))', 'FRVI2', 'La Vigne', 'Y'),('SRID=4326;MULTIPOLYGON(((0.638609397833904 49.8507933330607,0.638104983530513 49.8459078031893,0.636136558713192 49.8411797588695,0.632780156084949 49.8367908305431,0.628165036317259 49.8329095734814,0.622468678761671 49.8296850068707,0.615909942447327 49.8272409076768,0.608740662964196 49.8256710754429,0.601236006987074 49.8250357467352,0.59368395017362 49.8253592941328,0.586374274844824 49.8266292960938,0.579587500498815 49.8287970124584,0.573584162448928 49.8317792475964,0.568594841679178 49.835461531095,0.564811322668226 49.8397024962506,0.562379216082716 49.844339291212,0.561392330891187 49.8491938180948,0.561889017019558 49.854079563221,0.563850627020788 49.858808758137,0.567202165685105 49.8631995972335,0.571815112835783 49.8670832343421,0.577512319883709 49.8703102879361,0.584074798473596 49.8727566024289,0.591250143288674 49.8743280410178,0.598762264262016 49.8749641225835,0.606322049256759 49.8746403599307,0.613638539405013 49.8733692073723,0.620430177713433 49.8711995802361,0.626435688374825 49.8682149650505,0.631424159645963 49.864530194569,0.635203936378008 49.8602870141157,0.637629977633085 49.8556486128007,0.638609397833904 49.8507933330607)))', 'FRVM3', 'Veulettes-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.74232913411695 48.5995947014968,-1.74317390015307 48.5947281648219,-1.74543342376032 48.5900644153731,-1.74902054064192 48.5857825965698,-1.75379718679259 48.5820471393281,-1.75957973652984 48.5790014608833,-1.76614606842621 48.5767624737689,-1.7732440862256 48.5754161128651,-1.78060136960541 48.5750140493907,-1.78793558956077 48.57557171563,-1.79496529627866 48.5770677147296,-1.80142067430514 48.5794446378134,-1.80705386090266 48.5826112577962,-1.81164843872962 48.5864460174604,-1.81502774299708 48.5908016804358,-1.81706166535429 48.5955109694412,-1.81767169082861 48.6003929781465,-1.81683396867303 48.6052601127667,-1.81458029099004 48.609925298241,-1.81099693208781 48.6142091725282,-1.80622138385278 48.6179469917839,-1.80043710481855 48.6209949791776,-1.79386647968127 48.6232358706591,-1.78676225830369 48.6245834414253,-1.77939780544747 48.6249858360666,-1.77205654160649 48.6244275718813,-1.76502098896259 48.622930136755,-1.75856185295932 48.6205511581861,-1.75292756845159 48.6173821761889,-1.74833471992669 48.6135451075765,-1.7449597089019 48.6091875402352,-1.7429319901203 48.6044770413686,-1.74232913411695 48.5995947014968)))', 'FRVM6', 'Le Vivier-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.7129970868742 47.6669134087731,-2.71373474765446 47.6620388357389,-2.71586566757532 47.6573551108242,-2.71930763297323 47.6530421525886,-2.72392815679836 47.6492655955724,-2.72954960250816 47.6461704418077,-2.73595602145134 47.643875508081,-2.74290143936156 47.6424688793571,-2.75011927540662 47.6420045401314,-2.75733253693559 47.6425003106832,-2.76426440569994 47.643937165897,-2.77064881758395 47.6462599622786,-2.77624063809665 47.6493795458481,-2.78082505005094 47.6531761616054,-2.78422579764114 47.6575040360684,-2.7863119718337 47.6621969597481,-2.78700307452627 47.6670746579938,-2.78627216182071 47.6719497078931,-2.78414693807066 47.6766347370909,-2.78070874974969 47.6809496284624,-2.77608950888148 47.6847284531654,-2.77046665668896 47.687825863933,-2.76405635594663 47.6901227003703,-2.75710517188915 47.6915305878419,-2.7498805631928 47.6919953502193,-2.74266055358434 47.6914991028019,-2.73572298864727 47.6900609433038,-2.72933479968839 47.6877362137851,-2.72374169622361 47.6846143625284,-2.71915869075684 47.6808154897687,-2.7157618249677 47.6764857125962,-2.71368141692034 47.6717915301699,-2.7129970868742 47.6669134087731)))', 'FRVNE', 'Vannes', 'Y'),('SRID=4326;MULTIPOLYGON(((6.4011207148628 43.1337806031252,6.40067169092084 43.1288904364044,6.39892891326815 43.1241583774195,6.39595962837413 43.1197662271274,6.39187814003819 43.1158826891759,6.386841387036 43.1126568995468,6.38104289851806 43.1102127114988,6.37470536148173 43.1086439529823,6.36807208521262 43.1080108361981,6.36139768733509 43.1083376549601,6.35493835389421 43.1096118566413,6.34894204096332 43.1117845235313,6.34363898724663 43.1147722452585,6.33923289599021 43.1184603114512,6.33589312053713 43.1227071038724,6.33374815172576 43.1273495216867,6.33288065805752 43.1322092339554,6.33332427255535 43.1370995214215,6.3350622552819 43.1418324463974,6.33802808975143 43.1462260760869,6.34210799746051 43.1501114816178,6.34714528027024 43.1533392426863,6.35294632837245 43.1557852058999,6.35928806509668 43.1573552730551,6.36592654179272 43.1579890327224,6.37260634911774 43.157662093215,6.37907047748659 43.156387025542,6.38507024084122 43.1542128792536,6.39037487518183 43.1512232899465,6.39478043662735 43.1475332523147,6.39811765249432 43.1432846847287,6.40025842161856 43.1386409582766,6.4011207148628 43.1337806031252)))', 'FRVNO', 'Le Lavandou', 'Y'),('SRID=4326;MULTIPOLYGON(((3.31722097120284 43.24991022321,3.31653815542204 43.2450319240373,3.31456680065199 43.2403447102454,3.31138292125335 43.2360286448929,3.30710904141766 43.2322494975482,3.30190946092329 43.2291523882332,3.29598393259729 43.2268562273463,3.28955999573425 43.2254491626831,3.28288425858668 43.2249852059948,3.27621296087497 43.2254821665994,3.26980217299759 43.2269209700569,3.26389800155356 43.2292463876253,3.25872717057619 43.2323691490057,3.25448833452283 43.2361693586446,3.25134445292243 43.2405010864744,3.24941651835952 43.2451979592159,3.24877888025358 43.2500795399097,3.24945634814709 43.2549582526634,3.25142319181091 43.2596465879307,3.25460408365914 43.2639643119188,3.25887695432801 43.2677454025471,3.26407765767635 43.2708444439466,3.27000626993347 43.2731422315764,3.27643478230448 43.2745503699838,3.28311588995698 43.2750146839497,3.28979253555918 43.2745173097636,3.29620783454407 43.2730773848298,3.30211499353712 43.2707503086249,3.30728683367806 43.2676256039606,3.31152454687425 43.2638234622376,3.31466534454227 43.2594901076658,3.31658870359859 43.2547921611809,3.31722097120284 43.24991022321)))', 'FRVP8', 'Valras-Plage', 'Y'),('SRID=4326;MULTIPOLYGON(((0.838630688994988 49.8707269269599,0.838105921577462 49.865842017626,0.836117115792403 49.8611171210405,0.832741086429453 49.8567337454983,0.82810784619022 49.8528602320012,0.822395567837407 49.8496453017122,0.815823718993484 49.847212361339,0.808644636127347 49.8456547821517,0.80113386028944 49.8450323308019,0.793579600981192 49.8453688862255,0.786271725052088 49.8466515282918,0.779490683982208 49.84883103227,0.773496794962681 49.8518237504186,0.768520278799181 49.8555148099142,0.764752431130757 49.8597625067389,0.762338263417591 49.8644037297956,0.761370897620357 49.8692602100684,0.761887934895219 49.8741453575846,0.763869945831621 49.8788714255516,0.767241150093318 49.8832567273428,0.771872269556973 49.8871326287026,0.777585454329947 49.8903500449377,0.784161098796874 49.8927851908776,0.791346288640382 49.8943443594744,0.798864553077731 49.8949675421029,0.806426542534908 49.8946307484967,0.813741213315968 49.8933469350476,0.820527079485503 49.891165504819,0.826523089275048 49.8881703988069,0.83149869901212 49.8844768533657,0.835262751054239 49.8802269509755,0.837670811791635 49.8755841385107,0.838630688994988 49.8707269269599)))', 'FRVR4', 'Veules-les-Roses', 'Y'),('SRID=4326;MULTIPOLYGON(((0.168241108740001 49.4009436492729,0.167786533096383 49.3960566643533,0.165880158188032 49.3913214432365,0.162595626157102 49.3869198959414,0.158059434679072 49.3830210663469,0.152446034009127 49.379774651943,0.145971103762658 49.3773052711727,0.138883270676298 49.3757076956076,0.131454584657998 49.3750432269679,0.123970114460506 49.3753373553327,0.116717055163325 49.3765787864154,0.109973756583219 49.3787198742491,0.10399908437353 49.3816784428569,0.0990225138758853 49.3853409283128,0.0952353310422813 49.3895667228543,0.0927832755810624 49.3941935571474,0.0917609098968295 49.3990437170894,0.0922079347971984 49.4039308591491,0.0941076011700809 49.408667164493,0.097387288186297 49.4130705580388,0.101921235780216 49.4169717148329,0.107535335308788 49.4202205830905,0.11401380076304 49.4226921707914,0.121107467203731 49.4242913703787,0.128543396647318 49.4249566328893,0.136035417594095 49.4246623473841,0.143295185430121 49.423419832073,0.150043329023674 49.4212768979872,0.156020245112307 49.418316002179,0.160996116745289 49.4146510628697,0.164779764367737 49.4104230613988,0.167225986475891 49.4057946030849,0.168241108740001 49.4009436492729)))', 'FRVR5', 'Villerville', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.491802564665205 49.3291768847714,-0.492783974547938 49.3243224971465,-0.49519506350134 49.3196864825964,-0.498942840811858 49.3154469102353,-0.503883076419477 49.3117665804088,-0.509825874676541 49.3087867872521,-0.51654297868943 49.3066219099531,-0.523776523551896 49.3053550373692,-0.531248904929952 49.3050347910883,-0.538673389988597 49.3056734665819,-0.545765071569881 49.3072465624268,-0.552251754477944 49.3096937154249,-0.55788436499379 49.3129210066641,-0.562446491294872 49.3168045519647,-0.565762692919025 49.3211952415833,-0.567705261056136 49.3259244502268,-0.568199167145333 49.3308105010134,-0.567225003438594 49.3356656374455,-0.564819793843256 49.3403032369623,-0.561075633994211 49.3445449891532,-0.556136203225058 49.3482277618134,-0.550191274652799 49.3512098889087,-0.543469429491104 49.35337663593,-0.536229254442841 49.3546446293712,-0.528749363228374 49.3549650770039,-0.521317631988521 49.3543256527024,-0.514220071047758 49.3527509718895,-0.50772977068144 49.3503016390603,-0.502096355333091 49.3470719049871,-0.497536359352418 49.3431860257486,-0.494224898878484 49.3387934664091,-0.492288960923955 49.3340631369095,-0.491802564665205 49.3291768847714)))', 'FRVRU', 'Ver-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.864757637073953 49.3742996959734,-0.865703457709519 49.369441700513,-0.868082063669645 49.3647975002709,-0.871801708099242 49.360545480689,-0.876719236472931 49.3568489214417,-0.882645619873125 49.3538497404241,-0.889353226919582 49.3516630610337,-0.896584553769051 49.3503728083183,-0.90406207941612 49.3500285001534,-0.911498873706814 49.350643354286,-0.918609559042842 49.3521937824796,-0.925121214351511 49.3546202908832,-0.930783811823957 49.3578297529513,-0.93537979315202 49.3616989695915,-0.938732422155105 49.3660793825529,-0.94071259405749 49.3708027631181,-0.941243837134195 49.3756876605734,-0.940305308439027 49.3805463651558,-0.937932659852997 49.385192119443,-0.93421673127533 49.3894463014043,-0.929300111525962 49.3931453021626,-0.92337169119137 49.3961468321252,-0.916659411755444 49.3983354102887,-0.909421488390036 49.3996268225341,-0.901936446360985 49.3999713744576,-0.894492360124577 49.3993558112022,-0.887375717412888 49.3978038289621,-0.880860346255393 49.3953751581779,-0.875196840164581 49.3921632545984,-0.87060289577623 49.388291689014,-0.867254939164178 49.3839093772808,-0.865281363774629 49.3791848371869,-0.864757637073953 49.3742996959734)))', 'FRVS9', 'Vierville-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.63456650666795 45.3492712773393,-0.635450393491451 45.3444111488348,-0.637661591916313 45.3397659614893,-0.641114856567118 45.3355141486082,-0.645677313837352 45.3318189970387,-0.651173593399109 45.3288223885802,-0.657392573228664 45.3266393659169,-0.664095478111792 45.3253537291091,-0.67102502267399 45.3250148292154,-0.677915252585589 45.3256356801422,-0.684501712746073 45.3271924600148,-0.690531559614853 45.3296254210088,-0.695773236736248 45.332841173528,-0.700025347872206 45.336716258752,-0.703124390628274 45.3411018747385,-0.704951054295508 45.3458295772429,-0.705434837706749 45.3507177388445,-0.704556804686263 45.3555785203038,-0.702350364205515 45.3602250875497,-0.698900037286284 45.3644787971997,-0.694338250291608 45.368176073641,-0.688840271505137 45.3711747115817,-0.682617481641373 45.3733593593674,-0.675909235957492 45.3746459695271,-0.668973632916965 45.3749850428181,-0.662077549198753 45.374363538936,-0.655486331093142 45.3728053791619,-0.649453546494956 45.3703705213981,-0.64421119910208 45.3671526440068,-0.639960787194436 45.3632755293011,-0.636865554473589 45.3588882881934,-0.635044231604942 45.3541596123379,-0.63456650666795 45.3492712773393)))', 'FRVZ2', 'Vitrezay', 'Y'),('SRID=4326;MULTIPOLYGON(((3.11713775017854 43.0999701473064,3.11647255329606 43.0950905033055,3.11452133061941 43.0903996937808,3.11135932218131 43.0860779212574,3.10710821231811 43.0822911757534,3.10193142760345 43.0791848700801,3.09602784758757 43.0768782683926,3.08962417135705 43.0754599195634,3.08296623181957 43.074984268352,3.07630958751487 43.0754695724723,3.06990974758143 43.0768972041907,3.06401239856496 43.0792123628056,3.0588440016924 43.0823261711373,3.05460311605547 43.0861190768949,3.05145277719963 43.0904454303465,3.04951422260401 43.095139064902,3.0488622065442 43.100019668678,3.049522088319 43.1048997043428,3.05146881165281 43.109591612758,3.05462782149679 43.1139150241026,3.05887789002365 43.1177036988631,3.06405574919446 43.1208119305164,3.06996235588346 43.1231201616943,3.07637055022081 43.124539595449,3.08303381145771 43.1250156218507,3.08969577087326 43.1245299260663,3.09610011015085 43.1231011954565,3.1020004577601 43.1207843980195,3.10716989596581 43.117668660431,3.11140970714342 43.1138738286938,3.11455701932484 43.1095458457526,3.11649105581498 43.1048511262725,3.11713775017854 43.0999701473064)))', 'FRWGE', 'Gruissan', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.64775189158585 45.049279059123,-0.648628985378961 45.0444184767827,-0.650826534240686 45.0397725522619,-0.654259821478255 45.0355197480174,-0.658796743699862 45.0318233901204,-0.66426291234784 45.0288254079876,-0.67044836092508 45.0266408982931,-0.677115599341249 45.0253537192021,-0.684008708083179 45.0250132816147,-0.690863127657002 45.0256326586287,-0.697415773985556 45.0271880846213,-0.703415098833324 45.0296198629775,-0.708630716183024 45.0328346484251,-0.712862230770623 45.0367090180489,-0.715946933320023 45.0410941962051,-0.717766067663559 45.0458217545129,-0.71824942676357 45.0507100705174,-0.71737809613221 45.0555712989446,-0.715185232334744 45.0602185889353,-0.711754838805593 45.0644732701527,-0.707218578395235 45.0681717307738,-0.70175073890571 45.0711717212609,-0.695561541203849 45.0733578391864,-0.688889046150005 45.0746459815462,-0.68198997353324 45.0749865907909,-0.675129790794162 45.0743665676896,-0.668572459400359 45.072809776226,-0.662570240846277 45.070376120896,-0.657353961689295 45.0671592327241,-0.653124117946749 45.0632828547465,-0.650043164522961 45.0588960683603,-0.648229286814993 45.0541675467847,-0.64775189158585 45.049279059123)))', 'FRWWS', 'Soussans', 'Y'),('SRID=4326;MULTIPOLYGON(((5.784116030034 43.1321743488459,5.78323930982072 43.1273157814686,5.78108559938884 43.1226758043847,5.77773790232516 43.1184326542102,5.77332501270249 43.1147492914844,5.76801654377521 43.1117671536159,5.76201640559391 43.1096007365766,5.7555549828105 43.1083332109778,5.74888031114055 43.1080132385594,5.74224858700391 43.1086531095151,5.73591436875585 43.1102282711188,5.73012083898932 43.1126782656299,5.72509049532571 43.1159090422863,5.72101662195373 43.1197965562586,5.71805586631081 43.1241915185853,5.71632220547981 43.1289251171363,5.71588253622959 43.1338154912024,5.71675406269002 43.1386747128415,5.7189035883504 43.1433160078359,5.7222487467173 43.14756093893,5.72666113021188 43.1512462744558,5.73197120263391 43.1542302766638,5.73797480981588 43.1563981657531,5.74444103898214 43.1576665470061,5.7511211226885 43.157986628417,5.7577580405809 43.1573461031991,5.7640964436012 43.1557696236839,5.76989251206265 43.1533178482525,5.77492336185099 43.1500850987959,5.77899563172532 43.1461957204847,5.78195291836682 43.1417992861089,5.78368177281682 43.1370648319045,5.784116030034 43.1321743488459)))', 'FRXBD', 'Bandol', 'Y'),('SRID=4326;MULTIPOLYGON(((70.2562418332849 -49.3515906676738,70.2556311083278 -49.3564724523183,70.2535738655759 -49.3611825779143,70.2501487952142 -49.365539966347,70.2454872654208 -49.3693770543087,70.2397683129786 -49.3725462496034,70.2332117788329 -49.3749256236115,70.2260698499358 -49.3764236180199,70.2186173338841 -49.376982581716,70.2111410452633 -49.3765809991161,70.2039287196649 -49.3752343223288,70.1972578911729 -49.3729943743578,70.1913851706924 -49.3699473467355,70.1865363457383 -49.3662104701981,70.1828976880549 -49.3619274889553,70.1806088054496 -49.3572631156273,70.1797573109536 -49.3523966831563,70.180375508913 -49.347515240427,70.1824392172535 -49.3428063588558,70.1858687614633 -49.3384509271664,70.1905320922613 -49.3346162107702,70.1962498986767 -49.331449440814,70.2028025142351 -49.3290721766814,70.2099383485531 -49.327575655476,70.217383521879 -49.3270173040283,70.2248523374916 -49.3274185447125,70.2320581974986 -49.3287639774736,70.2387245521444 -49.3310019687,70.2445954716257 -49.3340466247563,70.2494454426125 -49.3377810759557,70.2530880188861 -49.3420619473241,70.2553829960685 -49.3467248474504,70.2562418332849 -49.3515906676738)))', 'FRXFK', 'Port-aux-Français', 'Y'),('SRID=4326;MULTIPOLYGON(((4.46432292273385 43.4495655445522,4.46354577690999 43.4446955603458,4.46147983395642 43.4400295820723,4.45820473803267 43.4357468508593,4.45384650906266 43.4320118510656,4.44857267562481 43.4289680042515,4.44258583026338 43.4267321746605,4.43611585587276 43.4253901947659,4.42941112006518 43.4249935803221,4.42272897156253 43.425557559109,4.41632589760816 43.4270604878434,4.4104477134928 43.4294446793469,4.40532015420482 43.4326186088756,4.40114022396666 43.4364604164204,4.39806863237562 43.4408225726489,4.3962236067559 43.4455375317688,4.39567632025656 43.4504241565994,4.39644811569621 43.4552946710137,4.39850963806037 43.4599618738841,4.40178191618395 43.4642463376497,4.40613935912793 43.4679833141864,4.41141455797994 43.4710290809927,4.41740471232449 43.4732664815236,4.42387943550473 43.4746094441444,4.43058963694791 43.4750063034891,4.43727713583791 43.4744417944939,4.44368463038275 43.4729376411616,4.44956563229663 43.4705517171047,4.45469397760725 43.4673758108327,4.4588725424281 43.4635320832962,4.46194082503498 43.4591683561287,4.46378110186672 43.4544524142835,4.46432292273385 43.4495655445522)))', 'FRXSR', 'Saintes-Maries-de-la-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((5.93408216028697 43.0791304854729,5.93319461509993 43.0742733535699,5.93103180021934 43.0696364411395,5.92767706736735 43.0653978664784,5.92325947907492 43.0617204140559,5.91794882735323 43.0587452942616,5.91194910471369 43.056586733807,5.90549067902013 43.0553276020815,5.89882147072037 43.0550162391115,5.89219746693026 43.0556646051173,5.88587293060945 43.0572478216869,5.88009067401923 43.059705122079,5.87507276348085 43.0629421750079,5.87101200719707 43.0668346943415,5.86806454994986 43.071233198326,5.86634385859661 43.0759687380255,5.86591633159239 43.080859377275,5.86679870579965 43.0857171770568,5.86895736654133 43.0903554170191,5.87230959452512 43.0945957767605,5.87672670856394 43.0982752000496,5.88203898884817 43.1012521764503,5.8880421949331 43.1034121965995,5.89450542863211 43.1046721688823,5.90118003752171 43.104983625305,5.90780921229449 43.1043345914198,5.91413790275492 43.1027500473175,5.91992266421146 43.1002909618443,5.92494104900009 43.0970519380485,5.92900017671846 43.0931575621091,5.93194415051956 43.0887575984308,5.93366003386924 43.0840212181748,5.93408216028697 43.0791304854729)))', 'FRYNE', 'La Seyne-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((5.83410568192412 43.1161596912729,5.83322531713134 43.1113016008009,5.83106850086278 43.1066626451535,5.82771835549998 43.1024210215073,5.82330376857345 43.0987396316531,5.81799441796241 43.0957598372133,5.81199424711727 43.0935960442432,5.80553364165452 43.0923313227414,5.79886060582606 43.0920142269707,5.79223127337713 43.0926569368705,5.78590011115725 43.0942347908755,5.78011018487733 43.0966872279645,5.77508385430726 43.0999201035936,5.77101425001691 43.1038092922415,5.7680578558694 43.1082054404502,5.76632848163016 43.1129396902883,5.76589285939285 43.117830155735,5.76676803757389 43.1226889050424,5.76892067892347 43.1273291818838,5.77226829665346 43.1315725879434,5.77668238804292 43.1352559500738,5.78199335065442 43.1382376063919,5.78799699562569 43.1404028673879,5.7944624084362 43.1416684395695,5.80114085295853 43.1419856391654,5.8077753720221 43.1413422704299,5.81411070916169 43.1397630952298,5.81990316307257 43.1373088757268,5.82492998917632 43.1340740278212,5.82899798146332 43.1301829772956,5.83195090148398 43.1257853610618,5.83367546837731 43.1210502605447,5.83410568192412 43.1161596912729)))', 'FRYNR', 'Sanary-sur-Mer', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.29365854433733 46.7097814419391,-2.29442038320171 46.704908891762,-2.29654913884346 46.700232174278,-2.29996270026616 46.6959309390796,-2.30452968753926 46.6921703724274,-2.31007453078305 46.6890948656487,-2.31638422672674 46.6868224852912,-2.32321651177636 46.6854404546506,-2.33030913943129 46.6850018174704,-2.33738991048687 46.685523409658,-2.34418707781634 46.6869852154271,-2.35043973432012 46.6893311321351,-2.35590779319617 46.6924711150829,-2.36038118401058 46.696284621546,-2.36368791578349 46.70062522416,-2.3657006987427 46.7053262192502,-2.36634186844785 46.7102070174371,-2.36558641815346 46.7150800733234,-2.36346301563802 46.7197580895328,-2.36005295693335 46.7240612187539,-2.3554870887125 46.7278239863786,-2.34994081048864 46.7309016660015,-2.34362734399434 46.733175860279,-2.33678952685536 46.7345590697622,-2.32969044778322 46.7349980712393,-2.32260328815332 46.7344759733421,-2.31580076769591 46.7330128688465,-2.30954460847611 46.7306650581147,-2.30407543055229 46.727522874194,-2.29960347472227 46.7237071948872,-2.2963005135016 46.7193647783544,-2.29429326262973 46.7146626044225,-2.29365854433733 46.7097814419391)))', 'FRYPJ', 'Yeu port / Joinville', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.73009139854342 47.5329190775063,-2.73082553821686 47.5280442735024,-2.73294945141215 47.5233601078301,-2.73638119592931 47.5190465164215,-2.74098867884547 47.5152691587225,-2.74659476505892 47.5121730681603,-2.7529840953604 47.5098770981041,-2.75991135039937 47.5084693737946,-2.7671106448376 47.5080039220807,-2.77430569574784 47.5084986060064,-2.78122038198889 47.5099344419876,-2.787589297559 47.5122563252658,-2.7931679021313 47.5153751363789,-2.79774188610507 47.5191711493871,-2.80113539522268 47.5234986133886,-2.80321780040716 47.5281913342164,-2.80390875089202 47.5330690447631,-2.80318131145316 47.5379443216297,-2.80106305569332 47.5426297839655,-2.79763506451965 47.5469452984337,-2.79302885944204 47.55072491282,-2.78742138102183 47.5538232501372,-2.78102820041811 47.5561211149679,-2.77409522315463 47.5575300936089,-2.76688920572687 47.5579959682505,-2.75968745457732 47.5575008114615,-2.75276711089891 47.5560636788156,-2.74639444198736 47.5537398724768,-2.7408145595813 47.5506188046758,-2.73624196781901 47.5468205449132,-2.73285230900553 47.5424911861383,-2.73077562604353 47.5377972109801,-2.73009139854342 47.5329190775063)))', 'FRYSZ', 'Sarzeau', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.43222424717801 48.7301478883079,-3.43290824921425 48.725269798719,-3.43501727455256 48.720573693437,-3.43846992558274 48.7162399677868,-3.44313328279208 48.7124350527539,-3.44882804859091 48.7093050361391,-3.45533545080014 48.7069700687068,-3.46240563853792 48.7055197672242,-3.46976724961512 48.7050097879611,-3.47713778697808 48.705459699692,-3.48423441330373 48.7068522361482,-3.49078475825212 48.7091339559713,-3.49653733245852 48.7122172853487,-3.50127115610704 48.7159838665092,-3.50480423754345 48.7202890859596,-3.50700057817764 48.7249676115044,-3.50777543283663 48.7298397283628,-3.50709861828522 48.7347182335542,-3.50499573491831 48.739415625436,-3.50154724528716 48.74375131281,-3.49688543536876 48.7475585660365,-3.49118936719061 48.7506909413462,-3.48467801120608 48.7530279288844,-3.47760182022294 48.754479604341,-3.47023307037048 48.7549901022708,-3.46285534551729 48.7545397749368,-3.45575257721786 48.7531459518798,-3.44919807087248 48.7508622703315,-3.44344394938042 48.7477766027598,-3.43871142811663 48.744007662905,-3.43518230045789 48.7397004233499,-3.432991963067 48.7350205238324,-3.43222424717801 48.7301478883079)))', 'FRYU3', 'Le Yaudet', 'Y'),('SRID=4326;MULTIPOLYGON(((0.358505866727257 49.7308850437029,0.358030457191051 49.7259986912859,0.356093887935615 49.7212663321538,0.352770967050479 49.7168697644528,0.348189670174046 49.7129778386357,0.342526180335191 49.7097399849603,0.335998098238619 49.7072804913932,0.328856086780448 49.7056937487119,0.321374269828544 49.705040642285,0.313839749422778 49.7053462262897,0.306541636410006 49.7065987676264,0.299760006391712 49.7087501952506,0.293755195353902 49.7117179378938,0.288757837429737 49.7153880810014,0.284960021205026 49.7196197240273,0.282507901446803 49.7242503737233,0.28149605111838 49.729102169418,0.281963775451345 49.7339887039809,0.283893537527332 49.7387221805041,0.287211565587431 49.7431206307293,0.291790628881799 49.7470149176066,0.297454884425349 49.7502552514284,0.303986614943124 49.7527169666481,0.311134602100698 49.7543053342616,0.318623812283835 49.7549592215188,0.326166017899065 49.7546534553678,0.333470938094708 49.7533997966388,0.340257460936657 49.7512464864889,0.346264505551152 49.7482763827848,0.351261097764398 49.7446037595312,0.355055265564482 49.7403698948538,0.357501409624688 49.735737620227,0.358505866727257 49.7308850437029)))', 'FRYYO', 'Yport', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.94599666055949 47.6669885507289,-2.94671263215026 47.6621124750878,-2.94882272065473 47.6574244190883,-2.9522455110764 47.6531044689337,-2.95684925046298 47.6493185286594,-2.96245694401337 47.646211961166,-2.96885316829774 47.643904021573,-2.97579233806332 47.6424832938416,-2.98300811075311 47.6420043030747,-2.99022357237483 47.6424854311785,-2.99716182079562 47.6439082143177,-3.00355654859529 47.6462180485771,-3.00916222762598 47.6493262773024,-3.01376351139766 47.6531135815755,-3.01718349899962 47.6574345460367,-3.01929054478502 47.6621232275542,-3.02000335041589 47.6669995157104,-3.01929413860646 47.671876043207,-3.01718977909805 47.6765653823293,-3.01377081469987 47.6808872515305,-3.00916841588638 47.6846754546182,-3.00355937336753 47.6877842841989,-2.99715931594033 47.6900941407707,-2.99021441241837 47.6915161485295,-2.98299187827151 47.6919955874998,-2.97576965686363 47.6915140075401,-2.96882567944479 47.6900899412769,-2.96242712562363 47.6877781879696,-2.95682010602467 47.6846676964305,-2.95222017122626 47.6808781300706,-2.94880401676912 47.6765552486317,-2.9467027047381 47.6718652870879,-2.94599666055949 47.6669885507289)))', 'FRZEG', 'Auray', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.72944856779045 48.4505706038339,-4.73000452914742 48.4456862388573,-4.73198186622769 48.4409678600133,-4.73530423727916 48.4365967262902,-4.73984371729837 48.4327407121357,-4.7454257517625 48.429547872245,-4.7518358805012 48.4271407716414,-4.75882797094373 48.4256117959377,-4.76613364563615 48.4250196189183,-4.77347254648618 48.4253869604752,-4.78056304877412 48.4266997191341,-4.78713302228765 48.4289075116527,-4.79293023536179 48.4319255993046,-4.79773201015733 48.4356381283213,-4.8013537638837 48.4399025623894,-4.80365611021048 48.4445551398491,-4.80455024678419 48.449417148975,-4.80400141714061 48.4543017829219,-4.80203030650677 48.4590213128668,-4.79871230871533 48.463394304577,-4.7941746829802 48.4672526007436,-4.7885917015252 48.4704477992555,-4.78217796869031 48.472856976011,-4.77518016573662 48.4743874293215,-4.76786753979646 48.4749802604501,-4.76052150722761 48.4746126499225,-4.75342477849052 48.4732987401615,-4.74685043171852 48.4710890896545,-4.74105136436521 48.46806871999,-4.73625053656594 48.4643538323523,-4.73263238693849 48.4600873221336,-4.73033575312133 48.4554332670684,-4.72944856779045 48.4505706038339)))', 'FRZEU', 'Lampaul-Plouarzel', 'Y'),('SRID=4326;MULTIPOLYGON(((9.33390805758189 42.6829061773247,9.33323044360916 42.6780274768443,9.33127610736178 42.673340029241,9.32812040174966 42.6690239077239,9.32388476324833 42.665244885818,9.31873202021518 42.6621480808817,9.31286012717264 42.659852393804,9.30649456708481 42.6584459560583,9.29987971213436 42.6579827566017,9.29326947105153 42.6584805761645,9.28691757658478 42.6599203069469,9.28106787953313 42.6622466834098,9.27594501553829 42.6653703966103,9.27174579756485 42.6691715122614,9.26863166103206 42.6735040632889,9.26672245061062 42.6782016428889,9.26609178884747 42.6830837856349,9.26676420849815 42.6879628935184,9.26871416459098 42.6926514421567,9.27186697105462 42.6969691907181,9.27610163278291 42.7007501179751,9.28125547012396 42.7038488164969,9.28713036195753 42.7061460971133,9.29350036878106 42.7075535857487,9.30012044143637 42.7080171334576,9.30673587684429 42.7075189064912,9.3130921514668 42.7060780746731,9.3189447476656 42.703750071165,9.3240685884304 42.7006244526132,9.32826671209289 42.6968214433769,9.33137784983343 42.6924872988115,9.3332826135205 42.6877886683227,9.33390805758189 42.6829061773247)))', 'FRZFB', 'Saint-Florent', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.63271346999925 43.3825951608002,-1.63348186249375 43.3777243454927,-1.63553799376716 43.3730564301337,-1.638802596909 43.3687707308994,-1.64315005480909 43.3650318467248,-1.64841325185156 43.3619833487926,-1.65439000288048 43.3597422802117,-1.66085081136694 43.3583946746715,-1.66754766042976 43.3579922637782,-1.67422350319441 43.3585504975555,-1.68062209396912 43.3600479528928,-1.68649778955388 43.3624271523442,-1.69162495100674 43.3655967624904,-1.6958065903538 43.3694350889653,-1.69888193367838 43.3737947360849,-1.70073261103413 43.3785082545951,-1.70128723359161 43.3833945630148,-1.70052417785174 43.3882658978872,-1.69847246374571 43.3929350271606,-1.69521068571055 43.3972224498516,-1.69086403075919 43.4009633046447,-1.68559949226512 43.4040137203485,-1.67961945960744 43.4062563618906,-1.67315392891304 43.4076049561124,-1.66645163597683 43.4080076208896,-1.65977045645442 43.407448867547,-1.65336744851126 43.4059501982944,-1.64748892782144 43.4035692753855,-1.64236096342321 43.4003976946204,-1.63818066553088 43.3965574503745,-1.63510860383614 43.3921962302945,-1.6332626486867 43.3874817231036,-1.63271346999925 43.3825951608002)))', 'FRZJZ', 'Saint-Jean-de-Luz', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.22332291625115 52.2434285800562,-4.22397047715545 52.2385490421702,-4.22615590625823 52.2338407900145,-4.22979478537497 52.229484680358,-4.2347469747446 52.2256479925122,-4.24082204396936 52.2224780186958,-4.24778660833746 52.2200964264235,-4.25537328588307 52.2185946061108,-4.26329093279377 52.2180301791652,-4.27123576990155 52.2184247977011,-4.27890298207652 52.2197633183046,-4.2859983560769 52.2219943807163,-4.29224952113523 52.2250323696886,-4.29741637029765 52.2287606864204,-4.30130026898058 52.2330362066826,-4.30375169972439 52.2376947577518,-4.30467604768521 52.2425574072073,-4.30403729855994 52.247437325003,-4.30185949745556 52.2521469572799,-4.29822590126384 52.2565052371585,-4.29327584546784 52.2603445549311,-4.2871994356465 52.2635172179964,-4.28023026060355 52.2659011494261,-4.27263640423748 52.2674046026889,-4.26471010327157 52.2679697077748,-4.2567564543769 52.2675747093287,-4.24908161419974 52.2662348086025,-4.24198095727687 52.264001575967,-4.23572765865226 52.2609609570671,-4.2305621500943 52.2572299510868,-4.22668286208999 52.2529520916688,-4.22423861016413 52.2482919076513,-4.22332291625115 52.2434285800562)))', 'GBABA', 'Aberaeron', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.03310023268038 57.1426546443592,-2.0341089882589 57.1377935408241,-2.03684215271447 57.1331327875878,-2.04119413556729 57.128851385747,-2.04699733169298 57.1251137091777,-2.05402861696398 57.1220632117963,-2.06201793938564 57.1198169425177,-2.07065867312424 57.1184610744755,-2.0796193412076 57.1180476161692,-2.08855626563813 57.1185924274885,-2.09712667217362 57.120074614638,-2.10500176169457 57.1224373265491,-2.11187926116316 57.1255899231598,-2.11749498467401 57.1294114347269,-2.12163296870052 57.1337551828543,-2.12413379471982 57.1384543898635,-2.12490077592146 57.1433285651016,-2.12390376115067 57.14819042625,-2.12118039652386 57.1528530919255,-2.11683478058674 57.1571372698806,-2.11103354915714 57.1608781636013,-2.10399952725247 57.1639318293896,-2.09600318349224 57.1661807359688,-2.08735221264431 57.1675383086997,-2.07837965018933 57.167952279559,-2.06943098493808 57.1674067106252,-2.06085077856913 57.1659226110339,-2.0529693221388 57.1635571230061,-2.04608985798778 57.1604013092431,-2.04047687112357 57.1565766292705,-2.03634590844033 57.152230243845,-2.03385531952403 57.1475293321494,-2.03310023268038 57.1426546443592)))', 'GBABD', 'Aberdeen', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.00504218336247 52.5443548299195,-4.00571783557411 52.5394765985333,-4.00794104719735 52.5347724380965,-4.01162594250046 52.5304230459639,-4.01663061129947 52.5265954410424,-4.0227626082415 52.5234365645065,-4.02978636628391 52.5210676559795,-4.03743223680201 52.5195796177987,-4.04540681086867 52.5190295419619,-4.05340413132909 52.5194385301511,-4.0611173744224 52.5207908884875,-4.06825056356621 52.5230347271023,-4.07452987685556 52.5260839420171,-4.0797141238513 52.5298215050185,-4.0836039960396 52.5341039379824,-4.08604973829298 52.5387668031895,-4.08695694472601 52.5436310022053,-4.08629025005647 52.5485096443653,-4.08407476501299 52.5532152230793,-4.08039518902638 52.557566825073,-4.07539262246231 52.5613970950085,-4.0692591906258 52.5645586859872,-4.0622306790074 52.5669299451365,-4.05457745991984 52.5684196122578,-4.04659406104392 52.5689703473614,-4.03858778303331 52.5685609483978,-4.03086681335644 52.5672071717827,-4.02372830489885 52.5649611233051,-4.0174468893822 52.5619092433755,-4.01226407728903 52.5581689659318,-4.00837895868052 52.5538841823472,-4.00594056499389 52.5492196882014,-4.00504218336247 52.5443548299195)))', 'GBABF', 'Aberdyfi (Aberdovey)', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.07259759276574 55.8826735367376,-2.07356672912671 55.877811013497,-2.07620431266208 55.8731481565772,-2.08040846876393 55.8688640531717,-2.08601730053345 55.8651231884653,-2.09281516092655 55.8620691474775,-2.10054095539078 55.8598191236776,-2.10889815364628 55.858459441378,-2.11756612923797 55.8580422600267,-2.12621239959114 55.8585835837683,-2.13450530853657 55.860062650646,-2.14212667824582 55.8624227242789,-2.14878395851718 55.8655732585258,-2.15422141836491 55.8693933543213,-2.1582299575775 55.8737363792898,-2.16065516367501 55.8784355766227,-2.16140330146286 55.8833104516391,-2.16044499662704 55.8881736939217,-2.15781645947973 55.8928383711851,-2.15361818739916 55.8971251191057,-2.14801118149405 55.9008690498954,-2.14121081083465 55.9039261117517,-2.13347855213629 55.9061786513053,-2.12511191979897 55.9075399612423,-2.1164329765324 55.9079576343214,-2.1077758746429 55.9074155915369,-2.09947391930534 55.9059347043133,-2.09184666558023 55.9035719861632,-2.08518755945619 55.9004183858321,-2.07975260988593 55.8965952691692,-2.07575053491155 55.8922497284494,-2.07333476289044 55.8875489034811,-2.07259759276574 55.8826735367376)))', 'GBABJ', 'Saint Abbs', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.008880382755 52.7173569975978,-4.00955801811924 52.7124788742339,-4.01178935001076 52.7077747358965,-4.0154881861119 52.7034252785905,-4.02051207736157 52.6995975229413,-4.0266678384229 52.6964384149641,-4.03371898979163 52.6940692022039,-4.041394832849 52.6925807978438,-4.04940081107875 52.6920303073631,-4.05742976559913 52.6924388481328,-4.0651736621895 52.6937907436044,-4.07233535079995 52.6960341221944,-4.07863991745816 52.6990828983865,-4.08384520254598 52.7028200617776,-4.08775108830596 52.7071021505736,-4.09020720151501 52.7117647411292,-4.09111873350215 52.7166287461581,-4.09045014763128 52.7215072826992,-4.08822662207328 52.7262128480866,-4.08453316070313 52.7305645290603,-4.07951139432726 52.7343949664619,-4.07335418478806 52.737556806004,-4.06629823210565 52.7399283842856,-4.05861496585441 52.7414184279938,-4.05060007266519 52.7419695820731,-4.04256206864319 52.7415606281256,-4.03481036571543 52.7402073056024,-4.02764330237676 52.737961703343,-4.02133661085254 52.7349102453977,-4.01613277425083 52.7311703504423,-4.01223168980841 52.7268858961266,-4.00978299979046 52.7222216662246,-4.008880382755 52.7173569975978)))', 'GBABW', 'Barmouth', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.26970279023269 58.2659978934824,-6.27098561493975 58.2611551175005,-6.2740358571438 58.2565372225501,-6.27873572628212 58.2523215467851,-6.28490426010591 58.248669924243,-6.29230433178004 58.24572249184,-6.30065177348935 58.2435923333142,-6.3096262643496 58.2423611614963,-6.31888356918897 58.2420762005916,-6.32806866865238 58.2427483848891,-6.33682929099306 58.2443519410786,-6.34482934239395 58.2468253698477,-6.35176173594148 58.2500737903772,-6.3573601394219 58.2539725604914,-6.36140919860899 58.2583720372897,-6.36375284500855 58.2631032997529,-6.36430036404963 58.2679846176747,-6.36302997987969 58.2728284217676,-6.35998980404681 58.2774485091875,-6.35529609460072 58.2816672079976,-6.34912887603097 58.2853222239296,-6.34172507493367 58.2882729034547,-6.33336942689183 58.2904056684895,-6.32438350212866 58.2916384093853,-6.315113276526 58.2919236630584,-6.30591573651152 58.2912504506482,-6.29714504779615 58.2896447019863,-6.289138836712 58.2871682501697,-6.28220512792664 58.2839164362496,-6.27661045388334 58.2800144190149,-6.27256960103231 58.2756123357106,-6.2702373885267 58.2708795041719,-6.26970279023269 58.2659978934824)))', 'GBACB', 'Back', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.31999775770911 58.0338655768205,-5.32058567287409 58.028985204674,-5.32295669523993 58.0242594215756,-5.32701907219644 58.0198697458403,-5.33261623700522 58.0159847216647,-5.3395328940804 58.0127534647025,-5.34750332280672 58.010299959567,-5.3562215762877 58.0087183241607,-5.36535318508769 58.0080692184276,-5.37454792436518 58.0083775316543,-5.38345316685499 58.0096314344085,-5.39172732459406 58.011782830277,-5.39905287941358 58.0147491904728,-5.40514851607018 58.0184167028813,-5.40977990221725 58.0226446179304,-5.41276870567493 58.0272706284974,-5.41399950072195 58.0321170815099,-5.41342429002025 58.0369977864562,-5.41106445536029 58.0417251620014,-5.40701004612727 58.0461174473957,-5.40141641604514 58.0500057011459,-5.39449832256666 58.0532403159251,-5.3865217049831 58.0556967959231,-5.37779345238652 58.0572805703407,-5.3686495564881 58.0579306535881,-5.35944211273166 58.0576220075609,-5.35052568252755 58.0563665123574,-5.34224355706873 58.0542125068272,-5.33491446753631 58.0512429170553,-5.32882026729867 58.0475720468304,-5.32419507001726 58.0433411569214,-5.32121626567142 58.0387130073459,-5.31999775770911 58.0338655768205)))', 'GBACE', 'Achiltibuie', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.02115354886736 57.0996504313853,-2.02216263731543 57.0947893921598,-2.0248940742923 57.0901288621149,-2.02924233743132 57.0858478338723,-2.03503996581163 57.0821106671607,-2.04206404986767 57.0790607965886,-2.05004481418978 57.0768152473017,-2.05867596094728 57.0754601650669,-2.06762638011801 57.0750475284264,-2.07655278572334 57.0755931658363,-2.08511280582311 57.0770761517775,-2.09297803871564 57.0794396043835,-2.09984658888635 57.082592854919,-2.10545461374235 57.0864149082253,-2.10958644575778 57.0907590647694,-2.11208290370235 57.0954585308741,-2.11284747009893 57.1003328056878,-2.1118500884364 57.1051946029218,-2.10912842086777 57.1098570436257,-2.10478650245684 57.1141408442981,-2.09899082819575 57.1178812231335,-2.09196401015021 57.1209342565066,-2.08397623995218 57.123182437764,-2.07533488201244 57.1245392204443,-2.06637260091444 57.1249523671275,-2.05743448851066 57.124405971708,-2.04886469899799 57.1229210751052,-2.04099312138369 57.120554850067,-2.03412261710733 57.117398387407,-2.02851732625373 57.1135731713008,-2.02439250011888 57.1092263827888,-2.02190625335025 57.1045252162409,-2.02115354886736 57.0996504313853)))', 'GBACV', 'Cove, Aberdeen', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-4.6708086216241 52.8055871826115,-4.67141332556018 52.8007060274433,-4.67357731398762 52.7959901327468,-4.67721697381589 52.7916206499708,-4.6821921185036 52.7877653716101,-4.68831142334315 52.784572301963,-4.69533979799204 52.7821639925121,-4.70300740993655 52.780632856105,-4.71102001381819 52.780037636407,-4.71907019578961 52.7804011651471,-4.72684911039107 52.7817094911181,-4.73405827054991 52.7839124134323,-4.74042094954918 52.7869253989757,-4.74569276721294 52.7906328121475,-4.74967106082411 52.7948923356171,-4.75220268379738 52.7995404157045,-4.75318993086908 52.8043985267348,-4.75259435609745 52.8092800168168,-4.75043832737353 52.8139972742381,-4.74680424599607 52.8183689400879,-4.74183144923736 52.8222268895185,-4.73571090435243 52.8254227115856,-4.72867789046762 52.8278334357756,-4.72100294637735 52.8293662816182,-4.71298143369335 52.8299622452018,-4.70492212254904 52.8295983815474,-4.69713524823982 52.82828869285,-4.6899205096326 52.8260835874603,-4.68355548271202 52.8230679308461,-4.67828490510206 52.8193577652548,-4.67431125073106 52.8150958270477,-4.67178695990112 52.8104460375266,-4.6708086216241 52.8055871826115)))', 'GBADR', 'Aberdaron', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.73166581485069 56.7180025756944,-5.73218408751706 56.7131200826456,-5.73442411242291 56.7083869829686,-5.73829921889399 56.7039850836159,-5.74366006653294 56.7000834079877,-5.7503004483164 56.6968317216514,-5.75796524410369 56.6943548033477,-5.76636021456101 56.6927476774317,-5.7751632607295 56.6920719867748,-5.78403672383143 56.6923536417869,-5.79264026451104 56.693581833195,-5.80064384122574 56.6957094452283,-5.80774030427441 56.6986548536681,-5.81365713501017 56.7023050415623,-5.8181668888871 56.7065199160571,-5.82109594557048 56.7111376644426,-5.82233122846601 56.7159809477794,-5.82182462831114 56.7208636978548,-5.81959494901336 56.7255982590288,-5.81572728622351 56.7300026018498,-5.81036984710531 56.7339073309224,-5.80372831976328 56.7371622158202,-5.79605799873607 56.7396419908502,-5.78765396452359 56.7412511967464,-5.77883969595984 56.7419278739788,-5.76995456033299 56.7416459619396,-5.76134067403784 56.7404163090324,-5.75332965364476 56.7382862535282,-5.74622978208683 56.7353377916427,-5.74031409692305 56.7316844051875,-5.7358098682935 56.7274666739685,-5.73288987536245 56.7228468456052,-5.73166581485069 56.7180025756944)))', 'GBAEN', 'Salen', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.86642866054435 56.046682370841,-4.86704998528637 56.0418025443985,-4.86935975956438 56.0370843017064,-4.87326866653592 56.0327088753559,-4.87862609995666 56.028844270994,-4.88522601089825 56.0256388322142,-4.89281485110554 56.023215565803,-4.90110130400202 56.0216674414671,-4.90976743136617 56.0210538426059,-4.91848081469498 56.0213983009613,-4.92690723631841 56.0226875996691,-4.93472342710234 56.0248722780713,-4.94162940540215 56.0278685193551,-4.9473599458337 56.0315613504607,-4.95169474614374 56.035809034482,-4.95446690540025 56.0404484906962,-4.95556938591686 56.0453015380062,-4.95495920335524 56.0501817254688,-4.95265917237271 56.0549014899923,-4.94875712648465 56.0592793673008,-4.94340262739692 56.0631469786118,-4.9368012773099 56.0663555225513,-4.92920684357292 56.0687815196001,-4.92091149432534 56.0703315843366,-4.91223452217819 56.070946037952,-4.90350999665678 56.070601218576,-4.8950738317316 56.0693103980347,-4.88725077986752 56.0671232686722,-4.88034186724568 56.0641240204381,-4.87461276597177 56.0604280841735,-4.87028355919769 56.0561776695165,-4.86752029628896 56.0515362729042,-4.86642866054435 56.046682370841)))', 'GBAET', 'Ardentinny', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.55939647181986 54.2609124848327,-5.55991348922977 54.2560290692586,-5.56204743274622 54.2512985184353,-5.56571579373066 54.2469025481172,-5.57077723961294 54.243009965664,-5.57703709975156 54.2397702022631,-5.58425487100289 54.2373075944936,-5.59215345090197 54.2357166313246,-5.6004297450735 54.2350583453828,-5.60876624755274 54.2353579837758,-5.61684315921881 54.2366040455191,-5.62435059122929 54.2387487213978,-5.63100039754912 54.2417097196797,-5.63653719342516 54.2453734092656,-5.64074814470205 54.2495991624043,-5.64347115560897 54.2542247337309,-5.64460113909942 54.259072472741,-5.64409412259316 54.2639561343878,-5.64196902115215 54.2686880285841,-5.63830699729028 54.2730862350597,-5.63324841880777 54.2769816060203,-5.62698751980857 54.2802242857541,-5.61976496159127 54.2826894936964,-5.6118585753918 54.284282345025,-5.60357264402442 54.2849415196578,-5.59522614063147 54.2846416351916,-5.58714038688445 54.2833942300735,-5.57962661775366 54.2812473180354,-5.57297394404278 54.2782835312448,-5.56743818703737 54.2746169253266,-5.56323202273195 54.2703885720168,-5.56051681812316 54.2657611125325,-5.55939647181986 54.2609124848327)))', 'GBAGL', 'Ardglass', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.32478679339675 60.2823762014254,-1.32600023290851 60.27752424226,-1.32909575652744 60.2728830120467,-1.33395372861037 60.2686307426637,-1.34038703132147 60.2649306646745,-1.34814832036929 60.2619247621424,-1.3569395476776 60.2597283478657,-1.36642338249691 60.2584256627077,-1.37623609707743 60.2580666634802,-1.38600143353014 60.2586651190081,-1.39534493579384 60.2601980851431,-1.40390821521741 60.2626067782763,-1.41136262038846 60.2657988150237,-1.41742180147278 60.2696517349362,-1.42185269620069 60.2740176750255,-1.42448451816314 60.2787290212475,-1.42521539726534 60.2836048244423,-1.42401640551176 60.2884577380353,-1.42093279660707 60.2931012133524,-1.4160823922885 60.2973566767194,-1.40965115826611 60.3010604113183,-1.40188612388776 60.3040698764005,-1.39308590741821 60.3062692168012,-1.38358920812392 60.3075737461807,-1.37376171225667 60.3079332269603,-1.36398192802684 60.307333817003,-1.35462651104285 60.3057986057608,-1.3460556638653 60.3033867186405,-1.33859919002625 60.3001910252824,-1.33254375429139 60.2963345428215,-1.32812184873077 60.2919656766116,-1.32550289123292 60.2872524861714,-1.32478679339675 60.2823762014254)))', 'GBAIT', 'Aith', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.01924502959186 58.5670160223873,-3.02015983141241 58.5621483921968,-3.02287393691606 58.5574674991976,-3.02728241784977 58.5531531188549,-3.03321543998684 58.549370887761,-3.04044485321175 58.5462659630792,-3.04869298137211 58.5439574734114,-3.05764327082416 58.5425339699084,-3.06695239191165 58.5420500480172,-3.07626333798244 58.5425242659482,-3.08521903294513 58.5439384373556,-3.09347594138915 58.5462383245265,-3.10071717520908 58.5493357063014,-3.10666460748809 58.5531117437372,-3.11108953783583 58.5574215178972,-3.11382150285554 58.5620995697976,-3.11475488995477 58.5669662340479,-3.11385309084664 58.5718345265745,-3.11115002076204 58.576517324294,-3.10674892791297 58.5808345617654,-3.10081852175576 58.5846201674252,-3.0935865541433 58.587728470363,-3.08533109010684 58.5900398276681,-3.07636980010936 58.5914652516172,-3.06704768854182 58.5919498543921,-3.05772373974266 58.5914749741239,-3.04875700935424 58.5900588979934,-3.04049271283211 58.587756153691,-3.03324886304822 58.5846553973491,-3.02730398517273 58.5808759816583,-3.02288639070774 58.5765633398638,-3.02016542622694 58.5718833675202,-3.01924502959186 58.5670160223873)))', 'GBAKL', 'Auckengill', 'Y'),('SRID=4326;MULTIPOLYGON(((1.64059009003607 52.1504748629832,1.63995860197519 52.1455946193388,1.63779196281094 52.140883909946,1.63417386757658 52.136523687071,1.62924365768888 52.1326813890624,1.62319092063059 52.1295045244582,1.61624818575428 52.1271150259502,1.60868199965932 52.1256045877437,1.60078272235097 52.1250311619808,1.59285343031399 52.1254167458123,1.58519834362942 52.126746542023,1.57811121063679 52.1289695245619,1.57186408505049 52.1320003877175,1.56669691685785 52.1357228058046,1.56280835005673 52.1399938809049,1.56034807797161 52.1446496111597,1.5594110515393 52.1495111729952,1.56003376902716 52.1543917789442,1.56219279906254 52.1591038497036,1.56580560503223 52.1634662257517,1.57073365076261 52.1673111409391,1.57678767824583 52.1704906882866,1.5837349616755 52.1728825266785,1.59130826197708 52.1743946056833,1.5992161360713 52.1749687233619,1.60715419868912 52.1745827772252,1.61481689450638 52.1732516196464,1.62190931676124 52.1710264839328,1.62815860649761 52.1679930035975,1.63332448425751 52.1642679027677,1.63720850250146 52.159994487785,1.63966166038239 52.1553371167336,1.64059009003607 52.1504748629832)))', 'GBALB', 'Aldeburgh', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.75433014675625 56.1142808626435,-3.75509312704568 56.1094066413746,-3.75754283558493 56.1047092115393,-3.76158458868951 56.1003689985315,-3.76706269365736 56.0965526494687,-3.77376648809905 56.0934066510939,-3.78143845695665 56.0910517267465,-3.78978411209731 56.0895782237147,-3.79848325737784 56.0890426641889,-3.80720221417376 56.0894655888852,-3.81560654959528 56.0908307738289,-3.82337383261694 56.0930858494661,-3.83020594243623 56.0961442989709,-3.83584046856079 56.0998887611043,-3.84006077311979 56.1041755140185,-3.84270433209172 56.1088399716832,-3.84366903254183 56.1137029857701,-3.84291717610695 56.1185777143275,-3.84047702286308 56.1232767957203,-3.8364418017888 56.1276195531202,-3.83096621114285 56.1314389520496,-3.82426053052944 56.1345880414512,-3.81658256215645 56.1369456274047,-3.80822770752736 56.1384209574159,-3.79951756332501 56.138957231153,-3.79078748266252 56.1385337991673,-3.78237359194011 56.137166962664,-3.7745997768924 56.1349093426324,-3.76776515276273 56.1318478432599,-3.76213251282192 56.1281002901004,-3.75791820778381 56.1238108755824,-3.75528384829605 56.1191445909405,-3.75433014675625 56.1142808626435)))', 'GBALL', 'Alloa', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.53922307752496 55.332484446434,-1.54024321675707 55.3276260583659,-1.54290580181383 55.3229744347973,-1.54710802159226 55.3187082301396,-1.55268807484537 55.3149912427416,-1.55943143542917 55.311966142973,-1.56707910959942 55.3097490165413,-1.57533756609382 55.3084249287819,-1.58388996091005 55.3080446765343,-1.59240823384863 55.3086228492676,-1.60056562402198 55.3101372719663,-1.60804913724529 55.3125298506501,-1.6145714998009 55.3157087890411,-1.61988215048587 55.3195520935901,-1.62377685578705 55.3239122355953,-1.62610558081196 55.328621795196,-1.62677831016737 55.3334998742132,-1.62576858677663 55.3383590345957,-1.62311462058268 55.3430124978808,-1.61891791054554 55.3472813295775,-1.61333941910285 55.3510013313947,-1.60659343462469 55.3540293740447,-1.59893935031723 55.3562489237926,-1.59067167332728 55.3575745463749,-1.58210865139522 55.3579552112886,-1.57357996260497 55.3573762662399,-1.56541395356537 55.3558600038225,-1.55792493060622 55.3534647980977,-1.55140100625132 55.3502828452869,-1.546092979471 55.3464365978576,-1.54220468431046 55.3420740325384,-1.53988517977566 55.3373629381167,-1.53922307752496 55.332484446434)))', 'GBAMB', 'Amble', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.0487099518869 56.6859344020356,-6.04996064373608 56.681092541263,-6.052902929351 56.676477948031,-6.05742322668996 56.6722678393975,-6.06334751353336 56.6686238446409,-6.07044806195633 56.6656858187252,-6.0784521988503 56.6635664953795,-6.08705275452107 56.6623471810772,-6.0959198024378 56.6620746514122,-6.10471324879636 56.6627593659764,-6.113095801623 56.6643750684594,-6.12074583623923 56.6668597870293,-6.12736967728478 56.6701181978561,-6.13271283711178 56.6740252636746,-6.13656978588257 56.6784310112942,-6.13879187944234 56.6831662686447,-6.13929313589675 56.688049144889,-6.13805362920404 56.6928920077884,-6.13512035582319 56.6975086921176,-6.13060552576556 56.7017216624687,-6.12468232890509 56.7053688538933,-6.11757832722373 56.7083099247637,-6.10956671955486 56.7104316777836,-6.10095581294985 56.7116524365834,-6.0920771097771 56.7119252056571,-6.08327247825069 56.7112394889647,-6.07488091318726 56.7096216953819,-6.06722541129724 56.7071341150923,-6.06060048028215 56.703872507597,-6.05526077372493 56.6999623968253,-6.05141129573175 56.695554219534,-6.04919955309867 56.6908175176881,-6.0487099518869 56.6859344020356)))', 'GBAMN', 'Ardnamurchan', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.29221733418086 53.4124594729661,-4.29287247448781 53.4075804408419,-4.29510764986611 53.4028714985577,-4.29883649873604 53.3985135262835,-4.30391540138929 53.3946738697529,-4.31014904806364 53.3914999288622,-4.31729796425963 53.3891135168945,-4.32508770117025 53.3876062035389,-4.3332193399691 53.3870358169942,-4.34138091276993 53.3874242363898,-4.34925931141553 53.388756557131,-4.35655223855968 53.390981660315,-4.36297975411128 53.394014164843,-4.36829498403153 53.3977376890769,-4.37229358742225 53.4020092996478,-4.37482162118376 53.4066649800388,-4.37578149824423 53.4115259124716,-4.37513580401743 53.4164053349132,-4.37290881439366 53.4211157119634,-4.36918564474668 53.4254759450227,-4.36410905017398 53.4293183441737,-4.35787398905162 53.4324950919813,-4.35072015121403 53.4348839478347,-4.34292273474257 53.4363929699849,-4.33478182760781 53.4369640700841,-4.32661080871789 53.4365752603706,-4.31872422431343 53.4352415048617,-4.31142561794915 53.4330141408907,-4.30499579432532 53.4299788937413,-4.29968197886202 53.4262525625911,-4.29568829711724 53.4219785081362,-4.29316794291373 53.4173211189526,-4.29221733418086 53.4124594729661)))', 'GBAMW', 'Amlwch', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.8535627815443 54.1090144667879,-5.85404384774455 54.104130149386,-5.85613684906312 54.0993948124547,-5.85976085202037 54.0949903579785,-5.86477622737137 54.0910859214088,-5.870990070714 54.0878313909662,-5.8781636408271 54.0853516714158,-5.886021526127 54.0837419091249,-5.89426218827479 54.0830638580977,-5.90256948388858 54.0833435232387,-5.91062473163529 54.084570168925,-5.9181188734099 54.0866967297909,-5.92476427521291 54.0896416082034,-5.9303057257521 54.0932917910508,-5.93453021845695 54.0975071689355,-5.93727514491141 54.1021258953996,-5.93843458371815 54.1069705840404,-5.93796343710952 54.1118551087988,-5.93587924633245 54.1165917486204,-5.93226160354274 54.1209984031677,-5.92724916970702 54.1249056020491,-5.92103440140655 54.1281630365072,-5.91385618067676 54.1306453596668,-5.90599062711438 54.1322570287843,-5.89774044648217 54.1329359995579,-5.88942323126686 54.13265612706,-5.88135917297307 54.1314281784817,-5.87385867103295 54.1292994175426,-5.86721032772311 54.1263517768173,-5.86166980215169 54.1226986899548,-5.8574499600691 54.1184807084627,-5.85471270187509 54.1138600751741,-5.8535627815443 54.1090144667879)))', 'GBANG', 'Annalong', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.22158677675285 54.9870868204611,-3.2223940274934 54.9822150333685,-3.22483802681655 54.9775273861543,-3.22882435362019 54.9732039289687,-3.23419947977447 54.9694106688404,-3.24075672102734 54.9662932115923,-3.2482441980143 54.9639711916951,-3.25637449872299 54.9625337002565,-3.26483567373154 54.9620358829854,-3.27330314926151 54.9624968355866,-3.28145211160313 54.963898875255,-3.28896990042864 54.9661882154598,-3.29556794821781 54.9692770188061,-3.3009928184826 54.9730467512179,-3.30503592639412 54.9773527117777,-3.30754157114919 54.9820295679851,-3.30841296893998 54.9868976875947,-3.30761604722563 54.9917700270222,-3.30518084314623 54.9964593138623,-3.30120043880873 55.0007852483471,-3.29582746070032 55.0045814463019,-3.2892682660503 55.0077018546467,-3.28177503160793 55.0100263896328,-3.27363604590499 55.0114655772526,-3.26516458057588 55.0119640135685,-3.25668677600932 55.0115025086316,-3.24852901841948 55.0100988293352,-3.24100530713192 55.0078070118291,-3.23440511130714 55.0047152706553,-3.22898219444992 55.0009425871477,-3.22494484399827 54.9966341115011,-3.22244788423335 54.9919555591145,-3.22158677675285 54.9870868204611)))', 'GBANN', 'Annan', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.65620142458107 56.2218836259457,-2.65710568776112 56.2170167875346,-2.65969613257973 56.2123417155534,-2.66387267706792 56.2080379688996,-2.66947446686602 56.2042707880747,-2.67628611012393 56.2011847679352,-2.68404597266966 56.1988983277273,-2.69245621203329 56.1974991868549,-2.70119416787254 56.1970410162238,-2.70992467951111 56.1975413904641,-2.7183128696817 56.198981117495,-2.72603691778192 56.2013049704484,-2.73280034629303 56.2044237946716,-2.73834336047625 56.2082179111596,-2.74245281374693 56.2125416890622,-2.7449704186028 56.2172291155941,-2.74579888462068 56.22210015334,-2.74490573933638 56.2269676440692,-2.74232467274414 56.2316444960362,-2.73815433906403 56.2359508793572,-2.73255464711535 56.2397211521228,-2.72574066936705 56.2428102487564,-2.71797439539355 56.2450992816435,-2.70955464374549 56.2465001366677,-2.70080552292537 56.2469588819587,-2.69206389337922 56.2464578553994,-2.68366632497754 56.2450163483803,-2.67593606607443 56.2426898587574,-2.66917053972593 56.2395679425927,-2.66362986004494 56.2357707496115,-2.65952681820675 56.231444379032,-2.65701872563012 56.2267552383505,-2.65620142458107 56.2218836259457)))', 'GBANS', 'Anstruther', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.56069202448019 50.6668584700029,-2.5614927081672 50.6619875917654,-2.56377273422855 50.6573095519436,-2.5674441018608 50.6530040415316,-2.57236547158262 50.6492363960224,-2.57834763486898 50.6461512603657,-2.58516079783417 50.6438670521752,-2.59254339719827 50.6424714326462,-2.60021211203436 50.6420179559542,-2.60787269263121 50.6425240231425,-2.61523119927257 50.6439702173277,-2.62200522949742 50.6463010451745,-2.62793471278918 50.6494270568602,-2.63279186663865 50.6532282649651,-2.63638993720138 50.6575587337232,-2.63859039064014 50.662252165574,-2.63930827663343 50.6671282736219,-2.63851555193753 50.6719996978944,-2.63624222734266 50.6766792014577,-2.63257528341529 50.6809868704768,-2.62765538616716 50.6847570408305,-2.62167151995111 50.6878446831847,-2.61485373790707 50.6901309983035,-2.60746430652729 50.6915280042305,-2.59978758685178 50.6919819357235,-2.59211904725741 50.6914753224995,-2.58475383914706 50.6900276645714,-2.57797538522018 50.687694678116,-2.57204442946128 50.6845661415852,-2.5671889785479 50.6807624267835,-2.56359552706654 50.6764298510986,-2.5614019056406 50.6717350328512,-2.56069202448019 50.6668584700029)))', 'GBAOT', 'Abbotsbury', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.16037583927588 51.050400144946,-4.16101537985847 51.0455200410684,-4.16315266080969 51.0408123270686,-4.16670514364314 51.0364578420994,-4.17153602952282 51.032623808058,-4.17745955866711 51.0294574213925,-4.18424816582784 51.0270802182256,-4.19164121434979 51.0255834260276,-4.19935497489087 51.0250244771006,-4.20709347101772 51.0254248149346,-4.2145597836789 51.0267690757029,-4.22146739069634 51.0290056755098,-4.22755111625195 51.0320487813035,-4.23257727889731 51.0357815914409,-4.23635265457314 51.0400608025501,-4.23873191284044 51.0447220943312,-4.23962323896449 51.0495864248985,-4.23899192020246 51.0544668976903,-4.23686174970509 51.0591759381316,-4.23331418345736 51.0635325051313,-4.22848527178918 51.0673690598221,-4.22256047392494 51.0705380220103,-4.21576754826243 51.0729174634729,-4.20836778890891 51.0744158159791,-4.20064594687022 51.0749754096837,-4.19289922891587 51.0745747029351,-4.18542580579753 51.0732291157238,-4.17851328219663 51.070990433885,-4.17242758243602 51.067944807441,-4.16740268851755 51.0642094217815,-4.1636316313468 51.0599279723781,-4.16125908390882 51.0552651202902,-4.16037583927588 51.050400144946)))', 'GBAPP', 'Appledore', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.76878561524179 57.4340243758339,-5.76930609410178 57.429142178919,-5.77158204425616 57.4244085344461,-5.77552538602133 57.4200052680856,-5.78098413598612 57.4161014519771,-5.78774831482387 57.412846929155,-5.79555804727047 57.4103665823052,-5.8041135384203 57.4087555629805,-5.81308654461924 57.4080756603059,-5.82213290575888 57.4083529448914,-5.83090566978691 57.4095767757056,-5.83906832041491 57.4117002067526,-5.84630761565489 57.4146417782638,-5.85234555798807 57.41828862552,-5.8569500464202 57.4225007891075,-5.85994380585767 57.4271165650662,-5.86121124922608 57.4319586936415,-5.86070300117509 57.4368411526814,-5.85843789715847 57.4415762974535,-5.85450236563545 57.4459820738808,-5.84904720097797 57.4498890276894,-5.84228183667944 57.453146838159,-5.83446632847646 57.4556301220888,-5.82590135057941 57.4572432807819,-5.81691659091436 57.4579241994132,-5.80785799895109 57.4576466527021,-5.79907438877711 57.4564213215866,-5.79090392791002 57.4542953804701,-5.78366104737524 57.4513506712572,-5.77762429051748 57.447700536354,-5.77302557784992 57.4434854356888,-5.7700413051566 57.4388675203644,-5.76878561524179 57.4340243758339)))', 'GBAPS', 'Applecross', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.53780825912182 56.5558402201618,-2.53873582607653 56.5509745523423,-2.54136376764251 56.5463022765368,-2.54559055093767 56.5420028421604,-2.55125338567055 56.5382413215981,-2.55813453423409 56.5351620897821,-2.56596969698939 56.5328833030422,-2.57445814787006 56.5314923852887,-2.58327423408006 56.5310426909197,-2.59207980663109 56.531551469283,-2.60053711677132 56.5329992066708,-2.6083216976084 56.5353303704006,-2.61513475071208 56.5384555272643,-2.62071457418991 56.5422547573011,-2.62484660136394 56.5465822351995,-2.62737166710744 56.551271807369,-2.62819218110205 56.5561433544444,-2.62727596224394 56.5610096981723,-2.6246575741124 56.5656837895486,-2.62043709516677 56.5699859027546,-2.61477635591724 56.5737505575782,-2.60789277494982 56.5768329019246,-2.60005102221217 56.5791143056092,-2.59155282703473 56.5805069463151,-2.58272532569558 56.5809572073397,-2.57390840503567 56.580447753067,-2.5654415414562 56.578998200106,-2.55765065627509 56.5766643575442,-2.55083550770061 56.5735360664183,-2.54525811663894 56.5697337238521,-2.54113267945206 56.5654036290114,-2.53861735799984 56.5607123338919,-2.53780825912182 56.5558402201618)))', 'GBARB', 'Arbroath', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.77588740718098 55.6416465222594,-4.77651468693144 55.6367668151033,-4.77881256647829 55.6320500600041,-4.78269220105562 55.6276774331774,-4.78800412073065 55.6238168344311,-4.79454403172781 55.6206164558572,-4.80206069141817 55.6181991125305,-4.81026555074743 55.6166575491854,-4.81884379552341 55.6160508992322,-4.82746636948179 55.6164024286878,-4.83580252847403 55.6176986492398,-4.8435324571475 55.619889833445,-4.85035947744323 55.6228919127404,-4.85602139214766 55.626589687288,-4.86030053632931 55.630841227459,-4.86303215417352 55.6354833016867,-4.86411077752298 55.6403376261107,-4.86349435391386 55.6452176993814,-4.86120595412394 55.6499359624987,-4.85733297971337 55.6543110096653,-4.8520238866642 55.6581745725992,-4.84548253842157 55.6613780079376,-4.83796039641948 55.6637980352412,-4.8297468443432 55.6653415011639,-4.82115801977755 55.6659489826446,-4.81252458966622 55.6655970870738,-4.80417895091113 55.6642993585017,-4.79644236207414 55.6621057539543,-4.78961251516306 55.6591007104702,-4.78395203771573 55.6553998791587,-4.77967837585174 55.6511456550129,-4.7769554507513 55.6465016782099,-4.77588740718098 55.6416465222594)))', 'GBARD', 'Ardrossan', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.79743473451837 56.911028770656,-5.79794629891173 56.9061461965531,-5.80018875117044 56.9014120147909,-5.80407531922326 56.8970080736916,-5.8094562157102 56.8931034743792,-5.8161244592416 56.8898480936252,-5.82382385825455 56.8873668507563,-5.83225884621618 56.8857549349031,-5.84110579180087 56.885074171786,-5.85002535675123 56.8853506658954,-5.8586754385146 56.8865738059412,-5.86672421510781 56.8886966704831,-5.87386280633646 56.89163781848,-5.87981707851996 56.8952843978544,-5.88435814900426 56.8994964558136,-5.88731119142118 56.9041122893026,-5.8885622019492 56.9089546342006,-5.88806245936584 56.913837459215,-5.88583049555098 56.9185731061776,-5.881951485807 56.9229795037032,-5.87657406680928 56.9268871766996,-5.86990469052874 56.9301457804552,-5.86219972097608 56.9326299049704,-5.85375557274668 56.9342439224095,-5.84489727173451 56.9349256871043,-5.8359658849604 56.9346489420828,-5.8273053147455 56.9334243368344,-5.81924897984629 56.9312990158636,-5.81210691114014 56.9283547941813,-5.80615377171953 56.9247049918058,-5.80161827178264 56.9204900522025,-5.79867438963063 56.9158721171302,-5.79743473451837 56.911028770656)))', 'GBARG', 'Arisaig', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.40347883513633 56.016875985158,-5.40403195270226 56.0119941164252,-5.40627424340253 56.0072664724135,-5.4101189787879 56.0028746505981,-5.4154180098328 55.9989872893207,-5.42196752057441 55.9957536079678,-5.4295158873928 55.9932976983707,-5.43777333790856 55.9917137828818,-5.44642304001124 55.9910626172855,-5.45513320199381 55.9913691731705,-5.46356973024936 55.99262168623,-5.47140897216582 55.9947721058619,-5.47835006907233 55.997737929167,-5.48412645737771 56.0014053507637,-5.48851608514087 56.0056336105093,-5.49134995564442 56.0102603759493,-5.49251866815412 56.0151079567324,-5.49197669753785 56.0199901158158,-5.48974423686928 56.0247192183621,-5.48590651806589 56.0291134448478,-5.4806106219416 56.0330037908423,-5.47405988719367 56.0362405825635,-5.46650612378325 56.0386992546544,-5.4582399256705 56.0402851641976,-5.44957945670887 56.0409372518315,-5.44085814776436 56.0406304055953,-5.43241178947047 56.0393764339992,-5.42456553097492 56.0372236096947,-5.41762129915852 56.0342548016711,-5.41184613487173 56.0305842697067,-5.40746190370724 56.0263532474694,-5.4046367807978 56.0217244879774,-5.40347883513633 56.016875985158)))', 'GBASG', 'Ardrishaig', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.81920520693206 57.0990389272849,-5.81971571125035 57.0941563968564,-5.82196595986981 57.0894218689976,-5.82586887355098 57.0850172048345,-5.83127403112595 57.0811115323455,-5.83797351597095 57.077854768318,-5.8457099362396 57.0753718839044,-5.85418630614345 57.0737581300821,-5.86307741014459 57.0730754022492,-5.87204222077456 57.0733498798732,-5.88073690500698 57.0745710291378,-5.8888279343655 57.0766920055992,-5.89600481057591 57.0796314417019,-5.90199193161133 57.0832765523789,-5.90655915218615 57.0874874426115,-5.9095306375752 57.0921024554598,-5.91079166914178 57.0969443592983,-5.910293132779 57.1018271403151,-5.90805350569384 57.1065631420547,-5.90415825009517 57.1109702790066,-5.89875662127661 57.1148790467333,-5.89205599863818 57.1181390572258,-5.88431394724193 57.1206248450867,-5.87582831016274 57.1222407173147,-5.86692571378259 57.122924456003,-5.85794893518305 57.1226497277902,-5.84924362940842 57.1214271046425,-5.84114494197031 57.1193036553897,-5.83396453701546 57.1163611240478,-5.82797855378754 57.1127127669064,-5.8234169643482 57.1084989732286,-5.8204547461316 57.1038818419773,-5.81920520693206 57.0990389272849)))', 'GBATS', 'Sleat', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.52026534857056 57.8339374280077,-5.52082358102457 57.8290562389396,-5.52315579799704 57.8243269080325,-5.52717174406602 57.8199310920556,-5.53271663877949 57.8160375733237,-5.53957719299549 57.8127957957944,-5.54748983594272 57.810330149671,-5.55615083228955 57.808735219951,-5.5652279022812 57.8080721771485,-5.57437290634529 57.8083664450238,-5.58323511955014 57.8096067321531,-5.5914746015847 57.8117454632557,-5.59877516483458 57.8147005940948,-5.60485645668889 57.8183587422288,-5.60948470218461 57.822579516653,-5.61248169893075 57.8272008841242,-5.61373171703323 57.8320453703177,-5.61318603108418 57.836926861422,-5.61086489726301 57.8416577476378,-5.60685688368418 57.8460561354149,-5.60131556314923 57.8499528509058,-5.59445368066097 57.8531979634757,-5.58653500920479 57.8556665751913,-5.57786420189633 57.8572636495702,-5.56877503212109 57.8579276895927,-5.55961748153672 57.8576331196806,-5.55074418517217 57.8563912772402,-5.54249677065093 57.8542499743346,-5.53519263323582 57.8512916467349,-5.52911266966909 57.847630163561,-5.52449045269073 57.843406423547,-5.52150326690275 57.8387829114197,-5.52026534857056 57.8339374280077)))', 'GBAUL', 'Gruinard - Aultbea', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.12057046330029 57.5674204208197,-4.12131296915422 57.5625451770977,-4.12381057753283 57.5578414191094,-4.1279667056682 57.5534898123973,-4.13362122159165 57.5496574352667,-4.1405566607128 57.5464913811344,-4.14850660768569 57.5441131335957,-4.15716591775721 57.5426139261528,-4.1662023874101 57.5420512606407,-4.17526943431005 57.5424467144422,-4.18401931237958 57.5437851181912,-4.19211636987914 57.5460151345214,-4.19924985698159 57.5490512162527,-4.20514580449334 57.5527768709829,-4.20957752683946 57.5570491100983,-4.2123743496099 57.561703915431,-4.21342822389351 57.5665625177834,-4.21269796487253 57.5714382497827,-4.21021093872324 57.5761437123409,-4.20606211716656 57.5804979804107,-4.20041051980978 57.5843335705197,-4.19347316691503 57.5875029001046,-4.18551676517981 57.5898839869119,-4.17684744203479 57.591385165186,-4.16779892539793 57.5919486330501,-4.15871963165056 57.5915526909705,-4.14995917134482 57.5902125826491,-4.14185480727128 57.5879799049586,-4.13471840161572 57.5849406102476,-4.12882436789203 57.5812116800657,-4.12439910031513 57.5769366016842,-4.12161229061347 57.5722798255228,-4.12057046330029 57.5674204208197)))', 'GBAVC', 'Avoch', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.02065998736146 50.7040136086957,-3.02141367518571 50.6991396383523,-3.02364975976714 50.6944526666798,-3.02728192381931 50.6901327303286,-3.03217032747275 50.6863457206842,-3.03812702133934 50.6832370272326,-3.04492318298229 50.6809259720988,-3.05229789666255 50.6795012463265,-3.05996814108256 50.6790175199836,-3.06763960725168 50.6794933535691,-3.07501793961881 50.68091048912,-3.08181997893507 50.6832145475967,-3.08778458525195 50.6863171063916,-3.09268263402847 50.6900990789755,-3.09632580718867 50.6944152695877,-3.09857384346077 50.6990999312293,-3.09933996738115 50.7039731166831,-3.0985942824695 50.7088475813155,-3.09636498932118 50.7135359743,-3.09273737128913 50.7178580426049,-3.08785057615188 50.7216475702743,-3.08189230841413 50.7247587844758,-3.07509163011888 50.727071979323,-3.06771014462394 50.72849813802,-3.06003190417487 50.7289823723487,-3.05235243508664 50.7285060444737,-3.04496731128367 50.7270874876093,-3.03816072594996 50.7247812971775,-3.03219451112339 50.721676220357,-3.02729803622454 50.7178917270237,-3.02365937971936 50.7135733966996,-3.02141811525928 50.7088873021347,-3.02065998736146 50.7040136086957)))', 'GBAXO', 'Axmouth', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.58907764513257 55.4675781426968,-4.58972570780243 55.4626991426723,-4.5920362565883 55.4579856923723,-4.5959199677691 55.4536188404062,-4.60122722210536 55.4497662647405,-4.60775391078438 55.4465758499033,-4.61524930244154 55.444170029386,-4.62342566546653 55.4426411067838,-4.63196927785998 55.4420477315109,-4.64055240876873 55.4424126610595,-4.64884582257261 55.4437218933619,-4.65653133869199 55.4459252015493,-4.66331397846094 55.4489380510628,-4.66893324448947 55.4526448274176,-4.67317310764347 55.4569032537363,-4.67587032150047 55.4615498321452,-4.6769207429124 55.466406103907,-4.67628340868734 55.4712854912181,-4.67398220044559 55.4760004602312,-4.6701050198963 55.4803697311271,-4.66480049204875 55.4842252576796,-4.65827231063021 55.4874187061151,-4.65077143425891 55.4898271811043,-4.64258642954192 55.491357974932,-4.63403233409861 55.4919521533067,-4.62543847473371 55.4915868364708,-4.61713572038003 55.4902760854533,-4.60944367363247 55.4880703583339,-4.6026583073852 55.4850545579325,-4.59704053410752 55.48134474798,-4.59280615567335 55.4770836671915,-4.59011758350501 55.4724352175593,-4.58907764513257 55.4675781426968)))', 'GBAYR', 'Ayr', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.04216042709112 52.41736703366,-4.04283022676098 52.4124885184635,-4.04504327179664 52.4077836152723,-4.04871408006116 52.4034330505832,-4.05370128440992 52.3996038890967,-4.05981311085091 52.3964431325615,-4.06681476619319 52.3940720935128,-4.0744374486128 52.392581756635,-4.08238863678476 52.3920293024712,-4.09036326837984 52.3924359240138,-4.09805538788762 52.3937860179629,-4.10516982759165 52.396027780873,-4.11143348442497 52.3990751878022,-4.11660576939159 52.4028112792609,-4.12048783494829 52.4070926330098,-4.12293022855821 52.4117548523289,-4.12383867652619 52.4166188633946,-4.12317776974778 52.4214977828511,-4.12097240020919 52.4262040938211,-4.11730688152332 52.4305568554867,-4.11232177554383 52.434388668678,-4.10620853680338 52.4375521279483,-4.09920217350097 52.4399255092954,-4.09157220420401 52.4414174714411,-4.08361225959907 52.4419705864093,-4.07562873510456 52.4415635606062,-4.06792894009595 52.4402120588766,-4.06080921081593 52.4379680989883,-4.05454345562088 52.4349180403536,-4.04937258296171 52.4311792461603,-4.04549522536889 52.4268955501145,-4.04306011863365 52.4222317055293,-4.04216042709112 52.41736703366)))', 'GBAYW', 'Aberystwyth', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.65699292351722 54.6509515950056,-5.65750167410775 54.6460681237999,-5.65964317097953 54.6413360208449,-5.66333460213909 54.6369370609689,-5.66843373821806 54.6330401649562,-5.67474445434704 54.6297949276338,-5.68202429248837 54.6273258934709,-5.68999376981784 54.6257277959631,-5.69834707687393 54.6250619398729,-5.70676376078021 54.6253538619036,-5.71492095500665 54.6265923571975,-5.72250569857114 54.62872990788,-5.72922688464425 54.6316844974907,-5.73482639124831 54.6353427433347,-5.73908897486984 54.63956422933,-5.74185055074329 54.6441868765359,-5.74300454034961 54.6490331488603,-5.74250603590583 54.6539168589495,-5.74037361140392 54.6586503152698,-5.73668869765254 54.6630515369558,-5.73159253180327 54.6669512588835,-5.72528078653297 54.6701994560062,-5.71799607655447 54.6726711332519,-5.71001862638377 54.6742711547393,-5.70165545927568 54.6749379227968,-5.69322852921214 54.6746457618822,-5.68506226261001 54.6734059132211,-5.67747100163963 54.6712661007266,-5.67074684534589 54.6683086851997,-5.66514836789366 54.6646474795558,-5.66089065611511 54.6604233504794,-5.6581370530806 54.6557987792961,-5.65699292351722 54.6509515950056)))', 'GBBAN', 'Bangor, Co. Down', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.6106471509255 50.732537681463,-1.611547353353 50.7276743122778,-1.61392475919191 50.7230158145962,-1.61768763322124 50.7187411231,-1.62269113198352 50.7150143853034,-1.628742906161 50.7119786727135,-1.63561050261912 50.7097505047137,-1.6430302801581 50.7084153922647,-1.65071749900005 50.708024569424,-1.65837720267818 50.7085930356148,-1.66571548331754 50.7100989821913,-1.67245070795296 50.7124846248876,-1.6783242848259 50.7156584110115,-1.68311056451836 50.7194985185946,-1.68662550096887 50.72385751593,-1.68873374116884 50.7285680057715,-1.68935386856045 50.7334490405607,-1.68846159231543 50.7383130648543,-1.6860907507635 50.7429731198862,-1.68233207977293 50.7472500338822,-1.67732978292594 50.7509793209732,-1.67127602655808 50.7540175215449,-1.66440356557311 50.7562477374414,-1.65697678175044 50.7575841459277,-1.64928148151186 50.7579753156363,-1.64161385164499 50.7574061943363,-1.63426900671653 50.755898690408,-1.62752957904561 50.7535108252105,-1.62165480026412 50.7503344897918,-1.61687050276829 50.7464918942275,-1.61336043084676 50.742130848997,-1.61125919692721 50.7374190631196,-1.6106471509255 50.732537681463)))', 'GBBAZ', 'Barton-on-Sea', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.22073200806711 57.4493553869854,-7.22185720733022 57.444501928029,-7.22471642985433 57.4398600222933,-7.22919924149578 57.4356079402172,-7.23513301936359 57.43190892381,-7.24228963877424 57.4289049381868,-7.25039425387207 57.4267112442125,-7.25913583243977 57.4254119965286,-7.26817904425407 57.4250570319737,-7.27717705591653 57.4256599684199,-7.28578475436069 57.4271976849673,-7.29367190677418 57.4296112029376,-7.30053576673852 57.4328079349519,-7.30611265495459 57.4366652182975,-7.31018807767937 57.4410350005389,-7.31260499630255 57.4457495015911,-7.31326992628776 57.4506276388409,-7.31215662144188 57.4554819718442,-7.30930718803301 57.4601259018951,-7.30483056990162 57.4643808503717,-7.29889844703136 57.4680831388819,-7.29173869214424 57.4710903041624,-7.28362662844098 57.4732866012743,-7.27487442212062 57.4745874792712,-7.26581902138703 57.4749428531139,-7.25680911529423 57.4743390426194,-7.24819162773074 57.4727993017542,-7.24029828181447 57.4703829173809,-7.23343276686699 57.467182913263,-7.22785901414048 57.4633224502614,-7.22379104002525 57.4589500648851,-7.22138474914744 57.4542339335222,-7.22073200806711 57.4493553869854)))', 'GBBBC', 'Benbecula', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.25488844623677 56.5178272104371,-5.25546616873874 56.5129461644296,-5.25775478246845 56.5082211903402,-5.26166576239774 56.5038337803701,-5.26704840360981 56.4999523999325,-5.27369567469394 56.4967260349924,-5.28135220094278 56.4942784929802,-5.28972406651622 56.4927036722895,-5.29849006071613 56.4920619779997,-5.3073139436061 56.4923780179077,-5.31585727149336 56.4936396647797,-5.32379230393853 56.4957985196646,-5.33081451130126 56.4987717588762,-5.33665421539884 56.5024452956231,-5.34108692539187 56.5066781380009,-5.34394197594241 56.5113077798555,-5.345109134065 56.5161564215056,-5.34454291350841 56.5210377849654,-5.34226441903697 56.5257642644384,-5.33836063511502 56.5301541385431,-5.33298117113178 56.5340385667247,-5.3263325747912 56.5372680990271,-5.31867042255609 56.5397184458174,-5.31028948677049 56.5412952816998,-5.30151235899076 56.5419378947994,-5.29267697414243 56.5416215374386,-5.28412352698996 56.5403583851809,-5.27618129854064 56.5381970661589,-5.26915591396052 56.5352207792019,-5.26331753513238 56.5315440750933,-5.25889045113256 56.5273084279395,-5.256044470791 56.5226767708958,-5.25488844623677 56.5178272104371)))', 'GBBCE', 'Barcaldine', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.31677552011329 55.7630419040947,-6.31795936742645 55.7581961226159,-6.32079648783984 55.7535736216397,-6.32517736626633 55.7493519275578,-6.33093335081161 55.7456931212824,-6.3378431789798 55.7427376333802,-6.34564149010159 55.7405988740591,-6.35402899548589 55.7393589003276,-6.36268391967759 55.7390652829802,-6.37127428229338 55.7397292907231,-6.37947056115314 55.7413254593744,-6.386958264407 55.743792562353,-6.39344994233369 55.7470359463853,-6.39869618841902 55.7509311452704,-6.40249521387118 55.7553286364182,-6.40470062920376 55.7600595614065,-6.40522712981587 55.7649421945961,-6.40405385803222 55.7697889143474,-6.4012252996943 55.7744134108396,-6.39684966639144 55.7786378538824,-6.39109481149399 55.7822997440594,-6.38418182551662 55.785258181308,-6.37637654987421 55.7873993064089,-6.36797933354241 55.7886407021845,-6.35931343038147 55.7889345813466,-6.35071249222585 55.7882696353298,-6.34250765128797 55.7866714711602,-6.33501470291705 55.7842016192188,-6.32852189535447 55.7809551512845,-6.32327880708865 55.7770570030542,-6.31948674615976 55.7726571461288,-6.31729104176811 55.7679247990984,-6.31677552011329 55.7630419040947)))', 'GBBCH', 'Bruichladdich', 'Y'),('SRID=4326;MULTIPOLYGON(((0.708329638523396 52.9678043400617,0.707793127468723 52.9629209740131,0.705689373746543 52.9581946132006,0.702099685882502 52.9538068145366,0.697162342377753 52.9499260762618,0.691067227869658 52.9467013812967,0.684048514026425 52.9442564949835,0.67637566972704 52.9426852328454,0.66834314455383 52.9420478765841,0.660259116112548 52.9423688728241,0.652433724079922 52.9436359007194,0.64516723145185 52.9458003431848,0.638738555871007 52.9487791439802,0.633394601116515 52.9524579809823,0.629340791120749 52.9566956364998,0.626733166853745 52.9613294001727,0.625672351073463 52.9661813004716,0.626199618698965 52.9710649285759,0.628295233319653 52.9757925947601,0.631879125513296 52.9801825433808,0.636813899117478 52.9840659488866,0.642910060740562 52.9872934222954,0.649933279302453 52.989740775272,0.65761340012259 52.9913138167657,0.665654865833863 52.9919519941836,0.67374813771299 52.9916307358875,0.681581668851743 52.990362402619,0.688853957148092 52.988195810195,0.695285202621864 52.9852143421675,0.700628110252693 52.9815327267222,0.704677415525165 52.977292604543,0.70727776327354 52.9726570615163,0.708329638523396 52.9678043400617)))', 'GBBCS', 'Brancaster Staithe', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.8370387311414 57.2340470394667,-5.83754817474776 57.2291645340924,-5.83980379754331 57.2244297202001,-5.84371830822846 57.2200244695632,-5.84914083580565 57.2161179320336,-5.85586279396936 57.2128600567588,-5.86362592740087 57.2103758566289,-5.87213222620433 57.2087606322792,-5.88105532907973 57.2080763349152,-5.89005298450605 57.2083492039232,-5.89878010329688 57.2095687672744,-5.90690191606449 57.2116882418121,-5.91410674572013 57.21462631836,-5.92011791818582 57.2182702649789,-5.92470436375333 57.2224802323513,-5.92768950644708 57.2270945999086,-5.92895809840701 57.231936161531,-5.92846072933163 57.2368189169588,-5.92621582550369 57.2415552107528,-5.92230904635886 57.2459629458387,-5.91689008583714 57.2498725941301,-5.91016698718956 57.2531337328946,-5.90239817936007 57.2556208524054,-5.89388253611842 57.2572382075772,-5.88494784137128 57.2579235228057,-5.87593811139967 57.2576504037437,-5.86720027363319 57.2564293604884,-5.85907072932818 57.2543074014991,-5.85186233262925 57.2513662141879,-5.84585230066172 57.2477190040798,-5.84127152950023 57.2435061173289,-5.83829573124175 57.2388896189522,-5.8370387311414 57.2340470394667)))', 'GBBDF', 'Broadford, Isle of Skye', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.08897852317433 55.5677583820565,-5.08956595689858 55.5628773642847,-5.09182203931246 55.5581550514059,-5.09565953093056 55.5537728354729,-5.1009305776225 55.5498989865947,-5.10743245041231 55.5466822071257,-5.11491536123573 55.5442459425934,-5.12309205056749 55.542683664121,-5.13164878027916 55.5420552996428,-5.14025731633708 55.5423849475364,-5.14858745208724 55.5436599580215,-5.15631960457946 55.5458314164929,-5.16315701399353 55.548816010637,-5.16883708977311 55.5524992114877,-5.17314147628312 55.5567396492932,-5.17590445509249 55.5613745198811,-5.17701935937753 55.5662258177667,-5.17644274702909 55.5711071600255,-5.17419616089942 55.5758309412597,-5.17036539475207 55.5802155458731,-5.1650972788248 55.5840923401023,-5.15859409590902 55.5873121731901,-5.15110583352125 55.5897511347231,-5.14292056591263 55.5913153429839,-5.13435333717712 55.5919445762447,-5.1257339797318 55.5916146038635,-5.11739434769135 55.590338125021,-5.10965546973137 55.5881642778669,-5.10281512956292 55.5851767383707,-5.09713636392091 55.5814904839017,-5.09283732898132 55.5772473490974,-5.09008292844582 55.5726105487235,-5.08897852317433 55.5677583820565)))', 'GBBDI', 'Brodick, Isle of Arran', 'Y'),('SRID=4326;MULTIPOLYGON(((1.48288346554525 51.3585233465376,1.4822781250208 51.3536418446773,1.4801637574694 51.3489280564866,1.47662203121655 51.344563055723,1.47178934165958 51.3407144684787,1.46585152585901 51.337530049443,1.45903670288185 51.3351320257305,1.45160651773411 51.3336124223007,1.44384612375724 51.3330295451959,1.43605328278717 51.3334057547576,1.42852699308565 51.3347266122973,1.42155607134701 51.3369414321099,1.41540811660834 51.3399652180506,1.41031927062525 51.34368191195,1.4064851615187 51.3479488317521,1.4040533758933 51.3526021321371,1.40311775019507 51.3574630812104,1.40371470626131 51.3623449150611,1.40582178072529 51.367060008915,1.40935841556716 51.3714270902394,1.41418899051123 51.3752782161958,1.42012799042906 51.3784652455993,1.4269471159841 51.3808655539305,1.43438406714262 51.3823867684168,1.44215266049889 51.382970337747,1.44995388593438 51.3825937961943,1.4574874687269 51.3812716329901,1.46446348187436 51.3790547326151,1.4706135512193 51.3760284079615,1.47570121307791 51.3723091036947,1.47953101960301 51.3680398992754,1.4819560392198 51.3633849878355,1.48288346554525 51.3585233465376)))', 'GBBDT', 'Broadstairs', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.02745756704081 54.1590172136685,-3.02827168857596 54.1541460528208,-3.03068884983832 54.1494616735755,-3.03461568801635 54.1451440021785,-3.03990098098423 54.1413588268079,-3.04634150657554 54.1382514473676,-3.05368986906189 54.1359411163708,-3.06166398957873 54.1345164807986,-3.06995789838514 54.1340321963621,-3.07825342149853 54.134506841113,-3.0862323234515 54.1359222064662,-3.09358845232789 54.1382239921283,-3.10003943316006 54.141323878954,-3.10533747121059 54.1451029021706,-3.10927885730978 54.149415998492,-3.11171181262657 54.1540975561124,-3.11254236897611 54.158967758051,-3.11173805152034 54.1638394782775,-3.10932921149802 54.1685254677686,-3.10540794488819 54.1728455551337,-3.10012462559506 54.1766335843858,-3.09368217530896 54.1797438211436,-3.08632828277354 54.1820565778929,-3.07834586875234 54.1834828383534,-3.07004216559799 54.1839676994393,-3.0617368383958 54.1834924953089,-3.05374961519885 54.1820755197079,-3.04638791475812 54.1797713180758,-3.03993496026059 54.1766685773678,-3.03463884691429 54.1728866968345,-3.03070299086811 54.1685711747625,-3.02827832905181 54.1638879922556,-3.02745756704081 54.1590172136685)))', 'GBBDZ', 'Bardsea', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.89007200565579 54.5840334725445,-5.89055225797232 54.5791493332082,-5.89266332636516 54.57441344193,-5.8963235679986 54.5700077208063,-5.90139194985396 54.5661013518405,-5.90767352497215 54.5628442947805,-5.91492695012273 54.5603615485609,-5.92287375211417 54.5587483731863,-5.93120898796376 54.5580666518054,-5.93961289556827 54.5583425293171,-5.94776309747946 54.5595654157237,-5.95534690159943 54.5616883913079,-5.96207323942672 54.5646299983327,-5.96768379494569 54.5682773521327,-5.97196290509839 54.5724904549569,-5.97474585542337 54.5771075504582,-5.97592525093093 54.5819513169388,-5.97545521121722 54.5868356648422,-5.97335321831345 54.5915728798483,-5.96969953339567 54.5959808383356,-5.96463419128157 54.5998900176827,-5.95835167615526 54.6031500302868,-5.95109347435262 54.6056354272586,-5.94313878626588 54.60725054504,-5.93479375546475 54.607933204768,-5.92637963524693 54.6076571186888,-5.91822035784077 54.6064329085524,-5.91062999700727 54.6043076956027,-5.90390061944762 54.6013632781954,-5.89829100394723 54.5977129688516,-5.89401667045249 54.5934972152771,-5.89124160622069 54.5888781773711,-5.89007200565579 54.5840334725445)))', 'GBBEL', 'Belfast', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.48643556633528 57.6668195812154,-2.48739895505367 57.6619552222865,-2.49011404011438 57.6572850095993,-2.49447589975797 57.6529883084832,-2.50031652702908 57.6492300794529,-2.50741134423793 57.6461545631257,-2.51548785224108 57.6438797654218,-2.5242360793613 57.6424929506854,-2.53332043195491 57.6420473116746,-2.54239250056261 57.6425599408353,-2.55110434323043 57.6440111784862,-2.55912175155537 57.646345362204,-2.56613700557041 57.6494729495353,-2.57188064072928 57.6532739349344,-2.57613178369432 57.6576024332679,-2.57872666275653 57.6622922580238,-2.57956496251395 57.6671632841228,-2.57861376940542 57.6720283544139,-2.57590894277421 57.6767004668322,-2.57155384262803 57.6809999668321,-2.56571544684866 57.6847614677947,-2.55861799339837 57.6878402309811,-2.55053438276142 57.6901177561657,-2.54177566792548 57.6915063637696,-2.53267903919524 57.6919525880864,-2.52359477496363 57.6914392475625,-2.51487267386087 57.6899861101779,-2.50684850604486 57.6876491275737,-2.49983102055248 57.684518268309,-2.49409002164908 57.6807140360519,-2.48984598132328 57.6763828102404,-2.48726158997047 57.6716911926194,-2.48643556633528 57.6668195812154)))', 'GBBFF', 'Banff', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.15734660597557 54.2670632017786,-3.15814753647894 54.2621912637153,-3.16055628042427 54.2575043717297,-3.16447979388699 54.25318254904,-3.16976697822515 54.2493917433264,-3.17621453525798 54.2462774704003,-3.18357479717047 54.2439592468611,-3.19156522767829 54.2425260219318,-3.19987923188487 54.2420327802678,-3.2081978666928 54.2424984430999,-3.21620201264058 54.2439051462265,-3.22358455227664 54.246198921827,-3.23006209996689 54.2492917586049,-3.23538584336507 54.2530649631774,-3.23935108734808 54.2573736966903,-3.24180513638801 54.2620525160623,-3.24265321006335 54.2669217106836,-3.2418621572172 54.27179419428,-3.23946181515376 54.2764826892822,-3.23554394868814 54.2808069284278,-3.23025879675733 54.2846005961535,-3.22380934812446 54.2877177409328,-3.21644355858142 54.2900384089524,-3.2084448059433 54.2914732788389,-3.20012095207638 54.2919671155067,-3.19179243960166 54.2915009071409,-3.18377989176791 54.2900926009958,-3.17639170513858 54.2877964089374,-3.16991212505045 54.2847007101465,-3.16459027326189 54.2809246337216,-3.16063055691351 54.2766134557302,-3.15818483000005 54.2719329914029,-3.15734660597557 54.2670632017786)))', 'GBBFU', 'Broughton-in-Furness', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.12534820774437 53.2670510573912,-3.12613420020421 53.2621785232242,-3.12849012010543 53.2574915154666,-3.13232498178556 53.2531700649062,-3.13749111268098 53.2493801097634,-3.14378987393035 53.2462671389863,-3.15097931012684 53.2439506250546,-3.1587834318389 53.2425194566114,-3.16690277659691 53.2420285428233,-3.17502584935794 53.2424967168869,-3.18284101306547 53.2439060171886,-3.19004838447697 53.2462023729991,-3.19637129025844 53.2492976690402,-3.20156685344345 53.2530731116039,-3.20543531041236 53.2573837699052,-3.20782770290952 53.2620641217604,-3.20865164723939 53.2669343941071,-3.20787495217674 53.2718074578121,-3.20552693630749 53.2764960139097,-3.2016973819777 53.2808197958918,-3.19653315375426 53.2846125106005,-3.19023260083212 53.2877282489691,-3.18303795138217 53.290047117177,-3.17522598850577 53.2914798681634,-3.16709736841946 53.2919713518336,-3.15896499825269 53.2915026482313,-3.15114193050955 53.2900917995878,-3.14392925175114 53.2877931123539,-3.13760444330618 53.284695056746,-3.13241067180252 53.2809168465915,-3.12854742809069 53.2766038340158,-3.12616287675444 53.2719218996192,-3.12534820774437 53.2670510573912)))', 'GBBGL', 'Bagillt', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.40714227066039 54.5008612750134,-5.40767958051315 54.4959784779236,-5.40984279125633 54.4912504912353,-5.4135482636501 54.4868589304737,-5.418653236133 54.4829724316922,-5.42496136602256 54.4797401905587,-5.43223029923588 54.4772862532337,-5.44018097398485 54.475704774732,-5.44850830244859 54.4750564231385,-5.45689282640626 54.4753660644483,-5.46501290933431 54.4766218145391,-5.47255700923197 54.478775493564,-5.47923557378556 54.4817444656521,-5.48479211245141 54.4854147950028,-5.48901302835933 54.4896456000489,-5.49173583601626 54.4942744420427,-5.49285544765195 54.4991235448465,-5.49232828028523 54.5040066103486,-5.49017401529546 54.5087359701032,-5.4864749300138 54.5131297995486,-5.48137281362129 54.5170191172453,-5.47506357398457 54.5202542983714,-5.46778973413324 54.5227108491791,-5.45983110284537 54.5242942167741,-5.45149397925328 54.5249434454737,-5.44309931279927 54.5246335357511,-5.43497028411225 54.5233764125923,-5.42741979710489 54.5212204648815,-5.42073837646992 54.5182486738771,-5.41518294756153 54.5145754045341,-5.41096693829719 54.5103419860072,-5.40825208717673 54.5057112549222,-5.40714227066039 54.5008612750134)))', 'GBBHB', 'Ballyhalbert', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.17740421275725 51.0174057260803,-4.1780415670894 51.0125255167437,-4.18017565691721 51.0078174866912,-4.1837240669956 51.0034624874106,-4.18855015529131 50.9996277607721,-4.1944683463175 50.9964605300363,-4.20125127954192 50.9940823639174,-4.20863853564417 50.9925845269801,-4.21634660699192 50.9920244916851,-4.22407973485149 50.9924237432004,-4.2315412056365 50.9937669593057,-4.2384446826301 50.9960025960626,-4.24452514843704 50.9990448572205,-4.24954904694969 51.0027769733986,-4.25332324154031 51.007055667739,-4.25570244786833 51.0117166397116,-4.25659485408522 51.0165808597102,-4.25596570687581 51.0214614354925,-4.25383871677686 51.0261707886658,-4.25029521816481 51.0305278663095,-4.24547110534622 51.0343651101418,-4.23955165305804 51.0375349136821,-4.23276441384671 51.0399153165303,-4.22537046257941 51.0414147135994,-4.21765432616712 51.0419753949124,-4.20991299117791 51.0415757769509,-4.20244442066074 51.0402312377233,-4.19553603220303 51.0379935226019,-4.18945359092544 51.0349487442495,-4.18443095368171 51.0312140552672,-4.18066106508129 51.026933124199,-4.17828855391608 51.0222705920962,-4.17740421275725 51.0174057260803)))', 'GBBID', 'Bideford', 'Y'),('SRID=4326;MULTIPOLYGON(((1.05832280230111 52.9506824949254,1.05774697144454 52.9458003555417,1.05560568736067 52.9410798545385,1.05198169710126 52.9367023215768,1.04701459183104 52.9328358589817,1.0408953933901 52.9296289005233,1.03385919247842 52.9272045303437,1.02617612450483 52.9256557768329,1.01814102829756 52.925042058679,1.01006217901816 52.9253869164759,1.00224951864892 52.9266771147895,0.995002824635533 52.9288631481709,0.98860025931006 52.9318611320671,0.983287729566652 52.935556007709,0.979269458198694 52.9398059406514,0.976700125953312 52.9444477474339,0.975678887715728 52.9493031454556,0.976245498731578 52.9541855891092,0.9783787093201 52.9589074317833,0.981997001545051 52.9632871395602,0.986961651716294 52.9671562790192,0.993082011761991 52.9703660088622,1.00012281414022 52.9727928230289,1.00781322291156 52.9743433210537,1.01585728167735 52.9749578186622,1.02394535080608 52.974612656595,1.03176608467512 52.9733211166088,1.03901847672065 52.9711329084104,1.04542349713737 52.9681322476493,1.05073486526741 52.9644346006233,1.05474853516437 52.9601822236955,1.05731052661432 52.9555386724006,1.05832280230111 52.9506824949254)))', 'GBBLC', 'Blakeney', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.86432603670667 57.7553269552401,-3.86510658407096 57.7504532766216,-3.86765014185309 57.7457546157181,-3.8718583573878 57.7414114397608,-3.87756909710755 57.7375905007776,-3.88456274002279 57.7344384508283,-3.8925706418074 57.7320762343051,-3.90128544062492 57.730594468538,-3.91037281144075 57.730049985916,-3.91948422584679 57.7304636667021,-3.92827024040058 57.7318196432783,-3.93639381877399 57.7340659053925,-3.94354319191062 57.7371162838359,-3.94944377591972 57.740853738591,-3.9538686993189 57.745134828613,-3.95664753889537 57.7497951957159,-3.95767292591686 57.7546558561444,-3.95690476024567 57.7595300617988,-3.9543718570902 57.7642304700447,-3.95017094704687 57.7685763476342,-3.94446305148727 57.7724005312411,-3.93746735840032 57.7755558748412,-3.929452824229 57.7779209326137,-3.92072782052906 57.7794046546736,-3.91162822593703 57.7799499108035,-3.90250442982318 57.7795357029805,-3.8937077606359 57.7781779790595,-3.88557687677619 57.7759290153105,-3.87842465949341 57.7728753922421,-3.87252612567074 57.7691346438371,-3.86810783466508 57.7648507125683,-3.86533919996596 57.7601883891753,-3.86432603670667 57.7553269552401)))', 'GBBLI', 'Balintore', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.00780468806833 53.8170101662679,-3.00861446040446 53.8121388595922,-3.01101411041297 53.8074546076899,-3.01491095813913 53.8031373329466,-3.02015494077525 53.7993528099401,-3.0265444263525 53.7962463155065,-3.03383397870865 53.7939370702059,-3.04174377289687 53.7925136810965,-3.04997030176043 53.7920307572572,-3.05819796936548 53.7925068249989,-3.06611113640362 53.7939236207917,-3.07340616720276 53.7962267883447,-3.07980302793171 53.7993279537699,-3.08505600095215 53.803108101159,-3.08896311074883 53.8074221219654,-3.09137390180331 53.8121043670516,-3.09219526712548 53.8169749917421,-3.09139509642711 53.8218468532082,-3.08900359311733 53.8265326972555,-3.08511219689068 53.8308523591092,-3.07987014061266 53.834639700776,-3.07347876297957 53.8377490163044,-3.06618378820002 53.840060655648,-3.05826586673484 53.8414856472771,-3.0500297430458 53.841969138143,-3.04179247379393 53.8414925156101,-3.03387116005327 53.8400741276704,-3.02657067775834 53.8377685730052,-3.02017189068034 53.834664588919,-3.01492080972481 53.8308816204359,-3.01101912235532 53.8265652055882,-3.00861645857407 53.8218813579842,-3.00780468806833 53.8170101662679)))', 'GBBLK', 'Blackpool', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.74678473037136 54.8499858928454,-5.74728433352942 54.845102284413,-5.74942503438858 54.8403687339301,-5.75312404429821 54.8359670718115,-5.7582388366337 54.8320663221136,-5.76457268100528 54.8288162267401,-5.77188222944436 54.826341515544,-5.77988685915325 54.824737138787,-5.78827941419142 54.8240646412618,-5.79673793977236 54.8243498139363,-5.80493796877597 54.8255817108258,-5.81256490134272 54.8277130676655,-5.81932601536082 54.8306621065899,-5.8249616583254 54.8343156592289,-5.82925519917695 54.8385334911647,-5.83204136172969 54.8431536652808,-5.83321261821876 54.8479987418059,-5.83272339093402 54.8528825803073,-5.83059188997138 54.8576174848209,-5.82689950338192 54.8620214187934,-5.82178774944929 54.8659250122995,-5.81545289599198 54.8691780904921,-5.80813844460041 54.8716554694106,-5.80012576450101 54.8732617926566,-5.79172323723382 54.8739352191014,-5.78325433576879 54.8736498163575,-5.77504510686267 54.8724165654355,-5.76741155097803 54.8702829367398,-5.76064739856629 54.8673310540059,-5.7550127646982 54.8636745185484,-5.75072412680515 54.8594540188919,-5.74794601464063 54.854831898289,-5.74678473037136 54.8499858928454)))', 'GBBLR', 'Ballylumford', 'Y'),('SRID=4326;MULTIPOLYGON(((1.07326354383135 51.8006668514916,1.07269759742149 51.7957840114224,1.07060649695698 51.7910634277044,1.06707103099539 51.7866864363857,1.06222736758631 51.7828211240827,1.0562617755901 51.7796158865859,1.04940344689924 51.7771937483002,1.04191569832619 51.7756476574444,1.0340858897708 51.7750369343317,1.02621444043026 51.7753850061604,1.01860335615875 51.7766785131783,1.01154469791002 51.7788678195963,1.00530942315065 51.7818689099912,1.00013701918385 51.7855665999952,0.996226319767423 51.7898189406073,0.993727854873781 51.7944626502287,0.992738028934627 51.799319369164,0.993295356867858 51.8042024993234,0.995378911499374 51.8089243685065,0.998909053055421 51.813303444965,1.00375042407935 51.8171713246394,1.00971710470712 51.8203792208802,1.01657973731363 51.8228037045127,1.02407434985513 51.8243514702602,1.03191253745433 51.8249629428219,1.03979260527911 51.8246145809025,1.04741123538755 51.8233197884181,1.05447521803975 51.8211283968586,1.06071278517744 51.8181247390915,1.06588410050506 51.8144243903439,1.06979049600191 51.8101697043865,1.07228209692917 51.8055243198751,1.07326354383135 51.8006668514916)))', 'GBBLS', 'BrightlIngsea', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.47045659994317 55.1204611384715,-1.47147920887172 55.1156031793708,-1.47413519995616 55.1109528614494,-1.47832202280598 55.1066887893432,-1.48387847324466 55.1029746803539,-1.4905909347973 55.0999530955087,-1.49820160063334 55.0977399868855,-1.50641835811768 55.0964202668186,-1.514925959617 55.0960445654418,-1.52339805862163 55.0966272980472,-1.53150966056567 55.0981461145567,-1.53894952357076 55.100542751743,-1.54543204598016 55.1037252564611,-1.55070819497003 55.107571496839,-1.55457506339554 55.1119338299053,-1.55688368967936 55.1166447501941,-1.55754483690558 55.121523306089,-1.55653250079634 55.1263820404973,-1.5538849998428 55.1310341911526,-1.54970359189069 55.1353008744022,-1.5441486567463 55.1390179754218,-1.53743358019236 55.1420424776751,-1.52981656716747 55.1442579849348,-1.52159069660802 55.1455792196956,-1.51307260353153 55.1459553212249,-1.50459023169756 55.1453718133107,-1.49647013961932 55.1438511640653,-1.48902486172187 55.1414519157336,-1.48254082402905 55.1382664189845,-1.47726729005051 55.1344172611997,-1.47340676881715 55.130052529499,-1.47110725560309 55.1253400945181,-1.47045659994317 55.1204611384715)))', 'GBBLY', 'Blyth', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.0266437799504 55.8426571166498,-2.02761759689627 55.8377949415789,-2.03025790547567 55.8331330497093,-2.03446272825754 55.8288504910232,-2.04007014444103 55.8251116913864,-2.04686456265893 55.8220601566646,-2.05458502128152 55.819812984349,-2.06293519499258 55.8184563895873,-2.07159472647893 55.8180424136072,-2.08023145626587 55.8185869377556,-2.08851409303852 55.8200690773615,-2.09612485182665 55.8224319780869,-2.10277158848099 55.8255849851048,-2.10819897591926 55.8294071041178,-2.11219830035774 55.8337516246635,-2.11461550351781 55.8384517320432,-2.11535715855622 55.84332689617,-2.11439414168936 55.848189795132,-2.11176284609832 55.8528535095608,-2.10756387706928 55.8571387120067,-2.10195826422109 55.8608805741158,-2.09516132437699 55.8639351237891,-2.08743440305901 55.8661848045359,-2.0790748094693 55.8675430193223,-2.07040433501334 55.8679574802859,-2.06175680513629 55.8674122322454,-2.05346515537125 55.8659282700781,-2.04584854283572 55.8635627255907,-2.03920000285776 55.8604066560996,-2.0337751370568 55.8565815221363,-2.02978227531772 55.8522344931615,-2.02737449203089 55.8475327657594,-2.0266437799504 55.8426571166498)))', 'GBBMO', 'Burnmouth', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.07532344485955 53.3003830204148,-4.07600181942913 53.2955049832269,-4.07825525151637 53.2907999333015,-4.08199668323294 53.2864486002772,-4.0870820168465 53.2826180743859,-4.09331570038538 53.2794554049242,-4.10045826151537 53.2770819729075,-4.10823549734345 53.2755888505652,-4.11634896899994 53.2750333223569,-4.12448740422322 53.2754366980429,-4.13233857979999 53.276783499663,-4.13960123927985 53.2790220527748,-4.1459966002181 53.2820664597695,-4.15127901932384 53.2857998813226,-4.15524541300161 53.2900790028333,-4.15774307424013 53.2947395177917,-4.15867558360199 53.2996024210154,-4.15800658074618 53.3044808731027,-4.15576124152391 53.3091873745427,-4.15202539175908 53.3135409747173,-4.14694227938186 53.3173742382419,-4.14070711819901 53.3205396990402,-4.13355960550076 53.3229155511411,-4.12577469801058 53.3244103538788,-4.1176520025398 53.3249665669684,-4.10950419559396 53.3245627763824,-4.10164492714805 53.323214523246,-4.09437668571935 53.320973702982,-4.08797910355304 53.3179265583531,-4.08269816210006 53.314190345464,-4.07873671999473 53.3099088038709,-4.0762467304154 53.3052466085189,-4.07532344485955 53.3003830204148)))', 'GBBMR', 'Beaumaris', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-1.53712584072996 55.4204831722685,-1.5381486939422 55.4156248842325,-1.54081762163492 55.4109734066361,-1.54502956628649 55.4067073879322,-1.55062235124085 55.4029906188285,-1.55738096063647 55.3999657607405,-1.56504581558906 55.3977488895379,-1.57332272662825 55.3964250602963,-1.58189414346 55.3960450596363,-1.5904312782106 55.3966234672849,-1.59860664839441 55.3981380993465,-1.60610657154203 55.4005308541423,-1.61264314500848 55.4037099291197,-1.61796526193178 55.4075533260456,-1.62186824730669 55.4119135132192,-1.62420174600985 55.4166230694972,-1.62487555629233 55.4215010971144,-1.62386317619973 55.4263601600701,-1.62120291450764 55.4310134834988,-1.61699650941841 55.435282137937,-1.61140529423874 55.4390019314104,-1.60464404584376 55.4420297420711,-1.59697274487924 55.4442490445467,-1.58868656216167 55.4455744136218,-1.58010445951529 55.4459548282496,-1.57155685163465 55.4453756456802,-1.56337281544674 55.443859167784,-1.55586735274229 55.441463777252,-1.5493292095124 55.4382816779041,-1.54400973159885 55.4344353284066,-1.54011319223933 55.4300727099622,-1.53778896520905 55.4253616138527,-1.53712584072996 55.4204831722685)))', 'GBBMX', 'Boulmer', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.02734588211764 51.0833552144032,-4.02799982740258 51.0784757852728,-4.0301521044761 51.0737704462143,-4.03371959899094 51.0694199442653,-4.03856493653714 51.0655913475969,-4.04450180396402 51.0624316433281,-4.05130212582044 51.0600621107501,-4.05870481765948 51.0585736828744,-4.06642578160304 51.058023471184,-4.07416876578889 51.0584325842244,-4.0816366792169 51.0597853218464,-4.08854293776868 51.0620297752404,-4.09462241613853 51.0650798102075,-4.0996415941002 51.0688183591961,-4.10340751363335 51.0731018983261,-4.10577520529206 51.0777659406588,-4.10665329678138 51.0826313379899,-4.10600758255584 51.0875111519395,-4.1038624084441 51.0922178323463,-4.1002998074326 51.0965704279649,-4.09545640893927 51.1004015518823,-4.08951823091015 51.1035638322291,-4.08271354832218 51.1059355975291,-4.07530410950343 51.1074255748591,-4.06757503949899 51.1079764168454,-4.05982382424682 51.1075669189852,-4.05234880785376 51.1062128400135,-4.04543765580096 51.1039662929484,-4.03935623838479 51.1009137307315,-4.0343383710323 51.0971726056656,-4.03057681223396 51.0928868338149,-4.02821586755264 51.0882212420294,-4.02734588211764 51.0833552144032)))', 'GBBND', 'Barnstaple', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.07538854179065 53.2333827019942,-4.07606595611507 53.2285046156308,-4.07831596514623 53.2237995300549,-4.08205164437346 53.2194481764835,-4.08712911838808 53.2156176462577,-4.09335313775371 53.2124549892223,-4.10048460118229 53.2100815863014,-4.10824973113147 53.2085885089384,-4.11635055221238 53.2080330400915,-4.12447627622752 53.2084364873278,-4.13231516632606 53.2097833698732,-4.13956643634975 53.2120220099682,-4.14595174028093 53.215066506343,-4.15122582081109 53.2188000158565,-4.15518591512647 53.2230792201416,-4.15767955941916 53.2277398091743,-4.15861049036081 53.2326027746971,-4.15794241036193 53.237481274825,-4.15570046193776 53.2421878082646,-4.15197034244551 53.2465414233752,-4.14689508087401 53.2503746845175,-4.14066958983343 53.2535401260891,-4.13353319465911 53.2559159432458,-4.12576042370609 53.2574106969982,-4.11765041563743 53.2579668491726,-4.10951535728803 53.2575629881713,-4.10166840657837 53.2562146577604,-4.09441157682257 53.2539737561242,-4.0880240604565 53.2509265288323,-4.08275145161002 53.247190234783,-4.07879628904451 53.2429086162639,-4.07631028575277 53.2382463508436,-4.07538854179065 53.2333827019942)))', 'GBBNG', 'Bangor, Gwynedd', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.14333287510188 51.10039464921,-4.14397481494469 51.0955146638738,-4.14611605214081 51.0908072753631,-4.14967389516526 51.0864533100851,-4.15451133863301 51.0826199696833,-4.16044237072519 51.0794544236653,-4.16723913835826 51.0770781756047,-4.17464069222878 51.0755824161025,-4.18236297740335 51.0750245377127,-4.19010969123446 51.0754259428353,-4.19758360016002 51.0767712267836,-4.2044978910853 51.079008766578,-4.2105871318968 51.0820526933253,-4.21561742923548 51.0857861741178,-4.21939539965372 51.0900658800547,-4.22177561204631 51.094727471986,-4.22266621374734 51.0995918965545,-4.22203251846756 51.1044722535364,-4.21989840939031 51.1091809726521,-4.21634549284985 51.1135370249223,-4.21151002421817 51.1173728909781,-4.20557771466183 51.1205410168042,-4.1987766117452 51.1229195060743,-4.19136832477862 51.1244168269835,-4.18363793374883 51.1249753492674,-4.17588297534773 51.1245735724985,-4.16840193829996 51.1232269579437,-4.16148272089297 51.1209873311557,-4.15539150525194 51.1179408787537,-4.1503624853844 51.1142048181536,-4.14658885025304 51.1099228710086,-4.14421537095423 51.1052597176717,-4.14333287510188 51.10039464921)))', 'GBBNN', 'Braunton', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.96449092954285 55.0997096206864,-4.96508810695351 55.0948287875612,-4.96733387506647 55.0901085206269,-4.97114140760114 55.0857301340503,-4.97636401478804 55.0818617526356,-4.98280083644431 55.0786518713138,-4.99020458481353 55.0762236736325,-4.99829103604842 55.0746703237738,-5.00674990739886 55.0740514091,-5.01525670900884 55.0743906664869,-5.02348512581328 55.0756750773649,-5.03111946704315 55.0778553651486,-5.03786671863068 55.080847876374,-5.04346774738398 55.0845377751445,-5.04770723490112 55.0887834311992,-5.05042196321643 55.0934218367627,-5.05150713214205 55.0982748479437,-5.05092045876256 55.1031560143173,-5.04868389063049 55.1078777367385,-5.04488285341396 55.1122584794558,-5.03966304802852 55.1161297589648,-5.03322490810602 55.119342639126,-5.02581592209459 55.1217734798456,-5.01772111122385 55.1233287145624,-5.00925203092329 55.1239484689612,-5.00073472527118 55.1236088783252,-4.99249710848018 55.1223230119586,-4.98485627193508 55.1201403680319,-4.97810621855591 55.1171449587111,-4.97250650807978 55.1134520611018,-4.96827225821052 55.1092037620107,-4.96556588952816 55.1045634715912,-4.96449092954285 55.0997096206864)))', 'GBBNR', 'Ballantrae', 'Y'),('SRID=4326;MULTIPOLYGON(((0.87309642320458 51.6177335260226,0.872553750377619 51.6128498543312,0.870491438620097 51.6081259082589,0.866989167403552 51.603743154747,0.862181828742781 51.5998699034703,0.856254297607032 51.5966548566255,0.849434307394235 51.5942214163959,0.841983707234319 51.5926629655102,0.834188435701165 51.5920392987986,0.82634759069199 51.5923743398188,0.818762006662517 51.593655228107,0.81172276737098 51.5958328111282,0.80550008442408 51.5988235223626,0.800332959201876 51.6025125749903,0.796420018455609 51.6067583511253,0.793911872651439 51.6113978212506,0.792905291977876 51.6162527890611,0.793439429271085 51.6211367248156,0.795494243829272 51.6258619268348,0.798991197560679 51.6302467369711,0.803796207989837 51.6341225324475,0.809724754601098 51.6373402237363,0.816548949401217 51.6397760060614,0.824006303150811 51.641336140131,0.831809849102775 51.6419605748651,0.839659229653193 51.6416252697813,0.847252310885938 51.6403431255447,0.854296867660689 51.6381634858976,0.860521878832543 51.6351702304626,0.865687988571743 51.6314785333913,0.869596724726752 51.6272304151623,0.872098116943169 51.6225892618547,0.87309642320458 51.6177335260226)))', 'GBBOC', 'Burnham-on-Crouch', 'Y'),('SRID=4326;MULTIPOLYGON(((0.0413227609957783 52.9840363872997,0.0408614767819845 52.9791511762706,0.0388302927389512 52.9744141277167,0.03530773508913 52.9700072132925,0.0304295127147686 52.9660996686716,0.0243832505200725 52.9628415081311,0.0174012553021688 52.9603577824766,0.00975159569961439 52.9587437974944,0.00172783785178665 52.9580614730309,-0.00636217447248014 52.9583369793415,-0.0142080734657826 52.959559739139,-0.0215088145239657 52.9616828325184,-0.027984173975657 52.96462478943,-0.0333854662478752 52.9682727024259,-0.0375050764645289 52.9724865427951,-0.0401844458583578 52.9771045176828,-0.0413202021235939 52.9819492659814,-0.0408681935494803 52.986834658194,-0.038845262582579 52.9915729414047,-0.0353286789903919 52.9959819559941,-0.0304532421586681 52.9998921465576,-0.0244061529163863 53.0031530959978,-0.0174198439692695 53.0056393289243,-0.00976304068096391 53.007255157841,-0.00173039675262624 53.0079383821787,0.00636889122009428 53.0076626946842,0.0142230432944983 53.0064387002283,0.0215297584085715 53.004313506682,0.0280079033954625 53.0013689038266,0.0334083686113208 52.9977182019313,0.0375236650937917 52.9935018542918,0.0401958908036152 52.9888820354714,0.0413227609957783 52.9840363872997)))', 'GBBOS', 'Boston', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.20982647555782 51.6834206547059,-4.21046847803851 51.6785407761011,-4.21262922456508 51.6738324960578,-4.21622525947705 51.6694766739676,-4.22111809925134 51.6656405805443,-4.22711959831543 51.6624714881459,-4.23399919695528 51.6600910334724,-4.24149277016059 51.6585905658909,-4.24931273912218 51.6580276566989,-4.25715906268815 51.6584239004804,-4.2647306954899 51.659764090961,-4.27173708335975 51.6619968021675,-4.27790926542526 51.6650363530444,-4.28301016589758 51.6687660817885,-4.28684368677039 51.6730428068482,-4.28926225476478 51.6777023065249,-4.29017253086805 51.6825656100595,-4.28953905726624 51.6874458614652,-4.28738569243821 51.6921554944608,-4.28379476824851 51.6965134436802,-4.27890399015857 51.7003521145738,-4.27290118986665 51.7035238423872,-4.26601712518534 51.7059065892024,-4.25851660103848 51.7074086566942,-4.25068825445361 51.7079722299927,-4.24283340200134 51.7075756134098,-4.2352543874975 51.7062340699755,-4.22824288890776 51.7039992316382,-4.22206864516482 51.7009571032902,-4.21696904592774 51.6972247391315,-4.21313999109996 51.6929457219317,-4.21072837404474 51.6882846223464,-4.20982647555782 51.6834206547059)))', 'GBBPT', 'Burry Port', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.5889812712904 55.5495010323037,-1.59000136254381 55.5446423945311,-1.59267318731608 55.539989895936,-1.59689357207335 55.5357222240202,-1.60250001227665 55.5320032325035,-1.60927696544678 55.5289756674338,-1.61696414786439 55.5267557077994,-1.62526651407541 55.5254285264561,-1.63386553923647 55.5250450380773,-1.64243137925157 55.5256199559107,-1.65063545360904 55.5271312299963,-1.65816298143217 55.5295208878844,-1.66472500278841 55.5326972465525,-1.67006943473988 55.5365384129254,-1.67399074464128 55.5408969419303,-1.67633787113467 55.5456054770549,-1.67702008508916 55.5504831605458,-1.67601055684502 55.5553425701403,-1.67334748046565 55.5599969178301,-1.66913269762217 55.5642672346061,-1.66352786001176 55.5679892640929,-1.6567482661309 55.5710197977393,-1.64905460172094 55.5732422046178,-1.64074289905973 55.5745709393017,-1.63213310438176 55.5749548506348,-1.62355670134682 55.5743791609785,-1.6153438785929 55.5728660377959,-1.60781074886151 55.5704737350456,-1.60124712492378 55.5672943384068,-1.59590533369361 55.5634502034583,-1.59199050578813 55.5590892272113,-1.58965271573938 55.5543791387483,-1.5889812712904 55.5495010323037)))', 'GBBQX', 'Beadnell', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.78598445915216 58.0172990088965,-3.78678101911359 58.0124259751416,-3.7893530845477 58.0077290106881,-3.79360119770779 58.0033885160128,-3.79936168616154 57.9995711381608,-3.80641301625768 57.9964233903108,-3.81448433083703 57.9940660497208,-3.823265839477 57.9925895450305,-3.83242066486602 57.9920505058325,-3.84159769898877 57.9924696033739,-3.85044498868162 57.993830762807,-3.85862315240683 57.9960817762591,-3.86581832908355 57.9991362938679,-3.8717541755153 58.0028771185782,-3.87620246110099 58.0071606816503,-3.87899185652932 58.011822531178,-3.88001457606781 58.0166836270608,-3.87923060942398 58.021557204299,-3.87666936697109 58.0262559434765,-3.87242865875655 58.0305991739315,-3.86667102987571 58.0344198321215,-3.85961757863263 58.0375709054667,-3.85153948510861 58.0399311104322,-3.84274757175759 58.0414095823026,-3.83358029991523 58.0419493919994,-3.8243906724597 58.0415297509737,-3.81553255977867 58.040166816814,-3.80734699111323 58.0379130675796,-3.80014895487809 58.0348552696314,-3.79421522960845 58.0311111194269,-3.78977372297441 58.0268246919819,-3.7869947322518 58.0221608752768,-3.78598445915216 58.0172990088965)))', 'GBBRJ', 'Brora', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.35727761647164 57.0084082907833,-7.35837055457046 57.0035531223802,-7.36117781819137 56.9989075364126,-7.36559098375985 56.9946499474694,-7.37144011200268 56.990943812422,-7.37850033069385 56.9879313732101,-7.38650049038114 56.9857282183529,-7.39513355840027 56.9844188679614,-7.40406835575034 56.9840535478269,-7.41296219524549 56.9846462732036,-7.42147394873356 56.9861743138185,-7.42927705666674 56.9885790601243,-7.43607199518306 56.9917682586023,-7.44159773409268 56.9956195327891,-7.44564175344244 56.9999850583831,-7.44804823601068 57.0046972169754,-7.44872411710254 57.009575015249,-7.44764274983098 57.0144310263557,-7.44484503156584 57.0190785888777,-7.44043793268862 57.0233389873143,-7.43459046887232 57.0270483370749,-7.42752725894616 57.0300639068088,-7.41951990774805 57.0322696314029,-7.41087654278375 57.0335805995267,-7.40192991067217 57.0339463391031,-7.39302450033729 57.0333527710217,-7.38450320148943 57.0318227538498,-7.37669402687179 57.0294151980482,-7.36989742394254 57.0262227848563,-7.3643746762804 57.0223683801488,-7.36033784844547 57.0180002848204,-7.35794166281562 57.0132865084981,-7.35727761647164 57.0084082907833)))', 'GBBRR', 'Barra', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.54302348702781 51.4498510075489,-2.54384018020387 51.4449809444519,-2.54616126978768 51.4403039813054,-2.54989715966201 51.4359997652841,-2.55490401954797 51.4322335785985,-2.56098935206144 51.4291500060388,-2.56791940331268 51.4268674011179,-2.57542813032905 51.4254733600642,-2.58322738308929 51.4250213742256,-2.59101791624373 51.4255287867015,-2.59850081670645 51.4269761298724,-2.60538891890705 51.4293078686794,-2.61141777989929 51.432434521823,-2.61635580173542 51.436236081327,-2.62001311819736 51.4405666019574,-2.62224890644711 51.4452597875244,-2.62297684035031 51.4501353627766,-2.6221684696303 51.4550059888786,-2.61985438564527 51.4596844586124,-2.61612311797412 51.4639908954396,-2.61111779320653 51.4677596790524,-2.60503067501724 51.470845829302,-2.59809578914744 51.4731306002456,-2.59057991459601 51.474526065897,-2.58277228953231 51.4749785180259,-2.57497343391488 51.4744705425444,-2.56748352785067 51.4730216927845,-2.56059080344998 51.4706877331701,-2.55456040734647 51.4675584830988,-2.54962417119311 51.4637543459055,-2.54597168935246 51.459421659254,-2.54374304863466 51.4547270490908,-2.54302348702781 51.4498510075489)))', 'GBBRS', 'Bristol', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.165574808662469 54.0940074154849,-0.166721737149068 54.0891615631192,-0.169454278395 54.0845403030118,-0.17366698596927 54.0803211195558,-0.179197702708429 54.0766660058759,-0.18583383248977 54.0737152610117,-0.193320518201851 54.0715821233823,-0.20137041047256 54.070348442955,-0.209674655621729 54.0700615548225,-0.217914688892364 54.0707324714546,-0.225774391248749 54.0723354613857,-0.232952155505716 54.0748090302451,-0.23917241053777 54.0780582676114,-0.244196170769421 54.0819584719741,-0.247830211711929 54.0863599178895,-0.249934520277075 54.0910935859291,-0.250427729845134 54.0959776388572,-0.249290322999538 54.1008243980803,-0.246565467347352 54.1054475540246,-0.242357439258049 54.1096693336732,-0.236827683484716 54.1133273486552,-0.230188649849583 54.116280858234,-0.222695637547666 54.1184162030877,-0.214636959116576 54.1196511972186,-0.206322805850947 54.119938305534,-0.19807325093083 54.1192664820433,-0.190205862978597 54.1176615962734,-0.183023419242173 54.1151854312197,-0.176802203254181 54.1119332925509,-0.171781346884804 54.1080303234747,-0.168153632534232 54.1036266703369,-0.166058110123958 54.0988916885955,-0.165574808662469 54.0940074154849)))', 'GBBRT', 'BridlIngton', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.02563704050037 52.9670161160613,-3.02642884716905 52.9621439934809,-3.02877926292722 52.957458720958,-3.03259752262093 52.9531402629824,-3.03773659858071 52.9493544438302,-3.0439988953977 52.9462465950765,-3.05114385901073 52.9439359942075,-3.05889720537124 52.9425113044666,-3.06696141645286 52.9420271875968,-3.0750271070291 52.9425022166211,-3.08278483551102 52.9439181668441,-3.08993691687592 52.9462207116033,-3.09620879564959 52.9493214967292,-3.10135955202718 52.9531015160039,-3.10519114421616 52.957415660919,-3.10755603429945 52.9620982734632,-3.10836290229827 52.9669694921425,-3.10758022217105 52.9718421504226,-3.1052375522313 52.9765289645635,-3.10142447840309 52.9808497353785,-3.09628723885414 52.984638286483,-3.09002314941462 52.9877488703871,-3.08287303705445 52.9900617932025,-3.07511196967149 52.9914880381902,-3.06703864074856 52.9919727068347,-3.05896382362259 52.99149714211,-3.05119834931879 52.9900796502672,-3.04404108209177 52.9877747926669,-3.03776736691551 52.984671275588,-3.03261840316872 52.9808885211636,-3.02879195973034 52.9765720543038,-3.02643479066611 52.9718878865145,-3.02563704050037 52.9670161160613)))', 'GBBRV', 'Barrow', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.96129916562283 51.1299936011783,-2.96206599815774 51.1251203754677,-2.96432857490901 51.1204348916823,-2.96799955158974 51.1161171277188,-2.97293759128904 51.112332889395,-2.97895283589814 51.1092274574208,-2.98581421611513 51.1069200264622,-2.99325831704693 51.1054991466424,-3.0009994609051 51.1050193393118,-3.00874062543654 51.1054990143097,-3.01618478760036 51.1069197668692,-3.02304626727398 51.1092270805193,-3.02906164577067 51.1123324096376,-3.03399984867683 51.116116563508,-3.03767101164529 51.1204342646687,-3.03993379063476 51.1251197097229,-3.0407008336055 51.1299929222735,-3.03994219737398 51.1348666567051,-3.03768656923216 51.1395535894356,-3.03402023560475 51.1438735219799,-3.02908382653925 51.1476603183739,-3.02306695189375 51.1507683084647,-3.01620092912694 51.1530779081361,-3.00874987991744 51.1545002370978,-3.00100053986657 51.1549805533803,-2.99325117902495 51.1545003696608,-2.98580006824887 51.1530781681548,-2.97893394552474 51.1507686859223,-2.97291693640104 51.1476607987333,-2.96798036353808 51.1438740867469,-2.96431384312224 51.1395542168748,-2.96205801240767 51.1348673226802,-2.96129916562283 51.1299936011783)))', 'GBBRW', 'Bridgwater', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.46092744666443 50.3831613859839,-3.46163090842757 50.3782844627298,-3.46380844419412 50.3735889729086,-3.46737598964613 50.3692552838608,-3.47219618682487 50.3654498184882,-3.47808370202572 50.3623186777372,-3.48481236258091 50.3599820474592,-3.49212383610449 50.3585296013333,-3.49973752058107 50.3580170732406,-3.50736127092959 50.3584641280133,-3.51470255844388 50.3598536104815,-3.52147964449045 50.3621322009602,-3.52743234936957 50.365212452554,-3.53233201132429 50.3689761337649,-3.53599025899297 50.3732787506621,-3.53826626247532 50.3779550780721,-3.53907218256661 50.3828254905159,-3.53837660313441 50.3877028524264,-3.53620580613289 50.3923997048002,-3.53264282996474 50.3967354728613,-3.52782433695612 50.4005434171969,-3.52193540136584 50.4036770594612,-3.51520241210171 50.4060158329701,-3.50788436055576 50.4074697377565,-3.50026285018819 50.4079828178713,-3.49263121750235 50.4075353244418,-3.48528319122022 50.4061444794194,-3.47850153589219 50.4038638099261,-3.47254712684916 50.4007810793686,-3.46764888529025 50.3970148966449,-3.46399496633332 50.3927101365183,-3.46172554087093 50.3880323504492,-3.46092744666443 50.3831613859839)))', 'GBBRX', 'Brixham', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.66069423540669 50.6835667588225,-4.66127743868102 50.6786841930826,-4.66334834041114 50.673967708897,-4.66682695705467 50.669598486305,-4.67157932743514 50.665744317092,-4.67742270324992 50.6625531741592,-4.68413258970954 50.6601475464032,-4.6914513630906 50.6586197535623,-4.69909813553332 50.6580284177367,-4.70677949339425 50.6583962242561,-4.71420070498199 50.6597090558727,-4.72107697726985 50.6619165326479,-4.7271443395495 50.6649339371822,-4.73216974498983 50.6686454528421,-4.73596000839286 50.6729085931772,-4.73836923945087 50.6775596555421,-4.73930448448408 50.6824199926939,-4.73872935453582 50.6873028643043,-4.73666549192766 50.6920206071979,-4.73319180856018 50.6963918497089,-4.72844151456291 50.7002484925379,-4.72259704212658 50.7034421861982,-4.71588305298992 50.7058500534679,-4.70855779547097 50.7073794336629,-4.70090314458115 50.7079714630223,-4.69321371338741 50.7076033506321,-4.68578546267433 50.7062892603061,-4.67890425711237 50.7040797636104,-4.67283481845569 50.7010598854594,-4.66781050964364 50.6973458190723,-4.66402434892104 50.6930804392248,-4.66162160199895 50.6884277895073,-4.66069423540669 50.6835667588225)))', 'GBBSC', 'Boscastle', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.0966138437549193 50.8180257846875,-0.0976725646586532 50.8131771495516,-0.100203616295435 50.8085524808879,-0.104109372766651 50.8043294051461,-0.109239520709009 50.8006700809112,-0.115396868680329 50.7977149873119,-0.12234493149293 50.795577547785,-0.129816997105508 50.7943397924168,-0.137526330868906 50.7940492223526,-0.145177131873728 50.7947169942323,-0.152475829860291 50.796317492932,-0.159142299245181 50.7987893088064,-0.164920569575751 50.8020375829573,-0.169588629102219 50.8059376326198,-0.172966949782241 50.8103397203729,-0.17492540717073 50.815074787274,-0.175388326162033 50.8199609328176,-0.174337451860718 50.8248103952696,-0.171812721900443 50.8294367656617,-0.167910799762193 50.8336621584721,-0.162781415065981 50.8373240623631,-0.156621643055172 50.8402816054769,-0.149668337954191 50.8424209914602,-0.142189009894911 50.8436598938959,-0.13447149916901 50.8439506370079,-0.12681285155581 50.8432820378113,-0.119507831891281 50.8416798373816,-0.112837528177321 50.8392057044374,-0.107058494607571 50.8359548506301,-0.102392859126554 50.8320523514539,-0.0990197807363705 50.827648317246,-0.0970685857906874 50.8229121032786,-0.0966138437549193 50.8180257846875)))', 'GBBSH', 'Brighton', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.643626865338636 50.7822108676567,-0.644628160238012 50.7773565097002,-0.647103514342716 50.7727192294673,-0.650957437146731 50.7684771410101,-0.656041599611373 50.7647931354746,-0.662160568454058 50.7618086410667,-0.669079324290258 50.7596382102558,-0.676532273574821 50.7583651388537,-0.684233411041006 50.7580382821043,-0.691887248814092 50.7586701875494,-0.699200101586517 50.7602366148624,-0.705891304815266 50.7626774607937,-0.711703945130209 50.7658990546837,-0.716414698990576 50.7697777384777,-0.719842406730056 50.7741645966491,-0.721855053766165 50.7788911576255,-0.72237488779447 50.7837758508558,-0.721381468678556 50.7886309739972,-0.718912524442264 50.793269904082,-0.715062569747618 50.7975142758836,-0.709979329523828 50.8012008506376,-0.703858096649175 50.8041878089979,-0.696934235185213 50.8063602233807,-0.689474115962273 50.8076344959929,-0.681764835806008 50.8079615887171,-0.674103122243388 50.8073289180862,-0.666783859600851 50.8057608409198,-0.660088688266401 50.8033177116428,-0.654275125717495 50.800093548534,-0.649566635895169 50.7962124007883,-0.64614403378515 50.7918235590466,-0.64413855668375 50.7870957968614,-0.643626865338636 50.7822108676567)))', 'GBBSI', 'Bognor Regis', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.7660757633251 60.7491614185843,-0.767392144035399 60.7443155502048,-0.770613905546173 60.7396884311616,-0.775616548546759 60.7354577448504,-0.782207395979028 60.7317858865636,-0.790133062333894 60.7288137512911,-0.799089206474007 60.7266553515071,-0.808732190953505 60.7253934668732,-0.81869220535305 60.7250764883234,-0.828587361834938 60.7257165739902,-0.838038238810993 60.7272891854877,-0.846682333799396 60.7297340218425,-0.854187889440814 60.7329573165521,-0.860266577225439 60.7368354125596,-0.864684561478516 60.7412194820621,-0.867271520977169 60.7459412146614,-0.867927276224889 60.7508192600087,-0.866625755353721 60.7556661812311,-0.863416128667512 60.7602956543446,-0.8584210480611 60.7645296375684,-0.851832039284097 60.7682052336858,-0.843902207922161 60.7711809786562,-0.834936529192932 60.7733423104613,-0.825280092095816 60.774606003065,-0.815304755091798 60.7749233902856,-0.805394738751041 60.774282251774,-0.795931726944812 60.7727072862026,-0.787280069574035 60.7702591529319,-0.779772675299646 60.7670321203908,-0.773698152541826 60.7631504146873,-0.769289702883477 60.7587634131674,-0.766716195990642 60.7540398726014,-0.7660757633251 60.7491614185843)))', 'GBBSN', 'Baltasound', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.47417569508621 54.4331756614035,-3.47494222278033 54.4283018471473,-3.47732446389872 54.4236088330406,-3.48123038457021 54.4192768789161,-3.48650955358388 54.415472322238,-3.49295897323303 54.4123412067257,-3.50033089881813 54.4100036948055,-3.50834234356983 54.4085494748443,-3.51668590615849 54.4080343358721,-3.52504151192318 54.4084780381856,-3.53308862753359 54.4098635594664,-3.54051849265067 54.4121377445516,-3.54704591159307 54.4152133345519,-3.55242016305409 54.4189722993955,-3.55643461624732 54.4232703488722,-3.55893468685227 54.4279424525789,-3.55982382475905 54.4328091604402,-3.5590672963988 54.4376834841877,-3.55669360540758 54.4423780775907,-3.55279348397816 54.4467124403832,-3.5475164804386 54.4505198684037,-3.54106526281975 54.4536538807971,-3.53368784954358 54.4559938741129,-3.52566806282972 54.4574497822141,-3.51731457399673 54.4579655590661,-3.50894896888832 54.4575213472605,-3.50089330314639 54.4561342466815,-3.49345763879094 54.4538576529264,-3.48692805438398 54.4507791915828,-3.48155560090251 54.4470173298589,-3.4775466354047 54.4427167989883,-3.47505490675823 54.4380430071438,-3.47417569508621 54.4331756614035)))', 'GBBSS', 'Borrowstowness', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.52796886853997 50.3331837660582,-3.52866476110666 50.3283064197825,-3.53083343057263 50.3236096631684,-3.53439115382857 50.3192739127486,-3.53920095020208 50.3154656711044,-3.54507788488096 50.3123311462171,-3.55179619048943 50.309990654162,-3.55909793095763 50.3085340170014,-3.56670287662594 50.3080171294596,-3.57431921675443 50.3084598235236,-3.58165470634045 50.3098451111242,-3.58842782907592 50.3121198332732,-3.59437855773849 50.3151966912706,-3.59927830731549 50.3189575836877,-3.6029387043863 50.3232581235904,-3.60521883806903 50.3279331656448,-3.60603071212088 50.3328031339823,-3.6053426830937 50.3376809104785,-3.60318074385653 50.3423790206777,-3.59962759290297 50.3467168419766,-3.5948195148133 50.3505275565213,-3.58894118280527 50.3536645798543,-3.58221857698394 50.3560072155341,-3.57491028808703 50.357465315151,-3.56729754271356 50.3579827613346,-3.5596733390392 50.3575396370495,-3.55233111922155 50.3561529958624,-3.54555342418607 50.353876202833,-3.53960097724582 50.3507968719344,-3.53470262500433 50.3470334810722,-3.53104652814919 50.342730797546,-3.52877294289281 50.3380542930368,-3.52796886853997 50.3331837660582)))', 'GBBSX', 'Beesands', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.17238078804612 56.0670703688558,-3.1732163016565 56.0621997535347,-3.17573378021762 56.0575138756188,-3.17983594448318 56.0531927130729,-3.18536479216644 56.0494021786959,-3.19210772420241 56.0462877665786,-3.19980573416541 56.0439689873125,-3.20816334325299 56.042534801781,-3.21685990189435 56.0420402249905,-3.22556183180243 56.0425042270424,-3.23393535019299 56.0439090096172,-3.24165920157197 56.0462006849435,-3.24843692224526 56.0492913319184,-3.25400817853582 56.053062352593,-3.25815875130755 56.0573690034066,-3.2607287861719 56.0620459310411,-3.2616189896749 56.0669135041891,-3.26079452535094 56.0717847013612,-3.25828644776502 56.0764722923854,-3.25419060495125 56.0807960384921,-3.24866403681165 56.0845896335591,-3.2419189953688 56.0877071175336,-3.23421480818392 56.0900285121614,-3.2258478944844 56.0914644583935,-3.21714032038487 56.0919596731725,-3.20842734117858 56.0914950892686,-3.2000444218078 56.0900885935833,-3.19231424898171 56.087794334694,-3.18553424877642 56.0847006270281,-3.17996510190452 56.0809265344972,-3.17582070635969 56.0766172683242,-3.17325997610261 56.0719385799912,-3.17238078804612 56.0670703688558)))', 'GBBTL', 'Burntisland', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.9034338003373 57.6669730322335,-2.9043413712591 57.6621055367483,-2.90700287614093 57.6574264142811,-2.91131544635743 57.6531153752529,-2.91711296034586 57.64933793296,-2.92417248694905 57.6462390669776,-2.93222287298405 57.643937679872,-2.94095514199101 57.6425220559661,-2.95003430786378 57.6420464924119,-2.9591121585204 57.6425292284372,-2.96784053193354 57.6439517499466,-2.97588459031133 57.6462594953671,-2.98293559827891 57.6493639364644,-2.98872272756012 57.653145956577,-2.99302344361358 57.6574604000555,-2.99567207833393 57.6621416223391,-2.99656625628716 57.6670098316621,-2.99567091852842 57.6718779823269,-2.993019775804 57.6765589570909,-2.988714119196 57.6808727635382,-2.98291901773165 57.6846534670586,-2.9758570352801 57.6877555915849,-2.96779969890188 57.6900597384666,-2.95905704318232 57.6914772032296,-2.9499656355117 57.6919534084673,-2.94087555167782 57.6914700172614,-2.93213681610142 57.6900456434527,-2.92408584412106 57.6877351306105,-2.91703242364365 57.6846274282846,-2.91124775022501 57.6808421496292,-2.90695398452061 57.6765249463771,-2.90431573650691 57.6718418832391,-2.9034338003373 57.6669730322335)))', 'GBBUC', 'Buckie', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.51056551288078 50.8335172480374,-4.51116589477892 50.8286354063828,-4.51325825222802 50.823921521479,-4.51676177502988 50.8195566722148,-4.52154154451926 50.8157084810843,-4.52741376092034 50.8125246902491,-4.53415282417014 50.8101275054382,-4.54149999348158 50.8086089217709,-4.54917329443331 50.8080272077771,-4.5568782983681 50.8084046798011,-4.56431936845777 50.8097268502566,-4.57121095065793 50.8119429815783,-4.57728848628278 50.8149680250033,-4.5823185361019 50.8186858713465,-4.58610773339385 50.8229537915064,-4.58851022464025 50.8276078993161,-4.58943331048439 50.8324694301675,-4.58884106476518 50.8373515970843,-4.586755783969 50.8420667628697,-4.5832572009385 50.8464336536329,-4.57847948230308 50.8502843360803,-4.57260611561327 50.8534706887699,-4.56586287605161 50.8558701159537,-4.55850914021005 50.8573902811311,-4.5508278822051 50.8579726750012,-4.54311474208454 50.8575948777147,-4.53566659533858 50.856271426376,-4.52877007336911 50.8540532535538,-4.52269048689658 50.8510257188112,-4.51766158737301 50.847305310614,-4.51387656639631 50.8430351480826,-4.51148064167797 50.8383794587644,-4.51056551288078 50.8335172480374)))', 'GBBUD', 'Bude', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.26054100495036 50.8664184625371,-1.2614804166102 50.8615583104913,-1.26389958647302 50.8569074863238,-1.26770517503246 50.8526446275517,-1.27275070058265 50.8489334251755,-1.27884220405547 50.8459163526553,-1.28574571211656 50.8437092129319,-1.29319621033829 50.8423967096782,-1.30090778442146 50.8420292097174,-1.30858454630161 50.8426208183719,-1.31593193456877 50.8441488400574,-1.32266796559612 50.8465546444486,-1.32853401341185 50.8497459058418,-1.33330471263613 50.8536001317386,-1.33679660938539 50.857969347994,-1.33887522920941 50.8626857638422,-1.33946028776752 50.8675682023698,-1.33852883752291 50.8724290520027,-1.33611622021872 50.8770814735576,-1.33231477779407 50.8813465863301,-1.32727036074266 50.8850603561688,-1.32117675937222 50.8880799187408,-1.31426826640164 50.8902890920174,-1.30681065516543 50.8916028627352,-1.29909092285548 50.8919706711109,-1.29140619955382 50.8913783648685,-1.28405225872604 50.8898487457941,-1.27731208156735 50.8874406874012,-1.27144492525973 50.8842468585451,-1.26667632393933 50.8803901425972,-1.26318941210154 50.8760188927902,-1.26111790528857 50.8713012094792,-1.26054100495036 50.8664184625371)))', 'GBBUE', 'Bursledon', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.86885618834606 58.8499600990774,-2.86979952252333 58.8450937728881,-2.87255598287556 58.8404162849947,-2.87701900359471 58.8361072777772,-2.88301664979522 58.832332178844,-2.89031828903695 58.8292358688871,-2.89864347639135 58.8269371435362,-2.90767270834796 58.8255241775554,-2.91705963591118 58.8250511612287,-2.92644427746669 58.825536234429,-2.93546673837438 58.8269607952597,-2.94378092735163 58.8292702089687,-2.95106775981368 58.8323758907907,-2.95704735543757 58.836158685204,-2.96148977104026 58.8404734155241,-2.96422385982833 58.8451544334632,-2.96514391320612 58.8500219598688,-2.96421382015173 58.8548889767837,-2.96146856962463 58.8595684085351,-2.95701302084011 58.863880316809,-2.95101797114787 58.8676588323381,-2.94371365768965 58.8707585542848,-2.93538093251563 58.8730601675747,-2.92634044669951 58.8744750577805,-2.9169402625365 58.8749487416717,-2.90754237984165 58.8744629777447,-2.89850870910207 58.8730364730531,-2.89018704819713 58.8707241582847,-2.88289761924335 58.8676150598657,-2.87692069785243 58.8638288534638,-2.87248582007612 58.8595112352077,-2.86976298514062 58.8548282930464,-2.86885618834606 58.8499600990774)))', 'GBBUF', 'Burray', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.43639280112528 57.7001692248471,-3.43722970037075 57.6952981205338,-3.43982485535287 57.6906079927567,-3.44407793854731 57.6862789782131,-3.44982510247386 57.6824772831242,-3.45684533746991 57.6793488196864,-3.4648689874576 57.6770136268536,-3.47358809310909 57.6755612855887,-3.48266816795313 57.6750475004865,-3.49176096378745 57.6754919754779,-3.50051774827687 57.6768776627705,-3.50860260044052 57.6791514129588,-3.51570522915175 57.6822260020818,-3.5215528357975 57.6859834600605,-3.52592057459654 57.6902795761687,-3.52864021216364 57.6949494126438,-3.52960665074745 57.6998136188547,-3.5287820557038 57.7046853070772,-3.52619741517072 57.709377228181,-3.52195145594436 57.7137089724517,-3.51620694094418 57.7175139180924,-3.50918447655473 57.7206456580399,-3.50115405825566 57.7229836545211,-3.49242467578748 57.7244378997427,-3.48333238017479 57.724952399249,-3.47422728012418 57.7245073403474,-3.46545998117936 57.7231198597256,-3.45736800505308 57.7208433798075,-3.45026272742956 57.7177655401316,-3.44441735019168 57.7140048056442,-3.44005637971039 57.7097058858901,-3.43734701895453 57.705034145461,-3.43639280112528 57.7001692248471)))', 'GBBUH', 'Burghead', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.29962434420718 60.3883660650775,-1.30084572614095 60.3835144424563,-1.30395512087553 60.37887392647,-1.30883235504576 60.3746227208387,-1.31528956799012 60.3709240143619,-1.32307849642523 60.3679197374718,-1.3319000324507 60.3657251396704,-1.3414156850314 60.3644243914166,-1.35126050958148 60.3640673748059,-1.36105702069221 60.3646677825492,-1.37042957029402 60.3662025958996,-1.37901865813446 60.3686129609676,-1.38649464361575 60.3718064310002,-1.39257034774905 60.3756604913926,-1.39701207097737 60.3800272361542,-1.39964860631101 60.3847390209198,-1.40037789661726 60.3896148799624,-1.39917106848981 60.394467464487,-1.39607367073604 60.3991102380424,-1.39120405029086 60.4033646532146,-1.38474890869289 60.4070670325813,-1.37695619387721 60.4100748865465,-1.36812559018221 60.4122724210303,-1.35859696911215 60.41357501849,-1.34873724959015 60.4139325153045,-1.33892618465391 60.4133311456559,-1.32954163806519 60.411794074733,-1.32094493651026 60.4093805001209,-1.31346687970362 60.4061833571973,-1.30739496197005 60.4023257197316,-1.30296230641736 60.397956038291,-1.30033873956252 60.3932424043227,-1.29962434420718 60.3883660650775)))', 'GBBVO', 'Burravoe', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.55517423582055 56.2839336581159,-5.5557108924526 56.2790514524515,-5.557949060375 56.2743212718457,-5.56180215833365 56.2699248113599,-5.56712170641348 56.2660308868858,-5.57370309383761 56.2627889686093,-5.5812934697534 56.2603234629892,-5.58960144962664 56.2587289590334,-5.5983082658824 56.2580666174397,-5.60707994145316 56.2583618377113,-5.61558003001505 56.2596032902507,-5.6234824475947 56.2617433493928,-5.63048391724784 56.2646999110906,-5.63631556168257 56.2683595272956,-5.6407532077709 56.2725817397324,-5.64362601128839 56.2772044504581,-5.64482306899999 56.282050126942,-5.64429775697668 56.286932606903,-5.64206961686849 56.2916642440906,-5.63822370328722 56.2960631216926,-5.63290740239099 56.2999600558339,-5.62632483060003 56.3032051181341,-5.61872901907333 56.3056734234852,-5.61041217986611 56.3072699566455,-5.60169442930718 56.3079332479882,-5.59291140911499 56.3076377534196,-5.58440129273193 56.3063948442963,-5.57649169077774 56.3042523680355,-5.569486973952 56.3012927966692,-5.5636565138968 56.2976300364411,-5.55922430342633 56.2934050242752,-5.55636035923998 56.2887802843476,-5.55517423582055 56.2839336581159)))', 'GBBVR', 'Balvicar', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.05166585972459 50.6970240677486,-3.05241622257751 50.692149892231,-3.05464888570253 50.6874623214794,-3.05827766316313 50.6831414153571,-3.06316284490616 50.679353102662,-3.06911660488751 50.6762428230316,-3.07591023287393 50.673929959543,-3.08328290996018 50.6725032726507,-3.09095169267244 50.6720175076374,-3.09862232790997 50.6724913031534,-3.10600049197284 50.6739064793495,-3.1128030322129 50.676208732292,-3.11876878975815 50.6793097086142,-3.12366859629763 50.6830903825241,-3.12731406674946 50.6874056081716,-3.12956485209237 50.6920896757239,-3.13033407166064 50.6969626609439,-3.1295917102945 50.7018373270866,-3.1273658409498 50.7065263157903,-3.12374161527219 50.7108493513215,-3.11885805034656 50.7146401806994,-3.11290272606981 50.7177529811445,-3.10610459082356 50.7200679858085,-3.09872514970193 50.721496108262,-3.09104837594238 50.7219823846707,-3.08336973921156 50.7215080985289,-3.07598478136564 50.7200915043793,-3.06917768934524 50.7177871220265,-3.06321031498908 50.7146836290208,-3.05831207275152 50.7109004342967,-3.05467110956224 50.7065830674753,-3.05242708825206 50.7018975643633,-3.05166585972459 50.6970240677486)))', 'GBBXX', 'Beer', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.19739935786484 55.2060054248402,-6.19857889664067 55.201160381691,-6.20138792020561 55.1965399863445,-6.20571801155477 55.1923216858342,-6.21140248302853 55.1886674334014,-6.21822282513934 55.1857174881188,-6.22591711248215 55.183585050933,-6.2341900424291 55.1823519392993,-6.24272422495651 55.1820654628556,-6.25119229862905 55.1827366171983,-6.25926941942714 55.1843396633779,-6.26664565633233 55.1868131089666,-6.27303783064165 55.190062054216,-6.27820035482607 55.1939618157078,-6.28193466103318 55.1983626917714,-6.28409685836018 55.203095690492,-6.28460332068131 55.2079790039752,-6.28343398150937 55.2128249831155,-6.28063319696856 55.2174473466746,-6.27630812974756 55.2216683479768,-6.27062470262665 55.2253256226101,-6.26380126609772 55.2282784513994,-6.25610021666082 55.23041319441,-6.24781788641083 55.2316476831452,-6.23927309648368 55.2319343983154,-6.23079482319762 55.2312623079803,-6.222709463373 55.2296572935859,-6.21532820234589 55.2271811472034,-6.20893498369494 55.223929179753,-6.20377555393827 55.2200265347558,-6.20004800982765 55.2156233528696,-6.19789521279746 55.2108889770494,-6.19739935786484 55.2060054248402)))', 'GBBYC', 'Ballycastle', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.30636694681324 55.2320440776474,-6.307534144412 55.2271978686494,-6.31033255075554 55.2225748680344,-6.31465415460523 55.2183526234727,-6.32033259193592 55.2146932400093,-6.32714958271102 55.2117371738169,-6.33484332834531 55.2095978606784,-6.34311854582464 55.2083573816545,-6.35165775696144 55.2080633287247,-6.36013340780533 55.2087269878312,-6.36822036475778 55.210322907341,-6.37560832104202 55.2127898681814,-6.38201365011791 55.2160332195714,-6.38719026136628 55.2199284931414,-6.39093904755418 55.2243261600748,-6.39311556253493 55.2290573524145,-6.3936356302277 55.2339403324681,-6.39247866057204 55.2387874647597,-6.38968853273068 55.2434124244594,-6.38537199761587 55.2476373656446,-6.37969464758248 55.2512997727341,-6.37287459713352 55.2542587292357,-6.36517411065971 55.2564003593429,-6.35688949740637 55.2576422292571,-6.34833966598383 55.2579365352478,-6.33985378718713 55.2572719528465,-6.33175855173002 55.2556740742497,-6.32436552671708 55.253204416784,-6.31795911035512 55.2499580417674,-6.31278555879031 55.2460598778894,-6.30904351344442 55.2416598939894,-6.3068763942315 55.2369273107614,-6.30636694681324 55.2320440776474)))', 'GBBYP', 'Ballintoy', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.15410063804968 57.1819671049401,-6.15535645911382 57.1771245539696,-6.15832707177981 57.1725080462091,-6.16289778701455 57.1682948707434,-6.16889263261869 57.1646467720412,-6.17608116451927 57.1617037593995,-6.18418733236372 57.159578754606,-6.19290005730276 57.1583532792341,-6.20188512016549 57.1580743432448,-6.21079791325967 57.1587526512203,-6.21929657970106 57.1603621932322,-6.22705505104047 57.1628412357261,-6.23377549726274 57.1660946756568,-6.23919972293861 57.1699976701627,-6.24311907908894 57.1744004060936,-6.24538251149618 57.1791338303611,-6.24590243168142 57.1840161249852,-6.24465817496132 57.1888596812909,-6.2416968987375 57.1934783072322,-6.23713187065503 57.197694391251,-6.23113819709416 57.2013457460782,-6.22394614369179 57.2042918667015,-6.21583229691461 57.2064193581708,-6.20710890465914 57.2076463203382,-6.19811181010023 57.2079255168913,-6.18918745264986 57.2072462035791,-6.18067944976332 57.2056345433838,-6.17291529127957 57.2031525923345,-6.16619367302823 57.1998958962783,-6.16077296886627 57.1959897937923,-6.15686129165166 57.1915845711883,-6.15460852655292 57.1868496601274,-6.15410063804968 57.1819671049401)))', 'GBCAB', 'Carbost', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.16860934419083 60.4003164242816,-1.16985067818235 60.3954661071307,-1.17297982474609 60.3908287530255,-1.17787585327854 60.386582443232,-1.18435018390592 60.3828901777574,-1.19215389933363 60.3798936392576,-1.20098732740497 60.3777077800338,-1.21051152366066 60.3764164353131,-1.22036121780496 60.3760691267217,-1.23015873855371 60.3766791749792,-1.23952839874849 60.378223191956,-1.24811080738025 60.3806419710181,-1.25557657750025 60.3838427427172,-1.26163891888556 60.3877027121056,-1.26606464149888 60.3920737459354,-1.26868314965155 60.3967880344306,-1.2693930763484 60.4016645147446,-1.26816629103834 60.4065158131234,-1.26504910975085 60.4111554414412,-1.26016064148586 60.4154049722046,-1.25368831513265 60.4191009150435,-1.24588074284867 60.4221010274568,-1.23703818395788 60.4242898130471,-1.22750097300276 60.4255829910737,-1.21763636165139 60.4259307608054,-1.20782429220206 60.4253197313183,-1.19844266672511 60.4237734401253,-1.18985269783662 60.4213514400903,-1.18238492346356 60.4181469910259,-1.17632643895364 60.4142834477258,-1.1719098471657 60.409909487533,-1.16930435370173 60.405193365735,-1.16860934419083 60.4003164242816)))', 'GBCAF', 'Collafirth', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.95665172623718 54.9819222554346,-5.95785268189386 54.9770796729514,-5.96067259941912 54.9724648357322,-5.96500265289847 54.9682549767432,-5.97067616460737 54.9646117252424,-5.9774750521696 54.9616749187882,-5.9851382171557 54.9595572552919,-5.99337155162232 54.9583399866968,-6.00185918223222 54.9580698160459,-6.0102755287045 54.9587571142276,-6.01829772537838 54.960375523188,-6.025617942211 54.962862960594,-6.03195514482893 54.9661239885868,-6.03706585227148 54.9700334581749,-6.04075348544729 54.9744412927311,-6.04287594836828 54.9791782306951,-6.04335114680688 54.9840623105402,-6.04216022354226 54.988905851789,-6.0393483736755 54.993522665589,-6.03502319489369 54.9977352180581,-6.02935062279153 55.0013814698807,-6.02254859669623 55.0043211267268,-6.01487869284846 55.0064410567383,-6.00663604512168 55.0076596629151,-5.99813794471394 55.0079300385793,-5.98971156584033 55.0072417816308,-5.98168130150578 55.0056213960873,-5.97435620998183 55.0031312651995,-5.96801806776813 54.9998672368845,-5.96291049886794 54.9959549169058,-5.95922960455597 54.9915448158365,-5.95711645488891 54.9868065402926,-5.95665172623718 54.9819222554346)))', 'GBCAH', 'Carnlough', 'Y'),('SRID=4326;MULTIPOLYGON(((0.607001192955718 51.5178232467202,0.606487905350172 51.5129386607553,0.604457495596537 51.5082103882438,0.600988417031009 51.5038200642223,0.596214288027537 51.4999362908293,0.590318711058142 51.4967081756214,0.583528196500046 51.4942596233083,0.576103466184892 51.4926845969527,0.568329469606876 51.4920435272872,0.560504491040408 51.492361005068,0.552928757441247 51.4936248429275,0.545892974196478 51.4957865417378,0.539667218183815 51.4987631438665,0.5344906051638 51.5024404036944,0.53056212154528 51.5066771562048,0.528032969659493 51.5113107190645,0.527000721849125 51.5161631240622,0.527505513343427 51.5210479415315,0.529528428927218 51.5257774377611,0.532992156182856 51.530169791415,0.537763891425202 51.5340560913616,0.543660396612075 51.5372868453998,0.550455020055172 51.5397377470818,0.557886414383227 51.5413144756745,0.565668615566103 51.5419563412948,0.57350209025126 51.5416386320092,0.581085318024274 51.5403735704302,0.588126452577158 51.5382098419859,0.594354602344428 51.5352307133027,0.59953028713952 51.5315508146448,0.603454661869028 51.5273117127669,0.60597714974369 51.5226764476717,0.607001192955718 51.5178232467202)))', 'GBCAN', 'Canvey Island', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.60947532931407 52.083560393838,-4.61007869937566 52.0786790024657,-4.61221579967052 52.0739639034617,-4.61580406969321 52.0695962194389,-4.62070531173966 52.0657436767893,-4.62673104764722 52.0625541785207,-4.6336497809536 52.0601501429461,-4.6411958825483 52.0586238223627,-4.64907975999536 52.0580337781138,-4.65699892560986 52.0584026444246,-4.66464954717023 52.059716264782,-4.67173804854731 52.0619242331086,-4.67799232587675 52.0649418193638,-4.6831721582192 52.0686532073084,-4.68707841964599 52.0729159227855,-4.68956074172283 52.0775662857475,-4.69052333042548 52.0824256800306,-4.68992870816858 52.0873074030307,-4.68779922794863 52.0920238342627,-4.68421629018459 52.0963936482943,-4.67931728079198 52.1002487944594,-4.67329033803062 52.1034409733886,-4.66636714209363 52.1058473586626,-4.65881400148575 52.1073753402635,-4.65092158026936 52.1079661039728,-4.64299366684238 52.1075969060337,-4.63533542520319 52.1062819534467,-4.62824159156975 52.1040718551097,-4.62198508159359 52.1010516653382,-4.61680645611275 52.0973375967335,-4.61290465732046 52.0930725315585,-4.61042937425452 52.0884205075806,-4.60947532931407 52.083560393838)))', 'GBCAR', 'Cardigan (Aberteifi)', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.88969837660653 54.8829684041908,-2.89054360471305 54.8780987800939,-2.89301982027701 54.8734177600648,-2.89703137124405 54.869105137927,-2.90242376811832 54.865326503525,-2.90898967059886 54.8622269007938,-2.91647687263885 54.8599252791783,-2.92459797653009 54.8585099477782,-2.93304138702593 54.8580352030777,-2.94148321067125 54.8585192566147,-2.9495996144414 54.8599435400733,-2.95707918214217 54.8622534137574,-2.963634807097 54.8653602519868,-2.96901467544232 54.8691448274518,-2.973011925562 54.8734618677171,-2.97547261517357 54.8781456126114,-2.97630168729486 54.8830161627863,-2.97546669827645 54.8878863787481,-2.97299915326606 54.8925690674428,-2.96899338430579 54.8968841810083,-2.96360300063244 54.9006657503031,-2.95703503605316 54.9037682845817,-2.94954201054841 54.9060723880974,-2.94141220839518 54.9074893739033,-2.93295854907262 54.9079646936464,-2.92450648632899 54.9074800482438,-2.91638141200108 54.9060540961174,-2.90889606229782 54.9037417310037,-2.9023384241523 54.9006319578806,-2.89696061791592 54.8968444508691,-2.89296919126519 54.8925249287056,-2.89051719991132 54.8878395294075,-2.88969837660653 54.8829684041908)))', 'GBCAX', 'Carlisle', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.35428872255464 56.9994072568552,-7.35538176372198 56.9945521085065,-7.35818869992577 56.989906581438,-7.36260112053451 56.9856490879945,-7.36844911516688 56.9819430814199,-7.37550785528743 56.9789307987767,-7.38350624823512 56.9767278226342,-7.3921373290596 56.9754186663004,-7.40106999482199 56.9750535481616,-7.40996163986978 56.9756464757417,-7.41847121998025 56.9771747110042,-7.42627225876668 56.9795796369024,-7.43306531161886 56.9827689929735,-7.43858942068382 56.9866203966385,-7.44263212867029 56.9909860185527,-7.44503766893126 56.9956982365406,-7.44571301328864 57.0005760549501,-7.44463153586479 57.0054320461265,-7.44183413866599 57.0100795494109,-7.43742778009756 57.0143398515981,-7.43158144764868 57.0180490718388,-7.42451971679947 57.0210644838195,-7.4165141355196 57.023270028557,-7.40787276311697 57.0245808016975,-7.3989282693314 57.0249463387102,-7.39002506052767 57.0243525683012,-7.38150594140821 57.0228223568203,-7.37369884058824 57.020414622176,-7.36690412556619 57.017222052438,-7.36138300724234 57.0133675194369,-7.35734748759206 57.0089993289302,-7.35495223890246 57.0042854941378,-7.35428872255464 56.9994072568552)))', 'GBCBA', 'Castlebay', 'Y'),('SRID=4326;MULTIPOLYGON(((0.822504104422559 50.9337436372852,0.821972599869182 50.9288593580342,0.81994377238905 50.9241344337618,0.816495998741579 50.9197503711462,0.811762065763529 50.9158755332933,0.805924023326972 50.9126586869952,0.79920616900565 50.9102233071621,0.791866436927014 50.9086628540434,0.784186520409958 50.9080372013515,0.776461102656085 50.9083703495628,0.768986600856115 50.909649510122,0.762049845872728 50.9118255947554,0.755917121803227 50.9148150914117,0.750823977177625 50.9185032563257,0.746966192601746 50.9227485021478,0.744492248943346 50.9273878167503,0.743497586689283 50.9322430078562,0.74402088229774 50.9371275365348,0.746042493111607 50.9418536791462,0.749485141042688 50.9462397435314,0.754216819598461 50.9501170618338,0.760055822123553 50.9533364896353,0.766777704880959 50.9557741590151,0.774123920451152 50.9573362611609,0.781811788462036 50.9579626713105,0.789545415167812 50.9576292736713,0.797027133637733 50.9563488947717,0.803969014335739 50.954170808367,0.810103992821327 50.9511788312605,0.81519617735141 50.9474880848435,0.819049933487518 50.943240549476,0.821517393656133 50.9385995858479,0.822504104422559 50.9337436372852)))', 'GBCBE', 'Camber', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.87044269035912 57.6665929216927,-1.87148843810733 57.6617336676705,-1.87428240720387 57.6570770690816,-1.87871665339335 57.6528019641419,-1.88462040105213 57.6490724808732,-1.89176666205255 57.6460317544008,-1.89988097535904 57.6437964547592,-1.9086519290568 57.6424523311862,-1.91774306435696 57.6420509399151,-1.92680571374868 57.64260767772,-1.93549229384255 57.6441011945442,-1.94346955815334 57.6464742071329,-1.95043131636843 57.6496356834346,-1.95611014452833 57.6534643163921,-1.9602876447067 57.6578131573367,-1.96280286259461 57.6625152352278,-1.96355853583493 57.6673899500334,-1.96252492349697 57.6722499980962,-1.95974105563081 57.6769085656443,-1.95531333867218 57.6811865147064,-1.94941155422697 57.6849192842693,-1.94226239153824 57.6879632388995,-1.93414075339429 57.6902012171044,-1.925359166849 57.6915470618586,-1.91625570944735 57.691948954894,-1.90718092463163 57.6913914230473,-1.8984842433025 57.6898959372612,-1.89050044976778 57.6875200805476,-1.88353672835371 57.6843553179507,-1.87786080189589 57.6805234568368,-1.87369062655984 57.6761719373316,-1.87118604151257 57.6714681382618,-1.87044269035912 57.6665929216927)))', 'GBCBL', 'Cairnbulg', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.55616003711194 55.4179244420779,-5.55668801015149 55.4130417234308,-5.55887997102156 55.4083113946904,-5.56265114444059 55.403915159452,-5.56785622039315 55.4000218294859,-5.57429499684279 55.3967808576695,-5.58172009964183 55.3943166197884,-5.58984647904085 55.3927236611258,-5.59836231941038 55.3920630865266,-5.6069409497092 55.3923602291232,-5.61525330797245 55.3936036847482,-5.62298049434016 55.3957457479384,-5.62982594424759 55.3987042331145,-5.63552676638856 55.4023656127805,-5.63986381868188 55.4065893551905,-5.6426701391341 55.4112132985977,-5.6438374062443 55.4160598595489,-5.64332017403718 55.4209428402203,-5.64113770803372 55.4256745758036,-5.63737333800945 55.430073148525,-5.63217133822409 55.4339693907541,-5.62573144239334 55.4372134062481,-5.61830119507803 55.4396803558489,-5.6101664292322 55.4412752814383,-5.60164023724636 55.4419367787239,-5.59305086610363 55.4416393741026,-5.58472901296749 55.4403945116327,-5.57699502320759 55.4382501109573,-5.57014649714291 55.435288713517,-5.56444679439451 55.4316242901739,-5.56011488662374 55.4273978360461,-5.55731695261577 55.4227719257144,-5.55616003711194 55.4179244420779)))', 'GBCBT', 'Campbeltown', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.15439715342103 56.8996997802452,-2.15538326033156 56.8948374548717,-2.15808325415313 56.8901737906401,-2.16239282617101 56.8858879022653,-2.16814600428553 56.8821443379836,-2.17512158541595 56.879086779817,-2.18305165298598 56.8768325494863,-2.1916318496909 56.8754681269246,-2.20053301432695 56.8750458495045,-2.20941374452492 56.8755819154049,-2.21793341575692 56.8770557656303,-2.22576517157827 56.8794108677512,-2.23260840100227 56.8825568722031,-2.23820023617361 56.8863730607302,-2.24232563680392 56.8907129580297,-2.24482567652796 56.8954099335406,-2.24560370939757 56.9002835822311,-2.24462917063723 56.9051466426378,-2.24193885246648 56.9098121885722,-2.23763559057094 56.9141008188477,-2.23188439639005 56.9178475677991,-2.22490617096578 56.9209082685673,-2.21696923344142 56.9231651209988,-2.20837898700898 56.9245312459689,-2.19946612285343 56.9249540469281,-2.19057382449263 56.9244172459933,-2.18204447760513 56.9229415140626,-2.17420641166748 56.9205836700386,-2.16736119832306 56.9174344809162,-2.16177200745823 56.9136151497886,-2.15765347678692 56.9092726303908,-2.15516348678436 56.9045739524739,-2.15439715342103 56.8996997802452)))', 'GBCCE', 'Catterline', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.71064555280525 50.7325714292181,-1.71153541440444 50.7277072127136,-1.71390294211332 50.7230466040801,-1.71765677932739 50.718768619656,-1.72265242843464 50.7150375338444,-1.7286978401195 50.7119965853451,-1.73556080412905 50.7097624945975,-1.74297785593756 50.7084209997794,-1.75066435964866 50.7080235796543,-1.75832538602384 50.7085854865214,-1.76566697675532 50.7100851631636,-1.7724073726618 50.7124650657307,-1.77828778468577 50.7156338617759,-1.7830823023926 50.7194699209943,-1.78660656476594 50.7238259674109,-1.78872486176025 50.7285347175714,-1.78935539121324 50.7334152913375,-1.78847346280993 50.7382801516372,-1.78611251682297 50.7429423082212,-1.78236290784983 50.7472225090899,-1.77736848979048 50.7509561424068,-1.77132112454312 50.7539995816378,-1.76445331977152 50.756235727152,-1.75702927696306 50.7575785279514,-1.7493346963312 50.7579763064488,-1.74166573675386 50.7574137557857,-1.73431756429829 50.7559125311915,-1.7275729401541 50.7535304121785,-1.72169129708896 50.7503590686275,-1.71689873295091 50.7465205186781,-1.71337931134178 50.7421624174965,-1.71126800534419 50.737452361356,-1.71064555280525 50.7325714292181)))', 'GBCCH', 'Christchurch', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.12701188433304 51.4620501308741,-3.12776663876897 51.4571761094498,-3.13002863948165 51.4524876918913,-3.13371055511972 51.4481649687773,-3.13867062092647 51.4443739356446,-3.14471812774063 51.4412601328003,-3.15162076540291 51.4389430746409,-3.15911353619845 51.4375116791642,-3.16690889797088 51.43702086992,-3.17470775328969 51.4374894781056,-3.1822108716018 51.4388995234968,-3.18913031632728 51.4411969011491,-3.19520044869514 51.4442934481272,-3.20018809476022 51.4480703127272,-3.20390149117473 51.4523824995661,-3.20619766823898 51.4570644192551,-3.20698798446952 51.4619362327912,-3.20624159391184 51.4668107497677,-3.20398670372791 51.4715006172834,-3.20030956275617 51.4758255240172,-3.19535120885305 51.4796191419961,-3.18930209055651 51.482735537394,-3.18239476335788 51.4850548011212,-3.17489493891077 51.486487679402,-3.16709123322668 51.4869790229429,-3.15928401402253 51.4865099192044,-3.15177378517869 51.4850984238544,-3.14484956578972 51.4827988625808,-3.13877772152522 51.4796997307558,-3.13379168694959 51.4759202736029,-3.13008298007442 51.4716058811977,-3.12779385665891 51.4669224787061,-3.12701188433304 51.4620501308741)))', 'GBCDF', 'Cardiff', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.40821444002914 53.4175000863397,-4.40885635857992 53.4126205106917,-4.41107893681954 53.407909485785,-4.41479629596342 53.4035479725053,-4.41986525593599 53.3997034531235,-4.42609088684156 53.3965235145782,-4.43323402002122 53.3941302004867,-4.44102042706329 53.3926153453365,-4.4491513159013 53.3920370664801,-4.45731474708485 53.3924175455468,-4.46519754153394 53.3937421822838,-4.47249723427165 53.3959601523987,-4.47893362711343 53.3989863484527,-4.48425950709388 53.4027046310711,-4.48827012624238 53.4069722684675,-4.49081108154961 53.4116253972569,-4.49178429058932 53.4164852983906,-4.49115182682689 53.4213652502661,-4.48893745722342 53.4260776979394,-4.48522581087403 53.4304414639222,-4.48015919813251 53.4342887229902,-4.47393219154808 53.4374714711127,-4.46678416921237 53.4398672369395,-4.45899010386578 53.4413838127285,-4.45084995348283 53.4419628191749,-4.44267706750196 53.4415819638803,-4.43478606441231 53.4402559043748,-4.42748065888287 53.438035681555,-4.42104191881833 53.4350067458139,-4.4157174145257 53.4312856536189,-4.41171168453765 53.4270155644889,-4.40917838753219 53.4223607150626,-4.40821444002914 53.4175000863397)))', 'GBCEB', 'Cemaes Bay', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.31734998735353 52.2154608003142,-4.31798687924513 52.2105807974952,-4.32016101385619 52.2058708603974,-4.3237884068624 52.2015119111726,-4.32872935901767 52.1976713387608,-4.33479387030128 52.1944965849659,-4.34174895992406 52.1921095010495,-4.34932760814144 52.1906016882664,-4.35723897802757 52.1900309978842,-4.36517953042708 52.1904193221296,-4.37284461430881 52.1917517588149,-4.37994009839471 52.1939771808518,-4.38619360856988 52.1970101892426,-4.39136494921684 52.2007343762826,-4.39525531495841 52.2050067763876,-4.39771494169979 52.2096633369402,-4.39864890131109 52.2145252024406,-4.39802081133553 52.219405573558,-4.3958543078209 52.2241168796732,-4.3922322133271 52.2284779902144,-4.38729342044918 52.232321187201,-4.38122760047589 52.2354986292616,-4.37426793343083 52.2378880558704,-4.36668213592879 52.2393975091187,-4.35876213330994 52.2399688879924,-4.35081277898653 52.2395801954482,-4.34314006400455 52.2382463897439,-4.33603928140871 52.236018806389,-4.32978361196349 52.2329831734225,-4.32461358001407 52.2292562981173,-4.3207277916986 52.2249815553214,-4.31827531423941 52.2203233543054,-4.31734998735353 52.2154608003142)))', 'GBCEI', 'New Quay (Ceinewydd)', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.53165620579732 54.9241973053994,-3.53242474202339 54.9193235180556,-3.53482886438894 54.9146297031315,-3.53877568259486 54.9102961499133,-3.54411318268852 54.906489255023,-3.55063612040853 54.9033551491196,-3.558093927763 54.9010141064525,-3.56620032614583 54.8995559482682,-3.5746442790479 54.8990366128522,-3.58310187088257 54.899476020714,-3.59124866666968 54.9008573147073,-3.59877209096096 54.9031275034328,-3.60538336375882 54.9061994838645,-3.61082854628685 54.9099553675566,-3.61489828001843 54.9142509858035,-3.61743584772954 54.9189214044447,-3.6183432444955 54.9237872402593,-3.6175850180259 54.9286615395554,-3.61518971953993 54.9333569569092,-3.61124889598203 54.9376929590799,-3.60591364867317 54.9415027766149,-3.59938887890649 54.9446398339093,-3.59192543358413 54.9469834073911,-3.58381044964066 54.9484432905197,-3.57535627065985 54.9489632824019,-3.56688836905829 54.9485233625871,-3.55873274938696 54.9471404661621,-3.55120333045152 54.9448678284821,-3.54458980487896 54.9417929254047,-3.53914645440801 54.9380340903223,-3.53508235864897 54.9337359412628,-3.53255337649463 54.9290637976794,-3.53165620579732 54.9241973053994)))', 'GBCET', 'Carsethorn', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.76693020674316 54.7139913955281,-5.76742626330174 54.7091076533748,-5.76955796804507 54.7043737616104,-5.7732428821904 54.6999715643114,-5.77833902359816 54.6960701068646,-5.78465037963386 54.6928191592355,-5.79193446561983 54.6903434848621,-5.79991163455114 54.6887380716959,-5.80827578169575 54.6880645047743,-5.81670603911597 54.6883486162544,-5.82487902114987 54.6895795006889,-5.83248116318483 54.6917099321774,-5.83922069299136 54.6946581676539,-5.84483878650523 54.6983110687616,-5.84911948798709 54.7025284252869,-5.85189801736305 54.707148317705,-5.85306714429765 54.7119933166514,-5.85258137777696 54.716877284579,-5.8504587997893 54.7216125207925,-5.8467804596529 54.7260169765354,-5.84168733867357 54.7299212625938,-5.835374989651 54.733175178372,-5.82808604843379 54.7356535085582,-5.82010090119055 54.7372608608769,-5.81172686727945 54.7379353550719,-5.80328631981074 54.737651017817,-5.79510421101526 54.7364187889317,-5.7874954949736 54.7342860989972,-5.78075294474771 54.7313350349079,-5.77513584423133 54.7276791656516,-5.77085999798662 54.7234591533154,-5.76808944692036 54.7188373217469,-5.76693020674316 54.7139913955281)))', 'GBCFG', 'Carrickfergus', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.90470728185248 55.8330545439058,-5.90519554325539 55.8281710712359,-5.90736672435659 55.8234350239938,-5.91113683048627 55.819028326472,-5.91636057643503 55.8151201919871,-5.92283703067404 55.8118606404596,-5.93031736511872 55.8093747587113,-5.93851440841759 55.8077579201824,-5.94711363706171 55.8070721437172,-5.95578518874474 55.8073437277261,-5.96419644747075 55.8085622479908,-5.97202473060036 55.810680956352,-5.97896960469337 55.8136185652452,-5.98476436968789 55.8172623513138,-5.9891862794 55.8214724618897,-5.99206510996194 55.8260872626956,-5.9932897457003 55.8309295253212,-5.99281252270302 55.8358132203521,-5.99065115204049 55.8405506577921,-5.98688813483366 55.844959701704,-5.98166767706717 55.8488707815552,-5.97519020967167 55.8521334290201,-5.967704714973 55.8546220859484,-5.95949914992307 55.8562409564036,-5.95088933539069 55.8569277121982,-5.94220674528995 55.8566559058279,-5.93378567611842 55.8554359953634,-5.92595030406838 55.8533149406097,-5.91900214180338 55.8503743863489,-5.91320838997744 55.8467275043433,-5.90879164052615 55.8425146185894,-5.90592133171285 55.8378977858597,-5.90470728185248 55.8330545439058)))', 'GBCGJ', 'Craighouse, Isle of Jura', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-5.14027514608931 49.9877211373514,-5.14080295067293 49.9828363710792,-5.14279829243942 49.9781118353549,-5.14618410306176 49.9737290241869,-5.15082999243038 49.9698562563333,-5.15655730123778 49.9666422236952,-5.16314598494416 49.9642102979172,-5.17034306185511 49.9626538108388,-5.17787230191901 49.9620324868955,-5.18544478895578 49.962370161681,-5.19276995847817 49.9636538722652,-5.19956669678729 49.9658343532718,-5.20557408498179 49.9688279199665,-5.21056138394553 49.9725196675237,-5.21433688297725 49.976767866051,-5.21675527485658 49.9814093856131,-5.21772327279156 49.986265946048,-5.21720324843749 49.9911509543204,-5.21521474314446 49.9958766687726,-5.21183378444911 50.0002614159461,-5.20719002379874 50.0041365823435,-5.2014617964216 50.0073531109076,-5.1948692867 50.0097872500114,-5.18766605880379 50.0113453308565,-5.18012927921668 50.0119673863704,-5.17254901194402 50.0116294695844,-5.16521700594484 50.0103445802709,-5.15841541571036 50.0081621632575,-5.15240589880323 50.0051661980181,-5.14741951841557 50.0014719545354,-5.1436478454024 49.9972215426834,-5.14123560450671 49.9925784293562,-5.14027514608931 49.9877211373514)))', 'GBCGZ', 'Cadgwith', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.45542125104314 56.0331725940584,-3.45622039115002 56.028300119592,-3.45870135565385 56.0236085272045,-3.46276826615916 56.0192780163661,-3.46826447063453 56.0154748605099,-3.47497861847553 56.0123450394218,-3.48265280285713 56.0100086556842,-3.49099245445667 56.0085553457431,-3.49967760904041 56.0080408579255,-3.50837512389994 56.0084849254762,-3.51675138573745 56.0098705140224,-3.52448503596764 56.0121444715076,-3.5312792388354 56.0152195563277,-3.53687303324865 56.0189777679144,-3.54105134050541 56.0232748551145,-3.54365324653629 56.0279458330968,-3.54457823788028 56.0328113008138,-3.54379014389283 56.0376843197153,-3.54131862164609 56.0423775917507,-3.53725811203863 56.0467106617394,-3.53176429262223 56.0505168666411,-3.52504815089522 56.0536497624806,-3.51736789723113 56.0559887785724,-3.50901902494473 56.0574438777179,-3.50032290203672 56.0579590391994,-3.49161434104594 56.0575144272128,-3.48322863694611 56.0561271590165,-3.47548858582252 56.0538506423787,-3.4686919979073 56.0507725085122,-3.46310019739189 56.0470112221748,-3.45892795942284 56.0427115026228,-3.45633527407437 56.0380387354384,-3.45542125104314 56.0331725940584)))', 'GBCHD', 'Charleston', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.22029196420382 53.3250842928978,-3.22106819507683 53.3202111925785,-3.22341689247569 53.3155223643619,-3.22724734572508 53.3111979093628,-3.2324120491112 53.3074038813515,-3.23871241646268 53.3042859255948,-3.24590642920698 53.3019637056831,-3.25371792153712 53.3005263288878,-3.26184714825193 53.3000289422182,-3.26998223600714 53.3004906269009,-3.27781108819181 53.3018936701165,-3.28503329808636 53.3041842412228,-3.29137162468495 53.307274447152,-3.29658260058072 53.3110456900032,-3.30046587130483 53.3153532008421,-3.30287190982815 53.3200315790892,-3.3037078075363 53.3249011282684,-3.30294091238856 53.3297747477585,-3.30060016418775 53.3344651178264,-3.29677506341666 53.3387919026247,-3.29161230092204 53.3425886936928,-3.28531016739027 53.3457094251138,-3.27811095027697 53.3480340107272,-3.27029160770631 53.3494729831048,-3.26215308000816 53.3499709523237,-3.25400865651904 53.3495087484696,-3.24617185513261 53.3481041634009,-3.23894429276317 53.3458112624935,-3.2326040252816 53.3427182935068,-3.22739481557476 53.3389442749921,-3.22351674922336 53.3346343984532,-3.22111856093715 53.3299544246256,-3.22029196420382 53.3250842928978)))', 'GBCHE', 'Mostyn', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.88784560861837 57.3486006443408,-1.88887947577925 57.3437409640938,-1.8916465536753 57.3390836556256,-1.89603994309866 57.3348075858857,-1.90189044583754 57.3310769220014,-1.9089731218165 57.3280348467635,-1.91701594970776 57.3257980842517,-1.92571025578924 57.324452441716,-1.93472251408393 57.3240495348673,-1.94370707373547 57.3246048189693,-1.95231933812969 57.3260969991823,-1.96022890504694 57.3284688421719,-1.96713217839539 57.331629358811,-1.97276397981616 57.3354572766281,-1.97690772236591 57.3398056722207,-1.97940375793923 57.3445075898607,-1.98015557405669 57.3493824345613,-1.97913359259265 57.354242897419,-1.97637641085544 57.3589021493667,-1.97198942145345 57.3631810275782,-1.96614084825181 57.3669149373625,-1.95905533756836 57.3699602017702,-1.95100534228607 57.3721996111989,-1.94230062729631 57.3735469554291,-1.93327630323946 57.3739503596818,-1.92427985787783 57.3733942929679,-1.91565769732009 57.3719001692728,-1.90774173038808 57.3695255178091,-1.90083652751644 57.3663617552691,-1.89520756081341 57.3625306482835,-1.89107098565937 57.3581796057766,-1.88858535898772 57.3534759864445,-1.88784560861837 57.3486006443408)))', 'GBCIT', 'Collieston', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.60220275360811 58.6002327074278,-3.60303739934157 58.5953612086833,-3.60567608912766 58.5906682735773,-3.61001678297182 58.5863341441246,-3.61589223788223 58.5825252182936,-3.62307650047362 58.5793876798229,-3.63129361476197 58.5770419095313,-3.64022820687199 58.5755778884768,-3.64953754300816 58.5750517651738,-3.65886460668986 58.5754837149846,-3.66785170692203 58.5768571713559,-3.67615411126593 58.57911945745,-3.68345319697086 58.5821837946575,-3.6894686294367 58.5859326131935,-3.69396911003462 58.5902220412274,-3.69678128414727 58.5948874044231,-3.69779646423885 58.5997495290086,-3.69697490038469 58.6046216099991,-3.69434741995939 58.6093163832839,-3.69001435643553 58.6136533270027,-3.68414179115654 58.6174656147412,-3.6769552375841 58.6206065509412,-3.66873100047982 58.6229552375102,-3.65978553810153 58.6244212494127,-3.65046323914587 58.6249481350452,-3.64112309356861 58.6245156029873,-3.63212478396833 58.6231403084346,-3.62381474931007 58.6208752080714,-3.61651277398941 58.6178075089552,-3.61049963252087 58.6140552926909,-3.60600627474621 58.6097629483824,-3.60320497089589 58.6050955943415,-3.60220275360811 58.6002327074278)))', 'GBCKK', 'Crosskirk', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.28573244342451 58.2338548025583,-5.28632768372233 58.2289746752395,-5.2887159357041 58.224249543746,-5.2928047765262 58.2198609003677,-5.29843661709459 58.2159772482725,-5.30539482744536 58.2127476488649,-5.31341209211252 58.2102960216038,-5.32218066985539 58.2087164110579,-5.3313641655141 58.2080693986524,-5.34061036990095 58.2083797930946,-5.34956468757803 58.2096356854292,-5.35788365276217 58.2117889037627,-5.36524803074928 58.2147568506234,-5.37137501619125 58.2184256544414,-5.37602907004739 58.2226545174736,-5.37903098352341 58.2272810973396,-5.38026481888394 58.2321277197996,-5.37968245229814 58.237008187969,-5.37730553091416 58.241734929158,-5.37322475259669 58.2461262060156,-5.36759647899569 58.2500131144511,-5.36063679703355 58.2532460973122,-5.35261324621227 58.2557007200396,-5.34383452478065 58.2572824820316,-5.33463857218406 58.2579304743241,-5.32537949406913 58.2576197390305,-5.31641384578565 58.256362236998,-5.30808681810077 58.2542063851823,-5.30071887316038 58.2512351819797,-5.29459335934584 58.247562994709,-5.28994559165242 58.243331136213,-5.28695382186126 58.2387024049037,-5.28573244342451 58.2338548025583)))', 'GBCLM', 'Culkein, Drumbeg', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.62346542801729 55.1321584511132,-6.62459096300226 55.1273087713505,-6.62734554320831 55.1226780398379,-6.6316228402681 55.1184441035503,-6.63725818866604 55.1147695185198,-6.64403495787819 55.1117953260023,-6.65169288741459 55.1096356583402,-6.65993806298482 55.1083733778663,-6.66845415431793 55.1080569126638,-6.6769144914568 55.1086984077399,-6.68499452758216 55.1102732608127,-6.69238422319418 55.1127210601711,-6.69879988905794 55.1159478897153,-6.70399504366936 55.1198299150995,-6.70776987477884 55.1242181166454,-6.70997894303152 55.1289439910813,-6.71053682794669 55.1338260067906,-6.70942149068729 55.1386765675844,-6.70667521224738 55.143309219283,-6.70240305712626 55.1475458225811,-6.69676890802468 55.1512234154189,-6.6899892128822 55.1542004986291,-6.68232467763302 55.1563624997873,-6.67407022222688 55.1576262013068,-6.6655435897069 55.1579429587625,-6.65707305483275 55.1573005826541,-6.64898471693856 55.155723809393,-6.64158987939378 55.1532733430223,-6.6351730142447 55.1500435056703,-6.62998078557334 55.1461585895946,-6.62621256017934 55.1417680545546,-6.62401277175665 55.1370407590751,-6.62346542801729 55.1321584511132)))', 'GBCLR', 'Coleraine', 'Y'),('SRID=4326;MULTIPOLYGON(((1.19026623957677 51.8006267894294,1.18968763733325 51.7957443943039,1.18758426883456 51.7910257773246,1.18403739304767 51.7866521982747,1.17918361484439 51.7827916121594,1.17320958978484 51.779592232943,1.16634483178316 51.7771768600067,1.15885290293255 51.7756381819795,1.15102132251879 51.7750352349337,1.14315057729614 51.7753911480031,1.13554264633176 51.7766922608856,1.12848947043653 51.7788886461875,1.12226179803814 51.7818960169285,1.11709882628866 51.7855989475942,1.11319902852868 51.7898552876828,1.11071251758537 51.7945016015006,1.10973523977375 51.7993594286449,1.11030522833548 51.8042421276719,1.11240106928783 51.8089620421631,1.11594264966368 51.8133377148014,1.12079417077003 51.8172008718521,1.12676932067077 51.8204029079493,1.13363841420655 51.8228206192258,1.14113722923924 51.8243609610613,1.1489771981238 51.8249646440831,1.15685655703584 51.8246084271119,1.16447201555044 51.8233060167159,1.17153048685457 51.821107537824,1.17776041634303 51.8180975961468,1.18292226324373 51.8143920086007,1.18681772546573 51.8101333301734,1.18929735022909 51.805485352549,1.19026623957677 51.8006267894294)))', 'GBCLS', 'Clacton-on-Sea', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.45425355425572 57.0490781896981,-6.45546532588269 57.044232200104,-6.4583877290187 57.0396081183297,-6.46290792730412 57.0353835269081,-6.46885188629751 57.0317206109444,-6.47599111084943 57.0287599503346,-6.4840514368085 57.0266151453219,-6.49272353763342 57.025368477681,-6.50167474664968 57.0250677702135,-6.5105617505026 57.0257245619836,-6.51904367975406 57.0273136674485,-6.52679510911248 57.0297741360381,-6.53351848272376 57.0330115765614,-6.53895549925224 57.0369017598186,-6.5428970268163 57.0412953647271,-6.54519116854619 57.0460236898023,-6.54574916451742 57.050905114586,-6.54454889350111 57.055752066016,-6.54163582620635 57.0603782240485,-6.53712137769629 57.0646056900599,-6.53117870705954 57.0682718413153,-6.52403611330192 57.0712356053747,-6.51596827350318 57.0733829095227,-6.50728565811794 57.0746310915135,-6.49832253456882 57.0749320979988,-6.48942403009314 57.0742743443914,-6.48093276499721 57.0726831626656,-6.47317558587099 57.070219819484,-6.46645092391697 57.0669791436686,-6.4610172766063 57.0630858569631,-6.45708326288511 57.0586897529218,-6.45479963570799 57.053959913499,-6.45425355425572 57.0490781896981)))', 'GBCNA', 'Canna, Inner Hebrides', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.50540501358132 56.0839134918899,-5.50594594454542 56.079031327311,-5.50817935742674 56.0743019587708,-5.51201886144621 56.0699070504625,-5.51731650511452 56.0660153594596,-5.52386852281199 56.0627762713144,-5.53142319258495 56.0603140851058,-5.53969049912387 56.0587232636328,-5.54835323223441 56.0580648272002,-5.55707910139814 56.0583640259584,-5.56553341234006 56.059609377628,-5.57339183255933 56.0617531063685,-5.58035276987379 56.0647129662856,-5.58614890121556 56.068375381388,-5.5905574179348 56.0725997844601,-5.59340859814751 56.0772239920169,-5.59459237525092 56.0820704128788,-5.59406264323099 56.0869528554329,-5.59183912188541 56.0916836746536,-5.58800669609809 56.0960809854954,-5.58271223976103 56.0999756651213,-5.57615903324929 56.1032178729886,-5.56859897950005 56.1056828350687,-5.56032291348297 56.1072756659611,-5.55164937894412 56.1079350394444,-5.54291231082384 56.1076355627106,-5.5344481083394 56.1063887603584,-5.52658260989081 56.1042426290819,-5.51961848525587 56.1012797805405,-5.51382354274076 56.0976142457166,-5.50942041000456 56.0933870667751,-5.50657798926719 56.0887608498012,-5.50540501358132 56.0839134918899)))', 'GBCNC', 'Crinan', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.21673746541098 60.3163351552566,-1.21796825587483 60.3114842868781,-1.22108234954404 60.3068456823207,-1.22595939746349 60.3025974716592,-1.23241155048243 60.2989027287732,-1.24019074282644 60.2959032322893,-1.24899824204947 60.2937140487744,-1.25849609589187 60.2924191415345,-1.26832004125958 60.2920681691176,-1.27809339114308 60.2926745927424,-1.28744138270044 60.2942151630032,-1.29600545445115 60.2966308049686,-1.30345692279262 60.2998288689262,-1.30950954783977 60.3036866632188,-1.31393051562719 60.3080561375922,-1.3165494174153 60.3127695418675,-1.31726487621066 60.3176458471593,-1.31604855412156 60.3224976867372,-1.31294636966228 60.3271385522465,-1.30807685871996 60.3313899694034,-1.30162672300664 60.3350883761695,-1.29384372117569 60.3380914361255,-1.28502716562892 60.3402835401981,-1.27551638736791 60.3415802804519,-1.26567761711456 60.3419317192786,-1.25588979883737 60.3413243244526,-1.24652989806415 60.3397814932365,-1.23795828934686 60.3373626447724,-1.23050480372064 60.3341609169338,-1.22445598817937 60.3302995591708,-1.2200440767216 60.3259271642433,-1.21743809934155 60.3212119269572,-1.21673746541098 60.3163351552566)))', 'GBCNM', 'Central Mainland, Shetland', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.20848715277999 53.1334285923456,-4.20914806641252 53.1285497673533,-4.21137842827012 53.1238422079312,-4.21509207025544 53.1194867414655,-4.22014596364646 53.1156506183726,-4.2263457634601 53.1124811042108,-4.23345329613588 53.1100998438474,-4.24119569994023 53.1085982106906,-4.24927586876303 53.1080338160801,-4.25738380436801 53.1084283098241,-4.26520845075068 53.1097665542144,-4.27244956773758 53.1119972023522,-4.27882919966427 53.115034659075,-4.28410230891684 53.1187623509874,-4.28806617301413 53.1230371828587,-4.29056818711318 53.1276950126838,-4.29151177032026 53.1325569386507,-4.29086014253329 53.1374361595942,-4.28863781678538 53.1421451475333,-4.28492973774993 53.1465028576034,-4.27987808723968 53.1503416978201,-4.27367686877768 53.1535139889676,-4.26656447189888 53.1558976634079,-4.25881449886677 53.1574009802108,-4.25072520813839 53.1579660717166,-4.2426079866792 53.1575711820208,-4.23477530418267 53.1562315091118,-4.22752862424868 53.1539986173678,-4.22114674944932 53.1509584435205,-4.21587505885378 53.1472279746229,-4.21191605896366 53.1429507286764,-4.20942161408959 53.1382912152069,-4.20848715277999 53.1334285923456)))', 'GBCNV', 'Caernarfon (Caernarvon)', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.1629769573072 50.3313968757299,-4.16360775697903 50.3265162316577,-4.16571354919477 50.3218081181152,-4.16921302167748 50.3174533916093,-4.17397142383226 50.3136192863793,-4.17980578575861 50.3104530052637,-4.18649196585785 50.3080760840217,-4.19377325378445 50.3065797424597,-4.20137019978781 50.3060213977286,-4.2089912981708 50.3064224709337,-4.21634412274543 50.3077675693635,-4.22314649649959 50.3100050749424,-4.22913727654941 50.3130491167592,-4.23408634885728 50.316782853549,-4.23780345483609 50.3210629426341,-4.24014551317947 50.3257250267961,-4.24102215402017 50.3305900315211,-4.24039924737044 50.3354710334961,-4.23830028182939 50.3401804384287,-4.2348055303753 50.3445371932099,-4.23004902486879 50.3483737548141,-4.22421344646156 50.3515425464423,-4.21752312194906 50.3539216501325,-4.21023539262553 50.3554195138199,-4.20263068888628 50.3559784886236,-4.19500169747474 50.3555770575152,-4.18764204622235 50.354230667694,-4.18083495144167 50.3519911338383,-4.17484227474961 50.3489446356466,-4.16989441892908 50.3452083883446,-4.16618145736659 50.3409261168128,-4.16384584041805 50.3362625105268,-4.1629769573072 50.3313968757299)))', 'GBCNX', 'Cawsand', 'Y'),('SRID=4326;MULTIPOLYGON(((0.940334380020763 51.8837131773221,0.939782053284022 51.8788299103139,0.937701323106311 51.8741071372474,0.934172582768104 51.8697262788547,0.929331745185076 51.865855570546,0.923364973525746 51.8626436152696,0.916501507053894 51.8602136950234,0.909004860887386 51.858659056241,0.901162736414401 51.8580393467409,0.893276024447694 51.8583783380803,0.885647314715193 51.8596630186357,0.878569342268439 51.8618440912642,0.872313803482104 51.8648378567759,0.867120961487047 51.8685294124992,0.863190433415647 51.8727770457355,0.860673510369215 51.8774176566287,0.859667306547218 51.8822730055537,0.860210967934067 51.8871565480543,0.862284095216037 51.8918805969161,0.865807452583731 51.8962635371789,0.870645946630382 51.9001368164873,0.876613770971123 51.9033514404816,0.883481526082644 51.9057837208757,0.890985043941434 51.9073400519245,0.898835577006022 51.907960528177,0.906730954330317 51.9076212613449,0.914367266962582 51.9063353049927,0.921450622377835 51.9041521504922,0.927708504693683 51.90115581398,0.932900293999632 51.8974615895394,0.936826533427345 51.8932115961566,0.939336584783505 51.8885692929987,0.940334380020763 51.8837131773221)))', 'GBCOL', 'Colchester', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.02539661906646 53.217016126316,-3.02619304503962 53.2121442106441,-3.02855713408332 53.2074591388712,-3.03239758900062 53.2031408669656,-3.03756652477279 53.1993552108463,-3.04386519694877 53.1962474944007,-3.05105165512143 53.1939369886085,-3.05885002501729 53.1925123518534,-3.06696106494982 53.1920282430355,-3.07507359783884 53.1925032345834,-3.08287638973134 53.1939191035217,-3.09007003043211 53.1962215271137,-3.09637837178258 53.1993221570493,-3.10155909431556 53.2031019944955,-3.10541300314505 53.2074159393547,-3.10779169836875 53.2120983425134,-3.10860332291797 53.2169693513351,-3.10781616019328 53.2218418076395,-3.10545993298662 53.2265284351708,-3.10162474160226 53.230849041111,-3.09645766973303 53.2346374542056,-3.09015717806581 53.2377479308432,-3.08296549400694 53.2400607798295,-3.07515928742293 53.2414869860506,-3.0670389930658 53.2419716516687,-3.05891719691982 53.2414961194876,-3.05110654318673 53.2400786947891,-3.04390763895649 53.2377739371608,-3.03759743371155 53.2346705502491,-3.03241853067831 53.2308879526116,-3.02856984773858 53.22657166456,-3.02619898919955 53.2218876919372,-3.02539661906646 53.217016126316)))', 'GBCOQ', 'Connah''s Quay', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.07150369928542 56.8337634266227,-5.07210909985272 56.8288832678105,-5.07443909220616 56.824161600286,-5.07840355150961 56.8197797868657,-5.08384971274272 56.8159060752926,-5.09056810400596 56.8126891543351,-5.09830062341498 56.8102524665003,-5.1067504451631 56.8086894918573,-5.11559337604215 56.8080601800193,-5.12449023365911 56.8083886637121,-5.13309978284419 56.809662339164,-5.14109174797818 56.8118323474795,-5.14815941649538 56.814815438946,-5.15403136267405 56.818497150642,-5.15848185074924 56.8227361785065,-5.16133952180076 56.8273697798933,-5.16249402883122 56.8322200031966,-5.16190035755031 56.8371005088749,-5.15958065468208 56.841823722427,-5.15562347858334 56.8462080456682,-5.15018048547181 56.8500848487587,-5.1434606649266 56.8533049722749,-5.1357223364244 56.8557444861489,-5.12726321015212 56.8573094800723,-5.11840889584813 56.8579396970143,-5.10950030893133 56.8576108664549,-5.10088047025397 56.8563356449731,-5.09288122191874 56.8541631268341,-5.08581038529194 56.8511769438489,-5.0799398684087 56.8474920295949,-5.07549518943375 56.8432501756934,-5.07264682290293 56.8386145550288,-5.07150369928542 56.8337634266227)))', 'GBCOR', 'Corpach', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.80548009122717 56.0006599967957,-4.8061084922564 55.9957803973481,-4.80842309262523 55.9910632318863,-4.81233439233168 55.9866896913671,-4.81769169540665 55.9828277089365,-4.8242889597417 55.979625527611,-4.83187273990974 55.9772060293609,-4.84015191404927 55.9756620395786,-4.84880882301915 55.9750527833225,-4.8575114011343 55.9754016259675,-4.86592584394022 55.9766951825726,-4.87372934034311 55.9788838290889,-4.88062239431003 55.9818835962425,-4.88634027531613 55.9855793752957,-4.89066316647398 55.9898293156897,-4.89342462424387 55.9944702494963,-4.89451802282291 55.9993239382875,-4.89390072832401 56.0042039059494,-4.89159583073816 56.0089225974267,-4.88769135290793 56.0132985894411,-4.88233695223287 56.0171635756291,-4.87573822895497 56.0203688556797,-4.86814885060953 56.0227910758695,-4.85986079132844 56.0243369964151,-4.85119306293585 56.0249470983164,-4.84247937827824 56.0245978874564,-4.83405523268314 56.0233028048337,-4.8262449144074 56.0211117068199,-4.81934895805152 56.0181089359077,-4.81363253600039 56.01441005813,-4.80931524302614 56.0101573957984,-4.80656267039445 56.0055145312308,-4.80548009122717 56.0006599967957)))', 'GBCOU', 'Coulport', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.06124906918941 50.0176950669621,-5.06178513333681 50.0128105802677,-5.06378941566969 50.008087315057,-5.06718450426062 50.0037067159892,-5.07183965300035 49.999837016377,-5.07757584777939 49.9966267899293,-5.08417270393162 49.9941992619368,-5.09137692717649 49.99264759536,-5.0989120142048 49.9920313297015,-5.10648882520032 49.9923741066267,-5.11381663009452 49.9936627676643,-5.12061421393631 49.9958478577185,-5.12662062478855 49.9988455153681,-5.13160516006731 50.0025406788563,-5.13537621392333 50.0067914871041,-5.13778864848427 50.0114347097615,-5.13874940451892 50.0162920009023,-5.13822113092044 50.0211767389517,-5.13622368546219 50.0259011921044,-5.13283343922014 50.0302837348481,-5.12818040109946 50.0341558379634,-5.12244326388579 50.03736856183,-5.11584255572102 50.0397983009477,-5.10863215731895 50.0413515557319,-5.10108951210085 50.0419685448896,-5.09350491055006 50.0416255166091,-5.08617026877793 50.0403356676281,-5.07936784258891 50.0381486338965,-5.07335932112329 50.0351485727431,-5.0683757282855 50.0314509118364,-5.06460852644535 50.0271978924648,-5.06220226703994 50.0225530816013,-5.06124906918941 50.0176950669621)))', 'GBCOV', 'Coverack', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.26062517930549 50.7664192934428,-1.26156232142963 50.7615590408334,-1.26397607717457 50.7569080872724,-1.26777331721287 50.7526450755609,-1.27280788200931 50.7489337030257,-1.27888623407423 50.7459164501839,-1.2857749048043 50.7437091274141,-1.29320944836142 50.742396445845,-1.30090456128738 50.7420287794226,-1.30856498548329 50.7426202399452,-1.31589678481902 50.7441481373957,-1.32261857262252 50.7465538459131,-1.32847226893305 50.7497450430304,-1.33323298266045 50.7535992382016,-1.33671764431993 50.7579684579536,-1.33879205909733 50.7626849109639,-1.33937610653731 50.7675674186187,-1.33844688059219 50.7724283666077,-1.33603964010312 50.7770809120924,-1.33224652250931 50.7813461699161,-1.32721305974044 50.785060100802,-1.32113262151099 50.7880798347475,-1.31423899402258 50.7902891836483,-1.3067973777344 50.7916031279152,-1.29909415286461 50.7919711013676,-1.29142581248346 50.7913789454647,-1.2840874978899 50.789849456089,-1.27736158764532 50.787441501458,-1.27150678931402 50.7842477459895,-1.26674816175736 50.7803910697154,-1.26326845685819 50.776019823834,-1.26120111480843 50.7713021081273,-1.26062517930549 50.7664192934428)))', 'GBCOW', 'Cowes', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.41896056545994 55.5928771252355,-5.41950728033621 55.5879949500403,-5.42172491577659 55.5832669632171,-5.42552770536997 55.5788747769106,-5.43076912224008 55.5749870457612,-5.43724756880251 55.5717530061082,-5.44471415014757 55.5692967663211,-5.45288222842206 55.5677125638207,-5.46143839268504 55.5670611670495,-5.47005442959725 55.5673675571106,-5.47839984606727 55.5686199756074,-5.48615447630799 55.5707703740861,-5.49302070299511 55.5737362481772,-5.49873483539851 55.5774037878124,-5.50307721621717 55.5816322255418,-5.50588067280329 55.5862592196851,-5.50703698655435 55.5911070694639,-5.5065011250795 55.5959895268581,-5.50429306339486 55.6007189460234,-5.5004971103954 55.6051134967544,-5.49525875214733 55.6090041644488,-5.4887791205854 55.6122412657055,-5.48130729102216 55.6147002260532,-5.47313070030312 55.6162863938901,-5.46456405531231 55.6169387015687,-5.455937164987 55.616632029308,-5.44758217475492 55.6153781784671,-5.43982070792301 55.6132254155617,-5.43295142262404 55.6102566049244,-5.42723847523183 55.606586003686,-5.42290134263767 55.6023548453979,-5.42010639849337 55.5977258859203,-5.41896056545994 55.5928771252355)))', 'GBCRA', 'Carradale', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.57216916834951 56.2498531580976,-2.57308476016575 56.2449869754399,-2.57568733214351 56.2403137045189,-2.57987633641792 56.2360128343897,-2.58549044079734 56.2322494945071,-2.59231378187489 56.2291681318207,-2.60008427806197 56.226886986539,-2.6085036804835 56.225493574786,-2.61724897868147 56.2250413477267,-2.62598473130238 56.2255476521691,-2.63437586040124 56.2269930687953,-2.64210043229845 56.2293221527173,-2.64886194836435 56.2324455487634,-2.65440068567527 56.2362434025394,-2.65850365988234 56.2405699396293,-2.66101283022721 56.2452590410144,-2.66183122839739 56.2501306044904,-2.66092676733587 56.2549974510368,-2.65833357115789 56.2596725130054,-2.65415076034877 56.2639760286708,-2.64853872420007 56.26774246582,-2.64171301124669 56.2708269059726,-2.63393606417122 56.2731106404038,-2.62550711393703 56.2745057588142,-2.6167506245712 56.2749585502155,-2.60800374118371 56.2744515818834,-2.59960323628042 56.2730043742073,-2.59187247092319 56.2706726447468,-2.58510888663866 56.2675461514332,-2.57957252121543 56.263745220192,-2.5754759979014 56.2594160939551,-2.57297637536393 56.2547252859147,-2.57216916834951 56.2498531580976)))', 'GBCRJ', 'Crail', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.95344028431997 57.6673594109658,-3.95420709610993 57.6624851603295,-3.95673306483366 57.6577847017815,-3.9609205160862 57.6534385725717,-3.96660811483799 57.6496136391517,-3.97357712814216 57.6464567078713,-3.98155985528505 57.6440889112301,-3.99024989779003 57.6426010811756,-3.99931387732922 57.6420502829499,-4.00840415987453 57.6424576389861,-4.01717211035392 57.6438075239278,-4.02528138429851 57.6460481606875,-4.03242076176687 57.6490935953043,-4.03831604422831 57.652826976962,-4.04274056681098 57.6571050206195,-4.04552392578804 57.661763484981,-4.04655858342044 57.6666234596037,-4.04580408785572 57.6714982232769,-4.04328873270272 57.6762004127169,-4.03910857654795 57.6805492271619,-4.03342384380739 57.6843773913581,-4.02645283110071 57.6875376070996,-4.01846354352929 57.6899082418572,-4.00976337833408 57.6913980316054,-4.00068725493183 57.6919496127558,-3.9915846561467 57.691541743682,-3.98280609208977 57.6901901278457,-3.97468952305233 57.6879468058482,-3.96754727958654 57.6848981404539,-3.9616539965422 57.6811614743359,-3.95723603439487 57.6768805925646,-3.95446279810311 57.6722201685121,-3.95344028431997 57.6673594109658)))', 'GBCRN', 'Cromarty', 'Y'),('SRID=4326;MULTIPOLYGON(((1.34131305417213 52.9335839710822,1.34070551976967 52.9287029538502,1.33853413763571 52.9239873162731,1.33488280831279 52.9196181994663,1.32989216900758 52.9157633812187,1.32375414065241 52.9125708474129,1.31670453234501 52.910163128225,1.30901399038309 52.9086326132331,1.30097763800135 52.9080380218527,1.29290379778243 52.9084021615707,1.28510222045102 52.9097110578918,1.27787226067883 52.9119144884601,1.27149144227826 52.9149279012697,1.26620484172326 52.9186356450335,1.26221569059408 52.9228953904313,1.25967755492844 52.9275435758425,1.25868839357869 52.9324016719162,1.25928672996393 52.9372830274341,1.26145009398664 52.9420000356647,1.26509580578812 52.9463713468232,1.27008408337894 52.9502288490511,1.27622336537808 52.9534241478542,1.28327765183371 52.9558342921107,1.29097558424343 52.9573665230471,1.29902091424327 52.9579618600109,1.30710395248797 52.9575973820065,1.31491354793492 52.9562871150303,1.32214912522608 52.9540814901084,1.32853230533324 52.9510653933176,1.33381765223574 52.947354884557,1.33780212521238 52.9430927140923,1.34033287043271 52.9384428127383,1.34131305417213 52.9335839710822)))', 'GBCRR', 'Cromer', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.53907473911231 55.466483598746,-1.54009864286461 55.4616253353733,-1.54277054268728 55.456973865557,-1.54698726539543 55.4527078372861,-1.55258644977051 55.4489910413881,-1.55935283372481 55.4459661400148,-1.56702653999138 55.4437492104052,-1.57531303996777 55.4424253096295,-1.58389441635607 55.4420452268891,-1.59244150028391 55.4426235450041,-1.60062642864951 55.4441380835757,-1.6081351531149 55.4465307446814,-1.61467943375453 55.4497097296164,-1.62000786783085 55.453553043901,-1.62391553719124 55.4579131593044,-1.62625190569458 55.4626226576925,-1.6269266598139 55.4675006436939,-1.6259132595786 55.4723596829693,-1.62325005123635 55.4770130015078,-1.61903888477369 55.4812816698697,-1.61344127551997 55.485001495298,-1.6066722457625 55.4880293544226,-1.5989920755655 55.4902487197133,-1.59069627760549 55.4915741632892,-1.5821041847153 55.4919546610711,-1.57354659726001 55.4913755670524,-1.56535297741051 55.4898591797564,-1.55783869670515 55.4874638785577,-1.55129284095546 55.4842818640917,-1.54596705269277 55.480435592057,-1.5420658472663 55.4760730409746,-1.53973877674104 55.4713619997883,-1.53907473911231 55.466483598746)))', 'GBCRX', 'Craster', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.14243351033365 56.0679756139308,-6.14364972164439 56.063132066461,-6.14653108199896 56.0585142624789,-6.15096636920609 56.054299545604,-6.15678483813604 56.050649726227,-6.1637628277175 56.0477048874032,-6.17163236513214 56.0455780285203,-6.18009143524474 56.0443507484852,-6.1888155250048 56.0440701304311,-6.19747000857479 56.0447469445608,-6.20572291022248 56.0463552363438,-6.21325756913076 56.048833315577,-6.21978473348181 56.0520861095652,-6.2250536304241 56.0559887926404,-6.2288615934878 56.060391556188,-6.23106187898875 56.0651253399527,-6.23156936684806 56.0700083082907,-6.23036391745878 56.0748528256347,-6.2274912425984 56.0794726650063,-6.22306124217102 56.0836901729169,-6.21724385644058 56.0873431140663,-6.2102625815684 56.0902909301379,-6.20238589052622 56.0924201684847,-6.19391688752365 56.0936488679475,-6.18518159780515 56.0939297292975,-6.17651635230309 56.0932519452923,-6.1682547651586 56.0916416181175,-6.1607148194775 56.0891607478464,-6.15418657193936 56.0859048320854,-6.14892096029842 56.0819991717636,-6.14512015086487 56.0775940287545,-6.14292979824695 56.0728588255643,-6.14243351033365 56.0679756139308)))', 'GBCSA', 'Colonsay', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.87541316174251 53.1999637770813,-2.87622627392329 53.1950928640439,-2.87860576592596 53.1904107669441,-2.88245975068461 53.1860973266194,-2.88763982593497 53.1823181728154,-2.89394682207061 53.1792183794335,-2.90113847151271 53.1769169132778,-2.90893870257677 53.1755020860093,-2.91704820319599 53.1750281804819,-2.92515585547217 53.1755133780647,-2.93295061191826 53.1769390645784,-2.94013336908894 53.179250540819,-2.94642839438183 53.1823591110885,-2.951593877131 53.1861454715197,-2.95543120538838 53.1904642710397,-2.95779261433778 53.1951496733089,-2.95858691005824 53.2000217095098,-2.95778304185205 53.2048931809319,-2.95541137558348 53.2095768481567,-2.95156260692209 53.2138926313101,-2.94638434402788 53.2176745439724,-2.94007548059063 53.220777092231,-2.93287856846707 53.2230808898768,-2.9250704805365 53.2244972703002,-2.9169517250032 53.224971714193,-2.90883482874398 53.2244859582249,-2.90103224656033 53.2230587015843,-2.89384427329594 53.2207448825132,-2.88754743565538 53.2176335533847,-2.88238382021628 53.2138444380775,-2.87855175464382 53.2095233070692,-2.87619820255737 53.204836351647,-2.87541316174251 53.1999637770813)))', 'GBCSR', 'Chester', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.33520090527276 58.6001334710585,-3.3360726689385 58.595263693074,-3.33874710427177 58.5905762241715,-3.34312080146832 58.5862510945013,-3.34902525509911 58.5824543549567,-3.3562334043357 58.5793317205129,-3.36446838224546 58.5770029996195,-3.37341413444383 58.5755575192964,-3.3827275023106 58.5750507173085,-3.39205131593724 58.5755020286036,-3.40102800796523 58.5768941446844,-3.40931324209645 58.5791736734334,-3.41658904958315 58.5822531748379,-3.42257598344242 58.5860144968193,-3.42704383322094 58.5903132866685,-3.42982049228247 58.594984509124,-3.43079863383278 58.5998487634861,-3.42993992978066 58.6047191608283,-3.42727663602359 58.6094084996282,-3.42291046616338 58.6137364650612,-3.41700877965902 58.6175365745157,-3.40979821606557 58.6206625999783,-3.40155600987612 58.6229942167473,-3.39259931591376 58.6244416569315,-3.38327295858444 58.6249491843942,-3.37393608532803 58.6244972537404,-3.36494825171679 58.6231032677593,-3.35665549025545 58.6208209032446,-3.34937691565815 58.617738031929,-3.3433923961719 58.61397331893,-3.33893177468009 58.6096716332079,-3.33616605737634 58.6049984508942,-3.33520090527276 58.6001334710585)))', 'GBCTN', 'Castletown', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.57219354290316 56.2679396424935,-5.57272786551669 56.2630573738474,-5.57496304862197 56.2583269026339,-5.57881262606153 56.253929935248,-5.58412825332072 56.2500353072268,-5.59070547010732 56.2467925159335,-5.5982915853838 56.2443260014701,-5.60659537768991 56.2427303916462,-5.61529823961711 56.2420668896245,-5.62406634531673 56.2423609394089,-5.63256338503787 56.2436012562428,-5.64046339157915 56.2457402579402,-5.64746318053953 56.2486958809257,-5.65329393940243 56.2523547130844,-5.65773152952965 56.2565763261777,-5.66060510950641 56.2611986452616,-5.66180374701919 56.266044152889,-5.66128075817426 56.270926693361,-5.65905559596146 56.2756586182425,-5.65521320094975 56.280057999831,-5.64990082419361 56.2839556350494,-5.64332243112327 56.2872015687163,-5.63573089185206 56.2896708823318,-5.62741825359273 56.2912685219403,-5.61870447047064 56.2919329753621,-5.60992503098974 56.2916386537511,-5.60141797036916 56.2903968832473,-5.59351078140287 56.2882554673449,-5.58650774195039 56.2852968371609,-5.58067815938391 56.281634862629,-5.57624599325839 56.2774104503857,-5.57338125923201 56.2727861015197,-5.57219354290316 56.2679396424935)))', 'GBCUA', 'Cuan Ferry, Seil', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.00648736512102 55.1319381291953,-6.0076874769527 55.1270951399183,-6.01051289497642 55.1224793033071,-6.01485457691803 55.1182678904178,-6.02054539463046 55.114622589558,-6.02736659909878 55.1116833161274,-6.0350562348949 55.1095628618184,-6.04331917955398 55.108342584846,-6.05183842626534 55.1080693030807,-6.06028718520893 55.1087535064995,-6.06834135077396 55.1103689558939,-6.075691869351 55.1128536829777,-6.08205654564818 55.1161123547115,-6.08719084450632 55.1200199135663,-6.09089727962293 55.1244263573675,-6.09303302973964 55.1291624789804,-6.09351548558268 55.1340463490367,-6.09232550557369 55.1388902955936,-6.08950824290281 55.14350811431,-6.08517149826612 55.1477222323726,-6.07948164814942 55.1513705496362,-6.07265729425754 55.154312691481,-6.0649608714877 55.1564354295244,-6.05668853555949 55.1576570578729,-6.04815872302053 55.1579305529209,-6.03969983224478 55.1572453922209,-6.03163751132467 55.1556279607192,-6.02428205544901 55.1531405284602,-6.01791641156724 55.1498788403222,-6.01278526214214 55.1459684130544,-6.00908561400148 55.1415596855211,-6.00695925514761 55.1368222125339,-6.00648736512102 55.1319381291953)))', 'GBCUE', 'Cushendun', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.88476380018128 55.7536865838815,-4.88537897510305 55.7488064927996,-4.88766996736028 55.7440878308115,-4.89154819183543 55.7397118477349,-4.89686422819141 55.7358465722547,-4.90341362098707 55.7326403756783,-4.91094476140416 55.7302162958246,-4.91916854402078 55.7286673352686,-4.9277694294606 55.7280529106069,-4.93641749501852 55.7283965856704,-4.9447810215949 55.7296851732898,-4.95253914713299 55.7318692390274,-4.95939411457962 55.7348649879772,-4.96508265620419 55.7385574640785,-4.96938608564571 55.7428049421555,-4.97213871372107 55.7474443477863,-4.97323426284718 55.7522975007495,-4.97263002648704 55.7571779456811,-4.97034860238336 55.7618981099983,-4.96647711899034 55.766276515168,-4.96116397037575 55.7701447637641,-4.95461317234597 55.7733540318493,-4.94707654765088 55.7757808139953,-4.93884403664264 55.7773316962272,-4.93023250751679 55.7779469693902,-4.92157350338546 55.7776029404764,-4.91320040864946 55.7763128505259,-4.90543554203244 55.7741263626929,-4.89857768685503 55.7711276406262,-4.89289055047637 55.7674320930167,-4.88859260531893 55.7631819126493,-4.88584870563198 55.7585405853448,-4.88476380018128 55.7536865838815)))', 'GBCUM', 'Cumbraes', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.38955374411576 55.032432814906,-1.39058368555359 55.0275755171566,-1.39324299379449 55.0229269221597,-1.39742899463763 55.0186655681989,-1.40298051865814 55.0149550682971,-1.40968414087947 55.0119378452563,-1.41728239502709 55.0097296842234,-1.42548364486191 55.0084153082054,-1.43397323676765 55.0080451427665,-1.44242551333865 55.0086333911266,-1.45051623817267 55.0101574916807,-1.45793496802519 55.0125589782825,-1.46439691020829 55.0157457112509,-1.46965382059482 55.0195953957566,-1.4735035304889 55.0239602557827,-1.47579773827132 55.0286726879469,-1.47644776304737 55.0335516817313,-1.47542803096445 55.0384097625421,-1.47277714834714 55.0430601927874,-1.46859650667216 55.0473241547839,-1.46304645947845 55.0510376384595,-1.45634020690673 55.0540577667597,-1.44873561567638 55.056268312238,-1.44052528678919 55.0575841888768,-1.43202525606604 55.0579547426555,-1.42356277013023 55.057365711233,-1.41546361966941 55.0558397754284,-1.40803953065407 55.053435680789,-1.40157611165496 55.0502459640462,-1.39632183162872 55.0463933742821,-1.39247845882059 55.0420261298127,-1.39019333008518 55.0373121970296,-1.38955374411576 55.032432814906)))', 'GBCUO', 'Cullercoats', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.00654165683457 55.0819387761741,-6.00774004368893 55.0770957338084,-6.01056171890439 55.0724798208344,-6.01489778547974 55.0682683114425,-6.02058133193575 55.0646228979284,-6.02739388886193 55.0616835003383,-6.03507383260048 55.0595629154425,-6.04332641195689 55.0583425067237,-6.0518350168042 55.0580690972693,-6.06027326442535 55.0587531819994,-6.06831745136909 55.0603685261783,-6.07565890605808 55.0628531653647,-6.08201578064274 55.0661117696179,-6.08714383959795 55.0700192836853,-6.09084583696062 55.0744257068063,-6.09297912319901 55.0791618323909,-6.09346118537428 55.0840457307627,-6.09227289889869 55.0888897288542,-6.08945935367242 55.0935076204316,-6.08512820898 55.0977218300805,-6.07944562698724 55.1013702544158,-6.07262993027144 55.1043125150213,-6.06494322049288 55.1064353792583,-6.05668127891382 55.1076571366346,-6.04816214097612 55.1079307587414,-6.03971379296678 55.1072457182842,-6.03166147603163 55.1056283954997,-6.02431509946597 55.1031410560546,-6.01795726042915 55.0998794409797,-6.01283234127297 55.0959690638981,-6.00913710995255 55.091560361438,-6.00701318593054 55.0868228871979,-6.00654165683457 55.0819387761741)))', 'GBCUS', 'Cushendall', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.12231534041525 56.1507757326418,-5.12290558923748 56.1458949529266,-5.12518984735447 56.1411722084361,-5.1290797719174 56.1367889060726,-5.13442547896612 56.1329133547658,-5.14102136348444 56.1296943186166,-5.14861402671888 56.1272553260109,-5.15691200223138 56.1256899494456,-5.16559690878015 56.1250582333729,-5.17433560873913 56.125384403741,-5.18279291646062 56.126655944676,-5.19064438242974 56.1288240766291,-5.1975886765853 56.1318056180412,-5.20335910781857 56.1354861609317,-5.20773384614775 56.139724441559,-5.21054445881832 56.1443577421236,-5.2116824306397 56.1492081200288,-5.21110341082739 56.1540892289472,-5.20882901154462 56.158813472189,-5.2049460747235 56.1631992146812,-5.19960342050314 56.1670777760072,-5.19300618913189 56.1702999338181,-5.18540798440671 56.1727416844831,-5.17710111640596 56.1743090356156,-5.16840532017284 56.1749416421527,-5.15965539119153 56.1746151425808,-5.15118822462928 56.1733421028923,-5.1433297709215 56.1711715308081,-5.1363824239486 56.1681869793757,-5.13061333958067 56.164503314824,-5.12624414274878 56.1602622761394,-5.1234424225633 56.1556270010101,-5.12231534041525 56.1507757326418)))', 'GBFUR', 'Furnace', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.949148782916253 60.699231259812,-0.950435438611726 60.6943834315752,-0.953625827887755 60.6897517451943,-0.95859665604874 60.6855140610861,-0.965156465295946 60.6818330446148,-0.973053057683065 60.6788499433401,-0.981983203095425 60.6766791911597,-0.991604256826399 60.6754040418175,-1.00154724572914 60.6750733948629,-1.01143093243148 60.6756999322046,-1.020876334585 60.6772596344918,-1.02952116107581 60.6796926953446,-1.03703362977148 60.6829057996336,-1.04312515169541 60.6867756812833,-1.04756140423444 60.6911538281521,-1.05017137051698 60.6958721580543,-1.05085399244903 60.7007494525428,-1.04958216953583 60.7055983050944,-1.04640393236627 60.7102323191285,-1.04144072558919 60.7144732798653,-1.03488284671421 60.7181580231042,-1.02698219980119 60.721144733919,-1.01804263222533 60.7233184288919,-1.00840822313097 60.7245954062649,-0.99844997890046 60.7249264881865,-0.98855145939611 60.7242989265283,-0.979093905130269 60.7227368965842,-0.970441457267038 60.7203005590995,-0.962927058221206 60.7170837280421,-0.956839590842929 60.7132102368541,-0.952412760473242 60.7088291471964,-0.949816149542607 60.7041089892667,-0.949148782916253 60.699231259812)))', 'GBCUV', 'Cullivoe, Yell', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.30553789047847 55.932757412155,-2.30647918669829 55.9278930373842,-2.30909230447241 55.9232251791088,-2.31327630472757 55.9189331179497,-2.31887005963936 55.9151816455492,-2.32565849605964 55.9121147545393,-2.33338087693392 55.9098501314987,-2.34174080005038 55.9084746605047,-2.35041753314208 55.9080411061075,-2.35907825817449 55.9085660998881,-2.36739076659711 55.9100295058176,-2.37503613203583 55.9123751881267,-2.38172088763974 55.9155131530751,-2.38718825206315 55.9193229846585,-2.39122798055289 55.9236584456546,-2.39368446517833 55.928353071208,-2.3944627698469 55.933226543978,-2.39353235987631 55.9380916092086,-2.39092837049271 55.9427612661881,-2.38675035105558 55.9470559604598,-2.38115851886286 55.9508104995144,-2.3743676543436 55.9538804238496,-2.3666388642059 55.9561475850903,-2.35826952641289 55.9575247127407,-2.34958180653183 55.9579587900394,-2.34091019523887 55.957433105798,-2.33258855842146 55.955967901162,-2.32493721216997 55.9536195857381,-2.31825053385873 55.9504785541348,-2.31278559754562 55.9466656892271,-2.30875227832358 55.9423276900332,-2.30630520836942 55.9376314078255,-2.30553789047847 55.932757412155)))', 'GBCVI', 'Cove, Leith', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.36042150463398 51.0004676249077,-4.36103943656306 50.9955865571714,-4.36315419376263 50.9908753239149,-4.36668410270159 50.9865149008107,-4.37149323009333 50.9826727389548,-4.37739664933523 50.9794963477129,-4.38416756442388 50.9771076477328,-4.3915460149951 50.9755983078321,-4.39924882960193 50.9750262415932,-4.40698045034037 50.9754133953641,-4.41444422155989 50.9767449106165,-4.42135371935653 50.9789696919816,-4.42744369719108 50.9820023595831,-4.43248023632253 50.9857265123386,-4.43626971749469 50.9899991795164,-4.43866627181296 50.9946562927624,-4.43957742297186 50.999518971689,-4.43896769849293 51.0044003844398,-4.43686006249735 51.0091129216778,-4.43333510437819 51.0134754092111,-4.42852800370418 51.0173200816536,-4.42262337852712 51.0204990474257,-4.41584820844161 51.0228899939307,-4.40846310159583 51.0244009103375,-4.40075224279465 51.0249736430546,-4.39301241459913 51.0245861442687,-4.38554152217225 51.0232533250336,-4.37862707355796 51.0210264792378,-4.37253506901211 51.0179913010489,-4.36749973582275 51.0142645737636,-4.36371450965081 51.0099896600624,-4.36132461160495 51.0053309703119,-4.36042150463398 51.0004676249077)))', 'GBCVL', 'Clovelly', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.79133659262799 53.2832837331848,-3.79204707689586 53.2784071957172,-3.79433086681637 53.2737074014643,-3.79809974123379 53.2693648764575,-3.80320855258359 53.2655463713678,-3.8094608521145 53.2623984731885,-3.81661645739859 53.2600419957083,-3.82440066861783 53.25856736074,-3.83251478158242 53.2580311439582,-3.84064750009638 53.2584539149543,-3.84848681921009 53.2598194523613,-3.8557319347633 53.2620753633661,-3.86210473375413 53.265135084383,-3.86736043448299 53.2688811879336,-3.87129697481138 53.2731698716348,-3.87376279060473 53.2778364603737,-3.87466268346774 53.2827017138816,-3.87396154576499 53.2875787004762,-3.87168578968941 53.2922799750158,-3.86792241331753 53.2966247861089,-3.86281572718562 53.3004460350492,-3.85656185649798 53.3035967171171,-3.84940122287503 53.3059555947021,-3.84160929165293 53.3074318805966,-3.8334859423226 53.3079687477872,-3.8253438772348 53.3075455276635,-3.81749652427215 53.3061785099681,-3.81024591067648 53.3039203128751,-3.80387098647609 53.3008578480068,-3.79861685691268 53.2971089605681,-3.79468534492716 53.292817876764,-3.79222724913359 53.2881496371007,-3.79133659262799 53.2832837331848)))', 'GBCWA', 'Conwy (Conway)', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.4384794209466 55.9828052824645,-2.43940530430264 55.977939904243,-2.44200585344008 55.9732692429695,-2.44618060892007 55.9689726876066,-2.45176879457852 55.9652152027602,-2.45855554798825 55.9621410119618,-2.46628019427956 55.9598680817772,-2.47464624287707 55.9584836146795,-2.48333272619496 55.958040719917,-2.49200645295498 55.9585563869783,-2.50033471756121 55.9600108373552,-2.50799799149868 55.9623482788095,-2.51470212331035 55.9654790340361,-2.5201895903407 55.969282964248,-2.5242493778084 55.9736140595474,-2.52672510824679 55.9783060236919,-2.52752110589007 55.9831786426357,-2.52660615467924 55.9880446954745,-2.5240147931635 55.9927171444466,-2.51984608205053 55.9970163284286,-2.51425987730322 56.0007768826321,-2.50747073977041 56.0038541162436,-2.49973970728047 56.0061295994566,-2.49136424264866 56.007515741122,-2.48266674696781 56.0079591770533,-2.47398208805113 56.0074428353736,-2.46564463581879 56.0059865972959,-2.45797531751951 56.0036465272202,-2.45126920480847 56.0005127026358,-2.44578412191263 55.9967057296117,-2.44173072064797 55.9923720812862,-2.43926440623868 55.9876784425762,-2.4384794209466 55.9828052824645)))', 'GBDBR', 'Dunbar', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.80741544848521 54.2509999847749,-5.80790302706324 54.2461158678265,-5.81000794644948 54.2413812812944,-5.81364881127419 54.2369780976127,-5.81868534191682 54.2330754025088,-5.82492382046795 54.2298230163521,-5.83212456040737 54.2273457606779,-5.84001110917091 54.2257386865685,-5.84828083128428 54.2250634444409,-5.85661647157151 54.2253459313334,-5.8646982642191 54.2265753036118,-5.87221613490441 54.2287043918388,-5.87888154013531 54.2316515021425,-5.88443850043864 54.2353035365678,-5.888673411812 54.2395203153898,-5.89142326232647 54.2441399389153,-5.89258193697153 54.248984986553,-5.89210436237218 54.2538693183717,-5.89000832199294 54.258605220306,-5.88637385945643 54.2630106196642,-5.88134027969243 54.2669160934025,-5.87510085136396 54.2701713981299,-5.86789540558403 54.2726512679852,-5.86000111133715 54.2742602539002,-5.8517217832777 54.2749364144025,-5.84337613900172 54.2746537126392,-5.83528546734148 54.2734230249568,-5.82776119437006 54.2712917210513,-5.82109283826914 54.2683418321121,-5.81553682775323 54.2646868791164,-5.81130662222602 54.2604674861151,-5.80856451719279 54.255845950786,-5.80741544848521 54.2509999847749)))', 'GBDDM', 'Dundrum', 'Y'),('SRID=4326;MULTIPOLYGON(((1.43976070855301 51.2175369575972,1.43916146824685 51.2126551742362,1.43705767884579 51.2079405913831,1.43353059920928 51.2035743139743,1.4287160601501 51.1997240179441,1.42279920098293 51.1965375244524,1.41600733671556 51.1941371410364,1.4086012326835 51.1926149838334,1.40086512035318 51.1920294572393,1.39309583236913 51.192403023313,1.38559146559582 51.1937213445536,1.37863999719822 51.1959338320863,1.37250828036556 51.1989555786148,1.3674318330857 51.2026706035405,1.36360580572457 51.2069362882411,1.36117747169753 51.2115888343635,1.36024053125877 51.2164495387833,1.3608314528239 51.2213316470905,1.3629280011852 51.2260475243632,1.36645001986511 51.2304158686013,1.37126244853606 51.234268689215,1.37718046917226 51.2374577806996,1.38397658994435 51.2398604399969,1.39138939750332 51.2413842044869,1.39913363983107 51.2419704250786,1.40691124656325 51.2415965340581,1.41442285437987 51.2402769183966,1.42137938373195 51.2380623640329,1.42751321094632 51.2350380929201,1.43258849675003 51.2313204700021,1.43641026760291 51.2270525094216,1.43883189810515 51.2223983560137,1.43976070855301 51.2175369575972)))', 'GBDEX', 'Deal', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.49000521093687 54.6338921202969,-5.49053385552111 54.6290091400665,-5.49269400162484 54.6242797936827,-5.49640212278783 54.6198857490349,-5.50151535135253 54.6159957373478,-5.50783702439523 54.6127590886542,-5.51512426620214 54.6103000176058,-5.52309731218746 54.6087128754956,-5.53145021745249 54.6080585470831,-5.53986254495466 54.6083621272564,-5.54801159460101 54.6096119643282,-5.55558471620168 54.6117601055713,-5.56229124646467 54.6147241282082,-5.56787362311827 54.6183902872747,-5.57211725754703 54.6226178623524,-5.57485879042433 54.6272445398288,-5.57599241175447 54.632092627724,-5.57547399609091 54.6369758677249,-5.57332288357383 54.6417065851736,-5.56962122538301 54.6461029034491,-5.56451090524657 54.649995745188,-5.55818814330441 54.6532353495079,-5.55089598104311 54.6556970517896,-5.54291493214182 54.6572861001585,-5.53455215987117 54.6579413196438,-5.52612960343785 54.6576374796997,-5.51797152019916 54.6563862715611,-5.51039193562871 54.6542358566882,-5.50368249694657 54.6512690039984,-5.49810120920289 54.6475998893062,-5.49386249523423 54.6433696829968,-5.49112896527049 54.6387410992639,-5.49000521093687 54.6338921202969)))', 'GBDHD', 'Donaghadee', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.73168947269305 57.4745427872887,-1.73274780915172 57.469684592986,-1.7355444010283 57.4650309368118,-1.73997121252572 57.460760543848,-1.74585776133108 57.4570373616612,-1.75297772505594 57.4540042844397,-1.76105765452332 57.451777689874,-1.7697874567218 57.4504429944405,-1.77883224849976 57.4500513937129,-1.78784513504646 57.4506179095157,-1.79648043586409 57.452120816765,-1.8044068658594 57.4545024714016,-1.81132018063957 57.4576715086475,-1.81695481306922 57.4615063296769,-1.82109406232995 57.4658597464061,-1.82357844648867 57.4705646101773,-1.82431189388693 57.4754402122351,-1.82326552598322 57.4802992135239,-1.8204788725114 57.4849548397579,-1.81605845623752 57.4892280659321,-1.81017378585817 57.4929545131497,-1.80305089778538 57.4959907901513,-1.79496368639865 57.4982200321087,-1.78622335331464 57.4995564195034,-1.77716638491832 57.4999484991755,-1.76814152980328 57.4993811763854,-1.75949629057628 57.4978762990736,-1.75156346536429 57.4954918112243,-1.74464827217241 57.4923195089467,-1.73901656410409 57.4884814881384,-1.73488459676731 57.4841254240203,-1.73241074348726 57.4794188682902,-1.73168947269305 57.4745427872887)))', 'GBDMB', 'Boddam', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.17894189130111 60.1833217155099,-1.1801729199962 60.1784711071618,-1.18327939316472 60.1738332671271,-1.18814126173762 60.169586296525,-1.1945712648843 60.1658932223916,-1.20232219022141 60.1628957602995,-1.21109639064141 60.1607088998097,-1.22055718960825 60.1594165160524,-1.23034174170942 60.1590681714512,-1.24007486605294 60.1596772267174,-1.24938333764551 60.1612203313444,-1.25791010670038 60.163638312587,-1.26532791812824 60.1668384300282,-1.27135182324165 60.1706979120236,-1.27575011267699 60.1750686422859,-1.27835325311684 60.1797828212732,-1.27906047957856 60.1846593894719,-1.27784377829371 60.1895109695657,-1.27474909037684 60.1941510631371,-1.26989467070049 60.198401225987,-1.26346664606604 60.2020979450893,-1.25571192764183 60.2050989499582,-1.24692873999452 60.2072887116766,-1.23745512788279 60.2085829134277,-1.22765588740657 60.2089317160142,-1.21790843563422 60.2083216890007,-1.20858817878424 60.2067763308336,-1.20005396084324 60.20435515734,-1.19263417092365 60.2011513949289,-1.1866140589159 60.1972883701585,-1.18222475671364 60.1929147386711,-1.17963442940827 60.188198741693,-1.17894189130111 60.1833217155099)))', 'GBDNF', 'Dunrossness', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.87754386694869 55.9466855679252,-4.87816246656389 55.9418056309298,-4.88046519706992 55.9370871580994,-4.88436301567909 55.9327113912825,-4.88970574451822 55.9288463497954,-4.8962879005437 55.9256403946993,-4.90385661703284 55.9232165532728,-4.91212134851803 55.9216678178535,-4.92076498816985 55.9210535956599,-4.92945597771929 55.9213974424745,-4.93786095611422 55.9226861647591,-4.9456574749042 55.9248703235963,-4.95254630616694 55.9278661215563,-4.95826288265813 55.9315586019476,-4.96258743951431 55.9358060406908,-4.96535347167724 55.9404453659536,-4.96645418026871 55.9452984013338,-4.96584665300767 55.9501786962578,-4.96355360648615 55.9548986836785,-4.95966260919431 55.9592768911654,-4.95432280052092 55.9631449278327,-4.94773921893846 55.9663539766304,-4.94016494819512 55.9687805392918,-4.93189137934204 55.9703312091955,-4.92323696461847 55.9709462846146,-4.91453490270281 55.9706020798708,-4.90612024031716 55.9693118429938,-4.89831690021312 55.9671252434843,-4.8914251487955 55.964126450343,-4.88570999787336 55.9604308762507,-4.88139099527759 55.9561807162747,-4.87863380047927 55.9515394565298,-4.87754386694869 55.9466855679252)))', 'GBDNU', 'Dunoon', 'Y'),('SRID=4326;MULTIPOLYGON(((1.6576971385988 52.2674697285003,1.65706234559204 52.2625896468566,1.65488841843343 52.257879291456,1.65125933502839 52.2535196005191,1.64631486086192 52.249677991355,1.64024513211213 52.246501945368,1.63328333028927 52.2441133631654,1.62569673267662 52.2426039032451,1.6177764807215 52.2420314798658,1.6098264535283 52.2424180516191,1.60215166465072 52.243748783542,1.59504661677248 52.2459726140643,1.58878405025993 52.249004205483,1.5836045079475 52.2527272047875,1.57970711017526 52.2569986923498,1.57724189167743 52.2616546509567,1.57630399643875 52.266516248549,1.57692995954464 52.2713966963255,1.57909622827396 52.276108420845,1.5827199906469 52.2804702754514,1.58766229125791 52.2843145134367,1.59373332483454 52.2874932531829,1.60069971122025 52.2898841839819,1.60829347517444 52.291395289783,1.61622238423869 52.2919684057568,1.62418124134068 52.2915814678701,1.63186368865139 52.2902493668267,1.63897405755926 52.2880233726333,1.64523879761994 52.2849891523925,1.65041703509761 52.2812634593294,1.65430984830315 52.2769896231722,1.65676790046192 52.2723320186863,1.6576971385988 52.2674697285003)))', 'GBDNW', 'Dunwich', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.97116696679663 57.87936682593,-3.97193558492732 57.8744926234283,-3.97447378604181 57.8697919287337,-3.9786834168914 57.8654452874593,-3.98440228388904 57.8616195845441,-3.99141044975018 57.8584616544209,-3.99943871033376 57.8560926664145,-4.00817892223867 57.8546034968619,-4.01729578702602 57.8540512614642,-4.02643964796366 57.8544571373984,-4.03525982095048 57.8558055563065,-4.04341796339586 57.8580447981457,-4.05060098360087 57.861088963747,-4.05653300862467 57.8648212525477,-4.0609859604575 57.8690984230651,-4.06378833798225 57.8737562689559,-4.06483186472516 57.8786159045679,-4.06407573833623 57.8834906222094,-4.06154830510223 57.8881930602505,-4.05734607896119 57.8925424076699,-4.05163012619929 57.896371367543,-4.04461994043207 57.8995326095953,-4.03658503330971 57.9019044602902,-4.02783456010708 57.9033956074721,-4.01870538145373 57.903948634363,-4.00954902875935 57.9035422432881,-4.00071808788501 57.9021920810309,-3.99255254073614 57.899950133044,-3.98536660630954 57.8969027104835,-3.9794366012068 57.8931671097547,-3.97499029591977 57.8888870765513,-3.9721981796877 57.8842272530339,-3.97116696679663 57.87936682593)))', 'GBDOC', 'Dornoch', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.71314696776415 55.4076221983786,-4.7137788881923 55.4027426076537,-4.71607125956198 55.398026896497,-4.71993545730758 55.3936562013905,-4.72522261129947 55.3897983488535,-4.73172938312151 55.386601426807,-4.73920580379884 55.3841881190677,-4.74736486726275 55.3826510168294,-4.75589351285687 55.3820490833462,-4.76446458198388 55.3824054042072,-4.77274930064216 55.3837063072092,-4.78042982178331 55.385901884586,-4.78721135946228 55.3889078980059,-4.79283346067782 55.392608995084,-4.79707999033834 55.3968631169344,-4.7997874493351 55.4015069312302,-4.8008513042832 55.4063620859545,-4.80023007867072 55.4112420470211,-4.79794703699535 55.4159592594973,-4.79408938346258 55.4203323583393,-4.78880499190426 55.4241931510812,-4.78229678017883 55.4273931021828,-4.77481493647095 55.4298090666811,-4.76664729245533 55.4313480489143,-4.75810821510023 55.4319507994156,-4.74952645114627 55.4315941082123,-4.74123240278797 55.4302917038888,-4.73354533743719 55.4280937227744,-4.72676103733491 55.4250847691484,-4.72114037603405 55.4213806430159,-4.71689926940981 55.4171238644085,-4.71420039096155 55.41247817012,-4.71314696776415 55.4076221983786)))', 'GBDRE', 'Dunure', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.84892559275908 54.6916649784851,-4.84953183020914 54.6867843448319,-4.85176961273779 54.6820659805563,-4.8555524351489 54.6776911272957,-4.8607345683256 54.6738277756248,-4.86711671371246 54.6706242294675,-4.87445368520115 54.6682034315789,-4.88246381978176 54.666658264412,-4.89083975713664 54.6660480030891,-4.89926018070602 54.6663960533985,-4.90740207973291 54.6676890593374,-4.9149530740846 54.6698774134378,-4.92162334158648 54.6728771507059,-4.92715670121829 54.6765731552748,-4.93134043453615 54.6808235595779,-4.93401347148999 54.6854651707217,-4.93507262442059 54.6903197194016,-4.93447662401649 54.6952006946431,-4.93224779145677 54.6999205041649,-4.92847126938711 54.7042976863047,-4.92329182775386 54.7081638959372,-4.91690835534735 54.7113703940402,-4.90956624030034 54.7137937884514,-4.90154792868171 54.7153408014205,-4.89316202568966 54.715951876818,-4.8847313650639 54.7156034849198,-4.87658051606272 54.7143090337327,-4.86902322137245 54.7121183507512,-4.86235026233651 54.7091157555204,-4.85681822973478 54.7054167990063,-4.85263963998059 54.7011637981824,-4.8499747800619 54.6965203412386,-4.84892559275908 54.6916649784851)))', 'GBDRM', 'Drummore', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.406363437487 55.2320798303762,-6.40751850143765 55.2272325423166,-6.41030538018743 55.2226071310129,-6.4146165041374 55.2183812373486,-6.42028591010205 55.2147171069539,-6.42709566296908 55.211755378503,-6.43478424023307 55.2096097051703,-6.44305655581952 55.2083624119764,-6.45159524202641 55.2080613521228,-6.46007276484548 55.2087180800952,-6.46816391934531 55.2103074099163,-6.47555823879084 55.2127683751789,-6.48197185400051 55.216006555155,-6.48715835806835 55.2198976801284,-6.49091826565836 55.2242923809142,-6.49310670491972 55.2290219040006,-6.49363904256912 55.2339045764866,-6.4924942172561 55.2387527754456,-6.48971564083996 55.2433801357624,-6.48540961896515 55.2476087198342,-6.47974133807119 55.251275872441,-6.4729285619861 55.2542404948045,-6.46523327347074 55.256388493178,-6.45695158032625 55.2576371885741,-6.44840227790417 55.2579385143182,-6.43991451643772 55.257280875445,-6.43181505960169 55.2556895966087,-6.42441563808711 55.2532259409367,-6.41800089781798 55.249984738748,-6.41281741697795 55.2460907198633,-6.40906422064186 55.2416936940389,-6.40688515893243 55.2369627687522,-6.406363437487 55.2320798303762)))', 'GBDSK', 'Dunseverick', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00649519692859 50.9176812395952,1.00594453148817 50.9127975755128,1.00389762900114 50.9080756395324,1.00043355892023 50.9036968224763,0.995685731619941 50.8998292851876,0.989836727807356 50.8966215136642,0.983111263262411 50.8941966343182,0.97576756207907 50.8926477045517,0.968087468537506 50.8920341562588,0.960365672231825 50.8923795259507,0.952898451992944 50.8936705566078,0.945972360765577 50.8958577048127,0.939853275561725 50.8988570340281,0.934776223890616 50.9025534228691,0.930936370951606 50.9068049677083,0.928481511008358 50.9114484136713,0.92750635275124 50.9163054086979,0.928048823530628 50.9211893433324,0.930088542992784 50.9259125155611,0.933547535234636 50.9302933463543,0.938293162937021 50.9341633682963,0.944143180263069 50.9373737171231,0.950872717136107 50.9398008740517,0.958222929487915 50.9413514349382,0.965910981771547 50.941965719565,0.97364097274521 50.9416200793206,0.981115376012569 50.9403278124139,0.988046545077154 50.9381386504702,0.994167829872678 50.9351368366009,0.999243868023375 50.9314378704568,1.00307964863069 50.9271840480364,1.00552799740732 50.922538970955,1.00649519692859 50.9176812395952)))', 'GBDSS', 'Dungeness', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.37197159427807 56.4508690343884,-5.37253349275437 56.4459875335121,-5.37480370412104 56.4412605147559,-5.37869441167148 56.4368695498991,-5.38405568915016 56.4329832418797,-5.39068132428579 56.42975076671,-5.39831677079301 56.4272961669837,-5.40666891916231 56.4257136122827,-5.41541731251777 56.4250638044849,-5.42422638385928 56.4253716624521,-5.43275825620793 56.4266253724398,-5.44068562821441 56.4287768395057,-5.44770426500415 56.4317435229611,-5.45354462745151 56.4354115872636,-5.45798220244305 56.4396402504585,-5.46084614143306 56.4442671670278,-5.46202587376555 56.449114642435,-5.46147543343812 56.4539964442437,-5.45921532129113 56.4587249507516,-5.45533181651806 56.4631183636829,-5.44997374881621 56.467007707403,-5.44334684179501 56.4702433437421,-5.43570583537004 56.4727007488468,-5.42734468549639 56.4742853260414,-5.4185852194481 56.4749360655413,-5.40976468994481 56.474627906641,-5.40122271836951 56.4733727088996,-5.39328814358872 56.4712187937567,-5.38626629703345 56.4682490745992,-5.38042720648459 56.464577849128,-5.37599519141776 56.4603463805568,-5.37314025392902 56.4557174414962,-5.37197159427807 56.4508690343884)))', 'GBDTF', 'Dunstaffnage', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-3.54395503813084 50.3501891800296,-3.54464952772039 50.345311756882,-3.546817379837 50.3406147185261,-3.55037490227271 50.3362784923623,-3.55518512160834 50.3324695992428,-3.5610630864285 50.3293342721211,-3.56778298958881 50.3269928577978,-3.57508683364093 50.3255352136472,-3.58269430829343 50.3250172729561,-3.59031350598819 50.3254589080623,-3.59765207238261 50.3268431715044,-3.6044283734367 50.3291169436107,-3.61038226025152 50.3321929622028,-3.61528502679849 50.3359531581726,-3.61894818389904 50.3402531714544,-3.62123071459195 50.344927877082,-3.62204453031201 50.3497977122518,-3.62135791262475 50.3546755640779,-3.61919679968665 50.3593739552976,-3.61564385772743 50.3637122525496,-3.61083536282974 50.3675236196777,-3.60495600387759 50.3706614470829,-3.59823180025794 50.3730050073192,-3.59092140412446 50.3744641163161,-3.58330612326408 50.3749826177771,-3.57567905366065 50.3745405539918,-3.5683337480849 50.3731549376845,-3.56155286655667 50.3708790944885,-3.55559725531008 50.3678006018872,-3.55069588290147 50.3640379056344,-3.5470370262631 50.3597357464409,-3.54476104764919 50.3550595759684,-3.54395503813084 50.3501891800296)))', 'GBDTM', 'Dartmouth', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.38569567852381 58.2331515575624,-3.38655168777843 58.2282811760108,-3.38919198099138 58.2235924278127,-3.39351447515393 58.2192653941501,-3.39935264187111 58.2154662016245,-3.4064819702008 58.2123406622998,-3.41462861758384 58.210008698935,-3.42347991298667 58.2085597652809,-3.43269631179199 58.2080494330627,-3.44192435227848 58.2084972730805,-3.45081012972833 58.2098861093323,-3.45901278689478 58.212162673884,-3.46621751903267 58.2152396381045,-3.47214760795018 58.2189989445979,-3.47657503230798 58.2232963154286,-3.4793292500902 58.2279667677336,-3.48030381282327 58.232830929148,-3.47946054826833 58.2377019141204,-3.47683113693107 58.242392499446,-3.47251600515476 58.2467223242572,-3.46668056047653 58.2505248370263,-3.45954889942948 58.2536537202125,-3.45139521970449 58.255988541984,-3.44253326294397 58.257439413423,-3.43330419686155 58.2579504677934,-3.42406341165994 58.2575020243538,-3.41516675232763 58.2561113509719,-3.40695673278083 58.2538319952687,-3.39974927861906 58.2507517108035,-3.39382152243436 58.2469890604497,-3.38940113042528 58.2426888312149,-3.38665757399486 58.2380164411278,-3.38569567852381 58.2331515575624)))', 'GBDUE', 'Dunbeath', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.55650198551861 55.0672065479328,-3.55727012654552 55.0623327190908,-3.55967979180028 55.0576385106337,-3.56363787322922 55.0533042266296,-3.56899192058347 55.0494962911398,-3.575536052054 55.0463608739626,-3.58301888559849 55.0440182988127,-3.59115318327669 55.0425584449674,-3.59962684046143 55.0420373152094,-3.60811480509834 55.0424748986338,-3.6162914802971 55.0438544081891,-3.62384314710421 55.046122921389,-3.63047994364584 55.0491934002389,-3.6359469519469 55.0529480148467,-3.64003397433532 55.0572426462035,-3.6425836268005 55.061912398938,-3.64349743597588 55.0667779160892,-3.64273969808731 55.0716522565838,-3.64033894026177 55.0763480734343,-3.6363869144786 55.0806848177097,-3.63103514906867 55.0844956907952,-3.62448917843343 55.0876340756704,-3.61700066460906 55.0899791968154,-3.60885771030591 55.0914407873475,-3.60037373804468 55.0919625800889,-3.59187537025883 55.0915244850111,-3.58368978762612 55.0901433670604,-3.57613206517714 55.0878723935871,-3.56949298670145 55.0847989771405,-3.5640278175757 55.0810413948355,-3.55994647547189 55.0767442174858,-3.55740547962775 55.0720727280665,-3.55650198551861 55.0672065479328)))', 'GBDUM', 'Dumfries', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.87191269866866 56.4669616765378,-2.87279531533321 56.4620934584326,-2.87537604265123 56.4574140644723,-2.87955516085264 56.453103220056,-2.88517170691094 56.4493264379479,-2.89200971510024 56.446228680643,-2.89980653524696 56.4439288164758,-2.90826290622148 56.4425150784298,-2.91705440063634 56.442041696093,-2.92584380941462 56.4425268267567,-2.93429400287754 56.4439518628802,-2.94208078889457 56.4462621417416,-2.94890528873551 56.4493690308259,-2.95450536755943 56.453153311116,-2.95866568867687 56.4574697317228,-2.96122600820407 56.4621525648953,-2.96208738847397 56.4670219520228,-2.96121608308728 56.4718908002304,-2.95864493174359 56.4765719668751,-2.95447219635882 56.4808854566829,-2.94885786823234 56.4846653541534,-2.94201757542739 56.4877662225061,-2.93421431592689 56.4900687197773,-2.92574833119262 56.491484212117,-2.91694551222094 56.4919582028613,-2.90814479215254 56.4914724420941,-2.89968502271026 56.4900456332839,-2.89189185388175 56.4877327090286,-2.8850651361213 56.4846227045811,-2.8794673419253 56.4808353132442,-2.87531346016666 56.4765162595357,-2.87276275439405 56.4718316720718,-2.87191269866866 56.4669616765378)))', 'GBDUN', 'Dundee', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.53677385206746 57.4321046218317,-6.53798881395829 57.4272581186816,-6.54093270364595 57.4226325319709,-6.5454918443163 57.4184055008829,-6.55149069491048 57.414739302208,-6.55869864692285 57.4117746393535,-6.5668388979081 57.409625263555,-6.57559905904102 57.4083736296853,-6.58464309365708 57.4080677494854,-6.59362413806894 57.4087193598287,-6.60219772603614 57.4103034743981,-6.61003492462031 57.4127593355936,-6.61683489203387 57.4159927313451,-6.6223363874563 57.4198795905294,-6.62632779832328 57.42427072262,-6.62865530163293 57.4289975237237,-6.62922884128219 57.4338784338679,-6.62802568176973 57.4387259007528,-6.62509138762034 57.4433535844255,-6.62053817481518 57.4475835264594,-6.61454068194768 57.4512530068996,-6.60732931081874 57.45422082272,-6.59918138440041 57.4563727426741,-6.59041046003227 57.4576259245638,-6.58135421298555 57.4579321209759,-6.5723613661826 57.4572795468961,-6.56377818267368 57.4556933353622,-6.55593505623218 57.4532345632185,-6.54913373110649 57.4499978857011,-6.54363565481336 57.4461078735523,-6.5396519193829 57.4417141973088,-6.53733517930061 57.4369858481873,-6.53677385206746 57.4321046218317)))', 'GBDVN', 'Dunvegan', 'Y'),('SRID=4326;MULTIPOLYGON(((1.35267740407706 51.1225657818547,1.3520883644574 51.1176835722773,1.34999757926204 51.1129674716078,1.34648580613892 51.1085986438742,1.34168828732193 51.1047448637738,1.33578950885157 51.1015540869912,1.32901609274781 51.0991487860836,1.3216280979952 51.0976212662997,1.31390906309534 51.0970301379496,1.30615516729421 51.097398077922,1.29866391829699 51.0987109642724,1.29172279063237 51.1009184162251,1.28559824046851 51.1039357192429,1.28052550958829 51.1076470628545,1.27669960370296 51.1119099694911,1.2742677889606 51.1165607474221,1.27332389640924 51.1214207616387,1.27390465874448 51.1263032846969,1.2759882288081 51.1310206663876,1.27949494738979 51.1353915476594,1.2842903417642 51.1392478411826,1.29019024931937 51.1424412086271,1.29696787614393 51.1448487830306,1.30436252221003 51.146377913025,1.31208963641342 51.1469697431601,1.31985180950602 51.1466014897065,1.32735027363852 51.1452873223334,1.33429645584253 51.143077816841,1.34042313044252 51.1400580003995,1.34549473223088 51.1363440661265,1.34931642739186 51.1320788859955,1.3517415908228 51.1274264978554,1.35267740407706 51.1225657818547)))', 'GBDVR', 'Dover', 'Y'),('SRID=4326;MULTIPOLYGON(((0.923200283422955 51.7337175661343,0.922651179689717 51.728834141853,0.920578697683899 51.7241110477157,0.917062910133609 51.7197297173108,0.91223922979684 51.7158584049137,0.906293159661702 51.7126457375121,0.899453144284825 51.7102150252672,0.891981799961352 51.7086595456977,0.884165859318714 51.708038979335,0.876305211156795 51.7083771307594,0.868701447805174 51.7096610203975,0.86164634922064 51.7118413809856,0.855410735146655 51.7148345399729,0.850234103869978 51.7185256171725,0.846315448728048 51.7227729174777,0.843805602172545 51.7274133531757,0.842801402884546 51.7322686909697,0.84334191559168 51.7371523867346,0.845406857750053 51.7418767475926,0.848917304504124 51.7462601471089,0.853738656184132 51.7501340160051,0.85968576432032 51.7533493380899,0.866530026331446 51.7557823990504,0.874008179411659 51.757339563797,0.881832454361608 51.7579608952449,0.889701693557208 51.7576224723365,0.897312996760237 51.7563373159763,0.90437343613902 51.7541548862751,0.910611378863011 51.7511591707878,0.915786972131062 51.7474654389055,0.919701380634779 51.7432157898862,0.922204418435514 51.7385736690127,0.923200283422955 51.7337175661343)))', 'GBDWL', 'Bradwell Waterside', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.9886370569024 55.8677249578104,-4.98924067540655 55.8628445194784,-4.99152542794992 55.8581240507182,-4.99540296411829 55.8537448710663,-5.00072388542548 55.8498751319168,-5.00728354528741 55.8466633755821,-5.01482993861212 55.8442328526911,-5.02307337406083 55.8426768123841,-5.03169755917517 55.8420549422614,-5.04037167961412 55.842391091343,-5.04876301978293 55.8436723610164,-5.05654965384016 55.8458495977804,-5.06343273376883 55.8488392692922,-5.06914791492142 55.8525266535721,-5.07347548893032 55.8567702219672,-5.07624883852572 55.8614070513393,-5.07736088765546 55.8662590615407,-5.07676829194093 55.8711398420622,-5.0744931969923 55.8758618080902,-5.07062248294388 55.8802434121433,-5.06530450967525 55.8841161337346,-5.05874347495602 55.8873309765023,-5.05119159318511 55.8897642199361,-5.04293939126615 55.891322200717,-5.0343044962738 55.8919449358248,-5.02561935303324 55.8916084445531,-5.01721835526347 55.8903256776098,-5.00942489908945 55.8881460164425,-5.00253887113293 55.8851533624876,-4.99682506484962 55.8814628917753,-4.99250297929314 55.8772166028395,-4.98973839616484 55.8725778329957,-4.9886370569024 55.8677249578104)))', 'GBDYN', 'Ardyne', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.08832278680464 56.1170400206186,-3.08916998691374 56.112170012021,-3.09170092530894 56.107485883674,-3.09581780485071 56.103167545596,-3.10136205820131 56.0993808014116,-3.10812049573211 56.0962709991017,-3.11583351741227 56.093957471896,-3.12420507026059 56.0925289789111,-3.13291397160725 56.0920403167261,-3.14162617121516 56.092510228697,-3.15000749327579 56.0939206900713,-3.15773638305214 56.0962175955555,-3.16451618278959 56.099312823686,-3.17008647745634 56.1030876009189,-3.17423308261433 56.107397039543,-3.17679629363441 56.112075679041,-3.17767707654051 56.116943821987,-3.17684095451152 56.1218144244453,-3.17431942846615 56.1265002784153,-3.17020886260007 56.1308212111688,-3.16466686305011 56.1346110240657,-3.15790627632162 56.1377239019418,-3.15018702963874 56.14004004334,-3.14180612368183 56.1414702911561,-3.13308616504774 56.1419595816535,-3.1243628873479 56.1414890758211,-3.11597215293245 56.1400768888214,-3.10823694948518 56.1377773886596,-3.10145489595885 56.1346790918156,-3.09588675050162 56.1309012390175,-3.09174637035134 56.1265891862031,-3.08919251243507 56.121908791876,-3.08832278680464 56.1170400206186)))', 'GBDYS', 'Dysart', 'Y'),('SRID=4326;MULTIPOLYGON(((0.322349516286122 50.7679106472111,0.32187155087662 50.763024823283,0.319900121745237 50.7582919968999,0.316511400103444 50.7538939817452,0.31183590731223 50.7499996798572,0.306053454310655 50.7467586077612,0.299386211273624 50.7442951718249,0.29209017686993 50.7427039096127,0.284445373835326 50.7420458767414,0.276745142544012 50.7423463150761,0.269284935723203 50.7435936896796,0.262351034677651 50.7457401304662,0.256209610002323 50.7487032618341,0.251096537721732 50.7523693514744,0.247208355388475 50.756597659896,0.24469470252565 50.7612258267236,0.243652536903771 50.7660760901504,0.244122353912312 50.7709621035774,0.246086562579455 50.7756960897161,0.249470090943128 50.7800960583213,0.254143208272189 50.7839928099597,0.25992646527145 50.787236455154,0.266597569366146 50.7897021958055,0.27389993407728 50.7912951434776,0.281552572936851 50.7919539859571,0.289260952636045 50.7916533581231,0.296728379924913 50.7904048237626,0.303667474247068 50.7882564295241,0.309811274378583 50.7852908484049,0.314923542654572 50.7816221856666,0.318807863926346 50.7773915725311,0.321315186483247 50.7727617202452,0.322349516286122 50.7679106472111)))', 'GBEBO', 'Eastbourne', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.8016933345064 58.9669350221095,-2.80264934541474 58.9620692835505,-2.80542424327081 58.9573933252392,-2.80991074964865 58.9530867298099,-2.81593602525885 58.949314831122,-2.8232683765072 58.94622238588,-2.83162618124217 58.9439280404047,-2.84068868744059 58.9425198006876,-2.85010827353111 58.9420516753308,-2.85952370923414 58.9425416166068,-2.8685739221721 58.9439708362544,-2.87691175865316 58.9462845214474,-2.88421722721883 58.9493939243329,-2.89020973077061 58.9531797473956,-2.89465882708226 58.9574966983543,-2.89739310768033 58.9621790440441,-2.89830685045786 58.9670469543452,-2.89736418050227 58.9719133961933,-2.89460056440437 58.9765913153025,-2.89012156304618 58.9809008305253,-2.88409887314434 58.9846761634908,-2.87676379463878 58.9877720346572,-2.86839836487758 58.9900692761374,-2.85932449672358 58.991479441049,-2.84989154150438 58.9919482276955,-2.84046276483191 58.9914575831291,-2.831401270129 58.9900264026806,-2.82305592863542 58.9877097976913,-2.81574787437821 58.9845969605269,-2.80975809810034 58.9808077115412,-2.8053166268217 58.9764878645804,-2.8025937081721 58.9718035936992,-2.8016933345064 58.9669350221095)))', 'GBEER', 'Deerness', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.62046221828214 57.6839727084096,-5.62100521482786 57.6790911066713,-5.62331522744207 57.6743600220253,-5.62730285900535 57.669961179866,-5.63281441964364 57.6660634801612,-5.6396379007866 57.6628165288209,-5.64751115308642 57.6603449158826,-5.65613194936189 57.6587434562269,-5.66516954763102 57.6580735713779,-5.67427731769756 57.6583609475766,-5.68310595874247 57.6595945573329,-5.6913168156029 57.6617270807478,-5.69859479822167 57.6646767107865,-5.70466042215546 57.6683302751196,-5.70928051779672 57.6725475578849,-5.7122772015442 57.6771666594352,-5.71353476262898 57.6820101924511,-5.71300419329103 57.6868920802034,-5.71070517558638 57.6916246985588,-5.70672543276093 57.6960260886301,-5.70121745369921 57.6999269625535,-5.69439270170616 57.7031772311734,-5.68651351960177 57.7056517994265,-5.67788303732441 57.7072554025117,-5.66883347146277 57.7079262925866,-5.65971327417339 57.7076386303733,-5.65087363821061 57.7064034869052,-5.64265489261564 57.7042684155755,-5.63537332843329 57.7013156113166,-5.62930897536464 57.6976587297045,-5.62469480953629 57.6934384916269,-5.6217078117874 57.6888172466498,-5.62046221828214 57.6839727084096)))', 'GBEIL', 'Sheildaig', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.75524647330986 56.1829195165076,-2.75613727071064 56.178051914236,-2.75871304299813 56.1733747288467,-2.76287427210185 56.1690676012185,-2.76846069120015 56.1652959024099,-2.77525749719843 56.1622044012984,-2.78300362356646 56.1599117278664,-2.79140175293506 56.1585058408558,-2.80012968776316 56.158040669945,-2.80885265048224 56.1585340580993,-2.81723605281914 56.1599670809278,-2.82495825811403 56.1622847684375,-2.8317228606787 56.1653982022816,-2.83727002257927 56.1691879102053,-2.84138644037907 56.173508430669,-2.84391356170888 56.1781938762684,-2.84475373302033 56.1830642861906,-2.84387403402654 56.1879325270138,-2.84130763910489 56.19261147895,-2.83715263870796 56.1969212321802,-2.83156835139214 56.2006960159225,-2.82476925570489 56.2037905916463,-2.81701676675826 56.2060858612871,-2.80860917056533 56.2074934708532,-2.79987010590643 56.2079592284225,-2.79113604476854 56.2074652017157,-2.78274326506104 56.206030412338,-2.77501483106443 56.203710099224,-2.76824809672924 56.2005935804454,-2.76270322452946 56.1968007979103,-2.75859316931301 56.1924776812401,-2.75607551480247 56.1877905130874,-2.75524647330986 56.1829195165076)))', 'GBELI', 'Elie', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.89356380455751 50.8492945818043,-0.894540877450415 50.8444378436373,-0.896995371344361 50.8397950599705,-0.900832593381233 50.8355445574455,-0.905904851785347 50.831849551072,-0.91201716635263 50.8288518916694,-0.918934769847295 50.8266666368518,-0.926392110794878 50.8253776508137,-0.934103014639795 50.825034398773,-0.941771619442989 50.8256500566424,-0.949103675241984 50.8272010069713,-0.9558177835177 50.8296277401847,-0.961656155204343 50.8328371274474,-0.96639448231022 50.836705979937,-0.969850549127312 50.8410857607135,-0.971891253478268 50.8458082714796,-0.972437765365827 50.850692098949,-0.97146861819472 50.8555495757436,-0.969020604397468 50.8601939899593,-0.965187430296603 50.8644467667186,-0.960116171405466 50.8681443447804,-0.954001655759843 50.8711444818093,-0.947078985688408 50.8733317429946,-0.939614484005612 50.8746219586906,-0.931895415424845 50.8749654764745,-0.924218884893679 50.8743490799767,-0.916880348996165 50.8727964990972,-0.910162192788037 50.8703674916483,-0.904322821595325 50.8671555326969,-0.899586695573962 50.8632842025819,-0.896135695335464 50.858902415439,-0.894102151716127 50.8541786750165,-0.89356380455751 50.8492945818043)))', 'GBEMS', 'Emsworth', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.22043798203298 57.6667217012368,-2.22143694935945 57.6618594777374,-2.22418613724976 57.6571950777452,-2.22857931723396 57.6529076415061,-2.23444728437172 57.6491617723735,-2.24156441689319 57.6461012356192,-2.24965736460386 57.6438434619568,-2.25841552952148 57.6424750626972,-2.26750293968382 57.6420485246544,-2.27657106929493 57.6425802082811,-2.2852721263406 57.6440497236739,-2.29327231308904 57.6464007077116,-2.30026456577172 57.6495429734357,-2.30598029720233 57.6533559515852,-2.31019969984498 57.6576932957085,-2.31276021626746 57.6623884781673,-2.31356284799133 57.6672611662371,-2.31257605096956 57.6721241368486,-2.30983705420494 57.6767904665907,-2.30545053466204 57.681080721431,-2.29958468328795 57.6848298689104,-2.29246479974353 57.6878936446586,-2.2843646530386 57.6901541248543,-2.27559593713588 57.6915242861408,-2.26649623029087 57.6919513734511,-2.25741593036113 57.6914189427111,-2.24870468218457 57.6899474975659,-2.24069783500141 57.6875936949244,-2.23370346656956 57.6844481508526,-2.22799048617582 57.6806319337103,-2.22377828253264 57.6762918830563,-2.22122831708868 57.6715949385731,-2.22043798203298 57.6667217012368)))', 'GBENN', 'Pennan', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.72137642690703 59.1919048944534,-2.72235019282059 59.1870399346204,-2.72515432467698 59.1823658849227,-2.72968041189403 59.1780622531055,-2.73575408936073 59.1742942572904,-2.74314180334878 59.1712065023239,-2.7515598087504 59.1689174526694,-2.76068504864521 59.1675149096942,-2.77016750189533 59.1670526626419,-2.77964353449133 59.1675484381866,-2.78874975668315 59.1689832248535,-2.79713687110017 59.1713019974142,-2.80448299735413 59.1744158143553,-2.81050597602593 59.178205210404,-2.81497418919246 59.1825247575886,-2.81771548517535 59.1872086240878,-2.81862386101117 59.1920769217816,-2.81766363578211 59.196942602422,-2.81487093933461 59.2016186399831,-2.810352441315 59.2059252240863,-2.80428135144617 59.2096966871519,-2.79689082951432 59.2127878964761,-2.78846504810752 59.2150798617006,-2.77932824797094 59.2164843375883,-2.7698322101861 59.2169472406267,-2.76034263688845 59.2164507442734,-2.75122497928084 59.21501396974,-2.7428302756738 59.2126922448903,-2.73548156183934 59.2095749606977,-2.7294613911285 59.2057821102925,-2.72500095397403 59.2014596475409,-2.7222712182255 59.1967738481322,-2.72137642690703 59.1919048944534)))', 'GBEOI', 'Eday', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.4832918310248 57.01708911129,-6.48449867123789 57.0122427776667,-6.48741486478485 57.0076179453118,-6.49192781460216 57.0033922259157,-6.49786376486954 56.9997278482355,-6.50499452766709 56.9967654485892,-6.51304626295751 56.9946186942058,-6.52170997290485 56.9933699418123,-6.53065331171633 56.9930670942425,-6.53953326700301 56.9937217726104,-6.5480092390354 56.9953088723161,-6.55575603078526 56.9977675195567,-6.5624762645464 57.0010033928304,-6.5679117601809 57.0048923229166,-6.57185344531649 57.0092850367346,-6.57414941845662 57.0140128670038,-6.57471085087476 57.018894212364,-6.57351549076885 57.023741502998,-6.57060862129478 57.0283684061011,-6.5661014200112 57.0325969947306,-6.56016676757461 57.0362646033153,-6.55303265431893 57.0392301036613,-6.54497343035573 57.0413793564858,-6.5362992336028 57.0426296246964,-6.52734400637565 57.0429327746892,-6.51845257096971 57.0422771393091,-6.5099672748612 57.0406879688528,-6.50221473458511 57.0382264523765,-6.49549320300703 57.0349873481978,-6.49006105784274 57.0310953174133,-6.48612686138315 57.0267001051567,-6.4838413750411 57.0219707590727,-6.4832918310248 57.01708911129)))', 'GBESK', 'Eishken', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.49944731703573 60.4994410944897,-1.50064331944498 60.4945876388884,-1.50373511945726 60.4899424802859,-1.50860321079239 60.4856840016028,-1.51506007548325 60.4819756711826,-1.52285745669499 60.4789597885962,-1.53169591753231 60.4767520480011,-1.54123631579323 60.4754371231447,-1.55111275868917 60.4750654389739,-1.56094655159183 60.4756512500479,-1.57036062177658 60.4771720971491,-1.57899388242667 60.4795696623111,-1.58651500406937 60.4827519906226,-1.59263508011787 60.4865969963464,-1.59711871002615 60.4909571227989,-1.59979307715098 60.4956649817345,-1.60055466777378 60.5005397602452,-1.59937336135609 60.5053941528846,-1.59629371783945 60.5100415551356,-1.59143339278916 60.5143032425032,-1.58497872182363 60.5180152581516,-1.57717762779831 60.5210347414673,-1.56833011284644 60.5232454501143,-1.55877669757548 60.5245622584853,-1.54888525649805 60.5249344548847,-1.53903676758421 60.5243477067709,-1.52961054089736 60.5228246160177,-1.52096951397287 60.520423842168,-1.5134461986261 60.5172378286273,-1.5073298354108 60.5133892221759,-1.50285525962354 60.509026127675,-1.50019390949829 60.504316385228,-1.49944731703573 60.4994410944897)))', 'GBESS', 'Eshaness', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.832633501375523 50.7682748082436,-0.833614928953149 50.7634185750391,-0.836070931895931 50.7587770357455,-0.839906761681344 50.7545284691197,-0.84497478199053 50.7508360159407,-0.851080176769871 50.7478414292788,-0.857988445125223 50.7456596491807,-0.865434393816727 50.7443744068944,-0.873132284727428 50.7440350243334,-0.880786753995432 50.7446545291682,-0.888104092537142 50.7462091563958,-0.894803465083853 50.7486392552055,-0.90062764689939 50.7518515672609,-0.905352874011403 50.755722790974,-0.908797433711056 50.7601042977642,-0.910828666535645 50.7648278224186,-0.911368107829284 50.7697119121208,-0.910394564719501 50.7745688889539,-0.907945000919613 50.7792120599414,-0.904113184651395 50.783462897916,-0.899046141211318 50.7871579163068,-0.892938537932046 50.7901549715133,-0.886025211930494 50.7923387476752,-0.87857212642692 50.7936252096614,-0.870866106054 50.7939648498699,-0.863203752312042 50.7933446014057,-0.855879974625656 50.7917883424826,-0.849176588565337 50.7893559723228,-0.843351429887549 50.7861410950552,-0.838628411281575 50.7822674027982,-0.835188909229906 50.7778838999458,-0.833164813213798 50.7731591555929,-0.832633501375523 50.7682748082436)))', 'GBEWT', 'East Wittering', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.49366483788688 50.7001732037385,-3.49436941718232 50.6952963448586,-3.49655811296048 50.6906004654876,-3.50014642480134 50.686265947222,-3.5049961915669 50.6824592435992,-3.51092094094038 50.6793265015901,-3.51769307030737 50.6769879669284,-3.52505258080745 50.6755333849836,-3.5327170308545 50.675018570607,-3.54039233241225 50.6754632759368,-3.5477839838965 50.6768504361749,-3.55460831844387 50.6791268215871,-3.56060334577565 50.6822050712447,-3.56553878000234 50.6859670321416,-3.56922487413978 50.6902682781114,-3.57151972417575 50.694943638162,-3.57233476018504 50.6998135251023,-3.57163820776756 50.7046908241188,-3.56945637803923 50.7093880785445,-3.56587272612684 50.7137246974435,-3.561024703736 50.7175339074765,-3.55509851761686 50.7206691800944,-3.5483219891139 50.7230098843011,-3.54095578681549 50.7244659444332,-3.53328337107391 50.7249813205986,-3.52560004263161 50.7245361751316,-3.51820152509462 50.7231476398375,-3.51137253062124 50.7208691537903,-3.50537575892114 50.7177883977219,-3.5004417614467 50.7140239062168,-3.49676006644815 50.7097204907034,-3.49447190820805 50.705043652467,-3.49366483788688 50.7001732037385)))', 'GBEXE', 'Exeter', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.3737318051197 50.619132574612,-3.37444763738645 50.6142563504742,-3.37664457741846 50.6095626414137,-3.38023781084906 50.6052317451881,-3.38508899026185 50.60142997604,-3.39101159145469 50.5983032915585,-3.39777809595027 50.5959717052478,-3.4051287215746 50.5945246962401,-3.41278136757091 50.5940177892538,-3.42044239787054 50.5944704334126,-3.4278178568777 50.5958652595366,-3.43462469712773 50.5981487437323,-3.44060159778332 50.6012332523723,-3.44551896714634 50.6050003916767,-3.44918775086265 50.6093055359192,-3.45146670961412 50.6139833635156,-3.45226788477245 50.6188541915567,-3.45156003625486 50.6237308681989,-3.44936991173103 50.6284259599876,-3.44578128796893 50.6327589586576,-3.44093181060417 50.6365632298884,-3.43500774471612 50.639692435172,-3.42823683176724 50.6420261772344,-3.42087952507797 50.6434746487497,-3.41321894253718 50.6439821023456,-3.40554992848188 50.6435290056817,-3.39816765396369 50.6421327968282,-3.39135620404766 50.6398472101867,-3.38537760135042 50.6367601994632,-3.38046169668913 50.6329905393573,-3.37679732142896 50.6286832393645,-3.37452504373994 50.624003949262,-3.3737318051197 50.619132574612)))', 'GBEXM', 'Exmouth', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.03861627802637 55.8666613422249,-2.03958923552688 55.8617990880404,-2.04222977418639 55.8571369580411,-2.04643590679772 55.8528540113406,-2.05204566149132 55.8491146886283,-2.05884335661221 55.8460625157286,-2.06656790455705 55.8438146144823,-2.07492282319756 55.8424572278674,-2.08358757354477 55.8420424273814,-2.09222979646444 55.8425861259415,-2.1005179905349 55.8440674705516,-2.10813415815584 55.8464296374441,-2.11478594805404 55.8495820000798,-2.12021783937743 55.8534035890667,-2.12422094530857 55.8577477144866,-2.12664106191298 55.8624475770073,-2.12738464971751 55.8673226561131,-2.126422509764 55.8721856332749,-2.12379100054006 55.8768495861718,-2.11959073460401 55.8811351781708,-2.1139827906761 55.8848775658605,-2.10718257473611 55.8879327568014,-2.09945155815682 55.8901831696832,-2.09108720785659 55.8915421791536,-2.08241149871027 55.8919574666497,-2.07375845823245 55.8914130451111,-2.06546123472238 55.8899298776012,-2.05783920043158 55.8875650654081,-2.05118559977941 55.8844096377943,-2.04575622928626 55.8805850307672,-2.04175959199361 55.876238393714,-2.03934890704349 55.8715369083399,-2.03861627802637 55.8666613422249)))', 'GBEYM', 'Eyemouth', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.03714273137871 50.148688334879,-5.03768231741441 50.1438040151529,-5.03969406915861 50.1390811701078,-5.04310028497245 50.1347012277806,-5.04776978942784 50.1308323956179,-5.05352301624583 50.1276232133079,-5.06013892703263 50.1251968653782,-5.0673634972212 50.1236464689464,-5.07491944442133 50.1230315144294,-5.08251683044944 50.1233755930921,-5.08986413776651 50.1246654966869,-5.09667940462165 50.1268517228408,-5.10270100124247 50.1298503670993,-5.10769764196257 50.1335463304755,-5.11147725493395 50.1377977217896,-5.11389437139685 50.1424412887797,-5.11485574935755 50.1472986725638,-5.11432401052625 50.1521832480227,-5.11231914261691 50.1569072893512,-5.10891779926764 50.1612891863897,-5.10425041411761 50.1651604341046,-5.09849623079949 50.1683721250619,-5.09187643332415 50.1708006928152,-5.08464563797101 50.1723526822987,-5.07708207485552 50.1729683605673,-5.06947684161657 50.1726240261714,-5.06212265046131 50.1713329262918,-5.05530251114329 50.1691447454252,-5.04927879522285 50.1661436856138,-5.04428311100931 50.1624452135906,-5.04050738472982 50.1581916024542,-5.03809649342979 50.1535464424139,-5.03714273137871 50.148688334879)))', 'GBFAL', 'Falmouth', 'Y'),('SRID=4326;MULTIPOLYGON(((0.93983604731562 51.3177077685542,0.939288881532894 51.312824132273,0.937232251625266 51.3081012072057,0.933745610863724 51.3037204214886,0.92896324454449 51.299850010192,0.923069064633324 51.2966385678207,0.916289522750725 51.2942093596971,0.908884916747167 51.2926556075278,0.901139423553203 51.2920369269022,0.893350235863307 51.2923770506048,0.885816211410222 51.2936629230708,0.87882646039243 51.2958451997993,0.872649298671542 51.2988401328818,0.867521981628118 51.3025327718114,0.863641606345488 51.3067813592254,0.861157528713896 51.3114227559532,0.860165588119235 51.3162786903189,0.860704367029679 51.3211625945926,0.862753637908059 51.3258867680775,0.866235067828052 51.3302695925776,0.871015164797241 51.3341425226365,0.876910362339239 51.337356580291,0.883694053910053 51.3397881020654,0.891105309907614 51.3413435140203,0.898858940999652 51.3419629478789,0.906656515569082 51.3416225561834,0.914197899055203 51.3403354352983,0.921192860912647 51.3381511197853,0.92737229197711 51.3351536679395,0.932498591382447 51.3314584137272,0.936374816973077 51.3272075126639,0.938852244612564 51.322564456152,0.93983604731562 51.3177077685542)))', 'GBFAV', 'Faversham', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.0745557321576596 54.1159750508226,-0.0757139500285113 54.1111302272124,-0.0784580748402108 54.1065111994982,-0.0826822155959506 54.1022953656971,-0.0882237770277105 54.0986445897837,-0.0948697480124709 54.0956990039016,-0.102364895224009 54.0935716482708,-0.110421546018409 54.092344150965,-0.118730588521707 54.0920636099692,-0.126973274550949 54.0927407944661,-0.134833383319609 54.0943497327778,-0.142009291447615 54.0968287025272,-0.148225497880061 54.1000825861651,-0.153243170875567 54.1039865038277,-0.156869317896943 54.1083905873148,-0.158964227311589 54.1131257155336,-0.15944689216432 54.1180099946288,-0.158298199325117 54.1228557366848,-0.155561749917199 54.1274766705572,-0.151342266427162 54.1316951080339,-0.145801635095339 54.1353487887547,-0.13915272544331 54.1382971383456,-0.131651218180916 54.1404266958366,-0.12358575421172 54.1416554979404,-0.115266787136861 54.1419362480279,-0.107014576067502 54.1412581450841,-0.0991467918930169 54.1396473006122,-0.0919662265048788 54.1371657271854,-0.0857490899824238 54.1339089387396,-0.0807343556626546 54.1300022573695,-0.0771145686941805 54.1255959720241,-0.075028472448757 54.1208595390091,-0.0745557321576596 54.1159750508226)))', 'GBFBH', 'Flamborough', 'Y'),('SRID=4326;MULTIPOLYGON(((0.0412124530217088 52.8680348425511,0.0407519052076061 52.8631495656151,0.0387256656585721 52.858412511999,0.0352120673820284 52.8540056538766,0.0303464726524651 52.8500982252809,0.024316020042646 52.8468402366711,0.017352409143474 52.8443567329077,0.00972300379319652 52.8427430118323,0.00172059456316926 52.8420609835637,-0.0063477917329828 52.842336807158,-0.0141726147603434 52.8435598930597,-0.0214536366521437 52.845683308509,-0.0279113892227341 52.8486255705584,-0.0332978624516658 52.8522737593933,-0.0374060112845528 52.8564878350401,-0.040077719097582 52.8611059950189,-0.0412099108034541 52.8659508706926,-0.0407585751399739 52.8708363274841,-0.0387405323083128 52.8755746100699,-0.0352328674410375 52.879983559177,-0.0303700395044941 52.8838936224394,-0.0243387658506917 52.8871543882939,-0.0173708710651637 52.8896403890697,-0.00973437116795508 52.8912559467773,-0.00172313681125548 52.8919388716869,0.00635446164418483 52.8916628682367,0.0141874813938243 52.8904385533637,0.0214744366931731 52.8883130469279,0.0279349560494359 52.8853681502108,0.0333206082257214 52.8817171841315,0.0374244731673444 52.8775006114738,0.0400890864351663 52.8728806148647,0.0412124530217088 52.8680348425511)))', 'GBFDK', 'Fosdyke', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.22494183821022 53.6993840373577,-1.2259547634963 53.6945270016733,-1.22854441033356 53.6898805198733,-1.23261082100868 53.6856230529738,-1.23799744852426 53.6819180710596,-1.24449721460078 53.6789077928373,-1.25186047855621 53.6767077448336,-1.2598046092087 53.6754023455946,-1.26802479528174 53.6750416809723,-1.27620568661885 53.6756395914803,-1.28403342983476 53.6771731433865,-1.29120764846234 53.6795835034208,-1.2974529194834 53.6827781844832,-1.30252931533363 53.6866345783549,-1.30624161270408 53.6910046429088,-1.30844681603412 53.6957205674166,-1.30905970341091 53.7006012018637,-1.30805617410312 53.7054590061773,-1.3054742580957 53.7101072541935,-1.30141273615377 53.7143672160063,-1.2960274110084 53.7180750417032,-1.28952516266304 53.7210880796378,-1.28215600970081 53.7232903831419,-1.27420347985089 53.7245971902895,-1.26597366309246 53.7249582008868,-1.25778337576858 53.7243595217487,-1.24994790172016 53.7228242036244,-1.24276879436409 53.7204113486751,-1.23652222098213 53.7172138238293,-1.23144830740921 53.7133546702464,-1.22774189904822 53.708982350194,-1.22554509491092 53.7042650177793,-1.22494183821022 53.6993840373577)))', 'GBFEB', 'Ferrybridge', 'Y'),('SRID=4326;MULTIPOLYGON(((0.0411330478662705 52.7840337211493,0.0406730287485364 52.7791483964727,0.0386503471485689 52.7744113392875,0.0351431970442767 52.7700045221387,0.0302866912552891 52.7660971778614,0.0242676183113592 52.7628393141369,0.0173172407387554 52.7603559715036,0.00970241504687226 52.7587424420306,0.00171537352448787 52.7580606287721,-0.00633744510127865 52.7583366826536,-0.0141470961634538 52.7595600052154,-0.0214139225463789 52.7616836543702,-0.0278589999298187 52.7646261378141,-0.0332348046250237 52.7682745267627,-0.037334701803544 52.7724887730749,-0.040000893161427 52.7771070672912,-0.0411305176087928 52.7819520353161,-0.0406796650307435 52.78683753889,-0.0386651396601966 52.7915758209449,-0.0351638937641226 52.7959847224606,-0.0303101412995991 52.7998946932766,-0.0242902516261128 52.8031553258451,-0.0173356116077412 52.8056411580963,-0.00971372667155479 52.8072565189388,-0.00171790381265282 52.8079392265087,0.00634408136138362 52.8076629937296,0.0141618886578421 52.8064384462967,0.0214346192472778 52.804312712773,0.0278824499479043 52.8013676027894,0.0332574379049657 52.7977164449971,0.0373530726328567 52.7934997090687,0.0400122047481436 52.7888795834846,0.0411330478662705 52.7840337211493)))', 'GBFET', 'Fleet', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.85341336693715 57.682954620881,-2.85432804221661 57.678087500601,-2.85699715996735 57.6734094462467,-2.86131755908773 57.6691001268019,-2.8671228177891 57.665324989167,-2.8741897083792 57.6622289241605,-2.88224679606052 57.6599307266722,-2.89098484829186 57.6585185585708,-2.90006865803865 57.6580465844649,-2.90914983573375 57.6585329060025,-2.9178800919805 57.6599588717054,-2.92592451655436 57.6622697880317,-2.93297435937937 57.665377005205,-2.9387588358698 57.6691613000714,-2.9430555120517 57.6734774296021,-2.9456988736084 57.6781596843221,-2.94658674642801 57.6830282325294,-2.94568431288601 57.687896015142,-2.94302555592346 57.6925759286544,-2.93871205930719 57.6968880210431,-2.93290919398086 57.700666423253,-2.92583982326398 57.7037657474637,-2.91777575952781 57.706066702601,-2.90902729735339 57.7074807069684,-2.89993122859606 57.707953316402,-2.89083780914929 57.7074663325307,-2.88209719210853 57.7060385076672,-2.87404586503656 57.7037248183943,-2.8669936288508 57.700614336645,-2.86121163250136 57.6968267825755,-2.85692193238013 57.6925078953984,-2.85428898076051 57.687823804415,-2.85341336693715 57.682954620881)))', 'GBFID', 'Findochty', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.5568938459616 59.5374676820781,-1.55804524521556 59.5326128700401,-1.56103863287248 59.5279653741143,-1.56575832886349 59.5237036722014,-1.57202254544234 59.5199913636504,-1.57959043564679 59.516970908943,-1.58817136638484 59.5147581856474,-1.59743605722139 59.5134380652051,-1.60702916143345 59.5130611760012,-1.61658281694642 59.5136419733875,-1.62573066228005 59.5151581884616,-1.63412179715803 59.517551676138,-1.64143416921155 59.520730631085,-1.64738688721743 59.5245730891746,-1.6517509972758 59.5289315839069,-1.65435831065259 59.5336387835025,-1.65510793968407 59.5385138965833,-1.65397027964547 59.5433696040519,-1.6509882676888 59.548019253209,-1.6462758520369 59.5522840383449,-1.64001371206844 59.5559998907182,-1.63244237859647 59.5590238103327,-1.62385300891555 59.5612393921191,-1.61457616821205 59.5625613294561,-1.60496905291806 59.562938717352,-1.59540165817242 59.5623570245335,-1.58624243713278 59.5608386562248,-1.57784402192481 59.5584420853225,-1.57052957327958 59.5552595865522,-1.5645802985585 59.5514136635571,-1.56022462744878 59.5470523103372,-1.55762946392981 59.5423432938499,-1.5568938459616 59.5374676820781)))', 'GBFIE', 'Fair Isle', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.02253469347669 55.9330161555733,-3.02338614923316 55.9281464527558,-3.02591304001303 55.9234635332148,-3.03001773125015 55.9191472607882,-3.03554212938035 55.9153633604683,-3.04227381072613 55.9122570720596,-3.04995420350853 55.9099475950584,-3.0582885057823 55.9085235342333,-3.06695696105904 55.9080395169341,-3.0756270664319 55.908514108744,-3.08396625616899 55.909929105315,-3.09165458763226 55.9122302267995,-3.09839695630228 55.9153291889703,-3.1039343826494 55.9191070736776,-3.10805394528975 55.9234188724875,-3.11059698167365 55.928099032881,-3.11146523845322 55.9329677978843,-3.11062472717745 55.9378380989245,-3.10810712504585 55.942522739333,-3.10400865251313 55.9468415932858,-3.09848645640104 55.9506285427769,-3.0917526251473 55.9537378837938,-3.08406605783236 55.9560499521077,-3.07572249641704 55.9574757484457,-3.06704310701112 55.9579603812416,-3.058362057146 55.9574851912081,-3.0500135787558 55.9560684737674,-3.04231902859288 55.9537647707545,-3.03557445791626 55.9506627594114,-3.03003918148866 55.946881822097,-3.02592579338567 55.9425674319765,-3.0233920161386 55.9378855360723,-3.02253469347669 55.9330161555733)))', 'GBFIH', 'Fisherrow', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.3051389365831 56.316031644662,-6.30634351386042 56.3111865484622,-6.30922500377685 56.3065651058686,-6.31367216891588 56.3023448002416,-6.31951379958292 56.2986876558648,-6.32652533988328 56.2957340357532,-6.3344375270191 56.2935972747957,-6.34294671038698 56.2923593503468,-6.35172645829075 56.2920677527064,-6.3604400157119 56.2927336726028,-6.36875314754879 56.2943315734445,-6.37634688861331 56.2968001644287,-6.38292972471614 56.3000447383611,-6.38824874834044 56.303940786998,-6.39209936736376 56.30833875864,-6.39433319535471 56.3130697792693,-6.39486381604997 56.3179521213262,-6.3936701911184 56.3227981747315,-6.39079756709144 56.3274216542027,-6.38635583163493 56.3316447662838,-6.38051536782198 56.3353050594346,-6.37350055390155 56.3382616912678,-6.36558115104811 56.340400868387,-6.35706190839203 56.3416402455983,-6.34827078906646 56.3419321114316,-6.33954627928853 56.3412652343283,-6.33122428155935 56.3396652966067,-6.32362511081934 56.3371938991662,-6.31704110787519 56.3339461764592,-6.31172535788197 56.3300471161022,-6.30788195457909 56.3256467283009,-6.30565818586931 56.3209142549113,-6.3051389365831 56.316031644662)))', 'GBFIO', 'Fionnphort', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.93356374037869 51.9936709666555,-4.93413082113304 51.9887882286048,-4.93622964543152 51.9840675865282,-4.9397791230124 51.9796903782146,-4.94464254388425 51.9758246977985,-4.95063287836139 51.9726189542018,-4.95751998431543 51.970196190224,-4.96503944171087 51.9686493771946,-4.97290267642739 51.9680378625083,-4.9808079900535 51.9683851034753,-4.98845208087671 51.9696777723766,-4.99554162440103 51.9718662661299,-5.00180447974978 51.9748666013607,-5.00700010128823 51.9785636237351,-5.01092876243602 51.9828154109639,-5.01343924030465 51.9874587036506,-5.01443466448313 51.9923151587974,-5.01387629957498 51.997198188762,-5.01178510706142 52.0019201250931,-5.00824101533496 52.0062994329633,-5.00337991443909 52.0101676986002,-4.99738848086264 52.0133761195056,-4.99049702406025 52.015801245284,-4.98297062644374 52.0173497450428,-4.97509891871966 52.0179620145976,-4.96718488923958 52.0176144817162,-4.95953316662744 52.016320518559,-4.95243823725079 52.0141299252473,-4.94617306193304 52.0111270047948,-4.94097853950167 52.0074273051121,-4.93705422920625 52.0031731560843,-4.93455069155658 51.9985281766698,-4.93356374037869 51.9936709666555)))', 'GBFIS', 'Fishguard', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.95770394006703 53.9169925519174,-2.95852147426544 53.9121216670893,-2.96093245386334 53.9074384982908,-2.96484376126966 53.9031229256537,-2.97010477695948 53.8993406576471,-2.9765132147168 53.8962368837894,-2.98382291169422 53.8939307195701,-2.99175327149826 53.8925106533401,-3 53.892031166443,-3.00824672850174 53.8925106533401,-3.01617708830578 53.8939307195701,-3.0234867852832 53.8962368837894,-3.02989522304053 53.8993406576471,-3.03515623873034 53.9031229256537,-3.03906754613666 53.9074384982908,-3.04147852573456 53.9121216670893,-3.04229605993297 53.9169925519174,-3.04148818216546 53.9218639997206,-3.03908538889637 53.9265487717365,-3.03517955142325 53.9308667437582,-3.02992045652247 53.9346518420329,-3.02351009798528 53.9377584461593,-3.01619493107845 53.9400670097654,-3.00825638494181 53.9414886792146,-3 53.9419687290874,-2.9917436150582 53.9414886792146,-2.98380506892155 53.9400670097654,-2.97648990201472 53.9377584461593,-2.97007954347753 53.9346518420329,-2.96482044857675 53.9308667437582,-2.96091461110363 53.9265487717365,-2.95851181783454 53.9218639997206,-2.95770394006703 53.9169925519174)))', 'GBFLE', 'Fleetwood', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.9244493827042 54.1669808250929,-2.92527575726557 54.1621103735182,-2.92770500997786 54.1574280740311,-2.93164331429634 54.1531137723139,-2.93693900904301 54.1493331266008,-2.94338847431119 54.1462312625324,-2.95074397292594 54.1439272207654,-2.95872315367251 54.1425094069582,-2.9670198537361 54.1420322152496,-2.97531579254594 54.1425139518341,-2.9832927185254 54.1439361363228,-2.99064455476738 54.1462442070061,-2.99708908968938 54.1493496036592,-3.00237877427568 54.1531331499628,-3.00631021827406 54.1574496087165,-3.00873202303019 54.1621332385312,-3.00955064747331 54.1670041422085,-3.00873407461614 54.1718751660375,-3.00631312679522 54.1765590870243,-3.00238036621171 54.1808758126282,-2.99708661005937 54.1846593156009,-2.99063518310941 54.1877640353098,-2.983274121183 54.1900704963528,-2.97528662245782 54.1914899247583,-2.96698011608636 54.191967680579,-2.95867437556291 54.1914853717393,-2.95068914468819 54.190061565749,-2.94333176471516 54.1877510711771,-2.93688529120827 54.1846428172636,-2.93159756831316 54.1808564153203,-2.92767168763032 54.1765375372925,-2.92525820084888 54.1718522928814,-2.9244493827042 54.1669808250929)))', 'GBFLK', 'Flookburgh', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.02814089300908 50.1506853432659,-5.02868141397233 50.1458010555166,-5.03069413496607 50.1410783561522,-5.03410131713275 50.136698667555,-5.03877174799281 50.1328301873769,-5.04452582579393 50.1296214417546,-5.0511424795909 50.1271955984314,-5.05836765641501 50.125645755154,-5.06592405069267 50.1250313811223,-5.07352170714642 50.1253760453477,-5.08086909787664 50.1266665171395,-5.0876842578984 50.1288532723454,-5.09370556146043 50.1318523862238,-5.0987017340309 50.1355487417656,-5.10248072160126 50.1398004327229,-5.10489707929351 50.1444441952984,-5.10585759414337 50.1493016630531,-5.10532492094228 50.1541862075867,-5.1033190832794 50.1589101042227,-5.0999167720883 50.1632917483054,-5.09524845828629 50.1671626444784,-5.08949342132152 50.1703738987916,-5.08287287816182 50.1728019615763,-5.07564147389536 50.1743533971927,-5.06807746216775 50.1749684940213,-5.06047195794541 50.1746235730112,-5.05311768388097 50.1733319039464,-5.04629765288533 50.1711431932536,-5.04027423227101 50.1681416633796,-5.03527901887061 50.1644427991472,-5.03150392066634 50.1601888887296,-5.02909379041473 50.1555435338167,-5.02814089300908 50.1506853432659)))', 'GBFLU', 'Flushing', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.246454130701205 54.2090345708534,-0.247595279864985 54.204187955498,-0.250326900411035 54.199564919838,-0.254543577177775 54.1953430165149,-0.260082997144948 54.1916843428405,-0.266732227700193 54.1887293340274,-0.274235907847605 54.1865913915169,-0.282306036363685 54.1853525490116,-0.290632984611865 54.1850603391292,-0.298897319143028 54.185725978193,-0.306781991304032 54.1873239371857,-0.313984438444248 54.1897929150552,-0.320228144218661 54.1930381781426,-0.32527322389625 54.1969351783005,-0.328925634139202 54.2013343140591,-0.331044654715233 54.2060666556832,-0.331548350924682 54.2109504177635,-0.330416798576151 54.2157979335447,-0.327692936013322 54.2204228647467,-0.323480997315633 54.2246473701491,-0.317942574174078 54.2283089562979,-0.31129044744118 54.2312667445826,-0.303780419027773 54.2334069104121,-0.295701456622835 54.2346470816035,-0.287364533743631 54.2349395232582,-0.2790906023886 54.2342729837676,-0.271198172242193 54.2326731292309,-0.263990987038462 54.2302015492801,-0.257746284448441 54.226953373718,-0.252704100957122 54.2230535940897,-0.249058038982345 54.218652235014,-0.246947852289639 54.2139185647056,-0.246454130701205 54.2090345708534)))', 'GBFLY', 'Filey', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.93569913649906 58.2507254310336,-4.93634273475275 58.2458467065325,-4.9387787433984 58.2411278935488,-4.9429129081163 58.2367502390734,-4.94858590472728 58.2328818221695,-4.95557953023205 58.2296711179025,-4.96362511732689 58.2272413198211,-4.97241384469289 58.2256856348744,-4.9816085490941 58.2250637271556,-4.99085659383675 58.2253994432585,-4.99980331248491 58.2266799039048,-5.00810552753515 58.2288559955361,-5.01544464132965 58.2318442434844,-5.02153881085952 58.235529996887,-5.02615374903081 58.2397718064272,-5.02911174188162 58.2444068309403,-5.03029853322144 58.2492570695505,-5.02966780381746 58.2541361837582,-5.02724305962279 58.2588566501246,-5.02311684004837 58.2632369699468,-5.01744725969638 58.2671086583872,-5.01045200146855 58.2703227423192,-5.0023999812324 58.2727555136703,-4.9936009996925 58.2743133128377,-4.98439378119075 58.2749361538565,-4.9751328675824 58.2746000480462,-4.96617488447497 58.2733179340147,-4.95786472428551 58.2711391770337,-4.95052219424635 58.2681476575474,-4.94442965745554 58.2644585244806,-4.93982115243385 58.2602137416733,-4.93687341375267 58.2555766029423,-4.93569913649906 58.2507254310336)))', 'GBFOI', 'Foindlemore, Loch Glendhu', 'Y'),('SRID=4326;MULTIPOLYGON(((1.22863803897725 51.0796074937109,1.2280625132515 51.0747247616024,1.22598622928087 51.0700065558744,1.22248938750914 51.0656341222817,1.21770665735603 51.0617753747731,1.21182195829946 51.0585784603554,1.20506137355348 51.0561660875612,1.19768447141607 51.0546308331828,1.18997436631171 51.054031604241,1.18222689598102 51.0543913881805,1.17473932206729 51.0556963756364,1.16779897780542 51.0578964885531,1.16167228827685 51.0609072937474,1.15659457572807 51.0646132300266,1.15276103505749 51.0688720275112,1.15031922339596 51.0735201526062,1.14936335375523 51.0783790727738,1.14993061743375 51.0832621033595,1.15199968514634 51.0879815755035,1.15549145505832 51.0923560506513,1.16027202989508 51.0962173040459,1.16615781830744 51.0994168071823,1.17292257123836 51.1018314574189,1.18030608582224 51.1033683312433,1.18802424094914 51.1039682750881,1.1957799733341 51.103608192671,1.20327476350945 51.1023019387977,1.21022017962908 51.1000997843244,1.21634902446762 51.0970864732433,1.22142564765356 51.0933779482458,1.22525502013564 51.0891168733201,1.22769021935269 51.0844671287808,1.22863803897725 51.0796074937109)))', 'GBFOL', 'Folkestone', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.95342090525664 57.6826233902452,-1.95445604614863 57.677763429479,-1.95724065725178 57.6731049812798,-1.96166715210037 57.6688269554011,-1.96756505078103 57.665093592356,-1.97470758776286 57.662048176355,-1.98282044326963 57.659807557385,-1.99159226016079 57.6584576886278,-2.00068654602061 57.658050346487,-2.00975451267127 57.6586011557657,-2.01844837359151 57.6600889936321,-2.02643460432255 57.6624567946115,-2.0334066721424 57.665613726689,-2.03909675907637 57.6694386574494,-2.04328603638833 57.6737847807594,-2.04581309843783 57.6784852304897,-2.04658022816698 57.6833594697918,-2.04555724397726 57.6882202139425,-2.04278276627847 57.6928806230271,-2.03836283881844 57.6971614887655,-2.03246694168368 57.7008981383024,-2.02532153568473 57.7039467870889,-2.01720137737664 57.7061900929755,-2.0084189356842 57.7075416937212,-1.9993123205543 57.7079495492421,-1.99023219718754 57.7073979565776,-1.981528202858 57.7059081578232,-1.97353540474523 57.7035375169815,-1.96656133539409 57.7003772984113,-1.96087411749108 57.6965491348667,-1.95669214298538 57.6922003246427,-1.95417570573033 57.6874981429265,-1.95342090525664 57.6826233902452)))', 'GBFRB', 'Fraserburgh', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.02355832356194 55.0659450474717,-6.02475411156585 55.0611017963312,-6.02757264885778 55.0564854416077,-6.03190515925229 55.0522732746277,-6.03758486788929 55.0486270131055,-6.0443934525375 55.045686609789,-6.052069441669 55.0435649001599,-6.06031823540317 55.0423432909244,-6.06882336839606 55.0420686512451,-6.07725859072457 55.0427515232068,-6.0853003147343 55.044365718533,-6.09263996326802 55.0468493167725,-6.0989957579259 55.0501070278399,-6.10412350498736 55.0540138306937,-6.10782597099622 55.0584197518425,-6.10996048907042 55.0631556039854,-6.11044449963023 55.0680394680143,-6.10925880384257 55.0728836722932,-6.10644839251502 55.077502002812,-6.10212080472911 55.0817168674477,-6.09644206592102 55.085366137793,-6.089630350672 55.0883094030337,-6.0819476071135 55.0904333919862,-6.07368946342594 55.0916563509372,-6.06517380840027 55.0919312052418,-6.05672849384611 55.0912473801405,-6.04867864386977 55.0896312090169,-6.04133407273369 55.0871449131198,-6.03497730825796 55.0838841932288,-6.02985269180673 55.079974528452,-6.02615698022711 55.0755663279821,-6.02403181210004 55.0708291261255,-6.02355832356194 55.0659450474717)))', 'GBFUC', 'Waterfoot', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.03752211847277 56.8177509059766,-5.03813173191215 56.8128708714777,-5.04046506599577 56.8081498042619,-5.04443186847211 56.8037690439075,-5.04987928533924 56.7998967976186,-5.05659779740749 56.7966816978937,-5.06432929886493 56.7942471173946,-5.07277700338263 56.792686455432,-5.08161679906422 56.7920595730169,-5.09050962354581 56.7923905097925,-5.09911439586059 56.7936665679594,-5.10710102295966 56.7958387972249,-5.11416299635101 56.798823862597,-5.12002910820892 56.8025072252593,-5.12447384625979 56.8067475175619,-5.12732607219086 56.811381948042,-5.12847564830601 56.8162325329591,-5.12787775025996 56.8211129185954,-5.12555468799761 56.8258355348197,-5.12159514998032 56.8302188062318,-5.11615088426124 56.8340941433422,-5.10943093029371 56.8373124431033,-5.10169361340285 56.8397498456766,-5.09323660526308 56.8413125221157,-5.08438543416367 56.8419403047233,-5.07548089427533 56.8416090168097,-5.06686585013226 56.840331409632,-5.05887195857762 56.8381566693064,-5.0518068340502 56.8351685131114,-5.04594216410499 56.8314819504136,-5.04150324149456 56.8272388360389,-5.03866031918207 56.8226023910849,-5.03752211847277 56.8177509059766)))', 'GBFWM', 'Fort William', 'Y'),('SRID=4326;MULTIPOLYGON(((1.39041996297435 51.9675595379737,1.38981788701514 51.9626780663045,1.38768605207291 51.9579629219886,1.38410681340173 51.9535952297132,1.37921801961084 51.9497427167044,1.37320766964685 51.9465532854536,1.36630666917666 51.9441493523312,1.35877996756651 51.9426231662446,1.35091641441965 51.9420332837474,1.34301771963674 51.9424023330017,1.33538693209737 51.9437161503674,1.32831686862737 51.9459243218651,1.32207892656452 51.9489421091311,1.31691269994077 51.9526536875797,1.31301679135852 51.9569165750996,1.31054116968779 51.9615670844831,1.30958136876433 51.9664265935583,1.31017475576879 51.9713083951553,1.31229902182407 51.976024865864,1.31587296396966 51.9803946790659,1.32075953994485 51.9842497846436,1.32677108844688 51.9874418854107,1.33367652134395 51.9898481585872,1.34121021447387 51.9913759990131,1.34908225383738 51.9919665982764,1.35698963758273 51.9915972190938,1.36462799401291 51.9902820753339,1.37170335400623 51.9880717829079,1.37794351387775 51.9850514030722,1.38310854195577 51.9813371551078,1.38700001810727 51.9770719275353,1.38946864826049 51.9724197638142,1.39041996297435 51.9675595379737)))', 'GBFXT', 'Felixstowe', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.63644101790348 57.7009787681958,-5.63698205049579 57.6960971255818,-5.63929098972383 57.69136576905,-5.64327847882376 57.686966434492,-5.64879083258198 57.6830680407789,-5.65561601133802 57.6798202204063,-5.66349180019062 57.6773475966713,-5.67211587450854 57.6757450231305,-5.68115736670363 57.6750739639398,-5.69026949758836 57.6753601503157,-5.69910279959439 57.6765926003827,-5.70731843933298 57.6787240387588,-5.71460114375825 57.6816727001253,-5.72067124758384 57.6853254494624,-5.72529540936117 57.6895421023645,-5.72829558920501 57.6941607835579,-5.72955594162872 57.6990041220521,-5.72902735095296 57.7038860487472,-5.72672942235868 57.708618938124,-5.72274983634236 57.7130208209295,-5.71724107494406 57.7169223903459,-5.71041463091718 57.7201735304056,-5.70253291178574 57.7226491124192,-5.69389914501034 57.7242538324586,-5.68484567376866 57.7249258995823,-5.67572110095229 57.7246394291246,-5.66687678830415 57.7234054462104,-5.65865324548524 57.721271459584,-5.65136694871305 57.7183196225128,-5.6452981101734 57.7146635534891,-5.64067987868326 57.7104439423107,-5.6376893912936 57.7058231146214,-5.63644101790348 57.7009787681958)))', 'GBGAR', 'Gairloch', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.08749105524524 56.8659464052436,-6.08874353450646 56.8611042875094,-6.09169594355138 56.8564889880428,-6.09623430471227 56.8522777504883,-6.10218389712596 56.8486322465502,-6.10931601872988 56.8456923879738,-6.11735678446817 56.8435709776272,-6.12599762125033 56.842349401019,-6.13490706098857 56.8420745198151,-6.14374338842718 56.8427568835391,-6.15216767139823 56.844370326283,-6.15985668814962 56.8468529636043,-6.1665152697416 56.8501095526083,-6.17188759515634 56.8540151272556,-6.17576701237705 56.8584197729511,-6.17800400958894 56.8631543611412,-6.17851202573729 56.8680370275762,-6.17727086735081 56.872880148521,-6.17432758663179 56.8774975487751,-6.16979477154368 56.881711664869,-6.16384629860871 56.8853603868669,-6.15671069945597 56.8883033131035,-6.14866238856409 56.8904271736868,-6.1400110877042 56.8916502100814,-6.13108985802673 56.8919253383817,-6.12224220970171 56.8912419714456,-6.11380879840195 56.8896264279116,-6.10611423558545 56.8871409120489,-6.09945453452843 56.8838811049845,-6.09408568667416 56.8799724626784,-6.09021381460986 56.8755653667488,-6.08798728146802 56.8708293187745,-6.08749105524524 56.8659464052436)))', 'GBGAS', 'Galmisdale, Eigg', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.28643728898599 57.6667459867427,-2.2874274305536 57.6618832236199,-2.29016816237166 57.6572173719992,-2.29455357997438 57.6529276283337,-2.30041477532343 57.6491786849257,-2.30752638525246 57.6461144252777,-2.31561527018212 57.6438524230586,-2.32437098690816 57.6424794517836,-2.33345765666618 57.6420481735307,-2.34252678183032 57.6425751304084,-2.35123053248911 57.6440401136561,-2.35923500834775 57.6463869338983,-2.36623298220639 57.6495255639118,-2.37195564864787 57.6533355740649,-2.37618293524496 57.6576707320758,-2.37875198294743 57.6623645946135,-2.37956346631633 57.667236880113,-2.37858550143012 57.6721003814843,-2.37585497751937 57.6767681554242,-2.37147624498967 57.6810607128244,-2.36561719413618 57.6848129330177,-2.35850286164208 57.687880433641,-2.35040680156958 57.6901451476159,-2.34164054947221 57.6915198885865,-2.33254158803059 57.691951725054,-2.3234602861711 57.6914240299268,-2.31474632759974 57.6899571243573,-2.3067351666746 57.6876074903778,-2.29973504833488 57.6844655835779,-2.29401510447241 57.6806523324507,-2.28979499302344 57.6763144626866,-2.28723648068576 57.6716188304559,-2.28643728898599 57.6667459867427)))', 'GBGDN', 'Gardenstown', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.17533275202785 53.2830685333134,-3.17611334968796 53.2781956878155,-3.17846467785164 53.2735077095826,-3.18229592635316 53.2691846669376,-3.18745956039515 53.2653925594021,-3.19375703602284 53.2622769586176,-3.20094644638796 53.2599574379752,-3.20875180253186 53.2585230013934,-3.21687359443268 53.2580286832893,-3.22500023331463 53.2584934473242,-3.23281994576277 53.2598994626042,-3.24003267468682 53.2621927844006,-3.24636154195116 53.2652854139119,-3.25156344253979 53.269058659924,-3.25543837014016 53.2733676762218,-3.2578371183576 53.2780470039933,-3.25866705936726 53.2829169098734,-3.25789577118767 53.287790279174,-3.25555236393571 53.2924798015124,-3.25172644189088 53.29680517349,-3.24656472894508 53.3006000409658,-3.24026547658175 53.3037184121226,-3.23307086213919 53.3060402918051,-3.22525766684887 53.3074763169519,-3.21712659417238 53.3079712113009,-3.20899064580132 53.3075059234626,-3.20116301243779 53.3060983640753,-3.19394495706047 53.3038027129445,-3.18761416870843 53.3007073234921,-3.18241404486404 53.2969313071084,-3.17854432134478 53.2926199317723,-3.17615341227033 53.2879390154376,-3.17533275202785 53.2830685333134)))', 'GBGFI', 'Greenfield', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.69187678982074 55.6759760923546,-5.69239032270543 55.6710931173542,-5.69457928304084 55.6663605606572,-5.69835900062752 55.6619602115292,-5.70358382849134 55.6580610391366,-5.71005279985185 55.6548127195361,-5.71751737828147 55.6523399091039,-5.72569099916674 55.6507374806127,-5.73426003731442 55.6500669010067,-5.74289578606353 55.6503538864883,-5.7512669986744 55.6515874224246,-5.75905252376099 55.6537201845032,-5.76595356345599 55.6566703452735,-5.77170509588889 55.6603246984783,-5.77608603215757 55.6645429841736,-5.77892772170672 55.6691632522615,-5.78012047794149 55.6740080623556,-5.77961786661031 55.6788912853396,-5.77743858108192 55.6836252478968,-5.77366581865556 55.6880279467325,-5.76844416744469 55.6919300549592,-5.76197411061093 55.6951814495663,-5.75450434983275 55.6976570060356,-5.7463222386878 55.6992614335346,-5.73774269493492 55.699932960788,-5.72909602462047 55.6996457273223,-5.720715137196 55.6984107855239,-5.71292265695164 55.6962756737353,-5.70601844061388 55.6933225771297,-5.70026799366607 55.6896651489187,-5.69589223975251 55.6854441171884,-5.6930590404605 55.6808218500948,-5.69187678982074 55.6759760923546)))', 'GBGIG', 'Ardminish, Gigha Island', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.80634079660153 55.233654214783,-4.80695897499041 55.2287741119065,-4.80923069413205 55.2240566767416,-4.81306812781149 55.2196831131913,-4.81832343681774 55.2158213593233,-4.82479450624325 55.212619654247,-4.83223273623774 55.2102008666058,-4.8403525833006 55.2086577988018,-4.84884248735359 55.2080496434679,-4.85737677170576 55.2083997249093,-4.86562806968975 55.2096946098611,-4.87327981388977 55.2118846206629,-4.88003832183082 55.21488573159,-4.88564402578096 55.2185827773944,-4.88988142366102 55.2228338538586,-4.89258737235723 55.2274757450653,-4.89365740301371 55.2323301727711,-4.89304980871608 55.2372106312121,-4.89078733642828 55.24192954718,-4.88695640461681 55.2463054913335,-4.88170386264155 55.2501701631801,-4.87523140415248 55.2533748793748,-4.86778784046982 55.2557963128585,-4.85965952709862 55.2573412584234,-4.8511593130365 55.2579502375638,-4.84261444458198 55.2575998005573,-4.83435389973849 55.2563034348005,-4.82669565367357 55.2541110433934,-4.81993437871155 55.2511070144866,-4.81433006383605 55.2474069575644,-4.81009799964983 55.2431532352596,-4.80740051725888 55.2385094662943,-4.80634079660153 55.233654214783)))', 'GBGIR', 'Girvan', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.32081148462545 54.788477850428,-4.32148255175997 54.7835996481644,-4.32378702793013 54.7788908107111,-4.32763584757418 54.7745322099877,-4.33288075209884 54.7706912092117,-4.33932004053582 54.7675152518405,-4.34670634225128 54.7651262203536,-4.35475610980768 54.763615777872,-4.36316046925967 54.7630418677698,-4.37159701795515 54.763426502438,-4.37974212738501 54.7647549238342,-4.38728329145168 54.7669761670995,-4.39393105903537 54.7700050061137,-4.39943010394844 54.7737252081892,-4.40356901499692 54.7779939759272,-4.40618843329898 54.7826474093135,-4.40718722224541 54.7875067820236,-4.40652642608148 54.792385394136,-4.40423085408897 54.7970957402988,-4.40038821625042 54.8014567189055,-4.39514583003455 54.805300604728,-4.38870501301786 54.8084795150868,-4.38131336854435 54.8108711179367,-4.37325525743691 54.8123833586894,-4.36484082387163 54.8129580202002,-4.35639400419513 54.8125729756826,-4.34823999058254 54.8112430455748,-4.34069264471363 54.8090194244241,-4.33404235883083 54.8059877003625,-4.32854484250791 54.8022645453001,-4.32441127422257 54.797993206201,-4.32180019946828 54.7933379745456,-4.32081148462545 54.788477850428)))', 'GBGIS', 'Garlieston', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.90866314301056 54.9690450181743,-5.90914406288372 54.964161049579,-5.91127147612166 54.9594248827102,-5.91496309922895 54.9550184491994,-5.9200766840272 54.9511109566184,-5.9264155419874 54.9478524056091,-5.93373612949671 54.945367850103,-5.94175739857697 54.9437526174571,-5.95017155505384 54.9430686682701,-5.95865581719653 54.9433422322566,-5.9668847335252 54.9445628084616,-5.97454259952316 54.9466835669951,-5.981335509746 54.9496231371213,-5.98700259433234 54.9532687147333,-5.99132601693226 54.9574803727536,-5.99413935399779 54.9620964125409,-5.99533403227182 54.9669395545853,-5.99486357077814 54.9718237341326,-5.9927454537663 54.9765612432027,-5.9890605494669 54.9809699458266,-5.98395008318028 54.9848802889811,-5.9776102686683 54.9881418380504,-5.97028479516776 54.9906290826756,-5.96225545450337 54.9922462861053,-5.95383126967544 54.9929311877063,-5.94533654914233 54.9926574127673,-5.93709833658139 54.9914354943592,-5.92943375177773 54.9893124667104,-5.92263772305255 54.9863700460095,-5.91697159502893 54.9827214703379,-5.91265305842643 54.9785071232003,-5.90984779294284 54.9738891126314,-5.90866314301056 54.9690450181743)))', 'GBGLA', 'Glenarm', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-2.80763731977701 53.98293966219,-2.80847365006413 53.9780698737342,-2.81090525427941 53.9733897912407,-2.81483822206409 53.9690791751283,-2.82012110276709 53.9653035424677,-2.82655077243292 53.9622078271891,-2.83388025567111 53.9599108349168,-2.84182819945234 53.9585007017938,-2.85008963742842 53.9580315281079,-2.85834763839747 53.9585213129589,-2.86628540206875 53.9599512672648,-2.87359834997417 53.9622665307959,-2.88000575953292 53.9653782664425,-2.88526150490128 53.9691670533458,-2.88916349901621 53.9734874516515,-2.89156147651487 53.9781735671809,-2.89236281593603 53.9830454058945,-2.89153617028288 53.9879157771108,-2.88911275564479 53.9925974823145,-2.88518523559242 53.9969105140445,-2.87990423140816 54.0006889874745,-2.87347258136251 54.003787536193,-2.86613756233882 54.0060869232102,-2.85818137013879 54.0074986478044,-2.84991022685841 54.0079683674002,-2.8416425412462 54.0074779997879,-2.833696587994 54.00604642277,-2.82637819236018 54.0037287436194,-2.81996890629197 54.0006141672027,-2.81471514131261 53.9968225468602,-2.81081868298691 53.9924997538116,-2.80842895390314 53.9878120468129,-2.80763731977701 53.98293966219)))', 'GBGLD', 'Glasson Dock', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.77152728039414 56.834018429704,-5.77204148953982 56.8291358864787,-5.77428292942946 56.8244021308015,-5.77816487014757 56.8199989947083,-5.78353770476157 56.8160955486846,-5.79019476325279 56.812841625643,-5.79788028417176 56.8103620894464,-5.80629923327132 56.808752064204,-5.81512859338748 56.8080733034693,-5.82402969903315 56.8083518351208,-5.83266115364022 56.8095769697033,-5.84069184780893 56.8117017090417,-5.84781359363585 56.8146445397521,-5.85375290323062 56.8182925446313,-5.85828146865048 56.8225057155503,-5.8612249451196 56.8271223061178,-5.8624696986275 56.8319650226286,-5.86196725143711 56.8368478191691,-5.85973624277055 56.8415830385269,-5.8558618144858 56.8459886258346,-5.85049242981495 56.8498951374321,-5.84383423355158 56.8531522737013,-5.8361431603577 56.8556346815944,-5.82771508976235 56.857246799812,-5.81887442759517 56.8579265561634,-5.80996155998061 56.8576477711963,-5.80131967414285 56.856421172931,-5.79328146754361 56.8542939823755,-5.78615627178517 56.8513480860898,-5.78021809997616 56.8476968679835,-5.77569508683883 56.8434808253703,-5.77276073186266 56.8388621418302,-5.77152728039414 56.834018429704)))', 'GBGLG', 'Glenuig', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.77236395914239 56.1006488147639,-4.77299791250046 56.0957694221823,-4.77532230951294 56.0910528861894,-4.77924727057411 56.0866803729942,-4.78462157286135 56.0828197755755,-4.79123852068987 56.079619283012,-4.79884391349478 56.0772017117463,-4.80714580153801 56.0756598126669,-4.81582565646949 56.0750527302838,-4.82455053490831 56.0754037465052,-4.83298577932386 56.0766993932012,-4.8408077823554 56.0788899665574,-4.84771633863754 56.0818914239385,-4.85344612222242 56.0855885923646,-4.85777685754067 56.089839568515,-4.86054179693025 56.0944811451108,-4.86163417711811 56.0993350592284,-4.86101139923976 56.1042148260228,-4.8586967600814 56.108932897818,-4.85477865370528 56.1133078745937,-4.8494072593696 56.1171714883136,-4.8427888300475 56.1203750906949,-4.83517779184515 56.1227953918533,-4.82686695395988 56.1243392252982,-4.81817620727481 56.1249471520297,-4.809440153344 56.1245957615949,-4.80099515106808 56.1232985790944,-4.79316629335491 56.1211055421554,-4.78625482913231 56.1181010684719,-4.78052652705328 56.1144007902286,-4.77620143713871 56.1101470841878,-4.77344544758775 56.1055035732287,-4.77236395914239 56.1006488147639)))', 'GBGLH', 'Gareloch', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.21166097217082 51.8627366168826,-2.21252114490281 51.8578694043415,-2.21489794863623 51.8531995792252,-2.2186996399565 51.8489065112836,-2.22377985850709 51.8451550512202,-2.22994329147758 51.842089215289,-2.2369531918311 51.8398266736807,-2.24454045950214 51.838454251035,-2.25241393917139 51.8380246085816,-2.260271545508 51.8385542325721,-2.26781179800088 51.8400228044644,-2.2747453333327 51.8423739765002,-2.28080596399489 51.8455175236628,-2.28576086748804 51.8493327913524,-2.28941952066423 51.8536733092579,-2.29164103786184 51.8583723975755,-2.29233962838219 51.8632495535564,-2.29148795704288 51.868117375826,-2.28911826901507 51.8727887622604,-2.28532122441225 51.8770841054139,-2.28024247616962 51.8808382082026,-2.27407711325491 51.8839066520416,-2.26706217651995 51.8861713697101,-2.25946753277307 51.8875452052824,-2.25158546027503 51.887975282423,-2.24371935253857 51.8874450487034,-2.2361719843374 51.8859749154913,-2.22923380229151 51.8836214682421,-2.22317170132884 51.8804752783537,-2.21821872778709 51.8766574027569,-2.21456511099503 51.8723147087929,-2.21235096986985 51.8676142075503,-2.21166097217082 51.8627366168826)))', 'GBGLO', 'Gloucester', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.92304115785364 57.9753494622228,-3.92381822658332 57.9704756003314,-3.92636938120027 57.9657759011842,-3.93059596739741 57.9614308714349,-3.93633513832084 57.9576073332912,-3.9433661765689 57.9544520372146,-3.95141900098759 57.9520860506654,-3.96018452767099 57.950600134233,-3.96932648979914 57.9500512784984,-3.97849427092136 57.9504605309687,-3.98733627204012 57.9518121940186,-3.99551331499062 57.9540544236333,-4.00271158343628 57.9571012066252,-4.0086546183237 57.9608356426268,-4.01311391659791 57.9651144082816,-4.01591772979133 57.9697732363516,-4.01695772180438 57.9746332035477,-4.01619322135356 57.9795075892288,-4.01365289217385 57.9842090440314,-4.00943374049919 57.9885567940198,-4.00369748134369 57.9923836028552,-3.99666438881564 57.9955422221432,-3.98860485681124 57.9979110784944,-3.97982899040404 57.9993989744176,-3.97067463054429 57.9999486179717,-3.96149428112807 57.9995388417108,-3.95264145456501 57.9981854230028,-3.94445697709719 57.9959404731463,-3.93725579689795 57.9928904194615,-3.93131481630567 57.9891526602494,-3.92686222562423 57.9848710247952,-3.92406875214946 57.9802102172371,-3.92304115785364 57.9753494622228)))', 'GBGLP', 'Golspie', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.18863916027391 55.850436504884,-4.18934286240479 55.8455597083935,-4.19172372875304 55.840853821297,-4.1956897250516 55.8364995976948,-4.20108806811033 55.832664226454,-4.20771115361255 55.8294949277856,-4.21530455670254 55.8271133216561,-4.22357679455799 55.8256107805001,-4.2322104780772 55.8250449408121,-4.24087443171136 55.8254375041935,-4.24923632739749 55.8267734099445,-4.25697536115365 55.8290014100015,-4.26379449950367 55.8320360247069,-4.26943183752097 55.835760806317,-4.27367064064046 55.840032788075,-4.27634768787944 55.8446879518067,-4.27735959374373 55.8495475079514,-4.2766668584291 55.8544247502068,-4.27429547899056 55.8591322238359,-4.2703360454004 55.8634889332037,-4.26494034173507 55.8673273110084,-4.25831557048513 55.8704996793169,-4.25071641314358 55.8728839508379,-4.24243522856413 55.8743883473546,-4.23379076790694 55.8749549499101,-4.22511584744475 55.8745619407631,-4.21674446484326 55.8732244484773,-4.20899886838249 55.8709939626525,-4.20217709065008 55.8679563413821,-4.19654143839227 55.8642284901325,-4.19230838952998 55.8599538429852,-4.18964028901121 55.8552968238951,-4.18863916027391 55.850436504884)))', 'GBGLW', 'Glasgow', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.15371223905797 57.4663306734235,-7.15484687541233 57.4614778827388,-7.15771592737128 57.4568375689181,-7.16220858343886 57.4525879407352,-7.16815184345185 57.4488921455296,-7.17531721987369 57.4458920244356,-7.18342953212472 57.4437026898198,-7.19217745398212 57.4424081290125,-7.20122541296221 57.4420579991249,-7.21022639423251 57.4426657327336,-7.21883517094002 57.4442080251201,-7.22672146845547 57.4466257222476,-7.23358257217727 57.4498260765035,-7.23915490719129 57.4536862861674,-7.24322415292889 57.4580581863356,-7.24563350636226 57.4627739153169,-7.24628977216543 57.4676523429235,-7.24516703610051 57.4725060170543,-7.24230776653245 57.4771483637887,-7.23782128567778 57.4814008648607,-7.23187965357792 57.4850999355601,-7.22471110993128 57.4881032360885,-7.21659131749596 57.4902951700389,-7.20783274128413 57.4915913543553,-7.19877257580996 57.4919418847615,-7.18975969423715 57.4913332677053,-7.18114113513468 57.4897889424025,-7.17324866241369 57.4873683723835,-7.16638593079321 57.4841647426331,-7.16081676301708 57.4803013535361,-7.15675499746783 57.4759268540359,-7.15435629838152 57.4712095015479,-7.15371223905797 57.4663306734235)))', 'GBGMY', 'Grimsay', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.824934980729328 53.7162434659887,-0.825994342313759 53.7113903175768,-0.828628885661411 53.7067529727066,-0.832736932091964 53.7025095389611,-0.838160341138383 53.6988229456371,-0.844690628784706 53.6958347043074,-0.852076989188271 53.6936594952658,-0.860035910180006 53.6923807841489,-0.868262016525027 53.6920476335939,-0.876439732138975 53.6926728295514,-0.884255324181271 53.6942323924813,-0.891408878796131 53.6966664918317,-0.897625760524954 53.699881729721,-0.902667125038629 53.7037547084204,-0.906339087487283 53.7081367478321,-0.908500195739066 53.7128595754072,-0.90906691797476 53.7177417734555,-0.908016925952994 53.722595739025,-0.905390036678101 53.727234890709,-0.901286763567735 53.7314808458541,-0.895864520393137 53.7351702913036,-0.889331613674814 53.7381612812744,-0.881939247983588 53.7403387170171,-0.873971849738617 53.7416187938993,-0.865736084760806 53.7419522413582,-0.857548999575839 53.7413262282422,-0.849725753458358 53.7397648584965,-0.842567425528236 53.7373282377448,-0.836349377936983 53.7341101477296,-0.831310632503662 53.73023442039,-0.827644675345092 53.7258501542792,-0.825492044341622 53.7211259609405,-0.824934980729328 53.7162434659887)))', 'GBGOO', 'Goole', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.76106744176442 50.2335967051312,-4.76163597426346 50.2287134386089,-4.76367844071916 50.2239951267226,-4.7671159595358 50.2196230215188,-4.77181615459114 50.2157650278266,-4.77759828397104 50.2125692679375,-4.78424020330779 50.2101584103771,-4.7914868935038 50.2086249775135,-4.79906022654734 50.2080278090402,-4.8066695993656 50.208389814353,-4.81402303532248 50.2096970981443,-4.82083833676979 50.211899491912,-4.82685387035971 50.2149124713321,-4.83183857964989 50.2186203874092,-4.83560084657937 50.2228808898181,-4.83799586401807 50.22753037563,-4.838931234774 50.2323902573308,-4.8383705767439 50.2372738121688,-4.83633498742727 50.241993351707,-4.83290230143848 50.2463674370002,-4.82820415914512 50.2502278617691,-4.82242098994567 50.2534261336129,-4.81577509650955 50.2558392015836,-4.80852210295423 50.2573742067979,-4.80094109692115 50.2579720701858,-4.7933238496275 50.2576097765569,-4.78596353652827 50.2563012651125,-4.77914340225495 50.2540968912539,-4.7731258159089 50.2510814807564,-4.76814214644472 50.2473710527249,-4.76438385361789 50.2431083399071,-4.76199513953667 50.2384572817459,-4.76106744176442 50.2335967051312)))', 'GBGOR', 'Gorran Haven', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.6224604821164 56.000232845974,-3.62323794237244 55.995359321223,-3.62569656282231 55.9906644043051,-3.62974132281518 55.9863284236226,-3.63521641920488 55.9825178637069,-3.64191130914885 55.9793789893596,-3.64956882193755 55.9770322510704,-3.65789502502969 55.9755676827159,-3.66657046775904 55.9750414643775,-3.67526237852779 55.9754737789239,-3.68363735875022 55.9768480423744,-3.69137410000214 55.9791115367181,-3.69817565007352 55.9821774215467,-3.70378076892352 55.9859280493575,-3.70797394661189 55.9902194604379,-3.7105937015134 55.9948868885734,-3.7115388375103 55.9997510700337,-3.71077241193675 56.004625116873,-3.70832324982208 56.0093216928096,-3.70428493187246 56.0136602168712,-3.69881228049045 56.0174738173204,-3.69211546628587 56.0206157664622,-3.68445195291694 56.022965145697,-3.67611658645774 56.024431519088,-3.667430212615 56.0249584317526,-3.65872726715193 56.0245255951171,-3.65034282858898 56.0231496726456,-3.64259964529811 56.0208836349205,-3.63579565023046 56.0178147095575,-3.63019245565289 56.014061006953,-3.62600527855006 56.0097669549291,-3.62339468701131 56.0050977217594,-3.6224604821164 56.000232845974)))', 'GBGRG', 'Grangemouth', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.68855416883538 55.9336172933521,-4.68919637276226 55.9287381575289,-4.69152139468942 55.924023077507,-4.69543933778443 55.9196531635765,-4.70079925451004 55.9157962093475,-4.70739500555226 55.9126002648192,-4.71497320588587 55.9101879728475,-4.72324294899734 55.9086518827176,-4.7318869376254 55.9080509168718,-4.74057360067397 55.9084081230443,-4.74896974227328 55.9097097956896,-4.75675325098088 55.9119059993902,-4.7636253951489 55.9149124746245,-4.76932224456276 55.9186138546565,-4.7736247883078 55.9228680731245,-4.77636736385088 55.9275117968713,-4.77744407155931 55.9323666792884,-4.77681292089377 55.9372461974344,-4.77449753735544 55.9419628127244,-4.77058635042075 55.9463351811379,-4.76522927906203 55.9501951353926,-4.75863202940959 55.9533941687631,-4.75104821463586 55.9558091681446,-4.7427695960007 55.9573471720734,-4.7341148219841 55.9579489667478,-4.72541710566218 55.9575913782518,-4.71701132566797 55.9562881703364,-4.70922106080349 55.9540895121504,-4.7023460712795 55.9510800368892,-4.69665072048786 55.9473755680158,-4.692353791189 55.9431186421399,-4.68962009116619 55.9384730045967,-4.68855416883538 55.9336172933521)))', 'GBGRK', 'Greenock', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.15547751332791 55.9830641793211,-3.15631336097084 55.9781936115615,-3.15882744600824 55.9735080162653,-3.16292262265309 55.9691873607412,-3.16844115936929 55.9653975386992,-3.17517085439292 55.9622840173814,-3.18285320972248 55.9599662737228,-3.19119334660606 55.958533229348,-3.19987128432584 55.9580398558295,-3.20855415694054 55.958505077265,-3.21690891062199 55.9599110484935,-3.22461500794564 55.9622038358615,-3.23137666526816 55.965295475137,-3.23693416514918 55.9690673297125,-3.24107381735704 55.9733746234046,-3.24363618871265 55.9780519776493,-3.2445222828574 55.9829197443226,-3.24369742449667 55.9877908942588,-3.24119268675429 55.9924781990811,-3.23710379237744 55.9968014312213,-3.23158751648284 56.0005943047034,-3.22485571664231 56.0037108877315,-3.21716721129413 56.0060312372527,-3.20881781547371 56.007466034923,-3.20012891948907 56.0079600422461,-3.19143505758049 56.007494238633,-3.18307095659906 56.0060865578762,-3.17535857701207 56.0037911938899,-3.1685946588795 56.0006965031733,-3.16303926382704 55.9969215868884,-3.15890576164276 55.9926116873359,-3.15635264921934 55.9879325797979,-3.15547751332791 55.9830641793211)))', 'GBGRN', 'Granton', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.57397210756575 54.6679223154454,-5.57449097967546 54.6630390983116,-5.57664300433802 54.6583083645589,-5.58034496527788 54.6539118358188,-5.58545422943915 54.6500183389893,-5.5917742842254 54.6467773379985,-5.59906231450581 54.644313214476,-5.60703852444838 54.6427205134004,-5.61539684742293 54.642060332555,-5.62381663886945 54.6423579910939,-5.63197491326269 54.6436020643177,-5.63955866782185 54.6457448205737,-5.64627683276529 54.6487040438139,-5.65187140073106 54.6523661735471,-5.65612731620987 54.6565906444771,-5.65888074887483 54.661215262759,-5.66002543157807 54.6660624161515,-5.65951681311324 54.6709458828946,-5.65737385571689 54.6756779801959,-5.65367839525675 54.680076778836,-5.64857207514909 54.6839731063461,-5.64225095978288 54.6872170678526,-5.63495802575034 54.6896838310142,-5.62697381543405 54.6912784489907,-5.61860561344906 54.6919395321677,-5.61017556834714 54.6916416240191,-5.60200822668191 54.6903961872449,-5.59441797164539 54.6882511610867,-5.58769686265745 54.6852891071648,-5.58210335528216 54.6816240169164,-5.57785234356125 54.6773969063491,-5.57510691126765 54.6727703711684,-5.57397210756575 54.6679223154454)))', 'GBGRO', 'Groomsport', 'Y'),('SRID=4326;MULTIPOLYGON(((0.0418562953741767 53.5340436504729,0.0413914182544911 53.5291587515687,0.0393362889985801 53.5244217290918,0.0357703696181438 53.5200145521317,0.0308310465836097 53.5161064639343,0.0247082980174266 53.5128474965784,0.0176373683555066 53.5103627286866,0.00988973566621924 53.5087475032931,0.00176271754696355 53.5080637859167,-0.00643189084857153 53.5083377994575,-0.0143797196932458 53.5095590243567,-0.0217758228604418 53.5116806012468,-0.0283363232206242 53.5146211208645,-0.0338092684960907 53.5182677340787,-0.0379842886007348 53.5224804653183,-0.0407006871738398 53.5270975671634,-0.0418536553225925 53.5319417140626,-0.0413983630223902 53.5368268005244,-0.0393517613110792 53.5415650850272,-0.0357920139601424 53.5459744063499,-0.0308555678040652 53.5498851947872,-0.0247319629849176 53.5531470071736,-0.0176565742933442 53.5556343317562,-0.00990155864341104 53.5572514362675,-0.00176535762175433 53.5579360691097,0.00643883560258226 53.5576618680109,0.0143951919971364 53.5564393810843,0.0217974671919844 53.5543156598296,0.0283608444227267 53.5513724399709,0.0338329334359105 53.5477229817266,0.0380034945056195 53.5435076937978,0.0407125101199306 53.5388887128369,0.0418562953741767 53.5340436504729)))', 'GBGSY', 'Grimsby', 'Y'),('SRID=4326;MULTIPOLYGON(((1.79103802925734 52.6334258895308,1.79038383727294 52.6285467023806,1.78817817197044 52.6238388941677,1.78450623907845 52.6194833033581,1.77950945529409 52.6156471874824,1.77337996725698 52.6124778146188,1.76635324889615 52.6100968270373,1.75869906440016 52.608595590102,1.750711142224 52.6080317016,1.74269595073179 52.6084267925458,1.73496099719558 52.6097657018191,1.72780308823902 52.6119970554601,1.72149699108953 52.6150352288659,1.71628492116716 52.6187636183055,1.71236725289029 52.6230390989076,1.70989480775736 52.6276975012917,1.70896301778911 52.6325598999595,1.70960819474199 52.6374394749163,1.71180605806483 52.6421486850336,1.71547258980884 52.6465064784187,1.7204671955533 52.6503452622191,1.72659806024709 52.6535173621896,1.73362950037944 52.6559007208826,1.74129103291573 52.6574036119535,1.74928781072789 52.6579681857877,1.75731201725983 52.6575727070349,1.76505477277963 52.6562323958555,1.77221808288153 52.6539988396373,1.77852635806325 52.6509579983059,1.78373705132075 52.64722688176,1.78764999782217 52.642949030048,1.79011509491742 52.63828897353,1.79103802925734 52.6334258895308)))', 'GBGTY', 'Great Yarmouth', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.23848375027064 56.827730661619,-2.23945698758709 56.8228675858241,-2.24214128649765 56.8182020131773,-2.24643294283065 56.8139131325481,-2.2521666729458 56.8101656079318,-2.25912201968734 56.807103274149,-2.26703184142583 56.8048436367941,-2.27559255544761 56.8034733836303,-2.28447574554023 56.8030450758241,-2.29334069666048 56.803575142753,-2.30184738804719 56.8050432552229,-2.3096694606575 56.8073931004894,-2.31650667564072 56.8105345302374,-2.32209639770934 56.8143470014084,-2.32622367042024 56.8186841812034,-2.32872949890884 56.8233795434498,-2.32951701849272 56.8282527453837,-2.32855530326646 56.8331165432555,-2.32588065527796 56.8377839832726,-2.32159530943453 56.8420755922761,-2.31586358866032 56.8458262909006,-2.30890564420433 56.848891761112,-2.30098901317173 56.8511540198227,-2.29241831492848 56.8525259801912,-2.28352348569552 56.8529548211443,-2.27464701247251 56.8524240321374,-2.26613067015903 56.8509540522946,-2.25830228706508 56.8486014786517,-2.25146306275398 56.8454568748945,-2.24587593841239 56.8416412672961,-2.2417554750003 56.8373014661477,-2.23925963072725 56.8326043966989,-2.23848375027064 56.827730661619)))', 'GBGUD', 'Gourdon', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.75553626774509 55.9506415848655,-4.75617027941486 55.9457621671556,-4.75848811492344 55.9410458831721,-4.76240015225406 55.9366738898461,-4.76775566920817 55.932814060908,-4.77434869391983 55.929614556846,-4.78192594473415 55.9271981571261,-4.79019655067023 55.925657568541,-4.79884318094117 55.9250518859399,-4.80753416321078 55.9254043378076,-4.81593613650332 55.9267014008248,-4.82372676661603 55.9288933163458,-4.83060704984252 55.9318959894297,-4.83631274482172 55.935594199438,-4.84062450211374 55.939846002011,-4.84337630607704 55.9444881571829,-4.84446190281015 55.9493423790913,-4.84383895990124 55.9542221706901,-4.84153078655378 55.9589399833663,-4.83762553380946 55.9633144274597,-4.8322728909743 55.9671772561332,-4.82567839235336 55.9703798522163,-4.81809554398821 55.9727989655109,-4.8098160690348 55.9743414761065,-4.80115864850828 55.9749479965447,-4.79245659746577 55.9745951707875,-4.78404496200597 55.9732965790755,-4.77624754731035 55.9711022127849,-4.76936438997581 55.9680965399643,-4.76366016891795 55.9643952379355,-4.75935400918288 55.9601407217899,-4.75661107423352 55.9554966446099,-4.75553626774509 55.9506415848655)))', 'GBGUR', 'Gourock', 'Y'),('SRID=4326;MULTIPOLYGON(((0.406921695799282 51.4338904225623,0.406430433432265 51.4290052164627,0.404424247183159 51.4242737664813,0.400980659129723 51.4198778311643,0.396232309326144 51.415986229483,0.390361812265466 51.4127483706356,0.383594718242511 51.4102885340687,0.376190853232199 51.4087011162314,0.368434368889945 51.4080470232779,0.360622879722278 51.4083513452684,0.353056096238578 51.4096023990126,0.346024380252684 51.4117521752693,0.339797651088181 51.4147181733889,0.334615059214566 51.4183865544508,0.330675817086344 51.4226164943467,0.328131536294594 51.427245572806,0.327080366564189 51.4320959947246,0.327563167051342 51.4369814078181,0.329561865685522 51.44171405688,0.333000080309588 51.4461120008154,0.337745988925624 51.4500061148594,0.343617348690652 51.4532466073295,0.350388477972536 51.455708797834,0.357798936465641 51.4572979315575,0.365563568716212 51.4579528411178,0.373383519771144 51.457648312133,0.380957790873828 51.456396059307,0.38799488028743 51.4542442744302,0.394224050633063 51.451275763947,0.399405779794927 51.4476047492627,0.403340986660163 51.4433724554307,0.405878673970783 51.4387416610867,0.406921695799282 51.4338904225623)))', 'GBGVS', 'Gravesend', 'Y'),('SRID=4326;MULTIPOLYGON(((0.840036628455858 51.550744123816,0.839498087980552 51.5458602975896,0.837442044716968 51.5411357952716,0.833947935888525 51.5367521055566,0.829150339133407 51.5328775745231,0.823233755102831 51.5296609539576,0.816425497310586 51.5272257068516,0.808986965449142 51.5256652855737,0.801203636155338 51.525039560718,0.79337415036218 51.5253725348127,0.785798907795975 51.5266514265547,0.778768596153676 51.528827159759,0.772553084663347 51.5318162385681,0.767391099058926 51.5355039384856,0.76348106777819 51.5397486932776,0.760973488048617 51.5443875124733,0.759965106463295 51.5492422247381,0.760495143092744 51.5541263102736,0.762543713015897 51.5588520619141,0.766032516756817 51.563237800767,0.770827784329216 51.5671148687917,0.776745369680265 51.5703341279678,0.783557806855822 51.5727717135992,0.791003059891046 51.5743338172979,0.798794628910904 51.5749603123359,0.806632618557362 51.5746270789316,0.814215334467924 51.5733469378658,0.821250951195851 51.5711691555219,0.827468791862294 51.5681775397208,0.832629776138798 51.5644872011931,0.836535628032299 51.560240107877,0.839036486589988 51.5555996062622,0.840036628455858 51.550744123816)))', 'GBGWG', 'Great Wakering', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.27755499609226 50.8494243491825,-1.27849225768179 50.8445640259547,-1.28090882359713 50.8399128109577,-1.28471145458811 50.8356493568713,-1.28975378258806 50.8319373777072,-1.29584197118705 50.8289193768809,-1.30274217404806 50.826711193066,-1.31018950325909 50.8253975700634,-1.3178981657691 50.8250289176764,-1.32557238491602 50.8256193854164,-1.33291769663946 50.8271463214133,-1.33965219692381 50.8295511369212,-1.34551731863955 50.8327415441049,-1.35028773221652 50.8365950831887,-1.35377999513872 50.8409638063625,-1.35585961938539 50.8456799418051,-1.35644628255261 50.8505623234296,-1.35551697592871 50.8554233419468,-1.35310695924677 50.8600761518139,-1.349308474696 50.8643418575471,-1.34426725908437 50.8680564023421,-1.33817697946931 50.8710768921894,-1.33127180052469 50.8732871094843,-1.32381736772572 50.8746020008469,-1.31610055558105 50.8749709633771,-1.30841838146224 50.874379800347,-1.30106652050339 50.8728512694784,-1.29432787378228 50.8704442023223,-1.28846163968508 50.8672512295073,-1.28369331713045 50.8633952014033,-1.28020603029385 50.8590244447509,-1.27813350963168 50.8543070409497,-1.27755499609226 50.8494243491825)))', 'GBHAM', 'Hamble', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.37712409041272 50.1828024614457,-5.37762921943739 50.1779170930421,-5.37960856746919 50.1731888558944,-5.38298567464997 50.1687993870997,-5.38763047929286 50.1649172614264,-5.39336435876434 50.1616915298448,-5.39996701280094 50.159246012413,-5.40718492190124 50.1576745616734,-5.41474105693162 50.1570374752896,-5.42234547183656 50.1573591928559,-5.42970638047798 50.158627363268,-5.43654130187087 50.160793317502,-5.44258785580312 50.1637739289136,-5.44761380306258 50.1674547910831,-5.4514259509509 50.1716945936053,-5.45387758480858 50.1763305308142,-5.45487413890189 50.1811845388938,-5.454376883812 50.1860701246395,-5.45240448055352 50.1907995256071,-5.4490323317066 50.195190927519,-5.44438974409639 50.1990754613075,-5.43865500283203 50.2023037093885,-5.43204853937575 50.2047514685898,-5.42482445317782 50.2063245450797,-5.41726071377932 50.2069623936884,-5.40964842493313 50.2066404587797,-5.4022805715149 50.2053711245463,-5.3954406917897 50.2032032371937,-5.38939192083047 50.2002202176662,-5.38436683537038 50.1965368389975,-5.38055849690522 50.1922947947071,-5.37811304014361 50.1876572317494,-5.37712409041272 50.1828024614457)))', 'GBHAY', 'Hayle', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.77152747153852 54.0909268549987,-2.77237022961588 54.086057412449,-2.77481223060892 54.0813781554699,-2.77875916196949 54.0770688121754,-2.78405903501306 54.0732948500341,-2.79050807279753 54.0702011380876,-2.79785855708215 54.0679064043831,-2.80582833044883 54.06649869787,-2.81411159112847 54.066032025436,-2.82239057304283 54.0665242901865,-2.83034767308296 54.06795660812,-2.83767757234625 54.0702740287525,-2.84409889825276 54.0733876327653,-2.84936499015592 54.0771779281909,-2.85327336193795 54.0814994177947,-2.85567350048279 54.0861861658604,-2.85647269780215 54.0910581541895,-2.85563968545204 54.0959281862251,-2.85320592070909 54.1006090761051,-2.84926446222785 54.1049208471214,-2.84396646549571 54.1086976622073,-2.83751542180135 54.1117942179862,-2.83015935476507 54.1140913534632,-2.82218127172751 54.1155006540404,-2.81388823953069 54.1159678701478,-2.8055995118798 54.1154750159105,-2.79763417558582 54.1140410650743,-2.79029880344718 54.1117212167181,-2.78387560123863 54.10860475976,-2.77861151525466 54.1048116205028,-2.77470872622803 54.1004877291284,-2.77231689735009 54.0957993870004,-2.77152747153852 54.0909268549987)))', 'GBHBK', 'Hest Bank', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.11119712662171 50.0837124330393,-5.111728640228 50.0788278235264,-5.11373054363648 50.0741037736397,-5.1171255145007 50.0697217583051,-5.12178280958286 50.0658500651932,-5.12752333107616 50.0626373443826,-5.13412652744883 50.060206916648,-5.14133886088847 50.0586520559352,-5.14888351722803 50.0580324240365,-5.15647099029001 50.0583717915819,-5.16381014201031 50.0596571308442,-5.17061932322272 50.0618391142683,-5.17663713796306 50.0648339998865,-5.18163244662108 50.0685268327077,-5.18541322993094 50.0727758415916,-5.18783397600951 50.0774178657872,-5.18880130541001 50.0822746058841,-5.1882776130333 50.0871594618833,-5.18628257885426 50.0918846977245,-5.18289247944216 50.096268657931,-5.17823731640001 50.1001427587437,-5.17249586294962 50.1033579835335,-5.16588881250338 50.1057906303173,-5.15867028962074 50.107347087319,-5.15111805075569 50.1079674497256,-5.14352275645773 50.1076278356935,-5.13617673550464 50.1063413104756,-5.12936268284177 50.104157382178,-5.1233427360671 50.1011600888583,-5.11834835937258 50.0974647520583,-5.11457143013963 50.0932135241264,-5.11215687350241 50.0885699036433,-5.11119712662171 50.0837124330393)))', 'GBHDR', 'Helford River', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.80758651004819 54.0329396154783,-2.80842386343051 54.0280698689628,-2.81085840231139 54.0233898290479,-2.81479610214303 54.0190792543461,-2.82008532948751 54.0153036600837,-2.82652271617086 54.0122079784181,-2.8338609905858 54.0099110133849,-2.8418184628185 54.0085008998297,-2.85008980176958 54.0080317371214,-2.85835769742042 54.0085215238802,-2.86630497090205 54.0099514710108,-2.87362667970183 54.0122667187287,-2.88004176550377 54.0153784307837,-2.88530380779716 54.0191671875209,-2.88921047719396 54.0234875505422,-2.89161132771139 54.0281736272766,-2.89241362605849 54.0330454253432,-2.8915859867122 54.0379157556811,-2.88915966227445 54.0425974212863,-2.88522742671934 54.0469104160502,-2.87994008159739 54.0506888563144,-2.87350070852921 54.0537873766438,-2.86615688152917 54.0560867408415,-2.85819113584102 54.0574984488107,-2.84991006212361 54.0579681584469,-2.8416324524275 54.057477787865,-2.83367696449899 54.0560462150421,-2.82634979142661 54.0537285472603,-2.81993282341147 54.0506139892027,-2.81467276751215 54.0468223938026,-2.8107716507042 54.0424996316185,-2.80837907363827 54.037811960472,-2.80758651004819 54.0329396154783)))', 'GBHEQ', 'Lune Estuary - Heaton', 'Y'),('SRID=4326;MULTIPOLYGON(((21.105178034359 64.1869700014325,21.1040611382033 64.182107351929,21.1007909713672 64.1774330936478,21.0954941494673 64.1731267173882,21.0883748554823 64.1693535085313,21.0797068978896 64.1662582266231,21.0698231556539 64.1639595792567,21.0591028205047 64.1625456970148,21.0479569214193 64.1620707777937,21.0368126729066 64.1625530247603,21.0260972267906 64.1639739540493,21.0162214262899 64.1662790977159,21.0075641611193 64.169380076041,21.0004579030965 64.1731579627024,20.9951759634976 64.1774678182109,20.9919219565795 64.1821442229697,20.990821879087 64.187007602926,20.9919191245092 64.1918711094965,20.9951726454273 64.1965477925927,21.0004583604115 64.2008577922602,21.0075737774138 64.2046352714881,21.0162456781998 64.2077348206055,21.0261405834969 64.2100370823748,21.0368776021037 64.2114533759524,21.0480431651347 64.2119291363367,21.059207064416 64.211446032301,21.0699391564645 64.210022678192,21.0798260638662 64.2077139111124,21.0884872059845 64.2046086624144,21.095589520779 64.2008265085459,21.1008602973022 64.1965130386394,21.1040976207772 64.19183422255,21.105178034359 64.1869700014325)))', 'SEBAV', 'Båtviken', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.47252303749401 57.6094468574525,-7.47362007429832 57.6045911489903,-7.47646025348263 57.5999435688998,-7.48093386303555 57.5956826065592,-7.48686862453957 57.5919718452431,-7.49403636827806 57.5889537005441,-7.5021618166821 57.5867439758377,-7.51093313636791 57.5854274397071,-7.52001385736262 57.5850545910901,-7.5290557112505 57.5856397330193,-7.53771190884993 57.5871604268063,-7.54565036322559 57.5895583470658,-7.55256636561376 57.592741505821,-7.55819424016854 57.5965877628381,-7.56231753802059 57.6009494910282,-7.56477738133878 57.6056592219295,-7.56547863285667 57.6105360585334,-7.56439364413084 57.6153926124997,-7.56156342452181 57.6200422014011,-7.55709616978688 57.6243060300366,-7.55116319087856 57.6280200787646,-7.54399238612628 57.6310414315142,-7.53585949910764 57.6332537965129,-7.52707749566709 57.6345720032165,-7.51798447228389 57.6349452983568,-7.50893057030404 57.6343593109222,-7.5002644131249 57.6328366083216,-7.49231960393846 57.6304358217648,-7.48540181896921 57.6272493755969,-7.4797770054417 57.6233999105305,-7.47566114620869 57.6190355420507,-7.47321198663803 57.6143241405789,-7.47252303749401 57.6094468574525)))', 'GBHGY', 'Hougharry and Loch Eport', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.6384957056564 55.9835995950391,-4.63914492087871 55.9787207156775,-4.6414789269351 55.9740065625961,-4.64540748057909 55.9696382099688,-4.65077922620828 55.9657833909128,-4.65738757051984 55.9625900729565,-4.66497864593213 55.960180797741,-4.67326105313939 55.9586479985229,-4.68191701048774 55.9580504713768,-4.69061448915673 55.95841113217,-4.69901987947277 55.9597161430167,-4.70681071573402 55.9619154407072,-4.71368798501478 55.9649246473123,-4.71938755956508 55.9686282915484,-4.72369032235587 55.9728842203205,-4.72643060044877 55.977529034843,-4.72750258021642 55.982384346491,-4.72686445057748 55.9872636155479,-4.72454010338758 55.9919793125824,-4.72061831141966 55.9963501283679,-4.71524940087147 56.0002079547945,-4.70863953342806 56.0034043664888,-4.70104280855149 56.0058163508161,-4.69275148562593 56.0073510620818,-4.68408470364329 56.0079494131187,-4.67537613937886 56.0075883626293,-4.66696109019025 56.0062818078275,-4.65916349225643 56.0040800469765,-4.65228338790567 56.0010678329998,-4.64658533649928 55.9973610950263,-4.64228822317884 55.9931024571444,-4.63955686080076 55.9884557305767,-4.6384957056564 55.9835995950391)))', 'GBHLN', 'Helensburgh', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.59133223649695 53.3005632832614,-4.59195174815344 53.2956828047228,-4.59414826554795 53.2909684830556,-4.59783691283075 53.2866014072979,-4.60287561272245 53.2827492748041,-4.60907059569619 53.2795599660601,-4.61618386682505 53.2771558852657,-4.62394234030303 53.275629280594,-4.63204829238907 53.275038720301,-4.64019073740377 53.275406856903,-4.64805729951882 53.2767195630873,-4.65534613611225 53.2789264715879,-4.66177746676088 53.2819428987374,-4.66710427552793 53.2856530795922,-4.67112178278997 53.2899145932179,-4.67367532580726 53.2945638116309,-4.67466634357108 53.2994221666778,-4.67405622971948 53.3043029972519,-4.67186789557287 53.3090187160172,-4.66818497115663 53.3133880212403,-4.66314866249502 53.3172428761515,-4.65695237507005 53.3204349858016,-4.64983430239757 53.322841519578,-4.64206826127413 53.3243698558632,-4.63395312754676 53.3249611627782,-4.62580128471828 53.3245926741401,-4.6179265393509 53.3232785708561,-4.61063197989351 53.3210694328881,-4.60419825802291 53.3180502833204,-4.59887275371598 53.31433730156,-4.594860048002 53.310073334954,-4.59231407262756 53.3054223849294,-4.59133223649695 53.3005632832614)))', 'GBHLY', 'Holyhead', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.60185364792065 58.1152312649601,-3.60267740650066 58.110359419113,-3.60528063657346 58.1056662000467,-3.60956268127545 58.1013318626804,-3.61535856534799 58.0975228159995,-3.6224453984939 58.0943852519879,-3.63055096467613 58.0920395560733,-3.63936416374921 58.0905757095586,-3.6485469071717 58.0900498563594,-3.65774701973473 58.0904821622523,-3.6666116652677 58.0918560463597,-3.67480079675641 58.0941188134285,-3.68200013051957 58.0971836633498,-3.68793316004414 58.1009330030394,-3.69237175751126 58.1052229370078,-3.69514495937 58.1098887683621,-3.69614559556472 58.1147513032166,-3.69533449874561 58.1196237200129,-3.69274211797099 58.1243187423685,-3.68846745839867 58.1286558408301,-3.68267437096703 58.1324681860611,-3.67558532020683 58.1356090839038,-3.66747285976347 58.1379576413845,-3.6586491393697 58.1394234415523,-3.64945384934386 58.139950043065,-3.64024107500464 58.1395171662217,-3.63136558016661 58.1381414788225,-3.62316906355381 58.1358759506557,-3.6159669331645 58.1328078021829,-3.61003612126953 58.1290551286633,-3.6056044180704 58.1247623331315,-3.60284173752679 58.1200945481269,-3.60185364792065 58.1152312649601)))', 'GBHMA', 'Helmsdale', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.27206231349924 60.1023573634887,-1.27327642789129 60.0975057648887,-1.276362020772 60.0928656026053,-1.28119984764521 60.0886150680334,-1.28760357162636 60.0849173261525,-1.29532698814195 60.0819142726962,-1.30407350334713 60.0797211125624,-1.31350749953638 60.0784219630482,-1.323267155779 60.0780666462569,-1.33297824278521 60.0786687901623,-1.34226837849282 60.0802053089348,-1.35078121558128 60.0826172818896,-1.35819003429751 60.0858121985226,-1.36421023359865 60.0896674862696,-1.36861025040355 60.0940351895587,-1.37122049010771 60.0987476250938,-1.37193992045398 60.103623800683,-1.37074006383977 60.1084763547713,-1.36766621802492 60.1131187524356,-1.3628358391226 60.1173724619651,-1.35643413012908 60.1210738350224,-1.3487069888499 60.1240804230605,-1.33995157618738 60.1262764830731,-1.33050486440302 60.127577456282,-1.3207306102638 60.1279332429423,-1.31100526546132 60.1273301435467,-1.30170338268201 60.12579138939,-1.29318309763286 60.1233762414746,-1.28577226394923 60.1201776936641,-1.27975578943012 60.116318871337,-1.2753646700884 60.1119482681726,-1.27276714596916 60.1072340089458,-1.27206231349924 60.1023573634887)))', 'GBHMV', 'Hamnavoe, Burra Isle', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.85178671894178 58.899953726986,-2.85273382259953 58.8950875650076,-2.85549657354275 58.8904104803429,-2.85996816230493 58.8861020995423,-2.86597632367629 58.8823278257389,-2.87329002108055 58.8792325075049,-2.88162834717741 58.8769349020028,-2.89067129539009 58.875523140714,-2.90007199205368 58.8750513675252,-2.90946992907424 58.8755376745959,-2.91850470335072 58.8769634128246,-2.92682975232241 58.8792739025445,-2.9341255751291 58.8823805180413,-2.9401119460095 58.8861640683231,-2.94455866044498 58.8904793480148,-2.9472944045979 58.8951606879655,-2.94821340381819 58.9000282967511,-2.9472795849282 58.90489515319,-2.94452807758181 58.9095741875648,-2.9400639795113 58.9138854765,-2.93405841553504 58.917663174126,-2.92674202679584 58.920761910625,-2.91839613036174 58.9230624084343,-2.90934188532328 58.9244760957442,-2.8999278851862 58.9249485354483,-2.8905166633813 58.9244615339158,-2.88147064550121 58.9230338459742,-2.87313810584484 58.9207204481168,-2.86583968565972 58.9176104087962,-2.85985600613085 58.9138234402506,-2.85541686203938 58.9095052682547,-2.85269241470525 58.9048220022857,-2.85178671894178 58.899953726986)))', 'GBHOM', 'Holm', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.37039241667114 57.7001449290487,-3.37123817459072 57.6952742519721,-3.37384185862931 57.6905854681958,-3.37810281440138 57.6862586623345,-3.38385689325692 57.6824599554381,-3.39088282142017 57.6793351447608,-3.3989107256597 57.6770041289768,-3.40763248455119 57.675556328808,-3.41671351060224 57.6750472747627,-3.42580551940434 57.6754964894644,-3.43455980856968 57.6768867434842,-3.44264055211263 57.6791647123537,-3.44973761543506 57.6822430102838,-3.45557841217718 57.6860035247774,-3.45993835662501 57.6903019275559,-3.46264951352855 57.6949731927015,-3.46360711009526 57.6998379142552,-3.46277365112037 57.704709184183,-3.46018046567218 57.7093997689203,-3.45592660982234 57.7137293096733,-3.45017515132089 57.7175312690299,-3.44314696501536 57.7206593545787,-3.43511226791575 57.7229931690758,-3.42638021559638 57.72444286572,-3.41728696263193 57.7249526252813,-3.40818265487069 57.7245028177274,-3.39941786710864 57.723110762744,-3.39133002364898 57.7208300589803,-3.38423033998658 57.7177485085887,-3.37839180140118 57.7139847192246,-3.37403864981973 57.7096835177356,-3.37133778633856 57.7050103561172,-3.37039241667114 57.7001449290487)))', 'GBHOP', 'Hopeman', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.8110528402077 50.2332783662258,-3.81171845946311 50.2283993995546,-3.81385480546151 50.2236974503359,-3.81737939693068 50.2193531364942,-3.82215652410576 50.2155332911837,-3.82800250366808 50.2123845692097,-3.83469275283107 50.2100278324157,-3.84197040844639 50.2085535265743,-3.84955616167698 50.208018224181,-3.85715893583992 50.2084424631942,-3.86448700554529 50.2098099628449,-3.87125913994633 50.212068245884,-3.87721535211262 50.2151306438706,-3.8821268502557 50.2188796101607,-3.88580481445838 50.2231712159482,-3.88810766402166 50.2278406597935,-3.88894653450336 50.2327085821887,-3.88828874851316 50.2375879453355,-3.8861591384322 50.2422912157239,-3.88263916005096 50.2466375742939,-3.877863820833 50.2504598766,-3.87201653189542 50.2536110937819,-3.86532207536392 50.2559699841232,-3.85803795491995 50.2574457739928,-3.85044446361258 50.2579816649652,-3.8428338561781 50.257557029476,-3.83549905055239 50.2561882086541,-3.82872230306564 50.2539278808854,-3.82276430294827 50.2508630259024,-3.81785411418678 50.2471115644049,-3.81418035735552 50.2428178050717,-3.81188397261867 50.2381468771995,-3.8110528402077 50.2332783662258)))', 'GBHPC', 'Hope Cove', 'Y'),('SRID=4326;MULTIPOLYGON(((1.17288494724153 51.3676289419447,1.17231251418399 51.3627461891312,1.17022971974724 51.3580271419491,1.16671702186733 51.3536530780208,1.16190970484062 51.3497919729392,1.15599263593739 51.346592062916,1.14919314221357 51.3441761700341,1.14177228407807 51.3426370048558,1.13401485947264 51.3420336234801,1.12621851722906 51.3423891721924,1.11868238917543 51.3436900042386,1.11169566715951 51.3458862017176,1.10552655298602 51.3488934829186,1.1004119963001 51.3525964234668,1.09654860798535 51.3568528701761,1.09408509531847 51.3614993812979,1.09311651094721 51.3663574875346,1.09368054216815 51.3712405362501,1.09575599187396 51.3759608580379,1.09926352029649 51.3803369812287,1.10406863014283 51.3842006167258,1.10998679016734 51.3874031430849,1.11679050720233 51.3898213399098,1.12421807787886 51.3913621458831,1.13198368233121 51.3919662551095,1.13978842641865 51.3916104104947,1.14733189920693 51.3903083038414,1.15432379067822 51.3881100470985,1.16049511202551 51.3851002354811,1.16560857758289 51.3813946785974,1.16946774258276 51.3771359279466,1.17192454271063 51.3724877760313,1.17288494724153 51.3676289419447)))', 'GBHRN', 'Herne Bay', 'Y'),('SRID=4326;MULTIPOLYGON(((1.34040366543556 51.9505765697636,1.33980721376588 51.9456948781155,1.33768141069546 51.9409788678998,1.3341083797092 51.9366096974209,1.32922573127886 51.9327551509904,1.32322122893249 51.9295632094176,1.31632555457106 51.9271563855875,1.30880345390147 51.9256270394027,1.30094360064596 51.9250338486411,1.2930475632203 51.925399568293,1.28541828874626 51.9267101623232,1.27834853587437 51.9289153402824,1.27210968958952 51.9319304785676,1.26694137793098 51.9356398542164,1.26304228267424 51.939901069725,1.26056249413029 51.9445505022324,1.25959770533215 51.9494095711663,1.26018547443826 51.9542915865779,1.26230370809805 51.9590089171908,1.26587143519993 51.9633802036825,1.27075185274095 51.967237339598,1.27675753682724 51.9704319499025,1.28365762565033 51.9728411154207,1.29118670144238 51.9743721197489,1.29905502858149 51.9749660326715,1.30695974857842 51.9745999892555,1.31459659246696 51.9732880748266,1.32167164922099 51.9710807808529,1.32791272638815 51.968063053082,1.33307985629907 51.9643510087019,1.33697453709029 51.9600874515067,1.33944735051401 51.9554363608576,1.34040366543556 51.9505765697636)))', 'GBHRW', 'Harwich', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.12477409839195 53.8989954509416,-0.125919574775891 53.8941498415595,-0.128643067294825 53.8895292728682,-0.132839482914708 53.8853112031963,-0.138347294420041 53.8816575837581,-0.144954787394567 53.8787086573117,-0.152408204087208 53.8765775936125,-0.160421470066746 53.8753461640363,-0.168687133722117 53.8750616180083,-0.176888106441803 53.8757348784204,-0.184709763673902 53.8773401236969,-0.191851954623555 53.879815772293,-0.19804047135384 53.8830668329756,-0.203037546479001 53.8869685330254,-0.206650982116125 53.891371088302,-0.208741560580626 53.8961054356333,-0.20922844834962 53.9009897108436,-0.208092377481741 53.9058362263655,-0.205376470856881 53.9104586820287,-0.201184666625923 53.9146793322303,-0.195677789961029 53.9183358328943,-0.189067412955371 53.9212875026222,-0.181607732425833 53.9234207540185,-0.173585776415576 53.9246534826499,-0.165310319515239 53.9249382413216,-0.157099941271208 53.9242640747684,-0.149270698143002 53.9226569425181,-0.142123895809838 53.9201787133905,-0.135934444248799 53.9169247714817,-0.130940253163051 53.9130203281516,-0.127333081364854 53.9086155851799,-0.125251192925662 53.9038799387951,-0.12477409839195 53.8989954509416)))', 'GBHRZ', 'Hornsea', 'Y'),('SRID=4326;MULTIPOLYGON(((0.632432959628382 50.8558070350393,0.631921981875345 50.8509221137955,0.62991561692807 50.84619413625,0.626491378084354 50.8418047277217,0.621781148992133 50.8379224578593,0.615966071126404 50.8346963797956,0.609269562979268 50.8322503234642,0.601948742172444 50.8306781591389,0.594284578893381 50.8300402098418,0.586571153826926 50.8303609474907,0.579104424980438 50.8316280591554,0.57217092475632 50.8337929182906,0.566036810945978 50.8367724431314,0.560937682967419 50.840452272389,0.557069547934556 50.8446911387936,0.554581280659167 50.8493262756391,0.553568868449335 50.8541796519408,0.554071666999846 50.8590647996203,0.556070819642935 50.8637939725576,0.559489911087924 50.8681853634466,0.564197841332035 50.8720701008426,0.570013818880382 50.8752987559532,0.576714288273842 50.8777471065128,0.584041528827663 50.8793209329718,0.59171359300575 50.879959659263,0.599435197281676 50.8796386951781,0.606909138436083 50.8783703881202,0.613847786057257 50.8762035466227,0.619984198709611 50.8732215542475,0.625082426998606 50.8695391479434,0.628946600781413 50.8652979873119,0.631428448311475 50.8606611883344,0.632432959628382 50.8558070350393)))', 'GBHTG', 'Hastings', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.17393316366771 54.6823585202582,-1.17497909794958 54.6775029154348,-1.1776392073781 54.6728587984504,-1.18181079993321 54.6686045355649,-1.18733327029911 54.6649034683948,-1.19399431628043 54.6618976592145,-1.20153810896083 54.6597024570778,-1.20967510093913 54.6584020897069,-1.21809309926682 54.6580464468098,-1.22646918579938 54.6586491753942,-1.23448203854789 54.6601871583757,-1.24182419388667 54.6626013960583,-1.24821379141477 54.6657992576531,-1.25340536085933 54.6696580187025,-1.25719924331066 54.6740295518489,-1.25944928661015 54.6787459945439,-1.26006851578677 54.6836261796513,-1.25903255249758 54.688482584906,-1.25638064038893 54.6931285361122,-1.25221422351389 54.6973853877667,-1.24669311923672 54.7010894041369,-1.24002942177592 54.7040980739594,-1.23247936370949 54.7062956126734,-1.22433344628622 54.7075974368336,-1.21590522127384 54.7079534349484,-1.20751916373916 54.7073499059317,-1.19949811366784 54.7058100887263,-1.19215078265427 54.7033932622728,-1.18575981904784 54.7001924514775,-1.18057090109219 54.6963308297869,-1.17678328402982 54.6919569600653,-1.17454216617003 54.6872390605828,-1.17393316366771 54.6823585202582)))', 'GBHTP', 'Hartlepool', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.52043532993939 57.6668320925349,-2.52139416947443 57.6619674682146,-2.52410489126752 57.6572965198029,-2.52846274074963 57.6529986411213,-2.53429986435537 57.6492388380818,-2.54139181819911 57.6461614118372,-2.54946621234138 57.6438844416488,-2.55821315563852 57.642495275197,-2.56729710332149 57.6420471953917,-2.57636966133837 57.6425573882158,-2.5850828691064 57.6440062873552,-2.5931024662465 57.6463383200357,-2.60012064939229 57.6494640263225,-2.60586784227142 57.6532634729091,-2.6101230356597 57.6575908338531,-2.61272230289637 57.6622799665025,-2.61356516040995 57.6671507725986,-2.61261851964352 57.6720161037064,-2.60991806481905 57.6766889479987,-2.60556698745382 57.6809896230239,-2.59973211011848 57.6847526971527,-2.5926375347212 57.6878333712386,-2.58455605030621 57.6901130715658,-2.57579862744569 57.6915040348145,-2.5667024063286 57.6919527045281,-2.55761764952905 57.6914418049153,-2.54889417478692 57.6899910098926,-2.54086780553624 57.687656180866,-2.53384737613444 57.684527203489,-2.52810280482289 57.6807245090622,-2.52385470171282 57.6763944179819,-2.52126591403323 57.6717034885382,-2.52043532993939 57.6668320925349)))', 'GBHTS', 'Whitehills', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.290951660311452 53.7160560434706,-0.292072325103035 53.7112084311957,-0.294765150775287 53.7065836078783,-0.298926225471988 53.7023591969438,-0.304395380111282 53.698697394815,-0.310962383176701 53.6957387599173,-0.318375028002804 53.6935968358171,-0.326348800570869 53.6923538113705,-0.334577760019648 53.6920573810906,-0.34274622182377 53.692718923536,-0.350540805872182 53.6943130660232,-0.357662399091732 53.6967786520904,-0.363837585077683 53.7000210756845,-0.368829111374643 53.7039158947909,-0.372444998241313 53.7083135889752,-0.37454594021981 53.7130452817484,-0.375050712496344 53.717929211441,-0.373939366297387 53.7227777048012,-0.371254079308891 53.7274043870756,-0.367097615691267 53.73163135183,-0.361629442530252 53.7352960138459,-0.35505964191909 53.7382573793061,-0.347640846422431 53.7404014889407,-0.339658506442377 53.7416458211653,-0.33141986715212 53.7419424823691,-0.323242086747196 53.7412800588373,-0.315439964012935 53.7396840573911,-0.308313759719519 53.7372159175024,-0.302137592264757 53.7339706340208,-0.297148863521715 53.7300730843529,-0.293539127327696 53.7256732046362,-0.291446752755975 53.7209402040867,-0.290951660311452 53.7160560434706)))', 'GBHUL', 'Hull', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.943576884185518 50.8323116436556,-0.944548369560759 50.827454408731,-0.946996990471003 50.8228104919649,-0.950828279594081 50.8185582638595,-0.95589477264493 50.8148610059797,-0.962001710199949 50.8118606557998,-0.968914530727734 50.8096723743391,-0.976367865618499 50.808380141973,-0.984075693457255 50.8080335484322,-0.991742269959246 50.8086458977254,-0.999073422892817 50.8101936992065,-1.00578778859187 50.8126175639927,-1.01162756860278 50.8158244732384,-1.01636840158949 50.8196913332185,-1.01982797647525 50.8240696835633,-1.02187305721324 50.8287913810764,-1.0224246464369 50.833675043966,-1.02146108298995 50.838533011495,-1.01901894494371 50.8431785532435,-1.01519171266348 50.8474330513206,-1.01012623281598 50.8511328785792,-1.00401711057232 50.8541357063803,-0.997099240061583 50.8563259965093,-0.989638758707295 50.8576194627887,-0.981922775909503 50.8579663276355,-0.974248277473045 50.857353245737,-0.966910641673624 50.8558038192719,-0.960192219135295 50.8533776845127,-0.95435142592792 50.8501682058878,-0.949612777636037 50.8462988682872,-0.94615825273506 50.8419185092758,-0.944120318457034 50.8371955778507,-0.943576884185518 50.8323116436556)))', 'GBHYG', 'Hayling Island', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.75584707216011 55.666560383397,-1.75684979608859 55.661700370842,-1.75951008174448 55.6570442719297,-1.76372519316945 55.6527709130667,-1.76933282295973 55.6490443665056,-1.77611737859261 55.6460076680607,-1.78381828170568 55.6437773466706,-1.79213995930075 55.6424389720355,-1.80076314640145 55.6420438875224,-1.80935707432967 55.6426072506687,-1.81759208847449 55.6441074545302,-1.82515222481542 55.6464869515301,-1.83174727581056 55.6496544491318,-1.83712389355413 55.6534883953521,-1.84107531102555 55.6578416236223,-1.84344931013766 55.6625469824866,-1.84415412708241 55.6674237377143,-1.843162059635 55.6722845040628,-1.84051062553631 55.6769424424131,-1.83630121317614 55.6812184463215,-1.83069526232612 55.6849480408515,-1.82390810990301 55.6879877261635,-1.81620072960467 55.6902205185951,-1.80786968052121 55.6915604722521,-1.79923565435436 55.6919560033751,-1.79063106993429 55.6913918864343,-1.78238720422853 55.6898898431325,-1.7748213688283 55.6875077010851,-1.76822463890443 55.6843371555137,-1.76285061796187 55.6805002224275,-1.75890567767945 55.6761445231179,-1.75654105005022 55.6714375852339,-1.75584707216011 55.666560383397)))', 'GBHYI', 'Holy Island', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.14123511726145 53.3830567106251,-3.14202140888758 53.3781841668787,-3.14438195955897 53.3734969337961,-3.1482256023631 53.369175050541,-3.15340432493518 53.3653844714599,-3.15971900347552 53.362270708834,-3.16692707129547 53.3599532648846,-3.17475182476587 53.3585210633662,-3.18289301147506 53.3580290526729,-3.19103830060648 53.3584961079093,-3.1988752050702 53.3599043104772,-3.20610300943086 53.362199632113,-3.21244425748294 53.365293997782,-3.21765536843696 53.369068650173,-3.22153598078404 53.3733786895562,-3.22393666734868 53.3780586181627,-3.2247647227767 53.3829286796703,-3.22398779425005 53.3878017532958,-3.2216352055857 53.3924905396744,-3.2177969115536 53.3968147631675,-3.2126201102157 53.4006081131491,-3.20630363287936 53.4037246554934,-3.19909032008173 53.4060444647924,-3.19125767395148 53.4074782571879,-3.18310714848693 53.4079708420889,-3.17495249624736 53.4075032569726,-3.16710762977291 53.406093501107,-3.15987447664371 53.4037958392313,-3.15353130736603 53.4006987026612,-3.14832199521669 53.3969212705523,-3.14444662785097 53.3926088658214,-3.14205383394271 53.3879273463396,-3.14123511726145 53.3830567106251)))', 'GBHYL', 'Hoylake', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.15192552392136 58.800065539341,-3.15282786547348 58.7951971536758,-3.15554226472698 58.7905136350945,-3.15996377016274 58.7861948598525,-3.16592203737782 58.7824066325335,-3.1731879402389 58.7792943391753,-3.18148239912774 58.7769773895789,-3.1904870835972 58.7755446579127,-3.19985658157297 58.7750510923638,-3.20923157718848 58.7755156203372,-3.21825254540916 58.776920427161,-3.22657345437655 58.7792116351002,-3.23387496615374 58.7823013574278,-3.2398766432847 58.7860710511009,-3.2443477020239 58.7903760429437,-3.24711590267118 58.7950510598501,-3.24807423218828 58.7999165549626,-3.24718511271919 58.8047855905504,-3.24448195974004 58.8094710156867,-3.24006801262816 58.8137926638611,-3.23411246509875 58.8175842931125,-3.22684402923413 58.8206999994901,-3.21854217027576 58.8230198535914,-3.20952634526279 58.8244545390628,-3.2001436623177 58.8249488102674,-3.19075544460266 58.8244836323703,-3.18172323010062 58.8230769189886,-3.17339476281593 58.8207828381142,-3.16609053136938 58.8176897138528,-3.16009138725847 58.8139166071615,-3.15562772859581 58.8096087108167,-3.15287066848546 58.804931740108,-3.15192552392136 58.800065539341)))', 'GBHYO', 'Hoy', 'Y'),('SRID=4326;MULTIPOLYGON(((1.1226254410502 51.0676433265384,1.12206120283105 51.0627601832787,1.11999625206824 51.0580402056651,1.11651035430802 51.0536647081872,1.11173775964106 51.0498017230153,1.10586199970965 51.0465995602472,1.09910881603657 51.0441811300731,1.09173749422528 51.0426392417647,1.08403093560453 51.0420330567565,1.07628484240192 51.0423858291433,1.06879642342034 51.0436840183014,1.0618530437451 51.0458778067877,1.05572124386957 51.0488830039845,1.05063654076597 51.05258426397,1.04679439614138 51.0568394966037,1.04434269604359 51.0614853055867,1.04337603213243 51.0663432479124,1.04393200974155 51.0712266771719,1.04598973321681 51.075947909895,1.04947053730016 51.0803254405132,1.0542409473675 51.0841909273296,1.06011776436341 51.0873956793935,1.06687508583814 51.0898163923181,1.07425299624622 51.0913599093033,1.08196759120434 51.0919668209628,1.08972194502402 51.0916137625757,1.09721759129678 51.0903143183067,1.10416606464694 51.0881184966785,1.11030004911574 51.0851107978364,1.1153836951478 51.0814069485555,1.11922170196713 51.0771494331727,1.12166681347006 51.0725019955146,1.1226254410502 51.0676433265384)))', 'GBHYT', 'Hythe', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.87044269035912 57.6665929216927,-1.87148843810733 57.6617336676705,-1.87428240720387 57.6570770690816,-1.87871665339335 57.6528019641419,-1.88462040105213 57.6490724808732,-1.89176666205255 57.6460317544008,-1.89988097535904 57.6437964547592,-1.9086519290568 57.6424523311862,-1.91774306435696 57.6420509399151,-1.92680571374868 57.64260767772,-1.93549229384255 57.6441011945442,-1.94346955815334 57.6464742071329,-1.95043131636843 57.6496356834346,-1.95611014452833 57.6534643163921,-1.9602876447067 57.6578131573367,-1.96280286259461 57.6625152352278,-1.96355853583493 57.6673899500334,-1.96252492349697 57.6722499980962,-1.95974105563081 57.6769085656443,-1.95531333867218 57.6811865147064,-1.94941155422697 57.6849192842693,-1.94226239153824 57.6879632388995,-1.93414075339429 57.6902012171044,-1.925359166849 57.6915470618586,-1.91625570944735 57.691948954894,-1.90718092463163 57.6913914230473,-1.8984842433025 57.6898959372612,-1.89050044976778 57.6875200805476,-1.88353672835371 57.6843553179507,-1.87786080189589 57.6805234568368,-1.87369062655984 57.6761719373316,-1.87118604151257 57.6714681382618,-1.87044269035912 57.6665929216927)))', 'GBIAY', 'Inverallochy', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.10562206335215 55.8837672615103,-5.1062111876971 55.878886378655,-5.10848258514699 55.8741638576328,-5.11234841665577 55.8697810975507,-5.1176597310722 55.8659063878452,-5.1242122482988 55.8626884619697,-5.13175423520843 55.8602508074285,-5.13999616783656 55.8586869469022,-5.14862181037373 55.858056867764,-5.15730029239257 55.8583847336335,-5.16569873164378 55.8596579633672,-5.17349493132229 55.8618277117304,-5.18038967827089 55.8648107337055,-5.18611818218407 55.8684925627232,-5.19046022523512 55.87273188383,-5.19324863608796 55.8773659376323,-5.19437576100918 55.8822167513996,-5.19379767635309 55.8870979614705,-5.19153596912331 55.8918219673766,-5.18767700311909 55.8962071439512,-5.18236868428019 55.9000848338694,-5.17581483665222 55.9033058499676,-5.1682673959013 55.9057462342831,-5.16001671628846 55.9073120485513,-5.15138036527296 55.9079430079591,-5.14269084355324 55.9076148148735,-5.1342827140756 55.9063401002539,-5.1264796488956 55.9041679353958,-5.11958190638016 55.9011819332067,-5.11385473288036 55.8974970139669,-5.10951814367694 55.893254963088,-5.10673847980572 55.8886189555461,-5.10562206335215 55.8837672615103)))', 'GBIBU', 'Bute', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.07323749779488 51.2103714525671,-4.07388819307969 51.2054918900699,-4.07604150898689 51.200785800059,-4.07961428789079 51.1964339583322,-4.0844689496457 51.1926034841757,-4.09041882121771 51.1894414362713,-4.09723532719076 51.18706918326,-4.10465676231755 51.1855777619652,-4.11239831076642 51.1850243982653,-4.12016293280319 51.1854303213865,-4.12765270943228 51.1867799535751,-4.13458021969918 51.1890215054585,-4.14067952427117 51.1920689547109,-4.14571634258162 51.1958053337346,-4.14949703893666 51.2000872027548,-4.15187607488935 51.204750139748,-4.15276163985399 51.2096150396292,-4.15211923790201 51.2144949835868,-4.14997308402944 51.2192024166561,-4.14640524550787 51.2235563585713,-4.14155255035403 51.2273893703117,-4.13560137220322 51.2305540068717,-4.12878048538476 51.2329285055106,-4.1213522620892 51.2344214875285,-4.1136025515859 51.2349754894406,-4.10582963620926 51.2345691848585,-4.0983326975422 51.2332182096099,-4.09140024689531 51.2309745575366,-4.08529897572888 51.2279245706996,-4.08026346400427 51.2241856030209,-4.07648714849798 51.2199014883745,-4.07411490071171 51.2152369906597,-4.07323749779488 51.2103714525671)))', 'GBILF', 'Ilfracombe', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.65681568679577 54.8179535004334,-5.65732589713105 54.8130701276111,-5.65947560413981 54.8083380476814,-5.66318167500428 54.8039390340717,-5.66830131396176 54.800042008806,-5.67463760652008 54.7967965706698,-5.68194711239237 54.7943272708107,-5.68994921152709 54.7927288520236,-5.69833684552065 54.7920626307727,-5.70678824812261 54.7923541575129,-5.71497922459045 54.7935922427022,-5.72259552102187 54.7957293847386,-5.72934482183926 54.7986835836878,-5.73496792636085 54.8023414728752,-5.73924868360274 54.8065626509642,-5.74202230752752 54.8111850517599,-5.74318175192618 54.8160311492884,-5.74268189359217 54.820914763198,-5.74054135252047 54.8256482055282,-5.7368418660993 54.8300494954388,-5.73172522766906 54.83394936436,-5.72538789491683 54.8371977805861,-5.71807346648726 54.839669739582,-5.71006331184532 54.8412700937228,-5.70166571577307 54.841937231904,-5.69320396115912 54.8416454640761,-5.68500381874829 54.8404060164845,-5.67738093787591 54.8382665981451,-5.67062863654052 54.8353095555391,-5.66500657222356 54.8316486882623,-5.66073073754487 54.8274248510385,-5.65796516912497 54.822800514891,-5.65681568679577 54.8179535004334)))', 'GBIMG', 'Islandmagee', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.175072027220556 53.5990168195456,-0.176202359221671 53.5941703404981,-0.17889985444686 53.5895481122538,-0.183060426041658 53.5853276583049,-0.188523928106954 53.5816710232259,-0.195080349015111 53.5787185674806,-0.202477889842065 53.5765835980761,-0.210432616331773 53.5753480376648,-0.218639317230488 53.5750592949813,-0.226783159779707 53.5757284540513,-0.234551705610619 53.5773298500872,-0.241646837838947 53.579802048086,-0.247796153087295 53.5830501876884,-0.252763390421671 53.5869496066142,-0.256357502420308 53.5913506067593,-0.258440021082056 53.5960841835263,-0.258930431905567 53.6009685017825,-0.257809341638254 53.6058158724433,-0.255119306797693 53.610439963299,-0.250963278462853 53.6146629672919,-0.245500710861568 53.6183224516268,-0.238941473355775 53.6212776220667,-0.231537793669253 53.6234147583167,-0.223574540643334 53.6246516078411,-0.215358223620739 53.6249405656494,-0.207205139329687 53.6242705149649,-0.199429133112151 53.6226672563158,-0.192329457629075 53.6201925082714,-0.186179207926075 53.6169415194126,-0.181214787197366 53.6130393857933,-0.177626814060292 53.6086362188047,-0.175552821929547 53.6039013529262,-0.175072027220556 53.5990168195456)))', 'GBIMM', 'ImmIngham', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.1273753799747 51.0503889576374,-4.12801839138764 51.0455090125888,-4.13015902608502 51.0408018810389,-4.13371461699258 51.0364483795699,-4.13854824628818 51.0326156921547,-4.14447404930901 51.0294509634405,-4.151264373978 51.0270756658707,-4.15865851811592 51.0255809537997,-4.16637271060688 51.0250241797694,-4.17411095854929 51.0254267039035,-4.18157635234197 51.0267730785741,-4.18848240482566 51.0290116388367,-4.19456399946829 51.0320564764295,-4.19958753616517 51.0357907232086,-4.20335989121539 51.0400710205584,-4.20573584978062 51.0447330063208,-4.2066237235998 51.0495976117628,-4.20598893246712 51.0544779295454,-4.20385540306089 51.0591863908332,-4.20030472073993 51.0635419766036,-4.19547305603806 51.067377185568,-4.18954597452511 51.0705444891964,-4.18275132291546 51.072922023038,-4.17535046212514 51.0744182922859,-4.16762818581996 51.0749757073318,-4.15988171759035 51.0745728104631,-4.15240921850323 51.0732251060532,-4.14549825743522 51.0709844614877,-4.13941469820536 51.067937102345,-4.13439244000755 51.0642002806522,-4.13062441190127 51.059917747032,-4.12825516998618 51.0552542040942,-4.1273753799747 51.0503889576374)))', 'GBINS', 'Instow', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-4.17067789927217 57.4834384131039,-4.17141216086766 57.4785628431544,-4.17389771955243 57.4738580794517,-4.17803845828219 57.4695048268419,-4.18367483776817 57.4656702276057,-4.19059009008802 57.4625014612381,-4.19851857382753 57.4601201161041,-4.20715596596729 57.4586175450588,-4.21617090141597 57.458051379239,-4.22521762132434 57.4584433303032,-4.23394915712918 57.4597783630115,-4.24203055930738 57.4620052688925,-4.24915167836962 57.4650386195759,-4.25503902070713 57.4687620269276,-4.2594662332581 57.4730325881577,-4.26226281800044 57.4776863492622,-4.26332073904067 57.4825445811296,-4.26259866012032 57.487420630862,-4.26012363671616 57.4921270876433,-4.25599018197298 57.496482988872,-4.25035672625763 57.5003207890397,-4.24343959237198 57.503492821339,-4.23550470817847 57.505877000196,-4.22685737110613 57.5073815413467,-4.21783046027312 57.5079485137229,-4.20877155767528 57.5075560828749,-4.20002948658297 57.5062193570856,-4.19194080042281 57.5039898025831,-4.18481675760334 57.5009532509669,-4.17893129684595 57.4972265776844,-4.17451048475584 57.4929531827336,-4.17172384494147 57.4882974515263,-4.17067789927217 57.4834384131039)))', 'GBINV', 'Inverness', 'Y'),('SRID=4326;MULTIPOLYGON(((0.856905975681688 51.4007368276178,0.856366919947402 51.3958529617261,0.854315399480206 51.391128700302,0.850830673906869 51.3867455230936,0.846046957467467 51.3828717570596,0.84014821600401 51.37965612534,0.833361077573178 51.3772220537402,0.825946132069048 51.3756629502078,0.818187952833661 51.3750386352741,0.810384218248513 51.3753730575989,0.802834342622185 51.3766533802275,0.795828042601244 51.3788304716782,0.78963426747258 51.3818207833237,0.784490909063422 51.3855095425395,0.780595679770726 51.3897551415687,0.778098506194271 51.3943945567422,0.777095731912926 51.3992495932429,0.777626357556111 51.4041337184955,0.779670471369085 51.4088592238033,0.783149941320207 51.4132444400485,0.787931353290648 51.4171207298479,0.793831092274315 51.4203389858412,0.800622378352709 51.4227753827011,0.808043990190844 51.42433615848,0.815810339557352 51.4249612380617,0.823622504240926 51.4246265563757,0.831179786525331 51.423344989862,0.838191342166612 51.4211658593729,0.844387421757734 51.4181730239611,0.849529782639354 51.4144816404719,0.853420864280635 51.410233716184,0.855911371524958 51.4055926287656,0.856905975681688 51.4007368276178)))', 'GBIOS', 'Isle of Sheppey', 'Y'),('SRID=4326;MULTIPOLYGON(((1.20752080604546 52.0836233003941,1.20693742722151 52.0787411628859,1.20481969043894 52.0740229300233,1.20124941374925 52.0696498459256,1.19636410601669 52.065789845256,1.19035163624878 52.0625911179405,1.18344299436145 52.0601764367846,1.17590342449838 52.0586384625558,1.16802227007129 52.0580362034449,1.16010191495218 52.0583927618811,1.15244623662449 52.059694453102,1.14534900388287 52.0618913283862,1.13908265350891 52.0648990832414,1.1338878672151 52.06860227893,1.12996434233571 52.0728587562905,1.12746310788074 52.0775050756339,1.12648068266843 52.0823627771851,1.1270553057481 52.0872452245986,1.12916539312406 52.0919647707868,1.13273029129678 52.0963399716887,1.13761331023293 52.1002025703775,1.14362692937503 52.1034039814022,1.15053998382705 52.1058210233871,1.15808655767319 52.1073606761493,1.16597624120833 52.1079636759562,1.17390535207955 52.1076068076143,1.18156867981784 52.1063038030663,1.18867129107423 52.1041048109761,1.19493993023752 52.1010944581009,1.20013356714931 52.0973885787035,1.20405267946003 52.0931297405157,1.20654690993412 52.0884817426405,1.20752080604546 52.0836233003941)))', 'GBIPS', 'IpswIch', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.558009561145903 53.6491504780109,-0.559097608411089 53.6442999755627,-0.56175685954577 53.6396687457069,-0.565884691375352 53.6354346597883,-0.571322208771796 53.6317602872921,-0.577860391028892 53.6287866703216,-0.585248133376394 53.626627928057,-0.593201873292037 53.6253668948063,-0.601416435280157 53.6250519556981,-0.609576685316725 53.6256951987516,-0.617369558194832 53.6272719526015,-0.624496008148684 53.6297217273021,-0.630682435663444 53.6329505231613,-0.635691161257939 53.6368344212605,-0.639329549904347 53.6412243209868,-0.641457436918093 53.6459516462452,-0.641992566500673 53.6508348046589,-0.64091382607009 53.655686154441,-0.63826214097509 53.6603192129887,-0.634138982529795 53.664555830556,-0.628702534380763 53.6682330522373,-0.622161654448948 53.6712094021671,-0.614767858199338 53.6733703450964,-0.60680562980543 53.6746327116857,-0.598581437057847 53.6749479138173,-0.590411880178471 53.6743038234289,-0.582611441258439 53.6727252408851,-0.57548031792533 53.6702729345341,-0.569292821172519 53.6670412894893,-0.564286793260949 53.6631546584319,-0.560654458518893 53.6587625580429,-0.558535059978379 53.6540338994475,-0.558009561145903 53.6491504780109)))', 'GBIRO', 'Winterton', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.63893026620128 55.6005969919911,-4.63957401353291 55.5957178563583,-4.64188607478395 55.5910035529575,-4.64577706311093 55.5866351630502,-4.65109707564475 55.5827804232271,-4.65764151093798 55.5795873004318,-4.66515895527202 55.5771783313103,-4.67336083123899 55.5756459395255,-4.68193243984643 55.5750489069996,-4.6905449790729 55.5754101312043,-4.69886808840431 55.5767157522289,-4.70658245107371 55.5789156821128,-4.71339198383934 55.5819255165986,-4.71903515819006 55.5856297578171,-4.7232950265906 55.5898862272248,-4.72600757217096 55.594531503084,-4.72706805914653 55.5993871775272,-4.72643513279694 55.6042666962753,-4.72413250008441 55.6089825206697,-4.72024811244417 55.6133533378916,-4.71493086784985 55.6172110418143,-4.70838494635292 55.620407214237,-4.70086198793052 55.6228188542357,-4.69265140945923 55.6243531315299,-4.68406923480964 55.6249509771454,-4.67544587458961 55.6245893698247,-4.66711333671389 55.6232822278046,-4.65939237336109 55.6210798706038,-4.65258007266647 55.6180670720172,-4.64693838453099 55.614359781172,-4.64268403022461 55.6101006408892,-4.63998018714522 55.6054534795228,-4.63893026620128 55.6005969919911)))', 'GBIRV', 'Irvine', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.77777995589427 50.5836053665051,-4.77835004452086 50.5787222736863,-4.78040504833405 50.5740037988626,-4.7838655960091 50.5696311995072,-4.78859842077113 50.5657723980557,-4.79442152421576 50.5625755461206,-4.80111118831799 50.560163352398,-4.8084105634833 50.5586283890046,-4.8160395040524 50.5580295532922,-4.82370527862689 50.5583898181845,-4.83111375204563 50.5596953554121,-4.83798061952629 50.5618960644224,-4.84404227175016 50.5649074870147,-4.84906588253854 50.5686140357397,-4.85285833794483 50.5728734146161,-4.8552736664273 50.5775220654946,-4.85621868325245 50.5823814341111,-4.85565662697261 50.5872648179798,-4.85360863983344 50.5919845350819,-4.8501530249354 50.5963591388191,-4.84542229808238 50.600220401607,-4.83959813828982 50.603419797117,-4.83290442440065 50.605834229417,-4.82559862255203 50.6073707855866,-4.81796185680791 50.6079703257881,-4.81028804987997 50.6076097698456,-4.80287255978381 50.6063029903381,-4.79600075952803 50.6041002769445,-4.78993700940121 50.6010863930152,-4.78491445496745 50.5973773007155,-4.7811260493515 50.5931156832632,-4.77871714755046 50.58846543961,-4.77777995589427 50.5836053665051)))', 'GBISA', 'Port Isaac', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.29434693935352 49.9161040287839,-6.2953621646379 49.9112523042165,-6.29782325489646 49.9066216528985,-6.30163528871756 49.902389935053,-6.30665156257702 49.8987196460281,-6.31267926027224 49.8957516910555,-6.31948686925855 49.8935999919214,-6.32681305793089 49.8923471295351,-6.33437667570574 49.8920411867403,-6.34188749810233 49.8926939102235,-6.34905731289876 49.8942802606896,-6.35561093148043 49.896739368351,-6.36129671199216 49.8999768580338,-6.36589619781431 49.9038684566805,-6.36923250583141 49.9082647475354,-6.37117714321559 49.9129968915802,-6.37165498787395 49.9178830994756,-6.37064723473643 49.9227356078012,-6.36819218565377 49.9273678930085,-6.36438384232363 49.9316018461301,-6.35936834642564 49.9352746315175,-6.35333839572347 49.9382449638906,-6.34652584576046 49.9403985595252,-6.33919278036029 49.9416525487869,-6.33162139702669 49.941958677275,-6.32410310247775 49.9413051700328,-6.31692724650402 49.9397171856758,-6.31036993743487 49.9372558427372,-6.304683378968 49.9340158566916,-6.30008614615829 49.9301218806452,-6.29675477911931 49.9257236932911,-6.29481701845947 49.9209904223722,-6.29434693935352 49.9161040287839)))', 'GBISC', 'Isles of Scilly', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.20573882420638 55.7990015435748,-6.20693766442957 55.794157017436,-6.2097906044596 55.7895372739511,-6.21418752173105 55.7853197327536,-6.21995914949009 55.7816663145611,-6.22688362639905 55.7787172425565,-6.23469503162501 55.7765856803937,-6.24309357609599 55.7753534088303,-6.25175706256054 55.7750677032793,-6.26035318326436 55.7757395291931,-6.26855219540883 55.7773431227976,-6.27603950165563 55.7798169729639,-6.28252766604677 55.7830661677308,-6.28776741478023 55.786966017919,-6.29155720597551 55.7913668221886,-6.29375100218989 55.7960995944658,-6.29426394289908 55.8009825375136,-6.2930756898436 55.8058280169919,-6.29023130391651 55.8104497698853,-6.28583960539916 55.8146700706467,-6.28006906653592 55.8183265784404,-6.27314138288735 55.8212785997196,-6.26532296348117 55.8234125218301,-6.25691466523414 55.8246462047329,-6.24824017032317 55.8249321581511,-6.23963346244131 55.8242593788965,-6.23142589619133 55.8226537758811,-6.22393337119711 55.8201771661489,-6.21744411792219 55.8169248817804,-6.21220757593866 55.8130220823188,-6.20842479892617 55.8086189181039,-6.20624075648116 55.8038847344893,-6.20573882420638 55.7990015435748)))', 'GBISY', 'Islay', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.827607592401893 50.7992727992434,-0.828590288277324 50.7944166469889,-0.83104850530573 50.7897752629357,-0.834887409282784 50.7855269197508,-0.839959245418725 50.7818347494701,-0.8460690510028 50.7788404941277,-0.852982155935752 50.7766590808898,-0.860433181681377 50.7753742267972,-0.868136195769221 50.7750352387919,-0.875795638280999 50.7756551293921,-0.883117609783027 50.7772101188428,-0.88982109756113 50.7796405425367,-0.895648719066756 50.7828531298084,-0.900376578162071 50.7867245686581,-0.90382286069543 50.7911062223861,-0.905854840427274 50.7958298202419,-0.906394023243328 50.8007139066502,-0.905419225378015 50.8055708038105,-0.90296745799259 50.8102138217356,-0.899132573392093 50.8144644390168,-0.894061714451857 50.8181591774076,-0.887949695111957 50.8211559039028,-0.881031522494579 50.8233393151253,-0.873573346644553 50.824625389859,-0.865862188571695 50.82496463533,-0.858194848043672 50.8243439998231,-0.850866426896878 50.8227873764989,-0.844158919745819 50.8203546787075,-0.838330321051368 50.8171395233252,-0.833604675718004 50.8132656133235,-0.830163460870858 50.8088819616125,-0.828138631239813 50.8041571431169,-0.827607592401893 50.7992727992434)))', 'GBITC', 'Itchenor', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.12042224630481 57.6834209257666,-4.1211669492542 57.6785457627409,-4.12367236136882 57.6738420642452,-4.12784159537375 57.6694904930877,-4.13351401247408 57.6656581255189,-4.14047145889147 57.6624920537636,-4.14844667440382 57.6601137612602,-4.1571335460306 57.6586144825202,-4.16619881545381 57.6580517216259,-4.17529479883625 57.6584470594326,-4.18407264342812 57.6597853311681,-4.19219562736679 57.6620152049842,-4.19935200767498 57.6650511398636,-4.20526693666315 57.6687766498705,-4.20971299847911 57.6730487527882,-4.21251896484211 57.6777034364035,-4.2135764310871 57.6825619366921,-4.2128440690937 57.6874375903996,-4.21034932049434 57.6921430013118,-4.20618744914194 57.6964972459214,-4.20051797293324 57.7003328409694,-4.19355859791953 57.7035022028769,-4.18557687793103 57.7058833473096,-4.17687991619428 57.7073846055748,-4.16780250715611 57.707948172225,-4.15869418280302 57.7075523437358,-4.1499056746889 57.7062123595812,-4.14177532810249 57.7039798123104,-4.13461600691641 57.7009406499506,-4.12870300653922 57.6972118497923,-4.1242634492064 57.6929368949479,-4.12146757294859 57.6882802318099,-4.12042224630481 57.6834209257666)))', 'GBIVG', 'Invergordon', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.02521834758473 56.2317413366164,-5.02582194433514 56.2268609835509,-5.02812275670619 56.2221399713883,-5.03203180389218 56.2177596395481,-5.03739846677998 56.2138881819221,-5.04401633629671 56.2106742045726,-5.05163117143425 56.2082410410294,-5.05995065727099 56.2066820396714,-5.06865558991702 56.2060570002009,-5.07741206594326 56.2063898925521,-5.08588421959875 56.2076679433253,-5.09374703264267 56.2098421237108,-5.10069873924816 56.2128290205934,-5.10647236220154 56.2165140209069,-5.11084594625994 56.220755690065,-5.11365109945991 56.2253911801619,-5.11477951242772 56.2302424642152,-5.11418719791834 56.2351231605119,-5.11189627596566 56.2398456874218,-5.10799422165027 56.2442284749192,-5.10263058948342 56.2481029552615,-5.09601132713579 56.2513200622054,-5.08839088765867 56.2537559857686,-5.08006243918213 56.2553169573837,-5.07134655007747 56.2559428773941,-5.06257879179769 56.2556096418112,-5.0540967477173 56.2543300762886,-5.04622694180606 56.2521534402435,-5.03927220449077 56.2491635206433,-5.0334999743808 56.245475390736,-5.02913199466852 56.2412309615601,-5.02633580410508 56.2365935012084,-5.02521834758473 56.2317413366164)))', 'GBIVR', 'Inveraray', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.44910422834424 50.2098268727587,-5.44960218335179 50.2049413163343,-5.45157539867176 50.2002119608729,-5.454947648953 50.1958204867895,-5.45958905781225 50.1919355460965,-5.46532113179956 50.1887062979385,-5.4719236389502 50.1862566973214,-5.47914306471656 50.184680753353,-5.48670232148817 50.1840389359158,-5.49431134357826 50.1843558659273,-5.50167816860944 50.1856193758168,-5.50852008939879 50.1877809753194,-5.51457445809352 50.190757704958,-5.51960873647953 50.1944353074914,-5.52342941278589 50.1986725979715,-5.52588944530612 50.2033068676175,-5.52689394574716 50.2081601171501,-5.52640387898388 50.2130458830047,-5.52443762897572 50.2177763962662,-5.52107036066902 50.2221698002555,-5.51643119198625 50.2260571491497,-5.51069827532956 50.2292889171777,-5.50409197095104 50.2317407657059,-5.49686637149107 50.2333183434024,-5.48929950444931 50.233960931664,-5.48168259410845 50.2336437922219,-5.47430880376194 50.232379124531,-5.46746190099958 50.230215595121,-5.46140529213405 50.2272364572805,-5.45637185642394 50.2235563348774,-5.45255497734897 50.2193167964875,-5.45010111852084 50.2146808931149,-5.44910422834424 50.2098268727587)))', 'GBIVS', 'Saint Ives', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.29152440571334 56.7937500865785,-2.29248986438464 56.7888865528764,-2.29516512570445 56.7842197934965,-2.29944683328684 56.7799290433813,-2.30517008553694 56.7761790387863,-2.31211482696577 56.7731137101393,-2.32001432194745 56.7708506782685,-2.32856538274229 56.7694767613481,-2.33743996218869 56.7690446611264,-2.34629767447959 56.7695709523642,-2.35479877587562 56.7710354505192,-2.36261712167203 56.7733819812762,-2.36945261650909 56.7765205232778,-2.37504269218811 56.7803306441359,-2.37917238022552 56.7846661012287,-2.38168259481505 56.7893604346231,-2.38247630464089 56.7942333413064,-2.38152234758374 56.7990975892325,-2.37885672871949 56.80376620776,-2.37458133645864 56.8080596789087,-2.36886011094433 56.8118128521706,-2.36191279911059 56.8148813147175,-2.3540065279014 56.817146968613,-2.34544551667466 56.818522596503,-2.33655932745627 56.818955236159,-2.32769011353868 56.8184282306961,-2.31917936968236 56.816961873391,-2.31135470857027 56.8146126215983,-2.30451718701041 56.8114709109289,-2.29892968174886 56.8076576561719,-2.29480676994368 56.8033195770568,-2.2923065057802 56.7986235326952,-2.29152440571334 56.7937500865785)))', 'GBJHV', 'Johnshaven', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.0221399439161 58.6440171313677,-3.02305635343463 58.6391495391707,-3.0257760395634 58.6344686410067,-3.03019385626953 58.6301542122288,-3.03613960830448 58.6263718908103,-3.04338465550355 58.6232668368083,-3.05165072159701 58.6209581832076,-3.06062056571202 58.6195344869522,-3.06995010993942 58.6190503505463,-3.07928156661614 58.6195243403038,-3.08825707531336 58.6209382787383,-3.09653234251062 58.6232379373976,-3.1037897768498 58.6263351043827,-3.10975062969975 58.6301109495814,-3.11418568425409 58.6344205620317,-3.11692408594398 58.6390984894727,-3.11785997159964 58.6439650716492,-3.1169566330695 58.648833327784,-3.11424804085506 58.6535161361026,-3.10983765204277 58.6578334304488,-3.10389453105023 58.661619136593,-3.09664691748632 58.6647275791848,-3.08837347832305 58.6670391093568,-3.07939257691485 58.6684647322327,-3.07004997454495 58.668949551997,-3.06070544686372 58.6684748983005,-3.05171884424544 58.6670590497087,-3.04343614916092 58.6647565254782,-3.03617608379538 58.6616559737661,-3.03021779732638 58.6578767399789,-3.02579011584859 58.6535642509601,-3.02306277144531 58.6488843969015,-3.0221399439161 58.6440171313677)))', 'GBJOG', 'John o''groats', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.87249452896109 56.0180452346246,-5.87298839589027 56.013161950764,-5.87517313579075 56.0084264445896,-5.8789642267308 56.0040206187919,-5.88421557291813 56.0001136520716,-5.89072518069796 55.9968555182198,-5.89824294935305 55.9943712483786,-5.90648027307798 55.99275615308,-5.91512108658648 55.9920721835955,-5.92383393678315 55.9923455687821,-5.93228462789749 55.9935658155784,-5.94014896813174 55.9956861102805,-5.94712514255737 55.998625105474,-5.95294524975044 56.0022700257793,-5.95738556823005 56.0064809761407,-5.96027516258813 56.0110962909751,-5.96150249733232 56.0159387227046,-5.96101979752281 56.0208222355319,-5.95884497737129 56.0255591460898,-5.95506104861914 56.0299673378838,-5.94981301667994 56.0338772720121,-5.94330237064193 56.037138522923,-5.93577936928508 56.0396255849302,-5.92753341504472 56.0412427224194,-5.91888188712539 56.0419276732136,-5.91015786979669 56.0416540590599,-5.90169725892643 56.040432407878,-5.89382575650678 56.0383097471774,-5.88684626784354 56.0353677845744,-5.88102719892099 56.0317197472105,-5.87659211315011 56.0275060046852,-5.87371114930495 56.0228886476625,-5.87249452896109 56.0180452346246)))', 'GBJUR', 'Jura', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.15371223905797 57.4663306734235,-7.15484687541233 57.4614778827388,-7.15771592737128 57.4568375689181,-7.16220858343886 57.4525879407352,-7.16815184345185 57.4488921455296,-7.17531721987369 57.4458920244356,-7.18342953212472 57.4437026898198,-7.19217745398212 57.4424081290125,-7.20122541296221 57.4420579991249,-7.21022639423251 57.4426657327336,-7.21883517094002 57.4442080251201,-7.22672146845547 57.4466257222476,-7.23358257217727 57.4498260765035,-7.23915490719129 57.4536862861674,-7.24322415292889 57.4580581863356,-7.24563350636226 57.4627739153169,-7.24628977216543 57.4676523429235,-7.24516703610051 57.4725060170543,-7.24230776653245 57.4771483637887,-7.23782128567778 57.4814008648607,-7.23187965357792 57.4850999355601,-7.22471110993128 57.4881032360885,-7.21659131749596 57.4902951700389,-7.20783274128413 57.4915913543553,-7.19877257580996 57.4919418847615,-7.18975969423715 57.4913332677053,-7.18114113513468 57.4897889424025,-7.17324866241369 57.4873683723835,-7.16638593079321 57.4841647426331,-7.16081676301708 57.4803013535361,-7.15675499746783 57.4759268540359,-7.15435629838152 57.4712095015479,-7.15371223905797 57.4663306734235)))', 'GBKAL', 'Kallin (Ceallan), Isle of Grimsay', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.00243292490992 58.4507517700409,-5.00307035029868 58.4458728887609,-5.00551064975009 58.441152915643,-5.00965939451485 58.4367731419533,-5.01535669262777 58.4329017273074,-5.02238340290072 58.4296872606407,-5.03046958614085 58.4272530785164,-5.03930486438382 58.4256925547848,-5.04855029228807 58.4250655381527,-5.05785129304353 58.4253960706481,-5.06685117525523 58.4266714718732,-5.07520472790236 58.4288428230028,-5.08259138795241 58.4318268324255,-5.08872748955293 58.4355090134905,-5.09337713468771 58.4397480557359,-5.0963612722199 58.4443812259208,-5.09756463443117 58.4492305957735,-5.0969402561108 58.4541098610851,-5.0945113890012 58.4588314929373,-5.09037072138311 58.4632139475372,-5.08467691554843 58.4670886571257,-5.0776485810144 58.4703065311423,-5.06955590424934 58.4727437142858,-5.06071025179604 58.4743063758272,-5.05145214837648 58.474934341597,-5.0421381005362 58.4746034250691,-5.03312678597412 58.4733263651072,-5.02476515618462 58.4711523330644,-5.01737500387101 58.4681650286977,-5.01124052654798 58.4644794402835,-5.0065973749467 58.4602373970215,-5.00362361162053 58.4556020890297,-5.00243292490992 58.4507517700409)))', 'GBKBE', 'Kinlochbervie', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.00775328212343 54.8383666588286,-4.00846285137917 54.833490092226,-4.01080656925973 54.8287870990592,-4.01469386406119 54.8244383245505,-4.01997500287533 54.8206107527102,-4.02644689825284 54.8174513100933,-4.03386093328407 54.8150812445724,-4.04193250132327 54.8135914913372,-4.05035189599263 54.8130392003395,-4.05879614016235 54.8134455552968,-4.06694131037424 54.8147949657628,-4.07447489632581 54.8170356623844,-4.08110773388084 54.820081673054,-4.08658506463741 54.8238161060279,-4.09069630507472 54.8280956169827,-4.0932831530957 54.8327558921332,-4.09424571837699 54.8376179405779,-4.09354643387565 54.8424949574301,-4.09121158715568 54.8471994963437,-4.08733039936829 54.851550676771,-4.08205167368338 54.8553811484228,-4.07557813017111 54.8585435432744,-4.06815863665241 54.8609161640019,-4.06007863077724 54.8624076864083,-4.05164910350818 54.862960691201,-4.04319457457363 54.8625538859935,-4.03504053319625 54.8612029297787,-4.02750084023412 54.8589598272364,-4.02086558955969 54.8559109167544,-4.01538990694832 54.8521735315464,-4.01128412500337 54.847891465387,-4.00870571481487 54.8432294210673,-4.00775328212343 54.8383666588286)))', 'GBKBT', 'Kirkcudbright', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.49016271276514 54.4838905096142,-5.49068995400582 54.4790074387568,-5.49284270215182 54.4742780656631,-5.49653771973047 54.4698840597122,-5.50163264598596 54.4659941513796,-5.50793152282501 54.4627576676258,-5.51519234998337 54.4602988176886,-5.52313637539313 54.4587119451726,-5.53145876522456 54.4580579250483,-5.53984024999164 54.4583618406024,-5.54795930955618 54.4596120271433,-5.55550444154284 54.4617605180535,-5.56218605493556 54.464724876383,-5.56774754350244 54.4683913433688,-5.57197512192105 54.4726191858344,-5.57470605045555 54.4772460790803,-5.57583493079999 54.4820943222609,-5.57531782484291 54.4869776508462,-5.57317402772404 54.4917083868883,-5.56948541420453 54.4961046535119,-5.56439337007972 54.499997376075,-5.5580934146627 54.5032367991763,-5.55082771241919 54.505698266089,-5.5428757576034 54.507287034797,-5.53454359122578 54.5079419416517,-5.52615197116482 54.5076377683692,-5.51802396056754 54.5063862188781,-5.51047242452411 54.5042354672931,-5.50378792900965 54.501268294732,-5.49822751903104 54.4975988883991,-5.49400481570319 54.4933684289599,-5.49128181657234 54.488739639524,-5.49016271276514 54.4838905096142)))', 'GBKCN', 'KircubbIn', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.65538355261883 56.0672449397935,-3.65615814428813 56.0623712675443,-3.65861696201147 56.0576757449533,-3.66266497486681 56.0533387236637,-3.66814625253525 56.0495267279696,-3.67485001331584 56.0463860774631,-3.6825187453329 56.0440372904063,-3.6908580857214 56.0425704788982,-3.69954808074498 56.0420419087651,-3.70825540205022 56.0424718529164,-3.71664606162963 56.0438438183004,-3.72439815119799 56.0461051752522,-3.7312141308893 56.0491691657282,-3.73683220746515 56.0529182154089,-3.74103637330325 56.0572084257129,-3.74366472369442 56.0618750770816,-3.74461573041671 56.0667389360956,-3.74385222271262 56.0716131275393,-3.74140291067501 56.0763103097398,-3.73736137807264 56.0806498783939,-3.73188256866368 56.0844649213951,-3.72517688837646 56.0876086552264,-3.71750214131157 56.0899600922173,-3.70915360606937 56.0914287168399,-3.70045263622027 56.0919579872373,-3.6917342309379 56.0915275238907,-3.68333406566735 56.090153898895,-3.67557549585034 56.0878899945763,-3.66875704791104 56.0848229567922,-3.66314089085374 56.0810708237875,-3.65894274006887 56.0767779635517,-3.65632358452709 56.0721094990707,-3.65538355261883 56.0672449397935)))', 'GBKDE', 'Kincardine', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.0692926520672 58.5320345962393,-3.07019961028583 58.5271665855862,-3.07290434840426 58.5224846129488,-3.07730229889549 58.5181684957653,-3.08322403209658 58.5143839378207,-3.09044183076481 58.5112761860403,-3.0986784634406 58.5089644778561,-3.1076178161543 58.5075374881064,-3.11691697732621 58.50704994603,-3.12621932105289 58.5075205486197,-3.13516810033589 58.5089312480203,-3.14342004478118 58.511227939464,-3.15065845715296 58.5143225241547,-3.15660531990665 58.5180962702962,-3.16103195618083 58.5224043468172,-3.16376783911132 58.5270813599698,-3.16470720776366 58.5319476844636,-3.16381322599723 58.5368163496208,-3.16111951012666 58.5415002184831,-3.1567289496431 58.5458191849298,-3.15080984914643 58.5496071114022,-3.14358952507053 58.5527182381473,-3.13534559334198 58.5550328139253,-3.12639527914358 58.5564617273318,-3.1170831628431 58.5569499562682,-3.10776784264833 58.5564786991734,-3.09880804111077 58.5550661035451,-3.09054870666424 58.5527665628353,-3.08330766160386 58.5496686096157,-3.07736332427375 58.5458914885106,-3.07294398705902 58.5415805443987,-3.07021906560679 58.5369016075921,-3.0692926520672 58.5320345962393)))', 'GBKES', 'Keiss', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.52766196764471 50.716509784783,-1.52857040521139 50.7116471144231,-1.53095515755835 50.7069903600477,-1.53472420831005 50.7027183889512,-1.53973247805016 50.698995243892,-1.54578743555121 50.6959638583109,-1.55265650659048 50.6937405855194,-1.56007599416614 50.6924107487514,-1.56776116999753 50.6920253798364,-1.57541715591904 50.6925992691621,-1.58275018618374 50.6941104001885,-1.58947882843223 50.6965007898075,-1.5953447424567 50.6996787031191,-1.60012257188152 50.7035221595502,-1.603628594136 50.7078835984876,-1.60572779790916 50.7125955284633,-1.60633911354905 50.7174769460616,-1.60543858906543 50.7223402805714,-1.60306038050581 50.7269985992194,-1.59929550801389 50.7312727965652,-1.59428841490311 50.7349984909243,-1.58823145326832 50.7380323607485,-1.58135750244209 50.7402576745224,-1.57393100232914 50.7415887982907,-1.56623774880605 50.7419745042895,-1.55857384979526 50.7413999508131,-1.55123427574113 50.7398872555126,-1.54450145523615 50.7374946396429,-1.53863436458909 50.7343141770309,-1.53385853930424 50.7304682363576,-1.53035739683879 50.7261047564393,-1.52826520559964 50.7213915394647,-1.52766196764471 50.716509784783)))', 'GBKEV', 'Keyhaven', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.1223806830872 56.0670522968866,-3.1232224999293 56.0621820178002,-3.12574604082907 56.0574971573296,-3.12985379419556 56.053177654027,-3.1353875438977 56.0493893567178,-3.14213450360106 56.0462776734487,-3.14983551321288 56.0439620100143,-3.15819497960239 56.0425312077647,-3.16689218245921 56.0420401519988,-3.17559351896768 56.0425076778739,-3.18396522893396 56.0439158520196,-3.19168612573763 56.0462106566414,-3.19845985828911 56.0493040505896,-3.20402624506161 56.0530773304266,-3.20817125293668 56.0573856657031,-3.21073524043163 56.0620636381624,-3.21161914584951 56.0669315760349,-3.21078837452433 56.0718024434479,-3.20827422360701 56.076489022533,-3.20417277514986 56.0808111130949,-3.19864128541764 56.0846024724221,-3.19189219668233 56.0877172263035,-3.18418499315993 56.0900355014714,-3.17581621094688 56.0914680589625,-3.16710798860426 56.0919597462579,-3.15839560656711 56.0914916320553,-3.15001450661339 56.0900817392928,-3.1422873049051 56.0877843474094,-3.13551131239536 56.0846878914423,-3.1299470546666 56.080911540994,-3.12580824070709 56.0766005939862,-3.12325356903096 56.0719208662876,-3.1223806830872 56.0670522968866)))', 'GBKHN', 'Kinghorn', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.72801128582711 50.2832507215793,-3.72868603498492 50.2783722333824,-3.73083275252049 50.2736718065055,-3.73436855823726 50.2693299997724,-3.73915731178705 50.2655135494672,-3.74501488409842 50.2623689795578,-3.75171624843367 50.260016992167,-3.75900411631976 50.2585478506258,-3.76659878828915 50.2580179292661,-3.77420884645785 50.2584475597311,-3.7815422865426 50.2598202546416,-3.78831767167278 50.262083337695,-3.79427488962659 50.2651499565119,-3.79918510892701 50.2689024026144,-3.80285955725335 50.2731966136295,-3.80515678719409 50.2778676879268,-3.8059881484407 50.2827362030443,-3.80532125063151 50.2876150979304,-3.80318127527678 50.2923168564896,-3.7996500761378 50.2966607171617,-3.79486309225254 50.3004796309693,-3.78900418327574 50.3036266988988,-3.78229857943891 50.3059808385264,-3.77500421464015 50.3074514588622,-3.76740177744356 50.3079819604409,-3.7597838679199 50.3075519232861,-3.75244368565141 50.306177896692,-3.74566369394571 50.3039127596982,-3.73970470633346 50.3008436773782,-3.73479582370482 50.2970887332562,-3.73112561488295 50.2927923700056,-3.72883488185261 50.2881198169151,-3.72801128582711 50.2832507215793)))', 'GBKIB', 'KingsbrIdge', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.07773760374619 50.6166958093567,-2.07858722633916 50.6118285022309,-2.08091254148975 50.6071601435685,-2.08462381366813 50.6028700498566,-2.08957817738621 50.5991229626384,-2.09558516433349 50.5960627365225,-2.10241403423376 50.5938068328073,-2.10980262603198 50.5924418270053,-2.11746739172898 50.5920200996525,-2.12511423348353 50.5925578348694,-2.13244973653944 50.5940344018469,-2.13919237676929 50.5963931425078,-2.14508328247158 50.5995435358558,-2.14989614549968 50.6033646578026,-2.15344590649861 50.6077098063669,-2.15559588228251 50.6124121178135,-2.15626305911646 50.6172909611795,-2.1554213423529 50.6221588681848,-2.15310262852749 50.6268287339962,-2.14939564817865 50.6311210126771,-2.14444261340166 50.634870630043,-2.13843379018636 50.6379333462933,-2.13160019836275 50.6401913210291,-2.12420471785542 50.6415576634433,-2.11653194540769 50.6419797895126,-2.10887719781744 50.6414414544156,-2.10153509343406 50.6399633802876,-2.09478816137771 50.6376024546563,-2.08889592674092 50.6344495311601,-2.08408489998712 50.6306259190795,-2.08053986091381 50.6262786994962,-2.078396773836 50.6215750514387,-2.07773760374619 50.6166958093567)))', 'GBKIM', 'Kimmeridge', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.59040781819731 54.2509233259128,-5.59092107893742 54.2460398124147,-5.59305097592999 54.2413087508924,-5.59671515604306 54.2369118769511,-5.60177244709991 54.2330180328631,-5.60802833761772 54.2297766984205,-5.61524247633782 54.2273122706129,-5.62313789967085 54.2257193082986,-5.63141163388021 54.2250589207945,-5.63974627086796 54.2253564357736,-5.6478220829247 54.2266004336248,-5.6553292234621 54.2287431842228,-5.66197955791859 54.2317024696358,-5.66751768175182 54.2353647244678,-5.67173071043818 54.2395893760678,-5.67445646909436 54.2442142214556,-5.67558976574779 54.2490616381595,-5.67508650100906 54.2539453937155,-5.67296544604257 54.2586777946559,-5.66930760786317 54.2630769014619,-5.66425319314517 54.2669735319278,-5.65799627547298 54.2702177820611,-5.65077736247807 54.2726848109848,-5.64287414458863 54.2742796638437,-5.63459078219233 54.2749409435021,-5.62624614919315 54.2746431864646,-5.61816149510481 54.2733978491935,-5.61064801263599 54.2712528657289,-5.60399480184933 54.2682907939369,-5.59845770518052 54.2646256234145,-5.59424945077449 54.2603983707002,-5.59153148667248 54.2557716347699,-5.59040781819731 54.2509233259128)))', 'GBKIO', 'Killough', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.7707055162553 54.8802823818305,-3.7714443906993 54.8754071554622,-3.77381810979735 54.8707086885731,-3.77773495027116 54.8663674508397,-3.78304404697545 54.8625501354222,-3.78954124258608 54.8594032740825,-3.79697695310611 54.8570476312264,-3.8050657439668 54.8555735884779,-3.81349725108142 54.8550376932929,-3.82194803447072 54.8554605009264,-3.83009392007551 54.8568257904083,-3.83762236876513 54.859081183766,-3.84424441065794 54.8621401453229,-3.84970569770411 54.8658852862888,-3.85379625774819 54.8701728508182,-3.85635857836483 54.8748382149461,-3.85729370763236 54.8797021909568,-3.85656513021345 54.8845778982678,-3.85420025866993 54.8892779391111,-3.85028946932116 54.8936216041902,-3.84498270608267 54.897441830804,-3.83848377102743 54.9005916439875,-3.83104251296479 54.9029498299435,-3.82294521102555 54.9044256198834,-3.81450352503176 54.9049622003568,-3.80604244460694 54.9045389117799,-3.79788771144284 54.9031720483419,-3.79035321163187 54.9009142276364,-3.78372883628323 54.8978523548823,-3.7782692886921 54.8941042620733,-3.77418427619539 54.8898141544461,-3.77163046665364 54.8851470431288,-3.7707055162553 54.8802823818305)))', 'GBKIP', 'Kippford', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.10534249857907 56.1000461631398,-3.10618717962414 56.0951760253969,-3.10871493984295 56.0904915367656,-3.11282810459416 56.0861726212793,-3.11836824936218 56.0823851049184,-3.12512234216654 56.0792743654757,-3.13283094942924 56.0769597722819,-3.14119818710799 56.0755301254438,-3.14990303757278 56.0750402658406,-3.15861160550467 56.0755089827421,-3.16698985405274 56.0769182971749,-3.17471634622891 56.0792141477522,-3.18149451634916 56.0823084533838,-3.18706401224626 56.0860824758394,-3.19121068068875 56.0903913563252,-3.19377481531957 56.0950696557475,-3.1946573474598 56.0999376897907,-3.19382373382387 56.1048084188062,-3.19130537954319 56.109494630077,-3.18719852729139 56.1138161373137,-3.18166064056218 56.117606719966,-3.17490440756759 56.1207205334263,-3.16718958770759 56.1230377403723,-3.15881301083502 56.1244691427766,-3.15009711638852 56.1249596324906,-3.14137748103567 56.1244903243155,-3.13298982654447 56.1230792872411,-3.12525702187366 56.1207808449111,-3.11847659372631 56.1176834729871,-3.11290923803126 56.1139063765148,-3.10876878219106 56.1095948822791,-3.10621398674931 56.1049148272928,-3.10534249857907 56.1000461631398)))', 'GBKKD', 'Kirkcaldy', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.95761123892825 54.0659344716285,-5.95878142606903 54.0610909045115,-5.96153492384443 54.0564746430102,-5.96576548388987 54.0522629783821,-5.97131026713772 54.0486176142558,-5.97795614116346 54.0456784750234,-5.98544787811819 54.0435583536977,-5.99349793713833 54.0423386011089,-6.00179745925946 54.0420660184991,-6.01002806068055 54.0427510700792,-6.01787398269115 54.0443674825587,-6.0250341442774 54.0468532467893,-6.03123364662621 54.0501129842432,-6.03623429740852 54.0540215898795,-6.03984375648036 54.0584290148094,-6.04192295278059 54.0631660087641,-6.04239148360031 54.0680506053054,-6.04123078045024 54.0728951034521,-6.03848490833483 54.0775132791448,-6.03425895468148 54.0817275497082,-6.02871505727519 54.085375814784,-6.02206621367695 54.0883177083369,-6.01456810382436 54.0904400180335,-6.00650923879651 54.0916610598837,-5.99819981819387 54.0919338363664,-5.9899597327737 54.0912478537554,-5.98210618510115 54.0896295270825,-5.97494141712841 54.087141156915,-5.96874102894794 54.0838785185112,-5.9637433477465 54.0799671585556,-5.96014026157449 54.0755575452567,-5.95806987127636 54.0708192620424,-5.95761123892825 54.0659344716285)))', 'GBKLK', 'Kilkeel', 'Y'),('SRID=4326;MULTIPOLYGON(((0.424115292722229 52.7509005489718,0.423612554719703 52.7460161817528,0.421549495023079 52.7412851606154,0.418005855008065 52.7368892239074,0.413118143574462 52.7329971848173,0.407074341309231 52.7297584622878,0.400106654050952 52.7272973617374,0.392482597691428 52.7257083219128,0.384494755514739 52.7250523069183,0.376449595933477 52.7253544788555,0.368655771013367 52.726603238173,0.361412333963968 52.7287506674991,0.354997316452833 52.7317143621924,0.349657094135186 52.7353805789073,0.345596941457828 52.7396085839327,0.342973135205152 52.744236037646,0.341886911391417 52.7490852117847,0.342380513375959 52.7539698038587,0.344435492371117 52.7587020892124,0.34797333721372 52.7631001370327,0.352858421266846 52.7669948127339,0.358903163939994 52.7702362959731,0.365875216227849 52.772699861039,0.373506397703433 52.7742906939844,0.381503040347921 52.774947557718,0.389557335955676 52.7746451609254,0.397359241581915 52.7733951373901,0.404608473801809 52.7712455969498,0.411026118686048 52.7682792656446,0.416365400587266 52.7646102882203,0.420421188230388 52.7603798186809,0.423037869368919 52.7557505718486,0.424115292722229 52.7509005489718)))', 'GBKLN', 'King''s Lynn', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.93766055228792 56.7007135563379,-4.93828156120185 56.6958338523081,-4.9406205312746 56.6911145362848,-4.94458699922893 56.6867368803007,-4.95002812887781 56.6828689724463,-4.95673464624979 56.6796592790862,-4.96444890818525 56.677230966023,-4.97287479040546 56.675677192795,-4.98168901709049 56.6750575567775,-4.99055350423575 56.6753958200798,-4.99912825456278 56.6766790039931,-5.00708432319847 56.678857884637,-5.01411637103272 56.6818488712295,-5.01995433664299 56.6855371968181,-5.02437378767524 56.6897813021277,-5.0272045580161 56.6944182480817,-5.02833733702431 56.6992699531747,-5.02772795009961 56.7041500196962,-5.02539915400928 56.7088708891298,-5.02143986313547 56.7132510529507,-5.01600182101898 56.7171220412736,-5.00929383157988 56.7203349187607,-5.0015737620838 56.7227660348547,-4.99313862095644 56.7243218032809,-4.9843130936032 56.7249423229126,-4.97543698445549 56.7246036971179,-4.96685206013919 56.7233189597921,-4.95888881442652 56.7211375713088,-4.95185367907172 56.7181435042467,-4.94601718554179 56.7144519945318,-4.941603542077 56.7102050861935,-4.93878203063975 56.7055661450438,-4.93766055228792 56.7007135563379)))', 'GBKNC', 'Kinlochleven', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.06769597349512 56.6969411750426,-6.0689446458071 56.6920991100259,-6.07188552711515 56.6874840603971,-6.07640508869454 56.6832732608176,-6.08232933598338 56.6796283671195,-6.08943054208602 56.6766892687512,-6.09743600832947 56.6745687405403,-6.10603851388774 56.6733481351113,-6.11490805750259 56.6730742775111,-6.12370444988733 56.6737576782109,-6.13209028643523 56.675372131274,-6.13974381692466 56.6778557128187,-6.14637123226824 56.6811131427082,-6.1517179079523 56.6850194214354,-6.15557817931946 56.6894246061721,-6.1578032745776 56.6941595466306,-6.15830709627481 56.6990423643166,-6.15706961936311 56.7038854293942,-6.15413776171579 56.7085025689868,-6.14962367828761 56.7127162302556,-6.14370052963998 56.7163643217025,-6.13659587540748 56.7193064670512,-6.12858293920713 56.7214294275984,-6.11997007909755 56.7226514804181,-6.11108887272521 56.7229255801108,-6.10228128492877 56.7222411793487,-6.09388642471741 56.7206246363192,-6.0862274160843 56.7181381930832,-6.07959890211292 56.7148775654442,-6.07425567457013 56.7109682397381,-6.0704028731626 56.7065606226676,-6.06818813244823 56.7018242348205,-6.06769597349512 56.6969411750426)))', 'GBKOA', 'Kilchoan', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.10230019024693 58.5334182511643,-4.10306391450042 58.5285437686169,-4.1056306988773 58.5238408369155,-4.10990126247398 58.5194900859126,-4.1157110484865 58.5156585550773,-4.12283661494009 58.5124932982433,-4.13100424782901 58.5101157612705,-4.13990046174337 58.5086171443002,-4.14918398725074 58.5080549223817,-4.15849879344637 58.5084506543369,-4.1674876592054 58.5097891614059,-4.17580578837602 58.5120191061606,-4.18313396273449 58.515054950101,-4.18919074199522 58.5187802170143,-4.19374325227642 58.5230519402928,-4.19661615259912 58.5277061276668,-4.19769843229771 58.5325640378077,-4.19694776921781 58.5374390314833,-4.19439226727752 58.5421437366977,-4.1901294897334 58.5464972535975,-4.18432280803235 58.5503321216316,-4.17719519154253 58.5535007789083,-4.16902066636558 58.555881261881,-4.16011376719809 58.5573819219059,-4.15081739020656 58.5579449728966,-4.14148952282103 58.5575487298122,-4.13248937461765 58.5562084492275,-4.12416345939979 58.553975738573,-4.11683218074516 58.5509365574324,-4.11077745153698 58.5472078900773,-4.10623183355157 58.5429332208017,-4.10336961847666 58.538276990376,-4.10230019024693 58.5334182511643)))', 'GBKRM', 'Kirtomy', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.52796886853997 50.3331837660582,-3.52866476110666 50.3283064197825,-3.53083343057263 50.3236096631684,-3.53439115382857 50.3192739127486,-3.53920095020208 50.3154656711044,-3.54507788488096 50.3123311462171,-3.55179619048943 50.309990654162,-3.55909793095763 50.3085340170014,-3.56670287662594 50.3080171294596,-3.57431921675443 50.3084598235236,-3.58165470634045 50.3098451111242,-3.58842782907592 50.3121198332732,-3.59437855773849 50.3151966912706,-3.59927830731549 50.3189575836877,-3.6029387043863 50.3232581235904,-3.60521883806903 50.3279331656448,-3.60603071212088 50.3328031339823,-3.6053426830937 50.3376809104785,-3.60318074385653 50.3423790206777,-3.59962759290297 50.3467168419766,-3.5948195148133 50.3505275565213,-3.58894118280527 50.3536645798543,-3.58221857698394 50.3560072155341,-3.57491028808703 50.357465315151,-3.56729754271356 50.3579827613346,-3.5596733390392 50.3575396370495,-3.55233111922155 50.3561529958624,-3.54555342418607 50.353876202833,-3.53960097724582 50.3507968719344,-3.53470262500433 50.3470334810722,-3.53104652814919 50.342730797546,-3.52877294289281 50.3380542930368,-3.52796886853997 50.3331837660582)))', 'GBKWE', 'Kingswear', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.90167073188948 58.9829723240098,-2.90261309838976 58.9781058591031,-2.90537575041621 58.9734277698614,-2.90985187790598 58.9691177214112,-2.91586903767426 58.9653411806519,-2.92319584516915 58.9622430827106,-2.93155088877481 58.9599422908527,-2.94061352078647 58.9585270582427,-2.95003611399611 58.9580516614703,-2.95945732287008 58.9585343314244,-2.96851585454174 58.9599565585072,-2.97686423786065 58.9622637980098,-2.98418207880269 58.9653675494396,-2.99018830765094 58.9691487324304,-2.99465195723846 58.9734622332997,-2.99740106161948 58.9781424520238,-2.99832932983144 58.9830096409671,-2.99740032845843 58.9878767956081,-2.99464899744697 58.9925568350406,-2.99018042333952 58.9968697972399,-2.98416589938537 59.0006497717153,-2.97683640885396 59.0037513005878,-2.96847377182551 59.0060549982635,-2.95939979203304 59.007472169193,-2.94996382428288 59.0079482416942,-2.94052925026487 59.0074648820045,-2.93145939757132 59.0060407047279,-2.92310346087711 59.0037305514733,-2.91578298413776 59.0006233663262,-2.90977943834281 58.9968387524055,-2.90532338218499 58.9925223457213,-2.90258562557775 58.9878401886807,-2.90167073188948 58.9829723240098)))', 'GBKWL', 'Kirkwall', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.17264225344595 55.8677912653042,-5.17322277052534 55.8629101212169,-5.17548511976602 55.858186426792,-5.17934180965156 55.8538016267179,-5.18464423954364 55.8499240892179,-5.19118846949249 55.8467026566508,-5.19872308327654 55.8442609513244,-5.20695883865474 55.8426926514336,-5.21557973577872 55.8420579146242,-5.22425508556827 55.8423810830533,-5.23265212569247 55.8436497555878,-5.24044871329595 55.8458152616361,-5.24734562110188 55.8487945188187,-5.25307797703912 55.852473205009,-5.25742541681826 55.856710125986,-5.26022056333393 55.8613426147457,-5.26135550543746 55.8661927590302,-5.26078602009612 55.8710742213602,-5.25853336430365 55.8757993920837,-5.25468355383822 55.8801866017599,-5.24938414200816 55.8840671153258,-5.24283860928834 55.8872916373437,-5.23529857023281 55.8897360751651,-5.22705409302962 55.8913063345968,-5.21842250534662 55.8919419596703,-5.20973612380699 55.891618472998,-5.20132939022823 55.8903483241628,-5.19352592320766 55.8881804085101,-5.18662599735034 55.8851981752604,-5.18089494419609 55.8815163996198,-5.17655292969479 55.8772767461499,-5.17376650500109 55.8726422978516,-5.17264225344595 55.8677912653042)))', 'GBKYE', 'Kyles of Bute', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.67425545551446 54.4009547433672,-5.67476003378849 54.3960710763444,-5.67688743737714 54.3913386617626,-5.68055540353315 54.3869392872978,-5.68562260995144 54.3830418909663,-5.69189416097996 54.3797960883508,-5.69912910238683 54.3773264471706,-5.70704967215002 54.3757277255398,-5.71535193317051 54.375061253066,-5.72371738562344 54.3753525904394,-5.73182512297292 54.3765905549633,-5.73936407718762 54.3787276482934,-5.74604489576196 54.3816818702499,-5.75161100580879 54.3853398507396,-5.75584844847932 54.3895611823509,-5.75859410969066 54.3941837907809,-5.75974202963645 54.399030140562,-5.75924754241918 54.4039140410598,-5.75712907648121 54.4086477937272,-5.75346753389471 54.4130494071774,-5.74840325903408 54.4169496025293,-5.74213070124636 54.4201983380748,-5.73489096803119 54.4226705995826,-5.72696255091873 54.4242712300172,-5.7186505816963 54.4249386091722,-5.71027503817638 54.4246470383234,-5.70215836317057 54.423407735712,-5.69461298538857 54.4212684033944,-5.68792923526539 54.4183113824165,-5.68236413198797 54.4146504689972,-5.67813148113141 54.41042651706,-5.67539366726711 54.4058019998284,-5.67425545551446 54.4009547433672)))', 'GBKYH', 'Killyleagh', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.6539893226304 57.2679804538048,-5.65452334640637 57.2630985089533,-5.65680449138249 57.2583667921885,-5.66074448623673 57.2539670548998,-5.66619148313459 57.2500682339827,-5.67293595927551 57.2468199814035,-5.68071879859106 57.2443469401631,-5.68924123855969 57.2427439825282,-5.6981763015956 57.2420725892482,-5.70718127930741 57.2423585051005,-5.71591080219384 57.2435907581075,-5.72403000771675 57.2457220788177,-5.73122731649617 57.2486707038963,-5.73722633964357 57.2523234966693,-5.74179646974221 57.2565402679654,-5.74476175314265 57.2611591352871,-5.74600770113968 57.2660027186467,-5.74548577085511 57.2708849388015,-5.74321533135251 57.2756181594458,-5.73928302414432 57.2800204002388,-5.73383952668997 57.2839223431497,-5.72709382902877 57.2871738609172,-5.71930523319145 57.289649813445,-5.7107733780761 57.2912548852487,-5.70182667463992 57.2919272737155,-5.6928096034224 57.2916410825594,-5.68406937505453 57.2904073256706,-5.67594248188867 57.2882735014534,-5.66874167367807 57.2853217543796,-5.66274387206527 57.2816656964189,-5.65817949849632 57.2774460138377,-5.6552236302395 57.2728250323497,-5.6539893226304 57.2679804538048)))', 'GBKYL', 'Kyle', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.96970009721267 58.2507380144174,-4.97033902127626 58.2458591466434,-4.97277050059351 58.2411397125446,-4.97690045446112 58.2367609832153,-4.98256971981752 58.2328910791892,-4.98956023619774 58.2296785327511,-4.99760345490162 58.2272466082081,-5.00639064485853 58.2256885940933,-5.01558470137365 58.2250642437945,-5.02483301241943 58.2253974975119,-5.03378090143841 58.2266755703276,-5.04208514638983 58.2288494402119,-5.0494270723077 58.2318357177121,-5.05552472896907 58.2355198276184,-5.06014369615054 58.2397603838065,-5.06310610582796 58.244394593412,-5.06429753261899 58.2492444870889,-5.06367147938825 58.2541237398545,-5.0612512722759 58.2588448232135,-5.05712927589605 58.2632262149874,-5.05146344185397 58.26709938931,-5.04447130822502 58.2703153160238,-5.03642166991735 58.2727502162052,-5.02762423532628 58.2743103483067,-5.01841766880023 58.2749356364954,-5.0091564869056 58.2746019977857,-5.00019732567339 58.2733222757072,-4.99188512323845 58.2711457433755,-4.98453976602057 58.2681561955773,-4.97844372662394 58.264468705396,-4.97383117905457 58.260225173572,-4.97087901400708 58.2555888459828,-4.96970009721267 58.2507380144174)))', 'GBKYU', 'Kylesku', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.75857340703706 54.0459223183623,-2.75941675312234 54.0410529305817,-2.76185755517672 54.0363739001044,-2.76580154814966 54.0320649464171,-2.77109685734203 54.0282915221934,-2.77753988174313 54.0251984760545,-2.78488313414644 54.0229045107474,-2.79284473440148 54.0214976459704,-2.80111919368384 54.0210318564918,-2.80938908268448 54.0215250116282,-2.81733714616837 54.0229581931972,-2.82465841107997 54.0252764174497,-2.83107183558484 54.0283907340075,-2.83633106213241 54.0321816232699,-2.84023386848752 54.0365035648948,-2.84262995605548 54.0411906055164,-2.84342677366665 54.0460627154646,-2.84259314579341 54.0509326933651,-2.8401605549329 54.0556133553993,-2.83622201605668 54.0599247336912,-2.8309285735262 54.0637010064434,-2.82448354416781 54.0667968913725,-2.81713472042257 54.069093253551,-2.80916483062648 54.0705017083782,-2.80088062561228 54.0709680390149,-2.79260101839037 54.0704742937578,-2.78464474370886 54.06903948063,-2.77731802470452 54.0667188317709,-2.7709027335471 54.0636016666838,-2.76564551196608 54.0598079386321,-2.76174827695661 54.0554836001378,-2.75936047892573 54.0507949694677,-2.75857340703706 54.0459223183623)))', 'GBLAN', 'Lancaster', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.77378464669523 54.850995512745,-5.77428099116946 54.8461118309078,-5.77641856315931 54.8413778403147,-5.78011469395141 54.8369753884634,-5.78522696709874 54.8330735298778,-5.79155874846624 54.829822049125,-5.79886676880274 54.8273457292708,-5.80687046355106 54.8257395822976,-5.81526271236935 54.8250652208706,-5.82372157211027 54.8253485073965,-5.83192256290545 54.8265785681802,-5.8395510482355 54.8287082093478,-5.8463142467803 54.8316557188474,-5.85195242648321 54.8353079870337,-5.85624885936245 54.8395248288759,-5.85903815857846 54.8441443454048,-5.86021267615961 54.8489891222759,-5.85972670920458 54.8538730307616,-5.85759834242449 54.8586083724035,-5.85390884312429 54.8630130940193,-5.84879961816598 54.8669177955345,-5.84246683762346 54.870172259572,-5.83515392286091 54.8726512488878,-5.82714218356622 54.8742593450979,-5.81873996479096 54.8749346387829,-5.81027072752007 54.8746511256079,-5.8020605315091 54.8734197137737,-5.79442541468941 54.8712878028393,-5.78765916796483 54.868337450409,-5.78202198744771 54.8646821989384,-5.77773044900053 54.8604626876364,-5.77494919432864 54.8558412218728,-5.77378464669523 54.850995512745)))', 'GBLAR', 'Larne', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.25410627733236 57.1493696571041,-7.25521720573817 57.1445156012461,-7.25804834001767 57.1398725703147,-7.26249033577192 57.1356188794806,-7.26837214478435 57.1319178345538,-7.27546764053392 57.128911480766,-7.28350432187657 57.1267151720075,-7.29217375839727 57.1254131649728,-7.30114338012588 57.1250554034215,-7.31006916813357 57.1256556127725,-7.31860877193784 57.1271907761561,-7.32643456522208 57.1296020115272,-7.33324615337995 57.1327968172543,-7.338781864804 57.1366526024897,-7.34282879233743 57.1410213703476,-7.34523100124892 57.1457353781499,-7.34589558441605 57.1506135613499,-7.34479632256361 57.1554684776718,-7.34197479527924 57.160113506761,-7.33753888438481 57.1643700292458,-7.33165871173065 57.1680743082238,-7.32456015471406 57.1710838061083,-7.31651618052651 57.1732826903486,-7.30783632985171 57.1745863121558,-7.29885475812184 57.1749444819354,-7.28991730354814 57.1743434121193,-7.28136809274475 57.1728062505754,-7.27353621460768 57.1703921835511,-7.26672299010543 57.1671941437721,-7.26119033996105 57.1633352144414,-7.2571507052765 57.1589638711042,-7.25475891051213 57.1542482485317,-7.25410627733236 57.1493696571041)))', 'GBLBD', 'Lochboisdale', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.82011720340453 56.3410302356194,-5.82062055635672 56.3361472762787,-5.82282890533773 56.3314126616989,-5.82665681001999 56.3270082589017,-5.83195675241464 56.3231031899476,-5.83852486865354 56.31984735349,-5.84610881206339 56.3173656902595,-5.85441744106797 56.3157534088994,-5.86313196113456 56.315072351491,-5.87191809966215 56.315348634756,-5.88043885749557 56.3165716548951,-5.88836736132659 56.3186944930238,-5.8953993379521 56.3216357059344,-5.90126474423939 56.3252824352265,-5.90573811544948 56.3294947184523,-5.90864723872475 56.3341108405319,-5.90987981712052 56.338953523925,-5.90938786116803 56.343836723396,-5.90718962769712 56.34857276699,-5.90336901704222 56.3529795701312,-5.89807243674204 56.3568876453293,-5.89150323881397 56.3601466362574,-5.88391393460589 56.3626311219455,-5.87559648182538 56.3642454640564,-5.86687101834565 56.3649275067773,-5.85807348280553 56.3646509833815,-5.84954260945481 56.3634265342261,-5.84160681159908 56.3613012957509,-5.83457147289004 56.3583570765951,-5.82870714830475 56.3547071928329,-5.8242391379001 56.3504920871515,-5.8213388383981 56.3458739043236,-5.82011720340453 56.3410302356194)))', 'GBLBE', 'Loch Buie', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.22083652061642 57.366355994323,-7.22195894664047 57.361502458376,-7.22481149041611 57.3568604543995,-7.22928397748196 57.3526082569664,-7.23520418362442 57.3489091130334,-7.2423445062229 57.3459049932086,-7.25043072473183 57.3437111640934,-7.25915251160889 57.342411786002,-7.26817529393951 57.3420567010905,-7.2771530196619 57.342659531943,-7.2857413516177 57.3441971615714,-7.29361079821318 57.3466106142814,-7.30045929153363 57.3498073046892,-7.30602374228679 57.3536645710893,-7.31009013564692 57.3580343611173,-7.31250178228384 57.3627488939078,-7.31316540353531 57.3676270853197,-7.31205480726779 57.3724814927388,-7.309211999344 57.3771255147447,-7.30474567203099 57.3813805695385,-7.29882711177427 57.3850829751565,-7.29168367062014 57.3880902644291,-7.28359004388322 57.3902866882347,-7.27485768694047 57.3915876912404,-7.26582278190472 57.3919431839114,-7.25683322641283 57.3913394815855,-7.24823515860112 57.389799833925,-7.24035955226001 57.387383523852,-7.23350941306809 57.3841835717584,-7.22794808088354 57.3803231359119,-7.22388909575547 57.3759507511961,-7.22148801917703 57.3712345934936,-7.22083652061642 57.366355994323)))', 'GBLCC', 'Loch Carnan', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.80538442289764 56.0836606147544,-4.80601396414721 56.0787810695485,-4.80833333459407 56.0740639333611,-4.81225284801915 56.0696903957386,-4.81762149076986 56.0658283892694,-4.82423278410427 56.0626261573545,-4.83183274392012 56.0602065833581,-4.84012962827038 56.0586624951059,-4.84880510009037 56.0580531211079,-4.85752638358017 56.0584018311268,-4.86595895877609 56.0596952453973,-4.87377932067244 56.061883745624,-4.88068732714726 56.0648833685993,-4.88641767392773 56.068579011665,-4.89075006463547 56.0728288300386,-4.89351768898862 56.0774696609601,-4.89461368153863 56.0823232702898,-4.89399530546333 56.0872031851064,-4.89168568897902 56.0919218523074,-4.88777303335372 56.0962978492638,-4.88240730820147 56.1001628689765,-4.87579454808387 56.1033682093058,-4.86818896040496 56.1057905136593,-4.85988314390154 56.1073365385388,-4.85119679547841 56.1079467605999,-4.84246434680209 56.1075976809698,-4.83402201763737 56.1063027356836,-4.82619479794462 56.1041117761207,-4.81928387388241 56.1011091399006,-4.81355499389738 56.0974103884213,-4.80922823105896 56.0931578396926,-4.80646953885557 56.0885150721461,-4.80538442289764 56.0836606147544)))', 'GBLCG', 'Loch Long', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.28959159671845 54.9993973707569,-7.29063267207115 54.9945409735002,-7.29330122814379 54.9898946053775,-7.29749423760923 54.9856367186362,-7.30305026416303 54.9819307928646,-7.30975571207832 54.9789190751885,-7.31735304667542 54.9767171395716,-7.32555066801798 54.9754094703884,-7.33403406195937 54.9750462361989,-7.34247780836667 54.9756413746123,-7.35055799693364 54.9771720598992,-7.35796458706321 54.9795795733254,-7.36441325013492 54.9827715437955,-7.36965625004802 54.9866254751033,-7.37349195091563 54.9909934276459,-7.37577258850316 54.9957076785917,-7.37641000337381 55.0005871467911,-7.37537910717375 55.0054443386641,-7.37271893697279 55.0100925501215,-7.36853124342582 55.0143530482852,-7.36297665353569 55.0180619560021,-7.35626854430794 55.0210765721723,-7.34866485558081 55.0232808815624,-7.34045815464866 55.0245900384121,-7.33196433794451 55.0249536476772,-7.32351041237476 55.0243577146464,-7.31542183793298 55.0228251860227,-7.30800993189035 55.0204150611722,-7.30155983216572 55.0172201087561,-7.2963194935749 55.0133632789553,-7.29249014684045 55.0089929526415,-7.2902185888371 55.0042772140313,-7.28959159671845 54.9993973707569)))', 'GBLDY', 'Londonderry', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.12249582083857 55.9670522570323,-3.12333546944441 55.9621818986878,-3.12585250468466 55.9574969625244,-3.12994966834711 55.9531773903744,-3.13546915351396 55.9493890342649,-3.14219872283121 55.9462773051584,-3.14987988373643 55.9439616112683,-3.15821780364484 55.9425307956726,-3.16689258691948 55.9420397445572,-3.17557148836183 55.9425072930342,-3.18392160598124 55.9439155067373,-3.19162257956771 55.9462103659832,-3.19837882140268 55.949303826969,-3.20393082130005 55.9530771830249,-3.20806509977786 55.9573856001153,-3.21062242989646 55.9620636562797,-3.21150400914216 55.9669316761554,-3.21067533620477 55.9718026205827,-3.20816763157333 55.9764892688598,-3.20407673296049 55.9808114185012,-3.19855949348603 55.9846028250805,-3.19182780861516 55.9877176132289,-3.18414049298163 55.9900359090217,-3.17579331617074 55.991468473264,-3.16710758309997 55.9919601535541,-3.15841770597753 55.9914920189934,-3.15005825774439 55.9900820931743,-3.14235101911298 55.9877846564348,-3.13559253159714 55.9846881449783,-3.13004264726504 55.9809117298813,-3.12591452352047 55.9766007108905,-3.12336645029967 55.9719209060817,-3.12249582083857 55.9670522570323)))', 'GBLEI', 'Leith', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.1079758320756 60.1622950634963,-1.10921646281153 60.157445146768,-1.11233086126141 60.152808995069,-1.11719867606821 60.1485646442693,-1.12363242034077 60.1448750205809,-1.13138474017778 60.1418817070743,-1.1401579365933 60.1396995342072,-1.1496153725471 60.1384121974707,-1.15939433184097 60.1380690659397,-1.16911984755424 60.138683300606,-1.1784189853443 60.1402313524543,-1.18693505184944 60.142653858989,-1.19434120082628 60.1458579060371,-1.20035292951374 60.1497205708471,-1.20473899476101 60.1540936144948,-1.20733033209571 60.1588091480335,-1.20802663013662 60.1636860592884,-1.20680029604064 60.1685369571421,-1.20369764285205 60.1731753688607,-1.19883723381953 60.1774229145073,-1.19240542836997 60.1811161814839,-1.18464928523203 60.184113032063,-1.17586708545053 60.1862980972989,-1.16639683674535 60.1875872413631,-1.15660320594221 60.1879308200307,-1.14686339357051 60.1873156042371,-1.1375525105135 60.1857652923659,-1.12902903824455 60.1833395909812,-1.12162095046519 60.1801319006439,-1.11561304509713 60.1762656987633,-1.11123598322149 60.17188976275,-1.1086574586277 60.1671724218868,-1.1079758320756 60.1622950634963)))', 'GBLER', 'Lerwick', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.82272826013353 55.783664495197,-4.82335158516014 55.7787846818882,-4.82565177576071 55.7740671357754,-4.82953989299946 55.7696930632934,-4.83486613674567 55.7658304192657,-4.84142566032586 55.7626274735649,-4.84896646712819 55.760207138946,-4.85719908204646 55.7586622741181,-4.8658076280643 55.7580521385288,-4.87446188958612 55.7584001315788,-4.88282991039922 55.7596929006454,-4.89059065607238 55.7618808511,-4.89744626848956 55.7648800391874,-4.90313345410881 55.7685753769934,-4.90743357715641 55.7728250295046,-4.91018107372212 55.7774658386767,-4.91126986163906 55.7823195701043,-4.91065749269162 55.7871997457973,-4.90836687615197 55.7919188030342,-4.90448549339321 55.7962953053256,-4.89916211928183 55.8001609279319,-4.8926011636131 55.8033669475195,-4.8850548410188 55.8057899833615,-4.87681346633315 55.807336765512,-4.86819425016839 55.8079477426276,-4.85952903255558 55.8075993871928,-4.85115143767551 55.8063051070001,-4.84338395752563 55.8041147267339,-4.83652547548429 55.8011125600666,-4.83083972196541 55.7974141483745,-4.82654511471583 55.7931617946421,-4.82380637791424 55.7885190681498,-4.82272826013353 55.783664495197)))', 'GBLGS', 'Largs', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.493616950700901 50.799160039053,-0.49463416968174 50.7943072136968,-0.497125210650882 50.7896733594634,-0.500993981482098 50.7854364579111,-0.506091584521122 50.781759200294,-0.512222072423514 50.7787827552945,-0.519149985678934 50.7766213662313,-0.526609381079745 50.7753579819913,-0.53431400725569 50.7750410863676,-0.541968242999839 50.7756828450761,-0.549278387455823 50.7772586401134,-0.555963878951285 50.7797080090685,-0.561768021636097 50.7829369543107,-0.566467816079765 50.7868215354838,-0.569882521232934 50.7912126102468,-0.571880619936743 50.7959415444434,-0.572384917345218 50.8008266754997,-0.571375569640615 50.8056802832718,-0.568890917223948 50.8103158020459,-0.565026079622598 50.8145549968529,-0.559929355691428 50.8182348273117,-0.553796558937178 50.8212137330481,-0.546863500370643 50.8233770961183,-0.539396906526081 50.8246416671105,-0.531684124672364 50.824958781559,-0.524022017645931 50.8243162404338,-0.516705484635838 50.8227387808542,-0.510016059914245 50.820287118643,-0.504211038128494 50.8170556005589,-0.49951355254273 50.8131685586497,-0.496103992702312 50.8087755098813,-0.49411309243852 50.8040453889337,-0.493616950700901 50.799160039053)))', 'GBLIT', 'Littlehampton', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.95820167903324 53.416992686041,-2.95900950622037 53.4121213868069,-2.96139204036561 53.4074378098847,-2.9652572707971 53.403121852753,-2.97045635788644 53.3993392411387,-2.97678939850085 53.3962351806888,-2.98401312400193 53.3939288008275,-2.99185023260839 53.3925086006673,-3 53.3920290683517,-3.00814976739161 53.3925086006673,-3.01598687599807 53.3939288008275,-3.02321060149915 53.3962351806888,-3.02954364211356 53.3993392411387,-3.0347427292029 53.403121852753,-3.03860795963439 53.4074378098847,-3.04099049377963 53.4121213868069,-3.04179832096676 53.416992686041,-3.04099986394192 53.4218645380185,-3.03862527343859 53.4265496890206,-3.03476535078192 53.4308680019298,-3.02956812753895 53.4346533923738,-3.02323322308684 53.4377602316541,-3.01600418981454 53.4400689672948,-3.00815913756258 53.4414907415366,-3 53.4419708265963,-2.99184086243742 53.4414907415366,-2.98399581018547 53.4400689672948,-2.97676677691316 53.4377602316541,-2.97043187246105 53.4346533923738,-2.96523464921808 53.4308680019298,-2.96137472656141 53.4265496890206,-2.95900013605808 53.4218645380185,-2.95820167903324 53.416992686041)))', 'GBLIV', 'Liverpool', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-4.11683133520864 51.6763888148634,-4.11748325338764 51.6715093813395,-4.1196533440349 51.6668027522387,-4.12325779342822 51.6624497229926,-4.12815779612443 51.6586174566501,-4.134164932924 51.655453078388,-4.14104842904495 51.6530780438813,-4.14854401099222 51.6515834945637,-4.15636402356499 51.6510267748276,-4.16420842412686 51.6514292420187,-4.17177624075995 51.6527754513141,-4.17877706492798 51.6550137459565,-4.18494214812898 51.6580582306605,-4.19003468574078 51.6617920541288,-4.193858899548 51.6660718773168,-4.19626757263913 51.6707333591066,-4.19716774544804 51.6755974520378,-4.19652434822832 51.6804772691675,-4.19436162126468 51.6851852602883,-4.19076225722603 51.6895404226136,-4.18586428735585 51.6933752683529,-4.17985582137284 51.6965422796398,-4.1729678364135 51.6989195999451,-4.16546528935707 51.7004157398425,-4.15763689577966 51.700973112788,-4.14978397425112 51.7005702619906,-4.14220879393089 51.6992226906737,-4.13520288441062 51.6969822629505,-4.12903576839053 51.6939351988489,-4.12394455996957 51.6901987423563,-4.12012483500425 51.6859166333713,-4.11772312701985 51.6812535610032,-4.11683133520864 51.6763888148634)))', 'GBLLN', 'Llanelli', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.11654053564686 57.6023160456781,-7.11768472108788 57.5974637451794,-7.12056954438323 57.592824465951,-7.12508358351693 57.5885763761853,-7.1310530142347 57.5848825631061,-7.13824834336175 57.5818847906606,-7.1463932417633 57.5796980800762,-7.15517513549978 57.578406317229,-7.16425715246649 57.5780590514521,-7.17329097535411 57.578669605401,-7.18193012106678 57.5802145664949,-7.18984315235659 57.5826346789595,-7.19672632963119 57.5858371033549,-7.20231522964151 57.5896989594222,-7.20639489274781 57.5940720198709,-7.20880811104949 57.598788379039,-7.20946153479288 57.6036668827784,-7.20832935258861 57.6085200759201,-7.20545438994359 57.6131614025064,-7.20094656768005 57.617412382654,-7.19497876358852 57.621109489105,-7.18778022320149 57.6241104565264,-7.17962776453609 57.6262997772844,-7.17083511251265 57.6275931681271,-7.16174077708914 57.6279408318732,-7.15269495095147 57.6273293852799,-7.14404594458439 57.6257823768253,-7.13612669643194 57.6233593739765,-7.12924189254581 57.6201536562085,-7.12365620380876 57.6162886051667,-7.11958410097039 57.6119129345471,-7.11718164094816 57.607194947386,-7.11654053564686 57.6023160456781)))', 'GBLMA', 'Lochmaddy', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.79121532346219 51.2322757137172,-3.79189613656812 51.2273976183255,-3.79407925285002 51.222696616687,-3.79768037153057 51.2183532873934,-3.80256082698029 51.2145344214123,-3.80853295951543 51.2113866307916,-3.81536734312281 51.2090307364689,-3.82280158995764 51.2075571475117,-3.83055039514997 51.2070224059781,-3.83831644177825 51.2074470272651,-3.8458017559071 51.2088147169383,-3.85271908603023 51.2110729933483,-3.85880288044898 51.2141351926483,-3.86381945006347 51.2178837809468,-3.86757593244458 51.2221748490824,-3.86992771523384 51.2268436206183,-3.87078403184452 51.231710764786,-3.87011150864455 51.2365892747154,-3.8679355183557 51.2412916486678,-3.86433927688814 51.2456370991294,-3.85946070735935 51.2494585122044,-3.85348718233726 51.252608888073,-3.84664833982704 51.254967012217,-3.83920724650034 51.2564421360985,-3.83145024954396 51.2569774839807,-3.82367591300271 51.2565524481554,-3.81618347287759 51.2551833861668,-3.80926126554394 51.2529229885873,-3.80317558521097 51.2498582421928,-3.79816040809044 51.2461070686468,-3.79440838461537 51.2418137706914,-3.79206344831552 51.2371434642328,-3.79121532346219 51.2322757137172)))', 'GBLNM', 'Lynmouth', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.41096521101609 50.3504802243624,-4.41157078092734 50.3455984694749,-4.41365277373064 50.34088608636,-4.41713078921435 50.3365240969409,-4.42187089779189 50.3326800154473,-4.42769082850708 50.3295014283883,-4.43436699039989 50.3271103440867,-4.44164305489587 50.325598525698,-4.44923977096563 50.3250239837686,-4.45686564125159 50.3254087602499,-4.46422805727838 50.3267380871123,-4.47104447595882 50.3289609510332,-4.47705321823227 50.3319920428892,-4.48202348384716 50.3357150187829,-4.48576420371891 50.3399869499149,-4.48813139230659 50.3446437934995,-4.48903371602792 50.3495066777851,-4.48843605842503 50.3543887625507,-4.48636093670206 50.3591024134886,-4.48288770501166 50.3634664156615,-4.4781495646508 50.3673129484164,-4.47232848693122 50.3704940520621,-4.46564823743255 50.3728873351481,-4.4583657670295 50.3744006997737,-4.45076130199318 50.3749758999915,-4.44312751939237 50.3745907936317,-4.43575823228207 50.3732601989449,-4.42893702981032 50.3710353222687,-4.42292631932618 50.3680017791507,-4.41795720072218 50.3642762866708,-4.41422056845946 50.3600021567557,-4.41185978577685 50.3553437669358,-4.41096521101609 50.3504802243624)))', 'GBLOE', 'Looe', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.35428872255464 56.9994072568552,-7.35538176372198 56.9945521085065,-7.35818869992577 56.989906581438,-7.36260112053451 56.9856490879945,-7.36844911516688 56.9819430814199,-7.37550785528743 56.9789307987767,-7.38350624823512 56.9767278226342,-7.3921373290596 56.9754186663004,-7.40106999482199 56.9750535481616,-7.40996163986978 56.9756464757417,-7.41847121998025 56.9771747110042,-7.42627225876668 56.9795796369024,-7.43306531161886 56.9827689929735,-7.43858942068382 56.9866203966385,-7.44263212867029 56.9909860185527,-7.44503766893126 56.9956982365406,-7.44571301328864 57.0005760549501,-7.44463153586479 57.0054320461265,-7.44183413866599 57.0100795494109,-7.43742778009756 57.0143398515981,-7.43158144764868 57.0180490718388,-7.42451971679947 57.0210644838195,-7.4165141355196 57.023270028557,-7.40787276311697 57.0245808016975,-7.3989282693314 57.0249463387102,-7.39002506052767 57.0243525683012,-7.38150594140821 57.0228223568203,-7.37369884058824 57.020414622176,-7.36690412556619 57.017222052438,-7.36138300724234 57.0133675194369,-7.35734748759206 57.0089993289302,-7.35495223890246 57.0042854941378,-7.35428872255464 56.9994072568552)))', 'GBNRB', 'Northbay', 'Y'),('SRID=4326;MULTIPOLYGON(((0.0399677413170833 51.5010163037741,0.0395153390722026 51.4961302487667,0.0375447358061232 51.4913931474367,0.0341320908521087 51.4869869774972,0.0294088612803392 51.4830809524956,0.0235567028868281 51.4798250362601,0.0168004673864994 51.4773442015544,0.00939956820186618 51.4757336502823,0.00163804559974432 51.4750551754644,-0.00618629224922452 51.4753348016824,-0.0137732435678713 51.4765617923827,-0.0208316761707348 51.4786890610639,-0.0270906501558145 51.4816349707602,-0.032309782559038 51.4852864541824,-0.0362884628684173 51.4895033372012,-0.0388735686600807 51.4941237028027,-0.0399653839369855 51.4989700928511,-0.039521487622807 51.5038563124676,-0.0375584542307562 51.5085945778648,-0.0341512906503197 51.5130027341109,-0.0294306194619171 51.5169112652618,-0.0235777069695009 51.5201698259511,-0.0168175196910989 51.5226530408209,-0.00941007267069477 51.5242653456085,-0.0016404030240642 51.5249446803363,0.00619244076309347 51.5246648895089,0.0137869619600105 51.5234367347401,0.0208508759349575 51.5213074797506,0.0271124082970439 51.518359063904,0.0323307865938745 51.5147049360284,0.0363055151209415 51.5104856728469,0.0388840730783302 51.5058635537314,0.0399677413170833 51.5010163037741)))', 'GBLON', 'London', 'Y'),('SRID=4326;MULTIPOLYGON(((0.707032999037833 51.5507894995556,0.706508725265178 51.5459052414724,0.704466534246205 51.5411785808612,0.700985332016898 51.5367910901379,0.696199202056153 51.5329112620016,0.690292206594867 51.5296880520413,0.683491292972762 51.5272451763649,0.676057580675674 51.5256763800608,0.668276362562091 51.5250418548649,0.660446199059907 51.5253659406349,0.652867515662395 51.526636196753,0.645831131157322 51.5288038781172,0.63960714632224 51.5317857977466,0.634434610278078 51.535467506028,0.630512354599378 51.5397076670911,0.627991344259019 51.5443434674397,0.62696884053816 51.5491968524572,0.627484605579112 51.5540813542138,0.629519303182295 51.5588092504387,0.632995168115483 51.5631987806054,0.637778929455131 51.5670811415283,0.643686885572857 51.5703069920247,0.65049194287932 51.5727522139892,0.657932351051166 51.5743227051317,0.665721797843279 51.5749580156924,0.673560470084623 51.5746336862485,0.681146646901908 51.5733621945153,0.688188368701272 51.5711924737061,0.69441472215088 51.5682080212893,0.699586297531143 51.564523672472,0.703504409521505 51.5602811651223,0.706018723988934 51.5556436699369,0.707032999037833 51.5507894995556)))', 'GBLOS', 'Leigh-on-Sea', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.18583928729878 58.1508171025415,-5.18644710685157 58.1459373040595,-5.18884334564626 58.1412139359362,-5.19293527874555 58.136828422318,-5.19856520278445 58.1329491461049,-5.20551656504928 58.1297250009286,-5.2135223153316 58.1272796973599,-5.22227515514624 58.1257070378811,-5.23143929253321 58.1250673377962,-5.24066325901205 58.1253851257295,-5.24959330938318 58.1266482093051,-5.25788690561873 58.128808140655,-5.26522578336551 58.1317820643262,-5.27132811362469 58.1354558786765,-5.27595930273185 58.1396885926983,-5.27894102028772 58.1443177150899,-5.28015810626004 58.1491654728978,-5.27956308370385 58.1540456246778,-5.27717809048909 58.1587706091885,-5.27309413951728 58.1631587562037,-5.26746771894601 58.1670412819136,-5.26051484811472 58.1702687979798,-5.25250280689398 58.1727170806444,-5.2437398515055 58.1742918738839,-5.23456331391452 58.1749325375482,-5.22532655042321 58.1746143963162,-5.21638525446373 58.1733496963507,-5.20808367610465 58.1711871316009,-5.20074129490425 58.1682099584314,-5.1946404732274 58.1645327731918,-5.19001557506708 58.1602970800768,-5.1870439730811 58.1556658239272,-5.18583928729878 58.1508171025415)))', 'GBLOV', 'Lochinver', 'Y'),('SRID=4326;MULTIPOLYGON(((1.79089830453932 52.4834250716126,1.79024608702036 52.4785457755652,1.7880476858215 52.4738378927666,1.78438802362919 52.4694822649981,1.77940804290411 52.4656461519008,1.77329924348571 52.462476822273,1.76629630495594 52.4600959175605,1.75866808002726 52.4585948006633,1.75070730321637 52.4580310652502,1.74271940412542 52.4584263366463,1.73501084568914 52.4597654466599,1.72787742406956 52.4619970131708,1.72159296814941 52.4650354027071,1.7163988627718 52.4687640024063,1.7124947912988 52.4730396784793,1.71003105035305 52.4776982533109,1.7091027337876 52.4825607942786,1.70974601545199 52.4874404757231,1.71193668312167 52.4921497525589,1.71559099146904 52.4965075707757,1.72056881310837 52.5003463372566,1.72667897690307 52.5035183792502,1.73368659555901 52.5059016423773,1.74132210385778 52.5074044046903,1.74929165845506 52.5079688220205,1.75728849340864 52.5075731652268,1.76500478537799 52.5062326611744,1.7721435608399 52.5039989042135,1.77843017583826 52.5009578612927,1.78362291683149 52.4972265492282,1.78752230817446 52.4929485147423,1.78997876575271 52.4882882944965,1.79089830453932 52.4834250716126)))', 'GBLOW', 'Lowestoft', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.51386791410955 60.2264479524848,-1.51505122697801 60.2215941301768,-1.51811468106015 60.2169483521295,-1.52293987242292 60.2126890265506,-1.52934093982811 60.2089796563895,-1.53707177266017 60.2059625834991,-1.54583548696522 60.203753550016,-1.55529580278184 60.2024372811816,-1.56508989042178 60.202064254698,-1.57484220369237 60.2026487769461,-1.58417878513889 60.204168437569,-1.59274151274931 60.2065649627238,-1.60020175943492 60.2097464354125,-1.60627295596358 60.2135908004554,-1.61072158460683 60.2179505235497,-1.61337618398485 60.2226582301333,-1.61413401446559 60.2275331120362,-1.61296511648385 60.2323878595932,-1.60991358914916 60.2370358553127,-1.60509602065675 60.2412983533671,-1.59869711172973 60.2450113678271,-1.59096264437049 60.2480320020287,-1.5821900558526 60.2502439716574,-1.57271697715462 60.2515621044696,-1.56290818099993 60.2519356389887,-1.55314145282371 60.25135019149,-1.54379294462348 60.2498283131914,-1.53522259415275 60.247428615558,-1.52776018900945 60.2442434985694,-1.5216926270269 60.2403955722169,-1.51725287260274 60.2360329129805,-1.51461103609604 60.2313233424222,-1.51386791410955 60.2264479524848)))', 'GBLOY', 'Walls,  Orkney', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.13812650603937 56.3319709895239,-6.139352762366 56.3271277595508,-6.1422555663885 56.3225104410681,-6.14672286352707 56.3182963579033,-6.15258267350575 56.3146472945197,-6.15960974557415 56.3117033031464,-6.16753422393504 56.3095773488998,-6.17605198904211 56.3083509945463,-6.18483628181798 56.3080712868068,-6.19355017364051 56.3087489607268,-6.20185941609372 56.3103580292505,-6.20944519154619 56.3128367734535,-6.21601628885501 56.316090096656,-6.22132024785861 56.319993154626,-6.22515305147753 56.3243961260486,-6.22736699450256 56.3291299440614,-6.2278764224126 56.3340127725499,-6.22666111023595 56.3388569815005,-6.22376713838833 56.3434763552723,-6.21930521683155 56.3476932571394,-6.21344650745642 56.3513454735168,-6.20641609345364 56.354292472161,-6.19848433939727 56.3564208301255,-6.18995647249175 56.3576486186991,-6.18116078972322 56.3579285728133,-6.17243595373974 56.3572499199145,-6.16411787910897 56.3556387960992,-6.15652672808188 56.3531572331919,-6.14995453018232 56.349900756995,-6.14465391312406 56.3459946917555,-6.14082838520329 56.3415893166175,-6.13862454396956 56.3368540643867,-6.13812650603937 56.3319709895239)))', 'GBLSC', 'Loch Scridain', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.943576884185518 50.8323116436556,-0.944548369560759 50.827454408731,-0.946996990471003 50.8228104919649,-0.950828279594081 50.8185582638595,-0.95589477264493 50.8148610059797,-0.962001710199949 50.8118606557998,-0.968914530727734 50.8096723743391,-0.976367865618499 50.808380141973,-0.984075693457255 50.8080335484322,-0.991742269959246 50.8086458977254,-0.999073422892817 50.8101936992065,-1.00578778859187 50.8126175639927,-1.01162756860278 50.8158244732384,-1.01636840158949 50.8196913332185,-1.01982797647525 50.8240696835633,-1.02187305721324 50.8287913810764,-1.0224246464369 50.833675043966,-1.02146108298995 50.838533011495,-1.01901894494371 50.8431785532435,-1.01519171266348 50.8474330513206,-1.01012623281598 50.8511328785792,-1.00401711057232 50.8541357063803,-0.997099240061583 50.8563259965093,-0.989638758707295 50.8576194627887,-0.981922775909503 50.8579663276355,-0.974248277473045 50.857353245737,-0.966910641673624 50.8558038192719,-0.960192219135295 50.8533776845127,-0.95435142592792 50.8501682058878,-0.949612777636037 50.8462988682872,-0.94615825273506 50.8419185092758,-0.944120318457034 50.8371955778507,-0.943576884185518 50.8323116436556)))', 'GBLSH', 'Langstone Harbour', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.22036992743995 57.717089723287,-3.22123621758184 57.7122200542664,-3.22386049929577 57.7075343603961,-3.22814132804116 57.7032126064956,-3.2339137941313 57.6994207187056,-3.24095592071108 57.6963042318634,-3.24899721590889 57.6939827248579,-3.25772904728799 57.6925452535317,-3.2668164430641 57.6920469523598,-3.27591087560288 57.692506931862,-3.28466354946753 57.6939075501003,-3.29273869936158 57.6961950853671,-3.29982640299175 57.6992817850092,-3.30565443016229 57.7030492140218,-3.30999868202972 57.7073527783139,-3.31269182279655 57.7120272530786,-3.31362976921672 57.7168931081154,-3.31277577965471 57.7217633907072,-3.31016197205321 57.7264509040527,-3.30588819636544 57.7307754063347,-3.30011828851282 57.7345705529966,-3.29307383587891 57.7376903130677,-3.28502568445282 57.7400146093396,-3.27628351046858 57.7414539613286,-3.26718386027959 57.741952948245,-3.2580771271465 57.7414923551708,-3.24931397916326 57.7400899174546,-3.24123177621725 57.7377996338037,-3.23414151436377 57.7347096752886,-3.22831581326178 57.7309389730481,-3.22397841762881 57.7266326194921,-3.22129561946144 57.7219562640673,-3.22036992743995 57.717089723287)))', 'GBLSS', 'Lossiemouth', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.58819410863967 56.2679454330932,-5.58872639059214 56.263063114449,-5.59095959061725 56.2583323727236,-5.59480731858914 56.2539349248134,-5.6001213007803 56.2500396247971,-5.60669713976458 56.2467959958959,-5.61428219708719 56.2443285103873,-5.62258529162207 56.2427318333397,-5.63128784254516 56.2420672088348,-5.64005603585587 56.2423601238972,-5.64855355847537 56.2435993372572,-5.65645442482032 56.2457373090293,-5.66345541773351 56.2486920151418,-5.66928767878349 56.252350078681,-5.67372701196952 56.2565711009586,-5.67660250921545 56.2611930297931,-5.67780316476008 56.2660383628284,-5.67728221726287 56.2709209511908,-5.67505904122778 56.2756531447246,-5.67121850072056 56.2800530055092,-5.66590777524177 56.2839513121282,-5.65933076641025 56.2871980836326,-5.65174029077669 56.289668369312,-5.64342835435434 56.2912670777969,-5.63471488406511 56.2919326557373,-5.62593535628646 56.2916394709562,-5.61742780966997 56.2903988057857,-5.60951975586317 56.2882584211369,-5.60251550624856 56.2853007084203,-5.59668441505849 56.2816395022785,-5.59225050019039 56.2774156798321,-5.58938384482912 56.2727917195626,-5.58819410863967 56.2679454330932)))', 'GBLUI', 'Luing', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.21726859774114 59.9663375473722,-1.2184853886905 59.9614863702382,-1.22156563313912 59.9568473725772,-1.22639029946701 59.9525987013455,-1.23277356195935 59.948903450664,-1.24047000504189 59.9459034215964,-1.24918407097493 59.9437137040353,-1.25858138552115 59.9424182841719,-1.2683015313342 59.9420668417602,-1.27797178980731 59.9426728565038,-1.28722133977021 59.9442130939853,-1.29569538625125 59.9466284902998,-1.30306869476108 59.9498264026415,-1.30905802618435 59.9536841422595,-1.31343300410739 59.9580536581373,-1.31602499966844 59.9627671961289,-1.3167336877854 59.9676437206914,-1.31553101136782 59.9724958562346,-1.31246238469528 59.9771370837499,-1.3076450706879 59.9813889168065,-1.30126377573418 59.985087779925,-1.29356361586413 59.9880913220812,-1.28484071466074 59.9902839185461,-1.27543079144991 59.9915811448409,-1.26569618313509 59.991933046198,-1.25601181011214 59.9913260730434,-1.2467506423675 59.9897836057042,-1.23826924357602 59.9873650475618,-1.23089396754747 59.9841635227822,-1.22490835292978 59.9803022700773,-1.22054221028274 59.975929875299,-1.21796282337622 59.9712145308792,-1.21726859774114 59.9663375473722)))', 'GBLVK', 'Levenwick', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.97033428571351 57.7662610315046,-6.97150367574618 57.7614103400624,-6.97442064389658 57.7567747226668,-6.9789725289895 57.7525322051572,-6.98498405172587 57.7488456590132,-6.99222410401115 57.7458565675808,-7.00041464357007 57.7436796176158,-7.00924135009287 57.7423983196368,-7.01836563783373 57.7420618211974,-7.02743757313751 57.7426830321345,-7.03610921474509 57.7442381317268,-7.04404788048155 57.74666747621,-7.0509488463168 57.749877872968,-7.05654700277923 57.7537461367076,-7.06062702898746 57.7581237947655,-7.06303169549835 57.762842765064,-7.06366797269422 57.7677217927357,-7.06251069999072 57.7725734015152,-7.05960366059716 57.7772110949277,-7.05505800412638 57.7814565310795,-7.04904806162452 57.7851463941548,-7.04180470060646 57.788138695835,-7.03360646706913 57.7903182606328,-7.02476885265987 57.7916011799446,-7.01563210375304 57.7919380593829,-7.0065480511066 57.7913159311071,-6.99786648073816 57.7897587554953,-6.98992158638736 57.7873264923674,-6.98301904033266 57.7841127786775,-6.9774241926165 57.7802413046914,-6.9733518603907 57.7758610318035,-6.97095810175847 57.7711404401746,-6.97033428571351 57.7662610315046)))', 'GBLVR', 'Leverburgh', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.9512309661513 56.1959904493511,-2.95209725777851 56.1911214521286,-2.95465007204356 56.1864402010811,-2.95879077018152 56.1821264945011,-2.96435987032612 56.1783459570116,-2.97114323043727 56.1752436973497,-2.97888029641863 56.1729387585628,-2.98727409567171 56.171519569847,-2.99600259503123 56.1710405707814,-3.00473099489972 56.1715201342775,-3.01312449946748 56.172939865792,-3.02086108679232 56.1752453049364,-3.02764380251829 56.1783480033195,-3.033212117133 56.182128901046,-3.03735191860419 56.1864428755235,-3.03990375937147 56.1911242918003,-3.04076903797864 56.1959933451845,-3.03991386962867 56.2008629558495,-3.03737048459656 56.2055459527952,-3.03323608613308 56.2098622719326,-3.0276691970351 56.2136458909009,-3.02088362272831 56.2167512318359,-3.01314025439771 56.2190587825943,-3.00473702411624 56.2204797163304,-2.99599740083883 56.2209593278012,-2.9872578776812 56.2204791508617,-2.97885494387557 56.2190576734467,-2.97111205688118 56.2167496217427,-2.96432713012049 56.2136438418799,-2.95876102971332 56.2098598628811,-2.95462753059631 56.2055432764344,-2.95208512085249 56.2008601151395,-2.9512309661513 56.1959904493511)))', 'GBLVY', 'Leven', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.21073458838753 50.6187406200835,-2.21157053504305 50.6138722846832,-2.21388282082106 50.6092012161422,-2.21758220957517 50.6049068357972,-2.22252629058572 50.6011540503832,-2.22852498850918 50.5980869336242,-2.23534787946647 50.5958232114173,-2.24273303039661 50.5944497592194,-2.25039702439878 50.5940192814087,-2.25804579296794 50.5945482975138,-2.26538584784304 50.5960165109426,-2.27213549129341 50.5983675839291,-2.27803558438709 50.6015112896813,-2.28285946810117 50.6053269609724,-2.28642166170995 50.6096681054896,-2.28858500602883 50.6143680138855,-2.28926597471746 50.6192461482934,-2.28843794344105 50.6241150685459,-2.28613228227125 50.6287876317269,-2.28243721881842 50.6330841889545,-2.27749450531369 50.6368395020836,-2.27149400890876 50.6399091125684,-2.26466642728387 50.6421749148646,-2.25727440761109 50.6435497168401,-2.24960241249572 50.6439806086252,-2.24194572854115 50.6434510076672,-2.23459904905548 50.641981299597,-2.2278450803068 50.6396280497265,-2.22194361971388 50.6364818162587,-2.21712153448758 50.6326636512425,-2.21356403154875 50.6283204266375,-2.21140755596952 50.6236191684653,-2.21073458838753 50.6187406200835)))', 'GBLWC', 'Lulworth Cove', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.31965003675337 58.2671271594822,-3.32051590700035 58.2622572383806,-3.32316743053801 58.2575698704314,-3.32750209231446 58.2532450831939,-3.33335289681069 58.2494489164317,-3.34049484875826 58.2463270655705,-3.34865362247795 58.2439993114676,-3.35751608328456 58.2425549461849,-3.36674225983772 58.2420493661751,-3.37597831666276 58.2425019600731,-3.38487004231816 58.2438953697505,-3.39307635144693 58.2461761520988,-3.40028229850081 58.2492568169084,-3.40621111727212 58.2530191649328,-3.41063483323899 58.2573188015103,-3.41338304453935 58.2619906566374,-3.41434953116177 58.2668553037534,-3.4134964292179 58.2717258381822,-3.41085579590919 58.2764150534697,-3.40652848835036 58.2807426408168,-3.40068038244614 58.2845421341691,-3.39353606262552 58.2876673316579,-3.38537021505158 58.2899979429321,-3.37649705133823 58.2914442409506,-3.36725817224768 58.2919505350188,-3.35800934710404 58.2914973277926,-3.34910673121297 58.2901020707741,-3.34089306787255 58.2878184883134,-3.33368442224182 58.2847344969126,-3.32775797135905 58.2809688022616,-3.32334132925316 58.2766663085155,-3.32060382085356 58.2719925206553,-3.31965003675337 58.2671271594822)))', 'GBLWL', 'Latheronwheel', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.92488887952442 53.7329810063503,-2.92570662106404 53.7281101948909,-2.92811069746573 53.7234275384368,-2.93200826192371 53.7191128978533,-2.93724922701373 53.7153319465817,-2.94363207888664 53.7122298245783,-2.95091163737 53.7099255849815,-2.95880846137925 53.7085076432277,-2.96701954077149 53.7080303998251,-2.97522987089457 53.7085121634627,-2.98312447563641 53.709934452199,-2.99040042941588 53.7122426988623,-2.99677842859198 53.7153483342865,-3.00201347819997 53.7191321704059,-3.00590429043922 53.7234489563108,-3.0083010362825 53.7281329358573,-3.00911114990502 53.7330041969464,-3.00830295584737 53.7378755716164,-3.00590696893164 53.7425598238997,-3.00201480441353 53.7468768499806,-2.99677572762456 53.7506606132479,-2.99039096493524 53.7537655456448,-2.98310598742054 53.7560721661755,-2.97520106116258 53.7574916969278,-2.96698042979904 53.7579694954824,-2.95876055218503 53.7574871686334,-2.95085785795352 53.7560632840661,-2.94357650423793 53.7537526519035,-2.93719661676976 53.7506442044829,-2.93196347798714 53.7468575579709,-2.92807808478295 53.7425383911338,-2.92568944118462 53.7378528225906,-2.92488887952442 53.7329810063503)))', 'GBLYA', 'Lytham Saint Annes', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.25262840014069 58.2831023578702,-3.25350385249197 58.2782328971439,-3.25616541645708 58.2735469246623,-3.26051019143268 58.2692244138448,-3.26637079425512 58.265431316573,-3.27352185466227 58.2623132100865,-3.28168869880702 58.259989731328,-3.29055788375866 58.2585500082509,-3.29978918141164 58.2580492592817,-3.30902856062528 58.2585066878977,-3.31792168273836 58.2599047507206,-3.32612740844003 58.2621898263365,-3.33333081361087 58.2652742599492,-3.33925522818136 58.2690397077079,-3.34367284501675 58.2733416558519,-3.34641349474127 58.2780149453563,-3.34737124628354 58.2828800941677,-3.34650857029629 58.2877501778333,-3.34385789144158 58.2924380066745,-3.3395204531648 58.2967633246586,-3.33366252168241 58.3005597525388,-3.32650906056591 58.303681206021,-3.31833510914532 58.3060075386123,-3.3094551923682 58.3074491878888,-3.30021117216456 58.3079506421768,-3.2909590165714 58.3074925906205,-3.28205500934125 58.3060926714353,-3.27384194694682 58.3038047886501,-3.26663587045117 58.3007170244278,-3.2607138566055 58.2969482296744,-3.25630334705263 58.2926434277003,-3.25357342914754 58.2879682119992,-3.25262840014069 58.2831023578702)))', 'GBLYB', 'Lybster', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.51063461916519 50.7495038138904,-1.51154552827209 50.7446413235682,-1.51393370654833 50.7399849718999,-1.51770700543298 50.7357136105122,-1.52272018205431 50.7319912585276,-1.52878051677127 50.7289608187228,-1.53565522920619 50.7267386079235,-1.54308040630885 50.7254099084793,-1.55077110204591 50.7250257085194,-1.55843222702728 50.7256007535933,-1.56576981879007 50.7271129828954,-1.57250227020936 50.7295043713031,-1.57837109489788 50.7326831457381,-1.58315082447279 50.7365272927219,-1.58665766285572 50.7408892252445,-1.58875656662592 50.7456014329424,-1.58936647676689 50.7504829017216,-1.58846349439606 50.7553460588203,-1.58608186923785 50.7600039781336,-1.58231275220084 50.7642775693755,-1.57730074950762 50.7680024739486,-1.57123840207788 50.771035400468,-1.56435879670522 50.773259653528,-1.55692659134481 50.774589639863,-1.54922780201924 50.774974175426,-1.54155875029555 50.7743984635749,-1.53421460541265 50.7728846666263,-1.52747797214903 50.7704910483631,-1.52160797353915 50.767309721339,-1.51683025668327 50.7634630876414,-1.51332831124017 50.7590991128596,-1.5112364357244 50.7543856182723,-1.51063461916519 50.7495038138904)))', 'GBLYM', 'Lymington', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.89363575528799 50.7329707385898,-2.8944030849372 50.7280976243999,-2.8966532125321 50.7234131228541,-2.90029928167203 50.7190971748943,-2.90520091946989 50.7153155180424,-2.91116966989448 50.7122133357685,-2.91797624941572 50.709909699993,-2.92535934413123 50.7084930169796,-2.93303561247887 50.7080176483321,-2.94071051513454 50.7085018341623,-2.94808956482002 50.7099269963885,-2.95488957417683 50.7122384482927,-2.96084947992687 50.715347483735,-2.96574033623624 50.7191347676054,-2.9693740991984 50.723454900019,-2.97161086697632 50.7281419821556,-2.97236429532744 50.7330159731656,-2.97160497448468 50.7378895966636,-2.96936162872373 50.7425755332926,-2.96572008197308 50.7468936236325,-2.96082001862649 50.750677804004,-2.95484965501778 50.7537825067541,-2.94803852026828 50.7560882762425,-2.94064862177202 50.7575063813668,-2.93296433690566 50.7579822440194,-2.92528142543702 50.7574975488805,-2.91789559391493 50.7560709515697,-2.91109106217156 50.7537573572839,-2.90512958197679 50.7506457983214,-2.90024033885806 50.7468559939754,-2.89661113112683 50.7425337278504,-2.89438116712693 50.7378452236043,-2.89363575528799 50.7329707385898)))', 'GBLYR', 'Lyme Regis', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.44010875618107 54.5338733188994,-5.44064244090206 54.5289904359055,-5.442803454517 54.5242619042855,-5.4465082408619 54.5198693606116,-5.45161406347502 54.5159814786954,-5.45792454602495 54.5127475072252,-5.46519724347267 54.510291558627,-5.47315294934447 54.5087078649144,-5.4814863829685 54.5080571789905,-5.48987785244384 54.508364456275,-5.49800545557555 54.5096179032835,-5.50555736272147 54.5117694285688,-5.51224372280468 54.5147364790407,-5.51780774668562 54.5184051928772,-5.52203555039102 54.522634750824,-5.52476438376689 54.527262762352,-5.52588892698922 54.5321114835498,-5.52536540662181 54.5369946312537,-5.52321336264878 54.5417245340702,-5.51951498568864 54.5461193466749,-5.51441203643191 54.5500100498328,-5.50810045376556 54.5532469653472,-5.50082285020913 54.5557055325881,-5.49285917914569 54.5572911208767,-5.48451593387582 54.5579426888776,-5.47611430003656 54.5576351468826,-5.46797772725734 54.5563803286759,-5.46041941072906 54.5542265344576,-5.45373017729849 54.551256662743,-5.44816725354431 54.5475850048627,-5.44394435595323 54.5433528282751,-5.4412234877666 54.5387229221731,-5.44010875618107 54.5338733188994)))', 'GBLYW', 'Ballywalter', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.67316413914095 55.4179663664303,-5.6736776566586 55.4130832962976,-5.67585556613926 55.4083510191238,-5.67961363106148 55.4039513141376,-5.6848070431718 55.4000531269895,-5.69123604621847 55.3968060974567,-5.69865363910252 55.3943348340257,-5.70677505843648 55.3927341515532,-5.71528867760107 55.3920654510342,-5.72386791019274 55.3923543770488,-5.73218367136857 55.3935898403313,-5.73991693171345 55.3957244418038,-5.74677089522476 55.3986762820956,-5.75248234586937 55.4023320888267,-5.75683173565788 55.4065515445073,-5.75965163072048 55.4111726525398,-5.76083318950368 55.4160179391041,-5.7603304175426 55.4209012561778,-5.75816202439725 55.4256349268837,-5.75441079781465 55.430036959841,-5.74922050497252 55.4339380549872,-5.74279042724016 55.4371881298288,-5.73536772932521 55.4396621122588,-5.72723795180843 55.4412647734769,-5.7187139937672 55.4419344112417,-5.71012401560747 55.4416452382856,-5.70179873808998 55.4404083814689,-5.69405863940797 55.4382714520232,-5.68720155663835 55.4353167037321,-5.68149118069091 55.4316578516926,-5.67714689593967 55.427435677015,-5.6743353590574 55.4228125902391,-5.67316413914095 55.4179663664303)))', 'GBMAC', 'Machrihanish', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.78022808915564 55.3356456785719,-4.78085079375624 55.3307657525707,-4.78313119185443 55.3260488163862,-4.78698112064813 55.3216760542432,-4.79225225885358 55.3178153727682,-4.79874188281676 55.3146149691732,-4.80620068072613 55.3121976614619,-4.81434232110016 55.3106561946955,-4.82285440977166 55.3100496997393,-4.83141042138763 55.3104014371141,-4.83968215807029 55.3116979102018,-4.84735227001807 55.3138893808113,-4.85412637079652 55.3168917677602,-4.85974429390378 55.3205898574495,-4.86399006662047 55.324841706171,-4.86670022156915 55.3294840688,-4.86777012483497 55.3343386492199,-4.86715807051089 55.3392189357764,-4.86488697318719 55.3439373615846,-4.86104357970859 55.3483125156383,-4.85577521641567 55.3521761271649,-4.84928418450497 55.3553795528786,-4.84182001013288 55.3577995146856,-4.83366984329737 55.3593428634622,-4.82514737624278 55.3599501818236,-4.81658071433907 55.3595980838929,-4.80829967687621 55.3583001211795,-4.80062302961647 55.3561062586571,-4.79384615393563 55.3531009416555,-4.7882296387871 55.349399829848,-4.78398924253885 55.3451453270328,-4.78128761404852 55.3405010823958,-4.78022808915564 55.3356456785719)))', 'GBMAI', 'Maidens', 'Y'),('SRID=4326;MULTIPOLYGON(((0.723180738733692 51.7177858045293,0.722653361564396 51.7129017026259,0.720602513299665 51.7081753355177,0.717107436644662 51.7037882637904,0.712302750957437 51.6999089632537,0.706373232556688 51.6966863683163,0.699546693486065 51.6942441705666,0.692085235450385 51.6926760883113,0.684275213684576 51.692042285382,0.676416290912823 51.692367073752,0.668809993184005 51.6936379860303,0.661748196512431 51.6958062524473,0.655501975548459 51.6987886643242,0.650311232917776 51.7024707540354,0.6463755006877 51.7067111719373,0.643846264268767 51.7113470953952,0.642821104939823 51.716200465528,0.643339891515526 51.7210848151083,0.645383176341541 51.7258124274876,0.648872868176808 51.730201552499,0.653675167453674 51.7340834017394,0.659605661164235 51.7373086527834,0.666436388784409 51.739753209674,0.673904610941556 51.7413229949467,0.681722942624166 51.7419575855006,0.6895904559971 51.7416325494532,0.697204317168679 51.7403603919024,0.704271498658119 51.7381900721996,0.710520106025762 51.7352051116181,0.715709873339042 51.7315203658007,0.719641417015524 51.7272775887593,0.722163889314858 51.7226399622857,0.723180738733692 51.7177858045293)))', 'GBMAL', 'Maldon', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.43643594377926 57.6668011823412,-2.43740602184448 57.6619372168063,-2.44012752172726 57.6572680890539,-2.44449527586854 57.6529731223985,-2.45034105184803 57.6492172104894,-2.45744007534921 57.6461445048287,-2.4655196868086 57.6438729034076,-2.47426979631457 57.6424895479616,-2.48335473856229 57.642047498639,-2.49242608165577 57.6425637103201,-2.50113591125719 57.6440183860314,-2.50915009561143 57.6463557315484,-2.51616103759354 57.6494860831234,-2.52189943713243 57.653289329053,-2.52614462086529 57.6576194972506,-2.52873304505922 57.6623103368104,-2.52956464168609 57.6671816833262,-2.52860675455431 57.6720463669486,-2.52589550051725 57.6767174000891,-2.52153448729802 57.6810151693556,-2.51569092107126 57.6847743544274,-2.50858923973553 57.6878503054933,-2.50050250748249 57.6901246304781,-2.49174189829888 57.691509773008,-2.48264467597166 57.6919524008669,-2.47356114193073 57.6914354710972,-2.46484106647818 57.6899788899952,-2.45682014120827 57.6876387418645,-2.44980698948785 57.6845051171257,-2.44407124779753 57.6806986257922,-2.43983318486372 57.6763657340335,-2.43725526034105 57.6716731073923,-2.43643594377926 57.6668011823412)))', 'GBMCD', 'Macduff', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.72558968522546 53.0169116688534,-2.7264161845293 53.0120416496481,-2.7288017645272 53.0073624118835,-2.73265431060744 53.0030536862443,-2.7378254813732 52.9992809216055,-2.74411645331286 52.9961889471822,-2.7512855762788 52.9938964305516,-2.75905764338084 52.9924913409152,-2.76713442161198 52.9920275883734,-2.77520604542804 52.9925229653502,-2.78296284564454 52.9939584672913,-2.79010717104847 52.9962790180645,-2.79636476036328 52.9993955729352,-2.80149523764877 53.00318852035,-2.80530133454351 53.0075122548524,-2.80763648729904 53.0122007489873,-2.80841051425829 53.0170739136575,-2.80759314879063 53.021944505553,-2.8052152817174 53.026625318238,-2.80136785342814 53.0309363812609,-2.79619842618164 53.0347118899015,-2.7899055580527 53.0378065971955,-2.78273118786478 53.0401014195108,-2.77495132134933 53.0415080366258,-2.76686537890409 53.0419723058951,-2.7587846212436 53.0414763562273,-2.75102010809913 53.0400392793641,-2.74387066490777 53.0377163912055,-2.73761133208206 53.0345970923322,-2.73248275099409 53.0308014120475,-2.72868190132464 53.0264753718622,-2.72635454797897 53.0217853502504,-2.72558968522546 53.0169116688534)))', 'GBMCH', 'Malpas', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.10840450890939 53.2173941430556,-4.10907794300367 53.2125158772009,-4.11132351313738 53.2078101794222,-4.11505446548713 53.2034578047093,-4.1201271060813 53.1996258838562,-4.12634637073073 53.1964615202931,-4.13347334016173 53.1940861605799,-4.14123440872625 53.1925909513167,-4.14933175632648 53.1920332572566,-4.15745472760416 53.1924344712772,-4.16529169108881 53.1937791981825,-4.17254193455552 53.1960158428074,-4.17892715164782 53.1990585803555,-4.18420208889026 53.202790635132,-4.18816395125149 53.2070687446184,-4.19066020778654 53.2117286409049,-4.19159449556775 53.2165913424878,-4.19093038865172 53.2214700178287,-4.18869287727899 53.2261771591441,-4.18496748840052 53.2305317916795,-4.17989706899926 53.2343664409081,-4.17367634510611 53.2375335880297,-4.16654445814949 53.2399113627124,-4.15877576242524 53.2414082506987,-4.15066923919774 53.2419666316647,-4.14253694073309 53.2415650081575,-4.13469191848333 53.2402188377136,-4.12743611154819 53.2379799352644,-4.12104867327117 53.2349344693399,-4.11577519528118 53.2311996310056,-4.11181825044971 53.2269191065513,-4.10932962107152 53.2222575315436,-4.10840450890939 53.2173941430556)))', 'GBMEB', 'Menai Bridge', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.49168361556036 52.933525912299,-4.49230995673142 52.9286456197759,-4.49449954324762 52.9239329092212,-4.49816777659612 52.9195688082697,-4.50317337248597 52.9157209012604,-4.50932383826858 52.912536908196,-4.51638289000387 52.9101390312037,-4.52407952119983 52.9086192822244,-4.53211837650618 52.9080359678705,-4.54019103793709 52.9084114633824,-4.54798779962456 52.9097313590153,-4.55520949035705 52.9119450107128,-4.56157890157818 52.9149674743718,-4.56685139213289 52.9186827511736,-4.57082426955685 52.9229482221437,-4.57334459048218 52.9276001050401,-4.57431507876538 52.9324597274914,-4.57369792778952 52.9373403784971,-4.57151633112343 52.9420544772499,-4.5678536708986 52.9464207847747,-4.56285038294788 52.9502713808023,-4.55669860855534 52.9534581359513,-4.54963483088322 52.9558584275923,-4.54193077590365 52.9573798761753,-4.53388292917122 52.9579639163386,-4.52580107753659 52.9575880623435,-4.51799632599479 52.9562667785109,-4.5107690621412 52.9540509202383,-4.50439734298878 52.9510257675602,-4.49912616105252 52.9473077286742,-4.4951580095696 52.9430398430572,-4.49264511242532 52.9383862605588,-4.49168361556036 52.933525912299)))', 'GBMFN', 'Morfa Nefyn', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.08919598309692 57.8584102543148,-4.08994822653022 57.8535353815467,-4.09246957525161 57.8488323740141,-4.09666252291072 57.8444818670829,-4.10236551519444 57.8406508949159,-4.1093592221835 57.8374864948037,-4.11737499226235 57.8351100847136,-4.12610515895625 57.8336128258524,-4.13521480729228 57.8330521441271,-4.1443545561965 57.8334495404349,-4.15317387907731 57.8347897713446,-4.16133446672999 57.837021430602,-4.16852313532665 57.8400589097626,-4.1744637975446 57.843785664854,-4.17892804657131 57.8480586670437,-4.18174395022803 57.852713870529,-4.18280271481709 57.8575724918646,-4.18206295408594 57.8624478632049,-4.17955238592215 57.8671525987416,-4.17536687543549 57.8715058000362,-4.16966684469592 57.8753400227342,-4.16267117275139 57.8785077346812,-4.15464881036088 57.8808870137132,-4.14590842761726 57.8823862618522,-4.13678649479549 57.8829477503412,-4.12763426317416 57.8825498554601,-4.11880415972863 57.8812078965439,-4.11063613490841 57.8789735429204,-4.10344450478168 57.8759328132275,-4.09750580753417 57.8722027463022,-4.09304815082624 57.8679268751731,-4.09024246321432 57.8632696824128,-4.08919598309692 57.8584102543148)))', 'GBMFY', 'Meikle Ferry', 'Y'),('SRID=4326;MULTIPOLYGON(((1.41890832768793 51.3885453532507,1.41830947403559 51.3836636010707,1.41620038666032 51.3789487270957,1.41266253225611 51.3745818470941,1.40783215881373 51.3707306595023,1.40189501566605 51.3675430188879,1.3950791970084 51.3651412759473,1.38764638663871 51.3636175982108,1.37988183878319 51.3630304478547,1.37208347437874 51.3634023489853,1.36455050297081 51.3647190280843,1.35757199674905 51.3669299597368,1.35141584483312 51.3699502970906,1.34631850271096 51.3736641145542,1.34247592402371 51.3779288408315,1.34003602032397 51.3825807152559,1.33909294002755 51.3874410611711,1.33968339197558 51.3923231383001,1.3417851637301 51.3970393129208,1.34531790233326 51.4014082712534,1.3501461386291 51.405261998455,1.35608444864738 51.4084522533255,1.36290456054886 51.4108562871716,1.37034413692893 51.4123815836932,1.37811689349719 51.4129694342681,1.38592365961318 51.4125972081881,1.39346394664549 51.411279228442,1.40044756866615 51.4090662184567,1.40660585772199 51.4060433414924,1.41170203296631 51.4023269097732,1.41554031840612 51.3980598925918,1.41797345609761 51.3934063993839,1.41890832768793 51.3885453532507)))', 'GBMGT', 'Margate', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.43422815091068 51.2141543284986,-3.43494644648971 51.2092782248431,-3.4371650976511 51.204583800782,-3.44079844175902 51.2002513801745,-3.44570658009751 51.1964473334868,-3.45170079524536 51.1933177028512,-3.45855081852188 51.1909826118403,-3.46599366596391 51.1895316714279,-3.47374370529675 51.1890205553124,-3.48150357301804 51.1894688733295,-3.48897553109736 51.1908594227255,-3.49587283758809 51.1931388453252,-3.50193070498578 51.1962196659361,-3.50691643445624 51.1999836354842,-3.51063834277774 51.2042862532077,-3.51295314133104 51.2089622974635,-3.51377148167976 51.2138321559858,-3.51306144873339 51.2187087152403,-3.51084985822995 51.2234045461138,-3.50722129788477 51.2277391105728,-3.50231493812871 51.2315457117697,-3.49631922560849 51.2346779186713,-3.48946465696465 51.2370152154918,-3.48201490815066 51.2384676554426,-3.47425666211311 51.2389793365338,-3.46648853175223 51.2385305629171,-3.45900951301191 51.2371386067073,-3.45210742276107 51.2348570402545,-3.44604777678771 51.2317736651339,-3.44106354469656 51.2280071193202,-3.43734618174543 51.2237022957886,-3.43503828456146 51.219024751996,-3.43422815091068 51.2141543284986)))', 'GBMHD', 'Minehead', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.10705713982895 54.5663356761759,-1.10810772447004 54.5614806003309,-1.11076754270864 54.5568378682895,-1.11493391787071 54.5525857931379,-1.12044644843515 54.5488876327978,-1.12709321611887 54.545885338487,-1.13461894099 54.5436941250095,-1.14273476856601 54.5423980676779,-1.15112931633886 54.5420468913558,-1.15948056342132 54.5426540719868,-1.16746813801461 54.544196321688,-1.17478554376476 54.5466144767499,-1.18115186808303 54.5498157554645,-1.18632253312712 54.5536773014069,-1.19009868303742 54.5580508793735,-1.19233484851069 54.5627685473608,-1.1929445907832 54.5676490903547,-1.19190390002713 54.5725049717502,-1.18925220595132 54.57714953719,-1.18509094840028 54.5814041944699,-1.17957974978409 54.5851052925631,-1.17293032560657 54.5881104330055,-1.16539836022468 54.5903039676954,-1.15727365818151 54.5916014679359,-1.14886895304342 54.5919529891933,-1.14050781206666 54.5913450030108,-1.13251211330773 54.5898009199091,-1.12518958995179 54.5873801827171,-1.11882193369554 54.5841759662488,-1.11365392515454 54.5803115741757,-1.10988401575786 54.5759356749989,-1.10765672474651 54.5712165641045,-1.10705713982895 54.5663356761759)))', 'GBMID', 'Middlesbrough', 'Y'),('SRID=4326;MULTIPOLYGON(((1.12338364843122 51.9336508811604,1.12281096298217 51.9287683176497,1.12070877223215 51.9240486144408,1.11715829379643 51.9196730730772,1.11229627426171 51.9158097236634,1.10630968802785 51.9126068857637,1.0994285323982 51.9101874908919,1.09191699872776 51.9086443813828,1.08406335739048 51.9080367628121,1.07616893954306 51.9083879432199,1.06853663003354 51.9096844438333,1.06145930262229 51.9118765144859,1.05520863059504 51.914880034316,1.05002469282585 51.9185797263873,1.04610676768326 51.9228335654379,1.04360566549689 51.9274782127427,1.04261789562237 51.9323352727405,1.04318189789318 51.9372181340885,1.04527649233009 51.941939134477,1.04882161778678 51.9463167748791,1.05368134261952 51.9501827056309,1.05966904177756 51.9533882141831,1.06655454852658 51.9558099624393,1.07407300909397 51.9573547497827,1.08193509854804 51.9579631152023,1.08983819958141 51.9576116369568,1.097478105408 51.9563138391623,1.10456078579617 51.9541196694695,1.11081375251844 51.9511135683006,1.11599657735575 51.9474112055771,1.11991015137501 51.9431550131437,1.12240432666654 51.9385086880063,1.12338364843122 51.9336508811604)))', 'GBMIS', 'Mistley', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.14394717914229 50.3673906956361,-4.14458034736661 50.3625101681544,-4.14668955989897 50.3578024043912,-4.15019337239774 50.353448247207,-4.15495686719418 50.349614908739,-4.16079687876898 50.34644956215,-4.16748904886344 50.3440737071235,-4.17477643768781 50.3425785224003,-4.18237936196689 50.3420213806684,-4.19000608723154 50.3424236568818,-4.19736397191873 50.3437699122516,-4.2041706451841 50.3460084844455,-4.21016479920812 50.3490534617864,-4.21511619020797 50.352787967267,-4.21883447004054 50.3570686288321,-4.22117651154229 50.3617310673553,-4.2220519445632 50.3665961947119,-4.22142668455932 50.3714770827968,-4.21932430970173 50.3761861415412,-4.21582522335873 50.3805423309356,-4.21106362368422 50.3843781294578,-4.20522238768107 50.387545989424,-4.1985260600147 50.3899240285118,-4.1912322134268 50.3914207354765,-4.18362151432901 50.3919785058824,-4.17598688083746 50.3915758690652,-4.16862215847241 50.390228318713,-4.16181075905339 50.3879877143072,-4.1558147099135 50.3849402769115,-4.15086454334847 50.3812032580541,-4.1471504210909 50.3769204124291,-4.14481483735056 50.3722564516659,-4.14394717914229 50.3673906956361)))', 'GBMLB', 'Millbrook', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99281180186812 51.7176886851503,-4.9933698212248 51.7128055484484,-4.99545040856285 51.7080838401114,-4.99897318080525 51.7037049400243,-5.00380245822969 51.6998370087904,-5.00975252430641 51.6966285433981,-5.01659478233034 51.6942026926878,-5.02406653088362 51.6926525477101,-5.03188102235222 51.6920375844932,-5.03973842357874 51.692381392861,-5.0473372663743 51.6936707763975,-5.05438595874712 51.6958562571597,-5.06061392569084 51.6988539661086,-5.06578196124293 51.7025488482692,-5.06969140097891 51.7067990621537,-5.07219176552421 51.7114414077249,-5.07318658003296 51.7162975777887,-5.07263714047352 51.721180995666,-5.07056407307928 51.7259039786061,-5.06704661608483 51.7302849526776,-5.06221964001372 51.7341554415321,-5.05626851103407 51.7373665588068,-5.04942198766664 51.7397947519363,-5.04194342068832 51.7413465732575,-5.03412059575699 51.7419622915337,-5.02625461472568 51.74161820199,-5.01864825198238 51.7403275438489,-5.01159424436364 51.7381399891008,-5.00536397607334 51.7351397225305,-5.00019700343174 51.7314421884878,-4.99629182904319 51.7271896321856,-4.9937982829209 51.7225456102725,-4.99281180186812 51.7176886851503)))', 'GBMLF', 'Milford Haven', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.77132378104178 57.001020300802,-5.77183963135486 56.9961378525448,-5.77409046420549 56.9914041181295,-5.77798918227618 56.9870009282029,-5.78338552927537 56.9830973543999,-5.79007192952167 56.9798432334166,-5.79779149471853 56.9773634355597,-5.80624788577644 56.9757530939717,-5.8151166523112 56.9750739736362,-5.82405762145686 56.9753521159301,-5.83272787197525 56.9765768464944,-5.84079480999594 56.9787011832479,-5.84794885941479 56.9816436291935,-5.85391529305465 56.9852912830392,-5.85846475990051 56.9895041513099,-5.86142210850853 56.9941205002698,-5.86267316612374 56.9989630462298,-5.86216920574793 57.0038457501551,-5.85992891746803 57.0085809582619,-5.85603779328792 57.0129866155476,-5.85064493339754 57.0168932747449,-5.84395738259498 57.0201506294348,-5.83623220433556 57.0226333170076,-5.82776659224498 57.0242457643877,-5.81888640052673 57.024925886003,-5.80993354142993 57.0246474880404,-5.80125274633304 57.0234212837825,-5.79317821442467 57.0212944796673,-5.78602067790888 57.018348948326,-5.78005539483916 57.0146980607742,-5.77551154106363 57.0104823027897,-5.77256341348537 57.0058638480403,-5.77132378104178 57.001020300802)))', 'GBMLG', 'Mallaig', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.21825466421069 50.0157474693525,-5.21877476638288 50.0108624734861,-5.22076349134174 50.0061367057059,-5.22414402381005 50.001751707737,-5.22878617509259 49.9978758825733,-5.23451142813676 49.9946580396032,-5.24109981624381 49.9922216966964,-5.24829836833114 49.9906603550661,-5.25583079743526 49.990033925219,-5.26340806516111 49.9903664384402,-5.27073942414848 49.991645129671,-5.27754352406697 49.993820926056,-5.28355916453261 49.9968103226893,-5.28855529069721 50.0004985750002,-5.29233985379899 50.0047440876199,-5.29476719904298 50.0093838342039,-5.29574369579072 50.0142396032119,-5.29523138875794 50.0191248325489,-5.29324952187658 50.0238517725477,-5.28987386634446 50.0282387030237,-5.28523386838713 50.0321169267768,-5.27950771723172 50.0353372692551,-5.2729155163049 50.0377758320615,-5.26571081715579 50.0393387760228,-5.25817084258264 50.0399659466918,-5.25058577971103 50.0396331999996,-5.24324756264278 50.0383533365489,-5.2364385857897 50.0361756076553,-5.23042079200448 50.0331838124318,-5.22542556395748 50.029493060613,-5.22164481367883 50.0252453280951,-5.21922361549503 50.0206039791815,-5.21825466421069 50.0157474693525)))', 'GBMLI', 'Mullion', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.17512434781033 53.4997183619403,-2.17602341512653 53.4948529049968,-2.17849661624042 53.4901854831241,-2.18244846264375 53.4858953681587,-2.18772679744112 53.4821472893242,-2.19412868655511 53.479085123714,-2.2014082309975 53.4768263914277,-2.2092859979673 53.4754577632246,-2.21745971121388 53.4750317497146,-2.22561579715144 53.4755646963062,-2.23344135365656 53.4770361590144,-2.24063609396257 53.4793896845175,-2.24692381888614 53.482534965334,-2.25206298677 53.4863512894556,-2.25585598167551 53.4906921550262,-2.25815672583604 53.4953908763955,-2.25887634111985 53.5002669697471,-2.25798663472776 53.505133075952,-2.25552126454077 53.5098021566037,-2.25157452688015 53.5140946873323,-2.24629780088068 53.5178455711365,-2.23989377569293 53.5209105038916,-2.23260867550115 53.5231715442254,-2.22472277891811 53.5245416699987,-2.21653959985524 53.5249681426098,-2.20837415298501 53.524434546756,-2.20054076554983 53.522961425267,-2.19334091650517 53.5206054839989,-2.18705158279263 53.5174573982122,-2.18191455099108 53.5136383069464,-2.17812711183813 53.5092951333302,-2.17583449728677 53.5045949143924,-2.17512434781033 53.4997183619403)))', 'GBMNC', 'Manchester', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.82254469613184 54.07394487036,-2.82338113593259 54.0690750524148,-2.82581640253983 54.0643947423536,-2.82975644210789 54.0600837091192,-2.83504953026017 54.05630748541,-2.84149214989314 54.0532110273486,-2.84883682828711 54.0509131685418,-2.85680162996314 54.0495020779163,-2.86508094315923 54.0490318921629,-2.87335715272992 54.0495206490644,-2.88131276174082 54.0509495990472,-2.88864250868077 54.0532639206965,-2.89506502735898 54.056374813499,-2.90033361218911 54.0601628895067,-2.90424568237557 54.0644827367468,-2.90665058385427 54.0691684827359,-2.90745542665591 54.0740401480308,-2.90662872615502 54.0789105488261,-2.90420169743624 54.0835924854663,-2.90026714020222 54.0879059413767,-2.89497594419305 54.0916850150292,-2.88853133844858 54.0947843164231,-2.88118109805397 54.09708457908,-2.87320800525152 54.0984972681083,-2.86491893405291 54.0989680034744,-2.85663298517306 54.0984786637219,-2.84866913826992 54.0970480871584,-2.84133390899987 54.094731342831,-2.83490949818791 54.0916176000845,-2.82964289947857 54.0878266807451,-2.82573639129654 54.0835044296568,-2.82333978094031 54.0788170852668,-2.82254469613184 54.07394487036)))', 'GBMOC', 'Morecambe', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.42163667130595 56.6997976977907,-2.42258285330543 56.6949330507893,-2.42523527586395 56.690263391269,-2.42949146182339 56.6859680668103,-2.43518748994442 56.6822119905425,-2.44210434861389 56.6791393270401,-2.44997636984267 56.6768679794305,-2.45850141685046 56.6754850854254,-2.46735243710513 56.6750436912756,-2.47618994564464 56.6755607280426,-2.48467497185712 56.6770163657221,-2.49248198723643 56.6793547693165,-2.49931133225017 56.6824862287067,-2.5049006773468 56.6862905828672,-2.50903508598905 56.690621810359,-2.51155529580178 56.6953136138178,-2.51236389643558 56.7001857879347,-2.51142915806643 56.7050511296744,-2.50878635051858 56.7097226274689,-2.504536487153 56.7140206538776,-2.49884252665017 56.7177798844245,-2.49192316584433 56.7208556743247,-2.48404445364951 56.723129644485,-2.47550954548388 56.7245142579334,-2.4666469951527 56.7249562066491,-2.45779804297042 56.7244384751428,-2.44930340174248 56.7229809991867,-2.44149006377499 56.7206398936399,-2.43465865115587 56.7175052799697,-2.42907180820805 56.7136977994124,-2.42494409053664 56.7093639493724,-2.42243374187606 56.7046704264726,-2.42163667130595 56.6997976977907)))', 'GBMON', 'Montrose', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.45689483917168 54.7001701417997,-3.45766827482579 54.6952966393288,-3.46006794171838 54.6906041395511,-3.46400112849487 54.6862728815236,-3.4693163509961 54.6824691745192,-3.4758092243423 54.6793390279533,-3.48323033599252 54.6770025654047,-3.49129481444613 54.675549433587,-3.49969322835049 54.675035378873,-3.50810340452284 54.6754801196652,-3.51620272183322 54.6768665941576,-3.52368042168524 54.679141611561,-3.53024947528608 54.682217882437,-3.53565756302527 54.6859773521982,-3.5396967517822 54.6902757128438,-3.5422115012238 54.6949479233437,-3.54310468911153 54.6998145303647,-3.54234141683704 54.7046885497451,-3.53995043785837 54.7093826465326,-3.53602314087491 54.7137163385405,-3.5307101133774 54.7175229459448,-3.52421540607406 54.7206560177707,-3.51678871070698 54.7229949850949,-3.50871574884612 54.724449819874,-3.50030724336677 54.7249645164743,-3.49188690380466 54.7245192587719,-3.48377889857589 54.7231311872677,-3.47629530893466 54.7208537358819,-3.46972406033996 54.7177745646051,-3.46431780656805 54.7140121695847,-3.46028420153244 54.7097113041654,-3.45777793549429 54.7050373907062,-3.45689483917168 54.7001701417997)))', 'GBMRY', 'Maryport', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.9612426032696 56.1859940719333,-2.96210740166389 56.181124996484,-2.96465833381899 56.1764435309745,-2.96879683351151 56.1721294820389,-2.9743635033968 56.1683484875549,-2.98114429468298 56.1652456739024,-2.98887875168728 56.1629401054697,-2.99727000165461 56.1615202356644,-3.00599610891949 56.1610405302142,-3.01472236536478 56.1615193891161,-3.02311405719382 56.1629384448172,-3.03084923191276 56.1652432628,-3.03763098941298 56.1683454184465,-3.04319883714958 56.1721258726373,-3.04733868133581 56.1764395197731,-3.04989107318754 56.1811207374672,-3.0507573905393 56.1859897286838,-3.04990370912378 56.1908594160459,-3.04736220243333 56.1955426256928,-3.04323000175084 56.1998592854618,-3.03766554545273 56.2036433600001,-3.03088254532973 56.2067492540174,-3.02314179333739 56.2090574341676,-3.01474112058461 56.2104790494326,-3.00600389727161 56.2109593683535,-2.99726652383566 56.2104798975378,-2.98886540653705 56.2090590976971,-2.98112393281299 56.2067516688785,-2.97433996173748 56.203646433177,-2.9687743228496 56.1998628986223,-2.96464077365633 56.1955466397711,-2.96209780458512 56.1908636766197,-2.9612426032696 56.1859940719333)))', 'GBMTH', 'Methil', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.62295853299228 55.6009504689044,-5.62347995776262 55.5960676541803,-5.62567336385792 55.5913362351226,-5.62945391353899 55.5869379570714,-5.63467593088546 55.5830417096695,-5.64113855941639 55.5797970568983,-5.64859350766332 55.5773285147628,-5.65675458103555 55.5757307926809,-5.66530863521645 55.5750651774335,-5.67392753699601 55.5753571950683,-5.68228068398307 55.5765956380192,-5.69004761574152 55.5787329936086,-5.69693024590364 55.581687257795,-5.70266425776608 55.5853450663012,-5.7070292345123 55.5895660258558,-5.70985713894963 55.5941880829326,-5.71103881554605 55.5990337276926,-5.71052825820701 55.6039167983188,-5.70834446873878 55.6086496268976,-5.70457082083767 55.6130502535025,-5.69935193969005 55.6169494309451,-5.69288820431682 55.6201971491722,-5.6854280746906 55.6226684254908,-5.67725853421872 55.624268134228,-5.66869401625756 55.6249346861521,-5.66006424703497 55.6246424126147,-5.65170148341437 55.6234025601406,-5.64392764987855 55.6212628559953,-5.63704188352769 55.6183056617669,-5.63130897851928 55.6146447878053,-5.62694918315881 55.6104210940696,-5.62412974581854 55.6057970503398,-5.62295853299228 55.6009504689044)))', 'GBMUA', 'Muasdale', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.74403937337103 50.2675912933193,-4.74460996557645 50.262708115215,-4.74665548983709 50.2579900964958,-4.75009694644105 50.253618477756,-4.75480180763842 50.2497611449232,-4.76058915224813 50.2465661946957,-4.76723663587757 50.2441562643281,-4.77448902627305 50.2426238404644,-4.78206797722412 50.2420277240088,-4.78968267067184 50.2423907839941,-4.79704092633061 50.2436990847185,-4.8038603619412 50.2459024187851,-4.80987918558537 50.2489162259415,-4.81486621433856 50.2526248255796,-4.8186297406134 50.2568858412618,-4.82102490820871 50.2615356504277,-4.82195931330493 50.2663956531515,-4.82139660999969 50.2712791219652,-4.81935797356898 50.2759983716019,-4.81592135511574 50.2803719740713,-4.81121854582491 50.2842317414416,-4.80543015449208 50.2874292063781,-4.79877868486259 50.2898413487847,-4.79151997602179 50.291375345254,-4.78393333610654 50.2919721554668,-4.77631075375217 50.2916088047716,-4.76894561026018 50.2902992731285,-4.76212133650071 50.2880939553308,-4.75610046095589 50.2850777136362,-4.75111447893229 50.2813665992895,-4.74735493866078 50.2771033715696,-4.74496608950896 50.2724519897995,-4.74403937337103 50.2675912933193)))', 'GBMVG', 'Mevagissey', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999304549621636 60.5992509831327,-1.00057941234797 60.5944025514996,-1.00375248650855 60.5897695261834,-1.00870114681391 60.5855298199213,-1.01523478912437 60.5818461767522,-1.02310222033571 60.5788599460947,-1.03200132785792 60.5766856828362,-1.04159065472176 60.575406776081,-1.05150244085071 60.5750722698426,-1.06135664159507 60.5756949940354,-1.07077540211319 60.5772510752145,-1.07939745110549 60.5796808452947,-1.08689187997962 60.5828911146461,-1.09297079372789 60.5867587252214,-1.09740035736122 60.591135251423,-1.10000981608011 60.5958526729109,-1.10069813747852 60.6007298060754,-1.09943800843915 60.6055792508949,-1.09627701581358 60.6102145886599,-1.09133594558838 60.6144575545845,-1.08480424637986 60.6181449083766,-1.07693281546788 60.621134735709,-1.06802437435639 60.6233119341328,-1.05842180096772 60.6245926676905,-1.04849487204414 60.6249276142538,-1.0386259375933 60.6243038768728,-1.02919509553433 60.6227454832414,-1.02056545647313 60.6203124534954,-1.01306908451882 60.61709847352,-1.0069941704907 60.6132272662717,-1.00257394045249 60.6088478049085,-0.99997772824718 60.6041285566213,-0.999304549621636 60.5992509831327)))', 'GBMYE', 'Mid Yell', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.01112670138491 50.1676798194509,-5.01166909994898 50.1627956011617,-5.01368417074082 50.158073180907,-5.01709408436632 50.1536939702024,-5.02176752333397 50.1498261481979,-5.02752477044608 50.1466182156241,-5.03414463329148 50.1441933089083,-5.04137293603276 50.1426444897849,-5.04893225347771 50.1420311881325,-5.05653251850004 50.1423769318374,-5.06388210334544 50.1436684488475,-5.07069895894643 50.1458561749834,-5.07672139443667 50.1488561483284,-5.08171809163216 50.1525532189573,-5.08549697603563 50.1568054532131,-5.08791260628091 50.1614495664392,-5.08887179684983 50.1663071786853,-5.08833725293698 50.1711916559127,-5.08632906962906 50.175915275909,-5.08292402776391 50.1802964445091,-5.07825270315133 50.1841666844917,-5.07249449109636 50.1873771270109,-5.06587073091258 50.1898042535229,-5.05863619177111 50.1913546643492,-5.05106924829993 50.1919686872885,-5.04346112861993 50.1916226846451,-5.03610465628727 50.1903299678921,-5.02928292892763 50.1881402838591,-5.02325837908809 50.1851378925353,-5.01826264684191 50.1814383119614,-5.01448765978016 50.1771838579107,-5.01207826593336 50.1725381529832,-5.01112670138491 50.1676798194509)))', 'GBMYL', 'Mylor', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.82054593599036 57.5833102088141,-3.82132887183145 57.5784366628689,-3.82386628041178 57.5737387708537,-3.82806005279311 57.5693969708349,-3.83374861601568 57.5655779627942,-3.84071320419164 57.5624283257372,-3.84868628929649 57.5600689126263,-3.85736184413822 57.5585902343028,-3.86640704588889 57.5580490055116,-3.87547497907892 57.5584659820847,-3.88421786310432 57.5598251698752,-3.89230031170514 57.5620744348476,-3.89941213083699 57.5651274915691,-3.90528017688671 57.5688671959492,-3.90967882900911 57.5731500191947,-3.91243867689667 57.5778115352653,-3.91345308756494 57.5826727152422,-3.91268239029663 57.5875467904432,-3.91015550573506 57.5922464231172,-3.90596894063343 57.5965909101988,-3.90028317070742 57.6004131426261,-3.89331653658784 57.6035660505099,-3.88533687777242 57.6059282829341,-3.87665122223958 57.6074088998418,-3.86759393055702 57.6079508913557,-3.85851375877981 57.6075333855259,-3.84976035072902 57.6061724570742,-3.84167069485352 57.6039205050363,-3.83455608243882 57.600864223927,-3.82869008234713 57.597121248721,-3.82429800394193 57.5928356061647,-3.82154825674045 57.5881721515126,-3.82054593599036 57.5833102088141)))', 'GBNAI', 'Nairn', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.23896499426826 55.5838123943742,-5.23953398356984 55.5789308334632,-5.24177285783192 55.574205923725,-5.24559503669438 55.5698191579206,-5.25085325149702 55.5659389816064,-5.2573452630349 55.5627143404898,-5.26482165900334 55.560268981976,-5.27299542767092 55.5586967260266,-5.2815529416041 55.5580578830665,-5.29016593634512 55.5583769530596,-5.2985040349093 55.5596416916412,-5.30624735050121 55.5618035780368,-5.31309869728985 55.564779667182,-5.31879495246169 55.5684557567568,-5.32311714182429 55.5726907505298,-5.32589886537212 55.5773220541758,-5.32703273748952 55.5821718002237,-5.32647458744237 55.5870536664829,-5.3242452475784 55.5917800285079,-5.32042984673338 55.5961691724407,-5.31517462167518 55.6000522906767,-5.30868135644502 55.603279989628,-5.30119965420834 55.6057280563616,-5.29301733452647 55.6073022586135,-5.28444932664797 55.6079419896516,-5.27582549264087 55.6076226143097,-5.26747785967239 55.6063564234394,-5.25972776606591 55.6041921589132,-5.2528734295431 55.6012131278449,-5.24717842807517 55.5975339804359,-5.242861544987 55.5932962784451,-5.2400883724506 55.5886630284988,-5.23896499426826 55.5838123943742)))', 'GBNAR', 'Arran', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-1.47340642735937 55.1664619047122,-1.47442995897335 55.1616039614264,-1.47708876363236 55.1569536297205,-1.4812801814015 55.1526895146035,-1.48684283058797 55.1489753347892,-1.49356285619221 55.1459536537386,-1.50118216106348 55.1437404269354,-1.50940830155228 55.1424205710049,-1.51792567088852 55.1420447211305,-1.52640754888506 55.1426272982441,-1.53452856686091 55.1441459582911,-1.54197712250612 55.146542444213,-1.54846728105122 55.1497248089176,-1.55374971653672 55.1535709262013,-1.55762127987556 55.1579331581147,-1.55993282809268 55.1626440033306,-1.56059501053751 55.1675225132901,-1.5595817814509 55.1723812327337,-1.5569314919485 55.1770333999223,-1.55274550561052 55.1813001304118,-1.54718437724245 55.1850173073221,-1.54046173031065 55.1880419109116,-1.53283606103704 55.1902575407662,-1.52460078199297 55.1915789144175,-1.51607289121189 55.1919551656224,-1.5075807106779 55.1913718123499,-1.49945117754212 55.189851316818,-1.49199719047113 55.1874522155217,-1.48550551111856 55.1842668537205,-1.48022569697069 55.180417813899,-1.47636049803752 55.1760531789363,-1.47405808837029 55.1713408160015,-1.47340642735937 55.1664619047122)))', 'GBNBC', 'NewbiggIn by the Sea', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.62303642656037 55.499513541121,-1.62405093290729 55.4946545523296,-1.62671527166525 55.4900012352924,-1.63092655809532 55.4857323093583,-1.63652263765792 55.4820116768465,-1.64328836557429 55.4789821472276,-1.65096388831279 55.4767599752431,-1.65925460674407 55.4754304188829,-1.66784244160036 55.4750444840464,-1.67639797679887 55.4756169778003,-1.68459302613748 55.4771259430209,-1.69211315445016 55.4795134955933,-1.69866968580021 55.4826880329927,-1.7040107486727 55.4865277317743,-1.70793094108056 55.4908852030059,-1.7102792463587 55.4955931307089,-1.71096489212096 55.5004706805159,-1.70996091885559 55.5053304354982,-1.70730530885824 55.5099855946945,-1.70309961799394 55.5142571583043,-1.69750514892691 55.5179808224466,-1.69073680125011 55.5210133161128,-1.68305482732767 55.5232379333117,-1.67475480842244 55.5245690437913,-1.66615623971623 55.524955405051,-1.65759017142564 55.5243821451051,-1.64938639332285 55.5228713377232,-1.6418606694499 55.5204811474731,-1.63530252761561 55.5173035784424,-1.62996408451408 55.5134609156147,-1.62605034329372 55.5091009991709,-1.62371133848404 55.5043915173506,-1.62303642656037 55.499513541121)))', 'GBNBS', 'Newton-by-the-Sea', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.95386467707333 57.3326249129782,-1.95488935968881 57.3277646482765,-1.9576468777694 57.3231058455579,-1.96203069912179 57.3188274296771,-1.96787199222787 57.3150936582882,-1.97494616944621 57.3120478337967,-1.98298153430576 57.3098068243581,-1.991669698145 57.3084566002239,-2.00067736956045 57.3080489527991,-2.00965907299059 57.3085995190395,-2.01827032124888 57.310087184887,-2.02618075152189 57.3124548900099,-2.03308673553437 57.3156118039301,-2.03872299224062 57.3194367924303,-2.04287276522851 57.3237830446844,-2.04537617638947 57.3284836875359,-2.04613643128038 57.3333581753609,-2.045123628462 57.3382192134565,-2.04237601285342 57.342879951174,-2.03799860908738 57.3471611690733,-2.03215927166124 57.3508981829188,-2.02508229047883 57.3539471966706,-2.01703978888646 57.356190856637,-2.0083412420475 57.3575427890471,-1.99932152208442 57.3579509424258,-1.99032793884394 57.3573996027903,-1.98170678810891 57.3559100019413,-1.97378994025609 57.3535394947976,-1.96688200057767 57.3503793384199,-1.96124854784874 57.3465511606606,-1.9571059115984 57.3422022578813,-1.95461288343062 57.3374999067563,-1.95386467707333 57.3326249129782)))', 'GBNBU', 'Newburgh', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.67240089327493 56.0498896747443,-2.67329900335667 56.0450225746166,-2.67587587402235 56.040347016909,-2.68003195053827 56.0360425799395,-2.6856071686418 56.0322745317739,-2.69238715854573 56.0291875017616,-2.70011150069145 56.0268999490664,-2.70848371337261 56.0254996367336,-2.71718259151611 56.0250402812215,-2.72587446921756 56.0255395027927,-2.73422594709741 56.0269781533104,-2.74191660979311 56.029301046526,-2.74865125922462 56.0324190636361,-2.75417120566201 56.0362125554921,-2.75826419078203 56.0405359141374,-2.76077256419329 56.0452231420063,-2.76159939630582 56.0500942087796,-2.76071228442241 56.0549619550095,-2.75814469349561 56.0596392794829,-2.753994765504 56.0639463349086,-2.748421628652 56.0677174545847,-2.74163933587261 56.0708075415525,-2.73390865731382 56.0730976712543,-2.72552703934244 56.0744996883183,-2.71681711890283 56.0749596167559,-2.70811424299144 56.0744597490815,-2.69975348536808 56.0730193317957,-2.69205667415315 56.0706938201218,-2.68531994348189 56.0675727315003,-2.67980229993157 56.0637761826897,-2.67571565122924 56.0594502470401,-2.67321668310314 56.0547613144422,-2.67240089327493 56.0498896747443)))', 'GBNBW', 'North Berwick', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.85745125106121 54.2180172356347,-5.85793266246979 54.2131329706477,-5.86003027917037 54.2083975787814,-5.8636629869593 54.2039929638321,-5.86869081962328 54.2000882669144,-5.87492039286752 54.1968333856229,-5.88211236127159 54.1943532375432,-5.88999060791929 54.1927429849176,-5.89825281485211 54.1920644001592,-5.90658201430791 54.1923435084744,-5.91465868695084 54.1935695956867,-5.92217295468553 54.1956956181891,-5.92883641253675 54.1986399995394,-5.93439315650628 54.2022897463576,-5.93862959202777 54.2065047666654,-5.9413826500367 54.2111232283407,-5.94254609379289 54.2159677555931,-5.94207466804249 54.2208522287767,-5.93998592099892 54.2255889287727,-5.93635961654213 54.2299957526344,-5.93133474603573 54.2339032229605,-5.92510424281101 54.2371610199307,-5.91790759386732 54.2396437820733,-5.91002162868937 54.2412559491787,-5.90174984031237 54.2419354573706,-5.89341065518833 54.2416561408585,-5.88532511288276 54.2404287455147,-5.87780444181799 54.238300514098,-5.87113802181774 54.235353359338,-5.86558220783873 54.2317006968416,-5.8613504528625 54.2274830624726,-5.85860511338177 54.2228626863196,-5.85745125106121 54.2180172356347)))', 'GBNCS', 'Newcastle, Co. Down', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.55131899935463 59.2328412427497,-2.55231814756466 59.2279776285755,-2.55514887981082 59.2233073180111,-2.55970176412199 59.2190096737779,-2.56580140834433 59.2152496828663,-2.57321326510062 59.2121716419233,-2.58165266656836 59.2098936420748,-2.59079573873478 59.208503060565,-2.60029177961168 59.2080532279487,-2.60977663607398 59.2085613951232,-2.61888658047773 59.2100080758354,-2.62727217158259 59.2123377891054,-2.6346115848082 59.2154611740078,-2.64062291448959 59.2192583981584,-2.64507498529251 59.2235837327932,-2.64779626072387 59.2282711231716,-2.6486815027449 59.2331405447711,-2.64769591638504 59.2380049048482,-2.64487660488405 59.2426772266976,-2.64033126150959 59.2469778413985,-2.6342341303746 59.2507413097344,-2.62681937625772 59.2538228056524,-2.61837210807461 59.2561037120374,-2.60921739747269 59.2574962091509,-2.59970771828813 59.2579466748042,-2.59020929995851 59.2574377617254,-2.58108793480286 59.2559890697252,-2.57269480276894 59.2536563859845,-2.56535287647353 59.2505295236565,-2.55934444416988 59.2467288445324,-2.55490024008906 59.2424006033641,-2.55219060308555 59.2377112973849,-2.55131899935463 59.2328412427497)))', 'GBNDY', 'Sanday', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.82018865344656 57.8822047847573,-6.82138233156085 57.8773557327843,-6.82432823590965 57.8727238532759,-6.82891259130842 57.8684870269763,-6.83495887123314 57.8648079053322,-6.842234634986 57.8618276853753,-6.85046047304862 57.85966071242,-6.85932071499077 57.858390113615,-6.8684754929843 57.8580646259425,-6.87757370758857 57.8586967371536,-6.88626641195571 57.8602622089883,-6.89422011650876 57.8627010005307,-6.90112951872154 57.8659195574426,-6.90672918184712 57.8697943818386,-6.91080372199052 57.8741767494532,-6.91319611415318 57.8788983971867,-6.91381379373243 57.8837779666909,-6.91263230887566 57.8886279598266,-6.90969636891395 57.8932619408528,-6.90511823204511 57.8975017090887,-6.89907347807659 57.9011841652051,-6.89179431538988 57.9041676045272,-6.88356067095726 57.9063371916212,-6.87468940365721 57.9076094013589,-6.8655220598304 57.9079352515075,-6.85641165195499 57.9073021991321,-6.84770898319683 57.9057346257769,-6.83974906012191 57.9032928922957,-6.83283813196825 57.9000710009108,-6.82724186779014 57.896192957151,-6.82317513402064 57.8918079754005,-6.82079376720784 57.8870847167369,-6.82018865344656 57.8822047847573)))', 'GBNHS', 'North Harris', 'Y'),('SRID=4326;MULTIPOLYGON(((0.0963603844746154 50.7899871881624,0.0959058945030458 50.7851008491525,0.0939566121403624 50.7803645873982,0.0905878598289743 50.7759603498602,0.0859293948320608 50.7720572785492,0.0801603775215332 50.7688052273069,0.073502465458841 50.7663290241513,0.0662113017887644 50.7647236964692,0.0585667240109106 50.7640508391719,0.0508620643751842 50.7643362623543,0.0433929448280195 50.7655690066293,0.0364459868794874 50.7677017628884,0.0302878595917704 50.770652680567,0.0251550770636968 50.7743084964053,0.0212449305851141 50.7785288659975,0.0187079006785832 50.7831517348652,0.0176418415247778 50.7879995460323,0.0180881661844322 50.7928860486051,0.0200301874369463 50.797623447974,0.0233936882772582 50.802029623987,0.0280497109313672 50.8059351395184,0.0338194668531918 50.8091897686164,0.0404811860359228 50.8116682908078,0.0477786457361083 50.8132753256532,0.0554310499403261 50.813949018341,0.06314387489492 50.8136634315955,0.0706202555561705 50.8124295497046,0.0775724649743598 50.810294854969,0.0837330345989635 50.8073414930691,0.0888650785087823 50.8036830993753,0.0927714178634141 50.7994604107487,0.0953021517412537 50.7948358347192,0.0963603844746154 50.7899871881624)))', 'GBNHV', 'Newhaven', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.32641413676098 60.5233754191414,-1.3276369351577 60.5185236500395,-1.33075576270321 60.5138826356731,-1.33565007644505 60.5096305984025,-1.3421313544788 60.5059307581046,-1.34995040677243 60.5029250876667,-1.35880696907651 60.5007288889616,-1.36836120864502 60.4994263929018,-1.37824670472186 60.499067547958,-1.38808441697925 60.499666116707,-1.39749712221145 60.5011991511334,-1.40612378410058 60.5036078662186,-1.41363332300775 60.5067998794953,-1.41973727248217 60.5106527334564,-1.42420084625712 60.515018569657,-1.42685199333409 60.5197297797195,-1.42758808835758 60.5246054207993,-1.42637998833732 60.5294581528781,-1.42327328272443 60.5341014337767,-1.41838666901837 60.5383566960764,-1.41190749686059 60.5420602289196,-1.40408463567796 60.5450694972627,-1.3952189295845 60.547268651484,-1.3856516033839 60.5485730107197,-1.37575107015571 60.5489323428468,-1.36589865950231 60.5483328111192,-1.35647383233125 60.546797510157,-1.34783947041704 60.5443855700395,-1.3403278256553 60.5411898642164,-1.33422768508943 60.537333412352,-1.32977325511012 60.5329646206387,-1.32713519465452 60.5282515474035,-1.32641413676098 60.5233754191414)))', 'GBNME', 'Northmavine', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.34744829136864 56.0091335425802,-3.34826054110889 56.0042617347782,-3.35075306739813 55.9995722831487,-3.35482954967616 55.9952453043031,-3.36033297063959 55.9914469356168,-3.36705170495176 55.9883229728964,-3.37472767175911 55.9859932938953,-3.38306623476437 55.9845472779744,-3.39174747215615 55.9840403939118,-3.40043839132635 55.9844920835674,-3.40880563105325 55.9858850204207,-3.41652817732745 55.9881657706153,-3.42330961855205 55.9912468318342,-3.42888948146378 55.9950099738528,-3.43305322050708 55.9993107557414,-3.43564047992792 56.003984050111,-3.43655130852782 56.0088503661402,-3.43575008035674 56.0137227318537,-3.43326695861726 56.0184138735348,-3.42919683211325 56.0227434172778,-3.42369575053815 56.0265448352253,-3.41697498307544 56.0296718673485,-3.40929292010488 56.0320041686051,-3.40094512600822 56.033451960419,-3.39225292794781 56.0339595036482,-3.38355098719668 56.0335072560802,-3.3751743429149 56.032112629173,-3.3674454408712 56.0298293140787,-3.36066166026979 56.0267452035977,-3.35508383052036 56.0229789921772,-3.35092618764539 56.0186755880353,-3.34834815931143 56.0140005177749,-3.34744829136864 56.0091335425802)))', 'GBNOQ', 'North Queensferry', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.94290567163912 51.5829873454833,-2.94368209640969 51.5781146222845,-2.94596900542634 51.5734298656421,-2.94967810909213 51.569113024053,-2.95466659861872 51.5653298657975,-2.9607426750269 51.5622256276711,-2.96767293405456 51.5599194561024,-2.97519132106522 51.5584998508661,-2.98300931408774 51.5580212830836,-2.99082694993883 51.5585021146049,-2.99834427904507 51.5599238968105,-3.00527281975945 51.5622320751097,-3.01134658298442 51.5653380727378,-3.01633225276798 51.5691226756943,-3.02003813790726 51.5734405916204,-3.02232155280354 51.5781260108226,-3.0230943418044 51.5829989591516,-3.02232632854795 51.5878722015069,-3.02004654842354 51.5925584326274,-3.01634220571952 51.5968774795408,-3.01135538441033 51.6006632382264,-3.00527762950264 51.6037700759971,-2.99834260079338 51.6060784506517,-2.99081707905915 51.6074995270153,-2.98299067246873 51.6079786100005,-2.9751646250964 51.6074972593221,-2.96764016709498 51.6060740026368,-2.96070686542179 51.6037636190118,-2.95463143398654 51.6006550209529,-2.9496474427096 51.5968678183527,-2.94594632725488 51.5925476993423,-2.9436700470792 51.5878608090144,-2.94290567163912 51.5829873454833)))', 'GBNPT', 'Newport, Gwent', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.04392327421798 50.4176933067086,-5.04446439769235 50.4128091397712,-5.0464860560755 50.4080862527582,-5.04991016100665 50.4037060746553,-5.0546048453038 50.3998368208949,-5.06038957313521 50.396627046045,-5.06704209630208 50.3941999560352,-5.07430698655462 50.392648695294,-5.08190541738083 50.3920327865912,-5.08954582456229 50.3923758574742,-5.09693504409964 50.3936647385716,-5.10378950959364 50.3958499674642,-5.10984608918777 50.3988476790934,-5.11487215476639 50.4025428116332,-5.11867450296231 50.4067935072015,-5.12110678802017 50.4114365414834,-5.12207517967515 50.4162935769342,-5.12154202350972 50.4211780022112,-5.11952735486778 50.4259020971353,-5.1161081979861 50.4302842488271,-5.11141566675063 50.4341559413936,-5.10562996920773 50.4373682489812,-5.09897350118453 50.4397975800735,-5.09170229149868 50.4413504490573,-5.08409612873901 50.4419670883221,-5.076447754242 50.4416237590991,-5.06905154496001 50.4403336700894,-5.06219213141828 50.4381464676064,-5.05613339876836 50.4351463171702,-5.05110830290785 50.4314486518932,-5.04730989957172 50.4271957152438,-5.04488393394541 50.4225510727207,-5.04392327421798 50.4176933067086)))', 'GBNQY', 'Newquay', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.28232308321866 60.5823583667971,-1.28355485919194 60.5775070797993,-1.2866858112635 60.5728671846485,-1.2915949284427 60.5686168600897,-1.29809311925099 60.5649192595527,-1.30593054453692 60.5619162692956,-1.31480623620405 60.5597230877926,-1.32437962964264 60.5584238298228,-1.334283571845 60.5580683194796,-1.34413831740445 60.5586701914887,-1.35356599172927 60.5602063713786,-1.36220498535641 60.5626179538546,-1.36972374544781 60.565812446885,-1.37583345037653 60.5696672982246,-1.38029909049361 60.5740345730732,-1.3829485321297 60.5787466079529,-1.38367921164155 60.5836224282635,-1.38246219034419 60.5884746868044,-1.37934339731615 60.5931168591076,-1.37444199244526 60.5973704197531,-1.36794589307869 60.6010717226467,-1.36010461996017 60.6040783178807,-1.3512197269795 60.6062744581551,-1.34163317956164 60.6075755782441,-1.33171413329075 60.6079315705627,-1.32184463303569 60.6073287270086,-1.31240479966112 60.6057902699628,-1.30375809373652 60.6033754513969,-1.296237242225 60.6001772560087,-1.29013138514855 60.5963187996941,-1.28567494635125 60.5919485660777,-1.28303865868357 60.5872346690821,-1.28232308321866 60.5823583667971)))', 'GBNRR', 'North Roe to Hillswick', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.29048029721197 54.182050429537,-6.29161545586385 54.1772033089822,-6.29434031369321 54.1725791782337,-6.29854971558689 54.1683556323638,-6.30408162775177 54.1646948321004,-6.31072340530335 54.1617372945767,-6.31821997253788 54.1595965184807,-6.32628360029535 54.1583546463402,-6.33460490851336 54.1580593270047,-6.34286467946418 54.1587218959994,-6.35074603922829 54.1603169419421,-6.35794655228348 54.1627832753809,-6.3641897769478 54.1660262639864,-6.36923584776779 54.1699214468207,-6.37289068443737 54.174319292182,-6.37501347476086 54.1790509199913,-6.37552214041917 54.1839345724655,-6.37439656727438 54.1887825873542,-6.37167946453945 54.1934086075436,-6.3674748066852 54.1976347503117,-6.36194390526656 54.2012984595766,-6.35529925128891 54.2042587753362,-6.34779635836394 54.2064017759408,-6.33972391868021 54.2076449802012,-6.33139265383719 54.2079405364641,-6.32312329737067 54.2072770731343,-6.31523418250993 54.2056801377486,-6.3080289254208 54.2032112074099,-6.30178469002021 54.1999653098025,-6.2967414956349 54.1960673487335,-6.29309298465796 54.1916672788655,-6.29097900625524 54.1869343189381,-6.29048029721197 54.182050429537)))', 'GBNRY', 'Newry', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.2854568348562 58.4490018334922,-6.28674489249693 58.4441590593134,-6.2898096084426 58.4395410168093,-6.29453262855832 58.4353250490385,-6.30073209620955 58.4316730001064,-6.30816969444406 58.428725021948,-6.31655981553458 58.4265942179024,-6.32558050388593 58.4253623244381,-6.33488575681133 58.4250765927041,-6.34411872137305 58.425747986323,-6.35292529526704 58.4273507626245,-6.36096762614574 58.4298234530271,-6.36793700705329 58.4330712062367,-6.3735656857585 58.4369694070878,-6.37763714239915 58.4413684359306,-6.37999444234782 58.4460993901341,-6.38054633850693 58.4509805521324,-6.37927087775664 58.4558243589238,-6.37621635782731 58.4604446073076,-6.37149958060356 58.4646636184005,-6.36530145229422 58.4683190847797,-6.35786008594528 58.4712703342348,-6.34946166294216 58.4734037654011,-6.3404294027702 58.4746372418543,-6.33111106982295 58.474923271449,-6.32186550835648 58.4742508452159,-6.31304873844253 58.4726458630318,-6.30500016468103 58.4701701293044,-6.29802944444817 58.4669189586472,-6.29240453387169 58.463017486501,-6.28834137914726 58.4586158305404,-6.28599565101004 58.4538832933505,-6.2854568348562 58.4490018334922)))', 'GBNSA', 'Ness', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.62296163044626 55.566513142416,-1.62397800835315 55.5616542153909,-1.62664701828155 55.5570009737102,-1.63086559389355 55.5527321335691,-1.63647129919287 55.5490115936163,-1.64324861910474 55.5459821593333,-1.65093725524993 55.5437600813728,-1.65924210609923 55.5424306137575,-1.66784455150529 55.5420447587478,-1.67641461647451 55.5426173202739,-1.68462355895221 55.5441263387091,-1.69215641195701 55.5465139281496,-1.698724011894 55.5496884850263,-1.70407406228296 55.5535281855776,-1.70800081513487 55.5578856412291,-1.71035300013539 55.5625935369558,-1.71103969358177 55.5674710398496,-1.71003389313055 55.5723307348545,-1.70737364876736 55.5769858232134,-1.70316069235304 55.5812573075914,-1.69755660441076 55.5849808867791,-1.69077665378487 55.5880132925993,-1.68308153935467 55.5902378220095,-1.67476734890876 55.5915688477755,-1.6661541244646 55.591955130422,-1.6575734820291 55.5913818009149,-1.6493557739826 55.5898709357994,-1.64181730178566 55.5874807021199,-1.63524808450304 55.5843031060075,-1.6299006648387 55.5804604339201,-1.62598039027539 55.5761005268212,-1.62363754486595 55.5713910729459,-1.62296163044626 55.566513142416)))', 'GBNSD', 'North Sunderland', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.42958317104316 55.0044472833415,-1.43060749812788 54.9995895904663,-1.43326028003705 54.9949400595748,-1.43743909369133 54.9906772652563,-1.4429830456599 54.9869648761874,-1.44967900125834 54.9839453879878,-1.45726978775303 54.981734672954,-1.4654640545786 54.9804175522107,-1.47394741514504 54.9800445566419,-1.4823944503652 54.9806299979661,-1.49048112446331 54.982151422126,-1.4978971495402 54.9845504654883,-1.50435783705136 54.9877350819625,-1.50961499177891 54.9915830578366,-1.51346643671766 54.9959466826531,-1.51576380487603 55.0006584005288,-1.5164182952379 55.0055372285529,-1.51540416349404 55.0103956987636,-1.51275980155185 55.01504705893,-1.50858635062772 55.0193124559729,-1.50304388772428 55.0230278249746,-1.49634532082695 55.0260502166482,-1.48874822021379 55.0282633166691,-1.48054489771678 55.0295819408196,-1.47205111857095 55.029955329335,-1.46359388800006 55.0293691106743,-1.45549879393174 55.0278458572374,-1.44807740613001 55.0254442111488,-1.44161522956445 55.022256614741,-1.43636068614567 55.0184057353941,-1.43251555532861 55.0140397255925,-1.43022724283638 55.0093265043117,-1.42958317104316 55.0044472833415)))', 'GBNSH', 'North Shields', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.43591775125212 58.0990610258265,-6.43717141082175 58.0942162555104,-6.44018536744296 58.089594016493,-6.44484322864934 58.0853718156722,-6.45096564665781 58.0817117395669,-6.45831726341089 58.0787542513462,-6.46661576673398 58.0766128220254,-6.47554270791703 58.0753695977261,-6.48475566984023 58.0750722652841,-6.49390132861565 58.0757322332614,-6.50262892152827 58.0773241962133,-6.51060362037565 58.0797870985487,-6.51751931236589 58.0830264622469,-6.52311031050636 58.0869179917903,-6.52716155158454 58.0913123216862,-6.52951689175512 58.0960407285409,-6.53008517633716 58.1009215924225,-6.52884384011175 58.1057673626488,-6.52583988502195 58.1103917624212,-6.52118818089246 58.1146169558868,-6.51506713814534 58.1182804009245,-6.50771190546357 58.1212411214757,-6.49940534551113 58.123385154432,-6.49046713354608 58.124629957291,-6.48124140256447 58.1249276028951,-6.47208342043106 58.124266635006,-6.46334582598339 58.1226725112965,-6.45536497006776 58.1202066163136,-6.44844790283201 58.1169638836824,-6.44286052063398 58.11306912181,-6.43881733618878 58.1086721882816,-6.43647326679159 58.1039422028696,-6.43591775125212 58.0990610258265)))', 'GBNTL', 'North Lochs', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.10354470814669 57.5993112909764,-7.10469051951737 57.5944591159026,-7.10757674532261 57.5898201398541,-7.11209190995776 57.5855725193045,-7.11806214626749 57.5818793234141,-7.12525793045888 57.5788822924199,-7.13340291618684 57.5766964191031,-7.14218452632872 57.5754055572428,-7.15126589972011 57.5750592216467,-7.16029874368858 57.5756706993276,-7.16893661253951 57.5772165422987,-7.17684811778631 57.5796374609632,-7.1837295781308 57.5828405849319,-7.18931663596397 57.5867030070536,-7.19339440216127 57.5910764782379,-7.19580574154497 57.5957930769595,-7.19645737652391 57.6006716397655,-7.19532356454445 57.6055247091131,-7.19244719396293 57.6101657337092,-7.1879382400164 57.6144162452077,-7.18196962433752 57.6181127343282,-7.17477062398968 57.6211129594694,-7.16661807494573 57.62330144157,-7.15782570577375 57.6245939296863,-7.14873201560458 57.6249406614276,-7.1396871722316 57.6243282894713,-7.13103944815288 57.6227803979501,-7.12312173222499 57.6203565883341,-7.11623865126436 57.6171501711346,-7.11065480960094 57.6132845548673,-7.10658460672369 57.608908474902,-7.10418402636256 57.6041902499268,-7.10354470814669 57.5993112909764)))', 'GBNUI', 'North Uist', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.17247755276935 55.9830703178031,-3.17331126399776 55.9781996362575,-3.1758232941186 55.9735136957728,-3.17991657610202 55.9691924770294,-3.1854334509043 55.9654018954525,-3.19216178025171 55.9622874474984,-3.19984311824807 55.9599686456879,-3.20818262491675 55.9585344522399,-3.21686034354358 55.95803988278,-3.2255434165295 55.9585039072408,-3.23389878241822 55.9599087263355,-3.241605880469 55.9622004505804,-3.24836888889833 55.9652911565272,-3.25392803871934 55.96906224341,-3.25806957667138 55.973368964571,-3.26063399742871 55.978045963518,-3.26152222609202 55.982913605886,-3.26069950541713 55.9877848674111,-3.25819682630649 55.9924725155532,-3.2541098321845 55.9967963096568,-3.24859522482397 56.0005899422221,-3.24186479729868 56.0037074523077,-3.23417731493084 56.0060288612107,-3.22582855312087 56.0074648098056,-3.21713987759528 56.0079600152612,-3.20844581404417 56.0074954108199,-3.20008109714028 56.0060888840656,-3.19236771123271 56.0037945844582,-3.18560243537317 56.000700827522,-3.18004538374171 55.9969266785087,-3.17590999016612 55.9926173502575,-3.17335482454545 55.9879385961658,-3.17247755276935 55.9830703178031)))', 'GBNWF', 'Newhaven/Edinburgh', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.89282447325654 51.7006543353016,-4.89339311166401 51.6957715556981,-4.89548341912366 51.6910515100715,-4.89901464032239 51.6866755138722,-4.90385077254452 51.6828116157731,-4.90980583766408 51.6796081576875,-4.9166510485519 51.677188096209,-4.92412359160008 51.6756443003295,-4.93193668935489 51.6750360026765,-4.9397905622115 51.6753865375954,-4.94738387686902 51.676682450829,-4.9544252524824 51.6788740140392,-4.9606443935332 51.6818771247791,-4.96580243140401 51.6855765205714,-4.96970108418647 51.6898301862923,-4.97219028575015 51.6944747888354,-4.97317398953756 51.6993319336807,-4.97261391849782 51.7042150060125,-4.97053110812937 51.7089363357016,-4.967005172382 51.7133144118106,-4.96217130930886 51.7171808690199,-4.95621515157711 51.7203869758149,-4.94936565265458 51.7228093723599,-4.94188627896274 51.7243548341701,-4.93406484785935 51.7249638749946,-4.92620240762749 51.7246130473468,-4.91860159587489 51.7233158500494,-4.91155493481221 51.7211222069277,-4.90533352461918 51.7181165370768,-4.9001765793681 51.7144144925756,-4.89628221462422 51.7101584917896,-4.89379984370214 51.7055122233175,-4.89282447325654 51.7006543353016)))', 'GBNYD', 'Neyland', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.51519369437222 50.101847662687,-5.5156841839806 50.0969618591409,-5.51764678741588 50.0922314665947,-5.52100568900491 50.0878382059703,-5.52563152620795 50.0839507986399,-5.53134640370765 50.080718499188,-5.53793074901817 50.0782653803751,-5.54513174328306 50.0766855867768,-5.55267300440349 50.0760397362116,-5.56026515533778 50.0763526043158,-5.56761687946577 50.0776121791163,-5.57444604805123 50.0797701209209,-5.58049050243271 50.0827436101127,-5.58551808566517 50.0864185133303,-5.58933554463265 50.0906537488625,-5.59179596352314 50.0952866866315,-5.59280444199765 50.100139378543,-5.59232179498175 50.105025382732,-5.59036612389958 50.1097569216237,-5.58701218903716 50.114152099776,-5.5823885967948 50.1180419038906,-5.57667290071372 50.1212767144944,-5.57008479789994 50.123732076527,-5.56287767925499 50.1253135039025,-5.55532885925935 50.1259601300743,-5.54772886572614 50.1256470613269,-5.54037020924152 50.1243863401796,-5.53353607393094 50.1222264808456,-5.52748937459439 50.1192505948689,-5.52246260994977 50.1155731804996,-5.51864890848905 50.111335701749,-5.51619461397713 50.1067011302043,-5.51519369437222 50.101847662687)))', 'GBNYL', 'Newlyn', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.42203228396822 56.4008866746352,-5.42258720606816 56.3960049731399,-5.42484838136508 56.3912770833348,-5.42872834166983 56.3868846109739,-5.43407757412913 56.3829962174328,-5.44069032881355 56.3797611593024,-5.44831255303486 56.3773035787333,-5.45665164337933 56.3757177599719,-5.46538764242472 56.375064530245,-5.47418545714693 56.3753689396436,-5.48270764120418 56.3766193065317,-5.49062726429193 56.3787676639412,-5.4976403889221 56.3817315901807,-5.50347768833006 56.3853973552326,-5.50791476849709 56.3896242652048,-5.51078080191964 56.3942500418405,-5.51196513981538 56.3990970344959,-5.51142164153052 56.4039790295593,-5.50917054308468 56.4087083983199,-5.50529777855932 56.4131033098666,-5.49995176531485 56.4169947314801,-5.49333776318204 56.4202329455736,-5.48571001475901 56.4226933295294,-5.47736196446763 56.4242811723104,-5.46861493380147 56.4249353385508,-5.45980569525134 56.4246306355835,-5.45127343433604 56.4233787897378,-5.44334661547191 56.4212279931402,-5.43633027163811 56.4182610388268,-5.43049421969139 56.4145921178125,-5.42606266373305 56.4103624044557,-5.42320559025441 56.4057346038027,-5.42203228396822 56.4008866746352)))', 'GBOBA', 'Oban', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.43591775125212 58.0990610258265,-6.43717141082175 58.0942162555104,-6.44018536744296 58.089594016493,-6.44484322864934 58.0853718156722,-6.45096564665781 58.0817117395669,-6.45831726341089 58.0787542513462,-6.46661576673398 58.0766128220254,-6.47554270791703 58.0753695977261,-6.48475566984023 58.0750722652841,-6.49390132861565 58.0757322332614,-6.50262892152827 58.0773241962133,-6.51060362037565 58.0797870985487,-6.51751931236589 58.0830264622469,-6.52311031050636 58.0869179917903,-6.52716155158454 58.0913123216862,-6.52951689175512 58.0960407285409,-6.53008517633716 58.1009215924225,-6.52884384011175 58.1057673626488,-6.52583988502195 58.1103917624212,-6.52118818089246 58.1146169558868,-6.51506713814534 58.1182804009245,-6.50771190546357 58.1212411214757,-6.49940534551113 58.123385154432,-6.49046713354608 58.124629957291,-6.48124140256447 58.1249276028951,-6.47208342043106 58.124266635006,-6.46334582598339 58.1226725112965,-6.45536497006776 58.1202066163136,-6.44844790283201 58.1169638836824,-6.44286052063398 58.11306912181,-6.43881733618878 58.1086721882816,-6.43647326679159 58.1039422028696,-6.43591775125212 58.0990610258265)))', 'GBOCH', 'Lochs', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.2961365004794 58.6471190223059,-3.29701485092383 58.6422495397261,-3.29969809016469 58.6375629103839,-3.30408246862354 58.6332391317042,-3.3099990698999 58.6294442021855,-3.31722036686428 58.6263237668254,-3.3254689887919 58.6239975492656,-3.33442835915195 58.622554780192,-3.34375479855749 58.6220507932317,-3.35309063733545 58.6225049153842,-3.36207784818122 58.6238997305074,-3.37037169201468 58.626181743221,-3.37765386972861 58.6292634185314,-3.38364468902104 58.6330265212379,-3.3881137886648 58.6373266304989,-3.39088901180966 58.6419986604826,-3.39186308426801 58.646863179404,-3.39099783174544 58.6517332879387,-3.38832575960842 58.6564217952884,-3.38394891734659 58.6607484181194,-3.37803507404136 58.6645467249374,-3.37081133694271 58.6676705565819,-3.36255544826017 58.6699996723574,-3.35358509082063 58.6714444003505,-3.34424561669562 58.6719491087057,-3.33489667997956 58.6714943605971,-3.32589830202292 58.6700976674636,-3.31759692199874 58.6678128105959,-3.31031198632961 58.6647277579849,-3.3043236071877 58.6609612589951,-3.29986177430589 58.6566582515212,-3.29709753823423 58.6519842626209,-3.2961365004794 58.6471190223059)))', 'GBOGH', 'Brough', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.47177783828402 56.6160889399172,-6.47297184683251 56.611242335787,-6.47585704478818 56.6066172458022,-6.48032203997702 56.6023912932067,-6.48619492806079 56.5987267181109,-6.49324994674087 56.5957641671858,-6.50121616220143 56.593617316195,-6.5097878524448 56.5923685278403,-6.51863619286269 56.5920657077983,-6.52742180456899 56.5927204765626,-6.53580769663621 56.5943077254076,-6.54347211999741 56.5967665731564,-6.55012085365371 56.6000026882173,-6.55549846292913 56.6038918893134,-6.55939810450873 56.6082848902243,-6.56166950320817 56.6130130103656,-6.56222478976489 56.6178946357664,-6.56104196583131 56.6227421854019,-6.55816584964033 56.627369317162,-6.55370645075027 56.6315980969615,-6.54783482151205 56.6352658542746,-6.54077653257363 56.6382314579663,-6.53280301561552 56.6403807675169,-6.52422110422154 56.6416310459305,-6.51536117907906 56.6419341606821,-6.50656438274635 56.6412784464112,-6.49816940891138 56.6396891557884,-6.49049938925856 56.6372274808333,-6.48384939676988 56.6339881835547,-6.4784750577643 56.6300959296933,-6.47458271768532 56.6257004702252,-6.47232154012934 56.6209708600271,-6.47177783828402 56.6160889399172)))', 'GBOLL', 'Coll', 'Y'),('SRID=4326;MULTIPOLYGON(((1.57354352757498 52.1004975925685,1.57291996988177 52.0956170092142,1.57076274149816 52.0909050996549,1.56715517517477 52.0865428628155,1.56223620781129 52.0826978149359,1.55619499566795 52.0795175706093,1.5492636266155 52.0771241926137,1.5417082122629 52.0756095242412,1.53381870056064 52.0750316799917,1.52589779442145 52.0754128264377,1.51824939293295 52.0767383363951,1.51116698816241 52.078957347995,1.50492245202473 52.0819847076313,1.49975563418125 52.0857042238771,1.49586516375606 52.0899731101235,1.49340080543752 52.0946274486266,1.49245766529346 52.0994884695008,1.49307247481701 52.1043694064459,1.49522210525548 52.1090826679343,1.4988243805757 52.1134470492226,1.50374116938576 52.1172947075982,1.509783647092 52.1204776310438,1.51671953315488 52.1228733489097,1.52428202829237 52.1243896616794,1.53218010656815 52.1249682045081,1.54010976088479 52.1245867044708,1.54776576032225 52.1232598425828,1.55485345609358 52.1210386865324,1.56110017077749 52.1180087163992,1.56626572305029 52.1142865210349,1.57015167646123 52.1100152949198,1.57260895399726 52.1053593120211,1.57354352757498 52.1004975925685)))', 'GBORH', 'Orford', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.83455288457201 59.0669472539903,-2.83550705546312 59.0620813479271,-2.83828557825854 59.0574047599374,-2.84278103031643 59.0530970966326,-2.84882022489109 59.049323732398,-2.85617093160108 59.0462294795339,-2.86455082308994 59.0439330530002,-2.87363830078236 59.0425225379586,-2.88308478740062 59.0420520297924,-2.89252802393435 59.0425395719303,-2.90160587501965 59.0439664682032,-2.90997012975616 59.0462779952886,-2.91729978513745 59.0493854887778,-2.92331331648975 59.0531697252547,-2.92777947333862 59.0574854742371,-2.9305261893721 59.0621670495565,-2.93144726066843 59.0670346513598,-2.93050652563511 59.0719012588547,-2.9277393711021 59.0765798114974,-2.92325148899783 59.0808904035769,-2.91721491360964 59.0846672148286,-2.90986147656787 59.0877649081759,-2.90147392089359 59.090064244876,-2.89237501196334 59.09147669672,-2.88291506735876 59.0919478734636,-2.87345839495031 59.0914596298928,-2.8643691755957 59.0900307689638,-2.85599735091273 59.0877163131009,-2.84866507636201 59.0846053725933,-2.84265427535841 59.0808176956345,-2.83819578270188 59.0764990364887,-2.83546049789905 59.0718155243697,-2.83455288457201 59.0669472539903)))', 'GBORK', 'Orkney', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.18764725827806 56.7178046658704,-5.18823609210881 56.7129239899633,-5.19054464823329 56.7082002398757,-5.19448362859645 56.7038148596335,-5.19990124822525 56.6999362352371,-5.20658913073595 56.6967132452674,-5.21429034333169 56.6942695661502,-5.22270925844739 56.6926989468859,-5.23152286496154 56.6920616306571,-5.24039310184155 56.6923820571475,-5.24897975230179 56.6936479312341,-5.25695341769834 56.695810692649,-5.26400808778764 56.6987873689882,-5.26987283766901 56.7024637428436,-5.27432221145582 56.7066987145912,-5.27718489790414 56.7113296971951,-5.2783503629223 56.7161788398936,-5.27777317668716 56.7210598453164,-5.27547485707083 56.7257851207433,-5.27154314371432 56.7301729899298,-5.26612871525408 56.7340546879568,-5.25943946224479 56.7372808683113,-5.25173252612645 56.7397273688603,-5.24330440581701 56.7413000110653,-5.23447951384602 56.741938243769,-5.22559762935711 56.7416174877623,-5.21700074238167 56.7403500883342,-5.20901980998178 56.7381848379725,-5.20196194873568 56.7352050880013,-5.19609856936618 56.7315255237617,-5.19165491910905 56.7272877305846,-5.18880143785114 56.7226547250425,-5.18764725827806 56.7178046658704)))', 'GBORR', 'Corran', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.43591775125212 58.0990610258265,-6.43717141082175 58.0942162555104,-6.44018536744296 58.089594016493,-6.44484322864934 58.0853718156722,-6.45096564665781 58.0817117395669,-6.45831726341089 58.0787542513462,-6.46661576673398 58.0766128220254,-6.47554270791703 58.0753695977261,-6.48475566984023 58.0750722652841,-6.49390132861565 58.0757322332614,-6.50262892152827 58.0773241962133,-6.51060362037565 58.0797870985487,-6.51751931236589 58.0830264622469,-6.52311031050636 58.0869179917903,-6.52716155158454 58.0913123216862,-6.52951689175512 58.0960407285409,-6.53008517633716 58.1009215924225,-6.52884384011175 58.1057673626488,-6.52583988502195 58.1103917624212,-6.52118818089246 58.1146169558868,-6.51506713814534 58.1182804009245,-6.50771190546357 58.1212411214757,-6.49940534551113 58.123385154432,-6.49046713354608 58.124629957291,-6.48124140256447 58.1249276028951,-6.47208342043106 58.124266635006,-6.46334582598339 58.1226725112965,-6.45536497006776 58.1202066163136,-6.44844790283201 58.1169638836824,-6.44286052063398 58.11306912181,-6.43881733618878 58.1086721882816,-6.43647326679159 58.1039422028696,-6.43591775125212 58.0990610258265)))', 'GBOTC', 'South Lochs', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.699599445225865 60.4161388737384,-0.700911130472974 60.4112934154087,-0.704108271573074 60.4066675522458,-0.709067332858798 60.4024389207026,-0.715597323961215 60.3987698393347,-0.723447202493548 60.3958010992108,-0.732315536162852 60.3936465852685,-0.74186205086425 60.3923889304726,-0.751720626463136 60.3920763651388,-0.761513253113894 60.3927208787386,-0.770864428968603 60.3942977625224,-0.779415465497815 60.3967465500276,-0.786838169595893 60.3999733206942,-0.79284739215105 60.4038542810961,-0.797211970545706 60.408240490413,-0.799763647020337 60.4129635533717,-0.800403614971931 60.4178420665542,-0.799106429520262 60.4226885741614,-0.795921114870763 60.4273167682986,-0.790969406222047 60.4315486576439,-0.784441174568254 60.4352214276715,-0.776587194431431 60.4381937257478,-0.767709522532546 60.440351125269,-0.758149854636138 60.4416105539661,-0.748276313333981 60.4419235114625,-0.738469186868973 60.4412779485833,-0.729106184558393 60.4396987338217,-0.72054779540353 60.4372466885113,-0.71312333187816 60.4340162291841,-0.707118210946304 60.4301317108316,-0.702762970786499 60.4257426159394,-0.700224447495521 60.4210177790826,-0.699599445225865 60.4161388737384)))', 'GBOUK', 'Out skerries', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.25581279614624 55.732020321056,-6.2570031176349 55.7271751747631,-6.25984502931304 55.7225541131604,-6.26422883377572 55.7183346070995,-6.26998576845966 55.7146786533699,-6.27689453583193 55.7117265730719,-6.28468981694079 55.7095916457858,-6.29307243982002 55.7083557817024,-6.30172081621858 55.7080663941823,-6.31030321630728 55.7087345898571,-6.31849042234462 55.7103347439843,-6.32596828934048 55.7128054770503,-6.33244974379862 55.7160519963188,-6.33768577060678 55.71994971495,-6.34147497273584 55.724349013197,-6.34367133791385 55.7290809627469,-6.344189909755 55.7339637980884,-6.34301013635457 55.7388098893373,-6.34017675496706 55.7434329504448,-6.33579816433859 55.7476552061532,-6.33004233327198 55.7513142410645,-6.32313039128186 55.7542692649967,-6.31532814062454 55.7564065502273,-6.30693581431624 55.7576438275896,-6.29827647786855 55.7579334685635,-6.28968352968137 55.7572643279314,-6.2814877933508 55.7556621742971,-6.27400471252733 55.7531886915816,-6.26752215446378 55.7499390911309,-6.26228930228372 55.7460384288669,-6.25850706970571 55.7416367726776,-6.25632040795018 55.7369034098509,-6.25581279614624 55.732020321056)))', 'GBOWM', 'Bowmore', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.89382398352614 50.5336439723177,-4.89438160329588 50.5287604121225,-4.89642293122287 50.5240400045305,-4.89986912169421 50.5196640820838,-4.90458745893032 50.5158006955925,-4.91039649974514 50.5125981733146,-4.91707306445131 50.5101794420058,-4.92436080453965 50.5086373248547,-4.9319800192795 50.5080309936733,-4.93963834927994 50.5083837087557,-4.94704194443586 50.5096819311725,-4.95390668727202 50.5118758406824,-4.95996905085472 50.5148812397147,-4.96499618319068 50.5185827718565,-4.9687948370805 50.5228383337571,-4.9712188050968 50.5274845141136,-4.97217457270007 50.5323428540564,-4.97162496705471 50.5372266913071,-4.9695906529776 50.5419483272199,-4.96614940828733 50.5463262422523,-4.96143319581273 50.5501920822414,-4.95562313526289 50.5533971454065,-4.94894256156913 50.5558181181649,-4.94164843357191 50.5573618360873,-4.93402142450351 50.5579688836583,-4.92635508037201 50.5576158915201,-4.91894447136279 50.5563164407811,-4.91207478274739 50.5541205386841,-4.90601029440919 50.5511126861532,-4.90098418181492 50.5474086131246,-4.89718953691612 50.5431508097757,-4.89477195680687 50.5385030286495,-4.89382398352614 50.5336439723177)))', 'GBPAD', 'Padstow', 'Y'),('SRID=4326;MULTIPOLYGON(((0.707106024842597 51.6337903831047,0.706581068970795 51.6289061774006,0.704535417584238 51.6241795339034,0.701048111737377 51.6197920241446,0.696253470911832 51.615912141197,0.690335885037231 51.6126888423216,0.683522708159693 51.6102458465978,0.676075529892433 51.6086769033393,0.668280158749556 51.6080422096569,0.660435696805092 51.6083661117681,0.652843116714897 51.6096361761727,0.645793769270539 51.6118036653612,0.639558251959525 51.6147854000945,0.634376056450891 51.6184669382992,0.630446385796158 51.622706951086,0.627920491058302 51.6273426310463,0.626895823055416 51.6321959284635,0.627412229351758 51.6370803788906,0.629450351429912 51.6418082619706,0.632932294503505 51.6461978174571,0.637724555524933 51.6500802408338,0.643643106869609 51.653306188083,0.650460447508978 51.6557515369341,0.657914353935701 51.657322179831,0.665717993333987 51.6579576609077,0.673571004861432 51.6576335140729,0.681171114264047 51.6563622100842,0.688225824479828 51.6541926751664,0.694463721588332 51.651208400003,0.699644951619367 51.647524213425,0.703570458508253 51.6432818475122,0.706089625088492 51.6386444679153,0.707106024842597 51.6337903831047)))', 'GBPAG', 'Paglesham', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.05570715685112 55.8319471511777,-6.05692575402927 55.8271043349753,-6.05979889955054 55.8224883249618,-6.06421569548368 55.8182763962943,-6.07000611349241 55.8146302532843,-6.07694757334979 55.8116898392047,-6.08477350516528 55.8095679851013,-6.09318356503902 55.8083460991911,-6.10185511592424 55.8080710586483,-6.11045554179023 55.8087534201604,-6.1186549346798 55.8103670162046,-6.12613868151715 55.8128499522653,-6.13261948079986 55.8161069679368,-6.1378483385605 55.8200130738189,-6.14162412786403 55.8244183280609,-6.14380134592303 55.8291535730467,-6.14429576655375 55.8340369156389,-6.14308776156435 55.8388807050568,-6.1402231506078 55.8434987421016,-6.13581153230577 55.8477134430198,-6.13002214674568 55.8513626814501,-6.12307741697089 55.8543060428702,-6.115244410685 55.8564302475281,-6.10682454881132 55.8576535293555,-6.09814196066374 55.8579287986622,-6.08953094259871 55.8572454639334,-6.08132301514195 55.8556298408555,-6.07383409068029 55.8531441325422,-6.06735225896103 55.8498840214498,-6.06212667112809 55.8459749682285,-6.05835795629743 55.8415673634344,-6.05619054023156 55.8368307225333,-6.05570715685112 55.8319471511777)))', 'GBPAK', 'Port Askaig', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.35485238620316 56.5508638297767,-5.35541761976843 56.5459824482749,-5.35769561486901 56.5412557452893,-5.36159825218235 56.5368652800096,-5.36697514469347 56.5329796355515,-5.37361947928358 56.5297479617297,-5.38127599193735 56.5272942696773,-5.38965076597973 56.5257126935627,-5.39842247858819 56.525063897339,-5.40725467077444 56.5253727609378,-5.41580858117761 56.5266274321829,-5.4237560650309 56.5287797796441,-5.43079211688862 56.5317472294211,-5.43664652916064 56.5354159172189,-5.44109424794367 56.5396450377885,-5.44396403248845 56.5442722285692,-5.44514508395446 56.5491197848073,-5.4445913814805 56.5540014710186,-5.44232354711539 56.5587296697296,-5.43842815330335 56.5631225940407,-5.43305448430127 56.5670112864711,-5.42640886247543 56.5702461331806,-5.4187467478083 56.5727026399924,-5.41036290982916 56.574286244216,-5.40158005126342 56.5749359731366,-5.3927363279728 56.5746268048278,-5.38417225682712 56.573370637855,-5.37621752947564 56.5712158313601,-5.36917825412032 56.5682453336094,-5.3633251290971 56.5645734729245,-5.35888301233446 56.5603415375976,-5.35602229172333 56.5557123187104,-5.35485238620316 56.5508638297767)))', 'GBPAP', 'Port Appin', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.48937813350937 55.2161096807335,-6.49052260299647 55.2112614919512,-6.49329873445294 55.2066340679712,-6.49759937063986 55.2024051275623,-6.50325895012944 55.1987370338228,-6.51005991372089 55.1957705779054,-6.51774107478865 55.1936195945891,-6.52600763048537 55.1923666126554,-6.53454243306816 55.1920597034393,-6.54301809697775 55.1927106456227,-6.5511094886376 55.1942944749609,-6.55850613284386 55.1967504358882,-6.56492407235031 55.1999842996058,-6.57011673578164 55.2038719620977,-6.57388440298876 55.2082641873084,-6.5760819057009 55.2129923171583,-6.57662426372869 55.2178747327688,-6.57549003144769 55.2227238216776,-6.5727222137196 55.2273531851822,-6.56842670209412 55.2315848092395,-6.56276827782971 55.2352559221902,-6.55596432425218 55.2382252732344,-6.54827648318322 55.2403785868361,-6.54000057443928 55.2416329794482,-6.53145516968118 55.2419401649725,-6.52296926855573 55.2412883226615,-6.51486956316487 55.2397025537965,-6.50746779440323 55.237243909219,-6.5010486996828 55.2340070262896,-6.49585902624732 55.230116468672,-6.492098039044 55.2257219131782,-6.48990988937304 55.2209923726518,-6.48937813350937 55.2161096807335)))', 'GBPBA', 'Portballintrae', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.65999612963539 51.4832319498479,-3.66069438259555 51.4783547648217,-3.66290268017632 51.4736563216225,-3.66653574924695 51.469317099053,-3.67145369420443 51.4655037286504,-3.67746741536075 51.4623626097638,-3.6843458918979 51.4600143057653,-3.69182504713138 51.4585489333674,-3.69961785736239 51.4580227188189,-3.70742532184581 51.4584558503968,-3.71494788143352 51.4598317077213,-3.7218968579567 51.4620974967307,-3.72800548572216 51.4651662664822,-3.73303912062737 51.4689202320936,-3.73680424103254 51.4732152789333,-3.73915589700807 51.4778864783331,-3.74000331986041 51.4827544062789,-3.73931347045661 51.4876320252157,-3.73711238087766 51.4923318665451,-3.73348422690206 51.4966732386123,-3.72856815585361 51.5004891826386,-3.72255298213316 51.5036329074645,-3.71566994769689 51.5059834529868,-3.7081838231274 51.5074503612413,-3.7003826931423 51.5079771721585,-3.69256682509535 51.5075436066695,-3.68503705750259 51.5061663512133,-3.67808316588698 51.5038984127047,-3.67197266421939 51.5008270693287,-3.66694048188548 51.4970704977787,-3.66317991938268 51.4927732094165,-3.66083523274056 51.4881004741617,-3.65999612963539 51.4832319498479)))', 'GBPCW', 'Porthcawl', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.06086063277946 51.6423694993478,-4.06151813134381 51.637490317829,-4.06369246052606 51.6327846727087,-4.06729964505735 51.6284333213814,-4.07220077574777 51.6246033623441,-4.0782073912307 51.6214418321986,-4.08508873757797 51.6190700774108,-4.09258062424365 51.6175791137319,-4.10039553783312 51.6170261481736,-4.10823363095459 51.6174323942198,-4.11579417297723 51.618782262171,-4.12278703358942 51.6210239548938,-4.1289437689619 51.6240714465877,-4.13402789409182 51.6278077703064,-4.13784395322673 51.63208949068,-4.14024504249526 51.6367521933283,-4.14113849397075 51.6416167834597,-4.14048949690859 51.6464963546145,-4.13832250789773 51.651203365694,-4.13472038473322 51.6555568513493,-4.12982126605722 51.6593893881515,-4.12381330692392 51.662553547058,-4.11692746581845 51.6649275813973,-4.1094286175722 51.6664201283771,-4.10160533541784 51.666973739942,-4.09375874078681 51.6665671042594,-4.08619085858931 51.6652158703474,-4.07919293661279 51.662972043295,-4.07303418923281 51.6599219738353,-4.06795140776063 51.6561830213564,-4.06413984338739 51.6518990214327,-4.06174571569699 51.6472347354851,-4.06086063277946 51.6423694993478)))', 'GBPDD', 'Pen-Clawdd', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.50918300921308 50.1148458140651,-5.50967419613715 50.1099600346094,-5.51163788022267 50.1052297363416,-5.51499820402802 50.1008366364929,-5.51962575023036 50.0969494501804,-5.52534255783921 50.0937174234205,-5.5319289803289 50.0912646184333,-5.53913211926132 50.0896851676963,-5.54667551043555 50.0890396758422,-5.55426969529441 50.0893529047428,-5.56162327936967 50.0906128286073,-5.56845406268835 50.0927710943961,-5.57449982466469 50.0957448701184,-5.57952835810187 50.0994200114761,-5.583346373236 50.1036554276675,-5.58580693263927 50.1082884817104,-5.58681513025654 50.113141221052,-5.58633179146458 50.1180272019844,-5.58437504395651 50.122758647779,-5.5810196891437 50.1271536665043,-5.57639438786459 50.1310432509119,-5.57067675933922 50.1342777898973,-5.56408657506897 50.1367328387769,-5.55687730618818 50.1383139234606,-5.54932635012716 50.1389601905617,-5.54172431712974 50.138646760184,-5.53436379647352 50.1373856887915,-5.5275280441638 50.1352255041246,-5.52148003726985 50.1322493303064,-5.51645232475563 50.1285716767235,-5.51263807140557 50.124334016641,-5.51018364194918 50.1196993286529,-5.50918300921308 50.1148458140651)))', 'GBPEN', 'Penzance', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.50726746577834 54.3838954485802,-5.50779175916709 54.379012264721,-5.50993765074613 54.3742825922936,-5.51362216946095 54.3698881125945,-5.51870335995077 54.3659975748698,-5.52498579262315 54.3627603308969,-5.53222809841417 54.3603006197272,-5.54015223501255 54.358712818539,-5.54845412993169 54.3580578382738,-5.55681529780873 54.3583607991619,-5.56491499580412 54.3596100730007,-5.57244246267172 54.3617577278355,-5.57910878431826 54.3647213582828,-5.58465794150919 54.3683872329226,-5.58887662353667 54.3726146407425,-5.59160243454841 54.3772412732676,-5.59273017587293 54.3820894393867,-5.59221595666147 54.3869728774839,-5.59007896459752 54.3917039055997,-5.58640081586632 54.3961006360469,-5.58132249605584 54.3999939769237,-5.57503899772173 54.4032341496985,-5.56779185216303 54.4056964694363,-5.55985983850058 54.4072861618275,-5.55154822843307 54.4079420280117,-5.54317698636856 54.4076388128852,-5.53506838885253 54.4063881833562,-5.52753455200365 54.4042382777713,-5.52086535968661 54.4012718441708,-5.51531726816759 54.3976030407295,-5.51110342591334 54.3933730243432,-5.50838549196334 54.3887445006172,-5.50726746577834 54.3838954485802)))', 'GBPFY', 'Portaferry', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.14260859388214 51.949742276653,-5.14315250648857 51.944858764672,-5.1452273394282 51.9401346388064,-5.14875292365688 51.9357513720803,-5.15359346520727 51.9318772925092,-5.15956281035548 51.9286611323938,-5.1664316197087 51.9262263348908,-5.17393617248069 51.9246663332718,-5.18178846403102 51.9240409807826,-5.18968721427405 51.9243742652027,-5.19732937292885 51.9256533937139,-5.20442169049527 51.9278292822294,-5.21069192166219 51.9308184307255,-5.21589924061469 51.9345061141618,-5.21984347511791 51.9387507690792,-5.22237280769297 51.9433894106685,-5.22338964666157 51.9482438756482,-5.22285443589675 51.9531276541678,-5.22078724788578 51.9578530504531,-5.2172670878026 51.9622383980704,-5.21242892383715 51.9661150522078,-5.20645854774606 51.9693338886105,-5.19958545587216 51.9717710566811,-5.19207402097577 51.9733327622503,-5.18421329543879 51.973958892661,-5.17630584334639 51.9736253417019,-5.16865603975883 51.9723449427695,-5.1615582980489 51.9701669733611,-5.15528568930393 51.9671752502978,-5.15007940130208 51.9634848905746,-5.14613944932363 51.9592378650911,-5.14361699887098 51.9545975195533,-5.14260859388214 51.949742276653)))', 'GBPGI', 'Porthgain', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.52788671054361 50.4331840147539,-3.52858399785805 50.4283067483226,-3.53075716334051 50.4236100597092,-3.53432230893883 50.4192743625526,-3.53914216727896 50.4154661569634,-3.54503141632785 50.4123316490339,-3.55176381593249 50.409991153682,-3.55908088978766 50.4085344926651,-3.5667018210899 50.4080175613325,-3.57433418729009 50.4084601932463,-3.58168513004148 50.4098454028183,-3.58847254134357 50.4121200343377,-3.59443584634296 50.4151967930105,-3.59934597727877 50.4189575817276,-3.60301416133192 50.4232580180462,-3.60529918698784 50.4279329610458,-3.60611286789945 50.4328028389577,-3.60542348866838 50.4376805372417,-3.60325709151482 50.4423785843557,-3.59969654407484 50.4467163598418,-3.59487841369405 50.4505270471829,-3.58898775933799 50.4536640624626,-3.58225103510357 50.4560067090415,-3.57492737568107 50.4574648376571,-3.56729860046739 50.4579823295312,-3.55965832617741 50.4575392657642,-3.55230061509427 50.4561526976903,-3.54550860563623 50.4538759878399,-3.53954357268372 50.4507967474146,-3.5346348470615 50.4470334513479,-3.53097098764099 50.4427308638036,-3.52869254755 50.4380544532068,-3.52788671054361 50.4331840147539)))', 'GBPGN', 'Paignton', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.73165528669731 57.5015426456396,-1.73271445949496 57.4966844752632,-1.73551316796875 57.4920308478266,-1.73994329397864 57.4877604871925,-1.74583422719227 57.4840373395186,-1.75295947654241 57.4810042974737,-1.7610453900243 57.4787777372063,-1.76978164539897 57.4774430737167,-1.77883311258485 57.4770515012484,-1.78785264146698 57.4776180405085,-1.796494297494 57.4791209655569,-1.80442655234968 57.4815026317642,-1.81134493844324 57.4846716740739,-1.81698369394508 57.4885064936587,-1.82112595929851 57.4928599026803,-1.82361213593193 57.4975647529363,-1.82434608224131 57.502440336294,-1.82329889928156 57.507299314448,-1.82051014689628 57.5119549139572,-1.81608642750229 57.5162281107292,-1.81019737608124 57.5199545268306,-1.80306919721141 57.5229907720044,-1.79497598888745 57.5252199824543,-1.78622918392092 57.5265563397133,-1.7771655184746 57.5269483916762,-1.76813399974113 57.5263810446372,-1.75948238762097 57.5248761475136,-1.75154372615629 57.5224916451659,-1.7446234582845 57.5193193344278,-1.73898763231577 57.5154813117155,-1.73485266180904 57.511125252514,-1.7323770347606 57.5064187084911,-1.73165528669731 57.5015426456396)))', 'GBPHD', 'Peterhead', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.86925060579211 58.5673318323627,-3.87004740104782 58.5624586954021,-3.87264787458658 58.5577603773132,-3.87695145265376 58.5534173289237,-3.88279231374619 58.5495962923939,-3.8899458273287 58.5464439175875,-3.89813721179193 58.5440811553605,-3.90705207513648 58.5425986388318,-3.91634843625839 58.5420532256837,-3.92566977408837 58.542465830544,-3.93465861721074 58.5438206281215,-3.94297016856619 58.5460656566786,-3.95028545871038 58.5491147993576,-3.95632353686957 58.5528510695672,-3.96085224144679 58.5571310778101,-3.96369714011805 58.5617905126718,-3.96474829326446 58.566650429804,-3.96396457177919 58.5715241110875,-3.96137534925974 58.5762242330716,-3.95707948659666 58.5805700703026,-3.95124163069158 58.5843944560448,-3.94408595456378 58.5875502305477,-3.93588756904701 58.589915925382,-3.92696193198596 58.5914004609654,-3.91765266468648 58.5919466722323,-3.90831825306976 58.5915335230481,-3.89931815892053 58.5901769215726,-3.89099889216659 58.5879291041712,-3.88368059685054 58.5848766122785,-3.87764468125294 58.5811369423734,-3.87312297773682 58.5768540015259,-3.87028885277645 58.5721925476123,-3.86925060579211 58.5673318323627)))', 'GBPKA', 'Portskerra', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.80339166312657 57.6999362022333,-2.80431347661498 57.6950694617879,-2.80699028855419 57.6903924802876,-2.81131864220468 57.6860848850931,-2.81713181070108 57.682312056523,-2.82420626346592 57.6792187964637,-2.83227027648267 57.6769237919689,-2.84101435256045 57.6755150823183,-2.85010305452901 57.6750466994716,-2.85918780583766 57.6755366074268,-2.86792018028915 57.6769660172894,-2.87596518621765 57.6792801035543,-2.88301405060089 57.6823900949458,-2.88879602537505 57.6861766618958,-2.89308877131626 57.6904944741053,-2.89572692365575 57.6951777573201,-2.89660850710658 57.7000466400568,-2.89569894471308 57.7049140500175,-2.8930324928373 57.7095928976088,-2.88871103099429 57.7139032713749,-2.88290023683288 57.7176793679856,-2.87582327945644 57.720775888025,-2.86775226418285 57.7230736481369,-2.85899775423186 57.7244841895232,-2.84989677523765 57.7249532013586,-2.84079977281985 57.724462623887,-2.83205703829916 57.7230313479308,-2.82400514056924 57.7207144830917,-2.81695390186536 57.7176012236586,-2.81117443171701 57.7138113967295,-2.80688868803841 57.7094908289055,-2.80426096956608 57.7048057139576,-2.80339166312657 57.6999362022333)))', 'GBPKN', 'Portknockie', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.1389477348973 55.6159796630922,-6.14014844879415 55.6111356906391,-6.14299516749594 55.6065173181159,-6.14737801403371 55.6023019128346,-6.15312826709336 55.5986513142479,-6.16002488894607 55.5957056383287,-6.16780302855597 55.5935779195215,-6.17616417182662 55.5923497921435,-6.184787553182 55.5920683733722,-6.19334239907981 55.5927444645559,-6.20150054557395 55.5943521381571,-6.20894895925469 55.5968297258958,-6.21540169405714 55.6000821713645,-6.22061083550004 55.6039846593174,-6.22437601855277 55.608387385746,-6.22655215483334 55.6131212894487,-6.2270550681059 55.6180045286806,-6.2258648124767 55.622849457081,-6.22302653313651 55.6274698326606,-6.21864882223852 55.6316879831607,-6.2128996192408 55.6353416511945,-6.2059998020072 55.6382902534934,-6.19821470803921 55.6404203100981,-6.18984391017068 55.6416498307823,-6.18120964380409 55.64193148625,-6.17264433962855 55.6412544391177,-6.16447775377035 55.6396447624578,-6.15702420445641 55.6371644294983,-6.15057041960381 55.6339089145821,-6.14536447355185 55.6300035002507,-6.14160624485969 55.6255984360269,-6.13943976317042 55.6208631390199,-6.1389477348973 55.6159796630922)))', 'GBPLN', 'Port Ellen', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.49398058433018 50.333507961057,-4.49457745712136 50.3286258381144,-4.49665049990829 50.3239120355259,-4.50011965609543 50.3195476302767,-4.50485133571858 50.3157002298299,-4.5106635905262 50.312517548456,-4.51733312312873 50.3101217518253,-4.52460385832064 50.3086047839791,-4.53219674871418 50.3080248529678,-4.53982044321643 50.3084042073344,-4.54718241673315 50.3097282868658,-4.55400014350596 50.3119462793792,-4.56001189503574 50.3149730625617,-4.56498675663921 50.3186924578787,-4.56873348402041 50.3229616741239,-4.5711078621665 50.3276167730485,-4.57201828236931 50.3324789503334,-4.57142931778648 50.3373613934354,-4.56936315179101 50.3420764548294,-4.56589879404998 50.3464428658884,-4.56116910400722 50.3502927137836,-4.55535572701743 50.3534779116425,-4.5486821313108 50.3558759106828,-4.54140501066295 50.357394431566,-4.53380438458982 50.3579750298057,-4.52617278187274 50.3575953552792,-4.51880393156136 50.356270016941,-4.51198140634441 50.3540500186162,-4.5059676652402 50.3510207879848,-4.50099392582539 50.3472988761832,-4.49725126155149 50.3430274575297,-4.49488326885938 50.3383708055695,-4.49398058433018 50.333507961057)))', 'GBPLP', 'Polperro', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.59598492636592 50.3305421633731,-4.59657130296109 50.3256596150262,-4.59863409016311 50.3209440895637,-4.60209362470128 50.3165767307628,-4.60681668507036 50.3127252600014,-4.61262165264954 50.3095375481481,-4.61928550842799 50.3071359541094,-4.62655239388188 50.3056126443874,-4.63414340850504 50.3050260702196,-4.64176727280247 50.3053987347968,-4.64913145531652 50.3067163343264,-4.65595334618412 50.308928305066,-4.66197105817318 50.3119497557033,-4.66695344914332 50.3156647124512,-4.67070898711558 50.3199305547557,-4.67309311997039 50.3245834743558,-4.67401386519881 50.3294447512099,-4.67343539966572 50.3343276080235,-4.67137950311311 50.3390443820384,-4.66792478977344 50.3434137393967,-4.66320374716779 50.3472676544587,-4.65739768672948 50.3504578842333,-4.65072979384581 50.3528616864834,-4.64345654165261 50.3543865585262,-4.63585779993479 50.3549738112747,-4.62822602456877 50.3546008382304,-4.62085495140208 50.3532819901471,-4.61402823933788 50.3510680208487,-4.60800850959135 50.3480441259099,-4.60302721148684 50.3443266512412,-4.59927571062303 50.3400586007267,-4.59689794450562 50.3354041188073,-4.59598492636592 50.3305421633731)))', 'GBPLR', 'Polruan', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.27820148159421 50.0837682470582,-5.27871599158811 50.0788831099402,-5.2807013840485 50.0741564087185,-5.28408096980072 50.0697697211559,-5.28872459471616 50.0658915151418,-5.29445368372024 50.0626706913298,-5.30104812194429 50.0602308817521,-5.30825470579629 50.0586657203539,-5.31579684039965 50.0580352639166,-5.32338511576232 50.0583636980008,-5.33072836331401 50.0596384139649,-5.33754477781356 50.0618104915541,-5.34357268745006 50.0647965688068,-5.34858056727303 50.0684820289425,-5.35237591759653 50.072725384283,-5.35481266909189 50.0773636918774,-5.35579682890501 50.0822187960021,-5.35529014588534 50.0871041605789,-5.35331164602714 50.0918320310862,-5.34993696916961 50.0962206517486,-5.34529552210628 50.1001012603799,-5.33956554835228 50.1033245905499,-5.33296729747004 50.1057666286561,-5.32575455349348 50.10733340148,-5.31820484912267 50.1079646069146,-5.31060874677935 50.1076359453713,-5.30325860662206 50.1063600601202,-5.29643728322941 50.1041860494299,-5.29040719574645 50.1011975695593,-5.28540020067982 50.0975096030658,-5.28160866301793 50.093264019198,-5.27917807164554 50.0886241001794,-5.27820148159421 50.0837682470582)))', 'GBPLV', 'Porthleven', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.09494898309889 50.3643742277219,-4.09558714562293 50.359493932547,-4.09770108933431 50.3547870247024,-4.10120918856307 50.3504343138904,-4.1059763616015 50.346602956489,-4.1118193023783 50.3434400494709,-4.11851354084944 50.3410669988344,-4.12580205838354 50.3395748757314,-4.13340512873948 50.3390209354628,-4.14103101194694 50.3394264302689,-4.14838709860089 50.3407757979869,-4.15519108646883 50.3430172569446,-4.16118177023398 50.3460647847044,-4.16612903867351 50.3498014063077,-4.16984270128886 50.3540836683121,-4.17217980770644 50.358747129906,-4.17305017701626 50.3636126633788,-4.1724199191551 50.3684933247021,-4.17031280455948 50.3732015322057,-4.16680941922907 50.3775562783262,-4.16204412722281 50.3813900968287,-4.15619994824061 50.3845555160604,-4.14950154083063 50.3869307475609,-4.14220655830673 50.3884243881615,-4.1345957111466 50.3889789515356,-4.12696192326981 50.3885730905806,-4.11959900749705 50.3872224232024,-4.11279030573289 50.3849789289347,-4.10679774094163 50.3819289400731,-4.10185171071396 50.3781898062567,-4.09814221704052 50.3739053633896,-4.09581157561059 50.3692403842996,-4.09494898309889 50.3643742277219)))', 'GBPLY', 'Plymouth', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-4.07568351328398 52.9263812353913,-4.07635658024748 52.9215029233702,-4.07859108208958 52.9167976744373,-4.08230069849999 52.9124462270339,-4.08734256133145 52.9086156775579,-4.09352279190116 52.9054530783287,-4.1006039701533 52.9030798098031,-4.10831424588552 52.9015869397675,-4.11635774386495 52.9010317442446,-4.12442586935229 52.9014355206981,-4.13220908939602 52.9027827754097,-4.1394087489376 52.9050218153767,-4.14574847961829 52.9080667225161,-4.15098477321491 52.9118006361687,-4.15491632055643 52.9160802206809,-4.15739175994617 52.920741149905,-4.15831553551524 52.9256044014724,-4.15765163410241 52.9304831221004,-4.15542504725235 52.9351898023114,-4.15172089029044 52.9395434857655,-4.14668120021177 52.9433767356466,-4.14049952491551 52.9465420885234,-4.13341350440217 52.9489177447209,-4.12569572606361 52.9504122729513,-4.1176432073371 52.950968144746,-4.10956591629063 52.950563959685,-4.10177478125086 52.9492152736937,-4.09456966226358 52.9469739976742,-4.08822775883805 52.9439263901289,-4.08299290997643 52.9401897228292,-4.07906620490011 52.9359077506468,-4.07659826811391 52.9312451632297,-4.07568351328398 52.9263812353913)))', 'GBPMD', 'Portmadoc', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.06860419438414 50.7963542055724,-1.06956188867204 50.7914957522727,-1.07199620488541 50.7868490289795,-1.07581322489509 50.7825925148194,-1.08086603142176 50.778889656645,-1.08696038904484 50.7758826074424,-1.09386221739469 50.7736867856394,-1.10130656803736 50.7723864610303,-1.10900776294175 50.7720315337058,-1.11667031150361 50.7726356271437,-1.12400019590466 50.7741755671191,-1.13071610174855 50.7765922660913,-1.13656017273562 50.7797929800151,-1.14130788458783 50.7836548529507,-1.1447766641552 50.7880296162066,-1.14683292391173 50.7927492647871,-1.14739723877042 50.7976324962594,-1.14644745976323 50.8024916672599,-1.14401963561707 50.8071400019682,-1.14020669610316 50.8113987759346,-1.13515493728156 50.8151041982718,-1.12905843506777 50.8181137256234,-1.12215159632457 50.8203115622855,-1.11470013227248 50.8216131317195,-1.10699080389547 50.821968344321,-1.09932034004673 50.8213635331815,-1.09198396357656 50.8198219817894,-1.08526397724041 50.8174030230095,-1.07941885855511 50.8141997449225,-1.0746732912998 50.8103353938388,-1.07120952212767 50.8059586157253,-1.06916037577705 50.8012377223213,-1.06860419438414 50.7963542055724)))', 'GBPME', 'Portsmouth', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.77022413885859 57.8332925626361,-3.77101897702025 57.8284194914242,-3.77358018320042 57.8237227364749,-3.77780872465443 57.8193826908415,-3.78354168650623 57.8155659853585,-3.79055859528137 57.8124191086704,-3.79858991552348 57.8100628059219,-3.80732738941495 57.8085874670875,-3.81643582491724 57.8080496778434,-3.82556588824842 57.8084700618222,-3.83436742254593 57.8098324946303,-3.84250279693886 57.8120847188374,-3.84965978926863 57.8151403370113,-3.85556352136209 57.8188821085001,-3.85998699780671 57.823166426814,-3.86275984702123 57.8278288098013,-3.86377492608553 57.8326901959692,-3.86299252684486 57.8375638087368,-3.86044200822948 57.8422623274287,-3.85622077590068 57.8466050904784,-3.8504906319853 57.8504250533499,-3.84347162094947 57.8535752314912,-3.83543359829646 57.8559343771408,-3.82668584222372 57.8574116675181,-3.8175651101398 57.8579502198415,-3.80842260787281 57.857529294306,-3.79961038600371 57.8561650977527,-3.79146770249079 57.8539101561267,-3.78430789223876 57.850851280563,-3.77840626242082 57.847106207622,-3.7739894883939 57.8428190464094,-3.77122692135543 57.838154711882,-3.77022413885859 57.8332925626361)))', 'GBPMK', 'Portmahomack', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.17152896268885 56.831977404099,-6.17276933703898 56.8271343062567,-6.17570865591556 56.8225168735092,-6.18023344456774 56.8183024321274,-6.18616950264459 56.814652777449,-6.19328864635207 56.8117079810299,-6.2013174870237 56.8095810355397,-6.20994790735941 56.8083535389794,-6.21884883732388 56.808072580065,-6.22767888701962 56.8087489412717,-6.23609936469219 56.8103566866848,-6.24378719494648 56.8128341501615,-6.25044725550082 56.8160862871226,-6.25582367034293 56.8199883023163,-6.25970963264351 56.8243904178899,-6.26195538155113 56.8291236027398,-6.2624740219425 56.8340060469953,-6.2612449537405 56.8388501360711,-6.25831476537352 56.843469658244,-6.2537955415557 56.8476869691474,-6.24786063544075 56.8513398365856,-6.24073805544401 56.8542876998891,-6.23270171337332 56.8564170994826,-6.22406086854813 56.8576460637498,-6.21514817803943 56.8579272805289,-6.20630682218391 56.8572499280872,-6.19787721399887 56.8556400932463,-6.1901838189178 56.8531597602457,-6.18352260641515 56.8499044105243,-6.17814962787395 56.8459993284477,-6.17427116697531 56.8415947587732,-6.17203584254959 56.8368601062186,-6.17152896268885 56.831977404099)))', 'GBPMR', 'Port Mor, Muck', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.5612362216877 50.0508624086928,-5.56172169628401 50.0459764522932,-5.56367784594537 50.0412453459212,-5.56702910377657 50.0368508383221,-5.57164640120154 50.0329616991804,-5.57735217072281 50.0297272499654,-5.58392718898782 50.027271646274,-5.59111899430394 50.0256891282526,-5.59865155623413 50.0250404183408,-5.60623583060458 50.025350401837,-5.61358080229532 50.0266071772909,-5.62040460129713 50.0287625121969,-5.62644527507589 50.031733686728,-5.63147081232704 50.0354066561415,-5.63528803943792 50.0396404128182,-5.63775005077449 50.0442723834324,-5.63876188626678 50.0491246571333,-5.638284233273 50.054010808348,-5.63633500249653 50.0587430541826,-5.63298870749584 50.0631394724192,-5.62837366130074 50.0670310024964,-5.62266708867813 50.0702679589467,-5.61608833524409 50.0727258044695,-5.6088904313361 50.0743099576194,-5.60135033584686 50.0749594470232,-5.59375823986746 50.0746492687116,-5.58640634928832 50.0733913537938,-5.57957758745746 50.0712341082489,-5.57353466245441 50.0682605427816,-5.56850992831103 50.064585066133,-5.56469643637268 50.0603490676262,-5.56224052362651 50.0557154618848,-5.5612362216877 50.0508624086928)))', 'GBPNB', 'Penberth', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.20407757978898 57.198985189517,-6.20532752065165 57.1941420954162,-6.20829336704071 57.1895243710486,-6.2128606117257 57.1853093524764,-6.21885341444511 57.181658855075,-6.22604140834652 57.1787129802409,-6.23414856280813 57.1765847595273,-6.24286376060649 57.1753558377556,-6.25185268763551 57.1750733569319,-6.26077058834053 57.175748157467,-6.26927541063338 57.1773543638849,-6.27704085085754 57.1798303705918,-6.28376881261987 57.1830811911277,-6.28920081296189 57.1869820833729,-6.29312790507759 57.1913833151918,-6.29539873792566 57.1961158916364,-6.29592543854181 57.2009980277064,-6.29468708104151 57.2058421212183,-6.29173059504268 57.2104619598196,-6.2871690627419 57.2146798855756,-6.28117745474025 57.2183336405191,-6.27398595600213 57.2212826273225,-6.26587113072629 57.2234133406631,-6.25714526394748 57.2246437562391,-6.24814429402903 57.2249265046257,-6.23921480994946 57.224250704678,-6.23070062726333 57.2226423840239,-6.22292947466287 57.2201634701309,-6.21620031819699 57.2169093920523,-6.21077182270389 57.2130053878393,-6.20685240140544 57.208601663396,-6.20459223752993 57.2038675931493,-6.20407757978898 57.198985189517)))', 'GBPNG', 'Portnalong', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.45588009040157 55.6660929675526,-6.45704346734108 55.66124558789,-6.45985689703585 55.6566195881079,-6.46421177584856 55.6523926302549,-6.46994045014838 55.6487269985801,-6.47682270429081 55.645763386693,-6.48459423322251 55.6436155173282,-6.49295677268014 55.6423657974459,-6.5015895018083 55.6420621717901,-6.51016128904279 55.6427162927338,-6.51834332324826 55.6443030748784,-6.52582165894475 55.6467616511627,-6.53230920726866 55.6499976949356,-6.53755672305327 55.6538870213294,-6.54136237274261 55.6582803331,-6.54357951708375 55.6630089325753,-6.5441224055762 55.6678911840717,-6.54296955491106 55.6727394815646,-6.54016466897291 55.6773674557645,-6.53581505069017 55.6815971440358,-6.53008755282428 55.6852658464487,-6.52320221191579 55.6882324019016,-6.51542380294796 55.6903826395284,-6.50705163760666 55.6916337918221,-6.49840800220223 55.6919376959666,-6.48982568868309 55.6912826571913,-6.48163511071826 55.6896939006267,-6.47415151449821 55.6872325939221,-6.46766278975215 55.6839934794106,-6.46241836074387 55.6801012094523,-6.4586195910934 55.6757055294218,-6.45641207262952 55.6709754975371,-6.45588009040157 55.6660929675526)))', 'GBPNV', 'Portnahaven', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.02822170133795 50.0506843692192,-5.02876139016764 50.045800015666,-5.03077020764829 50.0410772896689,-5.03417056711698 50.0366976148933,-5.03883151982418 50.0328291888672,-5.04457382891497 50.0296205361383,-5.05117687538706 50.0271948213829,-5.05838712794195 50.0256451378434,-5.06592785254658 50.0250309488856,-5.07350969367284 50.0253758165346,-5.08084172869976 50.0266665022107,-5.08764258056872 50.0288534732837,-5.09365117184053 50.0318527963106,-5.09863671584444 50.0355493457533,-5.10240756733543 50.0398012074094,-5.1048185953461 50.0444451104839,-5.10577679371787 50.0493026828329,-5.10524490869371 50.054187291909,-5.10324293607609 50.0589112106265,-5.09984742046028 50.0632928337391,-5.09518857316278 50.0671636671029,-5.0894453105077 50.0703748196746,-5.0828383966675 50.0728027461997,-5.07562195171168 50.0743540167134,-5.06807365241058 50.0749689262473,-5.06048400747242 50.074623803075,-5.05314512757916 50.0733319246773,-5.046339431859 50.0711430052657,-5.04032873518319 50.0681412749005,-5.03534414474993 50.0644422256153,-5.03157716063037 50.0601881521909,-5.02917232501894 50.0555426621436,-5.02822170133795 50.0506843692192)))', 'GBPOH', 'Porthoustock', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.96065548396705 50.7166558841374,-1.96151916139833 50.7117895991486,-1.96386113973755 50.7071237576042,-1.96759104210423 50.7028375783293,-1.972565287338 50.699095651588,-1.97859264459425 50.6960416330348,-1.98544159327538 50.6937927450818,-1.99284920382499 50.6924352936542,-2.0005312006225 50.6920213693552,-2.00819282655265 50.6925668571121,-2.01554010082677 50.6940508290572,-2.02229104795773 50.6964163434737,-2.02818647675001 50.6995726199035,-2.03299990374614 50.703398508816,-2.03654624542622 50.7077471253733,-2.03868894689193 50.7124514725451,-2.03934527069158 50.7173308407608,-2.03848953633582 50.7221977408972,-2.03615417692243 50.7268651059462,-2.0324285616609 50.7311534851431,-2.02745561903804 50.734897953306,-2.02142638158632 50.7379544678722,-2.01457265614468 50.7402054264339,-2.00715809948751 50.7415642078343,-1.99946804471797 50.7419785189935,-1.99179847570598 50.7414324160884,-1.98444458250378 50.7399469206372,-1.97768934827078 50.7375792062972,-1.97179261687425 50.7344203884453,-1.96698107007992 50.7305920035206,-1.96343950516262 50.7262413163561,-1.96130374980135 50.7215356392128,-1.96065548396705 50.7166558841374)))', 'GBPOO', 'Poole', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.04138808198193 53.2333708332256,-4.04206936352523 53.228492921431,-4.04432310725978 53.2237884596108,-4.04806224549639 53.219438154809,-4.05314277042882 53.2156090579241,-4.0593693160114 53.2124481636642,-4.06650268451951 53.2100767852489,-4.0742690257552 53.2085859164459,-4.08237031816277 53.2080327555327,-4.0904957555829 53.2084385216149,-4.09833361207531 53.2097876450411,-4.10558314086105 53.2120283621384,-4.11196606230892 53.215074691958,-4.11723721003301 53.2188097209559,-4.12119393328051 53.2230900723342,-4.12368389723446 53.2277513918625,-4.12461097961528 53.2326146430177,-4.12393903057832 53.2374929727069,-4.12169334142567 53.2421988859513,-4.11795975361034 53.2465514547411,-4.11288142993659 53.2503832835065,-4.10665340132666 53.2535469616357,-4.09951509128073 53.25592075209,-4.09174110230019 53.2574132938901,-4.0836306202412 53.2579671340598,-4.07549585030601 53.2575609500824,-4.06764993922759 53.2562103752303,-4.06039486002348 53.2539673941432,-4.05400973732515 53.2509183324422,-4.04874007263714 53.2471805195756,-4.04478829093158 53.2428977561601,-4.04230597471956 53.2382347636364,-4.04138808198193 53.2333708332256)))', 'GBPPE', 'Penrhyn', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.07577188586365 54.8417469809375,-5.07635254958149 54.8368655545644,-5.07857165514308 54.8321432795642,-5.08234340799223 54.8277615488068,-5.0875224973087 54.8238886174133,-5.09390973549424 54.8206731569636,-5.10125973670679 54.8182385669248,-5.10929033579594 54.8166782581411,-5.11769338740689 54.8160520857479,-5.12614653700061 54.8163840651626,-5.13432552217936 54.8176614564776,-5.14191654469742 54.8198352513368,-5.14862825121687 54.8228220439972,-5.15420287426814 54.8265072165277,-5.15842611372167 54.8307493187745,-5.16113538277206 54.83538547852,-5.16222610000067 54.8402376378269,-5.16165577910048 54.8451193793717,-5.15944574839258 54.8498430829306,-5.15568042087019 54.8542271381492,-5.15050412915516 54.8581029360286,-5.14411563493426 54.8613213685926,-5.13676051526722 54.8637585838966,-5.12872171454155 54.8653207714232,-5.12030862673745 54.8659477900149,-5.11184513431543 54.865615495428,-5.1036570742774 54.8643366755525,-5.09605962643535 54.8621605562299,-5.08934512232392 54.8591708970826,-5.08377175531867 54.8554827524382,-5.07955363432521 54.851238024928,-5.07685256690859 54.8465999864418,-5.07577188586365 54.8417469809375)))', 'GBPPK', 'Portpatrick', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.67487249986093 53.7498931378859,-2.67571947675525 53.7450241027038,-2.67815228222001 53.7403465293913,-2.68207696772008 53.7360400819488,-2.68734240740712 53.7322701179019,-2.6937461516368 53.7291813545403,-2.70104222231035 53.726892331894,-2.70895054819715 53.725490881528,-2.71716768033598 53.7250307716155,-2.72537838296372 53.7255296541321,-2.73326766521982 53.7269683910203,-2.74053280376942 53.7292917845374,-2.74689490678793 53.7324106844933,-2.75210958544838 53.7362053935117,-2.75597632983555 53.7405302425914,-2.7583462314151 53.7452191648211,-2.75912775276168 53.7500920567377,-2.75829031569105 53.7549616859893,-2.75586555924078 53.7596408819266,-2.7519462065573 53.7639497335196,-2.7466825716151 53.7677225172331,-2.7402768293005 53.7708140865087,-2.73297526190068 53.7731054741414,-2.72505877747221 53.774508488518,-2.71683206704119 53.7749691233585,-2.70861182458082 53.7744696467716,-2.70071449330667 53.7730292872568,-2.69344402194438 53.7707034895873,-2.68708011419009 53.7675817699642,-2.68186743362347 53.7637842550325,-2.67800618596614 53.7594570409683,-2.67564444292436 53.7547665547298,-2.67487249986093 53.7498931378859)))', 'GBPRE', 'Preston', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.26105172681043 50.267764561189,-5.26156935229915 50.2628795928922,-5.26356349112579 50.2581531970213,-5.26695711407264 50.2537669390338,-5.27161952491258 50.249889269495,-5.27737142565202 50.2466690675057,-5.28399182561249 50.2442299402869,-5.29122652603048 50.2426654948069,-5.298797855356 50.2420357598559,-5.30641528621566 50.2423648931368,-5.31378653419867 50.2436402593749,-5.32062872194873 50.2458129138937,-5.32667918986963 50.2487994733741,-5.33170554710986 50.2524853034397,-5.3355145830896 50.2567289031114,-5.33795970003533 50.2613673208051,-5.3389465797854 50.2662223970476,-5.33843686210158 50.2711075969662,-5.33644968499626 50.2758351721317,-5.33306101782892 50.2802233775503,-5.32840080235383 50.2841034661781,-5.32264800233894 50.2873261906302,-5.31602374536784 50.2897675596635,-5.30878281739817 50.2913336250133,-5.3012038380686 50.2919641112786,-5.2935784993975 50.2916347463756,-5.28620028968971 50.2903582008415,-5.27935314616175 50.2881835988902,-5.27330048288177 50.2851946203199,-5.26827502492352 50.2815062677919,-5.26446984595788 50.2772604263071,-5.26203095656221 50.2726203887452,-5.26105172681043 50.267764561189)))', 'GBPRJ', 'Portreath', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.86108262434715 50.2176300641273,-4.86164078344399 50.212746412363,-4.86367269597839 50.2080264485017,-4.86709988546378 50.2036514886816,-4.87179037167515 50.1997895478937,-4.87756378433023 50.1965889003585,-4.8841983123704 50.194172402422,-4.89143921912925 50.1926327929478,-4.89900859753935 50.1920291485199,-4.90661599569325 50.1923846267883,-4.91396951265484 50.1936855826157,-4.9207869481296 50.1958820900733,-4.92680658780806 50.1988898505834,-4.93179721892339 50.2025934154647,-4.93556699751172 50.2068506016136,-4.93797082938926 50.2114979338031,-4.93891597994517 50.2163569077541,-4.93836569205854 50.2212408362127,-4.93634066489954 50.2259620170454,-4.93291832671947 50.2303389488413,-4.92822991917569 50.2342033163946,-4.92245549609093 50.2374064760315,-4.91581702235114 50.2398251889615,-4.90856983531904 50.2413663791081,-4.90099279817711 50.2419707292436,-4.89337752880655 50.2416149742805,-4.88601712646625 50.2403128014804,-4.87919483968796 50.2381143220455,-4.87317312134773 50.2351041347693,-4.86818350066854 50.2313980577866,-4.86441766778312 50.2271386566455,-4.86202011617705 50.2224897437852,-4.86108262434715 50.2176300641273)))', 'GBPRL', 'Portloe', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.11572232894506 58.2559410393125,-6.11702570696133 58.251099988691,-6.12009495326174 58.2464859361044,-6.12481154989923 58.2422760711448,-6.13099389557258 58.2386320040292,-6.13840433671013 58.2356935812742,-6.146758310704 58.2335735408054,-6.15573524843159 58.2323532074535,-6.16499082215363 58.2320793900206,-6.17417007895413 58.2327625957834,-6.18292096999202 58.2343766290343,-6.19090777250257 58.2368595887369,-6.19782390495369 58.2401162283207,-6.20340365599185 58.244021589809,-6.20743238448459 58.2484257765786,-6.20975480042535 58.253159685779,-6.21028100363641 58.2580414843779,-6.20899003749471 58.2628835833883,-6.2059308061226 58.2674998443361,-6.20122030278583 58.2717127414268,-6.19503920113383 58.2753602028295,-6.18762496534379 58.2783018652784,-6.17926273572202 58.2804244976332,-6.1702743382349 58.2816463804717,-6.16100584526819 58.281920469096,-6.15181417657927 58.2812362149427,-6.14305327060973 58.2796199733276,-6.13506037480756 58.2771339814915,-6.12814299835131 58.2738739476201,-6.12256704197948 58.2699653464395,-6.118546569118 58.2655585677867,-6.11623561292767 58.2608231091022,-6.11572232894506 58.2559410393125)))', 'GBPRN', 'Portnaguran', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.80536476572116 56.1006607411371,-4.80599454134954 56.095781207035,-4.80831489200551 56.0910640768454,-4.81223609320336 56.0866905398259,-4.81760706601173 56.0828285284498,-4.82422124196978 56.079626286196,-4.83182452629049 56.0772066967131,-4.84012504961548 56.0756625883238,-4.84880433558554 56.0750531902437,-4.85752946249267 56.0754018731327,-4.86596576335739 56.0766952582845,-4.8737895905964 56.0788837285808,-4.88070066933673 56.0818833220557,-4.88643357741879 56.085578937295,-4.89076791994467 56.0898287306988,-4.89353681127969 56.094469540565,-4.89463333673719 56.0993231336317,-4.89401473834704 56.1042030376312,-4.89170415218209 56.1089216998605,-4.88778981617412 56.1132976978236,-4.88242176409085 56.1171627243911,-4.87580611973681 56.120368077049,-4.86819720144632 56.1227903986176,-4.85988773629723 56.1243364448385,-4.85119756196116 56.1249466914783,-4.84246125780352 56.1245976386914,-4.83401519244152 56.1233027214977,-4.82618450001602 56.1211117902555,-4.81927050056167 56.1181091815879,-4.81353906088788 56.1144104559452,-4.80921035233805 56.1101579304578,-4.80645040282373 56.1055151827623,-4.80536476572116 56.1006607411371)))', 'GBPRP', 'Portincaple', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.13683037383052 57.3989583460896,-6.13809679617216 57.3941162066724,-6.1410879759872 57.3895004332897,-6.14568842653325 57.3852882857332,-6.15172102864461 57.3816414675478,-6.15895388674464 57.378699937265,-6.16710925029864 57.3765765582522,-6.1758741564376 57.3753527884742,-6.1849123895404 57.37507557171,-6.19387730841422 57.375755546427,-6.20242506228322 57.3773666391965,-6.21022770363274 57.3798470579353,-6.21698570930529 57.3831016481278,-6.22243944106596 57.3870055242645,-6.22637911282068 57.391408840771,-6.22865288311044 57.3961425233842,-6.22917275732969 57.4010247448383,-6.22791806273401 57.4058678993208,-6.2249363485348 57.4104858096773,-6.2203416604209 57.4147008907817,-6.21431024027821 57.4183509924836,-6.20707380373616 57.421295656366,-6.19891064611214 57.423421541999,-6.19013491685098 57.424646809807,-6.18108447929784 57.4249242879491,-6.1721078326656 57.4242432981652,-6.16355061317774 57.4226300684193,-6.15574220940422 57.4201467161303,-6.14898302177758 57.4168888424207,-6.14353286847138 57.4129818326859,-6.13960099078973 57.4085760095619,-6.137338043614 57.403840828921,-6.13683037383052 57.3989583460896)))', 'GBPRT', 'Portree', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.06112791354474 50.1676965521676,-5.06166520738655 50.1628121637117,-5.06367532502168 50.1580889370732,-5.06708062699789 50.1537083150402,-5.07174997240295 50.149838531198,-5.07750380056808 50.1466281617545,-5.08412104966459 50.1442004367417,-5.09134764359527 50.1426485260366,-5.09890622233987 50.1420319780663,-5.10650674694653 50.1423744451558,-5.11385757978749 50.1436627808473,-5.12067662423791 50.1458475429348,-5.12670210595672 50.1488448832084,-5.1317025904784 50.1525397528453,-5.13548585856713 50.1567903028129,-5.13790630110077 50.1614333133438,-5.13887054812698 50.1662904471224,-5.13834111073947 50.1711750888131,-5.13633788768334 50.175899510208,-5.13293746877439 50.1802820866287,-5.12827025152176 50.1841542869522,-5.12251547260107 50.1873671670836,-5.11589433858353 50.1897971147611,-5.10866151700961 50.1913506217271,-5.10109531600219 50.1919678965377,-5.09348693493478 50.1916251762131,-5.08612920751146 50.1903356457637,-5.07930527999548 50.1881489292872,-5.07327767012999 50.1851491725314,-5.06827813637031 50.1814517922072,-5.06449875320598 50.177199019576,-5.06208453831387 50.1725544127858,-5.06112791354474 50.1676965521676)))', 'GBPRY', 'Penryn', 'Y'),('SRID=4326;MULTIPOLYGON(((1.05814933821655 52.7676808970332,1.05757541876701 52.7627986370231,1.05544263407632 52.7580780798027,1.05183339964123 52.7537005577302,1.04688673610637 52.7498341735532,1.04079287827575 52.7466273590454,1.03378594376428 52.7442031938553,1.02613494612754 52.7426546993976,1.01813349625249 52.7420412850335,1.01008858177632 52.7423864799428,1.00230884622008 52.7436770355885,0.99509280667537 52.745863432256,0.988717450913728 52.7488617705932,0.98342764167173 52.7525569771942,0.979426727886583 52.7568072038562,0.976868720439828 52.7614492549269,0.975852334511366 52.7663048377857,0.976417133382198 52.7711873994586,0.978541931359914 52.775909288945,0.98214552885146 52.7802889710618,0.987089763386266 52.7841580142143,0.993184769955192 52.7873675818244,1.00019625606018 52.7897941751084,1.00785451520773 52.7913444029962,1.01586483101119 52.7919585922269,1.02391886607451 52.7916130956543,1.03170658834809 52.7903212077409,1.03892826483407 52.7881326510275,1.04530604958819 52.7851316537137,1.05059471008344 52.781433694011,1.05459107227071 52.7771810392566,1.05714181820893 52.7725372547577,1.05814933821655 52.7676808970332)))', 'GBPSB', 'Sutton Bridge', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.88849578123515 55.9669677781107,-2.88936480953487 55.9620990407337,-2.89191008442637 55.9574189080062,-2.89603326540416 55.9531071357117,-2.90157555011414 55.949329275161,-2.9083238302078 55.9462303336371,-2.91601889925463 55.9439292282739,-2.92436539457608 55.9425142424911,-2.9330430939216 55.9420396555962,-2.94171914106615 55.9425236717045,-2.95006074268942 55.9439477253232,-2.95774786292664 55.9462571895056,-2.96448544205748 55.9493634601645,-2.97001468192009 55.9531473387079,-2.97412297250528 55.957463586391,-2.97665208116898 55.9621464793609,-2.9775042869765 55.9670161549271,-2.97664621636729 55.9718855085864,-2.97411022057518 55.9765673790496,-2.96999322744791 55.9808817459792,-2.96445309729438 55.9846626630551,-2.95770261044889 55.9877646576665,-2.95000130929742 55.9900683478741,-2.94164550529891 55.9914850567387,-2.93295683786668 55.9919602426289,-2.92426983302004 55.9914756102373,-2.91591895229264 55.9900498188806,-2.90822564420975 55.9877377600609,-2.90148591053407 55.9846284328758,-2.89595887743485 55.980841501246,-2.89185681895905 55.9765226687207,-2.88933701896756 55.9718380526712,-2.88849578123515 55.9669677781107)))', 'GBPSE', 'Port Seton', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.67340938052341 55.1821758066185,-6.67453044586183 55.1773256595964,-6.67728288231914 55.1726938127009,-6.68156044177165 55.1684581558625,-6.68719844676857 55.1647813111341,-6.69398016341142 55.1618044063363,-6.70164514056325 55.1596416776348,-6.70989919341896 55.1583761045162,-6.71842565167167 55.1580562411198,-6.72689744870542 55.1586943626384,-6.73498959939902 55.1602659961644,-6.74239160083346 55.1627108536189,-6.74881929272196 55.1659351320549,-6.75402573269642 55.1698150954377,-6.75781067534547 55.1742018037383,-6.76002829241969 55.1789268115495,-6.7605928338028 55.1838086210388,-6.75948200311659 55.1886596443485,-6.75673790606938 55.1932934097957,-6.75246552118583 55.1975317353683,-6.74682873813425 55.2012115927231,-6.7400441047806 55.2041913953946,-6.7323725163025 55.2063564660419,-6.72410916401895 55.2076234686377,-6.71557213399168 55.2079436314178,-6.70709010229592 55.2073046336103,-6.69898961218949 55.2057310815304,-6.691582436192 55.2032835553399,-6.68515352236926 55.2000562642769,-6.67994999911538 55.1961734030215,-6.67617166779535 55.1917843527774,-6.67396335014306 55.1870579154907,-6.67340938052341 55.1821758066185)))', 'GBPSW', 'Portstewart', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.63641413235678 57.6828747530806,-2.63735787542906 57.6780092492015,-2.64005490162028 57.673335816706,-2.64440098040033 57.6690339455585,-2.65022870769028 57.6652687954943,-2.65731399769944 57.6621848731986,-2.66538471388589 57.6599005072686,-2.67413110447618 57.6585033289881,-2.68321764498676 57.6580469283329,-2.69229584193137 57.6585488101386,-2.7010175193628 57.6599897266158,-2.70904809368113 57.6623144110776,-2.71607934252092 57.6654336855801,-2.72184119050245 57.6692278639347,-2.72611206791081 57.6735513229554,-2.72872744734032 57.6782380705484,-2.72958622700416 57.6831081009356,-2.72865470626871 57.687974296407,-2.72596798696805 57.6926496127839,-2.72162873050283 57.6969542732985,-2.71580330231506 57.7007226935602,-2.70871543817484 57.703809869026,-2.70063766650916 57.706096975833,-2.69188081322301 57.7074959654231,-2.68278199565187 57.7079529720643,-2.6736915763563 57.7074503986652,-2.66495959202872 57.706007598304,-2.65692219540176 57.7036801244725,-2.64988864747417 57.7005575797716,-2.64412937363782 57.6967601482479,-2.63986555171429 57.6924339483528,-2.63726063497444 57.6877453894529,-2.63641413235678 57.6828747530806)))', 'GBPSY', 'Portsoy', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.74289413376896 51.600260659732,-3.7435851808291 51.5953831078203,-3.74579046950755 51.5906832100149,-3.74942483875246 51.5863415011478,-3.75434833992087 51.5825247081045,-3.76037165767104 51.5793793612675,-3.76726340152779 51.5770261857677,-3.77475898548212 51.5755554846949,-3.78257075633505 51.5750236882571,-3.79039898757621 51.5754511985599,-3.79794332548057 51.5768216108059,-3.80491425849797 51.5790823400535,-3.81104418023735 51.5821466299999,-3.81609763042156 51.5858968684141,-3.8198803267986 51.590189084617,-3.82224664348444 51.5948584595521,-3.82310524654289 51.599725640139,-3.8224226643107 51.6046036182262,-3.82022464611025 51.6093049118551,-3.81659524612974 51.6136487736926,-3.81167365648612 51.6174681490832,-3.80564890150728 51.6206161145058,-3.79875259047188 51.6229715461732,-3.79125000469974 51.6244437975146,-3.78342986335369 51.6249762023069,-3.7755931672773 51.6245482658281,-3.76804155889163 51.6231764577571,-3.76106565661241 51.6209135755376,-3.75493382335523 51.6178467032431,-3.74988181040696 51.6140938462438,-3.74610368121188 51.6097993738748,-3.74374436634127 51.6051284486727,-3.74289413376896 51.600260659732)))', 'GBPTB', 'Port Talbot', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.1223806830872 56.0670522968866,-3.1232224999293 56.0621820178002,-3.12574604082907 56.0574971573296,-3.12985379419556 56.053177654027,-3.1353875438977 56.0493893567178,-3.14213450360106 56.0462776734487,-3.14983551321288 56.0439620100143,-3.15819497960239 56.0425312077647,-3.16689218245921 56.0420401519988,-3.17559351896768 56.0425076778739,-3.18396522893396 56.0439158520196,-3.19168612573763 56.0462106566414,-3.19845985828911 56.0493040505896,-3.20402624506161 56.0530773304266,-3.20817125293668 56.0573856657031,-3.21073524043163 56.0620636381624,-3.21161914584951 56.0669315760349,-3.21078837452433 56.0718024434479,-3.20827422360701 56.076489022533,-3.20417277514986 56.0808111130949,-3.19864128541764 56.0846024724221,-3.19189219668233 56.0877172263035,-3.18418499315993 56.0900355014714,-3.17581621094688 56.0914680589625,-3.16710798860426 56.0919597462579,-3.15839560656711 56.0914916320553,-3.15001450661339 56.0900817392928,-3.1422873049051 56.0877843474094,-3.13551131239536 56.0846878914423,-3.1299470546666 56.080911540994,-3.12580824070709 56.0766005939862,-3.12325356903096 56.0719208662876,-3.1223806830872 56.0670522968866)))', 'GBPTC', 'Pettycur', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.41074876828158 50.5998080749764,-2.41156373604791 50.5949382228006,-2.41385531254339 50.5902631047333,-2.41753505595751 50.5859622988703,-2.42246130798454 50.5822009596674,-2.42844467524594 50.579123489892,-2.43525531965665 50.5768480131118,-2.44263177577651 50.5754618558298,-2.45029095863816 50.5750182096136,-2.45793898356094 50.5755340987647,-2.46528239109623 50.576989729843,-2.47203935617126 50.579329247477,-2.47795046102395 50.5824628681467,-2.48278862664395 50.5862703118604,-2.48636782681672 50.5906054026732,-2.48855025182002 50.5953016645521,-2.48925164426789 50.6001787008227,-2.48844459602772 50.6050491148017,-2.48615967057687 50.609725707482,-2.48248429716511 50.6140286762717,-2.4775594688043 50.6177925374292,-2.47157436213129 50.6208725042426,-2.46475908003942 50.6231500729925,-2.45737579401324 50.6245375986924,-2.44970862881204 50.624981681445,-2.44205268435676 50.6244652304899,-2.43470262577441 50.6230081247972,-2.42794129069991 50.6206664442351,-2.42202876218752 50.6175303016103,-2.41719233598547 50.6137203608593,-2.41361777349629 50.6093831780781,-2.41144217839643 50.6046855477828,-2.41074876828158 50.5998080749764)))', 'GBPTL', 'Portland', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.61438610113733 55.2051544832901,-6.6155150523651 55.2003049708402,-6.61827596236035 55.1956745532867,-6.62256225747776 55.1914410652012,-6.6282089252496 55.1877670449535,-6.63499890003426 55.1847935116238,-6.64267141479725 55.1826345717888,-6.65093199659965 55.1813730594819,-6.65946372560482 55.1810573730905,-6.66793933365192 55.1816996276977,-6.67603368965224 55.1832751920177,-6.68343620583199 55.185723627343,-6.68986270143911 55.188950993571,-6.69506627891964 55.1928334362031,-6.69884680140912 55.1972219199607,-6.7010586089877 55.2019479310574,-6.70161617341573 55.2068299328021,-6.70049746542231 55.2116803295389,-6.6977448929437 55.2163126732083,-6.69346376031448 55.2205488360055,-6.68781829405906 55.2242258723605,-6.68102537689664 55.2272023040183,-6.67334622380994 55.2293635831576,-6.66507631836189 55.2306265196068,-6.65653399983095 55.2309424981653,-6.64804814853971 55.2302993592701,-6.63994545502004 55.228721868832,-6.63253777635807 55.2262707587931,-6.62611007924568 55.2230403764571,-6.62090944415271 55.2191550354981,-6.61713555998965 55.2147642124384,-6.61493307605075 55.2100367772013,-6.61438610113733 55.2051544832901)))', 'GBPTR', 'Portrush', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.40719450706021 54.450860754997,-5.40773133390886 54.4459779273233,-5.40989207418442 54.4412499307251,-5.41359318513526 54.4368583812632,-5.41869207390888 54.4329719148018,-5.4249926321024 54.4297397260657,-5.43225279640673 54.4272858595086,-5.44019384115879 54.4257044676942,-5.44851104722769 54.4250562155648,-5.45688534368943 54.4253659653744,-5.46499548529875 54.4266218287916,-5.47253031054486 54.4287756214612,-5.47920062242898 54.4317447029003,-5.48475024706066 54.4354151328078,-5.48896585346774 54.4396460254448,-5.49168516105263 54.4442749384289,-5.49280321793475 54.4491240927041,-5.49227650258474 54.4540071880989,-5.49012468077537 54.4587365550571,-5.48642993750384 54.4631303688938,-5.48133389620068 54.4670196490143,-5.47503223176525 54.4702547723401,-5.46776717591974 54.4727112476527,-5.45981819901883 54.4742945252287,-5.45149122779168 54.4749436530352,-5.44310681982107 54.4746336355041,-5.43498775974002 54.4733764017249,-5.42744656681701 54.4712203446787,-5.42077340747139 54.4682484495793,-5.41522488909185 54.4645750850826,-5.41101417423148 54.4603415836918,-5.40830279879303 54.4557107849482,-5.40719450706021 54.450860754997)))', 'GBPVG', 'Portavogie', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.5533736904028 57.750948748037,-5.55392648461011 57.7460674014423,-5.55624931389049 57.741337483282,-5.56025228663147 57.7369406734214,-5.56578112274599 57.7330457930132,-5.57262315051086 57.7298023390036,-5.58051550985713 57.7273347665998,-5.58915524231974 57.7257377352314,-5.59821088171875 57.7250724963519,-5.60733510804383 57.7253645580308,-5.61617799102458 57.726602713297,-5.62440033015092 57.7287394682701,-5.63168659478181 57.731692854013,-5.63775698148188 57.7353495544868,-5.64237813561 57.7395692337415,-5.64537212990355 57.7441899002115,-5.64662335343493 57.7490341063352,-5.64608303848499 57.7539157491465,-5.64377123865981 57.7586472133456,-5.63977616643906 57.7630465836976,-5.63425089912649 57.7669446492387,-5.62740756512471 57.7701914281153,-5.6195092233621 57.7726619589393,-5.61085974307057 57.7742611318879,-5.60179207444939 57.7749273694709,-5.59265536885176 57.7746350115748,-5.58380145640748 57.7733953102673,-5.57557121676431 57.7712559948001,-5.56828138334459 57.7682994239229,-5.56221230289661 57.7646393985826,-5.55759713119316 57.7604167609101,-5.55461288472513 57.7557939528626,-5.5533736904028 57.750948748037)))', 'GBPWE', 'Poolewe', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.54084546191054 54.7605559618996,-4.5414896374173 54.7556767036134,-4.54376696170655 54.7509638500625,-4.54758941113773 54.7465984289633,-4.55280973739913 54.7427480667275,-4.55922717981434 54.7395605671247,-4.5665952025614 54.7371582561334,-4.57463095616997 54.7356333065269,-4.58302610167491 54.7350442180016,-4.59145858839936 54.7354135847409,-4.59960494359844 54.7367272338358,-4.60715261479285 54.7389347666585,-4.61381190389166 54.7419514828804,-4.61932704616876 54.7456616151258,-4.62348601653603 54.7499227530319,-4.62612868973671 54.7545712904628,-4.62715303907366 54.7594286904197,-4.62651912865009 54.7643083303001,-4.62425073489182 54.7690226668636,-4.62043452184814 54.7733904466191,-4.61521678839664 54.7772436840713,-4.60879790047983 54.780434137725,-4.60142461398194 54.7828390318744,-4.59338057973052 54.7843658004832,-4.58497539734419 54.7849556669279,-4.5765326455261 54.7845859185938,-4.56837735979085 54.7832707864844,-4.56082345221203 54.7810608950034,-4.55416157031291 54.778041303564,-4.54864787354785 54.7743282172683,-4.54449416693662 54.770064496206,-4.54185977437569 54.765414139775,-4.54084546191054 54.7605559618996)))', 'GBPWI', 'Port William', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.37572905612769 52.8834852735425,-4.37636781824171 52.8786054733621,-4.37856759818088 52.8738947968057,-4.38224340817145 52.8695341928031,-4.38725367544428 52.8656911110618,-4.39340573033271 52.8625130862378,-4.40046322976186 52.8601220915057,-4.40815522796756 52.8586098749847,-4.41618654769387 52.8580344546352,-4.42424905956439 52.8584179031835,-4.43203344589321 52.8597455060054,-4.43924100858809 52.8619663234021,-4.44559507934057 52.8649951361444,-4.45085160401823 52.8687157013386,-4.45480850177552 52.8729851963786,-4.45731344225092 52.8776396837205,-4.45826974030303 52.882500390089,-4.4576401356112 52.8873805619795,-4.45544830219392 52.8920926362432,-4.45177801803991 52.8964554511625,-4.44677001465922 52.9003012204381,-4.44061661705977 52.9034820002614,-4.43355437273016 52.9058753980343,-4.42585494980178 52.9073892997958,-4.41781465587782 52.9079654310227,-4.40974298657667 52.9075816107638,-4.40195065372182 52.9062526102329,-4.394737565193 52.9040295819178,-4.3883812305562 52.9009980816404,-4.38312604859803 52.8972747614473,-4.37917389574532 52.8930028633682,-4.37667637998999 52.8883466907876,-4.37572905612769 52.8834852735425)))', 'GBPWL', 'Pwllheli', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.6882071159469 56.2168952196362,-2.68910720535297 56.2120281389463,-2.69169342001544 56.2073523886495,-2.69586584028219 56.2030475539286,-2.70146376978235 56.1992789172585,-2.70827196433173 56.1961911295211,-2.7160289215306 56.1939026778736,-2.72443690983906 56.1925013589108,-2.73317335484899 56.1920409270582,-2.74190315360677 56.1925390436134,-2.7502914561893 56.1939766030148,-2.75801643791685 56.196298461477,-2.76478158589188 56.1994155408345,-2.77032703997914 56.2032082290581,-2.77443956058959 56.2075309502007,-2.77696074306746 56.2122177321951,-2.77779316007906 56.2170885625779,-2.77690418766633 56.2219562913174,-2.77432735551592 56.2266338177647,-2.77016115487858 56.2309412863347,-2.76456533524184 56.2347130135732,-2.75775481957973 56.2378038780876,-2.74999146365778 56.2400949243089,-2.74157397316243 56.2414979606417,-2.73282636912476 56.2419589712059,-2.7240854533618 56.2414602066,-2.71568776826247 56.2400208710458,-2.70795656691066 56.2376963787323,-2.70118930908422 56.2345762088055,-2.69564617612154 56.2307804438059,-2.69154005423891 56.2264551280917,-2.68902837394277 56.2217666287295,-2.6882071159469 56.2168952196362)))', 'GBPWM', 'Pittenweem', 'Y'),('SRID=4326;MULTIPOLYGON(((0.806919451811136 51.4177540255494,0.80638558606809 51.4128700045306,0.804338536529031 51.4081449334523,0.80085739184547 51.4037603234225,0.796076229621311 51.399884556595,0.790178918503959 51.3966664329994,0.783392032386001 51.39422947407,0.775976151987602 51.392667198468,0.768215886740479 51.3920395483056,0.760408994968015 51.3923706000668,0.752855011734577 51.3936476460057,0.745843810702823 51.3958216803161,0.739644528528972 51.3988092717215,0.734495267710153 51.4024957521339,0.730593966664135 51.406739601501,0.72809078479916 51.411377863637,0.72708229642373 51.4162323883552,0.727607721976855 51.421116663095,0.729647350113115 51.4258429737363,0.733123222021457 51.4302296204591,0.737902062830608 51.4341079110419,0.743800357308967 51.4373286612363,0.750591381857736 51.4397679497322,0.758013925719017 51.4413319032127,0.765782365008874 51.4419603241235,0.773597696978604 51.4416290186407,0.781159101618723 51.4403507331375,0.788175575423843 51.4381746621325,0.794377179006197 51.4351845469709,0.799525456456666 51.4314954399601,0.803422619067989 51.4272492610279,0.805919137471934 51.422609321015,0.806919451811136 51.4177540255494)))', 'GBQUB', 'Queenborough', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.98867576864394 55.8337246770619,-4.98927895567622 55.8288442169833,-4.99156180676768 55.8241237377494,-4.99543604575068 55.819744559414,-5.00075240167456 55.8158748335009,-5.00730640375343 55.8126631020324,-5.01484626414728 55.8102326149048,-5.02308254190098 55.8086766200786,-5.03169921855188 55.808054803542,-5.04036576699986 55.8083910123124,-5.04874976129574 55.8096723454526,-5.05652955672107 55.8118496469082,-5.06340656723416 55.814839381671,-5.06911668107367 55.8185268251124,-5.07344038477421 55.8227704460824,-5.0762112104691 55.8274073192276,-5.07732218016769 55.8322593625816,-5.07672999228045 55.8371401643036,-5.07445677809121 55.8418621387959,-5.07058934663796 55.8462437383657,-5.06527593248598 55.8501164428785,-5.05872055856074 55.8533312568477,-5.05117522155084 55.8557644610939,-5.04293019617521 55.8573223939996,-5.03430283264333 55.857945074521,-5.02562528503838 55.8576085241066,-5.01723165383407 55.856325695706,-5.00944505088215 55.8541459730137,-5.00256509860783 55.8511532596499,-4.99685635662661 55.8474627337085,-4.99253812954834 55.8432163956219,-4.98977605147222 55.8385775843995,-4.98867576864394 55.8337246770619)))', 'GBRAY', 'Rothesay, Isle of Bute', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.63540024602727 58.4676157513162,-4.63608880396502 58.4627385061024,-4.63857950254443 58.458025331037,-4.64277598035256 58.4536572535381,-4.64851651827034 58.4498019818628,-4.6555803225844 58.4466074837078,-4.6636960383186 58.4441963285227,-4.67255216139956 58.4426610066089,-4.68180895199117 58.4420604004349,-4.69111139994125 58.4424175398907,-4.70010275781539 58.4437187250116,-4.70843813807365 58.4459140487136,-4.71579766887482 58.4489193000181,-4.72189871779145 58.4526191768425,-4.72650672413778 58.4568716884304,-4.72944422809709 58.4615135825651,-4.73059774745183 58.4663665934672,-4.72992222906461 58.4712442742004,-4.72744289036009 58.4759591538096,-4.72325436331502 58.480329945376,-4.71751715661585 58.484188527451,-4.71045155682487 58.4873864283599,-4.70232919225977 58.4898005606143,-4.69346257921638 58.4913379806806,-4.68419305453352 58.491939486665,-4.67487756701656 58.491581911689,-4.6658748492593 58.4902790220217,-4.65753151824269 58.4880809842492,-4.65016865623782 58.4850724225435,-4.64406940281446 58.4813691429661,-4.63946804530725 58.4771136543115,-4.63654103130566 58.4724696620272,-4.63540024602727 58.4676157513162)))', 'GBRBL', 'Erribol', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.33619412070813 57.8838701132197,-5.33677790440862 57.8789895933637,-5.33913741466152 57.8742634922539,-5.34318134736487 57.8698733410921,-5.34875384873412 57.8659877033063,-5.35564057255645 57.8627557192405,-5.36357694728941 57.8603014025397,-5.37225833084258 57.8587189031988,-5.38135166476569 57.8580689149441,-5.3905081880552 57.858376361148,-5.39937673495068 57.8596294454323,-5.40761712157498 57.8617801021753,-5.41491312339483 57.8647458300367,-5.42098455927244 57.868412840094,-5.42559802809895 57.8726404009896,-5.42857589009585 57.877266218303,-5.42980314591629 57.8821126458025,-5.42923194128942 57.8869934937819,-5.42688351119479 57.8917211756727,-5.42284747288248 57.8961139196143,-5.41727847828678 57.9000027674519,-5.41039033974311 57.9032380901406,-5.40244784416908 57.9056953657601,-5.39375656549589 57.9072799938466,-5.38465106861693 57.9079309565908,-5.37548196623842 57.9076231822628,-5.36660233917639 57.906368517195,-5.35835405816471 57.9042152676695,-5.35105454958478 57.9012463297547,-5.3449845284439 57.8975759810752,-5.34037718046674 57.8933454612633,-5.33740921358619 57.8887175152072,-5.33619412070813 57.8838701132197)))', 'GBRCB', 'Rhu Coigach - Badluachrach', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.35388475890155 57.3490384162487,-6.35512072443006 57.3441938128184,-6.35808054274239 57.3395725945489,-6.36264993068379 57.3353522320067,-6.36865295917795 57.3316947455497,-6.37585886405857 57.3287405042159,-6.38399092481645 57.3266028597182,-6.39273706851638 57.3253638174584,-6.40176179602593 57.3250709068254,-6.41071898235016 57.3257353677628,-6.41926507320985 57.327331721317,-6.42707218659228 57.329798740294,-6.43384063108923 57.3330417840052,-6.43931037238199 57.3369364101298,-6.44327101491148 57.3413331286946,-6.44556991691727 57.3460631197654,-6.44611812256001 57.350944699242,-6.44489387317272 57.3557902876152,-6.44194354865206 57.3604136159125,-6.43737998680977 57.3646368923352,-6.43137822974966 57.368297652914,-6.4241688480706 57.3712550301557,-6.41602909159011 57.3733951949336,-6.40727220484672 57.3746357581554,-6.39823532250555 57.3749289588791,-6.38926642002761 57.3742635129973,-6.38071083537301 57.3726650494126,-6.3728978958994 57.3701951165529,-6.36612817998284 57.3669487987193,-6.36066191550103 57.3630510366883,-6.35670896869738 57.3586517978459,-6.35442080972712 57.3539202858154,-6.35388475890155 57.3490384162487)))', 'GBRCD', 'Bracadale', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.77053193661256 57.6340273089225,-5.77105421668558 57.6291452191316,-5.7733416407146 57.6244115672509,-5.77730567990737 57.6200081785416,-5.78279354957932 57.6161041287169,-5.7895941486488 57.6128492684016,-5.79744620312998 57.6103684918099,-5.80604829604274 57.6087569657352,-5.81507039998051 57.6080764978643,-5.82416647687064 57.6083531801139,-5.83298767331348 57.6095763947492,-5.84119561996215 57.6116992201422,-5.84847534003072 57.6146402209228,-5.85454728523289 57.6182865556932,-5.85917804701426 57.6224982861765,-5.86218933630242 57.6271137263341,-5.86346488524307 57.6319556302342,-5.86295499814608 57.6368379847769,-5.8606785642207 57.6415731491,-5.85672243911735 57.6459790676872,-5.85123820267154 57.649886279675,-5.8444364028364 57.6531444530281,-5.8365784964002 57.6556281891523,-5.82796679124834 57.6572418706916,-5.81893277816433 57.657923361809,-5.80982430828317 57.6576464148069,-5.80099212172829 57.6564216877269,-5.79277626099333 57.6542963324533,-5.78549290771144 57.6513521695081,-5.77942216328994 57.6477025217005,-5.77479725347198 57.643487831687,-5.7717955764198 57.6388702360674,-5.77053193661256 57.6340273089225)))', 'GBRDH', 'Rudh Re - Red Point', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.01601630037445 54.6073030289748,-1.0170788705563 54.6024488756263,-1.0197517771588 54.5978082848757,-1.02393184052129 54.5935594868449,-1.02945813400066 54.5898656129687,-1.03611821209763 54.5868684493993,-1.04365628557402 54.5846830136911,-1.05178302778804 54.5833931593151,-1.06018663900136 54.583048373197,-1.06854475172362 54.5836618863227,-1.07653673124197 54.5852101681532,-1.08385591193999 54.5876338238423,-1.09022131211989 54.5908398608461,-1.09538838777549 54.5947052402219,-1.0991584187824 54.5990815795294,-1.1013861685898 54.6038008304552,-1.10198551962293 54.6086817167167,-1.10093285967452 54.6135366879024,-1.09826807748618 54.6181791239346,-1.09409311585078 54.6224305137643,-1.08856812471859 54.6261273313794,-1.08190535131607 54.6291273424701,-1.07436099521523 54.6313150959726,-1.06622533952987 54.6326063855521,-1.0578115409947 54.6329515057859,-1.04944351802971 54.6323371748219,-1.04144341409439 54.6307870477077,-1.0341191316746 54.6283608002177,-1.02775242915787 54.6251518194746,-1.02258804881712 54.6212835925785,-1.01882430043746 54.6169049354789,-1.01660546409607 54.6121842493514,-1.01601630037445 54.6073030289748)))', 'GBRER', 'Redcar', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.39733673220817 56.9594232252038,-7.39842291451172 56.9545676348175,-7.40122141479892 56.9499210689973,-7.40562414740988 56.9456619804385,-7.41146157427065 56.9419538840941,-7.41850927218182 56.9389390976604,-7.42649657138907 56.9367333001174,-7.43511693138634 56.9354211132266,-7.44403965919131 56.9350528716986,-7.45292252917513 56.935642702803,-7.46142483288799 56.937167987112,-7.46922037278147 56.9395702205515,-7.47600991555358 56.9427572457187,-7.48153263901129 56.946606769284,-7.48557614054544 56.9509710339611,-7.48798462489471 56.9556824697026,-7.48866495278433 56.9605601110546,-7.48759030871625 56.9654165374509,-7.48480133355095 56.9700650718947,-7.48040466283572 56.9743269619862,-7.47456891177438 56.9780382662649,-7.46751824843814 56.9810561786558,-7.45952379403771 56.9832645442799,-7.45089317839157 56.9845783504082,-7.44195865581309 56.9849470158153,-7.43306424758138 56.9843563486997,-7.42455241874259 56.9828290957646,-7.4167508169601 56.9804240607901,-7.40995959840209 56.9772338276878,-7.40443984038187 56.9733811781666,-7.40040349404492 56.9690143454108,-7.3980052653378 56.9643012904342,-7.39733673220817 56.9594232252038)))', 'GBREV', 'Braevig', 'Y'),('SRID=4326;MULTIPOLYGON(((0.757063382115304 51.5837727852839,0.756533467553846 51.5788887074417,0.754484687789324 51.5741628624695,0.750996202437717 51.5697767910553,0.746202374747323 51.5658989310057,0.740287562174761 51.5626781620146,0.733479011487081 51.5602381062491,0.726038134441311 51.5586724004417,0.718250497964058 51.5580411177192,0.710414908008631 51.5583684736117,0.702831997786887 51.5596419021901,0.695792748139879 51.5618125368195,0.689567370063527 51.5647970773758,0.684394966809736 51.5684809737884,0.680474365827201 51.5727228062348,0.677956469716489 51.5773596969778,0.676938421352106 51.5822135493413,0.677459812792255 51.5870978771571,0.679501092439384 51.5918249644807,0.682984242501537 51.5962130814876,0.687775711980273 51.6000934789488,0.693691502436756 51.6033168908724,0.700504218231591 51.6057592927289,0.707951813508806 51.6073266906144,0.715747698551554 51.607958753798,0.72359181163577 51.6076311479315,0.731182221978878 51.6063564770003,0.738226806913481 51.6041837967766,0.744454543194885 51.6011967188079,0.749625968557278 51.5975101794631,0.753542404428683 51.5932660009272,0.756053582309811 51.5886274181077,0.757063382115304 51.5837727852839)))', 'GBRFD', 'Rochford', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.45830081281876 53.3171674691045,-3.45904978543774 53.3122928842354,-3.46137194324648 53.3075994336286,-3.46517759317225 53.3032673974585,-3.47032017902967 53.2994631218165,-3.47660196016774 53.2963326461694,-3.48378162770896 53.2939961149794,-3.49158356313568 53.2925431846216,-3.49970838570334 53.2920295984714,-3.5078443901117 53.292475058671,-3.51567944510602 53.2938624742515,-3.5229129078782 53.296138613708,-3.52926710861614 53.2992161375893,-3.53449797431646 53.3029769349652,-3.53840439072265 53.3072766385714,-3.54083594533106 53.311950148724,-3.54169875178498 53.3168179573728,-3.54095912517612 53.3216930324072,-3.53864495681911 53.3263879998098,-3.53484472346591 53.3307223484882,-3.52970415667712 53.3345293802931,-3.52342068971701 53.3376626361568,-3.51623588811233 53.3400015483544,-3.50842615199451 53.3414560980235,-3.50029204969332 53.341970295263,-3.49214669926616 53.3415243448974,-3.48430365481628 53.3401354125194,-3.4770647754748 53.3378569605528,-3.47070855567667 53.3347766805079,-3.46547937580708 53.331013102916,-3.46157809346818 53.3267110183039,-3.45915433954761 53.3220358888418,-3.45830081281876 53.3171674691045)))', 'GBRHY', 'Rhyl', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.10257041526475 58.3507880470449,-5.103192512499 58.3459086965475,-5.10561279965622 58.3411868776051,-5.10973762009657 58.3368039534959,-5.11540800224101 58.3329282059997,-5.12240583804706 58.3297083915071,-5.13046229471155 58.3272680527482,-5.13926813187956 58.325700800431,-5.14848553004509 58.3250667416682,-5.15776098403957 58.325390188538,-5.16673877957091 58.3266587320464,-5.17507455133768 58.3288237158312,-5.1824484186075 58.3318020918804,-5.1885772083429 58.3354795890833,-5.19322530673928 58.3397150763202,-5.19621372685879 58.3443459567018,-5.19742704198073 58.3491943901186,-5.19681790995384 58.3540741089215,-5.19440900128309 58.358797567658,-5.19029224033875 58.3631831534068,-5.18462537171376 58.367062179178,-5.17762596854598 58.3702853894937,-5.16956310225169 58.3727287246404,-5.16074698899198 58.3742981177368,-5.15151701271555 58.3749331357552,-5.14222859349746 58.3746093205791,-5.13323941947109 58.373339137274,-5.12489558821245 58.3711714918468,-5.11751820743761 58.3681898375211,-5.11139098508017 58.3645089444957,-5.10674929632215 58.3602704608735,-5.10377115229021 58.3556374397157,-5.10257041526475 58.3507880470449)))', 'GBRIE', 'Scourie', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.73568604580563 58.2661703239883,-6.73690537476614 58.2613225100768,-6.73989523249898 58.2566931487247,-6.74454014136628 58.2524600216297,-6.75066124055037 58.2487856352653,-6.75802321401961 58.2458110017626,-6.76634334638207 58.2436502491579,-6.77530235675089 58.2423862636881,-6.7845565989967 58.2420675273305,-6.79375117010346 58.2427062686681,-6.80253343769429 58.2442779960258,-6.81056648370296 58.2467224303564,-6.81754196387708 58.2499458032813,-6.82319190228239 58.2538244347648,-6.82729897592514 58.2582094568372,-6.82970489637781 58.2629325062671,-6.83031656182887 58.2678121717091,-6.82910973271252 58.272660951064,-6.82613007485069 58.2772924538607,-6.82149151304423 58.2815285723863,-6.81537194182649 58.2852063447498,-6.80800644460658 58.2881842433326,-6.79967827323245 58.2903476430192,-6.79070793245674 58.2916132545778,-6.7814407933624 58.2919323484733,-6.77223372239725 58.2912926416907,-6.76344125493138 58.2897187728856,-6.75540186187039 58.2872713471219,-6.74842485374603 58.2840445881972,-6.74277843910561 58.2801626916351,-6.73867940447857 58.2757750224837,-6.73628481442425 58.2710503469675,-6.73568604580563 58.2661703239883)))', 'GBRLW', 'Carloway', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.07052763313833 57.6004021816569,-4.07127745606601 57.595527232795,-4.07378374189294 57.5908244592754,-4.07794957373077 57.5864744883487,-4.0836144468165 57.5826443350337,-4.09056049939961 57.5794810069631,-4.09852090973945 57.5771058827961,-4.10719013284682 57.5756100760061,-4.11623558622458 57.575050957919,-4.12531034407951 57.5754499699165,-4.13406636532499 57.5767918063169,-4.14216776279912 57.5790249982978,-4.14930361978649 57.5820638770646,-4.1551998751682 57.5857918430516,-4.15962983006841 57.590065819001,-4.1624228761343 57.5947217200005,-4.16347110761466 57.5995807345713,-4.16273355475349 57.6044561791754,-4.16023786269845 57.6091606653448,-4.15607933553365 57.6135133050943,-4.1504173659508 57.6173466771013,-4.14346937366547 57.6205132837169,-4.13550247571725 57.6228912471527,-4.1268232047734 57.6243890216821,-4.11776567302413 57.624948936408,-4.1086786450882 57.6245494286675,-4.09991203006396 57.6232058796147,-4.09180332792158 57.6209700188085,-4.08466456744496 57.6179279213484,-4.07877025177998 57.6141966768174,-4.07434678449502 57.6099198616015,-4.07156378626082 57.6052619928653,-4.07052763313833 57.6004021816569)))', 'GBRME', 'Rosemarkie', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8240332168543 60.1758310829288,18.8233936696012 60.1709525239672,18.8208566219104 60.1662298356897,18.8165203051454 60.1618444079715,18.8105518814333 60.157964607561,18.8031809409172 60.1547393326369,18.7946906445134 60.1522923212114,18.7854068576508 60.1507174274739,18.7756856901575 60.1500750428248,18.7658999115799 60.1503897949302,18.7564247487648 60.151649610219,18.7476235928931 60.1538061745015,18.7398341460519 60.1567767745156,18.7333555228361 60.1604474519171,18.72843679061 60.1646773522349,18.7252673834377 60.1693041062668,18.723969760185 60.1741500419016,18.7245945982659 60.1790289919053,18.7271187228917 60.1837534391174,18.731445870116 60.1881417258812,18.7374102737924 60.1920250501854,18.7447829557955 60.1952539773708,18.7532804900881 60.1977042134014,18.7625759093406 60.1992814131702,18.7723113327979 60.1999248342037,18.7821118205683 60.1996096910553,18.7915999064594 60.198348116829,18.8004102318666 60.1961886934974,18.8082036987254 60.1932145695877,18.8146805804335 60.1895402399258,18.8195920747598 60.1853071150059,18.8227498495474 60.1806780549461,18.8240332168543 60.1758310829288)))', 'SEBAY', 'Backby', 'Y'),('SRID=4326;MULTIPOLYGON(((1.45885785411396 51.3295313080803,1.45825538427005 51.3246496834697,1.45614475962117 51.319935471188,1.45260750417975 51.3155697615098,1.44777984138693 51.311720207992,1.44184741533387 51.3085346026476,1.43503813848901 51.3061352183101,1.42761344348997 51.3046141322775,1.41985827358463 51.3040297075301,1.41207019072886 51.3044043637651,1.40454801106593 51.3057237218046,1.39758039382062 51.3079371533498,1.39143481118837 51.3109597153844,1.38634731356286 51.3146753965831,1.3825134767244 51.3189415536765,1.38008087604906 51.3235943706047,1.37914337841409 51.3284551340891,1.37973747671372 51.3333370874699,1.38184081666728 51.3380526015622,1.38537298329038 51.3424203879031,1.39019852786881 51.3462724767828,1.39613212879179 51.3494606902027,1.40294569472913 51.3518623582732,1.41037714006854 51.3533850560186,1.41814049388356 51.3539701750894,1.4259369482908 51.3535951900837,1.43346641265263 51.3522745302322,1.44043911871411 51.3500590220228,1.44658681955414 51.3470339246254,1.45167314230254 51.3433156353518,1.45550269004495 51.3390471945267,1.45792854038206 51.3343927658873,1.45885785411396 51.3295313080803)))', 'GBRMG', 'Ramsgate', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.10354470814669 57.5993112909764,-7.10469051951737 57.5944591159026,-7.10757674532261 57.5898201398541,-7.11209190995776 57.5855725193045,-7.11806214626749 57.5818793234141,-7.12525793045888 57.5788822924199,-7.13340291618684 57.5766964191031,-7.14218452632872 57.5754055572428,-7.15126589972011 57.5750592216467,-7.16029874368858 57.5756706993276,-7.16893661253951 57.5772165422987,-7.17684811778631 57.5796374609632,-7.1837295781308 57.5828405849319,-7.18931663596397 57.5867030070536,-7.19339440216127 57.5910764782379,-7.19580574154497 57.5957930769595,-7.19645737652391 57.6006716397655,-7.19532356454445 57.6055247091131,-7.19244719396293 57.6101657337092,-7.1879382400164 57.6144162452077,-7.18196962433752 57.6181127343282,-7.17477062398968 57.6211129594694,-7.16661807494573 57.62330144157,-7.15782570577375 57.6245939296863,-7.14873201560458 57.6249406614276,-7.1396871722316 57.6243282894713,-7.13103944815288 57.6227803979501,-7.12312173222499 57.6203565883341,-7.11623865126436 57.6171501711346,-7.11065480960094 57.6132845548673,-7.10658460672369 57.608908474902,-7.10418402636256 57.6041902499268,-7.10354470814669 57.5993112909764)))', 'GBRNN', 'Bernera, North Uist', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.93579147472487 58.1822450428012,-6.93698044329798 58.1773950863639,-6.9399370725167 58.1727607943255,-6.94454716174644 58.1685201395061,-6.95063318577019 58.1648359189971,-6.9579611718106 58.1618495236732,-6.96624970447362 58.1596755337604,-6.97518071058539 58.1583973437257,-6.98441161404147 58.1580639803578,-6.9935884039767 58.1586882328573,-7.00235912872592 58.1602461646549,-7.01038731373223 58.1626780252216,-7.01736480401899 58.165890528048,-7.02302355104735 58.1697604100029,-7.0271458994255 58.1741391391609,-7.02957298038109 58.1788585945916,-7.03021088510177 58.1837375041244,-7.02903437043551 58.1885883962004,-7.02608793987048 58.1932248008535,-7.02148424138964 58.1974684236378,-7.0153998272746 58.2011560156166,-7.00806842520526 58.2041456726398,-6.99977197063205 58.2063223179168,-6.99082974276692 58.207602152725,-6.98158602612633 58.207935899873,-6.97239678227006 58.2073107117334,-6.96361585886294 58.2057506673183,-6.955581283116 58.2033158387842,-6.9486021829364 58.2000999644872,-6.94294685195116 58.1962268208345,-6.93883242548739 58.1918454363151,-6.93641656627691 58.1871243361135,-6.93579147472487 58.1822450428012)))', 'GBRNR', 'Bernera, Lewis', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.86082323998627 50.5336328697697,-4.86138427190459 50.5287494308105,-4.86342890809945 50.5240295662765,-4.86687817609816 50.5196545876525,-4.87159924228845 50.5157925093464,-4.87741055914065 50.5125916092882,-4.88408886004232 50.5101747519218,-4.89137773023598 50.508634688531,-4.89899742589358 50.5080305121757,-4.90665556928364 50.5083854005514,-4.91405831740071 50.5096857314258,-4.92092158504759 50.5118816037182,-4.92698190154782 50.5148887445616,-4.93200649304853 50.5185917306618,-4.93580220945106 50.5228484027643,-4.93822295573997 50.5274953067929,-4.9391753408512 50.5323539558946,-4.93862232179386 50.5372376757001,-4.93658469463094 50.5419587718609,-4.93314036477429 50.5463357453888,-4.9284214140484 50.5502002781697,-4.92260906792138 50.5534037186027,-4.91592674970199 50.5558228154944,-4.90863148574716 50.5573644766136,-4.90100399327751 50.5579693656602,-4.89333783701981 50.5576141964378,-4.88592807986737 50.5563126339353,-4.87905987408029 50.5541147667376,-4.87299744212166 50.5511051714185,-4.86797387990243 50.547399644944,-4.86418218082105 50.5431407333174,-4.86176782829147 50.538492231562,-4.86082323998627 50.5336328697697)))', 'GBROC', 'Rock', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.73460102503121 59.0329099454489,-2.73556836018317 59.0280447620855,-2.73835768665319 59.0233703015537,-2.74286116966884 59.0190660881857,-2.74890531715294 59.0152973635661,-2.75625771142495 59.0122087618085,-2.76463596259851 59.0099187811314,-2.77371853638905 59.0085152596645,-2.78315704396997 59.0080520248582,-2.79258953170142 59.0085468414788,-2.80165427496532 59.0099807345452,-2.81000356355019 59.0122987123753,-2.81731696630081 59.0154118628861,-2.82331358008025 59.0192007451571,-2.82776280221346 59.0235199497453,-2.83049321591137 59.0282036570076,-2.83139924373211 59.0330719843342,-2.8304453034481 59.0379378822006,-2.82766729168574 59.0426143165884,-2.82317132065726 59.0469214626643,-2.81712973880633 59.0506936323662,-2.8097745732154 59.0537856670982,-2.80138863567535 59.0560785460023,-2.79229463064895 59.0574839897194,-2.78284268726636 59.0579478781532,-2.77339680465016 59.0574523470283,-2.76432074667184 59.0560164801029,-2.75596394610704 59.053695569562,-2.74864797774026 59.0505789739676,-2.74265413529656 59.0467866587235,-2.73821259953659 59.0424645559113,-2.7354936170673 59.0377789264018,-2.73460102503121 59.0329099454489)))', 'GBROU', 'Rousay', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.18577264109128 58.2159673805136,-6.18706486579933 58.2111254970543,-6.1901214604548 58.2065096315952,-6.1948243936737 58.202297044015,-6.20099258855316 58.1986494496867,-6.20838893370721 58.195706831031,-6.21672940591232 58.1935820873492,-6.22569395225269 58.1923567240983,-6.23493871858432 58.1920777430331,-6.24410916516917 58.1927558493474,-6.25285358037372 58.1943650426876,-6.26083648991883 58.1968436073936,-6.26775146254453 58.2000964652647,-6.27333283308055 58.2039988032966,-6.27736590047008 58.208400840924,-6.27969521062689 58.2131335580006,-6.28023060103938 58.218015167649,-6.27895076418081 58.2228580886618,-6.27590417785617 58.2274761515923,-6.27120734977255 58.2316917620173,-6.26504042737938 58.2353427443634,-6.25764032833461 58.2382886004153,-6.24929164735461 58.2404159380069,-6.24031568706602 58.2416428567816,-6.23105803928493 58.2419221181694,-6.22187520483678 58.2412429742999,-6.21312078129797 58.2396315834855,-6.20513176662658 58.2371499959323,-6.19821552153073 58.2338937500426,-6.19263790489924 58.2299881746162,-6.18861304628801 58.2255835430818,-6.18629515007043 58.220849270484,-6.18577264109128 58.2159673805136)))', 'GBRRB', 'Garrabost', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-3.51096876181077 50.3331780600578,-3.51166639523982 50.3283008102735,-3.51383674210385 50.3236043656159,-3.51739601498324 50.3192691305352,-3.52220717388369 50.3154615877453,-3.52808523190426 50.3123279183471,-3.53480437877402 50.3099884055599,-3.54210664632822 50.3085328338737,-3.54971178481055 50.3080170571588,-3.55732797613076 50.3084608648227,-3.56466298095567 50.309847226111,-3.57143530145612 50.3121229408681,-3.57738494101068 50.3152006723123,-3.58228335618837 50.3189622854728,-3.58594222457433 50.323263365698,-3.58822069379811 50.3279387468293,-3.58903083142128 50.3328088398764,-3.58834106066545 50.337686521813,-3.58617744138194 50.3423843217073,-3.58262273677786 50.3467216287868,-3.57781329136848 50.3505316448949,-3.57193383118993 50.3536678123906,-3.5652103799776 50.3560094677416,-3.55790156119276 50.3574665002718,-3.55028862195772 50.3579828337104,-3.54266456795796 50.3575385938936,-3.5353228355497 50.3561508773672,-3.52854594677632 50.3538730906099,-3.52259459373685 50.3507928858469,-3.51769758072349 50.3470287745895,-3.51404301668292 50.3427255518019,-3.51177109868741 50.3380487098279,-3.51096876181077 50.3331780600578)))', 'GBRRD', 'River Dart', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.55388187743999 57.350944699242,-5.55443008308273 57.3460631197654,-5.55672898508852 57.3413331286946,-5.56068962761801 57.3369364101298,-5.56615936891077 57.3330417840052,-5.57292781340772 57.329798740294,-5.58073492679015 57.327331721317,-5.58928101764984 57.3257353677628,-5.59823820397407 57.3250709068254,-5.60726293148362 57.3253638174584,-5.61600907518355 57.3266028597182,-5.62414113594143 57.3287405042159,-5.63134704082205 57.3316947455497,-5.63735006931621 57.3353522320067,-5.64191945725761 57.3395725945489,-5.64487927556994 57.3441938128184,-5.64611524109845 57.3490384162487,-5.64557919027288 57.3539202858154,-5.64329103130262 57.3586517978459,-5.63933808449897 57.3630510366883,-5.63387182001715 57.3669487987193,-5.6271021041006 57.3701951165529,-5.61928916462698 57.3726650494126,-5.61073357997239 57.3742635129973,-5.60176467749444 57.3749289588791,-5.59272779515328 57.3746357581554,-5.58397090840989 57.3733951949336,-5.5758311519294 57.3712550301557,-5.56862177025034 57.368297652914,-5.56262001319023 57.3646368923352,-5.55805645134794 57.3604136159125,-5.55510612682728 57.3557902876152,-5.55388187743999 57.350944699242)))', 'GBRRO', 'Carron', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.23448258141261 59.1170966876545,-3.23538146162597 59.112227969517,-3.23810954376676 59.107542938654,-3.24256133523981 59.1032215286217,-3.24856531649447 59.0994296435672,-3.25589059904492 59.0963128077851,-3.26425582228347 59.0939906030649,-3.273339943645 59.0925521030768,-3.28279451091962 59.0920524757275,-3.29225695500811 59.092510880212,-3.30136440714922 59.093909736988,-3.30976752720278 59.0961953977823,-3.31714382921651 59.0992801907229,-3.32321000724224 59.1030457645032,-3.32773279793599 59.1073476068475,-3.33053796630636 59.1120205681393,-3.3315170661047 59.1168851824804,-3.33063170532702 59.121754547159,-3.32791513807631 59.1264414988009,-3.32347110391171 59.1307658114293,-3.31746994140253 59.134561139004,-3.31014210990245 59.1376814331379,-3.3017693580699 59.1400065855387,-3.29267387462859 59.141447073778,-3.28320584156353 59.1419474272551,-3.27372987802214 59.1414883762283,-3.26461091098354 59.1400875986705,-3.25620003362828 59.1377990352771,-3.24882091288604 59.134710799815,-3.24275728382717 59.1309417676841,-3.23824202173481 59.1266369776621,-3.23544821543746 59.1219620281221,-3.23448258141261 59.1170966876545)))', 'GBRSB', 'Birsay', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.70277622359874 58.1991587282584,-6.70399750800406 58.1943111966197,-6.70698578244487 58.1896825512824,-6.71162563325832 58.1854505465313,-6.71773839636868 58.1817776460188,-6.72508907733453 58.1788048052456,-6.73339539465703 58.1766460839127,-6.74233859698291 58.1753842907581,-6.75157564321605 58.1750678239897,-6.76075228799586 58.1757088252971,-6.76951658443177 58.1772827162775,-6.7775323019496 58.1797291346358,-6.78449175984967 58.1829542354404,-6.79012759667187 58.1868342717853,-6.79422303139541 58.1912203211543,-6.79662022422975 58.1959439802747,-6.79722641121835 58.2008238138889,-6.79601756651239 58.2056723131074,-6.79303943681595 58.2103030981014,-6.78840589134739 58.2145380888433,-6.78229463424899 58.2182143670912,-6.77494043068201 58.2211904631152,-6.76662609842637 58.2233518216314,-6.75767160903537 58.2246152324139,-6.74842172196032 58.2249320509849,-6.73923263746706 58.2242900820963,-6.73045819628281 58.2227140514564,-6.72243617342859 58.2202646471046,-6.71547520953253 58.2170361685638,-6.70984289532554 58.2131528769698,-6.70575547553911 58.2087641904204,-6.7033695697614 58.2040389136747,-6.70277622359874 58.1991587282584)))', 'GBRST', 'Breasclete', 'Y'),('SRID=4326;MULTIPOLYGON(((1.25738664818253 51.9336049139817,1.25679940021965 51.9287228733571,1.25468309711559 51.9240054386613,1.25111949760666 51.9196338234745,1.24624585060754 51.9157759064713,1.2402495750394 51.9125797982216,1.23336103818972 51.9101681717467,1.2258447130022 51.908633571306,1.21798905253646 51.9080348762008,1.21009546493109 51.9083950524272,1.20246680344666 51.9097002764091,1.19539580285232 51.9119004635313,1.18915389519825 51.9149111815713,1.18398082486095 51.9186168772017,1.18007545495291 51.9228752943249,1.17758811538656 51.9275229178253,1.17661478808572 51.9323812370441,1.17719335848379 51.9372635913665,1.17930208644304 51.941982337065,1.18286036647344 51.9463560609712,1.18773175950317 51.9502165633777,1.19372918975898 51.9534153401104,1.20062211416434 51.9558293118955,1.2081453918108 51.9573655774213,1.21600951118942 51.9579650038918,1.2239117763673 51.957604513967,1.23154801300044 51.956297978981,1.23862433307113 51.9540956831376,1.2448684946876 51.9510823796936,1.25004041032953 51.9473740155806,1.253941392678 51.9431132531487,1.25642177978759 51.9384639645649,1.25738664818253 51.9336049139817)))', 'GBRSY', 'Ramsey', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.78678315911187 57.3995633570272,-1.78783190896614 57.3947046073977,-1.79061568922072 57.3900496264174,-1.79502695839258 57.3857771907426,-1.80089583207334 57.382051327124,-1.80799666629967 57.3790150333961,-1.81605674489483 57.3767848112838,-1.82476673457921 57.3754462168554,-1.8337925099434 57.3750505954405,-1.84278790336226 57.3756131230411,-1.85140790356834 57.3771122272989,-1.85932181148379 57.3794904096401,-1.8662258632967 57.3826564380421,-1.87185484864703 57.3864888287062,-1.87599228585466 57.390840486518,-1.87847876574491 57.3955443302249,-1.87921813976829 57.40041969035,-1.87818130524331 57.4052792374688,-1.87540742857761 57.4099361768592,-1.87100254352358 57.414211433715,-1.86513556256406 57.4179405517869,-1.85803184150969 57.4209800377796,-1.8499645360277 57.4232129039745,-1.84124407962472 57.4245531917651,-1.83220619117465 57.4249492980223,-1.82319888241322 57.424385972931,-1.81456897861364 57.4228849102606,-1.80664868658711 57.420503906736,-1.79974274206712 57.4173346238798,-1.79411664355812 57.4134990409522,-1.78998643324194 57.4091447390603,-1.78751042006353 57.4044392019936,-1.78678315911187 57.3995633570272)))', 'GBRTL', 'Port Erroll', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.1575699995269 54.0990045322346,-6.15871801778235 54.0941587730688,-6.16145179115737 54.0895377133565,-6.16566582584055 54.085318829727,-6.17119791372979 54.0816641037288,-6.17783540615357 54.0787138194675,-6.18532339383898 54.0765811976481,-6.19337447761336 54.0753480684281,-6.20167975823517 54.0750617457531,-6.20992063134169 54.0757332204154,-6.21778094574075 54.0773367395679,-6.22495907075782 54.0798107885651,-6.23117942134312 54.0830604385879,-6.23620300810611 54.0869609723038,-6.23983661302056 54.0913626516255,-6.24194023952083 54.0960964481426,-6.24243254697047 54.1009805196469,-6.24129405243304 54.1058271867779,-6.23856796519621 54.1104501434377,-6.23435860892697 54.1146716242047,-6.22882747948013 54.1183292521399,-6.22218707961089 54.1212823013444,-6.21469276122253 54.1234171301751,-6.2066328872794 54.1246515724769,-6.19831769524774 54.124938114399,-6.19006729841471 54.1242657317704,-6.18219929787537 54.1226603156684,-6.17501649444987 54.120183669532,-6.16879518543207 54.1169311175718,-6.16377450612302 54.1130278189138,-6.16014723191362 54.1086239325827,-6.15805239557659 54.1038888229855,-6.1575699995269 54.0990045322346)))', 'GBRTV', 'Rostrevor', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.07041927495426 57.6826664465324,-2.07143876938707 57.6778054871592,-2.07420840483426 57.6731444250667,-2.07862116861637 57.6688622712031,-2.08450710599642 57.6651234252003,-2.09163990820862 57.6620713821245,-2.09974562671814 57.6598232464292,-2.1085131762695 57.6584652596269,-2.11760622688901 57.6580495093167,-2.12667603738985 57.6585919425204,-2.13537475105748 57.6600717574031,-2.14336865865233 57.6624321960645,-2.15035093492644 57.6655827089346,-2.15605337249792 57.6694024101336,-2.16025667086704 57.6737446947029,-2.16279888796765 57.6784428445648,-2.1635817259036 57.6833164120301,-2.16257439990798 57.6881781390975,-2.15981492799545 57.6928411489729,-2.15540877554055 57.6971261341767,-2.14952489076415 57.7008682640313,-2.14238926993861 57.7039235435343,-2.13427629070405 57.7061743755151,-2.12549814369444 57.7075341079757,-2.11639277225188 57.7079503875557,-2.10731079329997 57.7074071866566,-2.09860191609262 57.7059254239882,-2.09060139717729 57.7035621539842,-2.0836170683141 57.7004083572613,-2.07791744936985 57.6965854196363,-2.07372141173082 57.6922404387842,-2.07118979208173 57.6875405432665,-2.07041927495426 57.6826664465324)))', 'GBRTY', 'Rosehearty', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.70828434512734 53.3329053117529,-2.70911903764287 53.328035683517,-2.71152421914449 53.3233570686371,-2.71540701360841 53.319049172726,-2.7206179119726 53.315277411168,-2.72695656247227 53.3121865728008,-2.73417948507938 53.3098952797661,-2.74200941135309 53.308491452789,-2.7501458933861 53.3080289525351,-2.75827678119642 53.3085255230744,-2.76609013790441 53.3099621144708,-2.77328614700541 53.3122836098544,-2.77958856630885 53.3154009297897,-2.78475529866296 53.319194435151,-2.78858768009927 53.3235185008195,-2.79093813085197 53.3282070880729,-2.79171587277731 53.3330801051525,-2.79089048651597 53.3379503146548,-2.7884931613036 53.3426305243553,-2.78461557711588 53.3469407858444,-2.77940644979674 53.3507153236004,-2.77306586148354 53.3538089261349,-2.765837587217 53.3561025504866,-2.75799971017887 53.3575079210081,-2.74985388870905 53.3579709420427,-2.741713694636 53.3574737902363,-2.73389248163535 53.3560356040176,-2.72669126226185 53.3537117430543,-2.72038707192201 53.3505916469201,-2.71522227738996 53.3467953773923,-2.7113952476165 53.3424689804086,-2.70905274762452 53.3377788496126,-2.70828434512734 53.3329053117529)))', 'GBRUN', 'Runcorn', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.59397587811409 50.341541576,-4.59456257032966 50.3366590434886,-4.59662600842223 50.3319435559014,-4.60008650388205 50.3275762555193,-4.60481079813363 50.3237248614218,-4.61061722510093 50.3205372414732,-4.61728270976222 50.3181357509942,-4.62455133116843 50.3166125524659,-4.63214412234669 50.3160260928297,-4.63976973581084 50.3163988708744,-4.64713557315793 50.3177165784686,-4.65395896115641 50.3199286477573,-4.65997795518345 50.3229501836946,-4.66496136386946 50.3266652092733,-4.66871761605355 50.3309311013482,-4.67110213199816 50.3355840497873,-4.67202291422754 50.3404453334638,-4.67144413790328 50.3453281748217,-4.66938759443585 50.3500449116752,-4.66593192269152 50.3544142115541,-4.66120964687841 50.3582680509741,-4.6554021257823 50.3614581897927,-4.64873260099472 50.363861889214,-4.64145760853663 50.3653866504654,-4.63385708531622 50.3659737886944,-4.62622355595425 50.3656007018028,-4.61885082397877 50.364281744941,-4.61202261226673 50.362067676154,-4.60600159980717 50.3590436948935,-4.60101928525647 50.3553261504453,-4.59726707320192 50.3510580494293,-4.59488892830726 50.3464035382686,-4.59397587811409 50.341541576)))', 'GBRVF', 'River Fowey', 'Y'),('SRID=4326;MULTIPOLYGON(((0.772517180698302 50.9507607295337,0.771990785403101 50.9458762998094,0.769966366624143 50.9411505744129,0.766522132511484 50.9367650910527,0.76179073482772 50.9328882675653,0.755954126952543 50.9296689470511,0.749236552114847 50.9272306993731,0.741895934214197 50.925667094749,0.734214000773978 50.9250381276855,0.726485512293612 50.9253679256856,0.719007003416611 50.9266438286236,0.71206545818376 50.9288168731705,0.705927343832394 50.9318036639705,0.700828415100199 50.9354895612409,0.696964674086368 50.9397330649058,0.694484830045558 50.9443712300283,0.693484550046983 50.9492259088216,0.694002726644863 50.9541105823864,0.696019914455921 50.958837521833,0.69945900617861 50.963225004625,0.704188132932971 50.9671043085309,0.710025687069068 50.9703262128293,0.716747281299879 50.9727667542993,0.724094379810478 50.974332013514,0.731784268462982 50.9749617440698,0.739520975647668 50.9746317022287,0.747006715496282 50.9733545852393,0.75395340311735 50.9711795412591,0.760093788391931 50.9681902700398,0.765191770856204 50.9645017889856,0.769051492473207 50.96025599153,0.771524855905822 50.9556161718185,0.772517180698302 50.9507607295337)))', 'GBRYE', 'Rye', 'Y'),('SRID=4326;MULTIPOLYGON(((0.740019005540493 51.5337780627282,0.739491332977403 51.5288938985591,0.737446412571516 51.5241677674396,0.733963254548335 51.5197812212904,0.729176016798114 51.5159027164477,0.723268803439197 51.5126811576764,0.716468569669 51.5102401977482,0.709036408577548 51.508673508319,0.701257553429155 51.5080412003892,0.693430474146523 51.5083675288455,0.685855478238869 51.5096399670931,0.678823243483028 51.5118096863193,0.672603711931918 51.5147934212934,0.667435762254259 51.518476652611,0.663518050291086 51.5227179857544,0.661001366674927 51.5273545619968,0.659982806397903 51.5322082966737,0.660501979757036 51.5370927081805,0.662539419032013 51.5418200775057,0.666017252930837 51.5462086642234,0.67080213411332 51.5500897013397,0.676710317228621 51.5533138985741,0.683514699444318 51.5557572014728,0.69095355610802 51.5573255816836,0.698740634614837 51.5579586707996,0.706576213108866 51.5576320950053,0.71415869015139 51.5563584185506,0.721196249029747 51.5541866587542,0.727418137142027 51.5512003915056,0.73258511705586 51.5475145217253,0.736498680569575 51.5432708456128,0.739008668615327 51.5386325785904,0.740019005540493 51.5337780627282)))', 'GBSAA', 'Southend-on-Sea', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.29437409174713 49.8821044756327,-6.29538846517917 49.8772527135424,-6.29784769387749 49.872622008727,-6.30165692862499 49.8683902235705,-6.30666957386675 49.8647198561565,-6.31269295293414 49.8617518148993,-6.31949571900579 49.8596000250657,-6.32681672605717 49.8583470711857,-6.33437502189135 49.8580410397036,-6.34188058570873 49.8586936807358,-6.34904540656303 49.8602799581107,-6.35559448709761 49.8627390047446,-6.36127635944738 49.8659764476606,-6.36587271709015 49.8698680154286,-6.36920679736119 49.8742642923144,-6.37115019357218 49.878996439701,-6.37162783206811 49.8838826680353,-6.3706209165413 49.8887352130898,-6.36816771746485 49.8933675499494,-6.36436216610091 49.8976015677665,-6.35935029724189 49.9012744285553,-6.35332466935781 49.904244844308,-6.3465169716308 49.9063985282622,-6.33918910088492 49.907652607525,-6.33162305425312 49.9079588243221,-6.32411003252505 49.907305400325,-6.31693918204746 49.9057174909045,-6.31038641813278 49.9032562116088,-6.3047037694066 49.9000162753176,-6.30010966058599 49.8961223330549,-6.29678051197172 49.8917241620499,-6.29484397945175 49.8869908892819,-6.29437409174713 49.8821044756327)))', 'GBSAG', 'Saint Agnes', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.6598114054508 51.7095747269708,-4.66040525001778 51.70469286943,-4.66252028698075 51.6999767684717,-4.66607481254485 51.6956075865718,-4.67093193154483 51.6917531095448,-4.67690486325753 51.6885613168143,-4.68376413805725 51.6861547168493,-4.69124640554456 51.6846256620778,-4.69906451724984 51.6840328198605,-4.7069185021783 51.6843989321095,-4.71450702242392 51.6857099475052,-4.72153887954347 51.6879155587251,-4.72774414069729 51.6909311244557,-4.73288446675799 51.6946409040282,-4.73676225236351 51.6989024831113,-4.73922822961101 51.7035522237409,-4.74018724173752 51.7084115327183,-4.73960195927182 51.7132937105499,-4.73749438686282 51.7180111199124,-4.73394509189551 51.7223823991376,-4.72909017322372 51.7262394431124,-4.72311607658912 51.7294338816189,-4.71625244896456 51.7318428033928,-4.70876330342681 51.7333735025311,-4.70093683556676 51.7339670613331,-4.69307428852951 51.7336006287928,-4.68547830372615 51.7322883049914,-4.67844121601198 51.7300805964445,-4.67223375453681 51.7270624637653,-4.66709459340552 51.7233500384173,-4.6632211606286 51.7190861375268,-4.66076206142938 51.7144347525319,-4.6598114054508 51.7095747269708)))', 'GBSAU', 'Saundersfoot', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.371370459203951 54.2860778125757,-0.372499415780114 54.2812299305421,-0.375222530317953 54.276604016852,-0.379434710851098 54.2723777351542,-0.384973813632709 54.2687133510367,-0.391626915430612 54.2657515187893,-0.399138504801224 54.2636059013688,-0.407220276280942 54.2623588264882,-0.415562154936156 54.2620581421148,-0.423844135941964 54.2627153892955,-0.431748495785372 54.2643053607753,-0.438971918908063 54.2667670620497,-0.445237086384997 54.2700060390743,-0.450303291541541 54.2738979856411,-0.453975680890808 54.278293495191,-0.456112766721283 54.2830237782736,-0.456631918969452 54.2879071296062,-0.45551261708751 54.2927558991672,-0.452797325350153 54.2973837012304,-0.448589944773786 54.3016125846597,-0.443051888354148 54.3052798877773,-0.436395920022101 54.3082445119023,-0.428877987623174 54.3103923690397,-0.420787362289037 54.3116407904992,-0.412435466873564 54.311941723309,-0.404143831164799 54.3112835885998,-0.396231648518626 54.3096917287449,-0.389003425444669 54.3072274257372,-0.38273721161584 54.303985529712,-0.377673873002178 54.3000907912687,-0.374007826683509 54.295693042004,-0.371879594701941 54.2909614123441,-0.371370459203951 54.2860778125757)))', 'GBSCA', 'Scarborough', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.74405221504389 50.2332559111788,-3.74472467473969 50.2283772984588,-3.74686761971112 50.2236765521179,-3.75039831567566 50.2193342434836,-3.75518081916943 50.2155171283982,-3.76103124133088 50.2123717566497,-3.76772482972353 50.2100188614089,-3.77500459379811 50.2085487410542,-3.78259114432148 50.2080178075934,-3.7901933742133 50.2084464315169,-3.79751957881645 50.2098181639784,-3.80428859837815 50.2120803654354,-3.81024056477914 50.215146217118,-3.81514684832853 50.2188980397557,-3.81881882842542 50.223191794701,-3.82111515341011 50.2278625976898,-3.82194720894184 50.2327310366248,-3.82128257927956 50.2376100534292,-3.81914635998426 50.2423121274696,-3.81562026141586 50.2466564852888,-3.81083952712587 50.2504760590747,-3.80498777662928 50.2536239247249,-3.79828996458819 50.2559789693943,-3.79100372456342 50.2574505674734,-3.78340943169333 50.2579820819839,-3.77579937176166 50.2575530539755,-3.76846644147951 50.2561799938131,-3.76169282452391 50.2539157431698,-3.75573908892521 50.250847432786,-3.75083413371728 50.2470931162471,-3.74716637727171 50.2427972118745,-3.74487652823496 50.2381249311628,-3.74405221504389 50.2332559111788)))', 'GBSCB', 'Salcombe', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.65321480394053 57.866143385994,-6.65443031665417 57.8612960615036,-6.65739620273691 57.8566682009298,-6.66199792235142 57.8524375296103,-6.66805828575775 57.8487664619179,-6.67534431534523 57.8457958853354,-6.68357621096479 57.8436397750551,-6.69243807226112 57.8423808416824,-6.70158997058885 57.8420673751056,-6.71068091692119 57.8427114024297,-6.7193622418501 57.8442882286991,-6.72730088988692 57.8467373776156,-6.73419213304797 57.849964897358,-6.73977122812112 57.8538469456481,-6.74382357774042 57.8582345201462,-6.74619300679634 57.8629591567538,-6.74678783171395 57.8678393810593,-6.74558447916958 57.8726876684393,-6.74262850072939 57.8773176474662,-6.73803292788275 57.8815512702876,-6.73197401457813 57.8852256731919,-6.72468451765806 57.8881994609405,-6.71644476513864 57.89035816947,-6.70757185351613 57.8916186926143,-6.69840739374968 57.8919324984566,-6.68930428723458 57.8912875082413,-6.68061305465937 57.8897085635161,-6.67266825986287 57.8872564630952,-6.66577556661543 57.8840256081403,-6.66019993888836 57.8801403486856,-6.65615544617268 57.8757501759411,-6.65379706743475 57.8710239495642,-6.65321480394053 57.866143385994)))', 'GBSCC', 'Scalpay, Outer Hebrides', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.79226731376463 57.8221950010155,-6.79346255804379 57.8173461811568,-6.7964069471834 57.8127148999367,-6.80098676691729 57.808479015204,-6.80702566704686 57.804801142497,-6.81429149152441 57.8018224312637,-6.82250521270925 57.7996571693254,-6.83135162461465 57.7983884185645,-6.84049138875646 57.798064845357,-6.84957397992056 57.798698864159,-6.85825104871762 57.8002661635015,-6.86618970374758 57.8027066321439,-6.87308521880003 57.8059266510242,-6.87867268974377 57.8098026656629,-6.88273720129331 57.8141859055677,-6.8851221150355 57.8189080736293,-6.88573515589286 57.8237877910889,-6.88455205302801 57.8286375538427,-6.88161758090277 57.8332709349031,-6.87704394400861 57.8375097567402,-6.87100655126108 57.8411909566689,-6.86373732921933 57.8441728787019,-6.8555158227695 57.8463407462023,-6.84665842313348 57.847611100614,-6.83750614157954 57.8479350314193,-6.82841140898764 57.8473000697207,-6.81972442317234 57.8457306705351,-6.81177958531068 57.8432872647859,-6.8048825628914 57.8400639186832,-6.79929848952534 57.8361846932463,-6.79524176324466 57.8317988477822,-6.79286783722507 57.8270750760721,-6.79226731376463 57.8221950010155)))', 'GBSCH', 'Stockinish', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.87044269035912 57.6665929216927,-1.87148843810733 57.6617336676705,-1.87428240720387 57.6570770690816,-1.87871665339335 57.6528019641419,-1.88462040105213 57.6490724808732,-1.89176666205255 57.6460317544008,-1.89988097535904 57.6437964547592,-1.9086519290568 57.6424523311862,-1.91774306435696 57.6420509399151,-1.92680571374868 57.64260767772,-1.93549229384255 57.6441011945442,-1.94346955815334 57.6464742071329,-1.95043131636843 57.6496356834346,-1.95611014452833 57.6534643163921,-1.9602876447067 57.6578131573367,-1.96280286259461 57.6625152352278,-1.96355853583493 57.6673899500334,-1.96252492349697 57.6722499980962,-1.95974105563081 57.6769085656443,-1.95531333867218 57.6811865147064,-1.94941155422697 57.6849192842693,-1.94226239153824 57.6879632388995,-1.93414075339429 57.6902012171044,-1.925359166849 57.6915470618586,-1.91625570944735 57.691948954894,-1.90718092463163 57.6913914230473,-1.8984842433025 57.6898959372612,-1.89050044976778 57.6875200805476,-1.88353672835371 57.6843553179507,-1.87786080189589 57.6805234568368,-1.87369062655984 57.6761719373316,-1.87118604151257 57.6714681382618,-1.87044269035912 57.6665929216927)))', 'GBSCM', 'Saint Combs and Charleston', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.48520181583209 58.6001892222855,-3.48605272905937 58.5953184645589,-3.48870708977227 58.5906279122209,-3.49306225744108 58.5862977149272,-3.49895043541769 58.5824941189996,-3.50614518442532 58.5793631031514,-3.5143701485625 58.5770247977067,-3.52330965491332 58.5755688973604,-3.53262078261263 58.5750512393225,-3.54194644700023 58.5754916745565,-3.55092901031042 58.5768733113429,-3.5592239127795 58.5791431592661,-3.56651281739572 58.5822141496576,-3.57251577776799 58.5859684572572,-3.57700197148986 58.5902619991294,-3.57979859034576 58.594929942341,-3.58079754278439 58.5997930132016,-3.5799597018193 58.604664369444,-3.57731652088333 58.6093567738826,-3.57296893848807 58.6136897948967,-3.56708359649118 58.6174967562794,-3.55988650241382 58.6206311669576,-3.55165436916956 58.6229723797748,-3.54270396110429 58.6244302574145,-3.53337985877171 58.6249486616411,-3.52404112210569 58.6245076278901,-3.51504737901138 58.6231241390005,-3.5067448912748 58.6208514673539,-3.49945315069461 58.6177771115061,-3.49345253540829 58.6140194090776,-3.4889735108007 58.6097229598356,-3.48618779365318 58.6050530393335,-3.48520181583209 58.6001892222855)))', 'GBSCR', 'Scrabster', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.37403418713356 54.5824303114378,-1.37505352612126 54.5775727334222,-1.37768419366398 54.5729239608731,-1.38182462951902 54.5686625404886,-1.38731542392097 54.5649520902122,-1.39394548832693 54.5619350337238,-1.40146017948926 54.5597271525479,-1.40957106287727 54.5584131612864,-1.41796694368038 54.5580434722822,-1.42632574959054 54.5586322709885,-1.43432682027506 54.5601569740888,-1.4416631445259 54.5625590906996,-1.44805308779065 54.5657464545679,-1.45325117013028 54.5695967438369,-1.45705748727724 54.5739621564674,-1.45932541470445 54.5786750654835,-1.45996729538022 54.5835544404678,-1.45895788462569 54.5884127916266,-1.45633540813557 54.5930633715366,-1.45220017913971 54.5973273583459,-1.4467108147053 54.6010407433964,-1.44007818567342 54.6040606562157,-1.43255732573073 54.6062708804286,-1.42443760854817 54.6075863447265,-1.41603157380253 54.6079564125098,-1.4076628396498 54.6073668406593,-1.39965357790964 54.6058403301961,-1.39231204680473 54.6034356471587,-1.38592067358268 54.6002453485155,-1.38072515587835 54.5963922029166,-1.37692500751478 54.5920244472512,-1.37466591387704 54.5873100652005,-1.37403418713356 54.5824303114378)))', 'GBSCT', 'Stockton', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.73524902854537 58.5672820487134,-3.73606443979261 58.5624097086772,-3.73868286598486 58.5577140690567,-3.74300304536142 58.5533754768375,-3.74885852135277 58.5495605023112,-3.75602410525873 58.5464155621439,-3.76422455512767 58.5440613216634,-3.77314513359821 58.5425880870744,-3.78244364199961 58.5420523602351,-3.7917634775395 58.5424746845806,-3.80074722594301 58.5438388623641,-3.80905028404915 58.5460925722817,-3.81635400590406 58.5491493644789,-3.82237788182466 58.552891958639,-3.82689029248071 58.5571767220611,-3.82971742868649 58.5618391600227,-3.83075003134711 58.5667002118924,-3.82994768343088 58.5715731148958,-3.82734047492202 58.5762705744295,-3.82302795979225 58.5806119664428,-3.81717542779773 58.5844302944019,-3.81000761943845 58.587578631111,-3.80180011531536 58.5899357941494,-3.79286872673448 58.5914110323789,-3.78355729810911 58.5919475389047,-3.77422439922197 58.5915246515909,-3.76522943312765 58.5901586538916,-3.75691871078048 58.5879021441769,-3.74961204494429 58.5848419985456,-3.74359039349327 58.5810960078447,-3.73908503709878 58.5768083218674,-3.73626871099758 58.5721438802682,-3.73524902854537 58.5672820487134)))', 'GBSDS', 'Sandside', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.29476656800449 54.836400368822,-1.29580241288796 54.831543768599,-1.29845922240251 54.8268970886332,-1.30263442535194 54.8226387938005,-1.30816727266499 54.8189323802758,-1.31484506009583 54.8159201149545,-1.32241131432809 54.8137175938379,-1.33057562613024 54.8124093246074,-1.33902475620586 54.8120454993826,-1.34743459521805 54.8126400786029,-1.3554825301312 54.8141702577447,-1.36285975511611 54.8165773368836,-1.36928306708313 54.8197689607124,-1.37450570342169 54.8236226453207,-1.37832681239788 54.8279904595935,-1.3805991942187 54.8327046852027,-1.38123501192866 54.8375842414692,-1.38020924451002 54.8424416313087,-1.3775607377294 54.8470901433064,-1.37339079876767 54.8513510336765,-1.36785937530055 54.8550604110976,-1.36117895480393 54.8580755574479,-1.3536064114525 54.8602804381156,-1.34543311193851 54.8615901861984,-1.33697366385716 54.8619543844344,-1.3285537473705 54.8613590155966,-1.32049750972035 54.8598270044209,-1.31311502075303 54.8574173297426,-1.30669028495064 54.8542227420169,-1.30147028168749 54.8503661763805,-1.29765546183355 54.8459960025588,-1.29539206771928 54.8412802980992,-1.29476656800449 54.836400368822)))', 'GBSEA', 'Seaham', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.59627401993809 55.315937657875,-5.59679608544965 55.3110547564424,-5.59897799065035 55.3063237432587,-5.60273534969205 55.301926348806,-5.60792338519874 55.2980314301076,-5.61434255024447 55.2947885018132,-5.6217462230503 55.2923220155171,-5.62985017477735 55.2907266033397,-5.63834344810174 55.2900634645896,-5.64690023524186 55.2903580308317,-5.65519230987563 55.2915989965342,-5.66290154862908 55.293738751338,-5.66973207488259 55.2966951976708,-5.67542157056668 55.3003548856698,-5.6797513301415 55.3045773479758,-5.68255467449188 55.3092004716012,-5.68372340006387 55.3140467044182,-5.68321200882211 55.318929861317,-5.68103954561443 55.3236622710888,-5.67728895883247 55.328061990634,-5.67210399483652 55.3319598089555,-5.66568373294077 55.3352057699625,-5.65827496190716 55.3376749603577,-5.65016268673218 55.3392723363456,-5.64165913190975 55.3399363996449,-5.63309167048849 55.3396415779361,-5.62479015385546 55.3383992156436,-5.6170741428448 55.336257135745,-5.61024054509033 55.333297789788,-5.60455214626761 55.3296350690768,-5.60022748492681 55.3254099026737,-5.59743246402184 55.3207848152399,-5.59627401993809 55.315937657875)))', 'GBSEC', 'Southend, Kintyre', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.21913209755853 58.650090390878,-3.22002124362713 58.6452214311987,-3.2227150277736 58.6405364043917,-3.22710929618856 58.6362152457668,-3.23303475402423 58.632423852768,-3.24026353578432 58.6293077343375,-3.24851798515931 58.6269864483124,-3.25748130347897 58.6255490361821,-3.26680966092539 58.625050626207,-3.27614531468881 58.6255103316672,-3.28513024434619 58.6269105224688,-3.29341979748735 58.6291974971781,-3.30069583828321 58.6322835304835,-3.30667890828766 58.6360502198592,-3.31113894202078 58.6403530065394,-3.31390412921765 58.6450267014825,-3.31486758007084 58.6498918084223,-3.31399152788741 58.6547614048359,-3.31130889328221 58.6594483189919,-3.30692213264956 58.6637723282494,-3.30099939784406 58.6675671011821,-3.29376813980185 58.6706866142836,-3.28550639182047 58.6730107929088,-3.27653206371528 58.6744501551956,-3.26719066144564 58.6749492759891,-3.25784191378085 58.6744889337936,-3.24884583457523 58.6730868556401,-3.24054877365815 58.6707970302953,-3.2332700098481 58.667707617055,-3.22728941614198 58.6639375330093,-3.22283668102221 58.6596318537317,-3.22008250360448 58.6549562086352,-3.21913209755853 58.650090390878)))', 'GBSFK', 'Scarfskerry', 'Y'),('SRID=4326;MULTIPOLYGON(((0.139343413708448 50.7679723812623,0.138884554225614 50.7630861241451,0.136931723782828 50.7583505097575,0.133560380318 50.753947459988,0.128900379743123 50.7500460711131,0.123130940582304 50.7467961323488,0.116473735948251 50.7443223906749,0.109184381438544 50.7427197791203,0.101542645020392 50.7420497885086,0.0938417500991748 50.7423381190732,0.086377174594727 50.7435736999678,0.0794353662447671 50.7457091132684,0.0732827971419423 50.7486624063914,0.0681557686471012 50.7523202247617,0.0642513515883566 50.7565421468746,0.0617198066741382 50.7611660583539,0.0606587773102089 50.7660143618649,0.0611094829196346 50.7709007872892,0.0630550672749912 50.7756375427115,0.0664211755886498 50.7800425325313,0.071078748953236 50.7839463651176,0.0768489383666907 50.7871988792217,0.083509956498648 50.7896749357913,0.0908056071818835 50.7912792493757,0.0984551639135319 50.791950070032,0.10616421271509 50.79166157116,0.113636034310857 50.7904248492295,0.120583077810553 50.7882874958769,0.12673807411775 50.7853317590416,0.13186435235302 50.7816713653319,0.135764955909969 50.7774471283247,0.138290204652095 50.7728215148172,0.139343413708448 50.7679723812623)))', 'GBSFR', 'Seaford', 'Y'),('SRID=4326;MULTIPOLYGON(((1.24131089183491 52.9336187345335,1.24071462151237 52.9287373032077,1.23855414910553 52.9240199321036,1.2349129568612 52.9196478295537,1.2299312939324 52.9157888885049,1.22380073812266 52.9125912534503,1.21675681323408 52.910177650507,1.20906994878161 52.9086406950104,1.2010351278141 52.9080393533265,1.19296061453977 52.9083966916808,1.18515618529143 52.9096989962632,1.17792130338623 52.9118962974362,1.1715336802885 52.9149042783244,1.16623865214714 52.9186074962113,1.16223977253835 52.9228637957988,1.15969097972709 52.927509748238,1.15869064096833 52.9323669105437,1.15927770873939 52.9372486680545,1.16143014624252 52.9419673992794,1.1650656944712 52.94634168882,1.17004496352316 52.9502033107805,1.1761767400426 52.9534037125235,1.18322531438729 52.9558197467284,1.19091954920569 52.9573584279221,1.198963339377 52.9579605270163,1.20704705521137 52.9576028624765,1.21485951936777 52.9562991977718,1.2221000452862 52.9540997096062,1.22849006225301 52.9510890478054,1.23378386967611 52.9473830632307,1.23777809982443 52.9431243323832,1.24031952227219 52.9384766542487,1.24131089183491 52.9336187345335)))', 'GBSGM', 'Sheringham', 'Y'),('SRID=4326;MULTIPOLYGON(((1.05683890453828 51.3176679734684,1.0562792966948 51.3127847537789,1.05421059798201 51.3080637579427,1.05071272445886 51.3036863392776,1.04592039148754 51.2998206029832,1.04001789209484 51.2966149637039,1.03323199561012 51.2941924638551,1.02582324233558 51.2926460677399,1.01807596734485 51.2920351088799,1.01028743127668 51.2923830240733,1.00275646707835 51.2936764591092,0.995772068346906 51.2958657795404,0.989602346855461 51.2988669672511,0.98448427400984 51.3025648315765,0.980614593649489 51.3068174142446,0.978142252421806 51.3114614221589,0.977162639930358 51.316318482676,0.977713865416951 51.3212019840316,0.979775222777418 51.3259242402343,0.983267913606349 51.3303037060872,0.988058011560177 51.3341719647254,0.993961563874692 51.3373802175006,1.00075164092429 51.3398050241162,1.00816706595449 51.3413530690846,1.01592248817689 51.3419647678608,1.02371940660919 51.341616571001,1.03125771216358 51.3403218755972,1.0382472935873 51.3381305079765,1.04441925008972 51.3351267979212,1.04953627000629 51.3314263201003,1.05340176979803 51.3271714306668,1.05586743927201 51.3225257739008,1.05683890453828 51.3176679734684)))', 'GBSHO', 'Shoreham', 'Y'),('SRID=4326;MULTIPOLYGON(((0.8069333950871 51.4337541890612,0.806399393361466 51.4288701782919,0.804351677590943 51.4241451109196,0.800869362417197 51.4197604978664,0.796086570699088 51.4158847213337,0.790187233823191 51.4126665816408,0.783398003476582 51.4102296007555,0.775979550247998 51.4086672981084,0.768216582091541 51.4080396167993,0.760406960773805 51.4083706344873,0.752850325812925 51.4096476447474,0.745836652388723 51.411821643188,0.73963517189556 51.4148091999796,0.734484071190684 51.4184956484472,0.730581359450408 51.4227394698515,0.728077250512861 51.4273777091556,0.727068354663133 51.4322322171024,0.727593908427885 51.437116481798,0.729634195977006 51.4418427894967,0.733111233547357 51.4462294404481,0.737891701747756 51.4501077421999,0.743792022927548 51.453328509991,0.750585395549907 51.4557678217496,0.758010518403008 51.4573318031903,0.765781668142472 51.457960255632,0.773599737428445 51.4576289840173,0.781163800614618 51.4563507334295,0.78818275164036 51.4541746970889,0.794386555644717 51.4511846150775,0.79953667203834 51.4474955385121,0.803435241498976 51.4432493862359,0.805932680813862 51.4386094681398,0.8069333950871 51.4337541890612)))', 'GBSHS', 'Sheerness', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.62294372200552 55.5825130472903,-1.62396054797601 55.5776541350068,-1.62663067628004 55.5730009113104,-1.63085099710063 55.5687320916434,-1.63645900705357 55.5650115737786,-1.64323910240544 55.561982162245,-1.65093087826851 55.5597601067192,-1.65923911282526 55.5584306602773,-1.66784505642676 55.5580448243114,-1.67641860026029 55.5586174020031,-1.68463086918392 55.5601264331289,-1.69216676888374 55.5625140313586,-1.69873701900431 55.5656885928746,-1.70408922131482 55.56952829384,-1.70801754498132 55.5738857457667,-1.71037065895605 55.5785936338577,-1.71105760330402 55.5834711255533,-1.71005136542386 55.5883308062448,-1.70739001150557 55.5929858777008,-1.70317531554622 55.5972573431749,-1.69756892459469 55.6009809020945,-1.69078619590363 55.6040132869578,-1.6830879352605 55.6062377954253,-1.674770351731 55.6075688009825,-1.66615361826162 55.6079550648757,-1.65756948632713 55.6073817187748,-1.64934844301417 55.6058708398872,-1.64180691845864 55.6034805958484,-1.6352350493481 55.6003029932769,-1.6298854803874 55.5964603189829,-1.62596364150456 55.5921004141166,-1.62361987649704 55.5873909669124,-1.62294372200552 55.5825130472903)))', 'GBSHU', 'Seahouses', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.35171523271248 54.8681330425065,-3.3525044523167 54.8632603262288,-3.35492618770138 54.8585700090166,-3.35888687550884 54.854242244834,-3.36423397308963 54.8504432073827,-3.37076187151033 54.8473187254369,-3.37821981551534 54.8449887039871,-3.3863215233283 54.8435425417484,-3.39475613917001 54.8430357172865,-3.4032001050674 54.8434876716752,-3.41132950697755 54.8448810668357,-3.41883243410335 54.8471624472359,-3.42542088984431 54.8502442802145,-3.43084180811376 54.8540082986291,-3.43488675946211 54.85831002058,-3.43739997694102 54.8629842763386,-3.438284390902 54.8678515339475,-3.43750543346578 54.8727247837198,-3.4350924552305 54.8774167193371,-3.43113768635818 54.8817469404481,-3.4257927683932 54.8855488993065,-3.41926297844004 54.8886763223807,-3.41179935972074 54.8910088569197,-3.4036890579345 54.892456721613,-3.39524423721589 54.8929641787112,-3.38679000914019 54.8925116908272,-3.37865185007615 54.8911166772596,-3.37114300401917 54.8888328399289,-3.36455236867249 54.8857480855424,-3.3591333419458 54.8819811260002,-3.35509406531623 54.877676890962,-3.35258944180665 54.8730009327508,-3.35171523271248 54.8681330425065)))', 'GBSIL', 'Silloth', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.52428463688829 54.3679012898436,-5.52480676374733 54.3630180442509,-5.52694991346845 54.3582880879278,-5.53063122068924 54.3538931132365,-5.53570885354332 54.3500018885995,-5.54198751897738 54.3467637923205,-5.54922599229177 54.3443030962886,-5.5571463778789 54.3427142155564,-5.56544474674518 54.3420581025166,-5.57380274839532 54.3423599208401,-5.58189976114557 54.3436080860991,-5.58942512661694 54.3457547087854,-5.59609001139094 54.3487174230266,-5.6016384516275 54.352382532483,-5.60585716457767 54.3566093554633,-5.60858375377636 54.3612356059408,-5.60971299130387 54.3660836075208,-5.60920092945186 54.3709671050014,-5.60706667352072 54.3756984142747,-5.60339173487514 54.3800956370045,-5.59831697582317 54.3839896625253,-5.59203725190587 54.3872306861243,-5.58479394896519 54.3896939902546,-5.57686569787432 54.3912847628037,-5.56855762507899 54.3919417633666,-5.56018955841166 54.3916396931548,-5.55208365186588 54.3903901749438,-5.5445519178216 54.3882413042169,-5.53788415925432 54.3852757890909,-5.53233677751116 54.3816077523149,-5.52812289419284 54.3773783212379,-5.52540417049558 54.3727501789455,-5.52428463688829 54.3679012898436)))', 'GBSJL', 'Strangford', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.2523027720211 58.5334739529936,-4.25304567148695 58.5285986622978,-4.25559234173932 58.5238928139849,-4.25984427276595 58.5195371510167,-4.26563762057889 58.5156989023332,-4.27274957104202 58.5125253802121,-4.28090692947193 58.5101383479567,-4.28979660190426 58.5086293699801,-4.29907756794706 58.508056318529,-4.30839389411573 58.5084411674309,-4.31738830148351 58.5097691549694,-4.32571578300362 58.5119893469504,-4.33305676425599 58.5150165789587,-4.33912931665938 58.5187347054485,-4.34369996411549 58.5230010343982,-4.34659267205265 58.527651781463,-4.34769567097175 58.5325083384934,-4.34696584344475 58.5373841194248,-4.34443049209043 58.5420917231971,-4.34018640372312 58.5464501395964,-4.33439622835589 58.5502917204983,-4.32728229714543 58.5534686463254,-4.31911810632245 58.555858635591,-4.31021779001949 58.5573696737031,-4.30092398906244 58.5579435747777,-4.29159459093854 58.5575582356393,-4.2825888646648 58.5562284926387,-4.27425354049053 58.5540055472237,-4.26690938680769 58.5509749829956,-4.26083881516799 58.5472534528006,-4.25627500011288 58.5429841668435,-4.25339293604117 58.538331359646,-4.2523027720211 58.5334739529936)))', 'GBSKR', 'Skerray', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.36696281474841 60.1663928009394,-1.36816547778062 60.1615403329735,-1.37124388529598 60.1568979745625,-1.37607906420069 60.1526440018113,-1.38248477502498 60.1489417117673,-1.39021473353811 60.1459331745242,-1.39897209272744 60.1437338049959,-1.40842081820402 60.142427958191,-1.418198524843 60.1420657126225,-1.42793029305096 60.1426609616653,-1.43724295037051 60.1441908838146,-1.4457792887059 60.1465968115733,-1.45321168951239 60.1497864668069,-1.45925464881885 60.153637479564,-1.46367573067326 60.1580020592793,-1.46630453092869 60.1627126436065,-1.46703930222543 60.1675883124599,-1.46585097405516 60.1724417246296,-1.46278439676351 60.177086312861,-1.45795674240125 60.18134346158,-1.45155310489259 60.1850493902276,-1.44381945282033 60.1880614747658,-1.43505319550396 60.1902637602369,-1.42559172199031 60.1915714477057,-1.41579935817952 60.191934178434,-1.40605325509095 60.1913379851857,-1.39672876754168 60.1898058332125,-1.38818490467401 60.1873967294829,-1.38075043057226 60.1842034356447,-1.3747111648436 60.1803488755942,-1.37029898112224 60.1759813799396,-1.36768292889373 60.1712689549517,-1.36696281474841 60.1663928009394)))', 'GBSKZ', 'Skeld', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.74589680500841 55.6326356723194,-4.74652769514064 55.6277560879942,-4.7488286838566 55.6230398676825,-4.75271080754637 55.6186681668867,-4.75802450136365 55.6148088497411,-4.76456540408449 55.6116100590877,-4.77208223557785 55.6091945490673,-4.7802864405823 55.6076549941243,-4.78886323017228 55.6070504506997,-4.79748360383455 55.6074041040871,-4.80581690153964 55.608702384564,-4.8135434172556 55.6108954856875,-4.82036660334121 55.6138992653156,-4.82602440919823 55.6175984582668,-4.83029932718474 55.6218510803157,-4.8330267634984 55.626493858157,-4.83410141055163 55.6313484806783,-4.83348136885645 55.6362284348444,-4.83118984866845 55.64094616602,-4.82731437210132 55.6453202886878,-4.82200349203648 55.649182570006,-4.81546114132727 55.6523844158643,-4.80793882054534 55.6548026069946,-4.79972592064527 55.6563440607773,-4.79113855427236 55.6569494316898,-4.78250733216144 55.6565954084609,-4.77416456592249 55.6552956171179,-4.76643140308716 55.6531000941201,-4.75960540325964 55.6500933503184,-4.75394904540259 55.6463911021629,-4.74967961671053 55.6421357990062,-4.74696087528923 55.6374911223274,-4.74589680500841 55.6326356723194)))', 'GBSLC', 'Saltcoats', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.1496760114476 51.8747439354063,-5.15021848967968 51.8698603513475,-5.15228935460029 51.8651360918259,-5.15580859147487 51.860752635252,-5.16064065149174 51.8568783172953,-5.16659970732127 51.8536618798286,-5.17345681459222 51.8512267770689,-5.18094870104679 51.8496664543506,-5.18878784702216 51.8490407774696,-5.19667347549277 51.8493737467302,-5.20430303830928 51.8506525813222,-5.21138376820135 51.8528282082049,-5.21764386393074 51.8558171370521,-5.2228428887208 51.8595046508536,-5.22678098946043 51.8637491922668,-5.22930658555869 51.8683877805119,-5.23032223070864 51.8732422541455,-5.22978841678134 51.8781261029248,-5.22772516472171 51.8828516284784,-5.22421133027613 51.8872371596539,-5.219381639785 51.8911140449432,-5.21342155983765 51.8943331516204,-5.20656019071631 51.8967706191053,-5.199061453506 51.8983326420554,-5.19121391083542 51.8989590958293,-5.18331961805232 51.8986258618477,-5.17568244237077 51.8973457612224,-5.16859631005168 51.8951680597363,-5.16233384480339 51.8921765635556,-5.15713584413884 51.8884863805441,-5.15320200525365 51.8842394744071,-5.15068325990917 51.8795991859319,-5.1496760114476 51.8747439354063)))', 'GBSLV', 'Solva (Solfach)', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.72022097796544 56.2049068210192,-2.72111672777509 56.2000394938309,-2.72369823912675 56.1953630607938,-2.72786577310676 56.1910571335728,-2.73345882077688 56.1872870368265,-2.74026232492953 56.1841974776712,-2.74801496259604 56.1819070113688,-2.75641916735095 56.1805035118677,-2.76515250937262 56.1800408172336,-2.77388000433303 56.1805366755004,-2.78226689050912 56.1819720676393,-2.78999139765687 56.1842919329072,-2.79675703145766 56.1874072695359,-2.80230391373288 56.1911985323434,-2.8064187508263 56.1955202001297,-2.80894304994484 56.2002063413752,-2.80977926480015 56.2050769683963,-2.80889462610924 56.209944939198,-2.80632249735298 56.2146231440812,-2.80216118903095 56.218931701634,-2.7965702622803 56.222704886754,-2.78976445141525 56.2257975221485,-2.78200543057795 56.2280905842255,-2.77359173797273 56.2294958038532,-2.76484724786152 56.2299590810916,-2.75610864177054 56.2294625792105,-2.7477123729943 56.2280254152231,-2.73998164019369 56.2257029196212,-2.73321388548541 56.2225844946178,-2.72766930993443 56.2187901555722,-2.72356085601656 56.2144658920136,-2.72104604474322 56.2097780306438,-2.72022097796544 56.2049068210192)))', 'GBSMC', 'Saint Monance (Saint Monans)', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.97813970082192 50.1506686143059,-4.9786853231617 50.1457844991004,-4.98070299332997 50.1410626082603,-4.98411478268074 50.1366843328138,-4.98878930232674 50.1328178159074,-4.99454679416989 50.1296115081461,-5.00116605687013 50.1271884836305,-5.00839293790368 50.1256417319455,-5.01595006670069 50.1250306037421,-5.02354745996887 50.1253785436119,-5.03089359981961 50.1266721953068,-5.03770656893577 50.1288619127556,-5.04372482511982 50.1318636575786,-5.04871721016607 50.1355622117461,-5.05249181481297 50.1398155844759,-5.05490336191031 50.1444604471782,-5.05585882286402 50.1493183908778,-5.05532104646908 50.1542027685683,-5.05331025252903 50.1589258616604,-5.0499033228472 50.1633060960943,-5.0452309064699 50.1671750304857,-5.03947244129041 50.1703838461897,-5.03284927682901 50.1728090872939,-5.02561615961652 50.1743574267578,-5.0180514096249 50.1749692722049,-5.01044617040546 50.1746210698498,-5.00309315432316 50.1733262159016,-4.9962753255398 50.1711345394639,-4.99025496609279 50.1681303771551,-4.98526355438931 50.1644293150454,-4.9814928515069 50.1601737257282,-4.97908754058677 50.1555272752486,-4.97813970082192 50.1506686143059)))', 'GBSMV', 'Saint Mawes', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.66122562096219 50.0678960219187,-5.66170102145979 50.0630098221148,-5.66364789517069 50.0582771906058,-5.66699103051658 50.0538799352757,-5.6716016695359 50.0499869317411,-5.67730249893917 50.0467476500751,-5.6838744836602 50.0442864314245,-5.69106527737206 50.0426977313258,-5.69859888783311 50.04204250923,-5.70618623052982 50.0423459000462,-5.71353617302434 50.0435962550403,-5.72036665542945 50.0457455879126,-5.72641546989576 50.0487114091515,-5.73145029394649 50.0523798796396,-5.73527759864437 50.0566101648057,-5.73775009229575 50.0612398251213,-5.73877241268677 50.066091039081,-5.73830484429676 50.0709774224869,-5.73636490968928 50.0757111841604,-5.73302676402782 50.0801103441609,-5.72841840563941 50.0840057369031,-5.72271680060694 50.0872475285788,-5.71614110207773 50.0897109959151,-5.70894422177155 50.0913013410331,-5.70140307855917 50.0919573540423,-5.69380790374843 50.0916537796238,-5.68645102214694 50.0904022944639,-5.67961555005882 50.0882510569198,-5.67356445496715 50.0852828464724,-5.66853040655206 50.0816118659749,-5.66470681566592 50.0773793321244,-5.66224040860744 50.0727480267909,-5.66122562096219 50.0678960219187)))', 'GBSNC', 'Sennen Cove', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.24869773867817 58.9641017986223,-3.24959068360594 58.9592328706484,-3.25230479894707 58.9545474398784,-3.25673513544866 58.9502254559985,-3.26271100232497 58.9464328462741,-3.27000259278462 58.9433151640563,-3.27832983908488 58.9409920248285,-3.2873731533039 58.9395525391207,-3.29678564448073 58.9390519133054,-3.3062063524273 58.9395093450824,-3.31527400434716 58.9409072919531,-3.3236407829896 58.9431921398545,-3.33098559469626 58.9462762470915,-3.3370263423645 58.9500412875019,-3.34153074179388 58.9543427681398,-3.3443252695262 58.9590155523374,-3.34530189517082 58.9638801804124,-3.34442232987167 58.9687497489867,-3.34171961297873 58.9734370871855,-3.33729695843606 58.9777619549344,-3.33132388751934 58.9815579859257,-3.32402978135688 58.9846791059519,-3.31569509068067 58.987005176154,-3.30664053674975 58.9884466397871,-3.29721472167075 58.9889479893569,-3.28778063407866 58.9884899169783,-3.27870158370334 58.9870900626759,-3.2703271231086 58.9848023309026,-3.26297951545895 58.9817148023974,-3.25694128351042 58.9779463241798,-3.25244432846426 58.9736419125706,-3.24966104043724 58.9689671504506,-3.24869773867817 58.9641017986223)))', 'GBSNS', 'Stromness', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.722071207828 56.3329073818091,-2.72296977061291 56.3280401451794,-2.72555973721235 56.3233637789875,-2.72974103938738 56.3190578918525,-2.73535263616474 56.3152878061743,-2.74217875648139 56.3121982277932,-2.74995720927924 56.3099077118571,-2.75838943901039 56.3085041334955,-2.76715194326215 56.3080413333155,-2.77590862219882 56.3085370632288,-2.7843235977554 56.3099723092994,-2.79207402462577 56.3122920168712,-2.7988624153555 56.3154071909523,-2.804428018274 56.3191982934568,-2.80855681928454 56.3235198101988,-2.81108978604341 56.3282058161921,-2.81192903477868 56.3330763294431,-2.81104167442649 56.3379442125096,-2.80846116785893 56.3426223589058,-2.8042861431119 56.346930888993,-2.79867668547601 56.3507040780064,-2.79184824034677 56.3537967476512,-2.78406335271131 56.3560898721624,-2.77562155776217 56.3574951792781,-2.76684781413091 56.3579585652037,-2.7580799327495 56.3574621888525,-2.74965549715621 56.3560251625754,-2.74189879286304 56.3537028120491,-2.73510826300402 56.3505845346319,-2.72954498491012 56.3467903408647,-2.72542261874202 56.3424662155498,-2.72289921719594 56.3377784808047,-2.722071207828 56.3329073818091)))', 'GBSNW', 'Saint Andrews', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.06908654370121 58.6830346127658,-3.06999743267772 58.6781667178802,-3.07271386357906 58.6734848576844,-3.07713081310031 58.669168844649,-3.08307811715655 58.6653843775888,-3.09032707431274 58.6622766987952,-3.09859925719585 58.6599650417536,-3.10757718993117 58.6585380783683,-3.11691648472991 58.6580505362163,-3.12625898093391 58.6585211120626,-3.13524639607772 58.6599317593026,-3.14353398144678 58.6622283758148,-3.15080367446561 58.665322866647,-3.15677625704262 58.6690965047498,-3.16122206246036 58.6734044643469,-3.16396982294719 58.6780813571558,-3.16491331472484 58.6829475631641,-3.16401553562965 58.6878161164819,-3.16131024030586 58.6924998842283,-3.15690075676914 58.6968187635263,-3.15095611247452 58.7006066191989,-3.14370460392895 58.7037176930696,-3.13542504692785 58.7060322347831,-3.12643603998707 58.7074611332692,-3.11708365684422 58.7079493663489,-3.10772805074268 58.7074781320693,-3.0987295000145 58.7060655772758,-3.09043444866747 58.7037660944982,-3.08316209590314 58.7006682150525,-3.07719206473172 58.6968911818737,-3.0727536334388 58.6925803376075,-3.07001694715086 58.6879015097006,-3.06908654370121 58.6830346127658)))', 'GBSOA', 'Stroma', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.36051109622554 50.8994520102561,-1.3614408668804 50.8945909906414,-1.36385191852948 50.8899380440094,-1.36765122192319 50.8856718898705,-1.37269253498884 50.881956346054,-1.37878205874814 50.8789340527812,-1.38568589453337 50.8767210132907,-1.39313901450514 50.8754021574425,-1.40085540351333 50.8750280955259,-1.40853898909372 50.8756131843527,-1.4158949488777 50.8771349782903,-1.42264097155635 50.8795350859131,-1.42851804908446 50.8827214002502,-1.43330039401191 50.8865716189916,-1.43680410633488 50.8909379223168,-1.43889425836125 50.8956526319394,-1.43949012267872 50.9005346371763,-1.4385683358593 50.9053963437886,-1.43616386701331 50.9100508802633,-1.43236874321869 50.9143192850511,-1.4273285702413 50.9180373976822,-1.42123697348986 50.9210621868566,-1.41432816722496 50.9232772693572,-1.40686793599602 50.9245974042939,-1.39914337757837 50.9249717866474,-1.39145180815623 50.9243860108222,-1.38408926556711 50.9228626270404,-1.3773390632928 50.9204602687672,-1.37146084568331 50.9172713856152,-1.36668057375432 50.9134186709729,-1.36318183191306 50.9090503246392,-1.36109879114042 50.9043343359294,-1.36051109622554 50.8994520102561)))', 'GBSOU', 'Southampton', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.5514369061035 59.1498413998292,-2.55243356305333 59.1449777194021,-2.55525737326299 59.1403073381051,-2.55979917446394 59.1360096217538,-2.56588400285216 59.132249560666,-2.57327788121864 59.1291714548362,-2.58169683169601 59.1268933985309,-2.59081776364395 59.1255027717089,-2.60029082214697 59.1250529070266,-2.6097527328717 59.1255610567347,-2.61884064558208 59.1270077351147,-2.62720596200837 59.1293374609031,-2.63452763426971 59.1324608721395,-2.64052443765332 59.1362581347776,-2.64496575598784 59.1405835179266,-2.64768046852687 59.1452709644344,-2.64856359320182 59.1501404472585,-2.64758042082825 59.1550048711793,-2.64476796627946 59.1596772571732,-2.64023366302901 59.1639779342282,-2.63415133338428 59.1677414612869,-2.62675457413948 59.1708230106925,-2.61832780174589 59.1731039639249,-2.60919529765826 59.1744964999937,-2.59970867854707 59.1749469955766,-2.5902332832291 59.1744381023734,-2.5811340148512 59.1729894192935,-2.57276120048198 59.1706567327984,-2.5654370294945 59.1675298555899,-2.55944310700618 59.1637291493774,-2.55500961059452 59.1594008693043,-2.55230647018762 59.1547115135526,-2.5514369061035 59.1498413998292)))', 'GBSOY', 'Stronsay', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.98642042575167 57.6826355341696,-1.98745115398182 57.6777752896923,-1.99023154236191 57.6731161022743,-1.99465416621705 57.6688369102864,-2.00054869368803 57.6651019991904,-2.00768848797919 57.6620547127291,-2.01579933390792 57.6598119727112,-2.0245699508884 57.6584598136785,-2.0336638921808 57.6580500998296,-2.04273238271503 57.6585985468561,-2.05142761602595 57.6600841224552,-2.05941601539719 57.6624498478801,-2.0663909654705 57.6656049707418,-2.07208453832541 57.6694284281101,-2.07627777207143 57.6737734705315,-2.0788091096996 57.6784732735649,-2.07958067028343 57.683347325433,-2.07856210208594 57.6882083488707,-2.07579185562563 57.6928694934823,-2.07137581156312 57.6971515229325,-2.06548330004237 57.7008897197821,-2.05834065094572 57.7039402400622,-2.05022251407105 57.7061856696445,-2.0414412799835 57.7075395645245,-2.0323350117827 57.7079497962364,-2.02325436120197 57.7074005702481,-2.01454898596628 57.7059130374527,-2.00655400680922 57.7035444745631,-1.99957704080028 57.7003860659469,-1.99388632276471 57.696559374761,-1.98970037996961 57.6922116427779,-1.98717965944171 57.6875101038997,-1.98642042575167 57.6826355341696)))', 'GBSPI', 'Sandhaven and Pitullie', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.85989704088867 51.6176423364393,-4.86046841240679 51.6127596259774,-4.86255855975124 51.6080401070567,-4.86608673608679 51.6036650749259,-4.87091705759758 51.5998025414364,-4.87686377062376 51.5966007964411,-4.88369840926645 51.5941827311762,-4.89115856552811 51.5926411384194,-4.89895793646111 51.5920351665797,-4.90679726785711 51.5923880609487,-4.91437578283297 51.5936862767525,-4.92140266696436 51.5958799971288,-4.92760817974209 51.5988850365063,-4.93275397510501 51.6025860579115,-4.93664224134497 51.6068409832738,-4.93912331214836 51.6114864305798,-4.94010145492577 51.616343972398,-4.93953860845166 51.6212269783303,-4.93745591729101 51.6259477806419,-4.93393299314347 51.6303248886996,-4.92910492022648 51.6341899746115,-4.92315710987037 51.6373943599417,-4.91631819503096 51.6398147514867,-4.90885123471714 51.6413580023136,-4.90104356773225 51.6419647115868,-4.89319571128479 51.641611521747,-4.88560974012132 51.6403120225509,-4.87857760380396 51.6381162262459,-4.87236984243918 51.6351086344452,-4.86722514441364 51.6314049727055,-4.86334115437422 51.6271477210646,-4.86086688762093 51.6225006156902,-4.85989704088867 51.6176423364393)))', 'GBSPQ', 'Stackpole Quay', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.00412658076065 57.1659124672485,-6.00540135313846 57.1610716029363,-6.00838918449137 57.1564588151646,-6.01297472696043 57.1522512492379,-6.0189814421036 57.1486104336077,-6.02617843340743 57.1456760976864,-6.03428932870632 57.1435608302647,-6.04300286983568 57.1423457795364,-6.05198480734076 57.1420775559232,-6.06089065327709 57.1427664535002,-6.06937881599235 57.1443860564619,-6.07712362782499 57.1468742454422,-6.08382778013531 57.1501355663498,-6.08923369996002 57.1540448734656,-6.09313343851728 57.1584521106074,-6.09537669311006 57.1631880508876,-6.09587664958468 57.1680707785621,-6.0946134107996 57.1729126671486,-6.09163486536767 57.1775275876116,-6.08705494745119 57.1817380699644,-6.08104933920329 57.1853821417564,-6.07384876861959 57.1883195778544,-6.06573015277599 57.1904373174933,-6.05700592521941 57.1916538361063,-6.04801196231801 57.1919222997989,-6.03909458277691 57.1912323779463,-6.03059713413782 57.1896106422906,-6.02284669776064 57.187119536882,-6.01614143856924 57.183854959812,-6.01073909803644 57.1799425525211,-6.00684708002673 57.1755328431646,-6.00461451185314 57.170795435002,-6.00412658076065 57.1659124672485)))', 'GBSRH', 'Strathaird', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.96896662378147 53.6549964838807,-2.96977776708092 53.6501253073939,-2.9721725157555 53.6454417047529,-2.97605838312715 53.6411255737026,-2.98128573199585 53.6373426455226,-2.98765357142417 53.6342381366573,-2.99491729679827 53.6319311923659,-3.00279807332808 53.6305103322383,-3.01099350493025 53.6300300689333,-3.01918918557955 53.6305088269787,-3.02707069976429 53.6319282395408,-3.0343356232935 53.6342338494604,-3.04070507569215 53.6373371883407,-3.04593439078518 53.6411191558538,-3.04982250249908 53.645434572503,-3.05221968774571 53.6501177345493,-3.05303336645257 53.6549887613086,-3.05223172887236 53.6598604940379,-3.04984504024615 53.6645456834051,-3.04596456018349 53.6688641901011,-3.04073910571465 53.6726499211762,-3.03436937936992 53.6757572334708,-3.02710027302714 53.6780665549286,-3.01921144067926 53.6794890040576,-3.01100650483572 53.6799698262874,-3.00280131845827 53.6794905119988,-2.99491174422147 53.6780695127087,-2.98764143338695 53.6757615271415,-2.98127008659734 53.6726553853653,-2.97604265842962 53.6688706144238,-2.9721599276881 53.6645528206098,-2.96977079825586 53.659868069564,-2.96896662378147 53.6549964838807)))', 'GBSRT', 'Southport', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.32868870316478 49.4327839469933,-2.32949128362001 49.4279136447593,-2.33173485469921 49.4232390117917,-2.33533284413112 49.4189396104738,-2.34014675220116 49.4151805459689,-2.34599150924126 49.4121061393528,-2.35264259887619 49.4098344023722,-2.35984467163249 49.4084525229802,-2.36732132011233 49.4080135320067,-2.37478564582035 49.4085342764485,-2.38195121996195 49.4099947755659,-2.38854302677569 49.4123389839989,-2.39430797854621 49.4154769332927,-2.39902460635541 49.4192881713909,-2.40251155952752 49.4236263706339,-2.40463458891112 49.428324930352,-2.40531174353477 49.4332033618906,-2.40451657526528 49.438074213338,-2.40227921992907 49.4427502695803,-2.39868530350733 49.447051751554,-2.3938727056352 49.4508132373351,-2.38802629651373 49.4538900372304,-2.38137084403136 49.4561637751381,-2.37416236186504 49.4575469584819,-2.36667823318776 49.4579863579165,-2.35920649528837 49.4574650642608,-2.35203470540165 49.4560031418673,-2.34543882558035 49.4536568527773,-2.33967256361773 49.4505164822068,-2.33495758789551 49.44670285083,-2.33147499757298 49.4423626506612,-2.32935837759679 49.4376627869926,-2.32868870316478 49.4327839469933)))', 'GBSRX', 'Sark', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.91901782721171 58.732978787824,-2.91995096889874 58.7281120050545,-2.92269142599662 58.7234333589566,-2.92713325198686 58.7191225372643,-2.93310532871833 58.7153450382986,-2.940378006207 58.7122458359554,-2.94867194997474 58.7099438378302,-2.95766885266833 58.7085273449889,-2.96702360187508 58.7080506834188,-2.97637744635014 58.7085321328576,-2.9853716692715 58.7099532300936,-2.99366126022443 58.7122594726373,-3.00092807765812 58.715362396608,-3.00689301055296 58.7191429514943,-3.01132668171622 58.7234560458605,-3.01405828490241 58.7281360937531,-3.01498221285198 58.733003353126,-3.0140622118899 58.7378708165011,-3.0113328888649 58.7425513916222,-3.00689849523529 58.7468650970794,-3.00092901764118 58.7506459955254,-2.99365371036797 58.7537485955243,-2.98535230825113 58.7560534722183,-2.97634425410847 58.7574718863047,-2.96697635806118 58.7579492193035,-2.95760937284492 58.7574670892578,-2.94860401584397 58.7560440629957,-2.94030699253719 58.7537349366842,-2.93303757598242 58.7506286132322,-2.92707527288838 58.7468446606912,-2.92264906008091 58.7425286877592,-2.91992860833703 58.7378467186244,-2.91901782721171 58.732978787824)))', 'GBSRY', 'South Ronaldsay', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.37760261464941 54.9874288504781,-1.3786327377501 54.9825716210849,-1.3812903438695 54.9779232436538,-1.38547282570569 54.9736622482078,-1.39101915013505 54.9699522341926,-1.39771609248494 54.9669356060085,-1.40530644301656 54.9647281262416,-1.41349886842584 54.963414492001,-1.42197905291045 54.9630451005681,-1.43042169897359 54.9636341255477,-1.43850293863048 54.9651589755067,-1.44591269165914 54.9675611554004,-1.45236650927437 54.9707484987053,-1.45761645907897 54.9745986868671,-1.46146064002992 54.9789639242141,-1.46375096377421 54.9836765925806,-1.46439889998121 54.9885556721472,-1.46337895667654 54.9934136848929,-1.46072974998505 54.9980638958242,-1.45655260847258 55.002327495785,-1.45100775224573 55.006040488816,-1.44430818245429 55.0090600169891,-1.43671150883908 55.0112698762207,-1.42851002733563 55.0125850071494,-1.42001943245568 55.0129547846364,-1.41156660658667 55.0123649763032,-1.40347696749869 55.0108382928418,-1.39606187415163 55.0084335084314,-1.38960658834462 55.0052431861101,-1.38435926599141 55.0013900979604,-1.38052140812725 54.9970224811508,-1.37824014047179 54.9923083160981,-1.37760261464941 54.9874288504781)))', 'GBSSH', 'South Shields', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-0.760665579335076 50.7322508940152,-0.761653563418686 50.7273953254134,-0.764114636501741 50.7227553433791,-0.767953856713095 50.718509166562,-0.77302345896066 50.7148198438284,-0.779128567710849 50.7118290080742,-0.786034693969351 50.7096514555084,-0.793476727181078 50.7083707553592,-0.801169079466099 50.7080360554969,-0.808816599013764 50.7086602041371,-0.816125842577643 50.7102192582302,-0.822816284483823 50.7126533971071,-0.828631041677247 50.7158692072488,-0.83334671105302 50.7197432525121,-0.836781946288231 50.7241267955791,-0.838804445883679 50.7288514925421,-0.839336081025152 50.7337358450243,-0.838355959619697 50.7385921645109,-0.835901299419015 50.7432337828732,-0.832066065991422 50.7474822323458,-0.826997417476536 50.7511741180715,-0.820890084209308 50.7541674169622,-0.813978893845285 50.7563469578185,-0.806529727903339 50.7576288687125,-0.798829260157697 50.7579638174489,-0.791173877925807 50.7573389179231,-0.783858221477812 50.7557782275004,-0.777163792791476 50.7533418159666,-0.771348081872213 50.7501234428325,-0.766634637019548 50.7462469344335,-0.763204465891602 50.7418614030776,-0.761189099022769 50.7371354953711,-0.760665579335076 50.7322508940152)))', 'GBSSY', 'Selsey', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.33578929829609 58.1990230249922,-6.33706046095873 58.1941794501697,-6.34009617269089 58.1895598211905,-6.34477920280911 58.1853415435676,-6.35092923623828 58.1816865520183,-6.35830985573357 58.1787351134846,-6.36663763842703 58.1766004659955,-6.37559301550451 58.1753644949567,-6.38483248260406 58.1750746087918,-6.39400170240027 58.1757419306033,-6.4027490107113 58.1773408733042,-6.41073882387894 58.179810114156,-6.41766444836418 58.1830549325873,-6.42325981343885 58.1869508242906,-6.42730968422028 58.1913482566417,-6.42965796443887 58.1960783871187,-6.43021376517859 58.2009595292283,-6.42895499580479 58.2058041209004,-6.42592932421311 58.2104259296644,-6.42125245256739 58.2146472181555,-6.41510375836924 58.2183055932796,-6.40771945497421 58.2212602729762,-6.39938352608758 58.2233975257784,-6.3904167807068 58.2246350696443,-6.38116445391686 58.2249252567013,-6.37198284081793 58.2242569180387,-6.36322549236285 58.2226557955501,-6.35522952073153 58.2201835438275,-6.34830255703134 58.2169353418208,-6.34271087587029 58.2130362089561,-6.33866915128559 58.208636171295,-6.33633223936147 58.2039044679933,-6.33578929829609 58.1990230249922)))', 'GBSTO', 'Stornoway', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.98070186618125 54.9047136927162,-4.98129475694823 54.8998326707903,-4.98352830373027 54.8951120639906,-4.98731615599902 54.8907332002778,-4.99251238442093 54.8868642238544,-4.99891714408393 54.8836536537479,-5.00628437808832 54.8812247011872,-5.01433126192318 54.8796705603722,-5.02274902747087 54.8790508497138,-5.0312147574966 54.8793893368748,-5.03940370818047 54.8806730325975,-5.04700169931983 54.8828526870513,-5.05371710960957 54.8858446700514,-5.05929202792512 54.8895341647714,-5.0635121405145 54.8937795552655,-5.06621497785082 54.8984178429516,-5.06729620262609 54.9032708878117,-5.06671369055981 54.9081522379255,-5.06448923642427 54.9128742873717,-5.06070780647602 54.9172554885604,-5.05551435230791 54.92112734143,-5.04910829647495 54.9243408890402,-5.04173589320464 54.9267724668644,-5.03368075398057 54.9283284810294,-5.02525290372917 54.9289490279233,-5.01677679499203 54.928610212574,-5.0085787516561 54.9273250742028,-5.00097433819908 54.925143082271,-4.99425615366512 54.9221482228237,-4.98868253153024 54.9184557506004,-4.98446758821235 54.9142077348448,-4.98177300626239 54.9095675738109,-4.98070186618125 54.9047136927162)))', 'GBSTR', 'Stranraer', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.757084437360896 54.5492116621819,-0.758176009270615 54.5443600289976,-0.760874174668356 54.5397253700914,-0.765074788157859 54.5354856863676,-0.77061613906822 54.5318037583879,-0.777285208842928 54.5288209133526,-0.784825867330512 54.5266516194038,-0.792948691518677 54.5253791111248,-0.801342033095064 54.5250522106448,-0.80968391784305 54.5256834635175,-0.817654331267927 54.527248659188,-0.824947431598938 54.529687754083,-0.831283233698863 54.5329071629584,-0.836418325403785 54.5367833328811,-0.840155211067428 54.5411674658994,-0.842349924904358 54.5458912127625,-0.842917618014659 54.5507731226061,-0.84183589615736 54.5556256037762,-0.839145768320351 54.5602621301673,-0.834950156254696 54.5645044165675,-0.829410009208674 54.5681892861817,-0.822738162459127 54.5711749639726,-0.81519116892479 54.5733465505366,-0.807059416070834 54.5746204622598,-0.798655911519223 54.5749476633512,-0.790304176709673 54.5743155624915,-0.782325725721452 54.5727484993342,-0.775027623972041 54.5703068017609,-0.768690618018096 54.5670844512504,-0.763558303297157 54.5632054485732,-0.759827752682878 54.5588190229418,-0.757641967506292 54.5540938726363,-0.757084437360896 54.5492116621819)))', 'GBSTZ', 'Staithes', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.14953401120087 60.4493088914856,-1.1507801868864 60.4444588074823,-1.15391687937704 60.439821967475,-1.15882286605601 60.4355764325917,-1.16530918336176 60.4318851726171,-1.17312645353307 60.4288898311284,-1.18197448483532 60.4267053140605,-1.19151377388529 60.4254154048236,-1.20137847325147 60.4250695698044,-1.21119033804544 60.4256810731934,-1.2205731326186 60.4272264712009,-1.22916696324792 60.4296465045002,-1.23664200505705 60.4328483558861,-1.24271111135661 60.4367091893568,-1.24714083082594 60.4410808388257,-1.24976041191498 60.445795471098,-1.25046844352181 60.4506720101929,-1.24923686487479 60.4555230799986,-1.24611217345143 60.4601622009141,-1.2412137648161 60.4644109645644,-1.23472944883955 60.4681059096153,-1.22690829859416 60.4711048314701,-1.21805109651649 60.4732922791153,-1.20849874215591 60.4745840229861,-1.19861907202135 60.4749303173888,-1.18879261016964 60.4743178281957,-1.17939781452326 60.4727701492765,-1.17079640586114 60.4703468872068,-1.16331936274406 60.4671413507437,-1.15725413653781 60.4632769369087,-1.15283358784984 60.4589023568661,-1.15022707206058 60.454185889963,-1.14953401120087 60.4493088914856)))', 'GBSUL', 'Sullom Voe', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.33968523182654 54.9114158464916,-1.34071779042202 54.9065588976357,-1.343374564768 54.9019112886888,-1.34755298225237 54.8976515202065,-1.35309216805962 54.893943144755,-1.35977917303891 54.8909285042029,-1.36735716941925 54.888723285289,-1.37553529762029 54.8874120987925,-1.38399978927277 54.8870452484162,-1.39242594728865 54.8876368104598,-1.40049053439758 54.8891640961452,-1.40788410760158 54.8915685167607,-1.41432283777437 54.8947578194028,-1.41955937112218 54.8986096097849,-1.42339232209746 54.9029760301266,-1.42567403493953 54.9076894162459,-1.4263163122272 54.9125687202521,-1.42529388211643 54.9174264551514,-1.42264545921928 54.922075896473,-1.41847234471617 54.9263382646996,-1.41293460609063 54.9300496114778,-1.4062449721709 54.9330671425815,-1.39866067095821 54.9352747312114,-1.3904735218858 54.9365874058202,-1.38199866666998 54.9369546361531,-1.37356238015965 54.9363622880651,-1.36548944159875 54.9348331700028,-1.3580905654188 54.9324261496411,-1.35165038807495 54.9292338756717,-1.34641648367732 54.9253791947391,-1.34258983753751 54.9210104046835,-1.34031714556151 54.9162955304538,-1.33968523182654 54.9114158464916)))', 'GBSUN', 'Sunderland', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.15431533762161 56.9666995398962,-2.15530330794283 56.9618372721632,-2.15800823461356 56.9571736732917,-2.16232561695955 56.9528878552129,-2.16808918117685 56.9491443630636,-2.17507732456566 56.9460868756301,-2.18302164844575 56.9438327114556,-2.19161724934986 56.9424683475462,-2.2005343765834 56.9420461187688,-2.20943101723467 56.942582221352,-2.21796593820583 56.9440560949929,-2.22581169940789 56.9464112066322,-2.23266715320099 56.9495572067365,-2.23826896245283 56.9533733776805,-2.24240170293153 56.9577132452969,-2.24490616451338 56.9624101805513,-2.24568552883752 56.9672837802127,-2.24470917706407 56.9721467847842,-2.24201396821495 56.9768122701213,-2.2377029235152 56.9811008370961,-2.23194135191825 56.9848475220779,-2.22495055276262 56.9879081602006,-2.21699932904222 56.9901649532571,-2.20839363466141 56.991531024017,-2.19946475695644 56.9919537777607,-2.19055649774466 56.9914169383379,-2.18201185894717 56.9899411782289,-2.17415976010497 56.9875833176911,-2.16730231370484 56.9844341247535,-2.16170316023256 56.9806148031215,-2.15757731959889 56.9762723066257,-2.15508295148765 56.971573664523,-2.15431533762161 56.9666995398962)))', 'GBSVN', 'Stonehaven', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.22667003948833 51.8837704147051,-5.22720424013995 51.8788865797116,-5.22926737821612 51.8741610618191,-5.23277973501775 51.8697753882256,-5.23760602488911 51.8658979800803,-5.24356064085293 51.8626776981006,-5.25041480783022 51.8602381441322,-5.25790536549131 51.8586729342662,-5.26574484459767 51.8580421216672,-5.27363245520341 51.8583699034865,-5.28126557340865 51.8596436977532,-5.2883512962094 51.8618146246944,-5.29461763173059 51.8647993743182,-5.29982390479388 51.8684833901278,-5.30376998507214 51.8727252493194,-5.30630398639496 51.8773620744891,-5.3073281400928 51.8822157723892,-5.30680261118046 51.8870998631041,-5.30474710179458 51.8918266394772,-5.30124016923618 51.8962143827185,-5.29641627336874 51.9000943565941,-5.29046065670264 51.9033173097775,-5.28360224666305 51.9057592337564,-5.27610484954652 51.9073261516269,-5.2682569758371 51.9079577501956,-5.26036069348437 51.9076297126545,-5.25271994658475 51.9063546599057,-5.2456287995427 51.904181663315,-5.23936007002441 51.90119434796,-5.23415479767112 51.897507660947,-5.23021296045925 51.8932634317464,-5.22768579858994 51.8886248985739,-5.22667003948833 51.8837704147051)))', 'GBSVS', 'Saint David''s', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.89288066670173 51.6173119732752,-3.89355586596688 51.6124336321119,-3.89574643927618 51.6077310045081,-3.89936778927006 51.6033847310068,-3.90428046520079 51.5995617144186,-3.91029556506043 51.5964087244268,-3.91718201166833 51.5940467796232,-3.92467542061273 51.5925665194804,-3.93248822114647 51.5920247406783,-3.94032064706859 51.5924422279334,-3.94787218436453 51.5938029606477,-3.9548530466175 51.5960547250514,-3.96099524828241 51.5991111088455,-3.96606285984398 51.6028548034919,-3.96986105735474 51.6071420900438,-3.97224362121182 51.6118083395037,-3.97311859425136 51.616674319779,-3.97245187584905 51.6215530698525,-3.97026860478277 51.626257079082,-3.9666522667125 51.6306054965846,-3.9617415493655 51.6344310931453,-3.95572505657159 51.6375867063037,-3.94883407757143 51.6399509181143,-3.9413336867917 51.6414327439732,-3.93351251790124 51.6419751488338,-3.92567161110897 51.6415572526679,-3.91811277156663 51.6401951383265,-3.91112689739256 51.6379412299199,-3.90498273715088 51.6348822661525,-3.89991651853089 51.6311359483401,-3.89612285341578 51.6268463947826,-3.89374727139151 51.6221785796083,-3.89288066670173 51.6173119732752)))', 'GBSWA', 'Swansea', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.17322628856768 59.9953207678249,-1.17445065929952 59.9904700525879,-1.1775398132805 59.985832143842,-1.18237437593828 59.9815851462588,-1.18876814151183 59.9778920892478,-1.19647529185057 59.9748946892821,-1.2051998594187 59.9727079350783,-1.21460706845613 59.9714156989761,-1.22433612348634 59.9710675385731,-1.23401396537643 59.9716768077764,-1.24326948283973 59.9732201475167,-1.25174765214811 59.9756383751086,-1.25912308011966 59.9788387393359,-1.26511244514683 59.9826984575134,-1.26948536785178 59.987069402732,-1.27207329630392 59.9917837658899,-1.2727760596025 59.996660479541,-1.2715658264853 60.0015121604992,-1.26848830031221 60.0061523068094,-1.26366108542843 60.0104024731521,-1.25726926896082 60.0140991477033,-1.24955837232189 60.0171000632525,-1.24082493338378 60.0192896958671,-1.23140507849101 60.0205837349946,-1.22166152833915 60.0209323485425,-1.2119695488163 60.0203221136163,-1.20270240353949 60.0187765363082,-1.19421688646727 60.0163551399538,-1.18683950940978 60.0131511581854,-1.1808538907009 60.0092879244261,-1.17648983937156 60.0049141008001,-1.1739145567646 60.0001979346199,-1.17322628856768 59.9953207678249)))', 'GBSWC', 'Sandwick', 'Y'),('SRID=4326;MULTIPOLYGON(((1.7237587680001 52.3334473635765,1.72311588524833 52.3285676381754,1.72093181546855 52.3238584849674,1.7172909273957 52.3195007953926,1.71233344035168 52.3156619092824,1.70624998989033 52.3124892029292,1.69927428335302 52.310104448305,1.69167413032864 52.3085991567364,1.683741190899 52.3080310824431,1.67577982954907 52.3084220172375,1.66809549363898 52.3097569589918,1.66098305168074 52.3119846849343,1.65471552799334 52.3150197082294,1.64953365660642 52.3187455444483,1.64563664884575 52.3230191652388,1.64317452650068 52.3276764714896,1.642242316868 52.3325385792057,1.64287633873722 52.3374186796288,1.64505273146056 52.3421292121614,1.64868829506451 52.3464890753739,1.65364362082982 52.3503305985185,1.65972840223937 52.3535060038385,1.66670872932869 52.3558931084685,1.67431608907259 52.3574000433146,1.68225772423097 52.3579688039825,1.6902279464714 52.3575774941655,1.69791995944177 52.356241173085,1.70503772586639 52.3540112735032,1.7113074108251 52.3509736131729,1.71648795125587 52.3472450779877,1.72038033846069 52.342969107193,1.72283525408876 52.3383101576663,1.7237587680001 52.3334473635765)))', 'GBSWD', 'Southwold', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.92773938069287 50.6166452643947,-1.92860446450186 50.6117791505481,-1.93094457258337 50.60711388068,-1.93466940238282 50.6028286517712,-1.93963556952356 50.5990880178901,-1.94565215456005 50.5960355854851,-1.95248805079683 50.5937885165711,-1.9598808291878 50.59243304772,-1.9675467821622 50.5920211938078,-1.97519176665919 50.5925687605006,-1.98252243873111 50.5940547401357,-1.98925745845169 50.5964221137184,-1.99513824485441 50.5995800290192,-1.99993887620987 50.6034072730494,-2.00347476078659 50.6077569083374,-2.00560974662784 50.6124618981513,-2.00626139472851 50.6173415077604,-2.00540420678742 50.6222082384607,-2.00307067445008 50.6268750296573,-1.99935009917411 50.6311624527611,-1.99438521762287 50.6349056196578,-1.98836675352112 50.6379605382704,-1.98152609963361 50.6402096680814,-1.97412640931513 50.6415664587656,-1.96645244241546 50.6419786942095,-1.95879956204432 50.6414305106623,-1.951462314226 50.6399430096974,-1.94472303998502 50.6375734419182,-1.93884096799941 50.6344129936013,-1.93404221571548 50.6305832633642,-1.93051108879173 50.6262315671807,-1.92838301487487 50.6215252555351,-1.92773938069287 50.6166452643947)))', 'GBSWE', 'Swanage', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.25001744629635 60.1323488626635,-1.25123598348189 60.1274975066115,-1.25432754991587 60.1228579043984,-1.25917267052092 60.1186082255973,-1.26558472778519 60.1149116019901,-1.27331719729573 60.1119098860605,-1.28207313838527 60.1097182311077,-1.29151657270665 60.1084206964947,-1.30128531848619 60.1080670422946,-1.31100479897471 60.1086708327351,-1.32030231110691 60.1102089189513,-1.32882122511567 60.1126223203204,-1.3362345880564 60.1158184717555,-1.34225762385877 60.1196747535153,-1.34665865936385 60.1240431720277,-1.34926805923138 60.1287560166034,-1.34998482161665 60.1336322793022,-1.34878056959197 60.1384845950764,-1.34570076826804 60.1431264379204,-1.34086310159212 60.1473792971463,-1.3344530522807 60.1510795567819,-1.3267168390497 60.1540848107913,-1.31795197250989 60.1562793672344,-1.30849578982607 60.157578725022,-1.29871241359674 60.1579328465183,-1.28897864792886 60.1573280963539,-1.2796693706808 60.1557877695034,-1.27114300275316 60.1533711877065,-1.26372763187992 60.150171400242,-1.2577083398165 60.1463115804041,-1.25331622976751 60.1419402604047,-1.25071957825217 60.1372255926576,-1.25001744629635 60.1323488626635)))', 'GBSWY', 'Scalloway', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.01139825535562 58.4540130628545,-3.01231120933757 58.449145402306,-3.01501765475223 58.4444645924788,-3.01941296260016 58.4401504060709,-3.02532780824506 58.4363684729072,-3.03253474140759 58.4332639395387,-3.04075694892438 58.4309559203914,-3.0496788702691 58.4295329492898,-3.05895826132266 58.4290496017557,-3.06823925237668 58.4295244141604,-3.0771659128421 58.4309391772085,-3.08539581820565 58.433239630025,-3.09261311470408 58.4363375290304,-3.09854059397123 58.4401140145688,-3.10295032328299 58.4444241496204,-3.10567242639173 58.4491024605746,-3.10660167432257 58.4539692715473,-3.10570162343008 58.4588375925905,-3.10300612743572 58.4635202996273,-3.09861814839039 58.4678373311276,-3.0927058951852 58.4716226241274,-3.08549642342067 58.4747305205712,-3.0772669327359 58.4770413940354,-3.0683340924521 58.4784662761507,-3.05904180899924 58.4789503004603,-3.04974791484004 58.4784748275598,-3.04081030494775 58.4770581672992,-3.03257307078805 58.4747548693877,-3.02535318186558 58.4716536105451,-3.01942824121615 58.4678737619324,-3.01502579507894 58.4635607725667,-3.01231461090284 58.4588805506016,-3.01139825535562 58.4540130628545)))', 'GBSXE', 'Staxigoe', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.949745281156081 60.3162342291625,-0.951015603522692 60.3113860581719,-0.954167391147912 60.3067539233342,-0.959078851406615 60.3025157043077,-0.965560819638412 60.2988340898716,-0.97336409221784 60.295850353839,-0.982189019028578 60.2936789576936,-0.991696984416271 60.2924031825525,-1.00152334070144 60.2920719536766,-1.01129130927294 60.2926979757838,-1.02062633203251 60.2942572484862,-1.02917034103176 60.2966899799188,-1.03659541675714 60.2999028647629,-1.04261632565341 60.3037726421049,-1.04700146485534 60.3081508006137,-1.04958179612755 60.3128692550184,-1.05025742068752 60.3177467804111,-1.04900153037162 60.3225959609371,-1.0458615663218 60.3272303882442,-1.04095752113221 60.331471833667,-1.03447743058384 60.3351571172374,-1.02667021243732 60.33814440655,-1.01783611748172 60.3403186991663,-1.00831515713716 60.3415962730067,-0.998473957449847 60.3419279289741,-0.988691556808891 60.3413008973296,-0.979344710468375 60.3397393321544,-0.970793286410896 60.3373033743224,-0.963366333023049 60.3340868203431,-0.957349369712626 60.3302134897228,-0.952973398661098 60.3258324347467,-0.950406062334865 60.3211121816458,-0.949745281156081 60.3162342291625)))', 'GBSYM', 'Symbister', 'Y'),('SRID=4326;MULTIPOLYGON(((1.65763591144606 52.2004693190396,1.6570019469763 52.1955891894549,1.65483116770759 52.1908788031153,1.65120742887657 52.1865190996268,1.64627028940486 52.1826774970841,1.64020960312868 52.1795014770004,1.63325820435925 52.1771129393563,1.62568297162059 52.1756035412553,1.61777461120865 52.1750311947991,1.60983654716477 52.1754178557098,1.60217333526398 52.176748685539,1.59507903499061 52.1789726187589,1.58882597486506 52.1820043134177,1.58365433287695 52.1857274121742,1.57976292547006 52.1899989912096,1.57730155615285 52.1946550294766,1.57636521939505 52.199516691635,1.57699038846538 52.2043971863147,1.57915353919258 52.2091089383303,1.58277197771551 52.2134708001645,1.5877069520369 52.2173150251342,1.59376893794664 52.2204937324858,1.60072490327779 52.2228846131262,1.60830727428952 52.2243956532519,1.61622425794798 52.2249686907774,1.62417111739915 52.2245816647712,1.63184195784526 52.2232494692644,1.63894155842429 52.2210233776971,1.64519678369286 52.2179890606105,1.65036712603955 52.2142632745867,1.6542539668809 52.2099893525564,1.6567081979275 52.2053316722664,1.65763591144606 52.2004693190396)))', 'GBSZB', 'Sizewell Beach', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.27072043934341 57.4820065299482,-6.27197240089515 57.4771629746653,-6.27495390327785 57.4725439902374,-6.27954982659714 57.4683269602897,-6.28558322094452 57.464673775965,-6.29282215662197 57.4617246399533,-6.30098864746294 57.4595927070327,-6.30976930282469 57.4583597627648,-6.31882730363243 57.4580731022928,-6.3278152524794 57.4587437258969,-6.3363884181533 57.4603459186721,-6.3442178816187 57.4628182301194,-6.3510030936832 57.4660658173077,-6.35648337427533 57.469964064334,-6.36044791913853 57.4743633428192,-6.36274393113265 57.4790947348042,-6.36328255914894 57.4839765022596,-6.36204240629899 57.488821057927,-6.35907045836039 57.4934421716434,-6.35448038065067 57.4976621356191,-6.34844823313551 57.5013186120327,-6.34120575569084 57.5042708970036,-6.33303147368242 57.5064053563529,-6.32423996388691 57.5076398198927,-6.31516969787002 57.5079267611836,-6.30616994030858 57.5072551371934,-6.29758722018738 57.5056508151272,-6.28975191112054 57.5031755696495,-6.28296545223852 57.4999246903718,-6.27748871342627 57.4960232943877,-6.27353195973372 57.4916214894765,-6.27124680216523 57.486888578222,-6.27072043934341 57.4820065299482)))', 'GBSZT', 'Snizort', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.37165294644569 55.8638629298038,-5.37220842828462 55.8589810766885,-5.37444630446469 55.8542539476136,-5.37828002190485 55.8498631205656,-5.38356185937294 55.8459771963172,-5.39008866402108 55.8427453399498,-5.3976096848242 55.8402915742003,-5.40583619794459 55.8387100400345,-5.41445255582367 55.8380614025342,-5.42312824245656 55.8383705366319,-5.43153048292869 55.8396255790507,-5.43933693657115 55.8417783816905,-5.44624800035747 55.844746349418,-5.45199826245583 55.8484155935258,-5.45636667490359 55.8526452827946,-5.45918505860661 55.8572730288318,-5.46034461232629 55.8621211027887,-5.45980016860143 55.8670032481691,-5.45757202174014 55.8717318305507,-5.45374524362427 55.8761250506948,-5.44846649903615 55.8800139435017,-5.44193846995845 55.8832488919544,-5.43441209382191 55.8857054025739,-5.42617690976381 55.8872889165123,-5.417549885415 55.8879384672849,-5.408863160656 55.8876290409214,-5.4004511908586 55.8863725451938,-5.39263779789471 55.8842173494558,-5.38572364123895 55.8812464131684,-5.37997460358221 55.8775740769758,-5.37561154647436 55.8733416428392,-5.3728018337062 55.8687119170316,-5.37165294644569 55.8638629298038)))', 'GBTAB', 'Tarbert', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.60588271770874 55.667945095705,-5.6064069020043 55.6630623717968,-5.60860587218762 55.6583312471471,-5.61239457457576 55.6539334554546,-5.61762701859481 55.6500378672466,-5.62410194669657 55.646794020713,-5.63157059540043 55.6443264004535,-5.63974624519773 55.6427296801368,-5.64831519387946 55.642065107874,-5.65694873846348 55.6423581696343,-5.66531571640582 55.6435976179044,-5.67309513787457 55.6457359016983,-5.67998843788573 55.6486909817285,-5.68573089008571 55.6523494628237,-5.69010175265706 55.6565709262882,-5.69293276064184 55.661193299554,-5.69411463696992 55.6660390608051,-5.69360136525107 55.6709220437465,-5.69141204903246 55.6756545836571,-5.68763027226981 55.6800547313778,-5.68240097117277 55.6839532576979,-5.67592492480595 55.6872001771268,-5.66845106689309 55.6896705372444,-5.66026690999633 55.6912692472628,-5.65168745145399 55.6919347561565,-5.64304299428144 55.6916414353624,-5.63466636236789 55.6904005718295,-5.62688001527627 55.6882599320051,-5.6199835723533 55.6853019138616,-5.6142422384302 55.6816403598715,-5.60987658507434 55.677416156551,-5.60705408418642 55.6727917935858,-5.60588271770874 55.667945095705)))', 'GBTAI', 'Tayinloan', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.82195304445776 56.4329435505461,-2.82284124866043 56.4280756649453,-2.82542579699564 56.4233972865572,-2.82960682468893 56.4190881015696,-2.83522329708972 56.4153135589618,-2.8420592527141 56.4122185353226,-2.84985212111958 56.4099217942371,-2.85830279320388 56.408511449075,-2.86708706003636 56.4080415994815,-2.87586798911469 56.4085302674028,-2.88430877500253 56.4099587096875,-2.8920855852661 56.4122721329014,-2.89889992278109 56.4153817837091,-2.90449004182351 56.4191683368068,-2.90864098759364 56.4234864536595,-2.91119287632561 56.4281703409262,-2.91204709488619 56.4330400990431,-2.91117017327253 56.4379086204615,-2.90859516864324 56.4425887747703,-2.90442049283117 56.4469006054143,-2.89880621346942 56.4506782606376,-2.89196795816894 56.4537763899841,-2.8841686474744 56.4560757570526,-2.87570837126712 56.4574878486909,-2.86691280061953 56.457958299368,-2.85812058894 56.4574689956282,-2.84967025934127 56.4560387774204,-2.84188709720167 56.4537227085478,-2.83507056665992 56.4506099451237,-2.8294827473058 56.4468202863197,-2.82533824382969 56.4424995434863,-2.82279595921552 56.4378139097457,-2.82195304445776 56.4329435505461)))', 'GBTAY', 'Tayport', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.58725241665728 56.2179445383543,-5.58778431685408 56.2130621934427,-5.59001491057795 56.2083314603053,-5.59385790968134 56.2039340556689,-5.59916522347354 56.2000388322112,-5.60573271139135 56.1967953105356,-5.61330805570771 56.1943279591354,-5.62160044759465 56.1927314382234,-5.63029171593655 56.1920669860953,-5.63904847834817 56.1923600832494,-5.64753485898464 56.1935994813854,-5.65542529862354 56.1957376333574,-5.66241697948687 56.1986925079079,-5.66824140039238 56.2023507213265,-5.67267466682255 56.2065718688285,-5.67554610480443 56.2111938931212,-5.67674486615832 56.2160392879646,-5.67622426430712 56.2209219020106,-5.6740036625275 56.2256540841489,-5.67016782778557 56.230053897056,-5.66486376006236 56.2339521214171,-5.65829510573412 56.2371987797688,-5.65071436010059 56.2396689260873,-5.64241315428983 56.2412674746583,-5.63371100125804 56.2419328784929,-5.62494294048823 56.2416395122038,-5.61644656790058 56.2403986650648,-5.60854896390301 56.2382581048197,-5.60155403698158 56.2353002293646,-5.59573078249911 56.2316388792703,-5.59130291739304 56.2274149368521,-5.58844029333219 56.2227908849028,-5.58725241665728 56.2179445383543)))', 'GBTBN', 'Toberonochy', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.65684409745039 51.6725734175138,-4.65743786838182 51.6676915467985,-4.65955157896583 51.6629754831645,-4.66310357731095 51.6586063877405,-4.66795706604466 51.654752043168,-4.6739254042658 51.651560423971,-4.68077929877947 51.6491540321514,-4.68825560546033 51.6476252123208,-4.69606740410343 51.6470326229468,-4.70391496531948 51.6473989962925,-4.71149719701616 51.6487102709947,-4.71852314148444 51.6509161296795,-4.72472309242946 51.6539319213734,-4.72985891447593 51.6576418965341,-4.73373317543937 51.6619036331121,-4.73619674335152 51.6665534869077,-4.73715455484375 51.6714128602375,-4.73656932758774 51.6762950510662,-4.73446306515968 51.681012421581,-4.73091628553763 51.6853836116927,-4.72606499159036 51.689240519863,-4.72009549008121 51.6924347812834,-4.71323725130351 51.6948434916975,-4.70575408075661 51.6963739535083,-4.69793394360732 51.6969672582714,-4.69007783870838 51.6966005648117,-4.68248815885198 51.6952879832272,-4.6754569956628 51.6930800298531,-4.66925484993816 51.6900616745605,-4.66412019118718 51.6863490571768,-4.66025027449152 51.6820850020059,-4.65779357044324 51.6774335062317,-4.65684409745039 51.6725734175138)))', 'GBTEN', 'Tenby', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.4522247657325 58.5831769298267,-3.45307985995755 58.5783063722433,-3.45573735776373 58.5736164842997,-3.46009449927231 58.5692873899683,-3.46598341319909 58.5654852931419,-3.47317763302751 58.5623561149965,-3.48140082390129 58.5600199154107,-3.49033738131873 58.5585663084053,-3.49964449752832 58.5580510433506,-3.50896524136845 58.558493879535,-3.5179421631583 58.5598778332086,-3.52623091873048 58.562149825071,-3.53351340607823 58.5652227041067,-3.53950992437779 58.5689785724047,-3.54398989807416 58.5732732868772,-3.54678075770983 58.5779419692755,-3.54777463326503 58.5828053172106,-3.54693259351413 58.5876764774806,-3.54428625425727 58.592368220193,-3.53993667658674 58.5967001390045,-3.53405058025965 58.6005056000214,-3.52685400283515 58.6036381699003,-3.51862363808864 58.6059772724019,-3.50967618267735 58.607432851562,-3.50035610347489 58.6079488577672,-3.49102230514445 58.6075054188951,-3.48203422479814 58.6061196104499,-3.47373790539399 58.6038447941045,-3.46645260046227 58.6007685508771,-3.46045843977497 58.5970092908466,-3.45598563995847 58.5927116734611,-3.45320567831058 58.588041018911,-3.4522247657325 58.5831769298267)))', 'GBTHR', 'Thurso', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.22120956501938 57.0663581996642,-7.22232208723283 57.0615043845573,-7.22515078709423 57.0568620242894,-7.22958641718468 57.0526094084079,-7.23545817646791 57.0489098017903,-7.24254032591804 57.0459051949427,-7.25056087711533 57.0437108752557,-7.25921201792107 57.0424110236099,-7.26816187867647 57.042055501455,-7.27706719630903 57.0426579484884,-7.28558640322857 57.0441952619502,-7.29339265353301 57.0466084770214,-7.30018630108199 57.0498050156162,-7.30570636241163 57.0536622197475,-7.30974053194055 57.0580320373677,-7.31213336680517 57.0627466848303,-7.31279232290167 57.0676250724844,-7.31169140075237 57.0724797498575,-7.30887224753467 57.0771241056737,-7.30444265727835 57.0813795465819,-7.29857251150818 57.0850823776204,-7.29148730360434 57.0880901173945,-7.28345948760569 57.0902870015536,-7.27479798165026 57.0915884587988,-7.26583623339842 57.0919443832422,-7.25691931568922 57.0913410739413,-7.24839056212206 57.0898017649287,-7.24057827199044 57.0873857248285,-7.23378301094214 57.084185961812,-7.22826600807871 57.0803256247555,-7.22423910335507 57.0759532426658,-7.22185663363319 57.071236989606,-7.22120956501938 57.0663581996642)))', 'GBTHT', 'South Uist and Eriskay', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.16640440958994 60.5323147486798,-1.16765148016458 60.5274645676523,-1.1707940090834 60.5228274104594,-1.17571054507218 60.518581350102,-1.18221171616391 60.5148893760143,-1.19004757259253 60.5118931585275,-1.19891720917823 60.5097076365114,-1.20848029494416 60.5084166313372,-1.21837007211213 60.5080696510194,-1.2282073370486 60.5086800035179,-1.23761488305013 60.5102242893084,-1.24623186957911 60.5126432921194,-1.25372758490726 60.5158442348884,-1.25981408907828 60.5197043172191,-1.26425726138957 60.5240754026206,-1.26688583063581 60.5287896802361,-1.26759803616002 60.5336660882051,-1.26636565179756 60.5385172557017,-1.26323520090988 60.5431566993349,-1.25832629600177 60.5474059980147,-1.25182714727498 60.5511016693022,-1.24398739660421 60.5541014800013,-1.2351085420281 60.5562899442079,-1.22553231787768 60.5575827926281,-1.21562748213345 60.5579302366293,-1.20577553096535 60.5573188976597,-1.19635590692664 60.5557723254253,-1.18773128932794 60.5533500842888,-1.18023355165634 60.550145444319,-1.17415094174693 60.5462817687778,-1.16971698743208 60.5419077411893,-1.16710155655939 60.5371916203311,-1.16640440958994 60.5323147486798)))', 'GBTLD', 'Shetland', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.57248341042302 56.0179369863196,-5.573015188707 56.0130545703214,-5.57523679368022 56.0083240568457,-5.57906228994677 56.0039271547431,-5.58434426481303 56.0000326983701,-5.59087955408946 55.996790180116,-5.59841707688398 55.99432403126,-5.60666747421902 55.9927288670259,-5.6153141826777 55.9920658744885,-5.62402552456974 55.9923604785231,-5.63246736140201 55.993601372871,-5.64031583842905 55.9957409523271,-5.64726974508362 55.99869712979,-5.65306202918304 56.0023564702168,-5.6574700317175 56.0065785241651,-5.66032405317594 56.0112011982812,-5.66151392080534 56.0160469604326,-5.6609932975358 56.0209296446827,-5.65878155562615 56.0256615972702,-5.65496312891175 56.0300608902532,-5.64968435381039 56.0339583252857,-5.64314790737411 56.0372039565048,-5.6356050466594 56.0396728787105,-5.62734594329236 56.0412700544613,-5.61868848610488 56.0419339904467,-5.60996598918609 56.0416391181595,-5.60151428928349 56.0403967846978,-5.59365874270706 56.038254814359,-5.58670163629823 56.0352956582353,-5.58091050937097 56.031633204844,-5.57650784476345 56.0274083775479,-5.57366252933426 56.0227836919175,-5.57248341042302 56.0179369863196)))', 'GBTLI', 'Tayvallich', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.36930501287199 58.533517398253,-4.37003166536483 58.5286415004046,-4.37256263438777 58.5239333995198,-4.37680001170533 58.5195739259276,-4.38258051011475 58.5157304555628,-4.3896818062584 58.5125505015927,-4.39783111182279 58.510156074351,-4.40671563965427 58.5086390219512,-4.41599456522442 58.508057526181,-4.42531203271689 58.508433884469,-4.43431071980602 58.5097536604625,-4.442645456577 58.5119662347303,-4.44999639228921 58.5149867350453,-4.45608121882924 58.5186992743309,-4.46066599148314 58.5229613754175,-4.46357413552203 58.5276094169177,-4.46469329009986 58.5324648954092,-4.46397971769402 58.5373412671858,-4.46146009579369 58.5420511094097,-4.45723060513956 58.5464133266497,-4.45145333226026 58.5502601252761,-4.44435010945243 58.553443485424,-4.43619401834314 58.5558408782001,-4.42729887912201 58.5573600040144,-4.41800713180643 58.5579423654202,-4.40867658421057 58.5575655332032,-4.39966654999078 58.5562440158678,-4.39132392656143 58.5540286979492,-4.38396976533426 58.5510048693714,-4.37788686547483 58.5472889239087,-4.37330887837385 58.5430238572905,-4.37041134571957 58.5383737423787,-4.36930501287199 58.533517398253)))', 'GBTLN', 'Talmine', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.96853015435245 59.0829972973582,-2.96946581184667 59.0781304225868,-2.97222741409905 59.0734509812468,-2.9767081859394 59.069138690436,-2.98273550122503 59.0653591028693,-2.99007758230534 59.0622572700907,-2.99845242985892 59.0599521980118,-3.00753863656553 59.058532303325,-3.0169876726636 59.0580520408904,-3.02643718129463 59.0585298278945,-3.03552478762309 59.0599473420092,-3.04390190861968 59.062250219628,-3.05124705037416 59.0653501282369,-3.05727809686265 59.0691281358144,-3.06176312796527 59.0734392515884,-3.06452935463858 59.0781179681531,-3.06546982452155 59.0829845964934,-3.06454763043047 59.0878521543221,-3.06179744512009 59.0925335456214,-3.05732430563618 59.0968487564303,-3.05129967616285 59.1006317894913,-3.04395492545641 59.1037370687156,-3.03557245926099 59.1060450635009,-3.02647484476442 59.1074669121989,-3.01701234846242 59.1079478624682,-3.00754937641123 59.1074693924055,-2.9984503531337 59.1060499283287,-2.9900655997877 59.1037441307087,-2.98271777223793 59.1006407766043,-2.97668939539259 59.0968593225824,-2.97221198293889 59.0925452841049,-2.96945716404851 59.087864613532,-2.96853015435245 59.0829972973582)))', 'GBTNG', 'Tingwall', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.45979290146131 50.5461614015072,-3.46049879067478 50.5412846151465,-3.46268382707598 50.5365892576329,-3.46626365456815 50.5322556907565,-3.47110044081937 50.5284503320262,-3.47700821374795 50.5253192774654,-3.48376002296817 50.5229827087872,-3.49109664880361 50.521530296602,-3.49873652612399 50.5210177730161,-3.50638650739313 50.5214648025199,-3.51375306000761 50.5228542310742,-3.52055347794502 50.5251327415287,-3.52652668726432 50.5282128907597,-3.53144323911633 50.531976452027,-3.53511411230877 50.5362789368357,-3.53739798945914 50.5409551257917,-3.53820672530945 50.5458253992098,-3.53750879139161 50.5507026270362,-3.5353305559865 50.555399355262,-3.53175533980151 50.5597350134189,-3.5269202731383 50.5635428656199,-3.52101106628551 50.5666764362334,-3.51425488792943 50.5690151605,-3.50691162290716 50.5704690396401,-3.49926384710555 50.5709821182165,-3.49160591053431 50.5705346472466,-3.48423255692088 50.5691438479787,-3.47742752767873 50.5668632462422,-3.47145259877773 50.5637806035399,-3.4665374808564 50.5600145262204,-3.46287097680269 50.5557098858248,-3.46059373883669 50.5510322299153,-3.45979290146131 50.5461614015072)))', 'GBTNM', 'Teignmouth', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.03777510143259 56.631931068656,-6.03902516857491 56.6270892771222,-6.04196435205692 56.6224748779396,-6.04647919099507 56.6182650808782,-6.05239587424204 56.6146215035309,-6.05948696654996 56.6116839851838,-6.06748015777328 56.6095652404436,-6.07606869758441 56.6083465538926,-6.08492311929976 56.6080746772546,-6.09370381206223 56.6087600451508,-6.10207397173 56.6103763761406,-6.10971244794051 56.6128616740711,-6.11632600820122 56.6161205925609,-6.12166055946485 56.6200280744727,-6.12551090313724 56.6244341302425,-6.12772865015746 56.6291695756127,-6.12822798758113 56.6340525122651,-6.12698906538937 56.6388953055134,-6.12405885986924 56.6435117928317,-6.11954946509158 56.6477244465508,-6.11363386337797 56.6513712141782,-6.10653932531976 56.6543117707364,-6.09853868564431 56.6564329390785,-6.08993982863793 56.6576530656502,-6.08107379168529 56.6579251794971,-6.07228195396095 56.657238809885,-6.0639028163286 56.6556203907569,-6.05625889596512 56.6531322361666,-6.04964425418434 56.6498701273964,-6.04431314868229 56.6459596072748,-6.04047025346473 56.6415511279056,-6.03826282363227 56.6368142425168,-6.03777510143259 56.631931068656)))', 'GBTOB', 'Tobermory', 'Y'),('SRID=4326;MULTIPOLYGON(((0.873214079352666 51.7507348359088,0.872670221023401 51.7458512501489,0.870602250914499 51.7411273374948,0.867090069223992 51.7367445632361,0.862268951134475 51.7328712372672,0.856324302148797 51.7296560639551,0.849484513025885 51.727222449627,0.842012191894324 51.7256637830791,0.834194109079968 51.7250398669938,0.826330235473192 51.7253746343298,0.818722286766718 51.7266552352399,0.811662202901712 51.728832528598,0.805420994209079 51.7318229595918,0.800238372992825 51.7355117528703,0.796313561961892 51.7397573012302,0.793797629603669 51.7443965845326,0.792787648309583 51.7492514140897,0.793322905236218 51.7541352656577,0.79538332040491 51.7588604406943,0.798890143787918 51.763245281724,0.803708915956818 51.7671211642055,0.809654588555369 51.7703389945663,0.816498614990514 51.7727749619673,0.823977742042154 51.7743353193781,0.831804163244377 51.7749600066975,0.83967663826138 51.774624973553,0.847292141912059 51.7733431102589,0.854357584082613 51.7711637501282,0.860601138689112 51.7681707626208,0.865782736284894 51.7644793122941,0.869703309999602 51.7602314108627,0.872212436439697 51.755590436699,0.873214079352666 51.7507348359088)))', 'GBTOL', 'Tollesbury', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.4858633646411 50.461169961294,-3.48656536436826 50.4562929568856,-3.48874395600292 50.4515970602507,-3.49231503273647 50.4472626542816,-3.49714109942281 50.4434561891931,-3.50303659597001 50.4403238039913,-3.50977504294774 50.4379857319263,-3.51709773262714 50.4365317016583,-3.52472363338031 50.4360175075837,-3.53236013253843 50.4364628783129,-3.53971421351646 50.4378507233044,-3.5465036479486 50.4401277858805,-3.55246778307892 50.4432066780994,-3.55737751872375 50.4469692210614,-3.56104409644602 50.4512709650022,-3.56332636548792 50.4559467187223,-3.56413624444691 50.4608168791531,-3.56344216317482 50.4656943206575,-3.56127034399637 50.4703915812633,-3.55770386267571 50.474728070426,-3.55287951474846 50.4785370207841,-3.54698259863972 50.4816719149718,-3.54023980989378 50.4840121377684,-3.53291051723375 50.485467633084,-3.525276757532 50.4859823834819,-3.51763233991238 50.4855365756562,-3.51027148647529 50.4841473666925,-3.50347745663267 50.4818682209212,-3.49751160274952 50.478786843432,-3.49260328667266 50.4750217914848,-3.48894105072143 50.4707178968138,-3.48666538465776 50.4660406780474,-3.4858633646411 50.461169961294)))', 'GBTOR', 'TorQuay', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.47064809173388 57.5339160877786,-5.47120948563912 57.5290348910897,-5.47353004181362 57.5243063691887,-5.47751996589306 57.5199121484981,-5.48302548720299 57.5160209515156,-5.48983483481435 57.5127821349822,-5.49768640548866 57.5103199775325,-5.50627880518789 57.5087289321921,-5.51528238010262 57.5080700218548,-5.5243518018911 57.5083685124337,-5.53313923609783 57.5096129503514,-5.54130760319422 57.5117556000798,-5.54854343867911 57.5147142653105,-5.55456887222646 57.5183754257746,-5.55915227572558 57.522598572485,-5.56211717567097 57.5272215789314,-5.56334908579722 57.5320669061428,-5.56279998973562 57.5369484070182,-5.56049028886762 57.5416784712546,-5.5565081249373 57.5460752376233,-5.55100608720599 57.549969596071,-5.54419541625673 57.5532117085523,-5.53633791679099 57.5556767946546,-5.5277358854498 57.5572699554907,-5.5187204423735 57.5579298461013,-5.50963872272664 57.5576310513353,-5.50084043320536 57.5563850710799,-5.49266430596324 57.5542398756707,-5.48542498691255 57.5512780489734,-5.47940087671786 57.5476135925618,-5.47482340201821 57.5433875172013,-5.4718681337114 57.5387623952618,-5.47064809173388 57.5339160877786)))', 'GBTRD', 'Torridon', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.75490790055775 56.4991928832348,-6.75606173691492 56.4943431871227,-6.75890332918618 56.4897111308304,-6.76332296069528 56.4854746074919,-6.76915046701552 56.4817962651912,-6.77616182382839 56.4788172807134,-6.78408776749303 56.4766519615457,-6.79262411537163 56.4753833794179,-6.80144339349782 56.4750601991974,-6.81020733414943 56.4756948217795,-6.81857977624564 56.4772629103694,-6.82623948780794 56.4797043179309,-6.83289243226531 56.4829253813403,-6.83828301911415 56.4868024966935,-6.84220391403718 56.4911868420202,-6.84450403337053 56.495910070053,-6.84509441170648 56.5007907562923,-6.8439517078573 56.5056413578341,-6.84111920125194 56.5102754175658,-6.83670522535713 56.5145147373484,-6.83087908358204 56.518196243365,-6.82386459250278 56.5211782771837,-6.81593149292134 56.5233460670824,-6.8073850568983 56.5246161651845,-6.79855429423006 56.5249396758287,-6.789779221059 56.5243041478155,-6.78139769329361 56.5227340557838,-6.77373232612386 56.5202898517761,-6.76707801713428 56.5170656246502,-6.76169056456331 56.5131854599574,-6.75777682556035 56.5087986439022,-6.75548679436459 56.5040738998972,-6.75490790055775 56.4991928832348)))', 'GBTRE', 'Tiree', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.63898846037364 55.5485966363052,-4.63963147661789 55.5437174657994,-4.64194060022297 55.5390031420069,-4.64582655897976 55.534634747149,-4.65113964451774 55.5307800182805,-4.65767552209384 55.5275869222544,-4.66518310657462 55.5251779950243,-4.67337419843444 55.5236456589345,-4.68193451149461 55.523048693969,-4.69053567585984 55.5234099950851,-4.69884776614491 55.5247156993665,-4.7065518872963 55.5269157154782,-4.71335234842851 55.529925635576,-4.71898796913697 55.5336299581708,-4.72324209244398 55.5378865012554,-4.72595092328106 55.5425318399686,-4.72700987023106 55.5473875638243,-4.72637763971443 55.5522671165612,-4.72407791396028 55.5569829582639,-4.7201985344414 55.5613537756236,-4.71488820789822 55.5652114627817,-4.70835084903961 55.5684076025129,-4.70083776850837 55.5708191954871,-4.69263800255273 55.5723534135238,-4.68406715790458 55.5729511901296,-4.67545520780026 55.5725895067816,-4.66713371965849 55.571282284588,-4.65942301927252 55.5690798459724,-4.65261979915597 55.5660669675838,-4.64698565974148 55.5623596012845,-4.6427370324907 55.5581003924579,-4.64003687574611 55.5534531717999,-4.63898846037364 55.5485966363052)))', 'GBTRN', 'Troon', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.3856244409094 52.9934894299925,-4.38626348392337 52.9886096614817,-4.38846755173374 52.9838988566859,-4.39215148874085 52.9795379691901,-4.39717340766489 52.9756944591241,-4.40334019006267 52.9725158770048,-4.41041492721534 52.9701242167874,-4.41812601253419 52.9686112515904,-4.42617753790789 52.9680350277175,-4.4342606007573 52.9684176485593,-4.44206509706101 52.96974443133,-4.44929155895678 52.971964468116,-4.4556625940511 52.9749925701569,-4.46093349730299 52.9787125224694,-4.46490163499277 52.9829815266361,-4.46741424321226 52.9876356645536,-4.46837433950414 52.9924961768044,-4.46774451429011 52.9973763175604,-4.46554844662591 53.0020885248404,-4.46187007416236 53.0064516315442,-4.45685043702739 53.0102978396879,-4.45068230628079 53.0134791879971,-4.44360279591342 53.0158732613892,-4.43588423919174 53.0173879193612,-4.42782368168103 53.0179648578995,-4.41973140102313 53.0175818648119,-4.41191890456906 53.0162536795554,-4.40468687813237 53.0140314235597,-4.39831356125689 53.0110006234401,-4.39304400636239 53.0072779049382,-4.3890806418915 53.0030064875986,-4.38657550507219 52.9983506569078,-4.3856244409094 52.9934894299925)))', 'GBTRO', 'Trefor', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.30303181198205 58.0160128046167,-6.30430017880934 58.0111694146472,-6.30732389123845 58.0065503539235,-6.31198618718378 58.0023330067684,-6.31810755337094 57.9986792732138,-6.32545267599007 57.9957293731908,-6.33373949457304 57.9935964869959,-6.34265000957891 57.9923624335883,-6.35184243323967 57.9920745485963,-6.36096422730466 57.9927438786397,-6.36966554134173 57.994344759337,-6.37761255175014 57.9968157928314,-6.3845002048533 58.0000621885932,-6.39006388733597 58.0039593803678,-6.39408958354877 58.0083577841765,-6.39642213116868 58.0130885189221,-6.39697125330272 58.0179698739859,-6.39571512476888 58.0228142786879,-6.39270132080586 58.0274355078596,-6.38804509502586 58.0316558470524,-6.38192503657375 58.0353129407242,-6.37457626016518 58.0382660573967,-6.36628138252166 58.0404015270673,-6.3573596301023 58.0416371374653,-6.34815450147131 58.0419253159246,-6.33902046909933 58.041254971147,-6.33030924659271 58.0396519219989,-6.32235616602763 58.0371778964644,-6.31546720520512 58.0339281405847,-6.30990717652544 58.0300277321622,-6.30588953937665 58.0256267448806,-6.30356822916156 58.020894453147,-6.30303181198205 58.0160128046167)))', 'GBTRS', 'South Harris', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.004049267193 50.2626783887826,-5.00459318551509 50.2577942573313,-5.00661269115856 50.2530719762726,-5.01002978226504 50.248692951485,-5.01471286413513 50.2448253545572,-5.02048184848178 50.2416176770886,-5.02711509226163 50.2391930452291,-5.03435790671482 50.2376445097566,-5.04193231095 50.2370314893952,-5.04954766041976 50.2373775011454,-5.05691175005904 50.2386692627683,-5.06374197542495 50.2408572009706,-5.06977613324473 50.2438573461014,-5.07478245537749 50.2475545421152,-5.07856849702982 50.2518068510108,-5.08098854049264 50.2564509856579,-5.08194922867378 50.2613085655386,-5.08141320685625 50.2661929579351,-5.07940062453874 50.2709164437816,-5.07598842956674 50.275297433782,-5.07130747124717 50.279167457162,-5.06553751457451 50.282377652917,-5.05890035061854 50.2848045115109,-5.05165126494964 50.2863546431651,-5.04406919319531 50.2869683861512,-5.03644594721447 50.2866221134554,-5.02907493424586 50.2853291470434,-5.0222398127472 50.2831392436268,-5.01620353138272 50.2801366720431,-5.01119818158247 50.2764369577432,-5.00741606010965 50.2721824221147,-5.0050022878608 50.2675366912873,-5.004049267193 50.2626783887826)))', 'GBTRU', 'Truro', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.30359230327408 57.5820175376552,-6.30484374141894 57.5771737168141,-6.30782966101989 57.5725540553482,-6.31243476832263 57.5683359626503,-6.31848175756318 57.5646813701932,-6.32573817530981 57.5617305340875,-6.33392536410489 57.5595966736746,-6.34272914017184 57.5583616478583,-6.35181179959238 57.5580728311951,-6.36082500185324 57.5587413064856,-6.3694230499314 57.5603414413329,-6.37727607268452 57.5628118645708,-6.38408261848205 57.5660578063396,-6.38958118871731 57.5699547146608,-6.39356027575704 57.5743530133717,-6.39586652134956 57.5790838228977,-6.39641067744512 57.583965428175,-6.39517113019558 57.5888102485213,-6.39219483742483 57.5934320436539,-6.38759562729025 57.5976530793493,-6.38154990776366 57.6013109760902,-6.37428993897111 57.6042649747192,-6.36609491898199 57.6064013744289,-6.35728022380049 57.6076379297301,-6.34818521968288 57.6079270332154,-6.33916012651386 57.6072575584183,-6.33055245160222 57.6056552899016,-6.32269353168915 57.6031819236639,-6.31588571619254 57.5999326776106,-6.31039069701603 57.5960326067676,-6.30641944117361 57.5916317687626,-6.30412411468743 57.5868994297541,-6.30359230327408 57.5820175376552)))', 'GBUIG', 'Uig', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.08795163573289 56.4819510562877,-6.08918973675071 56.4771085432785,-6.09211064022083 56.4724926812285,-6.09660159190562 56.4682807370635,-6.10248970057431 56.4646344119715,-6.10954862852191 56.4616936518955,-6.117507298682 56.4595712969006,-6.12606028240998 56.4583487708745,-6.13487947326848 56.4580729732542,-6.14362660787038 56.4587544890807,-6.15196616596086 56.4603671842984,-6.15957816901252 56.4628492015397,-6.16617039991633 56.466105319417,-6.17148958583611 56.4700105873559,-6.17533112161715 56.4744150999907,-6.17754696161377 56.4791497317965,-6.17805137232761 56.484032615552,-6.17682431522739 56.4888761188628,-6.17391231639162 56.4934940525631,-6.16942677440867 56.4977088343376,-6.16353975692963 56.5013583309986,-6.15647743553297 56.5043021137604,-6.14851140390452 56.5064268823812,-6.13994821140513 56.5076508455201,-6.13111751866667 56.5079268849521,-6.12235934013604 56.5072443788227,-6.11401087740852 56.5056296119522,-6.10639346466235 56.5031447570992,-6.09980014258193 56.4998854676525,-6.09448435012234 56.4959771770292,-6.09065017581236 56.4915702507709,-6.08844454457982 56.4868341818545,-6.08795163573289 56.4819510562877)))', 'GBULF', 'Ulva Ferry', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.12016513161537 57.9007906404973,-5.12077844106362 57.8959109467248,-5.12316744237524 57.8911886928671,-5.12723970012003 57.8868052607344,-5.13283827582775 57.8829289543989,-5.13974782634222 57.8797085550252,-5.14770290845941 57.8772676311457,-5.15639816636306 57.8756998188019,-5.16550001245402 57.8750652485668,-5.1746593608803 57.8753882529098,-5.18352493747332 57.8766564392638,-5.19175667052965 57.8788211631865,-5.1990386642595 57.8817993838935,-5.20509127078175 57.8854768329506,-5.20968180703303 57.88971237776,-5.2126335093187 57.8943434163627,-5.21383237953829 57.8991921006174,-5.21323165197129 57.9040721524882,-5.21085369597079 57.9087960142946,-5.20678926542028 57.9131820594312,-5.20119410716976 57.9170615860203,-5.19428304409558 57.9202853226433,-5.18632174967194 57.9227291927016,-5.1776165254807 57.9242991116242,-5.16850247639879 57.9249346281298,-5.15933054607591 57.9246112656879,-5.15045392416366 57.9233414713828,-5.14221436391696 57.9211741344534,-5.13492895274353 57.9181926934913,-5.12887785879634 57.9145119071856,-5.12429353485961 57.9102734161998,-5.12135179885763 57.9056402710212,-5.12016513161537 57.9007906404973)))', 'GBULL', 'Ullapool', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.18814333358284 56.3159892834729,-6.18936269199568 56.3111454788721,-6.19225821992752 56.3065269051131,-6.19671814219588 56.3023109346231,-6.20257076123267 56.2986594246683,-6.20959110154921 56.2957125216442,-6.21750956475029 56.2935833025567,-6.2260222611369 56.2923534554854,-6.2348026252904 56.2920701610955,-6.24351387878787 56.2927442919031,-6.2518218742986 56.2943499966214,-6.25940784232411 56.2968256852354,-6.26598056502014 56.3000763782151,-6.27128752084121 56.3039773322593,-6.27512457883683 56.3083788069085,-6.27734387161896 56.3131117929725,-6.27785954021248 56.3179944865863,-6.27665112060061 56.3228392632823,-6.27376442862982 56.3274598859931,-6.26930989428823 56.331678670358,-6.26345839487937 56.3353333307242,-6.25643473543595 56.3382832410746,-6.24850901965778 56.340414866565,-6.2399862413824 56.3416461527623,-6.23119450090617 56.3419296999067,-6.22247230859678 56.3412545970027,-6.21415547712227 56.33964684333,-6.2065641211771 56.3371683408391,-6.19999027886592 56.3339144974476,-6.19468664218269 56.3300105360783,-6.19085683676688 56.3256066550286,-6.1886476258664 56.3208722298408,-6.18814333358284 56.3159892834729)))', 'GBUNS', 'Bunessan', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.866178291377258 60.6821999084492,-0.867476680471325 60.6773529272236,-0.870677213617801 60.6727232590965,-0.875656208711309 60.6684886864546,-0.882221896850002 60.6648117548678,-0.890121856829016 60.6618335549748,-0.899052731295238 60.6596683326461,-0.908671848883779 60.6583991296685,-0.918610311188695 60.6580746177654,-0.928487054055082 60.6587072438011,-0.937923360283439 60.6602727550853,-0.946557285908324 60.6627111224725,-0.954057464968766 60.6659288271303,-0.960135778105332 60.6698024261378,-0.964558408125747 60.6741832641688,-0.967154860292629 60.6789031550668,-0.967824595503967 60.6837808197062,-0.966541009224719 60.6886288366151,-0.963352585802267 60.6932608406782,-0.958381163747518 60.6974986938847,-0.951817359033311 60.7011793512289,-0.943913306125425 60.7041611548597,-0.934972985484035 60.7063293102697,-0.925340506567331 60.7076003291363,-0.915386801924857 60.7079252632827,-0.905495256224018 60.7072916015618,-0.896046840265929 60.7057237543379,-0.887405341613845 60.703282106383,-0.879903279150973 60.7000606759667,-0.873829058962911 60.6961834732234,-0.869415875123373 60.6917997021147,-0.866832784273094 60.687077995331,-0.866178291377258 60.6821999084492)))', 'GBUYE', 'Uyeasound and Baltasound', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.06669096369386 60.3492782105013,-1.0679453336677 60.3444288739045,-1.0710838751107 60.3397939296029,-1.07598530071007 60.3355513658329,-1.08246082739295 60.3318640385885,-1.09026149534609 60.3288734410705,-1.0990877516866 60.3266942979157,-1.10860092811127 60.3254101871278,-1.11843617666782 60.325070353304,-1.12821637854645 60.325687830828,-1.13756650836638 60.3272389467927,-1.14612792134039 60.329664222178,-1.15357203316387 60.3328706379451,-1.1596128824738 60.3367351819323,-1.16401810298164 60.3411095444508,-1.16661788631296 60.3458257869331,-1.16731158618524 60.3507027704735,-1.16607169829272 60.3555531010606,-1.16294504597424 60.3601903270323,-1.15805110653241 60.3644361127891,-1.15157752333812 60.3681271118195,-1.14377296032155 60.3711212719268,-1.1349375633496 60.3733033261019,-1.12541139230248 60.3745892531638,-1.1155612734483 60.3749295320034,-1.10576658946945 60.3743110604873,-1.09640457051925 60.372757662849,-1.08783567139849 60.3703291654738,-1.08038961610743 60.3671190779197,-1.07435266187984 60.3632509713449,-1.06995658200919 60.3588736978097,-1.06736979328952 60.3541556390565,-1.06669096369386 60.3492782105013)))', 'GBVID', 'Vidlin', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.59133223649695 53.3005632832614,-4.59195174815344 53.2956828047228,-4.59414826554795 53.2909684830556,-4.59783691283075 53.2866014072979,-4.60287561272245 53.2827492748041,-4.60907059569619 53.2795599660601,-4.61618386682505 53.2771558852657,-4.62394234030303 53.275629280594,-4.63204829238907 53.275038720301,-4.64019073740377 53.275406856903,-4.64805729951882 53.2767195630873,-4.65534613611225 53.2789264715879,-4.66177746676088 53.2819428987374,-4.66710427552793 53.2856530795922,-4.67112178278997 53.2899145932179,-4.67367532580726 53.2945638116309,-4.67466634357108 53.2994221666778,-4.67405622971948 53.3043029972519,-4.67186789557287 53.3090187160172,-4.66818497115663 53.3133880212403,-4.66314866249502 53.3172428761515,-4.65695237507005 53.3204349858016,-4.64983430239757 53.322841519578,-4.64206826127413 53.3243698558632,-4.63395312754676 53.3249611627782,-4.62580128471828 53.3245926741401,-4.6179265393509 53.3232785708561,-4.61063197989351 53.3210694328881,-4.60419825802291 53.3180502833204,-4.59887275371598 53.31433730156,-4.594860048002 53.310073334954,-4.59231407262756 53.3054223849294,-4.59133223649695 53.3005632832614)))', 'GBVLY', 'Anglesey', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.19968716835988 60.3493285022828,-1.20092181745453 60.3444778315479,-1.20404155092933 60.3398396729569,-1.20892580181636 60.3355921391627,-1.21538644359714 60.3318982777183,-1.22317508451805 60.3288998330789,-1.23199263003229 60.3267118311533,-1.24150074342035 60.3254181897015,-1.25133476929878 60.3250685186079,-1.26111763531426 60.325676229184,-1.27047421472516 60.3272180227754,-1.27904561730689 60.3296347777215,-1.28650287830693 60.3328338018528,-1.29255953500192 60.3366923669118,-1.29698261749739 60.3410623932611,-1.2996016341764 60.3457761096495,-1.30031520164891 60.3506524752182,-1.29909505265412 60.3555041208193,-1.29598725096283 60.3601445453444,-1.29111054703837 60.3643952911732,-1.28465191844028 60.3680928217505,-1.27685945042881 60.3710948340288,-1.26803282018652 60.3732857589585,-1.25851174749908 60.374581233778,-1.24866286068813 60.3749313694884,-1.23886549455379 60.3743226840443,-1.22949698335345 60.3727786245154,-1.22091803381978 60.3703586575315,-1.21345875965801 60.3671559642664,-1.20740593007257 60.3632938315702,-1.2029919323111 60.3589208822202,-1.20038587492083 60.3542053324674,-1.19968716835988 60.3493285022828)))', 'GBVOE', 'Voe', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.46675724437821 60.2994297686804,-1.46795033300013 60.2945764555205,-1.47102743203677 60.2899318663202,-1.47586961051428 60.2856743629137,-1.48229035335608 60.2819673774909,-1.49004279459197 60.27895315959,-1.49882922230733 60.2767473411269,-1.50831248742045 60.2754345235286,-1.51812888279453 60.2750650518869,-1.52790200950026 60.2756530962699,-1.53725711414045 60.2771761114983,-1.54583536554981 60.2795756954977,-1.55330754112036 60.2827598144538,-1.55938661245932 60.2866063121641,-1.56383875679204 60.2909675728754,-1.56649237389568 60.2956761632018,-1.56724475740045 60.3005512409954,-1.5660661525121 60.3054054887669,-1.56300102744394 60.3100523076996,-1.55816649024301 60.3143129965033,-1.55174789266858 60.3180236380411,-1.54399177408887 60.3210414261645,-1.53519640625661 60.3232501854233,-1.52570029930393 60.3245648666804,-1.51586911542348 60.3249348411179,-1.50608150496511 60.3243458621216,-1.49671442635019 60.3228206171574,-1.48812853367447 60.3204178477577,-1.48065421285724 60.3172300726855,-1.47457881888118 60.3133800047544,-1.47013561467161 60.3090158032508,-1.46749483939733 60.3043053492688,-1.46675724437821 60.2994297686804)))', 'GBWBF', 'West Burrafirth', 'Y'),('SRID=4326;MULTIPOLYGON(((0.0590394007916724 53.7180400934138,0.0585713096880687 53.7131553389345,0.0565060586404406 53.708418593662,0.0529235038486825 53.7040118153955,0.0479616746802934 53.7001042311265,0.0418114156111787 53.6968458524826,0.034709027374783 53.6943617343892,0.0269271938292055 53.6927471940108,0.0187645419948455 53.6920641699545,0.0105342305051041 53.6923388582903,0.002551995221888 53.6935607137695,-0.00487590072146962 53.6956828534259,-0.0114643620369931 53.698623847299,-0.016960363399416 53.7022708291168,-0.0211526477966934 53.706483810217,-0.0238798522814239 53.7111010344786,-0.025036747803403 53.7159451722363,-0.0245783474986922 53.7208301185393,-0.0225217158100743 53.725568137012,-0.0189453967193424 53.7299770760226,-0.0139864702646269 53.7338873796261,-0.00783533900824301 53.7371486222012,-0.000728436464177479 53.7396353128149,0.00706086624821301 53.7412517426594,0.0152328049951827 53.7419356854731,0.0234728072933201 53.7416608053132,0.0314636619409307 53.7404376766321,0.0388977935834173 53.7383133762296,0.0454891576045509 53.7353696630209,0.0509842867701963 53.7317198172723,0.0551720568544235 53.7275042636535,0.0578917921742362 53.7228851499277,0.0590394007916724 53.7180400934138)))', 'GBWEX', 'Withernsea', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.41074876828158 50.5998080749764,-2.41156373604791 50.5949382228006,-2.41385531254339 50.5902631047333,-2.41753505595751 50.5859622988703,-2.42246130798454 50.5822009596674,-2.42844467524594 50.579123489892,-2.43525531965665 50.5768480131118,-2.44263177577651 50.5754618558298,-2.45029095863816 50.5750182096136,-2.45793898356094 50.5755340987647,-2.46528239109623 50.576989729843,-2.47203935617126 50.579329247477,-2.47795046102395 50.5824628681467,-2.48278862664395 50.5862703118604,-2.48636782681672 50.5906054026732,-2.48855025182002 50.5953016645521,-2.48925164426789 50.6001787008227,-2.48844459602772 50.6050491148017,-2.48615967057687 50.609725707482,-2.48248429716511 50.6140286762717,-2.4775594688043 50.6177925374292,-2.47157436213129 50.6208725042426,-2.46475908003942 50.6231500729925,-2.45737579401324 50.6245375986924,-2.44970862881204 50.624981681445,-2.44205268435676 50.6244652304899,-2.43470262577441 50.6230081247972,-2.42794129069991 50.6206664442351,-2.42202876218752 50.6175303016103,-2.41719233598547 50.6137203608593,-2.41361777349629 50.6093831780781,-2.41144217839643 50.6046855477828,-2.41074876828158 50.5998080749764)))', 'GBWEY', 'Weymouth', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.66088077828653 54.7569542273579,-5.66138997089791 54.7520708070791,-5.66353619976388 54.7473386530008,-5.66723646763896 54.7429395416141,-5.67234820309448 54.739042399021,-5.67867479591184 54.7357968288933,-5.68597317824204 54.7333273878282,-5.6939631563722 54.7317288243671,-5.7023381359266 54.7310624607473,-5.71077683480931 54.7313538529703,-5.71895554427919 54.7325918165889,-5.72656047993858 54.7347288544599,-5.73329976146486 54.7376829703328,-5.73891457265769 54.7413408003483,-5.74318908155047 54.7455619450663,-5.74595874335311 54.7501843392536,-5.74711666589257 54.7550304569753,-5.74661778659822 54.7599141170273,-5.7444806900436 54.7646476297496,-5.74078698316384 54.7690490118101,-5.73567823853507 54.7729489914177,-5.72935061104762 54.7761975329914,-5.72204732606732 54.778669627558,-5.71404932368982 54.7802701226041,-5.70566441991027 54.7809374018257,-5.69721540769988 54.7806457698291,-5.68902756591276 54.7794064475647,-5.68141606926036 54.7772671390178,-5.67467379691651 54.7743101861292,-5.66906002040442 54.7706493846681,-5.66479041416762 54.7664255864505,-5.66202877660999 54.7618012606802,-5.66088077828653 54.7569542273579)))', 'GBWHE', 'Whitehead', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.32090607280787 54.699477349876,-4.32157583292429 54.6945990850254,-4.32387542015535 54.6898902057645,-4.32771595957919 54.6855315859132,-4.33294951271628 54.681690589877,-4.33937481559515 54.6785146614749,-4.34674503455249 54.6761256826245,-4.35477723853466 54.6746153148995,-4.36316322595995 54.6740414991285,-4.3715812970752 54.6744262442072,-4.37970853026823 54.6757547877628,-4.38723310365417 54.6779761599498,-4.39386620176704 54.6810051292425,-4.39935306137785 54.6847254574036,-4.40348274004142 54.6889943416372,-4.40609623533029 54.6936478769753,-4.40709264084593 54.6985073328463,-4.40643309556024 54.7033860060012,-4.40414236388111 54.7080963888289,-4.40030797255399 54.7124573786057,-4.39507692406571 54.7163012501268,-4.38865010107559 54.7194801218069,-4.38127456866783 54.7218716636408,-4.37323406681968 54.7233838238635,-4.36483806038841 54.7239583887543,-4.3564097744321 54.7235732353707,-4.34827368568211 54.7222431882464,-4.34074296420268 54.7200194461318,-4.33410736145059 54.7169876013532,-4.32862202196138 54.7132643299148,-4.32449765675324 54.7089928826995,-4.32189245932711 54.7043375548658,-4.32090607280787 54.699477349876)))', 'GBWHH', 'Isle of Whithorn', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-3.55705380525529 54.550205353305,-3.5578125606816 54.5453311275688,-3.56019201256115 54.5406365784197,-3.56410022978883 54.5363020247894,-3.56938668912318 54.5324939037822,-3.5758481101398 54.5293583955099,-3.58323628598569 54.5270158303902,-3.59126760620507 54.5255560900496,-3.59963390809405 54.5250351747603,-3.60801424681958 54.5254730660635,-3.61608714296212 54.5268529644963,-3.62354284986864 54.5291219308683,-3.63009518255201 54.5321929070968,-3.63549246485216 54.5359480409953,-3.6395271818851 54.5402431903935,-3.64204396981569 54.5449134372694,-3.64294563367631 54.5497794038099,-3.64219695484507 54.5546541309741,-3.63982613090996 54.559350257489,-3.63592377945073 54.5636872242841,-3.63063953069796 54.5674982268727,-3.62417632853296 54.5706366464489,-3.61678265097026 54.5729817093749,-3.60874294605117 54.5744431537556,-3.60036665297492 54.5749647198937,-3.59197623764433 54.5745263271619,-3.58389471355289 54.5731448513613,-3.57643314088161 54.5708734718226,-3.56987859762632 54.5677996140116,-3.56448309648454 54.5640415688101,-3.56045388117287 54.5597439216075,-3.5579454779383 54.5550719706934,-3.55705380525529 54.550205353305)))', 'GBWHV', 'Whitehaven', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.982693500465805 60.349246449294,-0.9839603221956 60.3443979687751,-0.987110733596569 60.3397650674145,-0.992022992745349 60.3355256543769,-0.998507902431932 60.3318424642218,-1.00631614476097 60.3288568310725,-1.01514787820348 60.3266832889724,-1.02466422596966 60.3254052011125,-1.03450021948987 60.3250715812468,-1.04427871165136 60.325695225663,-1.05362474212324 60.327252225149,-1.06217982212007 60.3296828751473,-1.0696156085281 60.3328939504312,-1.07564645742613 60.3367622598701,-1.08004038439847 60.3411393488883,-1.0826280130699 60.3458571737096,-1.08330916298754 60.3507345340051,-1.08205681179809 60.3555840205808,-1.07891826244704 60.3602192135219,-1.07401345096941 60.3644618547918,-1.06753044073242 60.368148718363,-1.05971826045287 60.3711379108677,-1.05087735117293 60.3733143563827,-1.04134798661926 60.3745942496977,-1.03149711705175 60.3749283021937,-1.02170415433106 60.3743036517189,-1.01234626180364 60.3727443606489,-1.00378373414657 60.370310482415,-0.996346048309993 60.3670957337142,-0.990319137381322 60.3632238649217,-0.985934386252027 60.3588438724921,-0.983359774357185 60.3541242422189,-0.982693500465805 60.349246449294)))', 'GBWHY', 'Whalsay', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.03542661292855 58.4330219699538,-3.03633570799494 58.4281541229385,-3.03903735556432 58.4234727914615,-3.04342711154284 58.4191577685162,-3.04933586470979 58.4153747163154,-3.05653639850138 58.412268824609,-3.06475214485175 58.4099592601429,-3.07366779042085 58.4085346161547,-3.08294133103449 58.4080495323842,-3.09221712065333 58.408522611769,-3.10113942766199 58.4099357113937,-3.10936599431786 58.4122346340594,-3.11658109509698 58.4153311947496,-3.12250760642324 58.4191065850436,-3.12691763359312 58.4234159098907,-3.12964129002435 58.4280937267878,-3.13057328828065 58.4329603789067,-3.12967708018776 58.43782888256,-3.12698637271037 58.4425121068723,-3.12260394441391 58.4468299706838,-3.11669779094454 58.4506163792864,-3.10949473308227 58.4537256319484,-3.10127172315646 58.4560380502487,-3.09234518031922 58.4574646064789,-3.08305876775643 58.4579503697768,-3.0737700911484 58.4574766337529,-3.06483684404118 58.4560616412901,-3.05660294970965 58.4537598777553,-3.04938524924857 58.4506599606623,-3.04346126200868 58.4468812094139,-3.03905849842082 58.4425690307353,-3.03634573925132 58.4378893015991,-3.03542661292855 58.4330219699538)))', 'GBWIC', 'Wick', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.43863044344859 54.9595208913786,-4.43928973758649 54.9546422424159,-4.44158985106958 54.9499313238113,-4.44544187933313 54.9455690876308,-4.45069743475124 54.9417230364344,-4.45715440312111 54.9385408069195,-4.46456473284715 54.9361445214054,-4.47264395420239 54.934626120418,-4.4810820648997 54.9340438518473,-4.48955537071456 54.9344200482106,-4.49773883713913 54.9357402750644,-4.50531849068765 54.9379538822887,-4.51200340684437 54.9409759375738,-4.51753683576859 54.9446904697683,-4.52170604646558 54.9489549005575,-4.52435051458517 54.953605497958,-4.52536813733014 54.9584636459587,-4.52471922970345 54.9633426927924,-4.52242813754506 54.9680551170857,-4.51858239200595 54.9724197375455,-4.51332942422346 54.9762686886274,-4.50687095445419 54.9794538921531,-4.49945526286588 54.9818527730366,-4.49136763547927 54.9833729956305,-4.48291935432428 54.9839560347209,-4.47443566198754 54.983579440486,-4.46624317423302 54.9822577079415,-4.4586572379633 54.9800417164358,-4.4519697341808 54.9770167612642,-4.44643780666665 54.9732992550596,-4.44227395783718 54.9690322289029,-4.43963789574572 54.9643798098981,-4.43863044344859 54.9595208913786)))', 'GBWIG', 'Wigtown', 'Y'),('SRID=4326;MULTIPOLYGON(((0.208030068824153 52.6679743620735,0.207552109914373 52.6630893690073,0.205516140356022 52.6583549099,0.202000860155106 52.6539528567612,0.197141689892978 52.6500522591382,0.191125516477812 52.6468028657472,0.184183488259655 52.6443293923895,0.176582139821074 52.642726752987,0.168613186305584 52.6420564333975,0.160582373831364 52.6423441441355,0.152797805229166 52.643578839846,0.145558178318526 52.6457131420727,0.139141376829459 52.6486651493329,0.133793841846549 52.6523215665459,0.129721124572422 52.6565420362782,0.127079979885534 52.6611645087854,0.125972305582355 52.6660114480984,0.126441165749385 52.6708966389146,0.128469060280748 52.6756323351106,0.131978518519066 52.6800364763416,0.136835006224406 52.6839396951675,0.142852044885114 52.687191843818,0.149798354427188 52.6896677870284,0.15740674847633 52.6912722348639,0.165384439258299 52.6919434261487,0.173424350483726 52.6916555176603,0.181216994117639 52.6904195848596,0.188462442989097 52.6882831945389,0.194881927027712 52.6853285660748,0.200228596756618 52.6816693936026,0.204297032702103 52.6774464540191,0.206931131780211 52.6728221730807,0.208030068824153 52.6679743620735)))', 'GBWIS', 'Wisbech', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00730654932149 51.8506899090638,1.00674726698525 51.8458068598905,1.00466092015134 51.8410851898142,1.00112811652696 51.8367062768783,0.996284923652913 51.8328382815981,0.990317593810914 51.8296297027193,0.983455386653815 51.8272036927245,0.975961768341834 51.825653348161,0.968124323925323 51.8250381522913,0.960243764966434 51.8253817036995,0.952622445826846 51.8266708159465,0.945552818955737 51.8288560218839,0.939306261534978 51.831853463614,0.934122692947364 51.8355480971341,0.930201375019073 51.8397980912306,0.927693245479026 51.8444402549391,0.926695080581052 51.8492962884919,0.927245716779542 51.8541796206386,0.929324485631881 51.8589025718223,0.932851933109001 51.8632835689629,0.937692807095403 51.8671541342442,0.943661208340495 51.8703653776614,0.95052771408167 51.8727937410798,0.958028203739114 51.8743457696646,0.965874046161975 51.8749617237758,0.973763251266276 51.8746178893938,0.981392148391415 51.8733274960379,0.988467131407748 51.8711402058942,0.994716007709287 51.8681401941621,0.999898504886148 51.8644428961041,1.00381552422639 51.8601905485853,1.00631678242301 51.8555467008572,1.00730654932149 51.8506899090638)))', 'GBWIV', 'Wivenhoe', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.1355611823274 58.3330590353982,-3.13645394853573 58.3281904118524,-3.13913473445722 58.3235069089103,-3.14349990041206 58.319188404101,-3.14938128076632 58.3154006945207,-3.15655270928812 58.312289149804,-3.16473873286881 58.3099731545323,-3.17362517544296 58.308541549268,-3.18287114947614 58.3080492410325,-3.19212206287396 58.3085151097653,-3.20102313559125 58.3099212887245,-3.20923292318143 58.312213845584,-3.21643634430229 58.3153048388848,-3.2223567257864 58.3190756732524,-3.22676641202114 58.323381628121,-3.22949553447585 58.3280573902973,-3.23043860128197 58.3329233821484,-3.22955864435037 58.3377926459891,-3.22688875055617 58.342478022659,-3.22253090135297 58.3467993493717,-3.21665214846422 58.3505903994223,-3.20947825811069 58.35370529462,-3.2012850581892 58.3560241403031,-3.1923878172966 58.3574576619591,-3.18312906691476 58.3579506608127,-3.17386534422467 58.357484151784,-3.1649533793735 58.3560760990942,-3.1567362750379 58.3537807203285,-3.1495302264669 58.3506863865563,-3.14361230683007 58.3469122017087,-3.13920979694272 58.3426033964315,-3.13649147280024 58.3379257178662,-3.1355611823274 58.3330590353982)))', 'GBWLG', 'Whaligoe', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.60923216220746 51.2088739654106,-2.6100374437875 51.2040032168403,-2.61233955049743 51.1993247108221,-2.61604962055026 51.1950181549181,-2.62102481856234 51.1912489225827,-2.62707386397551 51.1881617169986,-2.63396439488533 51.1858750324646,-2.64143188235326 51.1844766228009,-2.64918975497363 51.184020147573,-2.65694035086974 51.1845231222085,-2.66438628545741 51.1859662489346,-2.67124180890836 51.188294153636,-2.67724372758738 51.1914175010343,-2.68216147882344 51.1952164088416,-2.68580597787304 51.1995450325538,-2.68803689916344 51.2042371480605,-2.68876810979399 51.209112520894,-2.68797104032263 51.2139838201909,-2.68567585409403 51.2186638135595,-2.68197035931523 51.2229725670022,-2.67699669482523 51.2267443725097,-2.67094590771585 51.2298341351573,-2.66405062504751 51.2321229713563,-2.65657609917037 51.2335227997147,-2.64880997302469 51.2339797446831,-2.64105116501313 51.2334762193203,-2.63359830994145 51.2320316052424,-2.62673821121946 51.2297015030008,-2.62073475902528 51.2265755824298,-2.61581874949222 51.2227741175597,-2.6121790022038 51.218443342184,-2.60995511931963 51.2137498079841,-2.60923216220746 51.2088739654106)))', 'GBWLS', 'Wells', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.51386791410955 60.2264479524848,-1.51505122697801 60.2215941301768,-1.51811468106015 60.2169483521295,-1.52293987242292 60.2126890265506,-1.52934093982811 60.2089796563895,-1.53707177266017 60.2059625834991,-1.54583548696522 60.203753550016,-1.55529580278184 60.2024372811816,-1.56508989042178 60.202064254698,-1.57484220369237 60.2026487769461,-1.58417878513889 60.204168437569,-1.59274151274931 60.2065649627238,-1.60020175943492 60.2097464354125,-1.60627295596358 60.2135908004554,-1.61072158460683 60.2179505235497,-1.61337618398485 60.2226582301333,-1.61413401446559 60.2275331120362,-1.61296511648385 60.2323878595932,-1.60991358914916 60.2370358553127,-1.60509602065675 60.2412983533671,-1.59869711172973 60.2450113678271,-1.59096264437049 60.2480320020287,-1.5821900558526 60.2502439716574,-1.57271697715462 60.2515621044696,-1.56290818099993 60.2519356389887,-1.55314145282371 60.25135019149,-1.54379294462348 60.2498283131914,-1.53522259415275 60.247428615558,-1.52776018900945 60.2442434985694,-1.5216926270269 60.2403955722169,-1.51725287260274 60.2360329129805,-1.51461103609604 60.2313233424222,-1.51386791410955 60.2264479524848)))', 'GBWLZ', 'Walls', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.84662309751781 55.876673849572,-4.84724466033231 55.8717939961889,-4.84954719600956 55.8670760531678,-4.85344167202519 55.8627012420354,-4.85877804121553 55.8588375456147,-4.86535106632756 55.8556332736692,-4.87290823185412 55.8532113892869,-4.88115943542343 55.8516648101139,-4.88978808827669 55.8510528609682,-4.89846320555455 55.8513990106195,-4.90685203330095 55.8526899771962,-4.91463274095239 55.8548762354975,-4.92150670594037 55.8578739071807,-4.92720993092106 55.8615679631573,-4.93152316379096 55.8658166183072,-4.93428033545756 55.8704567535351,-4.93537498934124 55.8753101608477,-4.93476444836628 55.8801903750378,-4.9324715478142 55.8849098319957,-4.92858385335023 55.8892870797122,-4.92325037970757 55.8931537644168,-4.91667592331601 55.8963611214073,-4.90911321757946 55.8987857179252,-4.90085320831511 55.9003342234262,-4.89221382486972 55.9009470198254,-4.88352768574036 55.9006005093667,-4.87512922286266 55.8993080288511,-4.86734173366284 55.8971193339634,-4.86046487313796 55.894118673995,-4.85476307944876 55.8904215329742,-4.85045538679499 55.8861701656906,-4.84770702082015 55.8815281041372,-4.84662309751781 55.876673849572)))', 'GBWMB', 'Wemyss Bay', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.33288751951557 60.2163796462484,-1.33409716172252 60.2115275516476,-1.33718516809625 60.2068860580801,-1.34203219489264 60.2026334079339,-1.34845154669446 60.1989328469209,-1.35619641564378 60.1959263782304,-1.36496938345308 60.1937293369443,-1.37443381850182 60.1924259884305,-1.38422673503344 60.1920663152226,-1.39397263203763 60.1926641120617,-1.40329779672978 60.1941964599115,-1.41184454214141 60.1966045985367,-1.41928485044217 60.1997961653483,-1.4253329132067 60.2036487173932,-1.42975609664617 60.2080144052924,-1.43238391325593 60.2127256242825,-1.43311465039451 60.2176014298612,-1.43191938948198 60.2224544753448,-1.42884324463648 60.2270982071909,-1.42400375379329 60.2313540422549,-1.41758646508686 60.2350582499507,-1.40983787228308 60.2380682719145,-1.4010559605885 60.2402682321107,-1.39157872324782 60.2415734207931,-1.38177109505271 60.2419335752781,-1.37201081673534 60.2413348275545,-1.36267379050895 60.2398002414225,-1.35411950915438 60.2373889178765,-1.34667713777878 60.2341937043811,-1.34063279888746 60.2303375990645,-1.33621855933928 60.2259689922587,-1.33360354501119 60.2212559331033,-1.33288751951557 60.2163796462484)))', 'GBWMD', 'West Mainland (Shetland)', 'Y'),('SRID=4326;MULTIPOLYGON(((0.957245571075588 51.7837064080982,0.956692332951724 51.778823135896,0.954614137684603 51.7741006170247,0.951091278498642 51.7697202626269,0.946259440306859 51.7658502891121,0.940304439392731 51.7626392716913,0.933455062740779 51.7602104568777,0.925974285165659 51.7586570491523,0.918149200315077 51.7580386494448,0.910280046863041 51.7583789792258,0.902668742654276 51.7596649754745,0.89560735649552 51.7618472903092,0.889366949357628 51.7648421764364,0.884187203923087 51.7685346876207,0.880267233977071 51.772783073889,0.877757923725373 51.7774242059171,0.876756092734555 51.7822798236313,0.877300716256406 51.7871633719964,0.879371355114466 51.7918871635333,0.882888866478233 51.7962695933478,0.887718379592576 51.8001421290674,0.893674432147454 51.8033558054087,0.900528077057224 51.8057869710622,0.908015689704533 51.8073420636522,0.915849135863459 51.8079612257433,0.923726903925118 51.8076206197989,0.931345764546915 51.8063333508832,0.938412498525867 51.8041489606302,0.944655230734402 51.8011515122974,0.949833924520579 51.797456342193,0.953749626204806 51.7932056050863,0.956252101386315 51.7885627881953,0.957245571075588 51.7837064080982)))', 'GBWMS', 'West Mersea', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.82080397750971 57.3825759128313,-1.82184771642142 57.3777168482996,-1.8246258810523 57.3730610821087,-1.82903114585651 57.3687874213753,-1.83489385685769 57.3650599401701,-1.84198860621193 57.3620216986526,-1.85004291058351 57.3597892734574,-1.85874765745899 57.3584483052602,-1.86776892180851 57.3580502304529,-1.87676070846603 57.3586103190793,-1.88537814421124 57.3601070922252,-1.89329062838117 57.3624831406153,-1.90019445218538 57.3656473139915,-1.90582441473097 57.3694781996802,-1.90996399778016 57.3738287603442,-1.91245371082972 57.3785319569485,-1.91319728218365 57.3834071450439,-1.91216544876076 57.3882670020577,-1.90939718534223 57.3929247216435,-1.90499831010508 57.3972011992982,-1.89913750427055 57.4009319321009,-1.89203988563514 57.4039733648662,-1.88397837435375 57.4062084351206,-1.87526318012549 57.4075510995015,-1.86622981849643 57.407949663388,-1.85722612633682 57.4073887822782,-1.84859878937462 57.4058900557349,-1.84067991564433 57.403511190421,-1.83377418668759 57.4003437654464,-1.82814709343644 57.3965096885111,-1.8240147173017 57.3921564827906,-1.82153545159823 57.387451590005,-1.82080397750971 57.3825759128313)))', 'GBWNL', 'Whinnyfold', 'Y'),('SRID=4326;MULTIPOLYGON(((1.30732857107017 51.8675872473343,1.30673659905528 51.8627053634459,1.30461798586995 51.8579887575306,1.30105457693149 51.8536186112142,1.29618361197226 51.8497627468114,1.29019240550283 51.8465691962789,1.28331112938751 51.8441605347522,1.27580397773787 51.8426291930316,1.26795905205795 51.8420339256738,1.26007734956852 51.8423975673643,1.25246126879646 51.8437061616331,1.24540306313221 51.845909494453,1.23917367478398 51.8489230126274,1.23401236836469 51.8526310549555,1.23011755553386 51.8568912747522,1.22763916031451 51.8615400871436,1.22667281993028 51.8663989352955,1.22725614969757 51.8712811378496,1.22936722457023 51.875999056627,1.23292534676989 51.8803713101308,1.23779408142273 51.8842297552466,1.2437864535636 51.8874259671276,1.25067211386695 51.8898369654722,1.25818620076914 51.8913699637203,1.26603955693635 51.8919659551234,1.27392990168101 51.8916019947668,1.28155352076959 51.8902920876344,1.28861701317044 51.8880866476254,1.29484863181813 51.8850705487372,1.30000877255834 51.881359845061,1.30389920119729 51.877097288448,1.30637066116627 51.8724468195308,1.30732857107017 51.8675872473343)))', 'GBWNZ', 'Walton-on-the-Naze', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.343607295708225 50.8161091921299,-0.344640450884503 50.8112579331245,-0.347147180392698 50.8066275380372,-0.351030790434375 50.8023958546609,-0.356141815088343 50.7987253731597,-0.362283793682717 50.7957570016139,-0.369220827672418 50.7936046732724,-0.376686625593001 50.7923509893717,-0.384394691637566 50.792044061751,-0.392049273132297 50.7926956740368,-0.399356655665845 50.7942808305366,-0.406036382484215 50.7967387099162,-0.411831977282019 50.7999749880536,-0.416520766664509 50.8038654429963,-0.41992242995239 50.808260706491,-0.42190594892395 50.8129919828644,-0.422394687406844 50.8178775187094,-0.421369398770833 50.8227295773497,-0.418869036281448 50.8273616516234,-0.414989324416569 50.8315956380968,-0.409879135634481 50.8352686959805,-0.403734803351649 50.8382395249634,-0.396792584439577 50.8403938176739,-0.389319559719801 50.8416486738178,-0.381603325214709 50.8419558030922,-0.37394087717369 50.8413033911705,-0.36662712761976 50.8397165554828,-0.359943502628393 50.8372563730048,-0.354147071965651 50.8340175184846,-0.34946063627764 50.8301246061056,-0.346064157913699 50.8257273782434,-0.344087865737534 50.8209949296283,-0.343607295708225 50.8161091921299)))', 'GBWOI', 'Worthing', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.5239482037006 54.6501938583498,-3.52471269973342 54.6453199083743,-3.52710172481889 54.6406260668579,-3.53102297731632 54.6362926249983,-3.53632543156782 54.6324859765258,-3.54280519238259 54.6293522443031,-3.55021334942875 54.6270116899246,-3.55826552689353 54.6255541173505,-3.5666527638686 54.6250354433883,-3.57505331463838 54.6254755635477,-3.58314492644757 54.6268575930579,-3.5906171360568 54.6291285113704,-3.59718312577812 54.6322011860386,-3.60259069472366 54.6359577002663,-3.60663193140269 54.6402538594097,-3.60915121893146 54.6449247070396,-3.61005126295552 54.6497908424168,-3.60929690345289 54.6546652999125,-3.60691655290162 54.6593607282717,-3.60300119232418 54.6636965947147,-3.59770095038624 54.6675061363909,-3.5912193854718 54.6706427899737,-3.58380568256835 54.6729858491179,-3.57574506179421 54.6744451285352,-3.56734776947582 54.6749644515659,-3.55893708216576 54.6745238238856,-3.55083679581788 54.6731402075307,-3.5433586942924 54.6708668646328,-3.53679049226731 54.6677912967599,-3.53138472743154 54.664031861173,-3.52734903661428 54.6597331972658,-3.52483819239113 54.6550606427948,-3.5239482037006 54.6501938583498)))', 'GBWOR', 'Workington', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.22451645798558 54.1490275398385,-6.22565826895257 54.1441811005041,-6.22838813214788 54.1395585035919,-6.23260070183475 54.1353372849875,-6.23813382420233 54.1316795159332,-6.24477480930537 54.1287255972248,-6.25226861284865 54.1265888888083,-6.2603276121983 54.1253513773469,-6.26864260479393 54.1250605446243,-6.27689461461996 54.1257275542405,-6.28476706454111 54.1273268245608,-6.29195785970953 54.1297970040364,-6.29819093017768 54.133043312588,-6.30322679926201 54.1369411615454,-6.30687177774225 54.1413409164229,-6.30898543194177 54.1460736233057,-6.30948603499784 54.1509574824294,-6.30835378360596 54.1558048231082,-6.30563164509407 54.1604293137379,-6.30142378918639 54.1646531301322,-6.29589165206241 54.168313805559,-6.28924777367081 54.1712704967539,-6.28174763878193 54.1734094216846,-6.27367983391913 54.1746482562434,-6.26535490220356 54.1749393172165,-6.25709333279387 54.1742714062549,-6.24921315818714 54.172670242215,-6.24201764924504 54.1701974649478,-6.23578359354323 54.1669482500233,-6.23075061775601 54.1630476285805,-6.22711197062353 54.1586456571908,-6.22500712193165 54.1539116272124,-6.22451645798558 54.1490275398385)))', 'GBWPT', 'Warrenpoint', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.3886682991313 55.8508689253247,-5.38922150539877 55.8459870067026,-5.39145660479944 55.8412595841999,-5.39528715122949 55.8368682472327,-5.40056554533969 55.8329816163169,-5.40708876638379 55.8297488838084,-5.4146062006148 55.8272941061844,-5.42282926144068 55.8257114633095,-5.43144243333064 55.8250616628261,-5.44011532211327 55.8253696242603,-5.44851525992267 55.8266235292632,-5.45631999431134 55.8287752732917,-5.4632299882976 55.8317423017475,-5.46897987138363 55.835410761901,-5.47334861060806 55.8396398525884,-5.47616801490272 55.844267208407,-5.47732924445125 55.8491151155499,-5.47678706799571 55.8539973240309,-5.47456169318804 55.8587261971391,-5.47073808565237 55.8631199246174,-5.46546278835351 55.8670095220167,-5.458938350574 55.8702453453612,-5.45141557129516 55.8727028676218,-5.44318385084268 55.8742874910874,-5.43456002309763 55.8749382065882,-5.42587610449104 55.8746299552945,-5.41746644208213 55.8733745996841,-5.40965476880194 55.8712204651422,-5.40274167801485 55.8682504702016,-5.39699301167626 55.8645789192127,-5.39262961750617 55.8603470838907,-5.38981887283526 55.8557177474837,-5.3886682991313 55.8508689253247)))', 'GBWRB', 'West Loch Tarbert', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.91819756842048 59.3169785060045,-2.91914684690598 59.3121121744856,-2.92193431199708 59.3074339800723,-2.92645218488876 59.3031235905618,-2.9325264078165 59.2993464838212,-2.93992339942051 59.2962476141469,-2.94835905405583 59.2939458718311,-2.95750963581934 59.2925295442828,-2.96702415234654 59.2920529485839,-2.97653774307828 59.2925343610478,-2.985685582674 59.2939553207856,-2.99411678312585 59.2962613331525,-3.00150777817006 59.2993639469444,-3.00757469079678 59.3031441280913,-3.01208421876528 59.3074568040444,-3.01486262346301 59.3121364087701,-3.0158024732393 59.3170032198244,-3.01486687203346 59.3218702478673,-3.01209099564165 59.3265504164786,-3.00758085859607 59.3308637573081,-3.0015093409472 59.3346443431778,-2.99410961219683 59.3377466901255,-2.98566619469185 59.3400513784757,-2.97650400616035 59.3414696723115,-2.96697580599363 59.3419469552008,-2.9574485379647 59.3414648462117,-2.94828910966246 59.3400419122728,-2.93985017337181 59.3377329485839,-2.9324564730663 59.3346268556616,-2.92639229760347 59.3308431972425,-2.92189053251185 59.3265275752581,-2.9191237345748 59.321846004248,-2.91819756842048 59.3169785060045)))', 'GBWRY', 'Westray', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.94810761346585 51.3519891224138,-2.94887955711643 51.3471161705242,-2.95115440327493 51.3424311238517,-2.95484433121635 51.3381139427618,-2.95980727255889 51.3343304096374,-2.96585241128211 51.3312257769085,-2.9727475306868 51.3289192073822,-2.98022792287383 51.3274992171416,-2.98800652058609 51.3270202927661,-2.9957848682483 51.3275008100183,-3.00326451981354 51.32892233208,-3.01015843625598 51.3312303136387,-3.01620195556066 51.334336184437,-3.02116292285444 51.3381207341211,-3.02485059757079 51.3424386711641,-3.02712299757198 51.347124184043,-3.02789239590561 51.3519972943423,-3.0271287528538 51.3568707605248,-3.02486094217795 51.3615572690021,-3.02117571351522 51.3658766368627,-3.0162144198242 51.3696627488078,-3.01016762628381 51.3727699598056,-3.00326780152268 51.3750787145307,-2.99578036978716 51.3765001642232,-2.98799347004245 51.3769796001148,-2.98020682177451 51.3764985685691,-2.97272013472375 51.375075584701,-2.9658215190055 51.3727654163702,-2.95977635205626 51.3696569667506,-2.9548170395866 51.3658698387981,-2.95113407022956 51.3615497165577,-2.94886870977397 51.3568627442286,-2.94810761346585 51.3519891224138)))', 'GBWSM', 'Weston-super-Mare', 'Y'),('SRID=4326;MULTIPOLYGON(((1.06587988310443 51.3646653363647,1.06531887506239 51.359782180803,1.06324725662612 51.3550613483131,1.0597450571046 51.3506841857545,1.05494715877201 51.346818788246,1.04903806871386 51.3436135571533,1.04224480921124 51.3411915189642,1.03482820273982 51.3396456200545,1.02707288504385 51.3390351747358,1.01927642454585 51.3393836000673,1.01173795745836 51.3406775223295,1.00474676466303 51.3428672885318,0.998571218355804 51.3458688636655,0.993448513597486 51.349567042437,0.989575572548858 51.3538198547315,0.98710146794409 51.3584639988148,0.986121658275311 51.3633210969141,0.98667426165682 51.3682045358251,0.988738520302915 51.3729266318611,0.992235525365153 51.3773058457997,0.997031185379118 51.3811737702181,1.00294133402443 51.3843816190519,1.00973878786127 51.3868059672858,1.01716208586543 51.3883535168603,1.02492557356702 51.3889647021647,1.03273043873283 51.3886159934835,1.04027626561424 51.3873208076737,1.04727265286689 51.38512899009,1.05345043748621 51.3821248880454,1.0585720836501 51.3784240915332,1.06244083036075 51.3741689691954,1.06490824343475 51.3695231744489,1.06587988310443 51.3646653363647)))', 'GBWTS', 'Whitstable', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.04129607049421 56.1400230243935,-3.04214971693629 56.1351533561597,-3.04468787716903 56.1304702081413,-3.04881247633484 56.126153452303,-3.05436465080274 56.1223688311396,-3.06113090740567 56.119261610824,-3.06885134686197 56.1169510252772,-3.07722963253995 56.1155257206361,-3.08594432440613 56.1150403711595,-3.09466115082825 56.1155135932129,-3.10304575890766 56.116927235215,-3.11077646781902 56.1192270700219,-3.11755654953746 56.1223248639235,-3.12312557733405 56.126101744997,-3.12726941422647 56.1304127447669,-3.12982846055708 56.1350923426567,-3.13070384101741 56.1399608042043,-3.1298612852625 56.1448310729156,-3.12733254073443 56.1495159532393,-3.12321424883621 56.1538353094833,-3.11766431297345 56.1576230032651,-3.1108958855033 56.1607333006337,-3.10316919619974 56.1630464992145,-3.09478153317594 56.1644735550595,-3.08605576408233 56.1649595273043,-3.0773278469612 56.1644857047725,-3.06893382317216 56.1630703304629,-3.06119680699804 56.160767895248,-3.05441448668626 56.1576670287271,-3.04884762976874 56.1538870706014,-3.04471004272854 56.1495734577998,-3.04216037373892 56.1448921087084,-3.04129607049421 56.1400230243935)))', 'GBWWE', 'West Wemyss', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.44376267807643 50.5828192392657,-2.44457393519638 50.5779491301423,-2.44686141084397 50.5732733360555,-2.45053682085208 50.5689714613092,-2.45545867322228 50.5652087016275,-2.4614377431903 50.5621295144915,-2.46824435718298 50.5598520895059,-2.47561720394345 50.5584638279904,-2.48327333654073 50.5580180022422,-2.49091898698048 50.5585317201225,-2.49826078674717 50.559985271401,-2.50501697250153 50.5623228804027,-2.510928156651 50.5654548367634,-2.51576725759801 50.5692609243241,-2.51934821381378 50.5735950192156,-2.52153314879625 50.5782906837288,-2.52223770937343 50.5831675442806,-2.52143436619928 50.5880382111387,-2.51915354068669 50.5927154758094,-2.51548250458054 50.5970195101061,-2.51056208399171 50.6007847895328,-2.50458128570733 50.6038664730006,-2.49777004641969 50.6061459908604,-2.49039038154435 50.6075356231713,-2.48272627600909 50.6079818889446,-2.47507271161721 50.6074676133288,-2.46772426171308 50.6060125914651,-2.46096370205964 50.6036728229116,-2.4550510861353 50.6005383468052,-2.45021371351098 50.5967297629135,-2.44663738259262 50.5923935751491,-2.44445926572215 50.587696539842,-2.44376267807643 50.5828192392657)))', 'GBWYK', 'Wyke Regis', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.588155559271688 54.4861523905745,-0.589265200804084 54.4813024281956,-0.59197800287157 54.4766716516965,-0.59618926152879 54.4724379120636,-0.601736861163094 54.4687637611724,-0.608407546815224 54.4657902275971,-0.615945128988507 54.4636314223513,-0.624060304246642 54.4623701780054,-0.632441717974412 54.462054885078,-0.640767852524852 54.4626976443112,-0.648719295574618 54.4642738040392,-0.655990930455121 54.4667229000676,-0.662303592791363 54.4699509630754,-0.667414755929278 54.4738341073167,-0.67112784101876 54.4782232661173,-0.673299795546265 54.4829498960272,-0.673846645473129 54.4878324341305,-0.67274679935502 54.4926832633667,-0.670041965787973 54.4973159200375,-0.665835635585928 54.5015522669178,-0.660289174047716 54.5052293552026,-0.653615662865554 54.5082057091264,-0.646071721695494 54.5103667883028,-0.637947622072915 54.5116294139755,-0.629556077267815 54.5119449853312,-0.621220147294071 54.5113013592395,-0.613260735741385 54.5097233193378,-0.605984172411217 54.5072716160602,-0.599670371989158 54.5040406156583,-0.594562034390291 54.5001546510696,-0.590855308300068 54.4957632183406,-0.588692278131497 54.4910352071056,-0.588155559271688 54.4861523905745)))', 'GBWYT', 'Whitby', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.72465455325815 50.7109137192456,-2.72543903083298 50.7060417297643,-2.7277049188644 50.7013604996412,-2.73136475735765 50.6970498432374,-2.73627764696027 50.6932752942036,-2.74225470212789 50.6901817627617,-2.74906632283663 50.6878879887229,-2.75645100346975 50.6864820000911,-2.76412534259201 50.6860177484871,-2.77179487498589 50.6865130479203,-2.77916531861651 50.6879488942917,-2.78595381479008 50.6902701911602,-2.79189973999663 50.6933878545711,-2.79677468278018 50.6971822179477,-2.80039120812446 50.7015076090088,-2.80261007460002 50.7061979261274,-2.80334562481864 50.7110730031393,-2.80256913608477 50.7159455208036,-2.80030999355655 50.7206282011852,-2.79665463028759 50.7249410091347,-2.7917432643174 50.7287180834482,-2.78576454922972 50.7318141294532,-2.77894833775481 50.7341100245189,-2.77155683441138 50.7355174177338,-2.76387447933105 50.7359821436419,-2.75619695808975 50.7354863160251,-2.74881976895333 50.7340490193938,-2.74202679755828 50.7317255709781,-2.73607934872584 50.7286053822869,-2.73120606586882 50.7248085043478,-2.72759413129331 50.7204809922614,-2.72538208752527 50.715789270561,-2.72465455325815 50.7109137192456)))', 'GBWYX', 'West Bay', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.916149837400397 60.699218740413,-0.917441453871537 60.6943712537875,-0.920636570429852 60.6897403766823,-0.925611711337668 60.6855039381913,-0.932175253943181 60.6818245556707,-0.940074857836739 60.6788434138529,-0.949007178151815 60.676674871409,-0.958629487402841 60.6754020973364,-0.968572764696697 60.6750739001488,-0.978455761706372 60.6757028678909,-0.987899522321698 60.6772648880849,-0.996541817892072 60.6797000654981,-1.00405096266689 60.6829150038031,-1.0101384943993 60.6867863664807,-1.01457024283651 60.6911655844007,-1.01717536339173 60.6958845340457,-1.01785298368215 60.7007619729078,-1.0165761952915 60.7056104886355,-1.01339321989364 60.7102436973199,-1.00842568484591 60.714483414906,-1.00186405487436 60.7181665248257,-0.993960379202658 60.7211512748842,-0.985018622584378 60.7233227570879,-0.975382949095455 60.724597354887,-0.965424414215577 60.7249259821212,-0.955526589105703 60.7242959852749,-0.946070687324116 60.7227316334981,-0.937420785905179 60.7202931769866,-0.929909728518497 60.7170745112816,-0.923826268583943 60.7131995403653,-0.91940395645573 60.708817382689,-0.916812200126886 60.7040966093207,-0.916149837400397 60.699218740413)))', 'GBYFR', 'Yell and Fetlar', 'Y'),('SRID=4326;MULTIPOLYGON(((-52.3049493988218 4.93004965834857,-52.305421175335 4.92514706691529,-52.3068374951639 4.92043099150988,-52.3091439094913 4.91608266723826,-52.3122517678826 4.91226919238928,-52.316041627517 4.90913710776134,-52.3203678447412 4.90680676652793,-52.3250641722853 4.90536771080298,-52.3299501470141 4.90487523233337,-52.3348380228944 4.90534824923003,-52.3395399830658 4.90676858010084,-52.3438753542938 4.90908164330759,-52.347677547043 4.91219855438846,-52.3508004549335 4.91599954105631,-52.3531240680295 4.92033854464906,-52.3545590844785 4.92504883139781,-52.3550503433256 4.92994939812818,-52.3545789464417 4.93485192649968,-52.3531629877023 4.93956801878467,-52.350856860952 4.94391643730746,-52.3477491728444 4.94773006943034,-52.343959340276 4.9508623504114,-52.3396330027798 4.95319289718415,-52.3349364259358 4.95463213634316,-52.3300501108329 4.95512474821536,-52.3251618553232 4.95465179438049,-52.3204595340622 4.95323144663007,-52.3161238752572 4.95091828917209,-52.3123215122243 4.94780122081728,-52.3091985772679 4.94400003779631,-52.306875084444 4.93966082866425,-52.3054403172949 4.93495035848151,-52.3049493988218 4.93004965834857)))', 'GFCAY', 'Cayenne', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.16149409748358 49.682727593305,-2.16231771660314 49.6778587740073,-2.16458898395521 49.6731877333585,-2.16822025948996 49.668893894096,-2.17307176332068 49.6651421460115,-2.17895698256039 49.6620765276065,-2.18564984979026 49.6598147119241,-2.19289341568111 49.6584435052486,-2.2004096847925 49.6580155285041,-2.20791024243798 49.6585472062594,-2.21510727277693 49.6600181389313,-2.22172455464163 49.6623718817956,-2.22750802235048 49.665518101619,-2.23223549388479 49.6693360299228,-2.23572519797056 49.6736790829281,-2.23784277411175 49.6783804738407,-2.23850647437919 49.683259604968,-2.23769036125791 49.6881289966721,-2.23542537012433 49.6928014886183,-2.23179818553137 49.6970974371224,-2.22694796455634 49.7008516312802,-2.22106102478178 49.7039196601977,-2.21436369556111 49.7061834838532,-2.20711360552069 49.7075559902662,-2.1995897433442 49.7079843606392,-2.19208167969471 49.7074521104768,-2.18487837313514 49.7059797265063,-2.17825700033138 49.7036238743991,-2.17247224977282 49.7004752085019,-2.1677464987791 49.6966548696861,-2.16426125668625 49.6923098087091,-2.16215020469189 49.6876071180603,-2.16149409748358 49.682727593305)))', 'GGACI', 'ALDERNEY', 'Y'),('SRID=4326;MULTIPOLYGON(((0.0250526194431143 5.66612931495858,0.0245963066256782 5.6612306827148,0.0231947645576421 5.65651536230417,0.0209018807174328 5.6521645649517,0.017805793282153 5.64834548674133,0.0140255004084177 5.64520488376506,0.00970628459651176 5.64286343372123,0.00501412836555868 5.64141110043961,0.000129336020500869 5.64090367915779,-0.00476039343472117 5.64136065493215,-0.00946717631858921 5.64276445609437,-0.0138101606216387 5.64506113110101,-0.0176224719515886 5.64816242252295,-0.0207576227631019 5.65194915836683,-0.0230951391251249 5.65627583045049,-0.0245451892022077 5.66097618408596,-0.0250520357799565 5.66586960458049,-0.0245961801131681 5.67076805551808,-0.0231951144277081 5.67548330259333,-0.0209026536770983 5.67983414574588,-0.0178068716268903 5.68365338191916,-0.0140267199415693 5.68679423097276,-0.00970745962673199 5.6891359777453,-0.00501507997664466 5.69058861323275,-0.000129919309781719 5.69109629618942,0.00476026729623675 5.69063950172128,0.0094675265627982 5.68923577389441,0.0138109339554646 5.68693905308762,0.0176235506703929 5.6838376037027,0.0207588426701714 5.68005062178147,0.0230963145291458 5.67572365296913,0.0245461411870769 5.67102299712789,0.0250526194431143 5.66612931495858)))', 'GHTEM', 'Tema', 'Y'),('SRID=4326;MULTIPOLYGON(((-51.6928343661968 64.1832825499938,-51.693811225703 64.1784142410976,-51.6969463371264 64.1737225371189,-51.7021182577612 64.1693876057224,-51.7091275783649 64.1655758340009,-51.717704685553 64.1624334650614,-51.7275201603241 64.1600810146527,-51.7381974075732 64.1586086768326,-51.7493270358896 64.1580728896244,-51.7604824491065 64.158494187842,-51.771236071804 64.159856422318,-51.7811756106833 64.1621073742771,-51.7899197526153 64.1651607421848,-51.7971327182254 64.1688994277212,-51.8025371269364 64.1731799992178,-51.8059246850546 64.1778381665725,-51.8071642819825 64.1826950628699,-51.8062071696636 64.1875640961788,-51.8030890049069 64.1922581115758,-51.7979286504453 64.1965965895046,-51.7909237546735 64.2004126029463,-51.7823432573281 64.2035592630308,-51.7725170935235 64.205915400721,-51.7618234856695 64.2073902606031,-51.7506743159336 64.2079270206913,-51.7394991554937 64.2075049980591,-51.7287285861132 64.2061404521599,-51.7187774810735 64.2038859536634,-51.7100289143438 64.2008283440331,-51.7028193389266 64.1970853673536,-51.6974256192654 64.1928011085803,-51.6940544217394 64.1881404191689,-51.6928343661968 64.1832825499938)))', 'GLGOH', 'Nuuk (Godthaab)', 'Y'),('SRID=4326;MULTIPOLYGON(((-61.5140140442317 16.2298195685986,-61.5145500915218 16.2249252755842,-61.516064075483 16.220226045773,-61.5184977579355 16.2159024432433,-61.521757579397 16.2121205892199,-61.5257182597321 16.2090257830618,-61.5302276136402 16.2067369238334,-61.5351123957762 16.2053419460249,-61.5401849513823 16.2048944440777,-61.5452504179281 16.2054116148618,-61.5501142024944 16.2068735968613,-61.5545894492245 16.2092242314589,-61.5585042114828 16.2123732173616,-61.5617080544046 16.2161995759352,-61.5640778349034 16.220556295016,-61.5655224371908 16.225275973544,-61.5659862813464 16.230177250851,-61.5654514690441 16.2350717741153,-61.563938482489 16.2397714365562,-61.5615054080149 16.2440956082313,-61.5582457125449 16.2478780812687,-61.5542846570333 16.2509734620702,-61.5497744838977 16.2532627640871,-61.5448885632031 16.2546579854186,-61.5398147230428 16.255105494549,-61.5347480215088 16.2545880935149,-61.5298832395362 16.2531256788855,-61.5254073848279 16.2507744751423,-61.5214924965785 16.2476248702256,-61.5182890288337 16.2437979370087,-61.5159200675625 16.2394407751396,-61.5144766038334 16.2347208530888,-61.5140140442317 16.2298195685986)))', 'GPPTP', 'Pointe-à-Pitre', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4760788917876 36.7236634903693,24.4756415423048 36.7187698743022,24.4740268213583 36.7140389634369,24.4712969798598 36.7096525258364,24.4675570667211 36.7057790635783,24.4629508702336 36.7025673474067,24.4576553824511 36.7001407123695,24.451874000793 36.6985923317075,24.4458287276136 36.6979816485589,24.4397516650616 36.6983321007427,24.43387612809 36.6996302246725,24.4284277122018 36.7018261721371,24.4236156540503 36.7048356201804,24.4196248123362 36.7085430015556,24.4166085738634 36.7128059331247,24.4146829558288 36.7174606739608,24.4139221314514 36.7223284054673,24.4143555532858 36.7272220940511,24.4159667887473 36.7319536740337,24.4186941175575 36.7363412754848,24.4224328733387 36.7402162191415,24.4270394439968 36.7434295087301,24.4323367805149 36.7458575696643,24.43812120402 36.7474070116232,24.4441702490645 36.7480182298957,24.4502512392669 36.747667705195,24.4561302617245 36.7463689121474,24.4615811903006 36.7441718008316,24.4663944058079 36.7411608713893,24.4703848733493 36.7374519165972,24.4733992630856 36.7331875591317,24.4753218392735 36.7285317569993,24.4760788917876 36.7236634903693)))', 'GRADL', 'Adamas, Milos', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1127436764311 38.2507032778985,22.1120593149402 38.2458255499849,22.1101816231463 38.2411468066618,22.1071829546514 38.2368467922227,22.1031786719914 38.233090672356,22.0983226943012 38.2300226993229,22.0928015767484 38.2277606826149,22.0868273500821 38.2263914754266,22.0806293941248 38.225967648299,22.0744456542024 38.2265054760451,22.0685135333009 38.227984314232,22.0630608044609 38.2303473888938,22.0582968872378 38.233503969676,22.0544048189666 38.2373328442093,22.05153422646 38.241686962061,22.0497955673504 38.2463990719499,22.0492558636606 38.2512881376931,22.0499360948278 38.2561662880643,22.0518103551189 38.2608460345969,22.0548068133467 38.2651474802682,22.0588104434688 38.2689052414975,22.0636674256937 38.2719748161414,22.069191051923 38.2742381508774,22.0751689094845 38.2756081918531,22.0813710657846 38.2760322415905,22.0875589360327 38.2754939913866,22.0934944884378 38.2740141499895,22.0989494275438 38.271649644095,22.1037139973026 38.2684914219498,22.1076050610371 38.2646609458061,22.1104731448664 38.260305509927,22.1122081730819 38.2555925662514,22.1127436764311 38.2507032778985)))', 'GRAEN', 'Aígion', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9103844689982 39.6974715359256,22.9096276781361 39.6926012753224,22.9076557527544 39.6879386207539,22.9045446776713 39.6836626918369,22.9004141377809 39.67993772218,22.8954228992181 39.6769067613675,22.8897627032879 39.6746861926853,22.8836509085206 39.6733612749856,22.8773221619925 39.6729828778303,22.8710194162873 39.6735655336251,22.8649846321059 39.6750868805385,22.8594495178823 39.6774885174049,22.8546266565144 39.6806782384307,22.8507013554743 39.6845335632821,22.8478245305184 39.6889064289127,22.8461068957013 39.6936288651045,22.8456146845239 39.6985194378095,22.8463670703039 39.7033902144527,22.8483353901062 39.708053984615,22.8514442080297 39.7123314588407,22.8555741828123 39.7160581682621,22.8605666343525 39.7190907984316,22.8662296366806 39.7213127119186,22.8723454040181 39.7226384451366,22.8786786845006 39.7230170043683,22.8849858352902 39.7224338325332,22.8910242250516 39.7209113700252,22.8965615964337 39.7185081878495,22.9013850229068 39.715316727059,22.9053091109674 39.7114597328511,22.9081831295246 39.7070855224163,22.9098967917728 39.7023622707068,22.9103844689982 39.6974715359256)))', 'GRAGK', 'Agiokampos, Larissas', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0193091988578 39.5405552610167,25.0188271824176 39.5356642517884,25.0171222707109 39.5309400189628,25.0142602072176 39.5265640665557,25.0103511385591 39.5227044842996,25.0055453574759 39.5195094995741,25.0000275166631 39.5171017954394,24.9940095373991 39.5155738109502,24.9877224847485 39.5149842020896,24.981407718647 39.5153555973094,24.9753076562546 39.51667373247,24.9696564948612 39.5188879977355,24.964671245969 39.5219133755994,24.9605434199244 39.5256336966012,24.9574316769661 39.529906089355,24.9554557254677 39.5345664560437,24.9546917025322 39.5394357652322,24.9551692173368 39.5443269222076,24.9568701755106 39.5490519543104,24.9597294354629 39.5534292358421,24.9636372773862 39.5572904747231,24.9684435952999 39.5604871913679,24.9739636547815 39.5628964390473,24.9799851967811 39.5644255437157,24.9862766138395 39.5650156788526,24.992595881579 39.5646441358855,24.9986998975056 39.5633252014472,25.0043538624394 39.5611096070563,25.0093403380646 39.5580825725671,25.0134676272762 39.5543605196462,25.0165771515644 39.5500865833484,25.0185495403279 39.5454250964812,25.0193091988578 39.5405552610167)))', 'GRAGO', 'Ágios Efstrátios', 'Y'),('SRID=4326;MULTIPOLYGON(((24.488466812568 35.1436356922492,24.4880314842909 35.1387412731265,24.4864422156375 35.1340106505449,24.4837602647323 35.1296255840105,24.4800888296405 35.1257545269023,24.4755690624591 35.1225461623876,24.4703746357055 35.1201237016866,24.4647050711981 35.1185801619641,24.458778087326 35.1179748033714,24.4528212565467 35.1183308603993,24.4470632900233 35.1196346534097,24.4417252797603 35.1218361138186,24.4370122300429 35.1248507028279,24.43310519939 35.1285626507783,24.4301543519378 35.1328293940651,24.4282731838541 35.1374870409325,24.4275341470752 35.1423566580503,24.4279658407566 35.1472511380629,24.4295518820451 35.1519823855327,24.432231504153 35.1563685458201,24.4359018635535 35.1602409990326,24.4404219719141 35.1634508494584,24.4456181047765 35.1658746596608,24.4512904805827 35.1674192070258,24.4572209529489 35.1680250779974,24.4631814183255 35.1676689600795,24.4689426122149 35.1663645421805,24.4742829512747 35.1641619880179,24.4789970766819 35.1611460029041,24.4829037661539 35.1574325690427,24.4858529074964 35.1531644762549,24.4877312642816 35.1485058217456,24.488466812568 35.1436356922492)))', 'GRAGW', 'Agios Galini', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0699928978288 38.8484371788624,23.0692367266737 38.8435673360135,23.067280436551 38.8389063982127,23.0641994019331 38.8346334201569,23.060112146525 38.8309125241417,23.055175770077 38.8278866060047,23.0495799068044 38.8256718583336,23.0435394482267 38.82435331919,23.0372863084947 38.8239816152956,23.0310605450874 38.8245710231514,23.0251011710949 38.8260989215917,23.0196370064731 38.8285066566303,23.0148779143339 38.8317017860428,23.0110067545453 38.8355616188556,23.0081723610423 38.8399379156935,23.0064838120233 38.8446625715677,23.006006214758 38.8495540648389,23.0067581705257 38.8544244262362,23.0087110221174 38.8590864611511,23.0117899185457 38.8633609478613,23.0158766616259 38.8670835343923,23.0208142296053 38.8701110675411,23.0264128068695 38.8723271088486,23.0324570887183 38.873646423309,23.0387145789423 38.8740182661653,23.0449445577391 38.8734283397607,23.0509073702633 38.8718993442056,23.0563736730735 38.8694901005119,23.0611332775383 38.8662932805834,23.0650032457933 38.8624318327593,23.0678349253042 38.8580542422857,23.0695196510533 38.8533288110953,23.0699928978288 38.8484371788624)))', 'GRAID', 'Aidipsou', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0071767107634 36.9012646290304,26.0066409750009 36.8963748056089,26.0049279243008 36.8916628634921,26.0021035830553 36.8873098345774,25.9982766219951 36.883482931805,25.9935941618697 36.8803291341511,25.9882361117054 36.8779695515016,25.9824082604082 36.8764947839596,25.9763343863661 36.8759614518779,25.9702476855403 36.8763900281888,25.9643818432457 36.8777640550907,25.9589620876683 36.8800307746699,25.9541965637863 36.8831031495038,25.9502683547424 36.8868631966285,25.9473284542004 36.8911665083884,25.9454899585036 36.8958477884305,25.9448237026075 36.9007271921491,25.9453555101873 36.9056172297196,25.9470651678026 36.910329967709,25.9498871676271 36.9146842530559,25.9537131953908 36.9185126815395,25.9583962724301 36.9216680419083,25.9637563957999 36.9240289863668,25.9695874609674 36.925504707489,25.9756652002621 36.926038439748,25.9817558292726 36.9256096492879,25.987625064653 36.9242348265128,25.9930471616506 36.9219668505009,25.9978136188274 36.9188929499553,26.0017412109553 36.915131340116,26.004679038291 36.9108266665476,26.0065143201181 36.9061444329259,26.0071767107634 36.9012646290304)))', 'GRAIG', 'Aigiali, Amorgou', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4575037618708 37.7453469787245,23.4567370249033 37.7404792540725,23.4547893654723 37.7358238116827,23.4517358136729 37.7315594956378,23.4476938273231 37.7278500975168,23.4428187612154 37.7248380747182,23.4372978933962 37.7226390899971,23.431343238556 37.7213375799176,23.4251834231186 37.7209835205062,23.4190549308146 37.7215905128114,23.4131930503796 37.7231352610167,23.4078228678495 37.7255584630454,23.403150644412 37.7287670801326,23.3993559069434 37.7326378995667,23.3965845525918 37.7370222556058,23.3949432318176 37.7417517292822,23.3944952272815 37.7466446100819,23.3952579903677 37.7515128727893,23.3972024348013 37.7561694023321,23.4002540199414 37.7604351891182,23.4042955873762 37.7641462176619,23.4091718460898 37.7671597823477,23.4146953364726 37.7693599856819,23.4206536445728 37.7706622055776,23.4268175877907 37.771016357945,23.4329500539779 37.770408827584,23.4388151494107 37.7688629922251,23.444187298599 37.7664383194547,23.4488599409494 37.7632280719446,23.4526534858103 37.7593557106237,23.4554222175977 37.7549701359722,23.457059885113 37.7502399524801,23.4575037618708 37.7453469787245)))', 'GRAIN', 'Aigina', 'Y'),('SRID=4326;MULTIPOLYGON(((26.326474539443 37.6141838437822,26.3259138542006 37.6092957669832,26.324165381817 37.6045886108856,26.321296513219 37.6002432207634,26.3174176325993 37.5964265130991,26.3126778549027 37.5932850724111,26.3072592876078 37.5909395316919,26.3013700384902 37.589479950349,26.2952362371409 37.5889623651789,26.289093373961 37.5894066451167,26.2831772850639 37.5907957309583,26.2777151242775 37.5930762887788,26.27291666387 37.5961607522612,26.2689662537405 37.5999306765478,26.2660157449406 37.6042412764352,26.264178648245 37.6089269765686,26.2635257531312 37.6138077624444,26.2640823783747 37.6186960899776,26.2658273643154 37.6234040893718,26.2686938508053 37.6277507869688,26.2725718163064 37.6315690672351,26.2773122851929 37.634712106238,26.2827330447591 37.6370590276559,26.2886256534763 37.6385195618825,26.2947634702847 37.639037527053,26.3009103934655 37.6385929963808,26.3068299688065 37.637203067242,26.3122945117003 37.634921201946,26.3170938872244 37.6318351658614,26.3210436061619 37.6280636432601,26.3239919226896 37.6237516626745,26.3258256597863 37.6190650096581,26.326474539443 37.6141838437822)))', 'GRAKI', 'Agios Kírykos', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8919561025617 38.7584869350349,22.8912132163704 38.7536155348809,22.8892711094937 38.7489511881277,22.8862046115093 38.7446730814269,22.8821316884147 38.740945534917,22.8772088907306 38.7379117004502,22.8716253327905 38.735688074895,22.8655954352637 38.7343600371574,22.8593507082672 38.7339785783189,22.8531308873127 38.7345583488546,22.8471747577609 38.7360770969527,22.8417110147306 38.7384765193195,22.8369495042101 38.7416644924291,22.8330731774548 38.7455185998792,22.8302310650217 38.7498908222549,22.8285325397046 38.754613211473,22.8280430903309 38.7595043336659,22.8287817723153 38.7643762347262,22.8307204379129 38.7690416618814,22.8337847814493 38.7733212639986,22.8378571649225 38.7770504932758,22.8427811199648 38.7800859416749,22.8483673560458 38.7823108666207,22.8544010447736 38.7836396913865,22.8606500988551 38.7840213050729,22.8668741240186 38.7834410336306,22.8728336948502 38.7819212051298,22.8782995923272 38.779520287346,22.8830616424669 38.7763306314689,22.8869368118618 38.7724749100869,22.8897762461535 38.7681013883213,22.8914709802707 38.7633782120755,22.8919561025617 38.7584869350349)))', 'GRAKN', 'Agios Konstantínos, Fthiotida', 'Y'),('SRID=4326;MULTIPOLYGON(((13.4661450510838 41.2504464209634,13.4656223720347 41.2455577846752,13.4638462696869 41.2408400235746,13.4608852408369 41.2364743876334,13.4568532454538 41.2326285636715,13.4519053015725 41.2294502437538,13.4462315173493 41.227061464798,13.4400497912269 41.2255539345889,13.4335974598196 41.2249855214198,13.4271222112008 41.2253780401525,13.4208726076283 41.2267164182783,13.4150885756632 41.2289492733622,13.4099922227414 41.2319908799498,13.4057793275256 41.23572445151,13.4026118271341 41.2400066131752,13.4006115882873 41.2446728957122,13.3998557025879 41.2495440419995,13.4003734899702 41.254432885787,13.4021453306224 41.2591515399177,13.4051033765524 41.2635186184642,13.4091341219136 41.2673662149831,13.4140827389765 41.2705463675538,13.4197590170992 41.272936760254,13.4259446781661 41.2744454396206,13.4324017865028 41.2750143624112,13.4388819267913 41.274621636179,13.4451357920608 41.2732823650224,13.4509228069451 41.2710480673324,13.4560204098861 41.2680046881874,13.4602326319176 41.2642692839744,13.4633976384081 41.2599855085655,13.4653939423113 41.2553180768719,13.4661450510838 41.2504464209634)))', 'ITNGA', 'SPERLONGA', 'Y'),('SRID=4326;MULTIPOLYGON(((26.8525579810982 37.8060437237561,26.8519613532562 37.8011581766056,26.8501751266128 37.7964588359653,26.84726814219 37.7921262440674,26.8433522462047 37.7883268234537,26.8385779717894 37.7852064931056,26.8331287469273 37.7828850746416,26.8272138522574 37.7814517014562,26.8210603983241 37.7809614051286,26.8149046275716 37.7814330085059,26.8089828708314 37.7828484052302,26.8035225005111 37.7851532529613,26.7987332228054 37.7882590540483,26.7947990390105 37.7920465448505,26.7918711817918 37.7963702652131,26.7900622967319 37.8010641345811,26.7894420937526 37.8059478225659,26.7900346384962 37.8108336709481,26.7918173922602 37.81553390233,26.7947220427367 37.8198678388722,26.7986370990312 37.823668853323,26.803412155847 37.826790784054,26.8088636660878 37.8291135658026,26.8147820011868 37.8305478576267,26.8209395268251 37.8310384880924,26.827099380678 37.830566583483,26.8330246102985 37.8291502960166,26.8384873145642 37.8268441036406,26.8432774319587 37.8237367087162,26.8472108333511 37.8199476175314,26.8501364051902 37.8156225338847,26.8519418498219 37.8109277458787,26.8525579810982 37.8060437237561)))', 'GRAKO', 'Agios Konstantínos, Samos', 'Y'),('SRID=4326;MULTIPOLYGON(((19.7433831958398 39.6743549638321,19.7428494639961 39.6694661685963,19.7410919995362 39.6647517592358,19.7381785632927 39.6603928586233,19.7342212713541 39.6565568984718,19.7293722630817 39.6533911969678,19.7238178449815 39.6510173119576,19.7177713369002 39.649526384484,19.7114648945566 39.6489756493517,19.7051406195783 39.6493862448415,19.699041293874 39.6507424043505,19.6934010886248 39.6529920604211,19.6884365990359 39.6560488382291,19.6843385442472 39.6597953630465,19.6812644477898 39.664087756372,19.6793325783899 39.6687611501453,19.6786173848096 39.6736360094081,19.6791466032032 39.6785250224346,19.6809001529456 39.68324029497,19.6838108691841 39.6876005727315,19.6877670499267 39.6914382143477,19.692616724982 39.6946056456444,19.6981734863329 39.6969810454298,19.7042236573943 39.6984730420505,19.7105345247916 39.6990242379336,19.7168633132225 39.6986134246529,19.7229665536455 39.6972564019682,19.7286094788988 39.6950053687479,19.7335750796814 39.691946909475,19.7376724676848 39.6881986548652,19.7407442208904 39.6839047467649,19.742672427311 39.6792302838452,19.7433831958398 39.6743549638321)))', 'GRALP', 'Alypa, Palaiokastritsas', 'Y'),('SRID=4326;MULTIPOLYGON(((20.8075728099294 37.841055819934,20.806978875754 37.8361700810135,20.8051946688027 37.8314700915324,20.8022889530539 37.8271364187926,20.7983735265458 37.8233355269091,20.79359890486 37.8202133913364,20.7881485296575 37.8178899029061,20.7822317259068 37.8164542743304,20.7760756774122 37.8159616235978,20.7699167260085 37.8164308637757,20.7639913242771 37.8178439791093,20.7585269841293 37.8201467147957,20.7537335637426 37.8232506543113,20.7497952231224 37.8270366056212,20.7468633543453 37.8313591678926,20.7450507570315 37.8360523053051,20.7444272838667 37.8409357158632,20.7450171264812 37.8458217522674,20.7467978504946 37.8505226301079,20.749701222174 37.8548576468381,20.7536158003449 37.8586601337329,20.7583911985774 37.8617838725118,20.7638438569892 37.8641087282695,20.7697641030137 37.8655452801306,20.7759242287916 37.8660382695445,20.7820872717583 37.8655687318827,20.7880161564285 37.8641547281891,20.7934828406448 37.8618506485117,20.7982771093668 37.8587451139845,20.8022146734381 37.8549575594687,20.8051442590051 37.8506336298704,20.8069534140459 37.8459395691731,20.8075728099294 37.841055819934)))', 'GRALY', 'Alykes', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5102003573694 39.2641398849556,20.5096156621311 39.2592538767843,20.5078162325594 39.2545504066897,20.5048714336907 39.2502101743981,20.5008945776257 39.246399892982,20.4960385469903 39.2432658942951,20.4904899115461 39.240928519989,20.4844617652728 39.2394775114625,20.4781855581323 39.2389685736921,20.4719022332443 39.2394212430921,20.4658530052608 39.2408181400478,20.4602701286095 39.2431056343435,20.4553680046176 39.2461958982873,20.4513349643301 39.2499702698186,20.4483260394348 39.2542837981822,20.4464569978172 39.2589707996704,20.4457998739469 39.2638512121518,20.4463801689896 39.2687375061055,20.4481758330392 39.2734418878968,20.4511180743259 39.277783519002,20.4550939701176 39.281595473392,20.4599507839821 39.284731164518,20.4655018269185 39.28706999307,20.4715336384287 39.2885219962532,20.4778142105513 39.2890313176635,20.4841019356373 39.2885783624808,20.4901549291438 39.2871805538278,20.4957403633763 39.2848916607179,20.5006434476391 39.2817997237999,20.5046757046953 39.2780236598297,20.5076822220973 39.2737086772209,20.5095475984789 39.2690206810766,20.5102003573694 39.2641398849556)))', 'GRAMD', 'Ammoydia', 'Y'),('SRID=4326;MULTIPOLYGON(((21.1880327816341 38.8919528115423,21.1874044485623 38.8870699311209,21.1855695091611 38.8823766521951,21.1825986855513 38.8780532804993,21.1786062818611 38.8742658801787,21.1737457707934 38.8711599043113,21.1682038886858 38.8688546196143,21.1621934670426 38.8674385374025,21.1559452748319 38.8669660242187,21.149699181808 38.8674552205565,21.1436949776426 38.868887346452,21.138163194046 38.8712074202151,21.1333162769515 38.8743263631331,21.1293404432494 38.8781244105028,21.1263885318309 38.8824556997583,21.1245741225544 38.8871538615511,21.123967150263 38.8920384010987,21.1245911856022 38.8969216264185,21.1264224919292 38.9016158584349,21.1293909002256 38.9059406463142,21.1333824740729 38.9097297103102,21.138243867105 38.9128373440654,21.1437882087134 38.9151440284643,21.1498022929575 38.9165610390999,21.156054793271 38.9170338680853,21.1623051840298 38.9165443268488,21.1683130212703 38.9151112478621,21.1738472201793 38.9127897579149,21.1786949671144 38.9096691513213,21.18266991885 38.905869446064,21.1856193707667 38.9015367571072,21.1874301174433 38.8968376668912,21.1880327816341 38.8919528115423)))', 'GRAMF', 'Amfilochía', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9436548118026 40.3191729673059,23.942815480619 40.3143127061985,23.9407538312103 40.3096711374545,23.9375492964054 40.305426564568,23.9333251475895 40.3017420114409,23.9282437388223 40.2987589715714,23.9225002643195 40.2965919860191,23.9163152696809 40.2953242561645,23.9099262027523 40.2950044576604,23.9035783248166 40.295644876301,23.8975153259061 40.2972209364709,23.8919699987332 40.2996721402085,23.8871553237537 40.3029043816095,23.8832563032296 40.3067935492165,23.8804228552435 40.3111902800866,23.8787640401879 40.3159256851853,23.8783438434415 40.3208178282929,23.8791786802617 40.3256787111809,23.8812367242705 40.3303214976244,23.8844390915283 40.3345676987459,23.8886628406397 40.3382540427593,23.8937456783969 40.3412387635207,23.899492193034 40.3434070640693,23.9056813761183 40.3446755428286,23.9120751421509 40.3449954101315,23.9184275144522 40.3443543697099,23.9244941187632 40.3427770918397,23.9300416134817 40.3403242598665,23.934856688163 40.337090227579,23.9387542796948 40.3331993790807,23.9415846875462 40.3288013332149,23.9432393141575 40.3240651792122,23.9436548118026 40.3191729673059)))', 'GRAMI', 'Amolianí', 'Y'),('SRID=4326;MULTIPOLYGON(((26.887290372038 37.1670338910759,26.8866964284326 37.1621479946106,26.8849230605561 37.1574486925816,26.8820386089726 37.1531165267577,26.8781540496053 37.1493179049641,26.873418709564 37.1461987175264,26.8680145216957 37.143878744258,26.8621490396795 37.1424470648836,26.8560474810661 37.1419586472275,26.8499441011207 37.1424322425426,26.844073224594 37.1438496676977,26.8386602748987 37.1461565013848,26.8339131402616 37.1492641679799,26.8300142042349 37.1530533301109,26.8271133438593 37.1573784612777,26.8253221634691 37.1620734248375,26.8247096867016 37.1669578470117,26.8252996751484 37.1718440407609,26.8270696810605 37.1765442156369,26.8299518757019 37.1808776969882,26.8338356267489 37.1846778767124,26.8385717301513 37.1877986273032,26.8439781368478 37.1901199309714,26.849846955363 37.1915525054506,26.8559524601944 37.192041246645,26.8620597953002 37.1915673540459,26.8679340337923 37.1901490560432,26.8733492404287 37.1878409068281,26.8780971833842 37.1847316823022,26.8819953560479 37.1809409570183,26.8848939975945 37.1766144954523,26.8866818414864 37.1719186367883,26.887290372038 37.1670338910759)))', 'GRAML', 'Agia Marina Lerou', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7585156584239 35.2143168032886,25.7580037265651 35.2094250102703,25.7563389474613 35.204709162226,25.7535854762674 35.2003504451502,25.7498492514521 35.1965162957432,25.7452739048082 35.1933539770186,25.7400352340892 35.190984931417,25.7343344518384 35.189500126559,25.7283904691347 35.1889565705677,25.7224315083172 35.1893751291866,25.7166863631603 35.1907397273842,25.7113756377205 35.1929979656016,25.7067032958026 35.1960631271894,25.7028488416738 35.1998175008329,25.6999604296385 35.2041168918066,25.698149166068 35.2087961505614,25.6974848235214 35.2136755081172,25.6979931340934 35.2185674765036,25.6996547698462 35.223284050288,25.7024060541714 35.2276439329888,25.7061413815313 35.2314795104499,25.7107172567632 35.2346433022496,25.7159578016408 35.2370136416848,25.7216615182975 35.2384993641604,25.7276090489178 35.2390433218543,25.7335716310238 35.2386245878672,25.7393199195325 35.237259263929,25.7446328318405 35.234999860086,25.7493060712121 35.2319332704438,25.7531599967513 35.2281774237255,25.7560465346272 35.2238767389186,25.7578548637922 35.2191965625468,25.7585156584239 35.2143168032886)))', 'GRANI', 'Agios Nikólaos, Kríti', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7485069389728 35.1913191443912,25.7479957104172 35.1864273063719,25.7463319422606 35.1817113250264,25.7435797506512 35.1773523915544,25.7398450248143 35.173517951061,25.7352713389648 35.1703552778278,25.7300344271532 35.1679858279818,25.7243354345237 35.1665005847117,25.7183932036207 35.1659565729882,25.7124358897112 35.1663746760339,25.7066922234988 35.1677388362615,25.7013827523619 35.1699966708608,25.6967113919732 35.1730614786045,25.692857608854 35.1768155616939,25.6899695314021 35.1811147365068,25.6881582529365 35.1857938617674,25.6874935463488 35.190673173626,25.6880011574749 35.1955651859027,25.6896617850366 35.2002818915414,25.6924117910125 35.2046419890757,25.6961456189204 35.2084778561824,25.7007198312473 35.2116420013912,25.7059586137916 35.2140127444802,25.7116605366072 35.2154989053758,25.7176063110554 35.2160433194073,25.7235672423961 35.2156250421041,25.7293140492042 35.2142601575828,25.7346257059741 35.2120011589207,25.7392979642901 35.2089349245634,25.7431512209303 35.2051793694986,25.7460374276487 35.2008789014432,25.7478457759286 35.1961988585576,25.7485069389728 35.1913191443912)))', 'GRANK', 'Agios Nikolaos, Lasithi', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((22.3121421635548 36.8236603703169,22.3114604222297 36.8187826404774,22.3096083523891 36.8141055361228,22.3066573085934 36.8098087404341,22.3027208130089 36.806057298853,22.2979501753415 36.8029952883557,22.2925286732164 36.8007402941622,22.2866645173694 36.7993789040876,22.2805828706995 36.7989633917015,22.2745172247706 36.7995097141434,22.2687004607026 36.8009969005313,22.2633559328442 36.8033678542191,22.2586889128505 36.8065315386252,22.2548787187974 36.8103664638966,22.2520718291294 36.8147253422071,22.2503762452893 36.8194407348359,22.2498573209113 36.8243314760016,22.2505352209395 36.8292096282268,22.252384112771 36.8338877029714,22.2553331256681 36.8381858693217,22.2592690466509 36.841938873165,22.2640406534917 36.8450023996851,22.2694645210177 36.8472586328612,22.2753320783825 36.8486207962541,22.2814176448368 36.8490364985635,22.2874871320644 36.8484897537356,22.2933070741421 36.8470015969571,22.2986536328981 36.8446292726072,22.3033212274916 36.8414640259386,22.3071304523695 36.8376275846448,22.3099349766359 36.8332674673523,22.3116271589592 36.8285513014057,22.3121421635548 36.8236603703169)))', 'GRANS', 'Agios Nikolaos, Messinia', 'Y'),('SRID=4326;MULTIPOLYGON(((20.7386012605214 37.9080744251706,20.7380113693168 37.9031884081026,20.7362299558605 37.8984874368677,20.7333256777887 37.8941521166797,20.7294102788628 37.890348974984,20.7246342743915 37.8872240735479,20.7191811596574 37.8848974092039,20.7132603650119 37.8834583163228,20.7070992273374 37.8829620455942,20.700934283404 37.8834276487947,20.6950022151908 37.8848372496179,20.6895307897898 37.8871367281375,20.6847301366884 37.8902377929806,20.680784693053 37.8940213627294,20.6778461234404 37.8983421283631,20.6760274848739 37.9030341234945,20.6753988624889 37.9079170904559,20.6759846464361 37.912803399401,20.6777625592 37.9175052557657,20.6806644760929 37.9218419195838,20.6845790128217 37.9256466588542,20.6893557853399 37.9287731685935,20.6948111814372 37.9311012071196,20.7007354234454 37.9325412308548,20.7069006496522 37.9330378473952,20.7130697008452 37.9325719523175,20.7190052697517 37.9311614663638,20.7244790563307 37.9288606442135,20.7292805716271 37.9257579817954,20.7332252472136 37.9219728037436,20.7361615354621 37.9176506639284,20.7379767266668 37.9129577379436,20.7386012605214 37.9080744251706)))', 'GRANV', 'Agios Nikolaos, Volimon', 'Y'),('SRID=4326;MULTIPOLYGON(((27.2406339447028 35.5089427865005,27.2400307814159 35.5040573110567,27.2382737639223 35.4993619051605,27.2354305877913 35.4950369622917,27.2316106302158 35.4912486161208,27.2269607291816 35.4881423669672,27.2216595346601 35.4858375030318,27.215910649783 35.4844225288616,27.2099348245677 35.4839517748105,27.2039614994339 35.4844433161823,27.1982200194199 35.4858782809605,27.1929308519592 35.4882015723715,27.1882971409554 35.4913239789196,27.1844969177053 35.49512559191,27.1816762653177 35.4994604007644,27.179943698382 35.5041618914608,27.1793659748349 35.5090494348762,27.1799655036898 35.5139352211607,27.18171945231 35.5186314747464,27.1845605923342 35.5229576731005,27.1883798565486 35.5267474914164,27.1930305125254 35.5298552052541,27.1983337953607 35.5321613034276,27.204085783996 35.5335770934883,27.2100652558947 35.5340481208703,27.2160422154622 35.5335562686576,27.2217867643502 35.5321204561895,27.2270779679169 35.5297959092926,27.2317123722803 35.5266720305993,27.2355118405859 35.5228689529251,27.238330404659 35.5185329098331,27.2400598678374 35.5138306032467,27.2406339447028 35.5089427865005)))', 'GRAOK', 'Kárpathos', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0639532437429 38.7594399020555,23.0631986942105 38.754569913507,23.0612454859005 38.749908730547,23.0581688740174 38.7456354175007,23.0540872118044 38.7419141098152,23.0491573839824 38.7388877194548,23.0435687734456 38.7366724574434,23.0375359937078 38.7353533818354,23.0312906648038 38.7349811400989,23.0250725451412 38.7355700294187,23.0191203551096 38.7370974484519,23.0136626394257 38.7395047614297,23.0089090138727 38.7426995420693,23.0050421283297 38.7465591124936,23.0022106521381 38.750935243122,23.0005235506746 38.7556598351256,23.0000458746022 38.7605513691884,23.0007962271329 38.7654218744569,23.0027460116218 38.7700841508974,23.0058204941102 38.7743589677124,23.009901645536 38.77808196052,23.0148326589415 38.7811099608111,23.0204239709387 38.7833265124644,23.0264605567411 38.7846463610892,23.0327102168747 38.7850187415323,23.0389325335411 38.7844293354923,23.0448881473942 38.7829008229778,23.0503479924718 38.7804920062308,23.0551021288097 38.777295540469,23.0589678287671 38.7734343601144,23.0617966034976 38.7690569398446,23.0634798988978 38.7643315748248,23.0639532437429 38.7594399020555)))', 'GRARK', 'Arkítsa', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5077140512438 38.1721372296335,20.5071375643087 38.167250356506,20.5053647033521 38.1625461510919,20.5024638011427 38.1582053434376,20.4985464752595 38.1543946718296,20.4937633178233 38.1512604867883,20.488298100552 38.1489231408085,20.4823607189979 38.1474723773326,20.4761791461165 38.146963894026,20.4699907013845 38.1474172105992,20.4640329664396 38.1488149218666,20.4585346909358 38.151103364264,20.4537070326445 38.1541946705668,20.4497354637603 38.1579701349877,20.4467726512593 38.1622847610887,20.444932583689 38.1669728198393,20.4442861710362 38.1718542063647,20.4448584897267 38.1767413529447,20.4466277831757 38.1814464338756,20.4495262617347 38.1857885858213,20.453442676804 38.1896008658394,20.4582265749263 38.1927366785436,20.4636940716213 38.1950754236423,20.4696349243154 38.1965271446897,20.4758206316034 38.1970359982387,20.482013244582 38.1965824082126,20.4879745470356 38.1951838214278,20.4934752461888 38.1928940347384,20.4983038152921 38.1898011200253,20.5022746434881 38.1860240279416,20.5052351765644 38.1817080027224,20.5070717729955 38.1770189864009,20.5077140512438 38.1721372296335)))', 'GRARM', 'Argostólion', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7933822417671 37.4245279296113,22.7926628055665 37.419654356607,22.7907652808653 37.4149863391291,22.7877627718911 37.4107032079559,22.7837707783522 37.4069694804149,22.7789427394146 37.4039285504065,22.7734641327495 37.4016971917189,22.7675453560693 37.4003610837622,22.7614136632783 37.3999715296534,22.7553044618411 37.4005434911543,22.7494523011616 37.4020550149997,22.7440818929851 37.4044480724649,22.73939950375 37.4076307805276,22.7355850454409 37.4114809206042,22.7327851662165 37.4158506214979,22.7311076056304 37.4205720286928,22.7306170327459 37.4254637441499,22.7313325303362 37.4303377907667,22.733226826494 37.4350068348656,22.736227308508 37.4392913893748,22.7402187852565 37.4430267202768,22.7450478962507 37.4460691895741,22.7505290006087 37.4483017891357,22.7564513203673 37.4496386506395,22.7625870622202 37.4500283562477,22.7687002022696 37.449455921134,22.7745555914931 37.447943370667,22.7799280266287 37.4455488898653,22.7846109326522 37.4423645784414,22.7884243189029 37.4385128990762,22.7912217004337 37.4341419573091,22.7928957179425 37.4294197965676,22.7933822417671 37.4245279296113)))', 'GRARS', 'Ástros', 'Y'),('SRID=4326;MULTIPOLYGON(((19.6654196183169 39.7543773363289,19.6648909409052 39.7494883295756,19.6631369359798 39.7447728578784,19.6602252327178 39.7404120851475,19.656267881852 39.7365735150599,19.6514170260103 39.7334045659239,19.6458590433105 39.7310269200447,19.6398073907108 39.7295318625307,19.6334944212543 39.7289767863929,19.627162486579 39.7293829962573,19.6210546618078 39.7307348936839,19.6154054434455 39.7329805747913,19.6104317718247 39.7360338174904,19.6063247179414 39.7397773830813,19.6032421505435 39.7440675071295,19.6013026637613 39.7487394092439,19.6005809994629 39.7536136122988,19.6011051432909 39.7585028302648,19.6028552107776 39.7632191613861,19.6057641721849 39.767581310913,19.6097203942028 39.7714215655639,19.6145719060607 39.7745922505712,19.6201322297688 39.7769714193589,19.6261875519718 39.7784675549696,19.6325049609628 39.7790231002614,19.6388414292242 39.7786166791841,19.6449531914354 39.7772639223327,19.6506051516516 39.7750168644287,19.655579952118 39.7719619371659,19.6596863499826 39.7682166357039,19.662766576371 39.7639249887478,19.6647023935507 39.7592520085375,19.6654196183169 39.7543773363289)))', 'GRASF', 'Agios Stefanos, Kerkyra', 'Y'),('SRID=4326;MULTIPOLYGON(((21.1118598461462 38.5029739043103,21.1112401562395 38.4980902747251,21.1094201672019 38.4933954632522,21.1064700230759 38.4890698356067,21.1025032312689 38.4852795439679,21.0976722800434 38.4821701539141,21.0921627714369 38.4798610645937,21.0861862961293 38.4784409344095,21.0799723229274 38.4779642858621,21.0737594113854 38.4784494182196,21.0677860805557 38.4798777070294,21.0622816792508 38.4821943169752,21.0574576031469 38.4853103011191,21.0534991915696 38.4891060070739,21.0505586122306 38.4934356610251,21.0487490062373 38.4981329555872,21.0481401194679 38.5030174289061,21.0487555913153 38.5079013916875,21.0505720096892 38.5125971371799,21.0535197741483 38.5169241574721,21.0574857395681 38.5207160883672,21.0623175434965 38.5238271147252,21.0678294540801 38.5261375882849,21.0738095149601 38.5275586399055,21.0800277114585 38.5280356068062,21.0862448410621 38.5275501412522,21.0922217425563 38.5261209184223,21.0977285235271 38.5238029158292,21.1025534260161 38.5206852924286,21.1065109848883 38.51688795017,21.1094491622494 38.5125569119802,21.1112551826712 38.5078586959821,21.1118598461462 38.5029739043103)))', 'GRAST', 'Astakós', 'Y'),('SRID=4326;MULTIPOLYGON(((25.4619640634073 36.3884028062138,25.4614653427094 36.3835109348982,25.4597960398775 36.3787917135772,25.4570204958168 36.3744264572065,25.4532455066087 36.3705828516514,25.4486161991409 36.3674085200447,25.4433104454702 36.3650253625597,25.4375320318453 36.3635248851684,25.4315028441953 36.3629646948778,25.4254543678217 36.3633662943498,25.4196188239146 36.3647142593836,25.414220278603 36.3669568302887,25.4094660611838 36.3700078946318,25.4055388169285 36.373750286118,25.4025894967769 36.3780402744042,25.4007315519961 36.3827130752444,25.4000365575472 36.3875891712415,25.4005314348823 36.3924812021,25.4021973849331 36.3972011608919,25.4049705772245 36.4015676203885,25.408744573711 36.4054127115595,25.4133743986382 36.4085885851008,25.418682101171 36.4109731060933,25.4244635983643 36.4124745609833,25.4304965348438 36.4130351939485,25.4365488545822 36.4126334349335,25.4423877512713 36.4112847324283,25.4477886483515 36.4090409583967,25.4525438584905 36.4059884084373,25.4564705852847 36.4022444750167,25.4594179565733 36.3979531232235,25.4612728177861 36.3932793448851,25.4619640634073 36.3884028062138)))', 'GRATN', 'Athinios Thira Santorini', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0840028393803 40.9805534256369,25.0835099740529 40.9756634856409,25.0817679917908 40.9709403591314,25.0788440769796 40.9665655046201,25.0748507642861 40.9627069652676,25.069941588175 40.9595129232712,25.0643051715235 40.957106020411,25.0581579821721 40.9555786607182,25.0517360349657 40.9549894733974,25.0452858550055 40.9553610698165,25.0390550443573 40.9566791792373,25.0332828085865 40.9588931957918,25.0281908008534 40.9619181159029,25.0239746298665 40.9656377928017,25.0207963540936 40.969909384909,25.0187782489334 40.9745688294147,25.0179980871135 40.9794371331008,25.018486116796 40.9843272407892,25.0202238585444 40.9890512190163,25.0231447735521 40.9934274796041,25.0271367838459 40.9972877653298,25.0320465532397 41.0004836281266,25.0376853685353 41.0028921490142,25.0438363967205 41.0044206776311,25.0502630385228 41.0050104068145,25.0567180541306 41.0046386427026,25.0629531052941 41.0033196815636,25.0687283408674 41.0011042589319,25.0738216509979 40.9980775924472,25.0780372286992 40.9943560947481,25.0812131058266 40.9900828846142,25.0832273721536 40.9854222711852,25.0840028393803 40.9805534256369)))', 'GRAVD', 'Avdira', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8929422121989 40.8333208503958,25.8923904726413 40.8284334310922,25.8905942272966 40.8237216613414,25.8876227397157 40.8193665596564,25.8835903647059 40.8155354078824,25.8786521291277 40.812375335179,25.8729977644863 40.8100076791166,25.8668444221111 40.8085233382801,25.8604283498775 40.8079792926206,25.853995847024 40.8083964232264,25.8477938395533 40.8097587138648,25.842060432253 40.8120138643745,25.8370157941658 40.8150752926544,25.8328537223555 40.8188254495033,25.8297342044098 40.8231203208106,25.8277772639593 40.8277949463784,25.8270583266554 40.8326697456524,25.8276052879462 40.8375574093394,25.8293974004356 40.8422700935312,25.8323660297622 40.8466266404997,25.8363972562622 40.8504595483684,25.8413362279258 40.8536214206283,25.8469931011861 40.8559906457429,25.8531503427996 40.857476086253,25.8595711112668 40.8580205947921,25.8660083923898 40.8576032198026,25.8722145327171 40.8562400147225,25.8779507982708 40.8539834189286,25.8829965848653 40.8509202345537,25.8871579205874 40.8471682781485,25.890274929913 40.8428718377897,25.8922279711262 40.838196112549,25.8929422121989 40.8333208503958)))', 'GRAXD', 'Alexandroúpolis', 'Y'),('SRID=4326;MULTIPOLYGON(((19.9563590590002 39.6172952207234,19.955810651861 39.6124071598085,19.9540400080859 39.6076957510801,19.9511153932369 39.6033420012172,19.9471493508344 39.5995131434787,19.9422943542769 39.5963562230407,19.936736938216 39.593992460685,19.9306905362855 39.5925126092296,19.9243872994765 39.5919734788943,19.9180692064536 39.5923957631708,19.9119788026184 39.5937632473762,19.9063499180289 39.5960234297325,19.9013987149958 39.5990895314114,19.8973154043023 39.6028438194443,19.8942569448561 39.6071421166092,19.8923410058898 39.611819327182,19.891641424622 39.6166957684666,19.892185337015 39.6215840667634,19.8939520967005 39.6262963541688,19.8968740294338 39.6306514902335,19.9008390000226 39.634482030662,19.9056946982427 39.6376406741039,19.9112544826212 39.6400059374658,19.9173045589698 39.6414868394149,19.9236122169002 39.6420264098029,19.9299348046719 39.6416038881443,19.9360290925978 39.6402355252612,19.9416606593021 39.6379739567025,19.9466129341466 39.6349061723333,19.9506955431751 39.6311501612966,19.9537516343026 39.6268503631263,19.9556638988516 39.6221721020605,19.9563590590002 39.6172952207234)))', 'GRCFU', 'Kérkira (Corfu)', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0565964143931 35.5177511112056,24.0561868238361 35.5128565359009,24.0546173174075 35.5081213312874,24.0519483989175 35.503727434297,24.0482827708512 35.4998436380909,24.0437613667057 35.4966191148524,24.0385579250865 35.4941776953409,24.0328723155662 35.4926131231935,24.0269228723904 35.4919854643689,24.0209380284218 35.4923188079073,24.0151475671224 35.4936003449923,24.0097738241244 35.4957808609802,24.0050231716565 35.498776621519,24.0010781087247 35.5024725810536,23.9980902578342 35.5067267918335,23.9961745358441 35.5113758458232,23.9954047233121 35.5162411423701,23.9958106047772 35.5211357425944,23.9973767935692 35.5258715484877,24.0000432909578 35.5302665315787,24.0037077630489 35.5341517333575,24.0082294523325 35.5373777676551,24.0134345767935 35.539820573667,24.0191230106623 35.5413861966739,24.0250759897119 35.5420144107331,24.0310645427742 35.541681042275,24.0368583217112 35.5403989039097,24.0422344858101 35.5382173018205,24.0469862942517 35.5352201357088,24.0509310720437 35.5315226651152,24.0539172400914 35.5272670678354,24.0558301377333 35.5226169629868,24.0565964143931 35.5177511112056)))', 'GRCHQ', 'Chania', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8272557785358 37.0993132714381,25.8267305283518 37.0944229680915,25.8250245198627 37.0897086970463,25.822203509573 37.0853515801553,25.8183760428147 37.0815189874768,25.8136892618512 37.0783581162267,25.8083232429918 37.0759903473297,25.8024840815792 37.074506594432,25.7963959897848 37.0739638220439,25.7902927081604 37.0743828648185,25.7844085567626 37.0757476304985,25.7789694646493 37.0780057166166,25.7741843172826 37.0810704175081,25.7702369498412 37.0848240455327,25.7672790909935 37.0891224405116,25.7654245269999 37.0938004960905,25.764744711165 37.0986784927238,25.765265990053 37.1035689957269,25.7669685572869 37.1082840546064,25.7697871802619 37.112642427569,25.7736136770932 37.116476553331,25.7783010531803 37.1196390012785,25.7836691416123 37.1220081504488,25.7895115319729 37.1234928770616,25.7956035205126 37.124036068367,25.8017107734351 37.1236168259357,25.807598366089 37.1222512724208,25.8130398455163 37.1199919302305,25.8178259628082 37.1169256962552,25.8217727351239 37.1131704915335,25.8247285243982 37.1088707162819,25.8265798594444 37.1041916869884,25.8272557785358 37.0993132714381)))', 'GRDON', 'Donousa, Kykladon', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4389648365401 40.9337373469636,24.4385199088096 40.9288459849691,24.4368254652878 40.92411442585,24.4339468662739 40.9197244553751,24.4299949099431 40.9158446999256,24.4251215478395 40.9126241581171,24.4195140333498 40.9101864898053,24.4133877298467 40.9086252796761,24.4069778542278 40.9080004550462,24.4005304701221 40.9083359933843,24.3942930719626 40.9096190060633,24.3885051156865 40.9118002327674,24.3833888536307 40.9147959276894,24.3791408202117 40.9184910660668,24.3759242915292 40.922743749613,24.373863006783 40.9273906438029,24.373036393366 40.9322532404597,24.3734764821002 40.9371447071458,24.3751666360706 40.9418770617578,24.3780421480231 40.9462683974204,24.3819926897595 40.9501498799151,24.3868665250956 40.9533722476993,24.3924763285999 40.9558115629291,24.3986063884183 40.9573739901903,24.405020915788 40.9579994168684,24.4114731388927 40.9576637738384,24.417714826605 40.9563799656657,24.4235058699419 40.9541973737732,24.4286235465896 40.9511999518057,24.4328711067734 40.9475029874527,24.4360853464398 40.9432486569891,24.4381428748715 40.9386005456681,24.4389648365401 40.9337373469636)))', 'GRELF', 'Eleftheron', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5786233524559 38.0323102314678,23.5778446099441 38.0274439067106,23.5758808170276 38.0227912232493,23.5728076257499 38.0185309180575,23.5687432493261 38.0148266274339,23.563843902265 38.0118206114675,23.5582977937211 38.0096283013134,23.5523179054059 38.0083338766614,23.5461338299665 38.0079870413176,23.5399829799573 38.0086011192147,23.5341015003713 38.0101525430985,23.5287152284767 38.0125817554332,23.5240310430957 38.0157954876262,23.5202289315083 38.0196703314274,23.5174550762352 38.0240574672031,23.5158162268096 38.0287883695385,23.5153755744074 38.0336812729501,23.5161502913561 38.0385481508531,23.5181108349458 38.0432019405344,23.5211820478134 38.0474637366085,23.5252460179393 38.0511696758034,23.5301465926699 38.0541772470503,23.53569537595 38.0563707824166,23.5416789788636 38.0576659156848,23.5478672432495 38.0580128351684,23.5540221188237 38.0573982041251,23.559906847737 38.0558456740206,23.5652950980404 38.0534149708031,23.5699796897173 38.0501995900386,23.5737805736331 38.0463231909573,23.5765517541695 38.0419348299701,23.578186888998 38.037203219019,23.5786233524559 38.0323102314678)))', 'GRELY', 'Eleysina', 'Y'),('SRID=4326;MULTIPOLYGON(((23.189459850675 37.6274201579477,23.1887121664978 37.6225500004859,23.1867845079076 37.6178894075671,23.1837511368172 37.613617422571,23.1797287369851 37.60989813284,23.1748719127888 37.606874376477,23.1693672439947 37.6046622671651,23.1634261255653 37.603346745289,23.1572766661397 37.602978324311,23.1511549531396 37.6035711558331,23.1452960154438 37.6051024867591,23.1399248255679 37.6075135292662,23.1352476819443 37.6107117108221,23.1314442982495 37.6145742191692,23.1286609011556 37.6189527079399,23.1270046011241 37.6236789841907,23.126539254042 37.6285714613119,23.1272829760841 37.6334421309552,23.1292074120392 37.6381037870234,23.1322387906112 37.6423772242822,23.1362607313847 37.6460981342956,23.1411186998702 37.6491234322872,23.146625942094 37.651336769875,23.1525706713126 37.6526530196802,23.1587242291765 37.6530215574198,23.1648499043135 37.652428213716,23.170712064645 37.6508958196398,23.1760852470382 37.6484833248694,23.1807628497183 37.645283523031,23.1845650891219 37.6414194730556,23.1873459127855 37.6370397560097,23.188998602029 37.6323127518304,23.189459850675 37.6274201579477)))', 'GREPI', 'Epidavros', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2707850310927 38.3496597994434,22.2700889998721 38.3447832705791,22.2681985023265 38.3401073506812,22.2651863842617 38.3358116746583,22.2611685244223 38.3320612407454,22.2562993624196 38.3290000822271,22.2507659583588 38.3267457465825,22.2447808132471 38.3253847920466,22.2385737247025 38.3249694725556,22.2323829876015 38.3255157367567,22.226446273016 38.3270026169075,22.2209915304297 38.3293730308754,22.216228257431 38.3325359669918,22.2123394678812 38.336369969125,22.20947466432 38.3407277899274,22.2077440838208 38.3454420355976,22.2072144397477 38.3503315873366,22.2079063263669 38.355208554463,22.2097933908484 38.3598854930826,22.2128033100392 38.3641826131956,22.2168205399536 38.3679346967178,22.2216907368812 38.3709974592264,22.2272266831591 38.3732531090491,22.233215490751 38.3746148878794,22.239426804459 38.3750304162894,22.2456216861636 38.3744837138258,22.2515618338139 38.3729958149528,22.2570187752731 38.3706239568941,22.2617826781946 38.3674593711682,22.2656704328176 38.3636237650451,22.2685326941608 38.3592646300651,22.2702596121809 38.3545495601012,22.2707850310927 38.3496597994434)))', 'GRERA', 'Eratini', 'Y'),('SRID=4326;MULTIPOLYGON(((23.8207705698754 38.38623922642,23.8199705490701 38.3813755361348,23.8179806482571 38.3767281148244,23.8148775246715 38.3724754955023,23.8107805418567 38.3687810174381,23.8058471655743 38.3657865622912,23.8002669093444 38.3636071161324,23.7942540627425 38.3623263641399,23.788039480188 38.361993485208,23.7818617421549 38.36262126805,23.7759580234982 38.3641856202834,23.7705550142332 38.36662648928,23.765860236332 38.3698501601538,23.762054085921 38.3737328440569,23.7592829040813 38.3781254208763,23.7576533420196 38.3828591562595,23.7572282388061 38.3877521753318,23.7580241736834 38.3926164459465,23.7600107919905 38.397265004041,23.7631119362238 38.401519143537,23.7672085441789 38.405215293732,23.7721432071634 38.4082113184003,23.777726215769 38.4103919925252,23.7837428613961 38.4116734439819,23.789961711258 38.4120063873888,23.7961435352209 38.4113780242169,23.8020505363841 38.4098125351988,23.8074555250001 38.4073701460278,23.8121506777587 38.404144803023,23.8159555414657 38.4002605495989,23.8187239709291 38.395866744814,23.8203497339668 38.3911323099672,23.8207705698754 38.38623922642)))', 'GRERE', 'Erétria', 'Y'),('SRID=4326;MULTIPOLYGON(((19.6274802478796 39.8843889894154,19.626953530832 39.8794999454242,19.625199081545 39.8747839909877,19.6222845479196 39.8704223085003,19.6183220907665 39.8665824363476,19.6134640497176 39.8634118424752,19.6078970791319 39.8610322719082,19.601834980814 39.8595350832211,19.5955105080894 39.8589777508896,19.5891664531062 39.8593816659383,19.5830463550321 39.8607313179867,19.577385180382 39.862974889508,19.5724003276513 39.8660262397356,19.5682832967442 39.8697682030955,19.5651923396974 39.8740570772124,19.5632463736004 39.8787281302284,19.5625203904566 39.8836019180841,19.5630425434343 39.8884911710124,19.564793026308 39.8932079860441,19.5677047950269 39.8975710497671,19.5716661097125 39.9014126135156,19.5765248046638 39.9045849518137,19.5820941259713 39.9069660540632,19.588159913955 39.9084643285049,19.5944888535708 39.9090221353665,19.6008374726265 39.9086180113805,19.6069615371151 39.9072674987362,19.6126254766708 39.9050225459785,19.6176114718667 39.9019695041549,19.621727848869 39.8982257963696,19.6248164551926 39.8939353905708,19.6267587316247 39.8892632518009,19.6274802478796 39.8843889894154)))', 'GRERK', 'Ereikousses Diapontioi Islands', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3523620116186 37.402379870377,23.3516068000782 37.3975108516901,23.3496756637587 37.3928528999697,23.3466429952579 37.3885849568517,23.3426254487536 37.3848709545565,23.3377774403062 37.3818535286165,23.3322852101393 37.3796485503851,23.32635967561 37.3783406873276,23.3202283479822 37.3779801597138,23.3141266202602 37.3785808167759,23.3082887561877 37.3801196053432,23.3029389213929 37.382537451245,23.2982825962268 37.3857415202953,23.2944986961365 37.3896087733624,23.2917326998156 37.3939906807974,23.2900910486258 37.3987189171552,23.2896370340056 37.4036118193669,23.2903883342519 37.4084813617787,23.2923163000346 37.4131403809542,23.2953470214413 37.417409772747,23.299364140722 37.4211253843892,23.3042133068575 37.4241443353401,23.3097081033772 37.4263505220771,23.31563722222 37.4276590931507,23.3217726064426 37.428019720502,23.3278782454605 37.4274185397145,23.3337192800704 37.4258786836916,23.3390710619581 37.4234593891145,23.3437278143457 37.420253710717,23.3475105567461 37.4163849326393,23.3502739867138 37.4120018166993,23.3519120535911 37.407272872326,23.3523620116186 37.402379870377)))', 'GRERM', 'Ermióni', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1874823887538 37.6352210195765,26.1869306827973 37.6303324001584,26.18519054015 37.625623294447,26.1823290325246 37.6212746232237,26.1784562624237 37.6174534294277,26.1737211112703 37.6143064700674,26.1683055099664 37.6119545900171,26.1624174532558 37.6104880918451,26.1562830254427 37.6099632775127,26.1501377410449 37.6104002930316,26.1442175287636 37.6117823576506,26.138749699996 37.6140564066812,26.1339442436419 37.6171351235692,26.129985777149 37.6209002842034,26.1270264599503 37.6252072866416,26.1251801403701 37.6298906942324,26.1245179617765 37.6347705812184,26.1250655996588 37.639659438795,26.1268022401939 37.6443693775124,26.1296613448337 37.6487193497716,26.1335331769084 37.6525421145628,26.1382689978014 37.6556906757078,26.1436867746496 37.658043944475,26.1495781815024 37.6595114068765,26.1557166240266 37.6600366141556,26.1618659765006 37.659599360478,26.1677896908951 37.6582164628525,26.1732599226476 37.6559411127852,26.178066317026 37.6528608249018,26.1820241137771 37.6490940624831,26.1849812554306 37.6447856713286,26.1868242248693 37.6401012995089,26.1874823887538 37.6352210195765)))', 'GREYD', 'Eydilos', 'Y'),('SRID=4326;MULTIPOLYGON(((25.4009850811041 40.9334622388086,25.4004690035357 40.9285731804371,25.3987053910408 40.9238544041347,25.39576225698 40.9194871998116,25.3917528715412 40.9156393157213,25.3868313834581 40.9124585243199,25.3811868855349 40.910066958599,25.3750361536264 40.9085564342412,25.3686153372287 40.9079849349928,25.3621709177819 40.9083743942283,25.3559502770876 40.9097098564693,25.3501922321397 40.9119400504147,25.3451178938104 40.9149793517161,25.3409221951789 40.9187110612119,25.3377664111904 40.9229918744954,25.335771955449 40.9276573733447,25.3350156933445 40.9325283303631,25.3355269547987 40.9374175866555,25.3372863664853 40.9421372397561,25.3402265545784 40.9465058662705,25.3442346973873 40.9503555014295,25.3491568353576 40.9535381061926,25.3548037767467 40.9559312715005,25.3609583737042 40.9574429381477,25.3673838883155 40.9580149484846,25.3738331238792 40.957625291328,25.3800579653832 40.956288952288,25.3858189562979 40.9540573361506,25.3908945372547 40.9510162837802,25.3950895859962 40.9472827609229,25.3982429265175 40.9430003480531,25.4002335172106 40.9383337069151,25.4009850811041 40.9334622388086)))', 'GRFAN', 'Fanari', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5728058243063 38.3821202164113,20.5722234463671 38.3772338013653,20.5704413978565 38.3725306909787,20.5675283663947 38.3681915725339,20.5635964366023 38.364383118616,20.5587967617451 38.3612515937514,20.5533137472366 38.3589172475695,20.5473579706845 38.3574697078264,20.5411581095345 38.3569645481869,20.5349521834832 38.3574211608296,20.5289784436016 38.358822014377,20.5234662528241 38.3611133251902,20.5186273027515 38.3642071165985,20.5146474995843 38.3679845880828,20.5116798277913 38.3723006667119,20.5098384645397 38.3769895680426,20.5091943720282 38.3818711549361,20.5097725401134 38.3867578517783,20.5115509897913 38.3914618496745,20.5144615813315 38.3958023262271,20.5183926015693 38.3996124020915,20.523193035711 38.4027455658148,20.5286783627492 38.405081318266,20.5346376530148 38.4065298175974,20.5408416941309 38.4070353440552,20.5470518300384 38.406578449616,20.5530291687535 38.4051767085584,20.5585437994519 38.4028840396367,20.563383659077 38.3997886262816,20.5673627029575 38.3960095159389,20.5703280622199 38.3916920310411,20.5721659117588 38.3870021701228,20.5728058243063 38.3821202164113)))', 'GRFIS', 'Fiskárdo', 'Y'),('SRID=4326;MULTIPOLYGON(((24.906061003924 36.6555503294418,24.9055964618584 36.6506573501251,24.9039562894256 36.6459313980105,24.9012037130783 36.6415540487609,24.8974446519386 36.6376934540012,24.8928236262652 36.6344978896196,24.8875181942968 36.6320900704764,24.8817321326585 36.6305624480486,24.8756876218054 36.6299736696695,24.8696167343027 36.6303463336028,24.8637525490168 36.6316661248797,24.8583202277477 36.6338823644636,24.8535283921122 36.6369099507783,24.8495611275487 36.6406326199018,24.8465709185 36.6449074006829,24.8446727848181 36.6495700955183,24.8439398452712 36.6544415782215,24.8444004811109 36.659334668809,24.8460372127203 36.6640613223769,24.8487873374807 36.6684398564724,24.852545309502 36.6723019390887,24.8571667743342 36.675499067825,24.8624741068813 36.677908289662,24.8682632411722 36.6794369395754,24.8743115289685 36.6800262138062,24.880386322699 36.6796534386019,24.8862539488093 36.6783329458712,24.8916887216648 36.6761155214408,24.896481646417 36.6730864472692,24.9004484718197 36.6693622137912,24.9034367802887 36.6650860303168,24.9053318413185 36.6604223079964,24.906061003924 36.6555503294418)))', 'GRFOL', 'Folégandros', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5224735353252 37.6091315524332,26.5219000453754 37.6042443077372,26.5201393032011 37.5995399602814,26.5172591702251 37.5951992465387,26.5133704620078 37.591388902702,26.5086226693879 37.5882552685282,26.5031982060884 37.5859186772127,26.4973054049791 37.5844688448208,26.4911705311707 37.5839614343682,26.48502911595 37.5844159248022,26.4791169401614 37.5858148655571,26.4736610082754 37.5881045448557,26.4688708546996 37.5911970464275,26.4649305118802 37.5949736167206,26.4619914457534 37.5992892149277,26.4601667288478 37.6039780730342,26.4595266758783 37.6088600543117,26.4600961124358 37.6137475677148,26.4618533861558 37.6184527737104,26.464731163656 37.6227948051209,26.468618987976 37.6266067251504,26.473367502843 37.6297419540811,26.4787941845787 37.6320799159303,26.4846903625768 37.6335306859811,26.4908292576257 37.6340384584678,26.4969747262408 37.6335836993264,26.5028903704845 37.6321839000311,26.5083486578455 37.6298929030642,26.5131396953166 37.6267988252993,26.517079315887 37.6230206602495,26.5200161635767 37.6187036915093,26.5218375035942 37.6140138957445,26.5224735353252 37.6091315524332)))', 'GRFOU', 'Foúrnoi', 'Y'),('SRID=4326;MULTIPOLYGON(((26.9336011937358 35.422020701673,26.9330172450511 35.4171336187009,26.9312799552971 35.412433673974,26.9284562626232 35.4081014368691,26.9246547971557 35.4043033224782,26.9200216886223 35.4011852070828,26.914734944399 35.3988668348523,26.9089976149653 35.3974372287921,26.9030300084619 35.396951280381,26.8970612508561 35.3974276473282,26.891320512031 35.3988480391507,26.8860282302366 35.4011579176336,26.8813876673926 35.4042685856235,26.8775771157291 35.4080605849543,26.8747430525387 35.4123882745378,26.8729945051128 35.4170854145975,26.8723988433111 35.4219715443727,26.8729791641097 35.4268589098447,26.87471337265 35.4315596763714,26.8775349998693 35.4358931494645,26.881335730088 35.4396927258643,26.8859695455141 35.4428123067115,26.8912583311535 35.4451319247351,26.8969987257402 35.4465623672687,26.9029699544912 35.4470486154881,26.9089423399848 35.4465719660408,26.9146861600243 35.445150752418,26.9199805072726 35.4428396379463,26.9246218053636 35.4397275079474,26.9284316501329 35.4359340431649,26.9312636719064 35.4316051077889,26.9330091541801 35.4269071312563,26.9336011937358 35.422020701673)))', 'GRFRY', 'Fry', 'Y'),('SRID=4326;MULTIPOLYGON(((20.2211720288127 39.2062195253748,20.2206078186016 39.2013322116871,20.218829168018 39.1966244268827,20.2159046444877 39.1922770379313,20.2119467828518 39.1884570339939,20.2071077384049 39.1853111210871,20.2015734310599 39.1829600986398,20.1955564069589 39.1814942318631,20.1892876908681 39.1809697955537,20.1830079393555 39.1814069202356,20.1769582299766 39.1827888220875,20.1713708347514 39.1850624457161,20.1664603267504 39.188140495408,20.1624153566011 39.1919047779554,20.1593914115283 39.1962107303938,20.1575048338472 39.2008929608303,20.1568283296984 39.2057715916555,20.1573881436885 39.210659163308,20.1591630127553 39.215367834635,20.1620849451744 39.2197166037021,20.1660418005783 39.2235382712382,20.1708815768622 39.226685877959,20.1764182426985 39.2290383665678,20.1824388928863 39.2305052486435,20.1887119506204 39.2310300948191,20.1949960983564 39.2305927121722,20.2010495892532 39.229209923797,20.2066395755886 39.226934920052,20.2115510898195 39.2238552067611,20.2155953281294 39.2200892303999,20.2186169147098 39.2157818118007,20.220499866305 39.2110985660659,20.2211720288127 39.2062195253748)))', 'GRGAB', 'Gaios', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9768109911396 40.5924429322861,22.9760368523225 40.5875741725333,22.9740318695822 40.5829140646104,22.9708733071574 40.5786416280874,22.9666826802475 40.5749209594444,22.9616210650221 40.5718949397697,22.9558829036403 40.5696797594491,22.9496885430745 40.5683604679016,22.9432757927628 40.5679877171302,22.9368908216527 40.5685758224215,22.9307787390081 40.5701022136281,22.9251742147471 40.5725082979097,22.9202924937401 40.5757017014746,22.9163211444473 40.5795598056811,22.9134128558878 40.5839344436918,22.9116795589557 40.5886575795445,22.9111880996355 40.5935477536589,22.9119576342242 40.5984170489144,22.9139588521101 40.6030783107174,22.9171150622193 40.6073523438305,22.9213051074713 40.6110748087072,22.9263680002494 40.6141025507989,22.9321091038991 40.6163191174976,22.9383076235146 40.6176392483203,22.9447251164799 40.618012163492,22.9511146918208 40.6174235226977,22.9572305393205 40.6158959776101,22.9628374158958 40.6134882967378,22.9677197185579 40.610293096939,22.9716897902956 40.6064332703158,22.9745951365864 40.6020572459279,22.9763242744702 40.5973332708006,22.9768109911396 40.5924429322861)))', 'GRGAI', 'Kalamaria', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7665670830132 37.8846034210764,24.7661080357807 37.8797108906869,24.7644537070642 37.8749833368156,24.7616678800751 37.8706023952197,24.7578577612594 37.8667363527597,24.7531698378491 37.8635336909326,24.7477842383804 37.8611173932492,24.7419078144111 37.859580233178,24.7357662086888 37.8589812215936,24.7295952119399 37.8593433483336,24.7236317361709 37.8606527032438,24.7181047461223 37.8628590098042,24.7132264919432 37.8658775509685,24.7091843752033 37.8695924141538,24.7061337573841 37.8738609322871,24.7041919856461 37.8785191522736,24.7034338660146 37.8833881228843,24.7038887605472 37.8882807623639,24.7055394242902 37.8930090432736,24.7083226319911 37.8973912191713,24.7121315759667 37.9012588152854,24.7168199478443 37.9044631135893,24.7222075508131 37.9068808814332,24.7280872283006 37.9084191215301,24.7342328422408 37.909018658581,24.7404079916917 37.9086564227508,24.7463751324354 37.9073463408016,24.7519047417716 37.9051387999388,24.756784170789 37.9021187051201,24.7608258390594 37.8984022054582,24.7638744533774 37.8941322171649,24.7658129715977 37.8894729171534,24.7665670830132 37.8846034210764)))', 'GRGAV', 'Gávrion', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3065421658685 35.3566850084806,24.3061175238039 35.3517905211333,24.3045356329105 35.3470579395556,24.3018574704442 35.34266909901,24.2981860914368 35.3387925979488,24.2936626478953 35.3355773283491,24.2884609548798 35.3331467660133,24.282780813716 35.3315942384111,24.2768403484818 35.3309793499548,24.2708676480324 35.3313257002953,24.2650920310476 35.3326199819824,24.2597352651785 35.3348124914731,24.255003072924 35.3378190339059,24.2510772463714 35.3415241492435,24.2481086707053 35.34578553723,24.246211523104 35.3504395129465,24.245458870349 35.3553072852823,24.2458798365324 35.3602018188445,24.2474584534001 35.3649350169737,24.2501342421368 35.3693249505433,24.2538045090895 35.3732028546981,24.2583282715519 35.3764196238528,24.2635316659112 35.3788515539113,24.2692146318281 35.3804051091803,24.2751586151813 35.3810205287945,24.2811349915138 35.3806741322391,24.2869138825252 35.3793792339999,24.2922730221235 35.3771856314846,24.2970063264312 35.3741776859579,24.3009318340612 35.3704710710654,24.3038987083824 35.3662083153568,24.3057930312311 35.361553311974,24.3065421658685 35.3566850084806)))', 'GRGEW', 'Georgioupoli', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6471222498674 39.1642742696129,23.6463221263871 39.1594098513109,23.6443186194704 39.1547603881724,23.6411889177491 39.1505044908039,23.637053412231 39.1468056226064,23.6320710518026 39.1438058314188,23.6264332313625 39.1416203055391,23.6203564479799 39.1403329610793,23.6140740055606 39.1399932281108,23.6078270830763 39.1406141574444,23.6018555044467 39.1421719198405,23.5963885589847 39.1446067167826,23.591636219598 39.1478250685681,23.5877810917267 39.1517033932872,23.5849713996598 39.1560927411826,23.5833152791811 39.1608245046979,23.5828765975505 39.1657168869089,23.5836724651518 39.1705818814475,23.5856725395847 39.1752324966678,23.5888001547819 39.1794899465694,23.5929352373903 39.1831905313925,23.5979189029079 39.1861919419573,23.6035595577488 39.1883787434303,23.609640273332 39.189666825502,23.6159271471094 39.1900066458059,23.6221783254749 39.1893851402353,23.6281533365888 39.1878262257567,23.6336223685737 39.1853898762809,23.6383751308677 39.1821698078697,23.6422289536476 39.1782898637738,23.6450358113131 39.1738992402857,23.6466879995926 39.1691667391592,23.6471222498674 39.1642742696129)))', 'GRGLO', 'Glossa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4197861591936 38.3566193549382,22.4190800792145 38.351743907835,22.4171798791014 38.3470705815719,22.4141587767583 38.3427789107243,22.4101329950281 38.3390337391715,22.4052572765736 38.3359788978192,22.3997189320697 38.3337316915434,22.3937306511927 38.3323784050507,22.3875223512601 38.3319709982668,22.3813323733999 38.3325251165432,22.3753983597566 38.3340194910923,22.3699481567809 38.3363967524379,22.3651910887662 38.3395656262101,22.3613099325009 38.3434044282471,22.3584538985743 38.347765726583,22.3567328882394 38.3524819933281,22.3562132478942 38.3573720313465,22.3569151876715 38.3622479304839,22.3588119681561 38.3669222871041,22.3618308920516 38.3712154097694,22.365856068164 38.3749622335745,22.3707328460308 38.3780186760733,22.3762737536918 38.3802671886297,22.3822657112532 38.3816212876676,22.3884782416555 38.3820288895585,22.3946723597196 38.3814743192476,22.400609792992 38.3799789143407,22.4060621744143 38.3776002011768,22.4108198480446 38.3744296751521,22.4146999448956 38.3705892719689,22.4175534156644 38.366226667353,22.4192707493159 38.3615095880634,22.4197861591936 38.3566193549382)))', 'GRGLX', 'Galaxidi', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0010400678423 38.9504548797017,23.0002872029646 38.9455845733156,22.9983322792357 38.9409225104799,22.995250620028 38.9366477892156,22.9911607742608 38.932924598697,22.986219942059 38.9298959226424,22.98061792919 38.9276780591899,22.9745698632623 38.9263561656309,22.9683079500155 38.9259809970918,22.9620725829269 38.9265669627955,22.956103142759 38.9280915735783,22.9506288348961 38.9304963017067,22.9458599110365 38.9336888206209,22.9419796080447 38.9375465399622,22.9391371108997 38.9419213020098,22.9374418094523 38.946645061264,22.9369590712198 38.9515363310464,22.9377076962092 38.9564071510982,22.9396591566055 38.9610703094636,22.9427386562968 38.9653465413374,22.946827975131 38.9690714275689,22.9517699932046 38.9721017262828,22.9573747242122 38.9743208923057,22.9634266267336 38.9756435700417,22.9696929109423 38.9760188849802,22.9759325179213 38.9754324056106,22.9819054214225 38.9739066992973,22.9873818888006 38.9715004605588,22.9921513395908 38.9683062459316,22.9960304567088 38.9644469039314,22.9988702357145 38.960070839314,23.0005617005693 38.9553462958834,23.0010400678423 38.9504548797017)))', 'GRGLY', 'Glyfa Fthiotidas', 'Y'),('SRID=4326;MULTIPOLYGON(((21.7637481232377 38.2537976675051,21.7630870211178 38.2489176404623,21.7612315162924 38.2442330609808,21.7582531116723 38.2399238991565,21.7542663938757 38.2361556731959,21.7494246102836 38.2330731008969,21.7439137737937 38.2307945523701,21.7379455227221 38.2294075150311,21.7317490089716 38.2289652430373,21.7255621229598 38.229484718183,21.7196223878074 38.2309459994938,21.7141578672333 38.233292986182,21.7093784311365 38.2364355651539,21.7054677099817 38.2402530618124,21.7025760441973 38.24459886339,21.7008146985808 38.249306039281,21.7002515652579 38.2541937444996,21.7009085235316 38.2590741619495,21.702760562797 38.2637597178663,21.7057367077434 38.268070293501,21.7097227157676 38.2718401554074,21.7145654475454 38.2749243367296,21.7200787458268 38.2772042223979,21.7260505975106 38.2785921214288,21.7322513025332 38.2790346484799,21.7384423323932 38.2785147829269,21.7443855331062 38.2770525251801,21.7498523133531 38.2747041246808,21.7546324592202 38.2715599097629,21.7585422321873 38.2677408040815,21.7614314361794 38.263393665363,21.7631891811846 38.2586856277808,21.7637481232377 38.2537976675051)))', 'GRGPA', 'Patras', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5796057511373 40.1535596927602,22.57886619308 40.1486872645303,22.576902333428 40.1440191421569,22.5737898538282 40.1397346558864,22.5696484990678 40.1359983677326,22.5646374550377 40.1329537609085,22.5589492259026 40.1307177410919,22.5528022465752 40.1293761585211,22.546432512813 40.1289805207757,22.5400845468739 40.1295460207574,22.5340020406308 40.1310509545383,22.5284185296651 40.1334375511913,22.5235484508116 40.1366141833546,22.5195789219237 40.1404588750231,22.5166625566452 40.1448239737928,22.5149115894453 40.1495418103153,22.5143935382029 40.1544311297122,22.5151285746981 40.1593040496271,22.5170887093461 40.163973278665,22.520198827598 40.1682593180999,22.5243395441607 40.1719973694632,22.5293517703038 40.1750436811089,22.5350428218968 40.1772810878158,22.5411938343337 40.1786235282039,22.5475681978525 40.1790193640985,22.5539206853561 40.1784533724314,22.5600069166039 40.1769473319853,22.5655927889162 40.1745591821671,22.5704635059648 40.1713807867942,22.5744318527375 40.1675343903044,22.5773453955573 40.1631679046451,22.5790923296488 40.158449210306,22.5796057511373 40.1535596927602)))', 'GRGRI', 'Gritsa', 'Y'),('SRID=4326;MULTIPOLYGON(((22.6041146747933 36.7655844628384,22.6034151248715 36.760708778547,22.6015469925363 36.7560365562987,22.5985822475586 36.7517472905258,22.5946349360719 36.7480057366585,22.5898567807604 36.7449555916407,22.5844313457741 36.7427139852519,22.5785669912697 36.7413669918778,22.5724888869812 36.7409663332399,22.5664303885813 36.7415273972038,22.5606241037569 36.7430286478295,22.5552929862019 36.7454124491229,22.550641794779 36.7485872714191,22.5468492419519 36.7524311968976,22.5440611306004 36.7567965913181,22.5423847422498 36.761515764494,22.5418846936677 36.7664074039503,22.542580424176 36.7712835361397,22.5444454147148 36.7759567486987,22.5474081738232 36.7802473964292,22.5513549576986 36.7839905135107,22.556134123981 36.787042165014,22.5615619546099 36.7892849918108,22.5674297247138 36.7906327337194,22.5735117445643 36.7910335550604,22.5795740623796 36.7904720431981,22.5853834890009 36.7889698022612,22.5907165924242 36.7865846190097,22.5953683114565 36.7834082334991,22.5991598533108 36.7795628015354,22.6019455690191 36.7751961867074,22.6036185417713 36.7704762649976,22.6041146747933 36.7655844628384)))', 'GRGYT', 'Gythion', 'Y'),('SRID=4326;MULTIPOLYGON(((25.4225521052547 35.3234025538128,25.4220599797047 35.3185099088121,25.4204128393013 35.313789948261,25.4176741637834 35.309424017491,25.4139493259759 35.3055798311591,25.4093815230891 35.3024050380615,25.4041462655982 35.300021559412,25.3984446367132 35.2985209162884,25.3924955808167 35.2979607238686,25.3865275147923 35.2983624854629,25.3807695807864 35.2997107698853,25.3754428719009 35.3019538032099,25.3707519632334 35.3050054523624,25.3668770695469 35.3087485252316,25.3639671279989 35.3130392619823,25.3621340704862 35.3177128468375,25.3614485063219 35.3225897304628,25.3619369835464 35.3274825217229,25.3635809379409 35.33220318522,25.3663173748074 35.3365702686057,25.3700412621353 35.3404158817477,25.3746095474168 35.3435921586311,25.3798466467367 35.3459769521491,25.3855511964834 35.3474785410468,25.3915038075995 35.3480391661609,25.3974755219512 35.347637258307,25.4032366419668 35.3462882709381,25.4085655895032 35.3440440849973,25.4132574486487 35.3409910090343,25.4171318599387 35.3372464523795,25.4200399596569 35.3329544007609,25.4218700963084 35.3282798701321,25.4225521052547 35.3234025538128)))', 'GRHES', 'Hersonisos', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8678072163467 40.5804740225183,22.8670411299662 40.575604343058,22.8650440324845 40.5709421565925,22.86189288567 40.5666665630764,22.8577089206396 40.5629417806551,22.8526529586492 40.5599108486345,22.8469192257419 40.5576901460708,22.8407278997049 40.5563649342723,22.8343166740717 40.5559860922577,22.8279316595121 40.556568168806,22.8218179668312 40.5580888248572,22.816210327267 40.5604896874616,22.8113241045167 40.5636785831495,22.8073470389421 40.567533066386,22.8044320381005 40.5719051095928,22.8026912898344 40.5766267768511,22.8021919257653 40.5815166655144,22.8029534056479 40.5863868700226,22.8049467285351 40.591050201435,22.8080955073063 40.5953273854894,22.8122788713581 40.5990539618955,22.8173360909287 40.6020866182296,22.8230727485202 40.6043087129242,22.829268221089 40.6056347727315,22.8356841838295 40.6060137895312,22.8420738048895 40.6054311879346,22.8481912721656 40.6039093869357,22.8538012797717 40.6015069337923,22.8586881034979 40.5983162441194,22.86266391149 40.5944600365699,22.8655759876466 40.5900866012329,22.8673125893822 40.5853640859664,22.8678072163467 40.5804740225183)))', 'GRHLS', 'Chalastra', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7754380444424 35.005310921735,25.7749260240083 35.0004190412624,25.773264140835 34.9957033340805,25.7705164368997 34.9913449810456,25.7667886276759 34.9875114053507,25.7622240209193 34.984349848578,25.756998001853 34.9819817245433,25.7513112978192 34.9804979660485,25.7453822805193 34.9799555414516,25.7394385992176 34.9803752732453,25.7337084626294 34.9817410412887,25.7284118999285 34.9840004007923,25.7237523320191 34.9870665915349,25.7199087729053 34.9908218620361,25.7170289580095 34.9951219824482,25.7152236623286 34.999801774593,25.7145624274393 35.0046814485451,25.7150708639721 35.0095735039462,25.7167296370206 35.0142899320442,25.7194751780954 35.0186494422298,25.7232021009992 35.0224844351447,25.7277672329108 35.0256474534475,25.7329951086573 35.0280168608179,25.7386847182341 35.0295015290776,25.744617247597 35.030044351365,25.7505645128016 35.0296244446426,25.7562977595155 35.0282579556827,25.7615964850763 35.0259974390278,25.7662569393041 35.0229298310651,25.7700999732612 35.0191730990339,25.772977931476 35.0148716952865,25.7747803216145 35.0101909933774,25.7754380444424 35.005310921735)))', 'GRIER', 'Ierápetra', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9116948485385 40.4001806442654,23.9108564466998 40.3953201649597,23.9087941528901 40.3906780920016,23.9055874257539 40.3864327482227,23.901359621733 40.3827471869833,23.896273235793 40.3797629402541,23.8905236534241 40.3775945951442,23.884331654518 40.3763254049403,23.877934955291 40.3760041011158,23.8715791092844 40.3766430271002,23.8655081116033 40.3782176645452,23.8599550612968 40.3806675702025,23.8551332348087 40.383898688218,23.851227908788 40.3877869505737,23.8483892436265 40.3921830294446,23.8467265006381 40.3969180611933,23.8463038169481 40.401810124248,23.8471377044335 40.4066712236708,23.8491963743369 40.4113145150107,23.8524009197201 40.4155614899487,23.8566283162941 40.4192488467953,23.8617161311239 40.4222347802151,23.8674687611842 40.4244044463155,23.8736649626001 40.4256743907007,23.8800663793608 40.4259957670799,23.886426739723 40.425356220978,23.8925013613111 40.4237803651505,23.8980565933689 40.4213288283335,23.9028788273013 40.4180959147106,23.90678272443 40.4142059656648,23.9096183418995 40.4098085658041,23.9112768823796 40.4050727798748,23.9116948485385 40.4001806442654)))', 'GRIES', 'Ierissos', 'Y'),('SRID=4326;MULTIPOLYGON(((20.2943086121759 39.5022005972975,20.2937372313577 39.4973138162321,20.2919464421137 39.4926072721724,20.2890052811408 39.4882617835102,20.2850269242189 39.4844442653005,20.2801643143805 39.4813013269376,20.2746042757866 39.4789536525918,20.2685603407946 39.477491378153,20.2622645648528 39.4769706401033,20.2559586405992 39.4774114270135,20.2498846478131 39.4787968149007,20.2442757889209 39.4810736153,20.2393474602511 39.4841544114942,20.2352889971445 39.487920905826,20.2322564067007 39.4922284512831,20.2303663660886 39.4969115954112,20.2296917180166 39.5017904257534,20.2302586395935 39.5066774749135,20.2320455982058 39.5113849212428,20.2349841403356 39.5157318089872,20.2389614888982 39.5195510100942,20.243824854375 39.5226956589639,20.2493872975667 39.5250448110167,20.2554349200377 39.526508105395,20.2617351049545 39.5270292503402,20.2680454884518 39.526588195335,20.2741233118706 39.5252019051775,20.2797347896051 39.5229237056953,20.2846641266319 39.5198412266034,20.2887218340977 39.516073021765,20.2917520199426 39.5117639986017,20.2936383730765 39.5070798345348,20.2943086121759 39.5022005972975)))', 'GRIGO', 'Igoumenítsa', 'Y'),('SRID=4326;MULTIPOLYGON(((25.3939849674483 40.9334642411859,25.3934694070913 40.9285751610628,25.3917062961213 40.9238562869288,25.3887636286633 40.9194889124868,25.3847546570332 40.9156407925512,25.3798335141336 40.9124597086509,25.3741892795765 40.9100678050121,25.3680387191589 40.9085569102835,25.3616179758304 40.9079850224132,25.3551735282416 40.9083740896723,25.3489527592647 40.9097091716075,25.3431944907861 40.9119390114993,25.3381198422088 40.914977998582,25.3339237584636 40.9187094457601,25.3307675292223 40.9229900587131,25.3287725851364 40.9276554269379,25.3280158103184 40.9325263280887,25.328526554375 40.9374156054554,25.3302854638738 40.9421353558008,25.3332251843252 40.9465041520267,25.3372329120688 40.9503540228654,25.3421547035726 40.9535369202288,25.3478013804815 40.9559304238073,25.3539558051726 40.957442461376,25.3603812463955 40.9580148609993,25.3668305102874 40.9576255964963,25.3730554807369 40.9562896383491,25.3788166962212 40.9540583766726,25.3838925886826 40.9510176386864,25.3880880238208 40.9472843780455,25.3912418107091 40.9430021651534,25.3932328905222 40.9383356540894,25.3939849674483 40.9334642411859)))', 'GRIME', 'Imeros', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2990938747314 36.719448497724,25.2986041361247 36.7145564147592,25.2969384812813 36.7098352364136,25.2941611147678 36.7054663530151,25.2903789060182 36.7016175894487,25.2857372616412 36.6984367662275,25.2804145286882 36.6960460318089,25.2746151452868 36.694537181991,25.2685618011733 36.6939681442167,25.2624869068075 36.6943607600791,25.2566236948153 36.6956999499417,25.2511972907464 36.6979342911724,25.2464160911751 36.700977987962,25.2424637759972 36.7047141579838,25.2394922587111 36.7089993111663,25.2376158442244 36.7136688504257,25.2369068193229 36.7185433850185,25.2373926478027 36.7234356157281,25.2390548821361 36.7281575286194,25.2418298384978 36.7325276215367,25.2456110143776 36.7363778854568,25.2502531604123 36.7395602714514,25.2555778531781 36.7419523931451,25.261380356184 36.7434622435395,25.2674375047619 36.744031742863,25.2735163092564 36.7436389792555,25.2793829417596 36.7422990548466,25.2848117559799 36.7400635040966,25.2895939884191 36.737018306953,25.2935458019374 36.7332805741579,25.2965153594097 36.7289940337008,25.2983886542925 36.7243234938656,25.2990938747314 36.719448497724)))', 'GRIOS', 'Ios', 'Y'),('SRID=4326;MULTIPOLYGON(((25.4661502443104 36.8524061150669,25.4656493194884 36.8475145529405,25.4639707469258 36.8427955040437,25.4611792281091 36.8384302758909,25.4573821760197 36.8345865520265,25.4527255666022 36.83141195866,25.4473883203184 36.8290284045447,25.4415754310017 36.8275274096309,25.4355101053437 36.8269665999568,25.4294252124565 36.8273675016681,25.4235543679622 36.8287147176451,25.4181229902206 36.8309565177958,25.4133396672545 36.8340068205408,25.4093881616409 36.8377484903218,25.4064203574526 36.8420378260103,25.4045504189381 36.8467100697054,25.4038503860876 36.8515857262798,25.4043473789339 36.8564774526464,25.4060225221553 36.8611972533133,25.4088116363512 36.8655637063159,25.4126076746219 36.8694089416377,25.417264815368 36.8725851029638,25.4226040572383 36.874970042833,25.4284201025894 36.8764720303265,25.4344892642521 36.8770332882946,25.4405780891168 36.8766322223431,25.4464523629533 36.8752842545955,25.4518861453151 36.8730412295943,25.4566704820982 36.8699894153916,25.4606214563811 36.8662461776512,25.463587264982 36.8619554562093,25.4654540474627 36.8572822199351,25.4661502443104 36.8524061150669)))', 'GRIRK', 'Iráklia', 'Y'),('SRID=4326;MULTIPOLYGON(((25.3543977189058 37.4574414957032,25.3539014659667 37.452550020155,25.3522178789026 37.4478296984107,25.3494118582881 37.4434618863541,25.3455913792832 37.4396143655606,25.3409033207557 37.4364349063578,25.3355278117364 37.4340456024399,25.3296713138312 37.4325381927247,25.3235587047044 37.4319705481335,25.3174246641684 37.4323644564479,25.3115046896581 37.4337047890387,25.3060260811908 37.4359400808804,25.3011992369497 37.4389845017677,25.2972095893561 37.4427211439722,25.2942104882435 37.4470065016228,25.2923173032136 37.4516759716883,25.2916029724829 37.4565501672679,25.2920951719249 37.4614418024494,25.2937752173414 37.46616288551,25.2965787473413 37.4705319446625,25.3003981659381 37.4743810084727,25.3050867557023 37.4775620717026,25.3104643067272 37.4799527964596,25.3163240465304 37.4814612275157,25.322440603898 37.4820293384596,25.3285786979332 37.4816352705117,25.3345022140921 37.480294176604,25.3399833131734 37.4780576376658,25.3448112178206 37.4750116737615,25.3488003341755 37.47127342753,25.3517973932815 37.4669866490409,25.353687336414 37.4623161576352,25.3543977189058 37.4574414957032)))', 'GRJMK', 'Mykonos', 'Y'),('SRID=4326;MULTIPOLYGON(((25.4032534186718 37.1074250970721,25.4027554559988 37.1025335280764,25.4010757679264 37.0978137446741,25.3982791015487 37.0934470824484,25.3944730698175 37.089601279572,25.3898039949987 37.0864240414157,25.3844512767303 37.0840373774974,25.3786205024416 37.0825329263955,25.3725355641782 37.0819684462147,25.366430082124 37.0823656036448,25.3605384602267 37.0837091452646,25.3550869125723 37.0859474823417,25.3502848001468 37.0889946668618,25.3463166063511 37.0927336838308,25.3433348564306 37.0970209349394,25.3414542515387 37.1016917432765,25.3407472435214 37.1065666696291,25.3412412230945 37.111458399485,25.3429174336439 37.1161789374118,25.3457116574968 37.1205468329566,25.3495166535537 37.1243941601855,25.3541862572211 37.1275729816588,25.3595409883492 37.1299610468128,25.365374953069 37.1314665037436,25.3714637736208 37.1320314412181,25.377573238777 37.1316341229276,25.3834683381983 37.1302898267829,25.3889223283769 37.1280502563859,25.3937254764749 37.1250015475131,25.3976931414199 37.1212609472273,25.4006728784798 37.1169722948835,25.4025502929411 37.1123004807181,25.4032534186718 37.1074250970721)))', 'GRJNX', 'Náxos', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1415175738279 35.2092202370011,26.1409826501967 35.2043296946597,26.1392956969511 35.1996187583751,26.1365217196369 35.1952684237206,26.1327674421117 35.1914458041346,26.128177186776 35.1882977191215,26.1229273211498 35.1859450644747,26.1172194852867 35.1844781789831,26.111272859501 35.1839533837579,26.1053157670245 35.1843908255055,26.099576930407 35.185773705471,26.0942767130129 35.1880489232024,26.089618677473 35.1911291106693,26.0857817814135 35.1948959795479,26.0829135075602 35.1992048545845,26.0811241910946 35.203890220701,26.0804827629987 35.2087720725961,26.081014075464 35.2136628245133,26.0826979160318 35.2183745158214,26.085469753033 35.2227260360017,26.0892231884537 35.2265500911304,26.0938140280962 35.2296996431548,26.0990658154856 35.2320535729423,26.1047766179975 35.2335213475752,26.110726803672 35.2340465105786,26.1166875073161 35.233608859255,26.1224294566122 35.2322252242655,26.1277318143186 35.2299488210078,26.1323906919615 35.2268671979979,26.1362270037124 35.2230988621082,26.1390933558017 35.2187887119314,26.1408797056191 35.2141024566741,26.1415175738279 35.2092202370011)))', 'GRJSH', 'Siteía', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5051212794871 39.154313558366,23.5043310434958 39.149447831612,23.5023370780717 39.1447956012856,23.4992162059376 39.1405355849624,23.4950884799383 39.136831404742,23.4901125513629 39.1338253127299,23.4844795693069 39.1316327391899,23.4784058460694 39.1303378706262,23.472124568742 39.129990425606,23.465876871808 39.1306037505513,23.4599026086913 39.1321543077046,23.4544311711061 39.134582574815,23.4496727034398 39.1377953227073,23.4458100452745 39.1416691846965,23.4429917089134 39.1460553826956,23.4413261611667 39.1507854306414,23.44087763079 39.1556775981899,23.4416636063603 39.1605438879812,23.4436541258787 39.1651972593452,23.4467728912301 39.1694588209937,23.4509001703086 39.1731647155656,23.4558773798654 39.176172429961,23.4615131757874 39.1783662869227,23.4675908173902 39.179661904557,23.4738765210464 39.1800094502576,23.4801284784035 39.1793955622746,23.4861061874265 39.177843864083,23.4915797317931 39.1754140516467,23.4963386463777 39.1721995894026,23.5002000235597 39.1683241050307,23.5030155460541 39.1639366236106,23.5046771754368 39.1592058265946,23.5051212794871 39.154313558366)))', 'GRJSI', 'Skíathos', 'Y'),('SRID=4326;MULTIPOLYGON(((26.384031667909 36.534164313111,26.3834741800989 36.5292756615912,26.3817457914666 36.5245686977717,26.3789131106109 36.5202242612127,26.3750851236727 36.5164092345,26.3704089866672 36.5132701409562,26.3650643630169 36.5109275269134,26.3592565249895 36.5094713424463,26.3532084832544 36.5089574960707,26.3471524442668 36.5094057140794,26.3413209195854 36.510798785589,26.335937823804 36.5130832218388,26.3312098981609 36.5161713047232,26.3273187850845 36.5199444468931,26.3244140552821 36.5242577359433,26.3226074541825 36.5289454900342,26.3219685896787 36.533827613464,26.322522229598 36.5387165097028,26.3242473169303 36.5434242874368,26.3270777456694 36.547769983195,26.330904872539 36.55158652269,26.3355816724621 36.5547271522919,26.3409283810932 36.5570710918174,26.3467394087454 36.5585281893993,26.3527912591577 36.5590423975081,26.358851146038 36.5585939347803,26.3646859720204 36.5572000493556,26.3700713199176 36.5549143539059,26.3748001056274 36.551824758239,26.3786905557844 36.5480500800113,26.3815932006051 36.5437354654788,26.3833966120806 36.5390467982737,26.384031667909 36.534164313111)))', 'GRJTY', 'Astypálaia', 'Y'),('SRID=4326;MULTIPOLYGON(((27.1731335021032 36.7829587618442,27.1725243305846 36.7780740037347,27.1707423502729 36.7733786801261,27.1678562276999 36.7690531793449,27.1639769984818 36.7652636532922,27.1592537815408 36.7621556436896,27.1538680421644 36.7598485023202,27.1480266253224 36.758430817669,27.1419538259022 36.7579570217021,27.1358827976823 36.7584453054928,27.1300466268682 36.7598769226734,27.1246694081504 36.7621969071004,27.1199576611578 36.7653161775677,27.1160924128763 36.7691149498357,27.1132222474326 36.773447326566,27.1114575893272 36.7781468907896,27.1108664408199 36.7830330899737,27.1114717401573 36.7879181670627,27.1132504464812 36.7926143732846,27.1161343916948 36.7969411859427,27.1200128716651 36.8007322534149,27.1247368815368 36.8038417993126,27.130124835306 36.8061502379655,27.1359695508819 36.8075687833888,27.1420462311747 36.8080428725716,27.1481211315778 36.8075542698012,27.1539605763803 36.8061217700069,27.1593399724568 36.8038004737023,27.1640524686952 36.8006796618152,27.1679169240442 36.7968793532524,27.1707848750943 36.7925456792392,27.1725462344666 36.787845254244,27.1731335021032 36.7829587618442)))', 'GRKAD', 'Kardamaina', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((21.3484909986602 37.6489111771921,21.3478631267122 37.6440281198299,21.3460494397993 37.6393362635955,21.3431198301457 37.6350158612005,21.3391870086098 37.6312328657267,21.334402153912 37.6281325649534,21.3289490964981 37.6258340118098,21.3230372615052 37.624425462896,21.3168936408811 37.6239609982971,21.3107541000899 37.6244584508527,21.3048543489483 37.6258987233202,21.2994209182712 37.6282265192995,21.2946624838056 37.6313524602788,21.2907618664117 37.6351565086501,21.2878690129563 37.6394925669284,21.286095226643 37.6441940785139,21.2855088695949 37.6490804168428,21.2861327058736 37.6539638191505,21.2879429915677 37.6586565995513,21.2908703522577 37.6629783646381,21.2948024194697 37.6667629538714,21.2995881293226 37.6698648368368,21.3050435211815 37.6721647197306,21.3109588145113 37.67357414351,21.3171064908637 37.6740388948996,21.3232500673263 37.6735410973983,21.3291532196875 37.6720999007637,21.3345888993274 37.6697707420921,21.3393480881149 37.666643207353,21.3432478503517 37.6628375767898,21.3461383693613 37.658500188762,21.3479086973385 37.6537978023115,21.3484909986602 37.6489111771921)))', 'GRKAK', 'Katakolon', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0338524403787 36.1244799408959,23.033133665806 36.1196069038079,23.0312571261155 36.1149412382939,23.0282951063117 36.1106621862193,23.0243615409948 36.1069341111113,23.0196076198686 36.1039001936441,23.0142159738543 36.1016769425391,23.008393665786 36.1003497298139,23.002364253658 36.0999695200451,22.9963592283033 36.1005509178147,22.9906091501662 36.102071607473,22.9853348207995 36.1044732065947,22.9807388235396 36.1076635009554,22.9769977545065 36.1115199764446,22.9742554400276 36.1158945139762,22.972617400528 36.1206190689822,22.9721467749781 36.1255121191494,22.9728618656148 36.1303856341576,22.9747354016713 36.1350523005084,22.9776955554189 36.1393327239685,22.981628676348 36.1430623322294,22.9863836424089 36.1460977112086,22.9917776635991 36.1483221296827,22.9976033154856 36.1496500379123,23.003636531008 36.1500303654368,23.0096452403003 36.1494484897468,23.015398322072 36.1479267992511,23.0206745174938 36.1455238287435,23.0252709591397 36.1423320012295,23.0290109832363 36.1384740642287,23.0317509225388 36.1340983593287,23.0333856182212 36.1293731088186,23.0338524403787 36.1244799408959)))', 'GRKAP', 'Kapsálion', 'Y'),('SRID=4326;MULTIPOLYGON(((26.7325556023363 37.8010758611101,26.7319669199406 37.7961897295479,26.7301884221183 37.7914885925283,26.7272886534416 37.7871530618605,26.7233791837196 37.7833496733939,26.7186103002053 37.780224498737,26.7131652248163 37.7778975455679,26.7072530796906 37.7764581596386,26.701100870382 37.7759616030749,26.6949447917865 37.7764269386785,26.6890211864143 37.7778363003274,26.6835574971534 37.7801355770629,26.6787635568564 37.7832364849515,26.674823544923 37.7870199482495,26.6718889168864 37.7913406616805,26.6700725775648 37.7960326605814,26.6694445226679 37.8009156869645,26.6700291192983 37.8058021086586,26.6718041343448 37.8105041268656,26.6747015534561 37.8148409956237,26.6786101645234 37.8186459753716,26.6833798110164 37.8217727522426,26.6888271548613 37.824101074636,26.6947427285686 37.8255413883477,26.7008990046138 37.8260382900053,26.7070591689767 37.8255726642696,26.7129862571255 37.8241624214327,26.7184522959509 37.8218618066063,26.7232470949006 37.8187593074362,26.7271863438533 37.8149742419243,26.7301187034331 37.8106521592695,26.731931614174 37.8059592325868,26.7325556023363 37.8010758611101)))', 'GRKAR', 'Néon Karlovásion', 'Y'),('SRID=4326;MULTIPOLYGON(((29.6178424278944 36.1313294520586,29.6170876509912 36.1264613383485,29.6151768890227 36.1218061868508,29.6121837390804 36.1175428329508,29.608223327704 36.1138350353571,29.6034478712506 36.1108251950637,29.5980408233185 36.1086288962782,29.5922098345746 36.1073304770831,29.586178794027 36.106979798154,29.5801792543748 36.1075903322307,29.5744415665113 36.1091386469178,29.5691860588828 36.1115653006087,29.5646145958826 36.1147771177962,29.5609028358165 36.1186507576903,29.5581934836027 36.1230374408325,29.556590797009 36.1277686540809,29.556156559005 36.1326626166309,29.5569076741976 36.1375312600864,29.5588154861594 36.1421874552094,29.5618068469106 36.1464522077323,29.5657669022999 36.150161546019,29.5705434901665 36.1531728345189,29.5759529846648 36.1553702685481,29.5817873626607 36.1566693371933,29.5878222191629 36.157020080906,29.5938254205275 36.1564090170836,29.5995660583981 36.1548596587707,29.6048233552167 36.1524316064563,29.609395174202 36.1492182485757,29.6131058028534 36.1453431604754,29.6158127085005 36.1409553420902,29.6174120058432 36.1362234793922,29.6178424278944 36.1313294520586)))', 'GRKAS', 'Kastellorizou (ex Megísti)', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5037619876785 40.4764288463767,25.5032408744819 40.4715398035544,25.5014809904147 40.4668223224078,25.4985501996302 40.4624576434621,25.4945612933783 40.458613418933,25.4896676308266 40.4554372821225,25.4840572353152 40.4530511888732,25.477945574457 40.4515467462708,25.471567300653 40.4509817057724,25.4651672662617 40.451377753481,25.4589911537387 40.452719681025,25.4532760748086 40.4549559682617,25.4482414937834 40.4580007556731,25.4440808184681 40.4617371317913,25.4409539780427 40.4660216111494,25.4389812715451 40.470689632932,25.4382387241762 40.4755618713546,25.4387551329978 40.4804511173405,25.4405109205141 40.4851694685191,25.4434388462345 40.4895355519108,25.447426555089 40.4933815014859,25.4523208702036 40.4965594213201,25.4579336688919 40.4989470841211,25.4640491176794 40.5004526438534,25.4704319874871 40.5010181789867,25.476836726256 40.5006219281144,25.4830169353311 40.4992791305377,25.4887348793245 40.4970414388543,25.4937706577447 40.4939949263964,25.4979306804944 40.4902567672549,25.5010551177417 40.4859707183456,25.5030240363107 40.481301579434,25.5037619876785 40.4764288463767)))', 'GRKAW', 'Kamariotissa', 'Y'),('SRID=4326;MULTIPOLYGON(((26.1458730207137 38.5412368696974,26.1453183816185 38.5363487549615,26.1435604157338 38.5316395302636,26.1406668890125 38.5272901194921,26.1367491409548 38.5234675916233,26.131957784212 38.5203187519959,26.1264769081994 38.5179645146968,26.1205170107292 38.5164952701924,26.1143069283599 38.5159674240587,26.1080850725807 38.5164012379492,26.1020903040315 38.5177800544692,26.0965527899615 38.5200509352131,26.0916851907009 38.5231266877601,26.0876745090393 38.5268892048525,26.0846749124197 38.5311939891839,26.0828018024658 38.5358756920369,26.0821273606257 38.5407544550972,26.0826777440596 38.5456428136262,26.084432044113 38.5503528970354,26.0873230529222 38.5547036507057,26.0912398143166 38.5585278012167,26.0960318658558 38.5616782961971,26.1015150123486 38.5640339695476,26.107478410323 38.5655042121759,26.1136926903003 38.5660324665503,26.119918801743 38.5655984088665,26.1259172361245 38.5642187336345,26.1314572681058 38.5619465099912,26.1363258540276 38.5588691348017,26.1403358408905 38.5551049623564,26.1433331670289 38.5507987419743,26.1452027764794 38.5461160409982,26.1458730207137 38.5412368696974)))', 'GRKDM', 'Kardámyla', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0041146389211 36.7360029915049,27.0035165570087 36.7311173225567,27.0017459609599 36.7264194240391,26.998871080225 36.7220897840543,26.9950025193694 36.7182947141901,26.9902889887135 36.7151799695347,26.9849115828845 36.7128651606706,26.9790768281377 36.7114391703719,26.973008764606 36.7109567491315,26.9669403648711 36.7114364186451,26.9611046143414 36.7128597626858,26.9557255911506 36.7151721322193,26.9510098833089 36.7182847380555,26.9471386686406 36.7220780517503,26.944260758979 36.7264063857589,26.9424868748895 36.7311034788392,26.9418853719121 36.7359888740772,26.942479585405 36.7408748461549,26.9442469003164 36.7455736128083,26.9471195867194 36.7499045537695,26.9509873741157 36.7537011593891,26.9557016699375 36.7568174407738,26.9610812630686 36.7591335533883,26.9669192942569 36.7605604159739,26.9729912245608 36.7610431452399,26.9790634927171 36.7605631725966,26.9849025243849 36.7591389604195,26.990283741907 36.7568252899089,26.995000223206 36.7537111483172,26.9988706727065 36.7499162978933,27.0017463950652 36.7455866601349,27.003517002714 36.7408886947684,27.0041146389211 36.7360029915049)))', 'GRKEF', 'Kefalos Ko', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7299342304564 40.8576531590649,24.7294680466899 40.8527623025553,24.7277543467825 40.8480344630257,24.7248592286273 40.8436512820398,24.720894122165 40.8397811242937,24.7160114810637 40.8365726194109,24.7103989123869 40.8341489651517,24.7042719715875 40.8326032086888,24.697865898991 40.8319946849061,24.6914266122629 40.8323467464674,24.6852012960624 40.8336458713319,24.6794289444342 40.8358421812652,24.6743312130877 40.8388513515908,24.6701039275421 40.842557839855,24.6669095694818 40.8468193111268,24.6648710282589 40.8514720921365,24.6640668583172 40.8563374470374,24.6645282278105 40.8612284357652,24.6662376806145 40.8659570930168,24.6691297654189 40.870341652738,24.6730935140833 40.8742135403328,24.6779766796525 40.8774238628241,24.6835915752181 40.8798491457371,24.6897222910799 40.8813960939511,24.6961330121932 40.8820051911488,24.7025771131973 40.881652997369,24.7088066765026 40.8803530547818,24.7145820614809 40.8781553661125,24.7196811506228 40.8751444659377,24.7239079116978 40.8714361600653,24.7270999428678 40.8671730601404,24.729134709029 40.8625190873803,24.7299342304564 40.8576531590649)))', 'GRKER', 'Keramoti', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0971578987683 36.8429786195661,27.0965530669213 36.8380935142335,27.0947743210158 36.8333970943119,27.0918902042193 36.8290697904813,27.0880116760006 36.8252778239908,27.0832878291357 36.8221668302312,27.0779001536517 36.8198562753941,27.0720555691122 36.8184348787565,27.065978491957 36.8179572144929,27.0599022398325 36.818441621903,27.0540600989091 36.8198695032328,27.0486763923745 36.8221860356827,27.0439578882476 36.8253022706454,27.0400858723934 36.8290985406489,27.0372091884784 36.8334290447859,27.0354385113121 36.8381274384355,27.0348420746421 36.8430132144912,27.0354430204582 36.8478986325884,27.0372184759935 36.8525959312043,27.0401003990093 36.856924545886,27.0439781640201 36.8607180558191,27.0487027944418 36.8638305906378,27.0540926809584 36.8661424495382,27.0599405673968 36.8675647147113,27.0660215346326 36.8680426797558,27.0721016727899 36.867557959581,27.0779471040842 36.8661291995562,27.0833330043988 36.8638113562548,27.0880522717316 36.8606935778492,27.0919235040272 36.8568957667868,27.0947979769087 36.8525639585871,27.096565352177 36.8478646964025,27.0971578987683 36.8429786195661)))', 'GRKGS', 'Kos', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1628769772375 38.6317779630058,24.1624568907217 38.6268849860094,24.160828109592 38.6221503017125,24.1580534458697 38.617755821411,24.1542396870143 38.6138703522112,24.1495334680545 38.6106431205772,24.1441156252257 38.6081980513225,24.1381942497921 38.6066290198213,24.1319967084816 38.6059962576849,24.1257609345541 38.6063240480241,24.1197263198355 38.6075997973636,24.1141245523218 38.6097745191016,24.1091707458067 38.6127647100112,24.1050551973678 38.6164555485786,24.1019360857902 38.6207052938802,24.0999333897733 38.6253507180194,24.0991242600889 38.6302133655724,24.0995400261165 38.6351064015232,24.10116495613 38.6398417860538,24.1039368244053 38.6442375012642,24.1077492690644 38.6481245520445,24.1124558551536 38.6513534711494,24.1178756905458 38.6538000768633,24.1238003806274 38.6553702598998,24.1300020540453 38.6560036133367,24.1362421484631 38.6556757640429,24.1422806142993 38.6543993144692,24.1478851772595 38.6522233578215,24.1528402979688 38.6492315853311,24.156955479276 38.6455390592929,24.160072598289 38.6412877775327,24.1620719796584 38.6366412018589,24.1628769772375 38.6317779630058)))', 'GRKIM', 'Kymi (Kimi)', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1393749168763 37.422436113858,23.1386331703046 37.4175653178442,23.1367144813589 37.4129034970451,23.1336927656639 37.4086297426413,23.1296842582892 37.4049082106881,23.124843029884 37.4018818261637,23.1193550619339 37.3996668043427,23.1134311093988 37.3983481979231,23.1072986235149 37.3979766390276,23.101193041818 37.398566399687,23.0953487754292 37.4000948443984,23.0899902346461 37.4025032956414,23.0853232325868 37.4056992797495,23.0815270930481 37.4095600682037,23.0787477632612 37.4139373801374,23.077092195584 37.4186630674436,23.0766242154856 37.4235555660212,23.0773620379243 37.428426866856,23.0792775322423 37.4330897400128,23.0822972691682 37.4373649340991,23.086305314882 37.4410880738811,23.0911476690189 37.4441159896033,23.096638178711 37.4463322328802,23.1025657020414 37.4476515650578,23.1087022441525 37.4480232435234,23.1148117499843 37.4474329780427,23.1206592110013 37.4459034809729,23.1260197305525 37.4434935900468,23.1306871942706 37.4402959981097,23.1344822080758 37.436433678458,23.1372589961201 37.4320551450692,23.1389109930031 37.4273287320055,23.1393749168763 37.422436113858)))', 'GRKIN', 'Koilas Ermionidos', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8246122688149 37.9695137660569,22.8238840372237 37.9646410031665,22.8219692230343 37.9599743114363,22.818941599787 37.9556929694984,22.814917635286 37.9519614242882,22.8100519979232 37.9489229840226,22.8045316083974 37.946694325084,22.7985684660796 37.9453610217599,22.7923915242258 37.9449742685764,22.7862379228913 37.9455489195321,22.7803439116844 37.9470629185869,22.774935805752 37.9494581430909,22.770221317256 37.952642628374,22.7663815911231 37.9564940893725,22.7635642483848 37.9608646058554,22.7618777037334 37.9655862933397,22.7613869770799 37.9704777438289,22.7621111634216 37.9753509905308,22.7640226630201 37.98001872993,22.7670482069515 37.9843015238967,22.7710716439688 37.9880347044373,22.7759383859852 37.9910747143705,22.7814613441287 37.9933046383465,22.7874281279799 37.994638709487,22.7936092298918 37.9950256163728,22.7997668764779 37.9944504816053,22.8056642022762 37.9929354348807,22.8110743875235 37.9905387583474,22.815789403501 37.9873526377338,22.8196280249785 37.9834996070679,22.8224427990983 37.9791278255483,22.8241257022175 37.9744053702482,22.8246122688149 37.9695137660569)))', 'GRKIO', 'Kiato', 'Y'),('SRID=4326;MULTIPOLYGON(((22.6657125780993 40.3785333218211,22.6649638530675 40.3736617994306,22.6629870787782 40.3689955621735,22.6598584350643 40.3647138669983,22.6556982886727 40.3609811677272,22.6506665472076 40.3579408087875,22.6449565086335 40.3557095319418,22.638787443486 40.3543730047856,22.6323961932365 40.3539825406034,22.6260281039086 40.3545531338184,22.6199276380063 40.3560628854172,22.6143290194032 40.3584538401791,22.6094472647232 40.3616342041935,22.6054699409455 40.3654818589097,22.6025499628521 40.3698490387283,22.6007997062497 40.374567994702,22.6002866647428 40.3794574289529,22.6010308206975 40.3843294543728,22.6030038367807 40.3889968132972,22.606130105312 40.3932800780138,22.6102896211449 40.3970145557522,22.6153225726725 40.4000566313296,22.62103547771 40.4022893016409,22.6272086293287 40.4036266869477,22.6336045639288 40.40401734332,22.6399772223362 40.4034462470751,22.6460814464453 40.4019353738084,22.6516824402297 40.3995428495044,22.6565648254659 40.3963607070226,22.6605409391785 40.3925113356689,22.6634580508078 40.3881427623856,22.6652042209404 40.3834229482618,22.6657125780993 40.3785333218211)))', 'GRKIR', 'Kitros', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1362252383575 37.0227051052445,22.1355525563156 37.0178263592496,22.1337060037979 37.0131465605844,22.1307567260629 37.0088454963491,22.1268181799153 37.0050883759623,22.1220417557708 37.002019494143,22.1166109546444 36.9997566993269,22.1107343446029 36.998386878031,22.1046375660888 36.9979626266973,22.0985546902334 36.9985002372726,22.0927192577692 36.9999790729066,22.0873553377382 37.0023423574883,22.0826689445178 37.0054993492149,22.078840138774 37.0093288159179,22.0760161131632 37.0136836803856,22.0743055276713 37.0183966592183,22.0737743134976 37.0232866805316,22.0744431098169 37.0281658355388,22.0762864364036 37.0328465979257,22.0792336391178 37.0371490338747,22.0831715770584 37.0409077251362,22.0879489524038 37.0439781378397,22.0933821193277 37.0462421904863,22.0992621495925 37.0476128050655,22.1053628820572 37.0480372643651,22.1114496436372 37.0474992447772,22.117288302033 37.0460194454208,22.1226542970838 37.0436547891248,22.1273412985094 37.0404962265234,22.1311691530504 37.0366652289365,22.1339908128629 37.032309106639,22.1356979781325 37.0275953345235,22.1362252383575 37.0227051052445)))', 'GRKLX', 'Kalamáta', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0232006441916 36.9479980032525,27.0225996895185 36.9431126057383,27.0208230286922 36.9384151608561,27.0179391260938 36.9340861388073,27.0140589341606 36.9302918268016,27.0093316104802 36.9271779501054,27.0039387791107 36.9248640852871,26.9980875576518 36.9234390783227,26.9920026169901 36.9229576416149,26.9859175759429 36.9234382589874,26.9800660571573 36.9248624780205,26.9746727428662 36.9271756165209,26.9699447691086 36.930288856378,26.9660637847839 36.9340826454801,26.9631789777901 36.9384112786721,26.9614013352004 36.9431084837346,26.9607993590444 36.9479937997526,26.9613964052105 36.9528795044903,26.9631697520715 36.9575778257254,26.9660514397674 36.96190815984,26.9699308530597 36.9657040198743,26.9746589529023 36.9688194448886,26.9800539970739 36.9711346225971,26.9859085310959 36.9725605071481,26.9919973797739 36.9730422525341,26.99808632933 36.9725613279379,27.0039411620817 36.9711362325514,27.0093366912746 36.9688217819846,27.0140654436712 36.9657069940987,27.0179456518317 36.9619116566787,27.0208282460226 36.957581710597,27.0226025760499 36.9528836279485,27.0232006441916 36.9479980032525)))', 'GRKMI', 'Kálymnos', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6201101120442 36.7926268878458,24.6196634279489 36.7877335049937,24.6180385350712 36.78300422471,24.6152980752582 36.7786207516246,24.6115475049383 36.7747514732491,24.6069310209223 36.7715449991289,24.6016260092436 36.7691244627385,24.5958362318294 36.7675828031356,24.5897840122875 36.7669792056369,24.5837017186324 36.7673368364386,24.5778228662418 36.7686419568664,24.5723731779913 36.7708444506079,24.5675619399664 36.7738597437791,24.5635739803781 36.7775720449231,24.5605625766345 36.7818387819635,24.558643561628 36.7864960675483,24.5578908562197 36.7913649848229,24.5583336020395 36.7962584539512,24.5599550087941 36.8009884169052,24.5626929653667 36.8053730651245,24.5664423964249 36.8092438321946,24.5710592786004 36.8124518819295,24.5763661652441 36.8148738409818,24.5821590089827 36.8164165537064,24.5882150193879 36.8170206744581,24.5943012513206 36.81666295738,24.6001835898354 36.8153571542815,24.6056357813257 36.8131534854054,24.6104481586106 36.8101367035394,24.6144357200374 36.8064228267808,24.6174452488149 36.8021546670789,24.6193611974976 36.7974963283731,24.6201101120442 36.7926268878458)))', 'GRKMS', 'Kímolos', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7654495169522 35.0805651644327,24.7649976702726 35.0756710681579,24.7633931877923 35.0709434648581,24.7606979105881 35.0665639968784,24.7570155466222 35.0627009017406,24.7524876655771 35.0595025564629,24.7472882495618 35.0570917876145,24.741617010433 35.0555611639317,24.7356917300185 35.0549694504584,24.7297399153166 35.0553393587353,24.7239900856477 35.0566566782118,24.718663022023 35.0588708216219,24.713963310276 35.0618967634754,24.7100714987591 35.0656182980071,24.7071371689675 35.0698924928246,24.7052731840057 35.0745551689322,24.7045513363934 35.0794271984806,24.7049995647168 35.0843213799803,24.7066008497851 35.0890496280804,24.7092938372983 35.093430202271,24.7129751678789 35.0972946966197,24.7175034291684 35.1004945210915,24.7227045811693 35.1029066239229,24.7283786477372 35.1044382332909,24.734307416592 35.1050304340897,24.7402628496519 35.1046604405878,24.7460158767337 35.1033424763105,24.7513452300489 35.101127226689,24.7560459751796 35.0980998856242,24.7599374064504 35.0943768718986,24.7628700002555 35.0901013430986,24.7647311577787 35.0854376813063,24.7654495169522 35.0805651644327)))', 'GRKOK', 'Kokkinos Pyrgos', 'Y'),('SRID=4326;MULTIPOLYGON(((25.633185092062 36.9323630171458,25.6326731262403 36.9274719876198,25.6309826021821 36.9227551066963,25.6281786806502 36.9183935976869,25.6243692505778 36.9145550004814,25.6197007623491 36.9113867438142,25.6143525913099 36.9090104928023,25.6085301493865 36.9075174869792,25.6024570087689 36.906965045926,25.5963663376714 36.9073743749825,25.5904919731128 36.9087297540825,25.5850594687362 36.9109791403179,25.580277456534 36.9140361613109,25.5763296499475 36.9177834237861,25.5733677925083 36.9220770118127,25.5715058216754 36.9267520038388,25.5708154728515 36.9316287985619,25.5713234951441 36.9365200083607,25.5730105900363 36.9412376566826,25.5758121188244 36.9456004033865,25.5796205568488 36.9494405201551,25.5842896047561 36.9526103469143,25.589639801995 36.9549879795147,25.5954654281687 36.9564819680885,25.601542426314 36.9570348434395,25.6076370409425 36.9566253341099,25.6135148346681 36.9552691876111,25.618949731788 36.9530185636805,25.6237327360363 36.9499600231241,25.6276799829423 36.9462111905572,25.6306398141808 36.9419162209426,25.6324986007639 36.9372402461664,25.633185092062 36.9323630171458)))', 'GRKOY', 'Koufonisia', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7071925123033 36.9906068890445,24.7067397707141 36.9857137503474,24.705105890212 36.9809854739869,24.7023538595653 36.9766037252836,24.6985895806011 36.9727368246847,24.6939577767789 36.9695332896151,24.6886364218174 36.9671161400253,24.682829903941 36.9655781844965,24.6767611878671 36.9649784659796,24.6706632732315 36.9653400018897,24.6647702736261 36.9666489040299,24.6593084540627 36.9688549114866,24.6544875660838 36.9718733161425,24.650492808904 36.9755882077125,24.6474777222006 36.9798569151499,24.6455582821633 36.9845154757064,24.6448084282048 36.9893849235527,24.64525719471 36.9942781581781,24.6468875621106 36.9990071300178,24.6496370764761 37.0033900678709,24.6534002190603 37.0072584702533,24.6580324394078 37.010463591107,24.6633557003881 37.0128821690605,24.669165323603 37.0144211780767,24.6752378715752 37.015021414821,24.6813397612969 37.0146597829826,24.6872362740047 37.0133501853627,24.6927006098489 37.0111429887554,24.697522634206 37.0081230823157,24.7015169748585 37.0044066049618,24.704530155542 37.0001364691613,24.7064464902413 36.9954768551179,24.7071925123033 36.9906068890445)))', 'GRKRE', 'Kamares, Sifnos', 'Y'),('SRID=4326;MULTIPOLYGON(((21.9944434738637 39.7957264898949,21.9937498187323 39.7908494313735,21.9918363153573 39.7861704482613,21.9887767099091 39.7818692915165,21.9846887178529 39.7781111665518,21.9797294794999 39.7750403975213,21.9740895150087 39.7727748960006,21.9679854120603 39.7714016443519,21.9616515257959 39.770973365126,21.9553310064426 39.7715065026644,21.949266494308 39.772980593305,21.9436908337999 39.7753390480672,21.9388181574818 39.7784913183024,21.9348356779223 39.7823163624516,21.9318964996015 39.7866672826488,21.930113726124 39.7913769552563,21.9295560905521 39.7962644411818,21.9302452802822 39.8011419314826,21.9321550643859 39.805821962535,21.9352122629182 39.8101246238418,21.9392995268451 39.8138844809343,21.944259826707 39.8169569459578,21.9499024807408 39.8192238491371,21.9560104918071 39.8205979947199,21.962348909789 39.8210265240621,21.968673894546 39.8204929547441,21.9747421259526 39.8190178161625,21.9803201933755 39.8166578568377,21.9851935978205 39.8135038544744,21.9891750158687 39.8096771143325,21.9921115046462 39.8053247924774,21.9938903700069 39.8006142259364,21.9944434738637 39.7957264898949)))', 'GRKRN', 'Koroni', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3244589846201 37.654718234598,24.3240297300168 37.6498249253793,24.3224081910628 37.6450922111595,24.3196568905509 37.6407019284394,24.3158817096605 37.6368227251065,24.3112277961976 37.633603589782,24.305873976097 37.6311681395037,24.3000258845311 37.6296098832536,24.2939080800812 37.6289886412194,24.2877554424878 37.6293282554625,24.2818041804 37.6306156785296,24.2762827895297 37.6328014742965,24.2714033032979 37.6358017118817,24.2673531674125 37.6395011807365,24.2642880471493 37.6437578049199,24.2623258421097 37.6484080889211,24.261542138919 37.6532733878857,24.2619672791014 37.6581667632373,24.2635851589605 37.6629001617019,24.2663338127671 37.6672916426089,24.2701077622789 37.6711723756577,24.2747620471564 37.6743931393418,24.2801177849208 37.6768300687205,24.2859690484531 37.6783894296319,24.2920907962688 37.6790112337137,24.2982475482851 37.6786715533376,24.304202469469 37.6773834460251,24.3097265070442 37.6751964520707,24.3146072246528 37.6721946847692,24.3186569891214 37.6684935875549,24.3217201917196 37.6642354842716,24.3236792247933 37.6595840956098,24.3244589846201 37.654718234598)))', 'GRKRS', 'Korrisia', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9636200357479 37.9934761349082,22.9628823393988 37.9886045076375,22.9609581290094 37.9839403533354,22.9579215386518 37.9796628524798,22.9538893797546 37.9759363039482,22.9490166343688 37.9729038237523,22.9434904950244 37.9706818593368,22.9375231808493 37.9693557281013,22.9313438045217 37.9689763495478,22.9251895991932 37.9695582949934,22.9192968377355 37.9710792288124,22.9138917878235 37.9734807624977,22.9091820451525 37.9766706893693,22.9053485735148 37.980526515433,22.9025387549125 37.9849001526073,22.9008607160966 37.989623596105,22.9003791510072 37.9945153698516,22.9011128030298 37.9993874939106,22.9030337086147 38.0040527071704,22.9060682368163 38.0083316679362,22.9100998901508 38.0120598550729,22.9149737635349 38.0150939031059,22.9205024927118 38.0173171259015,22.9264734642748 38.0186440144829,22.9326570087416 38.0190235340491,22.9388152583986 38.0184410918149,22.9447113246614 38.0169190990377,22.9501184367282 38.0145161054415,22.9548286849598 38.0113245399647,22.9586610285972 38.0074671460642,22.9614682573665 38.0030922505104,22.9631426387955 37.9983680496674,22.9636200357479 37.9934761349082)))', 'GRKRT', 'Korinthos', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6835969594532 35.4983228642504,23.6828466477131 35.4934546208619,23.6809496060187 35.4887995945642,23.6779788986137 35.4845366168618,23.6740487858411 35.4808294335606,23.6693103183672 35.4778204239888,23.6639455296037 35.4756251424626,23.6581604499161 35.4743278897872,23.652177209602 35.4739784831317,23.6462255309831 35.4745903469707,23.6405339322526 35.4761399976449,23.6353209762651 35.4785679412796,23.630786895931 35.4817809512439,23.6271059143086 35.4856556389701,23.6244195522533 35.4900431826979,23.6228311803482 35.4947750343956,23.6224020259094 35.4996693873978,23.6231487916185 35.5045381576725,23.6250429816096 35.5091942112687,23.6280119657851 35.5134585602851,23.6319417461482 35.5171672501458,23.6366813226393 35.5201776721626,23.6420484930092 35.5223740569873,23.6478368643146 35.5236719358473,23.6538238051386 35.5240213962426,23.6597790297901 35.523409005517,23.6654734802242 35.5218583275437,23.6706881594403 35.5194290125946,23.6752225721821 35.5162144960706,23.6789024447857 35.5123383958998,23.6815864252342 35.5079497488741,23.6831715055225 35.5032172709923,23.6835969594532 35.4983228642504)))', 'GRKSM', 'Kissamos', 'Y'),('SRID=4326;MULTIPOLYGON(((19.9434388899732 39.7882998976761,19.9428903082467 39.7834119118518,19.9411164304215 39.7787003965787,19.9381856482926 39.7743463623662,19.9342107437816 39.7705170529475,19.9293445314827 39.7673595302833,19.9237739768304 39.7649950376925,19.9177130173098 39.7635143555086,19.91139436163 39.7629743254715,19.9050605788688 39.7633956754471,19.8989548151705 39.7647622266908,19.8933114889137 39.7670215135406,19.8883473159952 39.770086792034,19.8842530049885 39.77384036141,19.8811859377634 39.7781380726701,19.8792641153979 39.7828148531541,19.8785616029273 39.7876910370996,19.8791056510856 39.7925792608981,19.8808756104971 39.7972916594763,19.8838036859094 39.8016470878497,19.8877775074743 39.8054780900369,19.8926444254668 39.8086373463686,19.8982173670174 39.8110033495908,19.9042820312576 39.8124850893898,19.9106051454683 39.8130255630133,19.9169434618002 39.8126039750632,19.9230531439134 39.8112365405138,19.928699176886 39.8089758595024,19.9336644327483 39.8059088882401,19.937758038059 39.8021535851968,19.9408227183846 39.797854363306,19.9427408360312 39.7931765252076,19.9434388899732 39.7882998976761)))', 'GRKSP', 'Kassiopi, Kerkyra', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4506132775106 38.0096900526863,24.4501749496117 38.0047970890201,24.4485387627745 38.0000657913706,24.4457678057613 37.9956779406119,24.4419687168009 37.991802089811,24.437287562485 37.9885870974261,24.4319042139602 37.986156420193,24.4260254381209 37.9846033829787,24.4198769687509 37.9839876052237,24.4136948597159 37.9843327193517,24.407716448247 37.985625467384,24.4021712703295 37.9878162097472,24.3972722718385 37.990820826825,24.393207648305 37.9945239410945,24.3901336233861 37.9987833376161,24.3881684419176 38.0034354150309,24.3873878088844 38.00830145975,24.3878219521432 38.0131945041882,24.3894544260131 38.0179265069568,24.3922227069972 38.0223155798338,24.3960205642681 38.0261929836958,24.4007021187482 38.0294096236452,24.4060874383696 38.0318417921197,24.4119694561569 38.0333959372237,24.4181219447689 38.0340122708508,24.4243082384462 38.0336670759506,24.4302903628837 38.0323736227987,24.4358382168297 38.0301816583166,24.4407384470083 38.0271754881773,24.4448026703755 38.0234707263434,24.4478747241965 38.0192098385811,24.4498366637176 38.0145566532771,24.4506132775106 38.0096900526863)))', 'GRKST', 'Karystos', 'Y'),('SRID=4326;MULTIPOLYGON(((25.3264238076125 34.9834232690559,25.325938668459 34.9785301839043,25.3243031714298 34.9738090028637,25.321580346252 34.969441119153,25.3178749552117 34.9655943236359,25.3133294481296 34.9624163665291,25.3081184799719 34.9600292916087,25.3024422029971 34.958524758799,25.2965185905936 34.9579605329744,25.2905750854264 34.9583582722067,25.2848398890966 34.959702699225,25.2795332234748 34.9619421873581,25.274858894833 34.9649907386166,25.2709964808419 34.9687312787884,25.2680944377722 34.9730201443961,25.2662643915171 34.9776925909244,25.2655768324028 34.9825691125641,25.2660583815693 34.9874623323294,25.267690737717 34.9921841990169,25.2704113492891 34.9965532150242,25.2741157910013 35.0004014171058,25.2786617575596 35.0035808409083,25.2838745240473 35.0059692193646,25.2895536644264 35.0074746940988,25.2954807693812 35.0080393568367,25.3014278645372 35.0076414829905,25.3071662017495 35.0062963703249,25.3124750809764 35.0040557498947,25.3171503589448 35.0010057920715,25.321012313458 34.9972637852041,25.3239125581968 34.9929736160609,25.3257397410481 34.9883002276087,25.3264238076125 34.9834232690559)))', 'GRKSV', 'Kastri Viannoy', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8961467596606 36.8302932768419,25.8956184939162 36.8254030180792,25.8939137740722 36.8206895566172,25.8910983042253 36.8163339833607,25.8872804145309 36.812503609556,25.8826068779195 36.8093455479258,25.8772572615997 36.806981072349,25.8714370316294 36.8055009708461,25.8653696747329 36.8049620684078,25.8592881374157 36.8053850515132,25.8534259071803 36.8067536766879,25.848008073551 36.8090153929844,25.8432427073017 36.8120833547248,25.8393128847319 36.8158397481805,25.8363696604053 36.8201403059725,25.8345262571364 36.8248198376955,25.833853697254 36.8296985662733,25.8343780456946 36.8345890283457,25.8360793750473 36.8393032747831,25.8388924973866 36.8436600951754,25.8427094399441 36.8474919884113,25.8473835739827 36.8506516104487,25.8527352413413 36.8530174498506,25.8585586637102 36.8544985109665,25.8646298683512 36.8550378227131,25.8707153229741 36.8546146362979,25.8765809437018 36.8532452261472,25.882001124838 36.8509822627143,25.8867674382224 36.8479127815423,25.890696663363 36.8441548276797,25.8936378366498 36.8398529060631,25.8954780475208 36.8351724147277,25.8961467596606 36.8302932768419)))', 'GRKTP', 'Katápola', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6435895359416 37.9572939288501,23.6428076062377 37.9524281076704,23.6408420485096 37.9477765341786,23.6377685815506 37.9435179025708,23.6337054282098 37.9398157848763,23.6288087552894 37.9368123578861,23.6232666688371 37.9346229535984,23.6172919960716 37.9333316404464,23.6111141296867 37.9329880030926,23.6049702444343 37.9336052429524,23.599096218672 37.9351596715311,23.5937176042915 37.937591615947,23.5890409868022 37.9408077025703,23.5852460633602 37.9446844324655,23.5824787405935 37.9490729131818,23.580845516923 37.9538045672048,23.5804093668544 37.9586975997337,23.5811872888847 37.9635639788417,23.583149616117 37.9682166607114,23.5862211215714 37.9724767824066,23.5902838810206 37.9761805450456,23.595181787629 37.9791855214097,23.6007265475317 37.9813761436224,23.6067049265014 37.9826681578324,23.6128869676081 37.9830118726472,23.619034860536 37.9823940748588,23.6249121167947 37.9808385379014,23.6302926926785 37.9784051033977,23.6349697040574 37.9751873718297,23.6387633938094 37.9713090925609,23.6415280431253 37.9669193939203,23.6431575605927 37.96218703884,23.6435895359416 37.9572939288501)))', 'GRKTS', 'Keratsínion', 'Y'),('SRID=4326;MULTIPOLYGON(((21.1806130304844 37.9349557245297,21.1799936853075 37.9300719836772,21.1781835075399 37.9253777606102,21.1752522581911 37.9210533992001,21.1713127142671 37.9172650043645,21.1665163149794 37.9141580706053,21.1610473352716 37.9118519046354,21.1551158115756 37.9104350543166,21.1489494905291 37.9099619174775,21.1427851069738 37.9104506591664,21.1368593218358 37.9118825162091,21.1313996627646 37.9142025153994,21.1266158103127 37.9173215781569,21.1226915599789 37.9211199319695,21.1197777659761 37.9254516993085,21.1179865368233 37.9301504897678,21.1173869068938 37.9350357826316,21.1180021533057 37.9399198563747,21.1198088658414 37.944614999996,21.1227378110411 37.9489407294783,21.1266765626851 37.9527307316276,21.1314738021795 37.955839267243,21.1369451266674 37.9581467857436,21.1428801427457 37.9595645333569,21.1490505720928 37.9600379756491,21.1552190544151 37.9595489010695,21.1611483047859 37.9581161234719,21.1666102680052 37.9557947562088,21.1713949127351 37.9526740861374,21.1753183228601 37.9488741304687,21.178229772082 37.9445410105997,21.1800175088533 37.9398413228464,21.1806130304844 37.9349557245297)))', 'GRKYL', 'Kyllíni', 'Y'),('SRID=4326;MULTIPOLYGON(((21.682324639835 37.2548236235228,21.6816787345537 37.2499421772348,21.6798541029767 37.2452552310657,21.6769210524665 37.2409428483146,21.6729924210928 37.2371706740042,21.668219222735 37.2340835810256,21.662784837859 37.2318001163879,21.6568979740838 37.2304079589312,21.6507846658654 37.2299605610261,21.6446796176726 37.2304751016321,21.6388172188487 37.2319318282873,21.633422570233 37.2342748129902,21.62870286222 37.2374140934072,21.6248394312582 37.2412291183437,21.6219807972065 37.2455733668449,21.6202369481912 37.2502799654826,21.6196750937322 37.2551680899982,21.6203170523774 37.260049906998,21.6221383787195 37.2647377900505,21.6250692685877 37.2690515332246,21.6289972128508 37.2728252843856,21.6337713022361 37.2759139305813,21.6392080206273 37.2781986883392,21.6450983051491 37.2795916819534,21.6512156005676 37.2800393317557,21.6573245953984 37.2795244204376,21.663190299458 37.2780667568984,21.6685871087148 37.275722411772,21.6733075038364 37.2725815545041,21.6771700437687 37.2687649763508,21.6800263443044 37.26441943473,21.681766772574 37.2597119999353,21.682324639835 37.2548236235228)))', 'GRKYP', 'Kyparissia', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0934764179726 37.7107808101221,24.0930623244006 37.7058873066932,24.0914546891863 37.7011520022665,24.088715502407 37.6967568338588,24.0849501817873 37.6928706377221,24.0803034984357 37.6896426713593,24.0749540024831 37.6871968908507,24.0691071644806 37.6856272014028,24.0629874956613 37.6849938614993,24.0568299473848 37.6853211768884,24.0508709161386 37.6865965715627,24.0453391946068 37.688771070666,24.0404472111463 37.6917611768297,24.0363828895003 37.6954520686959,24.0333024380478 37.6997020002602,24.0313243440012 37.7043477339642,24.0305248037606 37.7092108008944,24.0309347674825 37.7141043494785,24.0325387155678 37.7188403209795,24.0352752192708 37.7232366768244,24.0390392693411 37.7271243999849,24.0436862881002 37.7303540004827,24.049037674355 37.7328012734552,24.0548876697731 37.7343720864815,24.0610112824336 37.7350060100236,24.0671729605623 37.734678649479,24.0731356789387 37.73340258773,24.0786700835463 37.7312269011888,24.0835633375544 37.728235268001,24.0876273237907 37.7245427419998,24.0907058849399 37.7202913179722,24.0926808215712 37.7156444606904,24.0934764179726 37.7107808101221)))', 'GRLAY', 'Layrio', 'Y'),('SRID=4326;MULTIPOLYGON(((20.7290137070622 38.850078658397,20.7284171408726 38.8451933534338,20.726613469558 38.8404929091268,20.7236722156579 38.8361579087177,20.7197065503551 38.8323548647379,20.7148689230635 38.8292298320715,20.7093451951663 38.826902809439,20.7033475044932 38.8254631422776,20.6971061336723 38.8249661015071,20.6908606916994 38.8254307677997,20.6848509428818 38.8268393014057,20.6793076299852 38.8291376251279,20.6744436386144 38.8322374945917,20.6704458375671 38.8360198774435,20.6674679054693 38.8403395134306,20.6656244181498 38.8450304822845,20.6649864249901 38.8499125676222,20.6655786873557 38.8547981741794,20.6673786899603 38.8594995338358,20.670317468792 38.8638359239963,20.6742822294749 38.8676406205527,20.6791206603156 38.8707673170309,20.6846467775988 38.8730957614103,20.6906480797321 38.8745363918053,20.6968937342754 38.8750337906525,20.7031434800745 38.8745688227657,20.709156897603 38.8731593738096,20.7147026855673 38.8708596603353,20.7195675815557 38.8677581382947,20.7235645790515 38.8639740916313,20.7265401217625 38.859653033898,20.7283799976227 38.8549611018111,20.7290137070622 38.850078658397)))', 'GRLEV', 'Lefkás', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0952825062039 39.4492556130523,20.0947254326829 39.4443679692394,20.0929493988055 39.4396584820904,20.0900228747106 39.4353080841148,20.0860584749134 39.4314838798059,20.0812086078577 39.4283327359185,20.0756596100651 39.4259756519529,20.0696245916301 39.4245031249807,20.0633352670334 39.4239716847018,20.0570330820875 39.4244017299496,20.0509599732066 39.4257767484362,20.0453491083716 39.4280439491709,20.0404159597812 39.4311162835692,20.0363500462305 39.4348757787368,20.0333076590772 39.4391780566372,20.0314058499408 39.4438578676688,20.0307179120921 39.4487354282442,20.0312705322575 39.4536233207822,20.03304272708 39.458333692326,20.0359666108818 39.4626854757251,20.0399299711086 39.4665113555682,20.0447805575822 39.4696642100156,20.0503319242567 39.4720227791498,20.0563706003971 39.4734963397956,20.0626643146699 39.4740282048854,20.0689709529739 39.4735979109122,20.0750479009108 39.4722220080301,20.0806614060381 39.4699534218713,20.0855955941966 39.4668794119385,20.0896607883271 39.463118206211,20.0927008065973 39.4588144431427,20.0945989580291 39.4541335984382,20.0952825062039 39.4492556130523)))', 'GRLFK', 'Lefkímmi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.6418037621072 40.5966747526067,24.6413449644098 40.591783563182,24.6396433754379 40.5870545726433,24.6367646250054 40.5826694676963,24.6328195125733 40.5787966880324,24.6279597233813 40.5755849650804,24.6223719876559 40.5731576211446,24.6162709090947 40.5716078457614,24.6098907375358 40.57099512844,24.6034763989743 40.5713429827618,24.5972741227652 40.5726380477483,24.5915220202034 40.5748306002767,24.5864409703228 40.5778364590082,24.5822261576617 40.5815402077051,24.5790395832385 40.5857996158401,24.5770038347282 40.5904510888554,24.5761973558683 40.5953159409869,24.5766513998453 40.6002072517279,24.5783487886017 40.6049370440195,24.5812245317679 40.6093235090966,24.5851682877122 40.6131980002004,24.5900285777082 40.6164115253512,24.5956185952873 40.6188404878759,24.6017233893606 40.6203914518228,24.6081081444368 40.6210047467344,24.6145272367213 40.6206567710961,24.6207337131475 40.619360904356,24.6264888229749 40.6171669916968,24.6315712293409 40.614159421525,24.6357855411952 40.6104538706295,24.6389698337634 40.6061928439062,24.6410018667622 40.601540182328,24.6418037621072 40.5966747526067)))', 'GRLIM', 'Limenaria', 'Y'),('SRID=4326;MULTIPOLYGON(((20.4707307809685 38.2111473458166,20.4701564898283 38.206260339167,20.4683850969777 38.2015556169899,20.4654848793474 38.1972139292849,20.4615674287596 38.1934020481619,20.4567833425658 38.1902663705346,20.4513164284348 38.1879273060915,20.4453766471687 38.1864746640965,20.4391920637581 38.185964214168,20.4330001129923 38.1864155513717,20.4270385107238 38.1878113464176,20.4215361546465 38.1900980092861,20.4167043587945 38.1931877411353,20.4127287539275 38.1969618967705,20.4097621618614 38.2012755302147,20.4079187163488 38.2059629508029,20.4072694573717 38.2108440784221,20.4078395711195 38.215731355523,20.4096073862621 38.220436951557,20.4125051705424 38.2247799834878,20.4164217025938 38.2285934745594,20.4212065249041 38.2317307827582,20.4266757177379 38.2340712501558,20.4326189733815 38.2355248539012,20.4388076979015 38.236035677958,20.445003826062 38.2355840703027,20.4509690060393 38.2341874013994,20.4564737954658 38.2318993943044,20.4613065098522 38.2288080525062,20.4652813786005 38.2250322662998,20.4682456919628 38.2207172299017,20.4700856630989 38.2160288475638,20.4707307809685 38.2111473458166)))', 'GRLIX', 'Lixuri', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9312682737219 37.1554944152059,22.9305432888902 37.1506216459814,22.9286448079968 37.1459556872461,22.9256459688166 37.1416757905979,22.9216621273989 37.1379463494456,22.9168464079635 37.1349105937364,22.9113838143053 37.1326850994541,22.9054841296067 37.1313553217968,22.8993738760772 37.1309723217024,22.8932876401356 37.1315508099275,22.8874590919085 37.1330685828907,22.8821120389249 37.1354673717835,22.8774518527302 37.1386550729475,22.8736575937298 37.1425092751482,22.8708751342873 37.1468819500429,22.8692115436892 37.151605127672,22.8687309521437 37.1564973408675,22.8694520559924 37.1613705925349,22.871347364603 37.1660375790425,22.8743442231517 37.1703188923235,22.8783275771229 37.1740499232999,22.8831443765062 37.177087199988,22.8886094530951 37.1793139148487,22.8945126457035 37.1806444268619,22.9006268980743 37.1810275632906,22.9067170150007 37.1804485926223,22.9125487355112 37.1789297918861,22.9178977691253 37.1765295863599,22.9225584427645 37.1733402953718,22.926351621815 37.1694845721925,22.9291315983263 37.1651106767199,22.9307916810157 37.1603867647354,22.9312682737219 37.1554944152059)))', 'GRLND', 'Leonídion', 'Y'),('SRID=4326;MULTIPOLYGON(((20.6001478355611 39.1481147242316,20.5995577944773 39.1432290418956,20.5977552435978 39.1385268509521,20.5948096662011 39.1341888017819,20.5908344027505 39.1303815236185,20.5859822735006 39.1272512331961,20.5804396976827 39.1249181301455,20.5744195364626 39.1234717923276,20.5681529336436 39.1229677458561,20.5618804645004 39.1234253397361,20.5558429281009 39.1248270055136,20.5502721312774 39.127118929899,20.5453820126929 39.1302131148985,20.5413604432018 39.1339907474749,20.5383620142822 39.1383067510674,20.5365020904151 39.1429953462427,20.5358523549801 39.1478764089944,20.5364380239661 39.1527623842502,20.5382368393514 39.1574654902162,20.5411798865524 39.1618049372076,20.5451542103054 39.1656138831855,20.5500071334166 39.1687458575063,20.5555521157973 39.1710804041806,20.5615759299042 39.172527725569,20.5678468758151 39.1730321458177,20.5741237170584 39.1725742590176,20.5801649889531 39.1711716782171,20.5857383159714 39.1688783560098,20.5906293742513 39.1657825031954,20.5946501498787 39.162003186721,20.5976461722346 39.1576857395054,20.5995024432158 39.1529961607602,20.6001478355611 39.1481147242316)))', 'GRLYG', 'Lygia, Preveza', 'Y'),('SRID=4326;MULTIPOLYGON(((20.7509561306766 38.721072435,20.7503590922269 38.7161871325949,20.7485571784038 38.7114869291275,20.7456198427621 38.7071523987295,20.7416601048396 38.7033500361711,20.7368301857345 38.7002258705606,20.7313156506976 38.6978998677558,20.7253282849766 38.6964613344378,20.7190979756107 38.6959654983004,20.7128639080219 38.6964313939277,20.7068654110058 38.6978411343602,20.7013327963725 38.7001405958785,20.6964785396696 38.7032414900829,20.6924891361301 38.707024744829,20.6895179415834 38.7113450659001,20.6876792722468 38.7160365062643,20.6870439911569 38.720918831071,20.6876367539431 38.7258044356472,20.6894350244853 38.7305055519152,20.6923699038849 38.7348414667777,20.6963287465449 38.7386454746925,20.701159467663 38.7417712960607,20.7066763798899 38.7440987129506,20.7126673360724 38.7455382033989,20.7189019025558 38.7460343939976,20.7251402458102 38.7455681961989,20.7311423861082 38.7441575429652,20.7366774569827 38.7418566969817,20.741532608946 38.7387541574207,20.7455212104702 38.7349692469171,20.748490027826 38.7306475117617,20.750325106702 38.7259551142677,20.7509561306766 38.721072435)))', 'GRLYP', 'Lygia, Lefkada', 'Y'),('SRID=4326;MULTIPOLYGON(((25.9379486487752 40.8453080741519,25.93739351816 40.8404208377697,25.9355937660029 40.8357097347333,25.9326187905117 40.8313557576985,25.9285830802455 40.8275261451096,25.9236417898152 40.8243679668767,25.91798476763 40.8220024877648,25.911829266659 40.8205205227949,25.9054116173211 40.8199789607927,25.8989781791926 40.8203985876351,25.8927759141301 40.8217632914141,25.8870429369273 40.8240206794688,25.8819994003836 40.8270840838917,25.877839059652 40.8308358796394,25.8747218362879 40.8351319896219,25.8727676662314 40.8398074059449,25.8720518690804 40.844682517488,25.8726022198793 40.8495700027237,25.8743978410644 40.8542820243473,25.8773699633307 40.8586374498566,25.8814045324968 40.8624688202903,25.8863465676745 40.8656287981224,25.8920061070743 40.8679958446153,25.8981655145043 40.8694789061283,25.9045878648222 40.8700209268965,25.9110260827697 40.8696010512004,25.9172324788054 40.8682354288334,25.9229683092323 40.8659765923035,25.9280129868735 40.8629114300354,25.9321725828549 40.8591578346888,25.9352872890031 40.854860157326,25.9372375526017 40.8501836444607,25.9379486487752 40.8453080741519)))', 'GRMAI', 'Maistros', 'Y'),('SRID=4326;MULTIPOLYGON(((25.7799478106084 40.8473532137702,25.7794042933371 40.8424653805984,25.7776157364799 40.8377519698251,25.7746511089108 40.8333940635333,25.7706245028848 40.8295590516723,25.7656907247614 40.8263942118362,25.7600393358872 40.8240210646419,25.7538873741421 40.8225307193217,25.7474710348828 40.8219803860365,25.7410366276964 40.8223911868824,25.7348311513909 40.8237473482651,25.7290928432754 40.8259968050604,25.724042059656 40.8290531936482,25.7198728325689 40.8327991584052,25.7167454234347 40.8370908464713,25.714780158228 40.8417634203519,25.7140527819746 40.8466373788768,25.7145915143368 40.8515254456849,25.7163759245279 40.8562397619884,25.719337674966 40.8605991078455,25.7233631114133 40.8644358741462,25.7282976055687 40.8676025161992,25.7339514870766 40.8699772390161,25.7401073385768 40.8714686934904,25.7465283725322 40.8720195006023,25.7529675646303 40.8716084661197,25.7591771876032 40.8702513992062,25.7649183728489 40.8680005028448,25.7699703260444 40.864942359817,25.7741388370969 40.8611945928433,25.777263753596 40.8569013291552,25.7792251290486 40.8522276461213,25.7799478106084 40.8473532137702)))', 'GRMAK', 'Makri', 'Y'),('SRID=4326;MULTIPOLYGON(((25.6179536021883 40.8633996077356,25.617421914877 40.8585112110105,25.6156445068945 40.8537954763446,25.6126899197452 40.8494335758628,25.6086718613409 40.8455930534896,25.6037448112649 40.8424213987372,25.598098073954 40.8400403939164,25.5919485098668 40.8385414497034,25.5855322230435 40.8379821059473,25.579095521243 40.8383838301235,25.5728854909757 40.8397311965697,25.5671405434861 40.8419724774101,25.5620812887264 40.84502162274,25.5579020825709 40.8487615551371,25.5547635682835 40.8530486537593,25.5527864972639 40.8577182580011,25.5520470674005 40.862590981576,25.5525739613783 40.8674795964705,25.5543472038291 40.8721962237142,25.5572988874129 40.8765595552954,25.5613157462595 40.8804018294179,25.5662434834081 40.8835752898816,25.5718926898217 40.8859578794725,25.5780461291436 40.8874579462475,25.5844671073641 40.8880177794572,25.5909086025009 40.8876158371114,25.5971227983011 40.8862675780867,25.6028706493554 40.8840248661462,25.6079311036702 40.8809739690666,25.6121096227505 40.8772322309583,25.6152456679339 40.8729435475667,25.6172188637195 40.8682728207638,25.6179536021883 40.8633996077356)))', 'GRMAW', 'Maroneia', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4712584147968 37.1646715614483,24.4708205034502 37.1597781726845,24.4691983470687 37.1550471724605,24.4664544866212 37.1506603315587,24.4626945128396 37.1467861664175,24.4580629863089 37.1435734734048,24.4527378719633 37.1411456236812,24.4469237033855 37.1395958359193,24.440843739074 37.1389836064507,24.434731409614 37.13933243214,24.4288213803537 37.1406289120863,24.423340567998 37.1428232619678,24.4184994510928 37.1458312213584,24.4144840036655 37.1495372816058,24.411448558631 37.1537991117688,24.4095098736441 37.1584530144971,24.408742627915 37.1633202042848,24.4091765254959 37.1682136687383,24.4107951204209 37.1729453506132,24.4135364139206 37.1773333753521,24.4172952060576 37.1812090462882,24.421927116142 37.1844233378102,24.4272541208476 37.1868526353987,24.4330713988016 37.1884034999569,24.439155218131 37.1890162712204,24.4452715613589 37.1886673698413,24.4511851520768 37.1873702082435,24.4566685313798 37.1851746745243,24.4615108299278 37.1821652093384,24.4655258937993 37.178457550582,24.4685594484728 37.1741942725546,24.470495024084 37.1695392930307,24.4712584147968 37.1646715614483)))', 'GRMEG', 'Megálon Livádion', 'Y'),('SRID=4326;MULTIPOLYGON(((21.4647991804324 38.3668782496154,21.4641569769479 38.3619964953235,21.4623176771398 38.3573071604479,21.4593521639014 38.3529903989324,21.4553745315569 38.3492120215816,21.4505376813617 38.3461171362143,21.4450274390979 38.3438245854105,21.4390554217918 38.3424223934563,21.4328509264656 38.3419643953356,21.4266521494306 38.3424681755415,21.4206970688467 38.3439143947592,21.4152143354232 38.346247529927,21.4104145158573 38.3493779997089,21.4064820209144 38.3531855949458,21.4035680252999 38.3575240840891,21.4017846503807 38.3622268187739,21.4012006344637 38.3671131262449,21.4018386601879 38.3719952447699,21.4036744464419 38.3766855367038,21.4066376452387 38.3810037023994,21.4106145146072 38.3847837172786,21.4154522694487 38.3878802242237,21.4209649462572 38.3901741337843,21.4269405573694 38.3915772148155,21.4331492586384 38.3920354969796,21.4393522134358 38.3915313525403,21.4453108075747 38.3900841762637,21.4507958554388 38.3877496369152,21.4555964379785 38.3846175296047,21.459528028273 38.3808083127901,21.4624395893419 38.3764684648907,21.4642193704561 38.3717648411294,21.4647991804324 38.3668782496154)))', 'GRMEL', 'Mesolóngion', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4893682858874 37.4286708149424,24.4889286484284 37.423777591242,24.4873006127686 37.4190467796881,24.4845469483531 37.4146601432849,24.4807736244024 37.4107861898563,24.4761257151956 37.4075737067664,24.4707818147259 37.4051460562608,24.4649471769061 37.4035964486566,24.4588458443979 37.4029843729179,24.4527120660224 37.4033333198791,24.446781328437 37.4046298841979,24.441281341617 37.4068242788367,24.4364233192404 37.4098322424034,24.4323938843413 37.4135382669523,24.4293479078759 37.4178000237627,24.4274025538215 37.4224538190037,24.4266327601338 37.4273208717461,24.4270683317162 37.4322141749863,24.4286927612387 37.4369456774575,24.4314438282576 37.4413335109698,24.4352159589825 37.4452089854504,24.4398642607926 37.4484230819688,24.4452100799248 37.4508521926495,24.4510478703678 37.452402884877,24.4571531095012 37.453015504563,24.4632909537555 37.4526664780618,24.4692252974793 37.4513692228251,24.4747278816955 37.4491736310766,24.479587097296 37.4461641464577,24.4836161395898 37.4424565084803,24.4866601973914 37.4381932914953,24.4886023988232 37.4335384116317,24.4893682858874 37.4286708149424)))', 'GRMER', 'Merihas', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5921264468503 39.1011168168478,26.5915373237694 39.0962310595157,26.589736476823 39.0915287158355,26.5867933233566 39.0871904421836,26.5828211104141 39.0833828765798,26.5779725409751 39.0802522469732,26.5724338976539 39.0779187661816,26.5664178908794 39.0764720266952,26.5601555053317 39.0759675701195,26.553887154811 39.0764247612106,26.5478534806741 39.0778260469204,26.5422861417809 39.0801176284396,26.5373989441783 39.0832115207912,26.5333796465161 39.0869889220153,26.5303827527842 39.0913047642897,26.5285235680812 39.0959932742672,26.5278737468511 39.100874331159,26.5284585077865 39.1057603801272,26.5302556271946 39.1104636366176,26.5331962552137 39.114803305287,26.5371675292767 39.118612535737,26.5420168893402 39.1217448465607,26.5475579324251 39.1240797689903,26.5535775827605 39.1255274910592,26.5598443009667 39.1260323215723,26.5661170136353 39.1255748388449,26.5721544153115 39.1241726403243,26.5777242796511 39.1218796637869,26.582612416131 39.1187841065889,26.5866309231663 39.1150050241478,26.5896254171335 39.1106877402361,26.5914809582767 39.1059982476768,26.5921264468503 39.1011168168478)))', 'GRMJT', 'Mytilene', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1516472759455 38.0654246744551,23.150896228771 38.060554672847,23.1489581388057 38.0558940585735,23.1459076731125 38.0516218751268,23.1418621752454 38.0479022163235,23.1369771382341 38.0448779330289,23.1314402250512 38.0426651577022,23.1254640669446 38.0413488550209,23.1192781148423 38.0409795675201,23.1131198535227 38.0415714796804,23.1072257113549 38.0431018738895,23.101822009463 38.0455119990273,23.0971162928296 38.0487093189657,23.0932893721567 38.0525710559786,23.0904883796137 38.0569488948147,23.0888211046863 38.0616746688112,23.088351829286 38.0665668115955,23.0890988255937 38.0714373280915,23.091033617622 38.0760990179354,23.094082040389 38.0803726738892,23.0981270613579 38.0840939779607,23.1030132601029 38.0871198288073,23.1085527967884 38.0893338553242,23.1145326407622 38.0906509023515,23.1207227799561 38.0910203140338,23.1268850921445 38.0904278869853,23.1327825322498 38.0888964172051,23.1381882770668 38.0864848195596,23.1428944705962 38.083285854353,23.1467202295334 38.0794225497885,23.1495185985732 38.0750434597628,23.1511821876347 38.0703169414208,23.1516472759455 38.0654246744551)))', 'GRMLN', 'Mayrolimni', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0710727045915 36.6814634045409,23.070344760291 36.6765912568011,23.0684509462086 36.6719270843322,23.0654642158081 36.6676500704096,23.0614994560608 36.6639244986061,23.0567090559372 36.6608934515963,23.0512770463614 36.6586733260977,23.0454120373895 36.6573493726809,23.0393392225957 36.6569724299015,23.0332917547161 36.6575569767067,23.0275018194719 36.6590805770392,23.0221917454848 36.6614847378279,23.0175654869692 36.6646771480328,23.0138008024721 36.6685352140309,23.0110424277019 36.6729107573094,23.0093965041913 36.6776356959849,23.0089264792816 36.6825284937702,23.0096506381733 36.6874011301329,23.0115413673903 36.6920663247332,23.0145261831116 36.6963447386856,23.0184904898586 36.7000718752756,23.0232819676266 36.7031044136041,23.0287164214302 36.7053257299138,23.0345848691018 36.7066503923437,23.0406615935561 36.7070274543973,23.0467128468463 36.7064424189689,23.0525058669565 36.7049177965044,23.0578178556217 36.7025122356854,23.0624445671356 36.6993182606938,23.0662081739866 36.6954587033773,23.0689641045285 36.6910819692884,23.0706065893405 36.6863563216003,23.0710727045915 36.6814634045409)))', 'GRMON', 'Monemvasía', 'Y'),('SRID=4326;MULTIPOLYGON(((25.9297604634778 38.289294060943,25.92922194769 38.2844049463925,25.9274838033241 38.2796925622435,25.9246130331134 38.2753379552449,25.9207201019455 38.2715083954353,25.9159546700905 38.2683509594815,25.9104998332114 38.2659868924715,25.9045650918025 38.2645069627265,25.8983783193553 38.2639679859951,25.8921770349959 38.2643906507272,25.8861993114782 38.2657587266915,25.8806746625155 38.2680196867926,25.8758152541402 38.2710867184808,25.8718077730621 38.27484204854,25.8688062612064 38.2791414552063,25.8669261904485 38.283819796316,25.866240006066 38.2886973431982,25.8667743130465 38.2935866787965,25.8685088178735 38.2982998962678,25.8713770719004 38.3026558219977,25.8752689933059 38.3064869851828,25.8800350755475 38.3096460650568,25.8854921239472 38.31201156626,25.891430301327 38.313492502128,25.8976212110998 38.314031903739,25.9038267042687 38.3136090179588,25.9098080673263 38.3122401086716,25.915335232472 38.3099778298385,25.9201956506076 38.3069091947746,25.924202481297 38.3031522207953,25.927201781631 38.2988513799365,25.9290784164188 38.2941720327044,25.9297604634778 38.289294060943)))', 'GRMST', 'Mesta', 'Y'),('SRID=4326;MULTIPOLYGON(((20.9749315468509 38.665011201813,20.9743197353084 38.6601269828895,20.9725045652976 38.6554301729596,20.9695559980392 38.6511012148426,20.965587482527 38.6473063886534,20.9607515749321 38.6441914338301,20.955234068659 38.6418759626844,20.9492468617235 38.6404488779983,20.943019834428 38.6399649686092,20.9367920463081 38.6404428119841,20.9308025859244 38.6418640631671,20.9252814195713 38.6441741569882,20.9204405850107 38.6472843969712,20.9164660639155 38.6510753518729,20.9135106421747 38.655401431146,20.9116880312855 38.6600964656488,20.9110684778078 38.6649800813015,20.9116760327298 38.6698646226022,20.9134875903974 38.6745623611837,20.9164337395364 38.6788927128482,20.9204013992897 38.6826891853257,20.9252381437683 38.685805788546,20.9307580521603 38.6881226592436,20.9367488607492 38.6895506815673,20.9429801409133 38.6900349239329,20.9492121856559 38.6895567581805,20.9552052583836 38.6881345783453,20.9607288428554 38.6858230909761,20.9655705331726 38.6827112047044,20.9695442173819 38.6789186014061,20.9724972370029 38.6745911225817,20.9743162462396 38.6698951504419,20.9749315468509 38.665011201813)))', 'GRMTK', 'Mytikas', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5494241040918 39.7674098439271,19.5489035746641 39.7625204644784,19.5471572295583 39.7578033857968,19.5442524043376 39.7534398340649,19.5403008864536 39.7495974200914,19.5354545955463 39.7464237100066,19.5298997354292 39.7440405689325,19.5238496439684 39.7425394927848,19.5175366147652 39.7419781053281,19.5112030018675 39.7423779531017,19.5050919445495 39.7437236815384,19.4994380627954 39.7459636233102,19.4944584751131 39.7490117765508,19.4903444786804 39.7527510980406,19.4872542079183 39.7570379865862,19.485306552084 39.7617077865045,19.4845765664227 39.766581101995,19.4850925562457 39.7714706817644,19.48683495078 39.7761886107729,19.4897370159007 39.7805535333833,19.4936873843565 39.7843976300834,19.4985343114981 39.787573078563,19.5040914966516 39.7899577490453,19.5101452479855 39.7914599127758,19.5164627147157 39.7920217804153,19.5228008672205 39.7916217323207,19.5289158751113 39.7902751535565,19.5345725169646 39.7880338409055,19.5395532540727 39.7849840049379,19.5436666142687 39.7812429450535,19.5467545599931 39.7769545271003,19.5486985559551 39.7722836396,19.5494241040918 39.7674098439271)))', 'GRMTR', 'Mathraki Diapontioi Island', 'Y'),('SRID=4326;MULTIPOLYGON(((27.107161136283 36.8509759938773,27.1065556040213 36.8460909471227,27.1047760605014 36.8413946844189,27.1018910795664 36.8370676303456,27.0980116538681 36.8332759965032,27.0932869106015 36.8301654054631,27.0878983741368 36.8278553079256,27.0820529970007 36.8264344056016,27.0759752259687 36.8259572536987,27.0698984052478 36.8264421718733,27.06405584279 36.8278705428001,27.0586718779581 36.8301875249225,27.0539532887222 36.8333041524035,27.0500813642884 36.8371007427226,27.0472049449152 36.8414314826782,27.0454346953695 36.8461300185797,27.0448388330893 36.8510158378243,27.045440478096 36.8559011983412,27.0472167308227 36.8605983407637,27.0500995184195 36.8649267065828,27.0539781821506 36.868719884497,27.0587037108239 36.871832016864,27.0640944604988 36.8741434183303,27.0699431417075 36.8755651886736,27.0760248046591 36.8760426405381,27.0821055126367 36.8755574086009,27.0879513658885 36.8741281579549,27.0933375240579 36.8718098640861,27.0980568752591 36.868691692533,27.1019280142842 36.8648935608873,27.1048022204465 36.8605615170034,27.1065691659205 36.8558621130832,27.107161136283 36.8509759938773)))', 'GRMXK', 'Mastichari, Kos', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((22.4556930268061 38.1436114312076,22.4549870683313 38.1387360350506,22.4530905620969 38.1340630610168,22.450076581798 38.1297720304088,22.4460610749716 38.126027763013,22.4411983887024 38.1229740556702,22.4356753331245 38.1207281704248,22.4297040116044 38.1193763419176,22.4235136917234 38.1189704745914,22.4173420261124 38.1195261549474,22.4114259557412 38.1210220541943,22.4059926397661 38.1234007440007,22.4012507551357 38.1265708945919,22.397382495875 38.1304107720578,22.3945365766759 38.1347729023564,22.3928225088574 38.1394897249246,22.3923063700189 38.1443800207184,22.3930082332637 38.149255869366,22.3949013595573 38.1539298691444,22.3979131897701 38.1582223425911,22.4019281036961 38.1619682502604,22.4067918445152 38.165023545595,22.4123174415477 38.1672707247929,22.4182924045142 38.1686233562208,22.4244869114555 38.1690294131982,22.4306626722986 38.1684732803513,22.4365821226112 38.166976355359,22.4420175886714 38.1645962227134,22.4467600661999 38.1614244318485,22.4506272709087 38.1575829663912,22.4534706486525 38.1532195421407,22.4551810750258 38.1485019166524,22.4556930268061 38.1436114312076)))', 'GRMYA', 'Mayra Litharia', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0914691168 39.879539020449,25.0909805916723 39.8746484007364,25.0892632812585 39.8699251680741,25.0863834089459 39.8655507870809,25.0824518078232 39.8616932858984,25.0776196369623 39.8585008106717,25.0720725618982 39.8560959468961,25.0660236245337 39.8545710236518,25.0597050757086 39.8539845788887,25.0533594813126 39.8543591195616,25.0472304389667 39.8556802612246,25.0415532562105 39.8578972794631,25.0365459424405 39.8609250521756,25.0324008555116 39.8646473191287,25.0292773202822 39.868921135282,25.0272955011211 39.8735823489412,25.0265317645492 39.8784518965165,25.0270157131711 39.8833426740381,25.0287290096314 39.8880667228579,25.0316060416305 39.8924424541046,25.0355364084919 39.8963016340728,25.0403691390494 39.8994958610377,25.0459184825596 39.9019022828177,25.0519710517697 39.9034283331403,25.0582940429242 39.9040153024681,25.0646442138285 39.903640603986,25.0707772701293 39.9023186461648,25.0764572931982 39.9001002776722,25.0814658412272 39.8970708261736,25.0856103684571 39.8933468074825,25.0887316352391 39.8890714333255,25.0907098225553 39.8844090925887,25.0914691168 39.879539020449)))', 'GRMYR', 'Mírina', 'Y'),('SRID=4326;MULTIPOLYGON(((25.1765572090785 35.3474649819738,25.1760798759015 35.3425717815726,25.1744467584652 35.3378488891215,25.1717207988912 35.3334777636708,25.1680068831519 35.3296263201982,25.163447790802 35.3264424866187,25.1582186995944 35.3240485313017,25.1525204574285 35.3225363772172,25.1465718795797 35.3219640808365,25.1406013648312 35.3223536093686,25.1348381488904 35.3236900004938,25.129503526568 35.325921936291,25.1248023752604 35.3289637094647,25.1209153012771 35.3326985071992,25.1179917078374 35.3369828879313,25.1161440498127 35.3416522808614,25.1154434965584 35.3465272988145,25.1159171718623 35.3514206236026,25.1175470808752 35.3561442005697,25.1202707699287 35.3605164664542,25.1239836987168 35.3643693326578,25.1285432379393 35.3675546546678,25.1337741418116 35.3699499375145,25.1394752864726 35.3714630561236,25.1454274147683 35.3720358071835,25.1514015873917 35.3716461542643,25.1571680117568 35.3703090786226,25.1625049045991 35.3680760023911,25.1672070428564 35.3650328064861,25.1710936699653 35.3612965203213,25.1740154507394 35.35701081206,25.1758602062694 35.3523404546058,25.1765572090785 35.3474649819738)))', 'GRNAI', 'Iráklion', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2642553035465 37.1174618387925,25.2637662674281 37.1125699177687,25.2620950874979 37.1078483845993,25.2593061846271 37.1034786427213,25.2555068744943 37.0996285490651,25.250843222302 37.096445974038,25.2454944205246 37.0940531321087,25.2396659071021 37.0925418988664,25.2335814878556 37.0919702924401,25.2274747632227 37.0923602526579,25.2215801846114 37.0936968019636,25.2161240789951 37.0959286197244,25.2113159814482 37.0989700080503,25.2073406041333 37.1027041745466,25.2043507471288 37.1069877074459,25.2024614221172 37.1116560731319,25.2017454153914 37.1165299268704,25.2022304632808 37.1214219960891,25.2038981527006 37.126144273035,25.206684594178 37.1305152410379,25.2104828467595 37.1343668565011,25.2151470062454 37.1375510173362,25.2204978029312 37.1399452676494,25.22632949517 37.141457517438,25.2324177931948 37.1420295938125,25.2385285060588 37.1416394853996,25.2444265751815 37.1403021923169,25.2498851421905 37.1380691484305,25.2546942972869 37.1350262382973,25.2586691673061 37.1312904859932,25.2616570294013 37.1270055447104,25.2635431755972 37.1223361624789,25.2642553035465 37.1174618387925)))', 'GRNAS', 'Naoussa Parou', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0609206945502 36.2994707909057,23.0601981133517 36.29459815579,23.0583152930186 36.2899332290891,23.0553447612714 36.2856552238327,23.0514007805614 36.2819284627694,23.0466349408678 36.2788960755015,23.0412303304262 36.2766745114362,23.0353945089582 36.2753490773909,23.0293515520254 36.2749706694176,23.0233334690838 36.2755538229086,23.0175713206136 36.2770761550108,23.0122863706679 36.279479220623,23.0076816099803 36.2826707497141,23.0039339714227 36.2865281812972,23.0011875344911 36.2909033600544,22.9995479793605 36.295628217145,22.9990785049916 36.3005212188184,22.9997973712814 36.3053943365666,23.0016771641309 36.3100602718899,23.0046458167264 36.3143396582052,23.0085893527006 36.3180679625104,23.0133562497817 36.3211018202585,23.0187632587568 36.323324558175,23.0246024547496 36.3246506907341,23.0306492484572 36.3250292155415,23.0366710463092 36.3244455794176,23.0424362222635 36.3229222386925,23.04772305136 36.3205177920209,23.0523282567814 36.3173247196877,23.0560748379498 36.3134658176247,23.0588188763473 36.309089465017,23.0604550569542 36.3043639094131,23.0609206945502 36.2994707909057)))', 'GRNEA', 'Neapolis', 'Y'),('SRID=4326;MULTIPOLYGON(((23.8105498615438 40.0922141877275,23.8097237378914 40.0873523718236,23.8076788149447 40.0827077236433,23.8044938812507 40.0784586660869,23.8002914546869 40.0747683964558,23.7952330555734 40.0717786288162,23.7895129960366 40.0696041633542,23.783350924807 40.0683284890879,23.7769834120974 40.0680005867371,23.7706548940206 40.068633052904,23.7646083191339 40.070201616672,23.7590758504823 40.0726460670982,23.7542699746321 40.0758725567483,23.7503753546733 40.0797571943141,23.7475417374242 40.0841507903562,23.7458781868285 40.0888845761186,23.7454488669439 40.0937766778425,23.7462705404713 40.0986390995075,23.7483118843686 40.1032849466654,23.7514946549666 40.1075356138826,23.7556966636997 40.1112276588016,23.7607564538594 40.1142190970847,23.7664795015456 40.1163948742054,23.7726457031093 40.1176713014572,23.7790178595314 40.1179992834851,23.7853508277354 40.1173662115567,23.7914009816721 40.1157964488103,23.7969356134183 40.1133503887227,23.8017419070966 40.1101221237846,23.8056351360069 40.1062358155756,23.8084657651061 40.1018409078756,23.8101251853692 40.0971063691283,23.8105498615438 40.0922141877275)))', 'GRNEO', 'Neos Marmaras', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3376240814831 40.2223453717248,23.3368295183835 40.2174793318637,23.3348120819328 40.212825584355,23.331649508739 40.2085629035501,23.32746346243 40.2048550111634,23.322414838826 40.2018442983502,23.3166975785441 40.1996463690638,23.3105312254426 40.1983456120534,23.3041525151192 40.1979919694575,23.2978063128464 40.1985990244174,23.2917362437999 40.2001434801657,23.2861753695516 40.2025660504466,23.281337263232 40.205773727784,23.277407821544 40.2096433439556,23.2745381253176 40.214026287926,23.2728386222771 40.2187542022615,23.2723748572653 40.2236454413372,23.2731649178408 40.2285120449313,23.2751786988046 40.2331669602798,23.2783390200631 40.2374312352386,23.2825245608254 40.241140905398,23.2875745022371 40.2441533089529,23.2932947030569 40.2463525845497,23.2994651717567 40.2476541384757,23.3058485461759 40.248007907269,23.312199250975 40.2474002885758,23.3182729755092 40.2458546649868,23.3238361016914 40.2434305005514,23.328674713555 40.2402210454411,23.3326028374331 40.2363497385283,23.3354695931209 40.2319654482481,23.3371649805645 40.2272367369976,23.3376240814831 40.2223453717248)))', 'GRNFK', 'Nea Fokaia', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0956693073105 40.3054125839972,23.0948907876951 40.3005445241246,23.0928870357707 40.2958862532236,23.0897352646528 40.2916167203581,23.0855567255534 40.2878999109758,23.0805120283905 40.2848785587886,23.0747949649866 40.2826686759833,23.0686250729118 40.2813551096279,23.0622392240306 40.2809882928117,23.0558825571601 40.2815823135895,23.0497990979058 40.2831143748749,23.0442224200274 40.285525665842,23.0393667012808 40.288723612058,23.035418512607 40.2925854193784,23.0325296531709 40.2969627774873,23.0308113058433 40.3016875446598,23.0303297393701 40.306578197521,23.0311037261925 40.3114467997427,23.033103780536 40.316106222973,23.036253252208 40.3203773427165,23.0404312400668 40.3240959319377,23.0454772181163 40.3271189859607,23.051197199531 40.3293302335092,23.0573712025003 40.3306446197454,23.0637617293131 40.3310115867606,23.070122928979 40.3304170236332,23.0762100858149 40.3288838100177,23.0817890631377 40.3264709321721,23.0866453331223 40.3232712061169,23.0905922409073 40.3194076969612,23.0934781823319 40.3150289741098,23.0951924187663 40.310303387057,23.0956693073105 40.3054125839972)))', 'GRNKA', 'Néa Kallikrátia', 'Y'),('SRID=4326;MULTIPOLYGON(((24.553978191782 40.9547047626305,24.553524683151 40.9498136155077,24.551821478439 40.9450835147957,24.5489342742963 40.9406961896221,24.5449741988187 40.936820164256,24.540093514479 40.9336042937234,24.5344797548172 40.9311720583678,24.5283485220057 40.9296168343385,24.5219352213932 40.9289983193676,24.5154860476179 40.9293402490437,24.5092485637385 40.9306294897692,24.5034622293197 40.9328165424833,24.498349235138 40.9358174379433,24.4941059911107 40.939516951779,24.4908955905198 40.9437730175558,24.4888415382664 40.9484221705235,24.4880229847853 40.9532858152445,24.488471651774 40.9581770784078,24.4901705728131 40.9629079850853,24.4930547034022 40.9672966834487,24.4970133833664 40.9711744401733,24.5018945626877 40.9743921366496,24.5075106324702 40.9768260145507,24.5136456388469 40.9783824476643,24.5200636019779 40.9790015541863,24.5265176173982 40.9786595084695,24.532759384952 40.9773694617778,24.5385487929237 40.9751810358732,24.5436631826164 40.9721784090541,24.5479059316593 40.968477069275,24.551114022128 40.9642193609534,24.5531643008168 40.959568998902,24.553978191782 40.9547047626305)))', 'GRNKV', 'Néa Karváli', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3066281543382 40.2293540161685,23.3058356950326 40.2244877089207,23.3038201243925 40.2198333723279,23.3006591075929 40.2155698034998,23.2964742487722 40.2118607583405,23.2914263984414 40.2088486723029,23.2857094677818 40.2066492020438,23.2795429881767 40.2053467954071,23.2731637001601 40.2049914577648,23.2668164911515 40.2055968372253,23.2607450248408 40.207139701251,23.2551824162282 40.2095608246348,23.2503423047733 40.2127672554404,23.2464106639094 40.2166358733514,23.2435386586989 40.2210181057636,23.2418368254059 40.225745622712,23.2413707983478 40.2306367940037,23.2421587520651 40.2355036621947,23.2441706624983 40.2401591645118,23.2473294217057 40.2444243263744,23.2515137692472 40.2481351493535,23.2565629324497 40.2511489273392,23.2622828002598 40.253349746091,23.2684533941399 40.254652952469,23.2748373471944 40.2550084193476,23.2811890617937 40.2544024789435,23.2872641883118 40.2528584491927,23.2928290545153 40.2504357327738,23.2976696772469 40.2472275241483,23.3016000052367 40.2433572142895,23.304469073296 40.2389736333854,23.3061667923154 40.2342453166964,23.3066281543382 40.2293540161685)))', 'GRNMA', 'Néa Moudhaniá', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8717525799462 40.4684740880313,22.8709877929263 40.463604323112,22.8689940429104 40.4589420513403,22.8658481617899 40.4546663761704,22.8616711775217 40.4509415192202,22.8566236428475 40.4479105230562,22.8508994602977 40.4456897695983,22.8447184415284 40.4443645224508,22.8383178852591 40.4439856622204,22.8319434936397 40.4445677384709,22.8258399707209 40.4460884120801,22.8202416581586 40.4484893092032,22.8153635620235 40.4516782547102,22.8113931106277 40.455532800755,22.8084829570085 40.4599049169467,22.806745101851 40.4646266642211,22.8062465643077 40.4695166366261,22.8070067708704 40.4743869252982,22.8089967680422 40.4790503381355,22.812140295268 40.4833275979672,22.8163166829502 40.4870542419252,22.8213654691726 40.4900869553872,22.8270925608685 40.4923090949903,22.8332777034908 40.4936351861018,22.8396829705005 40.4940142196291,22.8460619425794 40.4934316196255,22.8521692183431 40.49190980495,22.8577698847987 40.4895073231643,22.8626485775171 40.4863165906494,22.8666177773623 40.482460327307,22.8695250218346 40.4780868249708,22.8712587531405 40.473364233733,22.8717525799462 40.4684740880313)))', 'GRNMK', 'Nea Mikhaniona', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3496113390452 40.1963423414579,23.3488163158873 40.1914763796279,23.3467989266232 40.1868228233945,23.3436369056992 40.1825604397617,23.339451895243 40.1788529390709,23.3344047511035 40.1758426975084,23.3286893570179 40.1736453010247,23.3225251852439 40.1723451180086,23.3161488877929 40.1719920686453,23.3098052375405 40.1725997133572,23.3037377619559 40.1741447327543,23.2981794232939 40.1765678189166,23.2933436975214 40.1797759444965,23.2894163900224 40.1836459239622,23.2865484996379 40.1880291322101,23.2848504045787 40.1927572015354,23.2843875953391 40.197648480252,23.2851781224193 40.2025150065355,23.2871918623259 40.207169730552,23.2903516361939 40.2114337075132,23.29453614399 40.215142984508,23.2995846063912 40.218154914924,23.3053029389674 40.2203536556979,23.3114712221026 40.2216546337848,23.3178521778675 40.2220078079571,23.3242003241999 40.2213995987912,23.3302714491428 40.2198534116103,23.3358320348593 40.2174287321189,23.3406682632894 40.2142188302349,23.3445942525243 40.210347161916,23.3474592044175 40.2059626093787,23.349153188117 40.2012337449832,23.3496113390452 40.1963423414579)))', 'GRNPD', 'Nea Potidaia', 'Y'),('SRID=4326;MULTIPOLYGON(((21.8628058452617 38.3877702040333,21.8621367278644 38.382890936988,21.8602713014324 38.3782081438299,21.8572814509326 38.373901725313,21.8532822029093 38.3701370935526,21.848427285623 38.3670588276841,21.8429032154242 38.3647851319954,21.8369221375002 38.3634033073415,21.8307136948226 38.3629664077608,21.8245162344857 38.3634912090305,21.8185676846107 38.3649575661104,21.813096446884 38.3673091838475,21.8083126492696 38.3704557718471,21.8044000904884 38.3742765019871,21.8015091828525 38.3786246375695,21.7997511637164 38.3833331583639,21.7991937992331 38.3882211674998,21.7998587487615 38.3931008357605,21.801720695967 38.3977846175577,21.8047082855628 38.4020924616263,21.8087068352074 38.4058587388237,21.8135627229624 38.4089386195118,21.8190892847327 38.4112136535609,21.8250739960119 38.4125963363626,21.831286660683 38.4130334832332,21.8374882888909 38.4125082807479,21.8434403179932 38.4110409350283,21.8489138166228 38.4086878917388,21.8536983126137 38.4055396583021,21.8576099009242 38.4017173133428,21.8604983169878 38.3973678394006,21.8622527027697 38.392658460459,21.8628058452617 38.3877702040333)))', 'GRNPK', 'Návpaktos', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9386935783283 40.399173027131,23.9378532608151 40.394312810971,23.9357891743767 40.3896712835901,23.9325808463615 40.3854267467394,23.9283516944813 40.3817422227007,23.9232642652215 40.3787592035727,23.9175139839042 40.3765922293333,23.9113216570741 40.375324500683,23.9049250134292 40.3750046930606,23.8985696043591 40.3756450925457,23.8924994082695 40.3772211243064,23.8869474935901 40.3796722916257,23.8821270933734 40.3829044902336,23.8782234297353 40.3867936105988,23.8753865994458 40.3911902918789,23.8737257935134 40.3959256471906,23.8733050747445 40.4008177423958,23.8741408795216 40.4056785811726,23.876201345315 40.410321328944,23.8794074959863 40.4145674981656,23.8836362453052 40.4182538180421,23.888725108073 40.4212385230749,23.8944784407295 40.4234068166223,23.9006749721914 40.4246752971309,23.9070763336434 40.424995174698,23.9134362554518 40.4243541525957,23.919510072187 40.4227769004438,23.9250641642087 40.420324100753,23.9298849669841 40.417090106307,23.933787197112 40.4131993000374,23.9366209760617 40.4088012994501,23.9382775773638 40.4040651922809,23.9386935783283 40.399173027131)))', 'GRNRD', 'Nea Roda', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5394900991787 39.9512924145241,23.5386853717564 39.946427895979,23.5366633109838 39.941777643791,23.533501827091 39.9375202976905,23.5293225383012 39.9338193746637,23.5242860782847 39.9308169988536,23.5185859192129 39.9286284550548,23.5124409483555 39.9273377727894,23.5060870817197 39.9269945084848,23.4997682331601 39.9276118476882,23.4937269806662 39.9291660992467,23.4881952824907 39.9315976007565,23.4833855940911 39.9348130012412,23.4794827225553 39.9386888348678,23.4766367286542 39.943076250441,23.474957148653 39.947806717233,23.4745087596512 39.9526984900721,23.4753090550037 39.9575635869834,23.4773275321864 39.9622150122697,23.4804868265379 39.9664739476067,23.4846656531734 39.9701766340619,23.4897034487818 39.9731806790262,23.4954065378604 39.9753705435912,23.5015555870728 39.97666199716,23.5079140595188 39.9770053658813,23.5142373401504 39.9763874483112,23.5202821762349 39.9748320236538,23.5258160639502 39.9723989329067,23.5306262145017 39.9691817689935,23.5345277504433 39.9653042662131,23.5373708143369 39.9609155298745,23.5390463159845 39.9561842917796,23.5394900991787 39.9512924145241)))', 'GRNSK', 'Nea Skioni', 'Y'),('SRID=4326;MULTIPOLYGON(((24.2406742485072 38.1637490389271,24.2402496765547 38.1588559015213,24.2386243705722 38.1541221717186,24.2358610037296 38.1497297245722,24.2320659252465 38.1458472900625,24.2273850499881 38.1426239794543,24.221998240124 38.140183568499,24.2161123964011 38.1386197551281,24.2099535240147 38.1379925717093,24.2037580754021 38.1383260877703,24.1977638983933 38.1396074899989,24.1922011322865 38.1417875741209,24.187283396186 38.1447826298317,24.1831996033028 38.1484776472459,24.1801067122092 38.1527307232288,24.1781236919157 38.1573785003129,24.1773269331409 38.1622424313631,24.177747284652 38.1671356312324,24.1793688328118 38.1718700536016,24.1821294765446 38.1762637179804,24.1859232811994 38.180147709076,24.1906045258405 38.1833726786477,24.1959932920634 38.1858145983817,24.2018823812837 38.1873795406488,24.2080452942085 38.1880073012167,24.2142449632645 38.187673722692,24.2202428980973 38.1863916278964,24.2258083873135 38.1842103265414,24.2307273972403 38.1812137142443,24.2348108207387 38.1775170378667,24.2379017554722 38.1732624531056,24.2398815302688 38.1686135471261,24.2406742485072 38.1637490389271)))', 'GRNST', 'Néa Stíra', 'Y'),('SRID=4326;MULTIPOLYGON(((23.8237429708173 38.3232394664157,23.8229437082614 38.3183757313414,23.8209555963407 38.3137282574159,23.8178552229359 38.3094755797913,23.813761845514 38.3057810401541,23.8088327911736 38.3027865227393,23.8032574075304 38.3006070162216,23.7972497973613 38.2993262082787,23.7910406145025 38.2989932800767,23.7848682326707 38.2996210222676,23.7789696216195 38.3011853439926,23.7735712756905 38.3036261936801,23.7688805380362 38.3068498570098,23.7650776496302 38.3107325452145,23.762308826013 38.3151251378048,23.7606806273149 38.3198588996417,23.7602558395625 38.324751954712,23.7610510291252 38.3296162694398,23.763035869247 38.3342648781057,23.7661342701489 38.3385190728039,23.7702272746599 38.3422152808872,23.775157612454 38.3452113641149,23.780735740522 38.3473920954313,23.7867471382732 38.3486736006942,23.792960575246 38.3490065925767,23.7991370300731 38.3483782707319,23.8050389129237 38.3468128142658,23.8104392313544 38.3443704475042,23.8151303419173 38.3411451157283,23.8189319468676 38.337260861711,23.8216980260595 38.3328670443227,23.8233224371767 38.3281325851663,23.8237429708173 38.3232394664157)))', 'GRORO', 'Oropos', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7636190498133 40.2342251321551,23.7627939528855 40.2293630314061,23.7607473594914 40.2247176897628,23.7575581241423 40.2204675566701,23.7533489313504 40.2167758704494,23.7482815621368 40.2137843991334,23.7425506732733 40.2116080078189,23.7363763288468 40.2103302589701,23.7299955692995 40.2100002125512,23.723653337991 40.2106305472348,23.717593108527 40.2121970738961,23.7120475669207 40.2146396599809,23.707229700797 40.2178645300115,23.7033246333426 40.2217478553927,23.7004825129325 40.226140497672,23.6988127310869 40.2308737253102,23.6983796927491 40.2357656864785,23.6992003053413 40.2406283908841,23.7012432885402 40.2452749333338,23.7044303374537 40.2495266815707,23.708639100435 40.2532201513827,23.7137078618983 40.2562133032016,23.719441753115 40.2583910160889,23.725620252917 40.2596695263829,23.732005688244 40.2599996581961,23.7383524038903 40.2593687198555,23.7444162435501 40.257800992387,23.7499639715906 40.2553567911574,23.7547822675222 40.2521301375353,23.7586859427247 40.2482451316518,23.7615250607811 40.2438511678004,23.7631906872525 40.2391171787176,23.7636190498133 40.2342251321551)))', 'GRORP', 'Ormos Panagias', 'Y'),('SRID=4326;MULTIPOLYGON(((19.434455738553 39.8384426170127,19.433942997727 39.8335529265211,19.4322029242306 39.8288342902404,19.4293026140017 39.8244679946166,19.4253536824621 39.8206217560721,19.4205079512039 39.8174432876184,19.4149516035389 39.8150546368951,19.4088980350122 39.8135475110111,19.402579672791 39.8129797655654,19.3962390752515 39.8133731907629,19.3901196490002 39.8147126782713,19.3844563342488 39.816946800192,19.3794666105323 39.8199897781437,19.3753421632051 39.8237247678839,19.3722415273027 39.8280083350291,19.3702839898911 39.8326759520745,19.3695449860117 39.8375483077604,19.3700531681558 39.8424381883472,19.3717892666788 39.8471576678174,19.3746867907964 39.8515253313573,19.3786345492471 39.8553732542917,19.3834808990313 39.8585534671762,19.389039562673 39.8609436567973,19.3950967920409 39.8624518817628,19.4014196026376 39.8630201191483,19.4077647588616 39.8626265038554,19.4138881600874 39.8612861731568,19.4195542609493 39.8590506833193,19.4245451577525 39.8560060209774,19.4286689865511 39.8522692868065,19.4317673064756 39.8479841807643,19.4337211830468 39.8433154646381,19.434455738553 39.8384426170127)))', 'GROTH', 'Othonoí', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0166516844923 40.3171523969238,24.0158071783653 40.3122928534006,24.0137406747283 40.3076527646939,24.0105317924614 40.3034103771113,24.0063039693481 40.2997286303874,24.001219699902 40.2967489101348,23.9954742875641 40.2945856299613,23.989288351841 40.2933218491084,23.982899376412 40.2930060918268,23.9765526189939 40.293650489009,23.9704917267975 40.2952303125305,23.9649494120679 40.2976849201162,23.9601385401651 40.3009200752413,23.956243967948 40.3048115545134,23.9534154432634 40.3092099060353,23.9517618378689 40.3139461782353,23.9513469372723 40.3188384012156,23.9521869532546 40.3236985732776,23.9542498601666 40.3283398851283,23.957456586697 40.3325839042475,23.9616840232538 40.3362674425141,23.9667697341737 40.3392488415695,23.972518196565 40.3414134322233,23.9787083265782 40.342677955725,23.985102001991 40.3429937747622,23.991453249556 40.3423487490408,23.9975177384779 40.3407677023745,24.0030622089426 40.3383114632517,24.0078734673993 40.3350745165836,24.0117665981402 40.3311813585091,24.0145920727709 40.3267816965077,24.0162414838769 40.3220446816596,24.0166516844923 40.3171523969238)))', 'GROUR', 'Ouranópolis', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3766019806776 37.9713654280922,23.3758373942956 37.9664972457165,23.3738880296512 37.96184065577,23.370828984919 37.9575745463258,23.3667779309633 37.9538627774479,23.3618905721056 37.9508478969496,23.3563546588106 37.9486456765606,23.3503827829196 37.9473406763204,23.3442042307184 37.9469830056189,23.3380562034466 37.9475864037466,23.3321747378073 37.9491277127767,23.3267856699361 37.9515477629061,23.3220959848144 37.9547536369287,23.3182858792892 37.9586222282385,23.315501841073 37.9630049575643,23.3138510090934 37.9677334693224,23.313397033453 37.9726260907277,23.3141575975387 37.9774948070725,23.3161037023379 37.982152486085,23.3191607459579 37.9864200738919,23.3232113621858 37.9901334853619,23.3280999133407 37.9931499226122,23.3336384674417 37.9953533769114,23.339614030609 37.9966591003684,23.3457967552021 37.9970168734897,23.3519488047722 37.9964129413927,23.3578335302571 37.9948705432959,23.3632245992394 37.9924490148032,23.3679147220867 37.9892414981884,23.3717236353129 37.985371350127,23.3745050327225 37.9809873868916,23.3761521774269 37.9762581519173,23.3766019806776 37.9713654280922)))', 'GRPAH', 'Pahi Megaron', 'Y'),('SRID=4326;MULTIPOLYGON(((20.3732073738984 39.2811778281309,20.3726320745812 39.2762912194343,20.3708414071968 39.2715857145516,20.3679044009662 39.2672420919985,20.3639340697535 39.2634271955076,20.3590830467999 39.2602875343865,20.3535377107116 39.2579436676991,20.3475110296921 39.2564855858898,20.3412343979861 39.2559692651117,20.3349487751058 39.2564145247645,20.3288954635646 39.2578042692642,20.3233068738115 39.2600851426665,20.3183976254977 39.2631695713411,20.3143563220903 39.2669391173736,20.3113383115362 39.2712490156406,20.3094597098582 39.2759337223891,20.3087929183189 39.280813264319,20.3093638095273 39.2857001461044,20.3111506954095 39.2904065522432,20.3140851224438 39.294751567012,20.3180544694255 39.2985681347258,20.3229062529542 39.3017094916488,20.3284539786336 39.3040548205464,20.3344843144666 39.305513908366,20.3407653097964 39.3060306257982,20.3470553407879 39.3055850930563,20.3531124338324 39.3041944472998,20.3587036027809 39.3019121816813,20.3636138353234 39.2988260817834,20.3676543781532 39.2950548399492,20.3706699991153 39.2907434794727,20.3725449459805 39.2860577667146,20.3732073738984 39.2811778281309)))', 'GRPAR', 'Párga', 'Y'),('SRID=4326;MULTIPOLYGON(((25.1812399229883 37.0834833442682,25.1807563690139 37.078591202067,25.1790910494807 37.0738686299889,25.1763081601004 37.0694970718298,25.1725147858259 37.0656444546704,25.1678567643784 37.0624587461097,25.162513072641 37.0600622810821,25.1566889530168 37.0585470742803,25.1506080432311 37.0579712962488,25.1445038094117 37.0583570467293,25.1386106075204 37.0596895094924,25.1331547115733 37.0619175205148,25.1283456482199 37.0649555278457,25.1243681661095 37.0686868688046,25.121375145412 37.0729682401615,25.1194817185491 37.0776351914962,25.1187608286887 37.0825084327136,25.1192403992573 37.0874007151788,25.1209022273846 37.0921240233952,25.1236826488937 37.0964968014965,25.1274749545428 37.1003509366771,25.1321334692994 37.1035382302331,25.1374791411793 37.1059361059288,25.1433064263207 37.1074523343101,25.1493912050771 37.108028589306,25.1554994223042 37.1076426985614,25.1613961156025 37.1063094996595,25.1668544794202 37.1040802686942,25.1716646113973 37.1010407433418,25.1756416001965 37.0973078173877,25.1786326407505 37.0930250353632,25.1805229020967 37.0883570624496,25.1812399229883 37.0834833442682)))', 'GRPAS', 'Páros', 'Y'),('SRID=4326;MULTIPOLYGON(((20.7619552672216 38.7190694256497,20.7613574956932 38.71418417538,20.759554910373 38.7094841376243,20.7566169905424 38.7051498801005,20.752656778088 38.7013478870647,20.7478265122354 38.6982241734195,20.7423117714614 38.6958986876717,20.7363243488452 38.6944607166707,20.7300941335733 38.6939654665535,20.7238603074543 38.6944319494433,20.7178621900479 38.6958422558695,20.7123300786547 38.6981422404075,20.707476429584 38.701243594586,20.7034877148265 38.7050272285895,20.7005172638414 38.7093478336087,20.6986793643465 38.7140394516616,20.6980448498334 38.7189218410161,20.6986383464699 38.7238073944592,20.7004372898907 38.728508345821,20.7033727552604 38.7328439882958,20.707332074362 38.7366476267812,20.7121631439753 38.73977299587,20.7176802632585 38.7420998950291,20.7236712770263 38.7435388222297,20.7299057493717 38.7440344257621,20.7361438503848 38.7435676396987,20.7421456096915 38.7421564196657,20.7476801755447 38.7398550501761,20.752534717966 38.7367520505477,20.7565226289607 38.7329667611008,20.7594907014356 38.728644742671,20.7613250097797 38.7239521684191,20.7619552672216 38.7190694256497)))', 'GRPEG', 'Perigiali', 'Y'),('SRID=4326;MULTIPOLYGON(((26.2002332010119 39.3402259561096,26.1996695298041 39.3353386566085,26.1978890477669 39.3306306391303,26.1949603942511 39.3262827794293,26.1909962639553 39.3224620844384,26.1861490536483 39.3193152862992,26.1806049969661 39.3169632179799,26.1745770139812 39.3154961844302,26.1682965493382 39.3149705049257,26.1620047094886 39.3154063575552,26.1559430348316 39.3167870073522,26.1503442556633 39.3190594471952,26.1454233813857 39.322136427181,26.14136946042 39.3258997956413,26.1383383240476 39.3302050252191,26.1364465916694 39.3348867522549,26.1357671687824 39.3397651188451,26.1363264137665 39.3446526757941,26.1381030871342 39.3493615825443,26.1410291293698 39.3537108279581,26.1449922433185 39.3575331941404,26.1498401869418 39.3606816945261,26.1553866149633 39.3630352369952,26.161418246296 39.364503292172,26.1677030808671 39.3650293852472,26.1739993469427 39.3645932751697,26.1800648302703 39.3632117361,26.185666220718 39.3609379105435,26.1905881113404 39.3578592593659,26.1946412989875 39.3540941886593,26.1976700640194 39.3497874849324,26.1995581480507 39.3451047362703,26.2002332010119 39.3402259561096)))', 'GRPET', 'Pétra', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4579112133592 38.6843332944018,23.4571310940269 38.6794666188585,23.4551549213863 38.6748127157139,23.4520588300966 38.6705503680006,23.4479619182371 38.6668432889304,23.4430216526921 38.6638338436439,23.4374278140635 38.6616375927709,23.4313952143503 38.6603388652738,23.4251554655915 38.6599875286228,23.4189481121879 38.6605970787734,23.4130114626698 38.6621441223884,23.4075734675835 38.6645692710717,23.4028429886025 38.6677794139711,23.3990017899688 38.671651282876,23.3961975573042 38.6760361747894,23.3945382114684 38.680765652697,23.3940877375782 38.6856580075513,23.3948636930524 38.6905252348121,23.3968364954588 38.695180258425,23.3999305232257 38.6994441247764,23.4040269924267 38.703152889456,23.4089685035687 38.7061639307042,23.4145650864195 38.7083614449207,23.4206015111972 38.7096609108101,23.4268455835311 38.7100123484886,23.4330571007949 38.7094022466201,23.4389971205477 38.7078540825362,23.4444371791556 38.7054274152141,23.4491681007928 38.7022155867052,23.4530080538274 38.698342121839,23.4558095422693 38.6939559665828,23.4574650630419 38.6892257502835,23.4579112133592 38.6843332944018)))', 'GRPEY', 'Peyki', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9454733395675 37.7032173132271,23.9446754497945 37.6983540103568,23.9426990135538 37.6937077996334,23.9396201636223 37.6894571684139,23.9355573258285 37.685765381223,23.9306666517406 37.6827742185064,23.9251360150158 37.6805985422088,23.919177802538 37.6793218948745,23.9130207756935 37.678993299397,23.9069013110242 37.6796253808534,23.9010543520483 37.6811938817288,23.895704414563 37.683638589104,23.8910569859263 37.6868656389332,23.8872906446972 37.6907511103233,23.8845502009734 37.6951457736388,23.882941120567 37.6998808121013,23.8825254489257 37.704774299016,23.8833193949317 37.709638183279,23.885292672261 37.7142855156115,23.8883696290524 37.7185376379017,23.8924321276909 37.7222310586232,23.8973240682422 37.7252237486398,23.902857384242 37.7274006134894,23.9088192809109 37.7286779296813,23.9149804359779 37.7290065724941,23.9211038444161 37.7283739096446,23.9269539623038 37.7268042871595,23.932305792928 37.724358088713,23.9369535607179 37.7211294053532,23.9407186354817 37.7172424066633,23.9434563999301 37.7128465547965,23.9450617961466 37.7081108474771,23.9454733395675 37.7032173132271)))', 'GRPFA', 'Palaiá Fókaia', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4711157435425 39.1403231315257,23.4703280468484 39.1354570829581,23.4683367349167 39.1308041754328,23.4652185285658 39.1265431527246,23.4610933784002 39.1228376757407,23.4561198370306 39.1198300464916,23.450488962181 39.1176357543147,23.4444169855414 39.1163390516865,23.4381370273983 39.115989727521,23.4318901717535 39.1166012002788,23.42591623978 39.1181500031915,23.4204446103993 39.1205766812478,23.415685435166 39.123788066206,23.4118215805448 39.1276608436863,23.4090016044506 39.1320462772802,23.4073340363375 39.136775910374,23.4068831822861 39.1416680287012,23.4076666199561 39.1465346369696,23.4096544847984 39.1511886824597,23.4127705807825 39.1554512481524,23.4168952785885 39.159158438235,23.4218700944739 39.1621676898932,23.4275037766816 39.1643632667926,23.433579666127 39.1656607208692,23.439864046834 39.1660101488076,23.446115161505 39.1653981163486,23.4520925405686 39.1638481754704,23.4575662803147 39.1614199544291,23.4623259079052 39.1582068563721,23.4661884880085 39.154332456483,23.469005656744 39.1499457381672,23.4706693120526 39.1452153536256,23.4711157435425 39.1403231315257)))', 'GRPIA', 'Platania', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2952225853952 37.036452829029,25.2947318684556 37.0315609345667,25.2930603295341 37.0268397726286,25.2902724023713 37.0224707323851,25.2864753643805 37.0186216439217,25.281815192952 37.0154403392356,25.2764709466499 37.0130489842633,25.2706478885751 37.0115393977611,25.2645696154642 37.0109695348613,25.2584694923755 37.011361268609,25.2525817179642 37.0126995534114,25.2471323586479 37.0149330019425,25.2423306910143 37.0179758535247,25.2383611806253 37.0217112593127,25.235376402245 37.0259957596278,25.2334911721642 37.0306647833659,25.2327781187494 37.0355389602177,25.2332648640224 37.0404310049732,25.2349329287267 37.0451529107,25.2377184080397 37.0495231749924,25.2415143972109 37.053373781415,25.246175078524 37.056556666875,25.2515213157898 37.0589494247773,25.2573475428016 37.0604600227823,25.2634296803805 37.0610303517651,25.2695337751378 37.060638467724,25.2754250237673 37.0592994391324,25.2808768309329 37.0570647665517,25.2856795473841 37.05402039701,25.2896485478866 37.0502834104483,25.2926313353022 37.0459975072038,25.2945133964466 37.0413274719635,25.2952225853952 37.036452829029)))', 'GRPIL', 'Piso Livadi', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9564749818132 39.943175710641,23.9556409939751 39.938315134787,23.9535913876577 39.9336731559704,23.9504051289305 39.9294280942046,23.9462047843552 39.925742993305,23.9411517925671 39.9227593691408,23.9354402570318 39.9205917865401,23.9292894989921 39.9193234709352,23.9229356549182 39.9190031212223,23.9166226374393 39.9196430446256,23.9105928017322 39.9212186842851,23.9050776700194 39.9236695576417,23.9002890648553 39.9269015703628,23.896410987307 39.930790618459,23.8935925493436 39.9351873422649,23.8919422314983 39.9399228519075,23.8915236882884 39.9448152064135,23.8923532664788 39.9496763991808,23.8943993369533 39.9543195823514,23.8975834719425 39.95856625256,23.9017834282047 39.9622531211203,23.9068378262224 39.965238403053,23.9125523484447 39.9674072811497,23.918707218933 39.9686763327503,23.9250656751337 39.9689967469099,23.9313831022626 39.9683562065927,23.9374164738131 39.9667793625785,23.9429337292626 39.9643268807786,23.9477227227372 39.9610931003965,23.9515993940536 39.9572023945323,23.9544148453295 39.9528043752311,23.9560610507275 39.9480681295934,23.9564749818132 39.943175710641)))', 'GRPKF', 'Porto Koyfo', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1753213545259 37.2954282168686,23.1745789504334 37.2905575828649,23.1726616867113 37.285896220508,23.1696434228646 37.2816232034573,23.1656402603035 37.2779026596946,23.1608060637667 37.2748774766111,23.1553265445693 37.2726638237656,23.1494121336138 37.2713467017002,23.1432899165499 37.2709766858761,23.1371949376818 37.2715679892773,23.131361202154 37.2730979171988,23.1260127169179 37.2755077350253,23.1213549096714 37.2787049163117,23.1175667513755 37.282566686144,23.1147938824897 37.2869447254866,23.1131430064625 37.2916708578252,23.1126777673751 37.2965635015739,23.1134162734554 37.3014346418868,23.1153303662869 37.306097054912,23.1183466691037 37.3103715070353,23.1223493790451 37.3140936517984,23.1271847002799 37.3171203580724,23.1326667502683 37.3193352244063,23.1385847128181 37.3206530655153,23.1447109615813 37.3210231964702,23.1508098384634 37.3204313867595,23.1566467448825 37.3189004081691,23.1619971911473 37.3164891552693,23.1666554510115 37.3132903729823,23.1704424846075 37.3094270799599,23.1732128227017 37.3050478271296,23.1748601471357 37.300320975748,23.1753213545259 37.2954282168686)))', 'GRPKH', 'Portochélion', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0352842567189 39.4542722948009,20.0347313512757 39.4493844183577,20.0329592566614 39.4446740667764,20.0300362920014 39.4403222060532,20.0260749355452 39.4364959970683,20.0212274793763 39.4333423836705,20.0156801679421 39.4309824601896,20.0096460470012 39.429506832629,20.0033567968363 39.4289721495664,19.9970538604708 39.4293989341307,19.9909792030349 39.4307707990215,19.9853660516508 39.4330350741716,19.9804299658677 39.4361048232504,19.9763605767623 39.4398621726602,19.9733143086803 39.4441628268966,19.9714083619125 39.448841598943,19.9707161884423 39.4537187454162,19.9712646376962 39.4586068649715,19.9730328867632 39.4633180962472,19.9759532019676 39.4676713393218,19.9799135084155 39.4714992228646,19.9847616738784 39.4746545480907,19.9903113459255 39.47701596006,19.9963491194169 39.4784926261599,20.0026427580017 39.4790277397046,20.008950150559 39.4786007120278,20.0150286535433 39.477227967442,20.0206444543822 39.4749623099399,20.0255815901712 39.4718908863029,20.0296502699803 39.468131825065,20.0326941774482 39.4638296823409,20.0345964716664 39.4591498717558,20.0352842567189 39.4542722948009)))', 'GRPKO', 'Petriti, Korission', 'Y'),('SRID=4326;MULTIPOLYGON(((25.4735595244404 40.0564336412298,25.4730428591111 40.051544217768,25.4712950269212 40.0468261841864,25.4683834242229 40.0424608031776,25.4644201017883 40.0386157552597,25.4595574345553 40.0354387068837,25.4539822558652 40.0330516503845,25.4479086831206 40.0315462310585,25.4415699097083 40.0309802386429,25.4352092755253 40.0313753960054,25.4290709544033 40.0327165285834,25.4233906104198 40.0349521458498,25.4183863761418 40.037996412713,25.4142504942375 40.0417324362036,25.41114193997 40.0460167429441,25.4091803065078 40.0506847775562,25.4084411888321 40.0555572130147,25.4089532466809 40.0604468324849,25.4106970642471 40.0651657196486,25.4136058563686 40.0695324818631,25.4175680001582 40.0733792283344,25.4224313001165 40.0765580340225,25.4280088265759 40.0789466390572,25.4340861047077 40.0804531623918,25.4404293770133 40.0810196462134,25.4467946186794 40.0806242928423,25.4529369544263 40.0792823066815,25.4586201089857 40.0770453082087,25.4636255219065 40.0739993427916,25.467760771083 40.0702615619892,25.4708669775799 40.0659757067139,25.4728249056556 40.061306568094,25.4735595244404 40.0564336412298)))', 'GRPLK', 'Plaka', 'Y'),('SRID=4326;MULTIPOLYGON(((26.4000666708571 38.9711692590489,26.3994917528238 38.9662825290536,26.3977068561985 38.9615772350732,26.3947807850165 38.9572341479825,26.3908261304755 38.953420091741,26.3859949222824 38.9502815443877,26.3804727779988 38.9479390232694,26.3744717764552 38.9464824681029,26.3682223280865 38.9459677971033,26.3619643515046 38.9464147666375,26.3559380906647 38.9478062153608,26.3503749198911 38.9500887213745,26.3454884844418 38.9531746475058,26.3414665121963 38.9569454972728,26.3384636077993 38.9612564543655,26.3365953048848 38.9659419333579,26.3359336059034 38.9708219305407,26.3365041840161 38.9757089327237,26.3382853592996 38.9804151198278,26.3412088942589 38.9847595850086,26.3451625838135 38.9885752945048,26.3499945451674 38.9917155185846,26.3555190460974 38.9940594846345,26.3615236489955 38.9955170329601,26.3677773951528 38.9960320941466,26.3740397116575 38.9955848524245,26.3800696938403 38.9941925105769,26.3856354008357 38.9919086264725,26.3905228012692 38.9888210470861,26.3945440203518 38.9850485205929,26.3975445681013 38.9807361185692,26.3994092696621 38.9760496464183,26.4000666708571 38.9711692590489)))', 'GRPLM', 'Plomárion', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9745949747133 35.513248806077,23.9738270031423 35.5083832260423,23.9719130623552 35.503733605112,23.968926864595 35.4994785658532,23.964983263401 35.4957815482231,23.9602338253544 35.4927845406615,23.9548610030449 35.4906026366126,23.9490711335371 35.4893196236823,23.9430865298704 35.4889847730996,23.9371369663298 35.4896109514432,23.931450880362 35.4911741264155,23.9262466243867 35.493614285623,23.9217240990631 35.4968377337777,23.9180570858334 35.5007206814075,23.9153865711726 35.5051139889723,23.9138153186873 35.5098488860509,23.9134038991382 35.5147434476601,23.914168334099 35.5196095802643,23.9160794481521 35.5242602498144,23.9190639593989 35.5285166741005,23.9230072710569 35.5322152023076,23.9277578606243 35.5352136160243,23.9331331002033 35.5373966077321,23.9389262847219 35.5386802242386,23.9449145964603 35.5390151024257,23.9508676966126 35.5383883715122,23.9565566093148 35.5368241479196,23.9617625518025 35.5343826036844,23.9662853666603 35.5311576449525,23.9699512283676 35.5272732911679,23.9726193257586 35.5228788959448,23.974187263234 35.5181433952906,23.9745949747133 35.513248806077)))', 'GRPLO', 'Palaiohora', 'Y'),('SRID=4326;MULTIPOLYGON(((20.8879822525452 38.7790350308901,20.8873754032184 38.774150458913,20.8855630555194 38.7694523948046,20.8826150638386 38.7651213297553,20.8786448565254 38.7613236247845,20.8738050558615 38.7582051296688,20.8682816054104 38.7558855922966,20.8622866315414 38.7544540711277,20.8560503123413 38.7539655248832,20.8498120632231 38.7544387086854,20.8438113732248 38.7558554562577,20.8382786385606 38.7581613753274,20.833426340081 38.7612679299142,20.8294408989125 38.765055830693,20.8264755200418 38.7693796049589,20.8246442976874 38.7740731727357,20.8240178100348 38.7789562169173,20.8246203757539 38.7838411045008,20.8264290824578 38.7885400941979,20.8293746300646 38.7928725539058,20.8333439623131 38.7966719102812,20.8381845901428 38.7997920621361,20.8437104440621 38.8021130093585,20.8497090317957 38.8035454788517,20.8559496250786 38.8040343675204,20.8621921578068 38.8035608681116,20.8681964888012 38.8021431949499,20.8737316675385 38.7998358812211,20.8785848410805 38.7967276752294,20.8825694550811 38.7929381177116,20.8855324304826 38.7886129335961,20.8873600389732 38.7839184174957,20.8879822525452 38.7790350308901)))', 'GRPLR', 'Palairos', 'Y'),('SRID=4326;MULTIPOLYGON(((22.660526346665 39.9895384562449,22.6597832097188 39.9846664923196,22.6578189596972 39.9799996311785,22.6547092910179 39.9757171545839,22.6505738386296 39.9719835475872,22.6455715604719 39.9689421908769,22.6398946235764 39.9667098659069,22.6337610295364 39.9653722816629,22.6274062611591 39.9649807927595,22.6210742676153 39.9655504331944,22.6150081292694 39.9670593402225,22.6094407549232 39.969449590244,22.6045859631092 39.9726294152332,22.6006302853399 39.9764767159767,22.5977258032399 39.9808437391293,22.5959842939846 39.9855627406507,22.5954729105523 39.9904524202027,22.5962115664577 39.9953248810533,22.5981721307184 39.9999928491498,22.6012794700399 40.0042768742061,22.6054143040976 40.008012235432,22.6104177690876 40.0110552850732,22.6160975172944 40.0132889839426,22.6222351191281 40.0146274138904,22.628594481631 40.0150190915513,22.6349309562178 40.0144489541907,22.6410007803255 40.0129389402065,22.6465704840281 40.0105471417226,22.6514258941702 40.007365562504,22.6553803851049 40.00351656883,22.6582820558929 39.9991481717787,22.6600195573558 39.9944283245542,22.660526346665 39.9895384562449)))', 'GRPLS', 'Platamonas', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8727868391697 35.9157801477877,27.8721416515824 35.9108986542304,27.8703383662083 35.9062133259039,27.8674464570916 35.901904165583,27.8635771719664 35.8981366975618,27.858879239885 35.8950556179649,27.8535331504328 35.8927792471671,27.8477442251493 35.891394995538,27.841734746262 35.8909560148295,27.8357354423113 35.8914791623008,27.8299766536508 35.892944354802,27.824679512436 35.8952953373531,27.8200474712214 35.8984418371672,27.816258501686 35.9022630215218,27.8134582606514 35.9066121283015,27.8117544851928 35.9113220932301,27.8112128333391 35.9162119594789,27.8118543330749 35.9210938249452,27.8136545418966 35.9257800612613,27.8165444541372 35.9300905274195,27.820413126069 35.9338595003237,27.8251119219932 35.9369420547448,27.8304602208125 35.9392196457793,27.8362523646315 35.9406046772873,27.8422655812297 35.9410438787874,27.8482685730336 35.9405203594069,27.8540304382469 35.9390542589156,27.8593295763371 35.9367019705267,27.8639622307432 35.9335539658293,27.8677503364342 35.9297313066508,27.8705483681011 35.925380979635,27.8722489250249 35.920670234828,27.8727868391697 35.9157801477877)))', 'GRPLY', 'Plimmyri', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5603490552064 37.3111206192933,26.5597751722964 37.3062333109367,26.5580188335493 37.3015293207402,26.5551477281058 37.2971893718201,26.5512723223774 37.2933801716807,26.5465415949415 37.2902480170524,26.5411373039938 37.2879131852805,26.5352670087591 37.2864653257483,26.529156112077 37.2859600263783,26.5230392270765 37.2864166853897,26.5171511953447 37.2878177688947,26.5117180965701 37.2901094824007,26.506948589927 37.2932038307624,26.5030259154731 37.296981988532,26.5001008598892 37.3012988528888,26.4982859557257 37.305988606223,26.4976511379838 37.3108710766788,26.4982210277951 37.3157586540106,26.4999739519447 37.3204634962119,26.5028427411331 37.3248047504566,26.5067172815781 37.3286155105166,26.5114487264341 37.3317492421778,26.516855208285 37.3340854280059,26.5227288343613 37.3355342124747,26.5288436947327 37.3360398668484,26.5349645728339 37.3355829388616,26.5408560191641 37.3341810033511,26.546291434193 37.33188798452,26.5510618061176 37.3287920762374,26.5549837631494 37.3250123414351,26.5579066278292 37.3206941230227,26.5597182011519 37.3160034447525,26.5603490552064 37.3111206192933)))', 'GRPMS', 'Pátmos', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4774013249422 37.5033452176677,23.4766366627049 37.498477398871,23.4746949320399 37.4938219323518,23.4716509328869 37.4895576635168,23.4676217544286 37.485848382769,23.4627622587406 37.4828365437781,23.4572591260841 37.4806378030429,23.45132369118 37.4793365884607,23.4451838441885 37.4789828652062,23.4390753042196 37.4795902216316,23.4332325959969 37.4811353478337,23.427880071096 37.4835589268141,23.4232233136693 37.4867679046851,23.4194412567661 37.4906390540886,23.4166793096567 37.4950236957946,23.4150437597076 37.4997533991467,23.4145976654624 37.504646444299,23.4153584021348 37.5095147994967,23.4172969585726 37.5141713462063,23.4203390180834 37.5184370745715,23.4243677867778 37.5221479719897,23.4292284649633 37.5251613386674,23.4347341923548 37.5273612855296,23.4406732392063 37.5286632010567,23.4468171654715 37.5290170133615,23.4529296310073 37.5284091205347,23.4587755134577 37.5268629141418,23.4641299779995 37.5244378756305,23.4687871451881 37.521227281089,23.4725680195919 37.517354603999,23.4753273719659 37.5129687561667,23.4769593099686 37.5082383518702,23.4774013249422 37.5033452176677)))', 'GRPOR', 'Poros', 'Y'),('SRID=4326;MULTIPOLYGON(((24.222780414286 38.4087579424447,24.2223566280542 38.4038649126272,24.2207279995617 38.3991309454821,24.2179573323157 38.3947379248478,24.2141512580533 38.3908546021419,24.2094561151825 38.3876301219865,24.2040523140155 38.3851883042465,24.1981474070014 38.383622900154,24.1919681297446 38.3829940026319,24.1857517160616 38.3833257467785,24.179736816524 38.3846053873927,24.1741543641312 38.3867837882323,24.1692187325499 38.3897773042806,24.1651195217168 38.3934709855952,24.1620142828538 38.3977229812185,24.1600224607479 38.4023699759631,24.1592207865467 38.4072334533352,24.159640300685 38.4121265459258,24.1612651246451 38.4168612115217,24.1640330341254 38.4212554599516,24.1678378172333 38.4251403528776,24.1725333321283 38.4283665066256,24.1779391118609 38.4308098465416,24.183847302764 38.4323763896558,24.1900306692905 38.4330058696394,24.1962513550692 38.4326740627196,24.2022700591404 38.4313937236541,24.2078552692985 38.4292140950181,24.2127921920323 38.4262190087495,24.216891030839 38.4225236538423,24.219994291135 38.4182701360436,24.2219828293525 38.413622002278,24.222780414286 38.4087579424447)))', 'GRPPT', 'Paralia Petrion', 'Y'),('SRID=4326;MULTIPOLYGON(((22.6467371037746 40.4285382236607,22.64598906664 40.4236666027433,22.6440120115961 40.4190000827475,22.6408821299218 40.4147179314662,22.6367198364503 40.41098462015,22.6316851215866 40.4079435165846,22.6259713975849 40.4057113909475,22.6197980763634 40.4043739432447,22.6134021624739 40.4039825219522,22.6070291805231 40.4045521581422,22.6009237803357 40.4060609895188,22.5953203747501 40.4084510962458,22.5904341638384 40.4116307171009,22.586452885539 40.4154777622551,22.5835296065785 40.4198444897342,22.5817768298587 40.4245631681827,22.5812621463088 40.4294525105724,22.5820056020358 40.4343246334583,22.583978887318 40.4389922754907,22.587106384788 40.4432759980571,22.5912680425866 40.447011090693,22.5963039670846 40.4500539144232,22.6020205618728 40.4522874371903,22.6081979779816 40.453625746288,22.6145985874497 40.4540173621006,22.6209761508104 40.4534472239417,22.6270853207605 40.4519372705277,22.632691110549 40.449545592515,22.637577957131 40.4463641903398,22.6415580257936 40.4425154250213,22.6444784339669 40.4381473004129,22.6462271158006 40.4334277605702,22.6467371037746 40.4285382236607)))', 'GRPRL', 'Paralia', 'Y'),('SRID=4326;MULTIPOLYGON(((20.8197025391849 38.1430529388217,20.819105442744 38.1381675042091,20.817313213347 38.1334679195248,20.8143949261849 38.1291347358991,20.810462864312 38.1253343977717,20.8056681832025 38.1222128583075,20.8001950946041 38.1198899844452,20.7942537942929 38.1184549644678,20.7880724044491 38.1179628924612,20.7818882372489 38.1184326591127,20.7759387108244 38.119846228692,20.7704522612701 38.1221493295533,20.765639594506 38.1252535320172,20.7616856095519 38.1290396349521,20.7587423004646 38.1333622326841,20.7569229085593 38.138055288843,20.7562975506465 38.1429385050724,20.7568904943029 38.1478242416824,20.7586791894628 38.1525247255282,20.7615950989905 38.1568592685906,20.7655263018051 38.1606612194682,20.7703217732167 38.1637843794694,20.7757971811619 38.1661086349434,20.7817419767651 38.1675445872692,20.7879275057195 38.1680370004193,20.7941158257062 38.1675669317702,20.8000688863687 38.1661524630287,20.8055577135566 38.1638480027301,20.8103712393769 38.1607421875158,20.8143244340267 38.1569544640441,20.8172654237664 38.1526304847011,20.8190813203805 38.1479364961943,20.8197025391849 38.1430529388217)))', 'GRPRS', 'Poros, Kefallonia', 'Y'),('SRID=4326;MULTIPOLYGON(((20.3072841956475 39.4491967689137,20.3067122848902 39.4443100030756,20.3049219240639 39.4396036204328,20.3019821327602 39.4352584332154,20.2980060336291 39.4314413450066,20.2931464826651 39.4282989488425,20.2875901864689 39.4259519082522,20.281550533835 39.424490334965,20.2752594161237 39.4239703386817,20.2689583475932 39.4244118795759,20.2628892221096 39.4257980047257,20.2572850556925 39.4280754972928,20.2523610648365 39.431156913848,20.2483064184566 39.4349239327277,20.2452769769888 39.4392318865662,20.2433892963347 39.4439153070211,20.2427161280307 39.4487942708522,20.2432835916852 39.453681305425,20.2450701331622 39.4583885896144,20.2480073143312 39.4627351739384,20.2519824099118 39.466553942117,20.2568427166914 39.469698045354,20.2624014130037 39.4720465602339,20.2684447446585 39.47350915058,20.2747402601979 39.4740295518534,20.2810457758335 39.4735877422244,20.2871187206675 39.4722007155272,20.2927254972184 39.4699218258529,20.2976504916226 39.4668387293276,20.3017043821846 39.4630700033752,20.3047314235352 39.4587605752477,20.3066154251692 39.4540761377346,20.3072841956475 39.4491967689137)))', 'GRPTI', 'Plataria', 'Y'),('SRID=4326;MULTIPOLYGON(((25.2269995312861 40.9685123650625,25.2264961373108 40.9636228106459,25.2247441616534 40.958901632079,25.2218111718321 40.9545302123532,25.2178100499572 40.9506764621907,25.2128946290947 40.9474883795884,25.2072537706337 40.9450883774663,25.2011041118949 40.9435685951072,25.194681761843 40.9429873711852,25.1882332608402 40.9433670118201,25.1820061468008 40.9446929379198,25.1762394841356 40.9469142438879,25.1711547131342 40.9499456464616,25.166947165902 40.9536707499105,25.1637785709721 40.9579465039612,25.1617708329333 40.9626086854204,25.1610013268914 40.9674781952286,25.161499891737 40.9723679310755,25.163247642805 40.9770899730051,25.166177655732 40.9814628065869,25.1701775016132 40.9853183058523,25.1750935416416 40.9885082065194,25.1807368201663 40.9909098188841,25.1868903314341 40.9924307585188,25.1933173799675 40.9930125105644,25.1997707101027 40.992632688499,25.206002048733 40.9913058990359,25.2117716882917 40.989083179211,25.2168577352842 40.986050027534,25.2210646633478 40.9823231060206,25.2242308382126 40.978045741728,25.2262347237232 40.973382402994,25.2269995312861 40.9685123650625)))', 'GRPTL', 'Lágos (Pórto-Lágo)', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9051038833358 39.1392035888083,23.9042864767691 39.1343415747683,23.9022670621273 39.1296971379896,23.899123437541 39.1254486948736,23.8949765267029 39.1217594217511,23.8899857142583 39.1187709976502,23.8843427175792 39.1165981745019,23.8782642308849 39.1153243811936,23.8719836226 39.1149985282966,23.8657420012469 39.1156331346177,23.8597789880294 39.1172038466415,23.8543235449163 39.1196503692503,23.8495852051463 39.1228787727397,23.8457460387028 39.1267650889987,23.8429536588224 39.1311600606977,23.8413155377669 39.1358948632273,23.8408948520333 39.1407875816125,23.8417080204025 39.1456501951653,23.8437240346131 39.1502958024143,23.846865614219 39.1545458087649,23.8510121468576 39.1582367998979,23.8560043054616 39.1612268352339,23.8616501677188 39.1634009175459,23.8677326031519 39.1646754262499,23.874017642176 39.1650013418621,23.8802635017286 39.1643661360278,23.8862299153779 39.162794253533,23.89168740347 39.1603461676891,23.8964261214371 39.1571160461889,23.9002639417192 39.1532281186952,23.9030534560209 39.1488318878333,23.9046876283391 39.1440963699086,23.9051038833358 39.1392035888083)))', 'GRPTT', 'Patitiri', 'Y'),('SRID=4326;MULTIPOLYGON(((20.7890610402726 38.9550623476458,20.788459513725 38.9501774228283,20.786649256324 38.9454779711027,20.7837000444765 38.941144537095,20.7797253554347 38.9373435726583,20.7748779850839 38.9342210523404,20.7693441684122 38.931896878019,20.7633364297555 38.9304602855485,20.7570854364777 38.9299664277553,20.7508311659689 38.9304342632366,20.7448137206421 38.9318458308396,20.7392641382658 38.934146937243,20.7343955451247 38.9372492316175,20.7303949871621 38.9410335888424,20.7274162497632 38.9453546730861,20.725573940903 38.9500465085497,20.724939066079 38.9549288454816,20.7255362682152 38.9598140787048,20.7273428433658 38.9645144540585,20.7302895757128 38.9688492863028,20.7342633654856 38.9726519107161,20.7391115537051 38.9757761000341,20.7446477808706 38.9781016982889,20.7506591556704 38.9795392528452,20.7569144571706 38.9800334644074,20.7631730520931 38.9795653205202,20.7691941796713 38.9781528292883,20.7747462415472 38.9758503246476,20.7796157339551 38.9727463702963,20.7836154740467 38.9689603440716,20.7865918009509 38.964637835895,20.7884304736689 38.9599450383464,20.7890610402726 38.9550623476458)))', 'GRPVZ', 'Preveza', 'Y'),('SRID=4326;MULTIPOLYGON(((21.7321859350493 36.9178118729559,21.7315400490619 36.9129304258411,21.7297207635229 36.9082439285345,21.7267981769824 36.9039324274977,21.7228847229676 36.9001615346566,21.7181308309986 36.8970760746977,21.7127191399888 36.8947945330123,21.7068574872497 36.8934045156037,21.7007709413457 36.8929593934253,21.6946931819399 36.893476258442,21.6888575534824 36.8949352688934,21.6834881314096 36.8972804086029,21.6787911390973 36.9004216316363,21.6749470411526 36.9042383111044,21.6721036141052 36.9085838613313,21.670370259886 36.9132913578015,21.6698137817528 36.9181799409278,21.6704557879861 36.9230617592301,21.6722718275423 36.9277491861982,21.6751922960426 36.9320620338382,21.6791050824124 36.935834485216,21.6838598587749 36.9389214783723,21.6892738515763 36.9412042945001,21.6951388730782 36.9425951335738,21.7012293418525 36.9430404995489,21.7073109810142 36.9425232633445,21.7131498554552 36.941063323231,21.7185213955673 36.9387168369178,21.7232190555227 36.9355740553474,21.727062269072 36.9317558426823,21.7299033943272 36.9274090180135,21.7316333797844 36.9227006998787,21.7321859350493 36.9178118729559)))', 'GRPYL', 'Pýlos', 'Y'),('SRID=4326;MULTIPOLYGON(((26.8094955803326 37.6590550694334,26.8089029209271 37.6541691926396,26.8071229056379 37.649469098501,26.8042241355792 37.6451353586692,26.8003181406663 37.6413344403362,26.7955550735865 37.6382123205669,26.7901179323469 37.6358888901848,26.7842155344943 37.634453360184,26.7780745119671 37.6339608451138,26.7719306312331 37.6344302529598,26.766019767802 37.6358435614187,26.7605688766678 37.6381465079392,26.7557873003769 37.6412506673977,26.7518587442213 37.6450368387132,26.7489342238875 37.6493596119991,26.7471262554507 37.6540529428119,26.7465045119673 37.6589365213739,26.747093116522 37.6638226937967,26.7488696802225 37.6685236705481,26.7517661274275 37.6728587456069,26.7556712818551 37.6766612485051,26.7604351187749 37.6797849609419,26.765874522979 37.6821097496248,26.7717803324049 37.6835461967704,26.777925395733 37.6840390482024,26.7840733313197 37.6835693447271,26.7899876463404 37.6821551536548,26.7954408603276 37.6798508719067,26.8002232771017 37.6767451278829,26.8041510634153 37.6729573639001,26.8070733207838 37.6686332323141,26.8088778776481 37.663938984357,26.8094955803326 37.6590550694334)))', 'GRPYT', 'Pythagóreion', 'Y'),('SRID=4326;MULTIPOLYGON(((23.6568148208824 38.4772822458131,23.6560243794715 38.4724171358024,23.6540419871314 38.4677666975657,23.6509440143831 38.4635095805607,23.646849628721 38.4598092970648,23.6419161977686 38.4568079516354,23.6363332383371 38.4546207945967,23.6303151444148 38.4533318066615,23.6240929718626 38.4529904823038,23.6179055919163 38.4536099338739,23.6119905484777 38.4551663883855,23.6065749649379 38.4576000962095,23.6018668445972 38.4608176174938,23.5980470946529 38.4646953999158,23.5952625776149 38.469084512259,23.593620456619 38.4738163540985,23.593184053574 38.4787091242514,23.5939703828854 38.4835748010539,23.5959494605161 38.4882263671757,23.5990454205794 38.4924850014492,23.6031394019944 38.4961869606065,23.6080740986808 38.4991898849861,23.6136598011314 38.501378283883,23.6196816977584 38.5026679875223,23.625908153773 38.5030093924706,23.6320996458207 38.5023893741084,23.6380180039692 38.5008317917109,23.6434356001927 38.4983965666179,23.6481441247784 38.495177369672,23.6519626089866 38.4912980083002,23.6547443830049 38.4869076540995,23.6563827012976 38.4821750965564,23.6568148208824 38.4772822458131)))', 'GRQKG', 'Chalkis', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0426083979422 38.0237999658331,24.0421972993727 38.0189065773891,24.0405874737832 38.0141706492238,24.0378409988747 38.0097741420341,24.0340635751246 38.0058859428567,24.0294004402502 38.0026553852336,24.0240307766905 38.0002065237588,24.0181608286925 37.998633381004,24.012015993043 37.9979963473159,24.0058321848701 37.9983198698655,23.999846806121 37.9995915182722,23.9942896585522 38.001762461935,23.9893741449514 38.0047493407809,23.9852890918121 38.0084374584114,23.9821915041185 38.0126851765009,23.980200528946 38.0173293435894,23.979392860256 38.0221915518148,23.9797997639572 38.0270849831339,23.9814058417454 38.0318215834471,23.9841495864879 38.0362192897293,23.9879257133505 38.0401090323929,23.9925891820557 38.0433412429144,23.9979607593422 38.0457916150607,24.0038339096158 38.0473658962741,24.0099827485721 38.0480035228878,24.0161707516154 38.047679957463,24.0221598781672 38.0464076369078,24.0277197559015 38.0442354941519,24.0326365663879 38.0412470718194,24.0367212856942 38.0375573012907,24.0398169596597 38.0333080725301,24.0418047325571 38.0286627669837,24.0426083979422 38.0237999658331)))', 'GRRAF', 'Rafina', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((22.4918611099724 38.5295983141824,22.491148128253 38.5247235727765,22.4892384151806 38.5200517341255,22.4862055555145 38.5157622749817,22.4821662244201 38.5120199535285,22.4772756848912 38.5089684905031,22.4717218160032 38.5067250604718,22.4657179022354 38.5053758027707,22.459494459526 38.504972522519,22.4532904087617 38.5055307067727,22.4473439310338 38.5070289309989,22.4418833505002 38.5094096784344,22.4371183897584 38.5125815414419,22.4332321292677 38.5164227216259,22.4303739769312 38.5207856961134,22.4286539171997 38.5255028728538,22.4281382620841 38.530393019724,22.4288470707411 38.5352682221025,22.4307533416607 38.5399411026211,22.4337840141196 38.5442320259129,22.4378227459355 38.5479760108912,22.4427143653495 38.5510290835622,22.4482708288842 38.5532738243057,22.4542784570488 38.5546238942414,22.4605061684219 38.5550273645945,22.4667143922506 38.5544687193679,22.4726643121322 38.5529694532734,22.4781270798718 38.5505872416894,22.4828926398899 38.5474137151567,22.4867778204933 38.5435709253273,22.4896333781824 38.5392066401283,22.4913497235182 38.5344886511539,22.4918611099724 38.5295983141824)))', 'GRRAH', 'Rahes', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5115527967127 35.3716334305299,24.5111156968038 35.3667391534827,24.5095214226225 35.3620087554297,24.5068314265947 35.3576239867791,24.5031492172442 35.3537532888174,24.4986163611572 35.3505453301886,24.4934070333762 35.3481233058259,24.4877213270408 35.3465802155743,24.481777578903 35.3459753019822,24.4758040033589 35.3463317823805,24.4700299527664 35.3476359610828,24.4646771352899 35.3498377551516,24.4599511229552 35.3528526136101,24.4560334719815 35.3565647571657,24.4530747551077 35.3608316153859,24.4511887722319 35.3654892926504,24.450448162278 35.3703588547925,24.4508815871627 35.3752531966286,24.4524725998052 35.3799842278106,24.455160244319 35.384370101542,24.458841370177 35.388242208298,24.4633745757453 35.3914516649585,24.4685856327766 35.3938750485285,24.4742741848685 35.395419152236,24.4802214620284 35.3960245792429,24.4861987125984 35.3956680340555,24.4919760247307 35.3943632222239,24.4973311937208 35.3921603230737,24.5020582895465 35.3891440558205,24.505975591037 35.3854304142333,24.5089325786597 35.3811621968063,24.5108157157794 35.3765035060864,24.5115527967127 35.3716334305299)))', 'GRRET', 'Réthymnon', 'Y'),('SRID=4326;MULTIPOLYGON(((28.2639913947413 36.4466758218032,28.2633167039536 36.441797391808,28.2614772022163 36.437119018882,28.258543758001 36.4328204358674,28.2546292153307 36.4290667580586,28.249884040047 36.4260021496138,28.2444905326522 36.4237442967251,28.2386558308407 36.4223798979165,28.2326039693641 36.4219613428198,28.2265672993173 36.4225047054637,28.2207775922247 36.4239891281955,28.2154571657567 36.4263576196664,28.2108103671742 36.429519236751,28.2070157376917 36.4333525677971,28.2042191562421 36.4377103851085,28.2025282253539 36.4424252898849,28.2020081160954 36.4473161346523,28.2026790347799 36.452194977991,28.2045154131529 36.4568743053154,28.2074468582465 36.4611742384847,28.2113608303862 36.4649294566559,28.2161069505888 36.4679955611646,28.2215027744971 36.4702546380566,28.2273408117487 36.4716198024642,28.2333965198012 36.4720385482,28.2394369619529 36.4714947722123,28.2452297924105 36.4700093950816,28.2505522179992 36.4676395534554,28.2551995871104 36.4644763960082,28.2589932716723 36.4606415688985,28.2617875366078 36.4562825275844,28.2634751320569 36.4515668572096,28.2639913947413 36.4466758218032)))', 'GRRHO', 'Rhodes', 'Y'),('SRID=4326;MULTIPOLYGON(((20.6727494581626 38.2520928286127,20.6721613414808 38.2472067745534,20.6703759416471 38.2425050625999,20.6674620732453 38.238168326087,20.6635318513957 38.234363146126,20.6587363624809 38.2312356617487,20.6532598504078 38.2289059678434,20.6473126429578 38.2274635140434,20.6411230890227 38.2269636792546,20.6349288135291 38.2274256516388,20.6289676215303 38.2288316942916,20.6234683955763 38.2311278243675,20.6186423307011 38.2342258799328,20.6146748391852 38.2380068962784,20.6117184330152 38.2423256637143,20.6098868563719 38.2470162938063,20.6092506946113 38.2518985822885,20.6098346314855 38.2567849259697,20.6116164645904 38.261487529081,20.6145279223443 38.265825622617,20.6184572566262 38.2696324188722,20.6232535161784 38.2727615327486,20.6287323397717 38.2750926212814,20.6346830477168 38.2765360225178,20.6408767582033 38.2770362133132,20.6470752135067 38.2765739513068,20.6530399722353 38.2751670174955,20.6585416088363 38.2728695303959,20.663368561277 38.2697698585362,20.6673352821534 38.2659872126917,20.6702893768024 38.2616670506289,20.6721174529513 38.2569754731012,20.6727494581626 38.2520928286127)))', 'GRSAI', 'Sámi', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5205930188814 37.958326941082,23.5198191521823 37.9534600129815,23.5178612111504 37.9488061072151,23.5147946225953 37.9445440081221,23.5107373460404 37.9408374213067,23.5058453235869 37.9378286953836,23.5003064836669 37.9356333658087,23.4943335296286 37.9343357283155,23.4881557886643 37.933985610036,23.4820104308282 37.9345964607928,23.4761333907455 37.9361448369894,23.4707503354275 37.9385712978178,23.4660680200405 37.9417826800575,23.4622663595679 37.9456556654811,23.4594915184371 37.9500415057118,23.4578502831017 37.9547717251121,23.4574059353998 37.9596645845849,23.4581757887346 37.9645320595053,23.4601304866067 37.9691870645768,23.4631950959477 37.9734506481009,23.4672519585522 37.9771588784823,23.4721451953395 37.9801691568886,23.4776866930066 37.982365711512,23.4836633435876 37.9836640601164,23.4898452571247 37.9840142673097,23.495994628327 37.9834028697326,23.5018749115702 37.9818533942303,23.507259946101 37.9794254489703,23.5119426754362 37.9762124231643,23.5157431215731 37.972337885258,23.5185153049562 37.9679508199794,23.5201528437501 37.9632198894683,23.5205930188814 37.958326941082)))', 'GRSAL', 'Salamís', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0195485861796 40.1021552909435,24.018707497585 40.0972955227226,24.0166482387788 40.0926551056232,24.0134501479899 40.0884122990286,24.0092362469107 40.0847300594339,24.0041684947219 40.0817497921518,23.998441560911 40.0795859325582,23.9922753566509 40.0783215627802,23.9859066098563 40.0780052300984,23.9795798037117 40.0786490876338,23.9735378214609 40.0802284278175,23.9680126508883 40.082682626494,23.9632164998999 40.0859174621964,23.9593336599623 40.0898087230478,23.9565134272686 40.0942069647982,23.954864353138 40.098943239474,23.9544500464396 40.1038355766832,23.9552866932839 40.1086959702198,23.9573423947398 40.1133376024621,23.9605383541524 40.1175820290322,23.9647518743125 40.1212660468088,23.9698210540312 40.1242479797671,23.9755510064932 40.1264131389469,23.9817213609634 40.1276782443708,23.9880947576949 40.1279946367627,23.9944260055919 40.1273501539111,24.0004715451936 40.1257695985839,24.0059988471411 40.1233137799311,24.010795379046 40.1200771660468,24.0146767914514 40.1161842395196,24.0174940054935 40.1117846981838,24.0191389294155 40.1070476878626,24.0195485861796 40.1021552909435)))', 'GRSAR', 'Sarti', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1494792063887 35.1997219057732,24.149064230662 35.1948272321345,24.1474940496452 35.1900930533888,24.1448291898207 35.1857012671317,24.1411721950378 35.1818205859081,24.136663665351 35.1786000630277,24.1314768441838 35.1761633765601,24.1258109632803 35.1746040893456,24.1198836007876 35.1739820652213,24.1139223439429 35.1743211774001,24.108156073108 35.1756083957185,24.1028061975391 35.1777942871208,24.0980781749184 35.1807949101845,24.0941536362761 35.1844950316586,24.0911834158118 35.1887525428102,24.0892817519778 35.1934039076805,24.0885218830273 35.1982704358342,24.0889332084493 35.2031651403485,24.0905001290209 35.2078999188673,24.0931626146326 35.212292782485,24.0968184828877 35.2161748546385,24.1013273052356 35.2193968702617,24.1065157936982 35.2218349240283,24.112184462701 35.2233952449391,24.1181153096341 35.224017811786,24.1240802167853 35.2236786687314,24.1298497480663 35.2223908506394,24.1352019978477 35.2202038818759,24.1399311469946 35.217201867882,24.1438553929741 35.2135002536653,24.1468239461419 35.2092413752151,24.1487228218769 35.204588976649,24.1494792063887 35.1997219057732)))', 'GRSCF', 'Hora Sfakion', 'Y'),('SRID=4326;MULTIPOLYGON(((24.109587626571 35.490737185082,24.1091748237523 35.4858426247284,24.1076025671037 35.4811079693118,24.1049314656627 35.476715134463,24.1012643052777 35.4728328724237,24.0967420778215 35.4696102964279,24.0915385531224 35.4671711625198,24.0858536036857 35.4656091267087,24.0799055383264 35.4649841577493,24.073922737101 35.4653202415968,24.0681349052963 35.4666044643861,24.0627642779556 35.4687875084597,24.0580171081004 35.4717855424147,24.0540757614124 35.4754834333225,24.0510917180011 35.4797391590954,24.0491797486674 35.484389253271,24.0484134898215 35.4892550749567,24.0488225892946 35.494149664807,24.0503915364242 35.4988849249515,24.0530602260167 35.5032788476954,24.0567262394062 35.5071625151748,24.0612487593396 35.5103866001904,24.0664539714622 35.5128271169632,24.0721417463739 35.5143901989553,24.0780933451065 35.5150157181402,24.0840798496794 35.514679604796,24.0898709910041 35.5133947772782,24.0952440301927 35.5112106453089,24.099992347042 35.5082112059135,24.1039334012509 35.504511805986,24.1069157572379 35.5002546973489,24.108824901097 35.4956035569929,24.109587626571 35.490737185082)))', 'GRSDH', 'Soúda', 'Y'),('SRID=4326;MULTIPOLYGON(((25.8801742916658 39.2183137662353,25.8796336784091 39.2134251349124,25.8778776231202 39.2087124632564,25.8749738268058 39.2043568075805,25.871034030585 39.2005254757672,25.866209698802 39.1973656095265,25.8606861892421 39.1949985441533,25.8546756358483 39.1935151603586,25.8484088165384 39.1929724045744,25.8421263155931 39.1933911095183,25.836069315528 39.194755197412,25.8304703666432 39.1970122958976,25.8255444832027 39.2000757432761,25.8214809034129 39.2038279071258,25.8184358263824 39.2081246905469,25.8165264037554 39.2128010550255,25.8158262177656 39.2176773499111,25.8163624224868 39.222566207226,25.8181146628429 39.2272797382301,25.8210158186159 39.2316367557823,25.8249545506854 39.2354697446669,25.8297795567149 39.2386313109001,25.8353053762719 39.2409998603782,25.8413195237374 39.2424842864488,25.8475906740287 39.2430274840026,25.8538775835119 39.2426085530665,25.8599383985109 39.2412436058241,25.8655399879364 39.2389851454615,25.870466935526 39.2359200410114,25.8745298410669 39.2321661771695,25.8775726080991 39.227867909644,25.8794784366552 39.2231905028902,25.8801742916658 39.2183137662353)))', 'GRSGI', 'Sigrion', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5391565681905 36.8653871009367,25.5386509222092 36.8604957517211,25.5369675685958 36.8557776379774,25.5341713923559 36.8514140309324,25.5303699850134 36.8475725515711,25.5257094892838 36.8444007397163,25.5203689743111 36.8420203972469,25.5145535589094 36.8405229208555,25.508486546343 36.8399658016511,25.5024008702537 36.84037042432,25.4965301763157 36.8417212491348,25.4910998773152 36.8439664076683,25.4863185202581 36.8470196895415,25.4823697927708 36.850763844842,25.4794054728306 36.8550550769073,25.4775395914224 36.8597285547963,25.476844033129 36.864604735667,25.4773457463273 36.86949625592,25.4790256743421 36.8742151275975,25.4818194536839 36.8785799640844,25.485619857735 36.8824229572244,25.4902808965222 36.8855963367356,25.4956234182265 36.8879780620777,25.5014419985271 36.889476526028,25.5075128523325 36.8900340871308,25.5136024612068 36.8896292934243,25.5194765807444 36.888277710675,25.5249092766423 36.886031322699,25.5296916369891 36.8829765270469,25.5336398214168 36.8792308040901,25.5366021346245 36.8749381891526,25.5384648511344 36.8702637237053,25.5391565681905 36.8653871009367)))', 'GRSHC', 'Schinousa, Kykladon', 'Y'),('SRID=4326;MULTIPOLYGON(((25.1400823084314 36.6974897805386,25.1396027616354 36.6925973087645,25.1379473477979 36.6878741706971,25.1351798784413 36.6835018327291,25.1314068436428 36.6796482530579,25.1267732987698 36.6764614375488,25.121457281047 36.6740637648875,25.1156629718784 36.6725472971365,25.1096128670426 36.6719702538631,25.1035392531024 36.6723547835143,25.0976753135199 36.673686116365,25.0922462012971 36.6759131309701,25.0874604160991 36.6789503125229,25.0835018127378 36.6826810288002,25.0805225449302 36.6869619993659,25.0786372140912 36.6916287882387,25.0779184486118 36.6965021109995,25.0783940860231 36.7013947157949,25.0800460703897 36.7061185751518,25.0828111122949 36.7104921128679,25.086583091219 36.7143471880952,25.0912171125424 36.7175355672834,25.0965350665054 36.719934633691,25.1023324769293 36.7214521130701,25.1083863758974 36.7220296318421,25.1144638992243 36.7216449691695,25.1203312682787 36.7203129150287,25.1257628079524 36.7180847006749,25.130549649023 36.7150460235658,25.134507775932 36.7113137436094,25.1374851074983 36.707031379298,25.1393673370825 36.7023635787976,25.1400823084314 36.6974897805386)))', 'GRSII', 'Sikinos', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8449278037213 36.2757854810099,27.8442809317959 36.2709041443988,27.842470613074 36.2662187638879,27.8395665951747 36.2619093437197,27.8356805934265 36.2581414172838,27.8309619801833 36.2550596972132,27.8255920391827 36.2527825273389,27.8197770065423 36.2513973477085,27.8137401646547 36.25095734499,27.8077132898523 36.2514794153683,27.8019277782109 36.2529435171861,27.796605785547 36.2552934379133,27.7919517171764 36.258438946457,27.7881443903697 36.2622592492961,27.7853301680126 36.2666076193489,27.7836173264928 36.2713170216825,27.7830718753671 36.2762065218368,27.7837149923816 36.2810882321296,27.7855221766991 36.2857745300568,27.7884241578852 36.2900852717074,27.7923095306827 36.2938547225084,27.79702901849 36.296937937756,27.8024012044256 36.2992163459922,27.808219510601 36.3006023186396,27.8142601562572 36.3010425483006,27.8202907859724 36.3005201042403,27.8260794320188 36.2990550850058,27.831403461395 36.2967038427955,27.8360581587145 36.2935568098865,27.8398646109553 36.2897350118706,27.8426765883767 36.2853854034566,27.8443861563625 36.2806752081066,27.8449278037213 36.2757854810099)))', 'GRSKK', 'Skala Kameiroy', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3826067249326 40.149615198211,22.3818812632818 40.144741265414,22.3799309161796 40.1400695643919,22.3768308471449 40.1357795637994,22.372700325727 40.1320360381377,22.3676981234748 40.128982748933,22.362016406729 40.1267369352794,22.3558733617806 40.125384823159,22.3495048342724 40.1249783238784,22.3431553004595 40.1255330466742,22.3370685120378 40.1270277007238,22.331478168004 40.129404909261,22.3265989660945 40.132573405128,22.3226183727805 40.1364115248113,22.3196894249435 40.1407718687055,22.3179248389433 40.1454869508162,22.317392654935 40.1503756230331,22.3181135874558 40.1552500289395,22.3200601893561 40.1599228210921,22.3231578672899 40.1642143647216,22.3272877157316 40.1679596504136,22.3322910655874 40.1710146486932,22.3379755758049 40.1732618602751,22.3441226348124 40.1746148463551,22.3504957858629 40.1750215625741,22.3568498488082 40.1744663666685,22.3629403824326 40.1729706214877,22.3685331175661 40.1705918699127,22.3734129924493 40.1674216140153,22.3773924381572 40.1635817852575,22.3803185925217 40.1592200434357,22.382079164464 40.1545040873661,22.3826067249326 40.149615198211)))', 'GRSKT', 'Skala Katerinis', 'Y'),('SRID=4326;MULTIPOLYGON(((26.2581695718367 39.2002092816335,26.2576028363977 39.1953221177297,26.2558218528475 39.1906148703952,26.252895278008 39.1862683857866,26.2489357252105 39.1824496182138,26.2440954143697 39.1793052261574,26.2385603137208 39.1769559506562,26.2325429996265 39.1754919899126,26.2262745078503 39.1749695456519,26.2199954863342 39.1754086720452,26.2139469847165 39.1767925085407,26.2083612288612 39.1790679255559,26.2034527291784 39.1821475585568,26.1994100594875 39.1859131535134,26.1963886189528 39.1902200969709,26.1945046539078 39.194902958827,26.1938307702392 39.1997818370306,26.1943931118562 39.2046692623133,26.1961703184256 39.2093773989528,26.1990943081362 39.2137252654038,26.2030528612194 39.2175456969839,26.2078939099584 39.2206917818824,26.2134313737803 39.2230425213405,26.2194523165509 39.2245074942815,26.2257251500734 39.2250303448821,26.2320085654139 39.2245909571097,26.2380608440136 39.2232062313086,26.243649184997 39.2209294324502,26.2485586843917 39.2178481354417,26.2526006161821 39.2140808476434,26.2556196935427 39.2097724402296,26.2575000299122 39.2050885661768,26.2581695718367 39.2002092816335)))', 'GRSLN', 'Skala Kallonis', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0055368496009 37.7560027377832,27.0049305536925 37.7511179201039,27.0031358453849 37.7464208549224,27.0002218903734 37.7420919964406,26.9963008012478 37.7382976234118,26.9915233092052 37.735183460845,26.9860729646026 37.7328690936558,26.9801590902527 37.7314433848523,26.9740087571836 37.7309610722454,26.9678580881977 37.731440672704,26.9619432189125 37.732863773314,26.9564912583238 37.7351757362656,26.9517115909462 37.7382877907904,26.9477878502614 37.7420804329295,26.9448708688924 37.7464080042448,26.9430728753295 37.7511042756015,26.9424631612501 37.7559888235344,26.9430653889252 37.7608739559443,26.9448566466987 37.7655719221792,26.9477682941877 37.7699021308604,26.9516885701019 37.7736980976789,26.9564668670488 37.7768138549857,26.9619195121324 37.7791295750805,26.9678368323128 37.7805561889875,26.9739912319653 37.7810388211018,26.9801459691867 37.7805589059124,26.9860642890068 37.7791349042483,26.9915185571171 37.7768215910967,26.9962990377041 37.773707942782,27.0002219734825 37.7699137059031,27.0031366543697 37.7655847816828,27.0049312021029 37.7608876052232,27.0055368496009 37.7560027377832)))', 'GRSMI', 'Samos', 'Y'),('SRID=4326;MULTIPOLYGON(((26.159123299634 39.1002361201932,26.1585641020982 39.0953484732592,26.156792141511 39.0906397300405,26.153875727404 39.0862907948215,26.149927082706 39.0824687166817,26.1450980088091 39.0793202817813,26.1395740432877 39.0769663867723,26.1335673360771 39.0754974073864,26.1273085169084 39.0749697379709,26.1210378634485 39.0754036330462,26.1149961048295 39.0767824325068,26.1094152083315 39.0790531996995,26.1045094975572 39.0821287481861,26.1004674384839 39.0858909804453,26.0974444056441 39.090195411999,26.0955567050737 39.0948767092706,26.0948770846273 39.099755030576,26.095431907234 39.104642928498,26.0972001004344 39.109352549742,26.1001139282475 39.1137028563524,26.1040615614844 39.1175265904679,26.1088913527391 39.1206767138211,26.1144176552267 39.1230320727083,26.1204279632299 39.1245020685355,26.1266910988298 39.1250301522112,26.1329661272212 39.1245960061475,26.1390116532279 39.123216328661,26.1445951360191 39.1209441900762,26.1495018582523 39.1178669856136,26.1535431999655 39.1141030649018,26.1565638958381 39.1097971694706,26.1584479956166 39.1051148557585,26.159123299634 39.1002361201932)))', 'GRSPL', 'Skala Polyhnitoy', 'Y'),('SRID=4326;MULTIPOLYGON(((26.3332498025942 39.3741892575205,26.3326766153262 39.3693025463088,26.3308863484749 39.3645965043215,26.3279480170761 39.3602519307211,26.3239746869178 39.3564357056452,26.3191191071272 39.3532943891866,26.3135678316084 39.3509486036652,26.3075340565112 39.3494884128752,26.3012494479603 39.348969873654,26.2949552709477 39.3494128903743,26.2888931554874 39.3508004534915,26.283295849152 39.3530792908835,26.2783783055665 39.3561619073058,26.27432944634 39.3599299347584,26.2713049096008 39.3642386668336,26.2694210624696 39.368922604985,26.2687505085285 39.3738018058121,26.26931926604 39.3786887873787,26.2711057301589 39.3833957305042,26.2740414647809 39.3877416988363,26.2780137994538 39.3915595999023,26.2828701366044 39.3947026184551,26.2884238070281 39.3970498730463,26.2944612499728 39.3985110762291,26.3007502409168 39.3990300170383,26.3070488476883 39.3985867299629,26.3131147658819 39.3971982657068,26.3187146689933 39.3949180335823,26.323633208062 39.3918337411697,26.327681309926 39.3880640116231,26.3307034517593 39.3837538104787,26.3325836310439 39.3790688599353,26.3332498025942 39.3741892575205)))', 'GRSSN', 'Skala Sykamineas', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7764681076089 39.8705071276014,22.7757183709248 39.8656359616911,22.7737500138608 39.8609710705313,22.7706388867139 39.8566916599167,22.7665046786776 39.8529620971079,22.7615062984924 39.8499256077019,22.755835762646 39.8476987866704,22.7497108267421 39.8463671322069,22.7433666416052 39.8459817718142,22.7370467510753 39.846557504671,22.7309937722051 39.8480722344228,22.7254401100353 39.8504678139694,22.7205990579507 39.8536522704425,22.7166566208367 39.8575033263204,22.7137643722386 39.8618730833851,22.7120336192108 39.8665936918127,22.7115311006343 39.8714837887449,22.7122763879756 39.876355460713,22.7142410936068 39.88102146346,22.7173499231284 39.8853024219626,22.7214835371398 39.8890337333083,22.7264831173359 39.8920719057012,22.7321564645387 39.8943000879501,22.7382853951412 39.8956325746284,22.7446341501619 39.8960181115358,22.750958490037 39.895441872621,22.7570151203407 39.8939260312812,22.7625710801345 39.8915289038461,22.7674127262415 39.8883426988358,22.7713539633424 39.8844899599714,22.7742434005833 39.8801188416899,22.7759701589138 39.8753974010483,22.7764681076089 39.8705071276014)))', 'GRSTO', 'Stomio', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7388371283369 40.6822251351729,23.7380064866336 40.6773633129911,23.7359461874974 40.6727182415646,23.7327356170224 40.6684683590851,23.7284982827499 40.6647768929161,23.7233970480734 40.6617856010516,23.717627869748 40.6596093400953,23.7114122797191 40.6583316661324,23.7049888982977 40.6580016353159,23.6986043007969 40.6586319253631,23.6925035830533 40.6601983491408,23.68692098214 40.6626407789142,23.6820709067069 40.6658654465372,23.6781397168 40.6697485327745,23.6752785660981 40.6741409099621,23.6735975810205 40.6788738581201,23.6731616022205 40.6837655370967,23.6739876561111 40.688627967802,23.6760442591554 40.693274255286,23.6792525879558 40.6975257762238,23.6834894762457 40.7012190538113,23.6885921285293 40.7042120542826,23.6943643722339 40.706389660914,23.7005842087383 40.7076681127533,23.7070123712436 40.7079982352227,23.7134015565595 40.7073673366515,23.7195059703956 40.7057996968155,23.7250908129821 40.7033556285832,23.729941334395 40.7001291495415,23.7338711066925 40.6962443546979,23.7367291920145 40.6918506318359,23.7384059306181 40.6871169058023,23.7388371283369 40.6822251351729)))', 'GRSTR', 'Stayros', 'Y'),('SRID=4326;MULTIPOLYGON(((22.6490265314702 38.9065519403088,22.6482982434184 38.901678774486,22.6463674637473 38.8970102339724,22.6433085896089 38.8927256673376,22.6392392969707 38.888989643211,22.6343159994158 38.8859456389232,22.628727832304 38.8837105413482,22.6226893942103 38.882370169061,22.616432523083 38.8819759857607,22.6101974196495 38.8825431295384,22.6042234542169 38.8840498326671,22.5987400044595 38.886438253979,22.5939576707349 38.8896166924709,22.5900602019405 38.89346309846,22.5871974392869 38.8978297493078,22.5854795483592 38.9025489122356,22.5849727625663 38.9074392787534,22.585696805026 38.9123129251741,22.5876240929345 38.9169825328086,22.5906807607287 38.9212685906281,22.5947494683374 38.925006302984,22.5996738912434 38.928051935528,22.6052647227629 38.930288353499,22.611306958689 38.9316295373034,22.6175681828878 38.9320238996958,22.6238075319155 38.9314562753199,22.6297849891115 38.9299485050697,22.6352706452119 38.9275585925724,22.6400535639636 38.924378465851,22.6439499074048 38.920530431606,22.64681000565 38.9161624603629,22.6485240987464 38.9114424859185,22.6490265314702 38.9065519403088)))', 'GRSTY', 'Stylinda', 'Y'),('SRID=4326;MULTIPOLYGON(((27.8400490586192 36.580785225719,27.8393995758466 36.57590413882,27.8375820902111 36.571219009718,27.8346666274899 36.5669098324545,27.8307653446382 36.5631421302706,27.82602820186 36.5600606062175,27.820637194284 36.5577835956263,27.8147993657271 36.5563985315996,27.8087388718353 36.5559585958082,27.8026883946126 36.5564806816631,27.7968802339163 36.5579447470942,27.7915374132147 36.5602945815077,27.7868651364197 36.56343995794,27.783042919928 36.5672600889106,27.7802176995089 36.5716082549101,27.778498176072 36.5763174296725,27.7779506187369 36.5812066880396,27.7785962894553 36.5860881518242,27.7804105925064 36.5907742078143,27.7833239866326 36.5950847208582,27.7872246298038 36.5988539643545,27.7919626592017 36.601937000601,27.7973559447185 36.6042152640491,27.8031970957414 36.6056011308597,27.8092614508089 36.6060412971455,27.8153157400877 36.6055188344048,27.8211270833691 36.604053842085,27.8264719726647 36.6017026718906,27.8311448891384 36.5985557541456,27.8349662190085 36.5947341109818,27.8377891614862 36.5903846921261,27.839505362458 36.5856747145803,27.8400490586192 36.580785225719)))', 'GRSYM', 'Symi', 'Y'),('SRID=4326;MULTIPOLYGON(((24.9723821796552 37.4365427194581,24.9719109572787 37.4316503284591,24.9702520273706 37.4269252381272,24.9674693445127 37.4225489893758,24.963669989654 37.4186896892635,24.9590000331941 37.4154955613538,24.9536389120025 37.4130892628266,24.9477925378991 37.4115631847156,24.9416854017901 37.410975913776,24.9355519742725 37.4113499900731,24.92962772898 37.4126710450973,24.9241401284941 37.4148883528735,24.9192999139179 37.4179167730469,24.9152930281697 37.4216400122213,24.9122734800438 37.4259150798177,24.9103574217734 37.4305777692212,24.9096186682788 37.4354489556893,24.9100858328688 37.4403414708952,24.9117411936591 37.4450672913135,24.9145213394334 37.4494447648817,24.9183195754908 37.4533055980743,24.9229900017596 37.45650133393,24.9283531098464 37.4589090704739,24.9342026854448 37.460436197747,24.9403137502501 37.4610239692687,24.9464512355562 37.4606497687644,24.9523790499676 37.4593279836534,24.9578691875364 37.4571094510597,24.9627105209121 37.4540794978058,24.9667169368493 37.4503546506855,24.969734498079 37.446078145073,24.9716473548549 37.441414406508,24.9723821796552 37.4365427194581)))', 'GRSYR', 'Ermpypoli', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2449120800505 38.6753915353622,23.2441464567058 38.6705229867129,23.2421841848646 38.6658650455212,23.2391008661583 38.6615966509273,23.2350151095478 38.6578817491199,23.2300839552424 38.6548630060422,23.2244968357022 38.6526563393646,23.218468306394 38.6513464776492,23.2122298240367 38.6509837152702,23.206020884725 38.6515819861353,23.2000798574986 38.6531183292487,23.1946348599695 38.6555337665005,23.18989502119 38.6587355596432,23.1860424630802 38.6626007611618,23.1832253058 38.6669809245497,23.1815519652125 38.67170779518,23.1810869631365 38.6765997651791,23.1818484149354 38.68146884593,23.1838072959793 38.6861278912663,23.1868885208546 38.690397793952,23.1909737993676 38.6941143782053,23.1959061640955 38.6971347219459,23.2014959983026 38.6993426638167,23.2075283332391 38.7006532811191,23.2137711328132 38.7010161644473,23.2199842436727 38.7004173614803,23.2259286616971 38.6988799142216,23.231375753056 38.6964629688774,23.2361160699307 38.6932594932886,23.239967417616 38.6893926911076,23.2427818602286 38.6850112525271,23.244451395189 38.6802836263104,23.2449120800505 38.6753915353622)))', 'GRTHE', 'Theologos', 'Y'),('SRID=4326;MULTIPOLYGON(((25.1904280752101 37.5364859274076,25.1899422340602 37.5315940865011,25.1882674892321 37.5268717071168,25.1854684030476 37.5225002248205,25.1816526859278 37.5186475625377,25.176967035424 37.5154616881362,25.1715914893852 37.5130649414555,25.1657325116683 37.5115493467644,25.1596150754086 37.5109730886762,25.1534740454159 37.5113582850805,25.1475451866152 37.5126901413235,25.1420561388964 37.5149175175123,25.1372176998715 37.5179548873298,25.1332157458622 37.5216856140593,25.1302040982706 37.5259664195437,25.1282986080204 37.5306328763587,25.127572686033 37.5355057142534,25.128054454132 37.5403977003954,25.1297256301004 37.5451208303946,25.1325221949428 37.5494935544109,25.1363368220896 37.5533477604784,25.1410229799286 37.5565352457022,25.1464005533739 37.5589334250094,25.1522627699147 37.560450056027,25.1583841633338 37.56102679637,25.1645292663795 37.56064145473,25.170461694041 37.5593088478716,25.1759532631013 37.5570802299621,25.1807927920973 37.5540413163596,25.1847942387693 37.5503089788081,25.1878038589534 37.5460267406977,25.1897061103803 37.5413592475568,25.1904280752101 37.5364859274076)))', 'GRTIN', 'Tínos', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8874186558874 37.5155019483169,22.886692011814 37.5106292081803,22.8847861600123 37.5059629899058,22.8817745250313 37.5016825545527,22.8777729570748 37.4979523153371,22.8729352625413 37.4949155317354,22.8674472890669 37.4926888180204,22.8615197930101 37.4913576751521,22.8553803620202 37.4909732157116,22.8492646997821 37.4915502061208,22.8434076031882 37.4930665004093,22.83803397335 37.4954638871034,22.8333502007211 37.4986503173234,22.8295362511532 37.5025034298159,22.8267387543472 37.5068752393279,22.825065359617 37.5115978102578,22.8245805772723 37.5164896995758,22.8253032687166 37.5213629230525,22.8272058863862 37.5260301780901,22.8302154980994 37.5303120457917,22.8342165616767 37.5340438948791,22.8390553475073 37.5370822207877,22.8445458418154 37.5393101744423,22.8504769044685 37.5406420661133,22.8566204048352 37.541026669221,22.8627400197042 37.5404491954713,22.8686003504308 37.5389318644191,22.8739760035358 37.5365330453759,22.8786602805418 37.5333450052839,22.8824731388107 37.5294903504848,22.8852681147824 37.5251173010339,22.8869379429174 37.5203939813019,22.8874186558874 37.5155019483169)))', 'GRTLA', 'Tolo Argolidos', 'Y'),('SRID=4326;MULTIPOLYGON(((24.7548972314135 40.7816450438434,24.7544294868873 40.7767541945972,24.7527157078418 40.7720266733714,24.7498219941703 40.7676441095196,24.7458597209901 40.7637748441594,24.740981232558 40.7605674728531,24.7353739762229 40.7581451500901,24.7292533035773 40.7566008721814,24.7228542147306 40.7559939174661,24.7164223599066 40.7563475785112,24.7102046392319 40.757648271906,24.7044397558994 40.7598460591171,24.6993490794671 40.7628565585599,24.6951281648697 40.7665641764713,24.6919392490926 40.7708265342168,24.6899050120563 40.7754799241531,24.6891038421329 40.7803455867568,24.6895667912471 40.7852365699368,24.6912763414973 40.7899649085051,24.6941670367858 40.7943488486754,24.6981279615168 40.798219839798,24.7030069767233 40.8014290235792,24.7086165548603 40.8038529695965,24.7147409908624 40.8053984344132,24.7211447116829 40.806005958994,24.7275813619218 40.805652164015,24.7338033113932 40.8043506532769,24.739571213108 40.8021514897466,24.7446632379871 40.7991392645409,24.7488836258073 40.795429834155,24.7520702197811 40.7911658531557,24.7541006934616 40.7865112763122,24.7548972314135 40.7816450438434)))', 'GRTSO', 'Thasos', 'Y'),('SRID=4326;MULTIPOLYGON(((20.4617346419727 38.2201498075106,20.4611608893849 38.2152627682663,20.4593898659132 38.2105579202373,20.4564898344297 38.2062160182834,20.452572379734 38.2024038427503,20.447788099441 38.199267801846,20.4423208087429 38.1969283191808,20.4363804829261 38.195475220039,20.4301952078681 38.1949642915501,20.4240024448506 38.1954151471172,20.4180399408199 38.1968104759174,20.4125366279878 38.1990967058249,20.4077038570249 38.2021860546337,20.4037272960582 38.2059598918889,20.4007598035815 38.2102732838873,20.398915547936 38.2149605492939,20.3982656002768 38.2198416140165,20.3988351733456 38.2247289229762,20.4006026167114 38.229434644442,20.4035002125407 38.2337778905813,20.4074167468402 38.2375916764087,20.4122017621175 38.2407293485634,20.4176713312861 38.2430702350921,20.4236151321835 38.2445242969846,20.4298045498822 38.2450356005415,20.4360014924209 38.2445844752587,20.4419675765584 38.2431882730212,20.447473325044 38.2409006989276,20.452307016401 38.2378097398242,20.4562828423813 38.2340342713188,20.4592480563865 38.2297194754577,20.4610888369522 38.2250312473008,20.4617346419727 38.2201498075106)))', 'GRVAT', 'Vathí', 'Y'),('SRID=4326;MULTIPOLYGON(((23.8415249932707 37.8182431233288,23.8407321497964 37.8133789718111,23.8387585803146 37.8087309543711,23.8356803090816 37.8044776279986,23.8316157411727 37.8007823607297,23.826721095742 37.7977870664317,23.8211843996072 37.7956067653021,23.8152182724199 37.7943251769666,23.8090517790098 37.793991513523,23.8029216584853 37.7946185942061,23.7970632623082 37.796182353243,23.7917015441548 37.7986227597383,23.7870424426209 37.8018461149872,23.7832649837472 37.8057286403923,23.7805144043279 37.8101212200517,23.7788965597728 37.814855117909,23.7784738330432 37.819748451779,23.7792627053727 37.8246131770415,23.7812330869733 37.8292623125343,23.7843094389145 37.8335171310546,23.7883736483161 37.8372140374005,23.7932695506041 37.8402108681699,23.798808927616 37.8423923692515,23.8047787515609 37.8436746383375,23.8109493948112 37.8440083596921,23.8170834864824 37.843380705264,23.8229450705412 37.8418158281736,23.8283087079853 37.8393739295299,23.8329681680242 37.836148935204,23.8367443700388 37.8322648733278,23.8394922685806 37.8278710937171,23.8411064163792 37.8231365151098,23.8415249932707 37.8182431233288)))', 'GRVAZ', 'Varzika', 'Y'),('SRID=4326;MULTIPOLYGON(((25.9838226804146 38.4302802973519,25.9832796919797 38.4253914812396,25.9815348586494 38.4206799134489,25.9786554413809 38.416326608853,25.9747522379349 38.4124987868794,25.9699753032253 38.4093434568783,25.9645081741818 38.4069817825833,25.9585608223493 38.405504440115,25.9523616041541 38.4049681457554,25.9461485152377 38.4053934850508,25.9401600804053 38.4067641253562,25.934626223828 38.4090274415327,25.9297594648069 38.4120965310478,25.9257467726421 38.4158535421373,25.9227423902964 38.4201541888603,25.9208619012846 38.4248332816496,25.9201777686349 38.4297110629875,25.9207165202588 38.4346001066299,25.9224576934299 38.4393125165852,25.925334584417 38.4436671497681,25.9292367800629 38.4474965844862,25.9340143788825 38.4506535658636,25.939483742842 38.4530166787594,25.945434560151 38.4544950280391,25.9516379467955 38.4550317441427,25.9578552725251 38.454606177317,25.9638473675177 38.4532346948465,25.9693837503757 38.4509700500823,25.9742515171949 38.4478993478223,25.9782635452473 38.4441406853569,25.9812656926761 38.4398386000336,25.9831427162122 38.4351585004335,25.9838226804146 38.4302802973519)))', 'GRVLC', 'Volissos/Limnia, Chios', 'Y'),('SRID=4326;MULTIPOLYGON(((25.4659439239104 36.337401289918,25.46544516274 36.3325093966986,25.4637765945441 36.327790212317,25.4610025315044 36.3234250503787,25.4572297124308 36.3195815932412,25.4526031806467 36.3164074584886,25.4473007015888 36.3140245388945,25.4415259359195 36.3125243314389,25.4355006298024 36.3119644328674,25.4294561199019 36.3123663346889,25.4236244755309 36.3137146010769,25.418229613453 36.3159574606914,25.413478721778 36.3190087898829,25.409554318139 36.3227514120239,25.4066072442663 36.327041587742,25.4047508648495 36.3317145254383,25.4040566942702 36.3365907023436,25.4045516217914 36.3414827549957,25.4062168458631 36.3462026756353,25.4089885634162 36.3505690385684,25.4127603927199 36.3544139785971,25.4173874411347 36.3575896523805,25.422691864572 36.3599739328416,25.4284697063554 36.3614751158206,25.4344987520107 36.3620354560571,25.4405470955623 36.3616333948029,25.4463820840584 36.3602843921563,25.4517792916223 36.3580403315464,25.4565311730655 36.3549875194635,25.4604550600719 36.3512433582918,25.4634001895643 36.3469518217072,25.4652534928676 36.3422779084881,25.4659439239104 36.337401289918)))', 'GRVLI', 'Vlichada', 'Y'),('SRID=4326;MULTIPOLYGON(((20.9760680341584 38.9700109820501,20.9754535412835 38.965127023878,20.9736305515637 38.9604304746933,20.9706693298525 38.9561017667067,20.9666838135318 38.9523071695445,20.9618272128301 38.9491924128125,20.9562861156356 38.9468771001809,20.9502733244546 38.9454501274702,20.9440196996477 38.9449662786351,20.9377653191883 38.9454441286151,20.9317502898772 38.9468653324091,20.9262055574814 38.9491753272544,20.9213440633026 38.9522854213533,20.917352582216 38.956076190099,20.9143845526055 38.9604020511277,20.9125541725711 38.9650968445562,20.9119319903657 38.9699802061505,20.9125421616921 38.9748644903743,20.9143614840459 38.9795619785322,20.9173202508966 38.9838920954633,20.9213048985929 38.9876883570424,20.9261623491468 38.9908047802716,20.9317058852885 38.9931215077714,20.9377223332041 38.9945494283202,20.9439802758282 38.9950336136636,20.9502389778384 38.9945554376316,20.9562576745164 38.9931332948639,20.9618048617717 38.9908218910735,20.9666672245727 38.9877101325573,20.9706578558048 38.9839176973147,20.9736234464672 38.9795904214185,20.9754501697679 38.9748946801524,20.9760680341584 38.9700109820501)))', 'GRVOA', 'Vónitsa', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0382065400568 39.3184403350768,23.0374460854658 39.3135707299579,23.0354774723113 39.3089099020144,23.0323765534922 39.3046369008957,23.0282626200657 39.3009158484785,23.0232937980837 39.2978896450259,23.0176609674091 39.2956744924663,23.011580436872 39.2943554430044,23.005285655636 39.2939831419799,22.9990182756547 39.2945718884221,22.993018903559 39.296099086801,22.9875178915478 39.2985061108566,22.982726515534 39.3017005469893,22.9788288749424 39.305559732452,22.9759748225522 39.3099354543723,22.9742741953593 39.3146596312736,22.9737925697202 39.3195507609199,22.9745487075149 39.3244208884362,22.9765137965956 39.3290828279851,22.9796125205717 39.3333573606857,22.983725922531 39.3370801314918,22.9886959573333 39.3401079785312,22.9943315604754 39.3423244496545,23.0004160010441 39.3436442919172,23.0067152346087 39.3440167392828,23.0129869313885 39.3434274704429,23.0189898275586 39.3418991604579,23.0244930344117 39.3394906048199,23.0292849418902 39.3362944502981,23.0331813696593 39.3324336212488,23.0360326495814 39.3280565807656,23.0377293667439 39.3233316110641,23.0382065400568 39.3184403350768)))', 'GRVOL', 'Vólos', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7356451509471 38.0425369301127,22.7349218765775 38.0376635469812,22.7330105645005 38.0329953695386,22.7299848548615 38.0287117337494,22.7259611430806 38.0249771747356,22.721094088782 38.02193511636,22.7155706677071 38.0197023736924,22.7096029958746 38.0183646774738,22.703420200289 38.0179733905105,22.6972596452256 38.0185435405231,22.6913578464801 38.0200532440358,22.685941417282 38.0224445432358,22.6812183884971 38.0256256242644,22.6773702323047 38.0294743330537,22.6745448931056 38.0338428554923,22.6728510927416 38.0385633842093,22.672354130273 38.0434545562754,22.6730733410709 38.0483284161078,22.674981317646 38.0529976370341,22.6780049276528 38.0572827242288,22.6820280953213 38.061018921607,22.6868962438642 38.0640625558797,22.6924222309515 38.066296572061,22.6983935499126 38.0676350455287,22.7045805185005 38.0680264951474,22.7107451371376 38.0674558684336,22.7166502713857 38.0659451214367,22.7220688002149 38.0635523708305,22.7267923731099 38.0603696514373,22.7306394350561 38.0565193667512,22.7334622082421 38.0521495707996,22.7351523614787 38.0474282648341,22.7356451509471 38.0425369301127)))', 'GRXYL', 'Xylókastron', 'Y'),('SRID=4326;MULTIPOLYGON(((20.9345470160958 37.7800217463924,20.9339451953472 37.7751365867336,20.9321543982444 37.7704384627152,20.9292436407757 37.7661078694995,20.9253249133535 37.7623111526486,20.9205488571155 37.7591941272384,20.915098967832 37.75687648805,20.9091845512098 37.7554472235561,20.9030326992494 37.7549612078521,20.8968795929785 37.7554370997284,20.8909614612767 37.7568566284344,20.8855055379158 37.7591652931563,20.8807213589958 37.7622744497305,20.8767927306748 37.7660647055688,20.8738706728133 37.7703904940888,20.872067608595 37.7750856549438,20.8714530244247 37.7799698077034,20.8720507698724 37.7848552758413,20.8738381059324 37.7895542961598,20.8767465435289 37.7938862370432,20.8806644454292 37.7976845477593,20.885441296174 37.8008031705806,20.8908934790372 37.8031221675348,20.8968113391355 37.8045523434414,20.90296726023 37.8050386854506,20.909124441804 37.8045624850949,20.9150460345493 37.8031420600882,20.9205042777816 37.800832047698,20.9252892822216 37.7977212972584,20.9292171160336 37.7939294440093,20.9321368803146 37.7896022977241,20.9339365010577 37.7849062254569,20.9345470160958 37.7800217463924)))', 'GRZTH', 'Zákynthos', 'Y'),('SRID=4326;MULTIPOLYGON(((-90.7303030949024 13.9327618239622,-90.7308446721562 13.9278698545851,-90.7323528687286 13.9231750672012,-90.7347696803711 13.9188578552571,-90.7380022052165 13.9150840968416,-90.7419262177457 13.9119987846445,-90.7463909428926 13.9097204586372,-90.7512248468025 13.9083366547166,-90.7562422222348 13.9079005436065,-90.7612503165342 13.9084288887518,-90.7660567295551 13.9099014015042,-90.770476798673 13.9122615184714,-90.7743406884114 13.915418571511,-90.7774999132744 13.919251267535,-90.7798330436989 13.9236123450806,-90.781250375897 13.9283342293998,-90.7816973856231 13.933235469365,-90.7811568321611 13.9381277092671,-90.7796494303649 13.9428229277792,-90.7772330634856 13.9471406658196,-90.7740005656792 13.950914965206,-90.7700761583484 13.9540007508907,-90.7656106766639 13.9562794108181,-90.7607757696566 13.957663358255,-90.7557572972796 13.9580994006285,-90.7507481791882 13.9575707849582,-90.745940971391 13.9560978410774,-90.7415204575101 13.9537371980137,-90.737656540733 13.9505796040032,-90.734497710672 13.9467464344917,-90.7321653367851 13.9423850230261,-90.7307490076843 13.9376629951908,-90.7303030949024 13.9327618239622)))', 'GTPRQ', 'Puerto Quetzal', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.5574960553355 11.8500513449984,-15.5579761590467 11.845149398775,-15.5594178703167 11.8404338975184,-15.5617657405798 11.8360860434543,-15.5649295116606 11.8322729027944,-15.5687875890121 11.8291409884278,-15.5731917164185 11.8268106331526,-15.5779726722385 11.8253713691297,-15.582946768465 11.8248784905545,-15.5879229034607 11.8253509311389,-15.5927098982878 11.8267705376105,-15.5971238358489 11.82908276698,-15.6009951219724 11.8321987808326,-15.6041749981087 11.8359988564261,-15.6065412560756 11.8403369839443,-15.6080029355404 11.845046473782,-15.6085038235606 11.8499463589514,-15.6080246210991 11.8548483470836,-15.6065836923088 11.8595640552422,-15.6042363666299 11.8639122497024,-15.6010728193297 11.8677258124304,-15.5972146108868 11.8708581662812,-15.5928100174742 11.873188911549,-15.5880283316785 11.8746284567,-15.5830533526389 11.8751214647398,-15.5780763163931 11.8746489822465,-15.5732885390863 11.8732291688728,-15.5688740569411 11.8709165991071,-15.5650025470372 11.8678001631863,-15.5618228019926 11.8639996481087,-15.559457010032 11.8596611305981,-15.5579960605428 11.8549513596323,-15.5574960553355 11.8500513449984)))', 'GWOXB', 'Bissau', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5854319932131 45.3174444073801,13.5848725804757 45.3125590398135,13.5829733300004 45.307844523245,13.5798075262223 45.3034819739122,13.575497036106 45.2996389465708,13.5702075944745 45.2964630100149,13.5641424220564 45.2940760938249,13.5575344234274 45.2925698209006,13.5506372634999 45.2920020023838,13.5437156613951 45.2923944272563,13.5370352683138 45.2937320298545,13.5308525106837 45.2959634665596,13.5254047810266 45.2990030798427,13.5209013466523 45.3027341755602,13.517515320753 45.3070134897443,13.5153770024336 45.3116766759159,13.5145688427003 45.3165446048156,13.5151222338888 45.3214302368964,13.5170162522802 45.3261458052059,13.5201784099763 45.3305100333888,13.5244873950959 45.3343551110999,13.5297777019386 45.3375331573949,13.5358459780563 45.3399219215047,13.5424588463636 45.3414294992003,13.5493619005833 45.3419978807002,13.556289524241 45.3416051913132,13.5629751494081 45.340266536973,13.5691615531189 45.3380334214168,13.5746107877691 45.3349917577636,13.5791133569281 45.3312585523073,13.5824962791259 45.3269773902042,13.5846297277683 45.3223128992623,13.5854319932131 45.3174444073801)))', 'HRATL', 'Antenal', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5524312282292 45.3001443389583,14.5517888592104 45.2952633813601,14.5498098991897 45.2905646313429,14.5465706889716 45.2862285943939,14.5421959062394 45.2824218031295,14.5368537444314 45.2792904325943,14.5307494381464 45.276954700754,14.5241173855368 45.2755042666463,14.5172121689671 45.2749948002991,14.5102988146794 45.2754458538889,14.5036426592399 45.2768401143585,14.4974992044245 45.2791240656099,14.4921043425906 45.2822100353,14.4876653214697 45.2859795490628,14.4843527910352 45.2902878655257,14.4822942363459 45.2949695205516,14.4815690501018 45.2998446703947,14.4822054385377 45.3047259923704,14.4841792860909 45.309425879476,14.4874150302833 45.3137636531134,14.491788521103 45.3175725162712,14.4971317617943 45.320705978478,14.5032393535092 45.3230435033299,14.5098763979187 45.3244951588193,14.5167875527018 45.3250050889737,14.5237068875763 45.3245536710061,14.530368155485 45.323158273447,14.5365150763246 45.3208725855062,14.5419112300672 45.3177845439223,14.5463491723008 45.3140129384883,14.5496584173037 45.3097028290148,14.5517119801945 45.3050199526083,14.5524312282292 45.3001443389583)))', 'HRBAK ', 'Bakar ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7852264816666 44.9670716791458,14.7845678739753 44.9621917157876,14.7825811689489 44.9574967106339,14.7793429984136 44.9531670248674,14.7749779942919 44.9493689474086,14.769653970119 44.9462483195214,14.7635754616724 44.9439249479681,14.7569758764921 44.9424880187148,14.7501085524876 44.9419926847356,14.7432370649331 44.942457956749,14.7366251478805 44.9438659763931,14.7305266096563 44.9461626992076,14.7251756223093 44.9492599616735,14.7207777516294 44.9530388543673,14.7175020680231 44.9573542738604,14.7154746397802 44.9620404811226,14.7147736601893 44.9669174555347,14.715426400015 44.9717978026498,14.717408108908 44.9764939518232,14.7206429156579 44.9808253677058,14.7250067004483 44.984625497983,14.7303318353769 44.9877481888677,14.7364136155646 44.990073319525,14.7430181353788 44.9915114361811,14.7498913056563 44.9920072050901,14.7567686610802 44.9915415493195,14.7633855742679 44.9901323856547,14.7694874762759 44.9878339327231,14.7748396829506 44.9847346174385,14.779236442871 44.9809536617475,14.7825088547346 44.9766364831513,14.7845313483451 44.9719490884874,14.7852264816666 44.9670716791458)))', 'HRBAS ', 'Baska ', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9027666272728 45.8676623320412,18.9022628079625 45.8627750348945,18.9004041418123 45.8580502953213,18.8972623668666 45.8536696247265,18.8929584398533 45.8498012748172,18.8876578544909 45.8465937862547,18.8815642671132 45.8441702982478,18.8749116767562 45.842623835041,18.8679554592127 45.8420137476069,18.860962595576 45.8423634447768,18.854201464336 45.8436594991931,18.8479315814265 45.8458521616011,18.8423936743718 45.8488572639757,18.8378004648188 45.8525594396633,18.8343285085767 45.8568165389671,18.8321114044759 45.861465073201,18.8312346339391 45.8663264808347,18.831732233543 45.8712139774596,18.8335854348705 45.8759397281757,18.8367233318462 45.8803220676411,18.8410255581282 45.8841924900785,18.8463268789198 45.887402139303,18.8524235259258 45.8898275471647,18.8590810343099 45.8913753971383,18.866043279554 45.8919861271283,18.8730423629013 45.89163623048,18.8798089589663 45.8903391649199,18.8860827198447 45.8881448336402,18.8916223276269 45.8851376587369,18.8962148017463 45.8814333223876,18.8996836983579 45.8771743032299,18.9018958844328 45.8725243822303,18.9027666272728 45.8676623320412)))', 'HRBAT ', 'Batina ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.3176881449476 44.0669088136909,15.3169955843418 44.0620312447408,15.314996919441 44.0573447921569,15.3117692251362 44.053029487908,15.3074367166935 44.0492510695841,15.3021659494175 44.0461546259847,15.2961594090642 44.0438590387291,15.2896477406543 44.0424524308691,15.2828809127563 44.0419887948079,15.2761186525574 44.0424859269274,15.2696205130415 44.0439247468535,15.2636359466604 44.0462500270412,15.2583947596633 44.0493725051946,15.2540983077516 44.0531722998493,15.2509117673027 44.0575035000834,15.248957777754 44.0621997555984,15.2483117009583 44.0670806549551,15.2489986838701 44.0719586490659,15.250992643689 44.0766462553473,15.2542172218296 44.0809632661908,15.258548677434 44.084743684193,15.2638206154834 44.0878421161215,15.2698303719829 44.0901393776519,15.276346812283 44.0915470908391,15.2831192413378 44.0920110950035,15.2898870792341 44.091513537723,15.2963899238334 44.0900735640984,15.3023776063771 44.0877465773153,15.3076198462091 44.0846220994832,15.311915127344 44.0808203164998,15.3150984516453 44.0764874419917,15.3170476693053 44.0717900811505,15.3176881449476 44.0669088136909)))', 'HRBBJ ', 'Bibinje ', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4526485753622 45.7008009288037,18.4521850636694 45.6959123805673,18.4503696759782 45.6911811128925,18.4472724873362 45.6867888907729,18.4430127437485 45.6829044120687,18.4377542458131 45.6796768386733,18.4316990386771 45.6772300820192,18.4250796530962 45.6756580598335,18.4181501949043 45.6750211036039,18.4111766214374 45.6753436522877,18.4044265722761 45.6766133190457,18.3981591373234 45.6787813659703,18.3926149473459 45.6817645687602,18.3880069606318 45.6854484009343,18.3845122946647 45.6896914173463,18.382265414341 45.6943306712208,18.3813529392697 45.699187959366,18.3818102735232 45.7040766581098,18.3836201936404 45.7088088891417,18.3867134569618 45.7132027408059,18.390971415077 45.7170892671592,18.3962305392107 45.7203189945721,18.4022886888838 45.7227676836825,18.4089128853665 45.7243411225641,18.4158482904084 45.72497876405,18.4228280413188 45.7246560648586,18.4295835580563 45.7233854347426,18.4358549183287 45.7212157582723,18.441400893775 45.7182305078328,18.4460082542866 45.7145445216414,18.4494999777142 45.7102995727741,18.4517420471372 45.7056589022046,18.4526485753622 45.7008009288037)))', 'HRBLC ', 'Belisce ', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5170590805542 43.016255571439,17.5162054701671 43.0113942903981,17.5140761608238 43.0067485837136,17.5107532188943 43.0024969096657,17.5063644889477 42.9988025575012,17.5010786586586 42.9958073875747,17.4950987715553 42.9936263966933,17.4886544375981 42.9923433149433,17.4819930388735 42.992007400769,17.4753702638855 42.9926315555354,17.4690403279781 42.9941918288897,17.4632462486822 42.9966283337599,17.4582105429248 42.999847536642,17.4541266981002 43.0037258368494,17.4511517413762 43.0081142994769,17.4494001920249 43.0128443627613,17.448939631167 43.0177343029609,17.4497880636194 43.0225962102689,17.4519131794538 43.0272432088524,17.4552335507237 43.0314966437515,17.4596217242201 43.0351929576457,17.4649090969835 43.0381899915252,17.4708923906585 43.0403724648127,17.4773414766655 43.0416564217388,17.4840082494609 43.0419924706213,17.4906362023864 43.0413676895874,17.4969703318036 43.0398061243332,17.5027669817572 43.0373678586111,17.5078032439616 43.034146693999,17.511885546309 43.0302665298391,17.5148570964604 43.0258765848065,17.5166038937638 43.0211456463467,17.5170590805542 43.016255571439)))', 'HRBLE', 'Blace', 'Y'),('SRID=4326;MULTIPOLYGON(((15.4846094705488 43.9328584642403,15.4839048975797 43.9279818468775,15.4818977078311 43.9232982424218,15.4786653008164 43.9189875728916,15.474332070005 43.9152153976892,15.4690645960788 43.912126566048,15.4630652367312 43.9098396677955,15.4565643606293 43.9084424930682,15.4498115223767 43.9079886728722,15.4430659133734 43.9084956274299,15.4365864493073 43.9099438997398,15.4306218679207 43.9122778995069,15.425401210354 43.9154080294274,15.4211250457618 43.919214113632,15.4179577723999 43.923549998765,15.4160212896822 43.9282491534917,15.4153902859129 43.9331310538439,15.4160893269733 43.9380081112056,15.4180918640718 43.9426928781465,15.4213212060187 43.9470052556707,15.4256534259735 43.9507794243495,15.430922097149 43.9538702314608,15.4369246795821 43.9561587864296,15.4434303139204 43.9575570468992,15.4501887211618 43.9580112165689,15.4569398620772 43.957503822012,15.4634239787947 43.9560543872159,15.4693916252476 43.9537186794539,15.4746132936674 43.9505865560567,15.4788882610069 43.9467784963824,15.482052311282 43.942440954534,15.4839840357648 43.9377407140659,15.4846094705488 43.9328584642403)))', 'HRBNM ', 'Biograd na Moru ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6842163322361 43.2665012054038,16.6834244271892 43.2616328153641,16.6813483911414 43.2569708400761,16.6780682522325 43.2526943662376,16.6737102204734 43.2489676377011,16.6684418138951 43.2459337586931,16.6624654147159 43.2437092114099,16.6560105040776 43.2423793960921,16.6493248718988 43.2419953624838,16.6426651352849 43.2425718562612,16.6362869236719 43.2440867542631,16.6304351007908 43.2464819099384,16.6253343922951 43.2496653772377,16.6211807735216 43.2535149290976,16.6181339447178 43.2578827375677,16.6163111819103 43.2626010383029,16.6157828015102 43.2674885642372,16.6165694172616 43.2723575032411,16.6186411011402 43.2770207136605,16.6219184875843 43.2812989207602,16.6262757856211 43.2850276168145,16.6315455889231 43.2880633980601,16.6375253026339 43.2902894927025,16.6439849410046 43.2916202649291,16.6506759943619 43.2920045193152,16.6573410202743 43.2914274765731,16.6637235840575 43.2899113434389,16.6695781594018 43.2875144545017,16.6746796016164 43.2843290196843,16.6788318236632 43.2804775655872,16.6818753379344 43.2761082097589,16.6836933730111 43.2713889521157,16.6842163322361 43.2665012054038)))', 'HRBOL ', 'Bol ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0346979937034 44.0829947312052,15.034028484793 44.0781154512678,15.0320515994266 44.0734240534265,15.0288435776611 44.0691007610281,15.0245278817606 44.0653116195003,15.0192704243407 44.0622021299797,15.0132731829608 44.0598916750383,15.0067664479673 44.0584689481056,15 44.0579885596171,14.9932335520327 44.0584689481056,14.9867268170392 44.0598916750383,14.9807295756593 44.0622021299797,14.9754721182394 44.0653116195003,14.9711564223389 44.0691007610281,14.9679484005734 44.0734240534265,14.965971515207 44.0781154512678,14.9653020062966 44.0829947312052,14.9659659208843 44.0878744080214,14.9679380636122 44.0925669360778,14.9711429164468 44.0968919199628,14.9754574995652 44.1006830567354,14.9807160697637 44.1037945415014,14.9867164800731 44.1061066879303,14.9932279577065 44.1075305450789,15 44.1080113304466,15.0067720422935 44.1075305450789,15.0132835199269 44.1061066879303,15.0192839302363 44.1037945415014,15.0245425004348 44.1006830567354,15.0288570835532 44.0968919199628,15.0320619363878 44.0925669360778,15.0340340791157 44.0878744080214,15.0346979937034 44.0829947312052)))', 'HRBRB', 'Brbinj/Lucina', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7851777771378 44.9003796663952,13.784604612388 44.8954947926585,13.7827019073141 44.8907832351585,13.7795430714164 44.8864259963291,13.7752496974375 44.8825904275709,13.7699868582098 44.8794238124745,13.7639567507823 44.8770477243124,13.7573909339071 44.8755533719736,13.7505414559882 44.874998110477,13.7436712103884 44.8754032477972,13.7370438824558 44.8767532306283,13.7309138670405 44.8789962396784,13.7255165362674 44.8820461719803,13.7210592248904 44.8857859354143,13.717713275008 44.8900719310081,13.7156074439423 44.894739553414,13.7148229297309 44.8996095009084,13.7153902093887 44.9044946548139,13.7172878177073 44.9092072656601,13.7204431211209 44.9135661706506,13.7247350646757 44.9174037647275,13.7299987933092 44.9205724559635,13.7360319745693 44.9229503550128,13.7426025817412 44.9244459772951,13.7494578371413 44.9250017744538,13.7563339678369 44.9245963569645,13.7629663925266 44.9232453207863,13.7690999404247 44.921000645574,13.7744987016184 44.917948687953,13.7789551235857 44.9142068483796,13.7822979996337 44.9099190418995,13.784399040404 44.9052501495512,13.7851777771378 44.9003796663952)))', 'HRBRI ', 'Brioni ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9842571929344 43.349410576369,16.983440091472 43.3445448180944,16.981338266602 43.3398888548292,16.9780327364528 43.3356215406547,16.9736506844524 43.3319067662623,16.9683605484291 43.3288871759205,16.9623655419308 43.3266787028326,16.9558958575795 43.3253661302919,16.9491998501277 43.3249998467308,16.942534533604 43.3255939173635,16.9361557514761 43.3271255453136,16.9303083904504 43.329535942685,16.9252170070582 43.3327325788609,16.9210772215594 43.3365927212751,16.9180482063175 43.340968134879,16.9162465563886 43.3456907622942,16.9157417797491 43.3505791688648,16.9165535848669 43.3554455069553,16.9186510761127 43.3601027331072,16.921953895113 43.3643718009762,16.9263352711879 43.368088552887,16.9316268694136 43.371110043512,16.9376252536355 43.3733200503468,16.9440997170041 43.3746335565989,16.9508011772047 43.3750000316866,16.9574717900761 43.3744053812374,16.9638549058291 43.3728724903998,16.969704978002 43.3704603393331,16.9747970373163 43.3672617256385,16.9789353606097 43.3633996829416,16.981960998127 43.3590227355917,16.9837578690403 43.3542991744659,16.9842571929344 43.349410576369)))', 'HRBVO ', 'Baska Voda ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.9347272300006 44.1330251185962,14.9340653842577 44.1281453002226,14.932094741989 44.1234522177447,14.9288913047038 44.1191261596226,14.92457835996 44.1153332777257,14.9193217159979 44.112219216846,14.9133233201391 44.1099035349181,14.906813507636 44.1084751257485,14.9000421773709 44.1079888175395,14.8932692293568 44.1084632757026,14.886754625304 44.1098802890697,14.8807484468877 44.1121854664004,14.875481326428 44.1152903169232,14.8711556114783 44.1190756364235,14.8679375986542 44.1233960709547,14.8659511336265 44.1280856854079,14.8652728246137 44.1329643255699,14.8659290574239 44.1378445314232,14.8678949329628 44.1425387375341,14.8710951754121 44.1468664843796,14.875406983599 44.1506613629979,14.8806647223145 44.1537774246142,14.8866662775715 44.1560948066998,14.8931808331281 44.1575243566145,14.8999577680148 44.1580110724877,14.906736328965 44.1575362268446,14.9132556997492 44.1561180898436,14.919265073 44.1538112237885,14.924533330013 44.150704376544,14.9288579502058 44.1469170563075,14.9320728036303 44.1425949216194,14.9340545256059 44.137904166422,14.9347272300006 44.1330251185962)))', 'HRBZA ', 'Bozava ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7353593014844 45.183087405668,14.7347025380048 45.1782073440573,14.7327125043382 45.1735116417193,14.729465963799 45.1691806863779,14.7250878726531 45.1653808151586,14.7197465487622 45.1622579374312,14.7136471926203 45.1599319454731,14.7070240113462 45.1584921250319,14.7001312468047 45.1579937394354,14.6932334482929 45.1584559162007,14.6865953570755 45.1598609157932,14.6804717837683 45.1621548100607,14.6750978598094 45.1652495447655,14.6706800310205 45.1690263084508,14.6673881348775 45.1733400804496,14.6653488642864 45.1780251859641,14.664640870457 45.1829016474703,14.6652916973534 45.1877820907072,14.6672766720504 45.1924789414591,14.6705198014156 45.1968116371669,14.6748966485036 45.2006135757503,14.6802390848502 45.203738533102,14.686341740601 45.2060663003408,14.6929699063017 45.2075073214482,14.6998685812537 45.2080061503059,14.7067723163526 45.2075435919141,14.7134154665412 45.2061374439066,14.719542451021 45.2038418092717,14.7249176190339 45.2007450072024,14.7293343353632 45.1969661638931,14.7326229318959 45.1926506166148,14.7346572180618 45.1879643104349,14.7353593014844 45.183087405668)))', 'HRCRA ', 'Crikvenica ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4352145823069 44.9501795824014,14.4345858377478 44.9452977345735,14.4326282947414 44.9405967725829,14.4294174665847 44.9362572883098,14.4250769379088 44.9324459484583,14.4197735859157 44.9293091044577,14.4137111563442 44.926967185936,14.4071224426859 44.9255100905365,14.4002603678044 44.9249937445366,14.3933883064647 44.9254379641193,14.3867700142677 44.9268256979024,14.3806595423957 44.9291036792204,14.37529151805 44.9321844635442,14.3708721575037 44.9359497741934,14.3675713526226 44.940255029996,14.3655161332298 44.9449348835763,14.3647857578591 44.9498095601535,14.3654086257147 44.9546917556023,14.3673611349045 44.9593938303045,14.3705685384841 44.9637350229801,14.3749077731834 44.9675484068361,14.3802121587974 44.9706873192624,14.386277792229 44.9730310157317,14.392871392228 44.9744893279242,14.3997392920295 44.9750061443166,14.4066172300764 44.9745615771126,14.4132405560916 44.9731727306169,14.4193544525394 44.9708930408955,14.424723770858 44.9678102125668,14.4291420977794 44.9640428334923,14.4324396987989 44.959735799743,14.4344900318524 44.9550547293707,14.4352145823069 44.9501795824014)))', 'HRCRS ', 'Cres ', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((18.2508064157077 42.567816715082,18.250371088063 42.5629259678573,18.2486535477134 42.5581919601849,18.2457200643916 42.5537965697654,18.2416835619046 42.5499086270437,18.2366992494419 42.5466774396327,18.2309586435608 42.5442270703022,18.2246822125941 42.5426515860258,18.2181109254811 42.5420114581304,18.2114970265516 42.5423312495998,18.205094385459 42.5435986767183,18.1991487865064 42.5457650802663,18.1938885236631 42.5487472882916,18.1895156565752 42.552430799953,18.1861982591557 42.5566741699625,18.1840639565496 42.5613144275214,18.1831949994377 42.5661733240446,18.1836250681553 42.5710641718824,18.1853379347505 42.5757990129547,18.1882680410269 42.5801958426838,18.1923029773021 42.584085611503,18.197287772829 42.5873187337926,18.2030308375086 42.5897708522153,18.2093113286789 42.5913476335137,18.2158876592712 42.591988408901,18.2225068171309 42.5916685168184,18.2289141319797 42.5904002562992,18.2348631079771 42.5882324134408,18.2401249370294 42.5852483793175,18.2444973210499 42.5815629327776,18.2478122596691 42.5773178136767,18.2499425020723 42.5726762590966,18.2508064157077 42.567816715082)))', 'HRCVT ', 'Cavtat ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.3346781645113 44.0499036832062,15.3339844165144 44.0450262064315,15.3319849935933 44.0403400394397,15.3287569994184 44.0360252031813,15.3244246604521 44.032247417265,15.3191545252323 44.0291517462363,15.313149055083 44.0268570421128,15.3066388538887 44.0254513941208,15.2998738339596 44.0249887578974,15.2931136532449 44.0254868915116,15.2866177851353 44.0269266761858,15.2806355951442 44.0292528473438,15.2753967985248 44.0323761084472,15.2711026593726 44.0361765478942,15.26791826533 44.0405082298966,15.2659661733589 44.0452047855286,15.2653216722643 44.0500857916969,15.266009848206 44.0549636950982,15.2680045722156 44.0596510165517,15.2712294559889 44.0639675593509,15.2755607465943 44.0677473440817,15.2808320550982 44.0708450018975,15.2868407415553 44.0731413783101,15.2933557124278 44.0745481295023,15.3001263292649 44.0750111318845,15.3068920820382 44.0745125716433,15.3133926490608 44.0730716325064,15.3193779494519 44.0707437548068,15.3246177944287 44.0676184948885,15.3289107602934 44.0638160686548,15.3320919380269 44.0594827143643,15.3340392603212 44.054785055533,15.3346781645113 44.0499036832062)))', 'HRDAL ', 'Dalmacia ', 'Y'),('SRID=4326;MULTIPOLYGON(((18.1168474152171 42.650857578304,18.1164223820341 42.6459666788481,18.1147131622042 42.6412309555484,18.1117857075491 42.6368323525446,18.1077527121755 42.6329398239623,18.1027692523093 42.6297028535495,18.097026813116 42.6272457259112,18.090745934106 42.6256627670935,18.0841677551203 42.6250147348745,18.0775447845533 42.6253264951805,18.0711312392559 42.6265860722114,18.0651733207365 42.6287451079126,18.0598997944222 42.63172071325,18.0555132278525 42.6353986412156,18.0521822200268 42.6396376615003,18.0500349184008 42.6442749711081,18.049154073229 42.6491324355333,18.0495738224823 42.6540234229785,18.0512783362002 42.6587599707176,18.0542023790234 42.6631600090975,18.058233776266 42.6670543654699,18.0632176950035 42.6702932778224,18.0689625802121 42.6727521659071,18.0752475199983 42.674336435666,18.0818307563045 42.6749851297417,18.0884590108045 42.6746732814462,18.0948772622157 42.6734128799753,18.1008385925664 42.6712524088971,18.1061137170089 42.6682749757691,18.1104998247041 42.6645951058641,18.1138283865125 42.6603543251336,18.1159716273631 42.6557157045855,18.1168474152171 42.650857578304)))', 'HRDBV', 'Dubrovnik', 'Y'),('SRID=4326;MULTIPOLYGON(((18.1168474152171 42.650857578304,18.1164223820341 42.6459666788481,18.1147131622042 42.6412309555484,18.1117857075491 42.6368323525446,18.1077527121755 42.6329398239623,18.1027692523093 42.6297028535495,18.097026813116 42.6272457259112,18.090745934106 42.6256627670935,18.0841677551203 42.6250147348745,18.0775447845533 42.6253264951805,18.0711312392559 42.6265860722114,18.0651733207365 42.6287451079126,18.0598997944222 42.63172071325,18.0555132278525 42.6353986412156,18.0521822200268 42.6396376615003,18.0500349184008 42.6442749711081,18.049154073229 42.6491324355333,18.0495738224823 42.6540234229785,18.0512783362002 42.6587599707176,18.0542023790234 42.6631600090975,18.058233776266 42.6670543654699,18.0632176950035 42.6702932778224,18.0689625802121 42.6727521659071,18.0752475199983 42.674336435666,18.0818307563045 42.6749851297417,18.0884590108045 42.6746732814462,18.0948772622157 42.6734128799753,18.1008385925664 42.6712524088971,18.1061137170089 42.6682749757691,18.1104998247041 42.6645951058641,18.1138283865125 42.6603543251336,18.1159716273631 42.6557157045855,18.1168474152171 42.650857578304)))', 'HRDBV ', 'Dubrovnik ', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0338612717263 42.6821073600367,18.0329733781206 42.6772507754214,18.0308187119716 42.6726152750759,18.0274803063438 42.6683789235302,18.0230865923959 42.664704420885,18.0178064429109 42.6617328656395,18.0118426789062 42.6595783491697,18.0054242893993 42.6583235870347,17.9987976611673 42.6580167526074,17.9922171510253 42.6586696328436,17.985935356738 42.660257175998,17.9801934535218 42.6627184485657,17.9752119608774 42.6659589655511,17.9711822892552 42.6698543062338,17.9682593881981 42.6742548787885,17.9665557778706 42.6789916532052,17.9661371954182 42.6838826445984,17.9670200279341 42.6887398996495,17.9691706368722 42.6933767187922,17.9725066068414 42.6976148367218,17.9768998774903 42.7012912844218,17.9821816435248 42.7042646672761,17.9881488378232 42.7064206156716,17.9945719491371 42.7076761960515,18.0012038718365 42.7079831104723,18.0077894430709 42.7073295597997,18.0140752945699 42.7057406978472,18.0198196334428 42.7032776588949,18.024801569383 42.7000351968546,18.0288296244529 42.6961380285636,18.0317490952156 42.691736024084,18.033447983738 42.6869984314231,18.0338612717263 42.6821073600367)))', 'HRDNC', 'Donje Celo', 'Y'),('SRID=4326;MULTIPOLYGON(((16.2841571488812 43.1496216859081,16.2833987406885 43.1447499966994,16.2813571757983 43.1400802208387,16.2781111589194 43.1357917469221,16.2737855918022 43.1320492815434,16.2685467492021 43.1289965344894,16.2625958821671 43.1267507129429,16.2561614954909 43.1253980337128,16.249490594352 43.1249904234628,16.2428392322759 43.1255435317041,16.2364627175536 43.1270361316261,16.2306058474431 43.129410931454,16.2254935385432 43.1325767658153,16.2213222076731 43.1364120844639,16.2182522307897 43.1407696065211,16.2164017686417 43.1454819639297,16.2158421981132 43.1503681197486,16.216595329028 43.155240316705,16.2186325194715 43.1599112902893,16.2218757307047 43.164201469563,16.2262004881116 43.1679458883075,16.2314406402085 43.1710005393537,16.237394736589 43.1732479256532,16.2438337808212 43.1746015921774,16.2505100586556 43.1750094619559,16.2571666980127 43.1744558459666,16.2635475871826 43.1729620483202,16.2694072629372 43.1705855431342,16.2745203815442 43.1674177554069,16.2786904029144 43.1635805327665,16.2817571504512 43.1592214459572,16.2836029550448 43.1545081012554,16.2841571488812 43.1496216859081)))', 'HRDRK', 'Drvenik', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6673100040579 43.4325047731271,16.6665168755843 43.4276364150077,16.6644360658613 43.422974334373,16.661147788725 43.4186976216615,16.6567785684585 43.4149705293966,16.6514963536323 43.411936175149,16.6455040566404 43.4097110587164,16.6390317681332 43.4083806016231,16.6323279436666 43.4079958778489,16.6256498968636 43.408571659393,16.6192539581867 43.4100858505221,16.6133856703605 43.4124803321557,16.6082703902477 43.4156631846556,16.6041046525856 43.4195122052179,16.601048623804 43.4238795869714,16.5992199349103 43.4285975825597,16.5986891322356 43.4334849370717,16.599476925216 43.4383538451669,16.6015533432175 43.4430171663223,16.6048388410034 43.4472956212415,16.6092073174221 43.451024692166,16.6144909371478 43.454060960292,16.6204865739039 43.4562876344512,16.6269636285915 43.4576190559694,16.6336729200465 43.4580040040415,16.6403563023458 43.4574276725212,16.6467566327453 43.4559122408704,16.6526276999201 43.4535160170283,16.6577437238773 43.4503311858686,16.6619080566369 43.4464802514283,16.6649607456532 43.442111311949,16.6667846683682 43.4373923519368,16.6673100040579 43.4325047731271)))', 'HRDUR ', 'Dugi Rat ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.4516293656534 43.966868375739,15.450927062702 43.9619915742498,15.4489212908202 43.9573074122498,15.4456893957244 43.9529958332643,15.441355751851 43.9492224316351,15.4360869562469 43.9461321036266,15.4300854176656 43.9438434963966,15.4235815885261 43.9424444655341,15.4168251366564 43.9419887131394,15.4100753918421 43.9424937334735,15.4035914280727 43.943940143706,15.397622155322 43.9462724250192,15.3923967943766 43.9494010461583,15.388116094647 43.9532058893353,15.3849446284011 43.9575408490605,15.3830044561759 43.9622394297844,15.3823704083194 43.9671211298341,15.3830671681787 43.971998368506,15.3850682752638 43.9766836915628,15.388297094031 43.9809969787188,15.3926297183873 43.9847723755791,15.3978997064988 43.9878646821235,15.4039044680644 43.99015494998,15.4104130599951 43.9915550707439,15.417175089371 43.9920111763874,15.4239303772808 43.9915057188702,15.4304190058482 43.99005814758,15.436391354926 43.9877241580954,15.4416177353849 43.9845935417248,15.4458972426037 43.9807867200123,15.4490654858641 43.9764500996615,15.4510008952994 43.971750429037,15.4516293656534 43.966868375739)))', 'HRFIL ', 'Filipjakov ', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7681976921984 44.9333851198426,13.7676257001228 44.9285002006744,13.7657233573362 44.923788390217,13.7625640600253 44.9194307006381,13.7582694191803 44.9155945006071,13.7530045566623 44.9124270978635,13.7469717473941 44.910050095797,13.7404026538362 44.9085547382481,13.7335494499684 44.9079984187042,13.7266751718236 44.9084024856711,13.7200436591099 44.9097514268993,13.7139094668878 44.9119934631119,13.7085081272784 44.9150425287803,13.7040471287478 44.9187815651992,13.700697954968 44.9230670014866,13.6985894872738 44.927734253958,13.6978030253716 44.9326040352678,13.698369121641 44.9374892332543,13.70026635696 44.94220209683,13.7034221127072 44.9465614534996,13.7077153170636 44.9503996807947,13.7129810668614 44.9535691623431,13.7190169520981 44.9559479782759,13.7255908420255 44.9574446086077,13.7324498324596 44.9580014660814,13.7393300064146 44.9575971202959,13.7459666265977 44.9562471259485,13.7521043603822 44.9540034226441,13.7575071364766 44.9509523297113,13.7619672477236 44.9472112144878,13.765313345533 44.942923964335,13.7674170168589 44.9382554390816,13.7681976921984 44.9333851198426)))', 'HRFNA', 'Fazana', 'Y'),('SRID=4326;MULTIPOLYGON(((15.3017074839261 44.0999136175546,15.3010158357997 44.0950359773617,15.2990173052264 44.0903492719567,15.2957889625014 44.0860335430262,15.2914550482734 44.08225454442,15.2861821721629 44.0791573871235,15.280172901043 44.0768609800329,15.2736579847239 44.0754534775425,15.2668875162328 44.074988906284,15.2601213621556 44.0754850984615,15.2536192245352 44.0769230097577,15.2476307089027 44.0792474475431,15.2423857728095 44.0823691819555,15.2380859157394 44.0861683602254,15.2348964448505 44.0904990952684,15.2329401123462 44.0951950548264,15.2322923704739 44.1000758389856,15.2329784306835 44.1049539032027,15.2349722462151 44.1096417622651,15.2381974645958 44.1139591988525,15.24253032083 44.11774019914,15.2478043663682 44.1208393474046,15.2538168563032 44.123137431643,15.2603365507896 44.1245460421302,15.2671126293673 44.1250109835518,15.2738843713648 44.1245143673498,15.2803912240282 44.1230753023953,15.2863828640036 44.120749156952,15.291628858087 44.1176254208579,15.295927545726 44.1138242516204,15.2991137977984 44.1094918394305,15.3010653521368 44.1047947718766,15.3017074839261 44.0999136175546)))', 'HRGNA', 'Gazenica', 'Y'),('SRID=4326;MULTIPOLYGON(((19.4023668420443 45.217500327564,19.4018239042984 45.2126142099413,19.3999429922124 45.2078968234693,19.3967966851389 45.2035293958306,19.3925061015946 45.1996796702414,19.3872362132301 45.1964954735785,19.381189491926 45.1940990531076,19.3745981361214 45.1925823967687,19.3677151739951 45.1920037141023,19.3608047813751 45.1923852106329,19.3541321801361 45.193712239522,19.347953497625 45.195933862337,19.3425059689682 45.1989647977011,19.3379988519329 45.2026886842837,19.3346053986644 45.2069625349039,19.3324561907666 45.2116222132457,19.3316340948795 45.2164887254825,19.3321710365686 45.2213750874692,19.3340467228037 45.2260935053499,19.3371893698204 45.2304625944194,19.3414784163125 45.234314358524,19.3467491246326 45.2375006604415,19.3527988980702 45.2398989324004,19.3593950735267 45.241416904588,19.366283889075 45.2419961671376,19.3732002777559 45.2416144262427,19.3798781048477 45.240286365944,19.3860604474144 45.2380630816972,19.3915095131197 45.2350301078172,19.3960158101955 45.2313041159802,19.3994062113286 45.227028413873,19.4015505995756 45.2223674196835,19.4023668420443 45.217500327564)))', 'HRILO ', 'Ilok ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8018058291809 44.2670656901824,14.8011534922692 44.2621852338546,14.7991889712538 44.257489980374,14.7959880351881 44.2531603019789,14.7916738781146 44.2493624896462,14.7864123568961 44.2462423772625,14.7804056074378 44.2439197546345,14.7738842861149 44.2424837814121,14.7670987331168 44.24198957553,14.7603093931359 44.2424561050319,14.7537768552906 44.2438654627833,14.7477518876653 44.2461635513957,14.7424658420333 44.2492621525287,14.7381217911934 44.2530423025056,14.7348867352386 44.2573588467246,14.7328851746911 44.2620460004632,14.7321942988469 44.2669237050226,14.7328409783414 44.2718045372132,14.7348006837384 44.2765009081937,14.7379983791181 44.2808322755969,14.7423113638036 44.2846320913099,14.7475739594183 44.2877542164495,14.7535838664906 44.2900785547854,14.7601099479276 44.2915156854663,14.7669011388553 44.2920103143448,14.7736961362569 44.2915434089798,14.7802334897222 44.2901329337275,14.7862616980321 44.2878331561061,14.7915489160486 44.2847325515925,14.7958918924887 44.2809503888599,14.799123790828 44.276632128934,14.8011205912629 44.2719438177379,14.8018058291809 44.2670656901824)))', 'HRIST ', 'Ist ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.9350747055799 44.7170253252193,14.9344062661794 44.7121460057993,14.9324159401266 44.707453398763,14.9291804936972 44.7031277729702,14.9248244501139 44.6993352616854,14.9195152758489 44.6962214931101,14.9134569350028 44.693906011597,14.9068820609451 44.6924777012581,14.900043044541 44.6919913851642,14.8932023771469 44.6924657285576,14.8866226130812 44.6938825251419,14.8805563297496 44.6961873933312,14.875236463681 44.6992918562205,14.8708673874171 44.7030767268382,14.8676170658286 44.7073966708385,14.8656105917103 44.7120857739603,14.864925350512 44.7169639029794,14.8655880042524 44.7218436179986,14.8675734169192 44.7265373719882,14.8708055702546 44.7308647214758,14.8751604423803 44.73465927078,14.8804707451683 44.7377750814293,14.8865323427118 44.7400922981839,14.8931121058387 44.7415217727565,14.8999568993671 44.7420085048324,14.906803352425 44.7415337658394,14.9133880298782 44.7401158223008,14.9194576063022 44.7378092304158,14.9247786438249 44.7347027295067,14.9291465915619 44.7309158168154,14.9323936564516 44.7265941375746,14.9343952415023 44.72190387022,14.9350747055799 44.7170253252193)))', 'HRJAB ', 'Jablanac ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8844820600401 43.7167383599086,15.883747790624 43.7118642715073,15.8817169494873 43.7071877106893,15.8784678393882 43.7028883273755,15.8741254897413 43.6991312467217,15.8688568263394 43.6960607383334,15.8628642486982 43.6937946892348,15.856377863001 43.6924200903862,15.8496466674307 43.6919897076466,15.8429290243465 43.6925200629966,15.8364827792278 43.6939908022465,15.8305553988844 43.6963454731264,15.8253745007824 43.6994936844809,15.8211391314699 43.7033145651392,15.8180121253654 43.7076613917809,15.8161138363186 43.7123672105508,15.8155174844486 43.7172512389529,15.8162463013152 43.7221258041405,15.8182725893503 43.7268035523605,15.8215187389641 43.7311046529211,15.8258601714491 43.7348637192312,15.8311301006429 43.7379361793874,15.8371259343253 43.7402038492264,15.8436170706105 43.7415794910446,15.8503537880811 43.7420101802002,15.857076883718 43.7414793480635,15.8635276819395 43.7400074214106,15.8694580227668 43.7376510332832,15.8746398380272 43.734500836272,15.8788739415444 43.7306780038462,15.8819976916065 43.7263295564651,15.8838912300671 43.7216226947263,15.8844820600401 43.7167383599086)))', 'HRJDR', 'Jadrija', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7341595795882 43.1664872028589,16.7333652602582 43.1616191230195,16.7312890832552 43.156957983232,16.7280110805161 43.1526828380871,16.7236573786521 43.1489578805646,16.7183953285011 43.145926147179,16.712427067841 43.1437040381241,16.7059817655446 43.1423768604312,16.6993068433583 43.1419955629342,16.6926585082982 43.1425747865083,16.6862919533272 43.1440923032755,16.6804515958369 43.146489866047,16.6753617221823 43.149675436083,16.671217892125 43.1535267051667,16.6681794299086 43.1578957789031,16.6663632895508 43.1626148438331,16.6658395318962 43.16750260307,16.6666285915487 43.172371235171,16.6687004448806 43.1770336100878,16.6719757181946 43.1813104851925,16.6763287004101 43.1850374041348,16.68159215025 43.1880710317918,16.6875637168468 43.190294679584,16.6940137280293 43.1916228062212,16.7006940451654 43.1920043184011,16.7073476399061 43.1914245425648,16.7137185185492 43.1899057906675,16.7195616054629 43.1875064979354,16.7246521987626 43.1843189664794,16.7287946291281 43.1804658031246,16.7318297854067 43.1760951906518,16.7336412168801 43.1713751767783,16.7341595795882 43.1664872028589)))', 'HRJSA ', 'Jelsa ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1019544978989 44.5169741467948,15.1012744068488 44.5120956428731,15.0992774979152 44.507405784546,15.0960407863166 44.5030847346824,15.0916888402509 44.4992984508371,15.0863889660239 44.4961923225128,15.0803447689925 44.4938856014532,15.073788339196 44.4924668363444,15.0669713604299 44.491990484716,15.0601554801502 44.4924748300083,15.0536023039206 44.4939012823624,15.0475633914197 44.4962150894881,15.042270630977 44.4993274308244,15.0379273561893 44.5031188160196,15.0347005417506 44.5074436593758,15.0327143768917 44.5121358571189,15.0320454648631 44.5170151558218,15.0327198371692 44.5218940695074,15.034711903654 44.5265850811335,15.0379453863178 44.5309078522518,15.0422962085391 44.5346961632624,15.0475972351078 44.5378043160452,15.0536446852343 44.5401127506508,15.0602059736253 44.5415326575212,15.0670286768082 44.5420094053037,15.0738502758354 44.541524650247,15.0804082945153 44.5400970445931,15.0864504359495 44.5377815162117,15.0917443202331 44.5346671477097,15.0960864426754 44.5308737380565,15.0993100040175 44.5265471811551,15.1012913102834 44.5218538416513,15.1019544978989 44.5169741467948)))', 'HRKAB ', 'Karlobag ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2346883797293 44.0669340128081,15.2340026314754 44.0620559256383,15.2320105057429 44.0573680068465,15.2287888266915 44.0530503451481,15.2244615792635 44.0492687689949,15.2191951175703 44.0461684886304,15.2131917628876 44.0438685330203,15.2066820386405 44.042457192817,15.1999158392337 44.0419886418799,15.1931528678893 44.0424808649908,15.1866527047172 44.0439149699511,15.1806648793748 44.0462359100079,15.1754193225143 44.0493545893878,15.171117556785 44.0531512725191,15.1679249617895 44.0574801681521,15.1659644088077 44.0621750148245,15.1653115113695 44.0670554556435,15.1659916783528 44.0719339596193,15.167979089091 44.0766230250503,15.1711976372393 44.0809423886559,15.1755238145073 44.0847259628846,15.1807914297065 44.0878282333039,15.1867979859511 44.0901298679805,15.1933124724076 44.091542320639,15.2000842696676 44.0920112480585,15.206852822286 44.0915186081413,15.2133577004538 44.0900833565409,15.2193486566978 44.087760714576,15.2245952837148 44.0846400371204,15.2288958959347 44.0808413639344,15.2320852893669 44.0765107892359,15.2340410801408 44.0718148301092,15.2346883797293 44.0669340128081)))', 'HRKAL ', 'Kali ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4673795693724 43.5495638418094,16.4666006775004 43.5446939829544,16.4645308805507 43.5400281912143,16.4612499720685 43.535745700302,16.4568841961532 43.5320109849948,16.4516013716119 43.5289674555258,16.4456044360869 43.5267319635606,16.4391236592432 43.5253903282858,16.4324078224227 43.5249940520179,16.4257146993504 43.525558349494,16.4193011974565 43.5270615652908,16.4134135314918 43.529446001444,16.4082778000215 43.532620124154,16.4040913211123 43.5364620663824,16.4010150564438 43.5408242940036,16.3991674139104 43.5455392587946,16.39861966863 43.550425823552,16.3993931826572 43.555296214505,16.4014585364969 43.5599632351638,16.404736613027 43.5642474647241,16.4091015992873 43.5679841637153,16.4143857966893 43.5710296199063,16.4203860585859 43.5732666883057,16.4268716089024 43.5746093097288,16.4335929395784 43.5750058317266,16.4402914404987 43.5744410021521,16.4467093855037 43.5729365574356,16.4525998834189 43.5705503826336,16.4577364045407 43.5673742762393,16.461921510586 43.5635304072893,16.4649944488818 43.5591666032349,16.4668373179441 43.5544506522965,16.4673795693724 43.5495638418094)))', 'HRKAS ', 'Kastel Sucurac ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4343800686953 43.5495737647194,16.4336038282026 43.5447036439528,16.4315365606489 43.5400372192401,16.4282579626082 43.5357537487731,16.4238941897244 43.532017745072,16.4186129842142 43.5289726679112,16.4126172218791 43.5267354283878,16.4061371276119 43.5253919127331,16.3994214567245 43.5249936953623,16.392727976623 43.525556065419,16.3863136083649 43.5270574413641,16.3804245997643 43.5294401957833,16.3752871006503 43.532612859406,16.3710984966342 43.536453621236,16.3680198306846 43.540814992555,16.3661696026617 43.5455294581601,16.3656191868406 43.5504159001944,16.366390047844 43.5552865497925,16.3684528682241 43.5599542007109,16.3717286284489 43.5642394080794,16.3760916049062 43.5679773949504,16.3813741766289 43.57102439963,16.3873732598228 43.5732632175735,16.3938581240246 43.5746077222496,16.4005792877428 43.5750061886732,16.4072781473368 43.5744432897846,16.4136969627694 43.5729406876329,16.4195888091844 43.5705561963114,16.4247271047215 43.5673815495186,16.4289143425218 43.5635388601702,16.4319896876116 43.5591759104319,16.4338351457015 43.5544604558063,16.4343800686953 43.5495737647194)))', 'HRKGA ', 'Kastel Gomilica ', 'Y'),('SRID=4326;MULTIPOLYGON(((17.601019891016 42.9492315372984,17.6001608738277 42.9443709803894,17.5980278724644 42.9397268926996,17.5947030937553 42.9354776700712,17.5903144515025 42.9317865075338,17.5850306289328 42.9287951430676,17.5790545917805 42.9266184276207,17.5726158019514 42.9253399274824,17.565961428923 42.9250087255797,17.5593468921372 42.9256375427016,17.5530260916216 42.9272022497217,17.5472416952606 42.9296427894064,17.5422158492248 42.9328654732075,17.5381416630852 42.9367465664686,17.5351757934744 42.9411370265667,17.5334324105581 42.9458682144716,17.5329787811798 42.9507583626707,17.5338326428522 42.9556195528492,17.5359614757305 42.9602649363337,17.5392837075994 42.9645159200092,17.5436718123905 42.9682090407429,17.5489571887014 42.9712022624369,17.5549366342555 42.973380451397,17.5613801682487 42.9746598170046,17.5680398989473 42.9749911445727,17.5746595912519 42.9743616941809,17.5809845602532 42.9727956913652,17.5867715034527 42.9703533906326,17.5917978869469 42.967128748635,17.5958705193423 42.9632457981466,17.5988329805507 42.9588538645362,17.6005716193046 42.9541218111627,17.601019891016 42.9492315372984)))', 'HRKLK', 'Klek', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6683386697217 45.1501080903959,14.6676879928718 45.1452276327319,14.6657046022033 45.1405307548319,14.6624650057148 45.1361978900061,14.6580938931858 45.1323954491,14.6527593150057 45.1292694404525,14.6466662133802 45.1269398767226,14.6400485561065 45.1254961808168,14.6331603737335 45.1249937647435,14.6262660402224 45.1254519105466,14.6196301641052 45.1268530331816,14.6135074709044 45.1291433530755,14.6081330578695 45.1322349530121,14.6037133889076 45.1360091417838,14.6004183712667 45.140320997613,14.5983748167736 45.145004919441,14.5976615402954 45.1498809754829,14.5983062880481 45.1547618074217,14.6002846202966 45.1594598265224,14.6035207991407 45.1637944257376,14.6078906551065 45.1675989301769,14.6132263291058 45.1707270173472,14.6193227121052 45.1730583581534,14.6259453367484 45.1745032591448,14.6328394162492 45.1750061248495,14.6397396788614 45.1745476047712,14.6463806134002 45.1731453409345,14.652506724244 45.1708532866502,14.6578823938383 45.1677596231801,14.6623009669772 45.1639833558859,14.6655927032425 45.1596697229814,14.6676312903676 45.1549845960688,14.6683386697217 45.1501080903959)))', 'HRKMN', 'Klimno', 'Y'),('SRID=4326;MULTIPOLYGON(((16.1170942644341 43.0326722595404,16.1163507125968 43.0277991995697,16.114325843277 43.0231261624506,16.1110977192245 43.0188326631519,16.1067905552614 43.0150836022829,16.101569920538 43.0120229436969,16.0956363686903 43.0097681988383,16.0892177417433 43.0084059272462,16.0825604418186 43.0079884236407,16.0759200018793 43.0085317168587,16.0695513118311 43.0100149562393,16.0636988685974 43.0123812086843,16.0585874179792 43.0155396363988,16.0544133422011 43.0193689731632,16.0513371204015 43.0237221677512,16.0494771506722 43.0284320185936,16.0489051726825 43.0333175856469,16.0496434709362 43.0381911351348,16.0516639721762 43.0428653516076,16.0548892786528 43.0471605405507,16.0591956044948 43.0509115441219,16.0644175081489 43.0539741027094,16.0703542427965 43.0562304156105,16.0767774818604 43.0575936845656,16.0834401210658 43.0580114630151,16.0900858145918 43.0574676802796,16.096458872721 43.0559832615444,16.102314133529 43.0536153194542,16.107426422265 43.0504549490371,16.1115992291094 43.0466237122718,16.114672268108 43.0422689496421,16.1165276257219 43.0375581014375,16.1170942644341 43.0326722595404)))', 'HRKMZ ', 'Komiza ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4025134915616 45.4331912906381,14.4018826336333 45.4283096622121,14.3999115786923 45.4236084645217,14.3966763668322 45.4192682975622,14.3923015250403 45.4154558527091,14.3869552514152 45.4123175219088,14.3808429400306 45.4099737898916,14.3741992969787 45.4085146221801,14.3672793491486 45.4079960233745,14.3603486869442 45.408437895614,14.3536733093469 45.4098232778965,14.3475094537576 45.4120989948607,14.3420937935658 45.4151776905554,14.3376343733764 45.4189411705106,14.334302625619 45.4232449259421,14.3322267735461 45.4279236689484,14.3314868754693 45.4327976687472,14.3321117049417 45.4376796478439,14.3340775933265 45.4423819747646,14.3373092870911 45.4467238775989,14.3416827948469 45.4505384007006,14.3470301215908 45.4536788357287,14.3531457129223 45.4560243776031,14.3597943634073 45.4574847852669,14.3667202838202 45.458003865348,14.3736569744846 45.4575616424373,14.3803375186399 45.4561751309236,14.386504892323 45.4538976780836,14.3919218865472 45.4508169041399,14.3963802536138 45.4470513199574,14.3997087214225 45.4427457546695,14.4017795660638 45.438065771712,14.4025134915616 45.4331912906381)))', 'HRKNA ', 'Klana ', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1510309580311 42.9493652930517,17.1502072418961 42.9445005746938,17.1481077478705 42.9398473482465,17.1448133983127 42.9355843627875,17.1404509421564 42.9318753435215,17.135188061441 42.9288627149741,17.1292269220898 42.9266621445784,17.122796417555 42.9253581137742,17.1161434014468 42.9250006843776,17.109523241681 42.9256035825262,17.1031900529854 42.9271436726574,17.0973869761317 42.9295618415111,17.0923368706747 42.9327652589576,17.0882337733342 42.9366309304089,17.0852354468054 42.9410104065713,17.0834573044826 42.9457354721,17.0829679464474 42.9506245970025,17.0837864826136 42.9554899048502,17.0858817520582 42.960144391223,17.0891734755764 42.964409115231,17.0935353040258 42.9681200869915,17.0987996509303 42.9711345847293,17.1047641271534 42.9733366564439,17.1111993312344 42.9746415921331,17.1178576940994 42.9749991922202,17.1244830338369 42.9743957045813,17.1308204471145 42.9728543545238,17.136626150006 42.9704344471202,17.1416768831666 42.9672290771791,17.145778514315 42.9633615365378,17.1487735039712 42.9589805590574,17.1505469467495 42.9542545886444,17.1510309580311 42.9493652930517)))', 'HRKOR ', 'Korcula ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5354311427957 45.3001496125394,14.5347902329528 45.2952685651714,14.5328126787978 45.2905695262698,14.5295747672268 45.2862330125086,14.5252011261957 45.2824255748855,14.5198599054805 45.2792934133054,14.5137563037277 45.2769567761149,14.5071246921973 45.275505357089,14.5002196364269 45.2749948640218,14.4933061565248 45.275444888447,14.4866495938456 45.2768381567578,14.4805054656978 45.2791211908993,14.475109690136 45.2822063537146,14.4706695497937 45.2859752018242,14.4673557374414 45.2902830194542,14.4652957872185 45.2949643616925,14.4645691453306 45.299839396897,14.4652040739057 45.3047208068875,14.4671765135213 45.3094209813793,14.4704109559232 45.3137592308153,14.4747833013052 45.3175687399573,14.4801255971432 45.3207029935305,14.4862324811137 45.3230414247011,14.4928690822692 45.3244940665769,14.4997800754467 45.3250050251957,14.5066995366205 45.3245546381476,14.5133612138407 45.3231602342455,14.5195088111562 45.3208754644283,14.5249058823632 45.3177882300937,14.5293449475789 45.3140172899914,14.5326554777117 45.3097076783822,14.5347104383109 45.305025113295,14.5354311427957 45.3001496125394)))', 'HRKOS ', 'Kostrena ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.7514637120383 43.6827786215021,15.75074065867 43.6779035683939,15.7487213033759 43.6732245333096,15.7454835079791 43.6689212619644,15.7411518681172 43.6651590294566,15.735892899475 43.6620823036405,15.7299086306672 43.6598092104359,15.7234288501831 43.6584270111714,15.7167023036839 43.6579887632067,15.7099871756838 43.658511290042,15.7035412152041 43.6599745375506,15.6976118776614 43.6623223406564,15.6924268546999 43.6654645716004,15.688185349923 43.6692805887684,15.6850504318687 43.6736238557762,15.6831427568258 43.6783275558953,15.6825359042949 43.6832109886264,15.6832535085497 43.6880865047515,15.6852683027174 43.692766714757,15.6885031193649 43.6970716940572,15.6928338163425 43.700835907533,15.6980940215116 43.703914585746,15.7040815180084 43.7061893055413,15.7105660259573 43.7075725579566,15.7172980799831 43.7080111252994,15.7240186571001 43.7074881354468,15.7304691787074 43.7060237130161,15.7364014949978 43.7036742019545,15.7415874608403 43.7005299900421,15.745827729087 43.6967120204777,15.7489594194511 43.69236712688,15.7508623670307 43.687662373611,15.7514637120383 43.6827786215021)))', 'HRKPR', 'Kaprije', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6024109257531 45.2671287588421,14.6017646224423 45.2622480406883,14.5997826604902 45.2575501191538,14.5965414952148 45.2532154677138,14.5921658785667 45.2494105656868,14.5868240352825 45.2462815155893,14.5807211872007 45.2439484464053,14.574091676225 45.242500915127,14.5671899871752 45.2419944805526,14.5602810111822 45.2424485786693,14.5536299172584 45.243845779688,14.5474920135158 45.2461324546813,14.5421029798511 45.2492208266885,14.5376698407724 45.2529923289503,14.5343630207312 45.2573021434861,14.5323097855525 45.2619847483101,14.5315893233837 45.2668602628518,14.5322296584674 45.2717413500905,14.5342065228715 45.2764404117763,14.5374442373326 45.2807768008566,14.541818575256 45.2845837734732,14.54716150658 45.2877149118809,14.5532676438228 45.2900497691696,14.5599021443361 45.2914985161241,14.5668097636879 45.2920054088703,14.5737247079118 45.2915509416683,14.5803808993854 45.2901526004973,14.5865222539408 45.2878641878628,14.5919125663264 45.2847737452656,14.5963446173613 45.2810001546939,14.5996481482398 45.2766885520544,14.6016963938824 45.2720047315552,14.6024109257531 45.2671287588421)))', 'HRKRA ', 'Kraljevica ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6182663949368 45.0331233236906,14.6176212447054 45.0282424991815,14.6156459422482 45.0235446826693,14.6124166833323 45.0192103440534,14.6080577598117 45.0154059513902,14.6027367538473 45.0122775885653,14.596658087078 45.0099453591351,14.5900551742476 45.0084987886955,14.5831814813644 45.0079933997528,14.5763008277411 45.0084485884062,14.5696772981378 45.0098468828695,14.5635651450155 45.0121346117372,14.5581990612382 45.0152239567913,14.5537851904424 45.0189963129361,14.5504932160554 45.0233068283923,14.5484498312863 45.0279899533617,14.5477338423983 45.0328657866496,14.5483730976648 45.0377469786893,14.5503433664794 45.0424459272903,14.5535692194007 45.0467819902032,14.5579268831069 45.0505884368632,14.5632489672334 45.0537188706825,14.5693308860016 45.0560528728144,14.5759387295807 45.057500647785,14.5828182813004 45.058006489709,14.5897048298923 45.0575509335247,14.59633339314 45.0561515069717,14.6024489522555 45.053862053806,14.6078162958433 45.0507706547546,14.6122290884732 45.0469962276158,14.6155178108596 45.0426839394589,14.6175562648815 45.0379996099594,14.6182663949368 45.0331233236906)))', 'HRKRK ', 'Krk ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.1522228068436 44.967266918146,14.1516179146085 44.9623837046767,14.1496829829946 44.9576780749367,14.1464926585222 44.9533308015629,14.1421697409655 44.9495088514945,14.1368804342807 44.9463589841991,14.1308279479064 44.9440021294214,14.1242446960647 44.9425287578359,14.1173833935244 44.9419954197903,14.1105073858539 44.9424225828095,14.103880579405 44.9437938493456,14.0977573504018 44.9460565841819,14.0923728132147 44.9491239277969,14.0879338151588 44.952878119732,14.0846109993017 44.9571750064591,14.0825322384859 44.9618495631803,14.0817776941185 44.9667222200842,14.0823766937117 44.9716057523146,14.0843065535173 44.9763124705248,14.0874933991515 44.9806614363685,14.0918149604618 44.9844854252434,14.0971052399691 44.9876373672922,14.1031608801324 44.9899960169077,14.1097489865939 44.9914706301674,14.1166161055129 44.9920044676899,14.1234980058291 44.9915769859092,14.1301298840881 44.9902046309019,14.1362565919283 44.9879402035947,14.1416424853581 44.9848708211728,14.1460805105876 44.9811145544847,14.149400172654 44.9768158729207,14.1514740788513 44.9721400745262,14.1522228068436 44.967266918146)))', 'HRKRM ', 'Koromacno ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2846684089685 44.0329188848942,15.2839789671277 44.0280410783934,15.2819840580704 44.0233540103442,15.2787606121078 44.0190377366042,15.2744326812668 44.0152580322411,15.2691666452235 44.0121600356472,15.2631648084213 44.0098626882181,15.2566576357752 44.0084541806533,15.2498949237775 44.0079885782752,15.2431362420762 44.0084837528667,15.2366410066111 44.0099206990643,15.2306585584793 44.0122442610926,15.2254186225063 44.015365242463,15.2211225060334 44.0191638190601,15.2179353720422 44.0234941266756,15.2159798821306 44.0281898493079,15.2153314551151 44.0330705960812,15.2160153276335 44.0379488239349,15.2180055359385 44.0426370415196,15.2212258653656 44.0469550179715,15.2255527383525 44.0507367190006,15.2308199362724 44.0538367022403,15.2368249777976 44.0561357238463,15.2433369101234 44.0575453382405,15.250105212139 44.0580113115957,15.2568694631661 44.0575157156508,15.2633693993849 44.0560776199168,15.2693549640507 44.0537523551758,15.2745959578744 44.0506293771391,15.2788909124672 44.0468288138965,15.282074841734 44.042496832105,15.2840255719674 44.0378000026442,15.2846684089685 44.0329188848942)))', 'HRKUK ', 'Kukljica ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2346685415816 44.0329340558895,15.2339831988795 44.0280559386143,15.2319922249134 44.0233679890124,15.2287723991111 44.0190502970605,15.2244476348831 44.0152686924877,15.2191841908065 44.0121683867651,15.213184272307 44.0098684099676,15.2066782710783 44.0084570536758,15.1999159389267 44.0079884924432,15.1931568310158 44.0084807114734,15.1866603795427 44.0099148186972,15.180675971997 44.0122357671978,15.1754334080002 44.0153544607625,15.1711340952954 44.0191511631396,15.1679433191031 44.0234800822047,15.1659838804894 44.028174955481,15.1653313496848 44.033055424977,15.1660111209189 44.0379339585744,15.1679973881753 44.0426230534607,15.17121408858 44.0469424453002,15.1755377845363 44.0507260455713,15.1808023801023 44.0538283389763,15.1868054945495 44.0561299928335,15.1933162496302 44.0575424602448,15.200084169807 44.0580113974988,15.2068488491894 44.057518762146,15.2133500073735 44.0560835096369,15.2193375403153 44.0537608612479,15.2245811725804 44.0506401719844,15.2288793337923 44.0468414819253,15.2320669140356 44.0425108858014,15.2340215987987 44.0378149014065,15.2346685415816 44.0329340558895)))', 'HRLAM ', 'Lamjane ', 'Y'),('SRID=4326;MULTIPOLYGON(((18.1668310185868 42.6178422851693,18.1664021425212 42.6129514385384,18.164689858605 42.6082163533165,18.161760235696 42.6038189489362,18.1577260504669 42.5999281333833,18.1527424241827 42.5966933246185,18.1470008478939 42.5942387243334,18.1407218276933 42.592658561697,18.134146432025 42.5920134873315,18.1275270626446 42.5923282538014,18.1211177985727 42.5935907700482,18.1151646775058 42.5957525652517,18.1098962812656 42.5987306444093,18.105514980933 42.6024106654026,18.1021891736405 42.6066513173317,18.1000468072491 42.6112897342499,18.0991704423211 42.6161477387982,18.0995940443318 42.6210386781154,18.1013016347007 42.6257745910573,18.1042278591197 42.6301734321787,18.1082604583055 42.6340660747631,18.1132445524543 42.6373028227009,18.1189885792881 42.639759179079,18.1252716596415 42.641340647379,18.1318521069486 42.6419863782031,18.138476750387 42.6416715190467,18.144890708008 42.640408175079,18.1508472275643 42.6382449431336,18.1561172098451 42.635265036944,18.1604980423099 42.6315830767779,18.1638213990554 42.6273406687566,18.1659597052947 42.6227009461756,18.1668310185868 42.6178422851693)))', 'HRLKR', 'Lokrum', 'Y'),('SRID=4326;MULTIPOLYGON(((17.9838628232412 42.6821221402758,17.9829788070611 42.677265047754,17.9808278084229 42.6726284913594,17.9774927198108 42.6683905764274,17.9731018454127 42.6647140632753,17.9678239494537 42.6617401276953,17.9618617668922 42.6595829524576,17.9554442264101 42.6583253551172,17.948817682425 42.6580156177521,17.9422364885709 42.6586656385927,17.9359532687237 42.660250475505,17.9302092525249 42.6627092987612,17.9252250401765 42.6659477173545,17.9211921460815 42.6698413911737,17.9182656430774 42.6742407925303,17.9165581893095 42.6789769366016,17.916135669355 42.6838678629761,17.9170146215656 42.6887256211181,17.9191615566758 42.6933634924017,17.9224942008366 42.6976031713119,17.9268846220061 42.7012816289818,17.9321641249597 42.7042573935841,17.9381297300895 42.7064160038962,17.9445519876585 42.7076744238861,17.9511838251151 42.7079842462347,17.9577700829415 42.7073335597734,17.9640573663173 42.7057474079712,17.9698038269656 42.703286820736,17.9747884925394 42.7000464576247,17.9788197796369 42.6961509547838,17.9817428600721 42.6917501183536,17.983445596755 42.6870131516336,17.9838628232412 42.6821221402758)))', 'HRLPD', 'Lopud', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8351448609698 44.8330561388212,14.8344835255553 44.8281763444663,14.8324973334705 44.8234820978979,14.8292628945086 44.8191537312081,14.824904695345 44.8153574829233,14.819590286915 44.8122391245011,14.8135238352998 44.8099183760938,14.8069382854794 44.8084843234901,14.8000864375968 44.8079920096739,14.7932312743749 44.8084603297021,14.7866359049695 44.8098713082645,14.7805535041101 44.8121707871312,14.7752176255431 44.8152704965739,14.7708332555318 44.8190514326462,14.7675689458355 44.8233684127895,14.7655503268796 44.8280556373694,14.7648552518148 44.832933046113,14.7655107623089 44.8378132274787,14.7674919990935 44.8425086170056,14.7707231067744 44.8468387085966,14.7750801058341 44.8506370011252,14.7803956280428 44.853757411916,14.7864653377575 44.8560799083623,14.7930557939824 44.8575151385521,14.7999134496187 44.8580078802244,14.8067744377646 44.857539173185,14.8133747624718 44.8561270516632,14.8194604946106 44.8538258478942,14.8247975732779 44.8507240942075,14.8291808295067 44.8469411057669,14.832441881102 44.8426223775855,14.8344555936549 44.8379339754205,14.8351448609698 44.8330561388212)))', 'HRLPR', 'Lopar', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9339351863822 42.7664317636185,16.9331314210232 42.7615649510389,16.931054782586 42.7569071567745,16.9277853143609 42.7526373068546,16.923448809838 42.7489193915165,16.9182119558426 42.7458961780279,16.9122759212399 42.7436837409685,16.9058686384199 42.7423670176273,16.8992360722972 42.7419965568812,16.8926328080484 42.7425865845304,16.8863123132222 42.7441144582456,16.8805172415209 42.7465215328253,16.8754701441443 42.7497154032501,16.8713649401298 42.7535734409463,16.8683594700011 42.7579474896048,16.8665694179767 42.7626695426341,16.8660638381124 42.7675581865151,16.8668624605654 42.7724255644297,16.8689348875696 42.7770845937803,16.872201716987 42.7813561605072,16.8765375570624 42.7850760130049,16.8817758221273 42.7881010890908,16.8877151284946 42.7903150306215,16.894127045678 42.7916326712657,16.9007649032227 42.7920033224954,16.9073733103803 42.7914127295108,16.9136980166404 42.7898836207085,16.9194957271477 42.787474829321,16.9245434889685 42.7842790217363,16.9286472819107 42.7804191214433,16.9316494802739 42.7760435683144,16.9334348979366 42.7713205979829,16.9339351863822 42.7664317636185)))', 'HRLST ', 'Lastovo ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.501962742348 44.5331578105766,14.5013325736908 44.5282759690244,14.4993833345187 44.5235758467533,14.496190212436 44.5192380039839,14.4918761068028 44.5154290455391,14.4866068770405 44.5122952329393,14.4805849580663 44.5099568810874,14.4740415898092 44.5085037522249,14.4672279580395 44.5079916215014,14.4604055828159 44.5084401438558,14.4538363176431 44.5098321026286,14.4477723362024 44.5121140681839,14.4424464839415 44.5151984416839,14.4380633588611 44.5189668069125,14.4347914598628 44.523274463542,14.4327567027118 44.5279559702683,14.4320375540896 44.5328314874732,14.4326619748199 44.5377136779759,14.4346062960042 44.5424149022698,14.437796078757 44.5467544323614,14.442108932101 44.5505654065486,14.4473791872653 44.5537012564325,14.4534042532255 44.5560413569521,14.4599524109526 44.5574956796469,14.4667717455228 44.558008267617,14.4735998686769 44.5575593963118,14.480174051839 44.5561663355152,14.4862413726083 44.5538826826368,14.4915684771549 44.5507962933941,14.4959505768296 44.5470258908817,14.4992193288403 44.5427164855854,14.5012492965226 44.5380337850277,14.501962742348 44.5331578105766)))', 'HRLSZ', 'Mali Losinj', 'Y'),('SRID=4326;MULTIPOLYGON(((14.501962742348 44.5331578105766,14.5013325736908 44.5282759690244,14.4993833345187 44.5235758467533,14.496190212436 44.5192380039839,14.4918761068028 44.5154290455391,14.4866068770405 44.5122952329393,14.4805849580663 44.5099568810874,14.4740415898092 44.5085037522249,14.4672279580395 44.5079916215014,14.4604055828159 44.5084401438558,14.4538363176431 44.5098321026286,14.4477723362024 44.5121140681839,14.4424464839415 44.5151984416839,14.4380633588611 44.5189668069125,14.4347914598628 44.523274463542,14.4327567027118 44.5279559702683,14.4320375540896 44.5328314874732,14.4326619748199 44.5377136779759,14.4346062960042 44.5424149022698,14.437796078757 44.5467544323614,14.442108932101 44.5505654065486,14.4473791872653 44.5537012564325,14.4534042532255 44.5560413569521,14.4599524109526 44.5574956796469,14.4667717455228 44.558008267617,14.4735998686769 44.5575593963118,14.480174051839 44.5561663355152,14.4862413726083 44.5538826826368,14.4915684771549 44.5507962933941,14.4959505768296 44.5470258908817,14.4992193288403 44.5427164855854,14.5012492965226 44.5380337850277,14.501962742348 44.5331578105766)))', 'HRLSZ ', 'Mali Losinj ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.2688245894234 45.9326077995746,16.2680250865008 45.9277387430952,16.2658799788023 45.9230720494021,16.2624719890922 45.9187869820593,16.2579322688302 45.9150481070742,16.2524353301461 45.9119989849687,16.2461923314299 45.9097566724345,16.2394429757556 45.9084072420467,16.2324463314634 45.9080024894603,16.2254709227588 45.9085579523722,16.2187844640954 45.9100523159524,16.2126436247175 45.9124282272093,16.2072842087243 45.9155944877123,16.2029121213974 45.9194295421212,16.1996954646666 45.9237861309077,16.1977580641994 45.9284969312859,16.1971746787854 45.9333809723352,16.1979680809608 45.9382505800708,16.2001081281033 45.9429185870273,16.2035128678721 45.9472055297086,16.2080516435819 45.950946556604,16.2135500869035 45.953997779583,16.2197968103802 45.9562418221148,16.2265515438773 45.9575923482476,16.2335544003296 45.957997395509,16.2405359097853 45.9574413813404,16.2472274290061 45.9559457044956,16.2533715183233 45.9535679178994,16.2587318788644 45.9503995054857,16.2631024615499 45.9465623502038,16.2663153935188 45.9422040314208,16.2682474161651 45.9374921352985,16.2688245894234 45.9326077995746)))', 'HRLUK ', 'Luka ', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0512277025558 43.2993910718138,17.0504060929907 43.2945258464746,17.0483010674521 43.2898711444969,17.0449937659568 43.2856057713011,17.0406114389276 43.2818935429622,17.0353225338824 43.2788770060482,17.0293302165152 43.2766719767106,17.0228645759723 43.2753631062936,17.0161738119056 43.2750006413944,17.0095147375329 43.2755985008905,17.003142957413 43.277133742628,16.9973030902786 43.2795474400259,16.9922194057523 43.2827469356759,16.9880872291122 43.2866093869817,16.9850654408688 43.2909864698759,16.9832703584855 43.295710062438,16.9827712372532 43.3005986924863,16.9835875676165 43.3054645033842,16.9856882790691 43.3101204716053,16.9889928883743 43.3143875989556,16.9933745549712 43.3181018023061,16.9986649318877 43.3211202344112,17.0046606293513 43.3233267905937,17.0111310436267 43.3246365870608,17.0178272483044 43.3249992362325,17.0244916018818 43.3244007911773,17.0308676960888 43.3228642831955,17.0367102554116 43.3204488316422,17.0417946003667 43.3172473609804,17.0459253051324 43.313383014484,17.0489437132785 43.3090044047458,17.050734021931 43.3042798861343,17.0512277025558 43.2993910718138)))', 'HRMAK ', 'Makarska ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.568317874353 45.1171389563558,14.5676760854957 45.1122579341286,14.56570203683 45.1075593275586,14.5624718775431 45.1032236369624,14.5581099354602 45.0994173822293,14.5527839096738 45.0962867185203,14.5466984150802 45.0939518374127,14.5400871285273 45.0925023659487,14.5332038369453 45.0919939376757,14.5263127271867 45.0924460651299,14.5196782842475 45.0938413939381,14.5135551783811 45.0961263666063,14.5081785219876 45.0992132709577,14.5037548640697 45.1029835959737,14.5004542638151 45.1072925683303,14.4984037462011 45.1119746979865,14.4976823924754 45.1168501224411,14.4983182584123 45.1217315082024,14.5002872452456 45.1264312458634,14.5035139744057 45.1307686629092,14.5078746402735 45.1345769766144,14.5132017380495 45.1377097183585,14.5192904896375 45.1400463802018,14.5259067223422 45.1414970640013,14.5327958962261 45.1420059516421,14.539692928909 45.1415534606534,14.5463324336822 45.1401570007533,14.552458969674 45.1378703016345,14.5578369022788 45.1347813383104,14.5622594882032 45.1310089352598,14.5655568314618 45.1266981821684,14.5676024029255 45.1220148401778,14.568317874353 45.1171389563558)))', 'HRMAL ', 'Malinska ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5677749336215 44.216832453926,15.567059921884 44.2119566458787,15.5650363430958 44.2072748204205,15.5617822299305 44.2029668301525,15.5574228117425 44.1991981302862,15.5521256754389 44.1961134352813,15.5460943166337 44.1938311749737,15.5395603301825 44.1924389605935,15.5327745385609 44.1919902323036,15.5259973946914 44.1925022149132,15.5194890216916 44.193955258907,15.513499264915 44.1962935916656,15.5082581312371 44.1994274505979,15.503966976825 44.2032365177491,15.500790777961 44.2075745261555,15.4988517805876 44.2122748635616,15.4982247741875 44.2171569607722,15.4989341758919 44.2220332213419,15.5009530432064 44.2267162277497,15.5042040607362 44.2310259476058,15.5085624704098 44.2347966623849,15.5138608388578 44.237883350875,15.5198954828843 44.2401672797502,15.5264343074888 44.2415605837558,15.5332257536303 44.2420096568432,15.5400085075363 44.2414972217109,15.5465215920112 44.2400429967666,15.5525144444217 44.2377029344189,15.5577565866105 44.2345670605736,15.5620465088747 44.2307559999376,15.5652194225161 44.2264163229644,15.5671535817378 44.2217148959338,15.5677749336215 44.216832453926)))', 'HRMAS ', 'Maslenica ', 'Y'),('SRID=4326;MULTIPOLYGON(((17.6670733014901 43.0492104528615,17.6662073093851 43.0443506457952,17.6640655521931 43.0397080895189,17.6607305739741 43.0354611204895,17.656330680582 43.0317728466101,17.6510349870367 43.0287848944207,17.6450469141021 43.0266119834634,17.6385963846417 43.0253375337471,17.6319310175422 43.0250104726776,17.6253066531002 43.0256433622368,17.6189775677193 43.0272119172605,17.6131867469146 43.0296559331715,17.6081565836494 43.0328815883542,17.6040803539808 43.0367650343949,17.6011147942349 43.0411571385298,17.5993740642402 43.0458891986263,17.59892533063 43.0507794135206,17.5997861444211 43.0556398620122,17.6019237199027 43.0602837234665,17.6052561496421 43.0645324627253,17.6096555157688 43.0682227023841,17.614952783535 43.0712125166311,17.6209442925164 43.0733869024425,17.6273995967429 43.0746622152761,17.6340703504125 43.0749893963243,17.6406998931713 43.0743558653392,17.6470331602633 43.0727860051366,17.6528265295458 43.0703402189955,17.657857220073 43.0671125980332,17.6619318755178 43.0632272899354,17.6648939992161 43.0588337109473,17.6666299544466 43.0541007877343,17.6670733014901 43.0492104528615)))', 'HRMET ', 'Metkovic ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4842476667077 43.3165606231273,16.4834709179657 43.3116906628906,16.4814082470875 43.3070248958973,16.4781391706328 43.3027425553703,16.473789475901 43.2990081110422,16.4685263629584 43.2959649636291,16.4625520126558 43.2937299510364,16.4560958287902 43.2923888748358,16.4494056507192 43.2919932164293,16.4427382697936 43.2925581670559,16.4363496078742 43.2940620460773,16.4304849282614 43.2964471295828,16.4253694482764 43.2996218581626,16.4211997084929 43.3034643405991,16.4181360266111 43.3078270210843,16.4162963249129 43.3125423331829,16.4157515702454 43.3174291257725,16.416523006053 43.3222996160788,16.4185812890094 43.326966603908,16.421847570576 43.3312506701761,16.42619648895 43.3349870824224,16.4314609622594 43.338032140333,16.4374386025505 43.3402687151467,16.4438995051556 43.3416107674573,16.4505951123315 43.3420066672591,16.4572678061946 43.3414411865625,16.4636608560368 43.3399360867043,16.4695283305361 43.3375492774569,16.4746445868755 43.3343725809586,16.4788129662891 43.330528188025,16.4818733581814 43.3261639453198,16.4837083411417 43.3214476571119,16.4842476667077 43.3165606231273)))', 'HRMIL ', 'Milna ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1676686778163 44.0329543851121,15.1669888287891 44.0280758572331,15.1650031302345 44.0233867319552,15.1617881593032 44.0190671447598,15.1574676435108 44.0152829984248,15.1522076789627 44.0121796021736,15.1462103381592 44.0098761047697,15.139705914403 44.0084609328697,15.1329440993234 44.0079884073322,15.1261844283663 44.0084766653227,15.1196863552047 44.0099069666096,15.113699329197 44.0122244102117,15.1084532499175 44.0153400343916,15.104149659407 44.0191342207779,15.100954006488 44.023461274012,15.0989892789663 44.0281550035386,15.0983312498755 44.0330350956462,15.0990055245861 44.0379140331039,15.1009865084707 44.0426042979629,15.1041983421443 44.046925581251,15.1085177757104 44.0507117219759,15.1137788778236 44.0538171072864,15.1197794028005 44.0561222856027,15.1262885725769 44.0575385743644,15.1330559729848 44.0580114826805,15.139821218262 44.0575228151109,15.146324006095 44.0560913742421,15.152314169359 44.0537722345464,15.1575613308613 44.0506546159761,15.1618637838032 44.046858440531,15.1650562525475 44.0425297063854,15.1670162340503 44.0378348599981,15.1676686778163 44.0329543851121)))', 'HRMIZ ', 'Mali Iz ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.9020644086149 44.7000354509465,14.9013989354908 44.6951559263627,14.8994118561659 44.6904627330053,14.8961798121265 44.6861361624673,14.8918271960188 44.6823423844866,14.8865213429432 44.6792270760506,14.8804660898279 44.6769098407194,14.8738939518886 44.6754796299543,14.8670572153174 44.6749913397357,14.8602182842297 44.6754637109936,14.8536396464312 44.6768786130147,14.8475738360662 44.6791817368189,14.8422537713138 44.6822846723697,14.8378838320086 44.6860682912822,14.834632015728 44.6903873072812,14.8326234722013 44.6950758418168,14.8319356659289 44.6999537836377,14.8325953571305 44.7048337002174,14.8345775234289 44.7095280369858,14.837806271301 44.7138563282759,14.8421577099126 44.7176521423813,14.8474646834273 44.7207694923329,14.8535231843408 44.7230884637685,14.8601002029901 44.7245198409205,14.8669427101388 44.7250085502362,14.8737874231526 44.7245357869819,14.8803709739793 44.723119741549,14.88644008051 44.7208148969917,14.8917613227548 44.7177099253159,14.8961301416174 44.7139242648881,14.8993787100981 44.7096035127856,14.9013823729163 44.7049138118641,14.9020644086149 44.7000354509465)))', 'HRMNK', 'Misnjak', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2853878713552 45.2332269096571,14.2847690873937 45.228344539059,14.2828144629797 45.2236412582675,14.2795994045365 45.2192977483789,14.275247663715 45.2154808303317,14.2699265515357 45.2123370689523,14.2638404972373 45.2099871583753,14.2572232010784 45.208521301897,14.2503286812802 45.207995761072,14.2434215549262 45.2084307043148,14.236766919842 45.2098094360623,14.2306202185649 45.212079035483,14.2252174661154 45.2151523806241,14.2207662103938 45.218911481656,14.2174375679775 45.2232119973621,14.2153596395751 45.2278887640042,14.2146125594588 45.2327621268394,14.21522537331 45.2376448333527,14.2171748709205 45.2423492249546,14.2203864263761 45.2466944514381,14.2247368213241 45.2505134305289,14.2300589496421 45.2536592836255,14.2361482273942 45.2560109981483,14.2427704635806 45.2574780961663,14.2496708879054 45.2580041271116,14.2565839843737 45.2575688479532,14.2632437462631 45.2561890053944,14.2693939505265 45.2539176893778,14.2747980488456 45.2508422831926,14.2792482884247 45.2470810904439,14.2825737073855 45.242778770793,14.2846466957618 45.2381007626121,14.2853878713552 45.2332269096571)))', 'HRMOD ', 'Moscenicka Draga ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4852350735007 44.9831642557795,14.4846017489056 44.9782826906244,14.4826390164579 44.9735825893658,14.4794225890331 44.9692445104819,14.4750762662552 44.9654350663859,14.4697671474996 44.9623005354567,14.4636991993954 44.9599612583498,14.4571054266635 44.9585070312452,14.4502389457461 44.957993670359,14.4433633000246 44.958440877419,14.4367423823814 44.9598314865527,14.4306303447397 44.9621121209206,14.4252618746542 44.9651952343212,14.420843206016 44.968962460767,14.4175442048228 44.9732691455462,14.4154918324285 44.9779498863241,14.4147652387985 44.9828248740601,14.4153926785144 44.9877067924102,14.417350374457 44.9924080120881,14.4205633805125 44.9967478043468,14.4249084179297 45.0005592959273,14.4302185830187 45.0036958967399,14.4362897498563 45.0060369510081,14.442888423699 45.0074923919949,14.4497607419545 45.0080062186816,14.4566422725589 45.0075586584262,14.463268226709 45.0061669308722,14.4693836857185 45.0038845831286,14.474753441161 45.000799422243,14.4791710634621 44.9970301259142,14.4824668459202 44.9927216639746,14.4845143172052 44.9880397093155,14.4852350735007 44.9831642557795)))', 'HRMRG', 'Merag', 'Y'),('SRID=4326;MULTIPOLYGON(((15.7014549338767 43.666793757326,15.7007361331798 43.6619183455906,15.6987212028062 43.6572383842037,15.6954878346595 43.6529336547518,15.6911604546018 43.6491694885774,15.6859054151556 43.6460904279576,15.6799245945744 43.6438146885373,15.6734476494695 43.6424296332237,15.6667232170784 43.6419884289227,15.6600094010311 43.6425080124708,15.6535639000578 43.6439684425531,15.6476341517907 43.6463136620915,15.6424478632981 43.649453642402,15.6382042862789 43.6532678282473,15.6350665682707 43.6576097536194,15.6331554725266 43.6623126534618,15.632544709463 43.6671958582391,15.6332580632712 43.6720717277679,15.6352684302932 43.6767528592509,15.6384988133539 43.6810592929651,15.6428252410438 43.6848254381098,15.6480815058305 43.6879064511277,15.6540655429144 43.6901838191388,15.6605472060009 43.6915699312977,15.6672771395822 43.6920114598029,15.6739964025215 43.691491418461,15.6804464668476 43.6900298182818,15.6863792001992 43.6876828944801,15.6915664410562 43.684540935199,15.6958087927315 43.6807247969561,15.6989432942358 43.676381242994,15.7008496719999 43.6716772863073,15.7014549338767 43.666793757326)))', 'HRMRJ', 'Muna na Zirju', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4521336410724 44.8171739512161,14.4515048038349 44.8122920829942,14.4495502805453 44.8075913168615,14.4463454663658 44.8032522373889,14.4420137133013 44.7994414961238,14.4367215606055 44.7963054220126,14.4306723238403 44.7939644156595,14.4240982905919 44.7925083401727,14.417251821366 44.7919930830316,14.4103956934541 44.7924384187891,14.4037930524884 44.7938272531679,14.3976973502717 44.796106276991,14.392342647932 44.7991880052683,14.3879346504979 44.8029541245237,14.384642812958 44.8072600219484,14.3825938194438 44.8119403249893,14.3818666874318 44.8168152411955,14.3824896892399 44.8216974570173,14.3844392154789 44.826399332054,14.3876406317417 44.8307401129145,14.3919711033258 44.8345528890306,14.397264286072 44.8376910216684,14.4033167076034 44.8400337968316,14.4098955954824 44.8414910821264,14.4167478501296 44.842006805891,14.4236098134746 44.8415611225333,14.4302174514926 44.8401711792495,14.4363165516246 44.8378904540376,14.4416725354411 44.8348066909089,14.446079502821 44.8310385131273,14.4493681555931 44.8267308468935,14.4514122944779 44.8220493340454,14.4521336410724 44.8171739512161)))', 'HRMTA', 'Martinscica', 'Y'),('SRID=4326;MULTIPOLYGON(((15.6345415298378 43.8168134340763,15.6338262152443 43.8119377068516,15.6318113098436 43.8072566872256,15.6285745070544 43.8029501974296,15.6242403667248 43.7991836361596,15.6189755023825 43.796101637212,15.6129821700913 43.7938225284791,15.6064905065227 43.792433801632,15.5997497128907 43.7919887640181,15.5930185192956 43.7925044992942,15.5865552897034 43.7939612137782,15.5806081405733 43.7963029932016,15.5754054456818 43.799439941376,15.5711470859986 43.8032516201092,15.5679967768982 43.8075916604109,15.5660757662544 43.812293370384,15.5654581471503 43.8171761268745,15.5661679695359 43.8220523074191,15.5681782680425 43.8267344975242,15.5714120506089 43.8310426967636,15.5757452171889 43.8348112461943,15.5810113025001 43.8378952093406,15.5870078645979 43.8401759592786,15.5935042751025 43.8415657544783,15.6002506101214 43.8420111249454,15.6069872959277 43.8414949363488,15.6134551324154 43.8400370513849,15.6194053017667 43.8376935625173,15.6246089704043 43.8345546261818,15.6288661091153 43.8307409832503,15.6320131884077 43.8263993017444,15.6339294521172 43.8216965234195,15.6345415298378 43.8168134340763)))', 'HRMUR ', 'Murter ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4350428087119 44.6671787269034,14.434416908873 44.6622966518926,14.4324686977702 44.6575955025431,14.4292733259004 44.6532558785758,14.4249537810856 44.6494444530329,14.4196761330728 44.6463075817866,14.4136431406902 44.643965696668,14.4070864688543 44.6425086950228,14.4002578131522 44.6419925001919,14.3934192689152 44.6424369227947,14.3868333085857 44.6438249034349,14.3807527450312 44.6461031653219,14.3754110589352 44.6491842521775,14.371013455477 44.6529498745461,14.3677289895448 44.6572554381197,14.3656840603951 44.661935582707,14.3649575270425 44.6668105216748,14.3655776361916 44.6716929405659,14.3675208870684 44.6763951913864,14.3707128843248 44.6807365067264,14.3750311538938 44.684549956048,14.3803098201734 44.687688875377,14.3863459693146 44.6900325210802,14.3929074558133 44.6914907277786,14.3997418510932 44.6920073886729,14.4065861860237 44.6915626221893,14.4131771065809 44.6901735400773,14.4192610447473 44.6878935868166,14.4246040060856 44.6848104761818,14.4290005912732 44.681042805731,14.4322819004452 44.6767354815737,14.4343220149335 44.672054131934,14.4350428087119 44.6671787269034)))', 'HRNRZ', 'Nerezine', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((14.8183285985989 45.1330616609472,14.8176653131905 45.1281820232791,14.8156701897629 45.1234877171525,14.8124201858976 45.1191590763389,14.808040389578 45.1153623489147,14.8026991829818 45.1122433235418,14.7966017612294 45.1099217447533,14.7899822567148 45.1084867291479,14.7830947701565 45.1079933559326,14.7762036486854 45.1084605605271,14.7695733780484 45.1098704106258,14.7634584696477 45.1121687919713,14.7580937233092 45.1152674779942,14.7536852333782 45.1190475052853,14.7504024793129 45.1233637274606,14.7483718030859 45.1280503751168,14.7476715254843 45.1329274109395,14.7483288932794 45.1378074380705,14.7503189811054 45.1425028978383,14.7535655980051 45.1468332808402,14.7579441716301 45.1506320737675,14.7632865059479 45.1537531735043,14.7693872341534 45.1560765197144,14.7760117204754 45.1575127267249,14.7829051057603 45.158006533948,14.7898021448485 45.1575389398902,14.7964374510887 45.1561279361494,14.8025557464535 45.1538278126146,14.8079217154828 45.1507270610882,14.8123290776884 45.1469449594335,14.815608525299 45.1426269698377,14.81763421972 45.1379391307773,14.8183285985989 45.1330616609472)))', 'HRNVD ', 'Novi Vinodolski ', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5854214031676 45.3004442799243,13.5848621229055 45.2955589001916,13.5829634065159 45.2908443767124,13.5797985176455 45.2864818260275,13.5754892879166 45.2826388030032,13.5702014036425 45.2794628763374,13.5641380257494 45.2770759753016,13.5575319900092 45.275569722274,13.5506368861492 45.2750019276738,13.5437173545756 45.2753943795803,13.5370389672242 45.2767320112794,13.5308580737074 45.2789634779962,13.5254119950935 45.2820031209904,13.5209099353184 45.2857342449065,13.517524954704 45.2900135846224,13.5153873120274 45.2946767926164,13.5145794320828 45.2995447387485,13.5151326961548 45.3044303827928,13.5170261851045 45.3091459573486,13.5201874311149 45.3135101858582,13.5244951571566 45.3173552580222,13.5297839058398 45.3205332931795,13.5358503846406 45.3229220410602,13.5424612857026 45.3244295981202,13.549362278597 45.3249979554131,13.5562878263647 45.3246052391948,13.5629714411579 45.3232665564181,13.5691559775334 45.3210334118756,13.5746035598308 45.3179917197413,13.5791047551929 45.3142584873338,13.5824866348976 45.3099773007741,13.5846194122536 45.3053127887486,13.5854214031676 45.3004442799243)))', 'HRNVG ', 'Novigrad ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.9179742451219 44.5500304723391,14.9173091322503 44.5451509120633,14.915325862199 44.5404578746863,14.9121009277887 44.5361316460719,14.9077584468312 44.5323383832798,14.9024653642303 44.5292237440877,14.8964250264583 44.5269073069625,14.889869376815 44.5254779932587,14.8830500699028 44.5249906649065,14.8762288425332 44.525464026087,14.8696675047575 44.5268799080182,14.8636179281676 44.5291839637995,14.8583124087071 44.5322877471181,14.8539547679586 44.5360720964221,14.8507125305745 44.5403916967418,14.8487104769049 44.5450806465036,14.848025820004 44.5499588180742,14.8486851965516 44.5548387698819,14.8506635936667 44.559532946028,14.8538852603885 44.5638608872816,14.8582265763816 44.5676561758494,14.863520774098 44.5707728455478,14.8695643373003 44.5730910087835,14.8761248316462 44.5745214814174,14.8829498649712 44.5750092250822,14.8897768286684 44.5745354723695,14.8963430393819 44.5731184516681,14.9023958836589 44.5708126832468,14.9077025680801 44.5677068741521,14.9120590937095 44.5639204943422,14.9152981056618 44.5595991679129,14.9172953146302 44.554909059222,14.9179742451219 44.5500304723391)))', 'HRNVL ', 'Novalja ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.7017640433664 44.1997917287345,15.7010382134159 44.1949168150272,15.6990046541879 44.1902374136801,15.695741780729 44.1859332835321,15.6913751575189 44.1821697310873,15.6860726466963 44.1790912729229,15.6800379488871 44.1768160994318,15.6735027860929 44.1754315500067,15.666718025361 44.1749907709487,15.6599440799938 44.1755106823668,15.6534409508212 44.1769713307985,15.6474582828444 44.1793166519951,15.6422258120455 44.18245661517,15.6379445633347 44.1862706678577,15.634779133854 44.190612351269,15.6328513568587 44.1953149114156,15.6322355912781 44.2001976929858,15.632955822272 44.205073072449,15.634984690555 44.2097536653912,15.6382444952341 44.2140595315641,15.642610139024 44.2178251001698,15.6479139088944 44.2209055476889,15.6539519125417 44.2231823808673,15.6604919246806 44.2245680076395,15.6672823399947 44.2250091176882,15.674061884322 44.2244887405137,15.6805697044409 44.2230269004861,15.6865554411958 44.2206798432636,15.6917888914115 44.2175378639274,15.696068881071 44.2137218218855,15.6992310047123 44.2093784787879,15.7011539323645 44.204674841295,15.7017640433664 44.1997917287345)))', 'HROBR ', 'Obrovac ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5853798028125 45.2171339195377,14.5847354940796 45.2122530694671,14.5827566447182 45.2075548225401,14.5795195897931 45.2032196649372,14.575148922964 45.1994140956601,14.5698126787734 45.1962842430951,14.5637158642671 45.1939502672529,14.5570925901539 45.1925017600897,14.5501971024398 45.1919943179415,14.5432940548684 45.1924474154606,14.5366483894737 45.1938436611716,14.5305152063915 45.1961294626589,14.5251300044406 45.1992170762989,14.5206996608566 45.2029879642482,14.5173944922868 45.207297331945,14.5153417004202 45.2119796744535,14.5146204555023 45.2168551212477,14.5152588109281 45.2217363379659,14.5172325739925 45.2264357215208,14.5204661839732 45.2307726126909,14.5248355716719 45.2345802485547,14.5301728972834 45.2377121861071,14.5362729891259 45.2400479479167,14.5429012375464 45.2414976701299,14.5498026392453 45.24200557143,14.5567116401276 45.2415521072631,14.5633623918209 45.2401547249232,14.5694990198462 45.2378671898677,14.5748855009236 45.2347775096405,14.5793147630829 45.2310045367042,14.5826166543148 45.2266933830409,14.5846644718756 45.2220098254835,14.5853798028125 45.2171339195377)))', 'HROMI ', 'Omisalj ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7343184242929 43.449484510563,16.733519670745 43.4446167259983,16.7314331306538 43.4399559752311,16.728139237816 43.4356812972435,16.7237647317845 43.4319568661096,16.7184777635188 43.4289256970118,16.7124814272553 43.4267041673739,16.7060059680785 43.4253775610583,16.6992999627556 43.424996804359,16.6926208083367 43.4255765171952,16.6862248777789 43.4270944531476,16.6803577137468 43.4294923495746,16.6752446304524 43.4326781558657,16.6710820789494 43.4365295558275,16.6680301040552 43.4408986511214,16.6662061817826 43.4456176283641,16.6656806759221 43.4505051946231,16.6664740927405 43.4553735360477,16.6685562455548 43.4600355334999,16.6718473684912 43.4643119582011,16.6762211436896 43.4680383701563,16.6815095314539 43.4710714526208,16.6875092214426 43.4732945368782,16.6939894579972 43.4746221023891,16.7007009370375 43.4750030768305,16.707385428189 43.4744228071339,16.7137857460246 43.4729036244957,16.7196556799564 43.4705039813542,16.7247694940805 43.4673161942417,16.7289306260818 43.4634628809135,16.7319792472498 43.459092231001,16.7337983921464 43.4543722945638,16.7343184242929 43.449484510563)))', 'HROMS ', 'Omis ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8174631737346 43.6827587231778,15.8167347826969 43.6778841294184,15.8147103173795 43.6732063003159,15.8114678355286 43.6689049349267,15.807132112217 43.6651452348991,15.8018698192823 43.6620715706997,15.795883112326 43.6598019506757,15.7894018728947 43.6584235029036,15.7826749022976 43.6579891408986,15.7759604012128 43.6585155392031,15.7695160947411 43.6599824952857,15.7635893751867 43.6623337018658,15.7584078342468 43.6654789005965,15.754170542484 43.6692973358798,15.7510404072971 43.6736423783216,15.7491379018132 43.6783471427448,15.7485364072905 43.6832308874263,15.7492593522328 43.6881059507822,15.7512792643578 43.692784960324,15.7545187791014 43.6970880372848,15.7588535731063 43.7008497194448,15.7641171160141 43.7039253345761,15.7701070619269 43.7061965773196,15.7765930361967 43.7075760725542,15.7833255166777 43.708010747298,15.7900454638612 43.7074838793967,15.7964943235264 43.7060157428738,15.8024240101866 43.7036628247213,15.8076064804298 43.7005156438578,15.8118425222163 43.6966952576431,15.8149694184454 43.6923485924827,15.8168671890924 43.6876427805978,15.8174631737346 43.6827587231778)))', 'HRONJ', 'Obonjan', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3354504736001 45.3332117698109,14.3348264034432 45.3283297248138,14.3328642934161 45.3236273392896,14.3296398387931 45.3192852594494,14.3252771528303 45.3154702507573,14.3199439669326 45.3123288041869,14.3138451733837 45.3099815245524,14.3072149604963 45.3085185138497,14.3003078410284 45.3079959242756,14.2933889143588 45.3084338110308,14.2867237301216 45.3098153658034,14.2805681350666 45.3120875597545,14.2751584854774 45.3151631717426,14.270702594533 45.3189241253022,14.2673717578763 45.3232260083894,14.2652941620453 45.3279036049144,14.2645499303788 45.3327772282397,14.2651680010007 45.3376596156392,14.2671249633647 45.3423631204179,14.270345905881 45.3467069259689,14.2747072499805 45.3505240041043,14.2800414685455 45.3536675487967,14.2861435120789 45.3560166358116,14.2927786974878 45.3574808879959,14.2996917549924 45.358003964148,14.3066166812009 45.3575657349901,14.3132870131031 45.356183060962,14.3194461202632 45.3539091412991,14.3248571117119 45.3508314598673,14.3293119699852 45.3470684081861,14.3326395566556 45.3427647177193,14.3347121799666 45.3380858797138,14.3354504736001 45.3332117698109)))', 'HROPA ', 'Opatija ', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2170388354239 42.9663454648996,17.2162096538112 42.9614813566955,17.2141046036636 42.95682947861,17.2108048206031 42.9525685275639,17.2064372618422 42.9488621503344,17.2011698047916 42.9458526698002,17.1952047904395 42.9436556324518,17.1887712603907 42.942355384133,17.182116183918 42.9420018415948,17.1754950077563 42.9426085819706,17.1691618856361 42.9441523224248,17.1633599560236 42.9465738097576,17.1583120349113 42.9497800865583,17.1542120757936 42.9536480484713,17.1512177215669 42.9580291581487,17.149444233735 42.962755137294,17.1489600341186 42.9676444205113,17.1497840347576 42.9725091249225,17.151884864791 42.9771622689147,17.1551820310709 42.9814249628442,17.1595489747662 42.9851332945961,17.164817912105 42.9881446437331,17.1707862767395 42.9903431792871,17.1772245170147 42.9916443273255,17.1838849465684 42.9919980341233,17.1905113037067 42.9913906975399,17.1968486459419 42.9898456911782,17.2026531923333 42.9874224609612,17.207701728508 42.984214229638,17.2118002073344 42.9803443991226,17.214791211278 42.9759617912405,17.2165599888851 42.9712349123763,17.2170388354239 42.9663454648996)))', 'HRORB', 'Orebic', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7185606221395 45.5507161176517,18.7180746661445 45.5458281145588,18.716241082895 45.5411006280275,18.713130642576 45.5367152766795,18.7088630960197 45.5328404938629,18.7036025396134 45.5296250690564,18.6975510945078 45.5271924476562,18.6909411452265 45.5256360055158,18.6840264350059 45.5250154770323,18.6770723561485 45.5253546715514,18.6703458022168 45.5266405640395,18.6641049643025 45.52882379411,18.6585894554863 45.5318205544565,18.6540111359328 45.5355157973997,18.6505459861458 45.5397676384594,18.6483273384036 45.5444127903993,18.6474407273307 45.5492728217255,18.6479205613446 45.5541610016467,18.6497487491813 45.5588894702914,18.652855342058 45.5632764595203,18.6571211748811 45.5671532866329,18.6623824121643 45.5703708509252,18.6684368291005 45.5728053812834,18.6750515887324 45.5743632112325,18.681972215491 45.5749843950938,18.6889324163337 45.5746450237461,18.6956643656804 45.5733581491436,18.7019090510359 45.5711732811912,18.7074262735817 45.5681744765481,18.7120039122541 45.5644770941194,18.7154660902083 45.5602233441026,18.7176799276009 45.555576804355,18.7185606221395 45.5507161176517)))', 'HROSI', 'Osijek', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0849044059118 44.4329793875899,15.0842267203305 44.4281007082711,15.0822340475089 44.4234104794672,15.0790032387933 44.4190888785605,15.0746586349139 44.4153018846245,15.0693672599493 44.4121949148083,15.0633323931252 44.4098872535121,15.0567857669046 44.4084674857852,15.0499786896539 44.4079901077951,15.0431724297746 44.4084734423933,15.0366282244964 44.4098989383956,15.0305972898313 44.4122118799889,15.0253112081512 44.4153234795319,15.0209730564674 44.4191142748217,15.0177496121086 44.4234387025113,15.0157649338194 44.4281306745692,15.0150955664052 44.4330099461326,15.0157675574129 44.4378890322981,15.0177554068219 44.4425804095606,15.0209829976062 44.4469037256958,15.025326478937 44.4506927405023,15.0306189976342 44.4538017291719,15.0366571003501 44.4561110999522,15.0432085619867 44.4575320075403,15.0500213380291 44.4580097822347,15.0568332924856 44.4575260407895,15.0633823211779 44.4560993963276,15.0694164737728 44.4537847395048,15.0747036779979 44.450671119091,15.0790406859455 44.4468783049482,15.082260894411 44.4425521677754,15.0842407372857 44.4378590558573,15.0849044059118 44.4329793875899)))', 'HRPAG ', 'Pag ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.4176196466584 43.9498787180945,15.41692033414 43.9450016812815,15.4149178100164 43.940316895648,15.4116892951938 43.9360043288876,15.407359034396 43.9322296134672,15.4020934950111 43.9291376962429,15.3960949611162 43.9268472854711,15.3895937701585 43.9254463059944,15.3828394890414 43.9249885346683,15.3760913644819 43.9254915431584,15.3696084083957 43.9269360257401,15.3636394920337 43.9292665374722,15.3584138222987 43.9323936149384,15.3541321601183 43.9361971995691,15.3509591142886 43.9405312342137,15.3490168055523 43.9452292589281,15.3483801459018 43.9501107935352,15.3490739187006 43.9549882638714,15.3510717780567 43.9596742070049,15.3542972132323 43.9639884790234,15.3586264483521 43.9677651878502,15.3638931721791 43.9708590831511,15.3698949203163 43.9731511555255,15.3764008659775 43.9745532271666,15.3831607183985 43.9750113549465,15.3899143826811 43.9745079129329,15.3964020035361 43.9730622728502,15.4023739995436 43.9707300558591,15.407600694953 43.9676009849862,15.411881172688 43.9637954222793,15.415051004274 43.9594597260331,15.4169885583083 43.9547606091551,15.4176196466584 43.9498787180945)))', 'HRPAS ', 'Pasman ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7842706816663 43.3664703165781,16.7834692467089 43.3616028642099,16.78138196284 43.356942977544,16.7780892910204 43.3526696623182,16.7737179226988 43.3489470403695,16.7684358874892 43.3459180576377,16.7624460898212 43.3436990079162,16.7559785238402 43.3423750802038,16.7492814638337 43.3419970982767,16.7426119643268 43.3425795757578,16.736226028681 43.3441001601869,16.7303688168796 43.3465004871814,16.7252652618591 43.3496884125932,16.721111449275 43.3535415385096,16.7180670883492 43.3579118998743,16.7162493621623 43.3626316342111,16.7157283955428 43.3675194190727,16.7165245190779 43.37238743187,16.718607440627 43.3770485658902,16.7218973633524 43.3813236254973,16.7262680143308 43.3850482232882,16.7315514731576 43.3880791125192,16.7375446186712 43.3902997091495,16.7440169470474 43.3916245886772,16.7507194589666 43.3920027824209,16.7573942698988 43.3914197445102,16.7637845678654 43.3898979127259,16.7696445287592 43.3874958413493,16.7747488011196 43.384305940095,16.7789011900834 43.3804509076798,16.7819422031625 43.3760789994073,16.783755166956 43.3713583132559,16.7842706816663 43.3664703165781)))', 'HRPCA', 'Pucisca', 'Y'),('SRID=4326;MULTIPOLYGON(((17.416933079981 42.7822884539113,17.4160913678472 42.7774259727178,17.4139783347688 42.7727778476903,17.4106754194798 42.7685226310451,17.4063096961622 42.7648237492361,17.4010489690749 42.7618232376604,17.3950953191407 42.7596362991295,17.388677351198 42.7583468926683,17.3820414378414 42.7580045197392,17.375442291939 42.7586223294716,17.369133223978 42.7601766145694,17.3633564516996 42.762607717087,17.3583338277156 42.7658223100634,17.3542583359899 42.7696969689963,17.3512866805967 42.7740828981832,17.3495332507846 42.7788116328437,17.3490656961967 42.7837015003291,17.349902286654 42.7885645940679,17.3520111641034 42.7932139934131,17.3553115224673 42.7974709521453,17.3596766768328 42.8011717785938,17.3649389095596 42.8041741413077,17.3708959105055 42.8063625556565,17.3773185646712 42.8076528379352,17.3839597860266 42.8079953533459,17.3905640536083 42.8073769310678,17.3968772771992 42.8058213716513,17.402656606401 42.803388527046,17.4076797993337 42.8001719894299,17.4117537854171 42.7962954793592,17.4147220897977 42.7919080743553,17.4164708333887 42.7871784638781,17.416933079981 42.7822884539113)))', 'HRPLA', 'Polace', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4670786255284 43.0492700017259,17.4662283678965 43.0444082863399,17.464101530653 43.0397616079676,17.460780085931 43.0355084623787,17.4563918215186 43.0318121954006,17.4511054078319 43.02881474088,17.4451239112309 43.0266311832185,17.4386770036578 43.0253453508624,17.4320121659299 43.0250066076456,17.4253852182624 43.0256279633486,17.4190505356979 43.0271855749412,17.4132513174153 43.0296196574924,17.4082102770743 43.0328367705561,17.4041211064414 43.0367133938487,17.4011410369382 43.0411006571089,17.3993847841858 43.0458300449441,17.3989201102247 43.050719859885,17.3997651783828 43.0555821972416,17.4018878086762 43.0602301648994,17.4052066694411 43.0644850708065,17.4095943662743 43.0681833011433,17.414882315169 43.0711826231595,17.4208672160443 43.0733676681444,17.4273188786884 43.0746543812196,17.4339890983671 43.0749932644698,17.4406212355111 43.0743712867956,17.4469601250267 43.0728123859167,17.4527619272644 43.0703765430465,17.4578035351813 43.0671574666239,17.4618911706034 43.0632789758361,17.4648678358315 43.0588902252536,17.4666193335146 43.0541599566999,17.4670786255284 43.0492700017259)))', 'HRPLE ', 'Ploce ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2023252885893 45.1332522025331,14.2017145740594 45.1283693533864,14.19977010981 45.123664640265,14.1965669108613 45.1193187999539,14.1922282729389 45.1154987435784,14.1869210041618 45.1123511570881,14.1808490031206 45.1099968819437,14.174245431866 45.1085262892586,14.1673637832542 45.1079958224335,14.1604681817197 45.1084258387943,14.1538232837873 45.1097998315542,14.1476841587579 45.1120650613546,14.1422865306786 45.1151345735346,14.1378377498932 45.1188905250438,14.1345088365271 45.1231886953696,14.1324278998514 45.1278640108146,14.1316751876673 45.1327368725672,14.1322799601045 45.1376200477604,14.1342193143842 45.1423258603545,14.1374190134326 45.1466734061801,14.1417562943526 45.1504955144627,14.1470645556171 45.1536451868688,14.1531397475393 45.1560012643758,14.159748222286 45.1574731014766,14.1666357404887 45.1580040653193,14.1735372841199 45.1575737229117,14.1801872920237 45.1561986306781,14.1863299169519 45.1539316953623,14.19172890203 45.1508601312746,14.1961766903241 45.14710209385,14.1995024128074 45.1428021211627,14.2015784459923 45.1381255613029,14.2023252885893 45.1332522025331)))', 'HRPLM ', 'Plomin ', 'Y'),('SRID=4326;MULTIPOLYGON(((17.38393389773 42.7822982320499,17.3830947590277 42.7774354450669,17.3809841681996 42.7727866504471,17.3776834703586 42.768530426288,17.3733196547996 42.7648302378549,17.3680604528406 42.7618281707812,17.3621078871567 42.7596394876055,17.3556905212145 42.7583482142823,17.3490547046584 42.7580039238529,17.342455146681 42.7586198389477,17.3361451735041 42.7601723248987,17.3303670374241 42.7626017927513,17.3253426431353 42.7658149782703,17.3212650422601 42.7696885110174,17.3182910195639 42.7740736386185,17.3165350549731 42.7788019272131,17.3160648953557 42.7836917214586,17.3168989105971 42.7885551177855,17.3190053417089 42.7932051841008,17.3223034768572 42.7974631487032,17.3266667168942 42.8011652813607,17.3319274181206 42.8041692004494,17.3378833296121 42.8063593614782,17.3443053785332 42.8076515135027,17.3509465022984 42.8079959497071,17.3575511837397 42.807379425268,17.3638653166336 42.8058256676206,17.3696460154047 42.803394459324,17.3746709852122 42.8001793295804,17.3787470868171 42.7963039448186,17.3817177637049 42.7919173393653,17.3834690453184 42.7871881720702,17.38393389773 42.7822982320499)))', 'HRPMN ', 'Pomena ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6682567691314 45.0171078556705,14.667607541733 45.0122272879853,14.6656286899368 45.0075303124693,14.6623965453256 45.0031973664908,14.6580355099676 44.9993948644757,14.6527132465043 44.9962688176577,14.6466342243322 44.9939392407105,14.6400318714795 44.992495557515,14.6331596323132 44.9919931799046,14.6262812704277 44.9924513885588,14.6196607829074 44.9938525959138,14.6135523058897 44.9961430188356,14.6081903916484 44.9992347356878,14.6037810242634 45.003009050224,14.6004937146673 45.0073210352852,14.5984549771788 45.0120050843791,14.597743439593 45.016881260515,14.598386778976 45.0217622006461,14.6003606073766 45.0264603119828,14.603589357978 45.0307949842385,14.6079491454196 45.0345995401775,14.6132724970447 45.037727655875,14.6193547777949 45.0400590016889,14.6259620635532 45.0415038844444,14.6328401589623 45.0420067096855,14.639724408867 45.0415481285851,14.6463499197845 45.0401457854085,14.6524617908106 45.0378536362085,14.6578249529645 45.0347598654319,14.6622332321839 45.0309834820166,14.6655172832003 45.0266697280897,14.6675510877846 45.0219844794368,14.6682567691314 45.0171078556705)))', 'HRPNT ', 'Punat ', 'Y'),('SRID=4326;MULTIPOLYGON(((13.6183703357405 45.2174334372723,13.6178088701248 45.2125481258162,13.6159100145642 45.207834083955,13.6127470365524 45.203472409738,13.608441693051 45.1996306245173,13.60315952026 45.1964562497174,13.5971034594253 45.1940711553476,13.590506065542 45.1925668947566,13.5836205971911 45.1920012021583,13.5767113258439 45.1923957851241,13.5700434306848 45.193735495183,13.5638728596172 45.1959689076738,13.5584365382526 45.1990102889138,13.5539432963326 45.2027428764543,13.5505658555098 45.2070233485514,13.5484341844015 45.211687313767,13.5476304773645 45.2165556124978,13.5481859539679 45.2214411906957,13.5500796085003 45.2261562833515,13.5532389652768 45.2305196324421,13.5575428186364 45.2343634616311,13.5628258592405 45.2375399383188,13.5688850137274 45.2399268725022,13.5754872561219 45.2414324307375,13.5823785897007 45.2419986812562,13.5892938500642 45.2416038315482,13.5959669462535 45.2402630706939,13.6021411385551 45.2380279833285,13.6075789500578 45.2349845581196,13.6120713241608 45.2312498686917,13.6154456713294 45.2269675567819,13.6175724939278 45.2223022939229,13.6183703357405 45.2174334372723)))', 'HRPOR ', 'Porec ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.651273059328 43.3665101704488,16.6504822334924 43.3616416123035,16.6484050560743 43.3569791316327,16.6451216005863 43.3527018344762,16.6407582056391 43.3489739960874,16.6354825959753 43.3459387629815,16.6294974306002 43.3437126689618,16.6230325268857 43.3423811732768,16.616336057601 43.3419953898761,16.6096650547892 43.3425701314294,16.6032755791971 43.3440833420194,16.5974129259136 43.3464769400199,16.5923022356505 43.3496590394801,16.5881398667272 43.3535074662635,16.5850858556732 43.3578744360858,16.5832577551716 43.362592217264,16.5827260879345 43.3674795630689,16.5835115955451 43.3723486685445,16.585584394211 43.3770123857329,16.5888650770448 43.3812914203457,16.5932277275474 43.385021232618,16.5985047343121 43.3880583755284,16.604493225638 43.3902860245233,16.610962877808 43.3916184836232,16.6176647951429 43.3920044922069,16.6243411161827 43.3914292033228,16.630734970528 43.3899147562143,16.6366003964641 43.3875194207566,16.6417118311684 43.3843353474128,16.6458728029878 43.3804850108253,16.6489234880898 43.3761164860287,16.6507468401377 43.3713977414365,16.651273059328 43.3665101704488)))', 'HRPOS ', 'Postire ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.234697727442 44.0829339925396,15.2340117880962 44.0780559195374,15.232019119656 44.0733680152446,15.2287965673592 44.0690503677833,15.2244681498533 44.0652688050037,15.2192002662653 44.0621685365721,15.2131952924594 44.0598685909317,15.2066838139319 44.0584572582985,15.1999157922799 44.057988712205,15.1931510004902 44.0584809372346,15.186649088369 44.0599150411279,15.1806596525629 44.0622359772093,15.175412685466 44.0653546499121,15.171109763871 44.0691513239849,15.1679163118533 44.0734802085896,15.1659552337781 44.0781750427415,15.1653021635777 44.0830554700648,15.1659825170328 44.0879339601008,15.1679704665739 44.0926230116709,15.1711898853728 44.0969423619907,15.1755172318288 44.1007259239652,15.1807862698731 44.1038281835692,15.1867944478872 44.1061298092212,15.1933106925631 44.1075422549387,15.2000843167005 44.1080111777318,15.2068546943844 44.1075185356681,15.2133613254059 44.1060832844965,15.2193538947085 44.1037606455558,15.2246019328519 44.1006399736577,15.228903699987 44.0968413084129,15.2320939477952 44.0925107437975,15.2340502597236 44.0878147965622,15.234697727442 44.0829339925396)))', 'HRPRECODE ', 'Preko', 'Y'),('SRID=4326;MULTIPOLYGON(((15.9674046862055 43.5827140285643,15.9666655421491 43.5778404066386,15.9646329871324 43.5731652281157,15.9613853874242 43.5688680897101,15.9570477124029 43.5651140305025,15.9517867068871 43.562047204432,15.9458044756375 43.5597853576428,15.9393307276988 43.5584153203196,15.9326139769225 43.5579896837192,15.9259120325537 43.5585247879989,15.9194821391282 43.5600000968243,15.9135711374201 43.5623589824061,15.908406017469 43.5655108914267,15.9041852208133 43.5693348101709,15.9010710223264 43.5736838979373,15.8991832832064 43.5783911132602,15.8985948168176 43.5832756192783,15.8993285496931 43.5881497242214,15.9013565929918 43.5928260916675,15.9046012673125 43.5971249438997,15.9089380486412 43.6008809809229,15.9142003282163 43.6039497476935,15.9201858073141 43.6062132026132,15.9266642824345 43.6075842706739,15.9333865200551 43.608010203698,15.9400938756079 43.6074746164006,15.9465282807526 43.6059981186511,15.9524422078466 43.6036375192418,15.957608221487 43.6004836324053,15.9618277440801 43.5966577729615,15.9649386947178 43.5923070770655,15.9668217066576 43.587598831006,15.9674046862055 43.5827140285643)))', 'HRPRI ', 'Primosten ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0020042707112 44.6000047498438,15.0013315619812 44.5951257217746,14.9993398374173 44.5904341844784,14.9961059148855 44.5861103656449,14.9917542572237 44.5823203292806,14.986452161143 44.5792096088741,14.9804033183129 44.5768976321893,14.9738399975354 44.5754731492712,14.967014146915 44.5749908367021,14.9601877536829 44.5754692063538,14.9536228257634 44.5768898974971,14.9475713725696 44.579198378942,14.9422657625403 44.5823060347473,14.9379098215837 44.5860935548436,14.9346710102143 44.5904155025168,14.9326739784654 44.5951058858838,14.9319957476999 44.5999845219232,14.9326627086999 44.6048639507692,14.9346495577698 44.6095566360943,14.9378802192932 44.6138821754319,14.9422307268913 44.6176742428446,14.9475339589408 44.6207869956352,14.9535860508318 44.6231006966276,14.9601542391227 44.6245263332665,14.9669858346739 44.6250090533257,14.9738179756397 44.6245302828968,14.9803877790547 44.6231084437237,14.9864424932554 44.6207982417738,14.9917492533447 44.6176885549196,14.9961040583289 44.6138990024396,14.9993396206359 44.6095753304597,15.0013317848728 44.6048837933729,15.0020042707112 44.6000047498438)))', 'HRPRN', 'Prizna', 'Y'),('SRID=4326;MULTIPOLYGON(((17.7169437078831 42.8161990619776,17.7160780019957 42.8113394738262,17.7139414972259 42.8066975641666,17.7106165325897 42.802451644933,17.7062310268737 42.7987647843303,17.7009535412229 42.7957785554525,17.6949867971499 42.7936076125706,17.6885598996896 42.7923353009595,17.6819195624745 42.7920104665646,17.6753206674669 42.7926455862039,17.6690165159451 42.7942162890565,17.6632491384267 42.7966622876815,17.6582400292204 42.7998896836254,17.6541816562618 42.8037745607132,17.6512300691956 42.808167730232,17.6494988890669 42.8129004482071,17.6490549126042 42.8177908874854,17.649915504455 42.8226511178353,17.6520478837778 42.8272943269601,17.6553703396181 42.8315420050942,17.6597553351315 42.8352308162559,17.6650343868471 42.8382188903965,17.6710045348341 42.8403912923204,17.6774361558423 42.8416644546263,17.6840818171217 42.8419894018584,17.6906858261688 42.8413536400202,17.6969941031384 42.8397816377013,17.7027639894507 42.8373338801752,17.7077736088564 42.8341045336721,17.7118304157473 42.830217811322,17.7147785988989 42.8258231827622,17.7165050554814 42.8210896140929,17.7169437078831 42.8161990619776)))', 'HRPRP', 'Prapratno', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8174918326085 43.7327585006033,15.8167627730743 43.7278839541718,15.8147365644617 43.7232061794286,15.8114913321791 43.7189048732263,15.8071519574333 43.7151452347705,15.8018852525224 43.7120716319642,15.7958935424166 43.7098020706004,15.789406900458 43.7084236763369,15.78267433488 43.7079893605248,15.7759542605664 43.708515795896,15.7695046159957 43.7099827785372,15.7635729979434 43.7123340002612,15.7583871859153 43.7154792023075,15.7541464144695 43.7192976291474,15.7510137249059 43.7236426519068,15.749109688986 43.7283473863296,15.7485077474738 43.7332310919537,15.7492313468581 43.7381061087321,15.751252990507 43.7427850659239,15.7544952479862 43.7470880866596,15.7588336909762 43.7508497107118,15.7641016490308 43.7539252678882,15.770096606401 43.756196454861,15.7765879953781 43.7575758984877,15.7833260850381 43.758010527661,15.7900516195049 43.7574836219426,15.7965058290405 43.756015456852,15.8024404218946 43.7536625205936,15.8076271656751 43.7505153329507,15.8118666839739 43.746694951741,15.814996126272 43.7423483033735,15.8168954151748 43.7376425195884,15.8174918326085 43.7327585006033)))', 'HRPRS', 'Prvic Sepurine', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8344825075494 43.7167534433827,15.8337522857823 43.7118790012334,15.8317253181567 43.7072015209139,15.8284797589185 43.7029006879181,15.8241405015282 43.6991416832675,15.8188743535308 43.6960688505549,15.8128836183555 43.6938001660629,15.8063983318651 43.6924227218613,15.799667450317 43.6919893929085,15.7929493241026 43.6925168141208,15.7865018171365 43.6939847437821,15.7805724443776 43.6963368373562,15.7753888993574 43.6994828025767,15.771150329758 43.7033018545407,15.7680196924035 43.7076473402669,15.7661174802044 43.712352357598,15.7655170637269 43.7172361550821,15.7662418306295 43.7221110690331,15.7682642391128 43.7267897325787,15.7715068290189 43.7310922800898,15.7758451589412 43.7348532695256,15.7811125625343 43.7379280551278,15.7871065452166 43.7401983633041,15.7935965767219 43.7415768547933,15.8003329784072 43.7420104951965,15.8070565594892 43.7414826021821,15.8135086255988 43.7400134892938,15.8194409676884 43.7376596812036,15.8246254401731 43.7345117311975,15.8288627541735 43.7306907263442,15.8319901440199 43.7263436169347,15.8338876112055 43.7216375523169,15.8344825075494 43.7167534433827)))', 'HRPRV', 'Prvic', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8344825075494 43.7167534433827,15.8337522857823 43.7118790012334,15.8317253181567 43.7072015209139,15.8284797589185 43.7029006879181,15.8241405015282 43.6991416832675,15.8188743535308 43.6960688505549,15.8128836183555 43.6938001660629,15.8063983318651 43.6924227218613,15.799667450317 43.6919893929085,15.7929493241026 43.6925168141208,15.7865018171365 43.6939847437821,15.7805724443776 43.6963368373562,15.7753888993574 43.6994828025767,15.771150329758 43.7033018545407,15.7680196924035 43.7076473402669,15.7661174802044 43.712352357598,15.7655170637269 43.7172361550821,15.7662418306295 43.7221110690331,15.7682642391128 43.7267897325787,15.7715068290189 43.7310922800898,15.7758451589412 43.7348532695256,15.7811125625343 43.7379280551278,15.7871065452166 43.7401983633041,15.7935965767219 43.7415768547933,15.8003329784072 43.7420104951965,15.8070565594892 43.7414826021821,15.8135086255988 43.7400134892938,15.8194409676884 43.7376596812036,15.8246254401731 43.7345117311975,15.8288627541735 43.7306907263442,15.8319901440199 43.7263436169347,15.8338876112055 43.7216375523169,15.8344825075494 43.7167534433827)))', 'HRPRV ', 'Prvic ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.1683249867834 45.1332627188317,14.167717176039 45.1283797088855,14.1657755145498 45.1236744371959,14.1625749098577 45.1193276621842,14.1582385583447 45.1155063310126,14.1529331806849 45.1123571786646,14.146862603219 45.1100011067415,14.1402599336551 45.1085285552979,14.1333786304469 45.1079960428436,14.1264828048512 45.1084240051192,14.1198371219309 45.1097960140764,14.1136966809248 45.1120594064217,14.1082972561008 45.11512729799,14.1038462664308 45.1188819079652,14.1005148165013 45.1231790674231,14.0984311126964 45.1278537416212,14.0976755089064 45.1327263565557,14.0982773762868 45.1376096890421,14.1002139237701 45.1423160571957,14.1034110223752 45.1466645356684,14.1077460094903 45.1504879179621,14.1130523721595 45.1536391568283,14.1191261340839 45.1559970330125,14.1257337027509 45.1574708317771,14.1326208738627 45.1580038447192,14.1395226428264 45.157575559903,14.1461734397544 45.1562024544809,14.1523173868461 45.1539373586735,14.1577181760642 45.1508674159827,14.162168180721 45.1471107194896,14.1654964461902 45.1428117557717,14.1675752508932 45.1381358342535,14.1683249867834 45.1332627188317)))', 'HRPRZ', 'Porozina', 'Y'),('SRID=4326;MULTIPOLYGON(((13.8681587246533 44.8673539004791,13.8675788010045 44.8624693483903,13.8656703309338 44.8577590896936,13.8625069444456 44.8534040765654,13.8582104079753 44.8495715746982,13.8529459147411 44.8464087498445,13.8469157244189 44.8440370298337,13.8403513983645 44.8425474560636,13.8335049275498 44.8419972003931,13.8266390900989 44.8424073789346,13.8200174026933 44.8437622451133,13.8138940444592 44.8460097923184,13.8085041328721 44.8490637433606,13.8040547187184 44.8528068516624,13.8007168415486 44.8570953894971,13.7986189490403 44.8617646534464,13.7978419343008 44.8666352782248,13.7984159858239 44.8715201186181,13.8003193774264 44.8762314367405,13.8034792522538 44.8805881191276,13.8077743784899 44.8844226459579,13.8130397776125 44.8875875431965,13.8190730520332 44.8899610675121,13.8256421708706 44.8914519028179,13.8324944134947 44.8920026851971,13.839366123075 44.8915922183508,13.8459928889508 44.8902362927455,13.8521197588444 44.8879870762805,13.8575110806621 44.8849311002747,13.8619595889236 44.8811859195884,13.8652943819931 44.8768955774496,13.8673874817196 44.8722250519658,13.8681587246533 44.8673539004791)))', 'HRPUY', 'Pula', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7850944189841 44.7500714298599,14.7844382221854 44.7451912844038,14.7824589068089 44.7404961123676,14.7792328175095 44.7361662818461,14.7748841197915 44.7323680880715,14.7695799997742 44.7292473776626,14.7635242290486 44.7269239614396,14.756949343455 44.7254870278384,14.7501077348693 44.7249917305062,14.7432619940738 44.7254570789341,14.7366748694365 44.7268652116533,14.730599219718 44.7291620793613,14.7252683395242 44.7322595122237,14.7208870227193 44.7360385933845,14.7176237028452 44.7403542112851,14.7156039709695 44.7450406185158,14.7149057214574 44.7499177862649,14.7155561164154 44.7547983124724,14.717530491847 44.7594946197807,14.720753255159 44.7638261672606,14.7251007471988 44.7676263982887,14.7304059654013 44.7707491560927,14.7364649709878 44.7730743181551,14.7430447356399 44.7745124302517,14.7498921246891 44.7750081593197,14.7567436673291 44.77454243014,14.7633357319127 44.7731331621477,14.7694147076172 44.7708345774804,14.7747467934856 44.7677351073641,14.7791270121015 44.7639539788086,14.7823870971132 44.7596366150694,14.7844019499318 44.7549490293443,14.7850944189841 44.7500714298599)))', 'HRRAB ', 'Rab ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.1022836918686 45.0672828173119,14.10168212752 45.0623994494075,14.0997480562397 45.0576930610826,14.0965560933281 45.0533444541517,14.0922291030675 45.0495206466301,14.0869334469364 45.0463684690236,14.0808725787036 45.0440089393988,14.074279234291 45.0425326307123,14.0674065152365 45.041996205701,14.0605182042484 45.0424202501405,14.0538786786318 45.043788486108,14.0477428015605 45.0460483948232,14.0423461719178 45.0491132255412,14.0378961007101 45.0528653147147,14.03456365621 45.0571605900854,14.0324770816888 45.0618340892896,14.03171683991 45.0667062836387,14.032312478925 45.0715899664332,14.0342414459906 45.0762974427614,14.0374299028767 45.0806477451701,14.0417555190618 45.0844735975231,14.0470521422587 45.0876278580079,14.0531161714725 45.0899891914582,14.0597143895509 45.0914667503013,14.0665929529843 45.092003681475,14.0734871893098 45.091579322145,14.0801318191428 45.0902099981733,14.0862712022383 45.0879483939793,14.0916692059529 45.0848815184294,14.0961183100909 45.081127346378,14.0994475936083 45.0768302671827,14.1015292944651 45.0721555178229,14.1022836918686 45.0672828173119)))', 'HRRAS ', 'Rasa ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2022944616513 45.0832519903478,14.2016842235625 45.078369102248,14.1997414012843 45.0736643595051,14.1965409459804 45.0693185001559,14.1922060474238 45.0654984362298,14.1869033698349 45.0623508541714,14.180836635519 45.0599965954778,14.1742388046062 45.0585260308069,14.167363150084 45.0579956026028,14.1604735669088 45.0584256667521,14.1538344812039 45.0597997145951,14.1477007396663 45.0620650045431,14.1423078599758 45.0651345794521,14.1378630101978 45.068890593656,14.1345370592425 45.0731888240262,14.1324580020619 45.0778641943809,14.1317060135004 45.0827371036777,14.1323103250068 45.0876203171771,14.1342480506326 45.0923261574039,14.1374450151329 45.0966737192395,14.1417785601783 45.1004958314666,14.1470822276089 45.1036454958054,14.1531521444261 45.1060015537504,14.1597548659928 45.1074733607238,14.1666363747638 45.108004285152,14.1735318845254 45.1075738956027,14.1801760668845 45.1061987502749,14.1863132992242 45.1039317578395,14.1917075324222 45.1008601346291,14.1961513923546 45.0971020381452,14.199474160807 45.0928020085245,14.2015483273349 45.0881253958683,14.2022944616513 45.0832519903478)))', 'HRRBC ', 'Rabac ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.3342965778932 43.3996049297272,16.3335305737405 43.3947338750119,16.3314763522892 43.3900653543337,16.3282131075058 43.3857787072461,16.3238664047714 43.3820385691516,16.3186033311048 43.3789885593835,16.312626067231 43.3767457790396,16.3061641295372 43.3753963274243,16.2994655782668 43.3749920068894,16.2927875254984 43.3755483406457,16.2863863014967 43.377043978429,16.2805076502068 43.379421512526,16.2753773236848 43.3825896734735,16.2711924311127 43.3864268226334,16.2681138711154 43.3907856096756,16.2662601371026 43.3954986185648,16.2657027354012 43.4003847876031,16.2664633965212 43.4052563588893,16.268513192912 43.4099260914572,16.2717736042826 43.4142144612546,16.2761194966133 43.417956570612,16.2813839062628 43.4210085000893,16.2873644491156 43.4232528563304,16.2938311095897 43.4246033001144,16.3005351084411 43.4250078780409,16.3072185042453 43.4244510277134,16.3136241533085 43.4229541780393,16.3195056380098 43.4205749212318,16.324636774932 43.4174047890211,16.328820331518 43.4135657201524,16.3318956125353 43.409205357214,16.3337446237693 43.4044913561568,16.3342965778932 43.3996049297272)))', 'HRRGC ', 'Rogac ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0013759017565 43.532704070428,16.000634708611 43.5278306465948,15.9986012895002 43.523156040737,15.9953540430062 43.518859827516,15.9910179241639 43.5151070105217,15.9857596174608 43.5120416961192,15.9797811237369 43.5097815725983,15.9733120085514 43.5084134041966,15.9666006081976 43.5079897106228,15.9599045270404 43.5085267575933,15.9534807851759 43.5100039342661,15.9475759878701 43.5123645411182,15.9424168875011 43.5155179586212,15.9382016948081 43.5193431149269,15.9350924695168 43.5236931215372,15.9332088815649 43.5284009013984,15.9326235843151 43.5332855956804,15.9333593817783 43.5381595051488,15.9353883048906 43.5428353007445,15.938632639545 43.5471332266795,15.9429678740078 43.5508880186189,15.9482274584311 43.5539552695301,15.9542091974543 43.5562169963074,15.9606830314511 43.5575861906317,15.9673999057316 43.5580101766067,15.9741013825743 43.5574726440006,15.9805296204383 43.5559942775889,15.9864373295822 43.5536319580221,15.9915973143274 43.5504765655737,15.9958112292969 43.5466494727597,15.9989172092877 43.5422978628939,16.0007960784299 43.537589057111,16.0013759017565 43.532704070428)))', 'HRRGN ', 'Rogoznica ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4354511478613 45.3331807320259,14.4348184813309 45.3282991918231,14.4328480824307 45.3235984838981,14.4296159642812 45.3192591894898,14.4252465335929 45.315447966679,14.4199077797167 45.3123111608222,14.4138048076511 45.3099691984991,14.4071719652089 45.3085119776858,14.4002638654681 45.3079954285667,14.3933456452027 45.308439374794,14.3866828271225 45.3098267757811,14.3805311677342 45.3121043785251,14.3751268731232 45.3151847543696,14.3706775519285 45.3189496439051,14.367354248582 45.3232544837267,14.3652848612014 45.3279339437976,14.3645491984155 45.3328082653759,14.3651758693303 45.3376901583187,14.3671411326748 45.3423919943444,14.3703697571698 45.3467330204711,14.3747378679824 45.3505463149799,14.3800776767016 45.353685217117,14.3861839177394 45.3560289811632,14.3928217456121 45.357487434846,14.3997357882549 45.3580044602876,14.4066600041397 45.3575601613199,14.4133279577774 45.3561716322312,14.4194831108188 45.3538922977678,14.4248887253017 45.3508098502249,14.4293369916495 45.3470428644093,14.4326570260219 45.3427362228656,14.4347214279735 45.3380555299263,14.4354511478613 45.3331807320259)))', 'HRRJK', 'Rijeka', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5010683427699 43.0322601120721,17.5002157086319 43.0273986977942,17.4980869819529 43.0227526886937,17.494764207023 43.0185005547073,17.4903752222767 43.014805602748,17.4850887253923 43.0118097161694,17.4791077856233 43.0096279192342,17.4726620533716 43.0083439728983,17.4659989643298 43.0080071687203,17.4593742717317 43.0086304421674,17.4530422643223 43.0101898766831,17.447246038928 43.0126256173963,17.4422081946658 43.0158441601778,17.4381223008993 43.0197219297592,17.4351454634267 43.0241100117116,17.4333922738071 43.0288398590075,17.4329303763249 43.0337297563171,17.4337778273908 43.038591795582,17.4359023550828 43.043239095971,17.4392225543685 43.047492990961,17.4436109789321 43.051189905542,17.4488990163789 43.0541876575693,17.4548833629194 43.0563709387824,17.4613338495017 43.0576557622572,17.4680023166291 43.0579927028987,17.4746321923022 43.0573688044642,17.4809683986994 43.0558080786591,17.4867671997361 43.0533705769415,17.4918056041776 43.050150071538,17.4958899573789 43.0462704365085,17.4988633880792 43.0418808702791,17.50061182337 43.037150145845,17.5010683427699 43.0322601120721)))', 'HRROG ', 'Rogotin ', 'Y'),('SRID=4326;MULTIPOLYGON(((13.6682882877507 45.0834170038942,13.6677236014525 45.0785317919677,13.6658248014628 45.0738184762083,13.6626651507546 45.0694581268052,13.6583662764894 45.0656182144814,13.6530934650698 45.0624461891653,13.6470492977257 45.060063831178,13.6404658730932 45.0585625893435,13.6335959144816 45.0580000824346,13.6267030995105 45.0583978960156,13.6200519774238 45.0597407576677,13.6138978539286 45.0619771215735,13.6084770245018 45.065021140348,13.6039977247326 45.0687559497061,13.6006321407556 45.0730381419198,13.5985097848413 45.0777032588146,13.5977124918132 45.0825720959593,13.5982712325734 45.0874575781964,13.600164873497 45.0921719440001,13.6033209370314 45.0965339633217,13.6076183421303 45.1003759112084,13.612892026059 45.1035500278362,13.6189392747569 45.1059342145002,13.6255275204801 45.1074367439772,13.6324033059518 45.1079998014621,13.6393020664648 45.1076017175702,13.6459583476196 45.1062578058729,13.6521160582872 45.1040197720476,13.6575383568768 45.1009737177098,13.6620167841329 45.0972368170404,13.6653792867542 45.0929527961507,13.667496821579 45.0882863916145,13.6682882877507 45.0834170038942)))', 'HRROV ', 'Rovinj ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2016104692518 43.9329441776589,15.2009290115751 43.9280657691184,15.1989440024198 43.9233771500572,15.1957319908337 43.919058436565,15.1914165893485 43.9152754980714,15.1861636968134 43.9121735977422,15.1801751138897 43.9098718272889,15.1736807979143 43.9084585474479,15.1669300532443 43.9079880067558,15.1601819914525 43.9084782663734,15.1536956217911 43.9099105092618,15.1477199454682 43.9122297597644,15.1424844271565 43.9153469864789,15.138190203765 43.919142509091,15.1350023642136 43.9234705804563,15.1330435954539 43.9281649704471,15.1323894403652 43.9330453395814,15.1330653538844 43.9379241597092,15.1350456766892 43.9426139172756,15.1382545731857 43.9469343228641,15.142568905087 43.9507192494389,15.1478229363788 43.953823131167,15.1538146930353 43.9561265746868,15.1603137345478 43.9575409645524,15.1670700371387 43.958011883236,15.1738236430914 43.9575212120308,15.1803146991048 43.9560878306362,15.1862934905157 43.9537668880364,15.191530078408 43.9506476732403,15.1958231630393 43.9468501692297,15.1990078288566 43.9425204247988,15.2009618720806 43.9378249247843,15.2016104692518 43.9329441776589)))', 'HRSAL ', 'Sali ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.551349865166 43.4995390081331,16.5505649911064 43.4946697720698,16.5484905847834 43.4900055327156,16.5452066156372 43.4857254638507,16.5408394441214 43.4819939470922,16.535556941578 43.4789542698779,16.5295620325122 43.4767231361432,16.5230849084006 43.4753861980396,16.5163742103976 43.4749947778944,16.5096875154003 43.4755639043392,16.5032814848357 43.477071736803,16.4974020475742 43.4794604001812,16.4922749872212 43.4826381983079,16.4880972897163 43.4864831227781,16.4850295800407 43.4908475245514,16.4831899376414 43.4955637714042,16.4826493300137 43.5004506763432,16.4834288442632 43.5053204520113,16.4854988292846 43.5099859251361,16.4887799887408 43.5142677341071,16.4931463899282 43.5180012323922,16.4984302787812 43.521042830884,16.5044285197421 43.5232755331499,16.5109104140839 43.5246134482438,16.5176265944273 43.5250051051,16.5243186492379 43.52443543905,16.5307291011051 43.5229263728147,16.536611348055 43.5205359693296,16.5417391787329 43.5173561896761,16.5459154899251 43.5135093439288,16.5489798677045 43.5091433736251,16.5508147398753 43.5044261497829,16.551349865166 43.4995390081331)))', 'HRSBC ', 'Stobrec ', 'Y'),('SRID=4326;MULTIPOLYGON(((17.6509089550443 42.7492196092915,17.6500495902166 42.7443593051113,17.6479205154161 42.7397159173812,17.6446037837921 42.7354678152903,17.6402269979022 42.7317781513377,17.6349583844284 42.7287886066494,17.6290003249421 42.7266139630685,17.622581591969 42.7253377080584,17.6159485866547 42.725008838908,17.6093559103129 42.7256399871486,17.603056626028 42.7272069341494,17.5972925776122 42.7296495363512,17.592285131281 42.7328740254149,17.5882266904347 42.7367565965742,17.5852733063174 42.7411481495829,17.5835386677988 42.7458800026148,17.5830897032394 42.7507703619545,17.5839439678608 42.7556313007822,17.5860689231841 42.7602759800043,17.589383143213 42.764525833814,17.5937594077576 42.768217443029,17.599029569507 42.7712088303749,17.6049910111795 42.7733849334804,17.6114144453421 42.7746620426827,17.6180527551355 42.7749910306497,17.6246505316864 42.7743592477611,17.6309539354493 42.7727910092675,17.6367204954585 42.7703466553461,17.6417284631316 42.7671202210197,17.6457853556994 42.7632358072033,17.6487353576299 42.7588427946709,17.6504652949608 42.7541100874475,17.6509089550443 42.7492196092915)))', 'HRSBR', 'Sobra', 'Y'),('SRID=4326;MULTIPOLYGON(((17.950882313675 42.71613133961,17.950000225992 42.7112739537851,17.9478503325156 42.7066367622414,17.9445154839018 42.7023978947893,17.9401239756931 42.6987201483271,17.9348445968965 42.6957447459326,17.9288801396627 42.6935859265652,17.9224596200472 42.6923265707412,17.9158295066708 42.6920150278855,17.9092442898547 42.6926632654087,17.9029567474666 42.6942464095621,17.897208274619 42.696703695603,17.8922196422023 42.6999407916219,17.8881825340541 42.703833408443,17.8852521847461 42.7082320591772,17.8835414002742 42.7129677880695,17.8831161934949 42.7178586508945,17.8839932064955 42.7227166997627,17.8861390251427 42.7273552050231,17.8894714191362 42.7315958368641,17.8938624666275 42.735275529775,17.8991434487503 42.7382527643493,17.9051113292628 42.7404130226944,17.9115365709464 42.7416732052227,17.9181719862879 42.7419848366508,17.9247622777891 42.7413359360837,17.931053895007 42.7397514782127,17.9368048224732 42.7372924277823,17.9417939156041 42.7340533853144,17.9458294204232 42.730158936314,17.9487563464518 42.725758846603,17.9504624088575 42.7210222910072,17.950882313675 42.71613133961)))', 'HRSDR', 'Sudurad', 'Y'),('SRID=4326;MULTIPOLYGON(((14.9352365181767 44.9830254175351,14.9345650074565 44.9781463254665,14.9325655143188 44.9734539351627,14.9293151612228 44.9691285065399,14.9249390468522 44.9653361643656,14.9196054099092 44.9622225292571,14.9135191536776 44.9599071393521,14.9069139817099 44.9584788743216,14.9000434453217 44.9579925548785,14.8931712425811 44.9584668461759,14.8865611351026 44.9598835441322,14.8804668624738 44.9621882715636,14.8751224342215 44.9652925578926,14.8707331658647 44.969077224017,14.8674677991353 44.9733969445362,14.8654520075853 44.9780858147001,14.8647635386084 44.9829637108562,14.8654291828546 44.9878432022764,14.86742369399 44.9925367503123,14.8706707080198 44.9968639187938,14.875045634603 45.0006583180759,14.8803804158682 45.0037740143652,14.8864699743198 45.0060911557279,14.8930801036723 45.0075205958493,14.8999564978932 45.0080073351192,14.9068345671115 45.0075326444698,14.9134496565938 45.0061147887805,14.9195472682874 45.0038083214893,14.9248928843233 45.0007019780523,14.9292810083541 44.9969152507474,14.9325430728621 44.9925937787715,14.9345539070287 44.9879037335176,14.9352365181767 44.9830254175351)))', 'HRSEN ', 'Senj ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6341702459575 43.1825169150914,16.6333836038763 43.1776480274558,16.6313143967864 43.1729849698106,16.628042389675 43.1687068708736,16.6236934798724 43.1649780373789,16.6184348352442 43.1619416548138,16.6124684637562 43.1597143018359,16.6060234624567 43.1583814866031,16.5993472418977 43.15799437407,16.5926960589052 43.1585678280014,16.5863252153542 43.1600798416997,16.5804792925473 43.1624723790307,16.5753827895853 43.1656535941372,16.5712315198063 43.169501346137,16.5681850922965 43.1738678759957,16.5663607663968 43.1785854684077,16.5658289171415 43.1834728836012,16.5666102901739 43.1883423139347,16.5686751577902 43.1930065992288,16.5719444156485 43.1972864238673,16.5762925849677 43.2010172183941,16.5815526106148 43.2040554987724,16.587522274377 43.2062843974198,16.5939719779875 43.2076181708639,16.6006535950094 43.2080055082711,16.6073100470538 43.2074315116414,16.6136852300793 43.2059182702933,16.6195339021377 43.2035240072598,16.6246311455798 43.2003408311211,16.6287810343368 43.1964911813084,16.6318241695713 43.1921231057812,16.6336437931618 43.1874045551586,16.6341702459575 43.1825169150914)))', 'HRSGD ', 'Stari Grad ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.4678244278844 44.2998626851576,15.4671166052619 44.2949862907692,15.4650980358502 44.2903027408332,15.4618465616668 44.285991954512,15.4574873124373 44.2822194945019,15.4521878700248 44.2791302195356,15.4461518195578 44.2768427349999,15.4396109363901 44.2754448522771,15.4328163075124 44.2749902286849,15.4260287242933 44.2754963149472,15.4195087093988 44.2769436876387,15.4135065537254 44.2792767917936,15.4082527388455 44.2824060657175,15.4039491068057 44.2862113678812,15.4007611124995 44.2905465764606,15.3988114549563 44.2952451874079,15.3981753338411 44.300126698552,15.3988775177221 44.3050035366094,15.4008913431138 44.3096882623711,15.4041396902326 44.3140007776662,15.4084979054205 44.3177752565779,15.4137985642385 44.3208665330142,15.4198378963723 44.3231556968825,15.4263836268643 44.324554681137,15.4331839307622 44.3250096607618,15.4399771527264 44.3245031308301,15.4465019116422 44.3230545823119,15.4525071943786 44.3207197491822,15.4577620432966 44.3175884563563,15.4620644589273 44.3137811527231,15.4652491715653 44.3094442648121,15.4671939817859 44.3047445523339,15.4678244278844 44.2998626851576)))', 'HRSGR ', 'Starigrad ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.9174909289208 43.7327283249983,15.9167537697462 43.7278544874207,15.9147198102706 43.7231785533188,15.911467473074 43.7188801483355,15.9071219113932 43.7151243598742,15.9018501741141 43.7120554077865,15.8958547784388 43.7097911192688,15.8893659383745 43.7084184176818,15.8826327459938 43.7079899961012,15.8759136400683 43.7085223013194,15.869466522125 43.7099949044147,15.8635388925289 43.712351281684,15.8583583785171 43.7155009765527,15.8541240122196 43.719323060935,15.8509985899503 43.7236707652724,15.8491024051648 43.7283771019227,15.8485085975483 43.7332612683601,15.8492403012116 43.7381355862558,15.851269707818 43.7428127111589,15.8545190879205 43.7471128361377,15.8588637384733 43.7508706119357,15.8641367493022 43.7539415161471,15.8701354093194 43.7562074243823,15.8766290075515 43.7575811666931,15.8833677275376 43.7580098915629,15.8900922889778 43.7574771060262,15.8965439597913 43.7560033121289,15.90247454648 43.7536452148631,15.9076559716164 43.7504935326574,15.9118890643609 43.7466694961519,15.9150112222871 43.7423201720978,15.9169026489063 43.7376127947246,15.9174909289208 43.7327283249983)))', 'HRSIB ', 'Sibenik ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7348648205182 44.3670862477788,14.7342169634417 44.362205505729,14.7322544827947 44.3575091884856,14.7290530710927 44.3531777092697,14.724735942289 44.3493774281448,14.7194690685934 44.3462542735512,14.7134547920879 44.3439281517309,14.706924058158 44.3424883562491,14.7001275677682 44.3419901513739,14.693326184431 44.3424526583611,14.6867809582618 44.3438581243503,14.6807431430801 44.346152601407,14.6754445827499 44.3492480100975,14.6710888298539 44.353025509749,14.6678433336988 44.3573400480843,14.665832996263 44.3620259180229,14.6651353450766 44.3669031107567,14.6657775126456 44.3717842232332,14.6677351447498 44.3764816561501,14.6709332870203 44.3808148264354,14.6752492232454 44.3846171165756,14.6805171627752 44.3877422922764,14.686534601265 44.3900701396003,14.6930701119462 44.3915111022896,14.6998722666369 44.3920097383793,14.7066793394852 44.3915468609651,14.7132294141987 44.3901402793015,14.7192704988105 44.3878441111746,14.7245702517158 44.3847466934682,14.728924938774 44.38096717271,14.7321672729433 44.376650908872,14.7341728336292 44.3719638717267,14.7348648205182 44.3670862477788)))', 'HRSIL ', 'Silba ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4025262964065 45.466569237994,16.40172278844 45.4617007868743,16.3995852874967 45.4570361533794,16.3961962160026 45.4527545224159,16.3916859924233 45.4490203292113,16.3862279923134 45.4459769562155,16.3800318780436 45.4437412413189,16.3733355546576 45.4423990056499,16.3663960589861 45.4420017701156,16.3594797273295 45.4425647846582,16.3528520126621 45.4440664445736,16.3467673347435 45.4464491159661,16.3414593454113 45.4496213393438,16.3371319767075 45.4534613283728,16.3339516117079 45.457821631756,16.3320406777159 45.462534781858,16.3314729099437 45.4674197157135,16.3322704724568 45.4722887239014,16.3344030539133 45.4769546616622,16.3377889808341 45.4812381455268,16.3422983134871 45.4849744581807,16.3477578119537 45.488019894507,16.3539575857529 45.4902573024917,16.3606591727112 45.4916006032491,16.3676047346663 45.4919981137217,16.3745270117802 45.4914345421105,16.3811596459356 45.4899315779282,16.3872474684255 45.4875470536335,16.3925563486801 45.4843727108063,16.3968822190234 45.4805306584473,16.4000589244922 45.4761686619769,16.4019645949138 45.4714544467875,16.4025262964065 45.466569237994)))', 'HRSIS ', 'Sisak ', 'Y'),('SRID=4326;MULTIPOLYGON(((17.933918796381 42.7821352962001,17.9330368044887 42.7772778165989,17.9308856018996 42.7726403833108,17.9275480904901 42.7684011353558,17.9231526687854 42.76472288408,17.9178682764805 42.7617468717181,17.9118978982848 42.759587360397,17.9054707772992 42.7583272569615,17.8988336350267 42.7580149393547,17.892241230912 42.7586624046313,17.8859466179957 42.7602448086929,17.8801914621945 42.7627014153178,17.8751967905667 42.7659379188806,17.8711545187358 42.7698300532155,17.8682200798159 42.7742283502486,17.8665064374563 42.7789638680806,17.8660797151449 42.7838546708096,17.8669566142043 42.7887128129856,17.8691037259134 42.7933515613986,17.8724387711951 42.797592576813,17.8768337269702 42.8012727788033,17.8821197244779 42.8042506281561,17.8880935346319 42.8064115830791,17.894525391847 42.8076725169523,17.9011678535716 42.8079849254055,17.907765350522 42.8073367975536,17.914064054319 42.8057530783662,17.9198216762461 42.8032947042811,17.9248168138002 42.8000562500037,17.9288574804255 42.7961622786784,17.9317884873863 42.7917625380442,17.9334973935184 42.7870261897754,17.933918796381 42.7821352962001)))', 'HRSLA ', 'Slano ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7523389400596 45.1500820991493,14.7516810935315 45.1452021045791,14.7496908008588 45.1405066703248,14.7464448346953 45.1361761737998,14.7420681287224 45.1323769345556,14.7367289472386 45.1292548377912,14.7306324083052 45.1269297459271,14.7240126109217 45.1254909102924,14.7171236672794 45.1249935565307,14.7102299803759 45.1254567726332,14.7035961340908 45.1268627791976,14.6974767765232 45.1291576093828,14.692106877615 45.1322531729264,14.6876927288403 45.1360306264046,14.6844040263574 45.1403449224869,14.6823673401991 45.145030366064,14.68166122189 45.1499069664581,14.6823131427831 45.1547873439438,14.6842983872888 45.1594839267584,14.6875409512907 45.1638161626308,14.6919164190559 45.1676174672099,14.6972567147927 45.1707416408682,14.7033565508056 45.1730685049967,14.7099813261452 45.1745085384553,14.7168761707709 45.175006333242,14.7237757833133 45.1745427342236,14.7304146777669 45.1731355790979,14.7365374374947 45.1708390095644,14.7419085746068 45.1677413806855,14.7463216091247 45.1639618503138,14.7496070145264 45.1596457819679,14.7516387227302 45.1549591405681,14.7523389400596 45.1500820991493)))', 'HRSLC', 'Selce', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5343785204484 43.5495436957517,16.5335942462779 43.5446743736345,16.5315193160105 43.5400098717883,16.5282337199906 43.5357293740436,16.523863881779 43.5319972783805,16.5185777755127 43.5289568943024,16.5125784641827 43.526724952692,16.5060963081201 43.5253871365276,16.499380141263 43.5249948016915,16.4926877499026 43.5255630118369,16.4862760135406 43.5270699615561,16.4803910795486 43.5294578097045,16.4752589421803 43.5326348915631,16.4710767821639 43.5364792264339,16.468005395974 43.5408431881515,16.466163004664 43.545559161623,16.4656206819589 43.5504459705501,16.4663995816455 43.5553158313949,16.4684700770712 43.5599815676619,16.4717528530558 43.5642638075916,16.4761219153639 43.5679978879721,16.4814094079831 43.5710401971449,16.4874120568638 43.5732737111489,16.4938989935631 43.574612507623,16.5006206563341 43.5750050814414,16.5073184221815 43.574436332568,16.5137345933863 43.5729281484271,16.5196223474118 43.5705385580929,16.5247552606804 43.5673594915166,16.5289360343405 43.5635132315515,16.5320040829788 43.5591476974413,16.5338416936538 43.5544307436609,16.5343785204484 43.5495436957517)))', 'HRSLN ', 'Solin ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7023387883096 45.1500975701513,14.7016852092751 45.1452172986645,14.699699024421 45.1405210038799,14.6964568488884 45.1361890965295,14.6920834712115 45.1323879505495,14.6867470284057 45.129263524474,14.6806525339094 45.1269357701824,14.6740340086861 45.1254940411559,14.667145516396 45.1249936739841,14.6602514428214 45.1254538721705,14.653616386584 45.1268569719975,14.6474950419342 45.1291491180792,14.642122454653 45.1322423231342,14.6377050189067 45.1360178343129,14.6344125565461 45.1403306789813,14.6323717815622 45.1450152179698,14.6316614022518 45.1498914956092,14.6323090535843 45.1547721448687,14.6342901841632 45.1594695838344,14.6375289483147 45.1638032275833,14.6419010768568 45.1676064378284,14.6472386229442 45.17073294177,14.6533364051748 45.1730624711926,14.6599599020578 45.1745054023669,14.6668542930424 45.1750062156872,14.6737542943229 45.1745456397276,14.6803944048371 45.1731413957186,14.6865191608665 45.1708475132375,14.6918929972788 45.167752243917,14.6963093297397 45.1639746548724,14.6995985043643 45.1596600350741,14.70163430769 45.1549742939388,14.7023387883096 45.1500975701513)))', 'HRSLO ', 'Silo ', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((16.38435241967 43.4995891779975,16.3835809390804 43.4947186131634,16.3815193087957 43.4900511691438,16.3782470084505 43.4857661436519,16.3738899517586 43.4820281092859,16.3686156232988 43.4789806040979,16.362626635357 43.476740632618,16.356152953444 43.4753941860553,16.3494430874453 43.4749929513161,16.3427545825771 43.4755523332462,16.3363441693466 43.4770508648124,16.3304579438823 43.4794310275586,16.325321948975 43.4826014514914,16.3211335119716 43.4864404114438,16.3180536686579 43.490800487817,16.3162009631857 43.4955142151806,16.3156468640386 43.5004005041898,16.3164129764962 43.5052715921135,16.3184701649467 43.50994025619,16.3217396259841 43.5142270129641,16.3260958781539 43.5179670262656,16.3313715593593 43.5210164567673,16.3373638513717 43.5232580068278,16.3438422856658 43.5246054449129,16.3505576288488 43.5250069331659,16.3572515018521 43.5244470281458,16.363666356918 43.5229472765217,16.3695554216884 43.5205653824925,16.3746922211144 43.517392979624,16.3788793053691 43.5135520943582,16.3819558446111 43.5091904394055,16.3838037977037 43.5044757205203,16.38435241967 43.4995891779975)))', 'HRSLT', 'Slatine', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9172209360033 43.2824313488754,16.9164102562625 43.277564939293,16.914315996653 43.2729075515179,16.9110188841992 43.2686380948395,16.9066457789817 43.2649205427066,16.9013647756425 43.2618976464489,16.8953787377963 43.2596854664734,16.8889175146754 43.2583689285065,16.8822291371899 43.2579985731732,16.8755703273181 43.2585886218209,16.8691966793155 43.2601164316985,16.8633528829652 43.2625233611715,16.8582633576736 43.2657170124706,16.8541236516649 43.2695747674217,16.8510929332189 43.2739484825651,16.8492878615741 43.2786701658127,16.8487780748815 43.2835584189884,16.8495834729738 43.2884254006945,16.851673405602 43.293084043176,16.8549678044851 43.2973552461258,16.8593402226593 43.3010747702416,16.8646226700797 43.304099563977,16.8706120632839 43.3063132780512,16.8770780422168 43.307630753185,16.8837718519388 43.308001306078,16.8904359434621 43.3074106853061,16.8968139184469 43.3058816207213,16.9026604283662 43.3034729449759,16.9077506406976 43.3002773216938,16.9118889026222 43.2964176692654,16.9149162657093 43.2920424200242,16.9167165815438 43.2873197996106,16.9172209360033 43.2824313488754)))', 'HRSMN ', 'Sumartin ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6342733499042 43.3665152647503,16.6334838804334 43.361646567159,16.6314079956288 43.3569837567368,16.6281257194481 43.3527059522744,16.623763345353 43.3489774485711,16.618488559052 43.3459414177243,16.6125039881018 43.34371442417,16.6060394271901 43.3423819616668,16.5993430360137 43.3419951812347,16.5926718436428 43.3425689337613,16.5862819180598 43.3440812012422,16.5804185715277 43.3464739382151,16.5753069712288 43.3496552917677,16.5711435102578 43.3535031164137,16.5680882669184 43.3578696510323,16.5662588410898 43.3625871807235,16.5657258063139 43.3674744685068,16.5665099566985 43.3723437117532,16.5685814606573 43.3770077573054,16.5718609611766 43.3812872983357,16.5762225873642 43.385017775668,16.5814987673745 43.3880557167381,16.5874866614718 43.3902842662956,16.5939559690499 43.3916176936942,16.6006578077742 43.3920047010175,16.6073343192345 43.3914304028353,16.6137286256643 43.3899169002235,16.6195947478561 43.387522426682,16.6247070960591 43.3843390995,16.6288691633177 43.3804893646312,16.6319210835089 43.3761212740103,16.6337457626729 43.3714027794244,16.6342733499042 43.3665152647503)))', 'HRSPL ', 'Splitska ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4843509251452 43.4995591357078,16.4835714237104 43.494689361567,16.4815021409827 43.4900238317409,16.4782228499761 43.4857417699142,16.4738597320429 43.4820076344927,16.4685805035281 43.4789648136062,16.4625879638825 43.4767301319067,16.4561122141598 43.4753893776622,16.4494018431029 43.4749940195205,16.4427144151607 43.4755592370649,16.4363066197361 43.4770633395649,16.4304244530536 43.4794485949438,16.4252938029335 43.4826234378023,16.4211117924884 43.486465973246,16.4180392116783 43.4908286441354,16.4161943265103 43.4955438849935,16.4156483055489 43.5004305478182,16.416422443813 43.5053008549406,16.4184872969834 43.5099676130416,16.4217637664058 43.5142514114432,16.426126100289 43.5179875273619,16.4314067016532 43.5210322711552,16.4374025620444 43.5232685254259,16.4438830748557 43.5246102624961,16.4505989262067 43.5250058640915,16.4572917173228 43.5244401135652,16.4637039423057 43.5229347827894,16.4695889305708 43.5205477908348,16.4747203647375 43.5173709674788,16.47890100233 43.5135265091287,16.4819702623935 43.5091622656689,16.4838103844746 43.504446041986,16.4843509251452 43.4995591357078)))', 'HRSPU', 'Split', 'Y'),('SRID=4326;MULTIPOLYGON(((15.9515389098938 43.8167176306169,15.9507978387302 43.8118441181322,15.9487582761227 43.8071689079014,15.9454988608657 43.8028715973947,15.9411450185895 43.7991172315657,15.9358641162267 43.7960499752305,15.9298590224831 43.7937875901338,15.9233603229259 43.7924169263275,15.9166174871376 43.791990598563,15.9098893230521 43.7925249733045,15.9034340790417 43.7939995423654,15.8974995668606 43.7963577068456,15.8923136778486 43.7995089418781,15.888075650862 43.8033322605545,15.884948423595 43.8076808461685,15.8830523599979 43.8123876773731,15.8824605964847 43.8172719326515,15.8831961900438 43.8221459301249,15.885231184111 43.8268223373909,15.8884876354106 43.8311213747414,15.8928405695482 43.834877734327,15.8981227578479 43.8379469478001,15.9041311358325 43.8402109554595,15.9106346179388 43.8415826602326,15.9173830064845 43.8420092888901,15.9241166481778 43.8414744291593,15.9305764607298 43.8399986630624,15.9365139368667 43.8376387717375,15.9417007340137 43.8344855429481,15.9459374750601 43.8306602671342,15.949061418085 43.8263100589584,15.9509526991345 43.821602186788,15.9515389098938 43.8167176306169)))', 'HRSRD', 'Skradin', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3349521217542 44.517208873505,14.3343360672554 44.5123261818021,14.3324008028102 44.507623280558,14.3292209798629 44.5032808376512,14.3249189882293 44.4994656353002,14.3196602237491 44.4963241752486,14.3136467212392 44.493977066177,14.3071093990702 44.4925144063859,14.300299212067 44.4919923365232,14.2934775486186 44.4924308925371,14.2869062347878 44.4938132397897,14.2808375221094 44.4960863171469,14.2755044363215 44.4991628667234,14.2711118514551 44.502924772697,14.2678286278708 44.5072275830733,14.2657811146457 44.5119060432616,14.2650482672618 44.5167804314899,14.2656585722622 44.5216634549103,14.2675889032932 44.5263674429886,14.2707653599776 44.5307115623859,14.275066064983 44.5345287756535,14.2803258183478 44.5376722749039,14.2863424347073 44.5400211410071,14.2928845216358 44.5414850081702,14.2997003989168 44.5420075519335,14.3065278118671 44.5415686642018,14.3131040591139 44.5401852301141,14.3191761380538 44.5379104762654,14.3245105104664 44.5348319157719,14.3289021064445 44.5310679705997,14.3321822161776 44.5267634031928,14.3342249646445 44.5220837356335,14.3349521217542 44.517208873505)))', 'HRSSK ', 'Susak ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.3842772739841 43.3665901857199,16.3835077591042 43.3617194870404,16.3814509044647 43.3570518748189,16.3781860044498 43.3527666535397,16.3738386872752 43.3490284037729,16.3685760629135 43.3459806723685,16.3626002943809 43.343740473063,16.3561408404413 43.3423938062493,16.3494456660376 43.3419923675761,16.3427717539115 43.3425515698126,16.3363752758578 43.3440499527119,16.3305017942102 43.3464300032251,16.3253768631337 43.3496003552247,16.3211973851258 43.3534392857884,16.318124051177 43.3577993759328,16.3162751540235 43.3625131592694,16.315722013967 43.3673995440226,16.3164861973116 43.3722707636944,16.3185386404961 43.3769395905791,16.3218007207401 43.3812265352709,16.3261472391128 43.3849667548261,16.3314112072527 43.3880164025122,16.3373902575663 43.3902581728562,16.3438544316685 43.3916058262887,16.350555046014 43.3920075169568,16.3572342896786 43.3914477937276,16.3636351791884 43.3899481961643,16.3695114806052 43.3875664222376,16.3746372104803 43.3843941004493,16.3788153447067 43.3805532536044,16.3818853968735 43.3761915924222,16.383729573866 43.3714768224678,16.3842772739841 43.3665901857199)))', 'HRSTM', 'Stomorska', 'Y'),('SRID=4326;MULTIPOLYGON(((17.7339519833947 42.832193780921,17.7330846626327 42.8273343769516,17.7309462877598 42.8226928473205,17.7276192697305 42.8184474892434,17.7232316061907 42.8147613492596,17.7179519410432 42.8117759726976,17.7119830793015 42.8096059810407,17.7055542070748 42.8083346830203,17.6989121135741 42.8080108856837,17.692311747987 42.8086470260837,17.6860064679216 42.8102186942815,17.6802383471927 42.8126655658523,17.6752289087205 42.8158937088968,17.6711706332595 42.8197791786022,17.6682195669635 42.8241727635151,17.6664893111709 42.8289057036864,17.6660466274001 42.8337961633705,17.6669088308894 42.8386562114634,17.6690430790476 42.8432990425628,17.672367589175 42.8475461613164,17.6767547454312 42.8512342531381,17.6820359811437 42.8542214755498,17.6880082521953 42.8563929260541,17.6944418534403 42.8576650738233,17.7010892757173 42.8579889824432,17.7076947585799 42.8573521979193,17.7140041653607 42.8557792282523,17.7197747939898 42.8533305960042,17.7247847397422 42.8501005011216,17.7288414446353 42.846213185567,17.7317891016208 42.8418181418076,17.7335146283968 42.8370843518883,17.7339519833947 42.832193780921)))', 'HRSTO ', 'Ston ', 'Y'),('SRID=4326;MULTIPOLYGON(((18.1338571440666 42.667852826034,18.1334307291025 42.6629619596334,18.1317198073883 42.6582264507715,18.128790396286 42.6538282352294,18.1247552651021 42.6499362521302,18.1197695720305 42.6466999641689,18.1140248878389 42.6442436296701,18.107741838018 42.6426615441897,18.1011616455083 42.6420144319799,18.0945368957776 42.6423271236873,18.0881218738094 42.6435876078235,18.0821628377212 42.645747491592,18.0768885958723 42.6487238534804,18.072501743409 42.6524024174974,18.0691708905354 42.6566419289453,18.0670241790458 42.6612795659633,18.0661443368403 42.6661371814279,18.066565463652 42.6710281376614,18.0682716768223 42.6757644730324,18.0711976758222 42.6801641259312,18.0752312108067 42.6840579384104,18.0802173665897 42.6872961692687,18.0859645019604 42.6897542643929,18.0922516182587 42.6913376601875,18.0988368734596 42.6919854329171,18.1054669113461 42.6916726513764,18.1118866418599 42.6904113407305,18.1178490900498 42.6882500196044,18.1231249280953 42.6852718283354,18.127511317844 42.6815913214217,18.1308397195367 42.6773500493492,18.1329823645496 42.6727111020178,18.1338571440666 42.667852826034)))', 'HRSTP', 'Sustjepan', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2171218580077 43.116343632333,17.2162901547087 43.1114796883392,17.2141794919819 43.106828039426,17.2108712229985 43.1025673733562,17.206492632245 43.0988613254515,17.2012120213768 43.095852205355,17.1952322362508 43.0936555451372,17.1887828846582 43.0923556756796,17.1821115418375 43.0920024988736,17.1754742772927 43.0926095777128,17.1691258607494 43.0941536164979,17.1633100165675 43.0965753509144,17.1582500942992 43.0997818145592,17.1541405083387 43.1036498964764,17.1511392721555 43.1080310552749,17.149361913166 43.1127570112416,17.1488770040045 43.1176462001725,17.1497034863198 43.1225107428989,17.15180989616 43.1271636638785,17.1551155278171 43.1314260816877,17.1594934983142 43.1351340943189,17.1647756004248 43.1381450930171,17.1707587612646 43.1403432597115,17.1772128591208 43.1416440341732,17.1838895961789 43.141997376732,17.1905320817103 43.1413896991597,17.1968847511412 43.1398443883073,17.2027032326476 43.1374209021506,17.2077637751691 43.1342124737791,17.2118718698842 43.1303425132607,17.2148697303526 43.1259598479864,17.2166423430803 43.1212329870164,17.2171218580077 43.116343632333)))', 'HRSUC ', 'Sucuraj ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5842831990444 43.382530109348,16.5834974745251 43.3776610205498,16.5814248111877 43.3729972638912,16.5781451097468 43.3687179947212,16.5737845653528 43.3649875642217,16.5685107940155 43.3619492185158,16.562526384791 43.3597196108669,16.5560611264671 43.3583843352687,16.5493632056207 43.3579946505661,16.5426897099369 43.358565518961,16.5362967955214 43.3600750330187,16.5304298889415 43.3624652528945,16.5253142935564 43.3656444223115,16.5211465553737 43.3694904797378,16.5180869165627 43.373855732097,16.5162531456013 43.3785725139884,16.5157159829317 43.3834596174497,16.516496381463 43.3883292472312,16.5185646541821 43.3929942355875,16.521841568806 43.3972752396549,16.5262013544523 43.4010076441294,16.5314765106244 43.4040479023682,16.5374642374383 43.4062790699419,16.5439342410336 43.4076153153723,16.5506376124083 43.408005232166,16.5573164340832 43.4074338227874,16.5637137391181 43.4059230770311,16.5695834325134 43.403531122257,16.5746997866427 43.4003499788647,16.5788661399876 43.396502008906,16.5819224612082 43.3921351966229,16.5837514868998 43.3874174449002,16.5842831990444 43.382530109348)))', 'HRSUP ', 'Supetar ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4513798128952 43.5495686528991,16.4506022065079 43.5446986668546,16.448533635846 43.5400325680251,16.4452538474415 43.5357496019995,16.4408890425118 43.5320142618616,16.4356070027362 43.5289699818703,16.4296106357819 43.5267336425115,16.4231301896157 43.5253910954817,16.4164144329692 43.5249938780565,16.4097211365143 43.5255572410495,16.4033072142991 43.5270595648593,16.3974188971152 43.5294431857251,16.3922823083924 43.5326166011303,16.3880947989544 43.5364579712036,16.3850173699004 43.5408197838289,16.3831684737193 43.5455345067859,16.3826194336081 43.550421012244,16.3833916613524 43.5552915288029,16.3854557869335 43.559958855236,16.3887327405422 43.564243559063,16.3930967525336 43.5679808826361,16.3983801619469 43.5710270897361,16.4043798526004 43.5732650064923,16.4108650705247 43.5746085410637,16.4175863205308 43.57500600583,16.4242849956318 43.5744421123222,16.430703362929 43.5729385609079,16.436594514907 43.5705532022398,16.4417318965647 43.5673778033991,16.4459180363619 43.5635345062175,16.4489921417155 43.5591711161957,16.4508362661402 43.554455405698,16.4513798128952 43.5495686528991)))', 'HRSUR ', 'Sucurac ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3525445501813 45.4832070069911,14.3519174968695 45.4783251659982,14.349948906086 45.4736231605426,14.3467147243463 45.469281621798,14.3423394401022 45.4654672938528,14.3369912692805 45.4623266408756,14.3308756793365 45.4599802365752,14.3242275024058 45.4585181488289,14.3173019392314 45.457996494086,14.3103647952582 45.458435291587,14.303682317547 45.459817698234,14.2975110152355 45.4620906528807,14.292087846835 45.4651669057335,14.2876211446597 45.4689283563426,14.2842826205054 45.4732305741716,14.2822007579841 45.4779083307478,14.2814558467642 45.4827819335634,14.2820768538035 45.487664120717,14.2840402583725 45.4923672529963,14.2872709035094 45.496710527679,14.2916448391787 45.5005269363963,14.2969940547623 45.5036696982008,14.3031129237506 45.5060179183339,14.3097661148033 45.5074812524741,14.3166976638228 45.5080033944194,14.3236408540724 45.5075642507573,14.330328518 45.5061807172857,14.3365033569127 45.5039060266998,14.3419278738843 45.5008276930744,14.3463935312937 45.4970641336384,14.349728776402 45.4927600999776,14.3518056248026 45.4880810970087,14.3525445501813 45.4832070069911)))', 'HRSUS ', 'Susak ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5172842800728 43.3825501936706,16.5165039057118 43.3776805643358,16.514436343568 43.3730155165028,16.5111612987891 43.3687342554514,16.5068047882463 43.36500120911,16.5015342737067 43.3619597241846,16.49555221983 43.359726574484,16.4890883255182 43.3583874898914,16.4823907253328 43.3579938752979,16.4757164947504 43.3585608435463,16.4693218179281 43.3600666367069,16.4634521886949 43.3624534576152,16.4583330143678 43.3656296804145,16.4541609777154 43.3694733567515,16.4510964853339 43.373836885146,16.4492574915902 43.3785526666776,16.4487149372304 43.3834395321585,16.4494899822465 43.3883096958673,16.4515531455478 43.3929759699166,16.4548253916704 43.3972589623463,16.4591811298135 43.4009939816418,16.4644530158013 43.4040373807324,16.4704383761846 43.4062720943951,16.4769070086758 43.4076121546476,16.4836100573682 43.408006008063,16.4902896172986 43.40743850544,16.4966886929644 43.4059314860623,16.5025611208523 43.4035429337748,16.5076810675758 43.4003647380212,16.5118517327767 43.3965191475194,16.5149129186506 43.3921540551637,16.5167471742166 43.3874372979731,16.5172842800728 43.3825501936706)))', 'HRSUT ', 'Sutivan ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.9522059419731 44.9330201597336,14.9515335726063 44.9281411241765,14.9495344284868 44.9234489898541,14.9462856178048 44.9191240068772,14.9419121792992 44.915332283005,14.9365822484567 44.9122194152786,14.9305005860991 44.9099049125702,14.9239007195515 44.9084776206856,14.9170359968605 44.9079923231405,14.9101698935026 44.9084676459567,14.903565937606 44.9098853454706,14.8974776332121 44.9121910059779,14.8921387611639 44.9152961209262,14.8877544238445 44.9190814791856,14.8844931735298 44.9234017285327,14.8824805252701 44.9280909436652,14.8817941050496 44.9329689874731,14.8824606239597 44.9378484234136,14.884454801142 44.9425417149115,14.887700284577 44.9468684356864,14.8920725420694 44.9506622134155,14.8974036179318 44.9537771383767,14.9034885770243 44.9560933885023,14.9100933901243 44.9575218519578,14.9169639561168 44.9580075668665,14.9238359099351 44.9575318436664,14.9304448327705 44.9561129869762,14.9365364644098 44.9538055886699,14.9418765174675 44.9506984198642,14.9462597097633 44.9469110043704,14.9495176633415 44.9425890076071,14.9515253650504 44.9378986209045,14.9522059419731 44.9330201597336)))', 'HRSVJ ', 'Sveti Juraj ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.4846001955204 43.9168585062767,15.4838958235781 43.911981874328,15.4818891832942 43.9072982541354,15.4786576528482 43.9029875683585,15.4743255918795 43.899215377078,15.4690595360658 43.8961265302085,15.4630617886593 43.893839618226,15.4565626565321 43.8924424318476,15.4498116274906 43.8919886025626,15.443067823669 43.8924955509544,15.4365900916424 43.8939438202453,15.4306271028107 43.8962778202199,15.4254078372573 43.8994079535125,15.4211328106912 43.9032140440608,15.4179663775791 43.9075499382022,15.4160304048941 43.9122491042026,15.4153995611173 43.9171310176251,15.4160984057202 43.9220080893394,15.4181003972009 43.9266928713769,15.4213288651179 43.9310052641977,15.4256599160743 43.9347794478395,15.4309271681584 43.9378702690687,15.4369281359974 43.940158836831,15.4434320224378 43.9415571083315,15.4501886158718 43.9420112868807,15.4569379470362 43.941503898723,15.4634203278673 43.9400544675863,15.4693863792266 43.9377187605669,15.4746066547888 43.9345866349127,15.4788804850812 43.930778570005,15.4820436977595 43.9264410200847,15.4839749161328 43.9217407689631,15.4846001955204 43.9168585062767)))', 'HRTKN', 'Tkon', 'Y'),('SRID=4326;MULTIPOLYGON(((15.6845313918618 43.7997983858958,15.6838122352186 43.7949229822168,15.6817940261245 43.7902428515961,15.6785545843851 43.7859377819014,15.674218570608 43.7821731171557,15.66895266968 43.779093418289,15.6629591769786 43.7768169249319,15.6564682350113 43.7754310284707,15.6497290171769 43.7749889277642,15.6430001931897 43.7755075939044,15.6365400363546 43.7769671208473,15.6305965456174 43.7793114864434,15.6253979548176 43.782450695219,15.6211439878436 43.7862642220926,15.6179981917837 43.7906056269224,15.6160816414081 43.7953081651511,15.615468258481 43.800191181513,15.6161819299881 43.8050670432595,15.6181955422398 43.8097483478774,15.6214319752576 43.8140551287692,15.6257670264851 43.8178217813976,15.6310341575755 43.8209034421956,15.637030885871 43.8231815728462,15.6435265762745 43.8245685327,15.6502713324806 43.825010961006,15.6570056416072 43.824491836798,15.6634703952859 43.8230311358569,15.6694168947432 43.8206850590629,15.6746164480892 43.8175438624044,15.6788691848975 43.8137283735998,15.682011745362 43.8093853314773,15.6839235473029 43.804681729857,15.6845313918618 43.7997983858958)))', 'HRTNO ', 'Tisno ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.1352226487677 44.9672721612088,14.1346192001924 44.9623888686831,14.1326856623214 44.9576829615301,14.1294966282282 44.9533352231326,14.1251748482731 44.9495126383586,14.1198864829034 44.9463619910896,14.1138347055943 44.9440042410271,14.1072519035001 44.942529893197,14.1003907742295 44.9419955353813,14.0935146567404 44.942421674196,14.0868874615692 44.9437919513533,14.080763579765 44.9460537695725,14.0753781506108 44.9491203044986,14.0709380554914 44.9528738267283,14.0676139794228 44.9571702084867,14.0655338434952 44.961844444435,14.0647778618361 44.9667169771714,14.0653754171437 44.9716005867096,14.067303881208 44.9763075808316,14.0704894333962 44.9806570106735,14.0748098534368 44.9844816338603,14.0800991879178 44.987634356181,14.0861541158265 44.989993902026,14.092741770359 44.9914694929776,14.0996087151661 44.9920043519997,14.1064907259267 44.991577896172,14.1131229949064 44.9902065320448,14.1192503586143 44.9879430223803,14.1246371476794 44.9848744490408,14.1290762736836 44.9811188517599,14.1323971991508 44.9768206742199,14.1344724826416 44.972145195151,14.1352226487677 44.9672721612088)))', 'HRTNR', 'Tunarica', 'Y'),('SRID=4326;MULTIPOLYGON(((15.782502459464 43.750768985599,15.7817759960608 43.7458942115541,15.7797518747597 43.7412158153294,15.7765081412369 43.7369135177859,15.7721696196125 43.7331525562737,15.7669030898601 43.7300773495045,15.7609108705595 43.7278059647953,15.7544230547906 43.7264255976981,15.7476886958682 43.7259892351684,15.7409662773735 43.7265136283791,15.7345138274914 43.7279786517128,15.7285790503227 43.7303280721523,15.7233898462669 43.7334717001105,15.7191455797747 43.7372888405861,15.7160094261169 43.7416329142537,15.7141020900069 43.7463370735062,15.7134971390592 43.751220600196,15.7142181356331 43.7560958413655,15.7162376835005 43.7607754178344,15.7194784332489 43.7650794290604,15.723816015011 43.7688423768008,15.7290837918994 43.771919539959,15.7350792554701 43.7741925533751,15.7415718187326 43.7755739735412,15.7483117056089 43.7760106531816,15.7550395909362 43.7754857928459,15.7614966142533 43.774019589267,15.7674343751948 43.7716684551443,15.7726245191095 43.7685228409574,15.7768675384623 43.7647037440934,15.7800004478489 43.7603580417197,15.7819030364668 43.755652829399,15.782502459464 43.750768985599)))', 'HRTRI', 'Tribunj', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3010644726623 43.0163198526274,17.3002278447951 43.0114565619807,17.2981146524414 43.0068064540381,17.2948063441462 43.0025481571963,17.2904302042871 42.9988452158247,17.2851544391785 42.9958398205095,17.2791817079428 42.993647360685,17.2727413474973 42.9923520064215,17.2660805884454 42.9920034867119,17.2594550950041 42.9926151861151,17.2531191863155 42.9941636317358,17.2473161079064 42.996589390056,17.2422687203683 42.9997993399413,17.2381709575512 43.0036702361374,17.2351803790877 43.0080534285976,17.2334121026254 43.0127805588482,17.2329343508751 43.0176700169394,17.2337657889889 43.0225339128229,17.2358747607896 43.0271852954431,17.2391804602731 43.0314453423456,17.2435560002301 43.0351502427299,17.2488332656765 43.0381575077683,17.2548093690778 43.0403514633777,17.2612544601351 43.0416477117682,17.2679205880521 43.0419963878237,17.2745512712498 43.0413840831832,17.2808914004922 43.0398343628839,17.2866970877113 43.0374068545024,17.2917450751482 43.0341949456041,17.2958413376245 43.0303221796853,17.2988285439215 43.025937491441,17.3005920897737 43.0212094670643,17.3010644726623 43.0163198526274)))', 'HRTRJ ', 'Trpanj ', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4510056532122 42.9162765641614,17.4501589705181 42.9114145497698,17.4480383722618 42.9067673310495,17.444725589296 42.902513424921,17.4403480756883 42.8988162069312,17.4350740886488 42.8958176479985,17.4291062177333 42.8936328754437,17.4226736126913 42.8923457647583,17.4160232066082 42.8920057290847,17.409410267188 42.892625827853,17.4030886330973 42.8941822661181,17.3973010035913 42.8966153036554,17.3922696478378 42.8998315396861,17.3881878854945 42.9037074871057,17.3852126625469 42.9080943011484,17.3834585069337 42.9128234833262,17.3829930981962 42.9177133438888,17.3838346258072 42.9225759764112,17.3859510438847 42.9272244776535,17.3892612579702 42.931480135443,17.3936382050851 42.9351793075586,17.3989137142636 42.9381797255839,17.4048849642184 42.9403659791681,17.4113222907724 42.9416539673461,17.4179780420321 42.9419941433851,17.4245961365383 42.9413734264856,17.4309219508086 42.9398157056976,17.4367121491932 42.9373809164986,17.4417440714362 42.9341627263419,17.4458243116376 42.9302849198301,17.448796155545 42.9258966247589,17.450545589648 42.9211665650892,17.4510056532122 42.9162765641614)))', 'HRTRK ', 'Trstenik ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.2843538093596 43.4996192215637,16.2835903519918 43.4947478808976,16.2815363804596 43.4900785369222,16.2782710807731 43.4857905608326,16.2739200986214 43.4820486389188,16.2686506863052 43.4789964587194,16.2626652683287 43.4767512042867,16.2561936739596 43.4753990695105,16.2494843334714 43.4749919593983,16.2427947720653 43.4755455040118,16.236381760573 43.47703846008,16.230491494279 43.4794135229418,16.2253501702568 43.4825795182868,16.2211553194856 43.4864148910452,16.2180682230848 43.4907723596064,16.2162077029867 43.4954845590969,16.2156455273723 43.5003704593804,16.2164036117123 43.5052423132363,16.2184531291875 43.5099128690324,16.2217155718771 43.5142025710849,16.2260657290444 43.5179464703418,16.231336473986 43.5210005782322,16.2373251793179 43.52324741723,16.2438015153027 43.5246005522096,16.2505163297986 43.5250079258914,16.2572112642356 43.5244538680876,16.2636287297861 43.5229597001979,16.2695218530753 43.5205829113723,16.2746640020785 43.5174149386838,16.2788575202213 43.513577638235,16.2819413292656 43.5092185851095,16.2837971077495 43.5045053854165,16.2843538093596 43.4996192215637)))', 'HRTRO ', 'Trogir ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.4346294436499 43.9668735276823,15.4339285305328 43.9619966160053,15.431924091596 43.9573121501657,15.4286934214478 43.9530000854473,15.4243608476223 43.9492260349122,15.419092926246 43.9461349197798,15.4130920326759 43.9438454174361,15.406588594712 43.9424454178126,15.3998322652604 43.9419886601555,15.3930823694397 43.9424926772599,15.3865979869999 43.9439381247521,15.3806280438884 43.9462695207302,15.3754017864823 43.9493973679081,15.3711199984416 43.9532015782225,15.3679472936576 43.9575360705247,15.366005780095 43.9622343672842,15.3653703395368 43.9671159778237,15.3660657088134 43.9719933249768,15.3680654809163 43.9766789504348,15.37129307172 43.9809927223727,15.3756246224931 43.9847687678199,15.3808937328602 43.9878618618497,15.3868978464519 43.990153025807,15.3934060452497 43.9915541167943,15.400167951553 43.9920112294151,15.4069233912176 43.9915067768341,15.4134124404927 43.9900601697226,15.4193854629471 43.9877270665242,15.4246127434022 43.9845972244338,15.4288933424487 43.9807910352224,15.4320628272097 43.9764548813075,15.4339995799399 43.971755493185,15.4346294436499 43.9668735276823)))', 'HRTUR ', 'Turanj ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8669272238707 42.7494517924636,16.8661289548194 42.7445843908991,16.8640579054105 42.7399252609141,16.8607939044048 42.7356533802138,16.8564625357177 42.7319328173281,16.8512302895281 42.7289064413867,16.84529815843 42.7266904484687,16.83889392557 42.7253699123355,16.8322634392652 42.7249955280914,16.8256612051292 42.7255816719454,16.8193406511845 42.7271058504338,16.8135444331538 42.7295095600155,16.8084951457642 42.732700524735,16.8043867914943 42.7365562275641,16.8013773311258 42.7409286019525,16.7995826014529 42.7456497058272,16.7990718356777 42.7505381624399,16.7998649628836 42.7554061225387,16.8019317964219 42.7600664815399,16.8051931493595 42.7643400746322,16.8095238409259 42.7680625725894,16.8147574840283 42.771090811685,16.8206928734059 42.7733083121913,16.8271017298691 42.7746297708302,16.8337375011985 42.7750043520539,16.8403448771827 42.7744176496652,16.846669646999 42.7728922421597,16.8524685130961 42.7704868201853,16.8575184776032 42.767293920394,16.8616254349575 42.7634363544112,16.8646316370454 42.7590624724353,16.8664217431169 42.7543404460558,16.8669272238707 42.7494517924636)))', 'HRUBL', 'Ubli', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1347178033243 44.1169643371633,15.1340396813035 44.1120856830009,15.132053755978 44.1073960545423,15.1288366146028 44.1030756065754,15.124512069211 44.0992902747796,15.1192463714219 44.0961854136375,15.1132418141697 44.0938802278358,15.1067289676245 44.092463208525,15.0999578461457 44.0919887472101,15.0931883415144 44.0924750551928,15.0866802838488 44.0939034670573,15.080683504817 44.0962191544617,15.0754282776864 44.099333223335,15.0711164953825 44.1031261153718,15.0679139214208 44.1074521853266,15.0659438100323 44.1121452808215,15.0652821421011 44.1170251128598,15.0659546641414 44.1219041744605,15.0679358503405 44.1265949430264,15.071149834932 44.1309170901987,15.0754732864747 44.1347044216098,15.080740119879 44.1378112783537,15.086747869324 44.1401181519316,15.0932654786577 44.1415362942438,15.100042208429 44.1420111428186,15.1068173130442 44.1415244273973,15.1133301098376 44.1400948754246,15.1193300456517 44.1377774888138,15.1245863666278 44.1346614203249,15.1288970133131 44.1308665326866,15.1320963950806 44.1265387749566,15.134061743682 44.1218445564612,15.1347178033243 44.1169643371633)))', 'HRUGL ', 'Ugljan ', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5524939651043 45.4174554108618,13.5519366203198 45.4125699881504,13.5500369773422 45.4078549965233,13.5468683374672 45.4034915704196,13.5425526780688 45.3996472980614,13.5372559334711 45.396469795723,13.5311816051991 45.3940810527092,13.5245629491077 45.3925727616614,13.51765403846 45.3920028108708,13.5107200422903 45.3923930709727,13.504027086237 45.3937285593674,13.49783207774 45.3959580137371,13.4923728786929 45.3989958529594,13.487859196315 45.4027254514314,13.4844645374706 45.4070036031711,13.482319533594 45.4116660068338,13.4815068938211 45.4165335636388,13.4820581843148 45.4214192486281,13.4839525639478 45.4261352929439,13.4871175327207 45.4305004018852,13.4914316721514 45.4343467310332,13.4967292793183 45.4375263509862,13.5028067213788 45.4399169500516,13.5094302684322 45.4414265530208,13.5163451026107 45.4419970718744,13.5232851530753 45.4416065494944,13.5299833724752 45.44027000841,13.5361820520732 45.4380388712017,13.5416427710841 45.4349989751891,13.5461555908887 45.4312672591029,13.5495471359428 45.4269872513125,13.5516872488586 45.4223235357293,13.5524939651043 45.4174554108618)))', 'HRUMG ', 'Umag ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2680211688152 44.6332298330564,14.2674096190923 44.6283469082033,14.2654760327474 44.6236429784002,14.262294998874 44.6192987511263,14.2579889556529 44.6154810770052,14.2527234558674 44.6123365523874,14.2467007936374 44.6099859031841,14.2401522389601 44.6085193631273,14.2333291771549 44.6079932213858,14.2264934896077 44.6084276699013,14.2199075392034 44.6098060315808,14.2138241378163 44.6120753983788,14.2084768738322 44.6151486551701,14.2040711648941 44.6189078130534,14.200776375238 44.6232085261803,14.1987192987894 44.6278856211703,14.1979792597008 44.6327594293116,14.1985850226637 44.6376426805368,14.2005136379919 44.6423476958625,14.2036912733837 44.6466936025486,14.2079960080467 44.6505132942964,14.2132624884145 44.6536598675901,14.2192882710832 44.6560122846262,14.2258416109975 44.6574800425359,14.2326703943286 44.6580066667431,14.2395118686396 44.6575718918551,14.2461027900624 44.6561924446521,14.2521895899297 44.653921398441,14.2575381624683 44.6508461240226,14.2619428908204 44.6470849174637,14.2652345600361 44.6427824365049,14.2672868512491 44.638104123663,14.2680211688152 44.6332298330564)))', 'HRUNJ', 'Unije', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1845815423766 43.8829493764493,15.1839020587644 43.8780708201035,15.1819200581465 43.8733818589273,15.1787119733824 43.8690626223525,15.1744012658124 43.8652790001332,15.1691536539451 43.8621762819269,15.1631707358752 43.8598735910531,15.1566822518758 43.8584593237311,15.149937282988 43.857987766474,15.1431947196767 43.8584770194501,15.1367133606614 43.8599083041682,15.1307420151671 43.862226681599,15.1255099817225 43.8653431536696,15.1212182632739 43.8691380688493,15.118031852113 43.8734657031595,15.1160733796671 43.8781598431563,15.1154183766241 43.8830401589357,15.1160923296538 43.8879191244566,15.1180696540008 43.8926092207138,15.1212746287253 43.8969301454698,15.1255842659627 43.9007157519603,15.1308330101534 43.9038204484407,15.1368190908176 43.906124810417,15.1433122862061 43.9075401872598,15.1500627980113 43.9080121235409,15.1568108919086 43.9075224613892,15.163296927196 43.9060900415893,15.1692713827285 43.9037699759764,15.1745044865023 43.9006515196343,15.1787950726241 43.8968546261808,15.1819783211894 43.8925253207689,15.1839320822476 43.8878300712524,15.1845815423766 43.8829493764493)))', 'HRUVM ', 'Uvala Mir ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8015114978994 43.7667631804842,15.800783280547 43.7618885541422,15.7987571261625 43.7572105230124,15.7955111586361 43.7529087937986,15.7911702878885 43.7491485818971,15.7859013839903 43.7460742771301,15.7799068564797 43.7438039121131,15.7734168868036 43.7424246432226,15.7666806107075 43.741989415269,15.759956585151 43.7425149359218,15.7535028998707 43.7439810363579,15.7475673063586 43.7463314422945,15.7423777364356 43.7494759263857,15.7381335687904 43.7532937608117,15.734997975173 43.7576383396178,15.7330916391113 43.762342795774,15.7324880901318 43.7672263996644,15.7332108370151 43.7721014952674,15.7352324164778 43.776780708875,15.7384754011194 43.7810841537624,15.742815335137 43.7848463533376,15.7480854910693 43.787922615173,15.754083268768 43.7901946087074,15.7605779919747 43.7915749296369,15.7673198012617 43.7920104729874,15.7740492972905 43.7914844830734,15.7805075574939 43.7900172001584,15.7864461338892 43.7876650785474,15.7916366405387 43.7845186067822,15.7958795561465 43.7806988152881,15.7990118995746 43.7763526079656,15.8009134821073 43.7716470997713,15.8015114978994 43.7667631804842)))', 'HRVDC ', 'Vodice ', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1340495301817 42.9823699583377,17.133226603295 42.9775051245004,17.1311271546123 42.9728516080229,17.1278321052777 42.9685881691291,17.1234682315428 42.9648785503871,17.1182032701825 42.9618651992459,17.1122394671308 42.9596638107574,17.1058058180433 42.9583588976379,17.0991492970229 42.9580005554598,17.09252540619 42.9586025453231,17.0861884031066 42.960141766507,17.080381574601 42.9625591391437,17.0753279239756 42.9657618637629,17.0712216239289 42.9696269725159,17.0682205601798 42.9740060378829,17.0664402514727 42.9787308604684,17.0659493814922 42.9836199197668,17.0667671187428 42.9884853419864,17.0688623335531 42.993140118375,17.0721547493477 42.9974052968987,17.0765179908079 43.0011168701467,17.0817844174176 43.0041320931144,17.0877515601725 43.0063349857809,17.0941899149776 43.0076408064325,17.1008517913269 43.007999321333,17.1074808717989 43.0073967430869,17.1138221087556 43.0058562619911,17.1196315707994 43.0034371497236,17.1246858536962 43.0002324705981,17.1287906884906 42.9963654900192,17.1317884125356 42.991984920475,17.1335640155267 42.9872591903582,17.1340495301817 42.9823699583377)))', 'HRVGN', 'Viganj', 'Y'),('SRID=4326;MULTIPOLYGON(((15.117825483817 44.2999693873597,15.1171466210509 44.2950907905798,15.1151558479239 44.2904010244381,15.1119299406691 44.2860802486797,15.1075930500659 44.282294411015,15.102311902945 44.2791888846549,15.0962893855364 44.2768828991001,15.0897567566531 44.275464975562,15.0829647884174 44.2749895397995,15.0761741707475 44.2754748403206,15.0696455420544 44.2769022504748,15.0636295218591 44.2792169807476,15.0583571209727 44.2823301744142,15.0540308914979 44.2861223075146,15.0508171525519 44.2904477647186,15.0488395889795 44.2951404178705,15.0481744705075 44.3000199954696,15.0488476792489 44.3048990005553,15.050833666078 44.3095899126541,15.054056383432 44.3139123975596,15.0583921661654 44.3177002473596,15.0636744561112 44.3208077825137,15.0697001930555 44.3231154677005,15.0762376280405 44.3245345229549,15.0830352572581 44.3250103502242,15.0898315289563 44.324524641397,15.0963649439487 44.3230960852846,15.1023841540433 44.3207796458638,15.107657662796 44.3176644400615,15.1119827494424 44.3138702981676,15.1151932688512 44.3095431413325,15.1171660263234 44.3048493564652,15.117825483817 44.2999693873597)))', 'HRVIR ', 'Vir ', 'Y'),('SRID=4326;MULTIPOLYGON(((16.201102673167 43.0496471243601,16.2003522494795 43.044774706864,16.1983204517922 43.0401032530483,16.1950856087559 43.0358122166061,16.1907721927135 43.0320664031902,16.185546012165 43.0290096517128,16.1796078328654 43.026759323516,16.1731856737293 43.0254018086365,16.1665260718829 43.0249892193712,16.1598846483336 43.0255373961666,16.1535163307499 43.0270253011733,16.1476656020913 43.0293958224259,16.142557142952 43.0325579583923,16.1383872215085 43.0363903004912,16.1353161582549 43.0407456819582,16.1334621539854 43.0454568169566,16.1328967198579 43.0503427157192,16.1336418893195 43.0552156312568,16.1356693250949 43.0598882719971,16.1389013625947 43.0641810035487,16.1432139565938 43.0679287621938,16.1484414237415 43.0709874128769,16.1543828024105 43.073239305119,16.1608095866115 43.0745978107713,16.1674745350935 43.0750106667006,16.1741212128718 43.0744619918633,16.1804938923686 43.0729728999311,16.1863474265621 43.0706006835684,16.1914567077415 43.0674366023724,16.1956253425827 43.0636023610682,16.1986932064658 43.0592454155569,16.200542585672 43.0545332897865,16.201102673167 43.0496471243601)))', 'HRVIS ', 'Vis ', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1516786180827 44.0499592259741,15.1509998824656 44.0450806159332,15.1490148723609 44.0403912258151,15.1458001388062 44.0360712013178,15.1414794005127 44.0322864620186,15.1362187623798 44.0291823398785,15.1302203229252 44.0268780114704,15.123714417673 44.0254619352766,15.116950795055 44.0249884667913,15.1101890597379 44.0254757793122,15.1036887444101 44.0269051688633,15.0976993842519 44.029221769462,15.09245096822 44.0323366517727,15.088145127911 44.036130225983,15.0849473984732 44.0404568203458,15.0829808475101 44.0451502620493,15.0823213182588 44.0500302485591,15.0829944739821 44.0549092668073,15.084974763372 44.0595997958186,15.0881863540765 44.0639215165089,15.0925060058552 44.0677082510711,15.0977677792216 44.0708143637838,15.1037694028296 44.0731203750271,15.1102800563969 44.0745375701223,15.1170492686035 44.0750114232322,15.1238165838179 44.0745237025037,15.1303216198619 44.0730931740585,15.1363141228688 44.0707748772659,15.1415636254121 44.0676579996918,15.1458683304841 44.0638624349094,15.1490628757671 44.0595341577123,15.1510246784166 44.0548395971083,15.1516786180827 44.0499592259741)))', 'HRVIZ ', 'Veli Iz ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5352660090412 45.0331489534708,14.5346279165419 45.0282676888829,14.5326594129249 45.0235684647356,14.5294364332528 45.0192318054363,14.5250830289354 45.0154242685031,14.519766571058 45.0122920587568,14.5136913075091 45.0099554274989,14.5070905231271 45.0085040692168,14.5002176027196 45.0079936900051,14.4933363361326 45.0084438772542,14.4867108314938 45.0098373508946,14.4805954165957 45.0121206243688,14.4752249087895 45.0152060503971,14.470805620701 45.0189751743864,14.4675074429104 45.0232832688562,14.4654573061391 45.027964877313,14.4647342755288 45.0328401572467,14.4653664697403 45.037721780838,14.4673299297063 45.0424221297974,14.4705494882141 45.0467605084754,14.4749016146954 45.0505700975941,14.4802191326046 45.0537043799062,14.4862976326739 45.0560427885809,14.4929033373343 45.0574953585348,14.4997821127103 45.0580061992072,14.5066692775888 45.0575556529543,14.5132998258803 45.0561610545008,14.5194186619413 45.053876061647,14.5247904475799 45.0507885834328,14.5292086756328 45.0470173868781,14.5325036169013 45.0427075149925,14.5345488333956 45.0380246948648,14.5352660090412 45.0331489534708)))', 'HRVLB', 'Valbiska', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7510390298001 42.9494842205175,16.7502467355194 42.9446160554389,16.7481771350523 42.9399549469518,16.7449100047573 42.9356799488664,16.7405710515223 42.9319552491863,16.735327058735 42.9289238753421,16.7293794709037 42.9267022145598,16.7229566643523 42.9253755573883,16.7163051991677 42.9249948331844,16.7096803842775 42.9255746610211,16.7033365121314 42.927092789695,16.6975171312797 42.9294909480814,16.6924457238645 42.9326770738777,16.6883171406779 42.9365288366853,16.6852901193794 42.9408983222858,16.683481172428 42.9456177006468,16.6829600813909 42.9505056623078,16.6837471750398 42.9553743778169,16.6858125019373 42.9600367140231,16.6890769363366 42.9643134302071,16.6934151817761 42.9680400768006,16.6986605626241 42.9710733299732,16.7046114230533 42.9732965163879,16.7110388885167 42.9746241132323,16.71769568965 42.9750050480923,16.7243257051748 42.9744246698246,16.7306738508915 42.9729053134308,16.7364959276373 42.970505436945,16.7415680428448 42.967317364235,16.7456952379677 42.9634637220995,16.7487189866673 42.9590927108674,16.7505232747084 42.9543723928344,16.7510390298001 42.9494842205175)))', 'HRVLK ', 'Vela Luka ', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5349533461198 44.5171476687697,14.5343205824166 44.5122659846192,14.5323692097265 44.5075664031607,14.5291744971906 44.5032294637046,14.524859404798 44.499421736304,14.5195898294346 44.4962894351947,14.5135682189484 44.4939528172935,14.5070258012214 44.4925015783679,14.5002137254904 44.4919914211352,14.4933934522001 44.4924419248976,14.4868267544224 44.4938357970305,14.4807657076269 44.4961195344958,14.4754430449756 44.4992054704184,14.4710632423506 44.5029751285163,14.4677946713249 44.5072837586778,14.4657631199652 44.5119658820261,14.4650469317623 44.5168416350495,14.4656739535902 44.5217236713011,14.4676204162477 44.5264243570224,14.4708117981012 44.5307629847893,14.4751256462283 44.5345727275191,14.4803962531718 44.5377070641603,14.4864210140359 44.5400454279047,14.4929682213225 44.5414978571959,14.4997859966273 44.5420084680941,14.5066120117966 44.5415576122304,14.5131836196085 44.5401626358337,14.5192479970849 44.5378772100567,14.5245719039982 44.5347892588044,14.5289506750395 44.531017565175,14.5322160956856 44.5267071891712,14.5342428574872 44.5220238754582,14.5349533461198 44.5171476687697)))', 'HRVLN', 'Veli Losinj', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5013693847649 43.5325537578219,16.5005880195587 43.5276841531915,16.4985162363403 43.5230189931167,16.4952339045259 43.5187374869169,16.490867322427 43.5150040714828,16.4855843393949 43.5119621071314,16.4795878988406 43.5097283854943,16.4731082512494 43.5083886578969,16.4663941345964 43.5079943535486,16.4597032567141 43.5085606116121,16.4532924391152 43.5100657014958,16.447407793854 43.5124518533344,16.4422753038972 43.5156274674405,16.4380921631791 43.5194706194254,16.435019205418 43.5238337285607,16.4331747115852 43.5285492125763,16.4326298357674 43.5334359141108,16.4334058295349 43.5383060539317,16.4354731777338 43.5429724450238,16.4387526861393 43.5472556906568,16.4431184862786 43.5509910891272,16.4484028478473 43.5540349782188,16.4544026175655 43.5562702732755,16.4608870381131 43.5576109834332,16.4676066448753 43.558005529896,16.4743028941994 43.5574387366416,16.4807181468188 43.5559324157397,16.4866056154872 43.5535445244671,16.4917388874004 43.5503669273244,16.4959206495786 43.5465218505998,16.4989902781747 43.5421571680456,16.5008299990528 43.5374407014708,16.5013693847649 43.5325537578219)))', 'HRVRA', 'Vranjic', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5345709964822 43.8668435122522,15.5338631789227 43.8619671632277,15.5318543481008 43.8572843907028,15.5286219653547 43.8529750846361,15.5242904221248 43.8492047520974,15.5190262334556 43.8461181717166,15.5130316304358 43.8438338471277,15.5065367990794 43.8424394699473,15.4997910622875 43.841988564063,15.4930533395229 43.842498438037,15.4865822446039 43.8439495229065,15.4806261948912 43.8462861203812,15.4754139047545 43.8494185332649,15.4711456225799 43.8532264977471,15.4679854440641 43.8575637878932,15.4660549958433 43.8622638179899,15.4654287337275 43.8671460300389,15.4661310404112 43.8720228231097,15.4681352404103 43.8767067596979,15.4713645773876 43.881017772627,15.4756951235933 43.8847900949729,15.4809605157718 43.8878786451759,15.4869583396117 43.8901646197141,15.4934579187586 43.891560075781,15.5002092075029 43.8920113252381,15.5069524411468 43.8915010072173,15.5134281668898 43.8900487582836,15.5193872623698 43.8877104539456,15.5246005495273 43.8845760512544,15.5288676281892 43.8807661169505,15.5320245858837 43.876427176856,15.5339502863155 43.8717260678737,15.5345709964822 43.8668435122522)))', 'HRVRG', 'Vrgada', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7182975100029 45.0830925191099,14.7176433067487 45.0782122800596,14.7156581072971 45.0735162100571,14.7124184878064 45.0691847112715,14.7080491377406 45.0653841421176,14.7027180388934 45.0622604392187,14.6966299993616 45.0599335269567,14.6900187925343 45.0584927267414,14.6831382017053 45.0579933397052,14.6762523101388 45.0584545318356,14.6696254032417 45.0598586012591,14.6635118632039 45.0621516552541,14.6581464367239 45.0652456714699,14.6537352432287 45.0690218656285,14.6504478646628 45.0733352385554,14.6484108191661 45.0780201304928,14.647702670839 45.0828965719707,14.6483509677835 45.0877771895113,14.650331132575 45.0924744023783,14.6535673555365 45.096807634412,14.6579354642949 45.1006102633265,14.6632676660353 45.1037360389189,14.669358984756 45.1060647212581,14.6759751478416 45.1075067194561,14.6828616174527 45.1080065499984,14.6897534153327 45.1075449793773,14.6963853568915 45.1061397670884,14.7025022934571 45.1038449798443,14.7078689612407 45.1007489038674,14.7122790518389 45.0969706370158,14.7155631512142 45.0926554940125,14.717595240454 45.0879694040934,14.7182975100029 45.0830925191099)))', 'HRVRK', 'Vrbnik', 'Y'),('SRID=4326;MULTIPOLYGON(((13.6353291245901 45.1504276867409,13.6347667291315 45.145542393411,13.6328685626512 45.1408285894467,13.6297078650196 45.1364673638175,13.6254063046771 45.132626220806,13.6201292719421 45.1294526574076,13.6140795104988 45.1270685127436,13.607489333698 45.1255653039578,13.6006117236132 45.12500072509,13.5937106508427 45.125396441074,13.5870509807262 45.1267372599521,13.5808883462251 45.1289717143901,13.5754593688419 45.1320140304951,13.5709725965934 45.1357474096417,13.5676005025421 45.1400284993716,13.5654728493969 45.144692884219,13.564671676267 45.1495613882079,13.565228104228 45.1544469492389,13.567121089784 45.1591618029073,13.5702781818129 45.1635247004359,13.5745782607948 45.1673678830106,13.5798561619359 45.1705435431314,13.5859090093459 45.1729295224698,13.592504019864 45.1744340245691,13.5993874755267 45.1749991584944,13.6062945157987 45.174603174809,13.6129593668415 45.1732613062258,13.6191256069441 45.1710251798875,13.6245560656842 45.1679808242187,13.6290419695226 45.1642453483501,13.6324109776053 45.1599624239467,13.6345337970344 45.1552967457867,13.6353291245901 45.1504276867409)))', 'HRVRR', 'Vrsar', 'Y'),('SRID=4326;MULTIPOLYGON(((16.717168803048 43.1824921272203,16.7163755818712 43.1776239228653,16.7143001061943 43.1729624743055,16.711022381324 43.168686848039,16.7066685234917 43.1649612555313,16.7014058897596 43.161928757651,16.6954366404601 43.1597057838859,16.6889899824638 43.1583776743884,16.6823133894979 43.1579954136841,16.6756631325627 43.1585736795575,16.6692944781832 43.160090280854,16.6634519241091 43.1624870055245,16.6583598408101 43.16567184704,16.654213872732 43.1695225252284,16.6511734261532 43.1738911684872,16.6493555313429 43.1786099800099,16.6488303166861 43.1834976727648,16.6496182730013 43.188366427971,16.6516894193564 43.1930291109295,16.6549644095444 43.1973064672164,16.6593175436649 43.2010340219865,16.6645815748349 43.2040684156346,16.6705541299756 43.2062929300592,16.6770054989321 43.2076219905565,16.6836874907757 43.2080044678194,16.6903430125755 43.2074256510945,16.6967159962779 43.2059078153984,16.7025612850327 43.2035093607067,16.7076540920401 43.2003225569285,16.7117986626772 43.1964699829728,16.7148358034139 43.1920997990552,16.7166489872657 43.1873800365336,16.717168803048 43.1824921272203)))', 'HRVRS', 'Vrboska', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2677175324211 44.116923921591,15.2670284730572 44.1120460836798,15.2650320449193 44.1073587924784,15.2618052379752 44.1030421123109,15.257472234355 44.099261833634,15.2521996091422 44.0961631165947,15.2461899199122 44.0938649299215,15.239673932722 44.0924554962282,15.2329017817386 44.0919889161574,15.2261333980018 44.0924830989025,15.2196285688763 44.0939190771868,15.2136370028594 44.0962417325396,15.2083887742268 44.0993619035447,15.2040855085352 44.1031597975437,15.2008926435889 44.1074895769138,15.1989330618423 44.1121849462913,15.1982823404212 44.1170655286472,15.198965805481 44.1219437874017,15.2009575103546 44.1266322300476,15.2041811841483 44.130950616964,15.2085131217258 44.1347328978573,15.2137869103 44.1378336077612,15.2197998151849 44.1401334745517,15.2263205807695 44.1415440198322,15.2330983454192 44.1420109737306,15.2398723234636 44.1415163701418,15.2463818758547 44.1400792404121,15.2523765750206 44.1377548783096,15.2576258696923 44.1346327050877,15.261927972019 44.1308328182244,15.2651176213091 44.1265013587379,15.2670724246628 44.1218048777742,15.2677175324211 44.116923921591)))', 'HRZAD', 'Zadar', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0357421641835 45.799681567115,16.034965089933 45.7948105793985,16.0328447067369 45.7901391944807,16.029462786985 45.7858468576782,16.0249494815834 45.7820984155836,16.0194782901803 45.7790377971672,16.013259385265 45.776782501154,16.0065315479397 45.7754190987138,15.9995530233338 45.7749999215515,15.9925916422725 45.7755410604039,15.9859145818585 45.7770217494134,15.9797781504022 45.7793851596237,15.9744179813208 45.7825405717882,15.9700400062195 45.7863668466695,15.9668125497426 45.7907170618922,15.9648598486434 45.795424139953,15.9642572459703 45.8003072538646,15.9650282498069 45.8051787665605,15.9671435765525 45.8098514388639,15.9705222236156 45.8141456294655,15.9750345383278 45.817896209549,15.9805071718654 45.8209589246547,15.9867297321877 45.8232159568555,15.9934628816906 45.8245804706625,16.0004475665133 45.8249999651752,16.0074150179923 45.8244583013429,16.0140971348583 45.8229763249468,16.0202368390014 45.8206110609363,16.025597998768 45.8174535107827,16.029974531731 45.8136251392125,16.0331983327994 45.8092731878033,16.035145721723 45.8045649983767,16.0357421641835 45.799681567115)))', 'HRZAG', 'Zagreb', 'Y'),('SRID=4326;MULTIPOLYGON(((14.9849940653517 44.5830099586636,14.9843229752109 44.5781308160517,14.9823331984339 44.5734389684354,14.9791014779065 44.5691146555523,14.9747521918563 44.565323960509,14.9694525460037 44.562212442195,14.9634061381207 44.5598995590867,14.9568451437737 44.5584740960651,14.950021422025 44.5579907673329,14.9431968786239 44.5584681237282,14.9366334506546 44.5598878433486,14.9305830900163 44.5621954322171,14.925278123151 44.5653023085796,14.9209223511026 44.5690891922319,14.9176832276317 44.5734106708685,14.9156854144276 44.5781007706282,14.9150059625222 44.5829793194325,14.915671309295 44.5878588608527,14.9176562128353 44.5925518543468,14.9208846721633 44.596877885728,14.9252328055395 44.6006706102643,14.9305335827287 44.6037841600942,14.9365832337239 44.6060987674614,14.9431490892244 44.607525384982,14.9499785501011 44.6080091226908,14.9568088368739 44.6075313674871,14.9633771380813 44.6061105019879,14.9694307599176 44.6038011946203,14.9747368794531 44.6006922887644,14.9790915201613 44.5969033735966,14.9823274005186 44.5925801707021,14.9843203525707 44.5878889164444,14.9849940653517 44.5830099586636)))', 'HRZGL', 'Zigljen', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8674724710084 43.699743568578,15.866739807426 43.6948693433043,15.8647108781478 43.6901924507094,15.8614639123505 43.6858925535838,15.8571238570677 43.6821347969391,15.851857550074 43.6790634764421,15.8458673005883 43.6767965103705,15.83938312565 43.6754209249225,15.8326539388267 43.6749895238242,15.8259380255909 43.6755188681063,15.8194931651713 43.6769886423226,15.8135667712749 43.6793424311695,15.8083864234371 43.6824898772777,15.8041511469077 43.6863101388005,15.8010237722812 43.6906565161656,15.7991246672436 43.6953620727845,15.7985270829289 43.7002460362819,15.7992542979498 43.7051207363908,15.8012786760688 43.7097988142841,15.8045226809818 43.7141004267207,15.8088618164231 43.7178601675486,15.8141293846567 43.720933439027,15.8201228844518 43.7232020258589,15.8266118039392 43.7245786551001,15.8333465072364 43.7250103641159,15.840067869037 43.7244805449983,15.8465172806171 43.7230095854826,15.8524466353962 43.7206540813239,15.857627903072 43.7175046510323,15.8618619183584 43.7136824385285,15.8649860426742 43.7093344404039,15.8668804031642 43.7046278399927,15.8674724710084 43.699743568578)))', 'HRZLR', 'Zlarin', 'Y'),('SRID=4326;MULTIPOLYGON(((-72.8407120670322 18.4327026935136,-72.841278294933 18.4278135658479,-72.8428328842458 18.4231237985326,-72.8453160289324 18.4188135866984,-72.8486322654994 18.4150485311531,-72.8526541473033 18.4119732802544,-72.8572271430681 18.4097059773272,-72.8621755712526 18.4083337260718,-72.8673093428543 18.4079092473804,-72.8724312548264 18.4084488554111,-72.8773445555846 18.4099318303831,-72.8818604938167 18.4123012122371,-72.8858055623536 18.4154659850526,-72.8890281601983 18.4193045689603,-72.8914044175713 18.423669486229,-72.8928429602608 18.4283930231446,-72.8932884295714 18.4332936709477,-72.8927236213212 18.4381830989505,-72.8911701599275 18.4428733921938,-72.8886876797132 18.4471842754789,-72.8853715430117 18.4509500457759,-72.8813491812628 18.4540259459126,-72.8767751988095 18.4562937337235,-72.8718254274076 18.4576662316891,-72.8666901605523 18.4580906813578,-72.8615668289292 18.4575507729899,-72.8566524002518 18.4560672720898,-72.8521357975477 18.4536972187847,-72.8481906291459 18.4505317312175,-72.8449685112467 18.4466924980719,-72.8425932405621 18.4423270959196,-72.8411560410897 18.4376033122939,-72.8407120670322 18.4327026935136)))', 'HTPEG', 'Petit Goave', 'Y'),('SRID=4326;MULTIPOLYGON(((106.858094822059 -6.13291353333475,106.85762960605 -6.13781534029629,106.856217881577 -6.14253212294285,106.853913874238 -6.14688261748114,106.850806104522 -6.1506996306175,106.847013989269 -6.15383646564851,106.842683254557 -6.15617256162104,106.837980335964 -6.15761812859188,106.833085981342 -6.15811760052076,106.828188302123 -6.15765177274465,106.823475540606 -6.15623854156655,106.819128831741 -6.1539322172964,106.815315238208 -6.15082143702599,106.812181327083 -6.14702575737032,106.809847535407 -6.14269105827088,106.808403541483 -6.13798393475538,106.807904819838 -6.13308529250642,106.808370512027 -6.12818339370444,106.8097826947 -6.12346662069751,106.812087072505 -6.11911623581139,106.815195068552 -6.11529941564621,106.818987231544 -6.11216282752728,106.823317828134 -6.10982699481761,106.828020443774 -6.10838166738101,106.832914376733 -6.10788237479083,106.837811579773 -6.10834829440739,106.842523883089 -6.10976151594581,106.846870221488 -6.11206773056372,106.850683588691 -6.1151783178629,106.853817452077 -6.11897375060649,106.856151381874 -6.12330818644311,106.857595678751 -6.12801507042444,106.858094822059 -6.13291353333475)))', 'IDJKT', 'Jakarta, Java', 'Y'),('SRID=4326;MULTIPOLYGON(((104.585966821606 0.786002566536469,104.585487572265 0.781099366621265,104.584067278289 0.776384499435623,104.581760524462 0.772039155267555,104.578655961295 0.768230322929884,104.574872897762 0.765104372525435,104.570556715987 0.762781430697904,104.56587328414 0.761350764501262,104.561002582247 0.760867351247719,104.556131785896 0.76134976610913,104.551448073578 0.762779468602033,104.547131434027 0.765101515329673,104.543347749904 0.768226671552102,104.540242423529 0.772034840413693,104.53793478955 0.776379678040433,104.5365135292 0.781094217169694,104.53603326233 0.785997283239613,104.536512448173 0.790900456428169,104.53793267554 0.795615312159326,104.540239369786 0.799960661888916,104.543343889472 0.803769515957425,104.547126932245 0.806895500953708,104.551443119137 0.809218484967776,104.556126581204 0.81064919452314,104.560997333817 0.811132645706615,104.565868193666 0.810650257571855,104.570551972594 0.809220566533433,104.574868671725 0.806898514244262,104.578652399328 0.803773336290986,104.581757746465 0.799965132837557,104.584065375326 0.795620253024284,104.585486605456 0.790905670536311,104.585966821606 0.786002566536469)))', 'IDMNT', 'Mantang, Riau', 'Y'),('SRID=4326;MULTIPOLYGON(((106.026094870878 -5.93495403534601,106.025621748087 -5.9398569021907,106.024202411059 -5.94457314346668,106.021891380625 -5.94892151343199,106.018777450626 -5.95273489877782,106.014980278344 -5.95586674189832,106.010645787581 -5.95819667475353,106.005940560805 -5.95963514655157,106.001045435897 -5.96012686710014,105.996148553794 -5.95965293319527,105.991438124652 -5.95823155608043,105.987095191098 -5.95591736186269,105.98328666727 -5.95279929173242,105.980158921712 -5.94899718276545,105.977832151143 -5.9446571609004,105.976395761499 -5.93994602340898,105.975904933755 -5.9350448270439,105.976378506207 -5.93014192856121,105.977798254183 -5.92542574530032,105.980109594287 -5.92107751417093,105.983223685535 -5.91726432734536,105.987020846095 -5.91413271220654,105.991355153952 -5.9118030020863,105.996060054481 -5.91036471386713,106.000954759469 -5.90987310979308,106.005851191911 -5.91034707533594,106.010561210105 -5.91176839443564,106.014903833988 -5.9140824498174,106.018712196568 -5.91720032142738,106.021839953847 -5.92100220241267,106.024166907324 -5.9253420015428,106.025603623215 -5.93005295545542,106.026094870878 -5.93495403534601)))', 'IDMRK', 'Merak, Java', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.84168026175431 53.9453039778474,-9.8423952900821 53.9404276579487,-9.84470865422967 53.9357273012611,-9.84853097747344 53.9313834536184,-9.85371504478643 53.9275629135026,-9.86006150954957 53.9244123423496,-9.867326573302 53.9220526527335,-9.87523134057527 53.9205743863969,-9.88347249150757 53.9200342560122,-9.89173386896995 53.9204529803596,-9.89969854542468 53.921814493902,-9.90706091834685 53.9240665602602,-9.9135383820995 53.9271227666023,-9.91888213867369 53.9308658242741,-9.92288673938972 53.9351520518815,-9.92539799387046 53.9398168722177,-9.9263189403231 53.9446811155387,-9.92561364093805 53.9495578902038,-9.92330864606826 53.9542597589038,-9.91949205829155 53.9586059456151,-9.91431021946134 53.962429295754,-9.90796213692844 53.9655827200843,-9.90069185544248 53.9679448716615,-9.89277906482358 53.9694248339312,-9.88452830641589 53.9699656360301,-9.87625720000137 53.9695464569156,-9.86828415426453 53.968183431359,-9.86091604587856 53.9659290259303,-9.85443635365208 53.9628700095642,-9.84909421485705 53.9591240987157,-9.8450948318789 53.9548354091492,-9.84259160074052 53.9501688928818,-9.84168026175431 53.9453039778474)))', 'IEACL', 'ACHILL', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.71734382540231 54.2699075577203,-8.71819667465426 54.2650386530376,-8.72065542764225 54.2603606560932,-8.72462512354864 54.2560532456439,-8.72995289638626 54.2522818137538,-8.73643389696493 54.2491911310825,-8.74381918106529 54.2468998082719,-8.75182525831749 54.2454957625051,-8.76014493758542 54.2450328597113,-8.76845905952489 54.245528858303,-8.77644867645157 54.2469647313868,-8.78380722436351 54.2492853927876,-8.79025223222141 54.2524017997697,-8.79553612939289 54.2561943537954,-8.7994557432011 54.2605174718272,-8.80186012413101 54.2652051562602,-8.80265639538883 54.2700773531936,-8.80181339468264 54.2749468578843,-8.79936295727725 54.2796265041392,-8.79539877801904 54.2839363621091,-8.79007288303462 54.2877106671175,-8.78358983562597 54.290804211099,-8.77619889162171 54.2930979478029,-8.76818440305991 54.2945035925521,-8.75985484162323 54.2949670359867,-8.75153087112853 54.2944704373861,-8.74353293861545 54.29303291499,-8.73616887405944 54.2907098060666,-8.72972198835792 54.2875905259653,-8.7244401380259 54.2837951106303,-8.72052618412538 54.2794695787072,-8.71813021450098 54.2747802952937,-8.71734382540231 54.2699075577203)))', 'IEAGH', 'AUGHRIS', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-6.29478211478854 53.8850554072262,-6.29590753043041 53.8802079305364,-6.29861143331891 53.8755832635199,-6.30278948145698 53.8713590229918,-6.30828085071692 53.8676973979576,-6.31487445522275 53.864738939035,-6.32231706756729 53.8625971820451,-6.33032302559942 53.8613543086078,-6.33858515652431 53.8610580069109,-6.34678650667494 53.8617196504205,-6.35461243751011 53.8633138628123,-6.36176263577153 53.8657794855386,-6.36796258856014 53.869021912004,-6.37297409233115 53.8729167010851,-6.37660439810284 53.8773143344852,-6.37871364281567 53.8820459388683,-6.37922027765018 53.8869297564872,-6.37810427662401 53.8917781185507,-6.37540799083518 53.8964046551093,-6.37123460264683 53.9006314647275,-6.36574422675042 53.9042959672794,-6.35914779778923 53.9072571740714,-6.35169897316637 53.9094011309441,-6.34368436079556 53.9106453213648,-6.33541245101738 53.9109418566467,-6.32720168624272 53.9102793277623,-6.31936813830574 53.9086832458264,-6.31221328009991 53.9062150540083,-6.30601233395742 53.9029697500248,-6.30100365465009 53.8990722130754,-6.29737956115886 53.8946723797945,-6.2952789707794 53.8899394584297,-6.29478211478854 53.8850554072262)))', 'IEANN', 'ANNAGASSAN', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.67359171889944 51.9475516515997,-7.67451177050054 51.942688908631,-7.67694878833992 51.9380304862633,-7.68080871864797 51.9337553128086,-7.68594296986367 51.9300275489767,-7.69215416181677 51.9269902993399,-7.69920372202091 51.9247601359129,-7.70682103551856 51.9234226408095,-7.71471379947414 51.9230291358665,-7.72257919143355 51.9235947221138,-7.73011543188186 51.9250977026576,-7.73703330807795 51.9274804106711,-7.74306722742884 51.9306514115511,-7.7479853848672 51.9344889967243,-7.75159865947058 51.9388458378608,-7.75376790021449 51.9435546261216,-7.75440931819351 51.9484344831431,-7.75349777133929 51.9532979002251,-7.75106780558984 51.9579579408676,-7.74721240109852 51.9622354303914,-7.742079460411 51.9659658554863,-7.73586616417982 51.969005706427,-7.72881140524708 51.9712380151737,-7.72118659002908 51.9725768730069,-7.71328516343111 51.972970750626,-7.7054112667177 51.9724044902646,-7.69786797417704 51.9708998914443,-7.69094557216788 51.9685148673603,-7.68491034229645 51.9653412052168,-7.67999428914328 51.9615010187404,-7.67638621327094 51.9571420322858,-7.67422447424371 51.9524318812968,-7.67359171889944 51.9475516515997)))', 'IEARD', 'ARDMORE', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.84075794434888 51.755294737452,-9.8414406353459 51.7504167760355,-9.84364312286445 51.7457151767739,-9.84728034885898 51.7413705399905,-9.85221225095626 51.7375497047796,-9.85824918831742 51.7343993561839,-9.86515924611376 51.732040410607,-9.87267713542142 51.7305633918156,-9.88051434844324 51.7300249717809,-9.88837018483627 51.7304458063215,-9.89594323464086 51.7318097466796,-9.90294288756018 51.7340644565161,-9.90910043746481 51.7371234111578,-9.91417936500947 51.7408692040817,-9.91798440983744 51.7451580363876,-9.9203690863615 51.7498252201251,-9.92124135251137 51.7546914874458,-9.92056720766193 51.7595698661253,-9.9183720722656 51.7642728593199,-9.91473988507473 51.7686196544926,-9.90980994134978 51.7724430839547,-9.90377158378368 51.7755960677122,-9.89685694341683 51.7779572881818,-9.88933200682718 51.7794358752647,-9.88148635469724 51.7799749182314,-9.87362197214922 51.7795536664272,-9.86604157021898 51.7781883321347,-9.85903687849859 51.7759314639072,-9.85287737022869 51.7728699150136,-9.8477998628964 51.7691214869285,-9.84399940064235 51.7648303797314,-9.8416217713977 51.7601616277039,-9.84075794434888 51.755294737452)))', 'IEARG', 'ARDGROOM', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.52852774026208 53.0831913958969,-9.52926486838765 53.0783162091968,-9.53156692643545 53.073621258782,-9.5353449993102 53.0692868836191,-9.54045359374441 53.0654795210889,-9.54669627562263 53.0623453307236,-9.55383323597376 53.0600046009932,-9.56159049232253 53.0585471504996,-9.5696703740168 53.058028896696,-9.5777628952286 53.0584697209076,-9.5855575886274 53.0598527095967,-9.59275535691683 53.0621248002303,-9.5990798988357 53.0651988075506,-9.60428828086062 53.0689567543292,-9.60818025540114 53.0732543815929,-9.61060597010313 53.077926668567,-9.61147176993511 53.0827941538315,-9.61074386255189 53.0876698178922,-9.60844969604178 53.0923662648218,-9.6046769840858 53.0967029278232,-9.59957040379947 53.1005130212133,-9.59332608266073 53.1036499697116,-9.58618407920136 53.1059930649469,-9.57841914366335 53.1074521281904,-9.57033011578646 53.107970996462,-9.56222837382384 53.1075296948892,-9.55442578888358 53.1061452096835,-9.54722265967853 53.1038708312096,-9.54089610361998 53.1007940930285,-9.53568936086408 53.0970333881177,-9.53180242943556 53.0927333953508,-9.52938439391967 53.0880594956285,-9.52852774026208 53.0831913958969)))', 'IEARI', 'ARAN ISLANDS', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.09985197544274 52.7950007389409,-6.10096636857992 52.7901542243441,-6.10361859221907 52.785532572608,-6.10770632004737 52.7813132875642,-6.11307221889941 52.7776583727031,-6.11951003195554 52.7747081269757,-6.12677251228458 52.7725757771127,-6.1345809008021 52.7713431491058,-6.14263558802648 52.7710575417497,-6.15062755762648 52.7717299196603,-6.15825018264437 52.7733344935936,-6.16521093305327 52.7758097039426,-6.17124255623895 52.7790605707598,-6.17611331004363 52.7829623223689,-6.17963586080623 52.7873651663633,-6.18167450565804 52.7921000232688,-6.18215043805669 52.7969850059916,-6.18104484657198 52.8018323988204,-6.17839971718008 52.8064558694452,-6.17431629615937 52.8106776371253,-6.16895126100181 52.8143353204116,-6.16251073703551 52.8172881988859,-6.15524238390159 52.8194226450051,-6.14742585476537 52.8206565136414,-6.13936199844494 52.8209423171249,-6.13136122718514 52.8202690609812,-6.1237315079182 52.8186626681574,-6.11676645070651 52.8161849751707,-6.11073396383495 52.8129313399278,-6.10586592094776 52.8090269555729,-6.10234924299184 52.804622015324,-6.10031873875392 52.7998859177907,-6.09985197544274 52.7950007389409)))', 'IEARK', 'ARKLOW', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.44658300844323 54.99181024819,-8.44748415052125 54.9869439690992,-8.45001853862615 54.9822722411637,-8.45408828717384 54.9779744980626,-8.45953667585645 54.9742157555055,-8.46615422113909 54.9711402917216,-8.47368674238894 54.9688661284969,-8.48184511032011 54.9674805209703,-8.4903163061405 54.9670366256754,-8.49877537430016 54.9675514716646,-8.50689782108448 54.9690053105825,-8.51437199609907 54.9713423699864,-8.52091099425469 54.9744729818098,-8.52626363217139 54.9782770064185,-8.53022408466898 54.9826084239792,-8.5326398135441 54.987300920567,-8.53341748110484 54.9921742581926,-8.5325266134313 54.9970411872001,-8.530000861019 55.0017146375474,-8.52593679474695 55.0060149133346,-8.52049026984709 55.0097766132737,-8.51387048610798 55.0128550089012,-8.50633196494495 55.0151316320844,-8.49816474907543 55.0165188531774,-8.48968320431093 55.0169632699955,-8.48121386173659 55.0164477740888,-8.47308277925574 55.0149922127569,-8.46560292197014 55.012652620665,-8.45906206004226 55.0095190514588,-8.45371166059222 55.0057120950073,-8.44975720801174 55.0013782174903,-8.44735032707035 54.996684107338,-8.44658300844323 54.99181024819)))', 'IEARR', 'ARRANMORE', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.1093646942645 53.2500454616728,-9.11015219403037 53.2451730181564,-9.11250892954489 53.2404863123471,-9.11634388442727 53.2361653633905,-9.12150938309227 53.2323760902507,-9.12780681138476 53.229263955742,-9.13499426532038 53.2269484003257,-9.14279583160031 53.2255182759542,-9.15091214567909 53.2250284518192,-9.15903182850874 53.2254977193721,-9.16684337271256 53.226908075068,-9.17404703351923 53.2292054076579,-9.18036627963071 53.2323015643073,-9.18555837430812 53.2360777181605,-9.18942368702471 53.2403889109793,-9.19181338039896 53.2450695998943,-9.19263517473941 53.2499399987414,-9.19185696191603 53.2548129733963,-9.18950811943597 53.2595012282242,-9.18567846203789 53.2638245082556,-9.18051485881229 53.2676165396418,-9.17421563534902 53.2707314396509,-9.16702296892906 53.2730493467989,-9.15921356640392 53.2744810511031,-9.15108798531712 53.2749714428412,-9.14295901553644 53.2745016441491,-9.13513957829454 53.2730897394329,-9.12793062000702 53.2707900757664,-9.12160947846461 53.2676911608697,-9.11641917896653 53.2639122415169,-9.1125590787379 53.2595986969682,-9.11017722160541 53.2549164281223,-9.1093646942645 53.2500454616728)))', 'IEBAR', 'BARNA', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.74737399233382 52.2102311878259,-6.74840084540605 52.2053772825835,-6.75094888039212 52.2007396686713,-6.75491978118648 52.1964964688425,-6.76016070223943 52.1928106106372,-6.76647017960869 52.1898235859112,-6.77360588183265 52.1876500367406,-6.7812939014842 52.1863733722171,-6.78923923357169 52.1860425811788,-6.79713704535886 52.1866703606238,-6.80468431467722 52.188232630063,-6.81159140102502 52.1906694501306,-6.81759311597366 52.1938873111769,-6.82245887660175 52.1977627061398,-6.82600155749177 52.2021468535202,-6.82808470254249 52.206871392496,-6.82862781635685 52.2117548347307,-6.82760952469409 52.2166095277131,-6.82506847236469 52.2212488637381,-6.82110191242844 52.2254944578768,-6.81586202957785 52.2291830180775,-6.80955012969657 52.2321726411302,-6.80240891305015 52.2343482893868,-6.7947131265861 52.2356262341885,-6.7867589577238 52.2359572917861,-6.77885258452008 52.2353287246003,-6.77129833254303 52.2337647330466,-6.76438690534133 52.2313255186675,-6.75838415219831 52.2281049556255,-6.75352081408933 52.2242269623368,-6.74998364762379 52.219840715872,-6.74790826938134 52.2151148966195,-6.74737399233382 52.2102311878259)))', 'IEBAW', 'BANNOW', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.1370615200915 53.6110033524756,-6.13819656447286 53.6061573024566,-6.14089899260108 53.6015360040682,-6.14506452821995 53.5973169448169,-6.15053283513649 53.5936621154901,-6.15709371777808 53.5907118070595,-6.16449520658659 53.5885792440199,-6.1724532164144 53.5873462566619,-6.18066241053182 53.5870601550396,-6.18880786083574 53.5877319219423,-6.19657706733699 53.5893357926408,-6.20367188759822 53.5918102372842,-6.20981992976291 53.5950603093658,-6.21478498112005 53.5989612724403,-6.21837607742609 53.6033633690553,-6.22045486574249 53.6080975523642,-6.22094097421924 53.6129819637247,-6.21981517446905 53.6178289102162,-6.21712020382516 53.6224520756528,-6.21295920320985 53.6266736882874,-6.20749181840178 53.6303313686034,-6.20092810458886 53.6332843915921,-6.19352046234767 53.6354191194914,-6.18555391362975 53.63665339243,-6.17733509513452 53.6369397046357,-6.16918040019141 53.6362670412595,-6.16140373620384 53.6346613035109,-6.15430438094428 53.6321843054826,-6.14815541668051 53.6289313824113,-6.14319319650272 53.6250277047799,-6.13960825363133 53.6206234433071,-6.13753800419981 53.6158879744191,-6.1370615200915 53.6110033524756)))', 'IEBBG', 'Balbriggan', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.32833373611721 54.2801237064167,-9.32911474162553 54.275250678311,-9.33150482872388 54.2705604143152,-9.33541166816242 54.266233068213,-9.34068479893116 54.2624348005693,-9.34712145941289 54.2593114141238,-9.35447439720093 54.2569827753959,-9.36246135480693 54.2555382331199,-9.37077586920823 54.2550332058134,-9.37909897743183 54.2554870664074,-9.38711138919575 54.256882403065,-9.39450567168213 54.2591656837911,-9.4009979911179 54.262249299976,-9.40633897099173 54.2660149124052,-9.41032325713778 54.2703179742909,-9.41279742492569 54.2749932612457,-9.41366592238285 54.2798611994658,-9.41289481375791 54.2847347521767,-9.41051316882446 54.2894266019156,-9.40661203159016 54.2937563534841,-9.40134099495529 54.2975574801074,-9.3949025017221 54.3006837437922,-9.387544083315 54.3030148399854,-9.37954883159598 54.3044610458254,-9.37122447229206 54.3049666895316,-9.36289146717542 54.3045123043317,-9.35487061324242 54.3031153819292,-9.34747062855552 54.3008296957348,-9.34097621499533 54.2977432205695,-9.33563706788259 54.2939747309016,-9.33165826235979 54.2896692115526,-9.32919238868118 54.2849922610357,-9.32833373611721 54.2801237064167)))', 'IEBCE', 'Ballycastle', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.27717822301146 52.4390665555281,-6.27826268046088 52.4342177406677,-6.28087360182511 52.4295913463458,-6.28491025434046 52.4253650608462,-6.29021726987756 52.4217011590247,-6.29659065228852 52.418740287326,-6.30378562440845 52.4165960824257,-6.31152601205646 52.4153508267157,-6.3195148078835 52.4150523041832,-6.32744551660693 52.4157119747958,-6.3350138560389 52.4173045359328,-6.34192937597037 52.4197688874398,-6.3479265596916 52.4230104643289,-6.35277499067462 52.4269048497985,-6.35628819934863 52.4313025329183,-6.35833085124502 52.4360346317187,-6.35882399694922 52.4409193651752,-6.35774817468695 52.4457690281238,-6.35514423591205 52.4503972027271,-6.3511118503527 52.4546259296696,-6.34580573653189 52.4582925624085,-6.33942975331761 52.4612560387418,-6.33222907382194 52.4634023254616,-6.32448074112158 52.4646488232375,-6.31648297212877 52.4649475589886,-6.30854362821108 52.4642870402867,-6.30096830618795 52.4626926988668,-6.29404851930503 52.4602259059153,-6.28805043387574 52.4569815981083,-6.28320460370315 52.4530846080051,-6.27969710240671 52.4486848430677,-6.27766239555813 52.4439515022029,-6.27717822301146 52.4390665555281)))', 'IEBCR', 'BALLYCONIGER', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.90879596466676 51.7133178415317,-9.90947075197875 51.7084394894732,-9.91166418242031 51.7037366267765,-9.91529154637839 51.6993899028308,-9.92021316018507 51.6955662373924,-9.92623977747038 51.6924124245944,-9.93313987861693 51.6900495141166,-9.94064855567721 51.6885681820436,-9.94847765320568 51.688025265861,-9.95632678129906 51.688441593774,-9.96389478681306 51.6898011897198,-9.97089125292151 51.6920518838007,-9.9770475962437 51.6951073052126,-9.98212734470156 51.6988501828859,-9.98593520777151 51.7031368298014,-9.98832459321532 51.7078026420418,-9.98920327967499 51.7126684047064,-9.98853702123635 51.7175471653622,-9.98635093626808 51.7222514129789,-9.98272861610225 51.7266002873263,-9.97780897653461 51.7304265412691,-9.97178096337358 51.7335829865982,-9.96487630874439 51.7359481728546,-9.95736061382025 51.7374310774866,-9.94952310245341 51.7379746236007,-9.94166544547929 51.7375578870899,-9.93409009448857 51.7361969062226,-9.9270885845904 51.7339440617386,-9.9209302670362 51.7308860518214,-9.91585191446145 51.7271405416176,-9.91204860487758 51.722851618925,-9.90966623729509 51.718184234127,-9.90879596466676 51.7133178415317)))', 'IEBCV', 'BALLYCROVANE', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.034190927713 53.4353693107249,-10.0348759475059 53.4304915839923,-10.0371408561759 53.4257873604049,-10.0408981514952 53.4214373371787,-10.0460031241919 53.4176085533958,-10.0522594673448 53.4144479905655,-10.0594268393056 53.4120769480107,-10.0672300866835 53.4105864056149,-10.0753697750029 53.4100335484653,-10.0835336289409 53.4104395837764,-10.0914084526422 53.4117889317949,-10.0986920841769 53.414029820886,-10.1051049370777 53.4170762644838,-10.1104006960942 53.4208113458371,-10.1143757635187 53.4250916872971,-10.1168770960528 53.4297529359946,-10.1178081291695 53.4346160587792,-10.1171325548193 53.439494207712,-10.1148757971918 53.4441998945182,-10.1111241175936 53.4485521992204,-10.1060213703529 53.4523837354028,-10.0997635235839 53.4555471025285,-10.0925911478448 53.4579205743458,-10.0847801583054 53.4594128011376,-10.0766311681158 53.4599663413826,-10.0684578687262 53.4595598838706,-10.0605748939781 53.4582090726315,-10.0532856467255 53.4559659020626,-10.046870568377 53.4529167060644,-10.0415763129854 53.4491788204164,-10.0376062493435 53.4448960496957,-10.0351126589679 53.4402331166038,-10.034190927713 53.4353693107249)))', 'IEBCY', 'BALLYCONNEELY', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.62312181978749 52.4542224139884,-9.62383844091131 52.4493461896287,-9.62609797226383 52.4446490445617,-9.62981314842729 52.4403114045951,-9.6348409028636 52.4364998359057,-9.64098791052171 52.4333606633195,-9.64801803398846 52.4310143701913,-9.65566138453184 52.429550991589,-9.6636246519241 52.4290266742906,-9.67160231244245 52.4294615327627,-9.6792882939981 52.4308388814473,-9.68638766161822 52.4331058720629,-9.6926278858321 52.436175512019,-9.69776927090109 52.4399299882711,-9.70161414897252 52.4442251717913,-9.70401448947981 52.448896133039,-9.70487762941657 52.4537634600188,-9.70416989800973 52.4586401391855,-9.70191798685069 52.4633387368774,-9.69820800125257 52.4676786061384,-9.69318221753634 52.4714928414021,-9.68703366072711 52.4746347118808,-9.67999870408054 52.47698332349,-9.67234797213566 52.4784482881937,-9.66437589887235 52.4789732177439,-9.65638934862907 52.4785379044643,-9.64869574687638 52.4771591031531,-9.64159118869381 52.4748898832414,-9.63534899376751 52.4718175767103,-9.63020915785758 52.4680604025663,-9.62636911296955 52.4637629005667,-9.62397615386085 52.4590903532193,-9.62312181978749 52.4542224139884)))', 'IEBDF', 'BALLYDUFF', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.42774431879497 54.8418038527464,-8.42864425890502 54.8369375904715,-8.43117129689233 54.8322661229206,-8.43522783439139 54.8279688741943,-8.44065766209938 54.8242108417279,-8.44725201113389 54.8211362773721,-8.45475759149305 54.8188631693063,-8.46288630639536 54.8174787329799,-8.4713262721769 54.8170360805494,-8.47975372808886 54.8175521936118,-8.48784538978723 54.8190072750554,-8.4952907851724 54.8213455042631,-8.5018041118155 54.8244771674923,-8.50713517149361 54.8282820837947,-8.51107896903329 54.8326141981114,-8.5134836090765 54.8373071688795,-8.5142561844869 54.8421807392527,-8.51336642239398 54.8470476503203,-8.51084793629513 54.8517208327914,-8.5067970226092 54.8560206014851,-8.50136903446347 54.8597815753241,-8.49477246068141 54.8628590546605,-8.48726092996037 54.8651346075355,-8.4791234449697 54.8665206462991,-8.47067322454072 54.866963814838,-8.46223559060161 54.866447052982,-8.45413537701093 54.864990256616,-8.44668435781719 54.8626495074389,-8.44016919162215 54.8595149028365,-8.4348403567016 54.8557070715543,-8.43090250952765 54.8513725124305,-8.42850663956825 54.8466779392271,-8.42774431879497 54.8418038527464)))', 'IEBEG', 'ROSBEG/PORTNOO', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.95039363141547 54.2273435308225,-9.95110035266111 54.2224668268742,-9.95341674047816 54.2177645842339,-9.95725329256777 54.2134174209524,-9.962462239689 54.2095922619784,-9.96884327479133 54.2064359447491,-9.97615127032588 54.2040696008394,-9.98410568423906 54.2025840258521,-9.99240129536708 54.2020362117063,-10.0007198626268 54.2024471713294,-10.0087422706052 54.2038011371015,-10.0161607075583 54.2060461629532,-10.0226904207623 54.2090961075611,-10.0280806086372 54.2128339244008,-10.0321240387811 54.2171161352975,-10.0346650253952 54.2217783192677,-10.0356054575204 54.2266414095075,-10.0349086395952 54.2315185598297,-10.032600786111 54.2362223189706,-10.0287701000928 54.2405718380063,-10.0235634577246 54.2443998333464,-10.0171808151774 54.2475590357429,-10.0098675447166 54.2499278743801,-10.0019049914546 54.2514151738552,-9.9935996156981 54.251963679711,-9.9852711451083 54.2515522737133,-9.97724020279252 54.2501967914388,-9.96981589977131 54.2479494098309,-9.96328388182335 54.2448966288559,-9.95789530140313 54.2411559268497,-9.95385714619002 54.2368712212274,-9.95132429892142 54.2322073127714,-9.95039363141547 54.2273435308225)))', 'IEBEL', 'BELMULLET/BLACKSOD', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.11026896137774 55.2993310557461,-7.1113405033115 55.2944766541748,-7.11405073230361 55.289834754825,-7.11829501294174 55.2855836360171,-7.12390993626782 55.2818865149386,-7.13067964548998 55.2788852982769,-7.13834414298906 55.2766951549177,-7.14660925766104 55.2754001153168,-7.155157893273 55.2750498628322,-7.163662134148 55.2756578372111,-7.17179575511163 55.27720072118,-7.179246668831 55.2796193294051,-7.18572884572762 55.2828208667349,-7.1909932595242 55.2866824713954,-7.19483744485879 55.2910559104368,-7.19711330159078 55.2957732509407,-7.19773284234985 55.3006532928885,-7.19667165398095 55.3055085196373,-7.19396992771845 55.3101523008807,-7.18973100451185 55.3144060717975,-7.18411747769761 55.3181062114411,-7.17734499145891 55.3211103535752,-7.16967396618829 55.3233028839371,-7.16139956678317 55.324599408671,-7.15284030299414 55.3249500183205,-7.14432570854419 55.3243412187631,-7.13618358484784 55.3227964528984,-7.12872731370264 55.3203751925624,-7.12224374030536 55.3171706366668,-7.11698210353543 55.3133061065351,-7.11314444597547 55.3089302804931,-7.11087787397092 55.3042114548582,-7.11026896137774 55.2993310557461)))', 'IEBGC', 'BONAGEE/CULDAFF', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.2763820167936 54.2331052570404,-9.27716827741853 54.2282325215763,-9.27956156132795 54.2235432471811,-9.28346941837099 54.2192175494552,-9.28874135022938 54.2154215256458,-9.29517464273114 54.2123008924689,-9.30252217363719 54.2099754109895,-9.31050189323537 54.2085343090549,-9.31880761590462 54.2080328734418,-9.32712071515284 54.2084903394776,-9.33512228353695 54.209889157083,-9.34250530299698 54.2121756606466,-9.34898637079327 54.2152621176797,-9.35431654143223 54.2190300795913,-9.35829087539577 54.2233349089528,-9.3607563305105 54.2280113130093,-9.36161769037325 54.2328796745572,-9.36084129490607 54.2377529401291,-9.35845641885679 54.2424438029828,-9.35455423235665 54.2467719056901,-9.34928437043438 54.2505707848676,-9.3428492321309 54.2536942890953,-9.3354962206898 54.2560222202169,-9.32750822018411 54.2574649774486,-9.31919267692882 54.2579670220095,-9.31086971251328 54.2575090258651,-9.3028597362649 54.2561086197992,-9.29547104626569 54.2538197112524,-9.28898790854269 54.2507303988504,-9.28365958371503 54.2469595658887,-9.27969073029067 54.242652286887,-9.2772335560797 54.2379742275352,-9.2763820167936 54.2331052570404)))', 'IEBGS', 'BALLYGLASS', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.79518342569177 52.3892816213472,-9.79588008444111 52.3844043866294,-9.79811806244501 52.3797039952661,-9.80181092252285 52.3753609990132,-9.80681645426837 52.3715421708657,-9.81294218398024 52.3683941152409,-9.81995278850053 52.3660376570203,-9.82757912549009 52.3645632215859,-9.83552853513137 52.3640273798673,-9.84349602365188 52.3644506881348,-9.85117590848123 52.3658169034718,-9.85827348897459 52.3680736042509,-9.86451630578909 52.3711341923345,-9.86966456619934 52.3748812019195,-9.87352034157761 52.3791707907582,-9.87593518629306 52.3838382446322,-9.87681588337207 52.3887042870876,-9.87612808993904 52.3935819550158,-9.87389773277777 52.3982837779866,-9.87021008886546 52.402628986295,-9.86520657449384 52.406450470181,-9.85907935623572 52.4096012209155,-9.85206398386499 52.4119600033108,-9.84443032558201 52.4134360381498,-9.8364721558055 52.413972511008,-9.82849580196076 52.4135487695295,-9.82080829628515 52.4121811225834,-9.81370549962904 52.4099222097471,-9.80746066544821 52.4068589659242,-9.80231389359212 52.4031092612301,-9.79846288606793 52.3988173482184,-9.79605536264311 52.3941482949413,-9.79518342569177 52.3892816213472)))', 'IEBHE', 'BALLYHEIGUE', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.92733722346485 52.2452928154455,-6.92834539923891 52.2404371775249,-6.93087689398928 52.2357955308854,-6.93483402441176 52.2315461541101,-6.94006447078863 52.2278522125568,-6.94636716834323 52.2248555086808,-6.95350004328531 52.2226710560095,-6.96118929489849 52.2213826817415,-6.96913987013436 52.2210398235477,-6.97704673538713 52.2216556409137,-6.98460652243073 52.2232065119092,-6.99152911253425 52.2256329343485,-6.99754872481863 52.2288417977131,-7.00243409194967 52.2327099407529,-7.00599733792408 52.2370888611664,-7.00810121828787 52.2418103999081,-7.00866444152232 52.2466931851058,-7.00766485997881 52.2515495907464,-7.00514039758733 52.2561929444488,-7.00118766703962 52.2604447077457,-6.99595831821148 52.2641413519532,-6.98965324878598 52.2671406631616,-6.98251489364767 52.2693272309005,-6.97481788782266 52.2706169059712,-6.96685846486871 52.2709600526669,-6.95894300537825 52.27034346758,-6.95137618597364 52.2687908895199,-6.94444919599949 52.2663620805575,-6.93842848617438 52.2631505145382,-6.93354549092139 52.2592797641669,-6.92998772514533 52.2548987286875,-6.92789159898922 52.2501758891447,-6.92733722346485 52.2452928154455)))', 'IEBHK', 'BALLYHACK', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.2851862681142 52.4300694291666,-6.28626959180408 52.4252205192858,-6.28887911446699 52.4205939231552,-6.29291415720784 52.4163673368881,-6.29821941375947 52.412703046969,-6.3045909554526 52.409741714813,-6.31178407564229 52.4075969948242,-6.31952267103206 52.4063511891943,-6.32750980284079 52.4060521030206,-6.33543903944898 52.4067112178826,-6.34300615502375 52.4083032524506,-6.34992074627012 52.4107671267323,-6.35591733216669 52.4140082940087,-6.36076551927671 52.4179023531632,-6.3642788476184 52.4222998057721,-6.36632197840861 52.4270317787188,-6.36681594413723 52.4319164958381,-6.36574125180206 52.4367662526424,-6.36313870965318 52.4413946277534,-6.35910793386608 52.4456236542246,-6.35380358110194 52.449290674073,-6.34742944243478 52.4522546102764,-6.34023061987375 52.4544014119879,-6.3324840848493 52.4556484600921,-6.32448798488092 52.4559477603359,-6.31655011691091 52.4552877985494,-6.3089760208203 52.4536939849992,-6.3020571626247 52.4512276705119,-6.29605967294888 52.4479837733059,-6.29121408282 52.444087110105,-6.28770645685146 52.4396875757751,-6.2856712656914 52.4349543603556,-6.2851862681142 52.4300694291666)))', 'IEBKW', 'BLACKWATER', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.43603514696401 52.5461579656213,-9.43677391577032 52.5412829088344,-9.43905806362502 52.536589362763,-9.44279937864143 52.5322576135425,-9.44785379103049 52.5284539998105,-9.45402695407073 52.5253245399079,-9.46108172909766 52.5229893436546,-9.46874728443382 52.5215380199312,-9.47672946078055 52.5210262530144,-9.48472201120359 52.5214736762135,-9.49241829353137 52.5228631224737,-9.49952297742182 52.5251412799739,-9.50576332786837 52.5282207281483,-9.51089964151499 52.5319832778114,-9.514734441522 52.5362844899639,-9.51712008021424 52.5409592031323,-9.51796445530995 52.5458278603781,-9.5172346136938 52.5507033958877,-9.51495809449731 52.5553984185894,-9.51122194821389 52.5597324175447,-9.50616945773918 52.5635387116144,-9.49999467719894 52.5666708744007,-9.49293499150563 52.5690083845942,-9.4852619799404 52.5704612810374,-9.47727093694585 52.5709736400208,-9.46926945932467 52.5705257380984,-9.46156554833515 52.5691348152062,-9.45445569571474 52.5668544079696,-9.44821342336162 52.5637722794567,-9.44307872722299 52.5600070269106,-9.43924883788587 52.5557035008196,-9.43687065541968 52.5510272149331,-9.43603514696401 52.5461579656213)))', 'IEBLD', 'BALLYLONGFORD', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.97169400855539 51.8286545002363,-7.97257932882057 51.8237891605076,-7.97497903515859 51.8191242899496,-7.97880050730021 51.8148390666929,-7.98389662886289 51.8110980392686,-7.99007148026266 51.808044822924,-7.99708787959556 51.8057966034318,-8.00467647994979 51.8044396561355,-8.0125460762262 51.8040260490332,-8.02039473207635 51.8045716537817,-8.02792130904728 51.8060555392523,-8.03483696609912 51.8084207704136,-8.04087619864462 51.8115765826735,-8.04580700213209 51.8154018501818,-8.0494397756183 51.8197497177979,-8.05163462506364 51.8244532221798,-8.0523067831465 51.8293316893943,-8.05142993071119 51.8341976660393,-8.04903728252494 51.8388641193688,-8.04522038431791 51.8431516302899,-8.04012565613181 51.8468953019959,-8.03394880542002 51.8499511166716,-8.02692731846211 51.8522014929718,-8.01933131671409 51.8535598271981,-8.011453132071 51.8539738402046,-8.00359600838387 51.8534275985391,-7.99606237325863 51.8519421302955,-7.98914214227568 51.8495746114681,-7.98310151636109 51.8464161549259,-7.97817271219274 51.8425882890873,-7.9745450263341 51.8382382646649,-7.97235757827906 51.8335333733545,-7.97169400855539 51.8286545002363)))', 'IEBLN', 'BALLYCOTTON', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.48082253666418 51.6788293008314,-8.48165016462795 51.6739598921301,-8.48398948206099 51.6692843938349,-8.48775018768823 51.6649823957797,-8.49278749500587 51.6612190936724,-8.49890773647303 51.6581389601565,-8.50587581908971 51.65586021546,-8.51342424291115 51.6544703066812,-8.52126333838069 51.6540225660425,-8.52909233553508 51.6545341736865,-8.5366108491972 51.6559855014401,-8.54353034987969 51.6583208621632,-8.54958519059734 51.661450636633,-8.55454277511788 51.6652546982167,-8.55821248303923 51.6695870066531,-8.56045301078555 51.6742811978357,-8.56117784409365 51.6791569581959,-8.56035864530722 51.6840269416036,-8.55802641582036 51.6887039648759,-8.55427037783317 51.6930082060153,-8.5492346072429 51.6967741278249,-8.54311253763601 51.6998568588355,-8.53613954032869 51.702137783374,-8.52858386348217 51.7035291224803,-8.52073628086115 51.7039773261775,-8.51289885452233 51.7034651438264,-8.50537325291128 51.7020122910941,-8.49844908459193 51.6996746872853,-8.4923927071542 51.6965422931126,-8.48743695078049 51.6927356340349,-8.48377215755253 51.6884011457581,-8.48153888282809 51.6837055242496,-8.48082253666418 51.6788293008314)))', 'IEBMW', 'BALLYMACAW', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.1660171583299 53.6134164205222,-10.1666895785006 53.6085381509016,-10.1689490505959 53.6038315973404,-10.1727082749871 53.5994775468262,-10.1778224627603 53.5956431928928,-10.1840949490069 53.592475730295,-10.191284770088 53.5900967223233,-10.1991159107655 53.5885974535872,-10.2072878678485 53.5880354431577,-10.2154871310128 53.5884322488636,-10.2233991498066 53.5897726448951,-10.2307203392299 53.5920052034018,-10.2371696750012 53.595044258268,-10.2424994437279 53.5987731774962,-10.2465047423717 53.6030488214295,-10.2490313650275 53.6077070191036,-10.2499817720874 53.6125688559843,-10.2493189059027 53.6174475346949,-10.2470676961217 53.6221555473504,-10.2433141845115 53.6265118848299,-10.2382022902665 53.6303490054298,-10.2319283291244 53.6335192931961,-10.2247334892615 53.6359007547317,-10.2168945499791 53.6374017318937,-10.2087132017357 53.6379644455185,-10.2005043845763 53.637567230722,-10.1925841034639 53.6362253755945,-10.1852572012625 53.6339905301207,-10.1788055719715 53.6309487085869,-10.1734772781496 53.6272169641909,-10.1694769982918 53.6229388666955,-10.1669581742379 53.6182789605974,-10.1660171583299 53.6134164205222)))', 'IEBOF', 'INISHBOFIN', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.06045886249603 53.2079817038624,-6.06159015305713 53.2031360674541,-6.06427371445557 53.1985159947209,-6.06840600653346 53.1942989271227,-6.07382797810145 53.1906467807239,-6.08033121698249 53.1876997456918,-6.08766596645734 53.1855709231597,-6.09555069898725 53.1843420018707,-6.10368288302112 53.1840601372512,-6.11175053704672 53.1847361500782,-6.11944413779444 53.1863441123274,-6.12646843724668 53.1888223358652,-6.13255374611695 53.192075727155,-6.1374662596984 53.1959794198995,-6.14101703507713 53.2003835493115,-6.14306927594187 53.205118988221,-6.14354364147 53.2100038280968,-6.14242136743692 53.2148503587305,-6.13974506867603 53.21947228004,-6.13561717967488 53.2236918691369,-6.13019608129322 53.2273468260817,-6.12369005277143 53.2302965328272,-6.11634927552464 53.2324274814956,-6.1084561947648 53.2336576596585,-6.10031461298645 53.2339397205414,-6.09223794242518 53.2332628134879,-6.08453707903807 53.2316530026605,-6.07750837651412 53.2291722576224,-6.07142219446651 53.2259160557862,-6.06651247053346 53.2220096913294,-6.06296772292853 53.217603435783,-6.06092383028867 53.2128667400012,-6.06045886249603 53.2079817038624)))', 'IEBRA', 'Bray', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.33399412225907 51.4831207516713,-9.33472715171428 51.4782454621126,-9.33696895292494 51.47355311275,-9.34063296832006 51.4692239463601,-9.34557811772372 51.4654242067795,-9.35161426155245 51.4622997690699,-9.35850952288815 51.4599705559478,-9.36599918479214 51.4585259516609,-9.37379582303745 51.4580213861524,-9.38160029097803 51.4584762178804,-9.389113143616 51.4598729946968,-9.39604607274954 51.4621581204591,-9.40213292471635 51.4652439023747,-9.40713988669577 51.4690119022611,-9.41087445647771 51.47331746577,-9.41319285338468 51.4779952588999,-9.41400558359348 51.4828656024428,-9.41328093996467 51.4877413638699,-9.41104629269713 51.4924351438048,-9.40738711023953 51.4967664816796,-9.40244373699628 51.5005688030692,-9.396406042145 51.5036958398551,-9.38950613873138 51.5060272736348,-9.3820094504077 51.5074733820851,-9.37420447111025 51.5079785062675,-9.36639161733615 51.5075232026705,-9.35887161075197 51.5061249952803,-9.35193384868366 51.5038376980315,-9.34584522056342 51.5007493343061,-9.34083980961367 51.4969787353442,-9.33710988191274 51.4926709511792,-9.3347985114227 51.4879916538874,-9.33399412225907 51.4831207516713)))', 'IEBTM', 'BALTIMORE', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.39744940632037 55.1284350000723,-7.39848108868465 55.1235777192621,-7.40114607700926 55.1189290575375,-7.40534147584556 55.1146675554291,-7.41090575264172 55.110956831158,-7.41762499166752 55.1079393155512,-7.42524112722813 55.1057308043896,-7.43346183792176 55.1044160336075,-7.44197172525173 55.1040454435725,-7.45044435538563 55.1046332536711,-7.45855471325246 55.1061569192296,-7.46599160408847 55.1085579911334,-7.47246953926585 55.1117443461315,-7.47773966074076 55.1155937045167,-7.48159929141104 55.1199583034142,-7.48389974640613 55.1246705500067,-7.48455210176588 55.1295494412767,-7.48353069055268 55.1344075067222,-7.48087418009942 55.1390580092538,-7.47668417517639 55.1433221280948,-7.47112138715984 55.1470358466509,-7.46439950512444 55.1500562782424,-7.4567769971371 55.1522671831559,-7.44854715474309 55.1535834610298,-7.4400267666589 55.1539544420548,-7.43154386536391 55.1533658473197,-7.42342502962248 55.1518403409522,-7.41598274487861 55.1494366523139,-7.40950332093251 55.1462473030301,-7.40423584247721 55.1423950286613,-7.40038258423691 55.1380280360139,-7.39809126093679 55.1333142823316,-7.39744940632037 55.1284350000723)))', 'IEBUC', 'BUNCRANA', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.23713091687637 54.4777370573118,-8.23804515120856 54.4728719706683,-8.24057108157632 54.4682041956685,-8.24461116519884 54.4639130146808,-8.25000983547358 54.4601631931366,-8.2565595270605 54.4570986693463,-8.2640086671566 54.4548370481577,-8.27207132369134 54.4534651062453,-8.28043814268446 54.4530354780052,-8.2887881621816 54.4535646462859,-8.29680106003874 54.4550323131373,-8.3041693779956 54.4573821741296,-8.31061026525695 54.4605240673496,-8.31587630118046 54.4643374167211,-8.31976498832843 54.4686758405864,-8.32212655341819 54.4733727522472,-8.32286975354345 54.4782477410101,-8.32196545691685 54.4831134916846,-8.31944784926596 54.4877829786999,-8.31541320631417 54.4920766590491,-8.31001626637024 54.4958293867962,-8.30346433134488 54.4988967811879,-8.29600931558218 54.5011608003532,-8.28793804566888 54.5025343025468,-8.27956118689503 54.5029644158336,-8.27120122968275 54.5024345835211,-8.26318000910516 54.5009652046522,-8.25580625048207 54.4986128442965,-8.24936363289985 54.4954680448729,-8.24409984042433 54.4916518249008,-8.24021702894654 54.4873110030609,-8.23786407723084 54.4826125311208,-8.23713091687637 54.4777370573118)))', 'IEBUD', 'BUNDORAN', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.25650997982512 55.0607422185866,-8.25743576462709 55.0558774852663,-8.25999664273462 55.0512098572635,-8.26409371080086 55.0469186093109,-8.26956920069117 55.0431685063977,-8.27621259093426 55.0401034940626,-8.28376871219833 55.037841192319,-8.29194753304604 55.0364684009094,-8.30043525302439 55.0360377847821,-8.30890628479461 55.0365658639653,-8.31703567651538 55.0380323830062,-8.324511510686 55.0403810835593,-8.33104681642814 55.0435218513123,-8.33639054872508 55.0473341570211,-8.34033722013064 55.0516716627481,-8.34273481725085 55.0563678201733,-8.34349069483879 55.0612422496943,-8.34257521310709 55.0661076584068,-8.34002296681168 55.0707770332436,-8.33593154518509 55.0750708335327,-8.33045785674166 55.0788239057154,-8.32381214869643 55.0818918522085,-8.31624994324334 55.0841566062997,-8.30806219808154 55.0855309948983,-8.29956407231099 55.085962109898,-8.29108273746028 55.0854333553216,-8.28294471392356 55.0839650894446,-8.27546323331809 55.081613836553,-8.26892612613969 55.0784700995298,-8.26358471165509 55.0746548596638,-8.25964412444239 55.0703149015914,-8.25725545163146 55.0656171469792,-8.25650997982512 55.0607422185866)))', 'IEBUN', 'BUNBEG', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.38958883857198 54.9867899209071,-8.39049675446997 54.9819240774861,-8.39303742937218 54.9772535491706,-8.39711273694357 54.9729577232155,-8.40256574436819 54.9692015414584,-8.40918679184174 54.9661291836763,-8.41672156528828 54.9638585524132,-8.42488084975967 54.9624767673402,-8.43335159173969 54.962036838463,-8.44180885315145 54.9625556428214,-8.44992820927424 54.9640132803415,-8.45739812764347 54.9663538329257,-8.46393186563141 54.9694874984651,-8.46927844077768 54.9732940200159,-8.47323225974467 54.9776272816696,-8.47564103835933 54.9823208983713,-8.47641170552164 54.9871945887194,-8.47551405629709 54.9920610890876,-8.47298200222937 54.996733345506,-8.46891235721044 55.0010317076319,-8.46346119198297 55.0047908475194,-8.45683788589117 55.007866135043,-8.44929709686292 55.0101392216319,-8.4411289556633 55.0115226138135,-8.43264786416614 55.0119630569139,-8.42418033607076 55.0114435956074,-8.41605235910959 55.0099842299824,-8.40857677819256 55.0076411412252,-8.40204119801796 55.0045045175547,-8.39669688150012 55.0006950662634,-8.39274907811873 54.9963593492859,-8.39034915622763 54.9916641254776,-8.38958883857198 54.9867899209071)))', 'IEBUR', 'BURTONPORT', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.41382025292829 51.681148411495,-9.41454780252711 51.6762728011647,-9.41679101420464 51.6715790825475,-9.4204632707482 51.6672475509036,-9.42542317097077 51.6634445403833,-9.43148000589821 51.66031605081,-9.43840110310532 51.6579821594587,-9.44592075465376 51.6565324291675,-9.45375038762454 51.6560224858198,-9.46158959255443 51.6564718937934,-9.46913759525048 51.6578634090392,-9.47610474214872 51.6601436377467,-9.48222356893393 51.6632250758928,-9.48725903655313 51.6669894531597,-9.49101754772041 51.6712922555666,-9.49335439986232 51.6759682564124,-9.49417938614536 51.6808378464178,-9.49346032328 51.6857139227632,-9.49122436125696 51.6904090743058,-9.48755701359546 51.6947427876357,-9.4825989341491 51.6985483964612,-9.47654055469382 51.7016795053905,-9.46961478279361 51.7040156383754,-9.46208803806575 51.7054668913088,-9.45424997330212 51.7059774064988,-9.44640228163149 51.7055275325094,-9.43884702927775 51.7041345843368,-9.43187497350023 51.7018521739416,-9.42575432594591 51.6987681374897,-9.42072040286182 51.6950011408674,-9.41696656639084 51.6906960968285,-9.41463680742558 51.686018573342,-9.41382025292829 51.681148411495)))', 'IEBYT', 'BANTRY', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.10749425795281 53.1160447085403,-9.1082795405994 53.1111721682773,-9.1106291692089 53.1064853971892,-9.11445240409877 53.1021644173515,-9.11960202249355 53.0983751495555,-9.12588002139223 53.0952630571727,-9.1330452426898 53.092947579814,-9.14082262514827 53.09151756709,-9.14891373007434 53.091027884349,-9.15700814301791 53.0914973177775,-9.16479532351075 53.0929078573212,-9.17197645948009 53.0952053842471,-9.17827588281796 53.0983017376138,-9.18345161766439 53.1020780822443,-9.18730466295801 53.1063894517996,-9.18968665506432 53.1110702959588,-9.19050561376399 53.1159408221422,-9.18972954408192 53.1208138911609,-9.18738774537837 53.1255022038876,-9.18356976530445 53.1298255035466,-9.17842202663677 53.1336175161752,-9.17214224620313 53.1367323605263,-9.16497185332926 53.1390501780265,-9.15718669657799 53.1404817627996,-9.14908639820898 53.1409720101666,-9.14098277229245 53.1405020479817,-9.13318776189011 53.1390899667978,-9.12600137110823 53.1367901200489,-9.11970006805161 53.1336910218487,-9.11452611474856 53.1299119252507,-9.11067824103479 53.1255982155555,-9.10830402321789 53.120915799349,-9.10749425795281 53.1160447085403)))', 'IEBYV', 'BALLYVAUGHAN', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.16206160482788 52.5690251706728,-6.16316245306763 52.5641777341496,-6.1657936073767 52.5595542557024,-6.16985355574699 52.5553323104914,-6.17518603480788 52.5516740055608,-6.18158607157432 52.5487197714592,-6.1888078677262 52.5465829893015,-6.19657422237148 52.545345656148,-6.20458713472394 52.5450552518609,-6.212539186838 52.5457229251255,-6.22012527946908 52.5473230667377,-6.22705428187708 52.5497942862966,-6.23306015923848 52.5530417558953,-6.23791215923693 52.5569408330911,-6.24142367199926 52.5613418271377,-6.24345942410929 52.5660757289111,-6.24394072683916 52.5709606877676,-6.24284856939733 52.5758089891843,-6.24022442781573 52.5804342666914,-6.23616874647865 52.5846586712384,-6.23083713913856 52.5883197213697,-6.22443444606713 52.591276568605,-6.21720686998125 52.5934154340032,-6.20943249171514 52.5946540033492,-6.20141053357957 52.5949446085812,-6.19344979066039 52.594276070422,-6.18585668530006 52.5926741297481,-6.17892341586352 52.5902004508518,-6.17291666678968 52.586950236052,-6.1680673231034 52.5830485457235,-6.16456159027686 52.5786454684382,-6.162533861783 52.5739103304738,-6.16206160482788 52.5690251706728)))', 'IECAH', 'CAHORE POINT', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.5773531822154 53.2642089266709,-9.578087722405 53.2593335931081,-9.58039399696842 53.2546378297027,-9.58418292340781 53.2503020063786,-9.58930858729683 53.2464926154959,-9.59557389640556 53.2433558935774,-9.60273817230771 53.2410122252826,-9.61052638512822 53.239551541071,-9.61863967876794 53.2390298817864,-9.62676678882366 53.2394672590683,-9.63459592457268 53.2408468916942,-9.64182667048063 53.2431158463846,-9.64818146204764 53.2461870590638,-9.6534162054371 53.2499426608557,-9.65732963993091 53.2542384840006,-9.65977108617593 53.2589095781266,-9.66064628039968 53.2637765285368,-9.65992106380233 53.2686523368511,-9.6576227752125 53.2733496017492,-9.65383928133683 53.2776877247191,-9.64871566954236 53.2814998633008,-9.64244871964441 53.2846393626593,-9.63527935986268 53.2869854152951,-9.62748339404596 53.2884477277539,-9.6193608586175 53.2889700113056,-9.61122442496086 53.2885321592716,-9.60338730323438 53.2871510251512,-9.59615112476589 53.2848797708133,-9.58979428111271 53.2818058104343,-9.58456117852112 53.2780474312029,-9.58065282791078 53.2737492237188,-9.57821913465877 53.2690765013475,-9.5773531822154 53.2642089266709)))', 'IECAO', 'CARRAROE', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.14662644345192 54.0440013496866,-6.14777398459065 54.0391556528975,-6.1505051318511 54.0345347749014,-6.15471449394081 54.0303161854906,-6.16024004340741 54.0266618551617,-6.16686938325344 54.023712053138,-6.17434791717172 54.0215799819361,-6.18238860827096 54.0203474508646,-6.19068295513985 54.0200617511141,-6.19891277174235 54.0207338496556,-6.20676232991432 54.0223379696511,-6.21393041073729 54.0248125732199,-6.22014181406493 54.0280627099774,-6.22515789393174 54.0319636435631,-6.22878572112378 54.0363656201791,-6.23088552212726 54.0410995996784,-6.23137610487137 54.045983732588,-6.23023805455397 54.0508303370695,-6.22751456526522 54.0554531094475,-6.22330986244126 54.0596742915275,-6.21778526420231 54.0633315181032,-6.21115302272788 54.0662840790238,-6.20366817606997 54.0684183517556,-6.19561872217679 54.0696521918265,-6.18731449651678 54.0699381087622,-6.17907518908452 54.0692651025272,-6.17121797293877 54.0676590881478,-6.16404523285553 54.065181891908,-6.15783287831009 54.0619288589034,-6.15281970008011 54.0580251664218,-6.14919818562977 54.0536209882779,-6.14710714741474 54.048885699781,-6.14662644345192 54.0440013496866)))', 'IECAR', 'CARLINGFORD', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.3084001602868 52.1960802733164,-6.30947432965649 52.191230867,-6.31206683932024 52.1866033750965,-6.31607766933064 52.1823755290728,-6.32135244685198 52.1787096650396,-6.32768841481318 52.1757465062196,-6.33484223126625 52.1735997784303,-6.34253929862935 52.1723518619539,-6.35048426770552 52.1720506435129,-6.35837232020079 52.172707686633,-6.36590080640711 52.1742977891019,-6.37278080237952 52.1767599442515,-6.37874815360443 52.1799996702158,-6.38357358978612 52.1838926199521,-6.38707152760782 52.1882893364531,-6.38910722442953 52.1930209739548,-6.38960200474149 52.1979057686727,-6.38853635121799 52.2027560131294,-6.3859507313341 52.2073852677039,-6.38194411613106 52.2116155325791,-6.37667023677743 52.2152841033964,-6.37033171360464 52.2182498448499,-6.363172277567 52.2203986379392,-6.35546738177675 52.2216477879586,-6.3475135672389 52.2219492203897,-6.33961699889048 52.2212913391284,-6.33208162290252 52.2196994739866,-6.32519741212715 52.217234899984,-6.31922916274256 52.2139924672353,-6.3144062817794 52.2100969348665,-6.31091396354407 52.2056981530672,-6.30888609514509 52.2009652820239,-6.3084001602868 52.1960802733164)))', 'IECAZ', 'CARNE', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.83938609982295 53.2279511911253,-8.8402038343978 53.2230805506685,-8.84258880860836 53.2183991993413,-8.84644892435612 53.2140869490215,-8.85163554384993 53.2103093834481,-8.85794924650024 53.2072115152796,-8.86514750785634 53.2049122372252,-8.87295400321432 53.2034997768639,-8.88106918090097 53.2030283262099,-8.88918170586151 53.2035159725085,-8.89698034409416 53.2049440077564,-8.90416584333602 53.2072576427888,-8.91046236552889 53.2103680992218,-8.91562804197723 53.2141560009127,-8.9194642524359 53.2184759376694,-8.92182327397245 53.2231620294445,-8.92261400328374 53.2280342808045,-8.92180552571346 53.2329054845548,-8.91942838351722 53.2375884112846,-8.91557348244111 53.2419030092759,-8.91038866638903 53.2456833373781,-8.904073081391 53.248783962363,-8.8968695384663 53.2510855718209,-8.889055166389 53.2524995832376,-8.88093071599224 53.252971568464,-8.87280893401868 53.2524833588712,-8.86500246376825 53.2510537482188,-8.85781174985832 53.2487377655132,-8.85151342423224 53.2456245465507,-8.84634963014009 53.2418338880442,-8.84251870125347 53.2375116198856,-8.84016755643265 53.232823977057,-8.83938609982295 53.2279511911253)))', 'IECBG', 'CLARINBRIDGE', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.0800733510577 53.5553859794821,-10.0807548430952 53.5505081035414,-10.0830208766219 53.5458030972898,-10.0867839023699 53.5414516879186,-10.0918989878279 53.5376209673893,-10.0981694356724 53.534457991022,-10.1053543619619 53.5320841501394,-10.1131779399989 53.5305905313924,-10.1213399566655 53.5300344374168,-10.1295272821794 53.5304371993427,-10.1374258226986 53.5317833630086,-10.1447325086789 53.5340212792523,-10.1511668707122 53.5370650761399,-10.1564817687511 53.5407979392474,-10.1604728698584 53.5450765769226,-10.1629865132865 53.5497367025442,-10.1639256587597 53.5545993267963,-10.1632536828654 53.5594776213748,-10.1609958674835 53.5641840926125,-10.1572385107446 53.5685377902875,-10.1521256821045 53.5723712740653,-10.1458537353044 53.5755370679464,-10.1386637824865 53.5779133516669,-10.1308324155905 53.5794086666759,-10.1226610335184 53.5799654520965,-10.1144641918523 53.5795622715321,-10.106557433184 53.5782146428784,-10.0992450781975 53.575974438329,-10.0928084593549 53.5729278781921,-10.0874950602806 53.5691921975714,-10.083508985706 53.5649111170599,-10.0810031311339 53.5602492951783,-10.0800733510577 53.5553859794821)))', 'IECGG', 'CLEGGAN/CLIFDEN', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.97730398162296 52.2603438897582,-9.97797877691286 52.2554655909411,-9.98019111023493 52.2507617834686,-9.98385553141225 52.2464131518201,-9.98883092244957 52.2425866868697,-9.99492596555817 52.239429287496,-10.0019065129362 52.2370621381598,-10.0095045724712 52.2355760750449,-10.0174285659772 52.2350281153266,-10.0253744719193 52.2354392799076,-10.0330374338891 52.2367937911945,-10.0401234000723 52.2390396758977,-10.0463603579197 52.2420907502213,-10.0515087422237 52.2458299129852,-10.0553706234976 52.2501136229827,-10.0577973263168 52.2547773919642,-10.058695183072 52.2596420856806,-10.0580291959579 52.2645207939099,-10.055824457016 52.2692260075969,-10.0521652602483 52.2735768281788,-10.0471919282806 52.277405931537,-10.0410954654252 52.280566017119,-10.0341102356259 52.2829354915133,-10.0265049438506 52.2844231645666,-10.0185722693288 52.2849717740047,-10.0106175552031 52.2845602000109,-10.0029469988495 52.283204282508,-9.99585580825926 52.2809562088696,-9.98961679134971 52.2779024961375,-9.98446982680038 52.2741606471659,-9.98061262795129 52.2698746121119,-9.97819315736981 52.2652092331937,-9.97730398162296 52.2603438897582)))', 'IECGY', 'CASTLEGREGORY', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.1845888638144 51.9494135533101,-10.1852369203957 51.9445339890971,-10.187412611835 51.9398262863529,-10.1910319018751 51.9354712813685,-10.195955409187 51.9316362121726,-10.2019938083091 51.9284683103052,-10.208915123101 51.9260891653055,-10.2164536297721 51.9245900750634,-10.2243200291579 51.9240285572353,-10.2322125033144 51.9244261527693,-10.2398282407861 51.9257676038464,-10.2468749987622 51.9280014369604,-10.2530822691112 51.9310419292224,-10.2582116289995 51.9347723841086,-10.2620658851453 51.9390495935728,-10.2644966630938 51.9437093184518,-10.265410148201 51.9485725800473,-10.264770751817 51.9534525241547,-10.2626025525517 51.9581615959012,-10.2589884460475 51.962518750578,-10.2540670244866 51.9663564228856,-10.2480272957921 51.969526984984,-10.2411014385185 51.9719084423378,-10.2335558680069 51.9734091450218,-10.2256809588283 51.9739713298997,-10.2177798244668 51.9735733544709,-10.2101565948175 51.9722305343899,-10.2031046533079 51.9699945515818,-10.1968952972152 51.9669514562074,-10.1917672669067 51.9632183410908,-10.1879175532464 51.9589388192739,-10.1854938391358 51.9542774819546,-10.1845888638144 51.9494135533101)))', 'IECHE', 'CAHIRCIVEEN', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.25671323250371 51.803752252268,-8.25756736561046 51.7988846386784,-8.25993635712408 51.7942138269025,-8.26372876476924 51.7899192250419,-8.26879858518153 51.7861657431835,-8.27495090464305 51.7830974756481,-8.28194940204977 51.78083218632,-8.28952541391664 51.7794568055216,-8.29738821562222 51.7790241080794,-8.30523613038136 51.7795506974027,-8.31276804864986 51.7810163712035,-8.31969492646632 51.7833648926617,-8.32575083193496 51.786506138185,-8.33070312463855 51.7903195412537,-8.33436138290865 51.7946587029635,-8.33658473788673 51.7993569955379,-8.33728733010802 51.8042339468903,-8.3364416724149 51.8091021637531,-8.33407978035913 51.8137745292053,-8.33029201538852 51.8180713986128,-8.32522367406163 51.8218275166755,-8.31906944491742 51.8248983877345,-8.31206593979024 51.8271658515425,-8.30448258454461 51.8285426467319,-8.29661122176554 51.8289757831475,-8.28875483158562 51.8284485905505,-8.28121581385659 51.8269813630716,-8.27428429336894 51.824630574065,-8.26822690882231 51.8214866923368,-8.26327652580856 51.8176706857452,-8.2596232752616 51.8133293495571,-8.25740726365893 51.8086296425934,-8.25671323250371 51.803752252268)))', 'IECHN', 'CROSSHAVEN', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.78729467510433 53.3262824844459,-9.78800628402743 53.3214060017733,-9.79029276479311 53.316706308557,-9.79406579170732 53.3123639267864,-9.79918005689111 53.3085456014052,-9.80543890177495 53.3053979122485,-9.81260189270653 53.303041664829,-9.82039404684423 53.3015672719211,-9.82851635592974 53.3010312997757,-9.83665721016066 53.3014543085551,-9.84450429328746 53.3028200678257,-9.85175650391444 53.3050761764069,-9.85813545711963 53.3081360633421,-9.86339613493577 53.3118822950291,-9.86733628365273 53.3161710644037,-9.86980419966809 53.3208376932589,-9.87070460270322 53.3257029399068,-9.87000236414871 53.3305798729567,-9.86772393714695 53.3352810492542,-9.86395642128034 53.3396257210244,-9.8588442854201 53.3434467946923,-9.85258386396374 53.3465972720215,-9.84541583058054 53.3489559230249,-9.83761593577882 53.3504319690039,-9.82948436626346 53.3509685920423,-9.82133414165519 53.3505451328849,-9.81347900476045 53.3491778905314,-9.80622128308895 53.3469194919488,-9.7998402005686 53.3438568567259,-9.79458109933374 53.3401078368672,-9.7906459930724 53.3358166639104,-9.78818581771798 53.3311483819858,-9.78729467510433 53.3262824844459)))', 'IECIL', 'CILL CHIARAIN', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.0028202866712 53.8083600965785,-10.0035144412613 53.8034828066957,-10.0058023646564 53.798779360469,-10.0095956600262 53.7944304238726,-10.0147482279397 53.7906029922921,-10.0210619301962 53.7874439930601,-10.0282942234557 53.7850746632608,-10.0361674664371 53.7835859151952,-10.0443795451187 53.7830348638891,-10.0526154143779 53.7834426468766,-10.0605591229089 53.7847936178254,-10.0679058717398 53.7870359440936,-10.0743736555678 53.7900835858178,-10.0797140504436 53.7938195824139,-10.0837217407855 53.7981005232135,-10.0862424226455 53.8027620340832,-10.0871787775721 53.8076250729108,-10.0864942808586 53.8125027952731,-10.0842146874783 53.8172077287082,-10.0804271260931 53.8215589808281,-10.0752768231862 53.8253892037304,-10.0689615721298 53.8285510451291,-10.0617241520523 53.8309228352458,-10.0538429847458 53.8324132872179,-10.0456213906392 53.8329650266152,-10.037375863494 53.8325568111476,-10.029423824944 53.8312043529887,-10.0220713421316 53.828959711195,-10.0156012933057 53.8259092781482,-10.0102624472392 53.822170439386,-10.0062598837195 53.8178870382709,-10.0037471261815 53.8132238234964,-10.0028202866712 53.8083600965785)))', 'IECIS', 'CLARE ISLAND', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.84387142983188 51.6219534986416,-8.84465912657841 51.617081474086,-8.84695818508701 51.6123986896111,-8.85067984892355 51.6080850172524,-8.85568082746201 51.604306102953,-8.86176884327295 51.6012070200801,-8.86871003519025 51.5989067168739,-8.8762379304864 51.5974934677881,-8.88406364366727 51.5970215001197,-8.89188691628014 51.5975089226938,-8.8994075828685 51.5989370342961,-8.90633703347327 51.6012510377725,-8.91240924319485 51.604362133046,-8.91739095429146 51.6081509105533,-8.92109062577165 51.6124719175865,-8.92336580876812 51.6171592254672,-8.92412866209493 51.6220327870274,-8.92334938979345 51.6269053429862,-8.92105745919104 51.6315896137637,-8.91734054156337 51.6359055010488,-8.91234120496853 51.6396870216962,-8.90625147686337 51.642788705546,-8.89930547909373 51.6450912083827,-8.89177041603395 51.6465059208785,-8.88393626440585 51.646978392945,-8.8761045673408 51.6464904389671,-8.86857677284334 51.6450608410606,-8.8616425760327 51.6427446226562,-8.85556872437468 51.6396309210341,-8.85058872557943 51.6358395425505,-8.84689385995449 51.6315163358884,-8.84462584471863 51.6268275645993,-8.84387142983188 51.6219534986416)))', 'IECKY', 'CLONAKILTY', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.88476996441625 51.7423097477944,-9.8854477334711 51.7374315435306,-9.88764502847538 51.7327291340799,-9.89127699082858 51.7283831511913,-9.89620376001597 51.7245604859191,-9.90223589177744 51.7214078937701,-9.90914165513191 51.7190463773862,-9.91665592533277 51.7175665592307,-9.92449033291043 51.717025218651,-9.93234428479813 51.7174431234262,-9.93991644321979 51.7188042370822,-9.94691623223146 51.7210563316187,-9.95307494089111 51.7241129826361,-9.95815600599707 51.7278568720025,-9.96196408587563 51.7321442739493,-9.96435257916118 51.7368105555918,-9.96522929786265 51.7416764839498,-9.96456007078434 51.7465551000997,-9.96237012963094 51.7512588983778,-9.95874321344657 51.7556070355992,-9.95381841451194 51.7594322927321,-9.94778487713252 51.7625875196828,-9.94087454628038 51.7649513126843,-9.93335324206148 51.7664327026789,-9.92551040481147 51.7669746710204,-9.91764791093982 51.7665563543586,-9.91006839866385 51.7651938518735,-9.90306356348591 51.7629396030028,-9.89690288458054 51.7598803601238,-9.89182322509995 51.7561338359563,-9.8880197127225 51.7518441573933,-9.88563825345242 51.7471763039134,-9.88476996441625 51.7423097477944)))', 'IECLD', 'CLEANDRA', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2135158501925 61.7181618396697,17.2121583017151 61.7133166033232,17.2088358628209 61.7086900886213,17.2036769527848 61.704459950529,17.1968802859906 61.7007885557704,17.1887071657808 61.697816772869,17.179471426124 61.6956585922658,17.1695274100453 61.6943967781578,17.1592564408298 61.6940797142445,17.149052292472 61.6947195606166,17.1393061988828 61.6962917901649,17.1303919565032 61.6987361217627,17.1226516720172 61.7019588157786,17.116382685822 61.7058362468861,17.1118261630533 61.71021962134,17.1091577878421 61.714940662526,17.1084809240553 61.7198180512283,17.1098225185826 61.7246643771626,17.1131319234566 61.7292933371553,17.1182827037123 61.7335269039687,17.1250773826542 61.737202188888,17.133254959578 61.7401777311482,17.1425009220255 61.7423389679794,17.1524593706459 61.7436026699007,17.1627467849276 61.7439201658096,17.1729668872581 61.7432792298475,17.1827260148739 61.7417045550044,17.1916483870205 61.7392567946819,17.1993906593332 61.7360302105043,17.2056551887918 61.7321490200402,17.2102014887633 61.7277625893623,17.2128554314463 61.7230396603665,17.2135158501925 61.7181618396697)))', 'SEDJE', 'Djuped', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.19188620337416 53.7850204399182,-6.19302037365503 53.7801739738981,-6.1957286940734 53.7755516207691,-6.19990665677121 53.7713309082285,-6.20539344430237 53.7676738898779,-6.21197814924272 53.7647209398216,-6.21940788718908 53.7625853829624,-6.22739749021454 53.7613491635828,-6.23564041205746 53.7610597150937,-6.24382043411664 53.7617281483942,-6.25162373367598 53.7633288267713,-6.25875086328671 53.7658003433919,-6.26492819316278 53.7690478649897,-6.26991838675549 53.7729467541214,-6.27352951300794 53.7773473341443,-6.27562244643738 53.7820806175545,-6.27611626703121 53.7869647811437,-6.27499144438081 53.791812142025,-6.2722906724049 53.7964363681819,-6.26811730978006 53.800659646766,-6.26263147363182 53.8043195335193,-6.25604392654283 53.8072752176491,-6.24860798560588 53.8094129580147,-6.24060976309651 53.8106504779139,-6.23235711751579 53.8109401459432,-6.22416774781795 53.8102708177805,-6.2163568998141 53.8086682663735,-6.20922517013571 53.8061941837077,-6.20304688888627 53.8029437937069,-6.1980595374504 53.7990421705027,-6.19445461419059 53.7946394069754,-6.19237030023976 53.7899048230472,-6.19188620337416 53.7850204399182)))', 'IECLG', 'CLOGHERHEAD', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.66885958128702 51.6358936687305,-8.66966626542064 51.6310228686367,-8.67198402931298 51.6263435597325,-8.67572339909934 51.6220354794694,-8.68074040608093 51.6182640581779,-8.68684215981213 51.6151740809771,-8.69379427427687 51.6128841463464,-8.70132985976422 51.6114821308809,-8.70915973726825 51.6110218311201,-8.71698348926958 51.6115209086423,-8.72450093165644 51.6129602155113,-8.73142357697806 51.6152845253648,-8.73748565951027 51.6184046427709,-8.74245430774994 51.6222008117494,-8.74613847961137 51.6265272953802,-8.74839631909743 51.6312179539243,-8.74914064949493 51.636092610506,-8.74834238569501 51.6409639626175,-8.746031725084 51.6456447757687,-8.74229706011705 51.6499550835003,-8.73728164322616 51.6537291163706,-8.73117812277849 51.6568216916711,-8.72422115375514 51.6591138153853,-8.71667836492897 51.6605172776496,-8.7088400319496 51.6609780616622,-8.70100785960748 51.6604784321216,-8.69348331393646 51.6590376210041,-8.68655596379853 51.6567110836803,-8.68049229118284 51.6535883546949,-8.67552540966675 51.6497895876174,-8.67184609236675 51.6454609149046,-8.66959545621642 51.6407688095633,-8.66885958128702 51.6358936687305)))', 'IECMY', 'COURTMACSHERRY', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.79929577239903 53.3252866752327,-9.80000599695995 53.3204101253638,-9.80229110498027 53.3157102065524,-9.80606282342326 53.311367449532,-9.81117589452305 53.3075486137202,-9.8174337053792 53.3044002985919,-9.8245958618427 53.3020433337071,-9.83238741292688 53.3005681593721,-9.84050937338826 53.3000313718023,-9.84865014673888 53.3004535624157,-9.85649741984427 53.3018185321366,-9.86375008410364 53.3040739100517,-9.87012973733214 53.3071331532304,-9.87539133487953 53.3108788527849,-9.87933258792482 53.315167222109,-9.88180175064058 53.3198335984091,-9.88270349499924 53.324698749768,-9.88200264092885 53.3295757485379,-9.87972558836055 53.3342771491224,-9.8759593839624 53.3386221952023,-9.87084844603626 53.3424437788717,-9.8645890627244 53.3455948823195,-9.85742186756608 53.3479542514891,-9.84962257864267 53.3494310800433,-9.84149135921423 53.3499685199264,-9.83334121536432 53.3495458804115,-9.82548588680288 53.3481794289157,-9.81822770850174 53.3459217619393,-9.81184592210797 53.3428597709021,-9.80658589702504 53.3391112830288,-9.80264968267862 53.3348205094216,-9.800188257799 53.3301524789041,-9.79929577239903 53.3252866752327)))', 'IECNA', 'CARNA', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.39836832906669 54.2477947777919,-8.39925824961916 54.2429282310452,-8.40175169308306 54.2382568329719,-8.40575236983761 54.233960006932,-8.41110622919898 54.2302027371082,-8.417607426019 54.2271292496392,-8.42500624614054 54.224857494975,-8.43301868392473 54.2234746397131,-8.44133730669195 54.2230337374336,-8.44964299612488 54.2235517033527,-8.45761712649541 54.2250086685915,-8.46495372463299 54.2273487382223,-8.47137115715271 54.230482124795,-8.47662290659831 54.2342885775422,-8.48050702950921 54.238621978702,-8.4828739353318 54.2433159340908,-8.48363218450671 54.2481901468285,-8.48275207546311 54.2530573324312,-8.48026687161004 54.2577304116148,-8.47627160816299 54.2620297050858,-8.47091951167789 54.2657898530182,-8.46441615891885 54.2688661911072,-8.45701159226318 54.2711403349217,-8.44899069220667 54.2725247541373,-8.44066217973415 54.2729661570757,-8.432346678783 54.2724475522997,-8.42436430879805 54.2709889059488,-8.41702229735725 54.2686463688849,-8.41060310197091 54.2655101042029,-8.40535350847368 54.2617008008365,-8.4014751321005 54.2573650105284,-8.39911668854594 54.2526694911878,-8.39836832906669 54.2477947777919)))', 'IECNS', 'CARNS', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-8.24566870040481 51.8537483058148,-8.24652502525333 51.8488808222174,-8.24889783367195 51.844210287428,-8.25269553564509 51.8399160986856,-8.25777192375031 51.8361631499305,-8.26393183182638 51.8330955147141,-8.27093864764913 51.8308309323701,-8.27852338904685 51.8294563058703,-8.28639499724202 51.8290243809693,-8.29425145846576 51.8295517314133,-8.30179133609332 51.8310181257961,-8.3087252813497 51.8333672998231,-8.31478709134522 51.8365091050948,-8.31974389881059 51.8403229538628,-8.32340510807617 51.8446624303463,-8.32562973589541 51.8493608948547,-8.32633187257372 51.8542378687795,-8.32548404701186 51.8591059579609,-8.32311835671143 51.8637780502539,-8.31932530801962 51.8680745113041,-8.31425039993824 51.8718301012333,-8.30808857330668 51.8749003443952,-8.30107673243023 51.8771671044201,-8.29348462449892 51.8785431468036,-8.28560442977894 51.8789755102353,-8.27773946926134 51.8784475542066,-8.2701924735129 51.8769796023185,-8.26325387497857 51.8746281559822,-8.25719058496668 51.8714837095359,-8.25223569606397 51.8676672528231,-8.24857951185478 51.8633255986603,-8.24636225056577 51.8586257182698,-8.24566870040481 51.8537483058148)))', 'IECOB', 'COBH', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.17799478770174 52.6400297836838,-6.17909595865904 52.6351822505817,-6.18172998909331 52.630558502694,-6.18579525460638 52.6263361253717,-6.19113528620938 52.6226772419664,-6.19754482016703 52.6197223048693,-6.20477769352712 52.6175847217926,-6.21255628084412 52.6163465201903,-6.22058211299916 52.616055213005,-6.22854727766509 52.6167219834621,-6.23614617384393 52.6183212570547,-6.24308718062546 52.6207916769015,-6.2491038031533 52.6240384461256,-6.25396487669822 52.6279369495866,-6.25748344236363 52.6323375190053,-6.2595239545618 52.637071161962,-6.26000753987601 52.641956038054,-6.25891509767334 52.6468044360981,-6.25628811276731 52.6514299859089,-6.25222713693867 52.6556548278092,-6.24688798610971 52.6593164632381,-6.24047578992402 52.662274020834,-6.23323711663231 52.6644136939371,-6.22545047466677 52.6656531369055,-6.21741555939447 52.6659446478096,-6.20944166596668 52.6652770124095,-6.20183572425781 52.663675936892,-6.19489042779653 52.6612030524657,-6.18887292450308 52.6579535312176,-6.18401451319344 52.6540524072588,-6.18050174746144 52.6496497478155,-6.17846928990713 52.6449148634942,-6.17799478770174 52.6400297836838)))', 'IECOU', 'COURTOWN', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.65798352998999 52.6032349474678,-9.65869856962783 52.5983586395915,-9.6609618920151 52.5936609340712,-9.66468608189285 52.5893222779992,-9.66972772321559 52.5855092760461,-9.67589295566227 52.5823683073461,-9.68294494159957 52.5800199234073,-9.6906129540103 52.5785542388087,-9.69860273824534 52.5780274882692,-9.70660775581355 52.5784598793491,-9.71432088786125 52.5798348212223,-9.72144616019001 52.5820995583505,-9.72771005094913 52.5851671852955,-9.73287195652725 52.5889199671416,-9.73673342034811 52.5932138408465,-9.7391457725993 52.5978839280439,-9.74001588535393 52.6027508510078,-9.73930981561339 52.6076276121359,-9.73705418654809 52.6123267747074,-9.73333524217926 52.6166676698076,-9.72829559997056 52.6204833518946,-9.72212881589438 52.623627033808,-9.71507196380379 52.6259777509778,-9.70739651154293 52.6274450336111,-9.6993978464113 52.6279724037024,-9.69138385893771 52.6275395593702,-9.68366303356439 52.6261631604441,-9.67653251572963 52.623896184286,-9.67026662586424 52.6208258772063,-9.66510627192372 52.6170703821473,-9.66124967425979 52.6127741752132,-9.65884476185581 52.6081024899827,-9.65798352998999 52.6032349474678)))', 'IECRG', 'CARRIGAHOLT', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.88743691681871 52.1133122778535,-9.88811951724442 52.108434339075,-9.89033424714716 52.103732090819,-9.89399556879406 52.0993861575619,-9.89896248714949 52.0955634267919,-9.9050440125909 52.0924106545454,-9.91200651768955 52.0900488483722,-9.9195827027804 52.0885686401382,-9.92748182772787 52.0880268229903,-9.93540082283529 52.0884441825546,-9.9430358613261 52.089804703636,-9.9500939599313 52.092056182078,-9.95630417318614 52.0951122188113,-9.96142796108434 52.0988555212954,-9.96526833845235 52.1031423883303,-9.96767745714081 52.1078082093257,-9.96856232785318 52.1126737702011,-9.96788845567821 52.1175521266282,-9.96568124022256 52.1222557826005,-9.96202507521341 52.12660389933,-9.95706017063449 52.1304292569149,-9.95097720952752 52.1335846994102,-9.94401003788664 52.1359488127449,-9.93642666581487 52.1374306138082,-9.92851892760106 52.1379730669591,-9.9205912042352 52.1375552897457,-9.91294865129373 52.1361933609464,-9.90588539605343 52.1339396990304,-9.89967316902942 52.1308810354815,-9.89455081680449 52.1271350627491,-9.89071510598228 52.1228458885543,-9.88831317427207 52.1181784747312,-9.88743691681871 52.1133122778535)))', 'IECRM', 'CROMANE', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.86884863085773 51.653303916332,-9.86952689844692 51.6484257287084,-9.87172165134662 51.643723558518,-9.87534813094003 51.6393780284836,-9.88026668910625 51.635556012591,-9.88628819797004 51.6324042418403,-9.89318133464102 51.6300436878031,-9.90068145850861 51.6285649364264,-9.90850074184708 51.6280247264288,-9.91633917040991 51.6284437823532,-9.92389600043753 51.6298060235115,-9.93088124275603 51.6320591784068,-9.93702674374571 51.635116781558,-9.94209644692025 51.6388614777948,-9.94589544737106 51.6431495098458,-9.94827749374347 51.6478162201443,-9.94915064768716 51.6526823588691,-9.94848087739681 51.6575609587994,-9.94629343799569 51.6622645148698,-9.94267197468748 51.6666121933701,-9.9377553719086 51.6704367932305,-9.93173245984277 51.6735911900654,-9.92483477500356 51.6759540125055,-9.9173276504182 51.6774343292596,-9.9094999796088 51.6779751632945,-9.9016530537398 51.6775556950629,-9.89408891021021 51.6761920680231,-9.88709865160904 51.6739367646602,-9.88095119523901 51.6708765775405,-9.87588289527385 51.6671292552201,-9.87208844299467 51.6628389547677,-9.86971339733748 51.6581706790932,-9.86884863085773 51.653303916332)))', 'IECTB', 'Castletown Bearhaven', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.1339541063859 51.5280525556536,-9.13470919778117 51.5231785444487,-9.13697374137472 51.5184900441177,-9.14066030648747 51.5141671482621,-9.14562694855383 51.5103758587878,-9.15168270520401 51.5072617255129,-9.15859494947448 51.5049442751739,-9.16609831538922 51.5035124405171,-9.17390485508654 51.5030211617317,-9.18171504335577 51.5034892879421,-9.18922921595783 51.5048988574678,-9.196159013109 51.5071957838084,-9.20223839933628 51.5102919216408,-9.20723384556647 51.5140684353238,-9.2109532884698 51.5183803433185,-9.21325352507244 51.5230620672753,-9.21404575642713 51.5279337759524,-9.21329906119839 51.5328082830907,-9.21104165641812 51.5374982361461,-9.20735988594644 51.5418233203533,-9.20239496440768 51.5456172006502,-9.19633759223538 51.5487339327893,-9.18942064234012 51.5510535943807,-9.18191019708599 51.5524869160345,-9.17409528210054 51.5529787311795,-9.16627669765766 51.5525101090351,-9.15875538623932 51.5510990867835,-9.15182079444993 51.5487999720896,-9.1457396877021 51.5457012434341,-9.14074585700114 51.5419221308875,-9.13703111972561 51.537608011642,-9.13473796245951 51.5329248006896,-9.1339541063859 51.5280525556536)))', 'IECTD', 'CASTLETOWNSEND', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.34323045169354 52.3800900578037,-6.34430600752312 52.3752404785447,-6.34690636709607 52.3706124460796,-6.35093120414474 52.3663837122024,-6.35622560438084 52.3627166463645,-6.36258605543612 52.3597520169798,-6.36976827542805 52.3576036053217,-6.3774965781802 52.356353855423,-6.38547441862814 52.3560507237467,-6.39339572061207 52.3567058469783,-6.40095656208486 52.3582940967276,-6.40786678036177 52.3607545379682,-6.41386106268575 52.3639927554755,-6.41870910504024 52.3678844611684,-6.42222445444763 52.372280246905,-6.42427169622519 52.3770113036524,-6.4247717067075 52.3818958906639,-6.42370476220422 52.3867463088122,-6.42111137436436 52.3913761117611,-6.41709080807281 52.3956072781766,-6.41179732743284 52.3992770682759,-6.40543430481074 52.4022442989012,-6.39824641358525 52.4043947927634,-6.3905102033263 52.4056457888327,-6.38252342294551 52.4059491409275,-6.3745935096282 52.4052931788057,-6.36702569642048 52.403703158571,-6.36011120739093 52.4012402847904,-6.35411600547901 52.3979993430213,-6.34927053469842 52.3941050360889,-6.34576085652644 52.3897071681498,-6.3437215222512 52.3849748652334,-6.34323045169354 52.3800900578037)))', 'IECUR', 'CURRACLOE', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.05339613895189 53.2729783987614,-6.05453022401055 53.2681329103613,-6.05721888011257 53.2635131074405,-6.06135836979249 53.2592964208161,-6.06678936440341 53.2556447515574,-6.07330310495295 53.2526982711138,-6.08064943188567 53.2505700589561,-6.08854637417418 53.2493417801049,-6.09669093295233 53.2490605651571,-6.1047706532368 53.2497372099279,-6.11247555000991 53.2513457622582,-6.11950994267747 53.2538245116105,-6.12560375494013 53.2570783445956,-6.13052285538296 53.2609823783234,-6.13407804723231 53.2653867352538,-6.13613236303141 53.2701222797404,-6.13660638031902 53.2750070993371,-6.13548134616488 53.2798534846109,-6.13279997951343 53.2844751409158,-6.12866490807775 53.2886943552741,-6.12323478786601 53.2923488417923,-6.11671824474928 53.2952980001189,-6.10936586494677 53.2974283430995,-6.10146054098003 53.2986578813146,-6.09330654775085 53.2989392924401,-6.08521777655415 53.2982617507945,-6.07750559032862 53.2966513450783,-6.07046677942189 53.2941700679904,-6.0643720927691 53.2909134177455,-6.05945579490118 53.2870067061357,-6.05590665592346 53.2826002183843,-6.05386072179751 53.2778634145354,-6.05339613895189 53.2729783987614)))', 'IEDAL', 'DALKEY', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.47786785753287 52.7251728759806,-9.47860486553281 52.7202977100848,-9.48089374577872 52.7156034879202,-9.48464609950419 52.7112705212917,-9.48971742896197 52.707465194947,-9.49591273540793 52.7043335921077,-9.50299402943562 52.7019959038939,-9.51068946256519 52.7005418339418,-9.51870373135878 52.7000271712504,-9.52672936075988 52.7004716599174,-9.53445844290249 52.7018582455598,-9.54159439198126 52.7041337265972,-9.54786327524271 52.7072107859905,-9.55302429475775 52.7109713272857,-9.55687902405717 52.7152709897159,-9.55927904730137 52.7199446723735,-9.56013170537594 52.7248128587388,-9.5594037216765 52.7296885015916,-9.557122558408 52.7343842058378,-9.55337543949777 52.7387194340392,-9.54830606573925 52.7425274571447,-9.54210913813733 52.7456617813755,-9.53502289290303 52.7480018013039,-9.52731993229173 52.7494574583112,-9.51929670573281 52.7499727217831,-9.51126205202305 52.7495277561585,-9.50352525289943 52.7481396884329,-9.49638406900847 52.7458619458207,-9.4901132300557 52.7427821896659,-9.48495383170476 52.7390189269799,-9.48110405361556 52.7347169328368,-9.47871155785003 52.7300416631257,-9.47786785753287 52.7251728759806)))', 'IEDBG', 'DOONBEG', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.26342775017608 52.1374094237631,-7.2643966639499 52.1325505049141,-7.26688694425435 52.1279012239326,-7.27080249045062 52.1236401549706,-7.27599257719707 52.1199309143804,-7.28225768509489 52.1169158934517,-7.28935717820075 52.1147108096222,-7.29701853187697 52.1134002820259,-7.30494775937365 52.1130345979997,-7.31284064350659 52.1136277920277,-7.32039435182062 52.1151571092171,-7.32731900034615 52.1175638734979,-7.33334873275911 52.1207557281309,-7.33825189841915 52.1246101645954,-7.34183994403571 52.1289792073238,-7.34397467889674 52.1336950777682,-7.34457363158774 52.1385766235579,-7.34361328538156 52.1434362684967,-7.34113005795077 52.1480872180886,-7.33721897619857 52.152350644151,-7.33203008579463 52.1560625714851,-7.32576272400375 52.1590801997687,-7.31865786990249 52.1612874146178,-7.31098886429099 52.1625992724696,-7.30305085885779 52.1629652834675,-7.29514940715006 52.1623713633489,-7.2875886459601 52.1608403775475,-7.28065953299444 52.1584312561647,-7.27462860424681 52.1552367147873,-7.269727692487 52.1513796709688,-7.26614500786811 52.1470084972225,-7.26401792493841 52.1422912965241,-7.26342775017608 52.1374094237631)))', 'IEDBR', 'DUNBRATTIN', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.94037158980084 52.2072976554547,-6.94137737076317 52.2024418528567,-6.94390524388401 52.1977998616637,-6.94785766577969 52.1935499738976,-6.95308249803004 52.1898553747801,-6.9593788915128 52.1868578922574,-6.96650501417612 52.1846725699616,-6.97418732391589 52.1833832686253,-6.98213103336442 52.1830394615767,-6.9900313716208 52.1836543447072,-6.99758522026602 52.1852043318499,-7.0045026880335 52.1876299545879,-7.01051819053774 52.1908381329083,-7.01540061847031 52.1947057316656,-7.01896220929984 52.1990842692927,-7.02106578305114 52.2038056013387,-7.0216300610809 52.2086883638434,-7.0206328563517 52.2135449317237,-7.01811200247969 52.2181886265023,-7.014163974232 52.222440896802,-7.00894024113483 52.2261381946823,-7.0026414849726 52.2291382813351,-6.99550989749216 52.2313257166727,-6.98781985276602 52.2326163182708,-6.97986731574431 52.2329604148477,-6.97195840124767 52.232344766434,-6.9643975333515 52.2307930757041,-6.95747567194015 52.228365070431,-6.95145907029069 52.2251541933473,-6.94657900504471 52.2212839904608,-6.94302287903442 52.2169033397937,-6.94092704026537 52.2121807074874,-6.94037158980084 52.2072976554547)))', 'IEDCN', 'Duncannon/Saint Helens', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.30466042005251 54.0050574854253,-6.30578840565392 54.0002100275923,-6.30849945198417 53.9955852999591,-6.31268893923999 53.9913609212781,-6.31819560158086 53.9876990852672,-6.3248077648061 53.9847403499408,-6.33227148927358 53.9825982610251,-6.34030030390996 53.9813550122818,-6.34858616103157 53.9810583059034,-6.35681119920938 53.9817195307492,-6.36465987354141 53.983313326709,-6.37183100004016 53.9857785516279,-6.37804926367076 53.9890206147932,-6.38307575784822 53.9929150897532,-6.38671715656584 53.9973124710005,-6.38883316807224 54.0020438955052,-6.38934198002639 54.0069276128531,-6.38822347874966 54.011775958267,-6.38552010745242 54.016402562313,-6.38133531748424 54.0206295205722,-6.37582965956498 54.0242942466098,-6.36921465497914 54.0272557424309,-6.36174467593839 54.029400042049,-6.35370714571771 54.0306446151425,-6.34541143887062 54.0309415578982,-6.33717691635968 54.0302794454704,-6.32932056699246 54.0286837730958,-6.32214474321146 54.026215968597,-6.31592547516903 54.0229710154047,-6.31090182236061 54.019073779951,-6.30726667821842 54.0146741880032,-6.30515938229095 54.00994143915,-6.30466042005251 54.0050574854253)))', 'IEDDK', 'DUNDALK', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.95137863961972 55.1846327241264,-7.95234456469238 55.1797706004669,-7.95494906763661 55.1751096884839,-7.95909156865819 55.1708290025399,-7.96461255675621 55.167092899877,-7.97129976767752 55.1640447868604,-7.97889635550065 55.1618016337983,-7.98711074169441 55.1604495052058,-7.99562776644534 55.1600402734365,-8.00412072190523 55.1605896387931,-8.01226381677674 55.1620765301551,-8.01974460695187 55.1644439085552,-8.02627592803009 55.1676009437594,-8.03160688245813 55.1714264825316,-8.03553246643027 55.1757736786752,-8.037901468908 55.1804756108336,-8.03862233610018 55.1853516760217,-8.03766676796172 55.1902145164133,-8.03507089666026 55.1948772152879,-8.03093398790144 55.1991604862454,-8.02541470131378 55.2028995784994,-8.01872504210854 55.2059506305466,-8.011122228934 55.2081962246377,-8.00289878807387 55.2095499246329,-7.99437125783359 55.2099596189462,-7.98586794542924 55.2094095368564,-7.97771621891129 55.2079208586007,-7.97022983647846 55.2055508951851,-7.96369681390072 55.2023908703891,-7.95836830776688 55.1985623925873,-7.95444894914982 55.1942127554167,-7.95208900133339 55.1895092518577,-7.95137863961972 55.1846327241264)))', 'IEDFY', 'DUNFANAGHY', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.59247037245353 52.083522960972,-7.59340228850495 52.078661047612,-7.5958553704316 52.0740045260436,-7.59973494481046 52.0697322506468,-7.60489166437479 52.0660082698353,-7.61112728635692 52.0629755419774,-7.61820230180001 52.0607504647195,-7.62584512103147 52.0594184244345,-7.63376246517947 52.0590305334108,-7.64165057131335 52.0596016773635,-7.64920679051695 52.0611099465268,-7.65614114460381 52.0634974717185,-7.66218740855329 52.0666726341387,-7.66711330206834 52.0705135661139,-7.67072940458283 52.0748728112996,-7.67289645288574 52.0795829687551,-7.67353073818637 52.0844631074249,-7.67260738838295 52.0893257073614,-7.6701613994875 52.0939838627592,-7.66628636507387 52.0982584705027,-7.66113094123944 52.1019851271,-7.65489317348708 52.1050204668187,-7.6478128974461 52.1072476943803,-7.64016250366694 52.1085810960471,-7.63223642417845 52.1089693522723,-7.62433975178938 52.1083975217423,-7.61677643955214 52.106887618748,-7.60983754550382 52.104497761208,-7.60378998583218 52.1013199230015,-7.59886623809458 52.0974763791662,-7.59525539618039 52.0931149836786,-7.59309592242143 52.0884034648428,-7.59247037245353 52.083522960972)))', 'IEDGN', 'Dungarvan', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.2374424568488 52.112432665506,-10.2380868126011 52.1075529655254,-10.2402645698642 52.102844399467,-10.2438916084419 52.0984878366298,-10.2488282456679 52.0946505743892,-10.254884649466 52.0914799277698,-10.2618281515809 52.0890975908456,-10.2693921772344 52.0875949832174,-10.2772864498518 52.0870297568967,-10.2852080847201 52.0874235947911,-10.2928531545868 52.0887613832746,-10.2999282939612 52.0909917897586,-10.306161907603 52.0940292235552,-10.3113145623749 52.097757106467,-10.3151881700078 52.1020323302318,-10.3176336107356 52.1066907329496,-10.3185565031679 52.1115533875508,-10.3179208927492 52.116433463716,-10.3157507077516 52.1211434017108,-10.3121289155631 52.1255021233715,-10.3071944001346 52.1293420026618,-10.301136670516 52.1325153261352,-10.2941885968052 52.1348999921909,-10.2866174497635 52.1364042266386,-10.2787145901332 52.1369701297977,-10.2707842099236 52.1365759157183,-10.2631315677877 52.1352367552968,-10.2560511820265 52.1330041899877,-10.2498154465945 52.1299641391405,-10.2446641176509 52.1262335793752,-10.2407950816176 52.1219560264806,-10.2383567622755 52.117295996945,-10.2374424568488 52.112432665506)))', 'IEDIN', 'Dingle', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.31697997085027 54.6207649887445,-8.31788804967479 54.6158993964369,-8.32041386043996 54.6112300637358,-8.32445985983493 54.6069363328333,-8.32987024979037 54.6031830667118,-8.33643701208358 54.6001143352781,-8.34390791739534 54.5978479040835,-8.35199619880897 54.5964707335876,-8.36039152100992 54.5960356581522,-8.36877183141461 54.596559369234,-8.37681564914887 54.5980217782264,-8.38421433284148 54.600366782791,-8.39068386889414 54.603504408082,-8.39597573822667 54.6073142428118,-8.39988645115696 54.6116500413817,-8.40226538640188 54.6163453190442,-8.40302063012198 54.6212197288683,-8.40212258296392 54.6260859786397,-8.3996051851446 54.6307570239836,-8.39556469918091 54.635053261974,-8.39015608377127 54.6388094479478,-8.38358708697769 54.6418810674769,-8.3761102782997 54.6441499153239,-8.36801332338717 54.645528663115,-8.35960787801723 54.6459642363591,-8.35121753593633 54.6454398678128,-8.34316530525254 54.6439757461755,-8.33576110813318 54.641628234521,-8.32928979754479 54.6384876893771,-8.32400016272237 54.6346749665527,-8.320095353162 54.6303367513324,-8.31772509141145 54.6256398963767,-8.31697997085027 54.6207649887445)))', 'IEDKY', 'DUNKINEELY', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.09336939340247 53.2989920123037,-6.09449976718044 53.2941461101869,-6.0971858831685 53.289525386837,-6.10132410038027 53.2853073085648,-6.10675513799591 53.2816538299193,-6.11327023452313 53.2787051917607,-6.12061917780413 53.2765745562527,-6.12851989620268 53.275343681248,-6.13666924611322 53.2750597967917,-6.1447545891877 53.275733800991,-6.15246572535032 53.2773398429356,-6.15950673536475 53.279816308438,-6.16560728970424 53.2830681718756,-6.17053299870954 53.2869706261692,-6.17409441214056 53.2913738547017,-6.17615432351666 53.2961087654867,-6.17663309497005 53.3009934707516,-6.17551179011518 53.3058402657539,-6.17283298355711 53.3104628403294,-6.16869920348822 53.3146834463353,-6.16326905521243 53.3183397443985,-6.15675116482614 53.3212910644279,-6.14939616982521 53.3234238359693,-6.14148706316494 53.3246559759778,-6.1333282654888 53.3249400618225,-6.12523385348349 53.3242651647366,-6.11751540788898 53.3226572715646,-6.11046996073676 53.3201782783268,-6.10436851706648 53.3169235954712,-6.09944560192799 53.3130184593078,-6.09589024021879 53.3086130947437,-6.09383871709933 53.3038769189566,-6.09336939340247 53.2989920123037)))', 'IEDLG', 'DUN LAOGHAIRE', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.33659094029522 53.0161243957821,-9.33734861209709 53.0112503173644,-9.33966798889495 53.0065590055592,-9.34345949380724 53.0022306585927,-9.34857712158834 52.998431481747,-9.35482409498807 52.9953073200831,-9.36196044332146 52.9929780772969,-9.36971220954854 52.9915331316045,-9.37778193433421 52.991027921226,-9.38586002087825 52.9914818276219,-9.39363655383551 52.9928774357579,-9.40081313005432 52.9951611990547,-9.40711425847114 52.9982454841221,-9.41229790131541 53.0020119186673,-9.41616475849163 53.0063159169167,-9.41856594096094 53.0109922122126,-9.41940873610286 53.0158611877772,-9.41866023691759 53.0207357654554,-9.41634868555581 53.0254285898211,-9.41256246754817 53.0297592323748,-9.40744678325628 53.0335611383524,-9.40119811404993 53.0366880472075,-9.39405668878346 53.0390196370091,-9.38629723741308 53.040466172229,-9.378218389268 53.0409719726555,-9.37013113009898 53.0405175669984,-9.362346771702 53.0391204463003,-9.35516490858176 53.0368343874146,-9.34886183668394 53.0337473732145,-9.34367988965468 53.0299781914787,-9.33981810941518 53.0256718462156,-9.33742461208594 53.020993961394,-9.33659094029522 53.0161243957821)))', 'IEDLN', 'DOOLIN', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.70296408386297 51.5202467362499,-9.70365827478267 51.5153693417549,-9.70586389876169 51.5106701294777,-9.70949578413731 51.5063296079121,-9.7144140795863 51.502514458517,-9.72042967099424 51.4993711488746,-9.72731146510999 51.4970203263,-9.73479525767757 51.4955522039699,-9.74259384720256 51.4950231134607,-9.75040801168953 51.4954533532462,-9.75793793565966 51.4968264138267,-9.76489465920963 51.4990896084812,-9.7710111201414 51.5021560859637,-9.77605237428805 51.5059081496142,-9.77982460777118 51.5102017581386,-9.78218259739277 51.5148720384652,-9.78303533064935 51.5197396022509,-9.78234956348818 51.5246174262607,-9.78015116996348 51.5293180342662,-9.77652422096755 51.5336607052868,-9.77160781630398 51.537478430629,-9.76559078223076 51.5406243505461,-9.75870443163019 51.5429774203323,-9.75121366244104 51.5444470846928,-9.74340673828567 51.5449767772909,-9.73558415003295 51.5445461079899,-9.72804699560523 51.5431716516797,-9.72108533567816 51.5409063075686,-9.7149669839679 51.5378372541383,-9.70992717249373 51.5340825802136,-9.7061594954987 51.5297867244793,-9.7038084824961 51.5251149021237,-9.70296408386297 51.5202467362499)))', 'IEDMS', 'DUNMANUS BAY', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.95142503194301 52.1483020026363,-6.95242810339831 52.1434460335622,-6.95495131983345 52.138803714841,-6.9588973180707 52.1345533513386,-6.96411420723606 52.1308581468791,-6.97040144347656 52.1278599530061,-6.97751754599885 52.1256738409864,-6.98518935654698 52.1243837021174,-6.99312248962542 52.1240390420149,-7.00101257902962 52.1246530893243,-7.00855689857411 52.1262022898451,-7.01546592193624 52.1286272051336,-7.02147438855078 52.1318347820442,-7.0263514594674 52.1357019082088,-7.02990957866557 52.1400801199232,-7.03201170080039 52.1448012850441,-7.03257660461995 52.1496840459236,-7.03158208078976 52.1545407775683,-7.02906586153065 52.1591847953614,-7.02512424476417 52.163437535769,-7.01990845432426 52.1671354331051,-7.01361886679116 52.1701362258602,-7.00649732091967 52.1723244471109,-6.99881780366588 52.1736158844483,-6.99087587380224 52.1739608345761,-6.98297723676585 52.1733460246951,-6.97542592004322 52.1717951251007,-6.9685125152144 52.1693678329055,-6.96250294988232 52.1661575631179,-6.95762823026539 52.1622878380721,-6.95407555441853 52.1579075171284,-6.95198113898528 52.1531850535406,-6.95142503194301 52.1483020026363)))', 'IEDNM', 'DUNMORE EAST', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.33796101251286 53.7050726673171,-6.33907595017969 53.7002245392641,-6.34176291196174 53.6955985814418,-6.34591821104819 53.6913724611735,-6.35138189966915 53.6877084407874,-6.35794395547963 53.684747164056,-6.36535236094132 53.6826022760398,-6.37332276400112 53.68135607934,-6.38154935252187 53.6810563901187,-6.3897165326299 53.6817147118519,-6.3975109733798 53.6833057952896,-6.40463356750221 53.6857686012285,-6.4108108607664 53.6890086302369,-6.41580552061814 53.6929015322214,-6.41942544788865 53.6972978604506,-6.42153118280261 53.7020287910842,-6.42204131712414 53.7069125920001,-6.42093569648468 53.7117615952177,-6.41825627863184 53.7163894067272,-6.41410560188205 53.7206180769987,-6.40864291029523 53.7242849554896,-6.40207807442492 53.7272489633068,-6.39466353504656 53.7293960396066,-6.38668457804599 53.7306435486409,-6.37844831782144 53.7309434744563,-6.37027182067786 53.7302842775576,-6.36246983599664 53.7286913404307,-6.35534261954275 53.7262259844868,-6.34916432925386 53.7229830973732,-6.34417244947014 53.719087464304,-6.34055865611843 53.7146889477932,-6.33846147514005 53.7099567048267,-6.33796101251286 53.7050726673171)))', 'IEDRO', 'DROGHEDA', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.8503620399735 54.2519546183956,-8.85119884766153 54.2470847522409,-8.85364148261142 54.2424040230429,-8.85759560240478 54.2380922154086,-8.86290893771246 54.2343148909993,-8.86937719162505 54.2312170472083,-8.87675190699002 54.228917569791,-8.88474999699497 54.2275046888646,-8.89306457543673 54.2270326091537,-8.90137667786635 54.2275194408206,-8.90936743413814 54.2289465082964,-8.91673023746321 54.2312590629498,-8.92318245518301 54.2343683729654,-8.9284762421344 54.238155112248,-8.93240804836308 54.2424739212991,-8.93482645840574 54.2471589685468,-8.93563805836019 54.25203030217,-8.93481109799808 54.256900751517,-8.93237679623967 54.2615831150493,-8.92842822685132 54.265897359348,-8.92311681416247 54.2696775517917,-8.91664656237918 54.2727782583554,-8.90926623280961 54.275080157452,-8.90125976697709 54.2764946502855,-8.89293532622949 54.2769672867325,-8.88461337646447 54.2764798718724,-8.87661428699732 54.2750511700603,-8.86924593327124 54.2727361787408,-8.86279179294216 54.26962400069,-8.85750000387095 54.2658343986356,-8.85357381185074 54.2615131679069,-8.85116377763164 54.256826508754,-8.8503620399735 54.2519546183956)))', 'IEDRW', 'DROMORE WEST', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.0967485644329 51.7693824452081,-10.0974038343348 51.7645031790079,-10.0995803255224 51.7597969562393,-10.1031939762366 51.7554445563341,-10.1081056261692 51.7516131176636,-10.1141264082563 51.7484497330726,-10.1210250241028 51.7460758195716,-10.1285366208566 51.7445824751561,-10.136372930224 51.7440269977301,-10.144233285944 51.7444306969156,-10.1518161055057 51.7457780807614,-10.158830405888 51.7480174477559,-10.1650069219755 51.7510628618951,-10.1701084100633 51.7547974366891,-10.1739387472156 51.759077804699,-10.1763504795238 51.7637396042298,-10.1772505275111 51.7686037757965,-10.1766038235706 51.7734834294182,-10.1744347324992 51.7781910209549,-10.1708261894563 51.7825455625925,-10.1659165771526 51.7863795899005,-10.1598944524402 51.7895456159379,-10.1529913181151 51.7919218215579,-10.1454727149259 51.7934167598101,-10.1376279778333 51.7939728901429,-10.1297590561444 51.7935688035354,-10.122168836463 51.79222005092,-10.1151494284119 51.7899785421916,-10.1089708747024 51.786930539414,-10.1038707292473 51.7831933231741,-10.1000449105773 51.7789106630469,-10.0976401847019 51.774247269681,-10.0967485644329 51.7693824452081)))', 'IEDRY', 'DERRYNANE/CAHERDANIEL', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.15831930515863 53.3480140692072,-6.15944383778129 53.3431675066941,-6.16212626287818 53.3385453016408,-6.16626307928262 53.3343249774741,-6.17169505815523 53.3306685750168,-6.17821340042838 53.3277164472508,-6.18556776846988 53.3255818900369,-6.19347588220413 53.3243468114246,-6.20163431462627 53.324058602461,-6.20973007979836 53.3247283269552,-6.21745257900236 53.3263302981054,-6.22450545834273 53.3288030579863,-6.23061793401419 53.3320517234134,-6.23555515963581 53.3359516104427,-6.23912724313982 53.3403530015215,-6.24119656797652 53.3450868757881,-6.24168313372914 53.349971385844,-6.2405677030359 53.3548188349362,-6.23789262288412 53.3594428881241,-6.23376027623957 53.3636657406196,-6.22832921146014 53.367324966685,-6.22180808844904 53.3702797834699,-6.21444766817895 53.3724164857344,-6.20653115212197 53.3736528388641,-6.19836324646154 53.3739412577779,-6.19025837935222 53.3732706467035,-6.18252853520118 53.3716668274168,-6.17547118610598 53.3691915392056,-6.16935779635046 53.3659400501699,-6.1644233514746 53.3620374741228,-6.1608573202011 53.3576339379953,-6.15879639768206 53.3528987892129,-6.15831930515863 53.3480140692072)))', 'IEDUB', 'DUBLIN', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.80137649691472 55.1885790578606,-7.80236077136054 55.1837182185457,-7.80498299317632 55.1790606027823,-7.80914190342012 55.174785097355,-7.81467736316941 55.1710558598236,-7.82137655519887 55.1680160325308,-7.82898217633354 55.1657822675987,-7.83720230359769 55.1644402693843,-7.84572155836963 55.1640415218584,-7.85421314776237 55.1646013235005,-7.86235133237728 55.1660982032042,-7.86982385503875 55.1684747390625,-7.87634386639619 55.1716397495251,-7.88166090036084 55.1754717750736,-7.88557048490507 55.1798237200018,-7.88792202112902 55.1845284798389,-7.88862462462946 55.1894053420121,-7.887650696554 55.1942669169858,-7.88503707522498 55.1989263355911,-7.88088371023898 55.2032044365774,-7.87534989630215 55.2069366672351,-7.86864820007744 55.2099794295452,-7.86103630597863 55.2122156245558,-7.85280709198258 55.2135591779518,-7.84427732008468 55.2139583689997,-7.83577538431137 55.2133978316978,-7.82762859920613 55.2118991491501,-7.82015053129205 55.2095200177309,-7.81362887413302 55.2063520141412,-7.80831434437383 55.2025170535764,-7.80441103279731 55.1981626785719,-7.80206858330009 55.1934563635553,-7.80137649691472 55.1885790578606)))', 'IEDWN', 'DOWNINGS', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.16465517503089 51.8697204755571,-8.16552055876129 51.8648536356512,-8.16790259384717 51.8601847888774,-8.17170933615673 51.855893267106,-8.17679423182854 51.8521438614198,-8.18296178910426 51.8490805090325,-8.18997510331254 51.8468207847264,-8.19756494399401 51.8454514050262,-8.20544005756586 51.8450249144719,-8.21329829624692 51.8455576784963,-8.22083815523738 51.8470292582068,-8.22777028602433 51.8493831905387,-8.23382855447594 51.8525291446015,-8.23878022808144 51.856346373392,-8.24243490695512 51.8606883312031,-8.244651857365 51.8653882827444,-8.24534546349273 51.8702656918453,-8.24448858136075 51.8751331470962,-8.24211365637422 51.8798035601582,-8.23831155021736 51.8840973607082,-8.23322811093863 51.8878494107404,-8.2270586085721 51.8909153704633,-8.22004024391002 51.8931772681515,-8.21244301629698 51.8945480564021,-8.20455930390991 51.8949749762358,-8.19669256362326 51.8944415968657,-8.18914559453077 51.8929684508653,-8.18220882759454 51.8906122397533,-8.17614910275735 51.8874636413439,-8.17119937424983 51.8836438052185,-8.16754974583261 51.8792996740269,-8.16534018235088 51.8745983139368,-8.16465517503089 51.8697204755571)))', 'IEEFY', 'EAST FERRY', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.91932683828881 54.2859790060214,-8.92015620988284 54.2811086873963,-8.92259304943953 54.2764265867166,-8.92654323548352 54.2721125415882,-8.93185464802976 54.2683321997574,-8.93832306245255 54.2652306744651,-8.94570001428859 54.2629269926422,-8.95370233027431 54.2615095455299,-8.96202296201338 54.2610327128016,-8.9703427133228 54.2615147867503,-8.97834242155202 54.2629372742001,-8.9857151376593 54.265245602233,-8.99217784986984 54.2683512013598,-8.99748231133286 54.2721348882012,-9.00142456302682 54.276451420864,-9.00385278858689 54.2811350557051,-9.00467319670284 54.286005895709,-9.00385369776546 54.29087678972,-9.00142522251786 54.2955605195564,-8.997480619046 54.2998769995886,-8.99217115743808 54.3036602113786,-8.98570076530506 54.3067646047603,-8.97831820819661 54.3090707161621,-8.97030751272737 54.3104897844611,-8.96197700299494 54.3109671831724,-8.95364737901934 54.310484533837,-8.94563930647709 54.3090604172285,-8.93826100780166 54.3067496542899,-8.93179634466235 54.3036411852032,-8.92649386091911 54.2998546302731,-8.92255721450148 54.2955356680334,-8.92013736842095 54.2908504120075,-8.91932683828881 54.2859790060214)))', 'IEEKY', 'EASKEY/RATHLEE', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.05240005115221 54.2150260529966,-9.05321233658484 54.2101547696804,-9.05562994191365 54.2054699336738,-9.05955948536696 54.2011514887344,-9.06484963935714 54.197365252582,-9.0712969940344 54.1942565655854,-9.07865389111067 54.1919447301363,-9.08663792439322 54.1905184506474,-9.09494274452417 54.1900324456658,-9.10324976000236 54.19050535912,-9.11124029571241 54.1919190488485,-9.1186077545531 54.1942192789911,-9.12506932765537 54.1973177903643,-9.13037681411023 54.2010956713528,-9.13432614178042 54.2054079029357,-9.13676522599959 54.2100889069228,-9.13759986173019 54.2149588879492,-9.1367974155666 54.2198307287177,-9.1343881648322 54.2245171756833,-9.13046421938829 54.228838039835,-9.12517605457549 54.2326271351501,-9.11872677740729 54.2357386859786,-9.11136433885153 54.2380529539361,-9.1033719887401 54.239480864282,-9.09505734259352 54.2399674501858,-9.08674048783679 54.2394939792784,-9.07874159752835 54.238078678589,-9.07136854068212 54.2357760292322,-9.06490497841192 54.2326746586955,-9.0595994144575 54.2288939138758,-9.05565562827078 54.2245792497865,-9.05322486087663 54.2198966149443,-9.05240005115221 54.2150260529966)))', 'IEENS', 'ENNISCRONE', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.6032812918749 55.278507700419,-7.60429211759314 55.2736486861905,-7.60694351537548 55.2689955668877,-7.61113310485995 55.2647270549864,-7.61669957003782 55.2610070380416,-7.62342890587499 55.2579783032609,-7.63106265574659 55.2557570762686,-7.63930782115841 55.2544285799845,-7.64784806640557 55.2540437804442,-7.6563557959568 55.2546174414563,-7.66450465244531 55.2561275608505,-7.67198196880397 55.2585162094369,-7.67850070958455 55.2616917414288,-7.68381045383009 55.2655322937679,-7.68770700469961 55.2698904432914,-7.69004025871117 55.2745988467046,-7.69072002890173 55.2794766504799,-7.68971958986108 55.2843364275535,-7.68707679640501 55.2889913763022,-7.68289271896556 55.2932625057341,-7.67732783439142 55.2969855297993,-7.67059590708169 55.3000172034835,-7.66295578818724 55.3022408537409,-7.6547014458275 55.303570888731,-7.64615061281567 55.3039561081636,-7.63763249657659 55.3033816843054,-7.62947503575835 55.3018697354631,-7.62199220736004 55.2994784693441,-7.61547188598677 55.2962999302311,-7.61016473322404 55.2924564389895,-7.60627455138083 55.2880958662032,-7.60395047431182 55.283385924086,-7.6032812918749 55.278507700419)))', 'IEFAN', 'FANAD', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.81828295957806 52.2812891640984,-9.81897551345004 52.276411722062,-9.82120572325526 52.2717108407044,-9.82488745284296 52.2673670910707,-9.82987892106281 52.2635472756951,-9.83598819496986 52.260398037559,-9.84298058283729 52.2580402475563,-9.85058764031234 52.2565643826749,-9.8585174456107 52.2560270689956,-9.8664657551133 52.2564489193335,-9.87412762018566 52.25781374654,-9.88120903016762 52.2600691818755,-9.88743814561444 52.2631286752469,-9.89257570002223 52.2668748022949,-9.89642417713439 52.2711637541173,-9.8988354138511 52.2758308405481,-9.89971633471965 52.2806967990333,-9.89903259150117 52.285574669712,-9.89680995844567 52.2902769746211,-9.89313341821324 52.2946229259927,-9.88814396192131 52.2984453860985,-9.88203321621542 52.3015973093211,-9.87503609688873 52.3039574159863,-9.86742176861501 52.3054348764151,-9.85948326009232 52.3059728216186,-9.85152613992839 52.3055505426377,-9.84385669810271 52.3041842918782,-9.83677009876821 52.3019266548031,-9.83053897140095 52.2988645167007,-9.82540288879982 52.2951157045668,-9.82155914315053 52.2908244360835,-9.81915517722976 52.286155754107,-9.81828295957806 52.2812891640984)))', 'IEFEN', 'FENIT', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.06296864230806 52.6160289144437,-9.06374997217111 52.611156256823,-9.06607758273971 52.6064699752082,-9.06986159389813 52.6021500741974,-9.07495629958913 52.5983624353343,-9.08116581097514 52.595252462144,-9.08825159972688 52.5929395156737,-9.09594164926636 52.5915123508351,-9.10394086464062 52.5910257253931,-9.11194234760792 52.5914983089184,-9.11963911353553 52.5929119700571,-9.1267358115037 52.5952124687916,-9.13296000890406 52.5983115277721,-9.13807261681507 52.6020902050968,-9.14187706221397 52.6064034419055,-9.14422685698257 52.6110856135514,-9.14503127063288 52.6159568745722,-9.14425888222705 52.6208300566567,-9.14193886511553 52.6255178565705,-9.13815994337976 52.6298400385687,-9.13306704825782 52.6336303738482,-9.12685579294284 52.6367430483792,-9.11976497125975 52.6390582898596,-9.11206736600399 52.6404869939829,-9.10405922241851 52.6409741686417,-9.09604879798603 52.640501060652,-9.088344438598 52.6390858812126,-9.08124265121041 52.636783101489,-9.07501664324891 52.6336813460915,-9.06990577927484 52.6298999674267,-9.06610636681064 52.6255844356096,-9.06376412775509 52.6209007246807,-9.06296864230806 52.6160289144437)))', 'IEFOV', 'FOYNES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.7853902654592 52.1912444632971,-6.7864124856313 52.186390161073,-6.78895544261719 52.1817516554099,-6.79292101547133 52.1775071035994,-6.79815656306805 52.173819485357,-6.8044608273471 52.1708303603123,-6.81159167636893 52.1686544512888,-6.81927538832469 52.1673752579906,-6.82721712293877 52.1670418662631,-6.83511218508417 52.1676670728042,-6.84265765790369 52.1692268957234,-6.8495639699159 52.1716614894045,-6.85556596277206 52.1748774295368,-6.8604330434854 52.1787512827408,-6.8639780367215 52.1831343267323,-6.8660643984055 52.1878582431663,-6.8666115103557 52.1927415678025,-6.86559784532803 52.1975966528917,-6.86306187069265 52.2022368759381,-6.85910064439597 52.2064838181943,-6.8538661458388 52.2101741360214,-6.84755947337289 52.2131658588027,-6.84042312556088 52.2153438682326,-6.83273166135212 52.2166243448388,-6.8247811012334 52.2169580074036,-6.8168774839365 52.2163320179964,-6.80932502876443 52.2147704776923,-6.80241437019894 52.2123334935641,-6.7964113283112 52.2091148538466,-6.7915466557918 52.2052384029069,-6.78800716134792 52.2008532585107,-6.78592855191272 52.1961280587701,-6.7853902654592 52.1912444632971)))', 'IEFTD', 'FETHARD/SLADE', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.95782929966962 51.6763344435238,-9.95849831531947 51.6714558094824,-9.96068491788236 51.666752037628,-9.96430466056976 51.662403812677,-9.96921815250138 51.6585781124256,-9.97523645882109 51.6554218094743,-9.98212837827266 51.653056049342,-9.98962931603848 51.651571617619,-9.99745141273397 51.6510254707553,-10.0052945462762 51.6514385608316,-10.0128577929931 51.652795035853,-10.0198509185003 51.6550428454688,-10.0260054678834 51.6580957293666,-10.0310850386051 51.6618365137202,-10.034894347994 51.6661215918111,-10.0372867495182 51.6707864200148,-10.0381699072719 51.6756518213993,-10.0375094047337 51.6805308576928,-10.0353301399757 51.6852360076335,-10.0317154426731 51.6895863767041,-10.0268039355914 51.6934146606862,-10.0207842514099 51.6965735936296,-10.0138878011502 51.6989416296229,-10.0063798694036 51.7004276365963,-9.99854938032539 51.7009744182819,-9.99069773366424 51.7005609259529,-9.98312714913891 51.6992030728437,-9.97612897824944 51.6969531191066,-9.96997244402338 51.6938976514775,-9.96489425117082 51.6901542371323,-9.96108947259357 51.685866883182,-9.95870406504759 51.6812004797294,-9.95782929966962 51.6763344435238)))', 'IEGAR', 'GARNISH/TRAVARA', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.919483492926 52.0623230724879,-9.92016188964276 52.0574449267087,-9.92237079022989 52.0527420643424,-9.92602488193115 52.0483951338017,-9.93098344794956 52.0445710612575,-9.93705581941116 52.0414166546345,-9.9440087198546 52.0390529845328,-9.95157521743774 52.0375707545709,-9.95946494276255 52.0370268355749,-9.96737518577235 52.0374420937934,-9.97500245465238 52.0388005945221,-9.98205406375381 52.0410502109099,-9.98825931659916 52.0441046150879,-9.99337986402927 52.047846576929,-9.99721884621024 52.0521324465105,-9.99962846988551 52.0567976514497,-10.0005157279014 52.0616630013545,-9.99984603519021 52.0665415601538,-9.99764463212624 52.0712458243271,-9.99399569003652 52.0755949320496,-9.9890391417358 52.0794216256944,-9.98296534891723 52.0825786982984,-9.97600780442921 52.0849446733899,-9.9684341471268 52.0864284964361,-9.96053583641095 52.086973054078,-9.95261688938788 52.0865573828387,-9.94498212298112 52.0851974803015,-9.93792536427078 52.0829456867303,-9.93171809371502 52.0798886614509,-9.92659896764956 52.0761440336293,-9.92276462951673 52.0718558590597,-9.92036216555811 52.0671890610379,-9.919483492926 52.0623230724879)))', 'IEGBI', 'GLENBEIGH', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.51076050876899 51.7491817457049,-9.51147866909319 51.744305618615,-9.51371515051374 51.7396101232662,-9.51738359190241 51.7352756235461,-9.52234273617798 51.731468567733,-9.52840190133666 51.7283351108838,-9.5353283240672 51.7259955206805,-9.54285609138394 51.724539578299,-9.55069631909781 51.7240231476011,-9.55854819212113 51.724466041552,-9.56611045163833 51.7258512658553,-9.57309289875384 51.7281256681084,-9.57922748368157 51.731201968127,-9.58427856387679 51.7349620932718,-9.58805194341576 51.7392616934498,-9.59040234874132 51.7439356656854,-9.59123905157119 51.7488044794077,-9.59052941683229 51.7536810623484,-9.58830022998969 51.7583779844761,-9.58463674163898 51.7627146646895,-9.57967945480563 51.7665243227501,-9.57361876871317 51.7696604074329,-9.56668767821962 51.7720022509915,-9.55915280693455 51.773459729197,-9.55130412056238 51.7739767443721,-9.54344372194642 51.7735333945698,-9.535874167848 51.772146743486,-9.52888676769728 51.769870160738,-9.52275032533446 51.7667912584711,-9.51770076608037 51.7630285054935,-9.51393205430767 51.7587266519617,-9.51158875294771 51.7540511439036,-9.51076050876899 51.7491817457049)))', 'IEGGA', 'Glengarriff', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.13224309740235 55.322338746081,-7.13331264275 55.3174841540783,-7.13602194592933 55.3128417764766,-7.14026640612145 55.3085899100148,-7.14588260661726 55.3048918005658,-7.15265464095646 55.3018893926739,-7.16032242193165 55.2996979008182,-7.16859165240901 55.2984014070595,-7.17714507850424 55.298049650423,-7.18565460124726 55.298656128278,-7.19379379345094 55.300197580742,-7.20125035466664 55.3026148774528,-7.20773803913767 55.3058152737057,-7.21300760952427 55.3096759517024,-7.2168564025388 55.3140487142893,-7.21913614082117 55.3187656547606,-7.21975868732047 55.3236455886868,-7.21869951256994 55.3285010037581,-7.21599872945279 55.3331452625517,-7.21175964168638 55.3373997819347,-7.20614484807544 55.3411009121515,-7.19937004089239 55.3441062487732,-7.19169572948276 55.3463001314481,-7.18341720517914 55.3475981141343,-7.17485313676788 55.3479502311305,-7.16633324341762 55.3473429302057,-7.15818553114862 55.3457995965477,-7.15072359751292 55.3433796469137,-7.14423450616822 55.3401762298925,-7.1389677086356 55.3363126231671,-7.13512544605865 55.3319374697631,-7.13285500159682 55.3272190403663,-7.13224309740235 55.322338746081)))', 'IEGGD', 'GLENGAD', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.15069127052018 53.9800035683071,-6.15183631176767 53.9751577592807,-6.15456256675765 53.9705366875844,-6.15876483384206 53.9663178307169,-6.16428135918398 53.9626631698047,-6.17090009271272 53.959712987163,-6.17836684500729 53.9575805002995,-6.18639503049382 53.956347534782,-6.19467662638532 53.9560613986604,-6.20289393448108 53.9567330756924,-6.21073170524665 53.9583368051061,-6.21788917110747 53.9608110637689,-6.2240915388796 53.9640609141999,-6.22910050968601 53.9679616306546,-6.23272342821129 53.9723634673144,-6.23482071101874 53.9770973891239,-6.23531126477045 53.9819815486621,-6.23417567796112 53.9868282630493,-6.23145705208275 53.9914512245181,-6.22725942732075 53.9956726678696,-6.22174385075934 53.9993302182089,-6.21512222802388 54.0022831533318,-6.20764918838907 54.0044178366901,-6.19961227461888 54.005652108319,-6.19132083830358 54.0059384613247,-6.18309407576127 54.0052658789309,-6.17524867588204 54.0036602597427,-6.16808656770426 54.0011834145942,-6.16188325116138 53.9979306747357,-6.15687716957006 53.9940272058009,-6.15326053838708 53.9896231726483,-6.15117198385784 53.984887944729,-6.15069127052018 53.9800035683071)))', 'IEGLY', 'GYLES/RATHCOR', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.68700859822753 51.4692411150029,-9.68770377000735 51.4643637691738,-9.68990862714335 51.4596648191938,-9.69353802879592 51.4553247635349,-9.6984522201375 51.4515102659158,-9.70446224535478 51.4483677691167,-9.71133722513173 51.4460178895052,-9.718813216556 51.4445508043097,-9.72660331692242 51.4440228054952,-9.73440862914077 51.4444541497464,-9.74192967646908 51.4458282851771,-9.74887783877535 51.4480924837033,-9.7549863818155 51.4511598553373,-9.76002066511578 51.4549126688122,-9.76378714264892 51.4592068537293,-9.76614081293837 51.4638775145768,-9.76699083047285 51.4687452481422,-9.76630405689299 51.4736230245014,-9.76410640638376 51.4783233691987,-9.76048192264191 51.4826655714293,-9.75556961178709 51.4864826406788,-9.74955814334407 51.4896277426597,-9.74267861634536 51.4919798643889,-9.73519566597589 51.4934484872958,-9.72739725437772 51.4939770853122,-9.71958354395226 51.4935453105303,-9.71205528999392 51.4921697803808,-9.70510220977951 51.4899034352814,-9.69899178625949 51.4868334920163,-9.69395894619212 51.4830780733602,-9.69019701588399 51.4787816463268,-9.68785030453716 51.4741094477695,-9.68700859822753 51.4692411150029)))', 'IEGOL', 'GOLEEN/CROOKHAVEN', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.93537881621022 55.2032692659952,-6.93646874956548 55.1984164870223,-6.93919243699804 55.1937785201182,-6.94344473108539 55.1895334918349,-6.94906192000553 55.1858443851954,-6.95582806411511 55.1828527993412,-6.96348330550088 55.1806735339821,-6.97173382954463 55.179390202813,-6.98026309946264 55.1790520406688,-6.98874394068314 55.1796720240311,-6.99685102278429 55.181226375215,-7.00427327312836 55.1836554688574,-7.01072575856621 55.1868661069714,-7.01596058962159 55.1907350776041,-7.01977643506133 55.1951138638076,-7.02202628303233 55.1998343259005,-7.02262314691209 55.2047151424759,-7.02154348810849 55.2095687657592,-7.01882821215484 55.2142086259731,-7.0145811859029 55.218456308327,-7.00896531919322 55.2221484257399,-7.00219635037219 55.2251429207077,-6.99453456738763 55.2273245506342,-6.98627478075622 55.2286093418398,-6.97773493740792 55.2289478372121,-6.96924382162585 55.2283270095383,-6.96112832804284 55.2267707650424,-6.95370080986911 55.2243390173274,-6.94724700223189 55.2211253684394,-6.94201499589788 55.2172534886943,-6.93820569205989 55.2128723379256,-6.93596510667079 55.2081504157982,-6.93537881621022 55.2032692659952)))', 'IEGRE', 'Greencastle', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.08964177936004 54.0309814361806,-6.09079551710045 54.0261363550163,-6.09353203142403 54.0215168336566,-6.09774572585748 54.017300289493,-6.10327440768002 54.013648614301,-6.10990556070376 54.0107019753057,-6.11738451990967 54.0085734536626,-6.12542423266704 54.0073447225909,-6.13371623531103 54.0070629276449,-6.14194243156473 54.0077388861491,-6.14978723163636 54.0093466732965,-6.15694959838995 54.0118246105462,-6.16315455004819 54.0150776195267,-6.16816368739436 54.0189808534634,-6.17178434704079 54.0233844699657,-6.17387703030971 54.0281193655488,-6.17436081850732 54.0330036551394,-6.17321655826769 54.0378496504642,-6.17048768308057 54.0424710708888,-6.16627862643041 54.0466902099063,-6.16075087497634 54.0503447806989,-6.15411680326394 54.0532941752125,-6.14663152065433 54.0554248927887,-6.13858304245864 54.0566549258971,-6.13028116680147 54.0569369307595,-6.12204549303859 54.0562600580937,-6.11419305382847 54.0546503718795,-6.10702604929709 54.0521698397741,-6.10082016728022 54.0489139351927,-6.0958139486311 54.0450079457388,-6.09219961239041 54.0406021333053,-6.09011569455429 54.0358659356872,-6.08964177936004 54.0309814361806)))', 'IEGRN', 'GREENORE', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.08964076299048 54.0319814232714,-6.09079453283344 54.0271363431782,-6.09353111704296 54.0225168233531,-6.0977449164337 54.018300281125,-6.10327373423538 54.0146486081894,-6.10990504903121 54.011701971679,-6.11738418959531 54.0095734526479,-6.12542409634916 54.0083447242101,-6.13371629820282 54.0080629318157,-6.14194269125785 54.0087388926905,-6.14978767819216 54.0103466819382,-6.15695021471516 54.0128246209407,-6.16315531254153 54.0160776312645,-6.16816456684081 54.0199808660895,-6.17178530972106 54.0243844829966,-6.17387803928427 54.0291193784905,-6.17436183502746 54.034003667504,-6.17321754326071 54.0388496617868,-6.17048859865253 54.0434710807428,-6.16627943732867 54.047690217918,-6.16075154995457 54.05134478656,-6.15411731629571 54.0542941786912,-6.14663185194661 54.0564248937391,-6.13858317922428 54.0576549242654,-6.13028110375909 54.0579369265886,-6.12204523261946 54.057260051523,-6.11419260608178 54.0556503631424,-6.10702543149741 54.0531698291911,-6.1008194032533 54.0499139231605,-6.09581306782543 54.0460079327158,-6.09219864873221 54.0416021197939,-6.09011468513197 54.0368659222132,-6.08964076299048 54.0319814232714)))', 'IEGRY', 'GREYSTONES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.01034518215828 53.2700108887535,-9.01114430122447 53.2651391171408,-9.0135129542082 53.2604543855315,-9.01735966727025 53.256136636562,-9.02253631419117 53.2523516657394,-9.02884385413622 53.249244770291,-9.03603999652821 53.246935189363,-9.04384849611616 53.2455115455977,-9.05196972350534 53.2450284596503,-9.06009211183771 53.245504464683,-9.06790405003057 53.2469212989355,-9.07510577765573 53.2492246028333,-9.08142083648718 53.2523259945519,-9.08660664896355 53.2561064463076,-9.09046382398749 53.2604208346791,-9.09284383496026 53.2651034937091,-9.09365477267904 53.2699745610142,-9.09286494521467 53.2748468761253,-9.09050417614808 53.2795331680501,-9.08666273906431 53.2838532566087,-9.08148795696222 53.2876409901132,-9.07517858677292 53.2907506507431,-9.06797719770984 53.2930625783783,-9.06016083378131 53.2944877931112,-9.05203032165738 53.2949714351206,-9.04389864171464 53.2944948865888,-9.03607881960109 53.2930764920191,-9.02887181600114 53.2907708485304,-9.02255489235939 53.2876666941293,-9.01737091013582 53.2838834771928,-9.01351898178652 53.2795667421157,-9.01114683515083 53.2748825121199,-9.01034518215828 53.2700108887535)))', 'IEGWY', 'GALWAY', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.20268329942192 53.9860217998146,-6.20382250907539 53.9811754276121,-6.20654346501655 53.9765531142461,-6.21074116841742 53.9723323851968,-6.21625403980506 53.9686752936819,-6.22287016847048 53.9657222154252,-6.23033546415716 53.9635864790708,-6.23836339659008 53.9623500348012,-6.24664595239305 53.96206032401,-6.25486539657405 53.9627284674554,-6.26270639800416 53.9643288398145,-6.269868065772 53.9668000466995,-6.27607544623043 53.9700472677623,-6.28109004892559 53.9739458783007,-6.28471900305305 53.9783462135649,-6.28682249391284 53.9830792964583,-6.28731918991286 53.9879633121419,-6.28618944340984 53.9928105836369,-6.28347613096258 53.9974347821126,-6.27928308774684 54.0016580950983,-6.27377118376347 54.0053180759957,-6.26715218244079 54.0082739091988,-6.25968061136954 54.0104118466478,-6.2516439561947 54.0116496030628,-6.24335155825202 54.0119395372878,-6.23512265091218 54.0112704945487,-6.22727400598608 54.009668237078,-6.22010767803853 54.007194446255,-6.2138993301856 54.0039443358092,-6.20888760015609 54.0000429703255,-6.20526492141529 53.9956404339688,-6.203170153292 53.9909060389316,-6.20268329942192 53.9860217998146)))', 'IEGYL', 'RATHCOR/GYLES QUAY', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.50150095603169 52.0514918992998,-7.50244199842477 52.046630752231,-7.50490267789073 52.0419761602554,-7.50878803076617 52.0377069032056,-7.51394848960621 52.0339869133336,-7.52018566970176 52.0309589957212,-7.52726000357944 52.0287393634813,-7.53489992851729 52.0274131942489,-7.54281227691092 52.0270313753144,-7.55069347713188 52.0276085596859,-7.55824114435288 52.0291226060283,-7.5651656273117 52.0315154235405,-7.57120107844533 52.0346951902116,-7.57611563122832 52.0385398613479,-7.57972029954649 52.0429018365907,-7.58187625883339 52.0476136095741,-7.58250022639575 52.052494186535,-7.58156772731536 52.0573560300411,-7.57911411050797 52.0620122627943,-7.57523326441173 52.0662838551686,-7.57007407035443 52.0700065193805,-7.56383472049176 52.0730370432043,-7.55675511262295 52.075258816755,-7.54910761238677 52.0765863364018,-7.54118654065892 52.0769685092658,-7.53329679711812 52.0763906284562,-7.52574206723619 52.0748749413346,-7.51881307750197 52.0724797884964,-7.51277636159334 52.0692973474848,-7.50786397858462 52.0654500701379,-7.50426458425996 52.0610859535861,-7.50211620026759 52.0563728301898,-7.50150095603169 52.0514918992998)))', 'IEHEL', 'HELVICK', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.03528380126619 53.3889705692398,-6.03642352435518 53.3841254063864,-6.03912191355862 53.3795062181976,-6.04327485470795 53.375290411346,-6.0487225007771 53.3716398524378,-6.05525545285795 53.3686946695648,-6.06262281453445 53.3665678917164,-6.07054180907307 53.3653411283415,-6.07870859361641 53.3650614515792,-6.08680986281295 53.3657395981805,-6.09453480700907 53.3673495585779,-6.10158697786951 53.3698295686416,-6.10769561734676 53.3730844671866,-6.11262602424776 53.3769893310615,-6.11618856588217 53.3813942514417,-6.11824598970377 53.3861300714819,-6.11871875034544 53.3910148683676,-6.11758813940436 53.3958609334929,-6.11489708664764 53.400481984209,-6.11074858933674 53.404700330291,-6.10530181796249 53.4083537185582,-6.09876603826667 53.4113015901746,-6.09139257714236 53.4134305068137,-6.08346513990834 53.4146585334148,-6.07528885474696 53.4149384055236,-6.06717847339472 53.4142593566493,-6.05944619275 53.4126475337227,-6.0523895780563 53.4101649844269,-6.0462800638933 53.4069072565226,-6.04135248461508 53.4029997039054,-6.03779604243035 53.3985926447364,-6.03574706129899 53.3938555614717,-6.03528380126619 53.3889705692398)))', 'IEHOW', 'HOWTH', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.2387025088088 51.823431370268,-10.2393431254028 51.8185514556755,-10.241507300984 51.8138427305844,-10.2451114444392 51.8094860712526,-10.2500167578724 51.8056487800624,-10.2560346149184 51.8024781747032,-10.2629338273449 51.8000959492332,-10.2704495180328 51.7985935203189,-10.2782932611276 51.7980285340271,-10.2861641056037 51.7984226643987,-10.2937600677866 51.7997607863057,-10.300789662219 51.8019915535035,-10.3069830389862 51.8050293601476,-10.3121023092483 51.8087576121617,-10.3159506689626 51.8130331855282,-10.3183799729747 51.8176919035598,-10.3192964667797 51.8225548261417,-10.3186644498639 51.8274351122941,-10.3165077206965 51.8321451944726,-10.3129087367428 51.8365039898154,-10.3080055104109 51.8403438707522,-10.3019863503221 51.8435171253283,-10.2950826430837 51.8459016561663,-10.2875599501083 51.8474056956278,-10.2797077632856 51.8479713524545,-10.2718283191239 51.8475768505225,-10.2642249105235 51.8462373715266,-10.257190156592 51.8440044683161,-10.2509946927305 51.8409640719246,-10.2458767255187 51.8372331706941,-10.24203286062 51.8329552919612,-10.239610558893 51.828294963384,-10.2387025088088 51.823431370268)))', 'IEIBS', 'BALLINSKELLIGS', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.88835824138847 55.223252278552,-6.88945449502752 55.2183999877808,-6.89218504734602 55.2137631429292,-6.89644448713532 55.2095198270789,-6.90206882847676 55.2058329571632,-6.9088418577753 55.2028440461964,-6.91650345370001 55.2006677910603,-6.92475955869321 55.199387689877,-6.93329342265444 55.1990528535887,-6.94177769534017 55.1996761311901,-6.94988691492011 55.2012336187654,-6.95730992659128 55.2036655707719,-6.9637617674434 55.2068786796598,-6.96899457186304 55.2107496386973,-6.97280708532441 55.2151298545582,-6.97505242275691 55.2198511325127,-6.97564376971552 55.2247321195673,-6.97455779874062 55.2295852610719,-6.97183565747368 55.2342240053982,-6.96758147661763 55.2384699802872,-6.96195844146496 55.2421598639917,-6.95518256675288 55.2451516846751,-6.94751440699861 55.2473303024778,-6.93924901904274 55.2486118595824,-6.9307045662339 55.2489470233955,-6.92221001087409 55.2483228950596,-6.91409238023968 55.2467635080074,-6.90666410964106 55.2443288969602,-6.90021096261131 55.2411127742831,-6.89498100361512 55.23723890553,-6.89117505398622 55.2328563270047,-6.88893899951059 55.2281335931309,-6.88835824138847 55.223252278552)))', 'IEINI', 'INISHOWEN', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.18133116842209 54.2820717018153,-9.18212955668422 54.2771996187638,-9.18453644999838 54.2725122610162,-9.188458874852 54.2681896697822,-9.19374577373917 54.2643978222969,-9.20019385886458 54.2612822743506,-9.20755544173755 54.258962591418,-9.21554793518927 54.2575277786346,-9.22386466520348 54.2570328814822,-9.23218658434425 54.2574968846241,-9.24019444753986 54.2589019874884,-9.24758099519206 54.2611942836586,-9.2540626883393 54.2642858186713,-9.25939055591336 54.2680579492248,-9.26335974468513 54.2723658778616,-9.26581740765413 54.2770441926026,-9.26666862536153 54.2819132024249,-9.26588012541503 54.286785828343,-9.26348164640667 54.2914747874706,-9.25956488084818 54.2957997948027,-9.25428002466821 54.2995945052757,-9.2478300546764 54.3027129272355,-9.24046294631514 54.3050350576647,-9.23246212795787 54.3064715188182,-9.22413554101309 54.3069670142645,-9.2158037335471 54.306502468255,-9.20778745604158 54.3050957640088,-9.20039524909808 54.3028010517385,-9.19391151325311 54.2997066537374,-9.18858553055507 54.2959316491711,-9.18462186727567 54.2916212730397,-9.18217252920841 54.2869413099305,-9.18133116842209 54.2820717018153)))', 'IEINN', 'INVERIN', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.23494800724538 54.6517357528505,-8.23586659948321 54.6468708355983,-8.23840374281388 54.6422032752037,-8.24246145849859 54.6379123451539,-8.24788349906761 54.634162800315,-8.25446140006569 54.6310985672952,-8.26194250602982 54.6288372387143,-8.27003966007447 54.6274655791237,-8.2784421877683 54.6270362115002,-8.28682776101398 54.6275656085017,-8.29487469740365 54.6290334636351,-8.30227423564883 54.6313834658654,-8.30874232846891 54.6345254487708,-8.31403051075814 54.6383388338964,-8.31793543261692 54.6426772392655,-8.32030669327069 54.6473740797717,-8.32105267195048 54.6522489480299,-8.32014412395617 54.6571145336585,-8.31761539232483 54.6617838171845,-8.31356317519111 54.6660772627899,-8.30814288291916 54.6698297326385,-8.30156271379968 54.6728968548162,-8.29407566859447 54.6751605968548,-8.28596980838391 54.6765338267754,-8.27755713303515 54.6769636825323,-8.2691615155362 54.6764336171534,-8.26110616744354 54.6749640388867,-8.25370113065198 54.6726115210988,-8.24723128954496 54.6694666131829,-8.24194537538688 54.6656503389003,-8.23804639277281 54.6613095200756,-8.23568383828037 54.6566111092413,-8.23494800724538 54.6517357528505)))', 'IEINR', 'INVER/ST JOHNS POINT', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.0479189650973 53.7103754732712,-10.0486064320716 53.7054978760368,-10.0508841377816 53.7007935427406,-10.0546640803718 53.6964431740298,-10.0598006747387 53.69261382099,-10.0660963964174 53.6894524854388,-10.0733093916456 53.6870804947705,-10.0811627582763 53.6855888638707,-10.0893551429507 53.6850348186319,-10.097572253988 53.6854396114648,-10.1054988578625 53.6867877105356,-10.112830810606 53.6890273929856,-10.1192866743234 53.6920727198884,-10.1246184832547 53.6958068189725,-10.1286212531658 53.7000863519619,-10.1311408716709 53.7047469984939,-10.1320800643578 53.7096097495889,-10.1314022008626 53.7144877720586,-10.1291327843476 53.719193582319,-10.1253585547144 53.723546254869,-10.1202242273199 53.7273783878847,-10.1139269815012 53.7305425563227,-10.1067089030549 53.732917001507,-10.0988476680012 53.734410334874,-10.0906458275954 53.7349650713455,-10.0824191130698 53.7345598532768,-10.074484219996 53.7332102772399,-10.0671465542985 53.7309682909488,-10.0606884236174 53.7279201840692,-10.0553581388354 53.724183252099,-10.0513604521466 53.7199012645953,-10.0488487020616 53.7152389155981,-10.0479189650973 53.7103754732712)))', 'IEINT', 'INISHTURK', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.82001490486255 52.5712909238536,-9.82071147292367 52.5664136918479,-9.82295583595285 52.5617129473293,-9.82666130650311 52.5573692552183,-9.83168518600725 52.5535494145089,-9.83783429400577 52.5504000675667,-9.84487240939656 52.5480420878579,-9.85252933514467 52.5465659582779,-9.86051124013108 52.5460283141318,-9.86851188704938 52.5464497805658,-9.87622432455521 52.5478141854509,-9.88335260591552 52.5500691771383,-9.88962309552838 52.5531282239091,-9.89479493890051 52.5568739201548,-9.89866930067343 52.5611624751384,-9.90109701843448 52.5658292153311,-9.90198437630321 52.5706948924375,-9.90129677018261 52.575572557783,-9.89906011415736 52.5802747410315,-9.89535992235379 52.5846206582292,-9.89033808969712 52.588443171633,-9.88418748503122 52.5915952319844,-9.87714455731049 52.5939555527246,-9.86948023620269 52.5954332945575,-9.86148947870392 52.5959715767264,-9.85347986983702 52.5955496769519,-9.84575972532353 52.5941838333353,-9.83862616521937 52.5919266165595,-9.83235362876675 52.5888648970934,-9.82718328207008 52.5851164874393,-9.8233137326308 52.5808255914258,-9.82089341022663 52.576157238982,-9.82001490486255 52.5712909238536)))', 'IEKBA', 'KILBAHA', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-8.42495375171793 54.6448032936461,-8.42584950244149 54.6399368842113,-8.42836447084802 54.635265294775,-8.43240152829333 54.6309679548091,-8.43780521798057 54.6272098662841,-8.44436777680967 54.6241352844181,-8.45183713498906 54.6218621992764,-8.45992658370882 54.6204778264566,-8.46832574231155 54.6200352763633,-8.4767124112368 54.6205515269049,-8.48476486657878 54.6220067754487,-8.49217413701886 54.6243451942726,-8.49865580447328 54.6274770613217,-8.50396088602472 54.6312821866031,-8.50788538626793 54.6356145058124,-8.51027815543857 54.6403076684808,-8.51104674855996 54.6451814096942,-8.51016105282068 54.650048463729,-8.50765453245768 54.6547217560359,-8.50362302997793 54.659021597897,-8.49822115648415 54.6627826064512,-8.49165639857523 54.6658600819328,-8.48418116083058 54.6681355937492,-8.47608304716984 54.6695215568635,-8.46767375741007 54.6699646187626,-8.45927703349074 54.6694477236202,-8.45121613010145 54.6679907722038,-8.44380130470028 54.6656498514827,-8.4373178210625 54.6625150644036,-8.43201493860067 54.6587070455076,-8.42809631792648 54.6543722996254,-8.42571221369236 54.6496775466645,-8.42495375171793 54.6448032936461)))', 'IEKBS', 'KILLYBEGS', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.3495470315343 55.0257755345689,-8.35046071083508 55.020910036614,-8.35300853078206 55.0162403934167,-8.35709208976573 55.0119459578363,-8.36255413781611 55.0081916179131,-8.36918466829124 55.0051214823483,-8.37672900383265 55.0028533681081,-8.38489756355146 55.001474298099,-8.39337693916373 55.0010371780999,-8.40184186237721 55.0015587774501,-8.40996761525993 55.0030190890028,-8.4174424202218 55.0053620922794,-8.42397934690913 55.0084978913579,-8.42932728973935 55.0123061475994,-8.43328060167589 55.016640678613,-8.43568701650621 55.0213350506005,-8.43645355229143 55.0262089530245,-8.43555016128764 55.0310751138662,-8.43301097445787 55.0357464918658,-8.42893307909862 55.0400434700565,-8.42347286294338 55.0438007733093,-8.4168400537424 55.0468738417829,-8.40928967576728 55.0491444120021,-8.40111222981181 55.0505250871595,-8.39262247700995 55.0509627171065,-8.38414726548927 55.0504404548687,-8.37601287948547 55.0489784085116,-8.36853241090388 55.0466328626226,-8.36199365233196 55.0434941002138,-8.3566479882378 55.0396829110644,-8.35270071873885 55.0353459240738,-8.35030319014047 55.03064994694,-8.3495470315343 55.0257755345689)))', 'IEKCH', 'KINCASSLAGH', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.0703234682162 52.2403758462037,-10.0709877825669 52.2354970582438,-10.0731892934648 52.230791552763,-10.076842966244 52.2264400800944,-10.0818080949362 52.2226097407529,-10.0878937546177 52.2194475827616,-10.0948661563229 52.2170749734591,-10.1024576192241 52.2155829586122,-10.1103768171723 52.2150287836663,-10.1183199119583 52.2154337077778,-10.1259821548898 52.2167821925251,-10.1330695221669 52.2190224956153,-10.1393099484191 52.222068647288,-10.144463736657 52.2258037352827,-10.148332751487 52.2300843749752,-10.1507680450974 52.2347461963453,-10.1516756212135 52.2396101404406,-10.1510201094916 52.2444893264408,-10.1488261997299 52.2491962275774,-10.1451777693907 52.2535498810414,-10.1402147263279 52.2573828543123,-10.1341276779454 52.260547698375,-10.1271506246243 52.2629226369609,-10.1195519553578 52.2644162696905,-10.1116240933992 52.2649711048102,-10.1036721959765 52.2645657826578,-10.0960023519052 52.2632159022532,-10.0889097421907 52.2609734183659,-10.0826672303164 52.2579246327631,-10.0775148307874 52.2541868586975,-10.073650467577 52.2499038897232,-10.0712223803293 52.245240450472,-10.0703234682162 52.2403758462037)))', 'IEKCN', 'KILCUMMIN', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.91565809171348 51.869635102255,-7.91655031853746 51.8647702574419,-7.91895804270236 51.8601066081642,-7.92278833544721 51.8558232851807,-7.92789374164873 51.8520847636056,-7.9340779857152 51.8490345621049,-7.94110352602769 51.8467897504603,-7.94870066588732 51.8454364730922,-7.95657787355069 51.8450266571681,-7.96443292148934 51.8455760289888,-7.97196442652391 51.8470635130781,-7.97888335860706 51.8494320365503,-7.98492408706922 51.8525907086821,-7.98985454908065 51.8564182940035,-7.99348515558361 51.8607678484349,-7.99567609431843 51.865472343774,-7.99634274672248 51.8703510678033,-7.99545900389371 51.8752165569148,-7.99305834447006 51.8798817966784,-7.98923262167023 51.8841674141987,-7.98412859488403 51.8879085850393,-7.97794232969807 51.8909613872077,-7.97091167542687 51.8932083549939,-7.96330710732259 51.8945630157243,-7.95542128801233 51.8949732316265,-7.94755775607134 51.8944232155066,-7.94001918629299 51.8929341409297,-7.93309568426836 51.8905633229192,-7.92705357639841 51.8874020015214,-7.92212513551358 51.8835718155331,-7.91849964297187 51.8792201049616,-7.91631613247816 51.8745142262619,-7.91565809171348 51.869635102255)))', 'IEKDN', 'KNOCKADOON', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.5476456983097 51.8781947327928,-9.54836182293294 51.8733184933174,-9.55060075708024 51.8686223921257,-9.55427604190142 51.8642868162134,-9.55924615468016 51.8604782547774,-9.56531999047373 51.8573429200971,-9.57226422219676 51.85500115128,-9.57981225391718 51.8535428124969,-9.58767442535258 51.8530238590955,-9.59554908159622 51.8534642005942,-9.60313409203541 51.8548469406662,-9.61013838693301 51.8571190225482,-9.6162930795569 51.8601932556634,-9.62136175607201 51.8639516474386,-9.62514954434092 51.8682499151319,-9.6275106156542 51.8729230077037,-9.62835382918929 51.8777914289963,-9.6276462962008 51.8826681222175,-9.62541471762528 51.887365653219,-9.62174443249448 51.89170341733,-9.61677620236661 51.8955145922205,-9.61070084556629 51.8986525677364,-9.60375192073677 51.9009966027268,-9.59619673829231 51.9024564880163,-9.58832604714884 51.9029760328153,-9.58044279926299 51.9025352375701,-9.57285043324871 51.9011510676867,-9.56584113866347 51.8988767976044,-9.55968456339595 51.8957999510341,-9.55461740789505 51.8920389184239,-9.55083431273595 51.8877383845588,-9.54848039214395 51.8830637454822,-9.5476456983097 51.8781947327928)))', 'IEKEN', 'KENMARE', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.89447206976563 53.1389704414466,-8.89528186338167 53.1340993466296,-8.89765590333653 53.1294168182254,-8.90150251349149 53.1251027139549,-8.90667357575298 53.1213226894483,-8.91297026689216 53.1182218524416,-8.92015071460227 53.1159192101665,-8.92793927628868 53.1145031197021,-8.93603708651339 53.114027912532,-8.94413347465842 53.1145118199849,-8.95191782427934 53.1159362772609,-8.95909143044918 53.118246632087,-8.96537891145899 53.1213542314918,-8.97053874654472 53.1251398085438,-8.9743725415316 53.1294580419527,-8.97673266876796 53.1341431169125,-8.97752798540784 53.1390150770972,-8.97672740349983 53.1438867267783,-8.97436116445614 53.1485708198867,-8.9705197567982 53.1528872604897,-8.96535050658583 53.1566700372722,-8.95905196117798 53.1597736234892,-8.95186627517518 53.1620785933665,-8.9440698886539 53.1634962354684,-8.93596285831308 53.163971982088,-8.92785725845163 53.1634875197702,-8.9200651079161 53.1620614977883,-8.91288629925276 53.1597488066279,-8.90659700620225 53.1566384549465,-8.90143902539359 53.152850128685,-8.89761046870284 53.1485295676757,-8.89525816629783 53.1438429410801,-8.89447206976563 53.1389704414466)))', 'IEKIA', 'KINVARRA', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.60591102292899 52.680217148958,-9.60663304458765 52.6753411981877,-9.60890586258427 52.670644520368,-9.61264169528587 52.6663075225572,-9.61769667866488 52.6624967451345,-9.62387644010918 52.6593584812422,-9.63094358500512 52.657013178076,-9.63862680586301 52.655550831648,-9.64663126606055 52.6550275484374,-9.65464986562127 52.6554634030139,-9.66237496589157 52.6568416718819,-9.66951013420804 52.6591094721868,-9.67578146898556 52.6621797813393,-9.68094808011582 52.6659347618528,-9.68481132883727 52.6702302665606,-9.68722247466996 52.6749013545945,-9.68808843356776 52.6797686097237,-9.6873754196519 52.6846450213249,-9.68511032079601 52.6893431656788,-9.68137974346465 52.6936824124609,-9.67632675160225 52.6974958789067,-9.67014541462891 52.7006368624951,-9.6630733670165 52.7029845019808,-9.65538266264807 52.7044484456681,-9.64736927744321 52.7049723439091,-9.63934167013154 52.704536028501,-9.63160885071687 52.7031562930972,-9.62446842703313 52.7008862438193,-9.61819510074685 52.6978132456429,-9.61303006515378 52.694055545434,-9.60917171915245 52.6897577044083,-9.60676805682732 52.6850850191168,-9.60591102292899 52.680217148958)))', 'IEKKE', 'KILKEE', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.17940334134941 54.2120709453951,-9.18020062494595 54.2071988190719,-9.18260368474111 54.2025114481216,-9.18651969659738 54.1981888744866,-9.19179785085407 54.1943970750732,-9.19823519629509 54.1912816042418,-9.20558445672919 54.1889620249275,-9.21356351722738 54.1875273386493,-9.22186621800418 54.1870325862794,-9.23017404838611 54.1874967470175,-9.23816830232819 54.1889020141683,-9.24554224117241 54.1911944747783,-9.25201280910369 54.1942861677181,-9.25733146205286 54.1980584432001,-9.26129370131543 54.2023664977731,-9.26374694825519 54.2070449142516,-9.26459645510776 54.2119139974497,-9.2638090176054 54.2167866654608,-9.2614143359154 54.2214756338469,-9.25750395868561 54.225800617471,-9.25222783775508 54.2295952725281,-9.24578861478238 54.2327136099122,-9.23843385179389 54.2350356302813,-9.23044650143173 54.2364719604876,-9.22213398553885 54.2369673093852,-9.21381630905322 54.2365026069585,-9.20581367700191 54.2350957423699,-9.198434103535 54.2328008717689,-9.19196150228697 54.2297063231845,-9.186644726879 54.2259311811506,-9.18268799017488 54.2216206855248,-9.18024303309531 54.2169406251201,-9.17940334134941 54.2120709453951)))', 'IEKLA', 'KILLALA', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.8014840368568 52.0602825008326,-9.80217526596338 52.0554049819608,-9.80439647985679 52.0507042808011,-9.80806189376736 52.0463609620373,-9.81303035755789 52.0425418125858,-9.81911082407152 52.0393934510114,-9.82606970784184 52.0370367157518,-9.83363984885809 52.0355620443597,-9.8415307388904 52.0350260178509,-9.84943962354285 52.0354491999552,-9.85706306279442 52.0368153522481,-9.86410851699426 52.0390720545082,-9.87030552443428 52.0421327070178,-9.87541605074103 52.0458798396998,-9.87924361910145 52.0501696037756,-9.88164087311269 52.0548372767644,-9.88251527978956 52.0597035727673,-9.88183274750761 52.0645815185691,-9.87961901046206 52.0692836334144,-9.87595871514103 52.0736291373989,-9.87099223242227 52.0774509109266,-9.86491030786085 52.080601935941,-9.85794674889607 52.0829609685197,-9.85036942729391 52.0844372213635,-9.84246994446394 52.0849738726948,-9.83455236297921 52.0845502636599,-9.82692144687627 52.0831826976798,-9.81987087408958 52.0809238101973,-9.8136718855851 52.0778605336108,-9.80856281733378 52.0741107374894,-9.80473992417133 52.0698186760961,-9.80234985074331 52.0651494216572,-9.8014840368568 52.0602825008326)))', 'IEKLL', 'Kells', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.76673497064201 51.7802694913725,-9.76742599345211 51.7753919475211,-9.7696373716685 51.7706917197169,-9.7732837056769 51.7663493550819,-9.77822458374656 51.7625316049916,-9.78427002121714 51.7593850356857,-9.79118777801691 51.7570304182819,-9.79871227084177 51.7555581103696,-9.80655473946407 51.7550246032136,-9.81441428255767 51.7554503642917,-9.82198934820107 51.756819056039,-9.82898924853876 51.75907816002,-9.8351452672801 51.7621409830985,-9.84022094280531 51.7658899703345,-9.84402113832084 51.7701812001231,-9.84639955310592 51.7748498922294,-9.84726438438222 51.7797167205096,-9.84658191625078 51.7845946907235,-9.844377888534 51.7892963212067,-9.84073658179994 51.7936408512923,-9.83579764242184 51.7974611999349,-9.82975075991029 51.800610405289,-9.82282839432979 51.8029672949222,-9.8152968306288 51.8044411653186,-9.80744590551233 51.804975287339,-9.79957780773264 51.8045490998977,-9.79199539158626 51.80317900547,-9.78499046397685 51.8009177360367,-9.77883250655105 51.7978523144052,-9.77375827607424 51.7941006911216,-9.76996268934282 51.789807189105,-9.76759134543124 51.7851369345162,-9.76673497064201 51.7802694913725)))', 'IEKLM', 'KILMACALOGUE', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.47880129583061 51.7028285571539,-8.47962959680581 51.6979591844338,-8.48197037687969 51.6932837494974,-8.48573327802936 51.6889818396583,-8.49077342904006 51.6852186471175,-8.49689705300342 51.6821386401768,-8.5038689271111 51.679860034075,-8.51142140613035 51.6784702704847,-8.51926466525665 51.6780226759891,-8.52709777519542 51.6785344251038,-8.53462019337518 51.6799858842595,-8.54154324079993 51.6823213613515,-8.54760113452505 51.6854512328016,-8.55256116108122 51.6892553683811,-8.55623260604342 51.6935877251103,-8.55847409866683 51.6982819371267,-8.55919908701749 51.7031576901214,-8.55837922680394 51.7080276382583,-8.55604554417873 51.7127045996694,-8.55228731664311 51.7170087546497,-8.54724870389579 51.7207745691963,-8.5411232486569 51.7238571758306,-8.53414645252831 51.726137963534,-8.52658671007526 51.7275291585045,-8.51873495189493 51.7279772162441,-8.51089340118738 51.727464891712,-8.50336388555619 51.7260119060799,-8.4964361645206 51.7236741838451,-8.49037673253941 51.7205416903887,-8.4854185372659 51.7167349551162,-8.48175201432736 51.712400416787,-8.47951778513454 51.7077047733919,-8.47880129583061 51.7028285571539)))', 'IEKLN', 'KINSALE', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.44694838716796 52.6391619551461,-9.44768744796258 52.6342869062856,-9.44997520852084 52.6295932153936,-9.45372331563393 52.6252611739461,-9.45878743672228 52.6214571314187,-9.4649728511731 52.6183271221308,-9.47204194981757 52.6159912764828,-9.47972335189401 52.6145392278285,-9.48772229133299 52.6140266879428,-9.49573187972498 52.614473319656,-9.50344482295717 52.6158619863511,-9.51056515290625 52.6181394063881,-9.51681953507617 52.6212181879322,-9.52196772768052 52.6249801679155,-9.52581179707752 52.6292809297632,-9.52820373801738 52.6339553297909,-9.52905120381793 52.6388238234558,-9.52832111986489 52.643699351416,-9.52604103177582 52.6483945228694,-9.5222981246964 52.6527288209383,-9.51723593954758 52.6565355525972,-9.51104890221118 52.6596682741312,-9.5039748689239 52.6620064422247,-9.49628597170129 52.6634600699523,-9.48827811768149 52.6639732051392,-9.48025955243985 52.6635260943256,-9.47253893673492 52.6621359470675,-9.46541340675521 52.6598562704075,-9.45915708865362 52.656774799731,-9.45401051894291 52.6530101075023,-9.45017138419228 52.6487070232107,-9.44778693839555 52.6440310441115,-9.44694838716796 52.6391619551461)))', 'IEKLR', 'KILRUSH', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.79600255259282 53.6232866632822,-9.79671779519948 53.618410355639,-9.79901898762617 53.6137106728743,-9.80281723051755 53.6093681356851,-9.80796624121763 53.6055494935862,-9.81426802359354 53.6024013368855,-9.82148049539297 53.6000444873257,-9.82932677726716 53.5985693793088,-9.83750578866193 53.5980326055088,-9.84570375014229 53.5984547564527,-9.85360616043969 53.5998196349122,-9.86090980026804 53.6020748744407,-9.86733431407227 53.6051339388759,-9.87263293536317 53.6088794279202,-9.87660195085532 53.6131675647874,-9.8790885426219 53.617833697094,-9.8799967048887 53.6226986032974,-9.8792910014431 53.6275753655382,-9.87699800897021 53.6322765469898,-9.87320537845762 53.6366213987939,-9.86805853812684 53.640442819057,-9.86175515368982 53.6435937945212,-9.85453755129619 53.6459530743123,-9.84668339138025 53.6474298540474,-9.83849495385732 53.6479672865479,-9.83028745320684 53.6475446810056,-9.8223768429515 53.6461783038576,-9.81506759074754 53.6439207497123,-9.80864090658265 53.640858907112,-9.80334388736192 53.6371105993049,-9.79938000246814 53.6328200322081,-9.79690128874012 53.6281522281853,-9.79600255259282 53.6232866632822)))', 'IEKLZ', 'KILLARY', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.54641445250892 52.1721624359293,-6.54746212296469 52.1673105219688,-6.5500286134603 52.1626774630289,-6.55401490179785 52.1584412058669,-6.55926755482144 52.1547644107308,-6.56558466148314 52.1517882212337,-6.57272360032917 52.1496268636339,-6.5804103417129 52.1483632795228,-6.58834993056511 52.1480459563666,-6.59623775417451 52.14868707499,-6.60377117214861 52.1502620435541,-6.61066107315439 52.1527104356251,-6.61664292546393 52.1559382973398,-6.62148690571684 52.1598217372739,-6.62500672229709 52.1642116641931,-6.62706679559088 52.1689394941573,-6.62758751602358 52.1738236110576,-6.62654837059552 52.1786763350633,-6.62398880757871 52.1833111328654,-6.62000679452564 52.187549792981,-6.61475511371795 52.1912292893344,-6.60843552819079 52.1942080670769,-6.60129103678122 52.1963715059129,-6.59359651446291 52.1976363474014,-6.58564810088279 52.1979539126516,-6.57775175223869 52.1973119839821,-6.57021140678387 52.195735276554,-6.56331723049791 52.1932844815281,-6.55733440598044 52.1900539185956,-6.55249290459999 52.1861678904171,-6.54897864058518 52.1817758822634,-6.54692634822168 52.1770467949232,-6.54641445250892 52.1721624359293)))', 'IEKRL', 'KILMORE QUAY', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.77641113105729 52.1455858685924,-7.77732446059926 52.1407224391269,-7.779761952641 52.1360620440673,-7.7836295294347 52.1317836874609,-7.78877830099059 52.1280516517775,-7.79501032642209 52.1250092047819,-7.80208623219632 52.1227731169897,-7.80973439282616 52.1214291968835,-7.81766132400524 52.1210290120349,-7.82556289566807 52.1215879193094,-7.83313594397632 52.1230844780501,-7.8400898474352 52.125461268287,-7.84615763353197 52.128627083397,-7.85110619844556 52.132460415063,-7.85474525316041 52.1368140996451,-7.85693465403827 52.1415209509117,-7.85758983347116 52.1464001661149,-7.85668511512477 52.1512642620922,-7.85425477646313 52.1559262766894,-7.85039180619735 52.1602069592998,-7.84524439301426 52.1639416733406,-7.83901027099884 52.1669867432917,-7.83192913286825 52.1692249993161,-7.8242734006879 52.1705703028372,-7.81633771146489 52.1709708756705,-7.80842752859919 52.1704113018835,-7.8008473269083 52.1689131236035,-7.7938888169252 52.1665340073611,-7.7878196724634 52.1633655138931,-7.78287320414104 52.1595295592724,-7.77923938178509 52.1551737064597,-7.77705755245404 52.1504654717798,-7.77641113105729 52.1455858685924)))', 'IELAC', 'LACKEN', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.76986272126435 53.763278008789,-9.77058320465231 53.7584019522736,-9.77289480459444 53.7537028446802,-9.77670821811782 53.7493611839968,-9.78187657730188 53.7455436852637,-9.78820114193632 53.7423968939934,-9.79543895555108 53.7400415786651,-9.80331216783752 53.7385681141146,-9.81151866740995 53.7380330295297,-9.81974362312349 53.7384568505192,-9.82767150083305 53.7398233160008,-9.83499810621969 53.7420799991424,-9.84144220345242 53.7451403090935,-9.84675627400492 53.7488867985476,-9.85073600960995 53.7531756530658,-9.85322817747104 53.7578421932941,-9.85413655343923 53.7627071823457,-9.85342568843486 53.7675836991819,-9.85112235298627 53.7722843160828,-9.84731459187307 53.7766283052822,-9.8421484124869 53.780448597245,-9.8358222231817 53.7835982212147,-9.82857922776692 53.7859559774595,-9.82069806543238 53.7874311195354,-9.81248205788723 53.7879668628664,-9.80424748378089 53.7875425815555,-9.79631134157359 53.7861746067646,-9.78897908378002 53.7839155951051,-9.78253280675819 53.7808524919235,-9.77722036088564 53.7771031697706,-9.77324580708484 53.7728118743377,-9.7707615892686 53.7681436565858,-9.76986272126435 53.763278008789)))', 'IELBG', 'LOUISBURGH', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.68037925501957 53.2382448227985,-9.6811016616098 53.2333688743598,-9.68339527241138 53.2286711406822,-9.68717149122305 53.2243320680959,-9.69228489081823 53.2205182743663,-9.6985388485222 53.2173761655185,-9.70569312004169 53.2150263332525,-9.71347305784733 53.2135589446461,-9.72158012202633 53.2130302976855,-9.72970328632739 53.213460671872,-9.73753091118173 53.2148335543718,-9.74476263947501 53.2170962706195,-9.75112087009445 53.2201619957406,-9.75636137879206 53.2239130714377,-9.76028268538617 53.2282055038606,-9.76273381012382 53.232874473199,-9.76362011911813 53.2377406469135,-9.76290702768552 53.242617057143,-9.76062140917689 53.2473162801736,-9.75685064304016 53.2516576429347,-9.75173932638095 53.2554741790034,-9.74548376476402 53.2586190648581,-9.73832444666198 53.2609712860248,-9.73053678789979 53.2624403117367,-9.72242050383659 53.2629695947727,-9.71428802436924 53.2625387587948,-9.70645240721804 53.2611643869403,-9.69921522625292 53.258899380516,-9.69285491270585 53.255830913055,-9.68761600792986 53.2520770603517,-9.68369974792222 53.2477822390298,-9.68125634413799 53.2431116325877,-9.68037925501957 53.2382448227985)))', 'IELET', 'LETTERMORE/LETTERMULLEN', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.04213031034302 53.5449709414728,-6.0432741246441 53.5401258698638,-6.0459823405239 53.5355067564697,-6.0501504621685 53.5312910045535,-6.05561805666969 53.5276404778288,-6.06217495789432 53.5246953022422,-6.06956935043455 53.5225685056049,-6.07751742190662 53.5213416973374,-6.08571421646786 53.521061950814,-6.09384528054597 53.5217400053123,-6.10159866439051 53.5233498550086,-6.10867683076232 53.5258297405596,-6.1148080251389 53.5290845063445,-6.11975668019156 53.5329892352219,-6.12333246062061 53.5373940244542,-6.12539760199975 53.5421297229893,-6.12587225795501 53.5470144131748,-6.12473764218951 53.551860390662,-6.12203683345215 53.5564813759668,-6.11787319988697 53.5606996808451,-6.11240649113163 53.5643530529182,-6.10584673847049 53.5673009330613,-6.09844619141503 53.5694298817186,-6.09048959931774 53.5706579618438,-6.08228321521039 53.5709379064333,-6.07414295258876 53.5702589460556,-6.06638216159988 53.5686472244467,-6.05929950715389 53.566164785932,-6.05316742704078 53.5629071747983,-6.04822162343256 53.5589997413655,-6.04465199752065 53.5545928001151,-6.04259537676149 53.549855829724,-6.04213031034302 53.5449709414728)))', 'IELGY', 'LOUGHSHINNY', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.9948994777477 51.5973467341985,-9.99556346972862 51.5924678515254,-9.99774254835483 51.5877633678405,-10.0013525575306 51.5834139956568,-10.0062544811998 51.5795867573538,-10.0122598289408 51.5764285851134,-10.0191378964833 51.5740606966721,-10.0266246196017 51.5725739596406,-10.0344326829815 51.5720254191055,-10.0422625015127 51.572436118987,-10.0498136611152 51.5737902988258,-10.0567963903509 51.5760359960339,-10.0629426330512 51.5790870309823,-10.068016306019 51.5828263004238,-10.071822354228 51.5871102554744,-10.0742142581976 51.5917743954354,-10.0750997033342 51.5966395697771,-10.0744441875388 51.6015188491002,-10.0722724193499 51.6062247031212,-10.0686674419163 51.6105762107062,-10.0637675052565 51.6144060243806,-10.0577607972864 51.6175668198856,-10.0508782293572 51.6199369801164,-10.0433845508369 51.6214252916026,-10.0355681359375 51.6219744695609,-10.0277298412137 51.6215633730288,-10.0201713711703 51.6202078228524,-10.0131836101949 51.6179599902414,-10.0070353804922 51.6149063799209,-10.0019630677608 51.6111644872153,-9.99816151994188 51.6068782603767,-9.99577657137169 51.6022125459626,-9.9948994777477 51.5973467341985)))', 'IELHB', 'LEHANBEAG', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.34766453339457 52.9391281100597,-9.34841965369561 52.9342539020538,-9.35073375170726 52.9295623223023,-9.35451745531924 52.9252335796362,-9.35962506027773 52.921433894955,-9.36586017479756 52.9183091332862,-9.37298328327511 52.915979221806,-9.38072093597876 52.9145335647578,-9.38877621384018 52.9140276278859,-9.3968400728423 52.914480820586,-9.40460314206117 52.9158757550936,-9.41176753383713 52.91815891041,-9.41805822414966 52.9212426760996,-9.42323357605651 52.9250086993786,-9.42709460871876 52.9293124098551,-9.42949265841705 52.9339885515993,-9.43033513502929 52.9388575135457,-9.42958914620531 52.9437322180449,-9.42728283996732 52.9484253049538,-9.42350440219947 52.9527563359904,-9.41839873547785 52.9565587418722,-9.41216193650688 52.9596862432935,-9.40503377733079 52.9620184959756,-9.39728847660348 52.9634657392481,-9.38922411773625 52.9639722658778,-9.38115112724876 52.9635185766836,-9.37338026625261 52.9621221350171,-9.36621060863572 52.9598366913283,-9.35991798009445 52.9567502044374,-9.35474431264706 52.9529814414066,-9.35088833068697 52.9486753897298,-9.34849792900913 52.9439976617632,-9.34766453339457 52.9391281100597)))', 'IELIS', 'LISCANNOR', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.59892839237179 52.6598681277694,-8.59976206855003 52.6549987120677,-8.60214153885074 52.650321723922,-8.60597493394688 52.6460168079946,-8.61111465644706 52.6422492679881,-8.61736309575472 52.6391637341876,-8.62448023627421 52.6368786288445,-8.63219286448564 52.6354816385359,-8.64020502361949 52.6350263639673,-8.64820932097192 52.6355302730058,-8.65589866335572 52.6369740336609,-8.66297798143617 52.6393022520005,-8.66917550406839 52.6424255874032,-8.67425315922896 52.6462241658979,-8.67801570839331 52.6505521634453,-8.68031826558195 52.6552433865731,-8.6810719097209 52.6601176394463,-8.68024716792708 52.6649876356823,-8.67787522584267 52.6696661912852,-8.67404680669267 52.6739734229622,-8.66890875032503 52.677743674459,-8.66265841368098 52.6808319026908,-8.65553610120672 52.6831192752034,-8.64781581380471 52.6845177602633,-8.63979467428756 52.6849735296023,-8.63178144254279 52.6844690400288,-8.62408457193958 52.6830237119148,-8.61700027791649 52.6806931778239,-8.61080108915979 52.6775671309303,-8.60572533134351 52.673765858005,-8.60196795413704 52.6694355932898,-8.59967305613549 52.6647428754124,-8.59892839237179 52.6598681277694)))', 'IELMK', 'LIMERICK', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.08722113225302 53.450987924556,-6.0883568899372 53.4461422528413,-6.09105387429347 53.4415219093443,-6.09520802294257 53.4373043451906,-6.10065944061777 53.4336514943722,-6.10719858227293 53.4307035727318,-6.1145743132538 53.4285737140521,-6.12250353570033 53.4273436456603,-6.13068201500451 53.4270605662067,-6.13879599829696 53.4277353428006,-6.14653418954773 53.4293420951322,-6.15359963354107 53.431819182299,-6.15972106399056 53.4350715555861,-6.16466328935741 53.4389743892113,-6.16823622315893 53.443377852827,-6.1703022129896 53.4481128460874,-6.1707813829966 53.4529974784508,-6.1696547765621 53.4578440480401,-6.16696516733727 53.4624662530716,-6.16281549490488 53.4666863590183,-6.15736497306713 53.4703420449237,-6.15082301048502 53.4732926633287,-6.14344117127166 53.4754246698926,-6.1355034832097 53.4766560102917,-6.12731546972149 53.476939292224,-6.11919233517149 53.4762636177543,-6.11144676878737 53.4746550038863,-6.1043768485825 53.4721753749249,-6.09825452230477 53.4689201665504,-6.09331511787274 53.4650146361617,-6.08974829230563 53.4606090246637,-6.08769076808522 53.4558727593976,-6.08722113225302 53.450987924556)))', 'IEMAH', 'MALAHIDE', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.73992350372484 54.6719152012188,-8.74078222275847 54.6670464687403,-8.74326275949289 54.6623683475485,-8.74726930393573 54.6580605199093,-8.75264756583906 54.6542883919266,-8.75919075263964 54.6511967585946,-8.76664753278208 54.648904264617,-8.77473167596575 54.6474988700319,-8.78313300266318 54.6470344910965,-8.79152922975294 54.6475289423189,-8.79959826832508 54.6489632566087,-8.80703051429017 54.6512824089517,-8.81354067265982 54.6543974165904,-8.81887867226222 54.6581887371761,-8.82283925890121 54.6625108375455,-8.8252699009122 54.6671977613602,-8.82607670067074 54.6720694854644,-8.82522807736833 54.6769388239246,-8.82275606826638 54.6816186166017,-8.8187551851034 54.6859289267618,-8.81337885624783 54.68970397036,-8.80683357997177 54.6927985085263,-8.79937100593214 54.6950934543223,-8.79127824649703 54.6965004744421,-8.78286679294103 54.6969654051553,-8.77446047011014 54.6964703479503,-8.76638290390154 54.6950343621733,-8.75894499666088 54.6927127273074,-8.75243290525349 54.6895948040524,-8.74709699513648 54.6858005786332,-8.74314220239867 54.6814760264475,-8.74072017663485 54.6767874771,-8.73992350372484 54.6719152012188)))', 'IEMBG', 'MALINBEG', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.15495412884239 54.6467073419357,-8.15588214703965 54.6418430619948,-8.15842811512649 54.6371772055867,-8.16249371634723 54.6328889802606,-8.16792240170433 54.6291430366598,-8.17450545306156 54.6260831629318,-8.18199001861622 54.6238267843296,-8.19008880978896 54.6224604755392,-8.19849108997098 54.6220366544147,-8.20687454068172 54.6225715810408,-8.21491756053891 54.6240447369811,-8.22231153765686 54.6263996079486,-8.22877263696141 54.6295458407018,-8.23405266043012 54.6333626935352,-8.23794857011384 54.6377036510528,-8.24031031030899 54.6424020297124,-8.24104662536963 54.6472773625126,-8.24012864185289 54.6521423206435,-8.23759106593774 54.6568099081876,-8.23353093674857 54.6611006540462,-8.22810397021473 54.6648495238485,-8.22151862279498 54.6679122839594,-8.21402809584461 54.6701710696998,-8.20592058551067 54.6715389399186,-8.1975081558162 54.6719632390478,-8.18911467041523 54.6714276342309,-8.18106325838277 54.6699527471526,-8.17366380923787 54.6675953556505,-8.16720099112021 54.6644461966951,-8.16192326372374 54.6606264574799,-8.15803331543931 54.656283092826,-8.15568029440073 54.6515831527399,-8.15495412884239 54.6467073419357)))', 'IEMCH', 'MOUNTCHARLES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.34618071498244 55.3744150125534,-7.34722564438419 55.3695584383795,-7.34991368341788 55.3649112261425,-7.354141044035 55.3606518594286,-7.35974496163456 55.3569438728489,-7.36650999690496 55.3539295904035,-7.37417632761604 55.3517246821811,-7.38244970986219 55.3504137446075,-7.39101272957183 55.350047070246,-7.39953692042415 55.350638728138,-7.40769529463339 55.3521660264819,-7.41517481897953 55.3545703777936,-7.4216883702571 55.357759534341,-7.42698572195945 55.3616111103736,-7.4308631471856 55.3659772592404,-7.43317127077972 55.3706903296144,-7.43382086551467 55.3755692873221,-7.4327863611597 55.3804266591806,-7.43010691944002 55.385075734015,-7.42588501954171 55.3893377446761,-7.42028259471961 55.3930487540362,-7.41351485702107 55.3960659779043,-7.40584204009419 55.3982732983867,-7.39755937531143 55.3995857518123,-7.38898568992763 55.3999528148427,-7.38045107401825 55.3993603592649,-7.3722841024917 55.3978311983214,-7.36479911743234 55.3954242030606,-7.35828407338854 55.3922320237322,-7.3529894241246 55.3883775062779,-7.34911848511756 55.3840089451533,-7.34681964405446 55.3792943589294,-7.34618071498244 55.3744150125534)))', 'IEMHD', 'MALIN HEAD', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.4181397977313 54.4678012707952,-8.41903233654028 54.4629347617464,-8.42153707298053 54.4582631525677,-8.42555727688088 54.4539658740762,-8.43093814263977 54.4502079267789,-8.43747278551637 54.4471335615411,-8.44491020730017 54.44486076119,-8.45296492299004 54.4434767313126,-8.46132788146568 54.4430345697736,-8.46967826813343 54.4435512397973,-8.47769574719894 54.4450069224492,-8.48507268619542 54.4473457727419,-8.49152590597996 54.4504780511432,-8.49680751559163 54.4542835507786,-8.50071442282891 54.4586161918701,-8.50309615749056 54.4633096106423,-8.50386070388134 54.4681835316962,-8.50297811089869 54.4730506821461,-8.50048172975909 54.477723983917,-8.4964670186157 54.4820237485105,-8.4910879468467 54.4857845969333,-8.48455112607207 54.4888618366504,-8.47710788606547 54.4911370472209,-8.46904459759891 54.4925226561234,-8.46067161692119 54.4929653251004,-8.4523112844175 54.4924480136748,-8.44428545004767 54.4909906384287,-8.4369030182986 54.4886493020321,-8.43044800453406 54.4855141225046,-8.42516857283001 54.4817057483907,-8.42126748381922 54.4773706970817,-8.41889432192988 54.4726756992864,-8.4181397977313 54.4678012707952)))', 'IEMLG', 'MULLAGHMORE/CARNS', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.74092667518067 54.6689155603656,-8.74178520984313 54.6640468181581,-8.74426544757218 54.6593686737884,-8.7482715899436 54.6550608104298,-8.75364936220253 54.6512886355785,-8.76019199060206 54.6481969460495,-8.76764816500336 54.6459043887231,-8.77573167830611 54.6444989260834,-8.78413237508706 54.644034477007,-8.79252799632221 54.6445288586941,-8.80059647628273 54.6459631067154,-8.80802823226865 54.6482821985872,-8.8145379880792 54.651397153856,-8.81987568801269 54.6551884321659,-8.82383608943117 54.6595105019613,-8.82626666786578 54.6641974080673,-8.82707352823703 54.6690691280043,-8.82622508751732 54.6739384760023,-8.82375337605342 54.6786182915667,-8.81975289422386 54.6829286371004,-8.81437705501636 54.6867037272189,-8.80783233788612 54.6897983212844,-8.80037037096013 54.6920933302271,-8.79227824319723 54.6935004183261,-8.78386742149505 54.6939654192429,-8.77546170630724 54.6934704317644,-8.76738470007758 54.6920345125464,-8.75994728355407 54.6897129384976,-8.75343559470211 54.6865950679607,-8.74809998350924 54.6828008851151,-8.74414537461944 54.6784763637054,-8.74172341064072 54.6737878321421,-8.74092667518067 54.6689155603656)))', 'IEMMR', 'MALINMORE/MALINBEG', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.24194938446904 53.7200388001152,-6.24307579323305 53.7151917211989,-6.24577422724439 53.7105680730211,-6.24994055962957 53.7063454335628,-6.25541442004521 53.7026859309836,-6.26198539708334 53.6997300352782,-6.26940113232593 53.6975911848219,-6.27737699382585 53.6963514505513,-6.28560696102302 53.6960584008319,-6.29377531089797 53.6967232846509,-6.30156866749423 53.698320601256,-6.30868796440451 53.7007890724908,-6.31485987268426 53.7040339816135,-6.31984726489073 53.7079307911537,-6.32345831918737 53.7123299041115,-6.32555391499185 53.7170623892772,-6.3260530323596 53.721946454238,-6.32493593959575 53.7267944202019,-6.32224503536856 53.7314199323435,-6.3180833002106 53.7356451289108,-6.31261040457792 53.7393074924478,-6.30603661299699 53.7422661174052,-6.29861471237271 53.7444071499034,-6.2906302732752 53.7456481868092,-6.28239062212719 53.7459414614425,-6.27421295624393 53.745275690575,-6.26641206986145 53.743676510004,-6.2592881757292 53.7412054816586,-6.25311530267596 53.7379577115776,-6.24813072502045 53.7340581727866,-6.24452583610758 53.7296568777889,-6.24243881789543 53.7249230899895,-6.24194938446904 53.7200388001152)))', 'IEMOR', 'MORNINGTON', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99739135049978 55.1902915474336,-6.99847336333568 55.1854381427716,-7.00118895657156 55.1807987183538,-7.00543329340827 55.1765514571538,-7.01104296689897 55.1728594283028,-7.01780232495104 55.1698643433822,-7.02545176901917 55.1676811365311,-7.0336977059181 55.1663935727032,-7.04222377405803 55.1660510490408,-7.05070292125435 55.1666667091974,-7.0588098820618 55.1682169411669,-7.06623358893051 55.1706422774751,-7.07268905365039 55.1738496642282,-7.07792827351322 55.1777160142791,-7.08174975004309 55.1820929114241,-7.08400625634529 55.1868122887866,-7.08461055101408 55.1916928669966,-7.08353881055703 55.1965471078788,-7.08083163633741 55.2011884183826,-7.07659258343613 55.2054383283952,-7.0709842543675 55.2091333655281,-7.06422209654569 55.2121313602165,-7.0565661347534 55.2143169353352,-7.04831095443968 55.2156059653827,-7.03977432442167 55.2159488299978,-7.03128490483657 55.2153323336199,-7.02316952500987 55.2137802155622,-7.01574053421145 55.2113522304394,-7.00928372508056 55.2081418354039,-7.0040473049974 55.2042725755863,-7.00023234619467 55.1998933101759,-6.99798508330155 55.1951724665957,-6.99739135049978 55.1902915474336)))', 'IEMOV', 'MOVILLE', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.59084511319233 53.7792151340897,-9.59158660785344 53.7743401177514,-9.59391907930373 53.769644425567,-9.59775242394448 53.7653084231502,-9.60293901051142 53.7614986072908,-9.60927940167151 53.7583612278841,-9.61653003633428 53.7560166918412,-9.62441257476382 53.7545549603553,-9.63262454965144 53.754032112701,-9.64085092073612 53.7544682054447,-9.64877609940296 53.7558465071725,-9.65609599361457 53.7581141373137,-9.66252962286044 53.7611840851391,-9.66782986755391 53.7649385333361,-9.67179294716227 53.7692333614942,-9.67426626568262 53.7739036600992,-9.6751543208473 53.7787700468505,-9.67442244318382 53.7836455457798,-9.67209821079464 53.7883427670169,-9.66827047295704 53.7926811121639,-9.66308600734958 53.7964937277723,-9.65674392840654 53.7996339377103,-9.64948805416605 53.8019809041441,-9.64159752204135 53.803444295875,-9.63337601630947 53.8039677808707,-9.62514002821801 53.8035312055354,-9.61720661048593 53.8021513747532,-9.60988110947454 53.7998814018798,-9.60344535927805 53.7968086543046,-9.59814680237669 53.793051375577,-9.59418896235017 53.7887541170298,-9.59172363752162 53.7840821581817,-9.59084511319233 53.7792151340897)))', 'IEMRK', 'MURRISK', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.1174299718153 55.1356922849317,-8.11837447096798 55.1308287394459,-8.12095640899902 55.1261641722042,-8.12507607268195 55.1218777392098,-8.13057482657854 55.1181340194693,-8.1372412576611 55.1150767125765,-8.14481931467473 55.112823142186,-8.15301812724841 55.1114597726943,-8.16152313061054 55.1110389075728,-8.17000807649157 55.111576693042,-8.17814748041183 55.1130525017368,-8.18562904067896 55.11540971942,-8.19216556534653 55.1185579054182,-8.19750596010234 55.1223762460539,-8.20144486224309 55.1267181717163,-8.20383055289578 55.1314169640383,-8.20457084040923 55.1362921415593,-8.20363668083845 55.1411563817118,-8.20106338463026 55.145822715239,-8.19694934937276 55.1501117172374,-8.19145235362638 55.1538584175932,-8.18478354275403 55.1569186629411,-8.17719933030982 55.159174682273,-8.16899152377245 55.1605396383631,-8.16047605716404 55.1609609861941,-8.15198077169086 55.1604225060572,-8.14383272594397 55.1589449310748,-8.13634553725634 55.1565851443855,-8.1298072544493 55.1534339777713,-8.12446923949353 55.1496126986815,-8.12053649278714 55.1452683240797,-8.11815979609321 55.1405679451614,-8.1174299718153 55.1356922849317)))', 'IEMRT', 'MAGHERAROARTY', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.45720002356227 54.4098152424794,-8.45808663014995 54.4049483850621,-8.46058335189145 54.4002759037306,-8.46459376783774 54.3959772632533,-8.46996344896034 54.3922175169308,-8.47648593990693 54.3891409851665,-8.483910708236 54.3868657343368,-8.49195275338302 54.385479064334,-8.50030350899301 54.38503417444,-8.50864262726455 54.3855481325169,-8.51665020361107 54.3870012234998,-8.52401898489596 54.3893377015638,-8.53046610503765 54.3924679178871,-8.53574390790355 54.3962717444371,-8.53964944879961 54.4006031654393,-8.54203231185855 54.4052958638694,-8.54280044018045 54.4101695920511,-8.54192374717474 54.4150370847212,-8.53943535916376 54.4197112510026,-8.53543042836242 54.424012369609,-8.53006254873466 54.4277750099674,-8.52353790136943 54.4308544110839,-8.51610734700133 54.4331320697491,-8.50805676706612 54.4345203194992,-8.49969602726382 54.4349657205495,-8.49134699540077 54.4344511272189,-8.48333108532003 54.4329963512841,-8.47595681889452 54.4306573950892,-8.46950789726779 54.4275242847292,-8.46423225083009 54.4237175888279,-8.46033249597674 54.4193837599921,-8.45795816770167 54.4146894818167,-8.45720002356227 54.4098152424794)))', 'IEMYG', 'MONEYGOLD', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.26836800261561 53.2471009832874,-9.26913738466636 53.2422275152862,-9.27147657894149 53.2375376917478,-9.27529524155403 53.2332116525696,-9.28044632054173 53.2294155129681,-9.28673175291376 53.2262949998729,-9.29391009266288 53.2239698755368,-9.30170577413883 53.2225293590437,-9.30981965715124 53.2220287180382,-9.31794045536395 53.2224871585728,-9.32575661901396 53.2238870920834,-9.33296822740213 53.2261748069007,-9.33929844628015 53.2292625191556,-9.34450412020398 53.2330317262621,-9.34838509982618 53.2373377371316,-9.35079194830774 53.2420152086291,-9.35163172850182 53.2468844791442,-9.35087164181496 53.2517584590001,-9.34854036870558 53.2564498150307,-9.34472704713575 53.2607781740308,-9.33957791594167 53.2645770676125,-9.33329074157844 53.2677003495778,-9.32610723525378 53.2700278361384,-9.31830374918144 53.2714699485828,-9.31018061173158 53.2719711762968,-9.3020505181464 53.2715122239069,-9.29422643332695 53.2701107579024,-9.28700948389942 53.2678207232615,-9.2806773172362 53.2647302570256,-9.27547338531217 53.2609582810497,-9.27159757226921 53.2566499079574,-9.26919852838068 53.2519708405103,-9.26836800261561 53.2471009832874)))', 'IENNR', 'SPIDDAL', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.03445561736312 53.1560192630604,-9.03524989110913 53.1511472370438,-9.03760964567981 53.146461938149,-9.04144375197306 53.1421433313223,-9.04660456988254 53.1383572456843,-9.05289366713343 53.1352490219895,-9.0600694607305 53.1329379510473,-9.06785648501207 53.1315127132203,-9.07595593258641 53.1310279906531,-9.08405706992127 53.1315023793686,-9.09184909911383 53.1329176794278,-9.09903302204858 53.1352195897068,-9.10533306307192 53.1383197812918,-9.11050722147523 53.1420992718348,-9.11435655516878 53.1464129742327,-9.11673284128797 53.1510952484278,-9.11754431705532 53.1559662465931,-9.11675927353279 53.1608388109485,-9.11440735395376 53.1655256612156,-9.11057849461463 53.1698465962661,-9.1054195368198 53.1736354325287,-9.09912862965667 53.1767464104915,-9.09194763166137 53.1790598200327,-9.08415280081727 53.1804866247586,-9.07604413299522 53.1809719039782,-9.06793376542843 53.1804969769232,-9.06013390124069 53.1790801254899,-9.05294473135526 53.1767758869854,-9.04664283022569 53.173672944775,-9.04147048174305 53.1698906999647,-9.03762635245127 53.1655746589696,-9.03525787289117 53.1608908178773,-9.03445561736312 53.1560192630604)))', 'IENQY', 'NEW QUAY', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.21857798836987 54.0890261620521,-6.21971859593021 54.0841797245872,-6.22244493959495 54.0795571818507,-6.22665181055763 54.0753360678389,-6.23217727509094 54.0716784500731,-6.23880893786462 54.0687247238928,-6.24629211235876 54.0665882422087,-6.25433958319903 54.0653509832842,-6.26264258910188 54.0650604194144,-6.27088261265468 54.0657277039533,-6.27874353533675 54.0673272446442,-6.28592370360745 54.0697976793561,-6.29214745481477 54.0730442179039,-6.29717567007279 54.0769422624213,-6.30081495476279 54.0813421705436,-6.30292509522174 54.0860749821524,-6.30342450137516 54.0909588932414,-6.30229341795801 54.0958062310406,-6.29957476943194 54.1004306641132,-6.29537259308877 54.1046543706768,-6.28984810794134 54.108314888518,-6.28321356021517 54.1112713807871,-6.27572407563618 54.1134100734612,-6.26766783023146 54.1146486516734,-6.25935492113363 54.1149394422785,-6.25110537342915 54.1142712574041,-6.24323675560628 54.1126698263751,-6.23605189272155 54.1101967991097,-6.22982716213822 54.1069473604861,-6.22480183184119 54.103046549881,-6.22116885723817 54.0986444307707,-6.2190674913382 54.0939102998759,-6.21857798836987 54.0890261620521)))', 'IEOME', 'OMEATH', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.34864634971785 51.8777835416245,-8.34949204541134 51.8729152937141,-8.35185549565743 51.8682426708085,-8.35564546844804 51.8639451508883,-8.36071605146963 51.8601877561728,-8.36687229972235 51.8571147310601,-8.37387773998908 51.8548440217342,-8.38146344185732 51.8534627661146,-8.38933830923892 51.8530239640492,-8.3972002034789 51.8535444528589,-8.40474748023507 51.8550042641726,-8.4116905080038 51.8573473861823,-8.41776273677553 51.8604839027987,-8.4227309008187 51.8642934295209,-8.42640396967902 51.8686297169409,-8.42864050546167 51.8733262484298,-8.42935414126259 51.8782026203246,-8.42851696371952 51.883071462313,-8.42616066006699 51.8877456339756,-8.42237537430962 51.8920454215476,-8.41730630520186 51.8958054575809,-8.41114816726231 51.8988810955607,-8.40413772139422 51.9011539915175,-8.39654466006692 51.9025366746368,-8.3886611997802 51.9029759277463,-8.38079078738258 51.9024548448578,-8.3732363640301 51.9009934847855,-8.36628864923148 51.8986480951224,-8.36021490655337 51.8955089371877,-8.35524863220425 51.8916967975991,-8.35158056894803 51.8873583235498,-8.34935139262112 51.8826603645628,-8.34864634971785 51.8777835416245)))', 'IEORK', 'CORK', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.40180979017575 51.6938022394305,-8.4026461758577 51.6889334287555,-8.40499440058307 51.6842595450357,-8.40876382122266 51.6799601155727,-8.41380931730373 51.6762002370081,-8.41993690789196 51.6731242502456,-8.42691121901571 51.6708502161894,-8.43446451275763 51.6694654011477,-8.4423069335223 51.6690229419976,-8.45013758422271 51.6695398164272,-8.45765601625726 51.6709961944019,-8.46457370283242 51.6733361951895,-8.47062506573868 51.6764700216096,-8.4755776411007 51.6802773914914,-8.47924099956448 51.6846121374054,-8.48147408017189 51.6893078013379,-8.48219065373476 51.6941840127197,-8.48136269934369 51.6990534075775,-8.47902155474186 51.7037288248068,-8.47525678517443 51.7080305036432,-8.47021280302987 51.7117930049989,-8.46408335875779 51.714871588674,-8.45710410853487 51.7171477984079,-8.44954354221095 51.7185340366648,-8.44169262256681 51.7189769498954,-8.43385354056843 51.7184594912823,-8.42632802840762 51.7170015797965,-8.41940569076354 51.714659329634,-8.41335281392809 51.7115228804222,-8.408402092257 51.7077129136285,-8.40474367289511 51.7033759920384,-8.40251786486646 51.6986789048923,-8.40180979017575 51.6938022394305)))', 'IEOYH', 'OYSTERHAVEN', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.93434161443589 52.2402952742305,-6.9353488986007 52.2354395633809,-6.93787936772509 52.230797752139,-6.94183537795801 52.2265481254684,-6.94706465259276 52.2228538583779,-6.9533661717744 52.2198567658668,-6.9604979068352 52.2176718764121,-6.9681861006727 52.2163830339907,-6.97613574069671 52.2160396942372,-6.98404182907825 52.2166550350997,-6.99160102733652 52.2182054529064,-6.99852323932783 52.2206314628329,-7.0045426987403 52.2238399701655,-7.00942814422159 52.2277078273022,-7.0129916969188 52.232086542914,-7.01509610078196 52.2368079658326,-7.01566004436652 52.2416907286641,-7.01466135250471 52.2465472062982,-7.01213791504669 52.2511907236407,-7.00818630533649 52.2554427359902,-7.00295813014024 52.2591397051401,-6.9966542419316 52.2621394047272,-6.98951703003962 52.2643264093706,-6.98182108536421 52.2656165530746,-6.97386260049126 52.2659601820961,-6.96594791979957 52.2653440744482,-6.9583816898728 52.263791950539,-6.9514550773629 52.2613635549321,-6.94543451851992 52.2581523455397,-6.94055144207279 52.2542818813279,-6.93699336620888 52.2499010505292,-6.93489671317949 52.2451783263294,-6.93434161443589 52.2402952742305)))', 'IEPAS', 'PASSAGE EAST', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.3266484883834 51.8854618981881,-10.3272803398309 51.880581616627,-10.3294381652896 51.8758713665514,-10.3330386153402 51.8715120831539,-10.3379430317057 51.8676711697341,-10.3439628205518 51.8644960829914,-10.3508667181328 51.8621086887741,-10.3583896668678 51.8606006017817,-10.3662429624888 51.8600296848382,-10.3741252882271 51.8604178392387,-10.3817342211846 51.8617501689732,-10.3887777797768 51.8639755500558,-10.3949855797697 51.8670085835496,-10.4001191799938 51.8707328589963,-10.4039812269967 51.8750054056214,-10.4064230500517 51.8796621636523,-10.4073504130512 51.8845242689763,-10.4067271964319 51.8894049126793,-10.4045768584752 51.8941165140134,-10.400981608697 51.8984779320695,-10.3960793136793 51.9023214385659,-10.3900582442991 51.9054991820309,-10.38314985925 51.9078888921545,-10.3756198992885 51.9093986016606,-10.3677581360787 51.9099702007124,-10.3598671755047 51.9095816841695,-10.3522507550415 51.908248003175,-10.3452019961793 51.9060204874322,-10.3389920748456 51.902984860861,-10.3338597551633 51.8992579286924,-10.3300021956321 51.8949830661627,-10.3275673838013 51.8903246856196,-10.3266484883834 51.8854618981881)))', 'IEPMG', 'PORTMAGEE', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.81584631196197 51.6552858047276,-9.81653029973951 51.6504079003905,-9.81873063982976 51.6457066983063,-9.82236235935247 51.6413627836853,-9.82728560954764 51.637542968218,-9.83331108312479 51.6343938982535,-9.84020730576054 51.632036441623,-9.84770951907208 51.6305610654231,-9.85552981562372 51.6300243789514,-9.8633681424956 51.6304469716901,-9.87092375973763 51.6318126273877,-9.8779067243367 51.6340689436372,-9.88404896947886 51.6371293336848,-9.88911456290269 51.640876335352,-9.89290875670567 51.6451661027226,-9.89528548342797 51.649833911362,-9.89615300856102 51.6547004689551,-9.89547751634459 51.6595787918378,-9.89328448188897 51.6642813852363,-9.88965776585851 51.6686274521256,-9.88473645527629 51.6724498531523,-9.87870956214281 51.6756015483395,-9.87180877689442 51.6779612701894,-9.86429955252962 51.679438206746,-9.85647086385398 51.6799755111612,-9.84862404141365 51.6795524998764,-9.84106111853362 51.678185452863,-9.83407315044488 51.6759269843435,-9.82792896569676 51.6728640087359,-9.8228647918366 51.6691143818466,-9.81907516064962 51.664822349258,-9.81670544497801 51.6601529802635,-9.81584631196197 51.6552858047276)))', 'IEPON', 'PONTOON', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.68837179041968 54.242897338649,-8.68922748121607 54.238028620967,-8.69168789142076 54.2333511960934,-8.69565799764037 54.2290447207224,-8.70098491912831 54.2252745510084,-8.70746384016543 54.2221854092301,-8.71484589683329 54.2198958470185,-8.72284772274875 54.2184937141517,-8.73116228969005 54.2180328033114,-8.73947063396455 54.218530796596,-8.74745402888122 54.2199685906267,-8.75480614843812 54.2222910254867,-8.76124476762477 54.2254089902632,-8.76652256056487 54.2292028264297,-8.77043658877443 54.2335269014729,-8.77283611742754 54.2382151807564,-8.77362845666032 54.2430875872548,-8.77278259609838 54.2479569079356,-8.77033048195046 54.2526359835064,-8.76636587461133 54.2569449059696,-8.76104081767197 54.2607179466238,-8.75455984298884 54.2638099461157,-8.74717212712733 54.2661019177532,-8.73916189803068 54.2675056449446,-8.73083746322972 54.267967092286,-8.72251928871133 54.2674684960019,-8.71452759773412 54.266029051272,-8.70716997930084 54.2637041693179,-8.70072949557518 54.2605833336005,-8.69545375629052 54.2567866397211,-8.69154538727838 54.2524601552541,-8.68915426180236 54.2477702816479,-8.68837179041968 54.242897338649)))', 'IEPOV', 'PORTAVAUD', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.66629250719767 54.3222434003189,-9.66703433098419 54.3173683567028,-9.66938834159661 54.3126715575642,-9.6732635912024 54.3083334097266,-9.6785108262548 54.3045204900266,-9.68492827323539 54.3013791645339,-9.69226941157221 54.2990299884684,-9.70025243221433 54.2975630982747,-9.70857102070513 54.2970347691507,-9.71690605747028 54.2974652670817,-9.72493779648229 54.298838075707,-9.73235806714408 54.301100526872,-9.73888204347061 54.3041658112634,-9.74425913945007 54.3079162938815,-9.74828261953651 54.3122080100491,-9.75079755793076 54.3168761729133,-9.75170683862462 54.3217414845825,-9.7509749586472 54.3266170116442,-9.74862947758369 54.3313153631063,-9.74476004472108 54.3356558958188,-9.73951502805894 54.3394716698697,-9.73309586338386 54.3426158846407,-9.72574933276908 54.3449675450451,-9.71775806619003 54.3464361364201,-9.70942963347323 54.3469651245776,-9.70108465288923 54.3465341432004,-9.6930443843239 54.3451597822496,-9.68561829692245 54.3428949462078,-9.67909210221505 54.3398268074645,-9.67371672393985 54.3360734355689,-9.66969863613577 54.3317792350642,-9.66719194367494 54.3271093710207,-9.66629250719767 54.3222434003189)))', 'IEPOY', 'PORTURLIN/PORTACLOY', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.31519576447884 55.3614039979944,-7.31624410780153 55.3565477016848,-7.31893485021333 55.3519011795424,-7.32316410058015 55.3476428885011,-7.32876902251249 55.3439363217905,-7.33553413883944 55.3409237488974,-7.34319962474399 55.3387207743518,-7.35147126902546 55.3374119204739,-7.36003172431605 55.3370473999914,-7.36855262244721 55.3376411994119,-7.37670710152222 55.3391705448367,-7.38418227720742 55.3415767702461,-7.39069119258096 55.3447675559322,-7.39598379855339 55.3486204534869,-7.39985655006859 55.3529875653361,-7.40216025133604 55.3577012029411,-7.40280584515869 55.3625803100903,-7.40176791545439 55.3674374076188,-7.39908575623169 55.3720857946927,-7.39486195191266 55.3763467304596,-7.38925850977417 55.3800563190547,-7.38249068169948 55.383071830937,-7.37481870534242 55.3852772141417,-7.36653778001551 55.3865875796517,-7.35796666604279 55.3869524846064,-7.34943535428299 55.3863578839658,-7.3412722920156 55.3848266736074,-7.33379167028822 55.3824178034705,-7.32728127513205 55.3792239958992,-7.3219913809176 55.3753681593563,-7.31812511985819 55.3709986388503,-7.31583069963058 55.3662834896153,-7.31519576447884 55.3614039979944)))', 'IEPTR', 'PORT RONAN', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.41578070426074 52.8171515397304,-9.41652614997307 52.8122768189648,-9.41882648747017 52.807583845156,-9.42259287593645 52.8032528814877,-9.42768027762166 52.7994502350572,-9.43389307667527 52.7963218854943,-9.44099261311288 52.7939878984581,-9.44870633992323 52.7925378351429,-9.45673825364564 52.7920273306303,-9.46478020415644 52.7924759695314,-9.47252365896265 52.7938665384892,-9.4796714816839 52.7961456834933,-9.48594928393474 52.7992259473771,-9.49111592450514 52.8029891111448,-9.49497275926752 52.8072907136901,-9.49737128895991 52.8119655797577,-9.49821890886829 52.8168341472962,-9.49748253297624 52.8217093541287,-9.49518994340082 52.8264038213993,-9.49142880140753 52.8307370585587,-9.48634334601802 52.8345424123917,-9.48012889677519 52.8376734910911,-9.47302436488801 52.8400098135115,-9.46530305787888 52.841461462917,-9.45726213322569 52.8419725627577,-9.44921111288638 52.8415234377892,-9.44145991015489 52.8401313753679,-9.43430684096376 52.8378499568708,-9.42802709242524 52.8347669855838,-9.42286210205228 52.8310010926802,-9.41901026274308 52.8266971547525,-9.41661931324635 52.8220207025964,-9.41578070426074 52.8171515397304)))', 'IEQUI', 'QUILTY', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.51264009423339 51.8841827438773,-9.51336009782245 51.8793067121728,-9.51560297557909 51.8746112713209,-9.51928211729503 51.8702767827233,-9.52425585244993 51.8664696936293,-9.53033293746795 51.8633361596547,-9.53727992104205 51.8609964507166,-9.54483010210576 51.8595403519266,-9.55269373827608 51.8590237327269,-9.56056911865911 51.8594664131589,-9.56815408487422 51.8608514072511,-9.57515756869345 51.8631255718374,-9.58131071414179 51.8662016364665,-9.58637716626976 51.8699615382641,-9.59016213777771 51.87426093645,-9.5925199075838 51.8789347364399,-9.59335946124096 51.8838034147145,-9.59264805034681 51.8886799043808,-9.5904125248017 51.8933767788731,-9.58673837550709 51.8977134585315,-9.58176651293181 51.9015231625377,-9.57568789556687 51.9046593371795,-9.56873620800362 51.907001310522,-9.56117886744751 51.9084589527183,-9.55330670624996 51.9089761593561,-9.54542273316457 51.9085330209618,-9.53783041473461 51.9071465932275,-9.53082193849683 51.9048702375789,-9.52466692047611 51.9017915580369,-9.51960200070252 51.8980290155726,-9.51582173318703 51.8937273529839,-9.51347112287057 51.8890520095893,-9.51264009423339 51.8841827438773)))', 'IERAG', 'RAGHLY', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.48548130058754 55.0974666497911,-7.48650145079164 55.0926085322556,-7.48915413010133 55.087957850096,-7.49333691589202 55.0836932221209,-7.49888875929191 55.0799783871757,-7.50559622067702 55.076955934347,-7.51320168484765 55.0747418491847,-7.52141323829473 55.073421081604,-7.52991583247114 55.0730443019764,-7.53838331239954 55.0736259669447,-7.54649086026817 55.0751437673183,-7.55392738949643 55.0775394787449,-7.56040742637672 55.080721183474,-7.56568203379415 55.0845667802154,-7.56954836436579 55.0889286506157,-7.57185747795386 55.0936393069356,-7.57252011981887 55.0985178077198,-7.57151022914392 55.1033766980794,-7.56886603120145 55.1080292098957,-7.56468865740551 55.112296445812,-7.55913833269959 55.1160142699479,-7.55242826549791 55.1190396381398,-7.54481646770999 55.1212561209998,-7.53659581707998 55.1225784035847,-7.5280827471198 55.1229555848768,-7.51960500765224 55.1223731470835,-7.51148897841309 55.1208535170511,-7.50404703719542 55.1184551976813,-7.49756548163201 55.1152705037609,-7.49229348004114 55.1114219916574,-7.48843348309009 55.1070577235614,-7.48613346667962 55.1023455522392,-7.48548130058754 55.0974666497911)))', 'IERAT', 'RATHMULLAN', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.60264430219111 51.8802135997013,-9.60335450500339 51.8753370464475,-9.60558780085093 51.8706399188582,-9.60925794698205 51.8663026436814,-9.61422361731975 51.8624917756196,-9.62029387667221 51.8593536156636,-9.62723553444062 51.8570086114179,-9.63478209281476 51.8555467511787,-9.64264394761908 51.855024125309,-9.65051945596021 51.8554607840917,-9.65810645470719 51.8568399723594,-9.66511379828809 51.8591087695343,-9.67127248364664 51.8621801110645,-9.6763459444779 51.865936115429,-9.68013912574104 51.8702325917086,-9.68250599227338 51.8749045579163,-9.68335518106185 51.8797725614922,-9.682653573893 51.8846495620638,-9.68042764375168 51.8893481140374,-9.67676251202828 51.8936875738159,-9.67179874140111 51.8975010541113,-9.6657269778467 51.9006418562441,-9.65878064096337 51.9029891303621,-9.65122694091342 51.9044525426013,-9.64335656912843 51.9049757663206,-9.6354724651364 51.9045386602196,-9.62787810067986 51.903158047566,-9.62086574269396 51.9008870657877,-9.6147051576321 51.8978131120232,-9.60963320101025 51.8940544654826,-9.60584469886539 51.8897557193323,-9.60348497400612 51.885082201126,-9.60264430219111 51.8802135997013)))', 'IEREE', 'REEN', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.98863378714381 51.8963460424888,-9.98930241367205 51.8914674145405,-9.99149615113944 51.8867632048365,-9.99513027293454 51.8824141144546,-10.0000648314879 51.8785871535881,-10.006110080404 51.875429242157,-10.0130337835196 51.8730615862737,-10.0205701274382 51.8715750432537,-10.0284298969203 51.8710266498182,-10.0363115281295 51.8714374439117,-10.0439126242384 51.8727916617672,-10.0509415019633 51.8750373402369,-10.0571283365718 51.8780883017647,-10.0622354868048 51.8818274475238,-10.0660666096657 51.8861112349854,-10.0684742175102 51.8907751712534,-10.0693653852835 51.8956401145402,-10.0687053826454 51.9005191446531,-10.0665190821511 51.9052247405752,-10.0628900782009 51.9095759901898,-10.0579575392182 51.9134055545802,-10.0519109041358 51.9165661174639,-10.0449826201466 51.9189360690685,-10.0374391980425 51.9204242025757,-10.0295709306534 51.9209732391265,-10.0216806755465 51.9205620428678,-10.014072142461 51.9192064387927,-10.0070381468938 51.9169586010887,-10.0008492927216 51.9139050360362,-9.99574352866249 51.9101632388251,-9.99191698667883 51.9058771556436,-9.98951645701726 51.9012116288902,-9.98863378714381 51.8963460424888)))', 'IEREN', 'RENARD', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.28268891621784 51.8307610677711,-8.28354079161759 51.825893279275,-8.28590854692536 51.8212219609413,-8.28970078647358 51.8169265403977,-8.29477151255397 51.8131719591623,-8.30092577605771 51.8101023536891,-8.30792718089184 51.8078355390959,-8.31550695190843 51.8064585040978,-8.32337422042986 51.806024086863,-8.33122713869581 51.8065489566919,-8.33876440573485 51.8080129772355,-8.34569677293301 51.8103599751474,-8.351758098245 51.813499885414,-8.35671553356083 51.8173121929436,-8.36037845986798 51.8216505411152,-8.36260582885289 51.8263483336386,-8.36331162639073 51.8312251178728,-8.36246824146334 51.8360935071721,-8.3601076014249 51.8407663781302,-8.3563200187083 51.8450640667469,-8.3512507820607 51.8488212862106,-8.34509461383666 51.8518934984212,-8.33808820010399 51.8541624914086,-8.33050107856945 51.8555409448167,-8.32262523696108 51.8559758045367,-8.3147638282156 51.8554503339038,-8.30721944590453 51.8539847607341,-8.3002824218781 51.8516354947477,-8.29421960714076 51.8484929462522,-8.2892640765524 51.8446780319859,-8.28560615914648 51.8403375054216,-8.28338614067619 51.8356382944898,-8.28268891621784 51.8307610677711)))', 'IERIN', 'RINGASKIDDY', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.56578971513555 53.8342064784586,-9.56653504283326 53.8293316521128,-9.56887332602263 53.8246364755867,-9.57271423647728 53.8203012943492,-9.57790985153657 53.8164925732596,-9.58426038699802 53.8133565197815,-9.5915218927442 53.8110134895778,-9.59941561268082 53.8095533857917,-9.60763865159526 53.8090322251036,-9.61587554594857 53.8094699993541,-9.62381030445098 53.8108499127426,-9.63113846820545 53.8131190230911,-9.63757873955967 53.8161902631589,-9.64288374359115 53.8199457663339,-9.64684951606179 53.8242413719574,-9.64932335607542 53.8289121408204,-9.65020973952762 53.8337786725942,-9.64947405927775 53.8386539856348,-9.6471440378242 53.8433506969829,-9.64330874561988 53.8476882275072,-9.63811524999702 53.8514997546914,-9.63176301249115 53.8546386438695,-9.62449624233857 53.8569841076687,-9.61659449709081 53.8584458724527,-9.6083618937421 53.8589676686688,-9.60011535193173 53.8585294077229,-9.59217233168938 53.8571479595105,-9.58483854968797 53.8548764998733,-9.57839615890625 53.85180245371,-9.57309285692841 53.8480441148358,-9.56913234886829 53.8437460756185,-9.56666653416241 53.8390736457595,-9.56578971513555 53.8342064784586)))', 'IERMR', 'ROSSMORE/ROSSCAHILL', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.34732489725989 52.2770926979257,-6.34839710814229 52.2722429660091,-6.35099062564757 52.2676146845039,-6.35500538878732 52.263385615151,-6.36028687181081 52.2597181408082,-6.36663205900223 52.2567530461629,-6.37379725412322 52.2546041309158,-6.38150742327044 52.2533538588895,-6.38946671551655 52.2530502068728,-6.39736976444167 52.2537048315917,-6.40491334653044 52.2552926236354,-6.41180796002137 52.2577526651923,-6.41778889042944 52.260990555884,-6.42262634658263 52.2648820196141,-6.42613428325279 52.269277656991,-6.42817757260209 52.2740086642442,-6.42867724558258 52.2788933022667,-6.42761359453761 52.2837438699251,-6.42502700748388 52.2883739153156,-6.42101649031177 52.2926054081622,-6.41573592236095 52.2962755966524,-6.40938818003397 52.2992432828946,-6.4022173485639 52.3013942726407,-6.39449931993673 52.302645786244,-6.38653114161534 52.3029496578968,-6.37861953284578 52.302294197435,-6.37106902030363 52.3007046415043,-6.3641701608495 52.2982421764522,-6.35818831537684 52.2950015716128,-6.35335341436622 52.2911075162868,-6.34985111404697 52.2867098044126,-6.34781568417318 52.2819775555838,-6.34732489725989 52.2770926979257)))', 'IEROE', 'ROSSLARE', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-6.03715318056698 53.5219694968676,-6.03829684119389 53.5171244559484,-6.04100403111214 53.5125054273453,-6.04517029457901 53.5082898111205,-6.05063527053473 53.5046394658754,-6.05718889364415 53.501694510714,-6.06457947434796 53.4995679651176,-6.07252334634486 53.4983414289881,-6.08071571455611 53.4980619653388,-6.08884229477086 53.498740302627,-6.0965913088016 53.5003504241581,-6.10366538669427 53.5028305600853,-6.10979293060274 53.5060855450639,-6.11473851331232 53.5099904533974,-6.11831191771662 53.5143953753111,-6.12037547110121 53.5191311545247,-6.12084938873716 53.5240158701881,-6.11971491344287 53.5288618169225,-6.11701511932094 53.5334827164286,-6.11285333617155 53.537700883817,-6.10738924296561 53.5413540720948,-6.10083277064562 53.5443017293322,-6.09343604253563 53.5464304246811,-6.08548366082342 53.5476582309589,-6.07728171611585 53.5479378917834,-6.06914595056057 53.547258648679,-6.06138954073161 53.5456466562428,-6.0543109825267 53.5431639691505,-6.04818255587774 53.5399061411389,-6.04323982238665 53.5359985307303,-6.03967256539042 53.5315914590661,-6.03761752171592 53.5268544097058,-6.03715318056698 53.5219694968676)))', 'IERSH', 'RUSH', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.51434788098525 53.2691869342392,-9.51508967111329 53.2643119762264,-9.5174031176803 53.2596174187251,-9.52119886309375 53.2552835849299,-9.52633073178304 53.2514768904689,-9.53260139422204 53.2483434681204,-9.53976996748043 53.2460035757926,-9.54756125764487 53.2445469990506,-9.55567629117961 53.2440296212352,-9.56380373723466 53.2444712898761,-9.57163179212066 53.2458550592752,-9.57886008132329 53.2481278375662,-9.58521113385131 53.2512024140108,-9.59044099840848 53.2549607905889,-9.59434860054543 53.2592586928588,-9.59678348393356 53.2639310903362,-9.59765163617892 53.2687985178926,-9.59691916868032 53.2736739583863,-9.59461369896609 53.2783700241924,-9.59082337022606 53.2827061624908,-9.5856935333907 53.2865156068144,-9.57942120865301 53.2896518057431,-9.57224753201131 53.2919940786595,-9.56444847432195 53.2934522775751,-9.55632419165666 53.2939702721874,-9.54818742296352 53.293528121065,-9.54035139122091 53.2921428433594,-9.53311768534807 53.2898677605633,-9.52676460097452 53.2867904342553,-9.52153639872469 53.2830292810978,-9.5176338999749 53.278728998241,-9.51520678410846 53.2740549785917,-9.51434788098525 53.2691869342392)))', 'IERSM', 'ROS A MHIL', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.52530857566439 54.3048395650238,-8.5261848105104 54.2999721031018,-8.52866739454661 54.2952981053265,-8.53266045235988 54.290997095512,-8.53801022280337 54.287234218819,-8.54451101496312 54.2841539166729,-8.55191312812637 54.2818744008726,-8.55993242911122 54.2804831354656,-8.56826122175914 54.2800334962741,-8.57657999842189 54.2805427333106,-8.5845696329237 54.2819913123256,-8.5919235593842 54.2843236601191,-8.59835948175291 54.2874502857861,-8.6036301749243 54.2912511985569,-8.60753296955779 54.2955804941008,-8.60991755856159 54.3002719368166,-8.6106918225619 54.3051453273405,-8.60982544306009 54.3100134137466,-8.60735115335705 54.3146890829526,-8.6033635661297 54.3189925566846,-8.59801560967682 54.3227583146731,-8.59151269874666 54.325841476842,-8.58410485661353 54.3281233959794,-8.57607708864223 54.3295162421513,-8.56773838001418 54.3299663988778,-8.55940974799778 54.3294565373563,-8.55141181915911 54.3280062869087,-8.54405242211693 54.3256714751958,-8.53761468576728 54.3225419682324,-8.53234611137575 54.3187381954398,-8.52844904571583 54.3144064965607,-8.52607292369424 54.309713473082,-8.52530857566439 54.3048395650238)))', 'IERSS', 'ROSSES POINT', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.88022726826327 53.3963152605549,-9.88092933399802 53.3914383211205,-9.88320923096465 53.3867369303569,-9.88697888360301 53.3823916758206,-9.89209311092668 53.3785694128945,-9.89835525356304 53.3754168724746,-9.90552474973429 53.3730550459907,-9.91332636628575 53.3715745599236,-9.92146073212587 53.3710322139129,-9.92961577592014 53.3714488123397,-9.93747863865082 53.372808370544,-9.94474761539253 53.3750587253158,-9.95114367968957 53.378113526772,-9.95642115826876 53.3818555369967,-9.96037715318049 53.3861411116674,-9.96285935219283 53.3908056960415,-9.96377192534536 53.3956701277683,-9.96307927453809 53.4005475075014,-9.96080748192912 53.4052503754952,-9.95704338926451 53.4095979192985,-9.95193133107441 53.4134229350088,-9.94566763649869 53.4165782726436,-9.93849310358194 53.4189425149225,-9.93068373227679 53.4204246675814,-9.92254007426639 53.420967677257,-9.91437561553579 53.4205506385308,-9.90650464844335 53.4191896030945,-9.89923011173094 53.4169369590539,-9.89283187830875 53.4138794048128,-9.88755595167778 53.4101345973737,-9.88360499351564 53.4058466069097,-9.88113054925394 53.4011803559456,-9.88022726826327 53.3963152605549)))', 'IERST', 'ROUNDSTONE/BALLYCONNEELY', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.50695472404237 51.5291798689259,-9.50766999094502 51.5243035903839,-9.50989623223938 51.5196080196851,-9.51354748558708 51.5152735242415,-9.51848315803151 51.511466553137,-9.52451347096133 51.5083332593361,-9.53140676880073 51.5059939054347,-9.53889840823256 51.5045382645445,-9.54670088837925 51.5040221896405,-9.55451483871674 51.5044654802917,-9.56204045165052 51.5058511267678,-9.56898893132381 51.5081259598172,-9.57509352968924 51.5112026817333,-9.58011975516511 51.5149632025016,-9.58387436799898 51.519263155645,-9.5862128191156 51.5239374236045,-9.5870448446861 51.5288064637413,-9.58633799544554 51.5336831948065,-9.58411895595918 51.5383801812631,-9.5804725921561 51.5427168401632,-9.57553875260349 51.5465263930567,-9.56950693687001 51.5496622939249,-9.56260902931814 51.5520038832698,-9.55511037505129 51.5534610476533,-9.54729954289265 51.5539777021617,-9.53947717488589 51.5535339589867,-9.53194436014092 51.5521468967512,-9.52499099092569 51.5498699002437,-9.51888455967542 51.5467905965381,-9.51385983701039 51.543027468703,-9.51010983389217 51.5387252801176,-9.5077783976079 51.5340494886665,-9.50695472404237 51.5291798689259)))', 'IESCH', 'Skull (Schull)', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.24292451100813 51.5620897962294,-9.24366850874274 51.5572151286759,-9.24592352594182 51.5525245670736,-9.24960249617178 51.5481982847488,-9.25456376461922 51.5444024140065,-9.26061657335983 51.5412826806879,-9.26752840702501 51.5389588264169,-9.27503391435102 51.5375200294823,-9.28284506490209 51.5370214969193,-9.29066215682276 51.5374823558559,-9.29818526186352 51.5388849232026,-9.30512567881421 51.5411753810367,-9.31121696620067 51.5442658323556,-9.31622513965565 51.5480376600784,-9.31995764844594 51.5523460630625,-9.32227078855732 51.5570255982103,-9.32307526545577 51.5618965191049,-9.32233968667309 51.5667716705184,-9.32009184074969 51.5714636758351,-9.31641770235811 51.5757921419365,-9.31145819070754 51.5795906040577,-9.30540379626436 51.5827129418438,-9.29848727580448 51.5850390171642,-9.29097469411296 51.5864793135952,-9.2831551586342 51.5869783958163,-9.27532964775443 51.5865170530191,-9.26779937143492 51.5851130419566,-9.26085412264866 51.5828204003443,-9.25476107847239 51.5797273576457,-9.24975449072714 51.5759529254561,-9.24602666873463 51.5716423014241,-9.24372060298594 51.5669612667815,-9.24292451100813 51.5620897962294)))', 'IESKB', 'SKIBBEREEN', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.05010235407168 53.5729733716735,-6.05124613725489 53.5681282414679,-6.05395539679126 53.5635089786399,-6.05812559595008 53.5592929921355,-6.06359622141584 53.5556421545651,-6.07015699033389 53.5526966036615,-6.07755593878282 53.5505693814838,-6.08550907976208 53.5493421136402,-6.09371126334883 53.5490618910363,-6.10184782977341 53.54973947117,-6.10960661875845 53.5513488664387,-6.1166898861582 53.5538283350215,-6.12282568199223 53.5570827374394,-6.12777826234699 53.560987170674,-6.13135714095922 53.5653917435249,-6.1334244338792 53.570127313421,-6.13390021131275 53.5750119677842,-6.13276564296372 53.5798580037179,-6.13006380483066 53.584479139501,-6.12589810380332 53.5886976810473,-6.12042836839633 53.592351366765,-6.11386474595893 53.5952996253166,-6.10645963483326 53.5974290024279,-6.09849796023112 53.5986575444214,-6.09028617124323 53.5989379664131,-6.08214038997651 53.5982594805501,-6.07437417958625 53.5966482123245,-6.06728641406028 53.5941661886981,-6.06114972817683 53.5909089381325,-6.05620000134938 53.587001797251,-6.0526272854158 53.5825950694684,-6.05056852611343 53.5778582254242,-6.05010235407168 53.5729733716735)))', 'IESKE', 'SKERRIES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.43933809430272 54.2768092026234,-8.44022384075566 54.271942367148,-8.44271443335817 54.2672701376698,-8.44671369073895 54.2629719696388,-8.4520676155116 54.2592128988185,-8.45857035901478 54.2561372204359,-8.46597214705401 54.2538629688998,-8.47398885982683 54.2524774064474,-8.48231290076706 54.2520336903511,-8.49062494418529 54.2525488436394,-8.49860612133663 54.2540031052717,-8.50595018955156 54.256340684078,-8.51237522962271 54.2594718883192,-8.51763443274221 54.2632765512161,-8.52152556961278 54.2676086240255,-8.52389878025129 54.2723017639257,-8.52466238241242 54.2771757057192,-8.52378646796867 54.2820431756563,-8.52130413796765 54.2867170837765,-8.51731031587529 54.2910177190722,-8.51195817160365 54.2947796701617,-8.50545328274684 54.2978582033232,-8.49804575010796 54.3001348495335,-8.49002056805189 54.3015219819876,-8.48168662251734 54.3019662043941,-8.47336474708052 54.3014504166432,-8.46537530732405 54.299994476367,-8.45802580382498 54.2976544302941,-8.45159898326249 54.294520345783,-8.44634192550601 54.2907128281081,-8.44245653323873 54.2863783606264,-8.44009179187919 54.2816836507264,-8.43933809430272 54.2768092026234)))', 'IESLI', 'SLIGO', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.88267908414863 51.844309475642,-9.88335847602841 51.8394313593455,-9.88556082122806 51.8347290457809,-9.88920106461648 51.8303831627015,-9.89413902578125 51.8265605968616,-9.90018482974262 51.8234080993994,-9.90710622062313 51.8210466687712,-9.91463747469497 51.8195669236809,-9.92248957220112 51.8190256403582,-9.93036124310794 51.8194435842729,-9.93795047157614 51.8208047175551,-9.94496602812452 51.8230568117592,-9.95113859754188 51.8261134429616,-9.95623108459334 51.8298572943386,-9.96004770815758 51.8341446421292,-9.96244153697093 51.8388108559946,-9.96332017560909 51.8436767058709,-9.96264937624266 51.848555235961,-9.96045442812078 51.8532589438011,-9.95681926023725 51.8576069893725,-9.95188328030433 51.8614321567014,-9.94583606167564 51.8645872985966,-9.93891007559728 51.8669510140109,-9.93137174537354 51.8684323364019,-9.92351116804196 51.8689742494098,-9.91563090461431 51.868555891701,-9.90803427906486 51.8671933641417,-9.90101364701417 51.864939107444,-9.89483909637209 51.8618798747518,-9.88974802399545 51.8581333789423,-9.88593599563252 51.8538437463672,-9.88354924296849 51.8491759552028,-9.88267908414863 51.844309475642)))', 'IESNE', 'SNEEM', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.4214317914759 52.129463835699,-7.42238334891676 52.1246034758986,-7.42485679143703 52.1199507194422,-7.42875666393172 52.1156842749313,-7.43393284104914 52.1119679658848,-7.44018633513593 52.1089444554258,-7.44727695373972 52.1067297870161,-7.45493251084446 52.1054089475098,-7.46285924080679 52.1050326196216,-7.4707530217874 52.1056152458138,-7.47831098734657 52.1071344762551,-7.48524309143374 52.1095320216144,-7.49128319354553 52.1127158788413,-7.49619924733072 52.1165638465517,-7.49980220703963 52.1209281979899,-7.50195331124835 52.1256413354999,-7.50256946114015 52.1305222126392,-7.50162647975206 52.135383279968,-7.49916011696045 52.1400376893857,-7.49526475004632 52.1443064806426,-7.49008981842671 52.1480254729495,-7.48383412013753 52.1510515946811,-7.47673818319945 52.1532684048329,-7.46907500329618 52.1545905904897,-7.46113950657388 52.1549672639974,-7.45323714953331 52.1543839302758,-7.44567210424313 52.1528630468715,-7.43873549457927 52.1504631547647,-7.43269414697749 52.147276614277,-7.42778029740187 52.1434260352948,-7.42418265602961 52.1390595421161,-7.42203917461556 52.1343450584572,-7.4214317914759 52.129463835699)))', 'IESTB', 'STRADBALLY', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.52421935994617 54.3908390244374,-8.52509761505424 54.3859716439648,-8.52758556709727 54.3812977460672,-8.53158713190412 54.3769968504138,-8.53694821979333 54.3732340973297,-8.54346270440956 54.3701539229678,-8.5508803595033 54.3678745337002,-8.55891645635602 54.3664833882797,-8.56726265589538 54.3660338576352,-8.57559878450305 54.366543187518,-8.58360505211944 54.3679918402271,-8.59097425613291 54.3703242400353,-8.59742351500834 54.3734508944861,-8.60270509165509 54.3772518122251,-8.60661589784088 54.3815810892475,-8.60900531687045 54.3862724910975,-8.60978104121365 54.3911458202657,-8.60891269327902 54.3960138272754,-8.60643307906128 54.4006894019798,-8.60243701337407 54.4049927694314,-8.59707774870681 54.4087584129968,-8.59056113384369 54.4118414564735,-8.58313771934296 54.4141232566926,-8.57509311073982 54.4155159878554,-8.5667369429444 54.4159660376176,-8.55839090715376 54.4154560811968,-8.55037630170835 54.4140057516789,-8.54300159857952 54.4116708800705,-8.53655051649191 54.4085413351378,-8.53127107010158 54.4047375482849,-8.52736602332652 54.4004058603129,-8.52498511604309 54.3957128727225,-8.52421935994617 54.3908390244374)))', 'IESTH', 'STREEDAGH/CLOONAGH', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.59696533839111 54.6328644383304,-8.59784028740117 54.627996719627,-8.60033481710043 54.6233215226347,-8.6043525826013 54.6190184165276,-8.60973886570288 54.6152526256029,-8.6162865687805 54.612168701374,-8.62374418934812 54.6098849927392,-8.63182546647569 54.6084891229059,-8.6402203312321 54.6080346430991,-8.64860674799931 54.6085389884703,-8.65666300289169 54.6099828126651,-8.66407998025361 54.6123107259267,-8.67057296859981 54.6154334091838,-8.67589255340211 54.619231025072,-8.67983418549884 54.623557798054,-8.6822460599579 54.6282475914424,-8.68303499991406 54.6331202708053,-8.68217011171897 54.6379886124359,-8.67968405966512 54.6426654935373,-8.67567189799626 54.6469710885454,-8.67028749177973 54.650739794251,-8.66373765289929 54.6538266153917,-8.65627420899548 54.6561127620405,-8.64818430754763 54.6575102398242,-8.6397793304624 54.6579652527213,-8.63138285287039 54.6574602844219,-8.62331812032873 54.656014776116,-8.61589553913914 54.6536843739514,-8.60940067391791 54.6505587759127,-8.60408322492825 54.6467582631136,-8.6001474161716 54.6424290521195,-8.59774416602847 54.6377376507828,-8.59696533839111 54.6328644383304)))', 'IETEE', 'TEELIN', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.93102389950233 53.6033339460863,-9.93172326799978 53.5984568867565,-9.9340083829603 53.5937546648325,-9.93779096202557 53.5894078994606,-9.94292532271237 53.5855835032913,-9.94921402944357 53.5824282880864,-9.95641549973424 53.5800633468012,-9.96425327442237 53.5785794243927,-9.97242659780617 53.5780334515596,-9.98062190779928 53.5784463714409,-9.98852480481324 53.5798023405938,-9.99583205169879 53.5820493340807,-10.0022631560535 53.58510113198,-10.0075711005476 53.5888406129122,-10.0115518163324 53.5931242310192,-10.0140520384462 53.5977875079742,-10.0149752393916 53.6026513326708,-10.0142854062764 53.6075288297139,-10.0120085061199 53.6122325349995,-10.0082315706521 53.6165816035533,-10.0030994231689 53.6204087720867,-9.99680916230534 53.6235668067707,-9.98960260714703 53.6259341854098,-9.98175699098002 53.6274197919816,-9.97357426330086 53.6279664393883,-9.9653694179165 53.6275530817931,-9.95745830609423 53.6261956292768,-9.95014541561433 53.6239463326061,-9.94371209806459 53.6208917623419,-9.93840570771193 53.6171494619311,-9.93443007679898 53.612863406472,-9.93193769616095 53.6081984453557,-9.93102389950233 53.6033339460863)))', 'IETLY', 'TULLY/RENVYLE', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.12041366561614 52.1563600688051,-7.12139858340769 52.1515024979989,-7.12390478737644 52.1468564090079,-7.12783556607047 52.1426002524769,-7.13303961072634 52.1388974553921,-7.13931686803754 52.1358901611855,-7.14642623780677 52.1336937905049,-7.15409481823594 52.1323926281466,-7.16202834663923 52.1320366023335,-7.16992244145437 52.13263937734,-7.177474223586 52.1341778310511,-7.18439388197168 52.1365929371267,-7.19041575010901 52.1397920188422,-7.19530847709421 52.1436522901842,-7.19888390814639 52.1480255512127,-7.20100433492336 52.1527438607706,-7.20158783406895 52.1576259719673,-7.20061148181493 52.1624842859269,-7.19811231104622 52.1671320583306,-7.1941859624743 52.1713905822501,-7.18898307041578 52.1750960702856,-7.18270351270297 52.1781059693328,-7.17558873974692 52.1803044621801,-7.16791247593144 52.1816069409501,-7.15997015366915 52.1819632770082,-7.15206749330935 52.1813597588474,-7.14450867797546 52.1798196217218,-7.1375845894717 52.1774021482563,-7.1315615687449 52.1742003755896,-7.12667114216845 52.1703374994079,-7.1231011143053 52.1659621162144,-7.12098837091062 52.1612424902462,-7.12041366561614 52.1563600688051)))', 'IETME', 'TRAMORE', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.17328608078985 55.2667118254824,-8.17422703770431 55.2618479397321,-8.17681109690899 55.2571822960465,-8.18093845893933 55.2528940916455,-8.18645018887297 55.2491479731167,-8.1931343730129 55.2460877314773,-8.20073427779326 55.2438308022509,-8.20895819512043 55.2424637779869,-8.21749059899609 55.2420391018098,-8.22600419282236 55.2425730658478,-8.23417239626936 55.2440451893735,-8.24168180561567 55.2463989999165,-8.24824416234063 55.2495441882279,-8.25360738144554 55.2533600565883,-8.25756522319075 55.2577001313071,-8.25996523900544 55.2623977660744,-8.26071468320138 55.2672725247144,-8.25978415528371 55.2721371013094,-8.2572088210473 55.276804513893,-8.25308715166021 55.2810952959472,-8.24757721539038 55.2848444084605,-8.24089065286341 55.2879076046086,-8.23328455973077 55.2901669990708,-8.22505158620578 55.2915356239875,-8.21650863701185 55.2919607925486,-8.20798461417835 55.2914261376649,-8.19980768575922 55.289952245239,-8.19229258377464 55.2875958570407,-8.18572843339675 55.2844476747442,-8.18036759268932 55.2806288518759,-8.17641593930025 55.2762863119235,-8.17402497967841 55.2715870765057,-8.17328608078985 55.2667118254824)))', 'IETOR', 'TORY', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.67729812661185 52.2632404946635,-9.67800589595761 52.2583638159728,-9.68025014799929 52.2536655379174,-9.68394420877749 52.2493261307378,-9.68894582566846 52.2455122296171,-9.69506267834119 52.2423702501422,-9.7020597862587 52.2400207845244,-9.70966852556292 52.2385539904506,-9.71759691088179 52.2380261462612,-9.72554075321152 52.2384575018265,-9.73319527463025 52.23983150565,-9.74026674487275 52.2420954371018,-9.7464837040717 52.2451624200623,-9.75160735026058 52.2489147424671,-9.7554406992261 52.2532083570682,-9.75783616734296 52.2578783939128,-9.75870128408354 52.2627454762186,-9.75800230849904 52.2676225999731,-9.75576560116604 52.2723223149819,-9.75207668743122 52.2766639322416,-9.74707703632702 52.280480480105,-9.7409586689096 52.2836251400427,-9.73395679632041 52.285976911767,-9.72634076779482 52.2874452865069,-9.71840367842337 52.2879737452796,-9.71045104232459 52.2875419446499,-9.70278897619365 52.2861665038714,-9.69571235891059 52.2839003623378,-9.68949343393236 52.2808307326339,-9.68437130249596 52.277075729767,-9.68054271820565 52.272779809061,-9.67815453930736 52.2681081915519,-9.67729812661185 52.2632404946635)))', 'IETRA', 'TRALEE', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.10192771615512 51.5580416459833,-9.1026867210473 51.5531678639448,-9.10495603975785 51.5484800032613,-9.10864805771075 51.5441581326833,-9.11362062078547 51.5403682144608,-9.11968253945279 51.5372557455135,-9.12660095065659 51.5349401885007,-9.13411025235986 51.5335104033931,-9.14192226960182 51.5330212517046,-9.14973726760859 51.5334915009955,-9.15725539802513 51.5349031082387,-9.16418814936526 51.5372019088947,-9.17026937263686 51.5402996858666,-9.17526546779194 51.5440775407242,-9.17898434585491 51.5483904405068,-9.18128282462804 51.553072768768,-9.1820721717049 51.5579446709552,-9.18132157565231 51.5628189531945,-9.17905940268557 51.5675082713418,-9.17537217950664 51.5718323347613,-9.17040133027454 51.5756248473632,-9.16433778359996 51.578739917257,-9.15741465038683 51.5810576858129,-9.14989825155461 51.5824889563726,-9.14207784253826 51.582978641275,-9.13425443568476 51.5825078917827,-9.1267291595214 51.5810948270742,-9.11979161341018 51.5787938335752,-9.11370867630303 51.5756934622232,-9.10871420916235 51.5719130064196,-9.10500005311172 51.5675978950954,-9.10270867146466 51.5629140813837,-9.10192771615512 51.5580416459833)))', 'IEUNI', 'UNION HALL', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.3693035590883 55.2624240460414,-7.37034245723545 55.25756715155,-7.37301998186483 55.2529192832846,-7.37723275209426 55.2486589506082,-7.38281856575495 55.2449497259594,-7.38956267935802 55.241933981656,-7.39720607313312 55.2397274446248,-7.40545538166977 55.2384147743662,-7.41399411211656 55.2380463302575,-7.4224947272908 55.238636249292,-7.4306311414067 55.2401619061543,-7.4380911620497 55.2425647758782,-7.4445884137859 55.2457526669635,-7.4498732963757 55.2496032415515,-7.45374256363246 55.2539686908149,-7.4560471568571 55.2586813898293,-7.45669798841327 55.2635603184621,-7.45566944483517 55.2684180047044,-7.45300046279489 55.2730677256361,-7.44879312264358 55.2773306898431,-7.44320879986865 55.2810429242604,-7.43646201098275 55.2840615983604,-7.42881218304158 55.2862705391811,-7.42055366099838 55.2875847212667,-7.41200434037859 55.2879535550771,-7.40349337062514 55.2873628442907,-7.39534841391686 55.2858353347598,-7.38788296320126 55.2834298335034,-7.38138422059036 55.280238932649,-7.37610201329355 55.2763854282655,-7.37223918020613 55.2720175752147,-7.36994380048254 55.2673033643754,-7.3693035590883 55.2624240460414)))', 'IEURR', 'URRIS', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.3136222866934 51.9144576154047,-10.3142559014921 51.9095774148524,-10.3164164281622 51.9048674074246,-10.3200204128833 51.90050851883,-10.3249290612354 51.8966681370146,-10.3309536167771 51.8934936980727,-10.337862632937 51.8911070428139,-10.3453908560607 51.8895997574507,-10.3532493799989 51.8890296739785,-10.3611366879277 51.8894186617115,-10.3687501662778 51.8907517927277,-10.3757976593837 51.8929779124071,-10.3820086321205 51.8960115936102,-10.3871445213688 51.8997364011636,-10.3910078853575 51.9040093439882,-10.3934500021194 51.9086663471759,-10.3943766234496 51.9135285372155,-10.3937516574182 51.9184091018888,-10.3915986287413 51.9231204633725,-10.3879998497387 51.9274814898159,-10.3830933223065 51.931324467805,-10.3770674799935 51.9345015660019,-10.370153965269 51.9368905387493,-10.362618716652 51.9383994470179,-10.3547517098602 51.9389702117392,-10.3468557531565 51.9385808598849,-10.3392347768095 51.9372463748111,-10.3321820779874 51.9350181172814,-10.325968984338 51.9319818399037,-10.3208343818685 51.9282543730959,-10.3169755164482 51.9239791127842,-10.3145404251771 51.9193204866927,-10.3136222866934 51.9144576154047)))', 'IEVAL', 'VALENTIA', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.06332288043725 52.2573395513541,-7.06431654037995 52.2524826207765,-7.06683463360592 52.2478379362653,-7.07077999002885 52.2435838938448,-7.07600074007595 52.2398838385784,-7.08229618909719 52.2368798079226,-7.08942453956644 52.2346870966639,-7.09711216290017 52.2333898487543,-7.10506406770041 52.2330378420353,-7.11297516930007 52.2336445866343,-7.12054193765726 52.2351868084006,-7.12747398753986 52.2376053368351,-7.13350517685276 52.2408073643727,-7.13840379586048 52.2446699924028,-7.14198146159505 52.2490449308659,-7.14410037720738 52.2537641743587,-7.14467867431484 52.258646440053,-7.14369362596183 52.2635041228322,-7.14118259659357 52.2681505021196,-7.13724168088853 52.2724069238768,-7.13202207235958 52.2761096808084,-7.12572429186923 52.2791163241539,-7.11859049188709 52.2813111613683,-7.11089513063515 52.2826097248418,-7.10293437754017 52.2829620364498,-7.09501466434362 52.2823545396483,-7.08744083212653 52.2808106231042,-7.08050434153012 52.2783897153314,-7.07447201070705 52.2751849861282,-7.06957572317564 52.2713197454092,-7.06600350695615 52.2669426809921,-7.06389232925795 52.262222121937,-7.06332288043725 52.2573395513541)))', 'IEWAT', 'Waterford', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.50981745230917 53.8061867163942,-9.51056880091855 53.8013122019707,-9.51291180594112 53.7966180841953,-9.51675595908699 53.792284667607,-9.52195321453137 53.7884783491626,-9.52830372631962 53.7853452440733,-9.53556354617193 53.7830055949331,-9.54345398321029 53.7815491753082,-9.55167226824605 53.78103186072,-9.55990311974981 53.7814734956287,-9.56783077753545 53.7828571362315,-9.57515105419249 53.7851296973587,-9.58158295371584 53.7882039792473,-9.58687942161888 53.7919619983108,-9.59083682076975 53.7962594969716,-9.59330277162052 53.8009314629169,-9.59418205337423 53.8057984493933,-9.59344033248174 53.8106734568586,-9.59110556470055 53.8153691137349,-9.5872670042761 53.8197048811696,-9.5820718455913 53.823514004311,-9.57571961538624 53.8266499409584,-9.5684545235521 53.8289920174388,-9.56055606357745 53.8304500906449,-9.55232822607101 53.8309680333122,-9.54408774684119 53.8305259053609,-9.5361518518101 53.8291407256553,-9.52882598243506 53.82686581368,-9.52239198616103 53.8237887270935,-9.51709723668399 53.8200278764725,-9.51314510951902 53.8157279504734,-9.51068718160112 53.8110543309488,-9.50981745230917 53.8061867163942)))', 'IEWES', 'WESTPORT', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.42826265704991 52.3421198256747,-6.42932785956948 52.3372693128397,-6.43191703095614 52.3326392390896,-6.43593027480531 52.3284074352499,-6.4412131215275 52.3247363892151,-6.44756250132503 52.3217670226313,-6.45473455596679 52.3196132988632,-6.46245398800319 52.3183578658897,-6.47042459152519 52.3180488981666,-6.47834056718764 52.3186982561035,-6.48589819697617 52.3202810322519,-6.49280744171554 52.322736501347,-6.4988030268758 52.3259704387742,-6.50365459979271 52.3298587206564,-6.50717557362049 52.3342520703822,-6.50923031945758 52.3389817727269,-6.5097394270087 52.3438661393969,-6.50868282429151 52.3487174802846,-6.50610062618657 52.35334931421,-6.50209166747994 52.3575835423772,-6.49680976538604 52.3612573078104,-6.49045784588971 52.3642292748596,-6.48328015386663 52.3663850842625,-6.47555284500618 52.3676417705211,-6.46757332439342 52.3679509683779,-6.45964874892151 52.3673007823874,-6.45208414584939 52.365716246062,-6.44517061597189 52.3632583526377,-6.43917408619147 52.3600216958119,-6.43432505298046 52.3561308134652,-6.43080971653588 52.3517353781063,-6.42876284751842 52.3470044224779,-6.42826265704991 52.3421198256747)))', 'IEWEX', 'WEXFORD', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.00168007267739 52.9799642368294,-6.00281096997773 52.9751190065208,-6.00548565848798 52.9704999931672,-6.00960094531394 52.9662845980219,-6.01499843714275 52.9626346738395,-6.02147066434239 52.95969032666,-6.02876906091437 52.9575645557124,-6.03661349261784 52.956338933763,-6.04470297079958 52.95606049045,-6.05272714803951 52.9567399156319,-6.06037816463017 52.9583511501822,-6.06736240275312 52.9608323797138,-6.07341170826516 52.9640883942137,-6.07829365822035 52.9679942253064,-6.08182048526295 52.9723999246398,-6.08385631710954 52.9771363034159,-6.08432244936436 52.982021415977,-6.08320044128517 52.9868675410713,-6.08053290473484 52.9914883941662,-6.07642194378687 52.995706293925,-6.07102529317735 52.9993590062887,-6.06455029446837 53.002306000742,-6.05724593559401 53.0044338750323,-6.0493932585012 53.005660736178,-6.04129450713003 53.0059393658842,-6.03326144066149 53.0052590459156,-6.02560327210914 53.0036459716222,-6.01861470811315 53.0011622374755,-6.01256456139059 52.997903434794,-6.00768538295218 52.9939949564286,-6.00416451821374 52.9895871537542,-6.00213693175154 52.9848495357834,-6.00168007267739 52.9799642368294)))', 'IEWIC', 'WICKLOW', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.131697370707 51.8273947301737,-10.1323496085313 51.8225153344196,-10.1345251515213 51.8178085156716,-10.1381399726168 51.813455076298,-10.143054865057 51.8096221944965,-10.149080836182 51.8064570183161,-10.1559863878346 51.8040810332665,-10.1635064009634 51.8025854165588,-10.1713522848158 51.8020275530438,-10.1792230066566 51.8024288437375,-10.1868165873447 51.8037738890641,-10.1938416320528 51.8060110773455,-10.2000284642444 51.8090545564233,-10.2051394447654 51.8127875144244,-10.2089780862474 51.8170666463924,-10.2113966153173 51.8217276385262,-10.2123016903274 51.8265914627454,-10.2116580490173 51.8314712427207,-10.2094899367506 51.836179429639,-10.205880249328 51.8405350128408,-10.2009674119548 51.8443704877503,-10.1949401044238 51.8475383115418,-10.1880300283464 51.8499165956303,-10.180502991576 51.8514138127967,-10.1726486541512 51.8519723345346,-10.1647693357887 51.8515706596192,-10.1571683243737 51.8502242461208,-10.1501381459951 51.8479849140095,-10.1439492587436 51.8449388418229,-10.1388396146361 51.8412032362114,-10.1350054975824 51.8369218052059,-10.1325939921518 51.832259212615,-10.131697370707 51.8273947301737)))', 'IEWVI', 'WATERVILLE', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.80459329028597 51.9435966320094,-7.80549910289284 51.9387327762368,-7.80792237412141 51.9340715561796,-7.81176957718357 51.9297920083955,-7.81689260767613 51.9260584621798,-7.82309451433769 51.9230142444777,-7.83013707920824 51.9207761948951,-7.83774995419941 51.9194301981002,-7.84564100572888 51.919027901898,-7.85350747667512 51.9195847442864,-7.86104754649645 51.9210793635235,-7.86797185657586 51.9234544133704,-7.87401456900662 51.9266187530393,-7.87894354310319 51.930450929782,-7.88256924456973 51.9348038232973,-7.88475204678845 51.9395102769556,-7.8854076410184 51.944389502858,-7.88451034088811 51.9492540174337,-7.88209414440776 51.9539168428787,-7.8782515012997 51.9581986982298,-7.87312982175469 51.9619349028858,-7.86692585136295 51.9649817251783,-7.85987812226715 51.9672219289761,-7.8522577687616 51.9685693016505,-7.84435806296543 51.9689719859314,-7.83648307953545 51.9684144847391,-7.82893593496342 51.9669182601125,-7.8220070649335 51.9645409026971,-7.81596300156281 51.9613739045873,-7.81103609120357 51.957539123255,-7.80741555396478 51.9531840755262,-7.80524023025683 51.9484762459899,-7.80459329028597 51.9435966320094)))', 'IEYOU', 'YOUGHAL', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.4274852557033 54.1455116331425,-4.42813458166126 54.1406324748187,-4.43039228461666 54.1359214143199,-4.43417111485789 54.1315594117375,-4.43932551519932 54.127713964699,-4.44565726604621 54.124532691585,-4.452923123817 54.1221376829724,-4.46084415605603 54.1206208346775,-4.46911641644903 54.1200403379705,-4.47742255623382 54.1204184585514,-4.48544393626204 54.1217406873375,-4.49287278689528 54.12395629472,-4.49942396134492 54.126980267494,-4.50484584201073 54.1306965559257,-4.50892998855159 54.1349625091942,-4.51151916021252 54.1396143324352,-4.51251340233407 54.1444733594632,-4.511873956539 54.1493529034401,-4.50962483388484 54.154065424571,-4.50585197781114 54.1584297403969,-4.50070003599005 54.1622780011204,-4.49436685372692 54.1654621600029,-4.48709589252136 54.1678596871355,-4.47916686177966 54.1693783032795,-4.47088492551626 54.1699595480254,-4.46256890555885 54.1695810417907,-4.45453894522462 54.1682573523707,-4.44710412042681 54.1660394317427,-4.44055048746581 54.1630126452829,-4.43513003822596 54.1592934710832,-4.43105099512466 54.1550249992965,-4.42846982196343 54.1503714082084,-4.4274852557033 54.1455116331425)))', 'IMDGS', 'DOUGLAS', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.65739949514043 54.2335934713197,-4.65802286956331 54.2287133393114,-4.66025892270046 54.2239981998071,-4.66402123181994 54.2196291707859,-4.66916486906843 54.2157740204457,-4.67549202319743 54.2125807399402,-4.68275962309351 54.2101718805146,-4.69068866689701 54.2086398689631,-4.69897490005618 54.2080434776358,-4.70730043863663 54.2084055813327,-4.71534590167699 54.209712284945,-4.72280259903544 54.2119134543524,-4.72938431934652 54.2149246306404,-4.73483827642731 54.2186302559521,-4.73895480145416 54.2228880900093,-4.74157541186084 54.2275346512634,-4.74259894519153 54.232391477381,-4.74198551564254 54.2372719678282,-4.73975813080973 54.2419885479885,-4.73600189375535 54.2463598805565,-4.73086080791524 54.2502178466403,-4.72453229610715 54.2534140264153,-4.71725963613671 54.2558254272485,-4.70932260021295 54.2573592354391,-4.7010266596161 54.2579564051145,-4.69269117615189 54.257593942978,-4.68463704480224 54.2562857987078,-4.67717427538153 54.2540823257518,-4.67059000367106 54.251068333719,-4.66513740427923 54.2473598091384,-4.6610259393317 54.2430994336755,-4.65841332104243 54.2384510757843,-4.65739949514043 54.2335934713197)))', 'IMPEL', 'PEEL', 'Y'),('SRID=4326;MULTIPOLYGON(((72.9503630111371 18.9102928860258,72.9499161082381 18.9053923244929,72.9484733239246 18.9006689021142,72.946090181959 18.8963041224378,72.9428583224168 18.8924656928376,72.9389019713245 18.8893010839797,72.9343731625695 18.8869318683877,72.9294458963253 18.8854490547973,72.9243094583197 18.8849095966405,72.9191611557723 18.885334207948,72.9141987476264 18.8867065699083,72.9096128580623 18.8889739581838,72.9055796628282 18.8920492668461,72.9022541276407 18.8958143514855,72.8997640571722 18.9001245636712,72.8982051826712 18.9048143033782,72.8976374771225 18.9097033769631,72.8980828404514 18.9146039172597,72.8995242452477 18.9193276005724,72.9019063777681 18.9236928836284,72.9051377516158 18.9275319824187,72.9090942147072 18.9306973243993,72.9136237161039 18.9330672254351,72.9185521501843 18.9345505724379,72.923690053428 18.9350903307684,72.928839895546 18.9346657406972,72.9338036832093 18.9332931178027,72.9383905822185 18.9310252261474,72.9424242631466 18.9279492482948,72.9457496863346 18.9241834305329,72.948239064161 18.9198725329035,72.949796770826 18.9151822597843,72.9503630111371 18.9102928860258)))', 'INMRA', 'Mora', 'Y'),('SRID=4326;MULTIPOLYGON(((60.6705720077712 25.2924382200071,60.6701357088297 25.2875396050753,60.6686566892964 25.2828124938072,60.6661918993736 25.27843852437,60.6628361411143 25.2745857454319,60.6587184128561 25.2714021643202,60.6539969460734 25.2690100672114,60.6488531262531 25.26750132841,60.6434845311558 25.2669338876615,60.6380973526585 25.2673295296685,60.6328984911816 25.2686730502162,60.6280876237383 25.2709128404544,60.6238495475301 25.2739628668805,60.6203470907313 25.2777059714346,60.6177148610033 25.2819983658089,60.6160540710779 25.2866751484707,60.615428640477 25.2915566337004,60.6158627244941 25.2964552506467,60.6173397676129 25.301182748215,60.6198031205222 25.3055574294276,60.6231581999411 25.3094111372547,60.6272761108798 25.3125957229544,60.6319985940525 25.3149887474106,60.6371441092361 25.3164981951388,60.6425148205665 25.3170660184654,60.647904213989 25.3166703744438,60.6531050518808 25.3153264675956,60.6579173563376 25.3130859655818,60.6621561113853 25.3100350102664,60.6656583855028 25.3062909011243,60.6682895988404 25.3019975794029,60.6699486934026 25.2973200878148,60.6705720077712 25.2924382200071)))', 'IRZBR', 'Chah-Bahar', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.0656069956785 65.6878491771612,-18.0673174026463 65.6830154278284,-18.0712813764798 65.6784120265314,-18.0773455907077 65.6742157082843,-18.0852763986645 65.6705874997355,-18.0947689034416 65.6676665668531,-18.1054586927083 65.6655649069884,-18.1169357849075 65.6643630832111,-18.1287602597788 65.6641071590439,-18.1404789914899 65.6648069467489,-18.151642867467 65.6664356336961,-18.1618238606158 65.6689308006529,-18.1706313271127 65.6721967946892,-18.1777269263356 65.6761083694091,-18.1828376036284 65.6805154580093,-18.1857661400741 65.6852489018105,-18.1863988554712 65.6901269199599,-18.1847101498347 65.6949620763999,-18.1807636827312 65.6995684792519,-18.174710115393 65.7037689365436,-18.1667814735874 65.7074017914958,-18.157282324436 65.7103271707679,-18.1465780918064 65.7124324000854,-18.1350809561249 65.7136363729601,-18.1232338890959 65.7138926986877,-18.1114934560134 65.713191503872,-18.1003120732968 65.7115598153635,-18.0901204332851 65.7090605093566,-18.0813108006842 65.7057898689156,-18.0742218458756 65.7018738478096,-18.0691256119552 65.6974631897631,-18.0662171189652 65.6927275968698,-18.0656069956785 65.6878491771612)))', 'ISAKU', 'Akureyri', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.4719307014039 65.96600808931,-18.4735841599269 65.9611698250227,-18.4775193682854 65.9565559852282,-18.483584069642 65.9523437071335,-18.4915445675474 65.9486946296464,-18.5010948025105 65.9457487176962,-18.5118681347609 65.9436189240548,-18.523451377378 65.94238688764,-18.5354005492032 65.9420998277127,-18.5472577612349 65.9427687485552,-18.5585686141312 65.944368020715,-18.5688994683036 65.9468363542839,-18.5778539519748 65.9500791285673,-18.5850880965068 65.9539719924917,-18.5903235321294 65.9583656028024,-18.5933582405681 65.9630913241072,-18.5940744431872 65.9679676776601,-18.592443302752 65.9728072959076,-18.5885262315496 65.9774241185477,-18.5824727252023 65.9816405542636,-18.574514775815 65.9852943311886,-18.5649580548792 65.9882447689467,-18.5541701895867 65.9903782257524,-18.5425665793796 65.9916125050026,-18.5305943062031 65.9919000459838,-18.518714776041 65.9912297711775,-18.5073857859772 65.9896275161655,-18.4970437368224 65.9871550249697,-18.4880867046822 65.983907551247,-18.4808590461656 65.9800101615182,-18.4756381435964 65.9756128880499,-18.4726238027209 65.9708849239153,-18.4719307014039 65.96600808931)))', 'ISDAL', 'DALVIK', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9559428556683 65.0705997785725,-13.9572677619099 65.0657456352162,-13.9608099790376 65.0610937892645,-13.9664323889909 65.0568228569589,-13.9739182834618 65.0530967481819,-13.9829797890411 65.0500584009368,-13.9932689591493 65.0478243269754,-14.004391102238 65.0464801723171,-14.0159198407296 65.0460774575099,-14.0274133385247 65.0466316181334,-14.038431097374 65.0481214177612,-14.0485507043198 65.0504897550186,-14.0573839139257 65.0536458350846,-14.0645914701076 65.057468625643,-14.0698961129157 65.0618114694972,-14.0730932751915 65.0665076824325,-14.0740590518694 65.0713769269887,-14.0727551194424 65.0762321220478,-14.06923039266 65.0808866258783,-14.0636193268395 65.0851614176019,-14.0561369032431 65.088891999776,-14.0470704668619 65.0919347533635,-14.0367687149368 65.0941724957862,-14.0256282544808 65.0955190225338,-14.0140782517289 65.0959224519277,-14.0025637800801 65.0953672395987,-13.9915285308715 65.0938747820864,-13.9813975798123 65.0915025854057,-13.9725608993733 65.0883420319406,-13.9653582740323 65.0845148350425,-13.960066213055 65.0801683227327,-13.9568873681271 65.0754697377136,-13.9559428556683 65.0705997785725)))', 'ISESK', 'ESKIFJOERDUR', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.2012981963429 64.9258787696236,-23.2020273144824 64.9210027408726,-23.2049833282678 64.9162807270686,-23.2100515846707 64.9118940689137,-23.2170365659659 64.9080111433101,-23.2256695165784 64.9047809231858,-23.2356188203841 64.9023272899197,-23.2465027223725 64.9007443112578,-23.2579039092711 64.9000926603411,-23.2693854025123 64.9003973083174,-23.2805071746203 64.901646575548,-23.290842877139 64.9037925762341,-23.2999960647785 64.9067530400133,-23.3076153165374 64.9104144433323,-23.3134076900252 64.9146363348296,-23.3171499997159 64.9192566941444,-23.3186974827408 64.9240981240831,-23.3179895058644 64.9289746433829,-23.3150520726037 64.9336988227842,-23.3099970072754 64.9380889918935,-23.303017819381 64.9419762392989,-23.2943823824949 64.9452109341177,-23.2844226912447 64.9476685137392,-23.2735220820306 64.9492543096194,-23.2621004116508 64.9499072197201,-23.2505977771051 64.9496020811935,-23.2394574244504 64.9483506483606,-23.2291085308672 64.9462011367142,-23.2199495498633 64.9432363511303,-23.2123327844193 64.9395704731182,-23.2065507983981 64.9353446352706,-23.2028251959231 64.9307214587432,-23.2012981963429 64.9258787696236)))', 'ISGRF', 'GRUNDARFJOERDUR', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.8760746906507 64.0673539234923,-21.8770156243612 64.0624843773104,-21.8801069821993 64.0577887404116,-21.885229007927 64.0534473337678,-21.8921842098812 64.049626795367,-21.900705049662 64.0464737068449,-21.9104642616474 64.0441089968572,-21.9210874011148 64.0426233307327,-21.9321671431862 64.0420736579997,-21.9432787969025 64.0424810456589,-21.9539964593124 64.0438298771769,-21.9639092139671 64.0460684466853,-21.9726367768299 64.0491109264463,-21.9798440103499 64.0528406349306,-21.9852537631317 64.0571144844859,-21.9886575478684 64.0617684431782,-21.9899236432119 64.0666238065165,-21.9890022947377 64.0714940429034,-21.9859277941226 64.0761919531254,-21.9808173312486 64.0805368701188,-21.9738666374365 64.084361621478,-21.9653425647554 64.0875189841827,-21.9555728709992 64.0898873788716,-21.9449335966417 64.0913755792524,-21.9338345229542 64.0919262499781,-21.9227032839664 64.0915181721121,-21.9119687643172 64.0901670672661,-21.9020444468209 64.087924987403,-21.8933123758494 64.0848782946812,-21.886108375265 64.081144312016,-21.8807091042703 64.0768667777644,-21.8773214544116 64.0722102848209,-21.8760746906507 64.0673539234923)))', 'ISHAF', 'Hafnarfjordur', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.4931566948806 64.0335951429481,-22.4939889183801 64.0287220226011,-22.4969726537759 64.0240136836195,-22.5019922705682 64.0196509403354,-22.5088541946882 64.0158012544623,-22.5172944493692 64.0126123295012,-22.5269888412826 64.0102064707363,-22.5375653943176 64.0086759220707,-22.5486185570499 64.0080793533076,-22.5597246512119 64.0084396280027,-22.5704579881867 64.0097429342729,-22.5804070591633 64.0119393105339,-22.5891902022992 64.0149445467286,-22.5964701670462 64.0186433908122,-22.601967031549 64.0228939417572,-22.605468983316 64.0275330657156,-22.6068405454561 64.0323826328173,-22.6060279193765 64.0372563398518,-22.6030612180115 64.0419668601235,-22.5980534785878 64.0463330472196,-22.5911964669503 64.0501869151385,-22.5827534119777 64.0533801237013,-22.5730489333099 64.0557897154839,-22.5624565426708 64.057322878264,-22.5513842026186 64.0579205442623,-22.5402585110012 64.057559682878,-22.529508139978 64.0562541953131,-22.5195471916433 64.054054375235,-22.5107591360575 64.0510449569919,-22.5034819716375 64.0473418293081,-22.4979951939068 64.0430875453501,-22.4945090797334 64.0384458072823,-22.4931566948806 64.0335951429481)))', 'ISHEL', 'HELGUVIK', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.065649801658 66.076833344477,-23.066433908335 66.0719585155144,-23.0695444599478 66.0672394219264,-23.0748607601558 66.062857284025,-23.0821776878519 66.0589802930728,-23.0912137038115 66.0557571800613,-23.1016217233114 66.0533115395399,-23.1130024290004 66.0517371206336,-23.1249195164144 66.0510942600514,-23.1369163014859 66.0514075887585,-23.148533075977 66.0526650966145,-23.1593245733012 66.0548185892326,-23.1688769038307 66.0577855202091,-23.1768233355086 66.0614521313071,-23.1828583323005 66.0656777847587,-23.1867493194295 66.0703003271527,-23.1883457198544 66.075142284959,-23.18758489992 66.0800176590711,-23.1844947716721 66.0847390611817,-23.1791929221847 66.0891249195285,-23.1718822725711 66.0930064764462,-23.162843406265 66.0962343058172,-23.1524238419185 66.0986840950689,-23.1410246544749 66.1002614634682,-23.129084962081 66.1009056252713,-23.1170648902171 66.100591751413,-23.1054276923349 66.0993319350285,-23.0946217443026 66.0971747219583,-23.0850631357349 66.0942032250129,-23.0771195544532 66.090531897557,-23.0710961025343 66.086302095381,-23.0672235971472 66.0816766035007,-23.065649801658 66.076833344477)))', 'ISISA', 'ISARFJOERDUR', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.5101896699347 64.0176017165912,-22.511018482949 64.0127284969114,-22.5139976745678 64.008019809662,-22.5190117897985 64.0036564827888,-22.5258674663157 63.9998060006696,-22.5343009671468 63.9966160976138,-22.5439883576397 63.9942091166421,-22.5545579294337 63.9926773448499,-22.5656043978377 63.9920794990179,-22.5767043402857 63.9924384916645,-22.5874323032403 63.9937405599885,-22.5973769835149 63.9959357897508,-22.6061568876706 63.9989400147162,-22.6134348899208 64.0026380214918,-22.6189311446912 64.0068879410774,-22.62243386423 64.0115266638205,-22.623807543695 64.0163760752948,-22.6229983046897 64.0212498783847,-22.6200361313207 64.0259607428893,-22.6150338877101 64.0303275093966,-22.6081831288346 64.0341821698767,-22.5997468429933 64.0373763539032,-22.5900493888232 64.0397870667161,-22.5794640067848 64.04132145308,-22.5683983885379 64.0419203981682,-22.5572788720454 64.0415608221101,-22.5465338908234 64.040256576526,-22.5365773389391 64.0380579071246,-22.5277925171742 64.0350495037957,-22.5205172999696 64.0313472160509,-22.5150311088941 64.0270935646288,-22.5115441995892 64.0224522273192,-22.5101896699347 64.0176017165912)))', 'ISKEF', 'KEFLAVIK', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.8929050250153 64.1503607908872,-21.8938457104066 64.1454911914919,-21.8969433443822 64.1407952410594,-21.9020779227639 64.1364532722625,-21.9090514665756 64.1326319440429,-21.9175957302032 64.1294778675382,-21.9273825484393 64.1271120084478,-21.9380364190842 64.1256250754044,-21.9491488420089 64.1250740659646,-21.9602938775241 64.1254800981366,-21.9710443473692 64.126827607468,-21.9809880810741 64.1290649392448,-21.9897436090374 64.13210631394,-21.996974721408 64.1358350933397,-22.0024033485994 64.14010822642,-22.0058202745855 64.1447617096394,-22.0070932672857 64.1496168574418,-22.0061723000237 64.1544871468785,-22.0030916422596 64.1591853767099,-21.9979687137011 64.1635308672464,-21.9909997197415 64.1673564233945,-21.982452213314 64.1705147903534,-21.972654853305 64.1728843492404,-21.9619847468 64.1743738281614,-21.9508528656932 64.1749258419719,-21.9396881120131 64.1745191197567,-21.9289206659399 64.1731693310216,-21.9189652824239 64.1709284774999,-21.9102052046424 64.1678828748739,-21.9029773351074 64.1641498050217,-21.8975592497055 64.1598729721497,-21.8941585595673 64.1552169430578,-21.8929050250153 64.1503607908872)))', 'ISREY', 'Reykjavik', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.5794131203554 65.7454486531766,-19.5808442208028 65.7405985446315,-19.5845472219509 65.7359563939971,-19.5903787790132 65.7317004370845,-19.5981141233596 65.7279939993683,-19.6074558008528 65.7249792542791,-19.6180451310873 65.7227717995226,-19.6294759430481 65.7214562537881,-19.6413100667669 65.7210830371504,-19.6530940034571 65.7216664540191,-19.6643761589996 65.7231841492028,-19.6747240078615 65.7255779571215,-19.6837405566519 65.7287561130223,-19.6910794985831 65.7325967448569,-19.6964584919421 65.7369525168563,-19.6996700569611 65.7416562523967,-19.7005896654271 65.7465273260204,-19.6991806946696 65.7513785839191,-19.6954960300669 65.7560235301321,-19.6896762248363 65.760283503248,-19.6819442584928 65.763994566363,-19.6725970708935 65.7670138418718,-19.6619941812981 65.7692250423528,-19.6505438250085 65.7705429788626,-19.6386871474446 65.7709168673515,-19.6268810810216 65.770332301126,-19.6155805889191 65.7688118103575,-19.6052209882483 65.7664139862297,-19.5962010615014 65.7632312049282,-19.5888676297194 65.759386042677,-19.5835021957356 65.7550265249595,-19.5803101750228 65.7503203986495,-19.5794131203554 65.7454486531766)))', 'ISSAU', 'SAUOARKROKUR', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9505210140272 65.2595971187702,-13.951856671908 65.2547431602584,-13.9554254173449 65.2500915975111,-13.9610890971793 65.2458210345367,-13.9686294071234 65.2420953650933,-13.9777563797472 65.2390575080829,-13.9881195573054 65.23682395425,-13.9993214157217 65.2354803278358,-14.010932530626 65.2350781279488,-14.0225079194278 65.235632770062,-14.0336039556979 65.2371229997979,-14.0437952339682 65.2394917005915,-14.0526907645884 65.242648065574,-14.0599488994818 65.2464710536953,-14.0652904303911 65.2508140023386,-14.0685093610949 65.2555102250615,-14.0694809333601 65.260379385179,-14.0681665817143 65.2652344051459,-14.0646156023688 65.2698886494122,-14.0589634437589 65.2741631057339,-14.0514266561662 65.2778932876271,-14.0422946707653 65.2809355892109,-14.0319187084426 65.283172843094,-14.0206982396359 65.2845188617348,-14.0090655219828 65.284921781829,-13.9974688269057 65.2843660782579,-13.9863550245298 65.2828731669972,-13.9761522250548 65.2805005728508,-13.9672531721259 65.2773396954165,-13.9600000500499 65.2735122627246,-13.9546713039194 65.2691656140369,-13.9514709835861 65.2644669990929,-13.9505210140272 65.2595971187702)))', 'ISSEY', 'SEYDISFJOERDUR', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.309507813827 63.8501319191271,-21.3105396815973 63.8452659913609,-21.3137017991768 63.8405823566893,-21.3188717194129 63.8362608715711,-21.3258501394201 63.832467407268,-21.3343686544175 63.829347506114,-21.3441001066178 63.8270208246514,-21.3546711264085 63.8255765716752,-21.3656763887296 63.8250701109913,-21.376694050774 63.8255208547536,-21.3873017987565 63.8269115251774,-21.3970929119454 63.8291888118354,-21.4056917516116 63.8322654002867,-21.4127681010298 63.8360232971067,-21.4180498199845 63.8403183281394,-21.4213333329647 63.8449856425829,-21.4224915435808 63.8498460169217,-21.4214788573609 63.8547127212009,-21.4183330989505 63.8593986870208,-21.4131742249701 63.8637237030274,-21.4061998566102 63.8675213604144,-21.397677781818 63.8706454784892,-21.3879357003199 63.8729757587211,-21.3773485999396 63.874422444434,-21.3663242538637 63.874929801459,-21.3552874102354 63.8744782811818,-21.3446633030692 63.873085279605,-21.3348611436375 63.8708044620535,-21.3262582523569 63.8677236805162,-21.3191854627671 63.8639615667774,-21.3139143731248 63.8596629369801,-21.3106469407213 63.8549931898048,-21.309507813827 63.8501319191271)))', 'ISTLH', 'Thorlakshofn', 'Y'),('SRID=4326;MULTIPOLYGON(((15.16444973619 37.5499603876197,15.1638347470737 37.5450762320569,15.1620350284623 37.5403814291788,15.1591199357923 37.536056345929,15.1552016228302 37.5322671160847,15.1504307121891 37.5291592675161,15.144990500342 37.5268521433351,15.1390899208208 37.5254343292466,15.1329555349172 37.5249602607562,15.1268228546519 37.5254481388785,15.1209273269749 37.5268792332876,15.1154953203937 37.5291985992974,15.1107354551452 37.5323171815417,15.1068306056287 37.5361152246959,15.103930879461 37.540446861925,15.1021478419159 37.5451457068019,15.1015502087471 37.550031235877,15.1021611759042 37.5549157183823,15.1039574932456 37.5596114279451,15.1068703231472 37.5639378595876,15.1107878563287 37.567728674252,15.1155595888918 37.5708381027939,15.1210020992338 37.5731465615645,15.1269061038981 37.5745652616797,15.1330445201458 37.5750396327443,15.1391812223722 37.5745514276793,15.14508015132 37.5731194265848,15.1505144206688 37.5707987121819,15.1552750656959 37.5676785451171,15.1591790932884 37.5638789219899,15.1620765209603 37.5595459501718,15.1638561333632 37.5548462192688,15.16444973619 37.5499603876197)))', 'ITACL', 'ACI CASTELLO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1924555752376 37.5639529143109,15.1918386401885 37.5590689214219,15.1900368268028 37.5543745620833,15.1871195710075 37.5500501860443,15.1831991095712 37.5462618997835,15.1784261474495 37.5431551948358,15.1729840596685 37.5408493703486,15.1670818515477 37.5394329621246,15.1609461466886 37.5389603517413,15.1548125075913 37.5394496843159,15.148916417946 37.5408821737839,15.1434842678663 37.5432028219967,15.1387246832287 37.5463225244352,15.1348205278703 37.5501214828002,15.1319218830156 37.5544537951019,15.1301402726881 37.5591530489263,15.1295443580711 37.5640387050098,15.1301572692795 37.5689230275666,15.1319556815705 37.5736182962157,15.1348706768026 37.5779440227737,15.1387903623579 37.5817338951579,15.1435641514019 37.5848421803606,15.1490085430176 37.5871493386548,15.1549141811477 37.5885666311776,15.1610539200027 37.589039541725,15.1671915829428 37.5885498794823,15.1730910736836 37.5871164807033,15.1785254843256 37.5847944819708,15.1832858448421 37.5816731934087,15.1871891732762 37.5778726547889,15.1900855142954 37.5735390086808,15.1918636946145 37.5688388705583,15.1924555752376 37.5639529143109)))', 'ITACT', 'ACI TREZZA', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9661936406868 41.3333029612453,13.9656330449208 41.3284161952287,13.9638186296139 41.3237057435592,13.9608203621231 41.3193525727648,13.9567536298492 41.3155238887457,13.9517747808275 41.3123667239404,13.9460751054209 41.3100023024256,13.939873491883 41.3085213971469,13.9334080369914 41.3079808553018,13.9269269307445 41.3084014233225,13.9206789601632 41.3097669535934,13.9149039908243 41.3120250227842,13.9098237855073 41.3150889383696,13.9056335072421 41.3188410574488,13.9024942294511 41.3231372922502,13.900526739457 41.3278126315181,13.8998068744548 41.3326874680022,13.900362572541 41.3375744909891,13.9021727573693 41.3422858804784,13.9051681056342 41.3466405271679,13.909233674361 41.3504710004658,13.9142132926544 41.3536299955322,13.9199155530374 41.3559960096498,13.9261211737176 41.3574780274133,13.932591447866 41.3580190322595,13.9390774517955 41.3575982072684,13.9453296528568 41.3562317391769,13.9511075414205 41.3539721940902,13.9561889102821 41.3509064892257,13.9603784192728 41.3471525398856,13.963515112086 41.3428547124822,13.9654785949388 41.3381782607302,13.9661936406868 41.3333029612453)))', 'ITAEL', 'Castel Volturno', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0157122588115 40.3500001820987,15.0150826143038 40.3451175989307,15.0132203164657 40.3404227940358,15.0101971553596 40.3360961297072,15.0061294582468 40.3323037928667,15.0011735966116 40.3291914214406,14.9955199690225 40.3268785227014,14.9893856922397 40.3254538957766,14.9830062802122 40.324972231946,14.9766266272874 40.3254520214373,14.970491637002 40.3268748458687,14.9648368505309 40.3291860830732,14.9598794288791 40.3322969976708,14.9558098302233 40.3360881383375,14.9527844987801 40.3404139131514,14.9509198449248 40.3451081694787,14.9502877490655 40.3499905662632,14.9509127654617 40.3548734957974,14.9527711385765 40.3595692902964,14.9557916758509 40.3638974368086,14.9598584494784 40.3676915227636,14.9648152285676 40.3708056439483,14.9704714748763 40.3731200267052,14.9766096729684 40.3745456459783,14.9829937119108 40.3750276594118,14.9893779929497 40.3745475235539,14.9955169079593 40.3731237095178,15.0011743182611 40.3708109901289,15.0061326633957 40.3676983264164,15.0102013445951 40.3639054359916,15.0132240573175 40.3595781771607,15.0150847898645 40.3548829284857,15.0157122588115 40.3500001820987)))', 'ITAGP', 'AGROPOLI', 'Y'),('SRID=4326;MULTIPOLYGON(((8.35081159778151 40.5591890388083,8.35022833220806 40.5543033192114,8.34840679982024 40.5495982454309,8.34541723021272 40.5452545770476,8.34137466700764 40.5414391558845,8.33643452310318 40.5382985069966,8.33078659926378 40.5359532229196,8.32464779725663 40.5344933446893,8.31825380647391 40.5339749148155,8.31185008016651 40.5344178326759,8.30568244296225 40.5358050933758,8.29998768453018 40.5380834387807,8.29498449472161 40.5411653960737,8.29086508326036 40.544932626726,8.28778780240989 40.5492404590826,8.28587105471475 40.5539234326673,8.28518872096019 40.558801643472,8.28576728735715 40.5636876484069,8.28758478744944 40.568393664976,8.29057160552255 40.5727387900676,8.29461311685075 40.5765559600884,8.29955406867512 40.5796983837355,8.30520453723328 40.5820451982823,8.31134723334794 40.5835061296926,8.31774587478415 40.5840249751194,8.32415430027065 40.5835817719208,8.33032596977161 40.5821935684315,8.33602347973713 40.5799137663175,8.34102772142007 40.5768300601666,8.34514632495882 40.5730610547553,8.34822106108936 40.5687516919296,8.35013391467793 40.5640676651657,8.35081159778151 40.5591890388083)))', 'ITAHO', 'ALGHERO', 'Y'),('SRID=4326;MULTIPOLYGON(((8.20164614366967 44.0002473416686,8.2010458984862 43.995363611049,8.19913758239541 43.9906582300274,8.19599480469922 43.9863119635789,8.19173852787334 43.9824917430388,8.18653239063322 43.979344265226,8.18057640846028 43.9769903720187,8.17409929530728 43.9755204237818,8.16734970029191 43.9749908418176,8.16058669218488 43.9754219504478,8.15406985130919 43.9767972000929,8.14804934237308 43.9790638005806,8.14275634240256 43.9821347407506,8.13839418530841 43.9858921181184,8.13513055905218 43.99019165278,8.13309105355365 43.9948682146702,8.13235430846959 43.999742154399,8.13294895121676 44.0046261966627,8.13485244895657 44.0093326329126,8.13799192593701 44.0136805375249,8.14224692218669 44.0175027297689,8.147453993947 44.0206522126517,8.15341298346505 44.0230078390413,8.15989471894742 44.0244789847113,8.16664984756838 44.025009046061,8.17341845811523 44.0245776257864,8.1799401173435 44.0232013209121,8.18596392699412 44.0209330822597,8.19125820753748 44.0178601703854,8.19561943010793 44.0141007879479,8.19888004901744 44.0097995201048,8.20091493218784 44.0051217607824,8.20164614366967 44.0002473416686)))', 'ITALS', 'ALASSIO', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6328492583047 40.6331091056444,14.6322448532275 40.6282247709762,14.6304015543773 40.6235240996125,14.627390427079 40.6191876804932,14.6233273415686 40.6153820757479,14.6183684967549 40.6122534326024,14.6127044090079 40.6099218822363,14.6065525982592 40.6084769385298,14.6001492513258 40.6079740711999,14.5937401794063 40.6084325830353,14.5875714120871 40.6098348714584,14.5818797832017 40.6121271022855,14.5768838641632 40.6152212702003,14.5727755879288 40.6189985680188,14.5697128819011 40.6233139371954,14.5678135915315 40.6280016269971,14.5671509292314 40.6328815510425,14.5677506268607 40.6377661989313,14.5695899063781 40.6424678387315,14.5725983143654 40.6468057340673,14.5766603945773 40.6506130980689,14.581620101153 40.6537435156796,14.5872867865278 40.6560765855736,14.5934425353048 40.6575225625362,14.599850561138 40.6580258195463,14.6062643405079 40.6575669944899,14.6124371271611 40.6561637376297,14.6181314753565 40.6538700305854,14.623128399691 40.650774103414,14.6272358141608 40.6469950311305,14.6302959225597 40.6426781424267,14.6321912749018 40.6379894193696,14.6328492583047 40.6331091056444)))', 'ITAMA', 'AMALFI', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0991360129112 39.132701370746,16.098442671477 39.1278243979872,16.0965412787448 39.1231464586277,16.0935051079845 39.1188472643856,16.0894509687245 39.1150919469144,16.0845346979303 39.1120247246725,16.0789451654555 39.1097633753308,16.072897024997 39.1083947239196,16.0666224877314 39.1079713179369,16.060362431323 39.1085094154152,16.0543571810079 39.1099883621393,16.0488373112914 39.1123513816462,16.0440148160956 39.1155077482121,16.0400749819787 39.1193362606653,16.037169273687 39.1236898854578,16.0354095045159 39.1284013927789,16.0348635168461 39.1332897712926,16.0355525422567 39.1381671767835,16.0374503476304 39.1428461488296,16.0404842058401 39.1471468184962,16.0445376594225 39.1509038295096,16.0494549758007 39.1539727055853,16.0550471259408 39.1562354172708,16.0610990576306 39.1576049321314,16.0673779825123 39.1580285712165,16.0736423549465 39.1574900410059,16.0796511926209 39.1560100615944,16.0851733748869 39.1536455666623,16.089996555758 39.150487506554,16.0939353442887 39.1466573402674,16.0968384349142 39.1423023531317,16.0985944128552 39.1375899823619,16.0991360129112 39.132701370746)))', 'ITAMT', 'AMANTEA', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6502304847896 41.4506839382168,12.6497680896711 41.4457932700806,12.648046652562 41.4410644326068,12.6451325763668 41.4366791049779,12.6411380253711 41.4328057329066,12.6362165878216 41.4295930675414,12.6305573615319 41.4271644643115,12.6243776916168 41.425613158479,12.6179148387125 41.4249986965292,12.6114168947222 41.4253446583585,12.6051332901003 41.4266377562053,12.5993052512105 41.4288283441768,12.5941565679841 41.4318323189623,12.5898850209318 41.4355343397661,12.5866547928362 41.4397922455559,12.5845901548613 41.4444425021804,12.5837706703672 41.4493064724657,12.5842281038405 41.4541972705299,12.5859451588035 41.4589269385305,12.5888560994936 41.4633136708449,12.5928492389773 41.4671888079101,12.5977712038986 41.4704033298732,12.6034328161568 41.472833598655,12.6096163673953 41.4743861254278,12.6160840060817 41.4750011778292,12.6225869117201 41.4746550860717,12.6288748984895 41.4733611576975,12.6347060728839 41.4711691650396,12.6398561676196 41.4681634252598,12.6441271872973 41.4644595478582,12.6473550294228 41.4601999765173,12.6494157860749 41.4555484989532,12.6502304847896 41.4506839382168)))', 'ITANZ', 'ANZIO', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0652355351138 39.3497093970254,16.064542052611 39.3448323984386,16.0626367017798 39.3401541271067,16.0595929104179 39.3358543072206,16.0555277826358 39.3320980939362,16.050597578453 39.3290297394235,16.0449917028745 39.3267670640869,16.0389254363266 39.3253969431884,16.0326316844111 39.3249719801358,16.0263520605525 39.3255084924863,16.0203276392108 39.3269858869245,16.0147897292028 39.329347446924,16.0099510159979 39.3325025033881,16.0059974086256 39.3363299062055,16.0030809014249 39.3406826652498,16.0013137240092 39.3453935847072,16.0007640056033 39.3502816763962,16.001453123807 39.3551591074378,16.0033548446852 39.3598384164451,16.0063962930676 39.3641397212508,16.0104607215412 39.3678976406333,16.0153919765504 39.3709676626849,16.021000493112 39.3732317131334,16.027070588734 39.3746027073684,16.0333687748727 39.3750279090242,16.0396527630327 39.3744909642185,16.0456808143281 39.3730125321042,16.0512210673146 39.3706494871846,16.0560604798257 39.367492724622,16.0600130363693 39.3636636542661,16.062926902586 39.3593095201105,16.0646902509287 39.3545977273173,16.0652355351138 39.3497093970254)))', 'ITAOA', 'PAOLA', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((13.5344265969185 43.6334466360478,13.5338837049795 43.6285598855993,13.5320389505813 43.6238439432917,13.5289634994181 43.6194799840515,13.5247757295599 43.6156356226075,13.5196366533897 43.6124584858246,13.5137437180902 43.6100705561852,13.507323224706 43.608563501259,13.5006216560524 43.6079951660404,13.4938962430011 43.608387360668,13.4874051258355 43.6097250269295,13.4813974817072 43.6119568148768,13.4761039903678 43.6149970477051,13.4717279982833 43.6187290006655,13.468437716277 43.623009370065,13.4663597486816 43.6276737631374,13.4655742036475 43.6325430004261,13.4661115761912 43.6374299907885,13.467951529592 43.6421469164628,13.471023629064 43.6465124528141,13.4752100068017 43.6503587450129,13.4803498623607 43.6535378722545,13.4862456299041 43.6559275490272,13.4926705772042 43.6574358417757,13.4993775433772 43.6580047170585,13.5061084758273 43.6576122825167,13.5126043939919 43.6562736328877,13.5186153898105 43.6540402678284,13.5239102732672 43.6509981042449,13.5282854859594 43.647264160826,13.5315729357201 43.6429820442941,13.5336464494006 43.6383164134002,13.5344265969185 43.6334466360478)))', 'ITAOI', 'ANCONA', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0496319015633 40.1829906097199,15.049001376063 40.178108070229,15.0471413177992 40.1734136741106,15.0441234287194 40.1690877681272,15.0400638319561 40.1652965104528,15.0351185869278 40.1621854980938,15.0294776843093 40.1598741867191,15.0233577527996 40.1584513150571,15.0169937567295 40.1579715074223,15.0106300001402 40.1584531830103,15.0045107779373 40.1598778510247,14.9988710273859 40.1621908182736,14.9939273331998 40.1653032824985,14.9898696267961 40.1690957322727,14.9868538952881 40.1734225247417,14.9849961791831 40.1781174675606,14.9843680906141 40.1830001928019,14.9849940277204 40.1878830798341,14.986850197322 40.1925784624376,14.9898654894848 40.1969058436668,14.9939241764334 40.200698840755,14.9988703372611 40.2038115918859,15.0045138418713 40.2061243766783,15.0106376654357 40.2075482320891,15.0170062510931 40.2080283840368,15.0233745960789 40.2075463609073,15.0294977069451 40.2061207064071,15.0351400544125 40.2038062639116,15.0400846584107 40.2006920602726,15.0441414490125 40.1968978717268,15.0471545785278 40.1925696058409,15.0490084025791 40.1878736792739,15.0496319015633 40.1829906097199)))', 'ITAOL', 'ACCIAROLI', 'Y'),('SRID=4326;MULTIPOLYGON(((12.9195969769743 45.6006540906096,12.9190932606629 45.5957666697892,12.9172412095985 45.5910421261485,12.9141123031862 45.586661964062,12.9098270004097 45.5827944165515,12.9045500777536 45.5795879945263,12.8984842826196 45.5771657973546,12.8918625482798 45.5756208007089,12.8849390685408 45.5750122999673,12.8779795711342 45.5753636433656,12.8712511572598 45.5766613402194,12.8650120899657 45.5788555776598,12.8595019157708 45.5818621262803,12.8549322920921 45.5855655627663,12.8514788679489 45.5898236878232,12.8492745277283 45.59447297231,12.8484042585548 45.5993348250971,12.8489018424226 45.6042224442861,12.850748506552 45.6089479903284,12.8538735916494 45.6133298062432,12.8581572204918 45.6171994072285,12.863434871437 45.6204079697523,12.8695036862084 45.6228320685747,12.8761302718222 45.6243784385142,12.8830596959091 45.6249875751205,12.8900253257635 45.6246360333534,12.8967591265751 45.6233373340971,12.903002015183 45.6211414428272,12.9085138633083 45.6181328407313,12.9130827586939 45.614427263747,12.9165331631973 45.6101672370403,12.9187326521449 45.6055165792609,12.9195969769743 45.6006540906096)))', 'ITAOR', 'CAORLE', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5996628478819 40.3162701277171,17.5988481286128 40.3114065769818,17.5968098284042 40.3067581133773,17.5936264849706 40.302503306856,17.5894205584011 40.2988055755245,17.5843537059872 40.2958069195417,17.5786205659481 40.293622479579,17.5724412895096 40.2923361266137,17.5660531065001 40.2919972503259,17.559701244658 40.2926188677788,17.5536295461685 40.2941771240508,17.5480711358905 40.2966122038809,17.5432394939862 40.2998306200631,17.5393202712457 40.3037087922024,17.5364641587118 40.3080977804096,17.5347810849817 40.3128289943609,17.534335965942 40.3177206605486,17.5351461741686 40.3225848009535,17.5371808306897 40.3272344559945,17.5403619525091 40.3314908743341,17.5445674177585 40.3351903924809,17.5496356393789 40.3381907382498,17.5553717707024 40.3403765137146,17.5615552051073 40.3416636445799,17.5679480797522 40.342002622737,17.5743044526391 40.3413804156141,17.5803797948167 40.3398209679048,17.5859404267075 40.3373842762558,17.5907725299293 40.3341640732581,17.5946903834609 40.3302842113331,17.5975435047098 40.3258938876246,17.599222420475 40.321161895774,17.5996628478819 40.3162701277171)))', 'ITARG', 'MARUGGIO', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4669777891389 42.8662724930038,11.4661307223481 42.8614105724177,11.4640108250655 42.856763599966,11.4606998004811 42.8525100831501,11.4563250345495 42.8488133826785,11.4510546786169 42.8458154497628,11.4450911827337 42.8436313878788,11.4386635288581 42.8423450454189,11.4320184603949 42.8420058061814,11.4254110406774 42.8426266991076,11.419094897052 42.8441838987732,11.4133125185029 42.8466176356489,11.4082859729473 42.8498344819587,11.4042083954641 42.8537109269643,11.401236571183 42.8580981065653,11.3994848970967 42.862827508014,11.3990209567933 42.8677174329546,11.3998628825627 42.8725799723699,11.4019786124212 42.8772282265578,11.4052870776312 42.8814834928844,11.4096612818802 42.8851821442944,11.4149331593336 42.8881819325634,11.420900028304 42.8903674717548,11.4273323933113 42.8916546885692,11.4339827937234 42.8919940660959,11.4405953544653 42.8913725543401,11.4469156655156 42.8898140729373,11.4527006034372 42.8873785865501,11.4577277106722 42.8841597893018,11.4618037666317 42.8802814889434,11.4647722178248 42.8758928320359,11.4665191807811 42.8711625562334,11.4669777891389 42.8662724930038)))', 'ITATI', 'CASTIGLIONCELLO', 'Y'),('SRID=4326;MULTIPOLYGON(((9.7385107136393 39.9337974748735,9.73783360409377 39.9289188390312,9.73593342232965 39.9242356134773,9.73288340554016 39.9199277130715,9.72880090384723 39.9161606027193,9.72384284941491 39.9130789516356,9.71819971901725 39.9108010888015,9.71208822306038 39.9094144704085,9.70574300064296 39.9089723312347,9.69940763629289 39.9094916467839,9.69332533847599 39.9109524833009,9.68772963213496 39.9132987602854,9.68283541704165 39.9164403967341,9.67883073064052 39.9202567599784,9.67586952868857 39.9246012865383,9.67406576007724 39.9293070996888,9.67348896484493 39.9341934101039,9.67416156802069 39.9390724554852,9.6760579784163 39.9437567137152,9.67910553299502 39.9480661127186,9.68318725648442 39.9518349594423,9.68814633519545 39.9549183203245,9.6937921364174 39.9571976060828,9.69990754313555 39.9585851438982,9.70625732087306 39.9590275590187,9.71259719159528 39.9585078339302,9.71868326078159 39.9570459647364,9.72428142933228 39.9546981891536,9.72917642262663 39.9515548163332,9.73318008474668 39.9477367432907,9.73613861587344 39.9433907938072,9.7379384737246 39.938684061235,9.7385107136393 39.9337974748735)))', 'ITATX', 'ARBATAX', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2483108112245 37.2169384991919,15.2476932125446 37.2120545132437,15.2458963214774 37.2073607125342,15.2429893812152 37.2030374257422,15.239084229498 37.1992507182823,15.2343309816892 37.1961460220885,15.2289122555054 37.1938425602978,15.223036160296 37.192428779034,15.216928319189 37.1919589598036,15.2108232276943 37.192451140972,15.2049552764221 37.1938864270674,15.1995497777162 37.1962097120731,15.1948143358696 37.1993317893461,15.1909308881825 37.2031327682535,15.1880487198043 37.2074666679717,15.1862787197804 37.2121670139637,15.1856891000879 37.2170532241113,15.1863027451296 37.2219375408231,15.1880962979658 37.226632243879,15.1910010236191 37.2309568672262,15.194905421504 37.2347451419719,15.1996594910217 37.2378513975771,15.2050804893582 37.2401561734983,15.2109599612496 37.2415708235473,15.2170717694986 37.2420409339529,15.2231808146334 37.2415484220206,15.2290521041376 37.2401122335782,15.2344598174515 37.2377876120167,15.2391960131284 37.2346639674577,15.2430786391046 37.2308614291393,15.2459585353294 37.226526215291,15.247725158672 37.2218250005143,15.2483108112245 37.2169384991919)))', 'ITAUG', 'AUGUSTA', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1641809796269 36.8999610057244,15.1635714198646 36.8950762989554,15.1617872427975 36.8903809391001,15.1588972005005 36.886055315704,15.1550124800064 36.8822655850881,15.1502824115897 36.8791572964696,15.1448887236546 36.8768498119705,15.1390385659685 36.875431732919,15.1329565682845 36.8749575061875,15.1268762366047 36.8754453392834,15.1210310133714 36.8768765031879,15.1156453400313 36.8791960493503,15.1109260603341 36.8823149136982,15.1070544904149 36.8861133279644,15.104179457516 36.8904454089516,15.1024115738504 36.8951447513999,15.1018189666741 36.9000308115503,15.1024246315511 36.9049158378105,15.1042055148686 36.9096120833331,15.1070933659951 36.913939023738,15.1109773314839 36.9177303022016,15.1157081960035 36.9208401338611,15.1211041099507 36.9231489216803,15.1269575846681 36.9245678659122,15.1330434854145 36.9250423879685,15.1391277119816 36.9245542353813,15.1449762289652 36.9231221858088,15.150364093475 36.920801322637,15.1550841281756 36.9176809104412,15.15895490199 36.9138809531343,15.161827708876 36.9095475688275,15.1635922755111 36.9048473611993,15.1641809796269 36.8999610057244)))', 'ITAVO', 'AVOLA', 'Y'),('SRID=4326;MULTIPOLYGON(((8.71788436069247 44.4000914869383,8.71723756449999 44.3952106795774,8.71527535309632 44.3905140984949,8.71207340923588 44.3861821670602,8.70775496781191 44.3823812626596,8.70248605179611 44.3792573375734,8.69646908185515 44.3769303275019,8.68993510674701 44.3754895599777,8.6831349516449 44.3749903364658,8.67632962038536 44.3754518172426,8.66978031420823 44.3768562888114,8.66373844313987 44.3791498414436,8.65843600641997 44.382244431286,8.65407670527858 44.3860212492452,8.65082812527849 44.3903352693925,8.64881528704158 44.3950208047287,8.64811581454961 44.3998978594627,8.6487569108092 44.4047790359708,8.65071426336334 44.409476732563,8.65391292917303 44.413810356044,8.65823017239886 44.4176132714288,8.66350015248471 44.4207392202833,8.66952028676967 44.4230679588066,8.67605904475339 44.4245098963247,8.68286487311292 44.4250095532515,8.68967590430893 44.4245477033273,8.69623006933716 44.4231421162477,8.70227521845485 44.4208468715683,8.70757885336935 44.4177502707413,8.7119370904371 44.4139714290142,8.71518250609165 44.4096556804161,8.71719056145438 44.4049689750869,8.71788436069247 44.4000914869383)))', 'ITAZA', 'ARENZANO', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0999364047062 40.8172616590098,14.0993695602172 40.8123750536083,14.0975590186012 40.80766634003,14.0945745914703 40.8033164183975,14.0905311289973 40.7994923708706,14.0855840819644 40.7963410533964,14.0799235183923 40.7939834673352,14.0737668261075 40.7925101249468,14.0673503806374 40.7919775844879,14.060920495286 40.7924062860411,14.0547239960364 40.7937797698324,14.0489987773295 40.7960453064977,14.0439646954146 40.7991159154216,14.0398151438498 40.8028736947983,14.0367096311822 40.8071743373413,14.0347676445564 40.811852660409,14.0340640360458 40.8167289403849,14.034626112304 40.8216158099392,14.0364325445082 40.8263254545567,14.0394141466666 40.8306768323725,14.043456498683 40.8345026395362,14.0484043188328 40.8376557522121,14.0540674213957 40.8400148957367,14.0602280320072 40.8414893207403,14.06664917861 40.8420223041478,14.0730838321948 40.8415933384413,14.0792844408574 40.8402189236101,14.0850124845359 40.8379519307609,14.0900476769049 40.8348795621998,14.0941964553502 40.8311199876215,14.0972994290258 40.8268177876159,14.0992374973257 40.8221383819337,14.0999364047062 40.8172616590098)))', 'ITBAI', 'BAIA', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8160563081102 41.0500575012147,14.8154347815137 41.0451744380135,14.8135670724087 41.0404769736986,14.8105251879562 41.0361455722745,14.8064261820245 41.0323466012098,14.8014276332159 41.029225951103,14.7957215807425 41.0269034446604,14.7895271524568 41.0254682474958,14.7830821671067 41.0249754547586,14.7766340300055 41.0254439827648,14.7704302666917 41.0268558453063,14.7647090521054 41.0291568419587,14.7596900929561 41.0322586323726,14.7555662083119 41.0360421181349,14.7524959283444 41.0403620042087,14.750597394322 41.045052366996,14.7499437954299 41.0499330174111,14.7505605212643 41.0548164164535,14.7524241447161 41.059514878898,14.7554632806277 41.0638477887838,14.7595612935714 41.0676485489931,14.7645607561191 41.0707709965464,14.7702694899506 41.0730950350922,14.7764679590013 41.0745312657679,14.7829177293531 41.0750244360812,14.7893706672191 41.0745555722336,14.7955785161873 41.0731427115619,14.8013024793134 41.0708402064469,14.806322431448 41.0677366268882,14.8104454023505 41.0639513436797,14.8135130009587 41.0596299255034,14.8154074942172 41.0549385292056,14.8160563081102 41.0500575012147)))', 'ITBCB', 'Bagnara Calabra', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5331367653695 41.2325634762028,16.5323860775899 41.2276917856582,16.5303911244416 41.2230242332465,16.5272287946352 41.2187401252279,16.5230207566788 41.2150040058798,16.517928761701 41.211959348098,16.5121484216427 41.2097230556406,16.5059017027781 41.2083809858874,16.4994284213838 41.2079846628532,16.4929770644601 41.2085493048839,16.486795282691 41.2100532416628,16.4811204145972 41.2124387426519,16.4761703997852 41.2156142257893,16.472135425325 41.2194577630547,16.4691706229842 41.2238217502877,16.4673900970274 41.2285385641977,16.4668625136732 41.2334269915,16.4676084255702 41.2382991850189,16.4695994396795 41.2429678806373,16.4727592669736 41.2472535980523,16.4769666199293 41.2509915479705,16.4820598517037 41.2540379788087,16.4878431620657 41.2562757168769,16.494094132539 41.2576186847139,16.5005722995783 41.2580152215797,16.5070284323872 41.2574500765743,16.5132141531961 41.255944996588,16.5188915238008 41.2535578862018,16.5238422236107 41.2503805724939,16.5278759612716 41.2465352621724,16.530837793308 41.2421698293295,16.5326140676573 41.2374521173364,16.5331367653695 41.2325634762028)))', 'ITBCE', 'BISCEGLIE', 'Y'),('SRID=4326;MULTIPOLYGON(((17.9658061526447 40.6321614302256,17.964959949593 40.6273017538426,17.9628858820474 40.6226611921835,17.9596638631965 40.618418009259,17.9554178381355 40.6147351745205,17.9503110018204 40.6117541142984,17.9445395242044 40.6095892925215,17.9383250241871 40.6083238265993,17.9319060796619 40.6080063047256,17.9255290958626 40.6086489251782,17.9194388773556 40.6102270281341,17.9138692597466 40.6126800379087,17.9090341551424 40.6159137802261,17.9051193506887 40.6198040870803,17.9022753724547 40.6242015528035,17.9006116883439 40.6289372609416,17.9001924746782 40.6338292640885,17.9010341131716 40.6386895694233,17.90310452006 40.6433313625095,17.9063243394564 40.6475761918631,17.910569961113 40.6512608373788,17.9156782514892 40.6542435970517,17.9214528192644 40.6564097482272,17.9276715750907 40.6576759711066,17.9340952931658 40.657993562256,17.9404768415258 40.6573503128513,17.9465707206905 40.6557709784674,17.9521425377526 40.6533163222632,17.9569780457583 40.6500807691685,17.9608913961486 40.6461887628638,17.9637322842228 40.6417899677427,17.9653917125262 40.6370535026482,17.9658061526447 40.6321614302256)))', 'ITBDS', 'BRINDISI', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5037051373366 44.152764081672,12.5032439188315 44.147874718528,12.5014669721692 44.1431440729872,12.4984428708675 44.1387538891205,12.4942880346852 44.1348727914044,12.4891622245283 44.1316498179556,12.4832623888824 44.1292087098565,12.476815100353 44.1276431734814,12.4700678721719 44.1270132952159,12.4632796847804 44.1273432439558,12.4567110807253 44.1286203479252,12.4506142013341 44.1307955804391,12.4452231406003 44.1337854361257,12.4407449803724 44.1374751266914,12.4373518465992 44.1417229754304,12.4351742897224 44.1463658441358,12.4342962443191 44.151225386541,12.4347517652202 44.1561148903883,12.4365236713377 44.1608464469748,12.4395441565305 44.1652381735314,12.4436973515599 44.1691212107212,12.448823745371 44.1723462251603,12.4547263006233 44.1747891650439,12.4611780306761 44.1763560451251,12.4679307461157 44.1769865744511,12.4747246311148 44.1766564850076,12.4812982757167 44.1753784699915,12.487398771216 44.1732016947868,12.4927914730995 44.170209899626,12.4972690496695 44.1665181680702,12.5006594638343 44.1622684875475,12.5028325791886 44.1576242751369,12.5037051373366 44.152764081672)))', 'ITBLA', 'BELLARIA', 'Y'),('SRID=4326;MULTIPOLYGON(((16.3161823836252 41.3166252985526,16.3154466620305 41.3117520315358,16.3134643427534 41.3070805891925,16.3103118313258 41.3027904280697,16.3061104215408 41.2990463254299,16.3010216122799 41.2959920608423,16.2952408950228 41.2937449066605,16.2889902517009 41.2923911367067,16.2825096495869 41.291982723428,16.2760478561875 41.2925353485427,16.2698529215482 41.2940278024283,16.2641626873184 41.2964027950279,16.2591956810193 41.299569147742,16.2551427402227 41.3034052835447,16.252159685163 41.3077638832966,16.2503613203782 41.3124775317119,16.2498169974352 41.3173651383546,16.2505479130971 41.3222388888371,16.2525262523286 41.3269114603204,16.2556762155234 41.3312032243563,16.259876896834 41.3349491596536,16.2649669082834 41.3380052076376,16.2707505753697 41.3402538244486,16.2770054670774 41.3416085135922,16.283490969355 41.3420171626829,16.2899575686898 41.3414640541022,16.2961564833756 41.3399704710758,16.3018492658368 41.3375938755622,16.3068170006075 41.3344256901905,16.3108687392131 41.3305877709918,16.3138488444426 41.3262277086115,16.315642960843 41.321513141007,16.3161823836252 41.3166252985526)))', 'ITBLT', 'BARLETTA', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8993606287481 39.6167539808166,15.8986756890042 39.6118761084629,15.8967737451161 39.6071952859386,15.8937280976931 39.6028913356758,15.8896559253784 39.5991295712502,15.8847137610936 39.5960544573879,15.8790914702969 39.593784073136,15.8730049635977 39.5924055887153,15.8666879223914 39.5919719276699,15.8603828520023 39.592499740761,15.8543318010899 39.5939687683001,15.8487670980946 39.5963226150935,15.8439024549174 39.5994709087653,15.8399247748699 39.603292759863,15.836986976548 39.6076413927247,15.8352021084068 39.6123497713942,15.8346389815351 39.6172370066022,15.8353194919082 39.6221152994413,15.8372177400874 39.6267971560888,15.8402609881014 39.6311025966768,15.8443324225955 39.6348660807414,15.849275622975 39.6379428817572,15.8549005660464 39.640214663823,15.8609909374156 39.6415940439134,15.8673124673258 39.6420279621265,15.873621967088 39.6414997285498,15.8796767137102 39.6400296668868,15.8852438161134 39.6376743297674,15.8901091971088 39.6345243164564,15.8940858410592 39.6307007782056,15.8970209871057 39.6263507475308,15.898801990578 39.6216414731922,15.8993606287481 39.6167539808166)))', 'ITBMT', 'BELVEDERE MARITTIMO', 'Y'),('SRID=4326;MULTIPOLYGON(((16.1816701472511 38.0826857900518,16.1809830618931 38.0778083754901,16.1791055759744 38.0731306043009,16.1761100331818 38.0688321834458,16.1721116743285 38.0650782176571,16.1672641899407 38.062012876915,16.1617538086222 38.0597538701908,16.1557921491783 38.0583879356862,16.1496081098404 38.0579675187922,16.1434391029965 38.0585087637301,16.1375219675442 38.0599908949824,16.1320839026446 38.0623570120068,16.1273337659317 38.0655162672495,16.1234540661278 38.0693473450649,16.1205939549086 38.0737031097122,16.1188634864767 38.0784162459452,16.1183293667337 38.0833056775208,16.1190123586575 38.0881835186911,16.1208864483213 38.0928622926348,16.1238798090872 38.0971621397302,16.1278775323359 38.1009177381129,16.1327260243067 38.1039846692552,16.1382389030009 38.1062449820615,16.1442041694106 38.1076117394911,16.1503923761762 38.1080323708698,16.1565654764562 38.107490699323,16.1624860081642 38.1060075653156,16.1679262550896 38.1036400220502,16.1726770274049 38.1004791342133,16.1765557196238 38.0966464659981,16.1794133334665 38.0922893952693,16.1811401949336 38.0875754361119,16.1816701472511 38.0826857900518)))', 'ITBNC', 'BIANCO', 'Y'),('SRID=4326;MULTIPOLYGON(((8.5326869969658 40.3001366463401,8.53209260569621 40.2952515616964,8.53026516470076 40.2905491095178,8.5272751266822 40.2862099483032,8.52323754972933 40.2824007468666,8.51830765254654 40.2792677919444,8.51267484089749 40.2769313814957,8.50655543610655 40.2754812168753,8.50018438393939 40.2749729686592,8.49380625914044 40.2754261461258,8.48766590625396 40.2768233509286,8.48199907038008 40.2791109431235,8.4770233718577 40.2822010943486,8.47292996651785 40.285975150487,8.46987620845843 40.2902881764872,8.46797959595576 40.2949745109562,8.46731323421929 40.2998541193727,8.467902992653 40.3047395037588,8.46972647092348 40.3094429046444,8.47271381961668 40.3137835190987,8.47675039006943 40.3175944570654,8.48168111680838 40.3207291674371,8.48731646777802 40.3230670850034,8.49343973506569 40.3245182789642,8.49981538487538 40.3250269220359,8.50619814251276 40.3245734448267,8.51234245812534 40.3231752913162,8.51801198332361 40.3208862458809,8.52298868834364 40.3177943581254,8.52708126412479 40.3140185465378,8.5301324828625 40.3097040134207,8.53202523286941 40.3050166496119,8.5326869969658 40.3001366463401)))', 'ITBOA', 'BOSA', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8830803905634 41.1324638354318,16.8823052604053 41.1275948643425,16.8802889776852 41.1229337533515,16.8771092474325 41.1186595598268,16.8728884029218 41.1149364463491,16.8677886835459 41.1119073860852,16.862005994834 41.1096886842241,16.8557623911852 41.1083655236121,16.8492975684735 41.107988703465,16.8428596895013 41.108572694634,16.8366958892855 41.1100950850354,16.8310428186815 41.112497436322,16.8261175835489 41.1156875195759,16.8221094225747 41.1195428456267,16.8191724403623 41.1239153564454,16.8174196742073 41.1286370997233,16.816918724231 41.1335266708731,16.8176891187183 41.1383961767688,16.8197015214952 41.1430584547643,16.8228788182188 41.1473342698259,16.8270990460971 41.1510592125088,16.8322000596149 41.1540900311663,16.837985756222 41.1563101529098,16.8442336235948 41.1576341787287,16.8507033167456 41.1580111776871,16.8571459313912 41.1574266517113,16.8633136115509 41.1559030943046,16.8689691156827 41.1534991214804,16.8738949674448 41.150307209021,16.8779018342746 41.1464501245771,16.880835808591 41.1420761938767,16.8825843110234 41.1373535853927,16.8830803905634 41.1324638354318)))', 'ITBRI', 'BARI', 'Y'),('SRID=4326;MULTIPOLYGON(((15.9486080606033 37.9327494234172,15.9479380061423 37.9278702908477,15.9460792756225 37.9231884228346,15.9431034918021 37.9188836850823,15.9391251370848 37.9151214261646,15.9342971351105 37.9120461354649,15.9288049683082 37.90977590454,15.9228595583107 37.9083979026227,15.9166891815458 37.9079650380647,15.9105307274591 37.9084939323046,15.904620630644 37.9099642831338,15.8991858199455 37.9123196414214,15.8944350270311 37.9154695719787,15.8905507839841 37.9192931167975,15.8876824145536 37.9236434294099,15.8859402874976 37.9283534043949,15.8853915540935 37.9332420877766,15.8860575368046 37.9381216236991,15.8879128741202 37.9428044715362,15.8908864598661 37.9471106164143,15.8948641462761 37.9508744955377,15.8996931114543 37.9539513728612,15.905187726333 37.956222915279,15.9111366965823 37.9576017538952,15.917311203758 37.9580348529783,15.9234737295965 37.9575055553851,15.9293872196167 37.9560342247313,15.9348242283885 37.9536774593173,15.9395756896082 37.9505259085541,15.9434589694493 37.9467007771118,15.9463248908027 37.9423491530071,15.9480634576078 37.9376383413238,15.9486080606033 37.9327494234172)))', 'ITBVM', 'BOVA MARINA', 'Y'),('SRID=4326;MULTIPOLYGON(((9.14918000751616 39.2169632359239,9.14855138748222 39.2120804193572,9.14671051748018 39.2073868031231,9.14372835111989 39.2030627054635,9.13971963098018 39.1992742175992,9.13483845793906 39.1961668333366,9.12927236192079 39.1938598723705,9.12323510299812 39.1924419093818,9.11695847830391 39.1919673823917,9.11068344632379 39.1924545088597,9.10465090478343 39.1938845883814,9.09909247080295 39.1962027183606,9.09422161191401 39.1993198956039,9.09022546392413 39.2031164243266,9.08725764682266 39.2074465014698,9.08543235366567 39.2121438053194,9.08481994073294 39.2170278748642,9.08544419166755 39.2219110366091,9.08728136560413 39.2266056139071,9.0902610716251 39.2309311422033,9.09426894171617 39.2347213124755,9.09915100441206 39.237830374786,9.10471959434711 39.2401387539723,9.11076057177258 39.2415576594424,9.11704157344701 39.2420325096906,9.12332097452875 39.2415450380441,9.1293572121355 39.2401139974578,9.13491810645434 39.2377944368414,9.13978981538961 39.2346755771899,9.14378507372244 39.2308773704196,9.14675039690619 39.2265458750567,9.14857197156136 39.2218476287264,9.14918000751616 39.2169632359239)))', 'ITCAG', 'CAGLIARI', 'Y'),('SRID=4326;MULTIPOLYGON(((14.515881637736 40.7001425725413,14.5152852122194 40.6952577261946,14.5134483399234 40.6905552776882,14.5104418406372 40.6862158846668,14.5063814082681 40.6824062237114,14.5014231411486 40.6792725978216,14.495757534479 40.6769353293035,14.4896021670859 40.6754841512258,14.4831933624024 40.6749747722173,14.4767771407249 40.6754267446229,14.4705998052806 40.6768227165791,14.4648985177413 40.6791090962296,14.4598922191746 40.6821981029485,14.4557732400333 40.6859711279967,14.4526999179927 40.6902832773851,14.4507905059444 40.6949689246721,14.4501186053301 40.6998480626407,14.4507103036717 40.7047332117843,14.4525431314571 40.7094366215013,14.455546884637 40.7137774878115,14.4596062873739 40.7175889098392,14.4645653980882 40.7207243164776,14.4702335931505 40.7230631143177,14.476392899675 40.7245153374653,14.4828063945314 40.7250251181888,14.4892273433865 40.7245728429861,14.4954087233425 40.7231759098186,14.5011127569871 40.7208880568786,14.5061200851835 40.717797289087,14.5102382207273 40.7140224832905,14.5133089543741 40.7097088045808,14.515214427292 40.7050221122248,14.515881637736 40.7001425725413)))', 'ITCAS', 'CASTELLAMMARE DI STABIA', 'Y'),('SRID=4326;MULTIPOLYGON(((13.4313888851547 37.4334208105777,13.4308877083767 37.4285295278898,13.429199727633 37.4238101860298,13.4263900117468 37.4194441029179,13.4225666771556 37.4155989935098,13.417876711716 37.4124225354451,13.4125003170844 37.4100367072258,13.4066439884379 37.4085331144795,13.400532596737 37.4079694818185,13.3944007751042 37.4083674432623,13.3884839360772 37.409711714813,13.383009259775 37.4119506803803,13.3781869939986 37.4149983687574,13.3742023959711 37.4187377466687,13.371208622131 37.423025202972,13.3693208378202 37.4276960537075,13.3686117739094 37.4325708585413,13.3691089037774 37.437462307733,13.370793353379 37.4421824163162,13.3736005914753 37.4465497496442,13.3774228788497 37.4503964024273,13.3821133870756 37.4535744620611,13.3874918318625 37.4559617062193,13.3933514059161 37.4574663137102,13.3994667441919 37.4580304054358,13.4056026127368 37.4576322774879,13.4115229829069 37.4562872392135,13.4170001369984 37.4540470234294,13.4218234499896 37.4509977916771,13.4258075052288 37.4472568121968,13.4287992289126 37.4429679399552,13.4306837678169 37.4382960744757,13.4313888851547 37.4334208105777)))', 'ITCCL', 'CATTOLICA', 'Y'),('SRID=4326;MULTIPOLYGON(((15.9653135783106 39.5167361573559,15.964625149686 39.5118586345159,15.9627216592997 39.5071788321254,15.9596764657634 39.5028765333205,15.9556067290388 39.4991169883169,15.9506688875885 39.4960445768348,15.9450526403945 39.4937772744934,15.9389736660239 39.4924021335735,15.9326653571489 39.4919719496242,15.926369884672 39.4925032402004,15.920328929809 39.4939756122518,15.9147744344423 39.4963325421503,15.9099197194394 39.4994835389343,15.9059513074411 39.5033076089878,15.9030217612328 39.5076578909529,15.9012438119392 39.5123672850032,15.9006860040234 39.5172548623541,15.9013700278992 39.5221328105324,15.9032698477051 39.5268136486838,15.9063126636418 39.5311174359869,15.9103816777159 39.5348786956161,15.9153205614823 39.5379527868148,15.9209394572763 39.5402214782422,15.9270222833055 39.5415975061416,15.9333350605176 39.542027939929,15.9396349377456 39.5414962240142,15.9456795631899 39.5400228162013,15.9512364361551 39.5376643978038,15.9560918738061 39.5345116863941,15.9600592434861 39.5306859366243,15.9629861410935 39.5263342655739,15.9647602387295 39.5216239845448,15.9653135783106 39.5167361573559)))', 'ITCCQ', 'CETRARO', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5512466099823 43.3165405627537,10.5504645228859 43.3116711393016,10.5483967612257 43.3070066589558,10.5451230367308 43.3027263051827,10.5407693146507 43.2989944711651,10.5355029490468 43.2959544572483,10.5295262450095 43.293722981012,10.5230686961608 43.2923857083566,10.5163781939116 43.2919939748467,10.5097115419558 43.292562821272,10.5033246343292 43.2940704176559,10.4974626673803 43.2964588975432,10.4923507548541 43.2996365712035,10.4881853010018 43.3034814342999,10.4851264595769 43.3078458394453,10.4832919674749 43.3125621536979,10.4827525917453 43.3174491870924,10.4835293692398 43.3223191472179,10.485592751166 43.3269848538794,10.4888636925697 43.331266936915,10.4932166519019 43.3350007398778,10.4984843912235 43.3380426626682,10.5044643963086 43.340275697098,10.510926670981 43.3416139400455,10.5176226043654 43.3420059082279,10.5242945659262 43.3414365251288,10.5306858532878 43.3399277024284,10.5365506033263 43.3375374932777,10.5416632785971 43.3343578506721,10.5458273587286 43.3305110787024,10.5488828991046 43.3261451153645,10.5507126653846 43.3214278308205,10.5512466099823 43.3165405627537)))', 'ITCEC', 'CECINA', 'Y'),('SRID=4326;MULTIPOLYGON(((10.9169355239172 42.7664368009161,10.9161330855625 42.7615698428246,10.9140577097161 42.7569117151674,10.9107893912653 42.7526413568632,10.9064538796824 42.7489227777356,10.9012178238266 42.7458987705748,10.8952823620782 42.7436854404366,10.8888754049665 42.7423677588718,10.8822429049869 42.7419963114975,10.8756394448 42.7425853619333,10.8693184994352 42.7441123053097,10.8635227397916 42.7465185320998,10.858474743339 42.749711669815,10.8543684634741 42.7535691180254,10.8513617818776 42.7579427430998,10.8495704291696 42.7626645547834,10.8490635092926 42.7675531489157,10.8498608038733 42.7724206706865,10.8519319662239 42.7770800320642,10.8551976429235 42.7813521063074,10.8595324866828 42.7850726223565,10.8647699503135 42.7880984925428,10.8707086811149 42.7903133281815,10.8771202708742 42.7916319285228,10.883758061817 42.792003568074,10.8903666657809 42.7914139539584,10.8966918246425 42.7898857768607,10.9024902260356 42.7874778341308,10.9075388903085 42.7842827594938,10.9116437623956 42.7804234482584,10.9146471749382 42.7760483176844,10.9164338950003 42.771325587225,10.9169355239172 42.7664368009161)))', 'ITCEQ', 'CASTIGLIONE DELLA PESCAIA', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3937667962859 44.2627990469689,12.3933142657625 44.2579095241121,12.3915433018747 44.2531773825149,12.3885222504998 44.2487844240768,12.3843674163922 44.2448993799419,12.3792385621748 44.2416714396277,12.373332754432 44.2392245345718,12.3668767955435 44.2376525932219,12.3601185313187 44.2370159473274,12.3533173648945 44.2373390251273,12.3467343356014 44.238609418313,12.3406221368505 44.2407783577538,12.3352154491478 44.2437625798736,12.3307219530775 44.24744751313,12.3273143628129 44.2516916641551,12.3251237840744 44.2563320375435,12.3242346524762 44.2611903836986,12.3246814502975 44.2660800370685,12.3264473336683 44.2708130837848,12.3294647301735 44.2752075841522,12.3336178914799 44.2790945722819,12.338747309634 44.2823245627011,12.3446558321978 44.2847733118621,12.3511162434853 44.2863466105687,12.3578800198495 44.2869839204262,12.3646869189797 44.286660712113,12.3712750287918 44.2853894138074,12.3773908824115 44.2832189324362,12.3827992429122 44.2802327663211,12.3872921750421 44.27654578296,12.3906970504836 44.2722997878306,12.392883176824 44.2676580570864,12.3937667962859 44.2627990469689)))', 'ITCEV', 'CERVIA', 'Y'),('SRID=4326;MULTIPOLYGON(((14.04865077871 38.0332603870357,14.0481058217322 38.0283715259937,14.0463656987519 38.0236606777816,14.0434974853583 38.0193088300492,14.0396115454991 38.0154831471385,14.0348572689941 38.0123305574323,14.0294173222098 38.0099721207375,14.0235006340853 38.0084983900734,14.0173343861622 38.0079659439758,14.011155311535 38.008395220734,14.0052006326386 38.0097697364978,13.9996989807728 38.0120367167695,13.9948616408901 38.0151091173091,13.9908744534042 38.0188689578772,13.9878906809799 38.0231718424164,13.9860251131201 38.0278524940422,13.9853496359407 38.0327310942757,13.9858904402423 38.0376201847713,13.9876269796266 38.0423318676253,13.9904927240738 38.0466850281215,13.9943776855115 38.0505123020614,13.9991326230758 38.0536665188429,14.0045747697606 38.0560263709511,14.0104948617119 38.0575010898831,14.0166651991865 38.0580339466479,14.0228484264919 38.057604440436,14.0288066889854 38.0562290900297,14.0343108097967 38.0539607969935,14.0391491280989 38.0508868054244,14.0431356545234 38.0471253377813,14.0461172270463 38.0428210378291,14.0479793910798 38.0381393979361,14.04865077871 38.0332603870357)))', 'ITCFU', 'Cefalù', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5493449157751 39.5995731051105,16.5486146894404 39.5946998794683,16.5466698179981 39.5900304721991,16.543585247752 39.5857442642079,16.5394796474889 39.5820058854288,16.5345108283161 39.5789589013801,16.5288696737775 39.5767203109677,16.5227728142932 39.5753760647138,16.5164543259081 39.5749777734565,16.5101567687547 39.5755407322263,16.5041219044758 39.5770433341461,16.4985814434396 39.5794278966242,16.4937481715693 39.5826028687178,16.4898077930232 39.5864463362543,16.4869117991741 39.590810691998,16.485171637081 39.5955282936537,16.4846544030228 39.6004178944702,16.4853802301597 39.6052916011175,16.4873214758488 39.6099620925721,16.4904037457742 39.6142498228719,16.4945087213524 39.6179899303251,16.4994786865793 39.6210385862386,16.5051225834349 39.6232785371803,16.5112233640067 39.6246236254993,16.5175463552992 39.6250221121608,16.5238483116527 39.6244586723856,16.5298868016856 39.6229549862797,16.5354295630413 39.6205689014924,16.540263459594 39.6173922007244,16.5442026920838 39.6135470613234,16.547095943615 39.6091813450512,16.5488321846219 39.6044629013311,16.5493449157751 39.5995731051105)))', 'ITCGC', 'CORIGLIANO CALABRO', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3243474569146 45.226834165202,12.323897063528 45.221945069361,12.3221058510782 45.2172119953449,12.3190429587694 45.2128167792432,12.314826310489 45.2089282360469,12.3096180498768 45.2056956859989,12.3036182940807 45.2032432336865,12.2970574485116 45.2016650170853,12.2901873771339 45.2010216063533,12.28327176386 45.2013376882736,12.2765760293252 45.2026011234978,12.2703571829586 45.2047634119187,12.264853992441 45.2077415484604,12.2602778413295 45.2114211991826,12.2568046211151 45.2156610777225,12.2545679669424 45.2202983565197,12.253654097646 45.2251549076557,12.254098462086 45.2300441359944,12.2558843267676 45.2347781438949,12.2589433666356 45.2391749530925,12.2631582443018 45.243065506062,12.2683670856872 45.2463001765909,12.2743696852273 45.2487545372678,12.2809352045775 45.2503341595857,12.2878110682323 45.2509782593789,12.294732710457 45.2506620449608,12.3014337927621 45.2493976758513,12.3076564915687 45.2472337943334,12.3131614526969 45.2442536480179,12.3177370230312 45.2405718768151,12.3212073994993 45.2363300899115,12.3234393798918 45.2316914053986,12.3243474569146 45.226834165202)))', 'ITCHI', 'CHIOGGIA', 'Y'),('SRID=4326;MULTIPOLYGON(((9.35183497511184 44.3168980166803,9.35113653648311 44.3120208874233,9.34912658207542 44.3073352738788,9.34588262387859 44.3030211750346,9.34152950412893 44.2992442811983,9.33623457058225 44.2961496215481,9.33020123641814 44.2938560081926,9.32366117360709 44.2924514875989,9.31686543814285 44.2919899715662,9.31007486389433 44.2924891750095,9.30355008789567 44.2939299383549,9.2975415829719 44.2962569601075,9.29228007335007 44.2993809120025,9.28796769533674 44.3031818569756,9.28477023860179 44.3075138408551,9.28281076480398 44.3122104839576,9.2821648503087 44.3170913603437,9.28285764006007 44.3219689218054,9.28486283215814 44.3266557019868,9.28810363963125 44.3309715242902,9.29245569991254 44.3347504360272,9.29775182654143 44.3378471008125,9.30378842470315 44.340142401274,9.31033332551345 44.3415480340976,9.31713473643672 44.3420099181571,9.32393095956611 44.3415102825087,9.33046049787578 44.3400683525255,9.33647215352173 44.3377396073128,9.34173472260837 44.3346136375168,9.34604590753597 44.3308106874088,9.34924010027192 44.3264770164244,9.35119473607202 44.3217792610928,9.35183497511184 44.3168980166803)))', 'ITCHX', 'CHIAVARI', 'Y'),('SRID=4326;MULTIPOLYGON(((8.33814508069488 39.1451869771683,8.33757319029903 39.1403001116699,8.33578819230468 39.1355940077247,8.33285889680153 39.1312494672878,8.32889802063561 39.1274333698645,8.32405783366343 39.1242922714171,8.31852429870878 39.1219467866768,8.31250993167629 39.1204869685636,8.30624565519218 39.1199688600684,8.29997195571177 39.120412349205,8.29392967916645 39.121800408157,8.28835081319749 39.1240797453376,8.28344960447883 39.1271628456547,8.27941434755761 39.1309313217382,8.27640015738299 39.1352404491498,8.27452300195315 39.1399247134648,8.27385522535052 39.1448041582719,8.27442273628965 39.1496912920635,8.27620397496674 39.1543982899255,8.27913070361387 39.1587442138122,8.28309059616571 39.1625619736007,8.28793153251258 39.1657047602489,8.2934674357457 39.168051702012,8.29948542941172 39.1695125241516,8.30575403876218 39.1700310308227,8.31203211770164 39.1695872733926,8.31807815356525 39.1681983205232,8.3236595863894 39.1659175998922,8.3285617787199 39.1628328372095,8.33259628626411 39.1590626729255,8.33560810815922 39.1547520884917,8.33748163695636 39.1500668201509,8.33814508069488 39.1451869771683)))', 'ITCLF', 'CARLOFORTE', 'Y'),('SRID=4326;MULTIPOLYGON(((9.78183571392854 40.6097823881494,9.78114794058797 40.6049046653982,9.77922502567949 40.6002229009753,9.7761410871582 40.595916952012,9.77201478320325 40.5921522062522,9.76700473038674 40.5890732396114,9.76130340134416 40.586798275589,9.75512973746422 40.5854146571179,9.74872075905965 40.5849755025764,9.74232249179032 40.5854976725687,9.73618055272389 40.5869611243876,9.73053075163864 40.5893096786013,9.72559006265665 40.5924531688594,9.72154830805321 40.5962708936807,9.71856087048115 40.6006162395831,9.7167427125975 40.6053223002173,9.71616393527639 40.6102082778665,9.71684704870508 40.6150864232258,9.7187660665358 40.6197692480244,9.72184746410803 40.6240767336988,9.72597297007933 40.6278432585548,9.73098408936395 40.6309239758256,9.73668818696685 40.6332003954943,9.7428659000113 40.6345849530189,9.74927959173572 40.6350243870585,9.75568251891946 40.6345017944578,9.76182835506459 40.6330372822624,9.7674806970977 40.6306871913369,9.77242218406072 40.6275419219824,9.77646287219353 40.6237224465314,9.77944754120434 40.6193756449834,9.78126164992467 40.6146686452964,9.78183571392854 40.6097823881494)))', 'ITCLQ', 'La Caletta di Siniscola', 'Y'),('SRID=4326;MULTIPOLYGON(((8.39910235696833 39.0501698154082,8.39852693589194 39.0452831421346,8.39674018505794 39.040577881734,8.39381098059243 39.0362348036459,8.38985203467373 39.0324207312614,8.38501554214346 39.0292821429736,8.37948732347305 39.0269395574327,8.3734796904049 39.025482916599,8.3672233074175 39.0249681418204,8.36095835865689 39.0254149933898,8.3549253550442 39.0268063145402,8.34935592919 39.0290886884196,8.34446396615974 39.0321744831552,8.34043740603288 39.0359452075803,8.33743102992592 39.0402560504719,8.33556050541033 39.0449414310253,8.33489792111334 39.0498213494737,8.33546898517877 39.0547082957155,8.33725199998134 39.0594144517772,8.34017865817165 39.0637589118631,8.34413663521887 39.0675746421858,8.34897388378378 39.0707149119459,8.35450446829602 39.0730589465047,8.36051571683544 39.0745165833015,8.36677641450064 39.0750317493621,8.37304572027452 39.0745846248243,8.37908245991966 39.0731924080122,8.38465443204823 39.0709086521342,8.38954736394772 39.0678211994603,8.39357316803765 39.0640487935629,8.39657717830175 39.0597365016542,8.39844408734692 39.0550501251384,8.39910235696833 39.0501698154082)))', 'ITCLS', 'CALASETTA', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9159014716582 40.7503137661654,13.9153485989961 40.7454263747795,13.9135528292788 40.7407149035392,13.91058340668 40.7363603595396,13.9065546057881 40.7325300033677,13.9016213156161 40.729370933875,13.8959730775663 40.7270044503979,13.889826807923 40.7255214067826,13.8834184835467 40.7249787334066,13.8769941069861 40.7253972588128,13.8708002931209 40.7267609132417,13.8650748329619 40.7290173440691,13.8600375910116 40.7320799198193,13.8558820806031 40.7358310469287,13.8527680372297 40.7401266736812,13.8508152737437 40.7448018105242,13.850099054493 40.7496768569769,13.8506471694155 40.7545644940558,13.8524388256136 40.7592768788003,13.8554054051592 40.7636328650426,13.8594330662934 40.7674649726275,13.8643670935214 40.7706258360671,13.8700178332313 40.7729938829125,13.8761679882841 40.7744780213089,13.8825809903009 40.7750211542079,13.8890101246038 40.7746023831085,13.8952080519895 40.7732378151748,13.9009363552007 40.7709799421039,13.9059747369062 40.7679156149402,13.9101295102561 40.7641626938843,13.913241051968 40.7598655037641,13.9151899300454 40.7551892721409,13.9159014716582 40.7503137661654)))', 'ITCML', 'Casamicciola Terme', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4467305956994 44.1987820325734,12.4462739146639 44.1938925782135,12.4445003516664 44.1891611556796,12.4414783512067 44.1847695390982,12.4373242533331 44.1808864080616,12.4321977914567 44.1776608787353,12.4262959397066 44.1752167901981,12.419845348395 44.1736479630365,12.4130936575014 44.1730146097245,12.406300018413 44.1733410323338,12.3997251823351 44.1746146942899,12.393621529076 44.1767867009856,12.3882234119221 44.1797736709575,12.383738183017 44.1834609268984,12.3803382393538 44.1877068858874,12.378154392843 44.192348482664,12.3772708199423 44.1972074202159,12.377721788454 44.2020970098987,12.3794902930837 44.2068293400172,12.3825086594217 44.2112224982735,12.3866611006822 44.2151075703695,12.3917881356589 44.2183351446312,12.3976927029742 44.2207810706568,12.4041477388963 44.2223512481187,12.4109049267937 44.2229852589717,12.4177042784096 44.2226587010392,12.4242841728573 44.2213841314977,12.4303914602372 44.2192105831261,12.4357912340011 44.2162216720942,12.4402758898022 44.2125323712182,12.4436731178981 44.2082845747416,12.4458525197994 44.2036416276658,12.4467305956994 44.1987820325734)))', 'ITCNT', 'CESENATICO', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7817128537396 38.1670632266937,14.7811181040247 38.1621776258194,14.7793277342152 38.1574774862245,14.7764107484751 38.1531433804894,14.7724793803017 38.1493417885364,14.7676847589184 38.1462187116757,14.7622110940742 38.1438940758091,14.7562686038311 38.1424571367529,14.7500854560616 38.1419630621281,14.7438990302905 38.1424308193664,14.737946831098 38.1438424497738,14.7324573968565 38.1461437561005,14.72764154773 38.1492463775832,14.723684304627 38.1530311738847,14.7207377865154 38.1573527896622,14.7189153578892 38.1620452264611,14.7182872522937 38.1669282099404,14.7188778431044 38.1718141095702,14.720664671022 38.1765151461259,14.7235792711035 38.1808506104732,14.7275097730464 38.1846538158535,14.7323051795037 38.1877785153269,14.7377811612063 38.1901045359635,14.7437271473719 38.1915424111283,14.7499144379051 38.1920368306859,14.7561050225825 38.1915687746918,14.7620607636678 38.190156247323,14.7675525835671 38.1878535823835,14.7723692989219 38.1847493474733,14.7763257569488 38.1809629285593,14.7792699582011 38.1766399280123,14.7810888909057 38.1719465551056,14.7817128537396 38.1670632266937)))', 'ITCOQ', 'CAPO D''ORLANDO', 'Y'),('SRID=4326;MULTIPOLYGON(((9.86710623691591 43.0497466549027,9.8663822154876 43.0448718110095,9.86437565948325 43.0401942011519,9.8611639297808 43.0358935171589,9.8568706137667 43.0321349364498,9.85166075131024 43.0290627888922,9.84573448482186 43.0267950270588,9.83931937854239 43.0254187098365,9.83266170059336 43.0249866704586,9.82601699867527 43.025515494936,9.81964032557002 43.0269848872483,9.81377648309498 43.0293384452992,9.80865065253285 43.0324858184243,9.8044597658346 43.0363061650506,9.80136494542303 43.0406527798221,9.79948530192912 43.0453587149137,9.79889332976864 43.0502431820146,9.79961208159348 43.0551184910481,9.80161423621135 43.059797260334,9.80482310281528 43.0640996215311,9.80911552989993 43.0678601418815,9.81432661292814 43.0709341962244,9.82025602366917 43.0732035416965,9.82667571919847 43.074580878316,9.83333873272252 43.0750132176555,9.83998870424718 43.0744839280375,9.84636977874005 43.073013376296,9.85223648431213 43.0706581410401,9.8573632038005 43.0675088282734,9.86155286992389 43.0636865748622,9.86464454608167 43.0593383764529,9.86651960032721 43.0546314219649,9.86710623691591 43.0497466549027)))', 'ITCPA', 'CAPRAIA', 'Y'),('SRID=4326;MULTIPOLYGON(((13.8840852130021 43.0173374463116,13.8835186781293 43.0124515919942,13.8816643097326 43.0077407019477,13.8785936324185 43.003385756512,13.8744248316874 42.9995540248157,13.8693181846547 42.9963926502694,13.8634698897481 42.9940230123367,13.8571045341391 42.9925360787645,13.8504664872655 42.9919889243405,13.8438105474909 42.9924025477484,13.8373921956337 42.993761068875,13.8314578230527 42.996012336768,13.8262353028353 42.9990699252307,13.8219252603834 43.0028164406527,13.818693374664 43.0071080170011,13.8166640042682 43.0117798277144,13.8159153842629 43.0166524052298,13.8164765820576 43.0215385275239,13.818326334969 43.0262504085931,13.8213938210562 43.0306069172235,13.8255613406543 43.0344405463043,13.8306688116895 43.0376038635655,13.8365199102878 43.0399751937827,13.8428896224415 43.0414633115737,13.8495329154681 43.0420109618643,13.8561941923241 43.0415970704793,13.8626171596681 43.0402375583292,13.868554723475 43.0379847272406,13.8737785248223 43.034925241393,13.8780877432685 43.0311767832565,13.8813168252946 43.0268835146244,13.8833418391468 43.0222105196931,13.8840852130021 43.0173374463116)))', 'ITCPM', 'CUPRA MARITTIMA', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4585127787109 40.0017179899006,18.4580690470687 39.9968261342707,18.456393116596 39.9920948390729,18.4535496250365 39.9877058815452,18.4496480134229 39.983827851758,18.4448382949351 39.980609685233,18.4393052784149 39.978174953883,18.4332614702604 39.9766171324743,18.4269389268518 39.9759960202041,18.4205803677354 39.9763354528247,18.4144298863778 39.9776223916985,18.4087236096598 39.9798074240234,18.4036806590183 39.9828066551342,18.3994947552279 39.9865049211558,18.3963267855703 39.990760200269,18.394298617233 39.995409055252,18.3934883952396 40.000272900462,18.3939275084426 40.0051648545264,18.395599344862 40.0098969169629,18.3984398900361 40.0142871937287,18.402340151493 40.0181668939115,18.4071503216023 40.0213868276871,18.4126855227674 40.0238231540948,18.4187329159984 40.025382155535,18.4250598991193 40.0260038531614,18.4314230766775 40.0256643221062,18.4375776520899 40.024376615993,18.4432868751926 40.0221902644293,18.4483311759886 40.0191893629224,18.4525166281549 40.0154893296504,18.4556824131661 40.0112324554802,18.4577069964276 40.0065824204664,18.4585127787109 40.0017179899006)))', 'ITCRQ', 'Castro Marina', 'Y'),('SRID=4326;MULTIPOLYGON(((16.98229101637 39.4994537373555,16.9815319348497 39.4945838599643,16.9795613969538 39.4899222564256,16.9764553317168 39.4856480060629,16.972333229605 39.4819252783741,16.9673535314415 39.4788970374189,16.9617075349974 39.4766795627347,16.9556120540966 39.4753579950706,16.949301110722 39.4749830759486,16.9430169757192 39.4755692046115,16.9370008972358 39.4770938859841,16.9314838673194 39.4794985906632,16.9266777758036 39.4826909945674,16.922767286763 39.4865485136293,16.9199027467869 39.4909229997062,16.9181943968582 39.4956464195089,16.9177081118273 39.5005373004883,16.9184628348441 39.5054076977251,16.9204298105039 39.5100704151629,16.9235336520905 39.5143462038972,16.9276552076683 39.5180706602271,16.9326361196196 39.5211005569232,16.9382849053855 39.5233193623764,16.9443843264934 39.5246417332398,16.9506997610994 39.5250168057115,16.9569882546079 39.5244301572026,16.963007895328 39.5229043619303,16.9685271488936 39.5204981188789,16.9733337869409 39.5173039863334,16.9772430621916 39.5134448115309,16.9801048128451 39.5090689946858,16.981809222568 39.5043447716844,16.98229101637 39.4994537373555)))', 'ITCRT', 'CARIATI', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1650963559608 39.0824081883281,17.164330461301 39.0775393994613,17.1623608509334 39.0728805898297,17.1592634129632 39.0686107314574,17.1551573021187 39.0648938258017,17.1502003422154 39.0618726144846,17.144582956833 39.0596631085599,17.1385208620709 39.058350144312,17.132246800567 39.0579841342478,17.1260016308096 39.0585791364445,17.1200251090936 39.0601123154382,17.1145467126053 39.0625248152013,17.1097768507208 39.0657240113537,17.1058987977146 39.0695870575078,17.1030616540642 39.0739655914569,17.1013746061558 39.0786914225827,17.1009027065536 39.0835829840579,17.1016643405878 39.0884523036043,17.1036304816968 39.093112225962,17.1067257699384 39.0973836097044,17.1108313778614 39.1011022211506,17.1157895582159 39.1041250589874,17.1214097016201 39.1063358645381,17.127475672091 39.107649603662,17.1337541369487 39.108015745884,17.1400035673338 39.1074202130072,17.1459835583091 39.1058859212868,17.1514641045247 39.103471896153,17.1562344693284 39.10027099421,17.1601113018813 39.0964063215364,17.1629456875092 39.092026487962,17.1646288597101 39.0872998819609,17.1650963559608 39.0824081883281)))', 'ITCRV', 'CROTONE', 'Y'),('SRID=4326;MULTIPOLYGON(((13.3509762271102 42.8334944832599,13.3504531485211 42.8286065517339,13.3486447374146 42.8238876310846,13.3456207529986 42.8195190132539,13.3414975896222 42.8156684951791,13.3364337758364 42.8124839436394,13.3306238704876 42.8100876290138,13.3242909921736 42.808571543238,13.3176782681815 42.807993879353,13.3110395279816 42.8083768056978,13.3046295933455 42.8097056186945,13.2986945314661 42.8119293060684,13.2934622387079 42.8149624991386,13.2891337107863 42.8186887403726,13.2858753305819 42.8229649426209,13.2838124681318 42.8276268711162,13.2830246396352 42.8324954401111,13.2835424149917 42.8373835844341,13.2853461982794 42.8421034435159,13.2883669348335 42.8464735825469,13.2924887247626 42.8503259730012,13.2975532486114 42.8535124630468,13.3033658394333 42.8559104871847,13.3097029697922 42.8574277932212,13.3163208650653 42.8580060023417,13.322964908501 42.8576228631996,13.3293794709575 42.8562931117697,13.3353177806979 42.8540679031946,13.3405514469003 42.8510328377444,13.3448792647557 42.8473046580048,13.3481349594854 42.843026746245,13.3501935698916 42.8383635974898,13.3509762271102 42.8334944832599)))', 'ITCSJ', 'Castro', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1314287975499 37.4999692145716,15.1308163807902 37.4950848405489,15.1290199390537 37.4903894883167,15.1261087015404 37.486063546168,15.1221946738005 37.4822731811224,15.1174283139559 37.4791639648715,15.1119927440067 37.4768552932146,15.1060967196719 37.4754358113651,15.099966627837 37.4749600188655,15.093837816127 37.4754461828433,15.0879455833292 37.4768756386419,15.0825161716397 37.4791935043078,15.0777581016415 37.4823107818974,15.0738541785575 37.4861077660264,15.0709544739915 37.4904386304292,15.069170551815 37.4951370183377,15.0685711611297 37.5000224239171,15.0691795648018 37.5049071212851,15.0709726106972 37.5096033760165,15.0738815866016 37.5139306624212,15.0777948312745 37.5177226088289,15.0825620058093 37.5208334027999,15.0879998641772 37.5231434083413,15.0938993022682 37.524563777168,15.1000334134834 37.5250398747027,15.106166238283 37.5245533873794,15.1120618669227 37.5231230290809,15.1174935402203 37.5208038191585,15.1222523932834 37.5176849602066,15.1261555016752 37.5138863983577,15.1290529178218 37.509554200071,15.1308334262429 37.504854925186,15.1314287975499 37.4999692145716)))', 'ITCTA', 'CATANIA', 'Y'),('SRID=4326;MULTIPOLYGON(((8.74298880192808 40.915078238679,8.74237388207109 40.9101946859811,8.7405151163916 40.9054959536992,8.73748416721336 40.9011625551783,8.73339766775144 40.8973609352729,8.72841271636697 40.8942370869422,8.72272083084088 40.8919109562078,8.71654059627352 40.8904718481527,8.71010928794291 40.8899750081602,8.70367378755752 40.8904395077815,8.69748113673549 40.891847515124,8.69176908451894 40.8941449773045,8.68675698593406 40.8972436891628,8.68263739603118 40.9010246700255,8.67956867883153 40.9053427207071,8.6776689138729 40.9100319879522,8.67701133565675 40.914912324834,8.67762148470278 40.9197962046991,8.67947618493742 40.9244959243375,8.68250439296381 40.9288308200884,8.6865898928826 40.9326342191576,8.69157573850466 40.9357598577245,8.69727027591002 40.9380875172201,8.70345451627403 40.9395276598215,8.70989057447219 40.9400248826444,8.71633084567121 40.9395600558557,8.72252756193923 40.9381510611558,8.72824235530659 40.9358521017446,8.73325545343197 40.9327516107222,8.73737414909461 40.9289688396236,8.74044021441384 40.9246492601814,8.74233597357687 40.919958958391,8.74298880192808 40.915078238679)))', 'ITCTK', 'CASTELSARDO', 'Y'),('SRID=4326;MULTIPOLYGON(((12.914627148205 38.017565393086,12.9141578351189 38.0126732273725,12.9124913314263 38.0079474855733,12.9096918888849 38.0035697328958,12.9058672370396 37.9997081328149,12.9011644206936 37.9965109954758,12.8957641391405 37.9941010917524,12.8898738061869 37.9925709494128,12.8837195970134 37.9919793100083,12.8775377848197 37.992348880724,12.8715656958678 37.9936654661864,12.8660326252265 37.9958785129218,12.8611510568524 37.9989030456997,12.8571085205982 38.0026229223175,12.8540603956337 38.0068952833743,12.8521239352954 38.0115560280789,12.8513737435785 38.0164261078162,12.85183887975 38.0213183975517,12.8535017066568 38.026044882438,12.8562985322983 38.0304238841395,12.860122025529 38.0342870490289,12.8648253179347 38.0374858287331,12.8702276377465 38.0398972023431,12.8761212608516 38.0414284183137,12.8822795111735 38.0420205716427,12.888465500284 38.041650876905,12.8944412660227 38.0403335483549,12.8999769535633 38.0381192525948,12.9048596805501 38.035093155008,12.9089017407424 38.0313716360252,12.9119478274472 38.0270978050825,12.9138809976345 38.0224359867476,12.914627148205 38.017565393086)))', 'ITCTR', 'CASTELLAMMARE DEL GOLFO', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8335553466486 42.0991756859456,11.8326934602497 42.0943164148807,11.8305755427273 42.0896757037468,11.827283209506 42.0854318195699,11.8229431190061 42.0817477544047,11.8177220846307 42.078764976566,11.8118206603106 42.0765980105399,11.8054654466813 42.0753300513681,11.7989004115173 42.0750097796926,11.7923775536328 42.0756494980136,11.7861472630449 42.0772246587208,11.7804487411345 42.0796748019156,11.7755008425066 42.0829058678202,11.7714936852982 42.0867937965795,11.7685813491811 42.0911892793679,11.766875941025 42.0959234807137,11.7664432582466 42.1008145144939,11.7673002208014 42.1056744266004,11.76941417649 42.1103164170277,11.7727041130407 42.1145620239893,11.777043736905 42.1182479931521,11.7822663057217 42.1212325663351,11.7881710319556 42.1234009457271,11.794530812285 42.1246697211142,11.8011009836963 42.1249900875928,11.8076287654275 42.1243497282297,11.81386301785 42.1227732882283,11.8195639364293 42.1203214222481,11.8245123016896 42.1170884523457,11.8285179244541 42.1131987282427,11.8314269586567 42.1088018320891,11.8331278001144 42.1040668145288,11.8335553466486 42.0991756859456)))', 'ITCVV', 'CIVITAVECCHIA', 'Y'),('SRID=4326;MULTIPOLYGON(((10.450989022541 42.8495742342848,10.4502217803857 42.8447035387715,10.4481781813747 42.8400365392106,10.444937003455 42.8357525174144,10.4406229583377 42.8320160093799,10.4354018753836 42.8289704969648,10.4294743224032 42.8267329106954,10.4230679094778 42.8253891524211,10.4164285697936 42.8249908074159,10.4098111483409 42.8255531702724,10.4034696541142 42.8270546591982,10.3976475434823 42.829437640914,10.3925684013424 42.8326106351291,10.3884273725561 42.8364518154426,10.3853836693465 42.8408136743494,10.3835544415582 42.8455286756106,10.3830102470331 42.8504156792434,10.3837723003476 42.8552868942511,10.385811611672 42.8599550931893,10.3890500558205 42.8642408116516,10.3933633372743 42.8679792553389,10.398585742934 42.8710266477082,10.4045165036198 42.873265772027,10.4109275209068 42.8746104922916,10.4175721606359 42.8750090767735,10.4241947709323 42.8744461944222,10.4305405528465 42.8729435061182,10.4363653972481 42.8705588277356,10.4414453030482 42.8673838978674,10.445585009126 42.8635408376001,10.4486255046291 42.8591774406449,10.4504501280574 42.8544614773942,10.450989022541 42.8495742342848)))', 'ITCVX', 'CAVO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8493918406744 39.6827675832787,15.8487096716819 39.6778894403186,15.8468091923336 39.6732078354793,15.8437636479419 39.6689026213471,15.8396902140668 39.6651391600174,15.8347454727461 39.6620619812449,15.829119388769 39.659789243143,15.8230280184292 39.6584082060414,15.8167052295743 39.6579718912262,15.8103937476519 39.658497051131,15.8043358667723 39.6599635278111,15.798764176864 39.6623150240101,15.7938926574543 39.6654612577332,15.789908475468 39.6692814188728,15.7869647990671 39.6736287969979,15.7851749026812 39.6783364047193,15.7846077910853 39.6832233827516,15.7852855141408 39.6881019423812,15.7871822804666 39.6927845797504,15.7902254100239 39.6970912850798,15.7942980948896 39.7008564692529,15.7992438670564 39.7039353402277,15.8048726047986 39.7062094822683,15.810967847811 39.7075914213079,15.8172951386664 39.7080279987484,15.823611066528 39.7075024221737,15.8296726604311 39.706034912963,15.8352467651727 39.7036819255661,15.8401190335893 39.7005339689994,15.8441021847272 39.6967121156578,15.8470432073621 39.6923633335948,15.8488292310765 39.687654823936,15.8493918406744 39.6827675832787)))', 'ITDIA', 'DIAMANTE', 'Y'),('SRID=4326;MULTIPOLYGON(((13.4318981313786 38.6174319234586,13.4313915643002 38.6125414149036,13.4296788424696 38.6078223964526,13.4268259975057 38.6034561714911,13.4229428116059 38.5996104571863,13.4181785760721 38.5964329505436,13.412716344659 38.5940456664316,13.4067659040061 38.5925402630449,13.4005557305076 38.5919745322573,13.394324239844 38.5923701878119,13.3883106609358 38.5937120349698,13.3827458795513 38.5959485529078,13.3778435978263 38.5989938677137,13.373792144527 38.6027310412039,13.370747247329 38.6070165508821,13.3688260433892 38.6116857909834,13.3681025591077 38.6165593853975,13.3686048356146 38.6214500718131,13.3703138149531 38.6261698939356,13.3731640352646 38.6305374260282,13.3770461139313 38.6343847519249,13.3818109282181 38.6375639292701,13.3872753362607 38.6399526888459,13.3932292200479 38.6414591478314,13.3994435789992 38.6420253536475,13.4056793602366 38.6416295202321,13.4116966816379 38.640286869402,13.4172640876741 38.6380490443322,13.4221674766302 38.6350021179342,13.4262183511743 38.6312632737416,13.4292610717416 38.6269762886004,13.4311788325479 38.6223059929008,13.4318981313786 38.6174319234586)))', 'ITFAL', 'Falconara Marittima', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0515326200135 43.8335942006216,13.0510278442468 43.8287060145384,13.0492156557081 43.8239830246073,13.0461659743552 43.8196066785842,13.0419961945035 43.8157450682455,13.0368666435695 43.8125464832321,13.0309744079113 43.8101337290758,13.0245457649638 43.8085994252212,13.0178275115587 43.8080024611053,13.0110775180161 43.808365744153,13.0045548651908 43.8096753245555,12.9985099363971 43.8118809296934,12.9931748376588 43.8148978879177,12.9887545080092 43.818610368993,12.9854188569019 43.8228758187092,12.9832962288833 43.8275304197699,12.9824684475281 43.8323953717394,12.9829676326967 43.8372837510672,12.9847749192296 43.8420076892723,12.9878211334548 43.8463855942328,12.9919894088959 43.8502491368384,12.9971196471698 43.8534497332782,13.003014657278 43.855864271799,13.009447739401 43.8573998613025,13.0161714208828 43.8579974166232,13.0229270050271 43.8576339403306,13.0294545598599 43.8563234116533,13.0355029557803 43.8541162475771,13.0408395589261 43.8510973570854,13.0452592012323 43.8473828645839,13.0485920778878 43.8431156305041,13.0507102667318 43.8384597437954,13.0515326200135 43.8335942006216)))', 'ITFAO', 'FANO', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((12.3645785415935 37.9337119741288,12.3641461063497 37.92881885855,12.3625169179344 37.92408657238,12.3597537957729 37.9196969350103,12.3559630770788 37.9158185686523,12.3512905073064 37.9126004288043,12.3459156286031 37.910166093353,12.3400448835089 37.9086090277417,12.3339036983899 37.9079890060111,12.3277278482624 37.9083298232998,12.3217544306284 37.9096183862636,12.3162127899562 37.9118052156302,12.3113157361157 37.9148063416719,12.3072513893815 37.9185065206551,12.3041759618754 37.922763650245,12.302207751198 37.9274142162061,12.3014225775444 37.9322795632417,12.3018508421817 37.9371727509568,12.303476324541 37.9419057329476,12.30623676941 37.9462965838904,12.3100262471686 37.9501764968185,12.3146992012845 37.9533962807823,12.3200760310976 37.9558321075934,12.3259499970294 37.9573902847623,12.3320951823706 37.9580108690237,12.3382752031067 37.9576699795985,12.3442523267979 37.9563807208134,12.3497966447622 37.9541926778729,12.3546949395362 37.9511900052608,12.3587589019248 37.947488182162,12.3618323783199 37.9432295612128,12.3637973681601 37.9385778836948,12.3645785415935 37.9337119741288)))', 'ITFAV', 'FAVIGNANA', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2663835693649 41.7677997454882,12.2659492675413 41.7629085764064,12.2642489545996 41.758174810422,12.261348227678 41.7537803173955,12.2573587441598 41.7498938956453,12.2524339028043 41.7466647972451,12.2467629358378 41.7442170077045,12.2405636409749 41.7426444975267,12.2340740320324 41.7420076256588,12.2275432258825 41.7423308308242,12.2212219108417 41.7436016978098,12.2153527564517 41.7457714337619,12.21016112659 41.7487567363123,12.2058464469227 41.7524429827912,12.2025745541745 41.7566886197928,12.2004713192297 41.7613305867257,12.1996177896898 41.7661905673949,12.200047041618 41.7710818316143,12.2017428665531 41.7758164056095,12.2046403506146 41.7802122965077,12.2086283301155 41.7841004931774,12.2135536352701 41.7873314733297,12.2192269632434 41.7897809649751,12.2254301568795 41.7913547384804,12.2319246088084 41.791992242568,12.2384604648567 41.7916689422647,12.2447862679058 41.7903972672677,12.2506586651553 41.7882261334431,12.2558517990316 41.7852390559727,12.2601660148969 41.7815509277419,12.2634355466366 41.7773035886362,12.2655348828088 41.7726603583766,12.2663835693649 41.7677997454882)))', 'ITFCO', 'FIUMICINO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8334966146551 41.9167617330254,15.832789535396 41.9118855850557,15.8308226790158 41.9072061355343,15.8276718669145 41.9029031496353,15.8234583365953 41.8991418970097,15.8183440592853 41.8960668145256,15.8125255082992 41.8937959717546,15.8062261186891 41.8924165494465,15.7996877264171 41.8919815023507,15.7931613121348 41.892507532646,15.7868973996078 41.8939744505785,15.7811364711791 41.8963259465027,15.7760997620885 41.8994717452364,15.7719807819675 41.9032910613916,15.768937885766 41.9076372249975,15.7670881784667 41.9123433020953,15.7665029892886 41.9172284967181,15.7672050931596 41.9221050902396,15.7691677919048 41.9267856527263,15.7723158970863 41.9310902495652,15.776528583305 41.9348533658547,15.7816440078411 41.9379302810009,15.7874655227259 41.9402026464255,15.7937692416807 41.9415830495687,15.8003126696396 41.9420183863576,15.8068440593127 41.9414919105101,15.8131121294757 41.9400238796115,15.818875764823 41.9376707727465,15.8239133180112 41.9345231103486,15.8280311509033 41.9307019615318,15.831071083205 41.9263542752731,15.832916461161 41.9216472173409,15.8334966146551 41.9167617330254)))', 'ITFCV', 'Foce Varano', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2016130153124 43.9496412138149,10.2008497089148 43.9447696846139,10.1987859270627 43.9400993173629,10.1955012393165 43.9358095219258,10.191122041124 43.9320650532346,10.185816671229 43.9290096949991,10.1797889351931 43.9267607515351,10.1732702850001 43.9254045567503,10.1665109534785 43.9249931703096,10.1597703798298 43.9255423858352,10.1533072878587 43.9270311263527,10.1473697908689 43.9294022498532,10.1421858962844 43.9325647346848,10.1379547689107 43.9363971623829,10.1348390847089 43.940752366381,10.1329587677527 43.9454630705838,10.1323863527755 43.9503483036891,10.1331441558772 43.9552203448955,10.1352033684625 43.9598919354415,10.1384851166001 43.9641834792277,10.1428634523715 43.9679299551521,10.1481701683293 43.970987273922,10.1542012539869 43.9732378327477,10.1607247474111 43.9745950517972,10.1674896784349 43.9750067154705,10.1742357553829 43.974456987939,10.1807034166219 43.9729670241257,10.1866438532186 43.9705941522752,10.1918286102208 43.96742966021,10.1960583915283 43.9635952719781,10.1991707261074 43.9592384526192,10.2010461998341 43.9545267241525,10.2016130153124 43.9496412138149)))', 'ITFDM', 'FORTE DEI MARMI', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2334257599058 41.8508106280143,12.2329937536311 41.8459194557552,12.231294026712 41.8411852691395,12.2283921550031 41.8367899541982,12.2243998409214 41.8329023407029,12.2194705926893 41.8296717262754,12.2137938121144 41.8272221543554,12.20758752006 41.8256476635823,12.2010899985238 41.8250086886821,12.1945506673944 41.8253297489382,12.1882205413564 41.8265985114216,12.1823426273173 41.8287662641472,12.1771426247421 41.8317497810928,12.1728202803669 41.8354345084577,12.1695417252361 41.8396789515446,12.1674330865273 41.8443200960033,12.1665756202212 41.8491796575809,12.167002554729 41.8540709224561,12.1686977718911 41.8588059169731,12.171596382422 41.8632026321056,12.1755871803898 41.8670920249156,12.1805168883872 41.870324526897,12.1861960346122 41.872775807247,12.192406238053 41.874351567233,12.1989086212387 41.8749911789028,12.205453024138 41.8746700260305,12.2117876599348 41.8734004556451,12.2176688351511 41.8712313027274,12.2228703538376 41.8682460064667,12.2271922384445 41.8645593915481,12.2304684279236 41.8603132400319,12.2325731552466 41.8556708263611,12.2334257599058 41.8508106280143)))', 'ITFGE', 'FREGENE', 'Y'),('SRID=4326;MULTIPOLYGON(((14.316762459058 42.4172062052307,14.3161667466177 42.412321777405,14.3142967285441 42.4076172967335,14.3112245203925 42.4032734964043,14.307068357119 42.3994572177213,14.3019880233251 42.3963150119654,14.2961787029231 42.3939675246588,14.2898634860561 42.3925048755883,14.2832848200361 42.3919832096517,14.2766952291578 42.3924225489389,14.2703476544186 42.3938060271263,14.2644857776999 42.3960805350244,14.2593346954914 42.3991587528671,14.2550922947555 42.4029224925536,14.2519216583663 42.4072272234314,14.2499447904249 42.4119076101407,14.2492379036975 42.4167838521939,14.2498284539044 42.4216685838203,14.2516940404209 42.4263740704159,14.2547632223559 42.43071942565,14.2589182254676 42.4345375714985,14.2639994417792 42.4376816724217,14.2698115530237 42.4400307943754,14.2761310441779 42.4414945687122,14.2827148172081 42.4420166792227,14.2893095703229 42.4415770361344,14.2956615766205 42.4401925520221,14.3015264795547 42.4379164892184,14.3066787219221 42.4348364042098,14.3109202401373 42.4310707693562,14.3140880856825 42.4267644038321,14.3160606793379 42.4220828918574,14.316762459058 42.4172062052307)))', 'ITFME', 'Francavilla al Mare', 'Y'),('SRID=4326;MULTIPOLYGON(((8.3677450209974 44.1671975799595,8.36712956947172 44.1623147721672,8.36520283900231 44.1576121909461,8.36203914783193 44.1532704924908,8.35776026209509 44.1494564314783,8.35253068800617 44.1463164671488,8.3465513392541 44.1439711521442,8.34005182456414 44.1425105171258,8.333281650491 44.141990625903,8.32650067347883 44.1424314311906,8.31996916197173 44.1438160118473,8.31393784316926 44.1460912202994,8.30863830953938 44.1491697157002,8.30427414741717 44.1529333060948,8.30101312426741 44.1572374733155,8.29898073316497 44.1619169093207,8.29825534381041 44.1667918538632,8.29886515040305 44.1716749922222,8.30078703978991 44.1763786495096,8.30394743073879 44.1807220057097,8.30822505954428 44.184538053769,8.31345561134914 44.1876800319376,8.31943802361684 44.1900270809847,8.32594222122997 44.1914889062565,8.33271798470093 44.1920092627383,8.33950460664968 44.1915681268836,8.34604095924093 44.1901824701596,8.3520755782636 44.1879056039619,8.3573763688214 44.1848251215138,8.36173955322411 44.1810595172806,8.36499751285665 44.1767536160183,8.36702522103723 44.1720729897605,8.3677450209974 44.1671975799595)))', 'ITFNL', 'FINALE LIGURE', 'Y'),('SRID=4326;MULTIPOLYGON(((10.7840202584327 42.9164747329007,10.7832258831515 42.9116068085667,10.7811550033279 42.9069462957812,10.7778874438456 42.9026722253865,10.7735489274983 42.8989487497487,10.7683062204381 42.8959188493591,10.7623607175265 42.8936988549913,10.7559407149728 42.8923739933719,10.7492926653598 42.8919951250853,10.7426717468138 42.8925767980898,10.7363321026431 42.8940966904263,10.7305171195585 42.8964964632698,10.7254501112863 42.8996839922623,10.7213257600095 42.9035368929813,10.7183026409964 42.9079072073079,10.716497116737 42.912627073145,10.715978837016 42.9175151620688,10.7167680221105 42.9223836395292,10.7188346396159 42.9270453813696,10.7220995135476 42.9313211696355,10.7264373299631 42.9350465904306,10.7316814292693 42.9380783671311,10.7376302046484 42.940299883312,10.7440548616877 42.9416256805643,10.750708239201 42.9420047558616,10.7573343479368 42.9414225297303,10.7636782544265 42.9399014083381,10.76949592306 42.9374999176226,10.7745636312607 42.9343104434726,10.7786865902886 42.9304556664431,10.7817064368333 42.9260838303043,10.7835073066087 42.9213630288352,10.7840202584327 42.9164747329007)))', 'ITFOL', 'FOLLONICA', 'Y'),('SRID=4326;MULTIPOLYGON(((13.6501477536702 41.2503934511434,13.6496113320826 41.2455054371429,13.6478219161923 41.2407903091027,13.6448485134116 41.2364292149288,13.6408055576514 41.2325896662964,13.6358484862415 41.2294191138698,13.6301677561637 41.2270392962239,13.6239815311055 41.2255415772996,13.6175273194079 41.2249834491776,13.6110528809299 41.2253863324695,13.6048067470873 41.2267347573786,13.5990287121123 41.2289769562566,13.5939406545572 41.2320268451803,13.5897380362024 41.2357673195781,13.5865824011738 41.2400547391545,13.584595161897 41.2447244320846,13.5838529115783 41.2495970093583,13.5843844466297 41.2544852487343,13.5861696186357 41.2592012852651,13.5891400662768 41.2635638327356,13.5931818055355 41.2674051582193,13.5981395842837 41.2705775405426,13.6038228378546 41.2729589625454,13.610013018382 41.2744578160378,13.6164720153404 41.2750164362112,13.6229513403574 41.2746133275436,13.6292017180857 41.2732639941431,13.6349827081994 41.2710203419679,13.6400719822535 41.2679686761924,13.6442738932671 41.2642263718981,13.6474270048011 41.2599373479656,13.6494102886097 41.2552665204683,13.6501477536702 41.2503934511434)))', 'ITFOM', 'FORMIA', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5988873143378 38.5671136084968,14.5983017965581 38.5622274594801,14.5965135999746 38.5575248596546,14.5935916502189 38.5531864762188,14.5896483757007 38.5493789529112,14.5848353658798 38.5462485178487,14.5793375379728 38.5439153781864,14.5733660374305 38.5424691148632,14.5671501439771 38.5419652522521,14.5609284911799 38.5424231326957,14.5549399323224 38.54382517635,14.5494143980784 38.5461175543033,14.5445640917629 38.5492122494751,14.5405753557621 38.5529904272616,14.5376015184758 38.5573069881833,14.5357569954319 38.561996129715,14.5351128722437 38.566877705728,14.5356941421913 38.5717641410194,14.5374787092308 38.5764676364917,14.5403982002957 38.5808073885926,14.5443405612897 38.5846165452168,14.5491543418294 38.5877486295898,14.5546545073635 38.5900831834638,14.5606295565591 38.5915304105991,14.5668496694414 38.5920346398906,14.5730755700728 38.5915764731721,14.5790677584752 38.5901735338704,14.5845957514092 38.5878797872514,14.5894469712468 38.5847834587627,14.5934349365266 38.5810036316659,14.5964064361848 38.5766856565331,14.5982474105763 38.57199555119,14.5988873143378 38.5671136084968)))', 'ITFPO', 'Filicudi Porto', 'Y'),('SRID=4326;MULTIPOLYGON(((13.8828927280802 40.7333230641853,13.8823423879267 40.7284355338447,13.880549388368 40.7237235717445,13.8775828671052 40.719368204032,13.8735569873736 40.7155367231061,13.8686265262096 40.7123762711439,13.8629809166761 40.7100082006403,13.8568369744605 40.7085234263856,13.8504305873723 40.7079789451518,13.8440076838176 40.708395654792,13.8378148222448 40.7097575551343,13.8320897570865 40.7120123607748,13.827052337523 40.7150735025354,13.8228960834319 40.7188234418578,13.8197807585086 40.7231181726406,13.8178262244385 40.7277927398068,13.8171078132209 40.7326675648811,13.817653398722 40.7375553375519,13.8194422850723 40.7422682098394,13.8224059607689 40.7466250170286,13.8264306957887 40.7504582475734,13.8313618873674 40.7536204929333,13.8370099912441 40.7559901275847,13.8431578119903 40.7574759986099,13.8495688713252 40.7580209422633,13.855996529535 40.7576039902926,13.8621935043175 40.7562411797623,13.867921415041 40.7539849346444,13.8729599793139 40.7509220432645,13.8771155029875 40.7471703105447,13.8802283335664 40.7428740156148,13.8821789891067 40.7381983516788,13.8828927280802 40.7333230641853)))', 'ITFRD', 'Forio', 'Y'),('SRID=4326;MULTIPOLYGON(((13.6161220399299 41.2004028450879,13.6155884631908 41.1955146772538,13.6138027694947 41.190799040175,13.6108338227968 41.1864371015797,13.6067958856382 41.1825964058559,13.6018442026714 41.1794244479746,13.5961690242686 41.1770430206739,13.5899883014451 41.1755435498106,13.5835393318771 41.1749835947449,13.5770696747432 41.1753846461543,13.5708276783571 41.176731304422,13.5650529783675 41.1789718695313,13.5599673252917 41.1820203200818,13.5557660883249 41.1857596065528,13.5526107580434 41.1900461341474,13.5506227344862 41.194715265261,13.5498786402158 41.1995876325197,13.5504073417329 41.2044760218954,13.5521887988685 41.2091925628943,13.5551547926452 41.2135559501748,13.5591915100774 41.2173984187998,13.5641438922056 41.2205722038903,13.5698215822171 41.2229552345321,13.5760062467273 41.2244558407742,13.5824599879736 41.2250162904049,13.5889345203324 41.2246150174538,13.5951807532802 41.2232674552652,13.6009584061902 41.2210254414698,13.6060452789898 41.2179752180178,13.6102458167924 41.2142341043377,13.6133986354639 41.2099459734027,13.6153827173353 41.2052757069112,13.6161220399299 41.2004028450879)))', 'ITGAE', 'GAETA', 'Y'),('SRID=4326;MULTIPOLYGON(((9.65002943439059 40.999818473691,9.64934687574932 40.9949402493267,9.64742153289785 40.9902566186847,9.64432762229165 40.9859475104045,9.64018418938065 40.9821784328392,9.63515051128086 40.9790941271016,9.62941996871404 40.9768130203209,9.62321262377414 40.9754226899035,9.61676678732772 40.9749765107748,9.61032989641801 40.9754916125126,9.60414904685415 40.9769482236211,9.59846153852879 40.9792904277596,9.59348579057635 40.9824283034058,9.58941297026826 40.986241366115,9.58639965390053 40.9905831831153,9.58456180058048 40.9952869852626,9.58397027185271 41.000172063024,9.58464807298832 41.0050507026577,9.58656942734245 41.009735397318,9.58966072567196 41.0140460563784,9.59380332022264 41.0178169353937,9.59883806151181 41.0209030189968,9.60457140695735 41.0231856093943,9.61078286775264 41.0245769033127,9.61723350642918 41.025023379142,9.62367515484716 41.0245078621344,9.62985999290937 41.0230501870069,9.6355501135102 41.0207064320875,9.64052669982026 41.017566754991,9.64459845693636 41.0137519144168,9.64760897042437 41.0094086138002,9.64944270789024 41.0047038481527,9.65002943439059 40.999818473691)))', 'ITGAI', 'GOLFO ARANCI', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0085265442904 40.05515919831,18.0076870228025 40.0502992657452,18.0056301169367 40.0456585402914,18.0024350740892 40.0414152933313,17.9982247986263 40.0377324984565,17.9931611104471 40.0347515824916,17.9874385231472 40.0325870058853,17.9812767813445 40.0313218784142,17.9749124420635 40.0310047765069,17.9685898197393 40.0316478828074,17.9625516373965 40.0332265185149,17.9570297372021 40.035680086398,17.9522362015806 40.0389143890567,17.9483552214439 40.0428052349264,17.9455360212298 40.0472031955598,17.9438871121014 40.0519393336913,17.9434720959871 40.0568316841452,17.9443071856297 40.0616922402445,17.9463605413761 40.0663341782216,17.9495534563033 40.0705790420983,17.953763350002 40.0742636121221,17.9588284606937 40.0772461912183,17.9645540582187 40.0794120657412,17.9707199396798 40.0806779283183,17.9770889178266 40.0809950906074,17.9834159719982 40.080351360772,17.989457704461 40.0787715125404,17.9949817325742 40.0763163277402,17.9997756499573 40.0730802499323,18.0036552075792 40.0691877409317,18.0064713975677 40.0647884823824,18.0081161670392 40.0600516091456,18.0085265442904 40.05515919831)))', 'ITGAL', 'GALLIPOLI', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2812467846942 37.0671934581871,14.2806925124302 37.0623047894035,14.278958952277 37.0575966920869,14.2761129170513 37.0532500488667,14.2722639102321 37.0494318260071,14.2675598977845 37.0462886680737,14.2621816142383 37.0439412757876,14.2563356229847 37.0424797810994,14.2502463965827 37.041960295165,14.2441477186192 37.0424027601107,14.2382737332664 37.0437901859212,14.2328499813801 37.0460693012842,14.2280847624456 37.0491525936919,14.2241611498718 37.052921661472,14.2212299634195 37.0572317505992,14.2194039676284 37.0619173039557,14.2187535200321 37.0667983118448,14.2193038391656 37.0716872215007,14.2210340016241 37.0763961413154,14.2238777118594 37.0807440634416,14.227725820351 37.0845638269135,14.2324304978966 37.0877085526213,14.2378109087118 37.0900573011643,14.2436601655479 37.091519734114,14.2497532986907 37.0920395974726,14.2558559297867 37.0915968916543,14.261733312835 37.0902086433451,14.2671593897111 37.0879282490755,14.2719255069712 37.0848434160553,14.2758484544451 37.081072780501,14.2787775136275 37.0767613351174,14.2806002438368 37.0720748435,14.2812467846942 37.0671934581871)))', 'ITGEA', 'GELA', 'Y'),('SRID=4326;MULTIPOLYGON(((16.882109652431 39.0994859038637,16.8813629189034 39.0946147826343,16.8794112162243 39.0899507454857,16.8763297461647 39.0856729665215,16.8722370523114 39.0819457523092,16.8672904456372 39.0789122407769,16.8616799544656 39.0766889152266,16.8556210320189 39.0753611420526,16.8493463002262 39.0749799015092,16.8430966434911 39.0755598354459,16.8371119896292 39.0770786859937,16.831622126499 39.0794781465697,16.8268379016413 39.0826660931539,16.8229431385276 39.0865201115172,16.8200875771798 39.0908921868254,16.8183811096962 39.0956143776316,16.8178895337161 39.1005052583552,16.8186319905597 39.1053768844072,16.8205801915433 39.1100420133621,16.8236594679973 39.1143213048986,16.8277516102917 39.118050222174,16.8326993914241 39.1210853679843,16.8383126042708 39.1233100102233,16.8443753812592 39.1246385820429,16.8506545136411 39.1250199816019,16.8569084470624 39.1244395428421,16.8628966026204 39.1229196004874,16.868388659355 39.1205186273385,16.8731734357692 39.117328977691,16.8770670244225 39.1134733250501,16.8799198640946 39.1090999330538,16.8816224770376 39.1043769436027,16.882109652431 39.0994859038637)))', 'ITGIA', 'Giardini Naxos', 'Y'),('SRID=4326;MULTIPOLYGON(((15.9318179605332 38.4167513242154,15.9311439051435 38.4118725365263,15.9292732668006 38.4071909296059,15.9262781306682 38.4028863582626,15.9222737260453 38.3991241633446,15.9174139787705 38.3960488301808,15.9118855900915 38.3937784503417,15.9059008704161 38.3924001973887,15.8996896020216 38.3919669883614,15.8934902401382 38.3924954575587,15.8875407857664 38.3939653193662,15.8820696754443 38.3963201443057,15.8772870326071 38.3994695190127,15.8733766121843 38.4032925084343,15.8704887450284 38.4076422890652,15.8687345523869 38.4123517773247,15.868181654009 38.4172400389036,15.8688515380806 38.4221192345364,15.8707186988327 38.4268018364146,15.8737115805331 38.431107838257,15.8777152970999 38.4348716814348,15.8825760274455 38.4379486296866,15.8881069206586 38.4402203455594,15.8940952850393 38.4415994520925,15.9003107834367 38.4420329022964,15.9065143166404 38.4415040251553,15.9124672486038 38.4400331683892,15.9179406133568 38.43767691295,15.9227239442478 38.434525889983,15.9266333815978 38.4307012854737,15.9295187442188 38.4263501688098,15.931269292156 38.4216398269708,15.9318179605332 38.4167513242154)))', 'ITGIT', 'GIOIA TAURO', 'Y'),('SRID=4326;MULTIPOLYGON(((9.18485497602309 44.3499489115808,9.18416996985347 44.3450707663133,9.18217215882335 44.3403822211219,9.17893858987484 44.3360633883909,9.17459370800734 44.3322801407738,9.16930454650936 44.3291777516719,9.16327429862696 44.3268753299011,9.1567345190969 44.325461259769,9.14993625367634 44.3249898191649,9.14314043328963 44.3254791034117,9.13660789561444 44.3269103331922,9.13058941014287 44.3292285726455,9.12531608263621 44.3323448305788,9.1209905014459 44.3361394655499,9.11777896174611 44.3404667662058,9.11580506502009 44.3451605334986,9.11514494124257 44.3500404528975,9.11582428157737 44.3549190139602,9.11781730193944 44.3596087128509,9.12104768472213 44.3639292615452,9.12539146999125 44.3677145261499,9.13068179140621 44.3708189261957,9.13671527913487 44.3731230467186,9.14325988520356 44.3745382447914,9.15006382905805 44.3750100708056,9.15686531528311 44.3745203707632,9.16340264362779 44.3730879872825,9.16942431526367 44.3707680318649,9.17469873936515 44.3676497569437,9.17902316063495 44.3638531110291,9.18223146048704 44.3595241116219,9.18420053067593 44.3548292163894,9.18485497602309 44.3499489115808)))', 'ITGLJ', 'CAMOGLI', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8016046576457 43.9676713384625,12.8011196847149 43.9627825571202,12.7993237641729 43.9580560325005,12.796286194228 43.9536733491778,12.79212390749 43.9498028429175,12.7869969468894 43.9465931450765,12.7811023019233 43.9441674875198,12.7746663441063 43.9426189843699,12.7679361514482 43.9420070692574,12.7611700517305 43.9423552226279,12.7546277421788 43.9436500747334,12.748560358092 43.9458419179715,12.7432008647134 43.9488466091022,12.7387551350756 43.9525487894541,12.7353940520479 43.956806301392,12.7332469360094 43.9614556338553,12.7323965515138 43.9663181903555,12.7328758883997 43.9712071409387,12.7346668468469 43.9759345965377,12.7377008840809 43.9803188308455,12.7418616053152 43.9841912719732,12.7469892059539 43.9874029939982,12.7528865990604 43.9898304568916,12.7593269947412 43.9913802716847,12.7660626393618 43.9919928050609,12.772834375128 43.9916444824494,12.7793816467764 43.9903486993637,12.7854525635731 43.9881553051396,12.7908136224522 43.985148679141,12.7952587120484 43.9814444746053,12.7986170469338 43.9771851573315,12.8007597251094 43.9725345132259,12.8016046576457 43.9676713384625)))', 'ITGMA', 'GABICCE MARE', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7315945393109 37.9506137023532,12.7311376283455 37.94572114688,12.729484298509 37.9409931742832,12.7266982954619 37.9366114364584,12.7228868331486 37.9327442507999,12.7181964509491 37.9295401425706,12.7128073721148 37.9271221506221,12.7069265818119 37.9255831132497,12.7007798901706 37.924982113192,12.6946032827047 37.925342216469,12.6886338862277 37.9266495905349,12.6831008921752 37.9288540349447,12.6782167806935 37.9318709042779,12.6741691779258 37.9355843503655,12.6711136559512 37.9398517608359,12.6691677504939 37.9445092254442,12.6684064268478 37.9493778222701,12.6688591708604 37.9542704841566,12.670508821032 37.9589991829566,12.6732921918977 37.9633821562165,12.6771024702389 37.9672508984583,12.681793296925 37.9704566474438,12.6871843810361 37.9728761145308,12.6930684321208 37.9744162368476,12.6992191436246 37.9750177664824,12.7053999180455 37.9746575567918,12.7113729941884 37.9733494565223,12.7169086204218 37.9711437766767,12.7217939158737 37.9681253507597,12.7258410741527 37.9644102639162,12.7288945908493 37.9601413783078,12.7308372355253 37.9554828287558,12.7315945393109 37.9506137023532)))', 'ITGOA', 'GENOVA', 'Y'),('SRID=4326;MULTIPOLYGON(((12.339118353305 44.8528242224972,12.3386681536839 44.847934937427,12.3368859272089 44.8432020610365,12.3338404618272 44.8388074225265,12.3296490074047 44.8349198158779,12.3244727373511 44.8316885268285,12.3185105399694 44.8292376130655,12.3119913803527 44.8276611548349,12.3051655255629 44.8270196557416,12.2982949666236 44.8273377295954,12.2916433993907 44.8286031603839,12.2854661418977 44.8307673706092,12.2800003679129 44.8337472801586,12.2754560251586 44.8374284854716,12.2720077822337 44.841669638884,12.2697883114031 44.8463078624443,12.2688831660953 44.8511649909036,12.2693274535762 44.8560544064461,12.2711044366598 44.8607882043494,12.274146125657 44.8651844151208,12.2783358456225 44.8690740054171,12.2835126872027 44.8723073875083,12.2894776750856 44.8747601850603,12.2960014193503 44.8763380310374,12.3028329549633 44.8769802105625,12.3097094260467 44.8766620062361,12.3163662366732 44.875395653934,12.3225472705498 44.8732298714463,12.3280147789882 44.8702479782487,12.332558550212 44.8665646798941,12.3360040026335 44.8623216426935,12.3382188888171 44.8576820313877,12.339118353305 44.8528242224972)))', 'ITGOO', 'GORO', 'Y'),('SRID=4326;MULTIPOLYGON(((9.93431992172988 43.4327247250578,9.93358547129754 43.4278507218047,9.93156068351403 43.4231747648658,9.92832362440904 43.4188764813682,9.9239988573371 43.4151209550027,9.9187526310565 43.4120523967095,9.91278648329548 43.4097886197404,9.90632950674419 43.4084165288332,9.89962957300118 43.407988794321,9.89294384749777 43.408521836898,9.8865289537639 43.4099951991449,9.88063115789498 43.4123523275811,9.87547694339718 43.415502735811,9.87126433274068 43.4193254671748,9.868155285296 43.4236737260616,9.86626946258817 43.4283805024803,9.86567960207198 43.4332649762769,9.86640868139622 43.438139457003,9.86842898827027 43.4428165941104,9.87166313884205 43.4471165808022,9.87598701255515 43.450874074092,9.88123449665782 43.4539445635932,9.88720386193048 43.456209942045,9.89366552584625 43.4575830608983,9.90037090319753 43.458011093324,9.90706199981222 43.4574775732737,9.91348137445671 43.4560030308574,9.91938207885731 43.4536441992261,9.9245371867106 43.4504918240716,9.92874853954185 43.4466671615002,9.93185436947372 43.4423173011316,9.9337355048186 43.4376094967677,9.93431992172988 43.4327247250578)))', 'ITGOR', 'GORGONA', 'Y'),('SRID=4326;MULTIPOLYGON(((13.4226570963606 45.6794979868058,13.4221090373842 45.6746122639207,13.420212054423 45.6698953498865,13.4170393515513 45.6655284531,13.4127130665048 45.6616792947167,13.4073995447478 45.658495677879,13.4013029334997 45.6560998256505,13.3946573439063 45.6545837025239,13.3877178814071 45.6540054964923,13.3807508848677 45.6543873944213,13.374023743104 45.6557147344708,13.3677946722963 45.657936567376,13.3623028391069 45.6609676053429,13.3577592020529 45.6646914850335,13.3543384181671 45.6689652214526,13.3521721238724 45.6736246842866,13.3513438493393 45.6784908890516,13.3518857658257 45.6833768637651,13.35377739746 45.6880948290323,13.3569463548584 45.6924634164159,13.3612710704997 45.6963146473824,13.3665854378484 45.6995004032577,13.3726851809521 45.7018981353289,13.379335711869 45.7034155929142,13.3862811728874 45.703994384861,13.3932543119209 45.7036122351033,13.3999868050137 45.7022838438198,13.4062196212935 45.7000603203165,13.4117130238841 45.6970272097659,13.4162558153424 45.6933011910379,13.4196734673705 45.6890255747771,13.4218348203429 45.6843647774855,13.4226570963606 45.6794979868058)))', 'ITGRD', 'GRADO', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9839396561185 42.7503061610332,13.9833672652778 42.7454205199243,13.9815128586345 42.7407110350608,13.9784479581253 42.7363586328522,13.974290523894 42.7325304852093,13.9692003941831 42.7293735986938,13.9633731322091 42.7270091814146,13.957032518074 42.7255280016727,13.9504219731179 42.7249869142038,13.9437952426018 42.7254066853282,13.937406689133 42.7267711990686,13.9315015630723 42.7290280741122,13.9263066169408 42.7320906682681,13.9220214185585 42.7358413946774,13.9188106926202 42.7401362243643,13.9167979833543 42.7448102045612,13.9160608828518 42.7496837832669,13.9166280120511 42.7545696991938,13.9184778760362 42.7592801738777,13.9215396444487 42.763634130218,13.9256958339782 42.7674641597018,13.9307867958775 42.770622969274,13.9366168402376 42.772989058058,13.9429617633637 42.774471403281,13.9495774879109 42.7750129727733,13.9562094800715 42.7745929268305,13.9626025761999 42.773227423269,13.9685108343564 42.7709689940928,13.9737070251866 42.7679045180956,13.9779913913774 42.7641518686298,13.9811993349282 42.759855367439,13.983207735204 42.7551802217619,13.9839396561185 42.7503061610332)))', 'ITGUI', 'GIULIANOVA', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7001088356541 41.1825159032602,16.6993464921719 41.1776454861448,16.6973414079073 41.1729809851463,16.6941708592736 41.1687015886186,16.6899568287345 41.1649716594556,16.6848612958487 41.1619344327114,16.6790800069665 41.1597065269779,16.672834963821 41.1583734780415,16.6663659179863 41.1579864641474,16.6599211941321 41.1585603468482,16.6537481891549 41.1600731015759,16.6480839059141 41.1624666595666,16.6431458791336 41.1656491294574,16.6391238370523 41.1694983146889,16.6361724160077 41.1738663936494,16.6344052070375 41.1785855851027,16.6338903649062 41.1834745835005,16.6346479521879 41.1883455187674,16.6366491260477 41.193011174276,16.6398172053959 41.1972921859088,16.6440305836955 41.201023944887,16.6491273806858 41.2040629375836,16.6549116575688 41.2062922765566,16.6611609577153 41.2076262078215,16.6676348814614 41.2080134188065,16.6740843615187 41.2074390179538,16.6802612769015 41.2059251087151,16.6859280294264 41.2035299356187,16.6908667084437 41.2003456359125,16.6948874864178 41.1964946847289,16.6978359194608 41.1921251725298,16.6995988714313 41.1874050987487,16.7001088356541 41.1825159032602)))', 'ITGVZ', 'GIOVINAZZO', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5003205897507 41.6337298550217,12.4998688971535 41.6288390024433,12.49815428673 41.6241082248067,12.4952429021279 41.619719276238,12.4912468070968 41.6158407415715,12.4863196514906 41.612621569914,12.4806507541614 41.6101853659486,12.474457832003 41.6086256560273,12.4679786538647 41.6080023085266,12.4614619369294 41.6083392438292,12.4551578302853 41.6096235203181,12.4493083450926 41.6118058307154,12.444138092552 41.6148023898395,12.4398456797952 41.61849814231,12.4365960901577 41.622751168761,12.4345143387222 41.6273981235536,12.4336806475666 41.6322604974755,12.4341273292203 41.6371514669747,12.4358375031951 41.6418830683621,12.4387457012522 41.646273422103,12.4427403447645 41.6501537294388,12.4476680048595 41.6533747713897,12.4533392858817 41.6558126585375,12.4595361080422 41.6573736082807,12.4660201087513 41.6579975634911,12.472541836633 41.6576605112675,12.4788503797275 41.6563754110271,12.4847030514645 41.6541916954568,12.4898747555212 41.651193363663,12.4941666637863 41.6474957408993,12.4974138697292 41.6432410312666,12.4994917211634 41.6385928366529,12.5003205897507 41.6337298550217)))', 'ITICA', 'TORVAIANICA', 'Y'),('SRID=4326;MULTIPOLYGON(((13.2817129473989 38.2004685502955,13.2812183906347 38.1955773567507,13.2795243263196 38.1908562706245,13.2766960654828 38.1864866761989,13.2728424437051 38.1826364217573,13.268111616305 38.1794533803537,13.262685355318 38.1770597808333,13.2567720688587 38.1755475248776,13.2505988103887 38.1749746678811,13.2444025821886 38.1753631969871,13.2384212628349 38.176698190299,13.2328845019747 38.1789283889485,13.2280049268029 38.1819681602423,13.2239699933495 38.185700777457,13.2209347923162 38.1899828919108,13.2190160844496 38.1946500275234,13.2182877953437 38.1995228888752,13.2187781455433 38.2044142422806,13.2204685306279 38.2091361068354,13.2232941996979 38.2135069797489,13.2271467117454 38.2173588180999,13.2318780803988 38.2205435076985,13.2373064512221 38.2229385687768,13.2432230948975 38.2244518771442,13.2494004468577 38.2250252171858,13.2556008816246 38.2246365282191,13.2615858802098 38.2233007564781,13.2671252328363 38.22106927934,13.2720059177362 38.2180279241365,13.2760403099342 38.2142936587269,13.2790734011301 38.2100100827158,13.2809887517812 38.2053418946922,13.2817129473989 38.2004685502955)))', 'ITIDF', 'ISOLA DELLE FEMMINE', 'Y'),('SRID=4326;MULTIPOLYGON(((10.9337190725652 42.3664360586646,10.9329215836828 42.3615688200121,10.9308592787585 42.356910448753,10.9276116453954 42.3526398940032,10.923303634914 42.3489211744047,10.918100838317 42.3458970896546,10.9122031172273 42.3436837493099,10.9058369353708 42.342366126613,10.899246683453 42.3419948057998,10.8926853265897 42.3425840459561,10.886404727757 42.3441112346495,10.8806460123385 42.3465177520935,10.8756303374621 42.3497112133632,10.8715504154452 42.3535690040867,10.8685631136898 42.3579429759496,10.8667834145204 42.3626651240682,10.8662799688609 42.3675540304684,10.8670724187922 42.3724218280071,10.8691305978345 42.3770814183256,10.8723756465127 42.3813536667172,10.8766830070015 42.3850742966988,10.8818871872545 42.3881002177346,10.8877881150001 42.3903150407096,10.8941588383283 42.3916335666645,10.9007542751356 42.3920050738501,10.9073206709528 42.3914152748072,10.9136053956684 42.3898868670536,10.9193666957702 42.387478655967,10.9243830206361 42.384283284314,10.9284615589942 42.3804236573052,10.9314456540929 42.3760482028128,10.933220811792 42.371325151437,10.9337190725652 42.3664360586646)))', 'ITIDG', 'Isola del Giglio', 'Y'),('SRID=4326;MULTIPOLYGON(((8.08457719596714 43.8832822349169,8.08398756170491 43.8783978826358,8.08209209323885 43.873690562827,8.07896390524648 43.8693411158039,8.07472339955176 43.8655165959104,8.06953360973246 43.8623638657984,8.06359392475816 43.860003969538,8.05713243451187 43.8585274982217,8.05039719012845 43.8579911235431,8.04364671109886 43.8584154303011,8.03714009794277 43.8597841295539,8.0311271232246 43.8620446820265,8.02583867441867 43.8651103081997,8.02147790960563 43.8688633091906,8.01821246153643 43.8731595729266,8.0161679879204 43.8778340950069,8.01542331693638 43.8827073047158,8.01600737837606 43.8875919553667,8.01789804434565 43.8923003157858,8.02102293130385 43.8966513872366,8.02526213997945 43.900477868071,8.03045283425484 43.9036325971016,8.03639548746594 43.9059942259411,8.04286155784295 43.9074718997274,8.04960229696736 43.9080087637013,8.05635834882298 43.9075841585734,8.06286976447715 43.9062144187093,8.06888604022831 43.9039522418081,8.07417578605003 43.9008846546936,8.07853564640351 43.8971296547844,8.08179812623429 43.8928316584702,8.0838380197208 43.8881559339208,8.08457719596714 43.8832822349169)))', 'ITIMP', 'IMPERIA', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7012501010542 43.3173940919701,13.7006959551396 43.3125077359417,13.6988471621606 43.3077941893551,13.6957750376276 43.3034345349088,13.6915978271669 43.2995962223511,13.6864761342462 43.2964266470851,13.6806067368492 43.294047502394,13.6742150324314 43.2925501198137,13.6675464004066 43.2919919741454,13.6608568103882 43.2923944851728,13.654403031334 43.2937421989812,13.6484328108913 43.2959833796657,13.6431753952478 43.2990319890168,13.6388327476357 43.30277097939,13.6355717986545 43.3070567752639,13.6335180244398 43.3117247737683,13.6327506004696 43.3165956553796,13.6332993208994 43.3214822645379,13.6351434075732 43.3261967973767,13.6382122614723 43.3305580210499,13.6423881348951 43.3343982469085,13.6475106279264 43.337569788267,13.6533828407737 43.3399506525224,13.6597789473551 43.3414492463504,13.6664528980671 43.3420079105481,13.6731479135735 43.3416051463905,13.6796063989346 43.340256446329,13.6855798900101 43.3380136964168,13.6908386426884 43.3349631737643,13.6951804901866 43.3312222172989,13.6984386237158 43.3269347018616,13.7004879957679 43.3222654921104,13.7012501010542 43.3173940919701)))', 'ITIOA', 'CIVITANOVA MARCHE', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6658577123539 40.6500997520887,14.6652507555946 40.6452155943289,14.6634046792766 40.6405154524447,14.6603906554681 40.6361798948413,14.6563246655637 40.6323754503865,14.6513630197986 40.6292482216189,14.6456963418014 40.6269182853375,14.6395422506318 40.6254750934424,14.6331370203565 40.6249740484459,14.6267265342521 40.6254343832716,14.6205568760859 40.6268384254766,14.6148649139186 40.6291322736675,14.6098692321226 40.6322278605277,14.6057617548252 40.6360063244423,14.602700379106 40.6403225620804,14.600802899708 40.6450107892864,14.6001424598338 40.6498908989107,14.6007447062359 40.654775373255,14.6025867630913 40.659476486865,14.6055980702583 40.663813523399,14.6096630599266 40.6676197288356,14.6146255741385 40.6707487325429,14.6202948570525 40.6730801875032,14.6264528930346 40.6745244106111,14.6328628074557 40.6750258423616,14.63927800392 40.674565190951,14.6454516815499 40.6731601770195,14.6511463603576 40.6708648498974,14.6561430423871 40.667767502055,14.6602496512352 40.663987263201,14.6633084220364 40.6596695068847,14.665201956623 40.6549802484666,14.6658577123539 40.6500997520887)))', 'ITIOI', 'MAIORI', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9828938093174 40.7332945670427,13.9823361410333 40.7284074251193,13.9805360559164 40.7236969311322,13.9775629634107 40.7193440543391,13.973531278432 40.7155159910919,13.9685960000927 40.712359752103,13.9629467455469 40.7099965280564,13.9568004696708 40.7085170477891,13.9503931493457 40.7079781050793,13.9439707486027 40.7084003854779,13.9377798067346 40.709767675279,13.9320580049492 40.7120274824356,13.9270250678636 40.7150930458872,13.9228743441119 40.7188466572785,13.9197653858924 40.7231441693022,13.9178178111107 40.727820519707,13.9171066849363 40.7326960610379,13.9176596015171 40.7375834549173,13.9194555830884 40.7422948673742,13.9224258449332 40.7466491893222,13.9264564030787 40.750479004398,13.9313924299629 40.7536370351893,13.9370441944733 40.7560018182263,13.9431943596145 40.7574823873295,13.9496063563996 40.7580217829555,13.9560335088485 40.7575992506007,13.9622285542636 40.7562310423291,13.967953186709 40.7539697900168,13.9729872506253 40.7509024747362,13.9771372258294 40.7471470715428,13.9802436740831 40.7428480005295,13.9821873596006 40.7381705612894,13.9828938093174 40.7332945670427)))', 'ITISH', 'ISCHIA', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6845528359135 45.539726567354,12.6840698918408 45.534838470346,12.6822395027546 45.5301104920272,12.6791323161301 45.5257242701192,12.6748679579828 45.5218482715876,12.6696104025405 45.5186313327294,12.6635616560889 45.516196957146,12.6569539999253 45.5146385880428,12.6500410895933 45.5140160337364,12.6430882485397 45.5143531812394,12.6363623229071 45.5156370839754,12.6301214796034 45.5178184578222,12.6246053316966 45.5208135666446,12.6200257635434 45.524507426131,12.6165588031704 45.5287582049452,12.6143378519535 45.5334026567325,12.6134485326073 45.5382623770377,12.6139253573122 45.5431506472064,12.6157503503006 45.5478796041077,12.6188536856039 45.5522674610398,12.6231163235354 45.5561455021197,12.6283745517556 45.5593645800912,12.6344262615552 45.5618008656921,12.6410387204944 45.5633606249339,12.6479575418505 45.563983837864,12.6549165022761 45.5636465172,12.6616478240087 45.5623616358806,12.6678925186325 45.5601786270087,12.6734103867514 45.5571814756374,12.6779892821226 45.553485477038,12.6814532791455 45.5492327882072,12.6836694275877 45.5445869462823,12.6845528359135 45.539726567354)))', 'ITJLO', 'IESOLO', 'Y'),('SRID=4326;MULTIPOLYGON(((12.116465670803 41.9338460231526,12.1160424161026 41.9289547339092,12.1143495684737 41.9242190756003,12.1114524410874 41.919820991234,12.1074625558025 41.9159294171724,12.1025333290786 41.9126938031202,12.0968541630434 41.9102383842664,12.090643170777 41.9086574233558,12.0841388147642 41.9080116030526,12.0775907767362 41.9083257049912,12.0712504046356 41.9095876630322,12.0653610974401 41.9117490262601,12.0601489906854 41.9147268140333,12.0558142946881 41.9184066928379,12.0525236140082 41.9226473546866,12.0504035412517 41.9272859311287,12.0495357719387 41.9321442373043,12.0499539312193 41.9370356083517,12.0516422395048 41.9417720671511,12.0545360746975 41.9461715488268,12.0585244161455 41.9500649042894,12.063454082425 41.9533024126321,12.0691356044905 41.9557595502772,12.0753505105779 41.9573417928095,12.0818597423587 41.9579882624493,12.0884128758094 41.9576740787064,12.0947577872551 41.9564113201743,12.1006503866435 41.9542485596361,12.1058640372325 41.9512689904615,12.1101982936712 41.9475872173665,12.1134866183192 41.9433448367272,12.1156027772553 41.9387049786643,12.116465670803 41.9338460231526)))', 'ITLAD', 'LADISPOLI', 'Y'),('SRID=4326;MULTIPOLYGON(((9.36782486241672 44.2998931711134,9.36712531135469 44.2950161288691,9.36511467605777 44.2903307850076,9.36187049433292 44.2860171281149,9.35751761668511 44.2822408315212,9.35222338132137 44.279146901504,9.34619117445919 44.2768541222197,9.33965262474969 44.2754505081929,9.3328587301743 44.2749899365006,9.32607025410544 44.2754900858725,9.31954775326812 44.2769317604609,9.31354161340278 44.2792596237911,9.30828246817013 44.2823843152502,9.30397236326015 44.2861858693023,9.30077700112091 44.2905183082818,9.29881936291579 44.295215234906,9.29817495433469 44.3000962122228,9.29886886220254 44.3049736880405,9.3008747413276 44.309660199216,9.30411577798663 44.3139755794509,9.3084676004828 44.3177538930516,9.31376303124709 44.3208498266698,9.3197985020739 44.323144291119,9.32634188740335 44.3245490153232,9.3331414530744 44.3250099531908,9.33993557234094 44.3245093702453,9.34646282935152 44.3230665283418,9.35247211428112 44.3207369416685,9.35773231466186 44.3176102332021,9.36204122416778 44.3138066755494,9.36523332234101 44.3094725514059,9.36718612492771 44.3047745146052,9.36782486241672 44.2998931711134)))', 'ITLAW', 'LAVAGNA', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8154549339052 39.816776435373,15.8147736691152 39.8118981936943,15.8128716356022 39.8072161546428,15.8098221400225 39.8029101873728,15.8057425109943 39.7991456826232,15.8007895692614 39.7960672098125,15.7951535946982 39.7937929762797,15.7890510229625 39.7924102993274,15.7827161510765 39.791972262847,15.7763921671763 39.7924956851677,15.7703218440446 39.7939604750378,15.7647382481409 39.7963104001416,15.7598558153147 39.7994552391591,15.7558621312532 39.803274236014,15.7529107293256 39.8076207255216,15.7511151815714 39.8123277549384,15.7505447112318 39.8172144876164,15.7512214989004 39.8220931445396,15.7531197909174 39.8267762181929,15.7561668502349 39.8310836819136,15.760245719134 39.8348499171418,15.7651996925942 39.8379300910094,15.7708383336703 39.8402057372068,15.7769448007524 39.8415893233659,15.7832842037868 39.8420276271766,15.7896126648108 39.8415037896112,15.7956867294394 39.8400379651386,15.8012727616041 39.8376865435834,15.806155954557 39.8345399740871,15.8101486068888 39.8307192761756,15.8130973423027 39.8263713740041,15.8148889947116 39.8216634353812,15.8154549339052 39.816776435373)))', 'ITLEA', 'SCALEA', 'Y'),('SRID=4326;MULTIPOLYGON(((18.3824159715419 39.8007362532952,18.3819781922812 39.7958441692856,18.3803117017517 39.7911119518697,18.3774807729982 39.7867214144501,18.3735943632379 39.7828412086374,18.3688019014678 39.7796203543772,18.3632875344258 39.777182527525,18.3572630537674 39.775621322214,18.3509597756631 39.7749966677835,18.3446196820424 39.7753325358867,18.3384861592783 39.7766160243565,18.3327946844711 39.7787978522651,18.3277638112678 39.7817942472664,18.3235867963049 39.7854901536745,18.3204241842158 39.7897436396938,18.3183976343566 39.7943913366,18.3175852270186 39.7992547031524,18.3180184322935 39.804146876594,18.3196808627079 39.8088798485237,18.3225088633321 39.8132716906709,18.3263939227303 39.8171535527924,18.3311868174864 39.8203761627845,18.3367033349449 39.8228155774976,18.3427313560689 39.8243779610608,18.3490390256843 39.8250032047565,18.3553836932932 39.8246672472211,18.361521276174 39.8233830042369,18.3672156791098 39.8211998716,18.372247902673 39.8182018202895,18.3764244846474 39.8145041581495,18.3795849463187 39.8102490842699,18.3816079557127 39.8056002091123,18.3824159715419 39.8007362532952)))', 'ITLEC', 'LEUCA', 'Y'),('SRID=4326;MULTIPOLYGON(((9.66774489981786 44.1668021941711,9.66702230778234 44.1619270163251,9.66499259616899 44.157246958814,9.66173403194428 44.1529418059326,9.65737201403614 44.149176903708,9.6520742279146 44.1460968207553,9.64604419316138 44.1438198099955,9.63951345323672 44.142433281423,9.63273270591012 44.1419904573012,9.62596221087069 44.1425083361583,9.61946183680827 44.1439670424191,9.61348112306679 44.1463105862324,9.60824973047999 44.1494490048952,9.60396864221477 44.1532618051296,9.60080244872462 44.1576025761889,9.59887301196833 44.1623045991491,9.59825475396712 44.1671872394368,9.59897175504167 44.1720628791225,9.60099677957449 44.1767441240149,9.60425227416435 44.1810510090512,9.60861330720775 44.1848179244998,9.61391234317214 44.1878999952504,9.61994567219931 44.1901786657578,9.62648124930596 44.1915662733459,9.63326764030514 44.1920094314806,9.64004372630897 44.1914910907834,9.64654878745322 44.1900311971404,9.65253257082797 44.1876859211712,9.65776494827597 44.1845454892842,9.66204478669491 44.1807307012522,9.66520768590979 44.1763882704462,9.66713228548568 44.1716851684713,9.66774489981786 44.1668021941711)))', 'ITLEN', 'LEVANTO', 'Y'),('SRID=4326;MULTIPOLYGON(((9.95168394565771 44.0667163397256,9.95093939817261 44.0618430673934,9.94889092357774 44.0571681391858,9.9456175065309 44.0528711411555,9.94124511294115 44.0491171053965,9.93594182333938 44.0460501830474,9.92991136582354 44.0437881220343,9.92338529826447 44.0424177591298,9.91661413846119 44.0419916969805,9.90985777872991 44.0425262916686,9.90337554694041 44.0440010267726,9.89741628858972 44.0463592975893,9.89220884379327 44.0495105760147,9.88795327909077 44.0533338744651,9.88481320706672 44.0576823779962,9.88290948769327 44.0623890692422,9.88231555511127 44.0672731326084,9.88305455376498 44.0721468937678,9.88509840029036 44.0768230291824,9.88836881461099 44.0811217690136,9.89274028795598 44.0848778159941,9.89804487989415 44.0879467127952,9.90407866405937 44.0902104108982,9.91060957612885 44.0915818242984,9.91738636077043 44.0920081904203,9.92414826933647 44.0914731069047,9.93063512919668 44.0899971645926,9.93659739027196 44.0876371519741,9.94180575530963 44.0844838623269,9.94606001767235 44.0806585894249,9.94919676304579 44.0763084488048,9.95109563791046 44.0716007070641,9.95168394565771 44.0667163397256)))', 'ITLER', 'LERICI', 'Y'),('SRID=4326;MULTIPOLYGON(((15.3834732572302 41.8668931133674,15.3828009620447 41.8620139907434,15.3808684382639 41.8573266343207,15.3777501901296 41.8530111153255,15.3735662074943 41.8492331865801,15.3684773308145 41.8461379264425,15.3626790622495 41.8438441795452,15.3563940618769 41.8424400055377,15.3498636159676 41.8419793083304,15.3433384013927 41.8424797733571,15.3370688954797 41.843922190802,15.3312957933111 41.846251190365,15.3262407942041 41.8493773598524,15.3220981059402 41.8531806675767,15.3190269895808 41.8575150591128,15.3171456301169 41.8622140541858,15.3165265698498 41.8670971310192,15.3171938837484 41.8719766548387,15.319122210923 41.8766650856256,15.3222376860266 41.8809821885919,15.326420741376 41.8847619697702,15.3315106776862 41.8878590687864,15.3373118314791 41.8901543610554,15.3436011034279 41.8915595516587,15.3501365569524 41.8920205819181,15.3566667528171 41.8915197156957,15.3629404553375 41.8900762238858,15.3687163305354 41.8877456403509,15.3737722569255 41.8846176184303,15.3779138855563 41.8808124718277,15.3809821166865 41.8764765349207,15.3828592045755 41.8717765232527,15.3834732572302 41.8668931133674)))', 'ITLES', 'LESINA', 'Y'),('SRID=4326;MULTIPOLYGON(((12.364599957866 37.9837127620639,12.3641674232131 37.9788196729468,12.3625373166553 37.9740873822008,12.3597724934167 37.9696977093078,12.3559793564481 37.9658192777102,12.3513037442982 37.9626010452513,12.3459253159641 37.9601665932107,12.3400506501104 37.9586093913681,12.3339053233151 37.9579892188988,12.3277252691913 37.9583298766926,12.3217477462137 37.9596182775577,12.3162022561019 37.9618049485367,12.3113017562909 37.9648059261221,12.3072344993195 37.9685059724477,12.3041568092137 37.9727629904427,12.3021870708095 37.9774134703042,12.3014011634718 37.9822787601456,12.3018295172289 37.9871719218116,12.3034559086728 37.9919049098764,12.3062180481716 37.9962957986976,12.3100099413495 38.000175779719,12.3146859390144 38.0033956592118,12.3200663234782 38.0058316051501,12.3259442182736 38.0073899203219,12.3320935552456 38.0080106560574,12.3382777902674 38.0076699257146,12.3442590283601 38.0063808275302,12.3498072022112 38.0041929406223,12.3547089458109 38.0011904136127,12.3587758172652 37.9974887202534,12.36185155124 37.9932302083612,12.363818060703 37.9885786151711,12.364599957866 37.9837127620639)))', 'ITLEV', 'LEVANZO', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9642576469057 37.1002771666011,13.9637235695596 37.0953873319653,13.9620090043098 37.0906748984503,13.9591800358495 37.0863209166785,13.9553455143407 37.0824926358045,13.9506528519561 37.0793370871782,13.9452823498031 37.0769754472949,13.939440274459 37.0754983946465,13.9333509493451 37.0749626368431,13.9272481621154 37.0753887396748,13.9213662140141 37.076760340284,13.9159309500679 37.0790247741564,13.9111511096198 37.0820950921098,13.9072103251067 37.0858533908104,13.9042600734407 37.0901553304728,13.9024138496009 37.0948356681432,13.9017427871177 37.0997145959899,13.9022728964656 37.1046046428384,13.9039840317324 37.1093178750103,13.9068106304085 37.1136731202952,13.9106442031101 37.11750293718,13.9153374821124 37.1206600604713,13.9207100724338 37.1230230739452,13.9265553895927 37.124501089993,13.9326486166304 37.1250372543356,13.9387553718604 37.124610939291,13.9446407499455 37.1232385400242,13.9500783836753 37.1209728426382,13.9548591729287 37.1179009886737,13.9587993408222 37.1141411153084,13.9617475043188 37.1098378020559,13.9635904863446 37.1051565009867,13.9642576469057 37.1002771666011)))', 'ITLIC', 'LICATA', 'Y'),('SRID=4326;MULTIPOLYGON(((14.9818440478309 38.4670092629274,14.9812334389844 38.4621249147944,14.9794227857846 38.4574280540792,14.976481873831 38.4530991258977,14.9725238565333 38.4493044097566,14.9677008860853 38.4461896415211,14.9621982591276 38.4438744270038,14.9562273031531 38.4424476597083,14.9500172759132 38.4419641166824,14.9438065859894 38.4424423614837,14.9378336672445 38.4438640336353,14.9323278523296 38.4461745514461,14.9275005904587 38.4492852016052,14.9235373422558 38.4530765364505,14.9205904600018 38.4574029501622,14.9187733257489 38.4620982601616,14.9181559736296 38.4669820813729,14.9187623676838 38.4718667502239,14.9205694444878 38.4765645335394,14.9235079629154 38.480894845746,14.9274651339499 38.4846911966319,14.9322889342338 38.4878076014568,14.9377939407921 38.4901242052523,14.9437684638593 38.4915519030096,14.9499827026264 38.4920357760264,14.9561976073445 38.4915572105068,14.9621741024862 38.4901346157543,14.9676823109262 38.4878227139178,14.9725104190582 38.4847104290136,14.9764728374229 38.4809174575792,14.9794173400755 38.4765896545899,14.9812309072366 38.4718934141293,14.9818440478309 38.4670092629274)))', 'ITLIP', 'LIPARI', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8977504026066 35.8675422655663,12.897288583217 35.8626488207459,12.8956629578539 35.8579227270659,12.892936186612 35.853545566982,12.88921319183 35.8496854869159,12.8846371056386 35.8464907454429,12.8793837604687 35.8440840282905,12.8736549355975 35.8425577467231,12.8676706186906 35.8419704980032,12.8616605773189 35.8423448221676,12.8558555604786 35.8436663400184,12.8504784634818 35.8458843048196,12.8457357908261 35.8489135466332,12.8418097407805 35.8526377354526,12.838851212765 35.8569138392339,12.836974004843 35.8615776073921,12.8362504248338 35.8664498710315,12.8367084860746 35.8713434195963,12.8383307994601 35.876070191008,12.8410552091137 35.8804484996327,12.8447771522274 35.8843100241936,12.8493536567778 35.8875062862044,12.8546088266429 35.8899143684495,12.8603406047526 35.8914416518413,12.8663285538373 35.8920293865986,12.8723423533596 35.8916549586896,12.8781506821785 35.8903327631066,12.883530140763 35.888113649764,12.8882738650854 35.8850829634553,12.8921994967702 35.8813572540982,12.8951562000895 35.8770797852248,12.8970304547735 35.8724150152427,12.8977504026066 35.8675422655663)))', 'ITLIU', 'LINOSA', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3513812740598 43.5495987229715,10.3506117033365 43.5447279506112,10.3485508006412 43.5400599407291,10.3452780185309 43.5357740128227,10.3409192899853 43.5320347741001,10.3356421643376 43.5289858087297,10.3296493615528 43.526744177117,10.3231709935781 43.525395933995,10.3164557498913 43.5249928350427,10.3097613816297 43.5255503565252,10.3033448437494 43.5270471027644,10.2974524668633 43.5294256238745,10.2923105294054 43.5325946130178,10.2881165865829 43.5364324003317,10.2850318855804 43.5407916115194,10.2831751573916 43.5455048146735,10.2826180255797 43.5503909408628,10.283382212709 43.555262233835,10.2854386580366 43.5599314630901,10.2887085875991 43.5642191234925,10.2930665026917 43.5679603440774,10.2983449778227 43.5710112389558,10.3043410875812 43.5732544539722,10.3108242165637 43.5746036933344,10.3175449504716 43.5750070496947,10.3242447023303 43.5744490075999,10.3306656975794 43.5729510419867,10.3365609270118 43.5705707883798,10.3417036779193 43.5673998173739,10.3458962712553 43.5635601005525,10.3489776652829 43.559199305962,10.3508296324656 43.5544851065686,10.3513812740598 43.5495987229715)))', 'ITLIV', 'LIVORNO', 'Y'),('SRID=4326;MULTIPOLYGON(((17.442938506147 40.8723066779829,17.4421262846831 40.8674423087216,17.4400797980258 40.8627916573233,17.4368779054372 40.8585333772905,17.4326437849465 40.8548310189101,17.4275401798131 40.8518267582711,17.4217631401417 40.8496359492506,17.4155345007814 40.8483427054448,17.4090933827401 40.8479966795681,17.4026870406988 40.8486111622942,17.3965614027653 40.8501625725483,17.3909516597142 40.8525913586794,17.3860732592789 40.8558042766456,17.382113646644 40.8596779592281,17.3792250654941 40.8640636412472,17.377518695578 40.8687928615773,17.377060353848 40.8736839251055,17.3778679283495 40.8785488781209,17.3799106490611 40.8832007301538,17.3831102300517 40.8874606449165,17.3873438452122 40.8911648232492,17.3924488282158 40.8941708119919,17.3982289191899 40.8963629941791,17.4044618187526 40.8976570471624,17.4109077573183 40.8980031950372,17.4173187463245 40.8973881285567,17.4234481502043 40.8958355176672,17.429060204852 40.8934050968056,17.4339391106147 40.8901903588868,17.437897345377 40.8863149482011,17.4407828752236 40.881927893016,17.4424849849387 40.8771978635091,17.442938506147 40.8723066779829)))', 'ITLLT', 'Savelletri', 'Y'),('SRID=4326;MULTIPOLYGON(((12.630604284989 35.5006052340005,12.6301597081706 35.4957111718468,12.6285562692769 35.4909820641124,12.6258557735924 35.4865996108778,12.6221621331625 35.4827321637498,12.6176173532473 35.4795282658929,12.6123960659515 35.4771109558671,12.6066988224781 35.4755730523087,12.6007444012735 35.4749735986912,12.5947614253391 35.4753356030175,12.588979607083 35.4766451579885,12.5836209525104 35.4788519748006,12.5788912579344 35.4818713101553,12.5749722216932 35.4855872132674,12.5720144709215 35.4898569695479,12.5701317699245 35.4945165720463,12.5693966331779 35.499387012364,12.5698375138242 35.5042811510746,12.5714376794671 35.5090109049664,12.5741358231445 35.5133944755873,12.5778283908831 35.5172633412188,12.5823735407304 35.5204687427423,12.5875965842636 35.5228874126779,12.5932967029084 35.5244263253554,12.5992546804997 35.5250262836719,12.605241352608 35.5246642027887,12.6110264441159 35.5233540016598,12.6163874506951 35.5211460674607,12.6211182179608 35.5181253136023,12.6250368842681 35.5144079068237,12.6279928788015 35.5101367906339,12.6298727046276 35.5054761790169,12.630604284989 35.5006052340005)))', 'ITLMP', 'LAMPEDUSA', 'Y'),('SRID=4326;MULTIPOLYGON(((8.28472447997411 44.1332226909128,8.28411619533213 44.1283394547287,8.28219714276962 44.1236354968237,8.27904134553023 44.1192915267823,8.27477026688551 44.1154743869687,8.26954811388608 44.1123306551794,8.26357551612229 44.1099810288886,8.25708182403804 44.1085157042927,8.25031632147406 44.1079909250995,8.24353868612788 44.108426831421,8.23700905841558 44.1098066898779,8.23097809308797 44.1120775338836,8.22567736853608 44.1151521899228,8.22131051600552 44.1189126133447,8.21804540526309 44.1232144076346,8.21600768531112 44.127892356086,8.21527592958679 44.1327667559359,8.21587857616524 44.137650313841,8.21779278665561 44.1423553392937,8.22094527497552 44.1467009601852,8.22521508160667 44.1505200828244,8.23043819315172 44.1536658275479,8.23641383409121 44.1560171904303,8.24291219068567 44.1574837108947,8.2496832689647 44.158008963173,8.25646654237795 44.1575727351301,8.26300101216399 44.1561918091246,8.26903528640982 44.1539193142679,8.27433728297187 44.1508426754026,8.27870317695326 44.1470802390469,8.28196524451839 44.1427767081663,8.28399829996141 44.1380975638474,8.28472447997411 44.1332226909128)))', 'ITLOA', 'LOANO', 'Y'),('SRID=4326;MULTIPOLYGON(((13.1836609198464 45.6925727003469,13.183133614312 45.6876861567569,13.181256432991 45.6829655836841,13.1781018207834 45.6785923313451,13.1737912228424 45.6747343659496,13.1684903848568 45.6715398293879,13.1624029696598 45.6691313641022,13.1557627375523 45.6676014185174,13.1488245897652 45.6670087106347,13.1418548151856 45.6673759832145,13.1351209087185 45.6686891350495,13.128881344726 45.6708977609148,13.1233756904931 45.67391707974,13.1188154326034 45.677631178245,13.1153758637726 45.6818974475775,13.1131893397574 45.6865520451582,13.1123401664588 45.6914161746533,13.1128613177095 45.696302945236,13.1147331162991 45.7010245483405,13.1178839367991 45.7053994769374,13.1221929113098 45.7092595096221,13.1274945412956 45.7124561897783,13.1335850433495 45.7148665486211,13.140230187225 45.7163978494484,13.1471743239187 45.7169911679354,13.1541502527862 45.7166236683626,13.1608895419869 45.715309486495,13.1671328976858 45.7130991843708,13.1726401753452 45.7100777982559,13.1771996412305 45.7063615561566,13.1806361232023 45.702093393268,13.1828177354507 45.6974374404458,13.1836609198464 45.6925727003469)))', 'ITLSD', 'LIGNANO SABBIADORO', 'Y'),('SRID=4326;MULTIPOLYGON(((13.2047084577559 45.7665668439431,13.2041788134135 45.7616804199867,13.2022975581281 45.7569601873903,13.1991372944107 45.7525874830127,13.1948196852119 45.748730251674,13.1895107457425 45.7455366067153,13.1834144497122 45.743129156019,13.1767648977758 45.7416003088128,13.1698173480585 45.7410087408006,13.1628384493573 45.7413771509845,13.1560960458856 45.7426913946125,13.1498489374893 45.7449010247753,13.1443369807642 45.7479212221391,13.1397719044078 45.7516360400019,13.1363291867621 45.7559028421631,13.1341413055198 45.7605577657752,13.1332926200014 45.765422002063,13.1338160866973 45.7703086560501,13.1356919407465 45.7750299234789,13.138848401927 45.779404309947,13.1431643861901 45.7832636145515,13.1484741257075 45.7864594083154,13.1545735249706 45.7888687562203,13.1612280108857 45.7903989602053,13.1681815741741 45.7909911380091,13.175166650526 45.7906224977942,13.1819144552359 45.7893072193329,13.188165366168 45.7870959070786,13.193678947825 45.7840736364484,13.1982432241291 45.7803566697807,13.20168283854 45.7760879704119,13.2038657858047 45.771431690022,13.2047084577559 45.7665668439431)))', 'ITMAJ', 'MARANO LAGUNARE', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2339646425451 42.7996389933297,10.2332151167001 42.794766576938,10.2311894834776 42.7900954350194,10.2279658312513 42.7858050096925,10.2236681999477 42.7820600838517,10.2184617904857 42.7790044632309,10.2125466093728 42.7767554667073,10.2061497937029 42.7753994340475,10.1995169097941 42.7749884212665,10.1929025556903 42.7755382085778,10.1865606226776 42.7770276962087,10.1807345831523 42.7793997109651,10.1756481712854 42.7825631931959,10.1714968089818 42.7863966816536,10.1684401029845 42.7907529645261,10.1665957003669 42.7954647204295,10.1660347401754 42.8003509350543,10.1667790801291 42.8052238489205,10.1688004109399 42.8098961705509,10.1720212992369 42.8141882782265,10.1763181258773 42.8179351329307,10.1815258124454 42.8209926352778,10.1874441580065 42.8232431799147,10.1938455437086 42.8246001913885,10.2004837074872 42.8250114646682,10.2071032474852 42.8244611798819,10.2134494829106 42.8229705125384,10.2192782863637 42.8205968154326,10.2243655028906 42.817431404338,10.2285155880851 42.8135960341544,10.2315691296331 42.8092382031695,10.23340896222 42.8045254684529,10.2339646425451 42.7996389933297)))', 'ITMAM', 'MARCIANA MARINA', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((12.6144643810706 37.6506408295101,12.6140160232424 37.64574790953,12.6123759142875 37.6410185429313,12.6096072892853 37.6366344362363,12.6058166930571 37.6327639990579,12.6011498632279 37.6295558827459,12.5957861194544 37.6271332810897,12.589931475963 37.6255892100801,12.5838107415045 37.6249829459981,12.5776589077363 37.625337756799,12.5717121527741 37.6266400125599,12.5661988004652 37.6288397084757,12.5613305774362 37.6318523804246,12.5572944991378 37.6355623404076,12.5542456932685 37.6398271091118,12.5523014347883 37.6444828772645,12.5515366222699 37.6493507880351,12.5519808719674 37.6542438009878,12.5536173454628 37.6589738752479,12.5563833611423 37.6633591965583,12.5601727714303 37.667231170392,12.564840019251 37.6704409114573,12.5702057213127 37.672864978611,12.5760635652575 37.6744101327534,12.5821882550946 37.6750169327062,12.5883441969956 37.6746620289325,12.5942945874184 37.6733590655096,12.5998105490494 37.6711581549777,12.6046799580167 37.6681439463733,12.6087156183215 37.664432361637,12.6117624659016 37.6601661274359,12.6137035239289 37.655509276151,12.6144643810706 37.6506408295101)))', 'ITMAZ', 'MAZARA DEL VALLO', 'Y'),('SRID=4326;MULTIPOLYGON(((9.04614637790398 39.142991705781,9.04552554895095 39.1381082648701,9.04369345968087 39.1334129543709,9.04072072605613 39.129086158243,9.03672172848722 39.1252940719315,9.03185019503085 39.1221823278892,9.02629328634065 39.1198704134968,9.02026441078178 39.1184470936944,9.01399504465246 39.1179670120397,9.00772586860345 39.1184485989564,9.0016975560342 39.1198733663234,8.99614156175946 39.1221866150802,8.99127125923142 39.1252995290921,8.9872737620683 39.1290925760471,8.9843027409357 39.1334200865459,8.98247251066202 39.138115837606,8.98185361592209 39.1429994282112,8.98247008834012 39.1478832037706,8.98429848525759 39.1525794646477,8.98726875283913 39.1569076821967,8.99126688610716 39.1607014445742,8.99613928858745 39.1638148641614,9.00169866732585 39.1661281984914,9.00773123791495 39.167552466451,9.01400496152147 39.1680328801341,9.02027849410776 39.1675509585687,9.02631049903056 39.1661252408231,9.03186895934756 39.1638105706445,9.03674012617419 39.1606959805664,9.04073675431112 39.1569012580666,9.04370530539458 39.1525723276311,9.04553184063897 39.1478756284144,9.04614637790398 39.142991705781)))', 'ITMDA', 'LA MADDALENA', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0676628821932 44.0326813235072,10.0669093192445 44.0278088689304,10.0648529877691 44.0231360717924,10.0615731730812 44.0188424357777,10.0571960854582 44.0150928635372,10.0518899843469 44.0120313347029,10.0458587046569 44.0097753902177,10.039333835049 44.008411632305,10.0325658470293 44.0079924104334,10.025814511356 44.0085338185087,10.0193389636968 44.0100150789048,10.0133877939569 44.0123793366281,10.0081895328985 44.0155358337449,10.003943895609 44.0193633820978,10.0008141144041 44.0237150031354,9.99892065459545 44.0284235591829,9.99833655631498 44.0333081623341,9.99908458575098 44.0381811168257,10.001136311622 44.0428551294882,10.0044131497753 44.0471505115849,10.0087893430841 44.0509020946399,10.0140967682537 44.0539655928929,10.0201313887993 44.0562231655748,10.0266611074454 44.0575879625838,10.0334347144634 44.058007476258,10.0401915836528 44.0574655682676,10.0466717369175 44.0559830923459,10.0526258831904 44.0536170885398,10.0578250385595 44.0504585806082,10.0620693517873 44.0466290628371,10.0651957921354 44.0422758136037,10.0670844029075 44.0375662184608,10.0676628821932 44.0326813235072)))', 'ITMDC', 'MARINA DI CARRARA', 'Y'),('SRID=4326;MULTIPOLYGON(((16.1832094461989 41.3666633049999,16.1824829668932 41.3617891029562,16.1805084921767 41.3571153020145,16.1773621275339 41.3528214498575,16.1731649321271 41.3490724658256,16.168078244399 41.3460123170126,16.1622974755186 41.3437585015473,16.1560446101345 41.3423975486544,16.1495597010501 41.3419817060855,16.143091680808 41.3425269402964,16.1368888377255 41.3440123250099,16.1311893159581 41.3463808413368,16.1262119983565 41.3495415593221,16.1221481172317 41.3533731185427,16.1191539120271 41.3577283760858,16.117344615037 41.3624400456914,16.1167899978047 41.3673271137001,16.1175116531735 41.3722017871906,16.1194821229986 41.3768767085378,16.1226259115037 41.3811721594874,16.1268223517205 41.3849229772976,16.1319102201776 41.3879849156984,16.1376939259515 41.3902402041125,16.1439510372781 41.3916020890718,16.1504408549477 41.3920181809261,16.1569136991293 41.3914724752678,16.1631205471041 41.3899859701481,16.1688226450079 41.3876158550279,16.1738007177967 41.384453303264,16.1778634181898 41.380619954456,16.1808546865001 41.376263223965,16.182659737549 41.3715506222936,16.1832094461989 41.3666633049999)))', 'ITMDW', 'MARGHERITA DI SAVOIA', 'Y'),('SRID=4326;MULTIPOLYGON(((15.9503481225955 41.6327291193126,15.9496357118653 41.6278535101427,15.9476694340086 41.6231758297772,15.9445250840769 41.6188757754761,15.9403236479544 41.6151185047786,15.9352266301468 41.6120483024691,15.9294298403754 41.6097830517645,15.9231558787769 41.6084097197696,15.916645606954 41.607981028319,15.9101489287699 41.6085134361843,15.9039152295663 41.6099865089399,15.8981838347193 41.6123437003428,15.8931748477961 41.6154945157913,15.8890807150391 41.6193179761701,15.8860588368599 41.6236672510608,15.884225509184 41.6283752856834,15.8836514289498 41.6332612077101,15.8843589403074 41.6381372697213,15.8863211329491 41.6428160617926,15.8894628337602 41.6471177174171,15.8936634601613 41.6508768352686,15.8987616309201 41.6539488493506,15.9045613607894 41.6562156006199,15.9108396020297 41.6575898935243,15.9173548415012 41.6580188599393,15.9238564190606 41.6574859992323,15.9300942034803 41.6560118147702,15.9358282474466 41.6536530220431,15.9408380440883 41.6505003594403,15.9449310238914 41.6466750872894,15.9479499619717 41.6423243118348,15.9497790100071 41.6376153163034,15.9503481225955 41.6327291193126)))', 'ITMFR', 'MANFREDONIA', 'Y'),('SRID=4326;MULTIPOLYGON(((15.399543876485 39.9998923793195,15.3988901457229 39.9950116887427,15.3970111627045 39.9903228425327,15.3939793526391 39.9860059729449,15.3899113693295 39.9822268903765,15.3849635905348 39.97913072423,15.3793261013065 39.9768363606702,15.3732153975846 39.9754318887505,15.3668660891469 39.9749712276597,15.3605219173023 39.975472062816,15.3544264274116 39.9769151688855,15.348813648718 39.9792451453415,15.3438991337243 39.982372536787,15.3398716964608 39.9861772578758,15.3368861638177 39.9905131931488,15.3350574173724 39.9952137972892,15.334455955914 40.000098482841,15.3351051526168 40.004979551823,15.3369803173604 40.0096694061244,15.3400096062332 40.0139877600172,15.3440767492612 40.0177685771322,15.3490254966113 40.0208664639981,15.3546656157785 40.023162272486,15.3607802104388 40.0245676935653,15.3671340784541 40.0250286635459,15.3734827843605 40.0245274499841,15.379582092527 40.0230833358224,15.3851973924121 40.0207518750609,15.3901127476849 40.0176227490684,15.3941392163907 40.0138163072605,15.3971221190938 40.0094789270601,15.3989469746018 40.0047773737609,15.399543876485 39.9998923793195)))', 'ITMIT', 'MARINA DI CAMEROTA', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6506931380413 42.3492254994844,11.649840823451 42.344364738675,11.6477268144673 42.3397206833012,11.6444325805041 42.3354717291413,11.6400848566057 42.3317810627681,11.634850751947 42.3287904053532,11.6289313236435 42.3266145829876,11.6225538634559 42.3253371296576,11.61596319178 42.3250070894773,11.6094122891318 42.325637139188,11.6031526191154 42.3272031019845,11.5974245079578 42.3296448712012,11.5924479437785 42.3328687091834,11.5884141438819 42.3367508346626,11.5854782108907 42.3411421630321,11.5837531592369 42.3458740198726,11.5833055435223 42.3507646105445,11.5841528610631 42.3556259991275,11.5862628344777 42.360271329633,11.589554608731 42.3645220121558,11.5939018232474 42.3682145969957,11.5991374464017 42.3712070709118,11.6050601899016 42.3733843312672,11.6114422572781 42.3746626251546,11.6180381267322 42.3749927804925,11.6245940264326 42.3743621030076,11.6308577320188 42.3727948650786,11.6365883028847 42.3703513674982,11.6415653764428 42.3671256110491,11.645597657841 42.3632416690693,11.6485302756351 42.3588489027107,11.6502507201017 42.3541162053136,11.6506931380413 42.3492254994844)))', 'ITMLS', 'MONTALTO DI CASTRO', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3658317338992 40.6001849290246,14.3652470572023 40.5952993089015,14.3634233949927 40.5905944888556,14.360431059099 40.5862512185659,14.3563851996417 40.5824363243871,14.3514413561599 40.5792963109595,14.3457894713399 40.5769517462669,14.3396465987359 40.5754926436199,14.3332485836247 40.5749750157067,14.326841033332 40.5754187311362,14.3206699189172 40.5768067544721,14.3149721632899 40.5790857984226,14.3099665712892 40.5821683634958,14.3058454449846 40.5859360879694,14.3027672027895 40.5902442813427,14.3008502846231 40.5949274693459,14.3001685783679 40.5998057397476,14.3007485466994 40.6046916471178,14.3025681698093 40.6093974126014,14.3055577507849 40.6137421425853,14.3096025589172 40.6175587884897,14.3145472147224 40.62070057899,14.3202016518459 40.6230466755592,14.3263484281687 40.6245068316721,14.332751104108 40.6250248742598,14.3391633627687 40.624580871583,14.3453385162844 40.6231919028087,14.3510390268289 40.6209113991633,14.3560456701519 40.6178270823641,14.3601659841305 40.6140575808181,14.3632416740209 40.6097478555689,14.3651546884695 40.6050636141005,14.3658317338992 40.6001849290246)))', 'ITMLU', 'Massa Lubrense', 'Y'),('SRID=4326;MULTIPOLYGON(((15.264734479694 38.2169327235252,15.2641070576357 38.212049688267,15.2622844513506 38.2073570285679,15.2593369017946 38.203035027315,15.2553778135606 38.1992496976855,15.2505593767923 38.1961464153686,15.245066711875 38.1938443459128,15.2391107629228 38.1924318792169,15.2329202119986 38.1919632444995,15.2267327216545 38.1924564340542,15.2207858376814 38.1938925144067,15.2153078962176 38.1962163509547,15.2105092792113 38.1993387186902,15.2065743496914 38.2031397191115,15.203654373705 38.2074733738247,15.2018616998648 38.2121732204312,15.2012654212875 38.2170586977798,15.2018886897366 38.2219420769975,15.203707789836 38.2266356731446,15.2066530144147 38.2309590607684,15.2106113128367 38.2347460156296,15.2154306152004 38.2378509146121,15.220925669342 38.2401543460447,15.2268851674098 38.2415677126799,15.2330798870199 38.2420366482912,15.2392715309754 38.2415431147769,15.245221921135 38.2401060979757,15.2507021875752 38.2377808750562,15.2555015943914 38.2346568820888,15.2594356583138 38.2308542650021,15.2623532450751 38.2265192483128,15.2641423698005 38.2218185017675,15.264734479694 38.2169327235252)))', 'ITMLZ', 'MILAZZO', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0985859632822 37.9677839404584,12.0981711981173 37.9628905686995,12.0965587097659 37.9581552718943,12.0938106774272 37.9537599863103,12.0900328606075 37.9498735520022,12.0853705114413 37.9466452347887,12.0800027817232 37.9441990033861,12.0741358412396 37.9426287796008,12.0679949713847 37.9419948419526,12.0618159353677 37.9423215189682,12.0558359524552 37.9435962593142,12.0502846178739 37.9457701137348,12.0453751118435 37.948759610335,12.041296030679 37.9524499520186,12.0382041503171 37.9566994147713,12.0362183986494 37.9613447797799,12.0354152687184 37.9662075927992,12.0358258515271 37.9711010122087,12.037434606674 37.9758369840947,12.0401799233063 37.9802334694147,12.0439564553593 37.9841214454651,12.048619146293 37.9873514117113,12.0539887922825 37.9897991483864,12.0598589318064 37.9913705045198,12.0660037964457 37.992005029202,12.072187014821 37.9916783045355,12.0781707309392 37.9904028891082,12.0837247812265 37.9882278349509,12.0886355720217 37.985236796608,12.0927143114165 37.981544805892,12.0958042755059 37.9772938378673,12.0977868281337 37.9726473405113,12.0985859632822 37.9677839404584)))', 'ITMMO', 'MARETTIMO', 'Y'),('SRID=4326;MULTIPOLYGON(((13.3647143036345 38.2004461304493,13.3642141789076 38.1955551600454,13.3625147103738 38.1908351496768,13.3596814163429 38.1864674419038,13.3558233251921 38.182619812243,13.3510887632375 38.1794400327722,13.3456596452583 38.1770502070483,13.3397444884904 38.1755420919572,13.3335704178026 38.1749735841193,13.327374466496 38.1753665039731,13.3213945026173 38.1767057613274,13.3158601241221 38.1789399338301,13.3109838672773 38.1819832363391,13.3069530613484 38.1857188065363,13.3039226391924 38.1900031821932,13.302009178579 38.194671800104,13.3012864039226 38.1995453075285,13.3017823240454 38.2044364455213,13.3034781203676 38.2091572410167,13.3063088336403 38.2135262319258,13.3101658283835 38.2173754473868,13.3149009451996 38.2205568738978,13.3203321848371 38.2229481571552,13.3262507070574 38.2244573183766,13.3324288746317 38.2250263016775,13.3386290305448 38.2246332142347,13.344612666636 38.223293171753,13.3501496258888 38.2210577161135,13.3550269791392 38.2180128278041,13.3590572302044 38.2142756105668,13.362085530701 38.209989777377,13.3639956258627 38.2053201133366,13.3647143036345 38.2004461304493)))', 'ITMND', 'Mondello, Palermo', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5697411010552 45.8074530677063,13.5691792094631 45.8025679888124,13.5672657039047 45.7978534203061,13.5640744244683 45.7934904794012,13.5597282226564 45.7896467342607,13.5543942080429 45.7864697792519,13.5482773131306 45.7840815810176,13.5416124256867 45.7825738098999,13.5346553897004 45.7820043333176,13.5276732165976 45.782395003398,13.5209338763407 45.7837308221525,13.5146960528259 45.7859605155286,13.5091992491885 45.7889984946289,13.5046546162288 45.79272813012,13.5012368514914 45.7970062162269,13.499077478243 45.801668455494,13.4982597637421 45.8065357563539,13.4988154762178 45.8114211039723,13.5007236117155 45.8161367420926,13.5039111476898 45.8205013906621,13.5082558025465 45.8243472215416,13.5135907022226 45.827526322829,13.5197107794733 45.8299164011301,13.5263806620497 45.8314254998792,13.5333437454986 45.8319955495378,13.5403320977222 45.8316046107324,13.5470768080418 45.830267722363,13.5533183750174 45.8280363213212,13.5588167256061 45.8249962564813,13.5633604734991 45.821264474712,13.566775055896 45.8169845085393,13.5689294340132 45.8123209416418,13.5697411010552 45.8074530677063)))', 'ITMNF', 'MONFALCONE', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3329793760666 40.9493370667164,17.3321739731273 40.9444717880102,17.3301324709458 40.9398190953917,17.3269335387883 40.9355577211209,17.3227002424478 40.9318513344559,17.3175952947877 40.9288422660892,17.3118147983316 40.926646054223,17.3055807210218 40.9253470194828,17.2991323924825 40.9249950364513,17.2927173435706 40.9256036240859,17.2865818356571 40.9271494273362,17.2809614372618 40.9295731097099,17.2760720040658 40.932781623237,17.2721014039584 40.9366517701588,17.2692023020367 40.9410349216017,17.2674862821017 40.9457627142876,17.2670195323086 40.950653508642,17.2678202647386 40.9555193619454,17.2698579736459 40.9601732496525,17.2730545672559 40.9644362575623,17.2772873357984 40.9681444677097,17.2823936467632 40.9711552717939,17.2881771900766 40.9733528673653,17.2944155339396 40.9746527231416,17.3008686991841 40.9750048395447,17.3072884186077 40.9743956773124,17.3134277197962 40.9728486789726,17.3190504567375 40.9704233629594,17.3239404177287 40.9672130259496,17.3279096545289 40.9633411433107,17.3308057095927 40.9589566081634,17.3325174629759 40.9542279944421,17.3329793760666 40.9493370667164)))', 'ITMNP', 'MONOPOLI', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6331185241164 41.1995350058319,16.6323608938512 41.1946640698993,16.6303599679702 41.1899983364184,16.6271928637021 41.1857170413705,16.6229814318812 41.1819846207475,16.6178875529388 41.1789444053421,16.6121069102965 41.1767131284469,16.6058614812802 41.1753764551268,16.5993910324511 41.1749857025566,16.5929439422605 41.1755558755841,16.5867676981346 41.1770650918539,16.5810994267936 41.1794554183186,16.5761568154871 41.1826350876619,16.5721297678948 41.1864820109539,16.5691731120803 41.1908484536593,16.5674006398212 41.1955666976952,16.5668807079871 41.2004554742758,16.5676335748799 41.2053269222303,16.5696305794738 41.2099938055781,16.5727952015205 41.214276713281,16.5770059680816 41.2180109638353,16.5821011000061 41.221052947858,16.587884723118 41.2232856628003,16.5941344063419 41.2246232246676,16.6006097354519 41.2250141810116,16.6070615890175 41.2244434959617,16.6132417544313 41.2229331298243,16.6189125079923 41.2205411907038,16.6238557845558 41.2173596914289,16.6278815791634 41.2135109995201,16.6308352545076 41.2091431187684,16.6326034725604 41.204423986186,16.6331185241164 41.1995350058319)))', 'ITMOL', 'MOLFETTA', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3014486726486 43.6666129275024,10.3006814044813 43.6617418842664,10.2986201264548 43.6570730690414,10.295344307436 43.6527858322367,10.2909799986048 43.6490448311158,10.2856949646159 43.6459937171603,10.2796922294696 43.6437496328223,10.2732022861605 43.6423987265419,10.2664742676813 43.6419928558478,10.2597664143078 43.6425476031585,10.2533361972328 43.6440416792285,10.2474304708674 43.6464177368212,10.2422760251628 43.649584564014,10.238070895132 43.6534205744411,10.2349767577499 43.6577784626124,10.2331127072881 43.6624908480138,10.2325506500175 43.6673766936348,10.2333124995762 43.6722482543696,10.2353692870454 43.6769182896061,10.2386422272046 43.6812072631998,10.2430057071546 43.6849502534768,10.2482920884311 43.6880033061247,10.2542981419221 43.690248983543,10.2607928694454 43.6916008947592,10.2675264096546 43.6920070292522,10.2742396816399 43.6914517644424,10.2806743892734 43.6899564683598,10.2865829944966 43.6875786739774,10.291738269079 43.6844098576281,10.2959420518191 43.680571908509,10.2990328708553 43.6762124272584,10.3008921371047 43.671499036922,10.3014486726486 43.6666129275024)))', 'ITMPA', 'MARINA DI PISA', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8146023401301 37.9167854939498,15.8139412908942 37.9119054788687,15.8120914362475 37.9072213767481,15.8091240584228 37.9029131397635,15.8051533177431 37.8991462513898,15.8003318464444 37.896065379093,15.7948448772443 37.8937888288234,15.7889031331617 37.8924040122953,15.7827347505695 37.8919640991671,15.7765765426748 37.8924859810556,15.7706649345177 37.8939496245237,15.7652269124573 37.8962988375851,15.760471330617 37.8994434207805,15.7565809039182 37.9032626214214,15.7537051924847 37.9076097600874,15.7519548460944 37.912317853697,15.7513973310617 37.9172060211492,15.7520543069242 37.9220864271103,15.7539007583894 37.9267714982287,15.7568659213276 37.9310811348082,15.7608359726126 37.9348496402983,15.7656583849629 37.9379321010417,15.7711477823948 37.9402099692615,15.7770930722133 37.9415956325973,15.783265578239 37.9420357924717,15.7894278595091 37.9415135197031,15.7953428708485 37.9400489072365,15.8007831077945 37.9376982945795,15.8055393790273 37.9345520942675,15.8094288646725 37.9307313051803,15.8123021478734 37.9263828485648,15.8140489485289 37.9216739081481,15.8146023401301 37.9167854939498)))', 'ITMPS', 'MELITO DI PORTO SALVO', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4645243329154 37.8006831175728,12.4640855330534 37.7957900602197,12.4624523088561 37.7910589378539,12.4596876330272 37.7866715249067,12.4558979007913 37.7827963581349,12.4512288183746 37.7795822703683,12.4458597931657 37.7771526842801,12.4399970427056 37.7756008834436,12.4338656867756 37.7749864402637,12.4277011239055 37.7753329361221,12.4217400194879 37.7766270599155,12.4162112466133 37.7788191189092,12.4113271223449 37.781824942376,12.4072752714027 37.7855291057744,12.4042114264481 37.7897893531458,12.4022534400273 37.7944420497946,12.4014767387816 37.799308457856,12.4019113971454 37.8042015955358,12.4035409471872 37.8089334178863,12.4063029755599 37.8133220439103,12.4100914900903 37.8171987521711,12.4147609699373 37.8204144751613,12.4201319472075 37.8228455412596,12.4259979071765 37.8243984415744,12.4321332414443 37.8250134363153,12.4383019458148 37.8246668601302,12.444266724389 37.8233720363515,12.4497981447193 37.8211787642803,12.4546834866912 37.8181713993242,12.458734940201 37.8144656007023,12.4617968330932 37.8102038733214,12.4637516100056 37.8055500771949,12.4645243329154 37.8006831175728)))', 'ITMRA', 'MARSALA', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1652259604032 39.3664045949787,17.1644560520486 39.3615361148805,17.162477605691 39.3568777416725,17.159366851833 39.3526084300205,17.1552434587059 39.3488921595257,17.1502659147301 39.345871646425,17.1446254335836 39.3436628739821,17.1385386167367 39.3423506494998,17.1322391537799 39.3419853565465,17.1259688758156 39.3425810254936,17.1199685005776 39.3441147954907,17.1144684190924 39.3465277883835,17.1096798722909 39.3497273616857,17.1057868520332 39.3535906554922,17.1029390349077 39.3579692990378,17.1012460196577 39.3626950982884,17.1007730912724 39.3675864881532,17.101538678172 39.3724555030986,17.1035136053524 39.377114999334,17.1066221780737 39.3813858512231,17.1107450601632 39.385103844678,17.1157238410017 39.3881260011565,17.1213671186108 39.3903360872055,17.1274578657841 39.3916490955375,17.1337617945744 39.3920145232498,17.1400363939959 39.3914183194554,17.1460402884117 39.3898834264301,17.1515425510324 39.3874688932995,17.156331608869 39.384267597037,17.1602233922618 39.3804026598531,17.163068412924 39.3760227027021,17.1647574978489 39.3712961196025,17.1652259604032 39.3664045949787)))', 'ITMRM', 'Cirò Marina', 'Y'),('SRID=4326;MULTIPOLYGON(((10.266927636021 42.7326296753665,10.2661764643701 42.727757441856,10.2641506704882 42.7230868332916,10.260928347864 42.7187972712934,10.2566334844672 42.7150535056999,10.2514311743159 42.7119992978834,10.2455212662613 42.7097519127249,10.239130695062 42.7083976283893,10.2325047877519 42.7079884340034,10.225897875232 42.7085400401302,10.2195635639067 42.7100312772271,10.2137450343337 42.7124049048716,10.2086657329429 42.7155698013098,10.2045208089218 42.7194044507209,10.2014696217191 42.7237615963814,10.1996296060209 42.7284738834284,10.1990717316007 42.7333602768415,10.1998177366288 42.7382330100396,10.2018392467326 42.7429047983621,10.2050588205897 42.7471960405816,10.2093528887054 42.7509417310613,10.2145564781368 42.7539978153824,10.2204695452745 42.7562467429831,10.2268646744183 42.7576020008754,10.2334958446283 42.7580114517172,10.240107923774 42.7574593459023,10.2464465188783 42.7559669290464,10.252267797217 42.7535916211798,10.2573478938856 42.7504247998552,10.2614915386236 42.7465882739399,10.2645395667423 42.7422295858381,10.2663750244975 42.7375163252351,10.266927636021 42.7326296753665)))', 'ITMRP', 'MARINA DI CAMPO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2655918991936 40.0999298544421,15.264946718255 40.0950484623774,15.2630741091307 40.0903575027595,15.2600462539437 40.0860371894687,15.2559796563746 40.0822534653467,15.2510306425091 40.0791516379546,15.2453893459212 40.076850810516,15.2392724092432 40.0754393197779,15.2329146814209 40.0749713538468,15.2265602262709 40.0754648780713,15.2204529827661 40.0769009474239,15.2148274299785 40.0792244313863,15.2098996094513 40.0823461239581,15.2058588449567 40.0861461590099,15.2028604744794 40.090478601663,15.2010198725648 40.0951770415296,15.2004079939585 40.1000609751378,15.201048613203 40.1049427341947,15.2029173713758 40.1096346947204,15.2059426726261 40.1139564904557,15.2100084020875 40.1177419528703,15.2149583658361 40.1208455097637,15.2206022856875 40.1231477946116,15.2267231196415 40.1245602487893,15.233085425427 40.1250285375154,15.2394444422736 40.1245346462984,15.2455555367309 40.1230975760372,15.2511836434541 40.1207726096297,15.2561123320865 40.117649178765,15.2601521466956 40.1138474142122,15.2631478939085 40.1095135141504,15.2649845985481 40.1048141108449,15.2655918991936 40.0999298544421)))', 'ITMSB', 'MARINA DI PISCIOTTA', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0169062401847 42.7164077288832,11.0160967990334 42.7115415792115,11.0140158166082 42.706885345214,11.0107435019488 42.7026178926962,11.0064057567278 42.6989031196907,11.0011693144122 42.6958836728335,10.995235327333 42.6936754822627,10.9888316489139 42.6923633225191,10.982204105748 42.6919975676121,10.9756070906214 42.6925922629982,10.9692938319198 42.6941245873824,10.9635067064511 42.6965357247906,10.9584679612495 42.6997331141458,10.9543711954224 42.7035939915185,10.9513739259351 42.7079700911651,10.9495915221447 42.7126933272341,10.9490927439986 42.7175822402333,10.9498970596298 42.7224489625024,10.9519738514983 42.7271064362264,10.9552435485387 42.7313756068626,10.9595806475872 42.7350923148106,10.9648185135516 42.7381136188571,10.9707557773638 42.7403233061237,10.9771640867475 42.741636374211,10.9837969100867 42.7420023108224,10.9903990507363 42.7414070428383,10.9967164999953 42.7398734787268,11.0025062430815 42.7374606231995,11.0075456344524 42.7342612989014,11.0116409766279 42.7303985643399,11.0146349693813 42.7260209679983,11.0164127422088 42.7212968235864,11.0169062401847 42.7164077288832)))', 'ITMSD', 'MARINA DI GROSSETO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5987183604854 38.1828425554429,15.5980689755854 38.1779614389669,15.5962258769319 38.1732740874476,15.5932600908708 38.1689605783708,15.5892857199524 38.1651865976843,15.584455538458 38.1620970847292,15.5789551151247 38.1598106763877,15.5729956898564 38.158415161817,15.5668060769366 38.1579641203364,15.5606239026944 38.1584748699207,15.5546865096742 38.1599278040003,15.5492218713945 38.1622671417052,15.544439861426 38.1654030632082,15.5405242077648 38.1692151493615,15.5376254386921 38.1735569952728,15.5358550902193 38.178261822656,15.5352813988919 38.1831488773895,15.53592664864 38.1880303682016,15.5377662783132 38.1927186809935,15.5407297896861 38.1970335919345,15.5447034265094 38.2008092016559,15.5495345262615 38.2039003228107,15.5550373804094 38.2061880736829,15.5610003789798 38.2075844607272,15.5671941636863 38.2080357717976,15.5733804730825 38.207524647877,15.5793213350838 38.2060707525241,15.5847882480507 38.2037300129545,15.5895709921121 38.2005924624164,15.5934857275136 38.1967787680636,15.5963820657708 38.1924355796222,15.5981488409424 38.1877298797661,15.5987183604854 38.1828425554429)))', 'ITMSN', 'MESSINA', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4328566369106 40.6501660487325,14.4322666793018 40.645280773866,14.4304369844159 40.6405770112922,14.4274380961121 40.6362354696407,14.4233854161338 40.6324229084745,14.4184347455942 40.6292857425214,14.4127762887339 40.6269444302257,14.406627350713 40.625488859959,14.4002240089416 40.6249749088638,14.393812074631 40.6254223045757,14.3876376867666 40.6268138706251,14.3819378938549 40.6290961839869,14.3769315792067 40.6321816198886,14.3728110731948 40.6359517065403,14.3697347711995 40.6402616627773,14.3678210395334 40.6449459465362,14.3671436445823 40.6498246032747,14.3677288841584 40.6547101723916,14.3695545364339 40.6594148876323,14.3725506730003 40.6637578953323,14.3766023110414 40.6675722127363,14.3815538080702 40.6707111577453,14.387214834021 40.6730540010696,14.3933676926134 40.6745106212525,14.3997757095653 40.6750249813109,14.4061923619113 40.6745772913484,14.4123707923873 40.6731847726314,14.4180733370354 40.6709009932204,14.4230806936182 40.6678138010805,14.4272003731383 40.6640419353733,14.4302741060419 40.6597304481082,14.4321839171376 40.6550451144339,14.4328566369106 40.6501660487325)))', 'ITMTH', 'Meta', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9510121112978 42.8833167146013,13.9504412945014 42.8784310355771,13.9485856179575 42.873721109648,13.9455166543561 42.8693678800565,13.9413525214921 42.8655385501962,13.9362533158683 42.8623801715992,13.9304149495207 42.8600140091742,13.9240616285189 42.8585308977509,13.9174372610661 42.8579877658475,13.9107961216936 42.8584054580539,13.9043931246381 42.8597679381859,13.8984740733679 42.8620229031969,13.8932662540313 42.8650837846095,13.8889697283172 42.8688330618453,13.8857496561809 42.8731267621594,13.8837299417823 42.8777999767222,13.8829884478683 42.8826731834074,13.8835539661359 42.8875591355222,13.8854050656753 42.8922700533109,13.8884708706037 42.8966248425293,13.8926337440058 42.9004560623452,13.8977337811208 42.9036163734978,13.9035749433268 42.9059842168644,13.9099325989102 42.9074685017069,13.9165621797668 42.9080121208644,13.9232086176712 42.9075941555671,13.9296161917327 42.9062306835748,13.9355384016748 42.9039741589359,13.9407474804704 42.9009113875674,13.9450431746899 42.8971601777762,13.9482604509665 42.8928647965214,13.9502758307846 42.8881904085403,13.9510121112978 42.8833167146013)))', 'ITMTS', 'MARTINSICURO', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2829458270638 40.8332094835225,14.2823654176417 40.8283236735535,14.2805414750853 40.8236177290578,14.2775443251582 40.8192724428533,14.2734893055225 40.8154547183303,14.268532309273 40.8123111681674,14.2628637848461 40.8099624953486,14.2567014242604 40.8084988700978,14.2502818195862 40.8079764780456,14.2438514048949 40.8084153702561,14.2376570266174 40.8097986963458,14.231936498521 40.8120733496067,14.2269094980338 40.8151519997117,14.222769148399 40.8189164361173,14.2196746064666 40.8232220955957,14.2177449395245 40.8279036022136,14.217054527499 40.8327811092148,14.2176301705541 40.837667201136,14.2194500184001 40.8423740923327,14.2224443686557 40.8467208458604,14.2264983098837 40.8505403349424,14.2314561131675 40.853685678262,14.2371272072078 40.8560358998433,14.2432935087858 40.857500593677,14.2497178258507 40.8580234114507,14.2561530069117 40.8575842372876,14.2623514799008 40.8561999644962,14.2680748076677 40.8539238439113,14.27310288656 40.8508434292471,14.2772424291578 40.8470771996851,14.2803344014756 40.8427699914449,14.2822601274264 40.8380874162447,14.2829458270638 40.8332094835225)))', 'ITNAP', 'NAPOLI', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0144169909401 37.4832662756311,14.013877515004 37.4783768924544,14.0121516401722 37.4736653132566,14.0093058892156 37.4693125549238,14.0054497593998 37.4654858184049,14.000731493831 37.4623320744076,13.9953323763679 37.4599724288766,13.9894597705672 37.4584974827376,13.9833391693118 37.4579638621406,13.9772055578354 37.4583920507292,13.9712944177188 37.4597656059719,13.9658327123629 37.4620317891419,13.9610301950709 37.4651035850207,13.9570713691893 37.4688630347715,13.9541084061048 37.4731657555755,13.9522552919737 37.4778464753864,13.951583428923 37.4827253721974,13.9521188625424 37.4876149760435,13.9538412465427 37.492327369791,13.9566845896004 37.496681412546,13.9605397610308 37.5005097078184,13.9652586636334 37.5036650475942,13.9706599165676 37.506026082986,13.9765358311706 37.5075020014741,13.9826604108243 37.5080360288772,13.9887980646194 37.5076076196191,13.9947126955685 37.5062332498261,14.0001768088226 37.5039657822332,14.004980284498 37.5008924276007,14.0089384733438 37.4971313820716,14.0118993009563 37.4928272714074,14.0137491062857 37.4881455792479,14.0144169909401 37.4832662756311)))', 'ITNCT', 'SAN CATALDO', 'Y'),('SRID=4326;MULTIPOLYGON(((8.46776503592222 44.2001672616582,8.46714100714141 44.1952849780116,8.46520526329424 44.1905840655606,8.46203246881493 44.1862451158041,8.45774473899382 44.1824347773437,8.45250691885132 44.1792993661084,8.44652023767489 44.1769592597392,8.44001458464908 44.1755042889363,8.43323970107146 44.1749903002406,8.4264556235662 44.1754370200801,8.41992273939234 44.1768273006207,8.41389182868424 44.1791077758108,8.40859446890252 44.182190902851,8.40423416390703 44.1859583120516,8.40097853422739 44.1902653385196,8.39895286699366 44.1949465641314,8.39823527466509 44.1998221594621,8.3988536526131 44.2047047842377,8.40078455863071 44.2094067827058,8.40395406479905 44.2137473980313,8.4082405564436 44.2175597280452,8.41347937704585 44.2206971536225,8.41946914500818 44.2230389904569,8.42597950121124 44.2244951444003,8.43275998834103 44.2250095887891,8.43954971668263 44.2245625278203,8.44608743868763 44.2231711612617,8.45212163770538 44.2208890205016,8.45742023566021 44.2178039019075,8.4617795401924 44.2140344783652,8.46503208308456 44.209725721433,8.46705304714237 44.2050433126816,8.46776503592222 44.2001672616582)))', 'ITNLI', 'NOLI', 'Y'),('SRID=4326;MULTIPOLYGON(((9.66568598310642 40.299816544979,9.6650100643037 40.2949377771708,9.66310429529116 40.2902536942217,9.66004213237737 40.2859442435256,9.65594139568353 40.2821749486818,9.65095971970483 40.2790905616374,9.64528848865066 40.2768095151502,9.63914549064522 40.2754193864522,9.63276657170293 40.2749735441729,9.62639660664499 40.2754891054928,9.62028012872847 40.2769462808116,9.61465197201783 40.2792891307392,9.60972828009707 40.2824277068528,9.60569822160671 40.2862414953058,9.60271672765393 40.2905840329311,9.60089852910564 40.2952885207444,9.60031372422222 40.3001742214022,9.60098505048898 40.3050533966725,9.60288697069351 40.3097385195663,9.6059466144732 40.3140494843676,9.6100465452224 40.3178205369687,9.61502925114426 40.3209066578198,9.6207031912304 40.3231891502065,9.62685016493128 40.3245802167718,9.63323372096862 40.3250263461043,9.63960827856499 40.324510377322,9.64572860529045 40.3230521620578,9.65135928113406 40.3207077980242,9.65628377899691 40.3175674641531,9.66031280754164 40.3137519418938,9.66329159246151 40.3094079583696,9.66510581531551 40.3047025326896,9.66568598310642 40.299816544979)))', 'ITNNE', 'CALA GONONE', 'Y'),('SRID=4326;MULTIPOLYGON(((8.48411007637093 39.0661464687396,8.48352867425784 39.0612601866712,8.4817358777481 39.0565561992891,8.47880079501912 39.0522152266939,8.47483636358043 39.0484040110562,8.46999498831181 39.0452689208347,8.46446267647493 39.0429303402786,8.45845189630559 39.0414780576423,8.45219343258705 39.0409678271378,8.44592754905499 39.0414192348626,8.43989479250284 39.0428149494222,8.43432678632526 39.0451013855459,8.42943736159557 39.048190755559,8.42541436161389 39.0519644310512,8.42241243153305 39.0562774873641,8.42054706887219 39.06096425843,8.41989016452986 39.0658446906985,8.42046720874622 39.0707312538832,8.42225627413407 39.0754361442678,8.42518882054525 39.0797785042778,8.42915229660182 39.0835913805214,8.43399444287276 39.0867281517279,8.43952913471876 39.0890681777331,8.44554354156946 39.0905214502262,8.45180632651202 39.0910320642982,8.4580765679431 39.0905803754568,8.46411305561817 39.0891837578941,8.46968359811269 39.086895934355,8.47457397822226 39.0838049037356,8.47859620719933 39.0800295472587,8.48159575727002 39.0757150454972,8.4834574932504 39.0710272845753,8.48411007637093 39.0661464687396)))', 'ITNTA', 'Sant''Antioco', 'Y'),('SRID=4326;MULTIPOLYGON(((9.4348050938825 44.2668728228369,9.43410041802107 44.2619961830963,9.43208561591955 44.2573120076463,9.42883838458758 44.2530002399231,9.42448369073424 44.2492264805559,9.41918894145715 44.2461356383784,9.41315754204086 44.2438463790959,9.40662108975084 44.2424465822947,9.39983050199014 44.2419899787608,9.39304641545292 44.2424940951408,9.3865292188933 44.2439395834943,9.38052909513448 44.246270961034,9.37527644763137 44.2493987322003,9.37097307327596 44.2532028130463,9.36778441654947 44.2575371285907,9.36583320128882 44.2622352091024,9.36519468633197 44.267116572883,9.36589373161566 44.2719936524774,9.36790379380341 44.2766789996115,9.37114789749422 44.2809924924709,9.37550155213435 44.2847682677903,9.38079750883774 44.2878611098258,9.38683217850089 44.2901520484115,9.39337346599318 44.2915529483023,9.40016971779552 44.2920099107766,9.40695943491398 44.2915053545424,9.41348137138872 44.2900586945039,9.41948462278715 44.287725591827,9.42473830949992 44.2845958047082,9.42904047642554 44.2807897240047,9.43222586290381 44.2764537291581,9.43417224296373 44.2717545455576,9.4348050938825 44.2668728228369)))', 'ITNTE', 'SESTRI LEVANTE', 'Y'),('SRID=4326;MULTIPOLYGON(((13.6513623145537 43.5174105443518,13.6508107594412 43.5125241425185,13.6489601468148 43.5078099211028,13.6458818651683 43.5034489885629,13.6416943991155 43.4996088432885,13.6365587475718 43.4964369504087,13.6306722250308 43.494055091445,13.6242608858892 43.4925547014189,13.6175708618657 43.4919933700121,13.6108589416735 43.4923926389745,13.60438274914 43.4937371788262,13.5983908901965 43.4959753758075,13.5931134402088 43.4990213068442,13.5887531309787 43.5027580279209,13.5854775717352 43.5070420515503,13.5834128012389 43.5117088437917,13.5826384197919 43.5165791321735,13.5831844919068 43.5214657843946,13.585030344474 43.5261809950913,13.5881053136752 43.5305435051962,13.5922914191866 43.5343855761501,13.5974278692234 43.5375594496566,13.6033172277297 43.5399430426616,13.609733008559 43.5414446561516,13.6164284037857 43.5420065141832,13.6231458069789 43.5416069948327,13.6296267595732 43.5402614656993,13.635621930961 43.538021691152,13.640900741487 43.5349738344354,13.6452602522204 43.5312351327323,13.648532975497 43.5269493750624,13.6505933043067 43.5222813593579,13.6513623145537 43.5174105443518)))', 'ITNUM', 'NUMANA', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2507567464352 42.4493418022242,11.2499335063171 42.4444774332569,11.2478450015771 42.4398254420747,11.2445717254836 42.4355645309877,11.2402396123341 42.4318583468585,11.2350151760192 42.428849207098,11.2290991060062 42.4266526470884,11.2227185675797 42.4253529960497,11.2161185003008 42.4250001489708,11.2095522447806 42.4256076567406,11.2032718519581 42.4271522067318,11.1975184404684 42.429574513596,11.1925129660618 42.4327815868105,11.1884477524167 42.4366502894621,11.1854791054587 42.441032053748,11.1837212942056 42.4457585744917,11.1832421313096 42.4506482642885,11.1840603273924 42.4555132241501,11.1861447268608 42.4601664629464,11.1894154614362 42.4644290884293,11.1937469837448 42.4681371927354,11.1989728698469 42.4711481661239,11.2048922095587 42.4733461940597,11.2112773398139 42.4746467238439,11.2178826219866 42.4749997267065,11.2244539215448 42.4743916280418,11.2307384196398 42.4728458304358,11.2364943726459 42.4704218091748,11.2415004378901 42.4672128157834,11.2455642017453 42.463342279504,11.2485295790037 42.4589590472929,11.2502827984299 42.4542316478044,11.2507567464352 42.4493418022242)))', 'ITOBT', 'ORBETELLO', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1160426129939 41.066397728875,17.1152513160582 41.0615306654974,17.113220944251 41.0568739275531,17.1100297417998 41.0526064034643,17.1058004802478 41.0488919990594,17.10069571988 41.045873352882,17.0949115578002 41.0436663704764,17.0886701036289 41.0423557852954,17.0822109701978 41.0419919145332,17.0757821022613 41.0425887327265,17.0696302900729 41.044123336055,17.0639917260266 41.046536817729,17.0590829611017 41.0497365215475,17.0550926036156 41.0535995885678,17.0521740761461 41.0579776627191,17.0504397081898 41.062702576919,17.0499563932809 41.0675928034779,17.0507429814148 41.072460422758,17.0527695125793 41.0771183434135,17.0559583272501 41.0813874969655,17.060187017402 41.0851037295145,17.0652931097411 41.0881241241987,17.0710803043836 41.0903325092793,17.0773260300291 41.091643937759,17.0837900235523 41.0920079640585,17.0902236002932 41.0914105899623,17.0963792531248 41.0898748039218,17.1020202049502 41.087459692784,17.1069295412724 41.0842581608211,17.1109185667846 41.0803933452944,17.1138340616906 41.0760138684688,17.1155641581742 41.071288110971,17.1160426129939 41.066397728875)))', 'ITODB', 'MOLA DI BARI', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9160840494944 41.1173160457761,13.9155286867896 41.1124289230972,13.9137235109397 41.1077176246804,13.9107381319241 41.1033631502589,13.9066874405013 41.0995327566461,13.9017271680899 41.0963735428209,13.8960478921835 41.094006812343,13.8898677191532 41.0925234274158,13.8834239246155 41.0919803307599,13.876963869262 41.0923983668903,13.8707355340619 41.0937614850786,13.864978032328 41.0960173540259,13.8599124569205 41.0990793649466,13.855733408834 41.1028299472934,13.8526015289097 41.1071250716094,13.8506373181199 41.1117997687871,13.849916484856 41.1166744560179,13.8504670013311 41.12156182842,13.8522679873952 41.1262740529768,13.8552504709256 41.1306299889588,13.8593000019752 41.1344621570432,13.8642610257825 41.1376231881042,13.8699428504611 41.1399915019244,13.8761269816128 41.1414759952505,13.8825755410328 41.1420195566182,13.8890404426188 41.1416012707643,13.895272967606 41.1402372264353,13.9010333648242 41.1379798959268,13.9061001006023 41.1349161105341,13.9102783972902 41.1311637109518,13.9134077284409 41.1268670032942,13.9153679811103 41.1221911977183,13.9160840494944 41.1173160457761)))', 'ITODG', 'MONDRAGONE', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2872137477074 36.9809285898577,15.286595663134 36.9760446142604,15.2848020331109 36.9713512029526,15.2819019731136 36.9670286699129,15.2780070547247 36.9632430521237,15.2732669992048 36.9601397403659,15.2678639174938 36.9578379053744,15.2620053189362 36.9564259315137,15.2559161563012 36.9559580314315,15.2498302098392 36.9564521700915,15.2439811371007 36.9578893768431,15.2385935273349 36.9602144715973,15.2338742991288 36.9633381776305,15.2300047675493 36.9671405409956,15.227133682768 36.9714755268644,15.2253715066953 36.976176618201,15.2247861486118 36.9810632036436,15.225400326603 36.9859475108275,15.2271906605698 36.990641819851,15.2300885368311 36.9949656800664,15.2339827162583 36.9987528524409,15.2387235900918 37.0018577095223,15.2441289228111 37.004160845314,15.2499908623761 37.0055736774164,15.2560839473796 37.006041862522,15.2621738004257 37.0055473922751,15.2680261692213 37.0041092878073,15.2734159627223 37.0017828658769,15.278135929888 36.9986576052581,15.2820046431521 36.9948536965696,15.2848734769244 36.9905174099013,15.2866323119905 36.9858154603235,15.2872137477074 36.9809285898577)))', 'ITOGN', 'OGNINA', 'Y'),('SRID=4326;MULTIPOLYGON(((9.54998868224118 40.916847385131,9.54931440474713 40.9119684451431,9.54739858722196 40.9072830154431,9.5443150797243 40.9029710944375,9.54018252818426 40.8991982991275,9.53515979238754 40.8961095138945,9.52943983382557 40.8938233381921,9.52324230937862 40.8924275441557,9.51680515405682 40.8919757163724,9.51037547261426 40.8924852010025,9.50420008470724 40.8939364418056,9.49851608068708 40.896273728189,9.49354174475794 40.8994073270606,9.48946818909702 40.9032169179306,9.48645201698528 40.9075562012675,9.48460929575063 40.9122585053597,9.48401107246675 40.9171431785455,9.48468060834723 40.9220225231225,9.48659244346943 40.9267090057622,9.48967333405923 40.9310224677575,9.49380503258729 40.9347970575059,9.49882880913183 40.9378876174388,9.50455154375757 40.9401752779208,9.51075315695389 40.941572040772,9.5171950912354 40.9420241739119,9.52362951429412 40.9415142846922,9.52980888460512 40.9400619909488,9.53549550553196 40.9377231635748,9.54047069447039 40.9345877702646,9.5445432093809 40.930776404695,9.54755660542787 40.9264356365792,9.54939523791433 40.921732363673,9.54998868224118 40.916847385131)))', 'ITOLB', 'OLBIA', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5646740230322 38.1003912453456,13.5641609768714 38.0955007878475,13.5624506349331 38.0907833784125,13.5596089313957 38.0864202589125,13.5557452155892 38.0825790281815,13.5510080278708 38.0794072124652,13.5455793822441 38.077026609774,13.539667776795 38.0755286233993,13.5335001997553 38.0749707617801,13.527313435577 38.0753744373421,13.5213450007032 38.0767241475608,13.5158240520218 38.0789680691231,13.5109626119171 38.0820200425953,13.5069474423681 38.0857628723658,13.5039328770203 38.0900528167302,13.5020348852784 38.0947250976394,13.5013265972636 38.0996002205267,13.5018354643893 38.1044908632486,13.5035421690775 38.1092090707682,13.506381330888 38.1135734797124,13.5102439874459 38.1174162949415,13.5149817596552 38.1205897489841,13.5204125445295 38.1229717944097,13.5263275183021 38.1244708082832,13.5324991799443 38.1250291257383,13.5386901231599 38.1246252649523,13.5446621952849 38.1232747566485,13.5501856856925 38.1210295456413,13.5550481850438 38.1179759876707,13.5590627700998 38.114231519574,13.5620751961988 38.109940132476,13.5639698196179 38.1052668240685,13.5646740230322 38.1003912453456)))', 'ITORL', 'PORTICELLO', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4337273433308 42.350171533839,14.4331231342708 42.3452876057618,14.4312462977618 42.3405849370208,14.428169209827 42.3362441907522,14.4240102912948 42.3324320907255,14.4189294311523 42.3292950277475,14.4131218324264 42.326953450076,14.406810518538 42.3254972509686,14.4002377868893 42.324982328146,14.393655934426 42.3254284452679,14.3873176059868 42.3268184761507,14.3814661296803 42.3290990602097,14.3763262039681 42.3321826443453,14.3720952885736 42.335950834125,14.368936026112 42.3402589275129,14.3669699841542 42.3449414593557,14.3662729593547 42.3498185460377,14.3668720277417 42.3547027886246,14.3687444601168 42.3594064706962,14.371818550946 42.3637487748461,14.3759763356833 42.3675627401315,14.3810580979522 42.3707016917772,14.386868497386 42.3730448939926,14.3931840841815 42.374502206198,14.3997619104251 42.3750175612133,14.4063489035644 42.3745711295815,14.4126916361388 42.3731800853672,14.4185461095498 42.3708979434261,14.4236871690539 42.3678124940314,14.427917182319 42.3640424155842,14.4310736440714 42.3597326976532,14.4330354131231 42.3550490527132,14.4337273433308 42.350171533839)))', 'ITOTN', 'ORTONA', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5325855680457 40.1506993602752,18.5321360957555 40.1458077122955,18.5304518513826 40.141077333182,18.5275977935215 40.136689964344,18.5236837698921 40.1328141341255,18.5188602704735 40.1295986928977,18.5133126327249 40.1271671073669,18.5072539233143 40.1256127311512,18.5009167692593 40.1249952310527,18.4945444494867 40.1253383042693,18.4883815844094 40.1266287727347,18.4826647754536 40.1288170886293,18.4776135481698 40.1318192317759,18.4734219415813 40.1355199270134,18.4702510630966 40.1397770596454,18.468222893301 40.1444271214775,18.4674155792845 40.149291480488,18.4678604002497 40.1541832353004,18.4695405267435 40.1589143926127,18.4723916270809 40.1633030925419,18.4763043037984 40.1671806040977,18.4811282719725 40.1703978209404,18.4866781227806 40.1728310060427,18.4927404526369 40.1743865622659,18.4990820833438 40.1750046431623,18.5054590544439 40.1746614631127,18.5116260374017 40.1733702164479,18.5173458038805 40.1711805694614,18.522398378074 40.1681767449772,18.5265895159045 40.1644742741248,18.5297581813282 40.160215541922,18.5317827306787 40.1555643000832,18.5325855680457 40.1506993602752)))', 'ITOTO', 'OTRANTO', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2642943853516 37.1831984562068,14.2637404842111 37.1783098059343,14.2620054525008 37.1736015350067,14.2591561607749 37.1692545325934,14.2553022385349 37.1654357784997,14.250591841076 37.1622919373527,14.2452059482249 37.1599437357384,14.239351415222 37.1584813363413,14.2332530418984 37.1579608847946,14.2271449621094 37.1584023601647,14.2212616800192 37.1597888104454,14.2158290925657 37.1620670019444,14.2110558379019 37.1651494579192,14.2071252978088 37.1689178091945,14.2041885583404 37.1732273296705,14.2023585980056 37.1779124844509,14.2017059276749 37.1827932794468,14.2022558525453 37.1876821702424,14.2039874656807 37.1923912659746,14.2068344169737 37.196739551905,14.2106874332328 37.2005598528247,14.2153984970905 37.2037052686163,14.2207865272673 37.2060548329685,14.2266443431346 37.2075181757321,14.2327466450748 37.2080390076549,14.238858701136 37.2075972917614,14.2447454018019 37.2062100166756,14.2501803296875 37.203930541659,14.2549544903304 37.2008465388579,14.2588843640227 37.1970766129381,14.2618189661644 37.1927657297248,14.2636456436356 37.1880796315785,14.2642943853516 37.1831984562068)))', 'ITOZI', 'POZZILLO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0989173139201 38.6329773690609,15.0982973628675 38.6280937800268,15.096474915538 38.6233988751322,15.0935202118274 38.6190730234926,15.0895469353433 38.6152823855636,15.0847078239759 38.6121725398083,15.0791887931602 38.6098629024384,15.0732017987293 38.6084421525098,15.066976712485 38.607964836035,15.0607525195214 38.608449277796,15.0547681708547 38.6098768798978,15.0492534373238 38.6121928336033,15.0444201106863 38.6153082175242,15.0404538853319 38.6191034027621,15.0375072294397 38.6234326359626,15.0356935184129 38.6281296263184,15.0350826571321 38.6330139239707,15.0356983623992 38.6378978465314,15.0375172147321 38.6425936887765,15.0404695215405 38.6469209388876,15.0444419641235 38.6507132235046,15.0492819315454 38.6538247134709,15.0548033780451 38.6561357422589,15.0607939800237 38.6575574189815,15.0670233164628 38.6580350565301,15.0732517552141 38.6575502812423,15.0792396988783 38.6561217417892,15.0847568293105 38.6538043896117,15.0895909898469 38.6506873590025,15.0935563591446 38.6468905295538,15.0965005993519 38.6425599049359,15.0983107028319 38.6378619877867,15.0989173139201 38.6329773690609)))', 'ITPAN', 'PANAREA', 'Y'),('SRID=4326;MULTIPOLYGON(((9.41612245055667 41.1828850924643,9.41545516220065 41.1780055586364,9.41354092503235 41.173318111058,9.41045353224505 41.1690028257444,9.40631178228664 41.1652254485718,9.40127489049535 41.1621310391748,9.39553636297356 41.1598384120275,9.38931656925094 41.1584355859606,9.38285429778292 41.1579764146375,9.37639761512479 41.1584785255114,9.37019437464466 41.159922645181,9.36448273318825 41.1622533366502,9.35948203383908 41.1653811206761,9.35538439983484 41.1691859010543,9.35234735915919 41.1735215642296,9.35048778204358 41.1782215788424,9.34987736566973 41.1831053823768,9.35053984322463 41.1879853114686,9.35245002996994 41.1926738108587,9.35553474935232 41.1969906444033,9.35967560992582 41.2007698305221,9.36471353175359 41.2038660341852,9.37045485192009 41.2061601677573,9.37667877574105 41.2075639830682,9.38314588599076 41.208023475851,9.38960737945269 41.2075209697129,9.39581467035686 41.2060757982308,9.401528985217 41.20374355853,9.40653057394836 41.2006139655574,9.41062717791346 41.1968073909136,9.41366142594334 41.1924702213142,9.41551687296179 41.1877692174581,9.41612245055667 41.1828850924643)))', 'ITPAU', 'PALAU', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4339438631529 42.76657993872,10.4331791567016 42.7617090257633,10.4311397295438 42.7570415975289,10.4279041983846 42.7527569525693,10.4235970574361 42.7490196511541,10.4183838707363 42.7459732059627,10.4124649031452 42.7437345836583,10.4060674357316 42.7423897261087,10.399437059112 42.7419902609194,10.3928282751312 42.7425515256871,10.3864947620524 42.7440519806509,10.3806796704542 42.746434032,10.3756063159966 42.7496062348732,10.3714696211265 42.7534467929474,10.3684286310224 42.7578082223388,10.3666003903478 42.7625230031097,10.366055417809 42.767410003663,10.3668149565785 42.7722814331636,10.3688501122537 42.7769500560917,10.3720829184239 42.7812363920134,10.3763892957321 42.7849756232258,10.3816037963983 42.7880239432555,10.3875259555237 42.7902641000119,10.3939280061576 42.7916099180208,10.4005636599294 42.7920096234552,10.4071776115949 42.7914478421432,10.4135153961573 42.7899461924849,10.419333212743 42.7875624501728,10.4244073308377 42.7843883175022,10.4285427117384 42.7805458845901,10.4315805103072 42.7761829207475,10.433404167763 42.7714671795181,10.4339438631529 42.76657993872)))', 'ITPAZ', 'PORTO AZZURRO', 'Y'),('SRID=4326;MULTIPOLYGON(((9.56609655951849 41.1328421160642,9.56541870720894 41.1279634749196,9.56349531006889 41.1232785361556,9.56040051181747 41.1189672787894,9.55625339376875 41.1151952936049,9.55121337585892 41.1121074330552,9.54547408291511 41.1098222603014,9.53925591297002 41.1084275083331,9.53279759180336 41.1079767213337,9.52634703456614 41.108487205409,9.52015186025062 41.1099393661612,9.51444991720709 41.112277458166,9.50946017753418 41.1154117180842,9.50537434499075 41.1192218008182,9.5023494954503 41.1235613886922,9.50050203156195 41.1282637988959,9.4999031852821 41.1331483760491,9.50057624476472 41.1380274261992,9.50249561759349 41.1427134270818,9.50558777271396 41.147026237982,9.50973403120507 41.1508000316045,9.51477510399105 41.1538896801781,9.52051720565003 41.1561763483311,9.52673951054811 41.1575720754128,9.53320266339619 41.1580231687874,9.539658013463 41.1575122757063,9.54585721209082 41.1560590528347,9.55156179826409 41.1537194072952,9.5565523974919 41.1505833389386,9.56063717515652 41.1467714681812,9.56365921598078 41.1424303849087,9.56550254491734 41.1377269995923,9.56609655951849 41.1328421160642)))', 'ITPCE', 'PORTO CERVO', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0505118145539 41.9496982408163,16.0497878191508 41.9448236453686,16.0478041186694 41.9401481275842,16.0446371808279 41.9358513004712,16.0404088610669 41.9320981962444,16.035281696692 41.9290329383052,16.0294526538287 41.9267732188244,16.0231455685039 41.9254057916962,16.016602570746 41.924983151672,16.0100748173186 41.9255215253196,16.0038128835092 41.9270002497589,15.9980571766044 41.9293625626984,15.9930287329439 41.9325177740228,15.9889207467919 41.9363447369539,15.985891153039 41.940696487511,15.9840565476888 41.9454058764271,15.983487681283 41.9502919794943,15.9842067023551 41.9551670419885,15.986186262556 41.9598436915892,15.9893505244874 41.9641421429796,15.9935780400921 41.9678971166636,15.9987063944906 41.9709642046318,16.0045384403876 41.9732254361082,16.010849884572 41.9745938270108,16.017397933418 41.9750167358619,16.0239306611792 41.9744778951673,16.03019673527 41.972998038911,16.0359551180835 41.9706341016934,16.0409843658974 41.9674770209115,16.0450911620231 41.9636482279517,16.0481177527412 41.9592949653998,16.0499479992332 41.9545846127102,16.0505118145539 41.9496982408163)))', 'ITPCH', 'PESCHICI', 'Y'),('SRID=4326;MULTIPOLYGON(((8.23283078714119 40.6002227324508,8.23225580280192 40.5953365249901,8.23044149355915 40.5906296881031,8.22745781255514 40.5862830495957,8.2234195784394 40.582463565683,8.21848203906165 40.5793179175446,8.21283489620475 40.5769668895742,8.20669502235654 40.5755007430664,8.20029814834611 40.5749757607975,8.19388983794778 40.5754120932813,8.18771609119412 40.5767929880789,8.18201393141486 40.5790654312234,8.17700233156946 40.5821421764659,8.17287382325839 40.585905085577,8.16978710722086 40.5902096532356,8.16786094785361 40.5948905449013,8.16716958737713 40.599767937193,8.16773985916941 40.6046544191453,8.16955011629018 40.6093621905485,8.17253102249578 40.6137102813251,8.1765681815748 40.6175315141655,8.18150650934265 40.6206789416317,8.1871561839918 40.6230315084433,8.19329994759226 40.6244987190311,8.1997014771352 40.6250241286221,8.20611450008315 40.6245875216464,8.21229229895999 40.623205692332,8.21799723353674 40.6209317969174,8.22300990841635 40.617853302747,8.22713762833469 40.6140886143083,8.23022181257877 40.6097825078091,8.23214408219471 40.6051005520642,8.23283078714119 40.6002227324508)))', 'ITPCN', 'Porto Conte Torre Nuova', 'Y'),('SRID=4326;MULTIPOLYGON(((13.8671310174293 43.1003430286012,13.866565205219 43.0954571667361,13.8647097721723 43.0907460554923,13.861636285025 43.0863906836198,13.8574630381813 43.0825583364263,13.8523504801102 43.0793961806809,13.8464950363826 43.0770256255323,13.8401215683771 43.0755376736492,13.8334747563435 43.0749894386856,13.826809734261 43.0754019606828,13.8203823306562 43.0767594018124,13.8144392835266 43.0790096527158,13.8092087983923 43.0820663264863,13.8048918062475 43.0858120649589,13.8016542531428 43.0901030322946,13.799620715979 43.0947744256623,13.7988695908915 43.0996467938053,13.7994300427839 43.104532922914,13.8012808389605 43.1092450267649,13.8043511186066 43.1136019654932,13.8085230756311 43.1174362152516,13.8136364579292 43.1206003196228,13.8194947144493 43.1229725727975,13.8258725555911 43.1244617135976,13.8325246353343 43.1250104473673,13.8391950177379 43.1245976581264,13.8456270582144 43.1232392243887,13.8515733128441 43.1209874066287,13.8568050877945 43.1179288302929,13.8611212557091 43.1141811431948,13.8643559960197 43.1098884778338,13.8663851600482 43.1052158955499,13.8671310174293 43.1003430286012)))', 'ITPED', 'PEDASO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.6816461802251 38.0168208040996,15.6809929167827 38.0119400458485,15.6791488622855 38.0072538733953,15.6761850777493 38.0029423188681,15.6722155870889 37.9991709933326,15.6673929759283 37.9960847345658,15.6619025217435 37.9938020550354,15.6559550818178 37.9924106013168,15.6497790110836 37.9919637973514,15.6436114172529 37.9924787988074,15.6376890846435 37.9939358360359,15.6322394100722 37.9962789705331,15.6274716937824 37.9994182363345,15.623569115588 38.0032330853018,15.6206817016302 38.0075770057275,15.6189205510657 38.0122831388881,15.6183535457329 38.0171706798029,15.6190027108208 38.0220518179759,15.6208433326207 38.0267389525417,15.6238048727137 38.0310519048995,15.6277736488814 38.0348248511765,15.6325971842753 38.0379127068525,15.6380900607137 38.040196716345,15.6440410521472 38.0415890306037,15.6502212629586 38.0420360946777,15.6563929551459 38.0415207132994,15.6623187204534 38.0400627139577,15.6677706394669 38.0377181816294,15.6725390702472 38.0345772950863,15.6764407242063 38.03076084921,15.6793257159098 38.0264155988228,15.6810833149673 38.0217086051227,15.6816461802251 38.0168208040996)))', 'ITPEL', 'PELLARO', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5643284036863 37.2833841898971,13.5638192492874 37.2784931882874,13.5621259231999 37.2737755226326,13.5593136975721 37.2694124460985,13.5554907832976 37.2655715580882,13.550804150493 37.262400374332,13.5454338718015 37.2600206712404,13.5395862072139 37.2585238198423,13.5334856953935 37.2579672865402,13.5273665527236 37.2583724333253,13.5214637063684 37.2597237006854,13.5160038008069 37.2619692040249,13.5111965182005 37.2650227209071,13.507226541568 37.2687669937549,13.5042464664023 37.27305822272,13.5023709317718 37.277731578075,13.501672197145 37.2826075223777,13.5021773375846 37.2874987013014,13.5038671693298 37.2922171396499,13.5066769522142 37.2965814666221,13.5104988472296 37.3004238924472,13.5151860394331 37.3035966672765,13.5205583710184 37.305977772473,13.5264092694603 37.3074756235499,13.5325137037705 37.3080326019126,13.5386368604019 37.3076272778133,13.5445432011004 37.306275237759,13.5500055494047 37.3040284839807,13.5548138512682 37.3009734292834,13.5587832684998 37.2972275653627,13.5617612907708 37.2929349342933,13.5636335915475 37.2882605792601,13.5643284036863 37.2833841898971)))', 'ITPEM', 'PORTO EMPEDOCLE', 'Y'),('SRID=4326;MULTIPOLYGON(((12.951569203149 43.9006251632239,12.9510722538626 43.8957367373218,12.9492661831765 43.8910123278214,12.946220677502 43.8866334373959,12.9420529723093 43.882768255737,12.9369233167287 43.8795652096162,12.9310288021803 43.8771472756583,12.9245957941574 43.8756072718411,12.9178712570888 43.8750043060248,12.9111133020133 43.8753615156486,12.9045813144908 43.876665183765,12.8985260350067 43.878865264596,12.8931799657336 43.881877298652,12.8887484658527 43.8855856450425,12.8854018730393 43.889847908795,12.8832689518369 43.8945003955713,12.8824319215276 43.8993643868098,12.8829232581609 43.9042529965091,12.8847243994454 43.9089783478734,12.8877664094262 43.9133587948395,12.8919325848209 43.9172259107465,12.8970629093977 43.9204309743513,12.9029601898888 43.9228507018855,12.9093976397114 43.9243920023153,12.9161276182131 43.9249955703829,12.9228911859452 43.9246381769616,12.9294281028711 43.9233335669804,12.935486878048 43.9211319296079,12.9408344771159 43.9181179613034,12.945265307997 43.914407597429,12.9486091348659 43.910143540101,12.9507376142694 43.9054897567131,12.951569203149 43.9006251632239)))', 'ITPES', 'PESARO', 'Y'),('SRID=4326;MULTIPOLYGON(((10.3509723874711 42.8166041656972,10.3502134578922 42.8117326581805,10.3481784880746 42.8070637279994,10.344945924616 42.802776731696,10.3406401488921 42.7990363199831,10.3354266735286 42.7959861249489,10.3295057752119 42.7937432570599,10.3231048095117 42.7923938209019,10.3164695013098 42.7919896195258,10.3098545413474 42.7925461720365,10.3035138442509 42.7940421193447,10.2976908354931 42.7964200405951,10.2926091337757 42.7995886495605,10.2884639812724 42.8034262881472,10.2854147474472 42.8077855849655,10.2835787934579 42.8124991024691,10.2830269345983 42.8173857581156,10.2837806792988 42.8222577748263,10.2858113567969 42.8269278949338,10.2890411739616 42.8312165807407,10.2933461675156 42.8349589243228,10.2985609439125 42.8380109994824,10.3044850283957 42.8402554095208,10.3108905803309 42.8416058150738,10.3175311766233 42.8420102655087,10.324151321467 42.8414532038036,10.330496310884 42.8399560665682,10.3363220659342 42.8375764558134,10.3414045498182 42.8344059149785,10.3455484012852 42.8305663962669,10.3485944489429 42.8262055573,10.3504258166987 42.8214910704022,10.3509723874711 42.8166041656972)))', 'ITPFE', 'PORTOFERRAIO', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((12.2790113541267 44.678840138195,12.278566890379 44.6739506384402,12.2767942870981 44.6692169431425,12.2737619601068 44.6648209136441,12.2695866530465 44.6609313981733,12.2644289186571 44.6576977566164,12.2584869339982 44.6552441377399,12.2519888895144 44.6536647261974,12.2451842436624 44.6530201392488,12.2383341755462 44.6533351092144,12.2317015965148 44.6545975389171,12.2255410972083 44.6567589655197,12.2200892087172 44.6597364150909,12.2155553452967 44.6634155778125,12.2121137717674 44.6676551838412,12.2098969019831 44.6722924142376,12.2089901865781 44.6771491417564,12.2094287900229 44.6820387641426,12.2111961906137 44.6867733691698,12.2142247645897 44.6911709569979,12.218398339672 44.6950624421574,12.2235566267996 44.6982981648948,12.2295013647643 44.7007536596026,12.236003943956 44.7023344560489,12.2428142155498 44.7029797261343,12.2496701439726 44.7026646335371,12.2563079256962 44.7014012941041,12.2624721780173 44.6992383091707,12.267925798483 44.6962588899104,12.2724591091615 44.6925776460084,12.2758979293828 44.6883361641492,12.27811026446 44.6836975488501,12.2790113541267 44.678840138195)))', 'ITPGA', 'PORTO GARIBALDI', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2667226116223 40.4233627636165,17.2659300819703 40.4184963169735,17.2639108158012 40.4138415114371,17.2607426226115 40.4095771618969,17.2565473839645 40.4058670537712,17.2514863499894 40.4028536627019,17.2457539382118 40.400652694765,17.239570273672 40.3993486546665,17.2331727552548 40.3989916100034,17.2268069684354 40.3995952741637,17.2207172882236 40.4011364804846,17.2151375272644 40.4035560677033,17.2102819825283 40.4067611434045,17.2063372198073 40.4106286400075,17.2034549087186 40.4150100287317,17.2017459828442 40.4197370127285,17.2012763511214 40.4246279828356,17.2020643291472 40.4294949896618,17.2040798945489 40.4341509651505,17.2072458012382 40.4384169162977,17.211440515751 40.4421288138548,17.2165028677533 40.4451439097555,17.2222382390626 40.4473462383784,17.2284260540765 40.4486510878654,17.2348282820382 40.4490082673973,17.2411986204861 40.4484040430533,17.2472920014661 40.4468616667794,17.2528740489243 40.4444404779531,17.2577301177919 40.4412336128202,17.2616735624832 40.4373644113863,17.2645529140397 40.4329816619768,17.2662576894413 40.4282538685921,17.2667226116223 40.4233627636165)))', 'ITPIM', 'PRAIA A MARE', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5670240142939 42.9165392214428,10.5662466803583 42.9116695168193,10.5641920368997 42.9070048152574,10.5609392863427 42.9027243095702,10.5566135845244 42.8989924000671,10.5513812076052 42.8959523915291,10.5454431558748 42.8937210028769,10.539027441188 42.892383897971,10.5323803526157 42.8919924068317,10.5257570317061 42.8925615612759,10.5194117134755 42.8940695192196,10.5135880011972 42.8964583994704,10.5085095419181 42.8996364956266,10.5043714554151 42.9034817855812,10.5013328423811 42.9078466039937,10.499510658737 42.9125633007125,10.4989751932028 42.9174506701683,10.4997473261368 42.9223209066913,10.5017976810502 42.9269868197337,10.5050477084103 42.9312690320454,10.5093726669624 42.9350028834993,10.5146063937024 42.9380447736701,10.5205476828431 42.9402776971753,10.5269680296637 42.9416157564867,10.5336204398926 42.9420074762845,10.5402489618068 42.9414377899403,10.5465985685835 42.9399286205154,10.5524250040571 42.9375380336391,10.5575042065992 42.9343579955318,10.5616409432785 42.930510823945,10.5646763189011 42.9261444706804,10.566493870413 42.9214268195569,10.5670240142939 42.9165392214428)))', 'ITPIO', 'PIOMBINO', 'Y'),('SRID=4326;MULTIPOLYGON(((16.1989549016889 38.7326766114051,16.1982593196815 38.7277999486511,16.196362729447 38.7231232562676,16.1933382151021 38.7188261984081,16.1893021347934 38.7150738255081,16.1844096297427 38.7120102441401,16.1788486567002 38.7097530935281,16.1728327739576 38.708389038791,16.1665929567585 38.7079704519769,16.1603687532375 38.7085134066905,16.1543991158774 38.7099970622811,16.1489132551931 38.712364460973,16.1441218615975 38.7155247078734,16.1402090281915 38.7193564514209,16.1373251819111 38.7237125324283,16.1355812937982 38.7284256252488,16.1350445922234 38.7333146564162,16.135735947159 38.7381917558611,16.137629030902 38.7428694746956,16.1406512931669 38.7471679924982,16.1446867186663 38.7509220365706,16.1495802658675 38.7539872459195,16.1551438193628 38.7562457334754,16.1611634280103 38.7576106305818,16.1674075493308 38.7580294369473,16.1736359799257 38.7574860455425,16.179609123778 38.7560013635003,16.1850972365412 38.7536325048646,16.1898892849439 38.7504705867915,16.1938010761973 38.7466372152635,16.196682342024 38.7422797973128,16.1984225042332 38.7375658621237,16.1989549016889 38.7326766114051)))', 'ITPIZ', 'PIZZO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.3155598460512 40.0329159063699,15.3149117631505 40.0280347470522,15.3130375956789 40.0233445466219,15.3100095846275 40.019025489691,15.3059442387563 40.0152434708692,15.3009978353858 40.0121437323672,15.2953604074539 40.0098452974239,15.2892484490016 40.0084364111963,15.2828966181262 40.0079711620622,15.2765487528027 40.0084674112804,15.2704485397301 40.0099061093244,15.2648301888224 40.0122320247502,15.259909465769 40.0153558580694,15.2558754222554 40.0191576607019,15.2528831383014 40.0234914295522,15.2510477544745 40.028190702915,15.2504400245314 40.0330749449259,15.2510835628093 40.0379564751246,15.2529538972377 40.0426476781045,15.2559793703716 40.0469682166244,15.260043859826 40.0507519705164,15.2649912186627 40.0538534334211,15.2706312684831 40.0561533195749,15.276747116088 40.0575631628869,15.2831035112912 40.0580287292719,15.28945592124 40.0575321091724,15.2955599673567 40.0560924085781,15.301180856181 40.0537650115626,15.3061024356487 40.0506394431729,15.3101355236937 40.046835916138,15.313125185758 40.0425006960779,15.3149566804336 40.0378004656314,15.3155598460512 40.0329159063699)))', 'ITPLN', 'PALINURO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.881789058898 38.3497652465205,15.8811190682019 38.344886067562,15.8792534470652 38.3402035493234,15.8762640874594 38.3358975819842,15.8722659966677 38.3321335603752,15.8674128582245 38.3290560402941,15.8618911200463 38.3267831975167,15.8559128378194 38.325402300286,15.8497075473692 38.3249663671559,15.8435134750722 38.3254921368867,15.8375684193349 38.326959427293,15.8321006480434 38.3293119073646,15.8273201563452 38.3324592535134,15.823410616172 38.3362806083731,15.8205223239081 38.3406292110893,15.8187664162841 38.3453380233153,15.8182105780185 38.3502261368249,15.818876409398 38.3551057182667,15.8207385597121 38.3597892253164,15.8237256653903 38.3640966172573,15.8277230622897 38.3678622823759,15.8325771725153 38.3709414146654,15.8381014002059 38.3732155929055,15.8440833106696 38.3745973455412,15.8502928157147 38.3750335237906,15.8564910473304 38.3745073515763,15.8624395738911 38.3730390723583,15.8679095991092 38.3706851676844,15.8726907846975 38.3675361780256,15.8765993530862 38.363713210958,15.879485155837 38.3593632727796,15.8812374352251 38.3546536051493,15.881789058898 38.3497652465205)))', 'ITPMM', 'PALMI', 'Y'),('SRID=4326;MULTIPOLYGON(((13.3986789095973 38.1174361523594,13.3981768790262 38.1125452222689,13.3964769379831 38.1078256335279,13.393644621923 38.103458712486,13.3897889207942 38.0996122045458,13.3850580685145 38.0964338389075,13.3796338371302 38.094045665099,13.3737245563202 38.092539376856,13.3675571257451 38.0919728009043,13.3613683244095 38.0923676836815,13.3553957466139 38.0937088596972,13.3498687074829 38.0959448328745,13.3449994620827 38.0989897487533,13.3409750707859 38.1027266827856,13.3379502201135 38.1070121200279,13.3360412734963 38.1116814561461,13.3353217812781 38.1165553104892,13.3358196252593 38.1214464105386,13.3375159119025 38.1261667845517,13.3403456621014 38.1305349866282,13.3442002765373 38.1343830763397,13.3489316867317 38.1375630836759,13.3543580357015 38.1399527091751,13.3602706713848 38.1414600380947,13.3664421833717 38.1420270852754,13.3726351712995 38.1416320325389,13.3786114034961 38.1402900712506,13.3841410084876 38.1380528170381,13.3890113405787 38.1350063193876,13.3930351739586 38.1312677436576,13.3960579070444 38.1269808547252,13.397963498789 38.122310477931,13.3986789095973 38.1174361523594)))', 'ITPMO', 'PALERMO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0027070422223 38.1530035489067,15.0020976603694 38.1481190472297,15.0002934488298 38.1434222567503,14.9973639424075 38.1390936203843,14.9934218539445 38.135299407248,14.9886187225684 38.1321853349001,14.9831390830554 38.1298709834774,14.9771933814311 38.128445214264,14.9710099079575 38.1279627666379,14.9648260544254 38.1284421623799,14.9588792271248 38.129864996687,14.9533977592743 38.1321766427098,14.9485921667084 38.1352883429586,14.9446470782509 38.1390806083942,14.9417141477825 38.1434077963675,14.9399062192755 38.1481036935952,14.9392929700709 38.1529878917466,14.9398982028764 38.1578727124434,14.9416988951515 38.1625704167699,14.944626047868 38.1669004226856,14.9485673065147 38.1706962525727,14.9533712582962 38.173811942737,14.9588532435376 38.1761276667437,14.9648024590976 38.1775543543451,14.9709900797493 38.1780371263469,14.9771780823309 38.1775574115848,14.9831284288969 38.1761336634301,14.9886122504524 38.173820647857,14.9934186728325 38.170707330857,14.9973629408825 38.1669134476053,15.0002935256215 38.1625848870486,15.0020979401936 38.1578880714336,15.0027070422223 38.1530035489067)))', 'ITPMY', 'Marina di Patti', 'Y'),('SRID=4326;MULTIPOLYGON(((13.2527438935786 45.8205523377583,13.2522096712634 45.8156661123514,13.2503226545266 45.810946628249,13.2471556678405 45.8065751931765,13.2428306326236 45.8027197028146,13.2375138491107 45.7995282033024,13.2314095916933 45.7971232198853,13.2247522659267 45.7955970669232,13.217797427497 45.7950083166755,13.2108120041682 45.7953795600832,13.2040640899776 45.7966965438359,13.1978126959905 45.7989087160916,13.1922978433849 45.801931160186,13.1877313724952 45.8056478433739,13.1842888160124 45.8099160579608,13.1821026464864 45.8145718868728,13.1812571586415 45.8194364864517,13.1817851872203 45.824322947536,13.1836667929687 45.8290434729604,13.1868299751876 45.8334165964679,13.1911533916546 45.8372741653292,13.1964709885756 45.8404678169725,13.2025783677261 45.84287469851,13.2092406482957 45.8444022066098,13.216201520274 45.8449915627052,13.2231931373433 45.8446200836198,13.2299464625246 45.8433020585442,13.2362016609776 45.8410881978524,13.2417181323293 45.8380636752581,13.2462837898066 45.8343448399393,13.2497232245542 45.8300747272329,13.2519044392785 45.8254175431842,13.2527438935786 45.8205523377583)))', 'ITPNG', 'PORTO NOGARO', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9811118853799 36.8322233092324,11.9803246660619 36.8273593275429,11.9783723696289 36.8227122293512,11.9753301932871 36.8184605377049,11.9713151485163 36.8147675602619,11.9664815488691 36.8117751260236,11.9610150771579 36.8095981486187,11.9551256604051 36.8083202229886,11.9490394247425 36.8079904227602,11.9429900360396 36.8086214198847,11.9372097544068 36.8101889979745,11.9319205411645 36.8126329779918,11.9273255550927 36.8158595214647,11.923601360792 36.8197447241452,11.9208911462047 36.8241393639018,11.9192992095029 36.8288746224605,11.9188869287846 36.8337685630544,11.9196703728137 36.8386331165639,11.9216196492572 36.8432813085328,11.9246600206749 36.8475344493959,11.9286747503704 36.8512290108653,11.9335095727591 36.8542229227859,11.9389786188775 36.8564010465653,11.9448715697732 36.8576796127367,11.950961761273 36.8580094501567,11.9570149252665 36.8573778812118,11.9627982268893 36.8558092093443,11.9680892450545 36.8533637801097,11.9726845461995 36.8501356526103,11.9764075177571 36.8462489722478,11.9791151579367 36.8418531861173,11.9807035604967 36.8371172870177,11.9811118853799 36.8322233092324)))', 'ITPNL', 'PANTELLERIA', 'Y'),('SRID=4326;MULTIPOLYGON(((12.9999613789035 40.9005765570848,12.9994750878497 40.8956863497645,12.997741017448 40.890962077224,12.9948260475202 40.8865852425711,12.9908423690166 40.88272396558,12.9859431467367 40.8795265340553,12.980316622062 40.8771157202593,12.9741788840121 40.8755840785318,12.9677655856424 40.874990402434,12.961322920984 40.8753574754527,12.9550982042772 40.8766712001746,12.9493304074186 40.8788811386791,12.9442410129563 40.8819024435887,12.940025528605 40.8856191066625,12.9368459854232 40.8898884019156,12.9348247061938 40.89454635479,12.9340395842014 40.8994140295895,12.9345210569222 40.9043043956855,12.9362508959123 40.9090295101909,12.9391628655436 40.9134077418165,12.9431452316339 40.917270758112,12.9480450291874 40.9204700064794,12.953673929243 40.9228824380585,12.9598154811509 40.9244152522167,12.9662334512306 40.9250094769006,12.9726809342248 40.924642245106,12.9789098823446 40.9233276784186,12.984680679499 40.9211163429406,12.9897713863721 40.9180932987263,12.993986295447 40.9143748188099,12.9971634632466 40.9101039057744,12.9991809286186 40.90544478047,12.9999613789035 40.9005765570848)))', 'ITPNZ', 'PONZA', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5158487477324 40.6331423849491,14.5152528730614 40.6282574851897,14.5134177935206 40.6235549921645,14.5104142592348 40.6192155653624,14.5063578496476 40.6154058828635,14.5014045083061 40.6122722487338,14.4957445412806 40.6099349858351,14.4895953111662 40.6084838272238,14.4831929062969 40.6079744809182,14.4767831019229 40.6084264980565,14.4706119555587 40.6098225250115,14.4649163918032 40.6121089676807,14.4599151322838 40.6151980428156,14.4558003140005 40.6189711388098,14.4527301145662 40.6232833587085,14.4508226663773 40.6279690731563,14.4501514946527 40.6328482722174,14.4507426580075 40.6377334739867,14.4525737065858 40.6424369258849,14.4555745039401 40.6467778224433,14.4596298872999 40.6505892618249,14.4645840693526 40.6537246724945,14.4702466160377 40.6560634611281,14.4763997720307 40.6575156623897,14.4828068513178 40.6580254095269,14.4892213670107 40.6575730903783,14.4953965443385 40.6561761045497,14.5010948450246 40.6538881921236,14.5060971307688 40.6507973601055,14.5102111083383 40.6470224875717,14.5132787281118 40.6427087419389,14.5151822504231 40.6380219848415,14.5158487477324 40.6331423849491)))', 'ITPOS', 'POSITANO', 'Y'),('SRID=4326;MULTIPOLYGON(((14.1499368494435 40.8172473856134,14.1493663317166 40.812360989208,14.1475522421875 40.8076530248557,14.1445645285334 40.803304363652,14.1405181667989 40.7994820391589,14.1355687186721 40.7963328410471,14.1299063439303 40.7939776892783,14.1237484995587 40.7925070027119,14.1173316050557 40.7919772377695,14.1109019908643 40.7924087281432,14.1047064726346 40.7937849071598,14.098982907385 40.7960529421138,14.09395108825 40.7991257565428,14.0898043223408 40.8028853639461,14.0867020116698 40.8071873867405,14.0847635207753 40.8118665890942,14.0840635676961 40.8167432133735,14.0846293187277 40.8216298787464,14.0864393037414 40.82633877827,14.0894241999349 40.8306888984777,14.0934694601968 40.8345129836874,14.0984196905287 40.8376639761753,14.1040846120702 40.8400206828024,14.1102463801092 40.8414924479958,14.1166679778043 40.8420226511226,14.1231023586936 40.8415908917811,14.12930198144 40.8402137775926,14.1350283641491 40.8379442836338,14.1400612847542 40.8348697084879,14.1442072684557 40.8311083067086,14.1473070323257 40.8268047290568,14.1492415995538 40.8221244480768,14.1499368494435 40.8172473856134)))', 'ITPOZ', 'POZZUOLI', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1640919580866 36.6799612156126,15.1634841973772 36.6750763230577,15.1617051688501 36.6703807754199,15.1588234247029 36.6660549698616,15.1549498317309 36.662265070302,15.1502332921212 36.6591566331538,15.1448550148615 36.6568490269498,15.1390215588601 36.6554308582894,15.1329569140671 36.6549565778849,15.1268939220155 36.655444395444,15.1210653611846 36.6568755824037,15.1156950347165 36.6591951889276,15.1109891979372 36.6623141480271,15.1071286508465 36.6661126870905,15.104261796603 36.6704449174222,15.1024989317578 36.6751444274273,15.1019079886636 36.6800306665103,15.1025118965391 36.6849158760637,15.1042876668978 36.6896123023373,15.1071672435684 36.6939394144043,15.1110400897345 36.6977308494417,15.1157574169039 36.7008408172741,15.1211378961904 36.703149716336,15.1269746334472 36.7045687432019,15.1330431391827 36.7050433165054,15.1391099840701 36.7045551819475,15.1449418030702 36.7031231163515,15.1503142970141 36.7008022033183,15.1550208805973 36.6976817087409,15.1588806401265 36.6938816389934,15.1617452923424 36.6895481158044,15.163504875933 36.6848477475943,15.1640919580866 36.6799612156126)))', 'ITPPF', 'Portopalo di Capo Passero', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4021694696469 44.9338059728174,12.4017135908001 44.9289168613108,12.3999239420135 44.9241848533653,12.3968695973406 44.9197917443129,12.3926681481489 44.9159062688589,12.387481151581 44.9126776304128,12.3815079072123 44.91022978451,12.3749778032861 44.9086566933901,12.3681415258408 44.9080187313496,12.3612614648461 44.9083403765428,12.3546016799834 44.9096092761274,12.3484178042123 44.9117767197961,12.3429472653579 44.9147595036755,12.3384001946098 44.9184431141744,12.3349513663397 44.9226861114902,12.332733476685 44.9273255469223,12.3318320199187 44.9321832085636,12.3322819631526 44.9370724578374,12.3340663531911 44.9418053959961,12.3371169165771 44.9462000860915,12.3413166376098 44.9500875527191,12.3465042222439 44.9533182893313,12.3524802813773 44.955768020966,12.3590149982446 44.9573424982977,12.3658569845286 44.9579811359916,12.3727429811401 44.9576593530311,12.379408024753 44.9563895232323,12.3855956818102 44.9542204985196,12.3910679488201 44.9512357234661,12.3956144314981 44.9475500148012,12.3990604450014 44.9433051317545,12.401273721716 44.9386643101116,12.4021694696469 44.9338059728174)))', 'ITPPT', 'PORTO TOLLE', 'Y'),('SRID=4326;MULTIPOLYGON(((13.70131544847 43.433394919489,13.7007604635335 43.4285086471486,13.6989083541512 43.4237951499353,13.6958305648712 43.4194355084064,13.6916455601108 43.4155971714402,13.6865142433072 43.4124275349305,13.6806337619986 43.4100482940617,13.6742299386221 43.4085507836766,13.6675486168153 43.4079924832216,13.6608462520463 43.4083948183253,13.6543801023612 43.4097423419088,13.6483983892136 43.4119833256202,13.6431307993484 43.4150317391925,13.6387796865434 43.4187705429515,13.6355123069918 43.4230561690001,13.6334543849157 43.4277240213842,13.632685256693 43.4325947864628,13.6332347837816 43.4374813132589,13.6350821588684 43.4421958009961,13.6381566581585 43.4465570183191,13.6423403181059 43.4503972764495,13.6474724400098 43.4535688870136,13.6533557537634 43.4559498542952,13.659764005716 43.4574485806206,13.6664506780191 43.4580074014271,13.6731585006394 43.4576048118676,13.6796293846217 43.4562562977593,13.6856143877581 43.4540137382529,13.6908833224331 43.450963403516,13.6952336301344 43.4472226257028,13.6984981772393 43.4429352732422,13.7005516707404 43.4382662049189,13.70131544847 43.433394919489)))', 'ITPRF', 'PORTO RECANATI', 'Y'),('SRID=4326;MULTIPOLYGON(((15.6655743529556 40.0668174345185,15.6649009795146 40.0619384516989,15.6630019447319 40.0572541265778,15.6599504435824 40.0529444163297,15.6558638847951 40.0491748552291,15.6508993574769 40.0460902062761,15.645247587493 40.0438089131093,15.6391256168645 40.0424185631268,15.6327684861468 40.0419725339153,15.626420235902 40.0424879499906,15.6203245679251 40.0439450271598,15.6147155191082 40.0462878293322,15.6098085004016 40.0494264092203,15.6057920402505 40.0532402520124,15.6028205465241 40.057582891637,15.6010083640158 40.062287524502,15.6004253571826 40.0671734072344,15.6010941913573 40.0720527944527,15.6029894220642 40.0767381511959,15.6060384334641 40.0810493632345,15.6101241958702 40.0848206676599,15.6150897414178 40.087907036067,15.6207441892263 40.0901897630457,15.6268700895999 40.0915810429128,15.6332318037152 40.092027356515,15.6395845932287 40.0915115360407,15.6456840652824 40.0900534272487,15.6512956038477 40.0877091232853,15.656203418933 40.0845688000719,15.6602188608522 40.080753237826,15.6631876767533 40.0764091643903,15.6649959295174 40.0717036016414,15.6655743529556 40.0668174345185)))', 'ITPRH', 'SAPRI', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2658066076923 40.5502131407639,14.2652295951889 40.5453270381291,14.2634142651157 40.5406206701976,14.2604306090866 40.5362748466978,14.2563934441202 40.5324564925686,14.2514579764969 40.5293122457102,14.245813828163 40.5269628368759,14.2396777566034 40.525498465388,14.2332853468863 40.5249753460624,14.2268819918138 40.5254135580376,14.2207135017162 40.5267962767946,14.2150166986701 40.5290704183292,14.2100103504505 40.5321486710802,14.2058867873245 40.5359128387488,14.2028045202129 40.5402183674383,14.2008821424696 40.5448998854262,14.2001937506316 40.5497775450091,14.2007660634057 40.5546639247329,14.2025773546888 40.5593712281682,14.2055582477357 40.5637185031647,14.2095943461672 40.5675386038065,14.2145306060735 40.5706846263028,14.2201772848912 40.5730355695753,14.2263172398922 40.5745010006975,14.2327142947895 40.5750245435334,14.2391223495939 40.574586054469,14.2452948784828 40.5732024002074,14.2509944445101 40.5709268071754,14.2560018592622 40.5678468079115,14.2601246301025 40.5640808646053,14.2632043667292 40.5597738014782,14.265122861032 40.5550912238568,14.2658066076923 40.5502131407639)))', 'ITPRJ', 'CAPRI', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0659113897326 40.7672710964041,14.0653473990696 40.7623843136179,14.0635405614385 40.7576750666952,14.0605605457151 40.7533242765126,14.0565220324356 40.7494990588666,14.0515802823805 40.7463463148911,14.0459251604761 40.7439871009138,14.0397738460956 40.7425119918072,14.0333625088632 40.7419776136724,14.0269372665267 40.7424044770683,14.0207447672607 40.7437761926424,14.0150227521843 40.7460400987243,14.0099909545436 40.7491092771026,14.0058426799222 40.7528658807266,14.0027373873312 40.7571656473451,14.0007945547915 40.7618434279245,14.0000890661168 40.7667195197448,14.0006482994625 40.7716065628517,14.0024510346353 40.776316736278,14.005428227321 40.7806689780953,14.0094656267657 40.7844959515092,14.0144081417607 40.7876504880861,14.020065790925 40.7900112585909,14.0262210101334 40.7914874511837,14.0326370352866 40.7920222748123,14.0390670349431 40.7915951510954,14.0452636366687 40.790222509017,14.0509884747819 40.7879571512996,14.0560213862548 40.784886217153,14.0601688959337 40.7811278209279,14.0632716612635 40.7768264977827,14.0652105889763 40.7721476337179,14.0659113897326 40.7672710964041)))', 'ITPRO', 'PROCIDA', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4158482025336 40.6331708283704,14.4152596208076 40.6282854618058,14.4134315724186 40.6235814273746,14.4104345378519 40.6192394442667,14.4063838476259 40.6154262891146,14.401435226512 40.6122883995528,14.3957788002077 40.6099462618776,14.3896317961141 40.6084897961799,14.3832302176129 40.6079749139709,14.3768198084182 40.6084213785891,14.3706466491034 40.6098120492426,14.3649477410628 40.6120935372028,14.3599419335898 40.6151782493126,14.3558215374442 40.6189477415166,14.3527449435695 40.6232572554502,14.3508305292209 40.6279412660466,14.3501520867278 40.6328198293032,14.3507359538936 40.6377054882905,14.3525599614335 40.6424104734041,14.3555542440446 40.6467539207214,14.3596038901689 40.6505688306976,14.3645533339907 40.6537084985422,14.3702123245632 40.6560521672313,14.3763632440989 40.6575096835909,14.3827694931255 40.6580249761559,14.389184616883 40.6575782191147,14.3953618170481 40.6561865977782,14.4010634770434 40.6539036456077,14.4060703286155 40.6508171786735,14.4101899020506 40.6470459081871,14.4132639316559 40.6427348632402,14.4151744305633 40.6380498019827,14.4158482025336 40.6331708283704)))', 'ITPRR', 'PIANO DI SORRENTO', 'Y'),('SRID=4326;MULTIPOLYGON(((9.88467466819806 44.0497367601951,9.88393584481578 44.0448629893413,9.88189322868592 44.0401867973289,9.87862557956704 44.0358878191367,9.87425864224521 44.0321311632216,9.86896028832049 44.0290610815468,9.86293405706718 44.0267954434297,9.85641134476649 44.0254212229389,9.8496425409467 44.024991170672,9.84288744779981 44.0255217956754,9.83640534461834 44.0269927336841,9.83044507172105 44.029347525556,9.8252355076789 44.0324957766143,9.82097679972386 44.0363166154815,9.81783268038224 44.0406633217524,9.81592416433766 44.0453689472984,9.81532486939216 44.050252717773,9.81605814564529 44.0551269704787,9.81809612954307 44.0598043633848,9.82136076654198 44.0641050786875,9.82572677042428 44.0678637434708,9.83102641169838 44.0709357999396,9.83705595510344 44.0732030781319,9.84358350011344 44.0745783542923,9.85035792146355 44.0750087171069,9.85711856174296 44.0744776102512,9.86360529715777 44.0730054713479,9.8695685821734 44.0706489423646,9.87477907965155 44.0674986824377,9.87903650025384 44.063675868777,9.88217730744247 44.0593275224318,9.88408099077935 44.054620841217,9.88467466819806 44.0497367601951)))', 'ITPRW', 'Portovenere', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2637883840291 42.4662220162491,14.2631963785675 42.4613373827163,14.2613289279986 42.4566320972017,14.2582580501573 42.4522869239755,14.2541019297909 42.4484687571196,14.2490203505945 42.4453242203575,14.2432085447984 42.4429740485529,14.236889698162 42.4415084643364,14.2303063972216 42.4409837250476,14.2237113437948 42.4414199705495,14.2173576879681 42.4428004531472,14.2114893443699 42.4450721786171,14.2063316570942 42.4481479341018,14.2020827661887 42.4519096262455,14.1989060034807 42.4562128033186,14.1969236083957 42.4608921899933,14.1962120063687 42.4657680245674,14.1967988349203 42.470652957264,14.1986618372816 42.4753592460165,14.2017296728167 42.4797059738211,14.2058846199422 42.4835260099257,14.2109670735789 42.4866724460305,14.2167816683714 42.489024258114,14.2231047939614 42.4904909738281,14.2296932123802 42.4910161635725,14.2362934427202 42.4905796189066,14.2426515467558 42.4891981330702,14.2485229326591 42.486924853021,14.2536817931727 42.4838472282873,14.2579298096349 42.4800836368013,14.2611037833451 42.47577881945,14.2630818994777 42.4710983012785,14.2637883840291 42.4662220162491)))', 'ITPSR', 'PESCARA', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1507498809279 42.4323714556545,11.1499346288229 42.427506174702,11.1478540660869 42.4228521675612,11.1445883812678 42.4185882145048,11.1402632177834 42.4148780796368,11.1350448235342 42.4118642323315,11.1291336569453 42.4096623887952,11.1227566959097 42.408357080997,11.1161587432914 42.407998420853,11.1095930588329 42.4086001820907,11.1033116714808 42.4101392723533,11.0975557376066 42.4125566156165,11.0925463090485 42.4157594117649,11.0884758603597 42.419624688111,11.0855008974947 42.4240040086059,11.0837359311413 42.4287291622801,11.0832490481352 42.4336186147233,11.0840592553781 42.4384844766234,11.0861357043281 42.4431397227515,11.0893988327238 42.4474053842106,11.09372338634 42.451117436808,11.0989432101237 42.4541331192125,11.104857628017 42.4563364358406,11.1112391671451 42.4576426304579,11.1178423276709 42.4580014561382,11.1244130569943 42.4573991139525,11.1306985581332 42.4558587847017,11.1364570484292 42.4534397330351,11.1414670868525 42.4502350191572,11.1455361060038 42.4463679077122,11.1485078175636 42.4419871141264,11.1502682058261 42.4372610736338,11.1507498809279 42.4323714556545)))', 'ITPSS', 'PORTO SANTO STEFANO', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3659384818305 40.817185722616,14.365352100822 40.8123002719213,14.3635227003114 40.8075955854903,14.3605208151536 40.8032524074375,14.3564619641433 40.7994375599224,14.3515021867156 40.7962975450201,14.345832037368 40.7939529299949,14.3396692699491 40.7924937294295,14.3332504918455 40.7919759593271,14.3268221053906 40.7924194935958,14.3206308794388 40.7938073039033,14.3149145072676 40.796086111573,14.3098925074337 40.7991684268422,14.3057578119049 40.8029358983598,14.3026693610662 40.8072438461227,14.300745988745 40.8119268059632,14.3000618332896 40.8168048748674,14.3006434544025 40.8216906153155,14.3024687716937 40.8263962547256,14.3054678719412 40.830740903901,14.3095256603279 40.8345575167174,14.3144862591941 40.8376993223485,14.3201589889862 40.8400454809078,14.3263257030065 40.8415057428234,14.3327491930341 40.8420239305108,14.3391823393873 40.8415801064886,14.3453776485598 40.8401913432012,14.3510968056402 40.8379110644081,14.3561198680952 40.8348269838373,14.3602537421829 40.8310577215912,14.363339612576 40.8267482302949,14.3652590382965 40.822064209105,14.3659384818305 40.817185722616)))', 'ITPTC', 'PORTICI', 'Y'),('SRID=4326;MULTIPOLYGON(((9.23482527568562 44.2999337179709,9.2341367291414 44.2950558371343,9.23213665575252 44.2903681294956,9.22890218835439 44.2860506751241,9.22455780549516 44.2822692937126,9.21927052052687 44.2791691870905,9.2132434541553 44.2768693766185,9.20670803882542 44.275458146587,9.1999151529547 44.2749896660994,9.19312552145381 44.27548191705,9.18659974512045 44.2769160063594,9.1805883346585 44.2792368884057,9.175322124919 44.2823554704343,9.17100343148331 44.2861520215448,9.1677982852622 44.2904807564895,9.16583004207217 44.2951754207676,9.16517461425359 44.3000556650198,9.1658575117882 44.3049339659923,9.16785281293297 44.309622829597,9.17108411138308 44.3139419997794,9.1754274110343 44.3177253956302,9.18071586344398 44.32082750864,9.18674617017472 44.3231290119936,9.19328640546655 44.3245413636747,9.20008495710617 44.3250102238185,9.20688023762016 44.3245175527316,9.21341078619906 44.3230823074553,9.21942536560752 44.3207597095972,9.22469265855148 44.3176391131289,9.22901018454227 44.3138405556311,9.23221209040279 44.3095101278057,9.23417551363238 44.304814341879,9.23482527568562 44.2999337179709)))', 'ITPTF', 'PORTOFINO', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2337212235813 42.3823476416856,11.2329003930338 42.3774830462583,11.2308155687846 42.3728306126495,11.2275471019802 42.3685690604015,11.2232207417652 42.3648620612851,11.2180027810122 42.3618519642974,11.2120936607896 42.3596543418295,11.2057202800782 42.3583535640779,11.1991273043476 42.3579995693782,11.1925678027137 42.3586059526629,11.1862935674946 42.3601494443619,11.180545481376 42.3625707995668,11.1755442957945 42.3657770640581,11.1714821695495 42.3696451317349,11.1685152894691 42.374026458972,11.166757855899 42.3787527572415,11.1662776660015 42.3836424476398,11.1670934688341 42.3885076312141,11.169174199845 42.3931613083928,11.172440131046 42.3974245703115,11.1767658993153 42.4011334849174,11.1819853018994 42.404145411598,11.1878976782249 42.4063444994076,11.1942756335989 42.4076461550646,11.2008738061007 42.4080003065802,11.2074383354522 42.407393335148,11.2137166639104 42.4058485998783,11.2194672856308 42.4034255350021,11.2244690631549 42.400217355021,11.2285297475659 42.3963474576518,11.2314933715426 42.3919646650738,11.2332462304518 42.3872374888996,11.2337212235813 42.3823476416856)))', 'ITPTH', 'PORTO ERCOLE', 'Y'),('SRID=4326;MULTIPOLYGON(((8.42994778270536 40.835167510687,8.42935655781661 40.8302823677591,8.42752214398076 40.8255786769059,8.42451526855867 40.8212371436475,8.4204516417089 40.8174245266778,8.41548748579712 40.8142872422137,8.40981352287948 40.8119457525887,8.40364765265949 40.8104899524152,8.3972266011755 40.8099757272761,8.39079685773924 40.8104228151819,8.38460524322612 40.811814051598,8.37888946599755 40.814096026519,8.37386902215399 40.8171811287239,8.36973678446864 40.8209508999014,8.36665159957684 40.8252605716761,8.36473217649695 40.8299446134907,8.36405250239865 40.8348230804972,8.36463896515682 40.8397085195432,8.36646929844826 40.8444131692674,8.36947339613775 40.8487561781707,8.37353597095154 40.8525705629056,8.37850096068746 40.8557096381291,8.38417751634777 40.8580526688808,8.39034734350765 40.8595095259256,8.39677311372031 40.8600241627812,8.40320761928981 40.8595767787571,8.40940331434852 40.8581845834692,8.41512186930872 40.8559011329026,8.42014336518568 40.8528142629322,8.42427476904423 40.8490427009954,8.42735736119217 40.8447314880948,8.42927282733315 40.8400463894097,8.42994778270536 40.835167510687)))', 'ITPTO', 'PORTO TORRES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.9296273177239 40.2611778969854,17.9287899553588 40.2563174306388,17.926731254435 40.2516754748909,17.9235305339614 40.247430348295,17.9193109184979 40.2437450962488,17.9142345879533 40.2407612393239,17.9084965417488 40.2385933501582,17.9023171174782 40.2373246649742,17.8959335496708 40.2370038961741,17.8895908890675 40.2376433667908,17.8835326259037 40.2392185375134,17.8779913714122 40.2416689443751,17.8731799497821 40.2449005118781,17.8692832381898 40.2487891542478,17.8664510656298 40.2531855285466,17.8647924428813 40.2579207593256,17.8643713471822 40.2628129170272,17.8652042275488 40.2676740029109,17.867259332084 40.2723171730783,17.8704578892964 40.2765639240922,17.8746771039631 40.2802509632518,17.8797548571939 40.2832364979139,17.8854959329766 40.28540570002,17.891679532492 40.2866751334644,17.8980677855671 40.2869959719288,17.9044149281712 40.2863558817746,17.9104767877241 40.2847794966316,17.9160202054754 40.2823274653514,17.9208320278996 40.2790941107349,17.9247273168035 40.2752037906284,17.9275564597847 40.2708061033899,17.9292109072899 40.2660701243511,17.9296273177239 40.2611778969854)))', 'ITPTZ', 'Porto Cesareo', 'Y'),('SRID=4326;MULTIPOLYGON(((8.41117286715119 39.2051670529988,8.41059548479391 39.2002805527644,8.40880414048682 39.195575565663,8.40586788845468 39.1912328502829,8.40189971272361 39.1874192155955,8.39705216313151 39.1842811226331,8.39151148460722 39.1819390704931,8.38549046657017 39.1804829802217,8.37922028621338 39.1799687517577,8.37294165598426 39.180416124351,8.36689561068206 39.1818079213738,8.36131428252748 39.1840907080339,8.35641201296774 39.187176837076,8.35237713785192 39.1909478050263,8.34936475829155 39.1952587918212,8.3474907737126 39.1999442115427,8.34682740737257 39.2048240631711,8.34740039939496 39.2097108392219,8.34918797996162 39.2144167281006,8.35212166784293 39.2187608339316,8.35608886938166 39.2225761360603,8.36093718305235 39.2257159196015,8.36648024760265 39.2280594280824,8.3725049103625 39.2295165187421,8.3787794392627 39.2300311393416,8.38506245982902 39.2295834909316,8.39111226887268 39.228190792131,8.39669616117724 39.2259066150191,8.40159940492707 39.2228188185355,8.40563351596196 39.2190461600066,8.40864350949529 39.2147337168714,8.4105138493523 39.2100472967624,8.41117286715119 39.2051670529988)))', 'ITPVE', 'Portoscuso', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4002385880723 45.0468081549022,12.3997824127405 45.0419191061181,12.3979898241756 45.037187075373,12.3949300111735 45.0327938586482,12.390720776518 45.0289081944189,12.3855239771232 45.0256792928969,12.3795392890843 45.0232311192586,12.3729965394738 45.0216576479251,12.3661468987482 45.0210192675086,12.3592532685037 45.0213404721092,12.3525802278864 45.0226089258665,12.3463839174988 45.0247759358317,12.3409022417472 45.0277583151653,12.3363457592198 45.0314415662747,12.3328896061693 45.0356842636368,12.3306667611606 45.0403234704926,12.3297629104453 45.0451809840154,12.330213115052 45.050070171454,12.3320004137394 45.0548031363877,12.3350564230468 45.0591979406136,12.3392639192689 45.063085603974,12.344461310153 45.0663166119078,12.3504488295557 45.0687666785564,12.3569962193558 45.0703415413048,12.3638516026696 45.0709805997103,12.3707512036432 45.070659256455,12.3774295341402 45.0693898685083,12.3836296482215 45.0672212710409,12.389113062403 45.0642368925755,12.3936689534372 45.0605515350546,12.3971222751216 45.0563069446831,12.3993404799417 45.0516663464134,12.4002385880723 45.0468081549022)))', 'ITPVT', 'PORTO LEVANTE', 'Y'),('SRID=4326;MULTIPOLYGON(((9.36813461054754 44.8168921498276,9.36742852942773 44.8120155726551,9.36539972059825 44.8073307184228,9.36212642762986 44.8030175556994,9.3577346246239 44.7992417370424,9.35239314729957 44.79614824827,9.34630719550812 44.793855854497,9.33971045824208 44.7924525536739,9.33285616212195 44.7919922096736,9.32600738294753 44.7924924920776,9.31942698612614 44.7939342003576,9.31336757494032 44.7962619979399,9.30806182535333 44.7993865285166,9.30371357237703 44.8031878348258,9.30048998629192 44.8075199508085,9.29851513792179 44.812216493358,9.29786520180753 44.8170970414545,9.29856548597673 44.8219740598035,9.3005894089552 44.826660102413,9.30385947099839 44.8309750197947,9.30825018988439 44.8347528922608,9.31359289494224 44.8378484213192,9.31968219941018 44.8401425312398,9.32628390388139 44.8415469628042,9.33314402552308 44.8420076799941,9.33999860165179 44.8415069564132,9.34658388432564 44.840064059755,9.35264652643505 44.8377345075134,9.35795336013827 44.8346079231273,9.36230038537739 44.8308045765325,9.36552061878455 44.8264707444032,9.36749049995111 44.8217730711133,9.36813461054754 44.8168921498276)))', 'ITPZL', 'POZZALLO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.7005007831756 41.922800506878,15.6998037443191 41.9179234672089,15.6978463789676 41.9132416710059,15.6947041447008 41.9089349742269,15.6904979506626 41.9051687895138,15.6853894876052 41.9020877433794,15.6795750068099 41.8998101343903,15.6732777880564 41.8984234028681,15.6667395845889 41.8979807838059,15.6602113699672 41.8984992696253,15.6539437367387 41.8999589597743,15.6481773093201 41.9023038217645,15.6431335329949 41.9054438349673,15.6390061875312 41.9092584362207,15.6359539479478 41.9136011369285,15.6340942771419 41.9183051366584,15.6334988865139 41.923189719921,15.6341909428606 41.9280671923284,15.6361441345303 41.9327500909015,15.6392836393485 41.9370583918567,15.6434889637052 41.9408264383309,15.64859854925 41.9439093203751,15.6544159738138 41.9461884599222,15.6607175094549 41.9475761836366,15.6672607457219 41.9480191054729,15.6737939428562 41.9475001869148,15.6800657497674 41.9460393943949,15.6858349066335 41.9436929282278,15.6908795526372 41.9405510532635,15.6950057756106 41.9367346161007,15.6980550714246 41.9323903848357,15.6999104253441 41.9276853929144,15.7005007831756 41.922800506878)))', 'ITQCJ', 'Capojale', 'Y'),('SRID=4326;MULTIPOLYGON(((10.1346428905776 43.9996612009545,10.1338843251091 43.9947892143484,10.1318239529198 43.9901176398867,10.1285412136866 43.9858259340262,10.1241624290991 43.9820789251496,10.1188559229329 43.9790204944483,10.1128255450054 43.976768064025,10.1063028489911 43.9754081013962,10.0995382229101 43.9749928105833,10.092791308737 43.9755381348318,10.0863210729442 43.977023146371,10.0803759022226 43.9793908462941,10.0751840977711 43.9825503444797,10.0709451274391 43.9863803373739,10.0678219679951 43.9907337522643,10.0659348306154 43.9954433822028,10.0653565124226 44.0003282976107,10.0661095570669 44.0052007903159,10.0681653398144 44.0098735845426,10.0714451196891 44.0141670381362,10.0758230255372 44.0179160566374,10.0811308673637 44.0209764529079,10.08716459201 44.0232305056048,10.0936921362943 44.0245915002349,10.1004623740908 44.0250070756638,10.1072148090915 44.0244612453158,10.1136896343271 44.0229750140105,10.1196377644057 44.0206055663536,10.1248304475931 44.017444058543,10.1290680822614 44.0136121000801,10.1321878949854 44.009257062917,10.1340701840968 44.0045464009781,10.1346428905776 43.9996612009545)))', 'ITQMM', 'MARINA DI MASSA', 'Y'),('SRID=4326;MULTIPOLYGON(((8.6244979583715 39.9031097815166,8.62390021368489 39.8982248183899,8.62207681002222 39.8935235128355,8.61909804001198 39.8891864796427,8.61507852497024 39.885380306733,8.61017278748419 39.8822511657422,8.60456930491126 39.879919209548,8.59848327355181 39.8784739697927,8.59214836044758 39.8779709290078,8.58580775648231 39.8784293971382,8.57970486963293 39.8798317727546,8.57407401012121 39.8821242168505,8.56913141949056 39.8852187137243,8.56506698327449 39.8889964409761,8.56203694228006 39.8933123209898,8.56015788128481 39.8980005812308,8.55950222720936 39.9028811119532,8.56009543302105 39.9077663789474,8.56191496055786 39.912468627018,8.56489110729607 39.9168070978866,8.56890965128922 39.9206149847585,8.57381621778397 39.9237458550628,8.57942220321437 39.9260792926495,8.58551203024292 39.9275255403476,8.59185145397147 39.9280289621752,8.5981965968141 39.9275701901771,8.60430335979041 39.9261668720437,8.60993684257322 39.9238729902713,8.61488040425007 39.9207767794351,8.61894401145499 39.91699732287,8.62197154959089 39.9126799614645,8.62384681491797 39.9079906932814,8.6244979583715 39.9031097815166)))', 'ITQOS', 'ORISTANO', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2358545777802 44.4188494579822,12.2354146514735 44.413959731809,12.233652431357 44.4092254591736,12.2306359305497 44.404828524361,12.2264812820993 44.4009378113958,12.2213482440916 44.397702727285,12.2154340455224 44.3952474772621,12.2089658116437 44.3936663094672,12.2021918591269 44.393019909105,12.1953721919969 44.3933330782187,12.1887685577109 44.3945937884479,12.1826344382644 44.3967536422802,12.1772053533949 44.3997297252214,12.1726898417952 44.4034077788713,12.1692614620437 44.4076465749762,12.1670521183624 44.4122833249168,12.1661469683434 44.4171399194564,12.1665811118462 44.4220297614132,12.1683381941475 44.4267649305112,12.1713509843137 44.431163405987,12.1755039142084 44.4350560692644,12.1806374873814 44.4382932164192,12.1865543933634 44.440750328138,12.1930270947241 44.4423328728543,12.1998065946579 44.4429799557393,12.2066320445955 44.4426666708417,12.2132408166988 44.4414050641492,12.2193786467857 44.4392436696526,12.2248094502075 44.4362656363986,12.2293244266382 44.432585519705,12.2327500989747 44.428344861905,12.234954975175 44.423706735044,12.2358545777802 44.4188494579822)))', 'ITRAN', 'RAVENNA', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6846111487914 43.9837069713586,12.6841357254914 43.9788179122649,12.6823487349307 43.9740897518808,12.6793191330697 43.9697041382014,12.6751635475824 43.9658295199693,12.6700417653007 43.9626146866785,12.6641505780846 43.9601830673957,12.6577162256614 43.958628004955,12.6509857250019 43.9580091844785,12.6442174158438 43.9583503511074,12.6376710798858 43.959638402923,12.6315980062371 43.9618238930949,12.6262313775173 43.9648229221616,12.6217773395405 43.9685203489244,12.6184070930966 43.9727741985751,12.6162503096142 43.9774211011863,12.615390124502 43.9822825542252,12.6158599041073 43.9871717708177,12.6176419163238 43.9919008523428,12.6206679630984 43.9962880105703,12.6248219579868 44.0001645616142,12.6299443563122 44.0033814217278,12.6358382724283 44.0058148532786,12.6422770511581 44.0073712375313,12.6490130016652 44.0079906881295,12.6557869545216 44.0076493640015,12.6623382688258 44.0063603910441,12.66841489756 44.0041733563232,12.6737831168755 44.0011723944441,12.6782365388049 43.9974729408588,12.6816040563468 43.9932172789408,12.6837564135237 43.9885690545187,12.6846111487914 43.9837069713586)))', 'ITRCE', 'RICCIONE', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0509038514795 42.6832859522827,14.0503267220995 42.6784005438889,14.0484691358604 42.6736920586619,14.0454027356085 42.6693413844106,14.0412455379015 42.6655156266315,14.0361573709169 42.6623617002131,14.0303337218631 42.6600006998281,14.0239982318993 42.6585232628904,14.0173941258425 42.6579861007626,14.010774902343 42.6584098293462,14.0043946366598 42.6597781809137,13.9984982619371 42.6620386268529,13.9933121956077 42.6651043877559,13.9890356652228 42.6688577549006,13.9858330629562 42.6731545975108,13.983827620952 42.6778298850415,13.9830966516305 42.68270401479,13.9836685394808 42.687589703862,13.9855216055709 42.6922991821772,13.9885848952061 42.6966514107384,13.992740865392 42.7004790474195,13.9978298748306 42.7036348912864,14.0036563080584 42.7059975557521,14.0099961000511 42.7074761500614,14.0166053710467 42.7080137866521,14.0232298360791 42.7075897773901,14.0296146219127 42.7062204327335,14.0355141072511 42.7039584324836,14.0407014010986 42.7008907926782,14.0449770890263 42.6971355080853,14.0481769071175 42.6928370013952,14.0501780470939 42.6881605564938,14.0509038514795 42.6832859522827)))', 'ITRDA', 'ROSETO DEGLI ABRUZZI', 'Y'),('SRID=4326;MULTIPOLYGON(((9.18486505539482 44.3669488946914,9.1841798456773 44.3620707643913,9.18218145186586 44.3573822343454,9.17894694353867 44.353063416317,9.17460080195444 44.3492801823365,9.1693101088666 44.346177805213,9.16327811632104 44.3438753932339,9.15673644593856 44.3424613302727,9.14993621589891 44.3419898939049,9.14313843234123 44.3424791792773,9.13660400810287 44.3439104070433,9.13058378493529 44.346228641458,9.12530893521842 44.3493448915804,9.12098210574587 44.3531395163364,9.11776963972009 44.3574668048341,9.11579517438442 44.3621605585503,9.11513486180663 44.3670404635146,9.11581440069086 44.3719190098529,9.11780799960654 44.3766086942814,9.12103931895458 44.3809292292928,9.12538436296978 44.3847144814617,9.13067621699439 44.3878188707282,9.13671145224122 44.3901229824743,9.14325795341789 44.3915381740522,9.1500638668997 44.3920099960645,9.15686732129419 44.3915202946534,9.16340654042975 44.3900879125039,9.16942995257497 44.3877679611052,9.17470589985731 44.3846496927941,9.17903156838956 44.3808530558955,9.18224079171263 44.3765240676317,9.18421042625562 44.3718291852998,9.18486505539482 44.3669488946914)))', 'ITREC', 'RECCO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.6816819430297 38.0998204699544,15.6810278552265 38.0949397875407,15.6791816347185 38.0902537012666,15.6762144265659 38.0859422397892,15.6722403867796 38.0821710103637,15.6674122759749 38.0790848467985,15.6619155827638 38.0768022576291,15.6559614036288 38.0754108857283,15.6497783516581 38.074964151741,15.6436038018815 38.0754792085956,15.6376748049698 38.0769362845724,15.6322190130394 38.079279439837,15.6274459608901 38.0824187078612,15.6235390332166 38.0862335406963,15.6206484235182 38.0905774275285,15.6188853543237 38.095283511156,15.6183177820315 38.100170988654,15.618967754587 38.1050520520152,15.6208105282129 38.1097391031908,15.6237754826055 38.1140519666263,15.6277488048686 38.1178248216312,15.6325778436236 38.1209125869176,15.6380769689871 38.1231965101022,15.6440347142035 38.1245887452205,15.6502219232809 38.1250357402103,15.6564005883073 38.124520302408,15.6623330321018 38.1230622615291,15.6677910777913 38.1207177043059,15.6725648474617 38.117576810702,15.6764708471828 38.113760376146,15.679359024728 38.1094151552992,15.681118527842 38.1047082084548,15.6816819430297 38.0998204699544)))', 'ITREG', 'REGGIO CALABRIA', 'Y'),('SRID=4326;MULTIPOLYGON(((15.9164958799266 41.9167375217963,15.9157824920292 41.9118619471308,15.913809599817 41.9071839788195,15.9106532561153 41.9028833247316,15.9064349102313 41.8991251646576,15.9013167175533 41.896053816541,15.8954953009729 41.8937872065472,15.8891942049227 41.8924123530328,15.8826553304574 41.891982035567,15.8761296766058 41.8925127750333,15.8698677381122 41.8939842011641,15.8641099219843 41.8963398314494,15.8590773446285 41.8994892320767,15.8549633577939 41.9033114793195,15.8519261254301 41.9076597904644,15.8500825356067 41.9123671487545,15.8495036829387 41.9172527085911,15.850212099001 41.9221287368511,15.8521808428441 41.9268078248655,15.8553344931942 41.931110094301,15.8595520107824 41.9348701194449,15.8646713663219 41.937943298414,15.8704957598864 41.940211426312,15.8768011938247 41.9415872536951,15.8833451066778 41.942017852731,15.8898757323672 41.9414866596699,15.896141819231 41.940014113835,15.9019023287092 41.9376568682015,15.9069357343578 41.9345056025039,15.9110485583282 41.930681524409,15.9140828137068 41.9263316953607,15.9159220656434 41.9216233632028,15.9164958799266 41.9167375217963)))', 'ITRGG', 'RODI GARGANICO', 'Y'),('SRID=4326;MULTIPOLYGON(((10.4509709440893 42.81657449893,10.450204182268 42.811703769967,10.4481617393171 42.8070367278835,10.4449223483447 42.802752656201,10.4406106521265 42.7990160929426,10.4353923896804 42.7959705222147,10.4294680205498 42.7937328769093,10.4230650327665 42.7923890612487,10.416429228329 42.79199066278,10.409815316876 42.7925529781709,10.4034771730119 42.7940544274241,10.397658124765 42.7964373787103,10.3925816396123 42.7996103527994,10.3884427603858 42.8034515239373,10.3854006165803 42.8078133848467,10.3835722978101 42.8125283991075,10.3830283265456 42.8174154261693,10.3837899082766 42.8222866741141,10.3858280707977 42.8269549142606,10.3890647326572 42.8312406806934,10.3933756665625 42.8349791773791,10.3985952495516 42.8380266258646,10.404522821041 42.8402658073863,10.4109304054691 42.8416105838466,10.4175715010396 42.8420092214253,10.4241905925858 42.8414463870523,10.4305330168808 42.8399437397352,10.4363547942389 42.8375590936979,10.4414320417014 42.8343841861813,10.4455696003819 42.8305411372861,10.4486085418275 42.8261777401613,10.4504322639545 42.8214617651015,10.4509709440893 42.81657449893)))', 'ITRMA', 'RIO MARINA', 'Y'),('SRID=4326;MULTIPOLYGON(((9.76770488908479 44.0997720599044,9.76697497539256 44.0948975100864,9.76493976275225 44.0902192135057,9.76167772791225 44.0859168864614,9.75731440154775 44.0821557662995,9.75201751802563 44.079080276459,9.74599056130541 44.0768084937422,9.73946495621694 44.0754276277913,9.73269120350188 44.0749906838988,9.72592929494986 44.0755144352432,9.71943877063814 44.0769787810866,9.7134687930067 44.0793275151767,9.70824861193266 44.0824704754377,9.70397878111942 44.0862869938961,9.70082345934288 44.0906305165243,9.69890409111599 44.0953342180986,9.69829471123468 44.1002173988966,9.69901905794032 44.1050924195921,9.70104961196425 44.1097719092659,9.70430860578991 44.1140759699816,9.70867097170931 44.1178391004573,9.71396912157542 44.1209165712024,9.71999937864004 44.1231900038397,9.7265298156261 44.124571937541,9.73330919617898 44.1250092044587,9.74007667172098 44.1244849822364,9.74657185465036 44.123019443299,9.75254487329455 44.1206689755367,9.75776601481015 44.1175240049614,9.762034579276 44.1137055055989,9.76518660070686 44.1093603330512,9.76710113703776 44.1046555637273,9.76770488908479 44.0997720599044)))', 'ITRMG', 'RIO MAGGIORE', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6156560029654 44.0637289066266,12.6151859057386 44.0588397360939,12.6134023118907 44.0541106264259,12.610374048421 44.0497232622834,12.6062176930487 44.0458461596676,12.6010930633521 44.0426282033391,12.5951970612812 44.0401929420118,12.5887561116654 44.0386338580042,12.5820174844664 44.0380107904733,12.57523983066 44.0383476473035,12.5686832896314 44.0396314918447,12.5625995410948 44.0418130387633,12.5572221764208 44.0448085401453,12.5527577528375 44.0485029905639,12.5493778695783 44.0527545299595,12.5472125683347 44.0573998776634,12.5463453123808 44.0622605914094,12.5468097408516 44.0671499132038,12.5485883287068 44.0718799407382,12.5516130110635 44.076268849615,12.5557677553946 44.0801478886617,12.5608929893892 44.0833678783135,12.5667917190989 44.0858049603015,12.5732371044366 44.0873653751279,12.579981200142 44.0879890810304,12.586764522708 44.0876520729383,12.5933260697312 44.0863673105299,12.59941339938 44.0841842188759,12.6047923750919 44.0811867810626,12.6092561943736 44.0774902973209,12.612633349992 44.0732369372655,12.6147942155146 44.0685902587437,12.6156560029654 44.0637289066266)))', 'ITRMI', 'RIMINI', 'Y'),('SRID=4326;MULTIPOLYGON(((8.45178436396508 44.2331722286684,8.45116133455099 44.2282898908686,8.44922580895976 44.2235887357581,8.44605244381283 44.2192493641668,8.44176337680877 44.2154384408496,8.43652350466349 44.2123023040995,8.4305341356139 44.2099613592899,8.42402526200014 44.2085054691785,8.41724674853831 44.2079905154817,8.41045877084387 44.2084362615921,8.40392186547502 44.209825597028,8.39788696652416 44.2121051920516,8.39258580423952 44.215187537745,8.38822202829935 44.2189542945566,8.38496339252588 44.2232608228129,8.38293529970809 44.2279417237,8.38221595586516 44.2328171804251,8.38283332418155 44.2376998581608,8.38476400183391 44.2424020991876,8.38793407025517 44.2467431373549,8.39222189364368 44.250556054187,8.39746276461346 44.2536942078962,8.40345522286638 44.2560368860455,8.40996880575946 44.2574939619917,8.41675293163123 44.2580093734856,8.42354657042693 44.2575632874389,8.43008832373624 44.2561728660859,8.43612651941145 44.2538916044853,8.44142892530818 44.2508072652766,8.4457917024203 44.2470384915062,8.44904724898884 44.242730229911,8.45107063252863 44.2380481431901,8.45178436396508 44.2331722286684)))', 'ITRNS', 'SPOTORNO', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4317685232152 38.3166164405088,16.4310621150787 38.31174104137,16.4291622769016 38.3070678729602,16.4261422122238 38.3027764638153,16.4221181036651 38.299031647839,16.4172446294045 38.2959772423964,16.4117090138782 38.2937305357591,16.4057238420822 38.2923777935812,16.399518912206 38.2919709549975,16.3933324363257 38.29252564361,16.3874019225005 38.2940205687458,16.38195508314 38.2963983397431,16.3772011136224 38.2995676625653,16.3733226718487 38.3034068356701,16.3704688640886 38.3077684126843,16.3687495058527 38.3124848548602,16.3682308796979 38.3173749581931,16.3689331563245 38.3222508099323,16.3708295828773 38.3269250082307,16.3738474752054 38.3312178677613,16.3778709814096 38.3349643338123,16.3827455150144 38.3380203378099,16.3882836903086 38.340268348117,16.3942725325947 38.3416219006072,16.4004816848844 38.3420289327831,16.4066722922767 38.3414737915698,16.4126062177268 38.3399778365448,16.418055229436 38.3375986151612,16.4228098013059 38.334427642264,16.4266871837334 38.3305868706045,16.4295384317249 38.3262239899212,16.4312541194717 38.3215067374336,16.4317685232152 38.3166164405088)))', 'ITROC', 'ROCCELLA IONICA', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5164594421592 41.9007289570732,12.516005627872 41.8958382899667,12.5142836447687 41.8911077266614,12.5113599231366 41.8867190124595,12.507347003105 41.8828407223331,12.502399181995 41.8796217949979,12.4967065721979 41.8771858247675,12.4904877998186 41.8756263281937,12.4839816239609 41.8750031649226,12.4774377955295 41.8753402480927,12.4711075016521 41.8766246306325,12.4652337565379 41.8788070017736,12.4600421014023 41.881803574854,12.4557319649649 41.8854992949498,12.4524690122869 41.8897522449199,12.4503787740232 41.894399082884,12.4495418015492 41.8992613046533,12.4499905372828 41.904152092689,12.4517080256475 41.9088834900491,12.454628520639 41.9132736244541,12.458639973355 41.9171537047194,12.4635883098602 41.9203745195966,12.4692833393 41.922812187411,12.475506067201 41.924372933169,12.4820171322671 41.9249967070472,12.4885660392551 41.9246595029477,12.4949008278727 41.9233742863524,12.5007777996268 41.9211904950073,12.5059709220754 41.9181921317876,12.5102805431145 41.91449452415,12.5135410761483 41.9102398765966,12.5156273588909 41.9055917894491,12.5164594421592 41.9007289570732)))', 'ITROM', 'ROMA', 'Y'),('SRID=4326;MULTIPOLYGON(((9.26785478407716 44.3499235853415,9.26716289711334 44.3450459545756,9.26515847948897 44.3403588769012,9.26191883146257 44.3360424079036,9.25756863080022 44.3322623291313,9.25227511419156 44.3291637921168,9.24624164125328 44.326865757741,9.23969988981968 44.3254564419793,9.23290098086923 44.3249899404202,9.22610586986531 44.3254841590599,9.21957536742835 44.3269201294327,9.21356016540577 44.3292427339027,9.20829124422439 44.3323628138007,9.20397102389938 44.3361605809011,9.20076559458459 44.3404902033876,9.19879832378643 44.345185392713,9.19814508740967 44.3500657792919,9.19883131213323 44.3549438342498,9.20083094910627 44.3596320727223,9.2040674258808 44.3639502624034,9.20841654748542 44.3677323597864,9.21371124150801 44.3708329060234,9.21974796908206 44.3731326343478,9.22629455688478 44.3745430708956,9.23309914764402 44.3750099494486,9.23989992089173 44.3745153066164,9.24643520398143 44.3730781754446,9.25245357725436 44.3707538502901,9.2577235774899 44.3676317517812,9.26204262039745 44.3638319754586,9.26524479507505 44.3595006590244,9.2672072295056 44.3548043489139,9.26785478407716 44.3499235853415)))', 'ITRPO', 'RAPALLO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2315268555466 37.7329422955152,15.2309059081359 37.7280586597481,15.2290975001232 37.7233650525168,15.2261713222832 37.7190417941801,15.2222399550303 37.7152549476799,15.2174545224408 37.7121499486294,15.2119988780265 37.7098460301091,15.206082546685 37.7084316543258,15.1999326929327 37.7079611246134,15.1937854210132 37.7084525062261,15.1878767366721 37.709886934671,15.1824335126085 37.7122093377719,15.1776647994856 37.7153305441538,15.1737538119224 37.7191306983145,15.1708508944439 37.7234638528211,15.1690677366616 37.7281635632458,15.1684730610598 37.7330492729174,15.1690899521322 37.7379332438954,15.170894934043 37.742627768995,15.1738188376099 37.7469523881205,15.1777494286564 37.7507408311623,15.1825357012771 37.7538474194483,15.1879936740733 37.7561526779512,15.1939134676726 37.757567940464,15.200067390461 37.758038768656,15.2062187187208 37.7575470518321,15.2121308291647 37.7561117055184,15.2175763275004 37.7537879416282,15.2223458168276 37.7506651387044,15.2262559643577 37.7468633953084,15.2291565534535 37.7425289008198,15.2309362489788 37.7378283036662,15.2315268555466 37.7329422955152)))', 'ITRPT', 'RIPOSTO', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3998402682064 40.617175323796,14.399252980006 40.6122898713812,14.3974264797431 40.6075855816381,14.3944311883157 40.6032431836744,14.3903823692663 40.5994294701636,14.3854356755739 40.5962909002731,14.3797811590685 40.5939479864852,14.3736359740164 40.5924906787172,14.3672360541686 40.5919749208007,14.3608270797467 40.5924205096526,14.3546550763722 40.5938103380385,14.3489570011116 40.5960910494916,14.3439516712437 40.5991750805971,14.3398313790589 40.6029440133944,14.3367545113038 40.6072531109754,14.3348394555011 40.6119368642723,14.3341600283565 40.6168153392103,14.3347426052636 40.6217010823283,14.3365650663354 40.6264063208866,14.3395576056038 40.6307501813291,14.3436053785179 40.6345656483335,14.3485528913636 40.6377059957788,14.354209967603 40.640050440566,14.3603590632738 40.641508799697,14.3667636492684 40.6420249692795,14.3731773349862 40.6415790897242,14.3793533775529 40.6401883125224,14.3850542049715 40.6379061385898,14.3900605809723 40.6348203539904,14.3941800540011 40.6310496436386,14.397254362021 40.6267390150589,14.399165507206 40.6220542103998,14.3998402682064 40.617175323796)))', 'ITRRO', 'SORRENTO', 'Y'),('SRID=4326;MULTIPOLYGON(((9.68473480512482 44.1497970869281,9.68401104026143 44.1449220096643,9.68198058901246 44.140242244934,9.67872174641515 44.1359375657381,9.67435992176751 44.1321732999047,9.66906279286014 44.1290939916435,9.66303385387933 44.1268178641933,9.6565046061708 44.1254322937172,9.64972569028957 44.1249904657806,9.64295729578916 44.1255093407392,9.63645921096062 44.126969004821,9.63048088752642 44.1293134314084,9.62525189478987 44.1324526238698,9.62097312394615 44.1362660591404,9.61780907653158 44.1406073019804,9.615881532038 44.145309615222,9.61526483963817 44.1501923530151,9.61598301924182 44.1550678935726,9.61800878961707 44.1597488464295,9.62126456834695 44.1640552577035,9.62562541257987 44.1678215358735,9.63092379378522 44.1709028303699,9.63695602712646 44.1731806155674,9.64349010972164 44.174567262926,9.65027466494771 44.1750094229341,9.65704864471127 44.1744900846813,9.66355141041484 44.1730292324721,9.66953279771488 44.1706830738057,9.67476277086261 44.1675418690074,9.67904028940492 44.163726447502,9.68220104245776 44.1593835469155,9.68412375206628 44.1546801567924,9.68473480512482 44.1497970869281)))', 'ITRSM', 'MONTEROSSO AL MARE', 'Y'),('SRID=4326;MULTIPOLYGON(((9.45880144238943 44.2608655253595,9.45809486001647 44.2559890366032,9.45607836557969 44.2513052865944,9.45282972087418 44.2469942023177,9.44847394662329 44.2432213580819,9.44317849113779 44.240131627551,9.43714678657692 44.2378436337638,9.43061044174976 44.2364452077741,9.42382036985602 44.2359900278197,9.41703718781225 44.2364955659826,9.41052124977364 44.2379424198167,9.40452269044834 44.2402750541623,9.39927185347142 44.2434039252177,9.39497046646333 44.2472089067697,9.39178389779768 44.2515438891704,9.38983479125219 44.256242376962,9.38919832470249 44.2611238726633,9.38989927931993 44.2660008036064,9.39191103823329 44.2706857270969,9.39515656058773 44.2749985374986,9.39951130100987 44.2787733977161,9.40480796858077 44.2818651271703,9.41084294661293 44.2841547985045,9.41738412794124 44.2855543252733,9.4241798630522 44.2860098616552,9.43096867285497 44.2855038813052,9.43748934641836 44.2840558539884,9.44349102809318 44.2817214935168,9.44874289889529 44.2785906064795,9.4530430738145 44.2747836260046,9.45622636900749 44.2704469660578,9.45817063905339 44.2657473774879,9.45880144238943 44.2608655253595)))', 'ITRTS', 'RIVA TRIGOSO', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((13.1674969473045 43.7675584891556,13.1669830713107 43.7626706060014,13.1651635055938 43.7579492787448,13.162108451975 43.7535758908018,13.1579355094632 43.7497184200784,13.1528051253994 43.7465249972201,13.1469144169339 43.744118229735,13.1404896021641 43.7425905075711,13.1337773308325 43.7420004679295,13.1270352440673 43.7423707528473,13.1205221201309 43.7436871440659,13.1144879777804 43.745899107675,13.1091645102812 43.7489217278673,13.1047562113006 43.752638956735,13.1014325291886 43.7569080572591,13.0993213491834 43.7615650712774,13.0985040548974 43.7664311049303,13.0990123624857 43.7713191923821,13.1008270549587 43.7760414757388,13.1038786724019 43.7804164260271,13.1080501389333 43.7842758274882,13.1131812319172 43.7874712555394,13.1190747262774 43.7898797974002,13.1255039797897 43.7914087929896,13.132221666953 43.7919994112389,13.1389693221272 43.7916289220233,13.1454873193094 43.7903115747037,13.1515248978344 43.7880980487484,13.1568498413108 43.7850734978178,13.1612574313679 43.7813542637575,13.1645783275833 43.7770833888586,13.1666850688471 43.7724251014157,13.1674969473045 43.7675584891556)))', 'ITRTT', 'MAROTTA', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6646693130924 38.0670946171445,14.6640831283066 38.0622083779247,14.6623026637687 38.0575064182944,14.6593965425978 38.0531693814862,14.6554765810125 38.0493638606937,14.6506934707211 38.046236008668,14.6452309804089 38.0439059350318,14.639298900276 38.0424631045103,14.6331249997403 38.0419629108018,14.6269463043473 38.0424245559461,14.6210000225663 38.0438303154552,14.6155144657606 38.0461262169854,14.6107003048501 38.0492241068451,14.6067424950355 38.0530050260723,14.6037931757645 38.0573237681026,14.6019658176086 38.0620144449784,14.6013308419497 38.0668968503192,14.6019128847859 38.0717833763574,14.6036898143443 38.0764862204749,14.6065935456742 38.0808246047837,14.6105126263888 38.084631730946,14.6152964988846 38.0877612018075,14.6207612784385 38.0900926612924,14.6266968263338 38.0915364336926,14.6328748452175 38.092036981917,14.6390576825622 38.091575049954,14.6450074993236 38.0901684059573,14.6504954459696 38.0878711569257,14.6553104877488 38.0847716616961,14.6592675353567 38.0809891236333,14.6622145653852 38.0766689957549,14.6640384557794 38.0719773770011,14.6646693130924 38.0670946171445)))', 'ITSAG', 'SANT''AGATA DI MILITELLO', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8158743165365 40.6830571066382,14.8152561247218 40.6781737382802,14.8133986111641 40.6734759936806,14.8103733869772 40.669144348357,14.8062968629414 40.6653451802639,14.8013257526747 40.6622243888864,14.7956510419028 40.6599018036765,14.7894906568276 40.6584665943929,14.783081112136 40.6579738574009,14.7766684561449 40.6584425071418,14.7704988558564 40.6598545524744,14.7648091775837 40.6621557852107,14.7598179189653 40.6652578548174,14.7557168355837 40.6690416508386,14.7526635804223 40.6733618649965,14.7507756377107 40.6780525599652,14.7501257854173 40.6829335331404,14.7507392641838 40.687817232848,14.7525927666901 40.6925159625621,14.7556152924682 40.6968490967903,14.7596908415465 40.700650030906,14.7646628487361 40.7037725965635,14.7703401917631 40.7060966941925,14.7765045436892 40.7075329237819,14.7829187859101 40.7080260336342,14.789336154952 40.7075570525433,14.7955097662931 40.7061440220955,14.8012021429735 40.7038413004539,14.8061943765468 40.7007374648242,14.810294563003 40.6969518945234,14.8133451859081 40.6926301679472,14.8152291617699 40.6879384526733,14.8158743165365 40.6830571066382)))', 'ITSAL', 'SALERNO', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0814181441695 37.5175147156202,13.0809395141305 37.5126226089804,13.0792720823328 37.5078988681652,13.076480130381 37.5035249815898,13.0726710951985 37.4996689649714,13.0679914184658 37.4964789152864,13.0626209094833 37.4940773328073,13.0567658395089 37.4925564273978,13.0506510322825 37.4919745873329,13.0445112520446 37.4923541444689,13.0385822157727 37.4936805202837,13.0330915698604 37.4959027849645,13.0282501726732 37.4989356082293,13.0242440133022 37.5026625278786,13.0212270737391 37.5069404120795,13.0193154073016 37.5116049459122,13.0185826614795 37.5164769334508,13.0190572198668 37.5213691750876,13.0207210772303 37.5260936571964,13.0235104961402 37.5304687785074,13.0273184253062 37.5343263353258,13.0319985914289 37.537517996194,13.0373711107033 37.5399210155513,13.0432294058231 37.5414429647824,13.049348162049 37.5420252966996,13.0554920139407 37.5416456045666,13.0614246246479 37.5403184874575,13.0669178036015 37.5380949880406,13.0717603068034 37.5350606245754,13.0757659767823 37.5313320937431,13.0787809060523 37.5270527726645,13.0806893473451 37.5223871950109,13.0814181441695 37.5175147156202)))', 'ITSCK', 'SCIACCA', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4641727608494 36.8831446477413,14.4636079529432 36.8782565931545,14.4618671087187 36.8735509603699,14.4590173182926 36.8692085368234,14.4551682269286 36.8653961265664,14.4504678017951 36.8622601511742,14.4450966383088 36.8599210361104,14.439261025968 36.8584685962635,14.433185039225 36.8579585959499,14.4271019545317 36.8584106138365,14.4212453191334 36.8598072936336,14.415840009756 36.8620950088874,14.4110936196752 36.865185916656,14.4071885007666 36.8689613222302,14.40427476335 36.8732762272643,14.4024645016876 36.8779648885413,14.4018274679149 36.8828471757949,14.4023883634246 36.8877354860249,14.4041258560519 36.8924419498171,14.40697336593 36.8967856532224,14.4108215949883 36.9005995973426,14.415522707337 36.9037371270859,14.4208960029374 36.9060775803524,14.4267348676965 36.9075309385247,14.4328147320106 36.9080412974792,14.4389017291023 36.9075890239492,14.4447617160987 36.9061915131439,14.4501693060234 36.9039025180307,14.4549165584079 36.9008100763986,14.4588209900995 36.8970331164736,14.4617325954011 36.8927168732373,14.4635396046459 36.8880272936355,14.4641727608494 36.8831446477413)))', 'ITSCO', 'SCOGLITTI', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5783686893359 39.6515645559745,16.5776357646664 39.6466916061949,16.5756873863868 39.6420227928231,16.5725986359326 39.6377374737061,16.5684883428296 39.6340002443816,16.5635144983402 39.6309546259905,16.5578681786851 39.6287175648167,16.5517662121451 39.6273749525599,16.5454428703033 39.6269783373034,16.5391408991023 39.6275429497967,16.5331022292342 39.6290471198064,16.5275587169468 39.631433104714,16.5227232653236 39.6346092991514,16.5187816624756 39.6384537421765,16.5158854472673 39.6428187892069,16.5141460758954 39.647536771437,16.5136306149759 39.6524264274519,16.514359130235 39.6572998616737,16.5163038763092 39.6619697633526,16.5193903247329 39.6662566089568,16.5234999964441 39.6699955705549,16.5284749947819 39.6730428632831,16.5341240678634 39.6752812859547,16.5402299682236 39.6766247395943,16.5465578253907 39.6770215480255,16.5528642060042 39.6764564510896,16.5589065080786 39.6749511927721,16.5644523223952 39.6725636813766,16.5692883954079 39.6693857546655,16.5732288444051 39.6655396373036,16.5761223061863 39.6611732287761,16.5778577437392 39.6564544051638,16.5783686893359 39.6515645559745)))', 'ITSCW', 'Schiavonea', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9170485992301 42.9503272170767,13.9164799577092 42.9454414477501,13.914624970639 42.9407310319605,13.9115551853083 42.9363769318013,13.9073887520175 42.9325463840213,13.9022858562921 42.9293864867459,13.8964425521926 42.9270185629568,13.8900832353251 42.9255335148482,13.8834520436906 42.9249883450554,13.8768035131426 42.9254039762357,13.8703928408629 42.9267644512613,13.8644661241807 42.9290175441142,13.859250942894 42.9320767583625,13.8549476409865 42.9358246377061,13.8517216385994 42.9401172634092,13.849697068005 42.9447897682627,13.8489519791894 42.9496626577233,13.8495153029272 42.9545486975368,13.8513656937386 42.959260104726,13.8544323040734 42.9636157662661,13.8585974669958 42.9674482077023,13.8637011903829 42.9706100426173,13.869547294171 42.9729796530414,13.875910956527 42.9744658800052,13.8825473778886 42.9750115414033,13.8892012262231 42.9745956397356,13.895616494763 42.9732341733097,13.90154638644 42.970979519075,13.9067628380922 42.9679184111701,13.9110653123347 42.9641685941871,13.9142885150317 42.9598742818499,13.9163087401386 42.9552005981421,13.9170485992301 42.9503272170767)))', 'ITSDB', 'SAN BENEDETTO DEL TRONTO', 'Y'),('SRID=4326;MULTIPOLYGON(((13.251469839558 43.7175326582268,13.2509494146254 43.7126450044706,13.2491245951078 43.7079248897359,13.2460657835125 43.7035536505261,13.2418907219731 43.6996991820415,13.23675993809 43.6965094996268,13.2308705635018 43.6941070673134,13.2244487645993 43.6925841088709,13.2177410752776 43.6919990789411,13.211004961122 43.6923744275608,13.2044989718185 43.6936957423285,13.1984728531565 43.6959123004412,13.1931579913465 43.6989390096593,13.1887585505187 43.7026596648635,13.1854436394887 43.706931397097,13.183340806877 43.7115901466431,13.1825311154628 43.7164569524387,13.183045988688 43.7213448184542,13.1848659563007 43.7260658948519,13.1879213544517 43.7304386987238,13.1920949606737 43.7342950966644,13.1972264689257 43.7374867795867,13.2031186372914 43.7398909789002,13.2095448740532 43.7414152018255,13.2162579696915 43.7420008012144,13.2229996355581 43.741625240335,13.2295104767683 43.7403029639036,13.2355400088736 43.7380848411279,13.2408563259978 43.7350562024534,13.2452550424532 43.7313335467418,13.2485671597039 43.7270600475089,13.2506655544574 43.7224000334809,13.251469839558 43.7175326582268)))', 'ITSEG', 'SENIGALLIA', 'Y'),('SRID=4326;MULTIPOLYGON(((13.1161303780003 41.2335469836956,13.1156339365277 41.2286572921824,13.1138836181012 41.2239346534458,13.1109469303535 41.2195605066145,13.1069369006827 41.215702866795,13.10200770655 41.2125098806674,13.0963487392981 41.2101041485409,13.0901773312949 41.2085780287523,13.083730425068 41.2079901024505,13.0772555013661 41.2083629324952,13.0710011096763 41.2096822010588,13.0652073588766 41.2118972583641,13.0600967270569 41.2149230616958,13.0558655380576 41.2186434312915,13.0526764282872 41.2229154998466,13.0506520915624 41.2275751869473,13.0498705431115 41.2324434904615,13.0503620879025 41.2373333552673,13.0521081148901 41.2420568569174,13.055041769774 41.2464324249125,13.0590504868824 41.2502918277869,13.0639802885802 41.2534866504516,13.0696416910292 41.2558940130009,13.075816991125 41.2574213088811,13.0822686538041 41.2580097778938,13.0887484741904 41.2576367745562,13.0950071573205 41.2563166430785,13.1008039409832 41.2541001646085,13.1059158853628 41.2510725982215,13.1101464667941 41.247350392089,13.113333141366 41.2430766931116,13.1153535859991 41.2384158299202,13.1161303780003 41.2335469836956)))', 'ITSFE', 'SAN FELICE CIRCEO', 'Y'),('SRID=4326;MULTIPOLYGON(((8.23791089863197 40.7632220272578,8.23733432525151 40.7583359663223,8.23551541157987 40.7536292983022,8.23252428956181 40.7492828441694,8.22847606504173 40.7454635525505,8.22352637023171 40.7423180966503,8.21786537360776 40.739967252897,8.21171047881331 40.7385012750226,8.20529799207168 40.7379764390082,8.19887407495948 40.7384128896485,8.19268532507858 40.7397938700964,8.18696934046309 40.742066363437,8.18194562410868 40.7451431219943,8.17780717280419 40.7489060076121,8.17471306982014 40.7532105164504,8.17278236466262 40.7578913167133,8.17208947609594 40.762768588848,8.17266129841058 40.7676549266067,8.17447612727362 40.7723625351888,8.17746445261515 40.7767104504308,8.18151159435957 40.7805315012655,8.18646208513818 40.7836787466636,8.19212563529652 40.786031137762,8.19828445243896 40.7874981852592,8.20470163320005 40.7880234503335,8.21113030138073 40.7875867228699,8.21732313607143 40.7862048018592,8.22304191736252 40.7839308474087,8.22806671649003 40.7808523296352,8.23220437182328 40.7770876545197,8.23529592127172 40.7727815983371,8.2372227040822 40.7680997284522,8.23791089863197 40.7632220272578)))', 'ITSIA', 'SINISCOLA', 'Y'),('SRID=4326;MULTIPOLYGON(((16.3317480637002 38.2666439187658,16.3310489152904 38.2617677437811,16.3291568412533 38.2570927736885,16.3261447468327 38.2527986067939,16.3221285088532 38.249050183404,16.3172625038745 38.2459914597658,16.3117336703525 38.2437398901371,16.3057543337711 38.2423819268775,16.2995540690784 38.2419697093982,16.2933709098076 38.2425190675085,16.2874422369216 38.2440089148244,16.2819956920107 38.2463820552899,16.2772404586434 38.2495473723928,16.2733592424488 38.2533833182761,16.2705012552565 38.2577425705459,16.2687764720729 38.2624576799688,16.2682513829276 38.2673474941236,16.26894640615 38.2722241118734,16.2708350672675 38.2769001024937,16.2738449806223 38.2811957123124,16.2778606014377 38.2849457813511,16.2827276471121 38.2880061028276,16.2882590207534 38.2902589792276,16.2942420101678 38.2916177592474,16.3004464842962 38.2920301791311,16.3066337687567 38.2914803782554,16.312565854563 38.2899895104112,16.3180145805385 38.2876149270209,16.3227704310676 38.2844479642691,16.3266506065646 38.2806104205478,16.3295060536369 38.2762498615073,16.3312271839885 38.2715339353249,16.3317480637002 38.2666439187658)))', 'ITSID', 'SIDERNO MARINA', 'Y'),('SRID=4326;MULTIPOLYGON(((13.8341768201349 43.1833534051483,13.8336130131046 43.1784674716619,13.8317577482609 43.173755893454,13.8286825871945 43.169399677207,13.8245058897167 43.1655661405226,13.8193882375777 43.1624024956068,13.8135262522799 43.1600302084846,13.8071450462286 43.1585403480082,13.8004895962037 43.1579901008353,13.7938153669504 43.1584005840782,13.7873785394661 43.159756038124,13.7814262125848 43.1620044299883,13.7761869473616 43.1650594443606,13.7718620115264 43.1688037871195,13.768617656228 43.1730936764139,13.7665787201309 43.1777643512169,13.7658238076852 43.182636388229,13.7663822305283 43.1875225866234,13.768232835298 43.1922351576477,13.771304769857 43.1965929434724,13.7754801656008 43.2004283875421,13.7805986389572 43.2035939872687,13.7864634434016 43.2059679790249,13.7928490373394 43.2074590344433,13.7995097759746 43.2080097849469,13.8061893894183 43.2075990367958,13.8126308769783 43.2062425899328,13.8185864303659 43.2039926284898,13.8238269973199 43.2009357067318,13.8281511119345 43.1971894091624,13.8313926480847 43.1928978152348,13.8334271962964 43.1882259454907,13.8341768201349 43.1833534051483)))', 'ITSIG', 'PORTO SAN GIORGIO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.3312488263697 37.0669168529005,15.3306271870212 37.0620331943021,15.3288287926815 37.057340539044,15.32592294249 37.0530191717,15.3220214307402 37.0492350840927,15.3172742318616 37.0461336078787,15.3118637307246 37.043833843025,15.3059977209278 37.0424240942391,15.2999014390265 37.0419584886993,15.2938089378389 37.0424549033656,15.2879541259464 37.0438942804057,15.2825618125753 37.0462213566773,15.2778390968705 37.049346779671,15.2739674281292 37.0531505297783,15.2710956392359 37.0574865191084,15.2693342200291 37.0621881921667,15.268751051728 37.0670749151978,15.2693687692895 37.0719589103752,15.2711638574568 37.0766524695036,15.274067520425 37.0809751704031,15.2779682968859 37.0847608182297,15.2827163243515 37.0878638437974,15.2881290918068 37.0901649112641,15.293998460627 37.0915755176113,15.3000986828759 37.0920414051046,15.3061951058524 37.091544653859,15.3120532239181 37.0901043729479,15.3174477245116 37.0877759631202,15.3221711755033 37.0846489799071,15.3260420156557 37.0808436804464,15.32891153823 37.0765063885037,15.3306695984142 37.0718038578847,15.3312488263697 37.0669168529005)))', 'ITSIR', 'SIRACUSA', 'Y'),('SRID=4326;MULTIPOLYGON(((15.7487464916696 38.2498017430694,15.7480864319511 38.2449216174629,15.7462319917866 38.2402367866464,15.743254633215 38.235927230448,15.7392689027493 38.2321584822843,15.7344280099594 38.2290752800485,15.7289179336585 38.2267960180554,15.7229502830922 38.2254082111037,15.7167541872025 38.2249651428662,15.7105675204206 38.2254838256597,15.7046277974582 38.2269443488781,15.6991630815237 38.2292906407932,15.6943832499301 38.2324326149564,15.6904719482097 38.2362496199855,15.6875795389534 38.2405950620101,15.6858173153861 38.2453020242766,15.6852532032562 38.250189670069,15.6859091194097 38.2550701846516,15.6877600932737 38.2597559906087,15.690735190522 38.264066959656,15.6947202089077 38.2678373432835,15.6995620472693 38.2709221546134,15.7050745828391 38.2732027543612,15.7110458319704 38.2745914240668,15.717246117872 38.2750347487108,15.723436928221 38.2745156769408,15.7293801174846 38.2730541785812,15.7348470947415 38.2707064738166,15.7396276384128 38.2675628641894,15.7435379945595 38.2637442500664,15.7464279445462 38.2593974702878,15.7481865695494 38.2546896452681,15.7487464916696 38.2498017430694)))', 'ITSLL', 'SCILLA', 'Y'),('SRID=4326;MULTIPOLYGON(((14.1168415954785 42.5672658469279,14.1162602226002 42.5623806352514,14.1144009485722 42.5576731107907,14.1113354791965 42.5533241243552,14.1071817936175 42.5495007167293,14.1020995839175 42.5463497128398,14.0962841079282 42.5439920955529,14.0899586930327 42.5425183728496,14.0833661778827 42.5419851139205,14.0767596172601 42.5424127851334,14.0703926016729 42.5437849675417,14.0645095569745 42.5460489853946,14.059336389974 42.5491179218695,14.0550718336387 42.552873945856,14.051879820433 42.5571728239733,14.0498831752641 42.5618494468747,14.0491588714838 42.5667241599753,14.049735035864 42.5716096574976,14.0515898232491 42.5763181764276,14.0546522108876 42.5806687145572,14.0588046888018 42.584493994871,14.063887748766 42.5876469073424,14.0697060035041 42.5900061785408,14.0760357025942 42.5914810486921,14.0826333551545 42.5920147739169,14.0892451242782 42.5915868168581,14.0956166265097 42.5902136399797,14.1015027529443 42.5879480704318,14.1066771276067 42.5848772612686,14.1109408336747 42.5811193287005,14.1141300681301 42.5768187966724,14.1161224291055 42.5721410263238,14.1168415954785 42.5672658469279)))', 'ITSLV', 'Silvi Marina', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8835186252167 42.0321621477123,11.8826541361681 42.0273032921255,11.8805351272636 42.0226635000788,11.8772432547499 42.0184210032118,11.8729051583837 42.0147387403489,11.8676875742825 42.011758110763,11.8617909235385 42.0095935567074,11.8554416235373 42.0083281809104,11.8488834154049 42.0080105651103,11.8423680365252 42.0086529100575,11.8361455906096 42.0102305674081,11.8304549786911 42.012682981386,11.825514752358 42.0159160048661,11.8215147355598 42.0198055025453,11.8186087338159 42.0242021049828,11.8169086103765 42.0289369333016,11.816479958962 42.0338280769099,11.8173395436756 42.0386875771643,11.8194546104398 42.0433286496798,11.8227441031631 42.0475728678771,11.8270817443906 42.0512570308751,11.8323008672961 42.0542394501224,11.8382008165191 42.0564054109062,11.8445546725105 42.0576715963362,11.8511180005359 42.0579893014147,11.8576382837533 42.0573463117994,11.8638646718099 42.0557673739792,11.8695576635171 42.0533132386703,11.8744983449859 42.050078315055,11.8784968229771 42.0461870277147,11.8813995262413 42.0417890185499,11.8830950936922 42.0370533805989,11.8835186252167 42.0321621477123)))', 'ITSMA', 'SANTA MARINELLA', 'Y'),('SRID=4326;MULTIPOLYGON(((15.204477867114 37.6169496541815,15.2038596934382 37.6120657716051,15.2020558332326 37.607371643825,15.1991358015275 37.6030476115399,15.195211942013 37.5992597678362,15.1904350902383 37.596153587056,15.1849887704752 37.5938483480434,15.1790821502414 37.592432563991,15.1729420221217 37.5919605924455,15.1668041179776 37.5924505540029,15.1609040848251 37.5938836385245,15.1554684638785 37.5962048251455,15.1507060141521 37.599324988838,15.1467997095779 37.6031243137626,15.1438997142036 37.6074568840029,15.1421176043862 37.6121562773431,15.141522061076 37.6170419492031,15.1421362007417 37.6219261631619,15.1439366520107 37.6266212029145,15.146854418832 37.6309465889227,15.1507775023241 37.6347360220083,15.1555551850803 37.6378437858602,15.1610038163199 37.6401503606259,15.1669138766242 37.6415670297564,15.1730580496884 37.6420393009597,15.1791999878445 37.6415490080196,15.1851034299345 37.6401150115249,15.1905413157639 37.6377924711801,15.1953045415108 37.6346707181055,15.1992100151015 37.6308698101095,15.2021076989984 37.6265359041168,15.2038863687463 37.621835625699,15.204477867114 37.6169496541815)))', 'ITSMJ', 'Santa Maria La Scala', 'Y'),('SRID=4326;MULTIPOLYGON(((14.982679938422 40.2830095066895,14.9820532935709 40.2781266874974,14.9801951204842 40.2734312971272,14.9771770501539 40.269103720657,14.9731152139885 40.265310180363,14.9681657583967 40.2621963606917,14.9625188362736 40.2598818247713,14.9563913074724 40.2584554347448,14.9500184275551 40.2579719496294,14.9436448407903 40.2584499295125,14.9375152184106 40.2598710253293,14.9318648958648 40.2621806810576,14.9269108628311 40.2652902217911,14.9228434471085 40.2690802487306,14.9198190085195 40.2734052125532,14.9179539223482 40.278098991691,14.9173200846814 40.2829812634429,14.9179421157668 40.2878644250373,14.919796373974 40.2925607999966,14.9228118243158 40.2968898533479,14.9268727342532 40.3006851379734,14.9318230983879 40.3038007038681,14.937472625508 40.3061167220569,14.9436040591734 40.3075441047349,14.9499815493415 40.3080279417624,14.9563597498745 40.3075496194766,14.9624932871347 40.3061275390701,14.968146229668 40.3038164064601,14.9731011889273 40.3007051213947,14.9771676961044 40.2969133482321,14.9801895296953 40.2925869021417,14.9820507110035 40.2878921303531,14.982679938422 40.2830095066895)))', 'ITSMK', 'SANTA MARIA DI CASTELLABATE', 'Y'),('SRID=4326;MULTIPOLYGON(((9.23484479874578 44.3329336762688,9.23415585316961 44.3280558246582,9.23215464638465 44.3233681469267,9.22891835524649 44.3190507219188,9.22457152869661 44.3152693680862,9.21928127410176 44.3121692860662,9.21325082617502 44.3098694961419,9.20671174699744 44.3084582817024,9.19991505531749 44.3079898111777,9.1931216217501 44.3084820660536,9.18659219265483 44.3099161531268,9.18057741864462 44.3122370269366,9.17530826352068 44.3153555951574,9.17098715594727 44.3191521275515,9.16778021972134 44.3234808397226,9.16581087976246 44.3281754781572,9.16515509102769 44.3330556945636,9.16583837792018 44.337933966784,9.16783480428497 44.3426228018084,9.1710679210418 44.3469419446054,9.17541366252028 44.3507253152054,9.18070508654674 44.3538274059369,9.1867387803735 44.3561288907083,9.19328268776094 44.3575412281055,9.20008505490911 44.3580100787378,9.2068841471637 44.3575174032518,9.21341835668056 44.3560821588847,9.21943630507059 44.353759567285,9.22470654526236 44.3506389822964,9.22902648340064 44.3468404411913,9.23223017372513 44.3425100341738,9.23419468547566 44.3378142727826,9.23484479874578 44.3329336762688)))', 'ITSML', 'SANTA MARGHERITA LIGURE', 'Y'),('SRID=4326;MULTIPOLYGON(((13.11468835706 38.1505130946489,13.1142051984408 38.1456214523794,13.1125230349312 38.1408982234775,13.109706720505 38.136524875427,13.1058646325472 38.1326694014312,13.1011444845106 38.1294798755115,13.0957276396671 38.1270787757462,13.0898221459293 38.1255582917333,13.0836547587092 38.1249767944493,13.0774622556282 38.125356602252,13.0714823724806 38.1266831274892,13.0659447034387 38.1289054358603,13.0610619097043 38.13193819722,13.0570215696251 38.135664953849,13.0539789800389 38.1399425822458,13.0520511839735 38.1446067790397,13.0513124548533 38.1494783623652,13.0517914134533 38.1543701484773,13.0534698927504 38.1590941407549,13.0562835996585 38.1634687554971,13.0601245537637 38.1673258066586,13.0648452142325 38.1705169801088,13.0702641397802 38.1729195469477,13.0761729657262 38.1744410942287,13.0823444293599 38.1750230891022,13.0885411324623 38.1746431374567,13.0945246998235 38.1733158488433,13.100064976383 38.1710922737798,13.1049489039679 38.168057935254,13.1089887316127 38.1643295310948,13.1120292404935 38.1600504356248,13.1139537043514 38.1553851755635,13.11468835706 38.1505130946489)))', 'ITSNR', 'TERRASINI', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5819274966182 38.6825724004836,16.5812065683345 38.6776984917173,16.5792866669191 38.6730284498025,16.5762417696505 38.6687416817479,16.5721890145137 38.6650028416241,16.5672841798044 38.6619555157929,16.5617156926664 38.659716719436,16.5556973975491 38.6583724136811,16.5494603610159 38.6579742134844,16.5432440243845 38.6585374110714,16.5372870392828 38.6600403898384,16.5318181326712 38.662425451003,16.5270473468875 38.6656010218493,16.523157986816 38.6694451620822,16.5202995807584 38.6738102354712,16.5185821247163 38.6785285694464,16.5180718326863 38.6834188872761,16.5187885597008 38.6882932673763,16.5207050015595 38.6929643633894,16.5237477076697 38.6972526078299,16.5277998736307 38.700993121861,16.532705810844 38.7040420642837,16.5382769243199 38.7062821738048,16.5442989697732 38.7076272893792,16.5505403096855 38.7080256727627,16.5567608475881 38.7074620038415,16.5627212922473 38.7059579709755,16.5681923900162 38.7035714334245,16.5729637649734 38.7003941886707,16.5768520225388 38.6965484318466,16.5797078022578 38.692182045294,16.581421507965 38.6874629015001,16.5819274966182 38.6825724004836)))', 'ITSOO', 'SOVERATO', 'Y'),('SRID=4326;MULTIPOLYGON(((9.86771398064003 44.1167416046366,9.8669756275221 44.111867776266,9.86493195352756 44.1071913432835,9.86166176010297 44.1028919498536,9.85729089058128 44.0991347202145,9.85198736806435 44.0960639281267,9.8459549304021 44.0937974699215,9.83942521190204 44.0924223509033,9.83264887049565 44.0919913559693,9.82588599696824 44.0925210302467,9.81939616846814 44.0939910459678,9.81342852115908 44.0963449795074,9.80821221623414 44.0994924693494,9.80394765958113 44.1033126736195,9.80079880853577 44.1076588965869,9.79888686009855 44.1123642089761,9.79828556481676 44.1172478487058,9.7990183507348 44.122122158249,9.80105737428447 44.1267997934299,9.80432454200701 44.1311009270603,9.80869447120554 44.1348601699725,9.81399928193464 44.1379329419035,9.82003504022651 44.1402010451086,9.82656960623814 44.1415772238471,9.83335158404802 44.1420085318886,9.84012002477872 44.141478376438,9.84661450372494 44.1400071585177,9.85258517673443 44.1376514847766,9.85780242197898 44.1345019816612,9.86206569041642 44.1306797975483,9.8652112208309 44.126331929582,9.86711832175818 44.1216255574734,9.86771398064003 44.1167416046366)))', 'ITSPE', 'LA SPEZIA', 'Y'),('SRID=4326;MULTIPOLYGON(((7.8015359076884 43.8173674282896,7.80096993653525 43.8124818280049,7.79909879939347 43.8077700353148,7.79599467675948 43.8034130639639,7.79177704775174 43.7995782586277,7.7866080698549 43.7964128778539,7.78068633576217 43.7940384518627,7.77423924896324 43.7925461294699,7.76751430993664 43.7919931903313,7.76076964398118 43.7924008542632,7.75426412875835 43.7937534702285,7.7482474937913 43.7959991154831,7.74295076511255 43.7990515822065,7.7385774159547 43.8027936765915,7.73529555916463 43.8070817057048,7.73323147957562 43.811750982241,7.73246475594398 43.8166221382524,7.73302516368529 43.821508007521,7.73489148336144 43.8262208137146,7.73799226789115 43.8305793887919,7.7422085463523 43.8344161439248,7.74737836686943 43.8375835237267,7.75330300846879 43.8399596936438,7.75975462501951 43.8414532393629,7.76648502642919 43.8420066949877,7.77323525579998 43.8415987620715,7.77974558849009 43.840245132602,7.7857655615603 43.8379978836201,7.79106364078237 43.8349434670996,7.79543614731644 43.8311993736866,7.79871509659822 43.8269096006484,7.80077464643657 43.8222391007868,7.8015359076884 43.8173674282896)))', 'ITSRE', 'SAN REMO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5155671258534 40.0498596601201,15.5149046210246 40.0449797196443,15.5130163111021 40.0402928517119,15.5099749795971 40.0359791119283,15.5058976455863 40.0322041899181,15.5009410451331 40.0291130549045,15.4952956010129 40.0268243996667,15.4891781135255 40.025426094104,15.4828234519528 40.0249718208721,15.4764755624603 40.0254790205003,15.4703781328757 40.0269282237312,15.4647652671063 40.0292637963529,15.4598525216272 40.032396068408,15.4558286435028 40.036204767283,15.4528483241346 40.0405436246979,15.4510262460999 40.0452459828271,15.45043265312 40.0501311863739,15.4510906168528 40.0550115168575,15.4529751106687 40.0596994038869,15.4560139320241 40.0640146367084,15.4600904439898 40.0677912983964,15.465048035652 40.0708841548774,15.4706961333333 40.0731742512943,15.4768175327534 40.0745734983412,15.4831767690738 40.0750280700299,15.4895291996648 40.0745204803937,15.4956304453569 40.0730702580651,15.501245821275 40.0707331924046,15.5061593887966 40.0675991806716,15.5101822757096 40.0637887603296,15.5131599415158 40.0594484617362,15.5149781076188 40.0547451621234,15.5155671258534 40.0498596601201)))', 'ITSRH', 'SCARIO', 'Y'),('SRID=4326;MULTIPOLYGON(((9.21614829604991 41.2329425485035,9.21549533085045 41.2280618593916,9.21359386886194 41.2233710943178,9.21051721412075 41.2190504576066,9.20638375458792 41.2152659012434,9.20135238922942 41.2121627607814,9.19561641370996 41.209860185816,9.18939610084852 41.2084465766853,9.18293025962685 41.2079762004038,9.1764670934874 41.2084671138928,9.17025470383096 41.2099004730036,9.16453159732025 41.2122212534418,9.15951755546729 41.2153403563805,9.15540521203031 41.219138019196,9.15235265832469 41.2234684022644,9.15047735937198 41.228165177918,9.14985161595343 41.2330479091486,9.15049975055814 41.2379289749334,9.15239713076226 41.2426207773895,9.15547107394386 41.2469429542606,9.15960360495251 41.2507293190861,9.16463596618223 41.2538342609907,9.17037471035652 41.2561383561258,9.17659914315403 41.2575529727211,9.18306982836986 41.2580236903845,9.18953782510676 41.2575324002222,9.19575429654868 41.2560980037283,9.20148011461782 41.2537756831295,9.20649508499223 41.2506547717282,9.2106064325553 41.2468553074704,9.213656217605 41.2425234042331,9.21552739662278 41.2378256211157,9.21614829604991 41.2329425485035)))', 'ITSTE', 'SANTA TERESA DI GALLURA', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2489838321138 38.7829362341585,15.2483523323495 38.7780536003527,15.2465162291011 38.7733611947359,15.2435462877697 38.7690392894191,15.2395567773455 38.7652538923274,15.2347010585126 38.7621503798624,15.2291656831408 38.7598479245077,15.2231632329515 38.7584349293443,15.216924171374 38.7579656427633,15.2106880184872 38.758458081657,15.2046941834053 38.7598933417001,15.1991728008053 38.7622163208223,15.1943359181495 38.7653378285286,15.1903693675453 38.7691380012468,15.1874256314484 38.7734708943012,15.1856179752799 38.7781700762142,15.185016073567 38.783055012518,15.1856433008855 38.7879379955867,15.1874757964879 38.7926313554053,15.1904433442046 38.7969546745944,15.1944320394515 38.8007417299798,15.1992886456484 38.8038468927,15.2048264758328 38.8061507390345,15.2108325745606 38.8075646541385,15.2170759229453 38.808034249568,15.2233163482801 38.807541461411,15.2293137910087 38.8061052471656,15.2348375672225 38.8037808541704,15.2396752650534 38.8006576881701,15.2436409282915 38.7968558651971,15.2465822095748 38.7925215811634,15.2483862172059 38.7878214793105,15.2489838321138 38.7829362341585)))', 'ITSTR', 'STROMBOLI', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7816890674524 38.167603151194,12.7812281749879 38.1627108119889,12.7795673872263 38.157983453723,12.7767707384303 38.1536027040754,12.7729458528565 38.1497368417159,12.7682397859566 38.1465343402764,12.7628333629474 38.1441181761748,12.756934233842 38.1425811169718,12.7507689112041 38.141982169165,12.7445740939264 38.1423443199892,12.7385876061265 38.143653658585,12.7330392940501 38.1458599096187,12.7281422253006 38.1488783589905,12.7240845237322 38.1525930985884,12.7210221502979 38.1568614670187,12.7190729056962 38.1615195177148,12.7183118858582 38.1663883064562,12.7187685675597 38.1712807586301,12.7204256404725 38.1760088537764,12.7232196358857 38.1803908520324,12.7270433334961 38.1842582846394,12.7317498587093 38.1874624389094,12.7371583165349 38.1898800867961,12.7430607471776 38.1914182348459,12.7492301354446 38.1920177107939,12.7554291634873 38.1916554470007,12.7614193661373 38.1903453715239,12.7669703315959 38.1881378718812,12.7718685883068 38.1851178522616,12.7759258315597 38.1814014598333,12.7789861701764 38.1771316076185,12.7809321132414 38.1724724680763,12.7816890674524 38.167603151194)))', 'ITSVC', 'SAN VITO LO CAPO', 'Y'),('SRID=4326;MULTIPOLYGON(((8.53481430834239 44.2831470814328,8.53418391189147 44.2782652071468,8.53224015483984 44.2735654639795,8.52905801030304 44.2692283979803,8.52475995301699 44.2654205848567,8.51951122437959 44.2622882430772,8.51351347183192 44.2599516320636,8.50699700857913 44.2585004481211,8.50021198973143 44.2579903923955,8.4934188398608 44.2584410404863,8.48687829363528 44.2598350940469,8.48084142489659 44.2621190425445,8.4755400399367 44.2652052102046,8.4711777977974 44.2689751109018,8.46792239450211 44.2732839842592,8.46589910992618 44.2779663412497,8.4651859665848 44.2828423088391,8.46581069042613 44.2877245321349,8.46774959661565 44.292425370365,8.47092845053725 44.296764110767,8.47522527842165 44.3005739227209,8.48047502603694 44.3037082834545,8.4864758908127 44.3060466261785,8.49299708573558 44.3074989909502,8.49978773534121 44.3080094968532,8.506586557825 44.3075584997523,8.51313195491421 44.306163351128,8.51917211426675 44.3038777282267,8.52447472862481 44.3007895617359,8.52883595178265 44.2970176420849,8.53208824284827 44.292707037018,8.53410679575546 44.2880234991992,8.53481430834239 44.2831470814328)))', 'ITSVN', 'SAVONA', 'Y'),('SRID=4326;MULTIPOLYGON(((14.732857920786 40.6500806879264,14.7322460777314 40.6451968663793,14.7303952965443 40.6404977800549,14.7273769297161 40.6361639564835,14.7233071249649 40.6323618576859,14.7183423384458 40.6292374959828,14.7126733138 40.6269108380626,14.7065177596844 40.6254712100435,14.7001120059929 40.6249738777864,14.6937019559738 40.6254379318999,14.6875336767644 40.6268455573757,14.6818439838134 40.6291427154279,14.6768513748634 40.6322412117534,14.6727476566358 40.6360220730043,14.6696905824368 40.6403401036529,14.6677977822887 40.6450294504361,14.6671422199682 40.649909962873,14.6677493549304 40.654794107422,14.6695961233604 40.6594941709371,14.6726117836724 40.6638294771199,14.6766806001912 40.6676333382356,14.6816462672115 40.6707594736666,14.6873179070445 40.6730876466904,14.693477412895 40.6745283005281,14.6998878532528 40.6750260131466,14.7063026113669 40.6745616360311,14.7124749033346 40.6731530333638,14.7181673028007 40.6708543926994,14.7231608999806 40.6677541340555,14.7272637377043 40.6639714990769,14.730318196715 40.6596519533255,14.7322070451293 40.6549615807246,14.732857920786 40.6500806879264)))', 'ITTAA', 'CETARA', 'Y'),('SRID=4326;MULTIPOLYGON(((11.166812485899 42.5493653355548,11.1659940967861 42.5445003240748,11.1639081141721 42.5398468117914,11.1606349361841 42.5355835596195,11.1563004949237 42.5318743042972,11.1510713948766 42.5288614809421,11.1451485052438 42.5266607659984,11.138759253198 42.5253566477591,11.1321489123074 42.5249991922742,11.1255712166025 42.5256021270012,11.1192786549468 42.527142314684,11.1135128118361 42.5295606374644,11.1084951191857 42.5327642580157,11.104418369083 42.5366301724255,11.1014393102796 42.541009920537,11.0996726120962 42.5457352752536,11.0991864295548 42.550624694592,11.0999997444279 42.5554902904886,11.1020815904227 42.5601450477401,11.1053521991746 42.5644100158967,11.1096860297253 42.5681211969772,11.1149165705648 42.5711358626849,11.1208427331451 42.573338056094,11.1272365920172 42.5746430638285,11.133852172265 42.5750006844205,11.1404349422125 42.5743971652764,11.1467316404883 42.5728557326248,11.1525000528334 42.5704356938589,11.1575183561904 42.5672301475492,11.1615936654978 42.5633623907872,11.1645694513528 42.5589811642111,11.1663315427116 42.5542549200001,11.166812485899 42.5493653355548)))', 'ITTAL', 'TALAMONE', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2627479323842 40.4753632203752,17.2619549030324 40.4704967957032,17.259934184017 40.4658419940362,17.2567636412459 40.4615776300207,17.2525652469581 40.4578674894815,17.24750037268 40.4548540491235,17.2417635833715 40.4526530167296,17.2355751719008 40.4513488993191,17.2291727189852 40.4509917673447,17.2228019990391 40.4515953375004,17.2167075759619 40.4531364467603,17.2111234440846 40.4555559376856,17.2062640679658 40.4587609217108,17.2023161605058 40.4626283349608,17.1994315123171 40.4670096520458,17.1977211471922 40.4717365790342,17.1972510299673 40.4766275090702,17.1980394955889 40.4814944943521,17.2000565036354 40.4861504676273,17.20322475316 40.4904164358826,17.20742262105 40.4941283690623,17.2124888159189 40.4971435175484,17.2182285717595 40.4993459135109,17.2244211440758 40.5006508423393,17.2308283186995 40.5010081100498,17.2372036023781 40.5004039792837,17.243301736425 40.4988616984149,17.2488881615474 40.4964406032493,17.2537480640614 40.4932338265833,17.2576946509281 40.4893647052055,17.2605763325842 40.4849820245527,17.2622825368648 40.4802542861471,17.2627479323842 40.4753632203752)))', 'ITTAR', 'TARANTO', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4964263053755 58.3560835735792,11.4951718245755 58.3512383148943,11.4921438673845 58.346614743176,11.4874593753013 58.3423904157624,11.4812987271627 58.3387274994683,11.4738987533212 58.3357665647465,11.4655436224383 58.3336212130436,11.4565539528437 58.3323737393541,11.4472745620282 58.3320719923896,11.4380613143127 58.3327275495863,11.4292675571595 58.3343152749995,11.4212306504225 58.3367742766515,11.4142590898296 58.3400102278438,11.4086207061873 58.3438989660601,11.4045323855027 58.3482912350943,11.4021517030802 58.3530183926178,11.4015707977296 58.3578988681433,11.4028127320965 58.3627451266934,11.4058304939575 58.3673708727113,11.4105086939593 58.3715982178419,11.4166679111797 58.3752645358509,11.4240715331138 58.3782287384054,11.4324348357143 58.3803767265606,11.4414359565824 58.3816258039454,11.4507283348727 58.3819278776995,11.4599541290356 58.3812713206359,11.4687580815227 58.3796814209203,11.4768012803322 58.3772194015488,11.4837742718271 58.3739800486409,11.4894090073625 58.3700880425934,11.4934891563256 58.3656931371099,11.4958583874835 58.3609643758936,11.4964263053755 58.3560835735792)))', 'SELAL', 'Lahälla', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5654696981347 39.8665662286247,16.5647348979102 39.8616933984374,16.562780837207 39.8570246369716,16.5596828181531 39.8527392996928,16.5555600280069 39.8490019822275,16.5505709388213 39.8459562083644,16.5449072121077 39.8437189296058,16.5387863435313 39.8423760453543,16.5324433287423 39.8419791136847,16.5261216669621 39.8425433773127,16.5200640428408 39.8440471795155,16.5145030387066 39.8464327921947,16.5096522282945 39.8496086248946,16.5056979894025 39.8534527313133,16.5027923470383 39.857817480561,16.5010471212339 39.8625352159356,16.500529605915 39.8674246859714,16.5012599485025 39.8722980024321,16.5032103361555 39.8769678589902,16.5063060259344 39.8812547334625,16.510428185192 39.884993796199,16.5154184379232 39.8880412577091,16.5210849454776 39.8902799095615,16.5272097888325 39.8916236433126,16.5335573672134 39.8920207715586,16.5398834866329 39.8914560216568,16.5459447838052 39.8899511243609,16.5515081172132 39.8875639744876,16.5563595585113 39.8843863965165,16.5603126338555 39.880540602451,16.5632154953781 39.8761744801102,16.5649567464052 39.8714558952367,16.5654696981347 39.8665662286247)))', 'ITTCC', 'TREBISACCE', 'Y'),('SRID=4326;MULTIPOLYGON(((17.9246250615294 40.2561793908843,17.9237881386939 40.2513188697857,17.921729946917 40.2466768039868,17.918529785622 40.2424315163021,17.9143107578931 40.2387460583489,17.9092350210968 40.2357619586324,17.903497551905 40.2335937991305,17.8973186658188 40.2323248264517,17.8909355767686 40.2320037640312,17.8845933171683 40.2326429461607,17.8785353618928 40.2342178445847,17.8729943103623 40.2366680057682,17.8681829789533 40.2398993636259,17.8642862413314 40.2437878404191,17.8614539274232 40.2481840995633,17.8597950533581 40.2529192700379,17.859373605949 40.2578114246178,17.8602060476561 40.2626725647075,17.8622606433904 40.2673158443566,17.8654586411932 40.2715627559528,17.8696772673527 40.2752500006533,17.8747544256385 40.2782357779368,17.88049492297 40.2804052504308,17.8866779828396 40.2816749716358,17.8930657558958 40.2819961041598,17.8994124966267 40.2813563030387,17.9054740479454 40.2797801907639,17.9110172629666 40.2773284056682,17.9158289959423 40.2740952610631,17.9197243120725 40.2702051067034,17.9225535978404 40.2658075345677,17.9242082981236 40.2610716155676,17.9246250615294 40.2561793908843)))', 'ITTCS', 'TORRE CESAREA', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3999218932545 40.7831758986273,14.3993332873771 40.7782905764403,14.3975023854 40.7735863907435,14.3944997792917 40.7692440663168,14.3904410149926 40.76543039251,14.3854821281576 40.7622918263743,14.3798136387912 40.7599488796542,14.3736532369024 40.7584915030262,14.3672374391523 40.7579756426262,14.3608125337215 40.7584210991834,14.3546251562137 40.7598107706569,14.348912852599 40.7620913069379,14.3438949856416 40.7651751518399,14.3397643289342 40.7689438951485,14.3366796679215 40.773252807831,14.334759690839 40.7779363884325,14.3340784053784 40.7828147098579,14.3346622605698 40.7877003246727,14.336489089645 40.7924054649591,14.3394889206977 40.7967492606096,14.3435466302649 40.8005646982942,14.3485063432654 40.8037050524272,14.3541774139193 40.806049539058,14.36034175924 40.8075079730721,14.3667622622146 40.8080242473562,14.3731919183341 40.8075784981709,14.379383368745 40.8061878721071,14.3850984474142 40.8039058646016,14.390117369101 40.8008202558214,14.3942471996403 40.7970497245158,14.3973292793643 40.7927392719234,14.3992453130158 40.7880546339365,14.3999218932545 40.7831758986273)))', 'ITTDG', 'TORRE DEL GRECO', 'Y'),('SRID=4326;MULTIPOLYGON(((15.7495338452239 39.9827941790996,15.7488554157591 39.9779156603385,15.7469530767946 39.9732326742177,15.7439001488863 39.9689251262468,15.7398140942795 39.9651584676084,15.7348519816758 39.9620773499763,15.7292044435533 39.9598000816741,15.7230883592439 39.9584140959369,15.7167385435712 39.9579726031869,15.7103987569265 39.9584925541139,15.7043123771179 39.9599539906413,15.6987130854938 39.9623008093591,15.6938159193541 39.9654429086244,15.6898090295479 39.9692596381647,15.6868464567554 39.973604420581,15.6850422030086 39.978310369425,15.6844658275924 39.9831966901999,15.6851397400564 39.9880756201815,15.6870382995027 39.9927596415914,15.6900887607727 39.9970686913068,15.6941740371445 40.0008370895181,15.6991371783964 40.0039199197175,15.7047873954484 40.0061986128583,15.7109074011261 40.0075855187867,15.7172617836128 40.0080272869895,15.7236060872607 40.0075069248416,15.7296962465883 40.0060444530244,15.7352980048497 40.0036961325614,15.7401959492218 40.000552293723,15.7442018103774 39.9967338516158,15.7471617042396 39.9923876443615,15.7489620366192 39.987680775327,15.7495338452239 39.9827941790996)))', 'ITTEA', 'MARATEA', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3816464542671 38.0171706798029,14.3810794489343 38.0122831388881,14.3793182983698 38.0075770057275,14.376430884412 38.0032330853018,14.3725283062176 37.9994182363345,14.3677605899278 37.9962789705331,14.3623109153565 37.9939358360359,14.3563885827471 37.9924787988074,14.3502209889164 37.9919637973514,14.3440449181822 37.9924106013168,14.3380974782565 37.9938020550354,14.3326070240717 37.9960847345658,14.3277844129111 37.9991709933326,14.3238149222507 38.0029423188681,14.3208511377145 38.0072538733953,14.3190070832173 38.0119400458485,14.3183538197749 38.0168208040996,14.3189166850327 38.0217086051227,14.3206742840902 38.0264155988228,14.3235592757937 38.03076084921,14.3274609297528 38.0345772950863,14.3322293605331 38.0377181816294,14.3376812795466 38.0400627139577,14.3436070448541 38.0415207132994,14.3497787370414 38.0420360946777,14.3559589478528 38.0415890306037,14.3619099392863 38.040196716345,14.3674028157247 38.0379127068525,14.3722263511186 38.0348248511765,14.3761951272863 38.0310519048995,14.3791566673793 38.0267389525417,14.3809972891792 38.0220518179759,14.3816464542671 38.0171706798029)))', 'ITTEF', 'SANTO STEFANO DI CAMASTRA', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0829362477689 40.8172665119217,14.082370652281 40.8123798363111,14.0805613172715 40.8076708688142,14.0775780080783 40.8033205193916,14.0735355320577 40.7994958866974,14.0685893022567 40.796343849187,14.0629293554659 40.7939854358756,14.0567730559602 40.7925111907633,14.0503567642757 40.791977706721,14.0439267878465 40.7924054600007,14.0377299561264 40.7937780271768,14.0320041762386 40.7960427140303,14.0269693258532 40.7991125725491,14.022818827887 40.802869729744,14.0197122270809 40.8071699022542,14.0177690522449 40.8118479255516,14.0170642010109 40.8167240876166,14.0176250277495 40.821611025743,14.0194302516853 40.8263209228732,14.0224107333538 40.8306727275188,14.026452095864 40.8344991194812,14.0313990956913 40.8376529524723,14.0370615788161 40.8400129241315,14.0432217948301 40.841488253214,14.0496427869438 40.8420221818242,14.0560775321251 40.8415941660286,14.0622784749201 40.8402206692184,14.0680070823317 40.8379545271412,14.0730430462249 40.8348829093539,14.0771927741621 40.8311239566784,14.080296838633 40.8268222258212,14.0822360969617 40.8221431185543,14.0829362477689 40.8172665119217)))', 'ITTGV', 'TORRE GAVETA', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0335435832009 41.9999950992326,15.032896538772 41.9951140225911,15.0309855856523 41.9904208707019,15.0278844029173 41.9860959388637,15.0237123288957 41.9823053422982,15.018629750548 41.979194646061,15.0128319313632 41.9768832870957,15.006541516234 41.9754600003497,15 41.9749794222987,14.993458483766 41.9754600003497,14.9871680686368 41.9768832870957,14.981370249452 41.979194646061,14.9762876711043 41.9823053422982,14.9721155970827 41.9860959388637,14.9690144143477 41.9904208707019,14.967103461228 41.9951140225911,14.9664564167991 41.9999950992326,14.9670984326316 42.0048765447573,14.9690051227126 42.0095707471368,14.9721034569751 42.0138972511449,14.976274530745 42.0176897022116,14.9813581093415 42.0208022529503,14.9871587769976 42.0231151840864,14.9934534551668 42.0245395213234,15 42.0250204682579,15.0065465448332 42.0245395213234,15.0128412230024 42.0231151840864,15.0186418906585 42.0208022529503,15.023725469255 42.0176897022116,15.0278965430249 42.0138972511449,15.0309948772874 42.0095707471368,15.0329015673684 42.0048765447573,15.0335435832009 41.9999950992326)))', 'ITTMI', 'TERMOLI', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5336038058642 42.1168486521288,15.5329172280434 42.1119707003103,15.5309659612364 42.1072861788735,15.5278252320685 42.102975048864,15.5236158949413 42.0992028931836,15.5184997637102 42.0961145672505,15.5126733855226 42.0938286484703,15.5063604972388 42.0924328953618,15.4998034528523 42.0919808884186,15.4932539474713 42.0924899797706,15.4869633886411 42.0939406291198,15.481173278391 42.0962771510506,15.4761059690234 42.0994098455425,15.4719561423456 42.1032184312408,15.4688833361253 42.1075566516423,15.4670058037452 42.112257879634,15.4663959444321 42.1171415074382,15.4670774835036 42.1220198784498,15.4690245166797 42.1267054959289,15.4721624618668 42.1310182319678,15.4763708884994 42.1347922591613,15.4814881213372 42.1378824371704,15.4873174455239 42.1401699066275,15.4936346756978 42.1415666729373,15.5001967968515 42.1420190013553,15.5067513409847 42.1415094908098,15.5130461334469 42.1400577454173,15.5188390276766 42.1377196174564,15.5239072475359 42.1345850514511,15.5280559726041 42.1307746136772,15.5311258328242 42.1264348425996,15.5329990233154 42.1217326014074,15.5336038058642 42.1168486521288)))', 'ITTMT', 'Tremiti', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4501632910333 41.2825869505218,16.4494180734069 41.2777146672853,16.4474273595489 41.2730456436235,16.4442678763526 41.2687592426022,16.4400611840562 41.2650200967012,16.434968983056 41.2619717950131,16.4291868938984 41.2597313810389,16.4229369503666 41.258384870122,16.4164590925101 41.2579839564545,16.4100019826332 41.2585440343096,16.4038134916039 41.2600436083605,16.3981312146816 41.2624251154597,16.3931733750666 41.2655971269438,16.3891304595498 41.2694378483173,16.3861579043782 41.2737997839223,16.3843701114584 41.2785153897356,16.3838360264211 41.283403499393,16.3845764523368 41.2882762784148,16.3865632078896 41.292946440593,16.3897201688022 41.2972344495333,16.3939261588314 41.3009754279648,16.3990195844953 41.304025507809,16.4048046388041 41.3062673748564,16.4110588365576 41.3076147925464,16.4175415900391 41.3080159286387,16.4240034916293 41.3074553549979,16.4301959409647 41.3059546424298,16.4358807401693 41.303571527411,16.4408392820488 41.300397683396,16.4448809728993 41.2965551838669,16.4478505629187 41.2921917951894,16.4496341016181 41.2874752826037,16.4501632910333 41.2825869505218)))', 'ITTNI', 'TRANI', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4829060858464 40.75015212089,14.4823116643615 40.7452671582966,14.4804757793823 40.7405642315218,14.4774692135196 40.7362240166443,14.4734076639125 40.7324132217821,14.4684472723096 40.7292781933705,14.4627786157695 40.7269393074018,14.4566193902411 40.7254863588506,14.4502060670558 40.7249751241307,14.4437848395564 40.7254252266843,14.437602202605 40.7268193863588,14.4318955208445 40.7291040808881,14.4268839419654 40.7321915944506,14.4227599988579 40.7359633758274,14.4196822197417 40.740274579035,14.4177690288721 40.7449596142446,14.4170941732753 40.7498384980149,14.4176838546288 40.7547237608248,14.4195156816691 40.7594276478519,14.4225194895697 40.763769336828,14.4265800010662 40.767581895217,14.4315412324538 40.7707187081028,14.4372124788247 40.7730591278229,14.443375649952 40.7745131259029,14.4497936738223 40.7750247661476,14.4562196414558 40.7745743633771,14.4624063363473 40.7731792434497,14.4681157760689 40.7708930748211,14.4731283930559 40.7678037977315,14.4772514963762 40.7640302318808,14.4803266856604 40.7597174949225,14.4822359309322 40.7550314101848,14.4829060858464 40.75015212089)))', 'ITTOA', 'TORRE ANNUNZIATA', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5146182765747 38.0176729657699,12.5141756578471 38.0127800967647,12.5125351544979 38.0080495465383,12.5097600209601 38.0036630669313,12.5059570555523 37.9997891580874,12.501272473286 37.9965766037201,12.4958862764373 37.9941487668899,12.4900053407924 37.9925988634549,12.4838554826909 37.9919863926796,12.4776728091135 37.992334860225,12.471694678962 37.993630879585,12.4661506176201 37.9958246857814,12.4612535284635 37.9988320416874,12.4571915341979 38.0025374646453,12.4541207580438 38.006798650978,12.4521593205571 38.0114519303996,12.4513827832895 38.0163185428755,12.4518212169542 38.0212114986791,12.4534580110177 38.0259427594848,12.4562304757518 38.0303304652729,12.4600322191392 38.0342059292251,12.4647172122105 38.0374201308764,12.4701053901485 38.0398494563826,12.4759895755645 38.0414004632479,12.4821434573705 38.0420134842203,12.488330316013 38.0416649298764,12.4943121554514 38.0403681999365,12.4998588855965 38.0381731675583,12.5047571967714 38.0351642565437,12.5088187802299 38.0314571863019,12.5118875752936 38.0271945112938,12.5138457630096 38.0225401284425,12.5146182765747 38.0176729657699)))', 'ITTPS', 'TRAPANI', 'Y'),('SRID=4326;MULTIPOLYGON(((13.2831587143402 41.2834994208956,13.282649534975 41.2786102377313,13.2808858841309 41.2738899150965,13.2779357815028 41.2695198022146,13.2739127690175 41.265667758461,13.2689715215107 41.2624817150525,13.2633018916668 41.2600840054442,13.2571216197174 41.2585666799908,13.2506679871886 41.2579879825178,13.2441887321845 41.258370122087,13.2379325701857 41.2596984240627,13.2321396783925 41.2619218924178,13.2270325028763 41.2649551619138,13.2228072361982 41.268681766279,13.2196262890366 41.2729585986612,13.2176120434198 41.2776213952578,13.2168421284227 41.2824910338034,13.2173464030839 41.2873804070107,13.2191057676164 41.2921016083711,13.2220528548772 41.2964731548836,13.2260745820019 41.3003269689155,13.23101646984 41.3035148497415,13.2366885682228 41.3059141841761,13.2428727611067 41.3074326744994,13.2493311700384 41.3080118995448,13.2558153297493 41.3076295699325,13.2620757780611 41.3063003892304,13.2678716852208 41.3040754872439,13.272980146095 41.3010404474692,13.277204772439 41.2973120056868,13.2803832510602 41.293033548479,13.2823935757434 41.2883695870132,13.2831587143402 41.2834994208956)))', 'ITTRC', 'TERRACINA', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7316258608736 37.9833453395457,13.7311022771963 37.9784553295555,13.7293836560817 37.9737401131627,13.7265362478752 37.9693808474112,13.7226696190547 37.9655449828353,13.7179324200777 37.9623798396393,13.7125066640494 37.9600069599414,13.7066007373951 37.9585174510432,13.7004414103085 37.9579684965489,13.6942651511747 37.958381167544,13.6883090743394 37.95973961663,13.6828018637714 37.9619916852153,13.6779550159854 37.9650509009844,13.6739547340324 37.968799789833,13.6709547807715 37.9730943766818,13.6690705646928 37.977769704274,13.6683746863363 37.9826461600098,13.668894119247 37.9875363695684,13.6706091382032 37.9922523937421,13.6734540412554 37.9966129525098,13.6773196433127 38.0004503984875,13.6820574502335 38.0036171707167,13.6874853563592 38.0059914790737,13.6933946479318 38.0074819987565,13.6995580424792 38.0080313922776,13.7057384523817 38.007618521714,13.7116981313764 38.0062592648465,13.717207847098 38.0040059032443,13.7220557216452 38.0009451060732,13.7260553956522 37.9971945881916,13.7290531988147 37.9928985726842,13.7309340499758 37.9882222343082,13.7316258608736 37.9833453395457)))', 'ITTRI', 'TERMINI IMERESE', 'Y'),('SRID=4326;MULTIPOLYGON(((15.9319354029207 38.6827498665364,15.9312584841185 38.6778713302557,15.9293805825562 38.6731900224433,15.9263740651551 38.6688857858926,15.9223546003072 38.6651239478202,15.9174766931443 38.662048978947,15.911927742065 38.6597789559569,15.9059208458053 38.6584010379524,15.8996866361374 38.6579681286116,15.8934644467248 38.6584968505564,15.8874931526652 38.6599669086535,15.8820020271459 38.6623218664,15.8772019610527 38.6654713060921,15.8732773783359 38.6692942910738,15.8703791548129 38.6736439988982,15.8686188115892 38.6783533495291,15.8680642075157 38.683241414438,15.8687368995184 38.6881203620786,15.8706112770802 38.6928026739796,15.8736155097766 38.6971083544844,15.8776342770416 38.7008718565475,15.8825131799445 38.7039484561206,15.8880646684947 38.7062198282605,15.8940752576495 38.7075986084687,15.9003137534266 38.7080317618042,15.9065401696409 38.7075026284993,15.9125149877019 38.7060315663128,15.9180083979247 38.7036751646116,15.9228091615986 38.7005240609286,15.9267327485733 38.6966994452473,15.9296284346247 38.6923483882738,15.9313850849542 38.6876381754398,15.9319354029207 38.6827498665364)))', 'ITTRP', 'TROPEA', 'Y'),('SRID=4326;MULTIPOLYGON(((13.8156439956393 45.6493751310607,13.8150619474903 45.6444909350237,13.813132796831 45.6397802081503,13.8099309807995 45.6354239191195,13.8055797514874 45.6315893801476,13.8002464078605 45.6284238321275,13.7941358539169 45.6260488042354,13.7874827325301 45.6245554620301,13.7805424360011 45.6240011200236,13.7735813345589 45.6244070503201,13.7668665917834 45.6257576698392,13.7606559504769 45.6280011366485,13.755187873501 45.631051332867,13.7506724115235 45.6347911593544,13.7472831437944 45.6390770178062,13.7451504996832 45.6437443107356,13.7443567187988 45.6486137507761,13.7449326475286 45.6534982392933,13.7468565016273 45.6582100516918,13.7500546503095 45.6625680540317,13.7544043998047 45.6664046732608,13.7597386764366 45.6695723517862,13.7658524341665 45.6719492360814,13.7725105423739 45.6734438779671,13.7794568495592 45.6739987650663,13.7864240704247 45.6735925422893,13.7931441097627 45.672240837244,13.7993584184172 45.6699956571247,13.8048279752062 45.6669433806484,13.8093425041745 45.6632014236561,13.8127285681153 45.658913708802,13.8148562254073 45.6542451161934,13.8156439956393 45.6493751310607)))', 'ITTRS', 'TRIESTE', 'Y'),('SRID=4326;MULTIPOLYGON(((18.182465656746 39.9177940350292,18.1820418743139 39.9129017496812,18.1803869296097 39.9081671196708,18.1775646542894 39.9037720518612,18.1736836755503 39.8998853723105,18.1688932160361 39.8966563496432,18.1633773473706 39.8942089730833,18.1573479199426 39.8926372028626,18.1510364400904 39.8920013732151,18.1446852040281 39.8923258840939,18.1385380245903 39.8935982687533,18.1328309013902 39.8957696722322,18.1277829869094 39.8987567224405,18.123588190312 39.9024447229091,18.1204077377336 39.9066920461997,18.1183639730972 39.9113355613089,18.117535638176 39.9161968888094,18.1179548160502 39.9210892454627,18.119605660048 39.9258246168592,18.1224249628084 39.9302209832665,18.1263045496796 39.9341093209269,18.1310954099175 39.9373401087839,18.1366134108924 39.9397890888793,18.1426463775911 39.9413620568574,18.1489622648532 39.9419984961364,18.1553181054759 39.9416739139522,18.1614693856216 39.9404007879061,18.1671794813811 39.9382280858288,18.1722287877275 39.9352393775103,18.1764231835986 39.9315496118522,18.1796015038663 39.9273006850267,18.1816417292325 39.9226559721608,18.182465656746 39.9177940350292)))', 'ITTRU', 'Torre San Giovanni d''Ugento', 'Y'),('SRID=4326;MULTIPOLYGON(((18.3994790694303 39.9337335146873,18.3990397406075 39.9288415294395,18.3973693370266 39.9241095128866,18.3945322835457 39.9197192703921,18.3906377736982 39.9158394417992,18.3858355480763 39.9126190320767,18.3803101282697 39.9101816995419,18.3742737296941 39.908621018972,18.3679581250533 39.9079968993305,18.3616057682631 39.9083332916906,18.3554605152571 39.9096172738955,18.3497582924856 39.9117995463626,18.3447180656845 39.9147963200944,18.3405334506263 39.9184925253311,18.3373652843748 39.9227462192481,18.3353354407182 39.9273940254922,18.3345221279911 39.9322573988322,18.3349568527967 39.9371494762795,18.3366231709765 39.9418822529652,18.3394572796377 39.9462738078025,18.3433504335687 39.9501553011561,18.3481530986041 39.9533774746125,18.3536806862578 39.955816401342,18.3597206510797 39.9573782638655,18.3660406774367 39.9580029732775,18.3723976382467 39.9576664887177,18.3785469766551 39.9563817463794,18.3842521442458 39.9541981615688,18.3892937269612 39.9511997230758,18.3934779026034 39.9475017541054,18.3966439010063 39.9432464659943,18.3986701784173 39.9385974777974,18.3994790694303 39.9337335146873)))', 'ITTSE', 'TRICASE', 'Y'),('SRID=4326;MULTIPOLYGON(((13.9509666144652 42.800316231598,13.9503964358114 42.7954304906577,13.9485431201427 42.7907205232613,13.9454781483261 42.786367274418,13.9413194840024 42.7825379485251,13.936227013228 42.7793795972773,13.9303963894306 42.77701348485,13.9240515218171 42.7755304444242,13.9174359947775 42.7749874019753,13.9108037443651 42.7754051987264,13.9044093444905 42.7767677944208,13.8984982693331 42.7790228813986,13.8932974992777 42.7820838862319,13.8890068254105 42.7858332832846,13.8857911825984 42.7901270948893,13.8837743041086 42.7948004076665,13.8830339426601 42.7996736955292,13.8835988451742 42.8045597085934,13.8854476031298 42.8092706648157,13.88850942953 42.8136254686474,13.8926668395952 42.8174566789584,13.8977601382193 42.8206169571685,13.9035935459427 42.8229847457397,13.9099427297313 42.8244689563132,13.9165634480962 42.8250124847689,13.9232009746513 42.8245944158936,13.9295999322406 42.8232308313724,13.9355141528134 42.8209741894054,13.9407161771242 42.8179113001536,13.9450060231385 42.8141599761389,13.9482188820231 42.8098644883911,13.950231444339 42.8051900054671,13.9509666144652 42.800316231598)))', 'ITTTL', 'TORTORETO', 'Y'),('SRID=4326;MULTIPOLYGON(((13.8026146845555 45.6033788969302,13.8020341635712 45.5984946120317,13.8001076066355 45.5937836547605,13.7969093505738 45.5894270028207,13.7925625103071 45.5855919825811,13.7872342160984 45.5824258536392,13.7811291781993 45.5800501676772,13.7744818280924 45.5785561156686,13.7675473370785 45.5780010394538,13.7605918531494 45.5784062393203,13.7538823248208 45.5797561601485,13.7476762951442 45.5819989866854,13.7422120501241 45.5850486254498,13.737699493205 45.5887879985142,13.7343120916997 45.5930735248172,13.7321802026734 45.5977406195102,13.7313860359307 45.6026100027935,13.7319604518204 45.6074945782451,13.7338817234186 45.6122066180383,13.7370763185439 45.616564979665,13.7414216796201 45.6204020764724,13.7467509015784 45.6235703327244,13.7528591329266 45.6259478728751,13.7595114560088 45.6274432236673,13.7664519424336 45.6279988455324,13.7734135314613 45.6275933551124,13.7801283451294 45.6262423517613,13.7863380357411 45.6239978155364,13.7918037599478 45.6209461002037,13.7963153891133 45.6172045998296,13.7996995971675 45.6129172193388,13.8018265132198 45.6082488258632,13.8026146845555 45.6033788969302)))', 'ITUGG', 'MUGGIA', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((13.2149313976924 38.700491953554,13.2144392553579 38.6956009038788,13.2127391213681 38.6908790596406,13.2098965455365 38.6865078336705,13.2060209176989 38.6826551357858,13.2012612409718 38.6794689313727,13.1958003958308 38.6770715690965,13.1898481169109 38.6755550936064,13.1836329516828 38.6749777211654,13.1773935071869 38.6753616116996,13.1713693167054 38.6766920214829,13.1657916718702 38.6789178683711,13.1608747668796 38.6819536880686,13.1568074901968 38.6856829072762,13.1537461756644 38.6899623096277,13.1518085900734 38.6946275249025,13.1510693889234 38.6994993327675,13.1515572178003 38.7043905407678,13.1532535752608 38.7091131736772,13.1560934864336 38.7134856985964,13.1599679671529 38.717340007955,13.1647281889413 38.7205278910348,13.1701911883431 38.7229267436085,13.1761469027565 38.7244442941426,13.1823662616883 38.7250221627081,13.188610019644 38.7246381138484,13.1946379866559 38.7233069153934,13.2002182961493 38.7210797695554,13.205136348256 38.7180423383836,13.2092030798752 38.7143114405096,13.2122622401459 38.7100305478611,13.2141963902439 38.7053642575431,13.2149313976924 38.700491953554)))', 'ITUST', 'USTICA', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3624813076741 45.4398253802405,12.3620267651322 45.4349364855994,12.360226423337 45.4302039438753,12.3571497754823 45.4258095700526,12.3529152761116 45.4219221458986,12.3476857554856 45.4186909477204,12.3416621468589 45.4162400272883,12.3350757700114 45.4146634630398,12.3281794667469 45.4140217612644,12.3212379252134 45.4143395430559,12.314517558669 45.4156046040828,12.308276319982 45.4177683824066,12.3027538353124 45.4207478165489,12.298162229056 45.4244285236342,12.2946779875291 45.4286691775708,12.2924351716935 45.4333069216705,12.2915202404853 45.4381636105056,12.2919686874195 45.4430526436649,12.2937636259091 45.4477861306672,12.2968363853641 45.4521821126181,12.3010691032147 45.4560715629277,12.3062992204214 45.459304896825,12.3123257129064 45.4617577373962,12.318916821849 45.4633357138793,12.3258189850267 45.4639781049851,12.332766622172 45.4636601846752,12.3394923920242 45.4623941783692,12.34573751911 45.4602287919162,12.3512617852962 45.4572473316178,12.3558527949678 45.4535644888135,12.3593341526341 45.4493219147388,12.3615722363754 45.4446827584053,12.3624813076741 45.4398253802405)))', 'ITVCE', 'VENEZIA', 'Y'),('SRID=4326;MULTIPOLYGON(((12.9577077356922 45.7736441087803,12.9571996618061 45.768756911674,12.9553391680624 45.7640329677024,12.9521980608528 45.7596537576169,12.9478972695992 45.7557874771215,12.9426021663599 45.7525825876578,12.9365161963049 45.7501621289961,12.9298730659912 45.7486190094777,12.9229277886193 45.748012452083,12.9159469263657 45.7483657304048,12.9091983983493 45.7496652797336,12.9029412380531 45.7518612165869,12.8974156857247 45.7548692469827,12.8928339893847 45.7585738914391,12.8893722628903 45.762832904943,12.8871637117031 45.7674827247338,12.8862934876139 45.7723447393732,12.8867953741149 45.7772321407056,12.8886504362074 45.7819570972223,12.891787694419 45.7863379740212,12.8960868053029 45.7902063216567,12.9013826526227 45.7934133639838,12.90747167793 45.7958357334782,12.9141197095335 45.7973802308916,12.9210709880558 45.7979874234712,12.9280580376986 45.797633940923,12.9348119973683 45.7963333790482,12.9410730066615 45.7941357754803,12.9466002393558 45.791125677944,12.9511811916111 45.7874188806245,12.9546398628511 45.7831579562887,12.9568435127495 45.778506758604,12.9577077356922 45.7736441087803)))', 'ITVDA', 'VADA', 'Y'),('SRID=4326;MULTIPOLYGON(((7.63451405726709 43.7834176386844,7.63396196994827 43.7785313633641,7.63210501749925 43.7738169926834,7.629014835867 43.7694556403585,7.62481036970495 43.7656148201051,7.61965327246117 43.7624420219802,7.61374168231602 43.7600590612309,7.60730261492461 43.7585574142673,7.60058326421088 43.7579947183769,7.5938415417329 43.7583925674093,7.58733621228509 43.7597356865268,7.58131699769675 43.7619725170435,7.57601502185949 43.7650171892015,7.57163395785054 43.7687528083736,7.56834221294048 43.7730359304807,7.56626644996286 43.7777020571815,7.56548669502798 43.7825719422802,7.56603322331629 43.7874584693129,7.56788534851581 43.7921738376529,7.57097216958422 43.7965367816996,7.57517525348367 43.8003795454121,7.58033315720377 43.8035543428595,7.58624761978618 43.805939054416,7.59269118827364 43.8074419371269,7.5994159834909 43.8080051655728,7.60616326500289 43.8076070648276,7.61267342170187 43.8062629480498,7.61869599685297 43.8040245258105,7.62399935494959 43.8009779101929,7.62837961247874 43.7972402916986,7.63166848494984 43.7929554187851,7.6337397468325 43.7882880563381,7.63451405726709 43.7834176386844)))', 'ITVEN', 'VENTIMIGLIA', 'Y'),('SRID=4326;MULTIPOLYGON(((10.2675640979978 43.8666217937021,10.2667966376364 43.8617506873799,10.2647307416801 43.8570814721599,10.2614460593541 43.8527935135167,10.257068984505 43.849051495877,10.2517677732831 43.8459991090269,10.2457460709881 43.8437535435082,10.2392350979008 43.8424010039138,10.232484792583 43.8419934099462,10.2257542485986 43.8425464099205,10.2193018058398 43.8440387817276,10.2133751699443 43.8464132439287,10.2082019323442 43.8495786464867,10.2039808493013 43.8534134585424,10.2008742112291 43.8577704214856,10.1990015943979 43.862482191128,10.1984352368718 43.8673677547175,10.1991972207314 43.8722393783161,10.2012585751931 43.8769098189101,10.2045403424327 43.881199524473,10.2089165723995 43.8849435446255,10.2142191375697 43.8879978847174,10.2202441865179 43.8902450568431,10.2267599894659 43.8915986118184,10.2335158725492 43.8920064753579,10.2402518930387 43.8914529581067,10.2467088772933 43.8899593609248,10.2526384282734 43.8875831518031,10.2578125107523 43.8844157467319,10.2620322398436 43.880578981435,10.2651355312615 43.8762204118856,10.2670033182336 43.8715076268632,10.2675640979978 43.8666217937021)))', 'ITVIA', 'VIAREGGIO', 'Y'),('SRID=4326;MULTIPOLYGON(((16.2004750715264 41.8826549120113,16.1997405604632 41.8777813430217,16.1977481632369 41.8731084760856,16.1945746800127 41.8688158217984,16.1903422158474 41.8650682517826,16.1852134655313 41.8620096768747,16.1793854547617 41.8597575328597,16.1730819791439 41.8583982832106,16.1665450299597 41.857984109277,16.160025532237 41.8585309131582,16.1537737453365 41.8600177087739,16.1480296883648 41.8623874242048,16.1430139518789 41.8655490850966,16.1389192435977 41.8693812967076,16.1359029895294 41.8737368929151,16.1340812738051 41.8784485759667,16.1335243516574 41.8833353326374,16.1342539119037 41.8882093822061,16.1362421998445 41.8928833905074,16.1394130409159 41.8971776731838,16.1436447323053 41.9009271107054,16.1487746968711 41.9039875079249,16.154605724058 41.9062411516268,16.1609135590389 41.9076013500241,16.1674555468579 41.9080157773288,16.1739799954004 41.9074684928682,16.1802358915873 41.9059805558865,16.1859825907104 41.9036092120656,16.1909990999692 41.9004456836677,16.1950925939981 41.8966116497456,16.1981058316481 41.892254553852,16.1999231880107 41.887541922053,16.2004750715264 41.8826549120113)))', 'ITVIE', 'VIESTE', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2970904324779 44.8088365017573,12.2966439637225 44.8039471106758,12.2948663958401 44.7992136603759,12.2918263373257 44.7948180024224,12.2876408301877 44.7909289702723,12.2824708195724 44.7876959046893,12.2765149538416 44.7852429317846,12.2700019555973 44.7836642109734,12.263181856054 44.783020332727,12.256316425953 44.7833360020933,12.2496691647632 44.7845990951928,12.2434952254663 44.7867611240553,12.238031654391 44.7897390920972,12.2334883143185 44.7934186701242,12.2300398347116 44.7976585728543,12.2278188961006 44.8022959703611,12.2269111073885 44.8071527292229,12.2273516765349 44.8120422460186,12.229124008533 44.8167766124051,12.2321602920033 44.8211738373521,12.2363440596536 44.8250648488421,12.2415146311597 44.8283000047752,12.2474732727702 44.830754860803,12.2539908392809 44.832334970822,12.260816604 44.8329795328661,12.2676879337139 44.8326637377855,12.2743404307901 44.8313997285985,12.2805181451304 44.8292361327415,12.2859834556899 44.8262561853591,12.2905262348677 44.8225745169823,12.2939719385928 44.8183327311298,12.2961883089382 44.8136939444164,12.2970904324779 44.8088365017573)))', 'ITVLN', 'VOLANO', 'Y'),('SRID=4326;MULTIPOLYGON(((8.60186433862196 44.3671268427394,8.60122752919628 44.3622453864983,8.59927568628866 44.3575468232172,8.59608409450356 44.3532116530852,8.59177559176513 44.3494063784461,8.5865158203817 44.3462771197983,8.5805068510969 44.3439440178147,8.57397942670541 44.3424966338774,8.56718412190738 44.34199052323,8.56038175498978 44.3424451101788,8.55383341356856 44.3438429454585,8.54779047029378 44.3461303737243,8.54248496475824 44.3492195859825,8.53812071485296 44.3529919795236,8.53486549481932 44.3573026984386,8.53284457895251 44.3619861828513,8.53213590038186 44.366862516272,8.53276701504917 44.3717443294361,8.53471399378686 44.3764439968828,8.53790229251588 44.3807808503242,8.54220957465033 44.3845881311477,8.54747038370853 44.3877194134319,8.55348249097105 44.3900542484235,8.56001467591488 44.3915028109054,8.56681563908865 44.392009366211,8.5736237007682 44.3915544223389,8.58017690636093 44.3901554828927,8.58622314269042 44.3878663713166,8.59152986882643 44.3847751528736,8.59589308105335 44.3810007356964,8.5991451631077 44.3766882837743,8.60116131842354 44.3720036208179,8.60186433862196 44.3671268427394)))', 'ITVRZ', 'VARAZZE', 'Y'),('SRID=4326;MULTIPOLYGON(((15.6647327161103 38.2168245948337,15.6640785948807 38.2119439140476,15.6622303921116 38.2072576715014,15.6592593302743 38.2029459017079,15.6552797143588 38.1991742234877,15.650444519668 38.1960874875233,15.6449395068991 38.1938042239414,15.638976091584 38.1924121011542,15.6327832406645 38.1919645683716,15.6265987043955 38.1924788090576,15.620659915829 38.1939350828508,15.6151949021349 38.1962774808934,15.6104135516143 38.1994160660393,15.6064995674606 38.2032303169546,15.6036034144904 38.2075737455945,15.6018365289219 38.2122795127434,15.6012670149013 38.217166827931,15.601916996338 38.2220478895492,15.6037617305107 38.2267350996236,15.6067305230103 38.231048276344,15.6107094143332 38.2348215866983,15.6155455394895 38.2379099315261,15.6210529961275 38.2401945357661,15.6270199966586 38.2415875269027,15.6332170283241 38.2420353235277,15.6394057043881 38.2415207020093,15.6453479615518 38.2400634606872,15.6508152445826 38.237719655717,15.6555973196936 38.2345794384369,15.6595103733799 38.2307635786584,15.6624040824802 38.226418809361,15.6641673828336 38.2217121738633,15.6647327161103 38.2168245948337)))', 'ITVSG', 'Villa San Giovanni, Calabria', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7336048262316 42.117082936715,14.7329796073886 42.1122003249244,14.7310872813956 42.1075023236568,14.7280008147785 42.1031694157392,14.723838984053 42.0993680234894,14.7187617861281 42.0962441267371,14.712964280646 42.0939176689536,14.7066691022482 42.0924779640184,14.7001179292388 42.0919802776938,14.69356223279 42.0924437130973,14.6872536566126 42.0938504800228,14.6814343901936 42.0961465756712,14.6763278989155 42.0992438510734,14.6721303616335 42.103023385136,14.66900314092 42.1073400386867,14.6670665739144 42.1120280159399,14.6663953235954 42.1169072221108,14.6670154727837 42.1217901749648,14.6689034781205 42.1264892061322,14.6719870308604 42.130823675993,14.6761477980993 42.1346269244381,14.6812259448351 42.1377526890489,14.6870262669784 42.1400807419895,14.6933257010768 42.141521526532,14.699881920934 42.1420196125534,14.7064426870406 42.1415558360862,14.7127555838754 42.1401480392602,14.7185777641706 42.1378503816677,14.7236853189323 42.1347512500698,14.7278819074004 42.1309698481491,14.7310063114515 42.1266515994422,14.7329386227577 42.1219625425825,14.7336048262316 42.117082936715)))', 'ITVSO', 'VASTO', 'Y'),('SRID=4326;MULTIPOLYGON(((8.78490416942674 44.433071063133,8.78425144452773 44.4281906517426,8.78228277351436 44.4234952361134,8.77907408740057 44.4191651944231,8.77474887981781 44.4153668311028,8.76947343306703 44.4122460005682,8.76345041787443 44.4099225195388,8.75691111431704 44.4084855800314,8.75010655140849 44.407990336652,8.74329790165477 44.4084557970808,8.73674649342155 44.4098640952977,8.73070381749324 44.4121611749215,8.72540190439973 44.4152588568925,8.72104443593661 44.4190382135014,8.71779892814986 44.4233541213203,8.71579028459531 44.4280408207055,8.71509596898646 44.4329182708829,8.71574298687678 44.4377990586739,8.71770679864888 44.4424955969139,8.72091221306392 44.446827336518,8.72523623457724 44.4506277145634,8.73051276145699 44.4537505699108,8.73653895853788 44.4560757775813,8.74308306132958 44.4575138826924,8.74989331017823 44.4580095531852,8.75670766694424 44.4575437163555,8.76326393442026 44.4561342955269,8.7693098820459 44.4538355179883,8.77461298120529 44.4507358212918,8.77896936953586 44.4469544398704,8.78221169543278 44.4426368054113,8.78421553975445 44.4379489404234,8.78490416942674 44.433071063133)))', 'ITVTI', 'VOLTRI', 'Y'),('SRID=4326;MULTIPOLYGON(((13.4659201827402 40.8004424759591,13.465400046725 40.7955535323851,13.4636350258174 40.7908356248813,13.4606931855728 40.786470009917,13.4566877448139 40.7826243748477,13.451772699573 40.7794464060874,13.4461368946527 40.7770581286884,13.4399967721989 40.7755512325644,13.4335880750598 40.7749835626053,13.4271568205546 40.77537690549,13.4209498864808 40.7767161567732,13.4152055650225 40.7789498995974,13.4101444413117 40.7819923730537,13.4059609417108 40.785726755691,13.4028158727747 40.7900096398424,13.4008302359807 40.794676527104,13.4000805567462 40.7995481361476,13.4005959104015 40.8044372825583,13.4023567644392 40.8091560678123,13.4052956876716 40.813523101811,13.409299905365 40.8173704811638,13.4142156076882 40.8205502539057,13.4198538498043 40.8229401203443,13.4259978185269 40.8244481486489,13.4324111854479 40.8250163215652,13.4388472223156 40.8246227758436,13.4450583232607 40.8232826468096,13.4508055617303 40.8210474849503,13.4558679085042 40.81800326721,13.4600507510201 40.8142670805914,13.463193382759 40.8099826074011,13.4651751732851 40.8053145879597,13.4659201827402 40.8004424759591)))', 'ITVTT', 'VENTOTENE', 'Y'),('SRID=4326;MULTIPOLYGON(((16.1319263012269 38.666695363443,16.131236012373 38.6618181685129,16.1293456086137 38.6571402438207,16.1263279360443 38.6528413013013,16.1222990900096 38.6490864641985,16.1174139342294 38.6460199340645,16.1118601438383 38.6437594635815,16.1058510020977 38.6423918454238,16.0996172262243 38.6419695883943,16.0933981330891 38.6425089068245,16.087432479425 38.6439890994029,16.081949322936 38.6463533410116,16.077159249993 38.6495108577007,16.0732463024404 38.6533404025468,16.0703609107893 38.6576949007182,16.0686141044742 38.6624070874203,16.0680732229831 38.6672959241935,16.0687592960165 38.6721735487564,16.0706461982101 38.6768524924425,16.07366161655 38.6811528881845,16.0776897988776 38.6849093914988,16.082575982517 38.6879775471676,16.0881323358519 38.6902393550357,16.094145185436 38.6916078188238,16.1003832495669 38.6920303009895,16.1066065585246 38.6914905529262,16.1125757137552 38.6900093413532,16.1180611244728 38.6876436465212,16.1228518611205 38.6844844636205,16.1267637808118 38.68065329324,16.1296466095183 38.6762974576842,16.131389707991 38.6715844253522,16.1319263012269 38.666695363443)))', 'ITVVA', 'VIBO VALENTIA', 'Y'),('SRID=4326;MULTIPOLYGON(((9.7177245974253 44.132787119792,9.71699834653136 44.1279122538079,9.71496589770664 44.1232330749684,9.71170562228988 44.11892933364,9.70734298415057 44.1151663215635,9.70204569189831 44.1120885348015,9.69601724566876 44.1098141382317,9.68948912770854 44.1084304416675,9.68271193518375 44.1079905588613,9.67594579163242 44.1085113756207,9.66945039920831 44.1099729037253,9.66347510662947 44.1123190450433,9.65824936721579 44.1154597370932,9.65397394758263 44.1192743991477,9.65081322081016 44.1236165487138,9.64888883894418 44.1283194136115,9.64827502959396 44.1332023265906,9.64899570166372 44.138077658929,9.65102347777183 44.1427580279893,9.654280697958 44.1470635022044,9.65864236348426 44.1508285260177,9.6639409138133 44.1539082970979,9.66997265727942 44.1561843484728,9.67650560966187 44.1575691183996,9.68328843779728 44.1580093297161,9.6900601601762 44.1574880466018,9.69656022531822 44.1560253282756,9.70253857312605 44.1536774540699,9.70776528514923 44.1505347502829,9.7120394467022 44.1467181039106,9.71519687623682 44.1423742995404,9.71711642368215 44.1376703612809,9.7177245974253 44.132787119792)))', 'ITVZN', 'VERNAZZA', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4824159495117 39.7495904664617,16.481688501178 39.7447168829365,16.4797435717625 39.7400464655187,16.476656111755 39.7357586339193,16.4725449025666 39.7320180802075,16.467567971801 39.7289684530168,16.4619165149063 39.7267268522259,16.4558075576014 39.7253793433984,16.4494756395281 39.7249776621593,16.4431638350969 39.7255372333664,16.4371144514231 39.7270365800888,16.43155975489 39.7294181448423,16.4267130769082 39.7325904921434,16.4227606358726 39.736431809154,16.4198543865252 39.7407945718833,16.4181061706484 39.7455111999012,16.4175833953378 39.7504004844659,16.418306408519 39.7552745448497,16.4202476777342 39.759946046672,16.4233328097257 39.7642354051313,16.427443377502 39.7679776957079,16.4324214511093 39.7710290053464,16.4380756611126 39.7732719780306,16.4441885626573 39.7746203393385,16.4505250156266 39.7750222238625,16.4568412552126 39.7744621757965,16.4628942990875 39.7729617446687,16.4684513236353 39.7705786530547,16.4732986430266 39.7674045688886,16.4772499412183 39.7635615694306,16.4801534374564 39.7591974348086,16.4818977090946 39.754479954311,16.4824159495117 39.7495904664617)))', 'ITZBF', 'SIBARI', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0316436453621 38.0505343111171,13.0311664097463 38.0456424163523,13.0294916569861 38.0409181291873,13.0266839556331 38.036542958332,13.0228513519803 38.0326849675778,13.0181411954564 38.0294923281011,13.0127344662977 38.0270876379026,13.006838824947 38.0255632246198,13.0006806496094 38.0249776100725,12.9944963652439 38.0253532704922,12.9885233928745 38.0266757771171,12.9829910617289 38.0288943495225,12.9781118279766 38.0319238005957,12.9740731327079 38.0356477993918,12.9710302086215 38.0399233281208,12.9691001103302 38.0445861640385,12.9683571983154 38.049457177733,12.9688302527506 38.0543492076998,12.9705013324329 38.0590742484381,12.973306428003 38.0634506765131,12.977137889875 38.0673102367334,12.9818485424463 38.0705045189855,12.9872573299625 38.0729106751712,12.9931562786148 38.0744361544696,12.9993185066911 38.0750222727695,13.0055069722393 38.0746464771476,13.0114836176879 38.0733232169489,13.0170185546157 38.0711033873232,13.0218989301469 38.0680723667836,13.0259371293659 38.0643467252121,13.0289779950937 38.0600697304964,13.0309047860841 38.0554058285638,13.0316436453621 38.0505343111171)))', 'ITZDD', 'BALESTRATE', 'Y'),('SRID=4326;MULTIPOLYGON(((-76.9237135936827 18.4002678664286,-76.9241643074123 18.3953671441353,-76.9256078131134 18.3906445263835,-76.9279885620102 18.3862814859557,-76.931215008153 18.3824456640264,-76.9351631348344 18.3792844320744,-76.9396812244397 18.3769192341048,-76.9445956878362 18.3754409257504,-76.949717729444 18.3749062884442,-76.954850592745 18.3753358517585,-76.9597971092756 18.3767131069299,-76.964367262853 18.3789851414225,-76.9683854802914 18.3820646701188,-76.9716973701749 18.385833385412,-76.9741756519951 18.3901464980939,-76.9757250484222 18.3948382953824,-76.976285952565 18.3997285034269,-76.9758367284167 18.4046292106596,-76.974394554601 18.4093520866175,-76.972014777126 18.4137156192084,-76.9687887940514 18.4175520923306,-76.9648405515865 18.420714035367,-76.960321784973 18.4230798960565,-76.9554061864118 18.4245587178731,-76.9502827243014 18.4250936412137,-76.9451483714186 18.4246640929599,-76.9402005230024 18.4232865795823,-76.9356293980033 18.4210140529264,-76.9316107174971 18.417933873037,-76.9282989433976 18.4141644466595,-76.9258213385858 18.4098506712579,-76.9242730773233 18.4051583605074,-76.9237135936827 18.4002678664286)))', 'JMORC', 'Oraca-Bessa', 'Y'),('SRID=4326;MULTIPOLYGON(((140.779942277943 40.8210675341481,140.779325480264 40.8161840938392,140.777466696486 40.8114858802802,140.77443758833 40.8071533868997,140.770354717208 40.8033530239377,140.765375041403 40.8002307363446,140.759689875821 40.7979064105401,140.753517547707 40.7964692826441,140.747095029357 40.7959745223063,140.740668865876 40.796441121428,140.73448574142 40.7978511675713,140.728783040239 40.8001505294859,140.723779759057 40.8032509288371,140.719668114722 40.8070333198079,140.716606166053 40.8113524486469,140.714711732091 40.8160424202659,140.714057841615 40.8209230603062,140.714669892234 40.8258068301931,140.716524633445 40.8305060308053,140.719551018974 40.8348400184444,140.723632901903 40.8386421553833,140.728613474393 40.8417662265997,140.734301285027 40.8440920741335,140.740477603873 40.845530230195,140.746904851086 40.8460253686055,140.75333576163 40.8455584399055,140.759522928652 40.8441474067082,140.765228352459 40.8418465505343,140.770232621832 40.8387443772058,140.77434336948 40.834960202612,140.777402673096 40.8306395520445,140.779293116326 40.8259485522607,140.779942277943 40.8210675341481)))', 'JPAOJ', 'Aomori', 'Y'),('SRID=4326;MULTIPOLYGON(((39.6930253042874 -4.04397894959235,39.6925486157195 -4.04888204604559,39.6911285278108 -4.05359754345832,39.6888195978162 -4.05794422567674,39.6857105445942 -4.0617550467407,39.6819208410468 -4.06488355118646,39.6775961238208 -4.06720950343649,39.6729025965143 -4.06864350975807,39.6680206414764 -4.06913045495677,39.6631378858605 -4.0686516215236,39.6584419887031 -4.06722540962584,39.654113426607 -4.06490663016582,39.6503185556879 -4.06178439805182,39.647203216788 -4.05797870670343,39.6448871299803 -4.05363581556887,39.6434592939156 -4.04892262809778,39.6429745667864 -4.04402027643104,39.6434515601174 -4.03911715954224,39.6448719260196 -4.03440170252716,39.6471810649162 -4.03005511538941,39.6502902261452 -4.02624442961401,39.6540799203615 -4.02311608006823,39.6584045123388 -4.02079027874748,39.663097817547 -4.01935639640686,39.6679794874496 -4.01886952936582,39.6728619383023 -4.01934838323455,39.6775575574661 -4.02077455473463,39.6818859106603 -4.02309323911393,39.6856806735726 -4.02621533593936,39.6887960218037 -4.03002087238777,39.6911122338601 -4.03436361259308,39.6925402920229 -4.03907667608325,39.6930253042874 -4.04397894959235)))', 'KEMBA', 'Mombasa', 'Y'),('SRID=4326;MULTIPOLYGON(((43.2854779116234 -11.6801533044654,43.284958221022 -11.6850494426184,43.2834793313493 -11.6897515622273,43.2810980375278 -11.6940789435952,43.2779058295786 -11.6978652632593,43.2740253800536 -11.7009649894558,43.2696058301579 -11.703258978734,43.264817055655 -11.7046590580482,43.2598431333127 -11.7051114157027,43.2548752597861 -11.7045986704523,43.2501043961523 -11.703140539062,43.2457139219762 -11.7007930767317,43.2418725823414 -11.697646519861,43.2387279997775 -11.6938218145295,43.2364010009183 -11.689465964682,43.2349809759539 -11.6847463793902,43.2345224487832 -11.6798444369511,43.2350429888468 -11.6749485135257,43.2365225437914 -11.6702467443841,43.2389042174129 -11.6659197958679,43.2420964618688 -11.6621339255419,43.2459765990497 -11.6590345967625,43.2503955353016 -11.6567408924771,43.255183488283 -11.6553409423439,43.2601565062952 -11.6548885383918,43.2651235303593 -11.6554010689145,43.2698937287211 -11.6568588498373,43.2742838230974 -11.6592058793159,43.2781251262257 -11.6623519868484,43.2812700211341 -11.6661762947629,43.2835976336371 -11.6705318596178,43.2850184801229 -11.6752513157288,43.2854779116234 -11.6801533044654)))', 'KMYVA', 'Moroni', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.7758958337199 6.31308624237761,-10.7763615107318 6.30818427270497,-10.7777740230732 6.3034673954722,-10.7800790621423 6.29911687668773,-10.7831880253118 6.29529989770731,-10.7869814240904 6.29216313156141,-10.7913134779209 6.28982710810916,-10.7960177167933 6.28838158430426,-10.8009133773185 6.28788209716795,-10.8058123466599 6.28834783159511,-10.8105263878756 6.28976088462368,-10.8148743695665 6.29206695420957,-10.8186892226275 6.295177425918,-10.821824357366 6.29897277735215,-10.8241592948743 6.30330716963071,-10.825604296554 6.30801404971955,-10.8261038139512 6.3129125486511,-10.8256386261493 6.31781443010516,-10.824226582177 6.32253132264683,-10.8219219193313 6.32688195793705,-10.8188131829629 6.33069913688313,-10.8150198270347 6.33383615601167,-10.8106876255801 6.33617244694922,-10.8059830710837 6.33761821201984,-10.8010869749854 6.33811787747178,-10.7961875164339 6.33765223126321,-10.7914730068489 6.33623916292569,-10.7871246489346 6.33393297683398,-10.7833095690725 6.33082230515984,-10.7801743914839 6.32702670074305,-10.7778396015998 6.32269204097924,-10.7763949155441 6.31798491962474,-10.7758958337199 6.31308624237761)))', 'LRMLW', 'Monrovia', 'Y'),('SRID=4326;MULTIPOLYGON(((21.1612194642731 55.7169499249144,21.1603498529106 55.7120813399792,21.1578149530775 55.7074020370589,21.1537126976951 55.7030917406684,21.1482010785401 55.6993159465793,21.1414920225123 55.696219584219,21.1338432295752 55.6939214733052,21.1255482886758 55.6925097837657,21.1169254485266 55.6920386694619,21.1083054666854 55.6925262017437,21.1000189918788 55.6939536800312,21.0923839503552 55.6962663451552,21.0856934069197 55.6993754688444,21.0802043552037 55.7031617413116,21.0761278599559 55.7074798301146,21.0736209273384 55.7121639390603,21.0727804184116 55.7170341574965,21.0736392476757 55.7219033593681,21.0761650247447 55.7265843891775,21.0802612055548 55.7308972595073,21.0857707231287 55.7346760827272,21.0924819705157 55.7377754682524,21.1001369141401 55.7400761361155,21.1084410286697 55.7414895271159,21.1170746687888 55.7419612283597,21.1257054327397 55.7414730791407,21.1340010303149 55.7400438739618,21.1416421464061 55.7377286348964,21.1483347914115 55.7346164820755,21.153821651757 55.7308271864444,21.1578919963129 55.7265065406942,21.1603897553049 55.7218207302897,21.1612194642731 55.7169499249144)))', 'LTKLJ', 'Klaipeda', 'Y'),('SRID=4326;MULTIPOLYGON(((24.4057708189557 57.8639649876409,24.4052222589776 57.8590835729506,24.4028979493767 57.8543529667946,24.3988878438582 57.8499548753495,24.393346500786 57.8460581685641,24.3864870750179 57.8428124128596,24.3785730956719 57.8403421510352,24.3699083503978 57.8387421449945,24.3608252630846 57.8380737597421,24.3516722037064 57.8383626237283,24.3428002051377 57.8395976526466,24.3345495815846 57.8417314728851,24.3272369464666 57.8446822287382,24.3211431141037 57.8483367059419,24.3165023396645 57.8525546548452,24.3134933060491 57.8571741512597,24.3122322056475 57.8620177933547,24.3127681905893 57.8668995003755,24.3150813791181 57.8716316547784,24.3190835106093 57.8760323146806,24.3246212406732 57.8799322191096,24.3314819645024 57.8831813148322,24.3394019553644 57.8856545505619,24.3480765104123 57.8872567116443,24.3571717123074 57.8879261049885,24.3663373467372 57.8876369486712,24.3752204663864 57.8864003715037,24.3834790639634 57.8842639828053,24.3907953120766 57.8813100293071,24.3968878463629 57.8776522120858,24.4015226092776 57.8734312892796,24.4045218331226 57.8688096378262,24.4057708189557 57.8639649876409)))', 'LVAIN', 'Ainazi', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0288905630533 56.2999976641493,21.0280244399792 56.2951286101623,21.0254671206317 56.2904470284814,21.0213174207227 56.286132729837,21.0157351708094 56.2823513611014,21.0089350195489 56.2792480622935,21.0011781659189 56.2769419156742,20.9927623409425 56.275521396187,20.9840104209121 56.2750409940356,20.9752581013562 56.2755191357664,20.9668410930134 56.2769374814632,20.9590823172436 56.2792416242592,20.9522795783249 56.2823431660825,20.9466941739551 56.2861230921451,20.9425408732921 56.2904363179155,20.9399796446538 56.2951172378853,20.9391094535727 56.2999860669538,20.9399643777481 56.3048557342022,20.942512200594 56.3095390664679,20.9466555521536 56.3138559865106,20.9522355683494 56.3176404483742,20.9590379405904 56.3207468411393,20.9668011317771 56.323055611518,20.9752264460519 56.3244778851226,20.9839895624619 56.3249589047005,20.9927530809286 56.3244801497074,21.001179585778 56.3230600534235,21.0089447098922 56.3207532892269,21.0157496825162 56.3176486542746,21.0213328658936 56.3138656342557,21.0254798289949 56.3095497847282,21.0280315683397 56.3048671106433,21.0288905630533 56.2999976641493)))', 'LVJUR', 'Jurmalciems', 'Y'),('SRID=4326;MULTIPOLYGON(((22.6366385691811 57.7374059291554,22.6355227629859 57.7325513630036,22.6326583382486 57.7279064546046,22.6281559418764 57.7236495894251,22.6221889592434 57.7199441920508,22.6149867964412 57.7169324708937,22.6068260496051 57.7147299817783,22.5980199028345 57.7134212149854,22.5889061579386 57.7130563711298,22.5798343461021 57.713649446328,22.5711524026392 57.7151776980696,22.5631934007157 57.7175825117579,22.5562628380051 57.7207716357424,22.5506269517359 57.7246227015979,22.546502502783 57.7289878981358,22.5440484189919 57.7336996238553,22.5433596228536 57.7385769048427,22.5444632905028 57.7434323349802,22.5473176999207 57.7480792739782,22.5518137289407 57.7523390272302,22.5577789615621 57.7560477304684,22.5649842581196 57.759062671993,22.5731525453954 57.7612678057074,22.5819694913272 57.7625782387142,22.5910956500299 57.7629435167319,22.6001796004261 57.7623495775467,22.6088715592128 57.7608192952034,22.6168369284811 57.75841159344,22.6237692411885 57.7552191635908,22.6294019936887 57.7513648773692,22.6335189021975 57.746997036235,22.6359621868348 57.7422836443041,22.6366385691811 57.7374059291554)))', 'LVKLK', 'Kolka', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3966760321687 57.7909675560786,24.3961295291746 57.7860860703031,24.3938108368905 57.7813552962975,24.3898096902144 57.7769569470155,24.384280301229 57.7730599027827,24.377435364647 57.7698137435262,24.3695378533731 57.7673430280797,24.3608909240591 57.7657425362141,24.351826318777 57.7650736518811,24.342691700635 57.7653620227877,24.3338373972435 57.7665965834427,24.3256030457302 57.7687299779043,24.3183046361955 57.771680366363,24.3122224370485 57.7753345481359,24.307590255816 57.7795522843986,24.3045864433152 57.7841716586981,24.303326988454 57.7890152736172,24.3038609767306 57.7938970493664,24.3061685996844 57.7986293658933,24.3101618076208 57.8030302754097,24.315687597059 57.8069305078184,24.3225338212876 57.8101799978215,24.3304373113726 57.8126536795092,24.3390940004443 57.8142563215269,24.3481706605954 57.8149262125811,24.3573177934701 57.8146375517002,24.3661831662003 57.8134014485216,24.37442545645 57.8112654938227,24.3817274655187 57.8083119171867,24.3878083770038 57.8046544046677,24.3924345794169 57.8004337021661,24.3954286321633 57.7958121777173,24.3966760321687 57.7909675560786)))', 'LVKVZ', 'Kuivizi', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0621467260496 56.5169856225038,21.0612713892824 56.5121169748366,21.0586953768858 56.5074362486031,21.0545182300472 56.5031232206244,21.0489008384814 56.4993434875678,21.042059202319 56.496242125091,21.0342561122436 56.4939381396379,21.0257910704352 56.492519922007,21.0169888365943 56.4920418733282,21.0081870307398 56.4925223296612,20.9997232565982 56.4939428626741,20.9919222255941 56.4962489824727,20.9850833614374 56.4993522163801,20.9794693490627 56.5031334860848,20.975296059519 56.507447656827,20.9727242349487 56.5121290878804,20.9718532560464 56.5169979751242,20.9727172398481 56.5218672454522,20.9752836303882 56.526549740424,20.9794543513187 56.5308654139449,20.9850694912124 56.534648266588,20.9919133927377 56.5377527477673,20.9997229203329 56.5400593762443,21.0081975917651 56.5414793588437,21.0170111813097 56.5419580257346,21.0258243401421 56.54147694674,21.0342977361453 56.5400546449863,21.0421051930522 56.5377458796433,21.0489463088688 56.5346395261484,21.0545580558683 56.5308551377422,21.058724907887 56.5265383239783,21.0612871028387 56.5218551279587,21.0621467260496 56.5169856225038)))', 'LVLPX', 'Liepaja', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1461107383984 57.3322217630219,23.1449411415814 57.3273718472493,23.1420452855536 57.3227384791956,23.137535002494 57.3184995994506,23.1315839604921 57.3148179419698,23.1244209380247 57.3118348052387,23.1163210196753 57.3096646504635,23.1075950532611 57.3083907300925,23.0985777691541 57.308061910541,23.0896150084836 57.3086908078826,23.0810505371359 57.3102533060945,23.0732129364674 57.3126894759087,23.0664030591526 57.3159058601526,23.0608825196399 57.3197790404339,23.0568636535964 57.3241603518609,23.0545013301414 57.3288815688857,23.0538869356721 57.3337613479096,23.0550447702314 57.3386121824495,23.0579310087971 57.3432476056945,23.062435283361 57.3474893641711,23.0683848405742 57.3511742856637,23.0755511280086 57.3541605747705,23.0836585640218 57.3563332903645,23.0923951563013 57.3576087901354,23.1014245567818 57.357937967218,23.1103990797229 57.3573081511078,23.1189731685363 57.3557435977019,23.126816777693 57.3533045491537,23.1336281397822 57.3500849008974,23.1391454143152 57.3462085682417,23.1431567626911 57.3418246959985,23.1455084602884 57.3371018995762,23.1461107383984 57.3322217630219)))', 'LVMRX', 'Mersrags', 'Y'),('SRID=4326;MULTIPOLYGON(((21.2175940280144 56.8889289297972,21.2166897767801 56.8840616983593,21.2140687960607 56.879384515311,21.2098323663346 56.8750770188839,21.2041436612672 56.8713045903645,21.1972214209629 56.8682120219412,21.1893315268986 56.8659179798134,21.1807768051242 56.8645104711833,21.17188544637 56.8640434851977,21.1629984793177 56.864534933446,21.1544567654778 56.8659659668498,21.1465880002485 56.8682816944081,21.1396942045322 56.8713932770247,21.1340401747502 56.8751813183126,21.1298433265187 56.8795004255838,21.1272653192562 56.8841847698935,21.1264057865846 56.8890544356177,21.1272984220694 56.8939223190777,21.1299095836546 56.8986013134644,21.1341394857348 56.9029115047867,21.1398259484209 56.9066871014854,21.1467505729934 56.9097828290458,21.1546471149951 56.912079540318,21.1632117362888 56.9134888217466,21.1721147390312 56.9139564142914,21.1810133218458 56.91346431402,21.1895648548252 56.9120314692755,21.1974401476948 56.9097130468196,21.2043361857794 56.9065982960226,21.2099878312804 56.9028070955987,21.2141780315694 56.8984853191854,21.216746139318 56.8937992020797,21.2175940280144 56.8889289297972)))', 'LVPAV', 'Pavilosta', 'Y'),('SRID=4326;MULTIPOLYGON(((24.1516120412096 56.9510478202795,24.151106765535 56.9461651250944,24.1488685610717 56.9414300955783,24.1449840387743 56.9370246128399,24.139602909441 56.9331178372742,24.1329321650845 56.9298597291271,24.1252280944136 56.927375312219,24.1167864437389 56.925759897227,24.1079310998503 56.9250754438638,24.0990017224266 56.925348197983,24.0903407892476 56.9265676916632,24.0822805371918 56.9286871433831,24.0751302853943 56.9316252432263,24.0691646139657 56.9352692564105,24.0646128425782 56.9394793290776,24.0616502085723 56.9440938348965,24.0603910849424 56.9489355612458,24.0608845060113 56.9538185010561,24.063112184695 56.9585549921063,24.0669891124915 56.9629629307829,24.0723667347972 56.966872782797,24.0790385935152 56.9701341195418,24.0867482302882 56.9726214256719,24.0951990514186 56.9742389506521,24.1040657739972 56.9749244135423,24.1130070060404 56.9746514147974,24.1216784650069 56.9734304595809,24.1297463115608 56.9713085519203,24.136900070374 56.9683673756272,24.1428646274274 56.9647201338458,24.1474108327051 56.9605071719588,24.1503642962581 56.9558905561544,24.1516120412096 56.9510478202795)))', 'LVRIX', 'Riga', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8543394465839 57.507327425633,22.853202359111 57.5024747515272,22.8503289665734 57.4978346749769,22.8458302486528 57.4935853954098,22.8398794392404 57.4898900464814,22.8327053160439 57.4868904518739,22.8245833950991 57.4847017034497,22.8158253705822 57.4834077658125,22.806767201485 57.4830582720279,22.7977562931128 57.4836666302467,22.7891382520377 57.48520951188,22.7812437075313 57.4876277404736,22.774375690342 57.4908285482771,22.7687980410047 57.4946891164426,22.7647252849849 57.4990612665613,22.7623143615084 57.5037771275372,22.7616585279691 57.5086555642087,22.7627836838945 57.5135091241081,22.7656472697074 57.5181512375716,22.7701397987099 57.5224033950704,22.7760889792194 57.5261020248105,22.7832662815168 57.5291048036362,22.7913957055799 57.5312961549163,22.8001644149518 57.5325917177853,22.8092348239665 57.5329416117503,22.8182576638993 57.5323323677366,22.8268855117033 57.5307874491874,22.8347862451203 57.5283663426597,22.841655891198 57.5251622540438,22.8472303614212 57.5212985016615,22.8512956143185 57.5169237486896,22.8536958529475 57.5122062624842,22.8543394465839 57.507327425633)))', 'LVROJ', 'Roja', 'Y'),('SRID=4326;MULTIPOLYGON(((24.3966244715486 57.7509671459453,24.3960784251206 57.7460856371002,24.3937621518519 57.7413548562097,24.3897652920185 57.7369565166367,24.384241891776 57.7330594985652,24.3774044151609 57.7298133812,24.3695155485977 57.7273427220568,24.360878117432 57.7257422989986,24.351823500197 57.7250734935143,24.3426989779777 57.7253619503603,24.3338544922824 57.726596600708,24.3256293046106 57.7287300850254,24.3183390540919 57.7316805598191,24.3122636961283 57.7353348208061,24.3076367751493 57.7395526258257,24.3046364389246 57.7441720555259,24.3033785413027 57.7490157101781,24.3039121061233 57.7538975083853,24.3062173393142 57.7586298292663,24.3102062813494 57.7630307250087,24.315726091487 57.766930926276,24.3225648522544 57.7701803692506,24.3304596817296 57.772653990123,24.3391068467697 57.7742565601332,24.3481734869466 57.7749263709378,24.3573104907886 57.7746376247289,24.3661660165701 57.7734014343885,24.3743991220367 57.7712653938988,24.3816929626472 57.7683117359078,24.3877670364434 57.764654149312,24.3923879945019 57.7604333825656,24.3953785968555 57.7558118059162,24.3966244715486 57.7509671459453)))', 'LVSAL', 'Salacgriva', 'Y'),('SRID=4326;MULTIPOLYGON(((24.479077972328 57.3179322774112,24.478525758914 57.3130507866549,24.47622454693 57.3083213576857,24.4722633792807 57.3039256528953,24.4667949163357 57.3000324532864,24.460029503331 57.2967911941692,24.452227057445 57.2943262495466,24.4436870907266 57.2927321807201,24.4347372505015 57.2920701274282,24.425720809952 57.2923654764085,24.4169835771854 57.2936068942388,24.4088607105944 57.2957467603462,24.4016639313588 57.2987029839276,24.3956696104956 57.3023621369375,24.3911081781901 57.3065837860305,24.3881552577849 57.3112058610782,24.3869248666966 57.3160508582427,24.3874649530642 57.3209326430589,24.389755452016 57.3256635948842,24.393708951608 57.3300618194866,24.3991739588633 57.3339581522453,24.405940654646 57.3372026808569,24.4137489264897 57.3396705335673,24.4222983753978 57.3412667063446,24.4312599104665 57.3419297391424,24.4402884780769 57.3416340961016,24.4490364238834 57.3403911554128,24.4571669585285 57.3382487694908,24.4643671934414 57.3352894127582,24.4703602315122 57.3316269902545,24.4749158378521 57.3274024330759,24.4778592760709 57.32277825408,24.479077972328 57.3179322774112)))', 'LVSKU', 'Skulte', 'Y'),('SRID=4326;MULTIPOLYGON(((21.6112169681302 57.3937842291312,21.6102480302792 57.3889204171195,21.6075409549846 57.3842520851553,21.6032003444344 57.3799585267964,21.5973933801343 57.3762045830383,21.5903433415094 57.3731343316326,21.5823210072114 57.3708655782704,21.5736342722625 57.3694853570788,21.5646163764988 57.3690466091455,21.555613187463 57.3695661632032,21.5469700129495 57.3710240937815,21.5390184342396 57.3733644807555,21.5320636503911 57.3764975420362,21.5263728067796 57.3803030599064,21.5221647477225 57.3846349729533,21.519601584069 57.3893269613712,21.5187824031275 57.3941988152097,21.5197393717345 57.3990633443932,21.5224363957112 57.4037335673154,21.5267704030905 57.4080299025375,21.5325752176411 57.4117870863125,21.5396278872206 57.4148605476258,21.5476572326414 57.4171319921066,21.5563542915025 57.4185139759289,21.5653842522442 57.4189532896599,21.5743994105376 57.4184330184292,21.5830526363742 57.4169731968905,21.5910108182487 57.4146300330508,21.5979677518328 57.4114937317522,21.6036559644761 57.4076850039755,21.6078570124052 57.4033503998125,21.6104098521528 57.3986566487664,21.6112169681302 57.3937842291312)))', 'LVVNT', 'Ventspils', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.56907366249924 30.4271293003208,-9.56960106439873 30.4222364495796,-9.57121967013427 30.4175267655692,-9.57386713890493 30.4131812022244,-9.57744163546808 30.4093667004592,-9.58180575794854 30.4062297813477,-9.58679182354851 30.4038909257565,-9.59220830821928 30.402439954841,-9.5978471934819 30.4019325873405,-9.60349194009266 30.4023883045997,-9.6089257852202 30.4037896044163,-9.61394004796286 30.40608267201,-9.61834212775218 30.4091794425745,-9.62196289146797 30.412960976983,-9.62466316757483 30.4172820222179,-9.62633909856741 30.421976582836,-9.62692614541383 30.4268642909585,-9.62640158810716 30.4317573313811,-9.62478542314472 30.4364676566433,-9.62213961974196 30.4408142151855,-9.61856575960425 30.4446299145841,-9.61420114771654 30.447768051436,-9.60921354138415 30.450107959485,-9.60379469921825 30.4515596573482,-9.59815299860514 30.4520673156151,-9.59250540740037 30.4516114086743,-9.5870691214992 30.4502094676055,-9.58205319338908 30.447915404814,-9.57765047717546 30.444817436616,-9.57403020286813 30.4410346844671,-9.57133146749421 30.4367125867749,-9.56965789399632 30.4320172992095,-9.56907366249924 30.4271293003208)))', 'MAAGA', 'Agadir', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.56007602220188 33.5736554224763,-7.56073210680428 33.5687754163212,-7.56251272512629 33.5640962976514,-7.5653492960008 33.5597978323962,-7.56913271465427 33.5560451384125,-7.57371756024411 33.5529823507192,-7.57892768823789 33.5507270944674,-7.58456299213941 33.5493659762279,-7.5904070758482 33.5489512651088,-7.59623554448788 33.5494988898338,-7.60182459890758 33.550987827881,-7.60695960795076 33.5533609099669,-7.61144333334035 33.556527009475,-7.61510349463359 33.5603645338322,-7.61779938578222 33.5647260852613,-7.61942728965848 33.5694441136167,-7.61992448138016 33.5743373458253,-7.61927166393862 33.5792177462889,-7.61749373871613 33.5838977416554,-7.61465887687991 33.5881974325267,-7.61087592301777 33.5919515144569,-7.60629022721169 33.5950156411249,-7.6010780634315 33.5972719835327,-7.59543984810335 33.5986337697523,-7.58959242056616 33.5990486289812,-7.5837606847642 33.5985006099474,-7.57816893724451 33.597010795203,-7.57303221916378 33.5946364875006,-7.56854802898438 33.5914690000459,-7.5648887179088 33.5876301367143,-7.56219486254705 33.5832674991295,-7.56056987009668 33.5785488027946,-7.56007602220188 33.5736554224763)))', 'MACAS', 'Casablanca', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.59021998728441 33.126905618859,-8.59081487425046 33.1220190297395,-8.59253113757428 33.1173239695722,-8.59530266794589 33.113000821928,-8.59902285543467 33.1092156571057,-8.60354870185705 33.1061138601691,-8.60870632116232 33.1038145555447,-8.61429761570821 33.1024060406657,-8.62010787279293 33.1019424024005,-8.62591399198499 33.1024414448317,-8.63149303071447 33.1038840070695,-8.63663074397309 33.106214697009,-8.64112979417055 33.1093440132255,-8.64481731920656 33.1131517744916,-8.64755157028015 33.1174917266302,-8.64922736514723 33.1221971514297,-8.64978014637471 33.1270872638287,-8.64918848619324 33.131974153007,-8.64747493805722 33.1366700016184,-8.64470519791402 33.1409943060588,-8.64098560314809 33.1447808199177,-8.63645906170601 33.1478839527527,-8.63129956544861 33.1501843767589,-8.625705497767 33.1515936240872,-8.61989199354789 33.1520574963605,-8.61408264756984 33.1515581538703,-8.608500893652 33.1501148031879,-8.60336139016559 33.1477829564517,-8.59886174724673 33.1446522911985,-8.59517491723184 33.1408431940341,-8.59244254311094 33.1365021225143,-8.59076952137895 33.1317959652658,-8.59021998728441 33.126905618859)))', 'MAJFL', 'Jorf Lasfar', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.11952665048433 35.1832785049031,-6.12028447790171 35.1784116756056,-6.12218399622009 35.1737597111901,-6.12515204959389 35.1695013252857,-6.12907448269645 35.1658000875862,-6.13380054200093 35.1627981497853,-6.13914867163389 35.1606107956608,-6.14491348070964 35.1593220227857,-6.15087361588732 35.158981323841,-6.15680023972934 35.1596017898169,-6.16246579330966 35.161159607214,-6.16765271110294 35.1635949685258,-6.1721617578055 35.1668143617186,-6.17581967036671 35.1706941520703,-6.17848581375476 35.1750853205048,-6.18005759509272 35.1798191782807,-6.1804744266588 35.1847138402524,-6.17972008236721 35.1895812093643,-6.17782335290383 35.1942342047741,-6.17485696953641 35.1984939558929,-6.17093483334809 35.2021966851859,-6.16620765266282 35.2052000138774,-6.16085715407375 35.2073884464394,-6.1550890891186 35.2086778211162,-6.14912530681656 35.209018553608,-6.14319519984723 35.2083975478172,-6.13752685741153 35.2068386994254,-6.13233826961284 35.2044019728986,-6.12782892599781 35.2011810881124,-6.12417213481892 35.1972999068703,-6.12150836038736 35.1929076599989,-6.11993983492781 35.1881732004218,-6.11952665048433 35.1832785049031)))', 'MALAR', 'Larache', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.55885521602895 34.2534030739929,-6.55957549597161 34.2485313584957,-6.56142630227076 34.2438699069525,-6.56433635609692 34.2395978010685,-6.56819373237708 34.235879141365,-6.57285017516325 34.2328567521716,-6.57812679789045 34.2306467053869,-6.5838209490467 34.2293338715708,-6.58971398076466 34.2289686675692,-6.59557962471019 34.2295651242741,-6.60119265742699 34.2311003479802,-6.60633752668376 34.2335153959564,-6.61081661169421 34.2367175332233,-6.61445780331537 34.2405837850741,-6.61712111509167 34.2449656505193,-6.61870407155611 34.2496947973995,-6.61914566541267 34.2545895220852,-6.61842872863825 34.259461726923,-6.61658062234453 34.2641241481063,-6.61367221430971 34.268397556311,-6.60981517904982 34.2721176527495,-6.60515772059523 34.2751413943622,-6.59987888013694 34.277352503357,-6.59418164681628 34.278665947462,-6.58828513773239 34.2790312169201,-6.58241615061717 34.2784342708744,-6.57680041789454 34.2768980775278,-6.57165390284731 34.2744817272304,-6.56717447681822 34.2712781532284,-6.56353430086691 34.2674105489585,-6.56087320682211 34.2630276213038,-6.5592933325212 34.2582978641352,-6.55885521602895 34.2534030739929)))', 'MANNA', 'Kenitra (Ex Port Lyautey)', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.78629774332782 35.7837158600939,-5.78671721529526 35.7788215068593,-5.78830028543085 35.7740878710969,-5.79098592688644 35.7696968283139,-5.79467079382962 35.7658170608134,-5.79921321393438 35.7625975849267,-5.80443864259912 35.760162036713,-5.81014636781312 35.7586039338543,-5.81611720844292 35.7579830938326,-5.82212191237638 35.7583233442172,-5.82792993556218 35.7596116116884,-5.83331826926955 35.7617984240909,-5.83807998125624 35.7647998062764,-5.84203214700172 35.7685004976848,-5.84502286941408 35.7727583694572,-5.84693711877419 35.777409873194,-5.84770116810954 35.7822763139679,-5.84728545130986 35.787170708356,-5.84570573038671 35.7919049653372,-5.84302252230124 35.7962971148296,-5.8393388024272 35.8001783060437,-5.83479606845941 35.8033993059007,-5.82956891278183 35.8058362463308,-5.82385831032705 35.8073953976994,-5.81788388026243 35.8080167828986,-5.81187542115935 35.8076764913603,-5.80606404876008 35.8063876026698,-5.80067328168301 35.8041996835574,-5.79591042262877 35.801196877658,-5.79195857074817 35.7974946622794,-5.78896957534966 35.7932353982912,-5.78705820322993 35.7885828460448,-5.78629774332782 35.7837158600939)))', 'MATNG', 'Tangier', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9077490907545 23.7221623272933,-15.9082388082544 23.717264546108,-15.9097568424972 23.7125488269848,-15.9122447571549 23.7081963667944,-15.9156068744102 23.7043743869929,-15.9197139622143 23.7012297136617,-15.9244082047961 23.6988831427354,-15.9295092647783 23.6974248057935,-15.9348212043518 23.696910713308,-15.94014000091 23.6973606071377,-15.9452613704707 23.6987572040487,-15.9499886008174 23.7010468590022,-15.9541400959709 23.7041416228541,-15.9575563443472 23.7079226159699,-15.9601060444107 23.712244589049,-15.9616911530779 23.7169414970466,-15.9622506624839 23.7218328731934,-15.9617629586129 23.7267307592294,-15.9602466690097 23.7314469262925,-15.9577599643967 23.7358001093172,-15.9543983383729 23.7396229768025,-15.9502909482012 23.7427685675252,-15.9455956556856 23.7451159458861,-15.9404929580459 23.7465748573812,-15.93517904241 23.7470892040677,-15.9298582322221 23.7466392053872,-15.9247351180215 23.7452421605361,-15.9200066776304 23.742951782748,-15.9158546912461 23.7398561312122,-15.912438745238 23.736074220705,-15.9098900951087 23.7317514401915,-15.9083066240987 23.727053957641,-15.9077490907545 23.7221623272933)))', 'MAVIL', 'Dakhla', 'Y'),('SRID=4326;MULTIPOLYGON(((49.3195387378444 -12.3221584138361,49.3190168042569 -12.3270543176844,49.3175334175262 -12.3317560178247,49.3151455428402 -12.3360828100143,49.311944921373 -12.3398683923452,49.3080545483302 -12.3429672600455,49.3036239467761 -12.3452603012616,49.2988234187865 -12.3466593781472,49.2938374952683 -12.3471107166445,49.2888578370147 -12.3465969742725,49.2840758609567 -12.3451379062585,49.2796753762566 -12.3427896044625,49.2758255144414 -12.339642338632,49.2726742262133 -12.3358170834349,49.2703425953952 -12.3314608653412,49.268920188576 -12.3267411088074,49.2684616187291 -12.3218391995956,49.2689844539963 -12.3169435129906,49.2704685508502 -12.312242175018,49.2728568359929 -12.3079158347837,49.276057505762 -12.3041307253896,49.2799475575984 -12.3010322796072,49.2843775173383 -12.2987395450571,49.2891771806164 -12.2973406128984,49.2941621481705 -12.2968892351554,49.299140904744 -12.2974027602841,49.3039221706788 -12.2988614661302,49.3083222449224 -12.3012093159709,49.312172058436 -12.3043561088645,49.3153236678708 -12.3081809421438,49.3176559405031 -12.3125368535716,49.3190792120335 -12.3172564653786,49.3195387378444 -12.3221584138361)))', 'MGDIE', 'Antsiranana', 'Y'),('SRID=4326;MULTIPOLYGON(((-61.0342235025693 14.5897843879113,-61.0347622451293 14.5848912893233,-61.0362707746053 14.5801945524923,-61.0386910704974 14.5758746460426,-61.0419300941138 14.5720975511031,-61.0458633682403 14.5690083873829,-61.0503397612151 14.5667258411536,-61.0551872914927 14.5653376085319,-61.0602197301461 14.5648970285218,-61.0652437485856 14.5654210347332,-61.0700663381707 14.5668895042672,-61.0745022180777 14.5692460288472,-61.078380948159 14.5724000788915,-61.0815534745662 14.5762304779163,-61.0838978572468 14.5805900544425,-61.0853239593002 14.5853112933669,-61.0857769174946 14.5902127702776,-61.0852392595794 14.5951061219333,-61.0837315856714 14.599803285277,-61.0813117860179 14.6041237267519,-61.0780728237631 14.6079013837765,-61.074139166779 14.6109910510691,-61.0696620050143 14.6132739656939,-61.0648134370555 14.6146623754492,-61.0597798498074 14.6151029143641,-61.0547547467227 14.6145786550851,-61.0499313015696 14.6131097590382,-61.0454949254241 14.6107526994328,-61.0416161339817 14.6075980873035,-61.0384439904323 14.6037671847064,-61.0361003765417 14.5994072397848,-61.0346753121693 14.5946858237269,-61.0342235025693 14.5897843879113)))', 'MQFDF', 'Fort-de-France', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.0092970013503 20.9433166711771,-17.0097447597689 20.9384166512101,-17.0112014216665 20.9336928425299,-17.0136109202814 20.9293267608121,-17.0168805960644 20.9254861594506,-17.0208847672219 20.9223185878666,-17.0254695641304 20.9199457277641,-17.0304588411583 20.918458723999,-17.0356609389115 20.9179146884325,-17.0408760380895 20.9183345101388,-17.0459038240897 20.9197020553689,-17.0505511699887 20.9219647876033,-17.0546395449165 20.9250357838556,-17.0580118651562 20.928797070142,-17.0605385261645 20.9331041486767,-17.0621223844154 20.9377915437978,-17.062702497442 20.9426791545642,-17.0622564773148 20.9475791708928,-17.0608013653739 20.9523032882252,-17.0583929924143 20.9566699438963,-17.0551238466143 20.9605112971332,-17.0511195290823 20.9636796840483,-17.0465339317258 20.966053298811,-17.0415433220374 20.9675408816751,-17.0363395622965 20.9680852326168,-17.0311227248265 20.9676654145489,-17.0260933888691 20.9662975606664,-17.021444917315 20.9640342544785,-17.0173560124047 20.9609625063507,-17.0139838385402 20.9572004047332,-17.0114579779802 20.9528925715384,-17.0098754523897 20.9482045973185,-17.0092970013503 20.9433166711771)))', 'MRNDB', 'Nouadhibou', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9237471236227 18.1001275498456,-15.9242259010569 18.0952272334647,-15.9256950926002 18.0905103931053,-15.928098166493 18.0861582761296,-15.9313427239823 18.0823381019315,-15.9353040577296 18.0791966403622,-15.9398299473835 18.0768545771161,-15.9447465075585 18.0754018817529,-15.9498648637587 18.074894355467,-15.9549884006672 18.0753514904796,-15.9599203057776 18.076755722743,-15.9644711203132 18.0790531064056,-15.9684660091474 18.082155384196,-15.971751471992 18.0859433745696,-15.9742012391084 18.0902715461368,-15.9757211254663 18.0949736044315,-15.9762526565614 18.0998688772244,-15.9757753255984 18.1047692538002,-15.9743073937792 18.1094864121197,-15.971905201082 18.1138390564141,-15.9686610121055 18.1176598870102,-15.9646994780855 18.120802034126,-15.960172849863 18.123144707699,-15.9552551252639 18.1245978452526,-15.950135356057 18.125105578273,-15.9450103726768 18.1246483830654,-15.9400772078421 18.1232438328418,-15.9355255121111 18.1209459218602,-15.9315302547646 18.1178429876719,-15.9282449921931 18.1140543117517,-15.9257959636455 18.1097255298579,-15.9242772417115 18.1050230293729,-15.9237471236227 18.1001275498456)))', 'MRNKC', 'Nouakchott', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3598166889377 35.9891684032346,14.3592640598929 35.9842792482194,14.3575485988189 35.9795716405498,14.3547364126757 35.9752264455897,14.3509356968167 35.9714105765857,14.3462925581935 35.968270590969,14.3409853933631 35.9659270710526,14.3352180384199 35.964470003123,14.3292119532342 35.963955330535,14.323197737681 35.9644028115737,14.317406301819 35.9657952632352,14.3120600244927 35.968079219521,14.3073642352235 35.9711669792566,14.3034993425214 35.9749399657726,14.3006139082287 35.9792532709456,14.2988189329192 35.9839412109141,14.2981835727715 35.9888236819422,14.2987324551493 35.9937130738979,14.3004447001092 35.9984214768577,14.3032546903151 36.0027679043822,14.3070545647255 36.006585255578,14.3116983444919 36.0097267473639,14.3170075354497 36.0120715681261,14.3227779930448 36.0135295335361,14.3287877850564 36.0140445636057,14.3348057472784 36.0135968456263,14.3406003992553 36.0122035986741,14.3459488725182 36.0099184098233,14.3506455032343 36.0068291678956,14.3545097547914 36.0030546752107,14.357393162956 35.9987400691923,14.3591850356142 35.994051231744,14.3598166889377 35.9891684032346)))', 'MTCKW', 'Cirkewwa', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5637573046386 35.8331155778472,14.5631930898101 35.8282271461714,14.5614687729307 35.8235222623373,14.5586507989384 35.819181686414,14.5548475832216 35.8153721539488,14.5502053267311 35.8122399791274,14.5449023906892 35.8099054447779,14.5391424480978 35.808458192869,14.533146674332 35.8079537906849,14.5271452742479 35.8084116029645,14.5213686673527 35.8098140506325,14.5160386649637 35.8121072841699,14.5113599735538 35.8152032460764,14.5075123466429 35.8189830442156,14.5046436839981 35.8233015080187,14.5028643422565 35.827992754389,14.5022428764546 35.8328765513733,14.5028033787629 35.8377652367424,14.5045245207494 35.8424709267728,14.5073403408247 35.8468127386591,14.5111427515149 35.8506237486901,14.5157856744275 35.8537574177341,14.5210906468839 35.8560932354812,14.5268536858567 35.8575413645769,14.5328531445747 35.8580461041931,14.5388582571808 35.8575880382199,14.5446380389697 35.8561847843551,14.549970195275 35.8538903148542,14.5546496917098 35.8507928753816,14.5584966521968 35.84701158302,14.5613632784263 35.8426918358198,14.5631395237871 35.8379997122633,14.5637573046386 35.8331155778472)))', 'MTMAR', 'Marsaxlokk', 'Y'),('SRID=4326;MULTIPOLYGON(((7.04896534285671 59.4507405943532,7.04830480205781 59.4458625407773,7.04578858749445 59.4411438049696,7.04151409046627 59.4367656263074,7.03564606670211 59.4328960965867,7.02841023073925 59.4296837245929,7.02008455022616 59.4272517586608,7.01098857941383 59.4256934808988,7.00147123930171 59.4250686492807,6.99189750483988 59.4254012202662,6.9826344962316 59.4266784365855,6.97403749111754 59.4288513139686,6.96643637696444 59.4318365086493,6.96012304830132 59.4355194961304,6.95534022178162 59.439758942698,6.9522720939263 59.4443921061709,6.95103720272489 59.4492410629883,6.95168377641582 59.4541195264416,6.95418776269159 59.4588399969781,6.95845363189642 59.4632209711247,6.96431794181041 59.4670939314986,6.97155554329995 59.4703098470292,6.97988819993517 59.47274492991,6.98899529541584 59.4743054235047,6.99852621511151 59.4749312324986,7.00811391669998 59.4745982516349,7.01738915360555 59.4733193005839,7.02599478653801 59.4711436277132,7.03359961452456 59.4681550023776,7.03991117764233 59.4644684713607,7.0446870280302 59.4602259078473,7.04774403122215 59.4555905285447,7.04896534285671 59.4507405943532)))', 'NOEGE', 'EGERSUND', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2908485888901 36.0721864909319,14.2902997320246 36.0672971258858,14.2885866716675 36.0625886218951,14.2857754235893 36.0582418789271,14.2819741480911 36.0544238697041,14.2773289744055 36.0512812337219,14.2720183777291 36.0489346548212,14.2662463260678 36.0474742364274,14.260234459401 36.0469560502064,14.2542135990478 36.0473999890639,14.2484149094477 36.0487890058142,14.2430610471348 36.0510697663019,14.23835763212 36.054154692178,14.2344853651908 36.0579253158586,14.2315930911411 36.0622368203468,14.2297920733627 36.0669235913967,14.2291517006246 36.0718055706388,14.229696793656 36.0766951672474,14.2314066191123 36.0814044637407,14.234215653707 36.0857524395003,14.2380160741222 36.0895719341227,14.2426618813041 36.0927160819735,14.2479745036124 36.0950639690435,14.2537496646574 36.0965252927507,14.2597652510841 36.0970438436029,14.2657898752732 36.0965996731828,14.2715917997749 36.0952098639293,14.2769478755706 36.0929278706494,14.2816521456667 36.0898414593737,14.2855237790978 36.0860693238247,14.2884140275148 36.0817565111676,14.2902119359101 36.077068834805,14.2908485888901 36.0721864909319)))', 'MTMFN', 'Marsalforn', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3138272940679 36.0171803378532,14.3132773399499 36.0122910220204,14.311564042785 36.0075828014332,14.3087534268414 36.0032365651626,14.3049536276279 35.9994192665352,14.3003107173231 35.9962775178853,14.2950030840491 35.9939319691478,14.2892345820774 35.9924726843714,14.2832267153413 35.991955691856,14.2772101519745 35.9924008387873,14.2714158918981 35.9937910316404,14.2660664220241 35.9960728910685,14.2613671940648 35.9991587964148,14.2574987482239 36.0029302423091,14.2546097825483 36.0072423799633,14.2528114331449 36.0119295705871,14.2521729858724 36.016811739489,14.2527191869358 36.0217012884004,14.2544292597959 36.0264103015861,14.2572376710555 36.0307577693094,14.261036620849 36.0345765507663,14.2656801663149 36.0377198078751,14.2709898226337 36.0400666610517,14.2767614275441 36.0415268476582,14.2827730047182 36.0420442020994,14.2887933211414 36.0415988220892,14.2945908055234 36.040207836637,14.2999424800808 36.0379247457557,14.3046425574582 36.0348373575797,14.3085103681363 36.0310644032267,14.3113973107662 36.0267509611339,14.3131925572317 36.0220628686805,14.3138272940679 36.0171803378532)))', 'MTMGZ', 'Mgarr, Gozo', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5307764812463 35.883124169291,14.5302139725851 35.8782356357396,14.5284905591846 35.8735303241836,14.5256726518613 35.8691890111859,14.5218686639751 35.8653784605848,14.5172248265391 35.862245025572,14.5119195617137 35.8599090372167,14.5061566319453 35.8584601931376,14.5001573271304 35.8579541215743,14.4941519873641 35.8584102512186,14.4883711829822 35.859811067519,14.4830368860112 35.8621027835919,14.4783539674281 35.8651974002864,14.474502342812 35.8689760772817,14.4716300653748 35.8732936872814,14.469847630716 35.8779843802265,14.4692237130045 35.8828679456626,14.4697824990937 35.8877567304596,14.4715027270767 35.8924628472124,14.4743184710878 35.8968053967742,14.4781216471119 35.9006174270512,14.482766147735 35.9037523595845,14.4880734498329 35.9060896353208,14.493839480803 35.9075393606494,14.4998424786187 35.9080457731682,14.5058515409589 35.9075893922779,14.511635530759 35.9061877707802,14.5169719910415 35.9038948181427,14.5216557214849 35.900798721772,14.5255066829121 35.8970185472565,14.528376923076 35.8926996498763,14.5301562565339 35.8880080756823,14.5307764812463 35.883124169291)))', 'MTMLA', 'Valletta', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((14.3638167133519 35.9891673757849,14.3632638372374 35.9842782366974,14.3615481377331 35.979570683808,14.3587357309427 35.975225580358,14.3549348206706 35.9714098360655,14.350291521306 35.9682700035645,14.3449842355487 35.9659266592877,14.3392168041115 35.964469782783,14.3332106897842 35.9639553100661,14.3271964935545 35.9644029917615,14.3214051247444 35.9657956371746,14.3160589596403 35.9680797728787,14.3113633234794 35.9711676908163,14.3074986189215 35.9749408082427,14.3046134006128 35.9792542120001,14.302818660856 35.9839422144272,14.3021835467975 35.9888247093707,14.3027326763515 35.9937140857591,14.3044451600696 35.998422434247,14.3072553714219 36.0027687704703,14.3110554408398 36.0065859970327,14.3156993819471 36.0097273356378,14.3210086943445 36.0120719805625,14.3267792287822 36.0135297542467,14.3327890500662 36.0140445840872,14.3388069928582 36.0135966650906,14.3446015774553 36.0122032240786,14.3499499379968 36.0099178556006,14.3546464150101 36.0068284553929,14.3585104778237 36.0030538318625,14.3613936694914 35.9987391274578,14.3631853062484 35.9940502278518,14.3638167133519 35.9891673757849)))', 'MTMRF', 'Marfa', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5937697857236 35.8651079817157,14.5932035206428 35.8602197032573,14.5914767535969 35.8555152586713,14.5886560238254 35.8511753909603,14.584849852598 35.8473668082832,14.5802045542617 35.8442357881938,14.5748986066198 35.8419025690734,14.5691357980075 35.8404567423472,14.5631374135147 35.8399538206018,14.557133757942 35.8404131118156,14.5513553371879 35.8418169802508,14.546024032132 35.8441115219756,14.5413445993284 35.8472086293891,14.53749682097 35.8509893664656,14.534628602959 35.8553085266251,14.5328502852458 35.8600002000106,14.5322303839395 35.8648841381874,14.5327929314733 35.869772673369,14.5345165211049 35.8744779274309,14.5373350973273 35.8788190341353,14.5411404667292 35.8826290966979,14.5457864370346 35.8857616122657,14.5510944281396 35.8880961147843,14.5568603406101 35.8895428174429,14.562862416822 35.8900460743017,14.5688697899436 35.8895865263644,14.5746513881127 35.8881818484527,14.5799848467171 35.885886067734,14.5846650813445 35.8827874804349,14.5885121877319 35.8790052478802,14.5913783622792 35.8746848043229,14.5931535761347 35.8699922550057,14.5937697857236 35.8651079817157)))', 'MTMSC', 'Marsascala', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5257822639493 35.8981254947229,14.5252199669409 35.8932369514952,14.5234965348814 35.8885315797957,14.5206783794611 35.8841901584943,14.5168739236999 35.8803794555666,14.5122294166662 35.8772458300169,14.5069233062665 35.8749096201849,14.5011593873918 35.8734605321464,14.4951589878433 35.8729542034679,14.4891524896397 35.8734100726869,14.4833705074711 35.8748106352429,14.4780350584687 35.8771021140082,14.4733510577559 35.880196518976,14.4694984624216 35.8839750180032,14.466625362968 35.8882924906843,14.464842286634 35.8929830922916,14.4642179323537 35.8978666159291,14.4647765039041 35.9027554101083,14.4664967477871 35.9074615870803,14.4693127376832 35.91180424538,14.473116380254 35.9156164287101,14.4777615502324 35.9187515526884,14.4830696987851 35.9210890508531,14.4888367207307 35.9225390209913,14.4948408158536 35.9230456912447,14.500851039517 35.9225895710739,14.5066362098629 35.9211882032448,14.5119738243888 35.9188954874807,14.5166586382902 35.9157996021104,14.520510570678 35.9120196046547,14.5233816319779 35.9077008436414,14.5251616052417 35.903009359935,14.5257822639493 35.8981254947229)))', 'MTMSD', 'Msida', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4308019471183 35.9501500280359,14.4302451748793 35.9452611300222,14.4285262974278 35.9405544750889,14.425711552332 35.9362108917442,14.4219092325436 35.9323972311934,14.4172655059644 35.9292599660418,14.4119587912154 35.9269195742446,14.4061929068024 35.925465922181,14.4001892560739 35.92495482231,14.3941783456237 35.9254058960062,14.3883909590134 35.9268018225427,14.3830493201567 35.9290890026267,14.3783585810618 35.9321796113032,14.3744989568516 35.9359549623765,14.3716188074351 35.9402700566668,14.3698289305854 35.9449591412535,14.3691982865618 35.9498420680395,14.3697513212172 35.9547312089909,14.3714669945223 35.9594386634887,14.3742795567108 35.9637834812986,14.3780810471592 35.9675986232793,14.3827254242256 35.9707373912912,14.3880341702584 35.9730790785822,14.3938031575076 35.9745336215459,14.3998105102458 35.9750450720916,14.4058251582814 35.9745937554576,14.411615749039 35.973197029356,14.4169595708023 35.9709086148062,14.4216511392355 35.9678165246996,14.4255101129568 35.9640396707662,14.4283882310886 35.9597232809826,14.4301750051028 35.9550333054964,14.4308019471183 35.9501500280359)))', 'MTSPB', 'Saint Paul''s Bay (San Pawl il-Bahar)', 'Y'),('SRID=4326;MULTIPOLYGON(((14.524788456515 35.9141257984134,14.5242261187573 35.9092372631455,14.5225024096779 35.9045318875109,14.5196837517599 35.9001904505071,14.5158785874371 35.8963797206741,14.5112331930515 35.8932460580012,14.5059260505877 35.8909098022038,14.5001609945136 35.8894606610786,14.4941593961976 35.8889542741993,14.4881516835624 35.8894100823246,14.4823685177999 35.8908105832459,14.4770319613788 35.8931020022276,14.4723469718766 35.8961963515996,14.4684935443365 35.899974801404,14.4656198012638 35.904292233178,14.4638362947158 35.9089828038112,14.4632117402944 35.9138663076312,14.4637703496317 35.9187550939266,14.4654908679461 35.9234612752472,14.4683073585194 35.9278039499373,14.4721117088765 35.9316161610306,14.4767577665946 35.9347513230292,14.4820669487033 35.937088867959,14.4878351102173 35.9385388917645,14.493840406993 35.9390456204917,14.4998518480502 35.9385895613387,14.5056382045786 35.9371882547308,14.5109769283436 35.9348955980622,14.5156627318099 35.9317997674297,14.5195154960156 35.9280198182998,14.5223871994427 35.923701097394,14.5241676005515 35.9190096440811,14.524788456515 35.9141257984134)))', 'MTSTG', 'San Giljan', 'Y'),('SRID=4326;MULTIPOLYGON(((57.5435839874676 -20.1669198999623,57.5430901352272 -20.171818693826,57.5415935679716 -20.1765323747854,57.5391517177564 -20.180879776425,57.5358583685698 -20.184693795452,57.5318400606656 -20.1878278187209,57.5272512309672 -20.1901613639801,57.5222682757839 -20.1916047165777,57.5170827643608 -20.1921023829242,57.5118940652257 -20.1916352271093,57.5069016704933 -20.1902212079465,57.5022975152564 -20.1879146878637,57.4982585894009 -20.1848043403491,57.49494012764 -20.1810097368964,57.4924696407416 -20.1766767454368,57.4909420178044 -20.1719719180916,57.4904158874199 -20.1670760849316,57.4909113763728 -20.1621774008042,57.4924093502136 -20.1574641130364,57.4948521627469 -20.1531173281837,57.4981458834804 -20.149304055639,57.5021639155953 -20.1461707949024,57.5067518641546 -20.143837912137,57.5117334669945 -20.142395021136,57.5169173607517 -20.141897545215,57.5221044231739 -20.1423645912934,57.5270954113207 -20.1437782172645,57.5316986042397 -20.1460841205601,57.535737158549 -20.1491937215923,57.5390558960997 -20.1529875625128,57.5415272641374 -20.1573198914788,57.5430562394178 -20.1620242572276,57.5435839874676 -20.1669198999623)))', 'MUPLU', 'Port Louis', 'Y'),('SRID=4326;MULTIPOLYGON(((34.8765150013366 -19.8327230638268,34.876063019591 -19.837623405793,34.8746093836693 -19.8423461441403,34.8722098735919 -19.8467097698897,34.8689566415034 -19.850546560364,34.8649746794371 -19.8537090293912,34.8604170202121 -19.8560756012851,34.8554588552295 -19.8575552896136,34.8502907953997 -19.8580911999284,34.8451115351805 -19.8576627209016,34.8401202033067 -19.8562863189405,34.8355086962434 -19.8540149053579,34.8314542911483 -19.8509358004214,34.828112824142 -19.8471673729266,34.8256126974253 -19.8428544851623,34.8240499461781 -19.838162919265,34.8234845546051 -19.8332730001738,34.8239381616817 -19.8283726611844,34.8253932430963 -19.8236502192943,34.8277937987654 -19.8192871383495,34.8310475173624 -19.8154510580857,34.8350293327874 -19.8122893565518,34.839586234546 -19.8099234925901,34.8445431465544 -19.8084443448565,34.8497096486562 -19.8079087254984,34.8548872835437 -19.8083372015484,34.8598771699243 -19.8097133070521,34.8644876313961 -19.8119841758299,34.8685415499833 -19.8150625705558,34.8718831636314 -19.8188302305573,34.8743840478148 -19.8231424103896,34.8759480520361 -19.8278334356922,34.8765150013366 -19.8327230638268)))', 'MZBEW', 'Beira', 'Y'),('SRID=4326;MULTIPOLYGON(((32.6107497763394 -25.9660772756736,32.6102004433568 -25.9709695801697,32.6086056786194 -25.9756709902722,32.6060266606786 -25.9800007996038,32.6025624290984 -25.9837925666449,32.598346089218 -25.9869005185032,32.5935397005475 -25.9892051616359,32.5883280446779 -25.9906178825713,32.5829115128408 -25.9910843605041,32.5774983881789 -25.9905866595102,32.5722968218837 -25.9891439192571,32.5675068145588 -25.9868116174465,32.5633125139431 -25.983679432642,32.5598751274887 -25.9798677904107,32.5573267237931 -25.9755232266679,32.5557651616127 -25.9708127477496,32.5552503406604 -25.9659174052717,32.5558019165088 -25.9610253337814,32.557398564844 -25.9563245194619,32.5599788203541 -25.9519955779882,32.5634434550663 -25.9482048187562,32.5676593022678 -25.9450978612285,32.5724643774544 -25.9427940475703,32.5776740990011 -25.9413818649729,32.5830883701594 -25.9409155522846,32.5884992519547 -25.9414130202727,32.5936989346517 -25.9428551647424,32.5984877044076 -25.9451865986949,32.6026816018923 -25.9483177756902,32.6061194810263 -25.9521284235909,32.6086691982061 -25.9564721578596,32.6102326947091 -25.9611820984402,32.6107497763394 -25.9660772756736)))', 'MZMPM', 'Maputo', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1949137018348 -26.6499644675002,15.1943856360584 -26.6548585598805,15.1928050256575 -26.6595660296712,15.190232499226 -26.6639059389287,15.1867668411567 -26.6677114580504,15.1825412070786 -26.670836284449,15.177718011011 -26.6731602738148,15.1724826800569 -26.6745940661949,15.1670365172151 -26.6750825277342,15.1615889483158 -26.674606874636,15.156349453638 -26.6731853969217,15.151519497371 -26.6708727538836,15.1472847681753 -26.6677578685617,15.1438080316739 -26.6639605029275,15.1412228713162 -26.6596266465441,15.1396285587734 -26.6549228972865,15.1390862503825 -26.6500300514377,15.1396166540567 -26.6451361506523,15.1411992537065 -26.6404292537669,15.1437731178926 -26.6360902115052,15.1472392585614 -26.6322857214781,15.1514644466122 -26.6291619296022,15.1562863359292 -26.6268388226907,15.1615196983501 -26.6254056263506,15.1669635305677 -26.6249173836953,15.1724087615682 -26.6253928451985,15.1776462669968 -26.6268137500073,15.1824748855094 -26.6291255260492,15.1867091321065 -26.6322393822764,15.1901863146361 -26.636035713388,15.1927727817449 -26.6403686873175,15.1943690628205 -26.6450718405353,15.1949137018348 -26.6499644675002)))', 'NALUD', 'Luderitz', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5350976077751 -22.9560817316746,14.5345601821371 -22.9609758434423,14.533001948347 -22.965678808573,14.5304826975967 -22.9700098648878,14.5270991837749 -22.9738025290827,14.5229814143659 -22.9769110011689,14.5182876572682 -22.979215775112,14.5131983549619 -22.9806282388918,14.5079091804529 -22.9810940860538,14.5026235033389 -22.980595406691,14.4975445577096 -22.9791513768847,14.492867615424 -22.9768175199276,14.4887724680709 -22.9736835680039,14.4854165086452 -22.9698700072074,14.4829286801831 -22.9655234396842,14.4814045243315 -22.9608109423025,14.4809025195489 -22.9559136397867,14.4814418481491 -22.9510197402371,14.4830016758089 -22.9463173012766,14.4855219686841 -22.9419870049793,14.4889058142321 -22.9381952189438,14.4930231544661 -22.9350876094669,14.4977157868253 -22.9327835512586,14.5028034400609 -22.9313715473748,14.5080906922231 -22.9309058342552,14.5133744663743 -22.9314043013998,14.5184518181336 -22.9328478050356,14.5231277182945 -22.9351809019749,14.5272225339221 -22.9383139757391,14.5305789225235 -22.9421266739264,14.5330678757244 -22.9464725257152,14.5345936806464 -22.951184563201,14.5350976077751 -22.9560817316746)))', 'NAWVB', 'Walvis Bay', 'Y'),('SRID=4326;MULTIPOLYGON(((166.476953732239 -22.2597571926221,166.476487174798 -22.2646564920346,166.475002645219 -22.2693769233538,166.472557099827 -22.2737370615937,166.469244453344 -22.2775693122895,166.465191979918 -22.2807263576586,166.460555426495 -22.2830868250347,166.455513025643 -22.2845599586586,166.450258638192 -22.2850891141404,166.444994290429 -22.2846539402663,166.439922394611 -22.2832711635377,166.435237954148 -22.280993944916,166.431121055509 -22.277909833568,166.427729937533 -22.2741373967556,166.425194906046 -22.2698216562492,166.423613328279 -22.2651285077304,166.423045899149 -22.2602383387874,166.423514321633 -22.2553390917828,166.425000488438 -22.2506190389334,166.427447193984 -22.2462595476066,166.430760346928 -22.2424281137805,166.434812596017 -22.2392719308768,166.439448228458 -22.2369122402592,166.444489151895 -22.2354396794325,166.44974173042 -22.2349108055834,166.455004213139 -22.2353459270494,166.460074471732 -22.236728325308,166.464757752041 -22.2390048970164,166.46887414422 -22.2420881914945,166.472265486534 -22.2458597658415,166.474801439002 -22.2501747295896,166.476384494184 -22.2548673053115,166.476953732239 -22.2597571926221)))', 'NCNOU', 'Nouméa', 'Y'),('SRID=4326;MULTIPOLYGON(((3.79317174750151 51.6747356071101,3.79231484151652 51.6698682620514,3.7899476020755 51.6651983467549,3.7861614006106 51.6609052349984,3.78110199927892 51.6571537800178,3.77496390990699 51.6540879988776,3.76798290669318 51.6518255606722,3.76042698222672 51.6504532869285,3.75258609181242 51.6500238337346,3.74476107366268 51.6505536802816,3.73725216119263 51.6520224992875,3.73034751777444 51.6543739329384,3.72431222356193 51.6575177453174,3.71937812839704 51.661333270628,3.7157349546915 51.6656740276482,3.71352299022663 51.6703733265222,3.71282765410915 51.6752506558258,3.71367615117897 51.6801186073079,3.71603635298365 51.6847900740655,3.71981795950681 51.6890854461252,3.72487590813029 51.6928395261407,3.73101590819082 51.6959078974101,3.73800189460652 51.6981724965148,3.74556511614142 51.6995461729505,3.75341450657748 51.6999760570815,3.76124793364943 51.6994456041103,3.76876388375844 51.6979752336418,3.77567312211505 51.6956215396862,3.78170986902842 51.6924751022716,3.78664205349767 51.6886569868327,3.7902802439987 51.6843140689147,3.79248491139845 51.6796133673502,3.79317174750151 51.6747356071101)))', 'NLBHS', 'Burghsluis', 'Y'),('SRID=4326;MULTIPOLYGON(((3.58993207606728 51.3998058032989,3.58910219829576 51.394936669968,3.58677014249299 51.3902623367191,3.58302592373854 51.3859623490798,3.57801368968814 51.3822018265086,3.5719261417307 51.3791251362323,3.56499711693167 51.3768503677333,3.55749261771149 51.3754648168207,3.54970063153718 51.3750216494677,3.54192012546112 51.3755378708114,3.53444962907889 51.3769936755297,3.52757583373491 51.3793332039738,3.52156263526538 51.3824666757524,3.51664103223994 51.3862738207502,3.51300026188068 51.3906084786356,3.51078051228372 51.3953041934972,3.5100674933178 51.400180591987,3.51088908113802 51.4050503027039,3.51321417461508 51.4097261527884,3.5169538186198 51.4140283657888,3.52196456196133 51.4177914834558,3.52805393019919 51.420870743483,3.53498780914824 51.4231476651665,3.54249945738826 51.4245346248942,3.55029979907811 51.4249782422129,3.55808859511235 51.4244614434825,3.56556605382293 51.4230041219271,3.57244442391349 51.4206623681204,3.57845911308481 51.4175263012454,3.58337889582295 51.4137165864974,3.58701481202954 51.4093797754291,3.58922741260981 51.4046826517539,3.58993207606728 51.3998058032989)))', 'NLBRS', 'Breskens', 'Y'),('SRID=4326;MULTIPOLYGON(((4.34001064296616 51.4995496676026,4.33909906804887 51.4946866141143,4.33668546885071 51.4900279657145,4.33286298876324 51.4857526607571,4.32777877335703 51.482024867036,4.32162827779731 51.4789876926684,4.31464774485114 51.476757709174,4.30710514414202 51.4754204937868,4.29928991809825 51.4750273589575,4.2915019219825 51.4755933919778,4.28403997345715 51.4770968783176,4.27719044068572 51.4794801303642,4.2712162966913 51.4826516905827,4.26634705160821 51.4864898265104,4.26276994391775 51.4908471862521,4.26062272745227 51.4955564389982,4.25998833397556 51.5004366871647,4.26089162303833 51.5053004065284,4.26329835357798 51.5099606494368,4.26711642789344 51.5142382347869,4.27219937115376 51.5179686476158,4.27835192186795 51.5210083810712,4.28533752439181 51.5232404740352,4.29288743730507 51.5245790281259,4.30071110496189 51.5249725270866,4.30850738693895 51.5244058281901,4.31597620412512 51.5229007473402,4.32283014266505 51.5205152148995,4.32880555879808 51.5173410355726,4.33367274871992 51.513500340558,4.33724478683037 51.5091408713482,4.33938469109523 51.5044302799002,4.34001064296616 51.4995496676026)))', 'NLBZM', 'Bergse Diepsluis/Bergen op Zoom', 'Y'),('SRID=4326;MULTIPOLYGON(((3.89010455099896 51.5997027516969,3.88923879283641 51.5948360960706,3.88686562549456 51.5901681050409,3.8830766454937 51.585878078137,3.87801771919711 51.5821307500412,3.87188333814143 51.5790699795151,3.86490913282741 51.5768132436408,3.85736283444095 51.5754471455189,3.84953402924777 51.5750241046838,3.8417230928326 51.5755603546187,3.83422971989943 51.577035322513,3.8273414793576 51.5793924145558,3.82132282357951 51.582541177388,3.81640496504163 51.5863607546806,3.81277700338936 51.5907045089549,3.81057864198644 51.5954056344609,3.80989477630219 51.6002835488048,3.81075216857501 51.6051508205358,3.81311834606869 51.6098203683209,3.8169027764034 51.6141126556292,3.82196028586202 51.6178626036527,3.82809659861022 51.6209259547696,3.83507579006609 51.6231848390262,3.84262936994938 51.6245523262499,3.85046664345177 51.6249757854275,3.85828594576362 51.6244389193872,3.86578630854752 51.6229623947359,3.87267909875215 51.6206030422873,3.87869917136092 51.6174516595268,3.88361509819931 51.6136295016441,3.88723807370718 51.6092835989891,3.88942915361662 51.6045810843829,3.89010455099896 51.5997027516969)))', 'NLCOL', 'Colijnsplaat', 'Y'),('SRID=4326;MULTIPOLYGON(((4.8083425193071 52.9663781009932,4.80734499243259 52.9615206625694,4.80479762887795 52.9568740151207,4.80079874219806 52.9526166284064,4.79550227200395 52.9489119730008,4.78911182804926 52.9459022592824,4.78187285521769 52.9437029963115,4.77406322203722 52.9423985760587,4.76598259120437 52.9420390491675,4.75794097317702 52.9426382132967,4.75024689218392 52.9441730857286,4.74319560737757 52.9465847800819,4.737057830035 52.9497807544191,4.73206936071426 52.9536383466051,4.7284220384494 52.9580094642307,4.726256348111 52.9627262524946,4.72565597307057 52.9676075257613,4.72664450984055 52.9724657185291,4.72918448147275 52.9771140905096,4.73317869976491 52.9813739093993,4.73847393582666 52.9850813343478,4.74486676779169 52.9880937333389,4.75211138722508 52.9902951885036,4.75992906595542 52.9916009741293,4.76801891642322 52.9919608317064,4.7760695245629 52.9913609132323,4.78377099748089 52.9898243162668,4.79082695067063 52.9874101897364,4.79696596213696 52.9842114458558,4.80195204343955 52.980351168398,4.80559371910014 52.9759778585805,4.80775136389302 52.9712597049453,4.8083425193071 52.9663781009932)))', 'NLDHR', 'Den Helder', 'Y'),('SRID=4326;MULTIPOLYGON(((6.95868947957651 53.3337207529054,6.95812100179269 53.3288384900301,6.95597270233917 53.3241164040946,6.952327609379 53.3197358851371,6.94732613398519 53.3158651488763,6.94116062383852 53.3126527913417,6.9340679497028 53.3102221018656,6.92632041282065 53.3086663494219,6.91821532106313 53.3080452197745,6.91006362824543 53.3083825371086,6.9021780633807 53.3096653553844,6.8948611940862 53.3118444532874,6.88839387052863 53.3148362141407,6.88302448317015 53.318525820294,6.8789594394343 53.3227716420985,6.87635522186789 53.3274106563492,6.87531233442473 53.3322646896563,6.87587137556365 53.3371472500935,6.87801139884847 53.3418706869484,6.88165063608679 53.346253404518,6.88664956768666 53.3501268523652,6.89281623323864 53.3533420216462,6.89991358608084 53.3557751949659,6.90766861268106 53.3573327252071,6.915782864926 53.3579546559521,6.9239439943976 53.3576170410557,6.93183783543572 53.3563328718588,6.93916056044972 53.3541515753419,6.9456304277932 53.3511571029012,6.95099865973738 53.347464685002,6.95505902476205 53.3432163793556,6.95765575261276 53.3385755873092,6.95868947957651 53.3337207529054)))', 'NLDZL', 'Delfzijl', 'Y'),('SRID=4326;MULTIPOLYGON(((6.85880128449772 53.450756801112,6.85824307108187 53.4458742524023,6.85610034330184 53.4411505079561,6.85245591946429 53.4367670218074,6.84745018878636 53.4328921235823,6.84127566534757 53.4296745687703,6.83416956773563 53.4272378456623,6.82640471285674 53.4256754541601,6.81827907229902 53.4250473341936,6.81010438641624 53.425377577732,6.80219426383224 53.4266535099755,6.79485221165106 53.4288261739735,6.78836004394385 53.431812200418,6.78296710303884 53.4354969925077,6.77888070004595 53.4397391063644,6.7762581385143 53.4443756622188,6.77520062913994 53.449228582127,6.77574933543313 53.4541114178026,6.77788371212741 53.4588365085609,6.78152221229222 53.4632221954045,6.78652534853638 53.4670998136718,6.79270100176115 53.4703201937716,6.79981178138111 53.4727594172887,6.80758415769784 53.4743236036562,6.81571901405199 53.4749525396918,6.82390320706656 53.474622009187,6.8318216807411 53.4733447306298,6.83916965659269 53.4711698659349,6.84566441872558 53.4681811194474,6.8510562298355 53.4644935020702,6.85513795081555 53.4602488878061,6.85775299091169 53.4556105370882,6.85880128449772 53.450756801112)))', 'NLEEM', 'Eemshaven', 'Y'),('SRID=4326;MULTIPOLYGON(((5.45853241401735 53.1821496890611,5.45745603528857 53.1772988768524,5.45482558880674 53.1726673753817,5.45074257872443 53.16843306802,5.4453641700659 53.1647585350892,5.43889710999281 53.1617848275691,5.431589773964 53.1596260708034,5.42372264371676 53.1583651019055,5.41559757948427 53.1580503050031,5.40752629096527 53.158693763123,5.39981843929354 53.1602707960362,5.3927698150042 53.1627209014933,5.38665103448449 53.1659500647708,5.38169717966348 53.1698343501212,5.37809877309346 53.1742246393626,5.37599443381646 53.1789523391756,5.37546549960603 53.1838358413085,5.37653282990488 53.1886874902856,5.37915592312919 53.1933207926016,5.38323439459272 53.1975575907238,5.38861177023584 53.2012349251348,5.39508146016603 53.204211318355,5.40239468855425 53.2063722361669,5.41027007660534 53.207634512457,5.41840450690933 53.2079495640587,5.42648484386606 53.2073052691694,5.43420004879743 53.2057264354089,5.44125321170075 53.2032738391897,5.44737302522697 53.2000418744315,5.45232425018309 53.1961549033822,5.45591676439159 53.1917624530964,5.45801284586952 53.1870334458928,5.45853241401735 53.1821496890611)))', 'NLHAR', 'Harlingen', 'Y'),('SRID=4326;MULTIPOLYGON(((4.64087607303474 52.4664399474864,4.6399096247452 52.4615804766458,4.63741004630801 52.4569294952841,4.63347380455306 52.4526656423297,4.62825242660759 52.44895263988,4.62194663745823 52.4459330220643,4.61479863564311 52.4437226810274,4.60708280547069 52.4424064360602,4.59909521965529 52.4420347926993,4.59114232862157 52.4426220135155,4.58352926095136 52.4441455729657,4.57654817289169 52.446547016809,4.57046708321949 52.4497341940044,4.56551961308818 52.4535847775065,4.56189601911233 52.457950941764,4.55973586257419 52.4626650207255,4.55912259935908 52.4675459323874,4.56008030559032 52.4724061258554,4.56257267498269 52.477058785755,4.56650433821747 52.4813250176159,4.57172446520653 52.4850407371742,4.57803252141174 52.4880629966454,4.58518596315789 52.4902755017167,4.59290957795686 52.4915931036418,4.60090610795462 52.4919650902996,4.60886774105408 52.4913771468551,4.61648801777152 52.4898519088653,4.6234736843473 52.4874480861139,4.62955602496781 52.4842581918094,4.63450122803583 52.4804049666527,4.63811938207825 52.4760366383625,4.64027175399387 52.4713212024447,4.64087607303474 52.4664399474864)))', 'NLIJM', 'IJmuiden/Velsen', 'Y'),('SRID=4326;MULTIPOLYGON(((3.90707532649421 51.5666970858879,3.90620842853855 51.5618305340572,3.90383528800468 51.5571628601832,3.90004749945313 51.5528733516169,3.89499088271579 51.5491267232115,3.88885984012741 51.5460668069969,3.88188987381194 51.5438110474245,3.87434855234906 51.5424460102886,3.8665252713726 51.5420240745432,3.8587201950401 51.5425614313472,3.8512327938267 51.5440374654265,3.84435040808088 51.546395541988,3.83833726592459 51.5495451697484,3.83342436839861 51.5533654589834,3.82980062458423 51.5577097446548,3.82760557546272 51.5624112003785,3.82692398858701 51.5672892308776,3.82778253775606 51.5721564000931,3.83014870480145 51.5768256305584,3.83393195681252 51.5811173979459,3.83898716460526 51.5848666435179,3.84512014034554 51.5879291368045,3.85209508760607 51.5901870410184,3.85964367950398 51.5915534638627,3.86747541354688 51.5919758154214,3.87528883867293 51.5914378412319,3.88278321337735 51.5899602505598,3.8896701356603 51.5875999151755,3.89568468675393 51.584447670248,3.90059565112107 51.5806248039417,3.90421441398785 51.5762783736305,3.90640219267768 51.5715755321998,3.90707532649421 51.5666970858879)))', 'NLKAT', 'Kats', 'Y'),('SRID=4326;MULTIPOLYGON(((5.37442330273876 53.0661802208889,5.37335966960557 53.061328424464,5.3707456640166 53.0566948029904,5.36668215642704 53.0524573221807,5.36132556200958 53.0487786851804,5.35488179079289 53.0458001014221,5.34759832581185 53.0436358841313,5.33975473499555 53.0423690804366,5.33165197796359 53.0420482985188,5.32360091099967 53.0426858509116,5.31591042123487 53.044257283602,5.30887563388774 53.0467023086847,5.30276663399514 53.0499271058028,5.29781812646036 53.0538079062606,5.29422042579868 53.0581957253063,5.29211212038401 53.0629220643755,5.29157469640658 53.0678053676819,5.29262933571536 53.0726579878837,5.29523602131911 53.0772933948902,5.29929499716355 53.0815333511582,5.30465053799414 53.0852147766763,5.31109689418315 53.0881960374854,5.31838618915877 53.0903624128033,5.32623796742855 53.0916305269608,5.33435002290631 53.0919515722707,5.34241008370236 53.0913131961,5.35010789345452 53.0897399778748,5.35714721254208 53.0872924773323,5.36325726601279 53.084064891696,5.36820318856753 53.0801814141882,5.37179505923248 53.0757914371173,5.37389517719835 53.0710637875869,5.37442330273876 53.0661802208889)))', 'NLKWZ', 'Kornwerderzand', 'Y'),('SRID=4326;MULTIPOLYGON(((6.24174960134974 53.41797222017,6.24126252999974 53.4130877498892,6.23919016634801 53.4083538824351,6.23561262953074 53.4039524647481,6.23066774705511 53.4000525183979,6.22454570586679 53.3968037628324,6.21748171971831 53.3943308850632,6.20974699819736 53.3927287724574,6.20163836318944 53.3920588881296,6.19346690588473 53.3923469249164,6.18554611057016 53.3935818256722,6.1781798896575 53.3957162063798,6.17165097732764 53.3986681660863,6.16621011677746 53.4023244157732,6.16206644861025 53.4065446087261,6.15937946601479 53.4111667095134,6.15825284700476 53.4160131989628,6.15873040654189 53.4208978800241,6.16079433372509 53.4256330254317,6.16436579379292 53.4300365936887,6.16930788436865 53.4339392358209,6.17543084354977 53.4371908219725,6.18249931782964 53.4396662342005,6.19024141434436 53.4412701992892,6.19835918843208 53.4419409720998,6.20654015755883 53.4416527245322,6.21446938934704 53.4404165458213,6.22184168700719 53.4382800145418,6.22837339122908 53.4353253590522,6.2338133337773 53.4316662787796,6.237952513808 53.4274435513694,6.24063212141164 53.4228195981012,6.24174960134974 53.41797222017)))', 'NLLAN', 'Lauwersoog', 'Y'),('SRID=4326;MULTIPOLYGON(((7.24159911522742 53.2336210914466,7.24099943632244 53.228739862478,7.23882461802498 53.2240225980774,7.23515870208154 53.2196505015802,7.23014289349425 53.2157914643021,7.22397008466442 53.2125936327472,7.2168774218602 53.2101797388649,7.20913720277991 53.208642407681,7.20104645330864 53.2080406189642,7.19291557778586 53.2083974556964,7.18505650911845 53.209699223598,7.1777708021904 53.211895974547,7.17133811589247 53.2149034142068,7.16600551569564 53.2186061223449,7.16197800030889 53.2228619649728,7.15941061321701 53.2275075322962,7.15840244378832 53.2323643971701,7.15899275461159 53.2372459567911,7.16115939368492 53.2419645970225,7.16481956447356 53.2463389050718,7.16983293662366 53.2502006529347,7.17600698866113 53.2534012814456,7.18310438505265 53.2558176328435,7.19085210745511 53.2573567079679,7.19895198767009 53.2579592615507,7.20709223128343 53.2576020941656,7.21495947917947 53.2562989504314,7.22225093125982 53.2540999879285,7.22868605398691 53.2510898376829,7.23401741096725 53.2473843325894,7.23804019276221 53.2431260324476,7.24060007653442 53.2384787211855,7.24159911522742 53.2336210914466)))', 'NLNSZ', 'Nieuwe Statenzijl', 'Y'),('SRID=4326;MULTIPOLYGON(((4.9084032727462 53.032342751644,4.90739282402866 53.02748632309,4.9048307072018 53.022842004935,4.90081580327551 53.0185881766434,4.89550266679339 53.014888171363,4.88909554638023 53.0118840203,4.88184052542268 53.0096910185527,4.87401608640556 53.0083933175914,4.86592245826183 53.0080407102461,4.85787014862155 53.0086467288945,4.85016809106545 53.010188128169,4.84311185077762 53.0126057716462,4.83697233006243 53.0158068894457,4.83198539807091 53.0196686222441,4.82834283711803 53.0240427187053,4.82618495186493 53.0287612094399,4.82559512848851 53.0336428429837,4.82659656032387 53.0385000393564,4.82915127640302 53.0431460957941,4.83316152241229 53.0474023681953,4.8384734529347 53.0511051513186,4.84488300294376 53.0541119910568,4.85214371917059 53.0563071829849,4.85997625207775 53.0576062421969,4.86807914050993 53.0579591690813,4.87614046704023 53.0573523826133,4.88384992534645 53.0558092450542,4.89091082354687 53.0533891574659,4.89705155021309 53.050185261823,4.90203605260087 53.0463208403503,4.90567291828208 53.0419445537102,4.90782270964957 53.0372247047264,4.9084032727462 53.032342751644)))', 'NLOHI', 'Oudeschild', 'Y'),('SRID=4326;MULTIPOLYGON(((4.54037668996533 51.9164784370587,4.53943425526494 51.9116175302009,4.53697693641355 51.9069636851507,4.53309956433615 51.9026956532471,4.52795139712922 51.8989773201496,4.52173034583331 51.8959514279648,4.5146753583333 51.8937341127618,4.50705725561677 51.8924104639045,4.49916836964795 51.8920312724588,4.49131137417053 51.8926110908579,4.48378772781643 51.894127676645,4.47688616233111 51.8965228412218,4.4708716472304 51.8997046718938,4.46597524580073 51.9035510439566,4.46238524639163 51.907914290893,4.46023990812571 51.9126268566942,4.45962210256378 51.9175077164951,4.46055606405358 51.9223693215939,4.46300638348877 51.9270248037498,4.46687929554155 51.9312951623898,4.47202622111455 51.93501615763,4.47824943819641 51.9380446420771,4.48530966918247 51.9402640850132,4.49293529481246 51.941589073146,4.50083283782594 51.9419686115166,4.508698306521 51.9413880948759,4.51622895229362 51.9398698719814,4.52313497779981 51.9374723806667,4.52915073452681 51.9342878878515,4.53404497016349 51.9304389235273,4.53762972608421 51.9260735488594,4.53976754144043 51.9213596437842,4.54037668996533 51.9164784370587)))', 'NLRTM', 'Rotterdam', 'Y'),('SRID=4326;MULTIPOLYGON(((4.32354553775112 52.0995517418772,4.32262237456648 52.0946891186515,4.32017709471332 52.0900308092114,4.31630407306274 52.0857557370533,4.31115240660298 52.08202805829,4.30492014548059 52.0789908733987,4.29784667085293 52.0767607510846,4.29020351412037 52.075423271189,4.28228396750649 52.0750297545057,4.2743918783469 52.075595302361,4.2668300478079 52.077098219509,4.25988866844407 52.0794808420321,4.2538342337171 52.0826517393152,4.2488993363552 52.0864892075913,4.24527374157729 52.0908459238452,4.243097076431 52.0955545847315,4.24245341888967 52.1004343172429,4.24336800145594 52.1052976176207,4.24580616585239 52.1099575536788,4.24967462047115 52.1142349542833,4.254824963614 52.1179653088369,4.26105934659906 52.1210051094976,4.26813806523619 52.1232373893331,4.27578878977266 52.1245762400385,4.28371707585452 52.1249701321262,4.2916177456397 52.1244039071179,4.2991866916379 52.1228993633504,4.3061326380298 52.1205144123793,4.31218839606593 52.1173408393053,4.31712117155792 52.1135007552605,4.32074152232389 52.1091418814869,4.32291061967001 52.1044318497924,4.32354553775112 52.0995517418772)))', 'NLSCE', 'Scheveningen', 'Y'),('SRID=4326;MULTIPOLYGON(((4.07327955203363 51.7996392266019,4.07239000878191 51.794774226191,4.06998725877482 51.7901102683115,4.06616403810602 51.7858264958647,4.06106752923658 51.7820874016019,4.05489366571334 51.7790365265873,4.04787959089062 51.7767909668419,4.04029456218818 51.7754368958038,4.03242964773436 51.7750262712812,4.02458660464817 51.7755748506394,4.01706635667739 51.7770615886985,4.01015750278167 51.77942944096,4.00412528722308 51.7825875421311,3.99920144581771 51.7864146782937,3.99557531254972 51.790763922272,3.99338652644525 51.7954682575243,3.99271962153232 51.8003469778438,3.99360071440077 51.8052126197735,3.99599642633427 51.8098781631682,3.99981509272153 51.8141642237464,4.00491022445031 51.8179059604101,4.01108609763256 51.8209594298135,4.01810526296316 51.8232071409633,4.02569768803918 51.8245625928892,4.0335711787007 51.824973617555,4.04142267217723 51.8244243966771,4.04894995822412 51.8229360731013,4.05586336639788 51.8205659327069,4.06189695908966 51.8174051891343,4.06681879082894 51.8135754585837,4.07043983358654 51.8092240632027,4.07262122332093 51.8045183470641,4.07327955203363 51.7996392266019)))', 'NLSTD', 'Stellendam', 'Y'),('SRID=4326;MULTIPOLYGON(((7.07466026938147 53.3006799421813,7.07407888665896 53.2957980945576,7.07191930529926 53.2910779752708,7.06826498498158 53.2867008981763,7.06325668895678 53.2828349463843,7.05708702457992 53.2796285320367,7.04999302017689 53.2772047163699,7.04224702670092 53.2756565047734,7.03414629218567 53.2750432939808,7.02600160343969 53.2753886046926,7.01812542165143 53.2766791844663,7.01081995588466 53.2788655143236,7.00436562049452 53.2818637000092,6.99901030925431 53.2855586769951,6.99495989073832 53.2898086089392,6.99237028687376 53.2944503141149,6.99134144055212 53.2993055149613,6.99191341020623 53.3041876738504,6.9940647512279 53.3089091547204,6.99771325845369 53.3132884364277,7.00271905362381 53.3171571002303,7.00888991011738 53.3203663211073,7.01598861812152 53.3227926105537,7.02374211060334 53.3243425865689,7.031851997873 53.3249565838024,7.04000609969632 53.3246109618248,7.04789052182723 53.3233190204662,7.05520180068347 53.3211304859942,7.06165863692027 53.3181295882971,7.06701275603481 53.3144318047822,7.07105847094509 53.3101793990603,7.07364057580622 53.3055359294677,7.07466026938147 53.3006799421813)))', 'NLTMZ', 'Termunterzijl', 'Y'),('SRID=4326;MULTIPOLYGON(((5.64103571630275 52.6660921065434,5.63995376323721 52.6612426638718,5.6373370332267 52.6566146864467,5.63328648856608 52.652385923039,5.6279580358696 52.6487187428835,5.62155649733033 52.6457539171971,5.6143277316382 52.6436052332112,5.60654920849435 52.6423551440824,5.59851939545633 52.6420516184165,5.59054635739618 52.6427063077299,5.58293599616733 52.6442941006286,5.57598037054426 52.6467540805457,5.56994653384392 52.6499918513329,5.56506630889689 52.6538831436651,5.56152738757254 52.6582785668737,5.55946609559228 52.6630093272032,5.55896210401134 52.6678936961966,5.56003529809407 52.672743983419,5.56264493443457 52.6773737472468,5.56669113068452 52.6816049669456,5.57201864223679 52.6852748993333,5.57842279018079 52.6882423541903,5.58565731856998 52.6903931440177,5.59344388038524 52.6916444950634,5.60148278425316 52.6919482466057,5.60946458130343 52.6912927127405,5.6170820362042 52.6897031334374,5.62404201023332 52.6872406972275,5.63007678806944 52.6840001742078,5.63495440360442 52.680106252706,5.63848756222981 52.6757087236576,5.64054081554327 52.6709767014128,5.64103571630275 52.6660921065434)))', 'NLURK', 'Urk', 'Y'),('SRID=4326;MULTIPOLYGON(((4.39037938252852 51.9165298897665,4.38945312443262 51.9116676679874,4.38701125084516 51.9070105823558,4.3831480007382 51.9027375095633,4.37801209180841 51.8990125295126,4.37180096666672 51.8959786398994,4.36475319433752 51.893752283884,4.35713932068227 51.8924188976583,4.3492515165205 51.8920296456184,4.34139241441675 51.8925994658138,4.33386355331213 51.8941064990253,4.32695386376147 51.8964929229354,4.32092862519116 51.8996671602222,4.31601931033753 51.9035073778375,4.31241470120629 51.9078661460199,4.31025361620687 51.9125760814799,4.30961953065301 51.9174562613066,4.31053730412128 51.922319163937,4.31297215024536 51.9269778722572,4.31683089992028 51.9312532625363,4.32196552060015 51.9349809020555,4.32817876580006 51.9380173882393,4.33523174373751 51.940245882623,4.34285311604489 51.941580623467,4.35074957030007 51.9419702401466,4.35861715703853 51.941399739099,4.36615304560892 51.9398910831972,4.37306723558793 51.9375023417991,4.37909376240054 51.9343254450433,4.38400095718887 51.9304826308581,4.38760036070947 51.9261217243091,4.38975394706045 51.9214104342324,4.39037938252852 51.9165298897665)))', 'NLVLA', 'Vlaardingen', 'Y'),('SRID=4326;MULTIPOLYGON(((3.62297543603807 51.449794411413,3.62214109653212 51.4449255687292,3.61980308693861 51.4402519529154,3.61605165194872 51.4359530815932,3.611031216798 51.4321940309759,3.60493479771666 51.4291191114204,3.59799657182329 51.4268463441458,3.59048289386604 51.4254629479607,3.58268210256675 51.4250220060742,3.57489350188578 51.4255404382695,3.56741593125543 51.4269983545357,3.56053635306613 51.429339814413,3.55451888511694 51.4324749636317,3.54959469036839 51.4362834679174,3.54595310649627 51.4406191149179,3.54373435412331 51.4453154108063,3.54302410627606 51.4501919598661,3.54385013408927 51.4550613847405,3.54618116704686 51.459736523282,3.54992802258665 51.4640376260477,3.55494697265355 51.4677992771077,3.56104522710943 51.4708767702113,3.56798832941809 51.47315169234,3.57550918244191 51.4745364966277,3.58331835511952 51.4749778854943,3.59111526750013 51.4744588711075,3.59859981476905 51.4729994321121,3.60548397240528 51.4706557407898,3.61150292543115 51.4675179911278,3.61642528479824 51.4637069132947,3.62006199225244 51.4593691114418,3.622273569562 51.4546714074522,3.62297543603807 51.449794411413)))', 'NLVLI', 'Vlissingen', 'Y'),('SRID=4326;MULTIPOLYGON(((3.94004509614531 51.5326859690341,3.93917537772768 51.5278196474508,3.93680068719841 51.523152621685,3.93301267757045 51.5188641541065,3.92795717617651 51.5151189196014,3.92182854176339 51.5120606967775,3.91486218356329 51.5098068652392,3.90732553158264 51.5084439169667,3.8995078025126 51.5080241509267,3.89170894799892 51.5085636751481,3.88422820047423 51.5100417912404,3.87735264570097 51.5124017844757,3.8713462502864 51.515553089877,3.86643975672649 51.5193747531053,3.86282182835242 51.5237200560917,3.86063178258041 51.5284221330782,3.85995419418673 51.533300364626,3.86081558246613 51.5381673066984,3.8631833190841 51.5428358903809,3.86696680969712 51.5471266161254,3.87202091495224 51.5508744652607,3.87815148865373 51.5539352611254,3.8851228263318 51.5561912323928,3.8926667399002 51.5575555613281,3.9004929071561 51.5579757387707,3.90830009181492 51.5574355940594,3.91578779325342 51.5559559200488,3.92266786703828 51.5535936686461,3.92867565858442 51.550439748614,3.93358021284906 51.5466155123456,3.93719316174264 51.5422680696317,3.93937594593026 51.5375646119839,3.94004509614531 51.5326859690341)))', 'NLWHD', 'Wilhelminadorp', 'Y'),('SRID=4326;MULTIPOLYGON(((5.07430363404899 52.9322859243333,5.07327726396785 52.9274309951366,5.070703670332 52.9227903004267,5.06668217078945 52.9185420798518,5.06136756905976 52.9148494509783,5.05496416655748 52.9118541619616,5.04771790157772 52.9096711681933,5.03990691954346 52.9083842377055,5.03183093339483 52.9080427507167,5.02379977549216 52.9086598134809,5.01612157040956 52.9102117571832,5.00909097109418 52.9126390407553,5.00297789877209 52.9158485239365,4.99801720972532 52.9197170255097,4.99439967999647 52.9240960331637,4.99226465290125 52.9288173876121,4.99169463505033 52.9336997260459,4.99271205596448 52.938555440168,4.99527832637541 52.943197883201,4.99929524352922 52.9474485493308,5.00460870133445 52.9511439486776,5.01101457253055 52.9541419113068,5.01826654298784 52.9563270747933,5.02608559867659 52.9576153407846,5.03417079751498 52.9579571257436,5.04221090459233 52.957339278053,5.04989643290213 52.9557855860258,5.05693161460179 52.9533558568973,5.06304583083974 52.9501436032422,5.06800405118499 52.9462724280575,5.07161587543402 52.9418912506871,5.07374282887923 52.9371685607368,5.07430363404899 52.9322859243333)))', 'NLWRG', 'Wieringen/Den Oever', 'Y'),('SRID=4326;MULTIPOLYGON(((4.07291243825905 51.3826413392673,4.07203169944232 51.3777759476775,4.06965151095528 51.3731115291258,4.0658637323446 51.3688272455293,4.06081417789435 51.3650876111985,4.05469697485487 51.3620361901807,4.04774709185869 51.3597901016811,4.04023132633715 51.3584355412988,4.03243809465485 51.3580244868475,4.02466641078157 51.3585727125926,4.01721446759038 51.3600591864416,4.01036824865325 51.362426872744,4.0043905973923 51.3655849106736,3.99951115465276 51.3694120865156,3.99591754553286 51.3737614693654,3.99374815233091 51.378466035498,3.993086753837 51.3833450686266,3.99395924343163 51.3882110928893,3.99633256156031 51.3928770739469,4.00011589462565 51.3971636120052,4.00516410513828 51.4009058495328,4.01128327045171 51.4039598261692,4.01823812319649 51.4062080336394,4.0257611093426 51.4075639537499,4.03356271325008 51.4079754016803,4.04134264635224 51.4074265432616,4.04880145990419 51.4059385069052,4.05565212438332 51.4035685661395,4.06163111957474 51.4004079250127,4.06650860003355 51.3965781935527,4.07009723940245 51.3922266917339,4.07225941198318 51.3875207658746,4.07291243825905 51.3826413392673)))', 'NLWSO', 'Walsoorden', 'Y'),('SRID=4326;MULTIPOLYGON(((6.2028090777086 62.4730894691881,6.20223005225838 62.468209908661,6.19960616658381 62.4634763648399,6.19503913414438 62.4590706392618,6.18870509543746 62.4551618656569,6.18084775324199 62.4519000370237,6.17176896365138 62.4494102747894,6.1618171509723 62.4477880552275,6.15137398931607 62.4470955713116,6.14083985183413 62.4473593651331,6.13061856907909 62.4485693184748,6.12110206036164 62.4506790387335,6.11265540597439 62.4536076258022,6.10560291374244 62.4572427544192,6.10021570071917 62.4614449575529,6.09670126040439 62.4660529512419,6.09519541840569 62.4708898015412,6.09575699625972 62.4757697013148,6.09836540608112 62.4805050999169,6.10292129046523 62.4849139134376,6.10925020610633 62.4888265380364,6.11710923017111 62.4920923944364,6.12619625052302 62.4945857480193,6.1361615898001 62.4962105757605,6.14662151458784 62.4969042876138,6.15717309969468 62.4966401545448,6.16740985831908 62.4954283464184,6.17693751508599 62.4933155382126,6.18538929251462 62.4903831001475,6.19244010284854 62.4867439437645,6.19781908509435 62.482538149286,6.20131999881697 62.4779275474221,6.2028090777086 62.4730894691881)))', 'NOAES', 'Ålesund', 'Y'),('SRID=4326;MULTIPOLYGON(((21.2686442677517 64.8789057301701,21.267469082922 64.8740448276705,21.2640866026054 64.869374729354,21.2586278094863 64.8650747604494,21.2513031417139 64.8613099526987,21.2423943060283 64.8582247348158,21.2322434183689 64.8559374202937,21.2212398942171 64.8545356986055,21.2098055866464 64.8540732973274,21.1983787275454 64.8545679386216,21.1873972660114 64.8560006654105,21.1772822170892 64.8583165620452,21.1684216337141 64.8614268429574,21.1611557948948 64.8652122323092,21.1557641640146 64.86952750965,21.1524546130061 64.8742070526539,21.1513553318434 64.8790711697041,21.1525097496097 64.8839329838696,21.1558746854096 64.8886056070187,21.1613218275487 64.8929093295409,21.1686425116377 64.8966785482411,21.1775556374246 64.8997681628788,21.1877184358495 64.9020591905946,21.1987396781281 64.9034633766138,21.2101948137593 64.9039266181873,21.2216424399625 64.9034310652248,21.2326414460289 64.9019958135978,21.2427681459142 64.8996761633401,21.2516327129335 64.8965614714763,21.2588942616127 64.8927716853719,21.2642739817118 64.888452694843,21.2675658146102 64.8837706875134,21.2686442677517 64.8789057301701)))', 'SELAP', 'Lappviken', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3446087207826 69.9680573659158,23.3426692208575 69.9632199240964,23.3380161919079 69.9586050692346,23.3308299506838 69.9543899420451,23.3213875919642 69.9507362396651,23.3100521993105 69.9477840455407,23.2972588595855 69.9456464956821,23.2834980233008 69.9444054787406,23.2692968378478 69.9441085279203,23.2551991435022 69.9447670183054,23.2417448625589 69.9463557352605,23.2294495301108 69.948813829658,23.2187847108706 69.9520471252957,23.2101600200265 69.9559316945041,23.2039074173107 69.9603185711077,23.2002683722462 69.9650394271174,23.1993844052727 69.9699130022885,23.2012913951667 69.9747520454372,23.2059179099142 69.9793705045203,23.2130876693068 69.9835906901155,23.2225260877867 69.9872501349914,23.2338706816804 69.9902078814594,23.2466849633388 69.9923499482141,23.2604752940365 69.9935937589455,23.274710036113 69.9938913551178,23.2888402405789 69.9932312633974,23.3023210357489 69.9916389422098,23.314632849974 69.9891757893967,23.3253016093523 69.9859367512604,23.3339170988673 69.9820466297144,23.340148759625 69.9776552362259,23.3437583103311 69.9729315864363,23.3446087207826 69.9680573659158)))', 'NOALF', 'ALTA', 'Y'),('SRID=4326;MULTIPOLYGON(((5.21992748922663 60.1051717598289,5.21864104104263 60.100325168537,5.21548631957737 60.0956969491435,5.21058521714345 60.0914648307985,5.20412648974778 60.0877912686778,5.19635844133306 60.0848172287437,5.18757936686721 60.0826568019694,5.17812612369142 60.0813928502213,5.16836126500335 60.0810738465313,5.15865921796848 60.0817120274656,5.14939202083963 60.0832829263013,5.1409151481118 60.0857263044355,5.13355394992242 60.0889484465691,5.12759121165179 60.0928257344469,5.12325630226634 60.0972093660083,5.1207163259821 60.1019310433567,5.12006962232262 60.1068094155829,5.12134187615174 60.1116570326249,5.12448500395974 60.1162875452853,5.12937887846212 60.1205228752854,5.13583584404136 60.1242000785048,5.14360786497977 60.1271776346571,5.15239604153265 60.1293409174565,5.16186213064967 60.1306066302318,5.17164162345274 60.13092603185,5.18135786486059 60.1302868251637,5.19063665565187 60.1287136330578,5.19912075630046 60.1262670432655,5.20648371628583 60.1230412600323,5.21244248201467 60.1191604559379,5.21676828930793 60.1147739683549,5.21929541966172 60.1100505299825,5.21992748922663 60.1051717598289)))', 'NOASV', 'AUSTEVOLL', 'Y'),('SRID=4326;MULTIPOLYGON(((5.37235779546486 60.3901118715552,5.37103656986095 60.3852671618098,5.3678319013519 60.3806430551167,5.36286761228672 60.3764171200872,5.35633489126768 60.3727515715477,5.34848488325373 60.3697870649527,5.33961902386123 60.367637322928,5.33007749139206 60.3663847956094,5.32022621484127 60.3660775169082,5.3104429248741 60.3667272737663,5.30110276664606 60.3683091564667,5.29256400786967 60.370762506784,5.28515437248903 60.3739932289174,5.27915850973489 60.3778773774403,5.27480707047835 60.3822658886357,5.27226780827954 60.3869902782175,5.27163905235284 60.3918690911439,5.27294581539275 60.3967148594619,5.27613870301826 60.4013413031573,5.28109568641197 60.4055704978318,5.28762668919633 60.4092397324084,5.29548082800268 60.412207790267,5.30435603834298 60.4143604081338,5.31391071831946 60.4156146980512,5.32377693734577 60.4159223577677,5.33357468989563 60.4152715423349,5.34292662901235 60.4136873226288,5.35147269344881 60.4112307126634,5.35888404704284 60.407996304492,5.3648757789859 60.4041086047074,5.36921786728948 60.3997172176735,5.3717439819924 60.3949910654959,5.37235779546486 60.3901118715552)))', 'NOBGO', 'BERGEN', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6108049105497 68.7983609970766,16.6091313394069 68.7935148982983,16.6048798508307 68.7888800322705,16.5982151926604 68.7846343276274,16.5893943514738 68.7809406779854,16.5787565456571 68.7779407225975,16.5667101539681 68.7757494496886,16.5537170870399 68.7744508228156,16.5402751923534 68.7740945914805,16.5268993451631 68.7746944029312,16.5141019183341 68.7762272841479,16.502373342943 68.7786345129524,16.492163468813 68.7818238465323,16.4838644098841 68.7856730259814,16.4777955134456 68.7900344282695,16.4741910248968 68.7947406938837,16.4731909313479 68.799611120774,16.474835359124 68.8044585846154,16.4790627741618 68.8090967231365,16.4857120935951 68.8133471094979,16.4945286660383 68.8170461373358,16.505173923 68.820051348616,16.517238351369 68.822246954951,16.5302572945963 68.8235483330567,16.5437289657603 68.8239053145792,16.5571339563906 68.8233041380607,16.5699554567816 68.8217679843413,16.5816993708699 68.8193560738099,16.5919135136635 68.8161613620315,16.6002051213741 68.8123069266946,16.606255981109 68.8079411909899,16.6098345933985 68.8032321741515,16.6108049105497 68.7983609970766)))', 'NOHRD', 'HARSTAD', 'Y'),('SRID=4326;MULTIPOLYGON(((5.30070756710041 59.27714818156,5.29944369955594 59.272301690366,5.29635752250263 59.2676744627832,5.2915682557352 59.2634441934739,5.2852603324636 59.2597732721238,5.2776762534578 59.256802569872,5.26910725432225 59.2546460561675,5.25988214652475 59.2533864482982,5.25035475594112 59.2530720563409,5.24089043031336 59.2537149411886,5.23185211825807 59.2552904542427,5.22358653677434 59.2577381759798,5.21641094135541 59.2609642186318,5.21060099283234 59.2648448073959,5.20638017826796 59.2692310066098,5.20391119019837 59.2739544138826,5.20328960032454 59.2788336078199,5.20454008194757 59.2836811052045,5.20761534219435 59.2883105625315,5.21239782325402 59.2925439456811,5.21870412498123 59.2962183909143,5.22629199347542 59.2991924906127,5.23486961622041 59.3013517580967,5.24410686888299 59.3026130568395,5.25364807663963 59.3029278193438,5.26312578820501 59.302283928304,5.27217501707137 59.3007061855024,5.2804473842531 59.2982553499223,5.28762460119808 59.2950257833864,5.29343076021658 59.2911417971774,5.297642951167 59.2867528441872,5.30009979438126 59.2820277460436,5.30070756710041 59.27714818156)))', 'NOKMY', 'KARMOY', 'Y'),('SRID=4326;MULTIPOLYGON(((5.16688961715502 61.9351781306946,5.16552911376202 61.9303325864634,5.16218948402819 61.9257051530546,5.15699982088326 61.9214735198217,5.15016002940976 61.9178001093848,5.1419330735937 61.9148258657612,5.13263485366722 61.9126648718815,5.12262210553555 61.911399998188,5.11227878127077 61.9110797445818,5.10200142044259 61.9117163930545,5.09218405531817 61.9132855395151,5.08320320823494 61.9157270222261,5.07540353653651 61.918947212591,5.06908465937938 61.9228225834618,5.06448966171834 61.9272044223442,5.06179571440745 61.9319245135088,5.06110717657565 61.9368015756344,5.06245145876413 61.9416482116725,5.06577782494409 61.9462781064123,5.07095920144019 61.9505131957861,5.07779694474006 61.9541905310084,5.08602840267925 61.9571685705491,5.09533698962326 61.9593326535832,5.10536439138386 61.9605994393717,5.11572442500382 61.9609201369136,5.12601800705986 61.9602823966319,5.13584863574488 61.9587107888362,5.14483776946311 61.9562658499806,5.15263948930889 61.9530417348292,5.15895386431954 61.9491625680435,5.16353849495632 61.9447776400109,5.16621778865211 61.9400556367549,5.16688961715502 61.9351781306946)))', 'NOMAY', 'MALOEY', 'Y'),('SRID=4326;MULTIPOLYGON(((-79.5417372507153 8.94990137965855,-79.5422421712592 8.94500278814329,-79.5436984682583 8.94029625796856,-79.5460501487207 8.9359626428333,-79.5492068229694 8.93216846211789,-79.553047180663 8.92905950453492,-79.5574236528312 8.92675522851362,-79.5621680807509 8.92534417406045,-79.5670981741379 8.92488056202811,-79.5720245110855 8.92538221121211,-79.5767578115584 8.92682985320674,-79.581116205813 8.9291678714097,-79.5849322192523 8.93230643599731,-79.588059205939 8.93612495317575,-79.5903769839028 8.94047669658381,-79.5917964557164 8.94519444330846,-79.5922630364706 8.95009689831637,-79.5917587568103 8.95499566069666,-79.5903029594052 8.95970246413586,-79.5879515611885 8.96403641333302,-79.5847949088679 8.96783093804984,-79.5809543094464 8.97094019720268,-79.5765773686951 8.97324468645099,-79.5718323166746 8.97465583332644,-79.5669015386829 8.97511940290583,-79.5619745608516 8.97461758285674,-79.5572407607847 8.97316966759753,-79.5528820842843 8.97083131533262,-79.5490660489171 8.96769240674357,-79.5459393039585 8.96387358799532,-79.5436219945779 8.95952163136034,-79.5422031468649 8.95480379221349,-79.5417372507153 8.94990137965855)))', 'PABLB', 'Balboa', 'Y'),('SRID=4326;MULTIPOLYGON(((79.9252933580719 9.33407733639347,79.9248223676584 9.32917474001277,79.9233974955717 9.32445760892855,79.9210735348867 9.32010721286146,79.9179398203818 9.31629072145869,79.9141167914803 9.31315478213583,79.9097513619476 9.31081988726212,79.905011274561 9.30937574673688,79.9000786576221 9.30887784333131,79.8951430305102 9.30934530274526,79.8903940263669 9.31076015989774,79.8860141107011 9.31306804945397,79.8821715748135 9.31618029402965,79.879014072473 9.31997730997466,79.8766629476154 9.32431320015786,79.8752085707476 9.32902135766712,79.8747068633318 9.33392086553808,79.8751771441212 9.33882344701268,79.8766013809111 9.3435406995843,79.8789248773446 9.34789133503691,79.8820583693216 9.3517081472791,79.8858814512965 9.35484444005036,79.890247201424 9.35717966717217,79.8949878281194 9.35862406816341,79.8999211209759 9.35912212059927,79.9048574577121 9.35865467609139,79.9096070971523 9.35723969745145,79.9139874770696 9.3549315685096,79.9178302354849 9.35181900309446,79.9209876847518 9.34802163370106,79.9233384890144 9.34368541126984,79.9247923265735 9.33897699329467,79.9252933580719 9.33407733639347)))', 'PAONX', 'Colon', 'Y'),('SRID=4326;MULTIPOLYGON(((-79.5077364621203 8.96689887061008,-79.5082418911598 8.96200040717324,-79.5096987069856 8.95729409648165,-79.512050896691 8.95296078365832,-79.5152080511148 8.94916697635568,-79.5190488415978 8.9460584488738,-79.5234256827016 8.94375464310826,-79.5281704016926 8.94234408104683,-79.5331006972467 8.94188096472291,-79.53802713979 8.94238309401958,-79.5427604452719 8.94383118223153,-79.5471187437331 8.94616959574989,-79.5509345641719 8.94930848966957,-79.5540612679332 8.95312725760319,-79.5563786837555 8.95747916355833,-79.557797727961 8.96219697832243,-79.5582638319269 8.9670994041444,-79.5577590445192 8.97199804109758,-79.5563027278771 8.97670462753769,-79.5539508189111 8.98103827636154,-79.5507936840426 8.98483242876367,-79.5469526489534 8.98794125790575,-79.5425753363211 8.99024527596716,-79.5378299906651 8.99165592863998,-79.5328990087136 8.99211900009604,-79.5279719245384 8.99161669728297,-79.5232381198728 8.99016833332241,-79.5188795406723 8.98782958380346,-79.5150637006784 8.98469034478428,-79.5119372415235 8.98087127519052,-79.5096202972298 8.9765191569396,-79.5082018796892 8.97180125156418,-79.5077364621203 8.96689887061008)))', 'PAPTY', 'Panama City', 'Y'),('SRID=4326;MULTIPOLYGON(((-79.4747482759125 8.79989852525206,-79.4752535331964 8.79500009916838,-79.4767097302844 8.79029383700464,-79.4790608787444 8.78596058210108,-79.4822166099574 8.78216684010342,-79.4860556502355 8.77905838312476,-79.4904304813858 8.77675465072842,-79.4951730076129 8.77534416245684,-79.5001010113123 8.77488111782202,-79.5050251502775 8.77538331415868,-79.5097562282233 8.77683146225261,-79.5141124600963 8.77916992611169,-79.5179264537849 8.78230885867731,-79.5210516405561 8.78612765175429,-79.523367907459 8.79047956800683,-79.5247862152711 8.79519737745231,-79.525252024216 8.8000997822296,-79.5247473952042 8.80499838301402,-79.5232916850484 8.80970491948375,-79.5209408080497 8.81403850653797,-79.5177850914997 8.81783258796403,-79.5139458068538 8.82094133997395,-79.5095705095076 8.82324527808856,-79.5048273662308 8.82465585144667,-79.4998986885679 8.82511884758259,-79.4949739213303 8.82461647654513,-79.4902423564523 8.82316805414513,-79.485885853118 8.82082925813532,-79.4820718447668 8.81768998614129,-79.4789469023635 8.8138708980331,-79.4766311016565 8.80951877606238,-79.4752134108941 8.80480088153045,-79.4747482759125 8.79989852525206)))', 'PATAB', 'Taboga', 'Y'),('SRID=4326;MULTIPOLYGON(((-77.1004934202789 -12.0511934148261,-77.101021649017 -12.0560875486797,-77.1025098563795 -12.0607861990492,-77.1049008897617 -12.0651087777267,-77.1081028842787 -12.0688891442358,-77.1119927898281 -12.0719819945042,-77.1164210996974 -12.074268448894,-77.1212175990284 -12.0756606242189,-77.1261979117759 -12.0761050135061,-77.1311705936942 -12.0755845432369,-77.135944497623 -12.0741192288513,-77.1403361267715 -12.0717654034195,-77.1441766922505 -12.0686135494498,-77.1473186027411 -12.06478481767,-77.1496411364138 -12.0604263671839,-77.1510550771264 -12.0557057067053,-77.1515061372094 -12.0508042548729,-77.150977036187 -12.0459103674876,-77.149488156703 -12.0412120997695,-77.1470967536865 -12.0368899816713,-77.1438947482958 -12.0331100835504,-77.1400051922888 -12.0300176381712,-77.1355775391636 -12.027731463531,-77.1307819037947 -12.0263394002265,-77.1258025306973 -12.0258949381765,-77.1208307210635 -12.0264151619774,-77.1160574892561 -12.0278800937114,-77.1116662297419 -12.0302334585639,-77.1078256751362 -12.0333848441454,-77.1046834151029 -12.037213171036,-77.1023602246861 -12.0415713417727,-77.1009454200115 -12.046291890231,-77.1004934202789 -12.0511934148261)))', 'PECLL', 'Callao', 'Y'),('SRID=4326;MULTIPOLYGON(((-71.3208318819889 -17.647309998195,-71.3213974490354 -17.6521987967146,-71.3229470145486 -17.6568878535948,-71.3254210898787 -17.66119694141,-71.3287246325644 -17.6649604271483,-71.3327306934216 -17.6680336430555,-71.3372852944764 -17.6702984520999,-71.3422133503955 -17.6716677932696,-71.3473254052296 -17.6720890312078,-71.3524249243146 -17.6715459808543,-71.3573158593914 -17.6700595289955,-71.3618101943221 -17.6676868289006,-71.3657351796353 -17.6645190994062,-71.368939976476 -17.6606781137281,-71.3713014538304 -17.6563115138065,-71.3727289161612 -17.6515871311698,-71.3731675804253 -17.6466865333772,-71.372600670137 -17.6417980446384,-71.3710500477191 -17.6371095090991,-71.3685753627257 -17.6328010748157,-71.3652717504338 -17.6290382753056,-71.3612661706246 -17.6259656738513,-71.3567125280367 -17.6237013139394,-71.3517857620856 -17.6223321882054,-71.3466751323348 -17.621910899208,-71.3415769564919 -17.6224536397807,-71.3366870783198 -17.6239395702983,-71.3321933530521 -17.6263116168614,-71.3282684373446 -17.6294786601273,-71.3250631594556 -17.6333190313527,-71.3227007236342 -17.637685182142,-71.3212719713356 -17.6424093493431,-71.3208318819889 -17.647309998195)))', 'PEILQ', 'Ilo', 'Y'),('SRID=4326;MULTIPOLYGON(((-76.1773130417988 -13.7101236579536,-76.1778310358093 -13.7150207893067,-76.1793163316907 -13.7197250120965,-76.1817118976776 -13.7240555252302,-76.1849257025822 -13.7278458824536,-76.188834248046 -13.7309503929057,-76.193287313519 -13.7332497244465,-76.1981137317774 -13.7346554937359,-76.203127972636 -13.7351136660212,-76.2081372809545 -13.7346066334783,-76.2129490933747 -13.7331538919557,-76.2173784473485 -13.7308112900978,-76.2212550963635 -13.7276688799611,-76.2244300568263 -13.7238474522057,-76.2267813343396 -13.719493889654,-76.2282186091801 -13.7147755184706,-76.2286867013365 -13.7098736746873,-76.2281676828555 -13.7049767337968,-76.2266815575751 -13.7002728715487,-76.2242854835291 -13.6959428341467,-76.2210715692527 -13.6921529954192,-76.2171633297554 -13.6890489672909,-76.2127109390067 -13.6867500084723,-76.2078854615096 -13.68534444556,-76.202872284227 -13.6848862818876,-76.1978640003792 -13.6853931239678,-76.1930530173582 -13.6868455049487,-76.1886241714433 -13.6891876310747,-76.1847476317997 -13.6923295227155,-76.1815723653701 -13.6961504681472,-76.1792204131325 -13.7005036579768,-76.1777821975308 -13.7052218227832,-76.1773130417988 -13.7101236579536)))', 'PEPIO', 'Pisco', 'Y'),('SRID=4326;MULTIPOLYGON(((-149.473851667835 -17.5303281924092,-149.474420516826 -17.5352161484435,-149.475972478929 -17.5399036949149,-149.478447972434 -17.5442106620434,-149.481751899397 -17.5479714981817,-149.485757295005 -17.551041637553,-149.490310206244 -17.5533030617727,-149.495235612463 -17.5546688405237,-149.500344159666 -17.5550864760736,-149.505439448485 -17.5545399225185,-149.510325594013 -17.5530502018752,-149.514814765134 -17.5506745934288,-149.518734411801 -17.5475044279138,-149.521933901182 -17.5436615720058,-149.524290306829 -17.5392937390988,-149.525713128365 -17.5345688074865,-149.526147760959 -17.5296683651023,-149.525577582563 -17.5247807294657,-149.524024580404 -17.5200937113343,-149.52154849453 -17.5157874000535,-149.518244513069 -17.5120272474234,-149.514239609129 -17.5089577151631,-149.509687660874 -17.5066967292299,-149.50476354235 -17.5053311532159,-149.49965641151 -17.5049134539883,-149.494562452097 -17.5054596871455,-149.489677346624 -17.5069488794485,-149.485188767873 -17.5093238320472,-149.481269175703 -17.5124933140538,-149.478069194653 -17.516335562851,-149.475711826021 -17.5207029574717,-149.474287716792 -17.5254276863473,-149.473851667835 -17.5303281924092)))', 'PFPPT', 'Papeete', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((123.325424693173 10.9499739529328,123.324930823342 10.9450730379365,123.323478926072 10.9403614957861,123.321124835648 10.9360203744464,123.317959043591 10.9322164808758,123.314103217326 10.9290959737595,123.309705523398 10.926778750177,123.304934935163 10.9253538413957,123.299974743425 10.9248759942208,123.29501551878 10.9253635688632,123.290247795193 10.9267978338467,123.285854754899 10.9291236849794,123.282005194689 10.9322517608901,123.27884704299 10.9360618741436,123.276501676289 10.940407626528,123.275059253137 10.945122031669,123.274575245252 10.9500239294119,123.275068299679 10.9549249458969,123.276519515057 10.959636732136,123.278873160913 10.9639782030043,123.282038813407 10.9677824983308,123.285894826362 10.9709033982666,123.29029300481 10.973220945929,123.295064301633 10.9746460607124,123.30002531815 10.9751239644496,123.304985358199 10.9746362883185,123.309753763679 10.9732017792461,123.31414724854 10.9708755785847,123.317996948313 10.9677471009181,123.321154913322 10.9639365948451,123.323499795502 10.9595905183809,123.324941510067 10.954875907238,123.325424693173 10.9499739529328)))', 'PHCAZ', 'Cadiz', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5461251423029 54.7558806265122,18.5455910050925 54.7509978337347,18.5434205733104 54.7462691102911,18.5396977721802 54.7418760995236,18.5345660356576 54.7379874921592,18.528222738411 54.7347525634552,18.5209115859199 54.7322954612376,18.5129132588595 54.7307104606024,18.5045346697603 54.7300583637501,18.4960972382466 54.7303641798599,18.4879246248557 54.7316161716729,18.4803303818262 54.7337663042616,18.4736059819681 54.7367320790864,18.4680096737608 54.7403996846556,18.4637565824256 54.7446283456909,18.4610104334872 54.749255707385,18.4598772182386 54.7541040517304,18.4604010509633 54.7589871105118,18.4625623876504 54.7637172156824,18.466278687721 54.7681125135451,18.4714075069472 54.7720039651838,18.4777519147946 54.7752418623264,18.485068036707 54.7777016052289,18.4930744354612 54.7792885167748,18.5014629696839 54.7799415038441,18.509910705694 54.7796354217298,18.5180924141856 54.7783820481879,18.5256931582723 54.776229628502,18.5324204754176 54.7732610094017,18.5380156730135 54.7695904353944,18.5422637949216 54.765359133676,18.5450018721687 54.7607298610734,18.5461251423029 54.7558806265122)))', 'PLCHL', 'Chałupy', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4151740086417 54.8059277531819,18.4146552076391 54.8010445852629,18.4124976394724 54.7963136912872,18.4087847379473 54.7919167986852,18.4036595598694 54.7880227477044,18.3973192310189 54.7847810227568,18.3900073453356 54.782316032426,18.3820046132056 54.7807223542112,18.373618116747 54.7800611228526,18.3651695784857 54.7803576975679,18.3569830836825 54.7816006953344,18.349372715118 54.7837424261839,18.3426305620166 54.7867007141052,18.3370155519537 54.7903620353614,18.3327435263099 54.7945858565929,18.3299789366975 54.7992100097145,18.3288284827593 54.8040569009576,18.329336942218 54.8089403189465,18.3314853639511 54.813672582738,18.3351917066132 54.8180717563599,18.3403139119268 54.8219686523007,18.34665530669 54.8252133530293,18.3539721346898 54.8276809969262,18.3619829331184 54.8292766025104,18.3703793918366 54.8299387416169,18.3788382716525 54.8296419168312,18.3870339128952 54.8283975492471,18.3946508403203 54.8262535373754,18.4013959661768 54.823292404493,18.4070099103163 54.8196281074563,18.4112769936377 54.8154016326606,18.4140335169538 54.8107755521717,18.4151740086417 54.8059277531819)))', 'PLCHP', 'Chłapowo', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0276313255085 54.2516441225825,16.0266912236729 54.246780988467,16.0241495611091 54.2421186583322,16.0201044755527 54.2378362045565,16.0147117170143 54.2340980573575,16.0081786169845 54.2310477074638,16.0007561071561 54.2288022168125,15.992729096396 54.2274477444308,15.9844055726782 54.2270362557268,15.9761048410594 54.2275835385706,15.9681453385182 54.2290686004307,15.9608324809711 54.2314344691488,15.9544469967194 54.2345903674829,15.9492341839876 54.2384151800974,15.9453944984172 54.2427620830277,15.9430758300399 54.2474641614887,15.9423677694465 54.2523408038696,15.9432980911192 54.2572046293114,15.945831600244 54.2618686846715,15.9498714003716 54.2661536349219,15.9552625461512 54.2698946697798,15.9617979516222 54.2729478588968,15.9692263341111 54.2751957080897,15.9772618906927 54.2765516992642,15.9855953323678 54.2769636357894,15.9939058441588 54.2764156616183,16.0018735001424 54.274928874531,16.0091916431136 54.2725605093363,16.0155787401144 54.2694017233426,16.0207892473958 54.2655740715057,16.0246230603023 54.2612248100359,16.0269331828628 54.2565212127839,16.0276313255085 54.2516441225825)))', 'PLCPY', 'Chłopy', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4228200377812 54.4395032718762,16.4218286058613 54.4346437159777,16.4192303596483 54.4299902380286,16.4151256118947 54.4257215672525,16.4096724019059 54.4220016017307,16.4030803773038 54.4189731318982,16.3956027248054 54.4167523783923,16.3875264619659 54.4154245503346,16.3791614596574 54.4150405910144,16.3708286091769 54.415615232975,16.3628475773046 54.4171264353081,16.355524606744 54.4195162242598,16.3491408178841 54.4226929058121,16.3439414507489 54.4265345675308,16.3401264536747 54.4308937384194,16.3378427783516 54.4356030315209,16.3371786804688 54.440481556166,16.3381602528437 54.4453418565491,16.3407503356708 54.449997111969,16.3448498589982 54.4542683225988,16.3503015788932 54.4579912036877,16.3568960745894 54.4610225209324,16.3643797831699 54.4632456202026,16.3724647650969 54.4645749352549,16.3808398220949 54.4649592964182,16.3891825321296 54.4643839099721,16.397171727391 54.4628709301662,16.4044999223728 54.460478601359,16.4108852013165 54.4572990042389,16.4160820973484 54.453454495109,16.4198910383373 54.449092978458,16.4221659945779 54.4443821983638,16.4228200377812 54.4395032718762)))', 'PLDAR', 'Darłowo', 'Y'),('SRID=4326;MULTIPOLYGON(((18.1801954923153 54.8340116763042,18.1797048517752 54.8291278611456,18.1775735249201 54.824393121286,18.1738839403799 54.8199893333633,18.1687782633926 54.8160856035408,18.1624528753573 54.8128317884946,18.1551508008602 54.810352761068,18.1471523771109 54.8087436372284,18.1387645229834 54.8080661438475,18.1303090136135 54.8083462634006,18.1221102006382 54.809573243553,18.1144826369746 54.8117000084718,18.1077190681682 54.8146449563425,18.1020792397577 54.8182950757629,18.0977799420583 54.8225102642051,18.0949866708547 54.8271286863037,18.0938072256629 54.8319729699646,18.0942874978714 54.836857005705,18.0964096210892 54.8415930905209,18.1000925678555 54.8459991430173,18.1051951834735 54.8499057122707,18.111521552612 54.8531625093276,18.118828501323 54.8556442073606,18.1268349503433 54.8572552838261,18.1352327590237 54.8579337145824,18.1436986367359 54.8576533744471,18.1519066533545 54.8564250493367,18.1595408547899 54.854296019842,18.1663074849564 54.8513482325391,18.171946332253 54.8476951311085,18.1762407557324 54.8434772720617,18.1790260016673 54.8388568973394,18.1801954923153 54.8340116763042)))', 'PLDEK', 'Dębki', 'Y'),('SRID=4326;MULTIPOLYGON(((16.3497536880064 54.374529530634,16.3487725775287 54.3696692668592,16.3461867999062 54.3650140991078,16.3420961877824 54.3607428222006,16.3366582373455 54.3570194349848,16.3300820109468 54.3539868598642,16.3226200901956 54.3517614755041,16.3145588906508 54.3504286690009,16.3062077070444 54.3500395747238,16.2978869021153 54.3506091220942,16.2899156816022 54.3521154653839,16.282599912119 54.3545008169111,16.2762204372242 54.3576736525719,16.2710223300231 54.3615122072516,16.2672054884309 54.3658691290893,16.2649169324562 54.3705771175422,16.2642451026095 54.3754553323156,16.265216386347 54.3803163299671,16.2677940173769 54.3849732636029,16.2718794033 54.3892470695628,16.2773158435708 54.3929733639747,16.2838945057492 54.3960087818407,16.2913624374027 54.3982365117129,16.2994323078674 54.3995708094116,16.3077935023416 54.3999603135463,16.3161241340203 54.3993900322982,16.324103501129 54.3978819231221,16.3314244968081 54.3954940425404,16.3378054818591 54.3923182996828,16.3430011532712 54.3884769022588,16.346811983958 54.384117634911,16.3490918690175 54.3794081552644,16.3497536880064 54.374529530634)))', 'PLDKI', 'Dąbki', 'Y'),('SRID=4326;MULTIPOLYGON(((15.4325392172065 54.1568547220945,15.4316711580546 54.1519868194739,15.4292022775078 54.1473118144089,15.4252279206192 54.1430092701848,15.4199011278019 54.139244391853,15.4134267068718 54.1361616987057,15.4060533470265 54.13387949525,15.3980640800953 54.1324853493944,15.3897654528201 54.1320327478968,15.3814758188152 54.1325390544801,15.3735131891642 54.1339848470298,15.3661830957143 54.1363146586693,15.3597669207094 54.1394390950345,15.3545111304755 54.1432382485439,15.3506178197426 54.1475662816496,15.3482369275299 54.1522570066861,15.3474604263685 54.1571302516251,15.3483187155132 54.1619987702626,15.3507793677083 54.1666754333857,15.3547482905917 54.170980425285,15.3600732710293 54.1747481682735,15.3665497771257 54.1778337069409,15.3739288022375 54.1801183035753,15.381926452051 54.1815140259281,15.3902349036053 54.1819671472335,15.3985343076266 54.1814602246326,15.406505165633 54.1800127740228,15.4138406930841 54.1776805147062,15.4202586804591 54.1745532136836,15.4255123855174 54.1707512146549,15.4294000309801 54.1664207883725,15.4317725403147 54.1617284868406,15.4325392172065 54.1568547220945)))', 'PLDWI', 'Dźwirzyno', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7654001076495 54.0200902057549,14.764612898609 54.015217569034,14.7622270705315 54.0105289657457,14.7583347804431 54.0062044861643,14.7530859236062 54.0024101816302,14.7466823251122 53.999291703999,14.739369966611 53.9969687328291,14.7314295494666 53.9955304007462,14.7231657545045 53.9950318890593,14.7148956039563 53.9954923212878,14.7069363621275 53.9968940334158,14.6995934270929 53.9991832481374,14.6931486660112 54.0022721278734,14.6878496314754 54.0060421297216,14.6839000659529 54.0103485365294,14.6814520564929 54.015025993671,14.6806001435021 54.0198948424924,14.6813776170133 54.0247680102399,14.6837551534701 54.0294581938753,14.6876418581695 54.0337850625313,14.6928886861748 54.0375822011529,14.699294121268 54.0407035264206,14.7066119021952 54.0430289252489,14.7145605020786 54.0444688954228,14.7228339943436 54.0449680062483,14.7311138804305 54.0445070429925,14.739081413884 54.0431037505155,14.746429934304 54.0408121467174,14.752876724208 54.037720432893,14.7581739221354 54.0339475834091,14.7621180652277 54.0296387489447,14.7645578919525 54.0249596537141,14.7654001076495 54.0200902057549)))', 'PLDZN', 'Dziwnów', 'Y'),('SRID=4326;MULTIPOLYGON(((19.7157337964388 54.3554623041567,19.7150646288369 54.3505839769826,19.7127794420902 54.3458756124621,19.7089665468445 54.3415180655295,19.7037728113686 54.3376786609345,19.6973979658071 54.3345047833534,19.6900869058746 54.3321182380414,19.6821202948588 54.3306105950087,19.6738038230411 54.3300396918418,19.6654565304205 54.3304274262604,19.6573986308393 54.3317589209403,19.6499392926024 54.3339830917377,19.6433648321107 54.337014598008,19.6379277628819 54.340737102007,19.6338371128928 54.3450077151724,19.631250379073 54.3496624641336,19.6302674300029 54.3545225702069,19.630926597879 54.3594013043956,19.6332031205509 54.3641111568116,19.6370100063987 54.3684710460024,19.6422013020304 54.372313290631,19.6485776487479 54.375490073652,19.655893922301 54.3778791474832,19.6638686656769 54.3793885571699,19.6721949505151 54.379960196168,19.6805522428715 54.3795720547341,19.6886188065324 54.3782390721568,19.6960841541641 54.3760125590993,19.7026610544906 54.3729782127944,19.7080966225536 54.3692528033561,19.7121820589173 54.3649796616733,19.7147606603801 54.3603231460601,19.7157337964388 54.3554623041567)))', 'PLFBK', 'Frombork', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5928818120148 54.5238615139859,18.5923442793628 54.5189787309609,18.5901799295403 54.5142507488371,18.5864724462762 54.5098591828929,18.5813646689167 54.5059726692678,18.5750530481584 54.5027404040624,18.5677800721429 54.5002864342209,18.5598249576247 54.498704915884,18.5514929624031 54.4980565185805,18.5431037232551 54.4983661100247,18.5349790570948 54.4996218080285,18.5274306813392 54.5017754348177,18.5207483121111 54.5047443566412,18.5151885859385 54.5084146397679,18.510965222276 54.512645404548,18.5082408010766 54.5172742139054,18.5071204727566 54.5221232930442,18.5076478486249 54.5270063447999,18.5098032401036 54.531735701237,18.5135043272892 54.5361295378508,18.518609244581 54.5400188728133,18.5249219767037 54.543254080501,18.5321998663227 54.5457106660037,18.5401629486333 54.5472940749692,18.5485047528114 54.5479433500374,18.5569041487534 54.5476334898621,18.5650377732631 54.5463764175431,18.5725925450948 54.5442205200823,18.5792777743816 54.5412487769203,18.5848363891794 54.5375755513117,18.5890548392328 54.5333421708723,18.5917712926422 54.5287114708883,18.5928818120148 54.5238615139859)))', 'PLGDN', 'Gdańsk', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8307034325895 54.3457754582569,18.830139364325 54.3408933755482,18.8279563606208 54.3361693707957,18.8242388141761 54.3317849054898,18.8191299433189 54.3279083427143,18.8128262343512 54.3246884967668,18.8055698672485 54.3222489386217,18.7976394192931 54.3206832723773,18.7893392022621 54.3200515603895,18.7809876364248 54.3203780310969,18.7729050977369 54.3216501552067,18.7654016925492 54.3238191246421,18.7587654165283 54.3268017162306,18.7532511412977 54.3304834703227,18.7490708438052 54.3347230651546,18.7463854502258 54.3393577225259,18.7452986092902 54.3442094408883,18.7458526407041 54.3490918197164,18.7480268247172 54.3538172153735,18.7517381113471 54.3582039546168,18.7568442352663 54.3620833281768,18.7631491283713 54.3653060938394,18.7704104304146 54.3677482361302,18.778348812815 54.3693157575377,18.7866587558476 54.3699483132737,18.7950203585456 54.3696215464464,18.8031117169299 54.3683480314302,18.8106213819299 54.3661767880553,18.8172604048798 54.3631913856813,18.822773495963 54.3595067118745,18.8269488585096 54.3552645328987,18.8296263176465 54.3506280203663,18.8307034325895 54.3457754582569)))', 'PLGDY', 'Gdynia', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8057099774242 54.3527843702261,18.8051488026353 54.3479022029665,18.8029683286468 54.3431777746444,18.7992528514089 54.3387925631619,18.7941455102862 54.334914960354,18.7878427333528 54.3316938204921,18.7805866652448 54.3292527642101,18.7726558720792 54.3276854530531,18.7643546790217 54.3270520124226,18.7560015437507 54.3273767370041,18.74791690223 54.3286471644352,18.7404109411562 54.3308145517069,18.7337717538635 54.333795736372,18.7282543232946 54.337476312842,18.7240707471758 54.3417150046727,18.7213820773512 54.3463490684912,18.7202920883312 54.3512005257265,18.7208432208979 54.3560829860725,18.7230148670067 54.3608088029324,18.7267240746706 54.365196287012,18.7318286590116 54.3690767004946,18.7381326116523 54.3723007612093,18.7453936089682 54.3747444038486,18.7533323344162 54.3763135731175,18.761643255212 54.3769478607337,18.7700064327151 54.3766228430652,18.7780999021209 54.3753510270946,18.7856121327661 54.3731813672237,18.7922540768318 54.3701973718827,18.7977703316832 54.3665138745605,18.8019489785887 54.3622725963744,18.8046297161334 54.3576366744458,18.8057099774242 54.3527843702261)))', 'PLGKZ', 'Górki Zachodnie', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8399753659733 54.6057746981594,18.8394074362157 54.6008928122685,18.8372102770356 54.5961690284423,18.8334688330478 54.5917847988115,18.8283272464692 54.5879084760804,18.8219832631239 54.5846888637474,18.8146806093973 54.5822495222228,18.8066996366446 54.5806840459226,18.7983465909166 54.58005248898,18.7899419137431 54.5803790735273,18.7818080130046 54.581651266176,18.7742569609377 54.5838202570794,18.7675785787125 54.5868028235584,18.7620293537626 54.5904845085006,18.7578226074112 54.5947239943874,18.7551202869196 54.5993585085668,18.7540266988693 54.6042100559212,18.754584431184 54.6090922428505,18.7567726310336 54.6138174328163,18.7605077177787 54.6182039596162,18.7656465170356 54.6220831208235,18.7719917073268 54.6253056808073,18.7792993785225 54.6277476304044,18.7872884154044 54.629314978143,18.7956513442307 54.6299473849797,18.8040662188574 54.6296204993935,18.812209078932 54.6283469006034,18.8197664882389 54.6261756125287,18.8264476577766 54.6231902075725,18.8319956757702 54.6195055749799,18.8361974046471 54.6152634810225,18.838891661012 54.6106270954069,18.8399753659733 54.6057746981594)))', 'PLHEL', 'Hel', 'Y'),('SRID=4326;MULTIPOLYGON(((16.579919492855 54.5374469533922,16.578906844533 54.5325889094469,16.5762843865981 54.5279390492889,16.5721533630919 54.5236759618445,16.5666728220735 54.5199633295307,16.5600534587729 54.516943660206,16.5525495065231 54.5147328359943,16.5444489888901 54.5134156846236,16.5360627042007 54.5130427397377,16.5277123577133 54.5136283116256,16.5197182859893 54.5151499405875,16.5123872319859 54.5175492534461,16.5060006277248 54.5207341912857,16.5008038241168 54.5245825251556,16.49699667497 54.5289465279707,16.4947258350597 54.5336586269055,16.4940790714728 54.5385378228127,16.4950818148056 54.5433966330662,16.497696094262 54.5480482929885,16.5018219108989 54.5523139396558,16.5073010093569 54.5560295010332,16.5139229140251 54.5590520233389,16.5214330046723 54.5612651901083,16.5295423232177 54.5625838169797,16.5379387314745 54.5629571456774,16.5462989829605 54.5623708074803,16.5543012331661 54.5608473787521,16.5616374940337 54.5584455066687,16.568025540845 54.5552576397649,16.5732198030761 54.5514064529149,16.5770208138224 54.5470401075443,16.5792828528253 54.5423265331106,16.579919492855 54.5374469533922)))', 'PLJAL', 'Jarosławiec', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0777048547639 54.3406880162471,19.077111537443 54.3358068592284,19.0749003662196 54.3310871034248,19.0711568135859 54.3267100455193,19.066025093162 54.3228437628753,19.0597025644194 54.3196366742979,19.0524321255736 54.3172118607602,19.0444928903743 54.315662360642,19.0361895053296 54.3150476164648,19.0278405112877 54.3153912063215,19.0197661861749 54.3166799447934,19.0122763233486 54.3188643868455,19.0056584021455 54.3218607157622,19.0001665937433 54.3255539444137,18.9960120166999 54.3298023098223,18.9933546130836 54.3344426958346,18.9922969589633 54.3392968793335,18.9928802535952 54.3441783633404,18.9950826518674 54.3488995368488,18.998820016889 54.3532788873433,19.0039490770481 54.357147988435,19.0102728778765 54.360357992236,19.0175483274974 54.3627853739566,19.025495549317 54.3643367042342,19.0338086809362 54.3649522619216,19.0421676976771 54.364608345076,19.0502507957462 54.3633181888976,19.057746846182 54.3611314542544,19.0643674276409 54.3581323068889,19.0698579639471 54.3544361630145,19.0740075302103 54.3501852294247,19.076656947209 54.3455430132551,19.0777048547639 54.3406880162471)))', 'PLJAN', 'Jantar', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7150614698503 54.6908199006544,18.7145076404855 54.6859376275854,18.7123207269948 54.6812117359188,18.708585284203 54.676823759308,18.7034452276415 54.6729421945853,18.6970982476668 54.6697160464241,18.6897881880412 54.6672691257667,18.6817956854948 54.6656953173872,18.6734274283684 54.6650549945827,18.6650044405212 54.6653727153459,18.6568498301632 54.6666362860916,18.6492764614546 54.668797227787,18.6425750092461 54.6717726269427,18.6370028442012 54.6754483021517,18.6327741669866 54.6796831674799,18.6300517668686 54.6843146287438,18.6289407228588 54.6891648091826,18.6294842959348 54.694047368735,18.631662180741 54.6987746573727,18.6353911969869 54.7031649287665,18.6405284075248 54.7070493367246,18.6468765552818 54.710278443717,18.6541916187133 54.7127279883462,18.6621921993065 54.7143036863617,18.6705703789106 54.7149448767859,18.6790036230572 54.7146268695389,18.6871672621052 54.7133619018202,18.6947470573572 54.7111986653397,18.7014513555799 54.7082204229474,18.7070223528321 54.7045417889077,18.7112460262352 54.7003042996096,18.7139603483089 54.6956709487118,18.7150614698503 54.6908199006544)))', 'PLJAT', 'Jastarnia', 'Y'),('SRID=4326;MULTIPOLYGON(((18.6327786016889 54.4238463095859,18.6322372727317 54.4189635957725,18.6300732380387 54.4142362632961,18.6263701657289 54.4098459025277,18.6212707227905 54.4059611036049,18.6149710378694 54.4027309972528,18.6077131400072 54.400279548099,18.5997756675124 54.3987008160926,18.5914632024706 54.3980553642886,18.5830946343 54.3983679476459,18.5749909891503 54.3996265692062,18.567463180109 54.4017829387886,18.5608001357836 54.4047543169278,18.5552577518315 54.40842667498,18.5510490816821 54.4126590529105,18.5483361396375 54.4172889509729,18.5472236327237 54.4221385519279,18.5477548685001 54.4270215381171,18.5499100064359 54.4317502439157,18.5536067328615 54.4361428698775,18.5587033468926 54.4400304810101,18.5650041505608 54.4432635184553,18.5722669445076 54.4457175713528,18.580212345041 54.4472981833568,18.5885345631031 54.4479445051994,18.5969132244648 54.4476316494659,18.6050257663771 54.4463716545815,18.6125599213002 54.4442130198036,18.6192257945239 54.4412388294534,18.6247670597187 54.4375635403088,18.628970833778 54.4333285586364,18.6316758477864 54.4286967805783,18.6327786016889 54.4238463095859)))', 'PLJLT', 'Jelitkowo', 'Y'),('SRID=4326;MULTIPOLYGON(((18.2511981043435 54.8339864161803,18.250698877659 54.8291027929374,18.2485591979126 54.8243692079539,18.2448618140196 54.8199674930328,18.239749189782 54.8160666743483,18.233417972144 54.8128164965562,18.2261114082324 54.8103416927754,18.2181100064656 54.8087372169065,18.2097207992155 54.8080646176023,18.2012656131866 54.8083496897551,18.1930687877383 54.8095814912173,18.1854448001141 54.8117127613292,18.1786862595904 54.8146617254701,18.1730527199027 54.8183152180427,18.1687607311831 54.8225330068389,18.165975509657 54.8271531563189,18.1648045464469 54.8319982276065,18.1652934074201 54.8368820804567,18.1674238959793 54.8416170183801,18.1711146624827 54.8460210036012,18.1762242505666 54.8499246643138,18.1825564755153 54.8531778231893,18.1898679368508 54.8556552932658,18.1978773805674 54.8572617147228,18.2062765499787 54.8579352427092,18.2147421017297 54.8576499409487,18.2229481183711 54.8564167865448,18.2305787233826 54.8542832461307,18.2373403000509 54.8513314399606,18.242972832417 54.847674966305,18.2472599237068 54.8434545112149,18.2500371032854 54.8388324161489,18.2511981043435 54.8339864161803)))', 'PLKAR', 'Karwia', 'Y'),('SRID=4326;MULTIPOLYGON(((19.2677042126219 54.3356207432603,19.2670884254383 54.3307403591597,19.2648556818293 54.3260239306357,19.2610922811896 54.3216526253434,19.2559431966842 54.3177942987762,19.249606451271 54.3145970636751,19.2423254856743 54.3121836225644,19.2343798149086 54.3106465775012,19.226074330578 54.3100448934693,19.2177276533758 54.3104016479929,19.2096599728795 54.3117031510884,19.202180829195 54.3138994683464,19.1955772929194 54.316906327496,19.1901029862262 54.3206083370563,19.1859683589258 54.3248633963932,19.1833325897124 54.3295081313986,19.1822974254906 54.3343641507234,19.1829032020854 54.3392448855128,19.1851272097371 54.3439627522029,19.1888844790203 54.348336364191,19.1940309702139 54.3521975148108,19.2003690551704 54.355397661385,19.2076550892342 54.3578136581437,19.2156087857637 54.3593525139554,19.2239240313046 54.3599549881657,19.2322807191056 54.3595978829527,19.2403571355643 54.3582949416893,19.2478424106025 54.3560963177335,19.2544485401808 54.3530866345303,19.2599215073207 54.3493817134975,19.264051066149 54.3451240985144,19.2666788096013 54.3404775527625,19.2677042126219 54.3356207432603)))', 'PLKAT', 'Kąty Rybackie I', 'Y'),('SRID=4326;MULTIPOLYGON(((19.4757605390637 54.3855474636393,19.4751194260117 54.3806680252486,19.4728601770163 54.3759553213798,19.4690701093962 54.3715903751064,19.4638952187555 54.3677407964045,19.4575345160739 54.3645543611705,19.4502323582735 54.3621533568033,19.4422690702126 54.3606299079201,19.4339502165553 54.3600424580227,19.4255949290067 54.3604135389973,19.4175237268895 54.3617289118266,19.4100462862899 54.3639381105394,19.4034496146974 54.3669563689829,19.3979870741612 54.3706678582801,19.3938686667878 54.3749301135929,19.3912529525167 54.3795794837818,19.3902409115298 54.3844373983607,19.3908719938203 54.3893172142687,19.3931225183051 54.3940313817273,19.3969064958919 54.3983986548453,19.4020788581296 54.4022510694059,19.4084409789672 54.4054404177793,19.415748285583 54.4078439690672,19.4237196692596 54.4093692109066,19.432048332848 54.4099574268337,19.440413651168 54.4095859683413,19.4484935778009 54.4082691319203,19.4559771084308 54.406057606361,19.462576308417 54.4030365120577,19.4680374307873 54.3993221096217,19.4721506893402 54.3950573073901,19.4747583079987 54.3904061442471,19.4757605390637 54.3855474636393)))', 'PLKM2', 'Krynica Morska II', 'Y'),('SRID=4326;MULTIPOLYGON(((19.4456377155484 54.2675572953092,19.4450017297967 54.2626776404446,19.4427521260771 54.2579643496589,19.4389758478096 54.2535984691431,19.4338183587036 54.2497476454902,19.4274780005874 54.246559703197,19.4201983497533 54.2441569882636,19.4122588687655 54.2426316915529,19.4039642110672 54.2420423278342,19.395632582676 54.2424115025048,19.3875835977035 54.2437250494831,19.3801260816827 54.2459325724042,19.3735462784011 54.2489493688023,19.3680969021033 54.2526596652285,19.3639874478166 54.2569210419992,19.3613761287912 54.2615698812253,19.3603637526311 54.2664276325663,19.3609897780524 54.2713076592682,19.3632307142926 54.2760224037736,19.3670009374759 54.2803905985762,19.3721559057251 54.2842442447545,19.3784976609914 54.2874350881077,19.3857824142813 54.2898403409756,19.3937299262291 54.2913674261174,19.4020343207499 54.291957556491,19.4103759094814 54.2915880099825,19.4184335619381 54.2902730092827,19.4258971330403 54.2880631720727,19.4324794571697 54.2850435531483,19.4379274363074 54.2813303556627,19.4420317881334 54.2770664409592,19.4446350762018 54.272415813304,19.4456377155484 54.2675572953092)))', 'PLKME', 'Kamienica Elbląska', 'Y'),('SRID=4326;MULTIPOLYGON(((19.4847482486576 54.3735441981606,19.4841062288625 54.3686647924247,19.4818465803675 54.3639522452758,19.4780566353866 54.3595875737478,19.4728823844108 54.3557383772795,19.466522813555 54.3525524171345,19.4592222361244 54.3501519625367,19.4512609163015 54.3486291170723,19.4429443433392 54.3480423011496,19.4345915616599 54.3484140223716,19.4265229947303 54.3497300171696,19.4190482178246 54.3519397956876,19.4124541364687 54.3549585694705,19.4069940134541 54.3586704897811,19.4028777581068 54.3629330751353,19.4002638476097 54.367582661614,19.3992531926005 54.3724406703235,19.3998851894472 54.377320454505,19.4021361214764 54.3820344655462,19.4059199834758 54.3864014635493,19.411091711034 54.3902534948913,19.4174527022055 54.3934423667248,19.424758427457 54.3958453665477,19.4327278388981 54.397370003286,19.4410542153996 54.3979575838256,19.4494170200373 54.3975854841574,19.4574943034376 54.3962680254652,19.4649751633217 54.39405592047,19.4715717680861 54.3910343118126,19.4770304707751 54.387319479814,19.4811415782965 54.3830543492366,19.4837473971784 54.378402971486,19.4847482486576 54.3735441981606)))', 'PLKMI', 'Krynica Morska I', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5955689362093 54.1867970643584,15.5946810917881 54.181930418364,15.5921920530628 54.1772588364732,15.5881979387173 54.1729617493585,15.5828525462104 54.1692041515725,15.5763613950647 54.1661302822324,15.5689738139624 54.1638581068186,15.560973377943 54.16247480838,15.5526670603116 54.1620334576937,15.5443735086084 54.1625509872326,15.5364108841545 54.1640075447673,15.5290847196214 54.166347250791,15.5226762484773 54.1694803314904,15.5174316440548 54.173286547478,15.513552574668 54.1776197897343,15.511188435361 54.1823136698995,15.5104305575312 54.1871878938167,15.5113086263722 54.1920551765467,15.513789454832 54.1967284351928,15.5177781741646 54.2010279838122,15.5231218082538 54.2047884531109,15.5296151052821 54.2078651668101,15.5370084098785 54.2101397264012,15.5450172756539 54.2115245858656,15.5533334459484 54.2119664367739,15.5616367732411 54.2114482704985,15.569607607964 54.2099900362065,15.5769391675058 54.2076478686762,15.5833493970581 54.2045119164634,15.5885918555886 54.2007028561176,15.5924652014778 54.1963672296858,15.5948209110331 54.1916717884968,15.5955689362093 54.1867970643584)))', 'PLKOL', 'Kołobrzeg', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8103514932663 53.9720743008696,14.8095599286653 53.9672019161395,14.8071717812011 53.9625141656248,14.8032792951687 53.9581911067206,14.7980323716952 53.9543987362327,14.7916327603595 53.9512826319124,14.7843262890084 53.9489623824584,14.7763934329094 53.9475270163209,14.7681385831652 53.9470316012571,14.7598784196634 53.947495142157,14.7519298246862 53.9488998558002,14.7445977890164 53.9511918496427,14.7381637626231 53.9542831792455,14.7328748867904 53.9580552073404,14.7289345141781 53.9623631385625,14.7264943784201 53.9670415592848,14.7256487165016 53.9719107733951,14.7264305768142 53.9767836937283,14.7288104654428 53.981473026493,14.7326973954242 53.9857984734112,14.7379423114907 53.9895936741241,14.7443437696748 53.9927126200045,14.7516556609657 53.9950352897517,14.7595966849602 53.9964722864475,14.7678612070667 53.9969682940965,14.7761310748661 53.9965042175928,14.784087928683 53.9950979216978,14.7914255204 53.9928035398394,14.7978615541912 53.9897093800107,14.8031485831663 53.9859345103564,14.8070835358347 53.981624158843,14.8095155037009 53.9769441075643,14.8103514932663 53.9720743008696)))', 'PLKPI', 'Kamień Pomorski', 'Y'),('SRID=4326;MULTIPOLYGON(((19.2627217242014 54.352622640235,19.2621063175466 54.347742246411,19.2598732671355 54.3430257358305,19.2561088847191 54.3386542792789,19.250958181633 54.3347957380002,19.2446192432853 54.3315982328938,19.2373355946936 54.3291844767521,19.2293868537656 54.3276470836304,19.2210780296776 54.3270450317977,19.2127278709183 54.3274014128521,19.2046567002556 54.3287025511421,19.1971741913548 54.3308985263002,19.1905675436942 54.3339050792643,19.1850904987648 54.3376068304123,19.1809536115836 54.3418616891492,19.1783161479017 54.3465062891838,19.1772799201528 54.3513622444451,19.1778853055829 54.3562429886008,19.1801096100698 54.3609609377474,19.1838678533491 54.3653347020913,19.1890159587138 54.3691960690486,19.1953562362372 54.3723964875359,19.2026449570267 54.3748128012251,19.2106017309794 54.3763520066969,19.2189203259632 54.3769548497681,19.2272805059573 54.3765981183815,19.2353604225493 54.3752955415235,19.2428490705843 54.3730972585711,19.2494583159573 54.3700878799275,19.2549340217009 54.366383215399,19.2590658366792 54.3621257991165,19.2616952673393 54.3574793867338,19.2627217242014 54.352622640235)))', 'PLKTR', 'Kąty Rybackie II', 'Y'),('SRID=4326;MULTIPOLYGON(((18.6181040708362 54.733854802724,18.6175614752348 54.7289722298839,18.6153837229417 54.7242447096863,18.6116550190717 54.7198538388463,18.6065190227407 54.7159682256402,18.6001732706487 54.7127370302522,18.592861561205 54.7102842572364,18.5848645955554 54.7087040156933,18.576489233596 54.7080569254273,18.5680567712825 54.7083678037551,18.5598906791487 54.70962471938,18.5523042602507 54.7117794485429,18.5455886883973 54.7147493162762,18.5400018744834 54.7184203538105,18.5357585802824 54.7226516537833,18.5330221557597 54.7272807596016,18.5318982188269 54.732129885739,18.5324305268627 54.7370127333977,18.5345992091958 54.7417416421423,18.5383214415292 54.7461348038644,18.5434545499804 54.7500232615221,18.549801437505 54.7532574218895,18.5571181328365 54.7557128290212,18.5651231757743 54.7572949727961,18.5735084767277 54.7579429438117,18.5819512266174 54.7576317906649,18.5901263887169 54.7563734864911,18.5977192791488 54.754216466444,18.6044377388728 54.7512437542579,18.6100234173436 54.7475697517447,18.614261725651 54.7433358176578,18.6169900728881 54.7387048096098,18.6181040708362 54.733854802724)))', 'PLKUZ', 'Kuźnica', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4662517907562 53.8751953141412,14.4655020416699 53.8703207098109,14.463157914772 53.8656261759685,14.4593099636769 53.8612920330595,14.4541063818773 53.8574847057084,14.4477472594044 53.8543503475285,14.4404768754987 53.8520092488315,14.4325743261568 53.8505512384493,14.4243428444047 53.8500322526602,14.4160982167514 53.8504721998941,14.4081567304265 53.8518542011117,14.4008231020532 53.8541252342251,14.394378839017 53.8571981584354,14.3890714699613 53.8609550426994,14.3851050508774 53.865251673487,14.3826323087893 53.8699230722781,14.381748727106 53.874789814491,14.3824888067859 53.8796649102252,14.384824657515 53.884360984605,14.3886669856498 53.8886974826523,14.3938684537432 53.8925076211948,14.4002292935584 53.8956448186407,14.4075049644071 53.8979883524258,14.4154155654046 53.8994480229977,14.4236566377325 53.8999676413288,14.4319109348016 53.8995272026902,14.4398606972994 53.8981436609334,14.4471999486295 53.8958702726798,14.453646325363 53.8927945372773,14.4589519770671 53.889034813748,14.4629131092038 53.8847357478741,14.4653777996398 53.8800626888952,14.4662517907562 53.8751953141412)))', 'PLLBI', 'Lubin, Szczeciński', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5931337543589 54.7660850747263,17.591993835397 54.7612373065907,17.5892408217417 54.7566112278968,17.5849809681348 54.7523845070006,17.5793782592041 54.7487194238998,17.5726480650885 54.7457566568183,17.5650488557482 54.7436099016961,17.5568722937069 54.7423615274587,17.5484320820313 54.7420594303113,17.5400519875445 54.7427152049673,17.5320534876138 54.7443037013007,17.524743501767 54.7467639831196,17.5184026666087 54.7500016533897,17.5132745940582 54.7538924590463,17.5095565191688 54.75828704032,17.5073916954113 54.7630166459506,17.5068638334163 54.7678995983952,17.5079938053627 54.7727482635953,17.5107387535831 54.7773762592987,17.5149936512247 54.7816056253027,17.5205952681617 54.7852736789162,17.5273284005037 54.788239289682,17.534934130974 54.7903883287344,17.5431198042667 54.7916380794399,17.5515703302083 54.7919404360382,17.5599603717198 54.7912837643165,17.5679669370878 54.7896933509716,17.5752818788941 54.787230424043,17.5816238060354 54.7839897832597,17.5867489403504 54.7800961339201,17.5904604941073 54.7756992687183,17.5926162066193 54.7709682866214,17.5931337543589 54.7660850747263)))', 'PLLEA', 'Łeba', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5509687154704 54.6078772912094,18.55043540034 54.6029944245313,18.5482717665296 54.59826575672,18.5445614732998 54.5938729294092,18.5394474705305 54.589984626986,18.5331264498198 54.5867501138724,18.5258412610696 54.5842935228454,18.5178715896717 54.5827091101763,18.5095232510373 54.582057656065,18.5011165073735 54.5823641452688,18.4929738452092 54.5836168145821,18.4854076704939 54.5857676026152,18.4787083808028 54.5887339849327,18.4731332612361 54.5924021258151,18.4688966222709 54.5966312284903,18.4661615547029 54.6012589203566,18.4650336198776 54.6061074701207,18.4655567240567 54.6109906013919,18.4677113459022 54.6157206434159,18.4714151981423 54.620115745348,18.47652631148 54.624006876511,18.482848434209 54.6272443418332,18.4901385486572 54.6297035590905,18.4981162195412 54.6312898721914,18.5064744136001 54.6319422116122,18.5148913682257 54.6316354578147,18.5230430423605 54.6303814142869,18.5306156580631 54.6282283516305,18.5373178371767 54.625259140572,18.5428918547147 54.6215880474814,18.5471235679762 54.6173563185778,18.5498506360606 54.6127267262817,18.5509687154704 54.6078772912094)))', 'PLMEC', 'Mechelinki', 'Y'),('SRID=4326;MULTIPOLYGON(((15.3275202526373 54.1378918410465,15.3266649125677 54.1330231505332,15.3242089854371 54.1283459619774,15.320247319173 54.1240399232592,15.314932467923 54.1202703742275,15.3084687825665 54.1171820139179,15.301104541954 54.1148933645812,15.2931224295898 54.113492241509,15.2848287189769 54.1130323990247,15.2765415758185 54.1135314784026,15.268578915679 54.1149703345082,15.2612462709189 54.1172937663444,15.2548251204072 54.1204126242121,15.249562119709 54.1242072146556,15.2456596384335 54.1285318755232,15.2432679658917 54.1332205490695,15.2424794871821 54.1380931426685,15.2433250608081 54.1429624358628,15.2457727479557 54.147641270433,15.2497289551592 54.1519497479085,15.2550419593645 54.1557221571622,15.26150769089 54.1588133637159,15.2688775593765 54.1611044120035,15.2768680245279 54.1625071215146,15.2851715412039 54.1629674964046,15.2934684508153 54.1624678143449,15.3014393509415 54.1610273122229,15.3087774547581 54.1587014416276,15.315200452305 54.1555797235371,15.3204614068249 54.1517822868503,15.3243582602227 54.1474552270338,15.3267415799814 54.1427649670503,15.3275202526373 54.1378918410465)))', 'PLMEZ', 'Mrzeżyno', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4973146141943 53.9371845350786,14.4965601820905 53.932310164849,14.4942091413217 53.9276162707051,14.4903523126263 53.9232831481204,14.4851382313435 53.9194771820752,14.4787673908329 53.9163444734566,14.4714845196708 53.9140052488563,14.463569192079 53.912549264891,14.4553251300716 53.912032379934,14.4470686014316 53.9124744218178,14.4391163487842 53.9138584312906,14.4317735010653 53.9161313094759,14.4253219192626 53.919205845103,14.4200094134285 53.9229640456148,14.4160402379326 53.927261647228,14.4135672273758 53.9319336343097,14.4126858775586 53.9368005597032,14.4134306058534 53.9416754263329,14.4157733452635 53.9463708678436,14.4196245388559 53.9507063531899,14.4248365091857 53.9545151376827,14.4312090842687 53.957650691352,14.4384972714575 53.9599923544728,14.4464206872146 53.9614499991853,14.4546743781751 53.9619675142822,14.4629406106333 53.9615249759976,14.4709011646436 53.9601394191561,14.478249647462 53.9578641782073,14.4847033402087 53.9547868241318,14.4900141114611 53.95102577857,14.4939779709261 53.9467257384381,14.4964428933211 53.9420520906111,14.4973146141943 53.9371845350786)))', 'PLMID', 'Międzyzdroje', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7303847431882 54.0051025315979,14.7296019018818 54.0002296588902,14.7272208619711 53.9955403551111,14.7233335964346 53.991214737713,14.7180898077381 53.9874189019775,14.7116911267918 53.9842985587431,14.7043833470533 53.9819734593049,14.696446994795 53.9805328180161,14.6881865954494 53.9800319047724,14.6799190414004 53.980489935158,14.6719614975441 53.9818893371968,14.664619296747 53.9841764221,14.6581742776607 53.9872634339204,14.6528740022111 53.9910319013985,14.6489222597683 53.9953371663032,14.6464712201705 54.0000139179515,14.6456155394505 54.0048825249558,14.6463886517853 54.0097559240806,14.6487614008409 54.0144468036582,14.6526430758457 54.0187748063359,14.6578848254422 54.0225734736951,14.6642853291569 54.0256966638085,14.6715985160341 54.0280241919693,14.6795430366145 54.029466474073,14.6878131219117 54.0299679904242,14.6960904049416 54.0295094336208,14.7040562396569 54.0281084557815,14.7114040309822 54.0258189855969,14.7178510891592 54.0227291421519,14.7231495418312 54.0189578277956,14.7270958771313 54.0146501341701,14.7295387484107 54.0099717417088,14.7303847431882 54.0051025315979)))', 'PLMIW', 'Międzywodzie', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9847024613202 54.3407209236234,18.9841201754584 54.3358394062191,18.9819196991104 54.3311180398233,18.9781860947221 54.3267381835919,18.9730631951185 54.3228680228323,18.9667480226307 54.3196561255561,18.9594831946649 54.317225757445,18.9515476109976 54.3156701700042,18.9432457789721 54.3150490391587,18.9348961802528 54.3153861877934,18.9268191157615 54.3166686773602,18.9193244831837 54.3188473023883,18.9126999436505 54.3218384692994,18.9071999208428 54.3255273891625,18.9030358471043 54.3297724646697,18.9003680278012 54.3344107064289,18.8992994381027 54.339263974254,18.8998716970088 54.3441458070003,18.902063383742 54.3488685809223,18.9057907739946 54.3532507225816,18.9109109809876 54.3571236987354,18.9172273923179 54.3603385127541,18.9244972019786 54.3627714549084,18.9324407517766 54.3643288818178,18.9407523215968 54.3649508375145,18.9491119472818 54.3646133735375,18.9571978013931 54.3633294764425,18.9646986481041 54.3611485659847,18.9713258802387 54.3581545836783,18.9768246641939 54.3544627470732,18.9809837562323 54.3502150975245,18.9836436094073 54.3455750162987,18.9847024613202 54.3407209236234)))', 'PLMKZ', 'Mikoszewo', 'Y'),('SRID=4326;MULTIPOLYGON(((15.117473787927 54.0919660322518,15.116644003871 54.087095809402,15.114214424651 54.0824142973461,15.1102788867406 54.0781013115128,15.1049889428711 54.0743224597824,15.0985479906184 54.0712227992449,15.0912034396874 54.0689212863837,15.0832372213158 54.067506230219,15.0749550018613 54.0670319194177,15.0666745077812 54.0675165498451,15.0587133998165 54.0689415301078,15.0513771496134 54.0712521910513,15.0449473719307 54.0743598726951,15.0396710500079 54.078145310519,15.0357510609072 54.0824631941261,15.0333383623503 54.0871477268236,15.0325261437861 54.0920189762118,15.0333461736577 54.0968897749104,15.0357674940734 54.1015729083712,15.039697525887 54.105888314322,15.0449855546213 54.1096700164419,15.0514284742644 54.112772523695,15.0587785755961 54.115076446211,15.0667530823813 54.1164931081214,15.0750450664256 54.1169679762985,15.0833353146996 54.1164827700216,15.0913046814723 54.1150561683519,15.0986464377683 54.1127430872891,15.1050781305768 54.1096325552551,15.1103524851 54.1058442707164,15.114266923796 54.1015239774564,15.1166713339432 54.0968378390151,15.117473787927 54.0919660322518)))', 'PLNIC', 'Niechorze', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3250971727494 53.7222444987957,14.3243663557217 53.7173689504347,14.3220463637408 53.7126716182394,14.3182268201171 53.7083329315349,14.3130548260227 53.7045194908876,14.3067292592228 53.7013776859528,14.2994931130835 53.699028093944,14.2916241729777 53.6975608703196,14.2834243861485 53.6970323051214,14.2752083266932 53.6974626741304,14.2672911885432 53.6988354652472,14.2599767554595 53.7010980089855,14.2535457978206 53.7041634894626,14.2482453313407 53.7079142605808,14.2442791431136 53.7122063430044,14.2417999461816 53.7168749327668,14.2409034662013 53.7217407135288,14.2416246941806 53.7266167331168,14.2439364596824 53.7313155822983,14.2477503918024 53.7356566008014,14.2529202436698 53.7394728330649,14.2592474636559 53.7426174644353,14.2664888067139 53.7449694873999,14.2743656962881 53.7464383764089,14.2825749749002 53.7469675878803,14.2908006234131 53.7465367476437,14.2987259880462 53.7451624395389,14.3060460326303 53.7428975640002,14.3124791324874 53.739829291906,14.317777945772 53.7360756943528,14.3217389370763 53.7317811809753,14.3242101845432 53.7271109258301,14.3250971727494 53.7222444987957)))', 'PLNWA', 'Nowe Warpno', 'Y'),('SRID=4326;MULTIPOLYGON(((19.6298134330673 54.4334932097746,19.62915335922 54.4286145218716,19.6268738545076 54.4239046240866,19.6230630144853 54.4195444305526,19.617867631491 54.4157013677019,19.611487501353 54.4125229604746,19.6041677242016 54.4101311876286,19.5961892984138 54.4086178193357,19.5878583671447 54.4080409124211,19.5794945238238 54.4084225946134,19.5714186153527 54.4097482206369,19.5639404988479 54.4119669315993,19.5573472092977 54.4149935966967,19.5518919814316 54.4187120645476,19.5477845397092 54.4229796022641,19.5451830262534 54.4276323553929,19.5441878787705 54.4324916227304,19.5448379004713 54.4373707082259,19.547108683668 54.4420820890283,19.550913460576 54.4464446252291,19.5561063619124 54.4502905337466,19.5624879696605 54.4534718564139,19.5698129587398 54.4558661706238,19.5777995373055 54.4573813193042,19.5861403210152 54.457958974582,19.5945142164926 54.4575768947965,19.6025988464843 54.4562497857538,19.6100830261003 54.4540287321227,19.6166787972992 54.4509992213574,19.622132547545 54.4472778380672,19.6262347773345 54.4430077589887,19.6288281380157 54.4383532254742,19.6298134330673 54.4334932097746)))', 'PLOBL', 'Obłuże', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5949154382281 54.5558611368672,18.5943773556716 54.5509783798921,18.5922111858365 54.5462504376095,18.5885006833707 54.5418589236552,18.5833888043225 54.537972472004,18.577072157287 54.5347402761792,18.5697934233916 54.5322863802633,18.5618320400737 54.530704937391,18.553493505122 54.530056614081,18.5450977055257 54.5303662751658,18.5369667091863 54.5316220358208,18.5294124758093 54.533775715975,18.522724945944 54.5367446799926,18.517160954162 54.5404149927164,18.5129343840098 54.5446457735549,18.51020793925 54.5492745849805,18.5090868489796 54.5541236522284,18.5096147548965 54.5590066786299,18.5117719491839 54.5637359971849,18.5154760436383 54.5681297847329,18.5205850577737 54.5720190611655,18.526902819154 54.5752542029123,18.534186477005 54.5777107174009,18.542155844263 54.579294052842,18.5505042076562 54.5799432545902,18.5589101839025 54.5796333240784,18.5670501557952 54.5783761871493,18.5746107971812 54.5762202333994,18.5813011919502 54.5732484445993,18.5868640693771 54.5695751859539,18.5910857155681 54.5653417865445,18.5938041763902 54.5607110825522,18.5949154382281 54.5558611368672)))', 'PLOKY', 'Oksywie', 'Y'),('SRID=4326;MULTIPOLYGON(((18.6008318430337 54.4758581804498,18.6002938206342 54.4709753939908,18.5981309192307 54.4662475361582,18.5944267653193 54.4618562175525,18.5893240691124 54.4579700650081,18.5830190854143 54.4547382610211,18.5757540473388 54.4522848351129,18.567807867272 54.450703922807,18.5594854608974 54.4500561705696,18.5511060980885 54.4503664214587,18.5429912179277 54.4516227679637,18.5354521633316 54.4537770072914,18.5287782934075 54.4567464819523,18.5232259186921 54.4604172366988,18.5190084761035 54.4646483734556,18.516288317374 54.4692774405652,18.5151704278877 54.4741266530986,18.515698323638 54.479009708631,18.517852294353 54.4837389390615,18.5215500731517 54.4881325248247,18.5266499203755 54.4920214939323,18.5329560149537 54.4952562350922,18.5402259546534 54.4977122716252,18.5481800808619 54.4992950705631,18.5565122681671 54.4999436982169,18.5649017576354 54.4996331782541,18.5730255684903 54.4983754591493,18.5805709981966 54.4962189526621,18.5872477170949 54.4932466614369,18.5927989809198 54.4895729695179,18.5970115218787 54.4853392221382,18.599723734469 54.4807082683986,18.6008318430337 54.4758581804498)))', 'PLORW', 'Orłowo', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5100317492696 54.6688924951854,18.5095027748955 54.6640095360874,18.5073408922945 54.6592801959603,18.5036296957617 54.6548861423443,18.4985121719244 54.6509961066358,18.49218514912 54.6477594195799,18.4848917085105 54.6453002970859,18.4769118522911 54.6437130922341,18.4685517860922 54.6430586920612,18.4601322209396 54.6433621941554,18.4519761338156 54.6446119498571,18.4443964442541 54.6467600096739,18.4376840671626 54.6497239541298,18.4320967891502 54.6533900414756,18.4278493873239 54.657617554266,18.425105366393 54.6622441814721,18.4239706329485 54.6670922331806,18.4244893563839 54.6719754525274,18.4266421859848 54.6767061656217,18.4303469056922 54.6811024959019,18.4354615149171 54.6849953653705,18.4417896290475 54.6882350118684,18.4490880007792 54.6906967689379,18.4570758771996 54.6922858824083,18.4654458316748 54.6929411746723,18.4738756477767 54.6926374123288,18.4820407879064 54.6913862836581,18.489626954291 54.6892359471751,18.4963422459856 54.6862691689579,18.5019284326616 54.6826001221706,18.5061709033599 54.6783699748064,18.5089069040922 54.6737414389839,18.5100317492696 54.6688924951854)))', 'PLOSL', 'Osłonino', 'Y'),('SRID=4326;MULTIPOLYGON(((19.809808118662 54.4254293826682,19.8091267645014 54.4205515723269,19.8068270101816 54.4158449699965,19.8029977272702 54.4114903620864,19.7977864136973 54.4076549596526,19.7913934738284 54.4044859929913,19.7840644964472 54.402105078312,19.7760808304713 54.4006035692276,19.7677488184698 54.4000390678933,19.7593880947939 54.4004332265668,19.7513193872946 54.4017709217795,19.7438522785135 54.4040008319078,19.7372733835651 54.4070373964969,19.7318353876647 54.4107640839946,19.7277473566784 54.4150378453928,19.7251666898155 54.4196945863539,19.7241930256371 54.4245554513512,19.7248643423853 54.4294336816672,19.7271554131867 54.4341417860401,19.7309786884594 54.4384987493886,19.7361875848827 54.4423370020632,19.7425820660822 54.4455088798443,19.7499163086228 54.4478923233309,19.7579081620151 54.4493955939216,19.7662500372294 54.4499608212874,19.7746207983277 54.4495662426386,19.7826981893502 54.4482270453816,19.7901713057668 54.4459947798128,19.7967526178554 54.442955364982,19.8021890724152 54.4392257663651,19.8062718382373 54.4349494761614,19.8088443176871 54.4302909736961,19.809808118662 54.4254293826682)))', 'PLPAA', 'Nowa Pasłęka', 'Y'),('SRID=4326;MULTIPOLYGON(((18.3756767554613 54.3339362841694,18.3751668058041 54.3290527207658,18.3730368430585 54.3243211142687,18.3693692257598 54.3199232211883,18.3643052605309 54.3160279227125,18.3580397168189 54.3127847541015,18.3508133172283 54.3103181822994,18.3429034957479 54.308722847997,18.3346137776097 54.3080599511624,18.3262621825854 54.3083549155308,18.3181690871218 54.3095964193296,18.3106449991252 54.3117368283147,18.3039787020781 54.3146940147891,18.2984262124676 54.3183544944392,18.2942009664961 54.3225777633649,18.2914656093192 54.3272016722818,18.2903257035875 54.3320486352107,18.2908256052544 54.3369324374978,18.2929466753546 54.3416653840612,18.2966079091759 54.3460655143784,18.3016689719227 54.3499636066629,18.3079355360262 54.3532097003224,18.3151667235389 54.3556788831009,18.3230843715554 54.3572761168097,18.3313837633239 54.3579399123126,18.3397454063485 54.3576447090602,18.3478473944632 54.3564018651933,18.3553778659349 54.3542592189693,18.3620470654554 54.3512992386853,18.3675985346642 54.3476358339869,18.371818992708 54.3434099540867,18.3745465233511 54.3387841457655,18.3756767554613 54.3339362841694)))', 'PLPEN', 'Gdańsk-Pleniewo', 'Y'),('SRID=4326;MULTIPOLYGON(((19.6298134330673 54.4334932097746,19.62915335922 54.4286145218716,19.6268738545076 54.4239046240866,19.6230630144853 54.4195444305526,19.617867631491 54.4157013677019,19.611487501353 54.4125229604746,19.6041677242016 54.4101311876286,19.5961892984138 54.4086178193357,19.5878583671447 54.4080409124211,19.5794945238238 54.4084225946134,19.5714186153527 54.4097482206369,19.5639404988479 54.4119669315993,19.5573472092977 54.4149935966967,19.5518919814316 54.4187120645476,19.5477845397092 54.4229796022641,19.5451830262534 54.4276323553929,19.5441878787705 54.4324916227304,19.5448379004713 54.4373707082259,19.547108683668 54.4420820890283,19.550913460576 54.4464446252291,19.5561063619124 54.4502905337466,19.5624879696605 54.4534718564139,19.5698129587398 54.4558661706238,19.5777995373055 54.4573813193042,19.5861403210152 54.457958974582,19.5945142164926 54.4575768947965,19.6025988464843 54.4562497857538,19.6100830261003 54.4540287321227,19.6166787972992 54.4509992213574,19.622132547545 54.4472778380672,19.6262347773345 54.4430077589887,19.6288281380157 54.4383532254742,19.6298134330673 54.4334932097746)))', 'PLPI2', 'Piaski II', 'Y'),('SRID=4326;MULTIPOLYGON(((19.6348030995482 54.4234913793205,19.6341425730186 54.4186127082876,19.6318630300726 54.4139028969408,19.6280525673788 54.4095428560927,19.6228579624824 54.405700006337,19.6164789811254 54.402521864476,19.6091606792417 54.4001303991363,19.6011839986087 54.3986173687436,19.5928550155387 54.3980408172028,19.5844932489103 54.3984228586353,19.576419466183 54.3997488339858,19.5689434431373 54.401967870936,19.562352134604 54.4049948261262,19.5568986993689 54.4087135369753,19.5527927930522 54.4129812611907,19.5501924986792 54.4176341370809,19.5491982068857 54.4224934586591,19.5498486876814 54.4273725277407,19.5521195153708 54.4320838220792,19.5559239201029 54.4364462050902,19.561116046603 54.4402918996076,19.5674965064446 54.4434729557399,19.5748200186099 54.4458669611892,19.5828048481045 54.4473817708206,19.5911436780251 54.4479590698558,19.5995154903974 54.447576630374,19.6075979883862 54.4462491720301,19.6150800693904 54.4440277929149,19.6216738563108 54.440997992962,19.6271258130513 54.4372763678422,19.6312265090815 54.4330061035191,19.6338186545961 54.4283514483922,19.6348030995482 54.4234913793205)))', 'PLPII', 'Piaski I', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4500848162257 54.7209143733126,18.4495625733804 54.7160312603774,18.4474051226723 54.711300932415,18.4436958903325 54.7069050951463,18.4385777896579 54.7030125485259,18.4322476728799 54.699772719598,18.4249487410993 54.6973099446408,18.4169612077285 54.695718716604,18.4085915727474 54.6950600765946,18.4001609134558 54.6953592846318,18.3919926311781 54.696604856683,18.3844001118552 54.6987490038115,18.377674761283 54.7017094568888,18.372074862903 54.7053726085295,18.3678156777689 54.7095978544765,18.3650611632129 54.7142229713067,18.3639176297627 54.7190703276894,18.3644295864381 54.7239536939861,18.3665779445702 54.7286853910515,18.3702806621887 54.7330835047318,18.3753958178047 54.7369788885096,18.3817270075472 54.7402216834097,18.3890308669684 54.7426871016112,18.3970264324688 54.744280247754,18.4054059812488 54.7449397887166,18.4138469267209 54.7446403273175,18.4220243015804 54.7433933861614,18.4296233356222 54.7412469626192,18.4363516312438 54.7382836723833,18.4419504566489 54.7346175547709,18.4462047141364 54.7303896655814,18.4489511965653 54.7257626306473,18.4500848162257 54.7209143733126)))', 'PLPUC', 'Puck', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5349956037752 54.6338832453524,18.53446395936 54.6290003436936,18.5323008986716 54.6242714137777,18.5285900599236 54.6198781073315,18.5234744148014 54.6159891270984,18.5171507185953 54.6127537634234,18.5098619242508 54.6102961815963,18.5018878555613 54.6087106757676,18.4935344964026 54.6080580679569,18.4851223011154 54.608363387104,18.4769739647688 54.6096149148733,18.4694021103914 54.611764633723,18.4626973529823 54.6147300603619,18.4571171871829 54.6183973959207,18.4528761171644 54.6226258747493,18.4501374041615 54.6272531484169,18.4490067501305 54.6321015018914,18.4495281666329 54.6369846664798,18.4516821981521 54.6417149702425,18.4553865810823 54.6461105522977,18.4604993265784 54.6500023634612,18.4668241207938 54.6532406824049,18.4741178436234 54.6557008939261,18.4820999209578 54.6572883035268,18.4904631496771 54.6579417993548,18.4988855728875 54.6576362172776,18.5070429384089 54.6563833156597,18.5146212486017 54.654231321199,18.5213289056279 54.6512630636285,18.5269079734075 54.6475927728014,18.5311441149352 54.6433616642806,18.5338748192956 54.6387324868431,18.5349956037752 54.6338832453524)))', 'PLREW', 'Rewa', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0930430653027 54.6662637934847,17.0919658020731 54.6614107718501,17.0892764933209 54.6567727767612,17.0850789493148 54.6525279377437,17.0795347675466 54.6488392333794,17.0728570789664 54.6458482506933,17.0653023468263 54.643669769561,17.0571605348604 54.6423873763798,17.0487440189646 54.6420502718416,17.0403756601596 54.6426713924633,17.0323764854583 54.6442269162064,17.0250534366914 54.6466571707682,17.018687645115 54.6498689107242,17.0135236717529 54.6537388784386,17.0097601202532 54.658118515297,17.0075419812562 54.6628396460784,17.0069550059721 54.6677209217638,17.008022333416 54.6725747762467,17.0107035126448 54.6772146315096,17.0148959710354 54.6814620748327,17.020438885336 54.6851537311527,17.0271193175593 54.6881475640363,17.0346803867604 54.6903283596908,17.0428311644456 54.6916121793535,17.0512579097686 54.6919496051631,17.0596362043685 54.6913276516921,17.0676435085959 54.6897702677729,17.0749716429729 54.6873374089036,17.0813387020065 54.6841227169913,17.0864999317162 54.6802498990805,17.0902571461522 54.675867947702,17.0924663194352 54.671145390441,17.0930430653027 54.6662637934847)))', 'PLROW', 'Rowy', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0594646587234 54.082986507035,15.0586418458863 54.0781158758564,15.0562193177387 54.0734331846558,15.0522906401839 54.0691182945499,15.0470071031189 54.0653368868736,15.0405718589992 54.0622341170737,15.033232099377 54.0599290610929,15.0252695725055 54.0585101639259,15.0169898037845 54.0580318615332,15.0087104260197 54.0585125027794,15.0007490571257 54.0599336491569,14.9934111783822 54.062240778471,14.9869784663307 54.0653453661848,14.9816980158896 54.0691282665417,14.9777728615703 54.0734442666853,14.9753541584449 54.0781276424878,14.9745353258063 54.0829985063221,14.9753483857394 54.0878697060201,14.9777626481273 54.0925540120407,14.9816858054531 54.0968713174259,14.9869674082252 54.1006555731369,14.9934045984689 54.1037611901395,15.0007498883542 54.1060686590301,15.0087206876962 54.1074891674699,15.0170102116858 54.1079680341963,15.025299342364 54.1074868244299,15.0332689770215 54.1060640632304,15.0406123759901 54.1037545186351,15.0470470223252 54.100647082886,15.0523255266329 54.0968613353271,15.0562451506854 54.0925429222756,15.058655581344 54.0878579352022,15.0594646587234 54.082986507035)))', 'PLRWL', 'Rewal', 'Y'),('SRID=4326;MULTIPOLYGON(((15.9926297193273 54.2496565076899,15.9916937794609 54.2447930815258,15.9891561789099 54.2401299948597,15.9851148996699 54.2358463493537,15.9797255460468 54.2321066211658,15.9731953193746 54.2290543618337,15.9657750416345 54.226806706628,15.9577495365342 54.2254498976227,15.9494267346209 54.2250359898146,15.9411259133968 54.2255808637935,15.9331655131899 54.2270636193525,15.9258509840556 54.2294273727523,15.9194631179653 54.2325814278981,15.9142473039848 54.2364047402338,15.9104041123815 54.240750543494,15.908081567301 54.245451965289,15.9073694078765 54.2503284194495,15.908295565919 54.2551925325951,15.9108250067134 54.2598573407743,15.9148609905121 54.2641434802402,15.9202487191933 54.2678860951529,15.9267812388076 54.2709411944968,15.9342073782964 54.2731912106351,15.9422414215543 54.274549542063,15.9505741381764 54.2749639020081,15.9588847412335 54.2744183410467,15.9668533012004 54.2729338639728,15.9741731257714 54.2705676166111,15.9805626167939 54.26741067474,15.985776137823 54.2635845223934,15.9896134676744 54.2592363582024,15.9919274746017 54.2545334139867,15.9926297193273 54.2496565076899)))', 'PLSAB', 'Sarbinowo', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9776970955137 54.3357233566703,18.9771156962279 54.3308418094334,18.9749162780984 54.3261203208447,18.9711838628238 54.3217402548148,18.9660622375386 54.317869804769,18.9597483756951 54.3146575498789,18.9524848444963 54.3122267695929,18.9445504940963 54.3106707312574,18.9362497846705 54.3100491281037,18.9279011549488 54.3103858011265,18.9198248687708 54.3116678300013,18.9123307939929 54.3138460269022,18.9057065703047 54.3168368146484,18.9002066091575 54.320525418837,18.8960423403618 54.3247702542674,18.8933740765684 54.3294083407716,18.8923048098017 54.3342615441511,18.8928761848738 54.3391434057786,18.895066814816 54.3438663008527,18.8987930158504 54.3482486513385,18.9039119469047 54.3521219160234,18.9102270447011 54.3553370872329,18.9174955538757 54.3577704415352,18.9254378664243 54.3593283197128,18.9337483100057 54.3599507484347,18.9421069639511 54.3596137610208,18.9501920383217 54.3583303256588,18.9576923273372 54.3561498443001,18.9643192452472 54.3531562419136,18.9698179704315 54.3494647214061,18.9739772612462 54.3452173119613,18.9766375628936 54.340577385617,18.9776970955137 54.3357233566703)))', 'PLSBN', 'Świbno', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6747711701373 53.3901210852104,14.6740057640428 53.3852473743017,14.6716650464 53.3805565463387,14.6678394241017 53.3762287796915,14.6626762200742 53.3724302554937,14.6563739652864 53.3693067915742,14.6491747524481 53.3669782626871,14.641354947751 53.3655340178322,14.6332146152457 53.365029467132,14.6250660534269 53.3654839663247,14.6172218742681 53.366880078073,14.6099830706277 53.3691642376995,14.6036275183377 53.3722487984251,14.5983993443564 53.376015379513,14.5944995624518 53.3803193916878,14.5920783336097 53.3849955695436,14.5912291507818 53.3898643019876,14.5919851781842 53.3947385205852,14.5943178960967 53.3994308832347,14.5981381155125 53.4037609779241,14.6032993360456 53.4075622690969,14.6096033286981 53.4106885176776,14.616807736188 53.4130194249724,14.6246354014857 53.4144652798902,14.6327850638348 53.4149704271906,14.6409430043545 53.4145154203084,14.6487951832474 53.4131177738719,14.656039389767 53.4108312862014,14.6623969255429 53.4077439584999,14.6676233616507 53.4039745927516,14.6715179488999 53.3996682021708,14.6739313171447 53.3949904142538,14.6747711701373 53.3901210852104)))', 'PLSCD', 'Szczecin-Dąbie', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((19.1497087035054 54.3426625543504,19.1491068228219 54.3377816864983,19.1468872730555 54.3330631868204,19.1431358480008 54.3286883032742,19.1379970626816 54.3248250293405,19.1316685466625 54.321621668057,19.1243934267765 54.3192011572159,19.1164509953531 54.3176563700953,19.1081460207775 54.3170465685023,19.0997971045339 54.317395141085,19.0917245216808 54.3186887114549,19.0842379992957 54.3208776493435,19.0776248894686 54.3238779655864,19.0721391798832 54.3275745199686,19.0679917561938 54.3318254216513,19.0653422868837 54.3364674567655,19.0642930440678 54.3413223384173,19.0648849042151 54.346203542302,19.0670956929268 54.3509234676631,19.0708409501983 54.3553006494961,19.0759770999955 54.3591667444274,19.0823069139902 54.3623730199481,19.0895870677462 54.3647960945998,19.0975375025745 54.366342704787,19.1058522316432 54.3669533111568,19.1142111684329 54.3666044025409,19.1222925123459 54.365309406486,19.1297852025115 54.3631181703087,19.1364009478515 54.3601150330671,19.1418853594514 54.3564155644482,19.1460277492655 54.3521620989568,19.1486692151735 54.3475182407779,19.1497087035054 54.3426625543504)))', 'PLSGN', 'Stegna', 'Y'),('SRID=4326;MULTIPOLYGON(((14.729328952368 53.950102823157,14.7285472424023 53.9452299001254,14.7261694325202 53.9405405362549,14.7222873700178 53.9362148514961,14.7170505563753 53.9324189439988,14.7106603540943 53.9292985276865,14.7033622311701 53.9269733569881,14.6954363438099 53.9255326492692,14.687186816841 53.9250316771593,14.678930126661 53.9254896585656,14.6709830225067 53.9268890233253,14.6636504376076 53.9291760838941,14.6572138421222 53.9322630849814,14.6519204746298 53.9360315554131,14.6479738586705 53.9403368365192,14.6455259660381 53.9450136167189,14.6446713302754 53.9498822633454,14.6454433435656 53.954755711579,14.6478128899714 53.9594466479332,14.651689380235 53.9637747130614,14.6569241612 53.9675734464245,14.6633161798234 53.9706967038867,14.6706196915902 53.9730242984798,14.6785537198918 53.9744666438216,14.6868129005155 53.9749682179691,14.6950792873802 53.97450971136,14.7030346550147 53.9731087741148,14.710372812149 53.9708193331747,14.7168114403028 53.9677295062208,14.7221029914435 53.9639581946398,14.7260442185562 53.959650489641,14.7284839702508 53.9549720718203,14.729328952368 53.950102823157)))', 'PLSIS', 'Sierosław', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3322255609008 53.8502424081789,14.3314918159439 53.8453669981521,14.3291640789785 53.8406698804403,14.3253322744937 53.8363314756688,14.3201439771857 53.8325183729105,14.3137986921372 53.8293769480758,14.3065401695983 53.8270277630247,14.2986470524407 53.8255609569577,14.2904222134344 53.8250328034727,14.2821811852096 53.8254635624129,14.2742401170386 53.826836706877,14.2669037087547 53.8290995542546,14.2604535728748 53.8321652776511,14.2551374613129 53.8359162223934,14.2511597632561 53.8402084032201,14.248673636467 53.8448770130043,14.2477750764939 53.8497427350369,14.248499158494 53.8546186195196,14.2508186065607 53.8593172622298,14.2546447581137 53.8636580103754,14.2598308990652 53.8674739181263,14.2661778526201 53.8706181825378,14.2734416145153 53.8729698094497,14.2813427442357 53.8744382879101,14.2895771491702 53.874967089714,14.2978278403611 53.8745358563173,14.305777197435 53.8731611868529,14.3131192586474 53.8708959960994,14.3195715508748 53.8678274677094,14.3248859939211 53.8640736833911,14.3288584526174 53.8597790607052,14.3313365668471 53.8551087785295,14.3322255609008 53.8502424081789)))', 'PLSJK', 'Karsibór', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4102614631316 53.8852150506265,14.4095180583381 53.8803401220639,14.4071796578705 53.8756445184526,14.4033365961678 53.8713086016508,14.3981368799357 53.8674988646301,14.3917804518167 53.8643615536321,14.3845114885477 53.862017072314,14.3766090322886 53.8605553792349,14.3683763128497 53.8600325518369,14.3601291642142 53.86046864578,14.3521839699649 53.8618469297239,14.3448455883346 53.8641145241313,14.3383957082664 53.8671844201725,14.3330820731006 53.8709388031482,14.3291089785902 53.8752335557799,14.3266294075306 53.8799037719884,14.3257391053987 53.8847700729985,14.3264728315021 53.8896454862663,14.3288029402169 53.894342625095,14.3326403594475 53.8986808939037,14.337837941504 53.9024934416497,14.344196068655 53.9056335941839,14.3514703055031 53.907980515251,14.3593808070349 53.9094438748617,14.3676231186194 53.9099673418592,14.3758799459544 53.9095307632102,14.3838334319606 53.9081509440471,14.3911774560596 53.9058809976309,14.3976294702944 53.9028082908637,14.402941406419 53.8990510663524,14.4069092273461 53.8947538739735,14.4093807531364 53.8900819912353,14.4102614631316 53.8852150506265)))', 'PLSJP', 'Świnoujście-Przytór', 'Y'),('SRID=4326;MULTIPOLYGON(((18.6177927215579 54.437851765505,18.6172530420706 54.4329690111164,18.6150900504758 54.4282414301782,18.6113873753893 54.4238506226606,18.6062876690834 54.4199651958677,18.599987070757 54.416734304599,18.5927276448029 54.4142819435478,18.5847880882828 54.4127022075794,18.5764730631752 54.4120556981929,18.5681015568902 54.4123672108634,18.5599947079621 54.4136247896824,18.5524635520166 54.4157801844897,18.5457971457317 54.4187506932816,18.5402515135298 54.4224223208764,18.536039833417 54.4266541354088,18.5333242353351 54.431283658911,18.5322095285735 54.4361330886753,18.5327391056202 54.4410161137488,18.5348931902146 54.4457450671089,18.5385895097498 54.4501381398471,18.5436863795292 54.4540263798005,18.5499880921911 54.4572602038916,18.5572524136977 54.4597151709313,18.5651999016847 54.461296789316,18.5735246866794 54.4619441709651,18.5819062954153 54.4616323876093,18.5900220513493 54.4603734363666,18.5975595628437 54.4582157763365,18.6042288056462 54.4552424543831,18.6097733235023 54.4515678939663,18.6139801080571 54.4473334734472,18.6166877746745 54.4427020675308,18.6177927215579 54.437851765505)))', 'PLSOP', 'Sopot', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6600276339732 53.6501267068227,14.6592593538542 53.6452531096648,14.656906024319 53.6405621774803,14.6530585442272 53.6362340918877,14.6478650815392 53.6324350450645,14.6415253320855 53.6293108734389,14.6342828281937 53.6269814774308,14.6264155953033 53.6255362380187,14.6182255132484 53.6250306025915,14.610026784105 53.6254839681543,14.602133939326 53.6268789411147,14.5948498346621 53.62916200131,14.5884540817682 53.6322455454207,14.5831923504213 53.6360112332608,14.5792669452305 53.6403145114141,14.5768290162519 53.6449901440306,14.5759727050647 53.6498585419294,14.5767314581032 53.6547326499555,14.5790766593523 53.6594251300787,14.5829186474093 53.6637555650212,14.5881100904271 53.6675574049387,14.5944516000537 53.6706843881799,14.6016993759928 53.6730161862817,14.6095745901846 53.6744630525683,14.6177741477134 53.6749692919735,14.6259824039462 53.6745154155418,14.6338833770153 53.6731188946408,14.6411729737105 53.6708334850938,14.6475707462658 53.667747147888,14.6528307174309 53.663978648433,14.6567508505704 53.6596729681878,14.659180798251 53.6549957086987,14.6600276339732 53.6501267068227)))', 'PLSPA', 'Stepnica', 'Y'),('SRID=4326;MULTIPOLYGON(((19.2107184502977 54.350641029449,19.2101092370127 54.3457604168362,19.207882265135 54.3410429894854,19.2041236132994 54.3366699537417,19.1989780734258 54.3328092317714,19.1926435335158 54.3296090283829,19.1853633506222 54.3271921600228,19.1774170104225 54.3256513601693,19.1691094305341 54.3250457377198,19.1607593119709 54.3253985211314,19.1526869758828 54.3266961726365,19.1452021402474 54.3288889055343,19.1385920931541 54.3318925851254,19.1331107057214 54.3355919421028,19.128968698781 54.3398449779163,19.126325533876 54.344488396506,19.1252832418312 54.3493438574931,19.1258824325973 54.3542248138981,19.1281006501803 54.3589436740334,19.1318531487064 54.3633190134258,19.1369960730418 54.3671825591999,19.1433319333789 54.3703856766489,19.1506171716442 54.3728051056868,19.1585715325264 54.3743477229951,19.1668888773315 54.3749541429848,19.1752490184237 54.3746010157805,19.1833301088116 54.373301931489,19.1908210977537 54.3711068949404,19.197433760376 54.3681003915445,19.2029138273716 54.3643981205072,19.2070507789354 54.3601425240177,19.2096859231606 54.3554972879753,19.2107184502977 54.350641029449)))', 'PLSTT', 'Sztutowo', 'Y'),('SRID=4326;MULTIPOLYGON(((19.4826591112014 54.2875443431197,19.482018483766 54.2826648690219,19.4797635969405 54.2779522497619,19.4759815973841 54.2735875054324,19.4708181684836 54.2697382387059,19.4644718797699 54.2665522140635,19.4571865345977 54.2641517037282,19.4492418133573 54.2626288138725,19.4409425698622 54.2620419669113,19.4326071854984 54.2624136717522,19.4245554181349 54.2637296653615,19.4170962000149 54.2659394576427,19.4105158405216 54.2689582591775,19.4050670758314 54.2726702196452,19.4009593783126 54.2769328554977,19.3983508947086 54.2815825004297,19.3973423246714 54.2864405729987,19.3979729815151 54.2913204238783,19.4002191970804 54.2960345019867,19.403995144828 54.3004015651349,19.4091560627046 54.3042536576318,19.4155037634621 54.3074425847986,19.4227942287768 54.3098456325291,19.4307469987644 54.3113703083551,19.4390559942618 54.3119579179634,19.4474013492273 54.31158583634,19.4554617878558 54.3102683838806,19.4629270577816 54.3080562727786,19.4695099282897 54.3050346454725,19.4749572809263 54.3013197824809,19.4790598582976 54.297054609235,19.4816602931575 54.2924031783347,19.4826591112014 54.2875443431197)))', 'PLSUZ', 'Suchacz', 'Y'),('SRID=4326;MULTIPOLYGON(((14.300278703203 53.9032538275981,14.299547803253 53.8983782741797,14.297220759865 53.8936805804429,14.2933874727268 53.8893411891688,14.2881955750612 53.8855267272094,14.2818447113219 53.882383622446,14.2745788464648 53.8800325009443,14.2666769051033 53.878563575931,14.2584420980225 53.8780332020662,14.250190339317 53.8784617242307,14.2422381887569 53.8798327013136,14.2348907702152 53.8820935339752,14.2284301177753 53.885157472876,14.2231043864801 53.8889069321811,14.2191183348708 53.8931979840668,14.2166254421452 53.8978658651812,14.215721964954 53.9027312871867,14.216443169024 53.907607312106,14.2187618909191 53.9123065304887,14.2225894978224 53.9166482674407,14.2277792212761 53.9204655390021,14.2341317478326 53.9236114895554,14.2414028593891 53.9259650597891,14.2493128325707 53.9274356636787,14.2575572338197 53.9279666909702,14.2658186884146 53.9275376973041,14.2737791604719 53.9261651955734,14.2811322592452 53.9239020172321,14.287595085888 53.9208352687285,14.2929191543567 53.9170829636341,14.2968999592624 53.9127894630182,14.2993848201712 53.9081199030294,14.300278703203 53.9032538275981)))', 'PLSWI', 'Świnoujście', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4461239647575 54.757916200345,18.445601862992 54.7530330973752,18.4434430443163 54.7483027091708,18.4397309887475 54.7439067436782,18.4346087189813 54.7400140056143,18.4282732479195 54.7367739291646,18.4209679823621 54.7343108598862,18.4129733785543 54.7327193018237,18.4045962071976 54.7320603086019,18.396157833949 54.7323591537241,18.387981955236 54.733604367104,18.3803822477109 54.7357481736772,18.373650392502 54.738708317567,18.3680449225612 54.7423712034854,18.3637813131121 54.7465962376201,18.3610236920775 54.7512212049039,18.3598784903551 54.7560684799188,18.3603902823384 54.7609518362437,18.3625399870315 54.7656835951173,18.366245511937 54.7700818399219,18.3713648285943 54.7739774189362,18.3777013736875 54.7772204654661,18.3850115769073 54.7796861817867,18.3930142302956 54.7812796608647,18.4014013376746 54.7819395566178,18.4098500207159 54.78164045814,18.4180350134174 54.7803938740891,18.4256412516033 54.7782477882018,18.4323760599119 54.7752848033604,18.4379804558107 54.7716189473622,18.4422391275915 54.7673912661872,18.4449886990481 54.76276437789,18.4461239647575 54.757916200345)))', 'PLSWR', 'Swarzewo', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6638969124206 53.5181251157379,14.6631305114581 53.5132514383946,14.6607840084531 53.5085604890352,14.6569480362391 53.5042324503452,14.6517703180155 53.5004335133314,14.6454499435905 53.4973095109637,14.6382297014432 53.4949803379324,14.6303867638124 53.4935353673176,14.6222220804172 53.4930300366435,14.6140488815101 53.4934837313916,14.6061807217169 53.4948790452027,14.5989195118453 53.4971624444111,14.5925439862456 53.5002463120392,14.5872990383579 53.5040122947079,14.5833863271053 53.5083158268954,14.5809565124278 53.5129916623168,14.5801034205405 53.5178602035302,14.5808603699221 53.5227343896825,14.5831988095715 53.5274268798569,14.5870293342273 53.5317572567931,14.592205050032 53.5355589735078,14.5985271720295 53.5386857738472,14.6057526456906 53.5410173371549,14.6136035023267 53.5424639264525,14.6217775866213 53.5429698577857,14.6299602371182 53.5425156542278,14.6378364602709 53.5411187995999,14.6451031176974 53.5388330621435,14.6514806457073 53.5357464148137,14.6567238460136 53.531977634174,14.6606313257485 53.5276717117119,14.6630532214241 53.5229942576096,14.6638969124206 53.5181251157379)))', 'PLSZS', 'Szczecin-Stołczyn', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6097983016076 53.4181438713494,14.6090398361196 53.4132697803438,14.6067047475753 53.4085777119183,14.6028832279958 53.4042478924053,14.5977224441971 53.4004465819508,14.5914208355614 53.397319705391,14.5842204710397 53.3949872683801,14.5763977616434 53.3935387697184,14.5682528830137 53.3930297825308,14.5600983077246 53.393479832567,14.5522468777219 53.3948716530502,14.544999863063 53.397151843921,14.5386354535715 53.4002329107946,14.5333981151598 53.4039966072664,14.529489212703 53.4082984551601,14.5270592571177 53.412973272628,14.5262020767495 53.4178415013256,14.526951143779 53.4227160926582,14.5292782070915 53.4274096906194,14.533094296434 53.4317418360191,14.5382530716957 53.4355459146167,14.5445563992776 53.4386755801514,14.5517619485368 53.4410104023727,14.5595925191333 53.4424605193532,14.5677467386288 53.4429701115935,14.5759107123853 53.4425195612296,14.5837701676236 53.4411262112089,14.5910226125161 53.4388436944495,14.5973890305361 53.435759859432,14.6026246499927 53.431993373986,14.6065283677082 53.4276891408837,14.6089504620967 53.4230127050988,14.6097983016076 53.4181438713494)))', 'PLSZZ', 'Szczecin', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5600320974883 53.6551618158428,14.5592752635637 53.6502876062436,14.5569327642892 53.6455947366516,14.5530950835364 53.6412634637152,14.5479100143997 53.6374601024748,14.5415769321093 53.6343306552768,14.5343391146814 53.6319952251206,14.5264744090167 53.6305434244642,14.5182845988081 53.6300309522432,14.5100838759343 53.6304774675003,14.5021868479487 53.631865839208,14.4948965301546 53.6341428003094,14.4884927712625 53.6372209814932,14.4832215467577 53.6409822485484,14.4792855241598 53.6452822181034,14.4768362599805 53.6499557818637,14.4759683304182 53.6548234307518,14.4767156281391 53.659698139094,14.4790499778638 53.6643925464807,14.4828821364147 53.6687261621487,14.4880651514036 53.6725323143983,14.4943999603274 53.6756645759773,14.5016430223076 53.6780024154224,14.5095156920088 53.6794558534826,14.517714973285 53.6799689419422,14.5259252323715 53.6795219279414,14.5338304099109 53.6781320184372,14.5411262499034 53.6758527146024,14.5475320629347 53.6727717424086,14.552801560797 53.669007660973,14.5567323388387 53.664705282131,14.5591736389849 53.6600300809686,14.5600320974883 53.6551618158428)))', 'PLTBZ', 'Trzebież', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5626968615626 54.3225162641345,19.562046289305 54.3176371825352,19.5597803941115 54.3129260195825,19.5559867458959 54.3085637387997,19.5508114751125 54.3047178476709,19.5444536050817 54.3015359806067,19.5371573824272 54.2991402499283,19.5292029035256 54.29762257824,19.5208953952167 54.2970411877591,19.5125535549134 54.297418378209,19.5044973876089 54.2987396763472,19.4970359944182 54.3009543888313,19.4904557688872 54.3039775376778,19.4850094433253 54.307693105851,19.4809063981577 54.3119584712904,19.4783046033708 54.3166098626847,19.4773045035301 54.321468631143,19.4779450880369 54.3263481000913,19.4802023081993 54.3310607325239,19.483989914797 54.3354253412029,19.4891626971581 54.3392740642436,19.4955220108039 54.3424588361028,19.5028233893356 54.3448571022303,19.5107859514419 54.3463765540223,19.5191032396879 54.3469586982565,19.5274550677519 54.346581120457,19.5355199100925 54.345258352837,19.542987344898 54.3430413124547,19.5495700588421 54.3400153316953,19.5550149407791 54.3362968587277,19.5591128300647 54.3320289578411,19.5617065416498 54.327375786345,19.5626968615626 54.3225162641345)))', 'PLTMO', 'Tolkmicko', 'Y'),('SRID=4326;MULTIPOLYGON(((15.7945980052157 54.2167266403343,15.7936861114513 54.2118615771653,15.7911728410446 54.2071942224307,15.7871552424094 54.2029038430848,15.7817880126325 54.1991551749861,15.7752775066262 54.1960921136629,15.7678737926993 54.19383220938,15.759861061965 54.1924621742802,15.7515467571651 54.1920345705395,15.7432498310611 54.1925658037124,15.7352885745115 54.1940354963751,15.7279684690842 54.1963872655158,15.7215705182457 54.1995308746629,15.7163404948354 54.2033456802561,15.7124795109984 54.2076852430557,15.7101362706729 54.2123829311429,15.7094013051774 54.2172583029238,15.7103034209334 54.2221240279773,15.7128085069292 54.2267930818355,15.7168207607524 54.2310859388686,15.7221862990165 54.234837486013,15.7286990243288 54.2379033894319,15.7361085305131 54.2401656661771,15.7441297446384 54.2415372429194,15.7524539324425 54.2419653227814,15.7607606365642 54.2414334277231,15.7687300775282 54.2399620359348,15.7760555277631 54.237607789105,15.7824551701047 54.2344613009115,15.7876829741998 54.2306436532235,15.7915381657759 54.2263017179636,15.7938729227147 54.2216024882358,15.7945980052157 54.2167266403343)))', 'PLUMS', 'Ustronie Morskie', 'Y'),('SRID=4326;MULTIPOLYGON(((16.1326484333767 54.2696069037855,16.1316955459073 54.2647446677821,16.1291409372709 54.2600846309076,16.1250832419648 54.255805776737,16.1196786930896 54.252072396668,16.1131350732184 54.2490277980022,16.1057037160895 54.2467888217254,16.0976698684664 54.2454413768708,16.0893417794044 54.2450371593635,16.0810389284438 54.2455916783694,16.0730798338893 54.2470836640318,16.0657698967192 54.2494558787893,16.0593897344942 54.2526173020152,16.0541844429256 54.2564466062863,16.0503541908476 54.2607967949628,16.0480465078731 54.2655008266422,16.0473505640939 54.2703780140719,16.0482936693178 54.2752409547228,16.0508401375907 54.2799027286958,16.0548925737112 54.2841840879588,16.0602955452429 54.2879203597368,16.0668415097514 54.290967796492,16.0742787765503 54.293209125165,16.0823211991832 54.294558078591,16.0906592231263 54.2949627311783,16.0989718563417 54.294407507524,16.1069390912629 54.2929137847612,16.1142542876139 54.2905390649094,16.1206360271726 54.2873747499739,16.1258389740947 54.2835426076144,16.1296633164995 54.2791900665437,16.1319624244688 54.2744845262947,16.1326484333767 54.2696069037855)))', 'PLUNI', 'Unieście', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8959638178608 54.5863344449076,16.8949123040884 54.581479417502,16.8922507879862 54.5768367795119,16.8880820120056 54.572584840317,16.882566470233 54.5688868524963,16.8759161967024 54.5658847605118,16.8683866058287 54.563693771277,16.860266700179 54.5623979514006,16.8518680183304 54.5620470165762,16.8435127393243 54.5626544334703,16.83552138923 54.564196905172,16.8282006089615 54.566615259532,16.8218314404831 54.5698167073012,16.816658570902 54.5736783856842,16.8128809410393 54.5780520545027,16.8106440775542 54.5827697683489,16.810034446684 54.5876503104916,16.8110760546931 54.5925061443553,16.8137294372999 54.5971506173577,16.8178930903035 54.6014051407554,16.823407299545 54.6051060685484,16.8300602338588 54.6081110086908,16.8375960737518 54.6103043206626,16.845724865301 54.6116015842389,16.8541337171304 54.6119528639355,16.862498901909 54.6113446405823,16.8704983855016 54.6098003338663,16.877824288742 54.6073793953016,16.8841947897411 54.6041750075595,16.8893649985297 54.6003104810197,16.8931363793703 54.5959344894663,16.8953643569611 54.591215331922,16.8959638178608 54.5863344449076)))', 'PLUST', 'Ustka', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4652517837796 53.8751956661291,14.4645021510095 53.8703210558302,14.4621581361784 53.8656265027284,14.4583102886048 53.8612923280157,14.4531067978195 53.8574849575425,14.4467477503755 53.8543505465809,14.4394774226497 53.8520093874696,14.4315749084964 53.8505513113585,14.4233434396007 53.8500322570459,14.4150988019818 53.8504721355882,14.4071572832487 53.8518540705788,14.3998236012596 53.8541250424689,14.3933792654438 53.8571979128083,14.3880718072222 53.8609547526225,14.3841052859931 53.865251350091,14.3816324326891 53.8699227279777,14.3807487349817 53.8747894625101,14.3814886982836 53.87966456409,14.3838244367567 53.8843606576239,14.3876666610822 53.8886971874037,14.3928680378186 53.8925073690416,14.3992288022596 53.8956446192912,14.406504416633 53.8979882135579,14.4144149822413 53.8994479499612,14.4226560416376 53.8999676369378,14.4309103487339 53.8995272671139,14.438860143829 53.8981437916892,14.4461994490628 53.8958704647303,14.4526458989186 53.8927947832254,14.4579516401339 53.8890351041238,14.4619128747113 53.8847360715017,14.4643776765638 53.8800630333247,14.4652517837796 53.8751956661291)))', 'PLWAP', 'Wapnica', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4611670384803 54.7979113030495,18.4606427565229 54.7930282698034,18.4584801880345 54.7882981371526,18.4547629582582 54.7839026030029,18.4496342893943 54.7800104552284,18.4432914403613 54.7767711050579,18.4359781010184 54.7743088699006,18.4279750369071 54.7727182215805,18.4195893425241 54.7720601786922,18.4111427095796 54.772359978256,18.4029591505068 54.7736061136456,18.3953526359862 54.7757507745834,18.3886151080684 54.7787116726258,18.3830053175958 54.7823751837755,18.3787389062944 54.7866006904306,18.3759801107321 54.7912259595316,18.3748354082722 54.7960733541323,18.3753493556072 54.8009566431789,18.3775027903271 54.805688150357,18.3812134777211 54.8100859685022,18.3863391916077 54.8139809620229,18.392683122939 54.8172232864518,18.4000014170879 54.8196881715757,18.4080125541901 54.8212807421365,18.4164082107084 54.8219396868958,18.424865178286 54.8216396315312,18.4330578711331 54.8203921216124,18.4406709280336 54.818245176677,18.4474114109194 54.8152814328871,18.453020119083 54.8116149474795,18.4572815755725 54.8073867908598,18.4600322981465 54.8027595995201,18.4611670384803 54.7979113030495)))', 'PLWLA', 'Władysławowo', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6592156412467 53.8381273268491,14.6584441139237 53.8332538728984,14.6560804429041 53.8285630563026,14.6522159297331 53.824235053627,14.6469994005015 53.8204360529365,14.6406314387851 53.817311887787,14.633356659959 53.8149824572436,14.6254543263652 53.8135371426677,14.6172276615808 53.8130313936973,14.6089922674089 53.8134846114632,14.6010640781525 53.8148794082531,14.5937473025611 53.8171622712821,14.5873228042414 53.8202456057308,14.5820373563081 53.8240110805687,14.5780941758969 53.8283141516721,14.5756450995454 53.8329895920949,14.5747847023744 53.8378578206852,14.5755465939777 53.8427317890353,14.5779020439134 53.8474241642842,14.581761002221 53.8517545325764,14.5869754884881 53.8555563457035,14.5933452301635 53.858683341942,14.6006253408918 53.8610151912189,14.6085357465978 53.8624621439423,14.6167719947977 53.8629685010805,14.6250170246986 53.8625147689146,14.6329534350428 53.8611184134697,14.6402757654942 53.8588331848224,14.6467023067694 53.8557470379362,14.6519859747344 53.85197873201,14.6559238232395 53.8476732421748,14.6583648274824 53.8429961636064,14.6592156412467 53.8381273268491)))', 'PLWLI', 'Wolin', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8307034325895 54.3457754582569,18.830139364325 54.3408933755482,18.8279563606208 54.3361693707957,18.8242388141761 54.3317849054898,18.8191299433189 54.3279083427143,18.8128262343512 54.3246884967668,18.8055698672485 54.3222489386217,18.7976394192931 54.3206832723773,18.7893392022621 54.3200515603895,18.7809876364248 54.3203780310969,18.7729050977369 54.3216501552067,18.7654016925492 54.3238191246421,18.7587654165283 54.3268017162306,18.7532511412977 54.3304834703227,18.7490708438052 54.3347230651546,18.7463854502258 54.3393577225259,18.7452986092902 54.3442094408883,18.7458526407041 54.3490918197164,18.7480268247172 54.3538172153735,18.7517381113471 54.3582039546168,18.7568442352663 54.3620833281768,18.7631491283713 54.3653060938394,18.7704104304146 54.3677482361302,18.778348812815 54.3693157575377,18.7866587558476 54.3699483132737,18.7950203585456 54.3696215464464,18.8031117169299 54.3683480314302,18.8106213819299 54.3661767880553,18.8172604048798 54.3631913856813,18.822773495963 54.3595067118745,18.8269488585096 54.3552645328987,18.8296263176465 54.3506280203663,18.8307034325895 54.3457754582569)))', 'PLWSG', 'Górki Wschodnie', 'Y'),('SRID=4326;MULTIPOLYGON(((-56.1236196857472 46.769727182891,-56.1243977484801 46.7648559268324,-56.1265435911324 46.7601825381986,-56.1299744464336 46.7558865376522,-56.134558271191 46.7521329095075,-56.1401188505607 46.749065778008,-56.1464425790727 46.7468028878113,-56.1532866564564 46.7454310978912,-56.1603883852884 46.7450030591804,-56.1674752181824 46.7455352012704,-56.1742751757128 46.7470071040199,-56.1805272431917 46.7493622777688,-56.1859913551287 46.7525103228576,-56.1904575906831 46.7563303871808,-56.1937542313175 46.7606757913945,-56.1957543724658 46.7653796469234,-56.1963808332486 46.7702612537293,-56.1956091705966 46.7751330343624,-56.1934686746593 46.7798077393799,-56.190041298719 46.7841056477119,-56.1854585562665 46.7878614846014,-56.1798964973739 46.7909307895434,-56.173568952754 46.7931954869935,-56.1667193036449 46.7945684428395,-56.1596110957152 46.7949968286471,-56.1525178627361 46.7944641619822,-56.1457125584891 46.7929909428479,-56.1394570116514 46.7906338613123,-56.133991817414 46.7874836074784,-56.1295270613869 46.7836613697131,-56.126234236862 46.7793141582472,-56.1242396674369 46.7746091367933,-56.1236196857472 46.769727182891)))', 'PMFSP', 'Saint Pierre', 'Y'),('SRID=4326;MULTIPOLYGON(((-66.0797223914209 18.4665966355427,-66.0803101106765 18.4617124612095,-66.0818849593881 18.457031529115,-66.0843863551589 18.452733692063,-66.0877181363941 18.4489840734648,-66.0917522629355 18.4459267278389,-66.0963337368 18.4436791111406,-66.1012865538968 18.4423275724763,-66.106420458731 18.4419240396231,-66.1115382438887 18.4424840251478,-66.1164433155974 18.4439860294972,-66.120947236589 18.4463723641189,-66.1248769582358 18.4495513634494,-66.1280814654561 18.4534009015109,-66.1304375798294 18.4577730788923,-66.1318546979651 18.4624999009419,-66.1322782823254 18.4673997297958,-66.1316919689975 18.4722842628909,-66.1301182096049 18.4769657700511,-66.1276174207056 18.4812643109244,-66.1242856715036 18.4850146549488,-66.1202509972803 18.4880726371664,-66.1156684793982 18.4903207047065,-66.1107142808903 18.4916724398262,-66.1055788675591 18.4920758848396,-66.1004596764732 18.4915155405528,-66.0955535154453 18.4900129611375,-66.0910489875825 18.4876259226944,-66.0871192339029 18.4844461979377,-66.0839152743651 18.4805960232846,-66.0815602040095 18.4762233950615,-66.0801444672846 18.4714963765567,-66.0797223914209 18.4665966355427)))', 'PRSJU', 'San Juan', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.185074403788 38.652054865033,-27.185675239898 38.6471698214651,-27.1874796313731 38.6424705414021,-27.1904180304886 38.6381375633324,-27.1943773778211 38.6343373223741,-27.1992054680548 38.6312157662659,-27.2047168066655 38.6288927608813,-27.210699731291 38.6274574980998,-27.2169245252067 38.6269650803477,-27.2231522142434 38.6274344112279,-27.2291437137847 38.6288474720601,-27.2346689798861 38.6311500116814,-27.2395158184168 38.6342536234004,-27.2434980184461 38.6380391304783,-27.2464625005249 38.6423611518453,-27.2482952063413 38.6470536747413,-27.2489255023856 38.651936422296,-27.2483289253035 38.6568217732047,-27.2465281587426 38.6615219688434,-27.2435921985675 38.6658563313357,-27.2396337328948 38.6696582147979,-27.2348048328151 38.6727814214349,-27.2292911161439 38.6751058340952,-27.2233046072814 38.6765420466543,-27.2170755686198 38.6770348120904,-27.210843620553 38.6765651738691,-27.2048484960965 38.6751511974606,-27.1993207910556 38.672847273416,-27.1944730708673 38.669742019193,-27.1904916806862 38.6659548615865,-27.1875295766688 38.6616314329443,-27.1857004550886 38.6569379602715,-27.185074403788 38.652054865033)))', 'PTADH', 'Angra do Heroísmo', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.59990264597374 41.132889806449,-8.60056821020701 41.1280101296429,-8.60247982617729 41.1233223632402,-8.60556380190562 41.1190065956859,-8.60970147049986 41.1152285915917,-8.61473377342699 41.1121334348818,-8.62046738061952 41.1098399689114,-8.62668211109514 41.1084362448484,-8.6331393702943 41.1079761508919,-8.63959128355835 41.1084773498981,-8.64579018015182 41.1099206033834,-8.65149806967831 41.1122505074612,-8.65649575299722 41.115377612945,-8.66059122281263 41.1191818495084,-8.66362703462039 41.1235171243328,-8.66548636595106 41.1282169208801,-8.66609752975051 41.1331006849882,-8.66543676483192 41.137980754861,-8.66352919077234 41.142669569954,-8.66044788420668 41.1469868821688,-8.65631110567103 41.1507666917333,-8.65127777819445 41.1538636398569,-8.64554138782223 41.1561586104578,-8.63932253925031 41.1575633233015,-8.63286045398136 41.1580237396561,-8.62640374139997 41.1575221475828,-8.62020080289474 41.1560778454065,-8.61449024420676 41.1537463966675,-8.60949167083198 41.1506174857131,-8.60539722556867 41.1468114577363,-8.60236419694167 41.1424746782822,-8.6005089837061 41.1377738929548,-8.59990264597374 41.132889806449)))', 'PTAFR', 'Afurada', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.61695271223495 41.0328949064338,-8.61761595128612 41.0280150363872,-8.61952340925293 41.0233268877271,-8.6226015549988 41.019010563874,-8.62673194628634 41.0152318511776,-8.6317558043237 41.0121358611723,-8.63748012310911 41.0098414695768,-8.64368507766809 41.008436763381,-8.65013244785288 41.007975668649,-8.65657473762536 41.008475886672,-8.66276464474309 41.0099182164976,-8.66846452321663 41.0122472894501,-8.6734554811511 41.0153736879233,-8.67754576962128 41.0191773683822,-8.68057814370247 41.0235122590376,-8.6824359139737 41.0282118578639,-8.68304745464282 41.033095618174,-8.68238899145113 41.0379758783415,-8.68048555685744 41.0426650706762,-8.67741006947649 41.0469829328678,-8.67328056683345 41.0507634443685,-8.66825569243151 41.0538612197925,-8.66252860700417 41.0561571116071,-8.65631955672183 41.0575628044275,-8.64986738526926 41.0580242219848,-8.64342031963466 41.0575236138405,-8.63722638914276 41.0560802403396,-8.63152385230547 41.0537496290479,-8.6265320057292 41.05062143177,-8.62244273362624 41.0468159658928,-8.61941312618803 41.042479575019,-8.61755945163899 41.0377789895689,-8.61695271223495 41.0328949064338)))', 'PTAGD', 'Aguda', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.76850826388418 37.6499424074773,-8.76912848895432 37.6450587003831,-8.77093485372909 37.6403650198496,-8.77385774675217 37.6360416892078,-8.77778471437262 37.6322547744093,-8.78256480177075 37.6291497139641,-8.78801436065222 37.6268457435833,-8.79392409944206 37.6254313276961,-8.80006710616684 37.6249607713305,-8.80620753876408 37.6254521408178,-8.81210965337525 37.6268865720757,-8.81754682897393 37.6292089926656,-8.82231024680484 37.6323302303095,-8.82621689556093 37.6361304280318,-8.8291165976477 37.6404636364544,-8.83089778755907 37.6451634088474,-8.83149181923983 37.6500491860049,-8.83087563388921 37.6549332273398,-8.82907268116884 37.6596278230183,-8.82615205308089 37.663952510387,-8.82222585846025 37.6677410169452,-8.81744493444396 37.6708476618519,-8.81199305669344 37.6731529681761,-8.80607986981031 37.6745682681031,-8.79993281070911 37.6750391220177,-8.79378833839035 37.6745474182896,-8.78788281172396 37.673112071886,-8.78244337119101 37.6707882945686,-8.77767918036233 37.6676654651648,-8.77377336822642 37.6638636829812,-8.7708759850095 37.6595291386159,-8.76909824319056 37.6548284821837,-8.76850826388418 37.6499424074773)))', 'PTAGR', 'Almograve', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.93503063304279 38.7499866032362,-8.93564929952534 38.7451029309866,-8.93747251137544 38.7404075919919,-8.94042999794423 38.7360809719782,-8.94440796761522 38.7322892606962,-8.9492535015456 38.7291780774993,-8.95478043744826 38.7268668895663,-8.96077651623017 38.7254444351053,-8.96701151799547 38.7249653252581,-8.97324607794485 38.7254479534669,-8.97924084813399 38.72687379143,-8.98476565860295 38.7291880982757,-8.98960833141014 38.7323020161358,-8.99358281359689 38.7360959728095,-8.99653631971911 38.7404242625853,-8.99835521059759 38.7451206313468,-8.99896938128189 38.7500046534985,-8.9983549864477 38.754888657498,-8.99653539374591 38.7595849350934,-8.99358032284302 38.7639129576653,-8.98960319759213 38.7677063219361,-8.98475680828023 38.7708191569003,-8.97922744741805 38.7731317439121,-8.97322774327652 38.7745551317664,-8.96698846767985 38.7750345672206,-8.96074963607989 38.7745516072615,-8.95475124674154 38.773124830697,-8.94922402060759 38.7708091212926,-8.94438050338252 38.7676935504433,-8.94040687657949 38.7638979420027,-8.9374557954177 38.7595682531486,-8.93564052989792 38.7548709509945,-8.93503063304279 38.7499866032362)))', 'PTALE', 'Alcochete', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.68383477433617 41.2669137014012,-8.68449553213987 41.2620336351579,-8.68640513486087 41.257344577224,-8.68948996582297 41.2530266657863,-8.69363132348698 41.2492457476875,-8.69867000632507 41.2461470184361,-8.70441243860827 41.2438494580971,-8.71063810054001 41.2424412745093,-8.71710797856383 41.2419765265843,-8.72357371477719 41.2424730554741,-8.72978710926767 41.2439118018055,-8.73550961655633 41.2462375347894,-8.74052147753249 41.249360965688,-8.74463014129093 41.2531621657856,-8.74767765678223 41.2574951595333,-8.74954675144692 41.2621935187275,-8.75016536194135 41.2670767451082,-8.7495094392156 41.2719571980988,-8.74760391472933 41.2766473027925,-8.74452178428473 41.2809667616429,-8.74038133829141 41.2847494922279,-8.73534163948301 41.2878500231047,-8.7295964182602 41.2901490999268,-8.72336661901008 41.2915582839846,-8.71689188515858 41.2920233640538,-8.71042131386458 41.2915264484165,-8.70420384113829 41.2900866553246,-8.69847863333331 41.2877593749272,-8.69346586068919 41.284634131542,-8.68935821290375 41.2808311298195,-8.68631348635315 41.2764966195894,-8.68444852900566 41.2717972599258,-8.68383477433617 41.2669137014012)))', 'PTANG', 'Angeiras', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.23435463579409 40.2167886586631,-8.23503680695077 40.2119104627013,-8.23694702582742 40.2072280002711,-8.24001166660652 40.2029211562083,-8.24411281540296 40.1991553538945,-8.24909282308416 40.1960752112576,-8.25476037031032 40.1937989983552,-8.26089781072594 40.1924141072272,-8.267269511506 40.1919737058521,-8.2736308743054 40.1924947029155,-8.27973769514385 40.1939571004,-8.28535550957838 40.1963047585137,-8.2902685700139 40.1994475441051,-8.29428811517031 40.203264781364,-8.29725961720055 40.2076098741788,-8.29906872901658 40.2123159248103,-8.29964570193888 40.2172021352306,-8.298968100373 40.2220807470211,-8.29706170399215 40.2267642543699,-8.29399955667371 40.231072613362,-8.28989919269576 40.2348401699818,-8.28491814170882 40.237922039224,-8.27924788188602 40.2401996881712,-8.2731064725509 40.2415855061584,-8.26673015076074 40.2420261841011,-8.26036421836811 40.2415047712087,-8.25425357503294 40.2400413288049,-8.2486332671389 40.2376921557612,-8.24371942188743 40.2345476158637,-8.23970092003919 40.2307286519996,-8.23673213060651 40.2263821231408,-8.23492698770883 40.2216751456508,-8.23435463579409 40.2167886586631)))', 'PTARF', 'Arrifana', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.70014898287914 40.6359193763708,-8.70080199933916 40.6310386556148,-8.70269209257017 40.6263487468699,-8.70574640278501 40.6220298223926,-8.70984740599652 40.6182477699379,-8.71483745293323 40.6151478308949,-8.72052483495528 40.6128490340666,-8.72669114273672 40.6114396366727,-8.73309963624193 40.6109737454679,-8.7395043078979 40.6114692458889,-8.74565929592149 40.6129071175344,-8.75132829220815 40.6152321618602,-8.75629358937294 40.6183551146148,-8.76036442445206 40.6221560631707,-8.76338430207043 40.6264890393975,-8.76523701684255 40.631187613898,-8.76585114231918 40.6360712789359,-8.76520281046177 40.6409523767239,-8.76331666958535 40.6456433081258,-8.76026497776714 40.6499637451947,-8.75616486036692 40.6537475698977,-8.75117383179883 40.6568492710368,-8.74548375014668 40.6591495515458,-8.7393134357304 40.6605599283281,-8.73290023855969 40.6610261455256,-8.72649088229854 40.6605302680722,-8.72033194191935 40.659091373769,-8.71466032723716 40.6567648168509,-8.70969414426369 40.6536400918477,-8.70562429081851 40.649837381196,-8.70260711283126 40.6455029212891,-8.70075840469287 40.6408033674011,-8.70014898287914 40.6359193763708)))', 'PTAVE', 'Aveiro', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.75159233491471 37.449938159981,-8.75221193583032 37.4450543740955,-8.75401447157076 37.4403607799452,-8.75693047982375 37.4360376978394,-8.76084777291328 37.4322511846838,-8.7656157683922 37.4291466641892,-8.77105128233777 37.4268433519864,-8.77694556174831 37.4254296878126,-8.78307228690575 37.4249599482498,-8.78919623920467 37.4254521684553,-8.7950823058257 37.4268874516106,-8.80050448046105 37.4292106922422,-8.80525451943366 37.4323326860542,-8.80914992498756 37.4361335463767,-8.81204095190685 37.4404672976982,-8.81381636922925 37.4451674718234,-8.81440775457593 37.4500534936649,-8.81379215308006 37.4549376130157,-8.81199299426025 37.4596321170874,-8.80907922632342 37.4639565470436,-8.80516269587755 37.4677446407806,-8.80039386926378 37.4708507339587,-8.79495605693715 37.47315537152,-8.78905836180688 37.4745699119535,-8.78292762360357 37.4750399452744,-8.77679967188293 37.4745473916033,-8.77091022834046 37.4731111985259,-8.76548581338981 37.4707866100433,-8.76073501177555 37.4676630356496,-8.75684043735849 37.463860602644,-8.75395170882104 37.4595255259646,-8.75217970721753 37.4548244755803,-8.75159233491471 37.449938159981)))', 'PTAZM', 'Azenha do Mar', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.43574558129838 37.0828554199139,-8.43638228940507 37.0779731103931,-8.43819538319792 37.0732841120422,-8.44111499969012 37.068968567858,-8.44502881722274 37.0651922451676,-8.44978639049508 37.0621001769496,-8.45520493804583 37.0598111018302,-8.46107635888911 37.0584129143684,-8.46717520982017 37.0579592984488,-8.47326733985391 37.0584676714759,-8.47911885441284 37.0599185172781,-8.48450506994567 37.0622561330192,-8.48921911998253 37.0653907618798,-8.49307988621158 37.0692020307535,-8.49593895263332 37.0735435626063,-8.49768631649111 37.0782485882966,-8.49825463540604 37.0831363442279,-8.49762184451074 37.0880190116805,-8.49581203857849 37.0927089322671,-8.49289458004932 37.0970258225889,-8.48898146205164 37.1008037103818,-8.48422302338787 37.1038973243945,-8.47880217726691 37.1061876906676,-8.47292737461097 37.1075867180755,-8.4668245734753 37.1080405948592,-8.46072852622826 37.1075318639,-8.45487372380799 37.1060800958615,-8.449485350313 37.1037411339822,-8.44477060074317 37.1006049400189,-8.44091069990745 37.0967921253508,-8.43805393205666 37.0924493023449,-8.43630995001066 37.0877434367091,-8.43574558129838 37.0828554199139)))', 'PTBNG', 'Benagil', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.73575098958652 37.0669345030069,-8.73636833634577 37.0620504755755,-8.73816261155619 37.057356787728,-8.74106467403348 37.0530337640125,-8.74496287453857 37.0492474600992,-8.74970736529793 37.0461432928822,-8.7551158649215 37.0438404656705,-8.76098065622901 37.0424274006576,-8.76707654916016 37.041958352167,-8.77316950573166 37.0424513291221,-8.77902559998471 37.0438874054538,-8.78441997375154 37.0462114445714,-8.78914544921186 37.0493342104874,-8.79302047160554 37.0531357856365,-8.79589607976058 37.0574701657817,-8.79766163756622 37.0621708574667,-8.7982491050916 37.0670572649452,-8.79763568227725 37.0719416228649,-8.79584471921322 37.0766362094369,-8.79294485283974 37.0809605632907,-8.78904739805877 37.0847484262548,-8.78430208911371 37.0878541440837,-8.77889133195554 37.0901582774016,-8.77302318745355 37.0915722051723,-8.76692335616168 37.0920415417251,-8.76082647564336 37.0915482342814,-8.75496706924315 37.0901112592246,-8.74957049937334 37.087785889968,-8.74484427819083 37.0846615650011,-8.74097007398478 37.0808584392404,-8.73809672336511 37.0765227529895,-8.73633451875312 37.0718211985472,-8.73575098958652 37.0669345030069)))', 'PTBRG', 'Burgau', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.03506756877406 38.6670139321657,-9.0356787180356 38.6621296629195,-9.03749328540604 38.6574326997379,-9.04044133275022 38.6531034913705,-9.04440943096077 38.6493083275738,-9.04924503980453 38.6461929607636,-9.05476237726841 38.6438770190668,-9.06074955175771 38.6424494233129,-9.06697668418375 38.6419649819307,-9.07320471097595 38.6424422927775,-9.07919453444419 38.6438630313102,-9.08471617441445 38.6461726520188,-9.08955757501714 38.6492824765843,-9.09353273292563 38.6530730897236,-9.09648883786798 38.6573989140405,-9.09831215215833 38.6620937902265,-9.09893240223888 38.6669773503344,-9.09832551034643 38.6718619410511,-9.09651455661271 38.6765598321621,-9.09356892902966 38.680890433649,-9.08960168831777 38.6846872436657,-9.08476524416329 38.6878042591745,-9.07924550574735 38.6901216010488,-9.07325473018763 38.6915501352948,-9.06702334480332 38.6920349106065,-9.06079106063984 38.691557278289,-9.05479762353395 38.6901356118263,-9.04927356380347 38.6878245979974,-9.04443130570432 38.6847131272116,-9.04045698310874 38.680920865374,-9.03750327911937 38.6765936408803,-9.03568356589854 38.6718978262029,-9.03506756877406 38.6670139321657)))', 'PTBRO', 'Barreiro', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.7995262142041 41.8669464489605,-8.80018460175302 41.8620662221249,-8.80210377740564 41.8573757553007,-8.80520974874947 41.8530552400992,-8.80938299604362 41.8492706219102,-8.81446308941444 41.8461672363563,-8.82025486227795 41.8438642401149,-8.82653590252685 41.8424500477021,-8.83306507497691 41.841978947167,-8.83959175132133 41.8424690227234,-8.84586539846445 41.8439014628061,-8.85164516330477 41.8462212796853,-8.85670909215702 41.8493394134851,-8.86086263604322 41.8531361411303,-8.86394611869033 41.8574656612731,-8.8658408815383 41.8621616814228,-8.86647386830501 41.8670437949905,-8.86582046921301 41.8719244052343,-8.86390551000934 41.8766159313977,-8.86080234119058 41.880938020595,-8.85663005583835 41.8847244878098,-8.85154893737872 41.8878297159223,-8.84575430845554 41.8901342677421,-8.83946901598506 41.8915494919302,-8.83293484251394 41.892020943359,-8.82640317770975 41.8915304843941,-8.82012531411654 41.8900969849713,-8.81434274675235 41.8877755940956,-8.80927785596105 41.8846556112696,-8.80512533716651 41.8808570410661,-8.80204471058022 41.8765259653458,-8.80015419995263 41.8718289134215,-8.7995262142041 41.8669464489605)))', 'PTCAM', 'Caminha', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.18508283233864 38.6330548436094,-9.18568351448909 38.6281697844941,-9.18748743424171 38.6234704902067,-9.19042506219357 38.6191374998183,-9.19438336868676 38.6153372489742,-9.19921018845089 38.6122156858569,-9.20472007574122 38.6098926766734,-9.21070142384109 38.6084574135029,-9.21692457641882 38.6079649988235,-9.22315062215354 38.6084343361329,-9.22914053935211 38.6098474064911,-9.2346643446846 38.6121499583335,-9.23950990002628 38.615253584445,-9.24349104371166 38.61903910747,-9.2464547369298 38.623361145662,-9.24828695181166 38.6280536855598,-9.24891707390606 38.6329364496035,-9.24832064677109 38.6378218158415,-9.24652034852029 38.6425220250729,-9.24358515721595 38.646856398935,-9.2396277315583 38.6506582911612,-9.23480010271804 38.6537815036834,-9.22928783961392 38.6561059191878,-9.22330291065852 38.6575421314953,-9.21707551733652 38.6580348936303,-9.21084521658412 38.657565249198,-9.2048516778828 38.6561512638951,-9.19932543590366 38.6538473285784,-9.19447899972861 38.6507420610847,-9.19049866512157 38.6469548886549,-9.18753734771816 38.6426314441426,-9.18570871369094 38.6379379551084,-9.18508283233864 38.6330548436094)))', 'PTCAP', 'Costa da Caparica', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.73362189946073 41.6829274858052,-8.73428333088978 41.6780474887139,-8.73620175729785 41.6733579701433,-8.73930321769045 41.6690390853436,-8.74346836775502 41.6652567174226,-8.74853708999998 41.6621561161351,-8.75431465498925 41.6598563319135,-8.76057919570588 41.658445656619,-8.76709020918969 41.6579782438318,-8.77359776247587 41.6584720365443,-8.77985205458638 41.6599080805694,-8.78561297359897 41.6622312496013,-8.79065928798481 41.6653523545713,-8.7947971244635 41.6691515576159,-8.79786741021949 41.6734829615066,-8.7997519947461 41.6781802005791,-8.80037821474955 41.6830628207089,-8.79972172299397 41.6879432051888,-8.797807466852 41.6926337817107,-8.79470877243316 41.6969542339609,-8.79054456295533 41.700738440202,-8.78547481271366 41.7038408708114,-8.77969440764681 41.7061421968591,-8.77342564714755 41.7075538917545,-8.76690967659997 41.7080216466925,-8.76039718363753 41.7075274665911,-8.7541387212598 41.706090364614,-8.74837503627465 41.7037656281307,-8.7433277813049 41.7006426848403,-8.73919097282572 41.6968416524741,-8.73612352714843 41.6925087067581,-8.73424316240325 41.6878104480854,-8.73362189946073 41.6829274858052)))', 'PTCNV', 'Castelo do Neiva', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.71818572212445 38.3999278281968,-8.71881594251818 38.3950450472573,-8.72064430361799 38.3903528210643,-8.7236003415879 38.3860314154215,-8.72757032456022 38.3822468200484,-8.73240164346102 38.3791443817901,-8.73790868345636 38.3768432331686,-8.74387994937429 38.3754317282323,-8.75008617245303 38.374964058974,-8.75628909005541 38.3754581805569,-8.76225056564714 38.3768951239027,-8.76774170406937 38.3792197216677,-8.77255161729558 38.3823427201587,-8.77649550844623 38.3861441972613,-8.77942176648446 38.3904781568533,-8.7812178000165 38.3951781252841,-8.7818143848912 38.4000635369877,-8.78118835538423 38.4049466656433,-8.77936353085495 38.4096398357271,-8.77640983672876 38.4139626377369,-8.77244064804418 38.417748869369,-8.76760845295154 38.4208529346728,-8.76209899967661 38.4231554534234,-8.75612415079108 38.4245678629824,-8.74991372053127 38.4250358336362,-8.74370661204001 38.424541364337,-8.73774159987687 38.4231034770997,-8.73224811761184 38.4207774829671,-8.72743741010007 38.4176528482168,-8.72349439514338 38.413849744069,-8.72057055038561 38.4095144143486,-8.71877809982024 38.4048135412957,-8.71818572212445 38.3999278281968)))', 'PTCRC', 'Carrasqueira', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.0676304232814 39.6664657481161,-31.0683883266393 39.6615956354516,-31.0703607494059 39.6569333452677,-31.0734716881014 39.6526579831466,-31.0776014634648 39.6489337609475,-31.0825913390138 39.6459036996213,-31.0882496259334 39.6436841480233,-31.0943590389883 39.6423603260798,-31.1006850223951 39.6419830614038,-31.106984729388 39.6425668430162,-31.1130163155992 39.6440892659118,-31.1185481950385 39.6464918876073,-31.1233679087267 39.6496824644307,-31.1272902698827 39.6535384830697,-31.1301644756162 39.65791185368,-31.1318799125943 39.6626345864774,-31.1323704320122 39.6675252358548,-31.131616925933 39.6723958661547,-31.129648100788 39.6770592724909,-31.1265394123518 39.6813361793574,-31.1224101973035 39.6850621397216,-31.1174191068222 39.6880938680128,-31.1117580146846 39.6903147615955,-31.1056446331949 39.6916393962378,-31.0993141222951 39.6920168206009,-31.0930100180212 39.6914325213528,-31.0869748341878 39.6899089823042,-31.0814407044904 39.6875048158627,-31.0766204304895 39.684312500874,-31.0726992842682 39.6804548152703,-31.0698278837533 39.6760801026761,-31.0681164152088 39.6713565571804,-31.0676304232814 39.6664657481161)))', 'PTCVU', 'Corvo Island Apt', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.66687724292083 41.1829089616228,-8.6675383745621 41.1780289229205,-8.66944670547683 41.1733400730575,-8.67252866894543 41.1690225423206,-8.67666567442496 41.1652421631298,-8.68169868803655 41.162144110571,-8.68743435185019 41.1598473390276,-8.69365240565872 41.1584400263357,-8.70011412738869 41.157976198189,-8.70657147144836 41.1584736605445,-8.71277655923381 41.1599133181873,-8.7184911634064 41.1622399052114,-8.72349582776602 41.1653640998519,-8.72759827756955 41.169165943756,-8.73064080062944 41.1734994363103,-8.73250631675934 41.1781981298318,-8.73312290102881 41.1830815129615,-8.73246658338671 41.1879619389468,-8.730562311669 41.1926518338877,-8.72748303461953 41.1969709083938,-8.72334693379803 41.2007530950204,-8.71831290535679 41.203852943516,-8.71257446172387 41.206151226082,-8.70635228630848 41.2075595348427,-8.6998857286616 41.2080236924618,-8.69342357060007 41.2075258428229,-8.68721442361655 41.2060851401016,-8.681497133026 41.2037570093075,-8.67649156401106 41.2006310072309,-8.67239012903986 41.1968273673903,-8.66935038580031 41.1924923638141,-8.66748899127611 41.1877926742246,-8.66687724292083 41.1829089616228)))', 'PTDOU', 'Douro', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.58399425961519 40.9498856395727,-8.58465904515569 40.945005896389,-8.58656639388801 40.9403182251975,-8.58964278002417 40.93600271109,-8.59376982986956 40.9322251094525,-8.59878889359521 40.9291304893876,-8.60450714954262 40.9268376743041,-8.61070500536167 40.9254346909626,-8.61714451292642 40.92497539954,-8.62357847728278 40.9254774322646,-8.62975991492693 40.9269215185642,-8.63545150419632 40.9292522222432,-8.64043467082229 40.932380062874,-8.64451796473942 40.9361849412348,-8.64754440971602 40.9405207391663,-8.64939754454779 40.9452209194206,-8.65000592235751 40.9501049126456,-8.64934589150612 40.9549850480257,-8.64744254590148 40.9596737625476,-8.6443688018919 40.9639908122823,-8.64024263093192 40.9677702080583,-8.63522254904759 40.9708666076319,-8.62950153290228 40.9731609166802,-8.62329959506098 40.9745648809997,-8.61685530510079 40.9750244910686,-8.6104165860527 40.9745220661472,-8.60423114527983 40.9730769365165,-8.59853691388502 40.9707446972096,-8.59355286837632 40.9676150624401,-8.58947059262049 40.9638084045708,-8.58644690784282 40.9594711126753,-8.58459785503214 40.9547699514436,-8.58399425961519 40.9498856395727)))', 'PTEMZ', 'Esmoriz', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.76669904252596 41.5329372643099,-8.76735640000937 41.5280569387712,-8.76926794747917 41.5233667279389,-8.77235998988443 41.519046814135,-8.77651354572938 41.5152631205813,-8.78156894313514 41.512160948562,-8.78733196394201 41.5098594093835,-8.79358129854551 41.5084468627097,-8.80007702634307 41.5079775341907,-8.80656979959746 41.508469440364,-8.81281038327139 41.5099036992476,-8.81855919065875 41.5122252526704,-8.82359545478037 41.5153449730812,-8.82772568852269 41.5191430752384,-8.83079111202353 41.5234737037073,-8.83267376313933 41.5281705222615,-8.83330105488148 41.533053092781,-8.83264860102417 41.53793380054,-8.83074119581905 41.5426250611002,-8.82765190369507 41.5469465323284,-8.82349928744231 41.5507320538991,-8.81844287589469 41.5538360462292,-8.81267704160519 41.5561391208864,-8.80642352250528 41.5575526844439,-8.79992287624945 41.5580223564402,-8.7934251993662 41.5575300680463,-8.78718047342646 41.556094759434,-8.78142891575902 41.5537716485861,-8.77639171204799 41.5506501001581,-8.7722624924503 41.5468501776904,-8.76919988243321 41.5425180137435,-8.76732141581263 41.5378201783064,-8.76669904252596 41.5329372643099)))', 'PTEPS', 'Esposende', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.38492685924487 38.9831102085992,-9.38551665251375 38.9782244652244,-9.38731609623995 38.9735223881811,-9.39025582836114 38.9691846237192,-9.39422273433235 38.9653777905582,-9.39906431564203 38.9622480888746,-9.40459455817639 38.9599156962512,-9.4106010737288 38.9584701637699,-9.41685324127408 38.9579669869847,-9.42311103829022 38.9584254816752,-9.4291342274965 38.9598280447432,-9.43469155160507 38.9621208281718,-9.4395695884114 38.9652158005283,-9.44358093078228 38.9689941179748,-9.44657138049103 38.9733106770545,-9.44842588069167 38.9779996764637,-9.44907295804912 38.9828809762715,-9.44848750071182 38.9877670120987,-9.44669176062673 38.9924699998493,-9.4437545360106 38.9968091546266,-9.43978855966331 39.0006176460483,-9.43494618856912 39.0037490214829,-9.42941355707884 39.006082848534,-9.42340341709578 39.007529357741,-9.41714694143202 39.0080329048522,-9.41088480848203 39.007574117709,-9.40485791563365 39.006170643933,-9.39929808402088 39.0038764701884,-9.39441911759286 39.0007798395708,-9.39040856500877 38.9969998483736,-9.38742050425693 38.9926818548669,-9.38556962848607 38.9879918787326,-9.38492685924487 38.9831102085992)))', 'PTERC', 'Ericeira', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.59996926578919 40.9998901066234,-8.60063340691565 40.9950103105478,-8.60254109619 40.9903224171938,-8.60561879406809 40.9860065201611,-8.60974807592534 40.9822283894463,-8.61477020586529 40.9791331143205,-8.62049224437619 40.976839543168,-8.62669445400091 40.9754357316031,-8.63313871979031 40.9749755714555,-8.63957766458717 40.9754767282166,-8.6457641142074 40.976919964927,-8.65146055505012 40.9792498780698,-8.65644822692474 40.9823770177017,-8.66053550692584 40.9861813117037,-8.663565265661 40.9905166645707,-8.66542091432672 40.9952165563605,-8.66603090895004 41.0001004289819,-8.66537153510538 41.0049806163763,-8.66346786073552 41.0096695535819,-8.66039281415202 41.0139869880823,-8.65626441634364 41.0177669158154,-8.65124126861783 41.0208639739306,-8.64551646543444 41.0231590425995,-8.63931016514671 41.0245638382242,-8.63286110547037 41.0250243191608,-8.62641739338907 41.0245227710806,-8.62022692886332 41.0230784905179,-8.61452783672716 41.0207470399066,-8.60953928080636 41.0176181032561,-8.60545301859376 41.0138120262651,-8.60242602453212 41.0094751758825,-8.60057446652826 41.0047743000335,-8.59996926578919 40.9998901066234)))', 'PTESP', 'Espinho', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.74971599327695 41.499932387702,-8.75037427993916 41.4950521337528,-8.75228606951278 41.4903621788851,-8.7553776581383 41.4860426955741,-8.759530082172 41.4822595905486,-8.76458371349875 41.4791581425786,-8.77034440191183 41.4768574352858,-8.77659092732491 41.4754457965204,-8.78308347679613 41.4749774171896,-8.78957282429897 41.4754702774714,-8.79580986594507 41.4769054587866,-8.80155515065146 41.479227867526,-8.80658804639966 41.4823483432189,-8.81071519525083 41.4861470714961,-8.81377793580854 41.4904781727218,-8.81565840914646 41.495175292346,-8.8162841122611 41.5000579805314,-8.81563072040745 41.5049386179127,-8.81372306438553 41.5096296226871,-8.81063421875935 41.5139506625407,-8.80648272957558 41.5177355937755,-8.80142808262631 41.5208388595977,-8.79566458273701 41.523141099634,-8.7894138780155 41.5245537526878,-8.78291641766576 41.5250224734353,-8.77642217535161 41.5245292297212,-8.7701810001527 41.5230929984985,-8.76443297244816 41.5207690332157,-8.75939914185281 41.5176467313132,-8.75527300862691 41.5138461851842,-8.75221307954655 41.5095135512157,-8.75033678551585 41.5048154173039,-8.74971599327695 41.499932387702)))', 'PTFAE', 'Fao', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.82538784978001 40.1419554181509,-8.82602693614211 40.1370735407905,-8.82789446476926 40.1323811328501,-8.83091844779727 40.1280584641984,-8.83498252927039 40.1242715683426,-8.83993047878059 40.1211658746789,-8.84557220286186 40.1188606347617,-8.8516910419998 40.1174443545022,-8.85805207409343 40.116971405565,-8.86441110871633 40.1174599442731,-8.87052403164018 40.1188912167294,-8.87615614651554 40.1212102764265,-8.88109116070111 40.1243280872354,-8.88513947499175 40.1281249322526,-8.88814546206484 40.1324549994377,-8.88999345513004 40.1371519700953,-8.89061221545117 40.1420353977151,-8.88997770365525 40.1469176339696,-8.88811404322774 40.1516110370016,-8.88509263313472 40.1559351854489,-8.88102943762567 40.159723820519,-8.87608055222809 40.1628312480363,-8.87043621288782 40.1651379524827,-8.86431347726853 40.1665552049855,-8.85794786067537 40.1670284858648,-8.85158425148381 40.1665395882623,-8.84546746035932 40.1651073207137,-8.83983277255002 40.1627867812203,-8.83489687240286 40.1596672311967,-8.83084949400207 40.1558686523263,-8.82784612218899 40.1515371206128,-8.8260020256041 40.1468391777126,-8.82538784978001 40.1419554181509)))', 'PTFDF', 'Figueira da Foz', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.15111198969121 38.5670455072951,-9.15171444040175 38.5621605635934,-9.15351894025659 38.5574617385566,-9.15645593841113 38.553129553195,-9.16041243013042 38.5493304123022,-9.16523632036449 38.5462102215908,-9.17074227611527 38.5438887947831,-9.17671884158104 38.5424552634379,-9.18293654373997 38.5419646637579,-9.18915668000519 38.5424358297156,-9.19514045492988 38.5438506722338,-9.20065812037756 38.5461548716731,-9.20549777345501 38.5492599574175,-9.20947347883606 38.5530466958344,-9.21243240653219 38.5573696582141,-9.21426071198073 38.5620627952901,-9.21488793145087 38.5669458062751,-9.21428972076968 38.5718310595029,-9.21248882744402 38.5765307999785,-9.20955425325733 38.5808643673246,-9.20559863391724 38.584665146353,-9.2007739316614 38.58778698196,-9.19526560311038 38.5901098100027,-9.18928546530304 38.5915442855968,-9.18306353511798 38.5920352287863,-9.17683915882122 38.5915637533022,-9.17085177736642 38.5901479953445,-9.16533168795177 38.5878424139201,-9.1604911624973 38.5847356900398,-9.1565162691402 38.5809473067276,-9.15355971424524 38.5766229431135,-9.1517349811374 38.5719288617892,-9.15111198969121 38.5670455072951)))', 'PTFDT', 'Fonte da Telha', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.8863973243086 32.6424484478291,-16.8868635191205 32.6375535826938,-16.8884492674766 32.6328297126345,-16.891093469872 32.6284583388647,-16.8946943975071 32.6246073927566,-16.8991136189063 32.6214247911782,-16.9041813273012 32.6190327632074,-16.9097028629168 32.6175231645632,-16.9154661800267 32.6169539580553,-16.9212499738916 32.6173469937297,-16.9268321585868 32.6186871728647,-16.9319983739799 32.6209230273875,-16.9365501991358 32.6239686925671,-16.9403127602022 32.6277071979589,-16.9431414430436 32.6319949514604,-16.9449274538361 32.6366672458328,-16.9456020134677 32.6415445778449,-16.9451390225155 32.6464395387893,-16.9435560910798 32.6511640127508,-16.9409138898148 32.6555364065772,-16.9373138428662 32.6593886336021,-16.9328942476326 32.6625725819495,-16.9278249677952 32.6649658175083,-16.9223009023666 32.6664763007149,-16.9165344822144 32.6670459340929,-16.9107474844882 32.6666528026092,-16.905162482872 32.6653120195717,-16.8999942663488 32.6630751449918,-16.8954415605078 32.6600281988952,-16.8916793732771 32.6562883467343,-16.888852261879 32.6519993856454,-16.8870687808991 32.647326206711,-16.8863973243086 32.6424484478291)))', 'PTFNC', 'Funchal', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.1847283253834 39.4170557207154,-9.18533548676108 39.4121713051747,-9.18715925077713 39.4074726001032,-9.19012931725619 39.403140120427,-9.19413140446552 39.3993402799121,-9.19901166270519 39.3962190083113,-9.20458259447367 39.3938961579638,-9.21063025253432 39.3924609125824,-9.21692244039759 39.3919683724439,-9.22321760333309 39.3924374453259,-9.22927407311616 39.3938501229671,-9.23485931700903 39.3961521703911,-9.23975884133333 39.3992552020161,-9.24378441241032 39.403040065992,-9.24678128227902 39.4073614085652,-9.24863414274101 39.4120532452736,-9.24927157785299 39.416935327103,-9.24866884054879 39.4218200588651,-9.24684884181303 39.4265197052275,-9.24388130859148 39.4308536079611,-9.23988013695119 39.4346551366525,-9.2349990372045 39.4377781045396,-9.22942563496424 39.4401024010385,-9.22337425357378 39.4415386222732,-9.21707765636608 39.4420315194018,-9.21077806935474 39.4415621302981,-9.20471783429039 39.4401485113654,-9.19913005714093 39.4378450408834,-9.19422961724992 39.4347403210815,-9.19020488768229 39.4309537608197,-9.18721048828636 39.4266309720956,-9.18536135115325 39.4219381595346,-9.1847283253834 39.4170557207154)))', 'PTFOZ', 'Foz do Arelho', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.70176557062896 37.0496622703993,-7.70244887994091 37.0447846638556,-7.70430600081068 37.0401076062026,-7.70726538245455 37.0358107784596,-7.71121318086413 37.0320592267136,-7.71599765145627 37.0289970314583,-7.72143498548372 37.0267417842766,-7.72731636518246 37.0253800820599,-7.73341596783684 37.0249642099167,-7.73949961431638 37.0255101386138,-7.74533373423265 37.0269969124915,-7.75069430837715 37.0293674511221,-7.75537544987222 37.0325307344599,-7.75919729848227 37.0363652887804,-7.76201292742095 37.0407238412504,-7.76371399802101 37.0454389663179,-7.7642349437094 37.0503295089418,-7.76355551938929 37.0552075394734,-7.76170161375353 37.0598855739592,-7.75874428809573 37.0641837826663,-7.75479707341882 37.0679369092684,-7.75001162543754 37.0710006335144,-7.74457190169735 37.0732571310463,-7.73868708377424 37.074619614618,-7.73258351782257 37.0750356801669,-7.72649598634933 37.0744893274817,-7.72065865119841 37.0730015767706,-7.7152960210688 37.0706296571753,-7.71061429584304 37.0674647989812,-7.70679342462399 37.0636287156703,-7.70398018539869 37.0592689128507,-7.70228255302205 37.0545530064287,-7.70176557062896 37.0496622703993)))', 'PTFUZ', 'Fuzeta', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-28.5851463098449 38.5174356166485,-28.5856512514587 38.5125449933193,-28.5873607038829 38.5078257221363,-28.5902087621006 38.5034591164558,-28.5940858284608 38.4996129084078,-28.59884284697 38.4964348143263,-28.6042970408807 38.494046871978,-28.6102389316658 38.4925407650958,-28.6164403704243 38.491974312714,-28.6226632759281 38.4923692562952,-28.6286687479997 38.4937104283157,-28.634226211451 38.4959463336394,-28.639122244774 38.4989911215652,-28.643168759184 38.5027278738032,-28.6462102171403 38.5070130837218,-28.6481296144168 38.5116821568328,-28.6488529951155 38.5165557233167,-28.6483523233073 38.5214465219463,-28.6466465964641 38.5261665922597,-28.6438011524169 38.5305344992405,-28.6399251908328 38.5343823126477,-28.6351675995127 38.5375620717459,-28.629711242409 38.5399514852848,-28.623765927375 38.5414586455558,-28.6175603246226 38.5420255731556,-28.6113331493109 38.541630454274,-28.6053239516573 38.5402884831225,-28.5997638740361 38.5380512764978,-28.5948667359391 38.5350048832124,-28.5908207943422 38.5312664659579,-28.58778149958 38.5269797848493,-28.5858655265518 38.5223096583502,-28.5851463098449 38.5174356166485)))', 'PTHOR', 'Horta', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.1347681160898 39.3664876767995,-31.1355172615584 39.3616166994485,-31.1374759773879 39.35695273397,-31.1405687895091 39.3526749512396,-31.1446767166199 39.3489476572239,-31.1496418617166 39.3459139920132,-31.1552734847442 39.3436904438899,-31.1613553222939 39.3423623869956,-31.1676538746418 39.3419808119241,-31.1739273452851 39.3425603731444,-31.1799348945539 39.3440788272383,-31.1854458575199 39.3464778833302,-31.1902485776394 39.3496654336887,-31.1941585213119 39.3535190802153,-31.1970253644535 39.3578908232914,-31.1987387795192 39.3626127350451,-31.1992326990587 39.3675034011852,-31.1984878883741 39.3723748856067,-31.1965327232978 39.3770399512,-31.1934421373289 39.3813192596072,-31.1893347728578 39.3850482725912,-31.1843684412309 39.3880835883644,-31.1787340631412 39.3903084673614,-31.1726483214305 39.3916373328267,-31.1663453101962 39.3920190710689,-31.1600675047665 39.3914390027777,-31.154056404744 39.3899194485683,-31.1485432156269 39.387518866799,-31.1437399328701 39.384329597472,-31.13983117573 39.3804743003832,-31.1369670876512 39.3761012264341,-31.1352575767452 39.37137850611,-31.1347681160898 39.3664876767995)))', 'PTLAJ', 'Lages das Flores', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.66887824406543 41.1809095405087,-8.66953920617377 41.1760294879882,-8.67144733567578 41.1713406025919,-8.67452907360328 41.1670230159855,-8.67866583807831 41.1632425627485,-8.68369860446793 41.1601444208214,-8.68943402431613 41.1578475480272,-8.69565184675776 41.1564401260926,-8.70211335857545 41.1559761849042,-8.70857052221267 41.1564735347538,-8.71477546597582 41.1579130847371,-8.72048996804969 41.1602395730726,-8.72549457616009 41.1633636817752,-8.72959701774116 41.1671654557856,-8.73263958094792 41.1714988971713,-8.73450518408462 41.1761975602158,-8.73512189891246 41.1810809347367,-8.73446575039472 41.1859613743217,-8.73256167989129 41.1906513045606,-8.72948262842483 41.19497043472,-8.72534676888371 41.1987526952287,-8.72031298813231 41.2018526330054,-8.71457478905343 41.2041510168254,-8.70835284562468 41.2055594349216,-8.70188649844659 41.2060237057509,-8.69542452121609 41.2055259688366,-8.68921551845329 41.2040853740099,-8.68349832991956 41.2017573421207,-8.67849281687796 41.1986314261461,-8.67439138966135 41.1948278562864,-8.67135160568634 41.1904929038757,-8.6694901235356 41.1857932446703,-8.66887824406543 41.1809095405087)))', 'PTLEI', 'Leixões', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.0680529194737 38.700022955503,-9.06866210430575 38.6951385431813,-9.07047534605898 38.6904410960045,-9.07342275702851 38.6861110814071,-9.07739093207412 38.6823148201336,-9.08222732761987 38.679198106699,-9.08774613118762 38.6768806208349,-9.09373539480133 38.6754513425197,-9.09996515924746 38.6749651446313,-9.10619626014183 38.6754406923318,-9.11218948211569 38.6768597286824,-9.11771471490409 38.6791677735015,-9.12255976505585 38.6822762090251,-9.126538489385 38.6860656734261,-9.12949794079778 38.6903906335987,-9.13132425304635 38.6950849636358,-9.13194703720499 38.6999683167893,-9.131342117794 38.7048530478961,-9.1295324986859 38.7095514214996,-9.12658751607087 38.7138828291253,-9.122620205394 38.717680737953,-9.11778297863842 38.7207991026425,-9.11226177482598 38.7231179920735,-9.10626890734799 38.7245482125873,-9.10003488407388 38.7250347478645,-9.09379951775623 38.7245588813786,-9.08780267313632 38.7231389186007,-9.08227501199431 38.7208294807527,-9.07742909747601 38.7177193976747,-9.07345120435889 38.7139282820191,-9.07049415319174 38.7096019182801,-9.06867144480654 38.704906646045,-9.0680529194737 38.700022955503)))', 'PTLIS', 'Lisboa', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.64073483808517 37.1069093915799,-8.64135862108357 37.1020259238903,-8.64315970341049 37.0973337389865,-8.64606868239947 37.0930131031708,-8.64997364348476 37.0892299799629,-8.65472447984604 37.0861296638014,-8.66013866716601 37.0838312099751,-8.66600827065064 37.0824228727837,-8.67210791615615 37.0819587252102,-8.67820342209175 37.0824565883063,-8.68406076479448 37.0838973487484,-8.68945503801 37.0862256904266,-8.6941790673134 37.0893522123934,-8.69805135276261 37.0931568529639,-8.70092303743461 37.0974934901262,-8.70268363503374 37.1021955435155,-8.70326529539936 37.1070823647092,-8.70264544103377 37.1119661719883,-8.70084766891955 37.1166592642071,-8.69794087777346 37.1209812369327,-8.69403664908179 37.1247659231134,-8.68928497816417 37.1278677903618,-8.68386851639111 37.1301675472505,-8.67799554482134 37.1315767411001,-8.67189195035927 37.1320411685089,-8.66579251578893 37.131542965823,-8.65993186287273 37.1301012980653,-8.65453540181517 37.1277716194765,-8.6498106401201 37.1246435345369,-8.64593918922916 37.1208373428795,-8.64306977901101 37.1164994026555,-8.64131254949618 37.1117964926087,-8.64073483808517 37.1069093915799)))', 'PTLOS', 'Lagos', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.4851377524809 38.5334085561139,-28.4856495552027 38.5285182371105,-28.4873659314497 38.523800298086,-28.4902207104521 38.5194360007141,-28.4941040369345 38.5155929880554,-28.4988666152094 38.512418853466,-28.5043254558422 38.5100354825795,-28.5102709026524 38.5085343836828,-28.5164746708065 38.5079731837577,-28.5226985899786 38.5083734229275,-28.5287037210886 38.5097197307021,-28.5342595017284 38.5119604150701,-28.5391525744098 38.5150094420369,-28.5431949632463 38.5187497305901,-28.5462312882691 38.5230376381726,-28.5481447415889 38.5277084663944,-28.548861595005 38.532582777587,-28.5483540630062 38.5374732813942,-28.5466414066435 38.5421920281434,-28.5437892303683 38.5465576331924,-28.5399069932142 38.5504022543987,-28.5351438250279 38.5535780535195,-28.5296828050521 38.5559628915112,-28.5237339212524 38.5574650367335,-28.5175259817129 38.5580267029108,-28.5112977918156 38.5576262789371,-28.5052889408201 38.5562791634371,-28.4997305574538 38.5540371713914,-28.4948363954462 38.5509865358767,-28.4907945965233 38.5472445827924,-28.4877604508446 38.5429552081052,-28.4858504345136 38.5382833335584,-28.4851377524809 38.5334085561139)))', 'PTMAD', 'Madalena do Pico', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.66887824406543 41.1809095405087,-8.66953920617377 41.1760294879882,-8.67144733567578 41.1713406025919,-8.67452907360328 41.1670230159855,-8.67866583807831 41.1632425627485,-8.68369860446793 41.1601444208214,-8.68943402431613 41.1578475480272,-8.69565184675776 41.1564401260926,-8.70211335857545 41.1559761849042,-8.70857052221267 41.1564735347538,-8.71477546597582 41.1579130847371,-8.72048996804969 41.1602395730726,-8.72549457616009 41.1633636817752,-8.72959701774116 41.1671654557856,-8.73263958094792 41.1714988971713,-8.73450518408462 41.1761975602158,-8.73512189891246 41.1810809347367,-8.73446575039472 41.1859613743217,-8.73256167989129 41.1906513045606,-8.72948262842483 41.19497043472,-8.72534676888371 41.1987526952287,-8.72031298813231 41.2018526330054,-8.71457478905343 41.2041510168254,-8.70835284562468 41.2055594349216,-8.70188649844659 41.2060237057509,-8.69542452121609 41.2055259688366,-8.68921551845329 41.2040853740099,-8.68349832991956 41.2017573421207,-8.67849281687796 41.1986314261461,-8.67439138966135 41.1948278562864,-8.67135160568634 41.1904929038757,-8.6694901235356 41.1857932446703,-8.66887824406543 41.1809095405087)))', 'PTMAT', 'Matosinhos', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.10337800774646 32.6995554318715,-7.10405051849683 32.6946777961304,-7.10583532720258 32.6900047931011,-7.10866370030009 32.685715953346,-7.1124268552774 32.6819760258288,-7.11698015472947 32.6789286571714,-7.12214866791484 32.6766908830568,-7.12773388561122 32.6753486417001,-7.13352133139163 32.6749534801241,-7.13928877945799 32.6755205784775,-7.14481476692372 32.6770281675304,-7.14988707762665 32.6794183616028,-7.15431087551949 32.6825993754697,-7.15791617840837 32.6864490411999,-7.16056438691332 32.6908194913551,-7.16215361826765 32.6955428303413,-7.16262263885598 32.7004375776545,-7.16195324175912 32.7053156367637,-7.16017097424119 32.7099895226365,-7.15734418299311 32.7142795703061,-7.15358140970444 32.7180208469145,-7.14902723367126 32.7210695004531,-7.14385671908628 32.7233082996274,-7.13826867986665 32.724651150166,-7.13247802199086 32.7250464123037,-7.12670746026968 32.724478890582,-7.12117893161571 32.722970418685,-7.11610503906409 32.7205790166978,-7.11168085948406 32.7173966537395,-7.1080764331776 32.7135457031284,-7.10543022607266 32.709174227914,-7.10384381624085 32.7044502797463,-7.10337800774646 32.6995554318715)))', 'PTMDM', 'Madalena do Mar', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.70024797652114 40.4329197209197,-8.70089892831951 40.4280388207941,-8.70278323473056 40.4233487252345,-8.70582826062786 40.4190296140896,-8.70991684032323 40.4152473829017,-8.71489180248462 40.4121472806501,-8.72056201760817 40.4098483431294,-8.72670973453084 40.4084388335737,-8.73309892535009 40.4079728634524,-8.73948432157928 40.4084683213736,-8.7456207994832 40.409906188422,-8.75127276001358 40.4122312658185,-8.75622314894752 40.4153542874283,-8.76028177571859 40.4191553372564,-8.76329261466678 40.4234884425608,-8.7651398093045 40.4281871683748,-8.76575214762078 40.4330710007415,-8.76510583296511 40.4379522753031,-8.76322543883489 40.4426433862768,-8.76018300474749 40.4469639992265,-8.75609530181129 40.4507479899738,-8.75111936787914 40.4538498416625,-8.74544648039764 40.4561502521621,-8.7392947973719 40.4575607339904,-8.73290095050793 40.4580270276585,-8.72651091713353 40.457531195301,-8.72037052694777 40.4560923128377,-8.71471597460859 40.4537657336357,-8.70976470891804 40.4506409524662,-8.70570705392024 40.4468381532014,-8.702698887331 40.4425035749188,-8.70085565879526 40.4378038768329,-8.70024797652114 40.4329197209197)))', 'PTMIR', 'Mira', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.93505290481467 38.6999866207354,-8.93567113404669 38.6951029061164,-8.93749307016365 38.6904075254511,-8.94044849205222 38.6860808661626,-8.94442368778022 38.6822891196539,-8.94926584522425 38.6791779068004,-8.95478893173265 38.6768666960892,-8.96078083580061 38.6754442267462,-8.96701149745349 38.6749651105802,-8.97324171807826 38.6754477413098,-8.97923231588678 38.6768735905026,-8.98475328075142 38.6791879167601,-8.9895925821742 38.6823018613254,-8.99356429663707 38.686095850803,-8.99651574517759 38.6904241780525,-8.99833336802915 38.6951205873744,-8.99894710948139 38.700004651519,-8.99833314130772 38.7048886972966,-8.99651481536563 38.7095850148831,-8.99356180315226 38.7139130742178,-8.98958744974837 38.7177064707532,-8.98474443904069 38.7208193324124,-8.97921893358205 38.7231319396928,-8.97322341314032 38.7245553407531,-8.96698848825044 38.725034781939,-8.96075400656513 38.7245518200504,-8.95475979858083 38.7231250339357,-8.94923642404191 38.7208093076315,-8.94439628029722 38.7176937130393,-8.94042541910019 38.7138980747561,-8.93747638951082 38.7095683509381,-8.93566238303212 38.7048710098995,-8.93505290481467 38.6999866207354)))', 'PTMON', 'Montijo', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.04165036381323 39.5850160977064,-9.04226898652691 39.5801325612254,-9.04410676198259 39.575436224248,-9.0470928505448 39.5711075097188,-9.05111235473771 39.5673126857863,-9.05601075650081 39.5641974886858,-9.06159986289202 39.5618815368879,-9.06766503060481 39.5604537489376,-9.07397339283967 39.5599689388442,-9.0802827756844 39.5604457179713,-9.08635096629238 39.5618657827888,-9.09194498251356 39.5641746154113,-9.09684999358356 39.5672835704307,-9.10087755401303 39.5710732690978,-9.10387283759063 39.5753981722953,-9.10572059470826 39.5800921587904,-9.10634960296214 39.5849748966375,-9.10573543672962 39.5898587647914,-9.1039014443549 39.5945560602288,-9.10091788953389 39.5988862140882,-9.09689928400307 39.6026827390965,-9.09200000900928 39.605799640045,-9.08640839043556 39.6081170390675,-9.08033945404521 39.6095457972923,-9.07402664038497 39.6100309529942,-9.06771280105672 39.6095538421939,-9.06164082736679 39.6081328189158,-9.05604427740537 39.6058225469623,-9.05113836767564 39.6027118908669,-9.04711168047923 39.5989204883521,-9.04411890908514 39.5945941379306,-9.04227492064409 39.5898991811618,-9.04165036381323 39.5850160977064)))', 'PTNZR', 'Nazaré', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.1517474691485 37.0827805819796,-8.15240236062915 37.0779000093972,-8.1542328604575 37.0732155556812,-8.15716843821351 37.0689071879502,-8.16109616101696 37.0651403969358,-8.16586505171758 37.0620598490555,-8.17129189643133 37.0597838405365,-8.17716827741434 37.0583997646518,-8.18326856222295 37.0579607642478,-8.18935854521562 37.0584836965383,-8.19520441377349 37.0599484873115,-8.20058169985298 37.0622988990645,-8.20528387798154 37.0654446840444,-8.20913028355751 37.0692650406877,-8.21197304995154 37.0736132424037,-8.21370279870576 37.0783222628769,-8.21425286299724 37.0832111837317,-8.21360187902163 37.0880921400048,-8.21177464125035 37.0927775376023,-8.20884118348496 37.0970872657083,-8.20491411585615 37.1008556264865,-8.20014431576934 37.1039377145372,-8.19471513555399 37.1062149991562,-8.18883534851275 37.1075998927957,-8.18273110563096 37.1080391281132,-8.17663721513136 37.1075158121318,-8.17078808451572 37.1060500774766,-8.16540867844651 37.103698305348,-8.16070584514528 37.100550950604,-8.15686034895739 37.0967290537906,-8.15401991806566 37.0923795759752,-8.15229357536878 37.0876697377479,-8.1517474691485 37.0827805819796)))', 'PTOLA', 'Olhos de Agua', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.80277379758666 37.0266890263492,-7.80345041368386 37.0218106987362,-7.80530078479325 37.0171319199592,-7.80825361919521 37.0128324376553,-7.81219532384808 37.0090774002693,-7.81697438749104 37.0060110224062,-7.8224072082189 37.003751056336,-7.82828514082397 37.0023842800451,-7.83438249436479 37.0019631732233,-7.84046517574456 37.0025039072909,-7.84629965162236 37.0039857256794,-7.85166188943346 37.0063517379219,-7.85634593900456 37.0095110975742,-7.86017182920052 37.0133424815359,-7.86299247886332 37.0176987388565,-7.86469935727068 37.0224125324338,-7.86522667535664 37.0273027588073,-7.86455394353731 37.0321815009946,-7.86270679335872 37.0368612482296,-7.8597560261831 37.0411621054363,-7.85581492033546 37.0449187148535,-7.85103489591349 37.0479866225489,-7.8455997010919 37.0502478433492,-7.83971834251247 37.0516154082467,-7.83361703269041 37.052036717493,-7.8275304670309 37.0514955688509,-7.82169277022165 37.0500127820038,-7.81632846518514 37.0476453948579,-7.8116438168108 37.0444844631742,-7.8078188873957 37.0406515493805,-7.80500061182729 37.0362940373304,-7.80329715939335 37.0315794551471,-7.80277379758666 37.0266890263492)))', 'PTOLH', 'Olhão', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.6184819655627 37.7326347716056,-25.6191782693742 37.7277584270666,-25.6210587739635 37.7230836425351,-25.6240510240611 37.7187900100109,-25.6280399091248 37.7150424506465,-25.6328721051799 37.7119848892137,-25.6383619719921 37.7097347371194,-25.6442986782051 37.7083783938685,-25.6504542819935 37.7079679377988,-25.6565924599639 37.708519131594,-25.6624775535248 37.7100108181871,-25.6678835904466 37.7123857300184,-25.6726029401743 37.7155526811238,-25.6764542746245 37.7193900591256,-25.6792895313276 37.7237504847809,-25.6809996121289 37.7284664621411,-25.6815185971395 37.7333568042449,-25.6808263087698 37.738233589099,-25.6789491226416 37.7429093796941,-25.675958988819 37.7472044308665,-25.6719706956602 37.7509536054873,-25.6671374770274 37.754012732877,-25.6616451288326 37.7562641632256,-25.6557048602001 37.7576213024254,-25.6495451553013 37.7580319509627,-25.6434029618871 37.7574803168521,-25.6375145498644 37.7559876241948,-25.6321063966686 37.7536112937148,-25.6273864550381 37.7504427273526,-25.6235361431676 37.7466037833944,-25.6207033678477 37.7422420794854,-25.6189968494651 37.7375253061768,-25.6184819655627 37.7326347716056)))', 'PTPDL', 'Ponta Delgada', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.7327803445313 41.3739276563665,-8.73343857796976 41.3690473921596,-8.73534784475481 41.3643576084551,-8.7384345395687 41.3600384713348,-8.74257988797473 41.3562558745625,-8.74762453428583 41.353155077819,-8.75337467339724 41.3508551401777,-8.75960948976526 41.3494443603533,-8.76608961901602 41.3489768965823,-8.77256631069161 41.3494706940404,-8.77879094546031 41.3509067981332,-8.784524547436 41.3532300796064,-8.78954693241772 41.3563513441123,-8.79366514586932 41.3601507465262,-8.79672086995919 41.3644823808271,-8.79859651625769 41.369179871537,-8.79921976866485 41.3740627542191,-8.79856639835036 41.3789434018505,-8.79666123709027 41.383634232234,-8.79357726517358 41.3879549199407,-8.78943284250035 41.3917393351441,-8.7843871838226 41.394841941324,-8.77863424836816 41.3971434039365,-8.77239527739835 41.3985551921037,-8.76591026778778 41.3990229940781,-8.75942871298548 41.3985288131951,-8.75319997269074 41.3970916624226,-8.74746364781901 41.3947668303623,-8.74244033710726 41.3916437474249,-8.73832313602504 41.387842535575,-8.7352702082793 41.3835093763036,-8.7333987165814 41.3788108772517,-8.7327803445313 41.3739276563665)))', 'PTPDV', 'Povoa de Varzim', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.34075774631139 39.3540988681521,-9.34135351116056 39.3492136316324,-9.34316519041608 39.3445124794876,-9.34612294813687 39.3401760215149,-9.35011297478474 39.3363708250238,-9.35498188279424 39.3332430259822,-9.36054260918359 39.3309127276323,-9.36658159717575 39.3294693996273,-9.37286698193787 39.3289684522762,-9.37915746908029 39.3294291156543,-9.38521156956515 39.3308337037971,-9.39079684187775 39.3331282917722,-9.39569879206736 39.3362247799998,-9.39972909457364 39.3400042676999,-9.40273282127176 39.3443216076672,-9.40459440218828 39.3490109695387,-9.40524208779049 39.3538921999846,-9.4046507381947 39.358777737322,-9.40284282726723 39.3634798161371,-9.3998876172556 39.3678176855556,-9.39589852983217 39.3716245633884,-9.39102880957349 39.3747540576987,-9.38546564311841 39.3770858071547,-9.37942295872165 39.3785301211855,-9.37313318396032 39.3790314393685,-9.36683828156219 39.3785704751725,-9.36078041274826 39.3771649603588,-9.35519259272741 39.3748689609372,-9.35028970331565 39.3717707913676,-9.34626021306089 39.3679896083992,-9.34325892642951 39.3636708173263,-9.3414010419167 39.3589804694297,-9.34075774631139 39.3540988681521)))', 'PTPEN', 'Peniche', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9349001890862 39.0502617427404,-27.9354525652496 39.0453736859283,-27.9372170667171 39.0406635641316,-27.9401256706482 39.0363123351372,-27.9440664538681 39.0324871366091,-27.9488879163419 39.0293348749035,-27.9544048119894 39.0269765938186,-27.9604052614579 39.0255028375142,-27.9666588744577 39.024970183595,-27.9729255725781 39.0253990776737,-27.9789647782245 39.0267730512976,-27.9845446221828 39.0290393527439,-27.9894508216823 39.0321109667542,-27.9934948927172 39.0358699467248,-27.996521384444 39.0401719330764,-27.998413859013 39.0448516863254,-27.9990993861497 39.0497294244403,-27.998551376751 39.054617722875,-27.9967906419149 39.0593287134765,-27.9938846310466 39.0636813061903,-27.9899448725503 39.0675081557387,-27.9851227104558 39.0706621044125,-27.9796034973534 39.0730218515881,-27.9735994654073 39.0744966299064,-27.967341550307 39.0750297061702,-27.9610704854197 39.0746005704686,-27.9550275131408 39.0732257280393,-27.9494450761206 39.0709580628729,-27.9445378518996 39.0678847978421,-27.9404944804877 39.0641241309034,-27.9374703062169 39.0598206784618,-27.9355814141247 39.0551399031995,-27.9349001890862 39.0502617427404)))', 'PTPRG', 'Praia da Graciosa', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.49672472386336 37.1328713448663,-8.49735797896433 37.127988722288,-8.49916855470857 37.1232988114935,-8.50208668409917 37.1189817907168,-8.50600010185749 37.1152034840671,-8.51075837740351 37.112109000662,-8.51617870186889 37.1098171717141,-8.52205290584984 37.1084159972919,-8.52815543936202 37.1079592757075,-8.53425201035589 37.1084645433671,-8.54010855425657 37.1099124031554,-8.54550019501412 37.1122472668143,-8.55021985843843 37.1153794832473,-8.55408621114171 37.1191887721591,-8.55695062286009 37.1235288328323,-8.55870288555412 37.12823295298,-8.55927546841195 37.1331204041656,-8.55864614225064 37.1380033797279,-8.55683886802888 37.1426942097213,-8.55392291011685 37.1470125759722,-8.5500102032051 37.1507924495352,-8.54525106965327 37.1538884827445,-8.53982844895289 37.1561816084438,-8.53395086008854 37.1575836291457,-8.52784436836258 37.1580406176998,-8.52174386842713 37.1575349970559,-8.51588402300323 37.1560862180681,-8.51049021076797 37.1537500089344,-8.50576983649905 37.1506162255878,-8.5019043418035 37.1468053868721,-8.49904222632087 37.1424640294482,-8.49729334850938 37.1377590630213,-8.49672472386336 37.1328713448663)))', 'PTPRM', 'Portimao', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.0180453275291 38.717009298195,-27.0186580580206 38.712125159316,-27.0204749995862 38.7074284997398,-27.0234261224326 38.7030997563772,-27.0273978790576 38.699305200921,-27.0322375886776 38.6961905622226,-27.0377593119682 38.6938754402777,-27.0437509892654 38.6924487243215,-27.0499825690398 38.6919651889531,-27.0562148174442 38.6924433972685,-27.0622084751237 38.6938649903586,-27.0677334149774 38.6961753900446,-27.0725774545291 38.6992858882651,-27.0765544890001 38.7030770440353,-27.0795116357255 38.7074032592565,-27.0813351165093 38.7120983596902,-27.0819546507955 38.716981968791,-27.0813461876949 38.7218664313072,-27.0795328671491 38.7265640218277,-27.076584167684 38.7308941617142,-27.0726132678638 38.7346903666659,-27.0677727180309 38.7378066567106,-27.0622485854239 38.7401231804503,-27.0562532965033 38.741550835239,-27.0500174526356 38.7420347035486,-27.043780936838 38.7415561715959,-27.0377836581379 38.7401336475608,-27.0322562949038 38.7378218513503,-27.0274113985496 38.7347097036339,-27.0234352042936 38.7309168965176,-27.0204804668855 38.7265892795023,-27.0186605977242 38.7218932402368,-27.0180453275291 38.717009298195)))', 'PTPRV', 'Praia da Vitória', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.2822484322976 33.0633094709046,-16.2827492024378 33.058416175889,-16.2843739046347 33.0536991555939,-16.2870599415234 33.0493396447505,-16.2907039781004 33.0455051160459,-16.2951659298435 33.0423428535128,-16.3002743530698 33.0399743038553,-16.30583302934 33.0384904210616,-16.3116284915008 33.0379481814248,-16.3174382043575 33.0383684013378,-16.323039089048 33.0397349406053,-16.3282160677057 33.0419953213972,-16.3327703043095 33.045062739252,-16.3365268287423 33.0488193897086,-16.3393412536697 33.0531209841196,-16.3411053272068 33.0578022828248,-16.3417511074018 33.0626834348348,-16.3412535959367 33.0675768819737,-16.3396317263882 33.072294563297,-16.3369476648763 33.0766551434382,-16.3333044456711 33.0804909869193,-16.3288420288574 33.0836546095449,-16.3237319289201 33.0860243575491,-16.3181706195628 33.0875090945063,-16.3123719688023 33.0880517140843,-16.306558997269 33.0876313420479,-16.3009552799295 33.0862641417518,-16.2957763258954 33.0840026916617,-16.291221271921 33.0809339590301,-16.2874652125605 33.0771759484811,-16.2846524643447 33.0728731557238,-16.2828910238943 33.0681910028557,-16.2822484322976 33.0633094709046)))', 'PTPXO', 'Porto Santo', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.88577817277431 36.9999740620564,-8.88638535952407 36.9950891768322,-8.88816882447453 36.9903931443817,-8.8910598417389 36.9860663801338,-8.89494718582587 36.9822750841246,-8.89968142498432 36.9791648654577,-8.90508067031408 36.976855160053,-8.91093755873301 36.9754346541683,-8.91702720251335 36.9749578875371,-8.92311580282852 36.9754431649522,-8.92896960066101 36.9768718554146,-8.93436382622456 36.9791891053898,-8.93909130810421 36.9823059391732,-8.94297041561529 36.986102666801,-8.94585203206969 36.9904334702655,-8.94762529200161 36.9951319938199,-8.94822186086587 37.0000177255758,-8.94761858984199 37.0049029268833,-8.94583843936264 37.0095998443626,-8.94294963071661 37.0139279278473,-8.93906305315291 37.0177207764596,-8.93432802172602 37.0208325447261,-8.92892654595139 37.0231435608143,-8.92306632847601 37.0245649389268,-8.91697276384646 37.0250420065411,-8.9108802478035 37.0245564130424,-8.90502313549911 37.0231268375506,-8.89962670131803 37.020808268338,-8.89489845291702 37.0176898819513,-8.8910201376763 37.0138916047242,-8.88814075166756 37.0095594905767,-8.88637082079129 37.0048600947951,-8.88577817277431 36.9999740620564)))', 'PTSAG', 'Sagres', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.86813312425388 38.5189684518064,-8.86875430524131 38.5140849440301,-8.87057599755805 38.509390459197,-8.8735279916512 38.5050653503499,-8.87749670907223 38.5012757496261,-8.88232958770839 38.4981671959779,-8.88784095167829 38.4958590563792,-8.89381913926803 38.4944399527501,-8.90003461613595 38.4939643682007,-8.90624876516981 38.4944505612051,-8.91222301991363 38.495879866667,-8.91772799610429 38.4981974103203,-8.92255227592193 38.5013142094503,-8.92651051206265 38.5051105804247,-8.92945054333176 38.5094407239049,-8.93125924941698 38.5141383136789,-8.93186691875578 38.5190228764882,-8.93124995851263 38.5239067195046,-8.92943183782275 38.5286021404627,-8.92648222249143 38.5329286438033,-8.92251432882207 38.5367198850904,-8.91768059351824 38.5398300756106,-8.91216682288072 38.5421395991912,-8.90618504501657 38.5435596232131,-8.89996534085437 38.5440355244449,-8.89374697107407 38.5435489962,-8.8877691447025 38.5421187546124,-8.88226178975092 38.539799816465,-8.87743668618378 38.5366813767715,-8.87347930671291 38.5328833689254,-8.8705416821123 38.5285518414639,-8.86873656630058 38.5238533312977,-8.86813312425388 38.5189684518064)))', 'PTSET', 'Setúbal', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.83937922612014 37.9529610809408,-8.8399974041925 37.9480772471341,-8.84180675751132 37.9433827290375,-8.84473755646979 37.939057881915,-8.84867704109796 37.935268829358,-8.85347377423952 37.9321610911056,-8.8589434679809 37.9298540047061,-8.86487605841457 37.9284361532831,-8.8710437579824 37.9279619730146,-8.87720977903934 37.928449668931,-8.88313739797575 37.9298805179539,-8.88859901695001 37.9321995855598,-8.89338488036424 37.9353178289601,-8.89731111566307 37.9391155071689,-8.90022679249343 37.9434467687009,-8.90201973001662 37.948145242698,-8.90262082813451 37.9530304207281,-8.90200675313487 37.9579145857955,-8.90020086997382 37.9626100234828,-8.89727237995828 37.9669362385266,-8.89333369154238 37.970726899082,-8.8885361206659 37.973836240607,-8.88306408277949 37.9761446814693,-8.87712799866533 37.9775634323406,-8.87095618776293 37.9780379201097,-8.8647860636312 37.9775498929323,-8.85885497453619 37.9761181243181,-8.85339104661987 37.9737976887903,-8.84860438699543 37.9706778373913,-8.8446789894336 37.9668785559102,-8.84176565674911 37.962545939916,-8.83997621290554 37.9578465664713,-8.83937922612014 37.9529610809408)))', 'PTSIE', 'Sines', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.6187461102635 37.099640004454,-7.61943527245377 37.0947630329923,-7.62129876678221 37.0900874414598,-7.62426479752384 37.0857928540835,-7.62821926549544 37.0820442304861,-7.63301017045876 37.0789855384025,-7.63845345725657 37.0767342347324,-7.6443400802987 37.0753767649427,-7.65044401624017 37.0749652517773,-7.65653092009613 37.0755154988949,-7.6623670966703 37.0770063851433,-7.66772844773279 37.0793806725086,-7.67240905620537 37.0825471972522,-7.67622908168546 37.0863843613159,-7.67904166658989 37.0907447916352,-7.68073858829582 37.0954609903712,-7.68125443879868 37.1003517609374,-7.68056916813316 37.1052291645205,-7.6787088892906 37.1099057407978,-7.67574490846755 37.1142017156238,-7.6717910127655 37.1179519181494,-7.66699911529941 37.1210121402621,-7.66155342232565 37.1232646921292,-7.65566334575276 37.124622938257,-7.64955543469463 37.1250346377108,-7.64346463931207 37.1244839584715,-7.63762524725138 37.1229920874778,-7.63226184627127 37.1206164126621,-7.62758066553114 37.1174483089902,-7.62376163255569 37.1136096148976,-7.62095145382782 37.1092479363819,-7.61925798565171 37.1045309613085,-7.6187461102635 37.099640004454)))', 'PTSLZ', 'Santa Luzia', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.2350753985367 38.6500685076267,-27.2356728223982 38.6451832159617,-27.2374738956911 38.6404831733092,-27.2404091979625 38.6361489476924,-27.2443657884156 38.6323470223285,-27.2491915672153 38.6292234097479,-27.2547011281891 38.6268980548091,-27.2606828768746 38.6254602395408,-27.2669071414488 38.6249651642411,-27.2731349679637 38.6254318343783,-27.2791272665858 38.6268423332571,-27.2846539629048 38.6291425079404,-27.2895028082098 38.6322440424629,-27.2934875149153 38.6360278398501,-27.2964549077178 38.6403485847785,-27.2982908168623 38.6450403136829,-27.2989244860277 38.6499227804249,-27.2983313223543 38.6548083747539,-27.2965338782491 38.6595093289575,-27.293601021654 38.6638449362373,-27.2896453210338 38.6676485030307,-27.2848187407541 38.6707737669144,-27.2793068090048 38.6731005316341,-27.2733214811774 38.6745393005344,-27.267092973987 38.6750347281355,-27.2608608872816 38.674567755334,-27.254864959471 38.6731563449034,-27.2493358174765 38.6708547885564,-27.2444860823408 38.6677516126042,-27.2405021771175 38.663966163914,-27.2375371550914 38.6596440092054,-27.2357048250879 38.6549513266697,-27.2350753985367 38.6500685076267)))', 'PTSMT', 'São Mateus', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.2851420919226 38.517354007915,-28.2856673763758 38.512464310284,-28.287396545069 38.5077490639627,-28.2902629367841 38.5033894262574,-28.2941562516304 38.4995528605727,-28.2989268119727 38.4963867123134,-28.3043913234858 38.494012560425,-28.3103399135894 38.4925215595214,-28.3165441776263 38.4919709494254,-28.3227659264796 38.4923818643566,-28.3287663039929 38.4937385246146,-28.3343149292827 38.4959888412361,-28.3391987181855 38.4990464106532,-28.3432300496872 38.5027938237713,-28.346253966889 38.5070871640199,-28.3481541371941 38.5117615236279,-28.3488573418848 38.5166373283164,-28.3483363196931 38.5215272292768,-28.346610850569 38.5262432989491,-28.3437470325051 38.5306042546793,-28.3398547735768 38.5344424324057,-28.3350835906648 38.5376102413048,-28.3296168728746 38.5399858496136,-28.3236648286718 38.5414778809915,-28.317456388569 38.542028938735,-28.3112303774519 38.5416178204742,-28.3052263003684 38.5402603368646,-28.2996751014282 38.5380087022176,-28.2947902566095 38.5349495207585,-28.2907595476797 38.5312004470008,-28.2877378367562 38.5269056503323,-28.2858411205496 38.5222302602508,-28.2851420919226 38.517354007915)))', 'PTSRP', 'São Roque do Pico', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.0801682921547 38.4390261012267,-9.08077448743893 38.4341414106813,-9.08258042419873 38.4294435738089,-9.08551649803912 38.4251130735689,-9.08946974117472 38.4213162501464,-9.09428818436813 38.4181989205474,-9.0997867043146 38.415880789045,-9.10575413067269 38.4144508611359,-9.11196134072263 38.4139640351049,-9.11817003369764 38.4144390003658,-9.12414185225784 38.4158575221274,-9.12964750607541 38.4181651394358,-9.13447555242752 38.42127325018,-9.13844050105346 38.4250625041264,-9.14138993497004 38.4293873753936,-9.14321037474495 38.4340817407828,-9.1438316598275 38.4389652517423,-9.14322967548599 38.4438502569307,-9.14142731590179 38.4485490105931,-9.13849364087753 38.4528808901972,-9.13454125300038 38.4566793455626,-9.12972199130192 38.4597983112348,-9.12422110369642 38.4621178338632,-9.11825012097974 38.4635486961647,-9.11203870729519 38.4640358576016,-9.1058258033753 38.4635605776975,-9.09985040763858 38.4621411391453,-9.09434235500577 38.459832142472,-9.08951345339737 38.4567223997847,-9.08554932327863 38.4529315097654,-9.082602257022 38.4486052473728,-9.08078537360479 38.4439099475919,-9.0801682921547 38.4390261012267)))', 'PTSSB', 'Sesimbra', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.66709304696383 40.749909774548,-8.66774964313133 40.7450293509063,-8.66964532570719 40.7403400972862,-8.67270701901371 40.7360221603838,-8.67681691477004 40.7322413895554,-8.68181702201873 40.7291429764966,-8.68751524616449 40.7268458909992,-8.69369276238839 40.7254383242774,-8.70011240141452 40.7249743126594,-8.70652772895066 40.7254716694518,-8.71269247517161 40.7269113031765,-8.71836995806731 40.729237947957,-8.72334214468612 40.7323622784838,-8.72741800726102 40.7361643296234,-8.73044085656002 40.7404980912432,-8.73229437183566 40.7451971040042,-8.7329070943814 40.7500808434041,-8.73225520847284 40.7549616486969,-8.73036349754373 40.7596519317244,-8.72730443262479 40.7639713890726,-8.72319542184844 40.7677539399114,-8.71819432144139 40.7708541215547,-8.71249337719771 40.7731526949596,-8.70631182804638 40.7745612423915,-8.69988745724018 40.7750255782178,-8.69346741944252 40.774527839774,-8.68729870157379 40.7730871766412,-8.68161859029163 40.7707590114141,-8.67664551869547 40.7676329008767,-8.67257064928151 40.7638290811529,-8.66955052008145 40.7594938316263,-8.66770103773212 40.7547938381558,-8.66709304696383 40.749909774548)))', 'PTTOA', 'Torreira', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.20106777567813 38.6670592499032,-9.20166764610031 38.6621741393072,-9.20347136390009 38.6574746264448,-9.20640940700378 38.6531412587942,-9.21036872943932 38.6493404864503,-9.2151971266605 38.64621827754,-9.22070909222984 38.6438945229566,-9.2266929396643 38.6424584432804,-9.2329189168421 38.6419651722306,-9.23914800427056 38.6424336461072,-9.24514106380289 38.6438458790889,-9.25066799178245 38.6461476517833,-9.25551653044339 38.6492505869654,-9.25950040370749 38.6530355339286,-9.2624664679407 38.6573571331946,-9.26430060405745 38.6620493883146,-9.26493212351714 38.6669320328091,-9.26433651580174 38.6718174494287,-9.26253642709734 38.6765178770993,-9.25960082698098 38.6808526290714,-9.25564238950184 38.6846550444998,-9.25081318447908 38.6877789051131,-9.24529884133015 38.690104068561,-9.23931140850284 38.6915410997763,-9.23308118396269 38.6920347201763,-9.22684783382523 38.6915659402758,-9.22085114519658 38.6901527924853,-9.21532177423056 38.6878496354688,-9.21047235061541 38.6847450572019,-9.20648928515509 38.680958458536,-9.20352559850242 38.6766354504061,-9.20169504777763 38.6719422437477,-9.20106777567813 38.6670592499032)))', 'PTTRF', 'Trafaria', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.61573587376768 37.1246390058307,-7.61642550628539 37.1197620804707,-7.6182898458818 37.1150865717485,-7.62125706413736 37.1107921006482,-7.62521301611017 37.1070436222462,-7.63000564451634 37.1039850986145,-7.63545082806071 37.1017339801026,-7.64133944845029 37.1003767050044,-7.64744540583778 37.0999653885519,-7.65353427783769 37.1005158268458,-7.65937229388637 37.102006891421,-7.66473528527553 37.1043813374708,-7.66941727201379 37.107547995236,-7.67323836074957 37.1113852616301,-7.67605165294699 37.1157457597323,-7.67774889861454 37.1204619891567,-7.67826467704337 37.1253527521677,-7.67757894075509 37.1302301102408,-7.67571782036676 37.1349066047684,-7.67275265420281 37.1392024646864,-7.66879727479258 37.1429525234837,-7.66400365225207 37.1460125784876,-7.65855605922398 37.1482649462108,-7.6526639808232 37.1496229981782,-7.64655404334811 37.1500345008866,-7.64046127511691 37.1494836298792,-7.63462003985952 37.1479915794981,-7.62925499637972 37.14561574463,-7.62457243708088 37.1424475064693,-7.62075234248131 37.1386087087034,-7.61794145976825 37.1342469613905,-7.61624767211092 37.1295299550973,-7.61573587376768 37.1246390058307)))', 'PTTVR', 'Tavira', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.81655223138279 41.8169514543806,-8.81720879980111 41.8120710837165,-8.819125227575 41.8073802860489,-8.82222762839297 41.8030592658882,-8.82639661997458 41.7992739882395,-8.83147193594613 41.7961698142711,-8.83725859298697 41.7938659311242,-8.84353437502392 41.7924507875003,-8.85005834823008 41.7919787080273,-8.85658008334931 41.7924678144809,-8.86284923649507 41.7938993324065,-8.86862512676538 41.7962183093278,-8.87368594912378 41.7993357174383,-8.8778372740157 41.8031318613475,-8.88091951077055 41.8074609619744,-8.88281404927043 41.8121567428475,-8.88344784256796 41.8170388065486,-8.88279625064586 41.8219195583101,-8.88088403048405 41.8266114120681,-8.87778442782346 41.8309340025327,-8.87361639895019 41.834721125634,-8.86854006367368 41.8378271392505,-8.86275056049393 41.8401325761713,-8.85647053878269 41.8415487511465,-8.84994157781913 41.8420211825344,-8.84341486620084 41.8415316949833,-8.83714150544185 41.8400991209663,-8.83136281701536 41.8377785737404,-8.82630103195149 41.834659320177,-8.82215072636737 41.83086133662,-8.81907133575257 41.82653068222,-8.81718103692577 41.8218338699963,-8.81655223138279 41.8169514543806)))', 'PTTZB', 'Vila Praia de Ancora', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.51691104644479 41.1168660047502,-8.51758258028113 41.1119868261476,-8.5194996117731 41.1073004529331,-8.52258824151197 41.1029869196639,-8.52672962461653 41.0992119048862,-8.53176456071435 41.0961203776201,-8.53749961936112 41.0938310418969,-8.54371456439396 41.0924317904724,-8.55017079329887 41.0919763400849,-8.55662047095046 41.0924821756072,-8.56281601212414 41.0939298808178,-8.568519554687 41.0962638811018,-8.57351206568924 41.0993945700613,-8.57760173569707 41.1032017396865,-8.58063134227397 41.1075391842895,-8.58248430081385 41.1122403036385,-8.58308916887209 41.1171244923167,-8.58242242726232 41.1220040717449,-8.58050942564441 41.1266914997847,-8.57742344991554 41.1310065812917,-8.5732829409077 41.1347834020143,-8.5682469659194 41.1378767179941,-8.56250911355606 41.1401675528841,-8.55629004529835 41.1415677856937,-8.54982899138413 41.1420235502775,-8.54337452150332 41.1415173139292,-8.53717495045454 41.1400685538925,-8.53146875388287 41.13773300537,-8.52647536878664 41.1346005104652,-8.52238673767193 41.1307915521268,-8.51935992481264 41.1264526083578,-8.51751108949644 41.1217505076244,-8.51691104644479 41.1168660047502)))', 'PTVAB', 'Valbom', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.73419095147185 40.5499291770641,-8.73484062370706 40.5450481804912,-8.73672589040881 40.540357629616,-8.73977407803967 40.5360377217027,-8.74386789824599 40.5322543826628,-8.74884997766605 40.5291529036696,-8.75452891326288 40.5268523729728,-8.76068661935141 40.5254411145758,-8.76708668528217 40.524973306765,-8.77348342613346 40.5254669085054,-8.77963128382396 40.5269029721141,-8.7852942234937 40.5292263681985,-8.79025477016138 40.5323478954848,-8.79432234354806 40.5361476957836,-8.79734057420537 40.5404798448239,-8.79919332098889 40.5451779448438,-8.79980915739195 40.550061506326,-8.79916415084399 40.5549428755884,-8.79728282294793 40.5596344433086,-8.79423724759397 40.5639558574173,-8.79014431544004 40.5677409626985,-8.78516126464938 40.5708441990847,-8.77947964614078 40.573146210779,-8.77331795404807 40.5745584483094,-8.76691320585397 40.5750265843251,-8.7605117993129 40.574532609895,-8.75436000281568 40.5730955294405,-8.74869445087015 40.57077062716,-8.74373301615265 40.5676473336323,-8.7396664141391 40.5638457759408,-8.73665086639459 40.5595121459037,-8.73480210561415 40.5548130667511,-8.73419095147185 40.5499291770641)))', 'PTVAG', 'Vagueira', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.80061864564616 41.6889469370673,-8.8012750801424 41.6840665481928,-8.80318882832312 41.6793759058032,-8.80628610849357 41.6750552086361,-8.8104477363279 41.6712704096359,-8.81551372896006 41.6681668520315,-8.82128946115595 41.6658636997669,-8.82755313577826 41.6644493739051,-8.8340642828228 41.6639781679885,-8.84057296414016 41.6644681704029,-8.84682933563434 41.6659005722554,-8.85259320595354 41.6682203869073,-8.85764323080741 41.6713385540079,-8.86178539505582 41.6751353485445,-8.86486046026579 41.6794649659437,-8.86675009281411 41.6841611094249,-8.86738143574392 41.6890433672936,-8.86672994500164 41.6939241371389,-8.86482037554288 41.6986158322086,-8.86172587289009 41.7029380935044,-8.85756519851696 41.7067247299576,-8.85249819013312 41.7098301186037,-8.84671962761106 41.7121348167394,-8.84045173897931 41.7135501679563,-8.83393563578709 41.7140217226112,-8.82742201071296 41.7135313392257,-8.82116146049568 41.7120978846923,-8.81539481266002 41.7097765059109,-8.81034383434777 41.7066565013571,-8.80620268585384 41.702857875779,-8.80313045097119 41.6985267125096,-8.80124503243111 41.6938295436739,-8.80061864564616 41.6889469370673)))', 'PTVDC', 'Viana do Castelo', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.1018224545585 36.9325056704798,-25.1025425863688 36.927632406019,-25.1044329175923 36.9229655376726,-25.1074206254581 36.9186843525637,-25.1113907826962 36.9149532943274,-25.1161907910097 36.9119156558008,-25.1216362494539 36.9096880859904,-25.1275180315958 36.9083561203421,-25.1336103009026 36.9079709041093,-25.1396791595595 36.9085472331562,-25.1454916028918 36.9100629865391,-25.1508244404539 36.9124599724927,-25.1554728459773 36.9156461559338,-25.1592582117277 36.9194991832069,-25.1620350080183 36.9238710704532,-25.1636963849388 36.9285938774943,-25.1641782996607 36.9334861511701,-25.1634620075169 36.9383598921184,-25.1615748165818 36.9430277782428,-25.1585890715458 36.9473103674732,-25.1546194008559 36.9510430024096,-25.1498183287359 36.9540821501767,-25.1443704180849 36.9563109319998,-25.1384851686621 36.9576436279147,-25.1323889448626 36.9580289814918,-25.1263162465374 36.9574521759571,-25.1205006629162 36.9559354047955,-25.1151658625252 36.9535370147199,-25.1105169704556 36.9503492545785,-25.1067326685136 36.9464947180652,-25.1039583244303 36.9421216188069,-25.1023004147897 36.9373980814996,-25.1018224545585 36.9325056704798)))', 'PTVDP', 'Vila do Porto', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.1680743227195 38.667323219103,-28.1686083920662 38.6624340247117,-28.1703486080667 38.6577204456981,-28.1732278839895 38.6533635744851,-28.177135424645 38.6495307673754,-28.1819210063721 38.6463692246895,-28.1874007589747 38.6440003479792,-28.1933642260756 38.642515089034,-28.1995824334386 38.6419704672314,-28.2058166581499 38.6423873871638,-28.2118275662429 38.64374983907,-28.2173843731244 38.6460055122255,-28.2222736803878 38.6490677980009,-28.2263076542928 38.6528191066996,-28.2293312350054 38.6571153724514,-28.2312281009518 38.6617915751633,-28.2319251582613 38.6666680695133,-28.2313953798644 38.6715574796903,-28.2296588805719 38.6762718962865,-28.2267821812806 38.680630099365,-28.2228756849111 38.6844645298586,-28.218089456141 38.6876277403015,-28.2126074636723 38.6899980752409,-28.2066405048812 38.6914843608851,-28.2004180855823 38.6920294215507,-28.194179569919 38.6916122858324,-28.1881649451168 38.690248996343,-28.1826055616046 38.6879919913213,-28.1777152100573 38.6849280821616,-28.1736818831977 38.6811751057062,-28.1706605423522 38.6768773817259,-28.1687671680952 38.6722001523157,-28.1680743227195 38.667323219103)))', 'PTVEL', 'Velas', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.69982662654218 41.282918283424,-8.70048636254604 41.2780381354772,-8.70239529602514 41.2733488230732,-8.70547983573819 41.2690304942185,-8.70962129107145 41.2652490117965,-8.71466045653381 41.2621495929608,-8.72040373772848 41.2598512442005,-8.7266305822222 41.2584422035536,-8.73310193110919 41.2579765627608,-8.73956937015309 41.2584721971872,-8.74578463425911 41.2599100817579,-8.75150910638334 41.2622350187598,-8.75652295217469 41.2653577500445,-8.76063354466295 41.2691583738234,-8.76368285880026 41.2734909367713,-8.76555355292043 41.2781890273395,-8.76617350211824 41.2830721576983,-8.76551860570764 41.2879526910607,-8.76361375545081 41.292643049507,-8.76053192095571 41.2969629257802,-8.75639138099091 41.3007462214168,-8.75135120169037 41.3038474432178,-8.74560513179797 41.3061473102088,-8.73937414830069 41.3075573532148,-8.73289794023033 41.308023327895,-8.72642566159046 41.3075273080526,-8.72020631426109 41.3060883774389,-8.71447913692009 41.3037618930177,-8.70946437576302 41.3006373485181,-8.70535479711564 41.2968349217743,-8.70230827167714 41.2925008405964,-8.70044171655936 41.2878017476698,-8.69982662654218 41.282918283424)))', 'PTVLC', 'Vila Cha', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.0676304232814 39.6664657481161,-1.0683883266393 39.6615956354516,-1.07036074940589 39.6569333452677,-1.07347168810141 39.6526579831466,-1.07760146346484 39.6489337609475,-1.08259133901376 39.6459036996213,-1.08824962593335 39.6436841480233,-1.09435903898828 39.6423603260798,-1.1006850223951 39.6419830614038,-1.10698472938804 39.6425668430162,-1.11301631559918 39.6440892659118,-1.11854819503847 39.6464918876073,-1.12336790872673 39.6496824644307,-1.12729026988268 39.6535384830697,-1.13016447561623 39.65791185368,-1.13187991259429 39.6626345864774,-1.1323704320122 39.6675252358548,-1.13161692593302 39.6723958661547,-1.129648100788 39.6770592724909,-1.12653941235177 39.6813361793574,-1.12241019730351 39.6850621397216,-1.1174191068222 39.6880938680128,-1.11175801468459 39.6903147615955,-1.10564463319491 39.6916393962378,-1.09931412229507 39.6920168206009,-1.09301001802116 39.6914325213528,-1.08697483418777 39.6899089823042,-1.08144070449044 39.6875048158628,-1.07662043048949 39.684312500874,-1.07269928426819 39.6804548152703,-1.06982788375334 39.6760801026761,-1.06811641520877 39.6713565571804,-1.0676304232814 39.6664657481161)))', 'PTVNC', 'Vila Nova do Corvo', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.7514799633866 37.7169377722159,-8.75210188656423 37.7120542160913,-8.75391097061292 37.7073608591,-8.75683749902057 37.7030380119391,-8.76076887813439 37.699251721744,-8.76555398361175 37.696147402785,-8.77100897462748 37.6938442620774,-8.77692435141934 37.6924307320324,-8.78307298608451 37.6919610835874,-8.78921882107521 37.6924533482292,-8.79512590565216 37.6938886276083,-8.80056742835212 37.696211816893,-8.8053344036607 37.6993337145009,-8.80924368355262 37.703134438331,-8.81214498901084 37.707468018988,-8.81392669234691 37.7121679955724,-8.81452012703889 37.7170538010794,-8.81390225643345 37.7219376937865,-8.81209659422355 37.7266319694387,-8.80917233597754 37.730956177481,-8.80524172973649 37.7347440635964,-8.80045578217971 37.7378499705504,-8.79499846233088 37.7401544495694,-8.78907962449581 37.7415688644967,-8.78292692348996 37.7420388096792,-8.77677703592505 37.7415462084546,-8.77086652950849 37.740110010414,-8.76542273664776 37.7377854602473,-8.76065498846847 37.7346619667188,-8.75674655065799 37.7308596548941,-8.75384757403367 37.7265247359262,-8.75206933173995 37.7218238744602,-8.7514799633866 37.7169377722159)))', 'PTVNM', 'Vila Nova de Milfontes', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.38570824478203 37.1995776281259,-7.38641346556527 37.1947024585166,-7.38829385039223 37.190030995845,-7.39127695478796 37.1857427044827,-7.39524802465955 37.1820023011805,-7.40005442368085 37.1789534372581,-7.40551150358173 37.1767131918936,-7.41140969107509 37.1753675860471,-7.41752252045493 37.1749682874135,-7.42361530639883 37.1755306314148,-7.42945412825793 37.177033033292,-7.43481478580848 37.1794178136772,-7.43949138740775 37.1825934065113,-7.44330424472496 37.1864378657705,-7.44610677333107 37.1908035380725,-7.44779113469424 37.195522723676,-7.44829240143756 37.2004141103357,-7.44759108260343 37.2052897344009,-7.44571390730811 37.2099622026634,-7.44273283140457 37.2142518976595,-7.43876230016596 37.2179938889481,-7.43395486791601 37.2210442834529,-7.42849534022414 37.2232857689786,-7.4225936630313 37.2246321357616,-7.41647683331882 37.225031600261,-7.41038014542394 37.2244688018035,-7.4045381140326 37.2229653943349,-7.39917542799086 37.2205792103153,-7.39449828776062 37.2174020294946,-7.39068646367393 37.2135560396532,-7.38788638285943 37.2091891271908,-7.38620551119474 37.2044691806514,-7.38570824478203 37.1995776281259)))', 'PTVRE', 'Vila Real de Santo António', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.75456091319388 37.5249388495389,-8.75518096796405 37.520055111693,-8.7569851468395 37.5153615376241,-8.75990392363444 37.5110384467435,-8.76382500378312 37.5072518960952,-8.7685976591154 37.5041473105892,-8.77403852678077 37.5018439081078,-8.77993864849851 37.5004301316423,-8.78607148073872 37.4999602619396,-8.79220157104526 37.5004523390952,-8.79809357156806 37.5018874718217,-8.80352124869172 37.5042105605525,-8.80827614777916 37.5073324070279,-8.81217558449332 37.5111331304812,-8.8150696585573 37.5154667609079,-8.81684702144868 37.5201668349742,-8.81743917531699 37.5250527815886,-8.81682313491958 37.5299368534988,-8.81502234579048 37.5346313397055,-8.81210581805751 37.5389557819332,-8.80818550388694 37.5427439174075,-8.80341201483525 37.545850079943,-8.79796884067873 37.5481548115691,-8.79206529084032 37.5495694669439,-8.78592843075037 37.5500396315146,-8.77979432606909 37.5495472202945,-8.77389893579913 37.5481111754295,-8.76846900961435 37.545786735351,-8.76371334455081 37.5426633040494,-8.75981474155805 37.5388610035668,-8.75692297398603 37.5345260439961,-8.75514903921447 37.5298250910211,-8.75456091319388 37.5249388495389)))', 'PTZBJ', 'Zambujeira', 'Y'),('SRID=4326;MULTIPOLYGON(((-57.5203769884121 -25.4201003980062,-57.5209287924644 -25.4249925339658,-57.5225210599646 -25.4296928907397,-57.525092704796 -25.4340208027069,-57.5285449680242 -25.4378099020967,-57.5327452027644 -25.4409145197967,-57.5375319683945 -25.4432152918948,-57.5427212388651 -25.4446237551907,-57.5481134858862 -25.4450857537858,-57.553501363085 -25.4445835247646,-57.5586776933326 -25.4431363821242,-57.5634434493664 -25.4407999724684,-57.5676154181225 -25.4376641313871,-57.5710332518265 -25.4338494236915,-57.5735656332996 -25.4295025016,-57.5751153180661 -25.4247904605699,-57.5756228601706 -25.4198944109617,-57.5750688802461 -25.4150025136288,-57.5734747911822 -25.4103027477428,-57.5709019564122 -25.4059756889676,-57.5674493160278 -25.4021875751833,-57.5632495743328 -25.3990839254525,-57.5584640968876 -25.3967839563231,-57.5532767136273 -25.3953760087504,-57.5478866655312 -25.3949141601188,-57.5425009642054 -25.3954161505133,-57.5373264555217 -25.3968627022654,-57.5325618894263 -25.3991982587289,-57.5283902978255 -25.4023331142047,-57.5249719710755 -25.406146853931,-57.5224383014172 -25.4104929730543,-57.5208867294407 -25.4152044983614,-57.5203769884121 -25.4201003980062)))', 'PYSAN', 'San Antonio', 'Y'),('SRID=4326;MULTIPOLYGON(((55.4766953801954 -20.8602396941043,55.4761330910439 -20.8651304340147,55.4745664057159 -20.8698240740785,55.4720554538926 -20.8741402093664,55.4686966822945 -20.8779129316172,55.4646191555929 -20.8809972113308,55.4599795982371 -20.8832744781698,55.4549563674679 -20.8846571841468,55.4497425897579 -20.8850921732271,55.4445387258724 -20.8845627270581,55.4395448522886 -20.8830892077513,55.4349529578874 -20.880728272966,55.4309395541662 -20.8775706938302,55.4276588847571 -20.8737378602817,55.425236996308 -20.8693771091083,55.4237668988191 -20.8646560552996,55.423305000767 -20.8597561455588,55.4238689545595 -20.8548656824915,55.4254369931041 -20.8501725879853,55.4279487807047 -20.8458571839131,55.4313077434012 -20.8420852672155,55.4353847874291 -20.8390017447542,55.4400232618219 -20.836725071582,55.4450449742097 -20.8353427053056,55.4502570292801 -20.8349077502435,55.455459228524 -20.8354369195693,55.460451748891 -20.8369098933184,55.4650428075152 -20.8392700968876,55.4690560201387 -20.8424268704703,55.4723371722219 -20.8462589467665,55.4747601436343 -20.8506191042734,55.4762317595042 -20.8553398183817,55.4766953801954 -20.8602396941043)))', 'REREU', 'Réunion', 'Y'),('SRID=4326;MULTIPOLYGON(((28.690736314603 44.173491056937,28.6899295601335 44.1686236581085,28.6878192793691 44.163963031201,28.6844868282996 44.1596882089288,28.6800604347621 44.1559633685614,28.6747102459096 44.1529315381747,28.6686417830403 44.1507091177196,28.6620880562762 44.1493814227922,28.6553006401647 44.1489994197867,28.6485400485962 44.1495777758117,28.6420657724304 44.1510942970198,28.6361263552524 44.1534907766388,28.6309498813868 44.1566752208497,28.6267352357325 44.1605253686343,28.6236444674938 44.1648933726623,28.6217965502172 44.1696114639925,28.6212627798049 44.1744983854786,28.622063991874 44.1793663487596,28.6241697118862 44.1840282488017,28.6274992781844 44.1883048590676,28.6319249021123 44.1920317300822,28.6372765536837 44.195065524622,28.6433484889155 44.1972895437115,28.6499071690503 44.1986182283769,28.6567002654342 44.1990004615449,28.6634663994064 44.1984215410671,28.6699452363256 44.1969037467234,28.675887538273 44.1945054791098,28.6810647817446 44.1913190042515,28.6852779646767 44.1874668923143,28.6883652605518 44.1830972896528,28.6902082244596 44.1783782085855,28.690736314603 44.173491056937)))', 'ROCND', 'Constanta', 'Y'),('SRID=4326;MULTIPOLYGON(((28.8483501164803 45.1964331882915,28.8475130546906 45.1915681966902,28.8453500676552 45.1869121135093,28.841944549869 45.1826437936074,28.837427544411 45.1789271602838,28.8319726811155 45.1759049219119,28.8257894974912 45.173693105949,28.8191154000297 45.1723766176102,28.8122065727269 45.172005991226,28.8053281773411 45.1725954569744,28.7987442151237 45.1741223959616,28.792707431785 45.1765282042993,28.7874496460075 45.1797205337529,28.7831728668933 45.1835768245893,28.7800415377245 45.1879489972874,28.7781762030414 45.1926691255719,28.7776488444227 45.1975558754287,28.7784800690129 45.2024214648326,28.7806382657024 45.2070788780851,28.7840407692827 45.2113490578364,28.7885569955609 45.2150677976422,28.7940134333266 45.2180920684363,28.8002003053731 45.2203055333435,28.8068796436801 45.2216230361115,28.8137944663801 45.2219938879722,28.820678698969 45.2214038244206,28.8272674515336 45.2198755553608,28.8333072490761 45.2174678871728,28.8385658140293 45.2142734512367,28.8428410186698 45.2104151279786,28.8459686594153 45.2060413063373,28.8478287532549 45.2013201636244,28.8483501164803 45.1964331882915)))', 'ROTCE', 'Tulcea', 'Y'),('SRID=4326;MULTIPOLYGON(((159.998301492381 -9.43492914553754,159.997829430024 -9.43983174271252,159.996403157243 -9.44454869197507,159.994077448565 -9.44889871618725,159.990941653315 -9.45271463225962,159.987116266016 -9.45584977804781,159.982748297746 -9.45818365134182,159.978005626056 -9.45962654380834,159.973070540636 -9.46012299132737,159.968132733219 -9.45965390768089,159.963382001839 -9.45823731925215,159.959000950758 -9.45592767231253,159.955157967534 -9.45281373951414,159.952000747991 -9.44901520622278,159.949650618516 -9.44467806821607,159.948197874151 -9.4399690180517,159.947698311548 -9.43506903630914,159.948171089547 -9.43016643442405,159.94959799887 -9.42544961680366,159.951924168083 -9.42109984054461,159.955060177747 -9.41728425098773,159.958885500698 -9.41414946056838,159.963253135654 -9.41181591739487,159.967995255808 -9.41037327954266,159.972929655434 -9.40987697236897,159.977866747209 -9.41034606072554,159.982616842046 -9.41176251751204,159.986997432593 -9.41407191649844,159.990840201403 -9.41718552278129,159.993997485294 -9.42098370070382,159.996347948084 -9.42532050859011,159.997801243985 -9.43002930414027,159.998301492381 -9.43492914553754)))', 'SBHIR', 'Honiara, Guadalcanal Is', 'Y'),('SRID=4326;MULTIPOLYGON(((55.4750368401403 -4.6170542787116,55.4745452853444 -4.62195446594285,55.4731104342649 -4.62666426348413,55.4707874147686 -4.63100266566978,55.4676654937344 -4.63480293847675,55.4638646474339 -4.63791902879302,55.4595309505375 -4.64023117880398,55.4548309609943 -4.64165052948514,55.4499453168024 -4.64212253609305,55.4450617911254 -4.64162906428753,55.4403680731142 -4.64018908632802,55.4360445523536 -4.63785795069343,55.4322573846522 -4.63472525339176,55.4291521059541 -4.63091139302427,55.4268480399108 -4.62656294227358,55.4254337139567 -4.62184701394536,55.424963459792 -4.61694483826704,55.4254553285186 -4.61204479836271,55.4268904000746 -4.60733519153505,55.4292135130278 -4.60299699441531,55.4323353862712 -4.59919690980713,55.4361360508091 -4.59608096217095,55.4404694596425 -4.59376888759964,55.4451690986775 -4.59234953363267,55.4500543832776 -4.59187744551371,55.4549375950239 -4.59237076999227,55.4596310925586 -4.5938105572381,55.4639545198623 -4.59614148780675,55.4677417353546 -4.59927399690964,55.4708471958155 -4.60308771459707,55.4731515499217 -4.60743608990817,55.474566226384 -4.61215202152223,55.4750368401403 -4.6170542787116)))', 'SCMAW', 'Mahé', 'Y'),('SRID=4326;MULTIPOLYGON(((55.4750368401403 -4.6170542787116,55.4745452853444 -4.62195446594285,55.4731104342649 -4.62666426348413,55.4707874147686 -4.63100266566978,55.4676654937344 -4.63480293847675,55.4638646474339 -4.63791902879302,55.4595309505375 -4.64023117880398,55.4548309609943 -4.64165052948514,55.4499453168024 -4.64212253609305,55.4450617911254 -4.64162906428753,55.4403680731142 -4.64018908632802,55.4360445523536 -4.63785795069343,55.4322573846522 -4.63472525339176,55.4291521059541 -4.63091139302427,55.4268480399108 -4.62656294227358,55.4254337139567 -4.62184701394536,55.424963459792 -4.61694483826704,55.4254553285186 -4.61204479836271,55.4268904000746 -4.60733519153505,55.4292135130278 -4.60299699441531,55.4323353862712 -4.59919690980713,55.4361360508091 -4.59608096217095,55.4404694596425 -4.59376888759964,55.4451690986775 -4.59234953363267,55.4500543832776 -4.59187744551371,55.4549375950239 -4.59237076999227,55.4596310925586 -4.5938105572381,55.4639545198623 -4.59614148780675,55.4677417353546 -4.59927399690964,55.4708471958155 -4.60308771459707,55.4731515499217 -4.60743608990817,55.474566226384 -4.61215202152223,55.4750368401403 -4.6170542787116)))', 'SCPOV', 'Port Victoria', 'Y'),('SRID=4326;MULTIPOLYGON(((13.6508450202974 55.3934916152437,13.6501684296731 55.3886136946937,13.6478334313899 55.3839046053024,13.6439302836118 55.3795452268241,13.6386093466094 55.3757029493579,13.6320752492363 55.3725252617155,13.6245790027993 55.3701341090235,13.6164083687178 55.3686212325202,13.6078768479811 55.3680446666803,13.599311708235 55.368426524848,13.5910414972724 55.3697521560744,13.5833835091182 55.3719707045592,13.5766316704498 55.3749970507368,13.5710453007675 55.378715061421,13.5668391698023 55.3829820272755,13.5641752307298 55.38763412094,13.5631563488389 55.3924926700253,13.5638222738216 55.3973710073788,13.5661480217696 55.4020816378211,13.5700447427975 55.4064434469873,13.5753630550499 55.4102886747285,13.5818987292698 55.4134693830807,13.5894005140922 55.4158631670415,13.59757980493 55.4173778847852,13.6061217828803 55.4179552215246,13.6146975882792 55.4175729465528,13.6229770495825 55.4162457742733,13.6306414644834 55.4140247950985,13.6373959278914 55.4109954986448,13.6429807207157 55.4072744672514,13.6471813132901 55.4030048701302,13.6498365956098 55.3983509352274,13.6508450202974 55.3934916152437)))', 'SEABB', 'Abbekås', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6108760303696 57.9430453053256,11.6096221100485 57.938200895576,11.6066158213133 57.9335796053058,11.6019732553206 57.929358905383,11.5958731673931 57.9257008254829,11.5885500554525 57.9227457531755,11.580285137218 57.9206070678563,11.5713955745347 57.9193668113426,11.562222354124 57.9190725573154,11.5531172799953 57.919735596544,11.5444295627958 57.9213305056028,11.5364925049664 57.9237961152586,11.5296107774696 57.9270378426179,11.5240487640956 57.9309313002175,11.5200204132516 57.9353270472469,11.5176809853542 57.9400563047036,11.5171210175524 57.9449374190676,11.5183627480758 57.9497828295173,11.521359152223 57.9544062730319,11.5259956436757 57.9586299509322,11.5320943919068 57.9622913801732,11.5394211029543 57.9652496632784,11.5476940111707 57.967390932037,11.5565947383093 57.9686327513258,11.5657805979599 57.9689273095451,11.5748978618997 57.9682632696149,11.5835954636906 57.9666662073088,11.5915385960516 57.9641976196732,11.5984216632294 57.9609525429723,11.6039800774829 57.9570558745766,11.6080004383416 57.9526575441106,11.6103287017921 57.9479267238811,11.6108760303696 57.9430453053256)))', 'SEAHO', 'Ängholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3524532500663 55.9252416791572,14.3516803712549 55.9203679482831,14.3492294672537 55.9156724931196,14.3451952599343 55.9113356631824,14.3397331456435 55.9075239761581,14.3330531682292 55.9043837406919,14.3254119264004 55.9020354600411,14.3171027295092 55.9005692276748,14.308444377474 55.9000412877544,14.2997689881703 55.9004718892328,14.2914093281447 55.9018445136897,14.2836861193183 55.9041065056724,14.2768957951326 55.90717108199,14.2712991643362 55.9109206448956,14.2671114096093 55.9152112751391,14.2644938020877 55.9198782361907,14.2635474525748 55.9247422821353,14.2643093473005 55.9296165303086,14.2667508324703 55.9343136369634,14.2707786201432 55.9386530011598,14.2762382913063 55.9424677193939,14.2829201740583 55.9456110215461,14.2905673796221 55.9479619374842,14.2988856907224 55.9494299725398,14.3075549198841 55.949958608108,14.3162412932853 55.9495274893296,14.3246103721476 55.9481532133793,14.3323400006162 55.945888687135,14.3391327679183 55.9428210796067,14.3447274933654 55.9390684500158,14.3489092843519 55.9347751844872,14.3515177776687 55.9301064207486,14.3524532500663 55.9252416791572)))', 'SEAHU', 'Åhus', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((17.6040349113608 58.8060393008449,17.6027475828014 58.8011956451862,17.5996646855244 58.796575320196,17.5949052884453 58.7923557556325,17.5886526574668 58.7886989318459,17.5811471574269 58.7857451816269,17.5726770031275 58.7836078272322,17.5635672166031 58.7823688541372,17.554167209901 58.7820757834306,17.5448374594424 58.782739859556,17.5359357685967 58.784335620938,17.5278036289146 58.7868018695786,17.5207531872823 58.7900440037053,17.5150553061241 58.7939376267259,17.5109291669896 58.7983332978154,17.5085338150632 58.8030622461065,17.5079619743809 58.8079428332569,17.5092363824063 58.8127875195776,17.512308800297 58.8174100681873,17.5170617545283 58.8216327108022,17.5233129600645 58.8252929984676,17.5308222690822 58.8282500710486,17.5393008869003 58.8303901004886,17.5484225029913 58.8316306940602,17.5578359043614 58.8319240839714,17.5671785753691 58.8312589771822,17.5760907456049 58.8296609921776,17.5842293281254 58.827191665483,17.5912811951827 58.8239460674769,17.596975267348 58.820049122096,17.6010929429598 58.8156507759642,17.6034764653291 58.8109202071991,17.6040349113608 58.8060393008449)))', 'SEAKH', 'Askholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((17.8880166065508 58.8009336932649,17.8866899944839 58.796093218604,17.8835700438772 58.791480008029,17.8787772425223 58.7872712161395,17.872496133143 58.7836284082408,17.8649681673237 58.7806913783033,17.8564824159396 58.7785728067228,17.8473644946291 58.7773539586353,17.8379641246394 58.7770815837687,17.8286417958217 58.7777661335196,17.8197550287702 58.7793813617085,17.8116447465527 58.7818653239966,17.80462226295 58.7851227389483,17.7989573736334 58.7890286229427,17.794867999584 58.7934330632887,17.7925117789366 58.7981669506515,17.7919799353833 58.8030484548505,17.7932936698777 58.8078899986683,17.7964032298597 58.8125054637954,17.8011897094156 58.8167173523976,17.8074695282602 58.8203636277237,17.815001431285 58.8233039679193,17.8234957482143 58.8254251886311,17.8326255593837 58.8266456214166,17.8420393334208 58.826918275291,17.8513745398258 58.8262326563815,17.8602716975055 58.8246151736375,17.8683883015123 58.8221281146341,17.8754120756323 58.8188672322543,17.8810730277285 58.8149580380035,17.8851538362292 58.8105509485292,17.8874981670274 58.8058154764711,17.8880166065508 58.8009336932649)))', 'SEAKN', 'Ankarudden', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7510264456501 58.0619923718654,11.7497489623419 58.0571496284094,11.746714250791 58.0525319745548,11.7420394966247 58.0483167400146,11.7359046917156 58.0446657431306,11.7285456651622 58.04171909828,11.7202450097857 58.0395898604562,11.7113212543857 58.0383597084127,11.7021166929322 58.0380758280576,11.6929843277651 58.0387491124988,11.6842744138166 58.0403537458913,11.6763211043177 58.0428281867081,11.6694296951686 58.0460775139814,11.663864945171 58.0499770491866,11.6598409129595 58.0543771184987,11.6575126993919 58.0591087768188,11.6569704174315 58.0639902778297,11.6582356317658 58.0688340448595,11.6612604197463 58.0734538767424,11.6659291065187 58.0776721121811,11.672062623918 58.0813264759746,11.6794253388608 58.0842763411644,11.6877340970051 58.0864081624894,11.6966691359791 58.0876398678808,11.7058864439889 58.0879240349468,11.7150310781436 58.0872497269302,11.7237509156659 58.0856429155066,11.73171029255 58.0831654737889,11.7386029891931 58.0799127796055,11.7441640507876 58.0760100240627,11.7481799802279 58.0716073712521,11.7504969102303 58.0668741595867,11.7510264456501 58.0619923718654)))', 'SEALD', 'Almösund', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9649128318433 57.169289403518,16.9637725965508 57.164437507878,16.9609125605468 57.1597996365627,16.9564431763773 57.1555539050328,16.9505365406198 57.1518633122552,16.9434197287159 57.1488695014252,16.9353660556077 57.1466873447079,16.9266845999267 57.1454005558519,16.9177083900903 57.1450584951764,16.9087816966092 57.1456742863764,16.9002469052562 57.1472243154481,16.8924314599157 57.1496491304957,16.8856353616707 57.1528557090028,16.8801196920093 57.1567210080716,16.8760965932692 57.161096664916,16.8737210892384 57.1658146712123,16.87308506425 57.1706938073687,16.8742136417203 57.1755465928334,16.8770641149976 57.1801864874678,16.8815274873735 57.1844350677799,16.8874325775131 57.1881289011019,16.8945525452841 57.1911258508952,16.9026135952951 57.1933105671157,16.9113055258487 57.194598946353,16.9202937138217 57.1949413861665,16.9292320651375 57.1943247051404,16.9377764192211 57.192772652747,16.945597876348 57.1903449889149,16.9523955201969 57.1871351698627,16.9579080339787 57.183266731832,16.9619237558122 57.178888515487,16.9642887849775 57.1741689188117,16.9649128318433 57.169289403518)))', 'SEALJ', 'Alvedsjö Bodar', 'Y'),('SRID=4326;MULTIPOLYGON(((17.030815142001 58.6322539618672,17.0296141623651 58.6274040795736,17.0266226955813 58.6227695213322,17.0219562994651 58.618528268329,17.0157946750289 58.6148431378148,17.0083747040382 58.6118555522731,16.9999813317235 58.6096801342843,16.9909366470746 58.6084003303012,16.9815875756602 58.6080652271713,16.9722926472152 58.6086876802165,16.9634083313989 58.610243822622,16.9552754496005 58.6126739744751,16.9482061682158 58.6158849177495,16.9424720594625 58.6197534526058,16.9382936798436 58.6241311022765,16.9358320644367 58.6288497902201,16.9351824683284 58.6337282757377,16.936370606274 58.6385791043135,16.9393515502005 58.6432158078248,16.9440113443009 58.6474600784883,16.9501712926617 58.6511486396424,16.9575947686885 58.6541395465198,16.9659962935441 58.6563176708967,16.975052537089 58.6575991542966,16.9844148140157 58.6579346541952,16.993722584166 58.6573112548663,17.0026174228441 58.6557529671879,17.0107569066496 58.6533197976719,17.0178278640928 58.6501054237568,17.023558467795 58.6462335675662,17.0277286948686 58.6418532115104,17.0301787513882 58.6371328441528,17.030815142001 58.6322539618672)))', 'SEALK', 'Ålbäck', 'Y'),('SRID=4326;MULTIPOLYGON(((16.814670476488 56.9693457763904,16.8135564420685 56.9644922190944,16.8107308952225 56.9598505828464,16.8063029582662 56.95559912956,16.8004431336907 56.9519010798842,16.7933767004466 56.9488983651325,16.7853750432442 56.9467062007165,16.7767452500388 56.9454086854062,16.7678183733723 56.9450555914558,16.7589367971728 56.9456604656208,16.7504411810189 56.9472001119685,16.7426574681665 56.9496154758408,16.7358844415666 56.952813896128,16.7303822936793 56.9566726418919,16.7263626414447 56.9610436011074,16.7239803679454 56.9657589455405,16.7233276081623 56.9706375581649,16.7244301193242 56.9754919794873,16.7272461888158 56.9801356079695,16.7316681371612 56.9843898783988,16.7375263735827 56.9880911412423,16.7445958609147 56.991096976011,16.7526047494923 56.9932916922987,16.7612448504497 56.9945908028354,16.7701835419817 56.9949442925078,16.7790766414511 56.9943385543151,16.7875817349634 56.9927969157308,16.7953714364197 56.9903787347132,16.80214605116 56.9871771012576,16.807645144947 56.983315235478,16.8116575658027 56.9789417243934,16.8140295315569 56.9742247847361,16.814670476488 56.9693457763904)))', 'SEALL', 'Äleklinta', 'Y'),('SRID=4326;MULTIPOLYGON(((18.2401850562421 58.9210377906132,18.2396473441731 58.9161564491024,18.2372791467776 58.9114231292559,18.23317215304 58.9070196387685,18.2274846814421 58.9031150495861,18.2204355217321 58.8998592236803,18.2122954932427 58.8973770827163,18.2033770491989 58.8957638374541,18.1940223246691 58.8950813556568,18.1845900790365 58.8953558040265,18.1754420210585 58.8965766518434,18.1669290250819 58.898697073204,18.1593777504907 58.9016357327699,18.1530781629337 58.9052798884795,18.148272425562 58.9094896954575,18.145145581894 58.9141035500755,18.1438183899433 58.9189442733606,18.1443425912178 58.9238259002279,18.146698810062 58.928560816633,18.1507971811154 58.9329669718202,18.1564806986224 58.9368748881678,18.1635311748124 58.940134197174,18.1716775899348 58.9426194469028,18.1806065184594 58.9442349533124,18.18997422915 58.9449185044,18.1994199855947 58.9446437706733,18.2085800221339 58.9434213262951,18.217101640791 58.9412982402317,18.2246568694581 58.9383562534987,18.2309551405173 58.9347086146895,18.2357544912462 58.9304956989493,18.2388708504371 58.9258795831869,18.2401850562421 58.9210377906132)))', 'SEALO', 'Ålö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8194408991407 55.9407948087872,12.8188605226479 55.9359136806585,12.8165951149924 55.931189866213,12.8127322878562 55.9268048145587,12.8074208796681 55.9229269032368,12.8008651763619 55.9197049885186,12.7933170348967 55.9172627107518,12.7850662160954 55.9156937696811,12.7764292964985 55.915058347251,12.767737578159 55.9153808117846,12.7593244495238 55.9166487892038,12.7515126690894 55.9188136358211,12.7446020460393 55.9217922949469,12.7388579785505 55.9254704678903,12.7345012811461 55.929706980643,12.7316996879674 55.9343391823385,12.7305613600884 55.9391891720941,12.7311306534208 55.9440706185524,12.7333863212768 55.9487959126677,12.7372422347693 55.9531833800665,12.7425506080097 55.9570642754325,12.7491076171097 55.9602892882013,12.7566612063177 55.9627343063747,12.7649207854427 55.9643052130057,12.7735684442636 55.9649415269105,12.7822712457757 55.9646187440467,12.7906941142168 55.9633492869555,12.7985128082919 55.9611820245915,12.805426466279 55.9582003814202,12.8111692279619 55.9545191104269,12.815520477617 55.9502798572696,12.818313310475 55.9456456900161,12.8194408991407 55.9407948087872)))', 'SEALR', 'Ålabodarna', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4946114954019 65.7720227365557,23.492977457557 65.7671839405618,23.4890784874223 65.7625690235582,23.4830654332199 65.7583551659205,23.4751699975207 65.7547040695399,23.4656957386694 65.7517557793766,23.4550063842548 65.7496233418332,23.4435119087424 65.7483884991221,23.4316529017715 65.7480985792364,23.4198838091004 65.748764696316,23.4086556641311 65.7503613276771,23.3983989440702 65.7528272831359,23.3895071809652 65.7560680311129,23.3823219341035 65.7599592959593,23.3771196867165 65.7643517936278,23.3741011669659 65.769076929782,23.3733835116023 65.773953247262,23.3749955918689 65.77879337994,23.3788767073941 65.7834112487197,23.3848787281559 65.7876292238459,23.3927716313302 65.7912849765781,23.4022522441366 65.7942377530693,23.4129558716633 65.7963738239133,23.4244703664953 65.7976108937591,23.4363520912275 65.7979012955515,23.4481431415184 65.7972338417843,23.4593891411082 65.7956342586407,23.4696568945839 65.7931641856877,23.4785511901663 65.7899187813576,23.4857300830314 65.786023030187,23.4909180572952 65.7816268992243,23.4939165577522 65.776899535941,23.4946114954019 65.7720227365557)))', 'SEALT', 'Altappen', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7313869643726 57.5423723393776,16.7302650126643 57.5375185028823,16.7274043429208 57.5328755840404,16.7229154490393 57.5286218921185,16.7169711908376 57.5249207306012,16.7098000975119 57.5219141464238,16.701677571205 57.5197174995651,16.6929153308101 57.5184150573795,16.6838494974771 57.5180567788014,16.6748277698566 57.5186564085915,16.6661961679608 57.5201909527252,16.6582858390623 57.522601554541,16.6514004170398 57.5257957391138,16.6458044080347 57.5296509422413,16.64171304051 57.5340191921765,16.6392839674531 57.5387327684864,16.6386111435791 57.5436106247647,16.6397211225247 57.5484653318351,16.642571930294 57.5531102768162,16.6470545743852 57.5573668419808,16.6529971464558 57.5610712864195,16.6601713740111 57.5640810634024,16.6683013777531 57.5662803268745,16.6770743004178 57.5675844111252,16.6861523945749 57.56794310723,16.6951860949714 57.5673426068635,16.7038275588456 57.565806036588,16.7117441375272 57.5633925615271,16.7186312456661 57.560195094032,16.7242241204283 57.5563366981004,16.7283080105137 57.5519658315545,16.7307264013082 57.5472506131819,16.7313869643726 57.5423723393776)))', 'SEALX', 'Älö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7524356878859 58.3463592754137,16.7512833975387 58.3415063689672,16.7483532977883 58.3368648549781,16.7437585811656 58.3326129850246,16.7376761932355 58.3289139873629,16.7303399761644 58.3259098198444,16.7220316674132 58.3237157438324,16.7130701016535 58.3224159231961,16.7037990264278 58.3220602132026,16.6945739894115 58.3226622591898,16.6857487864504 58.3241989758839,16.6776619742871 58.3266114268116,16.6706239497985 58.3298070711826,16.6649050786696 58.3336632946194,16.6607253210293 58.3380320919188,16.6582457502933 58.342745726321,16.6575622953438 58.3476231521328,16.6587019567612 58.3524769574528,16.6616216572533 58.3571205624579,16.666209787481 58.3613753972322,16.6722904046 58.365077782153,16.6796299360374 58.3680852436896,16.6879461397533 58.3702820189939,16.6969189791402 58.3715835332534,16.7062029903463 58.3719396733618,16.7154406563071 58.3713367284996,16.7242762585312 58.3697979207867,16.7323696570814 58.3673825050356,16.739409452365 58.3641834734047,16.7451250091129 58.3603239559512,16.7492968717839 58.3559524593623,16.7517651689008 58.3512371313395,16.7524356878859 58.3463592754137)))', 'SEANA', 'Sankt Anna', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7809294467695 56.3628127348519,12.7803489717047 56.3579317248577,12.7780647063125 56.3532073398057,12.7741650024385 56.3488210495556,12.7688001269968 56.3449412771653,12.7621764261155 56.3417169477549,12.7545483686596 56.3392717916146,12.7462087788841 56.3376996165008,12.7374776317337 56.337060726684,12.7286898340161 56.3373796227231,12.7201824492366 56.3386440677574,12.7122818426357 56.3408055550128,12.7052912255695 56.3437811589713,12.6994790648 56.3474567010163,12.6950687927713 56.3516911110973,12.6922302101095 56.3563218217612,12.6910729123699 56.3611709913908,12.6916420008446 56.3660523211697,12.6939162539916 56.3707782064604,12.6978088442374 56.375166949006,12.7031705876538 56.3790497524093,12.7097956149379 56.3822772301062,12.7174292552945 56.3847251725084,12.7257778345241 56.3862993476758,12.7345200091183 56.3869391468475,12.7433191934387 56.3866199310231,12.7518365904702 56.3853539857479,12.7597443106962 56.3831900461946,12.7667380597763 56.3802114112218,12.7725488941303 56.3765327208909,12.7769535832516 56.3722955245502,12.7797831764625 56.3676628138351,12.7809294467695 56.3628127348519)))', 'SEAND', 'Ängelsbäcksstrand', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8868211975306 56.2677734957129,12.886228352424 56.26289282358,12.8839363551078 56.2581702696818,12.8800338499238 56.2537872331376,12.8746712070871 56.2499120119903,12.8680546835224 56.2466933568702,12.8604384703311 56.2442547807457,12.8521149364121 56.2426898394592,12.8434034412885 56.2420585603106,12.8346381396873 56.2423851523206,12.8261552348009 56.2436570835844,12.8182801557484 56.2458255600087,12.8113151372285 56.2488073874659,12.8055276656821 56.2524881477648,12.8011402267208 56.2567265695842,12.7983217437147 56.2613599303501,12.7971810382176 56.2662102855801,12.7977625707589 56.2710912899573,12.8000446373702 56.2758153506384,12.8039401055682 56.2802008391103,12.8092996764557 56.2840790840471,12.8159175607871 56.2873008744742,12.8235393602991 56.2897422201008,12.8318718556276 56.2913091434527,12.8405943229555 56.2919413154778,12.8493709371347 56.2916143912229,12.8578637727326 56.2903409531742,12.8657458887679 56.2881700248197,12.8727139792257 56.2851851735718,12.8785000899929 56.2815012779665,12.8828819426268 56.277260086647,12.8856914642267 56.2726247438181,12.8868211975306 56.2677734957129)))', 'SEANG', 'Ängelholm', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5490433077192 58.0690668732575,11.5477928464314 58.0642219103608,11.5447834590516 58.0595992612693,11.5401313615575 58.0553764488711,11.5340156798752 58.0517155834403,11.5266715134163 58.0487571587151,11.5183808888256 58.0466146818832,11.5094619532529 58.0453703394238,11.5002568176317 58.0450718611495,11.4911185065818 58.0457306995655,11.4823975017424 58.0473215924618,11.4744283790383 58.0497835251385,11.4675170373399 58.0530220565859,11.4619289962395 58.0569129230333,11.4578792045364 58.0613067842869,11.4555237491641 58.0660349348592,11.4549537877642 58.0709157646598,11.4561919484974 58.0757617244062,11.4591913501535 58.0803865301902,11.4638372969896 58.0846123307875,11.4699515994637 58.0882765609983,11.4772993681393 58.0912382148272,11.4855980279699 58.0933832934846,11.4945282085139 58.0946292143861,11.5037460868911 58.0949280074153,11.5128966985093 58.094268172148,11.5216276890761 58.0926751225564,11.5296029624295 58.0902102016781,11.5365156833204 58.0869683054501,11.5421001221904 58.0830742099005,11.54614187865 58.0786777468243,11.5484860890595 58.0739480178123,11.5490433077192 58.0690668732575)))', 'SEANH', 'Ängehamn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.1124836199821 60.4871029983716,18.1119459531966 60.4822221170198,18.1094895242815 60.477486754925,18.1052094932682 60.473078792976,18.0992708876932 60.4691674655671,18.0919021775598 60.4659028815617,18.0833864572359 60.463410286305,18.0740505788503 60.4617852805436,18.0642526528014 60.4610901751311,18.0543683863954 60.4613516172792,18.0447767703576 60.4625595764289,18.0358456443998 60.4646677272169,18.0279176768852 60.467595215196,18.0212972798882 60.4712297396509,18.0162389497949 60.475431838723,18.012937475534 60.4800402167928,18.0115203923974 60.4848779142572,18.0120429805422 60.4897590869718,18.014486015553 60.4944961380407,18.0187563764963 60.498906929445,18.0246905080171 60.5028217960319,18.0320606212501 60.506090090131,18.0405834082232 60.5085860015687,18.0499309409768 60.5102134247391,18.0597433348397 60.5109096807595,18.0696426799082 60.5106479472479,18.0792476898626 60.5094382991209,18.0881884858861 60.5073273188742,18.0961209274364 60.504396291715,18.102739921312 60.5007580571671,18.1077911847438 60.4965526419171,18.1110810046411 60.4919418464418,18.1124836199821 60.4871029983716)))', 'SEANR', 'Ängskär', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2289116944076 57.1920224294647,12.2283939392181 57.1871400896252,12.2261322319008 57.1824063797927,12.2222140951531 57.1780031290092,12.2167905368792 57.1740994101864,12.2100701809095 57.1708450642923,12.20231121958 57.168364968934,12.1938115019301 57.1667542675058,12.1848971367901 57.1660747379806,12.1759100412333 57.1663524370893,12.1671949006697 57.1675767076581,12.1590860265903 57.1697005859384,12.1518946012965 57.1726425936095,12.1458967858326 57.1762898475212,12.1413231380249 57.1805023709109,12.1383497425733 57.1851184444809,12.1370913954661 57.1899607959691,12.1375971119659 57.1948433941898,12.1398481429673 57.1995785892706,12.1437585911437 57.2039843260543,12.1491786191066 57.2078911531589,12.1559001404862 57.2111487564089,12.1636647855264 57.2136317622942,12.1721738398963 57.2152445843187,12.1810997733337 57.2159251216673,12.1900989075944 57.2156471641769,12.1988247244818 57.2144214083576,12.2069412871296 57.2122950440744,12.2141362427222 57.20934992812,12.220132892762 57.205699416853,12.224700856851 57.2014839829385,12.2276649155856 57.1968657887749,12.2289116944076 57.1920224294647)))', 'SEANS', 'Årnäs', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5626728549786 56.1148045952464,15.561743550011 56.1099393367921,15.5591338644286 56.1052688184053,15.5549446131556 56.1009724230468,15.5493371322845 56.0972151084246,15.5425270266631 56.0941410906565,15.5347758674063 56.091868328795,15.5263811608954 56.0904840181216,15.517664971514 56.0900412613994,15.5089616268652 56.0905570426603,15.5006049655267 56.0920115792,15.4929156029044 56.0943490759769,15.4861886901516 56.0974798543064,15.4806826244453 56.1012837753853,15.4766091364508 56.105614830531,15.4741251331975 56.1103067257704,15.4733266128791 56.1151792501823,15.474244893773 56.12004518665,15.4768453146081 56.1247175016926,15.4810284709331 56.1290165388255,15.4866339545573 56.1327769381549,15.493446464698 56.1358540139445,15.5012040641769 56.1381293415853,15.509608266148 56.139515335179,15.5183355606288 56.1399586357524,15.527049929363 56.1394421764771,15.5354158554533 56.1379858432793,15.5431113130183 56.1356457047257,15.5498402230062 56.1325118416882,15.5553438841814 56.1287048625889,15.5594109319494 56.124371241666,15.5618854397478 56.1196776635086,15.5626728549786 56.1148045952464)))', 'SEAPO', 'Aspö, Karlskrona', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4354838120258 61.7040769427233,17.4340921644899 61.6992340916666,17.4307381837906 61.6946131306737,17.4255514960004 61.6903914998273,17.4187318760899 61.6867312380809,17.4105415020697 61.6837727860237,17.4012948641686 61.6816296224579,17.3913467190747 61.6803839357985,17.3810785460213 61.6800834917471,17.3708840116561 61.6807398136615,17.3611539833567 61.6823277431357,17.3522616454865 61.6847863971625,17.3445482698269 61.6880214865545,17.33831017009 61.6919089097436,17.3337873312745 61.6962994883428,17.3311541482389 61.7010246675751,17.3305126351975 61.7059029674304,17.3318883804491 61.7107469406459,17.3352294207145 61.7153703726061,17.3404080999839 61.7195954470468,17.3472258625141 61.7232596007592,17.3554208130695 61.7262218006378,17.3646777646901 61.7283679973082,17.3746403905189 61.7296155405917,17.3849250067588 61.7299163821317,17.3951354434307 61.7292589380563,17.40487841217 61.7276685376108,17.4137787585473 61.7252064399861,17.4214939915616 61.7219674586272,17.427727514741 61.7180762876189,17.4322400398309 61.7136826759192,17.4348587421454 61.7089556400663,17.4354838120258 61.7040769427233)))', 'SEARO', 'Arnöviken, Arnön', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0115334776117 58.4242626904135,17.0103428553799 58.4194124226497,17.0073721589234 58.4147771561864,17.0027361398282 58.4105349005132,16.9966133269408 58.4068485128673,16.9892391096941 58.4038594656431,16.9808966782897 58.4016824390954,16.971906170939 58.4004009426708,16.9626124406074 58.4000641289303,16.953371900825 58.4006849190014,16.9445389411727 58.4022395094288,16.9364524175 58.40466827886,16.9294227195139 58.4078780609445,16.9237198991363 58.4117456988672,16.9195633072546 58.4161227488236,16.9171131348274 58.4208411561356,16.9164641877918 58.425719690209,16.9176421454103 58.430570894589,16.9206024607436 58.4352082872569,16.9252319626366 58.4394535350284,16.9313531144296 58.443143325147,16.93873077958 58.446135667223,16.947081242977 58.4483153793897,16.9560831436123 58.4495985433388,16.9653898939943 58.4499357526434,16.9746430984048 58.4493140259546,16.9834864391847 58.4477573093198,16.9915794800511 58.4453255477876,16.9986108391151 58.4421123632296,17.0043102115745 58.4382414304567,17.0084587714591 58.4338616948842,17.0108975506101 58.4291416200502,17.0115334776117 58.4242626904135)))', 'SEASJ', 'Aspöja', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4429539493771 58.7430998204451,17.4416915530091 58.7382543513067,17.4386357273501 58.7336299576155,17.4339045011402 58.7294042268051,17.42768005993 58.7257393772443,17.4202016892025 58.7227760507802,17.4117565662783 58.7206279377903,17.4026687566814 58.719377436773,17.3932868328539 58.7190725109336,17.3839705800308 58.7197248590727,17.3750772848113 58.7213094689374,17.3669481159567 58.72376556976,17.3598951039709 58.7269989486878,17.3541892061106 58.7308855449521,17.3500499069251 58.7352761876465,17.3476367518925 58.7400022995622,17.3470431442371 58.7448823522501,17.3482926541627 58.7497288277906,17.3513379976904 58.754355421924,17.3560627418886 58.75858421222,17.3622856880363 58.7622525145314,17.3697677782639 58.7652191613613,17.3782212689938 58.7673699568361,17.3873208207805 58.768622094073,17.3967160735378 58.7689273607663,17.4060452128183 58.7682740062235,17.4149489901731 58.7666871959135,17.4230846410302 58.7642280356028,17.4301391480613 58.7609912039237,17.4358413264065 58.7571012872952,17.4399722577822 58.7527079621189,17.4423736706343 58.7479802139863,17.4429539493771 58.7430998204451)))', 'SEASN', 'Aspnäset', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8733589445632 58.291314857994,16.8721920598894 58.2864630874495,16.8692508800788 58.2818243709642,16.8646490193606 58.2775768520932,16.8585636937285 58.2738835917569,16.8512288547402 58.2708863276072,16.8429261845374 58.2687000563641,16.8339743002456 58.2674086428796,16.8247165781235 58.2670616203827,16.8155080549759 58.2676723013694,16.8067018954773 58.2692172695567,16.7986359286319 58.2716372718897,16.7916197543561 58.2748394775114,16.7859229021552 58.2787010196194,16.7817644883591 58.2830736879701,16.7793047670295 58.2877895961258,16.7786389034912 58.2926676099685,16.7797932200197 58.2975202939827,16.7827240726819 58.3021611106039,16.7873194194623 58.306411596551,16.7934030360568 58.3101082391937,16.800741231097 58.3131087859546,16.8090518115156 58.3152977403659,16.8180149559295 58.3165908290867,16.8272855738266 58.3169382638479,16.8365066651341 58.3163266693901,16.8453231517855 58.314779601064,16.8533956325605 58.3123566316524,16.8604135158578 58.3091510437235,16.8661070119923 58.3052862190057,16.8702575155682 58.3009108674898,16.8727059767839 58.2961932841003,16.8733589445632 58.291314857994)))', 'SEASO', 'Äspö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8414990033855 57.6579634132518,11.840225352535 57.6531212872054,11.8372145774767 57.6485053348154,11.8325829275934 57.6442928217131,11.8265087271452 57.6406454639279,11.8192254720216 57.6377032388792,11.8110128465335 57.6355790347813,11.8021860069281 57.63435433973,11.7930835386058 57.6340761320017,11.7840545394322 57.6347550877624,11.7754453111389 57.6363651730921,11.7675861540523 57.6388446356556,11.7607787570407 57.642098359241,11.7552846546592 57.6460014934884,11.751315187329 57.6504042231899,11.7490233486742 57.6551374982146,11.7484978379466 57.6600195080278,11.7497595563771 57.6648626553399,11.7527606964928 57.669480762924,11.7573864757432 57.6736962370406,11.7634594636204 57.6773469108732,11.7707463488412 57.6802923021643,11.7789668944481 57.6824190406679,11.7878047384283 57.6836452524469,11.7969196200634 57.6839237283165,11.8059605516699 57.6832437512887,11.8145794149089 57.6816315107622,11.82244444262 57.6791490871819,11.8292530521876 57.6758920475487,11.8347435244589 57.6719857470602,11.8387050716671 57.667580482956,11.8409859059555 57.6628456912058,11.8414990033855 57.6579634132518)))', 'SEASP', 'Asperö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.807678201878 57.771342731837,16.8065383548962 57.7664898431085,16.8036493019478 57.7618489751819,16.7991226350551 57.7575983570317,16.7931326693772 57.7539011722803,16.7859096901739 57.7508993133017,16.7777310889638 57.748707957017,16.7689107315733 57.7474111664851,16.7597869623529 57.7470586831062,16.7507096955329 57.7476640292802,16.7420270755891 57.7492039922875,16.7340722029983 57.7516195086931,16.7271504196456 57.7548179164424,16.7215276294208 57.7586764907759,16.7174200945049 57.7630471318679,16.714986097164 57.7677620283827,16.7143197915616 57.7726400835297,16.7154474917357 57.7774938601492,16.718326552595 57.7821367801348,16.7228469033213 57.7863903021052,16.7288351903364 57.790090800358,16.7360613839447 57.7930958780692,16.7442476032667 57.7952898682942,16.7530788226883 57.7965883069802,16.7622150442117 57.7969412018098,16.7713044578531 57.7963349677433,16.7799970698901 57.7947929526743,16.7879582586397 57.7923745324461,16.7948817206402 57.7891728111945,16.8005012964464 57.7853110181299,16.8046012132462 57.7809377431003,16.8070243485635 57.7762211984339,16.807678201878 57.771342731837)))', 'SEASR', 'Äskeskär', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9926217958807 58.4892692175194,16.9914313850657 58.4844188182864,16.9884575004754 58.4797831754626,16.9838150191139 58.475540312821,16.977682720231 58.4718531105707,16.9702963587129 58.4688630719386,16.9619395910835 58.4666849147589,16.9529331048827 58.4654021914397,16.9436223645448 58.4650641013082,16.9343644341037 58.4656836143241,16.9255143681631 58.4672369760865,16.9174116770567 58.4696646126382,16.9103673697266 58.4728734015162,16.9046520585981 58.4767402245453,16.9004855749327 58.481116669757,16.8980284914196 58.4858347062028,16.897375882172 58.4907131179251,16.8985535703768 58.4955644533916,16.9015170227507 58.5002022255695,16.906152950499 58.5044480865117,16.912283572102 58.5081386995454,16.9196733880278 58.5111320421832,16.9280382158534 58.5133128935854,16.937056140948 58.5145972911727,16.9463799574075 58.5149357807248,16.9556506104737 58.5143153314739,16.9645111086352 58.5127598403544,16.9726203533462 58.5103292054995,16.9796663379397 58.5071170058374,16.9853781946457 58.5032468788041,16.9895366181105 58.4988677393728,16.9919822627384 58.4941480286616,16.9926217958807 58.4892692175194)))', 'SEASU', 'Arkösund', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6348503742411 57.9240366580918,11.6335939669806 57.9191924929468,11.630586273133 57.9145717697663,11.6259434367573 57.9103519375653,11.6198442225924 57.9066949927051,11.6125230942768 57.9037412792565,11.6042611929705 57.9016041245834,11.5953755646755 57.9003655119101,11.5862070454235 57.9000729519806,11.5771072594009 57.9007376706655,11.5684252150823 57.9023341801423,11.5604939979965 57.9048012497352,11.553618055625 57.9080442404149,11.5480615501476 57.9119387160504,11.5440382186399 57.9163351965206,11.541703128537 57.9210648744079,11.5411466497847 57.9259460798002,11.5423908856902 57.9307912481724,11.5453887142228 57.9354141256621,11.5500254932276 57.9396369352812,11.5561233801473 57.9432972273835,11.5634481134079 57.9462541483116,11.5717180030319 57.9483938823913,11.5806147868693 57.9496340537064,11.5897959305564 57.9499269142234,11.5989078879474 57.9492611923098,11.6075997975844 57.947662528521,11.6155370720326 57.9451924815077,11.6224143416338 57.9419461435851,11.6279672421528 57.9380484604717,11.6319825853392 57.9336494005978,11.6343065199082 57.928918164071,11.6348503742411 57.9240366580918)))', 'SEATL', 'Åstol', 'Y'),('SRID=4326;MULTIPOLYGON(((19.4027789085534 63.500632767596,19.401978796114 63.4957587957352,19.3990667924876 63.4910481840491,19.3941557335603 63.4866818379936,19.3874349969146 63.4828273629088,19.3791631259508 63.4796326521173,19.3696578536825 63.4772202387482,19.3592839155988 63.4756826229831,19.3484391163194 63.4750787488239,19.3375391728257 63.475431761013,19.3270018969409 63.4767281249686,19.3172313009851 63.4789181421387,19.3086022129294 63.481917841689,19.3014459709158 63.4856121785769,19.2960377318608 63.4898594194755,19.2925858754436 63.494496553329,19.2912239138684 63.4993455241041,19.2920052306644 63.5042200510383,19.2949008704195 63.5089327777082,19.2998004884952 63.5133024766718,19.3065164490769 63.5171610321402,19.3147909358833 63.5203599295898,19.3243058176694 63.5227759985106,19.334694895988 63.5243161821953,19.3455580612535 63.5249211456987,19.3564768004234 63.5245675784348,19.3670304401959 63.5232690994909,19.376812476994 63.5210757294079,19.3854463410838 63.5180719494715,19.392599967222 63.514373425927,19.3979985967427 63.5101225294811,19.4014353129345 63.5054828277127,19.4027789085534 63.500632767596)))', 'SEAVA', 'Ava', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5539958416069 58.0330653967861,11.5527461039754 58.0282204530882,11.5497392347568 58.023597878768,11.545091351715 58.0193751939754,11.5389814178658 58.0157145042958,11.5316443114189 58.012756296976,11.5233617880734 58.0106140711182,11.5144516846456 58.0093700037934,11.5052557741223 58.0090718144075,11.4961267283286 58.0097309444357,11.487414674557 58.0113221204281,11.4794538461913 58.0137843166715,11.4725498243113 58.0170230818128,11.4669678475359 58.0209141428387,11.4629226312564 58.0253081518077,11.460570085587 58.0300363973189,11.4600012548833 58.0349172654656,11.4612387221298 58.0397632054187,11.4642356310479 58.0443879340639,11.4688773802382 58.0486136032754,11.4749859405103 58.0522776531177,11.4823266427722 58.0552390847898,11.4906171838979 58.0573839083108,11.4995385064374 58.0586295511383,11.5087471293938 58.0589280540101,11.5178884455861 58.0582679277251,11.5266104596619 58.0566745974049,11.5345774218704 58.0542094167402,11.5414828173119 58.0509672914355,11.5470611982586 58.0470730060588,11.5510983967543 58.0426763994294,11.5534397233206 58.0379465784179,11.5539958416069 58.0330653967861)))', 'SEAVN', 'Ängeviken, Tjörn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4515343219399 62.8639971790697,18.4509079389468 62.8591186829724,18.4482106894825 62.8543897137259,18.4435471286911 62.8499918931968,18.4370971187603 62.8460940468695,18.4291088193114 62.8428457434454,18.419889107155 62.840371580972,18.4097918000641 62.8387664339216,18.3992041344587 62.8380918385209,18.3885320052789 62.8383736505067,18.3781845169088 62.839601061909,18.3685584162769 62.8417270130752,18.3600229829556 62.8446699846018,18.3529059362057 62.8483171028082,18.3474808856287 62.8525284435335,18.3439568008276 62.8571423739936,18.3424699070086 62.8619817327756,18.3430783290508 62.8668606152673,18.3457597081329 62.871591507245,18.3504119052288 62.8759924941248,18.3568567881721 62.8798942683751,18.3648469778843 62.8831466633042,18.3740753097862 62.88562445797,18.3841866538301 62.887232224931,18.3947916365957 62.8879080291017,18.4054817267567 62.8876258307205,18.4158450855257 62.8863964965829,18.4254825498464 62.8842673790613,18.434023110129 62.8813204796093,18.4411382665852 62.8776692698989,18.4465546974001 62.8734542969851,18.450064745255 62.8688377466191,18.4515343219399 62.8639971790697)))', 'SEBA2', 'Barsta', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7663969963464 55.9038135799744,12.7658237227727 55.8989322353142,12.7635668281394 55.8942074912284,12.7597135962732 55.8898208330189,12.7544124968884 55.8859407004055,12.7478674205088 55.882716035366,12.7403298170689 55.8802705841374,12.7320890441869 55.8786981684368,12.7234612942451 55.8780591035749,12.7147775186593 55.8783778975339,12.7063708019701 55.8796423168691,12.6985636569756 55.8818038541605,12.6916557147031 55.8847795794549,12.6859122695643 55.8884553064625,12.6815541108086 55.8926899549737,12.6787490269715 55.8973209457444,12.6776053113668 55.9021704245877,12.6781675251992 55.9070520800975,12.6804146925055 55.9117782956196,12.684261010355 55.9161673618398,12.6895590616305 55.9200504724409,12.6961054198574 55.9232782320738,12.7036484399541 55.9257264233775,12.7118979396671 55.927300807483,12.7205363980324 55.9279407694073,12.7292312333716 55.9276216645981,12.7376476773941 55.9263557738245,12.7454617364024 55.9241918285201,12.7523727267736 55.9212131252368,12.7581148900531 55.9175343036364,12.7624676321454 55.913296915052,12.7652639891545 55.9086639558788,12.7663969963464 55.9038135799744)))', 'SEBAC', 'Bäckviken', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3310807289463 58.8321406559856,17.329830367498 58.827294074589,17.3267812407317 58.8226670441376,17.3220511254631 58.8184372536768,17.3158221694399 58.814767077423,17.3083338351748 58.8117973613419,17.2998736845141 58.8096420404458,17.2907663599796 58.8083837891214,17.2813611813891 58.8080708672828,17.2720188234004 58.8087152800277,17.2630975705466 58.8102923193689,17.2549396604835 58.8127415051832,17.2478582233283 58.8159688905167,17.2421253051551 58.8198506455112,17.2379614272326 58.8242377862205,17.2355270800735 58.8289618711234,17.2349164838631 58.8338414508021,17.2361538659117 58.8386890265024,17.2391924135947 58.8433182523773,17.2439159606652 58.8475511051484,17.2501433593262 58.851224744391,17.2576353841628 58.8541977969311,17.2661039114762 58.8563558198101,17.2752230234759 58.8576157272884,17.2846416058074 58.857929007317,17.2939969432113 58.8572836002666,17.3029287751526 58.855704365499,17.3110932534045 58.8532521173717,17.3181762479046 58.8500212690485,17.323905475491 58.8461361775968,17.3280609767566 58.8417463349075,17.3304835364598 58.8370205938534,17.3310807289463 58.8321406559856)))', 'SEBAI', 'Bälinge', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3610795278866 55.5952375789176,14.3603117625273 55.5903636535308,14.3578801257502 55.5856681655106,14.353878587887 55.5813314667599,14.3484612821758 55.5775200716778,14.3418365274828 55.5743802798069,14.3342588024061 55.572032579514,14.3260189822133 55.5705670438356,14.3174332112663 55.5700398914592,14.3088308308617 55.5704713416043,14.3005418147235 55.5718448429205,14.2928841810815 55.5741077051411,14.2861518510304 55.5771731098845,14.2806034076982 55.5809234254541,14.2764521799312 55.5852147015168,14.2738580283605 55.5898821748486,14.2729211518471 55.5947465785408,14.2736781598854 55.5996210156426,14.2761005735606 55.6043181354585,14.2800958266734 55.6086573376602,14.285510742783 55.6124717267213,14.2921373668205 55.6156145472932,14.2997209355998 55.6179648499165,14.3079696842036 55.6194321653733,14.3165661089992 55.6199600040204,14.3251792467362 55.6195280421595,14.3334774859814 55.6181529090454,14.3411414043697 55.6158875433717,14.3478761240115 55.6128191446483,14.3534226979878 55.6090658003786,14.3575680820471 55.6047719219875,14.360153305211 55.6001026688795,14.3610795278866 55.5952375789176)))', 'SEBAK', 'Baskemölla', 'Y'),('SRID=4326;MULTIPOLYGON(((17.9870920442342 62.6318564999107,17.9855639754328 62.6270207624358,17.9820171369516 62.6224151199006,17.9765886070562 62.6182164143247,17.9694874702127 62.6145857935196,17.9609867111321 62.6116625496388,17.9514127104842 62.6095588013084,17.9411327479054 62.6083552183797,17.930540985554 62.6080979485432,17.9200434559909 62.6087968598736,17.9100426108067 62.610425164433,17.9009220007606 62.6129204369702,17.8930316540591 62.6161869911918,17.8866746968049 62.6200995257158,17.8820957188433 62.6245079043194,17.8794713297511 62.6292428920835,17.8789032745364 62.6341226320896,17.8804143882679 62.6389596178752,17.8839475655999 62.6435678961897,17.8893678080515 62.6477702237406,17.8964672928488 62.6514049013048,17.9049732867959 62.6543320191238,17.9145586122676 62.6564388687992,17.9248542655269 62.657644308327,17.9354636956481 62.6579019073656,17.9459781803061 62.6572017477219,17.9559926866454 62.6555708073788,17.9651215841185 62.6530719128627,17.9730135828368 62.6498013018812,17.9793653051996 62.6458848934215,17.9839329583316 62.6414734134774,17.9865416567599 62.636736569118,17.9870920442342 62.6318564999107)))', 'SEBAN', 'Bänkåsviken', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5725004301612 61.7170243670413,17.5710866921292 61.7121830437042,17.5677108426284 61.7075655709303,17.5625033460013 61.7033492537331,17.5556647733495 61.6996959261775,17.5474580266203 61.6967457621219,17.5381982206341 61.6946119220844,17.5282406140209 61.6933762368406,17.5179670466385 61.6930860887405,17.5077713910336 61.6937526066591,17.4980445580569 61.6953502415563,17.4891596113909 61.6978177384702,17.4814575423002 61.7010604690769,17.4752342343899 61.7049540384187,17.4707291088248 61.7093490317002,17.4681158838694 61.7140767238349,17.4674958097585 61.7189555372464,17.4688936523275 61.7237980037493,17.472256598737 61.7284179654339,17.4774561490222 61.7326377383734,17.4842929418428 61.7362949623984,17.4925043462204 61.7392488704483,17.5017745382546 61.7413857320156,17.5117466781349 61.7426232563232,17.5220367134425 61.7429137810394,17.5322482645327 61.7422461199527,17.5419880006065 61.7406459961407,17.5508808936004 61.738175043481,17.5585847424967 61.734928416404,17.5648033927364 61.7310311030701,17.5692981322476 61.7266330882629,17.5718968239499 61.721903557068,17.5725004301612 61.7170243670413)))', 'SEBAO', 'Bålsön', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8870163079952 56.433774932594,12.8864213778349 56.4288943643806,12.8841198831916 56.4241718569561,12.8802008393914 56.4197888070829,12.8748152564585 56.4159135124151,12.8681702747223 56.4126947253151,12.8605211780605 56.4102559627038,12.8521615956579 56.4086907866144,12.8434122669189 56.4080592326862,12.8346087938464 56.4083855202111,12.8260888396937 56.4096571291363,12.8181792513557 56.4118252783227,12.811183585449 56.414806787116,12.805370504321 56.4184872506625,12.8009634785728 56.4227254101653,12.7981321876714 56.4273585541097,12.7969859508069 56.4322087470334,12.7975694477346 56.4370896501491,12.7998609058665 56.4418136743565,12.8037728378429 56.4461991919773,12.8091553163511 56.4500775296656,12.8158016736848 56.4532994717871,12.8234564165465 56.4557410210973,12.8318250561704 56.4573081913129,12.8405854742714 56.4579406432064,12.8494003805894 56.4576140207786,12.8579303712602 56.4563408950683,12.8658470714186 56.4541702781319,12.8728458417386 56.4511857263168,12.8786575472565 56.4475021077494,12.883058926798 56.4432611615498,12.8858811604813 56.4386260234818,12.8870163079952 56.433774932594)))', 'SEBAS', 'Båstad', 'Y'),('SRID=4326;MULTIPOLYGON(((23.4856283505635 65.779026247497,23.4839955263468 65.774187355497,23.4800970754533 65.7695722114846,23.4740838270123 65.7653580045767,23.4661874917916 65.7617064500551,23.4567116631952 65.7587576104099,23.4460201293126 65.756624553051,23.4345229482003 65.7553890438846,23.4226608129915 65.7550984363928,23.4108882889369 65.7557638710384,23.3996565404476 65.7573598512987,23.3893961823508 65.7598252119933,23.3805008857681 65.7630654444301,23.3733123452813 65.7669562928481,23.3681071705125 65.771348489312,23.3650862022816 65.7760734511859,23.3643666719116 65.7809497281307,23.3659775234258 65.7857899556778,23.3698581045329 65.7904080511506,23.375860306614 65.7946263761003,23.3837541006152 65.7982825883119,23.3932362800206 65.8012359162045,23.4039420898962 65.8033726090725,23.4154592987977 65.804610347535,23.4273441645369 65.8049014387185,23.4391386613355 65.8042346685223,23.4503882796223 65.8026357367952,23.460659684053 65.8001662580532,23.4695575218076 65.7969213679249,23.4767397114441 65.7930260312629,23.4819306102087 65.7886301992964,23.4849315506762 65.7839030081319,23.4856283505635 65.779026247497)))', 'SEBAT', 'Båtskärsnäs', 'Y'),('SRID=4326;MULTIPOLYGON(((12.9492363047291 55.7577463633808,12.9486418297876 55.7528656117987,12.9463707291287 55.748144018468,12.9425108254321 55.7437629469122,12.9372108380066 55.7398906220937,12.9306746091535 55.7366756865164,12.9231532454532 55.7342415136472,12.9149354797388 55.7326814932913,12.906336622292 55.7320554660737,12.8976865186982 55.7323874405078,12.8893169657523 55.7336646778535,12.8815490551306 55.7358381788019,12.8746809169045 55.7388245537134,12.8689763213439 55.7425092064692,12.8646545681051 55.7467507127236,12.8618820474086 55.7513862281848,12.8607657991538 55.7562377231213,12.8613493245054 55.7611188070847,12.8636108222507 55.7658418841569,12.8674639316651 55.7702253649288,12.8727609678083 55.7741006576569,12.8792985376873 55.7773186680005,12.8868253305654 55.779755554387,12.8950517870674 55.7813175139026,12.9036612738176 55.7819444107021,12.9123223270131 55.7816121038861,12.9207014828789 55.7803333827968,12.9284761877797 55.7781574726301,12.9353472772774 55.7751681298077,12.9410505318003 55.7714804022863,12.9453668558552 55.7672361825165,12.9481306857671 55.762598727898,12.9492363047291 55.7577463633808)))', 'SEBBH', 'Barsebäckshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1259951922362 57.2392299039851,17.1248314726935 57.2343796950906,17.1219457024751 57.2297457315441,17.1174493231532 57.2255059773467,17.1115154668599 57.2218232007108,17.1043722516075 57.2188387438095,17.0962940023931 57.2166671191846,17.0875907372716 57.2153916362041,17.0785963181132 57.2150612215339,17.0696557115906 57.2156885524832,17.0611118361418 57.2172495729067,17.0532924846544 57.2196844098024,17.0464978101559 57.2228996565699,17.0409888429037 57.2267719378507,17.0369774722711 57.2311526226975,17.0346182763704 57.2358735092051,17.0340025175102 57.2407532662732,17.0351545439242 57.2456043883249,17.038030749854 57.250240397818,17.0425211498029 57.2544830192752,17.0484535219458 57.2581690479701,17.0555999742218 57.2611566466334,17.0636856888292 57.263330824418,17.0723995111754 57.2646078832602,17.0814059721467 57.2649386565828,17.0903582718107 57.2643104124749,17.0989117115518 57.2627473461022,17.1067370424048 57.2603096419446,17.1135332010395 57.2570911431173,17.1190389312555 57.2532157200759,17.1230428364914 57.2488324820719,17.1253914751749 57.244110019705,17.1259951922362 57.2392299039851)))', 'SEBDQ', 'Böda', 'Y'),('SRID=4326;MULTIPOLYGON(((16.1369829109198 56.3855957225055,16.1359736774992 56.3807354169776,16.1332752624025 56.3760776862469,16.1289918918299 56.3718014172658,16.1232885135763 56.3680707904461,16.1163844066283 56.3650289937762,16.1085447391787 56.3627927472413,16.1000704017241 56.3614478438578,16.0912865023626 56.3610458746624,16.0825299575392 56.3616022601869,16.0741366423178 56.3630956619397,16.0664285791833 56.3654687958917,16.0597016431189 56.3686306176958,16.0542142432847 56.372459798108,16.0501774083421 56.3768093585865,16.0477466539846 56.3815122930226,16.0470159485891 56.3863879635987,16.0480140176265 56.3912490283502,16.0507031416427 56.3959086363939,16.0549805089195 56.4001876149737,16.0606820856106 56.4039213711667,16.0675888670036 56.4069662405657,16.0754352777484 56.4092050353903,16.0839194007436 56.4105515746696,16.09271463813 56.410954018316,16.1014823473484 56.4103968735666,16.1098849536543 56.4089015944985,16.1175990200787 56.4065257509456,16.1243277576932 56.4033607997674,16.1298124830705 56.3995285466271,16.1338425747138 56.3951764378613,16.1362635435367 56.3904718675317,16.1369829109198 56.3855957225055)))', 'SEBEA', 'Bergkvara', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3153491091488 65.6424907393757,22.3139435439143 65.6376395419,22.310274210669 65.6329947261351,22.304483154109 65.6287346319231,22.2967935847126 65.6250227453695,22.2875012005396 65.6220014507149,22.2769627950117 65.6197865983381,22.2655825926527 65.6184630916067,22.2537968306385 65.6180816562802,22.2420571611044 65.6186569117506,22.2308134868266 65.6201668151323,22.2204968608139 65.6225534986742,22.2115030783837 65.6257254697744,22.2041775684651 65.6295610926457,22.1988021493057 65.6339132230274,22.1955841528174 65.6386148238413,22.1946483422396 65.6434853519108,22.1960319509634 65.648337675247,22.1996830583702 65.6529852582784,22.2054623944797 65.6572493398729,22.2131485331508 65.6609658268835,22.22244629863 65.6639916346919,22.2329980782501 65.6662102258322,22.244397611406 65.6675361277426,22.2562057179784 65.6679182500178,22.2679673440658 65.6673418686839,22.2792292441965 65.6658291980295,22.2895575906376 65.6634385270993,22.2985548037477 65.6602619555403,22.3058749323175 65.6564218195181,22.3112369773703 65.652065950379,22.3144356430837 65.647361954392,22.3153491091488 65.6424907393757)))', 'SEBEB', 'Bensbyn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9368984769408 59.4067822266285,18.9362547893576 59.4019036734369,18.9337573402996 59.3971828575123,18.9295027993789 59.3928010991487,18.923655156435 59.3889266285542,18.9164393451916 59.3857081449734,18.9081325671975 59.3832691318409,18.8990536542359 59.381703141934,18.8895508756361 59.3810702290869,18.8799886499338 59.3813946595194,18.8707336570754 59.3826639878383,18.8621408672147 59.3848295319275,18.8545400048335 59.3878082289887,18.848222952391 59.3914858036381,18.8434325662123 59.3957211299359,18.8403533293843 59.4003516241884,18.8391042029432 59.4051994659224,18.8397339589861 59.4100784120781,18.842219189463 59.4148009455149,18.8464650849281 59.4191854844638,18.8523089717349 59.4230633753985,18.8595264880012 59.4262853983589,18.8678401726081 59.4287275310719,18.8769301423051 59.4302957458315,18.8864464444743 59.4309296500893,18.8960226017356 59.4306048266919,18.9052898131848 59.4293337808579,18.9138912484964 59.4271654561802,18.9214958669982 59.4241833387771,18.9278112143992 59.420502224749,18.9325946939553 59.4162637788736,18.9356628740526 59.4116310597715,18.9368984769408 59.4067822266285)))', 'SEBEG', 'Berg, Möja', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1959375398566 58.7251918452303,17.1947101467697 58.7203437449943,17.1916885935707 58.715713286957,17.1869895953299 58.71147829325,17.1807941044501 58.7078013393039,17.1733403003622 58.7048235325027,17.1649144229488 58.702659119291,17.1558398039265 58.7013911234556,17.1464645128837 58.7010681788538,17.1371480818659 58.7017026747808,17.1282478034182 58.7032702830833,17.1201051112909 58.7057108847043,17.1130325503478 58.7089308613192,17.1073018226173 58.7128066668242,17.1031333601947 58.7171895453941,17.1006878234758 58.7219112193069,17.1000598560132 58.7267903323274,17.1012743467081 58.731639404606,17.1042853582388 58.7362720340486,17.1089777804075 58.7405100679473,17.1151716619606 58.7441904680306,17.1226290684764 58.7471716022714,17.1310632116385 58.7493387176523,17.140149501346 58.7506083790051,17.1495380912524 58.750931698912,17.1588674246772 58.7502962309407,17.1677782447976 58.7487264512299,17.1759275129881 58.7462828094145,17.1830016832408 58.7430593866617,17.1887288085283 58.7391802537187,17.1928890051979 58.7347946729826,17.1953228712406 58.730071333555,17.1959375398566 58.7251918452303)))', 'SEBEK', 'Brevik, Nyköping', 'Y'),('SRID=4326;MULTIPOLYGON(((18.2964386975072 62.8160567139865,18.2958388541954 62.8111776437423,18.2931707827454 62.8064458348546,18.2885379163614 62.8020430197972,18.2821189396321 62.7981382172603,18.2741608238725 62.7948812641324,18.2649692918921 62.7923970911917,18.2548970852132 62.7907809573493,18.2443304820986 62.7900948202451,18.2336745732706 62.7903649779301,18.2233378429529 62.7915810688384,18.2137166253206 62.7936964668785,18.2051800103591 62.7966300569279,18.198055758486 62.8002693249635,18.1926177502646 62.8044746481691,18.1890754465504 62.8090846252626,18.187565766232 62.8139222475569,18.1881477046258 62.8188016783986,18.1907999174519 62.8235353839582,18.1954213858341 62.8279413430116,18.2018351604277 62.8318500582247,18.2097950619012 62.8351110970402,18.2189950955929 62.8375989066706,18.2290812256758 62.839217674551,18.2396650541735 62.8399050420322,18.2503388679496 62.8396345237487,18.2606914569082 62.8384165361646,18.2703240725359 62.8362979941239,18.2788658896072 62.8333604913957,18.2859883557363 62.8297171376736,18.2914178622295 62.8255081777822,18.2949462425461 62.8208955666552,18.2964386975072 62.8160567139865)))', 'SEBEN', 'Berghamn', 'Y'),('SRID=4326;MULTIPOLYGON(((13.4667994603198 55.3555573318748,13.4661460880271 55.3506785118522,13.4638351557176 55.3459660329029,13.4599559975312 55.3416009063306,13.4546580541876 55.3377507441355,13.4481450744401 55.3345633387018,13.440667262231 55.3321610086486,13.4325116747421 55.330635924267,13.4239912382822 55.3300465882308,13.4154327969196 55.3304156033805,13.4071646418883 55.3317288109401,13.399503987403 55.333935831254,13.3927448602673 55.3369519867715,13.3871468565508 55.3406615353574,13.3829251889024 55.3449220928221,13.3802424033766 55.34957007856,13.3792020859551 55.3544269789881,13.3798448076836 55.3593061915672,13.3821464754721 55.3640201888629,13.3860191656191 55.3683877284178,13.3913144221058 55.3722408308772,13.3978289052306 55.3754312562287,13.4053121821784 55.3778362260978,13.4134763638115 55.3793631683052,13.4220072154397 55.3799532973391,13.4305763073777 55.3795838896324,13.4388537269355 55.3782691637243,13.4465208494569 55.3760597304257,13.4532826634393 55.3730406346428,13.4588791637672 55.3693280661397,13.4630953666714 55.365064868861,13.4657695580563 55.3604150252997,13.4667994603198 55.3555573318748)))', 'SEBES', 'Beddinge Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4396037198875 59.212966484454,18.4390341257262 59.2080859487538,18.4366192077423 59.2033561463989,18.4324524614586 59.1989587473565,18.4266945071625 59.1950625866498,18.4195668423825 59.1918171996688,18.4113432962809 59.1893471047954,18.4023395193768 59.187747048624,18.3929009104866 59.1870783918951,18.3833894361312 59.1873667709418,18.3741698348481 59.1886011215704,18.3655957192396 59.190734101515,18.3579960918774 59.1936838956446,18.3516627773385 59.1973373366829,18.3468392418942 59.2015542250528,18.3437112252401 59.206172686243,18.3423995460199 59.2110153644358,18.3429553661333 59.2158962185066,18.3453581098356 59.2206276622367,18.3495161350258 59.2250277757752,18.3552701491247 59.228927310842,18.3623992544667 59.2321762183317,18.3706294025808 59.2346494438969,18.3796439378537 59.236251764323,18.3890958236039 59.2369214741566,18.3986210720254 59.2366327767386,18.4078528476001 59.2353967847321,18.4164356842981 59.2332610902883,18.4240392518416 59.230307921797,18.4303711258003 59.2266509602505,18.435188059222 59.2224309411916,18.4383053175114 59.2178102157499,18.4396037198875 59.212966484454)))', 'SEBEV', 'Brevik, Tyresö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.2040716236967 59.5105574810527,16.2029555168339 59.5057004544445,16.1999973748836 59.50104737994,16.1953115262595 59.4967769515389,16.1890784630041 59.4930531051517,16.1815378413534 59.4900187451664,16.1729792534248 59.4877902832666,16.1637311273808 59.4864531947314,16.154148178164 59.4860587584516,16.144597880113 59.4866221021919,16.1354464655359 59.4881216258204,16.1270449690864 59.4904998239768,16.1197158363178 59.4936654776862,16.1137405960932 59.4974971334597,16.1093490608837 59.5018477401748,16.1067104669867 59.506550270168,16.1059268993335 59.5114241130788,16.1070292643468 59.5162820005355,16.1099759813707 59.5209371980323,16.1146544613317 59.5252106883636,16.1208853340014 59.5289380694686,16.1284292766445 59.5319758988307,16.1369961915565 59.5342072365849,16.1462563828684 59.5355461696285,16.155853298808 59.5359411382605,16.1654173387258 59.53537693367,16.1745801782354 59.5338752870461,16.1829890433392 59.5314940269565,16.1903203666749 59.5283248385282,16.1962922858898 59.5244897133795,16.2006754941098 59.5201362308132,16.2033020227477 59.5154318563146,16.2040716236967 59.5105574810527)))', 'SEBGD', 'Borgåsund, Mälaren', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1983009511382 58.9871888285726,11.1970630674318 58.9823409943445,11.1940174771022 58.9777109109474,11.1892818297146 58.9734763848537,11.1830384927567 58.9697999717407,11.1755274859447 58.9668227561767,11.1670372436899 58.9646589599124,11.1578935627194 58.9633915814121,11.1484471546759 58.9630692297987,11.1390602709854 58.9637042713255,11.1300928984591 58.9652723574132,11.1218890384608 58.967713351898,11.1147635797794 58.970933623135,11.1089902556272 58.974809615729,11.104791138741 58.9791925686411,11.1023280760122 58.983914202913,11.1016963964666 58.9887931648513,11.1029211452989 58.993641980673,11.1059560042191 58.9982742576011,11.1106849574209 59.0025118552188,11.1169266565475 59.0061917502375,11.1244413312317 59.0091723280006,11.1329399886653 59.0113388548926,11.1420955509873 59.0126079167354,11.1515554977251 59.0129306481317,11.1609555163053 59.0122946250097,11.1699336202455 59.0107243453878,11.1781441744203 59.0082802793764,11.1852712709154 59.0050565262328,11.1910409271797 59.0011771714414,11.1952316288827 58.9967914879046,11.1976828102692 58.992068170293,11.1983009511382 58.9871888285726)))', 'SEBGE', 'Bogen', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4586688470834 61.8130671627935,17.4572682307956 61.8082246623261,17.4538985259703 61.8036044155015,17.4486899684386 61.7993838341693,17.4418431766279 61.7957249159658,17.4336213728358 61.7927680488156,17.4243402522675 61.7906266496902,17.4143558914062 61.7893828385238,17.4040511541933 61.7890843086209,17.3938211047525 61.7897425098567,17.3840579681631 61.7913322120695,17.3751361956206 61.7937924649103,17.3673981870203 61.7970289187326,17.3611412025809 61.800917420567,17.3566059558496 61.8053087515008,17.353967323852 61.8100343285239,17.353327537251 61.8149126566667,17.3547121256878 61.8197562875056,17.3580687932031 61.8243790191177,17.3632692887768 61.8286030613678,17.3701142213444 61.8322658897271,17.3783406516671 61.8352265209853,17.387632180197 61.8373709651191,17.3976311459346 61.8386166386186,17.4079524614754 61.8389155646551,17.4181985387898 61.8382562330455,17.4279747126953 61.8366640460411,17.4369045471818 61.8342003322788,17.4446444149992 61.8309599682998,17.4508967728854 61.8270677023597,17.4554216116489 61.8226733264215,17.4580456387843 61.8179458870689,17.4586688470834 61.8130671627935)))', 'SEBGN', 'Bergön', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5075719374653 62.8829756688632,18.5069359099057 62.8780973901193,18.5042279470721 62.8733694563994,18.4995530161585 62.8689734492314,18.4930914156609 62.8650781239422,18.4850917490985 62.861832952024,18.4758613279432 62.8593624110491,18.4657543790184 62.8577612363979,18.455158506842 62.8570908119219,18.4444799197224 62.8573768335118,18.4341279689438 62.8586083319568,18.4244995725713 62.8607380910843,18.4159640990281 62.8636844456244,18.4088492706305 62.8673343922175,18.4034286138946 62.8715478981448,18.3999109320623 62.8761632473363,18.3984322067181 62.8810032235774,18.3990502508488 62.8858818980875,18.4017423371488 62.8906117641025,18.4064059154785 62.8950109459209,18.4128624156718 62.8989102049053,18.4208640106899 62.9021594706942,18.4301030954778 62.9046336424607,18.4402241242562 62.9062374320684,18.4508373489754 62.9069090575612,18.4615339195543 62.9066226402041,18.4719017468832 62.90538920946,18.4815414958326 62.9032562756774,18.4900820696539 62.9003059874397,18.4971949695654 62.8966519469769,18.5026069626521 62.8924348102619,18.5061105646377 62.8878168461186,18.5075719374653 62.8829756688632)))', 'SEBHN', 'Bönhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9793760048107 57.5659138128871,11.9780876909706 57.5610731629212,11.9750675457722 57.5564605337623,11.9704321731794 57.5522530629181,11.9643600354545 57.5486122727262,11.9570845453731 57.5456778887773,11.9488850867941 57.5435624989117,11.9400763100285 57.542347253705,11.9309961084892 57.5420787695534,11.9219927282676 57.5427673500974,11.913411491672 57.5443865923878,11.9055816288217 57.5468743926097,11.8988037078876 57.5501353140639,11.8933381345355 57.5540442292245,11.8893951549004 57.5584510997723,11.8871267446602 57.5631867152404,11.8866207005821 57.5680691738771,11.8878971718796 57.5729108599947,11.890907779025 57.5775256516695,11.8955373701357 57.5817360821711,11.9016083631298 57.5853801785812,11.9088875195094 57.5883177119675,11.9170948972579 57.5904356150161,11.9259146404433 57.5916523545416,11.9350071861126 57.5919210866506,11.9440224088894 57.5912314699534,11.9526131835411 57.5896100651443,11.9604488278649 57.5871193052628,11.9672278935151 57.5838550775898,11.9726898005562 57.5799430129934,11.9766248610188 57.5755336292652,11.9788823048477 57.5707965194807,11.9793760048107 57.5659138128871)))', 'SEBID', 'Billdal', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5547607883948 60.6530405250571,17.553400543262 60.6481980466815,17.5501428996918 60.6435788288469,17.5451137250397 60.6393602496774,17.5385067043936 60.6357042385918,17.5305758342966 60.6327510820987,17.5216256480336 60.6306140648869,17.5119995501125 60.6293751472597,17.5020667024813 60.629081840349,17.4922079538212 60.6297453954247,17.4828013350768 60.6313403746,17.4742076587547 60.6338056189623,17.4667567562085 60.6370465783528,17.4607348661733 60.6409389163628,17.456373649492 60.6453332563258,17.4538412498755 60.6500608907954,17.4532357496903 60.6549402398067,17.4545812847051 60.659783813554,17.4578269846792 60.6644054142696,17.4628488005602 60.6686273010585,17.4694541675689 60.6722870409472,17.4773893409183 60.6752437797509,17.4863491321967 60.6773836874062,17.4959886746207 60.6786243635649,17.5059367594358 60.6789180293743,17.5158102182331 60.6782533789249,17.5252287805787 60.6766560168648,17.5338298156598 60.67418746488,17.5412823718214 60.6709427766857,17.5472999585848 60.667046856367,17.5516515702457 60.6626496259641,17.5541705253714 60.657920232966,17.5547607883948 60.6530405250571)))', 'SEBIN', 'Billhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7714611617641 59.103841493706,18.7708457627445 59.0989620981863,18.7683922964376 59.0942381920068,18.7641957301456 59.089851216611,18.7584178192673 59.0859696054513,18.7512808178034 59.0827423348817,18.7430589052638 59.0802932282509,18.7340676642082 59.0787162276547,18.7246520105815 59.0780718104711,18.715173031847 59.0783846843517,18.7059942246079 59.0796428463614,18.6974676433441 59.0817980411161,18.6899204747435 59.0847676007855,18.6836425378774 59.0884375984295,18.6788751793726 59.0926671970471,18.6758019853057 59.0972940316154,18.6745416686902 59.1021404218811,18.6751434145185 59.1070201812295,18.6775848752944 59.111745762921,18.681772911447 59.1161354704313,18.6875470662146 59.1200204543688,18.6946856574341 59.1232512249051,18.7029142635733 59.1257034258531,18.7119162830349 59.1272826440348,18.7213451589583 59.1279280644641,18.7308377909022 59.127614826754,18.7400286036818 59.1263549892296,18.7485637150806 59.1241970623574,18.756114639776 59.1212241299085,18.7623909868687 59.1175506322986,18.7671516517642 59.1133179393665,18.7702140674296 59.1086888872157,18.7714611617641 59.103841493706)))', 'SEBIO', 'Biskopsö', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((16.7028024418991 57.8653807448281,16.7016734717995 57.8605269260262,16.6987901021466 57.8558837048758,16.6942637117258 57.851629401027,16.6882686096199 57.8479273395624,16.681035281718 57.8449195996921,16.6728415186712 57.8427215834574,16.6640017683885 57.8414176088029,16.6548551179714 57.8410576921452,16.6457523569084 57.8416556406245,16.6370426044192 57.8431885251814,16.6290599985074 57.8455975541566,16.6221109422806 57.8487903149792,16.6164623844546 57.852644300468,16.6123315759849 57.8570115880222,16.6098776940862 57.8617244962337,16.6091956595692 57.8666020057892,16.61031239498 57.8714567014161,16.6131856815954 57.8761019703232,16.6177056756802 57.8803591811085,16.6236990419372 57.8840645661354,16.6309355587481 57.8870755402115,16.6391369499821 57.8892762089169,16.647987606409 57.8905818504917,16.6571467805639 57.8909421947452,16.6662617763295 57.8903433694396,16.6749816118606 57.8888084371232,16.6829706141008 57.886396501209,16.6899214061613 57.8832004168234,16.6955667750646 57.8793431971301,16.6996899553426 57.874973257108,16.7021329311048 57.8702586819787,16.7028024418991 57.8653807448281)))', 'SEBJ2', 'Björkö', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7556474955034 65.7753156686406,22.7541517767827 65.7704689222193,22.7503843500888 65.765835111794,22.7444910295235 65.7615921497162,22.7366989458159 65.7579028600211,22.7273077189573 65.7549087563019,22.7166779179485 65.7527246435135,22.7052172549235 65.7514342450709,22.6933650364108 65.7510870173904,22.6815754511263 65.7516962694563,22.6703003107964 65.7532386566359,22.6599718777983 65.7556550674002,22.6509864107443 65.7588528704453,22.6436890365402 65.7627094395559,22.6383605150471 65.767076826031,22.6352064006377 65.7717874051744,22.6343490244148 65.7766602857967,22.6358226230255 65.7815082413261,22.6395718269955 65.7861448993073,22.645453596465 65.7903919138758,22.6532425592594 65.7940858440426,22.6626395705284 65.797084469745,22.6732831806565 65.7992722975966,22.6847635751993 65.8005650385964,22.6966384436783 65.8009128796935,22.7084501491156 65.8003024185163,22.7197435121827 65.7987571837745,22.7300834962529 65.7963367205138,22.7390720841731 65.7931342769952,22.7463636739241 65.7892731859046,22.7516783862845 65.7849020843726,22.7548127691999 65.7801891626778,22.7556474955034 65.7753156686406)))', 'SEBJ3', 'Björkholmen, Siknäs', 'Y'),('SRID=4326;MULTIPOLYGON(((21.6337687194927 64.4717625242098,21.6325464438514 64.4669043430563,21.629152324749 64.462242354245,21.6237177509812 64.4579555710651,21.6164521957822 64.454208520508,21.6076350722096 64.4511449528202,21.5976049652194 64.4488823547856,21.5867466586762 64.4475074718922,21.5754764498766 64.4470730058433,21.5642263005039 64.4475956096267,21.5534274105221 64.449055254115,21.5434938199589 64.4513959895477,21.5348066426614 64.4545280738737,21.5276995159431 64.4583313894502,21.5224458107367 64.4626600216422,21.5192480888488 64.467347829039,21.5182302179675 64.4722147968785,21.5194324625741 64.4770739342875,21.522809761939 64.4817384534438,21.5282332879162 64.4860289558373,21.535495249201 64.4897803482613,21.5443167798847 64.4928482194598,21.5543586240765 64.4951144274778,21.5652342110321 64.496491677239,21.5765246126652 64.4969269067047,21.5877947931087 64.4964033466635,21.5986105028417 64.4949411718249,21.6085551411789 64.4925967171733,21.6172459123534 64.4894602909786,21.6243486319246 64.4856526718938,21.6295905999157 64.4813204297238,21.6327710414078 64.4766302554643,21.6337687194927 64.4717625242098)))', 'SEBJB', 'Bjuröklubb', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5690202330616 58.0520596642271,11.5677677306048 58.0472149024475,11.5647572674337 58.0425927234169,11.5601050999013 58.038370631914,11.5539903557771 58.034710710544,11.5466480978425 58.0317534168741,11.5383602791367 58.0296122147921,11.5294449390966 58.0283692419883,11.520244050957 58.0280721758407,11.511110476873 58.0287324147598,11.5023945173804 58.0303246428328,11.4944305554796 58.0327877940956,11.4875242925632 58.0360273806747,11.4819410536524 58.0399190981434,11.4778956032672 58.0443135734375,11.4755438613949 58.0490420772736,11.4749768424954 58.0539229857842,11.4762170608872 58.058768746489,11.4792175553474 58.0633930830102,11.4838635871679 58.0676181621112,11.4899769626876 58.0712814463528,11.4973228274861 58.074241966201,11.505618679415 58.0763857666114,11.5145452560526 58.0776303143211,11.5237588734921 58.0779276921864,11.5329047316547 58.0772664543405,11.5416306598618 58.075672068774,11.5496007574659 58.0732059299106,11.5565083889711 58.0699629804593,11.5620880210043 58.0660680368139,11.5661254381629 58.0616709631942,11.5684659434463 58.0569408844547,11.5690202330616 58.0520596642271)))', 'SEBJH', 'Björholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9051099250309 58.1043044437029,16.903945364099 58.0994528175005,16.9010159798813 58.0948146377001,16.8964349255013 58.0905680278788,16.8903786120594 58.086876015109,16.8830798741688 58.0838802904599,16.8748190082022 58.081695792917,16.8659130297039 58.080406320449,16.8567035583362 58.0800613326279,16.8475437856533 58.0806740642085,16.8387850119725 58.0822210200015,16.8307632530993 58.0846428699285,16.8237864154051 58.0878467110487,16.8181225187728 58.0917096123496,16.8139894115301 58.0960833099253,16.8115463703149 58.1007998765029,16.8108879119108 58.1056781517209,16.8120400650002 58.1105306895639,16.8149592596595 58.1151709581851,16.8195338940322 58.1194205160039,16.8255885344074 58.1231158871427,16.8328906008848 58.1261148692511,16.8411592903473 58.1283020274247,16.8500763961954 58.1295931586374,16.8592986047269 58.1299385507875,16.8684707852664 58.1293249075649,16.8772397485099 58.1277758629484,16.8852679273824 58.1253510650212,16.8922464381275 58.1221438655313,16.8979070061589 58.1182777067725,16.9020322899014 58.1139013485689,16.9044642037748 58.1091831232492,16.9051099250309 58.1043044437029)))', 'SEBJO', 'Björkskär', 'Y'),('SRID=4326;MULTIPOLYGON(((13.061194109193 55.7177057290948,13.0605861448954 55.7128253946248,13.0583036995897 55.7081057628277,13.0544350293117 55.703728121259,13.0491291873267 55.6998605627723,13.0425902381061 55.696651546743,13.0350693905035 55.6942242195221,13.0268553561427 55.6926717084822,13.0182633016358 55.6920535664873,13.0096228120012 55.6923934998952,13.0012653164519 55.6936784648955,12.9935114459075 55.6958591657982,12.9866587938206 55.698851936572,12.9809705381567 55.702541935272,12.9766653529159 55.7067875317443,12.9739089930074 55.7114257238712,12.9728078775673 55.7162783782404,12.9734049253551 55.7211590589763,12.9756778136219 55.7258801848655,12.9795397413033 55.7302602408911,12.9848426816337 55.7341307666208,12.9913830118948 55.7373428509434,12.9989093129844 55.7397728803881,13.0071320430363 55.7413273161928,13.0157347115975 55.7419463124649,13.0243861177536 55.7416060327905,13.0327531703479 55.7403195736959,13.0405137834858 55.738136458334,13.0473693372167 55.7351407203161,13.0530562118284 55.7314476533234,13.0573559435761 55.7271993546293,13.0601036077966 55.72255923774,13.061194109193 55.7177057290948)))', 'SEBJR', 'Bjärred', 'Y'),('SRID=4326;MULTIPOLYGON(((18.6042210390184 60.3039152224747,18.6036122015379 60.2990358873082,18.60109745564 60.2943092224098,18.5967741855517 60.2899167715495,18.5908090619247 60.2860271716564,18.5834315564708 60.2827896969509,18.5749250879989 60.2803285529802,18.5656161453967 60.2787381351928,18.5558618032607 60.278079429452,18.5460361004382 60.2783776885674,18.5365157896784 60.2796214710816,18.527665987294 60.2817630778559,18.5198262549359 60.2847203701443,18.513297631234 60.2883799015506,18.5083310993976 60.2926012472284,18.5051179283817 60.2972223685708,18.5037822607875 60.3020658120486,18.5043762416182 60.3069455082733,18.5068778902875 60.3116739131178,18.5111918165003 60.3160692179217,18.5171527721263 60.3199623512696,18.524531919998 60.3232035010051,18.5330455912679 60.3256679020907,18.54236620049 60.3272606632112,18.5521348969299 60.3279204417512,18.5619754564232 60.3276218215768,18.5715088644231 60.3263762991134,18.580368010678 60.324231838392,18.5882119110188 60.3212710126469,18.5947388922818 60.3176078062114,18.5996982213088 60.3133832034217,18.6028997257096 60.3087597387498,18.6042210390184 60.3039152224747)))', 'SEBJS', 'Bjuröskaten', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5793429934817 58.2960534508976,11.5780795467917 58.291209036602,11.5750461712981 58.2865874329977,11.5703600130284 58.2823661215541,11.5642015115076 58.2787071532617,11.5568074121112 58.2757509472324,11.5484616564998 58.2736109238132,11.5394845028905 58.2723691740062,11.5302202893612 58.2720733273593,11.5210242997049 58.2727347352746,11.5122492216367 58.2743280374813,11.5042317008711 58.276792127926,11.4972794914891 58.2800324842759,11.4916596831361 58.2839247743505,11.4875884492461 58.2883196048273,11.4852227083282 58.2930482341724,11.4846540234384 58.2979290345331,11.4859049848702 58.3027744577346,11.4889282300162 58.3073982398057,11.4936081551016 58.3116225676256,11.4997652695492 58.3152849309886,11.5071630391562 58.3182443939143,11.5155169635089 58.3203870402221,11.5245055407742 58.3216303795984,11.5337826937242 58.3219265404972,11.5429911686527 58.3212641236745,11.5517763770722 58.3196686429981,11.5598001310133 58.3172015361745,11.5667537274523 58.3139577847534,11.5723698655806 58.3100622377841,11.5764329307256 58.3056647844215,11.5787872479963 58.3009345655097,11.5793429934817 58.2960534508976)))', 'SEBKA', 'Bokenäs', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2097199184207 56.1539322125557,15.2088342299227 56.14906433141,15.2062646586741 56.1443863899305,15.2021104839111 56.1400780583797,15.1965317013787 56.1363047543903,15.1897428212661 56.1332113087675,15.18200460654 56.1309164263586,15.1736140718571 56.1295081508097,15.1648931243291 56.1290405034774,15.1561762743223 56.1295314222736,15.1477978762032 56.1309620774067,15.1400793748577 56.1332775895459,15.1333170336214 56.1363891236347,15.1277706029682 56.1401772801827,15.1236533572134 56.1444966571295,15.121123879217 56.149181411,15.1202799116597 56.1540516076754,15.1211545193953 56.1589201221493,15.1237147226933 56.1635998244145,15.1278626685019 56.1679107761454,15.1334393093792 56.1716871608111,15.140230461186 56.1747836786016,15.1479750151134 56.1770811569597,15.1563749914198 56.1784911570291,15.1651070455907 56.17895939491,15.1738349763716 56.1784678427846,15.1822227424462 56.1770354268635,15.1899474727409 56.1747172945419,15.1967119556206 56.1716026797759,15.2022561145677 56.1678114510611,15.2063670211164 56.1634894781674,15.2088870574944 56.1588029997787,15.2097199184207 56.1539322125557)))', 'SEBKK', 'Bökevik', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0298422827765 59.3657470916765,19.0291858958493 59.3608689044932,19.0266783995044 59.3561497895821,19.0224168462019 59.3517710013727,19.0165654918123 59.3479006557288,19.0093494095736 59.3446872934958,19.0010458091438 59.342254201722,18.9919733990471 59.340694706295,18.982480198895 59.3400686122729,18.9729302606157 59.3403999246522,18.9636897945205 59.3416759342827,18.9551132157593 59.3438477027862,18.9475296292774 59.3468319283689,18.9412302567498 59.3505141230717,18.9364572773898 59.3547529829864,18.9333945065122 59.3593857879606,18.9321602722056 59.3642346279174,18.9328027727909 59.3691132206135,18.9352981078874 59.3738340617761,18.9395510764726 59.3782156341702,18.9453987296225 59.3820893980659,18.9526165575828 59.3853062922203,18.9609270849293 59.3877424918817,18.9700105485796 59.3893041980145,18.9795172461177 59.3899312689997,18.9890810707573 59.3895995511068,18.9983336981106 59.388321815222,19.0069188615841 59.3861472625305,19.0145061492893 59.3831596186944,19.0208037760767 59.3794738920711,19.0255698285105 59.3752319242716,19.0286215458394 59.3705969085948,19.0298422827765 59.3657470916765)))', 'SEBKO', 'Björkkobben', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5764178310356 62.2460183070645,17.574976733273 62.2411774948397,17.571539365678 62.2365607535129,17.566238586186 62.2323453568551,17.5592785687801 62.2286930991652,17.5509268863928 62.2257441082085,17.5415042128516 62.2236114946101,17.5313720418368 62.2223770381004,17.5209188883166 62.2220880713862,17.51054548854 62.222755677376,17.500649547598 62.2243542665925,17.4916105983676 62.226822550511,17.4837755321367 62.2300658749388,17.4774453394017 62.2339598270729,17.4728635594719 62.2383549822283,17.4702068801568 62.2430826130311,17.4695782549259 62.2479611467079,17.4710028160293 62.2528031264082,17.4744267603914 62.2574224115607,17.479719273641 62.2616413411211,17.4866774402587 62.2652975829388,17.4950339690839 62.2682504027015,17.5044674484678 62.2703861068824,17.5146147396401 62.2716224452371,17.5250850257223 62.2719117985643,17.5354749621821 62.2712430250967,17.5453843263631 62.2696418920502,17.5544315418208 62.2671700752253,17.5622684588123 62.2639227666688,17.5685938050854 62.2600249857311,17.5731647791662 62.2556267399974,17.5758063383389 62.2508972273532,17.5764178310356 62.2460183070645)))', 'SEBKV', 'Björköviken', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9382018698693 59.6157834509534,18.9375546404863 59.6109050282328,18.9350421360528 59.606184293363,18.9307616148666 59.601802562659,18.9248780722937 59.5979280639085,18.9176178247047 59.5947094957948,18.9092597798252 59.5922703433205,18.9001247338076 59.5907041631564,18.8905631039341 59.5900710154265,18.8809415591316 59.5903951749504,18.871629047397 59.5916642069787,18.8629827391863 59.5938294416389,18.8553344085136 59.5968078293752,18.8489777589257 59.6004851083319,18.8441571698796 59.6047201656142,18.8410582908925 59.6093504293329,18.8398008470361 59.6141980889023,18.840433941291 59.6190769086961,18.8429340489138 59.6237993762007,18.8472057989065 59.6281839113238,18.853085531239 59.6320618593308,18.8603475096189 59.635283996421,18.8687125628275 59.6377262942472,18.87785882776 59.6392947172867,18.887434179155 59.6399288639573,18.8970698591048 59.6396043073593,18.9063947676601 59.6383335426933,18.9150498470594 59.6361655036109,18.9227019879554 59.6331836666163,18.9290569067334 59.6295028186839,18.9338704874404 59.6252646160526,18.9369581475174 59.6206321094617,18.9382018698693 59.6157834509534)))', 'SEBL2', 'Blidö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.578450338587 57.5894282379243,16.5773471659722 57.5845729889357,16.5745021118342 57.5799265655494,16.5700250740151 57.5756674124597,16.5640884611071 57.5719590433341,16.5569205125819 57.5689437819214,16.5487965128741 57.5667373210333,16.5400282392323 57.5654243041813,16.5309520447203 57.5650550954763,16.5219160245409 57.5656438584868,16.5132667449033 57.5671680157195,16.5053360283958 57.5695691089237,16.4984282879907 57.5727550282683,16.4928088834266 57.5766035273462,16.4886939390856 57.5809668926687,16.4862420122471 57.5856775925053,16.4855479358087 57.5905546921942,16.4866390817446 57.5954107928683,16.4894742028609 57.6000592291676,16.493944913527 57.6043212499505,16.499879768404 57.60803290497,16.5070507956677 57.6110513702297,16.5151822421763 57.613260465161,16.5239611969743 57.6145751452428,16.533049680887 57.6149447931517,16.5420977277587 57.6143551784544,16.5507569404224 57.6128290083061,16.5586939840756 57.6104250474062,16.5656034824971 57.6072358421669,16.5712198083093 57.6033841392433,16.5753273058452 57.5990181398803,16.5777685515347 57.5943057768164,16.578450338587 57.5894282379243)))', 'SEBLA', 'Blankaholm', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3806000468769 58.482125343507,11.3793565325896 58.4772789606884,11.3763324441749 58.4726527052933,11.371644581315 58.4684242379264,11.3654734581191 58.4647558841125,11.3580563112332 58.4617884224174,11.3496779704536 58.4596357039358,11.3406599445017 58.4583803054306,11.3313481365367 58.458070378876,11.3220996507185 58.4587178150061,11.3132691817725 58.4602977893267,11.3051954935146 58.4627497075919,11.2981884894197 58.4659795156952,11.2925173586008 58.46986328804,11.2884002443061 58.4742519604346,11.2859958298879 58.4789770301018,11.2853971702014 58.4838570080767,11.2866280161202 58.4887043795466,11.2896417884816 58.4933328068271,11.2943232581281 58.4975642986642,11.3004928842612 58.5012360690857,11.3079136581528 58.5042068193782,11.316300197831 58.5063621977877,11.3253297463672 58.5076192226006,11.3346546463914 58.5079294942515,11.3439158005926 58.5072810694686,11.3527565855959 58.5056989232596,11.3608366670583 58.5032439805217,11.3678451681994 58.5000107558101,11.373512671998 58.4961236948694,11.3776215873902 58.49173236255,11.380014479233 58.4870056665776,11.3806000468769 58.482125343507)))', 'SEBLD', 'Bovallstrand', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7452487534472 56.6193735126907,16.7441548769427 56.6145189623919,16.7413648990987 56.6098753024518,16.7369865642719 56.6056208744355,16.7311884625673 56.6019190156734,16.7241935005516 56.5989118063468,16.7162703217784 56.5967146368225,16.7077230087841 56.5954117998513,16.6988794583348 56.5950532729908,16.690078867393 56.5956528116131,16.6816587975457 56.5971874237229,16.673942299928 56.5995982462516,16.6672255806992 56.6027927902515,16.6617666689295 56.6066484712617,16.6577755146316 56.6110172927977,16.6554058952949 56.61573150713,16.654749445709 56.6206100398572,16.6558320496465 56.6254654347172,16.6586127452288 56.6301110538616,16.6629852012388 56.6343682574544,16.6687817225694 56.6380732856095,16.6757796432544 56.6410835756344,16.6837098693121 56.6432832681536,16.6922672453218 56.6445876863128,16.7011223425129 56.6449466118321,16.7099342060336 56.6443462286473,16.7183635581462 56.6428096573309,16.7260859345742 56.6403960592234,16.732804234164 56.6371983458298,16.7382601872525 56.6333395841225,16.7422442942622 56.628968239594,16.7446038505902 56.6242524440761,16.7452487534472 56.6193735126907)))', 'SEBLI', 'Bläsinge', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6138837437294 57.9490441359761,11.6126291862692 57.9441997649991,11.6096219889777 57.9395785569846,11.6049782781029 57.9353579795935,11.598876853035 57.931700057742,11.5915522630355 57.9287451728798,11.5832857824699 57.9266066971626,11.574394632982 57.9253666643327,11.5652198619838 57.9250726394739,11.5561133327785 57.9257359045669,11.5474243116759 57.9273310275407,11.5394861510484 57.9297968309874,11.532603564167 57.9330387246164,11.5270409678921 57.9369323146215,11.5230123331852 57.9413281551406,11.520672931612 57.9460574635985,11.5201132995995 57.9509385845167,11.5213556627687 57.9557839568036,11.5243529723624 57.9604073188705,11.5289906074441 57.964630875122,11.5350906936099 57.9682921471381,11.5424188854373 57.9712502434369,11.5506933602182 57.9733913029503,11.5595956792627 57.9746328985759,11.5687830946931 57.9749272273078,11.5779018182029 57.9742629609033,11.5866007270068 57.9726656838743,11.5945449634189 57.9701969015648,11.6014288891869 57.9669516577705,11.6069878836203 57.9630548563304,11.6110085241084 57.9586564320179,11.6133367561336 57.9539255607667,11.6138837437294 57.9490441359761)))', 'SEBLT', 'Bleket', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3914152636599 58.3451225698081,11.3901755687377 58.3402761729785,11.3871622466114 58.335650009106,11.3824916776551 58.3314217358503,11.3763437077955 58.3277536721413,11.3689546828423 58.324786586422,11.3606083534946 58.3226343163685,11.3516250023382 58.3213794223898,11.3423492058627 58.3210700376657,11.3331366911172 58.3217180323269,11.3243407771674 58.3232985602268,11.3162989054709 58.3257510052771,11.3093197604181 58.3289812922656,11.3036714616104 58.3328654761679,11.2995712732891 58.3372544759447,11.2971772243221 58.3419797753556,11.2965819653636 58.3468598760086,11.2978091097923 58.3517072581537,11.3008122139764 58.3563355838836,11.30547645313 58.3605668664156,11.3116229449834 58.3642383286856,11.3190155687436 58.3672086848507,11.3273700258287 58.3693635993385,11.3363647962794 58.3706201091482,11.3456535651203 58.3709298351041,11.3548786303736 58.3702808551257,11.3636847622696 58.3686981653656,11.37173296376 58.3662427110364,11.3787135868027 58.3630090254862,11.3843582867891 58.3591215711397,11.3884503473691 58.3547299269316,11.3908329770505 58.3500030116921,11.3914152636599 58.3451225698081)))', 'SEBML', 'Bohus-Malmön', 'Y'),('SRID=4326;MULTIPOLYGON(((17.7548655741681 62.5009473271238,17.7533823406765 62.4961087645116,17.7498872869819 62.4914969156783,17.7445154987736 62.487288863586,17.7374738824926 62.4836461173513,17.7290331426859 62.4807084365893,17.7195173642508 62.4785884953537,17.7092916020362 62.477367585451,17.6987479479754 62.4770925192032,17.6882905966041 62.4777738466397,17.6783204626925 62.4793854531892,17.6692199193508 62.4818655528617,17.6613382211711 62.4851190403228,17.654978154776 62.4890211148444,17.6503844187865 62.4934220415395,17.6477341772535 62.498152872182,17.6471301559724 62.5030319108378,17.6485965613557 62.5078716799481,17.6520779989084 62.5124861216786,17.6574414558741 62.5166977583231,17.6644812941713 62.5203445350501,17.6729270799412 62.5232860786389,17.6824539600897 62.5254091269549,17.6926951896341 62.5266319151658,17.7032563218767 62.5269073449933,17.7137305013811 62.5262248110562,17.7237142514407 62.5246106116051,17.7328231260091 62.5221269273767,17.7407066021438 62.5188694094223,17.747061622551 62.5149634720764,17.7516442568209 62.5105594383053,17.7542790310401 62.5058267293584,17.7548655741681 62.5009473271238)))', 'SEBNM', 'Bondhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3689020054434 60.7381102837349,17.3675658003064 60.7332658499319,17.3643258392575 60.7286420739449,17.3593073178708 60.7244165098495,17.3527035194225 60.7207513556138,17.3447683229031 60.7177872485545,17.3358064318708 60.7156378930316,17.3261617017831 60.7143857219307,17.3162040087132 60.7140787539538,17.306315151488 60.7147287636905,17.2968743114108 60.7163108324643,17.2882436083673 60.7187642967133,17.2807542890402 60.7219950588536,17.2746940622055 60.7258791749031,17.2702960579226 60.73026758531,17.2677298324518 60.7349918120696,17.2670947699408 60.7398704079296,17.2684161468648 60.7447159137011,17.2716440280751 60.7493420587052,17.2766550570422 60.7535709282055,17.2832570911454 60.7572398210169,17.2911965200048 60.7602075306584,17.3001679957308 60.7623598043092,17.3098262036845 60.7636137648245,17.3197992159072 60.7639211210793,17.329702901365 60.7632700393721,17.3391558212862 60.7616856015777,17.3477940167373 60.7592288319204,17.3552851003872 60.7559943312037,17.3613410948624 60.7521066125738,17.3657295144461 60.7477152840426,17.3682822620629 60.7429892678719,17.3689020054434 60.7381102837349)))', 'SEBNN', 'Bönan', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4014820824312 65.7004563966592,22.4000571379668 65.6956060700776,22.3963640760889 65.6909634116057,22.3905458561603 65.6867066770567,22.3828267324698 65.682999222365,22.3735035359331 65.6799832606215,22.3629342387812 65.6777744367804,22.3515242458054 65.6764574224774,22.3397109315937 65.6760826943464,22.3279470002531 65.6766646147768,22.3166832817015 65.6781808857662,22.3063515964217 65.6805733959821,22.2973483184722 65.6837504299676,22.2900192445492 65.6875901582102,22.2846463351297 65.6919452791706,22.281436832555 65.696648640908,22.2805151810937 65.7015196322037,22.2819180768908 65.7063711025173,22.2855928634041 65.7110165480432,22.2913993635263 65.7152772886659,22.2991151072079 65.7189893585638,22.3084437781187 65.7220098420231,22.3190265706132 65.7242224056987,22.3304560253598 65.7255418085977,22.3422918048872 65.7259172104428,22.3540777849379 65.7253341462773,22.3653597788685 65.7238150882278,22.3757031839322 65.7214185719324,22.3847098418445 65.7182369227388,22.3920334413506 65.7143926727834,22.3973928554131 65.7100338119948,22.4005828962395 65.7053280616671,22.4014820824312 65.7004563966592)))', 'SEBNO', 'Brändön', 'Y'),('SRID=4326;MULTIPOLYGON(((14.396988148187 55.5132244384286,14.3962174640055 55.508350666343,14.3937865311718 55.503655829648,14.3897892898539 55.4993202552823,14.3843797057034 55.4955104147241,14.3777657993923 55.492372548243,14.3702016323969 55.4900270707883,14.361977559998 55.4885639705679,14.3534091235296 55.4880393731997,14.3448250010666 55.4884734000899,14.3365544679595 55.489849401033,14.3289148352549 55.4921145896387,14.3221993347596 55.4951820578373,14.3166659043209 55.4989340941694,14.3125272960855 55.5032266816003,14.3099428846909 55.5078950059161,14.3090124925423 55.5127597669797,14.3097724770085 55.5176340537304,14.312194241514 55.5223305210816,14.3161852416845 55.5266685938422,14.3215924620277 55.5304814201766,14.3282082417419 55.533622305258,14.3357782341447 55.5359703745824,14.3440111970909 55.5374352453528,14.3525902357403 55.5379605224006,14.3611850579299 55.5375259808444,14.3694647593703 55.5361483492431,14.3771106332181 55.5338806622403,14.38382849751 55.5308102082645,14.3893600545344 55.5270551533329,14.3934928373574 55.5227599740344,14.3960683582088 55.5180898791708,14.396988148187 55.5132244384286)))', 'SEBNT', 'Brantevik', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4945404248262 56.0001905922392,14.4937482398259 55.9953177812819,14.4912754319633 55.9906251736922,14.4872175656723 55.9862930083892,14.4817309455938 55.9824876227814,14.4750265548345 55.9793550826376,14.4673619266122 55.9770155951823,14.459031264684 55.9755589161183,14.4503541895546 55.9750409230638,14.4416635349853 55.9754814836487,14.4332926517475 55.9768636978632,14.4255626922411 55.9791345428901,14.4187703502221 55.9822068963401,14.4131765144524 55.9859628623142,14.4089962638754 55.9902582758052,14.4063905855689 55.994928216318,14.4054601362175 55.9997933228556,14.4062412946657 56.0046666710666,14.4087046692527 56.0093609506537,14.4127561316739 56.013695668152,14.4182403522207 56.017504097605,14.4249467130956 56.0206397098461,14.4326173811513 56.0229818299518,14.4409572331219 56.0244403014215,14.4496452494011 56.0249589737591,14.4583469305342 56.0245178759198,14.4667272470529 56.0231339897056,14.4744636104247 56.0208605924811,14.481258351964 56.0177851951849,14.4868502176062 56.0140261571144,14.4910244283446 56.0097281109752,14.4936209166131 56.005056378059,14.4945404248262 56.0001905922392)))', 'SEBO2', 'Bodarna, Tosteberga udde', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1192334128923 61.5491991546428,17.1178984750512 61.5443527764914,17.114608611167 61.5397237285697,17.1094909813848 61.5354897648016,17.1027427106706 61.5318134006942,17.0946232441965 61.528835697393,17.0854443601588 61.5266708741467,17.075558226279 61.5254019511572,17.0653439531412 61.5250775853772,17.0551931479028 61.5257102168893,17.0454950049583 61.5272755946477,17.0366214853488 61.529713699234,17.0289131338968 61.5329310285554,17.0226660622248 61.5368041617932,17.0181205872413 61.5411844690719,17.0154519589091 61.5459037909074,17.0147635391278 61.5507808740879,17.016082706872 61.5556283206809,17.0193596655353 61.5602597856461,17.0244692196738 61.5644971470877,17.0312154737681 61.5681773722342,17.0393392896634 61.5711588121321,17.0485282270084 61.5733266786694,17.0584285875581 61.5745974883298,17.068659094844 61.5749222969314,17.0788256702014 61.5742885969756,17.0885367183733 61.5727208021697,17.0974183136134 61.5702792999065,17.1051286816605 61.567058109545,17.1113714038891 61.5631812397125,17.1159068255588 61.5587978891468,17.1185612272341 61.5540766806438,17.1192334128923 61.5491991546428)))', 'SEBOA', 'Borka', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7215986299344 57.7320066997543,11.7203380584676 57.7271633052932,11.7173360289178 57.7225444716416,11.7127084591866 57.7183275755474,11.706633521039 57.7146745014486,11.6993447420622 57.7117254459977,11.6911220207329 57.7095935591086,11.6822809014162 57.7083606231074,11.6731605166476 57.7080739318771,11.6641106496661 57.7087444866043,11.6554783999535 57.710346575464,11.6475949479416 57.712818753027,11.640762911834 57.7160661830635,11.6352447696917 57.7199642575101,11.6312527838643 57.7243633563907,11.6289408131904 57.7290945701209,11.6283983321981 57.7339761684706,11.6296468974199 57.7388205709616,11.6326392110508 57.7434415528865,11.6372608343493 57.7476614104428,11.6433345008425 57.7513178083373,11.6506268765444 57.7542700439,11.6588575154124 57.7564044830732,11.6677096677086 57.7576389549684,11.6768425212245 57.7579259318758,11.6859043944641 57.7572543691172,11.6945463600987 57.7556501319814,11.7024357585351 57.7531749929539,11.7092690662818 57.7499242391211,11.714783611686 57.7460229845643,11.7187676799714 57.7416213334023,11.7210686176742 57.7368885837805,11.7215986299344 57.7320066997543)))', 'SEBOB', 'Bohus-Björkö', 'Y'),('SRID=4326;MULTIPOLYGON(((13.3597839418197 55.3435955870518,13.3591439049664 55.3387162744385,13.3568463859701 55.3340018522616,13.3529802042992 55.3296334072193,13.3476943035816 55.3257786793727,13.3411919719199 55.3225856368311,13.3337230064222 55.3201768148087,13.3255741265292 55.3186446327439,13.3170580025414 55.3180478654867,13.3085013138228 55.3184094007115,13.3002322843822 55.3197153663013,13.2925681612517 55.321915660188,13.285803102953 55.3249258627785,13.2801969313516 55.3286304604341,13.2759651706174 55.33288725926,13.2732707524385 55.3375328234266,13.2722177080632 55.342388732994,13.2728470965963 55.3472684242451,13.2751353372008 55.351984352143,13.2789950229581 55.3563552007574,13.2842781991846 55.3602128641056,13.2907819925595 55.3634089271752,13.2982563834441 55.3658203949037,13.3064138264333 55.3673544450676,13.3149403475718 55.3679520184151,13.3235076846217 55.3675901045518,13.3317859924598 55.3662826332391,13.3394566115007 55.3640799357781,13.3462243942802 55.3610667976848,13.3518291041573 55.3573591795019,13.3560554394989 55.3530997349719,13.358741294585 55.3484523027084,13.3597839418197 55.3435955870518)))', 'SEBOE', 'Böste', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8801013734281 58.0973137352008,16.8789404512794 58.0924618548882,16.8760148927691 58.0878230738223,16.8714377041236 58.0835755388753,16.8653851482743 58.079882312816,16.8580899160273 58.0768851334177,16.8498321697468 58.0746989955709,16.8409288058083 58.0734077602021,16.8317213440162 58.0730609544865,16.8225628991209 58.0736718828507,16.8138047205777 58.0752171191982,16.8057828012014 58.0776373993391,16.7988050531456 58.0808398805138,16.7931395306845 58.0847016838935,16.7890041439146 58.089074587764,16.7865582563542 58.0937906954318,16.7858964935495 58.098668864315,16.787045010743 58.1035216526735,16.78996037757 58.1081625192377,16.7945311393945 58.112412999638,16.800582011712 58.1161095826875,16.8078805600223 58.1191100195417,16.8161461171237 58.1212988193916,16.8250605975149 58.1225917160444,16.8342807890107 58.1229389294089,16.8434516388753 58.1223270929974,16.8522200091062 58.1207797711487,16.8602483552956 58.118356545552,16.8672277868676 58.1151507073863,16.8728899932512 58.1112856465523,16.8770175691958 58.1069100806814,16.8794523403115 58.1021923117321,16.8801013734281 58.0973137352008)))', 'SEBOK', 'Bokö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6955660029301 56.8813898330461,16.694470239645 56.8765350498228,16.6916662657387 56.871890541803,16.6872623731496 56.8676346823584,16.6814281408782 56.8639308624563,16.6743878666802 56.8609212358929,16.6664119337213 56.8587212840657,16.6578064459844 56.8574154049561,16.6489015267258 56.8570536917652,16.6400387202659 56.8576500216686,16.6315579678803 56.8591815260522,16.6237846429753 56.8615894620536,16.617017128797 56.8647814530194,16.6115154036815 56.8686350143483,16.607491064599 56.873002232878,16.6050991701491 56.8777154241779,16.6044322202684 56.8825935544325,16.605516513282 56.8874491834976,16.6083110336606 56.8920956644564,16.6127089286789 56.8963543235755,16.6185415324136 56.9000613436633,16.6255847950419 56.9030740837242,16.6335678784392 56.9052765883587,16.6421835900342 56.9065840709432,16.6511002500793 56.9069461941616,16.659974526823 56.9063490184151,16.6684647327401 56.9048155410901,16.6762440552093 56.9024048054118,16.6830131979108 56.8992096142596,16.6885119345838 56.8953529394345,16.6925291232239 56.8909831681,16.6949107938225 56.8862683733273,16.6955660029301 56.8813898330461)))', 'SEBOM', 'Borgholm', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4197498657809 59.315974956639,18.4191817892908 59.3110944120065,18.4167627172994 59.306364276908,18.4125863101561 59.3019662338355,18.4068135633576 59.2980691420155,18.3996665450073 59.2948225718721,18.3914198279638 59.2923510864196,18.3823899509935 59.2907494848952,18.3729233119119 59.2900791867902,18.3633829492089 59.290365891135,18.3541347059568 59.2915985980282,18.3455332902658 59.2937300286302,18.3379087498757 59.296678427894,18.331553864628 59.3003306828934,18.3267129297702 59.3045466404658,18.3235723558263 59.3091644626681,18.3222534480134 59.3140068188783,18.3228076512439 59.3188876807283,18.3252144575557 59.3236194617682,18.3293820739357 59.3280202289269,18.3351508432023 59.3319207082612,18.3422993027985 59.3351708136289,18.3505526604532 59.3376454438099,18.3595933664293 59.3392493208098,18.3690733742925 59.3399206787162,18.3786276102736 59.3396336571532,18.3878881192154 59.3383993043158,18.3964983256655 59.3362651496243,18.4041268435716 59.3333133628446,18.4104802875549 59.3296575726215,18.4153145817914 59.3254384703234,18.4184443267336 59.3208183726488,18.4197498657809 59.315974956639)))', 'SEBOO', 'Boo', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8493903317425 55.8957835877054,12.8488067174249 55.8909025428772,12.846540139844 55.8861792390998,12.8426782537383 55.8817951058124,12.837369859732 55.8779184853654,12.8308191267945 55.8746981846523,12.8232777204271 55.8722577823202,12.8150351429261 55.870690906411,12.8064076551267 55.8700576598643,12.7977261981766 55.8703823276776,12.7893237680522 55.8716524512847,12.781522714012 55.8738193045659,12.7746224346735 55.8767997536171,12.768887931847 55.880479430732,12.7645396529482 55.8847171037741,12.7617450083072 55.889350076918,12.7606118909708 55.8942004192757,12.7611844550586 55.8990817856459,12.7634413263165 55.903806569877,12.7672963277043 55.9081931171446,12.7726017067344 55.9120727175922,12.7791537534424 55.9152961106485,12.7867006023201 55.9177392468851,12.7949519224995 55.9193080820473,12.8035901221515 55.9199422149167,12.8122826293434 55.9196172255608,12.8206947657973 55.9183456214979,12.8285027045523 55.9161763542342,12.8354059988564 55.9131929251813,12.8411391879003 55.9095101557237,12.8454820242825 55.9052697487793,12.8482679262479 55.9006348163845,12.8493903317425 55.8957835877054)))', 'SEBOU', 'Borstahusen', 'Y'),('SRID=4326;MULTIPOLYGON(((16.044883195629 56.2996294747798,16.043888054595 56.2947683032661,16.0412070135406 56.2901084426222,16.0369436293432 56.2858288625565,16.0312620816717 56.2820938715854,16.0243808121099 56.2790468260978,16.0165641141171 56.276804648198,16.0081119993007 56.2754533589115,15.9993487259101 56.2750447944012,15.9906104216107 56.2755946280649,15.982232263482 56.2770817723885,15.9745356931889 56.2794491829097,15.9678161441281 56.2826060343682,15.9623317400633 56.2864311878377,15.9582933916463 56.2907778191168,15.9558566689199 56.2954790345915,15.9551157654595 56.3003542627809,15.9560997947623 56.305216179309,15.9587715739078 56.3098779013666,15.9630289560597 56.3141601758625,15.968708675307 56.3178982840781,15.9755925684298 56.3209483950525,15.983415942558 56.3231931199886,15.9918777697038 56.3245460500973,16.0006523130026 56.3249550994147,16.009401729045 56.3244045207354,16.0177891490868 56.3229155149957,16.0254917214197 56.3205454100421,16.0322130988922 56.3173854413383,16.0376948793843 56.3135572223831,16.0417265516618 56.30920804407,16.0441535620645 56.3045051877755,16.044883195629 56.2996294747798)))', 'SEBRB', 'Brömsebro', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3566062796119 58.4861342077424,11.3553659088037 58.481287573451,11.3523446023325 58.4766607358661,11.3476590535263 58.4724313780973,11.34148968822 58.4687618599539,11.334073676159 58.4657930047383,11.3256958040839 58.4636387170155,11.3166775630757 58.4623816337104,11.3073648646907 58.4620699713605,11.29811484718 58.4627156872111,11.2892822637641 58.464294022701,11.281205958965 58.4667444464311,11.2741959361574 58.469972961662,11.2685214998075 58.4738556924887,11.2644009196362 58.4782436148259,11.261993011813 58.4829682548636,11.2613909653075 58.48784814033,11.262618661272 58.4926957601621,11.265629641962 58.4973247673086,11.2703087860552 58.501557148364,11.2764766427779 58.5052300832519,11.2838962720567 58.5082022285014,11.2922823364655 58.5103591786696,11.3013120977155 58.5116178914976,11.3106378903962 58.5119299023672,11.3199005827651 58.5112832009741,11.3287434919663 58.5097026959199,11.3368262014697 58.5072492489005,11.3438377328442 58.5040173169245,11.3495085519617 58.5001312960653,11.3536209397953 58.4957407112857,11.3560173273856 58.4910144417277,11.3566062796119 58.4861342077424)))', 'SEBRI', 'Brevik, Tanum', 'Y'),('SRID=4326;MULTIPOLYGON(((17.7353050729895 62.1859577209652,17.7338416924455 62.1811186549159,17.7303872387269 62.1765059184413,17.7250752195042 62.1722966306591,17.7181102337924 62.1686523509315,17.7097600395675 62.1657129008584,17.7003452494925 62.1635910253722,17.6902270528268 62.1623680928899,17.6797934287799 62.1620909947874,17.6694443668999 62.162770359352,17.6595766427533 62.1643801464406,17.6505687117153 62.1668586379533,17.6427662799642 62.1701107876069,17.6364690897749 62.1740118430321,17.6319194161931 62.178412105614,17.6292927146978 62.1831426503571,17.6286907854857 62.1880217909731,17.6301377310974 62.1928620457994,17.6335788824552 62.1974773393354,17.6388827570513 62.2016901631748,17.6458459958194 62.2053384196237,17.654201106746 62.2082816816625,17.6636267286497 62.2104066240212,17.673760023225 62.2116314113781,17.684210712739 62.2119088699689,17.694576209575 62.2112283166248,17.7044572360883 62.2096159724707,17.7134733117378 62.207133944897,17.721277490405 62.2038778185212,17.727569763869 62.1999729511327,17.732108605616 62.1955696216827,17.7347202092171 62.1908372220686,17.7353050729895 62.1859577209652)))', 'SEBRK', 'Brämö Kalv', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5430579969326 58.0800689762394,11.5418079191608 58.0752239588698,11.5387983363434 58.0706011767553,11.534145472483 58.0663781578822,11.528028483349 58.0627170204106,11.5206825188091 58.0597582684567,11.5123896746058 58.0576154216908,11.5034681829732 58.0563706807145,11.4942602526785 58.056071790573,11.4851190152251 58.0567302195423,11.4763950641562 58.0583207211235,11.4684230881044 58.0607822956681,11.4615090951991 58.0640205159775,11.4559187067033 58.0679111303144,11.4518669616249 58.0723048082656,11.4495100221768 58.0770328514823,11.4489391034261 58.0819136540821,11.4501768708393 58.0867596678853,11.453176458879 58.0913846069301,11.4578231651564 58.0956106148579,11.46393877134 58.0992751184526,11.4712883381072 58.1022371011364,11.4795892213121 58.1043825513893,11.4885219648563 58.1056288722518,11.497742646969 58.1059280781548,11.5068961947949 58.1052686527505,11.5156301406451 58.1036759942362,11.5236082742713 58.1012114306344,11.5305236501112 58.0979698442012,11.5361104363659 58.094075999136,11.5401541424391 58.0896797177007,11.5424998299843 58.0849500946001,11.5430579969326 58.0800689762394)))', 'SEBRL', 'Brevik, Lyr', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8204806656686 57.642971302617,11.8192103959828 57.6381289250828,11.8162035748213 57.6335124277263,11.8115762994126 57.6292990973169,11.8055067260424 57.6256506814664,11.7982281732389 57.6227071983805,11.7900201453124 57.6205815846768,11.7811976226794 57.6193553826039,11.7720990257074 57.6190756282607,11.7630733042384 57.6197530570982,11.7544666345632 57.621361693688,11.746609218893 57.6238398411742,11.7398026790442 57.6270924337086,11.73430851618 57.6309946642714,11.7303380723407 57.635396752324,11.7280443778258 57.6401296724112,11.7275162023383 57.6450116277291,11.7287745487607 57.649855023233,11.7317717386815 57.6544736723455,11.7363931411405 57.6586899607123,11.7424614939572 57.6623416904,11.7497436644248 57.6652883387015,11.7579595974793 57.6674164871233,11.7667931092209 57.6686442075284,11.7759041062878 57.6689242326651,11.7849417510331 57.6682457858564,11.7935580519522 57.6666349975079,11.8014213405637 57.6641538920619,11.808229100951 57.6608979856898,11.8137196461382 57.6569925899129,11.8176821848463 57.652587967145,11.8199648902611 57.6478535287279,11.8204806656686 57.642971302617)))', 'SEBRN', 'Brännö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7117176562717 57.8240093688068,11.710454827757 57.8191659548791,11.7074460584313 57.8145470009927,11.7028075287392 57.8103298881565,11.6967178339206 57.8066765085845,11.6894110693488 57.8037270700046,11.6811678236747 57.8015947363819,11.6723044274561 57.8003613066304,11.6631608656138 57.8000740932093,11.6540878077705 57.800744117215,11.6454332403786 57.802345687326,11.6375291979851 57.804817378405,11.6306790877682 57.8080643734691,11.6251460816531 57.8119620818335,11.6211430141886 57.8163608982639,11.6188241726102 57.8210919246119,11.6182792991942 57.8259734382496,11.6195300467208 57.8308178621139,11.6225290377784 57.8354389705691,11.6271615805744 57.8396590545932,11.6332499913214 57.8433157696365,11.6405603701377 57.8462684001757,11.6488115781393 57.8484032962988,11.657686072577 57.8496382689735,11.6668421789248 57.8499257708443,11.6759273177695 57.8492547369004,11.6845916634328 57.8476510122178,11.6925016927139 57.8451763499485,11.699353086987 57.8419260194126,11.7048824788445 57.8380251190903,11.7088775839781 57.8336237401623,11.7111853273459 57.8288911708934,11.7117176562717 57.8240093688068)))', 'SEBRR', 'Brunskär', 'Y'),('SRID=4326;MULTIPOLYGON(((21.3692133732419 64.679866246562,21.3680288858272 64.6750060166182,21.3646540097047 64.6703380779141,21.3592194168063 64.6660416731645,21.3519346010708 64.6622816985227,21.3430797300057 64.6592023990383,21.3329948456118 64.6569218632084,21.3220668344343 64.6555275224542,21.31071466165 64.6550728227883,21.2993734211422 64.6555751918039,21.2884777916989 64.657015375956,21.2784455084031 64.6593381725465,21.2696614578133 64.6624545294778,21.2624629856633 64.6662449353512,21.2571269666893 64.6705639744894,21.2538591282419 64.6752458775469,21.252786043312 64.6801108601183,21.253950115857 64.6849720105996,21.2573077739047 64.6896424658504,21.2627309668157 64.6939426000357,21.2700119361995 64.6977069492305,21.2788711001291 64.7007906023997,21.2889677630622 64.7030748082365,21.2999132452809 64.7044715765935,21.3112859217972 64.7049270918761,21.3226475772123 64.7044238023207,21.3335604247452 64.7029811016165,21.3436041080121 64.700654575585,21.3523920049153 64.6975338440987,21.3595861841633 64.6937390845428,21.3649104245831 64.689416375403,21.3681607920059 64.6847320447481,21.3692133732419 64.679866246562)))', 'SEBRS', 'Bredskär', 'Y'),('SRID=4326;MULTIPOLYGON(((19.6268862054428 63.5525457892632,19.6260464780452 63.5476730311921,19.6230922828331 63.5429669282137,19.6181380765207 63.5386082104291,19.611374890636 63.5347641883332,19.6030628927221 63.5315823525016,19.5935213488088 63.5291847410486,19.583116378734 63.5276632859331,19.5722469710481 63.527076311469,19.561329782051 63.527446314854,19.5507832831401 63.5287591107012,19.5410118415976 63.5309643710752,19.5323903220256 63.5339775410514,19.5252497788337 63.5376830589772,19.5198647746685 63.5419387620902,19.5164428058712 63.5465813135376,19.5151162447323 63.5514324477377,19.5159371207799 63.5563057988873,19.518874961566 63.5610140535856,19.523817800186 63.5653761541526,19.5305763357422 63.5692242750965,19.5388911086684 63.5724103018299,19.5484424304715 63.5748115582111,19.5588626927221 63.5763355573731,19.5697505787723 63.5769235876931,19.5806866191523 63.5765529912281,19.5912494725053 63.5752380436566,19.6010322817302 63.5730294004954,19.6096584516003 63.5700121316688,19.616796219747 63.5663024228427,19.6221714460063 63.5620430748059,19.6255781226378 63.5573979793168,19.6268862054428 63.5525457892632)))', 'SEBRV', 'Levar, Bredvik', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7929460894311 58.0019775413624,11.791665338193 57.9971352085928,11.7886305712865 57.9925185185411,11.7839589735307 57.988304763903,11.7778304131727 57.9846557063823,11.770480477972 57.9817113862378,11.7621914111773 57.9795847696502,11.7532812972454 57.9783574351997,11.7440919079563 57.9780764610247,11.7349756653702 57.9787526289315,11.7262822079277 57.980360012461,11.7183450593793 57.9828369643808,11.7114688969015 57.9860884669911,11.7059178947509 57.9899897577612,11.70190558345 57.9943910948763,11.6995866124393 57.9991234839565,11.6990507374556 58.0040051500914,11.7003192741885 58.0088485098799,11.7033441692113 58.013467377609,11.7080097406091 58.017684129052,11.7141370375948 58.0213365462693,11.7214906647496 58.0242840775187,11.729787816761 58.0264132677577,11.7387091782719 58.0276421465904,11.7479112651587 58.0279234007596,11.7570397222634 58.0272462058323,11.765743051593 58.0256366446226,11.7736862264907 58.0231566958955,11.780563652325 58.019901833588,11.7861109625081 58.0159973317146,11.7901151885889 58.0115934209508,11.7924229120293 58.0068594874909,11.7929460894311 58.0019775413624)))', 'SEBSD', 'Berga Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8888247386368 57.8927872563533,18.8882103211894 57.8879075931653,18.8858206439882 57.883185498617,18.881748167991 57.8788023483647,18.8761498396393 57.8749264356518,18.869240992261 57.8717065265548,18.8612870418589 57.8692661708324,18.8525933007477 57.8676989827784,18.8434932983975 57.8670650690664,18.8343360501135 57.8673887370194,18.8254727497643 57.8686575686305,18.8172433820241 57.8708228946925,18.8099637522008 57.8738016512777,18.8039134176557 57.8774795493202,18.7993249743232 57.8817154389004,18.7963751054806 57.8863467047241,18.795177738611 57.891195489826,18.7957795813549 57.896075512211,18.7981582210959 57.900799215269,18.8022228772274 57.9051849784631,18.8078177938126 57.9090641107539,18.8147281569371 57.9122873559136,18.8226883198426 57.9147306562981,18.8313920244191 57.916299949315,18.8405042243483 57.9169348078284,18.849674047351 57.9166107806778,18.8585483851686 57.9153403405545,18.8667855727706 57.9131724015479,18.8740686143468 57.9101904253834,18.8801174331304 57.9065091912789,18.8846996639513 57.9022703570389,18.8876395693325 57.8976369862552,18.8888247386368 57.8927872563533)))', 'SEBSE', 'Bläse', 'Y'),('SRID=4326;MULTIPOLYGON(((15.7316702231928 56.1137434851486,15.7307196377622 56.1088795621435,15.7280895996456 56.1042126749959,15.7238817036562 56.0999220660844,15.7182579991212 56.0961724700712,15.7114347105576 56.0931078062386,15.7036739119473 56.0908456744532,15.6952734769806 56.0894728622203,15.68655568815 56.0890420314963,15.6778549338936 56.0895697092525,15.6695049541082 56.0910356568452,15.6618261096635 56.0933836417487,15.6551131507649 56.0965235829036,15.6496239421441 56.1003349896018,15.6455695704089 56.1046715652155,15.6431062110998 56.1093668028936,15.6423290711235 56.1142403621949,15.6432686477667 56.1191049849823,15.6458894605152 56.123773687019,15.6500913190336 56.1280669496265,15.6557130931461 56.1318196341419,15.6625388522277 56.1348873510867,15.6703061461849 56.1371520357853,15.6787161124707 56.1385265120742,15.6874450175344 56.1389578646589,15.6961567805898 56.1384294871195,15.7045159857476 56.1369617246354,15.7122008676579 56.1346110860337,15.718915756967 56.1314680563758,15.7244024950583 56.1276535965664,15.7284503714423 56.1233144680417,15.7309041994377 56.1186175663099,15.7316702231928 56.1137434851486)))', 'SEBSO', 'Bredavik, Sturkö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.8648478882185 62.4939049857579,17.8633472477082 62.4890676893399,17.85983614369 62.484458683908,17.8544502757964 62.480254942426,17.847397087889 62.4766178079455,17.8389477253162 62.473686824394,17.8294266008077 62.4715744088074,17.8191989720137 62.4703615644683,17.8086570012438 62.4700947946524,17.7982048184861 62.4707843315588,17.7882431414983 62.4724037460648,17.7791540212393 62.4748909528541,17.7712862769612 62.4781505738832,17.7649421629357 62.4820575727493,17.7603657682892 62.4864620249764,17.7577335933178 62.4911948461731,17.757147670903 62.4960742630002,17.7586315118019 62.5009127823668,17.7621290498722 62.5055243935281,17.7675066507727 62.5097317268225,17.77455812922 62.5133728923782,17.7830126001218 62.5163077325735,17.7925448730569 62.5184232432327,17.8027879931296 62.5196379498756,17.8133474396199 62.5199050657067,17.8238164220135 62.5192143058492,17.8337916649552 62.5175922856095,17.8428890521912 62.5151014870041,17.8507585059006 62.5118378348988,17.8570975115725 62.5079269793914,17.8616627577864 62.5035194320961,17.8642794414954 62.4987847485994,17.8648478882185 62.4939049857579)))', 'SEBSV', 'Barsviken', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7848406746613 57.9209814004718,11.7835642305155 57.9161388971946,11.780537651049 57.9115218941066,11.7758778035534 57.9073076963569,11.7697641030584 57.9036580832341,11.7624315660825 57.9007131169525,11.7541617685899 57.8985857890834,11.7452720571508 57.8973577059723,11.7361034230145 57.8970759747648,11.7270074945266 57.8977514063663,11.7183331331407 57.8993581023887,11.7104131316501 57.9018344415987,11.703551509954 57.9050854292878,11.6980118837159 57.9089863221093,11.6940073449836 57.9133873929807,11.6916922418883 57.9181196573201,11.6911561779977 57.923001344772,11.692420472356 57.9278448711078,11.6954372308805 57.932464044438,11.700091081428 57.9366812292144,11.7062035219518 57.940334191401,11.7135397277559 57.9432823589192,11.7218175643331 57.9454122528381,11.7307184612363 57.9466418761537,11.7398997243288 57.9469238872377,11.7490078026174 57.9462474325761,11.7576919849487 57.9446385663086,11.7656179833788 57.9421592400695,11.7724808650306 57.938904903316,11.7780168224271 57.9350008092594,11.7820133220714 57.9305971723411,11.7843172397113 57.9258633677996,11.7848406746613 57.9209814004718)))', 'SEBTT', 'Brattön', 'Y'),('SRID=4326;MULTIPOLYGON(((21.356814394074 64.9568709526588,21.3556197771711 64.9520108111721,21.3522120903493 64.9473427815901,21.34672328928 64.9430461084113,21.3393649664228 64.9392856954907,21.3304201196278 64.9362058015994,21.3202322434707 64.933924534923,21.3091921674155 64.9325293522593,21.2977231406584 64.9320737301217,21.2862647209947 64.9325751308359,21.2752560635206 64.9340143385955,21.265119224066 64.936336189917,21.2562430917988 64.9394516716299,21.2489685454528 64.9432413090863,21.2435753882527 64.9475597192974,21.2402715582407 64.9522411598088,21.2391850340992 64.95710586586,21.2403587630369 64.9619669372054,21.2437488289435 64.9666375132267,21.2492259587689 64.9709379617539,21.2565803368983 64.974702804171,21.2655295660393 64.9777871073564,21.2757294844522 64.980072091849,21.2867874293522 64.9814697348461,21.2982774311696 64.9819261852695,21.3097567388377 64.9814238546941,21.3207830172425 64.9799821004898,21.3309315279239 64.9776564738144,21.3398116048789 64.9745365626029,21.3470817688397 64.9707425158548,21.3524628837685 64.966420387833,21.3557488449529 64.9617364869937,21.356814394074 64.9568709526588)))', 'SEBTV', 'Båtvik', 'Y'),('SRID=4326;MULTIPOLYGON(((21.4080080167196 64.5838510660848,21.4068208400776 64.5789910854619,21.4034512642069 64.5743239678538,21.3980297488017 64.5700289247281,21.390765278849 64.5662708006223,21.3819372367155 64.5631937704771,21.3718846337353 64.5609158367283,21.3609931198114 64.5595243319162,21.3496802644295 64.5590725939851,21.3383796593256 64.5595779372853,21.3275244310765 64.5610209941196,21.317530770719 64.5633464510931,21.3087820869709 64.5664651531654,21.3016143697474 64.5702574978126,21.2963033115863 64.5745779937028,21.2930536767316 64.5792608143891,21.2919913317552 64.5841261392818,21.2931582590693 64.588987043041,21.2965107675692 64.5936566718559,21.3019209959101 64.5979554319514,21.3091816774617 64.6017179129163,21.3180140066153 64.604799276518,21.3280783193848 64.6070808605908,21.338987183161 64.6084747768644,21.3503203870969 64.6089273202702,21.3616412415657 64.6084210538314,21.3725135372001 64.606975485785,21.3825184846056 64.6046463118365,21.3912709567171 64.601523252903,21.3984343868837 64.5977265748016,21.4037337352409 64.5934024285928,21.4069660202597 64.5887171964502,21.4080080167196 64.5838510660848)))', 'SEBU2', 'Burvik', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1609698984654 57.2410478506819,12.1604606513332 57.2361653436003,12.1582048859461 57.2314304969824,12.1542898993846 57.2270251838485,12.1488665811714 57.2231185564231,12.1421435481336 57.2198605672645,12.1343790969141 57.2173762335883,12.1258712879449 57.2157608611109,12.1169465403484 57.2150764066873,12.1079471685644 57.2153491157107,12.0992183274197 57.216568522291,12.0910948521904 57.2186878493062,12.0838884836147 57.2216257932788,12.0778759547715 57.2252696274075,12.073288387475 57.2294795067491,12.0703024009129 57.2340938141688,12.0690332755865 57.2389353459014,12.0695304425816 57.2438181028644,12.0717754837003 57.2485544295695,12.075682734533 57.2529622276673,12.0811024832523 57.2568719666206,12.0878266564568 57.2601332201694,12.0955967839268 57.2626204741243,12.1041139410741 57.2642379781824,12.1130502856003 57.2649234509742,12.1220617375359 57.264650492069,12.130801302957 57.2634296053992,12.1389325139121 57.2613077934174,12.1461424519696 57.2583667379155,12.1521538406318 57.2547196393971,12.1567357316698 57.2505068397791,12.1597123700567 57.2458904007813,12.1609698984654 57.2410478506819)))', 'SEBUA', 'Bua', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9843098010522 57.5139126084251,11.9830228971114 57.5090719627955,11.980006649147 57.5044593835138,11.975377509421 57.5002520063773,11.9693136994361 57.4966113504353,11.96204831159 57.4936771364905,11.9538603421081 57.4915619462235,11.9450640012196 57.4903469228578,11.9359967065001 57.4900786744805,11.9270062104211 57.4907674957514,11.9184373424961 57.4923869744028,11.9106188594589 57.4948749973315,11.9038508934013 57.4981361189681,11.8983934677868 57.5020452037229,11.8944565150565 57.5064522063855,11.8921917778459 57.511187911092,11.891686909703 57.516070412444,11.8929620122636 57.520912093031,11.8959687562544 57.5255268312089,11.9005921363065 57.5297371625084,11.9066548077773 57.5333811181362,11.9139238516007 57.5363184749425,11.9221197149646 57.5384361727743,11.9309269858685 57.5396526866533,11.9400065827392 57.5399211815749,11.949008880211 57.539231325345,11.9575872521126 57.5376096877947,11.9654114948153 57.5351187107008,11.9721805993722 57.5318542893778,11.9776343689969 57.527942061763,11.9815634278421 57.5235325515385,11.9838172350458 57.5187953563209,11.9843098010522 57.5139126084251)))', 'SEBUD', 'Budskär', 'Y'),('SRID=4326;MULTIPOLYGON(((21.295081161204 64.617895426962,21.2939126390457 64.6130345582739,21.2905581821767 64.6083648836548,21.2851476746217 64.604065713526,21.2778896840387 64.6003020512998,21.2690633489792 64.5972182845653,21.2590076190594 64.5949326740365,21.2481082663465 64.5935328463279,21.2367831613768 64.5930724580957,21.2254663642833 64.5935691549641,21.2145916197431 64.5950039005157,21.2045758634708 64.5973217000617,21.1958033476288 64.6004336925518,21.1886109727933 64.6042205334812,21.1832753751716 64.6085369436246,21.1800022600172 64.6132172544869,21.1789183963999 64.6180817430633,21.1800665960154 64.6229435173094,21.183403891607 64.6276156909644,21.1888030117959 64.6319185731526,21.1960571225505 64.6356865953355,21.2048876759965 64.6387747061604,21.2149550803145 64.6410639835647,21.2258717861192 64.6424662426838,21.2372172810201 64.6429274567005,21.2485544006936 64.6424298542717,21.2594463065261 64.6409926096789,21.2694734501485 64.6386710980682,21.2782498457811 64.6355547456193,21.285438002193 64.6317635606017,21.2907619254015 64.6274434835883,21.2940176874802 64.6227607413207,21.295081161204 64.617895426962)))', 'SEBUR', 'Bureå', 'Y'),('SRID=4326;MULTIPOLYGON(((19.1267200375042 57.806698882566,19.1260746663276 57.8018201472629,19.1236592598884 57.7971023385573,19.1195672613346 57.7927266661031,19.1139563600575 57.7888611351423,19.107042365652 57.7856541129139,19.09909088645 57.7832286548107,19.0904071365945 57.781677804098,19.0813242611408 57.7810610414774,19.0721906195767 57.7814020171289,19.0633565033948 57.7826876496885,19.0551607822826 57.7848686255999,19.0479179758063 57.7878612801597,19.0419062331359 57.7915507900892,19.037356672632 57.7957955583665,19.0344444865617 57.8004326270178,19.0332821547652 57.8052839142144,19.0339150361628 57.8101630398385,19.0363195205226 57.8148824799684,19.0404038274825 57.8192607765812,19.0460114386275 57.8231295249313,19.0529270452584 57.8263398679615,19.0608847936 57.8287682447168,19.0695785150912 57.8303211675933,19.0786735465847 57.8309388404205,19.0878196779429 57.8305974744472,19.096664716212 57.8293102104609,19.104868128914 57.8271266103881,19.1121142255088 57.8241307384376,19.1181243559386 57.820437907707,19.1226676472952 57.81619022078,19.1255698617339 57.8115510799677,19.1267200375042 57.806698882566)))', 'SEBUS', 'Bungenäs', 'Y'),('SRID=4326;MULTIPOLYGON(((18.3087197484938 57.0339914677514,18.3081930654021 57.0291092751487,18.3059301490818 57.0243768944949,18.3020185615751 57.0199761037584,18.2966090531608 57.0160758818047,18.2899097038757 57.0128259361219,18.2821778975755 57.0103509763954,18.273710441383 57.0087459499306,18.2648322085656 57.0080724177868,18.2558837338266 57.0083562071147,18.2472082255857 57.0095864271806,18.2391384793933 57.011715885598,18.2319841798379 57.0146628891171,18.2260200651312 57.0183143617007,18.2214753992329 57.0225301632903,18.2185251514757 57.0271484473368,18.2172832240829 57.0319918554551,18.2177979951394 57.0368743149535,18.2200503603735 57.0416081808027,18.2239543640487 57.0460114489274,18.2293604104563 57.0499147633027,18.2360609466213 57.0531679456476,18.2437984079993 57.0556457935242,18.2522751265348 57.057252919932,18.2611648188521 57.0579274441137,18.2701252056402 57.0576433878895,18.278811264975 57.0564116826259,18.2868885949959 57.0542797468178,18.294046356546 57.0513296508756,18.3000092843589 57.0476749416304,18.3045482951717 57.043456251893,18.3074892805888 57.0388358679061,18.3087197484938 57.0339914677514)))', 'SEBUV', 'Burgsvik', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8544286638841 57.5857972011728,18.8538230837804 57.5809172162222,18.8514571114697 57.5761944267965,18.8474222847737 57.571810236623,18.8418740950766 57.5679329808657,18.8350259458883 57.5647114794621,18.8271409232466 57.5622693455608,18.8185216984885 57.5607002636048,18.8094989493864 57.5600644142051,18.8004187366064 57.5603861793931,18.7916293078329 57.5616532137236,18.7834678210703 57.5638169156988,18.7762474812507 57.5667942818535,18.770245570329 57.5704710743095,18.7656928207739 57.5747061834335,18.7627645363346 57.5793370221023,18.7615738031028 57.5841857486021,18.7621670596069 57.5890660828605,18.7645222088948 57.5937904568391,18.7685493608507 57.5981772255774,18.7740941925005 57.6020576613488,18.7809438115695 57.6052824600878,18.7888349082471 57.6077275066561,18.797463886481 57.6092986731833,18.8064985836198 57.6099354617006,18.8155911200143 57.609613347204,18.8243913718183 57.6083447283183,18.8325605333174 57.6061784477756,18.8397842311711 57.6031979016054,18.8457846721973 57.5995178118147,18.8503313477087 57.595279790026,18.853249878676 57.5906468667887,18.8544286638841 57.5857972011728)))', 'SEBVL', 'Botvaldevik', 'Y'),('SRID=4326;MULTIPOLYGON(((20.9039197184102 64.0610487290131,20.9028429528066 64.056184479821,20.8996212710409 64.0515056576741,20.8943794204021 64.0471919311305,20.8873194716505 64.0434088702591,20.8787129582725 64.040301614945,20.8688904080368 64.037989333893,20.8582286740953 64.0365606817019,20.8471365473635 64.0360704230397,20.8360391886975 64.0365373489452,20.8253619576606 64.0379435621798,20.8155142340091 64.0402351579624,20.8068738282548 64.0433242749914,20.7997725587749 64.047092441031,20.7944835351134 64.0513950891604,20.7912106307736 64.056067076667,20.790080554732 64.0609290000726,20.7911378404504 64.0657940683794,20.7943429663761 64.0704752736389,20.7995737056934 64.0747925844868,20.8066296792431 64.0785798851774,20.8152399587345 64.081691390352,20.8250734430499 64.0840072843026,20.8357516144259 64.0854383623982,20.8468631794938 64.0859294906481,20.8579800180795 64.0854617456258,20.868673804971 64.0840531492735,20.8785326399301 64.0817579691817,20.8871770208521 64.0786646123314,20.8942745241841 64.0748921964333,20.8995526137514 64.0705859354103,20.9028090806704 64.065911522004,20.9039197184102 64.0610487290131)))', 'SEBYA', 'Bygdeå', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((21.2867928562943 64.9468985552749,21.2856113771162 64.9420378434968,21.2822171427953 64.9373682053074,21.2767415928895 64.9330689476597,21.2693958125719 64.9293050742033,21.2604623204298 64.9262209769376,21.250284177801 64.9239349255535,21.239251843113 64.9225345604293,21.2277882705284 64.9220735567235,21.2163328097768 64.9225695829162,21.2053245026201 64.9240036290415,21.1951853905836 64.9263207293385,21.1863044482374 64.9294320527395,21.1790227364335 64.933218284154,21.1736203306462 64.9375341715105,21.1703055213093 64.9422140695977,21.1692067065557 64.9470782734424,21.1703673043635 64.951939902756,21.173743902857 64.9566120761788,21.1792077473695 64.9609151007928,21.1865495347718 64.9646833994633,21.1954873543702 64.9677719064923,21.2056774860195 64.9700616808422,21.2167276460759 64.9714645153456,21.2282121666225 64.9719263589022,21.2396885087836 64.9714294151718,21.2507144517835 64.9699928338075,21.2608652691963 64.9676719665387,21.2697502044181 64.9645562179215,21.2770275887265 64.9607655767459,21.2824180054775 64.9564459664291,21.2857149894629 64.9517635989683,21.2867928562943 64.9468985552749)))', 'SEBYE', 'Byske', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0286344558916 59.9067517772848,19.0279691913051 59.9018739116091,19.0254227405988 59.8971549327123,19.0210936797565 59.8927760875663,19.0151488776105 59.888905490699,19.0078170065566 59.8856916883303,18.9993797220895 59.8832579800375,18.9901608549968 59.8816977115755,18.9805140290386 59.8810707150249,18.9708091704739 59.881401028928,18.9614184128424 59.8826759830869,18.952701920385 59.8848466818973,18.9449941560916 59.8878298681815,18.9385911055817 59.891511098193,18.9337389360828 59.8957491094848,18.9306245211837 59.9003812183542,18.9293681977074 59.9052295441777,18.9300190423234 59.9101078256245,18.9325528643789 59.914828569812,18.9368730104856 59.9192102610193,18.9428139689998 59.9230843514323,18.9501476526879 59.9263017629706,18.9585921301022 59.9287386465936,18.9678224753965 59.9303011731304,18.9774833173572 59.9309291667282,18.9872025959123 59.9305984370531,18.9966059822048 59.9293217176005,19.0053313893926 59.9271481727255,19.0130429973001 59.9241614928939,19.0194442351559 59.9204766537136,19.0242892116973 59.9162354670946,19.0273921484001 59.9116011001537,19.0286344558916 59.9067517772848)))', 'SEBYH', 'Bylehamn', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0541071836341 57.3272555141249,17.052949864071 57.3224046594769,17.0500659446521 57.3177690923522,17.0455668000508 57.3135268384349,17.0396256721667 57.309840761732,17.0324709606967 57.3068523306822,17.0243774330753 57.3046762097963,17.0156556934494 57.3033958803891,17.0066403110721 57.3030604545715,16.997677054498 57.3036828015903,16.989109708295 57.3052390564517,16.9812669630958 57.3076695292305,16.9744498674292 57.3108809813024,16.9689203109293 57.3147501836889,16.9648909735402 57.3191286245176,16.96251712486 57.3238481889625,16.9618905928703 57.3287275975327,16.9630361435358 57.3335793586844,16.9659104242692 57.3382169706957,16.9704035277984 57.3424620965677,16.9763431319243 57.3461514350648,16.9835010689311 57.3491430211697,16.9916020803286 57.351321710043,17.0003344226335 57.3526036294163,17.0093619124293 57.3529394251205,17.0183369379137 57.3523161715966,17.0269139228062 57.350757871846,17.0347627090699 57.3483245271102,17.0415813284805 57.3451098132434,17.0471076594308 57.3412374558031,17.05112951304 57.3368564469897,17.0534927590487 57.332135292581,17.0541071836341 57.3272555141249)))', 'SEBYX', 'Byxelkrok', 'Y'),('SRID=4326;MULTIPOLYGON(((16.3617620323578 58.581502871627,16.3606554485954 58.5766464855704,16.3577567469369 58.571996113428,16.3531779290014 58.5677303486289,16.3470953443137 58.5640129534581,16.3397428545091 58.5609865914445,16.3314028294745 58.5587673743611,16.322395323892 58.5574404289208,16.3130658458408 58.5570566491697,16.303772177149 58.5576307557892,16.2948707371269 58.5591407345987,16.2867029966002 58.5615286752013,16.2795824475367 58.5647029786553,16.2737826150464 58.5685418520202,16.26952656342 58.5728979593519,16.2669782967708 58.577604054873,16.2662363887857 58.5824793862238,16.2673300965874 58.5873366253648,16.2702181228965 58.5919890631256,16.2747900913177 58.5962577916064,16.2808706951045 58.5999785973289,16.2882263741994 58.6030082975389,16.2965742731784 58.6052302722529,16.3055931386236 58.6065589749332,16.3149357330181 58.6069432440092,16.3242422776859 58.606368284304,16.3331543930627 58.604856239873,16.3413289830957 58.602465335586,16.3484515130435 58.5992876215794,16.3542481562282 58.5954454100196,16.3584963339052 58.5910865450602,16.3610332406995 58.5863786923018,16.3617620323578 58.581502871627)))', 'SEDAB', 'Dagsberg', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2171984073596 58.9141823803795,11.2159607291817 58.9093346761491,11.2129192738935 58.9047049645528,11.2081915287981 58.9004710380037,11.2019595553604 58.8967954295606,11.1944629356282 58.8938191934187,11.1859895516642 58.8916565142853,11.1768645543105 58.8903903482432,11.1674379403092 58.8900692582423,11.158071204173 58.8907055622806,11.1491235623044 58.8922748632623,11.1409382611856 58.8947169781094,11.1338294787506 58.8979382317024,11.128070308344 58.9018150303455,11.1238822782595 58.9061985814283,11.1214268073707 58.910920582454,11.1207989298549 58.9157996652121,11.1220235410284 58.9206483510462,11.1250543240262 58.9252802521726,11.1297754163038 58.9295172428426,11.1360057692293 58.9331963235134,11.1435060474672 58.9361759113748,11.1519878119837 58.9383413114501,11.1611246360746 58.9396091534173,11.1705647224822 58.9399306191814,11.1799445256383 58.9392933335377,11.1889028398017 58.9377218430229,11.1970947937291 58.9352766640522,11.2042051966588 58.9320519382307,11.2099607085443 58.9281717878698,11.2141403580718 58.9237855158481,11.2165840022326 58.9190618389,11.2171984073596 58.9141823803795)))', 'SEDAV', 'Daftö-Valö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4549407945462 56.3544805828776,16.4538920439301 56.3496230759409,16.4511572644648 56.3449724581033,16.4468420744061 56.3407073411592,16.4411126373879 56.3369914758873,16.4341892263546 56.3339674828411,16.4263377445128 56.3317513985975,16.4178595312191 56.3304282429366,16.4090798408097 56.3300487733038,16.400335428136 56.3306275479909,16.3919617050235 56.3321423703872,16.3842799464213 56.3345351350962,16.3775850233922 56.3377140444435,16.3721341223174 56.3415571126842,16.3681368760781 56.3459168268062,16.365747284184 56.3506257889162,16.3650577358996 56.3555031273944,16.3660953749196 56.3603614337702,16.368820958152 56.3650139608722,16.3731302673834 56.3692818062384,16.3788580342839 56.3730008037132,16.3857842401719 56.3760278558936,16.3936425563521 56.378246460477,16.4021306030028 56.3795712139839,16.410921628747 56.3799511157109,16.4196771530284 56.3793715415836,16.4280600723776 56.3778548099205,16.435747711801 56.3754593167872,16.4424443049353 56.3722772752363,16.4478924111437 56.3684311478626,16.4518828230407 56.3640689134032,16.454262581584 56.3593583534493,16.4549407945462 56.3544805828776)))', 'SEDEG', 'Degerhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((22.727129311293 65.5523280379892,22.7256522638204 65.5474808346786,22.7219226740421 65.5428461059134,22.7160848833722 65.5386018012164,22.7083638773847 65.534910798728,22.6990565425671 65.531914680619,22.6885202314098 65.5297283318404,22.6771590790032 65.5284355637564,22.6654085893745 65.5280859249994,22.653719066127 65.5286928173193,22.6425384988894 65.5302329858163,22.6322955343165 65.5326474023581,22.6233831577907 65.5358435097783,22.616143689552 65.5396987442693,22.6108556568787 65.5440652058279,22.6077230425335 65.5487753032682,22.6068673297428 65.5536481627455,22.6083226668764 65.55849655838,22.6120343628796 65.5631341017493,22.6178608005002 65.5673824148338,22.6255787225682 65.5710780092538,22.6348917121047 65.5740786037589,22.6454415557484 65.5762686319067,22.6568220582135 65.5775637221811,22.6685947695968 65.5779139724159,22.6803060032244 65.577305887769,22.6915044642501 65.5757629046618,22.7017587818495 65.5733444797268,22.7106742422495 65.5701437803733,22.7179080557282 65.5662840694892,22.723182555902 65.5619139285675,22.7262958202116 65.5572015089425,22.727129311293 65.5523280379892)))', 'SEDEO', 'Degerön', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6051061684343 57.3174201117499,16.6040082770579 57.3125648687595,16.6011815151323 57.3079187603261,16.5967350671451 57.3036602200423,16.5908401592085 57.2999527396031,16.5837234256784 57.2969386105193,16.5756581852842 57.2947334840462,16.5669539641432 57.293421954121,16.5579446642133 57.2930543289078,16.5489758222333 57.2936447116253,16.5403914350513 57.2951704622701,16.5325208418766 57.2975730603634,16.5256661521397 57.3007603366703,16.5200906893393 57.3046099907246,16.5160088867914 57.3089742626923,16.5135780212313 57.3136855842889,16.5128921057909 57.318562995756,16.5139781865391 57.323419085736,16.516795198628 57.3280671895418,16.5212354418933 57.3323285698043,16.5271286348371 57.3360393024678,16.5342484041985 57.3390566009,16.5423209690732 57.3412643313408,16.5510356882591 57.3425775034222,16.5600570615646 57.3429455589757,16.5690377141858 57.3423543292674,16.5776318512087 57.3408265832476,16.5855086490982 57.3384211451732,16.5923650538139 57.3352306166413,16.59793748077 57.3313777932397,16.6020119588331 57.3270109173069,16.6044323263554 57.3222979535567,16.6051061684343 57.3174201117499)))', 'SEDGT', 'Draget, Oskarshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.737751323889 59.3088559292772,18.7371377371015 59.3039765244637,18.7346748691561 59.2992520573846,18.7304580587992 59.2948639904624,18.7246498469962 59.2909807979704,18.7174736560968 59.2877515155277,18.7092051712558 59.2853000421445,18.7001617601745 59.283720409317,18.6906903355369 59.2830731943632,18.6811541176423 59.2833832117575,18.6719187916438 59.2846385682705,18.6633385738659 59.2867911169012,18.655742704596 59.2897582926283,18.6494228705002 59.2934262616262,18.6446220286265 59.2976542665078,18.6415250563655 59.302280005053,18.640251588625 59.3071258403492,18.6408513262139 59.3120056078095,18.6433020099686 59.3167317604544,18.6475101560729 59.3211225792499,18.6533145426164 59.3250091709756,18.6604923296141 59.3282419825102,18.6687675889236 59.3306965775712,18.6778219214943 59.3322784494147,18.6873067519435 59.3329266798519,18.6968568190551 59.33261629981,18.7061043292542 59.3313592577284,18.7146932112802 59.3292039572213,18.7222929057933 59.3262333822587,18.7286111437725 59.3225618841697,18.7334052111679 59.318330757613,18.7364912619439 59.3137027800552,18.737751323889 59.3088559292772)))', 'SEDHN', 'Djurhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.2010563001435 57.309033978802,18.2005410793044 57.3041516239789,18.1982762541136 57.2994174573889,18.1943494720593 57.2950133254099,18.1889120771445 57.2911083342986,18.1821732271044 57.2878523731746,18.1743918251408 57.2853703808655,18.1658665807805 57.2837575728322,18.1569245801844 57.2830758073166,18.1479087975946 57.2833512265409,18.1391650155371 57.2845732608253,18.1310286412107 57.2866950325743,18.1238119098626 57.289635144936,18.1177919528455 57.2932807883355,18.1132001787021 57.2974920487531,18.1102133705924 57.3021072562601,18.1089468435844 57.3069491725662,18.1094499321405 57.3118317836493,18.1117039934724 57.3165674392657,18.1156230187897 57.320974066347,18.1210568449832 57.3248821787805,18.1277968576257 57.328141412254,18.1355839765231 57.3306263297541,18.1441186217986 57.3322412704857,18.1530722760868 57.3329240515222,18.1621001909741 57.3326483760374,18.1708547368987 57.3314248527244,18.178998867959 57.3293005858703,18.1862191680161 57.3263573521849,18.1922379624163 57.3227084364365,18.196824019618 57.3184942508301,18.1998014268153 57.3138769106275,18.2010563001435 57.309033978802)))', 'SEDJK', 'Djupvik, Gotland', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7487602819841 59.3148518643826,18.7481450285288 59.3099725053762,18.7456802147218 59.3052482385584,18.7414612542234 59.3008605185533,18.7356507705886 59.2969778062083,18.7284722732645 59.2937491186202,18.7202015356964 59.2912983319021,18.7111560117282 59.2897194511644,18.7016826947933 59.2890730248643,18.692144877512 59.2893838372427,18.6829083062111 59.2906399646149,18.6743272449347 59.2927932304586,18.6667309664227 59.2957610422843,18.6604111732738 59.2994295418924,18.6556108213055 59.3036579515421,18.65251476951 59.3082839534562,18.6512426178706 59.3131299005599,18.6518440170201 59.3180096238954,18.6542966442338 59.3227355780834,18.6585069411477 59.3271260516138,18.66431360316 59.3310121644403,18.6714937026344 59.3342443817741,18.6797712222169 59.3366982901303,18.6888276755653 59.3382794091565,18.6983144053463 59.3389268496359,18.7078660769519 59.3386156729276,18.717114834856 59.3373578581823,18.7257045597124 59.3352018388103,18.7333046598307 59.3322306265013,18.7396228508108 59.3285585971482,18.744416420755 59.3243270658633,18.7475015431747 59.3196988256638,18.7487602819841 59.3148518643826)))', 'SEDJO', 'Djurö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7429323655394 57.9899961187706,11.7416588290473 57.9851532145529,11.7386315234269 57.9805352614365,11.7339673471276 57.9763196010175,11.7278458840498 57.9726680685036,11.7205024504252 57.9697207993955,11.7122190410442 57.9675908731741,11.7033135243108 57.9663599954284,11.6941274964545 57.9660753801607,11.6850132510639 57.9667479487205,11.6763203500178 57.9683519125675,11.6683822953272 57.970825755524,11.6615037981411 57.9740745790995,11.6559491212239 57.9779737235867,11.6519319349238 57.982373529677,11.6496070746629 57.9871050620042,11.6490645213759 57.9919865788854,11.6503258466834 57.9968305030374,11.6533432740964 58.0014506274623,11.6580014090325 58.0056692800023,11.6641215873359 58.0093241699271,11.6714686883734 58.0122746506008,11.6797601590273 58.0144071536103,11.6886769036387 58.0156395810733,11.6978756166334 58.0159244830568,11.7070020732221 58.0152508945611,11.7157048524789 58.0136447594028,11.7236489485241 58.0111679243229,11.730528730469 58.0079157433359,11.7360797399597 58.0040133872847,11.7400888649835 57.9996110044092,11.7424024973752 57.994877922367,11.7429323655394 57.9899961187706)))', 'SEDJP', 'Djupvik, Tjörn', 'Y'),('SRID=4326;MULTIPOLYGON(((16.1590333156258 56.428587531321,16.1580200616108 56.4237274549304,16.1553158465268 56.4190702595693,16.1510251206183 56.4147948113101,16.1453131148444 56.4110652586875,16.1383994395186 56.4080247480935,16.1305496296252 56.4057899498425,16.122064963961 56.4044466011531,16.1132709457339 56.4040462333026,16.104504878397 56.4046042054002,16.0961030013301 56.406099118211,16.0883876648875 56.4084736299423,16.0816550230525 56.4116366436362,16.0761637044709 56.415466784561,16.0721248893093 56.4198170375114,16.0696941708253 56.4245203699095,16.0689655178168 56.4293961286586,16.0699675787421 56.4342569682906,16.0726624823778 56.4389160463452,16.0769471960622 56.4431942101275,16.082657404144 56.4469268976894,16.0895737699947 56.4499704853731,16.0974303490247 56.452207834405,16.1059248318982 56.4535528192326,16.1147302208251 56.4539536594909,16.1235074812634 56.4533949241508,16.1319186697827 56.4518981286442,16.1396400184435 56.4495209013876,16.1463744579581 56.4463547527535,16.1518630860029 56.4425215347401,16.1558951320239 56.4381687310112,16.1583160333044 56.4334637624772,16.1590333156258 56.428587531321)))', 'SEDJR', 'Djursvik', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7656236553282 56.0710927814975,14.7647958737308 56.0662217575304,14.7622856560992 56.061534625857,14.7581900035578 56.0572114129968,14.7526666694088 56.0534181107795,14.745928042247 56.0503003197299,14.7382329644154 56.0479776801764,14.7298768031225 56.0465393010733,14.7211801529572 56.0460403581843,14.7124765958507 56.0464999889375,14.7040999766979 56.0479005625487,14.6963716692474 56.050188352621,14.689588307184 56.0532755871202,14.6840104395698 56.0570437991682,14.6798525382567 56.0613483532508,14.6772747381742 56.066023976903,14.6763766305274 56.0708910893277,14.6771933554022 56.0757626872019,14.6796941560756 56.080451525407,14.6837834650686 56.08477731762,14.6893044948277 56.0885736793286,14.6960452075832 56.0916945442283,14.7037464434818 56.0940198040248,14.7121118978063 56.0954599508551,14.7208195611869 56.0959595398345,14.7295341750278 56.0954993351733,14.7379202111438 56.0940970550282,14.7456548621382 56.0918066856009,14.7524405285798 56.0887163916094,14.7580163105885 56.0849451057121,14.7621680538295 56.0806379313888,14.7647365608851 56.0759605400116,14.7656236553282 56.0710927814975)))', 'SEDJS', 'Djupekås', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2237757926599 61.2761612341882,17.2224372193559 61.2713157223577,17.219161432224 61.2666889600911,17.2140750338236 61.262458614276,17.207373936899 61.258787063094,17.1993157681692 61.2558151850923,17.1902099518672 61.253656978307,17.1804058564425 61.2523952112117,17.1702794541509 61.2520782678041,17.1602189931899 61.2527183041649,17.1506102147363 61.2542907849261,17.1418216622306 61.256735416916,17.1341906273257 61.259958445497,17.1280102560875 61.2638362284765,17.1235183005765 61.2682199546401,17.1208879454144 61.2729413305719,17.1202210673359 61.2778190220692,17.1215441995763 61.2826656065758,17.1248073744381 61.2872947719319,17.1298859094646 61.2915284854023,17.1365850890413 61.295203856111,17.1446475783535 61.2981794240229,17.1537632954032 61.300340629346,17.1635813644431 61.3016042471056,17.1737236858585 61.3019216115564,17.1837995879042 61.3012805025176,17.1934209786339 61.299705618663,17.202217394501 61.2972576190144,17.2098503467297 61.2940307709056,17.2160263973643 61.290149298018,17.2205084521215 61.2857625733205,17.2231248336811 61.2810393467279,17.2237757926599 61.2761612341882)))', 'SEDJV', 'Djupvik, Söderhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7540035537562 57.2508309524744,18.7534157063535 57.2459503837689,18.7510831037151 57.2412257328278,18.7470959891396 57.2368384768051,18.741608012958 57.2329570710821,18.7348302629818 57.2297304976182,18.727023124151 57.227282566777,18.7184862844488 57.225707187481,18.7095472692142 57.2250647832004,18.7005489366847 57.2253799877435,18.6918364028499 57.2266407067022,18.6837438828394 57.2287985793941,18.6765819387782 57.2317708239785,18.6706256102947 57.2354433968562,18.6661038739066 57.2396753482479,18.663190831906 57.244304210666,18.6619989710522 57.2491522174773,18.662574757757 57.2540331163827,18.6648967514474 57.2587593187263,18.6688763239395 57.2631491111674,18.6743609731165 57.2670336521787,18.6811401176763 57.2702634824817,18.688953160369 57.2727142958887,18.6974995144037 57.274291744632,18.7064502059697 57.2749350901863,18.7154605992114 57.2746195554425,18.7241837420017 57.2733572850791,18.7322838040922 57.271196875966,18.7394490751454 57.268221496092,18.7454040090312 57.2645456663757,18.7499198415497 57.2603108324206,18.7528233692213 57.2556799005579,18.7540035537562 57.2508309524744)))', 'SEDJY', 'Djaupdy', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4564881486812 59.1309593460114,18.455917201404 59.1260788212259,18.453505421382 59.1213493025564,18.4493461794388 59.1169524492675,18.443599804337 59.1130570758369,18.4364873469332 59.1098126879902,18.4282820519907 59.1073437663758,18.4192988703572 59.1057450131353,18.4098824125324 59.1050777394491,18.400393797892 59.1053675288097,18.3911968909314 59.1066032628865,18.3826444362292 59.1087375460514,18.3750646070863 59.1116885126663,18.368748468952 59.1153429498087,18.3639388280261 59.1195606189588,18.3608208883506 59.1241796149639,18.3595150781752 59.1290225609409,18.360072329743 59.1339034051624,18.3624720078406 59.1386345617257,18.3666225840507 59.1430341220122,18.3723650488907 59.1469328594289,18.3794789468095 59.1501807561142,18.3876908137421 59.1526527972309,18.3966846983173 59.1542538057207,18.4061143606085 59.1549221270613,18.4156166709764 59.1546320182639,18.4248256798712 59.1533946462906,18.4333868003025 59.151257656125,18.4409705396916 59.1483033255223,18.4472852372928 59.1446453795419,18.4520883062187 59.1404245908923,18.4551955429565 59.135803339641,18.4564881486812 59.1309593460114)))', 'SEDLA', 'Dalarö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8414224031233 57.5979641053125,11.8401511121888 57.5931219188405,11.8371455466743 57.5885058811319,11.8325217535977 57.5842932613697,11.8264577539676 57.5806457800653,11.8191866513877 57.5777034198194,11.8109876639654 57.5755790744619,11.8021754256179 57.5743542378591,11.7930879630925 57.5740758939393,11.7840738003736 57.5747547241519,11.7754786717147 57.5763646992818,11.7676323377689 57.5788440709574,11.760835995946 57.5820977260776,11.7553507562422 57.5860008164794,11.7513876176895 57.5904035282188,11.7490993289337 57.595136811512,11.7485744503402 57.6000188552928,11.7498338560573 57.6048620609152,11.7528298247989 57.6094802490306,11.7574477705682 57.6136958230767,11.7635105625578 57.6173466127798,11.7707852810196 57.6202921318655,11.7789921573638 57.622419005599,11.7878153566571 57.6236453551908,11.7969151834455 57.6239239663736,11.8059412313946 57.6232441170092,11.8145459568295 57.6216319914698,11.8223981380744 57.6191496655078,11.8291956875228 57.6158927019884,11.8346773113319 57.6119864527483,11.8386325609594 57.6075812126356,11.8409098887779 57.6028464163557,11.8414224031233 57.5979641053125)))', 'SEDON', 'Donsö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6516395066578 56.1178571153521,12.6510783127999 56.1129754955283,12.6488237146413 56.1082488167493,12.6449629165745 56.1038586386992,12.6396446864701 56.0999735357582,12.6330735780206 56.0967426397601,12.6255020431226 56.0942899348729,12.6172207414112 56.0927095199072,12.6085474176024 56.0920620160334,12.5998147668926 56.0923722543407,12.5913577431909 56.0936283295033,12.5835007837588 56.0957820547252,12.5765454265629 56.098750800866,12.570758783272 56.1024206509874,12.566363301616 56.1066507522451,12.5635282063467 56.1112787018056,12.5623629492488 56.1161267639058,12.5629129269551 56.1210086827896,12.5651576426272 56.1257368323563,12.5690113963903 56.1301294290082,12.5743264928057 56.1340175301552,12.5808988552592 56.1372515475143,12.5884758409458 56.1397070217184,12.5967659603991 56.1412894323531,12.6054501264809 56.1419378544248,12.6141939933548 56.141627317057,12.6226608995497 56.1403697711046,12.6305249032826 56.1382136272786,12.6374833941566 56.1352418829305,12.6432687834311 56.1315689114486,12.6476588142916 56.1273360408761,12.6504850918221 56.122706095649,12.6516395066578 56.1178571153521)))', 'SEDOS', 'Domsten', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2717489459906 58.5891648067098,11.2705162893871 58.5843173726287,11.2674969190354 58.579688592009,11.2628074593671 58.5754562226809,11.2566284910294 58.5717827398328,11.2491975556541 58.5688091184247,11.2408000142205 58.566649445237,11.2317581122224 58.5653865631089,11.2224186670352 58.5650689104372,11.2131398398507 58.5657086738945,11.2042774853879 58.5672813232169,11.1961715867507 58.5697265454673,11.1891332800588 58.572950544146,11.1834329538444 58.5768296176178,11.1792898719922 58.5812148832934,11.1768637168483 58.5859379705044,11.1762483820665 58.5908174676426,11.1774682643889 58.5956658793496,11.1804772120033 58.6002968285953,11.1851601872446 58.6045322273965,11.1913375966627 58.6082091393556,11.1987721359608 58.6111860674616,11.2071778954982 58.6133484215192,11.2162313786502 58.6146129505502,11.2255840049139 58.6149309654313,11.2348756063944 58.6142902243466,11.2437483835986 58.6127154063953,11.2518607666539 58.6102671546691,11.2589006322486 58.6070397268786,11.2645973545255 58.6031573467104,11.2687322182696 58.598769400168,11.2711467922685 58.5940446660567,11.2717489459906 58.5891648067098)))', 'SEDYO', 'Dyngö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6688516937588 57.9260241032839,11.6675906386538 57.9211803145739,11.6645784269528 57.9165604355417,11.6599313758605 57.9123418825443,11.6538284113681 57.9086866026431,11.646504140384 57.9057348758817,11.6382398239808 57.9035999533381,11.6293526002369 57.9023637326134,11.6201833659974 57.9020736327574,11.6110837727381 57.902740785366,11.602402821678 57.9043396093429,11.5944735568013 57.9068087852854,11.5876003512817 57.9100535933601,11.5820472629751 57.9139495276384,11.578027898497 57.9183470518842,11.575697173569 57.9230773184125,11.575145290888 57.9279586344626,11.5763941773274 57.9328034309923,11.5793965319885 57.9374254681673,11.5840375383107 57.9416470010737,11.5901391905663 57.9453056289865,11.5974670816261 57.9482605621576,11.605739399297 57.9503980613621,11.6146377873807 57.9516358367249,11.6238196493609 57.9519262325161,11.6329314112991 57.9512580720863,11.6416222194027 57.9496570899636,11.6495575290408 57.9471849341097,11.6564320467818 57.9439367780229,11.6619815149992 57.9400376373363,11.6659928782062 57.9356375364325,11.6683124388029 57.9309057152686,11.6688516937588 57.9260241032839)))', 'SEDYR', 'Dyrön', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2799183085541 58.7131607149414,11.2786797227573 58.7083134821921,11.2756481504711 58.7036850537122,11.2709406899075 58.699453173163,11.2647386163979 58.6957802960865,11.2572803600251 58.692807373206,11.2488523297651 58.6906484635509,11.2397779386762 58.6893863798999,11.2304052470206 58.6890695295433,11.2210936872942 58.689710068261,11.2122003660424 58.6912834363058,11.2040664515317 58.6937292937536,11.1970041535759 58.6969538205546,11.1912847821182 58.7008332957352,11.1871283348504 58.705218822177,11.1846950118336 58.7099420199123,11.1840789878312 58.7148214735109,11.1853046924272 58.7196696893505,11.1883257561556 58.7243002976198,11.1930266806363 58.7285352228051,11.1992271855991 58.7322115458467,11.2066890797621 58.7351877914043,11.2151254003317 58.7373493946009,11.2242114721264 58.7386131325898,11.2335974566001 58.7389303462222,11.2429218975425 58.7382888244126,11.2518257273563 58.7367132765753,11.2599661779408 58.7342643744887,11.2670300444264 58.7310364017219,11.2727457780789 58.7271536038658,11.2768939350327 58.7227653838855,11.2793155773529 58.7180405318149,11.2799183085541 58.7131607149414)))', 'SEEDK', 'Edsvik', 'Y'),('SRID=4326;MULTIPOLYGON(((11.515094575341 58.1070790433017,11.513847237876 58.1022337485867,11.5108388842845 58.0976103134612,11.5061856928096 58.0933862910548,11.5000668330765 58.0897238380235,11.4927175276997 58.086763508864,11.4844200011332 58.0846188836015,11.4754926652926 58.083372230887,11.4662779527313 58.0830713689397,11.4571292543651 58.083727841566,11.4483974489931 58.0853164772893,11.4404175256071 58.0877763481158,11.4334957964802 58.0910130923878,11.4278981793086 58.0949025152663,11.4238399905624 58.0992953323812,11.4214776403346 58.1040228787626,11.4209025524265 58.1089035679151,11.4221375537495 58.1137498562644,11.4251358865327 58.1183754474583,11.4297828981094 58.122602460126,11.4359003596897 58.1262682823717,11.4432532615186 58.1292318467667,11.4515588316179 58.13137908075,11.4604974335177 58.1326273185159,11.4697249195076 58.1329285005351,11.4788859540296 58.1322710342728,11.4876277802136 58.1306802424782,11.4956138834892 58.1282173813881,11.5025370107531 58.124977267901,11.5081310314588 58.1210846097886,11.5121811766685 58.1166891839557,11.5145322608456 58.1119600525253,11.515094575341 58.1070790433017)))', 'SEEDL', 'Edshultshall', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0718316905857 58.6452386203981,17.0706245461193 58.6403891675588,17.0676265187449 58.6357556116024,17.062953418251 58.6315158948764,17.0567852026721 58.627832775343,17.0493590060633 58.6248475980636,17.0409600116693 58.6226748930598,17.0319105232596 58.6213980026473,17.022557649887 58.6210659019419,17.0132600665944 58.6216913311966,17.0043743447094 58.6232503095657,16.9962413597973 58.6256830484732,16.9891732828344 58.6288962307247,16.9834416407538 58.6327665705802,16.9792668964975 58.6371455219187,16.9768099467143 58.6418649580558,16.97616586832 58.6467436093055,16.9773601648319 58.6515940144699,16.9803476718672 58.656229721354,16.9850141812627 58.6604724601518,16.9911807384205 58.6641590128186,16.9986104617692 58.6671475116296,17.0070176311528 58.6693229208899,17.0160786982349 58.6706014865845,17.0254447912128 58.6709339785507,17.0347552224749 58.6703075969694,17.0436514647034 58.6687464676696,17.0517910407053 58.6663107066877,17.0588607760723 58.6630940913021,17.0645888913981 58.6592204299166,17.0687554606602 58.6548387743246,17.0712008317798 58.6501176629079,17.0718316905857 58.6452386203981)))', 'SEEGP', 'Egelprång', 'Y'),('SRID=4326;MULTIPOLYGON(((16.227129372427 56.5105624297165,16.2261050885035 56.5057030212817,16.2233865833812 56.5010474331239,16.2190788583141 56.496774468806,16.2133477979719 56.4930481806593,16.2064137438924 56.4900115889887,16.1985430118555 56.4877812130801,16.1900376813771 56.4864426200505,16.1812240460387 56.4860471585626,16.1724401595195 56.4866099995938,16.1640229429997 56.4881095574271,16.1562953344603 56.490488312508,16.1495539590378 56.4936550055555,16.1440577820221 56.4974881210786,16.140018172624 56.5018405299881,16.1375907579275 56.5065451170101,16.136869383537 56.5114211806928,16.1378824218591 56.5162813634334,16.1405915828111 56.5209388473869,16.1448932877036 56.5252145403733,16.150622568385 56.5289439746467,16.1575593542575 56.5319836509332,16.1654369136533 56.5342165803417,16.1739521276536 56.5355568070076,16.182777197999 56.5359527335613,16.1915723301316 56.5353891182232,16.1999988908258 56.5338876645918,16.2077325195337 56.5315061808402,16.2144756746043 56.5283363416651,16.219969119815 56.5245001415274,16.2240019018501 56.5201451791203,16.2264194330308 56.5154389584643,16.227129372427 56.5105624297165)))', 'SEEKA', 'Ekenäs', 'Y'),('SRID=4326;MULTIPOLYGON(((15.02870974522 56.1449977010203,15.0278471396931 56.1401285226007,15.0253001451599 56.1354468182712,15.0211671752558 56.1311324040604,15.0156074140793 56.1273509321555,15.0088346448241 56.1242475475694,15.0011090154443 56.1219413368876,14.9927270605771 56.1205207783867,14.9840103602039 56.1200403643519,14.9752932626293 56.120518521991,14.9669101312798 56.1219369105726,14.9591825909438 56.1242411210007,14.9524072490893 56.1273427517335,14.9468443518188 56.131122783538,14.942707802128 56.13543612679,14.9401569210762 56.1401171705919,14.939290271248 56.1449861244986,14.9401417879948 56.1498559125857,14.9426793794045 56.1545393572488,14.9468060633809 56.15885637751,14.9523636128021 56.1626409244349,14.9591385811966 56.1657473848669,14.966870485814 56.1680562039507,14.97526183667 56.1694785063035,14.983989623328 56.1699595341542,14.9927178096946 56.1694807668467,15.0011103441725 56.1680606379291,15.0088441704314 56.1657538214485,15.0156217240293 56.1626491156948,15.0211824221486 56.1588660080453,15.0253126965969 56.1545500563935,15.0278541816648 56.1498672687419,15.02870974522 56.1449977010203)))', 'SEEKK', 'Ekö, Karlshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((15.7716848829073 56.1267289775224,15.7707289169862 56.1218653882379,15.7680931444732 56.1171993793246,15.7638793804574 56.1129101591153,15.7582498992824 56.1091624086708,15.75142114665 56.1060999762121,15.743655405518 56.1038403758356,15.7352507384659 56.1024702978672,15.7265295896886 56.1020422993933,15.7178264760676 56.1025727988238,15.7094752278511 56.1040414493913,15.7017962547437 56.1063919149916,15.6950843123795 56.1095340194683,15.6895972272308 56.1133471891161,15.6855460053057 56.1176850595785,15.6830867021505 56.1223810741436,15.6823143697335 56.1272548623091,15.6832593212712 56.1321191568621,15.6858858700169 56.1367869858677,15.6900936051154 56.141078863901,15.6957211700723 56.1448297052719,15.7025524109154 56.1478951911944,15.7103246658816 56.1501573427094,15.7187388807204 56.1515290811029,15.7274711576715 56.1519575965033,15.7361852856874 56.1514263918033,15.7445457576755 56.1499559211413,15.7522307596948 56.1476027977148,15.7589446182649 56.1444576023108,15.7644292151915 56.1406413792004,15.768473923278 56.1363009576017,15.7709236786521 56.1316032826137,15.7716848829073 56.1267289775224)))', 'SEEKN', 'Ekenäs, Senoren', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8337447149713 57.8233327698279,16.8325995907891 57.8184801833617,16.8297029116802 57.8138399892434,16.8251665642954 57.8095903901613,16.8191652364768 57.8058945301433,16.8119296498 57.802894250248,16.8037376790141 57.8007046663946,16.7949037017149 57.7994097733453,16.7857665831993 57.7990592395619,16.7766767481755 57.7996665126694,16.767982821894 57.8012083061885,16.7600183377633 57.8036254867295,16.7530890063584 57.806825328718,16.7474610219507 57.8106850526841,16.7433508475895 57.8150565149423,16.740916868986 57.8197718727845,16.740253242045 57.8246500117124,16.7413861804015 57.8295034912005,16.7442728398886 57.8341457442697,16.7488028592512 57.8383982547759,16.7548025140328 57.8420974354538,16.7620413373659 57.8451009397045,16.7702409617527 57.8472931607298,16.779085844407 57.8485897022812,16.7882354597887 57.8489406449269,16.7973374806519 57.8483324787962,16.8060414265595 57.8467886263234,16.8140122387047 57.8443685343557,16.8209432431314 57.8411653717066,16.8265679908691 57.8373024233865,16.8306705116252 57.8329283239592,16.8330935848813 57.8282113176174,16.8337447149713 57.8233327698279)))', 'SEEKO', 'Ekö, Västervik', 'Y'),('SRID=4326;MULTIPOLYGON(((19.2969401873759 57.9726373603361,19.2962691534163 57.9677594845733,19.2938206272987 57.9630448674246,19.2896893296146 57.9586745941089,19.2840344613525 57.9548164605882,19.277073519566 57.9516185482919,19.2690739113927 57.9492035614894,19.2603426928172 57.947664140658,19.251214824165 57.9470593275842,19.2420403852176 57.9474123142225,19.2331712280051 57.9487095591315,19.2249475641303 57.9509013042795,19.2176849855968 57.9539034728996,19.2116624035334 57.9576008776255,19.2071113581788 57.9618516190815,19.2042071065793 57.9664925101354,19.2030618325954 57.9713453217427,19.2037202484248 57.976223614217,19.206157769883 57.9809398941553,19.2102813517362 57.9853128231945,19.2159329676623 57.9891742010633,19.2228956157494 57.9923754524101,19.2309016290944 57.9947933646252,19.2396429765852 57.9963348518631,19.2487831558596 57.9969405577451,19.2579702129526 57.9965871543944,19.2668503748323 57.9952882466934,19.2750817545336 57.9930938458192,19.2823475853891 57.9900884328495,19.2883684611365 57.9863876890739,19.2929131013116 57.9821340222079,19.2958072240003 57.9774910647502,19.2969401873759 57.9726373603361)))', 'SEEKV', 'Ekeviken', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5141937409521 58.1820786562208,11.512943621449 58.1772334236245,11.5099287861421 58.1726100639187,11.5052656652441 58.1683861269933,11.4991338117506 58.164723765733,11.4917689480445 58.1617635305501,11.4834538954773 58.1596189973142,11.474507737206 58.1583724306915,11.4652736259188 58.1580716453086,11.4561056943721 58.1587281819525,11.4473555569544 58.1603168668281,11.4393589042637 58.1627767703916,11.4324226896712 58.1660135302123,11.4268133871003 58.1699029514109,11.4227467630707 58.174295750227,11.4203795541031 58.1790232628439,11.4198033739181 58.1839039043501,11.4210410950537 58.1887501330812,11.4240458587634 58.1933756548351,11.4287027681431 58.1976025905701,11.4348332158465 58.2012683308606,11.442201693513 58.2042318108677,11.4505248296012 58.2063789607264,11.4594823103123 58.2076271174127,11.4687292592173 58.2079282242268,11.4779095891454 58.2072706914464,11.486669798164 58.20567984452,11.4946726623643 58.2032169421443,11.501610282731 58.1999768032928,11.5072159713275 58.1960841372715,11.5112745118324 58.1916887218355,11.5136303983689 58.1869596191574,11.5141937409521 58.1820786562208)))', 'SEELO', 'Ellös', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3398840737026 60.7261213927799,17.3385527727181 60.7212766354671,17.3353182135357 60.7166521216257,17.3303053841042 60.7124254339461,17.3237073493765 60.7087588137869,17.3157777676491 60.7057929549324,17.3068211277737 60.7036416290967,17.2971810845781 60.7023873448123,17.2872273351155 60.7020782018258,17.2773415275157 60.702726058078,17.2679027263701 60.7043060773839,17.2592729732492 60.7067576746827,17.2517834779204 60.7099868239237,17.2457219551253 60.7138696429744,17.241321583661 60.7182571220911,17.2387520095862 60.7229808191283,17.2381127446348 60.7278593073542,17.2394292259205 60.7327051319494,17.2426517059428 60.7373320102493,17.2476570356946 60.7415619995971,17.2542532919837 60.7452323559858,17.2621870872697 60.7482018168241,17.271153291229 60.7503560620284,17.2808067929897 60.7516121386176,17.2907758465519 60.7519216739826,17.3006764738702 60.7512727504461,17.3101273541812 60.749690366678,17.3187646069699 60.7472354677078,17.326255880715 60.7440025822364,17.3323131899319 60.7401161612038,17.336703997307 60.7357257627223,17.3392601128285 60.7310002733834,17.3398840737026 60.7261213927799)))', 'SEENG', 'Engesberg', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5150050935593 58.7820726570383,17.5137311225376 58.7772280043943,17.5106622084035 58.7726054394495,17.5059168832453 58.7683824787185,17.4996778737017 58.764721233573,17.4921850234025 58.7617622069782,17.4837260636841 58.7596189239386,17.4746255890335 58.7583735974626,17.4652326558968 58.7580739922587,17.4559074703648 58.7587316031973,17.4470076609083 58.760321216417,17.4388746462514 58.7627818695141,17.4318206054043 58.7660191752401,17.4261165368583 58.7699089222892,17.4219818572846 58.7743018188059,17.4195759374119 58.7790292008476,17.4189919051368 58.7839094907986,17.4202529649245 58.7887551610823,17.4233113903602 58.7933799377453,17.4280502461642 58.7976059675595,17.4342877906002 58.8012706719138,17.4417844030915 58.80423302121,17.4502517795453 58.8063789845919,17.459364044104 58.8076259409928,17.4687703454125 58.8079258775622,17.4781084421934 58.8072672489823,17.4870187403523 58.8056754240413,17.4951582243541 58.8032117018583,17.5022137302915 58.7999709369228,17.5079140366303 58.796077867174,17.5120402994646 58.7916822903181,17.5144344294387 58.7869532783541,17.5150050935593 58.7820726570383)))', 'SEERB', 'Eriksberg', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5832648067703 60.3329234108551,18.5826586630313 60.3280440147009,18.5801448252192 60.3233169770129,18.5758206445026 60.3189238559198,18.5698528281109 60.3150333140223,18.562470952324 60.3117946615516,18.5539586043265 60.3093321490506,18.544642498655 60.3077402242586,18.5348799842019 60.307079930662,18.5250454123656 60.3073765818544,18.5155158749178 60.3086187980244,18.5066568409122 60.3107589401931,18.4988082251811 60.3137149259825,18.4922714066446 60.3173733593932,18.4872976830001 60.3215938580392,18.4840785998701 60.3262144161655,18.482738528027 60.3310576021784,18.4833297832338 60.3359373568211,18.4858304914616 60.3406661338682,18.4901453003994 60.3450621103904,18.4961089295875 60.3489561890742,18.5034924402136 60.3521985212454,18.5120119962082 60.3546642961597,18.5213397856852 60.3562585694044,18.5311166809975 60.3569199399617,18.5409661413873 60.35662293028,18.5505088084309 60.3553789747478,18.5593772142103 60.3532359771465,18.5672300171266 60.3502764545688,18.5737652008028 60.3466143414585,18.5787317164385 60.3423905804022,18.581939115768 60.3377676738267,18.5832648067703 60.3329234108551)))', 'SEERD', 'Eriksdal', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3570103566563 60.8061142376237,17.355672874925 60.8012697363411,17.3524275266636 60.7966457444944,17.3473997180738 60.7924198241683,17.3407830917446 60.788754186552,17.3328320204924 60.7857894869586,17.3238518171084 60.7836394519163,17.3141870384044 60.78238653989,17.3042083273383 60.7820787976707,17.2942982862235 60.7827280294247,17.2848369062144 60.784309346431,17.276187092932 60.7867621143013,17.2686808250305 60.7899922626796,17.2626064617331 60.7938758717495,17.2581976771605 60.7982639020452,17.2556244442205 60.8029878907057,17.2549864199247 60.8078664000157,17.2563089988015 60.8127119742914,17.259542203764 60.817338340165,17.2645624773164 60.8215675741281,17.2711773240135 60.8252369605212,17.2791326419765 60.8282052733141,17.2881224718954 60.8303582359013,17.2978007914069 60.8316129441249,17.3077948960853 60.8319210777384,17.3177198400743 60.8312707729892,17.3271933633879 60.8296870819525,17.3358507116957 60.8272310004419,17.3433587592068 60.8239971032859,17.3494288757736 60.8201098810185,17.3538280338057 60.8157189231815,17.3563877259503 60.810993138327,17.3570103566563 60.8061142376237)))', 'SEESK', 'Eskön', 'Y'),('SRID=4326;MULTIPOLYGON(((15.6846567762908 56.1017605164793,15.6837124229418 56.0968962072983,15.6810888911501 56.0922282945556,15.676887525912 56.0879360603778,15.6712701262249 56.0841843021422,15.6644526752846 56.081117022364,15.6566970238867 56.0788519214412,15.6483008490725 56.077475900845,15.639586270604 56.0770417455734,15.6308875542122 56.0775661100253,15.6225383617246 56.0790288825244,15.6148590235424 56.081373952227,15.6081443082063 56.0845113498461,15.6026521469794 56.0883206822792,15.5985937387863 56.0926557326083,15.5961254131292 56.0973500527336,15.5953425667794 56.1022233377287,15.5962759156465 56.1070883403309,15.5988902182978 56.1117580620694,15.6030855347891 56.1160529454149,15.608700986991 56.119807789679,15.6155208881974 56.1228781225265,15.6232830145841 56.1251457787572,15.6316887033527 56.1265234678771,15.6404143863265 56.1269581508699,15.6491241072118 56.1264330929958,15.6574825288441 56.1249685114986,15.6651679157677 56.122620792626,15.671884578577 56.1194803089777,15.6773742895265 56.1156679234763,15.6814262227263 56.1113303178415,15.6838850344344 56.1066343291948,15.6846567762908 56.1017605164793)))', 'SEESO', 'Ekenabben, Sturkö', 'Y'),('SRID=4326;MULTIPOLYGON(((19.1758640586663 57.9166816163065,19.175210353772 57.9118031635398,19.1727814066024 57.9070862909884,19.1686711845804 57.9027121715817,19.1630380796068 57.8988487499943,19.1560987546928 57.8956443115172,19.1481197896782 57.8932218114984,19.1394074512655 57.8916741790199,19.1302959782356 57.891060770927,19.1211348236827 57.891405108657,19.1122753313766 57.892693982138,19.1040573422773 57.8948779540126,19.0967962294889 57.8978732453269,19.0907708455193 57.901564932359,19.0862128348653 57.9058113351768,19.0832977182211 57.9104494335003,19.0821380929649 57.9153011061162,19.082779219402 57.9201799579277,19.0851971755011 57.9248984750412,19.0892996671286 57.9292752341581,19.0949294792671 57.9331418887326,19.1018704502126 57.9363496612809,19.1098557495353 57.9387750888728,19.1185781461934 57.9403247967292,19.1277018701284 57.9409391120468,19.1368756031538 57.9405943752713,19.1457460865382 57.9393038572257,19.1539718060278 57.9371172456381,19.1612362116376 57.9341187213353,19.1672599495604 57.9304237002328,19.1718116258984 57.9261743698444,19.1747166843015 57.9215341961457,19.1758640586663 57.9166816163065)))', 'SEFA2', 'Fårö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5455863482552 56.9179037993752,12.5450298769505 56.9130222955918,12.5427434536672 56.9082939436245,12.5388155365885 56.9039003654295,12.5333974958929 56.9000102622053,12.5266977326141 56.8967729528621,12.5189736414121 56.894312662487,12.5105217303792 56.8927237762356,12.5016662757932 56.892067236828,12.4927469402883 56.8923682203574,12.4841058181498 56.8936151770352,12.4760743906839 56.895760272491,12.4689608775397 56.8987212130512,12.4630384564328 56.9023843868126,12.4585347941913 56.9066092030428,12.4556232869752 56.9112334671817,12.454416347856 56.916079589111,12.454961007068 56.9209613898802,12.4572370060814 56.9256912480599,12.461157473712 56.9300873123869,12.4665721738929 56.9339805031725,12.4732732141562 56.9372210314534,12.4810030054353 56.9396841820883,12.4894641718546 56.9412751344725,12.498331028087 56.9419326313354,12.5072621756983 56.9416313508196,12.515913722114 56.9403828879273,12.5239525990248 56.9382353063368,12.5310694526719 56.9352712782139,12.5369905967807 56.9316048855154,12.5414885589376 56.9273772090276,12.5443908107704 56.9227508787584,12.5455863482552 56.9179037993752)))', 'SEFAG', 'Falkenberg', 'Y'),('SRID=4326;MULTIPOLYGON(((18.390615294664 62.9090211668319,18.3899982557881 62.9041424742887,18.3873068769537 62.8994123954581,18.3826454918853 62.8950125951166,18.3761938831079 62.8911119748266,18.3682002747997 62.8878602096126,18.3589717495945 62.8853820300471,18.3488624641738 62.883772464314,18.3382601138932 62.8830932177319,18.3275711552302 62.88337032412,18.3172053355511 62.8845931558378,18.3075601020727 62.8867148289559,18.2990054656827 62.8896539884762,18.2918698804795 62.8932979074871,18.2864276666606 62.8975067852792,18.282888453154 62.9021190843803,18.2813890479238 62.9069577067869,18.2819880594376 62.9118367768481,18.2846634942887 62.9165687736387,18.2893134460758 62.9209717403911,18.2957598728888 62.9248762934866,18.3037553394624 62.9281321591671,18.3129924802652 62.9306139826011,18.3231158269729 62.932226180858,18.3337355435247 62.9329066478402,18.3444425295803 62.9326291639332,18.3548242932597 62.9314044142514,18.3644809600127 62.9292795747177,18.3730407783409 62.9263364823895,18.3801745052481 62.922688462913,18.3856081034525 62.9184759412562,18.3891332556788 62.913861009636,18.390615294664 62.9090211668319)))', 'SEFAH', 'Fällvikshamnen', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6175780189384 56.0321462184762,14.616769703287 56.0272742045142,14.6142799478094 56.0225840680035,14.6102049677979 56.0182559520104,14.6047017240042 56.0144560376312,14.5979818359239 56.011330179976,14.5903034293576 56.0089983294202,14.5819612345189 56.0075499485048,14.5732753124715 56.0070405965905,14.5645788351089 56.0074898100878,14.5562053761944 56.008880357404,14.5484761875275 56.0111588963755,14.5416879347889 56.0142380096395,14.5361013520348 56.0179995419261,14.5319312424475 56.0222991143651,14.5293382064349 56.0269716463177,14.5284224175003 56.0318376765649,14.5292196929584 56.0367102444024,14.5317000225658 56.0414020685763,14.5357686260324 56.0457327490895,14.5412695133785 56.0495357144213,14.5479914238589 56.0526646449819,14.5556759237833 56.0549991225736,14.5640273552809 56.0564492847127,14.5727242510894 56.0569593008627,14.581431768657 56.0565095334891,14.5898146534469 56.0551172985075,14.5975502186543 56.0528361950135,14.6043408278289 56.0497540307959,14.6099253881711 56.0459894256049,14.6140894043951 56.0416872261321,14.6166732037533 56.0370129129581,14.6175780189384 56.0321462184762)))', 'SEFAL', 'Falkahagen', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9742217398583 58.190278262561,16.9730447213824 58.1854274046958,16.9700990702814 58.1807909701503,16.9654985670512 58.1765470146089,16.9594203707486 58.1728584623112,16.9520981557028 58.1698668706317,16.9438131176808 58.1676870192449,16.9348831971655 58.1664025273873,16.9256509293619 58.1660626633745,16.916470377475 58.1666804655073,16.9076936367522 58.1682322444268,16.8996574112061 58.1706584855261,16.892670162588 58.1738661179436,16.8870003120777 58.1777320656815,16.882865939613 58.1821079482468,16.8804263744298 58.1868257545845,16.879776004273 58.1917042765468,16.880940551418 58.1965560581861,16.8838759732673 58.2011945960266,16.8884700466348 58.205441514177,16.8945465913538 58.2091334373681,16.9018721845372 58.2121282950374,16.9101651161302 58.2143108102929,16.9191062439263 58.2155969583473,16.9283513265118 58.2159372187439,16.9375443497438 58.2153184928356,16.9463313197227 58.2137646106182,16.9543739751234 58.2113354069074,16.9613628753092 58.2081244035957,16.9670293476676 58.2042551898695,16.971155826557 58.1998766434384,16.9735841844675 58.1951571809063,16.9742217398583 58.190278262561)))', 'SEFAO', 'Fångö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4992684819905 59.6494460163977,16.4981049045156 59.6445918276192,16.4950935791088 59.6399457644322,16.4903508792723 59.6356862487642,16.4840594786289 59.6319767949281,16.4764612681387 59.6289597527291,16.4678480429974 59.6267508678199,16.458550319661 59.6254348636737,16.4489247080566 59.6250622104111,16.4393403130444 59.6256472009165,16.4301646716918 59.6271674058128,16.4217497483527 59.6295645275981,16.4144185076971 59.6327466223025,16.4084525666991 59.6365916061106,16.404081390475 59.6409519162384,16.4014734443319 59.6456601516068,16.4007296464734 59.6505354811149,16.4018793840117 59.6553905770329,16.4048792614069 59.6600388094991,16.4096146480115 59.6643014263336,16.415903983578 59.6680144410995,16.4235056915397 59.6710349618727,16.4321274442464 59.6732467134186,16.4414374269986 59.674564535844,16.4510771634825 59.6749376822111,16.4606753984488 59.6743517845645,16.4698624878188 59.6728294103858,16.4782847243804 59.6704291874311,16.485618030094 59.6672435317959,16.491580473603 59.6633950694152,16.495943122256 59.6590318926539,16.4985388089925 59.6543218390093,16.4992684819905 59.6494460163977)))', 'SEFAR', 'Färjestaden', 'Y'),('SRID=4326;MULTIPOLYGON(((17.9866606825014 60.6008773733915,17.9852382777762 60.5960397641014,17.9819247364496 60.5914314930348,17.9768480630996 60.5872295150644,17.9702037549705 60.5835951202826,17.9622472280618 60.5806677645699,17.9532839899117 60.5785597425931,17.9436579384147 60.5773519030588,17.9337382303183 60.5770905662394,17.9239052112312 60.577785758522,17.9145359302027 60.5794108296215,17.905989775713 60.5819034667877,17.8985947660393 60.5851680685335,17.8926350054716 60.5890793898264,17.888339779015 60.5934873230056,17.8858747026636 60.598222635576,17.885335275066 60.6031034490506,17.8867430910266 60.6079422136272,17.8900448800121 60.6125529129371,17.8951144266311 60.6167582224306,17.901757318622 60.6203963448216,17.9097183555845 60.623327256735,17.9186913433695 60.6254381221045,17.92833089979 60.6266476593417,17.9382658120935 60.6269092897137,17.9481134199639 60.6262129421427,17.9574944533378 60.6245854427962,17.9660477345461 60.6220894741039,17.9734441603358 60.6188211447481,17.9793994108311 60.6149062672565,17.9836848876484 60.6104954906883,17.9861364590888 60.6057584804181,17.9866606825014 60.6008773733915)))', 'SEFAT', 'Fågelsundet', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4456842908585 57.0009411159967,18.4451399818469 56.996059331887,18.4428614865445 56.9913292778314,18.4389369628216 56.9869326415795,18.4335176546037 56.9830382418661,18.4268120149525 56.9797955623629,18.4190776663352 56.9773290338645,18.4106115113757 56.9757332803763,18.4017383723959 56.9750695075652,18.3927985888063 56.9753631686079,18.3841350368215 56.9766029944244,18.3760800553693 56.9787414242945,18.3689427651139 56.9816964206788,18.3629972541847 56.985354600453,18.358472074741 56.9895755654636,18.3555414494738 56.9941972700284,18.3543185274798 56.9990422233507,18.3548509560273 57.003924292284,18.3571189504895 57.0086558457871,18.3610359516522 57.0130549678337,18.3664518608319 57.0169524612497,18.3731587424425 57.0201983713757,18.3808987849428 57.0226677755838,18.3893742188682 57.0242656120675,18.3982588092578 57.0249303580421,18.4072104733253 57.0246364121752,18.415884526158 57.023395086909,18.4239470301674 57.0212541712417,18.4310877194489 57.0182960811534,18.4370319884048 57.0146346707569,18.4415514739581 57.0104108300388,18.4444728202624 57.0057870424812,18.4456842908585 57.0009411159967)))', 'SEFAU', 'Faludden', 'Y'),('SRID=4326;MULTIPOLYGON(((17.7935785879845 60.5429510850865,17.7921877611001 60.5381111899595,17.7889077212671 60.5334978894632,17.7838651865971 60.529288333333,17.7772543459187 60.5256441040997,17.7693293346103 60.5227050362358,17.7603944557586 60.5205838745047,17.7507925242486 60.5193619719176,17.740891775845 60.5190861879773,17.7310718316944 60.5197671026883,17.7217092401156 60.5213786127347,17.71316313157 60.523858924926,17.7057615190857 60.5271129102004,17.6997887552008 60.5310157308456,17.695474617959 60.5354176058649,17.6929854432479 60.540149536219,17.6924176498397 60.5450297746008,17.6937939184409 60.5498707948869,17.6970621891086 60.554486495738,17.7020975354787 60.5586993619873,17.7087068630788 60.562347307169,17.7166362668876 60.5652899310913,17.7255807751043 60.5674139476127,17.7351961068612 60.5686375691053,17.7451119863248 60.5689136743778,17.7549464887773 60.5682316345057,17.7643208495261 60.5666177241009,17.7728741463594 60.5641341017874,17.7802772719002 60.5608764005638,17.7862456432659 60.5569700238622,17.7905501511381 60.5525652940563,17.7930259256144 60.5478316447997,17.7935785879845 60.5429510850865)))', 'SEFAV', 'Fagerviken', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5102762102655 58.2440795117036,11.5090242129902 58.2392342960066,11.5060044062038 58.2346109203787,11.5013334136187 58.2303869350585,11.4951910922953 58.226724494399,11.4878135673256 58.2237641514037,11.4794841458734 58.2216194856268,11.4705224614572 58.2203727664403,11.4612722608036 58.220071814076,11.4520882919535 58.220728175649,11.4433227826397 58.2223166841852,11.4353120117423 58.2247764171792,11.4283634736178 58.2280130191453,11.4227441153272 58.2319023017302,11.4186700905664 58.2362949869595,11.4162984220816 58.2410224157707,11.4157208975926 58.2459030067325,11.4169604443262 58.2507492202135,11.4199701363518 58.255374762505,11.4246348898368 58.2596017535141,11.4307757975691 58.2632675812994,11.4381569496668 58.2662311771986,11.4464944867715 58.2683784664319,11.4554675398313 58.2696267802291,11.4647306313445 58.2699280555929,11.4739270507503 58.2692706962345,11.4827026748287 58.2676800210319,11.4907196848175 58.2652172823465,11.4976696365168 58.2619772932538,11.5032853676655 58.2580847577666,11.50735127677 58.2536894490838,11.50971157662 58.2489604256643,11.5102762102655 58.2440795117036)))', 'SEFBK', 'Fiskebäckskil', 'Y'),('SRID=4326;MULTIPOLYGON(((19.2133919499913 59.7396810368974,19.2127025873004 59.7348038900123,19.2101422890018 59.7300883173573,19.2058101522285 59.7257154343762,19.199873153926 59.7218531266452,19.1925596589445 59.7186496227799,19.1841506125511 59.7162278281625,19.1749687605271 59.7146806326721,19.1653663085161 59.7140673680537,19.1557114853848 59.7144115469709,19.1463745120406 59.7156999677353,19.1377134968063 59.7178832178618,19.1300607808102 59.72087755767,19.1237102418758 59.7245681138534,19.1189060333328 59.7288132639989,19.1158331855382 59.7334500481013,19.1146104335951 59.7383004038142,19.1152855561699 59.7431779899607,19.117833419398 59.7478953390365,19.1221568192709 59.7522710651545,19.1280901089583 59.7561368498975,19.1354054882167 59.7593439353066,19.1438217249192 59.7617688707418,19.1530149786272 59.7633182881625,19.1626313078929 59.7639325175541,19.1723003711597 59.7635878993746,19.1816497795844 59.7622977021865,19.1903195317136 59.7601116089197,19.1979759563074 59.7571137920979,19.2043246109455 59.7534196543715,19.2091216291695 59.7491713634112,19.2121830752855 59.7445323573818,19.2133919499913 59.7396810368974)))', 'SEFEJ', 'Fejan', 'Y'),('SRID=4326;MULTIPOLYGON(((17.519159801153 62.0980415758737,17.5177353995905 62.0931999947354,17.5143239851966 62.0885816184175,17.5090574113236 62.0843637848019,17.5021385339715 62.0807083833233,17.4938333458621 62.0777556640261,17.4844607389878 62.0756188820365,17.4743802912953 62.0743799780687,17.4639785404797 62.0740864559904,17.4536542583825 62.0747495734323,17.4438032723803 62.076343912538,17.4348033949944 62.0788083468389,17.4270000195295 62.0820483685987,17.4206929178992 62.0859396904687,17.4161247371652 62.0903329876162,17.4134716342473 62.0950596032677,17.4128364147397 62.0999380034078,17.4142444532988 62.1047807366513,17.4176425718974 62.10940163434,17.4229009413464 62.1136229747368,17.429817954698 62.1172823345323,17.4381279030136 62.1202388610642,17.4475111696075 62.1223787195892,17.4576065536889 62.1236195010172,17.4680252436293 62.1239134156537,17.4783658887536 62.1232491461041,17.4882301705573 62.1216522856235,17.4972382523525 62.1191843445377,17.5050434917908 62.11594036446,17.5113458331913 62.1120452353575,17.5159033541995 62.107648861679,17.5185415207433 62.1029203685709,17.519159801153 62.0980415758737)))', 'SEFGH', 'Fågelharen', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0618010858682 56.229623632571,16.0608057276605 56.2247625439068,16.0581276310351 56.2201029866044,16.0538702371431 56.2158239188873,16.0481974936005 56.2120896299185,16.0413275028083 56.2090434495568,16.0335241250752 56.206802267152,16.025086861492 56.2054520659343,16.0163394018348 56.2050446406133,16.0076172688431 56.2055956210136,15.9992550210426 56.2070838755712,15.9915734912469 56.2094523169877,15.9848675367104 56.2126100800519,15.9793947596228 56.2164359903581,15.9753656235428 56.2207831941281,15.9729353431232 56.225484775285,15.9721978621159 56.2303601479331,15.9731821597034 56.235221981938,15.9758510397449 56.239883397642,15.9801024642297 56.2441651538974,15.9857733943312 56.2479025522361,15.9926460037312 56.2509517894262,16.000456033464 56.2531955107431,16.008902969733 56.2545473464298,16.0176616501824 56.2549552529431,16.0263948438059 56.2544035272011,16.0347663081944 56.2529134142396,16.0424538073916 56.2505422842825,16.0491615753569 56.2473814118476,16.0546317338252 56.2435524447142,16.0586542179014 56.2392027020344,16.0610748256409 56.2344994864107,16.0618010858682 56.229623632571)))', 'SEFGL', 'Fågelmara', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5418244183429 56.2798985037351,12.5412754273041 56.2750166095287,12.5390254560294 56.2702880787556,12.5351615381453 56.2658945424486,12.5298325675229 56.2620047036905,12.5232435148528 56.2587678754799,12.5156475233603 56.2563082687759,12.5073361915094 56.254720246271,12.4986284144243 56.2540647201721,12.489858205632 56.2543668287754,12.4813619554948 56.2556149784912,12.4734656016926 56.2577612869122,12.4664721899823 56.2607234102704,12.4606502901798 56.2643876869636,12.4562237031328 56.2686134795098,12.4533628499535 56.2732385520091,12.4521781759063 56.2780852805823,12.4527158294957 56.2829674618072,12.4549557943912 56.2876974601896,12.4588125603455 56.2920934212669,12.4641383223045 56.2959862728074,12.4707285980699 56.2992262431442,12.478330058214 56.3016886429577,12.4866502717217 56.3032786843294,12.4953689913163 56.3039351476976,12.5041505375707 56.3036327520753,12.5126567940939 56.3023831347481,12.520560299823 56.3002344015544,12.5275569201857 56.2972692654124,12.5333775968803 56.2936018465936,12.5377987152687 56.28937326094,12.5406506867942 56.2847461695763,12.5418244183429 56.2798985037351)))', 'SEFGV', 'Fågelviken', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0995859791691 65.7541794248015,23.098027089048 65.7493362636093,23.0942013159606 65.7447111320671,23.0882567048159 65.7404816063833,23.080422342683 65.7368099927187,23.070999458485 65.7338371251919,23.0603498233145 65.7316769938226,23.0488819005547 65.730412402771,23.0370352699297 65.7300918198496,23.0252639056726 65.7307275336022,23.0140189255525 65.7322951858022,23.0037314442344 65.7347346966226,22.9947961612555 65.7379525485699,22.9875562907755 65.7418253451699,22.9822903973477 65.7462045129614,22.9792016396301 65.750921972168,22.9784098429854 65.7557965640423,22.9799467236838 65.7606409927381,22.9837544741115 65.7652690180066,22.9896877931436 65.7695026230971,22.997519312838 65.7731788807973,23.0069482370174 65.7761562499768,23.0176118750658 65.7783200552792,23.0290996317915 65.7795869332201,23.0409689079236 65.7799080678273,23.0527622816454 65.7792710865677,23.0640252844374 65.777700540635,23.0743240578435 65.7752569504023,23.0832621832137 65.7720344544177,23.0904960136704 65.7681571561683,23.095747904208 65.7637743144501,23.0988168279843 65.75905456836,23.0995859791691 65.7541794248015)))', 'SEFHN', 'Fotholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5991715097321 57.3694219671451,16.5980727252976 57.3645667152072,16.5952425958925 57.3599205274646,16.5907904373944 57.3556618403724,16.5848876966962 57.3519541509709,16.5777613096398 57.3489397584386,16.5696849654886 57.3467343237812,16.5609686157704 57.345422452451,16.5519466265804 57.3450544654994,16.5429650199813 57.3456444799445,16.5343682810333 57.3471698699795,16.526486221636 57.3495721291675,16.5196213905253 57.3527591015927,16.5140375004402 57.3566084988295,16.5099493089888 57.3609725712871,16.5075143397227 57.3656837586774,16.5068267654337 57.3705611066338,16.5079136982608 57.3754172063424,16.5107340429456 57.3800653926988,16.5151799732445 57.3843269249777,16.5210809904529 57.3880378729853,16.5282104211176 57.3910554414503,16.5362941126165 57.3932634858595,16.5450209948554 57.3945770034492,16.554055098257 57.3949454225392,16.5630485564764 57.3943545603221,16.571655080149 57.3928271716707,16.5795433677385 57.3904220672936,16.5864099223248 57.3872318362614,16.5919907687885 57.3833792630933,16.5960716128879 57.3790125808865,16.5984960496403 57.3742997472391,16.5991715097321 57.3694219671451)))', 'SEFIG', 'Figeholm', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((11.8964788708075 57.643943365337,11.895198463856 57.6391018473944,11.8921819683396 57.6344872495107,11.8875458520919 57.6302767849954,11.8814686094877 57.6266320910383,11.8741838518891 57.6236930427482,11.8659713202182 57.6215724064801,11.857146166467 57.620351533572,11.8480469111765 57.6200772558452,11.839022529252 57.6207600988767,11.8304191460106 57.6223738797441,11.8225668385349 57.6248567043646,11.8157670339901 57.6281133274388,11.8102809765945 57.6320187871241,11.8063196987379 57.6364231786259,11.8040358799839 57.6411573876002,11.8035179114627 57.6460395671927,11.8047864040507 57.6508821131496,11.8077932889235 57.6554988709691,11.8124235613805 57.6597122985114,11.8184996167127 57.6633603074935,11.8257880243127 57.6663025181241,11.8340084875816 57.6684256826101,11.8428446470141 57.6696480647148,11.8519563065522 57.6699226028547,11.8609926028531 57.6692387318075,11.8696055967411 57.6676227910015,11.8774637479991 57.6651370033516,11.8842647398009 57.6618770652518,11.8897471471823 57.6579684432276,11.8937004934377 57.6535615235106,11.8959733065189 57.6488258053421,11.8964788708075 57.643943365337)))', 'SEFIS', 'Fiskebäck', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3154312458035 58.3551506256861,11.3142015591254 58.3503034324528,11.3111972424792 58.3456754254206,11.3065343317961 58.3414443335098,11.3003923806854 58.3377725841989,11.2930075056974 58.3348010875616,11.2846632998299 58.3326438505455,11.2756799653169 58.3313836240022,11.266402078543 58.3310687454733,11.2571854466235 58.3317112956027,11.2483835458233 58.3332866369112,11.2403340460468 58.3357343521989,11.2333459228458 58.3389605477849,11.2276876388086 58.3428414358778,11.2235768401182 58.3472280623307,11.2211719621325 58.3519520025429,11.2205660711154 58.3568318109217,11.2217831892869 58.3616799795609,11.2247772593388 58.3663101408932,11.2294338052903 58.3705442380263,11.2355742425065 58.3742193859643,11.2429626849175 58.3771941572234,11.2513149964206 58.3793540463244,11.2603097407734 58.3806158986591,11.2696006045445 58.3809311291733,11.278829804985 58.3802876036364,11.2876419523835 58.3787101080249,11.2956978168829 58.3762593875124,11.3026874539621 58.3730297932986,11.308342170562 58.3691456305854,11.3124448636127 58.3647563520505,11.3148383317674 58.3600307860495,11.3154312458035 58.3551506256861)))', 'SEFIT', 'Fisketången', 'Y'),('SRID=4326;MULTIPOLYGON(((11.329757908811 58.5971431948634,11.3285169321224 58.5922963799883,11.3254892209962 58.5876690248608,11.3207917197555 58.583438832127,11.3146053169289 58.5797681930486,11.3071678383633 58.5767979731852,11.2987648948913 58.5746421286641,11.2897189381385 58.5733833554298,11.2803769401911 58.573069934351,11.2710971597548 58.5737138899366,11.2622354882056 58.5752905312852,11.2541318830365 58.5777393924522,11.2470973933762 58.5809665373782,11.2414022625556 58.584848143637,11.2372655564026 58.5892352312407,11.2348467137186 58.5939593592675,11.2342393482615 58.598839075737,11.2354675511107 58.6036868764073,11.2384848506809 58.6083164072653,11.2431758877132 58.6125496344303,11.2493607577979 58.6162237046765,11.2568018684379 58.6191972300803,11.2652130558533 58.6213557512756,11.2742706133539 58.6226161648177,11.2836258027427 58.6229299401153,11.2929183570331 58.622284998733,11.3017904401424 58.6207061816509,11.309900509511 58.6182542860501,11.3169365318963 58.6150237099556,11.3226280306278 58.6111387981579,11.3267564928333 58.606749033883,11.3291637347785 58.602023265551,11.329757908811 58.5971431948634)))', 'SEFJA', 'Fjällbacka', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1571767545584 61.5161848836444,17.1558374364791 61.5113388759264,17.1525455382693 61.5067107318105,17.1474282957071 61.5024781704103,17.1406828166863 61.4988036534396,17.1325684375902 61.4958281713195,17.1233967405179 61.4936658583216,17.1135196174103 61.4923996386257,17.1033158339225 61.4920780657396,17.0931765961848 61.492713472787,17.0834906565619 61.494281502303,17.0746295096697 61.4967220330428,17.066933227049 61.4999414695808,17.0606974580394 61.5038163098606,17.0561620857984 61.5081978580247,17.0535019716468 61.5129179064569,17.0528201489448 61.5177951735799,17.0541437410597 61.5226422540203,17.0574227788484 61.5272728165642,17.0625319844139 61.5315087739152,17.0692754734254 61.5351871473575,17.0773942124655 61.5381663593573,17.0865759556781 61.5403317078023,17.0964672816898 61.5415998063926,17.1066872625795 61.5419218155748,17.1168422263036 61.541285335803,17.126541026354 61.5397148878549,17.1354102102298 61.5372709611609,17.1431084828351 61.5340476681503,17.1493398918787 61.5301690979928,17.1538652179731 61.5257845143856,17.1565111292335 61.5210625870626,17.1571767545584 61.5161848836444)))', 'SEFJE', 'Fjäle', 'Y'),('SRID=4326;MULTIPOLYGON(((18.565361146394 59.0379177919655,18.5647759451357 59.0330375928803,18.5623553430133 59.0283099824364,18.5581930440653 59.0239165461533,18.55244948908 59.0200259672231,18.5453456162729 59.0167875675857,18.5371543380746 59.0143255985954,18.5281900664467 59.0127344962772,18.518796687192 59.0120752789365,18.5093344367226 59.0123732215134,18.5001661716395 59.0136168931463,18.4916435416293 59.0157585935869,18.4840935793006 59.0187161721315,18.4778062066177 59.0223761613044,18.4730231267955 59.0265981083971,18.4699285234034 59.0312199427893,18.4686419259047 59.0360641773723,18.4692135242817 59.0409447098464,18.4716221267054 59.0456739654923,18.4757758559807 59.0500701083241,18.4815155759751 59.0539640431028,18.488620932319 59.0572059369914,18.4968187867307 59.0596710066673,18.5057937260819 59.0612643440536,18.5152002405046 59.0619245905756,18.5246760938731 59.0616263146091,18.5338563586646 59.0603809977715,18.5423875583434 59.0582365907791,18.5499413556476 59.0552756563843,18.5562272447757 59.051612172961,18.5610037483748 59.0473871251854,18.5640876840478 59.0427630557281,18.565361146394 59.0379177919655)))', 'SEFJG', 'Fjärdlång', 'Y'),('SRID=4326;MULTIPOLYGON(((16.713481644287 57.6163784316577,16.7123596078932 57.6115244902238,16.7094952210421 57.6068812372925,16.7049991234897 57.6026269947591,16.6990444540105 57.5989250868764,16.6918601428126 57.5959175887489,16.6837220995591 57.593719894921,16.674942637735 57.5924163124652,16.6658585375647 57.5920568437387,16.6568181963435 57.5926552790213,16.6481683459566 57.5941886701871,16.6402408319425 57.5965982050906,16.6333399464623 57.5997914501972,16.6277307889829 57.6036458779202,16.6236290936768 57.6080135468685,16.6211929121285 57.6127267594536,16.6205164749617 57.6176044836462,16.6216264780157 57.6224592955657,16.6244809498179 57.627104578308,16.6289707600877 57.6313617009578,16.6349237272341 57.6350669007913,16.6421111802169 57.6380776015346,16.6502567310676 57.6402779210738,16.6590469233384 57.6415831525949,16.6681433431902 57.6419430426851,16.6771957177647 57.6413437369156,16.6858554832048 57.6398083159362,16.693789284494 57.6373959009139,16.7006918722923 57.6341993638556,16.7062978879734 57.6303417335181,16.7103920756781 57.6259714388613,16.7128175267871 57.6212565772132,16.713481644287 57.6163784316577)))', 'SEFLA', 'Flatholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5572465761072 58.2230623400388,11.5559890072172 58.218217614453,11.5529649833102 58.2135953693357,11.5482912885838 58.2093731112868,11.5421478823687 58.2057129282393,11.5347709301202 58.2027552865537,11.5264437161089 58.2006136622305,11.5174857887167 58.1993702081182,11.5082407506086 58.1990726193777,11.499063152326 58.1997323142521,11.4903049781186 58.2013239979868,11.4823022265545 58.20378662625,11.475362085383 58.2070257323357,11.4697511803068 58.2109170315441,11.4656853410596 58.2153111681474,11.4633212761355 58.2200394269504,11.4627504807404 58.2249201942206,11.463995622613 58.2297659231599,11.4670095594682 58.2343903383626,11.4716770427694 58.2386156028535,11.4778190588213 58.2422791709969,11.4851996538116 58.2452400610821,11.4935349888985 58.2473843025688,11.5025042793406 58.2486293441686,11.5117621925497 58.2489272490394,11.5209522178636 58.2482665508099,11.5297204791266 58.2466726969869,11.5377294421071 58.2442070622791,11.5446709734257 58.2409645710969,11.5502782357461 58.2370700234906,11.554335953914 58.2326732697266,11.556688655797 58.2279434234386,11.5572465761072 58.2230623400388)))', 'SEFLN', 'Flatön', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7050946345759 60.2188763524854,18.7044720724461 60.2139973500517,18.7019489903211 60.2092724970383,18.6976230868511 60.2048832672006,18.691661128354 60.2009981737294,18.6842924606142 60.1977663181303,18.6758001604092 60.1953116908266,18.6665101719973 60.1937284378758,18.6567788436993 60.1930772709099,18.6469793340276 60.1933831540365,18.637487394549 60.1946343535675,18.6286670572031 60.19678288572,18.6208567568497 60.19974634557,18.6143564053723 60.2034110492445,18.609415901923 60.2076363723171,18.6062255153778 60.2122601222907,18.6049085106389 60.2171047435078,18.6055163114372 60.2219841203072,18.6080264006756 60.2267107200773,18.6123430577506 60.2311028031354,18.6183009240253 60.2349914219145,18.625671276723 60.2382269382132,18.6341707825511 60.2406848042997,18.643472400263 60.2422703810406,18.6532180110812 60.2429226030271,18.6630322821052 60.2426163455339,18.6725372144816 60.2413633992432,18.6813667982175 60.2392120138668,18.689181190775 60.2362450287071,18.6956798572738 60.2325766643339,18.7006131550887 60.2283481024815,18.703791912339 60.2237220287212,18.7050946345759 60.2188763524854)))', 'SEFLO', 'Fälön', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8569575284636 57.9873230601117,16.8558035966183 57.9824708512044,16.8528902802519 57.9778313948341,16.8483301112573 57.9735828644631,16.8422986963541 57.9698883619124,16.8350279138012 57.9668896748472,16.8267969883213 57.9647018568451,16.8179217892893 57.9634088339458,16.8087427590537 57.9630602022794,16.7996119251154 57.9636693363796,16.7908794808557 57.9652128787239,16.7828804340169 57.9676316295864,16.7759218199479 57.9708328041803,16.7702709577497 57.9746935730507,16.7661451922066 57.9790657534893,16.7637035134015 57.9837814760547,16.7630403802324 57.9886596127,16.7641819952303 57.9935127229852,16.7670851882565 57.9981542536467,16.7716389686036 58.0024057154308,16.7776687021677 58.006103560236,16.7849427666615 58.0091054915694,16.79318143772 58.0112959619426,16.8020676667748 58.0125906415158,16.8112593322548 58.0129396819447,16.8204024830543 58.0123296464653,16.8291450506586 58.010784029827,16.837150486137 58.0083623475488,16.8441107815297 58.0051578306996,16.849758361773 58.0012938175625,16.8538763817333 57.9969189847556,16.8563070305234 57.9922016055189,16.8569575284636 57.9873230601117)))', 'SEFLP', 'Flatvarp', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4388045138747 57.098944680464,18.4382600460582 57.0940629311571,18.4359767808831 57.0893327747182,18.4320430634113 57.0849359025365,18.4266104937267 57.0810411419012,18.4198880358976 57.0777979897017,18.4121339584008 57.0753308942052,18.4036459200956 57.0737345005784,18.3947495809972 57.0730700386201,18.3857861679722 57.0733629877532,18.3770994609741 57.0746021062856,18.369022684878 57.0767398609696,18.3618657950475 57.0796942407233,18.3559036314209 57.08335188677,18.3513653863968 57.0875724221602,18.3484257866901 57.0921938183515,18.3471983295468 57.0970385968687,18.3477308406353 57.1019206315224,18.350003536498 57.1066522925611,18.3539296811534 57.111051659534,18.3593588274108 57.1149495253432,18.3660825323906 57.1181959203653,18.3738423377512 57.1206659026424,18.3823397126199 57.1222643875212,18.3912475755737 57.1229298268282,18.4002229453407 57.1226365923477,18.4089202216588 57.1213959692134,18.4170045705683 57.1192557197355,18.4241648838137 57.1162982348064,18.4301258002758 57.1126373459377,18.4346583174284 57.1084139237692,18.4375885805746 57.1037904363285,18.4388045138747 57.098944680464)))', 'SEFLU', 'Flunting', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7035146546504 57.6660140443908,11.7022590445615 57.661170384658,11.6992650081035 57.656551013159,11.6946481538883 57.6523333277205,11.6885862408157 57.6486792436039,11.68131229606 57.6457289967705,11.6731056493462 57.6435957833431,11.664281229605 57.6423614369162,11.6551775305549 57.6420733056867,11.6461436973393 57.6427424460964,11.6375262161127 57.6443432004062,11.6296557018865 57.6468141740646,11.6228342767576 57.6500605766191,11.6173240108928 57.6539578389971,11.6133368626526 57.6583563720042,11.6110265026711 57.6630872875099,11.6104823406375 57.667968866631,11.6117259945497 57.6728135297101,11.6147103524871 57.677435042291,11.6193212793043 57.6816556805873,11.6253819184959 57.6853130797923,11.6326594368277 57.6882664992526,11.6408739605328 57.6904022598415,11.6497093614809 57.6916381401817,11.6588254741623 57.6919265585512,11.6678712635677 57.6912564147937,11.6764984233182 57.6896535193994,11.684374864934 57.6871795928808,11.6911975639289 57.6839298752373,11.6967042562047 57.6800294402338,11.7006835274503 57.675628360068,11.7029829062332 57.6708959106513,11.7035146546504 57.6660140443908)))', 'SEFOT', 'Fotö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7712989511478 58.2443529623781,16.7701476608837 58.2395001477001,16.7672237729482 58.2348589632685,16.7626402368222 58.2306076483394,16.7565735654315 58.2269094104274,16.749256995791 58.2239061789308,16.7409715111296 58.2217131800285,16.732035071667 58.2204145369067,16.7227904634726 58.2200600601066,16.7135922220517 58.2206633478368,16.7047931185306 58.2222012670619,16.6967307110006 58.2246148347565,16.6897144614749 58.2278114666283,16.6840139000333 58.2316685096081,16.6798482823868 58.236037926211,16.6773781359084 58.2407519551659,16.6766990231972 58.2456295350887,16.6778377730104 58.2504832478913,16.680751338049 58.2551265173464,16.6853283403987 58.2593807867728,16.6913932618435 58.2630823988609,16.6987131317854 58.2660889105249,16.7070064645577 58.2682845962098,16.715954105138 58.2695849236905,16.7252115621864 58.2699398259969,16.7344223440727 58.2693356401407,16.7432317704952 58.2677956358892,16.7513007117935 58.2653791136947,16.7583187112492 58.262179107646,16.7640159723749 58.2583187845002,16.7681737419059 58.2539466811175,16.7706326872747 58.2492309678063,16.7712989511478 58.2443529623781)))', 'SEFRN', 'Fredriksnäs', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8024610140188 55.958801103798,12.8018825657742 55.9539199242934,12.7996182389081 55.9491958188239,12.795755604387 55.9448102477311,12.7904434939851 55.940931608501,12.7838862211844 55.9377087852952,12.7763357035513 55.9352654532401,12.7680817932018 55.9336953524295,12.7594411851503 55.9330587092033,12.7507453226026 55.933379938646,12.7423277525023 55.9346467140332,12.734511403212 55.9368104378203,12.7275962587458 55.9397880964842,12.7218478904716 55.9434654298631,12.7174872778939 55.9477012963467,12.7146823056305 55.9523330700709,12.7135412649418 55.9571828667724,12.7141086165835 55.9620643626669,12.7163631892504 55.9667899469194,12.7202188969627 55.9711779340573,12.7255279624909 55.9750595587745,12.7320865359096 55.978285482396,12.7396425016478 55.9807315577853,12.7479051781663 55.9823036272002,12.7565565358802 55.9829411645983,12.7652634950429 55.9826196187651,12.7736908193489 55.9813513645929,12.781514095445 55.9791852247583,12.7884322847742 55.9762045806061,12.7941793524182 55.9725241468121,12.7985345168843 55.9682855369964,12.8013307229818 55.9636517946702,12.8024610140188 55.958801103798)))', 'SEFRT', 'Fortuna', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2130680263689 57.3180296856197,12.2125511222544 57.3131473705774,12.2102842288724 57.3084134072549,12.2063550734104 57.3040096341053,12.2009150911097 57.3001051434865,12.1941735389728 57.2968498051957,12.1863894237075 57.2943685340711,12.1778615586593 57.2927565178463,12.1689171301988 57.2920755843667,12.1598992053943 57.2923518439506,12.1511536487194 57.2935746947238,12.1430159353493 57.2956972278263,12.1357983519584 57.2986380172569,12.1297780628055 57.3022842275102,12.1251864895294 57.3064959228375,12.1222004080227 57.3111114166093,12.1209351059328 57.3159534595027,12.1214398711265 57.32083603256,12.1236959967616 57.3255714868988,12.1276173949407 57.3299777570726,12.1330538113992 57.3338853705751,12.1397965320045 57.3371439821783,12.1475863721631 57.3396281787121,12.1561236469681 57.3412423270751,12.1650797374982 57.3419242748228,12.174109801238 57.3416477572233,12.1828661256679 57.3404234154316,12.1910115963178 57.3382983853021,12.1982327455385 57.3353544729865,12.2042518662086 57.3317049894211,12.2088377145834 57.327490368687,12.2118143863363 57.3228727427796,12.2130680263689 57.3180296856197)))', 'SEFSA', 'Frillesås', 'Y'),('SRID=4326;MULTIPOLYGON(((12.879825963601 55.3927679561051,12.8792444347275 55.3878867108789,12.8770015365885 55.3831638097702,12.8731839964716 55.3787806682121,12.8679388981777 55.3749055929338,12.8614679723696 55.3716873345821,12.8540198193485 55.3692493966165,12.8458803668401 55.3676853153388,12.8373619277202 55.3670550884721,12.8287912712165 55.3673828860336,12.8204971549026 55.3686561289702,12.8127977830576 55.3708259698315,12.805988659381 55.3738091574219,12.8003312885806 55.3774912156669,12.7960431522652 55.3817308176236,12.7932893404738 55.3863651903679,12.7921761620122 55.3912163470352,12.7927469859746 55.3960979100554,12.7949804853205 55.400822265925,12.7987913636417 55.405207777737,12.8040335513362 55.4090857779131,12.8105057608558 55.4123070705175,12.8179591964681 55.4147476901533,12.8261071262222 55.416313692258,12.8346359466579 55.4169447866798,12.843217308084 55.4166166713237,12.8515208231971 55.4153419736243,12.8592268568349 55.4131697625068,12.8660388911007 55.4101836500175,12.8716949781783 55.4064985575203,12.8759778318966 55.4022562738955,12.8787231664452 55.3976199803263,12.879825963601 55.3927679561051)))', 'SEFSB', 'Falsterbo', 'Y'),('SRID=4326;MULTIPOLYGON(((19.1137987044371 57.8677041210626,19.1131541611381 57.8628253686301,19.1107365292363 57.8581073429277,19.1066393400815 57.853731261807,19.1010204845624 57.8498651459165,19.0940960790165 57.846657384564,19.086132131815 57.8442310610875,19.077434335073 57.8426792515696,19.0683363715602 57.842061473207,19.0591871778759 57.8424014150032,19.0503376402552 57.8436860352859,19.0421272183457 57.8458660595399,19.0348709946259 57.8488578599299,19.0288476328065 57.8525466464114,19.0242886978083 57.8567908502233,19.0213697433112 57.8614275355231,19.0202035113581 57.8662786355672,19.0208355134677 57.8711577776423,19.0232421761248 57.8758774372347,19.027331637946 57.8802561477482,19.03294718446 57.8841254882338,19.0398732030983 57.8873365784686,19.0478434399143 57.8897658283223,19.0565512452578 57.8913197161974,19.0656614126394 57.8919384084856,19.0748231475284 57.891598077046,19.0836836544016 57.8903118228709,19.0919018036406 57.8881291692214,19.0991613363519 57.8851341442348,19.1051830850636 57.8814420288717,19.1097357304394 57.877194898685,19.1126446763392 57.8725561350308,19.1137987044371 57.8677041210626)))', 'SEFSD', 'Fårösund', 'Y'),('SRID=4326;MULTIPOLYGON(((12.9938379697574 55.400727170431,12.9932422824649 55.3958463661161,12.9909853149149 55.3911254557337,12.9871543341061 55.386745777459,12.9818969385791 55.3828755043744,12.9754153292559 55.3796632023108,12.9679585144967 55.3772321458863,12.9598127525842 55.3756756073213,12.9512905970966 55.375053295109,12.942718959127 55.3753890759075,12.9344266339694 55.3766700647119,12.9267317580287 55.3788471171576,12.9199296639991 55.3818367054677,12.9142815887544 55.385524107864,12.9100046591837 55.3897677919778,12.9072635369717 55.3944048276397,12.9061640450446 55.3992571250186,12.9067490274928 55.4041382619104,12.9089966131763 55.4088606403461,12.9128209633992 55.4132426986528,12.9180754890682 55.4171159014104,12.9245584261732 55.4203312367722,12.932020564214 55.4227649683277,12.9401748344874 55.4243234165916,12.9487073880941 55.424946582336,12.9572897309193 55.4246104689599,12.9655914379493 55.4233280121003,12.9732929444729 55.4211485796204,12.9800979083504 55.4181560616361,12.9857446558019 55.4144656259421,12.9900162620853 55.4102192666993,12.9927488759392 55.4055803213407,12.9938379697574 55.400727170431)))', 'SEFSK', 'Falsterbokanal', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9692687231416 59.6607721526109,18.9686162489757 59.655893886626,18.9660961364043 59.6511737370228,18.9618059378688 59.6467929972159,18.9559110214845 59.6429198564632,18.9486381405247 59.6397029608375,18.9402666870099 59.6372657307361,18.931117970352 59.6357016487635,18.9215429306408 59.6350706943908,18.9119087494538 59.6353970583012,18.9025848579883 59.6366682213352,18.8939288622461 59.6388354321338,18.8862729076639 59.6418155656491,18.8799109909454 59.6454942933597,18.8750876951484 59.6497304470293,18.8719887758306 59.6543614128275,18.8707339621627 59.6592093532103,18.8713722587382 59.664088021608,18.8738799433121 59.6688099110221,18.8781613554906 59.6731934631679,18.8840524648028 59.6770700606352,18.8913270975715 59.6802905310984,18.8997055950831 59.6827309099229,18.9088655755433 59.6842972351395,18.9184543840495 59.6849291857626,18.9281027428461 59.6846024194384,18.9374390623193 59.6833295165908,18.9461038444134 59.6811594934499,18.9537636060506 59.6781759032182,18.960123770941 59.6744936006711,18.9649400227312 59.6702542982812,18.9680276782516 59.6656210892422,18.9692687231416 59.6607721526109)))', 'SEFUD', 'Furusund', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6650572862476 57.2793983867454,16.6639527347651 57.2745436766709,16.6611214486747 57.2698989146438,16.6566727840635 57.2656424823053,16.6507780500861 57.2619377903409,16.6436638727174 57.2589270233054,16.6356034714618 57.256725703632,16.6269061863303 57.2554182794619,16.6179056534668 57.2550549017172,16.6089470741912 57.2556495108885,16.6003740529915 57.2571793049367,16.5925154945456 57.259585608208,16.585673047938 57.262776109084,16.5801095678722 57.2666283829779,16.5760390281767 57.2709945689981,16.5736182729113 57.275707024807,16.5729409259488 57.2805847465184,16.5740337025826 57.2854403103504,16.576855278612 57.2900870714495,16.5812977762177 57.2943463438343,16.5871908251176 57.2980542844487,16.5943080558774 57.3010682141604,16.6023757841444 57.3032721290472,16.6110835544374 57.3045811858697,16.6200961343402 57.3049449851487,16.6290664884774 57.3043495222186,16.6376492197422 57.3028177290958,16.6455139451865 57.3004085857758,16.6523580768577 57.2972148362491,16.6579185035195 57.2933593996803,16.6619817161995 57.2889906184492,16.6643919863104 57.2842765299903,16.6650572862476 57.2793983867454)))', 'SEFUN', 'Furö', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7506594552478 56.1020982320619,14.7498329087916 56.0972271335479,14.7473225034673 56.0925397211542,14.743225248854 56.0882160321674,14.737698960811 56.0844220766052,14.7309561420385 56.0813034799188,14.7232557960599 56.0789799131712,14.7148934921297 56.0775405207127,14.706190060046 56.0770405170398,14.6974793412028 56.0774990801938,14.689095454416 56.078898620346,14.6813600514847 56.0811854508348,14.6745700377769 56.0842718366109,14.6689862173798 56.0880393435927,14.6648232908034 56.0923433635869,14.6622415864968 56.0970186448891,14.6613408465492 56.101885620069,14.6621563133679 56.1067572912309,14.6646572798808 56.1114464105122,14.6687481734811 56.1157726807684,14.6742721467171 56.1195696990074,14.6810170492993 56.1226913735135,14.688723560466 56.1250175646534,14.6970951723698 56.1264587285363,14.7058096381567 56.126959380982,14.7145314366492 56.1265002451791,14.7229247622525 56.1250989981372,14.7306665261921 56.1228095863768,14.7374588546954 56.1197201379228,14.7430405912708 56.1159495531222,14.747197352654 56.1116429087379,14.7497697489917 56.1069658560136,14.7506594552478 56.1020982320619)))', 'SEFUR', 'Furumon', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3947653289421 60.652101190016,17.3934291094644 60.647256958716,17.3901943825117 60.6426337255848,17.3851861377912 60.6384090241246,17.3785972603377 60.6347450196976,17.3706810543316 60.6317823061533,17.361741494253 60.6296345350835,17.35212158012 60.6283840792134,17.3421902386651 60.6280788918947,17.3323282612993 60.6287306796012,17.3229138017515 60.6303144553461,17.314307970844 60.632769489685,17.3068410627675 60.6360016241538,17.3007999264751 60.6398868613152,17.2964169576953 60.644276097749,17.2938611321723 60.6490008229749,17.2932314300703 60.6538795700171,17.2945529165939 60.6587248735595,17.297775646957 60.6633504706769,17.3027764578232 60.6675784679726,17.3093635958972 60.6712461983238,17.3172840218082 60.6742125006431,17.3262331186382 60.6763631769799,17.3358664344859 60.6776154123074,17.3458130023269 60.6779209823672,17.3556897126661 60.6772681224164,17.3651161688089 60.6756819826816,17.3737294335589 60.673223652504,17.3811980809927 60.6699877921101,17.3872349973609 60.6660989661757,17.3916084293841 60.6617068244786,17.3941508532042 60.6569803197984,17.3947653289421 60.652101190016)))', 'SEFUV', 'Furuvik', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9002251231726 58.1913056248917,16.8990581376618 58.1864540295801,16.8961219995829 58.1818158350818,16.891530125065 58.1775691651765,16.8854593432597 58.1738770487021,16.8781430454723 58.1708811800718,16.8698622019146 58.1686965031618,16.8609345933701 58.167406822288,16.8517026671124 58.1670616046653,16.8425204734236 58.1676740937484,16.8337401701014 58.1692208037905,16.825698596862 58.1716424145173,16.8187044192799 58.1748460327214,16.8130263229013 58.178708736598,16.8088827027032 58.1830822704713,16.8064332418082 58.187798713907,16.805772707323 58.1926769116446,16.8069272119237 58.1975294207796,16.8098530994818 58.2021697104459,16.8144385144161 58.206419337894,16.8205076109898 58.2101148240275,16.8278272544623 58.2131139614334,16.8361159652747 58.2153013085935,16.8450547649261 58.2165926546701,16.8542995023966 58.2169382789357,16.8634941770099 58.2163248760277,16.8722847308572 58.2147760708147,16.8803327636722 58.2123515025426,16.8873286264699 58.2091445146786,16.8930033771492 58.2052785420279,16.8971391300882 58.2009023379073,16.8995773998845 58.1961842292713,16.9002251231726 58.1913056248917)))', 'SEFYR', 'Fyrudden', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6992259340735 56.5993903796216,16.698138581123 56.5945353718469,16.6953557496246 56.5898906240119,16.6909849092797 56.5856345198505,16.6851943626874 56.5819304614022,16.6782067270294 56.5789206135659,16.6702903655713 56.5767204681509,16.6617491002374 56.5754144321701,16.6529105966656 56.5750526058873,16.6441138588607 56.5756488711437,16.6356963008888 56.577180361366,16.6279808773851 56.5795883330966,16.621263752734 56.5827804066463,16.6158029706365 56.5866340923063,16.6118085517227 56.5910014702254,16.609434397564 56.5957148482498,16.6087723159368 56.6005931843467,16.6098484060527 56.6054490301363,16.6126219557982 56.6100957308135,16.6169869085339 56.6143546053422,16.622775857997 56.6180618299202,16.6297664301572 56.6210747576342,16.6376898146958 56.6232774277912,16.6462411204886 56.6245850490086,16.6550911533277 56.6249472796843,16.663899153979 56.6243501764118,16.6723259937075 56.6228167333449,16.6800473048141 56.6204059912448,16.6867660265813 56.6172107515647,16.6922238721648 56.6133539860282,16.6962112679944 56.6089840833695,16.6985753817006 56.6042691201107,16.6992259340735 56.5993903796216)))', 'SEGAB', 'Gårdby', 'Y'),('SRID=4326;MULTIPOLYGON(((17.296334670929 61.0071356786272,17.2949972735102 61.0022907039829,17.2917395538422 60.9976654361526,17.2866874048432 60.9934374855761,17.2800354124222 60.9897691401745,17.2720393118674 60.9868011576177,17.2630061447287 60.9846473887407,17.2532824966899 60.9833904337698,17.243241262714 60.9830784935261,17.2332674352738 60.9837235327586,17.2237434438902 60.9853008238229,17.2150345890095 60.9877498877181,17.2074751102525 60.9909767977128,17.2013554082749 60.9948577601386,17.1969109011707 60.9992438390959,17.1943129410994 61.0039666484456,17.1936621456253 61.0088447971385,17.194984412654 61.0136908441016,17.1982297900419 61.0183184978456,17.2032742638699 61.0225497846976,17.2099244167069 61.0262219088198,17.2179247933297 61.0291935372663,17.2269677012001 61.0313502641481,17.2367050716977 61.0326090389088,17.2467619207366 61.0329213836798,17.2567508785873 61.0322752721265,17.2662872122567 61.0306955951447,17.2750037422961 61.0282431949706,17.282565060614 61.0250125062545,17.2886804865032 61.0211278979409,17.2931152528699 61.0167388609826,17.2956994904948 61.0120142318465,17.296334670929 61.0071356786272)))', 'SEGAH', 'Gåsholma', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3787027108731 57.0179657457909,12.378167006729 57.0130837590104,12.3758960743703 57.0083525641544,12.3719777824619 57.0039538932047,12.366563137172 57.0000566433161,12.3598604141266 56.9968104077191,12.3521271252314 56.9943397536921,12.3436601334408 56.9927394634307,12.3347842936633 56.9920709164724,12.3258400488362 56.9923597489362,12.3171704457021 56.9935948768046,12.3091080543038 56.9957289195044,12.3019622783418 56.9986800078641,12.2960075302881 57.0023349089126,12.2914727157536 57.0065533506697,12.2885324266388 57.0111733847712,12.2873001829815 57.0160175850902,12.2878239905345 57.0208998479443,12.2900843968845 57.0256325353384,12.2939951358544 57.0300336880657,12.2994063511431 57.0339340311439,12.3061102893136 57.0371835004326,12.3138492534717 57.0396570363532,12.3223255166572 57.0412594179675,12.331212812475 57.0419289473477,12.3401689539071 57.0416398388097,12.3488490830575 57.040403218401,12.3569190273913 57.038266693921,12.3640682333426 57.0353125123703,12.3700217662572 57.0316543776305,12.3745509055212 57.027433053982,12.3774819232442 57.0228109285304,12.3787027108731 57.0179657457909)))', 'SEGAK', 'Galtabäck', 'Y'),('SRID=4326;MULTIPOLYGON(((15.131724738999 56.1579604304586,15.1308488168129 56.1530919906713,15.1282884472621 56.1484124282436,15.1241425571029 56.1441014762005,15.1185708252855 56.1403246531788,15.1117874928236 56.1372269253029,15.1040531112011 56.1349271618406,15.0956645491531 56.133513593664,15.0869436388283 56.1330404450191,15.0782248893418 56.1335258646502,15.0698427275418 56.1349512335271,15.0621187418215 56.1372618749961,15.0553494047048 56.1403691408765,15.0497947337357 56.1441537956167,15.0456683181867 56.1484705718709,15.0431290919197 56.1531537264566,15.0422751713846 56.1580233872178,15.0431400037379 56.1628924503239,15.0456909854231 56.167573765254,15.0498306189002 56.1718873321811,15.0554001777434 56.1756672343762,15.0621857517571 56.1787680369394,15.069926448204 56.1810704025089,15.0783244369754 56.1824857040652,15.0870564507881 56.1829594534704,15.0957862901193 56.1824734105195,15.1041778397898 56.181046289138,15.1119080821871 56.1787330327828,15.1186795922661 56.1756226877279,15.1242320216717 56.1718349583016,15.1283521223914 56.1675155799423,15.13088192194 56.1628306919792,15.131724738999 56.1579604304586)))', 'SEGAN', 'Garnanäs', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4562635067837 58.2330995966801,11.4550192884656 58.228253787763,11.4520074460373 58.2236290702403,11.4473442976015 58.2194030463054,11.4412093997436 58.215737948934,11.4338385936138 58.212774433356,11.4255149296758 58.2106262010076,11.4165578216267 58.2093756581207,11.4073108414798 58.2090707715357,11.3981286142103 58.209723239142,11.3893633007567 58.2113080431746,11.3813511720222 58.2137644031031,11.374399773579 58.2169980927866,11.368776161074 58.2208850356573,11.3646966501887 58.2252760436918,11.3623184730574 58.2300025224819,11.3617336663637 58.2348829274388,11.3629654364825 58.2397297264951,11.3659671561962 58.244356603874,11.3706240484926 58.2485856285642,11.3767575092289 58.2522541107526,11.3841319160471 58.2552208799018,11.3924636703142 58.2573717392487,11.4014321266548 58.2586238826238,11.4106919853792 58.2589290995265,11.4198866608621 58.2582756417793,11.4286620970342 58.2566886778877,11.4366804818994 58.2542293172013,11.443633317448 58.2509922427002,11.4492533292506 58.2471020462598,11.453324749803 58.2427084112298,11.4556915786514 58.2379803319539,11.4562635067837 58.2330995966801)))', 'SEGAO', 'Gåsö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9646591696905 58.5162793945939,16.9634716183768 58.5114287385924,16.9604990470003 58.5067924583209,16.9558562836357 58.5025486021014,16.9497221196934 58.4988600882591,16.9423323826424 58.4958684702486,16.9339708590848 58.4936885263406,16.924958419081 58.4924038773046,16.9156407550522 58.4920637961736,16.9063751958478 58.4926813291696,16.8975170877295 58.4942327978181,16.889406248553 58.4966587008598,16.8823539990606 58.4998659825152,16.8766312559757 58.5037315827059,16.8724581358008 58.5081071367144,16.8699954665035 58.5128246481422,16.8693385376668 58.5177029215073,16.8705133397356 58.522554510846,16.8734754518546 58.527192919535,16.8781116382752 58.5314397752204,16.884244108869 58.5351317029362,16.8916372939674 58.5381266294966,16.9000068820378 58.540309272934,16.9090307752716 58.5415956014991,16.9183615375954 58.5419360864656,16.9276398460596 58.5413176201308,16.9365084134399 58.5397640230619,16.9446258295519 58.5373351205516,16.9516797723763 58.534124425022,16.9573990673988 58.5302555162828,16.9615641230565 58.525877262748,16.9640153391323 58.5211580717936,16.9646591696905 58.5162793945939)))', 'SEGAS', 'Gränsö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0063235246242 62.7588478253215,18.0047851859333 62.7540124294805,18.0012195901362 62.7494074503731,17.9957645434674 62.745209703594,17.9886301533992 62.7415802989174,17.9800906827737 62.7386584804916,17.970473996368 62.7365563110061,17.9601490074119 62.7353543987696,17.9495115993981 62.7350988268208,17.9389695491783 62.7357993980253,17.9289270100508 62.7374292611791,17.9197691278985 62.7399259320597,17.9118473592531 62.7431936718234,17.9054660374679 62.7471071347989,17.9008706922158 62.7515161502436,17.8982385688337 62.7562514596388,17.897671718564 62.7611311941597,17.8991929400487 62.7659678475191,17.9027447487505 62.7705754787209,17.9081914373939 62.7747768684142,17.9153241709438 62.7784103522247,17.9238689387547 62.7813360649934,17.9334970696063 62.7834413511518,17.943837907957 62.7846451279049,17.9544931573838 62.7849010283575,17.9650523248351 62.784199199632,17.9751086510638 62.7825666843792,17.9842748912245 62.7800663705807,17.9921983163582 62.7767945516821,17.9985743409327 62.7728771943662,18.003158241733 62.7684650622532,18.0057745157375 62.7637278883453,18.0063235246242 62.7588478253215)))', 'SEGAT', 'Gammellandet', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0890496999542 62.6091347403877,18.0884872811492 62.6042548875184,18.0858701148191 62.5995193257397,18.0812996672422 62.5951099344046,18.0749522198322 62.5911959877282,18.0670719974997 62.5879276765234,18.0579617385854 62.5854303699092,18.0479710754075 62.5837998324275,18.0374831696362 62.5830985750703,18.0269001051912 62.5833534757239,18.0166275821814 62.584554757045,18.0070594780348 62.5866563594183,17.9985628461437 62.5895776950835,17.9914639080599 62.5932067184241,17.9860355626945 62.5974041984576,17.9824868855255 62.602009034388,17.9809550232752 62.6068444152608,17.9814998061455 62.6117245917799,17.9841013023815 62.6164620035565,17.9886604313311 62.6208744895928,17.9950026347401 62.6247923045347,18.0028844860551 62.6280646686613,18.0120029989438 62.630565595833,18.022007284499 62.6321987703098,18.0325121071655 62.6329012796403,18.0431128075746 62.6326460553359,18.0534010006952 62.6314429240132,18.0629804234634 62.6293382269341,18.0714822993306 62.6264130230009,18.0785796084026 62.6227799467393,18.0839996997769 62.6185788461522,18.0875347545745 62.6139713732312,18.0890496999542 62.6091347403877)))', 'SEGAV', 'Gånsvik', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0824296234391 59.7677304718082,19.0817588691243 59.7628527559198,19.0792150084799 59.7581347376418,19.074896510232 59.7537576272249,19.0689698311782 59.7498894731782,19.0616629436644 59.7466787288429,19.0532565425649 59.7442485774758,19.0440732744668 59.7426922293573,19.0344654004577 59.7420693669612,19.024801357201 59.7424038706809,19.0154517178544 59.7436829095955,19.006775074222 59.7458574309352,18.99910436406 59.7488440299841,18.9927341526385 59.7525281308504,18.9879093457512 59.7567683595643,18.9848157628578 59.7614019459906,18.9835729348564 59.7662509516697,18.9842294124798 59.7711290884152,18.9867607804488 59.7758488686121,18.9910704719316 59.7802288137741,18.9969933708821 59.7841004438287,19.0043020804443 59.7873147762442,19.012715628358 59.7897480815112,19.0219102800005 59.7913066691957,19.0315320412418 59.7919305158697,19.0412103612093 59.7915955912919,19.0505724932414 59.7903147904555,19.0592579436336 59.7881374343673,19.0669324338817 59.7851473593088,19.0733008232353 59.7814596703632,19.0781184832982 59.7772162877524,19.0812006826524 59.7725804617634,19.0824296234391 59.7677304718082)))', 'SEGDD', 'Gräddö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.6627124376117 60.6249998656445,17.6613373215259 60.6201585650004,17.6580672420162 60.6155420407235,17.6530285409007 60.6113275668597,17.6464152656208 60.6076769148347,17.6384816496075 60.6047301653541,17.6295323289912 60.6026003573818,17.6199106735364 60.6013691749416,17.6099856744172 60.6010838328319,17.6001378800801 60.6017552771834,17.5907449031034 60.6033577677462,17.5821670351785 60.6058298575172,17.5747335038897 60.6090767335042,17.5687298838844 60.6129738317874,17.5643871365905 60.617371592275,17.5618726974453 60.6221011753052,17.561283958672 60.6269809251039,17.5626444105361 60.6318233355178,17.5659026069464 60.6364422526645,17.5709340151779 60.6406600382062,17.5775456980672 60.644314416545,17.5854836646153 60.6472647396779,17.5944426163664 60.6493974245844,17.604077717304 60.6506303492529,17.6140179292986 60.6509160336456,17.6238803878764 60.6502434795224,17.6332852479574 60.6486385960861,17.6418704087542 60.646163194634,17.6493055324114 60.6429125923324,17.6553048018628 60.639011920399,17.6596379180171 60.6346112829808,17.6621389116916 60.6298799577255,17.6627124376117 60.6249998656445)))', 'SEGDK', 'Gårdskär', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7824511082679 56.7883588004425,16.7813470833129 56.783504763987,16.7785395808106 56.778862164918,16.7741370238282 56.7746093031052,16.7683089362129 56.7709094545402,16.7612793769848 56.7679046209547,16.7533183165604 56.7657101003517,16.7447312881675 56.7644100829157,16.7358477081157 56.7640544374931,16.7270083043837 56.7646568088321,16.7185521233193 56.7661940966355,16.7108035985346 56.7686073359322,16.7040601640535 56.7718039460474,16.6985808754568 56.7756612643194,16.6945764684897 56.7800312324123,16.6922012349996 56.7847460593088,16.6915470322254 56.7896246474295,16.6926396649138 56.7944795382785,16.6954377926088 56.7991241128191,16.6998344194721 56.8033797704347,16.7056609244647 56.8070828094984,16.7126934895092 56.8100907425543,16.7206616865837 56.8122877997326,16.7292588959707 56.813589404678,16.7381541513951 56.8139454468594,16.7470049474059 56.8133422211257,16.7554705032812 56.8118029578482,16.7632249581783 56.8093869227465,16.7699699752689 56.8061871221318,16.775446258037 56.8023267043908,16.7794435283503 56.797954199725,16.781808580853 56.7932377853214,16.7824511082679 56.7883588004425)))', 'SEGDL', 'Gärdslösa', 'Y'),('SRID=4326;MULTIPOLYGON(((18.2508259042424 57.1220136125829,18.2503059517434 57.1171312973909,18.2480454273774 57.1123979491715,18.2441318053715 57.1079953831636,18.2387159177403 57.104092646247,18.2320060921277 57.1008395420858,18.2242601159804 57.0983609010791,18.2157753403373 57.0967518112462,18.2068773019 57.0960739890672,18.1979072931551 57.0963534259593,18.189209346039 57.0975793980788,18.1811171143158 57.0997048761953,18.1739411431256 57.1026483202258,18.1679570010394 57.1062967913926,18.1633947206496 57.1105102656437,18.1604299488112 57.1151269866247,18.1591771480326 57.1199696567521,18.1596851175928 57.1248522322946,18.1619350186302 57.1295870641377,18.1658409942217 57.1339921111748,18.1712533764503 57.1378979488123,18.1779643713408 57.14115430133,18.1857160134374 57.1436358437956,18.1942100891136 57.1452470464686,18.2031196458213 57.1459258712076,18.2121016375192 57.1456461739643,18.2208102079717 57.1444187182189,18.2289100861065 57.1422907590706,18.236089562687 57.1393442143177,18.2420725354813 57.135692494795,18.2466291499139 57.1314761190872,18.2495846217222 57.1268572852688,18.2508259042424 57.1220136125829)))', 'SEGDN', 'Grundården', 'Y'),('SRID=4326;MULTIPOLYGON(((21.3744170738738 64.3028644627451,21.3732480734616 64.2980040151786,21.3699186548008 64.2933359293465,21.3645577132766 64.2890394559802,21.3573718927717 64.2852794974043,21.3486375497251 64.282200302219,21.3386901015172 64.2799199590811,21.3279111731342 64.2785258955427,21.3167140304067 64.2780715493322,21.3055278445833 64.2785743353022,21.2947813708148 64.2800149830737,21.2848866418782 64.2823382697907,21.2762232779934 64.285455121002,21.2691239938936 64.2892460021526,21.2638618455535 64.293565475126,21.2606397016002 64.2982477503522,21.2595823492064 64.3031130267336,21.2607315525619 64.3079743805135,21.2640442759114 64.3126449415398,21.2693941655764 64.3169450822561,21.2765762602228 64.3207093420182,21.2853147706479 64.3237928174098,21.2952736450332 64.3260767681509,21.3060695188635 64.3274732174634,21.3172865465142 64.3279283644054,21.3284925294296 64.3274246722197,21.3392556985234 64.3259815492489,21.3491614793038 64.3236545951768,21.3578285690109 64.3205334427772,21.364923685697 64.3167382814226,21.3701744078458 64.3124152008512,21.3733796063673 64.3077305398559,21.3744170738738 64.3028644627451)))', 'SEGDV', 'Gladaviken', 'Y'),('SRID=4326;MULTIPOLYGON(((16.3438771357459 58.665509105217,16.3427702073113 58.6606526280736,16.3398667544504 58.6560019298987,16.335278965116 58.6517356163844,16.3291835362285 58.6480174704242,16.3218148241327 58.6449901837808,16.3134558215601 58.642769903096,16.3044273103246 58.6414417953469,16.2950756023108 58.6410567987848,16.2857593294563 58.6416296806081,16.2768357754498 58.6431384737147,16.2686472571963 58.645525313537,16.2615080624988 58.648698643912,16.2556924318768 58.6525367099115,16.251424037285 58.656892207283,16.2488673593219 58.6615979143005,16.2481212983437 58.6664730939986,16.2492152752538 58.6713304244123,16.2521079867344 58.675983192855,16.2566888801092 58.6802524784557,16.2627823083069 58.6839740458483,16.2701542195732 58.6870046823883,16.2785211341354 58.6892277314421,16.2875610656518 58.690557604573,16.296925963602 58.6909430947656,16.3062551879963 58.6903693596706,16.3151894833885 58.6888584962933,16.3233848975936 58.6864686843818,16.3305260929642 58.6832919325735,16.3363385244002 58.6794505166788,16.3405990069972 58.6750922509412,16.3431442646874 58.6703847785447,16.3438771357459 58.665509105217)))', 'SEGEA', 'Getå', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3886065331499 58.4871223287631,11.3873617238279 58.4822760360151,11.3843361416619 58.4776499830646,11.3796466438043 58.4734218226629,11.3734738071333 58.4697538684737,11.3660549339612 58.4667868836604,11.3576749201516 58.4646347009717,11.3486553383967 58.4633798765899,11.3393421513211 58.4630705404628,11.3300925158079 58.4637185606933,11.3212611705796 58.4652990904123,11.31318691306 58.4677515141035,11.306179668662 58.4709817583018,11.3005086359136 58.4748658806973,11.2963919545666 58.4792548036655,11.2939882916582 58.4839800147908,11.2933906734879 58.4888600196353,11.2946228111808 58.493707302295,11.2976380761187 58.4983355284268,11.3023211818529 58.502566714433,11.3084925246498 58.5062380860295,11.3159150296296 58.5092083597838,11.3243032480221 58.5113632022355,11.3333343580625 58.5126196522767,11.3426606420473 58.5129293324671,11.3519229492042 58.5122803223234,11.3607646116646 58.5106976194202,11.3688452612988 58.5082421701219,11.3758539995543 58.5050085085155,11.3815214004804 58.5011210971806,11.3856298772405 58.4967295144524,11.3880220118723 58.4920026776703,11.3886065331499 58.4871223287631)))', 'SEGEG', 'Gerlesborg', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2788171004321 57.1140032945216,12.2782935404609 57.1091210577076,12.2760298869762 57.1043881811159,12.272113733818 57.0999864616991,12.2666960095203 57.0960849137119,12.2599851115565 57.0928332951217,12.2522388679454 57.0903563793168,12.2437546395766 57.08874918817,12.2348579419683 57.0880733653986,12.2258900162258 57.0883548258057,12.2171948146593 57.0895827679928,12.2091058861571 57.0917100871832,12.2019336496686 57.094655172634,12.1959535309944 57.098305022496,12.1913954087495 57.1025195596567,12.1884347704243 57.1071369867626,12.1871859198338 57.1119799788919,12.1876975043093 57.1168624797165,12.1899505456487 57.1215968427847,12.1938590656127 57.1260010448418,12.1992732977531 57.1299056936743,12.205985376248 57.1331605592396,12.2137372933568 57.1356403738266,12.2222308244527 57.1372496742487,12.2311390377612 57.1379264956701,12.2401189390134 57.1376447712519,12.2488247527332 57.1364153425862,12.2569213144265 57.1342855407528,12.2640970430603 57.1313373544552,12.2700759811893 57.1276842576187,12.2746284299287 57.1234668216782,12.2775797655298 57.1188472852995,12.2788171004321 57.1140032945216)))', 'SEGEN', 'Getterön', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8479595854802 58.01395711541,11.8466709398858 58.0091154143964,11.8436280672487 58.0045001163896,11.8389484634394 58.0002884601975,11.832812303402 57.9966421265978,11.8254554656004 57.9937010510382,11.8171604570288 57.9915780750503,11.808245589025 57.9903546375123,11.7990528148881 57.9900776671449,11.7899346860378 57.9907577923113,11.7812409132529 57.9923689349175,11.7733050328435 57.994849303664,11.7664316742172 57.9981037498291,11.760884905224 58.0020073978965,11.7568780952263 58.0064104154248,11.7545656837146 58.0111437432533,11.7540371755313 58.0160255700581,11.7553136039884 58.0208683058418,11.758346612539 58.0254857884304,11.76302020703 58.0297004464337,11.7691551273831 58.033350142076,11.7765156838687 58.0362944280693,11.7848188033595 58.0384199741222,11.7937449397045 58.0396449500867,11.8029504241 58.0399221930302,11.812080770101 58.039241033092,11.8207844069755 58.0376277059012,11.8287262966946 58.0351443353411,11.8356008949893 58.0318865271328,11.8411439452852 58.0279796686333,11.8451426443604 58.0235740810429,11.8474437875397 58.0188392147902,11.8479595854802 58.01395711541)))', 'SEGER', 'Getskär', 'Y'),('SRID=4326;MULTIPOLYGON(((21.1402419187262 64.2179562688074,21.1391176180336 64.2130939105912,21.135837882314 64.2084204603219,21.1305296964849 64.2041153772768,21.1233976806337 64.2003438966683,21.1147161312986 64.1972507112268,21.1048184478286 64.194954447711,21.0940843549589 64.1935431449975,21.0829254072274 64.1930709019436,21.0717693175379 64.1935558191359,21.0610436902539 64.1949793104906,21.0511597582678 64.197286810073,21.0424967233679 64.2003898480982,21.0353872799166 64.2041694194917,21.0301048635301 64.2084805202912,21.0268531095328 64.213157683142,21.0257579312377 64.2180213047695,21.0268625369313 64.2228845270403,21.0301255988709 64.2275604103947,21.0354226705678 64.2318691251414,21.0425508239636 64.2356448831754,21.0512363505517 64.2387423405675,21.0611452454898 64.2410422201928,21.0718960772015 64.2424559326538,21.0830747428089 64.2429290122298,21.0942505275326 64.2424432309807,21.1049928286109 64.2410173065358,21.1148878747144 64.2387061752467,21.1235547720344 64.235598859794,21.1306602381978 64.2318150164519,21.1359314431017 64.227500299548,21.1391664582717 64.2228207269548,21.1402419187262 64.2179562688074)))', 'SEGHN', 'Gumboda Hamn', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5246580781061 56.1018183669836,15.5237338885429 56.0969528029073,15.5211296870717 56.0922814615644,15.5169460779255 56.0879837578253,15.5113441808163 56.084224699906,15.5045393867691 56.0811485710546,15.4967930637356 56.0788734114766,15.4884025332555 56.0774865085055,15.4796897001422 56.0770410643329,15.4709887636933 56.0775541660033,15.4626334702753 56.0790061334909,15.4549443826689 56.0813412701975,15.4482166410194 56.0844699879068,15.4427086736031 56.0882722268666,15.4386322832098 56.0926020430117,15.4361444873935 56.0972931900729,15.4353414291786 56.1021654860726,15.4362546005527 56.1070317229368,15.4388495362631 56.1117048559379,15.4430270427037 56.1160051974421,15.4486269292455 56.1197673376582,15.4554341109565 56.1228465240863,15.4631868563876 56.1251242510326,15.471586866248 56.1265128403044,15.4803107925737 56.1269588329857,15.4890227472232 56.1264450585263,15.4973873064066 56.1249912993783,15.5050824967133 56.1226535249043,15.5118122489183 56.1195217248976,15.5173178286592 56.115716428362,15.5213877966504 56.1113840448508,15.5238661130916 56.1066912114912,15.5246580781061 56.1018183669836)))', 'SEGHO', 'Garpahamnen, Hasslö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7004728934655 59.1138680877845,18.6998674473433 59.1089884272755,18.6974230962534 59.1042632448844,18.6932344586345 59.0998740315632,18.6874629870631 59.0959893070608,18.6803306901116 59.0927581674544,18.6721115683785 59.0903045846302,18.6631210986193 59.0887226723498,18.6537041679295 59.088073096242,18.6442219128661 59.0883807616362,18.6350379551807 59.0896338651928,18.6265045458615 59.0917843454564,18.6189491321285 59.0947497154766,18.6126618478795 59.0984162092379,18.6078843970718 59.1026431245374,18.6048007521707 59.1072681998214,18.6035300270096 59.1121138229471,18.6041218065514 59.1169938373584,18.6065541270547 59.121720687079,18.6107342016266 59.1261126273217,18.6165018813378 59.1300007231892,18.6236357348956 59.1332353653448,18.6318615247263 59.1356920486709,18.6408627589189 59.1372761873819,18.6502929115897 59.1379267768945,18.6597888332516 59.1376187575972,18.6689848215332 59.1363639867084,18.677526793895 59.1342107795202,18.6850859994725 59.1312420381332,18.6913717270973 59.1275720418234,18.6961425097978 59.1233420260248,18.6992153902698 59.1187147243132,18.7004728934655 59.1138680877845)))', 'SEGIE', 'Gillinge', 'Y'),('SRID=4326;MULTIPOLYGON(((13.2757952878259 55.3556257653123,13.2751654251715 55.3507460923181,13.2728772493266 55.3460301645243,13.2690192220303 55.3416591269816,13.2637399752772 55.3378008196888,13.2572425433438 55.33460334839,13.2497765367886 55.3321894183313,13.2416285626828 55.3306516448696,13.2331112572533 55.33004901719,13.2245513452839 55.3304046475626,13.216277173949 55.3317048901903,13.2086061865652 55.3338998624422,13.2018328037139 55.3369053489227,13.1962171652875 55.3406060171494,13.1919751575131 55.344859824395,13.1892701045194 55.3495034501738,13.1882064455022 55.3543585495762,13.1888256474575 55.3592385906372,13.1911045217122 55.3639560154789,13.194956022609 55.3683294511387,13.200232511739 55.372190692527,13.2067313746511 55.3753911872103,13.2142027829357 55.3778077696596,13.2223593071585 55.379347420715,13.230887009414 55.3799508653445,13.2394575820938 55.3795948669044,13.2477410550245 55.3782931272269,13.2554185688046 55.3760957568556,13.2621947092688 55.3730873362786,13.2678089167053 55.3693836446679,13.2720455227446 55.3651271850337,13.2747420256246 55.3604816816635,13.2757952878259 55.3556257653123)))', 'SEGIL', 'Gislövs Läge', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1431170929639 57.3372228181867,17.1419477153042 57.3323728765433,17.1390518259027 57.3277394431419,17.1345412584454 57.3235004610801,17.1285896921271 57.3198186682257,17.1214259256746 57.3168353682339,17.1133250722726 57.3146650285442,17.1045980155903 57.3133909086682,17.0955795277373 57.31306188265,17.0866154958857 57.3136905744694,17.0780497345346 57.3152528759887,17.0702108743899 57.3176888655019,17.0633998163505 57.3209050927847,17.057878220138 57.3247781455094,17.0538584620162 57.3291593637269,17.0514954454675 57.3338805255142,17.0508805836849 57.3387602894336,17.0520381948863 57.3436111496107,17.0549244628721 57.3482466382626,17.059429018729 57.3524884993991,17.0653790984754 57.3561735568398,17.0725461297047 57.359160009926,17.0806545022024 57.3613329111879,17.0893921875857 57.3626086111371,17.0984227956203 57.3629379951773,17.107398593943 57.3623083848228,17.1159739767135 57.3607440280504,17.1238188484511 57.3583051594602,17.1306313930481 57.3550856675904,17.1361497244711 57.3512094617727,17.1401619634934 57.3468256819856,17.1425143513486 57.3421029401274,17.1431170929639 57.3372228181867)))', 'SEGKV', 'Grankullavik', 'Y'),('SRID=4326;MULTIPOLYGON(((18.734858829003 59.3838576867463,18.7342445553498 59.3789783147319,18.7317768986411 59.3742538126188,18.7275513852858 59.3698656438959,18.7217308933108 59.3659822862855,18.7145393181792 59.3627527811766,18.7062529358497 59.3603010355351,18.6971897998768 59.3587210907856,18.6876975777848 59.3580735358455,18.6781402851749 59.3583831980734,18.668884412997 59.3596381979406,18.6602849635217 59.3617904024291,18.65267191348 59.3647572602041,18.6463376085753 59.3684249502332,18.6415255623463 59.3726527264512,18.6384210846845 59.3772782959616,18.6371441020978 59.3821240287375,18.6377444544076 59.3870037643156,18.6401998629344 59.3917299568912,18.6444166659419 59.3961208856183,18.6502333114755 59.4000076525897,18.6574264896615 59.4032406973727,18.6657196804948 59.4056955741175,18.6747937938901 59.4072777647172,18.6842994911089 59.4079263383431,18.6938707050808 59.4076163125507,18.7031388254505 59.4063596222183,18.7117469852691 59.4042046577224,18.7193638817359 59.4012343905846,18.7256965835675 59.3975631608823,18.7305018212828 59.3933322535637,18.7335953215267 59.3887044382064,18.734858829003 59.3838576867463)))', 'SEGLL', 'Galtholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5582634103565 62.158026039066,17.5568297285262 62.1531849463994,17.5534054170772 62.1485676372589,17.5481228275599 62.1443514078873,17.5411854323751 62.1406980854004,17.5328599350219 62.1377478393403,17.5234660054628 62.1356138293333,17.513364037292 62.1343778893353,17.5029413907575 62.1340874093347,17.4925976362254 62.1347535303346,17.4827293455629 62.1363507195422,17.473714993717 62.1388177415871,17.4659005292889 62.1420599899554,17.4595861511656 62.1459530923395,17.4550147885258 62.1503476559394,17.4523627243339 62.1550749755483,17.4517327287407 62.1599534900762,17.453149980154 62.1647957434657,17.4565609503487 62.1694155850099,17.461835318858 62.1736353329314,17.4687708648582 62.1772926244477,17.4771011663779 62.1802466857684,17.4865058220687 62.1823837764277,17.4966228053816 62.1836215934674,17.5070624701461 62.1839124611359,17.5174226551189 62.1832451794107,17.527304287042 62.1816454577951,17.536326859881 62.1791749171967,17.5441431734663 62.175928699798,17.5504527473995 62.1720317821557,17.5550133839013 62.1676341379077,17.557650432966 62.1629049412607,17.5582634103565 62.158026039066)))', 'SEGLM', 'Galtström', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3956005691601 56.933958658656,12.3950635336838 56.9290766763158,12.3927952445723 56.9243457570515,12.3888834654711 56.9199476224307,12.3834789496289 56.9160511493813,12.3767895819711 56.9128059018132,12.3690723611514 56.910336409636,12.3606235340461 56.9087374109731,12.3517672601201 56.9080702361932,12.3428432338294 56.9083604689674,12.3341937286421 56.9095969715248,12.3261505456867 56.9117323102891,12.3190223531365 56.9146845658999,12.3130828891879 56.9183404599981,12.308560472119 56.92255968184,12.3056292160061 56.9271802525051,12.3044022911439 56.9320247247785,12.30492749546 56.9369069842399,12.3071853191402 56.9416393929636,12.3110895918044 56.9460400026257,12.3164907029917 56.9499395594963,12.3231812861069 56.9531880301819,12.330904157457 56.9556603940825,12.3393622099253 56.9572614758803,12.3482298795683 56.9579296280677,12.357165737033 56.9576391181717,12.365825707659 56.9564011261528,12.3738763970484 56.9542633123446,12.3810079942417 56.9513079729111,12.3869462427191 56.947648855696,12.3914630092501 56.9434267621329,12.3943850400031 56.9388041083354,12.3956005691601 56.933958658656)))', 'SEGLN', 'Glommen', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2650607993576 58.8161653700145,11.263820266058 58.811318076668,11.2607813505748 58.8066894123168,11.2560614377643 58.8024571292917,11.2498422844529 58.798783697966,11.2423629781181 58.7958100895829,11.2339107356128 58.7936503887099,11.2248098974712 58.7923874378234,11.2154095358424 58.7920696770366,11.2060701413106 58.7927092968929,11.1971498848462 58.7942817730474,11.1889909653682 58.7967268002424,11.1819065506395 58.7999505909674,11.1761687994885 58.8038294533144,11.1719984169674 58.8082145145223,11.1695561416343 58.8129374132129,11.1689364967421 58.8178167459557,11.1701640562887 58.8226650239994,11.1731923847955 58.8272958750529,11.1779057091767 58.8315312138805,11.1841232756363 58.8352081048913,11.1916062382846 58.8381850501365,11.2000668236312 58.8403474570412,11.209179421021 58.8416120711597,11.2185931680639 58.841930199166,11.227945536364 58.8412895946109,11.2368763798091 58.8397149317511,11.2450418877072 58.8372668487509,11.2521278892704 58.8340395983401,11.2578619840928 58.8301573991325,11.2620240237682 58.8257696318959,11.2644545398623 58.821045069976,11.2650607993576 58.8161653700145)))', 'SEGLT', 'Galtö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4800409638557 62.0290571781178,17.4786262519223 62.0242151029425,17.4752287127104 62.0195956514597,17.4699796632913 62.0153762035479,17.4630812849709 62.0117187114196,17.4547987834777 62.0087635061525,17.445450181635 62.0066239389427,17.4353941390403 62.0053820578386,17.4250162605213 62.0050854811351,17.4147144056231 62.0057455835847,17.4048835442834 62.0073370626851,17.3959007187211 62.0097989012002,17.3881106682101 62.0130366904085,17.3818126518461 62.016926228065,17.3772489649035 62.0213182573655,17.3745955874653 62.0260441699566,17.3739553306613 62.0309224588204,17.3753537576064 62.0357656771123,17.3787380551915 62.0403876380438,17.3839789222615 62.0446105796964,17.3908754232022 62.048272017968,17.3991626381049 62.0512310210165,17.4085218265776 62.0533736594676,17.4185927173055 62.0546174177034,17.4289874449643 62.0549143916517,17.4393055848741 62.0542531460832,17.449149687847 62.0526591575299,17.4581406957438 62.0501938252704,17.4659326236077 62.046952089918,17.4722259265389 62.0430587544823,17.4767790268453 62.0386636539446,17.4794175561647 62.0339358642255,17.4800409638557 62.0290571781178)))', 'SEGNA', 'Gnarp', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4468377472465 56.2664840229558,16.4457926193322 56.2616263623725,16.4430652789605 56.2569754637825,16.438761055688 56.2527099501714,16.433045689988 56.2489935881041,16.4261389137041 56.2459690178255,16.4183059918469 56.2437522986616,16.4098475528441 56.242428475239,16.401088094338 56.2420483309245,16.3923635973116 56.2426264499704,16.3840087117353 56.2441406607635,16.3763439914642 56.2465328810107,16.3696636545116 56.24971133342,16.3642243270865 56.2535540492068,16.3602351962466 56.2579135283363,16.3578499473181 56.2626223814971,16.3571607994467 56.2674997409944,16.3581948772986 56.2723581975152,16.3609130711297 56.277010998316,16.3652114438606 56.2812792308174,16.370925145711 56.2849987145288,16.3778346981462 56.2880263339632,16.3856744135142 56.290245565588,16.3941426291377 56.2915709822768,16.4029133589711 56.291951558102,16.4116489060714 56.2913726431175,16.4200129381922 56.2898565301112,16.4276835089989 56.2874615909715,16.4343655097886 56.2842800169175,16.4398020610509 56.2804342519761,16.4437843983762 56.276072260388,16.44615987069 56.2713618139632,16.4468377472465 56.2664840229558)))', 'SEGNG', 'Grönhögen', 'Y'),('SRID=4326;MULTIPOLYGON(((18.1632963226115 57.5010500621914,18.1627842457978 57.4961677065248,18.1605132241541 57.4914329234572,18.1565711514792 57.4870275826444,18.1511099656685 57.4831208359003,18.1443397421574 57.4798626385675,18.1365205898704 57.4773780140073,18.12795266574 57.4757622774886,18.1189646898976 57.4750773987053,18.1099013952689 57.475349638857,18.1011103814234 57.476568550296,18.0929288624723 57.4786873758438,18.0856708022473 57.4816248327618,18.0796149168862 57.4852682147644,18.0749939955426 57.4894776961385,18.071985944776 57.4940916766738,18.0707069021735 57.4989329663247,18.0712066912931 57.5038155758199,18.0734668049865 57.5085518551186,18.0774010100896 57.512959706778,18.0828585664741 57.516869596731,18.0896299512548 57.5201310911103,18.0974548787175 57.5226186646092,18.1060323127133 57.5242365530089,18.1150320853194 57.5249224590107,18.124107667657 57.5246499650299,18.1329095894612 57.5234295573575,18.1410989759811 57.5213082209604,18.1483606656195 57.518367620832,18.1544153896964 57.5147209417834,18.1590305358559 57.5105085114729,18.1620290767602 57.5058923790593,18.1632963226115 57.5010500621914)))', 'SEGNI', 'Gnisvärd', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((17.7835369250759 60.5159551530691,17.7821488623019 60.5111151183095,17.7788730787387 60.5065015269877,17.7738361278355 60.5022915402268,17.7672319833212 60.4986467573512,17.7593145233819 60.4957070343499,17.750387761681 60.4935851413621,17.7407942024546 60.4923624596295,17.7309017613346 60.492085878635,17.7210897419096 60.4927660089555,17.7117343894629 60.494376777273,17.7031945573599 60.4968564186909,17.6957980179537 60.5001098296804,17.6898289286973 60.5040121943585,17.6855169256553 60.5084137490508,17.6830282614133 60.5131455068986,17.6824593335152 60.5180257271848,17.6838328645738 60.5228668845391,17.6870968983331 60.5274828725001,17.692126670144 60.5316961650789,17.698729299232 60.5353446596708,17.7066511381257 60.538287935212,17.7155875065094 60.5404126807207,17.725194437618 60.5416370806842,17.7351019800688 60.5419139840337,17.744928531228 60.5412327311165,17.7542956334832 60.5396195661562,17.7628426446664 60.5371366189175,17.7702406994771 60.5338794962108,17.7762054097604 60.5299735789948,17.780507806115 60.5255691717851,17.7829830984869 60.5208356957096,17.7835369250759 60.5159551530691)))', 'SEGNR', 'Grönö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9725448447845 57.6979147909122,11.9712521761475 57.6930741949681,11.9682213622022 57.6884615815944,11.9635694217648 57.6842540871306,11.9574754568231 57.6806132340036,11.9501737197095 57.677678749271,11.9419446012952 57.6755632237071,11.9331038879125 57.6743478123174,11.9239906949237 57.6740791373731,11.9149545301524 57.6747675096866,11.9063419698608 57.6763865345259,11.8984834430562 57.6788741169907,11.8916806163976 57.6821348295663,11.8861948518896 57.6860435537043,11.8822371732244 57.6904502593673,11.8799601247311 57.6951857432126,11.8794518404977 57.7000681090617,11.8807325619512 57.7049097449559,11.8837537521949 57.7095245306878,11.8883998575331 57.7137349991965,11.8944926643208 57.7173791752846,11.9017980965473 57.7203168260035,11.9100352007969 57.7224348785861,11.9188869749669 57.7236517933107,11.9280126197884 57.7239207190361,11.937060731756 57.7232313067711,11.9456829157523 57.7216101095708,11.9535472776475 57.7191195530587,11.9603512624449 57.7158555175216,11.9658333318272 57.7119436273988,11.969783024654 57.7075343947198,11.9720490123686 57.702797407542,11.9725448447845 57.6979147909122)))', 'SEGO2', 'Göteborg-Fiskhamnen', 'Y'),('SRID=4326;MULTIPOLYGON(((11.996563075969 57.7129057860707,11.9952666082272 57.7080654810866,11.9922314427841 57.7034534934714,11.9875747658382 57.6992469353031,11.9814758611937 57.6956072928426,11.9741691704773 57.6926742464956,11.96593527414 57.6905603317092,11.9570901412131 57.6893466416215,11.9479730559947 57.6890797324681,11.9389336751265 57.6897698473774,11.9303186979664 57.6913905248609,11.9224586462407 57.6938796067215,11.9156552454116 57.6971416080082,11.9101698800808 57.7010513607758,11.9062135593835 57.7054587955084,11.9039387763772 57.7101946808126,11.9034335789959 57.7150771049693,11.9047180908029 57.7199184536044,11.9077436297407 57.7245326173393,11.9123944751581 57.7287421528019,11.9184922310504 57.7323851204657,11.9258026306811 57.7353213336932,11.9340445289535 57.737437774908,11.9429007386149 57.7386529663456,11.9520302890328 57.7389201232032,11.9610816258487 57.7382289646411,11.9697062295172 57.7366061110352,11.9775721127627 57.734114051878,11.9843766623289 57.7308487253874,11.9898583187325 57.726935805741,11.9938066374917 57.7225258445827,11.9960703437721 57.7177884579309,11.996563075969 57.7129057860707)))', 'SEGO3', 'Göteborg-Lundbyhamnen', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0045653033146 57.7149028203544,12.0032676894741 57.7100626095028,12.00023133695 57.7054508263185,11.9955734775033 57.7012445749661,11.9894734402466 57.6976053298734,11.9821657101405 57.6946727561549,11.9739309073591 57.6925593710993,11.9650850355527 57.6913462475156,11.9559674072374 57.6910799199173,11.9469276998129 57.6917706091448,11.9383126251559 57.6933918317027,11.9304527087947 57.6958814085044,11.9236496711231 57.699143835621,11.9181648829784 57.7030539287635,11.9142093315345 57.7074616053317,11.9119354805027 57.71219762461,11.9114313421796 57.717080069683,11.912716999543 57.7219213253118,11.9157437265438 57.7265352856279,11.920395756819 57.7307445150187,11.9264946486964 57.7343870856775,11.9338060915922 57.7373228262027,11.9420489000967 57.7394387371877,11.9509058517613 57.7406533612729,11.9600359472602 57.7409199355066,11.9690876111747 57.7402282015003,11.977712311358 57.7386048018079,11.9855780568821 57.7361122469655,11.9923822399178 57.7328464942822,11.99786331526 57.7289332343345,12.0018108609778 57.7245230318398,12.0040736321599 57.7197855120622,12.0045653033146 57.7149028203544)))', 'SEGO4', 'Göteborg-Frihamnen', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0225683863892 57.7178961654549,12.0212682540127 57.7130561652259,12.0182293624527 57.7084448401751,12.0135690408625 57.704239276739,12.0074667126381 57.7006009228237,12.0001569503425 57.6976694092612,11.9919204517712 57.6955572126191,11.9830732853044 57.694345360109,11.9739548128749 57.6940803375114,11.9649147441384 57.6947723156541,11.9562998048547 57.6963947616502,11.9484405155295 57.6988854495196,11.9416385727934 57.7021488327211,11.9361553058433 57.7060596902597,11.9322016438694 57.7104679101398,11.9299299784114 57.7152042306947,11.9294282381137 57.7200867233171,11.930716413984 57.724927770803,11.9337456831917 57.7295412751415,11.9384001814986 57.7337498181201,11.9445013720528 57.7373914982246,11.9518148554946 57.7403261782412,11.9600593675204 57.7424408995378,11.9689176197748 57.7436542505466,11.9780485626126 57.7439195173536,11.9871005878681 57.7432264919524,11.9957251495072 57.7416018666658,12.003590262107 57.7391081992517,12.0103933424981 57.7358414898604,12.0158728882892 57.7319274658694,12.0198185368057 57.7275167213375,12.0220791164847 57.7227789022862,12.0225683863892 57.7178961654549)))', 'SEGO5', 'Göteborg-Ringökajen', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2783760320982 55.8582681841221,14.2776136946984 55.8533939656165,14.2751758879909 55.848697022823,14.2711568291573 55.8443577631332,14.2657113322201 55.8405427982908,14.2590488034716 55.8373985634613,14.2514251731765 55.8350457159386,14.2431330767215 55.8335745247736,14.2344906600087 55.833041424495,14.2258294315024 55.8334668619227,14.2174816159108 55.834834516467,14.2097674813558 55.8370919229603,14.202983112748 55.8401524737468,14.1973890889384 55.8438987252217,14.1932004903332 55.8481868850464,14.1905786176635 55.8528523115461,14.1896247424915 55.8577158179724,14.1903761372689 55.8625905428363,14.1928045493424 55.8672891246934,14.1968171917772 55.8716309066199,14.2022602273902 55.8754488928849,14.2089246246059 55.8785961883388,14.2165541687048 55.8809516697354,14.2248553239784 55.8824246670398,14.2335085654007 55.8829584707545,14.2421807365412 55.8825325269675,14.250537946772 55.8811632333575,14.2582584977217 55.8789033046253,14.2650453276425 55.8758397324153,14.2706374829733 55.8720904203167,14.2748201677693 55.8677996266203,14.2774329816245 55.8631323939834,14.2783760320982 55.8582681841221)))', 'SEGOH', 'Gropahålet', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3178722163166 60.7181298092261,17.316544583241 60.7132848083557,17.3133140045464 60.7086597369951,17.3083053152407 60.7044321994503,17.3017114215225 60.7007644698923,17.293785823167 60.6977972848304,17.2848328567369 60.6956444669601,17.2751960367348 60.6943885820912,17.2652449371176 60.6940777913503,17.2553611047618 60.694724015823,17.2459235286514 60.6963024818333,17.2372942032557 60.6987526638223,17.2298043215608 60.7019805899761,17.2237416125431 60.7058624250729,17.2193392997972 60.7102491971649,17.2167671031392 60.7149724913374,17.2161246343152 60.7198508964698,17.2174374529791 60.7246969611135,17.2206559520795 60.7293243935788,17.225657135616 60.7335552301036,17.2322492400778 60.7372266942779,17.2401790380926 60.7401974810311,17.2491415537421 60.7423532193424,17.2587918187425 60.7436108987906,17.2687582122554 60.7439220850399,17.2786568590425 60.7432747967919,17.2881065147526 60.7416939696733,17.2967433459057 60.7392404887011,17.3042350168348 60.7360088279301,17.3102935261735 60.7321233911439,17.3146862896947 60.7277336986146,17.3172450413661 60.723008609866,17.3178722163166 60.7181298092261)))', 'SEGON', 'Gröndal', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7305494899649 57.6940038096978,11.7292891989866 57.6891604773293,11.7262893259356 57.6845418139684,11.7216657043108 57.6803251899372,11.715596353106 57.6766724794281,11.7083145847982 57.67372386539,11.7001000287424 57.6715924810615,11.6912679164677 57.6703600897177,11.6821570358364 57.6700739645085,11.6731168066012 57.6707450849711,11.6644939596465 57.6723477175319,11.656619315592 57.6748203957502,11.649795155209 57.6780682639476,11.6442836543132 57.6819666969538,11.6402968197478 57.6863660607254,11.6379883114452 57.6910974352353,11.6374474694145 57.695979083876,11.6386957854483 57.700823424133,11.6416859695348 57.705444233698,11.6463036632316 57.7096638155093,11.65237175002 57.7133198450799,11.6596571099221 57.7162716341639,11.6678795667981 57.7184055661505,11.6767226862914 57.7196394899062,11.6858460047886 57.7199258989846,11.6948982089815 57.7192537706319,11.7035307449039 57.7176489918643,11.711411316878 57.7151733558635,11.7182367416624 57.711922168604,11.7237446509508 57.7080205605534,11.7277235846927 57.7036186491264,11.7300210857851 57.6988857422071,11.7305494899649 57.6940038096978)))', 'SEGOO', 'Grötö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9475356359872 57.6899240771235,11.9462466153063 57.6850831867884,11.9432196611397 57.6804699336257,11.9385716440866 57.6762614787492,11.9324815157417 57.6726193816372,11.9251833815894 57.6696834172302,11.916957494752 57.6675662331644,11.9081195180972 57.6663490481022,11.8990084624421 57.6660785523319,11.8899737539076 57.6667651264511,11.8813619129691 57.6683824446282,11.8735033408804 57.6708684773611,11.8666997056635 57.674127856547,11.861212399807 57.6780355148014,11.8572525055257 57.6824414630483,11.8549726515691 57.6871765271303,11.8544610792088 57.6920588271439,11.8557381557963 57.6969007538488,11.8587554843267 57.7015161760657,11.8633976596162 57.7057276024623,11.8694866194275 57.709373021174,11.876788436178 57.7123121515769,11.8850222961061 57.7144318640403,11.893871322514 57.7156505549756,11.9029948223577 57.7159213048384,11.9120414749986 57.7152336943479,11.9206629415763 57.7136142071139,11.92852735542 57.7111252028584,11.9353321591554 57.7078625020723,11.9408157824009 57.7039516778236,11.9447677035884 57.6995432011818,11.9470365078005 57.6948066312291,11.9475356359872 57.6899240771235)))', 'SEGOT', 'Göteborg', 'Y'),('SRID=4326;MULTIPOLYGON(((15.3626891635726 56.1278768997266,15.3617847700806 56.1230101253559,15.359198401722 56.1183353723443,15.3550299803869 56.1140321875727,15.3494400458041 56.1102657904034,15.3426435331043 56.1071807461752,15.3349014953738 56.1048954372808,15.326511091903 56.1034975402527,15.3177942237383 56.1030406786632,15.3090852448698 56.103542377095,15.3007182089269 56.1049833925901,15.2930141269898 56.1073084485264,15.2862687117601 56.1104283435697,15.2807410668807 56.1142233569674,15.2766437479448 56.1185478227508,15.2741345743318 56.1232357010941,15.2733105094735 56.12810693675,15.2742038529928 56.1329743636217,15.27678090341 56.1376508924059,15.2809431574061 56.141956705877,15.286531014175 56.1457261844774,15.2933298549167 56.1488142937487,15.3010782721243 56.1511021846729,15.3094781352909 56.1525017876263,15.318206103216 56.1529592193246,15.3269261320689 56.1524568683909,15.3353024859578 56.151014077121,15.3430127352288 56.1486863924829,15.3497602282605 56.1455634160076,15.3552855450862 56.1417653375678,15.3593764845403 56.1374382897568,15.3618761984627 56.1327487054904,15.3626891635726 56.1278768997266)))', 'SEGOX', 'Gö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5112836288525 60.3469507478403,18.5106880361157 60.3420710986132,18.5081836158907 60.3373427677004,18.5038673592236 60.3329473634017,18.4979056710458 60.3290536363447,18.4905278944439 60.3258110192174,18.4820174611244 60.3233439147351,18.4727010135244 60.3217469467063,18.4629359143632 60.3210813518775,18.4530966141562 60.3213726469502,18.4435603853065 60.3226096573557,18.4346929522347 60.3247449436963,18.4268345503318 60.3276966099146,18.4202869322852 60.331351425955,18.4153018087547 60.3355691486302,18.4120711619636 60.3401878792611,18.4107198063724 60.3450302570322,18.4113004915757 60.3499102543639,18.4137917508187 60.3546403162961,18.4180985966933 60.3590385709977,18.4240560569768 60.3629358338937,18.4314354322452 60.3661821339973,18.4399530474141 60.3686525078932,18.4492811666774 60.3702518340335,18.4590606504101 60.37091851667,18.4689148581718 60.370626873492,18.4784642480151 60.369388132064,18.4873410918746 60.367249995317,18.4952037216534 60.3642947932577,18.5017497410123 60.3606362942418,18.5067276826817 60.3564153021562,18.5099466578143 60.3517942134172,18.5112836288525 60.3469507478403)))', 'SEGR2', 'Gräsö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8992251504302 58.1913059947684,16.8980583010022 58.1864543895343,16.8951222926692 58.1818161712894,16.8905305365902 58.1775694647324,16.8844598573876 58.1738773001139,16.8771436424498 58.1708813736981,16.8688628588294 58.1686966315798,16.8599352850273 58.1674068805762,16.8507033669952 58.1670615905901,16.8415211547021 58.1676740078494,16.8327408066543 58.1692206493598,16.8246991642708 58.1716421974743,16.8177048957611 58.1748457613876,16.8120266901398 58.1787084213803,16.807882946557 58.183081923465,16.8054333528561 58.1877983484338,16.8047726812345 58.1926765417427,16.8059270496349 58.1975290606654,16.8088528071694 58.2021693739672,16.8134381032693 58.2064190379968,16.8195070967872 58.2101145722558,16.8268266569684 58.2131137674829,16.8351153074803 58.215301179936,16.8440540721601 58.2165925962632,16.8532988013447 58.2169382930305,16.8624934946798 58.2163249620813,16.8712840935305 58.214776225511,16.8793321958849 58.2123517199214,16.8863281500635 58.2091447863668,16.8920030104272 58.2052788575643,16.8961388871141 58.2009026851476,16.8985772899453 58.1961845948578,16.8992251504302 58.1913059947684)))', 'SEGR3', 'Gryt, Fyrudden', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4652405972121 58.2160964353773,11.4639958142806 58.2112507068059,11.4609843088828 58.2066261877617,11.4563223853679 58.202400472834,11.4501895526387 58.1987357832001,11.4428215721579 58.19577275854,11.4345013858091 58.1936250815673,11.425548273987 58.1923751373167,11.416305655752 58.192070869749,11.4071279892593 58.1927239530521,11.3983672610486 58.1943093458347,11.3903595666165 58.1967662449191,11.383412281739 58.2000004033681,11.3777923043099 58.2038877264809,11.3737158103126 58.2082790114784,11.3713399156074 58.2130056531632,11.3707565685465 58.2178861005601,11.371988918605 58.2227328198836,11.3749903154061 58.2273594983856,11.3796459935418 58.2315882127198,11.3857773949138 58.2352562850766,11.3931489759738 58.2382225607876,11.4014772466857 58.2403728621955,11.4104416958848 58.2416244047188,11.4196971784958 58.2419290010736,11.4288872778756 58.2412749270168,11.4376581146868 58.2396873747734,11.4456720544894 58.2372274762802,11.4526207707081 58.2339899351075,11.458237147544 58.2300993609455,11.4623055571743 58.2257054515156,11.4646701145112 58.2209772115606,11.4652405972121 58.2160964353773)))', 'SEGRD', 'Grundsund', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3048749333942 58.6821517021809,11.3036340930357 58.6773047036243,11.3006020193806 58.6726768461158,11.2958958282365 58.6684458513634,11.2896967447862 58.6647741409783,11.2822430833537 58.6618026210629,11.2738210761235 58.6596452970173,11.2647539051548 58.6583849210003,11.25538935431 58.6580698349736,11.2460865447443 58.6587121271454,11.2372022484577 58.6602871705157,11.2290772885627 58.6627345607908,11.2220235321207 58.6659604189064,11.2163119616881 58.6698409725136,11.2121622753858 58.6742272827651,11.2097344129984 58.6789509392571,11.2091223383778 58.6838305086339,11.210350327828 58.6886784925923,11.2133719223533 58.6933085300997,11.2180716014978 58.6975425675638,11.2242691314734 58.7012177201485,11.2317264344623 58.704192557708,11.2401567238893 58.7063525697606,11.2492355568066 58.7076145949221,11.2586133739241 58.707930040163,11.2679290344131 58.7072867625878,11.2768238098337 58.7057095392157,11.2849552817193 58.7032591062263,11.292010591619 58.7000298059103,11.2977185204803 58.6961459346606,11.3018599245816 58.6917569364051,11.3042761250293 58.6870316307712,11.3048749333942 58.6821517021809)))', 'SEGRE', 'Grebbestad', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5778936159998 56.3164362475802,16.5768304018421 56.3115798387115,16.5740835325377 56.3069319791302,16.5697590879805 56.3026711740407,16.5640235842012 56.2989610082651,16.5570975242508 56.2959438834497,16.5492469107703 56.2937355727067,16.5407730484149 56.292420797847,16.5320010242184 56.2920499951766,16.5232672995733 56.292637390878,16.5149068777917 56.2941604578785,16.5072405256173 56.2965607745389,16.5005625252972 56.2997462532247,16.4951294159218 56.3035946556168,16.4911501490193 56.3079582632389,16.4887780345074 56.3126695278116,16.4881047901144 56.3175474883016,16.4891569318426 56.3224047113755,16.4918946570463 56.3270544906509,16.4962132779374 56.331318028668,16.5019471650869 56.3350313245417,16.5088760615636 56.3380515000969,16.5167335328937 56.3402623177735,16.5252172303775 56.3415786741023,16.5340005696704 56.3419498920124,16.5427453667565 56.3413616821047,16.5511149326425 56.3398366954078,16.5587871084768 56.3374336458175,16.5654667254142 56.3342450370328,16.5708969982518 56.3303935839022,16.5748694073009 56.3260274693489,16.5772316866907 56.3213146233093,16.5778936159998 56.3164362475802)))', 'SEGRG', 'Gräsgård', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8549250240815 60.1038188214708,18.8542820698396 60.0989403453576,18.851745902679 60.0942182067829,18.8474147159514 60.0898337745754,18.8414554712866 60.0859553775491,18.8340974040582 60.0827318604687,18.8256231800792 60.0802868944269,18.8163580484261 60.0787142556637,18.8066574048123 60.0780742494963,18.7968932339264 60.0783914125952,18.7874399365888 60.0796535789159,18.7786600678716 60.0818123438441,18.770890515168 60.0847849092284,18.7644296305929 60.088457240681,18.7595258002344 60.0926884195334,18.7563678842014 60.0973160267953,18.7550778969751 60.1021623569899,18.7557062186551 60.1070412273099,18.7582295362206 60.1117651234749,18.7625516125521 60.1161524090795,18.7685068729959 60.1200343209067,18.775866688744 60.1232614790957,18.7843481277915 60.1257096582278,18.7936248426355 60.1272845928984,18.8033396741257 60.1279256282584,18.813118477594 60.1276080709519,18.8225846245374 60.1263441470379,18.8313736036458 60.124182528709,18.8391471405522 60.121206448522,18.8456062765872 60.1175304759617,18.8505028918663 60.1132960840221,18.8536492247136 60.1086661808562,18.8549250240815 60.1038188214708)))', 'SEGRH', 'Grisslehamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2678953659147 58.6961653296032,11.2666591077452 58.6913179546353,11.2636306535502 58.6866892119857,11.2589269812262 58.6824568575454,11.2527292203779 58.6787833652296,11.2452756355723 58.6758097095469,11.2368524568078 58.673649977789,11.2277829114975 58.6723870143721,11.218414874605 58.6720692603772,11.2091076006544 58.6727089062315,11.2002180322485 58.6742814263731,11.1920871939252 58.6767265133064,11.1850271774326 58.6799503764303,11.1793092048253 58.6838293201336,11.1751532194929 58.6882144676209,11.1727194029502 58.6929374534422,11.1721019480034 58.6978168703289,11.1733253383152 58.7026652261481,11.176343292595 58.7072961458363,11.1810404314623 58.7115315420686,11.1872366199738 58.7152084778453,11.1946938329405 58.718185454422,11.2031252880124 58.7203478789309,11.2122064977846 58.721612497008,11.221587811483 58.721930615665,11.2309079533064 58.7212899889577,11.2398080216317 58.7197152917745,11.2479453934027 58.7172671630466,11.255006982215 58.7140398564612,11.2607213266463 58.7101575918654,11.264869035667 58.7057697516301,11.2672911877568 58.7010451111511,11.2678953659147 58.6961653296032)))', 'SEGRM', 'Grönemad', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7338159673126 57.8763692399834,16.7326824538505 57.8715157297888,16.7297941980685 57.8668732473583,16.7252627664646 57.8626200837102,16.7192626614358 57.8589195199166,16.7120245604208 57.8559135775187,16.7038264366042 57.8537175894644,16.6949829045319 57.852415795838,16.6858331957869 57.8520581294088,16.6767282167591 57.8526583110709,16.6680171715933 57.8541933262009,16.6600342480249 57.8566043015055,16.6530858617807 57.8597987498114,16.6474389365362 57.8636540992029,16.6433106614018 57.8680223746836,16.6408601171837 57.8727358567991,16.6401820972816 57.8776135040135,16.6413033705944 57.8824678955345,16.6441815443234 57.8871124300013,16.648706586871 57.8913685039925,16.6547049685177 57.8950723933631,16.6619462741972 57.8980815702829,16.6701520428471 57.9002802093774,16.6790064960656 57.9015836669647,16.6881687396227 57.901941756952,16.6972859588136 57.9013406939621,16.7060070860368 57.899803626793,16.7139963986538 57.8973897411428,16.720946508265 57.8941919672593,16.7265902288311 57.8903333833471,16.7307108591279 57.885962456829,16.7331504822074 57.8812473107551,16.7338159673126 57.8763692399834)))', 'SEGRR', 'Grundemar', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6024934391883 56.8398822596165,12.6019304273207 56.8350009032567,12.599641285934 56.8302735196041,12.5957145740289 56.8258816932934,12.5903016122873 56.8219940583598,12.583610604317 56.8187598392659,12.5758986073496 56.8163031429338,12.5674616651592 56.8147182170878,12.5586234805886 56.8140658529275,12.5497230554823 56.8143710666572,12.5411017609364 56.8156221462897,12.5330903199255 56.8177710991235,12.5259961872155 56.8207354830896,12.5200917979977 56.8244015535515,12.5156041271266 56.8286286078674,12.5127059557802 56.833254364783,12.5115091827393 56.8381011761357,12.5120604446747 56.8429828359151,12.5143392257824 56.8477117277423,12.5182585443187 56.8521060373773,12.5236682051757 56.8559967527216,12.530360507278 56.8592341803483,12.538078196377 56.8616937248654,12.5465243621248 56.8632807049376,12.555373897475 56.8639340166273,12.564286072527 56.8636284994774,12.5729177273592 56.8623759116681,12.5809365617358 56.8602244755075,12.5880339953186 56.8572570111293,12.5939370903908 56.8535877321351,12.598419069123 56.8493578296365,12.6013080169151 56.8447300184972,12.6024934391883 56.8398822596165)))', 'SEGSH', 'Grimsholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((17.024333357246 58.2752590787099,17.0231464327091 58.2704088036611,17.0201869746275 58.2657736672365,17.0155692966134 58.2615316745317,17.0094712186929 58.257845673604,17.0021271784739 58.2548571230942,16.9938192080975 58.2526806852894,16.9848661257321 58.2513998479755,16.9756113523974 58.2510637390456,16.9664098118504 58.2516852527999,16.9576144022124 58.2532405577877,16.9495625424015 58.2556700045979,16.9425632940162 58.2588803999259,16.9368855401225 58.2627485622838,16.9327476667217 58.2671260265906,16.9303091411751 58.2718447212774,16.9296643155628 58.2767234040406,16.9308387034244 58.2815746124494,16.9337878877159 58.2862118645127,16.9383991189159 58.2904568330489,16.944495558469 58.2941462169578,16.9518430181972 58.2971380425707,16.9601589453735 58.2993171489952,16.9691233104796 58.3005996421717,16.9783909747991 58.3009361421165,16.9876050520358 58.3003136950009,16.9964107354681 58.2987562743714,17.0044690420849 58.2963238517273,17.0114699288215 58.2931100734173,17.0171442631916 58.2892386359579,17.0212741797883 58.2848585030342,17.0237014226024 58.2801381524873,17.024333357246 58.2752590787099)))', 'SEGSM', 'Gräsmarö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4544415090904 56.7744783713741,16.4533802313683 56.7696212392802,16.4506141835656 56.7649710711114,16.4462501998731 56.7607064596765,16.4404563281891 56.756991133858,16.4334553202563 56.7539676906207,16.4255160569654 56.7517521426006,16.4169432404735 56.7504294866318,16.4080657454145 56.7500504594453,16.3992240676238 56.7506296018752,16.3907573395023 56.7521447038493,16.3829903958064 56.754537650922,16.3762213720123 56.7577166408729,16.3707102994712 56.761559687715,16.3666691276736 56.7659192820745,16.3642535547131 56.7706280330082,16.3635569835403 56.7755050785337,16.3646068453678 56.7803630219021,16.3673634447229 56.7850151292256,16.3717213858541 56.7892825124776,16.3775135407899 56.7930010207918,16.3845174191497 56.7960275726975,16.392463703049 56.798245682292,16.4010466215076 56.7995699627639,16.4099357619573 56.799949430066,16.4187888556546 56.7993694763606,16.427265032228 56.7978524352292,16.4350380184787 56.7954567163371,16.4418087590078 56.7922745438898,16.4473169611098 56.7884283883805,16.4513511122949 56.7840662324492,16.4537565832951 56.7793558570146,16.4544415090904 56.7744783713741)))', 'SEGSN', 'Gärdsholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0747189496926 59.2787296183102,19.0740575608058 59.2738515712082,19.0715499934927 59.2691332610902,19.0672932981803 59.2647559114931,19.0614515401466 59.2608875833292,19.054249421394 59.257676740494,19.0459636143381 59.2552465739565,19.0369121449949 59.2536902979751,19.0274422312344 59.2530675945996,19.0179170343643 59.2534023390581,19.0087018187757 59.254681690578,19.0001500340109 59.2568565823215,18.9925898361052 59.2598435921402,18.9863115503945 59.2635281244995,18.9815565463924 59.2677687849176,18.9785079473687 59.2724027832625,18.9772835338055 59.2772521628809,18.977931122353 59.2821306202555,18.9804266122099 59.2868506560407,18.9846747916303 59.291230783983,18.9905128918047 59.2951025201931,18.9977167676103 59.2983168819315,19.0060094791398 59.3007501425081,19.0150719492358 59.3023086166243,19.0245552852624 59.3029322875836,19.0340942824901 59.3025971328518,19.0433215755443 59.3013160556619,19.0518818761962 59.2991383855699,19.0594457319448 59.2961479677035,19.0657222605844 59.2924599164417,19.0704703601034 59.2882161619874,19.0735079583792 59.2835799655108,19.0747189496926 59.2787296183102)))', 'SEGSR', 'Grönskär', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9471486619017 63.1808077529002,18.9464332524615 63.1759314287867,18.9436268533058 63.1712118290181,18.9388382275343 63.1668302098162,18.9322520450871 63.1629547686869,18.9241216881554 63.1597342089685,18.9147594718409 63.157292059874,18.9045246621199 63.1557219650475,18.8938097484306 63.1550841152782,18.883025486396 63.1554029577166,18.8725852664085 63.1566662662531,18.8628893855381 63.1588256072939,18.8543098032507 63.1617981836479,18.8471759457356 63.1654699882909,18.8417620894094 63.1697001510547,18.8382768018075 63.1743263164294,18.8368548483735 63.1791708512397,18.8375518878852 63.1840476484423,18.8403421793543 63.1887692690248,18.8451194119269 63.193154149116,18.8517006501761 63.1970335947701,18.8598332646257 63.2002582929969,18.8692045964944 63.2027040845323,18.8794539920491 63.2042767712032,18.8901867412886 63.2049157676343,18.9009893732833 63.2045964521057,18.9114457009739 63.203331122751,18.921152975035 63.2011685208162,18.9297375014926 63.198191939935,18.9368691014582 63.1945159967849,18.9422738422136 63.1902821915842,18.94574454399 63.1856534343699,18.9471486619017 63.1808077529002)))', 'SEGSS', 'Grisslan', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0681511922174 57.3890836063654,12.0676528755328 57.3842009256026,12.0654006529086 57.3794645401295,12.0614816922807 57.3750563822243,12.0560470419177 57.3711457130604,12.0493057582683 57.3678826397073,12.0415168409532 57.3653923736383,12.0329792894803 57.3637704472813,12.0240206622329 57.3630790681357,12.0149845698821 57.363344746725,12.0062175715156 57.3645572867354,11.9980559617789 57.3666701747991,11.9908129408672 57.369602355253,11.9847666462334 57.3732413235921,11.9801494956462 57.3774474229857,11.9771392462779 57.3820591828287,11.9758521147466 57.3868994984783,11.9763382298511 57.391782418573,11.9785796050184 57.3965202819588,11.9824907237378 57.4009309313591,11.9879217316008 57.4048447262936,11.9946641266989 57.408111083823,12.0024587402067 57.4106042924876,12.0110057054244 57.4122283718757,12.0199760308107 57.4129207867078,12.0290243247561 57.4126548687861,12.0378021705879 57.4114408508608,12.0459716222302 57.4093254712992,12.0532182856296 57.4063901650732,12.0592634688 57.4027479125583,12.0638749231862 57.3985388705713,12.0668757588126 57.3939249577,12.0681511922174 57.3890836063654)))', 'SEGTT', 'Gottskär', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5486119354684 64.3967960503668,21.5474081080562 64.3919370998473,21.5440377379086 64.3872730824372,21.5386312973531 64.3829830905412,21.5313971776012 64.3792317756125,21.5226135858432 64.3761630527476,21.5126178233292 64.3738946074867,21.5017933609652 64.3725134102436,21.4905552032482 64.372072405141,21.4793340877177 64.3725884957996,21.4685601047477 64.3740419024067,21.4586463410356 64.3763769137666,21.4499731494118 64.379504006649,21.4428736275902 64.3833032542551,21.4376208493787 64.3876288976298,21.4344173340883 64.3923149099953,21.4333871642154 64.3971813458047,21.4345710692883 64.4020412352875,21.4379246871491 64.4067077627019,21.443320095851 64.4110014535188,21.4505505836858 64.4147570931592,21.4593384963976 64.4178301081286,21.469345874918 64.4201021594524,21.4801874799121 64.4214857277253,21.4914456970697 64.4219275078556,21.5026867349752 64.4214104782314,21.5134774702457 64.4199545616147,21.5234022657952 64.4176158513288,21.5320790892995 64.4144844337328,21.5391742901316 64.4106808940245,21.544415452323 64.4063516445922,21.5476018249994 64.401663261202,21.5486119354684 64.3967960503668)))', 'SEGUA', 'Gumhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4337647217771 59.3259698158832,18.4331945052133 59.3210893241278,18.4307728058627 59.3163594374677,18.4265933853347 59.3119618287075,18.420817354966 59.3080653402483,18.4136669088234 59.3048195192181,18.4054167510455 59.3023488997759,18.3963835520182 59.3007482478639,18.3869138365506 59.3000789465198,18.3773707607214 59.3003666565576,18.3681202713644 59.301600339551,18.3595171626128 59.3037326792891,18.3518915472295 59.3066818859222,18.345536246587 59.3103348156071,18.3406955723423 59.3145512893209,18.3375559256092 59.3191694493008,18.3362385766453 59.3240119519049,18.3367949110946 59.3288927630511,18.3392043395988 59.3336242981147,18.3433749686718 59.3380246333371,18.3491470253968 59.3419245112387,18.3562989206619 59.3451738686801,18.3645557297167 59.3476476331156,18.3735997695808 59.3492505598057,18.3830828650252 59.3499209193975,18.3926398229876 59.3496328899682,18.401902583201 59.3483975585686,18.4105144834036 59.3462624923651,18.4181440724145 59.3433098962879,18.424497923916 59.3396534301924,18.4293319468736 59.3354338114881,18.432460752774 59.3308133767333,18.4337647217771 59.3259698158832)))', 'SEGUB', 'Gustavsberg', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0625155863997 60.5091221496708,18.0619851724243 60.5042411323776,18.0595344864193 60.4995049042109,18.0552584696289 60.4950953796256,18.0493219973575 60.4911818531889,18.0419534594725 60.4879145182131,18.0334359451016 60.485418725532,18.024096376022 60.4837901984021,18.0142930043865 60.4830913825551,18.0044017459254 60.4833490673339,17.9948018585779 60.4845533661712,17.9858614980149 60.4866580940831,17.9779236854511 60.4895825280391,17.9712932094524 60.4932144847448,17.9662249523486 60.497414601247,17.9629140838444 60.5020216584803,17.9614885003161 60.5068587480471,17.9620038094277 60.511740049624,17.9644410679811 60.5164779617667,17.968707378937 60.5208903136511,17.9746393446173 60.5248073802799,17.9820092612464 60.5280784293794,17.9905338297999 60.5305775446738,17.9998850545679 60.5322084970682,18.009702908924 60.5329084716054,18.0196092722707 60.5326505025423,18.0292225870823 60.531444519726,18.0381726534755 60.5293369645113,18.0461149726118 60.5264089903611,18.0527440698447 60.5227733195325,18.0578052727534 60.51856988042,18.0611044855734 60.5139603979258,18.0625155863997 60.5091221496708)))', 'SEGUE', 'Gudinge', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2221704082411 58.8941806923967,11.2209328153949 58.8893330216747,11.2178925172394 58.8847034068954,11.2131669556979 58.8804696368153,11.2069381076891 58.8767942385961,11.1994454348919 58.8738182585048,11.1909766678433 58.8716558715709,11.1818567805016 58.8703900227974,11.1724355740828 58.8700692630551,11.1630743363156 58.8707058977112,11.154132073352 58.8722755169629,11.1459518258779 58.8747179254382,11.1388475782551 58.8779394366182,11.1330922498225 58.8818164467577,11.1289072210808 58.8862001549564,11.1264537950248 58.8909222525301,11.125826926402 58.8958013674437,11.1270514707289 58.9006500197441,11.1300811126566 58.905281822937,11.1348000325746 58.9095186551006,11.1410272646934 58.9131975228993,11.1485235933424 58.9161768518541,11.1570007314175 58.9183419571012,11.1661324305487 58.9196094797984,11.1755670912801 58.9199306142345,11.1849413775819 58.9192929979984,11.1938942967777 58.91772119033,11.2020811858662 58.9152757197685,11.2091870493616 58.9120507390083,11.2149387219269 58.9081703800069,11.2191153796376 58.903783953498,11.2215569939133 58.8990601820034,11.2221704082411 58.8941806923967)))', 'SEGUH', 'Gullnäsholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4471961267282 58.1821034259355,11.445955107052 58.177257471064,11.4429489262261 58.1726324655738,11.4382936829644 58.1684060230172,11.4321686290535 58.164740392826,11.4248092272998 58.1617762510954,11.416498090824 58.1596273236747,11.4075541536469 58.1583760437655,11.3983204839408 58.158070406659,11.3891511976869 58.1587221390638,11.380397960855 58.1603062512982,11.3723965820708 58.1627619891266,11.3654541948077 58.1659951499467,11.359837508475 58.1698816771257,11.3557625716741 58.1742723982636,11.3533864390178 58.1789987297176,11.352801066312 58.1838791324321,11.3540296791573 58.1887260744479,11.3570257693106 58.1933532346637,11.3616747742704 58.1975826714904,11.367798391977 58.2012516796462,11.3751613782766 58.2042190687717,11.3834805743367 58.2063706186307,11.3924358191389 58.2076234967785,11.4016823230256 58.2079294646061,11.4108640161243 58.2072767450555,11.4196273436326 58.2056904780926,11.4276349607101 58.2032317459916,11.4345787841616 58.1999952072061,11.4401918859344 58.1961054326339,11.4442587631471 58.1917120890607,11.446623588187 58.1869841593704,11.4471961267282 58.1821034259355)))', 'SEGUL', 'Gullholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0687620335304 56.189983212195,15.0678933464781 56.1851143509537,15.0653384987018 56.1804335085723,15.0611962066531 56.176120467536,15.0556260129337 56.172340826842,15.0488421011127 56.1692396607748,15.0411050460885 56.1669359704247,15.0327118197958 56.1655181371286,15.0239844333326 56.165040548525,15.0152576436809 56.1655215234775,15.006866185101 56.1669426133407,14.9991320013674 56.1692493056282,14.9923519549843 56.1723531038409,14.9867864733795 56.1761349058074,14.9826495601157 56.1804495541171,14.9801005520057 56.1851313878059,14.9792379416991 56.1900005859935,14.9800955113003 56.1948700631328,14.9826409379251 56.1995526532153,14.9867769394058 56.2038683076845,14.9923449308237 56.2076510296723,14.9991310638928 56.2107552757954,15.0068744255524 56.2130615760526,15.0152770837406 56.2144811517718,15.0240155914379 56.2149593500459,15.0327534985527 56.2144777591945,15.041154378289 56.2130549216278,15.0488948525856 56.2107456159052,15.0556771012582 56.2076387363978,15.061240361603 56.2038538543763,15.0653709682266 56.1995365961618,15.067910544446 56.1948530200522,15.0687620335304 56.189983212195)))', 'SEGUO', 'Guö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8242618695033 56.6417996281966,12.8236724345971 56.6369189503172,12.8213667907409 56.63219539103,12.8174341210977 56.6278103872139,12.8120259658957 56.6239323107664,12.8053503366634 56.6207100196954,12.7976636954256 56.6182671641016,12.7892611111316 56.6166974618377,12.7804649697042 56.6160611212381,12.7716126640584 56.616382544717,12.7630437251546 56.6176493988595,12.7550868739653 56.6198130855509,12.7480474768071 56.6227905964683,12.742195872805 56.6264676816477,12.7377570125554 56.6307032135963,12.7349018019301 56.6353345832487,12.7337404853473 56.640183924576,12.7343183301486 56.6450649323493,12.736613789881 56.6497900137351,12.7405392318203 56.6541775001292,12.7459442160917 56.6580586416847,12.7526212139146 56.6612841137588,12.7603135549114 56.6637297819721,12.7687253023978 56.6653015002754,12.7775326754372 56.6659387534102,12.7863965712012 56.6656170000367,12.7949756942358 56.6643486237934,12.8029397731256 56.6621824545216,12.8099823412028 56.6592018784949,12.8158325766012 56.655521612313,12.8202657370847 56.6512832677471,12.8231117845209 56.6466498820577,12.8242618695033 56.6417996281966)))', 'SEGVK', 'Grötvik', 'Y'),('SRID=4326;MULTIPOLYGON(((17.222812406859 60.6781661853707,17.2215008288146 60.6733201363222,17.2182879769971 60.668692659586,17.2132980050233 60.6644614527571,17.2067231011231 60.6607889317157,17.198816037913 60.6578160175474,17.1898804431533 60.655656753232,17.1802591676099 60.6543939520876,17.1703211914906 60.6540760404966,17.1604475601811 60.6547152124349,17.1510168722739 60.6562869643798,17.1423908577016 60.6587310279388,17.134900580907 60.6619536657246,17.1288337834548 60.6658312452995,17.124423842568 60.6702149581321,17.1218407673563 60.6749365070954,17.1211845839925 60.6798145486677,17.1224813763172 60.6846616461319,17.1256821515173 60.6892914689816,17.1306645945303 60.6935259624476,17.1372376633448 60.69720221029,17.1451488647244 60.7001787240516,17.1540939409139 60.7023409127468,17.1637285976874 60.7036055178462,17.1736818176631 60.7039238383312,17.1835702347118 60.7032836179751,17.1930129992419 60.7017095199132,17.2016465427635 60.6992621697138,17.2091386546217 60.6960358051261,17.2152013138849 60.6921546259598,17.2196017733362 60.6877679887511,17.2221714673296 60.6830446358359,17.222812406859 60.6781661853707)))', 'SEGVX', 'Gävle', 'Y'),('SRID=4326;MULTIPOLYGON(((15.1147247659476 56.1579665813943,15.1138509929882 56.1530980203364,15.1112926881165 56.1484181050479,15.1071486989618 56.1441065822201,15.1015786317436 56.1403289924954,15.0947966638872 56.1372303314862,15.0870632948155 56.134929504295,15.0786753546735 56.1335147826009,15.0699546519247 56.1330404348727,15.0612356877817 56.1335246558096,15.0528528972652 56.1349488723212,15.0451278927136 56.1372584519328,15.0383571854813 56.1403647871995,15.0328008453843 56.1441486783079,15.0286725254583 56.1484648872831,15.0261312324264 56.1531476928141,15.0252751619473 56.1580172362649,15.0261378437228 56.1628864184387,15.0286867569176 56.1675680843643,15.0328244836991 56.1718822208324,15.0383923712382 56.1756628892981,15.0451765739487 56.1787646254387,15.052916252174 56.1810680559906,15.0613136152587 56.1824845129361,15.0700454201805 56.1829594636298,15.0787754755193 56.1824746215762,15.0871676577174 56.1810486544251,15.0948989246373 56.1787364611709,15.1016718115368 56.1756270471624,15.1072259167679 56.1718400809237,15.1113479275354 56.1675212685899,15.1138797976296 56.1628367278098,15.1147247659476 56.1579665813943)))', 'SEGYO', 'Gyön', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9458024325646 59.3397783427069,18.945158530629 59.334899786178,18.9426645640077 59.3301791153968,18.9384170651552 59.3257976452877,18.9325797508301 59.3219235953662,18.9253771566182 59.3187056492135,18.9170859763564 59.3162672701546,18.9080244440201 59.3147019871026,18.8985401637633 59.3140698271127,18.8889968467238 59.314395027682,18.8797604498836 59.315665113823,18.8711852320901 59.3178313740909,18.8636002450067 59.3208107177819,18.8572967622435 59.3244888441612,18.8525171184553 59.3287246055425,18.8494453823133 59.3333554010079,18.8482002238585 59.3382033981216,18.8488302592127 59.3430823476414,18.8513120658941 59.3478047322943,18.8555509626869 59.3521889762349,18.8613845424189 59.3560664376577,18.8685888380661 59.359287913612,18.8768868967673 59.361729403392,18.8859594373691 59.3632969045049,18.8954571798081 59.3639300522154,18.9050143634475 59.3636044586543,18.9142629202372 59.3623326586388,18.9228467400857 59.3601636245363,18.9304354617457 59.3571808693422,18.9367372430553 59.3534992131622,18.9415100083944 59.3492603410627,18.9445707362756 59.3446273275394,18.9458024325646 59.3397783427069)))', 'SEHA2', 'Harö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5449804336083 58.0210688414595,11.5437323763064 58.0162237882016,11.5407277137483 58.0116009761108,11.5360824785892 58.0073779345849,11.5299755320126 58.0037167830306,11.5226416375962 58.0007580265409,11.5143624279871 57.9986151853888,11.5054556132002 57.9973704603165,11.4962628404618 57.9970715959887,11.4871366616156 57.9977300597587,11.4784270942723 57.9993206036882,11.470468276573 58.0017822262436,11.4635657124069 58.0050204980061,11.4579845842093 58.0089111648259,11.4539395743782 58.0133048938439,11.4515865845511 58.0180329843911,11.4510166755311 58.0229138285337,11.4522524711377 58.0277598764249,11.4552471788362 58.0323848408942,11.4598862815078 58.0366108648642,11.4659918515866 58.0402753748787,11.4733293350575 58.0432373545497,11.4816165528754 58.0453827929038,11.4905345758489 58.0466290937976,11.4997400504051 58.0469282726614,11.5088784909603 58.0462688142566,11.5175980131668 58.0446761179457,11.525562963345 58.0422115129437,11.5324669039933 58.0389698827204,11.5380444431228 58.0350759927208,11.5420814447415 58.0306796665037,11.5444232263905 58.0259500001375,11.5449804336083 58.0210688414595)))', 'SEHA3', 'Härön', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9675853249274 65.7708353261719,23.9658628539199 65.76600204199,23.961879903432 65.7613996212896,23.95579053528 65.7572047604928,23.9478293657222 65.7535784291782,23.9383024578059 65.7506597201205,23.9275755418341 65.7485605443261,23.9160600191503 65.7473613688212,23.9041972781115 65.7471081551644,23.8924419058684 65.7478106116812,23.8812444147747 65.7494418237919,23.8710341176312 65.7519392761264,23.862202781412 65.7552072289872,23.8550896646275 65.7591203617549,23.849968499202 65.7635285486391,23.8470369140587 65.768262589342,23.8464087153346 65.7731406802696,23.8481093387085 65.7779753823445,23.8520746749683 65.7825808205383,23.8581533439023 65.7867798390443,23.8661123581171 65.7904108353115,23.8756459827073 65.7933340063689,23.8863874648257 65.7954367619102,23.8979231855674 65.7966380899237,23.909808681598 65.7968917011498,23.9215859015154 65.7961878267364,23.9328010068467 65.794553597126,23.9430220031809 65.7920519870767,23.9518554946952 65.788779369262,23.9589618947653 65.7848617744983,23.9640684940346 65.7804500078737,23.9669798811473 65.7757138146677,23.9675853249274 65.7708353261719)))', 'SEHAA', 'Haparanda', 'Y'),('SRID=4326;MULTIPOLYGON(((12.9122956306634 56.6677678538344,12.9116944822019 56.6628875285733,12.9093762834573 56.6581655291578,12.9054307000119 56.653783231849,12.9000097674109 56.6499089039807,12.893321986509 56.646691259154,12.8856242841209 56.6442537688221,12.8772121519214 56.6426899448291,12.8684083406054 56.6420597700299,12.8595505362143 56.6423874104896,12.8509784801712 56.6436602945657,12.8430210132883 56.6458295930891,12.8359835264866 56.648812082632,12.8301362871716 56.652493322257,12.8257040803963 56.6567320249154,12.8228575586942 56.6613654595196,12.8217066347289 56.6662156802675,12.822296178092 56.6710963475357,12.8246041936211 56.6758198808869,12.8285425660347 56.6802046705327,12.8339603576025 56.6840820697043,12.8406495456662 56.6873028972226,12.8483529891863 56.6897431970985,12.8567743224543 56.6913090297596,12.8655893939952 56.6919401065491,12.8744588034979 56.6916121240818,12.8830410427633 56.6903377060678,12.8910057206747 56.6881659152048,12.8980463484979 56.6851803543574,12.9038921806378 56.6814959320414,12.9083186462741 56.6772544198412,12.9111559669112 56.6726189765714,12.9122956306634 56.6677678538344)))', 'SEHAD', 'Halmstad', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4529898776818 61.9990678123396,17.4515809539266 61.9942254125016,17.4481909390355 61.9896052400409,17.4429508598099 61.9853847029071,17.4360625525965 61.9817257955353,17.427790836767 61.9787689036999,17.4184533221351 61.9766274436184,17.4084082442827 61.9753835361553,17.3980407889977 61.9750848774072,17.3877484175118 61.9757429219342,17.3779257371417 61.9773324460121,17.3689494768377 61.979792507172,17.3611641238249 61.9830287646307,17.3548687560175 61.9869170746977,17.350305565438 61.9913082275351,17.3476505110365 61.996033648396,17.3470064660538 62.0009118492283,17.348399136927 62.005755386774,17.3517759299168 62.0103780622831,17.3570078311348 62.0146020867403,17.3638942492651 62.0182649347979,17.3721706525376 62.0212256207482,17.3815187175227 62.0233701507535,17.3915786024445 62.0246159365803,17.4019628672697 62.0249149961674,17.4122714916609 62.0242558139304,17.4221073939387 62.0226637868,17.4310918322358 62.0202002383131,17.438879074305 62.0169600401675,17.4451697546462 62.0130679359879,17.4497223948662 62.0086737132309,17.4523626422127 62.0039464140099,17.4529898776818 61.9990678123396)))', 'SEHAE', 'Hårte', 'Y'),('SRID=4326;MULTIPOLYGON(((18.6388541515968 60.0618999197411,18.6382438042656 60.0570205759243,18.6357416970302 60.0522944873334,18.631444715303 60.0479031763492,18.6255185097134 60.044015237531,18.6181910514231 60.0407798831578,18.6097438365732 60.0383212393568,18.6005010830538 60.036733607416,18.59081733248 60.0360778676258,18.581063924461 60.036379159642,18.5716148479249 60.0376259254961,18.5628324948049 60.0397703506518,18.5550538445206 60.0427301866271,18.5485775933625 60.0463918873849,18.5436527113415 60.0506149426484,18.5404688607988 60.0552372461873,18.5391490469578 60.0600812975475,18.5397447919958 60.0649610031458,18.5422340330503 60.0696888184472,18.546521843466 60.0740829581958,18.5524439688636 60.0779743971791,18.5597730592575 60.0812133902502,18.5682273700379 60.083675257323,18.5774816030262 60.0852652063949,18.5871794689611 60.0859220044125,18.5969474792937 60.0856203506141,18.6064094220218 60.0843718580465,18.6152009464484 60.082224604123,18.6229836769069 60.0792612679807,18.6294582959411 60.0755959285258,18.6343760820205 60.0713696499935,18.6375484530991 60.066745029327,18.6388541515968 60.0618999197411)))', 'SEHAK', 'Hallstavik', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7214189948056 57.5673758361961,16.7202975350534 57.5625219265491,16.717436108174 57.5578788033368,16.7129452382353 57.5536247836333,16.7069978617942 57.5499231834028,16.6998226282832 57.5469160662711,16.6916950988979 57.5447188125028,16.6829271842964 57.5434157125827,16.6738552228123 57.5430567505614,16.6648271474854 57.5436556973601,16.6561892210835 57.5451895851698,16.6482728328522 57.5475995825969,16.6413818487241 57.5507932380588,16.6357809881803 57.5546480078549,16.6316856661732 57.5590159370868,16.6292536881556 57.5637293178388,16.6285791213505 57.5686071113808,16.6296885874884 57.573461891052,16.6325401334673 57.5781070412127,16.6370247394962 57.5823639362051,16.642970422643 57.5860688223287,16.6501487912673 57.5890791357102,16.6582838068838 57.5912790094851,16.6670624191244 57.5925837542954,16.6761466610353 57.5929431356706,16.6851867299899 57.5923433188464,16.6938345372964 57.5908074040856,16.7017571894303 57.5883945313672,16.708649866838 57.5851975900116,16.7142475922551 57.5813396239669,16.7183354280269 57.5769690747311,16.7207567084127 57.5722540490912,16.7214189948056 57.5673758361961)))', 'SEHAM', 'Hamnö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5120190478982 60.1739488066818,18.511425844468 60.1690690631894,18.5089338814377 60.1643407139111,18.5046396620106 60.1599453685698,18.49870873773 60.1560517766809,18.4913692665285 60.1528093671516,18.4829032091763 60.1503425361782,18.4736355077444 60.1487458983412,18.4639216597429 60.14808067861,18.454134156087 60.1483723796743,18.4446482889852 60.1496098111969,18.4358278566024 60.1517455168854,18.4280112946541 60.1546975834187,18.4214987508994 60.1583527639465,18.4165405870415 60.1625707998144,18.4133277443157 60.1671897790209,18.4119843449146 60.1720323302797,18.4125628227115 60.1769124189352,18.4150417854243 60.1816424866808,18.4193267090279 60.1860406621732,18.4252534571849 60.1899377650328,18.4325945077434 60.1931838318394,18.441067659495 60.1956539096092,18.4503468903131 60.1972528894657,18.4600749474422 60.1979191898876,18.4698771767522 60.1976271436593,18.4793760441828 60.1963879936664,18.4882057723844 60.1942494578234,18.4960265104383 60.1912938803175,18.5025374748152 60.1876350425132,18.5074885442624 60.1834137598518,18.5106898576067 60.1787924386293,18.5120190478982 60.1739488066818)))', 'SEHAN', 'Hargshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8825536072855 56.0100504682063,14.8817123991116 56.0051801777596,14.8791919666966 56.0004953760264,14.8750897001871 55.9961759994825,14.8695636034747 55.9923878923781,14.8628261682245 55.9892764558177,14.8551361888402 55.9869610864969,14.8467888357454 55.9855306148023,14.8381043655909 55.985039913574,14.8294158941175 55.9855078044575,14.8210566894079 55.9869163400194,14.8133474595002 55.9892114883971,14.8065841085197 55.9923051949354,14.8010264196131 55.9960787438171,14.7968880913234 56.0003872938716,14.7943285072686 56.0050654182486,14.7934465580778 56.0099334390945,14.7942767610006 56.014804317234,14.7967878384365 56.0194908344216,14.8008838244488 56.0238127930198,14.8064076712958 56.0276039556843,14.8131472298361 56.0307184561297,14.8208433824173 56.0330364312113,14.8292000188034 56.0344686538388,14.8378954690457 56.0349599846077,14.8465949457819 56.0344915060306,14.8549635054754 56.033081255012,14.8626790158756 56.0307835245778,14.86944461671 56.0276867624785,14.8750001823147 56.0239101497127,14.8791323374026 56.0195989938995,14.8816826381709 56.014919118592,14.8825536072855 56.0100504682063)))', 'SEHAO', 'Hanö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7965537740479 57.6743474933432,16.7954187150994 57.6694944077714,16.7925390420846 57.6648531666474,16.7880259830962 57.660602013783,16.7820533282946 57.6569041540049,16.7748506973588 57.6539015063432,16.7666947012693 57.6517092786951,16.7578983401352 57.6504115681226,16.7487990402247 57.6500581516719,16.7397457799832 57.6506625876172,16.7310857856696 57.6522016979613,16.7231512917391 57.6546164515435,16.7162468590051 57.6578142149705,16.7106377249358 57.6616722875285,16.7065396254965 57.6660425880063,16.7041104773785 57.6707573176381,16.7034442443108 57.6756353857548,16.7045672329756 57.680489354679,16.7074369749817 57.6851326391707,16.7119437541414 57.6893866843343,16.7179147363429 57.6930878450175,16.7251205565488 57.6960936996573,16.7332841182439 57.698288552123,16.7420912695252 57.6995879057473,16.7512029414208 57.6999417333437,16.7602682719594 57.6993364140445,16.7689381972859 57.69779526033,16.7768789710376 57.6953776144461,16.7837850763568 57.6921765501132,16.7893910211426 57.6883152705785,16.7934815549721 57.6839423452859,16.7958999129504 57.6792259726048,16.7965537740479 57.6743474933432)))', 'SEHAP', 'Händelöp', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5249111055146 58.7140696145562,17.523638497681 58.7092250052854,17.5205745026938 58.7046025981199,17.5158374606839 58.7003799037742,17.5096097780435 58.6967190238042,17.5021308624655 58.6937604476569,17.4936879105092 58.6916176835571,17.4846049034838 58.6903729250366,17.4752302295186 58.690073915308,17.4659233964826 58.6907321265026,17.4570413310264 58.6923223216284,17.4489247729019 58.6947835156585,17.4418852706442 58.6980213001367,17.4361932647 58.7019114448444,17.4320677074696 58.706304642113,17.4296676171327 58.7110322159746,17.4290858946067 58.7159125811094,17.4303456521186 58.7207582069052,17.4333992098295 58.7253828211802,17.4381298165884 58.7296085772081,17.4443560457136 58.7332729073204,17.4518387108005 58.7362347968172,17.4602900444644 58.738380233046,17.4693847893578 58.7396266156668,17.4787727703654 58.739925954212,17.488092453738 58.7392667264908,17.4969849564745 58.7376743242524,17.5051079498407 58.7352100685374,17.5121489055965 58.7319688339163,17.5178371620168 58.7280753758607,17.5219543375357 58.7236795064662,17.5243426900139 58.7189503085069,17.5249111055146 58.7140696145562)))', 'SEHAT', 'Hartsö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0307932912281 58.6162540910901,17.0295929114021 58.6114041939609,17.0266028601513 58.6067696163097,17.0219386402454 58.6025283401434,17.0157798686604 58.5988431837097,17.0083633174256 58.5958555706102,16.9999738005678 58.5936801246037,16.9909332594151 58.592400293318,16.9815884610142 58.5920651647121,16.9722977717023 58.5926875951037,16.9634174990212 58.5942437185177,16.9552883096332 58.5966738556966,16.9482222284452 58.5998847890721,16.9424907047995 58.6037533190628,16.9383141956422 58.6081309689687,16.935853663671 58.6128496621406,16.9352043216264 58.617728157616,16.9363918736863 58.6225790004791,16.9393714134997 58.6272157220891,16.9440290385668 58.6314600140416,16.9501861359181 58.6351485989633,16.9576061884149 58.6381395312964,16.9660038489979 58.6403176819588,16.975055936532 58.6415991915625,16.9844139261366 58.6419347166394,16.9937174432296 58.6413113405124,17.0026082273526 58.6397530731366,17.0107440115706 58.6373199201688,17.0178117669755 58.6341055583046,17.0235397893444 58.6302337090818,17.0277081547719 58.625853354523,17.0301571403704 58.6211329830357,17.0307932912281 58.6162540910901)))', 'SEHAU', 'Haglundstorp', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2279764200961 58.7541796888964,11.2267434575487 58.7493319494867,11.2237150584891 58.744702305598,11.2190082017186 58.7404685477342,11.212804141623 58.7367932035109,11.2053413862674 58.7338173181972,11.1969065182931 58.7316550642473,11.1878232133161 58.7303893824493,11.178439872992 58.7300688178448,11.1691163371026 58.7307056684931,11.1602101700139 58.7322755160566,11.1520630311203 58.7347181557646,11.1449876361805 58.7379398912919,11.1392557968009 58.7418171091957,11.1350879890258 58.7462009995226,11.1326448496956 58.7509232456905,11.1320209319656 58.7558024693617,11.1332409707081 58.7606511862089,11.1362588166155 58.7652830074901,11.1409590975078 58.7695198112139,11.1471615601185 58.7731986060605,11.1546279395892 58.776177821435,11.1630711015431 58.7783427779112,11.1721661076819 58.7796101232653,11.1815627749521 58.7799310591938,11.1908992346617 58.7792932311063,11.1998159549069 58.7777212061472,11.2079696696698 58.7752755205767,11.2150466620772 58.7720503344253,11.2207748773266 58.7681697864624,11.2249343911179 58.7637831936121,11.2273658292953 58.7590592838908,11.2279764200961 58.7541796888964)))', 'SEHAV', 'Havstenssund', 'Y'),('SRID=4326;MULTIPOLYGON(((16.2722143401247 56.5825456984205,16.2711822025213 56.577686752177,16.2684528860222 56.5730322517848,16.2641318091927 56.5687609584378,16.2583853704846 56.5650368596531,16.2514345018416 56.562002891058,16.2435461634732 56.5597754707334,16.2350231088498 56.5584400520147,16.2261923095341 56.5580478616082,16.2173924756366 56.5586139450435,16.208961138474 56.5601165924446,16.2012217768333 56.5624981660916,16.1944714668232 56.5656672989869,16.1889695176477 56.5695023824196,16.184927522073 56.5738562120781,16.1825012015258 56.5785616182922,16.1817843627146 56.5834378681001,16.1828052069268 56.5882975964894,16.1855251468293 56.5929540026306,16.1898401913576 56.5972280351971,16.1955848604244 56.600955289651,16.2025384915008 56.6039923499433,16.2104337038242 56.6062223273098,16.218966697428 56.6075593791282,16.2278089876284 56.607952030067,16.2366201149291 56.6073851644846,16.2450608286925 56.6058806113322,16.2528062226282 56.6034962984634,16.2595583022668 56.6003240098981,16.2650574889969 56.5964858347694,16.2690926106124 56.5921294480714,16.2715089921853 56.5874224087599,16.2722143401247 56.5825456984205)))', 'SEHAY', 'Hagby', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3176957177889 58.5511480747653,11.3164581886085 58.5463010892391,11.3134361789989 58.5416733820907,11.3087464125367 58.5374426697865,11.3025694796459 58.5337713639094,11.2951428422961 58.5308003560058,11.2867516956449 58.5286436328018,11.2777180396759 58.5273839242296,11.2683883759631 58.5270695471945,11.2591204915774 58.527712562892,11.2502698229044 58.5292883163556,11.2421759062463 58.5317363754704,11.2351494192777 58.5349628346459,11.2294602977538 58.5388438974469,11.2253273756302 58.5432306044542,11.2229099445915 58.5479545291507,11.2223015619454 58.5528342272762,11.2235263554913 58.5576821953432,11.2265379824834 58.5623120730898,11.2312213000035 58.5665458135964,11.2373966994227 58.5702205442644,11.2448269522321 58.5731948521541,11.2532263128562 58.5753542481461,11.2622715308096 58.5766155953999,11.2716143443088 58.576930327535,11.2808949643437 58.5762863292952,11.2897560156384 58.5747084052305,11.2978563812297 58.5722573179107,11.3048844016532 58.5690274339435,11.3105699077029 58.565143071158,11.3146946158494 58.5607536913656,11.3171004849126 58.5560281279902,11.3176957177889 58.5511480747653)))', 'SEHBG', 'Hamburgsund', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6144756501356 58.3960394542904,11.6132034364973 58.3911955212695,11.6101565410712 58.3865749190795,11.6054526327538 58.3823550900189,11.5992728347743 58.3786980273148,11.5918547105354 58.3757440760649,11.5834831226723 58.3736065693138,11.5744793182796 58.3723675009276,11.565188654798 58.3720743972805,11.5559674274245 58.3727385045485,11.5471692892186 58.3743343591968,11.5391317687685 58.3768007577678,11.5321633871339 58.3800430900234,11.5265318558125 58.3839369486344,11.5224538010142 58.3883328806545,11.5200864072053 58.3930621026431,11.519521305778 58.3979429641035,11.5207809543837 58.4027879143292,11.5238176611203 58.4074107070546,11.5285153082261 58.4116335664927,11.5346937256865 58.4152940380693,11.5421155602738 58.4182512577173,11.5504953844892 58.4203913948073,11.5595106973287 58.4216320550277,11.5688143892932 58.4219254696611,11.5780481817135 58.4212603451868,11.5868565086126 58.4196623000002,11.5949002902653 58.4171928710492,11.6018700524026 58.4139471299203,11.6074978733613 58.410050002913,11.6115676918036 58.4056514405568,11.6139235771747 58.4009206267366,11.6144756501356 58.3960394542904)))', 'SEHBK', 'Håbäck', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3146958185633 58.5511491883355,11.3134587029463 58.5463021711147,11.3104370869521 58.5416743907237,11.3057476790806 58.5374435664624,11.299571056045 58.5337721142278,11.2921446679864 58.5308009311936,11.2837537005592 58.5286440108097,11.2747201469219 58.5273840905708,11.2653905047549 58.5270694954956,11.2561225603104 58.5277122951349,11.2472717522606 58.5292878428019,11.2391776222144 58.5317357142716,11.2321508559776 58.5349620111528,11.2264613999583 58.5388429432441,11.2223281008897 58.5432295561561,11.2199102648794 58.5479534270022,11.2193014647586 58.5528331136131,11.2205258443605 58.5576811129671,11.2235370768682 58.5623110636236,11.2282200345729 58.56654491588,11.2343951227426 58.5702197928549,11.2418251249092 58.5731942759893,11.2502243052063 58.5753538694225,11.2592694201415 58.5766154287117,11.2686122119295 58.5769303793071,11.2778928924038 58.576286597533,11.2867540839442 58.5747088795975,11.2948546641483 58.5722579801302,11.3018829652343 58.5690282585079,11.3075688071309 58.565144026318,11.3116938933254 58.5607547403596,11.3141001680468 58.5560292304657,11.3146958185633 58.5511491883355)))', 'SEHBO', 'Hamburgön', 'Y'),('SRID=4326;MULTIPOLYGON(((18.3798814626506 57.1629669080373,18.3793440719904 57.1580850084637,18.3770646535909 57.1533538544096,18.3731314078787 57.1489551757772,18.3676959197134 57.145057869203,18.3609672674935 57.1418115291051,18.3532039588587 57.1393407257596,18.3447040073031 57.13774024621,18.3357935293393 57.1370714766407,18.3268142928518 57.1373600614557,18.318110682895 57.1385949262835,18.3100165707275 57.1407287011671,18.3028425750222 57.1436795280375,18.2968641909033 57.147334184962,18.2923112329858 57.1515524103602,18.2893589934926 57.1561722650755,18.2881214567231 57.1610163305059,18.2886468380295 57.165898508426,18.2909156309397 57.1706311639782,18.2948412526597 57.1750323386712,18.3002732790145 57.1789327558665,18.3070031586373 57.1821823475826,18.3147721970307 57.1846560485138,18.3232815083983 57.1862586304848,18.3322035512805 57.1869283872363,18.3411947971359 57.1866395240743,18.3499090325898 57.1854031577462,18.3580107687463 57.1832668867993,18.36518822625 57.1803129493063,18.3711653829518 57.1766550407642,18.375712611103 57.1724339177826,18.3786554907872 57.1678119606485,18.3798814626506 57.1629669080373)))', 'SEHDH', 'Havdhem', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((18.9642266725775 57.4237554799506,18.9636086333501 57.4188758292729,18.9612384437233 57.4141549620606,18.9572077957328 57.4097742080202,18.9516720134332 57.4059017706777,18.9448440189144 57.402686285711,18.9369861219017 57.4002511363303,18.9283999526284 57.3986897400042,18.9194149227783 57.3980619833752,18.9103756499582 57.3983919385992,18.9016288162972 57.399666946185,18.8935099507363 57.4018380983828,18.8863306270508 57.4048221050141,18.8803665556035 57.4085044721055,18.8758470165258 57.4127438745256,18.8729460360185 57.4173775587242,18.8717756467011 57.4222275722453,18.8723814988252 57.4271075844272,18.8747410036327 57.4318300389115,18.8787640957532 57.4362133643443,18.8842966014455 57.4400889657291,18.8911260974564 57.4433077256914,18.8989900454751 57.4457457624327,18.9075858940592 57.4473092189092,18.9165827579367 57.4479378948387,18.9256342178746 57.4476075781098,18.9343917363626 57.4463309832497,18.9425181577897 57.4441572596568,18.9497007580696 57.4411700889818,18.9556633280103 57.4374844468955,18.9601768160744 57.4332421571172,18.9630681172747 57.4286064127709,18.9642266725775 57.4237554799506)))', 'SEHEK', 'Herrvik', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7625621108605 56.0478163569725,12.7619876657244 56.0429350868918,12.7597233037024 56.0382103093303,12.7558566006877 56.0338235104191,12.7505365477318 56.0299431345392,12.7439677653798 56.0267181320958,12.7364026139691 56.0242722613358,12.7281315070098 56.0226993592525,12.7194717981086 56.0220597592402,12.7107556612955 56.0223779895695,12.7023174189737 56.0236418385513,12.6944807903555 56.0258028211376,12.6875465358464 56.0287780294351,12.6817809593555 56.0324532979416,12.6774057012092 56.0366875650245,12.6745892098071 56.0413182669461,12.6734402213413 56.0461675612308,12.6740035052082 56.0510491438455,12.6762580501039 56.0557754008437,12.6801177747023 56.060164620864,12.685434750353 56.0640479909337,12.6920048250051 56.0672761048099,12.699575441583 56.069724730558,12.7078553545558 56.0712996117624,12.7165258696805 56.0719401137249,12.725253167775 56.0716215708609,12.7337012272296 56.0703562424404,12.7415448342612 56.0681928387428,12.7484821660647 56.0652146362541,12.7542464502431 56.0615362563154,12.7586162432156 56.0572992342465,12.7614239286072 56.0526665532062,12.7625621108605 56.0478163569725)))', 'SEHEL', 'Helsingborg', 'Y'),('SRID=4326;MULTIPOLYGON(((18.1212502294864 62.718123439586,18.1206808955189 62.713243742752,18.1180493825636 62.70850876679,18.1134577151285 62.7041003677642,18.1070829945632 62.7001877807286,18.0991704952358 62.6969211431245,18.090024193933 62.6944257587102,18.0799951031132 62.6927973173484,18.0694678539959 62.692098249025,18.0588460340777 62.6923553474761,18.0485368245598 62.6935587513005,18.0389355058118 62.6956623200881,18.0304104031495 62.6985853915335,18.0232888308346 62.7022158544354,18.0178445594989 62.7064144235365,18.0142872815674 62.711019957003,18.0127544814838 62.7158556175328,18.0133060338749 62.7207356451144,18.0159217551331 62.7254724846819,18.0205020248893 62.7298839964551,18.0268714769886 62.7338004714933,18.0347856391445 62.7370711804427,18.0439402814262 62.7395701997192,18.0539831215405 62.7412012860847,18.0645274350614 62.7419016068743,18.0751670365857 62.7416441776749,18.0854920378177 62.740438910241,18.0951047542386 62.7383322287016,18.1036351253417 62.735405269251,18.1107550347983 62.7317707350048,18.1161909651382 62.7275685310453,18.119734493781 62.7229603525795,18.1212502294864 62.718123439586)))', 'SEHEO', 'Hemsö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.6979727120042 60.1388783257253,18.6973524460257 60.1339992499607,18.6948362529464 60.1292742495893,18.690521562615 60.1248848044179,18.6845747076474 60.1209994364843,18.6772244523143 60.1177672585103,18.6687531665785 60.1153122739712,18.6594859896277 60.1137286432107,18.6497783970131 60.1130770927473,18.6400026397324 60.1133826015475,18.6305335612655 60.1146334501657,18.6217343190756 60.1167816679187,18.6139425401475 60.119744861395,18.6074574257105 60.1234093562907,18.6025282886235 60.1276345355384,18.5993449584708 60.1322582116083,18.5980304251233 60.1371028313128,18.5986360126945 60.1419822789247,18.6011392844183 60.1467090192525,18.6054447776027 60.1511013075975,18.6113875598151 60.1549901890752,18.6187394868288 60.158226016059,18.6272179341873 60.1606842295447,18.6364966724132 60.1622701776101,18.6462184658547 60.1629227809474,18.6560089015632 60.1626169002991,18.6654909013967 60.1613643117215,18.6742993407287 60.1592132507914,18.682095192394 60.1562465437691,18.6885786351297 60.1525783998645,18.693500610583 60.1483499916732,18.6966723794656 60.1437239983018,18.6979727120042 60.1388783257253)))', 'SEHER', 'Herräng', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3479655287577 58.7491350967951,17.3467160876394 58.7442886172233,17.3436722689064 58.739661897235,17.3389516417188 58.7354326142337,17.3327359867019 58.7317631234287,17.325264254267 58.7287942450694,17.316823369001 58.7266398826353,17.3077372353849 58.7253826742756,17.2983543624241 58.7250708402642,17.2890345718136 58.7257163441131,17.2801352851109 58.7272944358678,17.2719978994978 58.7297445946755,17.2649347588611 58.7329728356982,17.2592172071198 58.7368552955699,17.2550651742975 58.7412429625954,17.2526386934005 58.7459673744299,17.2520316787774 58.7508470686485,17.2532682158605 58.7556945418747,17.2563015202042 58.7603234522344,17.2610156233682 58.7645557888608,17.2672297379524 58.7682287316582,17.2747051480663 58.7712009348431,17.283154369233 58.7733579887608,17.2922522279068 58.7746168455077,17.3016484300469 58.7749290338571,17.3109811247077 58.7742825363522,17.3198909258039 58.7727022542231,17.3280348354314 58.7702490417877,17.3350995164836 58.7670173487718,17.3408133905308 58.7631315640762,17.3449570874484 58.75874120557,17.3473718432967 58.7540151453511,17.3479655287577 58.7491350967951)))', 'SEHGO', 'Helgö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.3526136277247 62.9090358736652,18.3520029111035 62.9041570465573,18.3493176722537 62.899426273427,18.344662009603 62.8950252460387,18.3382154868373 62.8911229133284,18.3302261340004 62.8878690162266,18.3210008715569 62.8853883671961,18.3108937320084 62.8837760891542,18.30029232911 62.8830939913813,18.2896030833227 62.8833682169322,18.2792357529054 62.884588248529,18.2695878424797 62.886707309543,18.2610294647425 62.8896441451381,18.2538892162548 62.8932861176104,18.2484415950541 62.8974935010904,18.2448964366604 62.9021048156969,18.2433907766254 62.9069430015309,18.243983463388 62.9118222000529,18.2466527467354 62.9165548857488,18.251296957317 62.920959075684,18.2577382749219 62.9248653394545,18.2657294619505 62.9281233376622,18.2749633187059 62.9306076334878,18.2850845042841 62.9322225488216,18.2957032665477 62.9329058728784,18.3064105422242 62.9326312759124,18.3167938281608 62.9314093317461,18.3264531906491 62.9292871081805,18.3350167735208 62.9263463415225,18.3421551877863 62.9227002679454,18.3475942146581 62.9184892376744,18.3511253270287 62.9138752857805,18.3526136277247 62.9090358736652)))', 'SEHGV', 'Häggvik', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7105502605937 57.6940111634683,11.7092926332025 57.6891676091505,11.706295290623 57.6845484499538,11.7016739694275 57.6803310753766,11.6956066006482 57.676677388529,11.6883264210788 57.6737276098965,11.6801129995015 57.6715949174279,11.671281524238 57.6703611245711,11.6621707589097 57.670073558198,11.6531301188905 57.6707432530735,11.6445063507085 57.6723445302583,11.6366303100695 57.6748159752766,11.6298043309738 57.6780627797661,11.6242906586291 57.6819603594171,11.620301382844 57.6863591130245,11.6179902569736 57.6910901441072,11.6174467213778 57.6959717293931,11.6186923713069 57.7008162889581,11.6216800193484 57.7054375922162,11.6262954048347 57.7096579232559,11.6323615003934 57.713314928873,11.6396452630702 57.7162678833294,11.6478665785903 57.7184031251857,11.6567090568515 57.7196384528722,11.6658322591237 57.7199263058526,11.6748848766181 57.7192556057284,11.6835183393414 57.7176521844793,11.6914003156812 57.7151777829962,11.6982275679825 57.7119276597368,11.7037376572066 57.7080269042633,11.7077190390456 57.703625601271,11.7100191619267 57.6988930353609,11.7105502605937 57.6940111634683)))', 'SEHHE', 'Heden, Hönö', 'Y'),('SRID=4326;MULTIPOLYGON(((15.4976767940227 56.1178280942731,15.4967556116987 56.1129623356549,15.4941535818792 56.1082904337993,15.489971226229 56.1039918252223,15.4843696171586 56.1002315529312,15.4775641353441 56.0971539467724,15.4698161756296 56.0948771035749,15.4614231225851 56.0934883751693,15.4527069777497 56.0930410336689,15.4440020671581 56.0935522388127,15.4356422891349 56.0950023832818,15.4279483779171 56.0973358404298,15.4212156581491 56.100463086565,15.4157027486913 56.1042641185564,15.4116216417882 56.1085930388693,15.4091295361097 56.1132836358646,15.408322740518 56.1181557489325,15.4092328911557 56.1230221772483,15.4118256396224 56.1276958689031,15.4160018772542 56.1319971149007,15.4216014630547 56.1357604707108,15.4284093243747 56.1388411370496,15.4361637041145 56.1411205512029,15.4445662403146 56.1425109699352,15.4532934877102 56.1429588637957,15.4620094299997 56.1424469889533,15.4703784893802 56.1409950546827,15.4780785186111 56.1386589601119,15.4848132616371 56.1355286304567,15.4903237915778 56.1317245382864,15.4943984784509 56.1273930470199,15.4968811009791 56.1227007597002,15.4976767940227 56.1178280942731)))', 'SEHHO', 'Hallahamnen, Hasslö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1182300491917 57.4500659866739,12.1177244850977 57.4451834762795,12.1154622682544 57.4404479321444,12.111530952554 57.4360412536591,12.1060820618829 57.4321326445539,12.0993251995688 57.4288721321961,12.0915199624132 57.4263848292432,12.0829659746861 57.4247661540503,12.0739914234693 57.424078189202,12.0649405283549 57.4243473142611,12.056160414632 57.4255632009021,12.0479878790735 57.4276792077019,12.040736540918 57.4306141597353,12.0346848576008 57.4342554465222,12.0300654554625 57.4384633225353,12.0270561805961 57.4430762490986,12.0257732151096 57.4479170767093,12.0262665307403 57.4527998340838,12.0285178668758 57.4575368658872,12.0324413261112 57.4619460462454,12.0378865806364 57.4658577905413,12.0446445806965 57.4691215941035,12.0524555562817 57.4716118432184,12.0610190095001 57.4732326710039,12.0700053122338 57.4739216671621,12.0790684558262 57.4736522951224,12.0878594502652 57.4724349208108,12.0960398422857 57.4703164121354,12.1032948165747 57.4673783249098,12.1093453621312 57.463733746919,12.1139590258315 57.4595229247462,12.1169588352096 57.454907845593,12.1182300491917 57.4500659866739)))', 'SEHHS', 'Hanhals', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7928647135562 57.9258229302476,18.7922628662188 57.9209429146671,18.789883735158 57.9162191113388,18.7858193786341 57.9118329621209,18.7802264339648 57.9079528757753,18.7733200303662 57.9047277787335,18.7653654921629 57.9022814197887,18.7566681556095 57.9007076433515,18.7475616886104 57.9000668085397,18.7383953540396 57.9003834878596,18.7295206930861 57.9016455311563,18.7212781244314 57.9038045295582,18.7139839577893 57.9067776620339,18.707918306381 57.9104508556821,18.7033143525157 57.9146831417035,18.7003493741687 57.9193120438692,18.6991378791979 57.9241597967922,18.699727119036 57.9290401589357,18.7020951672487 57.9337655613527,18.7061516528371 57.9381543187387,18.7117411367629 57.9420376252625,18.7186490166797 57.94526606425,18.7266097435104 57.9477153781269,18.7353170388395 57.9492912726204,18.7444357186286 57.9499330661572,18.7536146607142 57.9496160402737,18.762500404524 57.9483523978859,18.7707508441104 57.9461907913131,18.7780484714823 57.9432144386576,18.784112646557 57.9395379030645,18.7887104117867 57.9353026621134,18.7916654313618 57.9306716418942,18.7928647135562 57.9258229302476)))', 'SEHHU', 'Hallshuk', 'Y'),('SRID=4326;MULTIPOLYGON(((22.6622075221518 65.5853535861789,22.6607405948786 65.5805057507954,22.6570177280706 65.5758694337621,22.6511830093839 65.5716226459195,22.6434613106471 65.5679283608187,22.634149548334 65.5649282864706,22.6236052469911 65.5627374593067,22.612232848935 65.5614398620751,22.6004682887587 65.5610852282187,22.5887624076679 65.5616871507388,22.5775638197429 65.5632225651858,22.5673018595742 65.5656326258389,22.5583702382225 65.5688249429377,22.5511120121151 65.5726770986405,22.5458064274507 65.577041311814,22.542658141312 65.5817500783944,22.5417892407655 65.5866225764545,22.5432343840972 65.5914715947141,22.5469392761772 65.5961107213635,22.5527625658363 65.6003615178247,22.5604811212163 65.6040604002721,22.5697985044011 65.6070649607909,22.5803563351263 65.60925947997,22.5917481113524 65.6105594129843,22.6035349483308 65.6109146707876,22.6152626134047 65.6103115653883,22.6264791760709 65.6087733413191,22.6367525652445 65.6063592720416,22.6456873299075 65.6031623575944,22.6529399351016 65.599305715724,22.6582319903705 65.5949378105415,22.6613608983619 65.5902267081841,22.6622075221518 65.5853535861789)))', 'SEHIO', 'Hindersön', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0588718896159 59.385736377984,19.0582110017343 59.3808583276022,19.0556980425144 59.3761397560109,19.0514302748991 59.371761896472,19.0455721935968 59.3678928288871,19.0383491298566 59.3646810447688,19.0300385606825 59.3622497703908,19.0209594611501 59.3606922617787,19.0114601065748 59.36006824773,19.0019047841217 59.3604016534975,18.9926599100252 59.3616796897413,18.9840800682814 59.3638533404888,18.9764944891991 59.3668392318863,18.9701944715224 59.3705228121766,18.965422220202 59.3747627243338,18.9623615238274 59.3793962077897,18.9611306321351 59.384245326303,18.9617776162707 59.3891237867372,18.9642784045466 59.3938440896444,18.9685375869339 59.3982247381862,18.9743919757483 59.402097227861,18.9816168018922 59.4053125461746,18.9899343200555 59.4077469288039,18.9990244972442 59.4093066465195,19.008537371669 59.4099316342074,19.0181065978867 59.4095978183865,19.0273636429368 59.408318050824,19.0359520699036 59.4061416110705,19.0435413414572 59.4031522975814,19.0498395967118 59.3994651830966,19.0546048990333 59.395222162691,19.0576545177566 59.3905864701347,19.0588718896159 59.385736377984)))', 'SEHJK', 'Hjortronkobb', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6911104347237 58.1240138514394,11.6898385953389 58.1191705016274,11.6868060832805 58.1145514404922,11.6821300029727 58.1103340519082,11.6759904000475 58.106680236817,11.6686232898356 58.1037302174867,11.6603115764271 58.1015971780092,11.6513742128724 58.1003629425718,11.6421540141778 58.1000748533623,11.6330045807739 58.1007439647066,11.6242768201833 58.1023446208002,11.6163055681548 58.1048154328789,11.6093968073087 58.1080616196022,11.6038159614035 58.1119586235442,11.5997777069977 58.1163568687354,11.597437692191 58.1210874808393,11.5968864853727 58.1259687543889,11.5981459970499 58.1308131219815,11.601168527066 58.1354343597034,11.6058384906716 58.1396547523152,11.611976773449 58.14331194154,11.6193475610514 58.1462651914283,11.6276673895426 58.1484008260648,11.636616070425 58.1496366261723,11.6458490657297 58.1499250113554,11.6550108268552 58.1492548822289,11.6637485694916 58.1476520495458,11.6717259382135 58.1451782334368,11.6786360191915 58.1419286725795,11.6842131876923 58.1380284380809,11.688243327012 58.1336275977335,11.6905720244998 58.1288954209621,11.6911104347237 58.1240138514394)))', 'SEHJL', 'Hjälmvik', 'Y'),('SRID=4326;MULTIPOLYGON(((12.780774845494 56.2308115322841,12.7801959544622 56.2259304407604,12.7779191490982 56.2212060221233,12.774032489799 56.2168197479737,12.7686857388124 56.2129400414635,12.7620845442866 56.209715826047,12.754482510837 56.2072708285217,12.7461714653104 56.2056988513237,12.7374702900062 56.2050601916619,12.7287127451874 56.2053793414819,12.7202347371786 56.2066440540534,12.7123615070512 56.2088058118738,12.7053952174811 56.2117816783175,12.6996034018259 56.2154574638158,12.6952087100427 56.2196920880739,12.692380341354 56.224322974631,12.6912274945083 56.2291722745626,12.6917950944877 56.2340536838108,12.6940619715129 56.238779594799,12.6979415766849 56.24316830873,12.7032852216838 56.2470510310178,12.709887731222 56.2502783790834,12.7174953004881 56.2527261492119,12.7258152598591 56.254300116863,12.7345273699827 56.2549396817988,12.7432962058665 56.2546202142538,12.7517841422208 56.253354009329,12.7596644264722 56.2511898117248,12.766633822019 56.2482109295024,12.7724243226493 56.2445320113555,12.7768134786092 56.2402946144963,12.7796329334566 56.2356617374885,12.780774845494 56.2308115322841)))', 'SEHJR', 'Häljaröd', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2907524037186 58.5921577238166,11.2895170072755 58.5873104923835,11.2864948708325 58.582682178673,11.2818027249265 58.5784505224384,11.2756212530677 58.5747779713694,11.268188092612 58.5718054645776,11.2597886895185 58.5696470460277,11.2507453603314 58.56838551042,11.2414049768913 58.5680692445263,11.2321257362345 58.5687103818745,11.2232635089586 58.5702843395553,11.2151582734714 58.5727307544865,11.2081211407739 58.575955784429,11.2024224547659 58.5798356881584,11.1982814168293 58.5842215511606,11.1958576312568 58.5889449797367,11.1952449010244 58.5938245490393,11.1964675229968 58.5986727607878,11.1994792400912 58.6033032454838,11.2041649080211 58.6075379328615,11.2103448294914 58.6112139137679,11.2177816031826 58.6141897269299,11.2261892330563 58.6163508250175,11.2352441501164 58.6176140053945,11.2445977183719 58.6179306308873,11.2538897335142 58.6172885132221,11.2627623801429 58.6157123845529,11.2708740935972 58.613262938476,11.2779127766664 58.6100344786953,11.2836078494241 58.6061512685973,11.2877406605765 58.6017627260603,11.2901528582848 58.5970376527175,11.2907524037186 58.5921577238166)))', 'SEHJT', 'Hjärterön', 'Y'),('SRID=4326;MULTIPOLYGON(((11.761570096552 57.710992221324,11.7603050125612 57.7061492511358,11.7572997415195 57.7015313812604,11.752670324493 57.6973159512607,11.7465950028813 57.6936647892189,11.7393073179058 57.6907180184285,11.73108712532 57.6885887012422,11.7222498721536 57.6873585215515,11.7131345427582 57.6870746676659,11.7040907269758 57.6877480320635,11.695465292977 57.6893527952039,11.6875891606704 57.6918274090349,11.6807646683237 57.6950769437183,11.6752540052008 57.6989767101908,11.6712691469239 57.7033770232165,11.6689636785867 57.7081089262343,11.6684268244502 57.7129906621746,11.6696799239328 57.7178346449415,11.672675503745 57.7224546656979,11.6772989982218 57.7266730574293,11.6833730676198 57.7303275411573,11.6906643613593 57.7332774878918,11.6988924742877 57.7354093517711,11.7077407535759 57.7366410611923,11.7168685362433 57.7369251949577,11.7259243365469 57.7362508179798,11.7345594617784 57.7346439039557,11.7424415166264 57.7321663283906,11.7492672611716 57.7289134720205,11.7547743155175 57.7250105296054,11.7587512534485 57.7206076698894,11.7610456956723 57.7158742371435,11.761570096552 57.710992221324)))', 'SEHJU', 'Hjuvik', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6965341323459 57.681016453359,11.6952788730813 57.676172731096,11.6922844258925 57.6715532071151,11.6876664158321 57.6673352850774,11.6816026467075 57.6636808892668,11.6743262172667 57.66073026752,11.6661165526878 57.6585966302464,11.6572886975701 57.6573618272083,11.6481812771182 57.6570732240485,11.6391435788068 57.6577418952773,11.6305222366008 57.6593422011632,11.6226480132303 57.6618127644126,11.6158231728419 57.6650588104137,11.610309916599 57.6689557838992,11.6063203178101 57.6733541068973,11.6040081415864 57.6780848994691,11.6034628679473 57.6829664475574,11.6047061582898 57.687811172765,11.6076909153912 57.6924328382716,11.6123029894259 57.6966537143888,11.6183654802947 57.7003114271012,11.6256454838555 57.7032652236042,11.6338630308057 57.7054014101601,11.6427018765273 57.706637748901,11.6518217225939 57.7069266403866,11.6608713898403 57.7062569662115,11.6695024221371 57.7046545187972,11.6773825815249 57.7021810014661,11.6842087001541 57.6989316385625,11.689718382264 57.6950314903224,11.6937000986782 57.6906306180447,11.6960012843064 57.6858982897725,11.6965341323459 57.681016453359)))', 'SEHKL', 'Klåva, Hönö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9693109418492 58.2572795813322,16.9681321779304 58.2524287355835,16.9651814239536 58.2477922627847,16.9605726592114 58.2435482198164,16.9544833620018 58.2398595338616,16.9471476338055 58.2368677669361,16.9388471889547 58.2346877049501,16.9299005580953 58.2334029748063,16.9206509158051 58.2330628536874,16.9114529897249 58.2336803896651,16.9026595395612 58.2352319036967,16.8946079087629 58.2376578916265,16.8876071493309 58.2408652927371,16.8819262010944 58.2447310404143,16.8777835711948 58.2491067623529,16.8753389081011 58.2538244540991,16.8746867982637 58.258702912201,16.8758530340766 58.2635546832762,16.8787935112816 58.268193264168,16.8833958151309 58.2724402770583,16.8894834509404 58.2761323426211,16.8968225701662 58.279127384326,16.9051309422255 58.2813101177071,16.9140888296278 58.2825965091652,16.923351344087 58.2829370285973,16.9325617982875 58.2823185672916,16.9413655252272 58.2807649451643,16.9494236169103 58.2783359873098,16.9564260377263 58.2751252065904,16.9621035949191 58.2712561841354,16.9662382976058 58.2668777908046,16.9686717041648 58.2621584377465,16.9693109418492 58.2572795813322)))', 'SEHKO', 'Håskö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.362948181616 60.7671123039771,17.3616115654965 60.7622678318717,17.3583694364597 60.7576439418402,17.3533470749436 60.7534181922253,17.3467379128484 60.7497527879283,17.3387960356784 60.7467883756297,17.329826403401 60.7446386711609,17.3201731679738 60.7433861205851,17.3102065308183 60.7430787570169,17.3003086326831 60.7437283701654,17.2908590004992 60.7453100566122,17.2822200904779 60.7477631676031,17.2747234636357 60.7509936193244,17.2686571091722 60.7548774799692,17.2642543929446 60.7592657000596,17.2616850532767 60.7639898091378,17.2610485954995 60.7688683646453,17.2623703515062 60.7737139090279,17.2656003733973 60.7783401701059,17.2706152239368 60.7825692285673,17.2772226147053 60.7862383757697,17.2851687298717 60.7892063952092,17.2941479642764 60.7913590218995,17.3038147041261 60.792613364895,17.3137966920708 60.7929211182005,17.3237094503385 60.792270432773,17.3331711896735 60.7906863752759,17.3418176106594 60.7882299554353,17.3493160088059 60.7849957608078,17.3553781252533 60.7811082930241,17.3597712393482 60.7767171507158,17.3623270746056 60.7719912492212,17.362948181616 60.7671123039771)))', 'SEHKS', 'Harkskär', 'Y'),('SRID=4326;MULTIPOLYGON(((11.579022492059 58.0540559519241,11.5777685606015 58.0492113011853,11.574756637234 58.0445893715184,11.570103034338 58.0403676580485,11.5639869346637 58.0367082288019,11.5566434528402 58.0337515224105,11.5483545886659 58.0316109802009,11.5394384214933 58.0303687145425,11.5302369561352 58.0300723757,11.5211030768041 58.0307333342106,11.5123870957451 58.0323262465879,11.5044233968723 58.0347900206411,11.4975176716487 58.0380301446146,11.491935224677 58.0419222934536,11.4878907903178 58.046317077509,11.4855402497746 58.0510457555946,11.4849745715508 58.0559266970846,11.4862162185691 58.0607723481548,11.4892181747271 58.0653964365604,11.4938656450599 58.0696211385286,11.4999803804462 58.0732839310617,11.507327473961 58.0762438634983,11.5156243759614 58.0783870033751,11.5245517834096 58.0796308428509,11.5337659802609 58.079927492061,11.5429121440449 58.0792655332175,11.551638092317 58.0776704620987,11.5596079237444 58.0752036995447,11.5665150132402 58.071960212284,11.572093848507 58.0680648374015,11.5761302450366 58.0636674556816,11.5784695453127 58.0589372037812,11.579022492059 58.0540559519241)))', 'SEHLB', 'Halsbäck', 'Y'),('SRID=4326;MULTIPOLYGON(((20.416179128696 63.6942386803215,20.4151999356801 63.689370775778,20.4121004610333 63.6846811374339,20.4070007388951 63.6803498555545,20.4000973754698 63.6765431807348,20.39165589866 63.6734071651593,20.3820005185875 63.6710620858139,20.3715016977308 63.6695978585103,20.3605620037979 63.6690706134752,20.34960077538 63.6695005594142,20.3390381690634 63.670871214945,20.3292791765518 63.6731300357203,20.3206982012894 63.6761904140835,20.3136247660633 63.6799349773703,20.3083308862835 63.6842200626378,20.3050205885241 63.688881201285,20.3038219812402 63.6937394083012,20.3047821957034 63.6986080391968,20.3078654121256 63.703299954384,20.3129540715316 63.7076347169698,20.3198532519201 63.7114455464542,20.328298062225 63.7145857581432,20.3379637848373 63.7169344362303,20.3484783827237 63.7184011170269,20.3594368862639 63.7189292967832,20.3704170932675 63.7184986244903,20.3809959578235 63.7171256921117,20.3907660130554 63.7148633906251,20.3993511713226 63.711798857595,20.4064212730206 63.7080500981965,20.4117048102458 63.7037614141921,20.4149993309875 63.6990978220566,20.416179128696 63.6942386803215)))', 'SEHLD', 'Holmsund', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5176581271042 56.1018208979811,15.5167348198754 56.0969552798697,15.5141314645732 56.092283789357,15.509948633004 56.0879858470892,15.504347415132 56.084226470477,15.4975431760363 56.0811499550253,15.4897972624977 56.078874355785,15.4814069804499 56.077486976956,15.4726942252453 56.0770410389725,15.4639931932161 56.0775536478045,15.4556376343682 56.0790051423141,15.4479481215922 56.0813398440364,15.441219811239 56.0844681814426,15.4357111532829 56.0882701093862,15.4316339768954 56.0925996957649,15.4291453297044 56.0972907031691,15.4283413873652 56.1021629550323,15.4292536758131 56.1070292450283,15.4318477637589 56.1117025264392,15.4360244902662 56.1160031059711,15.4416236948123 56.1197655647142,15.4484303188313 56.1228451379373,15.456182652462 56.1251233050714,15.4645824123708 56.1265123709775,15.4733062602857 56.1269588583786,15.4820183111075 56.126445577661,15.4903831373163 56.1249922922509,15.4980787551489 56.1226549532624,15.5048090788162 56.1195235337244,15.5103153518373 56.1157185480104,15.5143861081283 56.1113863937402,15.5168652774636 56.1066936992611,15.5176581271042 56.1018208979811)))', 'SEHLE', 'Hasslö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.9768519035052 55.4137333739371,12.9762581557656 55.4088525117125,12.9740025172715 55.4041313074837,12.9701722045643 55.3997511107843,12.9649147911079 55.3958801146284,12.9584324790017 55.3926669125851,12.9509743039174 55.3902348137587,12.9428265764886 55.3886771302935,12.9343019256601 55.3880536145305,12.9257273580369 55.3883881792377,12.9174317809575 55.3896679860312,12.9097334551807 55.3918439359043,12.9029278453776 55.3948325434421,12.8972763230419 55.3985191246053,12.8929961472261 55.402762178684,12.8902521042897 55.4073987998558,12.8891501295659 55.4122509143682,12.8897331629396 55.4171321071873,12.8919794087138 55.4218547783075,12.8958030803024 55.4262373548749,12.901057615292 55.4301112815627,12.9075412498061 55.4333275186548,12.9150047468507 55.4357622949884,12.9231609855734 55.4373218907925,12.9316960412613 55.4379462625892,12.9402813232618 55.437611367287,12.9485862930669 55.4363300936001,12.9562912599595 55.4341517638566,12.9630997482192 55.4311602257859,12.9687499481356 55.4274706095744,12.9730248019851 55.4232248779905,12.9757603336306 55.4185863444821,12.9768519035052 55.4137333739371)))', 'SEHLK', 'Höllviksnäs', 'Y'),('SRID=4326;MULTIPOLYGON(((20.9234028921669 63.8050409166315,20.9223325087061 63.800176639457,20.9191368047766 63.7954980862545,20.9139395099377 63.7911849166275,20.90694096935 63.7874026814406,20.8984103513606 63.7842964915285,20.8886752707365 63.7819854774084,20.8781092311521 63.7805582474037,20.8671173644731 63.7800695132323,20.8561210007518 63.7805380080854,20.8455416408548 63.7819457740901,20.8357849228284 63.7842388454259,20.8272251733064 63.7873293018999,20.8201911164634 63.7910986171267,20.8149532753998 63.7954021772647,20.8117135448494 63.8000748021311,20.8105973405248 63.8049370620371,20.81164864062 63.8098021523036,20.8148281310209 63.8144830644716,20.8200145505281 63.8187997798074,20.8270092096546 63.8225862076456,20.8355435309776 63.8256965988587,20.8452893359383 63.828011183319,20.8558714881823 63.8294408091503,20.8668824028348 63.8299303998906,20.8778978499549 63.8294610919435,20.8884934233944 63.8280509669686,20.8982610167391 63.8257543499191,20.9068246476894 63.8226597007918,20.9138550011657 63.818886184266,20.9190821178787 63.8145790537925,20.9223057357829 63.8099040331044,20.9234028921669 63.8050409166315)))', 'SEHLM', 'Holmön', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7475555572788 56.0120992320854,14.7467312905852 56.0072280435162,14.7442270664796 56.0025405052044,14.740139653985 55.9982166596273,14.7346264887385 55.994422523333,14.7278995684649 55.9913037293144,14.720217286466 55.9889799568063,14.7118745198637 55.9875403585584,14.7031913506989 55.9870401572961,14.6945008452551 55.9874985387544,14.6861363491293 55.9888979199525,14.6784187719645 55.9911846199881,14.6716443360993 55.9942709083138,14.6660732476607 55.9980383539974,14.661919717142 56.0023423506119,14.6593437098599 56.0070176468578,14.6584447459206 56.0118846744079,14.6592579958912 56.0167564332515,14.6617528343083 56.0214456722899,14.6658339210336 56.025772090126,14.6713447834722 56.0295692786092,14.6780737744832 56.0326911400788,14.6857621855166 56.0350175283079,14.6941142063615 56.0364588923268,14.7028083461014 56.0369597405868,14.7115098682798 56.0365007888533,14.7198837500993 56.0350997069263,14.7276076530287 56.0328104346294,14.7343843916904 56.0297210941139,14.7399534093798 56.0259505809803,14.744100810859 56.0216439686469,14.7466675639031 56.0169669066323,14.7475555572788 56.0120992320854)))', 'SEHLV', 'Hällevik', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2688738818334 61.9281390435299,17.2674975861054 61.9232945802806,17.2641433828958 61.9186696872713,17.2589409226674 61.9144419555568,17.2520905990506 61.9107736574365,17.2438557773116 61.9078055404211,17.2345526567999 61.9056514523059,17.2245381593605 61.9043939987591,17.2141963030433 61.9040813953506,17.2039235710867 61.9047256309864,17.1941138192701 61.9063020108601,17.1851432798572 61.9087500959321,17.1773562173009 61.9119760042708,17.171051769659 61.915855989036,17.1664724705422 61.9202411601199,17.1637948899209 61.9249631731297,17.1631227592251 61.9298406720673,17.1644828584102 61.9346862421886,17.1678238422159 61.9393136083872,17.1730180727124 61.9435448030889,17.1798664091745 61.9472170267864,17.1881057888679 61.9501889343357,17.1974193185409 61.9523461008668,17.2074484916494 61.9536054520495,17.2178070559031 61.9539184834153,17.2280959844258 61.9532731409054,17.2379189556529 61.9516942878381,17.2468977247836 61.9492427397754,17.2546867744684 61.9460129058584,17.2609866641328 61.9421291305614,17.2655555540817 61.9377408810659,17.2682184590478 61.9330169704238,17.2688738818334 61.9281390435299)))', 'SEHMA', 'Harmånger', 'Y'),('SRID=4326;MULTIPOLYGON(((18.008103759369 62.6388483207758,18.0065718828638 62.6340128386626,18.0030209351391 62.6294077558612,17.9975881523142 62.6252098926904,17.9904827818847 62.6215803644381,17.9819779705647 62.6186584211852,17.9724002538797 62.6165561315651,17.9621170533556 62.6153541094395,17.9515226547602 62.6150984426537,17.9410231913581 62.6157989378607,17.9310211887599 62.6174287464571,17.9219002422616 62.619925385583,17.9140103934027 62.6231931165782,17.9076547498425 62.6271065929254,17.9030778518102 62.6315156422187,17.9004562298699 62.6362510036979,17.8998915235163 62.6411308059474,17.9014064397334 62.64596753993,17.9049437273483 62.6505752618691,17.9103682298681 62.6547767496621,17.9174719604023 62.6584103362061,17.9259820219023 62.6613361535823,17.9355710795558 62.6634415433566,17.9458699852785 62.6646454196957,17.9564820623248 62.6649014124666,17.9669984860397 62.6641996653876,17.9770141487536 62.662567217649,17.9861433755402 62.6600669538971,17.994034864265 62.6567951646093,18.0003852576203 62.6528778141414,18.0049508146783 62.6484656646984,18.0075567314368 62.6437284490094,18.008103759369 62.6388483207758)))', 'SEHND', 'Härnösand', 'Y'),('SRID=4326;MULTIPOLYGON(((19.9560521529653 63.6334178987444,19.9551537981722 63.6285470641208,19.9521368876727 63.6238477240166,19.9471182876676 63.6195003455484,19.9402914982408 63.615671800931,19.9319191206244 63.612508984388,19.9223227277524 63.6101332027646,19.9118705329732 63.6086355499895,19.9009633266703 63.6080734376566,19.8900192080235 63.6084684103268,19.8794576783769 63.6098053262431,19.8696836831961 63.6120329336368,19.8610721912016 63.6150658213198,19.8539538819522 63.6187876714696,19.8486024770901 63.6230556940667,19.8452241960811 63.6277060779601,19.8439497453624 63.6325602545875,19.8448291616618 63.6374317384246,19.847829727872 63.6421332846371,19.8528370660586 63.6464840902493,19.8596593906499 63.6503167612961,19.8680347801512 63.6534837753427,19.8776412031037 63.6558631865116,19.8881089191733 63.657363348308,19.8990347749985 63.657926467161,19.9099978321721 63.6575308452757,19.9205757061237 63.6561917232466,19.9303609631122 63.6539606887039,19.938976919911 63.6509236745893,19.9460922172424 63.6471976269375,19.9514335920084 63.6429259747994,19.9547963517379 63.6382730818895,19.9560521529653 63.6334178987444)))', 'SEHNF', 'Hörnefors', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6795360606852 57.6820226924775,11.6782830259167 57.6771787833837,11.6752906427199 57.6725588401535,11.6706744571352 57.6683402826585,11.6646122032545 57.6646850596602,11.6573369220255 57.6617334507901,11.6491279948969 57.6595987043479,11.6403004384301 57.6583627126312,11.6311928665151 57.658072886843,11.6221545724455 57.6587403483456,11.6135322129152 57.6603395037708,11.6056565894453 57.6628090199378,11.5988300195902 57.666054162416,11.5933147705463 57.6699504106528,11.5893229918078 57.6743482145917,11.5870085319564 57.6790787143296,11.5864609586058 57.6839602071833,11.5877020215302 57.6888051170115,11.5906847092703 57.6934272000247,11.5952949518302 57.6976487105894,11.6013559198914 57.7013072503667,11.6086347682639 57.7042620347755,11.6168515724366 57.7063993320688,11.6256901166402 57.7076368616045,11.6348101141996 57.7079269780601,11.6438603801261 57.7072585158217,11.6524924351164 57.7056572206106,11.6603740016029 57.7031847513715,11.6672018572624 57.6999362921138,11.6727135391497 57.6960368683399,11.6766974408409 57.6916365135526,11.6790009129638 57.686904475998,11.6795360606852 57.6820226924775)))', 'SEHNO', 'Hönö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5947316771777 56.1988785156637,12.5941768202916 56.1939967500234,12.5919247729448 56.1892691098282,12.5880626450344 56.1848771918105,12.5827392586147 56.1809896370491,12.5761593676903 56.1777556711896,12.5685757625752 56.1752993957818,12.5602795662835 56.1737150461678,12.5515890941379 56.1730633940551,12.542837697512 56.1733694293927,12.5343610472747 56.1746214080166,12.5264843313988 56.1767713004547,12.5195098439989 56.1797366250235,12.5137054297388 56.1834035966822,12.5092942183512 56.1876314737945,12.5064460395318 56.1922579396816,12.5052708496346 56.1971053162679,12.5058144298278 56.2019873746984,12.5080565325691 56.2067164838676,12.5119115619357 56.2111108234059,12.5172317765632 56.2150013835801,12.5238129053258 56.2182384811983,12.5314019694626 56.2206975379286,12.5397070148744 56.2222838949973,12.5484083790396 56.2229364750796,12.5571710523709 56.2226301469513,12.5656576472205 56.2213766993512,12.5735414616373 56.2192243853902,12.5805191208184 56.2162560554073,12.5863222972279 56.2125859519904,12.5907280495869 56.2083552935578,12.5935673792892 56.2037268202183,12.5947316771777 56.1988785156637)))', 'SEHOG', 'Höganäs', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4923494415433 61.6260558258386,17.4909527047801 61.6212135316455,17.4875989921005 61.6165939160065,17.4824179138741 61.6123743673579,17.4756090252439 61.6087168450239,17.4674340893596 61.6057616849819,17.4582070028712 61.6036222403591,17.4482817730238 61.6023805575356,17.4380390022535 61.6020842491423,17.4278713861715 61.6027446801922,17.4181687634132 61.6043365346573,17.4093032705625 61.6067987786436,17.4016151520299 61.6100369846189,17.3953997533977 61.6139269305866,17.3908961876018 61.6183193403755,17.388278106964 61.6230455879534,17.3876469415073 61.6279241514565,17.3890278767122 61.6327675729003,17.3923687441191 61.6373896585809,17.3975418889334 61.6416126440216,17.4043489638052 61.6452740466784,17.4125284817184 61.6482329398303,17.4217658484556 61.6503754020173,17.4317054916983 61.6516189274617,17.4419646146985 61.6519156230096,17.4521480323608 61.6512540647069,17.4618635003977 61.6496597401962,17.4707369266468 61.6471940594142,17.4784268589126 61.6439519731151,17.4846376754937 61.6400582940398,17.4891309610349 61.6356628666907,17.4917346282912 61.6309347764954,17.4923494415433 61.6260558258386)))', 'SEHOK', 'Hölick', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6104543057209 58.3800411026859,11.6091832800766 58.3751971100922,11.60613834605 58.3705763871362,11.6014370966049 58.3663563808574,11.5952605525011 58.3626990914151,11.5878461521168 58.3597448727444,11.5794786153087 58.3576070682752,11.5704790340761 58.3563676833902,11.5611926043189 58.3560742566583,11.5519754593415 58.3567380466542,11.5431810960579 58.3583336019726,11.5351468985469 58.3607997305591,11.5281812604626 58.3640418324295,11.5225517878531 58.3679355089841,11.5184750274889 58.3723313141643,11.5161081135088 58.3770604693279,11.5155426581122 58.381941326514,11.5168011317438 58.3867863351972,11.5198358869129 58.3914092469284,11.5245308802937 58.3956322814476,11.5307060435575 58.399292977574,11.5381241485498 58.4022504627357,11.5464999114243 58.4043908962089,11.5555109878383 58.4056318723683,11.5648104318529 58.4059256103872,11.5740401288573 58.4052608043003,11.582844671002 58.4036630602038,11.5908851245684 58.4011939033744,11.5978521434763 58.3979483948192,11.6034779114635 58.3940514517752,11.6075464457576 58.3896530175939,11.6099018645652 58.3849222711585,11.6104543057209 58.3800411026859)))', 'SEHOM', 'Holma', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6031777015767 57.3744204674635,16.6020782272065 57.3695652577712,16.5992471969118 57.3649191683011,16.5947939613138 57.3606606316852,16.5888900087287 57.3569531391347,16.5817623215052 57.353938982223,16.573684638719 57.351733812874,16.5649669631257 57.3504222263338,16.5559437115267 57.3500545327178,16.5469609542594 57.3506448377965,16.5383632204067 57.3521705046329,16.5304803599788 57.354573016199,16.5236149524624 57.3577602069268,16.5180307328122 57.3616097800414,16.5139424714527 57.3659739792206,16.5115076948371 57.3706852393171,16.5108205686004 57.3755626031619,16.5119081879034 57.3804186613056,16.5147294313042 57.3850667502023,16.5191764381464 57.389328132826,16.525078668387 57.3930388846869,16.5322094018917 57.3960562180115,16.5402944358189 57.3982639972956,16.5490226482695 57.3995772299535,16.5580580182993 57.3999453552627,16.5670526306469 57.3993542017312,16.5756601513977 57.3978265354656,16.5835492405743 57.3954211778894,16.590416370421 57.3922307278504,16.5959975437769 57.3883779783241,16.6000784539912 57.3840111692124,16.6025026937566 57.3792982630008,16.6031777015767 57.3744204674635)))', 'SEHOS', 'Höganäs, Oskarshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5938373269208 55.3875120140384,13.5931678489465 55.3826338133326,13.5908399824318 55.3779236709458,13.5869437119161 55.3735625074783,13.5816291342449 55.3697177819062,13.5751006350362 55.3665370772586,13.5676090117247 55.3641424545798,13.5594418492471 55.362625788274,13.5509125161035 55.3620452581411,13.5423481963949 55.3624231294728,13.5340774064452 55.3637449041112,13.5264174620887 55.3659598740823,13.5196623643193 55.36898305706,13.514071556735 55.3726984412784,13.5098599783506 55.3769634183579,13.5071897904986 55.3816142375487,13.5061640976778 55.386472275753,13.5068229107926 55.3913508858499,13.5091415191915 55.3960625626004,13.5130313477982 55.4004261518115,13.5183432804902 55.4042738252105,13.5248733343258 55.4074575509882,13.5323704751949 55.4098548081607,13.5405462781639 55.4113733212456,13.5490860592954 55.411954629287,13.5576610438747 55.4115763485636,13.5659410919457 55.4102530395596,13.5736074782077 55.4080356438425,13.580365220946 55.405009513037,13.5859544738922 55.4012911076892,13.5901605347135 55.3970234961179,13.5928220820775 55.3923708301502,13.5938373269208 55.3875120140384)))', 'SEHOT', 'Hörte, Skåne', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8867003491416 57.8159450300529,11.8854144224817 57.8111035721602,11.8823841173515 57.8064889699221,11.8777264386962 57.8022784360874,11.871620713549 57.798633609442,11.8643016488691 57.7956943689484,11.856050301859 57.7935734871149,11.8471833112149 57.7923523236822,11.8380407982245 57.7920777209578,11.8289733921323 57.7927602167887,11.8203288638307 57.7943736418679,11.8124388651604 57.7968561165086,11.8056062676863 57.8001124099255,11.8000935747779 57.8040175741886,11.7961128445031 57.8084217170916,11.7938175089001 57.8131557348821,11.7932964087072 57.8180377887361,11.7945702831984 57.8228802794551,11.7975908645774 57.8274970543895,11.8022426282512 57.8317105700176,11.808347147691 57.8353587336033,11.8156698994987 57.8383011581649,11.8239292651429 57.8404245864486,11.8328073851639 57.8416472710391,11.8419624439253 57.8419221380457,11.8510419021993 57.8412386093869,11.8596961542553 57.8396230116086,11.8675920678984 57.8371375551721,11.8744258710646 57.8338779248145,11.8799348768321 57.8299695764848,11.8839075884695 57.8255628871344,11.8861917947043 57.8208273481885,11.8867003491416 57.8159450300529)))', 'SEHRD', 'Harestad', 'Y'),('SRID=4326;MULTIPOLYGON(((16.835897984571 57.941331153112,16.8347484941685 57.936478695338,16.8318417330574 57.9318386883449,16.8272899797838 57.9275893270925,16.8212685170116 57.9238937457098,16.8140088407858 57.9208937736812,16.8057897501073 57.9187045142536,16.796926661316 57.917409949033,16.787759553553 57.9170597334513,16.7786399984094 57.917667302796,16.7699177578303 57.9192093594332,16.7619274488728 57.9216267603957,16.7549757717462 57.9248267723955,16.7493297787376 57.9286866102949,16.7452066264309 57.9330581268727,16.7427652027173 57.9377734780246,16.742099954507 57.9426515499445,16.7432371633401 57.9475049047939,16.7461338263926 57.9521469801551,16.7506792024555 57.9563992661786,16.7566989797391 57.9600981834661,16.7639619188019 57.9631013946721,16.7721887239089 57.9652933034139,16.7810628042692 57.966589524751,16.7902425073732 57.9669401511221,16.7993743441003 57.9663316847007,16.8081066827422 57.9647875596927,16.8161033689026 57.9623672339566,16.8230567315025 57.9591638860512,16.8286994616601 57.9553008089758,16.8328148995341 57.9509266430865,16.8352453316865 57.9462096358206,16.835897984571 57.941331153112)))', 'SEHRL', 'Horsö-Långö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6895574768595 57.699018830527,11.6883024528102 57.694175048768,11.6853073352938 57.6895553764762,11.6806877758905 57.685337222973,11.6746216385043 57.6816825213488,11.6673421131562 57.6787315310673,11.6591287439262 57.6765974765586,11.6502967173858 57.6753622234811,11.6411848183873 57.6750731546602,11.6321425056927 57.6757413624314,11.6235165897358 57.6773412248565,11.6156380082462 57.6798113817225,11.608809192292 57.6830570741232,11.60329249555 57.6869537605045,11.5993001236139 57.6913518740704,11.596985948558 57.696082543068,11.5964395278729 57.7009640583019,11.5976825678585 57.7058088427083,11.6006679817751 57.7104306572088,11.605281595327 57.7146517663508,11.611346449814 57.7183097870753,11.6186295505278 57.7212639546158,11.6268508090748 57.723400560833,11.6356938378066 57.7246373515932,11.6448181768856 57.7249267099724,11.653872473657 57.7242574995524,11.662508093217 57.7226554949158,11.6703926205496 57.7201823824086,11.677222719388 57.716933370907,11.6827358407511 57.7130335072682,11.6867203233671 57.7086328419967,11.6890234962398 57.7039006353187,11.6895574768595 57.699018830527)))', 'SEHRO', 'Röd, Hönö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2904468303692 58.36615978568,11.2892201431758 58.3613123396475,11.2862181109815 58.3566837378677,11.2815566827661 58.352451732222,11.2754153560098 58.3487787853283,11.2680302239846 58.3458058532235,11.259684890048 58.3436469978847,11.2506995999593 58.3423850321657,11.2414190050967 58.3420683602283,11.232199016178 58.3427091314277,11.2233932377701 58.344282776478,11.2153394879551 58.3467289432594,11.2083469047705 58.3499537975738,11.2026841214818 58.3538336032327,11.1985689566909 58.3582194478206,11.1961600133643 58.3629429369726,11.1955505141502 58.3678226426453,11.1967646203963 58.3726710610889,11.1997563912478 58.3773018153068,11.2044114399204 58.3815368257289,11.2105512401632 58.385213172288,11.2179399311057 58.3881893813792,11.2262933675808 58.3903508921334,11.2352900702917 58.3916144874333,11.2445836503902 58.3919315150277,11.2538162202706 58.3912897714156,11.2626322600254 58.3897139739243,11.2706923893746 58.3872648023639,11.2776864990564 58.3840365483833,11.2833457234133 58.3801534657397,11.2874527856617 58.3757649657393,11.2898503163748 58.371039847009,11.2904468303692 58.36615978568)))', 'SEHS3', 'Hasselösund', 'Y'),('SRID=4326;MULTIPOLYGON(((17.052301882494 58.2522489032081,17.0511119815698 58.2473988904006,17.0481508714102 58.2427643966748,17.0435329277673 58.2385234023569,17.0374359796764 58.2348387171761,17.0300944204598 58.2318517493537,17.0217901865106 58.2296771005816,17.0128419525282 58.2283981901682,17.0035929538363 58.2280640722375,16.9943978933108 58.2286875648211,16.985609421338 58.230244760594,16.9775646915717 58.232675937555,16.9705724928068 58.2358878358722,16.9649014380676 58.2397572161554,16.9607696563205 58.2441355662936,16.9583363807139 58.2488547804016,16.9576957609538 58.2537335959332,16.958873147916 58.2585845451101,16.961824008011 58.2632211557317,16.9664355259653 58.2674651251942,16.9725308509982 58.27115319083,16.9798758368867 58.2741434297744,16.9881880255611 58.2763207423366,16.9971475312882 58.2776013036696,17.0064094027214 58.2779358083113,17.0156169772232 58.2773113793568,17.0244156992648 58.2757520666852,17.0324668547114 58.2733179145772,17.0394606765183 58.2701026358042,17.0451283045713 58.2662299844005,17.049252131589 58.261848970475,17.0516741354592 58.25712810545,17.052301882494 58.2522489032081)))', 'SEHSA', 'Harstena', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8066381953588 56.0867164591061,15.8056788651427 56.0818531192644,15.8030416519604 56.0771878306108,15.7988284244738 56.0728997737394,15.7932014348663 56.0691535850919,15.7863770320313 56.0660930530908,15.7786173313513 56.0638356191196,15.7702201635652 56.0624678906219,15.7615076856273 56.0620423347616,15.7528140826725 56.0625752763855,15.7444728212217 56.0640462750721,15.7368039289827 56.0663989045409,15.7301017757314 56.0695429053935,15.7246238128139 56.0733576308279,15.7205806960987 56.0776966563799,15.7181281693691 56.0823933805759,15.7173610232308 56.0872674052761,15.7183093701254 56.092131453871,15.7209373910573 56.0967985636786,15.7251446168005 56.1010892768512,15.7307697088838 56.1048385525497,15.7375966072973 56.1079021323765,15.7453628167316 56.1101621109438,15.7537695155501 56.1115314934159,15.762493095784 56.1119575608258,15.7711976820717 56.1114239104477,15.7795481357772 56.1099510906049,15.7872230297541 56.1075958048326,15.7939270805177 56.1044487169282,15.7994025478452 56.1006309436691,15.8034391558018 56.0962893735234,15.8058821515044 56.0915909953551,15.8066381953588 56.0867164591061)))', 'SEHSH', 'Hästholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7887575242493 57.8323492839222,16.7876181290737 57.8274962663709,16.784726464408 57.822855023598,16.7801942252347 57.8186037988325,16.7741959427219 57.8149057986973,16.7669622226034 57.8119029464764,16.7587708688908 57.809710456788,16.7499362361139 57.8084124357971,16.740797214964 57.8080586718318,16.7317043029967 57.8086627362917,16.723006243005 57.8102014656786,16.7150367262243 57.8126158441138,16.7081016554314 57.8158132535841,16.7024674442704 57.8196710081171,16.6983507940848 57.8240410398647,16.6959103387951 57.8287555613589,16.6952404829922 57.8336334905807,16.6963676799491 57.8384873954238,16.6992493068405 57.8431306928896,16.7037751968429 57.8473848269412,16.7097717853938 57.8510861480439,16.7170087246528 57.8540922273266,16.7252077205264 57.85628735888,16.734053255036 57.8575870343384,16.7432047777987 57.8579412134956,16.7523098879983 57.8573362617425,16.7610179857686 57.85579547766,16.7689938517125 57.8533781899363,16.7759306164523 57.8501774594977,16.7815616084591 57.8463164779042,16.7856706164794 57.8419438042944,16.788100170044 57.8372276283352,16.7887575242493 57.8323492839222)))', 'SEHSL', 'Hasselö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7065979215325 57.7310122283546,11.7053393896208 57.7261686665363,11.7023393475566 57.7215494596267,11.6977136370658 57.7173319988136,11.6916403587743 57.7136781902993,11.6843529768532 57.7107282589791,11.6761313364665 57.7085953883999,11.6672909407623 57.7073613986222,11.6581708946892 57.7070736239257,11.6491209685567 57.707743107018,11.6404882640576 57.7093441771419,11.6326039788999 57.7118154279216,11.6257707629956 57.7150620586805,11.6202511393736 57.7189594920509,11.6162574269403 57.7233581327189,11.6139435505623 57.7280890887768,11.6133990577802 57.7329706399962,11.6146455823508 57.7378152078261,11.6176359049516 57.7424365613202,11.622255663556 57.7466569824932,11.6283276636607 57.7503141144554,11.6356186356904 57.7532672263468,11.6438481879222 57.755402650407,11.6526996127022 57.7566381778306,11.661832126003 57.7569262402447,11.6708940594896 57.7562557511392,11.6795364834555 57.754652534428,11.6874267204912 57.752178323286,11.6942612145671 57.7489283690787,11.6997772480675 57.7450277551386,11.7037630486524 57.7406265609924,11.706065895963 57.735894067291,11.7065979215325 57.7310122283546)))', 'SEHSO', 'Hälsö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.7805666653693 60.5349560903402,17.7791781538523 60.5301160393977,17.7759007970953 60.5255023967587,17.7708612099696 60.5212923254357,17.7642534681468 60.5176474278713,17.7563315882626 60.5147075643011,17.7473997535857 60.512585510102,17.7378006626336 60.5113626525665,17.727902442632 60.5110858878316,17.7180846180931 60.5117658334915,17.7087236562403 60.5133764233454,17.700178625039 60.5158558994367,17.6927774960031 60.5191091647214,17.6868046027502 60.5230114090758,17.6824897277756 60.5274128736146,17.679999234699 60.5321445750884,17.6794295923326 60.5370247750491,17.6808035519037 60.5418659489518,17.6840691418416 60.546481989679,17.6891015386655 60.5506953691316,17.6957077613648 60.5543439812352,17.7036340245812 60.5572874002491,17.7125754777275 60.5594123095122,17.7221879579625 60.5606368870735,17.7321012996608 60.5609139749369,17.7419336761643 60.5602329063147,17.7513064048409 60.558619918369,17.7598586263318 60.556137134145,17.7672612744694 60.5528801543204,17.7732297843714 60.5489743545242,17.7775350408719 60.5445700349251,17.7800121446778 60.5398366134286,17.7805666653693 60.5349560903402)))', 'SEHSS', 'Hästskär', 'Y'),('SRID=4326;MULTIPOLYGON(((11.330647783292 58.5161435736572,11.329409823121 58.5112966923197,11.3263892398894 58.5066692578256,11.3217027007506 58.5024389762463,11.3155306709381 58.4987682427943,11.3081104234509 58.4957979272723,11.2997269080413 58.4936419900858,11.2907018322587 58.4923831312373,11.2813813693268 58.4920696352021,11.2721229544578 58.4927135294571,11.2632816619313 58.4942901253037,11.2551966693378 58.4967389581729,11.2481783125762 58.4999660925581,11.2424962155175 58.5038477058224,11.2383689420255 58.5082348171053,11.2359555658859 58.5129589840761,11.2353494871991 58.5178387529391,11.2365747434992 58.5226866173492,11.2395849724483 58.5273162209972,11.2442650832378 58.5315495275785,11.2504355892942 58.535223681352,11.2578594496 58.5381972918021,11.2662511643872 58.5403558969002,11.2752877778264 58.5416163904776,11.2846213601884 58.5419302391859,11.293892478943 58.5412853618568,11.3027441257561 58.5397065968533,11.3108355466899 58.5372547389794,11.317855427191 58.534024184272,11.3235339114165 58.5301392760812,11.3276529855268 58.5257494968897,11.3300548240187 58.5210236951926,11.330647783292 58.5161435736572)))', 'SEHST', 'Heestrand', 'Y'),('SRID=4326;MULTIPOLYGON(((18.6379599707926 57.2188731088463,18.6373878638974 57.2139921017144,18.635072063681 57.2092654095119,18.631102167863 57.2048745887338,18.6256311664014 57.200988232488,18.6188694971133 57.1977555134428,18.6110769299473 57.195300478253,18.6025525960782 57.1937173086169,18.5936235431365 57.193066726819,18.5846322486713 57.1933736801225,18.5759235593074 57.1946263902913,18.5678315423162 57.1967768035211,18.5606667391712 57.1997424238979,18.5547042970491 57.2034094619224,18.5501734244351 57.2076371803935,18.5472485715448 57.2122632747302,18.5460426761296 57.2171100852381,18.5466027417715 57.2219914063939,18.5489079309335 57.2267196342349,18.5528702613313 57.2311129784798,18.5583378947742 57.2350024618461,18.5651009061981 57.2382384355901,18.5728993213295 57.2406963575586,18.5814331186955 57.2422816065667,18.5903738099333 57.2429331437641,18.5993771456659 57.2426258764361,18.6080964460918 57.2413716306264,18.6161960284998 57.2392186939273,18.6233641996511 57.2362499464286,18.6293252996232 57.2325796537059,18.6338503242642 57.2283490484584,18.636765713661 57.2237208747522,18.6379599707926 57.2188731088463)))', 'SEHTE', 'Hörte, Gotland', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2687286220468 58.5741660559626,11.267496959775 58.5693185761906,11.2644793255069 58.5646897034899,11.2597922764058 58.5604571993188,11.2536163001788 58.5567835441595,11.2461888234619 58.5538097197113,11.2377950746047 58.5516498206619,11.22875715389 58.550386698607,11.2194217264 58.5500688012001,11.2101467996972 58.5507083245101,11.2012880793217 58.5522807474486,11.1931854092737 58.5547257656894,11.1861498019066 58.5579495904611,11.1804515420325 58.5618285266943,11.1763098138466 58.5662136969685,11.1738842471399 58.5709367342046,11.1732687122473 58.5758162286782,11.1744876128305 58.5806646851413,11.1774948340872 58.5852957248972,11.1821754041398 58.5895312565735,11.1883498216597 58.5932083387784,11.1957808973133 58.5961854680762,11.2041828548489 58.5983480466453,11.2132323442877 58.5996128149569,11.2225809393121 58.5999310747293,11.2318686277183 58.5992905747266,11.2407377611094 58.59771598473,11.2488469101969 58.5952679389813,11.2558840762544 58.5920406871632,11.261578737177 58.5881584460821,11.2657122566804 58.5837705962911,11.2681262546719 58.5790459128008,11.2687286220468 58.5741660559626)))', 'SEHTV', 'Hästvom', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0778246728533 58.6402364319756,17.0766168865994 58.6353870357756,17.0736185118618 58.6307536182712,17.0689453714767 58.6265141164745,17.0627774247453 58.6228312800976,17.0553517952001 58.6198464433527,17.046953644207 58.6176741232246,17.0379052431548 58.6163976472988,17.0285536594528 58.6160659748238,17.0192575188166 58.6166918296489,17.0103733374227 58.6182512146108,17.0022419319369 58.6206843255232,16.9951754129055 58.6238978308864,16.9894452475834 58.6277684325115,16.9852718422496 58.6321475741679,16.9828160420693 58.6368671217972,16.9821728796373 58.6417458013673,16.9833678230371 58.6465961505389,16.9863556827362 58.6512317192317,16.9910222367165 58.6554742429353,16.9971885283993 58.6591605118804,17.0046176862219 58.6621486692774,17.0130240116733 58.6643236926021,17.0220839888786 58.6656018427311,17.0314487880621 58.6659339055332,17.0407577715674 58.665307097735,17.0496524680044 58.6637455615817,17.0577904598862 58.6613094287597,17.0648586339492 58.6580924908276,17.0705852709789 58.6542185685519,17.07475050185 58.6498367237019,17.077194725886 58.645115501872,17.0778246728533 58.6402364319756)))', 'SEHUK', 'Hummelvik', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0767497301967 57.830717480776,19.0761107547901 57.8258385475638,19.073700355124 57.8211198344394,19.0696117835619 57.8167425860628,19.0640025994977 57.8128748683345,19.0570885480531 57.8096651324597,19.0491352408583 57.8072365378882,19.0404479628321 57.8056822480693,19.0313599944836 57.8050618754495,19.0222198902473 57.8053992085164,19.0133781886807 57.8066813055236,19.0051740493554 57.808858988534,18.9979223136468 57.8118487192902,18.9919014723497 57.8155357869427,18.9873429923676 57.8197786885507,18.9844224082038 57.8244145382237,18.9832525225583 57.829265301396,18.9838789854088 57.8341446185119,18.9862784344776 57.8388649586566,18.9903592845287 57.8432448294717,18.995965151699 57.8471157658147,19.002880795837 57.850328826476,19.0108403628425 57.8527603458367,19.0195376147989 57.8543167151747,19.028637752756 57.8549380054546,19.0377903695636 57.8546002884834,19.0466430217354 57.8533165644534,19.0548548825677 57.8511362590018,19.0621099351565 57.8481433096295,19.068129183745 57.8444529171913,19.0726814039086 57.8402070907965,19.0755920141461 57.8355691616072,19.0767497301967 57.830717480776)))', 'SEHUL', 'Hultungs', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2298811972099 61.3401584191459,17.2285387412392 61.3353130281878,17.2252551754268 61.3306864911021,17.2201574045055 61.3264564657261,17.2134417801833 61.3227853173976,17.2053664877732 61.3198139086005,17.1962416082211 61.3176562187937,17.1864172397752 61.3163949961564,17.1762701299554 61.3160786035197,17.1661893184739 61.316719175775,17.1565613245023 61.3182921571609,17.1477554266745 61.3207372356611,17.1401095812751 61.3239606400067,17.1339175031944 61.3278387141463,17.1294173957027 61.3322226362234,17.1267827594785 61.3369441057228,17.1261156395933 61.3418217850921,17.1274425828514 61.3466682522663,17.1307134791833 61.351297199395,17.1358033526687 61.3555306017343,17.1425170539152 61.3592055798353,17.150596690386 61.3621806881659,17.1597315197961 61.3643413840466,17.1695699291226 61.3656044616496,17.1797330332464 61.3659212757416,17.189829357462 61.3652796272681,17.1994700209201 61.3637042358354,17.2082838161712 61.3612557803684,17.215931584622 61.3580285462494,17.2221193186206 61.3541467725783,17.2266094762482 61.3497598444311,17.2292300716046 61.3450365199694,17.2298811972099 61.3401584191459)))', 'SEHUM', 'Humlegårdsstrand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3445459106336 58.4411390790871,11.3433089351651 58.4362922745379,11.3402932101149 58.4316650856533,11.3356152127387 58.4274352093296,11.3294550778491 58.4237650256493,11.3220496205269 58.4207953838433,11.3136832228264 58.4186402190103,11.3046769365313 58.4173822019946,11.2953762159192 58.4170695853027,11.2861377412308 58.4177143628033,11.2773158241983 58.4192918118136,11.2692489010253 58.4217414347165,11.2622466153894 58.4249692652029,11.256577974376 58.4288514533301,11.2524610240767 58.4332389955618,11.2500544395146 58.4379634324817,11.2494513566714 58.4428432995351,11.2506756942298 58.4476910864173,11.2536811214015 58.4523204398389,11.2583527286886 58.4565533333729,11.2645113541136 58.4602269275945,11.2719204124015 58.463199854049,11.2802949732869 58.4653576775793,11.2893127422159 58.4666173225781,11.2986265167822 58.4669302886925,11.3078776293952 58.4662845288572,11.3167098443102 58.4647049153071,11.3247831575635 58.4622522751913,11.3317869526475 58.4590210341629,11.3374519926806 58.4551355613888,11.3415607797912 58.4507453604626,11.3439558817281 58.4460192955623,11.3445459106336 58.4411390790871)))', 'SEHUN', 'Hunnebostrand', 'Y'),('SRID=4326;MULTIPOLYGON(((19.1974436988605 63.3307115878379,19.1966826561303 63.3258365008593,19.1938210719972 63.3211217867491,19.1889698363571 63.316748511179,19.1823160253729 63.3128845483641,19.1741156144004 63.3096781584371,19.1646835998757 63.3072523248422,19.1543819158817 63.3057000640496,19.1436056063573 63.3050808823991,19.1327677719925 63.305418511481,19.1222838508673 63.3067000057331,19.1125558133463 63.3088762354842,19.1039568544218 63.3118637571681,19.0968171506024 63.3155479915253,19.0914112137248 63.3197875919624,19.0879473211722 63.3244198404745,19.0865594316627 63.3292668692214,19.0873019093246 63.3341424734773,19.0901472781531 63.338859257564,19.094987116882 63.3432358406756,19.1016360844266 63.3471038450549,19.1098389428072 63.3503143952779,19.1192803229991 63.3527438745331,19.1295968650848 63.3542987113304,19.1403912631138 63.3549190071557,19.1512476625791 63.3545808607952,19.1617477990252 63.3532972965623,19.1714872334488 63.3511177592649,19.1800910357838 63.3481261960142,19.187228292163 63.3444378013623,19.1926248633571 63.3401945552692,19.1960738978267 63.3355597307572,19.1974436988605 63.3307115878379)))', 'SEHUS', 'Husum', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((17.1745274248633 61.7241767295406,17.1731757057207 61.7193310847387,17.1698584248643 61.7147036055445,17.164703804477 61.710471984225,17.1579103954251 61.7067986446244,17.14973937719 61.7038245299916,17.1405045040926 61.7016637202289,17.130560086614 61.7003990803143,17.120287463735 61.7000791022145,17.1100804727414 61.7007160576623,17.1003304560379 61.7022855303283,17.0914113597057 61.7047273447937,17.083665475635 61.7079478580375,17.0773903580791 61.7118235285515,17.0728274066642 61.7162056303943,17.0701525518064 61.7209259361126,17.0694694061058 61.7258031550817,17.0708051581167 61.7306498838892,17.0741093851426 61.7352798041975,17.0792558523268 61.7395148521032,17.086047250057 61.743192082096,17.0942227050629 61.7461699586503,17.1034677875704 61.7483338291451,17.1134266328096 61.7496003626326,17.123715705301 61.7499207788661,17.1339386634491 61.7492827394106,17.1437017339895 61.7477108256264,17.1526289835115 61.7452655845713,17.1603768788783 61.7420411809342,17.1666475596407 61.7381617485008,17.1712003016391 61.73377658593,17.1738607287497 61.7290543866424,17.1745274248633 61.7241767295406)))', 'SEHUV', 'Hudiksvall', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8165903312151 56.0420743283672,14.8157567405451 56.037203619893,14.8132422193228 56.032517500068,14.8091439324369 56.0281959563151,14.803619732808 56.0244049162679,14.7968820409201 56.0212898936309,14.78918966226 56.0189704226066,14.7808378599877 56.0175354907567,14.7721470614994 56.017040141794,14.7634506247648 56.0175033754469,14.7550821224164 56.0189074228127,14.7473626178943 56.0211984242128,14.7405884082097 56.0242884842578,14.7350196920769 56.0280590273731,14.7308705905822 56.0323653282011,14.7283009008099 56.0370420467783,14.7274099019737 56.0419095598048,14.7282324600588 56.0467808481482,14.7307375928039 56.0514686782454,14.7348295646297 56.0557928023003,14.7403514840273 56.0595868998523,14.7470912776597 56.0627049917197,14.7547898200713 56.0650270764373,14.7631509097276 56.0664637685319,14.7718527053115 56.0669597563088,14.7805601746428 56.0664959427857,14.7889380654735 56.0650901851455,14.7966638850509 56.0627966034412,14.8034403749553 56.0597034858904,14.8090069893317 56.0559298735456,14.8131499270701 56.0516209590265,14.815710329463 56.0469424802069,14.8165903312151 56.0420743283672)))', 'SEHVK', 'Hörvik', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8139898000114 58.035969410232,11.8127048536165 58.0311273474958,11.8096643762041 58.0265112297366,11.8049857729758 58.0222983273707,11.7988491816966 58.0186503690492,11.7914904983759 58.015707352521,11.7831923014573 58.0135821936733,11.7742730248056 58.0123564149729,11.7650747906166 58.0120770347943,11.755950359166 58.0127547738232,11.7472496821679 58.014363645451,11.7393065598815 58.0168419455444,11.7324258987427 58.0200946048941,11.7268720462553 58.0239968167853,11.7228586434641 58.028398804202,11.7205403832106 58.033131547868,11.7200069956226 58.0380132592246,11.7212797024956 58.0428563529976,11.7243102915741 58.0474746534687,11.7289828630648 58.0516905579241,11.7351181974822 58.0553418806723,11.7424805901659 58.0582881117612,11.7507868979586 58.0604158459153,11.7597174521889 58.0616431686003,11.7689284137501 58.0619228263835,11.7780650847362 58.0612440563163,11.7867756500716 58.0596330019737,11.7947248040867 58.0571516997883,11.8016067220716 58.0538956760113,11.8071568651824 58.049990249561,11.8111621570963 58.0455856868407,11.8134691397799 58.0408513991926,11.8139898000114 58.035969410232)))', 'SEHVN', 'Höviksnäs', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4921151865669 58.1220873892707,11.4908703829775 58.1172418605334,11.4878636733218 58.1126178800215,11.483211173611 58.1083930218964,11.47709202776 58.1047294749204,11.4697414700489 58.1017678355387,11.4614417734244 58.0996217339691,11.4525114332027 58.0983734953942,11.4432929970395 58.0980709987624,11.4341399982858 58.0987258505056,11.4254034801351 58.1003129412915,11.4174186117466 58.1027714024238,11.4104918945531 58.1060069264279,11.4048894372662 58.1098953654495,11.4008267419888 58.1142874730859,11.3984603919874 58.119014611834,11.3978819651238 58.1238952110785,11.3991144172844 58.1287417308956,11.4021110895302 58.1333678661837,11.4067573939536 58.1375957147368,11.4128751298183 58.1412626325274,11.4202292775049 58.1442275099346,11.4285370175287 58.1463762237804,11.4374786300396 58.1476260511859,11.4467098512763 58.1479288713173,11.4558752014726 58.1472730284926,11.464621757037 58.1456837829277,11.4726128207042 58.143222331365,11.4795409478682 58.1399834365456,11.4851398151658 58.1360917595,11.4891944670401 58.1316970395904,11.4915495447609 58.1269683120141,11.4921151865669 58.1220873892707)))', 'SEHVS', 'Hällevikstrand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3454490167542 58.3691393819838,11.3442146866377 58.3642925192703,11.3412052246879 58.3596652620213,11.3365368646254 58.3554353100902,11.3303893691282 58.3517650469377,11.3229990671121 58.3487953253917,11.3146497591845 58.3466400841462,11.3056618425978 58.3453819974204,11.2963800688294 58.3450693206791,11.2871603935836 58.3457140501768,11.2783564096193 58.3472914649399,11.2703058668333 58.3497410683396,11.2633177812034 58.3529688943453,11.2576606145724 58.3568510926439,11.2535519711288 58.3612386587764,11.2511502044576 58.3659631319678,11.2505482622538 58.3708430459881,11.2517700157774 58.3756908886478,11.2547692300493 58.3803203046485,11.2594312314641 58.3845532654867,11.2655772253923 58.3882269296238,11.2729711115217 58.3911999264626,11.2813285435994 58.3933578186754,11.2903278875456 58.3946175284566,11.2996226521691 58.3949305532453,11.3088549040222 58.3942848437998,11.3176691356684 58.3927052702823,11.3257260370932 58.3902526579728,11.3327156242758 58.3870214309819,11.3383692067791 58.3831359573919,11.3424697260687 58.378745740295,11.3448600653892 58.3740196440508,11.3454490167542 58.3691393819838)))', 'SEHVT', 'Hovenäset', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7272640473625 58.2409992757577,11.7259826386952 58.2361564416428,11.7229350308635 58.2315384374337,11.7182389122834 58.2273226056189,11.712075100554 58.2236707864092,11.7046805409955 58.2207231244685,11.6963391900242 58.2185927125306,11.6873711353008 58.2173612732976,11.6781203657834 58.2170760413223,11.6689416509146 58.2177479613093,11.6601870182466 58.2193512700314,11.6521923323277 58.2218244775512,11.6452644744006 58.225072711376,11.6396696024309 58.228971336315,11.6356229345066 58.2333707148719,11.6332804463896 58.2381019296691,11.6327328070145 58.2429832522603,11.6340017956188 58.2478271131798,11.6370393531181 58.2524473074735,11.6417293211678 58.2566661592331,11.647891818533 58.2603213684891,11.6552900999973 58.2632722744737,11.6636396425208 58.2654052905767,11.6726191113541 58.2666382976348,11.6818827798424 58.2669238224073,11.6910739147882 58.2662508756141,11.6998385977921 58.2646453768045,11.7078394342325 58.2621691493374,11.7147686065075 58.2589175254658,11.7203597565576 58.2550156564844,11.7243982329261 58.2506136737654,11.7267293069422 58.2458808911456,11.7272640473625 58.2409992757577)))', 'SEHXN', 'Henån', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6646329753114 57.7570273973062,11.6633790391822 57.7521833972162,11.6603820682543 57.7475631866034,11.6557577878526 57.743344195365,11.6496842451612 57.7396883885074,11.6423949156919 57.7367360675663,11.6341697201175 57.7346005076441,11.6253242982605 57.733363631795,11.6161979476504 57.7330728848269,11.6071406797693 57.7337394233207,11.5984998769751 57.7353376894144,11.5906070465707 57.7378063843509,11.5837651653407 57.7410508056812,11.5782370881332 57.7449464610984,11.574235458049 57.7493438238903,11.5719145041685 57.7540740516134,11.571364046584 57.7589554524115,11.5726059493827 57.7638004538649,11.5755931723317 57.7684228086286,11.5802114741465 57.7726447603784,11.5862837178307 57.7763038933974,11.5935766256378 57.7792593997722,11.6018097321283 57.7813975194466,11.6106661931152 57.7826359396668,11.6198050304598 57.7829269805078,11.6288743316845 57.7822594406491,11.6375248824611 57.7806590304018,11.6454236914439 57.7781873749515,11.652266871666 57.7749396274592,11.6577913705225 57.7710407866098,11.6617850896873 57.7666408640684,11.6640950044461 57.7619090919766,11.6646329753114 57.7570273973062)))', 'SEHYP', 'Hyppeln', 'Y'),('SRID=4326;MULTIPOLYGON(((16.811598296563 57.7093417168838,16.8104600399196 57.7044888098415,16.8075755838431 57.6998479626132,16.8030563413144 57.6955974036262,16.7970763406229 57.6919003146053,16.7898654835912 57.6888985846915,16.7817006965397 57.6867073862949,16.7728953161149 57.6854107767901,16.7637871135833 57.6850584908797,16.7547254078363 57.6856640434718,16.7460577481965 57.6872042138328,16.7381166626129 57.6896199303129,16.7312069647072 57.692818522794,16.725594094433 57.6966772589719,16.7214939321144 57.701048032352,16.7190644750099 57.7057630261302,16.7183997003319 57.7106411395171,16.7195258603997 57.715494933017,16.7224003664458 57.7201378279549,16.7269133202905 57.724391284159,16.7328916510409 57.72809167883,16.7401057111113 57.7310966195718,16.7482780865505 57.7332904451545,16.7570942854497 57.7345886982378,16.766214889526 57.7349413938983,16.7752886918622 57.7343349548474,16.7839663015365 57.7327927367741,16.7919136757967 57.7303741230745,16.7988250436284 57.7271722249425,16.8044347108504 57.723310277938,16.8085272847771 57.7189368773745,16.8109459234148 57.7142202400202,16.811598296563 57.7093417168838)))', 'SEIDO', 'Idö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3381210927806 60.875120849506,17.3367833435348 60.8702762062757,17.3335334863153 60.865651824904,17.3284971044119 60.8614252821994,17.3218681725315 60.8577588128195,17.3139015374744 60.8547931034579,17.3049031095032 60.8526419188176,17.2952181435268 60.8513877609615,17.2852180547425 60.8510787241141,17.2752862627068 60.8517266619554,17.2658035900657 60.8533067354911,17.2571337568909 60.855758358362,17.2496095085268 60.8589875046605,17.2435198940674 60.8628702936626,17.2390991743439 60.8672577180477,17.2365177831752 60.8719813388218,17.2358756946332 60.876859732853,17.2371984637329 60.8817054491284,17.2404361104795 60.8863322088218,17.2454649105158 60.8905620730477,17.2520920434081 60.8942323014777,17.2600629362408 60.8972016351371,17.2690710305476 60.8993557575559,17.2787695998091 60.9006117194203,17.2887851578484 60.9009211518612,17.2987319300502 60.9002721409729,17.3082268131698 60.8986896891117,17.3169042281995 60.8962347447163,17.3244302755289 60.8930018393667,17.3305156321928 60.8891154260688,17.3349266855751 60.884725063909,17.3374944734709 60.8799996391298,17.3381210927806 60.875120849506)))', 'SEIGN', 'Iggön', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3331132815993 60.8701227927689,17.3317765163347 60.8652780911967,17.3285279047319 60.8606535790333,17.3234929820589 60.8564268381743,17.3168656669262 60.8527601109515,17.3089007441213 60.849794094016,17.2999040583433 60.8476425639215,17.2902207978694 60.8463880360149,17.2802223127101 60.8460786187259,17.2702919611306 60.8467261803175,17.2608105106857 60.8483058962018,17.2521416346334 60.8507571937032,17.244618041557 60.8539860593587,17.2385287552517 60.8578686231801,17.2341080237018 60.8622558864696,17.2315262808609 60.8669794164153,17.2308835139601 60.8718577933914,17.2322053037468 60.8767035670772,17.2354417075941 60.8813304564933,17.2404690487531 60.8855605178298,17.2470945628325 60.889231003243,17.2550637392439 60.8922006439314,17.2640700857194 60.8943551116575,17.2737669432294 60.8956114438459,17.2837808917353 60.8959212573805,17.2937262188127 60.8952726236732,17.3032198770186 60.8936905305325,17.3118963345727 60.8912359125504,17.3194217286797 60.8880032887037,17.3255067613586 60.8841171011313,17.3299178322054 60.8797269002139,17.3324859780223 60.8750015659896,17.3331132815993 60.8701227927689)))', 'SEIGO', 'Iggön, Säljemar', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8175953388928 56.0497126136276,15.8166355936028 56.0448493312729,15.813999627258 56.0401842452222,15.8097892592349 56.0358965283594,15.8041666308192 56.0321508042259,15.7973479228092 56.0290908436239,15.7895950318289 56.026834066239,15.7812055275888 56.0254670545333,15.7725012736741 56.0250422483277,15.7638161406116 56.0255759437841,15.7554832709474 56.0270476715385,15.7478223712675 56.0294009772179,15.7411275052116 56.0325455752721,15.7356558445856 56.0363607957188,15.7316178029799 56.04070019481,15.7291689284841 56.045397156466,15.7284038702154 56.0502712732177,15.7293526589409 56.0551352647932,15.7319794571624 56.0598021706744,15.736183841266 56.0640925409252,15.7418045809647 56.0678413480504,15.7486257830028 56.0709043518904,15.7563851710656 56.0731636694541,15.7647841863217 56.0745323315596,15.7734995172186 56.0749576471272,15.782195606857 56.0744232424489,15.7905376446487 56.0729496948617,15.7982045282427 56.0705937357921,15.8049012830037 56.0674460547454,15.8103704495901 56.0636277910616,15.8144019941091 56.059285851794,15.8168413575944 56.0545872397404,15.8175953388928 56.0497126136276)))', 'SEINN', 'Inlängan', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7979951488995 59.4768348610925,18.797370388375 59.4719557888989,18.7948874175403 59.4672324530222,18.7906423549314 59.4628462713062,18.7847988316208 59.4589656441976,18.7775816278279 59.4557395072887,18.7692680020301 59.4532916374248,18.7601770506678 59.4517159266894,18.7506575050591 59.4510728012379,18.7410744254049 59.4513869185083,18.7317952887407 59.4526462283765,18.7231759877569 59.4548024330183,18.715547260269 59.4577728282893,18.7092020547568 59.4614434580785,18.7043843060184 59.4656734640323,18.7012795471436 59.470300467967,18.7000077205861 59.4751467847861,18.7006184734675 59.4800262312819,18.7030891323393 59.48475127215,18.7073254530479 59.4891402299777,18.7131651353969 59.4930242816811,18.7203839839223 59.4962539703049,18.728704489755 59.4987049782871,18.7378065090338 59.5002829357937,18.7473396254497 59.5009270746178,18.7569367127658 59.5006125830445,18.766228161403 59.4993515681821,18.7748562042824 59.4971925874254,18.7824887727152 59.4942187675578,18.7888323334761 59.4905445860545,18.7936432021697 59.4863114419852,18.7967368931326 59.4816821912826,18.7979951488995 59.4768348610925)))', 'SEINO', 'Ingmarsö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4834616609631 58.3820881309453,11.4822079360934 58.3772427568936,11.4791793478465 58.372618899508,11.4744928632011 58.3683941270643,11.4683289384923 58.3647306233575,11.4609245304715 58.3617689812298,11.4525639781688 58.3596228290939,11.4435681077116 58.3583744924846,11.4342819739142 58.3580718530868,11.4250616989744 58.358726522505,11.4162608990648 58.3603133988643,11.4082172034599 58.3627716228555,11.4012393678516 58.3660068977864,11.3955954637047 58.3698950873131,11.3915025892044 58.3742869565342,11.389118495196 58.3790138787066,11.3885354525659 58.383894292576,11.3897766073477 58.3887406656628,11.392794978624 58.3933666980562,11.3974751548564 58.397594490356,11.4036376401105 58.4012613990222,11.4110456967824 58.4042263128382,11.4194144303708 58.4063751053063,11.4284217692228 58.4076250489245,11.437720912563 58.4079280173546,11.4469537576049 58.4072723488997,11.455764774489 58.4056832975297,11.4638147784979 58.4032220536798,11.4707940535446 58.3999833737889,11.4764343090262 58.3960919125754,11.4805190022369 58.391697403025,11.4828916278593 58.3869688738464,11.4834616609631 58.3820881309453)))', 'SEINR', 'Ingeröd', 'Y'),('SRID=4326;MULTIPOLYGON(((20.7465065058137 63.8571100506585,20.7454647074396 63.8522445244339,20.7422924963688 63.8475621158706,20.7371127069606 63.8432426338227,20.7301250199125 63.8394518722132,20.7215981941253 63.836335269331,20.7118597045113 63.834012354992,20.7012831889675 63.83257219345,20.6902741820156 63.8320699916748,20.6792546693151 63.8325249986567,20.6686470355636 63.8339197733131,20.6588579977718 63.8362008479795,20.6502631163564 63.8392807630062,20.6431924579297 63.8430413973146,20.6379179462601 63.8473384715261,20.6346428820523 63.8520070560949,20.6334940387623 63.8568678783003,20.6345166519442 63.861734190472,20.6376725156807 63.8664189387417,20.6428412843426 63.8707419580572,20.6498249550441 63.8745369159796,20.6583553803438 63.87765773537,20.6681045373436 63.8799842444868,20.678697164137 63.8814268318028,20.6897252734075 63.8819299210451,20.7007639713337 63.8814741281142,20.7113879524341 63.8800770137466,20.721188010959 63.8777924018077,20.729786908688 63.8747082904659,20.7368539675686 63.8709434396514,20.7421178118378 63.8666427706669,20.7453767648092 63.8619717603289,20.7465065058137 63.8571100506585)))', 'SEIVA', 'Ivarsboda', 'Y'),('SRID=4326;MULTIPOLYGON(((17.9610618879682 58.8359061313138,17.959723623501 58.8310665295637,17.9565907348347 58.8264552172217,17.9517842071107 58.8222492753127,17.945489109659 58.8186101591022,17.9379474298247 58.8156775203624,17.9294487630829 58.8135638706477,17.920319218719 58.8123502861104,17.9109089621107 58.8120833145911,17.9015788610402 58.8127732003949,17.8926867336138 58.8143934929203,17.8845737087374 58.8168820538347,17.8775512064697 58.8201434254975,17.871889024983 58.8240524725637,17.8678049836165 58.8284591608796,17.8654565182595 58.8331942945631,17.8649345571184 58.8380759951512,17.8662599233892 58.8429166773231,17.8693824186907 58.8475302552409,17.8741826401761 58.8517393029669,17.8804764785852 58.8553818924037,17.8880221382546 58.8583178430119,17.8965294178187 58.860434139035,17.9056708967685 58.8616493014435,17.9150945927918 58.8619165421794,17.9244375920735 58.8612255759521,17.9333401128683 58.8596030178478,17.9414594439734 58.8571113511137,17.9484832052662 58.8538465062242,17.9541414069029 58.8499341472912,17.9582168354436 58.84552481267,17.9605533662245 58.840788101118,17.9610618879682 58.8359061313138)))', 'SEJAA', 'Järflotta', 'Y'),('SRID=4326;MULTIPOLYGON(((19.7336663722723 63.4385036650266,19.7328116078248 63.4336314283516,19.7298514028297 63.4289274428134,19.7249004345891 63.424572356909,19.7181496012122 63.4207333419368,19.7098585893061 63.4175576969749,19.7003458558714 63.4151672235585,19.6899764150965 63.4136535808736,19.6791478955171 63.4130747945177,19.6682753905046 63.4134530482781,19.6577756644053 63.4147738405182,19.648051297394 63.4169865362437,19.639475354018 63.4200062944258,19.6323771434945 63.423717299313,19.6270296042514 63.4279771759519,19.6236387914023 63.4326224255638,19.6223358746046 63.4374746773625,19.6231719663682 63.4423475213351,19.6261159993534 63.4470536627575,19.6310557582966 63.4514121249201,19.637802051605 63.4552552225208,19.6460958838618 63.4584350349387,19.6556183687009 63.4608291261809,19.6660030073744 63.4623452862793,19.6768498576019 63.4629251063821,19.6877410353307 63.4625462453226,19.6982569334555 63.4612232971938,19.707992509754 63.4590072252053,19.7165729931687 63.4559833843925,19.7236683833091 63.4522682120508,19.7290061711321 63.4480047175905,19.7323817860928 63.4433569505699,19.7336663722723 63.4385036650266)))', 'SEJAB', 'Järnäsklubb', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4908357885316 58.6374546140087,16.4897094256355 58.6325994710425,16.4867888816673 58.627952148236,16.4821869978777 58.6236911207458,16.4760810087137 58.6199799679025,16.4687056722442 58.6169611127666,16.460344232307 58.6147503784573,16.4513175620796 58.6134325659661,16.4419719019049 58.6130582190274,16.4326656521425 58.6136416967815,16.4237557136392 58.6151606260259,16.4155838835518 58.6175567534907,16.4084638124739 58.6207381665207,16.4026690101184 58.6245827995405,16.3984223514983 58.6289430954383,16.3958874842313 58.6336516472085,16.395162471311 58.6385276074387,16.3962759239497 58.6433836229649,16.3991857880495 58.6480330305319,16.4037808482719 58.6522970375978,16.4098849089979 58.656011611219,16.4172635057493 58.6590338075529,16.4256328983433 58.661247294813,16.4346710028837 58.6625668528951,16.4440298382553 58.662941672314,16.4533489982905 58.6623573219984,16.4622696166672 58.6608363079906,16.4704482703137 58.6584372009475,16.4775702698131 58.6552523671387,16.4833618118712 58.6514043929222,16.4876005178294 58.6470413440767,16.4901239507916 58.6423310467182,16.4908357885316 58.6374546140087)))', 'SEJAD', 'Järstad', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0697889953631 58.6127262630786,13.0691390355088 58.6078477858463,13.0666781664082 58.603129182929,13.062501613469 58.5987516918056,13.0567703408095 58.5948833830296,13.0497047955356 58.5916727248269,13.0415764062953 58.5892429062473,13.0326971672585 58.5876871326691,13.023407705486 58.5870650699607,13.0140642815578 58.5874005700157,13.0050252092615 58.5886807622764,12.9966371994843 58.590856544927,12.9892221359 58.5938444573965,12.9830647755618 58.5975298643948,12.978401836366 58.6017713326478,12.9754128860607 58.6064060364727,12.9742133849867 58.611255988959,12.9748501584212 58.6161348632689,12.977299486225 58.6208551447707,12.9814679000465 58.625235340437,12.987195674875 58.6291069679725,12.9942628961212 58.6323210539007,13.0023978799888 58.6347538873314,13.0112876283379 58.6363118039022,13.020589914159 58.6369348114928,13.0299465245237 58.6365989143594,13.0389971381255 58.6353170435115,13.0473932870159 58.6331385563151,13.0548118484162 58.6301473250846,13.0609675327654 58.6264584903616,13.0656238773251 58.62221400726,13.0686023183226 58.6175771604454,13.0697889953631 58.6127262630786)))', 'SEJAN', 'Järna ,Vänern', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5649557709016 60.130928426387,18.5643553382852 60.1260488491789,18.5618588574331 60.1213214420759,18.5575630021675 60.1169277783835,18.5516333840746 60.1130365430012,18.5442981086759 60.1097970745036,18.5358389742243 60.1073336564747,18.526580656607 60.1057407728683,18.5168782937321 60.1050795049518,18.5071039371607 60.1053752040733,18.4976323765734 60.1066165266511,18.4888268633346 60.1087558670735,18.4810252626469 60.1117111723318,18.4745271495396 60.1153690708886,18.4695823324414 60.1195891992284,18.4663812398336 60.1242095644063,18.465047541355 60.1290527413021,18.4656332960676 60.1339326706907,18.4681168293293 60.1386617999856,18.4724034384688 60.143058293694,18.4783289195396 60.1469530360728,18.4856657968485 60.1501961546394,18.4941320282705 60.1526628101196,18.5034018574715 60.1542580256865,18.5131183940082 60.154920365052,18.5229074285039 60.1546243137492,18.5323919366929 60.1533812689765,18.541206696053 60.1512390985346,18.5490124337449 60.1482802862779,18.5555089449214 60.144618737653,18.560446665038 60.1403953718648,18.5636362460668 60.1357726747298,18.5649557709016 60.130928426387)))', 'SEJAS', 'Järsjö', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5701127624651 65.0927867103404,21.5688730854076 65.0879284241276,21.565410639436 65.0832654161424,21.5598594906971 65.0789767352633,21.5524336274184 65.0752269757221,21.5434186364853 65.0721599849402,21.5331606962772 65.0698933741288,21.522053313487 65.0685140367542,21.5105223074019 65.0680748413054,21.4990096024988 65.0685926206205,21.4879564284906 65.070047531862,21.4777865457819 65.0723838107062,21.4688901135058 65.0755118920238,21.4616087969331 65.0793118189235,21.4562226712044 65.0836378141246,21.4529394194324 65.0883238438123,21.4518862460019 65.0931899659742,21.4531048317025 65.0980492241669,21.4565495482278 65.102714825057,21.4620890285754 65.1070073250209,21.4695110609284 65.1107615484069,21.478530641634 65.1138329682143,21.4888008935702 65.1161032989522,21.4999264356985 65.1174850808283,21.511478684133 65.1179250731987,21.5230124804329 65.1174063219012,21.5340833839027 65.1159488177491,21.5442649349846 65.1136087198146,21.5531651981454 65.1104761746501,21.5604419249059 65.1066718187274,21.5658157388911 65.1023421036054,21.5690808313432 65.0976536294219,21.5701127624651 65.0927867103404)))', 'SEJAV', 'Jävrebodarna', 'Y'),('SRID=4326;MULTIPOLYGON(((17.664401703644 62.2389845161995,17.6629468861302 62.2341446896633,17.6594969520558 62.22953019368,17.6541852399689 62.2253182151604,17.6472163410776 62.2216704167272,17.6388581665604 62.218726754762,17.6294316369783 62.2166001353871,17.6192983921684 62.2153721085259,17.6088469873693 62.2150897605225,17.5984780918168 62.2157639207243,17.5885892388516 62.2173687485183,17.5795596912597 62.2198427162086,17.5717359819295 62.2230909514997,17.5654186679829 62.2269888528867,17.5608507965681 62.2313868436322,17.5582085230412 62.2361160868456,17.5575942482749 62.240994947064,17.5590325528606 62.2458359540939,17.562469104227 62.2504530040016,17.5677726012204 62.2546685210654,17.5747397033098 62.2583203039519,17.5831027728694 62.261267789683,17.5925401441174 62.2633974900022,17.6026885266729 62.2646273859392,17.6131570607092 62.2649101065994,17.6235424692136 62.2642347659014,17.633444704893 62.2626273841788,17.642482467563 62.2601498779406,17.6503079736675 62.2568976581953,17.6566203925479 62.2529959330447,17.6611774222906 62.2485948613592,17.6638045580872 62.2438637490737,17.664401703644 62.2389845161995)))', 'SEJBD', 'Junibosand', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4669164140184 65.4564314317452,22.4654931501218 65.4515815638198,22.4618234203596 65.4469403006779,22.4560492645092 65.4426858457494,22.4483932274412 65.4389814695788,22.4391497089384 65.4359692698033,22.4286736228214 65.4337647498635,22.4173668051726 65.4324524187963,22.4056626866875 65.4320825753762,22.39400980076 65.4326693953874,22.3828547361722 65.4341903924792,22.3726251608503 65.4365872724748,22.3637135409746 65.4397681497881,22.3564621577629 65.4436110443635,22.351149982654 65.4479685299214,22.3479819107638 65.452673360842,22.3470807731466 65.4575448673166,22.3484824519295 65.4623958778801,22.3521343109342 65.4670399064462,22.3578970310415 65.471298328575,22.3655498083736 65.4750072697534,22.3747987394226 65.4780239373633,22.3852880863657 65.4802321477762,22.3966139942827 65.4815468301129,22.4083401261534 65.4819173276381,22.4200145972356 65.4813293649857,22.4311875325944 65.4798056024639,22.4414285436376 65.4774047552622,22.4503434232049 65.4742193129393,22.4575893938295 65.4703719505325,22.4628883080987 65.4660107745075,22.4660372897424 65.4613035923229,22.4669164140184 65.4564314317452)))', 'SEJNK', 'Junkön', 'Y'),('SRID=4326;MULTIPOLYGON(((15.4687245533709 56.1588384967843,15.4678060176998 56.1539725503311,15.4652046976136 56.1493000687305,15.4610210892566 56.1450005107999,15.4554163146426 56.141238955916,15.4486058770469 56.1381597829814,15.4408513620533 56.1358811487197,15.4324504057388 56.1344904734399,15.4237253123134 56.1340411037395,15.4150107501747 56.1345502770358,15.4066409867771 56.1359984639369,15.3989371383372 56.1383301130017,15.3921949099165 56.1414557701348,15.3866732848327 56.1452554935016,15.382584589968 56.1495834361727,15.3800863159959 56.1542734244308,15.3792750098665 56.1591453213936,15.3801824825875 56.1640119348066,15.382774490448 56.1686862058044,15.3869519550046 56.1729884031507,15.3925546895827 56.1767530456422,15.3993675014863 56.1798352843161,15.4071284436675 56.1821164957176,15.4155389015692 56.1835088671911,15.4242751244497 56.1839587939084,15.4330007495501 56.1834489536513,15.441379825178 56.1819989773507,15.4490898174131 56.1796646888679,15.4558340858577 56.1765359441263,15.4613533366219 56.1727331550213,15.4654356042944 56.1684026352126,15.4679243766847 56.1637109507631,15.4687245533709 56.1588384967843)))', 'SEJOD', 'Jordö', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0267039427051 56.1399984256936,15.0258417027953 56.135129229275,15.0232952825067 56.1304474797533,15.0191630732627 56.1261329949252,15.0136042298546 56.1223514297281,15.0068325002121 56.119247932796,14.9991079924224 56.1169415950618,14.990727198172 56.1155208997044,14.9820116530354 56.1150403442746,14.9732956611312 56.1155183614057,14.964913543587 56.1169366157446,14.9571868863757 56.1192407033232,14.9504122631034 56.1223422272842,14.9448498922532 56.126122172462,14.9407136565068 56.1304354525311,14.9381628647078 56.1351164590023,14.9372960758158 56.1399854028587,14.9381472303166 56.1448552085701,14.9406842500271 56.1495386978763,14.9448101746755 56.1538557881148,14.9503668062444 56.1576404276986,14.957140733539 56.1607469999462,14.9648715139022 56.1630559457357,14.973261700706 56.1644783848349,14.9819883284437 56.1649595542237,14.9907154057687 56.164480927799,14.9991069238959 56.1630609336732,15.0068398656979 56.160754240682,15.0136167007977 56.1576496423335,15.0191768739839 56.1538666218411,15.0233068371519 56.1495507337189,15.0258482364024 56.1448679835081,15.0267039427051 56.1399984256936)))', 'SEJOG', 'Joggesö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7197811312554 56.2378336705505,12.7192099243375 56.232952362891,12.7169402630497 56.2282268861086,12.7130599341848 56.2238387528444,12.707718457995 56.2199564579402,12.7011212813459 56.2167290243984,12.6935218558025 56.2142803025849,12.6852119090689 56.2127042377917,12.6765102818569 56.2120612839221,12.6677507518978 56.2123760974915,12.6592693013545 56.2136365979601,12.6513913026597 56.2157944293175,12.6444191004675 56.2187668055839,12.6386204539306 56.2224396712373,12.6342182741566 56.2266720582921,12.6313820470447 56.2313014765273,12.6302212726942 56.236150133835,12.6307811806301 56.2410317513074,12.6330408971214 56.2457587138166,12.6369141493787 56.2501492825337,12.6422524945001 56.2540345918416,12.648850962299 56.2572651598226,12.6564559046473 56.2597166589207,12.6647747539588 56.261294721027,12.6734873141843 56.261938588165,12.6822581431379 56.2616234647821,12.6907495384845 56.2603614785846,12.6986346137837 56.2582012117719,12.7056099470333 56.2552258211006,12.7114073024079 56.2515498210085,12.7158039653703 56.2473146566712,12.7186312899073 56.2426832411252,12.7197811312554 56.2378336705505)))', 'SEJOP', 'Jonstorp', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8886707831534 58.5233075489813,16.8874934502215 58.5184561404138,16.8845302540073 58.5138180553032,16.8798956638166 58.5095714117812,16.8737681588949 58.5058792355455,16.8663833128536 58.502883220821,16.8580247261898 58.5006983146325,16.8490131574818 58.4994083280346,16.8396942663674 58.4990627386262,16.8304254287642 58.4996748036992,16.8215621160595 58.501221054334,16.8134443446132 58.5036421893452,16.8063836996504 58.5068453359265,16.8006514184829 58.5107075928799,16.796467982298 58.5150807241737,16.7939946141124 58.5197968269249,16.7933270139531 58.5246747603398,16.794491582439 58.5295270921304,16.7974442928453 58.5341672977173,16.8020722722344 58.5384169361461,16.8081980477972 58.5421125257723,16.8155863092051 58.5451118527135,16.8239529360057 58.5472994656895,16.8329759455837 58.5485911415612,16.8423079365307 58.5489371455525,16.8515895385948 58.5483241572549,16.8604633371119 58.5467757861409,16.8685877193514 58.5443516562202,16.8756500936566 58.5411450962476,16.8813789594426 58.5372795270791,16.8855543554861 58.5329036890007,16.8880162828102 58.5281858969783,16.8886707831534 58.5233075489813)))', 'SEJOS', 'Jonsberg', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7054423007982 57.5853815892587,16.7043223663626 57.5805275425598,16.701461510562 57.5758840668047,16.6969702364262 57.5716294926364,16.6910214968122 57.5679271572781,16.6838439940479 57.5649191524938,16.6757133767099 57.5627208925016,16.6669416739386 57.5614167062751,16.6578653691267 57.5610566194361,16.6488325614534 57.5616544459894,16.6401896946398 57.5631872610873,16.6322683468812 57.565596274538,16.6253725739341 57.5687890726212,16.6197672787985 57.5726431446969,16.6156680466669 57.5770105628375,16.6132328334387 57.5817236389487,16.6125558311808 57.5866013461827,16.613663755989 57.5914562613387,16.6165147149052 57.5961017636601,16.6209997116095 57.6003592139779,16.6269467489285 57.604064837202,16.6341273836966 57.6070760410206,16.6422654905208 57.6092769241915,16.6510479000552 57.6105827583853,16.660136498898 57.6109432670914,16.6691813162119 57.6103445720797,16.6778340799142 57.6088097304129,16.6857617050969 57.6063978408101,16.6926591803244 57.6032017548603,16.6982613434429 57.5993444837517,16.7023530860841 57.5949744424351,16.7047775925565 57.5902597183591,16.7054423007982 57.5853815892587)))', 'SEJSO', 'Järsö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5135090659655 62.2960420980075,17.5120754810504 62.2912006272287,17.5086418309352 62.2865823397361,17.5033408349425 62.2823645688609,17.4963766790561 62.2787091999924,17.4880170978036 62.2757564800392,17.4785830696063 62.2736196623074,17.468436523874 62.2723806873573,17.4579665257915 62.2720870608055,17.4475744554999 62.2727500440163,17.4376587314351 62.2743442247496,17.4285996424868 62.2768084837521,17.4207448502144 62.2800483216524,17.4143961006029 62.2839394600483,17.4097976450264 62.2883325830065,17.4071268127347 62.2930590419825,17.4064871032741 62.2979373099692,17.4079040782919 62.3027799409486,17.4113242304077 62.3074007697372,17.4166168952456 62.3116220761156,17.423579155168 62.3152814364468,17.4319435642963 62.3182379961586,17.4413884092145 62.3203779173758,17.4515501137662 62.3216187870599,17.4620373049708 62.321912811137,17.4724459851839 62.3212486677234,17.4823752072544 62.3196519456897,17.4914426273424 62.3171841511803,17.4992993155511 62.3139403218163,17.5056432372624 62.3100453436641,17.5102308761117 62.3056491172247,17.512886549599 62.3009207635186,17.5135090659655 62.2960420980075)))', 'SEJUS', 'Juniskär', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4584811589467 59.1259585513211,18.457909992261 59.1210780304856,18.4554982698016 59.1163485460784,18.4513393599178 59.1119517560528,18.4455935784001 59.1080564724766,18.4384819531658 59.1048121976559,18.4302776969729 59.1023434079366,18.421295720831 59.1007448004343,18.411880589088 59.1000776807657,18.402393370401 59.100367626531,18.3931978758923 59.1016035134004,18.3846467961229 59.1037379398691,18.3770682517674 59.106689034771,18.3707532590306 59.1103435802198,18.365944580122 59.1145613334926,18.3628273820345 59.1191803861614,18.3615220643449 59.1240233591281,18.3620795401281 59.1289041996019,18.3644791652808 59.1336353218121,18.3686294131571 59.1380348184656,18.3743712866794 59.1419334654356,18.3814843528906 59.1451812483703,18.389695179661 59.1476531568449,18.3986878556724 59.1492540189411,18.4081161876176 59.1499221858,18.4176170972253 59.1496319203958,18.4268246890505 59.1483943957205,18.4353844308234 59.1462572626207,18.4429668831587 59.1433028043233,18.4492804349005 59.1396447507612,18.4540825432216 59.1354238787359,18.4571890414437 59.1308025714763,18.4584811589467 59.1259585513211)))', 'SEJUT', 'Jutholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0225683863892 57.7178961654549,12.0212682540127 57.7130561652259,12.0182293624527 57.7084448401751,12.0135690408625 57.704239276739,12.0074667126381 57.7006009228237,12.0001569503425 57.6976694092612,11.9919204517712 57.6955572126191,11.9830732853044 57.694345360109,11.9739548128749 57.6940803375114,11.9649147441384 57.6947723156541,11.9562998048547 57.6963947616502,11.9484405155295 57.6988854495196,11.9416385727934 57.7021488327211,11.9361553058433 57.7060596902597,11.9322016438694 57.7104679101398,11.9299299784114 57.7152042306947,11.9294282381137 57.7200867233171,11.930716413984 57.724927770803,11.9337456831917 57.7295412751415,11.9384001814986 57.7337498181201,11.9445013720528 57.7373914982246,11.9518148554946 57.7403261782412,11.9600593675204 57.7424408995378,11.9689176197748 57.7436542505466,11.9780485626126 57.7439195173536,11.9871005878681 57.7432264919524,11.9957251495072 57.7416018666658,12.003590262107 57.7391081992517,12.0103933424981 57.7358414898604,12.0158728882892 57.7319274658694,12.0198185368057 57.7275167213375,12.0220791164847 57.7227789022862,12.0225683863892 57.7178961654549)))', 'SEKA2', 'Kalvö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8802021005992 58.1989431746431,11.8789016064006 58.194102021554,11.8758380335778 58.1894877878083,11.8711296799445 58.1852776702533,11.8649578287987 58.1816332892047,11.8575597302463 58.1786945036733,11.8492194734952 58.1765740659294,11.8402571023866 58.1753533163861,11.8310163873992 58.175079080019,11.8218517132415 58.1757618802208,11.8131145710105 58.1773755367208,11.8051401572204 58.1798581626687,11.7982345785497 58.1831145239298,11.7926631409555 58.1870196727934,11.7886401651809 58.1914237204029,11.7863207183004 58.1961575689391,11.7857945838647 58.2010393875197,11.787082713041 58.2058815863718,11.7901363080599 58.2104980233329,11.7948385901374 58.2147111661369,11.8010092003165 58.2183589339017,11.808411077421 58.2213009520199,11.8167595569955 58.2234239760888,11.8257333433493 58.2246462719502,11.8349869281341 58.224920779215,11.8441639673279 58.2242369332485,11.8529110873661 58.2226210735303,11.8608915727031 58.2201354223309,11.8677983923242 58.216875674353,11.8733660513527 58.2129672929042,11.8773808043004 58.2085606589726,11.8796888359448 58.2038252641208,11.8802021005992 58.1989431746431)))', 'SEKA3', 'Kåröd', 'Y'),('SRID=4326;MULTIPOLYGON(((15.6367337621842 56.1677776882041,15.6357937769734 56.1629130549003,15.6331714871534 56.1582441716244,15.6289681928286 56.1539503578407,15.6233457694988 56.1501964714487,15.6165203949573 56.1471265963723,15.6087542249814 56.144858532233,15.6003453401847 56.1434792938055,15.5916163470835 56.1430417892038,15.5829020628948 56.1435628011062,15.5745367448435 56.1450223464156,15.5668413401939 56.147364438265,15.5601112325394 56.1504992219838,15.5546049431102 56.1543064052941,15.5505342132763 56.1586398543794,15.5480558466941 56.1633331832464,15.54726562768 56.1682061256076,15.5481945579331 56.1730714478025,15.5508075686974 56.1777421393379,15.5550047725197 56.1820386054589,15.5606252211253 56.185795584472,15.5674530373571 56.1888685216302,15.5752256937154 56.1911391511373,15.5836441220945 56.1925200676643,15.5923842630529 56.1929581076212,15.6011096022111 56.1924364068266,15.6094841993225 56.1909750532555,15.6171856944692 56.1886303090666,15.6239177768359 56.1854924327258,15.6294216245631 56.1816821873348,15.6334858680101 56.177346172884,15.6359546910154 56.1726511659196,15.6367337621842 56.1677776882041)))', 'SEKAA', 'Karlskrona', 'Y'),('SRID=4326;MULTIPOLYGON(((14.1108408817306 55.3833266560591,14.1101078134809 55.3784511323423,14.1077186907974 55.3737506838248,14.1037658462285 55.3694058553441,14.0984015415174 55.3655834759179,14.0918320622765 55.362430268966,14.0843097696859 55.3600672394359,14.076123417769 55.3585850496374,14.0675871059693 55.3580405575522,14.0590282840829 55.3584546472557,14.0507752590471 55.3598114324932,14.0431446699879 55.3620588630862,14.0364293989673 55.3651107114853,14.0308873700367 55.3688498651981,14.0267316587798 55.3731328017828,14.024122289136 55.3777950783103,14.023160034934 55.3826576282911,14.0238824716983 55.3875336275086,14.0262624418875 55.3922356672946,14.0302090063365 55.3965829605557,14.0355708593942 55.4004083030344,14.0421420886925 55.4035645202131,14.0496700666234 55.4059301488644,14.057865173623 55.4074141309854,14.066411977365 55.4079593357292,14.0749814307479 55.4075447705242,14.0832436082831 55.4061863940161,14.0908804774585 55.4039364986404,14.0975982001219 55.4008816871879,14.103138478984 55.3971395232491,14.1072885048955 55.3928539875453,14.1098891194604 55.3881899186974,14.1108408817306 55.3833266560591)))', 'SEKAB', 'Kåseberga', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0825338724902 64.8279790265228,21.0813944801171 64.8231166334793,21.0780506356118 64.8184422860961,21.0726318371334 64.814135474738,21.0653469896362 64.8103614955992,21.0564762763379 64.8072651307701,21.0463603568468 64.8049651223257,21.0353873121521 64.8035496470247,21.0239778325443 64.8030729597879,21.0125692022329 64.8035533300983,21.0015986731817 64.8049723473965,20.991486840125 64.8072756210367,20.9826216286873 64.8103748490427,20.9753434890215 64.8141511794021,20.9699323485481 64.8184597395774,20.966596819612 64.8231351659074,20.965466081939 64.8279979261719,20.9665847669722 64.8328611972621,20.9699110635718 64.83753803697,20.9753181450847 64.8418485754979,20.9825988903619 64.8456269492251,20.99147374072 64.8487277070254,21.0016014067289 64.8510314380332,21.0125920191025 64.8524493987623,21.0240222130266 64.8529269559065,21.0354515507166 64.8524457075471,21.0464396276895 64.8510241979188,21.0565631776956 64.8487171971034,21.0654324913145 64.8456135745068,21.0727064938819 64.8418328511784,21.0781058878214 64.8375205684451,21.0814238490947 64.8328426566926,21.0825338724902 64.8279790265228)))', 'SEKAG', 'Kåge', 'Y'),('SRID=4326;MULTIPOLYGON(((16.328861834482 57.1165223673143,16.3278064761089 57.1116644007805,16.3250299767278 57.1070117440736,16.3206395860419 57.1027430849939,16.3148043770673 57.0990223064182,16.3077486953145 57.0959922126263,16.2997435220596 57.093769069263,16.2910960858578 57.0924381625317,16.2821381176531 57.0920505441551,16.2732131914501 57.0926210837914,16.2646636235652 57.0941279015913,16.2568174183788 57.0965132020971,16.249975746996 57.099685478488,16.2444014273182 57.1035230050021,16.2403088400243 57.1078784869775,16.2378556655157 57.1125846940285,16.2371367630186 57.1174608640222,16.2381804363168 57.122319635195,16.2409472430845 57.1269742422314,16.2453314092302 57.1312457004114,16.2511648093687 57.1349697007213,16.2582233733717 57.1380029484014,16.2662356811693 57.1402286976559,16.2748934180377 57.1415612655575,16.2838632848484 57.1419493474849,16.292799896139 57.1413780032083,16.3013591566416 57.1398692350765,16.3092115863618 57.137481135468,16.3160550665668 57.1343056373422,16.3216265039818 57.130464956941,16.3257119567286 57.126106869077,16.3281548305772 57.121399000858,16.328861834482 57.1165223673143)))', 'SEKAH', 'Källahamn', 'Y'),('SRID=4326;MULTIPOLYGON(((14.9097364020607 56.1680407572073,14.9088883319686 56.1631707754688,14.9063542843531 56.158486645176,14.9022321776009 56.1541682762436,14.8966807811282 56.1503814732049,14.8899135595259 56.1472715859685,14.8821904500358 56.1449579506875,14.8738078921949 56.1435293303376,14.8650874898878 56.1430405261881,14.8563637332964 56.1435102869679,14.8479712403056 56.1449205937855,14.8402319931829 56.1472173474637,14.8334430465051 56.1503124326493,14.8278651663518 56.1540870816252,14.8237128290148 56.1583964119493,14.8211459605154 56.1630749675617,14.8202637370844 56.1679430544654,14.8211006929358 56.1728136309624,14.8236252971668 56.1774994899997,14.8277410690594 56.1818204584771,14.8332902036234 56.1856103361049,14.8400595806255 56.1887233048962,14.8477889346864 56.191039559559,14.8561808755908 56.1924699383399,14.864912370967 56.1929593722639,14.873647241811 56.1924890167246,14.8820491781912 56.1910769811603,14.8897947601688 56.1887776279347,14.8965859687435 56.1856794681591,14.9021616934851 56.1819017376293,14.9063077862463 56.1775897879257,14.9088652716869 56.1729094738846,14.9097364020607 56.1680407572073)))', 'SEKAN', 'Karlshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0198397718124 55.4017178600791,13.0192408647258 55.3968371585216,13.0169807332748 55.3921167045903,13.0131467657953 55.38773781875,13.0078866751782 55.3838686435083,13.001402765379 55.3806577024506,12.9939441325968 55.3782282179106,12.9857971044698 55.3766734017921,12.9772742828594 55.3760528965433,12.9687026042717 55.376390499565,12.9604108655951 55.3776732560159,12.9527171809439 55.3798519537711,12.9459168376556 55.3828430019477,12.9402710058603 55.3865316227222,12.9359967267997 55.3907762368862,12.9332585608129 55.3954138784396,12.9321622175986 55.4002664341197,12.9327504204318 55.4051474716127,12.9350011743827 55.409869396578,12.9388285187536 55.4142506645997,12.9440857489625 55.4181227705052,12.9505709965273 55.4213367445423,12.9580349615886 55.4237689026335,12.9661905047184 55.4253256258508,12.9747237277226 55.4259469814069,12.983306110575 55.4256090424492,12.9916072267575 55.4243248149622,12.9993075345143 55.4221437350234,13.0061107382007 55.4191497561818,13.0117552322191 55.4154581024286,13.0160241789947 55.4112108147153,13.0187538299818 55.4065712660653,13.0198397718124 55.4017178600791)))', 'SEKAP', 'Kämpinge', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4151046999678 58.1121159353186,11.4138707138822 58.1072695702744,11.4108748039028 58.1026436891892,11.4062326718781 58.0984159397858,11.4001230648056 58.0947486222973,11.3927808523187 58.091782478211,11.3844879887074 58.0896313107624,11.3755627085573 58.0883776394934,11.3663473664576 58.0880695516321,11.3571953775654 58.0887188678827,11.3484577461878 58.090300691033,11.340469683411 58.0927543542956,11.3335378119262 58.0959857342134,11.3279284366023 58.0998708420419,11.3238573233513 58.1042605594878,11.321481377073 58.1089863412205,11.3208925430114 58.113866669269,11.3221141762781 58.1187140147282,11.3251000337712 58.1233420413746,11.3297359440414 58.1275727748437,11.3358441072986 58.1312434606059,11.3431898737208 58.134212844385,11.3514907479665 58.1363666297312,11.3604272759044 58.137621898551,11.3696553905699 58.137930320403,11.3788197322949 58.1372800237359,11.3875674161626 58.1356960550215,11.3955617006855 58.1332394076908,11.4024950159697 58.1300046594986,11.4081008373444 58.1261163119789,11.4121639399572 58.1217239766381,11.4145286384561 58.1169965973572,11.4151046999678 58.1121159353186)))', 'SEKAR', 'Käringön', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9032425413751 57.4377779698689,18.9026324341012 57.4328980850131,18.9002692586281 57.4281761288945,18.8962444387481 57.4237934734262,18.8907130761309 57.4199183954145,18.8838879246438 57.4166996320436,18.8760311861714 57.4142606923507,18.8674444474165 57.4126951391422,18.8584571423664 57.4120630183717,18.8494139758442 57.4123885694243,18.8406617787903 57.4136593016022,18.8325362849576 57.4158264710964,18.8253493212599 57.4188069405709,18.8193768900377 57.422486351955,18.8148485912652 57.426723493862,18.8119387867749 57.4313556999333,18.8107598478623 57.436205074952,18.8113577535481 57.4410853132771,18.8137102212717 57.4458088503171,18.817727457397 57.4501940734786,18.823255514813 57.4540723150478,18.830082142842 57.457294356218,18.8379449148125 57.4597361889363,18.846541325478 57.4613038099592,18.8555404683896 57.4619368585264,18.8645958365143 57.4616109540039,18.8733587413253 57.4603386409022,18.8814918189091 57.4581689037121,18.8886820877951 57.4551852706786,18.8946530424609 57.4515025814961,18.8991753077277 57.447262546566,18.902075440311 57.4426282726829,18.9032425413751 57.4377779698689)))', 'SEKAT', 'Katthammarsvik', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8854823883956 56.8163210631298,16.8843641660645 56.811468054079,16.8815418167153 56.8068278925592,16.8771243334461 56.8025787840231,16.8712818122028 56.7988838596617,16.8642388644166 56.7958849316732,16.8562659723435 56.7936970711234,16.8476691212159 56.792404212574,16.838778102549 56.7920559503389,16.8299339286546 56.7926656461854,16.821475828646 56.7942099191481,16.8137283103934 56.7966295365635,16.8069887707398 56.7998316732145,16.8015161178482 56.8036934543589,16.7975208351318 56.8080666501462,16.7951568664828 56.812783345203,16.7945156385252 56.8176623695788,16.7956224589304 56.822516247261,16.7984354425742 56.8271583973383,16.8028470222014 56.8314103116188,16.8086880006434 56.8351084317626,16.8157340013494 56.8381104590429,16.8237140772868 56.8403008505545,16.8323211495458 56.8415952864192,16.841223870535 56.8419439321907,16.8500794463673 56.8413333677114,16.858546912085 56.8397871061886,16.8663003339729 56.8373646830267,16.8730414164144 56.8341593505925,16.8785110163741 56.8302944701576,16.8824991152225 56.825918743411,16.8848528627469 56.8212004710412,16.8854823883956 56.8163210631298)))', 'SEKAU', 'Kapelludden', 'Y'),('SRID=4326;MULTIPOLYGON(((21.4324728876387 64.3298416776076,21.4312924989761 64.3249817207693,21.4279499928895 64.3203149823097,21.4225747684428 64.3160206605499,21.4153740177999 64.312263574573,21.4066246693075 64.3091878621898,21.3966627141841 64.306911478038,21.3858703315601 64.3055216975969,21.3746613009284 64.3050717943025,21.3634652474901 64.3055790127627,21.3527113036321 64.3070239128686,21.3428117884526 64.3093511089795,21.3341465066897 64.3124713769653,21.327048248612 64.3162650513648,21.3217900335687 64.3205865868982,21.3185745823827 64.3252701146661,21.3175264284151 64.3301357851334,21.3186869852759 64.3349966589053,21.3220127828892 64.3396658836665,21.3273769659021 64.3439638825799,21.3345740231119 64.3477252767504,21.3433275884718 64.3508052724841,21.3533010287909 64.3530852630415,21.364110416425 64.3544774238997,21.3753393830191 64.3549281192247,21.3865552682947 64.3544199838286,21.3973259206398 64.352972597416,21.4072364772374 64.3506417241464,21.4159054523972 64.347517147965,21.422999493572 64.3437191902173,21.4282462234057 64.3393940482834,21.4314446695974 64.3347081401034,21.4324728876387 64.3298416776076)))', 'SEKAV', 'Kallviken', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2018127156805 65.852138300048,23.2002283532221 65.8472963181527,23.1963693966049 65.8426739015424,23.1903851716651 65.8384485205254,23.1825062891009 65.8347823204146,23.1730356854243 65.8318159259533,23.1623369581641 65.8296630775065,23.150820446923 65.8284062990305,23.1389275868988 65.8280937584016,23.1271141175291 65.828737435976,23.1158327654037 65.8303126687988,23.105516037202 65.8327590872854,23.0965597550473 65.8359829100536,23.0893079433261 65.8398605125127,23.0840396328375 65.8442431374196,23.080958085476 65.8489625724763,23.0801828612954 65.8538375827142,23.0817450511175 65.8586808553397,23.0855858840352 65.8633061932121,23.0915587933786 65.867535681289,23.0994348911521 65.8712065489961,23.1089116648131 65.8741774609912,23.1196245775179 65.8763339891549,23.1311611300611 65.8775930493261,23.1430768361328 65.8779061262597,23.1549124781813 65.8772611579518,23.1662119540183 65.8756830038604,23.176539997791 65.8732324783082,23.1854990646886 65.8700039879421,23.1927447063828 65.8661218679526,23.1979988314147 65.8617355633352,23.2010603374995 65.857013846589,23.2018127156805 65.852138300048)))', 'SEKAX', 'Kalix', 'Y'),('SRID=4326;MULTIPOLYGON(((17.694554696481 60.5249887500363,17.6931794692789 60.5201477153493,17.689915339614 60.5155318724233,17.6848884152254 60.5113184694481,17.6782922871746 60.5076692373228,17.6703805283256 60.5047242030188,17.6614569356819 60.5025963404959,17.6518638934396 60.5013672598648,17.6419692981598 60.5010840958127,17.6321525359411 60.5017577111398,17.6227900330294 60.5033622821926,17.614240915447 60.5058362816925,17.6068333097437 60.5090848226329,17.6008517958974 60.5129832762808,17.596526485005 60.5173820295486,17.5940241393085 60.5221122037704,17.5934416813134 60.5269921197891,17.5948023538508 60.5318342646891,17.5980546961091 60.5364524947636,17.6030743948738 60.5406691984023,17.6096689591219 60.5443221422105,17.6175850540689 60.5472707341468,17.6265182225837 60.5494014586339,17.6361246226317 60.5506322698521,17.6460343240443 60.5509157696473,17.6558656409465 60.5502410441053,17.6652399312696 60.5486340859002,17.6737962744638 60.5461567857339,17.6812054439479 60.5429045331098,17.6871826216775 60.5390025218316,17.6914983566941 60.5346009066032,17.693987344597 60.5298690017975,17.694554696481 60.5249887500363)))', 'SEKBK', 'Karlholmsbruk', 'Y'),('SRID=4326;MULTIPOLYGON(((23.368661799758 65.7910725294285,23.3670500965809 65.786232335848,23.3631706590442 65.7816141632936,23.3571735899786 65.7773953181072,23.3492899836989 65.7737376942637,23.3398229498847 65.7707815874795,23.3291359433935 65.7686403439643,23.3176388516294 65.7673960433553,23.3057723657071 65.7670963758708,23.2939912173572 65.7677528289436,23.2827468996794 65.7693402501025,23.272470506182 65.7717978022469,23.2635563189217 65.7750312763122,23.2563467529945 65.778916676267,23.251119221253 65.7833049440255,23.2480754203206 65.7880276487864,23.2473334575233 65.7929034280647,23.248923139645 65.7977449377213,23.2527846306568 65.8023660469185,23.2587705599212 65.8065890022385,23.2666515290626 65.8102512839771,23.2761248298924 65.8132118872959,23.2868260534655 65.8153567814277,23.2983431479587 65.8166033309608,23.3102323770175 65.8169035032973,23.3220355464646 65.8162457341449,23.3332978106787 65.8146553763369,23.3435853439518 65.8121937140532,23.3525021683027 65.8089555820913,23.3597054671725 65.8050656856054,23.3649187818206 65.8006737672366,23.3679425800494 65.7959488135573,23.368661799758 65.7910725294285)))', 'SEKBN', 'Karlsborgsverken', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2936652949501 58.528157193172,11.2924319645471 58.5233099326406,11.2894151586689 58.5186816106091,11.2847314003952 58.5144499674325,11.2785610492462 58.5107774507139,11.2711413147565 58.5078049987295,11.2627571277422 58.5056466538189,11.2537302219551 58.5043852082563,11.2444068408931 58.5040690456192,11.2351445314225 58.5047102955545,11.2262985166396 58.5062843707222,11.2182081545247 58.5087309032447,11.2111839861711 58.5119560459504,11.2054958577388 58.5158360527969,11.2013625640916 58.5202220048259,11.1989434099687 58.5249455045115,11.1983320175625 58.5298251240058,11.1995526290964 58.5346733630106,11.2025590615799 58.5393038510832,11.2072363711879 58.5435385181091,11.2134051801527 58.5472144561321,11.220828513727 58.5501902060136,11.22922089317 58.5523512233387,11.2382593375078 58.5536143089816,11.2475958466006 58.5539308296771,11.2568708749549 58.5532886012667,11.2657272631366 58.551712360055,11.2738240739085 58.5492628036806,11.2808497844296 58.5460342396697,11.2865343137626 58.5421509349278,11.290659414977 58.5377623104873,11.2930670305581 58.5330371707239,11.2936652949501 58.528157193172)))', 'SEKDD', 'Kiddön', 'Y'),('SRID=4326;MULTIPOLYGON(((12.9609848827306 55.5337401364422,12.960391655903 55.5288592887958,12.9581314109071 55.5241378400218,12.9542915455009 55.5197571487573,12.9490200033596 55.5158854264706,12.9425195310908 55.5126712939104,12.9350398620122 55.5102380951519,12.926868130769 55.5086791838773,12.91831788532 55.5080543590478,12.909717111492 55.5083875834271,12.9013957190846 55.5096660701288,12.8936729567351 55.511840771168,12.8868452250831 55.5148282496709,12.8811747441857 55.5185138657105,12.8768795018829 55.5227561564544,12.8741248655077 55.527392246148,12.8730171809271 55.5322440820301,12.8735996118232 55.5371252600878,12.8758503902947 55.5418481808952,12.8796835597749 55.546231261712,12.8849521959831 55.5501059272828,12.891453994716 55.5533231087707,12.8989390207162 55.5557589979288,12.9071193237972 55.5573198314855,12.9156800510148 55.5579455178291,12.9242916207858 55.5576119630381,12.9326224797235 55.556332004301,12.9403519379961 55.5541549137071,12.9471825755709 55.5511644919189,12.9528517299927 55.5474758269523,12.9571416153677 55.5432308458107,12.9598876799082 55.5385928338373,12.9609848827306 55.5337401364422)))', 'SEKGM', 'Klagshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2741832765927 55.6882691247484,14.2734245897811 55.6833947561639,14.2709976944306 55.6786976312217,14.2669963827689 55.6743581649448,14.2615747830072 55.6705429779557,14.2549413816989 55.6673985150612,14.2473509909948 55.6650454434208,14.2390949725717 55.663574041629,14.2304900914142 55.6630407529282,14.2218664200894 55.6634660315932,14.2135547466109 55.6648335629116,14.205873955818 55.6670908858236,14.199118855053 55.6701513949487,14.1935488998293 55.6738976471803,14.1893782443992 55.6781858490482,14.1867674962966 55.682851356328,14.1858174940345 55.6877149785437,14.1865653546461 55.6925898495391,14.1889829546641 55.6972886024759,14.1929779169898 55.701630574484,14.1983970800418 55.7054487634665,14.2050323282358 55.7085962675907,14.2126285682521 55.7109519566971,14.2208935479103 55.7124251537053,14.2295091379578 55.712959142067,14.2381436354941 55.7125333609902,14.2464646043102 55.7111642016752,14.254151744435 55.7089043730297,14.2609092818988 55.7058408619102,14.2664773902253 55.7020915684498,14.270642196338 55.697800749118,14.2732439832097 55.693133446624,14.2741832765927 55.6882691247484)))', 'SEKIK', 'Kivik', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3041745485182 55.6802583075021,14.3034122774525 55.6753841086517,14.3009822723062 55.6706875623344,14.2969784441924 55.6663490611775,14.2915550173026 55.6625351886295,14.2849205476881 55.6593923389869,14.2773298879524 55.6570411175027,14.2690744097172 55.6555717318345,14.2604708570816 55.6550405479584,14.2518492517178 55.6554679394902,14.2435403026679 55.6568375107314,14.2358627906923 55.659096722389,14.2291113978547 55.6621588965844,14.223545437893 55.6659065262211,14.219378912127 55.6701957648066,14.2167722697866 55.6748619281127,14.2158261917321 55.6797258002406,14.2165776440337 55.6846005052014,14.2189983647759 55.6892986823264,14.222995856311 55.6936396907132,14.2284168591348 55.6974565652107,14.2350531862408 55.7006024545031,14.2426497022413 55.7029562905779,14.2509141439529 55.7044274677294,14.2595284026673 55.7049593472441,14.2681608268066 55.7045314496011,14.2764790602658 55.7031602475501,14.284162908816 55.7008985286604,14.2909167257085 55.6978333525144,14.2964808281675 55.6940826832288,14.3006414976634 55.6897908300549,14.3032391765315 55.6851228752676,14.3041745485182 55.6802583075021)))', 'SEKKA', 'Karakås', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4903189069188 59.007079754149,11.4890392570559 59.0022350454657,11.4859528350912 58.9976121566493,11.4811788555818 58.993388615731,11.474901152622 58.9897265549411,11.467361058774 58.9867665068632,11.458848118272 58.9846220340037,11.4496889932024 58.9833753935815,11.440234983898 58.9830743997549,11.4308486319118 58.983730600341,11.4218899047713 58.985318835951,11.4137024757126 58.9877781980446,11.4066006085406 58.9910143504181,11.4008571376683 58.9949031278133,11.3966929965733 58.999295277393,11.3942686949955 59.0040221654385,11.393678077245 59.0089022343693,11.3949446125508 59.013747965526,11.3980203756606 59.0183730823454,11.4027877747302 59.0225997176037,11.4090639774799 59.0262652679861,11.4166078797445 59.0292286696502,11.4251293574964 59.0313758495362,11.4343004489312 59.0326241383042,11.4437680319434 59.0329254708496,11.4531674985021 59.0322682477884,11.4621368845017 59.0306777841724,11.4703308939905 59.028215327736,11.477434261355 59.0249756857693,11.4831739237951 59.0210835547897,11.4873295276361 59.0166886981866,11.4897418628582 59.011960161798,11.4903189069188 59.007079754149)))', 'SEKKD', 'Krokstrand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7016212672699 57.7490138706039,11.7003627022923 57.7441702713017,11.6973617320007 57.739550965472,11.6927342345308 57.7353333480525,11.6866583796955 57.7316793311671,11.6793677308932 57.7287291475917,11.671142258711 57.7265959904292,11.6622976131142 57.7253616906251,11.653173061687 57.7250735942744,11.6441185470472 57.7257427563913,11.6354813463725 57.7273435185516,11.627592829418 57.7298144862655,11.6207558082044 57.7330608698305,11.6152329517808 57.7369581015054,11.6112367034063 57.7413565938654,11.6089210858367 57.7460874608309,11.6083757142103 57.7509689856964,11.6096222568892 57.7558135909788,11.6126134947068 57.7604350442946,11.6172350312077 57.7646556237712,11.6233096040843 57.768312966339,11.630603845108 57.7712663329173,11.6388372368115 57.7734020458195,11.6476929235549 57.7746378850112,11.6568299568376 57.7749262700391,11.6658964937894 57.7742561019405,11.6745434269413 57.7726531922914,11.6824379048565 57.770179262518,11.6892762080137 57.76692955327,11.6947954722027 57.7630291385937,11.6987838010525 57.7586280904968,11.7010883774839 57.7538956841461,11.7016212672699 57.7490138706039)))', 'SEKKN', 'Källö-Knippla', 'Y'),('SRID=4326;MULTIPOLYGON(((19.2170380961422 59.4976779443809,19.2163525089935 59.4928006646656,19.2138094284333 59.4880850800206,19.2095072780803 59.4837123073346,19.2036118741747 59.479850229511,19.1963499795384 59.4766470682391,19.1880005581896 59.4742257176969,19.1788840713116 59.4726790524145,19.1693502233672 59.472066384973,19.159764619945 59.4724112056092,19.1504948353944 59.4737002877285,19.1418964078567 59.4758841924543,19.1342992816278 59.4788791533912,19.1279952018831 59.4825702714576,19.1232265348883 59.4868159006842,19.1201769384434 59.491453060933,19.118964243362 59.4963036741831,19.1196358286706 59.5011813888304,19.122166682872 59.5058987326732,19.1264602436979 59.5102743210014,19.1323520025868 59.5141398422564,19.1396157516412 59.5173465505182,19.1479722445287 59.5197710116113,19.1570999434904 59.5213198774518,19.1666474371241 59.521933500443,19.1762470424052 59.521588244874,19.1855290533242 59.520297403554,19.1941360703837 59.5181106831826,19.2017368416124 59.5151122788127,19.2080390669203 59.5114176137574,19.2128006623667 59.5071688739827,19.2158390467332 59.502529513179,19.2170380961422 59.4976779443809)))', 'SEKKR', 'Kallskär', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((11.5639731871687 58.0160618812913,11.5627227602233 58.0112170298045,11.5597160983849 58.006594678977,11.5550693106453 58.0023723403865,11.5489613173083 57.9987121063867,11.5416269216673 57.9957544468297,11.533347775231 57.9936128399117,11.524441585358 57.992369439067,11.5152499752368 57.9920719382205,11.5061254522194 57.9927317524812,11.4974179706516 57.9943235821464,11.4894615890122 57.9967863763664,11.4825617181178 58.0000256607366,11.4769834374142 58.003917142173,11.4729413202738 58.0083114564342,11.4705911574003 58.0130398802375,11.4700239009836 58.0179207926929,11.4712620727192 58.0227666411741,11.4742587883911 58.0273911460394,11.4788994532208 58.0316164677791,11.4850060790636 58.0352800598827,11.4923440708183 58.0382409412571,11.5006312295032 58.0403851432135,11.5095486279685 58.0416301172458,11.518752936617 58.0419279299251,11.5278897148579 58.0412671186685,11.5366071425957 58.0396731349626,11.5445696471366 58.0372073575908,11.5514708855095 58.0339647151163,11.5570455700859 58.030070011864,11.561079674974 58.0256731025672,11.5634186292638 58.0209431055787,11.5639731871687 58.0160618812913)))', 'SEKKS', 'Kyrkesund', 'Y'),('SRID=4326;MULTIPOLYGON(((15.6177269496489 56.1617845793361,15.6167895172173 56.1569197911677,15.6141699426032 56.1522504942427,15.6099694216155 56.147956024062,15.6043497234103 56.1442012638609,15.5975269214411 56.1411303312081,15.589763073099 56.138861066376,15.5813561702747 56.1374805302327,15.5726287437586 56.1370416806645,15.563915550882 56.1375613519027,15.5555508070783 56.1390196122231,15.5478554374972 56.1413605240003,15.5411248241522 56.1444942778021,15.5356175073232 56.1483006208645,15.5315452673867 56.152633451652,15.5290649655344 56.1573264079804,15.5282724600125 56.1621992379766,15.5291988400695 56.1670647124317,15.5318091348038 56.1717358151493,15.5360035611834 56.1760329357135,15.5416212779018 56.1797907873927,15.5484465131718 56.1828647819687,15.5562168391567 56.185136613019,15.5646332778044 56.1865188289914,15.5733718465807 56.1869582162604,15.5820960918435 56.1864378587346,15.5904701155314 56.1849777926192,15.5981715797154 56.1826342304562,15.6049041745351 56.1794973851756,15.6104090580517 56.1756879801909,15.6144748203409 56.1713525831876,15.6169455863752 56.1666579470323,15.6177269496489 56.1617845793361)))', 'SEKKT', 'Karlskrona-Saltö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2829190429292 61.3641379899776,17.2815672893915 61.3592931862846,17.2782733347082 61.3546679987569,17.273164483056 61.3504400328717,17.2664375112641 61.3467715744059,17.2583510392149 61.343803382202,17.2492155754011 61.3416493120211,17.2393816224814 61.3403919730547,17.2292262940623 61.3400795791801,17.2191389438906 61.3407241120491,17.2095063413246 61.3423008641974,17.2006979418888 61.3447493791972,17.193051798697 61.3479757541332,17.1868616395822 61.3518562190688,17.1823655961465 61.3562418603582,17.1797370152283 61.3609643113071,17.1790777114448 61.3658421963539,17.1804139330445 61.370688085099,17.1836952144979 61.3753156914181,17.1887961810115 61.3795470415955,17.1955212561997 61.3832193346274,17.2036121089262 61.3861912278935,17.2127575637844 61.3883483021792,17.2226055970711 61.3896074909442,17.2327769515687 61.3899202986956,17.2428798336998 61.3892746807724,17.2525251095016 61.3876955098288,17.2613413940632 61.3852436105334,17.2689894338343 61.3820134010304,17.2751752122503 61.3781292350346,17.2796612646356 61.3737405896444,17.2822757651998 61.3690162889002,17.2829190429292 61.3641379899776)))', 'SEKLC', 'Klacksörarna', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5798850030075 57.949056673195,11.5786350202127 57.944211930454,11.5756321714159 57.939589883479,11.5709924163014 57.9353680323805,11.5648944030051 57.9317084511514,11.5575725505402 57.9287515850393,11.5493080289033 57.9266108822634,11.5404179851338 57.9253684619832,11.5312434245683 57.925071980796,11.5221362025169 57.9257328148119,11.5134456116723 57.9273256251277,11.505505064188 57.9297893230005,11.4986193642997 57.9330293989264,11.4930530476357 57.9369215289226,11.4890202272951 57.9413163233085,11.4866763350158 57.9460450398784,11.4861120793801 57.9509260461342,11.4873498635951 57.9557717856575,11.4903428151121 57.9603959830045,11.4949764810169 57.9646208106907,11.5010731402023 57.9682837415651,11.5083985798098 57.9712438204273,11.5166710837357 57.9733871099456,11.5255722897102 57.9746310971518,11.5347594930503 57.9749278868978,11.5438789136949 57.974266056098,11.5525794018229 57.9726710954074,11.5605260385085 57.9702044209446,11.5674130924921 57.9669609953726,11.572975822 57.9630656526279,11.5770006600481 57.9586682715024,11.5793333901308 57.953937988009,11.5798850030075 57.949056673195)))', 'SEKLD', 'Klädesholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9733864299374 57.573915918802,11.9720985917187 57.5690752081924,11.9690785033474 57.5644624399295,11.9644427669851 57.5602547568663,11.9583698591792 57.556613689467,11.951093222483 57.5536789739218,11.9428922848526 57.5515632107447,11.9340817533169 57.5503475647823,11.9249995884658 57.5500786677626,11.9159941114847 57.5507668391393,11.9074107248608 57.5523856916588,11.8995787409564 57.5548731364849,11.8927988091465 57.558133750605,11.887331412189 57.5620424183567,11.8833868662636 57.5664491109982,11.8811172073597 57.5711846249745,11.8806102804873 57.5760670625037,11.8818862691406 57.5809088087623,11.8848968127393 57.5855237395444,11.889526762226 57.5897343827735,11.8955985220546 57.5933787573276,11.9028788244442 57.5963166235323,11.9110876833729 57.5984349012137,11.9199091858665 57.5996520427144,11.9290037011044 57.5999211886236,11.9380210276635 57.5992319815964,11.9466139590631 57.597610966555,11.9544517298347 57.5951205615606,11.9612328096069 57.5918566402852,11.9666965408583 57.5879448218756,11.9706331654825 57.5835356147324,11.9728918534369 57.5787986052201,11.9733864299374 57.573915918802)))', 'SEKLG', 'Killingsholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((18.2391605748786 57.3910209698095,18.2386394715603 57.3861387720776,18.2363649878309 57.3814052571741,18.2324251451931 57.3770022458865,18.2269717911931 57.3730988007564,18.2202146970406 57.3698447508415,18.2124134657423 57.3673649609686,18.2038675662676 57.3657545615859,18.1949048750656 57.3650753182349,18.1858691576696 57.3653532763325,18.1771069590738 57.366577768991,18.1689543913687 57.3687018246852,18.1617243104602 57.3716439594385,18.1556943605257 57.3752912866072,18.1510963354212 57.3795038280205,18.1481072611067 57.3841198648984,18.1468425432152 57.3889621272178,18.1473514505318 57.3938445875413,18.1496151202866 57.3985796010597,18.1535471773045 57.4029851188354,18.1589969593301 57.4068916967374,18.1657552389571 57.4101490287721,18.1735622327042 57.4126317504397,18.1821175943232 57.4142442849523,18.1910920068387 57.4149245417137,18.2001399202508 57.414646321024,18.2089129328294 57.4134203297482,18.2170732861514 57.4112937675633,18.2243069390218 57.4083485000366,18.2303357034672 57.4046978907486,18.2349279661148 57.4004824175428,18.2379075782881 57.3958642455378,18.2391605748786 57.3910209698095)))', 'SEKLI', 'Klintehamn', 'Y'),('SRID=4326;MULTIPOLYGON(((21.4264729321961 64.3298440304169,21.4252936006183 64.3249840245642,21.4219521087097 64.3203171486153,21.416577816698 64.3160226062228,21.4093778811181 64.3122652249799,21.4006291992327 64.3091891540549,21.3906677368797 64.3069123618519,21.3798756544522 64.3055221394985,21.3686667200383 64.3050717773647,21.3574705551855 64.3055785376343,21.3467162965122 64.3070229977502,21.3368162750779 64.3093497889323,21.3281503148728 64.3124697025802,21.3210512319997 64.316263086839,21.3157920772669 64.3205844075908,21.3125756074087 64.3252678042228,21.3115263948003 64.3301334322878,21.3126858936892 64.3349943540775,21.3160106747066 64.3396637154881,21.3213739217038 64.3439619344791,21.3285701596524 64.3477236237295,21.3373230542285 64.3508039782165,21.3472959982578 64.3530843774021,21.3581050833692 64.3544769810269,21.3693339529666 64.354928136193,21.3805499505438 64.3544204599841,21.3913209201221 64.3529735144014,21.4012319865552 64.3506430466157,21.4099016443555 64.3475188249582,21.4169965145024 64.3437211571397,21.4222441875449 64.3393962294105,21.425443654735 64.3347104515122,21.4264729321961 64.3298440304169)))', 'SEKLK', 'Lövsele, Kallviken', 'Y'),('SRID=4326;MULTIPOLYGON(((22.1330711196242 65.5205633189021,22.1317061995649 65.5157103167726,22.1280865992387 65.5110609763081,22.1223524463106 65.5067938135974,22.1147247646083 65.5030725886142,22.105496879924 65.5000400462256,22.095023118035 65.4978124700706,22.0837052335955 65.4964752526075,22.0719770844255 65.4960796457033,22.060288122908 65.4966408117771,22.0490863140436 65.4981372472603,22.0388011078565 65.5005115996073,22.0298270921776 65.5036728478678,22.0225089303516 65.5074997665661,22.0171281472618 65.511845544912,22.0138922666102 65.5165433897986,22.0129267233853 65.5214129031674,22.014269879232 65.5262669936002,22.017871357122 65.5309190597506,22.0235937883635 65.5351901705703,22.0312179336542 65.5389159650228,22.0404510055977 65.5419530025813,22.050937888713 65.5441843152573,22.0622748307611 65.5455239417398,22.0740250725695 65.5459202634089,22.0857357983414 65.5453580090291,22.0969557296568 65.5438588478539,22.1072526575094 65.5414805473922,22.1162302095556 65.5383147296604,22.1235431840803 65.534483315795,22.1289108459291 65.5301338009342,22.1321276689931 65.525433547034,22.1330711196242 65.5205633189021)))', 'SEKLL', 'Kallax', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4193169526007 56.6704917405561,16.4182633368206 56.6656341943812,16.4155094363189 56.6609831135069,16.4111616153754 56.6567171264579,16.4053872991781 56.6530000157359,16.3984084881297 56.6499744476518,16.3904932119975 56.6477565171353,16.3819452544517 56.6464313130032,16.3730925390673 56.6460496700587,16.3642746139511 56.6466262295062,16.355829702838 56.6481388801083,16.3480818051726 56.6505296009852,16.3413283261026 56.6537066747142,16.3358286994565 56.6575481881946,16.3317944329908 56.6619066903397,16.3293809561128 56.6666148317524,16.3286815869624 56.6714917737234,16.329723859724 56.6763501236333,16.3324683664143 56.6810031323987,16.3368101728753 56.6852718779913,16.3425827695708 56.6889921579467,16.3495644178794 56.6920208234673,16.3574866560893 56.6942413080662,16.366044640618 56.6955681340903,16.3749089213719 56.6959502198177,16.3837381895186 56.695372856634,16.3921924944472 56.6938582781384,16.3999464065888 56.6914647987156,16.4067016051476 56.6882845557524,16.4121983945215 56.6844399448368,16.4162256989054 56.6800788886117,16.4186291488068 56.6753691253093,16.4193169526007 56.6704917405561)))', 'SEKLM', 'Kalmar-Ängö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3244794190647 61.0971242499296,17.3231336208801 61.0922796571481,17.3198622695622 61.0876551965747,17.3147917859313 61.0834284469435,17.3081174625643 61.0797616492078,17.3000958927138 61.0767955007366,17.2910350942532 61.0746437811734,17.2812827104016 61.0733890115057,17.2712127348863 61.073079308387,17.2612112587878 61.0737265507329,17.2516617687559 61.075305926677,17.2429305410804 61.0777568777776,17.2353526730548 61.0809854055933,17.2292192721973 61.0848676551092,17.2247662854661 61.089254641674,17.2221653951973 61.0939779447583,17.2215173371026 61.0988561545297,17.2228479098244 61.1037018274325,17.2261068474568 61.1083286859104,17.2311696190493 61.1125587861707,17.2378421061158 61.116229377158,17.2458679949687 61.1191991840153,17.2549386102102 61.1213538701427,17.2647048141065 61.1226104629191,17.2747905089511 61.1229205681386,17.284807210533 61.1222722456694,17.2943691142562 61.1206904718171,17.3031080539576 61.118236170084,17.3106877582603 61.1150038490157,17.3168168400947 61.1111179411158,17.3212600100393 61.1067279879906,17.3238470802759 61.102002861801,17.3244794190647 61.0971242499296)))', 'SEKLN', 'Kalvhararna', 'Y'),('SRID=4326;MULTIPOLYGON(((16.418303773703 56.65949217002,16.4172506179826 56.6546346047419,16.4144976657473 56.649983488891,16.4101512444717 56.6457174523874,16.4043787253336 56.6420002797024,16.3974020396302 56.6389746396043,16.38948913559 56.6367566298626,16.3809437060239 56.6354313423956,16.3720935777732 56.6350496152422,16.3632781999909 56.6356260928472,16.3548356989698 56.6371386670933,16.3470899819007 56.639529319984,16.340338370355 56.6427063366407,16.3348402264409 56.6465478060793,16.3308070007991 56.6509062788335,16.3283940825406 56.6556144065783,16.327694767923 56.6604913510965,16.3287365885653 56.6653497196659,16.3314801534067 56.6700027625113,16.3358205641174 56.6742715563455,16.3415913645749 56.6779918969194,16.3485708851384 56.6810206331824,16.3564907460003 56.6832411960016,16.3650461952374 56.6845681047753,16.3739078806032 56.6849502746349,16.3827345934756 56.6843729937374,16.3911864818946 56.6828584924945,16.3989382095223 56.6804650822708,16.4056915397355 56.6772848977245,16.4111868487775 56.6734403321222,16.4152131175936 56.6690793062929,16.4176160161874 56.6643695572436,16.418303773703 56.65949217002)))', 'SEKLR', 'Kalmar', 'Y'),('SRID=4326;MULTIPOLYGON(((16.867041182438 58.0513188858657,16.8658836477992 58.0464668346559,16.8629636564166 58.0418276909399,16.8583939990035 58.0375796158152,16.8523506482413 58.0338856931572,16.8450659412293 58.0308876878633,16.8368196367536 58.0287006268694,16.8279281931117 58.0274084067905,16.818732674119 58.0270605927297,16.8095857378304 58.0276705278112,16.8008381935063 58.0292148239249,16.7928256268695 58.0316342527264,16.7858555914898 58.0348360038254,16.7801958452175 58.0386972260949,16.7760640752812 58.0430697198455,16.773619504586 58.0477856039302,16.7729567059691 58.052663744272,16.7741018722128 58.0575167002795,16.7770116996437 58.0621579244246,16.7815749449171 58.0664089388842,16.7876166115435 58.0701062122962,16.7949046188214 58.0731074696415,16.8031587055323 58.0752971888884,16.8120612286046 58.0765910687267,16.8212694374784 58.076939291369,16.8304287421762 58.0763284514886,16.8391864504563 58.0747820749428,16.8472054292248 58.0723597068039,16.8541771487247 58.0691546049501,16.859833594717 58.0652901306307,16.8639575824139 58.0609149786298,16.8663910736867 58.0561974347883,16.867041182438 58.0513188858657)))', 'SEKLS', 'St Källskär', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2609973933094 58.7701672698869,11.2597592188703 58.7653198911949,11.2567250052213 58.7606910712897,11.2520119547162 58.7564585687246,11.2458015593921 58.7527848626363,11.2383325699882 58.749810935186,11.2298918076363 58.7476508835397,11.2208031732587 58.7463875639177,11.2114152721585 58.7460694307538,11.2020881184554 58.7467086889164,11.1931794149856 58.7482808278363,11.1850309185093 58.7507255549726,11.1779553973219 58.7539490940202,11.172224668662 58.757827762384,11.1680591669683 58.7622126944198,11.1656194416725 58.7669355334485,11.1649999158928 58.7718148781803,11.1662251566565 58.7766632393879,11.1692488153107 58.7812942417073,11.173955296403 58.7855297943334,11.1801641080316 58.7892069537856,11.1876367405646 58.7921842121599,11.1960858182399 58.7943469651865,11.2051861742035 58.7956119453843,11.2145874186454 58.7959304455109,11.223927506039 58.7952902048312,11.2328467645079 58.793715883494,11.2410018303879 58.7912681062941,11.2480789352536 58.7880411138818,11.2538060207693 58.7841591145958,11.2579632071353 58.7797714811826,11.2603912108541 58.7750469815808,11.2609973933094 58.7701672698869)))', 'SEKLT', 'Klätta', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0575667806288 60.5421243924377,18.0570367163953 60.5372433780551,18.054584400454 60.5325070669825,18.0503048385572 60.5280973767608,18.0443630436584 60.5241836081277,18.0369876109116 60.5209159634418,18.028461894368 60.5184198051519,18.0191131301918 60.5167908702949,18.0092999224287 60.51609162006,17.9993985629085 60.5163488603623,17.9897886957104 60.5175527217033,17.9808388581564 60.5196570360103,17.9728924342398 60.5225810963411,17.9662545427064 60.5262127340202,17.9611803508938 60.5304125986415,17.9578652573846 60.5350194810894,17.9564373223862 60.5398564798957,17.956952245828 60.5447377783471,17.9593911013781 60.5494757751325,17.963660932504 60.5538882960768,17.9695982076747 60.5578056094914,17.976975019828 60.5610769733575,17.9855078049152 60.5635764590143,17.9948682506531 60.5652078228631,18.0046959745833 60.5659082339218,18.0146124749171 60.5656507095499,18.0242358025189 60.5644451624931,18.0331953708395 60.5623380174598,18.0411463144657 60.5594104123453,18.0477828265708 60.5557750554868,18.0528499498273 60.5515718635017,18.0561533617789 60.5469625520656,18.0575667806288 60.5421243924377)))', 'SEKLU', 'Klungsten', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6463460375316 57.5320364390239,11.6451031387075 57.5271920177048,11.6421277941915 57.5225710524116,11.6375348903285 57.5183510031711,11.6315012639034 57.5146938771485,11.6242588558213 57.5117400282196,11.6160857870091 57.5096027917466,11.6072957010459 57.5083641564138,11.598225778376 57.5080716353254,11.5892238724808 57.5087364532968,11.5806352481406 57.5103331180083,11.5727894153707 57.5128003911217,11.5659875495134 57.5160436233311,11.5604909683394 57.5199383663821,11.556511101197 57.5243351270811,11.5542013338922 57.5290650849161,11.5536510471775 57.5339465577159,11.5548820880529 57.538791970233,11.5578478237087 57.5434150599001,11.5624348306611 57.5476380432743,11.5684671698783 57.5512984664957,11.5757130964241 57.5542554737199,11.58389395372 57.5563952487627,11.5926949124618 57.5576354164649,11.6017771369214 57.5579282304324,11.610790900778 57.5572624212615,11.6193891339818 57.5556636321733,11.6272408636541 57.5531934249239,11.6340440167045 57.5499468955151,11.6395370794021 57.5460489941702,11.6435091580574 57.5416496949042,11.6458080525917 57.5369182047022,11.6463460375316 57.5320364390239)))', 'SEKLV', 'Kullavik', 'Y'),('SRID=4326;MULTIPOLYGON(((18.633133165574 63.1789295886528,18.6324706258768 63.1740519506284,18.6297156318065 63.1693264076725,18.6249749765589 63.1649344469453,18.6184314956262 63.1610446651822,18.6103369413278 63.1578063176247,18.6010022644136 63.1553436167342,18.5907856827118 63.1537509945405,18.5800789924544 63.1530895052749,18.5692926365365 63.1533845017486,18.5588400846214 63.1546246713515,18.5491221021823 63.1567624671612,18.5405114890539 63.1597159181418,18.5333388528242 63.1633717514355,18.5278799486211 63.1675897109623,18.5243450649288 63.1722079115756,18.5228708657968 63.1770490284516,18.5235150144264 63.1819270886916,18.5262538035577 63.1866546076419,18.5309829070463 63.191049797316,18.5375212480522 63.1949435694017,18.5456178567692 63.1981860611674,18.5549614696877 63.2006524292336,18.5651925085576 63.2022476832752,18.5759169761724 63.2029103683849,18.5867217231896 63.2026149496946,18.5971904800609 63.2013728040931,18.6069200142515 63.1992317793317,18.6155357672792 63.196274338026,18.6227063490586 63.1926143605251,18.6281563172402 63.1883927338268,18.6316767437719 63.1837719013703,18.633133165574 63.1789295886528)))', 'SEKMH', 'Köpmanholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4308196831669 65.8444442178657,22.4293809426752 65.8395942805934,22.4256616617272 65.8349524667831,22.4198058192868 65.8306969984883,22.4120391225025 65.8269911812988,22.4026602315151 65.8239771635671,22.3920292537042 65.8217705138773,22.3805539536698 65.8204558190505,22.3686742013849 65.8200834659118,22.3568452381944 65.8206677256005,22.3455203780168 65.8221862109266,22.3351337789341 65.8245807267525,22.3260839181962 65.8277594822237,22.3187183815425 65.8316005834815,22.3133205357686 65.8359566778895,22.3100985920042 65.8406605773697,22.3091774869591 65.8455316507203,22.3105939117743 65.8503827442355,22.3142947052171 65.8550273678837,22.3201387028757 65.8592868718406,22.327902000867 65.8629973361244,22.337286456496 65.8660159049052,22.3479311152263 65.8682263167423,22.3594261296652 65.8695434120604,22.3713286284951 65.86991643858,22.3831799074059 65.8693310226452,22.3945232551032 65.8678097274749,22.4049216989448 65.8654111759812,22.4139749584284 65.8622277734136,22.4213349303968 65.8583821211098,22.4267190952367 65.8540222645609,22.4299213246197 65.8493159645953,22.4308196831669 65.8444442178657)))', 'SEKNG', 'Kängsön', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7016212672699 57.7490138706039,11.7003627022923 57.7441702713017,11.6973617320007 57.739550965472,11.6927342345308 57.7353333480525,11.6866583796955 57.7316793311671,11.6793677308932 57.7287291475917,11.671142258711 57.7265959904292,11.6622976131142 57.7253616906251,11.653173061687 57.7250735942744,11.6441185470472 57.7257427563913,11.6354813463725 57.7273435185516,11.627592829418 57.7298144862655,11.6207558082044 57.7330608698305,11.6152329517808 57.7369581015054,11.6112367034063 57.7413565938654,11.6089210858367 57.7460874608309,11.6083757142103 57.7509689856964,11.6096222568892 57.7558135909788,11.6126134947068 57.7604350442946,11.6172350312077 57.7646556237712,11.6233096040843 57.768312966339,11.630603845108 57.7712663329173,11.6388372368115 57.7734020458195,11.6476929235549 57.7746378850112,11.6568299568376 57.7749262700391,11.6658964937894 57.7742561019405,11.6745434269413 57.7726531922914,11.6824379048565 57.770179262518,11.6892762080137 57.76692955327,11.6947954722027 57.7630291385937,11.6987838010525 57.7586280904968,11.7010883774839 57.7538956841461,11.7016212672699 57.7490138706039)))', 'SEKNI', 'Knippla', 'Y'),('SRID=4326;MULTIPOLYGON(((15.7177272107479 56.1627483950339,15.7167771233805 56.1578844018649,15.7141453755225 56.1532172591653,15.7099336295119 56.148926219031,15.7043040839688 56.1451760324735,15.6974731885318 56.1421106411621,15.6897033093827 56.1398476725751,15.681292668281 56.1384739460444,15.6725639384173 56.1380421583961,15.663851926773 56.1385688732141,15.6554908038396 56.1400338888281,15.6478013568914 56.14238100863,15.6410787422389 56.145520185027,15.6355811950167 56.1493309570069,15.6315201224004 56.153667052679,15.6290519583267 56.1583619839675,15.6282720958625 56.1632354224736,15.6292111388357 56.1681001148645,15.6318336292679 56.1727690742614,15.6360393141795 56.1770627719935,15.6416669176988 56.1808160524544,15.6485002858454 56.1838845029561,15.6562766759925 56.1861500302865,15.664696875141 56.1875254255674,15.6734367549731 56.1879577379202,15.6821598110232 56.1874303238793,15.6905301913868 56.1859634915657,15.6982256994286 56.1836137141639,15.7049502560928 56.1804714438626,15.7104453305937 56.1766576126934,15.7144998922077 56.1723189582803,15.7169584982401 56.1676223582437,15.7177272107479 56.1627483950339)))', 'SEKNO', 'Knösö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.2541503113053 56.5285525277459,16.2531220536713 56.5236933735719,16.2503989251666 56.5190384103931,16.2460861049596 56.5147664175166,16.2403496733789 56.5110414097299,16.233410177869 56.5080063579807,16.2255341425286 56.5057777223045,16.2170238497201 56.5044410029623,16.2082057827483 56.5040474767218,16.1994181647497 56.5046122403721,16.1909980597132 56.5061136345382,16.1832685163803 56.5084940693339,16.176526234381 56.5116622211398,16.1710302143479 56.5154965185598,16.1669918202491 56.5198497871579,16.1645666334225 56.5245548786032,16.1638484148351 56.5294310719502,16.1648654164695 56.5342910044309,16.1675791965292 56.5389478675901,16.1718859990609 56.5432225928664,16.1776206598739 56.5469507494898,16.1845629011098 56.5499888871307,16.1924457806604 56.5522200759545,16.2009659741955 56.553558427006,16.209795491113 56.5539524151042,16.2185943651232 56.553386873146,16.2270238186089 56.5518835789971,16.2347593796109 56.5495004117994,16.2415034323652 56.5463291111561,16.2469967066604 56.5424917278455,16.2510282565448 56.5381359061022,16.2534435426509 56.5334291829497,16.2541503113053 56.5285525277459)))', 'SEKOD', 'Kolboda', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0981743307873 58.894226890102,11.0969540714302 58.8893779347713,11.0939302821804 58.8847453105471,11.0892197726154 58.8805069226287,11.083003944153 58.8768254761339,11.0755217614851 58.8738422498849,11.0670605552662 58.8716716971099,11.0579450115509 58.8703970760046,11.0485247662923 58.8700672736839,11.0391610706969 58.8706949420211,11.0302130244751 58.872256014817,11.0220238884924 58.8746906243427,11.0149079857633 58.8779053832911,11.0091386801818 58.8817769472754,11.0049378861296 58.8861567249517,11.0024675097863 58.890876559298,11.0018231556142 58.8957551661256,11.0030303506632 58.9006050860035,11.0060434471962 58.9052398846953,11.0107472635038 58.9094813259593,11.0169614171579 58.9131662398342,11.0244471984448 58.9161528196208,11.0329167288562 58.9183261015447,11.0420440550557 58.9196024119214,11.0514777473117 58.9199326064593,11.0608545072307 58.9193039735732,11.0698132461739 58.9177407263067,11.078009075405 58.9153030634326,11.0851266529249 58.9120848371033,11.0908923598719 58.9082099195831,11.095084829727 58.903827412761,11.0975434235952 58.899105889146,11.0981743307873 58.894226890102)))', 'SEKOH', 'Korshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7655691936505 56.8853642784084,16.7644642402414 56.880510168975,16.7616513108192 56.8758672903475,16.7572390406046 56.8716139528366,16.7513973291896 56.8679134501975,16.7443507601168 56.8649078086445,16.7363699567999 56.862712356541,16.7277612089499 56.8614113192465,16.7188547641125 56.861054604341,16.7099922248322 56.8616558974453,16.7015135223678 56.8631921397373,16.6937439522145 56.8656044067242,16.686981754676 56.8688001556118,16.6814867054031 56.8726567574869,16.6774701464797 56.8770261822346,16.6750868389602 56.8817406603416,16.6744289537925 56.8866191080938,16.6755224413586 56.891474072619,16.6783259325406 56.8961189320114,16.6827322290034 56.9003750744075,16.688572340606 56.9040787790341,16.6956219273657 56.9070875322034,16.7036099064559 56.9092855318366,16.7122288957201 56.9105881647352,16.7211470884486 56.9109452804023,16.730021093584 56.910343132205,16.7385092342924 56.9088049091455,16.7462847781908 56.9063898372711,16.7530485755282 56.9031908863954,16.758540607102 56.8993311729052,16.7625499902482 56.8949592006304,16.7649230563603 56.8902431269216,16.7655691936505 56.8853642784084)))', 'SEKOV', 'Köpingsvik', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8387660957727 57.8488053160381,18.8381590673039 57.8439254302813,18.8357787439483 57.8392024275059,18.831717226002 57.8348177187767,18.8261310385081 57.8309396577287,18.8192350488955 57.8277170934163,18.8112941805694 57.8252736779102,18.8026132452471 57.8237031431768,18.7935252827144 57.8230657243883,18.7843788479537 57.8233858632705,18.7755247212045 57.8246512770042,18.7673025358085 57.8268134272248,18.7600278213563 57.8297893715504,18.7539799456571 57.8334649285695,18.7493914086419 57.8376990380521,18.7464388950514 57.8423291530231,18.7452364315663 57.8471774608553,18.7458309193186 57.852057698189,18.7482002264009 57.8567823005866,18.7522539296427 57.8611696134561,18.75783669372 57.865050886706,18.7647341723907 57.8682767822539,18.7726812155575 57.8707231408784,18.7813720714413 57.8722957825494,18.7904721899399 57.8729341513322,18.7996311654323 57.8726136608725,18.808496308463 57.8713466475141,18.8167263085597 57.8691818931506,18.824004446415 57.8662027366215,18.8300508330407 57.8625238483676,18.8346331952071 57.858286795769,18.83757578824 57.8536545738631,18.8387660957727 57.8488053160381)))', 'SEKPH', 'Kappelshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3338232988836 58.6451412650419,11.3325798917996 58.6402945381483,11.3295473338927 58.6356673422768,11.3248427576054 58.6314373737009,11.318647324458 58.627767014731,11.3111992075045 58.6247971197916,11.3027844256304 58.6226416321748,11.2937258837977 58.6213832338369,11.2843710355353 58.6210701910837,11.2750786309288 58.6217145138696,11.2662050441607 58.6232914973092,11.2580906887556 58.6257406625624,11.2510470258584 58.62896806222,11.2453446511347 58.6328498644374,11.2412029095563 58.6372370820451,11.2387814350345 58.6419612693993,11.2381739446631 58.6468409723969,11.2394045367785 58.6516886873306,11.2424266503208 58.656318063355,11.2471247429066 58.6605510722887,11.2533186401021 58.6642248689548,11.260770402692 58.6671980755712,11.2691934567787 58.6693562446724,11.2782636380319 58.6706162860698,11.2876317209243 58.6709296833162,11.2969369405142 58.6702843724885,11.305820971651 58.668705208893,11.3139418107486 58.6662530032795,11.3209870095808 58.6630221659248,11.3266857386532 58.6591370520321,11.3308192080149 58.6547471529429,11.3332290431252 58.6500213225319,11.3338232988836 58.6451412650419)))', 'SEKPK', 'Kämpersvik', 'Y'),('SRID=4326;MULTIPOLYGON(((19.101353462566 59.715722965986,19.1006808455316 59.7108453016166,19.0981381194531 59.706127620523,19.0938237066113 59.7017511200793,19.0879039045646 59.6978838256001,19.0806064200845 59.694674157768,19.0722115865366 59.6922452589145,19.0630416069804 59.6906902916345,19.0534482338478 59.6900688857195,19.0437993492595 59.6904048658512,19.0344649468419 59.6916853444683,19.0258030356947 59.6938612133949,19.0181459896573 59.6968490158832,19.0117878502019 59.7005341294211,19.0069730593722 59.7047751406783,19.0038870507204 59.7094092489983,19.0026490620605 59.7142584954812,19.0033074554317 59.7191365824248,19.0058377389157 59.7238560240291,19.0101433845018 59.7282353548987,19.0160594293678 59.732106118813,19.0233587387428 59.7353193669,19.0317607014417 59.7377514117663,19.0409420290584 59.7393086118647,19.0505492415207 59.7399309974765,19.0602123497916 59.7395945947697,19.0695591948137 59.738312355639,19.0782298732115 59.7361336562833,19.0858906764121 59.7331423843581,19.0922469909532 59.7294536905662,19.0970546526221 59.7252095332991,19.1001293132185 59.7205731921639,19.101353462566 59.715722965986)))', 'SEKPS', 'Kapellskär', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3782510530862 61.5650999744908,17.3768750422696 61.5602563763014,17.3735450265808 61.5556338105357,17.3683897047827 61.5514097801334,17.3616076434621 61.5477464176263,17.3534595780602 61.5447842840986,17.3442583773647 61.5426370009314,17.3343570593823 61.5413869155564,17.3241353131101 61.5410819629122,17.3139850307917 61.5417338392808,17.3042953879435 61.5433175562736,17.2954380233055 61.5457723915851,17.2877528677035 61.5490042014171,17.2815351496294 61.5528890088979,17.2770240664096 61.5572777350547,17.2743935537138 61.5620018955903,17.273745513823 61.5668800494401,17.2751057760744 61.5717247552869,17.2784229634251 61.5763497711826,17.2835703301093 61.580577221178,17.2903505206371 61.5842444521402,17.2985030843838 61.5872103140479,17.3077144677344 61.5893606179076,17.3176301024666 61.5906125564135,17.3278681199849 61.5909179125039,17.3380341508905 61.5902649284757,17.3477366220827 61.5886787613489,17.3566019418212 61.5862205064408,17.364288968191 61.5829848281527,17.3705021878983 61.579096292294,17.375003088457 61.5747045454488,17.3776192844165 61.5699785317858,17.3782510530862 61.5650999744908)))', 'SEKRA', 'Kråkö Hamn', 'Y'),('SRID=4326;MULTIPOLYGON(((19.802778698174 63.4954770269059,19.8019105670296 63.4906052153731,19.7989332029124 63.4859026626787,19.7939619452926 63.4815499613908,19.7871884727208 63.4777141903034,19.7788733404195 63.4745425231005,19.769335929012 63.4721566079637,19.7589421963277 63.4706479287337,19.7480906990141 63.4700743204345,19.7371974081788 63.4704577683509,19.7266798825998 63.4717835719674,19.7169413837086 63.4740009045683,19.7083555183755 63.4770247477962,19.7012519784814 63.4807391296482,19.6959039105479 63.4850015458898,19.6925173947187 63.4896484003236,19.6912234409409 63.4945012603248,19.692072822588 63.4993736920222,19.6950339659819 63.5040784158046,19.699994001107 63.5084345085765,19.7067629579379 63.5122743752224,19.7150809687395 63.5154502185469,19.7246282146698 63.5178397545915,19.735037240686 63.5193509482643,19.7459071618671 63.5199255817389,19.7568192022321 63.5195415136565,19.7673529485502 63.5182135389474,19.7771026699258 63.5159928148577,19.7856930509694 63.512964876069,19.7927937123308 63.5092463180969,19.7981319457257 63.504980280952,19.8015031682334 63.5003309120802,19.802778698174 63.4954770269059)))', 'SEKRE', 'Kråken', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9376513766853 56.9563009889042,16.9365218059779 56.9514486240041,16.9336820600393 56.9468098542958,16.9292418045962 56.942562830838,16.923372012689 56.9388706036488,16.9162983433061 56.9358748802521,16.9082924565353 56.9336906077158,16.8996616008762 56.9324015821743,16.8907368687147 56.9320572504864,16.8818605617404 56.9326708236263,16.8733731383449 56.9342187722537,16.8656002291824 56.936641723355,16.8588402048601 56.9398467246444,16.8533527611692 56.9437107923174,16.8493489526855 56.948085609503,16.8469830556325 56.9528031990639,16.846346576651 56.9576823568328,16.8474646471429 56.9625356014176,16.8502949552527 56.9671763756096,16.8547292720766 56.9714262231858,16.8605975286768 56.9751216641823,16.8676742998043 56.9781205018024,16.8756874531616 56.9803073148655,16.8843286339778 56.9815979204646,16.8932651779541 56.9819426311908,16.9021529851561 56.9813281783648,16.9106498463842 56.9797782252513,16.9184286941589 56.9773524500293,16.9251902537746 56.9741442349319,16.9306745957087 56.9702770530368,16.9346711376021 56.965899695327,16.937026709505 56.9611805257108,16.9376513766853 56.9563009889042)))', 'SEKRH', 'Kårehamn', 'Y'),('SRID=4326;MULTIPOLYGON(((16.1078331107483 56.2576068455395,16.1068311533038 56.2527461757939,16.1041454840465 56.2480876663394,16.0998798354542 56.24381023474,16.0941984720709 56.2400781069404,16.0873198266927 56.2370345295049,16.0795080909257 56.234796291649,16.0710630855244 56.2334492634941,16.0623087962436 56.2330451180045,16.053581006975 56.2335993592731,16.0452144927317 56.235090730802,16.0375302499647 56.2374620259001,16.0308232404757 56.2406222700338,16.0253511078503 56.2444501936946,16.0213242921719 56.2487988658382,16.0188979204527 56.2535013139121,16.0181657877749 56.2583769185119,16.0191566690998 56.2632383402793,16.0218331161636 56.2678987150188,16.0260928004827 56.2721788411943,16.031772365521 56.2759140826366,16.0386536522667 56.2789607187579,16.0464720669921 56.281201494685,16.0549267721325 56.282550153898,16.0636923052347 56.282954775118,16.0724311706344 56.2823997818264,16.0808069070753 56.2809065450102,16.0884971141097 56.2785325553339,16.0952059219314 56.2753691975566,16.1006754131777 56.2715382152112,16.1046955498937 56.2671870049986,16.1071122218795 56.262482925869,16.1078331107483 56.2576068455395)))', 'SEKRL', 'Kristianopel', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9692630385815 58.221279866274,16.9680855793255 58.2164289870805,16.9651379187404 58.2117924707793,16.9605339158333 58.2075483760867,16.9544508650235 58.2038596324081,16.9471226275194 58.2008678042464,16.9388306302544 58.198687680128,16.929893080323 58.1974028895601,16.9206528048673 58.1970627121847,16.9114641733273 58.1976801982734,16.9026795899406 58.1992316706327,16.8946360588203 58.2016576265452,16.8876423215909 58.2048650062903,16.8819670484562 58.2087307438057,16.8778285280095 58.2131064669139,16.8753862497155 58.2178241708984,16.8747347068388 58.2227026516984,16.8758996682197 58.2275544550207,16.8788370768538 58.2321930765367,16.8834346344995 58.2364401370307,16.889516027972 58.2401322555815,16.8968476483809 58.2431273538926,16.9051475537792 58.2453101455869,16.9140963331319 58.2465965950422,16.9233494497174 58.2469371700654,16.9325505791468 58.2463187598463,16.9413454144888 58.2447651822695,16.9493953908624 58.2423362605529,16.9563907854132 58.2391255059349,16.9620626756288 58.2352564982714,16.9661932879378 58.2308781075903,16.9686243368187 58.226158744721,16.9692630385815 58.221279866274)))', 'SEKRM', 'Kråkmarö', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8045995271722 56.0500786700014,14.8037672769706 56.0452078878939,14.8012536909745 56.0405215305868,14.7971558985533 56.0361995946749,14.7916317340325 56.032408022868,14.7848936168788 56.0292923492715,14.7772003691274 56.0269721330342,14.768847287386 56.0255363902617,14.7601548481049 56.0250401957259,14.7514564720464 56.0255025815513,14.7430858060014 56.0269058113385,14.7353639961399 56.0291960567823,14.7285874276587 56.0322854515381,14.7230163895871 56.0360554456323,14.7188650920344 56.0403613348751,14.7162934164279 56.0450377952142,14.7154007184097 56.0499052133781,14.7162219295252 56.0547765739792,14.7187261196459 56.0594646407557,14.7228175898382 56.0637891568623,14.7283394682794 56.0675837867781,14.7350796835405 56.0707025308288,14.742779094171 56.0730253624166,14.7511414653216 56.0744628672718,14.7598449063129 56.0749597023611,14.7685543214692 56.0744967380413,14.7769343833947 56.0730917987824,14.7846625154805 56.0707989731418,14.7914413700296 56.067706520276,14.7970103099821 56.0639334557285,14.8011554446507 56.0596249511375,14.8037178308526 56.0549467287179,14.8045995271722 56.0500786700014)))', 'SEKRS', 'Krokås', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7665416778629 57.6889906292989,11.7652767883322 57.6841476929259,11.7622727954329 57.6795299164719,11.7576456902323 57.6753146359794,11.7515736246878 57.6716636739074,11.7442900146631 57.6687171460205,11.7360745594902 57.6665881055029,11.7272425246977 57.6653582257643,11.718132694947 57.6650746837001,11.7090944497458 57.6657483598629,11.7004744442158 57.6673534227249,11.6926033905335 57.6698283126467,11.6857834324009 57.6730780890582,11.6802765850677 57.6769780534511,11.676294677345 57.6813785128173,11.6739911803861 57.6861105048209,11.6734552418443 57.6909922688591,11.6747081649362 57.6958362176982,11.6777024821216 57.7004561438107,11.6823236753722 57.7046743838887,11.6883944927731 57.7083286649038,11.6956817084827 57.7112783658123,11.7039050742388 57.7134099503661,11.7127481201989 57.7146413578482,11.7218703853494 57.7149251787778,11.7309205970024 57.7142504901473,11.7395502782495 57.7126432776241,11.7474272438735 57.7101654281143,11.7542484501345 57.7069123327592,11.7597516917699 57.7030091953462,11.7637256889062 57.6986061919466,11.7660181747059 57.6938726722019,11.7665416778629 57.6889906292989)))', 'SEKSH', 'Krossholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((20.4412845789011 63.7472290115373,20.4402992797278 63.7423613080276,20.4371898877994 63.7376722351989,20.4320768217283 63.7333418610786,20.4251572023569 63.7295364007772,20.4166971823377 63.7264018592026,20.4070216826405 63.7240584561813,20.3965019356421 63.7225960427567,20.3855413089108 63.72207067932,20.3745599407781 63.7225025023774,20.3639787574278 63.7238749587414,20.3542034611048 63.7261354353625,20.3456090799427 63.729197261549,20.3385256518427 63.7329430096008,20.3332255779704 63.737228971561,20.3299131262111 63.741890645489,20.3287164921181 63.746749025935,20.3296827358452 63.7516174616376,20.3327758102865 63.7563088201795,20.3378777810161 63.7606426855551,20.3447932163591 63.7644523111431,20.3532566006506 63.7675910579088,20.3629425007479 63.7699380658231,20.373478100911 63.7714029350294,20.3844576200681 63.771929231265,20.3954580436803 63.7714966760129,20.4060555445325 63.770121933931,20.4158419361849 63.7678579660498,20.4244405013432 63.7647919745746,20.4315205651376 63.7610420213335,20.4368102385949 63.7567524544849,20.4401068372018 63.75208832478,20.4412845789011 63.7472290115373)))', 'SEKSM', 'Kasholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9324631022876 58.3702923996893,16.9312852930741 58.3654412883441,16.9283296138539 58.3608040691247,16.9237102382387 58.3565588273127,16.9176050559342 58.3528685355702,16.9102487805568 58.3498748168127,16.9019239155252 58.3476925310535,16.8929499272811 58.3464053897916,16.8836710373494 58.3460627621784,16.8744430919017 58.3466777921981,16.8656199985987 58.3482268970393,16.857540235013 58.3506506654105,16.8505139306209 58.3538561224794,16.8448110052265 58.3577202771484,16.8406508110476 58.3620948192359,16.8381936741797 58.3668117904937,16.8375346648111 58.37169001585,16.8386998459303 58.376542051281,16.8416451595045 58.3811813835439,16.8462580099967 58.3854296056662,16.8523615010938 58.389123291261,16.8597211766538 58.3921203007298,16.8680540156142 58.394305273078,16.8770393375761 58.3955940877973,16.8863311955568 58.3959371209667,16.8955717691133 58.3953211668598,16.9044052280668 58.3937699489722,16.9124915167672 58.3913432002881,16.9195195123505 58.3881343493662,16.9252190375477 58.3842669039873,16.9293712577932 58.3798896753136,16.9318170609517 58.3751710306011,16.9324631022876 58.3702923996893)))', 'SEKSO', 'Kallsö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.266892654801 58.6941657193295,11.2656566131883 58.6893183319703,11.262628471233 58.6846895624154,11.2579251947681 58.680457167606,11.2517278981587 58.6767836230259,11.2442748281459 58.6738099052084,11.2358521949987 58.6716501038458,11.2267832052472 58.6703870660367,11.2174157126082 58.6700692357213,11.2081089507958 58.670708806254,11.1992198428237 58.6722812549558,11.1910893956001 58.6747262770605,11.1840296858706 58.6779500844412,11.1783119238871 58.6818289836125,11.1741560448916 58.6862140994774,11.1717222262278 58.6909370677938,11.1711046606802 58.6958164819651,11.1723278360562 58.7006648499686,11.1753454792325 58.7052957962844,11.1800422227192 58.7095312325801,11.1862379467398 58.7132082203336,11.1936946439694 58.7161852588198,11.2021255519313 58.7183477528044,11.2112062043307 58.7196124452609,11.2205869719167 58.7199306403434,11.2299065999808 58.7192900891648,11.2388062067362 58.717715463699,11.2469431869289 58.7152674001054,11.2540044692302 58.7120401495507,11.2597186039819 58.7081579297123,11.2638662081585 58.7037701212283,11.2662883641833 58.6990454982672,11.266892654801 58.6941657193295)))', 'SEKSS', 'Krossekärr', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9342255142833 58.1922930414244,16.9330538662295 58.1874417852889,16.9301132318433 58.1828044002151,16.9255171995443 58.1785589786582,16.9194427575243 58.1748685013413,16.9121234368798 58.1718745996429,16.9038403231243 58.1696921419133,16.8949112835542 58.1684048473444,16.885678819953 58.1680620916761,16.876497003088 58.1686770240175,16.8677179764554 58.1702260649916,16.8596785312053 58.1726498049661,16.8526872518731 58.1758552690501,16.8470127134946 58.1797194645464,16.8428731751811 58.1840940783955,16.8404281639231 58.1888111485029,16.8397722763178 58.1936894952961,16.8409314466322 58.198541669876,16.843861839259 58.2031811539701,16.8484514249929 58.2074295355669,16.8545241970748 58.2111233833046,16.8618468786447 58.2141205526889,16.8701378725219 58.2163056778937,16.8790781117336 58.2175946336274,16.8883233894506 58.2179377912524,16.8975176840695 58.217321940465,16.9063069524657 58.2157708004679,16.9143528442728 58.2133441004509,16.9213457935272 58.2101352659453,16.927016970966 58.2062678027645,16.9311486291536 58.2018905214431,16.9335824407781 58.1971717901735,16.9342255142833 58.1922930414244)))', 'SEKTO', 'Kättilö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1212781740057 57.4880653220047,12.1207718397889 57.4831828410832,12.118507034491 57.4784473512478,12.1145714129844 57.4740407496484,12.1091166656768 57.470132236831,12.1023526213994 57.4668718361919,12.0945391527084 57.464384655825,12.0859761993195 57.4627661091453,12.0769922914652 57.4620782736454,12.0679320066167 57.4623475238637,12.0591428291748 57.4635635267182,12.0509619027189 57.4656796364725,12.0437031678895 57.4686146744737,12.037645365929 57.4722560272085,12.0330213585509 57.4764639468856,12.0300091697072 57.481076893381,12.0287250948819 57.4859177165802,12.0292191501373 57.4908004454239,12.031473048174 57.4955374256207,12.0354007946496 57.499946533127,12.0408518980591 57.503858185896,12.0476170843243 57.5071218825023,12.0554363070353 57.509612013071,12.0640087504804 57.511232715045,12.0730044396516 57.5119215828071,12.0820770034764 57.511652084666,12.0908770881878 57.5104345914479,12.0990658896717 57.508315975784,12.1063282683867 57.5053777978297,12.1123849283446 57.5017331491281,12.1170031816944 57.4975222792516,12.1200058804849 57.4929071774646,12.1212781740057 57.4880653220047)))', 'SEKUA', 'Kungsbacka', 'Y'),('SRID=4326;MULTIPOLYGON(((15.4227050886282 56.1418551721911,15.4217927805037 56.1369888613766,15.4191981934811 56.1323153887699,15.4150215649831 56.1280142516215,15.409423749297 56.1242505902804,15.4026199831785 56.1211688647744,15.3948715970021 56.1188873299607,15.3864759925755 56.1174935175131,15.3777552695916 56.1170408943616,15.3690439293673 56.1175468226332,15.3606761160011 56.1189918972793,15.3529728707495 56.1213206861116,15.3462298749934 56.1244438446678,15.3407061406343 56.1282415269561,15.3366140744423 56.1325679644441,15.3341112953896 56.1372570413582,15.3332945223974 56.1421286560654,15.3341957756839 56.1469956274769,15.3367810500824 56.1516708833315,15.3409515259321 56.1559746548957,15.3465472856316 56.1597414007552,15.3533534054331 56.1628261912924,15.3611081966378 56.1651103050267,15.3695132823314 56.1665058176664,15.3782451193832 56.1669590034423,15.3869675144573 56.1664524145727,15.3953446404521 56.1650055566764,15.4030540383468 56.162674133426,15.4097990900776 56.1595478903505,15.415320470742 56.155747143032,15.4194061319011 56.1514181266258,15.4218994296919 56.1467273495218,15.4227050886282 56.1418551721911)))', 'SEKUG', 'Kuggeboda', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4817102020545 60.6190685148373,17.4803624491931 60.6142252010221,17.4771187542223 60.6096041045307,17.4721044482098 60.6053826763518,17.4655126457936 60.6017229559479,17.4575967606818 60.5987653727367,17.4486607530336 60.5966233816346,17.4390474855492 60.5953791339332,17.429125630043 60.5950803451965,17.4192756151271 60.5957384767761,17.4098751375285 60.5973282985305,17.4012847740163 60.5997888490758,17.3938342277052 60.6030257580752,17.3878097216591 60.6069148444106,17.3834430145183 60.6113068562615,17.380902457917 60.6160331758034,17.3802864447465 60.620912274001,17.3816195124174 60.6257566712699,17.3848512683737 60.6303801388729,17.3898581991533 60.6346048648418,17.3964483129331 60.6382683076561,17.4043684530894 60.6412294711952,17.4133140116752 60.6433743554696,17.4229406719478 60.6446203687279,17.4328777231595 60.6449195266152,17.442742423285 60.6442603115798,17.4521548399033 60.6426681187102,17.4607525786365 60.6402042703718,17.468204813562 60.6369636389611,17.4742250645444 60.6330709722998,17.4785822207425 60.6286760672801,17.4811093845675 60.6239479821846,17.4817102020545 60.6190685148373)))', 'SEKUL', 'Kullen', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2974398909196 58.3611572382669,11.296212437085 58.3563098611016,11.2932099345188 58.3516814233191,11.2885483499667 58.347449670478,11.2824071866345 58.3437770554866,11.2750225313022 58.3408045216582,11.2666779688994 58.338646115716,11.2576937155463 58.3373846333083,11.2484143829078 58.337068460091,11.2391958334212 58.3377097263141,11.2303916166267 58.3392838437119,11.2223394909042 58.3417304420336,11.2153485321606 58.3449556704916,11.2096873114479 58.3488357784885,11.205573587429 58.3532218419386,11.2031659076932 58.3579454580015,11.2025574462026 58.3628251936892,11.2037723241997 58.3676735440377,11.206764570881 58.3723041346234,11.2114197808656 58.3765388921435,11.2175594214196 58.3802149062552,11.2249476375957 58.38319071616,11.2333003023612 58.3853517763815,11.2422959660855 58.3866148871809,11.2515882799764 58.3869314149937,11.2608194053149 58.3862891755858,11.2696338779983 58.3847129053819,11.2776923782797 58.3822633023786,11.2846848597852 58.3790346747996,11.2903425196397 58.3751512907278,11.2944481412918 58.3707625730013,11.296844410665 58.3660373285494,11.2974398909196 58.3611572382669)))', 'SEKUN', 'Kungshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5704750205077 61.7020252729312,17.5690623427782 61.6971839136409,17.565688487917 61.692566371305,17.5604838428412 61.6883499537104,17.5536488686266 61.6846964989107,17.5454463288891 61.6817461857948,17.5361911771347 61.6796121807382,17.5262384938403 61.6783763209567,17.5159699306109 61.6780859955605,17.5057791687314 61.678752340237,17.4960569319737 61.6803498125491,17.4871761081642 61.6828171636831,17.4794775305743 61.6860597707875,17.4732569486835 61.6899532435102,17.4687536785437 61.694348170639,17.4661413664122 61.6990758295309,17.4655212264969 61.7039546438333,17.4669180261132 61.7087971453274,17.4702789915131 61.7134171748128,17.475475698082 61.7176370458575,17.4823088933125 61.7212943946523,17.4905160844288 61.7242484494829,17.4997816097993 61.7263854743312,17.5097488096593 61.7276231722447,17.5200338223854 61.7279138742734,17.5302404624003 61.727246387391,17.539975588625 61.7256464279253,17.5488643509276 61.7231756233376,17.5565647074758 61.7199291222372,17.5627806379657 61.7160319078021,17.5672735344836 61.7116339608856,17.5698713300634 61.7069044638652,17.5704750205077 61.7020252729312)))', 'SEKUO', 'Kuggören', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6302558157605 58.2320352480131,11.6289879619963 58.2271913306105,11.6259536982303 58.2225709031647,11.6212702013229 58.2183514019294,11.6151178058406 58.2146948085568,11.6077330208494 58.2117414513281,11.5993994296811 58.2096046416915,11.5904368240316 58.2083663477787,11.5811889850489 58.2080740669216,11.5720105702638 58.2087390139517,11.5632535954093 58.2103356928517,11.5552540138039 58.2128028678224,11.5483188928268 58.2160458977695,11.5427146670958 58.2199403473332,11.5386569116097 58.2243367396245,11.5363020259705 58.2290662724552,11.5357411539375 58.2339472826584,11.5369965825544 58.238792213532,11.5400207741214 58.2434148197633,11.5446980851784 58.2476373333989,11.5508491229003 58.2512973141766,11.5582375849315 58.2542539181135,11.5665793281471 58.2563933394792,11.5755533197766 58.2576332125293,11.5848140452581 58.2579257995221,11.5940048852043 58.2572598390194,11.6027719322615 58.2556609813311,11.6107776997085 58.2531907939576,11.6177141784298 58.2499443766047,11.6233147271069 58.2460466803344,11.6273643305421 58.2416476763169,11.6297078302101 58.2369165643513,11.6302558157605 58.2320352480131)))', 'SEKUS', 'Kungsviken', 'Y'),('SRID=4326;MULTIPOLYGON(((14.8207246087489 56.1580729565824,14.8198880170161 56.1532023660936,14.8173654546375 56.1485164135882,14.8132543994117 56.1441950796026,14.8077131975088 56.1404042830457,14.8009549236585 56.1372895274939,14.793239173318 56.1349703361262,14.7848621051361 56.1335356851231,14.7761451135088 56.1330406069925,14.7674225583558 56.1335040909278,14.7590290114096 56.1349083585841,14.7512864946657 56.1371995422706,14.7444921869002 56.1402897402547,14.7389070583098 56.1440603724305,14.7347458616667 56.1483667107785,14.7321688615251 56.1530434145296,14.7312756219855 56.1579108613684,14.7321010997883 56.162782034836,14.7346142051022 56.1674697056086,14.7387188998799 56.1717936315594,14.744257806273 56.1755874991772,14.7510181990248 56.1787053373441,14.7587401600971 56.1810271535811,14.7671265853146 56.1824635720945,14.7758546557566 56.1829592912884,14.7845883248515 56.1824952243733,14.7929913288674 56.1810892384476,14.8007402060547 56.1787954627935,14.8075368093182 56.1757021937477,14.8131198189952 56.1719284789577,14.8172748049015 56.1676195157427,14.8198424480121 56.1629410444835,14.8207246087489 56.1580729565824)))', 'SEKVE', 'Klaven, Mörrum', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8040469590672 56.4618052889737,12.8034623320979 56.4569244250396,12.8011695630415 56.4522004674926,12.7972573338807 56.4478148692722,12.7918763950015 56.4439360261973,12.7852337104373 56.4407128269747,12.7775844775566 56.4382689578132,12.7692223318782 56.4366981765125,12.7604681115741 56.4360607335057,12.7516576060133 56.4363810737446,12.7431287473067 56.4376469051296,12.7352087225779 56.439809668099,12.7282014872675 56.4427863887528,12.722376146155 56.4464628462598,12.7179566392101 56.4506979360389,12.715113124437 56.4553290650175,12.7139553905111 56.4601783757791,12.7145285596223 56.4650595640928,12.7168112574708 56.4697850304977,12.7207163353229 56.4741730923449,12.7260941315148 56.4780549787512,12.7327381604616 56.4812813376904,12.7403930201272 56.4837280019154,12.7487642183675 56.485300788103,12.7575295388393 56.4859391405936,12.7663515022712 56.4856184759746,12.7748904321924 56.4843511357295,12.7828176082268 56.4821859091309,12.789827986213 56.4792061451444,12.7956519829301 56.4755265279213,12.8000658630832 56.4712886430809,12.8029003252976 56.4666555092179,12.8040469590672 56.4618052889737)))', 'SEKVK', 'Kattvik', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6808314129545 58.6373839934087,16.6796787180773 58.6325306538902,16.6767330339549 58.6278877774542,16.6721081649033 58.6236336671631,16.6659822243045 58.6199316357451,16.6585907319212 58.6169237555121,16.6502175475361 58.6147254282011,16.6411839915987 58.6134209789235,16.6318365664779 58.6130604391837,16.6225337396355 58.6136576390289,16.6136322816275 58.6151896794029,16.6054736667452 58.6175978044058,16.598371042089 58.6207896411057,16.5925972519398 58.6246427235732,16.5883743687489 58.6290091696162,16.5858651305362 58.6337213349716,16.5851666179954 58.6385982320479,16.5863064246861 58.6434524701666,16.589241482498 58.6480974528939,16.5938596048732 58.6523545565043,16.599983705552 58.6560600125644,16.6073785448865 58.6590712273919,16.6157597535542 58.6612722915877,16.6248047894823 58.6625784633738,16.6341654025759 58.6629394490088,16.6434811176199 58.662341350562,16.6523932019433 58.6608072038938,16.6605585634936 58.6583960855689,16.6676630280531 58.655200824226,16.6734334712359 58.6513444071655,16.6776483301394 58.6469752242407,16.6801460883696 58.6422613363795,16.6808314129545 58.6373839934087)))', 'SEKVO', 'Kvarsebo', 'Y'),('SRID=4326;MULTIPOLYGON(((16.566088265365 57.3024345002707,16.5649959910821 57.2975788773257,16.562175315424 57.292931850772,16.5577351890183 57.2886718897905,16.5518465955202 57.2849625409194,16.544735927477 57.2819461676216,16.5366762716199 57.2797385074263,16.5279769406281 57.2784242515456,16.5189716496057 57.2780538126971,16.5100057820403 57.2786414019433,16.5014232208977 57.2801644863141,16.4935532351864 57.2825646474886,16.4866979105192 57.2857498096345,16.4811205939467 57.2895977533817,16.4770357889306 57.2939607845912,16.474600886415 57.2986713827538,16.4739100535941 57.3035486161156,16.4749905246951 57.3084050804459,16.4778014500188 57.3130540969906,16.4822353633368 57.3173168936112,16.4881222268816 57.3210294920695,16.4952359114788 57.3240490341829,16.5033028711568 57.3262592999983,16.5120126812969 57.327575201621,16.5210300314382 57.3279460757836,16.5300077021985 57.3273576451507,16.5386000136796 57.3258325707864,16.5464762124717 57.3234295739704,16.5533332670781 57.3202411622364,16.5589075670837 57.316390049675,16.5629850682746 57.312024412848,16.5654094916489 57.3073121689458,16.566088265365 57.3024345002707)))', 'SEKVR', 'Kvarnviken', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7315712641166 57.7110032537791,11.7303101778279 57.7061599494762,11.7273087042779 57.7015413346336,11.7226827390754 57.6973247776252,11.7166103916333 57.6936721499554,11.7093250896286 57.6907236312652,11.7011065979613 57.6885923510115,11.6922702988809 57.6873600683774,11.6831551404326 57.6870740522812,11.6741107059667 57.6877452780603,11.6654838872148 57.689348008135,11.6576056568256 57.6918207724002,11.6507784330323 57.695068711983,11.6452645093159 57.6989671990941,11.6412759858772 57.7033665977286,11.6389665880724 57.7080979866126,11.6384256908078 57.7129796286405,11.6396747887967 57.7178239415592,11.6426665627384 57.7224447040697,11.647286593701 57.7266642208355,11.6533576757074 57.7303201697569,11.6606465737354 57.7332718655622,11.6688729754254 57.7354056951073,11.6777202942997 57.7366395111022,11.6868479046474 57.7369258111874,11.6959043274262 57.736253576791,11.7045408457897 57.7346486990457,11.7124250104104 57.7321729750206,11.7192534996242 57.7289217141857,11.7247638273044 57.7250200499611,11.728744440717 57.7206181020378,11.7310428187363 57.7158851797955,11.7315712641166 57.7110032537791)))', 'SEKVS', 'Kalvsund', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2496692224738 65.7921196966858,23.2480797658077 65.7872781908525,23.2442214223497 65.7826569452899,23.2382434877592 65.778433385378,23.2303763258187 65.7747695868559,23.2209224196588 65.7718060828582,23.2102447248303 65.7696565035236,23.1987527750749 65.76840324807,23.186887066449 65.7680943497825,23.1751023013391 65.7687416496244,23.1638501102636 65.7703203457152,23.1535618858688 65.7727699353087,23.1446323600919 65.7759965147529,23.1374045320866 65.7798763528392,23.1321565113127 65.7842606055584,23.1290907775695 65.7889809971625,23.1283262784719 65.7938562551227,23.1298936863094 65.7986990565409,23.1337340226019 65.8033232221054,23.1397007331152 65.8075508818937,23.1475651628364 65.8112193359989,23.1570252446006 65.8141873425164,23.1677170826866 65.8163405858391,23.1792289901723 65.8175961089386,23.1911174326125 65.8179055332999,23.2029242465931 65.8172569378698,23.2141944448458 65.8156753217707,23.2244938932926 65.8132216322952,23.2334261512413 65.8099903972663,23.2406478036001 65.8061060566636,23.2458816811048 65.8017181399627,23.2489274571429 65.7969954807184,23.2496692224738 65.7921196966858)))', 'SEKXN', 'Kalix-Nyborg', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2849037055561 55.438264435632,14.2841482311142 55.4333899443529,14.2817351600454 55.4286928790579,14.2777577449793 55.4243536532916,14.2723691900073 55.4205388797292,14.2657767094306 55.4173949888693,14.258233544262 55.415042627512,14.2500292463134 55.4135720483769,14.2414786007709 55.413039664095,14.2329096053683 55.4134658946174,14.2246509565588 55.414834388449,14.2170195098132 55.4170926467331,14.2103081820195 55.4201540268527,14.2047747489155 55.4239010506518,14.2006319598433 55.4281898933846,14.1980393464886 55.4328558847737,14.1970970426724 55.4377198147306,14.1978418601537 55.442594804835,14.2002457827743 55.4472934838712,14.2042169506718 55.4516351926175,14.2096031108304 55.455452940388,14.21619741354 55.458599843888,14.2237463403868 55.4609547976703,14.2319594623968 55.4624271543415,14.2405206509998 55.4629602306564,14.2491003033741 55.4625335013079,14.2573681006368 55.4611633937331,14.2650057945471 55.4589026524668,14.2717195171435 55.4558382981381,14.2772511281036 55.4520882616996,14.2813881554925 55.4477968265439,14.2839719447897 55.4431290576209,14.2849037055561 55.438264435632)))', 'SEKYL', 'Kyls Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7214013293321 55.9088298487407,12.72083365776 55.9039483461668,12.7185819810238 55.8992228253601,12.7147333831008 55.8948348017473,12.7094361565451 55.8909527677006,12.7028940440779 55.8877257383266,12.6953583827126 55.885277550649,12.6871184562179 55.8837021313517,12.6784904249181 55.8830599108873,12.6698052511233 55.8833755181747,12.6613960727897 55.8846368419021,12.6535854966475 55.886795493336,12.6466732846646 55.8897686532439,12.6409248943079 55.8934422338634,12.6365613038873 55.897675237542,12.633750509887 55.9023051484386,12.632601024587 55.9071541541492,12.633157630833 55.9120359617824,12.6353995684731 55.9167629491674,12.6392412362179 55.921153377605,12.6445353965705 55.9250383886105,12.6510787736139 55.9282685138626,12.6586198378169 55.9307194450182,12.6668684828792 55.9322968377232,12.675507221153 55.9329399610911,12.6842034602861 55.932624048744,12.6926223777223 55.9313612584362,12.7004398840397 55.9292002021752,12.707355162215 55.9262240653072,12.7131022879834 55.9225473888102,12.7174604755598 55.9183116416556,12.7202625509954 55.9136797573536,12.7214013293321 55.9088298487407)))', 'SEKYV', 'Kyrkbacken, Ven', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8933539654645 55.8627674382303,12.8927652220265 55.8578865383533,12.8904951113118 55.8531639939605,12.8866314222003 55.8487812051342,12.8813230230156 55.844906462531,12.8747740816245 55.8416885010057,12.8672361938629 55.8392508095696,12.8589987266006 55.837686912438,12.8503777447197 55.8370567984691,12.841703940354 55.8373846326496,12.8333100168213 55.8386578350275,12.8255179981076 55.8408275613429,12.8186269371965 55.8438105673102,12.8129014829442 55.8474923868383,12.8085617358579 55.8517317052013,12.8057747786099 55.856365762994,12.8046482083991 55.8612165872535,12.8052259267397 55.8660978138864,12.8074863598746 55.8708218418137,12.8113431922463 55.8752070450991,12.8166485994083 55.8790847655067,12.8231988690046 55.8823058148384,12.8307422029945 55.8847462339923,12.8389884053708 55.8863120834822,12.8476200814087 55.8869430772205,12.8563049108837 55.8866149162836,12.8647085120026 55.8853402303691,12.872507387453 55.8831680895924,12.8794014403761 55.8801821058194,12.8851255664112 55.8764971984854,12.889459867263 55.8722551524068,12.8922380894 55.8676191422581,12.8933539654645 55.8627674382303)))', 'SELAA', 'Landskrona', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((17.433557061006 61.7470773279728,17.4321636208464 61.7422344936161,17.4288051048855 61.737613534469,17.4236113158713 61.7333918903096,17.4167823031781 61.7297316002625,17.4085806061752 61.726773105609,17.399321149459 61.7246298863976,17.3893591805198 61.7233841328554,17.3790767072423 61.7230836130419,17.3688679428525 61.7237398531595,17.3591242986786 61.7253276980349,17.3502194799436 61.727786268144,17.3424952365439 61.7310212778633,17.336248299419 61.7349086290819,17.3317189939382 61.7392991465697,17.3290819652802 61.7440242782261,17.3284393780354 61.7489025460835,17.3298168647632 61.7537465041771,17.3331623981752 61.7583699383837,17.3383481519973 61.7625950321208,17.3451753001434 61.7662592210974,17.3533815871104 61.769221470456,17.362651389526 61.7713677285278,17.3726278848625 61.7726153424456,17.3829268537198 61.7729162609241,17.3931515715639 61.7722588970674,17.4029081982928 61.7706685771284,17.411821052206 61.7682065574381,17.419547160127 61.7649676487882,17.4257895072655 61.7610765428667,17.4303084670407 61.7566829865227,17.4329309693153 61.7519559944941,17.433557061006 61.7470773279728)))', 'SELAB', 'Lakbäck', 'Y'),('SRID=4326;MULTIPOLYGON(((17.6189557111817 58.7490343078869,17.6176686375408 58.7441907622817,17.6145890263931 58.7395707342185,17.6098358178106 58.7353516422254,17.6035920381049 58.7316954488206,17.5960977112493 58.728742462997,17.5876406231156 58.7266059780966,17.5785452951558 58.7253679466044,17.5691605861856 58.7250758537471,17.5598463876406 58.7257409065632,17.5509599081922 58.7273376059408,17.5428420573859 58.7298047176563,17.5358044347738 58.7330476064425,17.5301174108799 58.7369418462795,17.5259997495786 58.7413379721773,17.5236101687215 58.7460671953655,17.5230411681638 58.7509478666127,17.5243153733211 58.7557924428233,17.5273845501825 58.7604146913494,17.5321313472005 58.7646368556181,17.5383737141684 58.7682965053855,17.5458718421929 58.7712528054592,17.554337366712 58.7733919579323,17.5634444819114 58.7746316042051,17.5728425344729 58.7749240132151,17.5821696015164 58.7742579297918,17.591066515255 58.7726590099483,17.5991907776163 58.7701888259547,17.606229812949 58.7669424808051,17.6119130356592 58.7630449267197,17.6160222605711 58.7586461332522,17.6184000541981 58.7539152952859,17.6189557111817 58.7490343078869)))', 'SELAC', 'Lacka', 'Y'),('SRID=4326;MULTIPOLYGON(((17.6027541582626 60.6500223589567,17.6013868604349 60.6451804107519,17.5981226931176 60.6405624003077,17.5930877732982 60.6363456590458,17.5864760054655 60.6326920455815,17.5785415671107 60.6297417542656,17.5695891272861 60.6276079598196,17.5599621760745 60.6263724989742,17.5500299076739 60.6260827503903,17.5401731485321 60.6267498290031,17.5307698537284 60.628348161904,17.5221807090979 60.630816461602,17.5147353732224 60.6340600606983,17.5087198723964 60.6379545213619,17.5043656232913 60.6423503852151,17.5018405028924 60.6470788859735,17.5012423143786 60.6519584100097,17.5025949125138 60.6568014603813,17.5058471550362 60.6614218590468,17.5108747403994 60.6656419110001,17.5174848807217 60.669299253604,17.5254236462902 60.6722531247799,17.5343857092778 60.6743898048049,17.5440261145636 60.6756270176441,17.553973619686 60.6759171179107,17.5638450785396 60.675248937129,17.573260298143 60.6736482160032,17.5818567772176 60.6711766056106,17.5893037405814 60.667929277374,17.5953149141745 60.6640312368524,17.5996595401116 60.6596324874239,17.6021712064484 60.6549022346748,17.6027541582626 60.6500223589567)))', 'SELAD', 'Långsand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6727592906234 57.8550233944748,11.6715004743573 57.8501795796894,11.6684939626283 57.8455597020389,11.663855850893 57.8413411781285,11.657764719902 57.8376859543452,11.650454721356 57.8347343090945,11.6422065687134 57.8325994908359,11.6333367809436 57.8313633935949,11.6241855877678 57.8310734319603,11.6151039507147 57.8317407323096,11.6064401842379 57.8333397077577,11.5985266746323 57.8358090327814,11.5916671913215 57.8390539813761,11.5861252652917 57.8429500416955,11.5821140733441 57.8473476721446,11.579788215087 57.8520780205237,11.5792377032632 57.8569593906402,11.5804844086958 57.861804211279,11.583481111006 57.8664262417898,11.5881132081313 57.8706477378147,11.5942030349931 57.8743063004894,11.6015166384356 57.8772611430928,11.6097727561906 57.8793985303971,11.6186536566733 57.8806361772623,11.6278174183508 57.8809264331827,11.6369111662507 57.8802581269784,11.6455847421497 57.8786569986672,11.6535042663568 57.8761847015267,11.6603650537815 57.8729364140399,11.6659033749015 57.8690371563694,11.6699066017332 57.8646369568774,11.6722213472859 57.8599050588765,11.6727592906234 57.8550233944748)))', 'SELAG', 'Långö, Kungälv', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9699514277967 59.442770138129,18.9693024039898 59.4378917441296,18.9667977927878 59.4331715460659,18.9625345403073 59.4287908401049,18.9566769716514 59.4249178156139,18.9494504016097 59.4217011159121,18.9411324440133 59.4192641556265,18.9320423584787 59.4177004085283,18.9225288415504 59.4170698422999,18.9129567222689 59.4173966331691,18.903693058927 59.4186682453397,18.8950931536089 59.42083590931,18.8874870037479 59.4238164812131,18.8811666953619 59.4274956139689,18.8763752110645 59.4317321220154,18.8732970779317 59.436363376363,18.872051216728 59.4412115272915,18.8726862762395 59.4460903196728,18.8751786464751 59.4508122419681,18.8794332448923 59.4551957355121,18.8852870638917 59.459072186554,18.8925153595386 59.4622924301138,18.9008402552982 59.4647325120439,18.9099414352835 59.4662984833303,18.9194685139195 59.4669300376777,18.929054597515 59.4666028484257,18.9383305018331 59.4653295120208,18.9469390612096 59.4631590604642,18.9545489607105 59.4601750620085,18.9608675434727 59.4564923853957,18.9656520895971 59.4522527557075,18.9687191282841 59.4476192771748,18.9699514277967 59.442770138129)))', 'SELAK', 'Långvik', 'Y'),('SRID=4326;MULTIPOLYGON(((19.1449062623697 57.9496932877179,19.1442562523065 57.9448147208487,19.1418292355075 57.9400972906401,19.1377191069814 57.935722191538,19.1320842566264 57.9318574058179,19.1251414156984 57.928651271019,19.1171572997291 57.9262268074028,19.1084383732596 57.9246770191786,19.0993191274694 57.9240613456946,19.0901493128311 57.9244033951494,19.0812806042448 57.9256900452006,19.0730531950814 57.9278719438491,19.0657828188613 57.9308653918608,19.0597486829055 57.9345555365247,19.0551827674638 57.9388007574554,19.0522608971099 57.9434380801255,19.0510959295351 57.9482894134709,19.0517333316708 57.9531683757307,19.0541493262845 57.9578874489756,19.0582516963934 57.9622651886228,19.063883233249 57.9661332103984,19.0708277100485 57.9693426841034,19.0788181622171 57.9717700811579,19.0875471605866 57.9733219507628,19.0966786806208 57.9739385366977,19.1058611032019 57.9735960918516,19.1147408339816 57.9723077987616,19.122976001558 57.9701232595652,19.1302496912637 57.9671265754966,19.1362821913325 57.9634330919274,19.1408417705669 57.9591849375608,19.1437535690251 57.9545455335129,19.1449062623697 57.9496932877179)))', 'SELAR', 'Lauter', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3227990740188 58.6271455179278,11.3215578927475 58.6222986574608,11.318528404313 58.6176711696161,11.313827622659 58.6134407620421,11.3076365632885 58.6097698340836,11.3001932313592 58.6067992621789,11.2917834624058 58.6046430157458,11.2827299695487 58.6033838059564,11.2733800132356 58.6030699302924,11.2640921565073 58.6037134306464,11.2552225995811 58.6052896336176,11.2471116016604 58.6077380902046,11.2400704950591 58.6109648800683,11.2343697770245 58.6148461946499,11.2302287283309 58.6192330654088,11.2278069554615 58.6239570599747,11.2271981860257 58.6288367316608,11.2284265665606 58.6336845780324,11.2314456201843 58.6383142433146,11.2361399215577 58.6425476883642,11.2423294417438 58.646222051409,11.2497764099152 58.6491959330501,11.2581944369557 58.651354859992,11.2672595525269 58.6526157129786,11.2766227267261 58.6529299443661,11.2859233842058 58.6522854581057,11.2948033759468 58.6507070776941,11.3029208541391 58.6482555836289,11.309963499908 58.6450253586781,11.3156605816856 58.6411407343618,11.3197933722879 58.6367511830971,11.3222035224523 58.6320255453365,11.3227990740188 58.6271455179278)))', 'SELAS', 'Långesjö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.9129355898783 58.7429250585864,17.9116079785193 58.7380848125601,17.9084901783135 58.7334721527802,17.9037025916593 58.7292642128062,17.8974295588738 58.725622525505,17.8899122202035 58.7226868422115,17.8814392383633 58.7205697920621,17.8723357396578 58.7193525822043,17.8629508934196 58.7190818998049,17.8536445958592 58.7197681314705,17.8447737545733 58.7213849664546,17.8366786833661 58.7238703985454,17.8296701134846 58.7271290895249,17.8240173068748 58.7310360063077,17.8199377199642 58.7354411960217,17.8175886133903 58.7401755200536,17.8170609351194 58.7450571310451,17.818375723102 58.7498984474226,17.8214831812068 58.7545133595475,17.8262644815259 58.7587243909619,17.8325362407816 58.7623695381555,17.8400575126146 58.7653085230564,17.8485390355249 58.767428213888,17.857654382908 58.7686470014822,17.8670525815757 58.7689179584756,17.8763717025271 58.7682306564571,17.8852528859176 58.766611569125,17.8933542434502 58.7641230455913,17.9003640868443 58.7608608947188,17.9060129602766 58.7569506763303,17.9100840061136 58.7525428459372,17.9124212640195 58.7478069441713,17.9129355898783 58.7429250585864)))', 'SELAT', 'Landsort', 'Y'),('SRID=4326;MULTIPOLYGON(((19.1299110825058 57.9536988507758,19.1292630486143 57.9488202215681,19.1268377460368 57.9441025177766,19.1227290042646 57.9397269444482,19.1170951603255 57.9358615021305,19.1101529072194 57.9326545535966,19.1021689382427 57.9302291503348,19.0934497125229 57.9286783325791,19.0843297328202 57.9280615791306,19.0751587777244 57.9284025395688,19.0662885657224 57.9296881332886,19.0580593476031 57.9318690487979,19.0507869259831 57.9348616245959,19.0447505863671 57.9385510414883,19.0401823933345 57.9427957071025,19.0372582587487 57.9474326683361,19.0360911272318 57.9522838481266,19.0367265489598 57.9571628707359,19.0391408230458 57.9618822160289,19.0432417989848 57.9662604290555,19.0488723220274 57.9701291073988,19.0558162047534 57.9733393956301,19.0638065057746 57.9757677338226,19.0725358019691 57.977320634925,19.0816680574371 57.9779383029649,19.0908516247119 57.9775969491244,19.0997328652133 57.9763097139006,19.1079698491617 57.9741261586903,19.1152455916642 57.9711303468655,19.121280301645 57.9674375902763,19.125842162625 57.9631899897339,19.1287562267404 57.9585509451564,19.1299110825058 57.9536988507758)))', 'SELAU', 'Lauterhorn', 'Y'),('SRID=4326;MULTIPOLYGON(((17.7113872781244 62.2319665031466,17.7099253095925 62.2271272047422,17.7064690567231 62.2225139082299,17.7011520994699 62.21830375414,17.6941792289418 62.2146583348415,17.6858185072849 62.2117175153102,17.6763909515448 62.2095940926197,17.6662582400645 62.2083694941644,17.6558089072706 62.2080906749396,17.6454435431164 62.2087683291101,17.6355595461841 62.2103764821776,17.6265359940601 62.212853478944,17.618719190895 62.2161043308512,17.612409430072 62.2200043358179,17.6078494698832 62.2244038360841,17.6052151625974 62.2291339364317,17.6046086032737 62.2340129680556,17.6060540756647 62.2388534537476,17.6094969707936 62.2434693092214,17.6148057423001 62.2476830043689,17.6217768452844 62.2513324077281,17.6301424866991 62.2542770477863,17.639580900515 62.2564035458287,17.6497287553468 62.2576300062656,17.6601952113266 62.257909190631,17.6705770716455 62.2572303491706,17.6804744263244 62.2556196371373,17.6895061641797 62.2531390993096,17.6973247348608 62.2498842633407,17.7036295759024 62.2459804378494,17.7081786780094 62.2415778622357,17.7107978419589 62.2368458999102,17.7113872781244 62.2319665031466)))', 'SELDD', 'Lörudden', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7978970594139 56.334806321256,12.7973147490916 56.3299253565393,12.7950299636229 56.3252012610931,12.7911310736312 56.3208154936319,12.7857683137263 56.3169364571958,12.7791479480466 56.3137130487725,12.7715243170381 56.3112689634636,12.763190075079 56.3096979681022,12.7544649922739 56.3090603218382,12.7456837433951 56.3093804776142,12.7371831414815 56.3106461502609,12.7292892923187 56.3128087858442,12.7223051486066 56.3157854146449,12.7164989290344 56.3194618185126,12.7120938379833 56.3236968940735,12.7092594767526 56.3283280480721,12.7081052779998 56.3331774216368,12.70867622291 56.3380587079407,12.7109510173949 56.342784303914,12.7148428118663 56.3471725224009,12.7202024519438 56.3510545872156,12.7268241484567 56.3542811403272,12.7344533583547 56.3567280078839,12.7427965779255 56.3583009994802,12.7515326703039 56.3589395520568,12.7603252846075 56.358619074693,12.7688358775116 56.3573519015172,12.7767368221916 56.3551868149056,12.7837240857199 56.3522071577252,12.7895289744461 56.3485276091697,12.793928486601 56.3442897513631,12.7967538702232 56.3396566011321,12.7978970594139 56.334806321256)))', 'SELEI', 'Lervik', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9632335526323 57.4529210491639,11.9619518396248 57.4480801007581,11.95894350869 57.4434669055365,11.9543247060119 57.4392586233695,11.9482732549947 57.4356168085498,11.9410217733443 57.4326812268692,11.932848724203 57.4305645129452,11.9240677466095 57.4293478687949,11.9150156704599 57.4290779648594,11.9060396662273 57.429765159307,11.8974840090437 57.4313831021091,11.8896769497973 57.4338697387831,11.8829181824319 57.4371296765696,11.8774673766657 57.4410378249191,11.8735342092286 57.4454441742303,11.8712702751034 57.450179533505,11.8707631942501 57.45506201055,11.872033150486 57.4599039890014,11.8750320097646 57.4645193360471,11.8796450678752 57.4687305642214,11.8856953759736 57.4723756707292,11.8929504903562 57.4753143886491,11.9011313948328 57.4774336058994,11.9099232544617 57.4786517393536,11.918987582654 57.4789218918371,11.9279753436706 57.4782336673423,11.9365404725133 57.4766135727134,11.944353276319 57.47412399003,11.9511131865885 57.4708607605548,11.95656035961 57.4669494759674,11.9604856717088 57.4625406233327,11.9627387238069 57.4578037747563,11.9632335526323 57.4529210491639)))', 'SELEL', 'Lerkil', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6017074847253 56.1778757763502,12.6011519695521 56.172994021729,12.5989002186337 56.1682664971353,12.5950393296444 56.1638747948836,12.5897180763664 56.1599875478407,12.5831411304388 56.156753969949,12.57556116894 56.1542981479957,12.5672691751397 56.1527143000454,12.558583303435 56.1520631786548,12.54983672919 56.1523697534655,12.5413649388247 56.1536222596162,12.5334929343805 56.1557726473382,12.5265228295765 56.1587384158353,12.5207223010488 56.1624057628848,12.5163143292682 56.1666339322776,12.5134686191592 56.1712605959542,12.5122950316324 56.1761080681097,12.5128392854943 56.1809901161277,12.5150811064388 56.1857191092684,12.5189349085383 56.1901132316447,12.5242529969262 56.1940034819484,12.5308311817916 56.197240189018,12.5384165974416 56.1996987896772,12.546717430263 56.2012846428284,12.5554141801971 56.2019366906405,12.5641720157659 56.2016298224325,12.5726537361119 56.2003758477327,12.5805328274429 56.1982230398838,12.5875060971261 56.1952542681246,12.5933053867035 56.1915837918977,12.5977079043261 56.187352843801,12.600544775417 56.1827241749259,12.6017074847253 56.1778757763502)))', 'SELET', 'Lerberget', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0356968699893 57.790732279004,19.0350640314663 57.7858531487128,19.0326615601486 57.7811336772035,19.0285824025916 57.7767551387089,19.0229837560816 57.7728856491398,19.0160809612983 57.7696737281607,19.0081391985599 57.7672426194437,18.9994633109835 57.7656855831482,18.9903861434848 57.765062337189,18.9812558375292 57.7653967802376,18.9724225568802 57.7666760812505,18.9642251386289 57.7688511693112,18.9569781662043 57.7718386054536,18.9509599468496 57.77552376664,18.9464018454406 57.7797652229429,18.9434793800893 57.7844001439196,18.9423054236509 57.7892505307699,18.9429257804328 57.7941300386357,18.9453173210525 57.7988511296313,18.9493887630527 57.8032322829722,18.9549840837713 57.8071049846617,18.9618884488532 57.8103202260193,18.9698364389199 57.8127542578753,18.9785222628017 57.8143133750483,18.9876115628693 57.8149375428282,18.9967543505811 57.8146027222043,19.0055985619359 57.8133218017028,19.0138036957402 57.8111440987931,19.0210539939426 57.8081534505287,19.0270706429835 57.8044649689646,19.0316225170564 57.8002205895251,19.0345350461064 57.7955835876736,19.0356968699893 57.790732279004)))', 'SELEV', 'Lergrav', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8965082862904 57.6669430951709,11.895226966659 57.6621016004786,11.8922084644224 57.6574870355716,11.8875693253618 57.6532766123871,11.8814881605222 57.6496319663793,11.8741987320981 57.6466929706476,11.865980960195 57.644572389366,11.857150197501 57.6433515716283,11.8480451791574 57.6430773470544,11.8390151004705 57.6437602391597,11.8304063046522 57.6453740631826,11.8225490759555 57.6478569234859,11.8157450301569 57.6511135735459,11.8102555743561 57.6550190506495,11.8062918718516 57.6594234494943,11.8040066960653 57.6641576555858,11.803488491226 57.6690398222623,11.8047578783642 57.6738823457857,11.8077667553115 57.67849907247,11.8124000416491 57.6827124612677,11.8184800173577 57.6863604252374,11.8257731012805 57.6893025861501,11.8339988167984 57.6914256979614,11.8428406018804 57.6926480263267,11.851958043325 57.6929225116462,11.8610000545179 57.6922385907082,11.8696184756286 57.6906226049053,11.8774815570399 57.6881367789864,11.8842867919544 57.684876810964,11.8897725922436 57.6809681686809,11.8937283511303 57.6765612393092,11.896002504537 57.6718255225925,11.8965082862904 57.6669430951709)))', 'SELGD', 'Långedrag', 'Y'),('SRID=4326;MULTIPOLYGON(((18.331405744862 59.0760054605087,18.3308532800967 59.0711244912195,18.328462428343 59.0663927730781,18.3243257552296 59.0619920509807,18.318602723048 59.0580912890623,18.3115134880768 59.0548402008302,18.3033304063942 59.052363524748,18.2943675796385 59.0507562608494,18.2849688405376 59.0500800468518,18.2754946313461 59.050360808962,18.2663082655351 59.0515877746995,18.257762083541 59.053713884293,18.2501840167911 59.0566575852293,18.2438650605481 59.0603059430941,18.2390481255804 59.0645189526643,18.2359186918016 59.0691348879568,18.2345976247069 59.0739764902297,18.2351364390358 59.0788577602503,18.2375152055192 59.0835910968161,18.2416431983995 59.0879945086409,18.2473622768726 59.0918986221038,18.2544528865795 59.0951532134556,18.2626424621549 59.0976330109144,18.2716159133264 59.0992425392447,18.2810277898943 59.0999198159889,18.2905156495403 59.0996387531466,18.2997141006314 59.0984101689821,18.3082689628549 59.0962813696581,18.3158509832978 59.0933343171756,18.3221685647871 59.0896824561917,18.326979005852 59.0854663252476,18.3300978152188 59.0808481255266,18.331405744862 59.0760054605087)))', 'SELGG', 'Långgarn', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8666294251848 56.0796947962357,15.8656627271696 56.0748319414287,15.8630187692556 56.0701679511227,15.8587996782771 56.0658819556771,15.8531679304409 56.0621385121145,15.8463400561047 56.0590813033362,15.8385783027939 56.0568276431621,15.8301805791825 56.0554639943091,15.8214690631006 56.0550426675685,15.8127779027706 56.0555798257154,15.8044404714234 56.0570548667181,15.7967766505965 56.0594112092925,15.7900806164783 56.0625584515479,15.7846095866517 56.0663758221477,15.780573951818 56.0707167948305,15.7781291691876 56.075414692998,15.7773697322545 56.0802890729896,15.7783254571528 56.08515264409,15.7809602407771 56.0898184615377,15.7851733529946 56.094107116808,15.7908032278117 56.0978536479446,15.7976336200236 56.1009139019911,15.8054018987837 56.1031701015132,15.8138091619783 56.1045353972003,15.8225317794611 56.1049572275455,15.8312339129194 56.1044193531041,15.8395805185606 56.1029424849574,15.847250318143 56.1005834825561,15.8539482252682 56.0974331527259,15.8594167372077 56.0936127368589,15.8634458465879 56.0892692248306,15.8658810896406 56.0845696798309,15.8666294251848 56.0796947962357)))', 'SELGO', 'Långören', 'Y'),('SRID=4326;MULTIPOLYGON(((16.695525533578 57.6503848129945,16.6944047562333 57.6455307301298,16.6915398941434 57.6408870964888,16.6870416068663 57.6366322485612,16.6810831185176 57.6329295337229,16.6738935067258 57.6299210578633,16.6657488848883 57.6277222528248,16.656961818704 57.6264174680993,16.6478693794893 57.6260567519984,16.6388202834962 57.626653942562,16.6301615974028 57.628186139422,16.6222255047608 57.6305945763645,16.6153166262086 57.6337868621899,16.6097003677128 57.6376405064013,16.6055927362916 57.6420075979932,16.6031520122431 57.646720461849,16.6024726018943 57.6515980795899,16.603581316852 57.6564530316031,16.6064362367981 57.6610986956772,16.610928215775 57.6653564262082,16.6168849900502 57.6690624369702,16.6240777429505 57.6720741202998,16.6322298828762 57.6742755560459,16.6410276995684 57.6755819942146,16.650132485042 57.6759431347722,16.6591936434356 57.6753450750588,16.667862271677 57.673810847763,16.6758046726118 57.6713995282147,16.6827152652228 57.6682039464647,16.6883283825966 57.6643470947847,16.6924284959254 57.6599773724879,16.6948584694732 57.6552628551913,16.695525533578 57.6503848129945)))', 'SELGV', 'Långö, S Västervik', 'Y'),('SRID=4326;MULTIPOLYGON(((12.9958779109645 55.4367267568912,12.9952815366997 55.4318459834725,12.9930223748952 55.4271251190431,12.9891877780508 55.422745499881,12.9839254844784 55.4188752966007,12.977437883648 55.415663072121,12.9699742139503 55.4132320978487,12.9618209963756 55.4116756426535,12.9532910699006 55.4110534116957,12.9447116429104 55.4113892684662,12.9364118086632 55.4126703250873,12.9287099909568 55.4148474347189,12.9219017884414 55.4178370675817,12.9162486724125 55.4215245004151,12.9119679636882 55.4257681999102,12.9092244699042 55.4304052355011,12.9081241062421 55.4352575174891,12.9087097516377 55.4401386243071,12.9109595108423 55.4448609590953,12.9147874628153 55.4492429617274,12.9200468808669 55.4531160987275,12.9265358133014 55.4563313605452,12.9340048190058 55.4587650133659,12.9421665646325 55.4603233805351,12.9507069128855 55.4609464658112,12.9592970687563 55.4606102756408,12.9676063056094 55.459327748659,12.9753147681842 55.4571482555551,12.9821258462102 55.4541556889712,12.9877776306236 55.4504652188006,12.9920530033352 55.4462188407589,12.9947879690703 55.4415798931963,12.9958779109645 55.4367267568912)))', 'SELHA', 'Lilla Hammar', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8065485645254 58.4313386518533,16.8053858426986 58.4264863499461,16.8024413826299 58.4218462102751,16.7978289312351 58.4175964308727,16.7917261165294 58.4139001588824,16.7843675648317 58.4108992467109,16.7760358694521 58.4087088301028,16.7670507600931 58.4074129320405,16.7577568846765 58.4070612570895,16.7485106626701 58.4076672958564,16.7396667002914 58.4092078102019,16.7315642726614 58.4116237184402,16.7245143758206 58.4148223476917,16.7187878325194 58.4186809695713,16.7146049001672 58.4230514872244,16.7121267778812 58.4277660980399,16.7114493432744 58.4326437187633,16.7125993699898 58.4374969296713,16.7155333861778 58.4421391732086,16.7201392349075 58.4463919310487,16.7262402933615 58.4500916026086,16.7336022025978 58.4530958179282,16.7419418581546 58.455288938388,16.7509383184657 58.4565865293683,16.7602452075279 58.4569386285715,16.7695041246603 58.4563316808023,16.7783585309244 58.4547890625876,16.7864675612112 58.452370175909,16.7935192142876 58.449168147087,16.7992424000354 58.4453062220609,16.8034173722057 58.440933000559,16.8058841435478 58.4362166968281,16.8065485645254 58.4313386518533)))', 'SELHU', 'Lilla Hummelvik', 'Y'),('SRID=4326;MULTIPOLYGON(((18.1652475282483 58.9680662336792,18.1647198834962 58.9631846923829,18.1623589626109 58.9584500884243,18.1582561781026 58.9540442792017,18.1525696898504 58.9501364258637,18.145518252487 58.9468765156409,18.1373727746605 58.9443896267285,18.1284459196403 58.9427711517369,18.1190801451013 58.9420831587044,18.1096346332928 58.9423520254433,18.1004716001176 58.9435674351695,18.0919424922625 58.9456827706049,18.0843745851281 58.9486168917634,18.0780584808631 58.9522572311699,18.0732369755473 58.956464091034,18.0700957180092 58.9610759815932,18.0687560207906 58.9659158000538,18.0692701077443 58.970797616788,18.0716189945724 58.975533811021,18.0757131008385 58.9799422832499,18.081395587848 58.9838534669085,18.0884483101245 58.9871168677553,18.0966001634072 58.9896068761792,18.1055375138237 58.9912276246518,18.1149163058691 58.9919166990172,18.1243753754937 58.9916475568398,18.1335504427362 58.9904305568366,18.1420882288299 58.9883125583917,18.1496601371918 58.9853751069108,18.155974956526 58.9817312768809,18.1607900863755 58.977521297508,18.163920848521 58.9729071334709,18.1652475282483 58.9680662336792)))', 'SEMSK', 'Muskö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5637311547645 57.8289064414992,18.56316161287 57.8240255351123,18.560818660474 57.8192976662386,18.5567929643144 57.8149044349029,18.5512396777192 57.8110145237118,18.5443724102126 57.8077772378404,18.5364549884641 57.8053167949911,18.527791329702 57.8037275805534,18.5187138148519 57.8030705459443,18.5095706002159 57.8033708846758,18.5007123424271 57.8046170726751,18.4924788310231 57.8067613084536,18.4851860259782 57.8097213366162,18.4791139838697 57.8133835866682,18.4744961262905 57.8176075098619,18.4715102581866 57.8222309515986,18.470271682938 57.8270763573035,18.4708286865841 57.8319575771846,18.4731605775491 57.8366870112131,18.4771783730958 57.8410828210844,18.4827281226937 57.8449759316337,18.4895967552972 57.8482165506129,18.4975202364166 57.850679952884,18.506193726341 57.852271302512,18.5152833474387 57.8529293230157,18.5244391003384 57.8526286707894,18.5333084195666 57.8513809176328,18.5415498315799 57.8492341033159,18.5488461736089 57.8462708757937,18.5549168506052 57.8426052926345,18.5595286488052 57.8383784100214,18.5625046857503 57.8337528330972,18.5637311547645 57.8289064414992)))', 'SELIC', 'Lickershamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1761607654344 58.8861978984713,11.1749299136354 58.8813497410819,11.1718964646893 58.876718997455,11.1671775977512 58.8724835000594,11.1609550333542 58.8688058426742,11.1534679928929 58.8658271584923,11.1450039917736 58.8636617264209,11.135887822045 58.8623926083065,11.1264691430371 58.8620684803668,11.1171091459203 58.862701777046,11.1081667892402 58.8642682164431,11.0999851168471 58.8667077250546,11.0928781669823 58.8699267275636,11.087118961642 58.8738017165233,11.082929028997 58.8781839687439,11.0804698592502 58.882905231672,11.0798366268906 58.8877841656397,11.0810544314154 58.8926332980086,11.0840772164077 58.8972662242114,11.0887894262015 58.9015047795026,11.0950103537555 58.9051859045668,11.1025010268736 58.9081679382885,11.1109733771137 58.9103360918232,11.12010134135 58.9116068890055,11.1295334646438 58.9119313979944,11.1389065090501 58.9112971263341,11.1478595296884 58.909728504358,11.1560478592167 58.9072859378481,11.163156445907 58.9040634676594,11.1689120185751 58.9001851291615,11.1730936020949 58.8958001554807,11.1755409773432 58.8910772134873,11.1761607654344 58.8861978984713)))', 'SELIH', 'Lindholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((12.9680454407842 55.5877380831593,12.967450685849 55.5828572970831,12.9651866463429 55.5781359869278,12.9613408675895 55.5737555057791,12.9560615216718 55.5698840567172,12.949551655493 55.5666702496358,12.9420613629557 55.564237415759,12.9338781857847 55.5626788944687,12.925316110049 55.5620544695672,12.9167035741453 55.5623880884098,12.9083709378237 55.5636669490509,12.9006378800733 55.565841989358,12.8938011960145 55.568829759732,12.888123449331 55.5725156093844,12.8838229074933 55.5767580668484,12.8810651426606 55.5813942502418,12.8799566226741 55.5862461033757,12.8805405453853 55.5911272216145,12.8827950876301 55.5958500077323,12.8866341499554 55.6002328839418,12.8919105827943 55.6041072825372,12.8984217827355 55.6073241445851,12.9059174528258 55.6097596737704,12.914109232658 55.6113201203745,12.9226818264852 55.611945407483,12.9313051946244 55.6116114564771,12.9396473282135 55.6103311198717,12.9473871023889 55.6081536845014,12.9542266995163 55.6051629645928,12.9599031124257 55.6014740599745,12.9641982767043 55.597228907204,12.9669474388789 55.592590798499,12.9680454407842 55.5877380831593)))', 'SELIM', 'Limhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9642211304333 58.2159119244297,11.9629085301165 58.2110717488139,11.9598325910529 58.2064596552868,11.9551120855371 58.2022527578527,11.9489287623199 58.1986125526538,11.9415203102789 58.1956787380331,11.9331712141696 58.1935638753024,11.9242018553094 58.1923490909528,11.9149562709495 58.1920809812465,11.9057890318819 58.1927698347807,11.8970517276053 58.1943892393315,11.8890795615982 58.1968770877499,11.8821785556865 58.2001379456319,11.876613842187 58.2040466926581,11.872599485772 58.2084533016281,11.8702902245 58.2131885759697,11.8697754522671 58.2180706294825,11.8710756846508 58.222911862716,11.874141658935 58.2275261699407,11.8788561198719 58.2317361001377,11.8850382389449 58.2353796954545,11.8924505106 58.2383167414336,11.900807868583 58.2404341848178,11.9097886737819 58.2416505062343,11.9190471463421 58.2419188754158,11.9282267533566 58.2412289642623,11.9369740224157 58.2396073460109,11.9449522329926 58.2371164648272,11.9518544430324 58.2338522168268,11.9574153369041 58.2299402384438,11.9614214314421 58.2255310488232,11.9637192463846 58.2207942374172,11.9642211304333 58.2159119244297)))', 'SELJE', 'Ljungskile', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7630937521746 57.3228283004469,18.7625037893623 57.3179478089842,18.7601656894693 57.3132233349843,18.7561699097824 57.3088363484826,18.7506704354655 57.3049552940503,18.7438787968615 57.3017291396305,18.7360559120353 57.2992816789807,18.7275020722937 57.2977068025425,18.7185454535847 57.2970649142027,18.7095295874462 57.2973806278755,18.7008002604698 57.2986418297229,18.6926923304037 57.3008001408224,18.6855169497273 57.3037727629364,18.6795496737529 57.3074456384734,18.6750199002985 57.311677806526,18.6721020422931 57.3163067916936,18.6709087742634 57.3211548228866,18.6714866198952 57.3260356469376,18.6738140627083 57.3307616779324,18.6778022678582 57.3351512087979,18.6832984033365 57.3390354076071,18.6900914471108 57.3422648277143,18.6979202671949 57.3447151781905,18.7064836686944 57.3462921286438,18.7154520199697 57.3469349594368,18.7244800033032 57.3466189131751,18.733219987367 57.3453561543305,18.7413354919665 57.3431952988645,18.748514211469 57.3402195323723,18.7544800822588 57.3365433911485,18.7590039204477 57.3323083332718,18.7619122166986 57.3276772740917,18.7630937521746 57.3228283004469)))', 'SELJN', 'Ljugarn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.6660501059864 59.5178846865775,18.6654437956614 59.5130051318328,18.6629764467169 59.50827941858,18.6587435811749 59.5038890568062,18.6529083657333 59.5000026080031,18.6456952655607 59.4967692314596,18.6373813848749 59.4943129817771,18.6282858320546 59.4927280722505,18.6187575157714 59.4920752814829,18.6091618321011 59.4923796372122,18.5998667397466 59.4936294634082,18.5912287407572 59.4957768259154,18.5835792871589 59.498739359977,18.5772121197058 59.5024034116078,18.5723720137279 59.506628375705,18.5692453593291 59.5112520686593,18.5679529398553 59.5160969336708,18.5685451949675 59.520976844459,18.5710001647728 59.5257042489173,18.5752242118587 59.5300973795887,18.5810555120583 59.5339872534423,18.5882701962668 59.5372241897569,18.5965909191154 59.5396835919881,18.6056975305702 59.5412707668933,18.6152394383819 59.5419245909854,18.624849177284 59.5416198792118,18.6341566487879 59.5403683618075,18.6428034662289 59.5382182303995,18.6504568350525 59.5352522712856,18.6568224184507 59.5315846598845,18.6616556822557 59.5273565432414,18.6647712780244 59.5227305849117,18.6660501059864 59.5178846865775)))', 'SELJO', 'Ljusterö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1966617791602 61.206172101442,17.195330567459 61.2013262409466,17.1920662331295 61.1966987251538,17.1869949354868 61.1924672504804,17.1803120054401 61.1887942391532,17.1722743718705 61.1858206264871,17.1631906719396 61.1836604777275,17.1534094277206 61.1823966363328,17.1433057377761 61.1820775661262,17.1332669821911 61.1827155047695,17.1236780722575 61.1842859971196,17.1149067910079 61.1867288258492,17.1072897679108 61.1899503049565,17.1011196102834 61.1938268511389,17.0966336756186 61.1982097001623,17.094004913625 61.2029305919604,17.0933351353428 61.2078082108214,17.0946509807346 61.2126551371291,17.0979027578693 61.2172850459777,17.1029662191499 61.2215198766303,17.1096472266847 61.2251966959432,17.1176891442829 61.2281739888706,17.1267826825829 61.2303371298803,17.1365778217103 61.2316028199698,17.146697347726 61.2319223138684,17.1567514696416 61.2312833094108,17.1663529367759 61.2297104240011,17.1751320543751 61.2272642392889,17.1827509999604 61.2240389521949,17.1889168735381 61.2201587257532,17.1933929698278 61.2157728844836,17.1960078369255 61.2110501439941,17.1966617791602 61.206172101442)))', 'SELJU', 'Ljusne', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7606513879443 56.0950946100279,14.7598237276145 56.0902235718749,14.757312561511 56.0855363565716,14.7532149280856 56.081212993794,14.7476886574069 56.0774194810204,14.7409462512273 56.0743014267169,14.7332466970445 56.0719784811631,14.7248855336506 56.0705397649176,14.7161835471211 56.070040466579,14.7074745235297 56.0704997371656,14.699092516867 56.0718999597276,14.6913591070423 56.0741874214157,14.684571123178 56.0772743629273,14.6789892916369 56.0810423287937,14.6748282366698 56.0853466931267,14.6722482148362 56.0900221909089,14.6713489034626 56.0948892463022,14.6721654898254 56.0997608582453,14.6746672235066 56.1044497810861,14.6787585020538 56.1087757251919,14.6842824628721 56.1125723001011,14.691026955867 56.1156934311655,14.6987326758446 56.1180189996962,14.7071031453276 56.1194594858098,14.7158161614717 56.1199594314609,14.7245362590418 56.1194995870833,14.732927698132 56.1180976569816,14.7406674628302 56.1158076139631,14.7474577565433 56.1127176103149,14.7530375012572 56.1089465676885,14.7571923904245 56.1046395803807,14.7597631061736 56.0999623127327,14.7606513879443 56.0950946100279)))', 'SELKD', 'Lörby Kladd', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4173635161888 58.3071133074591,11.4161217424499 58.3022671517502,11.4131084093499 58.2976415750261,11.408439895779 58.2934142123976,11.4022959671643 58.2897473479495,11.394912813123 58.2867817042999,11.3865739586056 58.2846310640414,11.377599399588 58.2833779253068,11.3683333760047 58.2830703541461,11.3591312411375 58.2837201512378,11.350345917163 58.2853024012921,11.3423144404767 58.2877564220259,11.3353450975107 58.2909880775258,11.3297056320749 58.2948733699151,11.3256129690904 58.2992631752214,11.3232248475939 58.3039889458921,11.3226336891312 58.3088691651003,11.3238629476993 58.313716308297,11.3268660964111 58.3183440466328,11.331528306856 58.3225744159117,11.3376707732028 58.3262446743142,11.3450575284548 58.3292135825236,11.3534044994129 58.3313668609472,11.3623904544474 58.332621609815,11.3716694186818 58.3329295179482,11.3808840687339 58.3322787333671,11.3896795771006 58.3306943216982,11.3977173569041 58.3282372943114,11.4046881621218 58.3250022448564,11.4103240263328 58.3211136879089,11.4144085728727 58.3167212444403,11.4167852983609 58.311993863639,11.4173635161888 58.3071133074591)))', 'SELKO', 'Lilla Kornö', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2282051172432 65.5795254697303,22.2268192955426 65.5746733997152,22.2231744641073 65.570026410094,22.2174117228482 65.565762925415,22.2097531939074 65.5620465631938,22.2004933853066 65.5590198805649,22.1899878440255 65.5567989355049,22.1786395388189 65.5554688656239,22.166883488934 65.5550806485512,22.1551702120308 65.5556491635496,22.1439486023489 65.5571526257325,22.1336488681892 65.5595334137176,22.1246661559617 65.5627002603502,22.1173454663873 65.5665317258747,22.1119684270796 65.5708808252487,22.1087424250312 65.5755806377646,22.1077925232493 65.5804506893132,22.1091564892576 65.5853038669643,22.1127831515351 65.5899536033509,22.1185341762573 65.5942210557556,22.1261892250232 65.5979420026141,22.1354543196461 65.6009731888227,22.1459731084063 65.603197870775,22.1573406057437 65.6045303419515,22.1691188705785 65.6049192591464,22.1808540032161 65.6043496365091,22.1920937820704 65.6028434275548,22.2024052327455 65.6004586718382,22.2113914251029 65.5972872405663,22.218706828613 65.5934512714651,22.224070620427 65.5890984352048,22.2272774303661 65.5843962213991,22.2282051172432 65.5795254697303)))', 'SELLA', 'Luleå', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2183928968549 59.0531807951786,11.2171495996687 59.0483332313818,11.2140952758033 59.0437037173045,11.209347912871 59.0394700370943,11.2030903298228 59.0357947133904,11.195563093718 59.0328187883598,11.1870552611779 59.0306564336994,11.1778933023191 59.0293905921606,11.1684286278707 59.0290698136828,11.1590241876796 59.029706404157,11.1500406400114 59.0312759557694,11.1418226054038 59.0337182764807,11.1346855161137 59.0369396842103,11.1289035524217 59.0408165804243,11.1246991205367 59.0452001698188,11.1222342741913 59.0499221492906,11.1216044142802 59.0548011520017,11.1228345196276 59.0596497025109,11.1258780693434 59.064281417947,11.130618716081 59.0685181790259,11.1368746633711 59.0721969940747,11.1444055931875 59.0751762894011,11.1529218865785 59.0773413802108,11.1620957853403 59.0786089071977,11.171574061 59.0789300638278,11.1809916930456 59.0782924866394,11.1899860148679 59.0767207336653,11.1982107656609 59.0742753320825,11.2053494906913 59.0710504330072,11.2111277606559 59.067170166499,11.2153237316855 59.0627838409583,11.2177766381372 59.0580601760411,11.2183928968549 59.0531807951786)))', 'SELNE', 'Lunneviken', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3788680441695 61.927096843086,17.377474409982 61.9222535685263,17.3741037673218 61.9176314391187,17.3688863960535 61.913407938953,17.3620232595627 61.9097451772444,17.3537782118263 61.906783688638,17.3444678416386 61.9046370664777,17.3344493465924 61.9033876301314,17.3241068966241 61.9030832879285,17.3138369974236 61.9037357122721,17.3040333969787 61.9053198946055,17.2950720934991 61.9077750968069,17.2872969997612 61.9110071639081,17.2810067975457 61.9148921124991,17.2764434765622 61.9192808614434,17.2737829956185 61.9240049282428,17.2731284307709 61.928882877117,17.2745058873059 61.9337272750586,17.2778633518666 61.9383518910669,17.2830725508332 61.9425788624907,17.2899337649821 61.9462455516478,17.2981834330011 61.9492108259751,17.3075042627048 61.9513605157863,17.3175374641354 61.9526118346909,17.3278966284396 61.9529165877558,17.3381827053157 61.9522630400282,17.3479994838664 61.9506763710899,17.3569689596335 61.9482176976268,17.364745975687 61.944981703076,17.3710315575968 61.9410929687664,17.375584419058 61.9367011521752,17.3782301936315 61.9319752028213,17.3788680441695 61.927096843086)))', 'SELNF', 'Lönnångersfjärden', 'Y'),('SRID=4326;MULTIPOLYGON(((17.345893495729 61.9411093864982,17.3445043893495 61.9362657656229,17.3411371210464 61.931642821702,17.3359218424841 61.9274180702751,17.3290594380823 61.9237536686703,17.3208137349002 61.9207902144555,17.3115013477123 61.9186413763043,17.301479551872 61.9173895584579,17.2911326438307 61.9170827604447,17.280857299737 61.9177327487356,17.2710474755607 61.919314608143,17.2620794072157 61.9217676896646,17.254297265993 61.9249979198001,17.2480000032844 61.9288813858293,17.2434298793316 61.9332690637964,17.2407631141214 61.9379925126462,17.2401030255381 61.9428703206674,17.2414759320033 61.9477150605741,17.2448299962814 61.9523404884723,17.2500370768999 61.9565687106603,17.2568975375046 61.960237041419,17.2651478469676 61.9632042850025,17.2744706892549 61.9653561958397,17.2845071973204 61.9666099018999,17.2948708349066 61.9669171161905,17.3051623789378 61.9662660088661,17.3149854071455 61.9646816654772,17.3239616734202 61.9622251131908,17.3317457584136 61.9589909539005,17.3380384148181 61.9551036985049,17.3425980836651 61.9507129478559,17.3452501366642 61.9459876107959,17.345893495729 61.9411093864982)))', 'SELNN', 'Lönnånger', 'Y'),('SRID=4326;MULTIPOLYGON(((22.6070730791232 65.5263756779398,22.6056198404732 65.5215272460329,22.6019152900275 65.516889505996,22.5961028079581 65.5126405242304,22.5884064104504 65.5089433594999,22.5791220432197 65.5059398312681,22.568606182006 65.5037451092561,22.5572621819708 65.5024433261323,22.545524893105 65.5020843760922,22.5338441152274 65.5026820175611,22.5226675032613 65.5042133498955,22.5124235508895 65.5066196833754,22.5035052782809 65.5098087705732,22.4962552273619 65.5136583169791,22.4909523262203 65.518020641171,22.4878011230386 65.5227283114301,22.4869238102524 65.527600548065,22.4883553627603 65.5324501502845,22.4920420021366 65.5370906845507,22.4978430750041 65.5413436590671,22.5055363021301 65.5450454072111,22.5148262204707 65.5480534117364,22.5253555091889 65.5502518214461,22.5367187689101 65.551555942252,22.5484782175259 65.5519155240663,22.5601806815868 65.5513167122816,22.5713752046358 65.549782585712,22.5816305661869 65.5473722594757,22.5905520091324 65.5441785888625,22.5977965089001 65.5403245661662,22.6030859825239 65.5359585542826,22.606217926042 65.5312485463471,22.6070730791232 65.5263756779398)))', 'SELNO', 'Långön', 'Y'),('SRID=4326;MULTIPOLYGON(((19.2448943058644 59.3976667955273,19.2442064705566 59.3927895812303,19.2416667512926 59.3880744864798,19.2373734373299 59.3837026095542,19.2314920013501 59.3798417994427,19.2242486672245 59.3766402298433,19.2159216856682 59.3742207345986,19.2068306576229 59.3726761177521,19.1973243131095 59.3720656138319,19.1877672059245 59.372412630355,19.1785258209141 59.3737038564537,19.1699546100264 59.3758897706471,19.1623824756287 59.3788865288104,19.1561002046668 59.3825791620717,19.1513493253654 59.3868259654018,19.1483128098658 59.3914639127296,19.1471079823702 59.3963148951165,19.1477819144022 59.4011925463465,19.1503094986717 59.4059093965389,19.1545942933621 59.4102840801659,19.1604721227748 59.414148320944,19.1677173121093 59.4173534228879,19.1760513282158 59.419776014387,19.1851534992082 59.4213228200209,19.1946733986516 59.4219342720374,19.2042444091308 59.4215868185804,19.2134979291451 59.4202938370368,19.2220776593 59.4181051161388,19.229653400248 59.4151049273072,19.2359338159826 59.4114087617025,19.2406776607244 59.4071588621207,19.2437030332821 59.4025187260089,19.2448943058644 59.3976667955273)))', 'SELNS', 'Lilla Nassa', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9559163594948 59.4187752013906,18.955269743186 59.4138967343424,18.9527687925766 59.4091762712501,18.9485103121512 59.4047951186639,18.9426584431252 59.4009214833395,18.9354382812865 59.3977040322878,18.9271271947613 59.3952662091875,18.9180441801149 59.3937015210776,18.9085376634512 59.3930699718294,18.8989722061778 59.3933957753861,18.8897146118373 59.3946664337537,18.8811199502448 59.3968332138873,18.8735180178251 59.3998130056606,18.8672007384965 59.4034914917558,18.8624109779144 59.4077275112836,18.8593331959161 59.4123584539167,18.858086298482 59.4172064818868,18.8587189728331 59.4220853448517,18.8612076993652 59.4268075286998,18.8654575345965 59.4311914649122,18.8713056534651 59.435068522952,18.8785275311141 59.438289514731,18.886845538205 59.440730457527,18.8959396245808 59.4422973693548,18.9054596785665 59.4429299078017,18.9150390778163 59.4426037083274,18.9243088962437 59.4413313292011,18.9329122030255 59.4391617654382,18.9405178855861 59.4361785509478,18.9468334490857 59.4324965241261,18.9516162890925 59.4282573849054,18.9546829993661 59.4236242185575,18.9559163594948 59.4187752013906)))', 'SELOA', 'Löka', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7298459631575 57.8993705528632,16.7287122013351 57.8945170251389,16.7258225550129 57.8898744756817,16.721288645064 57.8856211980088,16.7152850697695 57.8819204774439,16.7080426401786 57.8789143413889,16.6998394956405 57.8767181300609,16.6909904430623 57.8754160919689,16.681834925281 57.8750581691627,16.6727240708508 57.8756580923328,16.6640073086163 57.8771928568004,16.6560190450786 57.8796035989811,16.6490659005309 57.8827978407903,16.6434149812532 57.8866530184117,16.6392836300199 57.8910211636229,16.6368310464291 57.8957345621316,16.6361521031482 57.9006121757299,16.6372736056367 57.9054665849738,16.6401531533817 57.9101111878111,16.6446806629256 57.9143673781166,16.6506825103929 57.9180714271453,16.6579281477835 57.921080800767,16.666138947393 57.9232796658741,16.6749989368997 57.9245833699432,16.6841670084171 57.9249417172941,16.6932901221949 57.924340912603,16.7020169830111 57.9228040947526,16.7100116469461 57.9203904399367,16.7169665193058 57.917192869663,16.72261423077 57.9133344544763,16.7267379269276 57.9089636554888,16.7291795735974 57.9042485910054,16.7298459631575 57.8993705528632)))', 'SELOF', 'Loftahammar', 'Y'),('SRID=4326;MULTIPOLYGON(((19.4498778666033 63.5506147154249,19.4490684258137 63.5457410151787,19.4461436573567 63.5410313588437,19.4412168904084 63.5366666145115,19.4344781073198 63.5328143252816,19.4261865443297 63.529622299856,19.4166606888402 63.5272129677092,19.4062660636485 63.5256787103866,19.3954012639078 63.5250783428659,19.3844827706542 63.5254348754292,19.3739291046154 63.5267346387208,19.3641449052215 63.5289278042021,19.3555055220782 63.5319302807372,19.3483426896143 63.5356269171853,19.342931820359 63.5398758923087,19.3394813987535 63.5445141286356,19.3381248863287 63.5493635277291,19.3389154617744 63.5542377920707,19.3418238178501 63.5589495748161,19.3467391240123 63.5633176841481,19.3534731427129 63.5671740646776,19.3617673630546 63.5703702848396,19.3713028930846 63.572783276549,19.3817127371482 63.5743201011239,19.3925959831551 63.5749215527449,19.4035333417855 63.5745644560847,19.4141034202221 63.5732625663781,19.4238990803925 63.5710660358921,19.4325432278937 63.5680594680551,19.439703402973 63.564358636872,19.4451045976712 63.5601060021906,19.4485398004144 63.5554651986163,19.4498778666033 63.5506147154249)))', 'SELOG', 'Lögdeå', 'Y'),('SRID=4326;MULTIPOLYGON(((21.3084153820424 64.3018903394657,21.30725804042 64.2970293607491,21.3039398911515 64.2923597703757,21.2985893979787 64.2880608774269,21.2914128054424 64.2842976775669,21.2826861179548 64.281214544084,21.272744461318 64.2789297168615,21.2619692401968 64.2775307954224,21.2507735794835 64.2770714036556,21.2395865940565 64.2775691496893,21.2288370693428 64.2790049562022,21.2189371539464 64.2813237858537,21.2102666652291 64.2844367351173,21.2031585891326 64.2882244192576,21.1978863168787 64.2925415231354,21.1946531038949 64.2972223485719,21.1935841611866 64.3020871507097,21.1947216977575 64.3069490246408,21.1980231266454 64.31162108085,21.2033625296318 64.315923634856,21.2105353505596 64.319691133633,21.2192661592177 64.3227785494218,21.2292192024007 64.3250669903966,21.2400113419485 64.326468306872,21.2512268772883 64.3269285103356,21.2624336678023 64.3264298690853,21.2731999129108 64.3249915967314,21.2831109184782 64.3226691060176,21.2917851787681 64.3195518578351,21.2988891336587 64.315759891391,21.3041500193522 64.3114391737661,21.3073663139248 64.3067559532983,21.3084153820424 64.3018903394657)))', 'SELOH', 'Lövsele Hamn', 'Y'),('SRID=4326;MULTIPOLYGON(((13.1111480438825 55.6756874099183,13.1105343853665 55.6708072517701,13.1082482362665 55.6660884927736,13.1043779929666 55.661712386763,13.0990727672969 55.6578469675772,13.0925365985457 55.6546406125518,13.0850205878308 55.6522163660996,13.0768132607607 55.6506672376244,13.068229526822 55.6500526504608,13.0595986525822 55.6503961747834,13.0512516995176 55.6516846291142,13.0435088953882 55.6538685838512,13.0366674102558 55.6568642479256,13.0309899944489 55.6605566680335,13.0266949062894 55.6648041206458,13.0239475128052 55.6694435318911,13.0228538879315 55.6742967210456,13.0234566612674 55.6791772312541,13.0257332882537 55.6838974875257,13.0295968221606 55.6882760080803,13.0348991726028 55.6921443914869,13.0414367380216 55.6953538091345,13.0489582046719 55.6977807503538,13.0571742163297 55.6993317954864,13.0657685413581 55.6999472294037,13.0744103007896 55.6996033530203,13.082766775974 55.6983134014123,13.0905162894933 55.6961270321291,13.0973606498426 55.6931284038327,13.1030366689702 55.6894329211032,13.1073263011883 55.6851827737259,13.1100650100879 55.6805414458254,13.1111480438825 55.6756874099183)))', 'SELOM', 'Lomma', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7521272425951 59.5688528693725,18.7515077224601 59.5639736720381,18.7490247152608 59.5592495252601,18.7447743460512 59.5548618780008,18.7389204540308 59.5509791866672,18.7316882205209 59.5477504655585,18.7233554822628 59.5452995900426,18.7142420687999 59.5437205668751,18.704697571429 59.5430739487527,18.6950880046486 59.5433845267749,18.6857818581323 59.5446403865484,18.6771360574296 59.5467933628748,18.6694823545208 59.5497608760286,18.66311465502 59.5534290812747,18.6582777574525 59.5576572142194,18.655157932145 59.5622829694923,18.6538757037617 59.5671287107388,18.6544811237484 59.572008277433,18.6569517288596 59.5767341299348,18.6611932821446 59.5811245596014,18.6670432865496 59.5850106864302,18.6742771526111 59.5882429730995,18.6826167950506 59.5906970014169,18.6917413332282 59.5922782846407,18.7012994822087 59.5929259260004,18.7109231491565 59.5926149786176,18.7202416977711 59.5913574131175,18.7288963143937 59.5892016543805,18.7365539049012 59.5862307057298,18.7429199718314 59.5825589349238,18.7477499652072 59.5783276491805,18.7508586658048 59.5736996338545,18.7521272425951 59.5688528693725)))', 'SELOO', 'Löparö', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7416235726257 56.0711014563969,14.74079881765 56.0662302745561,14.7382915122101 56.0615426578778,14.7341985458166 56.0572186516703,14.7286775689956 56.0534242783524,14.7219408802846 56.0503051796474,14.7142472480684 56.0479810461022,14.7058919844567 56.0465410439861,14.6971956498476 56.0460404112856,14.6884918141571 56.0464983501913,14.6801143328853 56.0478972947592,14.6723846126136 56.050183581045,14.6655993408716 56.0532694947028,14.6600191395762 56.0570366195765,14.6558585697256 56.0613403619646,14.6532778683426 56.0660154806934,14.6523767378187 56.0708824145181,14.6531904342941 56.0757541671554,14.6556883175252 56.0804434877165,14.6597749324463 56.0847700714926,14.6652935954864 56.088567503654,14.6720323603626 56.0916896767965,14.6797321426153 56.0940164323175,14.6880966938489 56.0954582047756,14.6968040397076 56.095959486665,14.7055189339103 56.0955009769618,14.713905837396 56.094100328509,14.7216419091355 56.0918114646524,14.7284294946468 56.0887224921501,14.7340076197651 56.0849522928398,14.738162039574 56.0806459284779,14.7407334533399 56.0759690394095,14.7416235726257 56.0711014563969)))', 'SELOR', 'Lörby', 'Y'),('SRID=4326;MULTIPOLYGON(((22.4331124418228 65.5414444739765,22.4316906377832 65.5365943387502,22.4280147850626 65.5319523192577,22.4222271669479 65.5276966476555,22.4145508516171 65.523990640534,22.4052810209459 65.5209764572357,22.3947735991569 65.5187696763413,22.3834316223337 65.51745489274,22.3716898652975 65.5170824986282,22.3599982991043 65.5176667673174,22.3488049898137 65.5191853104156,22.338539066866 65.521579928386,22.3295943872717 65.5247588232756,22.3223144998565 65.5286000921812,22.316979472169 65.532956372383,22.313795081712 65.537660465621,22.3128847936646 65.5425317312677,22.3142848505863 65.5473830076133,22.3179426878523 65.5520277984477,22.3237187648623 65.5562874497039,22.3313917704718 65.5599980389265,22.3406670266896 65.5630167091902,22.3511877833122 65.5652271988136,22.3625489741511 65.566544348286,22.3743128992209 65.5669174052271,22.3860262125736 65.5663319954156,22.3972375373327 65.5648106809695,22.4075150013631 65.5624120833394,22.4164629906338 65.5592286063468,22.4237374524608 65.5553828504788,22.4290591453008 65.5510228615541,22.432224321764 65.5463164024507,22.4331124418228 65.5414444739765)))', 'SELOS', 'Lövskär', 'Y'),('SRID=4326;MULTIPOLYGON(((22.418059893073 65.5184505210073,22.4166421826169 65.5136002227473,22.4129722813141 65.5089578138584,22.4071922421571 65.5047015417497,22.3995248413751 65.5009947464065,22.390264918565 65.4979796177615,22.3797680184458 65.4957717709596,22.3684367747671 65.4944558419877,22.3567055523415 65.4940822670738,22.3450239199258 65.4946653647998,22.3338395640649 65.4961827915604,22.3235812717151 65.4985763904322,22.3146426073525 65.5017544023084,22.3073668883532 65.50559495792,22.3020340208376 65.5099507217224,22.2988496972913 65.5146545151635,22.2979373778587 65.51952570912,22.2993333806136 65.5243771447428,22.3029852944817 65.5290223199139,22.3087538048914 65.5332825660844,22.3164178907653 65.536993938255,22.325683217181 65.5400135497131,22.3361934167785 65.5422251028455,22.3475438310864 65.5435433974087,22.3592971767326 65.5439176370337,22.3710005168909 65.5433334019419,22.3822028602003 65.5418132088928,22.3924726812757 65.5394156359537,22.4014146605016 65.5362330472482,22.4086849758538 65.5323880088264,22.4140045438771 65.5280285386996,22.4171696968161 65.5233223796728,22.418059893073 65.5184505210073)))', 'SELOV', 'Lövgrundet', 'Y'),('SRID=4326;MULTIPOLYGON(((18.6332758721926 60.3389045650162,18.6326621654041 60.3340253580751,18.6301406338992 60.3292992263093,18.6258089240981 60.3249076926388,18.6198340316187 60.3210193583576,18.6124458033284 60.3177834486946,18.6039280690044 60.3153241087855,18.5946077486901 60.3137356646094,18.5848423520277 60.3130790261932,18.5750063404144 60.3133793670564,18.5654768607584 60.3146251660207,18.5566193802984 60.3167686468172,18.5487737551078 60.3197275990694,18.5422412505203 60.3233885129447,18.5372729999809 60.3276109107381,18.5340603402735 60.3322327135523,18.5327273965453 60.3370764416622,18.5333262113995 60.3419560145864,18.535834620493 60.3466838926563,18.5401569751711 60.351078287094,18.5461277040498 60.35497016108,18.5535175941359 60.3582097504981,18.5620425626637 60.360672350003,18.5713745882501 60.362263137371,18.5811543792305 60.3629208458447,18.5910052827992 60.3626201389977,18.600547884878 60.3613725937261,18.6094147204561 60.3592262521591,18.6172645092289 60.3562637602001,18.6237953519994 60.3525991665705,18.6287563683237 60.3483735091843,18.6319573227639 60.3437493631818,18.6332758721926 60.3389045650162)))', 'SELRN', 'Lilla Risten', 'Y'),('SRID=4326;MULTIPOLYGON(((17.810215576335 58.9419611533866,17.8088938300415 58.9371199303296,17.8057709160808 58.9325049471565,17.8009674431844 58.9282934263856,17.7946683695261 58.9246470375238,17.7871158398745 58.9217057111231,17.7785998689576 58.9195822914496,17.7694472306855 58.9183582286887,17.760008974948 58.9180804718774,17.7506470403873 58.9187596784863,17.7417204619434 58.9203698073695,17.7335716855546 58.922849110348,17.726513498945 58.9261024857044,17.7208170669749 58.9300051060874,17.7167015228797 58.934407185465,17.7143255135182 58.9391397064959,17.7137810285544 58.9440208925991,17.7150897618931 58.9488631795377,17.7182021608736 58.9534804207476,17.7229992175738 58.9576950499456,17.7292969506298 58.9613449243956,17.7368534193716 58.9642895828965,17.7453780093834 58.9664156738996,17.754542634577 58.9676413405333,17.7639944201603 58.9679193895849,17.773369367691 58.9672391190927,17.7823064611189 58.9656267321695,17.790461653694 58.9631443207612,17.7975211808881 58.959887459816,17.803213673753 58.9559815073347,17.8073205987495 58.9515767566305,17.8096846211993 58.9468426317295,17.810215576335 58.9419611533866)))', 'SELSO', 'Lisö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0459068475855 57.1662598020893,17.0447561218734 57.1614087136702,17.0418862329332 57.1567727553833,17.0374080106402 57.1525299686903,17.031493889439 57.1488432390969,17.0243712304624 57.1458540612791,17.016313571488 57.1436771295414,17.0076301428465 57.1423959572372,16.9986540479125 57.1420596893964,16.9897295526612 57.1426812277209,16.9811989590302 57.1442367379457,16.9733895508936 57.1466665580201,16.9666010990995 57.1498774733816,16.9610943932565 57.1537462745305,16.9570812330957 57.1581244639161,16.9547162619534 57.1628439354936,16.9540909602607 57.1677234128096,16.9552300394698 57.1725754015784,16.958090388714 57.1772133916784,16.9625626304494 57.1814590323234,16.9684752407188 57.1851490035199,16.9756010884181 57.1881413170873,16.9836661503182 57.1903208013315,16.9923600690608 57.1916035543024,17.0013481442472 57.1919401903275,17.0102842860141 57.191317751652,17.0188244193447 57.1897602096115,17.0266398080317 57.1873275355827,17.0334297707435 57.1841133786174,17.0389332878514 57.1802414417203,17.0429390450828 57.1758606998308,17.0452935261311 57.1711396475888,17.0459068475855 57.1662598020893)))', 'SELTT', 'Löttorp', 'Y'),('SRID=4326;MULTIPOLYGON(((17.6010876149329 58.8440400279371,17.5997991414838 58.8391963760022,17.5967131201247 58.8345760271015,17.5919487414225 58.8303564117475,17.5856894637408 58.8266995119949,17.578175907637 58.8237456632622,17.5696965970212 58.8216081913001,17.5605769046193 58.8203690858539,17.5511666214562 58.820075872932,17.5418266169109 58.8207398023839,17.5329150864869 58.8223354183268,17.5247738982679 58.8248015285155,17.5177155458447 58.8280435367443,17.5120111953497 58.8319370515508,17.5078802774194 58.8363326365607,17.5054820220605 58.8410615244638,17.5049092665857 58.8459420794061,17.5061847855795 58.850786762997,17.5092602994381 58.855409338404,17.5140182172653 58.8596320361501,17.5202760643094 58.8632924049147,17.5277934378184 58.8662495811537,17.5362812327201 58.8683897325338,17.5454127846337 58.8696304613915,17.5548364970292 58.8699239945684,17.564189456045 58.8692590334589,17.5731114939735 58.8676611910066,17.5812591430578 58.8651919984233,17.5883189261012 58.8619465211817,17.5940194591759 58.8580496788705,17.5981418928164 58.8536514144457,17.6005282886732 58.8489209031337,17.6010876149329 58.8440400279371)))', 'SELUK', 'Lilla Uttervik', 'Y'),('SRID=4326;MULTIPOLYGON(((21.9128393185822 65.4176507346513,21.9115206409514 65.4127956519075,21.9079543794538 65.4081409519574,21.9022786087844 65.4038653593787,21.8947121117173 65.4001329603259,21.8855458706348 65.3970869306666,21.8751318544005 65.3948440730561,21.863869536 65.3934903669332,21.8521906523406 65.3930776965955,21.8405427749635 65.393621878223,21.8293722984989 65.3951020585165,21.8191074721363 65.3974615070864,21.8101420980589 65.4006097734992,21.8028204997111 65.4044261295699,21.7974243220637 65.4087641697052,21.7941616660922 65.4134573984399,21.7931589812354 65.4183255963245,21.794456043988 65.4231817244696,21.7980042401043 65.4278391056601,21.8036682451765 65.432118607125,21.8112310676404 65.4358555476186,21.8204022845481 65.4389060598805,21.8308291695209 65.4411526588191,21.8421102904275 65.4425087954112,21.8538110478453 65.442922215341,21.8654805401421 65.4423769883094,21.8766690820032 65.4408941267695,21.8869456739429 65.4385307693078,21.8959147225799 65.4353779614522,21.903231345061 65.4315571227817,21.9086146539548 65.4272153413241,21.9118585074402 65.4225196821259,21.9128393185822 65.4176507346513)))', 'SELVI', 'Långviken', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4661875076921 58.1760964608883,11.4649441396784 58.1712507043583,11.4619360327608 58.16662615701,11.4572793591333 58.1624004146996,11.4511534249766 58.158735699915,11.443793726402 58.1557726536005,11.4354828875452 58.1536249595941,11.4265398307883 58.1523750038274,11.4173075904887 58.1520707308593,11.4081402279333 58.1527238151305,11.3993893355837 58.1543092151409,11.391390632505 58.1567661272568,11.3844511499185 58.1600003037828,11.3788374861319 58.1638876490258,11.3747655739852 58.1682789590636,11.3723923520594 58.1730056274933,11.3718096642854 58.1778861021552,11.3730406328478 58.1827328481696,11.3760386585554 58.1873595518341,11.3806891039861 58.1915882890138,11.3868136111478 58.1952563812794,11.3941769011797 58.198222673496,11.4024958031821 58.200372987666,11.4114501672331 58.2016245389611,11.4206952375403 58.2019291399171,11.429874999561 58.20127506616,11.4386359731245 58.1996875098304,11.4466409043912 58.1972276028429,11.4535818139567 58.1939900488352,11.4591918862721 58.1900994576917,11.4632557352694 58.185705527493,11.4656176499098 58.1809772635375,11.4661875076921 58.1760964608883)))', 'SELVN', 'Lavön', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((16.5126909100868 56.9804559424157,16.51161576273 56.9755995321838,16.5088268070657 56.9709509216944,16.5044317639968 56.9666886426842,16.4985998784231 56.9629763329399,16.4915553628655 56.9599564720294,16.4835687666465 56.9577449336287,16.4749466044333 56.9564265595858,16.4660196387767 56.9560519217106,16.4571302575611 56.9566353923755,16.4486194180357 56.958154595947,16.440813643746 56.9605512615635,16.434012558969 56.9637334455621,16.428477427179 56.9675790407016,16.424421125959 56.9719404409745,16.4219999412693 56.9766501869416,16.4213075001324 56.981527378756,16.4223710841485 56.9863846138336,16.4251504789126 56.9910351847368,16.4295394190813 56.9953002612742,16.4353695888675 56.9990157797616,16.4424170369663 57.0020387721291,16.4504107676049 57.0042528879644,16.4590431799666 57.0055728930281,16.4679819510069 57.0059479672015,16.4768828955756 57.0053636716896,16.4854032960053 57.0038425077018,16.4932151731886 57.0014430445558,16.5000179737395 56.9982576518134,16.5055501729759 56.9944089252181,16.509599339772 56.9900449475131,16.5120102743199 56.9853335705276,16.5126909100868 56.9804559424157)))', 'SELVO', 'Lövö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.9702087235824 56.5937461492963,12.9696010496731 56.5888660054473,12.967279916793 56.5841450134037,12.963335099862 56.57976451059,12.9579186019572 56.5758926955166,12.9512387513644 56.5726781855986,12.9435521691858 56.5702443323787,12.9351539201312 56.568684508589,12.9263662230287 56.5680585440159,12.9175261473385 56.5683904434828,12.9089727564761 56.5696674720447,12.9010341773753 56.5718406413876,12.8940150781241 56.5748265791945,12.8881850216602 56.5785107116358,12.8837681336784 56.5827516399322,12.8809344776538 56.5873865468055,12.8797934701829 56.5922374292166,12.8803895970935 56.5971179215572,12.8827006069171 56.6018404497421,12.8866382658761 56.6062234424838,12.8920516606306 56.6100983222033,12.8987329353235 56.6133160049212,12.9064252520494 56.6157526560648,12.914832673067 56.6173144769429,12.9236315831992 56.61794133373,12.9324832059013 56.6176090857707,12.941046719827 56.6163305210653,12.9489924568963 56.614154861792,12.9560146592863 56.6111658593377,12.9618432916369 56.6074785540971,12.9662544450647 56.6032348278793,12.9690789291296 56.59859792392,12.9702087235824 56.5937461492963)))', 'SELXV', 'Laxvik', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5723219015927 58.2800562061648,11.5710600426599 58.2752116997729,11.5680290030964 58.2705899016209,11.5633458386577 58.266368300773,11.5571908735981 58.2627089594738,11.549800717486 58.2597523112956,11.5414591608423 58.2576117936782,11.5324863011598 58.2563695166756,11.5232263122864 58.2560731301064,11.514034316472 58.2567340060809,11.505262848661 58.2583268046846,11.4972484163326 58.2607904390995,11.4902986551036 58.2640304043855,11.4846805604446 58.2679223832643,11.4806102395375 58.2723169942711,11.4782445751675 58.2770455042452,11.4776751266648 58.2819262899102,11.4789245128573 58.2867718036964,11.4819454309595 58.2913957782371,11.4866223661154 58.2956203931335,11.4927759424248 58.29928312728,11.5001697617474 58.3022430305741,11.5085194758746 58.3043861700138,11.5175037454116 58.3056300363958,11.5267766594617 58.3059267379323,11.5359811280304 58.3052648545621,11.5447627173065 58.3036698795667,11.5527833789088 58.3012032311008,11.5597345288718 58.2979598729669,11.5653489603062 58.2940646389737,11.5694111237262 58.2896674061475,11.5717653782505 58.2849373067966,11.5723219015927 58.2800562061648)))', 'SELYE', 'Essvik, Gullmarsfjorden', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9512203554994 58.2149167421205,11.9499095621 58.2100764161735,11.9468353894718 58.2054639930646,11.9421165422041 58.2012565995482,11.9359347055981 58.1976157508858,11.9285275117337 58.1946811701657,11.9201793973528 58.1925654481177,11.9112107063372 58.1913497441963,11.9019654504751 58.191080689915,11.8927981880158 58.1917686100686,11.8840605093055 58.1933871282019,11.8760876320354 58.1958741711459,11.8691856050901 58.1991343353952,11.8636195996927 58.2030425272685,11.8596037298246 58.2074487409224,11.8572927914125 58.2121837950357,11.8567762426008 58.2170658119588,11.8580746671573 58.2219071937489,11.8611388718905 58.2265218290691,11.8658516697321 58.2307322543763,11.8720322963529 58.2343764928471,11.8794433038861 58.2373143053255,11.8877996749962 58.2394326090756,11.8967798087898 58.2406498516015,11.9060379514176 58.2409191671506,11.9152175827335 58.2402301911521,11.923965229342 58.2386094608047,11.9319441560292 58.2361193860674,11.9388473929434 58.2328558320093,11.9444095846583 58.2289444083792,11.948417197794 58.2245356130261,11.9507166934373 58.2197990203108,11.9512203554994 58.2149167421205)))', 'SELYK', 'Lyckorna', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5750713056592 58.0910570457645,11.573816470068 58.0862123875806,11.570801803338 58.0815904091503,11.5661437247427 58.0773686073264,11.5600215899832 58.0737090533046,11.5526707459083 58.0707521902409,11.5443734748361 58.0686114652077,11.5354481781451 58.067368997363,11.5262372099633 58.0670724445779,11.5170938179166 58.0677331855463,11.5083686780637 58.0693258851855,11.5003965248188 58.0717894596252,11.4934833735839 58.0750294050059,11.4878948140372 58.0789214034069,11.4838458158421 58.0833160712357,11.4814924366301 58.0880446720107,11.4809257555195 58.0929255782417,11.4821682757526 58.0977712375252,11.4851729494314 58.1023953772578,11.4898248786331 58.1066201715489,11.4959456438479 58.1102830936271,11.5033001067314 58.1132431875806,11.5116054340375 58.1153865144629,11.5205419978998 58.1166305590075,11.5297657288639 58.1169274233046,11.5389214362826 58.1162656812351,11.5476565691902 58.1146708202907,11.5556348718201 58.1122042533814,11.5625493925838 58.1089609399436,11.5681343333082 58.1050657106544,11.5721752752658 58.1006684409793,11.5745173873151 58.0959382635068,11.5750713056592 58.0910570457645)))', 'SELYR', 'Lyresten, Orust', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4973273060088 58.2820839412922,11.4960755925697 58.277238621778,11.4930540965851 58.2726149766267,11.4883795083627 58.2683905663382,11.4822318243437 58.2647275613967,11.474847376248 58.2617665362174,11.4665097370922 58.2596210962653,11.4575388552867 58.2583735403732,11.4482788295264 58.258071720695,11.4390847835961 58.2587272175383,11.4303093305862 58.2603148971369,11.4222891298264 58.2627738689362,11.4153320368503 58.2660098069019,11.4097053269267 58.2698985484707,11.4056254364619 58.2742908367643,11.4032496145221 58.2790180282656,11.4026698099229 58.2838985508958,11.4039090393474 58.2887448677887,11.4069203909651 58.2933706812851,11.4115887188554 58.2975981007751,11.4177349796577 58.3012644976513,11.4251230583276 58.3042287811074,11.4334688291294 58.3063768496349,11.4424511056844 58.3076260042236,11.4517240545481 58.307928149332,11.4609305845071 58.3072716551085,11.4697161818877 58.3056818071618,11.4777426429709 58.3032198261585,11.4847011591475 58.2999804962575,11.4903242384827 58.2960884964135,11.4943959972977 58.2916935795474,11.4967604244969 58.286964789352,11.4973273060088 58.2820839412922)))', 'SELYS', 'Lysekil', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5861300344899 60.2449215068139,18.585524776261 60.2400420714733,18.5830169652262 60.2353150680783,18.5787037162664 60.2309220537882,18.5727513131411 60.2270316876752,18.5653887382616 60.2237932739301,18.5568988375994 60.2213310546675,18.5476074655382 60.2197394670206,18.5378710245549 60.2190795419994,18.5280628691191 60.2193765792575,18.5185590811056 60.2206191840812,18.5097241447123 60.2227597022108,18.5018970520951 60.225716036247,18.4953783566202 60.2293747760938,18.4904186590404 60.2335955268431,18.4872089634963 60.2382162723866,18.4858732759237 60.2430595734453,18.4864637385319 60.2479393661142,18.4889585024613 60.2526681027705,18.4932624391319 60.2570639623823,18.499210682497 60.2609578527037,18.506574883435 60.2641999330154,18.5150719484262 60.2666654030013,18.5243749323853 60.2682593306341,18.5341256650282 60.2689203286618,18.5439486161055 60.2686229340745,18.5534654512359 60.2673785959864,18.5623096999134 60.2652352325317,18.5701409522727 60.2622753742852,18.5766580216681 60.2586129678726,18.5816105549076 60.2543889664031,18.5848086385586 60.2497658808771,18.5861300344899 60.2449215068139)))', 'SEMAB', 'Mälby', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2005798917135 61.1561709842367,17.1992503484733 61.1513251214254,17.1959907618394 61.1466976456534,17.190927106002 61.142466252047,17.1842544164732 61.1387933600911,17.1762292280768 61.1358199009551,17.1671597004784 61.1336599344275,17.1573938130488 61.1323962973414,17.1473060770039 61.1320774459229,17.1372832625831 61.132715609519,17.1277096716767 61.1342863242589,17.1189525012919 61.1367293640234,17.1113478403621 61.1399510343287,17.1051878216688 61.1438277440834,17.1007094123206 61.1482107223233,17.0980852709091 61.1529317036372,17.0974170281027 61.1578093686168,17.0987312615941 61.1626562957791,17.1019783381742 61.167286160267,17.1070341881938 61.1715209032946,17.1137049645087 61.1751975954589,17.1217344235694 61.1781747270434,17.1308137555451 61.1803376791622,17.1405934884386 61.181603160452,17.1506970031851 61.1819224339228,17.1607351273756 61.1812832059738,17.1703212283418 61.1797101025142,17.1790862045319 61.1772637133251,17.186692778652 61.1740382428103,17.1928485266601 61.1701578606092,17.1973171316251 61.1657718967819,17.199927427585 61.1610490712677,17.2005798917135 61.1561709842367)))', 'SEMAK', 'Maråker', 'Y'),('SRID=4326;MULTIPOLYGON(((14.1972785740065 55.7732971092862,14.1965279289203 55.7684223586272,14.1941051030111 55.7637237922492,14.1901037358709 55.7593818807506,14.1846779611752 55.7555633385924,14.1780364283256 55.752414739097,14.1704342630828 55.7500569077419,14.1621632792736 55.7485803052569,14.1535408152507 55.7480415739555,14.1448976163965 55.7484613765892,14.1365652175706 55.7498236084191,14.1288632963308 55.7520760118581,14.122087468716 55.7551321707055,14.1164979843427 55.7588748094531,14.1123097468236 55.763160274143,14.1096840396872 55.7678240265173,14.1087222780488 55.7726869443304,14.1094620337314 55.7775621891778,14.1118754983302 55.7822623803238,14.1158704574263 55.7866067998141,14.121293752912 55.7904283513692,14.1279371128251 55.7935800035136,14.1355451332538 55.7959404660314,14.1438251089732 55.7974188776218,14.1524583326932 55.7979583205509,14.1611124209624 55.797538023728,14.1694541811041 55.7961741671281,14.1771625103839 55.7939192556952,14.1839408171976 55.7908600874498,14.1895284744958 55.787114396054,14.1937108568238 55.7828263002035,14.196327572054 55.778160738726,14.1972785740065 55.7732971092862)))', 'SEMAM', 'Maglehem', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7485280830115 57.6533653001607,16.7474001383377 57.6485117298619,16.7445282896072 57.6438693385279,16.7400234641777 57.6396164145637,16.7340591363454 57.6359162311798,16.7268646068498 57.6329107969043,16.718716176752 57.6307154267761,16.7099265569572 57.6294143385175,16.7008329161226 57.6290574387321,16.6917840163559 57.6296584192078,16.6831269169918 57.6311942343384,16.6751937412917 57.633605979206,16.6682889988702 57.6368011357184,16.6626779380403 57.64065710314,16.6585763673991 57.6450258811039,16.6561423354797 57.6497397294561,16.6554699922326 57.6546175916388,16.6565858780072 57.6594720382381,16.65944779672 57.6641164660581,16.6639463327674 57.6683722766582,16.6699089693564 57.6720757573641,16.6771066632272 57.6750843976606,16.6852626315739 57.6772823944207,16.6940630158624 57.6785851300409,16.7031690086372 57.6789424471209,16.7122299673165 57.6783405903435,16.7208969967026 57.6768027387239,16.7288364617773 57.6743881072181,16.7357428954273 57.6711896533829,16.7413507918686 57.6673304799417,16.7454448242567 57.6629590753485,16.7478680916898 57.6582435796373,16.7485280830115 57.6533653001607)))', 'SEMAO', 'Marsö, Västervik', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8368583521731 56.3007918901137,12.8362714757128 56.2959110493946,12.8339837881372 56.2911876271605,12.8300837699241 56.2868030561151,12.8247216974626 56.282925693324,12.8181038072298 56.2797043716029,12.8104843438208 56.2772627061276,12.8021558013663 56.275694371083,12.7934377314969 56.2750595237564,12.7846645405973 56.2753825098714,12.7761727335489 56.2766509357518,12.7682880798237 56.2788161417988,12.7613131803236 56.2817950595096,12.7555158997351 56.2854733826283,12.7511190996463 56.2897099337609,12.7482920628353 56.2943420626021,12.7471439399358 56.2991918724451,12.7477194775274 56.3040730393531,12.7499972035188 56.3087979645823,12.7538901539917 56.3131849866119,12.759249128557 56.3170653752368,12.7658683623666 56.3202898369858,12.773493406281 56.3227342786422,12.7818309165894 56.3243046033722,12.790559976386 56.3249403509764,12.799344506167 56.3246170386719,12.8078462748063 56.3233471097943,12.8157379962686 56.3211794527607,12.8227159936536 56.3181975092148,12.8285119306526 56.3145160460688,12.8329031502294 56.3102767187572,12.8357212191897 56.305642600233,12.8368583521731 56.3007918901137)))', 'SEMAS', 'Magnarp Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7265265129361 58.4369975154463,11.7252372989734 58.4321548633156,11.7221721110707 58.4275371038656,11.7174493208311 58.42332156926,11.7112507754894 58.419670086992,11.7038147561776 58.4167227873011,11.6954268098153 58.4145927475687,11.6864088085592 58.4133616750228,11.6771066522126 58.413076789394,11.6678770752806 58.4137490218955,11.6590740505511 58.4153525976861,11.6510352946474 58.4178260174785,11.6440693777076 58.4210744019146,11.6384439192236 58.4249731114907,11.6343753154397 58.4293725068917,11.632020391217 58.434103671268,11.6314703019765 58.4389848788475,11.6327469308316 58.4438285647706,11.6358019344917 58.448448530414,11.6405184918118 58.4526671077419,11.6467157044644 58.4563220060347,11.6541554942111 58.459272574994,11.6625517401207 58.461405239522,11.6715813065065 58.4626378927884,11.6808965328771 58.4629230744118,11.690138694931 58.4622498081164,11.6989519039067 58.4606440261293,11.7069968927207 58.4581675636121,11.7139641423329 58.4549157631507,11.7195858303678 58.4510137843077,11.7236461346009 58.4466117641141,11.725989493703 58.4418790190199,11.7265265129361 58.4369975154463)))', 'SEMDM', 'Munkedalshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5128941662811 58.702934021528,12.5123207375408 58.6980534459997,12.50992938418 58.693324846097,12.5058126715266 58.6889298470284,12.500129278669 58.6850371943741,12.4930978283229 58.6817962924078,12.4849884531271 58.6793314911985,12.4761124272674 58.6777373376859,12.4668102598929 58.6770749687127,12.4574386994327 58.6773697806304,12.4483571346012 58.6786104621516,12.4399138979439 58.6807494262823,12.4324329809176 58.6837046251508,12.4262016556901 58.6873626800921,12.421459468316 58.6915832101747,12.4183890212318 58.6962041971511,12.4171089010174 58.7010481851863,12.4176690314656 58.7059290811499,12.4200486441075 58.7106592970843,12.424156961031 58.7150569617552,12.4298365813224 58.7189529237696,12.4368694566082 58.7221972750338,12.4449852373193 58.7246651403543,12.4538716740902 58.7262615063079,12.4631866728039 58.726924899227,12.4725715315734 58.7266297668733,12.4816648371332 58.7253874693178,12.4901164695164 58.7232458395817,12.4976011590941 58.7202873313516,12.5038310593648 58.716625827113,12.5085668412143 58.7124022329218,12.5116268773912 58.7077790335074,12.5128941662811 58.702934021528)))', 'SEMEL', 'Mellerud', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3979191966699 61.9570892927582,17.3965210747965 61.9522462522184,17.3931441551266 61.9476246382008,17.387918960025 61.9434019146817,17.3810467540208 61.9397401607018,17.3727917392335 61.9367798718787,17.3634708862807 61.9346345952229,17.35344179377 61.9333865982765,17.3430890367114 61.9330837340614,17.3328095146909 61.9337376183144,17.3229973436115 61.9353231866129,17.314028849764 61.9377796478789,17.3062482217589 61.9410127990875,17.2999543544388 61.944898615468,17.2953893795574 61.9492879827632,17.2927293213101 61.9540123948318,17.2920772416936 61.9588904026188,17.2934591526965 61.9637345707211,17.2968228716745 61.9683586767335,17.302039885947 61.9725848772967,17.3089101764452 61.9762505640225,17.3171698326738 61.9792146425685,17.3265011774027 61.9813629889728,17.3365450147478 61.982612868351,17.346914524929 61.9829161410973,17.3572102578432 61.9822611292794,17.3670356296209 61.9806730689821,17.3760123042832 61.9782131306683,17.3837948477677 61.9749760467128,17.3900840736235 61.9710864406116,17.3946385567224 61.9666940035721,17.3972838701494 61.9619677090753,17.3979191966699 61.9570892927582)))', 'SEMEN', 'Mellanfjärden', 'Y'),('SRID=4326;MULTIPOLYGON(((23.2525986113328 65.762118725457,23.2510105520532 65.7572772285119,23.2471562622637 65.7526560282514,23.2411848791481 65.7484325485198,23.2333265129785 65.7447688622839,23.2238833083446 65.7418054987292,23.2132178103138 65.7396560829643,23.2017390858585 65.7384030082339,23.1898871256212 65.738094301089,23.178116106924 65.7387417952246,23.166877135252 65.7403206812254,23.1566010979356 65.7427704488439,23.1476822603236 65.7459971872789,23.140463211372 65.7498771588466,23.1352217224136 65.7542615140405,23.1321600202982 65.7589819728599,23.1313968948809 65.7638572599804,23.1329629623729 65.7687000513042,23.136799292552 65.7733241679748,23.1427594824197 65.7775517421522,23.1506151257801 65.7812200775286,23.1600644925766 65.7841879371293,23.1707440996174 65.7863410113629,23.1822427319638 65.7875963500143,23.1941173681722 65.78790558187,23.2059103786988 65.7872567933524,23.217167309993 65.7856749909351,23.2274545405321 65.7832211288652,23.236376100906 65.779989741288,23.2435889876533 65.7761052736777,23.2488163675898 65.7717172600216,23.2518581618392 65.7669945372867,23.2525986113328 65.762118725457)))', 'SEMHN', 'Marahamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.714039723909 58.0710059322941,11.7127668810276 58.0661627854542,11.709736119663 58.0615442230404,11.7050644745811 58.0573276098661,11.6989318192207 58.0536748173343,11.6915739010666 58.0507260287915,11.6832732711319 58.048594381464,11.6743484577015 58.0473616464648,11.6651417954732 58.0470751086739,11.6560063671827 58.0477457630244,11.6472925447868 58.0493478944821,11.6393346307771 58.0518200574823,11.6324380969577 58.0550674185108,11.6268678980747 58.0589653746401,11.62283830137 58.0633643128754,11.6205046210746 58.0680953318206,11.6199571801622 58.0729767100194,11.6212177419099 58.0778208758184,11.6242385631554 58.0824416129907,11.6289041224251 58.0866612256358,11.6350354727918 58.0903173857092,11.6423970654476 58.0932693971869,11.6507057899728 58.0954036321796,11.6596418857553 58.0966379256251,11.6688613004594 58.0969247553835,11.6780090098971 58.0962530820722,11.6867327724156 58.0946487758532,11.6946967722287 58.0921736133798,11.7015946110261 58.088922884809,11.7071611353936 58.0850217057464,11.7111826375044 58.0806201798488,11.7135050354566 58.0758876024598,11.714039723909 58.0710059322941)))', 'SEMJN', 'Mjörn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4737532174715 62.980989641286,18.4731210658051 62.9761112886726,18.4704098664415 62.9713827487733,18.4657247183806 62.966985626199,18.45924631859 62.9630887185578,18.4512239195307 62.9598415572853,18.4419657066416 62.9573686953877,18.4318269721002 62.9557649564248,18.4211965366317 62.9550918219386,18.4104819296704 62.9553750913959,18.4000938788556 62.9566039011537,18.3904306821363 62.9587311385718,18.3818630394453 62.9616752358667,18.3747199059539 62.9653232772862,18.3692758955173 62.9695353043417,18.3657407114806 62.9741496588098,18.3642510133093 62.9789891635617,18.3648650427996 62.9838679085085,18.3675602348216 62.9885983843781,18.3722339273445 62.9929986918265,18.3787071674039 62.9968995483785,18.3867314880669 63.000150821413,18.3959984113547 63.0026273319453,18.406151319014 63.004233700943,18.4167992325895 63.0049080464642,18.4275319617578 63.0046243846725,18.4379360199312 63.0033936389404,18.4476106721817 63.0012632166436,18.4561834745773 62.9983151704353,18.463324686434 62.9946630172548,18.468759986455 62.9904473415686,18.4722809973806 62.9858303570704,18.4737532174715 62.980989641286)))', 'SEMJV', 'Mjällomsviken', 'Y'),('SRID=4326;MULTIPOLYGON(((17.7152990932486 58.998995941718,17.7139882276139 58.9941537051042,17.7108725644139 58.9895364119809,17.7060724377202 58.9853213739551,17.69977268083 58.9816703956736,17.6922154676533 58.9787235836909,17.6836909945214 58.9765939924304,17.6745263621859 58.9753633084119,17.6650730800402 58.975078734229,17.6556936614513 58.9757511885227,17.646747809632 58.9773548890193,17.6385787072108 58.979828334258,17.6314999193118 58.9830766476541,17.6257833995944 58.9869751967483,17.6216490516202 58.9913743526152,17.619256244748 58.9961052110987,17.6186976155708 59.0009860604053,17.6199954042783 59.0058293500609,17.6231004824428 59.0104488955865,17.6278941274673 59.0146670424678,17.6341924928324 59.0183215127636,17.6417536164787 59.0212716682919,17.6502867067449 59.0234039456045,17.6594633509997 59.0246362492539,17.6689302111415 59.0249211300717,17.6783227066729 59.0242476227344,17.6872791435317 59.0226416698325,17.6954547276122 59.0201651157357,17.7025349070186 59.0169133103247,17.708247516251 59.0130114176866,17.7123732470869 59.0086095757706,17.7147540420498 59.0038770976589,17.7152990932486 58.998995941718)))', 'SEMKO', 'Mörkö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.77943098008 58.3433492929579,16.7782750983385 58.3384966466579,16.7753417275924 58.3338557661651,16.7707441855263 58.3296048785552,16.7646595255981 58.3259071742444,16.7573216765638 58.3229045613744,16.7490124379535 58.320712241641,16.7400506796999 58.3194143115684,16.730780156515 58.3190605539675,16.7215563949109 58.3196645393631,16.7127331420432 58.3212031081536,16.7046488802595 58.3236172528486,16.6976139091127 58.3268143676571,16.6918984776714 58.3306717817007,16.6877224145271 58.3350414439459,16.6852466515941 58.3397555842461,16.6845669716539 58.3446331372693,16.685710230166 58.3494866860088,16.6886332112813 58.3541296602986,16.6932241790412 58.3583835143023,16.6993070808684 58.3620846059975,16.7066482556649 58.365090511544,16.7149653975869 58.3672855279657,16.7239384334952 58.3685851481914,16.7332218917551 58.3689393320991,16.7424582766033 58.3683344442625,16.7512919191064 58.366793781672,16.759382755188 58.3643766705806,16.7664194844198 58.3611761683871,16.7721315900843 58.3573154616684,16.7762997499122 58.3529431027377,16.7787642351987 58.3482272722871,16.77943098008 58.3433492929579)))', 'SEMLA', 'Målma', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5436955293822 55.2838872171389,12.5431565560709 55.2790047342071,12.540959569512 55.2742760607148,12.5371895325904 55.2698828364326,12.5319917067561 55.2659937576483,12.5255660119197 55.2627581145011,12.5181593179159 55.2603000789409,12.5100559676145 55.2587139590074,12.5015668942775 55.2580605978434,12.4930177445997 55.258365052309,12.4847364529342 55.2596156378697,12.4770407307908 55.2617643752802,12.4702259384754 55.2647288222516,12.4645537926629 55.2683952215501,12.4602423350343 55.2726228475877,12.4574575434548 55.2772493882631,12.4563069094678 55.2820971592031,12.4568352355523 55.2869799151446,12.4590228245326 55.2917099992884,12.4627861442188 55.2961055571053,12.4679809557995 55.2999975370487,12.4744077982591 55.3032362073042,12.4818196270501 55.3056969350721,12.4899313175792 55.3072850024481,12.4984306668598 55.3079392698085,12.5069904637756 55.3076345423326,12.5152811530258 55.3063825461184,12.5229835924021 55.304231475171,12.5298013989612 55.3012641270394,12.5354723971392 55.2975947006331,12.5397787199745 55.2933643823897,12.542555171329 55.288735894274,12.5436955293822 55.2838872171389)))', 'SEMLE', 'Mölle', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7377303303138 57.8103682321549,16.7365985315999 57.8055147000297,16.7337152123577 57.8008722344982,16.7291917468118 57.7966191261958,16.7232023295559 57.7929186544705,16.7159772267773 57.7899128378034,16.7077939128433 57.7877170047904,16.6989664349801 57.7864153899673,16.6898334104726 57.7860579195086,16.6807451076397 57.78665830688,16.6720500928324 57.7881935294644,16.6640819403156 57.7906047057318,16.6571464998537 57.7937993403841,16.6515101981626 57.7976548538675,16.6473898154099 57.8020232643988,16.6449441272947 57.8067368469228,16.6442677379433 57.8116145557662,16.6453873504919 57.8164689676647,16.6482606328891 57.8211134805615,16.6527777389279 57.8253694921289,16.6587654421936 57.8290732810239,16.6659937374416 57.8320823237564,16.6741846642829 57.834280800591,16.6830230164964 57.8355840744935,16.6921685212741 57.8359419667089,16.7012690102859 57.835340699563,16.7099740619426 57.8338034296105,16.7179485739589 57.8313893500756,16.724885728396 57.8281913982528,16.7305188376041 57.8243326587054,16.734631607445 57.8199616043553,16.7370664212176 57.8152463627544,16.7377303303138 57.8103682321549)))', 'SEMLM', 'Norra Malmö, Västervik', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5190483410945 58.0720779199508,11.5178018196343 58.0672326344616,11.5147960256609 58.0626092509664,11.5101470376581 58.0583853207473,11.5040338628041 58.0547229971306,11.4966915049584 58.0517628298958,11.4884019219626 58.0496183931065,11.4794832214497 58.0483719483967,11.4702775055641 58.0480713061487,11.4611378211653 58.0487280017898,11.4524147023152 58.0503168552336,11.4444428055831 58.0527769299838,11.4375281356976 58.056013856334,11.4319363393671 58.059903432192,11.4278825089999 58.0642963670473,11.4255228862187 58.0690239911789,11.4249487885688 58.0739047149455,11.4261830032221 58.0787509933784,11.4291788009676 58.083376530545,11.4338216251559 58.0876034472867,11.4399334069954 58.0912691356068,11.4472793547039 58.0942325334802,11.4555769639187 58.0963795750077,11.4645069050886 58.0976276020069,11.473725364779 58.0979285632056,11.4828773559985 58.0972708746193,11.4916104710801 58.0956798675013,11.4995885316182 58.0932168062261,11.5065045945025 58.0899765151719,11.5120928009564 58.0860837086768,11.5161386051009 58.081688169086,11.5184869872337 58.0769589626676,11.5190483410945 58.0720779199508)))', 'SEMLO', 'Mollösund', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0440620474602 55.6007108899431,13.0434576873333 55.595830411806,13.0411837780646 55.5911104424416,13.03732824387 55.5867322828788,13.032039630709 55.5828640465694,13.0255213401338 55.5796542197143,13.0180237880648 55.5772259805683,13.0098347935017 55.5756724921474,13.0012685646482 55.5750533452377,12.992653698575 55.575392284886,12.9843206442884 55.5766763052399,12.9765890972303 55.5788561464134,12.9697557954791 55.5818481747242,12.9640831742201 55.5855375759836,12.9597893056826 55.5897827422516,12.9570395072827 55.5944206873426,12.9559399421467 55.5992732869729,12.9565334649311 55.6041541072977,12.9587978838423 55.6088755619694,12.9626467194841 55.6132561238349,12.9679324456917 55.6171273137142,12.9744521004276 55.6203401957523,12.9819550600927 55.6227711265705,12.9901526824312 55.6243265333696,12.9987294457382 55.6249465333072,13.0073551491656 55.6246072514707,13.0156976938157 55.6233217458075,13.0234359394234 55.6211395023291,13.0302721281176 55.6181445204471,13.0359433852044 55.6144520640053,13.0402318461397 55.6102042060671,13.0429730167672 55.6055643426002,13.0440620474602 55.6007108899431)))', 'SEMMA', 'Malmö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1802260801696 58.9331960044685,11.1789928356079 58.9283479325011,11.1759545789568 58.9237173442921,11.1712286760091 58.9194820660873,11.164997118807 58.9158046829072,11.1574994745229 58.9128263170379,11.1490236652938 58.9106612348069,11.1398949353393 58.9093924843442,11.1304634244678 58.9090687275822,11.1210908145059 58.9097023846846,11.1121365463516 58.9112691600251,11.1039441197232 58.9137089674388,11.0968279850144 58.9169282204603,11.0910615169894 58.9208034023848,11.0868665236782 58.9251857829549,11.0844046913654 58.9299071049585,11.0837712990651 58.9347860266152,11.0849914548929 58.9396350757776,11.0880190144349 58.9442678509508,11.0927382404354 58.948506192944,11.0989681573588 58.9521870503032,11.1064694477542 58.9551687718304,11.1149536344004 58.9573365803293,11.124094197693 58.9586070126195,11.1335391963032 58.9589311507249,11.1429248950146 58.9582965164259,11.1518898602825 58.9567275541183,11.1600889638488 58.9542846829135,11.1672067388188 58.951061955712,11.1729695607171 58.9471834181312,11.1771561766066 58.9427983112963,11.1796061755906 58.9380753074679,11.1802260801696 58.9331960044685)))', 'SEMOD', 'Monelid', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8818881137547 59.4008027792757,18.8812524352912 59.3959239972159,18.8787630817805 59.3912021716857,18.8745164122068 59.3868186621946,18.8686761149384 59.3829417665611,18.8614668428135 59.379720277389,18.8531655476624 59.3772777936071,18.8440908520737 59.3757080011867,18.8345908645161 59.3750710997632,18.825029896998 59.3753915084124,18.8157745812542 59.3766569358416,18.807179899374 59.378818849427,18.799575647535 59.3817943255723,18.7932538370506 59.3854692125042,18.788457505519 59.3897024875777,18.7853713629919 59.3943316461068,18.7841146346703 59.3991789192759,18.7847363840496 59.404058086298,18.7872135106267 59.4087816220001,18.7914515168551 59.413167906515,18.7972880332832 59.4170482195529,18.8044989826752 59.4202732482415,18.812807157856 59.4227188547922,18.8218928888172 59.4242908778203,18.8314063870533 59.4249287780996,18.8409812836742 59.4246079844872,18.8502488263615 59.4233408468833,18.8588521715823 59.4211761582708,18.866460204245 59.4181972647195,18.8727803374437 59.4145188382719,18.8775697889357 59.4102824404323,18.8806448960952 59.4056510512988,18.8818881137547 59.4008027792757)))', 'SEMOJ', 'Möja', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4987660524487 57.0414606727212,16.497690822103 57.0366041886223,16.4948989011519 57.0319553260685,16.4904981268121 57.0276926263143,16.4846579658989 57.0239797430024,16.4776029496694 57.0209591773327,16.4696040306466 57.018746829621,16.4609681957186 57.0174275724053,16.4520267307344 57.0170520111203,16.4431225781683 57.0176345534523,16.4345972602343 57.0191528594403,16.4267778545147 57.0215486928836,16.4199645074623 57.024730142411,16.4144189530534 57.0285751294156,16.4103544697304 57.0329360717047,16.407927659217 57.0376455278509,16.4072323668676 57.0425226094622,16.4082959864693 57.047379918363,16.4110783049487 57.0520307442824,16.4154729469774 57.0562962470619,16.4213113793303 57.0600123463241,16.4283693339109 57.06303605127,16.4363754108616 57.0652509836572,16.4450215335657 57.0665718774536,16.453974849952 57.0669478780696,16.4628906132746 57.0663645109345,16.4714255336845 57.0648442415783,16.4792510717085 57.0624456051074,16.4860661473076 57.059260939629,16.4916087633528 57.0554128133493,16.4956660887437 57.0510492863874,16.4980826114877 57.0463381936627,16.4987660524487 57.0414606727212)))', 'SEMON', 'Mönsterås', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4221484223201 56.5294914938778,16.4210986564419 56.5246338465249,16.4183549279985 56.5199826763898,16.4140232055025 56.5157166159843,16.4082702923461 56.5119994514486,16.4013173654773 56.5089738521197,16.3934314613367 56.5067559150791,16.3849152383564 56.5054307301936,16.3760954056693 56.5050491320531,16.3673102536333 56.5056257603142,16.3588967523638 56.5071385008901,16.3511776991074 56.5095293288902,16.3444493936955 56.5127065219582,16.3389703035185 56.5165481614498,16.3349511457629 56.5209067904837,16.3325467657203 56.5256150539844,16.3318501268457 56.5304921080209,16.3328886524732 56.53535055549,16.3356230727657 56.5400036437629,16.3399488362912 56.5442724483094,16.3457000468583 56.547992765219,16.3526557867255 56.5510214452345,16.360548591201 56.5532419222677,16.3690747513406 56.5545687197603,16.3779060451673 56.5549507576172,16.3867024374658 56.5543733292386,16.3951252468902 56.5528586705224,16.4028502591108 56.5504650983792,16.4095802670992 56.5472847529365,16.4150565442661 56.5434400327595,16.4190688016826 56.5390788637354,16.4214632445722 56.5343689876298,16.4221484223201 56.5294914938778)))', 'SEMOR', 'Mörbylånga', 'Y'),('SRID=4326;MULTIPOLYGON(((13.6598784125103 55.4234885567794,13.6592002549626 55.4186107011567,13.6568624682057 55.4139017919748,13.6529554184462 55.4095427019037,13.6476296164292 55.4057008097622,13.6410898780529 55.4025235893488,13.633587431038 55.4001329676527,13.6254102743269 55.3986206653748,13.616872158529 55.3980446948618,13.6083006035721 55.3984271465986,13.6000244026749 55.3997533469219,13.592361079168 55.4019724183193,13.5856047642366 55.4049992213268,13.5800149493121 55.4087176054075,13.5758065368864 55.4129848470581,13.5731415685698 55.417637108452,13.5721229502454 55.4224957108154,13.5727904226413 55.4273739849302,13.5751189434946 55.4320844379515,13.5790195572472 55.4364459621741,13.5843427329784 55.4402908082022,13.5908840546208 55.443471052535,13.5983920534178 55.4458643078189,13.6065778852199 55.4473784524127,13.6151264787131 55.4479551934933,13.6237087188329 55.4475723232636,13.6319941856393 55.4462445790989,13.6396639451496 55.4440230735478,13.6464228863563 55.4409933166527,13.6520111180036 55.4372719086532,13.6562139786416 55.4330020334168,13.6588702718706 55.4283479297093,13.6598784125103 55.4234885567794)))', 'SEMOS', 'Mossby', 'Y'),('SRID=4326;MULTIPOLYGON(((11.642801949739 57.8870341035142,11.6415459097257 57.8821899898141,11.6385404282867 57.8775694138085,11.6339015629535 57.873349818977,11.6278079248357 57.869693192768,11.620493762899 57.8667398672719,11.612239950896 57.8646031552249,11.6033632249151 57.8633650230963,11.5942040803332 57.8630729633522,11.5851137828113 57.8637381827366,11.5764409779414 57.8653351741723,11.5685183976924 57.8678026883424,11.5616501586663 57.8710460689247,11.5561001274031 57.8749408645397,11.552081791879 57.8793375824878,11.5497500265868 57.8840674059702,11.5491950722461 57.8889486592891,11.5504389718406 57.8937937759815,11.5534346145016 57.8984165041836,11.5580674405618 57.9026390727639,11.5641597583381 57.9062990415483,11.571477519878 57.9092555695698,11.5797393034249 57.9113948565362,11.5886271592958 57.9126345439695,11.5977988976872 57.9129269026222,11.6069013356414 57.9122606802439,11.6155839792927 57.9106615366089,11.6235125988062 57.9081910486875,11.6303821581584 57.9049443255292,11.635928589805 57.9010463273905,11.6399389537818 57.8966470345258,11.6422595891924 57.891915655741,11.642801949739 57.8870341035142)))', 'SEMSD', 'Marstrand', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2149341795198 58.7231847967456,17.2137042259146 58.7183368924995,17.210680340782 58.7137068935917,17.2059793284098 58.7094726043986,17.1997822181066 58.7057965732148,17.1923272510173 58.70281987196,17.1839007112541 58.700656704649,17.1748259556492 58.6993900472958,17.165451058879 58.6990684824614,17.1561355378778 58.6997043465713,17.147236650455 58.7012732590368,17.1390957773 58.7037150507941,17.1320253938695 58.7069360578445,17.1262971190308 58.7108126944887,17.1221312910813 58.7151961729061,17.1196884695155 58.7199181922165,17.1190631937073 58.7247973827704,17.1202802490803 58.7296462615846,17.1232935995181 58.7342784338557,17.1279880445439 58.738515764333,17.13418355467 58.7421952417146,17.1416421323676 58.7451752694286,17.1500769438455 58.7473411370366,17.1591633729786 58.7486094574281,17.1685515678999 58.748931394859,17.1778799871485 58.7482945561794,17.1867894092703 58.7467234703476,17.1949368497627 58.7442786373034,17.2020088333532 58.7410541840545,17.2077334975685 58.7371742209526,17.2118910537991 58.7327880422413,17.2143222018457 58.7280643598953,17.2149341795198 58.7231847967456)))', 'SEMSO', 'Marsö, Nyköping', 'Y'),('SRID=4326;MULTIPOLYGON(((19.011228922939 63.2217831772851,19.0105018278726 63.2169071620576,19.0076811162767 63.2121888039048,19.0028761030086 63.207809310606,18.996272087951 63.2039367972713,18.9881231371897 63.2007198541622,18.9787422776056 63.198281871165,18.968489487908 63.1967163317526,18.9577579443964 63.1960832518653,18.9469590379085 63.1964068958126,18.9365067185797 63.197674853609,18.9268017467004 63.1998385137179,18.9182164308988 63.2028149136671,18.9110804190824 63.2064899000582,18.9056680732129 63.2107224807953,18.9021879064932 63.2153502075201,18.9007744916819 63.2201953868456,18.9014831632997 63.2250718864975,18.9042877363994 63.2297922782544,18.9090813530598 63.2341750447403,18.9156804484303 63.2380515725329,18.9238317054089 63.2412726602066,18.9332217460209 63.2437142869022,18.9434891938323 63.245282414426,18.9542386409769 63.2459166328202,18.9650559709451 63.2455925044473,18.9755244287867 63.2443225130425,18.9852407972654 63.2421555797417,18.9938310327259 63.2391751653322,19.0009647382933 63.2354960343778,19.0063679031184 63.2312598099465,19.0098334117325 63.226629495115,19.011228922939 63.2217831772851)))', 'SEMTT', 'Mattjäl', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7245643655088 58.4649979535001,11.723274283386 58.4601553065771,11.7202068076074 58.455537535623,11.7154803988252 58.451321973123,11.7092770440487 58.447670447463,11.7018352094296 58.4447230903394,11.6934406650132 58.4425929811306,11.6844155356677 58.4413618295572,11.6751059939106 58.4410768582685,11.6658690566684 58.4417490017287,11.6570589782155 58.4433524885614,11.6490137451172 58.4458258230174,11.6420421757065 58.4490741291967,11.6364121064947 58.4529727708135,11.6323401112613 58.4573721113749,11.6299831460438 58.4621032363165,11.6294324459116 58.4669844215011,11.6307099188536 58.4718281029708,11.6337671905131 58.4764480822313,11.6384873537218 58.4806666906036,11.6446893723043 58.4843216359956,11.652134983536 58.487272266088,11.6605378424195 58.4894050032223,11.6695745582854 58.4906377375993,11.6788971946713 58.4909230056017,11.6881467411086 58.4902498275932,11.6969670236842 58.4886441324511,11.7050185023469 58.4861677521203,11.7119914079349 58.4829160262083,11.7176177005198 58.4790141116242,11.7216813812824 58.4746121431404,11.7240267599888 58.4698794353977,11.7245643655088 58.4649979535001)))', 'SEMUK', 'Munkedal', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2958040777877 58.6301555207873,11.2945665129578 58.6253083780342,11.2915403082259 58.6206802346309,11.2868423519138 58.6164488235749,11.2806535516533 58.6127765828602,11.2732118265201 58.6098044393762,11.2648029509525 58.6076464228545,11.2557496042091 58.6063853123385,11.2463990413406 58.6060694781533,11.2371098486298 58.6067110372384,11.2282382772926 58.608285390592,11.2201246633788 58.610732160136,11.2130804390301 58.6139574902771,11.2073762205727 58.6178376285493,11.2032314226465 58.6222236516976,11.2008057953418 58.6269471600766,11.2001932141709 58.6318267258842,11.2014179722191 58.636674850973,11.2044337321565 58.6413051690604,11.209125195786 58.6455396160735,11.2153124439297 58.6492152918222,11.2227577938113 58.6521907464642,11.2311749191607 58.6543514461738,11.2402398847655 58.655614203416,11.2496036667069 58.6559303971659,11.2589056662144 58.6552878557436,11.2677876823502 58.6537113277029,11.2759077889376 58.6512615221991,11.2829535653863 58.6480327570233,11.2886541590805 58.6441493075947,11.2927907072208 58.6397606012615,11.2952047156729 58.6350354461589,11.2958040777877 58.6301555207873)))', 'SEMUS', 'Musö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1351311218248 57.3482256530426,17.1339624109504 57.34337564023,17.1310666237155 57.3387420296371,17.1265555903953 57.3345027711718,17.1206030085051 57.3308206132862,17.1134377160556 57.327836873593,17.1053348849309 57.3256660363362,17.0966054746505 57.3243913800481,17.0875843474337 57.3240617992931,17.0786174914109 57.3246899392973,17.0700488290784 57.3262517130891,17.0622071021101 57.3286872192415,17.0553933211568 57.331903026143,17.0498692503222 57.335775737691,17.0458473609102 57.3401567071406,17.0434826384579 57.3448777222295,17.0428665620521 57.3497574472516,17.0440234970597 57.3546083778995,17.0469096538026 57.3592440437222,17.0514146681596 57.3634861819224,17.0573657589498 57.3671716056348,17.064534315172 57.3701585000544,17.0726446680652 57.3723319006583,17.0813847129895 57.3736081386675,17.0904179686958 57.3739380787143,17.0993966005981 57.3733090208734,17.1079748934265 57.3717451918491,17.1158226393504 57.3693068059595,17.1226379113893 57.3660877332306,17.1281587184384 57.3622118669575,17.1321730860782 57.3578283341633,17.1345271738942 57.3531057373557,17.1351311218248 57.3482256530426)))', 'SENAD', 'Nabbelund', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5800911497862 63.1579499873459,18.5794379329068 63.1530721308452,18.5766935119033 63.1483455939474,18.5719642731064 63.143951902545,18.5654326137472 63.1400597203572,18.5573498332576 63.1368183952153,18.5480264320628 63.134352254165,18.5378201972097 63.1327558613894,18.5271225298624 63.1320904157698,18.5163435283562 63.1323814217449,18.5058963812124 63.1336177195442,18.4961816467598 63.1357519105018,18.4875719995611 63.1387021616392,18.4803980086874 63.1423553227232,18.4749354791956 63.1465712402052,18.4713948363488 63.1511881074619,18.4699129629544 63.1560286511592,18.470547814933 63.1609069208384,18.473276040793 63.1656354243109,18.4779937197638 63.1700323362919,18.4845202144945 63.1739285027592,18.4926050118272 63.177173969312,18.5019373042974 63.1796437784118,18.5121579512458 63.1812428074474,18.5228733573958 63.1819094561897,18.5336707238345 63.1816180370351,18.5441340661389 63.1803797726571,18.5538603604103 63.1782423611161,18.56247517221 63.1752881256965,18.569647146209 63.1716308232028,18.5751007844082 63.1674112376754,18.578627015167 63.1627917341635,18.5800911497862 63.1579499873459)))', 'SENAE', 'Näske', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7405889284919 59.1948538411067,18.7399766006062 59.1899743803289,18.7375211792201 59.1852499382335,18.7333177114633 59.1808619767175,18.7275282216551 59.1769789667112,18.7203754109144 59.1737499376948,18.7121340665607 59.1712987798459,18.7031205162578 59.169719513337,18.6936805299677 59.169072701984,18.6841761257666 59.1693831450135,18.6749717723844 59.1706389327477,18.6664205013341 59.1727919011835,18.6588504444087 59.1757594684619,18.6525522981002 59.179427784838,18.6477681853832 59.183656078668,18.6446823378202 59.1882820358232,18.6434139579984 59.193128010411,18.6440125452562 59.1980078322259,18.6464558784552 59.2027339522888,18.6506507507805 59.2071246532482,18.6564364464903 59.2110110471187,18.6635908420862 59.2142435892581,18.6718389089728 59.2166978546473,18.6808632960437 59.2182793500185,18.6903165835363 59.2189271722309,18.6998347283834 59.2186163681636,18.7090511699624 59.217358902459,18.7176110364398 59.2152031945768,18.7251848874477 59.2122322434325,18.7314814488828 59.2085604139342,18.7362588390573 59.2043290125666,18.7393338498567 59.1997008265523,18.7405889284919 59.1948538411067)))', 'SENAO', 'Nämdö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7129736138188 57.2278457496115,18.7123914805183 57.2229650165092,18.7100655196999 57.2182396388414,18.7060857190082 57.2138511220487,18.7006054478534 57.2099679702887,18.6938354986312 57.2067392328641,18.6860359576197 57.2042888034229,18.677506222201 57.2027106868943,18.6685735461324 57.2020654117901,18.6595805453087 57.2023777219805,18.6508721317363 57.2036356339502,18.6427823626219 57.2057908945301,18.6356216942334 57.2087608219355,18.6296651164972 57.2124314613707,18.6251416143967 57.2166619372316,18.6222253567005 57.2212898387464,18.6210289523103 57.226137436357,18.6215990409702 57.2310184937518,18.6239144001626 57.2357454165197,18.6278866562429 57.2401364639936,18.6333635884001 57.2440227467428,18.6401349125734 57.2472547388004,18.647940333164 57.2497080510298,18.6564795576787 57.2512882396229,18.6654238877306 57.2519344606145,18.6744289332091 57.2516218261311,18.683147948415 57.2503623690588,18.6912452621375 57.2482045777951,18.6984092695111 57.2452315193991,18.704364472282 57.2415576253316,18.7088820947959 57.2373242666848,18.7117888633995 57.232694293108,18.7129736138188 57.2278457496115)))', 'SENAR', 'Närshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9534484192503 57.6219226857826,11.9521613184957 57.6170817950254,11.9491395586284 57.6124685941676,11.9444998080852 57.608260242588,11.9384206991621 57.6046182962085,11.9311359134245 57.6016825246658,11.9229251918125 57.5995655686747,11.9141036163106 57.5983486385495,11.9050095701854 57.5980784150621,11.8959918290395 57.598765268448,11.887396264385 57.6003828620507,11.8795526545385 57.6028691555106,11.872762094162 57.6061287702935,11.8672854737473 57.6100366294723,11.8633334640965 57.6144427357591,11.8610583890561 57.6191779085044,11.8605483035106 57.6240602633467,11.8618235145176 57.6289021888354,11.8648356936694 57.6335175539299,11.8694696311056 57.6377288697663,11.8755475795247 57.6413741291424,11.882836034041 57.6443130580476,11.8910546951788 57.6464325350871,11.8998872722333 57.6476509661391,11.9089937070496 57.6479214419288,11.9180233379558 57.6472335538099,11.9266284833288 57.6456137959679,11.934477906274 57.6431245382486,11.9412696271394 57.6398616104687,11.9467425787627 57.635950593929,11.9506866488847 57.6315419665966,11.9529507223809 57.6268052929267,11.9534484192503 57.6219226857826)))', 'SENAT', 'Näset', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8498120470969 58.626321265097,16.8486363431918 58.6214695645084,16.8456692882686 58.6168306729957,16.8410255047224 58.6125827394519,16.83488382862 58.6088888386238,16.8274803798797 58.6058907302682,16.8190994735386 58.6037034410203,16.8100627235436 58.6024108726916,16.8007167532184 58.6020626014223,16.7914199740598 58.6026719871447,16.7825289258984 58.6042156637987,16.7743846861507 58.6066344293409,16.7672998536651 58.6098355025452,16.7615465935288 58.6136960626335,16.7573461934674 58.6180679396311,16.7548605307577 58.6227832796815,16.7541857819103 58.6276609719775,16.7553486273328 58.6325135939221,16.7583051118711 58.6371546098942,16.7629422223743 58.6414055475718,16.7690821386878 58.6451028748564,16.7764890088086 58.6481043103445,16.7848779968291 58.6502943208748,16.7939262584408 58.6515885903447,16.8032854177788 58.6519372836299,16.8125950554351 58.65132697655,16.8214966739861 58.6497811754335,16.8296475867683 58.6473594057549,16.8367341790261 58.6441549060934,16.8424840177667 58.6402910188741,16.8466763361439 58.6359164205969,16.8491504872456 58.6311993794081,16.8498120470969 58.626321265097)))', 'SENAV', 'Nävekvarn', 'Y'),('SRID=4326;MULTIPOLYGON(((19.8809131723027 63.5634468934025,19.8800297471651 63.5585755737759,19.877032521287 63.5538746525503,19.8720376007969 63.5495246585962,19.8652375745975 63.5456925656551,19.8568940168241 63.5425254051945,19.847327396653 63.5401446516124,19.8369047888567 63.5386415901663,19.826025853332 63.5380738401641,19.8151076093168 63.5384631623037,19.8045685692762 63.5397946311612,19.794812818032 63.5420172033066,19.7862146244219 63.5450456600397,19.7791041555902 63.548763852932,19.7737548281301 63.5530291318884,19.7703727761125 63.5576777909307,19.7690888443577 63.562531327916,19.7699534274298 63.5674032824145,19.7729343727514 63.5721063923185,19.7779180527578 63.5764597955523,19.7847135898104 63.5802959993434,19.7930600932125 63.5834673463851,19.8026366453494 63.5858517249102,19.8130746594006 63.5873572977952,19.823972130004 63.5879260633877,19.8349092161175 63.5875361063747,19.8454645367303 63.5862024488342,19.8552315284474 63.5839764674043,19.8638342111737 63.5809438998188,19.870941734344 63.577221520347,19.8762811298225 63.5729526164523,19.879647775596 63.5683014459757,19.8809131723027 63.5634468934025)))', 'SENBY', 'Norrbyn', 'Y'),('SRID=4326;MULTIPOLYGON(((15.6996774838093 56.1197550383518,15.6987307775534 56.1148908642238,15.6961041890607 56.1102232919294,15.6918991811979 56.1059315903502,15.6862776930499 56.1021805362336,15.6794558647191 56.0991141048975,15.6716957147285 56.0968499640407,15.6632950922971 56.0954749782051,15.6545762873052 56.0950418926529,15.645873727126 56.0955673207638,15.6375212206603 56.0970311101211,15.6298392252587 56.0993771109654,15.6231226114708 56.1025153183883,15.6176293837237 56.1063253083062,15.6135707824188 56.1106608386283,15.6111031451794 56.1153554428444,15.6103218431236 56.1202288050813,15.6112575335979 56.1250936750188,15.6138748858277 56.1297630591487,15.6180738430825 56.1340574127542,15.6236933874288 56.1378115553414,15.6305176746931 56.1408810414012,15.6382843120045 56.1431477381804,15.6466944625091 56.1445243920206,15.6554243857627 56.1449580037205,15.664137961735 56.1444318797991,15.672499704468 56.142966278604,15.6801877504722 56.1406176257313,15.6869063080497 56.1374763298368,15.6923970768518 56.1336632851963,15.6964491908315 56.1293251989541,15.6989073000032 56.1246289267357,15.6996774838093 56.1197550383518)))', 'SENDA', 'Sanda', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9044102496497 58.3303030813609,16.9032377234135 58.3254516541433,16.9002891512852 58.3208137205112,16.8956784326208 58.3165673935611,16.8895831240856 58.3128756880299,16.882237560323 58.3098802814943,16.8739238343375 58.3076960990642,16.8649609863001 58.3064069252337,16.8556928117179 58.3060622072261,16.8464747470504 58.3066751691796,16.8376603219835 58.3082223074666,16.8295876821133 58.3106442860098,16.8225666835226 58.3138481983856,16.8168670416552 58.3177111125276,16.8127079813245 58.3220847656896,16.810249783258 58.3268012336759,16.8095875563284 58.3316793607926,16.8107474850929 58.3365317069691,16.8136857116168 58.3411717473119,16.8182899115676 58.3454210479978,16.8243835206966 58.3491161415659,16.8317324630834 58.3521148346418,16.8400541313617 58.3543017017693,16.8490282762191 58.3555925497329,16.8583093823087 58.3559376764371,16.8675400444623 58.3553237955232,16.8763648151381 58.3537745505225,16.8844439737137 58.3513495982411,16.8914666716944 58.3481422978276,16.8971629349231 58.3442760971468,16.9013140529567 58.3398997592902,16.9037609542112 58.3351816171734,16.9044102496497 58.3303030813609)))', 'SENFI', 'Norra Finnö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4910962887037 62.0610526667893,17.4896782156006 62.0562107419308,17.4862753218689 62.0515916086747,17.4810191319213 62.0473726344055,17.4741121022554 62.0437157528209,17.4658197709476 62.0407612712227,17.4564605375736 62.0386225127312,17.4463934685612 62.0373814941378,17.4360045902757 62.0370858005283,17.425692182642 62.0377467727786,17.4158516190181 62.0393390751363,17.4068603129018 62.0418016589915,17.3990633286756 62.0450400872918,17.3927601920005 62.0489301335457,17.3881933959142 62.0533225216703,17.3855390417113 62.0580486297024,17.3848999802616 62.0629269431782,17.3863017310863 62.0677700142479,17.3896913554681 62.0723916616052,17.3949393491312 62.0766141351176,17.4018445033913 62.0802749683601,17.410141565691 62.0832332524269,17.4195114162094 62.0853750853059,17.429593372156 62.0866179821572,17.4399991407614 62.0869140719465,17.4503278706969 62.0862519534828,17.460181703677 62.0846571370197,17.4691812060631 62.0821910539176,17.4769800656683 62.0789486739584,17.483278471328 62.0750548252382,17.4878346502636 62.0706593627303,17.490474117547 62.0659313764439,17.4910962887037 62.0610526667893)))', 'SENFJ', 'Norrfjärden, Gävleborg', 'Y'),('SRID=4326;MULTIPOLYGON(((20.7945187431329 63.8630913041272,20.7934684287602 63.8582261258212,20.7902875636389 63.8535447718839,20.7850993141122 63.8492270102245,20.7781036847447 63.845438568343,20.7695697379334 63.8423247952267,20.7598252203138 63.8400051119671,20.7492439995852 63.838568458845,20.7382317895995 63.8380699083432,20.727210698208 63.8385285695676,20.7166031706022 63.8399268614642,20.7068159202903 63.8422111816191,20.6982244402381 63.8452939459707,20.6911586680628 63.8490569240994,20.6858903416903 63.853355746535,20.6826225259842 63.8580254163542,20.6814817173415 63.8628866187916,20.6825128434583 63.8677525911322,20.6856773714515 63.8724362921069,20.6908546221546 63.8767575964925,20.6978462654769 63.880550237442,20.706383845868 63.8836682266985,20.7161390635198 63.885991501301,20.7267364217535 63.8874305742183,20.7377677499253 63.8879300045746,20.7488080296063 63.8874705493137,20.7594318943545 63.8860699103747,20.7692301434768 63.8837820474888,20.7778256095411 63.8806950840672,20.7848877481031 63.8769278898002,20.7901453744289 63.8726254760265,20.7933970526432 63.867953386417,20.7945187431329 63.8630913041272)))', 'SENFN', 'Norrfjärden, Sävar', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4653591557934 58.3050955575409,11.4641109082758 58.3002499150125,11.4610915204937 58.2956255134004,11.456417603153 58.2913999423666,11.4502691281968 58.2877354169738,11.4428824586968 58.2847725699232,11.4345412535225 58.2826250764552,11.4255655980648 58.2813753140226,11.416299773873 58.2810712192669,11.4070991265227 58.2817244596515,11.3983165214663 58.2833099879261,11.3902888914699 58.2857669961174,11.383324376284 58.2890012336789,11.3776905354479 58.292888603536,11.3736040789134 58.2972799017621,11.3712225081307 58.3020065231837,11.3706379934317 58.3068869179388,11.3718737335451 58.3117335543506,11.3748829520629 58.3163601226807,11.3795505864568 58.3205887034045,11.3856976213072 58.3242566232619,11.3930879127889 58.3272227327754,11.4014372506218 58.3293728600238,11.410424311292 58.3306242265846,11.4197030769083 58.3309286516015,11.4289162316769 58.3302744173319,11.4377090060015 58.3286867223365,11.4457429189359 58.3262267044526,11.4527088742114 58.3229890724259,11.4583390930515 58.3190984401075,11.4624174169237 58.3147045081039,11.4647875825026 58.3099762825567,11.4653591557934 58.3050955575409)))', 'SENGR', 'Norra Grundsund', 'Y'),('SRID=4326;MULTIPOLYGON(((23.9936332253584 65.7918248260798,23.9919043846769 65.7869918721942,23.9879134740318 65.7823901726542,23.9818148621765 65.7781963957991,23.9738435206356 65.7745714691988,23.9643059023951 65.7716544313613,23.9535681475322 65.7695571288976,23.9420420715284 65.7683599568094,23.9301694656915 65.7681087997751,23.918405293845 65.7688132873217,23.9072004046302 65.7704464271452,23.896984394111 65.7729456301628,23.8881492487728 65.7762150897524,23.8810343744595 65.7801294276768,23.8759135724448 65.7845384720054,23.8729844600795 65.7892729895243,23.8723607510882 65.7941511582073,23.8740677110506 65.7989855357527,23.8780409891341 65.8035902592762,23.8841289009811 65.8077882000658,23.892098104052 65.8114177966316,23.9016424709341 65.8143392995058,23.9123948341393 65.8164401823154,23.9239411542006 65.817639504982,23.93583655783 65.8178910554199,23.9476226104362 65.8171851442099,23.958845132222 65.8155489803965,23.9690718427223 65.8130456134389,23.9779091264823 65.8097714838826,23.9850172521134 65.8058526809251,23.9901234457763 65.8014400562571,23.9930323141114 65.7967033881653,23.9936332253584 65.7918248260798)))', 'SENIA', 'Nikkala', 'Y'),('SRID=4326;MULTIPOLYGON(((11.94704336787 57.3009287450094,11.9457697319724 57.2960874587837,11.9427764671057 57.2914736415826,11.9381791353818 57.2872644779594,11.9321547321948 57.2836215570976,11.9249348355584 57.2806846883915,11.9167966972326 57.278566556931,11.9080526193678 57.2773484199819,11.8990380201251 57.27707700577,11.890098636692 57.2777627305005,11.8815773433929 57.2793793002037,11.8738010756313 57.2818647123875,11.8670683469677 57.285123620335,11.8616378267556 57.2890309719748,11.8577184097759 57.2934367873078,11.8554611578874 57.2981718950792,11.8549534279518 57.3030544123393,11.8562154217806 57.3078967211782,11.8591993047812 57.3125126765075,11.863790943145 57.3167247682638,11.8698142082423 57.3203709614825,11.8770376953261 57.3233109485825,11.8851836060263 57.3254315697266,11.8939384549194 57.3266511886165,11.9029651840512 57.3269228514139,11.9119162095653 57.3262361040687,11.9204468847335 57.3246173962347,11.928228845847 57.3221290559155,11.934962712586 57.3188668756106,11.9403896423383 57.3149564055784,11.9443012869407 57.3105481005645,11.946547767809 57.3058115108545,11.94704336787 57.3009287450094)))', 'SENIN', 'Nidingen', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4538085013994 59.3559626198353,18.4532350158 59.3510822131036,18.4508084932548 59.3463526849916,18.4466228818995 59.3419556942628,18.4408395315738 59.3380600592751,18.4336809175689 59.3348152940801,18.4254220571747 59.3323458920403,18.4163799539335 59.3307465721825,18.4069014732069 59.3300786663335,18.3973501061831 59.330367781771,18.3880921167472 59.3316028262515,18.37948258608 59.3337364315044,18.3718518731364 59.3366867593387,18.3654929952548 59.3403406231024,18.3606504022916 59.3445578080985,18.357510570373 59.3491764293621,18.3561947785049 59.3540191255465,18.3567543542324 59.3588998550393,18.359168585219 59.3636310361623,18.3633453946052 59.3680307584967,18.3691247725721 59.3719297878231,18.3762848485876 59.3751780933332,18.384550382788 59.3776506426832,18.3936033556067 59.3792522376964,18.4030952468867 59.3799212001734,18.4126605238009 59.3796317619742,18.4219308048056 59.3783950644799,18.4305491374378 59.3762587276182,18.4381838227241 59.3733050054433,18.4445412385765 59.3696476013653,18.4493771577232 59.3654272690618,18.4525061200685 59.3608063726461,18.4538085013994 59.3559626198353)))', 'SENLO', 'Norra Lagnö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7465294122248 57.654366028557,16.7454017004384 57.6495124398657,16.7425300245013 57.6448700028822,16.7380253051988 57.6406170077738,16.7320610128155 57.6369167304868,16.7248664467845 57.6339111831527,16.7167179096079 57.6317156851442,16.7079281163172 57.6304144590827,16.6988342422222 57.6300574168503,16.689785058355 57.6306582556925,16.6811276349104 57.6321939354328,16.6731941075367 57.6346055563479,16.666288999296 57.6378006051074,16.6606775725035 57.6416564851218,16.656575649783 57.646025199394,16.654141293186 57.6507390102329,16.653468665155 57.6556168625398,16.6545843170226 57.6604713272966,16.6574460617524 57.6651158006233,16.6619444904945 57.6693716823384,16.6679070906467 57.6730752570365,16.675104820406 57.6760840105853,16.6832608956242 57.6782821354947,16.6920614536722 57.6795850092208,16.7011676804019 57.679942469039,16.7102289242013 57.67934075413,16.7188962788574 57.6778030380438,16.7268360967841 57.6753885305196,16.7337428972411 57.6721901843482,16.7393511602919 57.6683310981205,16.7434455449666 57.6639597569501,16.7458691368137 57.659244298449,16.7465294122248 57.654366028557)))', 'SENMA', 'Norra Marsö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.262851080368 57.1420094479739,12.2623293432117 57.1371271795926,12.2600661366553 57.1323940365814,12.2561490386477 57.1279918261424,12.2507290151211 57.1240895813214,12.2440145526354 57.1208370867087,12.2362636164494 57.1183591491476,12.2277737475341 57.1167508295444,12.2188706774485 57.1160738147637,12.2098958911052 57.1163540652444,12.2011936031841 57.1175808259852,12.1930976336158 57.1197070375997,12.1859186708444 57.1226511319863,12.1799323984255 57.1263001455372,12.1753689311962 57.1305140334888,12.1724039622983 57.1351310236685,12.1711519626879 57.1399738081646,12.1716617017949 57.1448563388014,12.1739142736161 57.149590968082,12.1778237192432 57.1539956625337,12.18324023775 57.1579010109427,12.1899558761867 57.1611567562261,12.1977124902698 57.1636375966553,12.2062116746216 57.165248029388,12.2151262794918 57.1659260458543,12.2241130638984 57.1656455331175,12.2328259865626 57.1644172861052,12.2409296085084 57.1622885904754,12.2481120762875 57.1593413924993,12.2540971727412 57.1556891282782,12.2586549620656 57.1514723374608,12.2616106155299 57.1468532341542,12.262851080368 57.1420094479739)))', 'SENNS', 'Norra Näs', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7270386709291 56.4568331787804,12.7264639915411 56.4519520303603,12.7241811017589 56.447226727889,12.7202783046074 56.4428387765155,12.7149059892868 56.4389566628755,12.7082707901 56.435729401551,12.700627618559 56.4332808348184,12.6922698789114 56.4317049007458,12.6835182412786 56.4310620473467,12.6747083964654 56.4313769269392,12.6661782511882 56.4326374566906,12.6582550413227 56.434795280253,12.6512428434383 56.4377676131581,12.645410951359 56.4414404030028,12.6409835550015 56.4456726861867,12.638131113889 56.450301977749,12.6369637584533 56.4551504913209,12.63752697994 56.4600319538598,12.6397997863285 56.4647587559505,12.6436954096973 56.4691491641409,12.6490645529907 56.4730343177679,12.6557010648204 56.4762647394392,12.6633498338393 56.478716105744,12.671716603636 56.4802940524046,12.68047932933 56.4809378250083,12.6893006320575 56.4806226312964,12.6978408607354 56.4793606019236,12.7057712443803 56.4772003215418,12.7127866142806 56.4742249486484,12.7186171937041 56.4705489984576,12.7230389925768 56.4663139157034,12.7258824035434 56.4616826115557,12.7270386709291 56.4568331787804)))', 'SENOB', 'Norrebro', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((14.7825453161964 56.0030865826552,14.7817168365434 55.9982156176823,14.7792089564721 55.993528780141,14.7751185847628 55.9892060853925,14.7696032699138 55.9854135056619,14.7628750914092 55.9822966141301,14.7551924901945 55.9799750170287,14.7468503551968 55.9785377837015,14.7381687440396 55.9780400462415,14.729480663327 55.9785008959697,14.7211193659781 55.9799026552969,14.7134056394455 55.9821915521168,14.7066355589479 55.9852797715585,14.7010691640874 55.9890488084733,14.6969204856973 55.9933539951764,14.6943493030954 55.9980300344404,14.6934549511262 56.0028973291339,14.69427242293 56.0077688687111,14.6967709302975 56.0124574102529,14.7008549913564 56.0167826789799,14.7063680183487 56.0205783108026,14.7130982800984 56.023698267887,14.7207870185072 56.0260224772986,14.729138410317 56.0274614719928,14.7378309886375 56.0279598517237,14.746530077211 56.0274984273903,14.7549007472688 56.0260949640604,14.7626207844472 56.0238034932598,14.7693931527899 56.0207122217249,14.7749574643935 56.0169401192585,14.7791000055845 56.0126323202473,14.781661931379 56.0079545196187,14.7825453161964 56.0030865826552)))', 'SENOD', 'Nogersund', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7644063485905 59.7588499386858,18.7637821560273 59.7539709000266,18.7612839394826 59.7492470208123,18.757008417709 59.744859738858,18.7511204028765 59.7409774952356,18.743846390195 59.7377492855086,18.7354658203348 59.7352989638616,18.7263003554206 59.7337205144651,18.716701578405 59.7330744670944,18.7070375792912 59.7333855906043,18.697678928929 59.7346419499346,18.6889845613489 59.7367953615484,18.6812880885295 59.7397632302834,18.674885057096 59.743431699268,18.6700216249338 59.7476599955058,18.6668850876055 59.7522858086558,18.6655966206526 59.7571315010172,18.6662065257158 59.7620109142599,18.6686921778592 59.766736514348,18.6729587711439 59.7711266014799,18.6788428526825 59.7750123075211,18.6861185260772 59.7782441097869,18.6945060978334 59.7806976071611,18.7036828398535 59.7822783319967,18.7132954523466 59.7829254081028,18.7229737389799 59.7826139100087,18.7323449537538 59.7813558298015,18.7410482498181 59.779199613007,18.7487486559141 59.7762282818513,18.7551500266149 59.7725562203286,18.7600064568706 59.7683247483667,18.7631317170979 59.7636966597809,18.7644063485905 59.7588499386858)))', 'SENOE', 'Norrtälje', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5798028001922 65.399782495383,21.5785466013875 65.394924501565,21.5750417846182 65.3902619420779,21.5694240702435 65.3859738463949,21.5619100213916 65.3822247831264,21.5527886190483 65.3791585693175,21.5424101236906 65.3768927827659,21.531172656345 65.3755142823093,21.5195070083601 65.3750759023721,21.5078602470259 65.3755944438874,21.4966787227431 65.3770500355845,21.4863911023949 65.3793868891413,21.4773920527676 65.3825154204613,21.4700271773103 65.3863156589739,21.4645797693516 65.3906418189847,21.4612598854722 65.3953278633131,21.4601961648129 65.4001938513056,21.4614307249755 65.4050528322564,21.4649173549488 65.4097180226368,21.4705231031451 65.4140099924453,21.4780332281825 65.4177635832722,21.4871593464495 65.4208342887932,21.4975504795217 65.4231038473876,21.5088065823987 65.424484825957,21.5204940266369 65.4249240128056,21.532162426655 65.4244044841549,21.5433621377498 65.4229462615586,21.5536617242574 65.4206055338705,21.5626646976563 65.41747247499,21.5700248571479 65.4136677447679,21.5754596273761 65.4093378127202,21.5787608757432 65.4046492902848,21.5798028001922 65.399782495383)))', 'SENOF', 'Norrfjärden, Piteå', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8988162797633 60.0308016676483,18.8981680371759 60.0259233283401,18.8956309635682 60.0212019792646,18.8913032827427 60.0168189588982,18.8853518179344 60.0129425420598,18.8780055031501 60.0097214979111,18.8695465518071 60.0072794031645,18.8602996270553 60.0057099244294,18.8506194275161 60.0050732462479,18.8408771560151 60.0053937779108,18.8314463762116 60.0066592242074,18.8226887822182 60.0088210544909,18.8149404090941 60.0117963525513,18.8084987974415 60.0154709784932,18.8036115934773 60.0197039248201,18.8004670173931 60.024332703906,18.7991865684446 60.0291795645763,18.7998202563872 60.0340583031219,18.8023445575454 60.0387814100382,18.806663192604 60.0431672792342,18.8126107154651 60.0470472021833,18.8199587922515 60.0502718759504,18.8284249413016 60.0527171712466,18.8376834036818 60.0542889342072,18.8473777242707 60.0549266325366,18.8571345504366 60.0546057016355,18.8665781027003 60.053338497495,18.8753447424555 60.0511738183785,18.8830970575088 60.0481950142058,18.889536907139 60.0445167586463,18.8944169133856 60.0402806117727,18.8975499518464 60.0356495484648,18.8988162797633 60.0308016676483)))', 'SENOH', 'Nothamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0611726756471 58.8922406918981,11.0599576661466 58.8873913558068,11.0569389861811 58.8827578353776,11.0522332495174 58.8785180704966,11.0460216749767 58.8748348193595,11.0385430647604 58.8718494301929,11.030084613233 58.8696764392813,11.0209709014463 58.8683991983457,11.0115514955423 58.8680666949277,11.002187614702 58.8686916844078,10.993238365592 58.8702502032409,10.9850470547722 58.872682481599,10.9779280880151 58.8758952215981,10.9721549459794 58.8797651563842,10.967949689481 58.8841437572855,10.965474395327 58.8888629126729,10.9648248563752 58.8937413647015,10.9660267986891 58.8985916601844,10.969034776552 58.9032273507444,10.9737338054943 58.9074701661133,10.9799436878865 58.9111568836867,10.9874258791453 58.9141456275048,10.9958926397281 58.9163213505675,11.005018123606 58.9176002852078,11.0144509724407 58.9179331860324,11.0238279204832 58.9173072371591,11.0327878717004 58.9157465481922,11.0409858902325 58.9133112193436,11.0481065491208 58.9100950129074,11.0538761100984 58.9062217234714,11.0580730575367 58.9018403904221,11.0605365796086 58.8971195413326,11.0611726756471 58.8922406918981)))', 'SENOK', 'Nord-Koster', 'Y'),('SRID=4326;MULTIPOLYGON(((18.579751990433 62.9779485622861,18.5791022084301 62.9730706083538,18.5763741126537 62.9683440296449,18.5716734493468 62.9639503545637,18.565181508555 62.9600582476484,18.557148059343 62.9568170556048,18.5478817079986 62.9543511021829,18.5377380561981 62.9527549459509,18.5271061114138 62.9520897778298,18.5163934602356 62.9523810920872,18.5060107557978 62.9536177168874,18.4963560926485 62.9557522401018,18.4877998459284 62.9587028145445,18.4806705366306 62.9623562757942,18.4752422511606 62.9665724569465,18.4717240918338 62.9711895396441,18.4702520661051 62.9760302411353,18.4708837374932 62.9809086043961,18.4735958622558 62.9856371338547,18.4782851255883 62.9900340041237,18.4847719729895 62.9939300642275,18.492807410823 62.997175365624,18.5020825300581 62.9996449589509,18.5122403941902 63.0012437314968,18.5228898320468 63.0019100940295,18.5336205938706 63.0016183704427,18.544019269339 63.0003797948887,18.5536853324556 62.9982420764818,18.5622466725395 62.995287548848,18.5693739931851 62.9916299782466,18.5747935107477 62.9874101571932,18.57829745775 62.9827904581864,18.579751990433 62.9779485622861)))', 'SENON', 'Norrfällsviken', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0631874592603 57.4180857779943,12.0626895362713 57.413203099817,12.0604362991678 57.4084666337352,12.0565149561011 57.4040583150581,12.0510766478339 57.4001474109989,12.0443305718915 57.3968840374645,12.0365359120557 57.3943934172531,12.0279918880038 57.3927710962009,12.0190263059145 57.3920792968149,12.0099830425001 57.3923445456728,12.0012089310981 57.3935566629593,11.9930405384758 57.3956691516177,11.9857913245498 57.3986009714715,11.9797396642571 57.4022396320623,11.9751181815642 57.4064454885973,11.9721048006314 57.4110570800054,11.9708158593618 57.4158973082783,11.9713015573321 57.4207802255079,11.9735439253336 57.4255181706671,11.9774574099355 57.4299289832709,11.9828920667557 57.433843016429,11.9896392541713 57.4371096778579,11.997439619192 57.4396032442071,12.0059930735795 57.4412277211173,12.0149703754715 57.4419205578709,12.0240258639193 57.4416550699601,12.0328108444315 57.4404414735939,12.0409870955158 57.4383264910061,12.0482399608764 57.4353915420519,12.0542905096813 57.431749593567,12.0589062871811 57.4275407908966,12.061910237781 57.4229270436331,12.0631874592603 57.4180857779943)))', 'SENOS', 'Onsala', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1992141144453 60.9301732134195,17.1978949389036 60.9253271376727,17.1946593610288 60.9206993685966,17.1896324208251 60.9164676138286,17.1830077356698 60.9127943084855,17.1750399938849 60.9098204016228,17.1660351514809 60.9076599721775,17.1563387110958 60.9063958763633,17.1463225279334 60.9060765890329,17.1363706370688 60.9067143565391,17.126864628977 60.9082847297044,17.1181691150528 60.910727494305,17.1106178220299 60.9139489646848,17.1045008335798 60.917825555437,17.1000534592607 60.9222084982247,17.0974471559603 60.9269295274007,17.0967828560384 60.9318073207108,17.0980869710527 60.9366544514789,17.1013102424401 60.941284587549,17.1063295037461 60.945519660931,17.1129523066386 60.9491967312799,17.1209242493581 60.9521742763524,17.1299387363443 60.9543376633267,17.13964879666 60.9556035857313,17.1496805015881 60.9559232906308,17.1596474530003 60.9552844681012,17.1691657675854 60.9537117279382,17.1778689603952 60.9512656447203,17.185422135658 60.9480404093338,17.1915349231533 60.9441601803737,17.1959726528845 60.9397742800608,17.1985653362662 60.9350514242978,17.1992141144453 60.9301732134195)))', 'SENOT', 'Norrsundet', 'Y'),('SRID=4326;MULTIPOLYGON(((14.7166778600223 56.1181105429886,14.7158552696992 56.1132392341976,14.7133479599757 56.108551146914,14.7092528224391 56.1042263445144,14.7037275925978 56.1004308798588,14.6969847333763 56.0973104363386,14.689283250491 56.0949847558363,14.6809187571772 56.093543063703,14.672212167268 56.0930406625395,14.6634974430321 56.0934968222497,14.655108856428 56.0948940451374,14.6473682388984 56.0971787334378,14.640572695199 56.1002632343692,14.6349832410399 56.1040291863363,14.6308147927912 56.1083320410566,14.6282278908025 56.113006591836,14.6273224770057 56.1178732995892,14.6281339738986 56.1227451769697,14.6306318277541 56.1274349684213,14.6347205865539 56.1317623511236,14.6402434858957 56.1355608793895,14.6469884176548 56.1386844034211,14.6546960605923 56.1410127123555,14.6630698636619 56.1424561806863,14.6717874957036 56.1429592354022,14.6805133133817 56.1425025071017,14.688911355859 56.1411035800438,14.6966583521206 56.1388163114384,14.7034562263079 56.1357287468956,14.7090436079175 56.1319597144181,14.7132058961089 56.1276542312679,14.7157834883463 56.1229779042933,14.7166778600223 56.1181105429886)))', 'SENRJ', 'Norje', 'Y'),('SRID=4326;MULTIPOLYGON(((16.3078012546582 58.6095227858663,16.3067012051404 58.6046659319628,16.3038072775436 58.6000143454454,16.2992312920302 58.5957466666326,16.2931494912482 58.5920267314045,16.2857957083447 58.5889973007547,16.2774523639532 58.5867746040695,16.2684396406278 58.58544390135,16.2591032464843 58.5850562305495,16.2498012279377 58.5856264614183,16.2408903234491 58.5871327283482,16.2327123655557 58.5895172633645,16.2255812369015 58.5926885983586,16.2197708675228 58.5965250546125,16.2155047255754 58.6008793893825,16.2129472026187 58.6055844254405,16.2121972285257 58.610459451625,16.2132843715879 58.6153171520871,16.2161675885377 58.6199708003006,16.2207366898106 58.6242414420728,16.2268164808233 58.6279647904408,16.2341734344016 58.6309975647914,16.2425246472089 58.6332230266899,16.2515487387973 58.634555495156,16.260898270334 58.6349436634167,16.2702131953516 58.6343725859878,16.2791348104925 58.6328642573591,16.2873196526185 58.6304767593805,16.2944527910255 58.6273020112457,16.3002599897139 58.6234622112923,16.3045182632402 58.6191051113119,16.3070644179421 58.6143983095102,16.3078012546582 58.6095227858663)))', 'SENRK', 'Norrköping', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7275542116334 57.6733728820705,16.726428393101 57.6685191276641,16.7235575845325 57.6638762683244,16.7190526743784 57.659622610485,16.7130871411181 57.6559214555162,16.7058903324638 57.6529148491616,16.6977386373359 57.6507181513192,16.6889448919669 57.6494156305188,16.6798464230167 57.6490572481992,16.6707921772807 57.6496567529376,16.6621294184982 57.6511911557162,16.6541904863554 57.6536016058487,16.647280110755 57.6567956350409,16.6416637558375 57.6606506860008,16.6375574333721 57.6650187937635,16.6351193746436 57.6697322441466,16.6344438848892 57.674609996103,16.6355576262311 57.6794646246392,16.6384184860357 57.6841095196918,16.6429170904608 57.688366064909,16.6488809210187 57.6920705193438,16.6560808892212 57.6950803349392,16.6642401251386 57.6972796632187,16.6730446445222 57.6985838351922,16.6821554804645 57.6989426380439,16.6912218034045 57.6983422591743,16.6998945109551 57.6968058206801,16.7078397488194 57.6943924831674,16.7147518271075 57.6911951545084,16.7203650224633 57.6873368943091,16.7244638041349 57.6829661561119,16.7268910888562 57.6782510545582,16.7275542116334 57.6733728820705)))', 'SENVL', 'Nävelsö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5909237707583 57.9790523038364,11.5896711421303 57.9742077106359,11.5866642617133 57.9695859755823,11.5820192450723 57.9653645865937,11.5759149429851 57.9617055996685,11.5685860160133 57.9587494369846,11.5603139053466 57.9566095195388,11.5514160485427 57.9553679361895,11.5422337497884 57.9550723113381,11.5331191603035 57.955733988245,11.5244218546005 57.9573275957581,11.5164755019312 57.9597920147032,11.5095851291716 57.9630327081019,11.5040154516455 57.9669253284729,11.4999807122795 57.9713204674816,11.4976364176801 57.9760493698007,11.4970732932923 57.9809303958281,11.4983137003191 57.985775988327,11.501310666731 57.9903998773609,11.5059495862798 57.9946242470886,11.5120525364165 57.9982865877215,11.519385062405 58.0012459665104,11.527665175141 58.0033884728352,11.5365742188248 58.0046316237036,11.545769186167 58.0049275560731,11.5548959972667 58.0042648798663,11.5636032169782 58.00266911837,11.5715556667312 58.0002017186833,11.5784473914257 57.9969576715763,11.5840134699216 57.9930618351019,11.5880402072148 57.988664107217,11.5903733149427 57.9839336373812,11.5909237707583 57.9790523038364)))', 'SENVS', 'Nordviksstrand', 'Y'),('SRID=4326;MULTIPOLYGON(((12.577785893532 56.2458851329262,12.5772326836074 56.2410033383122,12.5749801369889 56.2362754165597,12.5711153846413 56.2318829751748,12.5657873509822 56.2279946751768,12.5592009695132 56.2247597705785,12.5516092801435 56.2223023986752,12.5433037159644 56.2207168366086,12.5346029510327 56.2200639023857,12.5258407305198 56.2203686350196,12.5173531392879 56.2216193403212,12.5094657838869 56.2237680377968,12.5024813657918 56.2267322918556,12.4966681103849 56.230398358867,12.4922494869842 56.2346255322893,12.4893956107142 56.2392515228247,12.488216658144 56.2440986709606,12.4887585567887 56.2489807568289,12.4910011256949 56.2537101483581,12.4948587529126 56.2581050142826,12.5001835987612 56.2619963244693,12.5067712150568 56.2652343666318,12.5143683739017 56.267694525809,12.5226828095282 56.2692821005214,12.5313944972812 56.2699359663546,12.5401680290865 56.2696309424658,12.5486655980375 56.2683787673854,12.5565600785656 56.2662276453678,12.5635476844601 56.263260381119,12.5693597050278 56.2595911765439,12.5737728589464 56.2553612158499,12.5766178637721 56.250733212671,12.577785893532 56.2458851329262)))', 'SENYE', 'Nyhamnsläge', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5165854841065 56.0391827215435,14.5157897515959 56.0343100768253,14.5133118036237 56.0296179317947,14.5092474032106 56.0252865073138,14.5037531065872 56.0214821120127,14.4970401917115 56.0183507733133,14.4893665186067 56.0160126520415,14.4810266373488 56.0145574512688,14.4723405211587 56.0140409917905,14.463641349596 56.014483082408,14.4552627992735 56.015866764522,14.4475263161751 56.0181389591849,14.4407288442624 56.0212124924499,14.4351314695836 56.0249694233691,14.4309494078462 56.029265550081,14.4283437169985 56.0339359248126,14.4274150557856 56.0388011698941,14.4281997359839 56.0436743555446,14.4306682320622 56.048368177505,14.4347262199635 56.0527021596165,14.4402181197052 56.0565096038732,14.4469330182352 56.0596440186779,14.4546127535395 56.0619847748949,14.4629618526283 56.0634417683062,14.4716589389487 56.0639589052027,14.4803691628354 56.0635162736521,14.4887571650572 56.062130914606,14.4965000606629 56.0598561623103,14.5032999294458 56.0567795800885,14.5088953204585 56.0530195730651,14.5130713199911 56.04872081141,14.5156677930123 56.0440486440422,14.5165854841065 56.0391827215435)))', 'SENYM', 'Nymölla', 'Y'),('SRID=4326;MULTIPOLYGON(((18.005147378792 58.8988890160988,18.0038002549986 58.8940499862098,18.0006555688288 58.8894398817462,17.995834760574 58.885235736731,17.9895234488401 58.8815989367766,17.9819642431954 58.8786690441196,17.973447410508 58.8765584644156,17.9642997551475 58.8753481556807,17.954872135014 58.8750845399461,17.9455260817641 58.875777732856,17.9366200237332 58.8774011571965,17.9284956233855 58.8798925548633,17.921464737435 58.8831563597997,17.9157974871023 58.8870673436759,17.9117118886224 58.8914753982776,17.9093654407437 58.8962112753768,17.9088489976209 58.9010930678655,17.9101831738048 58.9059331865922,17.9133174351739 58.9105455668935,17.9181319285174 58.9147528282718,17.9244419966194 58.9183931106767,17.9320052192474 58.9213263217008,17.9405307179871 58.9234395504964,17.9496903691418 58.9246514357466,17.9591314885582 58.9249153154097,17.9684904894325 58.9242210336603,17.9774069722677 58.922595333479,17.9855376875167 58.9201008194466,17.9925698170813 58.9168335320589,17.9982330504158 58.9129192298175,18.0023099828399 58.9085085261273,18.0046444349345 58.9037710725154,18.005147378792 58.8988890160988)))', 'SENYN', 'Nynäshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2152012580681 58.9161831081756,17.2139637811911 58.9113353849295,17.2109224099144 58.9067056271207,17.2061946284292 58.9024716289412,17.1999624996979 58.8987959261971,17.1924656118025 58.8958195766939,17.1839918571355 58.8936567694757,17.1748664007624 58.8923904655252,17.1654392570005 58.8920692330701,17.1560719406231 58.8927053955649,17.1471236902151 58.8942745613413,17.138937775528 58.8967165525142,17.1318283979757 58.8999376987224,17.126068673706 58.9038144104102,17.1218801522726 58.9081978983284,17.1194242714529 58.91291986243,17.1187960812423 58.9177989359454,17.1200204890718 58.9226476405917,17.1230511860069 58.9272795878737,17.1277723129274 58.9315166502725,17.1340028199699 58.9351958254831,17.1415033659435 58.9381755270485,17.1499855015501 58.9403410556032,17.1591227858028 58.941609035865,17.168563403695 58.9419306444025,17.1779437891354 58.9412935005058,17.1869027138893 58.9397221452531,17.195095283132 58.9372770898581,17.2022062823556 58.9340524711828,17.2079623485316 58.9301724074344,17.2121424890211 58.9257861981827,17.2145865419703 58.9210625577725,17.2152012580681 58.9161831081756)))', 'SENYO', 'Nyköping', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4370286248613 58.7971015323193,17.4357648978539 58.7922560502079,17.4327049258905 58.7876315789127,17.4279668993446 58.7834057086287,17.4217332665962 58.7797406627429,17.4142436668268 58.7767770902356,17.4057857082621 58.7746286905219,17.3966839480727 58.7733778727575,17.3872874924424 58.7730726120705,17.3779566822909 58.773724620029,17.36904936091 58.7753088975174,17.3609072337831 58.7777646867599,17.353842827889 58.7809977872184,17.3481275378608 58.7848841492365,17.343981209793 58.789274611328,17.341563660892 58.7940006035872,17.3409684656077 58.7988806024148,17.3422192579262 58.8037270920627,17.3452687073358 58.8083537676656,17.3500002254252 58.8125827034433,17.3562323546702 58.8162512093158,17.3637256847876 58.8192181095512,17.3721920396436 58.8213691981177,17.3813055838089 58.8226216565055,17.3907154170944 58.8229272598158,17.4000591619499 58.8222742443191,17.4089770058888 58.82068776252,17.4171256414628 58.8182289077812,17.4241915508431 58.8149923473353,17.4299031105081 58.8111026575908,17.4340410422807 58.8067095066495,17.4364468072149 58.8019818737695,17.4370286248613 58.7971015323193)))', 'SENYS', 'Nynäs', 'Y'),('SRID=4326;MULTIPOLYGON(((20.3601686349967 63.6892605136131,20.3591992214639 63.6843922369735,20.3561095481975 63.6797014022033,20.3510192734716 63.6753681460198,20.3441246419497 63.6715587952358,20.3356908479801 63.6684195050372,20.3260418086299 63.6660706782123,20.3155477447519 63.6646023743475,20.3046110428328 63.6640708799278,20.2936509273715 63.6644965664569,20.2830875122399 63.6658631157103,20.2733258194393 63.6681181406685,20.2647403546769 63.6711751791989,20.2576608112664 63.6749169868175,20.252359437159 63.6792000065178,20.2490405448798 63.6838598493147,20.2478325715689 63.6887175803974,20.2487830075292 63.6935865740703,20.2518564086912 63.6982796773348,20.2569355940577 63.7026164081166,20.2638260072225 63.7064299106282,20.2722630960506 63.7095733976211,20.2819224418699 63.7119258273828,20.2924322547643 63.7133965918113,20.3033877505994 63.7139290298222,20.3143668436663 63.7135026262581,20.3249465309173 63.7121338085058,20.3347193130654 63.7098753089443,20.3433089961531 63.7068141186842,20.3503852446719 63.703068114273,20.3556763122954 63.6987814916406,20.3589794555701 63.6941191882847,20.3601686349967 63.6892605136131)))', 'SEOBB', 'Obbola', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7125668622419 57.7070102851228,11.711308463481 57.7021667659183,11.70830974203 57.6975476743567,11.7036864878923 57.6933303972658,11.697616706628 57.6896768339187,11.6903337277536 57.6867271999586,11.6821172274043 57.6845946676877,11.6732825117936 57.6833610443328,11.6641684685074 57.6830736502193,11.6551246382776 57.6837435134964,11.6464978896596 57.6853449487943,11.6386191924527 57.6878165356316,11.6317909824998 57.6910634602865,11.6262755907242 57.6949611339276,11.6222851732316 57.6993599518251,11.6199735276749 57.7040910150924,11.6194301149457 57.7089725992534,11.6206765261867 57.7138171244233,11.6236655453013 57.7184383612973,11.6282828593782 57.7226585964438,11.6343513671795 57.7263154802529,11.6416379330652 57.7292682915714,11.6498623348128 57.7314033743727,11.6587080632935 57.7326385331344,11.6678345543098 57.7329262137787,11.6768903720726 57.7322553445345,11.6855268230303 57.7306517639215,11.6934114602896 57.7281772190263,11.7002409436904 57.7249269739088,11.7057527484417 57.7210261229108,11.7097352645326 57.7166247544857,11.7120358972277 57.711892155814,11.7125668622419 57.7070102851228)))', 'SEOC2', 'Björnhuvudet, Öckerö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7035659240764 57.7060136057811,11.7023087633905 57.7011699858615,11.6993112679188 57.696550669917,11.6946891806578 57.6923330534578,11.6886204625023 57.6886790488387,11.6813384023343 57.6857288886757,11.6731226412142 57.6835957654794,11.6642884571525 57.6823615091471,11.655174717457 57.682073464271,11.6461309512631 57.6827426839397,11.6375040246463 57.6843435074472,11.6296249141406 57.6868145377636,11.6227960712955 57.6900609825138,11.6172798511359 57.6939582712939,11.6132884413714 57.6983568141768,11.6109756775812 57.703087722883,11.6104310634802 57.7079692789343,11.6116762363076 57.7128139035953,11.6146640275772 57.7174353638076,11.6192801716688 57.7216559376163,11.6253476124829 57.7253132624374,11.6326332556045 57.7282666001845,11.6408569145038 57.7304022745883,11.6497021088058 57.7316380673524,11.6588282949914 57.7319263999766,11.6678840490569 57.731256175565,11.6765206798791 57.729653207787,11.6844057335458 57.7271792201187,11.6912358537173 57.7239294551659,11.6967484909101 57.7200289888032,11.7007320028922 57.7156278947156,11.7030337564504 57.7108954495799,11.7035659240764 57.7060136057811)))', 'SEOCO', 'Öckerö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1881923805175 58.9091932297379,11.186958954203 58.9043452185396,11.1839218168767 58.8997147950506,11.1791982901862 58.8954797792503,11.1729702740451 58.8918027462065,11.1654771991767 58.8888248049284,11.1570068122475 58.8866602056257,11.1478841497081 58.885391978059,11.1384591191919 58.8850687642168,11.1290931547159 58.8857029634875,11.1201454430709 58.887270259424,11.1119592331428 58.8897105457921,11.1048487372343 58.8929302175899,11.0990871137874 58.8968057418409,11.0948959845335 58.9011883749331,11.0924368866603 58.9059098497603,11.0918049931078 58.9107888185179,11.0930253531663 58.9156378071586,11.0960518132933 58.9202704164988,11.1007686773473 58.9245084937834,11.1069950597425 58.928188997862,11.1144917784826 58.9311702912921,11.1229705321579 58.9333376135288,11.1321050105576 58.9346075202688,11.1415435071885 58.9349311138842,11.1509225379361 58.9342959371694,11.1598809267848 58.9327264553787,11.1680737993403 58.9302831075236,11.1751859289772 58.9270599646902,11.180943908537 58.9231810882888,11.1851266710402 58.9187957322658,11.1875739530624 58.9140725782679,11.1881923805175 58.9091932297379)))', 'SEODD', 'Öddö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7634714828237 57.6093601010537,16.7623430257769 57.6045066351896,16.7594728580342 57.5998645434786,16.7549718404902 57.5956121029101,16.7490132997469 57.5919125683349,16.7418263134999 57.5889079236492,16.7336868930865 57.5867134538891,16.7249074041164 57.5854133425041,16.7158246275066 57.5850574588226,16.7067869098397 57.5856594557468,16.6981408828088 57.5871962486442,16.6902182460355 57.589608894924,16.6833231054937 57.5928048416379,16.6777203411587 57.5966614573822,16.6736254426477 57.6010307165345,16.6711962011522 57.6057448601203,16.6705265809495 57.6106228199696,16.6716430157591 57.6154771627512,16.6745032863112 57.6201212892232,16.6789980384674 57.6243766126227,16.6849548994761 57.6280794392148,16.6921450473691 57.6310872839235,16.70029198948 57.633284374538,16.70908221509 57.6345861286069,16.7181773087242 57.6349424267176,16.7272270486416 57.6343395528746,16.7358829728674 57.6328007252135,16.7438118750209 57.6303851961002,16.7507086952827 57.6271859573687,16.7563082979584 57.6233261416027,16.7603956747675 57.6189542615987,16.7628141796306 57.6142384753314,16.7634714828237 57.6093601010537)))', 'SEOEO', 'Östra Eknö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7723485324858 63.288876446218,18.7716603214303 63.2839994320287,18.7688723858557 63.2792765319205,18.7640927902563 63.274889129801,18.7575058681303 63.2710056455257,18.749365038714 63.2677750908836,18.7399830249121 63.2653213778854,18.7297198547824 63.2637385928061,18.7189691046473 63.2630874121578,18.7081429005035 63.2633927935362,18.6976562349763 63.264643026664,18.6879111791057 63.2667901795668,18.6792815715459 63.2697519233141,18.6720987522813 63.2734146678079,18.6666388738991 63.2776378923531,18.6631122712058 63.2822595098341,18.6616553003091 63.2871020638093,18.6623249724748 63.2919795252176,18.6650966080237 63.2967044309985,18.6698646239893 63.3010950918996,18.6764464497691 63.3049825919468,18.6845894420054 63.3082173079867,18.6939805485309 63.3106746944732,18.7042583570067 63.3122601058751,18.7150270625532 63.3129124658454,18.725871805619 63.3126066372468,18.7363747711891 63.3113543984422,18.7461314066857 63.309203986753,18.7547661105634 63.3062382272311,18.7619467669759 63.3025713213408,18.7673975526172 63.2983444233115,18.7709095169723 63.2937201795127,18.7723485324858 63.288876446218)))', 'SEOER', 'Örnsköldsvik', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4952737827243 60.3409567408768,18.4946806701236 60.3360770313032,18.4921790116488 60.3313484120795,18.4878656921272 60.3269525027287,18.4819070037658 60.3230580734119,18.4745321747303 60.3198145838915,18.4660245239708 60.3173464704442,18.4567105875876 60.3157483956319,18.4469476323786 60.3150816386602,18.4371100269509 60.3153717607752,18.4275749788873 60.316607632344,18.4187081673198 60.3187418575904,18.4108498036097 60.3216925811093,18.4043016386187 60.3253466089855,18.3993154035098 60.329563728284,18.3960831226278 60.3341820635333,18.3947296726454 60.3390242691857,18.3953078831583 60.3439043243919,18.397796382201 60.3486346721084,18.4021002883481 60.3530334296653,18.4080547424944 60.3569313932885,18.4154311610991 60.3601785651503,18.4239459832193 60.3626499483705,18.4332715809824 60.3642503825933,18.4430489122503 60.3649182294134,18.452901419787 60.3646277616649,18.4624496272942 60.3633901616003,18.4713258522315 60.3612530881444,18.4791884501383 60.358298830317,18.4857350255389 60.3546411201002,18.4907140892755 60.350420731032,18.4939347087823 60.3458000363757,18.4952737827243 60.3409567408768)))', 'SEOGR', 'Öregrund', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5537268117114 57.0104407797016,16.5526453911113 57.0055847777516,16.5498490273478 57.0009371425124,16.54544572648 56.9966763678644,16.5396050505768 56.9929660334403,16.5325515491788 56.989948542643,16.5245561156485 56.9877396779385,16.515925602686 56.9864241784435,16.5069910921179 56.9860525056613,16.4980952603266 56.9866389182965,16.4895793114135 56.9881609280126,16.4817699648029 56.9905601564866,16.4749669822212 56.9937445619091,16.4694317008554 56.9975919519258,16.4653770053142 57.0019546516823,16.4629591214326 57.0066651517847,16.4622715510274 57.0115425232453,16.4633413899749 57.0163993562974,16.4661281845425 57.0210489585972,16.4705253854937 57.0253125367978,16.4763643594179 57.0290260844516,16.4834208158884 57.0320467089707,16.4914234116624 57.0342581508082,16.5000642036541 57.0355752785016,16.5090105451462 57.0359473826687,16.5179179586026 57.0353601389302,16.5264434767157 57.033836162151,16.5342589232361 57.031434130122,16.5410636077832 57.0282465114691,16.546595934064 57.0243959877318,16.5506434673574 57.0200307108448,16.5530510722167 57.0153185825463,16.5537268117114 57.0104407797016)))', 'SEOKO', 'Oknö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8520999651561 59.5478151886833,18.8514662923909 59.5429363736126,18.8489707306884 59.5382140415197,18.844709885139 59.5338295709966,18.8388479945758 59.529951295998,18.831610544645 59.5267280610498,18.8232755698726 59.5242835309598,18.8141629838515 59.5227114691857,18.804622345251 59.522072161655,18.7950195206434 59.5223901193638,18.7857227421072 59.523653145118,18.7770885775991 59.5258127989684,18.7694483348851 59.5287862449504,18.7630954053661 59.5324594103918,18.7582740226523 59.5366913400144,18.755169862754 59.5413195819915,18.7539028491659 59.5461664036526,18.7545224482832 59.551045602112,18.7570056504646 59.5557696510814,18.7612577322427 59.5601569105904,18.76711578899 59.5640386220876,18.7743549187278 59.5672654178712,18.7826968311988 59.5697130910287,18.7918205566106 59.5712873995981,18.8013748404214 59.5719277155969,18.810991738696 59.5716093744987,18.8203008767633 59.5703446318651,18.8289438050379 59.5681821890254,18.836587881551 59.5652053065433,18.842939131244 59.5615285802672,18.8477535762492 59.55729350758,18.8508465967616 59.5526630188108,18.8520999651561 59.5478151886833)))', 'SEOLA', 'Östra Lagnö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4343517165695 61.6260780173697,17.432964029252 61.6212350851841,17.429618926479 61.6166140038592,17.4244456889403 61.6123922185556,17.4176435721375 61.6087317747976,17.4094740808781 61.6057731208884,17.400250904409 61.6036297440815,17.390327901204 61.6023838415512,17.380085589052 61.6020831876433,17.3699166461538 61.6027393138604,17.3602109616084 61.6043270691166,17.3513407884773 61.6067855766491,17.3436465493662 61.6100205522673,17.337423823174 61.6139078980567,17.3329120025961 61.6182984379088,17.3302850556844 61.6230236179688,17.3296447522576 61.6279019578427,17.3310166287415 61.6327460086473,17.3343488653199 61.6373695529845,17.3395141400633 61.6415947707234,17.3463144097364 61.6452590937831,17.3544884507459 61.6482214832722,17.3637218811916 61.6503678832285,17.3736592815258 61.6516156362299,17.3839179421244 61.6519166862122,17.3941026958783 61.6512594413739,17.4038212466243 61.6496692231013,17.412699382537 61.6472072831301,17.4203954687526 61.6439684282092,17.4266136451726 61.6400773468421,17.431115211768 61.6356837838445,17.433727761564 61.630956753317,17.4343517165695 61.6260780173697)))', 'SEOLM', 'Olmen', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1281235146878 57.3650613469408,12.1276174419557 57.3601788169219,12.1253588277961 57.3554434311921,12.1214350841045 57.3510370832831,12.1159974411221 57.3471289646513,12.1092550685698 57.3438690843814,12.1014670065495 57.3413825314558,12.0929322209109 57.3397646959784,12.0839781636521 57.3390776287056,12.074948270435 57.3393476749507,12.0661888633461 57.3405644709975,12.0580359469596 57.3426813402484,12.0508023892247 57.3456170742068,12.0447659656641 57.3492590317791,12.0401587160766 57.353467441044,12.0371580179418 57.3580807422598,12.0358797209321 57.3629217710825,12.0363736137321 57.3678045482494,12.0386214096482 57.372541417654,12.0425373437627 57.376950259889,12.0479713747723 57.3808615037601,12.0547148828489 57.3841246643935,12.0625086550205 57.3866141534012,12.0710528561205 57.3882341336868,12.0800186007313 57.3889222279658,12.089060673895 57.388651934572,12.0978308992356 57.3874336548482,12.1059916251964 57.3853142912686,12.1132287948916 57.3823754320694,12.1192640829134 57.3787301941341,12.1238656223414 57.3745188487893,12.1268569050178 57.369903402768,12.1281235146878 57.3650613469408)))', 'SEOLS', 'Ölmanäs', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9194677039705 57.6359350092106,11.9181845595842 57.6310937446792,11.9151658618151 57.6264797112918,11.9105281624723 57.6222701005619,11.9044500160838 57.6186265168354,11.8971650681341 57.6156887925958,11.8889530664191 57.6135696434238,11.8801291423577 57.6123503636684,11.8710317692931 57.6120777241133,11.8620098501131 57.6127621875667,11.8534094160173 57.6143775089903,11.845560431408 57.616861735201,11.8387641964383 57.6201195670716,11.8332818187603 57.6240259962661,11.8293241897984 57.6284310806246,11.8270438491012 57.6331656790176,11.8265290540827 57.6380479294394,11.8278002933492 57.6428902247282,11.830809391998 57.6475064198589,11.8354412595985 57.6517189942124,11.8415182294544 57.6553658922587,11.8488068352006 57.6583067769393,11.857026772178 57.6604284515247,11.8658617008965 57.6616492371938,11.8749714726516 57.6619221339009,11.8840052969641 57.6612366396885,11.8926153301832 57.6596191565191,11.9004701465264 57.6571319666822,11.9072675580138 57.6538708204913,11.9127462778823 57.6499612308573,11.9166959715787 57.6455536210883,11.9189653076275 57.6408175167838,11.9194677039705 57.6359350092106)))', 'SEONN', 'Önnered', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3049172206163 55.4502572946466,14.3041590615616 55.4453829292836,14.3017428911456 55.4406862594719,14.2977620812595 55.4363476833913,14.2923699663628 55.4325337886011,14.2857738972366 55.4293909717207,14.2782272522901 55.4270398382263,14.2700197164451 55.4255705936647,14.2614661986896 55.425039599456,14.2528948065894 55.4254672222585,14.2446343283211 55.4268370572314,14.2370016895036 55.4290965541454,14.2302898529257 55.4321590229323,14.2247566142013 55.435906943708,14.220614715711 55.4401964573084,14.218023655532 55.4448628676622,14.2170835084273 55.4497269485046,14.2178310038232 55.45460181549,14.2202380230331 55.4593001019751,14.2242125873532 55.4636411636566,14.2296023131554 55.4674580345656,14.236200213379 55.4706038649957,14.2437526308493 55.472957590685,14.2519690018311 55.474428611448,14.260533072266 55.4749602954536,14.2691151280361 55.474532171028,14.2773847575155 55.4731607193796,14.2850236418951 55.4708987368625,14.2917378675568 55.4678332919559,14.2972692751727 55.4640823576312,14.3014054011341 55.459790251838,14.3039876261804 55.455122065285,14.3049172206163 55.4502572946466)))', 'SEORH', 'Örnahusen', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4084549093778 58.375115985239,11.4072117241218 58.3702697986727,11.4041935250102 58.3656440901932,11.3995168807314 58.3614164997136,11.3933618710184 58.3577493196609,11.3859651119441 58.3547832842779,11.3776106505841 58.3526321906945,11.3686190807523 58.3513785540127,11.3593352932523 58.3510704591003,11.3501153206859 58.3517197266271,11.3413127674003 58.3533014617208,11.3332653291018 58.3557550021471,11.3262819037608 58.3589862308627,11.3206307757355 58.3628711668953,11.316529318829 58.3672607004847,11.3141356119388 58.3719862949734,11.3135422941004 58.3768664406253,11.3147729056396 58.3817136158559,11.3177808710104 58.3863414905192,11.3224511795177 58.3905720949209,11.3286047159941 58.3942426777921,11.3360050886572 58.397211986842,11.3443677002984 58.3993657265542,11.3533707162983 58.400620978977,11.362667503276 58.4009294132601,11.3719000495735 58.4002791570673,11.3807128366038 58.3986952557869,11.3887666106651 58.3962387014361,11.3957515092263 58.3930040699012,11.4013990236484 58.3891158602033,11.4054923302697 58.384723680488,11.4078745910006 58.3799964702608,11.4084549093778 58.375115985239)))', 'SEORI', 'Ö Rörvik, Åbyfjorden', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7081742015075 60.2708756521354,18.7075503698626 60.2659966914342,18.7050230119862 60.2612719061361,18.7006899935217 60.2568827671523,18.694718356072 60.2529977838171,18.6873378181382 60.2497660529707,18.6788319122083 60.2473115598076,18.6695271038031 60.2457284448601,18.6597803082688 60.2450774142067,18.6499652754954 60.2453834266248,18.6404583505108 60.2466347435379,18.6316241384606 60.2487833768922,18.6238016055338 60.2517469182384,18.6172911329318 60.2554116810038,18.6123430091962 60.259637038926,18.609147797634 60.2642607985405,18.607828951066 60.269105404071,18.6084379670289 60.2739847405529,18.6109522848223 60.2787112768445,18.6152760240347 60.2831032754625,18.6212435557462 60.2869917917201,18.6286257865214 60.2902271909219,18.6371389261568 60.2926849293994,18.6464554078682 60.29427037255,18.656216539153 60.2949224598466,18.6660463876294 60.2946160716471,18.6755663527082 60.2933630037374,18.6844098440056 60.2912115107453,18.6922364826521 60.2882444364749,18.6987452623918 60.284576005355,18.7036861524105 60.2803474021214,18.7068696906717 60.2757213143073,18.7081742015075 60.2708756521354)))', 'SEORM', 'Ormön', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3674684087687 58.3841310899677,11.3662304873064 58.3792844750492,11.3632168289996 58.3746577746903,11.3585438290607 58.3704286671357,11.352391428334 58.3667595032125,11.3449961437523 58.3637910933724,11.3366419666387 58.3616373258389,11.3276494804472 58.3603808182158,11.3183636113269 58.3600697653802,11.3091404715521 58.3607161013402,11.3003337864576 58.3622950435856,11.292281409512 58.3647460369945,11.2852924273158 58.3679750623037,11.2796353366514 58.3718582232457,11.2755277395472 58.3762464784305,11.2731279502969 58.3809713405854,11.2725288415428 58.3858513284368,11.2737541764725 58.3906989267985,11.2767575830438 58.3953277895614,11.2814242267771 58.3995599092747,11.2875751345048 58.4032324765382,11.2949740165931 58.4062041627727,11.3033363340344 58.4083605809528,11.3123402640842 58.4096187099374,11.3216391383681 58.409930108011,11.3308748646899 58.409282788606,11.3396918015239 58.4077016839539,11.3477505346663 58.4052476783836,11.3547410098451 58.4020152497333,11.3603945029885 58.3981288123986,11.364493959761 58.3937379065701,11.3668823051617 58.3890114230564,11.3674684087687 58.3841310899677)))', 'SEORN', 'Örn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4793804766197 59.0539500253499,18.4788072674773 59.0490695350605,18.4763974486548 59.044340406642,18.4722443116857 59.0399442844984,18.4665079476484 59.0360499553738,18.4594090209205 59.0328068853974,18.4512202561096 59.0303395051983,18.4422559702453 59.0287424583035,18.4328600504873 59.0280769908414,18.4233928307188 59.0283686172363,18.4142173574045 59.0296061486747,18.4056855553585 59.0317421203228,18.3981248072927 59.0346946012934,18.3918254471559 59.0383503199343,18.3870296365769 59.0425689878526,18.3839220466947 59.0471886608913,18.3826227052155 59.0520319356251,18.3831822920161 59.0569127473463,18.3855800779665 59.0616435112859,18.3897246034265 59.0660423340469,18.3954570883429 59.0699400177414,18.4025574589024 59.0731865855379,18.4107527706911 59.0756570742956,18.4197277099635 59.077256367237,18.4291367676742 59.0779228762928,18.4386176098023 59.0776309284653,18.4478051159986 59.0763917615032,18.4563455295496 59.0742530892346,18.4639101567208 59.0712972536922,18.470208073008 59.0676380372321,18.4749973365995 59.0634162607579,18.4780942730776 59.0587943416756,18.4793804766197 59.0539500253499)))', 'SEORO', 'Ornö', 'Y'),('SRID=4326;MULTIPOLYGON(((21.2631989482889 64.6729079408537,21.2620337419535 64.6680468556051,21.2586779492101 64.6633764930997,21.2532615105621 64.6590761900978,21.2459932256138 64.6553109931932,21.2371526308079 64.6522253483935,21.2270792239631 64.6499375879084,21.2161594545631 64.6485354202807,21.2048119740321 64.6480725914835,21.1934716974167 64.6485668405066,21.1825732662322 64.6499992248226,21.1725345213196 64.6523148405765,21.1637405942515 64.6554249109908,21.1565292061149 64.6592101659812,21.1511777235502 64.6635253879463,21.1478924641342 64.6682049547472,21.1468006673384 64.6730691725807,21.1479454547001 64.6779311602342,21.1512839955825 64.6826040234278,21.1566889759182 64.6869080446952,21.1639533405307 64.6906776113716,21.172798149821 64.6937676121915,21.1828832643617 64.6960590517803,21.1938204522816 64.6974636614839,21.2051884103413 64.6979273235438,21.216549105968 64.6974321721135,21.2274647890287 64.6959972871039,21.2375149922374 64.6936779530793,21.2463128396033 64.6905635128911,21.2535200132179 64.6867739018827,21.2588597880716 64.6824550008193,21.2621276289838 64.6777729919479,21.2631989482889 64.6729079408537)))', 'SEORV', 'Örviken', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8074168555581 57.5673442380197,16.8062839681155 57.562491160444,16.803411639863 57.5578500508802,16.7989108125015 57.5535991484839,16.7929548033918 57.5499016490845,16.7857725915902 57.5468994586237,16.7776400043909 57.5447077682059,16.7688691451143 57.5434106549243,16.7597964641747 57.5430578733443,16.7507699219673 57.5436629575399,16.7421357228838 57.5452027044939,16.7342251142226 57.5476180581846,16.7273417416586 57.5508163615308,16.7217500342878 57.5546748923103,16.7176650573877 57.5590455509243,16.7152442205687 57.5637605241654,16.7145811639943 57.5686387115269,16.7157020673634 57.5734926705489,16.718564537511 57.5781358164783,16.7230591335423 57.5823896001416,16.7290134867615 57.5860903870634,16.7361988702101 57.5890957708066,16.7443389737421 57.5912900741181,16.7531205497445 57.5925888221149,16.762205516277 57.5929420113605,16.7712440425712 57.5923360457172,16.7798880997638 57.5907942623949,16.7878049397478 57.5883760274348,16.7946899681876 57.5851744365654,16.8002785038981 57.5813127125049,16.8043559644614 57.5769394409998,16.806766084562 57.5722228330459,16.8074168555581 57.5673442380197)))', 'SEORX', 'Örö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4281499870228 60.261981324985,18.4275680126085 60.2571013368773,18.4250818130998 60.2523715044516,18.4207876760327 60.2479734946803,18.4148511550283 60.2440761593257,18.407500626967 60.240829070633,18.3990184794367 60.2383568037987,18.3897302725066 60.2367541813109,18.3799922891691 60.2360826571147,18.3701779435052 60.2363679752976,18.360663553755 60.2375991901986,18.3518140083832 60.2397290841707,18.3439688566555 60.2426759673758,18.3374293411341 60.2463267926736,18.3324468580977 60.2505414695944,18.3292132836668 60.2551582162088,18.3278535392577 60.2599997480417,18.3284206912123 60.2648800704964,18.330893787999 60.2696116168995,18.33517853685 60.2740124593419,18.3411108134161 60.2779133148134,18.348462886998 60.2811640751634,18.3569521347209 60.2836396062187,18.366251915578 60.2852445885424,18.3760041845506 60.2859172089251,18.3858333526953 60.2856315563944,18.3953608451791 60.2843986275129,18.4042197787623 60.2822659008662,18.4120691749102 60.2793154975423,18.4186071448899 60.275661000588,18.4235825277222 60.2714430594493,18.4268045282307 60.2668239530024,18.4281499870228 60.261981324985)))', 'SEOSH', 'Östhammar', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5040446261064 57.2664574408933,16.5029616553167 57.2616012076989,16.5001515973375 57.2569527129018,16.495722994372 57.2526904826444,16.489846387712 57.2489781511383,16.4827477105282 57.2459581967912,16.4746995906224 57.2437464948826,16.4660108995431 57.2424278918667,16.4570149456823 57.2420529672407,16.4480567555342 57.242636104018,16.4394799182318 57.2441549398081,16.4316134832198 57.2465512190238,16.4247593991932 57.2497330145475,16.4191809642624 57.2535782360614,16.4150927229983 57.2579392939063,16.4126521962076 57.2626487434853,16.4119537650422 57.2675256974613,16.413024953892 57.2723827627753,16.4158252685546 57.2770332381048,16.4202476501578 57.2812982957895,16.4261225045571 57.2850138711684,16.4332241653507 57.2880369919836,16.441279550512 57.2902513008894,16.4499786824242 57.2915715545392,16.4589866631717 57.2919469221413,16.4679566352727 57.2913629532431,16.4765432158959 57.2898421369181,16.4844158722634 57.2874430302727,16.4912717085368 57.2842579908754,16.4968471598448 57.2804096028946,16.500928135849 57.2760459380552,16.5033582218137 57.2713348378446,16.5040446261064 57.2664574408933)))', 'SEOSK', 'Oskarshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8096856366173 56.127715231106,15.8087248530915 56.1228519512816,15.8060844212189 56.1181867679161,15.8018663346767 56.1138988573802,15.7962330332088 56.1101528502471,15.7894011084821 56.107092527688,15.7816329645032 56.1048353227737,15.7732267554617 56.1034678339328,15.7645049843144 56.1030425189904,15.7558021916732 56.1035756935093,15.7474521956015 56.1050469081995,15.7397753581498 56.1073997286562,15.7330663535891 56.1105438883854,15.7275828963394 56.1143587347553,15.7235358538445 56.1186978389183,15.7210811217702 56.1233945965935,15.7203135769201 56.1282686084841,15.7212633487174 56.1331325984995,15.7238945650264 56.1377996061276,15.7281066351552 56.1420901772709,15.7337380353053 56.1458392763033,15.7405724632708 56.1489026513402,15.7483471339523 56.1511624045983,15.7567628995297 56.1525315496865,15.7654958021492 56.1529573766304,15.7742096065304 56.1524234919196,15.7825688181699 56.1509504529643,15.7902516720296 56.148594971898,15.796962577896 56.1454477202687,15.8024435318954 56.1416298214221,15.8064840476834 56.1372881689176,15.8089292232272 56.1325897549973,15.8096856366173 56.127715231106)))', 'SEOSN', 'Östernäs, Senoren', 'Y'),('SRID=4326;MULTIPOLYGON(((17.8982453915029 58.9659280965791,17.8969103104647 58.961087899322,17.8937734353981 58.9564751722959,17.8889559110043 58.9522670506463,17.8826432339237 58.9486250727516,17.875078069429 58.9456889993942,17.8665509151325 58.9435714729936,17.8573889720557 58.9423537175637,17.8479436454171 58.942082440291,17.838577144091 58.942768050329,17.8296486779951 58.9443842611865,17.8215007661458 58.9468690916276,17.8144461645566 58.9501272280212,17.8087559025779 58.9540336603124,17.8046488790013 58.9584384559576,17.8022834159123 58.9631724929286,17.8017510999482 58.9680539358519,17.8030731588763 58.9728952099323,17.8061995284705 58.9775102067928,17.8110106633921 58.9817214457266,17.8173220397418 58.985366913778,17.8248911902752 58.9883063188197,17.8334270105454 58.9904265112133,17.8426009802154 58.9916458610709,17.8520598631248 58.9919174184681,17.8614393865762 58.9912307316052,17.870378358148 58.9896122509102,17.8785326594596 58.9871243031822,17.885588561762 58.9838626766314,17.8912748376867 58.9799529126575,17.8953731952861 58.9755454510224,17.8977266317918 58.9708098196264,17.8982453915029 58.9659280965791)))', 'SEOSO', 'Ösmo', 'Y'),('SRID=4326;MULTIPOLYGON(((20.7614404365672 63.8241041755865,20.76039726871 63.8192387340928,20.7572262783768 63.814556632105,20.7520502502643 63.8102376667724,20.7450687184101 63.806447612375,20.736550204015 63.8033318803427,20.7268218625602 63.8010099674,20.7162569430588 63.7995708996922,20.7052605364727 63.7990698424703,20.6942541469567 63.7995260009514,20.6836596578508 63.8009218898753,20.6738832837734 63.8032039986818,20.6653001006038 63.8062848277676,20.6582397265703 63.8100462206093,20.6529736902623 63.8143438683037,20.649704965589 63.8190128188908,20.6485600803168 63.8238737852656,20.649584115171 63.8287400140045,20.6527388066295 63.8334244543702,20.6579038513485 63.8377469532176,20.6648813874152 63.8415411983221,20.6734035019584 63.8446611402572,20.6831424914143 63.8469866413782,20.6937234857111 63.8484281292716,20.7047389466424 63.8489300702336,20.7157644691947 63.8484731245055,20.7263752571897 63.8470748971989,20.7361626146476 63.8447892548728,20.7447497935719 63.8417042350778,20.7518065674238 63.8379386323352,20.7570619557164 63.8336373964672,20.7603146056073 63.8289660256995,20.7614404365672 63.8241041755865)))', 'SEOTN', 'Ostön', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2858372214207 58.6541590182606,11.2846001054869 58.6493117928872,11.2815730595345 58.6446834359913,11.2768730053455 58.6404516887248,11.2706809320056 58.6367790018801,11.2632348847823 58.6338063193173,11.2548208041316 58.6316476912839,11.2457615687889 58.6303859201272,11.2364046591583 58.630069401398,11.2271089042356 58.6307102782388,11.2182308061626 58.6322839778369,11.2101109506754 58.6347301472871,11.203061008939 58.6379549541781,11.1973518165815 58.641834666326,11.1932029794593 58.646220377052,11.1907744034347 58.6509436989137,11.1901600782787 58.6558232114396,11.1913843652882 58.6606714186343,11.1944009464962 58.6653019510899,11.1990944932825 58.6695367364458,11.2052850072561 58.6732128613885,11.2127346805527 58.6761888586389,11.2211570206828 58.6783501733181,11.230227891481 58.6796135940604,11.2395980411486 58.6799304741803,11.2489066250105 58.6792886155165,11.257795187832 58.6777127403557,11.2659215507129 58.6752635328135,11.2729730517987 58.6720352878238,11.2786786180679 58.6681522609898,11.2828191957065 58.6637638636211,11.2852361362847 58.6590388921763,11.2858372214207 58.6541590182606)))', 'SEOTO', 'Otterön', 'Y'),('SRID=4326;MULTIPOLYGON(((13.3997892235036 55.3475812843005,13.3991442093732 55.3427021534872,13.3968417036361 55.3379884555578,13.3929707170864 55.3336212491114,13.3876803773968 55.3297682264134,13.3811741424528 55.3265772899469,13.373701958482 55.3241708940072,13.3655506677836 55.3226413649274,13.3570330326603 55.3220473758246,13.348475790183 55.322411707889,13.3402071856111 55.3237203818175,13.3325444499576 55.3259231917288,13.3257816890252 55.3289356215382,13.3201786371953 55.3326420721147,13.3159506996284 55.3369002783417,13.3132606619179 55.3415467501768,13.3122123876204 55.3464030325791,13.3128467528975 55.351282547225,13.3151399856914 55.3559977555687,13.3190044869284 55.3603673690645,13.3242921162666 55.3642233289962,13.330799828449 55.3674172857135,13.3382774523544 55.3698263251154,13.346437317504 55.3713577184252,13.3549653562121 55.3719525087129,13.3635332475538 55.3715877928153,13.3718111250746 55.3702776084706,13.3794803460375 55.3680723915076,13.3862458173111 55.3650570244635,13.3918473918914 55.3613475536367,13.3960698895181 55.3570867039495,13.3987513527806 55.3524383678867,13.3997892235036 55.3475812843005)))', 'SEOTP', 'Östra Torp', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6945415447644 56.0001183620181,14.6937241971108 55.9952468182939,14.6912271613247 55.9905582035821,14.6871469304393 55.9862326021018,14.6816406648249 55.9824360981692,14.6749200981325 55.9793144159238,14.6672433807664 55.9769873455987,14.6589051772707 55.9755441665268,14.6502253954037 55.9750402387604,14.6415369719969 55.9754948908707,14.6331731728911 55.976890682789,14.6254548806955 55.9791740711711,14.6186783445129 55.9822574524441,14.6131038501129 55.9860225072317,14.608945737611 55.9903247209814,14.6063641471371 55.9949989110571,14.6054588122765 55.9998655519228,14.6062651477022 56.0047376587996,14.6087527934135 56.0094279676194,14.61282668593 56.0137561362512,14.6183306298414 56.0175556895536,14.6250532449578 56.0206804391485,14.632736069023 56.0230101278263,14.6410835078048 56.0244550776334,14.649774247555 56.0249596589383,14.6584736832015 56.0245044436746,14.6668468723872 56.023106957646,14.6745715029471 56.0208210021103,14.6813503608211 56.0177345714665,14.6869228067855 56.0139664493302,14.6910748125831 56.00966161723,14.6936471677756 56.0049856564214,14.6945415447644 56.0001183620181)))', 'SEOTR', 'Östra Torsö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4966939379504 60.6090629239354,17.4953443969705 60.6042197654045,17.4920996079265 60.5995990328116,17.4870849431575 60.5953781631148,17.4804935303864 60.5917191743285,17.4725787678234 60.5887624678266,17.4636445722218 60.5866214649531,17.4540337366765 60.5853782791703,17.444114839867 60.5850805853878,17.4342681972707 60.5857398030162,17.4248713767425 60.5873306602772,17.4162848152841 60.5897921560396,17.4088380706021 60.5930298836293,17.4028172201923 60.5969196303986,17.3984538824815 60.6013121190282,17.3959162795914 60.6060387132232,17.3953026905827 60.6109178732389,17.3966375591404 60.6157621169771,17.3998704227754 60.6203852215007,17.4048777246829 60.6246093887474,17.4114674580716 60.6282720986815,17.4193864804068 60.6312323834181,17.4283302264275 60.6333762768591,17.4379544490753 60.6346212254787,17.4478885316032 60.6349192859906,17.4577498466408 60.6342589831529,17.4671585925831 60.6326657539576,17.4757525168911 60.6302009606421,17.4832009409336 60.6269595119038,17.4892175315521 60.6230661869017,17.4935713188386 60.6186708077083,17.4960955346381 60.6139424506797,17.4966939379504 60.6090629239354)))', 'SEOVA', 'Överboda', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1568441259781 58.6562069395976,17.1556247934572 58.6513583703185,17.1526145743896 58.6467268807861,17.1479297461279 58.6424903333447,17.1417507156965 58.6388113637514,17.1343150305712 58.6358311574185,17.1259082362937 58.6336640534354,17.1168529342389 58.6323931792248,17.1074964552614 58.6320672792533,17.0981976121225 58.632698856149,17.0893130246208 58.634263693496,17.0811835256736 58.6367017781525,17.0741211539867 58.6399195879028,17.0683972194261 58.6437936593458,17.0642318910813 58.6481753028615,17.0617857058994 58.6528962879569,17.061153328742 58.6577752848707,17.0623598143069 58.6626248184545,17.065359529743 58.6672584693255,17.0700377967797 58.6714980460956,17.0762152072814 58.6751804518207,17.0836544603956 58.6781639779685,17.0920694673898 58.6803337800378,17.1011363765786 58.6816063198459,17.1105060900243 58.6819325993535,17.1198177801343 58.6813000581515,17.1287128712718 58.679733059463,17.1368489314351 58.677291945475,17.1439129230349 58.6740706995922,17.1496332895916 58.6701933083358,17.1537904052152 58.665808966737,17.156224983272 58.6610863160467,17.1568441259781 58.6562069395976)))', 'SEOXE', 'Oxelösund', 'Y'),('SRID=4326;MULTIPOLYGON(((17.7117990660824 62.4629642729941,17.7103248269851 62.4581251835098,17.7068409710275 62.4535121767681,17.7014821523008 62.4493023807634,17.6944547788007 62.4456573721407,17.6860290089406 62.4427169978668,17.6765283545985 62.4405940357519,17.666317292394 62.4393698937387,17.6557873525899 62.4390915081958,17.6453422057031 62.4397695563669,17.6353822998183 62.4413780492261,17.6262896162742 62.4438553199076,17.6184131076664 62.4471063712831,17.6120553599917 62.4510064958311,17.6074609805069 62.4554060333529,17.6048071550116 62.4601360889595,17.6041967437804 62.4650149966612,17.6056541957609 62.4698552842756,17.6091244581907 62.4744708745178,17.6144749464688 62.4786842460801,17.6215005208381 62.4823332779719,17.6299312967926 62.4852775107205,17.6394430003275 62.4874035790973,17.6496694726848 62.4886296022584,17.6602168375424 62.4889083574467,17.6706787715705 62.4882291111432,17.6806522709893 62.486618034779,17.6897532849662 62.4841371885361,17.6976315926763 62.4808821138905,17.7039843342318 62.4769781308703,17.7085676645178 62.4725754870911,17.711206079876 62.4678435503403,17.7117990660824 62.4629642729941)))', 'SEOXN', 'Oxviken', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5553038649795 58.2660626401774,11.5540448753729 58.2612179346824,11.5510172861722 58.256595697831,11.546338020276 58.2523734357175,11.5401872521766 58.2487132361556,11.5328014305225 58.2457555658202,11.5244641798843 58.243613901496,11.5154954330569 58.2423703973035,11.5062392066545 58.2420727501548,11.4970504790743 58.2427323804823,11.4882816602061 58.2443239960832,11.4802691559957 58.2467865554308,11.4733205279101 58.250025594742,11.4677027275101 58.2539168322029,11.4636318500509 58.2583109147763,11.461264798926 58.2630391296095,11.4606931859351 58.2679198648341,11.4619397123458 58.2727655749401,11.4649571847271 58.2773899851747,11.4696302203735 58.2816152585665,11.4757795932938 58.2852788488625,11.4831690672464 58.2882397731793,11.4915144616342 58.2903840593427,11.5004946038512 58.2916291540805,11.5097637424367 58.2919271183338,11.5189649332268 58.2912664833937,11.5277438689182 58.2896726944067,11.5357626033695 58.2872071237783,11.5427126266181 58.2839646937325,11.5483267747056 58.2800702022917,11.5523895084114 58.2756734978819,11.5547451641554 58.270943692506,11.5553038649795 58.2660626401774)))', 'SEOXV', 'Oxevik', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4086783260864 56.968493983281,16.4076170694038 56.9636366074121,16.4048419478267 56.9589856072528,16.4004601516919 56.9547196070646,16.3946404187028 56.9510023881197,16.3876064967579 56.9479766188442,16.3796285306232 56.945758399858,16.3710127056346 56.9444328293332,16.3620895425414 56.944050754997,16.3532012839861 56.9446268342249,16.3446888439816 56.9461389746383,16.3368788065193 56.9485291761173,16.3300709578409 56.9517057429284,16.3245268189632 56.9555467834928,16.3204596110548 56.9599048669421,16.3180260368889 56.9646126617058,16.3173201978635 56.9694893435601,16.3183698895544 56.9743475302951,16.3211354315172 56.9790004786976,16.3255110918234 56.9832692679039,16.3313290668957 56.9869896920399,16.3383658764652 56.9900185947181,16.3463509361539 56.9922393982864,16.3549769806976 56.9935666110928,16.363911933511 56.9939491353872,16.3728117570706 56.9933722452918,16.3813337766936 56.9918581566328,16.3891499499778 56.9894651661333,16.3959595565595 56.9862853941305,16.4015008078002 56.9824412201645,16.4055609221503 56.9780805521357,16.4079842767677 56.9733711150927,16.4086783260864 56.968493983281)))', 'SEPAD', 'Palmelund', 'Y'),('SRID=4326;MULTIPOLYGON(((22.9617015958683 65.8012338260283,22.9601656030033 65.7963892358208,22.9563573957176 65.7917606420138,22.9504243518524 65.7875257546241,22.9425951219905 65.7838470860508,22.9331707447035 65.7808657411269,22.9225130531415 65.7786960347213,22.9110308220625 65.7774211376352,22.8991641796509 65.7770899122261,22.8873678648223 65.7777150545528,22.8760939475245 65.7792726114363,22.8657746465147 65.7817028902474,22.8568058761095 65.7849127280763,22.8495321304707 65.7887790368222,22.844233271235 65.7931534932768,22.8411137221001 65.7978682000392,22.8402944930903 65.8027421056505,22.8418083590325 65.8075879421128,22.8455984034284 65.8122194162903,22.8515200135692 65.8164583796574,22.8593462795585 65.8201416992856,22.8687766140577 65.8231275622612,22.8794482769942 65.8253009658824,22.8909503665978 65.8265781764788,22.9028397313984 65.8269099794808,22.9146581731924 65.8262835908961,22.9259502533928 65.8247231536357,22.9362809881025 65.8222887988414,22.9452527223328 65.819074309956,22.952520510717 65.8152034831617,22.9578053985653 65.8108253294979,22.9609050892001 65.8061083092308,22.9617015958683 65.8012338260283)))', 'SEPAL', 'Pålänge', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5139150949962 57.1624544311366,16.5128341041881 57.1575981960887,16.5100309233106 57.1529498140034,16.505613826391 57.1486878070698,16.4997529099517 57.1449758015124,16.4926735032856 57.1419562639351,16.484647494552 57.1397450543398,16.4759829081757 57.1384270009053,16.4670121301038 57.1380526624596,16.4580792239232 57.138636399679,16.4495268117059 57.1401558269983,16.4416830081494 57.1425526657227,16.4348488948459 57.14573496664,16.4292870033721 57.1495806192893,16.4252112416491 57.1539420167033,16.4227786483171 57.1586517005898,16.4220832957663 57.1635287741537,16.4231525854832 57.1683858395483,16.4259460916431 57.1730361955469,16.4303570131062 57.1773010194506,16.4362161935087 57.1810162561772,16.4432985678565 57.1840389472068,16.4513317961904 57.1862527524527,16.4600067549679 57.1875724485712,16.4689894791364 57.1879472266501,16.4779340864211 57.1873626590827,16.4864961733601 57.1858412578476,16.4943461523663 57.1834416021508,16.5011820016928 57.1802560700634,16.5067409254721 57.1764072639631,16.5108094675906 57.1720432709011,16.5132316885281 57.167331944333,16.5139150949962 57.1624544311366)))', 'SEPAS', 'Påskallavik', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((21.5744207479721 65.2307848355739,21.5731737055892 65.2259266805737,21.5696923566552 65.2212638732,21.5641115052841 65.2169754536533,21.5566462886454 65.2132260047236,21.5475838082587 65.2101593602794,21.5372720642808 65.2078931166344,21.5261066228098 65.2065141518258,21.5145155222769 65.2060753191753,21.5029429825846 65.2065934373255,21.4918325190584 65.2080486508005,21.4816100821592 65.2103851846223,21.4726678431096 65.2135134652557,21.4653492251267 65.2173135297638,21.4599357399652 65.2216395971686,21.4566361303417 65.2263256322063,21.455578241278 65.2311916935174,21.4568039487921 65.2360508272573,21.4602673647659 65.2407162444962,21.4658364152127 65.2450085077065,21.4732977595507 65.2487624489366,21.4823648857921 65.2518335504064,21.4926890864996 65.2541035372599,21.5038728991544 65.255484961589,21.515485488475 65.2559245956313,21.5270793630768 65.2554054987389,21.5382077595789 65.2539476753929,21.5484419973839 65.2516072979018,21.5573881086922 65.248474524966,21.5647020807797 65.2446700034348,21.570103109196 65.2403401928273,21.5733843476543 65.2356516982747,21.5744207479721 65.2307848355739)))', 'SEPIS', 'Pitsund', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5566214814267 65.3197917594322,21.5553734341417 65.3149335153701,21.5518834125566 65.3102703580467,21.5462865621304 65.3059813406493,21.5387986405215 65.3022310681444,21.5297076241838 65.2991634050346,21.5193626086714 65.2968959857036,21.508160434037 65.295515732394,21.4965305429746 65.2950755472177,21.4849186371109 65.2955923004273,21.473769735375 65.2970461890486,21.4635112573246 65.2993814894726,21.454536753539 65.3025086763571,21.4471908847075 65.3063078298105,21.4417562109931 65.310633204944,21.4384422939931 65.3153187940767,21.4373775359178 65.3201846737168,21.4386040857531 65.3250438973731,21.4420760322714 65.3297096726157,21.4476609817752 65.3340025477038,21.4551449884178 65.3377573303739,21.4642406717726 65.340829469492,21.4745982257835 65.3431006492422,21.4858189015284 65.3444833748909,21.4974704396829 65.3449243679338,21.5091038430376 65.3444066351274,21.5202708198562 65.3429501285811,21.5305411988103 65.3406109704608,21.5395196175197 65.3374792734089,21.5468608192927 65.3336756439498,21.5522829544928 65.3293465084029,21.555578370401 65.3246584469367,21.5566214814267 65.3197917594322)))', 'SEPIT', 'Piteå', 'Y'),('SRID=4326;MULTIPOLYGON(((17.382883901502 61.3450999849956,17.381517609167 61.3402562431278,17.3782110307395 61.3356335358712,17.3730919525124 61.3314093728096,17.366357540877 61.3277458933047,17.3582666982758 61.3247836649302,17.3491300984093 61.3226363146645,17.3392982858592 61.3213861941327,17.3291482915215 61.3210812406572,17.3190692650462 61.3217331508464,17.3094476580172 61.3233169345229,17.3006525063999 61.3257718656209,17.2930213576356 61.3290037949353,17.2868473666816 61.332888739011,17.2823680465685 61.3372776116702,17.279756103218 61.3420019213635,17.2791127123475 61.3468802202524,17.2804635098012 61.3517250611446,17.2837574678076 61.3563501973875,17.2888687214171 61.360577749607,17.2956012954685 61.3642450624735,17.30369656728 61.3672109848189,17.3128431888485 61.3693613272909,17.3226890898804 61.3706132827272,17.3328550946332 61.370918634457,17.342949616011 61.3702656252414,17.3525838434671 61.3686794125746,17.3613868196888 61.3662210923154,17.3690198060129 61.3629853296385,17.3751893677354 61.359096691594,17.3796586661406 61.3547048267324,17.3822565210223 61.3499786821379,17.382883901502 61.3450999849956)))', 'SEPRG', 'Prästgrundet', 'Y'),('SRID=4326;MULTIPOLYGON(((18.1802383536237 62.7101005727421,18.179659406599 62.7052210605799,18.1770191110969 62.7004871404215,18.1724198275914 62.6960806273209,18.1660389480924 62.6921706835781,18.15812198146 62.6889073449751,18.1489730741264 62.6864157886232,18.1389433371372 62.6847915575979,18.1284174256883 62.6840969205492,18.1177988758503 62.6843585014583,18.1074947439747 62.685566267192,18.0979001168316 62.6876739101506,18.0893830645957 62.6906006117411,18.0822705943462 62.6942341213387,18.0768361289626 62.6984350364735,18.0732889856032 62.703042124833,18.0717662601121 62.7078784888965,18.0723274399844 62.7127583410787,18.0749519708199 62.717494132526,18.0795398921686 62.7219037632988,18.0859155418073 62.7258175964603,18.0938342070801 62.7290850041007,18.1029914829586 62.7315801896342,18.1130349843659 62.7332070574747,18.1235779605969 62.7339029375398,18.1342142776169 62.7336410166099,18.1445341741759 62.7324313795833,18.1541401634698 62.7303206189481,18.1626624455408 62.7273900279363,18.1697732171202 62.7237524493022,18.1751993139421 62.7195479049896,18.1787326928893 62.7149381798195,18.1802383536237 62.7101005727421)))', 'SEPRH', 'Prästhushamn', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7914996990063 55.9928053828153,12.7909222367487 55.9879241841387,12.7886573718276 55.9831998962157,12.7847926972016 55.978813986357,12.7794771240844 55.9749348649369,12.7729150996341 55.9717114344501,12.7653587241012 55.9692673931252,12.757098074262 55.9676965080764,12.7484501032029 55.9670590355786,12.7397465358359 55.9673794224474,12.7313212138097 55.9686453742861,12.7234973620748 55.9708083252405,12.7165752519189 55.9737852916164,12.7108207217869 55.9774620400529,12.7064549878934 55.9816974516539,12.7036461321164 55.9863289182731,12.7025025958785 55.9911785676524,12.7030689370889 55.9960600818074,12.7053240246634 56.0007858492538,12.7091817541543 56.0051741774376,12.7144942716825 56.0090562878167,12.721057595278 56.0122828228549,12.7286194269098 56.0147296116835,12.7368888591615 56.0163024689056,12.7455476019033 56.016940838,12.7542622903297 56.0166201356523,12.7626973897091 56.0153527042881,12.770528186576 56.0131873350063,12.7774533523101 56.0102073796702,12.7832065832847 56.0065275266828,12.7875668610728 56.0022893675801,12.7903669344404 55.9976559287901,12.7914996990063 55.9928053828153)))', 'SERAA', 'Råå', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8872815406384 58.25893989514,11.885977630986 58.2540988816666,11.882907725131 58.249484908774,11.8781903664316 58.2452751629589,11.8720071854751 58.2416312498287,11.8645958678692 58.2386930099574,11.8562410097858 58.2365731742278,11.8472632141682 58.2353530596,11.8380068415561 58.2350794664805,11.8288268754113 58.2357628935471,11.8200753917152 58.2373771366168,11.812088135943 58.2398602866222,11.8051717070439 58.2431170897108,11.7995918278266 58.2470225816477,11.7955631444672 58.2514268608111,11.7932409453923 58.256160820803,11.7927151226134 58.2610426266291,11.7940066182897 58.2658846890034,11.7970665080692 58.2705008708306,11.8017777734496 58.2747136493243,11.8079597114981 58.2783609571799,11.8153748258321 58.2813024370073,11.8237379422651 58.2834248646694,11.832727200596 58.2846465286073,11.8419964951886 58.2849203925454,11.8511888753234 58.2842359165762,11.8599503750983 58.2826194645691,11.8679437241805 58.2801332818826,11.8748613959714 58.2768730840679,11.8804374784467 58.2729643521766,11.884457903453 58.2685574810835,11.8867686398238 58.2638219717841,11.8872815406384 58.25893989514)))', 'SERAB', 'Raneberg', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3528004176295 65.8354752082694,22.3513768916877 65.8306245090237,22.34767297158 65.8259807722832,22.3418320472854 65.8217222947053,22.3340792552037 65.8180124980313,22.324712724508 65.8149936837713,22.314092091282 65.8127816047541,22.3026247260515 65.8114610560644,22.2907501965567 65.811082648865,22.2789235449572 65.8116608861801,22.2675979964584 65.8131736114574,22.2572077342912 65.8155628502079,22.2481513739473 65.8187370138643,22.24077674757 65.8225743847969,22.2353675675629 65.8269277538039,22.2321324771485 65.8316300379226,22.2311969155376 65.8365006686513,22.232598127885 65.8413525100641,22.236283537431 65.8459990441897,22.242112572259 65.8502615484954,22.2498619060374 65.8539759882085,22.2592339360986 65.8569993549587,22.26986818914 65.8592152028412,22.2813552211456 65.8605381629942,22.2932524702819 65.8609172571305,22.3051014355197 65.8603378776452,22.3164454945949 65.8588223549765,22.3268476462059 65.8564290894923,22.3359074648061 65.8532502827948,22.343276591774 65.849408359375,22.3486721519508 65.8450512215091,22.351887575613 65.8403465259329,22.3528004176295 65.8354752082694)))', 'SERAE', 'Råneå', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2231175912314 58.8561806530136,11.2218813469357 58.8513329571204,11.2188443729813 58.8467033192141,11.2141239819605 58.842469529115,11.207901951092 58.8387941150082,11.2004174798124 58.835818124065,11.1919579839904 58.8336557320211,11.182848082504 58.8323898843163,11.1734371945396 58.8320691319361,11.1640862132664 58.8327057800117,11.1551537526105 58.8342754181559,11.1469824781464 58.8367178500965,11.1398860304139 58.8399393881599,11.1341370292787 58.8438164272742,11.1299566115838 58.848200165136,11.1275059019208 58.8529222916796,11.1268797489266 58.8578014335999,11.128102978639 58.8626501098579,11.1311293242952 58.867281933107,11.1358430913644 58.8715187808288,11.1420635110661 58.8751976593437,11.1495516292533 58.8781769940557,11.1580194748519 58.8803421001704,11.1671411578069 58.8816096190544,11.1765654653083 58.8819307453,11.1859294611803 58.881293116858,11.1948725501386 58.8797212933681,11.2030504485453 58.877275803802,11.2101485074271 58.8740508013298,11.2158938616394 58.8701704184482,11.2200659295534 58.8657839665187,11.2225048577569 58.8610601687985,11.2231175912314 58.8561806530136)))', 'SERAH', 'Råssöhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5052192574966 58.2010817926889,11.5039696198598 58.1962364811355,11.5009542678889 58.1916129252616,11.496289652527 58.1873886824636,11.4901553848556 58.1837259172907,11.482787280367 58.1807651955433,11.474468284918 58.1786201116319,11.4655176327869 58.1773729512279,11.4562786486539 58.1770715516436,11.4471056516345 58.1777274771811,11.4383504498193 58.1793155774989,11.4303489275527 58.1817749455494,11.4234082246847 58.1850112395707,11.4177949872826 58.1889002827178,11.4137251331117 58.1932928059157,11.4113555232236 58.1980201560973,11.4107778643088 58.2029007547266,11.4120150866349 58.2077470618761,11.415020351589 58.2123727803613,11.4196787438842 58.2166000235484,11.4258115998463 58.2202661701068,11.4331833189063 58.2232301394509,11.441510404925 58.2253778427527,11.4504723919087 58.2266265955617,11.4597242295469 58.2269283181359,11.4689096418911 58.2262713970007,11.4776749307268 58.2246811340688,11.4856826760514 58.2222187656267,11.4926247906128 58.2189790902192,11.4982344134294 58.215086799477,11.5022961770269 58.2106916568916,11.504654452071 58.2059627143075,11.5052192574966 58.2010817926889)))', 'SERAK', 'Rågårdsvik', 'Y'),('SRID=4326;MULTIPOLYGON(((17.9224327027449 62.8158796988053,17.9209048824045 62.8110433624728,17.9173452037415 62.8064362558659,17.9118912509586 62.8022352765702,17.9047530942356 62.7986016584421,17.8962051445754 62.7956748070567,17.8865755941597 62.7935669777464,17.87623385005 62.7923589953936,17.8655764371013 62.7920971753588,17.8550118967952 62.7927915597949,17.8449452415719 62.7944155346784,17.8357625387312 62.7969068418343,17.8278161938985 62.8001699486816,17.8214114814457 62.80407968808,17.8167948283494 62.8084860331512,17.8141442992951 62.8132198289288,17.8135626553601 62.8180992657073,17.8150732678484 62.822936849469,17.8186190650758 62.8275466040395,17.8240645761611 62.8317512287058,17.8312010161 62.8353889346377,17.8397542352611 62.8383196939294,17.8493952392345 62.8404306563043,17.8597528772595 62.8416405198986,17.8704282047731 62.8419026829487,17.881009952957 62.8412070510809,17.891090489622 62.8395804282291,17.9002816341433 62.8370854756988,17.9082296957298 62.8338182810467,17.9146291386561 62.8299046337448,17.9192343381887 62.8254951556135,17.9218689733446 62.8207594785983,17.9224327027449 62.8158796988053)))', 'SERAM', 'Ramvik', 'Y'),('SRID=4326;MULTIPOLYGON(((15.302747498516 56.1778985320172,15.3018494836424 56.1730313524319,15.2992670058302 56.1683553794201,15.295099839921 56.164050206928,15.2895084796619 56.1602811306688,15.2827079166925 56.1571928186887,15.2749593606659 56.1549037785358,15.2665602213421 56.1535018296,15.2578327345189 56.1530407506047,15.2491116605016 56.1535382276994,15.2407315154503 56.1549751797773,15.2330138117624 56.1572964861882,15.226254783351 56.1604130897247,15.2207140552786 56.1642053963715,15.2166046849916 56.1685278446008,15.2140849550113 56.1732144726528,15.2132522354013 56.1780852738911,15.2141391601348 56.1829530994205,15.2167122766862 56.1876308449917,15.22087323538 56.1919386468027,15.2264624874626 56.1957108088509,15.2332653622476 56.1988021933068,15.2410202981316 56.2010938248658,15.2494289140801 56.202497489619,15.258167531564 56.2029591476253,15.2668996957333 56.2024610245855,15.2752892020501 56.201022299946,15.2830131129483 56.1986983642139,15.2897742495243 56.1955786748875,15.2953126657692 56.1917832957658,15.2994156561941 56.1874582561328,15.3019259095548 56.1827699122655,15.302747498516 56.1778985320172)))', 'SERAN', 'Risanäs', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9761536775657 57.3899170475939,11.9748727399053 57.3850761836538,11.9718682212822 57.3804632226673,11.9672561189478 57.3762553157102,11.9612139971838 57.3726140030068,11.9539741145888 57.3696790314946,11.9458144891015 57.3675630128077,11.9370482454867 57.3663471226636,11.9280116498174 57.3660780028352,11.9190512804987 57.3667659815084,11.9105108146715 57.3683846784878,11.9027179218581 57.3708720101031,11.8959717532344 57.3741325565394,11.8905314949571 57.378041203416,11.8866064178918 57.3824479215078,11.8843478045306 57.3871835052254,11.883843067965 57.3920660534407,11.885112299078 57.3969079469031,11.8881073888286 57.4015230560948,11.8927137754255 57.4057339028962,11.8987547647577 57.4093784995184,11.9059982706323 57.4123165990775,11.9141657235019 57.4144351137223,11.9229428069543 57.4156524877474,11.9319916046477 57.4159218534723,11.9409636805262 57.4152328452754,11.9495135752288 57.4136120000881,11.9573121837715 57.4111217286263,11.9640594848125 57.4078578982705,11.9694961197977 57.4039461233485,11.9734133694777 57.3995369093017,11.9756611430096 57.3947998417052,11.9761536775657 57.3899170475939)))', 'SERAO', 'Råö', 'Y'),('SRID=4326;MULTIPOLYGON(((19.1344104303333 59.7537108261795,19.1337323351708 59.7488333313894,19.1311821563458 59.7441162801435,19.1268586039432 59.739740845215,19.1209283273111 59.7358750105548,19.1136194353939 59.7326671403723,19.105212698713 59.7302403076428,19.0960307758544 59.7286875954289,19.0864258759302 59.7280685468904,19.076766321694 59.7284068963018,19.067422514778 59.7296896653662,19.058752824288 59.7318676582817,19.0510899224487 59.7348573370931,19.0447280761164 59.7385440075557,19.0399118710047 59.742786196782,19.0368267969165 59.7474210589806,19.0355920580473 59.7522706062529,19.0362558938915 59.7571485291527,19.0387936054131 59.7618673478698,19.0431083805591 59.7662456205502,19.0490349062402 59.7701149312217,19.0563456445641 59.7733263864842,19.0647595439149 59.775756367566,19.0739528552572 59.7773113120959,19.0835716356844 59.7779313370637,19.0932454492583 59.7775925595417,19.1026017234877 59.7763080230031,19.111280191229 59.7741271923324,19.1189468440018 59.771134037508,19.125306843908 59.7674437819664,19.1301158863398 59.7631984443907,19.1331895719496 59.7585613498793,19.1344104303333 59.7537108261795)))', 'SERAS', 'Rävsnäs', 'Y'),('SRID=4326;MULTIPOLYGON(((18.3759148647728 59.4319925554144,18.3753516075219 59.4271119296502,18.3729308306172 59.4223810419802,18.3687462661262 59.4179816036759,18.3629592279951 59.4140825270729,18.3557923365173 59.4108334580712,18.3475209288114 59.4083590547488,18.338462490523 59.4067542274878,18.3289645128788 59.4060805188841,18.3193912329284 59.406363758432,18.3101097522668 59.4075930791305,18.3014760501062 59.4097213324074,18.2938214099599 59.4126668858235,18.2874397653808 59.4163167366126,18.2825764393865 59.4205308249698,18.2794187049245 59.4251473857741,18.2780885308531 59.4299891377401,18.278637800809 59.4348700763242,18.2810462029016 59.4396026123807,18.285221889014 59.4440047836869,18.2910048968537 59.4479072618332,18.298173219706 59.4511598830658,18.3064513025426 59.4536374485116,18.3155206434922 59.4552445663832,18.3250320914956 59.4559193453595,18.3346193587597 59.4556357929911,18.3439132142438 59.4544048239034,18.3525557947789 59.4522738376212,18.3602144652004 59.4493248826601,18.3665946783862 59.4456714796408,18.3714513292393 59.4414542291629,18.3745981610444 59.4368353777512,18.3759148647728 59.4319925554144)))', 'SEREA', 'Resarö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7177869034603 56.2428344412236,12.7172158929979 56.2379531294936,12.714946198845 56.2332276192458,12.7110656092597 56.2288394244034,12.705723654677 56.2249570421571,12.6991258004468 56.2217294988373,12.6915255241944 56.219280648993,12.6832145862555 56.2177044427999,12.6745118653002 56.2170613395627,12.6657511809062 56.2173760015136,12.657268559391 56.2186363539288,12.649389417985 56.2207940464915,12.6424161450924 56.2237662985728,12.6366165409115 56.2274390594519,12.6322135533298 56.2316713652048,12.6293766993498 56.2363007287715,12.6282155032939 56.2411493601777,12.6287752110786 56.2460309815343,12.631034956875 56.250757977575,12.6349084669703 56.2551486081784,12.6402472887187 56.2590340053318,12.646846433718 56.2622646837128,12.6544522278379 56.2647163114876,12.6627720706989 56.2662945155654,12.6714857279364 56.2669385324811,12.6802577150206 56.2666235609029,12.6887502848991 56.2653617226927,12.6966365057919 56.2632015943666,12.7036129115079 56.260226327377,12.709411224907 56.2565504314373,12.7138086946145 56.252315347756,12.7166366436755 56.247683986307,12.7177869034603 56.2428344412236)))', 'SEREK', 'Rekekroken', 'Y'),('SRID=4326;MULTIPOLYGON(((21.4399391837042 65.0138381403186,21.4387268858889 65.0089787162029,21.4352974161959 65.0043126375491,21.4297835701128 65.0000190728285,21.4223979027097 64.9962628054337,21.4134244602302 64.9931879340217,21.403207831512 64.9909123732862,21.3921399448054 64.9895233606641,21.3806451113267 64.9890741358813,21.3691638743314 64.9895819160994,21.3581362608965 64.9910272412895,21.3479850525829 64.9933547139302,21.3390996905664 64.9964751058321,21.3318214106814 65.0002687544577,21.3264301642604 65.0045901231562,21.3231338220697 65.0092733558698,21.3220600817832 65.0141386186445,21.3232514056431 65.0189989891591,21.3266632062894 65.0236676327877,21.332165378183 65.0279649905665,21.3395471435475 65.0317257016448,21.3485250501979 65.0348049908559,21.3587538296755 65.0370842709356,21.3698397038904 65.0384757382093,21.3813556231873 65.0389257792516,21.3928578341775 65.0384170526322,21.4039031166747 65.0369691624615,21.4140659991601 65.0346378967574,21.4229552631749 65.0315130611698,21.4302290788496 65.0277149947475,21.4356081744957 65.0233899067103,21.4388865291957 65.0187042193506,21.4399391837042 65.0138381403186)))', 'SEREN', 'Renholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((21.6896471431402 65.3317391588741,21.6883740025553 65.3268820559543,21.6848588808235 65.3222220161712,21.6792378856649 65.3179379717333,21.6717276983602 65.3141943356619,21.6626171454994 65.3111347170524,21.652256067456 65.3088764412895,21.6410419160663 65.3075060798773,21.6294045900927 65.3070761558305,21.6177900746233 65.307603146356,21.6066434888901 65.3090668563946,21.5963921657385 65.3114111860796,21.5874293850063 65.314546263919,21.5800993623796 65.3183518671546,21.5746840550221 65.3226820028944,21.571392285805 65.3273704798705,21.5703516100349 65.332237262571,21.5716032535179 65.337095368515,21.575100340695 65.3417580468916,21.5807095094401 65.3460459637917,21.588215878941 65.3497941166478,21.5973312038431 65.3528582087256,21.6077049172815 65.3551202335949,21.6189376437993 65.3564930489826,21.6305966567347 65.3569237582774,21.6422326693472 65.3563957647251,21.6533972896508 65.3549294160871,21.6636604391967 65.3525812139343,21.6726270376899 65.349441619308,21.6799522882341 65.3456315426067,21.685354960181 65.3412976577664,21.6886281542893 65.3366067268205,21.6896471431402 65.3317391588741)))', 'SEREO', 'Renöhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.215038930432 58.7991841308117,11.2138060256133 58.7943362979183,11.21077528174 58.7897063940618,11.206063769779 58.7854722196053,11.1998529244636 58.7817963179218,11.192381515237 58.7788197553689,11.1839364570109 58.7766567300607,11.1748418158407 58.7753902120861,11.1654464271631 58.7750687783543,11.1561105914952 58.7757047601751,11.1471923435327 58.7772737725882,11.1390338048745 58.7797156430471,11.1319481279088 58.7829367050393,11.1262075187388 58.7868133713396,11.1220327907095 58.7911968535585,11.1195848477627 58.7959188511402,11.118958429515 58.8007979955678,11.1201783692125 58.8056468057102,11.1231985237071 58.8102788892521,11.1279034341677 58.8145161139936,11.1341126708818 58.818195472184,11.1415877093049 58.8211753712442,11.150041082016 58.8233411051066,11.1591474571561 58.824609291329,11.1685562128958 58.8249310990257,11.1779050137001 58.8242941399544,11.1868338510457 58.8227229478529,11.1949989911952 58.8202780271063,11.202086276745 58.8170535086064,11.2078232567034 58.8131735058005,11.2119896702431 58.8087873150303,11.2144258792292 58.8040636492036,11.215038930432 58.7991841308117)))', 'SERES', 'Resö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3549487710045 58.7371326048527,17.3536988320803 58.7322861883045,17.3506551783649 58.7276596244831,17.3459353720723 58.7234305848032,17.339721161815 58.719761415177,17.3322514422243 58.716792923597,17.3238130605239 58.7146389987842,17.3147298252222 58.7133822621788,17.3053501343942 58.7130709160208,17.2960336880423 58.7137169051422,17.2871377798543 58.7152954609696,17.279003677782 58.7177460448037,17.2719435999955 58.7209746554199,17.2662287729711 58.7248574151633,17.2620790220366 58.7292453007096,17.259654292271 58.7339698412076,17.2590484302782 58.7388495691922,17.2602854765999 58.7436969799211,17.2633186265702 58.7483257338915,17.2680319170741 58.7525578262591,17.2742445914709 58.7562304463682,17.2817179889538 58.7592022609219,17.2901647023767 58.7613588753059,17.2992596548028 58.7626172586168,17.3086526643291 58.7629289579179,17.3179820032986 58.7622819746143,17.3268884152359 58.7607012286349,17.3350290330877 58.7582475921104,17.3420906467176 58.7550155310105,17.3478017958348 58.7511294482951,17.3519432150426 58.7467388731805,17.3543562276929 58.7420126859797,17.3549487710045 58.7371326048527)))', 'SERGO', 'Rågö', 'Y'),('SRID=4326;MULTIPOLYGON(((21.4388571391414 64.5128390075491,21.437667607933 64.5079792300149,21.4343015622151 64.5033127695861,21.4288893197081 64.499018812684,21.4216395042946 64.4952621626146,21.4128309327022 64.4921869384079,21.4028018682006 64.4899110739473,21.3919370589205 64.4885218230841,21.380653053096 64.4880724378347,21.3693823402201 64.4885801425805,21.3585569050201 64.4900254790047,21.3485917999121 64.4923530459044,21.3398693410223 64.4954736066483,21.3327245129658 64.4992674865513,21.327432128522 64.5035891344336,21.324196231544 64.5082726787429,21.3231421556818 64.5131382703869,21.3243115591291 64.5179989733272,21.3276606487036 64.5226679413382,21.3330616881009 64.526965606243,21.340307759014 64.530726600227,21.3491206147894 64.533806142939,21.3591613399374 64.5360856430418,21.3700434111027 64.5374772931893,21.3813476520821 64.5379274760949,21.3926384927556 64.5374188459406,21.4034808841133 64.5359710019289,21.4134571923147 64.5336397270214,21.4221833956678 64.5305148223608,21.4293239395048 64.5267166239549,21.4346046632879 64.5223913404357,21.4378232983969 64.5177053968472,21.4388571391414 64.5128390075491)))', 'SERIB', 'Risböle', 'Y'),('SRID=4326;MULTIPOLYGON(((23.3156923318526 65.8030934499373,23.314089773115 65.7982526785983,23.3102179513171 65.7936331473669,23.3042266791712 65.7894122151298,23.2963468309802 65.7857518561985,23.2868813745539 65.7827924713115,23.2761937060876 65.7806475323631,23.2646937394894 65.7793992605515,23.2528222763649 65.7790954981619,23.2410342386754 65.7797478894376,23.2297813823378 65.7813314375202,23.2194951264578 65.7837854538168,23.2105701293416 65.7870158650085,23.2033492189453 65.7908987928519,23.1981102421147 65.7952852745526,23.1950553342216 65.800006948398,23.1943030293998 65.8048824920661,23.1958835329051 65.8097245710281,23.1997373633758 65.8143470330506,23.2057174471133 65.8185720730619,23.2135946131543 65.8222370913802,23.2230663020321 65.825200977918,23.2337681687263 65.8273495754448,23.2452881377799 65.8286001057754,23.2571823623892 65.8289043827846,23.268992455353 65.8282506838824,23.2802633030295 65.8266642050023,23.2905607472923 65.8242060809259,23.299488426511 65.8209710103456,23.3067031044138 65.8170835808548,23.3119278830047 65.8126934405822,23.3149627884679 65.8079695082233,23.3156923318526 65.8030934499373)))', 'SERIG', 'Risögrund', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5039476202861 58.7400771645368,17.5026768759642 58.7352323520007,17.4996132699398 58.7306094597256,17.4948751287991 58.7263860170761,17.4886449023152 58.722724154271,17.4811620966471 58.7197643983456,17.4727140580143 58.717620302622,17.463624962805 58.7163741115412,17.4542434322091 58.7160736231212,17.4449292363201 58.7167303661259,17.4360395832922 58.7183191598762,17.4279155030613 58.7207790731905,17.4208688320885 58.7240157469233,17.4151702855972 58.7279049937219,17.4110390671644 58.7322975406645,17.408634412921 58.7370247370399,17.408049400075 58.7419050122827,17.409307268572 58.7467508394287,17.4123604126184 58.751375938668,17.4170920983682 58.7556024446464,17.4233208588251 58.7592677607817,17.4308074110232 58.7622308343004,17.4392638383709 58.7643776068067,17.4483646873752 58.7656254263429,17.4577595474353 58.7659262469728,17.467086619164 58.7652684893567,17.475986734174 58.7636774886391,17.4841172697864 58.7612145119932,17.4911654067691 58.7579743849296,17.4968602067155 58.7540818205392,17.5009830364294 58.7496865968169,17.5033759368872 58.7449577719888,17.5039476202861 58.7400771645368)))', 'SERIO', 'Ringsö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9275102835754 58.4052939823321,16.9263318867114 58.4004428533997,16.9233738309663 58.3958055568794,16.9187503827501 58.3915601808944,16.912639589264 58.3878697030531,16.9052763801153 58.3848757531642,16.896943524855 58.382693199855,16.8879607960215 58.3814057646698,16.8786727495848 58.3810628278857,16.8694355818773 58.3816775452911,16.8606035532404 58.3832263461162,16.8525154831559 58.3856498308805,16.8454818193215 58.3888550358596,16.839772763997 58.392718979902,16.8356079052915 58.3970933611886,16.833147749514 58.4018102278881,16.8324874843181 58.4066884091175,16.8336532226754 58.4115404626266,16.8366008868712 58.4161798744506,16.8412177925135 58.4204282344313,16.8473268884504 58.4241221106745,16.8546935035149 58.4271193559958,16.8630343496393 58.4293046000678,16.8720284377494 58.4305937117015,16.8813294825265 58.430937055395,16.8905793087553 58.4303214134115,16.8994217289461 58.4287704972798,16.9075163415961 58.4263440285171,16.9145517029633 58.4231354251353,16.9202573523573 58.419268185662,16.9244142201944 58.4148911136155,16.9268630167036 58.4101725704702,16.9275102835754 58.4052939823321)))', 'SERIS', 'Risö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6198223269064 56.2758702280914,12.6192634301336 56.2709885939703,12.6170040184244 56.2662613993944,12.6131314871787 56.2618702235469,12.607795059766 56.2579836784563,12.6011999916672 56.2547509504125,12.5935996555143 56.2522960929021,12.5852858152463 56.2507132864176,12.5765774613974 56.250063243194,12.5678086293217 56.2503708913953,12.5593156568389 56.2516244251281,12.5514243566802 56.2537757555807,12.5444375818965 56.2567423463356,12.5386236490179 56.2604103642473,12.5342060544925 56.2646390279681,12.531354875348 56.2692659909525,12.5301801860755 56.2741135561947,12.5307277518143 56.2789954875475,12.5329771749553 56.2837241585376,12.5368425807661 56.2881177652114,12.5421758306607 56.2920073254699,12.5487721529089 56.2952431939914,12.5563779839486 56.2977008391799,12.5647007232955 56.2992856561436,12.5734200256109 56.29993662657,12.5822001887332 56.2996286811365,12.590703149791 56.2983736709874,12.5986015753816 56.296219909706,12.6055915276724 56.2932503037819,12.6114042063889 56.2895791453931,12.6158163060207 56.2853476939964,12.6186585860892 56.2807187205351,12.6198223269064 56.2758702280914)))', 'SERLD', 'Arild', 'Y'),('SRID=4326;MULTIPOLYGON(((15.3477461399585 56.1768822481785,15.3468424583219 56.1720154023322,15.3442545861117 56.1673403756624,15.3400825048569 56.1630367254725,15.3344868963135 56.1592696887951,15.3276829143619 56.1561838552409,15.319931899047 56.1538976371894,15.3115313538127 56.1524987457754,15.3028035679575 56.1520408425095,15.294083313128 56.1525414918335,15.2857050742534 56.153981491063,15.2779902910899 56.1563056027231,15.2712350861984 56.159424661982,15.2656989387234 56.1632189805091,15.2615947310802 56.167542919386,15.2590805482215 56.1722304593723,15.2582535475699 56.1771015585001,15.2591461434758 56.1819690560925,15.2617246652258 56.1866458601721,15.2658905548125 56.1909521428416,15.2714840731063 56.1947222662976,15.2782903844511 56.1978111709954,15.2860477941755 56.2000999770018,15.2944578253457 56.2015005791888,15.3031967445144 56.2019590555953,15.3119280850863 56.2014577545242,15.3203156744259 56.2000159778826,15.3280366492524 56.1976892337407,15.3347939443815 56.1945670877024,15.3403277624515 56.1907696980325,15.3444255756804 56.1864431712031,15.3469302726084 56.1817539204461,15.3477461399585 56.1768822481785)))', 'SERNB', 'Ronneby', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6068683571503 57.9370468432356,11.6056152081776 57.9322023837799,11.6026099554503 57.9275809865866,11.5979686501516 57.9233601266846,11.5918699991086 57.9197018399511,11.5845484450954 57.9167465219522,11.5762851461403 57.9146075615592,11.5673972021205 57.9133670111757,11.5582255378547 57.91307245577,11.5491218978478 57.9137351976674,11.540435437882 57.9153298248264,11.5324994122442 57.9177951787949,11.5256184522795 57.9210366864517,11.5200569122126 57.9249299687286,11.5160287220832 57.9293255915189,11.5136891358719 57.934054780579,11.5131286965094 57.9389358850226,11.5143696600491 57.9437813444356,11.5173650310152 57.9484048939574,11.5220002626323 57.9526287308874,11.5280975727382 57.9562903661232,11.5354227227076 57.9592488943199,11.5436940070633 57.9613904378822,11.5525931102241 57.9626325511418,11.5617774084915 57.9629274111962,11.5708932339449 57.96226366934,11.5795895756754 57.9606668898497,11.5875316749863 57.9581985588508,11.5944139758726 57.954953702691,11.5999719199698 57.9510572102178,11.6039921246951 57.9466590042611,11.6063205517739 57.9419282523273,11.6068683571503 57.9370468432356)))', 'SERNG', 'Rönnäng', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5389007596141 57.1739088859259,18.53834226325 57.1690275104428,18.5360418184971 57.1642990892561,18.5320884323797 57.159905246132,18.5266344610309 57.1560146910537,18.5198896895734 57.1527767585667,18.5121132412053 57.1503156959055,18.5036036307503 57.1487259163077,18.4946873431046 57.1480683956729,18.4857063678587 57.1483683472706,18.4770051568109 57.1496142611377,18.4689174904487 57.1517583438219,18.4617537424323 57.1547183419601,18.455789017639 57.1583806815926,18.4512526096586 57.1626048058423,18.4483191783418 57.1672285483428,18.447101988018 57.1720743401795,18.4476484737093 57.1769560156254,18.4499383180007 57.1816859579023,18.4538841276904 57.1860823116722,18.4593347000883 57.1899759847294,18.4660807675339 57.1932171678448,18.4738630095297 57.1956811189049,18.4823820292263 57.1972729849392,18.4913099092553 57.1979314724064,18.500302895188 57.1976312208453,18.509014706705 57.1963837858858,18.5171099494917 57.1942371925532,18.5242770964467 57.1912740764346,18.5302405252378 57.1876084861744,18.5347711395829 57.183381473528,18.5376951616612 57.1787556445937,18.5389007596141 57.1739088859259)))', 'SERNH', 'Ronehamn', 'Y'),('SRID=4326;MULTIPOLYGON(((19.2141762550078 59.5926796957429,19.213489401188 59.5878024617317,19.2109397975005 59.5830868549553,19.2066261228816 59.5787139927784,19.2007146397269 59.5748517609386,19.1934327302089 59.5716483863009,19.1850601268752 59.5692267704745,19.1759181791803 59.5676797975076,19.1663575658612 59.5670667913222,19.1567449159748 59.5674112549575,19.1474488379775 59.5686999756224,19.138825875816 59.5708835287021,19.1312069133407 59.5738781619169,19.1248845334255 59.5775689895212,19.1201018062096 59.581814377477,19.1170429324014 59.5864513555969,19.1158261035046 59.5913018533452,19.1164988625245 59.5961795237751,19.1190361581518 59.6008968963017,19.1233411852389 59.6052725847413,19.1292489978996 59.6091382730843,19.1365327727645 59.6123452082449,19.1449124933081 59.614769946556,19.1540657265471 59.6163191285991,19.1636400756218 59.6169330941394,19.1732668203272 59.6165881940845,19.1825752063943 59.6152977076666,19.1912068160824 59.6131113283208,19.1988294490346 59.6101132386012,19.2051499635839 59.6064188504749,19.2099255735802 59.6021703400374,19.2129731618494 59.5975311528445,19.2141762550078 59.5926796957429)))', 'SEROA', 'Rödlöga', 'Y'),('SRID=4326;MULTIPOLYGON(((19.2081804738979 59.5956819674687,19.2074944357222 59.5908047079826,19.2049454539302 59.586088989489,19.2006321837912 59.5817159336761,19.1947208723953 59.5778534337333,19.1874388955227 59.5746497268172,19.1790659884559 59.5722277272758,19.1699235123849 59.5706803338568,19.1603621663214 59.5700668865863,19.1507486073621 59.5704109053999,19.1414514787092 59.5716991945552,19.132827364454 59.5738823459897,19.1252071924831 59.5768766228481,19.118883591942 59.5805671530904,19.1140996797302 59.5848123141367,19.1110397020308 59.5894491445658,19.109821892799 59.5942995795717,19.1104938328324 59.5991772746728,19.1130305024846 59.6038947583819,19.1173351208961 59.6082706402734,19.123242758125 59.6121365969139,19.1305265977534 59.615343864896,19.1389066209152 59.6177689877317,19.1480603830616 59.6193185911792,19.1576354669772 59.6199329987552,19.1672631240978 59.6195885443257,19.1765725649001 59.618298489952,19.1852053308776 59.6161125124357,19.1928291769984 59.613114778878,19.1991509147647 59.6094206875705,19.2039277108718 59.6051724032329,19.206976402501 59.6005333627784,19.2081804738979 59.5956819674687)))', 'SEROD', 'Munkvik, Rödlöga', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0311262421471 57.3698971443481,12.0298388648507 57.36505689194,12.0268292103344 57.3604452831383,12.0222134716494 57.3562394168161,12.0161693511957 57.3526007547037,12.008929182947 57.3496689419801,12.0007709947946 57.3475564691517,11.9920078558066 57.3463443760541,11.9829759129195 57.3460791589871,11.9740215665141 57.3467709965958,11.9654882635425 57.3483933607558,11.9577033998274 57.3508840271089,11.9509658196146 57.3541474477631,11.9455343804496 57.3580583977821,11.941618015315 57.3624667591703,11.939367672376 57.3672032628044,11.9388704467291 57.3720859717584,11.9401461398399 57.3769272601632,11.9431463930662 57.381541021384,11.9477564446172 57.3857498288621,11.9537994579093 57.3893917731032,11.9610432675275 57.3923267092543,11.9692092912174 57.394441671295,11.9779832670222 57.3956552404291,11.9870273981964 57.3959206956431,11.9959934287996 57.3952278220363,12.0045361330642 57.3936033054544,12.012326683905 57.3911096979432,12.0190653712648 57.3878429951597,12.024493169048 57.3839289217149,12.0284016986421 57.379518071117,12.0306412047727 57.3747800914486,12.0311262421471 57.3698971443481)))', 'SEROH', 'Rödaholme', 'Y'),('SRID=4326;MULTIPOLYGON(((22.6527142537293 65.8023563638271,22.6512362385544 65.7975085934872,22.6474832621154 65.7928722362563,22.6416005884292 65.7886253029932,22.6338149446365 65.784930770585,22.6244257083007 65.7819303539111,22.613793375706 65.7797390999404,22.6023257582044 65.7784410056192,22.5904624293738 65.7780858220374,22.5786580025794 65.7786871628341,22.5673648558302 65.7802219864694,22.5570159382723 65.7826314714397,22.5480082901704 65.7858232523495,22.5406878857699 65.7896749345946,22.5353363661658 65.7940387578593,22.532160167573 65.7987472352791,22.5312824699581 65.8036195575089,22.5327382932083 65.8084685205257,22.53647295502 65.8131077140943,22.5423439796093 65.8173586955504,22.5501264133101 65.8210578717078,22.5595213672766 65.8240628207185,22.5701674747763 65.8262578056058,22.5816548273559 65.8275582614239,22.5935408469458 65.827914077565,22.605367465708 65.8273115440883,22.6166789270983 65.8257738841089,22.6270394937294 65.8233603509397,22.6360503518761 65.820163926279,22.643365038603 65.8163077117002,22.6487027832882 65.8119401575251,22.6518592468265 65.8072293186143,22.6527142537293 65.8023563638271)))', 'SEROK', 'Rörbäck', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6676521888359 57.7720261314429,11.6663972705785 57.767182179286,11.6633986179199 57.7625620635396,11.6587720213159 57.7583432103687,11.6526956172322 57.7546875793663,11.6454029911404 57.7517354651983,11.6371741901265 57.7496001349214,11.6283249920638 57.748363502693,11.6191948389408 57.7480730039254,11.6101338876561 57.7487397856717,11.6014896614606 57.750338280774,11.5935937987128 57.7528071817608,11.586749392455 57.756051778372,11.5812193945695 57.7599475716766,11.5772165222391 57.7643450297631,11.5748950527863 57.769075306598,11.5743448267751 57.7739567084715,11.5755877001076 57.7788016629124,11.5785765959147 57.7834239243306,11.5831972091319 57.7876457399023,11.5892723142118 57.7913046990366,11.5965685234478 57.7942600003896,11.6048052442552 57.7963978916845,11.613665493045 57.7976360688714,11.6228081454537 57.7979268613314,11.6318811416764 57.7972590772995,11.6405351247268 57.7956584365227,11.648436970853 57.7931865731326,11.6552826760994 57.789938648389,11.6608090908276 57.7860396679008,11.664804043361 57.7816396487992,11.6671144620951 57.7769078270082,11.6676521888359 57.7720261314429)))', 'SEROO', 'Rörö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4068169250238 61.898086352133,17.4054203000446 61.8932433573394,17.4020487457233 61.8886218994278,17.3968325747562 61.8843994366565,17.3899727025793 61.8807380384919,17.3817328565574 61.8777781874217,17.3724294252518 61.8756334141917,17.3624193401467 61.8743859674863,17.3520864493359 61.874083679526,17.3418268930973 61.8747381440507,17.3320340241853 61.8763242742678,17.3230834306033 61.8787812572266,17.3153186153792 61.8820148694096,17.3090378664716 61.8859010677882,17.3044828106497 61.8902907228661,17.3018290885565 61.8950153169524,17.3011795151671 61.8998933936506,17.3025600020058 61.9047375147589,17.3059184170145 61.9093614597474,17.311126447837 61.9135873917235,17.3179844183033 61.9172527130668,17.3262288905726 61.9202163440213,17.3355427717843 61.9223641783876,17.3455675395522 61.9236135014504,17.3559171104771 61.9239161953297,17.366192804879 61.923260604488,17.3759988131098 61.92167198719,17.3849575468224 61.9192115350227,17.3927242637308 61.91597399966,17.399000386368 61.9120840213993,17.4035449922776 61.9076913051892,17.406184031722 61.9029648347492,17.4068169250238 61.898086352133)))', 'SEROR', 'Rönnskär', 'Y'),('SRID=4326;MULTIPOLYGON(((12.2439097953897 57.1900169225562,12.2433900786246 57.1851346254664,12.2411265589205 57.180401168257,12.2372068283711 57.1759983701667,12.2317819557895 57.1720952866487,12.2250606151385 57.1688417342374,12.217301036241 57.1663625600728,12.2088010915902 57.1647528722157,12.1998868985787 57.1640744097865,12.1909003676456 57.1643531886231,12.1821861626281 57.1655785101718,12.174078559316 57.1677033703903,12.1668886915147 57.1706462532845,12.1608926607901 57.1742942420897,12.1563209567367 57.1785073317759,12.1533495896372 57.1831237812157,12.1520932776942 57.187966303604,12.1526009579808 57.1928488610728,12.1548538057996 57.1975838052017,12.1587658537532 57.2019890903823,12.1641872026346 57.2058952825252,12.1709097149349 57.2091520918363,12.1786749824615 57.2116341753421,12.1871842666806 57.2132459820603,12.1961100283343 57.2139254502926,12.2051085957601 57.2136464110766,12.2138334726707 57.2124196026062,12.2219487585758 57.2102922552947,12.2291421500652 57.2073462637741,12.2351370091262 57.2036950180697,12.2397030245426 57.1994790190446,12.2426650520768 57.1948604507462,12.2439097953897 57.1900169225562)))', 'SERRV', 'Rörvik', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6950233712623 58.0580130876677,11.6937536116398 58.053169717041,11.6907264416017 58.0485506645031,11.68605875772 58.0443333138801,11.6799302813376 58.040679565071,11.6725765997653 58.0377296382836,11.6642801018557 58.0355967145373,11.6553591578794 58.034362613979,11.6461559546212 58.0340746738818,11.6370234425688 58.034743942931,11.6283118820763 58.0363447591584,11.6203554888953 58.0388157273659,11.613459676258 58.0420620597981,11.6078893707773 58.045959192943,11.6038588431438 58.0503575453815,11.6015234425862 58.0550882382468,11.600973557397 58.0599695626979,11.6022310441037 58.0648139492846,11.6052482772463 58.0694351734656,11.6099098730541 58.0736555208027,11.6160370370404 58.0773126351747,11.6233943816982 58.0802657839974,11.6316989605061 58.0824012957254,11.6406311729509 58.0836369562148,11.6498471167237 58.083925190706,11.6589919017054 58.0832549056953,11.667713399097 58.0816519178218,11.6756758803431 58.0791779528979,11.6825730053607 58.0759282549023,11.6881396477424 58.0720278997235,11.692162094474 58.0676269593061,11.6944862265719 58.0628947065123,11.6950233712623 58.0580130876677)))', 'SERSD', 'Röra Strand', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9639310306072 59.4287722803091,18.9632830997006 59.4238938527066,18.9607803222089 59.4191735398718,18.9565195731909 59.4147926424828,18.950665081203 59.4109193573834,18.9434420427597 59.4077023380305,18.9351279362404 59.4052650114408,18.9260418737977 59.4037008655358,18.9165323980862 59.403069883353,18.9069641836358 59.4033962570866,18.897704139426 59.4046674669067,18.8891074290494 59.4068347586742,18.8815039275025 59.4098150027054,18.8751856190736 59.4134938643978,18.8703954092568 59.4177301685002,18.8673177756216 59.4223612937869,18.8660716190219 59.4272093954673,18.8667055988026 59.4320882203243,18.8691961457155 59.4368102556349,18.8734482466942 59.4411939384903,18.8792989897693 59.4450706479853,18.8865237491675 59.4482912093304,18.8948447845138 59.4507316562722,18.9039419288067 59.4522980258435,18.9134649522793 59.4529299964729,18.9230471178742 59.4526032254841,18.9323193926726 59.4513302931853,18.9409247510835 59.4491602159483,18.9485320015268 59.4461765475197,18.9548485889821 59.442494143836,18.9596318699621 59.4382547193843,18.9626984217519 59.4336213704345,18.9639310306072 59.4287722803091)))', 'SERSM', 'Ramsmora', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1180862708261 58.8312199655433,11.1168656443994 58.8263711572982,11.1138448837216 58.8217389397196,11.1091406790459 58.8175012025516,11.1029341873973 58.8138206262501,11.0954640137156 58.8108384566643,11.0870170275114 58.8086691069342,11.0779173699697 58.8073957895137,11.0685140691444 58.8070673418054,11.0591677282799 58.8076963638525,11.050236783477 58.809258737464,11.0420638413418 58.8116945447516,11.0349626046766 58.8149103520344,11.0292058747238 58.8187827741715,11.0250150822504 58.8231631863217,11.0225517474934 58.8278834065888,11.0219112017155 58.8327621355634,11.0231188224031 58.8376119088922,11.0261289421265 58.8422462979385,11.0308264906202 58.8464870823728,11.0370313242047 58.8501711178209,11.0445050903691 58.8531566318102,11.0529603726833 58.8553287020451,11.0620717669557 58.8566037018991,11.0714884583195 58.8569325378334,11.0808478049386 58.8563025507012,11.0897893907004 58.8547380056189,11.0979689890085 58.8522991510624,11.1050718837206 58.8490798846321,11.1108250211753 58.8452041180932,11.1150075175341 58.840820985441,11.1174591155695 58.8360990827433,11.1180862708261 58.8312199655433)))', 'SERSO', 'Ramsö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2231134298763 58.85318067933,11.2218773029214 58.8483329806232,11.2188406015347 58.8437033389666,11.21412062771 58.8394695443388,11.207899142557 58.8357941251191,11.2004153245217 58.8328181286986,11.1919565644115 58.8306557310462,11.1828474529284 58.8293898778358,11.1734373790358 58.8290691202762,11.1640872047745 58.8297057637006,11.1551555132086 58.8312753978946,11.1469849404806 58.8337178267236,11.1398891002405 58.8369393626132,11.1341405890275 58.8408164005519,11.1299605248155 58.8452001382589,11.1275100185155 58.8499222656556,11.1268839108126 58.8548014093924,11.1281070258479 58.8596500883573,11.131133101114 58.8642819151057,11.1358464523465 58.8685187669991,11.1420663266676 58.8721976502177,11.1495537908693 58.8751769900082,11.158020899052 58.8773421014038,11.1671417895962 58.8786096255867,11.1765652802812 58.8789307569576,11.1859284664774 58.8782931332733,11.1948707841683 58.8767213139845,11.2030479794793 58.8742758278873,11.2101454305341 58.871050827998,11.2158902955652 58.8671704466908,11.2200620117004 58.8627839952438,11.2225007389485 58.8580601968772,11.2231134298763 58.85318067933)))', 'SERSS', 'Råssö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.919240299752 58.228928408882,11.9179332750557 58.2240877304584,11.9148619588145 58.2194745205255,11.9101449469116 58.2152659362051,11.9039638551755 58.2116235385475,11.8965562879547 58.208687110088,11.8882066969321 58.2065693123887,11.8792354829389 58.2053513844269,11.8699867545014 58.2050800429101,11.8608152027121 58.205765700266,11.8520725818521 58.2073820667836,11.8440942984758 58.2098671518485,11.8371866081626 58.2131256271677,11.8316148988794 58.217032464044,11.8275935032075 58.2214377088801,11.8252774292198 58.2261722178295,11.824756332633 58.2310541344679,11.8260509725882 58.2358958649717,11.8291123022372 58.2405112848175,11.8338232460641 58.2447229004449,11.840003112052 58.248368689315,11.847414482465 58.2513083526115,11.8557723266215 58.2534287362971,11.8647549872264 58.254648207701,11.8740166131085 58.2549198151402,11.8832005496526 58.2542331057025,11.8919531571082 58.2526145292692,11.8999375085514 58.2501264128948,11.9068464245966 58.2468645463625,11.9124143306738 58.2429544746508,11.9164274732084 58.2385466438312,11.9187321005935 58.2338105914421,11.919240299752 58.228928408882)))', 'SERTN', 'Restenäs', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5749150213048 57.1634321092323,16.5738260134818 57.1585764435351,16.5710151299931 57.153929466233,16.5665909400185 57.1496696451485,16.5607238114094 57.1459605222585,16.5536393107278 57.1429444533125,16.5456095204463 57.1407371651238,16.5369426090989 57.1394233354488,16.5279710511843 57.1390533611989,16.5190389400005 57.139641435801,16.5104888673878 57.1411650074641,16.5026488589825 57.1435656386106,16.4958198517795 57.1467512345353,16.4902641825908 57.1505995582281,16.4861955216675 57.1549628999677,16.4837706359885 57.1596737264681,16.4830833025451 57.1645510966244,16.4841606149169 57.169407600727,16.4869618386564 57.1740565586604,16.4913798751921 57.1783192010696,16.4972452934795 57.1820315564571,16.5043327873404 57.1850507769549,16.5123698186207 57.1872606559545,16.5210471164108 57.1885761212713,16.5300306249688 57.1889465269819,16.5389744316166 57.1883576139732,16.5475341639826 57.1868320616761,16.55538032582 57.1844286092027,16.5622110433308 57.1812397807798,16.5677637193274 57.1773883055364,16.5718251392478 57.1730223729885,16.5742396384909 57.1683099108485,16.5749150213048 57.1634321092323)))', 'SERUO', 'Runnö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8157110205602 59.2788265012092,18.8150867101172 59.273947381995,18.8126150834611 59.2692243195507,18.8083918134308 59.2648387218838,18.8025796865068 59.2609589681725,18.7954022729559 59.2577339619467,18.787135302953 59.2552874381989,18.7780960848898 59.2537132387355,18.7686313702559 59.253071732722,18.7591041224743 59.2533875159184,18.7498796838619 59.2546484741215,18.741311854837 59.2568062454975,18.7337294023166 59.2597780645229,18.7274234999101 59.2634499188737,18.7226365712531 59.2676809015376,18.7195529601663 59.272308595339,18.7182917881652 59.277155287577,18.7189022825613 59.2820347800541,18.7213617689322 59.2867595357532,18.7255764226851 59.291147888885,18.7313847690906 59.2950310407774,18.7385638134352 59.2982595705585,18.7468375772744 59.3007092068063,18.7558877179184 59.302285633864,18.765365821013 59.3029281434343,18.7749068848598 59.3026119869744,18.7841434637672 59.3013493355135,18.7927199090649 59.2991888086695,18.8003061420875 59.2962135914614,18.8066104136821 59.292538213556,18.8113905484931 59.2883041183949,18.8144632370035 59.2836741970023,18.8157110205602 59.2788265012092)))', 'SERUR', 'Runmarö', 'Y'),('SRID=4326;MULTIPOLYGON(((19.4888456264204 63.5335994462734,19.4880299771756 63.5287259392149,19.4851004801682 63.5240170548359,19.4801706442864 63.5196536313401,19.4734305677653 63.5158031609933,19.4651395347584 63.5126133826827,19.4556160110433 63.5102066397566,19.4452254292743 63.5086752145982,19.4343662294877 63.5080778137455,19.4234546785492 63.5084373338709,19.4129090320353 63.5097399911437,19.4031336231862 63.5119358460343,19.3945034658433 63.5149407041304,19.3873499416881 63.5186393226872,19.3819481068035 63.5228898040673,19.3785060989895 63.5275290125749,19.3771570561789 63.5323788120132,19.3779538689803 63.5372528890797,19.3808669888145 63.5419639037899,19.385785400066 63.5463306936173,19.3925207437981 63.5501852538039,19.4008144563879 63.5533792228219,19.410347664123 63.5557896193255,19.4207534600483 63.5573236047065,19.431631087908 63.5579220826551,19.4425614753227 63.5575619925204,19.4531234990262 63.556257204912,19.462910332496 63.5540579836848,19.4715452225979 63.5510490357465,19.4786960671371 63.5473462264837,19.4840882179854 63.5430920915306,19.4875150116528 63.5384503228052,19.4888456264204 63.5335994462734)))', 'SERUV', 'Rundvik', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5922619857015 63.735170074689,20.591251140469 63.7303033869951,20.588118065365 63.7256175543139,20.5829840850893 63.721292519026,20.5760471188176 63.7174942903674,20.5675739799215 63.7143685951623,20.5578900879831 63.7120353136568,20.5473669935618 63.7105839088088,20.5364081904069 63.7100700191995,20.5254337465513 63.7105133418218,20.5148643241352 63.7118968829458,20.5051051774508 63.7141676046716,20.496530719378 63.7172384433038,20.4894702280922 63.7209916249803,20.4841952288628 63.7252831556988,20.4809090303231 63.7299483186383,20.4797388216197 63.7348079730253,20.4807306476376 63.7396754172191,20.4838474761158 63.7443635555209,20.4889704557529 63.7486920945412,20.4959033421234 63.7524944916336,20.5043799429906 63.7556243853681,20.514074311726 63.7579612563102,20.5246133027758 63.7594150950417,20.5355910022704 63.7599298924437,20.5465844653737 63.7594858133196,20.5571701344302 63.7580999665703,20.5669402817406 63.7558257411073,20.5755188196825 63.7527507340391,20.582575848964 63.7489933538351,20.587840371382 63.7446982336848,20.5911106733056 63.7400306368665,20.5922619857015 63.735170074689)))', 'SERVG', 'Rovögern', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0965884404061 65.7551806071074,23.0950300482622 65.7503374145428,23.0912046592459 65.7457122074512,23.0852603036779 65.741482564961,23.0774260589786 65.737810797726,23.068003149707 65.7348377457579,23.0573533480211 65.7326774061443,23.0458851237428 65.7314125910196,23.0340380681546 65.7310917767747,23.0222661717286 65.7317272608112,23.0110205725422 65.7332946937039,23.0007324088803 65.7357340040373,22.9917964063293 65.7389516820178,22.9845558065525 65.7428243378654,22.9792892020267 65.7472034035475,22.9761997786968 65.7519208032405,22.9754073875323 65.7567953805166,22.9769437677424 65.7616398401229,22.9807511310897 65.7662679406488,22.9866841914957 65.7705016624683,22.9945155911311 65.7741780738878,23.0039445385826 65.7771556278611,23.014608342443 65.7793196419102,23.026096401189 65.7805867445001,23.0379661039148 65.7809081109925,23.0497600123167 65.7802713599111,23.0610236371843 65.7787010335777,23.0713230959836 65.7762576439094,23.0802619435512 65.7730353217427,23.0874965051061 65.7691581638933,23.0927491074451 65.7647754237819,23.095818696332 65.7600557366295,23.0965884404061 65.7551806071074)))', 'SERYB', 'Ryssbält', 'Y'),('SRID=4326;MULTIPOLYGON(((16.3974752849211 56.8014989759407,16.3964205439781 56.7966413488779,16.3936594819066 56.7919899136892,16.3892987430446 56.7877233121129,16.3835062523549 56.7840053495752,16.3765047100185 56.7809787242467,16.3685630184912 56.7787595707616,16.3599859736374 56.7774330240994,16.3511026122803 56.7770499700378,16.3422536547405 56.7776251037019,16.3337785117175 56.7791363686959,16.3260023396062 56.7815257977876,16.3192236267649 56.7847017238855,16.3137027753768 56.7885422788654,16.3096521096935 56.792900049401,16.3072276922543 56.7976077150481,16.3065232661967 56.8024844560025,16.3075665655436 56.8073428876805,16.3103181484745 56.8119962578085,16.3146728137637 56.8162656300718,16.3204635610963 56.819986777233,16.3274679557043 56.8230165162912,16.3354166609023 56.8252382385751,16.3440038130589 56.8265664180281,16.3528988366042 56.8269499202947,16.3617592357523 56.8263739820144,16.3702438579201 56.8248607820785,16.3780261035977 56.8224685822975,16.3848065597829 56.8192894715754,16.3903245588871 56.815445802867,16.3943682108957 56.8110854635351,16.3967825210385 56.8063761650993,16.3974752849211 56.8014989759407)))', 'SERYS', 'Ryssby', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1619688915431 58.7472043015554,17.1607453728837 58.7423558691449,17.1577263396155 58.7377246135683,17.1530284114314 58.7334883877183,17.1468325009691 58.7298098143628,17.1393768048288 58.7268300629834,17.1309476361791 58.7246634545154,17.121868453236 58.7233930968047,17.1124875004369 58.7230677141504,17.1031645263882 58.7236997892466,17.0942570737405 58.7252650867508,17.0861068504855 58.7277035762961,17.0790266895469 58.7309217207355,17.0732885839671 58.7347960445097,17.0691132487865 58.7391778489728,17.0666616084922 58.743898897984,17.0660285417298 58.748777859647,17.0672391343803 58.7536272602241,17.0702476002643 58.758260685226,17.0749389284765 58.7624999514854,17.0811332111672 58.7661819733601,17.0885924995531 58.7691650563631,17.0970299335822 58.771334372349,17.1061207967103 58.7726064012764,17.1155150662959 58.7729321644179,17.1248509663688 58.7722991211536,17.1337689864051 58.770731654221,17.1419258096229 58.7682901242638,17.1490075983162 58.7650685313043,17.1547421116352 58.7611908759082,17.1589091814319 58.7568063639301,17.1613491415501 58.7520836437049,17.1619688915431 58.7472043015554)))', 'SESA2', 'Sand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9723039711605 57.5089170715153,11.9710188516731 57.50407628322,11.9680045426712 57.4994633953023,11.9633774219162 57.4952555555153,11.9573156334789 57.491614300763,11.9500521923454 57.4886793749053,11.9418660202829 57.4865633869884,11.9330712588232 57.4853475108581,11.9240052651887 57.4850783873078,11.9150157421088 57.4857663445408,11.9064474818387 57.4873850033946,11.8986292177489 57.4898722821753,11.8918610733629 57.4931327638353,11.8864030787229 57.4970413373334,11.8824651877851 57.5014479770988,11.8801991788624 57.5061834812444,11.8796927540296 57.511065952144,11.8809660744856 57.5159077736464,11.8839708793077 57.5205228187918,11.8885922376589 57.5247336114094,11.894652882744 57.5283781650536,11.9019199736452 57.5313162336387,11.9101140329539 57.5334347296662,11.9189197183772 57.5346520974526,11.9279980096165 57.534921469113,11.9369993317404 57.5342324786712,11.9455770961933 57.5326116625871,11.9534011226786 57.5301214309736,11.9601704104019 57.526857650421,11.9656247552617 57.5229459341971,11.9695547589503 57.5185367863239,11.9718098439177 57.5137997905244,11.9723039711605 57.5089170715153)))', 'SESA3', 'Särö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7716018258377 57.7359882632406,11.7703344291947 57.7311454297179,11.767325717024 57.72652784353,11.7626918633845 57.7223128331629,11.7566112805076 57.7186622103751,11.7493177116696 57.7157160775467,11.7410912381582 57.7135874723604,11.7322475474374 57.7123580512515,11.7231258700962 57.7120749733573,11.7140760387291 57.7127491013918,11.7054451516277 57.7143545865929,11.6975643375054 57.7168298533346,11.69073611421 57.7200799468848,11.6852228145113 57.7239801568934,11.6812365159287 57.7283807812338,11.6789308598428 57.7331128514765,11.6783950788849 57.7379946041464,11.6796504724311 57.7428384524485,11.682649480092 57.7474581925882,11.6872774052315 57.7516761681604,11.6933567381806 57.7553301159817,11.7006539259563 57.7582794274656,11.7088883363233 57.7604105810078,11.7177430735041 57.7616415322083,11.7268772251845 57.7619248889866,11.7359390596614 57.7612497461713,11.744579651276 57.7596421070156,11.7524663938898 57.7571638750663,11.7592958670978 57.7539104564822,11.7648055478458 57.7500070678196,11.7687839095694 57.745603895126,11.7710785192038 57.7408702947941,11.7716018258377 57.7359882632406)))', 'SESA4', 'Sanden', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2949563095495 58.7411548832548,11.2937145454689 58.7363078349952,11.2906784592933 58.7316798081959,11.2859653235872 58.7274485308538,11.2797566321284 58.7237764350824,11.2722910690918 58.7208044413502,11.2638553234629 58.7186465728028,11.2547731035851 58.7173856021126,11.2453927691178 58.7170698937964,11.2360740447819 58.7177115598378,11.2271743111708 58.71928599734,11.219034982085 58.7217328255073,11.2119684750578 58.7249581872331,11.20624626201 58.728838329688,11.2020884506106 58.7332243302884,11.1996552945538 58.7379477909431,11.1990409636473 58.7428272861219,11.2002698238995 58.7476753205133,11.2032953858647 58.7523055311064,11.2080019791934 58.7565398574421,11.2142091061272 58.7602154032258,11.2216783206799 58.7631907227563,11.2301223779587 58.7653512865646,11.2392163042481 58.766613911649,11.2486099576915 58.7669299816253,11.2579415858709 58.7662873294505,11.2668518436966 58.7647107081515,11.2749977151507 58.7622608309879,11.2820657866858 58.759032019249,11.2877843482025 58.7551485509975,11.2919338479476 58.7507598551391,11.294355297602 58.7460347400929,11.2949563095495 58.7411548832548)))', 'SESA5', 'Sannäs', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3024379249965 61.6741281223738,17.3010685414548 61.6692837994557,17.2977377200912 61.6646594573238,17.2925741980833 61.6604326670865,17.2857768629871 61.6567656667828,17.2776070405479 61.6537991563724,17.2683784360038 61.6516469242835,17.258445117765 61.6503915069227,17.2481879992326 61.6500810430522,17.2380003248125 61.6507274399574,17.2282726990673 61.6523059194444,17.219378212949 61.6547559605734,17.2116582179838 61.6579836043309,17.2054092781455 61.6618650348649,17.2008717902179 61.6662513041304,17.19822070727 61.6709740234594,17.1975587274231 61.6758518082579,17.1989122229031 61.6806972321862,17.2022300846512 61.6853240260824,17.2073855484723 61.68955424558,17.2141809535994 61.6932251305671,17.2223552681129 61.6961953896761,17.2315941029018 61.6983506637732,17.2415418320955 61.6996079533326,17.2518153483526 61.6999188345663,17.2620189108567 61.6992713366487,17.2717594962237 61.6976904053933,17.2806620405152 61.6952369350004,17.2883839654241 61.6920054065587,17.2946284131658 61.6881202273281,17.2991556708423 61.6837309160585,17.3017923428488 61.6790063245344,17.3024379249965 61.6741281223738)))', 'SESA6', 'Saltvik, Hudiksvall', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1840231539215 57.2830399099622,12.1835104470066 57.2781574917205,12.1812493110165 57.2734230360245,12.1773272508258 57.2690184005688,12.1718954285571 57.2651127111873,12.1651627878521 57.2618558840505,12.1573879938233 57.2593728914379,12.1488695029813 57.2577589873516,12.1399341431265 57.257076072168,12.1309246345467 57.2573503322158,12.1221865197906 57.25857124221,12.1140549891071 57.2606919675551,12.1068420920306 57.2636311513833,12.1008248125099 57.2672760195859,12.0962344556655 57.2714866877618,12.0932477492712 57.2761015086406,12.0919800033119 57.2809432587756,12.0924805978448 57.2858259306047,12.094730984791 57.2905618717011,12.0986452957188 57.294968998232,12.104073548261 57.2988778051203,12.1108073422373 57.3021379015839,12.118587836963 57.3046238176177,12.12711570805 57.3062398541548,12.1360626996399 57.3069237861717,12.1450843206161 57.306649272536,12.1538331844241 57.3054268771391,12.1619724643676 57.3033036607162,12.1691889311584 57.3003613593797,12.1752050573934 57.2967132218507,12.1797897135328 57.292499630256,12.1827670396851 57.2878826769291,12.1840231539215 57.2830399099622)))', 'SESAB', 'Sallebacka', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((17.089910535413 57.1702436752134,17.0887539191451 57.1653930347148,17.0858782269596 57.1607581265373,17.081394511231 57.1565169515018,17.0754754166717 57.1528323329857,17.0683484944988 57.1498456844666,17.0602874452435 57.1476716031108,17.0516016285692 57.1463934929179,17.0426242389357 57.1460603815226,17.0336995917606 57.1466850496589,17.0251699949277 57.1482435431193,17.0173626945161 57.1506760854951,17.0105773812137 57.1538893578008,17.005074725056 57.1577600600328,17.0010663712266 57.1621396215223,16.9987067793145 57.1668598833113,16.9980872237198 57.1717395382989,16.9992321953918 57.1765910850389,17.0020983569144 57.181228030061,17.0065761068692 57.1854720624539,17.0124937087803 57.1891599238338,17.019623838676 57.1921497070269,17.0276923076809 57.1943263376407,17.0363886265429 57.1956060235736,17.0453780019377 57.1959394972982,17.0543142937211 57.1953139229193,17.0628534212207 57.1937533926117,17.0706666873988 57.1913179928762,17.0774534933353 57.1881014777059,17.0829529417578 57.1842276408013,17.0869538758339 57.1798455300564,17.0893029655656 57.1751236925298,17.089910535413 57.1702436752134)))', 'SESAD', 'Sandby, Öland', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2137531044493 61.2621651629712,17.2124167140561 61.2573195325007,17.2091438960257 61.2526925050908,17.2040611382822 61.2484617579644,17.1973642134853 61.2447896848777,17.1893105882289 61.2418171845707,17.1802095127028 61.239658279093,17.1704101739978 61.2383957638154,17.1602883625397 61.2380780514753,17.1502321510653 61.238717327633,17.1406271182572 61.2402890860185,17.1318416641495 61.2427330610749,17.1242129615061 61.2459555232577,17.1180340665623 61.2498328520045,17.1135426740893 61.2542162534573,17.1109119462459 61.2589374466316,17.110243773119 61.2638151043597,17.1115647367457 61.2686618054528,17.1148249519513 61.2732912333873,17.1198998494763 61.2775253454831,17.1265948533107 61.2812012356985,17.1346527893148 61.2841774241707,17.1437637510312 61.2863393273598,17.1535770462877 61.2876036935197,17.1637147598972 61.2879218281325,17.1737863981592 61.28728148135,17.1834040337981 61.2857073224361,17.1921973481117 61.283259982407,17.1998279716938 61.2800337030944,17.2060025558686 61.2761526861845,17.2104840621452 61.2717662870241,17.2131008334499 61.267043242971,17.2137531044493 61.2621651629712)))', 'SESAE', 'Sandarne', 'Y'),('SRID=4326;MULTIPOLYGON(((12.9655096683952 59.1337692879968,12.9648662072571 59.128890689178,12.9623839075091 59.1241703229916,12.9581588432591 59.1197894933468,12.9523538618281 59.1159163963585,12.9451922527888 59.1126996805364,12.9369491357966 59.110262763576,12.9279409028376 59.1086991197046,12.918513118285 59.1080687141097,12.9090273328043 59.1083957174461,12.899847303627 59.1096675853895,12.8913251334153 59.1118355373382,12.8837878425571 59.1148164163717,12.8775248752461 59.1184958612065,12.8727770083447 59.122732671837,12.8697270843379 59.1273642055172,12.8684929265669 59.1322126003103,12.8691227177612 59.1370915911075,12.8715930336275 59.1418136591025,12.8758096244935 59.1461972413016,12.8816109330348 59.1500737225392,12.8887742288466 59.1532939390847,12.8970241354814 59.155733940289,12.9060432272938 59.157299782376,12.9154842867474 59.1579311654992,12.9249837421899 59.1576037701835,12.9341757552582 59.1563302004288,12.9427063988493 59.1541594959227,12.9502473625811 59.1511752326383,12.9565086431017 59.1474922870809,12.9612497203511 59.1432523922093,12.9642887855092 59.1386186603166,12.9655096683952 59.1337692879968)))', 'SESAF', 'Säffle', 'Y'),('SRID=4326;MULTIPOLYGON(((23.554775918419 65.8429983771401,23.5531258091608 65.8381603201452,23.5492050821547 65.8335470503943,23.5431654261616 65.8293356839327,23.5352395674278 65.8256878258508,23.5257322315658 65.8227433957186,23.5150084124558 65.8206152909217,23.5034794019525 65.819385086857,23.4915871086287 65.8190999333621,23.4797872492809 65.8197707619104,23.4685320328424 65.821371869585,23.4582529724016 65.8238418952029,23.4493444571076 65.8270861518359,23.4421486918509 65.8309802299451,23.4369425688837 65.835374738054,23.4339269723634 65.8401010048815,23.4332189349461 65.8449775297164,23.4348469664387 65.8498169379613,23.4387497603352 65.8544331775329,23.4447783580258 65.8586486802588,23.4527017167962 65.8623012113413,23.4622154916411 65.8652501397887,23.4729537084125 65.867381883387,23.4845028833447 65.8686143127631,23.4964180380078 65.8688999392949,23.508239975163 65.8682277594931,23.519513124722 65.8666236819915,23.5298032434389 65.8641495201034,23.5387142586482 65.8609005904684,23.5459035848803 65.8570020140475,23.551095310175 65.8526038671439,23.5540907422928 65.8478753750105,23.554775918419 65.8429983771401)))', 'SESAG', 'Sangis', 'Y'),('SRID=4326;MULTIPOLYGON(((15.9066439786654 56.0926802874215,15.9056719006195 56.0878177743758,15.9030222128289 56.083154670078,15.8987972622251 56.0788700705439,15.893159749705 56.0751284789189,15.8863264263502 56.0720735067997,15.8785597480841 56.0698223820343,15.8701578117978 56.068461470008,15.8614429562826 56.0680429765444,15.8527494574216 56.068582955818,15.8444107780021 56.0700606976941,15.8367468476194 56.0724195173902,15.8300518471596 56.0755689180547,15.8245829552897 56.0793880455412,15.8205504815542 56.0837303060909,15.8181097627321 56.0884289735121,15.8173551370807 56.093303574375,15.8183162365153 56.098166809196,15.8209567517056 56.1028317458244,15.8251757321645 56.1071190092894,15.8308113858967 56.1108636908866,15.8376472448068 56.1139217085995,15.8454204669585 56.1161753709155,15.8538319592145 56.1175379261299,15.8625579279724 56.1179569182581,15.8712624054561 56.1174162172083,15.87961025748 56.1159366429993,15.8872801580021 56.1135751593701,15.8939770172378 56.1104226687325,15.899443373541 56.1066004956535,15.9034693033867 56.1022556975555,15.9059004662447 56.0975553869483,15.9066439786654 56.0926802874215)))', 'SESAH', 'Sandhamn, Karlskrona', 'Y'),('SRID=4326;MULTIPOLYGON(((23.7297272431861 65.8259291406906,23.7280454593422 65.8210930870372,23.7240961614556 65.816484401937,23.7180321297226 65.8122800239937,23.710087019191 65.8086412890658,23.7005662871547 65.8057077661491,23.6898354351745 65.8035919341801,23.6783060203535 65.8023748982047,23.6664199646464 65.8021033036871,23.6546327461764 65.8027875628347,23.6433960921629 65.8044014582539,23.6331408088363 65.8068831385955,23.6242603795262 65.8101374697193,23.617095937952 65.8140396549139,23.6119231797703 65.8184399904489,23.6089417120132 65.8231695798149,23.6082672579885 65.828046792947,23.6099270359079 65.8328842269936,23.6138585152061 65.8374959040777,23.6199116284029 65.8417044300945,23.6278543827045 65.8453478376801,23.6373816795422 65.8482858464693,23.6481270179326 65.8504052945915,23.6596766353503 65.8516245264726,23.6715855341725 65.8518965623406,23.6833947586083 65.8512109227963,23.6946492312207 65.8495940353867,23.7049154330567 65.847108206966,23.7137982185486 65.843849203183,23.7209560952799 65.8399425321195,23.7261143670411 65.8355385804379,23.7290756322283 65.8308067951717,23.7297272431861 65.8259291406906)))', 'SESAI', 'Säivis', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0461180743269 57.3638917247146,12.044828964404 57.3590516392705,12.0418179582276 57.3544403990887,12.0372013003459 57.3502350888139,12.0311567280288 57.3465971487913,12.0239165922221 57.3436661964823,12.0157589192992 57.3415546894036,12.0069967584187 57.3403436303851,11.9979662189984 57.340079476111,11.9890136477225 57.3407723645041,11.9804824236951 57.3423957271582,11.972699863292 57.3448873014062,11.9659647226982 57.3481515044831,11.9605357660994 57.352063081353,11.9566218313478 57.3564718898555,11.9543737733214 57.3612086435775,11.9538785992411 57.3660913958586,11.9551560314946 57.3709325190439,11.9581576442355 57.3755459127486,11.9627686229805 57.3797541644741,11.9688120950584 57.3833953860666,11.9760558770281 57.3863294604756,11.9842213874237 57.3884434548726,11.9929943839029 57.3896559877553,12.0020371074244 57.3899203780568,12.0110013563821 57.389226451921,12.0195419738479 57.3876009357414,12.0273302133794 57.3851064200404,12.0340664541978 57.381838935393,12.0394917646213 57.3779242364247,12.0433978618974 57.3735129406065,12.0456350843333 57.3687747130225,12.0461180743269 57.3638917247146)))', 'SESAM', 'Skallahamn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.6498041808899 59.3478891947574,18.6492026504203 59.343009481162,18.6467493398862 59.3382834398631,18.6425392238197 59.333892594253,18.6367345891875 59.3300055255864,18.6295587238217 59.3267714183348,18.621287302563 59.3243143565274,18.6122378070657 59.3227285857966,18.6027573836874 59.3220749185796,18.5932095971649 59.3223784165318,18.5839605748254 59.3236274362858,18.5753650562755 59.3257740738843,18.567752866548 59.3287359912632,18.5614163165394 59.3323995567768,18.5565990034738 59.3366241826547,18.553486436598 59.341247697153,18.5521988502462 59.346092549586,18.55278648917 59.3509726139153,18.555227561554 59.3557003324321,18.5594289560112 59.3600939264036,18.5652297133621 59.3639843961625,18.5724071360588 59.3672220394524,18.5806853121752 59.3696822339141,18.5897457316933 59.3712702569963,18.5992395851714 59.3719249533611,18.6088012632582 59.3716211046743,18.6180625237579 59.3703704076995,18.6266667639126 59.3682210217365,18.6342828309052 59.3652557032635,18.6406178235644 59.3615886017124,18.6454283817623 59.357360843183,18.6485300246217 59.3527350763365,18.6498041808899 59.3478891947574)))', 'SESAO', 'Saltarö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1731483533857 58.8771990932085,11.1719182709628 58.8723508962753,11.1688860380805 58.8677200686377,11.1641687868397 58.8634844460549,11.1579481755224 58.8598066271901,11.1504633504913 58.8568277515144,11.1420017422201 58.8546621053554,11.1328880511566 58.8533927588282,11.1234718418279 58.8530683969422,11.1141142109742 58.8537014631175,11.1051740266402 58.8552676842697,11.0969942495162 58.8577069952204,11.0898888451722 58.860925828176,11.0841307761889 58.8648006821326,11.0799415268641 58.8691828390268,11.0774825607872 58.8739040499274,11.0768490441691 58.8787829771512,11.0780660869513 58.8836321483336,11.0810876615548 58.8882651574572,11.0857982585041 58.8925038366518,11.0920172325747 58.8961851219135,11.0995056866637 58.8991673460437,11.1079756378095 58.9013357129426,11.1171011154382 58.9026067382866,11.1265307606231 58.902931481481,11.1359014311329 58.9022974410548,11.1448522737502 58.9007290384136,11.1530387051566 58.8982866708483,11.1601457467299 58.8950643714952,11.1659001866399 58.8911861690857,11.1700810930856 58.8868012914545,11.1725282726064 58.8820784017398,11.1731483533857 58.8771990932085)))', 'SESAT', 'Saltö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5239813167162 58.7650694780246,17.5227067838308 58.7602249069647,17.5196382426622 58.7556025423629,17.5148942101247 58.7513798930596,17.508657362545 58.7477190585386,17.5011674601326 58.7447605261084,17.492712120952 58.7426178019303,17.4836158007174 58.7413730776854,17.4742273968791 58.7410740950673,17.4649069423191 58.741732325109,17.4560118846142 58.7433225301918,17.4478834607222 58.7457837251429,17.4408336738725 58.7490215018108,17.4351333594184 58.7529116306688,17.4310017897536 58.7573048050411,17.4285982157352 58.762032350158,17.428015674455 58.7669126820075,17.4292773122291 58.7717582713143,17.4323353795131 58.7763828472018,17.4370729539459 58.7806085641818,17.4433083423907 58.7842728557454,17.4508020067818 58.7872347082808,17.4592657563308 58.7893801101702,17.4683738549219 58.7906264620749,17.4777756119549 58.7909257745039,17.4871089616412 58.7902665262136,17.4960144932347 58.7886741098421,17.504149375222 58.7862098472115,17.5112006211894 58.7829686135004,17.5168971736498 58.7790751645389,17.5210203329423 58.7746793124583,17.5234121286135 58.7699501396843,17.5239813167162 58.7650694780246)))', 'SESAU', 'Sävsundet', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4478668091667 58.659470469815,16.4467456511204 58.6546149455219,16.4438289184543 58.6499666473393,16.4392293075475 58.6457040880835,16.4331239670683 58.6419909059826,16.4257476314587 58.6389696019623,16.4173835837912 58.6367560930022,16.4083527977063 58.6354352863794,16.3990016713389 58.6350578405066,16.3896888141642 58.6356382332469,16.380771379575 58.6371542096581,16.372591451208 58.6395476297684,16.3654629893024 58.6427266849313,16.359659824721 58.6465694002995,16.355405152987 58.6509282927035,16.3528629294019 58.655636009416,16.3521315000311 58.6605117355003,16.3532397236131 58.6653681271594,16.3561457483754 58.6700185069795,16.3607385081191 58.6742840452344,16.366841897205 58.6780006501713,16.3742214782768 58.6810252997686,16.3825934741731 58.6832415677128,16.3916357012088 58.6845641266959,16.401000019466 58.6849420515234,16.4103258111204 58.6843607914158,16.4192539536186 58.6828427333641,16.4274407331405 58.6804463342519,16.4345711464227 58.6772638562522,16.4403710655265 58.6734177953084,16.4446177890265 58.6690561439232,16.447148571669 58.6643466748532,16.4478668091667 58.659470469815)))', 'SESAV', 'Sandviken, Bråviken', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2767324830754 56.1649079579331,15.2758380659596 56.1600405757033,15.2732596227419 56.1553640456664,15.2690967731127 56.1510579833856,15.2635098451535 56.1472877189485,15.2567136606586 56.1441979661851,15.2489692617092 56.1419072880576,15.2405738991013 56.1405035668652,15.2318496642659 56.1400406493226,15.2231311931696 56.1405362920585,15.2147529023439 56.1419714842507,15.2070362330359 56.1442911726696,15.2002773792048 56.1474063621057,15.1947359587212 56.151197512764,15.1906250549514 56.155519107494,15.1881030085567 56.1602052173725,15.1872672778471 56.1650758557908,15.1881506118739 56.1699438802861,15.1907196956973 56.1746221791723,15.1948763345087 56.1789308675951,15.2004611457685 56.1827042156612,15.2072596299331 56.1857970400862,15.2150103948202 56.1880903102751,15.2234152204784 56.1894957493103,15.2321505748119 56.1899592489507,15.240880129009 56.1894629639481,15.2492677792337 56.1880260029045,15.2569906593543 56.1857036883413,15.263751629873 56.1825854152754,15.269290750675 56.1787911929564,15.2733952885025 56.1744670061672,15.2759078718519 56.1697791784482,15.2767324830754 56.1649079579331)))', 'SESAX', 'Saxemara', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8401214146934 59.5628198096238,18.8394892423288 59.5579409553595,18.836994298918 59.5532184082708,18.8327331666906 59.5488335552367,18.8268700962828 59.5449547448754,18.8196306192342 59.5417308421948,18.8112928482076 59.5392855375299,18.8021768041382 59.5377126239507,18.7926321781351 59.5370724199668,18.7830249892877 59.5373894708977,18.773723636516 59.5386516143138,18.7650848626634 59.5408104441483,18.7574401518437 59.5437831561387,18.7510830666092 59.5474557059112,18.7462580000316 59.5516871619799,18.7431507698032 59.5563150908713,18.7418814178578 59.5611617720992,18.7424995011694 59.5660410083021,18.7449820692241 59.5707652718242,18.7492344238259 59.5751529144757,18.7550936506536 59.5790351629453,18.7623348033215 59.5822626288044,18.7706795140728 59.5847110792563,18.7798067054648 59.5862862423129,18.7893649893081 59.5869274570013,18.7989862672275 59.5866100241311,18.8082999953655 59.5853461642787,18.8169475468389 59.5831845448234,18.8245961012218 59.5802083947231,18.8309515108182 59.5765322817729,18.8357696376607 59.57229767992,18.8388657205715 59.5676675015544,18.8401214146934 59.5628198096238)))', 'SESBA', 'Själbottna', 'Y'),('SRID=4326;MULTIPOLYGON(((21.3610147164558 64.5868695305271,21.3598357834249 64.5820091704602,21.3564738726219 64.5773409789259,21.3510591505164 64.5730442090202,21.3438003428173 64.5692837718602,21.3349766162523 64.5662039313258,21.3249268181452 64.5639227977261,21.314036492042 64.5625278262831,21.3027231625957 64.56207248776,21.2914204398329 64.5625742344201,21.2805615310313 64.5640138363429,21.2705627673398 64.5663361125452,21.2618077518168 64.5694520300001,21.2546327157471 64.5732420931436,21.2493136310885 64.5775608984473,21.2460555690968 64.5822426847184,21.2449847193692 64.587107671521,21.2461433910696 64.5919689469645,21.2494882110282 64.5966396433965,21.2548916146985 64.6009401263742,21.2621465995041 64.6047049194999,21.2709745807265 64.6077890957381,21.2810360633168 64.6100738847075,21.2919437248756 64.6114712746879,21.3032774015803 64.6119274267148,21.3146003857106 64.6114247646758,21.3254763853713 64.60998265785,21.3354864674819 64.6076566685705,21.3442453058607 64.6045363951476,21.3514160872361 64.6007419963027,21.3567234873968 64.5964195356347,21.3599642139491 64.5917353308313,21.3610147164558 64.5868695305271)))', 'SESBE', 'Södra Bergfors', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5958974614809 57.9590506686723,11.5946449372496 57.954206110489,11.5916391674125 57.9495844716873,11.5869962240251 57.9453632365475,11.580894877618 57.9417044552664,11.5735696749383 57.9387485422623,11.5653019142017 57.936608909091,11.5564088663049 57.9353676338279,11.5472316514137 57.9350723291422,11.5381222263204 57.9357343260478,11.5294299680326 57.9373282410931,11.5214883526632 57.9397929432252,11.5146022256126 57.9430338844727,11.5090361392778 57.9469267076865,11.5050041984332 57.9513219965828,11.5026618016381 57.9560509899323,11.5020996006236 57.9609320445265,11.5033399201636 57.9657776019733,11.5063357906275 57.9704013936848,11.5109726470487 57.9746256076204,11.5170726455841 57.9782877400892,11.5244014446912 57.9812468664848,11.5326771986335 57.9833890860417,11.5415814196222 57.9846319269299,11.5507712864878 57.9849275381276,11.5598929162858 57.984264541957,11.5685950739505 57.982668473999,11.5765427762775 57.9802007930687,11.5834302511842 57.976956500633,11.5889927410782 57.9730604640291,11.5930166887135 57.96866258875,11.5953479124252 57.9639320297779,11.5958974614809 57.9590506686723)))', 'SESCK', 'Stockevik', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2230222016058 58.0222956993511,14.2222243114487 58.0174227226164,14.2196507117447 58.0127259401672,14.2154009192825 58.008385745406,14.2096386709802 58.0045687737808,14.2025855679468 58.001421522807,14.1945125352061 57.9990647506234,14.1857294288844 57.9975888640324,14.1765731873606 57.99705046891,14.1673949727843 57.9974702118129,14.1585467834836 57.9988319931691,14.1503680354853 58.0010835812855,14.1431726123713 58.0041386042875,14.1372368669794 58.0078798457503,14.1327890262955 58.0121637209434,14.1300004028577 58.0168257659598,14.128978753063 58.0216869331503,14.1297640463824 58.0265604547136,14.1323268216605 58.0312590132968,14.1365692100275 58.0356019450978,14.1423286017731 58.0394221979796,14.149383830676 58.0425727748856,14.1574636480717 58.0449324113337,14.1662571649329 58.0464102644626,14.1754258579694 58.0469494290082,14.1846166693985 58.0465291412756,14.1934756831322 58.0451655837828,14.2016618352203 58.0429112586239,14.2088601148765 58.0398529543639,14.2147937343836 58.03610838697,14.2192347904057 58.031821647515,14.2220130033092 58.0271576359635,14.2230222016058 58.0222956993511)))', 'SESDD', 'Svedudden, Vättern', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5812293973076 60.3099239652242,18.5806239012031 60.3050445486042,18.5781120456697 60.3003174696378,18.5737911045111 60.2959242881517,18.5678276596442 60.2920336692329,18.5604511190285 60.2887949262662,18.5519448650376 60.2863323134648,18.5426353787431 60.2847402825848,18.5328797557814 60.2840798812967,18.5230520840645 60.2843764273688,18.5135291915692 60.2856185449888,18.5046762931747 60.2877585988542,18.4968330687467 60.2907145098156,18.4903006903517 60.2943728845557,18.4853302848448 60.2985933427504,18.4821132696141 60.3032138800365,18.4807739348425 60.3080570655131,18.481364566615 60.3129368399068,18.4838633134831 60.3176656562738,18.4881748973161 60.3220616902843,18.4941341607661 60.3259558425811,18.5015123324605 60.3291982618551,18.5100257817132 60.3316641342084,18.5193469320417 60.3332585116471,18.5291169120653 60.3339199892576,18.5389594481353 60.3336230854108,18.5484954493073 60.3323792303873,18.5573577050226 60.330236323994,18.5652051108491 60.3272768796527,18.5717358581443 60.3236148286061,18.5766990683779 60.3193911108625,18.5799044195795 60.3147682270212,18.5812293973076 60.3099239652242)))', 'SESDG', 'Strand, Gräsö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3536686517192 62.3821029700391,17.3522563908713 62.3772598148617,17.3488371074806 62.3726375712965,17.3435429772422 62.3684137253162,17.3365779302454 62.3647503957436,17.3282097414838 62.361788134747,17.3187597237081 62.3596405610896,17.3085904211378 62.3583900271239,17.2980917705718 62.3580844810044,17.287666247518 62.3587356406262,17.277713548306 62.3603185469607,17.2686153743019 62.3627725134066,17.2607208811249 62.3660034361528,17.2543333341963 62.3698873800612,17.2496984722613 62.3742753068756,17.2469950232664 62.3789987692887,17.2463277430912 62.383876357122,17.2477232586383 62.3887206520332,17.2511288948991 62.3933454260635,17.2564145538289 62.3975728080009,17.2633775950216 62.4012401407059,17.2717505488552 62.4042062625697,17.2812113771453 62.4063569670468,17.2913958898711 62.4076094251449,17.3019118346221 62.4079153957765,17.3123541030015 62.4072630964186,17.3223204493501 62.4056776596146,17.3314270946478 62.4032201572079,17.3393235936007 62.3999852313283,17.3457063754326 62.3960974265548,17.3503304268464 62.3917063689251,17.3530186657009 62.3869809823836,17.3536686517192 62.3821029700391)))', 'SESDL', 'Sundsvall', 'Y'),('SRID=4326;MULTIPOLYGON(((18.970730173161 59.2887685987998,18.9700835096898 59.2838901153066,18.9675896639768 59.2791698883988,18.9633451610582 59.2747892159723,18.9575136002995 59.2709162870888,18.9503192947717 59.2676997425911,18.9420386194406 59.2652629923708,18.9329894053577 59.2636995032006,18.9235187850663 59.2630692336073,18.9139899472619 59.2633963487431,18.9047682953491 59.2646683001932,18.8962075243048 59.2668363048025,18.8886361328772 59.2698172046341,18.8823448736212 59.2734966388104,18.877575611804 59.277733408956,18.8745120163597 59.2823648749314,18.8732724427193 59.2872131781223,18.8739052898793 59.2920920572204,18.8763870244417 59.2968139975092,18.8806229651812 59.3011974402465,18.8864508162476 59.3050737746164,18.8936468293402 59.3082938413223,18.9019343695361 59.310733694248,18.9109945606725 59.3122993942615,18.9204785990479 59.3129306462544,18.9300212531819 59.3126031355128,18.9392550162548 59.3113294706789,18.9478243494735 59.3091586957557,18.9553994505771 59.306174390436,18.96168900225 59.3024914340524,18.9664513991928 59.2982515612041,18.9695040175884 59.2936178843886,18.970730173161 59.2887685987998)))', 'SESDM', 'Sandhamn, Värmdö', 'Y'),('SRID=4326;MULTIPOLYGON(((22.3150923702462 65.5314912303067,22.3136930464512 65.5266399501753,22.3100395680132 65.5219950340753,22.3042733606633 65.5177348265084,22.2966166737382 65.5140228190976,22.287363939851 65.5110014020701,22.2768704315671 65.5087864318263,22.2655386551477 65.5074628173592,22.2538029970505 65.5070812892756,22.2421131958019 65.5076564707431,22.2309172494217 65.5091663214034,22.220644386447 65.5115529747347,22.2116887266526 65.5147249381399,22.2043942357936 65.5185605747873,22.1990415372535 65.5229127385653,22.1958370827296 65.5276143900104,22.1949051047903 65.5324849832863,22.1962826776482 65.5373373836808,22.1999181009247 65.5419850529752,22.2056726976204 65.54624922752,22.2133259860201 65.5499658117571,22.2225840509149 65.5529917186795,22.2330908081511 65.5552104083403,22.2444417344376 65.5565364054975,22.2561995279183 65.5569186168004,22.2679110801457 65.5563423150667,22.2791250817016 65.554829711206,22.2894095553088 65.5524390908911,22.298368613584 65.5492625506576,22.3056577733936 65.5454224241183,22.3109972229672 65.5410665409295,22.3141825276457 65.5363625067999,22.3150923702462 65.5314912303067)))', 'SESDN', 'Sandön', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8157257772405 57.8083395124524,16.8145835854292 57.8034867360141,16.8116904519122 57.7988461001066,16.8071581267967 57.7945958245749,16.8011611433885 57.7908990796086,16.7939300566677 57.787897740403,16.7857425690758 57.7857069636569,16.7769128867161 57.7844107899777,16.7677797106773 57.7840589369757,16.7586933149269 57.7846649028485,16.7500021931181 57.7862054511894,16.7420397711765 57.7886214962817,16.7351116803942 57.7918203560192,16.7294840670118 57.7956792885507,16.7253733791994 57.8000501805334,16.7229380216057 57.8047652111711,16.7222722022834 57.8096432786047,16.7234022183499 57.8144969451803,16.7262853373646 57.8191396368931,16.7308113338368 57.8233928209213,16.7368066379407 57.8270928842833,16.7440409503585 57.8300974465885,16.7522360775683 57.83229086045,16.7610766504055 57.8335886837829,16.770222309803 57.8339409478316,16.779320881312 57.8333340918201,16.7880220176273 57.8317914876712,16.7959907682046 57.82937253408,16.8029205382761 57.826170355946,16.8085449259478 57.8223082003164,16.812647974138 57.817934671221,16.8150724412618 57.8132179909321,16.8157257772405 57.8083395124524)))', 'SESDO', 'Sladö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.899792264988 57.0703139572795,16.8986638403886 57.0654613253733,16.8958197858708 57.0608218020457,16.8913699372866 57.0565735670641,16.8854856396392 57.0528797164578,16.8783931109225 57.0498820193798,16.8703647355563 57.0476954978919,16.8617086239282 57.0464040337352,16.8527568351016 57.0460571668216,16.8438527056765 57.0466682051502,16.8353377581536 57.0482137167091,16.8275386763746 57.0506344223896,16.8207548334301 57.0538374567404,16.8152468388696 57.0576999123017,16.8112265374287 57.0620735350089,16.8088488414673 57.0667903944494,16.8082057149427 57.0716693151781,16.809322549589 57.0765228253179,16.8121570861531 57.0811643575395,16.8166009378045 57.0854154262402,16.8224836725202 57.089112503983,16.8295793102514 57.092113330313,16.8376149932618 57.0943024067675,16.846281498642 57.0955954626348,16.8552451849725 57.0959427156786,16.8641609043632 57.0953307991151,16.8726853698436 57.0937832786596,16.8804904485484 57.0913597392578,16.8872758544107 57.0881534777697,16.8927807399443 57.0842878929579,16.8967937337372 57.0799117152865,16.8991610359536 57.0751932641378,16.899792264988 57.0703139572795)))', 'SESDV', 'Sandvik, Öland', 'Y'),('SRID=4326;MULTIPOLYGON(((21.1475424312321 64.8319534300789,21.146391147046 64.827091542495,21.1430355456826 64.8224186642404,21.1376055759043 64.8181142286668,21.1303105699073 64.8143434402767,21.1214310986857 64.8112509583747,21.1113081556534 64.8089553758986,21.1003300892242 64.8075446998375,21.0889177808321 64.8070730011863,21.0775086224817 64.8075583583361,21.0665398865791 64.8089821697208,21.0564321001399 64.8112898610163,21.0475730353315 64.814392960871,21.0403029086981 64.8181724686493,21.0349013424826 64.822483389628,21.0315765835929 64.8271602691056,21.0304573997211 64.8320235185128,21.0315879792323 64.8368862953252,21.0349260537473 64.841561675693,21.040344342804 64.8458698453417,21.0476352924936 64.8496450312907,21.0565189493667 64.8527419047476,21.0666536827902 64.8550412041996,21.0776493493735 64.8564543567804,21.089082388215 64.8569269144666,21.100512251279 64.8564406680859,21.1114985140459 64.8550143545825,21.1216179811904 64.8527029292066,21.1304811022672 64.8495954317907,21.1377470432104 64.8458115324598,21.143136819019 64.8414968945106,21.146443977771 64.8368175385187,21.1475424312321 64.8319534300789)))', 'SESEB', 'Söderbodarna', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1762611036619 58.9581972810498,11.1750274418882 58.953349190842,11.1719874394043 58.9487185363548,11.167258530201 58.9444831462871,11.1610228225925 58.940805609804,11.1535200435159 58.9378270548922,11.1450383121868 58.9356617549455,11.1359030996806 58.9343927662851,11.1264647938327 58.9340687598708,11.1170853363014 58.9347021654018,11.1081244298328 58.9362686969389,11.0999258281446 58.9387082777797,11.0928042181873 58.9419273303195,11.0870331848633 58.9458023457485,11.0828347118879 58.9501846004061,11.0803706199903 58.9549058420952,11.0797362761132 58.9597847322491,11.0809568262387 58.96463379999,11.0839861121055 58.9692666430903,11.0887083312297 58.9735050996553,11.0949423938031 58.977186113674,11.1024488233337 58.9801680277368,11.1109389448613 58.9823360570491,11.1200860099793 58.9836067297678,11.129537826398 58.9839311185502,11.1389303955931 58.9832967354846,11.1479020186832 58.9817280153313,11.1561073104413 58.9792853679905,11.1632305654163 58.9760628379142,11.1689979482705 58.9721844633359,11.173188031043 58.9677994793158,11.1756402703379 58.963076553571,11.1762611036619 58.9581972810498)))', 'SESEL', 'Seläter', 'Y'),('SRID=4326;MULTIPOLYGON(((15.7946834804115 56.1257206628629,15.7937246406142 56.1208572592358,15.7910861597492 56.1161917481832,15.786869956649 56.1119033187685,15.7812383989243 56.1081566215761,15.7744080115542 56.1050954643284,15.7666411398166 56.1028373121609,15.7582358893357 56.1014687998508,15.7495147264822 56.1010424244665,15.7408121686298 56.1015745422144,15.7324620248234 56.1030447443032,15.7247846626607 56.1053966351418,15.7180747763321 56.1085399838895,15.7125901138208 56.1123541690475,15.7085415885368 56.1166927871895,15.7060851528018 56.121389252766,15.7053157486378 56.1262631777931,15.7062635767809 56.1311272896271,15.7088928397839 56.1357946231874,15.7131030221491 56.1400857119511,15.7187326728694 56.1438355004721,15.7255655572926 56.1468997104018,15.7333389499893 56.149160411861,15.7417537525796 56.1505305819657,15.7504860444694 56.1509574712627,15.7591996139875 56.1504246453068,15.7675589756602 56.148952620708,15.7752423585525 56.1465980705183,15.7819541518734 56.1434516304411,15.7874363173202 56.1396343926023,15.7914783216407 56.1352932251708,15.7939252052718 56.1305951018019,15.7946834804115 56.1257206628629)))', 'SESEN', 'Senoren', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6564407226383 56.7948621590283,12.6558712087119 56.78998096355,12.653577842606 56.7852545062282,12.6496493433426 56.7808643358954,12.6442370980722 56.7769790229414,12.6375492811 56.7737477027874,12.6298428259785 56.7712943713099,12.621413563338 56.769713147397,12.6125849016294 56.7690646805008,12.6036954782596 56.7693738375347,12.5950862436155 56.7706287553426,12.5870874595431 56.7727812939293,12.5800060966279 56.7757488734359,12.5741141010994 56.7794176262337,12.5696379725888 56.7836467462422,12.5667500488911 56.7882738723503,12.5655618342537 56.7931213032619,12.5661196349341 56.7980028086769,12.5684026817633 56.8027307777766,12.5723238267337 56.8071234315746,12.5777328023202 56.8110118215964,12.584421932 56.8142463439656,12.5921340823753 56.8167025152972,12.600572555767 56.8182857843605,12.6094125414698 56.8189351903475,12.6183136780991 56.8186257233763,12.6269332320272 56.8173692937883,12.6349393703893 56.8152142717339,12.6420240029766 56.8122436151581,12.6479146857842 56.8085716601458,12.6523851190336 56.8043397002854,12.6552638319834 56.7997105290293,12.6564407226383 56.7948621590283)))', 'SESEO', 'Stensjö, Steninge', 'Y'),('SRID=4326;MULTIPOLYGON(((11.795676894936 57.7949787678606,11.7944039707923 57.7901362620499,11.7913870634103 57.7855193562732,11.7867426635616 57.7813053524529,11.7806495895464 57.7776560231977,11.7733420643436 57.7747114207286,11.7651007041929 57.7725845235543,11.7562417664125 57.7713569222515,11.7471050647879 57.7710757059784,11.7380410064561 57.7717516660444,11.7293972339467 57.7733588835823,11.7215053693721 57.7758357168076,11.7146683544484 57.7790871512569,11.7091488601152 57.7829884255004,11.7051592033223 57.7873897968775,11.7028531567311 57.7921222684727,11.7023199707226 57.7970040614343,11.7035808477918 57.8018475872829,11.7065880193285 57.8064666543172,11.7112264767546 57.8106836315838,11.7173183064517 57.814336293794,11.7246294748803 57.8172840813149,11.7328788111556 57.8194135307422,11.7417488436673 57.820642662941,11.7508980695558 57.8209241556879,11.7599741749753 57.8202471755825,11.7686276833332 57.8186377967842,11.7765254903219 57.8161579901102,11.7833637495485 57.8129032227053,11.7888796006427 57.8089987634116,11.7928612813078 57.8045948397843,11.7951562331762 57.7998608372953,11.795676894936 57.7949787678606)))', 'SESER', 'Stora Överön', 'Y'),('SRID=4326;MULTIPOLYGON(((23.8035237228579 65.7409005688392,23.801834024408 65.7360653109989,23.797884933502 65.7314584867371,23.7918292129468 65.7272569632255,23.7839001909741 65.7236219671985,23.7744027023171 65.7206929249413,23.7637013548011 65.7185821444299,23.7522065750373 65.7173705378836,23.7403589606657 65.7171045432864,23.7286125215493 65.7177943585088,23.7174174277599 65.719413553069,23.707202897821 65.7219000719016,23.6983608563809 65.7251585943622,23.6912309662711 65.7290641616992,23.6860875959165 65.73346693898,23.6831292196873 65.7381979345593,23.6824706668226 65.7430754631564,23.684138535427 65.7479121089255,23.6880699739908 65.7525219238492,23.6941149071138 65.7567275854558,23.702041648859 65.7603672370249,23.7115457116475 65.7633007435074,23.7222614868108 65.7654151172886,23.7337763512614 65.7666288991051,23.7456466496421 65.7668953198066,23.7574149186446 65.7662041166517,23.7686276647863 65.7645819314233,23.7788529821307 65.7620912744902,23.7876973037507 65.7588280964862,23.7948206196883 65.7549180649275,23.7999495623857 65.7505116943833,23.8028878539547 65.7457785235393,23.8035237228579 65.7409005688392)))', 'SESES', 'Seskarö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9083593277368 58.2923018907866,16.9071876254139 58.2874504682616,16.9042418005304 58.282812584442,16.8996356453045 58.2785663506583,16.8935465399975 58.2748747782994,16.8862085805174 58.2718795401053,16.8779035680287 58.2696955550034,16.8689502089142 58.2684066001538,16.8596919356084 58.2680621145383,16.8504838059277 58.2686753134364,16.8416789696127 58.2702226840743,16.8336152053328 58.2726448812982,16.8266020291262 58.2758489900494,16.8209088561835 58.2797120704343,16.81675466234 58.2840858530308,16.8142995402458 58.2888024084191,16.813638478984 58.2936805773715,16.814797616455 58.2985329181366,16.8177331232747 58.3031729060693,16.8223327780556 58.3074221095074,16.8284201901721 58.3111170649596,16.8357615214925 58.314115584641,16.8440744575233 58.3163022500469,16.8530390855953 58.3175928759647,16.8623102576754 58.3179377690072,16.8715309522225 58.3173236518674,16.8803461066058 58.3157741771136,16.8884163713224 58.3133490102327,16.8954312407035 58.3101415183874,16.9011210417914 58.3062751565168,16.9052673120883 58.3018986936191,16.9077111652334 58.2971804671652,16.9083593277368 58.2923018907866)))', 'SESFO', 'Södra Finnö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6505659454984 58.441396439065,16.6494243120631 58.4365426349149,16.6464994530945 58.431898831498,16.6419043651427 58.4276433685914,16.635816012765 58.4239396123175,16.6284684706468 58.4209297027953,16.6201439128583 58.4187291211453,16.6111617977828 58.4174222801747,16.6018666599195 58.4170593038665,16.5926149673201 58.4176541158876,16.5837615349148 58.4191839083491,16.5756459988759 58.4215900106517,16.5685798551943 58.4247801261844,16.5628345468337 58.4286318536398,16.5586310484732 58.4329973614965,16.5561313465799 58.4377090404767,16.5554321463952 58.4425859211077,16.5565610579187 58.447440613354,16.5594754222595 58.4520865039241,16.5640638405784 58.4563449352919,16.5701503637109 58.4600520894139,16.5775011954614 58.4630653088797,16.5858336609459 58.4652686086598,16.5948270979074 58.4665771621355,16.6041352481903 58.4669405846101,16.6133996627164 58.4663448844914,16.6222635897544 58.4648130048736,16.630385795418 58.4624039341072,16.6374537683284 58.4592104207256,16.6431957870419 58.455355383328,16.6473913777016 58.4509871573442,16.649879757717 58.4462737658614,16.6505659454984 58.441396439065)))', 'SESGB', 'Stegeborg', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7869842250231 58.0063487585418,16.7858390858648 58.0014958816336,16.782933195254 57.9968547961803,16.7783788015368 57.9926037386037,16.7723512915057 57.9889059080001,16.7650823952578 57.9859032198642,16.7568512665246 57.9837108812548,16.7479737833622 57.9824129914889,16.7387904760067 57.9820593331787,16.7296535356596 57.9826634734619,16.720913389026 57.9842022462264,16.7129053380321 57.9866166346829,16.7059367620407 57.9898140215316,16.7002753610812 57.9936717229425,16.6961388834316 57.9980416743644,16.6936867299566 58.0027560924624,16.693013761972 58.007633899869,16.6941465606181 58.0124876693649,16.6970422959061 58.0171308228547,16.7015902655447 58.0213848090773,16.7076160607511 58.0250859830771,16.7148882124978 58.028091920358,16.7231270714362 58.0302869192078,16.7320155826577 58.0315864753115,16.7412115370022 58.0319405523715,16.7503608178755 58.0313355194992,16.7591111198364 58.0297946786955,16.767125594901 58.0273773615904,16.7740958857018 58.0241766313447,16.7797540311484 58.0203156807903,16.7838827785883 58.0159430691307,16.7863239040122 58.0112269846974,16.7869842250231 58.0063487585418)))', 'SESGH', 'Skogsholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8538375992065 57.8953248589234,16.8526872881204 57.890472535392,16.8497820570026 57.8858328987114,16.8452341235708 57.8815841297028,16.8392186221924 57.8778893399578,16.8319668190737 57.8748903288574,16.8237572107795 57.8727021630867,16.81490485022 57.8714087825817,16.8057493059306 57.8710597975423,16.7966417072456 57.8716685961561,16.7879313588772 57.8732118336021,16.7799524229026 57.8756303214444,16.7730111639814 57.8788312844057,16.7673742347893 57.8826919004854,16.7632584434789 57.8870639921908,16.7608223940966 57.8917796929566,16.7601603253479 57.8966578752436,16.7612983944632 57.9015110967819,16.7641935633036 57.9061528002227,16.768735146041 57.9104044900999,16.7747489751455 57.9141026101468,16.7820040390026 57.9171048539742,16.7902213446324 57.9192956627432,16.7990846672764 57.9205906941448,16.8082527695194 57.9209400866445,16.817372610189 57.9203303900224,16.8260930208391 57.9187850858135,16.8340783075003 57.9163636771001,16.8410212386801 57.9131593838362,16.8466549071201 57.909295535031,16.8507630010905 57.90492080033,16.8531880883961 57.90020344867,16.8538375992065 57.8953248589234)))', 'SESGI', 'Stora Grindö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3607412470767 61.8531043825677,17.359354088819 61.8482608462812,17.3559945384121 61.8436381746563,17.3507924457113 61.8394138731745,17.3439481849351 61.8357500825293,17.3357248846811 61.8327873776168,17.326438300025 61.8306393991508,17.3164447182318 61.8293885190713,17.3061273567167 61.8290827013946,17.2958817623192 61.8297336751535,17.2861007538945 61.8313164871997,17.2771594652023 61.833770451519,17.2694010419027 61.8370014600319,17.2631235251627 61.8408855692995,17.2585684151933 61.8452737298107,17.2559113515323 61.8499974812272,17.255255274027 61.8548753996808,17.2566263407928 61.8597200534024,17.2599727791158 61.8643452018985,17.2651667353352 61.8685729626074,17.2720090739412 61.8722406682002,17.2802369589745 61.8752071477658,17.2895339373736 61.8773581859334,17.2995421395216 61.87861094495,17.3098761221839 61.8789171747475,17.3201378080961 61.8782650835512,17.329931928611 61.8766797946297,17.3388813537707 61.8742223710798,17.3466416992145 61.8709874476183,17.3529146311523 61.8670995636997,17.3574593473723 61.8627083434911,17.3601017906925 61.8579827131411,17.3607412470767 61.8531043825677)))', 'SESGK', 'Sågtäkten', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0722233109211 63.2177594685045,19.0714860295436 63.2128837289855,19.0686557439846 63.2081665465295,19.063842135609 63.2037890832644,19.0572308326129 63.199919375975,19.0490761788864 63.1967059069805,19.0396914182752 63.1942719327727,19.0294366776088 63.1927107830859,19.0187052070412 63.1920823056381,19.0079083943311 63.1924105884258,18.9974601097605 63.1936830437504,18.9877609599688 63.1958508877079,18.9791830318283 63.1988309973569,18.9720556916066 63.2025090768467,18.9666529702215 63.2067440151038,18.9631830128163 63.2113732728562,18.9617800009426 63.2162190974078,18.9624988696283 63.221095331132,18.9653130414541 63.2258145554699,18.9701152882212 63.2301952974363,18.9767217114375 63.2340690210949,18.984878710121 63.2372866326712,18.9942726834344 63.2397242450028,19.0045421020016 63.2412879744829,19.0152914810893 63.2419175806425,19.0261067065228 63.2415888036483,19.0365711048431 63.2403143064377,19.0462816162348 63.2381431837741,19.0548644241269 63.2351590577535,19.0619894193601 63.2314768356831,19.0673829280264 63.2272382593064,19.0708382075392 63.2226064217655,19.0722233109211 63.2177594685045)))', 'SESGM', 'Skagshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4964466972781 56.7794630413927,16.4953798477776 56.7746062996969,16.4926082454852 56.769957095747,16.4882389376248 56.7656939850188,16.4824401759537 56.7619806385294,16.4754348991796 56.7589595770976,16.4674921512238 56.7567467218719,16.4589167672296 56.7554269663669,16.4500377198021 56.7550509361069,16.4411955640742 56.7556330570673,16.4327294508456 56.7571510050318,16.4249641916617 56.7595465564633,16.4181978580058 56.7627278092521,16.4126903788015 56.7665726905343,16.4086535664684 56.770933620396,16.4062429524989 56.7756431564095,16.4055517499727 56.7805204061657,16.4066071841516 56.7853779647551,16.4093693453907 56.7900291127571,16.4137326237799 56.7942949987318,16.4195296854958 56.7980115291569,16.4265378506362 56.8010356984882,16.4344876355549 56.8032511124272,16.4430731337958 56.8045724879183,16.4519638329498 56.8049489528082,16.4608174040114 56.804366014953,16.4692929582974 56.802846122934,16.4770642469459 56.8004477962536,16.4838322805438 56.7972633595284,16.4893368713697 56.793415370348,16.4933666467358 56.7890518817753,16.4957671464652 56.784340725778,16.4964466972781 56.7794630413927)))', 'SESGN', 'Skäggenäs', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7323157924633 58.2799970008262,11.7310321301293 58.2751542609754,11.727980369317 58.2705364352033,11.7232783594531 58.266320858927,11.7171071453364 58.2626693622607,11.7097039568226 58.2597220771766,11.7013530812566 58.2575920816541,11.6923749710061 58.2563610821869,11.6831139996999 58.2560762963195,11.6739253268987 58.2567486516177,11.6651613610213 58.2583523682438,11.6571583238692 58.2608259407977,11.6502234168114 58.2640744830345,11.6446230686331 58.2679733482081,11.64057270854 58.2723728898622,11.6382284554959 58.2771041845586,11.6376810480193 58.28198550089,11.6389522583719 58.2868292696272,11.641993943908 58.2914492892406,11.6466897890696 58.2956678903214,11.6528596875799 58.2993227822569,11.6602666098759 58.3022733161761,11.6686257001812 58.3044059194934,11.6776152555093 58.3056384887015,11.6868891598201 58.3059235672765,11.6960902846167 58.3052501830903,11.7048643257739 58.30364427262,11.7128735276192 58.301167675259,11.7198097502671 58.2979157377524,11.7254063646493 58.2940136237454,11.7294485099996 58.2896114742993,11.7317813179751 58.2848786098646,11.7323157924633 58.2799970008262)))', 'SESGR', 'Sörgraven', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8647983340667 57.8653210302516,16.8636475892516 57.8604687871621,16.8607434490316 57.8558293745469,16.8561980878933 57.8515809646813,16.8501865403924 57.8478866555028,16.8429399203243 57.8448882281327,16.834736525171 57.8427007270606,16.8258911697223 57.8414080669083,16.8167431544091 57.8410598303809,16.8076433206128 57.8416693770181,16.7989406761004 57.8432133332817,16.7909690882031 57.8456324830484,16.784034540161 57.8488340254564,16.7784034272259 57.8526951160298,16.7742923339423 57.8570675588042,16.771859683171 57.8617834734926,16.7711995819142 57.8666617241463,16.7723381104089 57.8715148657499,16.7752322114021 57.8761563439971,16.7797712387876 57.8804076721396,16.785781122268 57.884105307959,16.7930310013831 57.8871069638834,16.8012420824935 57.8892971039047,16.810098380693 57.8905914116444,16.8192589296145 57.8909400535668,16.828370979745 57.8903296084141,16.8370836634884 57.8887835865157,16.8450615851307 57.8863615184697,16.8519977971781 57.88315664942,16.8576256510525 57.8792923302937,16.8617290583748 57.8749172485729,16.864150766403 57.8701996862995,16.8647983340667 57.8653210302516)))', 'SESHN', 'Städsholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5178435973485 55.3945393002536,13.5171833800829 55.3896607438862,13.5148641736538 55.3849492114703,13.5109756308818 55.3805856774807,13.5056675531304 55.3767376922875,13.4991440779011 55.3735529642768,13.4916558111578 55.3711537089809,13.4834902101288 55.3696319785064,13.4749605840804 55.3690461467901,13.4663941285148 55.3694186823072,13.4581194413312 55.3707352914057,13.4504539870559 55.3729454641636,13.4436919769394 55.3759644023118,13.4380931185472 55.3796762571178,13.4338726586816 55.3839385559615,13.4311930986975 55.3885876513415,13.4301579024811 55.3934449868815,13.4308074459964 55.3983239430175,13.4331173753191 55.4030370017604,13.436999449983 55.4074029562663,13.442304853336 55.411253887664,13.4488298550319 55.4144416390346,13.4563236167184 55.4168435345667,13.4644978446132 55.418367120201,13.473037916087 55.4189537395691,13.4816150454143 55.4185808042828,13.4898990097097 55.4172626688554,13.4975709320898 55.4150500755789,13.5043356165943 55.4120281912251,13.5099329485087 55.4083133130598,13.5141479134256 55.4040483739821,13.5168188465473 55.3993974234443,13.5178435973485 55.3945393002536)))', 'SESHO', 'Skateholm', 'Y'),('SRID=4326;MULTIPOLYGON(((17.8686253088128 60.5749223471634,17.8672217739676 60.5700833426231,17.8639277266476 60.5654720024994,17.8588704233426 60.5612654005242,17.8522446193473 60.5576250051578,17.8443050229915 60.5546905032006,17.8353564950969 60.5525744638688,17.8257423720536 60.5513580435098,17.8158313553183 60.551087891375,17.8060034584474 60.551774371645,17.7966355341412 60.5533911678093,17.788086917704 60.5558762842017,17.7806857196112 60.5591344076824,17.774716278546 60.5630405418511,17.7704082476141 60.5674447784583,17.7679277310654 60.5721780275255,17.7673708177766 60.5770584906414,17.7687597725477 60.581898632443,17.7720420491628 60.586512384662,17.7770921831143 60.5907223063475,17.7837165105793 60.5943664236442,17.791660548021 60.5973044831219,17.8006187585069 60.5994233739634,17.8102463315609 60.6006415057041,17.8201725180816 60.6009119685496,17.8300149950454 60.6002243510163,17.8393946900611 60.5986051427531,17.8479504758394 60.5961167066473,17.8553531504406 60.5928548612354,17.8613181504011 60.5889451695484,17.8656164987372 60.5845380814352,17.8680835652874 60.5798031209893,17.8686253088128 60.5749223471634)))', 'SESIA', 'Sikhjälma', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0351225397206 64.1599974306417,21.0340189913915 64.1551342285445,21.0307637829986 64.1504583850312,21.0254829548268 64.1461494525449,21.0183800761887 64.1423728153206,21.0097283269968 64.1392733650758,20.9998599665606 64.1369699697494,20.9891535991879 64.1355509422586,20.9780197206814 64.1350706778352,20.9668850865672 64.1355475844589,20.9561764810678 64.1369633827751,20.9463044850244 64.1392638012966,20.9376478410039 64.1423606412685,20.9305389947032 64.1461351349804,20.9252513536477 64.1504424731701,20.9219887475031 64.155117333104,20.9208774998648 64.1599802004881,20.9219614305038 64.164844247037,20.9252000017879 64.1695225026286,20.9304697062783 64.1738350476041,20.937568668145 64.1776159477606,20.946224303776 64.1807196623884,20.9561037621943 64.1830266743344,20.9668267495281 64.1844481200829,20.9779802397331 64.1849292362431,20.9891344915724 64.1844514851657,20.999859734195 64.1830332747661,21.0097428539055 64.1807292437506,21.0184034146625 64.1776281408443,21.0255083744891 64.1738493827515,21.030784917548 64.1695384279472,21.034030903746 64.1648611497606,21.0351225397206 64.1599974306417)))', 'SESIK', 'Sikeå', 'Y'),('SRID=4326;MULTIPOLYGON(((20.4983189412398 63.7642067919283,20.4973232460874 63.7593394821669,20.4942025438175 63.7546516416128,20.489077687747 63.7503232903855,20.4821462508369 63.7465205653997,20.4736748380448 63.7433893661547,20.4639888057313 63.7410497839496,20.4534597883854 63.7395915231338,20.442491507359 63.7390704848541,20.4315043932162 63.7395066398907,20.4209195918834 63.7408832691422,20.4111429445762 63.743147599749,20.4025495322967 63.7462128133705,20.3954693575373 63.7499613524232,20.3901746988625 63.7542494017795,20.3868696187083 63.7589123791452,20.3856820318227 63.7637712286432,20.3866586526114 63.7686392804996,20.3897630362697 63.7733294164847,20.3948768138383 63.7776612670215,20.4018040989603 63.7814681624582,20.4102789187572 63.7846035683826,20.41997539819 63.7869467530666,20.4305203122938 63.7884074637149,20.4415075195767 63.7889294262146,20.4525137081166 63.7884925290814,20.4631148280757 63.7871136043942,20.4729025538726 63.784845774473,20.4815001179079 63.7817763903984,20.4885768856292 63.778023644668,20.4938610971698 63.7737319928376,20.4971502805785 63.7690665656444,20.4983189412398 63.7642067919283)))', 'SESIL', 'Sillviken', 'Y'),('SRID=4326;MULTIPOLYGON(((14.4020384444955 55.5582227523769,14.4012662949745 55.5533490444308,14.3988320221463 55.5486543346178,14.3948296959441 55.5443189448101,14.3894134783359 55.5405093391304,14.382791645181 55.5373717485268,14.375218562166 55.5350265770641,14.3669849261789 55.5335638009639,14.3584066445861 55.5330395332513,14.34981277208 55.5334738826375,14.3415329570028 55.5348501866118,14.3338848656902 55.5371156473285,14.3271620540967 55.540183346523,14.3216227407573 55.5439355641538,14.3174799043023 55.5482282765021,14.3148930828838 55.5528966647814,14.3139621930135 55.5577614265347,14.3147236129154 55.5626356507024,14.3171486925544 55.5673319945147,14.3211447615761 55.5716698873384,14.3265586106123 55.5754824839898,14.3331823243997 55.5786230981726,14.3407612509448 55.5809708655093,14.3490038037363 55.5824354145796,14.3575927179043 55.5829603624394,14.3661973200407 55.5825254968309,14.3744863283121 55.5811475588551,14.382140676801 55.5788795951202,14.3888658569557 55.5758089049531,14.3944032896515 55.5720536637439,14.3985402825712 55.5677583555236,14.4011181871894 55.5630881942764,14.4020384444955 55.5582227523769)))', 'SESIM', 'Simrishamn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8020416071345 60.1818394339734,18.801405227149 60.176960790352,18.7988709012703 60.1722376999712,18.7945367568973 60.1678515682949,18.7885698734082 60.1639707891976,18.7811997824809 60.1607442984688,18.7727096129867 60.1582958807707,18.7634252258704 60.1567194442001,18.7537027541491 60.1560754392713,18.7439150173221 60.1563885557257,18.7344373170589 60.1576467826724,18.7256331414231 60.1598018668249,18.7178403078162 60.1627711517275,18.7113580602598 60.1664407295741,18.706435604793 60.170669788221,18.7032625181659 60.1752959909454,18.7019614005188 60.1801416869988,18.7025830637189 60.1850207185461,18.7051044554177 60.1897455654705,18.7094294173257 60.1941345548911,18.7153922680127 60.1980188578684,18.7227640897625 60.2012490021344,18.7312614902061 60.203700646809,18.7405575075546 60.2052793925167,18.7502942381924 60.2059244371973,18.7600966918255 60.2056109328162,18.7695873262795 60.2043509493228,18.7784006843753 60.2021930074225,18.786197550766 60.1992201986381,18.7926780674793 60.1955469672551,18.7975932919857 60.1913146816348,18.8007547483857 60.1866861697768,18.8020416071345 60.1818394339734)))', 'SESIO', 'Singö', 'Y'),('SRID=4326;MULTIPOLYGON(((22.7488056163758 65.8423180608078,22.7473071180233 65.8374712942829,22.7435309496779 65.8328373738854,22.7376232675043 65.8285942157471,22.7298117581651 65.8249046507544,22.7203967894834 65.8219102022644,22.7097398412567 65.8197256876561,22.6982496646224 65.8184348450771,22.6863666940378 65.8180871475262,22.6745462926762 65.8186959218556,22.6632414492271 65.8202378419285,22.6528855614095 65.8226538146082,22.6438759388561 65.8258512261057,22.636558635398 65.8297074660674,22.6312151783152 65.8340745992678,22.62805170017 65.8387850114565,22.627190898169 65.84365781835,22.6286671479587 65.8485057964027,22.6324249855012 65.8531425721589,22.6383210453276 65.857389794786,22.6461294101775 65.8610840146169,22.6555501909579 65.8640829996383,22.6662210230415 65.8662712418247,22.6777310416024 65.8675644355369,22.6896367914247 65.8679127498364,22.7014794413924 65.8673027639759,22.7128026156579 65.8657579885379,22.7231701257988 65.8633379513637,22.732182892794 65.8601358850261,22.7394943841102 65.8562751085362,22.7448239573224 65.8519042477642,22.747967593565 65.8471914844481,22.7488056163758 65.8423180608078)))', 'SESIS', 'Siknäs', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3407940653125 60.6691215135209,17.3394651784271 60.664276714968,17.3362363954217 60.6596521561094,17.3312324794465 60.6554254216642,17.3246461511505 60.6517587552169,17.3167306185183 60.6487928528229,17.3077898314529 60.6466414883513,17.2981668377622 60.6453871722177,17.2882306824018 60.6450780056461,17.2783623409156 60.6457258475553,17.2689402101293 60.6473058621891,17.2603256938076 60.6497574643694,17.252849417953 60.6529866274309,17.2467985897467 60.6568694682181,17.2424059760639 60.6612569756691,17.2398409226509 60.6659807061498,17.2392027644091 60.6708592313873,17.2405168923674 60.6757050950667,17.2437336459994 60.6803320131427,17.2487300935171 60.6845620417275,17.2553146512787 60.6882324357345,17.2632343808524 60.6912019316212,17.272184693393 60.6933562084413,17.2818210909266 60.6946123124001,17.2917724878813 60.6949218700924,17.3016555883142 60.6942729630548,17.3110897484791 60.6926905891999,17.3197117332467 60.6902356928769,17.3271897796135 60.6870028022548,17.333236410859 60.6831163679769,17.3376194990611 60.6787259481809,17.3401711486431 60.6740004298783,17.3407940653125 60.6691215135209)))', 'SESIV', 'Sikvik', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3845895997027 61.166100796048,17.3832314218588 61.1612569140305,17.3799439421027 61.1566340385082,17.3748542034225 61.1524096865147,17.3681582388877 61.1487460060719,17.3601134720336 61.1457835740792,17.3510288091095 61.143636026903,17.3412528061322 61.1423857250221,17.3311603596223 61.1420806135424,17.3211384194958 61.1427323953629,17.311571254989 61.1443160848299,17.3028258192377 61.1467709585214,17.2952377549901 61.1500028680438,17.2890985629524 61.1538878291004,17.28464441569 61.1582767532942,17.2820470444343 61.1630011458035,17.2814070545488 61.1678795547856,17.2827499393514 61.1727245285929,17.2860249636474 61.1773498158719,17.2911069806783 61.1815775324222,17.2978011329285 61.1852450179989,17.3058502727717 61.1882111164061,17.3149448282152 61.1903616330982,17.3247347371969 61.1916137555139,17.3348429861304 61.1919192613865,17.344880219319 61.1912663877743,17.3544598392916 61.1896802865466,17.3632129966795 61.187222048295,17.370802873188 61.1839863336377,17.3769376922159 61.1800977061689,17.3813819469532 61.1757058124629,17.3839654122172 61.1709795994222,17.3845895997027 61.166100796048)))', 'SESJN', 'Storjungfrun', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2906830377899 58.541158188058,11.2894496178368 58.5363109082754,11.2864320445908 58.5316825296703,11.2817468711886 58.5274507947299,11.2755745119247 58.5237781545088,11.2681522536603 58.5208055519332,11.2597651240958 58.5186470350273,11.2507349697175 58.5173854025811,11.2414081583288 58.5170690452833,11.2321423679762 58.5177101002248,11.2232929548678 58.5192839875619,11.2151994070118 58.5217303466769,11.2081723875346 58.5249553371367,11.2024818520043 58.5288352188455,11.1983466878885 58.5332210777567,11.1959262721515 58.5379445200172,11.1953142760048 58.5428241200567,11.1965349655199 58.5476723783617,11.1995421553683 58.5523029237455,11.2042208731906 58.5565376838491,11.2103916874978 58.5602137470648,11.2178175466381 58.5631896493467,11.2262128747134 58.5653508403199,11.2352545770893 58.5666141140912,11.2445945278827 58.5669308300945,11.2538730486881 58.566288796629,11.2627328451982 58.5647127425103,11.2708328486252 58.5622633582295,11.2778614130424 58.5590349447743,11.2835483476821 58.5551517633608,11.287675313283 58.5507632303852,11.2900841810312 58.5460381468023,11.2906830377899 58.541158188058)))', 'SESJO', 'Sjöviken', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8481615888967 57.3747976066751,18.8475596544972 57.3699174687671,18.8452074431442 57.365194514329,18.8411959554505 57.3608101542387,18.8356797800398 57.3569327314337,18.8288710876877 57.353711073759,18.8210314494653 57.351268801875,18.8124617975224 57.3496996068232,18.8034909123129 57.3490636744498,18.7944628707901 57.3493853903223,18.7857239253411 57.3506524106436,18.7776093023071 57.3528161336506,18.7704304115522 57.3557935538312,18.7644629446474 57.359470429745,18.7599363090998 57.3637056470441,18.7570248002299 57.3683366131482,18.7558408517251 57.3731854805515,18.7564306319771 57.378065963414,18.7587721679759 57.3827904882306,18.7627760843331 57.3871774050476,18.7682889450931 57.3910579816899,18.7750990841085 57.3942829101696,18.7829447100701 57.3967280718757,18.7915239792506 57.3982993358169,18.8005066470582 57.398936201177,18.8095468427429 57.3986141403492,18.8182964635538 57.3973455496472,18.8264186579206 57.3951792699108,18.8336008633135 57.3921986958915,18.8395668835406 57.3885185491733,18.8440875313414 57.3842804420545,18.8469894229773 57.3796474070636,18.8481615888967 57.3747976066751)))', 'SESJU', 'Sjaustru', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4378884295438 59.4119691444516,18.4373165015478 59.4070887150658,18.4348884064307 59.4023589152467,18.4306981556845 59.3979614140922,18.4249072797198 59.3940650493025,18.4177385443287 59.3908193625767,18.4094673558729 59.3883488822293,18.4004111905695 59.3867483682697,18.3909174520589 59.3860791980324,18.3813502150485 59.3863670271372,18.3720763501872 59.3876008126962,18.363451545819 59.3897332349237,18.3558067455712 59.3926825013633,18.349435506843 59.3963354665485,18.3445827543847 59.4005519507762,18.3414353558204 59.405170096469,18.3401148830512 59.4100125609384,18.3406728463386 59.4148933117262,18.3430885984318 59.4196247664148,18.3472700069503 59.4240250039678,18.3530568876332 59.4279247700939,18.3602270829375 59.4311740052717,18.3685049642469 59.433647640967,18.3775720364204 59.4352504367966,18.3870792353444 59.4359206680312,18.3966604370823 59.4356325175236,18.4059466449777 59.4343970770924,18.4145802915694 59.4322619184632,18.4222290870828 59.4293092506854,18.4285988658791 59.4256527370489,18.4334449254734 59.421433097476,18.4365814171718 59.4168126699166,18.4378884295438 59.4119691444516)))', 'SESK2', 'Skarpö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.1354427223792 60.4600940162941,18.1349019369798 60.455213189624,18.1324440814496 60.4504782247706,18.1281643688531 60.446070987297,18.1222278128998 60.4421606838144,18.1148628036795 60.4388973840035,18.1063522928039 60.4364062841086,18.0970229323697 60.4347829277058,18.087232583129 60.4340895625608,18.0773566625935 60.4343527692591,18.0677738424744 60.4355624496002,18.0588516262487 60.4376722121372,18.0509323414751 60.4406011404278,18.0443200677085 60.4442368782407,18.0392689897037 60.4484399168392,18.0359736175396 60.4530489242029,18.0345612511784 60.4578869162486,18.0350869881362 60.4627680372585,18.0375314812737 60.4675046921537,18.0418015518271 60.4719147580783,18.0477336540013 60.4758285978159,18.0551000757583 60.4790956033233,18.0636176504449 60.4815900141975,18.0729586505659 60.4832157827951,18.0827634433316 60.4839102941149,18.0926544123304 60.4836467930761,18.1022505948545 60.4824354226901,18.1111824531189 60.4803228316985,18.1191061916531 60.477390367151,18.1257170528615 60.4737509236422,18.130761067043 60.4695445740675,18.1340447995246 60.4649331545126,18.1354427223792 60.4600940162941)))', 'SESK3', 'Skaten', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7398753771872 55.4194598451944,13.7391874157509 55.4145823835549,13.7368403225872 55.4098749560246,13.7329248205041 55.405518377844,13.7275917435649 55.4016799309737,13.7210461855059 55.3985069566977,13.7135395959929 55.396121218944,13.7053601317486 55.394614251054,13.6968216311493 55.3940438608674,13.6882516286413 55.3944319249987,13.6799788581961 55.3957635546818,13.6723207123457 55.3979876642481,13.6655711247956 55.4010189209479,13.6599893301787 55.4047410032079,13.6557899244754 55.4090110452919,13.6531346045915 55.4136651014273,13.6521259065434 55.4185244233795,13.652803190104 55.4234023136978,13.6551410355631 55.4281112937062,13.659050127991 55.4324703118142,13.6643806091369 55.4363117146047,13.6709277804527 55.439487710782,13.6784399466715 55.4418760763607,13.6866281020687 55.4433848779365,13.6951770851181 55.4439560285073,13.703757765513 55.4435675356966,13.7120397836682 55.4422343535332,13.7197043391704 55.4400078040374,13.7264565225033 55.4369735914162,13.7320367038522 55.4332484872557,13.7362305328442 55.4289758173488,13.7388771615788 55.4243199275296,13.7398753771872 55.4194598451944)))', 'SESK4', 'Skarviken', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((13.5157845199825 59.3165648319076,13.5150592977056 59.3116888644164,13.5124878618773 59.3069788840481,13.5081697128948 59.30261579096,13.5022712690802 59.2987670957738,13.495019399437 59.2955805066977,13.4866926757965 59.293178282839,13.4776106849069 59.2916525661999,13.4681218084777 59.2910618671476,13.4585899314146 59.2914288344183,13.449380574435 59.2927393925528,13.440846966344 59.2949432787316,13.4333165731932 59.2979559589925,13.4270785863111 59.3016618525139,13.4223728390351 59.3059187437311,13.4193805734283 59.3105632172155,13.4182174142497 59.3154169110676,13.4189288293583 59.3202933525568,13.4214882655618 59.3250051161799,13.4257980492951 59.3293710302956,13.4316930357705 59.3332231548072,13.438946882337 59.336413259423,13.4472807161982 59.3388185498265,13.4563738681415 59.3403464171612,13.4658762572869 59.3409380236354,13.4754219415364 59.3405705823658,13.4846432981499 59.3392582409736,13.4931852714847 59.3370515337641,13.5007191219578 59.3340354241762,13.5069551318985 59.3303260151161,13.5116537689448 59.3260660573569,13.5146348735033 59.32141943318,13.5157845199825 59.3165648319076)))', 'SESK5', 'Skoghall-Lillängshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5663299573632 62.1960226139305,17.5648930430637 62.1911816448415,17.5614630699379 62.1865645865897,17.5561726091067 62.1823487254943,17.5492254365537 62.1786958741656,17.5408886315409 62.1757461836695,17.5314822975326 62.1736127919516,17.5213673028624 62.1723775089663,17.5109315058099 62.1720876993376,17.5005749793151 62.1727544783349,17.4906947834715 62.1743522880456,17.4816698487354 62.1768198695345,17.4738465292993 62.1800625951406,17.467525364305 62.183956074586,17.4629495447806 62.188350900912,17.4602955269163 62.1930783590582,17.4596661585126 62.1979568827277,17.4610865966771 62.202799015485,17.464503193326 62.2074186110925,17.469785413784 62.2116379969427,17.4767307365933 62.215294823814,17.4850723641043 62.2182483354004,17.4944894586765 62.2203848120294,17.504619513779 62.221621974096,17.5150723783149 62.2219121709022,17.5254453809685 62.2212442282343,17.5353389532954 62.2196438811635,17.5443721283896 62.2171727749161,17.5521972975419 62.2139260737665,17.5585136400141 62.2100287732332,17.5630786989685 62.2056308620003,17.5657176564155 62.2009015247765,17.5663299573632 62.1960226139305)))', 'SESK6', 'Skatan', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7560617636114 58.0889902274899,11.754782524881 58.0841475666992,11.7517447699902 58.0795300749797,11.7470658024565 58.0753150756572,11.7409257765783 58.0716643778392,11.7335607220971 58.0687180842053,11.7252534629836 58.066589236069,11.7163227808869 58.0653594970754,11.7071112347504 58.0650760371959,11.6979720940138 58.0657497333954,11.6892558727696 58.067354754098,11.6812969656968 58.0698295430484,11.6744008832942 58.0730791660951,11.6688325639442 58.0769789335513,11.6648062039451 58.0813791628502,11.6624769945365 58.0861109028784,11.6619350881673 58.0909924042431,11.663202036413 58.0958360902432,11.6662298512183 58.1004557627344,11.6709027423528 58.1046737663889,11.6770414805967 58.1083278347174,11.6844102322427 58.1112773519107,11.6927256104631 58.1134087858973,11.7016675975492 58.1146400793592,11.7108919134734 58.1149238256708,11.7200433447084 58.1142491042603,11.7287695060415 58.1126419027831,11.7367344895047 58.1101641094982,11.7436318595257 58.1069111159405,11.7491964816974 58.1030081249264,11.7532147225861 58.0986053097801,11.7555326270142 58.093872015286,11.7560617636114 58.0889902274899)))', 'SESKD', 'Skåpesund', 'Y'),('SRID=4326;MULTIPOLYGON(((21.3042137552961 64.6798918087452,21.3030409031442 64.6750310553356,21.2996771940908 64.6703616315822,21.294252872456 64.6660628377936,21.2869770397262 64.6622996622791,21.2781295208526 64.6592164732128,21.2680500779365 64.6569315084353,21.2571253906366 64.6555323692113,21.2457742978693 64.6550726854248,21.2344318525133 64.6555700755826,21.2235327791076 64.6570054768534,21.2134949435665 64.659323869818,21.2047034435631 64.6624363712594,21.1974959084562 64.6662236178245,21.1921495586211 64.6705403153746,21.1888705161794 64.6752207849072,21.1877857831965 64.6800852976372,21.1889382107454 64.684946960641,21.1922846749084 64.6896188917055,21.1976975567405 64.6939214088081,21.2049694963649 64.6976889567998,21.2138212615288 64.7007765018369,21.2239124436799 64.7030651429212,21.2348545759705 64.7044667191027,21.246226163639 64.7049272294911,21.2575890336355 64.7044289297369,21.2685053519467 64.7029910211496,21.2785546272743 64.7006689048657,21.287350020345 64.697552030945,21.2945533091239 64.6937604284114,21.2998879197091 64.6894400545597,21.3031495171763 64.6847571480751,21.3042137552961 64.6798918087452)))', 'SESKE', 'Skelleftehamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5262849470923 58.25107352206,11.5250304971636 58.2462284866103,11.5220079975857 58.2416055144082,11.5173341755619 58.237382140057,11.511188996687 58.2337204943228,11.5038086954902 58.2307610995943,11.4954766853275 58.2286174989684,11.4865126986587 58.2273719209219,11.4772605701813 58.2270721419182,11.4680751216315 58.2277296641006,11.4593086373897 58.2293192760295,11.4512974337914 58.2317800129287,11.4443490220188 58.2350174808405,11.438730344652 58.2389074582006,11.4346575297157 58.243300640351,11.4322875540051 58.2480283490954,11.4317121406933 58.25290899216,11.4329541362675 58.2577550277912,11.435966520908 58.2623801689786,11.4406341073184 58.2666065509112,11.4467778792214 58.2702715849463,11.4541618162898 58.2732342328574,11.4625019516424 58.2753804562796,11.4714773158335 58.2766276274385,11.4807423420392 58.2769277273334,11.4899402449576 58.2762692049679,11.4987168441404 58.2746774240508,11.5067342833433 58.2722136795677,11.5136841020719 58.2689728233543,11.5192991435529 58.2650795928132,11.5233638332956 58.2606837878694,11.5257224314926 58.255954486015,11.5262849470923 58.25107352206)))', 'SESKF', 'Skaftö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4493824493246 58.3221013141728,11.4481357229186 58.3172555159633,11.4451169026786 58.3126307437612,11.4404425784226 58.3084046014907,11.4342927385061 58.3047393261163,11.4269037989655 58.3017755790471,11.418559506074 58.2996270699517,11.4095800636821 58.298376215132,11.4003098983323 58.2980709930347,11.3911045216366 58.2987231143036,11.3823169798663 58.300307574607,11.3742843945813 58.3027636069923,11.3673150951846 58.3059969984622,11.3616768245569 58.30988368457,11.3575864627128 58.3142744878243,11.3552016613778 58.3190008222539,11.3546147155667 58.3238811492011,11.3558489182272 58.3287279397381,11.3588575529645 58.3333548782926,11.3635255806102 58.3375840311336,11.3696739714123 58.341252702965,11.3770665299528 58.3442197152981,11.3854189590014 58.3463708613571,11.3944098160523 58.3476233233857,11.4036929367829 58.3479288782538,11.4129108372382 58.3472757646558,11.421708564515 58.3456891379972,11.4297474464016 58.343230095039,11.4367181948964 58.3399933071114,11.4423528465101 58.3361033557412,11.4464350721932 58.3317099155261,11.4488084588779 58.3269819738901,11.4493824493246 58.3221013141728)))', 'SESKL', 'Skalhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5939341192067 57.9870511136855,11.5926807750915 57.9822065611274,11.5896728096319 57.9775849109483,11.5850263803426 57.973363647749,11.5789203924056 57.9697048226308,11.5715895711336 57.9667488514919,11.5633154303307 57.9646091479173,11.5544154852701 57.9633677925148,11.5452311200141 57.963072400917,11.5361145648056 57.9637343074372,11.5274154693504 57.9653281321379,11.5194675714266 57.9677927475535,11.5125759571751 57.9710336092185,11.5070053896631 57.9749263632469,11.5029701462 57.9793215962185,11.5006257530654 57.9840505492273,11.5000629398663 57.988931580732,11.5013040562394 57.993777133269,11.5043021032457 57.998400938399,11.5089424333645 58.00262518345,11.5150470699589 58.0062873633613,11.5223814934493 58.009246551498,11.5306636416295 58.0113888445161,11.5395747801763 58.0126317675879,11.5487718209189 58.0129274664167,11.557900603883 58.0122645599161,11.566609617795 58.0106685802618,11.5745636148808 58.0082009829921,11.5814565804593 58.0049567665333,11.5870235457393 58.0010607955086,11.5910507818216 57.9966629730962,11.5933839814785 57.9919324524206,11.5939341192067 57.9870511136855)))', 'SESKM', 'Skärhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0721756842529 63.1927593131009,19.0714389753552 63.1878835592517,19.0686110688558 63.1831663685863,19.0638015529174 63.1787889036786,19.0571958972178 63.1749192015816,19.0490482280937 63.1717057446639,19.0396715212419 63.1692717892077,19.0294255950108 63.1677106644486,19.0187033624417 63.1670822173018,19.0079158582567 63.1674105346649,18.9974765970457 63.1686830274761,18.9877858404619 63.1708509102618,18.9792153540851 63.1738310583842,18.9720942187407 63.1775091742657,18.9666962266418 63.1817441451796,18.9632293401742 63.186373430376,18.9618276212568 63.191219275948,18.962545953251 63.1960955233942,18.9653577773245 63.2008147536624,18.9701559537144 63.2051954936686,18.9767567390883 63.2090692077565,18.9849067485785 63.2122868027691,18.9942926501956 63.2147243924364,19.0045532257748 63.2162880942461,19.0152933320429 63.2169176689494,19.0260992131629 63.216588857988,19.0365545568162 63.2153143255698,19.0462566529401 63.2131431676809,19.0548320096144 63.2101590075651,19.0619508045612 63.20647675359,19.0673396018785 63.2022381484693,19.0707918390062 63.1976062862269,19.0721756842529 63.1927593131009)))', 'SESKP', 'Skeppsmalen', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7034507385105 58.3800066531766,11.7021669902139 58.3751636887144,11.6991099650969 58.3705452773789,11.6943977192351 58.3663287767978,11.6882116938244 58.3626760520535,11.6807896891734 58.3597272815833,11.6724167150239 58.357595599655,11.6634140704306 58.3563627768303,11.6541270678493 58.3560761001522,11.6449118623386 58.3567465695314,11.6361218769685 58.358348477589,11.6280943291085 58.3608203887163,11.6211373590134 58.3640674810662,11.6155182420545 58.3679651643385,11.6114531293873 58.372363838292,11.609098709444 58.3770946135752,11.6085461154628 58.3819757793167,11.609817323899 58.3868197723952,11.6128641971859 58.3914403826774,11.617570224771 58.3956599177663,11.6237549121367 58.399316050604,11.6311806626832 58.4022680839018,11.6395618963931 58.4044023866558,11.6485760567693 58.4056367893065,11.6578760781806 58.4059237642964,11.6671038235657 58.4052522662992,11.6759039607696 58.4036481592921,11.6839377268972 58.4011732136544,11.6908960350209 58.3979227132105,11.6965114060701 58.3940217671122,11.7005682591732 58.389620472336,11.7029111633427 58.3848881172292,11.7034507385105 58.3800066531766)))', 'SESKR', 'Skredsvik', 'Y'),('SRID=4326;MULTIPOLYGON(((18.6671804030414 60.2758911816058,18.6665626027432 60.2710120668004,18.664040803358 60.2662865368746,18.6597126577813 60.2618960916359,18.653745021502 60.2580092907974,18.6463674605184 60.2547753010979,18.6378633940966 60.2523181944556,18.6285592179881 60.2507322116318,18.6188118237642 60.250078168619,18.6089949843681 60.2503811396143,18.5994851138176 60.2516295025838,18.5906469295984 60.2537753827113,18.5828195494036 60.2567364771713,18.5763035394533 60.2603991933697,18.5713493999033 60.2646229837741,18.5681479243182 60.2692457153635,18.5668228057122 60.2740898721652,18.5674257826018 60.2789693568027,18.5699345268007 60.2836966327798,18.5742533729448 60.2880899344692,18.5802168813006 60.2919802672899,18.5875961143127 60.2952179267911,18.5961073981684 60.2976782823605,18.6054232383296 60.2992665986163,18.6151849674779 60.2999217043215,18.6250166303035 60.2996183634933,18.6345395560516 60.2983682544694,18.6433870396984 60.2962195178877,18.6512185477984 60.2932548914436,18.6577328856992 60.2895885054444,18.6626798078041 60.285361466116,18.6658696193414 60.2807364010979,18.6671804030414 60.2758911816058)))', 'SESLA', 'Sladdarö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8868223666929 56.2687735043899,12.8862295091027 56.2638928328835,12.8839374548858 56.2591702792649,12.8800348506066 56.2547872426393,12.8746720703137 56.2509120210472,12.8680553762251 56.2476933651293,12.8604389659902 56.2452547878782,12.8521152160599 56.2436898451737,12.8434034942258 56.243058564366,12.8346379638876 56.2433851545378,12.8261548369869 56.2446570838559,12.8182795511389 56.2468255583052,12.8113143489638 56.2498073838394,12.8055267239491 56.2534881423478,12.8011391676092 56.2577265625845,12.7983206078451 56.2623599220424,12.7971798691931 56.2672102762933,12.7977614134963 56.2720912800599,12.8000435363756 56.2768153405213,12.8039391032212 56.2812008291696,12.8092988113708 56.2850790746667,12.8159168663148 56.2883008660097,12.8235388632285 56.2907422128661,12.8318715751413 56.2923091377083,12.8405942698803 56.2929413114231,12.8493711135182 56.2926143889904,12.8578641717632 56.2913409528273,12.8657464950415 56.289170026353,12.8727147693487 56.2861851769127,12.8785010334955 56.2825012829798,12.88288300315 56.2782600931398,12.8856926009347 56.2736247515466,12.8868223666929 56.2687735043899)))', 'SESLD', 'Skälderviken', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3289430090471 55.4732487463335,14.328181467085 55.4683745393758,14.3257610548082 55.4636783504527,14.3217753075859 55.4593405590331,14.3163777496952 55.4555277222975,14.3097759407685 55.4523861960202,14.3022234791222 55.4500365359636,14.2940102722932 55.4485688910199,14.2854514461768 55.4480395611961,14.2768753113573 55.4484688493297,14.268610837489 55.4498402867826,14.2609751032713 55.452101261973,14.2542611903653 55.4551650282481,14.2487269744932 55.458914016047,14.2445852362538 55.4632043253178,14.2419954684825 55.4678712294438,14.2410576973034 55.4727354831263,14.2418085618188 55.4776101952371,14.2442198146556 55.482308004884,14.2481993148853 55.4866482858578,14.2535944892796 55.4904641019667,14.2601981410743 55.4936086438537,14.2677563913952 55.4959608966574,14.2759784514334 55.4974303167626,14.284547847472 55.4979603339096,14.2931346597493 55.4975305406222,14.3014082930626 55.4961574824434,14.3090502742689 55.4938940176965,14.3157665706606 55.4908272720472,14.3212989436536 55.4870752686393,14.3254348932134 55.4827823666235,14.3280158077794 55.4781136873382,14.3289430090471 55.4732487463335)))', 'SESLE', 'Skillinge', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8885009358337 57.6609461056518,11.8872209179573 57.6561045141059,11.884203949129 57.6514897403889,11.8795665161129 57.6472790045386,11.8734871644372 57.6436339540925,11.8661995867903 57.640694477742,11.8579836324272 57.6385733581552,11.8491545845221 57.6373519651072,11.8400511126599 57.6370771502929,11.8310223530155 57.6377594598531,11.8224145983213 57.639372731341,11.8145580929106 57.6418550902775,11.8077544247203 57.645111309338,11.8022649861675 57.6490164423229,11.7983009396147 57.6534205971296,11.7960150713722 57.658154668647,11.7954958519364 57.6630368154188,11.796763941028 57.667879434529,11.7997712861497 57.6724963686904,11.8044028656589 57.6767100689581,11.8104810251727 57.6803584364891,11.8177722535016 57.6833010775962,11.8259961456103 57.6854247278055,11.8348362098754 57.6866476320769,11.8439520995692 57.6869227086449,11.8529927880113 57.686239371519,11.8616101664152 57.6846239395839,11.8694725253243 57.6821386162277,11.8762773856615 57.6788790800816,11.8817631735194 57.6749707823417,11.8857192823235 57.6705640969153,11.8879941342145 57.6658285141768,11.8885009358337 57.6609461056518)))', 'SESLH', 'Saltholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8545859710759 57.7087982414626,18.8539787095181 57.7039183320395,18.8516050797756 57.699195576666,18.8475569189461 57.6948113773084,18.8419902343724 57.690934068769,18.8351191418425 57.6877124721457,18.8272076083893 57.6852702033566,18.8185593213148 57.6837009512524,18.8095060707146 57.683064902438,18.8003950838769 57.6833864463778,18.7915757854143 57.6846532462465,18.783386476202 57.6868167100058,18.7761414268247 57.6897938440568,18.7701188672591 57.6934704203075,18.7655503241705 57.6977053383236,18.762611711058 57.7023360191044,18.7614165154589 57.7071846275516,18.7620113529298 57.7120648883634,18.7643740714846 57.7167892362079,18.7684144951535 57.7211760266802,18.7739777945069 57.7250565305047,18.780850369129 57.7282814401307,18.7887680263549 57.7307266352653,18.7974261465954 57.7322979815477,18.8064914427438 57.7329349735527,18.8156148536836 57.7326130782236,18.8244450633417 57.7313446858814,18.8326421097108 57.7291786310047,18.8398905442951 57.7261983016671,18.8459116217535 57.7225184124144,18.8504740410615 57.7182805680552,18.8534028210117 57.713647793099,18.8545859710759 57.7087982414626)))', 'SESLI', 'Slite', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7243151531651 56.6888364181526,12.7237380808291 56.6839554007473,12.7214422726564 56.6792301022908,12.7175165367422 56.674842026997,12.712112149951 56.6709596650086,12.7054369818027 56.667732038914,12.6977474786994 56.6652830034209,12.6893388206364 56.6637065132168,12.680533626823 56.6630630366963,12.6716696367554 56.6633772496863,12.6630868281481 56.6646370951543,12.6551144520764 56.6667942438242,12.6480584683775 56.6697659384134,12.6421898507747 56.6734381525842,12.6377342015815 56.6776699464467,12.6348630707805 56.6822988552427,12.6336873147072 56.6871471083097,12.6342527568956 56.6920284430588,12.6365383297914 56.6967552548061,12.6404567835259 56.7011458089536,12.6458579498812 56.7050312379759,12.6525344496221 56.708262052357,12.6602296336264 56.7107139120013,12.6686474570347 56.7122924322693,12.6774639052962 56.7129368357071,12.6863395255246 56.7126223053727,12.6949325694159 56.7113609466118,12.702912227664 56.7092013190857,12.7099714317872 56.7062265574612,12.7158387177842 56.7025511550046,12.7202886860693 56.6983165369931,12.7231506515283 56.6936855981357,12.7243151531651 56.6888364181526)))', 'SESLK', 'Skälvik', 'Y'),('SRID=4326;MULTIPOLYGON(((11.272880112559 58.6851635698096,11.2716435897617 58.6803162369921,11.2686154669324 58.6756876023323,11.263912708705 58.6714554175918,11.257716409162 58.6677821502183,11.2502647765137 58.6648087661558,11.2418439657629 58.6626493423506,11.2327771135664 58.661386711477,11.2234119918209 58.6610693019137,11.2141077435696 58.6617092909027,11.2052211957205 58.6632821397124,11.1970932572617 58.6657275281964,11.1900359088964 58.6689516541114,11.1843202703464 58.6728308116679,11.1801661952827 58.6772161157592,11.1777337915663 58.6819391948244,11.1771171972815 58.6868186379341,11.1783408624692 58.6916669518962,11.181358494692 58.6962977632388,11.1860547264149 58.7005329888208,11.1922494571583 58.7042096982543,11.1997047175514 58.7071864015733,11.2081338003032 58.7093485165041,11.2172123094207 58.7106128006726,11.2265906983446 58.7109305740003,11.2359078042206 58.710289603865,11.2448048426804 58.7087145783695,11.2529393076347 58.7062661490415,11.2599982247826 58.7030385810657,11.2657102355728 58.6991561042544,11.2698560386313 58.6947681090404,11.2722767854357 58.6900433766829,11.272880112559 58.6851635698096)))', 'SESLL', 'Sövall', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3266709738728 58.5331449005523,11.3254329040014 58.5282979930678,11.3224113248507 58.5236704826638,11.3177229425891 58.5194400782739,11.3115482937922 58.5157691797327,11.3041247523101 58.5127986630614,11.295737394348 58.5106424962614,11.2867080746712 58.5093833880362,11.2773831288935 58.5090696323518,11.2681201636574 58.5097132666147,11.2592744272524 58.5112896121207,11.2511852673023 58.5137382139757,11.2441631793406 58.5169651456479,11.2384779304175 58.5208465924157,11.2343482056513 58.5252335799517,11.2319331734777 58.529957670804,11.2313262983373 58.5348374141952,11.2325516492164 58.5396853048082,11.2355628610036 58.5443149853238,11.240244805867 58.5485484164294,11.2464179272681 58.5522227375007,11.2538450838927 58.5551965514676,11.2622406491661 58.557355388345,11.2712815188353 58.5586161329337,11.2806195989027 58.5589302421455,11.2898952831458 58.5582856247526,11.2987513869183 58.556707109132,11.3068469842578 58.5542554805587,11.3138705995987 58.5510251263557,11.3195522333645 58.5471403822939,11.3236737508153 58.5427507246833,11.3260772330055 58.5380249974702,11.3266709738728 58.5331449005523)))', 'SESLO', 'Slottet', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4045515298302 57.6939636188366,18.4040050541635 57.6890821027725,18.4016911696956 57.6843514497783,18.3976994224492 57.6799533684527,18.3921836602665 57.676056729345,18.38535605271 57.6728110974817,18.3774789070287 57.6703410121422,18.3688545992487 57.6687412295323,18.359814005538 57.6680731068355,18.3507038705789 57.6683622627418,18.3418735856712 57.669597601571,18.3336618690379 57.6717317371842,18.3263838439687 57.6746828007706,18.3203189970061 57.6783375650362,18.3157004685722 57.6825557680582,18.3127060828173 57.6871754747949,18.3114514629608 57.6920192745633,18.3119855043636 57.6969010802152,18.3142883919437 57.7016332705693,18.318272253853 57.7060339029782,18.3237844427211 57.7099337185141,18.3306133329931 57.7131826685683,18.3384964221414 57.7156557086967,18.3471304293028 57.7172576328533,18.3561830016656 57.7179267578229,18.3653055709037 57.7176373123281,18.3741468527075 57.7164004361367,18.3823664546746 57.7142637494374,18.3896480530455 57.7113095094213,18.3957116172775 57.7076514269655,18.400324202236 57.7034302691569,18.4033088886129 57.6988084208762,18.4045515298302 57.6939636188366)))', 'SESLS', 'Skälsö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8142938584711 58.2659668183903,11.8129995972145 58.2611249846256,11.8099384917159 58.2565091890878,11.8052287486195 58.2522966887332,11.7990517076931 58.2486491952528,11.7916448205147 58.2457066868167,11.7832925147181 58.2435820581286,11.7743152964147 58.242356809931,11.7650575045517 58.2420779393747,11.7558741769766 58.2427561473636,11.747117517969 58.24436542974,11.7391234704171 58.2468440676562,11.7321988924353 58.2500969804273,11.7266098180682 58.2539993533137,11.7225712451311 58.2584014047736,11.7202388408421 58.2631341144253,11.7197028887927 58.2680156958611,11.7209847205534 58.272858569002,11.7240357840295 58.2774765661383,11.7287394013831 58.2816920951407,11.7349151654371 58.2853429832347,11.7423258190093 58.2882887354511,11.7506863610696 58.2904159632499,11.7596750316108 58.2916427701967,11.7689457481844 58.2919219218348,11.7781415052693 58.2912426744681,11.7869082063029 58.2896311904904,11.7949083795885 58.2871495239238,11.8018342344265 58.2838932165385,11.8074195423859 58.2799875998734,11.8114498790559 58.2755829493058,11.813770831116 58.2708486809073,11.8142938584711 58.2659668183903)))', 'SESLU', 'Slussen', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5460861996435 57.3004418408842,16.5449966214695 57.2955860291832,16.5421786164593 57.2909385391808,16.5377410328309 57.2866778580006,16.5318547568983 57.2829675599491,16.5247460926182 57.279950045002,16.516688050216 57.2777410945372,16.5079898808131 57.2764254492704,16.4989852552027 57.2760535751868,16.4900195314607 57.2766397383534,16.4814365869936 57.27816146045,16.4735657053208 57.2805603753745,16.466709006112 57.2837444550956,16.4611298887693 57.2875915218033,16.4570429254589 57.2919539150866,16.454605589619 57.2966641390318,16.4539121416249 57.3015412763916,16.4549899160417 57.3063979267759,16.4577981668333 57.3110474044341,16.4622295307724 57.3153109196408,16.4681140684377 57.319024466635,16.4752257405109 57.3220451508192,16.4832910788603 57.3242567083276,16.4919997216236 57.3255740015451,16.5010164035318 57.3259463136005,16.5099939310441 57.3253593117494,16.5185866297338 57.3238356019943,16.5264637310891 57.321433853041,16.5333221685511 57.3182465243764,16.5388982780877 57.3143962884329,16.5429779454466 57.3100312881086,16.5454048079332 57.3053194162151,16.5460861996435 57.3004418408842)))', 'SESLV', 'Saltvik, Oskarshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2152235578825 58.9321829685684,11.2139854530398 58.9273352602981,11.2109426219394 58.9227055224351,11.2062126055359 58.9184715483282,11.1999775530913 58.9147958727495,11.1924771651446 58.9118195523362,11.1839994683661 58.9096567748932,11.1748697787946 58.9083905001596,11.1654382726933 58.9080692951774,11.1560666316416 58.9087054823289,11.147114259608 58.9102746690307,11.1389245840715 58.9127166766695,11.131811950558 58.9159378343599,11.1260496002359 58.9198145522294,11.1218591838004 58.9241980409126,11.1194022123708 58.928920000433,11.1187737785875 58.9337990642603,11.11999880008 58.9386477545008,11.123030945146 58.9432796831808,11.127754299682 58.9475167234199,11.1339877286367 58.951195873656,11.1414917786365 58.9541755482668,11.1499778655004 58.956341048801,11.1591193958758 58.9576090009528,11.1685643908426 58.9579305823079,11.1779491152599 58.9572934131845,11.1869121733324 58.9557220356627,11.1951085107272 58.9532769618889,11.2022227677131 58.9500523295404,11.2079814559664 58.9461722574749,11.2121634823122 58.9417860457037,11.2146086129471 58.9370624087678,11.2152235578825 58.9321829685684)))', 'SESMD', 'Strömstad', 'Y'),('SRID=4326;MULTIPOLYGON(((11.96520194863 57.427920618104,11.9639209595405 57.4230796670728,11.9609145379416 57.4184664856187,11.9562987557273 57.414258233184,11.9502513196475 57.4106164630697,11.9430046929595 57.4076809395276,11.934837152522 57.4055642951182,11.9260621263692 57.404347729338,11.9170162166753 57.4040779097169,11.9080463580759 57.4047651912182,11.8994965906395 57.406383220433,11.891694939831 57.4088699394573,11.8849408923342 57.4121299522167,11.8794939366467 57.416038165103,11.8755636012567 57.4204445658567,11.8733013716236 57.425179961352,11.8727948012162 57.430062457902,11.874064053097 57.4349044383578,11.8770610191732 57.4395197698648,11.8816710670678 57.4437309656551,11.8877173630309 57.447376024329,11.8949676173807 57.4503146809816,11.9031430009826 57.4524338260642,11.9119288917525 57.453651879375,11.9209870334747 57.4539219469206,11.9299686292953 57.4532336359932,11.9385278522574 57.4516134567228,11.9463352373773 57.4491237943407,11.9530904249762 57.445860493021,11.9585337529894 57.4419491470257,11.962456245212 57.4375402456015,11.9647076102363 57.4328033625779,11.96520194863 57.427920618104)))', 'SESMH', 'Smarholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2804243625297 58.3491636453323,11.2791996931452 58.3443160780779,11.2762004630526 58.3396872113168,11.271542513045 58.3354548072555,11.2654052067521 58.3317813439737,11.2580244831034 58.3288077974904,11.2496837765279 58.326648253496,11.2407031556893 58.3253855513619,11.2314270933968 58.3250681235449,11.2222113270574 58.3257081483861,11.2134092997126 58.3272810851712,11.2053586857986 58.3297266088577,11.1983685030303 58.3329509098102,11.1927072922689 58.3368302729679,11.1885928112045 58.3412158028169,11.1861836357985 58.345939117034,11.1855729967488 58.350818794303,11.1867850983299 58.3556673320275,11.1897740759756 58.3602983487375,11.194425649734 58.3645337549169,11.2005614267034 58.3682106154413,11.2079457007835 58.3711874370925,11.2162944970273 58.3733496355651,11.2252865151935 58.3746139673667,11.234575547331 58.374931751938,11.2438038814882 58.3742907566252,11.252616161284 58.3727156698883,11.2606731514385 58.3702671440811,11.2676648635141 58.3670394458853,11.2733225238298 58.3631568075613,11.2774289152217 58.358768623237,11.2798266933088 58.354043679355,11.2804243625297 58.3491636453323)))', 'SESMO', 'Smögen', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7532837950497 57.4613648411217,16.7521616344267 57.4565111418707,16.7493047255996 57.4518686421088,16.7448234146276 57.4476156352124,16.7388902675657 57.4439153987584,16.731733385568 57.4409099446896,16.7236276250633 57.4387145901673,16.7148840624653 57.4374135534555,16.7058381040919 57.4370567399254,16.6968366884323 57.4376578382919,16.6882250586717 57.4391937981167,16.6803335978735 57.4416057081219,16.6734652171913 57.4448010426937,16.6678837689391 57.4486571928796,16.6638039216144 57.4530261499257,16.6613828836797 57.45774016565,16.6607142981222 57.4626181763092,16.6618245520733 57.4674727465371,16.6646716572054 57.4721172686867,16.6691467599822 57.4763731414921,16.6750782394917 57.480076651068,16.6822382484526 57.4830852871688,16.6903514543872 57.4852832481975,16.6991056473834 57.4865859190722,16.7081638027401 57.486943145635,16.7171771250848 57.4863411762903,16.7257985585445 57.484803194075,16.7336962275306 57.4823884181585,16.7405662757508 57.4791898104641,16.7461445970266 57.4753304782474,16.7502169989173 57.4709589146977,16.7526274064611 57.4662432648128,16.7532837950497 57.4613648411217)))', 'SESMR', 'Södra Marsö', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0716456479768 65.7981733824297,24.0710324613167 65.7932950298425,24.0681132150558 65.7885594819274,24.0630012453651 65.7841486007884,24.0558938324289 65.780231690551,24.0470644933553 65.7769590221172,24.0368524133529 65.7744560969342,24.0256494299034 65.7728188643536,24.0138850671149 65.7721100702697,24.0020101812924 65.7723568719252,23.9904798231992 65.7735498066056,23.9797359471207 65.7756431519933,23.9701906015296 65.7785566648292,23.962210220894 65.7821786338451,23.9561016030663 65.7863701342932,23.9521001020399 65.7909703263941,23.9503604922544 65.7958026002092,23.9509508691862 65.8006813362875,23.9538498434952 65.8054190263136,23.9589471652251 65.8098334820675,23.966047784213 65.8137548552226,23.9748792176765 65.8170321954387,23.9851019615657 65.819539290032,23.9963225549247 65.8211795548948,24.0081087926943 65.8218897824938,24.0200064882932 65.821642597346,24.0315571183659 65.8204475205492,24.0423156423959 65.8183506005401,24.0518677818948 65.8154326247829,24.0598460680923 65.8118059839858,24.0659440220056 65.8076103141329,24.0699279131318 65.8030070897563,24.0716456479768 65.7981733824297)))', 'SESMS', 'Salmis', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7042193867605 57.4093831887157,16.7031054319936 57.4045289704518,16.700258883378 57.3998852664118,16.695789687669 57.39563041678,16.6898699451828 57.3919277704642,16.6827272428194 57.3889194324404,16.6746358938676 57.3867208309666,16.6659064233169 57.3854163091573,16.6568736986027 57.3850559061784,16.6478841521783 57.3856534483636,16.6392825731024 57.3871860214772,16.6313989593696 57.3895948438635,16.6245359207422 57.3927875080491,16.6189571033761 57.3966415072783,16.6148770728976 57.4010089151877,16.6124530424055 57.4057220430542,16.6117787672171 57.4105998613884,16.6128808505776 57.4154549425363,16.6157176161377 57.4201006596764,16.6201806065228 57.4243583661487,16.6260986661227 57.4280642781179,16.6332444642445 57.4310757934421,16.6413432163012 57.4332770001476,16.6500832702485 57.4345831584966,16.6591281474233 57.4349439801742,16.6681295652672 57.4343455751037,16.6767409274028 57.4328109888873,16.6846307464522 57.4303993096581,16.6914954679517 57.4272033798184,16.6970711895463 57.4233462032902,16.7011438169157 57.4189761901517,16.7035572640184 57.4142614257479,16.7042193867605 57.4093831887157)))', 'SESMV', 'Simpevarp', 'Y'),('SRID=4326;MULTIPOLYGON(((13.4037782796505 55.3375797842226,13.4031329136386 55.3327006646931,13.4008304899945 55.3279870351356,13.3969600159848 55.3236199515297,13.3916705992874 55.3197671014547,13.3851656621391 55.3165763808155,13.3776951008619 55.3141702356813,13.369545695515 55.3126409828172,13.3610301362003 55.3120472847875,13.3524750805638 55.3124119116404,13.3442086902149 55.3137208727639,13.3365481114477 55.315923951232,13.3297873674756 55.3189366206051,13.3241861153493 55.3226432724907,13.3199596911013 55.3269016339678,13.3172708220511 55.3315482089574,13.3162233265926 55.3364045383924,13.3168580506097 55.3412840420976,13.3191512078681 55.3459991819278,13.3230152018232 55.3503686719783,13.3283019113272 55.354224458311,13.3348083262914 55.3574181980026,13.3422843254122 55.3598269853604,13.350442300769 55.3613581013644,13.358968257553 55.3619525998035,13.3675339551955 55.3615875887743,13.3758096119357 55.3602771173761,13.3834766707543 55.3580716324613,13.3902401219095 55.3550560268294,13.3958398962087 55.351346355892,13.4000608826075 55.3470853521933,13.4027411816511 55.342436914066,13.4037782796505 55.3375797842226)))', 'SESMY', 'Smygehamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8801200492867 58.1369438891473,11.8788220903389 58.1321026740403,11.8757641048354 58.1274883525432,11.8710641735231 58.1232781251668,11.8649032546064 58.1196336168554,11.8575181777782 58.1166946919731,11.8491925327151 58.1145741085927,11.8402458036686 58.1133532130877,11.831021162682 58.1130788362678,11.8218723797721 58.1137615069758,11.8131503382526 58.1153750497887,11.805189656678 58.1178575819357,11.798295915444 58.1211138724799,11.7927339659075 58.1250189759655,11.788717763317 58.129423004832,11.7864021125342 58.1341568616151,11.7858766485475 58.1390387148888,11.7871622937279 58.1438809734933,11.790210342844 58.1484974930974,11.7949042278731 58.1527107385493,11.8010639111045 58.1563586254305,11.8084527509706 58.1593007750204,11.8167865849094 58.1614239383133,11.8257446819879 58.1626463761669,11.8349821394813 58.1629210229622,11.8441432361721 58.1622373087552,11.8528752140823 58.1606215678324,11.8608419419313 58.1581360176074,11.8677369188346 58.1548763484928,11.8732951053196 58.1509680203013,11.8773031190311 58.1465614115252,11.8796074017907 58.141826012396,11.8801200492867 58.1369438891473)))', 'SESND', 'Svanesund', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3211499309801 55.6582521303551,14.3203859550602 55.6533780151634,14.3179552567166 55.648681786336,14.3139517727707 55.6443438242709,14.3085297133838 55.640530691746,14.3018975814993 55.6373887547331,14.2943101396609 55.6350385835775,14.286058635972 55.6335703457625,14.2774596622803 55.6330403633387,14.26884306505 55.633468963905,14.2605393617764 55.6348397053993,14.2528671325575 55.6371000035852,14.2461208572485 55.6401631387837,14.2405596534815 55.643911566854,14.2363973400246 55.6482014104564,14.2337942040905 55.6528679619228,14.2328507913042 55.6577319902513,14.2336039645526 55.6626066132954,14.2360253948699 55.6673044734351,14.2400225564068 55.6716449419204,14.2454422015322 55.6754610743939,14.2520761948544 55.6786060481693,14.2596694904452 55.6809588305814,14.2679299490217 55.6824288566063,14.2765396154347 55.6829595319543,14.2851670153479 55.6825304235347,14.2934799866528 55.6811580507261,14.3011585382766 55.6788952461178,14.3079072278363 55.6758291109696,14.3134665701542 55.6720776461376,14.3176230298535 55.6677851912809,14.3202172109041 55.6631168516067,14.3211499309801 55.6582521303551)))', 'SESNH', 'Stenshuvud', 'Y'),('SRID=4326;MULTIPOLYGON(((16.3782937505087 56.6505067739466,16.3772460027248 56.6456488379822,16.3744986331807 56.6409968047091,16.3701577550636 56.6367293395849,16.3643905271409 56.6330102821923,16.3574186782463 56.6299823738347,16.3495099717386 56.6277617994369,16.3409679401053 56.6264337493453,16.3321202804212 56.6260491675368,16.3233063474943 56.6266228078681,16.3148642122393 56.6281326709469,16.3071177675426 56.6305208426837,16.3003643623319 56.6336957033384,16.2948634267722 56.6375354246734,16.2908265177794 56.6418926244125,16.2884091650264 56.6466000032818,16.2877048343675 56.6514767520705,16.2887412496611 56.6563354858695,16.2914792274207 56.6609894411785,16.2958140842723 56.6652596599276,16.3015795781329 56.6689818833204,16.3085542441668 56.6720128880588,16.3164698901339 56.6742360178217,16.3250219270779 56.6755656932311,16.3338811347047 56.6759507228697,16.342706400134 56.6753762847025,16.3511579271775 56.6738644995854,16.3589103931335 56.6714735742214,16.3656655323934 56.6682955475657,16.3711636508017 56.6644527298512,16.375193620331 56.6600929747494,16.3776009677796 56.6553839705645,16.3782937505087 56.6505067739466)))', 'SESNO', 'Stensö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8938540347653 55.4177631607474,12.8932704852888 55.4128819838102,12.891024566957 55.4081593328177,12.887203123804 55.4037766134195,12.8819533899689 55.399902115929,12.8754772742151 55.3966845686047,12.8680235758689 55.3942474474343,12.8598784350216 55.3926842572417,12.851354382206 55.3920549614895,12.8427784013774 55.3923836944709,12.8344794538073 55.3936578413092,12.8267759287541 55.3958285199885,12.8199634891731 55.3988124473085,12.8143037672369 55.4024951189516,12.8100143353254 55.4067351845501,12.8072603340029 55.4113698534521,12.8061480803018 55.4162211274288,12.8067209087846 55.4211026243443,12.8089574162944 55.4258267331116,12.8127721915083 55.4302118261481,12.8180190154211 55.4340892517764,12.8244964222809 55.4373098359555,12.8319554162047 55.4397496403641,12.8401090508987 55.4413147516791,12.8486435027184 55.4419449139641,12.8572302045521 55.4416158610037,12.8655385629502 55.4403402563888,12.8732487559395 55.4381672040688,12.8800641054328 55.4351803486099,12.8857225362516 55.4314946401126,12.8900066725796 55.4272518912778,12.8927521800582 55.4226153012556,12.8938540347653 55.4177631607474)))', 'SESNR', 'Skanör', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6298203381421 58.6284030074314,16.6286750280364 58.6235491705189,16.6257368668264 58.6189050854576,16.6211193701815 58.6146491021256,16.6150003691084 58.6109446054989,16.6076151179738 58.607933762752,16.5992472381472 58.6057320894348,16.590217847592 58.6044240390535,16.5808732896923 58.6040597811845,16.5715719223715 58.6046532883653,16.5626704602046 58.6061818030337,16.5545103771942 58.6085867044115,16.5474048759238 58.6117757431804,16.5416269099378 58.6156265608069,16.5373987107279 58.6199913621688,16.5348832192368 58.6247025663965,16.5341777553737 58.6295792231505,16.5353101791804 58.6344339513831,16.5382377061548 58.6390801362402,16.5428484395924 58.6433391081695,16.5489655781253 58.6470470272087,16.5563541509453 58.6500612051523,16.5647300309896 58.6522656186965,16.5737708823354 58.6535753971598,16.5831286167953 58.6539401078803,16.5924428704303 58.6533457093779,16.6013549668377 58.6518150949107,16.6095218130471 58.649407204933,16.6166291768411 58.6462147437506,16.6224038211264 58.642360590929,16.6266240201137 58.637993049343,16.6291280508224 58.6332801170361,16.6298203381421 58.6284030074314)))', 'SESNS', 'Skenäs', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4606358628076 62.3660618855858,17.459207188892 62.3612198897274,17.4557733903083 62.3566003384344,17.4504671973037 62.3523806135579,17.4434929996984 62.3487226752166,17.4351189203113 62.3457668684417,17.4256664950264 62.343626564379,17.4154983584212 62.3423838367359,17.405004401731 62.3420863345931,17.3945869208438 62.3427454676961,17.3846453051999 62.3443359714857,17.3755608334719 62.3467968680554,17.3676821385346 62.3500337876086,17.3613118825218 62.3539225645121,17.3566951429511 62.3583139743683,17.3540099535172 62.3630394352986,17.3533603691693 62.3679174594031,17.3547723360177 62.372760610595,17.3581925446742 62.3773827039791,17.3634903338334 62.3816059706949,17.3704625930877 62.3852679114115,17.3788414947207 62.3882275717727,17.3883047687103 62.3903709939585,17.3984881288637 62.3916156295547,17.408999366295 62.3919135390111,17.4194335542739 62.3912532505721,17.4293887598516 62.389660204687,17.4384816354097 62.3871957662743,17.4463622686699 62.3839548443447,17.4527277024124 62.3800622138573,17.4573335932716 62.3756676858823,17.4600035591726 62.3709403170028,17.4606358628076 62.3660618855858)))', 'SESNV', 'Stenvik', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4384383402449 60.4489792839185,18.4378521936829 60.4440994348789,18.4353509105664 60.4393698170669,18.4310313678925 60.4349720883485,18.4250601024734 60.4310750883751,18.4176668292883 60.4278283749414,18.4091355770753 60.4253565072465,18.3997937872724 60.4237542910885,18.3899997930262 60.4230831638757,18.380129149939 60.4233688540875,18.3705603285015 60.4246004020366,18.3616602991518 60.4267305781292,18.3537705443298 60.42967768299,18.3471940177314 60.4333286625201,18.3421835394197 60.4375434219005,18.3389320670173 60.4421601773891,18.3375652187442 60.4470016450978,18.3381363449057 60.4518818332529,18.3406243525145 60.4566131800752,18.3449343856467 60.4610137644733,18.3509013552325 60.4649143120452,18.3582962002985 60.4681647249069,18.3668346528067 60.4706398806549,18.376188175142 60.4722444729139,18.385996647985 60.4729167025352,18.3958823114942 60.4726306732072,18.4054644084513 60.4713973962448,18.414373947338 60.4692643644688,18.4222679979746 60.4663137120076,18.4288429526705 60.4626590330502,18.4338462306752 60.4584409856199,18.43708597055 60.4538218540337,18.4384383402449 60.4489792839185)))', 'SESOB', 'Söderboda', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2461887322246 61.5251507854773,17.2448351581369 61.5203057297239,17.2415290988371 61.5156798105839,17.2363983329921 61.5114506610014,17.2296404859558 61.5077806111206,17.2215153665977 61.5048104795187,17.2123349667984 61.5026541949789,17.2024515102773 61.5013944504255,17.1922440041183 61.5010795511672,17.1821037965501 61.5017215746268,17.17241967739 61.5032959098471,17.1635630725941 61.5057421939239,17.1558738813733 61.5089666107908,17.1496474833529 61.5128454671793,17.1451234045322 61.5172299127684,17.1424760749045 61.5219516281828,17.1418080385028 61.5268292671471,17.1431458898694 61.5316754092343,17.1464391117115 61.5363037585156,17.1515618797474 61.5405363120812,17.1583177862201 61.5442102215618,17.1664473176985 61.5471840807914,17.1756378106017 61.5493433934889,17.1855355046279 61.5506050057196,17.1957592251593 61.5509203278369,17.2059151554706 61.5502772180415,17.2156121120946 61.5487004526758,17.2244767146865 61.5462507646125,17.232167846446 61.5430224881447,17.2383898323241 61.5391399041306,17.2429038180348 61.5347524303877,17.2455369101705 61.5300288472997,17.2461887322246 61.5251507854773)))', 'SESOC', 'Sörön', 'Y'),('SRID=4326;MULTIPOLYGON(((17.665583093829 59.1990124999053,17.6642707938563 59.1941698991216,17.6611428471728 59.1895516222349,17.6563200690886 59.1853350179885,17.6499881696894 59.1816819500276,17.6423905605754 59.1787326036802,17.6338189887352 59.176600129125,17.6246023592209 59.1753663221872,17.6150941708953 59.175078504343,17.6056590366375 59.1757477182955,17.5966587901254 59.1773483063347,17.5884386951489 59.1798188872724,17.5813142701086 59.1830646957832,17.5755592199563 59.1869611971982,17.571394930647 59.1913588429237,17.5689819278146 59.1960887883402,17.5684136329203 59.2009693578788,17.5697126681262 59.2058130124124,17.5728298678016 59.2104335534041,17.5776460527701 59.2146532874218,17.5839765166903 59.2183098743418,17.5915780665047 59.2212625931064,17.6001583552921 59.2233977801166,17.6093871509251 59.2246332265999,17.6189091023574 59.2249213614735,17.6283575013978 59.2242510937694,17.6373684949221 59.222648241622,17.6455951830042 59.2201745309102,17.6527210435052 59.2169252034397,17.6584721529414 59.2130253296093,17.6626277252994 59.2086249714319,17.6650285620233 59.2038933864726,17.665583093829 59.1990124999053)))', 'SESOE', 'Södertälje', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4800409638557 62.0290571781178,17.4786262519223 62.0242151029425,17.4752287127104 62.0195956514597,17.4699796632913 62.0153762035479,17.4630812849709 62.0117187114196,17.4547987834777 62.0087635061525,17.445450181635 62.0066239389427,17.4353941390403 62.0053820578386,17.4250162605213 62.0050854811351,17.4147144056231 62.0057455835847,17.4048835442834 62.0073370626851,17.3959007187211 62.0097989012002,17.3881106682101 62.0130366904085,17.3818126518461 62.016926228065,17.3772489649035 62.0213182573655,17.3745955874653 62.0260441699566,17.3739553306613 62.0309224588204,17.3753537576064 62.0357656771123,17.3787380551915 62.0403876380438,17.3839789222615 62.0446105796964,17.3908754232022 62.048272017968,17.3991626381049 62.0512310210165,17.4085218265776 62.0533736594676,17.4185927173055 62.0546174177034,17.4289874449643 62.0549143916517,17.4393055848741 62.0542531460832,17.449149687847 62.0526591575299,17.4581406957438 62.0501938252704,17.4659326236077 62.046952089918,17.4722259265389 62.0430587544823,17.4767790268453 62.0386636539446,17.4794175561647 62.0339358642255,17.4800409638557 62.0290571781178)))', 'SESOF', 'Sörfjärden', 'Y'),('SRID=4326;MULTIPOLYGON(((16.460614788627 58.4744667212028,16.459498165196 58.4696111541356,16.4565954683212 58.4649629566843,16.4520188472242 58.4607006385533,16.4459445619609 58.4569878298675,16.4386061518296 58.4539670185933,16.430285444413 58.451754104181,16.4213017531468 58.4504339722685,16.4119996742362 58.4500572561678,16.4027359415491 58.4506384060191,16.3938658298682 58.4521551375513,16.3857296120128 58.4545492810202,16.3786395736058 58.4577289988221,16.3728680706649 58.4615722892555,16.3686370800481 58.4659316456433,16.3661096416926 58.4706396962141,16.3653835255808 58.4755156123676,16.3664873769861 58.4803720426759,16.3693795029032 58.485022308471,16.373949363442 58.4892875851627,16.380021727782 58.4930037922124,16.3873633490715 58.4960279242839,16.3956919108614 58.4982435763654,16.4046869039599 58.499565446033,16.4140020115587 58.4999426354164,16.4232785162866 58.4993606223227,16.4321591989302 58.4978418224437,16.4403021773358 58.4954447204116,16.4473941366498 58.4922616042449,16.4531624284176 58.4884149930156,16.457385564656 58.4840528989615,16.4599017011871 58.4793431106383,16.460614788627 58.4744667212028)))', 'SESOG', 'Söderköping', 'Y'),('SRID=4326;MULTIPOLYGON(((17.9999769449008 62.5688521485528,17.9984502979328 62.5640165072364,17.9949092449731 62.5594111233676,17.9894906379424 62.5552128293274,17.9824031773205 62.5515827576039,17.9739193213487 62.548660179857,17.9643648021094 62.5465571897439,17.9541061533069 62.5453544285354,17.943536722074 62.5450980127442,17.933061687559 62.5457977778074,17.923082641627 62.5474269029158,17.9139823013186 62.5499229309861,17.9061099185581 62.5531901462006,17.899767930028 62.5571032211694,17.8952003493668 62.5615119982696,17.8925833454464 62.5662472267083,17.8920183754168 62.5711270399147,17.8935281510125 62.5759639284279,17.8970556135429 62.5805719427969,17.9024659801056 62.5847738501717,17.909551804761 62.5884079679676,17.9180408783352 62.591334408547,17.9276066744186 62.5934404901712,17.9378809425106 62.5946451009135,17.9484679575797 62.5949018426858,17.9589598634917 62.5942008304232,17.9689524998588 62.5925690748102,17.9780610806186 62.5900694334015,17.9859350993164 62.5867981721138,17.9922718702195 62.5828812343149,17.9968281740309 62.5784693657083,17.9994295586783 62.5737322877395,17.9999769449008 62.5688521485528)))', 'SESOH', 'Solumshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6365988731353 56.0501393793557,14.6357877939703 56.0452675006531,14.633294581485 56.0405777570749,14.6292155841986 56.0362502764019,14.6237079173012 56.0324512151349,14.6169833699953 56.0293263954519,14.6093002465766 56.0269957277472,14.6009534577669 56.0255486290818,14.5922632403297 56.0250406095893,14.5835629304262 56.0254911545902,14.5751862484636 56.0268829814848,14.5674545697235 56.0291626991212,14.5606646555187 56.0322428450212,14.5550773040217 56.0360052243792,14.5509073485114 56.0403054258656,14.5483153842317 56.0449783446917,14.5474015443448 56.0498445047227,14.5482015720697 56.0547169401526,14.5506853520364 56.059408374654,14.5547579717401 56.0637384230191,14.5602632869208 56.0675405378395,14.566989866406 56.0706684320617,14.5746790965219 56.0730017272205,14.5830351368583 56.0744506062483,14.5917363421897 56.0749592879669,14.6004477035452 56.0745081862379,14.6088338180315 56.0731146684178,14.6165718743499 56.0708323830871,14.6233641402597 56.0677491836327,14.6289494595655 56.0639837297364,14.6331133083736 56.0596809007981,14.6356960211311 56.0550062016118,14.6365988731353 56.0501393793557)))', 'SESOL', 'Sölvesborg', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0630973751664 63.6553762515102,20.06218000577 63.6505060750553,20.0591430850769 63.6458089677556,20.054104247714 63.6414653099417,20.0472577692498 63.6376418300678,20.038867003999 63.6344852272652,20.0292542271768 63.6321165695209,20.0187882772829 63.630626677329,20.0078704693767 63.6300726647296,19.9969193072695 63.6304757659418,19.9863545617649 63.6318205278646,19.9765813024448 63.6340553981912,19.967974471954 63.6370946874022,19.9608645742516 63.6408218321286,19.9555250120697 63.6450938389545,19.9521615542502 63.6497467432889,19.9509043415286 63.6546018790306,19.9518027509915 63.6594727228705,19.9548233368712 63.6641720535348,19.9598509513649 63.6685191522068,19.9666930274866 63.6723467665939,19.975086881145 63.6755075681232,19.9847097669502 63.6778798495892,19.9951913074046 63.6793722388181,20.0061278139252 63.6799272416174,20.017097935999 63.6795234730186,20.0276790163325 63.6781764877266,20.0374634985106 63.6759381765371,20.0460747313127 63.6728947528105,20.0531815405743 63.6691634093591,20.0585109937578 63.664887778816,20.0618588610278 63.6602323774496,20.0630973751664 63.6553762515102)))', 'SESOM', 'Sörmjöle', 'Y'),('SRID=4326;MULTIPOLYGON(((22.8068581212532 65.8652949159725,22.8053472852395 65.8604487618268,22.8015572446597 65.8558163194702,22.795634689212 65.8515754475888,22.7878078761239 65.8478888886638,22.7783777590431 65.8448980501664,22.767706396688 65.8427176106187,22.7562030904549 65.8414311516945,22.7443087758083 65.8410879782964,22.732479248962 65.8417012439615,22.7211678474779 65.8432474505972,22.7108082206478 65.8456673409807,22.7017978227782 65.8488681513142,22.6944827397678 65.8527271409952,22.6891444167817 65.857096269258,22.6859887927537 65.8618078450568,22.6851382666322 65.866680939028,22.6866268220933 65.8715283160479,22.6903985240334 65.8761636251128,22.6963094746429 65.8804085711076,22.704133183431 65.8840997913055,22.7135691693619 65.8870951685991,22.7242544802475 65.8892793334752,22.7357776911569 65.8905681371109,22.7476948363139 65.8909119176415,22.7595466437561 65.8902974290988,22.7708763838934 65.8887483557483,22.7812476155374 65.8863243912457,22.7902611176592 65.8831189196374,22.7975703317762 65.8792553911634,22.8028947062184 65.8748825375788,22.8060304255943 65.8701686170743,22.8068581212532 65.8652949159725)))', 'SESON', 'Sören', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1218287302008 61.3061999059429,17.1205044891298 61.3013533448375,17.1172404439113 61.2967240888948,17.1121627494689 61.2924899013664,17.105466987895 61.2888133082702,17.097410584364 61.2858353817499,17.0883028978881 61.2836703517835,17.0784933701304 61.2824012482948,17.0683581819782 61.282076736308,17.0582859176812 61.2827092618443,17.0486627692148 61.2842745773876,17.0398578286651 61.286712664586,17.032209013636 61.2899300201103,17.0260101499773 61.2938032199385,17.0214996977731 61.2981836294809,17.0188515511004 61.3029030835377,17.0181682705263 61.3077803226712,17.019477021201 61.3126279426275,17.0227283909021 61.3172595922433,17.0277981544374 61.321497143853,17.0344919371258 61.3251775592886,17.0425526150656 61.3281591844901,17.0516701785092 61.3303272263881,17.0614936821161 61.331598196519,17.0716448172999 61.3319231456784,17.0817325720147 61.3312895612892,17.0913683960047 61.3297218520689,17.100181267449 61.3272804007857,17.1078320613395 61.324059222921,17.114026650568 61.3201823244137,17.1185272257983 61.3157989029435,17.1211613966343 61.3110775822479,17.1218287302008 61.3061999059429)))', 'SESOO', 'Söderhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1960423064207 58.8011911849332,11.1948119696352 58.7963431559376,11.191783564315 58.7917127926276,11.1870740719575 58.7874779131341,11.1808648501823 58.7838010879863,11.1733946065632 58.780823419033,11.1649502116845 58.7786591468507,11.1558557064491 58.7773912893382,11.1464599212311 58.7770684747416,11.1371231717458 58.7777030872819,11.128203527569 58.7792707944762,11.1200431635578 58.7817114738252,11.1129553017502 58.7849315045277,11.1072122316893 58.7888073389866,11.1030348608234 58.7931902208356,11.1005841943153 58.797911872697,11.0999550762827 58.8027909394809,11.1011724437623 58.8076399431947,11.1041902526917 58.8122724842281,11.108893134777 58.8165104129122,11.1151007387545 58.8201906945069,11.1225746033494 58.8231717009507,11.1310273067197 58.825338683564,11.1401335430711 58.826608211809,11.1495426960713 58.8269314030852,11.1588924148778 58.826295815825,11.1678226554498 58.8247259309043,11.1759896297242 58.822282202362,11.1830791093122 58.8190587152119,11.1888185583821 58.815179543264,11.192987620752 58.810793950987,11.1954265561532 58.8060706283958,11.1960423064207 58.8011911849332)))', 'SESOS', 'Store-Snart', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9133286767344 59.702793504905,18.9126836564665 59.6979150311063,18.9101684053859 59.6931938620382,18.9058802919773 59.6888113305218,18.899984606955 59.6849356946788,18.892708135307 59.6817156962555,18.8843304083361 59.6792748744885,18.8751729767556 59.6777068494805,18.8655871146709 59.6770717516564,18.85594041769 59.6773939303951,18.8466027954272 59.6786610269563,18.8379323786906 59.6808244460233,18.8302618643786 59.6838012082506,18.8238858065337 59.687477114883,18.8190493303434 59.6917111064952,18.8159386976519 59.6963406528706,18.8146740886526 59.7011879715887,18.8153048862328 59.7060668405069,18.8178076588925 59.7107897453372,18.822086937871 59.7151750890049,18.8279787774171 59.7190541852644,18.8352569779854 59.7222777655528,18.8436417450648 59.7247217453269,18.8528104561516 59.7262920237054,18.8624101199367 59.7269281272073,18.8720710396245 59.7266055533482,18.8814211403185 59.725336721022,18.8901003914802 59.7231704898005,18.8977747512513 59.7201902671548,18.9041490801565 59.7165107786581,18.908978516228 59.7122736290418,18.9120778694182 59.7076418292991,18.9133286767344 59.702793504905)))', 'SESPB', 'Spillersboda', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5816219609644 62.3610153234829,17.5801740753718 62.3561746704086,17.576722346764 62.3515581983025,17.5714001915006 62.347343169863,17.5644126089563 62.3436913642449,17.55602823211 62.3407428907308,17.5465689886463 62.3386108390036,17.5363977721215 62.3373769663568,17.5259045904362 62.3370885825562,17.515491709603 62.3377567480226,17.5055583438082 62.3393558521218,17.4964854575956 62.3418245872642,17.4886212424684 62.345068282907,17.4822678083234 62.348962513091,17.4776695901588 62.3533578435053,17.4750039129603 62.3580855408896,17.4743740835478 62.3629640304205,17.475805288969 62.3678058570347,17.4792434789904 62.3724248857021,17.4845572983779 62.3766434645119,17.4915430168217 62.3802992737985,17.4999322851415 62.3832515947572,17.5094024309755 62.3853867519661,17.5195889009816 62.3866225153493,17.5300993650517 62.3869112872927,17.5405289260806 62.386241948284,17.5504758304683 62.3846402876192,17.5595570525414 62.3821680021027,17.5674231317409 62.3789203027904,17.573771674388 62.3750222251642,17.578358990176 62.3706237892726,17.5810094139086 62.3658942011556,17.5816219609644 62.3610153234829)))', 'SESPI', 'Spikarna, Alnön', 'Y'),('SRID=4326;MULTIPOLYGON(((12.861845036529 56.2887827307994,12.8612551181188 56.2839019767531,12.858965018209 56.2791789895671,12.8550633092647 56.2747951851035,12.8497003318895 56.2709188909179,12.8430823566488 56.2676988987888,12.8354636308942 56.2652587729007,12.8271366201529 56.2636921284363,12.8184208172297 56.2630590579128,12.8096505417158 56.2633838389747,12.8011621870178 56.264654009143,12.7932813906504 56.2668208419101,12.7863106060384 56.2698012063104,12.7805175404233 56.2734807404645,12.7761248939265 56.2777182203355,12.773301789965 56.2823509597638,12.7721572280009 56.2872010383799,12.7727358174466 56.2920821217157,12.7750159683674 56.2968066140621,12.7789106229399 56.3011928704101,12.7842705145255 56.3050721899278,12.7908898423447 56.3082953202573,12.7985141531308 56.3107382194517,12.8068501310876 56.3123068501168,12.8155769182324 56.312940817354,12.8243585227234 56.3126157070019,12.8328568264172 56.3113440316712,12.8407446771531 56.3091747470172,12.8477185475435 56.3061913572836,12.8535102605675 56.3025086849296,12.8578973220261 56.2982684317546,12.8607114587753 56.293633706128,12.861845036529 56.2887827307994)))', 'SESPN', 'Skepparkroken', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2587255748067 56.1589144783368,15.2578335754366 56.1540469589003,15.2552577213153 56.1493700464287,15.2510975326651 56.1450633713168,15.2455132355171 56.1412922873107,15.2387195509237 56.138201539801,15.2309774253484 56.1359097299895,15.2225840227005 56.1345047836229,15.2138613595211 56.1340405944078,15.2051440116967 56.1345349677176,15.1967663527496 56.1359689413727,15.1890497996164 56.1382875088369,15.1822905415839 56.1414017178701,15.1767482116991 56.1451920662885,15.1726359278238 56.1495130677586,15.1701120831783 56.154198816198,15.1692742047458 56.1590693389786,15.1701551237941 56.1639374982068,15.1727216180306 56.1686161771592,15.1768755921897 56.172925476511,15.1824577663413 56.1766996429995,15.1892537426425 56.1797934619546,15.1970022257407 56.1820878645744,15.2054050838524 56.1834945303803,15.2141388609267 56.183959303896,15.2228672890846 56.1834642907935,15.2312543079213 56.1820285506553,15.2389770755405 56.1797073589491,15.2457384565575 56.1765900674325,15.2512784947227 56.1727966475697,15.2553844210703 56.1684730532935,15.2578988102572 56.1637855854171,15.2587255748067 56.1589144783368)))', 'SESPO', 'Spjälkö', 'Y'),('SRID=4326;MULTIPOLYGON(((20.6353917831361 63.8001533554836,20.6343712167001 63.7952870090557,20.6312238152949 63.790602147706,20.6260714580257 63.7862786757656,20.6191127721263 63.7824825415871,20.6106154051925 63.7793593907397,20.600905705209 63.7770290050818,20.5903562100457 63.775580735924,20.5793714224083 63.7750701012858,20.5683724030091 63.7755166733257,20.5577807531359 63.7769033339659,20.5480025774049 63.7791769261439,20.539413018106 63.7822502766578,20.5323419341645 63.7860055158805,20.5270612605604 63.7902985713514,20.523774528456 63.7949646680195,20.5226089531163 63.7998246292907,20.5236104072796 63.804691741481,20.5267414939876 63.8093789211253,20.5318828178967 63.8137059109542,20.5388374315049 63.8175062270495,20.5473383071931 63.8206335871835,20.5570585628075 63.8229675686717,20.5676240534825 63.8244182727698,20.5786278413379 63.8249298107598,20.5896459730433 63.8244824729556,20.6002539376284 63.823093494016,20.6100431467066 63.8208163839446,20.6186367782641 63.8177388515119,20.6257043534179 63.8139794030044,20.6309744713764 63.809682751708,20.6342452079819 63.8050142201045,20.6353917831361 63.8001533554836)))', 'SESPV', 'Skeppsvik', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0978141534392 55.3766897029227,13.0972059411182 55.3718092975032,13.0949378498707 55.3670902096616,13.0910975722429 55.3627137069498,13.0858330616895 55.3588478400731,13.0793467901324 55.3556410054873,13.0718879429718 55.3532162679522,13.0637428550896 55.3516666573736,13.0552240535064 55.3510516167065,13.0466583207208 55.3513947339459,13.0383742262925 55.3526828428888,13.0306895922448 55.3548665261327,13.0238993600339 55.3578620014261,13.018264313117 55.3615543208067,13.0140010798441 55.365801762697,13.0112737970726 55.3704412520026,13.010187756551 55.3752946038999,13.0107852851526 55.3801753548808,13.0130440283991 55.384895921067,13.0168777168915 55.3892748098423,13.0221394003117 55.3931436072453,13.0286270371456 55.3963534706746,13.0360912341444 55.3987808742562,13.0442448419631 55.4003323822024,13.0527740364972 55.4009482627007,13.0613504530134 55.4006047998994,13.0696438954486 55.39931521261,13.0773351186287 55.3971291433004,13.0841281779626 55.3941307374795,13.0897618595914 55.390435389256,13.0940197430203 55.3861852813213,13.0967385058584 55.3815438946502,13.0978141534392 55.3766897029227)))', 'SESRE', 'Skåre', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4253565566251 58.3021103942859,11.4241138849706 58.2972643193782,11.4210999560982 58.2926389321734,11.4164311714684 58.2884118604729,11.4102873066216 58.284745377183,11.4029045484885 58.2817801903045,11.3945664066729 58.2796300649305,11.3855928497528 58.2783774794765,11.3763280792684 58.2780704788045,11.3671274005682 58.2787208417374,11.3583436801652 58.2803036312917,11.3503138931548 58.2827581444785,11.3433462613394 58.2859902264578,11.337708463007 58.2898758629335,11.3336173591465 58.2942659166564,11.3312306288889 58.2989918304579,11.3306406402004 58.3038720819361,11.3318708019019 58.3087191452339,11.3348745521026 58.3133466945209,11.3395370389516 58.3175767728389,11.3456794456905 58.3212466495519,11.3530658073757 58.3242151000414,11.3614120657984 58.3263678623586,11.3703970167016 58.3276220566368,11.3796747239126 58.3279293930845,11.38888791258 58.32727804176,11.3976818116586 58.3256930901205,11.405717896441 58.3232355703138,11.4126869863481 58.3200000949107,11.4183211811142 58.3161111948256,11.4224041683637 58.3117185041623,11.4247795046469 58.3069909815392,11.4253565566251 58.3021103942859)))', 'SESRK', 'Stora Kornö', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((12.6933863721351 56.7488482553555,12.6928125980499 56.7439671631658,12.6905172247314 56.7392413387448,12.6865890461737 56.7348523065166,12.6811794352824 56.7309685932136,12.6744964637404 56.7277392730158,12.6667968782537 56.7252882652934,12.6583762456582 56.7237096000495,12.6495576437691 56.7230638288245,12.6406793250687 56.7233757152942,12.6320818152694 56.7246332916514,12.624094927798 56.7267883158219,12.6170251779821 56.7297581123493,12.6111440671569 56.7334287281747,12.6066776773086 56.7376592852722,12.6037979717874 56.7422873668886,12.6026161380137 56.7471352345904,12.6031782353641 56.7520166409351,12.6054633274746 56.7567439786704,12.6093841855704 56.7611354929843,12.6147905512205 56.7650222792698,12.6214748468031 56.7682547955135,12.6291801240419 56.770708635776,12.6376099495851 56.7722893388253,12.6464398460734 56.7729360428829,12.6553298415221 56.7726238422577,12.6639376325366 56.7713647525839,12.6719318404665 56.7692072463253,12.6790048355119 56.7662343768141,12.6848846222831 56.7625605649434,12.6893453203721 56.758327175308,12.692215832949 56.7536970558886,12.6933863721351 56.7488482553555)))', 'SESRL', 'Särdal', 'Y'),('SRID=4326;MULTIPOLYGON(((18.6852040288459 60.2908845078849,18.6845833095688 60.2860054703728,18.6820577974802 60.2812802713165,18.6777252886786 60.2768903976124,18.6717528064662 60.2730043868146,18.6643701027961 60.2697713751369,18.6558607939259 60.2673153968038,18.6465514761629 60.2657306491796,18.6367992376284 60.2650779008296,18.6269780364155 60.2653821763099,18.6174644533293 60.2666318036225,18.6086233479982 60.2687788595588,18.6007939502304 60.2717409963022,18.5942769040472 60.275404581369,18.5893227500617 60.2796290339461,18.5861222833005 60.2842521956031,18.5847991590515 60.2890965337996,18.5854050402075 60.2939759440764,18.5879174878122 60.2987028926285,18.5922406947141 60.3030956262152,18.598209053742 60.306985171892,18.6055934406642 60.3102218552922,18.6141099829677 60.3126810832046,18.6234309831232 60.3142681635452,18.6331975744697 60.3149219726132,18.6430336138248 60.3146173243672,18.6525602614061 60.3133659475558,18.6614106686319 60.3112160317335,18.6692441895658 60.3082503601091,18.6757595524759 60.3045831033207,18.6807064730168 60.3003554011674,18.6838952573905 60.2957299067974,18.6852040288459 60.2908845078849)))', 'SESRN', 'Stora Risten', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1435327154162 65.7321621376456,23.1419669980203 65.727319432248,23.1381367086948 65.7226954024154,23.1321900627594 65.7184675818321,23.1243562225458 65.7147982111485,23.1149363946438 65.7118280385019,23.1042922314196 65.7096709507311,23.0928319858911 65.7084096355226,23.0809949438742 65.7080924353246,23.0692347132746 65.7087315091638,23.0580019868653 65.7103023700479,23.0477274115457 65.7127448150301,23.0388051938181 65.7159652138452,23.0315780480393 65.7198400719313,23.0263240510512 65.7242207362246,23.0232459044368 65.7289390689488,23.0224630246676 65.7338138772616,23.0240067831877 65.7386578565184,23.0278191051996 65.7432847833787,23.0337545107418 65.7475166831134,23.0415855487358 65.7511906940596,23.0510114392146 65.7541653616423,23.0616696068486 65.7563261147088,23.0731496665782 65.7575897075632,23.0850093160496 65.7579074510049,23.0967915055669 65.7572671033033,23.1080421993018 65.7556933453852,23.1183280149899 65.7532468212459,23.1272530348901 65.7500217821667,23.1344741180503 65.7461424291478,23.1397141106165 65.7417580995651,23.1427724430545 65.7370374892007,23.1435327154162 65.7321621376456)))', 'SESRO', 'Storön', 'Y'),('SRID=4326;MULTIPOLYGON(((12.9971558269141 56.5487359708177,12.9965452682254 56.5438559061874,12.9942233941953 56.5391353808182,12.990280006253 56.5347557141798,12.9848670508926 56.5308850727714,12.9781927191521 56.5276720291516,12.9705134196628 56.525239878847,12.962123937664 56.5236819295168,12.9533461561919 56.5230579392623,12.9445167653274 56.5233918373109,12.9359744198453 56.5246708120741,12.9280468241814 56.5268458004682,12.9210382260061 56.5298333601498,12.9152177858229 56.5335188547161,12.9108092601706 56.5377608327092,12.9079823907733 56.5423964361422,12.9068463323038 56.5472476348573,12.9074453787292 56.5521280508138,12.9097571644098 56.5568501126996,12.9136934237747 56.5612322671247,12.9191032955917 56.5651059688473,12.925779058267 56.5683221794042,12.9334640853251 56.570757121131,12.9418627195578 56.5723170613994,12.9506516845837 56.5729419390053,12.9594925877244 56.5726076896297,12.9680450215628 56.5713271783478,12.9759797458008 56.5691497021646,12.9829914275078 56.5661590821675,12.9888104367433 56.5624704206648,12.9932132348199 56.5582256512517,12.9960309519867 56.5535880568829,12.9971558269141 56.5487359708177)))', 'SESRP', 'Snapparp', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5754172444882 56.75643441632,16.57434091886 56.7515783862641,16.5715613396947 56.7469309657565,16.5671858588436 56.7426706413477,16.5613829631701 56.7389609768066,16.554375748254 56.735944351528,16.5464333309289 56.7337365164849,16.5378605327265 56.7324221727579,16.5289862267764 56.7320517384999,16.5201507867106 56.7326394252556,16.5116931066692 56.7341626954649,16.5039376760277 56.7365631214492,16.4971821906797 56.7397486139457,16.491686164652 56.7435969370913,16.487660971801 56.7479603784017,16.4852616980033 56.7526713984471,16.4845811206547 56.757549047187,16.4856460559905 56.7624059037575,16.4884162278213 56.7670552751675,16.4927857164765 56.7713183778599,16.4985869473516 56.7750312250979,16.5055970783201 56.7780509529499,16.5135465486084 56.7802613381041,16.5221294629361 56.7815772912481,16.5310154080837 56.7819481492093,16.5398622384541 56.7813596359377,16.5483293258339 56.7798344148235,16.5560907486647 56.7774312105534,16.5628478987979 56.7742425353592,16.5683410087612 56.7703911096414,16.5723591486449 56.7660251182223,16.5747483063239 56.7613124887623,16.5754172444882 56.75643441632)))', 'SESRR', 'Stora Rör', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1619448408619 61.3771840774453,17.1606111758289 61.3723379994562,17.1573336151968 61.3677098168729,17.1522388362356 61.3634772510296,17.1455230788048 61.3598027648923,17.1374445358067 61.3568273489528,17.1283134145473 61.3546651361788,17.1184800533331 61.3533990479333,17.1083215441856 61.3530776333461,17.0982273626892 61.353713219668,17.0885845388406 61.3552814422596,17.079762917872 61.3577221717196,17.0721010571677 61.3609418039082,17.0658932845935 61.3648168279958,17.0613784050934 61.3691985398198,17.0587304868176 61.3739187244353,17.0580520863344 61.3787960943524,17.0593701861509 61.3836432400324,17.0626350190304 61.3882738280367,17.0677218453867 61.3925097708287,17.0744356360748 61.3961880913331,17.0825184976167 61.3991672153107,17.0916595652517 61.4013324452783,17.1015069864294 61.4026004005316,17.1116815286233 61.402922247705,17.1217912753577 61.4022855936903,17.1314468269652 61.4007149656737,17.140276400526 61.3982708592616,17.1479402279486 61.3950473927049,17.1541436819575 61.3911686605812,17.1586486150758 61.3867839315675,17.1612824734009 61.3820618799477,17.1619448408619 61.3771840774453)))', 'SESRS', 'Skärså', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6618143314537 56.2678549469623,12.6612501691774 56.2629734530605,12.6589860036738 56.2582469802221,12.6551094122681 56.2538570796455,12.6497697733969 56.2499723141979,12.6431724649363 56.2467418017451,12.6355709446938 56.2442895107204,12.6272570214299 56.2427095231893,12.6185496885275 56.2420624433368,12.6097829421588 56.2423730857647,12.6012930404283 56.2436295298204,12.5934056788162 56.2457835750994,12.5864235599773 56.2487525810085,12.5806148225354 56.2524226216238,12.5762027642031 56.2566528377763,12.5733572499414 56.2612808230606,12.5721881368879 56.2661288409034,12.5727409758418 56.2710106374455,12.574995166111 56.2757385910862,12.5788646490075 56.280130925189,12.5842011283018 56.2840187064048,12.590799707137 56.2872523577448,12.5984067343053 56.2897074329083,12.6067295626681 56.2912894259696,12.6154478431213 56.2919374274193,12.6242259128249 56.2916264823506,12.6327257897967 56.2903685574904,12.6406202599149 56.2882120786829,12.6476055383196 56.2852400570043,12.6534130053743 56.2815668775024,12.6578195567741 56.2773338772132,12.6606561659399 56.2727038864011,12.6618143314537 56.2678549469623)))', 'SESRT', 'Skäret', 'Y'),('SRID=4326;MULTIPOLYGON(((17.8482936560616 58.9989463603564,17.8469641542791 58.9941056246505,17.8438307883078 58.9894916788542,17.8390145702174 58.985281705101,17.8327009484773 58.9816373129085,17.8251326261927 58.9786983556211,17.8166002231262 58.9765775861195,17.8074311419536 58.975356352589,17.7979770613096 58.975081495395,17.7886005248769 58.9757635608329,17.7796611261495 58.9773763983122,17.7715018020616 58.9798581560813,17.7644357451613 58.9831136386247,17.758734423484 58.9870179380901,17.7546171600313 58.9914212042631,17.7522426704457 58.9961543743517,17.7517028891384 59.00103564678,17.7530193323688 59.0058774537385,17.7561421537912 59.0104936666902,17.7609519466472 59.0147067583482,17.7672642406531 59.018354644523,17.7748365348431 59.0212969399431,17.7833776047714 59.0234203835269,17.7925587283118 59.0246432199839,17.8020263934861 59.0249183649168,17.8114159884862 59.0242352282247,17.8203659317661 59.022620123587,17.8285316810785 59.0201352479103,17.8355990656951 59.016876271384,17.8412964154517 59.0129686337876,17.8454050120389 59.0085626935355,17.8477674592667 59.003827920523,17.8482936560616 58.9989463603564)))', 'SESRU', 'Sorunda', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6260197067345 56.4244181133663,16.6249471049014 56.4195622532203,16.6221863706611 56.4149156188377,16.6178441196608 56.4106566676109,16.6120875535547 56.4069489123032,16.6051379843398 56.403934661148,16.5972623159101 56.4017295761998,16.5887628121811 56.4004182549285,16.579965541136 56.4000510008516,16.5712079297806 56.400641904029,16.5628258952959 56.4021683031242,16.5551410320506 56.4045716491737,16.5484483323138 56.4077597389399,16.5430049005152 56.4116102345415,16.5390200870475 56.4159753376883,16.5366474185602 56.4206874430067,16.5359786385091 56.4255655572258,16.5370400959569 56.4304222408583,16.5397916343624 56.4350708077256,16.5441280380601 56.4393325062327,16.5498829955958 56.4430434053683,16.5568354398657 56.4460607182798,16.5647180292773 56.4482683167878,16.5732274462591 56.4495812207552,16.5820361136235 56.4499488857127,16.5908048693759 56.4493571590478,16.5991960996992 56.4478288274653,16.6068868102409 56.4454227341333,16.6135811185353 56.4422315005385,16.6190216752672 56.4383779431818,16.6229995677492 56.4340103264777,16.6253623229902 56.4292966384655,16.6260197067345 56.4244181133663)))', 'SESRV', 'Skärlöv', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7999563983523 57.9853441125182,16.7988102329432 57.9804913430627,16.7959044245085 57.9758505391353,16.7913512172273 57.9715999263509,16.7853259515 57.9679026867955,16.778060270711 57.964900713391,16.7698332049603 57.9627091859071,16.7609604765142 57.9614121726766,16.7517824335949 57.9610594227954,16.742651066053 57.9616644686147,16.7339165874977 57.9632041092842,16.7259140830427 57.9656192946502,16.7189507197002 57.9688173767057,16.71329399765 57.972675644764,16.7091614854301 57.9770460123206,16.7067124311707 57.9817606798613,16.7060415763813 57.9866385602637,16.7071754200335 57.9914922233787,16.710071090912 57.9961350951374,16.714617888188 58.0003886351167,16.7206414473278 58.0040892155925,16.7279103847629 58.0070944350182,16.7361451746015 58.0092886194465,16.7450289186559 58.0105872960481,16.7542195916756 58.0109404624937,16.7633632809884 58.0103345230135,16.7721078971043 58.0087928145101,16.7801168115567 58.0063747019466,16.7870818814713 58.0031732789699,16.7927353468613 57.9993117648918,16.796860134989 57.9949387403936,16.7992981736479 57.9902224094842,16.7999563983523 57.9853441125182)))', 'SESSK', 'Stora Askö', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0211620334323 59.5867520844338,19.0205032507436 59.581873993915,19.0179811723136 59.5771547829436,19.0136934217678 59.5727757087963,19.0078052694204 59.5689048969407,19.000543206081 59.5656909044244,18.9921862071134 59.563257040734,18.9830550272316 59.5616966598402,18.9734999349838 59.5610695996893,18.9638873490066 59.5613999018804,18.9545858749252 59.5626748962526,18.9459522616096 59.5648456842804,18.9383177980838 59.5678290032276,18.931975657702 59.5715104016875,18.9271696644901 59.5757486081354,18.9240849083128 59.5803809291176,18.9228405716825 59.5852294743031,18.9234852529368 59.5901079733089,18.9259949801392 59.5948289252986,18.9302740100246 59.5992108079416,18.9361583999215 59.6030850682031,18.9434222318229 59.6063026240474,18.9517862611215 59.6087396235032,18.9609286628014 59.6103022352074,18.9704974598961 59.6109302815922,18.9801241473269 59.6105995709132,18.9894379726458 59.6093228355198,18.9980803066166 59.607149238993,19.005718532576 59.6041624716383,19.0120589043768 59.6004775098512,19.0168578672478 59.5962361676408,19.019931401632 59.5916016158515,19.0211620334323 59.5867520844338)))', 'SESSN', 'Salskären', 'Y'),('SRID=4326;MULTIPOLYGON(((17.457759822866 60.65007732451,17.4564142513126 60.6452337767072,17.4531707475331 60.6406121172932,17.4481546372182 60.6363898188831,17.4415591059202 60.632728954246,17.4336377115895 60.6297699965274,17.4246946262695 60.6276264531491,17.4150729840195 60.6263805347163,17.405141777156 60.6260800206871,17.3952817918223 60.626736438479,17.3858711058441 60.6283246236853,17.377270686324 60.630783677819,17.3698106212433 60.6340192881843,17.363777498515 60.6379073238124,17.3594034077363 60.6422985735769,17.3568569849144 60.6470244492796,17.3562368497086 60.6519034392546,17.3575676997755 60.6567480683136,17.3607992298464 60.6613720989379,17.3658079371182 60.665597697518,17.3724017630871 60.6692622888644,17.3803274094287 60.6722248324743,17.3892800567735 60.6743712750058,17.3989151153318 60.6756189644832,17.4088615502731 60.6759198518223,17.4187362571126 60.6752623527723,17.4281589168046 60.673671796352,17.436766739356 60.6712094420451,17.4442285097436 60.6679701049697,17.4502573804417 60.6640784834523,17.4546219091905 60.6596843345382,17.457154915716 60.654956687794,17.457759822866 60.65007732451)))', 'SESSR', 'Skutskär', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0068315457686 59.3587556512231,19.0061785778086 59.3538773619071,19.0036747797739 59.3491578199176,18.9994170619889 59.3447782962889,18.9935695332041 59.3409069353065,18.9863571201644 59.3376923169384,18.9780568922114 59.335257776537,18.9689874290174 59.3336966956145,18.9594966376447 59.3330689400434,18.9499484779935 59.333398578505,18.9407090923236 59.3346729659822,18.9321328542794 59.3368432262432,18.9245488554392 59.3398261152948,18.9182483328049 59.343507196436,18.9134735090998 59.34774520852,18.9104082697644 59.3523774640209,18.9091710370479 59.3572260740923,18.909810123955 59.3621047654933,18.9123017609875 59.3668260303528,18.9165508892212 59.371208335346,18.9223947075879 59.3750831127505,18.929608854224 59.3783012624793,18.9379159958674 59.3807389115622,18.9469965003013 59.3823022052178,18.9565007795336 59.3829309407043,18.966062820256 59.382600900157,18.9753143669378 59.3813247898068,18.9838991945284 59.3791517481782,18.9914869037701 59.3761654427028,18.9977856927896 59.3724808302017,19.0025536027947 59.3682397094391,19.0056078008951 59.3636052412083,19.0068315457686 59.3587556512231)))', 'SESST', 'Svartskäret', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5686390001192 64.4097881755029,21.5674310525944 64.4049294016366,21.5640556837579 64.4002658567362,21.5586435585699 64.395976614806,21.5514032866715 64.3922262982514,21.5426133110902 64.3891587836249,21.5326111773477 64.3868917099335,21.5217805998293 64.3855119948735,21.5105368165687 64.3850725256917,21.4993107799476 64.3855901471485,21.4885327684345 64.3870450208228,21.4786160230004 64.3893813793817,21.4699410110817 64.39250964805,21.462840900924 64.3963098550218,21.4575887899951 64.4006362045759,21.4543871733255 64.4053226428069,21.4533600619176 64.4101892077188,21.4545480691161 64.4150489244161,21.4579066761487 64.4197149835773,21.4633077698846 64.4240079284257,21.4705444201249 64.4277625728212,21.4793387352147 64.4308343813374,21.4893525089892 64.433105061261,21.5002002549768 64.4344871458783,21.5114641213963 64.4349273871977,21.5227100983793 64.4344088229077,21.5335048717101 64.4329514349674,21.54343264858 64.4306113734853,21.5521112821201 64.427478776974,21.5592070527336 64.4236742761148,21.5644475236167 64.4193443203337,21.5676319718335 64.4146555125506,21.5686390001192 64.4097881755029)))', 'SESSV', 'Sundsviken', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7537218314335 59.2878497665865,18.7531062645576 59.282970410854,18.7506426261737 59.2782462274288,18.7464262834157 59.2738586678028,18.7406197582187 59.2699761868068,18.733446407377 59.266747792845,18.7251818065961 59.2642973509661,18.7161431744861 59.2627188532364,18.7066772407015 59.2620728335583,18.6971470155122 59.2623840606426,18.6879179549649 59.2636405948807,18.6793440358242 59.2657942440429,18.6717542573864 59.2687624007634,18.665440072994 59.2724311933907,18.6606442228931 59.2766598327039,18.6575513924772 59.2812859918918,18.6562810568647 59.2861320176707,18.6568827955177 59.2910117379624,18.6593342711797 59.295737607491,18.663541968379 59.3001279180712,18.6693446813892 59.304013796065,18.6765196337905 59.3072457159064,18.6847910060584 59.3096992757635,18.6938405486875 59.3112800088853,18.7033198709946 59.3119270410506,18.7128639244252 59.3116154494062,18.7221051477042 59.310357229062,18.7306877123991 59.3082008289425,18.7382813030076 59.3052292752225,18.744593885822 59.3015569567163,18.7493829644261 59.2973251994277,18.7524648843274 59.2926968048508,18.7537218314335 59.2878497665865)))', 'SEST3', 'Stavsnäs, Värmdö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7923702115782 57.5303500209751,16.7912405669515 57.5254967632052,16.7883731466025 57.5208552578765,16.7838787024874 57.516603759608,16.7779303061244 57.5129054874182,16.7707566441577 57.5099023772285,16.7626332161152 57.5077096557188,16.7538717746708 57.5064114397508,16.744808409984 57.5060575263022,16.735790726179 57.506661492867,16.7271645887859 57.5082001791993,16.7192609364365 57.5106145697827,16.7123831480228 57.5138120442585,16.7067954379107 57.5176699119752,16.7027127169723 57.5220400985841,16.7002923067909 57.5267548088709,16.6996278294656 57.5316329523967,16.7007455175415 57.5364870884625,16.7036030998463 57.5411306256902,16.708091322176 57.545385000123,16.7140380602243 57.549086554873,16.7212148798135 57.552092854279,16.7293458006993 57.5542881861316,16.7381179294913 57.5555880361673,16.7471935489763 57.5559423586361,16.7562231893452 57.5553375137741,16.7648591647867 57.5537967955402,16.7727690389142 57.5513795287901,16.7796484856281 57.5481787717533,16.7852330381044 57.5443177148216,16.7893082661953 57.5399449178725,16.7917179890366 57.5352285735203,16.7923702115782 57.5303500209751)))', 'SEST4', 'Strupö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1880208166036 57.2810384234379,12.1875075991636 57.2761560155016,12.1852460622621 57.271421626795,12.1813237260543 57.2670171124181,12.1758917631368 57.2631115935435,12.1691591224366 57.259854979794,12.1613844689776 57.2573722352662,12.1528662538249 57.2557586044555,12.143931294192 57.2550759772695,12.1349222950446 57.2553505290027,12.1261847794537 57.25657172319,12.1180539147681 57.2586927143349,12.1108417250615 57.2616321353633,12.1048251672188 57.2652772030466,12.1002355187156 57.2694880253002,12.0972494801487 57.2741029489056,12.0959823358314 57.2789447464355,12.0964834426424 57.2838274084726,12.0987342327166 57.2885632829374,12.1026488220041 57.2929702885372,12.1080772173074 57.2968789248337,12.114811012839 57.3001388076053,12.1225913677655 57.3026244750764,12.1311189630269 57.3042402377593,12.1400655533725 57.3049238811878,12.1490866631634 57.3046490753532,12.1578349255897 57.3034263954054,12.1659735371926 57.3013029130351,12.1731892945012 57.2983603745832,12.1792046974981 57.2947120378783,12.1837886445256 57.2904982926837,12.1867653029868 57.2858812372087,12.1880208166036 57.2810384234379)))', 'SEST5', 'Stavder', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4621545625238 58.1510981865045,11.4609127044714 58.1462523627467,11.4579073138689 58.1416276842083,11.4532544576311 58.1374017519274,11.4471332947378 58.1337367958713,11.4397791379106 58.130773466446,11.4314743987591 58.1286254585417,11.422537766102 58.1273751702812,11.4133120285441 58.1270705590659,11.4041509987041 58.1277233123272,11.3954060268296 58.1293084012054,11.3874126053598 58.1317650338836,11.3804775630514 58.1349989732269,11.3748673276125 58.1388861324668,11.3707976996985 58.1432773146566,11.3684255292659 58.1480039181775,11.3678426187148 58.1528843932984,11.3690720975591 58.1577312051295,11.3720674227029 58.1623580375191,11.3767140596057 58.1665869615254,11.3828337961269 58.1702552917184,11.3901915367004 58.1732218640106,11.3985043241269 58.1753724898144,11.4074522443116 58.1766243724549,11.4166907902239 58.1769293118002,11.425864199286 58.176275570464,11.4346192366228 58.1746883277317,11.442618877419 58.1722287033256,11.4495553460836 58.1689913898448,11.4551619977622 58.1651009877396,11.4592235773975 58.1607071876531,11.4615844603113 58.1559789897547,11.4621545625238 58.1510981865045)))', 'SEST6', 'Stocken', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1813183023231 58.9991950651618,11.1800823326804 58.9943470651443,11.1770379157338 58.9897165829548,11.1723026567451 58.9854814404418,11.1660589089939 58.9818042169575,11.1585467085213 58.9788260281352,11.1500545358872 58.9766611329995,11.1409082619761 58.9753925720837,11.1314586977512 58.9750689997833,11.1220682153544 58.9757028291124,11.1130969391564 58.9772697579671,11.1048890197497 58.979709694604,11.0977595012053 58.9829290480442,11.0919822722133 58.9868042982391,11.0877795552908 58.9911867128077,11.0853133356994 58.9959080336399,11.0846790641041 59.0007869192551,11.0859018858849 59.0056358989533,11.0889355575459 59.010268573769,11.0936641096968 59.0145067880467,11.0999062101152 59.0181874947864,11.1074220735555 59.021169048061,11.1159226618074 59.0233366766383,11.1250808227858 59.0246069238424,11.1345439358274 59.0249308785553,11.1439475661018 59.0242960695438,11.1529295875899 59.0227269480599,11.1611442138251 59.0202839396556,11.1682753796845 59.0170611029592,11.1740489456932 59.0131824883135,11.1782432469935 59.0087973403065,11.1806975795268 59.0040743331887,11.1813183023231 58.9991950651618)))', 'SEST7', 'Stensvik', 'Y'),('SRID=4326;MULTIPOLYGON(((23.1515441051797 65.7371589324958,23.149976570199 65.7323163174028,23.1461440969047 65.727692497572,23.140194984755 65.7234649985151,23.1323584908113 65.7197960484329,23.1229359233512 65.7168263792278,23.1122890395235 65.7146698583537,23.1008261962732 65.7134091517127,23.0889867785875 65.7130925784058,23.0772244850773 65.7137322734413,23.0659900873576 65.715303726049,23.0557142963426 65.7177467106443,23.0467913652952 65.7209675763189,23.0395640362747 65.724842810641,23.0343103936599 65.7292237461269,23.0312331260396 65.7339422345779,23.0304516167659 65.7388170771276,23.0319971852092 65.7436609677432,23.0358116874562 65.7482876863961,23.0417495599751 65.7525192662563,23.0495832568418 65.7561928578593,23.0590118956185 65.7591670226733,23.0696727948625 65.761327208828,23.0811554639115 65.7625901924144,23.0930174994745 65.7629073076856,23.1048017595639 65.7622663371242,23.116054128343 65.760691985688,23.126341158964 65.7582449202836,23.1352668870414 65.7550194130868,23.1424881447035 65.7511396831591,23.1477277718899 65.7467550823989,23.1507852137363 65.7420343170083,23.1515441051797 65.7371589324958)))', 'SEST8', 'Storöhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3958139021493 61.8960905889884,17.394419112044 61.8912474722177,17.3910494372419 61.8866257342834,17.3858351183294 61.882402844293,17.3789769998234 61.8787408881945,17.3707387420467 61.8757803699463,17.361436672919 61.8736348459252,17.3514276719533 61.872386593622,17.3410955458839 61.8720834761401,17.3308364057834 61.872737119003,17.3210435884497 61.8743224668951,17.312092679787 61.8767787368422,17.3043271946791 61.8800117326632,17.2980454464783 61.883897434986,17.2934890999623 61.8882867333856,17.2908338449967 61.8930111239237,17.2901825551592 61.8978891581017,17.2915612077511 61.9027333994467,17.2949177411665 61.907357622907,17.3001239154743 61.9115839809771,17.306980126103 61.9152498597262,17.3152230031925 61.918214158008,17.3245355155797 61.9203627439695,17.3345591938612 61.9216128739663,17.3449079968115 61.9219163990323,17.3551832744484 61.9212616315929,17.3649892331751 61.9196737981707,17.3739482864283 61.9172140601403,17.3817156793873 61.9139771416677,17.3879928082522 61.9100876593134,17.3925387115025 61.9056952989776,17.3951792891663 61.9009690307495,17.3958139021493 61.8960905889884)))', 'SESTA', 'Stocka', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5770348645063 65.5093876404062,22.5755881806272 65.504538896725,22.5718913965003 65.4999003972177,22.5660875931892 65.4956502378378,22.5584004535843 65.4919515229359,22.5491255686926 65.4889461317949,22.5386190516004 65.4867493058521,22.5272839005414 65.4854452586133,22.5155546276926 65.4850839711289,22.5038807268147 65.4856792913823,22.4927095899887 65.4872084075901,22.4824695011534 65.4896127148319,22.4735533317915 65.4928000432153,22.466303541947 65.4966481655726,22.4609990479339 65.5010094550801,22.4578444569862 65.5057165197949,22.4569620894749 65.5105886034492,22.458387112544 65.5154385113992,22.4620659972412 65.5200797987013,22.4678583875261 65.5243339449867,22.4755423380429 65.528037238936,22.484822743304 65.5310471041481,22.4953426498059 65.5332476180483,22.5066970209015 65.5345540056715,22.5184484183326 65.5349159296635,22.5301439800617 65.5343194451383,22.5413330163307 65.5327875411297,22.5515845181699 65.5303792469767,22.5605038765751 65.5271873395441,22.5677481460091 65.5233347431188,22.5730392505991 65.51896976566,22.5761746215325 65.5142603605665,22.5770348645063 65.5093876404062)))', 'SESTB', 'Storbrändön', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8640271629785 58.0659506147211,11.8627342559591 58.0611091469228,11.8596846926793 58.0564943233847,11.8549962278135 58.052283364341,11.8488493776546 58.048637923379,11.8414804313175 58.0456979012447,11.8331723599951 58.0435760986512,11.8242439751042 58.0423539091606,11.8150377469761 58.0420782134553,11.8059067415139 58.042759590996,11.7972011620445 58.044371915788,11.7892549969117 58.04685335144,11.782373269927 58.0501087086283,11.776820370685 58.054013077225,11.7728099052469 58.058416597436,11.7704964554907 58.0631501910073,11.7699695685743 58.0680320364808,11.7712502180594 58.0728745430608,11.7742898874906 58.0774915571539,11.7789723284414 58.0817055250345,11.7851179417077 58.0853543350477,11.7924906264834 58.0882975735401,11.8008068424352 58.0904219501369,11.8097465382011 58.0916456794066,11.8189655214696 58.0919216462489,11.8281087844797 58.091239229925,11.836824257801 58.0896247145751,11.8447764468399 58.0871402700837,11.8516594107013 58.0838815438436,11.8572085714912 58.0799739588904,11.8612108922967 58.0755678646791,11.8635130311867 58.070832731331,11.8640271629785 58.0659506147211)))', 'SESTE', 'Stenungsund', 'Y'),('SRID=4326;MULTIPOLYGON(((12.4835817624016 56.9159263854147,12.4830334168233 56.9110446747403,12.480754979534 56.9063152562169,12.4768346024612 56.901919793211,12.4714233671312 56.8980270596598,12.4647294144523 56.8947864757004,12.45700991727 56.8923223922221,12.4485612084718 56.8907293399297,12.4397074422697 56.8900684212794,12.4307882169119 56.8903649802038,12.4221456223763 56.8916076364762,12.4141111959166 56.8937487205657,12.4069932713313 56.8967060926455,12.4010651944668 56.9003662778012,12.3965548480148 56.9045888001889,12.393635883661 56.9092115536164,12.3924210000502 56.9140570063829,12.3929575322156 56.9189390057065,12.3952255340162 56.9236699230018,12.3991384422312 56.9280678667286,12.404546312401 56.9319636852827,12.4112415159351 56.9352074888636,12.4189666895593 56.9376744364239,12.4274246362013 56.9392695612276,12.4362897952702 56.939931445297,12.4452208340544 56.9396345977228,12.4538738640863 56.9383904426762,12.4619157594006 56.9362468778633,12.4690370491342 56.9332864207792,12.4749638751299 56.9296230160025,12.4794685451324 56.925397629535,12.4823782716457 56.9207728035988,12.4835817624016 56.9159263854147)))', 'SESTF', 'Stafsinge', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2578350635692 59.3651634896864,17.2565737303055 59.3603166262807,17.2534850933925 59.355688453928,17.2486884716858 59.3514567034419,17.2423685844428 59.3477838209878,17.2347683939595 59.3448107524102,17.2261797548441 59.3426515573178,17.2169322312827 59.3413890552661,17.2073805069672 59.3410716668951,17.1978908601361 59.3417115678074,17.1888272075274 59.3432842239199,17.1805372354342 59.3457293256521,17.1733391332543 59.3489530863597,17.1675094249635 59.3528318195909,17.1632723571109 59.3572166617675,17.1607912488563 59.3619392634271,17.1601621412768 59.3668182347962,17.1614100012177 59.3716661016542,17.1644876415319 59.3762965064558,17.1692774174951 59.380531378518,17.1755956520546 59.3842077964442,17.1831996345244 59.3871842761467,17.1917969330043 59.3893462387035,17.2010566649994 59.3906104432371,17.2106222881924 59.3909282099194,17.2201254083627 59.3902873055531,17.2292000575749 59.3887124169885,17.2374968754018 59.3862641936774,17.2446966302467 59.3830368974969,17.2505225465346 59.3791547531425,17.2547509550181 59.3747671435046,17.2572198548487 59.3700428393659,17.2578350635692 59.3651634896864)))', 'SESTH', 'Stallarholmen', 'Y'),('SRID=4326;MULTIPOLYGON(((22.2981319394294 65.5484978852901,22.2967348230443 65.5436464556523,22.2930819467972 65.5390011405339,22.2873147152017 65.5347402997862,22.2796554185502 65.5310274492765,22.2703985907695 65.5280050114529,22.259899662048 65.5257888817022,22.2485613464791 65.5244640133079,22.236818280646 65.52408118481,22.2251204860602 65.5246550691487,22.2139162659667 65.5261636756954,22.2036351649351 65.5285491857221,22.1946716177254 65.5317201506554,22.1873698921696 65.5355549722123,22.1820108893683 65.5399065358467,22.1788013037508 65.5446078254273,22.1778655662363 65.5494783092798,22.1792408972076 65.5543308571,22.1828756844023 65.5589789251227,22.1886312771979 65.5632437343933,22.1962871572085 65.5669611648738,22.2055493106696 65.5699880968578,22.2160614966153 65.5722079507625,22.2274189826631 65.5735352063345,22.2391842136935 65.5739187216063,22.250903793735 65.5733437190821,22.2621261028952 65.571832359625,22.2724188427051 65.5694428810698,22.2813858065108 65.5662673361637,22.2886822063443 65.5624280204493,22.2940279519071 65.5580727326671,22.2972183670673 65.5533690559145,22.2981319394294 65.5484978852901)))', 'SESTM', 'Luleå-Strömören', 'Y'),('SRID=4326;MULTIPOLYGON(((18.1197562723105 59.3290873043214,18.1192310972062 59.3242058254143,18.1168530116695 59.3194704765372,18.1127141055911 59.3150631426566,18.1069739402917 59.3111530415062,18.0998533400344 59.307890244051,18.0916258707194 59.305399936554,18.0826073384781 59.3037776403126,18.0731437099016 59.3030855681335,18.0635979095188 59.3033502534308,18.0543359878224 59.3045615400512,18.0457131739871 59.3066729702125,18.0380603311328 59.3096035560022,18.0316713185134 59.3132408684492,18.0267917345894 59.3174453289747,18.0236094680748 59.3220555427155,18.0222474216247 59.326894473408,18.0227586961798 59.3317762267097,18.0251244350302 59.336513184351,18.0292544279541 59.3409232164462,18.0349904705784 59.3448366944836,18.0421123662835 59.3481030333981,18.050346351953 59.3505965077717,18.0593756294019 59.3522211141779,18.0688525961779 59.3529142881078,18.0784122971285 59.3526493284153,18.0876865655217 59.351436433028,18.0963182925078 59.3493223046488,18.1039752580213 59.3463883419703,18.1103629751742 59.3427474880646,18.1152360427332 59.3385398606653,18.118407564044 59.3339273367628,18.1197562723105 59.3290873043214)))', 'SESTO', 'Stockholm', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8084466688559 57.615976019926,11.8071790512316 57.611133480484,11.8041760844906 57.6065166459907,11.799553716954 57.6023028163672,11.7934899159709 57.5986537586263,11.7862177784144 57.5957095158462,11.7780165627123 57.5935830540016,11.7692009885204 57.5923559480293,11.7601092104328 57.592075268778,11.7510899175281 57.5927517871715,11.7424890401707 57.5943595626259,11.7346365587631 57.5968369311834,11.7278339058353 57.6000888567131,11.7223424330091 57.6039905576229,11.7183733783008 57.6083922735652,11.7160797175985 57.6131249932894,11.7155502180533 57.6180069276776,11.7168059321438 57.6228504825594,11.7197992814922 57.6274694653762,11.7244157819378 57.6316862491449,11.7304783593446 57.6353386171114,11.737754103121 57.6382860222456,11.745963205828 57.6404150171329,11.7547897470852 57.641643641203,11.7638939026605 57.6419245924902,11.772925099112 57.6412470586555,11.7815355938651 57.6396371348747,11.7893939423554 57.6371568121697,11.7961978188446 57.6339015764139,11.801685685438 57.6299967131515,11.8056468531383 57.6255924641692,11.8079295467836 57.6208582263494,11.8084466688559 57.615976019926)))', 'SESTR', 'Sandvik, Styrsö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.535227460873 58.2080706287841,11.5339734720107 58.2032256492426,11.5309536229614 58.1986028414408,11.5262845372684 58.1943797338084,11.5201459972872 58.1907184471099,11.5127739819552 58.1877594902502,11.5044515865764 58.1856163898313,11.4954981752633 58.1843713554071,11.4862571780529 58.1840721427718,11.4770829909937 58.1847302324143,11.4683274677943 58.1863203910705,11.4603265053661 58.1887816328103,11.4533872225597 58.1920195440284,11.4477762116057 58.1959098858112,11.4437093055525 58.2003033391635,11.4413432529825 58.2050312151662,11.4407696245608 58.2099119148946,11.4420111960973 58.2147578943057,11.4450209619587 58.2193828685664,11.4496838336751 58.2236089794239,11.4558209749142 58.2272736489004,11.463196619688 58.230235853094,11.471527120146 58.232381571025,11.4804918782515 58.2336281946466,11.4897457365194 58.233927726223,11.4989323409184 58.2332686367093,11.5076979473093 58.2316763115914,11.5157051237054 58.229212066624,11.5226458052379 58.2259707726272,11.5282531867361 58.2220771835121,11.5323119877064 58.2176811126506,11.5346666934927 58.2129516474529,11.535227460873 58.2080706287841)))', 'SESTT', 'Stätten', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1628256962517 61.3051842700986,17.1614951829924 61.3003381387865,17.158225226157 61.2957098965751,17.1531422069833 61.2914772674829,17.1464419110097 61.2878027174697,17.1383819363495 61.2848272401299,17.1292717780007 61.2826649714244,17.1194609716227 61.2813988353897,17.1093257466484 61.2810773833268,17.0992546886466 61.281712944021,17.0896339436483 61.2832811536582,17.0808325122354 61.2857218829445,17.0731881783343 61.2889415271859,17.0669945969018 61.2928165744423,17.0624900262828 61.2971983190258,17.05984813553 61.3019185442062,17.0591712453961 61.3067959605973,17.0604862755515 61.3116431567774,17.063743572046 61.3162737975262,17.0688186810627 61.3205097936703,17.0755170213155 61.3241881666479,17.0835812924372 61.3271673408529,17.0927013453371 61.3293326175097,17.1025261380014 61.3306006146477,17.112677311709 61.330922497629,17.1227638528361 61.3302858720648,17.1323972581814 61.3287152638864,17.1412065997387 61.3262711675446,17.1488528893366 61.3230477003379,17.1550421742861 61.3191689562184,17.1595368503479 61.3147842036875,17.1621647548272 61.3100621174071,17.1628256962517 61.3051842700986)))', 'SESTU', 'Stugsund', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2157140952324 56.1489300468358,15.2148277658486 56.1440622051918,15.212257802244 56.1393843848278,15.2081034984867 56.1350762513337,15.2025248550521 56.131303214734,15.1957363766112 56.1282100955832,15.1879988106018 56.1259155862245,15.1796091467525 56.124507716021,15.1708892588047 56.1240404908083,15.16217361658 56.1245318323272,15.1537965282582 56.1259628945784,15.1460793886363 56.1282787826043,15.1393184089463 56.1313906469001,15.1337732875122 56.1351790752612,15.1296572484303 56.1394986551395,15.1271288281883 56.1441835352083,15.1262857287233 56.1490537764426,15.1271609813542 56.1539222520731,15.1297215813397 56.1586018335476,15.1338696601368 56.1629125871638,15.1394461649649 56.1666887040076,15.1462369167391 56.1697848945856,15.1539808219296 56.1720819989574,15.1623799257261 56.1734915926922,15.1711109172398 56.1739594075618,15.1798376362292 56.1734674320555,15.1882240881748 56.1720346086915,15.1959474527519 56.1697161005413,15.2027105710365 56.1666011560005,15.2082534191256 56.1628096562132,15.2123631190215 56.1584874813241,15.2148820993214 56.1538008777263,15.2157140952324 56.1489300468358)))', 'SESTX', 'Saltärna', 'Y'),('SRID=4326;MULTIPOLYGON(((11.1651889373471 58.906201825516,11.1639588446628 58.9013535726594,11.1609250435596 58.8967225866474,11.1562047277385 58.8924867092383,11.1499796741893 58.8888085487229,11.1424892003869 58.8858292574848,11.1340209536854 58.8836631375849,11.1248998888776 58.8823932771238,11.1154758526419 58.8820683806911,11.1061102410189 58.8827009121548,11.0971622272248 58.8842666189751,11.0889750714974 58.8867054558255,11.0818630220202 58.8899238732958,11.0760992963366 58.8937983865659,11.0719055963205 58.8981802909015,11.0694435573607 58.9029013472976,11.0688084649735 58.9077802241796,11.0700254911429 58.9126294512126,11.0730486104589 58.9172626202377,11.0777622554248 58.9215015571533,11.08398566463 58.9251831878869,11.0914797709399 58.9281658317459,11.0999563739873 58.9303346762629,11.1090892468027 58.9316062185384,11.1185267450433 58.9319314979412,11.1279054231967 58.9312979922994,11.1368641187824 58.9297301024629,11.1450579453559 58.9272882061033,11.1521716391596 58.924066318414,11.1579317323202 58.9201884525247,11.1621170759859 58.915803823575,11.1645673069474 58.9110810853673,11.1651889373471 58.906201825516)))', 'SESTY', 'Styrsö, Strömstad', 'Y'),('SRID=4326;MULTIPOLYGON(((19.2053122313053 59.6856836880379,19.2046250104895 59.6808064710017,19.2020698321771 59.6760907283743,19.1977455942036 59.6717175824158,19.1918189682921 59.6678549292043,19.1845179201283 59.6646510110792,19.1761229172957 59.6622287497726,19.1669561676318 59.6606810534463,19.1573692989836 59.6600672733056,19.1477299443818 59.6604109418714,19.1384077332973 59.6616988769398,19.1297602092877 59.6638816844081,19.1221191967055 59.6668756412124,19.1157781241913 59.6705658883186,19.1109807806583 59.6748108147601,19.1079119309117 59.6794474687791,19.1066901538347 59.6842977928132,19.1073631876001 59.6891754468551,19.1099059755925 59.6938929609183,19.1142215062881 59.6982689430584,19.1201444335689 59.702135065415,19.1274473548362 59.7053425575033,19.1358495173475 59.7077679534873,19.1450276232713 59.7093178679784,19.1546283158719 59.7099326120753,19.1642818575432 59.7095885065029,19.1736164589576 59.7082987999958,19.1822726902399 59.7061131563426,19.1899174014353 59.7031157303915,19.1962566008268 59.6994219093231,19.2010467846712 59.6951738482071,19.2041042781632 59.6905349760264,19.2053122313053 59.6856836880379)))', 'SESU2', 'Sundskär', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6751949034703 57.3893939638778,16.6740854369515 57.3845394501963,16.6712441423068 57.3798950480478,16.6667807640874 57.3756391247104,16.660867179202 57.3719350705916,16.653730738501 57.3689250449423,16.645645515563 57.3667245409586,16.6369218010794 57.3654179748474,16.6278942424327 57.3650554642166,16.6189090745507 57.365650916194,16.6103109189327 57.367181496617,16.6024296423124 57.3695885001422,16.5955677644874 57.372779588956,16.5899888864259 57.3766323166691,16.5859075751667 57.3809988056975,16.583481091907 57.3857114026492,16.5828032850702 57.3905890985564,16.5839008926124 57.3954444706715,16.5867324094772 57.4000908812444,16.591189579691 57.4043496572329,16.5971014714591 57.4080569739399,16.6042409916961 57.4110701754151,16.6123335979947 57.4132732849715,16.6210678756147 57.4145814897267,16.6301075690303 57.4149444226037,16.639104595902 57.4143481121912,16.647712529304 57.4128155233414,16.6556000139227 57.4104056671626,16.6624635848507 57.4072113157599,16.6680393833631 57.4033554122221,16.6721133112576 57.3989863176237,16.6745292313881 57.3942720820304,16.6751949034703 57.3893939638778)))', 'SESU3', 'Sundsnäs', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5920907284634 58.846043357788,17.5908034268518 58.8411996087812,17.5877184122158 58.8365790386825,17.5829548366697 58.8323590865519,17.5766961279763 58.8287017474077,17.5691828850809 58.8257473735465,17.5607036200615 58.8236093108636,17.5515837040159 58.8223695717479,17.5421729365889 58.8220757064879,17.5328322056918 58.8227389899279,17.5239197345731 58.8243339909455,17.5157774272327 58.8267995408795,17.5087178200047 58.8300410650331,17.5030121269891 58.8339341905538,17.4988798302094 58.8383294960628,17.4964802125353 58.8430582250485,17.4959061636064 58.8479387478354,17.4971805077906 58.852783527343,17.5002550108001 58.8574063231187,17.5050121208197 58.861629357264,17.5112693944064 58.8652901655524,17.5187864511007 58.8682478675419,17.5272741982115 58.8703886106591,17.5364059733204 58.871629974443,17.5458301713455 58.8719241612632,17.5551838596852 58.8712598473208,17.5641068424343 58.8696626206232,17.5722556152916 58.8671939886718,17.5793166576089 58.8639489953732,17.5850185368106 58.860052541726,17.5891423514949 58.8556545557857,17.5915301101152 58.8509242021345,17.5920907284634 58.846043357788)))', 'SESUK', 'Stora Uttervik', 'Y'),('SRID=4326;MULTIPOLYGON(((15.7486307105502 56.0797374482363,15.7476788639882 56.0748736326493,15.7450491311175 56.070207080315,15.7408430936669 56.0659170207724,15.7352227284752 56.0621681676964,15.7284041311149 56.059104412022,15.720649195215 56.0568433189668,15.7122555696461 56.0554716363789,15.7035452761807 56.0550419830337,15.6948524165094 56.0555708408218,15.6865104285778 56.0570379258272,15.6788393674863 56.0593869617876,15.6721336853986 56.0625278271284,15.666650968023 56.0663399954227,15.6626020525908 56.0706771405241,15.6601429044835 56.0753727334352,15.6593685678142 56.0802464198323,15.6603094308433 56.0851109365275,15.6629299621842 56.089779303285,15.6671299809568 56.0940720143369,15.6727484266125 56.0978239523404,15.6795694958134 56.1008907567085,15.6873309186176 56.1031543980873,15.6957340585831 56.1045277406691,15.7044554454557 56.1049579129592,15.7131592886713 56.1044283540618,15.721510478137 56.1029594546309,15.7291875579012 56.100607767159,15.735895159513 56.0974638168899,15.7413754050365 56.0936485999029,15.7454178335601 56.0893089064802,15.7478674672761 56.0846116535773,15.7486307105502 56.0797374482363)))', 'SESUO', 'Sturkö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5209896990429 58.7710705342374,17.5197153398301 58.7662259362933,17.5166466437169 58.7616035053457,17.5119021338657 58.7573807527746,17.5056645051668 58.7537197820035,17.4981735479618 58.7507610855332,17.4897169208409 58.7486181757774,17.4806191288816 58.7473732514969,17.4712291258579 58.7470740620287,17.4619070058075 58.747732086325,17.4530102799896 58.7493220946631,17.4448802491731 58.7517831094406,17.4378289781191 58.7550207294587,17.4321273591025 58.7589107312544,17.4279947146588 58.7633038130863,17.4255903370787 58.768031303793,17.4250072945679 58.7729116214977,17.4262687530053 58.7777572374985,17.4293269700607 58.7823818799041,17.4340650179124 58.7866077006603,17.4403011854531 58.7902721292412,17.4477959047929 58.7932341467258,17.4562609445939 58.7953797351057,17.4653705190254 58.7966262878231,17.4747738805365 58.796925807626,17.4841089013774 58.7962667652712,17.4930161062571 58.7946745454722,17.5011525990637 58.7922104625069,17.5082053312587 58.7889693846783,17.5139031881255 58.78507606187,17.518027419885 58.780680301417,17.5204200150023 58.775951182276,17.5209896990429 58.7710705342374)))', 'SESV2', 'Sävö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7604015559757 58.3449859250868,11.7591114381858 58.3401435625137,11.7560501797016 58.3355265255894,11.7513359969821 58.3313121189363,11.7451504035078 58.327662127184,11.7377311813225 58.3247166239596,11.7293632323073 58.322588618357,11.7203676623461 58.321359740153,11.7110895128459 58.3210771253293,11.701884600229 58.3217516181841,11.6931059541148 58.3233573570819,11.6850903584102 58.325832759386,11.6781454962037 58.3290828690709,11.6725381792399 58.3329829796668,11.6684841061486 58.3373833972679,11.6661395411842 58.3421151650209,11.6655952380445 58.3469965333852,11.6668728529909 58.3518399309685,11.6699240001532 58.3564591701572,11.6746320024292 58.3606766110547,11.6808162872566 58.3643300070957,11.6882392718248 58.3672787663811,11.6966154814672 58.3694093841109,11.7056225526949 58.3706398328351,11.7149136931354 58.3709227374739,11.72413110861 58.3702472096072,11.7329198660495 58.3686392684421,11.7409416421886 58.3661608318912,11.7478878130256 58.3629073179169,11.7534913675924 58.3590039512616,11.757537180053 58.3546009215362,11.75987024376 58.3498675832655,11.7604015559757 58.3449859250868)))', 'SESV3', 'Svälte', 'Y'),('SRID=4326;MULTIPOLYGON(((21.7254864172885 65.2607251139678,21.7242101870335 65.2558682714866,21.7206982669358 65.2512090202356,21.7150866347046 65.2469262623157,21.7075916065156 65.2431843618332,21.6985014235912 65.2401268619615,21.6881651435927 65.2378710075708,21.6769792683608 65.2365032780154,21.6653726154337 65.236076095929,21.6537899981751 65.2366058336485,21.6426753175576 65.2380721907108,21.6324546873014 65.2404189653346,21.6235202130471 65.2435561915496,21.6162150255276 65.2473635632634,21.6108201274561 65.251695018715,21.6075435544387 65.2563843150159,21.6065122723996 65.261251384404,21.6077671391124 65.2661092328743,21.6112611475474 65.2707711193384,21.6168610468801 65.2750577405096,21.6243523071664 65.2788041441376,21.6334472608223 65.2818661014866,21.6437961238945 65.2841256890751,21.6550004788868 65.2854958592021,21.6666286948809 65.2859238176779,21.6782326757223 65.2853930739666,21.689365268018 65.2839240816854,21.6995976311536 65.2815734438047,21.7085358732682 65.2784317144421,21.7158362900156 65.2746198852537,21.721218604998 65.27028469661,21.724476698274 65.2655929597431,21.7254864172885 65.2607251139678)))', 'SESV4', 'Svartnäsudden', 'Y'),('SRID=4326;MULTIPOLYGON(((15.9366725480375 56.1176693415892,15.9356960225215 56.1128070998688,15.9330409629426 56.1081446771243,15.9288099230972 56.103861142899,15.9231658378465 56.1001209591377,15.9163257103512 56.0970676831306,15.9085522571192 56.094818477432,15.9001438342531 56.0934596336718,15.891423028596 56.0930432782923,15.8827243435758 56.0935853834958,15.8743814404428 56.0950651577054,15.8667144106738 56.0974258383173,15.8600175542997 56.1005768572275,15.8545481218119 56.1043972983046,15.8505164444224 56.1087405174234,15.8480778294535 56.1134397515623,15.8473265355389 56.1183145054127,15.8482920676773 56.1231774734186,15.8509379470352 56.1278417334266,15.8551630174207 56.132127936187,15.86080525277 56.1358712134955,15.8676479315557 56.1389275370973,15.8754279488615 56.1411792804693,15.883845949265 56.1425397656434,15.8925778878287 56.1429566162864,15.9012875662379 56.1424137847963,15.9096396495961 56.140932173321,15.9173126488195 56.1385688241717,15.9240113550829 56.1354147117136,15.9294782362689 56.1315912230429,15.9335033495803 56.1272454662529,15.9359323870174 56.1225445907023,15.9366725480375 56.1176693415892)))', 'SESVH', 'Svanhalla', 'Y'),('SRID=4326;MULTIPOLYGON(((12.7117960549789 56.2508366878333,12.7112257157447 56.2459553596311,12.7089563152633 56.2412297473294,12.7050756308624 56.2368413687856,12.699733196933 56.2329587282349,12.6931344974678 56.2297308618938,12.6855330426719 56.2272816366659,12.6772206381307 56.2257050170836,12.6685162187016 56.2250614782695,12.6597536689543 56.2253756991372,12.6512690865475 56.2266356218758,12.6433879637128 56.228792912668,12.6364127646872 56.2317648063398,12.6306113634662 56.2354372659837,12.6262067768975 56.2396693393112,12.6233685834714 56.2442985482632,12.6222063591569 56.2491471088758,12.6227653896656 56.2540287460382,12.6250248355396 56.2587558439148,12.6288984349483 56.2631466584832,12.6342377321273 56.2670323146462,12.640837720628 56.2702633170877,12.6484446940042 56.2727153214613,12.656766006518 56.2742939401344,12.6654813671533 56.2749383936404,12.6742552256387 56.2746238638118,12.6827497626596 56.2733624554963,12.6906379704834 56.2712027286771,12.6976163062484 56.2682278193918,12.7034164184213 56.264552223648,12.707815486403 56.2603173711769,12.7106447718596 56.2556861631364,12.7117960549789 56.2508366878333)))', 'SESVL', 'Svanshall', 'Y'),('SRID=4326;MULTIPOLYGON(((23.622664216004 65.7969718010821,23.6210045010035 65.7921344848932,23.6170788310093 65.7875229471488,23.6110390787949 65.7833142371519,23.6031179691272 65.7796698580755,23.5936200414872 65.7767295962884,23.5829099266733 65.7746061897346,23.5713983906894 65.773381034143,23.5595266735745 65.7731010862267,23.5477497061439 65.7737770781669,23.5365188233868 65.7753831091292,23.5262646091945 65.7778576289183,23.5173805030754 65.7811057777319,23.510207775542 65.7850029959654,23.5050224350831 65.7893997707247,23.5020245664282 65.794127342739,23.5013305179762 65.7990041602506,23.5029682571923 65.8038428366553,23.5068760987077 65.8084573474814,23.5129048839707 65.8126701908026,23.520823557839 65.8163192341861,23.5303279516704 65.8192639811646,23.5410524502566 65.8213910109638,23.5525840977968 65.8226183762471,23.5644785924444 65.8228987838947,23.5762775357007 65.8222214317352,23.5875262469473 65.8206124276847,23.5977914280647 65.8181337745657,23.6066779699353 65.8148809614436,23.6138442312358 65.8109792580223,23.6190151879118 65.806578860024,23.6219929450367 65.8018490783235,23.622664216004 65.7969718010821)))', 'SESVS', 'Säivisnäs', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6198200697063 57.0874161580894,16.6187276060144 57.0825608453949,16.6159170471582 57.0779148193543,16.6114969464756 57.073656511277,16.6056375120058 57.0699494052811,16.5985640130737 57.0669357800926,16.590548109147 57.0647312692213,16.5818974362749 57.0634204443343,16.5729438472768 57.0630535874471,16.5640307481107 57.063644772612,16.5555000035446 57.0651713287081,16.5476788998133 57.0675747034264,16.5408676500854 57.0707626963445,16.5353279103315 57.0746129778544,16.5312727388717 57.0789777623882,16.5288583831443 57.0836894605718,16.5281782131289 57.0885670972233,16.5292590439196 57.093423251966,16.5320600022981 57.098071257901,16.5364739965112 57.1023323822986,16.542331748176 57.1060427122818,16.5494082441622 57.1090594783021,16.5574313687306 57.1112665686862,16.5660923865557 57.112579019059,16.5750578698912 57.112946299939,16.5839826019712 57.1123542727247,16.592522947019 57.1108257367316,16.6003501572129 57.1084195456907,16.6071630897321 57.1052283287845,16.6126998324192 57.1013749064441,16.6167477832333 57.0970075424001,16.6191517940145 57.0922942187331,16.6198200697063 57.0874161580894)))', 'SESVT', 'Svartö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8268978748639 59.4088234420961,18.8262699855214 59.4039444440737,18.8237877432694 59.3992216172884,18.8195472349597 59.3948363600882,18.8137119136797 59.3909570376812,18.8065062426526 59.3877325359883,18.7982070368018 59.3852865695885,18.7891328395538 59.3837129580094,18.7796317408317 59.3830720472595,18.7700680953351 59.3833884100392,18.7608086370885 59.3846499100965,18.7522085062331 59.3868081653734,18.7445977068589 59.3897803926331,18.7382685002893 59.393452564896,18.7334642068652 59.3976837639587,18.7303698414746 59.4023115651925,18.7291049447061 59.4071582523371,18.7297188939685 59.4120376275786,18.7321888891339 59.4167621581832,18.7364207078562 59.4211501864125,18.7422522199599 59.425032925195,18.749459542138 59.428260968498,18.7577656080985 59.4307100625642,18.7668508300272 59.4322859117066,18.7763654395926 59.4329278292673,18.785943025188 59.4326110892678,18.7952147305311 59.4313478853884,18.8038235509693 59.4291868590792,18.8114381595032 59.4262112154423,18.8177657149032 59.42253550157,18.8225631482078 59.4183011748438,18.8256464889223 59.4136711360498,18.8268978748639 59.4088234420961)))', 'SESVU', 'Stavsudda', 'Y'),('SRID=4326;MULTIPOLYGON(((17.1290693164309 58.8192159709191,17.1278476182823 58.8143672648111,17.1248264785761 58.8097352987194,17.1201226014538 58.8054979527103,17.1139171307849 58.8018178922448,17.1064486319016 58.7988363434307,17.0980039098328 58.7966676956661,17.0889070189041 58.7953951345573,17.0795068812473 58.7950674685667,17.0701639791316 58.7956972677969,17.0612366171908 58.7972603842521,17.0530672650205 58.7996968715107,17.0459694880312 58.8029132697242,17.0402159548867 58.8067861709609,17.0360279736254 58.8111669318544,17.0335669563032 58.8158873569775,17.0329281447297 58.8207661389238,17.0341368491623 58.8256158112032,17.0371473598394 58.8302499490001,17.0418445907919 58.8344903416265,17.0480484099713 58.8381738598019,17.0555205034735 58.841158751014,17.0639735190248 58.8433301170144,17.0730821396929 58.8446043583693,17.0824956575978 58.8449324108137,17.0918515534448 58.8443016454105,17.1007895444191 58.842736357247,17.1089655427503 58.8402968233685,17.1160649712118 58.8370769674442,17.121814909722 58.8332007238112,17.1259945974965 58.8288172446848,17.1284438850882 58.8240951393183,17.1290693164309 58.8192159709191)))', 'SESVZ', 'Svärta', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9281840842058 57.3907684127303,18.9275712946445 57.385888597542,18.9252077861987 57.3811670750002,18.9211849932803 57.3767852003586,18.9156579378571 57.3729112205677,18.9088392071099 57.3696938308844,18.9009907558337 57.3672564879158,18.8924138527857 57.3656926934956,18.8834375552892 57.3650624263465,18.8744061470602 57.3653898548932,18.8656660093823 57.3666624164345,18.8575524147468 57.3688312968585,18.8503767345978 57.3718132929294,18.844414538826 57.3754939876346,18.8398950344165 57.3797321199107,18.836992244721 57.3843649849506,18.8358182701477 57.3892146618545,18.8364188970329 57.3940948331048,18.8387717360281 57.3988179365395,18.8427869770467 57.4032023762289,18.8483107478301 57.4070795147176,18.8551309612568 57.4103001758662,18.8629854368105 57.4127404050162,18.8715719885941 57.4143062609387,18.8805600903508 57.4149374510652,18.8896036612702 57.4146096664558,18.8983544684064 57.4133355240193,18.9064756149379 57.4111640785449,18.9136545797139 57.4081789237747,18.9196152927918 57.404494957605,18.9241287729162 57.4002539391497,18.9270219138799 57.3956190126102,18.9281840842058 57.3907684127303)))', 'SESYE', 'Sysne', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0781429743394 58.8712345304134,11.0769263941418 58.8663853487086,11.0739073450378 58.8617522131217,11.0692024538255 58.8575130487405,11.0629929058895 58.8538305907579,11.055517424955 58.8508461570655,11.0470630849763 58.8486742474245,11.0379543093115 58.8473981722181,11.0285404751377 58.8470668743917,11.0191825885512 58.8476930631541,11.0102395270462 58.8492527289635,11.00205436055 58.851686057924,10.9949412596604 58.8548997117042,10.9891734802135 58.8587703881891,10.9849728771027 58.863149530009,10.9825013480016 58.8678690045324,10.9818545403537 58.8727475414475,10.9830580742251 58.8775976841458,10.9860664415494 58.8822329900299,10.9907646417316 58.8864752036044,10.9969725080378 58.8901611254651,11.0044515727594 58.8931489103764,11.0129142163463 58.8953235483842,11.0220347512924 58.8966013137353,11.0314620101747 58.8969330061748,11.0408329431028 58.8963058564173,11.049786686392 58.8947440203077,11.0579785439093 58.8923076421512,11.0650933264114 58.8890905244921,11.0708575220557 58.8852164967898,11.0750498215538 58.8808346266062,11.0775095913825 58.8761134619408,11.0781429743394 58.8712345304134)))', 'SESYK', 'Syd-Koster', 'Y'),('SRID=4326;MULTIPOLYGON(((15.4036924323008 56.1308620651584,15.4027827911556 56.1259956014793,15.4001912535199 56.1213217170231,15.3960179395066 56.1170199250272,15.3904235761493 56.1132553911457,15.3836232678775 56.1101726090364,15.3758782127001 56.107889874204,15.3674856850273 56.1064947644186,15.3587676669262 56.106040796387,15.3500585562866 56.1065453837929,15.3416924118747 56.1079891729615,15.3339902109356 56.1103167809454,15.3272475946 56.1134389085219,15.3217235598461 56.1172357492199,15.3176305244716 56.1215615668058,15.3151261440825 56.1262502693477,15.3143071985249 56.1311217696783,15.3152057909849 56.1359888912306,15.3177880181984 56.1406645561286,15.3219551774788 56.1449689800793,15.327547478796 56.1487365967378,15.33435013165 56.1518224431216,15.342101581093 56.154107757218,15.3505035792468 56.1555045685865,15.3592327022485 56.1559591014694,15.367952861585 56.1554538561894,15.3763283164237 56.1540082865767,15.3840366720905 56.1516780466357,15.3907813504542 56.1485528362814,15.3963030406143 56.1447529313097,15.4003896817186 56.1404245344622,15.4028845916319 56.1357341303394,15.4036924323008 56.1308620651584)))', 'SESYV', 'Styrsvik', 'Y'),('SRID=4326;MULTIPOLYGON(((12.9938567942303 55.4177273138283,12.9932608993467 55.412846520409,12.9910030093024 55.4081256151646,12.9871704271126 55.4037459360172,12.9819108132562 55.3998756559942,12.9754264540747 55.3966633410866,12.9679664635206 55.3942322662968,12.9598172215971 55.3926757044561,12.9512914151019 55.3920533648856,12.9427160948062 55.3923891152671,12.934420196868 55.3936700717798,12.9267219944263 55.3958470913557,12.9199169476114 55.3988366475689,12.9142664065984 55.4025240199813,12.9099875931151 55.4067676774857,12.9072452415659 55.4114046910303,12.9061452226341 55.4162569717011,12.9067304012919 55.421138097964,12.9089788995069 55.4258604722436,12.9128048440835 55.4302425329709,12.9180615850599 55.434115744545,12.9245472734666 55.4373310946731,12.9320125929913 55.4397648462679,12.9401703523445 55.4413233189783,12.9487065680264 55.4419465125702,12.9572926045592 55.4416104293444,12.9655978943327 55.4403280037945,12.9733027343846 55.4381486026365,12.9801106540693 55.435156114871,12.9857598658457 55.4314657072387,12.9900333503525 55.4272193729314,12.9927671844751 55.4225804485192,12.9938567942303 55.4177273138283)))', 'SESZI', 'Höllviken', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5474611695984 63.8351877529672,20.5464545354836 63.8303208230655,20.5433178592814 63.8256340801517,20.5381726123766 63.8213075013583,20.5312171533126 63.8175071545951,20.5227190096582 63.8143788471247,20.5130045620449 63.8120425584513,20.5024465319851 63.8105878659678,20.4914497495864 63.8100705336403,20.4804357342303 63.8105103901234,20.4698266598612 63.811890574663,20.4600292962826 63.8141581785732,20.4514195186097 63.8172262586121,20.4443279587604 63.8209771478843,20.4390273357744 63.8252669416131,20.4357219462395 63.829930990861,20.4345397229854 63.8347901986146,20.4355271807941 63.8396578810428,20.4386474642142 63.8443469335214,20.4437815975101 63.8486770273085,20.4507329140875 63.8524815593697,20.4592345170407 63.855614085269,20.4689594990984 63.8579539832842,20.479533534978 63.859411126532,20.4905493578282 63.8599293779384,20.501582549524 63.859488768927,20.5122080166902 63.8581062748178,20.522016493865 63.8558351559089,20.5306304139918 63.8527628905699,20.5377185145087 63.8490077828706,20.5430086030354 63.8447143798048,20.5462979867631 63.8400478797976,20.5474611695984 63.8351877529672)))', 'SETAF', 'Täfteå', 'Y'),('SRID=4326;MULTIPOLYGON(((17.280773771603 61.2761394931948,17.2794264282428 61.2712945892501,17.2761422899314 61.2666692464307,17.2710482790254 61.2624410766857,17.2643405992181 61.2587723743286,17.2562771283904 61.2558039083689,17.247167492774 61.2536495458532,17.2373612061574 61.252391907828,17.2272343241085 61.2520792200446,17.2171751130432 61.2527234755341,17.2075692665956 61.2542999772669,17.1987852166563 61.2567482779381,17.1911600834364 61.2599744821686,17.1849867880165 61.2638548257883,17.1805028122988 61.2682403990468,17.1778810356882 61.2729628372405,17.1772230061534 61.277840764913,17.178554917111 61.2826867499395,17.181826463015 61.287314502719,17.1869126385873 61.2915460444088,17.1936184329959 61.295218567348,17.2016862554001 61.2981907208785,17.2108058170845 61.3003480765538,17.2206260931082 61.3016075576453,17.23076889814 61.3019206578108,17.2408435416291 61.3012753212376,17.2504619804901 61.2996964095408,17.2592538657503 61.2972447369215,17.2668808843449 61.2940147121078,17.2730498281672 61.2901306809194,17.2775238778108 61.2857421145052,17.2801316650271 61.2810178332486,17.280773771603 61.2761394931948)))', 'SETAL', 'Tallskär', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((17.8095950696981 60.5539449116734,17.8082013365226 60.549105209775,17.8049178706271 60.5444923322946,17.799871522002 60.5402834125462,17.7932566259352 60.5366400084574,17.7853274732339 60.5337019226825,17.7763885254732 60.5315818621915,17.7667827530973 60.5303611376872,17.7568785386446 60.530086563473,17.7470556357351 60.5307686731889,17.7376907058799 60.5323813177518,17.7291429691793 60.5348626605372,17.7217405013354 60.5381175330258,17.7157676881715 60.542021063519,17.711454310286 60.5464234437936,17.7089666751918 60.5511556553828,17.7084011433255 60.5560359400983,17.7097803092127 60.5608767699118,17.713052002084 60.5654920506472,17.7180911642844 60.5697042831171,17.7247045545967 60.5733514050632,17.7326381114558 60.576293047821,17.7415867027976 60.5784159629018,17.7512058900311 60.5796384050165,17.7611252483248 60.5799132983705,17.7709627185415 60.5792300607375,17.7803394214254 60.5776150129161,17.7888943445385 60.575130357406,17.7962983181151 60.5718717670594,17.8022667271024 60.5679646795853,17.8065704614022 60.5635594447246,17.809044681651 60.558825515528,17.8095950696981 60.5539449116734)))', 'SETAR', 'Tårterviken', 'Y'),('SRID=4326;MULTIPOLYGON(((19.1744085934253 59.751695776208,19.1737247001458 59.7468184595889,19.1711690193183 59.7421021577252,19.1668404717876 59.7377280143131,19.1609058978757 59.7338639634831,19.1535935705257 59.7306583008237,19.1451843911541 59.7282340145371,19.1360011112788 59.7266840900082,19.1263959915522 59.7260679635411,19.1167373629873 59.7264092574412,19.1073955919065 59.7276948805832,19.0987289698532 59.7298755277636,19.0910700521161 59.7328675592138,19.0847129535862 59.7365561903487,19.0799020786501 59.7407998728739,19.0768227132183 59.7454357034313,19.0755938427203 59.7502856566354,19.0762634813242 59.7551634071152,19.0788067067365 59.7598814813592,19.0831264943345 59.764258465843,19.0890573374174 59.7681259939094,19.096371531031 59.7713352405924,19.1047878896413 59.7737626720547,19.1139825687583 59.7753148240861,19.1236015722975 59.775931921265,19.1332744555574 59.7755901935031,19.1426286820633 59.7743027979778,19.151304064044 59.7721193097225,19.1589667125927 59.7691238010342,19.1653219448396 59.7654315858766,19.1701256405271 59.7611847581787,19.1731936067224 59.756546700122,19.1744085934253 59.751695776208)))', 'SETCK', 'Tjockö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.728742628027 62.4319580203208,17.7272673056432 62.4271190972144,17.7237845754485 62.4225064901319,17.7184290460828 62.4182973117789,17.7114069975023 62.4146531152566,17.7029883826594 62.4117137166083,17.6934964385703 62.4095918564859,17.6832953081381 62.4083689008166,17.6727761417251 62.4080917406598,17.6623421980934 62.4087710063553,17.6523934972 62.4103806621526,17.6433115919707 62.4128589964265,17.6354450224342 62.4161109709842,17.6290959934729 62.4200118425428,17.6245087771984 62.4244119218617,17.6218602831272 62.4291422928969,17.6212531648809 62.4340212772539,17.6227117425944 62.438861399616,17.626180917827 62.443476588984,17.6315281455576 62.4476893395235,17.638548409682 62.4513375543013,17.6469720289211 62.4542808055312,17.6564750043905 62.4564057660401,17.6666915137603 62.4576305978944,17.6772280653613 62.4579081244013,17.6876787536877 62.4572276594476,17.6976410095494 62.4556154213604,17.7067312163981 62.4531335148962,17.7145995703622 62.4498775220821,17.7209435949026 62.4459727979443,17.7255197797908 62.4415696182432,17.72815289494 62.436837371027,17.728742628027 62.4319580203208)))', 'SETDS', 'Tynderösund, Åstön', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3156645601073 58.5281490288998,11.3144281995417 58.523302000383,11.3114085095226 58.5186742149947,11.3067221236026 58.5144433923287,11.3005495017708 58.51077194837,11.2931279402429 58.5078007801485,11.2847424394854 58.5056438807172,11.2757147832787 58.5043839869102,11.2663912436738 58.5040694228252,11.2571293735609 58.5047122568527,11.2482843793096 58.5062878409463,11.2401955800422 58.5087357493799,11.233173457301 58.5119620821929,11.2274877792137 58.5158430476292,11.2233572470414 58.5202296898452,11.2209410598614 58.524953584683,11.2203327261356 58.5298332889558,11.2215563706152 58.5346812989321,11.2245656935984 58.5393112528009,11.2292456398189 58.5435451008373,11.2354167296754 58.5472199664717,11.2428419001852 58.5501944317554,11.25123560145 58.552354001687,11.2602748012377 58.5536155328725,11.2696114700896 58.5539304519375,11.2788860563031 58.5532866364489,11.2877414175944 58.5517088838719,11.2958366565525 58.5492579500653,11.3028603112523 58.5460281955758,11.3085423803431 58.542143933079,11.3126647120039 58.5377546203656,11.3150693556119 58.5330290881518,11.3156645601073 58.5281490288998)))', 'SETGL', 'Tegelstrand', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8114516531483 57.6199748722121,11.8101834806771 57.6151323704602,11.8071797892633 57.6105156163281,11.8025565551733 57.6063019066121,11.7964917790793 57.6026530036806,11.7892185952712 57.5997089446312,11.7810163022577 57.5975826883566,11.7721996609194 57.5963558018857,11.7631068666604 57.5960753476381,11.7540866474174 57.5967520879111,11.7454849689964 57.5983600736243,11.7376318424873 57.6008376327761,11.7308287251882 57.6040897219477,11.725336986622 57.6079915532896,11.7213678751422 57.6123933614635,11.7190743689946 57.6171261316822,11.7185452295907 57.6220080728812,11.7198014957628 57.6268515906084,11.7227955680746 57.6314704937026,11.7274129346801 57.6356871582082,11.7334764881804 57.6393393719173,11.7407532804176 57.6422865936966,11.748963463535 57.6444153831561,11.7577910754561 57.6456437876119,11.7668962506031 57.6459245135443,11.7759283761582 57.6452467572946,11.7845396736842 57.6436366226165,11.7923986676694 57.6411561086728,11.7992030075472 57.637900708723,11.8046911376716 57.6339957146527,11.8086523590442 57.6295913732967,11.8109348946174 57.6248570850954,11.8114516531483 57.6199748722121)))', 'SETGN', 'Tången, Styrsö', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0358395853808 59.363744830541,19.0351823698941 59.3588666677878,19.0326741808096 59.3541476631963,19.0284120970293 59.3497690669219,19.0225603946094 59.3458989874352,19.0153441599711 59.3426859553562,19.0070406084762 59.3402532450679,18.9979684466771 59.3386941678359,18.9884756846277 59.3380685126962,18.9789263574819 59.3384002678306,18.9696866521955 59.3396767071209,18.9611109548599 59.3418488757117,18.9535283367479 59.3448334564515,18.9472299825119 59.34851594773,18.9424580323863 59.3527550342197,18.9393962622251 59.3573879870227,18.9381629616766 59.3622368903323,18.9388062931166 59.367115459419,18.941302324105 59.3718361908706,18.9455558266973 59.3762175716333,18.9514038312468 59.3800910693243,18.9586218143028 59.3833076329332,18.9669322943269 59.3857434504335,18.976015509963 59.387304737514,18.9855217683097 59.3879313687088,18.9950849795206 59.38759920724,19.0043368429128 59.3863210410869,19.0129211214314 59.3841460880045,19.0205074373975 59.3811580890588,19.0268040431972 59.3774720662512,19.031569064784 59.3732298725524,19.034619781113 59.368594709904,19.0358395853808 59.363744830541)))', 'SETGT', 'Trutgrund', 'Y'),('SRID=4326;MULTIPOLYGON(((11.195143482637 58.8741909243937,11.1939104442185 58.8693429533206,11.1908755573041 58.8647126565486,11.1861560554945 58.8604778493101,11.1799336829616 58.8568010988676,11.1724476531387 58.853823503635,11.1639854422659 58.8516593008034,11.1548717735755 58.8503915051495,11.1454562105777 58.8500687422499,11.1360998252577 58.8507033942561,11.1271614381054 58.8522711273066,11.1189839412374 58.8547118182479,11.1118812131914 58.8579318463216,11.1061261143116 58.8618076645954,11.1019400152914 58.866190517878,11.0994842590312 58.8709121303486,11.0988538885502 58.8757911487253,11.1000738928043 58.8806400969608,11.1030981300967 58.8852725774393,11.1078109881342 58.8895104424794,11.1140317342009 58.8931906592966,11.1215214024821 58.8961716017531,11.1299919628186 58.8983385230729,11.139117420849 58.8996079946135,11.1485464182409 58.8999311356591,11.1579158377407 58.8992955064889,11.1668648745194 58.8977255897288,11.1750490151504 58.8952818409833,11.1821533696452 58.8920583465341,11.1879048300513 58.888179181038,11.1920825796034 58.8837936092702,11.1945265465327 58.8790703209157,11.195143482637 58.8741909243937)))', 'SETJA', 'Tjärnö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.6198639629615 57.9340420819603,11.6186091825676 57.9291977620009,11.6156025305626 57.924576681764,11.6109601115823 57.9203563040321,11.6048606748913 57.9166986461231,11.5975386931104 57.9137440794487,11.5892753404294 57.9116059640574,11.5803877186222 57.9103663199612,11.5712167400924 57.9100726974013,11.5621141230996 57.9107363629583,11.5534289843436 57.9123318691873,11.5454945276575 57.9147980239204,11.5386153244525 57.9180402232935,11.5330556617878 57.9219340616453,11.5290293978341 57.9263300834496,11.5266917127197 57.9310594990474,11.5261330763513 57.9359406487462,11.5273756753875 57.9407859702879,11.5303724512703 57.9454092040179,11.5350088029133 57.9496325593044,11.5411069047508 57.9532935655244,11.5484324873847 57.9562513415163,11.556703828431 57.9583920386419,11.5656026099602 57.9596332438425,11.5747862206006 57.9599271692131,11.5839010189645 57.9592625020721,11.5925960338462 57.9576648423472,11.6005365578612 57.9551957100571,11.6074170959041 57.9519501623724,11.6129731577023 57.9480531147046,11.6169914332872 57.9436545111689,11.6193179586881 57.9389235344689,11.6198639629615 57.9340420819603)))', 'SETJK', 'Tjörnekalv', 'Y'),('SRID=4326;MULTIPOLYGON(((15.659674374019 56.1167695123956,15.6587327878774 56.1119050174708,15.656111239978 56.107236580758,15.6519109999053 56.1029435046156,15.6462938242252 56.0991906187927,15.6394756881907 56.0961219690702,15.6317184693473 56.093855308353,15.623319905087 56.0924775978641,15.6146022067871 56.0920416873305,15.6058997595697 56.0925642984025,15.5975463679169 56.0940253866235,15.5898625227756 56.0963689057796,15.5831431650782 56.0995049461539,15.5776464038239 56.1033131668685,15.5735836142888 56.107647393867,15.5711112942294 56.11234121088,15.570324994127 56.1172143325283,15.5712555631186 56.1220795180292,15.5738678673206 56.1267497620459,15.5780620444167 56.1310454870749,15.5836772608754 56.1348014600984,15.5904978397199 56.1378731653375,15.5982615315116 56.1401423847124,15.6066696134118 56.1415217674672,15.6153984250675 56.141958209287,15.6241118894466 56.1414349076378,15.6324745248011 56.1399720121106,15.6401644329137 56.1376258440658,15.6468857498205 56.13448671649,15.6523800682532 56.1306754402598,15.6564363848356 56.1263386546058,15.6588991872605 56.1216431653292,15.659674374019 56.1167695123956)))', 'SETJR', 'Tjurkö, Karlskrona', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7608130033669 57.8989904911627,11.7595406546871 57.8941476973751,11.7565190740366 57.889530065584,11.7518649361771 57.8853149253476,11.7457574367607 57.8816640924058,11.7384313545052 57.8787176760311,11.7301680182124 57.8765887236239,11.7212845272911 57.875358903968,11.7121216351564 57.8750753908571,11.7030307506014 57.8757490635049,11.6943605420784 57.8773540908939,11.6864436432204 57.8798289156675,11.6795839546585 57.8830786010839,11.6740450172687 57.8869784536605,11.6700398957409 57.8913787861872,11.6677229594635 57.896110642447,11.6671838812333 57.9009922678528,11.6684440948196 57.9058360807291,11.6714558621222 57.9104558784006,11.676104002372 57.9146740015741,11.6822102330004 57.918328180385,11.6895399684544 57.9212777961826,11.6978113237689 57.9234093144833,11.7067059787122 57.9246406758684,11.7158814802464 57.9249244718295,11.7249844999082 57.9242497800915,11.7336645217825 57.9226425868193,11.7415874182416 57.9201647791063,11.748448375576 57.9169117478202,11.7539836597539 57.9130086958221,11.7579807622568 57.9086057974048,11.7602865345207 57.9038723994181,11.7608130033669 57.8989904911627)))', 'SETJU', 'Tjuvkil', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1432146684793 57.4370566722133,12.1427058958125 57.4321742242762,12.1404411858471 57.427439097852,12.136508187466 57.4230331761532,12.1310584883631 57.4191256337774,12.124301722169 57.4158664571324,12.1164974814344 57.4133807076575,12.1079453518726 57.4117637441822,12.0989734492253 57.4110775837194,12.0899258916907 57.411348536702,12.0811496769489 57.4125662047415,12.0729814527531 57.4146838780825,12.0657346735146 57.4176203178057,12.059687622238 57.4212628562266,12.0550727478169 57.4254716996063,12.0520677226149 57.4300852719198,12.0507885653631 57.4349263986398,12.0512851010627 57.4398090967757,12.0535389447031 57.4445457130857,12.0574641016992 57.4489541375363,12.0629101781374 57.4528648145089,12.0696680919078 57.4561272803823,12.0774780757548 57.4586159729618,12.0860396696299 57.4602350853565,12.0950233169351 57.4609222733993,12.1040831114516 57.4606510702173,12.1128701925267 57.4594319122897,12.1210462581045 57.4573117361944,12.1282966599952 57.4543721618728,12.1343425636808 57.450726334224,12.1389516949813 57.446514547742,12.1419472558729 57.4418988265119,12.1432146684793 57.4370566722133)))', 'SETKT', 'Torkelstorp', 'Y'),('SRID=4326;MULTIPOLYGON(((16.4936741693003 56.9664629663848,16.4926019275402 56.9616063677656,16.4898164074143 56.9569573062169,16.4854251975793 56.9526943309846,16.4795973957037 56.94898110677,16.4725570577373 56.9459601484022,16.4645745730536 56.9437473717921,16.4559562990488 56.9424276663637,16.4470328496139 56.9420516550175,16.4381464781818 56.9426337627788,16.4296380268228 56.9441516662247,16.4218339275289 56.9465471442818,16.4150337401337 56.9497282987652,16.409498693265 56.9535730618785,16.4054416606509 56.9579338595277,16.4030189556254 56.9626432554391,16.402324262873 56.9675203632918,16.4033849498445 56.9723777838573,16.4061609129781 56.9770288027345,16.4105460185815 56.9812945726926,16.4163720983016 56.9850110035589,16.4234153583741 56.9880350923211,16.4314049645641 56.9902504464936,16.4400334752914 56.9915717842416,16.4489687182155 56.9919482341579,16.4578666444485 56.9913653044491,16.4663846528041 56.9898454436721,16.4741948563229 56.9874471708871,16.4809967658601 56.9842628097511,16.4865288906103 56.9804149162448,16.4905788017139 56.9760515410356,16.4929912700235 56.9713405128069,16.4936741693003 56.9664629663848)))', 'SETMM', 'Timmernabben', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7865127172843 58.4043462620795,16.7853537068033 58.3994937397861,16.7824141903003 58.3948530956211,16.7778077239542 58.3906025472549,16.7717117055528 58.3869052716397,16.7643605005782 58.3839031599761,16.7560364208657 58.3817113942635,16.7470589046918 58.3804140493978,16.7377723096117 58.3800608855116,16.7285327767274 58.3806654503022,16.7196946563739 58.3822045620694,16.7115969999284 58.3846191927777,16.7045506203085 58.3878167183848,16.6988262047647 58.3916744526923,16.6946439280867 58.3960443327952,16.6921649629562 58.4007585805137,16.6914852179385 58.4056361265788,16.6926315540463 58.4104895542641,16.6955606400745 58.4151322978889,16.7001605077884 58.4193858201594,16.706254763984 58.423086491374,16.7136093114626 58.4260919033831,16.721941329526 58.4282863717394,16.7309301713569 58.4295854100933,16.7402297551696 58.4299390004933,16.7494819624418 58.4293335303092,16.7583305132748 58.4277923190794,16.7664347683441 58.4253747144642,16.7734829101536 58.4221737932568,16.7792039831787 58.4183127586052,16.7833783215012 58.4139401758616,16.785845960983 58.4092242346575,16.7865127172843 58.4043462620795)))', 'SETNN', 'Trännö', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8716443988711 56.0926929400735,15.8706767272217 56.0878301377861,15.8680312584818 56.083166269403,15.8638101779106 56.0788804605169,15.8581760383573 56.0751372608875,15.8513454620672 56.0720803439495,15.843580800171 56.0698270122305,15.8351800727191 56.0684637157758,15.8264655724699 56.0680427518189,15.8177715617863 56.0685802692154,15.8094315229471 56.0700556521834,15.8017654373291 56.0724123063781,15.7950675679699 56.0755598180269,15.7895952030023 56.079377405533,15.7855587846639 56.0837185343764,15.7831138006725 56.0884165220077,15.7823547527683 56.0932909213432,15.7833114426763 56.098154440903,15.7859477306979 56.1028201378504,15.7901628292542 56.1071086082107,15.7957950962046 56.1108548970396,15.8026281943932 56.1139148605999,15.8103993887559 56.116170732543,15.818809664734 56.1175356760971,15.8275352758916 56.1179571432723,15.8362402683281 56.1174189086024,15.8445894878899 56.1159416970678,15.8522615555173 56.1135823813967,15.8589612974674 56.1104317805476,15.8644311405249 56.1066111464203,15.8684610263927 56.1022674773551,15.8708964618633 56.0975678426266,15.8716443988711 56.0926929400735)))', 'SETOH', 'Torhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7633319097828 58.2929853873208,11.7620434966967 58.2881430069647,11.7589865509333 58.2835259730195,11.7542791211611 58.27931159022,11.7481024600549 58.2756616426123,11.7406940060547 58.2727162025161,11.7323382478947 58.2705882769847,11.7233558245435 58.2693594930413,11.7140912744288 58.2690769832579,11.7048998939188 58.2697515879651,11.6961341951011 58.2713574411448,11.6881304663821 58.2738329555428,11.6811959361107 58.2770831704941,11.6755970193297 58.2809833750946,11.6715490911966 58.2853838714399,11.6692081782519 58.2901156993262,11.668664891611 58.2949971066875,11.6699408459024 58.2998405205627,11.6729877165646 58.3044597527957,11.6776889887709 58.3086771639829,11.6838643472821 58.3123305090342,11.6912765519701 58.3152791984,11.6996405430954 58.3174097303549,11.7086344282958 58.3186400810706,11.7179119241792 58.3189228794478,11.7271157634976 58.3182472412199,11.7358915374201 58.3166391897495,11.743901423696 58.3141606469612,11.750837256546 58.3109070345658,11.7564324226253 58.3070035806973,11.7604721177896 58.3026004779314,11.7628015688941 58.2978670832753,11.7633319097828 58.2929853873208)))', 'SETOL', 'Töllås', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8334456624302 58.35532919793,16.8322819574516 58.3504770916209,16.8293405038178 58.3458375022594,16.8247349294495 58.3415886069062,16.8186425955564 58.3378935191211,16.8112977244767 58.3348940463459,16.8029823840717 58.3327052696254,16.7940156772741 58.331411149515,16.7847415477364 58.3310613227356,16.775515659777 58.3316692091657,16.7666918420466 58.3332114997274,16.7586085989784 58.3356290443022,16.7515761918956 58.3388291067393,16.7458647726514 58.3426889030343,16.7416940171729 58.3470602905852,16.7392246548958 58.3517754327568,16.7385522238633 58.3566532253913,16.739703301754 58.3615062418607,16.7426343724485 58.3661479320143,16.7472333887336 58.3703997989655,16.7533239878102 58.3740982767562,16.7606722114536 58.3771010418471,16.7689954814082 58.379292511968,16.7779734875403 58.3805883165168,16.7872605659743 58.3809385623319,16.7964990810364 58.38032976574,16.8053332817105 58.3787853743832,16.8134230828537 58.3763648582078,16.8204572247369 58.3731614057643,16.8261652914028 58.3692983171551,16.8303281173271 58.3649242362067,16.8327861802779 58.3602074095993,16.8334456624302 58.35532919793)))', 'SETOO', 'Torrö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6620094128013 56.4338565388846,12.6614433456539 56.4289751458303,12.6591698570702 56.4242487105594,12.6552768886899 56.4198587822615,12.6499144525885 56.4159739239732,12.6432888046081 56.4127432560368,12.6356544908258 56.4102907517404,12.6273045768781 56.4087105003661,12.6185594338411 56.4080631155488,12.6097545042752 56.4083734233144,12.6012275067902 56.4096295160145,12.5933055564026 56.4117832073078,12.5862926806983 56.4147518710973,12.5804581983637 56.4184215956961,12.5760263972479 56.4226515352006,12.573167904357 56.4272792948188,12.5719930809926 56.4321271473434,12.572547704042 56.4370088455672,12.5748111111277 56.441736771527,12.5786968954251 56.4461291490895,12.5840561385709 56.4500170423404,12.590683070824 56.4532508688923,12.5983229505913 56.4557061745862,12.6066818648669 56.4572884436522,12.6154380723556 56.4579367552797,12.6242544460325 56.457626142344,12.6327915250224 56.4563685589529,12.6407206594898 56.4542124183926,12.6477367281383 56.4512407196391,12.6535699261874 56.4475678364254,12.6579961613114 56.4433350955256,12.6608456538774 56.438705318218,12.6620094128013 56.4338565388846)))', 'SETOV', 'Torekov', 'Y'),('SRID=4326;MULTIPOLYGON(((17.8890525107865 58.8269330258957,17.8877246505321 58.8220925883734,17.8846021216322 58.8174794394332,17.87980551199 58.8132707311729,17.8735195112924 58.8096280255027,17.8659857591974 58.8066911122619,17.8574935485223 58.80457266717,17.8483687422513 58.8033539503487,17.8389613250092 58.803081706391,17.8296320561191 58.8037663816481,17.8207387215898 58.8053817251812,17.8126224958427 58.8078657883511,17.8055949204484 58.8111232860264,17.7999259866436 58.8150292316095,17.7958337712527 58.8194337102346,17.7934760224803 58.8241676112498,17.792944023951 58.8290491040411,17.794258983928 58.833890611845,17.7973711040505 58.8385060176722,17.8021613810566 58.842717825835,17.8084460893482 58.8463640024917,17.8159837860279 58.8493042293769,17.8244845777545 58.8514253262985,17.8336212951572 58.852645629417,17.8430421402473 58.8529181526396,17.8523843094298 58.8522324070992,17.8612880527401 58.8506148066761,17.8694106111133 58.848127643601,17.8764394788963 58.8448666749386,17.8821044681015 58.8409574157128,17.8861881024373 58.8365502852611,17.8885339400877 58.8318147979513,17.8890525107865 58.8269330258957)))', 'SETR2', 'Torö', 'Y'),('SRID=4326;MULTIPOLYGON(((12.3287413845918 57.0509843498711,12.328211897914 57.046102227776,12.3259454560394 57.0413701885265,12.322029756926 57.0369699967772,12.3166157089573 57.0330706081838,12.3099115663736 57.0298216980499,12.3021748966763 57.0273479361625,12.293702693104 57.0257442237634,12.2848200104759 57.0250720714584,12.2758675536416 57.0253572534866,12.2671886833523 57.0265888257601,12.2591163239275 57.0287195441215,12.2519602602795 57.0316676670929,12.2459952986584 57.0353200757762,12.2414507361257 57.0395365942427,12.2385015388227 57.0441553484259,12.2372615694928 57.0489989618288,12.2377791318341 57.0538813537563,12.2400350150093 57.0586148816092,12.243943128525 57.063017554107,12.2493537188366 57.0669200379231,12.2560590581036 57.0701721865346,12.2638013966433 57.0726488371256,12.272282878189 57.0742546486747,12.2811770354335 57.0749277909991,12.2901414166182 57.0746423391381,12.2988308456146 57.0734092782589,12.3069107906342 57.0712760791464,12.3140703119272 57.0683248609509,12.3200340768511 57.0646692137905,12.3245729705336 57.0604498066227,12.3275128898662 57.0558289532921,12.3287413845918 57.0509843498711)))', 'SETRE', 'Träslövsläge', 'Y'),('SRID=4326;MULTIPOLYGON(((13.1898109187465 55.3716566978749,13.1891914348362 55.366776669057,13.1869126341721 55.3620592110901,13.1830626196844 55.3576855283217,13.1777897173008 55.3538235627038,13.1712967194519 55.3506215606276,13.1638330680667 55.348202401265,13.1556852810152 55.3466589005238,13.1471659879814 55.3460502671192,13.1386019900183 55.3463998434807,13.1303217904678 55.3476942158515,13.1226430628407 55.3498837266981,13.1158605233154 55.3528843702031,13.1102346617061 55.3565809999363,13.1059817553375 55.3608317285544,13.1032655458515 55.3654733542895,13.1021909005286 55.3703276096584,13.1027997086698 55.3752079957702,13.1050691818834 55.3799269421003,13.1089126372577 55.3843030177116,13.1141827474313 55.3881679163639,13.1206771450645 55.3913729451385,13.1281461751263 55.3937947640759,13.136302500893 55.3953401523717,13.1448321927381 55.3959496139473,13.1534068664817 55.3955996802912,13.1616963934885 55.3943038195553,13.1693816802258 55.3921119158637,13.1761670119509 55.3891083393231,13.1817914737646 55.3854086828921,13.1860390014509 55.3811552947011,13.1887466722248 55.3765117814136,13.1898109187465 55.3716566978749)))', 'SETRG', 'Trelleborg', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2484740161355 61.0921532299487,17.2471400524736 61.0873078192581,17.243880282636 61.0826814592173,17.2388206836108 61.0784518020999,17.2321561316277 61.0747812009525,17.2241428467809 61.071810499429,17.2150885309577 61.0696536520095,17.2053405803421 61.0683933763715,17.1952728197539 61.0680780002098,17.1852712557643 61.0687196198053,17.1757193780668 61.0702936387271,17.1669835534816 61.0727397038563,17.159399054026 61.075964004155,17.1532572397133 61.0798428469452,17.1487943784211 61.084227378627,17.1461825298615 61.0889492733795,17.1455228493965 61.0938271760422,17.1468415816905 61.0986736555085,17.1500889161867 61.1033024038725,17.1551407690639 61.1075354052608,17.1618034433758 61.1112097974926,17.1698210048916 61.1141841597559,17.1788851006447 61.116343980256,17.1886468455463 61.1176060886896,17.1987303147191 61.117921878335,17.2087471100974 61.1172791899617,17.2183114231421 61.115702782713,17.2270549938629 61.1132533733096,17.2346413709664 61.1100252819255,17.2407789085893 61.1061427783974,17.2452319899459 61.101755273639,17.2478300442318 61.0970315460941,17.2484740161355 61.0921532299487)))', 'SETRH', 'Trollharen', 'Y'),('SRID=4326;MULTIPOLYGON(((11.8175858635788 57.7249714683924,11.8163127661333 57.7201291394887,11.8132991876603 57.7155126834009,11.8086614880916 57.7112993849569,11.8025782261887 57.7076509900262,11.7952832469765 57.7047075154173,11.7870566849828 57.7025818968393,11.7782142305022 57.7013556762441,11.7690950665229 57.701075890131,11.76004892945 57.7017532750798,11.7514227764327 57.7033618574904,11.7435475553885 57.7058399429423,11.7367255704919 57.7090924684835,11.7312189159803 57.7129946302618,11.7272394149664 57.7173966509653,11.7249404481787 57.7221295082132,11.7244109912806 57.7270114079299,11.7256721002229 57.7318547573015,11.728675994149 57.7364733713827,11.7333077875108 57.7406896368114,11.7393898207154 57.7443413560219,11.7466884357991 57.7472880061146,11.7549229447085 57.7494161679413,11.7637764473037 57.7506439123629,11.7729080786196 57.750923970891,11.7819662042087 57.7502455654728,11.7906020417762 57.748634825066,11.7984831690186 57.7461537726271,11.8053063825985 57.7428979228054,11.8108094012256 57.7389925855449,11.8147809553206 57.7345880215954,11.817068874002 57.7298536405235,11.8175858635788 57.7249714683924)))', 'SETRL', 'Torslanda', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0147364660732 56.1680027616503,15.0138751118021 56.1631335039383,15.0113282937412 56.1584515292236,15.0071944197045 56.1541366639266,15.0016327093233 56.1503545774986,14.9948570211941 56.1472504384365,14.9871276155705 56.1449433621473,14.9787411719515 56.1435218599851,14.9700194422143 56.1430404603261,14.96129696708 56.1435176281215,14.9529083156479 56.1449350606062,14.9451753238807 56.1472383854249,14.9383948079527 56.1503392351394,14.932827212304 56.1541186206623,14.9286866203537 56.1584314773779,14.9261325087566 56.1631122132735,14.925263564848 56.1679810499108,14.9261138129992 56.1728509160058,14.9286512110363 56.1775346310301,14.9327787852574 56.1818521036174,14.938338275122 56.1856372673807,14.9451161600898 56.1887444853266,14.9528518454609 56.1910541733161,14.961247695703 56.1924774223866,14.9699805268644 56.1929594382108,14.9787141081305 56.1924816620314,14.9871121795913 56.1910624892348,14.9948514711694 56.1887565571236,15.0016342076021 56.1856526300729,15.0071996064002 56.1818701656671,15.0113339185981 56.1775546972535,15.013878623577 56.1728722144517,15.0147364660732 56.1680027616503)))', 'SETRM', 'Trensum', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0196807504266 56.1200009618852,15.0188198454101 56.1151317005195,15.0162755988 56.1104497909309,15.0121463178968 56.1061350571861,15.006591044638 56.1023531639294,14.9998233897527 56.0992492725445,14.9921033050539 56.0969424892446,14.9837271128373 56.0955213144143,14.9750161725905 56.0950402640611,14.9663046122993 56.0955177898128,14.957926583556 56.0969355751224,14.9502035157934 56.0992392339275,14.9434318449993 56.1023403857077,14.9378716761997 56.1061200294575,14.9337368071392 56.1104330903131,14.931186493556 56.1151139681264,14.9303192752652 56.1199828787931,14.9311691084213 56.1248527480835,14.9337039648476 56.1295363953713,14.9378269668126 56.1338537320417,14.9433800282916 56.1376386971787,14.9501498752813 56.1407456617331,14.9578762222433 56.1430550516292,14.96626179351 56.1444779696514,14.9749838017177 56.1449596344064,14.983706433881 56.1444815007291,14.9920938528131 56.143061977718,14.999823199509 56.1407557159851,15.0065970820711 56.1376514923236,15.0121550587545 56.1338687754053,15.016283665547 56.1295531079557,15.0188246000849 56.1248704869528,15.0196807504266 56.1200009618852)))', 'SETRN', 'Tärnö', 'Y'),('SRID=4326;MULTIPOLYGON(((15.2257187110317 56.1529264247969,15.2248310239817 56.1480586592064,15.2222595782057 56.1433810511317,15.2181037247376 56.1390732579271,15.212523523506 56.1353006764763,15.2057335388536 56.132208109802,15.1979945758447 56.1299142290047,15.1896036776133 56.1285070393123,15.1808827650753 56.1280405204564,15.1721663472237 56.1285325671015,15.1637887619305 56.1299643062297,15.1560714230836 56.1322808169486,15.149310549671 56.1353932258875,15.1437658361252 56.1391820999524,15.139650491124 56.1435020094783,15.1371230247624 56.1481870904508,15.1362811025833 56.1530573960768,15.1371577108677 56.1579257970434,15.1397197928926 56.162605167589,15.1438694231693 56.1669155820395,15.1494474891947 56.1706912444506,15.1562397516944 56.1737868827518,15.1639850588252 56.1760833582148,15.1723854016191 56.177492270597,15.1811174213099 56.1779593779024,15.1898449179389 56.1774666958801,15.1982318669879 56.1760331942788,15.2059554290212 56.1737140623117,15.2127184376282 56.1705985724115,15.2182608733147 56.1668066267208,15.2223698741894 56.1624841225314,15.2248878959936 56.1577973188714,15.2257187110317 56.1529264247969)))', 'SETRO', 'Trolleboda', 'Y'),('SRID=4326;MULTIPOLYGON(((17.6031527728062 58.8910388022198,17.6018620825211 58.8861952177177,17.5987714285958 58.8815749812663,17.5940001815068 58.8773555188162,17.5877320646962 58.873698806218,17.5802080386105 58.8707451713311,17.5717170287683 58.8686079313392,17.5625848559032 58.8673690667944,17.5531617884723 58.8670760942818,17.5438091846948 58.8677402543839,17.5348857219091 58.8693360824685,17.5267337248671 58.8718023783766,17.5196661013986 58.875044539093,17.5139543736999 58.8789381676617,17.5098182566467 58.8833338236865,17.5074171816265 58.8880627374079,17.5068440964958 58.8929432721468,17.5081217909658 58.8977878903183,17.5112019041873 58.9024103574904,17.5159666704094 58.906632908106,17.5222333528456 58.9102930961701,17.5297612094234 58.913250064715,17.53826073147 58.9153899890377,17.5474048023466 58.9166304799201,17.5568413422296 58.9169237731817,17.5662069418375 58.9162585794085,17.575140945331 58.9146605206002,17.5832994232302 58.9121911365239,17.5903684810557 58.9089455003409,17.596076378247 58.9050485381159,17.6002039830918 58.9006501977634,17.6025931601101 58.895919657707,17.6031527728062 58.8910388022198)))', 'SETRS', 'Trosa', 'Y'),('SRID=4326;MULTIPOLYGON(((21.8277450518437 65.3756844794212,21.8264442425588 65.3708286110906,21.8228987718979 65.3661718590973,21.8172459141415 65.3618930278667,21.8097035723635 65.3581563288946,21.8005618036371 65.3551051039324,21.7901716410137 65.3528563555906,21.7789316464205 65.3514962896042,21.7672727046186 65.3510770342244,21.7556416257923 65.3516146579367,21.7444841625057 65.3530885585166,21.7342280653175 65.3554422459137,21.7252668001554 65.358585490211,21.7179445296245 65.3623977555777,21.7125429198971 65.3667327933172,21.709270275076 65.3714242234218,21.7082534227015 65.3762918960115,21.7095326786899 65.3811487931377,21.7130601095754 65.3858082089776,21.7187011874664 65.3900909335607,21.726239802671 65.3938321626645,21.7353864654623 65.3968878648668,21.745789397721 65.3991403559374,21.7570480934619 65.4005028603432,21.7687288208393 65.4009228786047,21.7803814530034 65.4003842260941,21.7915569560807 65.3989076616616,21.8018248331146 65.3965500809065,21.810789824807 65.3934023064752,21.8181072012316 65.3895855638712,21.8234960413085 65.3852467834088,21.8267499850016 65.3805529148905,21.8277450518437 65.3756844794212)))', 'SETRU', 'Trundön', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8450691161403 63.1408470581715,18.8443717123595 63.1359702692036,18.8415856720143 63.131248712091,18.8368189748516 63.1268637193022,18.8302554490756 63.1229836188939,18.8221476089559 63.1197572939043,18.812806908418 63.1173084953924,18.8025917914749 63.1157311224246,18.7918939956616 63.1150856449909,18.7811236229134 63.115396802566,18.7706935326446 63.1166526633765,18.7610036336394 63.1188050790153,18.7524256545407 63.1217715175249,18.7452889571899 63.1254382071058,18.7398679230172 63.1296644738653,18.7363713905213 63.1342881121219,18.7349345523864 63.1391315863077,18.7356136352341 63.1440088309404,18.738383585337 63.148732390804,18.743138872538 63.1531206285304,18.7496974056978 63.1570047220514,18.7578074306335 63.1602351804143,18.7671571608078 63.1626876232912,18.7773867775311 63.1642675967931,18.7881023358067 63.1649142350215,18.7988910295192 63.1646026217804,18.809337210047 63.1633447582148,18.8190385190061 63.1611890976337,18.8276214906933 63.1582186660089,18.8347560031968 63.1545478430559,18.8401680077164 63.1503179319355,18.8436500404399 63.1456916931495,18.8450691161403 63.1408470581715)))', 'SETRY', 'Trysunda', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3098610620027 58.6721499351744,11.3086199201709 58.66730297995,11.3055880894027 58.6626752318562,11.3008826756845 58.6584444084119,11.2946848739554 58.6547729246927,11.2872329490907 58.6518016781621,11.2788130665511 58.6496446637998,11.2697483269586 58.6483846219497,11.2603864211223 58.6480698818051,11.2510863690458 58.648712518332,11.2422048372919 58.6502878913157,11.2340825432204 58.6527355837802,11.2270312518156 58.6559617050009,11.2213218510988 58.6598424724462,11.2171739558009 58.6642289389656,11.2147474366674 58.6689526880638,11.214136205547 58.6738322827525,11.2153645058328 58.6786802237056,11.2183858660511 58.6833101515243,11.2230847742607 58.687544016847,11.2292810259293 58.6912189415002,11.2367365921679 58.6941935041695,11.2451647531528 58.6963532050229,11.2542411479448 58.6976148947218,11.2636163113342 58.6979299932024,11.2729292049715 58.6972863709452,11.2818212072796 58.6957088182336,11.2899500068506 58.6932580838882,11.297002848299 58.6900285217328,11.302708607627 58.6861444381504,11.3068482244753 58.6817552851429,11.3092630884185 58.6770298881984,11.3098610620027 58.6721499351744)))', 'SETSD', 'Tanumstrand', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6965415532212 56.0001176397079,14.6957239539919 55.995246108956,14.6932266760807 55.9905575344616,14.6891462218007 55.9862319988856,14.6836397600699 55.9824355840034,14.6769190320313 55.9793140105291,14.6692421942458 55.9769870645185,14.6609039158468 55.9755440205355,14.6522241074458 55.9750402334533,14.6435357068846 55.9754950264511,14.6351719791344 55.976890954061,14.6274538040868 55.9791744677365,14.6206774263799 55.9822579590985,14.6151031257374 55.986023104543,14.6109452348732 55.9903253860308,14.608363885438 55.9949996183146,14.6074588017795 55.999866274224,14.6082653889269 56.0047383683873,14.6107532771976 56.0094286372104,14.6148273937653 56.0137567400867,14.6203315345721 56.0175562043931,14.6270543118171 56.0206808451685,14.634737256969 56.0230104093881,14.6430847711042 56.0244552238891,14.6517755375531 56.0249596642523,14.660474950208 56.0245043078422,14.6688480676037 56.0231066859014,14.6765725803591 56.0208206049233,14.6833512789785 56.0177340641362,14.6889235304028 56.0139658513915,14.6930753138955 56.0096609516968,14.6956474275992 56.0049849488974,14.6965415532212 56.0001176397079)))', 'SETSO', 'Torsö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.8459547681264 59.4478166387813,18.8453235348427 59.4429377398495,18.8428358938184 59.4382152701612,18.8385881409915 59.433830614047,18.8327440087576 59.429952113269,18.8255282989996 59.4267286218274,18.8172182116296 59.4242838151846,18.808132706719 59.4227114681036,18.7986203067111 59.4220718779302,18.7890457983887 59.4223895666847,18.7797763311532 59.4236523473543,18.7711674281689 59.4258117889608,18.7635494297215 59.428785063023,18.7572148737207 59.4324581026797,18.7524072868684 59.4366899566875,18.7493118121378 59.4413181754458,18.7480480347759 59.446165026719,18.7486652913979 59.451044306318,18.7511406568607 59.4557684849891,18.7553797040671 59.4601559182251,18.7612200259743 59.4640378414731,18.7684374007908 59.4672648796931,18.7767543751182 59.4697128174578,18.7858509404108 59.4712874033186,18.795376890381 59.471927999095,18.8049653753838 59.4716099296725,18.8142471181907 59.4703454400173,18.8228647267908 59.4681832212857,18.8304865355484 59.4652065247518,18.8368194264719 59.4615299383175,18.8416201263569 59.4572949531907,18.8447045407103 59.4526644956558,18.8459547681264 59.4478166387813)))', 'SETST', 'Träskö Storö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7726005006548 57.7349879066271,11.7713330098774 57.7301450832813,11.7683242581161 57.7255275205639,11.763690420899 57.7213125460576,11.7576099097817 57.7176619701452,11.7503164652532 57.7147158934122,11.7420901638134 57.7125873513946,11.7332466863238 57.7113579981109,11.7241252552086 57.7110749901026,11.7150756936444 57.7117491874063,11.7064450896065 57.7133547386037,11.6985645609829 57.715830065534,11.6917366146946 57.7190802111494,11.6862235728957 57.7229804630927,11.6822375032058 57.7273811176165,11.6799320381991 57.7321132051203,11.6793964031346 57.7369949614556,11.6806518917372 57.7418387996777,11.6836509399124 57.746458516374,11.6882788494144 57.7506764560384,11.6943581111302 57.7543303568704,11.7016551747844 57.7572796120956,11.7098894129006 57.759410702281,11.718743936331 57.7606415854723,11.7278778410053 57.7609248722127,11.7369394047573 57.7602496600312,11.7455797123845 57.7586419548522,11.7534661687148 57.7561636627613,11.7602953643895 57.7529101922258,11.7658047870497 57.7490067617918,11.7697829200599 57.7446035591029,11.7720773391342 57.7398699416939,11.7726005006548 57.7349879066271)))', 'SETUH', 'Tumlehed', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2831017462486 58.8461583995529,17.281857523811 58.8413113238894,17.2788134903365 58.8366831368951,17.2740872282908 58.8324515722986,17.267860738837 58.82877907259,17.2603733910756 58.8258065729614,17.2519127099931 58.8236481151849,17.2428033590621 58.8223864938697,17.2333947359703 58.8220700980443,17.2240476471733 58.8227110659112,17.2151205579516 58.8242848215229,17.2069559288719 58.8267310107096,17.1998671467683 58.8299558015804,17.1941265385985 58.8338354640421,17.1899549200971 58.8382210947728,17.1875130786695 58.8429443106047,17.1868955224993 58.8478236959107,17.1881267469335 58.8526717598061,17.1911601770372 58.8573021380289,17.1958798446111 58.8615367632563,17.2021047524424 58.8652127270456,17.2095957722222 58.86818856683,17.2180648199357 58.8703497323284,17.2271859583676 58.8716130167051,17.2366079952879 58.8719297777448,17.2459680821036 58.8712878216442,17.2549057747003 58.869711874801,17.2630769982426 58.8672626249806,17.2701673619514 58.8640343700284,17.2759042980875 58.8601513674127,17.2800675499536 58.855763028963,17.2824976038896 58.8510381500723,17.2831017462486 58.8461583995529)))', 'SETYA', 'Tystberga', 'Y'),('SRID=4326;MULTIPOLYGON(((17.6887587570772 62.4399733583825,17.6872894603426 62.435133985871,17.683811901961 62.4305203577609,17.6784604931732 62.4263096262273,17.6714413570995 62.4226634041627,17.6630243362163 62.4197215854106,17.6535326074488 62.4175970034485,17.6433303061284 62.4163711285137,17.6328086277482 62.4160909634968,17.6223709271505 62.4167672538445,17.6124173676975 62.4183740778227,17.6033296876818 62.4208498323987,17.5954566475411 62.4240995784116,17.5891006993676 62.4279986582589,17.5845063800043 62.4323974517313,17.5818508712255 62.4371270924872,17.5812370960827 62.4420059305516,17.5826896309812 62.4468464965987,17.5861536106756 62.4514627029048,17.5914966911556 62.4556770047889,17.5985140172139 62.4593272458057,17.6069360219386 62.4622729202629,17.616438769665 62.4644006076864,17.6266564475267 62.4656283650594,17.6371955190881 62.4659089029066,17.6476499815464 62.4652314190208,17.6576171196929 62.4636220168423,17.6667131280005 62.461142691912,17.6745879781282 62.4578889269459,17.6809389424357 62.453985991396,17.6855222428337 62.4495840924666,17.688162375087 62.4448525692762,17.6887587570772 62.4399733583825)))', 'SETYD', 'Tynderö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9473970107849 58.3212872236725,16.9462189285329 58.3164362169075,16.9432655247465 58.3117992964878,16.9386508834162 58.3075545363417,16.932552710753 58.3038648908826,16.9252054502925 58.3008719585423,16.9168912592716 58.2986905695035,16.907929195113 58.2974044011741,16.8986630230248 58.2970627856084,16.8894481028083 58.2976788280684,16.880637844032 58.2992289068581,16.8725702332231 58.3016535731292,16.8655549343985 58.3048598172839,16.8598614451387 58.3087246176251,16.85570875479 58.3130996387673,16.8532568999099 58.3178169036822,16.8526007457855 58.3226952257192,16.8537662433063 58.3275471569675,16.856709319811 58.3321861881643,16.8613174635432 58.3364339240351,16.867413957494 58.34012695714,16.8747646137002 58.3431231733091,16.8830867579563 58.3453072424261,16.8920601220328 58.3465950790649,16.9013392204097 58.3469370971856,16.9105667253719 58.3463201302407,16.9193873114342 58.3447679406711,16.927461419833 58.3423402986727,16.9344783973539 58.3391306668714,16.9401684908535 58.3352625827029,16.9443132279626 58.3308848814853,16.9467537829331 58.3261659482637,16.9473970107849 58.3212872236725)))', 'SETYT', 'Tyrislöt', 'Y'),('SRID=4326;MULTIPOLYGON(((11.9803978047013 58.3489044291161,11.9790774826239 58.3440645714048,11.9759873380402 58.3394530728719,11.9712466939673 58.3352470239268,11.9650380757796 58.3316078871627,11.9576001446248 58.3286753188514,11.9492185157839 58.3265618314823,11.9402148162674 58.3253484979898,11.9309343970025 58.325081858509,11.9217331608697 58.3257721451539,11.912963997678 58.3273928910283,11.9049633304048 58.3298819381628,11.8980382734313 58.3331438070272,11.8924548831164 58.3370533394622,11.8884279441872 58.3414604790141,11.8861126827501 58.3461960094268,11.8855987293033 58.3510780350343,11.8869065745747 58.3559189574448,11.8899866694943 58.360532682473,11.8947212210147 58.3647417807464,11.9009286312992 58.3683843254397,11.9083704230962 58.3713201414549,11.9167603933798 58.3734362218687,11.9257756452312 58.3746510989787,11.935069068983 58.3749179976473,11.9442827819357 58.3742266463015,11.9530619947948 58.3726036739288,11.9610687546113 58.3701115774635,11.9679950194715 58.3668463006694,11.9735745491303 58.3629335205322,11.9775931466134 58.3585237879385,11.979896855725 58.3537867139108,11.9803978047013 58.3489044291161)))', 'SEUDD', 'Uddevalla', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6564661351406 56.8158623582475,12.6558963723065 56.8109811754564,12.6536017909878 56.8062547229082,12.6496711577016 56.8018645491785,12.6442559421715 56.7979792246719,12.6375644330961 56.7947478851119,12.629853705808 56.7922945269757,12.6214197546719 56.7907132700491,12.6125861676028 56.7900647649632,12.6036917704127 56.7903738800607,12.5950777037271 56.7916287538158,12.5870744142897 56.7937812479986,12.5799890452588 56.7967487845723,12.5740936965652 56.8004174976993,12.5696149968022 56.8046465829688,12.5667253830163 56.8092736807322,12.5655364251154 56.8141210908724,12.5660944587954 56.8190025839265,12.5683787068387 56.8237305495326,12.5723019758744 56.8281232087661,12.5777139173199 56.8320116128276,12.5844067409288 56.8352461571595,12.5921231712457 56.8377023573869,12.600566345673 56.8392856610412,12.6094112721324 56.8399351058948,12.6183173984902 56.8396256805336,12.6269417984584 56.8383692937185,12.6349524521431 56.8362143140293,12.6420410952468 56.8332436978995,12.6479351293934 56.8295717800012,12.6524081261204 56.8253398526425,12.6552885166183 56.8207107081541,12.6564661351406 56.8158623582475)))', 'SEUGG', 'Ugglarp', 'Y'),('SRID=4326;MULTIPOLYGON(((11.344560750234 58.4521389763214,11.3433233485672 58.447292182269,11.3403066440685 58.4426650075473,11.3356271520675 58.438435148457,11.3294650650836 58.4347649843453,11.3220572732789 58.4317953636078,11.313688248269 58.4296402204525,11.3046791424602 58.4283822248243,11.2953755179992 58.4280696283662,11.2861341661705 58.4287144241586,11.2773095087405 58.4302918888374,11.2692400867902 58.4327415242347,11.2622356397528 58.4359693636341,11.2565652577094 58.4398515568333,11.2524470538075 58.4442391001825,11.2500397515879 58.448963534289,11.2494365150947 58.4538433947483,11.2506612694661 58.45869117152,11.2536676684307 58.4633205116815,11.2583407655823 58.4675533892642,11.2645013419611 58.4712269653833,11.2719127373846 58.4741998721962,11.280289931622 58.4763576752192,11.2893105285772 58.4776172995663,11.2986272166785 58.4779302456361,11.3078812158171 58.4772844671229,11.3167161787852 58.4757048370013,11.3247919955761 58.473252183109,11.3317979532021 58.4700209317016,11.3374647316122 58.4661354524285,11.3415747662826 58.4617452492144,11.3439705773646 58.4570191863917,11.344560750234 58.4521389763214)))', 'SEUGN', 'Ulebergshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.7148435377136 63.023896615941,18.7141703185794 63.0190192213415,18.7114161831537 63.0142951764866,18.7066878791911 63.0099059110888,18.7001677573816 63.0060199190849,18.6921066660487 63.0027863113982,18.6828142684464 63.0003291199972,18.6726471611117 62.9987425669287,18.6619952469633 62.9980874747555,18.6512668751116 62.9983889516014,18.6408732997229 62.999635436378,18.6312130322628 63.0017791393583,18.6226566647819 63.0047378617235,18.6155327266089 63.0083981267249,18.6101151030308 63.0126195063183,18.6066124927185 63.0172399821793,18.6051603115436 63.0220821404761,18.6058153653308 63.0269599671318,18.6085535148994 63.0316859859038,18.6132704461929 63.0360784665694,18.6197855399087 63.0399684256975,18.6278487132109 63.0432061484065,18.6371499858912 63.045666976253,18.6473314102661 63.0472561335734,18.6580009037756 63.04791240133,18.6687474410053 63.0476104924267,18.6791570022677 63.0463620337289,18.6888286423896 63.0442151154762,18.697390037937 63.0412524259844,18.7045118941098 63.0375880459617,18.7099206425933 63.0333630299269,18.7134089358728 63.0287399498187,18.7148435377136 63.023896615941)))', 'SEULH', 'Ulvöhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1541634966669 57.3960521744658,12.1536536609205 57.3911697345413,12.1513898945 57.3864347881358,12.1474598082441 57.3820292116121,12.1420148765361 57.3781221664803,12.1352645489948 57.3748636202988,12.1274681706518 57.3723786105804,12.1189250257179 57.3707624680249,12.1099628859364 57.3700771783475,12.1009254960384 57.3703490186812,12.092159464859 57.3715675565887,12.0840010505854 57.3736860488191,12.0767633320417 57.3766232248074,12.0707242448448 57.3802663883162,12.0661159319265 57.3844757212828,12.0631158128576 57.3890896285686,12.0618397165561 57.3939309225225,12.0623373486768 57.3988136135627,12.0645902801771 57.4035500486669,12.0685125497346 57.4079581248321,12.0739538729885 57.411868300001,12.0807053496768 57.4151301300957,12.0885074598239 57.4176180776573,12.0970600466059 57.4192363647255,12.1060339008426 57.4199226791019,12.1150834943808 57.4196505876521,12.1238603604887 57.4184305610436,12.1320265914576 57.416309569169,12.1392679184432 57.4133692631421,12.1453058564784 57.4097228157206,12.1499084375843 57.4055105449131,12.1528991148082 57.4008944931173,12.1541634966669 57.3960521744658)))', 'SEULK', 'Ulkehall', 'Y'),('SRID=4326;MULTIPOLYGON(((19.1363266393757 63.270734937245,19.1355773348456 63.2658595259077,19.1327315266979 63.2611436021042,19.1278994954104 63.2567682788009,19.1212675779281 63.2529015097474,19.1130909091764 63.2496916636655,19.1036835761031 63.247261857357,19.0934065687519 63.2457052602118,19.0826539880734 63.2450815451369,19.0718380282523 63.2454146175482,19.0613732913671 63.246691706347,19.05166101371 63.2488638503568,19.0430737858601 63.2518477621846,19.0359413326105 63.2555290005477,19.0305378842734 63.259766333445,19.0270716181537 63.2643971297577,19.0256765788563 63.2692435775259,19.0264073998706 63.2741194947399,19.0292370484978 63.2788374743416,19.0340577043971 63.2832160903886,19.0406847624252 63.2870868878422,19.0488638274706 63.2903008846936,19.0582804477784 63.2927343322238,19.0685722194114 63.2942935066989,19.0793427936888 63.2949183428357,19.0901772370575 63.2945847645464,19.1006581334797 63.2933056199453,19.1103817865164 63.2911301831869,19.1189738737919 63.2881422429566,19.126103930716 63.2844568538252,19.1314980918021 63.2802158797105,19.1349495936487 63.2755825060727,19.1363266393757 63.270734937245)))', 'SEULT', 'Ultrå', 'Y'),('SRID=4326;MULTIPOLYGON(((20.306454765091 63.8332818622013,20.3054898167415 63.8284133276982,20.3023934479189 63.8237214273879,20.2972855859338 63.8193863385352,20.2903631602384 63.8155744574097,20.2818924380556 63.8124320350437,20.2721987554666 63.8100795929891,20.2616540439699 63.8086073281931,20.2506626273468 63.8080716780578,20.2396458209669 63.8084931729577,20.2290259045848 63.8098556555134,20.2192100597894 63.8121068953796,20.2105748643678 63.8151605768468,20.2034519179365 63.8188995858303,20.1981151364505 63.8231804744772,20.1947701980383 63.8278389372726,20.1935465498234 63.8326960937444,20.1944922962898 63.8375653411179,20.1975721863514 63.8422595168871,20.2026688014361 63.8465980973704,20.209586924333 63.8504141547299,20.2180609428884 63.8535608021403,20.2277650191853 63.8559168748245,20.2383256393811 63.8573916231038,20.2493360577364 63.8579282314872,20.2603720660332 63.8575060237152,20.2710084611918 63.8561412656958,20.2808355528756 63.8538865341941,20.2894750510632 63.8508286764905,20.2965947010881 63.8470854424645,20.3019210888507 63.8428009231927,20.3052501185759 63.838139976919,20.306454765091 63.8332818622013)))', 'SEUME', 'Umeå', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8495857524003 56.0417010804569,15.8486221949788 56.0368380528313,15.8459829327627 56.032173654604,15.8417699111017 56.0278870320617,15.8361453724719 56.0241427666094,15.8293255703106 56.0210845730057,15.8215724426552 56.018829803137,15.8131835679074 56.0174649625,15.8044807853499 56.017042407714,15.7957979091631 56.0175783486656,15.7874679956389 56.0190522299196,15.7798106384433 56.0214075145102,15.773119765866 56.0245538409215,15.767652397016 56.0283704727395,15.7636187811897 56.0327109118729,15.7611742968033 56.0374085020918,15.7604134243793 56.0422828115402,15.7613660336297 56.0471465522951,15.7639961397598 56.0518127732546,15.76820319135 56.0561020506381,15.7738258548145 56.0598493988656,15.7806481621954 56.062910633854,15.788407794061 56.0651679406936,15.7968061818034 56.0665344276562,15.8055200378715 56.066957487484,15.8142138622407 56.066420833402,15.8225529318551 56.0649451294135,15.8302162591162 56.0625871899795,15.8369090068468 56.0594377807923,15.8423738704657 56.0556181075906,15.8464009820777 56.0512751314886,15.8488359534749 56.0465758949462,15.8495857524003 56.0417010804569)))', 'SEUNR', 'Ungskär', 'Y'),('SRID=4326;MULTIPOLYGON(((17.4567158629903 60.6220779616061,17.4553717155581 60.6172343770699,17.4521312683929 60.6126126575135,17.4471197283759 60.60839027802,17.4405301046102 60.6047293146908,17.4326157278604 60.6017702447064,17.4236805010027 60.5996265800354,17.4140672572125 60.5983805361302,17.4041446676 60.5980798973833,17.3942931888887 60.5987361960262,17.3848905736684 60.6003242721587,17.3762974802341 60.6027832313291,17.3688437158511 60.6060187642755,17.3628156264707 60.6099067427622,17.3584451077543 60.6142979576258,17.3559006573285 60.6190238218224,17.3552808175125 60.6239028240146,17.3566102728699 60.6287474885225,17.3598387700536 60.6333715765376,17.3648429214577 60.6375972524009,17.3714308428309 60.6412619381694,17.3793494625872 60.6442245899552,17.3882942318953 60.6463711504925,17.3979208648294 60.6476189634586,17.407858651901 60.647919975137,17.4177248227063 60.6472625965203,17.4271393879133 60.6456721519257,17.4357398699487 60.6432098963823,17.4431953367022 60.6399706409956,17.4492191830568 60.6360790807096,17.4535801593176 60.6316849699833,17.4561112206114 60.626957336729,17.4567158629903 60.6220779616061)))', 'SEUPB', 'Upplandsbodarna', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8265721805841 56.0297094331863,15.8256118279745 56.024846206879,15.8229761672378 56.0201812966751,15.8187670052275 56.0158938687232,15.8131464362796 56.0121485355394,15.806330561712 56.0090890530226,15.7985811692431 56.0068328226316,15.7901956944391 56.0054664059565,15.7814958466126 56.0050422200801,15.77281532773 56.0055765374152,15.764487103851 56.0070488647359,15.7568307038052 56.0094027246064,15.7501400189183 56.0125478101024,15.7446720606557 56.016363432389,15.7406371003493 56.0207031321299,15.7381905673772 56.0254002815431,15.7374270202977 56.0302744658145,15.7383764310398 56.0351384019874,15.7410029373651 56.039805131636,15.7452061260952 56.0440952116181,15.750824812273 56.0478436256706,15.7576431812179 56.0509061488604,15.7653990654678 56.0531649168135,15.7737940411424 56.0545329816186,15.7825049525065 56.0549576752796,15.7911964132679 56.0544226480778,15.7995337915626 56.0529485013101,15.8071961648833 56.0505919894072,15.8138887325283 56.0474438230417,15.8193541964022 56.0436251600832,15.8233826649234 56.0392829227824,15.8258196970303 56.0345841252415,15.8265721805841 56.0297094331863)))', 'SEUTL', 'Stenshamn, Utlängan', 'Y'),('SRID=4326;MULTIPOLYGON(((15.7514867670047 55.9547367718642,15.7505377695931 55.9498728724082,15.7479163029392 55.9452062641533,15.7437236269393 55.9409161792504,15.7381212022075 55.9371673330435,15.7313244339527 55.934103617024,15.7235943779709 55.9318425957074,15.7152277298664 55.9304710148832,15.7065454789111 55.9300414898848,15.6978806540981 55.9305704978392,15.6895656209479 55.9320377489018,15.6819194028725 55.9343869599691,15.6752355000975 55.9375280020451,15.6697706623055 55.9413403410914,15.6657350385974 55.9456776435769,15.6632840807188 55.9503733737556,15.6625125138098 55.9552471715568,15.6634506147206 55.9601117693402,15.6660629532541 55.9647801839103,15.6702496591866 55.9690729081219,15.6758501807937 55.9728248248203,15.6826494026026 55.97589157506,15.6903858952885 55.9781551323927,15.6987619833181 55.979528364943,15.7074552402752 55.9799584059165,15.7161309616003 55.9794286996338,15.7244551228752 55.9779596422537,15.7321073110127 55.9756077918755,15.7387931169005 55.9724636793072,15.744255501127 55.9686483060417,15.7482846881269 55.9643084675424,15.7507262060858 55.9596110856398,15.7514867670047 55.9547367718642)))', 'SEUTN', 'Utklippan', 'Y'),('SRID=4326;MULTIPOLYGON(((18.3752629729535 58.9729880187922,18.3747055432039 58.9681071339807,18.3723154026891 58.963376165787,18.3681850843104 58.958976830372,18.3624738017674 58.9550780389956,18.355401257099 58.9518294301197,18.3472391643614 58.9493556477725,18.3383008201535 58.9477515816623,18.3289291198465 58.9470787473987,18.319483471512 58.9473629418706,18.3103260966108 58.9485932609553,18.301808226863 58.9507225159331,18.2942567100639 58.9536690330042,18.2879615239032 58.9573197688529,18.2831646663264 58.9615346260274,18.2800508441513 58.9661518066611,18.2787403194451 58.9709940033707,18.2792841969033 58.9758751935124,18.2816623470998 58.9806077786892,18.2857840625484 58.9850097965702,18.2914914392682 58.9889119275147,18.2985653698501 58.9921640246424,18.3067339292488 58.9946409128701,18.315682836377 58.9962472296468,18.3250675877539 58.9969211167188,18.3345267883975 58.996636616916,18.3436961536269 58.9954046808455,18.3522226263009 58.9932727433987,18.359778048908 58.9903228867577,18.3660718491374 58.986668662658,18.3708622400433 58.9824506996057,18.3739654993019 58.9778312683085,18.3752629729535 58.9729880187922)))', 'SEUTO', 'Utö', 'Y'),('SRID=4326;MULTIPOLYGON(((15.7446446268182 56.0917388553215,15.7436929730681 56.0868750178824,15.741062891101 56.0822083906132,15.7368559765125 56.0779182059107,15.7312342401866 56.0741691822078,15.7244138305596 56.0711052169221,15.7166567108864 56.0688438832414,15.708260613752 56.0674719381775,15.6995476555462 56.0670420105238,15.6908520398998 56.067570592669,15.6825073101733 56.0690374112779,15.6748336263819 56.0713862003472,15.6681255411399 56.0745268478418,15.6626407323335 56.0783388357807,15.6585901175833 56.0826758450338,15.6561297277801 56.0873713519077,15.6553546551173 56.0922450054541,15.6562953166044 56.0971095437913,15.6589161890971 56.1017779858641,15.6631170790578 56.1060708229888,15.6687368927986 56.1098229329257,15.675559774582 56.1128899484062,15.6833233847922 56.1151538318779,15.6917290027198 56.1165274381458,15.7004530625192 56.1169578855129,15.70915967044 56.1164286024686,15.7175136096452 56.1149599690539,15.725193318059 56.1126085275602,15.7319033258742 56.1094647938308,15.7373856625126 56.105649755698,15.7414297867215 56.1013101966562,15.743880655737 56.0966130285805,15.7446446268182 56.0917388553215)))', 'SEUTS', 'Uttorp, Sturkö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.3989183183097 60.7490988019111,17.3975770996375 60.744254702835,17.3943316937549 60.7396316897907,17.3893075054431 60.7354072872741,17.3826980352809 60.7317436484057,17.3747573793777 60.7287813521427,17.3657904500122 60.7266340332347,17.3561412951067 60.7253840463844,17.3461799597225 60.7250793265306,17.3362883818638 60.7257315621115,17.3268458469726 60.7273157491845,17.3182145400948 60.7297711430432,17.3107257315873 60.7330035721584,17.3046671114334 60.7368890286131,17.300271749028 60.7412784013678,17.297709100263 60.746003175353,17.2970784128947 60.750881882111,17.2984047960644 60.7557270579482,17.3016381226545 60.7603524445923,17.3066548268453 60.7645801561891,17.3132625474504 60.7682475358412,17.3212074547193 60.7712134350914,17.3301839891456 60.7733636706674,17.3398466405249 60.7746154438295,17.3498233090774 60.7749205476883,17.3597297224582 60.7742672353444,17.3691843366473 60.7726806746678,17.377823127634 60.7702219717258,17.3853136856763 60.7669858018259,17.391368054445 60.763096742386,17.3957538117841 60.7587044529669,17.3983029640874 60.7539778926732,17.3989183183097 60.7490988019111)))', 'SEUTV', 'Utvalnäs', 'Y'),('SRID=4326;MULTIPOLYGON(((11.244000710541 58.7721735771424,11.2427648222579 58.7673260220533,11.2397326785019 58.762696790326,11.2350214024477 58.7584636564379,11.2288124183925 58.754789123841,11.2213444233086 58.7518142064597,11.2129042005297 58.7496530394508,11.2038156305386 58.7483885218002,11.1944273162981 58.7480691538547,11.1850992877566 58.7487071877961,11.1761892811469 58.7502781599738,11.1680391029441 58.7527218225854,11.1609615856215 58.7559444401807,11.1552286226604 58.7598223655742,11.1510607339482 58.764206761725,11.1486185603505 58.7689292926446,11.1479966189364 58.7738085690108,11.1492195696113 58.7786571043615,11.1522411519516 58.7832885167693,11.1569458506616 58.7875246997683,11.1631532427871 58.7912026857076,11.1706248737163 58.7941809349229,11.1790734065944 58.7963448050157,11.1881736958022 58.7976109854792,11.1975753542305 58.797930722818,11.2069163203955 58.7972917086133,11.2158368884252 58.7957185557522,11.223993643963 58.7932718440271,11.2310727531982 58.7900457730886,11.2368020802988 58.7861645158626,11.2409616589075 58.7817774166309,11.2433921132975 58.777053222901,11.244000710541 58.7721735771424)))', 'SEVAB', 'Västbacken', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5836124377362 56.0621585510479,14.5828077948969 56.0572863443065,14.5803202477094 56.0525955490389,14.5762459280432 56.0482663337308,14.5707417725974 56.0444649217024,14.5640194369088 56.041337225474,14.5563371413751 56.0390032658323,14.5479897656462 56.0375525860624,14.5392975693219 56.0370408335453,14.530593964387 56.0374876366547,14.5222127971805 56.0388758562142,14.5144756142891 56.0411522394102,14.5076793872826 56.044229451746,14.5020851556531 56.0479894111461,14.4979080159827 56.0522877994292,14.4953088388503 56.0569595817698,14.494388034318 56.0618253260799,14.4951816134723 56.0666980829352,14.4976597094522 56.0713905640327,14.5017276292477 56.0757223442352,14.5072294104828 56.0795268097406,14.5139537590754 56.082657583165,14.5216421481841 56.0849941752461,14.5299987704684 56.0864466419335,14.5387019586233 56.0869590638035,14.5474166272551 56.0865117105794,14.5558072456745 56.0851218051877,14.5635508284321 56.0828428570952,14.5703494296377 56.0797625912813,14.5759416483513 56.075999554686,14.5801126944415 56.0716985339657,14.582702625023 56.06702496471,14.5836124377362 56.0621585510479)))', 'SEVAE', 'Valje', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((12.2958017071668 57.1009969422377,12.2952760420876 57.0961147488957,12.2930109565185 57.0913821579738,12.2890940986282 57.0869809553766,12.2836764233485 57.0830801354876,12.2769663257099 57.0798294283454,12.2692216026252 57.0773535724172,12.2607395564644 57.0757475489879,12.2518456190735 57.075072957059,12.2428809259199 57.0753556642833,12.2341893057037 57.0765848214672,12.2261041703878 57.0787132772129,12.2189357938359 57.0816593771105,12.2129594540742 57.0853100802753,12.2084048848485 57.089525276698,12.2054474371984 57.0941431435472,12.2042012921364 57.0989863388432,12.2047149925869 57.1038687982992,12.2069694784146 57.1086028769335,12.2108787151633 57.1130065623513,12.2162929081518 57.1169104821826,12.2230041924994 57.1201644344511,12.2307545906306 57.1226431866485,12.2392459362028 57.1242513165584,12.2481513816183 57.1249269044866,12.2571280394145 57.1246439311478,12.26583025938 57.1234132862492,12.2739230158344 57.1212823476804,12.2810948746655 57.118333147839,12.2870700277041 57.1146791995483,12.2916189218755 57.1104611068588,12.2945670701173 57.1058411335314,12.2958017071668 57.1009969422377)))', 'SEVAG', 'Varberg', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6522460402185 58.2023972872324,16.6511124351215 58.1975432863476,16.648207576589 58.1928992585041,16.6436436830348 58.1886435531723,16.6375965141597 58.1849395473387,16.6302985602925 58.1819293925031,16.6220300927858 58.1797285809743,16.6131084216152 58.1784215358585,16.6038757686634 58.1780583899296,16.5946862124793 58.1786530736573,16.5858921916483 58.180182783662,16.5778310687293 58.182588851451,16.5708122547561 58.1857789801971,16.5651053755856 58.1896307662962,16.5609299262018 58.1939963742096,16.5584468080839 58.1987081893439,16.5577520789604 58.203585236041,16.5588731652257 58.2084401175936,16.5617676971396 58.2130862138533,16.5663250284213 58.2173448604526,16.5723703984183 58.2210522326246,16.5796715906679 58.2240656663748,16.5879478408065 58.2262691702093,16.5968806540243 58.2275779111422,16.6061261121611 58.227941498226,16.6153281871914 58.2273459338291,16.6241325346456 58.2258141554053,16.6322002198292 58.2234051463461,16.6392208326648 58.2202116512608,16.6449244734383 58.2163565862485,16.6490921401856 58.2119882860323,16.6515641162642 58.2072747750835,16.6522460402185 58.2023972872324)))', 'SEVAK', 'Valdemarsvik', 'Y'),('SRID=4326;MULTIPOLYGON(((17.231614746479 61.1781589914427,17.2302794492023 61.1733134770207,17.2270129941481 61.1686867971005,17.2219416199849 61.1644566158918,17.2152606586844 61.1607853059841,17.2072269621431 61.1578137375211,17.1981490156498 61.1556558975152,17.18837512044 61.1543945410873,17.1782800937196 61.1540780369543,17.1682509843489 61.154718524499,17.1586723349986 61.1562914508525,17.1499115365343 61.1587365052365,17.1423048174576 61.1619599160503,17.1361443904427 61.1658380255446,17.1316672396253 61.1702220090841,17.1290459769015 61.1749435626167,17.1283821240622 61.1798213446098,17.1297020916597 61.184667928843,17.1329560272656 61.1892970033274,17.1380195981827 61.1935305393035,17.1446986604154 61.1972056534497,17.1527366511883 61.2001808964615,17.1618244314592 61.2023417219095,17.1716122028903 61.2036049201654,17.1817230357444 61.20392184211,17.1917674748152 61.2032802847521,17.2013586436197 61.2017049638305,17.2101272453176 61.1992565546756,17.2177358634384 61.1960293396225,17.2238919962008 61.1921475555814,17.2283593132347 61.1877605866036,17.2309666997497 61.1830371912464,17.231614746479 61.1781589914427)))', 'SEVAL', 'Vallvik', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9305856696058 56.9023039765238,16.9294587986384 56.8974514913328,16.9266241706985 56.8928124906549,16.9221912530586 56.8885651346962,16.9163307357375 56.8848724866063,16.9092679211678 56.8818762704666,16.9012740530693 56.8796914526339,16.892655919644 56.8784018504683,16.8837441264997 56.8780569331343,16.8748804804515 56.8786699341122,16.8664049555782 56.8802173459037,16.8586427270558 56.8826398158557,16.8518917560817 56.8858444098198,16.8464113906801 56.8897081592624,16.8424124126448 56.8940827591881,16.8400489109992 56.8988002405373,16.8394122981991 56.9036794031536,16.8405277084186 56.9085327654574,16.843352929786 56.9131737658614,16.8477799270933 56.9174239397198,16.8536389116402 56.9211197948839,16.860704814348 56.9241191190245,16.8687059213585 56.9263064726195,16.8773343424118 56.9275976522613,16.8862579057005 56.9279429486288,16.8951330125088 56.9273290705368,16.9036179439583 56.9257796590167,16.9113860928063 56.9233543711627,16.9181385965411 56.9201465701236,16.9236158737924 56.9162797126815,16.9276076129121 56.9119025769961,16.9299608269366 56.9071835181728,16.9305856696058 56.9023039765238)))', 'SEVAS', 'Valsnäs', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2682299020227 61.5501421669131,17.266871726668 61.5452973685767,17.2635596644313 61.5406720282753,17.2584217255672 61.5364437564153,17.2516558112926 61.5327748491164,17.2435220399833 61.5298060807959,17.2343327348539 61.5276513276769,17.2244404602292 61.5263932237691,17.2142245602259 61.5260800113858,17.2040767038608 61.5267237032861,17.1943859734369 61.5282996246409,17.1855240480743 61.5307473518839,17.1778310312342 61.5339730137828,17.1716024500625 61.5378528694745,17.1670779156053 61.5422380304067,17.1644318769858 61.5469601497776,17.1637668304696 61.5518378657356,17.1651092574896 61.5566837547334,17.1684084663753 61.5613115303225,17.1735384036771 61.5655432113469,17.1803023863461 61.5692159826733,17.1884405900816 61.5721884816214,17.1976400168768 61.5743462640135,17.2075465614765 61.5756062346596,17.2177787072868 61.5759198670516,17.2279423120087 61.5752750844878,17.2376458957896 61.5736967278413,17.2465158227013 61.5712455914305,17.254210771122 61.5680160655031,17.2604349198455 61.5641324791858,17.2649493326308 61.5597442889846,17.2675811012885 61.5550203028789,17.2682299020227 61.5501421669131)))', 'SEVAT', 'Våtnäs', 'Y'),('SRID=4326;MULTIPOLYGON(((16.505936342129 57.1794572515294,16.5048558623019 57.174600957804,16.5020523566433 57.1699524111545,16.4976341123883 57.1656901400718,16.4917712707069 57.1619777808597,16.4846892351797 57.1589578136022,16.4766599949931 57.1567461146811,16.467991698456 57.1554275309454,16.4590168735415 57.1550526414866,16.4500797386305 57.1556358280767,16.4415230775182 57.1571547262796,16.4336751674582 57.1595510777559,16.4268372472956 57.1627329520896,16.4212719945981 57.1665782553233,16.4171934464519 57.1709393940501,16.4147587488743 57.1756489200536,16.4140620556729 57.1805259427222,16.4151308205796 57.1853830662449,16.4179246387251 57.1900335871929,16.4223366977097 57.1942986765067,16.4281977980161 57.1980142688329,16.4352828011753 57.2010373918755,16.4433192662087 57.2032516888125,16.4519979448907 57.2045719172702,16.4609847286593 57.2049472477624,16.4699335785036 57.2043632313736,16.4784999271331 57.2028423588697,16.4863540224566 57.20044318916,16.4931936839804 57.1972580817114,16.4987559690331 57.193409622694,16.5028272923284 57.1890458859538,16.5052516077679 57.1843347152307,16.505936342129 57.1794572515294)))', 'SEVAV', 'Vånevik', 'Y'),('SRID=4326;MULTIPOLYGON(((18.3294936552432 57.6509907436614,18.3289577517355 57.6461089660434,18.3266562510784 57.6413770191154,18.322678222525 57.6369766618706,18.317176986917 57.6330768529355,18.3103641568062 57.6298272796188,18.3025014736378 57.6273526329168,18.2938907602662 57.6257478443187,18.2848623731818 57.6250744631231,18.2757625904367 57.6253583096245,18.2669404073074 57.6265884915603,18.2587342315446 57.6287178203002,18.2514589733153 57.6316646111441,18.2453940116075 57.6353158005282,18.2407724891752 57.6395312636598,18.2377723426123 57.6441491707945,18.2365094137695 57.6489921806676,18.2370329148431 57.6538742369625,18.2393234339922 57.6586077094863,18.2432935737973 57.6630106069881,18.2487912144077 57.6669135841108,18.2556052905801 57.6701664712182,18.2634738711711 57.6726440728194,18.2720942354988 57.674251007568,18.2811345578017 57.6749253994328,18.290246742996 57.6746412742539,18.2990799076414 57.6734095667199,18.3072939721494 57.6712776977204,18.3145728253634 57.6683277386874,18.3206365409945 57.664673235513,18.325252165996 57.6604548174846,18.328242661606 57.6558347642021,18.3294936552432 57.6509907436614)))', 'SEVBY', 'Visby', 'Y'),('SRID=4326;MULTIPOLYGON(((18.3626164507056 56.947970841061,18.362083584606 56.9430887639503,18.3598186928583 56.9383572857464,18.3559094094679 56.9339581496704,18.3505063927764 56.9300602712165,18.3438174710292 56.9268132682797,18.3360996264648 56.9243417381025,18.3276491303302 56.9227404969208,18.3187902062496 56.9220709610241,18.3098626501592 56.922358804551,18.3012088704831 56.9235929813083,18.2931608317004 56.9257261469249,18.2860273875913 56.9286764654717,18.2800824772338 56.9323307330524,18.2755546274849 56.9365487015541,18.272618160791 56.9411684404279,18.2713864476633 56.946012534682,18.2719074704014 56.9508948846929,18.2741618805791 56.9556278492955,18.2780636399131 56.9600294589787,18.2834632355323 56.9639304216644,18.2901533600208 56.9671806499116,18.2978768480367 56.9696550554533,18.3063365691704 56.9712583843053,18.3152068953744 56.9719289023483,18.3241462948401 56.9716407859207,18.3328105560939 56.9704051227624,18.3408661189298 56.9682694835361,18.3480029840994 56.9653160807561,18.3539466917018 56.9616585878655,18.3584688979917 56.9574377440014,18.3613961396895 56.9528159174599,18.3626164507056 56.947970841061)))', 'SEVDB', 'Vändburg', 'Y'),('SRID=4326;MULTIPOLYGON(((11.745722806049 57.8289967943721,11.7444552300896 57.8241537634834,11.7414417000986 57.8195356608803,11.7367985791092 57.8153198346271,11.7307046381558 57.8116681273354,11.7233941349549 57.8087206824041,11.7151478009373 57.8065905872238,11.7062820845258 57.8053595548253,11.6971370591865 57.8050748057554,11.688063450458 57.805747266668,11.6794092659801 57.8073511528583,11.6715065259418 57.8098249504138,11.6646585881159 57.8130737615611,11.6591285417755 57.8169729258894,11.6551291086213 57.8213727821729,11.6528144370449 57.8261043921639,11.652274109694 57.8309860105892,11.6535296049752 57.8358300560971,11.6565333630082 57.8404503173256,11.6611705084511 57.8446691175797,11.6672631799943 57.8483241614838,11.6745773131807 57.8512747976699,11.68283162395 57.8534074529077,11.6917084494919 57.85464002442,11.7008660250741 57.8549250573436,11.7099517144941 57.8542515818103,11.7186156709334 57.8526455369919,11.7265243865096 57.850168765433,11.7333735937303 57.8469166176728,11.738900010072 57.8430142620912,11.7428914664713 57.838611845753,11.7451950289257 57.8338786966504,11.745722806049 57.8289967943721)))', 'SEVDH', 'Vedhall', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8708970603812 57.941318241729,16.8697428525525 57.93646612819,16.8668315928789 57.9318269480713,16.8622757322391 57.927578864337,16.8562507103664 57.9238849618831,16.8489881591939 57.9208870056371,16.8407669873415 57.9187000214509,16.8319026904176 57.9174079036613,16.8227352935428 57.9170602138849,16.8136163792991 57.9176702906168,16.8048956852305 57.9192147401321,16.796907769503 57.9216343277265,16.7899592411273 57.9248362362197,16.7843170322711 57.9286976076307,16.7801981549604 57.9330702357364,16.7777613335137 57.9377862335508,16.777100838431 57.9426644621786,16.7782427687148 57.9475174774858,16.7811439398718 57.9521587298357,16.7856934369076 57.9564097407864,16.7917167888916 57.9601069798003,16.7989826181195 57.9631081739889,16.8072115169201 57.9652978045529,16.8160868133281 57.9665915742675,16.8252668076495 57.9669396700253,16.834397999452 57.9663286915238,16.8431287820415 57.9647821697745,16.8511230613651 57.9623596549612,16.8580732596141 57.9591544099072,16.8637121904011 57.9552898005549,16.8678233407594 57.9509145260743,16.8702491627298 57.9461968763374,16.8708970603812 57.941318241729)))', 'SEVDK', 'Väderskär', 'Y'),('SRID=4326;MULTIPOLYGON(((19.9119745967776 63.5944349202323,19.9110849496247 63.5895638012757,19.9080793855375 63.5848635333748,19.9030743327152 63.5805146198718,19.8962627700364 63.5766839925501,19.8879067144419 63.5735186261682,19.8783271138096 63.5711399259015,19.8678915393535 63.569639097974,19.8570001464385 63.5690736759049,19.8460704301849 63.5694653311388,19.8355213414987 63.5707990489314,19.8257573497212 63.5730236998472,19.8171530397599 63.5760539857362,19.8100388143269 63.5797736882633,19.8046882359506 63.5840400995974,19.8013074891589 63.5886894703713,19.8000273714506 63.5935432710483,19.8008981336774 63.5984150308581,19.8038873882461 63.6031174948357,19.8088811899302 63.6074698253069,19.8156882727375 63.6113045702868,19.8240473017536 63.6144741281415,19.8336368764313 63.6168564555814,19.8440879071019 63.6183597941772,19.8549978853297 63.6189262281822,19.8659464865423 63.6185339320934,19.8765118847628 63.6171980182196,19.8862871276676 63.6149699503309,19.8948959174696 63.6119355467812,19.9020071694481 63.608211652783,19.9073477737633 63.6039416142803,19.9107130643513 63.5992897328429,19.9119745967776 63.5944349202323)))', 'SEVDT', 'Vadet', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8317588916426 56.215792943686,12.8311736911925 56.2109120313675,12.8288914343303 56.2061884989273,12.825000389837 56.2018037836273,12.8196504871792 56.1979262485585,12.8130474943308 56.1947047337238,12.8054450839305 56.1922628622863,12.7971350965967 56.1906943168249,12.7884363737278 56.1900592630327,12.7796825816201 56.1903820546791,12.7712094831349 56.1916503054478,12.7633421317822 56.1938153621485,12.7563824656193 56.1967941615377,12.7505977647616 56.2004724013405,12.746210406837 56.2047089067982,12.7433893099514 56.2093410288802,12.7422433936421 56.214190870818,12.7428173162794 56.2190721073281,12.745089664357 56.2237971371039,12.7489736776153 56.2281842949282,12.7543204970298 56.2320648458585,12.7609248240253 56.2352894907544,12.7685327828537 56.2377341299294,12.7768516882002 56.2393046594411,12.7855613409791 56.2399406115423,12.7943264109122 56.2396174957038,12.8028094181886 56.2383477475974,12.8106838007732 56.2361802483699,12.8176465501682 56.233198433118,12.8234299168664 56.2295170632545,12.8278117263563 56.2252777900614,12.8306239052324 56.2206436839315,12.8317588916426 56.215792943686)))', 'SEVEH', 'Vegeholm', 'Y'),('SRID=4326;MULTIPOLYGON(((12.8118775327678 56.3178010966196,12.8112936402959 56.3129201732074,12.8090080840983 56.3081963179915,12.8051092636429 56.3038109804207,12.799747410178 56.2999325470416,12.7931287525081 56.2967098917505,12.785507565206 56.2942666808339,12.7771764088055 56.2926966476744,12.7684549351904 56.2920600145984,12.7596776810258 56.2923811957436,12.7511813065746 56.2936478666261,12.7432917559357 56.2958114349843,12.7363118173093 56.2987888952263,12.7305095482874 56.302465997167,12.7261080016718 56.3067016104785,12.7232766424888 56.3113331210882,12.7221247876747 56.3161826562662,12.722697327747 56.3210639028431,12.724972906576 56.3257892591856,12.728864643656 56.3301770473124,12.7342233861194 56.3340585076025,12.7408433787859 56.3372843053402,12.7484701438441 56.3397302958298,12.756810271599 56.3413023225234,12.7655427443587 56.3419398595966,12.7743313509355 56.3416183552861,12.7828377027622 56.3403501832749,12.7907343367732 56.3381841643583,12.7977173863899 56.335203677204,12.8035183204027 56.3315234328174,12.8079142892554 56.327285039935,12.8107366770872 56.3226515357936,12.8118775327678 56.3178010966196)))', 'SEVEJ', 'Vejbystrand', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0769144683406 55.4676979629402,13.076307697035 55.4628175315226,13.0740371381499 55.4580981023035,13.0701905823171 55.4537209557861,13.0649162267481 55.4498541670378,13.0584169230479 55.4466461674086,13.0509423574321 55.4442200658255,13.0427794674864 55.4426689440282,13.0342414618666 55.4420523025698,13.0256558578217 55.4423937906661,13.0173519850336 55.4436803046507,13.0096484223434 55.4458624885799,13.0028408361291 55.4488566181972,12.9971906753962 55.4525477977853,12.9929151492986 55.456794350173,12.9901788684369 55.4614332350361,12.9890874728348 55.4662862912582,12.9896834984118 55.4711670669925,12.9919446519793 55.4758879774817,12.9957845747785 55.4802675167132,13.001056079418 55.484137245351,13.0075567483231 55.4873482844736,13.0150366874406 55.4897770624188,13.0232081411192 55.4913300899945,13.0317565969516 55.4919475765097,13.0403529467365 55.491605744096,13.0486662248481 55.4903177488392,13.0563764205688 55.4881331721938,13.0631868577023 55.4851361026859,13.068835653219 55.481441883605,13.073105805809 55.4771926548571,13.0758335229409 55.4725518642178,13.0769144683406 55.4676979629402)))', 'SEVEL', 'Vellinge', 'Y'),('SRID=4326;MULTIPOLYGON(((11.2159657908914 58.7461842231001,11.2147348067463 58.7413363508888,11.2117087173131 58.7367064050768,11.2070044125094 58.7324721878851,11.2008030487296 58.7287962446823,11.1933430306922 58.7258196438291,11.1849108362679 58.7236565853119,11.1758300388395 58.7223900408273,11.1664489442182 58.7220685885165,11.1571273063349 58.7227045604653,11.1482226169289 58.7242735719945,11.1400764787357 58.7267154503479,11.1330015689813 58.7299365283574,11.1272696803568 58.7338132177746,11.1231012903773 58.7381967289212,11.120657057747 58.7429187597965,11.1200315771153 58.7477979403893,11.1212496429635 58.7526467881155,11.1242651814866 58.7572789093129,11.1289629090466 58.7615161705786,11.1351626705769 58.7651955631117,11.1426263052904 58.7681754934225,11.1510667847138 58.7703412546446,11.1601592741491 58.7716094636183,11.169553687781 58.7719312887985,11.1788882439764 58.7712943413333,11.1878034842968 58.7697231544157,11.1959561997246 58.7672782319856,11.2030327117115 58.764053704645,11.2087609836447 58.7601736857718,11.2129210886209 58.7557874719233,11.2153536292533 58.7510637765616,11.2159657908914 58.7461842231001)))', 'SEVEN', 'Viken, Tanum', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7414465225716 57.5893683306902,16.7403216662197 57.5845146338556,16.7374559176925 57.5798720037692,16.7329599676489 57.5756187383342,16.7270069479556 57.5719181243123,16.7198257245563 57.5689121872501,16.7116920880933 57.5667162619468,16.7029181829021 57.5654145878007,16.6938405763982 57.565057094123,16.6848074174766 57.5656574955383,16.6761651634017 57.5671927685273,16.668245369214 57.5696040286845,16.6613520316464 57.5727987761176,16.6557499609723 57.5766544253424,16.651654619387 57.5810229877811,16.6492238141093 57.5857367312192,16.6485515684294 57.5906146029372,16.6496644159622 57.5954691731392,16.6525202745285 57.6001138340454,16.6570099591258 57.6043699785794,16.662961291746 57.6080738816632,16.6701456632904 57.6110830170204,16.6782868038429 57.6132815629404,16.6870714266395 57.6145848810589,16.6961613326046 57.6149427917844,16.7052065003588 57.6143415170003,16.7138586443986 57.6128042131888,16.7217847040254 57.6103900739302,16.7286797286514 57.6071920374345,16.734278651167 57.6033331899159,16.7383664886586 57.5989620068633,16.7407865763383 57.5942466194552,16.7414465225716 57.5893683306902)))', 'SEVEO', 'Västra Eknö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.829382154017 57.5659688805261,11.82811370784 57.5611265267148,11.8251124220349 57.5565101443708,11.8204941781931 57.5522970161391,11.8144367836329 57.5486488823193,11.8071730882811 57.5457057508285,11.7989820263066 57.5435805453315,11.7901779282293 57.5423547928726,11.781098509421 57.542075512606,11.7720919862585 57.5427534218982,11.763503800748 57.544362526771,11.7556634476835 57.5468411120795,11.7488718950751 57.5500940946944,11.7433900687261 57.5539966520562,11.7394288357831 57.5583989905079,11.7371408704895 57.5631320744873,11.736614719328 57.5680141005562,11.7378713038385 57.5728574708152,11.7408630098094 57.5774759997423,11.7454754140916 57.5816920778953,11.7515315983887 57.5853435158765,11.7587988970287 57.5882898027403,11.7669978272774 57.5904175344443,11.7758128607423 57.5916447993519,11.784904617236 57.5919243480515,11.7939230020778 57.5912454223102,11.8025207674258 57.5896341708515,11.8103669600415 57.5871526356193,11.8171597228981 57.5838963488424,11.8226379459462 57.5799906361093,11.8265913106118 57.5755857714531,11.8288683405262 57.5708511750275,11.829382154017 57.5659688805261)))', 'SEVGO', 'Vrångö', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5472314931961 58.9460591083042,17.5459463623582 58.9412149622193,17.5428580290295 58.9365934065626,17.5380857777224 58.932371918068,17.5318133731972 58.9287125502876,17.5242819425004 58.9257557327392,17.5157806963534 58.9236149043724,17.5066358482385 58.9223721830164,17.4971981519097 58.9220752328625,17.4878295250562 58.9227354468494,17.4788892575706 58.9243275116719,17.4707203167887 58.9267903717024,17.4636362589471 58.9300295561206,17.4579092359691 58.9339207827248,17.4537595498571 58.9383147039662,17.4513471540644 58.9430426173754,17.450765433298 58.947922925325,17.4520375118439 58.9527680994503,17.455115247883 58.9573918842759,17.4598809702433 58.9616164636979,17.4661519081396 58.9652793135992,17.4736871578101 58.9682394743408,17.4821969271327 58.9703829980017,17.4913537050497 58.9716273564181,17.5008049216008 58.9719246361705,17.5101866007617 58.9712633941417,17.519137465541 58.9696691001471,17.52731293526 58.9672031491865,17.5343984597129 58.9639604826467,17.5401216637018 58.9600659128511,17.5442628266341 58.9556692963185,17.5466632926343 58.9509397458517,17.5472314931961 58.9460591083042)))', 'SEVHD', 'Vagnhärad', 'Y'),('SRID=4326;MULTIPOLYGON(((17.2636758171773 61.21614647901,17.2623338645976 61.211301339506,17.2590586683445 61.2066755011124,17.2539768043458 61.2024465952714,17.2472840080276 61.1987769451275,17.2392375853816 61.1958073566682,17.2301465090926 61.1936517405601,17.2203595826151 61.1923927663616,17.2102521212537 61.192078711313,17.200211649114 61.1927216209116,17.1906231433895 61.1942968495664,17.1818543723736 61.1967439984498,17.174241870601 61.1999692159034,17.1680780736767 61.203848775123,17.1636000968923 61.2082337960182,17.1609805862347 61.2129559347728,17.1603209988543 61.2178338272948,17.1616475840063 61.2226800428855,17.1649102371079 61.2273082833665,17.1699842918113 61.2315405516003,17.1766752015875 61.2352140125493,17.1847259476589 61.2381872800657,17.1938268991429 61.2403458833796,17.2036277491774 61.2416066981565,17.2137510627196 61.241921166944,17.2238069023082 61.2412771812566,17.2334079511901 61.2396995505106,17.2421845314886 61.2372490392311,17.2497989197794 61.2340200109714,17.2559583932573 61.2301367726966,17.2604264948408 61.2257487645996,17.263032081954 61.22102478527,17.2636758171773 61.21614647901)))', 'SEVHT', 'Yttre Vattharet', 'Y'),('SRID=4326;MULTIPOLYGON(((11.4934478758818 58.3720845255627,11.4921931759115 58.3672392499086,11.4891641797967 58.3626156254906,11.4844778696349 58.3583912116156,11.4783146945845 58.3547281783271,11.4709115822719 58.3517671004556,11.462552821821 58.3496215848253,11.4535591706062 58.3483739326198,11.4442755984684 58.34807199933,11.4350581296296 58.3487273695137,11.4262602729782 58.3503149144224,11.4182195452357 58.3527737490707,11.4112445885127 58.3560095532719,11.405603363958 58.3598981702765,11.4015128668973 58.3642903486601,11.3991307567071 58.3690174496889,11.3985492277269 58.3738979051279,11.3997913673543 58.3787441808109,11.4028101562703 58.3833699805135,11.4074901663299 58.3875974137619,11.41365190751 58.3912638508411,11.4210586704818 58.3942281987243,11.4294256103445 58.3963763527574,11.4384307244833 58.3976256100833,11.447727297929 58.3979278708454,11.456957327125 58.3972715006312,11.465765390979 58.3956817804351,11.4738124188149 58.3932199264108,11.4807888093917 58.3899807184182,11.486426383273 58.3860888314035,11.4905087009181 58.38169401462,11.4928793481932 58.3769653084734,11.4934478758818 58.3720845255627)))', 'SEVIB', 'Vinbräcka', 'Y'),('SRID=4326;MULTIPOLYGON(((12.1629824271747 57.2510472326482,12.1624728176538 57.2461647368185,12.16021622279 57.2414299248719,12.1562999719143 57.2370246684479,12.1508750033841 57.2331181175258,12.1441499975305 57.2298602216511,12.1363833267175 57.227375994385,12.1278731364193 57.2257607372997,12.1189459368925 57.2250764027831,12.1099441363582 57.2253492316157,12.1012129825356 57.2265687533264,12.0930873992011 57.2286881864171,12.0858792078576 57.231626223399,12.0798652115467 57.2352701339699,12.075276588568 57.2394800703181,12.0722899989326 57.2440944131736,12.0710207466964 57.248935957442,12.0715182682678 57.2538187035642,12.0737641322678 57.2585549964454,12.0776726430403 57.2629627389879,12.0830940405891 57.2668724027237,12.0898201882354 57.2701335642101,12.0975925397906 57.2726207127261,12.1061120849407 57.274238101965,12.1150508892372 57.2749234549374,12.1240647777353 57.2746503758117,12.1328066624297 57.2734293731642,12.1409399858644 57.2713074539525,12.1481517481771 57.2683663041553,12.154164602681 57.2647191279732,12.1587475449095 57.2605062703774,12.1617247796959 57.2558897953709,12.1629824271747 57.2510472326482)))', 'SEVID', 'Videbergshamn', 'Y'),('SRID=4326;MULTIPOLYGON(((18.6504401344656 59.0918865612007,18.6498421134025 59.0870067014866,18.647406156642 59.0822806176744,18.6432265596772 59.0778898357999,18.6374644280094 59.0740029362806,18.6303414122892 59.0707690990573,18.6221311579485 59.0683123998094,18.6131488027509 59.0667270720135,18.6037389237323 59.0660739123423,18.5942623879681 59.0663779634942,18.5850825984335 59.0676275605969,18.5765516462991 59.0697747765046,18.5689968840126 59.0727372493239,18.5627084194388 59.0764013240974,18.5579280003925 59.080626391456,18.5548397116293 59.085250260907,18.5535628436603 59.0900953668587,18.5541472159953 59.0949755729749,18.5565711485268 59.099703316339,18.5607421763398 59.1040968182639,18.5665004985093 59.1079870842299,18.57362504435 59.1112244217854,18.5818419354866 59.1136842223572,18.5908350237658 59.1152717803195,18.6002580981364 59.1159259594764,18.6097482826467 59.1156215619217,18.6189400964199 59.1143703052644,18.6274796177019 59.1122203693032,18.6350381894709 59.1092545300355,18.6413251239063 59.1055869549305,18.646098906147 59.1013587862508,18.6491764618329 59.0967326866364,18.6504401344656 59.0918865612007)))', 'SEVIE', 'Villinge', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0042050162761 55.7287263269035,13.0036040291818 55.7238457719299,13.0013278710708 55.719125137006,12.9974645573745 55.7147457485668,12.9921629367772 55.7108757667971,12.9856269128609 55.707663744237,12.9781075832616 55.7052329426499,12.9698936021494 55.7036766226527,12.9613001345204 55.7030544831065,12.9526568196126 55.7033903835659,12.9442951946223 55.704671434795,12.9365360481574 55.7068484911775,12.9296771751551 55.7098380265385,12.9239819913112 55.7135253232273,12.9196694356691 55.7177688550527,12.9169055454914 55.7224056995133,12.9157970288623 55.7272577753658,12.9163870890473 55.7321386693942,12.9186536724157 55.736860792599,12.9225102212024 55.7412425919684,12.9278089166201 55.7451155402759,12.9343463004211 55.748330633353,12.9418710679416 55.7507641419779,12.9500937371391 55.7523223934112,12.9586978203342 55.7529453947479,12.9673520621631 55.7526091552331,12.9757232619021 55.751326615721,12.9834891732735 55.749147148406,12.9903509714449 55.7461546465061,12.9960447953924 55.7424642793008,13.000351913107 55.7382180404397,13.0031071152026 55.7335792645452,13.0042050162761 55.7287263269035)))', 'SEVIH', 'Vikhög', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5986032876712 56.0541531173638,14.5977969165511 56.0492809995098,14.595308059635 56.0445904983387,14.5912328986665 56.0402617709692,14.5857284022113 56.0364610219512,14.5790062385102 56.0333341383546,14.571324621076 56.0310011098106,14.5629784033905 56.0295514439285,14.5542878006242 56.0290407492491,14.5455861637679 56.029488613615,14.5372072639082 56.030877857167,14.5294725609557 56.0331551878052,14.5226789316417 56.0362332346429,14.5170873160318 56.0399938835066,14.512912710453 56.0442927896462,14.5103158882119 56.0489648982294,14.5093971688007 56.0538307645079,14.5101924829315 56.058703434249,14.5126718966886 56.0633956223963,14.5167406659624 56.0677269150049,14.522242795266 56.0715307169911,14.5289669767383 56.0746606764982,14.5366546896818 56.0769963356156,14.5450101526298 56.0784477862524,14.5537117429033 56.0789591481546,14.5624244367608 56.0785107319009,14.5708127797848 56.0771198013704,14.5785538744274 56.0748399054908,14.5853498708815 56.071758805684,14.5909394687084 56.0679950809106,14.5951079787726 56.0636935441998,14.5976955557558 56.0590196508642,14.5986032876712 56.0541531173638)))', 'SEVJE', 'Valje, Sölvesborg', 'Y'),('SRID=4326;MULTIPOLYGON(((11.3104636173121 58.3791522563314,11.3092336938693 58.3743050332436,11.3062279066401 58.3696769351472,11.301562349092 58.3654456943815,11.295416677251 58.3617737440065,11.2880271509219 58.3588020016468,11.2796775416505 58.3566444835059,11.2706882586804 58.3553839510701,11.2614041060107 58.3550687535106,11.2521811303769 58.3557109836688,11.2433730506403 58.3572860163705,11.2353177731351 58.3597334463552,11.2283244947456 58.3629593910443,11.2226618758971 58.3668400724642,11.2185477295525 58.3712265445972,11.2161406203549 58.3759503889425,11.2155337012936 58.3808301637177,11.2167510352727 58.3856783623717,11.2197465578842 58.3903086161751,11.2244057383549 58.3945428646021,11.2305498915128 58.3982182167042,11.2379429887624 58.401193236975,11.2463007149208 58.4033534101781,11.2553014250228 58.4046155706177,11.2645985753901 58.404931121273,11.273834140502 58.404287915547,11.2826524848603 58.4027107271355,11.2907141394341 58.4002602894869,11.2977089364903 58.3970309430699,11.303367984404 58.3931469837406,11.3074740138576 58.3887578565482,11.309869695932 58.3840323842017,11.3104636173121 58.3791522563314)))', 'SEVJR', 'Väjern', 'Y'),('SRID=4326;MULTIPOLYGON(((14.3361039850463 55.6172466241689,14.3353389096743 55.6123725668701,14.3329089191122 55.607676604796,14.3289079214499 55.6033391081453,14.3234900301101 55.5995266219676,14.316863587189 55.5963854876347,14.3092831365567 55.5940362449296,14.3010396582275 55.592569025942,14.292449436759 55.5920401138143,14.2838419837623 55.5924697951806,14.2755474669597 55.5938415865068,14.2678841149492 55.5961028631613,14.2611460676346 55.5991668677067,14.2555921271282 55.6029160223554,14.2514358331311 55.6072064215615,14.2488372409579 55.6118733360187,14.2478967205016 55.6167375205301,14.2486510220067 55.6216120867798,14.25107177151 55.6263096792672,14.2550664677878 55.6306496795785,14.2604819567469 55.6344651615049,14.2671102620343 55.6376093275992,14.2746965562539 55.63996117652,14.2829489697592 55.6414301794044,14.2915498576924 55.6419597815277,14.3001680845672 55.6415295912096,14.3084718424338 55.640156169468,14.3161414958247 55.6378923891507,14.3228819455091 55.6348253888556,14.3284340236379 55.6310732024464,14.3325844740425 55.6267801970267,14.3351741310437 55.6221114986747,14.3361039850463 55.6172466241689)))', 'SEVK2', 'Vik', 'Y'),('SRID=4326;MULTIPOLYGON(((15.6777357236024 56.1697628469646,15.6767905077693 56.1648985403529,15.6741631152449 56.1602305412575,15.6699550417555 56.1559381349039,15.6643283457142 56.1521861249281,15.6574993682038 56.1491185230776,15.6497304025299 56.1468530416686,15.6413196359298 56.1454765963884,15.6325897466648 56.1450419882642,15.6238755861471 56.1455658889649,15.6155114069709 56.1470282046821,15.6078181131023 56.149372842344,15.6010910077631 56.1525098496231,15.5955884977131 56.1563188488589,15.5915221800156 56.1606536363973,15.5890486895873 56.1653477746442,15.5882636239322 56.1702209659557,15.5891977869557 56.1750859668034,15.5918159086899 56.1797557787388,15.5960179048011 56.1840508405483,15.6016426421034 56.1878059443276,15.6084740777166 56.1908766073256,15.616249544114 56.193144651194,15.6246698643828 56.1945227701337,15.6334109058013 56.1949579083178,15.6421361191402 56.19443331338,15.6505095691111 56.1929691848205,15.6582089403524 56.1906218917004,15.6649380044187 56.187481790617,15.6704380563542 56.1836697302347,15.6744978733237 56.1793323802392,15.6769618100887 56.174636568335,15.6777357236024 56.1697628469646)))', 'SEVKA', 'Verkö, Karlskrona', 'Y'),('SRID=4326;MULTIPOLYGON(((14.9286066878915 56.0560338614285,14.9277586842769 56.0511639203646,14.9252296819978 56.0464800929069,14.9211174015096 56.0421622776319,14.9155802317076 56.0383762583429,14.9088310891362 56.0352673555403,14.9011292167245 56.0329548683125,14.8927702400428 56.0315275162224,14.8840748603057 56.031040052339,14.8753766104732 56.0315111741745,14.8670091327775 56.0329228105287,14.8592934522043 56.0352208108343,14.8525257205941 56.0383170112861,14.846965890084 56.0420926005987,14.8428277428918 56.0464026594263,14.8402706575703 56.0510817030051,14.8393934308511 56.0559500180449,14.840230400539 56.060820553789,14.8427500306266 56.065506104753,14.8468560274889 56.0698265099725,14.8523909588563 56.0736155913491,14.8591422489688 56.0767275622078,14.8668503279558 56.079042656376,14.8752186253534 56.0804717574074,14.8839250209515 56.080959845972,14.8926343047225 56.0804881294553,14.9010111546146 56.0790747695927,14.9087331188091 56.0767741793404,14.9155030888421 56.0736749167999,14.9210607717995 56.0698962594322,14.9251927124114 56.0655835936664,14.9277404770217 56.0609028011486,14.9286066878915 56.0560338614285)))', 'SEVKL', 'Karlshamn-Vägga', 'Y'),('SRID=4326;MULTIPOLYGON(((12.6236675708711 56.1428674783048,12.6231096494725 56.1379857773917,12.6208571187677 56.1332586228293,12.6169971049008 56.1288675926853,12.6116783467401 56.1249812940821,12.6051054191634 56.1217489046969,12.5975308444913 56.1192944658963,12.5892453992369 56.1177121428759,12.5805669869481 56.1170626298642,12.5718284975642 56.1173708349142,12.5633651082866 56.1186249306499,12.555501499802 56.1207768062434,12.5485394644625 56.1237439036368,12.542746369679 56.1274123693568,12.5383449105884 56.1316414039518,12.5355045415856 56.1362686458277,12.5343349175211 56.1411163866854,12.5348816036511 56.1459983833607,12.5371242307173 56.1507270069516,12.5409771803133 56.1551204557446,12.5462927890425 56.1590097544002,12.5528669615022 56.162245268511,12.560446985852 56.164702480999,12.5687412559165 56.1662868043992,12.5774305246496 56.1669372399432,12.5861802493144 56.1666287391303,12.5946535422374 56.165373174364,12.60252421499 56.1632188801193,12.6094893997501 56.1602487826721,12.6152812496382 56.156577192227,12.6196772590443 56.1523453839468,12.62250880324 56.1477161416933,12.6236675708711 56.1428674783048)))', 'SEVKN', 'Viken, Höganäs', 'Y'),('SRID=4326;MULTIPOLYGON(((11.976278489864 57.4889158463567,11.9749936359308 57.484075083494,11.9719805606087 57.479462266872,11.967355593476 57.4752545415704,11.9612967953221 57.4716134402064,11.9540370660332 57.4686787008857,11.9458551849091 57.4665629256341,11.937065129094 57.4653472802576,11.9280040757428 57.4650783967787,11.91901953864 57.465766594222,11.9104561193429 57.4673854841833,11.9026423659605 57.4698729760212,11.8958782291936 57.4731336443885,11.8904235852626 57.4770423709282,11.8864882591849 57.4814491240401,11.8842239301987 57.4861846973483,11.8837182350524 57.491067190471,11.8849913059937 57.4959089863555,11.8879948907752 57.5005239590367,11.8926141046667 57.5047346351947,11.8986717627595 57.5083790329719,11.9059351387345 57.5113169124136,11.9141248981198 57.5134351934387,11.9229258643778 57.5146523287593,11.9319991993361 57.5149214595219,11.9409955194432 57.5142322290552,11.9495684292839 57.5126111830321,11.9573879358991 57.5101207403353,11.9641532127124 57.5068567755543,11.9696042099447 57.5029449088952,11.9735316577583 57.4985356500125,11.97578507631 57.4937985867625,11.976278489864 57.4889158463567)))', 'SEVLD', 'Vallda', 'Y'),('SRID=4326;MULTIPOLYGON(((16.6418467182871 57.1094079670487,16.6407506777363 57.1045528823203,16.6379356577095 57.0999073903026,16.6335103834455 57.0956499015544,16.6276452618388 57.0919438684877,16.6205657803767 57.088931528418,16.6125438276723 57.0867284653597,16.603887271213 57.0854191953173,16.5949281888091 57.08505394062,16.5860101964842 57.0856467138929,16.5774753462327 57.0871747831865,16.5696510816048 57.0895795382683,16.5628377371988 57.0927687258894,16.5572970498693 57.0966199707084,16.553242115108 57.1009854502479,16.5508291722696 57.1056975484496,16.5501515381512 57.1105752746945,16.551235931441 57.1154312050187,16.5540413428351 57.1200786809462,16.558460509921 57.1243389898864,16.5643239555683 57.1280482500793,16.5714064474422 57.1310637329087,16.5794356386244 57.1332693759033,16.5881025596359 57.134580270286,16.5970735547558 57.1349459464363,16.6060031943544 57.1343523275663,16.6145476532427 57.1328222743604,16.6223780250417 57.1304146990841,16.6291930453934 57.1272222843361,16.6347307222985 57.1233678967588,16.6387784185779 57.1189998372855,16.6411809968709 57.1142861147458,16.6418467182871 57.1094079670487)))', 'SEVLO', 'Vållö', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0681863770454 58.9022380022212,11.0669700051866 58.8973887469131,11.0639494897214 58.8927554075739,11.0592415152519 58.8885159170383,11.0530273866911 58.8848330228631,11.0455460042663 58.8818480594724,11.037084668554 58.8796755467273,11.0279680709712 58.8783988179458,11.0185458880094 58.8780668409971,11.0091794450255 58.8786923510753,11.0002279466909 58.8802513647036,10.9920347857029 58.8826840931314,10.9849144388383 58.8858972212744,10.979140439914 58.8897674674475,10.9749348829961 58.8941462910735,10.9724598569085 58.8988655719922,10.9718111447582 58.9037440475253,10.9730144413823 58.9085942635372,10.9760242494778 58.9132297746301,10.9807255145416 58.9174723173403,10.9869379531088 58.9211586794457,10.9944229222421 58.9241469985614,11.0028925753246 58.9263222439471,11.0120209546959 58.9276006662646,11.0214565901923 58.9279330398186,11.0308361084265 58.927306569035,11.0397983141354 58.9257453836499,11.0479981845201 58.9233096030448,11.0551202213608 58.9200930069708,11.0608906335611 58.9162194050744,11.0650878731042 58.9118378488107,11.0675511174123 58.9071168743587,11.0681863770454 58.9022380022212)))', 'SEVNK', 'Vettnet, Nord-Koster', 'Y'),('SRID=4326;MULTIPOLYGON(((16.2020941802029 56.4805716627047,16.2010739546593 56.4757120079392,16.1983607016499 56.4710558279987,16.1940592199165 56.4667819494617,16.1883351540418 56.4630544600665,16.181408577152 56.460016426514,16.173545518547 56.4577844236566,16.1650477640725 56.4564440811897,16.1562413175497 56.4560468149526,16.1474639577336 56.4566078651247,16.1390523560788 56.4581057145796,16.1313292354699 56.4604829091416,16.1245910487389 56.4636482492258,16.1190966382599 56.4674802711017,16.1150573044962 56.4718318875518,16.1126286627253 56.4765360136994,16.1119046043237 56.4814119658562,16.1129136035004 56.4862723908587,16.1156175242974 56.4909304617831,16.1199129887169 56.4952070641662,16.1256352682589 56.4989376955894,16.1325645617529 56.5019788110068,16.1404344263231 56.5042133663795,16.1489420399785 56.5055553434143,16.1577598979254 56.5059530774234,16.1665484841202 56.5053912570132,16.1749694179915 56.503891516572,16.1826985559083 56.5015115981616,16.1894385289594 56.4983431160486,16.1949302228224 56.4945080123091,16.1989627506166 56.4901538433461,16.2013815332127 56.4854480826327,16.2020941802029 56.4805716627047)))', 'SEVNN', 'Värnanäs', 'Y'),('SRID=4326;MULTIPOLYGON(((16.7363474992009 57.5113707235725,16.7352259204804 57.5065169066242,16.7323671246934 57.5018740683023,16.7278815325043 57.4976205148826,16.7219418760184 57.4939195447004,16.7147765072728 57.4909131975555,16.7066606086608 57.4887168245452,16.697905645143 57.487414682704,16.6888474593954 57.487056719573,16.6798334575773 57.4876566678619,16.6712093642199 57.4891915212894,16.6633060392649 57.4916024112054,16.6564268482679 57.4947968514404,16.6508360582387 57.4986522677503,16.646748696841 57.5030206799676,16.6443222623467 57.5077343612186,16.6436506069007 57.5126122609144,16.6447602378337 57.5174669481381,16.647609193101 57.5221118107875,16.6520885501676 57.5263682344017,16.6580265261703 57.5300724836849,16.6651950249136 57.5330820196242,16.6733183874934 57.5352810056567,16.6820840126285 57.5365847869385,16.6911544345067 57.5369431663381,16.7001803841257 57.5363423477724,16.7088143180069 57.5348054700148,16.7167238780771 57.5323917099019,16.7236047495428 57.5291939905651,16.729192409561 57.5253353854622,16.7332723069868 57.5209643602253,16.7356880798711 57.516249039536,16.7363474992009 57.5113707235725)))', 'SEVNO', 'Vinö', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9005110295782 58.4053039916486,16.8993363376162 58.4004525938021,16.8963818140915 58.3958146542922,16.8917615901072 58.3915682861229,16.8856535895754 58.3878765051396,16.8782926354765 58.3848809912582,16.8699614113874 58.3826966731541,16.8609796277251 58.3814073400603,16.8516918044923 58.3810624450036,16.8424541295373 58.3816752188142,16.8336208825119 58.3832221652052,16.8255309292887 58.38564395579,16.8184947893193 58.3888476918421,16.8127827593156 58.3927104486309,16.8086145410146 58.3970839700179,16.8061507692668 58.4018003373479,16.805486770327 58.4066783991145,16.8066488005568 58.4115307178721,16.809592924924 58.4161707696715,16.8142065955022 58.4204201199325,16.8203128860776 58.4241152988137,16.8276772339988 58.4271141091003,16.8360164390133 58.4293011202688,16.8450095756818 58.4305921330906,16.8543103956071 58.4309374388155,16.8635607323091 58.4303237440922,16.8724043784964 58.4287746854087,16.8805008851174 58.4263499127297,16.8875387350269 58.4231427787789,16.8932473711936 58.4192767255864,16.8974076085646 58.4149005111379,16.8998600273147 58.4101824640824,16.9005110295782 58.4053039916486)))', 'SEVRO', 'Vrångö, Söderköping', 'Y'),('SRID=4326;MULTIPOLYGON(((14.6295780814545 56.032141883037,14.6287682543136 56.0272699456574,14.6262770436778 56.0225800493089,14.6222007206115 56.0182523277531,14.6166962972552 56.0144529468775,14.6099754381683 56.0113277412714,14.6022963061995 56.0089966362686,14.5939536592114 56.0075490658079,14.5852675754895 56.0070405581786,14.5765712330838 56.0074906174336,14.5681982006202 56.0088819795666,14.5604697136573 56.0111612711765,14.5536824111334 56.0142410460279,14.548096990854 56.0180031234454,14.5439282115955 56.0223031035936,14.5413366228709 56.0269758901169,14.5404223427198 56.0318420119393,14.5412211305333 56.0367145047493,14.5437029179 56.041406090088,14.5477728683618 56.0457363770607,14.5532749399504 56.0495388092192,14.5599978261443 56.0526670874441,14.5676830554884 56.055000818623,14.5760349418515 56.0564501690051,14.5847320003357 56.0569593393239,14.5934393820807 56.0565087246376,14.6018218378185 56.0551156735122,14.6095566973814 56.0528338164831,14.6163463516614 56.0497509903478,14.6219297448222 56.0459858403124,14.6260924267001 56.0416832339903,14.6286747760542 56.0370086675478,14.6295780814545 56.032141883037)))', 'SEVSN', 'Västra Näs', 'Y'),('SRID=4326;MULTIPOLYGON(((16.9254378063284 58.3512951403598,16.9242616458189 58.3464439416108,16.9213085225503 58.341806532878,16.9166925112704 58.3375610068573,16.9105913720817 58.3338703472852,16.9032396632859 58.330876191363,16.8949197132345 58.3286934160291,16.8859508002127 58.327405751678,16.8766769516203 58.3270625875882,16.8674538208571 58.3276770883252,16.8586351314269 58.3292256913279,16.8505591923056 58.3316490044593,16.8435359863146 58.3348540702294,16.8378353141324 58.3387179124278,16.8336764409667 58.3430922327554,16.8312196414252 58.347809081404,16.8305599718193 58.3526872879882,16.8317235195432 58.3575394092402,16.8346662884618 58.362178928709,16.8392757801823 58.366427432359,16.8453752271476 58.3701214831371,16.8527303286854 58.3731189275618,16.861058239933 58.3753043880497,16.8700384705863 58.3765937254154,16.8793252702368 58.3769372956783,16.8885610138001 58.3763218724368,16.8973900575847 58.3747711586951,16.9054725162572 58.3723448679319,16.9124974144554 58.3691364109551,16.918194693881 58.3652692802556,16.9223456058461 58.3608922747769,16.9247910877644 58.3561737531164,16.9254378063284 58.3512951403598)))', 'SEVSO', 'Vänsö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.1962344454772 57.4510373974622,18.1957184624734 57.4461551082316,18.1934460629412 57.4414208749786,18.1895051912145 57.4370165461797,18.1840477369465 57.4331112348789,18.1772836307246 57.4298548415294,18.1694727458047 57.4273723205513,18.1609149217744 57.4257589068113,18.1519384918837 57.4250764811638,18.1428877473157 57.4253512108811,18.1341098077151 57.4265725528575,18.1259413871697 57.4286936565617,18.1186959482393 57.4316331515875,18.1126517234863 57.4352782530531,18.1080410545487 57.4394890687833,18.1050414536355 57.4441039468514,18.1037687323569 57.4489456622955,18.1042724693838 57.4538282091346,18.1065340034794 57.4585639395195,18.1104670444726 57.4629707770496,18.1159208948686 57.4668792267499,18.12268617274 57.4701389103745,18.1305028264608 57.4726243725888,18.1390701381975 57.4742399307488,18.1480583302823 57.4749233775313,18.1571213208419 57.474648390205,18.1659101258873 57.4734255510944,18.1740863771632 57.4713019386562,18.181335419953 57.4683593052295,18.1873784730419 57.4647109134893,18.1919833731704 57.4604971565253,18.1949734863802 57.4558801340398,18.1962344454772 57.4510373974622)))', 'SEVSR', 'Västergarn', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2561966323479 55.7002756378772,14.2554399651033 55.6954011734336,14.2530144979332 55.6907037062646,14.249013968794 55.6863636646153,14.2435924764232 55.6825476912315,14.2369585037405 55.6794022610927,14.2293668851672 55.6770480784285,14.221109029652 55.6755754643915,14.2125017726236 55.6750409086556,14.203875277581 55.6754649140397,14.1955604405204 55.6768312146448,14.1878762672442 55.6790873966363,14.1811176944837 55.6821468984659,14.1755443106849 55.6858923157843,14.1713704015427 55.6901798873069,14.1687566995415 55.6948449931711,14.1678041568637 55.6997084584816,14.1685499885398 55.7045834232598,14.1709661496059 55.7092825171817,14.1749603188744 55.7136250643444,14.1803793658412 55.717444040561,14.1870151798799 55.7205925136978,14.1946126462417 55.7229493162564,14.2028794657062 55.7244237282285,14.2114974381639 55.7249589862204,14.2201347687865 55.7245344805009,14.2284589119563 55.7231665531407,14.2361494450992 55.7209078656336,14.2429104632526 55.7178453609703,14.2484820056841 55.7140969006546,14.2526500670325 55.7098067092397,14.2552548050884 55.7051398054427,14.2561966323479 55.7002756378772)))', 'SEVTM', 'Vitemölla', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0183348414241 59.7047540730476,19.0176744999988 59.6998760416001,19.0151442870716 59.695156812538,19.0108421447008 59.6907776433651,19.0049339004088 59.6869066624451,18.9976468189496 59.6836924323939,18.9892608363507 59.6812582708671,18.980097817912 59.6796975424355,18.9705092505023 59.6790700977983,18.9608628327871 59.6793999930608,18.9515284639092 59.6806745738062,18.9428641510391 59.6828449578684,18.9352023588127 59.6858278987878,18.9288373089614 59.6895089606121,18.924013706648 59.6937468857136,18.9209173216626 59.6983789922985,18.9196677886169 59.703227398882,18.9203139119572 59.7081058406801,18.9228316709705 59.7128268189516,18.9271250195916 59.7172088098917,18.9330294690683 59.7210832555494,18.9403183323763 59.7243010658339,18.948711402222 59.7267383780315,18.9578857343387 59.7283013479098,18.9674881194515 59.7289297835287,18.9771487552711 59.7285994779147,18.986495578073 59.7273231479571,18.9951686846875 59.7251499421243,19.002834271712 59.7221635364655,19.0091975396952 59.7184788944088,19.0140140547517 59.7142378186394,19.0170991260642 59.7096034706111,19.0183348414241 59.7047540730476)))', 'SEVTN', 'Västernäs', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0014923483441 59.8117612461196,19.000832669106 59.8068832070708,18.9982970438255 59.8021636965365,18.9939836281049 59.7977839825134,18.988058686817 59.7939122136857,18.9807501284417 59.7906969821318,18.972338714058 59.788261643103,18.9631472836833 59.7866996055899,18.9535284115111 59.7860707699549,18.94385095504 59.7863992453984,18.9344860000963 59.787672432045,18.9257927237077 59.7898415016237,18.9181046994264 59.7928232588043,18.9117171549731 59.7965033139392,18.9068756602323 59.800740448979,18.9037666751804 59.8053720133246,18.902510323165 59.8102201469768,18.9031556764517 59.8150985960039,18.9056787500605 59.8198198614106,18.9099832992649 59.8242024080377,18.9159044090401 59.8280776559633,18.923214754223 59.8312964834482,18.9316333017137 59.8337349877932,18.9408361255459 59.8352992781161,18.9504689169746 59.8359291110841,18.9601606994166 59.8356002256615,18.9695382060424 59.8343252841394,18.978240348942 59.8321533819534,18.9859322047184 59.8291681456733,18.9923179623445 59.8254844946082,18.9971523239682 59.8212441942552,19.0002499155677 59.8166103771031,19.0014923483441 59.8117612461196)))', 'SEVTO', 'Vätö', 'Y'),('SRID=4326;MULTIPOLYGON(((18.210364292156 59.0500503315632,18.2098293286815 59.0451689701769,18.2074568894464 59.0404351510678,18.2033388328604 59.036030700837,18.1976339075013 59.0321247276706,18.1905615766048 59.0288671458192,18.1823935500858 59.0263829433947,18.1734433546055 59.0247674093752,18.1640543406538 59.024082498659,18.1545865790371 59.0243544707773,18.1454031364963 59.0255728900427,18.1368562407785 59.0276910241553,18.1292738490459 59.030627626313,18.1229471199873 59.0342700344234,18.1181192596293 59.0384784718036,18.1149761641521 59.0430913884629,18.1136392208749 59.0479316422977,18.1141605523502 59.0528132867808,18.1165209001052 59.0575487073226,18.1206302465464 59.0619558335188,18.1263311691372 59.0658651497926,18.1334048140304 59.0691262329359,18.1415792712712 59.0716135617968,18.1505400351811 59.0732313714249,18.159942146322 59.0739173604804,18.1694235399558 59.0736451052646,18.1786190739868 59.0724250845639,18.1871746798458 59.0703042744827,18.1947610743313 59.0673643292158,18.2010864893752 59.0637184198142,18.2059079190014 59.0595068560003,18.2090404460526 59.0548916637356,18.210364292156 59.0500503315632)))', 'SEVTS', 'Vitsgarn', 'Y'),('SRID=4326;MULTIPOLYGON(((16.69966154861 57.7563826057504,16.6985366729712 57.7515286583916,16.6956626489114 57.7468852409677,16.6911504919901 57.7426306811703,16.6851739617564 57.7389283146199,16.6779628297604 57.7359202330488,16.6697940350558 57.7337218524021,16.6609810692098 57.7324175052589,16.6518619945072 57.7320572227424,16.6427865458455 57.7326548261473,16.6341027978283 57.7341873994581,16.6261438932064 57.7365961624803,16.6192153268238 57.739788712164,16.6135832606367 57.7436425486444,16.6094643104781 57.7480097542733,16.6070171946885 57.752722650158,16.6063365695668 57.7576002170641,16.6074492983565 57.7624550374175,16.6103133113021 57.7671004938498,16.6148191169445 57.7713579482495,16.6207939226609 57.7750636243196,16.6280082194465 57.7780749264836,16.63618458644 57.7802759484899,16.6450083792629 57.781581955636,16.6541398873196 57.7819426640776,16.663227482844 57.7813441876767,16.6719212419797 57.7798095753547,16.6798864978731 57.7773979177278,16.6868167887581 57.7742020585236,16.6924456901419 57.7703450014517,16.6965570680072 57.7659751544659,16.6989933568274 57.7612605985807,16.69966154861 57.7563826057504)))', 'SEVVK', 'Västervik', 'Y'),('SRID=4326;MULTIPOLYGON(((18.3818704177282 59.4009900048972,18.3813066972677 59.396109381529,18.3788871821328 59.3913785937449,18.3747055543161 59.3869793490572,18.368923013702 59.383080552527,18.3617620071017 59.3798318395183,18.3534976454948 59.3773578546821,18.3444471444193 59.3757534925602,18.3349576913034 59.3750802780665,18.3253931971961 59.3753640218224,18.3161204277763 59.3765938374704,18.3074950290729 59.3787225573393,18.2998479667123 59.381668530894,18.2934728836892 59.385318738996,18.2886148508584 59.3895331078556,18.2854609370901 59.3941498613297,18.2841329631939 59.3989917105346,18.2846827266609 59.4038726470736,18.2870898949106 59.4086050818588,18.2912626656494 59.4130070566377,18.2970411874036 59.4169092507183,18.3042036252006 59.4201615114907,18.312474650178 59.4226386541888,18.3215360323624 59.4242453035144,18.3310389277744 59.424919586347,18.3406173788939 59.4246355294196,18.3499024952094 59.4234040667678,18.3585367509866 59.4212726168044,18.3661878321909 59.4183232456976,18.3725614839986 59.4146694898326,18.3774128534485 59.4104519631138,18.380555886112 59.4058329224392,18.3818704177282 59.4009900048972)))', 'SEVXH', 'Vaxholm', 'Y'),('SRID=4326;MULTIPOLYGON(((11.7579645003826 58.0149903086367,11.7566879476623 58.0101475967254,11.7536565091264 58.0055300519289,11.7489872427425 58.0013149999443,11.7428599282532 57.9976642523781,11.735510106496 57.994717914369,11.7272200170387 57.9925890294712,11.7183077839368 57.9913592631848,11.7091152602819 57.9910757868128,11.6999949880533 57.9917494780336,11.6912967596905 57.9933545053276,11.6833542812352 57.9958293118565,11.6764724336009 57.9990789623194,11.6709156085636 58.0029787654292,11.6668975597332 58.0073790367127,11.6645731567373 58.0121108229986,11.6640323641842 58.016992372832,11.6652966872741 58.0218361075676,11.6683182353673 58.0264558273225,11.672981456226 58.0306738752826,11.6791074904856 58.0343279837316,11.6864609922156 58.0372775358671,11.6947591616084 58.0394089988131,11.7036826445125 58.0406403145841,11.712887875154 58.0409240759819,11.7220203770266 58.0402493619352,11.7307284958354 58.03864215968,11.7386770198073 58.0361643571731,11.7455601476555 58.0329113458269,11.7511132927066 58.0290083285922,11.755123261598 58.0246054792634,11.7574364148003 58.0198721434952,11.7579645003826 58.0149903086367)))', 'SEWAL', 'Wallhamn', 'Y'),('SRID=4326;MULTIPOLYGON(((14.2744045084493 55.8832696997725,14.2736422057561 55.8783954764645,14.2712033387978 55.873698471089,14.2671821663921 55.8693590933781,14.2617335844323 55.8655439594918,14.2550671180721 55.8623995109364,14.2474388488142 55.8600464130502,14.2391415898612 55.8585749443497,14.2304936847442 55.8580415499096,14.2218268518919 55.8584666877894,14.2134735303873 55.85983404891,14.2057541990501 55.862091179444,14.198965141851 55.865151482459,14.1933671175116 55.8688975240276,14.1891753602544 55.8731855200462,14.1865512926499 55.8778508352914,14.1855962713719 55.8827142874104,14.18634761387 55.8875890170667,14.1887770705003 55.8922876626325,14.1927918150814 55.8966295646722,14.1982379302987 55.9004477227199,14.2049062665403 55.9035952348687,14.2125404576333 55.9059509693754,14.2208467888309 55.9074242463218,14.2295055354337 55.9079583453434,14.2381833284929 55.9075327011146,14.2465460603308 55.9061636998015,14.2542718194884 55.9039040449364,14.2610633434187 55.900840717759,14.2666594978651 55.8970916125979,14.2708453332818 55.8928009799608,14.273460328646 55.888133856472,14.2744045084493 55.8832696997725)))', 'SEYNG', 'Yngsjö', 'Y'),('SRID=4326;MULTIPOLYGON(((13.8618839979434 55.4254161209536,13.8611808977245 55.4205392869875,13.8588189228828 55.4158341425663,13.8548893669258 55.4114814144033,13.8495436019803 55.4076482359445,13.8429872068406 55.4044817457633,13.8354720449694 55.4021034587091,13.8272866001285 55.4006046222328,13.8187449387698 55.4000427323921,13.8101747159536 55.4004393400026,13.8019046742974 55.4017792288715,13.7942521026517 55.4040109967223,13.7875107225186 55.4070490170641,13.7819394556549 55.4107767086513,13.7777524961331 55.4150509900853,13.7751110649578 55.4197077522441,13.7741171661758 55.4245681421986,13.7748095916945 55.4294454205898,13.7771623397335 55.4341521313616,13.7810855214813 55.4385073093383,13.7864287352273 55.4423434481124,13.7929867905767 55.4455129584297,13.8005075713172 55.4478938656522,13.8087017382664 55.4493945234318,13.8172538971094 55.4499571584333,13.825834794637 55.4495601063969,13.8341140631013 55.4482186511754,13.8417730089525 55.4459844335087,13.8485169402746 55.4429434528505,13.8540865469174 55.439212741128,13.8582678875646 55.4349358395276,13.8609005966353 55.4302772560679,13.8618839979434 55.4254161209536)))', 'SEYST', 'Ystad', 'Y'),('SRID=4326;MULTIPOLYGON(((16.8409383333908 57.9723290772719,16.8397870865301 57.967476697199,16.8368770878592 57.9628368449843,16.8323207414491 57.9585877094699,16.8262935071121 57.9548924158915,16.8190271027614 57.9518927824402,16.8108005854493 57.9497038991387,16.8019296559115 57.9484097329783,16.7927545932524 57.9480599239719,16.7836272732718 57.9486678917885,16.7748977549054 57.950210323576,16.7669009337825 57.9526280621194,16.7599437597298 57.9558283613752,16.7542934962016 57.9596884253997,16.7501674643962 57.9640600984952,16.7477246638651 57.9687755307037,16.7470595957815 57.9736536051884,16.7481985362606 57.9785068840067,16.7510984173461 57.9831488075684,16.7556483752769 57.9874008716881,16.7616739228305 57.9910995052772,16.7689435988945 57.9941023816581,16.7771778483309 57.9962939171015,16.7860597932591 57.9975897408508,16.7952474775797 57.9979399605397,16.8043871039559 57.9973310939762,16.8131267399119 57.995786590839,16.8211299495062 57.9933659236877,16.8280888103269 57.9901622844206,16.8337358021279 57.9862989774678,16.8378541018047 57.9819246522332,16.8402858869533 57.9772075624383,16.8409383333908 57.9723290772719)))', 'SEYTB', 'Ytterby', 'Y'),('SRID=4326;MULTIPOLYGON(((21.1731821447739 64.6649433400534,21.1720333911343 64.660081540317,21.1686940549571 64.6554091311507,21.1632934457948 64.6511055287459,21.1560397576355 64.6473359070497,21.1472119695013 64.6442448823666,21.137149090872 64.641950993564,21.1262371701614 64.640542184275,21.1148945598724 64.6400724550251,21.1035559893574 64.6405598091398,21.0926560345791 64.6419855681806,21.0826125934841 64.6442950821192,21.073810975433 64.6473998081066,21.0665891935566 64.6511806811839,21.0612250101048 64.6554926522289,21.0579252272057 64.6601702244487,21.0568176397409 64.6650337813728,21.057945974588 64.6698964680333,21.0612680333461 64.6745713641692,21.0666571367898 64.6788786749716,21.0739068425761 64.6826526619246,21.082738777971 64.6857480441535,21.0928133021202 64.6880456193935,21.1037425936882 64.6894568827838,21.1151056556132 64.6899274601828,21.1264646449584 64.6894392191418,21.1373818771711 64.6880109731262,21.1474368239687 64.6856977507847,21.156242424355 64.6825886595383,21.163460058933 64.6788034289175,21.1688125968496 64.6744877714404,21.1720950089073 64.6698077451246,21.1731821447739 64.6649433400534)))', 'SEYTK', 'Yttervik', 'Y'),('SRID=4326;MULTIPOLYGON(((15.8276506885315 56.0977088285478,15.8266884253699 56.0928456695659,15.8240479134357 56.0881808480054,15.819831148248 56.0838935263391,15.8142005177751 56.0801483126087,15.8073725104307 56.0770889576718,15.7996093795517 56.0748328576409,15.7912090870496 56.0734665687274,15.7824939093276 56.0730425028664,15.7737981347505 56.073576927787,15.7654553129629 56.0750493462351,15.7577855315453 56.0774032775406,15.7510831946085 56.0805484124225,15.7456057609516 56.0843640605986,15.7415638666677 56.0887037621818,15.739113209211 56.0934008896892,15.7383485079864 56.0982750293887,15.7392997820024 56.103138900109,15.741931100109 56.1078055458341,15.746141866463 56.1120955263792,15.7517706063655 56.1158438289126,15.7586011192275 56.1189062323349,15.7663707702723 56.121164876429,15.7747806049531 56.1225328176725,15.7835068941554 56.1229573925775,15.7922136578896 56.1224222559174,15.8005656735091 56.1209480133024,15.8082414537549 56.118591423116,15.8149456812501 56.1154431994303,15.8204206093779 56.1116245027698,15.8244559834917 56.1072822571257,15.8268970987752 56.1025834772904,15.8276506885315 56.0977088285478)))', 'SEYTO', 'Ytterön', 'Y'),('SRID=4326;MULTIPOLYGON(((18.9141996589555 59.6147924514619,18.9135559281204 59.6099139288755,18.9110468710375 59.6051927522431,18.9067696138162 59.6008102550326,18.900889026897 59.5969346946165,18.8936313137126 59.5937148105372,18.8852752852791 59.5912741383524,18.8761416608808 59.5897062930434,18.8665808036328 59.5890713985731,18.8569593530062 59.5893937966985,18.8476462533511 59.5906611201619,18.8389986974289 59.5928247645736,18.8313485066981 59.5958017413616,18.8249894555418 59.5994778428317,18.8201660150214 59.6037120013553,18.81706394361 59.6083416796725,18.8158030885944 59.6131890898458,18.8164326838052 59.6180680060223,18.8189293389914 59.6227909121827,18.8231978161177 59.6271762115545,18.8290745814346 59.6310552201625,18.8363340133175 59.6342786735084,18.844697039098 59.6367224926461,18.8538418742114 59.6382925834986,18.8634164488118 59.6389284802385,18.8730520350818 59.638605688522,18.8823775366437 59.6373366355278,18.891033872656 59.6351701889515,18.8986878849721 59.6321897639699,18.9050452174108 59.628510093234,18.9098616605741 59.6242727877604,18.9129525212754 59.619640863903,18.9141996589555 59.6147924514619)))', 'SEYXN', 'Yxlan', 'Y');

INSERT INTO port_area (geom, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((18.0632208460012 58.9521040642686,18.0627078119717 58.947222220476,18.0603619582382 58.9424858722631,18.0562741188563 58.9380769448493,18.0506018809895 58.9341647198361,18.0435634540555 58.9308993528156,18.0354292495722 58.9284061317281,18.0265115004349 58.9267806922466,18.0171523168059 58.9260853694907,18.0077106292721 58.9263468221946,17.9985485073484 58.9275550176552,17.9900173621472 58.929663615045,17.9824445457583 58.9325917326936,17.9761208465797 58.936227033475,17.971289349708 58.9404300131839,17.9681360850821 58.9450393314475,17.966782824237 58.9498779848826,17.967282310633 58.9547600893887,17.9696161204759 58.9594980139697,17.9736952532809 58.9639095934188,17.9793634473827 58.9678251423871,17.9864031089934 58.9710939992407,17.9945436386307 58.9735903447438,18.0034718404542 58.9752180675588,18.0128440129738 58.9759144849486,18.0222992481588 58.9756527715307,18.0314734139833 58.9744429996994,18.0400132657579 58.9723317502711,18.0475901258968 58.9694003086656,18.0539125903809 58.9657615180517,18.0587377620885 58.9615554139298,18.0618805740317 58.9569438123358,18.0632208460012 58.9521040642686)))', 'SEYXO', 'Yxlö', 'Y'),('SRID=4326;MULTIPOLYGON(((103.87596643806 1.28101114467065,103.875488846225 1.276108617634,103.8740701557 1.27139407229469,103.871764893061 1.26704868852397,103.868661655176 1.26323945748811,103.864879703454 1.26011276419646,103.860564379846 1.25778876224282,103.855881520891 1.2563567568825,103.851011084542 1.25587177379874,103.846140234725 1.25635244531605,103.841456149355 1.25778029517221,103.837138828093 1.2601004492147,103.833354176131 1.26322374460686,103.830247629619 1.26703015641879,103.827938567543 1.27137340989735,103.826515724666 1.27608660119636,103.826033781714 1.28098861064247,103.826511263786 1.28589106219417,103.827929827799 1.29060556178212,103.830234966439 1.29495093650028,103.833338101715 1.29876019656058,103.83711998784 1.30188695253494,103.841435292848 1.30421104128671,103.846118183033 1.30564314434634,103.850988695687 1.30612822115676,103.855859655267 1.30564762512441,103.860543867149 1.30421982101961,103.86486131241 1.30189967602966,103.86864606698 1.29877635161304,103.87175267909 1.29496987711838,103.874061759766 1.2906265368417,103.875484571413 1.2859132478434,103.87596643806 1.28101114467065)))', 'SGSIN', 'Singapore', 'Y'),('SRID=4326;MULTIPOLYGON(((13.6925746433526 45.5424127688945,13.6920041838163 45.5375279858496,13.6900888360116 45.5328152480866,13.6869025057865 45.5284556024331,13.6825678502475 45.524616490904,13.677251532525 45.5214453307299,13.6711578042009 45.5190638670937,13.6645206639366 45.5175635128779,13.6575948924206 45.5170018517312,13.650646303987 45.5174004364145,13.6439415830532 45.518743965332,13.6377380881468 45.5209808681689,13.6322740073788 45.5240252784887,13.6277592367666 45.527760318882,13.6243673271167 45.5320425746349,13.6222288069392 45.5367075867063,13.6214261391204 45.541576155712,13.6219905092678 45.546461217104,13.6239005756126 45.5511750250756,13.6270832363607 45.5555363698697,13.6314163930504 45.559377550793,13.6367336107383 45.5625508355684,13.6428305008322 45.5649341555617,13.6494725833198 45.5664358152766,13.6564043251039 45.5669980323138,13.6633590029305 45.5665991692831,13.6700690053262 45.5652545701561,13.6762761697084 45.5630159681776,13.6817417493219 45.5599694884631,13.6862556199644 45.5562323234688,13.6896443678427 45.5519482113598,13.6917779457981 45.5472818937902,13.6925746433526 45.5424127688945)))', 'SIIZO', 'Izola', 'Y'),('SRID=4326;MULTIPOLYGON(((13.7645787979074 45.5473903788092,13.7640020526999 45.5425058939682,13.7620805034445 45.5377943030347,13.7588882939011 45.533436608385,13.7545483064174 45.5296001767871,13.7492274081445 45.5264323223619,13.7431300257588 45.5240546633005,13.7364902975035 45.5225584664849,13.7295631028987 45.5220011561334,13.7226143106574 45.5224041182226,13.7159106130804 45.5237518833649,13.7097093297718 45.5259927188288,13.7042485645478 45.5290406073207,13.6997380868926 45.5327785378892,13.6963512835706 45.537062984707,13.6942184877025 45.5417294043255,13.6934219428185 45.5465985429327,13.6939925995373 45.551483313677,13.6959088744515 45.5561959814907,13.6990974267714 45.5605553800524,13.7034359309289 45.5643938831893,13.7087577455964 45.5675638614075,13.7148583045857 45.5699433731876,13.721502986045 45.5714408695877,13.7284361563735 45.5719987285394,13.7353910371076 45.5715954805466,13.7421000090277 45.5702466385232,13.7483049495584 45.5680040991462,13.7537671981049 45.5649541391148,13.7582767593614 45.5612140847537,13.7616603860778 45.5569277852181,13.7637882287432 45.5522600660162,13.7645787979074 45.5473903788092)))', 'SIKOP', 'Koper', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5985650565253 45.5294419458456,13.5980028527733 45.524556780573,13.5960958087663 45.5198425544326,13.5929175116678 45.5154803719597,13.5885903107139 45.511637773035,13.5832805836818 45.5084623090944,13.577192330113 45.5060758906804,13.5705593394393 45.5045701208392,13.5636362337942 45.504002790917,13.5566887255862 45.5043956709883,13.5499834577749 45.5057336781175,13.5437778094817 45.5079654536786,13.5383100507364 45.5110053278959,13.5337902177786 45.514736597492,13.5303920547215 45.5190159926933,13.5282463292259 45.523679164633,13.5274357801597 45.5285469850634,13.5279918954762 45.5334324187386,13.5298936505782 45.5381477061111,13.5330682634895 45.5425115810827,13.5373939458584 45.5463562461054,13.5427045510994 45.5495338351985,13.5487959459724 45.5519221142845,13.555433862811 45.5534291970464,13.5623629295175 45.5539970922576,13.569316526165 45.5536039437833,13.5760270828833 45.5522648754211,13.5822364153625 45.5500314073603,13.587705692689 45.5469894670445,13.5922246474339 45.5432560722962,13.5956196691848 45.5389748164239,13.5977604685167 45.5343103315645,13.5985650565253 45.5294419458456)))', 'SIPIR', 'Piran', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.3402099052825 14.7642628062735,-17.3406530566893 14.7593618019779,-17.3420702393639 14.7546390969531,-17.3444069310329 14.7502761733276,-17.3475732881932 14.7464406755964,-17.3514476056832 14.7432799712173,-17.3558809973453 14.7409154917023,-17.3607031173644 14.7394380710161,-17.3657287024623 14.7389044596769,-17.370764684158 14.7393351477974,-17.3756175988801 14.7407135801317,-17.3801010125864 14.7429867929202,-17.3840426760911 14.7460674479596,-17.3872911375228 14.7498371859229,-17.3897215588612 14.7541511705184,-17.3912405135905 14.7588436495109,-17.3917895810763 14.7637343196484,-17.3913475989295 14.7686352516317,-17.3899314856996 14.7733581096146,-17.3875956008466 14.7777213881821,-17.3844296650432 14.7815573888024,-17.3805553193032 14.7847186674575,-17.3761214540849 14.787083705207,-17.371298487298 14.7885615831001,-17.3662718111334 14.789095481013,-17.3612346601772 14.7886648652046,-17.3563806760102 14.7872862799121,-17.3518964554879 14.7850127121815,-17.3479543706266 14.781931554253,-17.3447059374454 14.7781612420137,-17.3422759896634 14.7738466991838,-17.3407578817018 14.7691537629845,-17.3402099052825 14.7642628062735)))', 'SNDKR', 'Dakar', 'Y'),('SRID=4326;MULTIPOLYGON(((6.75794614044306 0.330005694654828,6.75746789284613 0.325106077557605,6.75604933664853 0.320394541546302,6.75374499255622 0.316052155907933,6.7506434238458 0.312245800884978,6.74686383163956 0.309121753832737,6.74255147263772 0.306800067660843,6.73787207561283 0.30536995762601,6.73300547144211 0.304886373710035,6.72813868164098 0.305367890178518,6.7234587311084 0.306795993237174,6.71914546131313 0.309115793941081,6.71536462004599 0.312238138739891,6.7122614931546 0.316043036365252,6.70995532278786 0.320384269243993,6.70853472642174 0.325095012184501,6.70805429248488 0.329994242467094,6.70853248322907 0.334893695141079,6.70995092532712 0.339605096443006,6.7122551154437 0.34394739759414,6.71535651374359 0.34775373121442,6.71913594504797 0.350877823206917,6.72344817715247 0.35319961382026,6.72812750060352 0.354629871897471,6.73299409572487 0.35511362491864,6.73786094237877 0.354632272873428,6.74254100701094 0.353204304524159,6.74685443078199 0.350884588307471,6.75063544245967 0.347762264911301,6.75373873025289 0.343957322345651,6.75604502751693 0.339615985025451,6.75746569745684 0.334905094042582,6.75794614044306 0.330005694654828)))', 'STTMS', 'Sao Tome Island', 'Y'),('SRID=4326;MULTIPOLYGON(((1.24809590600445 6.13208265614016,1.24762968628768 6.12718065795428,1.24621696903787 6.12246389046313,1.2439120700173 6.11811361558079,1.24080358594141 6.11429700554645,1.23701098662545 6.11116071956314,1.23268002194433 6.10882526942956,1.22797712039248 6.10738039044046,1.22308299455345 6.10688159513504,1.21818569903195 6.10734804199858,1.2134734072356 6.10876180071987,1.20912718404845 6.11106854201258,1.20531403152708 6.11417962537223,1.20218047427852 6.11797550454579,1.19984693054799 6.12231031997928,1.19840308503238 6.12701750200359,1.19790444116797 6.13191616974999,1.19837018555682 6.13681808023362,1.199782446991 6.14153486087454,1.20208697910202 6.14588524775673,1.20519524103308 6.14970205159007,1.2089877967885 6.1528385836674,1.2133189031251 6.15517429472443,1.21802210998269 6.15661940974316,1.22291665829772 6.15711838025103,1.22781442914728 6.15665202108973,1.23252717675935 6.15523824921863,1.23687376685605 6.15293139592601,1.24068714152213 6.1498201187673,1.24382074233108 6.14602399349972,1.24615414440605 6.14168891714284,1.24759768461591 6.13698149908895,1.24809590600445 6.13208265614016)))', 'TGLFW', 'Lome', 'Y'),('SRID=4326;MULTIPOLYGON(((39.3081405290346 -6.79998465055271,39.3076605808679 -6.80488748630236,39.3062329150934 -6.8096025208286,39.3039123711972 -6.81394855118562,39.3007881090993 -6.81775855073995,39.2969801854455 -6.82088608960188,39.2926349409851 -6.82321096394549,39.2879193761248 -6.82464381756242,39.2830147308949 -6.82512957770714,39.2781095163998 -6.82464957289436,39.2733922661025 -6.8232222510478,39.2690442861764 -6.82090247030631,39.2652326842044 -6.81777938978181,39.2621039447144 -6.81397304149426,39.2597782988381 -6.80962971549238,39.2583451046149 -6.80491633583536,39.2578594153573 -6.80001404389721,39.2583398675872 -6.79511123587232,39.2597679691516 -6.79039632224547,39.2620888142196 -6.78605048755665,39.2652131970202 -6.78224072865065,39.269021042532 -6.77911343878064,39.2733660219018 -6.77678878386579,39.2780811750808 -6.77535608670839,39.2829853247132 -6.77487039623443,39.2878900351451 -6.77535037332243,39.2926068496523 -6.77677757426954,39.2969545284068 -6.77909715934276,39.3007660096761 -6.7822199992189,39.3038948273083 -6.78602609851455,39.3062207382752 -6.79036920508774,39.3076543441798 -6.79508242828529,39.3081405290346 -6.79998465055271)))', 'TZDAR', 'Dar Es Salaam', 'Y'),('SRID=4326;MULTIPOLYGON(((-56.1335966984633 -34.9007870718081,-56.1341295931534 -34.9056778540267,-56.1358105748551 -34.9103889963548,-56.1385752188744 -34.9147394096594,-56.1423174014445 -34.9185618431855,-56.1468933596808 -34.9217093220773,-56.1521272090833 -34.9240608078644,-56.1578177076718 -34.9255258625059,-56.1637460060609 -34.9260481348261,-56.1696840831366 -34.9256075336853,-56.1754035392759 -34.9242210032019,-56.1806844045266 -34.9219418697553,-56.1853236185296 -34.9188577861476,-56.1891428522406 -34.91508735293,-56.1919953680914 -34.9107755483014,-56.1937716538876 -34.9060881440938,-56.1944036147394 -34.9012053243555,-56.1938671644709 -34.8963147534252,-56.1921831208128 -34.8916043610305,-56.189416374614 -34.8872551221341,-56.1856733696791 -34.8834341086978,-56.1810979940908 -34.8802880793819,-56.1758660436465 -34.8779378519719,-56.1701784712274 -34.8764736729321,-56.1642536807361 -34.8759517601357,-56.1583191592404 -34.8763921499879,-56.1526027650583 -34.8777779305375,-56.1473240019865 -34.8800558895754,-56.1426856103467 -34.883138553093,-56.138865793986 -34.8869075367348,-56.1360113791763 -34.8912180829868,-56.1342321672112 -34.8959046115933,-56.1335966984633 -34.9007870718081)))', 'UYMVD', 'Montevideo', 'Y'),('SRID=4326;MULTIPOLYGON(((-64.5746437572451 10.233123644203,-64.5751068135679 10.2282214135862,-64.5765264745935 10.2235028595335,-64.5788481428705 10.2191493072047,-64.5819825675592 10.2153280471716,-64.5858092788969 10.2121859086689,-64.5901812201303 10.2098436200116,-64.5949303985645 10.2083911724514,-64.5998743386051 10.207884365131,-64.6048230892365 10.2083426634181,-64.609586517391 10.2097484525244,-64.6139816078859 10.2120477148391,-64.6178394904176 10.2151521048857,-64.6210119245035 10.2189423422945,-64.6233769938663 10.2232727927145,-64.6248437917992 10.2279770610668,-64.6253559174364 10.2328743827089,-64.6248936481547 10.237776567404,-64.6234747038763 10.2424952296588,-64.6211535729345 10.2468490278409,-64.6180194243644 10.2506706339496,-64.6141926858921 10.2538131660633,-64.6098204184021 10.2561558359433,-64.6050706642586 10.2576085943001,-64.6001259867026 10.2581155946752,-64.5951764490299 10.2576573423099,-64.590412304128 10.2562514450014,-64.586016676298 10.2539519368332,-64.5821585176479 10.250847200711,-64.5789861106967 10.2470565696912,-64.5766213675908 10.2427257380486,-64.5751551453672 10.2380211588998,-64.5746437572451 10.233123644203)))', 'VEGUT', 'Guanta', 'Y'),('SRID=4326;MULTIPOLYGON(((-176.174353912416 -13.2999180213883,-176.174830112403 -13.3048197936324,-176.176273625402 -13.3095363887857,-176.178629028976 -13.3138865380836,-176.181805842147 -13.3177030462777,-176.18568199704 -13.3208392201194,-176.190108527532 -13.3231745098155,-176.194915295089 -13.3246191460292,-176.199917531581 -13.3251175935619,-176.204922946951 -13.3246506883933,-176.20973912751 -13.3232363755141,-176.214180939199 -13.3209290189867,-176.218077649965 -13.317817310799,-176.221279496335 -13.3140208591771,-176.223663441027 -13.309685587976,-176.225137899978 -13.3049781245821,-176.22564625733 -13.3000793926594,-176.225169034007 -13.2951776565531,-176.223724627624 -13.2904612850716,-176.221368596626 -13.2861115129278,-176.218191517512 -13.2822954779515,-176.214315498643 -13.2791598013484,-176.209889485436 -13.2768249572116,-176.205083537671 -13.2753806470455,-176.200082298673 -13.2748823564107,-176.195077906638 -13.2753492254415,-176.190262619464 -13.2767633146487,-176.185821435199 -13.2790702940221,-176.181924990377 -13.2821815289918,-176.178723007982 -13.2859774833752,-176.176338546005 -13.2903123090171,-176.174863267262 -13.2950194463636,-176.174353912416 -13.2999180213883)))', 'WFMAU', 'Mata-Utu', 'Y'),('SRID=4326;MULTIPOLYGON(((45.2755949017023 -12.7799745119817,45.2751084080064 -12.7848758486803,45.2736569601852 -12.789589850113,45.271296289103 -12.7939353458103,45.2681170817001 -12.797745318955,45.2642415008946 -12.8008733280698,45.2598184928186 -12.8031991387014,45.2550180614338 -12.8046333480636,45.2500247307675 -12.8051208242863,45.2450304467153 -12.8046428275552,45.2402271922671 -12.8032177312487,45.2357996012387 -12.8009003152096,45.2319178556568 -12.7977796584103,45.2287311408563 -12.7939757123326,45.2263619105535 -12.7896346872642,45.2249011825579 -12.7849234294334,45.2244050456633 -12.7800230056926,45.224892511237 -12.7751217428186,45.2263447909896 -12.7704079892901,45.2287060274029 -12.7660628778354,45.2318854474698 -12.7622533667742,45.2357608558962 -12.7591258272359,45.240183332793 -12.7568004221849,45.2449829550657 -12.7553664926615,45.2499753218669 -12.7548791279329,45.254968634041 -12.7553570508393,45.2597710565576 -12.7567818992415,45.2641980822551 -12.759098931038,45.2680796151732 -12.7622191257537,45.2712665023531 -12.766022602255,45.2736362638354 -12.7703632217429,45.275097800943 -12.7750741997349,45.2755949017023 -12.7799745119817)))', 'YTDZA', 'Dzaoudzi', 'Y'),('SRID=4326;MULTIPOLYGON(((18.4540251741763 -33.9246248037337,18.4533028242412 -33.9294959847293,18.4514541438576 -33.9341560631772,18.4485500262114 -33.9384258997117,18.4447019836821 -33.9421413332404,18.4400578764319 -33.9451595007784,18.4347962330042 -33.9473643399329,18.4291193807476 -33.9486710606969,18.4232456513959 -33.9490294129327,18.4174009642491 -33.9484256225906,18.4118101144507 -33.9468829214653,18.4066881056998 -33.9444606500673,18.4022318648383 -33.941251968747,18.3986126602221 -33.9373802663297,18.395969517339 -33.9329944059968,18.3944038851 -33.9282629930029,18.3939757563906 -33.9233678862771,18.39470138903 -33.9184972046241,18.3965527106793 -33.9138380970549,18.3994584260438 -33.9095695551279,18.4033067795058 -33.9058555428434,18.4079498635661 -33.9028387068145,18.4132093054523 -33.9006349067241,18.4188831129804 -33.8993287743908,18.4247534179493 -33.898970470369,18.4305948223904 -33.8995737613683,18.4361830309228 -33.9011154916143,18.4413034419562 -33.9035364684044,18.4457593718865 -33.9067437284805,18.4493795996941 -33.9106140993889,18.4520249441191 -33.9149989206582,18.4535936210857 -33.9197297452218,18.4540251741763 -33.9246248037337)))', 'ZACPT', 'Cape Town', 'Y'),('SRID=4326;MULTIPOLYGON(((31.050745426132 -29.8584276866216,31.0500980230201 -29.8633077745585,31.0483706400562 -29.8679839789924,31.0456295346844 -29.8722765501417,31.0419799688337 -29.8760204647843,31.037562175564 -29.8790717774634,31.0325459727258 -29.881313162736,31.0271242301951 -29.8826584338741,31.0215054427582 -29.883055862845,31.0159056963866 -29.8824901727789,31.0105403399029 -29.88098312565,31.0056156857994 -29.8785926824922,31.00132106273 -29.8754107689574,30.9978215279982 -29.8715597331599,30.9952515218827 -29.8671876333867,30.9937097080493 -29.862462538373,30.9932551972683 -29.8575660606949,30.9939052972105 -29.8526863729767,30.9956348715286 -29.8480109759781,30.9983773291646 -29.8437194965561,31.0020272023197 -29.8399767917274,31.0064442111492 -29.8369266227657,31.0114586572265 -29.8346861409931,31.0168779381262 -29.8333413955881,31.0224939338233 -29.8329440345451,31.0280909833636 -29.8335093243924,31.0334541484929 -29.8350155640857,31.0383774503327 -29.8374049155157,31.0426717660989 -29.8405856192364,31.0461720852719 -29.8444355113168,31.0487438481487 -29.8488067075904,31.0502881236124 -29.8535312768714,31.050745426132 -29.8584276866216)))', 'ZADUR', 'Durban', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0664576411234 -28.7801996880625,32.065867246795 -28.7850871351368,32.0642057665843 -28.7897791786119,32.0615369280697 -28.7940954657244,32.0579632144642 -28.7978700669569,32.0536219382792 -28.8009578612967,32.0486799680685 -28.8032401230934,32.0433273103422 -28.8046290943005,32.0377697941118 -28.8050713649098,32.0322211412694 -28.8045499304532,32.0268947305463 -28.8030848467385,32.0219953750471 -28.8007324564632,32.0177114327762 -28.7975832178333,32.0142075561879 -28.7937582195772,32.011618361214 -28.7894045176185,32.0100432595836 -28.7846894741377,32.0095426521695 -28.7797943180466,32.0101356275519 -28.7749071755409,32.0117992512235 -28.7702158393079,32.0144694692836 -28.7659005544401,32.0180435884957 -28.762127097872,32.0223842345983 -28.7590404163518,32.0273246349617 -28.7567590661131,32.0326750220707 -28.7553706664258,32.0382299125949 -28.7549285402894,32.0437759843823 -28.7554496701773,32.0491002516441 -28.7569140466494,32.0539982275982 -28.7592654346798,32.0582817642637 -28.7624135286451,32.0617862709354 -28.7662374140817,32.0643770357569 -28.7705902044829,32.0659544080041 -28.7753046764442,32.0664576411234 -28.7801996880625)))', 'ZARCB', 'Richards Bay', 'Y');

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(13.234 -8.838)', 'AGO', 'AOLAD', 'Luanda', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.533 -12.367)', 'AGO', 'AOLOB', 'Lobito', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.158 -15.195)', 'AGO', 'AOMSZ', 'Namibe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-59.167 -33.683)', 'ARG', 'ARSPD', 'San Pedro', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-170.701 -14.279)', 'ASM', 'ASPPG', 'Pago Pago', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(115.707 -32.056)', 'AUS', 'AUFRE', 'Fremantle', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(4.417 51.217)', 'BEL', 'BEANR', 'Antwerpen', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3.133 51.317)', 'BEL', 'BEBBG', 'Blankenberge', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.717 51.25)', 'BEL', 'BEBHE', 'Boekhoute', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(4.167 51.283)', 'BEL', 'BEKDE', 'Kieldrecht', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.75 51.133)', 'BEL', 'BENIE', 'Nieuwpoort', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(2.917 51.217)', 'BEL', 'BEOST', 'Oostende (Ostend)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3.2 51.333)', 'BEL', 'BEZEE', 'Zeebrugge', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.933 43.129)', 'BGR', 'BGADB', 'Ada Bahcha', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.652 42.637)', 'BGR', 'BGAHE', 'Aheloy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.933 42.101)', 'BGR', 'BGAKH', 'Akhtopol', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(28.099 43.378)', 'BGR', 'BGALB', 'Albena', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.841 43.186)', 'BGR', 'BGAMO', 'Amonal', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.895 43.196)', 'BGR', 'BGANT', 'Anton Ivanov', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.733 42.336)', 'BGR', 'BGARK', 'Arkutino', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.9 43.184)', 'BGR', 'BGASP', 'Asparuhovo Keya', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.167 43.4)', 'BGR', 'BGBAL', 'Balchik', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.895 43.197)', 'BGR', 'BGBHZ', 'Buhta zapad', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.698 43.198)', 'BGR', 'BGBLV', 'Beloslav', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.94 43.208)', 'BGR', 'BGBN2', 'Buna 102', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.949 43.21)', 'BGR', 'BGBN3', 'Buna 103', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.933 43.205)', 'BGR', 'BGBNA', 'Buna 101', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.45 42.483)', 'BGR', 'BGBOJ', 'Burgas', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(28.471 43.382)', 'BGR', 'BGBOL', 'Bolata', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.896 42.853)', 'BGR', 'BGBYL', 'Byala', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.841 43.186)', 'BGR', 'BGCHA', 'Chayka', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.64 42.449)', 'BGR', 'BGCHM', 'Chernomorets', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.874 43.209)', 'BGR', 'BGCHN', 'Cherno more', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.539 42.456)', 'BGR', 'BGCHO', 'Chukalya', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.389 43.404)', 'BGR', 'BGDAL', 'Dalboka', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.573 43.589)', 'BGR', 'BGEZE', 'Ezerets', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.777 43.197)', 'BGR', 'BGEZR', 'Ezerovo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.058 43.313)', 'BGR', 'BGFRE', 'Frenkliman', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.894 42.742)', 'BGR', 'BGIRA', 'Irakli', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.888 43.033)', 'BGR', 'BGKAM', 'Kamchia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.35 43.411)', 'BGR', 'BGKB3', 'Kavarna Buna 3', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.357 43.411)', 'BGR', 'BGKBA', 'Kavarna Buna 1', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.781 42.234)', 'BGR', 'BGKIT', 'Kiten', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.029 43.249)', 'BGR', 'BGKOK', 'Kokodiva', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.767 43.187)', 'BGR', 'BGKON', 'Konstantinovo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.069 43.327)', 'BGR', 'BGKRA', 'Kranevo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.491 42.447)', 'BGR', 'BGKRE', 'Kraymorie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.573 43.623)', 'BGR', 'BGKRP', 'Krapets', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.917 43.174)', 'BGR', 'BGKRT', 'Karantinata', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.359 43.411)', 'BGR', 'BGKVN', 'Kavarna', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.818 43.196)', 'BGR', 'BGKZO', 'Kazashko', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(27.799 43.202)', 'BGR', 'BGLES', 'Lesport', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.813 42.209)', 'BGR', 'BGLZC', 'Lozenets', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.874 43.196)', 'BGR', 'BGMCH', 'Malka Chayka', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.694 43.199)', 'BGR', 'BGMEC', 'Mecheto', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.717 42.65)', 'BGR', 'BGNES', 'Nessebar', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.888 42.809)', 'BGR', 'BGOBZ', 'Obzor', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.527 42.437)', 'BGR', 'BGOTM', 'Otmanli', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.054 43.303)', 'BGR', 'BGPAN', 'Panorama', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.639 42.551)', 'BGR', 'BGPOR', 'Pomorie', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.758 42.264)', 'BGR', 'BGPRI', 'Primorsko', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.673 42.637)', 'BGR', 'BGRAV', 'Ravda', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.894 43.196)', 'BGR', 'BGRD2', 'Rodopa 2', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.895 43.197)', 'BGR', 'BGRDA', 'Rodopa 1', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.028 41.983)', 'BGR', 'BGREZ', 'Rezovo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.525 43.421)', 'BGR', 'BGRUS', 'Rusalka', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.518 42.554)', 'BGR', 'BGSAR', 'Sarafovo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.243 43.405)', 'BGR', 'BGSBA', 'SBA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.903 43.185)', 'BGR', 'BGSEK', 'Sever Eksport', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.607 43.541)', 'BGR', 'BGSHA', 'Shabla', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.898 42.958)', 'BGR', 'BGSHK', 'Shkorpilovtsi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.992 42.061)', 'BGR', 'BGSIN', 'Sinemorets', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.799 43.186)', 'BGR', 'BGSLK', 'Slivkata', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.683 42.417)', 'BGR', 'BGSOZ', 'Sozopol', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.74 43.197)', 'BGR', 'BGSTR', 'Strashimirovo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.766 42.706)', 'BGR', 'BGSVV', 'Sveti Vlas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.98 43.218)', 'BGR', 'BGTRK', 'Trakata', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.85 42.167)', 'BGR', 'BGTRV', 'Tsarevo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.216 43.399)', 'BGR', 'BGTUZ', 'Tuzlata', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.586 43.495)', 'BGR', 'BGTYL', 'Tyulenovo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.9 43.183)', 'BGR', 'BGVAR', 'Varna', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.914 43.19)', 'BGR', 'BGVAZ', 'Varna-Zapad', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.862 43.192)', 'BGR', 'BGVES', 'Veslets', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.911 42.12)', 'BGR', 'BGVRV', 'Varvara', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.896 43.195)', 'BGR', 'BGYVA', 'Yahtklub Varna', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.434 43.384)', 'BGR', 'BGZEL', 'Zelenka', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.804 43.184)', 'BGR', 'BGZVE', 'Zvezditsa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.433 6.367)', 'BEN', 'BJCOO', 'Cotonou', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-37.072 -10.945)', 'BRA', 'BRAJU', 'Aracaju', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-34.834 -6.966)', 'BRA', 'BRCDO', 'Cabedelo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-48.671 -26.909)', 'BRA', 'BRITJ', 'Itajai', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-35.201 -5.779)', 'BRA', 'BRNAT', 'Natal', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-40.067 -19.829)', 'BRA', 'BRPCL', 'Portocel', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-43.173 -22.907)', 'BRA', 'BRRIO', 'Rio de Janeiro', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-46.325 -23.968)', 'BRA', 'BRSSZ', 'Santos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-40.296 -20.297)', 'BRA', 'BRVIX', 'Vitória', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-53.3 47.583)', 'CAN', 'CABYR', 'Bay Roberts', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-54.55 48.95)', 'CAN', 'CAGAN', 'Gander', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-54 47.3)', 'CAN', 'CANWP', 'ARGENTIA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-52.733 47.567)', 'CAN', 'CASJF', 'Saint-John''s', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.034 5.319)', 'CIV', 'CIABJ', 'Abidjan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-70.933 -53.133)', 'CHL', 'CLPUQ', 'Punta Arenas', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-73.133 -36.7)', 'CHL', 'CLSVE', 'San Vicente', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-74.807 11.004)', 'COL', 'COBAQ', 'Barranquilla', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-25 16.883)', 'CPV', 'CVMIN', 'Mindelo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-22.917 16.75)', 'CPV', 'CVSID', 'Ilha do Sal', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-24.975 16.827)', 'CPV', 'CVVXE', 'Sao Vicente', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(34.003 34.982)', 'CYP', 'CYAYI', 'Ayia Napa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(32.318 34.903)', 'CYP', 'CYGEO', 'Ayios Georgios', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(33.641 34.917)', 'CYP', 'CYLAR', 'Larnaca Port', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(32.394 35.041)', 'CYP', 'CYLAT', 'Latchi', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(33.633 34.883)', 'CYP', 'CYLFS', 'Larnaca Fishing Shelter', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(33.017 34.65)', 'CYP', 'CYLIM', 'Limassol New Port', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(33.043 34.669)', 'CYP', 'CYLOP', 'Limassol Old Port', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(33.777 34.981)', 'CYP', 'CYORM', 'Ormidia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(34.037 35.038)', 'CYP', 'CYPAR', 'Paralimni', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(32.412 34.755)', 'CYP', 'CYPFO', 'Paphos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(32.55 35.167)', 'CYP', 'CYPOM', 'Pomos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(33.901 34.97)', 'CYP', 'CYPOT', 'Potamos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(32.671 35.19)', 'CYP', 'CYPYR', 'Pyrgos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(34.016 35.055)', 'CYP', 'CYTRI', 'Ayia Triada', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(33.831 34.964)', 'CYP', 'CYXYL', 'Xylofagou', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(33.338 34.727)', 'CYP', 'CYZYG', 'Zygi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.933 54.633)', 'DEU', 'DE4AV', 'ARNIS', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.622 54.372)', 'DEU', 'DE5B6', 'BODSTEDT', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.567 53.717)', 'DEU', 'DE63D', 'Seester', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.061 54.188)', 'DEU', 'DE63V', 'Kellenhusen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.765 54.062)', 'DEU', 'DE64R', 'Sierksdorf', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.753 54.051)', 'DEU', 'DE64V', 'Haffkrug', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.813 53.993)', 'DEU', 'DE64Z', 'Niendorf Ostsee', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.68 54.318)', 'DEU', 'DE65G', 'Hohwacht', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.883 54.005)', 'DEU', 'DE68S', 'FRIEDRICHSKOOG', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.381 54.631)', 'DEU', 'DE69S', 'WITTDÜN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.898 54.148)', 'DEU', 'DE73B', 'Börgerende', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.521 53.736)', 'DEU', 'DE75Q', 'Dorum', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.563 54.031)', 'DEU', 'DE7B6', 'BOIENSDORF', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.271 53.739)', 'DEU', 'DE8AN', 'ALTWARP', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.421 54.381)', 'DEU', 'DEAAN', 'AHRENSHOOP-ALTHAGEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.049 53.526)', 'DEU', 'DEACC', 'ACCUMERSIEL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.193 53.943)', 'DEU', 'DEAHC', 'AHLBECK', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.791 54.309)', 'DEU', 'DEB02', 'Brök', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.609 54.829)', 'DEU', 'DEB99', 'BOCKHOLMWIK', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.716 54.362)', 'DEU', 'DEBA2', 'Baabe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.138 53.968)', 'DEU', 'DEBA4', 'BANSIN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.727 54.372)', 'DEU', 'DEBBH', 'BARTH', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.418 53.877)', 'DEU', 'DEBEI', 'BEIDENFLETH', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(7.575 53.675)', 'DEU', 'DEBEN', 'BENSERSIEL', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.033 54.433)', 'DEU', 'DEBH7', 'BARHÖFT', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.483 53.333)', 'DEU', 'DEBKE', 'BRAKE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.44 53.872)', 'DEU', 'DEBL5', 'BAHRENFLETH', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.434 53.752)', 'DEU', 'DEBLJ', 'BIELENBERG', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(6.75 53.558)', 'DEU', 'DEBMK', 'BORKUM', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.127 53.895)', 'DEU', 'DEBRB', 'Brunsbüttel', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(8.573 53.537)', 'DEU', 'DEBRV', 'BREMERHAVEN', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.191 54.422)', 'DEU', 'DEBSK', 'BURGSTAAKEN', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.85 54.133)', 'DEU', 'DEBUM', 'Büsum', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.6 54.4)', 'DEU', 'DEBZR', 'BINZ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.7 53.867)', 'DEU', 'DECUX', 'CUXHAVEN', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.692 54.732)', 'DEU', 'DEDAG', 'Dagebüll', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.11 53.447)', 'DEU', 'DEDAN', 'Dangast', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.025 54.582)', 'DEU', 'DEDAP', 'DAMP', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.986 54.72)', 'DEU', 'DEDCT', 'DRECHT', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.09 54.218)', 'DEU', 'DEDHI', 'Dahme', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.365 54.295)', 'DEU', 'DEDIA', 'DIERHAGEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(7.281 53.317)', 'DEU', 'DEDIT', 'DITZUM', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.233 54.628)', 'DEU', 'DEDRA', 'DRANSKE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.838 54.475)', 'DEU', 'DEECK', 'Eckernförde', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.85 54.267)', 'DEU', 'DEEIK', 'EIDERLOCKSPERRWERK', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(7.2 53.367)', 'DEU', 'DEEME', 'EMDEN', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.355 53.595)', 'DEU', 'DEFEZ', 'FEDDERWARDERSIEL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.957 54.771)', 'DEU', 'DEFHO', 'FALSHOEFT', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.543 53.727)', 'DEU', 'DEFLA', 'FLEIEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.43 54.802)', 'DEU', 'DEFLF', 'FLENSBURG', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.726 54.134)', 'DEU', 'DEFRJ', 'FREEST', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.179 54.393)', 'DEU', 'DEFRO', 'FRIEDRICHSORT', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.527 54.84)', 'DEU', 'DEGCK', 'GLUECKSBURG', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.082 53.797)', 'DEU', 'DEGEV', 'GEVERSDORF', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.738 54.342)', 'DEU', 'DEGHS', 'GÖHREN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.417 53.783)', 'DEU', 'DEGLU', 'Glückstadt', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.471 54.569)', 'DEU', 'DEGLY', 'GLOWE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.25 54.25)', 'DEU', 'DEGMX', 'Graal-Müritz', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.383 54.083)', 'DEU', 'DEGRD', 'GREIFSWALD', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(7.1 53.5)', 'DEU', 'DEGRE', 'GREETSIEL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.104 54.364)', 'DEU', 'DEGRO', 'GROSSENBRODE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.752 53.907)', 'DEU', 'DEGTM', 'LÜBECK-GOTHMUND', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.323 54.172)', 'DEU', 'DEGTW', 'GRISTOW', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.681 54.307)', 'DEU', 'DEGXG', 'Gager', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.683 54.296)', 'DEU', 'DEGZ4', 'GROSS-ZICKER', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.95 54.133)', 'DEU', 'DEGZZ', 'GROEMITZ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.678 53.572)', 'DEU', 'DEHAM', 'HAMBURG', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.167 53.96)', 'DEU', 'DEHDF', 'HERINGSDORF', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.197 54.375)', 'DEU', 'DEHED', 'HEIKENDORF', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.542 54.577)', 'DEU', 'DEHGE', 'HOOGE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(7.9 54.183)', 'DEU', 'DEHGL', 'HELGOLAND', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.983 54.373)', 'DEU', 'DEHHF', 'HEILIGENHAFEN', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.572 53.63)', 'DEU', 'DEHLO', 'HASELDORF', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.14 54.338)', 'DEU', 'DEHNX', 'Hennstedt', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.297 54.017)', 'DEU', 'DEHOD', 'HOCHDONN', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.083 53.642)', 'DEU', 'DEHOO', 'HOOKSIEL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.022 53.685)', 'DEU', 'DEHOS', 'HORUMERSIEL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.6 53.603)', 'DEU', 'DEHQN', 'HETLINGEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.297 54.758)', 'DEU', 'DEHRM', 'Hörnum-Sylt', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(7.808 53.707)', 'DEU', 'DEHSX', 'HARLESIEL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.045 54.475)', 'DEU', 'DEHUS', 'HUSUM', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(10.523 54.375)', 'DEU', 'DEHUV', 'HUBERTSBERG', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.333 54.65)', 'DEU', 'DEIAM', 'Amrum', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.492 53.922)', 'DEU', 'DEITZ', 'ITZEHOE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.828 54.113)', 'DEU', 'DEKAJ', 'Karlshagen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.935 54.658)', 'DEU', 'DEKAP', 'KAPPELN', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.207 53.87)', 'DEU', 'DEKAV', 'Kamminke', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.44 53.995)', 'DEU', 'DEKDM', 'KIRCHDORF', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.157 54.333)', 'DEU', 'DEKEL', 'KIEL', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.839 54.607)', 'DEU', 'DEKEY', 'KETELSBY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.968 54.731)', 'DEU', 'DEKGA', 'KRONSGAARD', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.607 53.672)', 'DEU', 'DEKLV', 'KLEVENDEICH', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.109 54.587)', 'DEU', 'DEKLY', 'KLOSTER', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.408 53.91)', 'DEU', 'DEKNO', 'Kasenort', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.023 54.039)', 'DEU', 'DEKOC', 'KOELPINSEE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.488 53.725)', 'DEU', 'DEKOL', 'KOLLMAR', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.757 54.122)', 'DEU', 'DEKSL', 'Kröslin', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.003 54.051)', 'DEU', 'DEKSW', 'KOSEROW', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.742 54.147)', 'DEU', 'DEKU3', 'Kühlungsborn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.559 53.664)', 'DEU', 'DEKZD', 'KREUZDEICH', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.692 54.28)', 'DEU', 'DEKZR', 'KLEIN-ZICKER', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.218 54.403)', 'DEU', 'DELAB', 'LABOE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.5 54.342)', 'DEU', 'DELAK', 'Lauterbach, Rügen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.719 54.319)', 'DEU', 'DELB2', 'LOBBE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.7 53.89)', 'DEU', 'DELBC', 'Lübeck', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.654 54.821)', 'DEU', 'DELGY', 'LANGBALLIGAU', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.983 54.515)', 'DEU', 'DELHZ', 'LANGHOLZ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.44 55.017)', 'DEU', 'DELIS', 'List/Sylt', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.827 54.593)', 'DEU', 'DELIX', 'LINDAUNIS', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.09 54.446)', 'DEU', 'DELMK', 'LEMKENHAFEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.65 54.333)', 'DEU', 'DELPA', 'LIPPE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.855 53.951)', 'DEU', 'DELSA', 'LASSAN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.793 53.885)', 'DEU', 'DELSP', 'LÜBECK-SCHLUTUP', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.51 54.483)', 'DEU', 'DELZW', 'LIETZOW', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.992 54.685)', 'DEU', 'DEMAO', 'MAASHOLM', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.952 54.093)', 'DEU', 'DEMEL', 'Meldorf', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.967 53.768)', 'DEU', 'DEMKB', 'MOENKEBUDE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.358 54.918)', 'DEU', 'DEMNK', 'MUNKMARSCH', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.249 54.423)', 'DEU', 'DEMSY', 'MEESCHENDORF', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.967 53.9)', 'DEU', 'DEMVD', 'DASSOW', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.567 53.733)', 'DEU', 'DENBM', 'Neuendorf bei Elmshorn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.017 53.9)', 'DEU', 'DENEF', 'NEUFELD', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.333 54.547)', 'DEU', 'DENEK', 'Neuenkirchen, Rügen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.812 54.105)', 'DEU', 'DENHO', 'Neustadt, Holstein', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(7.703 53.7)', 'DEU', 'DENHS', 'NEUHARLINGERSIEL', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.744 54.802)', 'DEU', 'DENKX', 'Neukirchen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.583 54.483)', 'DEU', 'DENMK', 'NEU MUKRAN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(7.158 53.625)', 'DEU', 'DENOE', 'NORDDEICH', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.808 54.498)', 'DEU', 'DENOR', 'NORDSTRAND', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.092 54.525)', 'DEU', 'DENOZ', 'NEUENDORF, HIDDENSEE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.61 54.335)', 'DEU', 'DENRZ', 'NEU REDDEVITZ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.327 53.86)', 'DEU', 'DEOOF', 'Brokdorf', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(12.533 54.383)', 'DEU', 'DEORD', 'BORN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.052 54.447)', 'DEU', 'DEORT', 'Orth/Fehmarn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.863 54.753)', 'DEU', 'DEORV', 'OHRFELDHAFF', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.682 54.381)', 'DEU', 'DEPCE', 'Pruchten', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.778 54.14)', 'DEU', 'DEPEF', 'Peenemünde', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.688 54.522)', 'DEU', 'DEPEL', 'PELLWORM', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(7.257 53.318)', 'DEU', 'DEPGM', 'POGUM', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.57 54.453)', 'DEU', 'DEPRW', 'Prerow', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.583 54.305)', 'DEU', 'DEPSH', 'Sankt Peter-Ording', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.241 54.476)', 'DEU', 'DEPSK', 'Presen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.227 54.503)', 'DEU', 'DEPUT', 'PUTTGARDEN', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.486 53.932)', 'DEU', 'DERDI', 'REDENTIN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.485 54.388)', 'DEU', 'DERDX', 'RADELAND', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.357 54.613)', 'DEU', 'DEREQ', 'Breege', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.927 53.946)', 'DEU', 'DERKZ', 'RANKWITZ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.609 54.104)', 'DEU', 'DERRE', 'RERIK', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.123 54.093)', 'DEU', 'DERSK', 'ROSTOCK', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.771 54.206)', 'DEU', 'DERUR', 'Ruden', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.44 54.293)', 'DEU', 'DERZD', 'Ribnitz-Damgarten', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.643 54.512)', 'DEU', 'DESAS', 'SASSNITZ', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.821 54.768)', 'DEU', 'DESBJ', 'STEINBERGHAFF', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.654 54.352)', 'DEU', 'DESDY', 'Seedorf', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.168 54.511)', 'DEU', 'DESH2', 'SCHAPRODE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.284 54.234)', 'DEU', 'DESHY', 'Stahlbrode', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.118 54.417)', 'DEU', 'DESKQ', 'Strukkamp', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.755 54.682)', 'DEU', 'DESL5', 'Schlüttsiel', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.567 54.517)', 'DEU', 'DESLS', 'SCHLESWIG', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.272 54.415)', 'DEU', 'DESNQ', 'Stein, Plön', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.561 53.794)', 'DEU', 'DESNV', 'Spieka-Neufeld', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.408 54.414)', 'DEU', 'DESSG', 'SCHOENBERGER STRAND', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.172 54.437)', 'DEU', 'DESTD', 'STRANDE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.098 54.318)', 'DEU', 'DESTL', 'STRALSUND', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.05 54.334)', 'DEU', 'DESUU', 'SÜTEL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.024 54.598)', 'DEU', 'DESYR', 'Schubystrand', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.236 53.973)', 'DEU', 'DETAZ', 'TARNEWITZ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.781 54)', 'DEU', 'DETFD', 'Timmerdorf Strand', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.376 53.992)', 'DEU', 'DETMD', 'Timmendorf, Poel', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.95 54.317)', 'DEU', 'DETOE', 'Tönning', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.865 54.086)', 'DEU', 'DETR2', 'TRASSENHEIDE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.858 53.954)', 'DEU', 'DETRV', 'Travemünde', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.715 54.279)', 'DEU', 'DETS2', 'THIESSOW', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.827 54.352)', 'DEU', 'DETTU', 'Tetenbüll', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.065 53.748)', 'DEU', 'DEUCK', 'Ueckermünde', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.047 54.012)', 'DEU', 'DEUEC', 'UECKERITZ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.67 53.678)', 'DEU', 'DEUET', 'UETERSEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.178 54.461)', 'DEU', 'DEUMZ', 'UMMANZ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.924 53.875)', 'DEU', 'DEUSD', 'USEDOM', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.183 53.41)', 'DEU', 'DEVAR', 'VAREL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.433 54.667)', 'DEU', 'DEVIA', 'VITT-ARKONA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.108 54.568)', 'DEU', 'DEVT2', 'VITTE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.093 54.168)', 'DEU', 'DEWAR', 'Warnemünde', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(9.878 54.756)', 'DEU', 'DEWAV', 'WACKERBALLIG', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.581 54.409)', 'DEU', 'DEWD5', 'Wieck auf dem Darss', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.291 54.409)', 'DEU', 'DEWEJ', 'Wentdorf', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.405 53.843)', 'DEU', 'DEWEW', 'WEWELSFLETH', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.16 54.41)', 'DEU', 'DEWFV', 'Wulfen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.284 54.62)', 'DEU', 'DEWIK', 'WIEK', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.453 53.897)', 'DEU', 'DEWIS', 'WISMAR', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.053 54.523)', 'DEU', 'DEWML', 'WESTERMARKELSDORF', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.767 54.05)', 'DEU', 'DEWOL', 'WOLGAST', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.911 53.983)', 'DEU', 'DEWRJ', 'Warthe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.5 53.65)', 'DEU', 'DEWRY', 'WREMEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.18 54.457)', 'DEU', 'DEWSJ', 'Waase', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.247 54.558)', 'DEU', 'DEWT4', 'Wittow', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.396 54.349)', 'DEU', 'DEWUO', 'WUSTROW', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.575 54.693)', 'DEU', 'DEWYK', 'Wyk auf Föhr', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.838 53.859)', 'DEU', 'DEZEQ', 'ZECHERIN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.915 54.082)', 'DEU', 'DEZIN', 'ZINNOWITZ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.683 54.433)', 'DEU', 'DEZIS', 'ZINGST', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.953 54.065)', 'DEU', 'DEZMP', 'ZEMPIN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.352 54.258)', 'DEU', 'DEZUD', 'ZUDAR', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.421 55.045)', 'DNK', 'DKAAB', 'Åbenrå', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.343 55.081)', 'DNK', 'DKAAC', 'Åstrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.667 55.567)', 'DNK', 'DKAAE', 'Aarre', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.4 57.583)', 'DNK', 'DKAAF', 'Aalbaek', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.033 55.45)', 'DNK', 'DKAAG', 'Bjaeverskov', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.9 55.717)', 'DNK', 'DKAAH', 'Barrit', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.717 55.917)', 'DNK', 'DKAAI', 'Oelsted', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.967 55.233)', 'DNK', 'DKAAJ', 'Ebberup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.383 55.433)', 'DNK', 'DKAAK', 'Fanoe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.916 57.049)', 'DNK', 'DKAAL', 'Aalborg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.133 55.25)', 'DNK', 'DKAAM', 'Fakse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.733 56.483)', 'DNK', 'DKAAN', 'Glesborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.417 56.75)', 'DNK', 'DKAAO', 'Hurup Thy', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.205 56.153)', 'DNK', 'DKAAR', 'Århus', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.083 55.633)', 'DNK', 'DKAAS', 'Vorbasse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.483 56.5)', 'DNK', 'DKAAT', 'Lystrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.083 57.1)', 'DNK', 'DKAAU', 'Langholt', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.733 55.117)', 'DNK', 'DKAAV', 'Oure', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.617 55.817)', 'DNK', 'DKAAW', 'Oelgod', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.35 54.65)', 'DNK', 'DKAAX', 'Rødby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.633 54.783)', 'DNK', 'DKAAZ', 'Reersoe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.4 55.25)', 'DNK', 'DKABA', 'Sønder Bjert', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10 56.067)', 'DNK', 'DKABB', 'Stilling', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.383 56.433)', 'DNK', 'DKABE', 'Auning', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.383 55.617)', 'DNK', 'DKABG', 'Vallensbaek Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.167 56.117)', 'DNK', 'DKABH', 'Viby Jylland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.033 55.117)', 'DNK', 'DKABI', 'Præstoe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.033 56.797)', 'DNK', 'DKBRX', 'Branden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.917 55.7)', 'DNK', 'DKABJ', 'Kirke Hyllinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.267 57.017)', 'DNK', 'DKABK', 'Ålebæk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.217 55.517)', 'DNK', 'DKABY', 'Askeby', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(8.417 55.233)', 'DNK', 'DKAED', 'Agedrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.576 56.722)', 'DNK', 'DKAGA', 'Agerø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.8 55.6)', 'DNK', 'DKAGD', 'Agerbæk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.8 55.274)', 'DNK', 'DKAGE', 'Allinge', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.255 56.778)', 'DNK', 'DKAGH', 'Agger Havn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10 55.183)', 'DNK', 'DKAGN', 'Agernæs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.192 55.212)', 'DNK', 'DKAGO', 'Agersø', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.317 56.417)', 'DNK', 'DKAGR', 'Agerskov', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.167 56.133)', 'DNK', 'DKAHJ', 'Åbyhøj/Århus', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.306 55.159)', 'DNK', 'DKAKV', 'Arreskov Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.735 56.615)', 'DNK', 'DKALB', 'Ålbaek, Vestjylland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.243 55.728)', 'DNK', 'DKALH', 'Alleshave', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.413 57.594)', 'DNK', 'DKALK', 'Ålbæk, Nordjylland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.383 55.867)', 'DNK', 'DKALL', 'Allerod', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.4 56.367)', 'DNK', 'DKALM', 'Almind', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.326 56.706)', 'DNK', 'DKALO', 'Als Odde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.072 55.857)', 'DNK', 'DKALR', 'Alrø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.541 56.075)', 'DNK', 'DKALS', 'Ålsgårde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.957 54.824)', 'DNK', 'DKALU', 'Albuen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.05 55.083)', 'DNK', 'DKALV', 'Allerslev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.288 56.755)', 'DNK', 'DKALX', 'Als', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.96 57.008)', 'DNK', 'DKAMT', 'Amtoft', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.514 56.716)', 'DNK', 'DKANH', 'Anholt', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.749 55.196)', 'DNK', 'DKAPN', 'Appenæs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.711 55.261)', 'DNK', 'DKARD', 'Årosund', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.139 55.981)', 'DNK', 'DKARG', 'Årgab', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.41 54.889)', 'DNK', 'DKARK', 'Ærøskøbing', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.483 55.3)', 'DNK', 'DKARL', 'Årslev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.779 55.054)', 'DNK', 'DKARN', 'Arnager', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.738 55.26)', 'DNK', 'DKARO', 'Åro', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.667 55.567)', 'DNK', 'DKARR', 'Arre', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.144 55.106)', 'DNK', 'DKARS', 'Årsdale', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.404 57.148)', 'DNK', 'DKASA', 'Asaa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.917 55.483)', 'DNK', 'DKASE', 'Asperup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.902 55.271)', 'DNK', 'DKASF', 'Assens, Fyn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.285 57.003)', 'DNK', 'DKASH', 'Aggersund', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.493 54.898)', 'DNK', 'DKASK', 'Askø', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.302 56.414)', 'DNK', 'DKASM', 'Assens, Mariager Fjord', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.1 55.96)', 'DNK', 'DKASO', 'Arresø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.4 56.45)', 'DNK', 'DKASP', 'Allestrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.499 55.811)', 'DNK', 'DKASS', 'Asnæs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.454 57.046)', 'DNK', 'DKATT', 'Attrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.873 54.946)', 'DNK', 'DKAUB', 'Augustenborg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.957 55.003)', 'DNK', 'DKAUN', 'Aunø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.267 55.033)', 'DNK', 'DKAVK', 'Avernak By', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.783 56.25)', 'DNK', 'DKAVL', 'Avlum', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.783 55.3)', 'DNK', 'DKAVN', 'Avernakke Havn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.75 57.15)', 'DNK', 'DKAYB', 'Åbybro', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.439 54.995)', 'DNK', 'DKB2R', 'Borre, Sjælland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.105 55.042)', 'DNK', 'DKBAA', 'Balka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.673 54.75)', 'DNK', 'DKBAG', 'Bagenkop', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(10.65 55.817)', 'DNK', 'DKBAL', 'Ballen, Jylland', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.637 55.816)', 'DNK', 'DKBAN', 'Ballen, Samsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.392 55.199)', 'DNK', 'DKBAO', 'Bavelse Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.271 55.82)', 'DNK', 'DKBAP', 'Bastrup Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.759 55.157)', 'DNK', 'DKBAS', 'Basnæs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.65 56.977)', 'DNK', 'DKBAU', 'Baun', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.203 56.436)', 'DNK', 'DKBBG', 'Bøvlingbjerg', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.267 55.233)', 'DNK', 'DKBBI', 'Broby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.067 55.117)', 'DNK', 'DKBDE', 'Branderup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.61 55.721)', 'DNK', 'DKBDL', 'Bredballe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.486 54.837)', 'DNK', 'DKBDX', 'Bandholm', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.217 56.067)', 'DNK', 'DKBED', 'Beder', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.509 56.18)', 'DNK', 'DKBEG', 'Begtrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.417 56.817)', 'DNK', 'DKBES', 'Bedsted, Thy', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.217 55.2)', 'DNK', 'DKBEV', 'Bevtoft', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.758 55.619)', 'DNK', 'DKBGK', 'Bøgeskoven', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.594 55.471)', 'DNK', 'DKBGN', 'Bregnør', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.808 55.314)', 'DNK', 'DKBGO', 'Baagø', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.674 55.666)', 'DNK', 'DKBGR', 'Brejning', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.094 55.564)', 'DNK', 'DKBGZ', 'Bogense', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.503 54.931)', 'DNK', 'DKBIH', 'Birkholm', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.333 55.617)', 'DNK', 'DKBIL', 'Billum', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.45 56.057)', 'DNK', 'DKBIO', 'Birksø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.433 55.833)', 'DNK', 'DKBIR', 'Birkerod', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.496 55.207)', 'DNK', 'DKBIS', 'Bisserup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.609 55.43)', 'DNK', 'DKBJE', 'Bjert Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.18 55.868)', 'DNK', 'DKBJG', 'Bjerregård', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.249 55.065)', 'DNK', 'DKBJR', 'Bjørnø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.592 57.251)', 'DNK', 'DKBKH', 'Blokhus', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.15 55.567)', 'DNK', 'DKBKK', 'Bække', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.317 56.417)', 'DNK', 'DKBKM', 'Bækmarksbro', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.633 55.633)', 'DNK', 'DKBKP', 'Borkop', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.118 55.553)', 'DNK', 'DKBLA', 'Blavand', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.67 54.999)', 'DNK', 'DKBLB', 'Ballebro', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.111 55.029)', 'DNK', 'DKBLC', 'Balle', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.267 56.3)', 'DNK', 'DKBLE', 'Balle, Samsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.076 55.154)', 'DNK', 'DKBLH', 'Bølshavn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.424 54.861)', 'DNK', 'DKBLN', 'Blans', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.1 56.817)', 'DNK', 'DKBLU', 'Baelum', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.267 55.383)', 'DNK', 'DKBML', 'Blommenslyst', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.72 56.52)', 'DNK', 'DKBNP', 'Bønnerup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.267 56.217)', 'DNK', 'DKEGA', 'Egå', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.096 57.384)', 'DNK', 'DKBOC', 'Boller Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.481 56.707)', 'DNK', 'DKBOD', 'Boddum', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.283 55.3)', 'DNK', 'DKBOE', 'Boeslunde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.051 54.915)', 'DNK', 'DKBOG', 'Bogo By', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.279 55.848)', 'DNK', 'DKBOK', 'Bork Havn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.3 54.983)', 'DNK', 'DKBOL', 'Bolderslev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.156 58.332)', 'EST', 'EEUBE', 'Ubesoo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.723 55.385)', 'DNK', 'DKBOM', 'Bovense Mose, Østfyn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.106 55.105)', 'DNK', 'DKBOS', 'Bøjden', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(10.872 54.996)', 'DNK', 'DKBOT', 'Botofte', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.6 55.4)', 'DNK', 'DKBOY', 'Broby Overdrev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.367 55.7)', 'DNK', 'DKBRD', 'Bredsten', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.478 55.041)', 'DNK', 'DKBRF', 'Ballen, Svendborg Sund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.683 54.883)', 'DNK', 'DKBRG', 'Broager', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.91 55.491)', 'DNK', 'DKBRI', 'Båring', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.133 54.867)', 'DNK', 'DKBRL', 'Branderslev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.517 55.7)', 'DNK', 'DKBRN', 'Bronshoj', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.95 57.267)', 'DNK', 'DKBRO', 'Brønderslev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.3 55.633)', 'DNK', 'DKBRR', 'Borre, Jylland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.5 54.733)', 'DNK', 'DKBRS', 'Burso', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.883 55.217)', 'DNK', 'DKBRV', 'Brandelev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.001 55.202)', 'DNK', 'DKBSH', 'Brunshuse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.35 55.617)', 'DNK', 'DKBST', 'Brondby Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.6 55.967)', 'DNK', 'DKBSU', 'Braedstrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.25 54.883)', 'DNK', 'DKBUP', 'Broderup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.231 55.814)', 'DNK', 'DKBUR', 'Buresø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.187 55.321)', 'DNK', 'DKCHR', 'Christiansø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.2 57.45)', 'DNK', 'DKCNL', 'Sindal', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.569 55.676)', 'DNK', 'DKCPH', 'København', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.483 52.35)', 'DNK', 'DKCSF', 'Christiansfeld', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.864 55.063)', 'DNK', 'DKDAG', 'Dageløkke', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.4 55.283)', 'DNK', 'DKDAL', 'Dalmose', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.201 56.371)', 'DNK', 'DKDAM', 'Damhus', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.717 55.733)', 'DNK', 'DKDAU', 'Daugard', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.401 56.198)', 'DNK', 'DKDEJ', 'Dejret', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.1 55.567)', 'DNK', 'DKDGP', 'Gadstrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.483 55.533)', 'DNK', 'DKDIA', 'Dianalund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.253 56.905)', 'DNK', 'DKDKD', 'Dokkedal', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.283 57.15)', 'DNK', 'DKDLD', 'Dronninglund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.467 56.717)', 'DNK', 'DKDOV', 'Doverodde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.67 55.594)', 'DNK', 'DKDRA', 'Dragør', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.421 54.97)', 'DNK', 'DKDRE', 'Drejø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.582 55.5)', 'DNK', 'DKDRJ', 'Drejens', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.4 56.1)', 'DNK', 'DKDRN', 'Dronningmolle', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.083 56.483)', 'DNK', 'DKDRO', 'Dronningborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.577 54.893)', 'DNK', 'DKDSG', 'Dalsgård', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.367 57.283)', 'DNK', 'DKDYB', 'Dybvad', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.463 55.109)', 'DNK', 'DKDYH', 'Dybvighoved', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.72 55.136)', 'DNK', 'DKDYO', 'Dybsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.211 55.07)', 'DNK', 'DKDYR', 'Dyreborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.423 55.027)', 'DNK', 'DKDYV', 'Dyvig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.424 55.472)', 'DNK', 'DKEBJ', 'Esbjerg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.678 56.2)', 'DNK', 'DKEBT', 'Ebeltoft', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.836 57.067)', 'DNK', 'DKEGH', 'Egholm', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.669 56.221)', 'DNK', 'DKEGK', 'Egsmark Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.301 56.981)', 'DNK', 'DKEGN', 'Egense', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.515 56.27)', 'DNK', 'DKEGS', 'Egens', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.3 55.617)', 'DNK', 'DKEGV', 'Egtved', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.424 56.179)', 'DNK', 'DKEGX', 'Eg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.847 55.689)', 'DNK', 'DKEJB', 'Ejby bro', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(8.902 56.925)', 'DNK', 'DKEJE', 'Ejerslev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.251 57.102)', 'DNK', 'DKEJS', 'Ejstrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.839 55.695)', 'DNK', 'DKEJY', 'Ejby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.605 54.905)', 'DNK', 'DKEND', 'Egernsund', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.129 56.309)', 'DNK', 'DKENG', 'Engholm', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.433 55.017)', 'DNK', 'DKENS', 'Enstedværket Havn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.496 54.668)', 'DNK', 'DKERR', 'Errindlev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.083 56.367)', 'DNK', 'DKERS', 'Erslev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.317 55.717)', 'DNK', 'DKESK', 'Eskebjerg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.56 55.993)', 'DNK', 'DKESP', 'Espergærde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.379 56.051)', 'DNK', 'DKESR', 'Esrum Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.283 55.983)', 'DNK', 'DKETH', 'Ejstrupholm', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.229 55.104)', 'DNK', 'DKFAB', 'Fåborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.691 55.488)', 'DNK', 'DKFAE', 'Fænø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.168 55.219)', 'DNK', 'DKFAK', 'Fakse Ladeplads Havn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.152 55.148)', 'DNK', 'DKFAL', 'Falsled', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.286 55.841)', 'DNK', 'DKFAN', 'Falen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.536 57.44)', 'DNK', 'DKFDH', 'Frederikshavn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.066 55.837)', 'DNK', 'DKFDS', 'Frederikssund', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.02 55.979)', 'DNK', 'DKFDV', 'Frederiksværk', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.377 54.938)', 'DNK', 'DKFEJ', 'Fejø', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.236 56.32)', 'DNK', 'DKFEL', 'Felsted huse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.583 55.3)', 'DNK', 'DKFER', 'Ferritslev', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.326 55.021)', 'DNK', 'DKFIH', 'Fiskophuse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.604 55.723)', 'DNK', 'DKFIS', 'Fiskerihavnen/København', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.125 56.322)', 'DNK', 'DKFJA', 'Fjand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.667 55.433)', 'DNK', 'DKFJE', 'Fjenneslev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.147 56.331)', 'DNK', 'DKFJH', 'Fjandø havn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.386 55.061)', 'DNK', 'DKFJL', 'Fjællebroen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.589 56.517)', 'DNK', 'DKFJP', 'Fjellerup Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.793 56.889)', 'DNK', 'DKFLA', 'Flade Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.767 55.967)', 'DNK', 'DKFLO', 'Flyndersø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.667 55.867)', 'DNK', 'DKFMM', 'Flemming', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.416 54.942)', 'DNK', 'DKFMO', 'Femø', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.803 55.424)', 'DNK', 'DKFNV', 'Føns Vig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.367 55.717)', 'DNK', 'DKFOL', 'Follenslev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.411 56.933)', 'DNK', 'DKFOO', 'Førby Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.633 55.933)', 'DNK', 'DKFOV', 'Fovling', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.5 55.35)', 'DNK', 'DKFRA', 'Fraugde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.759 55.566)', 'DNK', 'DKFRC', 'Fredericia', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.36 55.423)', 'DNK', 'DKFRI', 'Frihavnen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.768 54.702)', 'DNK', 'DKFRL', 'Frejlev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.4 55.367)', 'DNK', 'DKFRO', 'Frorup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.417 55.733)', 'DNK', 'DKFRS', 'Frostrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.682 55.453)', 'DNK', 'DKFRY', 'Frydenborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.718 55.468)', 'DNK', 'DKFSK', 'Fønsskov', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.533 55.3)', 'DNK', 'DKFUG', 'Fuglebjerg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.024 56.816)', 'DNK', 'DKFUH', 'Fur', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.414 55.798)', 'DNK', 'DKFUS', 'Furesø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.979 54.986)', 'DNK', 'DKFYH', 'Fynshav', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.499 55.311)', 'DNK', 'DKFYN', 'Fyn, uspeciferet', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(10.342 55.31)', 'DNK', 'DKGAB', 'Gabet', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.833 56.733)', 'DNK', 'DKGAN', 'Gandrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.317 55.767)', 'DNK', 'DKGBJ', 'Gadbjerg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.87 54.941)', 'DNK', 'DKGBS', 'Gåbense', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.741 54.868)', 'DNK', 'DKGDB', 'Guldborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.973 55.207)', 'DNK', 'DKGDM', 'Gudhjem', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.85 55.933)', 'DNK', 'DKGDV', 'Gedved', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.929 54.576)', 'DNK', 'DKGED', 'Gedser', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.272 55.287)', 'DNK', 'DKGEH', 'Gersø Huse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.463 55.128)', 'DNK', 'DKGEN', 'Genner Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.976 55.716)', 'DNK', 'DKGER', 'Gershøj', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.2 55.517)', 'DNK', 'DKGES', 'Gesten', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.015 55.822)', 'DNK', 'DKGEV', 'Gerlev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.617 55.217)', 'DNK', 'DKGIL', 'Gislev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.533 55.733)', 'DNK', 'DKGIS', 'Gislinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.717 57.069)', 'DNK', 'DKGJL', 'Gjøl', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.673 55.465)', 'DNK', 'DKGLA', 'Gammel Ålbo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.95 55.4)', 'DNK', 'DKGLD', 'Gelsted', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.309 56.123)', 'DNK', 'DKGLE', 'Gilleleje', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.833 55.55)', 'DNK', 'DKGLJ', 'Glejbjerg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.437 55.195)', 'DNK', 'DKGLN', 'Glænø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.488 56.354)', 'DNK', 'DKGLP', 'Glenstrup Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.7 55.35)', 'DNK', 'DKGLU', 'Glumso', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.233 55.533)', 'DNK', 'DKGLV', 'Gorlev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.872 56.757)', 'DNK', 'DKGLY', 'Glyngøre', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.933 55.233)', 'DNK', 'DKGNN', 'Grønninghoved', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.592 54.921)', 'DNK', 'DKGRA', 'Gråsten', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.927 56.416)', 'DNK', 'DKGRE', 'Grenaa', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.8 55.483)', 'DNK', 'DKGRG', 'Gording', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.797 55.48)', 'DNK', 'DKGRK', 'Gørding Kirke', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.2 55.883)', 'DNK', 'DKGRL', 'Gørløse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.333 55.283)', 'DNK', 'DKGRM', 'Gram', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.119 54.886)', 'DNK', 'DKGRO', 'Grønsund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.283 56.067)', 'DNK', 'DKGRS', 'Græsted', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.505 56.667)', 'DNK', 'DKGRU', 'Graugård', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.233 55.583)', 'DNK', 'DKGRV', 'Greve', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.558 55.527)', 'DNK', 'DKGSO', 'Gudsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10 57)', 'DNK', 'DKGSP', 'Gistrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.317 56.3)', 'DNK', 'DKGTS', 'Glatved Strand', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.717 55.15)', 'DNK', 'DKGUM', 'Gudme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.148 55.735)', 'DNK', 'DKGUN', 'Gundsømagle Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.521 56.022)', 'DNK', 'DKGUR', 'Gurre Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.599 55.791)', 'DNK', 'DKGUS', 'Gundestrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.302 55.579)', 'DNK', 'DKGVD', 'Greve Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.533 55.8)', 'DNK', 'DKGVS', 'Grevinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.711 56.581)', 'DNK', 'DKGYL', 'Gyldendal', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.7 55.5)', 'DNK', 'DKGYR', 'Gyrstinge Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.233 55.333)', 'DNK', 'DKHAA', 'Hårlev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.488 55.251)', 'DNK', 'DKHAD', 'Haderslev', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.571 54.659)', 'DNK', 'DKHAE', 'Handermelle', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.898 56.702)', 'DNK', 'DKHAI', 'Harre Vig', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(9.642 55.202)', 'DNK', 'DKHAK', 'Halk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.244 56.351)', 'DNK', 'DKHAL', 'Harbøth', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.607 57.116)', 'DNK', 'DKHAN', 'Hanstholm', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.1 55.533)', 'DNK', 'DKHAP', 'Havdrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.1 54.883)', 'DNK', 'DKHAR', 'Harpelunde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.309 56.995)', 'DNK', 'DKHAS', 'Hals', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.033 55.467)', 'DNK', 'DKHAU', 'Harndrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.2 56.65)', 'DNK', 'DKHAV', 'Havndal', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.534 55.962)', 'DNK', 'DKHBA', 'Humlebæk', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.145 54.884)', 'DNK', 'DKHBB', 'Hårbøllebro', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.71 55.718)', 'DNK', 'DKHBK', 'Holbæk', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.7 54.833)', 'DNK', 'DKHBL', 'Humble', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.795 56.638)', 'DNK', 'DKHBO', 'Hobro', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.183 56.617)', 'DNK', 'DKHBR', 'Harboør', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.426 55.307)', 'DNK', 'DKHDG', 'Hindsgavl', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.694 55.009)', 'DNK', 'DKHDH', 'Hardeshøj', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.983 56.383)', 'DNK', 'DKHDP', 'Haderup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.288 56.144)', 'DNK', 'DKHEE', 'Hee', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.35 55.389)', 'DNK', 'DKHEH', 'Helleholm', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.372 55.85)', 'DNK', 'DKHEM', 'Hemmet', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.183 55.738)', 'DNK', 'DKHEN', 'Henne', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.136 54.824)', 'DNK', 'DKHES', 'Hesnæs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.767 55.317)', 'DNK', 'DKHEU', 'Herlufmagle', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.35 55.2)', 'DNK', 'DKHGL', 'Hogelund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.757 55.278)', 'DNK', 'DKHHV', 'Hammerhavn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.317 55.933)', 'DNK', 'DKHIL', 'Hillerod', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.96 57.589)', 'DNK', 'DKHIR', 'Hirtshals', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.832 56.996)', 'DNK', 'DKHIV', 'Hovsør', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.25 57.267)', 'DNK', 'DKHJA', 'Hjallerup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.695 54.965)', 'DNK', 'DKHJE', 'Højer', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.05 56.7)', 'DNK', 'DKHJH', 'H.J.Hansen Hadsund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.321 56.53)', 'DNK', 'DKHJK', 'Hjarbæk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.6 55.362)', 'DNK', 'DKHJL', 'Hejlsminde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.617 56.417)', 'DNK', 'DKHJM', 'Hjerm', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.983 55.683)', 'DNK', 'DKHJN', 'Hejnsvig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.489 54.964)', 'DNK', 'DKHJO', 'Hjortø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.776 54.823)', 'DNK', 'DKHJS', 'Hjortholm', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.367 55.517)', 'DNK', 'DKHJT', 'Hjerting', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.75 55.167)', 'DNK', 'DKHLG', 'Hesselager', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.148 56.331)', 'DNK', 'DKHLK', 'Helmklit', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.345 56.702)', 'DNK', 'DKHLL', 'Hellingsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.037 55.133)', 'DNK', 'DKHLN', 'Helnæs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.707 55.212)', 'DNK', 'DKHLP', 'Helligpeder', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.613 56.034)', 'DNK', 'DKHLS', 'Helsingør', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.551 56.54)', 'DNK', 'DKHMM', 'Humlum', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.555 55.087)', 'DNK', 'DKHNB', 'Havneby', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.067 55.917)', 'DNK', 'DKHND', 'Hundslund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.167 55.109)', 'DNK', 'DKHNE', 'Horne', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.3 55.517)', 'DNK', 'DKHNG', 'Hong', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.333 56.317)', 'DNK', 'DKHNS', 'Hornslet', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.067 54.817)', 'DNK', 'DKHOB', 'Horbelev', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(10.367 57.06)', 'DNK', 'DKHOH', 'Hou Havn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.15 56.583)', 'DNK', 'DKHOJ', 'Hojslev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.917 55.25)', 'DNK', 'DKHOM', 'Holmegård', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.456 56.09)', 'DNK', 'DKHON', 'Hornbæk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.833 55.25)', 'DNK', 'DKHOO', 'Holme-Olstrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.843 55.862)', 'DNK', 'DKHOR', 'Horsens', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.233 54.9)', 'DNK', 'DKHOS', 'Horslunde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.036 57.008)', 'DNK', 'DKHOT', 'Holmtange', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.967 55.95)', 'DNK', 'DKHOV', 'Hovedgård', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.07 56.092)', 'DNK', 'DKHOW', 'Hovvig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.228 55.55)', 'DNK', 'DKHOX', 'Ho', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.35 56.017)', 'DNK', 'DKHPN', 'Hampen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.703 55.834)', 'DNK', 'DKHQL', 'Hølkerup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.18 56.617)', 'DNK', 'DKHRB', 'Harboøre', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.467 55.75)', 'DNK', 'DKHRE', 'Hørve', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.101 55.564)', 'DNK', 'DKHRG', 'Haurvig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.9 54.91)', 'DNK', 'DKHRH', 'Høruphav', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.705 55.739)', 'DNK', 'DKHRY', 'Hørby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.208 56.26)', 'DNK', 'DKHSC', 'Husby Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.5 55.85)', 'DNK', 'DKHSD', 'Høve Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.707 55.183)', 'DNK', 'DKHSL', 'Hasle', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.888 54.724)', 'DNK', 'DKHSO', 'Hasselø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.116 56.715)', 'DNK', 'DKHSU', 'Hadsund', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.867 55.75)', 'DNK', 'DKHSY', 'Hornsyld', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.283 55.65)', 'DNK', 'DKHTP', 'Høje Tåstrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.853 55.959)', 'DNK', 'DKHUN', 'Hundested', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.18 56.28)', 'DNK', 'DKHUS', 'Husby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.207 56.701)', 'DNK', 'DKHVA', 'Hvalpsund', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.95 55.6)', 'DNK', 'DKHVB', 'Hovborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.74 55.65)', 'DNK', 'DKHVD', 'Hvidbjerg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.611 54.66)', 'DNK', 'DKHVE', 'Høvænge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.667 55.483)', 'DNK', 'DKHVI', 'Hvims', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.252 55.917)', 'DNK', 'DKHVJ', 'Hov, Østjylland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.85 55.6)', 'DNK', 'DKHVL', 'Hvalsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.337 55.75)', 'DNK', 'DKHVN', 'Havnsø', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.534 55.073)', 'DNK', 'DKHVO', 'Hvidkilde Sø, V. Svendborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.128 56.002)', 'DNK', 'DKHVS', 'Hvide Sande', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.567 56.067)', 'DNK', 'DKHVT', 'Hellebæk', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.936 55.158)', 'DNK', 'DKHWA', 'Hov, Langeland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.25 55.917)', 'DNK', 'DKHWO', 'Hov', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.967 54.733)', 'DNK', 'DKIDE', 'Idestrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.767 54.877)', 'DNK', 'DKILL', 'Illebølle', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.662 54.87)', 'DNK', 'DKILS', 'Iller Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.55 55.767)', 'DNK', 'DKJAE', 'Jægersborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.383 55.617)', 'DNK', 'DKJAN', 'Janderup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.636 56.652)', 'DNK', 'DKJEG', 'Jegindø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.25 55.617)', 'DNK', 'DKJER', 'Jerslev, Nordjylland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.985 55.855)', 'DNK', 'DKJGP', 'Jægerspris', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.139 55.101)', 'DNK', 'DKJNK', 'Jungshoved Kirkehavn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.267 56.25)', 'DNK', 'DKJOK', 'Hjortshoj', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.317 55.55)', 'DNK', 'DKJOR', 'Jordrup', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(12.217 55.517)', 'DNK', 'DKJSD', 'Jersie Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.715 56.369)', 'DNK', 'DKJSF', 'Jylland S F Limfjord', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.1 57.283)', 'DNK', 'DKJSL', 'Jerslev, Midtjylland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.014 55.714)', 'DNK', 'DKJUE', 'Juelsminde', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.672 56.121)', 'DNK', 'DKJUL', 'Julsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.099 56.763)', 'DNK', 'DKJUN', 'Junget', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.433 57.533)', 'DNK', 'DKJUP', 'Jerup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.11 55.751)', 'DNK', 'DKJYL', 'Jyllinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.883 55.517)', 'DNK', 'DKJYS', 'Jystrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.671 57.198)', 'DNK', 'DKKAA', 'Kås', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.567 56.75)', 'DNK', 'DKKAB', 'Karby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.267 56)', 'DNK', 'DKKAG', 'Kagerup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.217 55.3)', 'DNK', 'DKKAI', 'Karise', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.093 55.68)', 'DNK', 'DKKAL', 'Kalundborg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.229 55.57)', 'DNK', 'DKKAR', 'Karlslunde', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.161 54.997)', 'DNK', 'DKKAV', 'Kalvehave', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.452 55.478)', 'DNK', 'DKKBG', 'Klintebjerg', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.646 55.178)', 'DNK', 'DKKBK', 'Karrebæksminde', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.45 54.333)', 'DNK', 'DKKDM', 'Kollund Mole', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.584 55.193)', 'DNK', 'DKKEL', 'Kelstrup strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.899 54.967)', 'DNK', 'DKKET', 'Ketting nor', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.067 56.7)', 'DNK', 'DKKGL', 'Kongsdal Harbour', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.233 55.24)', 'DNK', 'DKKGS', 'Køge Sønakke', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.315 55.012)', 'DNK', 'DKKHA', 'Korshavn, V. Avernakø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.614 55.609)', 'DNK', 'DKKHF', 'Korshavn, V. Fyns Hoved', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.111 55.046)', 'DNK', 'DKKIN', 'Kindvig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.517 55.9)', 'DNK', 'DKKKK', 'Kokkedal', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.583 56.367)', 'DNK', 'DKKLD', 'Kolind', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.817 55.167)', 'DNK', 'DKKLE', 'Klemensker', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.685 57.024)', 'DNK', 'DKKLF', 'Klitgårds Fiskerleje', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.122 56.088)', 'DNK', 'DKKLG', 'Klegod', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.473 54.955)', 'DNK', 'DKKLH', 'Klintholm Havn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.333 55.35)', 'DNK', 'DKKLI', 'Klippinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.495 57.041)', 'DNK', 'DKKLM', 'Klitmøller', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.583 56.533)', 'DNK', 'DKKLP', 'Kleppen', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.05 57.017)', 'DNK', 'DKKLR', 'Klarup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.183 57.132)', 'DNK', 'DKKLS', 'Klim Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.596 55.953)', 'DNK', 'DKKLT', 'Klint', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.825 54.82)', 'DNK', 'DKKLV', 'Klodskov', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.487 56.213)', 'DNK', 'DKKNB', 'Knebel', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.521 56.146)', 'DNK', 'DKKNG', 'Kongsgårde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.767 56.101)', 'DNK', 'DKKNO', 'Knudsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.602 55.329)', 'DNK', 'DKKNU', 'Knud', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.182 55.455)', 'DNK', 'DKKOG', 'Køge', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.535 55.8)', 'DNK', 'DKKOK', 'Kolby Kås', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.473 55.486)', 'DNK', 'DKKOL', 'Kolding', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.254 57.141)', 'DNK', 'DKKOS', 'Kollerupstrand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.356 54.916)', 'DNK', 'DKKRA', 'Kragenæs', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.278 56.771)', 'DNK', 'DKKRI', 'Krik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.144 55.33)', 'DNK', 'DKKRR', 'Korsør', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.264 54.704)', 'DNK', 'DKKRZ', 'Kramnitze', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(11.886 55.942)', 'DNK', 'DKKSM', 'Karlsminde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.177 56.125)', 'DNK', 'DKKSO', 'Kloster, Ved Nissum Fjord', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.867 55.617)', 'DNK', 'DKKSY', 'Kirke Saby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.66 55.451)', 'DNK', 'DKKTD', 'Kerteminde', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.654 55.636)', 'DNK', 'DKKTP', 'Kastrup', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.914 55.927)', 'DNK', 'DKKUL', 'Kulhuse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.358 55.409)', 'DNK', 'DKKVN', 'Kvæsthusbroen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.28 55.073)', 'DNK', 'DKKVO', 'Kalvø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.296 56.312)', 'DNK', 'DKKYT', 'Kyttrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.559 56.754)', 'DNK', 'DKKYV', 'Karby Vig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.481 56.283)', 'DNK', 'DKLAK', 'Kalø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.883 56.383)', 'DNK', 'DKLAN', 'Langå', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.017 56.967)', 'DNK', 'DKLBY', 'Lundby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.728 54.862)', 'DNK', 'DKLDL', 'Lindelse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.145 56.624)', 'DNK', 'DKLDO', 'Lundø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.883 55.467)', 'DNK', 'DKLDT', 'Lundtofte', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.967 55.6)', 'DNK', 'DKLEJ', 'Lejre', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.367 56.017)', 'DNK', 'DKLEM', 'Lem', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.275 54.977)', 'DNK', 'DKLEN', 'Lendemarke', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.706 55.161)', 'DNK', 'DKLEV', 'Levka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.1 55)', 'DNK', 'DKLGN', 'Langebæk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.253 56.966)', 'DNK', 'DKLGR', 'Løgstør', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.8 55.283)', 'DNK', 'DKLHH', 'Lindholm Havn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.11 55.145)', 'DNK', 'DKLID', 'Listed', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.7 55.8)', 'DNK', 'DKLIG', 'Losning', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.963 57.153)', 'DNK', 'DKLIL', 'Lild strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.026 56.013)', 'DNK', 'DKLIS', 'Liseleje', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.95 55.55)', 'DNK', 'DKLIT', 'Lintrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.716 57.37)', 'DNK', 'DKLKK', 'Lokken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.123 54.919)', 'DNK', 'DKLLM', 'Lille damme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.55 56.233)', 'DNK', 'DKLMM', 'Lemming', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.019 54.813)', 'DNK', 'DKLNG', 'Langø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.516 54.645)', 'DNK', 'DKLNH', 'Lundehøje', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.642 55.912)', 'DNK', 'DKLNR', 'Langør', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.8 57.47)', 'DNK', 'DKLNS', 'Lønstrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.904 55.134)', 'DNK', 'DKLOH', 'Lohals', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.232 56.69)', 'DNK', 'DKLOV', 'Lovns', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.301 55.242)', 'DNK', 'DKLUD', 'Lund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.518 55.942)', 'DNK', 'DKLUM', 'Lumsås', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.783 55.14)', 'DNK', 'DKLUN', 'Lundeborg', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.307 56.551)', 'DNK', 'DKLVG', 'Lemvig', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.151 55.045)', 'DNK', 'DKLYQ', 'Lyø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.865 55.943)', 'DNK', 'DKLYS', 'Lynæs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.933 55.67)', 'DNK', 'DKLYY', 'Lyndby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.216 56.138)', 'DNK', 'DKMAB', 'Marselisborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.32 55.618)', 'DNK', 'DKMAO', 'Madesø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.884 54.998)', 'DNK', 'DKMAS', 'Masnedø', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.533 55.5)', 'DNK', 'DKMBJ', 'Munke Bjergby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.117 55.65)', 'DNK', 'DKMBY', 'Melby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.978 55.203)', 'DNK', 'DKMEL', 'Melsted', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.207 56.521)', 'DNK', 'DKMEP', 'Mellerup', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(12.067 55.05)', 'DNK', 'DKMER', 'Mern', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.65 55.5)', 'DNK', 'DKMES', 'Mesinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.742 55.503)', 'DNK', 'DKMID', 'Middelfart', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.613 55.513)', 'DNK', 'DKMIV', 'Midskov', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.383 56.333)', 'DNK', 'DKMKE', 'Morke', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.883 54.967)', 'DNK', 'DKMKH', 'Masnedovaerkets Havn/Vordingborg', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.517 55.667)', 'DNK', 'DKMKV', 'Morkov', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.167 56.033)', 'DNK', 'DKMLG', 'Malling', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.217 55.133)', 'DNK', 'DKMLL', 'Millinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.167 56.067)', 'DNK', 'DKMLT', 'Marslet', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.333 55.75)', 'DNK', 'DKMLV', 'Målov', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.56 55.46)', 'DNK', 'DKMNK', 'Munkebo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.886 54.996)', 'DNK', 'DKMNS', 'Masnedsund', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.781 56.038)', 'DNK', 'DKMOO', 'Mossø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.55 56)', 'DNK', 'DKMOR', 'Mørdrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.273 55.576)', 'DNK', 'DKMOS', 'Mosede', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.223 56.968)', 'DNK', 'DKMOU', 'Mou Bro', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.732 55.657)', 'DNK', 'DKMQR', 'Mørkholt', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.077 55.81)', 'DNK', 'DKMRB', 'Marbæk Havn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.183 55.45)', 'DNK', 'DKMRD', 'Morud', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.551 55.938)', 'DNK', 'DKMRH', 'Mårup Havn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.976 56.649)', 'DNK', 'DKMRR', 'Mariager', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.521 54.854)', 'DNK', 'DKMRS', 'Marstal', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.667 55.55)', 'DNK', 'DKMTF', 'Martofte', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.237 55.094)', 'DNK', 'DKMUH', 'Munkholm', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.176 55.494)', 'DNK', 'DKMUL', 'Mullerup Havn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.31 55.575)', 'DNK', 'DKMYR', 'Myrthue', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.318 55.064)', 'DNK', 'DKNAB', 'Nabbe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.633 56.7)', 'DNK', 'DKNAG', 'Nørager', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.136 54.833)', 'DNK', 'DKNAK', 'Nakskov', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.494 56.277)', 'DNK', 'DKNAM', 'Nappedam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.633 55.883)', 'DNK', 'DKNAS', 'Norre Asmindrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.433 54.8)', 'DNK', 'DKNBE', 'Nørreballe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.792 55.311)', 'DNK', 'DKNBG', 'Nyborg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.3 55.783)', 'DNK', 'DKNBL', 'Norre Nebel', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.8 55.033)', 'DNK', 'DKNBR', 'Nordborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.407 55.449)', 'DNK', 'DKNDB', 'Nordby Havn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.998 55.856)', 'DNK', 'DKNED', 'Neder Dråby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.212 56.395)', 'DNK', 'DKNEE', 'Nees', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.288 55.782)', 'DNK', 'DKNEO', 'Nekselø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.135 55.064)', 'DNK', 'DKNEX', 'Neksø', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.283 55.45)', 'DNK', 'DKNGB', 'Nagbol', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.639 56.982)', 'DNK', 'DKNIB', 'Nibe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.567 56.417)', 'DNK', 'DKNIM', 'Nimtofte', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.214 56.32)', 'DNK', 'DKNIS', 'Nissum', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.487 55.937)', 'DNK', 'DKNIV', 'Niva', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.731 55.924)', 'DNK', 'DKNKE', 'Nakke', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.414 56.557)', 'DNK', 'DKNNI', 'Nørre Nissum, Limfjord', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.851 55.756)', 'DNK', 'DKNOH', 'Nordhammer', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.609 57.031)', 'DNK', 'DKNOO', 'Nors Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.261 56.024)', 'DNK', 'DKNOR', 'Norsminde', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(11.533 54.98)', 'DNK', 'DKNQR', 'Nørreby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.12 56.054)', 'DNK', 'DKNRL', 'Nørre Lyngvig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.55 55.817)', 'DNK', 'DKNRM', 'Nærum', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.368 56.957)', 'DNK', 'DKNRR', 'Nørre Vorupør', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.903 57.07)', 'DNK', 'DKNRS', 'Nørresundby', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.717 56.033)', 'DNK', 'DKNRV', 'Norre Vium', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.746 57.411)', 'DNK', 'DKNRY', 'Nørre Lyngby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.383 55.95)', 'DNK', 'DKNSD', 'Nørre Snede', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.73 54.667)', 'DNK', 'DKNTD', 'Nysted', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.754 55.232)', 'DNK', 'DKNVD', 'Næstved', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.967 56.667)', 'DNK', 'DKNVM', 'Vium', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.828 54.93)', 'DNK', 'DKNVY', 'Nørre Vedby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.783 55.3)', 'DNK', 'DKNYB', 'Nyborg Lystbådehavn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.868 54.769)', 'DNK', 'DKNYF', 'Nykøbing Falster', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.198 55.816)', 'DNK', 'DKNYG', 'Nymindegab', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.679 54.923)', 'DNK', 'DKNYL', 'Nybøl', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.863 56.795)', 'DNK', 'DKNYM', 'Nykøbing Mors', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.196 55.041)', 'DNK', 'DKNYO', 'Nyord', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.664 55.922)', 'DNK', 'DKNYS', 'Nykobing Sjælland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.517 55.5)', 'DNK', 'DKNYT', 'Nyby strandhuse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.566 55.451)', 'DNK', 'DKNYY', 'Nyby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.683 56.7)', 'DNK', 'DKOAS', 'Øster Assels', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.833 56.7)', 'DNK', 'DKODD', 'Øster Doense', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.391 55.396)', 'DNK', 'DKODE', 'Odense', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.368 55.972)', 'DNK', 'DKODN', 'Odden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.542 56.582)', 'DNK', 'DKODO', 'Oddesund Nord', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.565 56.573)', 'DNK', 'DKODS', 'Oddesund Syd', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.15 55.967)', 'DNK', 'DKODX', 'Odder', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.15 55.783)', 'DNK', 'DKOEL', 'Olstykke Stationsby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.941 55.124)', 'DNK', 'DKOES', 'Østerhuse, Langeland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.657 55.291)', 'DNK', 'DKOHG', 'Ørby Hage', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.583 56.2)', 'DNK', 'DKOHJ', 'Ornhoj', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.617 55.817)', 'DNK', 'DKOLG', 'Olgod', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.488 54.872)', 'DNK', 'DKOMM', 'Ommel', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.159 55.171)', 'DNK', 'DKOMO', 'Omø', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.117 54.948)', 'DNK', 'DKONS', 'Onsevig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.594 54.827)', 'DNK', 'DKORB', 'Oreby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.854 54.953)', 'DNK', 'DKORE', 'Orehoved', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.683 56.45)', 'DNK', 'DKORM', 'Orum', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.802 55.757)', 'DNK', 'DKORQ', 'Orø Havn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.35 56.5)', 'DNK', 'DKORS', 'Orsted', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.283 55.633)', 'DNK', 'DKOSB', 'Oksbol', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.433 54.951)', 'DNK', 'DKOSR', 'Østerby, Sjælland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.752 54.791)', 'DNK', 'DKOSS', 'Østerskov Strand, Sydlangeland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.033 55.133)', 'DNK', 'DKOST', 'Ostermarie', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.65 55.233)', 'DNK', 'DKOSX', 'Osby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.127 57.319)', 'DNK', 'DKOTB', 'Østerby, Læsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.167 55.8)', 'DNK', 'DKOTK', 'Ølstykke', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.2 56.567)', 'DNK', 'DKOTV', 'Oster Torslev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.633 54.7)', 'DNK', 'DKOUL', 'Oster Ulslev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.414 56.865)', 'DNK', 'DKOVE', 'Ovesø', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(10.25 57.35)', 'DNK', 'DKOVR', 'Ostervra', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.15 55.783)', 'DNK', 'DKOYK', 'Olstykke', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.35 54.817)', 'DNK', 'DKPAO', 'Padborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.992 55.031)', 'DNK', 'DKPED', 'Pedersker', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.046 54.582)', 'DNK', 'DKPET', 'Peterværft', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.246 55.138)', 'DNK', 'DKPHO', 'Pamhule Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.044 55.122)', 'DNK', 'DKPRS', 'Præsto', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.07 55.922)', 'DNK', 'DKQLS', 'Ølsted', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.878 56.787)', 'DNK', 'DKQRO', 'Ørodde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.218 56.599)', 'DNK', 'DKQRS', 'Ørslevkloster Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.104 57.191)', 'DNK', 'DKQRU', 'Ørum Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.272 56.803)', 'DNK', 'DKQSH', 'Øster Hurup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.039 55.441)', 'DNK', 'DKQSV', 'Østskov', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.692 55.621)', 'DNK', 'DKRAF', 'Rands Fjord', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.036 56.459)', 'DNK', 'DKRAN', 'Randers', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.544 55.036)', 'DNK', 'DKRAZ', 'Rantzausminde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.267 55.7)', 'DNK', 'DKRBL', 'Randbol', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.517 56.35)', 'DNK', 'DKRDB', 'Rødkærsbro', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.05 55.35)', 'DNK', 'DKRDG', 'Rødding', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.367 55.25)', 'DNK', 'DKRDH', 'Rødvig Havn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.317 55.067)', 'DNK', 'DKRDK', 'Rødekro', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.172 56.477)', 'DNK', 'DKRDN', 'Roddenbjerg Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.317 56.324)', 'DNK', 'DKRDO', 'Rødsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.544 57.207)', 'DNK', 'DKRDS', 'Rødhus', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.45 55.667)', 'DNK', 'DKRDV', 'Rødovre', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.519 55.483)', 'DNK', 'DKREB', 'Rebæk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.65 56.733)', 'DNK', 'DKRED', 'Redsted', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.11 55.523)', 'DNK', 'DKREE', 'Reersø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.487 55.125)', 'DNK', 'DKREF', 'Refsøre', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.723 55.233)', 'DNK', 'DKREJ', 'Rejsby Å', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.491 56.549)', 'DNK', 'DKREM', 'Remmer Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.759 56.092)', 'DNK', 'DKREY', 'Ry', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.617 55.667)', 'DNK', 'DKRGP', 'Regstrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.766 55.33)', 'DNK', 'DKRIB', 'Ribe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.633 54.827)', 'DNK', 'DKRIS', 'Ristinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.716 54.935)', 'DNK', 'DKRKB', 'Rudkøbing', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.091 55.641)', 'DNK', 'DKRKE', 'Roskilde', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.251 56.088)', 'DNK', 'DKRKG', 'Ringkøbing', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.517 55.133)', 'DNK', 'DKRMO', 'Romo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.934 56.535)', 'DNK', 'DKRNB', 'Rønbjerg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.322 57.279)', 'DNK', 'DKRNH', 'Rønnerhavn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.698 55.099)', 'DNK', 'DKRNN', 'Rønne', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.873 55.743)', 'DNK', 'DKRNS', 'Røsnæs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.359 54.663)', 'DNK', 'DKROD', 'Rødbyhavn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12 55.25)', 'DNK', 'DKRON', 'Rønnede', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.372 55.256)', 'DNK', 'DKRQD', 'Rødvig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.754 55.943)', 'DNK', 'DKRRV', 'Rørvig', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.617 55.867)', 'DNK', 'DKRSM', 'Rask Molle', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.8 56.383)', 'DNK', 'DKRSN', 'Resenbro', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.533 55.884)', 'DNK', 'DKRUG', 'Rungsted', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.35 55.533)', 'DNK', 'DKRVY', 'Ruds-Vedby', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(12.143 54.543)', 'DNK', 'DKRYD', 'Rydsbæk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.6 55.383)', 'DNK', 'DKRYN', 'Rynkeby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.083 56.35)', 'DNK', 'DKSAB', 'Sabro', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.213 56.199)', 'DNK', 'DKSAD', 'Stadil', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.52 57.334)', 'DNK', 'DKSAE', 'Sæby', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.879 55.332)', 'DNK', 'DKSAG', 'Sandager', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.683 57.267)', 'DNK', 'DKSAL', 'Saltum', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.755 55.279)', 'DNK', 'DKSAN', 'Sæne', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.397 56.036)', 'DNK', 'DKSAO', 'Salten Langsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.827 55.065)', 'DNK', 'DKSAR', 'Skaverup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.183 55.723)', 'DNK', 'DKSAV', 'Saltbæk Vig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.639 54.798)', 'DNK', 'DKSAX', 'Sakskøbing', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.407 55.216)', 'DNK', 'DKSBB', 'Stubberup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.037 54.89)', 'DNK', 'DKSBK', 'Stubbekobing', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.549 54.972)', 'DNK', 'DKSBL', 'Skovballe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.37 55.965)', 'DNK', 'DKSTU', 'Stauning', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.858 54.961)', 'DNK', 'DKSBN', 'Sebbelev Nor', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.561 56.026)', 'DNK', 'DKSBO', 'Skanderborg Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.92 56.435)', 'DNK', 'DKSBS', 'Stubbergård Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.883 54.9)', 'DNK', 'DKSDA', 'Sydals', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.517 56.883)', 'DNK', 'DKSDD', 'Snedsted', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.201 56.322)', 'DNK', 'DKSDH', 'Sandholm', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.193 55.5)', 'DNK', 'DKSDJ', 'Sønderjylland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.601 54.663)', 'DNK', 'DKSDL', 'Sandager, Nysted', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.267 55.483)', 'DNK', 'DKSDS', 'Søndersø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.051 55.791)', 'DNK', 'DKSDV', 'Skuldelev Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.566 56.962)', 'DNK', 'DKSEB', 'Sebbersund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.197 56.984)', 'DNK', 'DKSEL', 'Skellet', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.795 56.966)', 'DNK', 'DKSEN', 'Sennels', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.137 55.881)', 'DNK', 'DKSEO', 'Sejerø', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.79 54.91)', 'DNK', 'DKSGD', 'Sønderborg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.556 55.041)', 'DNK', 'DKSHG', 'Snøde Hesselbjerg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.645 55.838)', 'DNK', 'DKSID', 'Sidinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.735 56.693)', 'DNK', 'DKSIL', 'Sillerslev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.165 57.372)', 'DNK', 'DKSIS', 'Skiveren Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.233 55.2)', 'DNK', 'DKSIT', 'Stigsnaes Inter Terminal', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.252 55.524)', 'DNK', 'DKSJA', 'Sjælsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.847 55.546)', 'DNK', 'DKSJD', 'Sjælland og Øer', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.118 55.059)', 'DNK', 'DKSJG', 'Sandvig, Sydsjælland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.596 57.725)', 'DNK', 'DKSKA', 'Skagen', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.634 55.515)', 'DNK', 'DKSKB', 'Skærbæk', 'N', 'Y', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.007 55.4)', 'DNK', 'DKSKC', 'Store kattinge Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.133 55.9)', 'DNK', 'DKSKE', 'Skævinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.708 54.852)', 'DNK', 'DKSKF', 'Skeldevig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.833 56.033)', 'DNK', 'DKSKG', 'Skanderborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.362 55.893)', 'DNK', 'DKSKH', 'Skaven huse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.493 55.949)', 'DNK', 'DKSKJ', 'Skjern', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.792 56.902)', 'DNK', 'DKSKK', 'Skibsted Strand V. Flade, Mors', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.3 56.228)', 'DNK', 'DKSKN', 'Skæring', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.468 55.007)', 'DNK', 'DKSKQ', 'Skarø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.25 55.233)', 'DNK', 'DKSKR', 'Skrydstrup', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(12.6 55.716)', 'DNK', 'DKSKU', 'Skudehavnen/København', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.052 56.566)', 'DNK', 'DKSKV', 'Skive', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.718 55.063)', 'DNK', 'DKSKX', 'Skårupøre', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.959 55.75)', 'DNK', 'DKSKY', 'Skibby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.358 54.957)', 'DNK', 'DKSKZ', 'Skalø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.2 55.767)', 'DNK', 'DKSLE', 'Stenløse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.271 56.521)', 'DNK', 'DKSLL', 'Silkeborg Langsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.053 54.872)', 'DNK', 'DKSLN', 'Sletnæs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.822 55.084)', 'DNK', 'DKSLP', 'Sallerup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.364 57.149)', 'DNK', 'DKSLR', 'Slettestrand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.535 55.954)', 'DNK', 'DKSLT', 'Sletten', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.383 54.833)', 'DNK', 'DKSMA', 'Stokkemarke', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.048 55.821)', 'DNK', 'DKSNA', 'Snaptun', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.645 56.645)', 'DNK', 'DKSNB', 'Snæbum Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.647 55.034)', 'DNK', 'DKTRO', 'Troense', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.585 56.008)', 'DNK', 'DKSNE', 'Snekkersten', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.113 55.025)', 'DNK', 'DKSNG', 'Snogebæk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.716 55.523)', 'DNK', 'DKSNH', 'Snoghøj', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.187 56.307)', 'DNK', 'DKSNI', 'Sønder Nissum, Nissum Fjord', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.671 55.527)', 'DNK', 'DKSNK', 'Sønderskov, Øst for Skærbæk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.613 54.904)', 'DNK', 'DKSNO', 'Strynø', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.606 55.433)', 'DNK', 'DKSNU', 'Sneum Sluse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.259 54.941)', 'DNK', 'DKSOB', 'Søby Havn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.562 55.053)', 'DNK', 'DKSOE', 'Store Snøde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.117 56.883)', 'DNK', 'DKSOK', 'Kongerslev', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.233 55.533)', 'DNK', 'DKSOL', 'Solrød Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.9 55.833)', 'DNK', 'DKSOM', 'Sønder Omme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.058 55.88)', 'DNK', 'DKSON', 'Sondrup Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.329 55.259)', 'DNK', 'DKSOO', 'Sorø Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.971 54.917)', 'DNK', 'DKSOR', 'Sortsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.741 54.97)', 'DNK', 'DKSOT', 'Sottrupskov', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.83 54.933)', 'DNK', 'DKSPB', 'Spodsbjerg Havn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.517 56.117)', 'DNK', 'DKSPJ', 'Spjald', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.25 55.933)', 'DNK', 'DKSPO', 'Spottrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.87 55.363)', 'DNK', 'DKSQA', 'Sønder Åby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.541 55.567)', 'DNK', 'DKSQG', 'Sølager', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.548 55.024)', 'DNK', 'DKSQH', 'Sønderskov Huse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.121 56.025)', 'DNK', 'DKSQL', 'Sønder Lyngvig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.987 55.007)', 'DNK', 'DKSQM', 'Sømarken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.495 54.86)', 'DNK', 'DKSQN', 'Sønderhav', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.477 55.132)', 'DNK', 'DKSQS', 'Sønderballe Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.137 56.7)', 'DNK', 'DKSQT', 'Sønder Thise', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.119 56.116)', 'DNK', 'DKSQV', 'Søndervig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.138 55.319)', 'DNK', 'DKSRD', 'Solrød', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.358 56.921)', 'DNK', 'DKSRG', 'Stenbjerg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.228 55.391)', 'DNK', 'DKSRR', 'Skarresø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.506 54.748)', 'DNK', 'DKSRS', 'Søndersø, Ved Maribo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.574 55.827)', 'DNK', 'DKSSB', 'Skodsborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.377 56.182)', 'DNK', 'DKSSD', 'Skødshoved Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.289 55.256)', 'DNK', 'DKSSK', 'Skælskør', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.986 56.058)', 'DNK', 'DKSSS', 'Stilling Solbjerg Sø', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(9.44 55.29)', 'DNK', 'DKSST', 'Skrillinge Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.383 55.967)', 'DNK', 'DKSTA', 'Stavning', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.771 55.538)', 'DNK', 'DKSTB', 'Strib Havn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.142 55.085)', 'DNK', 'DKSTC', 'Stavreby, Sydsjælland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.502 57.494)', 'DNK', 'DKSTD', 'Strandby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.288 54.986)', 'DNK', 'DKSTE', 'Stege', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.893 54.654)', 'DNK', 'DKSTF', 'Stavreby, Sydfalster', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.387 55.309)', 'DNK', 'DKSTH', 'Store Heddinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.409 55.437)', 'DNK', 'DKSTI', 'Stige', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.608 54.959)', 'DNK', 'DKSTJ', 'Stjovl', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.242 56.266)', 'DNK', 'DKSTK', 'Staby kloster', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.2 55.783)', 'DNK', 'DKSTL', 'Stenlille', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.969 56.673)', 'DNK', 'DKSTM', 'Stinesminde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.264 55.214)', 'DNK', 'DKSTN', 'Stigsnæs', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.167 56.5)', 'DNK', 'DKSTO', 'Støvring', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.45 55.317)', 'DNK', 'DKSTP', 'Stevns Pier', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.294 57.009)', 'DNK', 'DKSTQ', 'Staun', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.595 56.491)', 'DNK', 'DKSTR', 'Struer', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.167 57)', 'DNK', 'DKSTV', 'Storevorde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.667 55.88)', 'DNK', 'DKSTW', 'Strandhuse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.812 55)', 'DNK', 'DKSTY', 'Strandby, Langeland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.79 55.702)', 'DNK', 'DKSUB', 'Stouby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.172 56.708)', 'DNK', 'DKSUE', 'Sundsøre', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.848 54.767)', 'DNK', 'DKSUN', 'Sundby, Faslster', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.417 56.158)', 'DNK', 'DKSUO', 'Stubbe Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.346 56.254)', 'DNK', 'DKSUP', 'Studstrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.307 56.604)', 'DNK', 'DKSUT', 'Sundstrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.141 55.136)', 'DNK', 'DKSVA', 'Svaneke', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.283 55.65)', 'DNK', 'DKSVB', 'Svebølle', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.317 55.201)', 'DNK', 'DKSVD', 'Sevedø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.607 55.06)', 'DNK', 'DKSVE', 'Svendborg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.779 55.287)', 'DNK', 'DKSVG', 'Sandvig', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.595 55.762)', 'DNK', 'DKSVH', 'Skovshoved', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.751 55.109)', 'DNK', 'DKSVI', 'Svinø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.4 55.717)', 'DNK', 'DKSVL', 'Skovlunde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.85 56.967)', 'DNK', 'DKSVN', 'Svenstrup, Jylland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.015 55.635)', 'DNK', 'DKSVO', 'Svogerslev Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.139 55.602)', 'DNK', 'DKSVS', 'Svallerup Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.173 55.364)', 'DNK', 'DKSVT', 'Svenstrup, Sjælland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.292 55.403)', 'DNK', 'DKSYL', 'Strøby Ladeplads', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.317 55.65)', 'DNK', 'DKTAA', 'Tåstrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.15 56.1)', 'DNK', 'DKTAG', 'Tranbjerg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.594 56.633)', 'DNK', 'DKTAM', 'Tambohuse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.587 56.353)', 'DNK', 'DKTAN', 'Tange Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.593 55.789)', 'DNK', 'DKTAR', 'Tårbæk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.638 54.868)', 'DNK', 'DKTAS', 'Tårs vig, Ved Sakskøbing', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.692 56.956)', 'DNK', 'DKTED', 'Thisted', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.705 55.202)', 'DNK', 'DKTEG', 'Teglkås', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.834 55.247)', 'DNK', 'DKTEJ', 'Tejn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.822 54.652)', 'DNK', 'DKTGS', 'Tågense', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.213 56.704)', 'DNK', 'DKTHN', 'Thyborøn', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(10.675 55.048)', 'DNK', 'DKTHO', 'Thurø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.126 57.139)', 'DNK', 'DKTHP', 'Thorup Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.517 56.65)', 'DNK', 'DKTHY', 'Thyholm', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.38 56.43)', 'DNK', 'DKTIH', 'Tissinghuse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.117 56.2)', 'DNK', 'DKTIL', 'Tilst', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.317 56.2)', 'DNK', 'DKTIM', 'Tim', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.168 56.356)', 'DNK', 'DKTIO', 'Tissø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.6 55.7)', 'DNK', 'DKTIS', 'Tistrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.04 56.037)', 'DNK', 'DKTIV', 'Tisvildeleje', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.612 56.513)', 'DNK', 'DKTJE', 'Tjele Langsø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.85 55)', 'DNK', 'DKTKA', 'Tranekaer', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.8 56.017)', 'DNK', 'DKTLL', 'Tollose', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.12 56.368)', 'DNK', 'DKTMD', 'Thorsminde', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.272 55.569)', 'DNK', 'DKTNO', 'Tunø', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.75 55.617)', 'DNK', 'DKTOL', 'Tølløse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.983 55.167)', 'DNK', 'DKTPN', 'Tappernøje', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.588 57.028)', 'DNK', 'DKTQF', 'Tømmerby Fjord', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.781 55.622)', 'DNK', 'DKTRE', 'Trelde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.896 55.245)', 'DNK', 'DKTRH', 'Torø Huse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.167 56.25)', 'DNK', 'DKTRI', 'Trige', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.037 54.883)', 'DNK', 'DKTRS', 'Tårs', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.85 56.45)', 'DNK', 'DKTSO', 'Thorso', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.133 56.083)', 'DNK', 'DKTSV', 'Tisvilde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.352 55.436)', 'DNK', 'DKTUH', 'Tuborg Havn/Hellerup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.067 55.35)', 'DNK', 'DKTUR', 'Tureby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.653 54.978)', 'DNK', 'DKTVS', 'Tvede Skov', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.358 55.211)', 'DNK', 'DKTYO', 'Tystrup Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.3 56.61)', 'DNK', 'DKUDN', 'Udbyhøj Nord', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.313 56.598)', 'DNK', 'DKUDS', 'Udbyhøj Syd', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.167 55.633)', 'DNK', 'DKUGE', 'Ugerløse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.211 56.468)', 'DNK', 'DKUGG', 'Uggelhuse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.01 55.18)', 'DNK', 'DKULO', 'Ulse Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.783 56.383)', 'DNK', 'DKULS', 'Ulstrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.249 55.049)', 'DNK', 'DKULV', 'Ulvshale', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.029 55.107)', 'DNK', 'DKUNB', 'Ungersbjerg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.917 55)', 'DNK', 'DKUNX', 'Masnedsund Godningshamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.284 54.951)', 'DNK', 'DKURN', 'Urne', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.778 54.929)', 'DNK', 'DKVAA', 'Vålse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.367 55.633)', 'DNK', 'DKVAE', 'Vallensbaek', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.483 55.683)', 'DNK', 'DKVAN', 'Vanløse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.553 57.016)', 'DNK', 'DKVAO', 'Vandet Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.955 55.515)', 'DNK', 'DKVAR', 'Varbjerg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.563 56.976)', 'DNK', 'DKVAT', 'Valsted', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.133 55.383)', 'DNK', 'DKVBG', 'Vissenbjerg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.017 55.55)', 'DNK', 'DKVBI', 'Viby/Sjælland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.983 57.133)', 'DNK', 'DKVBJ', 'Vestbjerg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.564 55.857)', 'DNK', 'DKVBK', 'Vedbæk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.917 55)', 'DNK', 'DKVBN', 'Vordingborg Nordhavnen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.883 54.983)', 'DNK', 'DKVBS', 'Vordingborg Sydhavnen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.482 55.624)', 'DNK', 'DKVDA', 'Varde Å', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.217 55.7)', 'DNK', 'DKVDL', 'Vandel', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(8.203 56.235)', 'DNK', 'DKVDR', 'Vedersø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.701 54.894)', 'DNK', 'DKVEB', 'Vemmingbund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.947 55.507)', 'DNK', 'DKVEH', 'Vedelshave', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.537 55.711)', 'DNK', 'DKVEJ', 'Vejle', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.772 54.909)', 'DNK', 'DKVEK', 'Vester Kippinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.313 56.053)', 'DNK', 'DKVEL', 'Velling', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.663 54.978)', 'DNK', 'DKVEM', 'Vemmenæs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.624 56.55)', 'DNK', 'DKVEN', 'Venø Havn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.346 57.242)', 'DNK', 'DKVEO', 'Voer', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.923 57.293)', 'DNK', 'DKVES', 'Vesterø Havn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.318 56.763)', 'DNK', 'DKVEV', 'Vestervig', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.386 54.942)', 'DNK', 'DKVEY', 'Vesterby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.246 56.259)', 'DNK', 'DKVIB', 'Viborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.614 55.044)', 'DNK', 'DKVIN', 'Vindeby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.64 56.885)', 'DNK', 'DKVIQ', 'Vilsund Øst', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.303 55.096)', 'DNK', 'DKVIS', 'Vilstrup Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.626 56.882)', 'DNK', 'DKVIV', 'Vilsund Vest', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.717 55.1)', 'DNK', 'DKVJT', 'Vejstrup', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.133 55.267)', 'DNK', 'DKVLE', 'Værløse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.741 55.246)', 'DNK', 'DKVNG', 'Vang Havn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.141 56.062)', 'DNK', 'DKVOA', 'Vonå', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.486 57.208)', 'DNK', 'DKVOE', 'Voerså', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.727 54.75)', 'DNK', 'DKVOG', 'Vognsbjerg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.915 55.004)', 'DNK', 'DKVOR', 'Vordingborg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.933 57.35)', 'DNK', 'DKVRA', 'Vrå', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.286 56.61)', 'DNK', 'DKVRK', 'Virksund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.45 55.067)', 'DNK', 'DKVSK', 'Vester-Skerninge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.272 54.857)', 'DNK', 'DKVST', 'Vesterborg Sø', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.037 55.096)', 'DNK', 'DKYPN', 'Ypnested', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(-80.709 -0.967)', 'ECU', 'ECMEC', 'Manta', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-79.983 -3.267)', 'ECU', 'ECPBO', 'Puerto Bolivar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-80.25 -2.7)', 'ECU', 'ECPSJ', 'Posorja', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.676 59.652)', 'EST', 'EEAAD', 'Aadamiansu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.156 59.438)', 'EST', 'EEAAK', 'Aa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.016 58.368)', 'EST', 'EEABA', 'Abaja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.525 58.162)', 'EST', 'EEABR', 'Abruka', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.115 58.432)', 'EST', 'EEABU', 'Abula', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.776 59.623)', 'EST', 'EEADK', 'Ado-Kusta', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.774 59.623)', 'EST', 'EEADP', 'Ado-Peetri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.6 58.04)', 'EST', 'EEADR', 'Audjasaare', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.157 58.273)', 'EST', 'EEADS', 'Andrese', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.108 59.159)', 'EST', 'EEAEA', 'Tamsalu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.133 58.6)', 'EST', 'EEAEC', 'Alatskivi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.994 58.205)', 'EST', 'EEKVA', 'Kalda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.553 59.438)', 'EST', 'EEAEH', 'Tabasalu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.049 59.36)', 'EST', 'EEAEI', 'Püssi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.758 59.571)', 'EST', 'EEAEN', 'Aegna', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.286 58.325)', 'EST', 'EEAHU', 'Ahunapalu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.116 59.587)', 'EST', 'EEAJA', 'Altja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.429 59.01)', 'EST', 'EEAJS', 'Alajõe Jõesadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.654 59.566)', 'EST', 'EEAJT', 'Ajaotsa', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(23.188 58.549)', 'EST', 'EEAJV', 'Aljava', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.433 59.008)', 'EST', 'EEAKS', 'Alajõe Kalasadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.938 57.838)', 'EST', 'EEALG', 'Ala-Vagula', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.938 57.855)', 'EST', 'EEALH', 'Ala-Haraka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.793 59.285)', 'EST', 'EEALI', 'Alliklepa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.429 59.015)', 'EST', 'EEALJ', 'Alajõe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.982 58.226)', 'EST', 'EEALK', 'Alliku, Kivilõppe k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.121 58.423)', 'EST', 'EEALL', 'Alla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.427 59.009)', 'EST', 'EEALS', 'Alajõe Saare kinnistu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.966 58.374)', 'EST', 'EEALV', 'Alliku, Valma k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.498 59.601)', 'EST', 'EEALX', 'Aleksandri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.781 59.592)', 'EST', 'EEAMP', 'All-Männipõllu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.136 58.653)', 'EST', 'EEANA', 'Anenina', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.462 59.507)', 'EST', 'EEANE', 'Andineeme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.234 58.1)', 'EST', 'EEANK', 'Anseküla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.138 59.599)', 'EST', 'EEAOL', 'Altja oja lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.143 58.32)', 'EST', 'EEARJ', 'Arali, Järveküla k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.49 58.067)', 'EST', 'EEARM', 'Arumetsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.881 57.85)', 'EST', 'EEARN', 'Arno', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.087 58.157)', 'EST', 'EEARR', 'Arali, Rannaküla k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.498 59.519)', 'EST', 'EEARS', 'Arusoo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.883 59.459)', 'EST', 'EEASE', 'Aseri', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.463 58.579)', 'EST', 'EEASU', 'Asuka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.065 58.842)', 'EST', 'EEATK', 'Andruse talu lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.894 58.302)', 'EST', 'EEATL', 'Atla', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.554 59.546)', 'EST', 'EEATO', 'Alttoa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.364 58.4)', 'EST', 'EEAUD', 'Audru', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.853 58.767)', 'EST', 'EEAUL', 'Aru lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.638 58.522)', 'EST', 'EEAYY', 'Avanina talu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.65 59.448)', 'EST', 'EEBEK', 'Bekkeri', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.582 58.091)', 'EST', 'EEBER', 'Beresje', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.012 58.137)', 'EST', 'EEBET', 'Beti', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.226 59.037)', 'EST', 'EEBOR', 'Borrby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.638 58.997)', 'EST', 'EEBTO', 'Betoneks', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.501 59.21)', 'EST', 'EEDIR', 'Dirhami', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.299 59.034)', 'EST', 'EEDIY', 'Diby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.091 58.18)', 'EST', 'EEEHA', 'Eha', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.325 59.569)', 'EST', 'EEEIS', 'Eisma', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.413 59.016)', 'EST', 'EEEIY', 'Einby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.002 58.355)', 'EST', 'EEEJM', 'Ermistu järvemajand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.994 58.364)', 'EST', 'EEEKI', 'Ermistu-Kihnu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.516 59.152)', 'EST', 'EEELB', 'Elbiku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.829 58.305)', 'EST', 'EEELD', 'Elda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.696 58.574)', 'EST', 'EEELI', 'Elistvere', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.416 58.228)', 'EST', 'EEELV', 'Elva', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.759 59.644)', 'EST', 'EEEMM', 'Emma', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.091 58.181)', 'EST', 'EEEPU', 'Epu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.079 58.104)', 'EST', 'EEERD', 'Märdianni', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.852 59.571)', 'EST', 'EEERH', 'Ero-Hansu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.852 59.571)', 'EST', 'EEERU', 'Eru', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24 58.358)', 'EST', 'EEESA', 'Ermistu-Sarapuu', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(23.443 59.021)', 'EST', 'EEEYA', 'Einby-Kalamehe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.416 59.011)', 'EST', 'EEEYR', 'Einby-Kruusaaugu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.257 58.334)', 'EST', 'EEFKU', 'Kärla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.143 58.999)', 'EST', 'EEFRY', 'Förby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.771 58.789)', 'EST', 'EEFUR', 'Furtsellaaria kai', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.517 58.963)', 'EST', 'EEHAA', 'Haapsalu', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.66 58.779)', 'EST', 'EEHAE', 'Haeska', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.082 58.972)', 'EST', 'EEHAL', 'Harilaiu lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.551 58.594)', 'EST', 'EEHAN', 'Hanila', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.665 58.525)', 'EST', 'EEHBS', 'Hõbesalu paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.358 58.979)', 'EST', 'EEHBY', 'Hosby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.479 58.079)', 'EST', 'EEHDJ', 'Häädemeeste jõe lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.479 58.074)', 'EST', 'EEHDM', 'Häädemeeste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.159 58.338)', 'EST', 'EEHER', 'Hermani', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.842 59.002)', 'EST', 'EEHII', 'Hiiessaare', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.856 59.11)', 'EST', 'EEHIN', 'Hindaste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.134 58.941)', 'EST', 'EEHIR', 'Hirmuste lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.525 58.96)', 'EST', 'EEHKS', 'Haapsalu kalasadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.446 58.807)', 'EST', 'EEHLD', 'Haldi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.804 58.998)', 'EST', 'EEHLK', 'Hausma lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.158 58.257)', 'EST', 'EEHLM', 'Hällimäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.38 58.938)', 'EST', 'EEHLP', 'Hobulaiu paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.048 58.867)', 'EST', 'EEHLT', 'Heltermaa', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.939 58.946)', 'EST', 'EEHMA', 'Hellamaa lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.533 59.025)', 'EST', 'EEHMS', 'Heinamaasääre lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.808 59.519)', 'EST', 'EEHNE', 'Haabneeme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.746 59.651)', 'EST', 'EEHNS', 'Hansu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.793 59.557)', 'EST', 'EEHOL', 'Holmi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.387 58.933)', 'EST', 'EEHOT', 'Hobulaiu lõuna tulepaak', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.513 59.096)', 'EST', 'EEHRA', 'Hara, Lääne mk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.1 58.113)', 'EST', 'EEHRJ', 'Härmoja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.1 58.113)', 'EST', 'EEHRM', 'Härma', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.316 59.501)', 'EST', 'EEHSE', 'Haapse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.796 58.335)', 'EST', 'EEHSL', 'Haaslava', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.228 58.983)', 'EST', 'EEHUL', 'Hullo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.719 59.46)', 'EST', 'EEHUN', 'Hundipea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.51 58.96)', 'EST', 'EEHUS', 'Haapsalu uussadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.53 58.955)', 'EST', 'EEHVS', 'Haapsalu vanasadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.528 58.958)', 'EST', 'EEHVV', 'Haapsalu Veskiviigi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.621 59.589)', 'EST', 'EEHYA', 'Hara, Harju mk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.792 59.542)', 'EST', 'EEHYE', 'Heina', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.912 57.855)', 'EST', 'EEHYP', 'Hüpsi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.188 59.524)', 'EST', 'EEIHS', 'Ihasalu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.358 57.884)', 'EST', 'EEIKL', 'Ikla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.143 58.313)', 'EST', 'EEILI', 'Ilmari', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.563 58.389)', 'EST', 'EEILM', 'Ilmatsalu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.071 59.434)', 'EST', 'EEJAB', 'Jabara küla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.913 58.616)', 'EST', 'EEJAN', 'Jaani', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.706 58.756)', 'EST', 'EEJAU', 'Jausa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.135 58.384)', 'EST', 'EEJES', 'Rannu-Jõesuu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.396 58.746)', 'EST', 'EEJGA', 'Jõgeva', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(22.007 58.244)', 'EST', 'EEJGE', 'Jõgela', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.063 59.502)', 'EST', 'EEJGM', 'Jaagomäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.458 58.037)', 'EST', 'EEJGP', 'Jaagupi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.042 58.288)', 'EST', 'EEJGR', 'Jaaguranna lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.104 59.491)', 'EST', 'EEJGU', 'Jaagu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.29 58.382)', 'EST', 'EEJHT', 'Juheta', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.265 58.186)', 'EST', 'EEJJK', 'Järve, Järve k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.182 58.983)', 'EST', 'EEJKR', 'Jõekääru', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.208 59.386)', 'EST', 'EEJMJ', 'Jämaja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.967 58.37)', 'EST', 'EEJNT', 'Jaani tee', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.152 59.474)', 'EST', 'EEJOE', 'Jõesuu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.773 58.606)', 'EST', 'EEJOI', 'Jõiste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.687 59.649)', 'EST', 'EEJOP', 'Joosti, Pärispea k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.761 59.643)', 'EST', 'EEJOV', 'Joosti, Viinistu k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.868 57.85)', 'EST', 'EEJPG', 'Järvere Pargi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.071 58.096)', 'EST', 'EEJPK', 'Järve, Purtsi k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.436 58.272)', 'EST', 'EEJPR', 'Jõepera', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.489 58.968)', 'EST', 'EEJRA', 'Jõeranna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.68 58.445)', 'EST', 'EEJRE', 'Jaagusääre paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.889 57.851)', 'EST', 'EEJRR', 'Järvere', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.148 58.332)', 'EST', 'EEJRV', 'Järveküla, Rannu v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.156 58.385)', 'EST', 'EEJSK', 'Jõesuu, Kolga-Jaani v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.474 58.796)', 'EST', 'EEJSP', 'Jugassaare paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.063 58.087)', 'EST', 'EEJSV', 'Jõesuu, Puka v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.494 59.63)', 'EST', 'EEJTK', 'Järve, Tammistu k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.001 58.194)', 'EST', 'EEJTV', 'Järveküla, Tarvastu v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.918 57.839)', 'EST', 'EEJUB', 'Juba', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.503 59.64)', 'EST', 'EEJUM', 'Juminda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.047 58.409)', 'EST', 'EEJVA', 'Järvekalda, Vaibla k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.118 58.227)', 'EST', 'EEJVE', 'Järvekalda, Vehendi k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.412 59.358)', 'EST', 'EEJVI', 'Jõhvi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.079 58.107)', 'EST', 'EEJVL', 'Järvela', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.973 58.398)', 'EST', 'EEJYA', 'Jaagarahu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.641 58.548)', 'EST', 'EEJYE', 'Järveääre', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.241 58.495)', 'EST', 'EEJYR', 'Jürimardi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.278 59.52)', 'EST', 'EEKAB', 'Kaberneeme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.084 58.703)', 'EST', 'EEKAD', 'Kadrina, Jõgeva mk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.682 58.595)', 'EST', 'EEKAI', 'Kaiavere', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.705 58.76)', 'EST', 'EEKAJ', 'Kajaka kanal', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.603 59.451)', 'EST', 'EEKAK', 'Kakumäe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.059 58.919)', 'EST', 'EEKAL', 'Kalana', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.874 58.263)', 'EST', 'EEKAR', 'Karala', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.751 59.447)', 'EST', 'EEKAS', 'Kalasadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.726 59.473)', 'EST', 'EEKAT', 'Katariina kai', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.848 58.344)', 'EST', 'EEKBI', 'Kabina', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.441 58.007)', 'EST', 'EEKBL', 'Kabli', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.527 59.566)', 'EST', 'EEKBN', 'Kolga-Aabla lauter', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.288 58.343)', 'EST', 'EEKBR', 'Kabriste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.744 59.254)', 'EST', 'EEKBU', 'Keiburanna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.911 59.508)', 'EST', 'EEKBV', 'Kibuvitsa, Randvere k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.131 59.342)', 'EST', 'EEKDA', 'Kadrina , Lääne-Viru mk', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(25.782 59.588)', 'EST', 'EEKDE', 'Kaldapealse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.185 59.525)', 'EST', 'EEKDI', 'Kadastiku, Ihasalu k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.1 59.448)', 'EST', 'EEKDK', 'Kudruküla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.264 58.884)', 'EST', 'EEKDP', 'Kiduspe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.685 58.455)', 'EST', 'EEKDR', 'Kadariku paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.707 59.605)', 'EST', 'EEKDS', 'Kadapiku, Suurpe k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.139 58.433)', 'EST', 'EEKDT', 'Kadastiku, Saareküla k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.548 58.771)', 'EST', 'EEKDV', 'Kiideva', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.332 59.336)', 'EST', 'EEKEH', 'Kehra', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.426 59.308)', 'EST', 'EEKEI', 'Keila', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.839 59.556)', 'EST', 'EEKEL', 'Kelvingi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.536 58.734)', 'EST', 'EEKEM', 'Kuremaa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.85 58.781)', 'EST', 'EEKEO', 'Kassariotsa paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.973 58.785)', 'EST', 'EEKEP', 'Kasepää, Jõgeva mk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.134 58.907)', 'EST', 'EEKES', 'Kaleste lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.758 59.644)', 'EST', 'EEKEY', 'Kesküla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.916 58.499)', 'EST', 'EEKGA', 'Kollinga sadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.203 58.13)', 'EST', 'EEKGM', 'Kaugatoma', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.972 58.369)', 'EST', 'EEKGS', 'Kõiguste', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.074 58.596)', 'EST', 'EEKGV', 'Koguva', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.1 58.417)', 'EST', 'EEKHI', 'Kehila', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.542 59.476)', 'EST', 'EEKHL', 'Kahala', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.02 58.142)', 'EST', 'EEKHN', 'Kihnu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.748 59.008)', 'EST', 'EEKHV', 'MTÜ Hiiumaa Vetelpääste Kärdla sadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.778 58.819)', 'EST', 'EEKIA', 'Käina', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.022 58.364)', 'EST', 'EEKIH', 'Kihelkonna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.093 58.376)', 'EST', 'EEKIK', 'Kikassaare', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.781 59.587)', 'EST', 'EEKIN', 'Kingu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.282 58.308)', 'EST', 'EEKIR', 'Kirsimäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.474 58.778)', 'EST', 'EEKIT', 'Kitsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.98 58.229)', 'EST', 'EEKIV', 'Kivi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.289 59.405)', 'EST', 'EEKJE', 'Kohtla-Järve', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.944 58.534)', 'EST', 'EEKJI', 'Kolga-Jaani', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.829 59.467)', 'EST', 'EEKJK', 'Kalevi Jahtklubi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.536 59.519)', 'EST', 'EEKJL', 'Kunda jõge lossimiskoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.28 59.404)', 'EST', 'EEKJO', 'Keila-Joa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.279 59.404)', 'EST', 'EEKJP', 'Keila-Jõesuu paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.528 59.564)', 'EST', 'EEKKA', 'Kadapiku-Mardi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.022 59.288)', 'EST', 'EEKKE', 'Kurkse', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.206 58.985)', 'EST', 'EEKKI', 'Kauksi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.06 58.407)', 'EST', 'EEKKJ', 'Kõrkja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.984 58.223)', 'EST', 'EEKKK', 'Kivilõppe kalakaitsekordon', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.063 58.439)', 'EST', 'EEKKN', 'Kesknõmme Jahisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.233 58.497)', 'EST', 'EEKKV', 'Kõrkvere', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.114 58.472)', 'EST', 'EEKLA', 'Kallasmaa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.926 58.286)', 'EST', 'EEKLB', 'Kalbuse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.268 58.453)', 'EST', 'EEKLD', 'Kaldu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.253 58.668)', 'EST', 'EEKLE', 'Kallaste, Saare mk', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.173 59.343)', 'EST', 'EEKLG', 'Kulgu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.765 59.638)', 'EST', 'EEKLH', 'Kalde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.248 58.378)', 'EST', 'EEKLI', 'Kalli', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(25.091 59.505)', 'EST', 'EEKLK', 'Koljunuki', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.166 58.669)', 'EST', 'EEKLL', 'Kallaste, Tartu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.99 58.892)', 'EST', 'EEKLM', 'Kalmaküla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.013 59.637)', 'EST', 'EEKLN', 'Kelnase', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.248 59.357)', 'EST', 'EEKLO', 'Kloogaranna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.066 58.106)', 'EST', 'EEKLP', 'Kalasaare', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.165 58.673)', 'EST', 'EEKLR', 'Kallaste Rannasadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.82 58.747)', 'EST', 'EEKLS', 'Kloostri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.503 59.594)', 'EST', 'EEKLT', 'Kallaste, Leesi k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.97 58.265)', 'EST', 'EEKLU', 'Kaluri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.806 59.483)', 'EST', 'EEKLV', 'Kalvi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.632 59.574)', 'EST', 'EEKLY', 'Kalamehe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.654 58.971)', 'EST', 'EEKMA', 'Kirimäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.973 58.398)', 'EST', 'EEKMS', 'Kuimetsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.673 58.746)', 'EST', 'EEKMU', 'Keemu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.542 59.521)', 'EST', 'EEKND', 'Kunda', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.955 58.363)', 'EST', 'EEKNG', 'Kungla', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.1 58.2)', 'EST', 'EEKNN', 'Kannistiku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.964 58.381)', 'EST', 'EEKNR', 'Kanguri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.116 58.421)', 'EST', 'EEKNS', 'Kallaste, Kihelkonna v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.152 58.697)', 'EST', 'EEKOA', 'Kodavere', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.525 59.567)', 'EST', 'EEKOB', 'Kolga-Aabla kai', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.015 59.618)', 'EST', 'EEKOE', 'Koolimäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.221 58.555)', 'EST', 'EEKOL', 'Kolkja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.019 58.236)', 'EST', 'EEKOO', 'Kooviranna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.037 58.224)', 'EST', 'EEKOR', 'Koovi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.747 59.546)', 'EST', 'EEKOT', 'Kotka, Kuusalu vald', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.461 58.042)', 'EST', 'EEKOU', 'Kadaka oja lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.423 59.547)', 'EST', 'EEKPA', 'Karepa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.102 59.491)', 'EST', 'EEKPH', 'Kostiranna-Pihkla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.458 58.816)', 'EST', 'EEKPL', 'Kurbapere lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.273 59.542)', 'EST', 'EEKPS', 'Koipsi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.841 59.567)', 'EST', 'EEKPT', 'Kaasikupeetri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.778 59.613)', 'EST', 'EEKRA', 'Kiviranna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.495 59.519)', 'EST', 'EEKRC', 'Kruusimäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.689 59.614)', 'EST', 'EEKRD', 'Kardani', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.003 57.936)', 'EST', 'EEKRE', 'Karuste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.464 58.993)', 'EST', 'EEKRG', 'Kõrgessaare', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.609 59.591)', 'EST', 'EEKRI', 'Kari I', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.478 59.008)', 'EST', 'EEKRJ', 'Karjamaa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.109 59.489)', 'EST', 'EEKRK', 'Kari, Kostiranna k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.493 59.612)', 'EST', 'EEKRL', 'Kari, Leesi k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.07 59.502)', 'EST', 'EEKRM', 'Karineeme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.137 58.498)', 'EST', 'EEKRN', 'Kaandaranna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.504 58.662)', 'EST', 'EEKRO', 'Kukeranna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.746 59.271)', 'EST', 'EEKRP', 'Kruusi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.2 59.342)', 'EST', 'EEKRS', 'Kersalu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.091 58.129)', 'EST', 'EEKRT', 'Koruste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.632 58.552)', 'EST', 'EEKRV', 'Kraaviotsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.92 58.444)', 'EST', 'EEKRY', 'Kõruse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.738 58.242)', 'EST', 'EEKSA', 'Kärsa', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(26.059 58.123)', 'EST', 'EEKSI', 'Kaasiku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.85 58.782)', 'EST', 'EEKSK', 'Kassari kalasadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.167 59.05)', 'EST', 'EEKSL', 'Kersleti', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.924 59.604)', 'EST', 'EEKSM', 'Käsmu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.91 58.325)', 'EST', 'EEKSN', 'Kastna', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.636 58.998)', 'EST', 'EEKSO', 'Keskuse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.06 58.043)', 'EST', 'EEKSP', 'Kaunispe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.024 59.698)', 'EST', 'EEKSR', 'Keri saar', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.997 58.348)', 'EST', 'EEKSS', 'Kiirassaare', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.631 58.252)', 'EST', 'EEKST', 'Kasti', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.097 58.191)', 'EST', 'EEKSU', 'Kasesalu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.077 58.526)', 'EST', 'EEKSV', 'Koosa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.381 58.227)', 'EST', 'EEKSY', 'Kuuse, Nasva k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.714 59.525)', 'EST', 'EEKTA', 'Kivikari talu lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.016 58.142)', 'EST', 'EEKTD', 'Kalurite sadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.097 58.189)', 'EST', 'EEKTI', 'Kalmetimäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.738 59.52)', 'EST', 'EEKTL', 'Kaasiku talu lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.056 58.203)', 'EST', 'EEKTN', 'Kotlandi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.765 58.794)', 'EST', 'EEKTP', 'Kata talu paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.084 58.378)', 'EST', 'EEKTR', 'Kastre', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.383 59.005)', 'EST', 'EEKTS', 'Katase', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.486 59.012)', 'EST', 'EEKTT', 'Kootsaare lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.933 58.831)', 'EST', 'EEKTU', 'Kalda talu lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.944 58.246)', 'EST', 'EEKTY', 'Katri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.565 58.705)', 'EST', 'EEKUD', 'Kuremaa Udu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.383 58.567)', 'EST', 'EEKUI', 'Kuivastu', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.873 58.989)', 'EST', 'EEKUK', 'Kukka lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.956 58.316)', 'EST', 'EEKUM', 'Kuusnõmme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.04 58.409)', 'EST', 'EEKUO', 'Kullisoo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.501 59.642)', 'EST', 'EEKUS', 'Kuldaste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.094 58.184)', 'EST', 'EEKUT', 'Kuusikuotsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.437 59.446)', 'EST', 'EEKUU', 'Kuusalu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.504 58.423)', 'EST', 'EEKVE', 'Kärevere', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.202 57.982)', 'EST', 'EEKVI', 'Kaavi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.976 58.426)', 'EST', 'EEKVK', 'Kõrveküla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.912 59.402)', 'EST', 'EEUDR', 'Udria', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.359 59.308)', 'EST', 'EEKVL', 'Kaunissaare veehoidla lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.808 59.563)', 'EST', 'EEKVN', 'Kivineeme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.98 58.229)', 'EST', 'EEKVP', 'Kivilõppe paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.193 58.27)', 'EST', 'EEKVR', 'Kavaru', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.106 58.383)', 'EST', 'EEKVS', 'Kavastu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.697 58.581)', 'EST', 'EEKVT', 'Kaiavere tuuleveski', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.405 58.859)', 'EST', 'EEKVU', 'Kuivarahu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.576 58.702)', 'EST', 'EEKVV', 'Kuremaa väljavool', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.141 58.285)', 'EST', 'EEKYA', 'Kaarlijärve', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.298 58.429)', 'EST', 'EEKYB', 'Kübassaare', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.61 59.59)', 'EST', 'EEKYC', 'Kadapiku, Virve k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.288 58.486)', 'EST', 'EEKYD', 'Küdema', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.236 58.526)', 'EST', 'EEKYE', 'Kasepää, Tartu mk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.779 59.583)', 'EST', 'EEKYF', 'Kasispea', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.491 58.33)', 'EST', 'EEKYG', 'Keeri', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(25.698 59.612)', 'EST', 'EEKYH', 'Kunturi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.805 59.565)', 'EST', 'EEKYI', 'Kurekari', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.291 58.997)', 'EST', 'EEKYJ', 'Kuru', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.949 58.812)', 'EST', 'EEKYK', 'Kükita', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.556 59.541)', 'EST', 'EEKYL', 'Külaotsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.061 58.09)', 'EST', 'EEKYR', 'Kase', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.308 58.517)', 'EST', 'EEKYS', 'Külasadama', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.753 59.008)', 'EST', 'EEKYT', 'Kärdla Svertpaadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.798 59.568)', 'EST', 'EEKYV', 'Kabelikari', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.476 58.778)', 'EST', 'EEKYY', 'Külaküla rand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.208 59.386)', 'EST', 'EELAH', 'Laheda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.209 58.582)', 'EST', 'EELAL', 'Lahe, Alatskivi v Lahe k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.122 58.234)', 'EST', 'EELAO', 'Lao', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.2 58.158)', 'EST', 'EELAS', 'Lassi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.253 58.141)', 'EST', 'EELAT', 'Läätsa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.971 59.615)', 'EST', 'EELBI', 'Lobi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.798 59.565)', 'EST', 'EELBL', 'Loobu jõe lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.966 59.635)', 'EST', 'EELBN', 'Lobineem', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.106 57.939)', 'EST', 'EELBR', 'Läbara', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.594 58.061)', 'EST', 'EELBT', 'Lüübnitsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.004 59.34)', 'EST', 'EELBY', 'Lillby, Väike-Pakri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.4 58.939)', 'EST', 'EELDJ', 'Luidja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.099 58.198)', 'EST', 'EELDK', 'Loskini', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.076 58.067)', 'EST', 'EELDM', 'Lindmetsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.266 58.129)', 'EST', 'EELDN', 'Laidunina', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.392 57.953)', 'EST', 'EELDO', 'Loode oja lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.159 58.357)', 'EST', 'EELDR', 'Lindre', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.075 58.402)', 'EST', 'EELDS', 'Laiduse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.745 58.802)', 'EST', 'EELDU', 'Laidu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.859 58.302)', 'EST', 'EELDV', 'Laidevahe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.146 58.169)', 'EST', 'EELEB', 'Labuna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.494 59.605)', 'EST', 'EELEE', 'Leesi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.014 58.126)', 'EST', 'EELEM', 'Lemsi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.737 59.454)', 'EST', 'EELEN', 'Lennusadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.779 59.585)', 'EST', 'EELEO', 'Leeotsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.867 59.551)', 'EST', 'EELEP', 'Leppneeme', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.611 59.551)', 'EST', 'EELET', 'Letipea', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.554 59.539)', 'EST', 'EELGU', 'Loigu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.909 58.324)', 'EST', 'EELHE', 'Lahe, Tõstamaa v Kastna k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.091 58.182)', 'EST', 'EELHG', 'Lahetaguse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.493 59.613)', 'EST', 'EELHK', 'Luha', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.359 57.641)', 'EST', 'EELHM', 'Luhamaa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.703 59.457)', 'EST', 'EELHS', 'Lahesuu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.698 59.068)', 'EST', 'EELHT', 'Lehtma', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.054 58.944)', 'EST', 'EELHU', 'Lohusuu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.383 58.228)', 'EST', 'EELID', 'Laid, Nasva k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.836 58.689)', 'EST', 'EELIH', 'Lihula', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.451 58.996)', 'EST', 'EELIL', 'Lille', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.29 58.329)', 'EST', 'EELIN', 'Lindi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.267 58.278)', 'EST', 'EELIU', 'Liu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.463 59.496)', 'EST', 'EELJL', 'Loo jõe lauter', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(25.706 59.592)', 'EST', 'EELKL', 'Loksa Kalurite lossimiskoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.238 58.499)', 'EST', 'EELKR', 'Läkuranna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.418 58.339)', 'EST', 'EELKS', 'Laaksaare', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.525 59.519)', 'EST', 'EELKT', 'Lahe, Kuusalu vTsitre k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.728 59.575)', 'EST', 'EELKU', 'Loksa küla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.103 59.327)', 'EST', 'EELKY', 'Laoküla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.357 58.625)', 'EST', 'EELLI', 'Lalli', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.484 58.709)', 'EST', 'EELLK', 'Liivalauka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.223 59.381)', 'EST', 'EELLM', 'Laulasmaa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.526 59.091)', 'EST', 'EELLV', 'Lillevälja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.118 58.173)', 'EST', 'EELMA', 'Lõmala', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.173 58.083)', 'EST', 'EELMB', 'Lembri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.529 58.826)', 'EST', 'EELME', 'Laomäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.105 58.205)', 'EST', 'EELMG', 'Limnoloogiakeskus', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.774 59.584)', 'EST', 'EELMK', 'Lemmiku kael', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.412 57.966)', 'EST', 'EELML', 'Lemmejõe lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.283 58.544)', 'EST', 'EELMP', 'Lahe, Muhu v Pädaste k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.613 59.082)', 'EST', 'EELMS', 'Lõimastu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.384 58.433)', 'EST', 'EELMT', 'Lemmetsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.498 58.846)', 'EST', 'EELND', 'Lindamere lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.854 59.57)', 'EST', 'EELNE', 'Laine, Eru k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.96 58.137)', 'EST', 'EELNK', 'Linaküla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.158 59.466)', 'EST', 'EELNM', 'Linnamäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.981 58.401)', 'EST', 'EELNO', 'Laine, Oiu k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.24 58.437)', 'EST', 'EELNP', 'Laine, Praaga k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.319 58.541)', 'EST', 'EELNR', 'Lõunaranna', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.129 58.26)', 'EST', 'EELNS', 'Lääniste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.763 58.989)', 'EST', 'EELNU', 'Linnumäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.617 57.965)', 'EST', 'EELOB', 'Lobotka paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.983 57.973)', 'EST', 'EELOO', 'Loode', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.046 59.284)', 'EST', 'EELOT', 'Laheotsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.17 58.085)', 'EST', 'EELOU', 'Lõu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.936 59.578)', 'EST', 'EELPE', 'Lepispäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.142 58.304)', 'EST', 'EELPG', 'Lipingu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.629 59.576)', 'EST', 'EELPH', 'Lepiku, Hara k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.542 58.691)', 'EST', 'EELPK', 'Lepiku, Lepiku k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.214 59.341)', 'EST', 'EELPR', 'Lahepere', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.758 59.644)', 'EST', 'EELPV', 'Vana-Lepiku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.949 58.616)', 'EST', 'EELRI', 'Lautri, Haapsu k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.699 59.584)', 'EST', 'EELSA', 'Loksa', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.671 58.576)', 'EST', 'EELSI', 'Leisi jõe lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.097 58.418)', 'EST', 'EELSK', 'Lautri, Saareküla k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.21 59.403)', 'EST', 'EELSL', 'Lohusalu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.586 58.031)', 'EST', 'EELSN', 'Laossina', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.519 58.623)', 'EST', 'EELSO', 'Laiasoone', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.51 58.422)', 'EST', 'EELTK', 'Leetsi, Kardla k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.4 58.393)', 'EST', 'EELTV', 'Leetsi, Valgeranna k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.123 58.391)', 'EST', 'EELUA', 'Luhaääre', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.137 58.434)', 'EST', 'EELUH', 'Luhina', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.783 59.622)', 'EST', 'EELUK', 'Lõuka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.145 58.317)', 'EST', 'EELUN', 'Luhaneeme', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(23.531 59.108)', 'EST', 'EELUR', 'Luksi rand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.303 58.502)', 'EST', 'EELUT', 'Luhtse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.527 58.386)', 'EST', 'EELVA', 'Liiva', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.708 59.583)', 'EST', 'EELVJ', 'Loksa Valgejõe lossimiskoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.993 58.203)', 'EST', 'EELVK', 'Liivaku, Kivilõppe k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.004 59.615)', 'EST', 'EELVL', 'Lahe, Vihula v Lahe k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.949 58.376)', 'EST', 'EELVN', 'Laevnina', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.706 59.606)', 'EST', 'EELVS', 'Liivaku, Suurpea k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.208 59.341)', 'EST', 'EELVT', 'Liiva talu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.119 58.203)', 'EST', 'EELYO', 'Lohu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.099 59.28)', 'EST', 'EEMAD', 'Madise', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.745 59.652)', 'EST', 'EEMAE', 'Mäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.727 59.522)', 'EST', 'EEMAH', 'Mahu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.125 59.222)', 'EST', 'EEMAN', 'Manilaiu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.692 58.732)', 'EST', 'EEMAT', 'Matsalu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.143 57.959)', 'EST', 'EEMBE', 'Mäebe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.905 59.615)', 'EST', 'EEMDL', 'Mädalaht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.817 59.5)', 'EST', 'EEMDR', 'Miiduranna', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.544 59.032)', 'EST', 'EEMDS', 'Mudaste lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.112 59.288)', 'EST', 'EEMDV', 'Madise vaatetorn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.467 58.226)', 'EST', 'EEMEE', 'Meeksi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.475 58.238)', 'EST', 'EEMEH', 'Mehikoorma L', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.229 58.935)', 'EST', 'EEMGP', 'Mägipe lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.048 58.198)', 'EST', 'EEMHA', 'Muha', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.474 58.239)', 'EST', 'EEMHK', 'Mehikoorma M', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.407 58.883)', 'EST', 'EEMHR', 'Mardihansu Rannaliiva', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.394 58.891)', 'EST', 'EEMHS', 'Mardihansu Kustavi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.863 59.551)', 'EST', 'EEMHV', 'Mihkli-V', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.123 58.423)', 'EST', 'EEMIA', 'Maria', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.987 58.776)', 'EST', 'EEMIH', 'Mihkli sadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.725 59.458)', 'EST', 'EEMII', 'Miinisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.18 59.574)', 'EST', 'EEMJL', 'Mustoja jõe lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.139 59.541)', 'EST', 'EEUIT', 'Uitro', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.526 59.571)', 'EST', 'EEMKA', 'Mustoja, Kolga-Aabla k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.189 59.522)', 'EST', 'EEMKK', 'Miku 3', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.203 58.526)', 'EST', 'EEMKL', 'Männiku lautri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.522 58.612)', 'EST', 'EEMKR', 'Murika rand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.969 58.379)', 'EST', 'EEMKS', 'Mäksa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.615 57.997)', 'EST', 'EEMKT', 'Mikitamäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.718 59.656)', 'EST', 'EEMKU', 'Miku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.117 58.427)', 'EST', 'EEMLA', 'Mäekalda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.146 58.162)', 'EST', 'EEMLD', 'Möldri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.428 58.391)', 'EST', 'EEMLE', 'Malle', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.942 58.339)', 'EST', 'EEMLG', 'Mulgi Rand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.572 59.031)', 'EST', 'EEMLK', 'Mangu lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.015 59.614)', 'EST', 'EEMLP', 'Mölgi paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.759 59.644)', 'EST', 'EEMLS', 'Mariliis', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.034 58.185)', 'EST', 'EEMLT', 'Maltsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.371 58.249)', 'EST', 'EEMLU', 'Mullutu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.264 59.404)', 'EST', 'EEMMA', 'Meremõisa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.146 59.584)', 'EST', 'EEMMO', 'Mustoja, Mustoja k', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(24.408 58.393)', 'EST', 'EEMMS', 'Meremetsa sadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.322 58.211)', 'EST', 'EEMND', 'Mändjala', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.678 59.235)', 'EST', 'EEMNI', 'Männi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.13 58.217)', 'EST', 'EEMNJ', 'Manija', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.708 59.347)', 'EST', 'EEMNK', 'Männiku karjäär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.127 57.949)', 'EST', 'EEMNT', 'Mõntu', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.776 58.785)', 'EST', 'EEMNU', 'Männiku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.793 59.684)', 'EST', 'EEMOH', 'Mohni', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.8 59.412)', 'EST', 'EEMOI', 'Mõigu , Ülemiste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.764 58.589)', 'EST', 'EEMOO', 'Moosi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.996 58.202)', 'EST', 'EEMOR', 'Mõru', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.792 58.343)', 'EST', 'EEMPI', 'Matsi-Saulepi paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.848 58.789)', 'EST', 'EEMPS', 'Mäealuse paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.016 59.478)', 'EST', 'EEMRD', 'Maardu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.464 59.468)', 'EST', 'EEMRE', 'Muraste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.235 58.456)', 'EST', 'EEMRJ', 'Muraja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.274 58.294)', 'EST', 'EEMRK', 'Marksa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.02 58.303)', 'EST', 'EEMRL', 'Merelaiu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.152 58.497)', 'EST', 'EEMRM', 'Merise', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.374 58.388)', 'EST', 'EEMRP', 'Meerapalu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.616 59.447)', 'EST', 'EEMRR', 'Merirahu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.671 59.451)', 'EST', 'EEMRS', 'Meeruse', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.629 58.525)', 'EST', 'EEMRT', 'Muriste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.875 58.798)', 'EST', 'EEMRU', 'Mustrahu, Taguküla lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.943 59.41)', 'EST', 'EEMRY', 'Meriküla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.158 58.889)', 'EST', 'EEMSN', 'Mustana', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.863 58.235)', 'EST', 'EEMST', 'Mustla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.708 58.529)', 'EST', 'EEMTE', 'Metste talu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.604 59.596)', 'EST', 'EEMTG', 'Mäetaguse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.943 58.766)', 'EST', 'EEMTK', 'Metsaküla, Kasepää v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.294 58.543)', 'EST', 'EEMTM', 'Mäetamme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.375 57.91)', 'EST', 'EEMTP', 'Metsapoole', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.744 58.36)', 'EST', 'EEMTS', 'Matsi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.519 58.27)', 'EST', 'EEMTT', 'Metsaküla, Tahkuranna v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.752 59.648)', 'EST', 'EEMTU', 'Matsu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.967 59.5)', 'EST', 'EEMUG', 'Muuga', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.765 58.59)', 'EST', 'EEMUJ', 'Mujaste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.118 58.229)', 'EST', 'EEMUN', 'Munalaiu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.577 58.23)', 'EST', 'EEMUR', 'Muratsi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.948 58.847)', 'EST', 'EEMUS', 'Mustvee', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.827 59.491)', 'EST', 'EEMVJ', 'Merivälja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.161 59.509)', 'EST', 'EEMVP', 'Süsineeme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.812 58.342)', 'EST', 'EEMYA', 'Matsi-Vidi paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.823 59.497)', 'EST', 'EEMYB', 'Miiduranna-Lahe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.773 58.786)', 'EST', 'EEMYC', 'Muuli', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.054 58.279)', 'EST', 'EEMYD', 'Müürsepa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.554 59.556)', 'EST', 'EENAI', 'Naissaare', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.206 59.384)', 'EST', 'EENAR', 'Narva', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.397 58.213)', 'EST', 'EENAS', 'Nasva', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.13 59.34)', 'EST', 'EENBS', 'Narva Balti Soojuselektrijaam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.675 59.658)', 'EST', 'EENEP', 'Pähklimänniku', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(22.449 58.976)', 'EST', 'EENGL', 'Nõmmerga lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.204 58.609)', 'EST', 'EENIN', 'Nina', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.382 58.229)', 'EST', 'EENJD', 'Nasva jõesadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.043 59.468)', 'EST', 'EENJK', 'Narva-Jõesuu kalasadam 1', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.649 59.218)', 'EST', 'EENJL', 'Nõva jõe lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.058 59.46)', 'EST', 'EENJS', 'Narva-Jõesuu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.046 59.45)', 'EST', 'EENJY', 'Narva-Jõesuu külaliskai', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.562 58.706)', 'EST', 'EENKK', 'Änkküla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.161 59.532)', 'EST', 'EENME', 'Neeme', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.904 59.277)', 'EST', 'EENMM', 'Nõmmiku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.129 58.527)', 'EST', 'EENNU', 'Nenu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.438 58.993)', 'EST', 'EENOL', 'Ninaotsa lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.358 59.02)', 'EST', 'EENOR', 'Norrby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.894 59.541)', 'EST', 'EENOT', 'Neemeotsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.043 59.47)', 'EST', 'EENPK', 'Narva-Jõesuu sadam. Piirivalvekai', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.786 59.577)', 'EST', 'EENRM', 'Nurme', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.207 59.383)', 'EST', 'EENRV', 'Narva Linnasadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.887 59.545)', 'EST', 'EENSN', 'Neemesauna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.828 58.283)', 'EST', 'EENSS', 'Nässuma', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.026 59.628)', 'EST', 'EENTT', 'Natturi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.054 59.287)', 'EST', 'EENUT', 'Nurga-Uuetoa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.665 59.248)', 'EST', 'EENVA', 'Nõva', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.167 59.346)', 'EST', 'EENVL', 'Narva veehoidla lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.012 58.406)', 'EST', 'EEOIU', 'Oiu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.636 59.571)', 'EST', 'EEOJA', 'Oja I', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.677 59.652)', 'EST', 'EEOJP', 'Oja, Pärispe k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.144 58.242)', 'EST', 'EEOJV', 'Oja, Vehendi k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.379 59.287)', 'EST', 'EEOLA', 'Osmussaare läänesadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.415 59.274)', 'EST', 'EEOLL', 'Osmussaare lõunalõugas', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.411 59.276)', 'EST', 'EEOLS', 'Osmussaare lõunasadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.984 58.777)', 'EST', 'EEOME', 'Omedu Kalasadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.98 58.778)', 'EST', 'EEOMR', 'Omedu Rand', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.42 58.875)', 'EST', 'EEONG', 'Õngu rand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.117 58.425)', 'EST', 'EEONN', 'Onni', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.094 58.563)', 'EST', 'EEORI', 'Orissaare', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.771 58.789)', 'EST', 'EEORJ', 'Orjaku', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.088 58.56)', 'EST', 'EEORS', 'Orissaare lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.135 58.271)', 'EST', 'EEORU', 'Oru', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.4 59.276)', 'EST', 'EEOSM', 'Osmussaare', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.518 58.976)', 'EST', 'EEOST', 'Österby', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.794 59.566)', 'EST', 'EEOTI', 'Oti', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.765 59.64)', 'EST', 'EEOTO', 'Otsa-Tõnise', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.169 58.649)', 'EST', 'EEOTS', 'Otsa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.987 58.36)', 'EST', 'EEPAA', 'Papisaare', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.756 59.494)', 'EST', 'EEPAD', 'Pada jõge lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.042 59.357)', 'EST', 'EEPAK', 'Pakri muul', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.414 58.947)', 'EST', 'EEPAO', 'Paope lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.752 59.448)', 'EST', 'EEPAR', 'Patareisadam', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.7 59.45)', 'EST', 'EEPAS', 'Paljassaare', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.302 58.501)', 'EST', 'EEPAT', 'Paatsaranna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.143 59.526)', 'EST', 'EEPAV', 'Päeva', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(27.052 58.759)', 'EST', 'EEPBM', 'Piibumäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.372 59.512)', 'EST', 'EEPDA', 'Pedassaar', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.684 59.054)', 'EST', 'EEPDR', 'Paradiisiranna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.044 59.624)', 'EST', 'EEPDS', 'Pedassaare', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.283 58.544)', 'EST', 'EEPDT', 'Pädaste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.901 59.276)', 'EST', 'EEPED', 'Pedase', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.736 59.454)', 'EST', 'EEPET', 'Peetri Port', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.682 58.435)', 'EST', 'EEPGI', 'Paagi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.953 58.834)', 'EST', 'EEPHA', 'Pihla, Salinõmme k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.936 58.964)', 'EST', 'EEPHK', 'Pähklimetsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.288 58.55)', 'EST', 'EEPHL', 'Pihla, Panga k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.061 59.609)', 'EST', 'EEPHP', 'Pihlaspea', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.964 58.388)', 'EST', 'EEPHR', 'Pahardi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.742 58.803)', 'EST', 'EEPID', 'Puulaiu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.818 59.47)', 'EST', 'EEPIR', 'Pirita', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.456 58.765)', 'EST', 'EEPIS', 'Puise', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.81 58.718)', 'EST', 'EEPJO', 'Penijõe paadisadama', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.912 59.449)', 'EST', 'EEPJS', 'Pirita jõe lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.273 58.49)', 'EST', 'EEPKI', 'Pae kai', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.558 58.644)', 'EST', 'EEPKK', 'Pikkjärve', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.605 59.221)', 'EST', 'EEPKL', 'Peraküla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.764 58.795)', 'EST', 'EEPKP', 'Paadi kinnistu paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.704 59.609)', 'EST', 'EEPKR', 'Paadikuuri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.608 58.377)', 'EST', 'EEPKS', 'Paikuse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.758 58.791)', 'EST', 'EEPKU', 'Priidiku kinnistu lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.164 58.679)', 'EST', 'EEPKV', 'Pärsikivi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.348 59.124)', 'EST', 'EEPKY', 'Paunküla, Kiruvere k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.299 58.374)', 'EST', 'EEPLD', 'Põldeotsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.068 59.34)', 'EST', 'EEPLK', 'Paldiski lossimiskoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.048 59.35)', 'EST', 'EEPLN', 'Paldiski Põhjasadam', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.083 59.333)', 'EST', 'EEPLS', 'Paldiski Lõunasadam', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.697 59.612)', 'EST', 'EEPLU', 'Põllu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.502 59.599)', 'EST', 'EEPNA', 'Punakivi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.747 58.277)', 'EST', 'EEPNI', 'Põhja-Niidi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.999 58.111)', 'EST', 'EEPNK', 'Pinuka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.312 58.949)', 'EST', 'EEPNL', 'Pallinina lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.673 59.654)', 'EST', 'EEPNM', 'Pähkneeme lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.357 58.937)', 'EST', 'EEPOA', 'Poama', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.762 59.642)', 'EST', 'EEPOH', 'Põhja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.496 58.59)', 'EST', 'EEPOK', 'Poka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.16 58.256)', 'EST', 'EEPOO', 'Pootsi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.056 58.054)', 'EST', 'EEPOV', 'Põlva', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.458 58.942)', 'EST', 'EEPPA', 'Pullapää', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.511 59.228)', 'EST', 'EEPPE', 'Põõsaspea', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.234 58.421)', 'EST', 'EEPPH', 'Palupõhja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.419 58.312)', 'EST', 'EEPPL', 'Parapalu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.559 58.376)', 'EST', 'EEPPN', 'Papiniidu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.127 58.539)', 'EST', 'EEPPO', 'Põripõllu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.235 58.436)', 'EST', 'EEPRA', 'Praaga', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.419 59.49)', 'EST', 'EEPRD', 'Põhja rand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.417 58.338)', 'EST', 'EEPRE', 'Piirissaare', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(22.48 58.77)', 'EST', 'EEPRH', 'Prähnu rand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.134 58.248)', 'EST', 'EEPRI', 'Peerni', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.056 58.761)', 'EST', 'EEPRJ', 'Piirioja', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.682 58.451)', 'EST', 'EEPRK', 'Parika', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.517 58.942)', 'EST', 'EEPRL', 'Paralepa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.198 59.511)', 'EST', 'EEPRM', 'Prii Maat III', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.48 58.383)', 'EST', 'EEPRN', 'Pärnu', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.095 58.188)', 'EST', 'EEPRO', 'Pööri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.671 59.654)', 'EST', 'EEPRP', 'Pärispea', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.544 58.951)', 'EST', 'EEPRR', 'Promenaadi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.766 59.627)', 'EST', 'EEPRS', 'Prassi ninas', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.804 59.396)', 'EST', 'EEPRT', 'Perjatsi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.054 58.094)', 'EST', 'EEPSA', 'Pikasilla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.455 58.898)', 'EST', 'EEPSK', 'Pusku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.44 59.027)', 'EST', 'EEPSL', 'Paslepa paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.175 58.679)', 'EST', 'EEPSM', 'Pallasmaa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.716 59.521)', 'EST', 'EEPTA', 'Pärtlimäe talu lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.748 59.649)', 'EST', 'EEPTJ', 'Pärtli-Jaani', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.674 58.524)', 'EST', 'EEPTL', 'Paatsalu lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.138 58.251)', 'EST', 'EEPTS', 'Pootsmani', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.289 58.324)', 'EST', 'EEPUA', 'Puru', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.542 59.523)', 'EST', 'EEPUD', 'Pudisoo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.992 59.435)', 'EST', 'EEPUR', 'Purtse', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.17 58.646)', 'EST', 'EEPUS', 'Pusi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.587 58.547)', 'EST', 'EEPVR', 'Pivarootsi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.66 59.457)', 'EST', 'EEPVS', 'Piirivalvesadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.268 58.492)', 'EST', 'EEPYA', 'Pae', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.448 58.021)', 'EST', 'EEPYB', 'Priivitsa oja lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.801 59.518)', 'EST', 'EEPYC', 'Pringi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.79 59.54)', 'EST', 'EEPYD', 'Pringi-Jaani', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.798 59.523)', 'EST', 'EEPYE', 'Pringi-Mere', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.794 59.531)', 'EST', 'EEPYF', 'Pringi-Rohuneeme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.796 59.525)', 'EST', 'EEPYG', 'Pringi-Vabaõhumuuseum', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.601 58.015)', 'EST', 'EEPYH', 'Põrsanaeru', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.794 59.544)', 'EST', 'EEPYY', 'Püünsi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.219 58.545)', 'EST', 'EERAG', 'Rannaaugu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.946 58.829)', 'EST', 'EERAJ', 'Raja', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.361 59.351)', 'EST', 'EERAK', 'Rakvere', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.22 58.239)', 'EST', 'EERAN', 'Rannu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.749 58.368)', 'EST', 'EERBS', 'Rebase Paadisadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.873 57.85)', 'EST', 'EERBY', 'Roby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.636 59.438)', 'EST', 'EERCC', 'Rocca-al-Mare', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.581 58.326)', 'EST', 'EEREE', 'Reiu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.244 58.452)', 'EST', 'EEREH', 'Rehemetsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.243 58.473)', 'EST', 'EEREM', 'Reemetsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.531 59.111)', 'EST', 'EERGD', 'Riguldi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(45.75 58.128)', 'EST', 'EERGL', 'Raigla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.82 59)', 'EST', 'EERGR', 'Roograhu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.661 58.584)', 'EST', 'EERGV', 'Raigastvere', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.428 58.905)', 'EST', 'EERHK', 'Rohuküla', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.608 58.376)', 'EST', 'EERHN', 'Rahinge', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(22.131 58.07)', 'EST', 'EERHS', 'Rahuste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.04 58.378)', 'EST', 'EERHV', 'Ruhve', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.909 58.321)', 'EST', 'EERIM', 'Riuma', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.142 58.005)', 'EST', 'EERJJ', 'Raja, Järveküla k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.137 58.253)', 'EST', 'EERJK', 'Purjeka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.541 59.126)', 'EST', 'EERJL', 'Riguldi jõge lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.059 58.922)', 'EST', 'EERJS', 'Ristna Jahisadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.001 58.628)', 'EST', 'EERKA', 'Rootsiküla, Alatskivi v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.969 58.098)', 'EST', 'EERKK', 'Rootsiküla, Kihnu v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.569 58.363)', 'EST', 'EERKL', 'Raeküla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.054 58.195)', 'EST', 'EERKS', 'Riksu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.311 58.396)', 'EST', 'EERKU', 'Reku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.03 58.486)', 'EST', 'EERKV', 'Rannaküla, Kihelkonna v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.277 59.027)', 'EST', 'EERLB', 'Rälby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.092 58.135)', 'EST', 'EERLE', 'Rannaküla, Leesoo, Rõngu vald', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.063 58.921)', 'EST', 'EERLS', 'Ristna Lõunasadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.078 58.426)', 'EST', 'EERLV', 'Rannaküla, Laimjala v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.506 59.434)', 'EST', 'EERMA', 'Rannamõisa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.868 59.552)', 'EST', 'EERME', 'Räime', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.408 59.029)', 'EST', 'EERMI', 'Ramsi lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.497 58.126)', 'EST', 'EERMJ', 'Rannametsa jõe lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.229 59.57)', 'EST', 'EERMM', 'Rammu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(59.984 59.009)', 'EST', 'EERMN', 'Remniku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.261 58.972)', 'EST', 'EERMP', 'Rumpo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.5 58.2)', 'EST', 'EERMS', 'Roomassaare', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.304 59.45)', 'EST', 'EERMU', 'Rummu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.139 58.646)', 'EST', 'EERMV', 'Rannaküla, Muhu v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.108 58.731)', 'EST', 'EERNA', 'Ranna, Ranna k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.272 57.78)', 'EST', 'EERNG', 'Ringsu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.258 58.14)', 'EST', 'EERNI', 'Rähni', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.683 59.234)', 'EST', 'EERNK', 'Rannaküla, Nõva vald', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.864 58.621)', 'EST', 'EERNL', 'Rannaküla, Orissaare v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.478 58.122)', 'EST', 'EERNM', 'Rannametsa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.569 58.687)', 'EST', 'EERNN', 'Rannaküla, Emmaste v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.173 58.986)', 'EST', 'EERNP', 'Rannapungerja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.155 59.468)', 'EST', 'EERNU', 'Reinu II, Jägala jõgi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.793 59.559)', 'EST', 'EERNV', 'Rohuneeme Väikesadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.793 59.559)', 'EST', 'EERON', 'Rohuneeme', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.874 58.263)', 'EST', 'EEROO', 'Roopa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.751 59.65)', 'EST', 'EEROU', 'Ranna-Õue', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.53 58.125)', 'EST', 'EERPA', 'Räpina sadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.05 58.939)', 'EST', 'EERPR', 'Ristna Paradiisirand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.864 58.054)', 'EST', 'EERPS', 'Rannaküla paadisadam, Orissaare v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.806 58.271)', 'EST', 'EERPV', 'Rannaküla, Pihtla v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.515 59.161)', 'EST', 'EERSA', 'Roosta', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.114 58.47)', 'EST', 'EERSG', 'Ristiaugu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.082 58.11)', 'EST', 'EERSK', 'Riska', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.979 58.896)', 'EST', 'EERSM', 'Roseni, Kalmaküla k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.347 59.45)', 'EST', 'EERSN', 'Rannasauna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.331 58.546)', 'EST', 'EERSS', 'Rässa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.745 59.271)', 'EST', 'EERST', 'Ristna', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(26.09 58.163)', 'EST', 'EERSY', 'Rannaküla-Siku, Rõngu vald', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.38 59.55)', 'EST', 'EERTJ', 'Rutja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.494 59.626)', 'EST', 'EERTK', 'Ranniku, Tammistu k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.433 59.058)', 'EST', 'EERTL', 'Ranniku, Telise k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.518 59.637)', 'EST', 'EERTS', 'Rätsepa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.778 59.623)', 'EST', 'EERTU', 'Kiviku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.233 57.825)', 'EST', 'EERUH', 'Ruhnu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.68 58.434)', 'EST', 'EERVB', 'Rannaküla, Varbla v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.495 59.618)', 'EST', 'EERVK', 'Ristvälja-Kari', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.658 58.961)', 'EST', 'EERVL', 'Rehe-Valdi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.543 59.011)', 'EST', 'EERVS', 'Remniku Vanasadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.576 58.573)', 'EST', 'EERYA', 'Rame', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.91 59.504)', 'EST', 'EERYB', 'Randvere', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.304 58.569)', 'EST', 'EERYC', 'Ranna, Panga k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.229 58.389)', 'EST', 'EERYD', 'Rebasaare', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.798 59.566)', 'EST', 'EERYF', 'Rohuneeme-Sääre', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.492 59.627)', 'EST', 'EERYG', 'Roigu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.961 58.882)', 'EST', 'EEVLU', 'Vilusi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.516 58.706)', 'EST', 'EERYH', 'Rooglaiu paadisild', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.601 58.016)', 'EST', 'EERYI', 'Rõsna-Toome', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.292 58.362)', 'EST', 'EESAE', 'Saulepa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.463 58.397)', 'EST', 'EESAG', 'Sauga', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.779 59.614)', 'EST', 'EESAH', 'Suure-Ahju', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.368 59.497)', 'EST', 'EESAM', 'Salmistu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.126 58.715)', 'EST', 'EESAS', 'Sassukvere', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.556 59.32)', 'EST', 'EESAU', 'Saue', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.022 58.406)', 'EST', 'EESAV', 'Sääre, Vaibla k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.965 58.351)', 'EST', 'EESBA', 'Saba', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.83 58.292)', 'EST', 'EESDL', 'Sandla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.532 58.954)', 'EST', 'EESDM', 'Sadama', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.196 58.684)', 'EST', 'EESEA', 'Seanina kalasadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.318 58.566)', 'EST', 'EESEB', 'Seebilõuka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.056 57.913)', 'EST', 'EESEE', 'Sääre, Torgu v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.852 58.349)', 'EST', 'EESEP', 'Sepa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.383 58.226)', 'EST', 'EESFE', 'Saare Fishexport, Nasva k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.003 58.155)', 'EST', 'EESGT', 'Sigatsuaru', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.527 58.959)', 'EST', 'EESHL', 'Suur-Holmi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.629 58.39)', 'EST', 'EESIN', 'Sindi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.404 59.546)', 'EST', 'EESJL', 'Selja jõe lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.213 59.443)', 'EST', 'EESKA', 'Saka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.086 58.152)', 'EST', 'EESKI', 'Saki', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.906 58.976)', 'EST', 'EESKM', 'Suursadam -Kalakai', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.953 58.827)', 'EST', 'EESKS', 'Salinõmme Vanasadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.943 58.37)', 'EST', 'EESKT', 'Sarakuste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.198 58.512)', 'EST', 'EESKV', 'Suurekivi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.254 58.165)', 'EST', 'EESLE', 'Salme Jõesadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.193 58.883)', 'EST', 'EESLK', 'Sakka lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.737 59.422)', 'EST', 'EESLM', 'Sillamäe', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.951 58.827)', 'EST', 'EESLN', 'Salinõmme', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.091 58.132)', 'EST', 'EESLO', 'Sallo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.769 59.399)', 'EST', 'EESLP', 'Sillamäe paadisadam', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(26.044 57.997)', 'EST', 'EESLU', 'Salu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.24 58.54)', 'EST', 'EESMA', 'Saaremaa sadam', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.6 59.009)', 'EST', 'EESMO', 'Smolnitsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.471 58.248)', 'EST', 'EESNA', 'Suuna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.192 58.321)', 'EST', 'EESNG', 'Sangla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.651 58.989)', 'EST', 'EESNJ', 'Saunja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.953 58.827)', 'EST', 'EESNK', 'Salinõmme Kalasadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.594 58.618)', 'EST', 'EESOE', 'Soela', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.441 59.492)', 'EST', 'EESOI', 'Sõitme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.049 58.061)', 'EST', 'EESOK', 'Soka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.027 58.405)', 'EST', 'EESOT', 'Sääreotsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.614 57.979)', 'EST', 'EESPD', 'Sosna paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.683 59.628)', 'EST', 'EESPE', 'Suurpea lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.538 59.213)', 'EST', 'EESPH', 'Spithami', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.94 58.83)', 'EST', 'EESPL', 'Salinõmme puhkekeskuse lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.95 58.828)', 'EST', 'EESPS', 'Salinõmme Paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.496 58.174)', 'EST', 'EESRA', 'Saarepera', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.504 58.698)', 'EST', 'EESRD', 'Sõru rand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.941 57.845)', 'EST', 'EESRE', 'Saare, Roosisaare k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.138 58.434)', 'EST', 'EESRK', 'Saareküla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.294 58.891)', 'EST', 'EESRL', 'Suureranna lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.523 58.691)', 'EST', 'EESRM', 'Sõru sadam -Merekeskus', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.468 58.246)', 'EST', 'EESRN', 'Suurna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.176 58.936)', 'EST', 'EESRP', 'Suurepsi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.938 58.983)', 'EST', 'EESRR', 'Säärenina lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.611 58.996)', 'EST', 'EESRS', 'Saare, Saare k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.081 58.75)', 'EST', 'EESRT', 'Sääritsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.525 58.692)', 'EST', 'EESRU', 'Sõru', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.033 58.824)', 'EST', 'EESRV', 'Sarve', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.64 58.23)', 'EST', 'EESSM', 'Siiasadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.121 58.723)', 'EST', 'EESSO', 'Soo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.559 58.736)', 'EST', 'EESST', 'Saastna sadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.056 58.276)', 'EST', 'EESTE', 'Seliste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.303 58.54)', 'EST', 'EESTI', 'Simisti', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.199 58.511)', 'EST', 'EESTM', 'Sitme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.749 58.721)', 'EST', 'EESTS', 'Suitsu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.714 58.279)', 'EST', 'EESTU', 'Sutu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.194 59.519)', 'EST', 'EESUE', 'Saueaugu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.982 58.148)', 'EST', 'EESUI', 'Suislepa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.353 59.464)', 'EST', 'EESUJ', 'Suurupi saatejaam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.035 58.16)', 'EST', 'EESUL', 'Sula', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.403 59.474)', 'EST', 'EESUP', 'Suurupi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.908 58.977)', 'EST', 'EESUS', 'Suursadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.565 59.033)', 'EST', 'EESUT', 'Sutlepa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.671 58.543)', 'EST', 'EESVE', 'Saadjärve', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.313 58.97)', 'EST', 'EESVI', 'Sviby', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.514 59.378)', 'EST', 'EESVL', 'Soodla veehoidla lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.147 58.327)', 'EST', 'EESVU', 'Saviaudo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.117 59.025)', 'EST', 'EESXB', 'Saxby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.09 58.176)', 'EST', 'EESYA', 'Saariku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.529 59.562)', 'EST', 'EESYB', 'Sipelga', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(24.796 59.563)', 'EST', 'EESYC', 'Sääre-Tominga', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.481 58.871)', 'EST', 'EESYN', 'Sündeva', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.609 58.551)', 'EST', 'EETAB', 'Tabivere', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.47 58.248)', 'EST', 'EETAH', 'Tahkuranna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.978 58.603)', 'EST', 'EETAL', 'Taaliku kai', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.963 59.264)', 'EST', 'EETAP', 'Tapa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.57 58.989)', 'EST', 'EETAU', 'Tahu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.723 58.38)', 'EST', 'EETAY', 'Tartu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.255 58.17)', 'EST', 'EETEH', 'Tehumardi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.227 58.051)', 'EST', 'EETES', 'Teesu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.72 58.592)', 'EST', 'EETGI', 'Triigi', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.684 59.566)', 'EST', 'EETGP', 'Tagapõllu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.514 59.583)', 'EST', 'EETHJ', 'Tähevälja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.584 59.092)', 'EST', 'EETHK', 'Tahkuna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.949 58.959)', 'EST', 'EETHV', 'Tähvanina lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.956 58.802)', 'EST', 'EETIH', 'Tiheda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.488 59.456)', 'EST', 'EETIL', 'Tilgu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.933 58.333)', 'EST', 'EETJA', 'Turja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.01 57.98)', 'EST', 'EETJU', 'Türju', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.577 58.134)', 'EST', 'EETKL', 'Timmkanali lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.965 58.376)', 'EST', 'EETKO', 'Tammekõrkja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.754 59.437)', 'EST', 'EETLL', 'Tallinn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.431 59.06)', 'EST', 'EETLS', 'Telise', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.771 58.789)', 'EST', 'EETLT', 'Tuletorni', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.61 58.693)', 'EST', 'EETMA', 'Tärkma', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.23 58.539)', 'EST', 'EETME', 'Tamme, Ninase k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.124 58.424)', 'EST', 'EETML', 'Tammelao', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.846 59.568)', 'EST', 'EETMM', 'Tamme, Eru k', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.987 57.951)', 'EST', 'EETMN', 'Tammuna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.102 58.179)', 'EST', 'EETMO', 'Toomalõuka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.827 59.564)', 'EST', 'EETMP', 'Tammispea', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.138 58.253)', 'EST', 'EETMR', 'Tamme polder', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.053 58.095)', 'EST', 'EETMT', 'Tammetare', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.893 59.537)', 'EST', 'EETNE', 'Tammneeme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.496 59.519)', 'EST', 'EETNK', 'Tõnikseri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.229 58.935)', 'EST', 'EETNP', 'Tõnupsi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.99 58.208)', 'EST', 'EETNR', 'Tõnuri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.529 59.562)', 'EST', 'EETNS', 'Tõnikse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.388 57.92)', 'EST', 'EETOA', 'Treimani oja lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.533 59.427)', 'EST', 'EETOI', 'Toila', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.473 59.528)', 'EST', 'EETOJ', 'Toolse jõge lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.023 58.305)', 'EST', 'EETOL', 'Tõlli', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.51 59.586)', 'EST', 'EETOM', 'Toome', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.611 57.986)', 'EST', 'EETON', 'Tonja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.467 59.536)', 'EST', 'EETOO', 'Toolse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.501 58.844)', 'EST', 'EETOP', 'Topu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.472 58.246)', 'EST', 'EETOR', 'Tori', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.995 58.345)', 'EST', 'EETOS', 'Tõstamaa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.529 58.128)', 'EST', 'EETOT', 'Tooste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.574 59.611)', 'EST', 'EETPL', 'Tapurla', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.497 58.848)', 'EST', 'EETRA', 'Trammi lauter', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(24.385 57.918)', 'EST', 'EETRE', 'Treimani', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.688 59.04)', 'EST', 'EETRL', 'Tõrvanina lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.196 58.157)', 'EST', 'EETRM', 'Tiirimetsa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.493 59.611)', 'EST', 'EETRN', 'Terneme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.714 59.008)', 'EST', 'EETRS', 'Tareste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.799 58.399)', 'EST', 'EETRU', 'Tiiru', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.965 58.253)', 'EST', 'EETRV', 'Tarvastu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.14 58.645)', 'EST', 'EETSE', 'Tamse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.522 59.519)', 'EST', 'EETSI', 'Tsitre', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.246 58.884)', 'EST', 'EETTK', 'Tooma talu lautrikoht', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.776 58.784)', 'EST', 'EETTL', 'Tamme talu lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.434 58.389)', 'EST', 'EETTN', 'Tammetänava', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.9 59.526)', 'EST', 'EETTR', 'Tammetõru', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.853 58.391)', 'EST', 'EETTT', 'Tätte kai', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.093 58.118)', 'EST', 'EETUB', 'Tubaku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.136 58.435)', 'EST', 'EETUH', 'Tuhina', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.512 59.165)', 'EST', 'EETUK', 'Tuksi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.159 58.357)', 'EST', 'EETUV', 'Tuvikese', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.751 58.36)', 'EST', 'EETYA', 'Tartu inertmaterjalide sadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.825 59.496)', 'EST', 'EETYB', 'Telliranna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.786 59.619)', 'EST', 'EETYC', 'Turbuneeme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.92 58.496)', 'EST', 'EETYD', 'Türdu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.99 58.309)', 'EST', 'EETYE', 'Tõstamaa sadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.737 58.378)', 'EST', 'EETYR', 'Turusadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.608 58.294)', 'EST', 'EEUJL', 'Ura jõe lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.232 58.456)', 'EST', 'EEULE', 'Ulle', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.433 58.363)', 'EST', 'EEULI', 'Ulila', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.557 58.281)', 'EST', 'EEULU', 'Uulu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.572 58.951)', 'EST', 'EEUMO', 'Uuemõisa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.178 58.459)', 'EST', 'EEUND', 'Undu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.147 58.46)', 'EST', 'EEUNG', 'Unguma', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.006 58.506)', 'EST', 'EEUNV', 'Undva', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.472 58.245)', 'EST', 'EEURE', 'Kuressaare', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.883 57.853)', 'EST', 'EEURM', 'Urmase', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.335 59.001)', 'EST', 'EEUSA', 'Uusküla, Alajõe v', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.46 58.403)', 'EST', 'EEUSG', 'Uus-Sauga', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.508 59.588)', 'EST', 'EEUSI', 'Uusaia', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.013 59.507)', 'EST', 'EEUSK', 'Uusküla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.885 58.474)', 'EST', 'EEUUD', 'Uudepanga', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.529 59.563)', 'EST', 'EEUUE', 'Uuetoa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.546 59.489)', 'EST', 'EEUUR', 'Uuri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.273 58.423)', 'EST', 'EEUUU', 'Uue-Udriku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.185 59.394)', 'EST', 'EEUVL', 'Uuevälja I', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.922 57.835)', 'EST', 'EEVAG', 'Vagula', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.628 58.551)', 'EST', 'EEVAM', 'Valgma', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.767 59.447)', 'EST', 'EEVAN', 'Vanasadam', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.687 58.471)', 'EST', 'EEVAR', 'Varbla', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.715 59.231)', 'EST', 'EEVAS', 'Vaisi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.041 58.472)', 'EST', 'EEVAU', 'Vaigu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.135 58.386)', 'EST', 'EEVBL', 'Vaibla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.053 58.408)', 'EST', 'EEVBP', 'Vaibla puhkeala', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(26.941 57.841)', 'EST', 'EEVBS', 'Vabasaare', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.036 58.65)', 'EST', 'EEVDA', 'Vändra', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.02 58.309)', 'EST', 'EEVDU', 'Võidu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.275 59.583)', 'EST', 'EEVEA', 'Vainupea', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.656 59.457)', 'EST', 'EEVEB', 'Vene-Balti', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.051 58.462)', 'EST', 'EEVEE', 'Veere', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.274 59.576)', 'EST', 'EEVEJ', 'Vainupea jõe lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.769 58.791)', 'EST', 'EEVGL', 'Vesigari lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.208 58.191)', 'EST', 'EEVGU', 'Valguta', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.884 59.269)', 'EST', 'EEVHP', 'Vihterpalu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.801 59.571)', 'EST', 'EEVHS', 'Vihasoo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.054 58.086)', 'EST', 'EEVHT', 'Vahtramäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.81 58.342)', 'EST', 'EEVID', 'Vidi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.862 58.372)', 'EST', 'EEVIK', 'Vikati', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.596 58.363)', 'EST', 'EEVIL', 'Viljandi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.51 58.575)', 'EST', 'EEVIR', 'Virtsu', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.524 58.589)', 'EST', 'EEVIS', 'Virtsu Kalasadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.972 59.58)', 'EST', 'EEVJL', 'Võsu jõe lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.344 59.426)', 'EST', 'EEVJS', 'Vääna-Jõesuu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.874 58.263)', 'EST', 'EEVKA', 'Võrka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.241 58.489)', 'EST', 'EEVKJ', 'Vanakubja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.079 58.404)', 'EST', 'EEVKN', 'Viinakingu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.74 59)', 'EST', 'EEVKS', 'Vasknarva Sadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.532 59.475)', 'EST', 'EEVKT', 'Vanakõrtsi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.506 59.086)', 'EST', 'EEVLA', 'Võõla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.656 59.565)', 'EST', 'EEVLD', 'Veeleidi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.031 57.777)', 'EST', 'EEVLG', 'Valga', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.355 59.495)', 'EST', 'EEVLK', 'Valkla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.507 59.589)', 'EST', 'EEVLL', 'Vello', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.965 58.366)', 'EST', 'EEVLM', 'Valma', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.042 58.389)', 'EST', 'EEVLT', 'Viltina', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.258 59.243)', 'EST', 'EEVLV', 'Valgma talu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.071 58.096)', 'EST', 'EEVMP', 'Vooremäe puhkeala', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.737 59.008)', 'EST', 'EEVNA', 'Vasknarva', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.571 59.61)', 'EST', 'EEVNE', 'Võrkneeme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.969 58.381)', 'EST', 'EEVNG', 'Võngi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.854 59.55)', 'EST', 'EEVNI', 'Vana-Niidi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.243 58.489)', 'EST', 'EEVNJ', 'Varnja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.561 58.703)', 'EST', 'EEVNN', 'Vana-Ranna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.684 59.616)', 'EST', 'EEVNO', 'Vanaõue', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.718 58.252)', 'EST', 'EEVNP', 'Vinni-Pärdi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.202 58.031)', 'EST', 'EEVNR', 'Vintri', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.154 58.361)', 'EST', 'EEVNS', 'Vanause', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.869 59.275)', 'EST', 'EEVNT', 'Vintse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.64 58.532)', 'EST', 'EEVOD', 'Voldi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.468 58.215)', 'EST', 'EEVOI', 'Võiste', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.591 59.415)', 'EST', 'EEVOK', 'Voka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.137 58.264)', 'EST', 'EEVOO', 'Voore', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.545 58.082)', 'EST', 'EEVOP', 'Võõpsu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.962 59.58)', 'EST', 'EEVOS', 'Võsu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.03 58.887)', 'EST', 'EEVPA', 'Vahtrepa', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(27.123 58.345)', 'EST', 'EEVPE', 'Võõpste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.88 59.267)', 'EST', 'EEVPJ', 'Vihterpalu jõe lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.131 58.231)', 'EST', 'EEVPK', 'Vehendi puhkekeskus', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.761 58.571)', 'EST', 'EEVPL', 'Võlupe jõe lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.466 58.379)', 'EST', 'EEVPN', 'Vana-Pärnu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.966 59.327)', 'EST', 'EEVPP', 'Väike-Pakri paadisild', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.955 58.933)', 'EST', 'EEVPS', 'Värssu paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.32 58.382)', 'EST', 'EEVRA', 'Valgeranna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.987 58.311)', 'EST', 'EEVRD', 'Värati Rannasadama paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.103 59.597)', 'EST', 'EEVRG', 'Vergi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.987 58.311)', 'EST', 'EEVRI', 'Värati', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.199 58.682)', 'EST', 'EEVRK', 'Võrkaia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.969 59.62)', 'EST', 'EEVRL', 'Virula', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.31 58.518)', 'EST', 'EEVRN', 'Veerenina', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.089 59.603)', 'EST', 'EEVRP', 'Vergi paadisadam', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.721 58.248)', 'EST', 'EEVRR', 'Varese-Ranna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.142 58.312)', 'EST', 'EEVRS', 'Väike-Rootsi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.993 57.849)', 'EST', 'EEVRU', 'Võru', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.4 58.575)', 'EST', 'EEVSE', 'Varese', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.476 58.39)', 'EST', 'EEVSG', 'Vana-Sauga kai', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.736 59.01)', 'EST', 'EEVSK', 'Vasknarva Reisisadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.966 58.369)', 'EST', 'EEVSN', 'Vanasauna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.111 58.216)', 'EST', 'EEVSP', 'Väikesapi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.067 58.406)', 'EST', 'EEVSR', 'Väikesaare', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.844 58.355)', 'EST', 'EEVST', 'Vaiste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.736 58.378)', 'EST', 'EEVTR', 'Väike-Turu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.513 59.387)', 'EST', 'EEVTS', 'Vatsla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.743 59.653)', 'EST', 'EEVTU', 'Valge-Tiiru', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.736 59.009)', 'EST', 'EEVUS', 'Vasknarva Uussadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.083 58.426)', 'EST', 'EEVVA', 'Värava', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.544 59.551)', 'EST', 'EEVVI', 'Väike-Villemi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.74 58.996)', 'EST', 'EEVVN', 'Vasknarva Paadisadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.3 58.39)', 'EST', 'EEVVR', 'Virvissaare', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.569 58.579)', 'EST', 'EEVVS', 'Virtsu Vanasadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.097 58.19)', 'EST', 'EEVYA', 'Variku', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.795 59.561)', 'EST', 'EEVYB', 'Viigi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.755 59.647)', 'EST', 'EEVYC', 'Viinistu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.812 58.382)', 'EST', 'EEVYD', 'Vilsandi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.716 59.658)', 'EST', 'EEVYE', 'Võrgukuivatusplats', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.62 57.987)', 'EST', 'EEVYF', 'Värska', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.526 58.959)', 'EST', 'EEWJS', 'Westmeri Jahisadam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.525 58.961)', 'EST', 'EEWST', 'Westmeri', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.766 59.633)', 'EST', 'EEXAA', 'Haldi (Saar)', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.929 58.785)', 'EST', 'EEXAB', 'Nõmme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.157 58.332)', 'EST', 'EEYLE', 'Üleoja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.908 58.252)', 'EST', 'EEYLG', 'Ülgapäe', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.937 57.838)', 'EST', 'EEYLV', 'Üla-Vagula', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(29 25.4)', 'EGY', 'EGDAK', 'Dakhlah', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-13.2 27.15)', 'ESH', 'EHAIU', 'El Aiun', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-15.933 23.7)', 'ESH', 'EHVIC', 'Ad Dakhla', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.613 42.342)', 'ESP', 'ESAAE', 'Arcade', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-16.657 28.027)', 'ESP', 'ESABG', 'Los Abrigos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-13.54 28.966)', 'ESP', 'ESACE', 'Arrecife de Lanzarote', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.82 42.284)', 'ESP', 'ESADI', 'Aldan-Hio', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.022 36.748)', 'ESP', 'ESADR', 'Adra', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-16.717 28.117)', 'ESP', 'ESAEJ', 'Adeje', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.829 28.201)', 'ESP', 'ESAEM', 'Alcalá', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.239 43.422)', 'ESP', 'ESAER', 'Ares', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-15.712 28.099)', 'ESP', 'ESAGA', 'Agaete', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.877 41.9)', 'ESP', 'ESAGD', 'La Guardia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.421 36.711)', 'ESP', 'ESAGP', 'Málaga', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.577 37.405)', 'ESP', 'ESAGU', 'Águilas', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.502 38.332)', 'ESP', 'ESALC', 'Alicante', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.443 36.135)', 'ESP', 'ESALG', 'Algeciras', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3.138 39.841)', 'ESP', 'ESALK', 'Alcudia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.019 43.338)', 'ESP', 'ESALT', 'Algorta', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(2.391 39.547)', 'ESP', 'ESAND', 'Andraitx', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.052 38.59)', 'ESP', 'ESAQA', 'Altea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-15.684 27.756)', 'ESP', 'ESARI', 'Arguineguín', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(2.564 41.58)', 'ESP', 'ESARN', 'Arenys de Mar', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.896 43.435)', 'ESP', 'ESARW', 'Armintza', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.921 43.574)', 'ESP', 'ESAVS', 'Aviles', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-7.409 37.217)', 'ESP', 'ESAYA', 'Ayamonte', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.17 37.553)', 'ESP', 'ESAZH', 'Almadraba la Azohía SA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.24 41.434)', 'ESP', 'ESBAD', 'Badalona', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.513 43.386)', 'ESP', 'ESBCD', 'Bustio', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.187 41.376)', 'ESP', 'ESBCN', 'Barcelona', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.925 36.187)', 'ESP', 'ESBDF', 'Barbate', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.86 42.648)', 'ESP', 'ESBDN', 'Bodion', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.131 38.537)', 'ESP', 'ESBEM', 'Benidorm', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.745 43.322)', 'ESP', 'ESBID', 'Bidasoa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.103 43.367)', 'ESP', 'ESBIO', 'Bilbao', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(2.802 41.675)', 'ESP', 'ESBLA', 'Blanes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.186 43.471)', 'ESP', 'ESBLE', 'Barallobre', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-17.803 28.827)', 'ESP', 'ESBLV', 'Barlovento', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.433 40.414)', 'ESP', 'ESBNI', 'Benicarlo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.806 43.635)', 'ESP', 'ESBNU', 'Bañugues', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.7 43.739)', 'ESP', 'ESBQB', 'Barquero-Bares', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.351 43.66)', 'ESP', 'ESBRL', 'Burela', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.72 43.419)', 'ESP', 'ESBRM', 'Bermeo', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.065 39.855)', 'ESP', 'ESBRX', 'Burriana', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.229 43.311)', 'ESP', 'ESBTS', 'Betanzos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.786 42.329)', 'ESP', 'ESBUE', 'Bueu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.843 28.356)', 'ESP', 'ESBVN', 'Buenavista', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.845 42.12)', 'ESP', 'ESBYN', 'Bayona', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.752 42.231)', 'ESP', 'ESBZS', 'Bouzas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.761 43.59)', 'ESP', 'ESCA2', 'Candas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.273 36.521)', 'ESP', 'ESCAD', 'Cádiz', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.784 42.26)', 'ESP', 'ESCAG', 'Cangas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.975 37.6)', 'ESP', 'ESCAR', 'Cartagena', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.018 39.951)', 'ESP', 'ESCAS', 'Castellón de la Plana', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.801 42.194)', 'ESP', 'ESCAW', 'Canido', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-3.356 36.724)', 'ESP', 'ESCAY', 'Castell de Ferro', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.825 42.521)', 'ESP', 'ESCBD', 'Cambados', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.06 41.065)', 'ESP', 'ESCBL', 'Cambrils', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.383 41.517)', 'ESP', 'ESCBM', 'Cabrera', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.705 42.429)', 'ESP', 'ESCBY', 'Combarro', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-15.463 27.795)', 'ESP', 'ESCCM', 'Castillo del Romeral', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.189 42.946)', 'ESP', 'ESCCN', 'Corcubión', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.886 42.616)', 'ESP', 'ESCCZ', 'Cabo de Cruz - Boiro', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.532 40.553)', 'ESP', 'ESCDK', 'Casas De Alcanar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.069 43.659)', 'ESP', 'ESCED', 'Cedeira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.175 42.957)', 'ESP', 'ESCEE', 'Cee', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.365 28.361)', 'ESP', 'ESCEI', 'Candelaria', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.466 39.712)', 'ESP', 'ESCEM', 'Cala-Ratjada', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.103 43.559)', 'ESP', 'ESRHR', 'Rinlo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.311 35.891)', 'ESP', 'ESCEU', 'Ceuta', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.609 41.189)', 'ESP', 'ESCFE', 'Calafell', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.43 36.747)', 'ESP', 'ESCHP', 'Chipiona', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-13.503 29.229)', 'ESP', 'ESCHR', 'Caleta del Sebo, La Graciosa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.776 42.615)', 'ESP', 'ESCIL', 'Carril', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.603 43.321)', 'ESP', 'ESCIN', 'Cayon', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.594 43.682)', 'ESP', 'ESCIO', 'Cillero', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.08 43.355)', 'ESP', 'ESCIV', 'Ciervana', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.15 43.568)', 'ESP', 'ESCLO', 'Cudillero', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.07 38.64)', 'ESP', 'ESCLP', 'Calpe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.811 43.427)', 'ESP', 'ESCLY', 'Celorio', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.089 43.186)', 'ESP', 'ESCMY', 'Camelle', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.864 43.739)', 'ESP', 'ESCNO', 'Cariño', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.46 43.397)', 'ESP', 'ESCOD', 'Colindres', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.649 42.319)', 'ESP', 'ESCOS', 'Santa Cristina de Cobres', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.964 43.265)', 'ESP', 'ESCOX', 'Corme', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.685 42.428)', 'ESP', 'ESCPE', 'Campelo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.071 42.574)', 'ESP', 'ESCR2', 'Corrubedo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.527 36.596)', 'ESP', 'ESCRQ', 'La Carihuela', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.897 36.993)', 'ESP', 'ESCRS', 'Carboneras', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3 39.317)', 'ESP', 'ESCSB', 'Colonia San Jorge', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.029 43.53)', 'ESP', 'ESCSO', 'Castropol', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.216 43.385)', 'ESP', 'ESCSU', 'Castro Urdiales', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.018 42.521)', 'ESP', 'ESDAA', 'Carreira-Aguiño', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.696 43.41)', 'ESP', 'ESDAC', 'Mundaca', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.739 40.768)', 'ESP', 'ESDEL', 'Deltebre', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.113 38.845)', 'ESP', 'ESDNA', 'Denia', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.798 42.255)', 'ESP', 'ESDRB', 'Darbo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.882 43.302)', 'ESP', 'ESDRI', 'Derio', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.354 43.296)', 'ESP', 'ESDVA', 'Deva', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.133 42.899)', 'ESP', 'ESEAN', 'El Pindo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.987 43.325)', 'ESP', 'ESEAS', 'San Sebastián', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.382 38.432)', 'ESP', 'ESECP', 'Campello', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.387 43.528)', 'ESP', 'ESEEL', 'El Puntal', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.637 43.405)', 'ESP', 'ESEEM', 'Elanchove', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-14.01 28.683)', 'ESP', 'ESEEN', 'El Cotillo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.86 42.497)', 'ESP', 'ESEGR', 'El Grove', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(0.71 40.879)', 'ESP', 'ESEPC', 'Perello', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.154 36.418)', 'ESP', 'ESEPN', 'Estepona', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.811 43.724)', 'ESP', 'ESEPT', 'Espasante', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.254 39.163)', 'ESP', 'ESERA', 'Cullera', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.962 37.563)', 'ESP', 'ESESC', 'Escombreras', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3.206 42.054)', 'ESP', 'ESETT', 'Estartit', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.919 39.374)', 'ESP', 'ESETY', 'S''Estanyol', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.791 43.388)', 'ESP', 'ESEWE', 'Fuenterrabia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.617 36.541)', 'ESP', 'ESFGL', 'Fuengirola', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.023 43.539)', 'ESP', 'ESFGU', 'Figueras', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-17.849 28.49)', 'ESP', 'ESFHR', 'Fuencaliente', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.26 42.908)', 'ESP', 'ESFNE', 'Finisterre', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.42 38.734)', 'ESP', 'ESFNI', 'Formentera', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(4.131 40.056)', 'ESP', 'ESFRN', 'Fornells', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.245 43.478)', 'ESP', 'ESFRO', 'Ferrol', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-13.856 28.497)', 'ESP', 'ESFUE', 'Puerto del Rosario', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-16.583 28.1)', 'ESP', 'ESGAB', 'Granadilla de Abona', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.158 38.995)', 'ESP', 'ESGAN', 'Gandia', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.818 37.184)', 'ESP', 'ESGAR', 'Garrucha', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.644 38.111)', 'ESP', 'ESGDS', 'Guardamar del Segura', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.68 43.545)', 'ESP', 'ESGIJ', 'Gijón', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3.151 42.121)', 'ESP', 'ESGLE', 'La Escala', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-17.107 28.088)', 'ESP', 'ESGMR', 'San Sebastián de la Gomera', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.776 28.384)', 'ESP', 'ESGRC', 'Garachico', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-17.917 28.817)', 'ESP', 'ESGRF', 'Garafía', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.017 39.974)', 'ESP', 'ESGRY', 'Grao', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.199 43.308)', 'ESP', 'ESGTI', 'Getaria', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-14.024 28.209)', 'ESP', 'ESGTL', 'Gran Tarajal', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.959 37.259)', 'ESP', 'ESHUV', 'Huelva', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.866 42.567)', 'ESP', 'ESIAL', 'Isla de Arosa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.477 38.168)', 'ESP', 'ESIAM', 'Isla de Tabarca', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.181 43.129)', 'ESP', 'ESIAS', 'Camariñas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.438 38.917)', 'ESP', 'ESIBZ', 'Ibiza', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.185 38.798)', 'ESP', 'ESJAV', 'Javea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.076 43.558)', 'ESP', 'ESJLA', 'San Juan de la Arena', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.803 40.883)', 'ESP', 'ESKLL', 'L''Ametlla de Mar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.712 40.81)', 'ESP', 'ESLAA', 'Ampolla', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-17.979 27.785)', 'ESP', 'ESLAF', 'La Restinga', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-15.819 28.006)', 'ESP', 'ESLAH', 'La Aldea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.847 28.242)', 'ESP', 'ESLAK', 'Los Gigantes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.999 43.224)', 'ESP', 'ESLAX', 'Lage', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.381 43.355)', 'ESP', 'ESLCG', 'La Coruña', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.787 43.618)', 'ESP', 'ESLCO', 'Luanco', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.719 28.049)', 'ESP', 'ESLCR', 'Los Cristianos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-16.763 28.109)', 'ESP', 'ESLCT', 'La Caleta', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.415 43.417)', 'ESP', 'ESLDO', 'Laredo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.482 36.837)', 'ESP', 'ESLEI', 'Almería', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(2.669 41.615)', 'ESP', 'ESLEL', 'Calella de la Costa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.173 37.226)', 'ESP', 'ESLEP', 'Lepe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.499 43.368)', 'ESP', 'ESLEQ', 'Lequeitio', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-17.9 27.639)', 'ESP', 'ESLES', 'La Estaca', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-17.911 28.657)', 'ESP', 'ESLHN', 'Los Llanos de Aridane', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.193 41.513)', 'ESP', 'ESLJO', 'La Llagosta', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.166 42.375)', 'ESP', 'ESLLC', 'Llansa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.355 36.163)', 'ESP', 'ESLLI', 'La Linea de la Concepción', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.882 41.705)', 'ESP', 'ESLLO', 'Lloret de Mar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.747 43.423)', 'ESP', 'ESLNS', 'Llanes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.933 42.611)', 'ESP', 'ESLPC', 'La Puebla del Caramiñal', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-15.409 28.155)', 'ESP', 'ESLPX', 'Puerto de la Luz', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.297 43.392)', 'ESP', 'ESLRC', 'Lorbe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.567 28.383)', 'ESP', 'ESLRE', 'Los Realejos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.135 42.807)', 'ESP', 'ESLRT', 'Lira-Carnota', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.264 43.516)', 'ESP', 'ESLS3', 'Lastres', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.832 28.374)', 'ESP', 'ESLSI', 'Los Silos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-13.666 29.109)', 'ESP', 'ESLST', 'La Santa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.532 43.547)', 'ESP', 'ESLUA', 'Luarca', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(4.26 39.897)', 'ESP', 'ESMAH', 'Mahón', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.804 43.324)', 'ESP', 'ESMAI', 'Malpica de Bergantiños', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.47 28.109)', 'ESP', 'ESMDT', 'San Miguel de Tajao', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.536 28.044)', 'ESP', 'ESMED', 'El Medano', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.718 42.283)', 'ESP', 'ESMEI', 'Meira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.336 43.378)', 'ESP', 'ESMEO', 'Mera-Oleiros', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.214 43.108)', 'ESP', 'ESMGA', 'Mugia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.255 43.466)', 'ESP', 'ESMGR', 'Mugardos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-14.361 28.048)', 'ESP', 'ESMHR', 'Morro Jable', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.95 42.683)', 'ESP', 'ESMIX', 'Miranda de Ebro', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.931 35.288)', 'ESP', 'ESMLN', 'Melilla', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.215 43.353)', 'ESP', 'ESMNO', 'Miño', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.736 42.275)', 'ESP', 'ESMOA', 'Moaña', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.52 36.724)', 'ESP', 'ESMOT', 'Motril', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.693 42.397)', 'ESP', 'ESMPG', 'Marin', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.871 36.51)', 'ESP', 'ESMQE', 'Marbella', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.136 38.687)', 'ESP', 'ESMRA', 'Moraira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.052 42.777)', 'ESP', 'ESMRS', 'Muros', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(2.314 41.478)', 'ESP', 'ESMSN', 'El Masnou', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(2.28 41.466)', 'ESP', 'ESMTG', 'Montgat', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.445 41.531)', 'ESP', 'ESMTO', 'Mataró', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.38 43.309)', 'ESP', 'ESMTU', 'Motrico', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.7 43.567)', 'ESP', 'ESMUS', 'Musel', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.256 37.564)', 'ESP', 'ESMZO', 'Mazarron', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.827 43.44)', 'ESP', 'ESNEM', 'Niembro', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.887 42.783)', 'ESP', 'ESNOA', 'Noia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.288 43.395)', 'ESP', 'ESOLL', 'Comillas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.421 43.325)', 'ESP', 'ESOND', 'Ondarroa', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3.282 42.29)', 'ESP', 'ESOOP', 'Cadaques', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.133 40.083)', 'ESP', 'ESOPM', 'Oropesa del Mar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.126 43.278)', 'ESP', 'ESORI', 'Orio', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.957 42.802)', 'ESP', 'ESOUT', 'Sierra de Outes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.223 43.586)', 'ESP', 'ESOVN', 'Oviñana', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-13.452 29.224)', 'ESP', 'ESOZL', 'Orzola', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.442 28.178)', 'ESP', 'ESPAB', 'Poris de Abona', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.127 41.846)', 'ESP', 'ESPAL', 'Palamós', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-16.723 28.378)', 'ESP', 'ESPAM', 'Playa San Marcos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.925 43.325)', 'ESP', 'ESPAS', 'Pasajes', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3.166 42.426)', 'ESP', 'ESPBO', 'Port Bou', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.736 28.079)', 'ESP', 'ESPCL', 'Puerto Colón', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.335 39.54)', 'ESP', 'ESPCR', 'Porto Cristo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.647 42.437)', 'ESP', 'ESPEV', 'Pontevedra', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-16.373 28.295)', 'ESP', 'ESPGU', 'El Puertito de Güimar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.323 28.578)', 'ESP', 'ESPHD', 'Punta Hidalgo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.957 42.58)', 'ESP', 'ESPMA', 'Palmeira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.64 39.566)', 'ESP', 'ESPMI', 'Palma de Mallorca', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.824 42.144)', 'ESP', 'ESPNJ', 'Panjón', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.405 40.358)', 'ESP', 'ESPNL', 'Peñíscola', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.027 43.339)', 'ESP', 'ESPOR', 'Portugalete', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.756 37.822)', 'ESP', 'ESPPI', 'San Pedro del Pinatar-Lo Pagan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-17.207 28.032)', 'ESP', 'ESPPS', 'Puerto de Playa de Santiago', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.268 39.429)', 'ESP', 'ESPRD', 'Porto Colom', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.946 42.762)', 'ESP', 'ESPRT', 'Portosín', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.084 39.905)', 'ESP', 'ESPSA', 'Pollensa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.815 28.179)', 'ESP', 'ESPSJ', 'Playa San Juan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.692 39.796)', 'ESP', 'ESPSL', 'Port de Soller', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.23 36.59)', 'ESP', 'ESPSM', 'Puerto de Santa María', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.173 43.411)', 'ESP', 'ESPTD', 'Puentedeume', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.002 42.729)', 'ESP', 'ESPTN', 'Puerto del Son', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-13.667 28.917)', 'ESP', 'ESPUC', 'Puerto del Carmen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.644 43.566)', 'ESP', 'ESPVG', 'Puerto de Vega', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.296 39.307)', 'ESP', 'ESQAA', 'Perellonet', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.843 28.237)', 'ESP', 'ESQAE', 'Puerto Santiago', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-17.924 28.608)', 'ESP', 'ESQAH', 'Puerto Naos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-17.764 28.811)', 'ESP', 'ESQAI', 'Puerto Espindola', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.202 42.343)', 'ESP', 'ESQAJ', 'Port de la Selva', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.832 40.001)', 'ESP', 'ESQIU', 'Ciudadela', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-13.705 28.916)', 'ESP', 'ESQLY', 'Playa Blanca', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.753 42.404)', 'ESP', 'ESRAC', 'Rajo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.057 43.466)', 'ESP', 'ESRBS', 'Ribadesella', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.614 42.296)', 'ESP', 'ESRED', 'Redondela', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.202 43.425)', 'ESP', 'ESREE', 'Redes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-15.44 27.825)', 'ESP', 'ESRGA', 'Arinaga', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.82 42.648)', 'ESP', 'ESRIA', 'Rianjo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.037 43.533)', 'ESP', 'ESRIB', 'Ribadeo', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3.181 42.257)', 'ESP', 'ESROS', 'Rosas', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.355 36.617)', 'ESP', 'ESROT', 'Rota', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.605 36.757)', 'ESP', 'ESRQM', 'Roquetas de Mar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.931 43.323)', 'ESP', 'ESRTA', 'Rentería', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.55 28.418)', 'ESP', 'ESRUZ', 'Puerto de la Cruz', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.304 38.98)', 'ESP', 'ESSAA', 'San Antonio Abad', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.247 43.363)', 'ESP', 'ESSAD', 'Sada', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.217 39.655)', 'ESP', 'ESSAG', 'Sagunto', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.655 42.303)', 'ESP', 'ESSAN', 'San Adrián', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.125 42.208)', 'ESP', 'ESSAP', 'San Pedro Pescador', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-15.378 27.984)', 'ESP', 'ESSAT', 'Salinetas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.352 36.79)', 'ESP', 'ESSBA', 'Sanlucar De Barrameda', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-13.6 29)', 'ESP', 'ESSBT', 'San Bartolomé de Tirajana', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.47 43.72)', 'ESP', 'ESSCI', 'San Ciprián', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-15.424 28.094)', 'ESP', 'ESSCK', 'San Cristóbal', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.603 40.618)', 'ESP', 'ESSCR', 'San Carlos de la Rápita', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-16.24 28.481)', 'ESP', 'ESSCT', 'Santa Cruz de Tenerife', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-16.315 28.488)', 'ESP', 'ESSCX', 'San Cristóbal de la Laguna', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.822 43.454)', 'ESP', 'ESSDR', 'Santander', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-16.189 28.505)', 'ESP', 'ESSEM', 'San Andrés', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.084 43.549)', 'ESP', 'ESSEO', 'San Esteban de Pravia', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.206 36.441)', 'ESP', 'ESSFO', 'San Fernando', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.038 41.781)', 'ESP', 'ESSFU', 'San Feliu de Guixols', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.827 41.236)', 'ESP', 'ESSIT', 'Sitges', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.935 43.589)', 'ESP', 'ESSJX', 'San Juan de Nieva', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.857 43.685)', 'ESP', 'ESSMR', 'Santa Marta Ortigueira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.989 42.56)', 'ESP', 'ESSNI', 'Santa Eugenia de Riveira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.461 43.446)', 'ESP', 'ESSNN', 'Santoña', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.029 43.333)', 'ESP', 'ESSNR', 'Santurce', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.171 39.333)', 'ESP', 'ESSNY', 'Santañy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-17.769 28.675)', 'ESP', 'ESSPC', 'Santa Cruz de La Palma', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.557 38.19)', 'ESP', 'ESSPO', 'Santa Pola', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.791 37.835)', 'ESP', 'ESSPP', 'San Pedro del Pinatar', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.199 36.385)', 'ESP', 'ESSPT', 'Sancti Petri', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-15.696 28.152)', 'ESP', 'ESSRL', 'Sardina', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.517 38.983)', 'ESP', 'ESSTE', 'Santa Eulalia del Río', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.739 43.562)', 'ESP', 'ESSTR', 'Ortiguera', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.034 43.433)', 'ESP', 'ESSUN', 'Suances', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.395 43.39)', 'ESP', 'ESSVB', 'San Vicente Barquera', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.984 37.388)', 'ESP', 'ESSVQ', 'Sevilla', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.805 42.4)', 'ESP', 'ESSXX', 'Sanjenjo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.85 42.615)', 'ESP', 'ESTAG', 'Teis-Chapela', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-15.37 27.99)', 'ESP', 'ESTAN', 'Taliarte - Melenara', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.241 41.108)', 'ESP', 'ESTAR', 'Tarragona', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-17.944 28.645)', 'ESP', 'ESTAZ', 'Tazacorte', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-17.955 28.643)', 'ESP', 'ESTJF', 'Tijarafe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.937 41.722)', 'ESP', 'ESTKG', 'Tossa de Mar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.679 37.976)', 'ESP', 'ESTOR', 'Torrevieja', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.744 40.765)', 'ESP', 'ESTOT', 'Tortosa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.944 43.574)', 'ESP', 'ESTPC', 'Tapia de Casariego', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.604 36.011)', 'ESP', 'ESTRF', 'Tarifa', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.401 41.135)', 'ESP', 'ESTRR', 'Torredembarra', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.653 38.028)', 'ESP', 'ESTRT', 'Torrelamata', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.476 43.393)', 'ESP', 'ESTTO', 'Treto', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.398 43.548)', 'ESP', 'ESTZN', 'Tazones', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.224 40.195)', 'ESP', 'ESUAA', 'Torrenostra', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.334 36.181)', 'ESP', 'ESUNR', 'La Atunara', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.787 42.59)', 'ESP', 'ESVEM', 'Villajuan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.831 42.565)', 'ESP', 'ESVEN', 'Villanueva', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.407 28.528)', 'ESP', 'ESVGE', 'Valle Guerra', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.718 42.242)', 'ESP', 'ESVGO', 'Vigo', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-17.348 28.099)', 'ESP', 'ESVGR', 'Valle Gran Rey', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.674 43.739)', 'ESP', 'ESVIE', 'Vicedo', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-8.77 42.6)', 'ESP', 'ESVIL', 'Villagarcia de Arosa', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.667 42.85)', 'ESP', 'ESVIT', 'Vitoria-Gasteiz', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.594 43.666)', 'ESP', 'ESVIV', 'Vivero', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.838 43.565)', 'ESP', 'ESVIZ', 'Viavelez', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.217 38.508)', 'ESP', 'ESVJY', 'Villajoyosa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.309 39.452)', 'ESP', 'ESVLC', 'Valencia', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.737 41.216)', 'ESP', 'ESVLG', 'Vilanova y la Geltrú', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.068 36.75)', 'ESP', 'ESVMG', 'Vélez-Málaga', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.477 40.467)', 'ESP', 'ESVZR', 'Vinaroz', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(2.391 41.502)', 'ESP', 'ESVZZ', 'Vilasar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-13.75 28.95)', 'ESP', 'ESYZA', 'Yaiza', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.186 43.305)', 'ESP', 'ESZAU', 'Zarauz', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.88 41.657)', 'ESP', 'ESZAZ', 'Zaragoza', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.658 28.007)', 'ESP', 'ESZBB', 'Las Galletas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.255 43.567)', 'ESP', 'ESZBE', 'Foz', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.136 36.296)', 'ESP', 'ESZEA', 'Conil', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.815 28.18)', 'ESP', 'ESZFJ', 'Guía de Isora', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.328 37.205)', 'ESP', 'ESZGA', 'Isla Cristina', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-15.767 27.816)', 'ESP', 'ESZIH', 'Mogán', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.016 41.267)', 'ESP', 'ESZJM', 'Pineda', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.821 42.396)', 'ESP', 'ESZJN', 'Portonovo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.633 42.7)', 'ESP', 'ESZJU', 'Pontecesures', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.959 37.184)', 'ESP', 'ESZJY', 'Punta Umbria', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.627 41.602)', 'ESP', 'ESZME', 'San Pol de Mar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.452 28.498)', 'ESP', 'ESZMF', 'Sauzal', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.421 28.512)', 'ESP', 'ESZMG', 'El Pris - Tacoronte', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.945 43.409)', 'ESP', 'ESZOD', 'Plencia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-13.863 28.74)', 'ESP', 'ESZRJ', 'Corralejo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.8 63)', 'FIN', 'FIAJI', 'Alajärvi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.225 65.674)', 'FIN', 'FIAJO', 'Ajos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.515 59.888)', 'FIN', 'FIBAG', 'Baggö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.115 62.976)', 'FIN', 'FIBER', 'Bergö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.05 60.417)', 'FIN', 'FIBRA', 'Brändö', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.517 60.017)', 'FIN', 'FIDLS', 'Taalintehdas (Dalsbruk)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.467 60.067)', 'FIN', 'FIDRA', 'Dragsfjärd', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(19.617 60.217)', 'FIN', 'FIECK', 'Eckerö', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.733 61.2)', 'FIN', 'FIEJO', 'Eurajoki (Euraåminne)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.029 64.408)', 'FIN', 'FIELA', 'Elävisluoto', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.633 68.383)', 'FIN', 'FIENF', 'Enontekiö (Enontekis)', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.917 62.083)', 'FIN', 'FIENK', 'Enonkoski', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.65 60.2)', 'FIN', 'FIESP', 'Espoo (Esbo)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(20.017 60.233)', 'FIN', 'FIFAR', 'Färjsundet', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.617 60.817)', 'FIN', 'FIFSF', 'Forssa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.417 59.95)', 'FIN', 'FIGUL', 'Gullö', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.317 63.75)', 'FIN', 'FIHAA', 'Haapajärvi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.833 65)', 'FIN', 'FIHAO', 'Hailuoto', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.033 61.2)', 'FIN', 'FIHEA', 'Heinola', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.985 60.183)', 'FIN', 'FIHEL', 'Helsinki (Helsingfors)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.555 65.736)', 'FIN', 'FIHHT', 'Hahtisaari', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.633 64.072)', 'FIN', 'FIHIM', 'Himanka', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.948 59.843)', 'FIN', 'FIHKL', 'Hangonkylä', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(22.95 59.823)', 'FIN', 'FIHKO', 'Hanko (Hangö)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.613 60.499)', 'FIN', 'FIHKP', 'Hakkenpää', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.2 60.567)', 'FIN', 'FIHMN', 'Hamina (Fredrikshamn)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.354 60.321)', 'FIN', 'FIHSS', 'Hessund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.183 63.55)', 'FIN', 'FIIIS', 'Iisalmi (Idensalmi)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.067 61.767)', 'FIN', 'FIIKA', 'Ikaalinen (Ikalis)', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.75 61.167)', 'FIN', 'FIIMA', 'Imatra', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.019 68.909)', 'FIN', 'FIINA', 'Inari', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.923 60.013)', 'FIN', 'FIINK', 'Ingå Fiskehamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.051 67.896)', 'FIN', 'FIJJR', 'Jerisjärvi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(29.767 62.6)', 'FIN', 'FIJOE', 'Joensuu', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(28.483 61.1)', 'FIN', 'FIJOU', 'Joutseno', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.733 62.25)', 'FIN', 'FIJYV', 'Jyväskylä', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.348 61.944)', 'FIN', 'FIKA2', 'Kasala', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.217 62.34)', 'FIN', 'FIKAS', 'Kaskö (Kaskinen)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.653 60.431)', 'FIN', 'FIKEH', 'Keihässalmi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.433 60.117)', 'FIN', 'FIKKI', 'Kirkkonummi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.719 65.637)', 'FIN', 'FIKKK', 'Karsikko', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.433 65.774)', 'FIN', 'FIKKM', 'Kaakamoniemi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.483 60.506)', 'FIN', 'FIKLA', 'Klamila', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.09 63.303)', 'FIN', 'FIKLB', 'Klobbskat', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.062 60.181)', 'FIN', 'FIKLD', 'Käldinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.521 65.789)', 'FIN', 'FIKMJ', 'Kemijokisuu', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.413 59.922)', 'FIN', 'FIKNA', 'Kasnäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.917 63.9)', 'FIN', 'FIKNS', 'Kannus', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.117 63.833)', 'FIN', 'FIKOK', 'Kokkola (Karleby)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.683 64.217)', 'FIN', 'FIKON', 'Konikarvo/Rahja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.225 65.766)', 'FIN', 'FIKOT', 'Koivuluodonletto', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.935 60.08)', 'FIN', 'FIKOV', 'Korrvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.482 61.851)', 'FIN', 'FIKRA', 'Krooka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.353 63.043)', 'FIN', 'FIKRO', 'Kronvik', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.23 62.161)', 'FIN', 'FIKRS', 'Kristiinankaupunki (Kristinestad)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.5 68.45)', 'FIN', 'FIKRV', 'Kaaresuvanto', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(30.117 62.1)', 'FIN', 'FIKTQ', 'Kitee', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.683 62.883)', 'FIN', 'FIKUO', 'Kuopio', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.956 60.459)', 'FIN', 'FIKUU', 'Kuusinen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.323 65.113)', 'FIN', 'FIKVN', 'Kiviniemi/Kello', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(41.667 60.867)', 'FIN', 'FILAI', 'Laitila', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.722 66.566)', 'FIN', 'FILEH', 'Lehtola', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.408 64.668)', 'FIN', 'FILLO', 'Lapaluoto', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.463 61.433)', 'FIN', 'FILNK', 'Lankoori', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.718 67.822)', 'FIN', 'FILOK', 'Lokka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.05 62.967)', 'FIN', 'FILPA', 'Lapua (Lappo)', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.48 60.483)', 'FIN', 'FILPN', 'Laupunen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.183 61.05)', 'FIN', 'FILPP', 'Lappeenranta (Villmanstrand)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.327 65.795)', 'FIN', 'FILVN', 'Laivaniemi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.3 63.15)', 'FIN', 'FIMAA', 'Maaninka', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.56 65.041)', 'FIN', 'FIMAR', 'Marjaniemi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.267 61.683)', 'FIN', 'FIMIK', 'Mikkeli (Sankt Michel)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.76 65.667)', 'FIN', 'FIMKS', 'Maksniemi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.276 65.212)', 'FIN', 'FIMRT', 'Martinniemi', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(28.415 66.094)', 'FIN', 'FIMSM', 'Mourusalmi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.137 62.472)', 'FIN', 'FINAM', 'Öskata/Nämpnäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.8 60.45)', 'FIN', 'FINJI', 'Nurmijärvi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(29.167 63.533)', 'FIN', 'FINUR', 'Nurmes', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.95 63.9)', 'FIN', 'FINVA', 'Nivala', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.633 61.467)', 'FIN', 'FIPIR', 'Pirkkala (Birkala)', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.281 61)', 'FIN', 'FIPKT', 'Pitkäluoto', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.433 59.983)', 'FIN', 'FIPOA', 'Porkkala (Porkala)', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.8 61.483)', 'FIN', 'FIPOR', 'Pori (Björneborg)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.783 63.683)', 'FIN', 'FIPRS', 'Pietarsaari (Jacobstad)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.667 60.4)', 'FIN', 'FIPRV', 'Porvoo (Borgå)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.483 64.683)', 'FIN', 'FIRAA', 'Raahe (Brahestad)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.482 61.142)', 'FIN', 'FIRAU', 'Rauma (Raumo)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.459 61.605)', 'FIN', 'FIREP', 'Reposaari', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.202 65.007)', 'FIN', 'FIRIU', 'Riutunkari', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.956 60.345)', 'FIN', 'FIROL', 'Röölä', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.417 64.65)', 'FIN', 'FIRTR', 'Rautaruukki', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.25 62.7)', 'FIN', 'FISAI', 'Saarijärvi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.667 63.083)', 'FIN', 'FISII', 'Siilinjärvi', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.878 67.994)', 'FIN', 'FISIL', 'Siltaharju', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.405 66.681)', 'FIN', 'FISKK', 'Sirkkakoski', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.85 62.567)', 'FIN', 'FISLI', 'Suolahti', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.091 66.092)', 'FIN', 'FISMJ', 'Simojärvi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.901 65.652)', 'FIN', 'FISMN', 'Simoniemi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.919 60.46)', 'FIN', 'FISRK', 'Särkänsalmi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.403 60.977)', 'FIN', 'FISTO', 'Santtio', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.766 60.063)', 'FIN', 'FISUN', 'Sundvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.9 61.867)', 'FIN', 'FISVL', 'Savonlinna (Nyslott)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.433 59.967)', 'FIN', 'FITAI', 'Tammisaari (Ekenäs)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.613 60.499)', 'FIN', 'FITUO', 'Tuomarainen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.436 60.104)', 'FIN', 'FIUDI', 'Uddis', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(30.233 62.9)', 'FIN', 'FIUIM', 'Uimaharju', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.389 60.797)', 'FIN', 'FIUKI', 'Suukari/Uusikaupunki', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.277 63.312)', 'FIN', 'FIUKP', 'Uusikaarlepyy (Nykarleby)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.255 60.402)', 'FIN', 'FIVKO', 'Valkom (Valko)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.9 62.317)', 'FIN', 'FIVRK', 'Varkaus', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.808 64.89)', 'FIN', 'FIVRS', 'Varessäikkä', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.646 68.786)', 'FIN', 'FIVSK', 'Veskoniemi', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.251 60.51)', 'FIN', 'FIVSN', 'Vuosnainen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.117 65.552)', 'FIN', 'FIVTK', 'Vatunginnokka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.553 63.085)', 'FIN', 'FIWAS', 'Vasklot (Vaskiluoto)', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(178.442 -18.142)', 'FJI', 'FJSUV', 'Suva', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-57.851 -51.692)', 'FLK', 'FKPSY', 'Port Stanley', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-57.8 -51.667)', 'FLK', 'FKPWI', 'PORT WILLIAM', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.814 62.244)', 'FRO', 'FOFUG', 'FUGLEFJORD', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.522 62.298)', 'FRO', 'FOHVN', 'Hvannasund', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.579 62.224)', 'FRO', 'FOKVI', 'KLAKSVIK', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.706 62.211)', 'FRO', 'FOLVK', 'Leirvik', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.741 62.198)', 'FRO', 'FONDG', 'Nordregote', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.717 62.117)', 'FRO', 'FORVK', 'RUNAVIK', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.75 62.117)', 'FRO', 'FOSTR', 'STRENDUR', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-6.767 62.017)', 'FRO', 'FOTHO', 'Thorshavn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.733 62.1)', 'FRO', 'FOTOF', 'TOFTIR', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.8 61.55)', 'FRO', 'FOTVO', 'TVOEROYRI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.817 61.467)', 'FRO', 'FOVAG', 'MIDVAGUR', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.172 62.151)', 'FRO', 'FOVES', 'VESTMANHAVN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.25 49.67)', 'FRA', 'FR2GX', 'Barfleur', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.207 45.842)', 'FRA', 'FR5TB', 'Saint-Trojan-les-Bains', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.58 49.33)', 'FRA', 'FRAA2', 'Asnelles', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1 44.68)', 'FRA', 'FRAA4', 'Audenge', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.03 48.8)', 'FRA', 'FRAC5', 'L''Arcouëst / Cornec', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.1 44.743)', 'FRA', 'FRADB', 'Andernos-les-Bains', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.833 47.633)', 'FRA', 'FRADN', 'Arradon', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.517 46.208)', 'FRA', 'FRAER', 'Ars-en-Ré', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.467 43.317)', 'FRA', 'FRAGD', 'Agde', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.533 43.217)', 'FRA', 'FRAIS', 'Cassis', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.733 41.917)', 'FRA', 'FRAJA', 'Ajaccio', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.08 46.07)', 'FRA', 'FRAJJ', 'Angoulins', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.017 42.55)', 'FRA', 'FRALM', 'Argelès-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.033 43.55)', 'FRA', 'FRAMA', 'Saint-Chamas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(7.167 43.65)', 'FRA', 'FRANT', 'Antibes', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.48 43.48)', 'FRA', 'FRAOO', 'Adour', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.575 49.042)', 'FRA', 'FRAOV', 'Agon-Coutainville', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.417 44.95)', 'FRA', 'FRAQU', 'Asques', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.77 48.5)', 'FRA', 'FRAR5', 'Argenton', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.164 44.659)', 'FRA', 'FRARC', 'Arcachon', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.3 46.333)', 'FRA', 'FRAS3', 'L''Aiguillon-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.533 48.017)', 'FRA', 'FRAUD', 'Audierne', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.367 48.683)', 'FRA', 'FRAVR', 'Avranches', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.57 48.58)', 'FRA', 'FRAWR', 'Aber Wrac''h', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.367 47.517)', 'FRA', 'FRAZR', 'Arzal', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.667 47.2)', 'FRA', 'FRBAI', 'Basse-Indre', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.483 43.483)', 'FRA', 'FRBAY', 'Bayonne', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.05 46.92)', 'FRA', 'FRBB4', 'Baie de Bourgneuf', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.037 42.791)', 'FRA', 'FRBCJ', 'Le Barcarès', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.592 43.439)', 'FRA', 'FRBDD', 'Bidart', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.65 45.18)', 'FRA', 'FRBE5', 'La Belle Etoile', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.483 48.4)', 'FRA', 'FRBES', 'Brest', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.63 47.82)', 'FRA', 'FRBG4', 'Brigneau', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.28 48.84)', 'FRA', 'FRBG5', 'Buguélès', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.07 45.85)', 'FRA', 'FRBG6', 'Brouage', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.317 48.667)', 'FRA', 'FRBGG', 'Brignogan-Plage', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.98 48.75)', 'FRA', 'FRBH3', 'Bréhec', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.13 45.85)', 'FRA', 'FRBH4', 'Bourcefranc-le-Chapus', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.48 47.53)', 'FRA', 'FRBI3', 'Billiers', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.15 47.35)', 'FRA', 'FRBI4', 'Belle-Île-en-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.45 42.7)', 'FRA', 'FRBIA', 'Bastia', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.56 43.483)', 'FRA', 'FRBIQ', 'Biarritz', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.8 43.07)', 'FRA', 'FRBL5', 'Le Brusc', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.02 47.9)', 'FRA', 'FRBM5', 'Beg Meil', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.23 48.8)', 'FRA', 'FRBM6', 'Beg Melen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.42 49.33)', 'FRA', 'FRBM7', 'Bernières-sur-Mer', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-1.52 48.92)', 'FRA', 'FRBM8', 'Bricqueville-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.483 47.276)', 'FRA', 'FRBMR', 'Batz-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.83 48.6)', 'FRA', 'FRBN2', 'Binic', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.23 46.97)', 'FRA', 'FRBN4', 'Le Bonhomme', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.95 47.63)', 'FRA', 'FRBO2', 'Bono', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.567 44.833)', 'FRA', 'FRBOD', 'Bordeaux', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.617 50.717)', 'FRA', 'FRBOL', 'Boulogne-sur-Mer', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.167 41.392)', 'FRA', 'FRBON', 'Bonifacio', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.67 48.03)', 'FRA', 'FRBR2', 'Bestrée', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.07 44.63)', 'FRA', 'FRBR5', 'La Barbotière', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2 46.97)', 'FRA', 'FRBS3', 'Les Brochets', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.55 45.033)', 'FRA', 'FRBSG', 'Bourg-sur-Gironde', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.583 49.067)', 'FRA', 'FRBVM', 'Blainville-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.65 45.117)', 'FRA', 'FRBYE', 'Blaye', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.67 48.03)', 'FRA', 'FRBZB', 'Brézellec', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.6 48.83)', 'FRA', 'FRC2H', 'Chausey', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.13 44.78)', 'FRA', 'FRCA5', 'Le Canon', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.07 44.63)', 'FRA', 'FRCA7', 'Le Canal', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.6 48.283)', 'FRA', 'FRCAM', 'Camaret-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.483 50.183)', 'FRA', 'FRCAY', 'Cayeux-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.433 43.633)', 'FRA', 'FRCBT', 'Capbreton', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.02 47.9)', 'FRA', 'FRCC5', 'Cap Coz', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.95 47.05)', 'FRA', 'FRCE9', 'Le Collet', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(7.017 43.55)', 'FRA', 'FRCEQ', 'Cannes', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.65 49.65)', 'FRA', 'FRCER', 'Cherbourg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.13 44.78)', 'FRA', 'FRCFP', 'Cap-Ferret', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.35 49.183)', 'FRA', 'FRCFR', 'Caen', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.26 48.632)', 'FRA', 'FRCG2', 'St-Cast-le-Guildo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.58 42.13)', 'FRA', 'FRCG3', 'Cargèse', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2 46.97)', 'FRA', 'FRCH9', 'Les Champs', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.152 49.651)', 'FRA', 'FRCIF', 'Cap-d''Antifer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.1 46.283)', 'FRA', 'FRCJH', 'Charron', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.13 44.78)', 'FRA', 'FRCL6', 'Claouey', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.1 48.67)', 'FRA', 'FRCL7', 'Cléder', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.757 42.568)', 'FRA', 'FRCLY', 'Calvi', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.5 42.33)', 'FRA', 'FRCM5', 'Campoloro', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.4 47.48)', 'FRA', 'FRCM6', 'Camoël', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.45 49.33)', 'FRA', 'FRCM8', 'Courseulles-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.5 45.21)', 'FRA', 'FRCM9', 'St-Christoly-Medoc', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.35 42.95)', 'FRA', 'FRCN5', 'Centuri', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.23 44.07)', 'FRA', 'FRCN6', 'Contis', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.917 47.867)', 'FRA', 'FRCOC', 'Concarneau', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.77 48.37)', 'FRA', 'FRCQ2', 'Le Conquet', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.833 50.95)', 'FRA', 'FRCQF', 'Calais', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(6.083 43.083)', 'FRA', 'FRCQI', 'Carqueiranne', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.4 49.7)', 'FRA', 'FRCQV', 'Cosqueville', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.008 47.617)', 'FRA', 'FRCQX', 'Crach', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.042 43.331)', 'FRA', 'FRCR2', 'Carro', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.917 48.667)', 'FRA', 'FRCRN', 'Carantec', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.75 49.38)', 'FRA', 'FRCRT', 'Carteret', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.03 44.7)', 'FRA', 'FRCS9', 'Cassy', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-1.05 45.73)', 'FRA', 'FRCT4', 'Chaillevette', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.233 49.3)', 'FRA', 'FRCTA', 'Carentan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.733 47.217)', 'FRA', 'FRCUN', 'Couëron', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.883 47.283)', 'FRA', 'FRCXY', 'Cordemais', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.117 47.867)', 'FRA', 'FRDBE', 'Bénodet', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.57 48.85)', 'FRA', 'FRDBI', 'Donville-les-Bains', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.65 49.32)', 'FRA', 'FRDEI', 'Denneville', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.58 47.52)', 'FRA', 'FRDGD', 'Damgan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.55 48.6)', 'FRA', 'FRDHA', 'Dahouët', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.867 49.533)', 'FRA', 'FRDIL', 'Diélette', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(2.367 51.05)', 'FRA', 'FRDKK', 'Dunkerque', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.067 48.633)', 'FRA', 'FRDNR', 'Dinard', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.083 49.933)', 'FRA', 'FRDPE', 'Dieppe', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.333 48.1)', 'FRA', 'FRDRZ', 'Douarnenez', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.1 49.283)', 'FRA', 'FRDSM', 'Dives-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.75 48.48)', 'FRA', 'FRDUT', 'Lanildut', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.38 46.03)', 'FRA', 'FRDUU', 'Le Douhet', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.2 47.65)', 'FRA', 'FRE29', 'Etel', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.983 43.033)', 'FRA', 'FREBQ', 'Etang de Bages-Sigean', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(4.017 43.617)', 'FRA', 'FREDH', 'Etang de Mauguio', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.23 44.92)', 'FRA', 'FREEA', 'Estuaire de la Gironde', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.053 43.072)', 'FRA', 'FREGL', 'Etang de l''Ayrolle', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.05 46.92)', 'FRA', 'FREL2', 'L''Epoids', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.65 50.517)', 'FRA', 'FRELS', 'Étaples', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(6.117 43.117)', 'FRA', 'FREMR', 'Porquerolles', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.55 47.22)', 'FRA', 'FREOE', 'Estuaire de la Loire', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.2 49.7)', 'FRA', 'FRET2', 'Étretat', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.167 43.472)', 'FRA', 'FRETB', 'Berre-l''Étang', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(7.5 43.783)', 'FRA', 'FRETN', 'Menton', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.75 43.45)', 'FRA', 'FREVT', 'Etang du Prévost', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.6 43.417)', 'FRA', 'FREZE', 'Mèze', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.58 49.1)', 'FRA', 'FRF2N', 'Gouville-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.45 49.68)', 'FRA', 'FRF2V', 'Fermanville', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-61.06 14.59)', 'FRA', 'FRFDE', 'Fort-de-France', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.367 49.75)', 'FRA', 'FRFEC', 'Fécamp', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3.75 43.45)', 'FRA', 'FRFRO', 'Frontignan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.1 45.983)', 'FRA', 'FRFUA', 'Fouras', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.47 47.63)', 'FRA', 'FRG2X', 'Groix', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.58 43.43)', 'FRA', 'FRGB2', 'Guéthary', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.56 46.41)', 'FRA', 'FRGC2', 'St Gilles-Croix-de-Vie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.05 49.38)', 'FRA', 'FRGCP', 'Grandcamp', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.27 48.63)', 'FRA', 'FRGE2', 'Le Guildo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.13 46.88)', 'FRA', 'FRGE3', 'Le Grand Etier de Sallertaine', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.6 48.833)', 'FRA', 'FRGFR', 'Granville', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.28 49.47)', 'FRA', 'FRGG2', 'Les Gougins, Saint-Marcouf', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(6.12 43.12)', 'FRA', 'FRGIN', 'Giens', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(7.077 43.568)', 'FRA', 'FRGJE', 'Golfe Juan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.067 44.633)', 'FRA', 'FRGMS', 'Gujan-Mestras', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.33 47.8)', 'FRA', 'FRGN3', 'Saint-Guenole', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.333 45.978)', 'FRA', 'FRGO2', 'St Georges d''Oleron', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.067 48.817)', 'FRA', 'FRGPA', 'Loguivy-Plougras', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(2.11 51)', 'FRA', 'FRGPO', 'Grand-Fort-Philippe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.13 44.78)', 'FRA', 'FRGQE', 'Grand Piquey', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.93 49.71)', 'FRA', 'FRGR5', 'Goury', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.48 48.68)', 'FRA', 'FRGTN', 'Genêts', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.654 43.449)', 'FRA', 'FRGUZ', 'Bouzigues', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.35 47.68)', 'FRA', 'FRGV5', 'Gâvres', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.17 47.13)', 'FRA', 'FRGV6', 'Gravette', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.283 47.783)', 'FRA', 'FRGVC', 'Guilvinec', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.13 44.78)', 'FRA', 'FRHB3', 'L''Herbe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.586 47.796)', 'FRA', 'FRHCN', 'Clohars-Carnoët', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.88 47.33)', 'FRA', 'FRHDO', 'Hoedic', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.775 43.358)', 'FRA', 'FRHEN', 'Hendaye', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.017 44.633)', 'FRA', 'FRHHL', 'Le Teich', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.23 47.01)', 'FRA', 'FRHID', 'L''Herbaudiere', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.01 48.745)', 'FRA', 'FRHMX', 'Île-de-Batz', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.233 49.417)', 'FRA', 'FRHON', 'Honfleur', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.95 47.38)', 'FRA', 'FRHOT', 'Île-d''Houat', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.47 47.63)', 'FRA', 'FRHR3', 'Locmaria', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.53 48.98)', 'FRA', 'FRHSA', 'Hauteville-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.083 46.067)', 'FRA', 'FRHTP', 'Châtelaillon-Plage', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.2 45.9)', 'FRA', 'FRHTR', 'Le Château-d''Oléron', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.83 47.58)', 'FRA', 'FRIDH', 'Îles du Golfe du Morbihan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.18 46.02)', 'FRA', 'FRIDX', 'Île-d''Aix', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.7 47.833)', 'FRA', 'FRIEC', 'Riec-sur-Bélon', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3 48.83)', 'FRA', 'FRIHR', 'Île-de-Bréhat', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.936 42.64)', 'FRA', 'FRILR', 'L''Île-Rousse', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.52 48.77)', 'FRA', 'FRIRR', 'Île-Grande', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.099 49.319)', 'FRA', 'FRISM', 'Isigny-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.18 48.6)', 'FRA', 'FRJAM', 'Saint-Jacut-de-la-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.13 44.78)', 'FRA', 'FRJJT', 'Les Jacquets', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.23 48.33)', 'FRA', 'FRKOC', 'Kérascouët', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.43 47.73)', 'FRA', 'FRKOK', 'Kerroch', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.37 48.65)', 'FRA', 'FRKRE', 'Kerlouan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.5 48.6)', 'FRA', 'FRKSI', 'Koréjou / Saint-Michel', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.5 48.6)', 'FRA', 'FRKSL', 'Kastellac''h', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.33 47.8)', 'FRA', 'FRKTK', 'Kérity', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.78 47.82)', 'FRA', 'FRKUK', 'Kerdruc', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.467 48.733)', 'FRA', 'FRLAI', 'Lannion', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.9 47.58)', 'FRA', 'FRLB3', 'Larmor-Baden', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.32 45.95)', 'FRA', 'FRLC5', 'La Cotinière', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.6 43.167)', 'FRA', 'FRLCT', 'La Ciotat', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.121 46.886)', 'FRA', 'FRLDM', 'La Barre-de-Monts', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.57 48.58)', 'FRA', 'FRLE6', 'Landeda', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.133 49.5)', 'FRA', 'FRLEH', 'Le Havre', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.607 44.202)', 'FRA', 'FRLEP', 'Le Passage', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.1 48.767)', 'FRA', 'FRLEZ', 'Lézardrieux', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.09 44.48)', 'FRA', 'FRLF2', 'Lège-Cap-Ferret', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.18 46.95)', 'FRA', 'FRLF3', 'La Fosse', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.333 46.183)', 'FRA', 'FRLFK', 'La Flotte/Île de Ré', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.509 48.285)', 'FRA', 'FRLFR', 'Le Frêt', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.26 48.739)', 'FRA', 'FRLFY', 'La Fresnaye-au-Sauvage', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(4.142 43.533)', 'FRA', 'FRLGR', 'Le Grau-du-Roi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.07 44.63)', 'FRA', 'FRLHH', 'La Hume', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.27 47.82)', 'FRA', 'FRLI4', 'Lechiagat', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.233 44.917)', 'FRA', 'FRLIB', 'Libourne', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.533 48.95)', 'FRA', 'FRLIV', 'Lingreville', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.033 44.7)', 'FRA', 'FRLJA', 'Lanton', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.217 47.817)', 'FRA', 'FRLKL', 'Lesconil', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.317 49.3)', 'FRA', 'FRLM2', 'Lion-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.07 44.63)', 'FRA', 'FRLM5', 'La Malle', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.78 45.28)', 'FRA', 'FRLM6', 'La Mareschale', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.33 46.72)', 'FRA', 'FRLM7', 'La Meule', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.35 49.3)', 'FRA', 'FRLM8', 'Luc-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.43 47.73)', 'FRA', 'FRLN3', 'Lomener', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.27 48.3)', 'FRA', 'FRLN4', 'Landevennec', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.37 49.32)', 'FRA', 'FRLN5', 'Langrune-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.07 44.63)', 'FRA', 'FRLO4', 'Larros', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.1 48.85)', 'FRA', 'FRLO6', 'Lanmodez', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.167 47.833)', 'FRA', 'FRLOC', 'Loctudy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.983 47.667)', 'FRA', 'FRLP2', 'Le Palais', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.38 47.7)', 'FRA', 'FRLP4', 'Larmor-Plage', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.18 49.67)', 'FRA', 'FRLPA', 'La Poterie-Cap-d''Antifer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.35 47.72)', 'FRA', 'FRLQ3', 'Locmiquelic', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.57 48.7)', 'FRA', 'FRLQ4', 'Locquemeau', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.65 48.7)', 'FRA', 'FRLQ5', 'Locquirec', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.95 47.57)', 'FRA', 'FRLR3', 'Locmariaquer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.77 48.37)', 'FRA', 'FRLR4', 'Lauberlac''h', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.52 48.77)', 'FRA', 'FRLR5', 'Landrellec', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.23 48.8)', 'FRA', 'FRLR8', 'La Roche Jaune', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.717 45.098)', 'FRA', 'FRLR9', 'Lamarque', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.15 46.167)', 'FRA', 'FRLRH', 'La Rochelle', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.367 47.75)', 'FRA', 'FRLRT', 'Lorient', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.783 46.5)', 'FRA', 'FRLSO', 'Les Sables-d''Olonne', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.367 50.067)', 'FRA', 'FRLTR', 'Le Tréport', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(5.928 43.078)', 'FRA', 'FRLU2', 'Saint-Mandrier-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.17 47.83)', 'FRA', 'FRLV4', 'Larvor', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.067 45.542)', 'FRA', 'FRLVE', 'Le Verdon-sur-Mer', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.983 47.917)', 'FRA', 'FRLZF', 'La Forêt-Fouesnant', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.117 45.817)', 'FRA', 'FRM2R', 'Marennes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.35 42.9)', 'FRA', 'FRMCI', 'Macinaggio', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.617 45.017)', 'FRA', 'FRMCQ', 'Macau', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.85 45.53)', 'FRA', 'FRMD7', 'Les Monards', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.25 47.7)', 'FRA', 'FRME2', 'Le Magouer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.95 48.4)', 'FRA', 'FRME5', 'Île de Molène', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.48 48.25)', 'FRA', 'FRMG8', 'Morgat', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.217 43.417)', 'FRA', 'FRMGN', 'Marignane', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.033 47.583)', 'FRA', 'FRMHB', 'La Trinité-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.17 47.25)', 'FRA', 'FRMI2', 'Mindin', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.93 47.25)', 'FRA', 'FRMI3', 'Le Migron', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.23 46.97)', 'FRA', 'FRMI4', 'Le Morin', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.17 47.25)', 'FRA', 'FRMI5', 'Mogueriec', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.63 47.82)', 'FRA', 'FRMI7', 'Merrien', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-1.07 44.63)', 'FRA', 'FRMM4', 'Meyran', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.3 48.32)', 'FRA', 'FRMM5', 'Moulin Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.52 48.98)', 'FRA', 'FRMM6', 'Montmartin-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.233 44.2)', 'FRA', 'FRMMZ', 'Mimizan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.95 45.57)', 'FRA', 'FRMO5', 'Meschers-sur-Gironde', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.02 47.9)', 'FRA', 'FRMO7', 'Mousterlin', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.03 45.72)', 'FRA', 'FRMR3', 'Mornac-sur-Seudre', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.781 47.207)', 'FRA', 'FRMR4', 'La Martinière', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1 46.3)', 'FRA', 'FRMRN', 'Marans', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.4 43.3)', 'FRA', 'FRMRS', 'Marseille', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.783 45.483)', 'FRA', 'FRMSG', 'Mortagne-sur-Gironde', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.05 43.4)', 'FRA', 'FRMTU', 'Martigues', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.531 43.354)', 'FRA', 'FRMWR', 'Marseillan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.833 48.583)', 'FRA', 'FRMXN', 'Morlaix', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(7.25 43.7)', 'FRA', 'FRNCE', 'Nice', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.225 47.008)', 'FRA', 'FRNOI', 'Noirmoutier-en-l''Île', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.05 43.017)', 'FRA', 'FRNOU', 'Port-la-Nouvelle', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.55 47.217)', 'FRA', 'FRNTE', 'Nantes', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.62 50.72)', 'FRA', 'FRNUO', 'Nord-Boulogne', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.05 49.8)', 'FRA', 'FROI2', 'Omonville', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.517 47.3)', 'FRA', 'FROII', 'Le Croisic', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.08 48.45)', 'FRA', 'FROS2', 'Ouessant', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.617 50.217)', 'FRA', 'FROTY', 'Le Crotoy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1 45.933)', 'FRA', 'FROUB', 'Soubise', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.25 49.283)', 'FRA', 'FROUI', 'Ouistreham', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.62 45.3)', 'FRA', 'FRP9S', 'Portes Neuves', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.5 48.6)', 'FRA', 'FRPA2', 'Plouguerneau', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.93 43.53)', 'FRA', 'FRPAF', 'Palavas-les-Flots', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.05 48.767)', 'FRA', 'FRPAI', 'Paimpol', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.75 45.2)', 'FRA', 'FRPAP', 'Pauillac', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.35 48.82)', 'FRA', 'FRPB2', 'Port-Blanc', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.7 49.333)', 'FRA', 'FRPBA', 'Portbail', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.3 48.32)', 'FRA', 'FRPBC', 'Pors Beach', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.033 47.283)', 'FRA', 'FRPBF', 'Paimboeuf', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.17 48.67)', 'FRA', 'FRPBP', 'Port du Bloscon', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.133 48.85)', 'FRA', 'FRPBY', 'Pleubian', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.5 48.6)', 'FRA', 'FRPCV', 'Porscave', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.58 47.8)', 'FRA', 'FRPD3', 'Le Pouldu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(4.983 43.4)', 'FRA', 'FRPDB', 'Port-de-Bouc', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.067 45.95)', 'FRA', 'FRPDH', 'Port-des-Barques', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.6 45.05)', 'FRA', 'FRPDW', 'Le Pain de Sucre', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.03 48.8)', 'FRA', 'FRPE3', 'Pors-Even', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.13 44.78)', 'FRA', 'FRPF2', 'Port le Four', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.9 45.4)', 'FRA', 'FRPG5', 'Port de Goulée', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.23 48.85)', 'FRA', 'FRPGC', 'Plougrescant', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.45 48.817)', 'FRA', 'FRPGR', 'Perros-Guirec', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.25 47.7)', 'FRA', 'FRPH8', 'Pors Poulhan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.37 47.95)', 'FRA', 'FRPHE', 'Penhors', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.58 49.18)', 'FRA', 'FRPI2', 'Pirou', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.13 44.78)', 'FRA', 'FRPI4', 'Piraillan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.22 47.13)', 'FRA', 'FRPI9', 'Prefailles', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-2.55 47.383)', 'FRA', 'FRPIR', 'Piriac-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.43 47.27)', 'FRA', 'FRPL4', 'Le Pouliguen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.47 47.63)', 'FRA', 'FRPL5', 'Port Lay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.8 48.7)', 'FRA', 'FRPLO', 'Plougasnou', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.72 45.47)', 'FRA', 'FRPM4', 'Port-Maubert', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.15 45.72)', 'FRA', 'FRPM5', 'La Palmyre', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.78 47.82)', 'FRA', 'FRPM6', 'Port Manec''h', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.486 48.834)', 'FRA', 'FRPMH', 'Ploumanac''h', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.098 45.996)', 'FRA', 'FRPN6', 'Port Nord', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.92 48.67)', 'FRA', 'FRPO3', 'Pont de la Corde', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.7 42.27)', 'FRA', 'FRPO4', 'Porto', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.117 42.517)', 'FRA', 'FRPOV', 'Port-Vendres', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.35 47.72)', 'FRA', 'FRPPL', 'Port-Louis', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.98 48.68)', 'FRA', 'FRPPM', 'Pempoul', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-61.54 16.23)', 'FRA', 'FRPPN', 'Pointe-a-Pitre', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.17 46.2)', 'FRA', 'FRPR2', 'Port-du-Plomb', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.7 48.55)', 'FRA', 'FRPR6', 'Portsall', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.1 47.117)', 'FRA', 'FRPRC', 'Pornic', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.9 41.667)', 'FRA', 'FRPRP', 'Propriano', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.07 44.63)', 'FRA', 'FRPS6', 'La Passerelle', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.5 48.6)', 'FRA', 'FRPS9', 'Perros', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.52 48.77)', 'FRA', 'FRPSI', 'Pors-Gelin', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(4.8 43.383)', 'FRA', 'FRPSL', 'Port-Saint-Louis-du-Rhône', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.47 47.63)', 'FRA', 'FRPT3', 'Port Tudy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.98 45.93)', 'FRA', 'FRPT4', 'Port Neuf', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.17 48.67)', 'FRA', 'FRPU4', 'Plouescat', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.13 44.78)', 'FRA', 'FRPUP', 'Petit Piquey', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.283 41.583)', 'FRA', 'FRPVO', 'Porto-Vecchio', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.03 49.9)', 'FRA', 'FRPVU', 'Pourville', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.75 47.2)', 'FRA', 'FRPXN', 'Le Pellerin', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.033 42.7)', 'FRA', 'FRPYO', 'Canet-en-Roussillon', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.98 48.75)', 'FRA', 'FRPZ3', 'Port-Lazo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.92 49.9)', 'FRA', 'FRQRU', 'Quiberville', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.117 47.483)', 'FRA', 'FRQUI', 'Quiberon', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.7 49.67)', 'FRA', 'FRQUL', 'Querqueville', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.467 48.633)', 'FRA', 'FRQUY', 'Erquy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.617 49.333)', 'FRA', 'FRR4B', 'Arromanches-les-Bains', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.7 47.83)', 'FRA', 'FRRA3', 'Rosbras', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.133 48.633)', 'FRA', 'FRRCM', 'Saint-Briac-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.983 45.933)', 'FRA', 'FRRCO', 'Rochefort', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.07 44.63)', 'FRA', 'FRRE2', 'Le Rocher', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.27 49.47)', 'FRA', 'FRRO3', 'Ravenoville', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.6 48.28)', 'FRA', 'FRRO4', 'Roscanvel', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.983 48.733)', 'FRA', 'FRROS', 'Roscoff', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.78 47.82)', 'FRA', 'FRRR2', 'Raguenes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.756 49.349)', 'FRA', 'FRRTB', 'Port-en-Bessin-Huppain', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.28 49.68)', 'FRA', 'FRRUB', 'Roubaril', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.3 48.38)', 'FRA', 'FRRV4', 'Rostiviec', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.55 49.02)', 'FRA', 'FRRVM', 'Regneville-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.033 45.633)', 'FRA', 'FRRYN', 'Royan', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(5.15 43.333)', 'FRA', 'FRRYR', 'Carry-le-Rouet', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-2.9 47.55)', 'FRA', 'FRRZN', 'Arzon', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.12 43.33)', 'FRA', 'FRS22', 'Sausset-les-Pins', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.58 48.57)', 'FRA', 'FRS29', 'Saint-Pabu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.983 45.7)', 'FRA', 'FRUCM', 'L''Eguille', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3 42.62)', 'FRA', 'FRS2C', 'Saint-Cyprien, Pyrénées-Orientales', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.37 46.2)', 'FRA', 'FRS2R', 'Saint-Martin-de-Ré', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.874 49.89)', 'FRA', 'FRSBI', 'Saint-Aubin-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.783 48.517)', 'FRA', 'FRSBK', 'Saint-Brieuc', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.37 45.18)', 'FRA', 'FRSC9', 'St Ciers-sur-Gironde', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.57 48.02)', 'FRA', 'FRSE2', 'Saint-Evette', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.03 48.7)', 'FRA', 'FRSE3', 'Santec', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.683 43.4)', 'FRA', 'FRSET', 'Sète', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.6 49.23)', 'FRA', 'FRSG9', 'Saint-Germain-sur-Ay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(6.117 43.117)', 'FRA', 'FRSH8', 'Salins d''Hyères', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.017 45.583)', 'FRA', 'FRSHE', 'Roullet-Saint-Estèphe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.85 48.03)', 'FRA', 'FRSI3', 'Île de Sein', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.98 42.77)', 'FRA', 'FRSL5', 'Saint-Laurent-de-la-Salanque', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.88 49.36)', 'FRA', 'FRSL8', 'Saint-Laurent-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.22 49.38)', 'FRA', 'FRSM5', 'Sainte-Marie-du-Mont', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.15 47.88)', 'FRA', 'FRSM6', 'Sainte-Marine', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.017 48.65)', 'FRA', 'FRSML', 'Saint-Malo', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.75 47.62)', 'FRA', 'FRSN4', 'Sene', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(2.991 42.669)', 'FRA', 'FRSNP', 'Saint-Nazaire, Pyrénées-Orientales', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.2 47.283)', 'FRA', 'FRSNR', 'Saint-Nazaire, Loire-Atlantique', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.98 47.67)', 'FRA', 'FRSO6', 'Sauzon', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.375 41.833)', 'FRA', 'FRSOZ', 'Solenzara', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.769 45.259)', 'FRA', 'FRSPH', 'Saint-Estèphe, Médoc', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.83 48.65)', 'FRA', 'FRSQ2', 'Saint-Quay-Portrieux', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(6.767 43.417)', 'FRA', 'FRSRL', 'Saint-Raphaël', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(6.633 43.267)', 'FRA', 'FRSTP', 'Saint-Tropez', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.82 45.52)', 'FRA', 'FRSU6', 'Saint-Seurin-d''Uzet', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.73 49.87)', 'FRA', 'FRSV3', 'Saint-Valery-en-Caux', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.03 45.43)', 'FRA', 'FRSV5', 'Saint-Vivien-de-Médoc', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.633 50.183)', 'FRA', 'FRSVS', 'Saint-Valéry-sur-Somme', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.449 44.993)', 'FRA', 'FRSZB', 'Saint-André-de-Cubzac', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.05 45.95)', 'FRA', 'FRSZI', 'Saint-Nazaire-sur-Charente', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.57 48.77)', 'FRA', 'FRTBD', 'Trebeurden', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.52 47.35)', 'FRA', 'FRTBE', 'La Turballe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.137 44.634)', 'FRA', 'FRTDB', 'La Teste-de-Buch', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.37 48.37)', 'FRA', 'FRTDF', 'Le Tinduff', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.8 48.7)', 'FRA', 'FRTEZ', 'Terenez', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.9 45.53)', 'FRA', 'FRTG4', 'Talmont-sur-Gironde', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.5 48.8)', 'FRA', 'FRTGT', 'Trégastel', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.06 45.48)', 'FRA', 'FRTII', 'Talais', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.083 49.367)', 'FRA', 'FRTJE', 'Trouville-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.933 43.117)', 'FRA', 'FRTLN', 'Toulon', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.55 47.22)', 'FRA', 'FRTMU', 'Trentemoult', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.36 47.36)', 'FRA', 'FRTN2', 'La Trinite', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.9 45.95)', 'FRA', 'FRTON', 'Tonnay-Charente', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.03 48.8)', 'FRA', 'FRTOO', 'Toul Broch', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.133 45.767)', 'FRA', 'FRTRB', 'La Tremblade', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-3.233 48.783)', 'FRA', 'FRTRE', 'Tréguier', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.33 48.1)', 'FRA', 'FRTRK', 'Tréboul', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.03 44.7)', 'FRA', 'FRTST', 'Taussat', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.48 47.48)', 'FRA', 'FRTT2', 'Trehiguier-en-Penestin', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.37 48.82)', 'FRA', 'FRTT3', 'Trélévern', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.17 47.83)', 'FRA', 'FRTTU', 'Tudy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.85 47.85)', 'FRA', 'FRTVG', 'Trévignon', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.139 44.767)', 'FRA', 'FRTWA', 'Arès', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.7 48.55)', 'FRA', 'FRTZM', 'Tremazan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.175 49.415)', 'FRA', 'FRUAT', 'Utah Beach', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.083 49.433)', 'FRA', 'FRURO', 'Rouen', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3.085 42.527)', 'FRA', 'FRURU', 'Collioure', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.033 42.917)', 'FRA', 'FRUTE', 'Leucate', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.133 42.483)', 'FRA', 'FRUYR', 'Banyuls-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.85 48.683)', 'FRA', 'FRV35', 'Cancale', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(7.317 43.7)', 'FRA', 'FRVFM', 'Villefranche-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.31 47.48)', 'FRA', 'FRVH2', 'St-Vaast-la-Hougue', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.13 44.78)', 'FRA', 'FRVI2', 'La Vigne', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.6 49.85)', 'FRA', 'FRVM3', 'Veulettes-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.78 48.6)', 'FRA', 'FRVM6', 'Le Vivier-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.75 47.667)', 'FRA', 'FRVNE', 'Vannes', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(6.367 43.133)', 'FRA', 'FRVNO', 'Le Lavandou', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.283 43.25)', 'FRA', 'FRVP8', 'Valras-Plage', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.8 49.87)', 'FRA', 'FRVR4', 'Veules-les-Roses', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.13 49.4)', 'FRA', 'FRVR5', 'Villerville', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.53 49.33)', 'FRA', 'FRVRU', 'Ver-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.903 49.375)', 'FRA', 'FRVS9', 'Vierville-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.67 45.35)', 'FRA', 'FRVZ2', 'Vitrezay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.083 43.1)', 'FRA', 'FRWGE', 'Gruissan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.683 45.05)', 'FRA', 'FRWWS', 'Soussans', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.75 43.133)', 'FRA', 'FRXBD', 'Bandol', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(70.218 -49.352)', 'FRA', 'FRXFK', 'Port-aux-Français', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(4.43 43.45)', 'FRA', 'FRXSR', 'Saintes-Maries-de-la-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.9 43.08)', 'FRA', 'FRYNE', 'La Seyne-sur-Mer', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(5.8 43.117)', 'FRA', 'FRYNR', 'Sanary-sur-Mer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.33 46.71)', 'FRA', 'FRYPJ', 'Yeu port / Joinville', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.767 47.533)', 'FRA', 'FRYSZ', 'Sarzeau', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.47 48.73)', 'FRA', 'FRYU3', 'Le Yaudet', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.32 49.73)', 'FRA', 'FRYYO', 'Yport', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.983 47.667)', 'FRA', 'FRZEG', 'Auray', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.767 48.45)', 'FRA', 'FRZEU', 'Lampaul-Plouarzel', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.3 42.683)', 'FRA', 'FRZFB', 'Saint-Florent', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.667 43.383)', 'FRA', 'FRZJZ', 'Saint-Jean-de-Luz', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.264 52.243)', 'GBR', 'GBABA', 'Aberaeron', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.079 57.143)', 'GBR', 'GBABD', 'Aberdeen', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.046 52.544)', 'GBR', 'GBABF', 'Aberdyfi (Aberdovey)', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.117 55.883)', 'GBR', 'GBABJ', 'Saint Abbs', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.05 52.717)', 'GBR', 'GBABW', 'Barmouth', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.317 58.267)', 'GBR', 'GBACB', 'Back', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.367 58.033)', 'GBR', 'GBACE', 'Achiltibuie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.067 57.1)', 'GBR', 'GBACV', 'Cove, Aberdeen', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-4.712 52.805)', 'GBR', 'GBADR', 'Aberdaron', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.777 56.717)', 'GBR', 'GBAEN', 'Salen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.911 56.046)', 'GBR', 'GBAET', 'Ardentinny', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.602 54.26)', 'GBR', 'GBAGL', 'Ardglass', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.375 60.283)', 'GBR', 'GBAIT', 'Aith', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.067 58.567)', 'GBR', 'GBAKL', 'Auckengill', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.6 52.15)', 'GBR', 'GBALB', 'Aldeburgh', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.799 56.114)', 'GBR', 'GBALL', 'Alloa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.583 55.333)', 'GBR', 'GBAMB', 'Amble', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.094 56.687)', 'GBR', 'GBAMN', 'Ardnamurchan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.334 53.412)', 'GBR', 'GBAMW', 'Amlwch', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.896 54.108)', 'GBR', 'GBANG', 'Annalong', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.265 54.987)', 'GBR', 'GBANN', 'Annan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.701 56.222)', 'GBR', 'GBANS', 'Anstruther', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.6 50.667)', 'GBR', 'GBAOT', 'Abbotsbury', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.2 51.05)', 'GBR', 'GBAPP', 'Appledore', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.815 57.433)', 'GBR', 'GBAPS', 'Applecross', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.583 56.556)', 'GBR', 'GBARB', 'Arbroath', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.82 55.641)', 'GBR', 'GBARD', 'Ardrossan', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.843 56.91)', 'GBR', 'GBARG', 'Arisaig', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.448 56.016)', 'GBR', 'GBASG', 'Ardrishaig', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.865 57.098)', 'GBR', 'GBATS', 'Sleat', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.567 57.833)', 'GBR', 'GBAUL', 'Gruinard - Aultbea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.167 57.567)', 'GBR', 'GBAVC', 'Avoch', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.06 50.704)', 'GBR', 'GBAXO', 'Axmouth', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.633 55.467)', 'GBR', 'GBAYR', 'Ayr', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.083 52.417)', 'GBR', 'GBAYW', 'Aberystwyth', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.7 54.65)', 'GBR', 'GBBAN', 'Bangor, Co. Down', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.65 50.733)', 'GBR', 'GBBAZ', 'Barton-on-Sea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.267 57.45)', 'GBR', 'GBBBC', 'Benbecula', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.3 56.517)', 'GBR', 'GBBCE', 'Barcaldine', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.361 55.764)', 'GBR', 'GBBCH', 'Bruichladdich', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.667 52.967)', 'GBR', 'GBBCS', 'Brancaster Staithe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.883 57.233)', 'GBR', 'GBBDF', 'Broadford, Isle of Skye', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.133 55.567)', 'GBR', 'GBBDI', 'Brodick, Isle of Arran', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.443 51.358)', 'GBR', 'GBBDT', 'Broadstairs', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.07 54.159)', 'GBR', 'GBBDZ', 'Bardsea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.933 54.583)', 'GBR', 'GBBEL', 'Belfast', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.533 57.667)', 'GBR', 'GBBFF', 'Banff', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.2 54.267)', 'GBR', 'GBBFU', 'Broughton-in-Furness', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.167 53.267)', 'GBR', 'GBBGL', 'Bagillt', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.45 54.5)', 'GBR', 'GBBHB', 'Ballyhalbert', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.217 51.017)', 'GBR', 'GBBID', 'Bideford', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.017 52.95)', 'GBR', 'GBBLC', 'Blakeney', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.911 57.755)', 'GBR', 'GBBLI', 'Balintore', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.05 53.817)', 'GBR', 'GBBLK', 'Blackpool', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.79 54.849)', 'GBR', 'GBBLR', 'Ballylumford', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.033 51.8)', 'GBR', 'GBBLS', 'BrightlIngsea', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.514 55.121)', 'GBR', 'GBBLY', 'Blyth', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.071 55.843)', 'GBR', 'GBBMO', 'Burnmouth', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.117 53.3)', 'GBR', 'GBBMR', 'Beaumaris', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-1.581 55.421)', 'GBR', 'GBBMX', 'Boulmer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.067 51.083)', 'GBR', 'GBBND', 'Barnstaple', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.117 53.233)', 'GBR', 'GBBNG', 'Bangor, Gwynedd', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.183 51.1)', 'GBR', 'GBBNN', 'Braunton', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.008 55.099)', 'GBR', 'GBBNR', 'Ballantrae', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.833 51.617)', 'GBR', 'GBBOC', 'Burnham-on-Crouch', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0 52.983)', 'GBR', 'GBBOS', 'Boston', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.25 51.683)', 'GBR', 'GBBPT', 'Burry Port', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.633 55.55)', 'GBR', 'GBBQX', 'Beadnell', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.833 58.017)', 'GBR', 'GBBRJ', 'Brora', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.403 57.009)', 'GBR', 'GBBRR', 'Barra', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.583 51.45)', 'GBR', 'GBBRS', 'Bristol', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.208 54.095)', 'GBR', 'GBBRT', 'BridlIngton', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.067 52.967)', 'GBR', 'GBBRV', 'Barrow', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.001 51.13)', 'GBR', 'GBBRW', 'Bridgwater', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.5 50.383)', 'GBR', 'GBBRX', 'Brixham', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.7 50.683)', 'GBR', 'GBBSC', 'Boscastle', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.136 50.819)', 'GBR', 'GBBSH', 'Brighton', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.683 50.783)', 'GBR', 'GBBSI', 'Bognor Regis', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.817 60.75)', 'GBR', 'GBBSN', 'Baltasound', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.517 54.433)', 'GBR', 'GBBSS', 'Borrowstowness', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.567 50.333)', 'GBR', 'GBBSX', 'Beesands', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.217 56.067)', 'GBR', 'GBBTL', 'Burntisland', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.95 57.667)', 'GBR', 'GBBUC', 'Buckie', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.55 50.833)', 'GBR', 'GBBUD', 'Bude', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.3 50.867)', 'GBR', 'GBBUE', 'Bursledon', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.917 58.85)', 'GBR', 'GBBUF', 'Burray', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.483 57.7)', 'GBR', 'GBBUH', 'Burghead', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.35 60.389)', 'GBR', 'GBBVO', 'Burravoe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.6 56.283)', 'GBR', 'GBBVR', 'Balvicar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.091 50.697)', 'GBR', 'GBBXX', 'Beer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.241 55.207)', 'GBR', 'GBBYC', 'Ballycastle', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.35 55.233)', 'GBR', 'GBBYP', 'Ballintoy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.2 57.183)', 'GBR', 'GBCAB', 'Carbost', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.219 60.401)', 'GBR', 'GBCAF', 'Collafirth', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6 54.983)', 'GBR', 'GBCAH', 'Carnlough', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.567 51.517)', 'GBR', 'GBCAN', 'Canvey Island', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.65 52.083)', 'GBR', 'GBCAR', 'Cardigan (Aberteifi)', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.933 54.883)', 'GBR', 'GBCAX', 'Carlisle', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.4 57)', 'GBR', 'GBCBA', 'Castlebay', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.783 50.933)', 'GBR', 'GBCBE', 'Camber', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.917 57.667)', 'GBR', 'GBCBL', 'Cairnbulg', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.6 55.417)', 'GBR', 'GBCBT', 'Campbeltown', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.2 56.9)', 'GBR', 'GBCCE', 'Catterline', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.75 50.733)', 'GBR', 'GBCCH', 'Christchurch', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.167 51.462)', 'GBR', 'GBCDF', 'Cardiff', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.45 53.417)', 'GBR', 'GBCEB', 'Cemaes Bay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.358 52.215)', 'GBR', 'GBCEI', 'New Quay (Ceinewydd)', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.575 54.924)', 'GBR', 'GBCET', 'Carsethorn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.81 54.713)', 'GBR', 'GBCFG', 'Carrickfergus', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.949 55.832)', 'GBR', 'GBCGJ', 'Craighouse, Isle of Jura', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-5.179 49.987)', 'GBR', 'GBCGZ', 'Cadgwith', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.5 56.033)', 'GBR', 'GBCHD', 'Charleston', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.262 53.325)', 'GBR', 'GBCHE', 'Mostyn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.934 57.349)', 'GBR', 'GBCIT', 'Collieston', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.65 58.6)', 'GBR', 'GBCKK', 'Crosskirk', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.333 58.233)', 'GBR', 'GBCLM', 'Culkein, Drumbeg', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.667 55.133)', 'GBR', 'GBCLR', 'Coleraine', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.15 51.8)', 'GBR', 'GBCLS', 'Clacton-on-Sea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.5 57.05)', 'GBR', 'GBCNA', 'Canna, Inner Hebrides', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.55 56.083)', 'GBR', 'GBCNC', 'Crinan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.267 60.317)', 'GBR', 'GBCNM', 'Central Mainland, Shetland', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.25 53.133)', 'GBR', 'GBCNV', 'Caernarfon (Caernarvon)', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.202 50.331)', 'GBR', 'GBCNX', 'Cawsand', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.9 51.883)', 'GBR', 'GBCOL', 'Colchester', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.067 53.217)', 'GBR', 'GBCOQ', 'Connah''s Quay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.117 56.833)', 'GBR', 'GBCOR', 'Corpach', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.85 56)', 'GBR', 'GBCOU', 'Coulport', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.1 50.017)', 'GBR', 'GBCOV', 'Coverack', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.3 50.767)', 'GBR', 'GBCOW', 'Cowes', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.463 55.592)', 'GBR', 'GBCRA', 'Carradale', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.617 56.25)', 'GBR', 'GBCRJ', 'Crail', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4 57.667)', 'GBR', 'GBCRN', 'Cromarty', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.3 52.933)', 'GBR', 'GBCRR', 'Cromer', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.583 55.467)', 'GBR', 'GBCRX', 'Craster', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.187 56.069)', 'GBR', 'GBCSA', 'Colonsay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.917 53.2)', 'GBR', 'GBCSR', 'Chester', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.383 58.6)', 'GBR', 'GBCTN', 'Castletown', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.617 56.267)', 'GBR', 'GBCUA', 'Cuan Ferry, Seil', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.05 55.133)', 'GBR', 'GBCUE', 'Cushendun', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.929 55.753)', 'GBR', 'GBCUM', 'Cumbraes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.433 55.033)', 'GBR', 'GBCUO', 'Cullercoats', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.05 55.083)', 'GBR', 'GBCUS', 'Cushendall', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.167 56.15)', 'GBR', 'GBFUR', 'Furnace', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1 60.7)', 'GBR', 'GBCUV', 'Cullivoe, Yell', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.35 55.933)', 'GBR', 'GBCVI', 'Cove, Leith', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.4 51)', 'GBR', 'GBCVL', 'Clovelly', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.833 53.283)', 'GBR', 'GBCWA', 'Conwy (Conway)', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.483 55.983)', 'GBR', 'GBDBR', 'Dunbar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.85 54.25)', 'GBR', 'GBDDM', 'Dundrum', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.4 51.217)', 'GBR', 'GBDEX', 'Deal', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.533 54.633)', 'GBR', 'GBDHD', 'Donaghadee', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.778 57.475)', 'GBR', 'GBDMB', 'Boddam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.229 60.184)', 'GBR', 'GBDNF', 'Dunrossness', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.922 55.946)', 'GBR', 'GBDNU', 'Dunoon', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.617 52.267)', 'GBR', 'GBDNW', 'Dunwich', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.018 57.879)', 'GBR', 'GBDOC', 'Dornoch', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.757 55.407)', 'GBR', 'GBDRE', 'Dunure', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.892 54.691)', 'GBR', 'GBDRM', 'Drummore', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.45 55.233)', 'GBR', 'GBDSK', 'Dunseverick', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.967 50.917)', 'GBR', 'GBDSS', 'Dungeness', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.417 56.45)', 'GBR', 'GBDTF', 'Dunstaffnage', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-3.583 50.35)', 'GBR', 'GBDTM', 'Dartmouth', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.433 58.233)', 'GBR', 'GBDUE', 'Dunbeath', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.6 55.067)', 'GBR', 'GBDUM', 'Dumfries', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.917 56.467)', 'GBR', 'GBDUN', 'Dundee', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.583 57.433)', 'GBR', 'GBDVN', 'Dunvegan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.313 51.122)', 'GBR', 'GBDVR', 'Dover', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.883 51.733)', 'GBR', 'GBDWL', 'Bradwell Waterside', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.033 55.867)', 'GBR', 'GBDYN', 'Ardyne', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.133 56.117)', 'GBR', 'GBDYS', 'Dysart', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.283 50.767)', 'GBR', 'GBEBO', 'Eastbourne', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.85 58.967)', 'GBR', 'GBEER', 'Deerness', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.667 57.683)', 'GBR', 'GBEIL', 'Sheildaig', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.8 56.183)', 'GBR', 'GBELI', 'Elie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.933 50.85)', 'GBR', 'GBEMS', 'Emsworth', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.267 57.667)', 'GBR', 'GBENN', 'Pennan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.77 59.192)', 'GBR', 'GBEOI', 'Eday', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.529 57.018)', 'GBR', 'GBESK', 'Eishken', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.55 60.5)', 'GBR', 'GBESS', 'Eshaness', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.872 50.769)', 'GBR', 'GBEWT', 'East Wittering', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.533 50.7)', 'GBR', 'GBEXE', 'Exeter', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.413 50.619)', 'GBR', 'GBEXM', 'Exmouth', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.083 55.867)', 'GBR', 'GBEYM', 'Eyemouth', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.076 50.148)', 'GBR', 'GBFAL', 'Falmouth', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.9 51.317)', 'GBR', 'GBFAV', 'Faversham', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.117 54.117)', 'GBR', 'GBFBH', 'Flamborough', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0 52.867)', 'GBR', 'GBFDK', 'Fosdyke', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.267 53.7)', 'GBR', 'GBFEB', 'Ferrybridge', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0 52.783)', 'GBR', 'GBFET', 'Fleet', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.9 57.683)', 'GBR', 'GBFID', 'Findochty', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.606 59.538)', 'GBR', 'GBFIE', 'Fair Isle', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.067 55.933)', 'GBR', 'GBFIH', 'Fisherrow', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.35 56.317)', 'GBR', 'GBFIO', 'Fionnphort', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.974 51.993)', 'GBR', 'GBFIS', 'Fishguard', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3 53.917)', 'GBR', 'GBFLE', 'Fleetwood', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.967 54.167)', 'GBR', 'GBFLK', 'Flookburgh', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.067 50.15)', 'GBR', 'GBFLU', 'Flushing', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.289 54.21)', 'GBR', 'GBFLY', 'Filey', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.983 58.25)', 'GBR', 'GBFOI', 'Foindlemore, Loch Glendhu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.189 51.079)', 'GBR', 'GBFOL', 'Folkestone', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2 57.683)', 'GBR', 'GBFRB', 'Fraserburgh', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.067 55.067)', 'GBR', 'GBFUC', 'Waterfoot', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.083 56.817)', 'GBR', 'GBFWM', 'Fort William', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.35 51.967)', 'GBR', 'GBFXT', 'Felixstowe', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.683 57.7)', 'GBR', 'GBGAR', 'Gairloch', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.133 56.867)', 'GBR', 'GBGAS', 'Galmisdale, Eigg', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.333 57.667)', 'GBR', 'GBGDN', 'Gardenstown', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.217 53.283)', 'GBR', 'GBGFI', 'Greenfield', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.736 55.675)', 'GBR', 'GBGIG', 'Ardminish, Gigha Island', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.85 55.233)', 'GBR', 'GBGIR', 'Girvan', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.364 54.788)', 'GBR', 'GBGIS', 'Garlieston', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.952 54.968)', 'GBR', 'GBGLA', 'Glenarm', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-2.85 53.983)', 'GBR', 'GBGLD', 'Glasson Dock', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.817 56.833)', 'GBR', 'GBGLG', 'Glenuig', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.817 56.1)', 'GBR', 'GBGLH', 'Gareloch', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.252 51.863)', 'GBR', 'GBGLO', 'Gloucester', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.97 57.975)', 'GBR', 'GBGLP', 'Golspie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.233 55.85)', 'GBR', 'GBGLW', 'Glasgow', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-7.2 57.467)', 'GBR', 'GBGMY', 'Grimsay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.867 53.717)', 'GBR', 'GBGOO', 'Goole', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.8 50.233)', 'GBR', 'GBGOR', 'Gorran Haven', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.667 56)', 'GBR', 'GBGRG', 'Grangemouth', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.733 55.933)', 'GBR', 'GBGRK', 'Greenock', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.2 55.983)', 'GBR', 'GBGRN', 'Granton', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.617 54.667)', 'GBR', 'GBGRO', 'Groomsport', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0 53.533)', 'GBR', 'GBGSY', 'Grimsby', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.75 52.633)', 'GBR', 'GBGTY', 'Great Yarmouth', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.284 56.828)', 'GBR', 'GBGUD', 'Gourdon', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.8 55.95)', 'GBR', 'GBGUR', 'Gourock', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.367 51.433)', 'GBR', 'GBGVS', 'Gravesend', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.8 51.55)', 'GBR', 'GBGWG', 'Great Wakering', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.317 50.85)', 'GBR', 'GBHAM', 'Hamble', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.416 50.182)', 'GBR', 'GBHAY', 'Hayle', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.814 54.091)', 'GBR', 'GBHBK', 'Hest Bank', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.15 50.083)', 'GBR', 'GBHDR', 'Helford River', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.85 54.033)', 'GBR', 'GBHEQ', 'Lune Estuary - Heaton', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.048 64.187)', 'SWE', 'SEBAV', 'Båtviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.519 57.61)', 'GBR', 'GBHGY', 'Hougharry and Loch Eport', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.683 55.983)', 'GBR', 'GBHLN', 'Helensburgh', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.633 53.3)', 'GBR', 'GBHLY', 'Holyhead', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.649 58.115)', 'GBR', 'GBHMA', 'Helmsdale', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.322 60.103)', 'GBR', 'GBHMV', 'Hamnavoe, Burra Isle', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.9 58.9)', 'GBR', 'GBHOM', 'Holm', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.417 57.7)', 'GBR', 'GBHOP', 'Hopeman', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.85 50.233)', 'GBR', 'GBHPC', 'Hope Cove', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.133 51.367)', 'GBR', 'GBHRN', 'Herne Bay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.3 51.95)', 'GBR', 'GBHRW', 'Harwich', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.167 53.9)', 'GBR', 'GBHRZ', 'Hornsea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.593 50.855)', 'GBR', 'GBHTG', 'Hastings', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.217 54.683)', 'GBR', 'GBHTP', 'Hartlepool', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.567 57.667)', 'GBR', 'GBHTS', 'Whitehills', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.333 53.717)', 'GBR', 'GBHUL', 'Hull', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.983 50.833)', 'GBR', 'GBHYG', 'Hayling Island', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.8 55.667)', 'GBR', 'GBHYI', 'Holy Island', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.183 53.383)', 'GBR', 'GBHYL', 'Hoylake', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.2 58.8)', 'GBR', 'GBHYO', 'Hoy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.083 51.067)', 'GBR', 'GBHYT', 'Hythe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.917 57.667)', 'GBR', 'GBIAY', 'Inverallochy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.15 55.883)', 'GBR', 'GBIBU', 'Bute', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.113 51.21)', 'GBR', 'GBILF', 'Ilfracombe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.7 54.817)', 'GBR', 'GBIMG', 'Islandmagee', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.217 53.6)', 'GBR', 'GBIMM', 'ImmIngham', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.167 51.05)', 'GBR', 'GBINS', 'Instow', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-4.217 57.483)', 'GBR', 'GBINV', 'Inverness', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.817 51.4)', 'GBR', 'GBIOS', 'Isle of Sheppey', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.167 52.083)', 'GBR', 'GBIPS', 'IpswIch', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.6 53.65)', 'GBR', 'GBIRO', 'Winterton', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.683 55.6)', 'GBR', 'GBIRV', 'Irvine', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.817 50.583)', 'GBR', 'GBISA', 'Port Isaac', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.333 49.917)', 'GBR', 'GBISC', 'Isles of Scilly', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.25 55.8)', 'GBR', 'GBISY', 'Islay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.867 50.8)', 'GBR', 'GBITC', 'Itchenor', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.167 57.683)', 'GBR', 'GBIVG', 'Invergordon', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.07 56.231)', 'GBR', 'GBIVR', 'Inveraray', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.488 50.209)', 'GBR', 'GBIVS', 'Saint Ives', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.337 56.794)', 'GBR', 'GBJHV', 'Johnshaven', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.07 58.644)', 'GBR', 'GBJOG', 'John o''groats', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.917 56.017)', 'GBR', 'GBJUR', 'Jura', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.2 57.467)', 'GBR', 'GBKAL', 'Kallin (Ceallan), Isle of Grimsay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.05 58.45)', 'GBR', 'GBKBE', 'Kinlochbervie', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.051 54.838)', 'GBR', 'GBKBT', 'Kirkcudbright', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.533 54.483)', 'GBR', 'GBKCN', 'KircubbIn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.7 56.067)', 'GBR', 'GBKDE', 'Kincardine', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.117 58.532)', 'GBR', 'GBKES', 'Keiss', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.567 50.717)', 'GBR', 'GBKEV', 'Keyhaven', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.167 56.067)', 'GBR', 'GBKHN', 'Kinghorn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.767 50.283)', 'GBR', 'GBKIB', 'KingsbrIdge', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.117 50.617)', 'GBR', 'GBKIM', 'Kimmeridge', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.633 54.25)', 'GBR', 'GBKIO', 'Killough', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.814 54.88)', 'GBR', 'GBKIP', 'Kippford', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.15 56.1)', 'GBR', 'GBKKD', 'Kirkcaldy', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6 54.067)', 'GBR', 'GBKLK', 'Kilkeel', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.383 52.75)', 'GBR', 'GBKLN', 'King''s Lynn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.983 56.7)', 'GBR', 'GBKNC', 'Kinlochleven', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.113 56.698)', 'GBR', 'GBKOA', 'Kilchoan', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.15 58.533)', 'GBR', 'GBKRM', 'Kirtomy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.567 50.333)', 'GBR', 'GBKWE', 'Kingswear', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.95 58.983)', 'GBR', 'GBKWL', 'Kirkwall', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.217 55.867)', 'GBR', 'GBKYE', 'Kyles of Bute', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.717 54.4)', 'GBR', 'GBKYH', 'Killyleagh', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.7 57.267)', 'GBR', 'GBKYL', 'Kyle', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.017 58.25)', 'GBR', 'GBKYU', 'Kylesku', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.801 54.046)', 'GBR', 'GBLAN', 'Lancaster', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.817 54.85)', 'GBR', 'GBLAR', 'Larne', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-7.3 57.15)', 'GBR', 'GBLBD', 'Lochboisdale', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.865 56.34)', 'GBR', 'GBLBE', 'Loch Buie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.267 57.367)', 'GBR', 'GBLCC', 'Loch Carnan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.85 56.083)', 'GBR', 'GBLCG', 'Loch Long', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.333 55)', 'GBR', 'GBLDY', 'Londonderry', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.167 55.967)', 'GBR', 'GBLEI', 'Leith', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.158 60.163)', 'GBR', 'GBLER', 'Lerwick', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.867 55.783)', 'GBR', 'GBLGS', 'Largs', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.533 50.8)', 'GBR', 'GBLIT', 'Littlehampton', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3 53.417)', 'GBR', 'GBLIV', 'Liverpool', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-4.157 51.676)', 'GBR', 'GBLLN', 'Llanelli', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-7.163 57.603)', 'GBR', 'GBLMA', 'Lochmaddy', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.831 51.232)', 'GBR', 'GBLNM', 'Lynmouth', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.45 50.35)', 'GBR', 'GBLOE', 'Looe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.4 57)', 'GBR', 'GBNRB', 'Northbay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0 51.5)', 'GBR', 'GBLON', 'London', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.667 51.55)', 'GBR', 'GBLOS', 'Leigh-on-Sea', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.233 58.15)', 'GBR', 'GBLOV', 'Lochinver', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.75 52.483)', 'GBR', 'GBLOW', 'Lowestoft', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.564 60.227)', 'GBR', 'GBLOY', 'Walls,  Orkney', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.183 56.333)', 'GBR', 'GBLSC', 'Loch Scridain', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.983 50.833)', 'GBR', 'GBLSH', 'Langstone Harbour', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.267 57.717)', 'GBR', 'GBLSS', 'Lossiemouth', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.633 56.267)', 'GBR', 'GBLUI', 'Luing', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.267 59.967)', 'GBR', 'GBLVK', 'Levenwick', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.017 57.767)', 'GBR', 'GBLVR', 'Leverburgh', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.996 56.196)', 'GBR', 'GBLVY', 'Leven', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.25 50.619)', 'GBR', 'GBLWC', 'Lulworth Cove', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.367 58.267)', 'GBR', 'GBLWL', 'Latheronwheel', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.967 53.733)', 'GBR', 'GBLYA', 'Lytham Saint Annes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.3 58.283)', 'GBR', 'GBLYB', 'Lybster', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.55 50.75)', 'GBR', 'GBLYM', 'Lymington', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.933 50.733)', 'GBR', 'GBLYR', 'Lyme Regis', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.483 54.533)', 'GBR', 'GBLYW', 'Ballywalter', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.717 55.417)', 'GBR', 'GBMAC', 'Machrihanish', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.824 55.335)', 'GBR', 'GBMAI', 'Maidens', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.683 51.717)', 'GBR', 'GBMAL', 'Maldon', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.483 57.667)', 'GBR', 'GBMCD', 'Macduff', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.767 53.017)', 'GBR', 'GBMCH', 'Malpas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.15 53.217)', 'GBR', 'GBMEB', 'Menai Bridge', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.533 52.933)', 'GBR', 'GBMFN', 'Morfa Nefyn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.136 57.858)', 'GBR', 'GBMFY', 'Meikle Ferry', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.379 51.388)', 'GBR', 'GBMGT', 'Margate', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.474 51.214)', 'GBR', 'GBMHD', 'Minehead', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.15 54.567)', 'GBR', 'GBMID', 'Middlesbrough', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.083 51.933)', 'GBR', 'GBMIS', 'Mistley', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.183 50.367)', 'GBR', 'GBMLB', 'Millbrook', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.033 51.717)', 'GBR', 'GBMLF', 'Milford Haven', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.817 57)', 'GBR', 'GBMLG', 'Mallaig', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.257 50.015)', 'GBR', 'GBMLI', 'Mullion', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.217 53.5)', 'GBR', 'GBMNC', 'Manchester', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.865 54.074)', 'GBR', 'GBMOC', 'Morecambe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.467 56.7)', 'GBR', 'GBMON', 'Montrose', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.5 54.7)', 'GBR', 'GBMRY', 'Maryport', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.006 56.186)', 'GBR', 'GBMTH', 'Methil', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.667 55.6)', 'GBR', 'GBMUA', 'Muasdale', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.783 50.267)', 'GBR', 'GBMVG', 'Mevagissey', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.05 60.6)', 'GBR', 'GBMYE', 'Mid Yell', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.05 50.167)', 'GBR', 'GBMYL', 'Mylor', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.867 57.583)', 'GBR', 'GBNAI', 'Nairn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.283 55.583)', 'GBR', 'GBNAR', 'Arran', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-1.517 55.167)', 'GBR', 'GBNBC', 'NewbiggIn by the Sea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.667 55.5)', 'GBR', 'GBNBS', 'Newton-by-the-Sea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2 57.333)', 'GBR', 'GBNBU', 'Newburgh', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.717 56.05)', 'GBR', 'GBNBW', 'North Berwick', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.9 54.217)', 'GBR', 'GBNCS', 'Newcastle, Co. Down', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.6 59.233)', 'GBR', 'GBNDY', 'Sanday', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.867 57.883)', 'GBR', 'GBNHS', 'North Harris', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.057 50.789)', 'GBR', 'GBNHV', 'Newhaven', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.377 60.524)', 'GBR', 'GBNME', 'Northmavine', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.392 56.009)', 'GBR', 'GBNOQ', 'North Queensferry', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.983 51.583)', 'GBR', 'GBNPT', 'Newport, Gwent', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.083 50.417)', 'GBR', 'GBNQY', 'Newquay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.333 60.583)', 'GBR', 'GBNRR', 'North Roe to Hillswick', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.333 54.183)', 'GBR', 'GBNRY', 'Newry', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.333 58.45)', 'GBR', 'GBNSA', 'Ness', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.667 55.567)', 'GBR', 'GBNSD', 'North Sunderland', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.473 55.005)', 'GBR', 'GBNSH', 'North Shields', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.483 58.1)', 'GBR', 'GBNTL', 'North Lochs', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.15 57.6)', 'GBR', 'GBNUI', 'North Uist', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.217 55.983)', 'GBR', 'GBNWF', 'Newhaven/Edinburgh', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.933 51.7)', 'GBR', 'GBNYD', 'Neyland', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.554 50.101)', 'GBR', 'GBNYL', 'Newlyn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.467 56.4)', 'GBR', 'GBOBA', 'Oban', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.483 58.1)', 'GBR', 'GBOCH', 'Lochs', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.344 58.647)', 'GBR', 'GBOGH', 'Brough', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.517 56.617)', 'GBR', 'GBOLL', 'Coll', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.533 52.1)', 'GBR', 'GBORH', 'Orford', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.883 59.067)', 'GBR', 'GBORK', 'Orkney', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.233 56.717)', 'GBR', 'GBORR', 'Corran', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.483 58.1)', 'GBR', 'GBOTC', 'South Lochs', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.75 60.417)', 'GBR', 'GBOUK', 'Out skerries', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.3 55.733)', 'GBR', 'GBOWM', 'Bowmore', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.933 50.533)', 'GBR', 'GBPAD', 'Padstow', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.667 51.633)', 'GBR', 'GBPAG', 'Paglesham', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.1 55.833)', 'GBR', 'GBPAK', 'Port Askaig', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.4 56.55)', 'GBR', 'GBPAP', 'Port Appin', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.533 55.217)', 'GBR', 'GBPBA', 'Portballintrae', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.7 51.483)', 'GBR', 'GBPCW', 'Porthcawl', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.101 51.642)', 'GBR', 'GBPDD', 'Pen-Clawdd', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.548 50.114)', 'GBR', 'GBPEN', 'Penzance', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.55 54.383)', 'GBR', 'GBPFY', 'Portaferry', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.183 51.949)', 'GBR', 'GBPGI', 'Porthgain', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.567 50.433)', 'GBR', 'GBPGN', 'Paignton', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.778 57.502)', 'GBR', 'GBPHD', 'Peterhead', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.917 58.567)', 'GBR', 'GBPKA', 'Portskerra', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.85 57.7)', 'GBR', 'GBPKN', 'Portknockie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.183 55.617)', 'GBR', 'GBPLN', 'Port Ellen', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.533 50.333)', 'GBR', 'GBPLP', 'Polperro', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.635 50.33)', 'GBR', 'GBPLR', 'Polruan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.317 50.083)', 'GBR', 'GBPLV', 'Porthleven', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.134 50.364)', 'GBR', 'GBPLY', 'Plymouth', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-4.117 52.926)', 'GBR', 'GBPMD', 'Portmadoc', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.108 50.797)', 'GBR', 'GBPME', 'Portsmouth', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.817 57.833)', 'GBR', 'GBPMK', 'Portmahomack', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.217 56.833)', 'GBR', 'GBPMR', 'Port Mor, Muck', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.6 50.05)', 'GBR', 'GBPNB', 'Penberth', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.25 57.2)', 'GBR', 'GBPNG', 'Portnalong', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.5 55.667)', 'GBR', 'GBPNV', 'Portnahaven', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.067 50.05)', 'GBR', 'GBPOH', 'Porthoustock', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2 50.717)', 'GBR', 'GBPOO', 'Poole', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.083 53.233)', 'GBR', 'GBPPE', 'Penrhyn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.119 54.841)', 'GBR', 'GBPPK', 'Portpatrick', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.717 53.75)', 'GBR', 'GBPRE', 'Preston', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.3 50.267)', 'GBR', 'GBPRJ', 'Portreath', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.9 50.217)', 'GBR', 'GBPRL', 'Portloe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.163 58.257)', 'GBR', 'GBPRN', 'Portnaguran', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.85 56.1)', 'GBR', 'GBPRP', 'Portincaple', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.183 57.4)', 'GBR', 'GBPRT', 'Portree', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.1 50.167)', 'GBR', 'GBPRY', 'Penryn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.017 52.767)', 'GBR', 'GBPSB', 'Sutton Bridge', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.933 55.967)', 'GBR', 'GBPSE', 'Port Seton', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.717 55.183)', 'GBR', 'GBPSW', 'Portstewart', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.683 57.683)', 'GBR', 'GBPSY', 'Portsoy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.783 51.6)', 'GBR', 'GBPTB', 'Port Talbot', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.167 56.067)', 'GBR', 'GBPTC', 'Pettycur', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.45 50.6)', 'GBR', 'GBPTL', 'Portland', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.658 55.206)', 'GBR', 'GBPTR', 'Portrush', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.45 54.45)', 'GBR', 'GBPVG', 'Portavogie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.6 57.75)', 'GBR', 'GBPWE', 'Poolewe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.584 54.76)', 'GBR', 'GBPWI', 'Port William', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.417 52.883)', 'GBR', 'GBPWL', 'Pwllheli', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.733 56.217)', 'GBR', 'GBPWM', 'Pittenweem', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.767 51.417)', 'GBR', 'GBQUB', 'Queenborough', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.033 55.833)', 'GBR', 'GBRAY', 'Rothesay, Isle of Bute', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.683 58.467)', 'GBR', 'GBRBL', 'Erribol', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.383 57.883)', 'GBR', 'GBRCB', 'Rhu Coigach - Badluachrach', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.4 57.35)', 'GBR', 'GBRCD', 'Bracadale', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.817 57.633)', 'GBR', 'GBRDH', 'Rudh Re - Red Point', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.059 54.608)', 'GBR', 'GBRER', 'Redcar', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-7.443 56.96)', 'GBR', 'GBREV', 'Braevig', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.717 51.583)', 'GBR', 'GBRFD', 'Rochford', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.5 53.317)', 'GBR', 'GBRHY', 'Rhyl', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.15 58.35)', 'GBR', 'GBRIE', 'Scourie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.783 58.267)', 'GBR', 'GBRLW', 'Carloway', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.117 57.6)', 'GBR', 'GBRME', 'Rosemarkie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.774 60.175)', 'SWE', 'SEBAY', 'Backby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.419 51.329)', 'GBR', 'GBRMG', 'Ramsgate', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-7.15 57.6)', 'GBR', 'GBRNN', 'Bernera, North Uist', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.983 58.183)', 'GBR', 'GBRNR', 'Bernera, Lewis', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.9 50.533)', 'GBR', 'GBROC', 'Rock', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.783 59.033)', 'GBR', 'GBROU', 'Rousay', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.233 58.217)', 'GBR', 'GBRRB', 'Garrabost', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-3.55 50.333)', 'GBR', 'GBRRD', 'River Dart', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.6 57.35)', 'GBR', 'GBRRO', 'Carron', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.283 59.117)', 'GBR', 'GBRSB', 'Birsay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.75 58.2)', 'GBR', 'GBRST', 'Breasclete', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.217 51.933)', 'GBR', 'GBRSY', 'Ramsey', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.833 57.4)', 'GBR', 'GBRTL', 'Port Erroll', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.2 54.1)', 'GBR', 'GBRTV', 'Rostrevor', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.117 57.683)', 'GBR', 'GBRTY', 'Rosehearty', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.75 53.333)', 'GBR', 'GBRUN', 'Runcorn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.633 50.341)', 'GBR', 'GBRVF', 'River Fowey', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.733 50.95)', 'GBR', 'GBRYE', 'Rye', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.7 51.533)', 'GBR', 'GBSAA', 'Southend-on-Sea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.333 49.883)', 'GBR', 'GBSAG', 'Saint Agnes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.7 51.709)', 'GBR', 'GBSAU', 'Saundersfoot', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.414 54.287)', 'GBR', 'GBSCA', 'Scarborough', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.783 50.233)', 'GBR', 'GBSCB', 'Salcombe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.7 57.867)', 'GBR', 'GBSCC', 'Scalpay, Outer Hebrides', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.839 57.823)', 'GBR', 'GBSCH', 'Stockinish', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.917 57.667)', 'GBR', 'GBSCM', 'Saint Combs and Charleston', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.533 58.6)', 'GBR', 'GBSCR', 'Scrabster', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.417 54.583)', 'GBR', 'GBSCT', 'Stockton', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.783 58.567)', 'GBR', 'GBSDS', 'Sandside', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.338 54.837)', 'GBR', 'GBSEA', 'Seaham', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.64 55.315)', 'GBR', 'GBSEC', 'Southend, Kintyre', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.267 58.65)', 'GBR', 'GBSFK', 'Scarfskerry', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.1 50.767)', 'GBR', 'GBSFR', 'Seaford', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.2 52.933)', 'GBR', 'GBSGM', 'Sheringham', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.017 51.317)', 'GBR', 'GBSHO', 'Shoreham', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.767 51.433)', 'GBR', 'GBSHS', 'Sheerness', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.667 55.583)', 'GBR', 'GBSHU', 'Seahouses', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.395 54.868)', 'GBR', 'GBSIL', 'Silloth', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.567 54.367)', 'GBR', 'GBSJL', 'Strangford', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.3 58.533)', 'GBR', 'GBSKR', 'Skerray', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.417 60.167)', 'GBR', 'GBSKZ', 'Skeld', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.79 55.632)', 'GBR', 'GBSLC', 'Saltcoats', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.19 51.874)', 'GBR', 'GBSLV', 'Solva (Solfach)', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.765 56.205)', 'GBR', 'GBSMC', 'Saint Monance (Saint Monans)', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.017 50.15)', 'GBR', 'GBSMV', 'Saint Mawes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.7 50.067)', 'GBR', 'GBSNC', 'Sennen Cove', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.297 58.964)', 'GBR', 'GBSNS', 'Stromness', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.767 56.333)', 'GBR', 'GBSNW', 'Saint Andrews', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.117 58.683)', 'GBR', 'GBSOA', 'Stroma', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.4 50.9)', 'GBR', 'GBSOU', 'Southampton', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.6 59.15)', 'GBR', 'GBSOY', 'Stronsay', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.033 57.683)', 'GBR', 'GBSPI', 'Sandhaven and Pitullie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.9 51.617)', 'GBR', 'GBSPQ', 'Stackpole Quay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.05 57.167)', 'GBR', 'GBSRH', 'Strathaird', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.011 53.655)', 'GBR', 'GBSRT', 'Southport', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.367 49.433)', 'GBR', 'GBSRX', 'Sark', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.967 58.733)', 'GBR', 'GBSRY', 'South Ronaldsay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.421 54.988)', 'GBR', 'GBSSH', 'South Shields', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-0.8 50.733)', 'GBR', 'GBSSY', 'Selsey', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.383 58.2)', 'GBR', 'GBSTO', 'Stornoway', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.024 54.904)', 'GBR', 'GBSTR', 'Stranraer', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-0.8 54.55)', 'GBR', 'GBSTZ', 'Staithes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.2 60.45)', 'GBR', 'GBSUL', 'Sullom Voe', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.383 54.912)', 'GBR', 'GBSUN', 'Sunderland', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.2 56.967)', 'GBR', 'GBSVN', 'Stonehaven', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.267 51.883)', 'GBR', 'GBSVS', 'Saint David''s', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.933 51.617)', 'GBR', 'GBSWA', 'Swansea', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.223 59.996)', 'GBR', 'GBSWC', 'Sandwick', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.683 52.333)', 'GBR', 'GBSWD', 'Southwold', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.967 50.617)', 'GBR', 'GBSWE', 'Swanage', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.3 60.133)', 'GBR', 'GBSWY', 'Scalloway', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.059 58.454)', 'GBR', 'GBSXE', 'Staxigoe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1 60.317)', 'GBR', 'GBSYM', 'Symbister', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(1.617 52.2)', 'GBR', 'GBSZB', 'Sizewell Beach', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.317 57.483)', 'GBR', 'GBSZT', 'Snizort', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.416 55.863)', 'GBR', 'GBTAB', 'Tarbert', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.65 55.667)', 'GBR', 'GBTAI', 'Tayinloan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.867 56.433)', 'GBR', 'GBTAY', 'Tayport', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.632 56.217)', 'GBR', 'GBTBN', 'Toberonochy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.697 51.672)', 'GBR', 'GBTEN', 'Tenby', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.5 58.583)', 'GBR', 'GBTHR', 'Thurso', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-7.267 57.067)', 'GBR', 'GBTHT', 'South Uist and Eriskay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.217 60.533)', 'GBR', 'GBTLD', 'Shetland', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.617 56.017)', 'GBR', 'GBTLI', 'Tayvallich', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.417 58.533)', 'GBR', 'GBTLN', 'Talmine', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.017 59.083)', 'GBR', 'GBTNG', 'Tingwall', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.499 50.546)', 'GBR', 'GBTNM', 'Teignmouth', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.083 56.633)', 'GBR', 'GBTOB', 'Tobermory', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.833 51.75)', 'GBR', 'GBTOL', 'Tollesbury', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.525 50.461)', 'GBR', 'GBTOR', 'TorQuay', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.517 57.533)', 'GBR', 'GBTRD', 'Torridon', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.8 56.5)', 'GBR', 'GBTRE', 'Tiree', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.683 55.548)', 'GBR', 'GBTRN', 'Troon', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.427 52.993)', 'GBR', 'GBTRO', 'Trefor', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.35 58.017)', 'GBR', 'GBTRS', 'South Harris', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.043 50.262)', 'GBR', 'GBTRU', 'Truro', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.35 57.583)', 'GBR', 'GBUIG', 'Uig', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.133 56.483)', 'GBR', 'GBULF', 'Ulva Ferry', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.167 57.9)', 'GBR', 'GBULL', 'Ullapool', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.233 56.317)', 'GBR', 'GBUNS', 'Bunessan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.917 60.683)', 'GBR', 'GBUYE', 'Uyeasound and Baltasound', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.117 60.35)', 'GBR', 'GBVID', 'Vidlin', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.633 53.3)', 'GBR', 'GBVLY', 'Anglesey', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.25 60.35)', 'GBR', 'GBVOE', 'Voe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.517 60.3)', 'GBR', 'GBWBF', 'West Burrafirth', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.017 53.717)', 'GBR', 'GBWEX', 'Withernsea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.45 50.6)', 'GBR', 'GBWEY', 'Weymouth', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.704 54.756)', 'GBR', 'GBWHE', 'Whitehead', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-4.364 54.699)', 'GBR', 'GBWHH', 'Isle of Whithorn', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-3.6 54.55)', 'GBR', 'GBWHV', 'Whitehaven', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.033 60.35)', 'GBR', 'GBWHY', 'Whalsay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.083 58.433)', 'GBR', 'GBWIC', 'Wick', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.482 54.959)', 'GBR', 'GBWIG', 'Wigtown', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.167 52.667)', 'GBR', 'GBWIS', 'Wisbech', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0.967 51.85)', 'GBR', 'GBWIV', 'Wivenhoe', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.183 58.333)', 'GBR', 'GBWLG', 'Whaligoe', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.649 51.209)', 'GBR', 'GBWLS', 'Wells', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.564 60.227)', 'GBR', 'GBWLZ', 'Walls', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.891 55.876)', 'GBR', 'GBWMB', 'Wemyss Bay', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-1.383 60.217)', 'GBR', 'GBWMD', 'West Mainland (Shetland)', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(0.917 51.783)', 'GBR', 'GBWMS', 'West Mersea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.867 57.383)', 'GBR', 'GBWNL', 'Whinnyfold', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.267 51.867)', 'GBR', 'GBWNZ', 'Walton-on-the-Naze', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.383 50.817)', 'GBR', 'GBWOI', 'Worthing', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-3.567 54.65)', 'GBR', 'GBWOR', 'Workington', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.267 54.15)', 'GBR', 'GBWPT', 'Warrenpoint', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-5.433 55.85)', 'GBR', 'GBWRB', 'West Loch Tarbert', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.967 59.317)', 'GBR', 'GBWRY', 'Westray', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-2.988 51.352)', 'GBR', 'GBWSM', 'Weston-super-Mare', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.026 51.364)', 'GBR', 'GBWTS', 'Whitstable', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-3.086 56.14)', 'GBR', 'GBWWE', 'West Wemyss', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.483 50.583)', 'GBR', 'GBWYK', 'Wyke Regis', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.631 54.487)', 'GBR', 'GBWYT', 'Whitby', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.764 50.711)', 'GBR', 'GBWYX', 'West Bay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-0.967 60.7)', 'GBR', 'GBYFR', 'Yell and Fetlar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-52.33 4.93)', 'GUF', 'GFCAY', 'Cayenne', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-2.2 49.683)', 'GGY', 'GGACI', 'ALDERNEY', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(0 5.666)', 'GHA', 'GHTEM', 'Tema', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-51.75 64.183)', 'GRL', 'GLGOH', 'Nuuk (Godthaab)', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-61.54 16.23)', 'GLP', 'GPPTP', 'Pointe-à-Pitre', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.445 36.723)', 'GRC', 'GRADL', 'Adamas, Milos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.081 38.251)', 'GRC', 'GRAEN', 'Aígion', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.878 39.698)', 'GRC', 'GRAGK', 'Agiokampos, Larissas', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.987 39.54)', 'GRC', 'GRAGO', 'Ágios Efstrátios', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.458 35.143)', 'GRC', 'GRAGW', 'Agios Galini', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.038 38.849)', 'GRC', 'GRAID', 'Aidipsou', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.976 36.901)', 'GRC', 'GRAIG', 'Aigiali, Amorgou', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.426 37.746)', 'GRC', 'GRAIN', 'Aigina', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.295 37.614)', 'GRC', 'GRAKI', 'Agios Kírykos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.86 38.759)', 'GRC', 'GRAKN', 'Agios Konstantínos, Fthiotida', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.433 41.25)', 'ITA', 'ITNGA', 'SPERLONGA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.821 37.806)', 'GRC', 'GRAKO', 'Agios Konstantínos, Samos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(19.711 39.674)', 'GRC', 'GRALP', 'Alypa, Palaiokastritsas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.776 37.841)', 'GRC', 'GRALY', 'Alykes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.478 39.264)', 'GRC', 'GRAMD', 'Ammoydia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.156 38.892)', 'GRC', 'GRAMF', 'Amfilochía', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.911 40.32)', 'GRC', 'GRAMI', 'Amolianí', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.856 37.167)', 'GRC', 'GRAML', 'Agia Marina Lerou', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.728 35.214)', 'GRC', 'GRANI', 'Agios Nikólaos, Kríti', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.718 35.191)', 'GRC', 'GRANK', 'Agios Nikolaos, Lasithi', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(22.281 36.824)', 'GRC', 'GRANS', 'Agios Nikolaos, Messinia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.707 37.908)', 'GRC', 'GRANV', 'Agios Nikolaos, Volimon', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.21 35.509)', 'GRC', 'GRAOK', 'Kárpathos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.032 38.76)', 'GRC', 'GRARK', 'Arkítsa', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(20.476 38.172)', 'GRC', 'GRARM', 'Argostólion', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.762 37.425)', 'GRC', 'GRARS', 'Ástros', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.633 39.754)', 'GRC', 'GRASF', 'Agios Stefanos, Kerkyra', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.08 38.503)', 'GRC', 'GRAST', 'Astakós', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.431 36.388)', 'GRC', 'GRATN', 'Athinios Thira Santorini', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.051 40.98)', 'GRC', 'GRAVD', 'Avdira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.86 40.833)', 'GRC', 'GRAXD', 'Alexandroúpolis', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(19.924 39.617)', 'GRC', 'GRCFU', 'Kérkira (Corfu)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.026 35.517)', 'GRC', 'GRCHQ', 'Chania', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.796 37.099)', 'GRC', 'GRDON', 'Donousa, Kykladon', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.406 40.933)', 'GRC', 'GRELF', 'Eleftheron', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.547 38.033)', 'GRC', 'GRELY', 'Eleysina', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.158 37.628)', 'GRC', 'GREPI', 'Epidavros', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.239 38.35)', 'GRC', 'GRERA', 'Eratini', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.789 38.387)', 'GRC', 'GRERE', 'Erétria', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(19.595 39.884)', 'GRC', 'GRERK', 'Ereikousses Diapontioi Islands', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.321 37.403)', 'GRC', 'GRERM', 'Ermióni', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.156 37.635)', 'GRC', 'GREYD', 'Eydilos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.368 40.933)', 'GRC', 'GRFAN', 'Fanari', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.541 38.382)', 'GRC', 'GRFIS', 'Fiskárdo', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.875 36.655)', 'GRC', 'GRFOL', 'Folégandros', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.491 37.609)', 'GRC', 'GRFOU', 'Foúrnoi', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.903 35.422)', 'GRC', 'GRFRY', 'Fry', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.189 39.206)', 'GRC', 'GRGAB', 'Gaios', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.944 40.593)', 'GRC', 'GRGAI', 'Kalamaria', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.735 37.884)', 'GRC', 'GRGAV', 'Gávrion', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.276 35.356)', 'GRC', 'GRGEW', 'Georgioupoli', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.615 39.165)', 'GRC', 'GRGLO', 'Glossa', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.388 38.357)', 'GRC', 'GRGLX', 'Galaxidi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.969 38.951)', 'GRC', 'GRGLY', 'Glyfa Fthiotidas', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.732 38.254)', 'GRC', 'GRGPA', 'Patras', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.547 40.154)', 'GRC', 'GRGRI', 'Gritsa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.573 36.766)', 'GRC', 'GRGYT', 'Gythion', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.392 35.323)', 'GRC', 'GRHES', 'Hersonisos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.835 40.581)', 'GRC', 'GRHLS', 'Chalastra', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.745 35.005)', 'GRC', 'GRIER', 'Ierápetra', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.879 40.401)', 'GRC', 'GRIES', 'Ierissos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.262 39.502)', 'GRC', 'GRIGO', 'Igoumenítsa', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.361 40.933)', 'GRC', 'GRIME', 'Imeros', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.268 36.719)', 'GRC', 'GRIOS', 'Ios', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.435 36.852)', 'GRC', 'GRIRK', 'Iráklia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.323 37.457)', 'GRC', 'GRJMK', 'Mykonos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.372 37.107)', 'GRC', 'GRJNX', 'Náxos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.111 35.209)', 'GRC', 'GRJSH', 'Siteía', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.473 39.155)', 'GRC', 'GRJSI', 'Skíathos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.353 36.534)', 'GRC', 'GRJTY', 'Astypálaia', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.142 36.783)', 'GRC', 'GRKAD', 'Kardamaina', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(21.317 37.649)', 'GRC', 'GRKAK', 'Katakolon', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.003 36.125)', 'GRC', 'GRKAP', 'Kapsálion', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.701 37.801)', 'GRC', 'GRKAR', 'Néon Karlovásion', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(29.587 36.132)', 'GRC', 'GRKAS', 'Kastellorizou (ex Megísti)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.471 40.476)', 'GRC', 'GRKAW', 'Kamariotissa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.114 38.541)', 'GRC', 'GRKDM', 'Kardámyla', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.973 36.736)', 'GRC', 'GRKEF', 'Kefalos Ko', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.697 40.857)', 'GRC', 'GRKER', 'Keramoti', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.066 36.843)', 'GRC', 'GRKGS', 'Kos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.131 38.631)', 'GRC', 'GRKIM', 'Kymi (Kimi)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.108 37.423)', 'GRC', 'GRKIN', 'Koilas Ermionidos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.793 37.97)', 'GRC', 'GRKIO', 'Kiato', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.633 40.379)', 'GRC', 'GRKIR', 'Kitros', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.105 37.023)', 'GRC', 'GRKLX', 'Kalamáta', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.992 36.948)', 'GRC', 'GRKMI', 'Kálymnos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.589 36.792)', 'GRC', 'GRKMS', 'Kímolos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.735 35.08)', 'GRC', 'GRKOK', 'Kokkinos Pyrgos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.602 36.932)', 'GRC', 'GRKOY', 'Koufonisia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.676 36.99)', 'GRC', 'GRKRE', 'Kamares, Sifnos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.962 39.796)', 'GRC', 'GRKRN', 'Koroni', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.293 37.654)', 'GRC', 'GRKRS', 'Korrisia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.932 37.994)', 'GRC', 'GRKRT', 'Korinthos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.653 35.499)', 'GRC', 'GRKSM', 'Kissamos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.911 39.788)', 'GRC', 'GRKSP', 'Kassiopi, Kerkyra', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.419 38.009)', 'GRC', 'GRKST', 'Karystos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.296 34.983)', 'GRC', 'GRKSV', 'Kastri Viannoy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.865 36.83)', 'GRC', 'GRKTP', 'Katápola', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.612 37.958)', 'GRC', 'GRKTS', 'Keratsínion', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.149 37.935)', 'GRC', 'GRKYL', 'Kyllíni', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.651 37.255)', 'GRC', 'GRKYP', 'Kyparissia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.062 37.71)', 'GRC', 'GRLAY', 'Layrio', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.697 38.85)', 'GRC', 'GRLEV', 'Lefkás', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(20.063 39.449)', 'GRC', 'GRLFK', 'Lefkímmi', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.609 40.596)', 'GRC', 'GRLIM', 'Limenaria', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.439 38.211)', 'GRC', 'GRLIX', 'Lixuri', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.9 37.156)', 'GRC', 'GRLND', 'Leonídion', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(20.568 39.148)', 'GRC', 'GRLYG', 'Lygia, Preveza', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.719 38.721)', 'GRC', 'GRLYP', 'Lygia, Lefkada', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.905 40.845)', 'GRC', 'GRMAI', 'Maistros', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.747 40.847)', 'GRC', 'GRMAK', 'Makri', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.585 40.863)', 'GRC', 'GRMAW', 'Maroneia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.44 37.164)', 'GRC', 'GRMEG', 'Megálon Livádion', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.433 38.367)', 'GRC', 'GRMEL', 'Mesolóngion', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.458 37.428)', 'GRC', 'GRMER', 'Merihas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.56 39.101)', 'GRC', 'GRMJT', 'Mytilene', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.12 38.066)', 'GRC', 'GRMLN', 'Mayrolimni', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.04 36.682)', 'GRC', 'GRMON', 'Monemvasía', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.898 38.289)', 'GRC', 'GRMST', 'Mesta', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.943 38.665)', 'GRC', 'GRMTK', 'Mytikas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.517 39.767)', 'GRC', 'GRMTR', 'Mathraki Diapontioi Island', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.076 36.851)', 'GRC', 'GRMXK', 'Mastichari, Kos', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(22.424 38.144)', 'GRC', 'GRMYA', 'Mayra Litharia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.059 39.879)', 'GRC', 'GRMYR', 'Mírina', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.146 35.347)', 'GRC', 'GRNAI', 'Iráklion', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.233 37.117)', 'GRC', 'GRNAS', 'Naoussa Parou', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.03 36.3)', 'GRC', 'GRNEA', 'Neapolis', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.778 40.093)', 'GRC', 'GRNEO', 'Neos Marmaras', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.305 40.223)', 'GRC', 'GRNFK', 'Nea Fokaia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.063 40.306)', 'GRC', 'GRNKA', 'Néa Kallikrátia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.521 40.954)', 'GRC', 'GRNKV', 'Néa Karváli', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.274 40.23)', 'GRC', 'GRNMA', 'Néa Moudhaniá', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.839 40.469)', 'GRC', 'GRNMK', 'Nea Mikhaniona', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.317 40.197)', 'GRC', 'GRNPD', 'Nea Potidaia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.831 38.388)', 'GRC', 'GRNPK', 'Návpaktos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.906 40.4)', 'GRC', 'GRNRD', 'Nea Roda', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.507 39.952)', 'GRC', 'GRNSK', 'Nea Skioni', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.209 38.163)', 'GRC', 'GRNST', 'Néa Stíra', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.792 38.324)', 'GRC', 'GRORO', 'Oropos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.731 40.235)', 'GRC', 'GRORP', 'Ormos Panagias', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.402 39.838)', 'GRC', 'GROTH', 'Othonoí', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.984 40.318)', 'GRC', 'GROUR', 'Ouranópolis', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.345 37.972)', 'GRC', 'GRPAH', 'Pahi Megaron', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.341 39.281)', 'GRC', 'GRPAR', 'Párga', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.15 37.083)', 'GRC', 'GRPAS', 'Páros', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(20.73 38.719)', 'GRC', 'GRPEG', 'Perigiali', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.168 39.34)', 'GRC', 'GRPET', 'Pétra', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.426 38.685)', 'GRC', 'GRPEY', 'Peyki', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.914 37.704)', 'GRC', 'GRPFA', 'Palaiá Fókaia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.439 39.141)', 'GRC', 'GRPIA', 'Platania', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.264 37.036)', 'GRC', 'GRPIL', 'Piso Livadi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.924 39.944)', 'GRC', 'GRPKF', 'Porto Koyfo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.144 37.296)', 'GRC', 'GRPKH', 'Portochélion', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.003 39.454)', 'GRC', 'GRPKO', 'Petriti, Korission', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.441 40.056)', 'GRC', 'GRPLK', 'Plaka', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.368 38.971)', 'GRC', 'GRPLM', 'Plomárion', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.944 35.514)', 'GRC', 'GRPLO', 'Palaiohora', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.856 38.779)', 'GRC', 'GRPLR', 'Palairos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.628 39.99)', 'GRC', 'GRPLS', 'Platamonas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.842 35.916)', 'GRC', 'GRPLY', 'Plimmyri', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.529 37.311)', 'GRC', 'GRPMS', 'Pátmos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.446 37.504)', 'GRC', 'GRPOR', 'Poros', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.191 38.408)', 'GRC', 'GRPPT', 'Paralia Petrion', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.614 40.429)', 'GRC', 'GRPRL', 'Paralia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.788 38.143)', 'GRC', 'GRPRS', 'Poros, Kefallonia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.275 39.449)', 'GRC', 'GRPTI', 'Plataria', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.194 40.968)', 'GRC', 'GRPTL', 'Lágos (Pórto-Lágo)', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.873 39.14)', 'GRC', 'GRPTT', 'Patitiri', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.757 38.955)', 'GRC', 'GRPVZ', 'Preveza', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.701 36.918)', 'GRC', 'GRPYL', 'Pýlos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.778 37.659)', 'GRC', 'GRPYT', 'Pythagóreion', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.625 38.478)', 'GRC', 'GRQKG', 'Chalkis', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.011 38.023)', 'GRC', 'GRRAF', 'Rafina', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(22.46 38.53)', 'GRC', 'GRRAH', 'Rahes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.481 35.371)', 'GRC', 'GRRET', 'Réthymnon', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(28.233 36.447)', 'GRC', 'GRRHO', 'Rhodes', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(20.641 38.252)', 'GRC', 'GRSAI', 'Sámi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.489 37.959)', 'GRC', 'GRSAL', 'Salamís', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.987 40.103)', 'GRC', 'GRSAR', 'Sarti', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.119 35.199)', 'GRC', 'GRSCF', 'Hora Sfakion', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.079 35.49)', 'GRC', 'GRSDH', 'Soúda', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.848 39.218)', 'GRC', 'GRSGI', 'Sigrion', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.508 36.865)', 'GRC', 'GRSHC', 'Schinousa, Kykladon', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(25.109 36.697)', 'GRC', 'GRSII', 'Sikinos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(27.814 36.276)', 'GRC', 'GRSKK', 'Skala Kameiroy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.35 40.15)', 'GRC', 'GRSKT', 'Skala Katerinis', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.226 39.2)', 'GRC', 'GRSLN', 'Skala Kallonis', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.974 37.756)', 'GRC', 'GRSMI', 'Samos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(26.127 39.1)', 'GRC', 'GRSPL', 'Skala Polyhnitoy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(26.301 39.374)', 'GRC', 'GRSSN', 'Skala Sykamineas', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.744 39.871)', 'GRC', 'GRSTO', 'Stomio', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.706 40.683)', 'GRC', 'GRSTR', 'Stayros', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.617 38.907)', 'GRC', 'GRSTY', 'Stylinda', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(27.809 36.581)', 'GRC', 'GRSYM', 'Symi', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.941 37.436)', 'GRC', 'GRSYR', 'Ermpypoli', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.213 38.676)', 'GRC', 'GRTHE', 'Theologos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.159 37.536)', 'GRC', 'GRTIN', 'Tínos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.856 37.516)', 'GRC', 'GRTLA', 'Tolo Argolidos', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.722 40.781)', 'GRC', 'GRTSO', 'Thasos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(20.43 38.22)', 'GRC', 'GRVAT', 'Vathí', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.81 37.819)', 'GRC', 'GRVAZ', 'Varzika', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.952 38.43)', 'GRC', 'GRVLC', 'Volissos/Limnia, Chios', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(25.435 36.337)', 'GRC', 'GRVLI', 'Vlichada', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.944 38.97)', 'GRC', 'GRVOA', 'Vónitsa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.006 39.319)', 'GRC', 'GRVOL', 'Vólos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.704 38.043)', 'GRC', 'GRXYL', 'Xylókastron', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.903 37.78)', 'GRC', 'GRZTH', 'Zákynthos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-90.756 13.933)', 'GTM', 'GTPRQ', 'Puerto Quetzal', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-15.583 11.85)', 'GNB', 'GWOXB', 'Bissau', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.55 45.317)', 'HRV', 'HRATL', 'Antenal', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.517 45.3)', 'HRV', 'HRBAK ', 'Bakar ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.75 44.967)', 'HRV', 'HRBAS ', 'Baska ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.867 45.867)', 'HRV', 'HRBAT ', 'Batina ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.283 44.067)', 'HRV', 'HRBBJ ', 'Bibinje ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.417 45.7)', 'HRV', 'HRBLC ', 'Belisce ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.483 43.017)', 'HRV', 'HRBLE', 'Blace', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.45 43.933)', 'HRV', 'HRBNM ', 'Biograd na Moru ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.65 43.267)', 'HRV', 'HRBOL ', 'Bol ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15 44.083)', 'HRV', 'HRBRB', 'Brbinj/Lucina', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.75 44.9)', 'HRV', 'HRBRI ', 'Brioni ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.95 43.35)', 'HRV', 'HRBVO ', 'Baska Voda ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.9 44.133)', 'HRV', 'HRBZA ', 'Bozava ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.7 45.183)', 'HRV', 'HRCRA ', 'Crikvenica ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.4 44.95)', 'HRV', 'HRCRS ', 'Cres ', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(18.217 42.567)', 'HRV', 'HRCVT ', 'Cavtat ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.3 44.05)', 'HRV', 'HRDAL ', 'Dalmacia ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.083 42.65)', 'HRV', 'HRDBV', 'Dubrovnik', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.083 42.65)', 'HRV', 'HRDBV ', 'Dubrovnik ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18 42.683)', 'HRV', 'HRDNC', 'Donje Celo', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.25 43.15)', 'HRV', 'HRDRK', 'Drvenik', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.633 43.433)', 'HRV', 'HRDUR ', 'Dugi Rat ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.417 43.967)', 'HRV', 'HRFIL ', 'Filipjakov ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.733 44.933)', 'HRV', 'HRFNA', 'Fazana', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.267 44.1)', 'HRV', 'HRGNA', 'Gazenica', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(19.367 45.217)', 'HRV', 'HRILO ', 'Ilok ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.767 44.267)', 'HRV', 'HRIST ', 'Ist ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.9 44.717)', 'HRV', 'HRJAB ', 'Jablanac ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.85 43.717)', 'HRV', 'HRJDR', 'Jadrija', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.7 43.167)', 'HRV', 'HRJSA ', 'Jelsa ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.067 44.517)', 'HRV', 'HRKAB ', 'Karlobag ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.2 44.067)', 'HRV', 'HRKAL ', 'Kali ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.433 43.55)', 'HRV', 'HRKAS ', 'Kastel Sucurac ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.4 43.55)', 'HRV', 'HRKGA ', 'Kastel Gomilica ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.567 42.95)', 'HRV', 'HRKLK', 'Klek', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.633 45.15)', 'HRV', 'HRKMN', 'Klimno', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.083 43.033)', 'HRV', 'HRKMZ ', 'Komiza ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.367 45.433)', 'HRV', 'HRKNA ', 'Klana ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.117 42.95)', 'HRV', 'HRKOR ', 'Korcula ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.5 45.3)', 'HRV', 'HRKOS ', 'Kostrena ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.717 43.683)', 'HRV', 'HRKPR', 'Kaprije', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.567 45.267)', 'HRV', 'HRKRA ', 'Kraljevica ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.583 45.033)', 'HRV', 'HRKRK ', 'Krk ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.117 44.967)', 'HRV', 'HRKRM ', 'Koromacno ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.25 44.033)', 'HRV', 'HRKUK ', 'Kukljica ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.2 44.033)', 'HRV', 'HRLAM ', 'Lamjane ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.133 42.617)', 'HRV', 'HRLKR', 'Lokrum', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.95 42.683)', 'HRV', 'HRLPD', 'Lopud', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.8 44.833)', 'HRV', 'HRLPR', 'Lopar', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.9 42.767)', 'HRV', 'HRLST ', 'Lastovo ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.467 44.533)', 'HRV', 'HRLSZ', 'Mali Losinj', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.467 44.533)', 'HRV', 'HRLSZ ', 'Mali Losinj ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.233 45.933)', 'HRV', 'HRLUK ', 'Luka ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.017 43.3)', 'HRV', 'HRMAK ', 'Makarska ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.533 45.117)', 'HRV', 'HRMAL ', 'Malinska ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.533 44.217)', 'HRV', 'HRMAS ', 'Maslenica ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.633 43.05)', 'HRV', 'HRMET ', 'Metkovic ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.45 43.317)', 'HRV', 'HRMIL ', 'Milna ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.133 44.033)', 'HRV', 'HRMIZ ', 'Mali Iz ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.867 44.7)', 'HRV', 'HRMNK', 'Misnjak', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.25 45.233)', 'HRV', 'HRMOD ', 'Moscenicka Draga ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.45 44.983)', 'HRV', 'HRMRG', 'Merag', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.667 43.667)', 'HRV', 'HRMRJ', 'Muna na Zirju', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.417 44.817)', 'HRV', 'HRMTA', 'Martinscica', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.6 43.817)', 'HRV', 'HRMUR ', 'Murter ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.4 44.667)', 'HRV', 'HRNRZ', 'Nerezine', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(14.783 45.133)', 'HRV', 'HRNVD ', 'Novi Vinodolski ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.55 45.3)', 'HRV', 'HRNVG ', 'Novigrad ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.883 44.55)', 'HRV', 'HRNVL ', 'Novalja ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.667 44.2)', 'HRV', 'HROBR ', 'Obrovac ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.55 45.217)', 'HRV', 'HROMI ', 'Omisalj ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.7 43.45)', 'HRV', 'HROMS ', 'Omis ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.783 43.683)', 'HRV', 'HRONJ', 'Obonjan', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.3 45.333)', 'HRV', 'HROPA ', 'Opatija ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.183 42.967)', 'HRV', 'HRORB', 'Orebic', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.683 45.55)', 'HRV', 'HROSI', 'Osijek', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.05 44.433)', 'HRV', 'HRPAG ', 'Pag ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.383 43.95)', 'HRV', 'HRPAS ', 'Pasman ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.75 43.367)', 'HRV', 'HRPCA', 'Pucisca', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.383 42.783)', 'HRV', 'HRPLA', 'Polace', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.433 43.05)', 'HRV', 'HRPLE ', 'Ploce ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.167 45.133)', 'HRV', 'HRPLM ', 'Plomin ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.35 42.783)', 'HRV', 'HRPMN ', 'Pomena ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.633 45.017)', 'HRV', 'HRPNT ', 'Punat ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.583 45.217)', 'HRV', 'HRPOR ', 'Porec ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.617 43.367)', 'HRV', 'HRPOS ', 'Postire ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.2 44.083)', 'HRV', 'HRPRECODE ', 'Preko', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.933 43.583)', 'HRV', 'HRPRI ', 'Primosten ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.967 44.6)', 'HRV', 'HRPRN', 'Prizna', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.683 42.817)', 'HRV', 'HRPRP', 'Prapratno', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.783 43.733)', 'HRV', 'HRPRS', 'Prvic Sepurine', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.8 43.717)', 'HRV', 'HRPRV', 'Prvic', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.8 43.717)', 'HRV', 'HRPRV ', 'Prvic ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.133 45.133)', 'HRV', 'HRPRZ', 'Porozina', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.833 44.867)', 'HRV', 'HRPUY', 'Pula', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.75 44.75)', 'HRV', 'HRRAB ', 'Rab ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.067 45.067)', 'HRV', 'HRRAS ', 'Rasa ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.167 45.083)', 'HRV', 'HRRBC ', 'Rabac ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.3 43.4)', 'HRV', 'HRRGC ', 'Rogac ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.967 43.533)', 'HRV', 'HRRGN ', 'Rogoznica ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.4 45.333)', 'HRV', 'HRRJK', 'Rijeka', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.467 43.033)', 'HRV', 'HRROG ', 'Rogotin ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.633 45.083)', 'HRV', 'HRROV ', 'Rovinj ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.167 43.933)', 'HRV', 'HRSAL ', 'Sali ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.517 43.5)', 'HRV', 'HRSBC ', 'Stobrec ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.617 42.75)', 'HRV', 'HRSBR', 'Sobra', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.917 42.717)', 'HRV', 'HRSDR', 'Sudurad', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.9 44.983)', 'HRV', 'HRSEN ', 'Senj ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.6 43.183)', 'HRV', 'HRSGD ', 'Stari Grad ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.433 44.3)', 'HRV', 'HRSGR ', 'Starigrad ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.883 43.733)', 'HRV', 'HRSIB ', 'Sibenik ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.7 44.367)', 'HRV', 'HRSIL ', 'Silba ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.367 45.467)', 'HRV', 'HRSIS ', 'Sisak ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.9 42.783)', 'HRV', 'HRSLA ', 'Slano ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.717 45.15)', 'HRV', 'HRSLC', 'Selce', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.5 43.55)', 'HRV', 'HRSLN ', 'Solin ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.667 45.15)', 'HRV', 'HRSLO ', 'Silo ', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(16.35 43.5)', 'HRV', 'HRSLT', 'Slatine', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.883 43.283)', 'HRV', 'HRSMN ', 'Sumartin ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.6 43.367)', 'HRV', 'HRSPL ', 'Splitska ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.45 43.5)', 'HRV', 'HRSPU', 'Split', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.917 43.817)', 'HRV', 'HRSRD', 'Skradin', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.3 44.517)', 'HRV', 'HRSSK ', 'Susak ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.35 43.367)', 'HRV', 'HRSTM', 'Stomorska', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.7 42.833)', 'HRV', 'HRSTO ', 'Ston ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.1 42.667)', 'HRV', 'HRSTP', 'Sustjepan', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.183 43.117)', 'HRV', 'HRSUC ', 'Sucuraj ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.55 43.383)', 'HRV', 'HRSUP ', 'Supetar ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.417 43.55)', 'HRV', 'HRSUR ', 'Sucurac ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.317 45.483)', 'HRV', 'HRSUS ', 'Susak ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.483 43.383)', 'HRV', 'HRSUT ', 'Sutivan ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.917 44.933)', 'HRV', 'HRSVJ ', 'Sveti Juraj ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.45 43.917)', 'HRV', 'HRTKN', 'Tkon', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.65 43.8)', 'HRV', 'HRTNO ', 'Tisno ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.1 44.967)', 'HRV', 'HRTNR', 'Tunarica', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.748 43.751)', 'HRV', 'HRTRI', 'Tribunj', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.267 43.017)', 'HRV', 'HRTRJ ', 'Trpanj ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.417 42.917)', 'HRV', 'HRTRK ', 'Trstenik ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.25 43.5)', 'HRV', 'HRTRO ', 'Trogir ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.4 43.967)', 'HRV', 'HRTUR ', 'Turanj ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.833 42.75)', 'HRV', 'HRUBL', 'Ubli', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.1 44.117)', 'HRV', 'HRUGL ', 'Ugljan ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.517 45.417)', 'HRV', 'HRUMG ', 'Umag ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.233 44.633)', 'HRV', 'HRUNJ', 'Unije', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.15 43.883)', 'HRV', 'HRUVM ', 'Uvala Mir ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.767 43.767)', 'HRV', 'HRVDC ', 'Vodice ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.1 42.983)', 'HRV', 'HRVGN', 'Viganj', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.083 44.3)', 'HRV', 'HRVIR ', 'Vir ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.167 43.05)', 'HRV', 'HRVIS ', 'Vis ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.117 44.05)', 'HRV', 'HRVIZ ', 'Veli Iz ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.5 45.033)', 'HRV', 'HRVLB', 'Valbiska', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.717 42.95)', 'HRV', 'HRVLK ', 'Vela Luka ', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.5 44.517)', 'HRV', 'HRVLN', 'Veli Losinj', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.467 43.533)', 'HRV', 'HRVRA', 'Vranjic', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.5 43.867)', 'HRV', 'HRVRG', 'Vrgada', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.683 45.083)', 'HRV', 'HRVRK', 'Vrbnik', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.6 45.15)', 'HRV', 'HRVRR', 'Vrsar', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.683 43.183)', 'HRV', 'HRVRS', 'Vrboska', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.233 44.117)', 'HRV', 'HRZAD', 'Zadar', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16 45.8)', 'HRV', 'HRZAG', 'Zagreb', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.95 44.583)', 'HRV', 'HRZGL', 'Zigljen', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.833 43.7)', 'HRV', 'HRZLR', 'Zlarin', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-72.867 18.433)', 'HTI', 'HTPEG', 'Petit Goave', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(106.833 -6.133)', 'IDN', 'IDJKT', 'Jakarta, Java', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(104.561 0.786)', 'IDN', 'IDMNT', 'Mantang, Riau', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(106.001 -5.935)', 'IDN', 'IDMRK', 'Merak, Java', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.884 53.945)', 'IRL', 'IEACL', 'ACHILL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.76 54.27)', 'IRL', 'IEAGH', 'AUGHRIS', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-6.337 53.886)', 'IRL', 'IEANN', 'ANNAGASSAN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.714 51.948)', 'IRL', 'IEARD', 'ARDMORE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.881 51.755)', 'IRL', 'IEARG', 'ARDGROOM', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.57 53.083)', 'IRL', 'IEARI', 'ARAN ISLANDS', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.141 52.796)', 'IRL', 'IEARK', 'ARKLOW', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.49 54.992)', 'IRL', 'IEARR', 'ARRANMORE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.151 53.25)', 'IRL', 'IEBAR', 'BARNA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.788 52.211)', 'IRL', 'IEBAW', 'BANNOW', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.179 53.612)', 'IRL', 'IEBBG', 'Balbriggan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.371 54.28)', 'IRL', 'IEBCE', 'Ballycastle', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.318 52.44)', 'IRL', 'IEBCR', 'BALLYCONIGER', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.949 51.713)', 'IRL', 'IEBCV', 'BALLYCROVANE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.076 53.435)', 'IRL', 'IEBCY', 'BALLYCONNEELY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.664 52.454)', 'IRL', 'IEBDF', 'BALLYDUFF', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.471 54.842)', 'IRL', 'IEBEG', 'ROSBEG/PORTNOO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.993 54.227)', 'IRL', 'IEBEL', 'BELMULLET/BLACKSOD', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.154 55.3)', 'IRL', 'IEBGC', 'BONAGEE/CULDAFF', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.319 54.233)', 'IRL', 'IEBGS', 'BALLYGLASS', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.836 52.389)', 'IRL', 'IEBHE', 'BALLYHEIGUE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.968 52.246)', 'IRL', 'IEBHK', 'BALLYHACK', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.326 52.431)', 'IRL', 'IEBKW', 'BLACKWATER', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.477 52.546)', 'IRL', 'IEBLD', 'BALLYLONGFORD', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.012 51.829)', 'IRL', 'IEBLN', 'BALLYCOTTON', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.521 51.679)', 'IRL', 'IEBMW', 'BALLYMACAW', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.208 53.613)', 'IRL', 'IEBOF', 'INISHBOFIN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.102 53.209)', 'IRL', 'IEBRA', 'Bray', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.374 51.483)', 'IRL', 'IEBTM', 'BALTIMORE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.441 55.129)', 'IRL', 'IEBUC', 'BUNCRANA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.28 54.478)', 'IRL', 'IEBUD', 'BUNDORAN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.3 55.061)', 'IRL', 'IEBUN', 'BUNBEG', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.433 54.987)', 'IRL', 'IEBUR', 'BURTONPORT', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.454 51.681)', 'IRL', 'IEBYT', 'BANTRY', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-9.149 53.116)', 'IRL', 'IEBYV', 'BALLYVAUGHAN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.203 52.57)', 'IRL', 'IECAH', 'CAHORE POINT', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.619 53.264)', 'IRL', 'IECAO', 'CARRAROE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.189 54.045)', 'IRL', 'IECAR', 'CARLINGFORD', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.349 52.197)', 'IRL', 'IECAZ', 'CARNE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.881 53.228)', 'IRL', 'IECBG', 'CLARINBRIDGE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.122 53.555)', 'IRL', 'IECGG', 'CLEGGAN/CLIFDEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.018 52.26)', 'IRL', 'IECGY', 'CASTLEGREGORY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.225 51.949)', 'IRL', 'IECHE', 'CAHIRCIVEEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.297 51.804)', 'IRL', 'IECHN', 'CROSSHAVEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.829 53.326)', 'IRL', 'IECIL', 'CILL CHIARAIN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.045 53.808)', 'IRL', 'IECIS', 'CLARE ISLAND', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.884 51.622)', 'IRL', 'IECKY', 'CLONAKILTY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.925 51.742)', 'IRL', 'IECLD', 'CLEANDRA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.161 61.719)', 'SWE', 'SEDJE', 'Djuped', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.234 53.786)', 'IRL', 'IECLG', 'CLOGHERHEAD', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.709 51.636)', 'IRL', 'IECMY', 'COURTMACSHERRY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.841 53.325)', 'IRL', 'IECNA', 'CARNA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.441 54.248)', 'IRL', 'IECNS', 'CARNS', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-8.286 51.854)', 'IRL', 'IECOB', 'COBH', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.219 52.641)', 'IRL', 'IECOU', 'COURTOWN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.699 52.603)', 'IRL', 'IECRG', 'CARRIGAHOLT', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.928 52.113)', 'IRL', 'IECRM', 'CROMANE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.909 51.653)', 'IRL', 'IECTB', 'Castletown Bearhaven', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-9.174 51.528)', 'IRL', 'IECTD', 'CASTLETOWNSEND', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.384 52.381)', 'IRL', 'IECUR', 'CURRACLOE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.095 53.274)', 'IRL', 'IEDAL', 'DALKEY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.519 52.725)', 'IRL', 'IEDBG', 'DOONBEG', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.304 52.138)', 'IRL', 'IEDBR', 'DUNBRATTIN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.981 52.208)', 'IRL', 'IEDCN', 'Duncannon/Saint Helens', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.347 54.006)', 'IRL', 'IEDDK', 'DUNDALK', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-7.995 55.185)', 'IRL', 'IEDFY', 'DUNFANAGHY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.633 52.084)', 'IRL', 'IEDGN', 'Dungarvan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.278 52.112)', 'IRL', 'IEDIN', 'Dingle', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.36 54.621)', 'IRL', 'IEDKY', 'DUNKINEELY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.135 53.3)', 'IRL', 'IEDLG', 'DUN LAOGHAIRE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-9.378 53.016)', 'IRL', 'IEDLN', 'DOOLIN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.743 51.52)', 'IRL', 'IEDMS', 'DUNMANUS BAY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.992 52.149)', 'IRL', 'IEDNM', 'DUNMORE EAST', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.38 53.706)', 'IRL', 'IEDRO', 'DROGHEDA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.893 54.252)', 'IRL', 'IEDRW', 'DROMORE WEST', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.137 51.769)', 'IRL', 'IEDRY', 'DERRYNANE/CAHERDANIEL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.2 53.349)', 'IRL', 'IEDUB', 'DUBLIN', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-7.845 55.189)', 'IRL', 'IEDWN', 'DOWNINGS', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.205 51.87)', 'IRL', 'IEEFY', 'EAST FERRY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.962 54.286)', 'IRL', 'IEEKY', 'EASKEY/RATHLEE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.095 54.215)', 'IRL', 'IEENS', 'ENNISCRONE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.647 55.279)', 'IRL', 'IEFAN', 'FANAD', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.859 52.281)', 'IRL', 'IEFEN', 'FENIT', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-9.104 52.616)', 'IRL', 'IEFOV', 'FOYNES', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.826 52.192)', 'IRL', 'IEFTD', 'FETHARD/SLADE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.998 51.676)', 'IRL', 'IEGAR', 'GARNISH/TRAVARA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.96 52.062)', 'IRL', 'IEGBI', 'GLENBEIGH', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.551 51.749)', 'IRL', 'IEGGA', 'Glengarriff', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.176 55.323)', 'IRL', 'IEGGD', 'GLENGAD', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.193 53.981)', 'IRL', 'IEGLY', 'GYLES/RATHCOR', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.727 51.469)', 'IRL', 'IEGOL', 'GOLEEN/CROOKHAVEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.979 55.204)', 'IRL', 'IEGRE', 'Greencastle', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.132 54.032)', 'IRL', 'IEGRN', 'GREENORE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.132 54.033)', 'IRL', 'IEGRY', 'GREYSTONES', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.052 53.27)', 'IRL', 'IEGWY', 'GALWAY', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.245 53.987)', 'IRL', 'IEGYL', 'RATHCOR/GYLES QUAY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.542 52.052)', 'IRL', 'IEHEL', 'HELVICK', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.077 53.39)', 'IRL', 'IEHOW', 'HOWTH', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-10.279 51.823)', 'IRL', 'IEIBS', 'BALLINSKELLIGS', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.932 55.224)', 'IRL', 'IEINI', 'INISHOWEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.224 54.282)', 'IRL', 'IEINN', 'INVERIN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.278 54.652)', 'IRL', 'IEINR', 'INVER/ST JOHNS POINT', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.09 53.71)', 'IRL', 'IEINT', 'INISHTURK', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.861 52.571)', 'IRL', 'IEKBA', 'KILBAHA', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-8.468 54.645)', 'IRL', 'IEKBS', 'KILLYBEGS', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.393 55.026)', 'IRL', 'IEKCH', 'KINCASSLAGH', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.111 52.24)', 'IRL', 'IEKCN', 'KILCUMMIN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.956 51.87)', 'IRL', 'IEKDN', 'KNOCKADOON', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.588 51.878)', 'IRL', 'IEKEN', 'KENMARE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.936 53.139)', 'IRL', 'IEKIA', 'KINVARRA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.647 52.68)', 'IRL', 'IEKKE', 'KILKEE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.222 54.212)', 'IRL', 'IEKLA', 'KILLALA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.842 52.06)', 'IRL', 'IEKLL', 'Kells', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.807 51.78)', 'IRL', 'IEKLM', 'KILMACALOGUE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.519 51.703)', 'IRL', 'IEKLN', 'KINSALE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-9.488 52.639)', 'IRL', 'IEKLR', 'KILRUSH', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-9.838 53.623)', 'IRL', 'IEKLZ', 'KILLARY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.587 52.173)', 'IRL', 'IEKRL', 'KILMORE QUAY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.817 52.146)', 'IRL', 'IELAC', 'LACKEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.812 53.763)', 'IRL', 'IELBG', 'LOUISBURGH', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.722 53.238)', 'IRL', 'IELET', 'LETTERMORE/LETTERMULLEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.084 53.546)', 'IRL', 'IELGY', 'LOUGHSHINNY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.035 51.597)', 'IRL', 'IELHB', 'LEHANBEAG', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.389 52.939)', 'IRL', 'IELIS', 'LISCANNOR', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.64 52.66)', 'IRL', 'IELMK', 'LIMERICK', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-6.129 53.452)', 'IRL', 'IEMAH', 'MALAHIDE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.783 54.672)', 'IRL', 'IEMBG', 'MALINBEG', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.198 54.647)', 'IRL', 'IEMCH', 'MOUNTCHARLES', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.39 55.375)', 'IRL', 'IEMHD', 'MALIN HEAD', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.461 54.468)', 'IRL', 'IEMLG', 'MULLAGHMORE/CARNS', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.784 54.669)', 'IRL', 'IEMMR', 'MALINMORE/MALINBEG', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.284 53.721)', 'IRL', 'IEMOR', 'MORNINGTON', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.041 55.191)', 'IRL', 'IEMOV', 'MOVILLE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.633 53.779)', 'IRL', 'IEMRK', 'MURRISK', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.161 55.136)', 'IRL', 'IEMRT', 'MAGHERAROARTY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.5 54.41)', 'IRL', 'IEMYG', 'MONEYGOLD', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.31 53.247)', 'IRL', 'IENNR', 'SPIDDAL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.076 53.156)', 'IRL', 'IENQY', 'NEW QUAY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.261 54.09)', 'IRL', 'IEOME', 'OMEATH', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.389 51.878)', 'IRL', 'IEORK', 'CORK', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.442 51.694)', 'IRL', 'IEOYH', 'OYSTERHAVEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.975 52.241)', 'IRL', 'IEPAS', 'PASSAGE EAST', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.367 51.885)', 'IRL', 'IEPMG', 'PORTMAGEE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.856 51.655)', 'IRL', 'IEPON', 'PONTOON', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.731 54.243)', 'IRL', 'IEPOV', 'PORTAVAUD', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.709 54.322)', 'IRL', 'IEPOY', 'PORTURLIN/PORTACLOY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.359 55.362)', 'IRL', 'IEPTR', 'PORT RONAN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.457 52.817)', 'IRL', 'IEQUI', 'QUILTY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.553 51.884)', 'IRL', 'IERAG', 'RAGHLY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.529 55.098)', 'IRL', 'IERAT', 'RATHMULLAN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.643 51.88)', 'IRL', 'IEREE', 'REEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.029 51.896)', 'IRL', 'IEREN', 'RENARD', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.323 51.831)', 'IRL', 'IERIN', 'RINGASKIDDY', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-9.608 53.834)', 'IRL', 'IERMR', 'ROSSMORE/ROSSCAHILL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.388 52.278)', 'IRL', 'IEROE', 'ROSSLARE', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-6.079 53.523)', 'IRL', 'IERSH', 'RUSH', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.556 53.269)', 'IRL', 'IERSM', 'ROS A MHIL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.568 54.305)', 'IRL', 'IERSS', 'ROSSES POINT', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.922 53.396)', 'IRL', 'IERST', 'ROUNDSTONE/BALLYCONNEELY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.547 51.529)', 'IRL', 'IESCH', 'Skull (Schull)', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.283 51.562)', 'IRL', 'IESKB', 'SKIBBEREEN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.092 53.574)', 'IRL', 'IESKE', 'SKERRIES', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.482 54.277)', 'IRL', 'IESLI', 'SLIGO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-9.923 51.844)', 'IRL', 'IESNE', 'SNEEM', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.462 52.13)', 'IRL', 'IESTB', 'STRADBALLY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.567 54.391)', 'IRL', 'IESTH', 'STREEDAGH/CLOONAGH', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.64 54.633)', 'IRL', 'IETEE', 'TEELIN', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.973 53.603)', 'IRL', 'IETLY', 'TULLY/RENVYLE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.161 52.157)', 'IRL', 'IETME', 'TRAMORE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.217 55.267)', 'IRL', 'IETOR', 'TORY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.718 52.263)', 'IRL', 'IETRA', 'TRALEE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-9.142 51.558)', 'IRL', 'IEUNI', 'UNION HALL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.413 55.263)', 'IRL', 'IEURR', 'URRIS', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.354 51.914)', 'IRL', 'IEVAL', 'VALENTIA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.104 52.258)', 'IRL', 'IEWAT', 'Waterford', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-9.552 53.806)', 'IRL', 'IEWES', 'WESTPORT', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.469 52.343)', 'IRL', 'IEWEX', 'WEXFORD', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.043 52.981)', 'IRL', 'IEWIC', 'WICKLOW', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-10.172 51.827)', 'IRL', 'IEWVI', 'WATERVILLE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.845 51.944)', 'IRL', 'IEYOU', 'YOUGHAL', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.47 54.145)', 'IMN', 'IMDGS', 'DOUGLAS', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-4.7 54.233)', 'IMN', 'IMPEL', 'PEEL', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(72.924 18.91)', 'IND', 'INMRA', 'Mora', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(60.643 25.292)', 'IRN', 'IRZBR', 'Chah-Bahar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-18.126 65.689)', 'ISL', 'ISAKU', 'Akureyri', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-18.533 65.967)', 'ISL', 'ISDAL', 'DALVIK', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-14.015 65.071)', 'ISL', 'ISESK', 'ESKIFJOERDUR', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-23.26 64.925)', 'ISL', 'ISGRF', 'GRUNDARFJOERDUR', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-21.933 64.067)', 'ISL', 'ISHAF', 'Hafnarfjordur', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-22.55 64.033)', 'ISL', 'ISHEL', 'HELGUVIK', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-23.127 66.076)', 'ISL', 'ISISA', 'ISARFJOERDUR', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-22.567 64.017)', 'ISL', 'ISKEF', 'KEFLAVIK', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-21.95 64.15)', 'ISL', 'ISREY', 'Reykjavik', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-19.64 65.746)', 'ISL', 'ISSAU', 'SAUOARKROKUR', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-14.01 65.26)', 'ISL', 'ISSEY', 'SEYDISFJOERDUR', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-21.366 63.85)', 'ISL', 'ISTLH', 'Thorlakshofn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.133 37.55)', 'ITA', 'ITACL', 'ACI CASTELLO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.161 37.564)', 'ITA', 'ITACT', 'ACI TREZZA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.933 41.333)', 'ITA', 'ITAEL', 'Castel Volturno', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.983 40.35)', 'ITA', 'ITAGP', 'AGROPOLI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.318 40.559)', 'ITA', 'ITAHO', 'ALGHERO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.167 44)', 'ITA', 'ITALS', 'ALASSIO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.6 40.633)', 'ITA', 'ITAMA', 'AMALFI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.067 39.133)', 'ITA', 'ITAMT', 'AMANTEA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.617 41.45)', 'ITA', 'ITANZ', 'ANZIO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.033 39.35)', 'ITA', 'ITAOA', 'PAOLA', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(13.5 43.633)', 'ITA', 'ITAOI', 'ANCONA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.017 40.183)', 'ITA', 'ITAOL', 'ACCIAROLI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.884 45.6)', 'ITA', 'ITAOR', 'CAORLE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.567 40.317)', 'ITA', 'ITARG', 'MARUGGIO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.433 42.867)', 'ITA', 'ITATI', 'CASTIGLIONCELLO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.706 39.934)', 'ITA', 'ITATX', 'ARBATAX', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.217 37.217)', 'ITA', 'ITAUG', 'AUGUSTA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.133 36.9)', 'ITA', 'ITAVO', 'AVOLA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.683 44.4)', 'ITA', 'ITAZA', 'ARENZANO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.067 40.817)', 'ITA', 'ITBAI', 'BAIA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.783 41.05)', 'ITA', 'ITBCB', 'Bagnara Calabra', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.5 41.233)', 'ITA', 'ITBCE', 'BISCEGLIE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.933 40.633)', 'ITA', 'ITBDS', 'BRINDISI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.469 44.152)', 'ITA', 'ITBLA', 'BELLARIA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.283 41.317)', 'ITA', 'ITBLT', 'BARLETTA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.867 39.617)', 'ITA', 'ITBMT', 'BELVEDERE MARITTIMO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.15 38.083)', 'ITA', 'ITBNC', 'BIANCO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.5 40.3)', 'ITA', 'ITBOA', 'BOSA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.85 41.133)', 'ITA', 'ITBRI', 'BARI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.917 37.933)', 'ITA', 'ITBVM', 'BOVA MARINA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.117 39.217)', 'ITA', 'ITCAG', 'CAGLIARI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.483 40.7)', 'ITA', 'ITCAS', 'CASTELLAMMARE DI STABIA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.4 37.433)', 'ITA', 'ITCCL', 'CATTOLICA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.933 39.517)', 'ITA', 'ITCCQ', 'CETRARO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.517 43.317)', 'ITA', 'ITCEC', 'CECINA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.883 42.767)', 'ITA', 'ITCEQ', 'CASTIGLIONE DELLA PESCAIA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.359 44.262)', 'ITA', 'ITCEV', 'CERVIA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.017 38.033)', 'ITA', 'ITCFU', 'Cefalù', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.517 39.6)', 'ITA', 'ITCGC', 'CORIGLIANO CALABRO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.289 45.226)', 'ITA', 'ITCHI', 'CHIOGGIA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.317 44.317)', 'ITA', 'ITCHX', 'CHIAVARI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.306 39.145)', 'ITA', 'ITCLF', 'CARLOFORTE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.749 40.61)', 'ITA', 'ITCLQ', 'La Caletta di Siniscola', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.367 39.05)', 'ITA', 'ITCLS', 'CALASETTA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.883 40.75)', 'ITA', 'ITCML', 'Casamicciola Terme', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.412 44.198)', 'ITA', 'ITCNT', 'CESENATICO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.75 38.167)', 'ITA', 'ITCOQ', 'CAPO D''ORLANDO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.833 43.05)', 'ITA', 'ITCPA', 'CAPRAIA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.85 43.017)', 'ITA', 'ITCPM', 'CUPRA MARITTIMA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.426 40.001)', 'ITA', 'ITCRQ', 'Castro Marina', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.95 39.5)', 'ITA', 'ITCRT', 'CARIATI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.133 39.083)', 'ITA', 'ITCRV', 'CROTONE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.317 42.833)', 'ITA', 'ITCSJ', 'Castro', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.1 37.5)', 'ITA', 'ITCTA', 'CATANIA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.71 40.915)', 'ITA', 'ITCTK', 'CASTELSARDO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.883 38.017)', 'ITA', 'ITCTR', 'CASTELLAMMARE DEL GOLFO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.8 42.1)', 'ITA', 'ITCVV', 'CIVITAVECCHIA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.417 42.85)', 'ITA', 'ITCVX', 'CAVO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.817 39.683)', 'ITA', 'ITDIA', 'DIAMANTE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.4 38.617)', 'ITA', 'ITFAL', 'Falconara Marittima', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.017 43.833)', 'ITA', 'ITFAO', 'FANO', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(12.333 37.933)', 'ITA', 'ITFAV', 'FAVIGNANA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.233 41.767)', 'ITA', 'ITFCO', 'FIUMICINO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.8 41.917)', 'ITA', 'ITFCV', 'Foce Varano', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.167 43.95)', 'ITA', 'ITFDM', 'FORTE DEI MARMI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.2 41.85)', 'ITA', 'ITFGE', 'FREGENE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.283 42.417)', 'ITA', 'ITFME', 'Francavilla al Mare', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.333 44.167)', 'ITA', 'ITFNL', 'FINALE LIGURE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.75 42.917)', 'ITA', 'ITFOL', 'FOLLONICA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.617 41.25)', 'ITA', 'ITFOM', 'FORMIA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.567 38.567)', 'ITA', 'ITFPO', 'Filicudi Porto', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.85 40.733)', 'ITA', 'ITFRD', 'Forio', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.583 41.2)', 'ITA', 'ITGAE', 'GAETA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.617 41)', 'ITA', 'ITGAI', 'GOLFO ARANCI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.976 40.056)', 'ITA', 'ITGAL', 'GALLIPOLI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.25 37.067)', 'ITA', 'ITGEA', 'GELA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.85 39.1)', 'ITA', 'ITGIA', 'Giardini Naxos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.9 38.417)', 'ITA', 'ITGIT', 'GIOIA TAURO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.15 44.35)', 'ITA', 'ITGLJ', 'CAMOGLI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.767 43.967)', 'ITA', 'ITGMA', 'GABICCE MARE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.7 37.95)', 'ITA', 'ITGOA', 'GENOVA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.304 44.852)', 'ITA', 'ITGOO', 'GORO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.9 43.433)', 'ITA', 'ITGOR', 'GORGONA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.387 45.679)', 'ITA', 'ITGRD', 'GRADO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.95 42.75)', 'ITA', 'ITGUI', 'GIULIANOVA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.667 41.183)', 'ITA', 'ITGVZ', 'GIOVINAZZO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.467 41.633)', 'ITA', 'ITICA', 'TORVAIANICA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.25 38.2)', 'ITA', 'ITIDF', 'ISOLA DELLE FEMMINE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.9 42.367)', 'ITA', 'ITIDG', 'Isola del Giglio', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.05 43.883)', 'ITA', 'ITIMP', 'IMPERIA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.667 43.317)', 'ITA', 'ITIOA', 'CIVITANOVA MARCHE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.633 40.65)', 'ITA', 'ITIOI', 'MAIORI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.95 40.733)', 'ITA', 'ITISH', 'ISCHIA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.649 45.539)', 'ITA', 'ITJLO', 'IESOLO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.083 41.933)', 'ITA', 'ITLAD', 'LADISPOLI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.333 44.3)', 'ITA', 'ITLAW', 'LAVAGNA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.783 39.817)', 'ITA', 'ITLEA', 'SCALEA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.35 39.8)', 'ITA', 'ITLEC', 'LEUCA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.633 44.167)', 'ITA', 'ITLEN', 'LEVANTO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.917 44.067)', 'ITA', 'ITLER', 'LERICI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.35 41.867)', 'ITA', 'ITLES', 'LESINA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.333 37.983)', 'ITA', 'ITLEV', 'LEVANZO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.933 37.1)', 'ITA', 'ITLIC', 'LICATA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.95 38.467)', 'ITA', 'ITLIP', 'LIPARI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.867 35.867)', 'ITA', 'ITLIU', 'LINOSA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.317 43.55)', 'ITA', 'ITLIV', 'LIVORNO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.41 40.873)', 'ITA', 'ITLLT', 'Savelletri', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.6 35.5)', 'ITA', 'ITLMP', 'LAMPEDUSA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.25 44.133)', 'ITA', 'ITLOA', 'LOANO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.148 45.692)', 'ITA', 'ITLSD', 'LIGNANO SABBIADORO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.169 45.766)', 'ITA', 'ITMAJ', 'MARANO LAGUNARE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.2 42.8)', 'ITA', 'ITMAM', 'MARCIANA MARINA', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(12.583 37.65)', 'ITA', 'ITMAZ', 'MAZARA DEL VALLO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.014 39.143)', 'ITA', 'ITMDA', 'LA MADDALENA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.033 44.033)', 'ITA', 'ITMDC', 'MARINA DI CARRARA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.15 41.367)', 'ITA', 'ITMDW', 'MARGHERITA DI SAVOIA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.917 41.633)', 'ITA', 'ITMFR', 'MANFREDONIA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.367 40)', 'ITA', 'ITMIT', 'MARINA DI CAMEROTA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.617 42.35)', 'ITA', 'ITMLS', 'MONTALTO DI CASTRO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.333 40.6)', 'ITA', 'ITMLU', 'Massa Lubrense', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.233 38.217)', 'ITA', 'ITMLZ', 'MILAZZO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.067 37.967)', 'ITA', 'ITMMO', 'MARETTIMO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.333 38.2)', 'ITA', 'ITMND', 'Mondello, Palermo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.534 45.807)', 'ITA', 'ITMNF', 'MONFALCONE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.3 40.95)', 'ITA', 'ITMNP', 'MONOPOLI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.6 41.2)', 'ITA', 'ITMOL', 'MOLFETTA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.267 43.667)', 'ITA', 'ITMPA', 'MARINA DI PISA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.783 37.917)', 'ITA', 'ITMPS', 'MELITO DI PORTO SALVO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.433 37.8)', 'ITA', 'ITMRA', 'MARSALA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.133 39.367)', 'ITA', 'ITMRM', 'Cirò Marina', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.233 42.733)', 'ITA', 'ITMRP', 'MARINA DI CAMPO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.233 40.1)', 'ITA', 'ITMSB', 'MARINA DI PISCIOTTA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.983 42.717)', 'ITA', 'ITMSD', 'MARINA DI GROSSETO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.567 38.183)', 'ITA', 'ITMSN', 'MESSINA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.4 40.65)', 'ITA', 'ITMTH', 'Meta', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.917 42.883)', 'ITA', 'ITMTS', 'MARTINSICURO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.25 40.833)', 'ITA', 'ITNAP', 'NAPOLI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.983 37.483)', 'ITA', 'ITNCT', 'SAN CATALDO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.433 44.2)', 'ITA', 'ITNLI', 'NOLI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.633 40.3)', 'ITA', 'ITNNE', 'CALA GONONE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.452 39.066)', 'ITA', 'ITNTA', 'Sant''Antioco', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.4 44.267)', 'ITA', 'ITNTE', 'SESTRI LEVANTE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.617 43.517)', 'ITA', 'ITNUM', 'NUMANA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.217 42.45)', 'ITA', 'ITOBT', 'ORBETELLO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.083 41.067)', 'ITA', 'ITODB', 'MOLA DI BARI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.883 41.117)', 'ITA', 'ITODG', 'MONDRAGONE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.256 36.981)', 'ITA', 'ITOGN', 'OGNINA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.517 40.917)', 'ITA', 'ITOLB', 'OLBIA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.533 38.1)', 'ITA', 'ITORL', 'PORTICELLO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.4 42.35)', 'ITA', 'ITOTN', 'ORTONA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.5 40.15)', 'ITA', 'ITOTO', 'OTRANTO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.233 37.183)', 'ITA', 'ITOZI', 'POZZILLO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.067 38.633)', 'ITA', 'ITPAN', 'PANAREA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.383 41.183)', 'ITA', 'ITPAU', 'PALAU', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.4 42.767)', 'ITA', 'ITPAZ', 'PORTO AZZURRO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.533 41.133)', 'ITA', 'ITPCE', 'PORTO CERVO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.017 41.95)', 'ITA', 'ITPCH', 'PESCHICI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.2 40.6)', 'ITA', 'ITPCN', 'Porto Conte Torre Nuova', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.833 43.1)', 'ITA', 'ITPED', 'PEDASO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.65 38.017)', 'ITA', 'ITPEL', 'PELLARO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.533 37.283)', 'ITA', 'ITPEM', 'PORTO EMPEDOCLE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.917 43.9)', 'ITA', 'ITPES', 'PESARO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.317 42.817)', 'ITA', 'ITPFE', 'PORTOFERRAIO', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(12.244 44.678)', 'ITA', 'ITPGA', 'PORTO GARIBALDI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.234 40.424)', 'ITA', 'ITPIM', 'PRAIA A MARE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.533 42.917)', 'ITA', 'ITPIO', 'PIOMBINO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.167 38.733)', 'ITA', 'ITPIZ', 'PIZZO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.283 40.033)', 'ITA', 'ITPLN', 'PALINURO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.85 38.35)', 'ITA', 'ITPMM', 'PALMI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.367 38.117)', 'ITA', 'ITPMO', 'PALERMO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.971 38.153)', 'ITA', 'ITPMY', 'Marina di Patti', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.217 45.82)', 'ITA', 'ITPNG', 'PORTO NOGARO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.95 36.833)', 'ITA', 'ITPNL', 'PANTELLERIA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.967 40.9)', 'ITA', 'ITPNZ', 'PONZA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.483 40.633)', 'ITA', 'ITPOS', 'POSITANO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.117 40.817)', 'ITA', 'ITPOZ', 'POZZUOLI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.133 36.68)', 'ITA', 'ITPPF', 'Portopalo di Capo Passero', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.367 44.933)', 'ITA', 'ITPPT', 'PORTO TOLLE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.667 43.433)', 'ITA', 'ITPRF', 'PORTO RECANATI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.633 40.067)', 'ITA', 'ITPRH', 'SAPRI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.233 40.55)', 'ITA', 'ITPRJ', 'CAPRI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.033 40.767)', 'ITA', 'ITPRO', 'PROCIDA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.383 40.633)', 'ITA', 'ITPRR', 'PIANO DI SORRENTO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.85 44.05)', 'ITA', 'ITPRW', 'Portovenere', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.23 42.466)', 'ITA', 'ITPSR', 'PESCARA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.117 42.433)', 'ITA', 'ITPSS', 'PORTO SANTO STEFANO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.333 40.817)', 'ITA', 'ITPTC', 'PORTICI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.2 44.3)', 'ITA', 'ITPTF', 'PORTOFINO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.2 42.383)', 'ITA', 'ITPTH', 'PORTO ERCOLE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.397 40.835)', 'ITA', 'ITPTO', 'PORTO TORRES', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.897 40.262)', 'ITA', 'ITPTZ', 'Porto Cesareo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.379 39.205)', 'ITA', 'ITPVE', 'Portoscuso', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.365 45.046)', 'ITA', 'ITPVT', 'PORTO LEVANTE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.333 44.817)', 'ITA', 'ITPZL', 'POZZALLO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.667 41.923)', 'ITA', 'ITQCJ', 'Capojale', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.1 44)', 'ITA', 'ITQMM', 'MARINA DI MASSA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.592 39.903)', 'ITA', 'ITQOS', 'ORISTANO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.201 44.418)', 'ITA', 'ITRAN', 'RAVENNA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.65 43.983)', 'ITA', 'ITRCE', 'RICCIONE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.017 42.683)', 'ITA', 'ITRDA', 'ROSETO DEGLI ABRUZZI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.15 44.367)', 'ITA', 'ITREC', 'RECCO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.65 38.1)', 'ITA', 'ITREG', 'REGGIO CALABRIA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.883 41.917)', 'ITA', 'ITRGG', 'RODI GARGANICO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(10.417 42.817)', 'ITA', 'ITRMA', 'RIO MARINA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.733 44.1)', 'ITA', 'ITRMG', 'RIO MAGGIORE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.581 44.063)', 'ITA', 'ITRMI', 'RIMINI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.417 44.233)', 'ITA', 'ITRNS', 'SPOTORNO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.4 38.317)', 'ITA', 'ITROC', 'ROCCELLA IONICA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.483 41.9)', 'ITA', 'ITROM', 'ROMA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.233 44.35)', 'ITA', 'ITRPO', 'RAPALLO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.2 37.733)', 'ITA', 'ITRPT', 'RIPOSTO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.367 40.617)', 'ITA', 'ITRRO', 'SORRENTO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.65 44.15)', 'ITA', 'ITRSM', 'MONTEROSSO AL MARE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.424 44.261)', 'ITA', 'ITRTS', 'RIVA TRIGOSO', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(13.133 43.767)', 'ITA', 'ITRTT', 'MAROTTA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.633 38.067)', 'ITA', 'ITSAG', 'SANT''AGATA DI MILITELLO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.783 40.683)', 'ITA', 'ITSAL', 'SALERNO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.05 37.517)', 'ITA', 'ITSCK', 'SCIACCA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.433 36.883)', 'ITA', 'ITSCO', 'SCOGLITTI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.546 39.652)', 'ITA', 'ITSCW', 'Schiavonea', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.883 42.95)', 'ITA', 'ITSDB', 'SAN BENEDETTO DEL TRONTO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.217 43.717)', 'ITA', 'ITSEG', 'SENIGALLIA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.083 41.233)', 'ITA', 'ITSFE', 'SAN FELICE CIRCEO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.205 40.763)', 'ITA', 'ITSIA', 'SINISCOLA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.3 38.267)', 'ITA', 'ITSID', 'SIDERNO MARINA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.8 43.183)', 'ITA', 'ITSIG', 'PORTO SAN GIORGIO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.3 37.067)', 'ITA', 'ITSIR', 'SIRACUSA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.717 38.25)', 'ITA', 'ITSLL', 'SCILLA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.083 42.567)', 'ITA', 'ITSLV', 'Silvi Marina', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.85 42.033)', 'ITA', 'ITSMA', 'SANTA MARINELLA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.173 37.617)', 'ITA', 'ITSMJ', 'Santa Maria La Scala', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.95 40.283)', 'ITA', 'ITSMK', 'SANTA MARIA DI CASTELLABATE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.2 44.333)', 'ITA', 'ITSML', 'SANTA MARGHERITA LIGURE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.083 38.15)', 'ITA', 'ITSNR', 'TERRASINI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.55 38.683)', 'ITA', 'ITSOO', 'SOVERATO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.833 44.117)', 'ITA', 'ITSPE', 'LA SPEZIA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(7.767 43.817)', 'ITA', 'ITSRE', 'SAN REMO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.483 40.05)', 'ITA', 'ITSRH', 'SCARIO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(9.183 41.233)', 'ITA', 'ITSTE', 'SANTA TERESA DI GALLURA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.217 38.783)', 'ITA', 'ITSTR', 'STROMBOLI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.75 38.167)', 'ITA', 'ITSVC', 'SAN VITO LO CAPO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.5 44.283)', 'ITA', 'ITSVN', 'SAVONA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.7 40.65)', 'ITA', 'ITTAA', 'CETARA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.133 42.55)', 'ITA', 'ITTAL', 'TALAMONE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.23 40.476)', 'ITA', 'ITTAR', 'TARANTO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.449 58.357)', 'SWE', 'SELAL', 'Lahälla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.533 39.867)', 'ITA', 'ITTCC', 'TREBISACCE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.892 40.257)', 'ITA', 'ITTCS', 'TORRE CESAREA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.367 40.783)', 'ITA', 'ITTDG', 'TORRE DEL GRECO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.717 39.983)', 'ITA', 'ITTEA', 'MARATEA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.35 38.017)', 'ITA', 'ITTEF', 'SANTO STEFANO DI CAMASTRA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.05 40.817)', 'ITA', 'ITTGV', 'TORRE GAVETA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15 42)', 'ITA', 'ITTMI', 'TERMOLI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.5 42.117)', 'ITA', 'ITTMT', 'Tremiti', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.417 41.283)', 'ITA', 'ITTNI', 'TRANI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.45 40.75)', 'ITA', 'ITTOA', 'TORRE ANNUNZIATA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.483 38.017)', 'ITA', 'ITTPS', 'TRAPANI', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.25 41.283)', 'ITA', 'ITTRC', 'TERRACINA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.7 37.983)', 'ITA', 'ITTRI', 'TERMINI IMERESE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.9 38.683)', 'ITA', 'ITTRP', 'TROPEA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.78 45.649)', 'ITA', 'ITTRS', 'TRIESTE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.15 39.917)', 'ITA', 'ITTRU', 'Torre San Giovanni d''Ugento', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.367 39.933)', 'ITA', 'ITTSE', 'TRICASE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.917 42.8)', 'ITA', 'ITTTL', 'TORTORETO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.767 45.603)', 'ITA', 'ITUGG', 'MUGGIA', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(13.183 38.7)', 'ITA', 'ITUST', 'USTICA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.327 45.439)', 'ITA', 'ITVCE', 'VENEZIA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.922 45.773)', 'ITA', 'ITVDA', 'VADA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(7.6 43.783)', 'ITA', 'ITVEN', 'VENTIMIGLIA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(10.233 43.867)', 'ITA', 'ITVIA', 'VIAREGGIO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.167 41.883)', 'ITA', 'ITVIE', 'VIESTE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.262 44.808)', 'ITA', 'ITVLN', 'VOLANO', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(8.567 44.367)', 'ITA', 'ITVRZ', 'VARAZZE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.633 38.217)', 'ITA', 'ITVSG', 'Villa San Giovanni, Calabria', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.7 42.117)', 'ITA', 'ITVSO', 'VASTO', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(8.75 44.433)', 'ITA', 'ITVTI', 'VOLTRI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.433 40.8)', 'ITA', 'ITVTT', 'VENTOTENE', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.1 38.667)', 'ITA', 'ITVVA', 'VIBO VALENTIA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(9.683 44.133)', 'ITA', 'ITVZN', 'VERNAZZA', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.45 39.75)', 'ITA', 'ITZBF', 'SIBARI', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13 38.05)', 'ITA', 'ITZDD', 'BALESTRATE', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-76.95 18.4)', 'JAM', 'JMORC', 'Oraca-Bessa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(140.747 40.821)', 'JPN', 'JPAOJ', 'Aomori', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(39.668 -4.044)', 'KEN', 'KEMBA', 'Mombasa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(43.26 -11.68)', 'COM', 'KMYVA', 'Moroni', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-10.801 6.313)', 'LBR', 'LRMLW', 'Monrovia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.117 55.717)', 'LTU', 'LTKLJ', 'Klaipeda', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.359 57.863)', 'LVA', 'LVAIN', 'Ainazi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.984 56.3)', 'LVA', 'LVJUR', 'Jurmalciems', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.59 57.738)', 'LVA', 'LVKLK', 'Kolka', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.35 57.79)', 'LVA', 'LVKVZ', 'Kuivizi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.017 56.517)', 'LVA', 'LVLPX', 'Liepaja', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.1 57.333)', 'LVA', 'LVMRX', 'Mersrags', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.172 56.889)', 'LVA', 'LVPAV', 'Pavilosta', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.106 56.95)', 'LVA', 'LVRIX', 'Riga', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.808 57.508)', 'LVA', 'LVROJ', 'Roja', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.35 57.75)', 'LVA', 'LVSAL', 'Salacgriva', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(24.433 57.317)', 'LVA', 'LVSKU', 'Skulte', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.565 57.394)', 'LVA', 'LVVNT', 'Ventspils', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-9.598 30.427)', 'MAR', 'MAAGA', 'Agadir', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.59 33.574)', 'MAR', 'MACAS', 'Casablanca', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.62 33.127)', 'MAR', 'MAJFL', 'Jorf Lasfar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.15 35.184)', 'MAR', 'MALAR', 'Larache', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-6.589 34.254)', 'MAR', 'MANNA', 'Kenitra (Ex Port Lyautey)', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-5.817 35.783)', 'MAR', 'MATNG', 'Tangier', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-15.935 23.722)', 'MAR', 'MAVIL', 'Dakhla', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(49.294 -12.322)', 'MDG', 'MGDIE', 'Antsiranana', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-61.06 14.59)', 'MTQ', 'MQFDF', 'Fort-de-France', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-17.036 20.943)', 'MRT', 'MRNDB', 'Nouadhibou', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-15.95 18.1)', 'MRT', 'MRNKC', 'Nouakchott', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.329 35.989)', 'MLT', 'MTCKW', 'Cirkewwa', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.533 35.833)', 'MLT', 'MTMAR', 'Marsaxlokk', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(7 59.45)', 'NOR', 'NOEGE', 'EGERSUND', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.26 36.072)', 'MLT', 'MTMFN', 'Marsalforn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.283 36.017)', 'MLT', 'MTMGZ', 'Mgarr, Gozo', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.5 35.883)', 'MLT', 'MTMLA', 'Valletta', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(14.333 35.989)', 'MLT', 'MTMRF', 'Marfa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.563 35.865)', 'MLT', 'MTMSC', 'Marsascala', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.495 35.898)', 'MLT', 'MTMSD', 'Msida', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.4 35.95)', 'MLT', 'MTSPB', 'Saint Paul''s Bay (San Pawl il-Bahar)', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.494 35.914)', 'MLT', 'MTSTG', 'San Giljan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(57.517 -20.167)', 'MUS', 'MUPLU', 'Port Louis', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(34.85 -19.833)', 'MOZ', 'MZBEW', 'Beira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(32.583 -25.966)', 'MOZ', 'MZMPM', 'Maputo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.167 -26.65)', 'NAM', 'NALUD', 'Luderitz', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.508 -22.956)', 'NAM', 'NAWVB', 'Walvis Bay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(166.45 -22.26)', 'NCL', 'NCNOU', 'Nouméa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.753 51.675)', 'NLD', 'NLBHS', 'Burghsluis', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(3.55 51.4)', 'NLD', 'NLBRS', 'Breskens', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(4.3 51.5)', 'NLD', 'NLBZM', 'Bergse Diepsluis/Bergen op Zoom', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3.85 51.6)', 'NLD', 'NLCOL', 'Colijnsplaat', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(4.767 52.967)', 'NLD', 'NLDHR', 'Den Helder', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(6.917 53.333)', 'NLD', 'NLDZL', 'Delfzijl', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(6.817 53.45)', 'NLD', 'NLEEM', 'Eemshaven', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(5.417 53.183)', 'NLD', 'NLHAR', 'Harlingen', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(4.6 52.467)', 'NLD', 'NLIJM', 'IJmuiden/Velsen', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3.867 51.567)', 'NLD', 'NLKAT', 'Kats', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.333 53.067)', 'NLD', 'NLKWZ', 'Kornwerderzand', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(6.2 53.417)', 'NLD', 'NLLAN', 'Lauwersoog', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(7.2 53.233)', 'NLD', 'NLNSZ', 'Nieuwe Statenzijl', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(4.867 53.033)', 'NLD', 'NLOHI', 'Oudeschild', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(4.5 51.917)', 'NLD', 'NLRTM', 'Rotterdam', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(4.283 52.1)', 'NLD', 'NLSCE', 'Scheveningen', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(4.033 51.8)', 'NLD', 'NLSTD', 'Stellendam', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(7.033 53.3)', 'NLD', 'NLTMZ', 'Termunterzijl', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.6 52.667)', 'NLD', 'NLURK', 'Urk', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(4.35 51.917)', 'NLD', 'NLVLA', 'Vlaardingen', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3.583 51.45)', 'NLD', 'NLVLI', 'Vlissingen', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(3.9 51.533)', 'NLD', 'NLWHD', 'Wilhelminadorp', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.033 52.933)', 'NLD', 'NLWRG', 'Wieringen/Den Oever', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(4.033 51.383)', 'NLD', 'NLWSO', 'Walsoorden', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(6.149 62.472)', 'NOR', 'NOAES', 'Ålesund', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.21 64.879)', 'SWE', 'SELAP', 'Lappviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.272 69.969)', 'NOR', 'NOALF', 'ALTA', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(5.17 60.106)', 'NOR', 'NOASV', 'AUSTEVOLL', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.322 60.391)', 'NOR', 'NOBGO', 'BERGEN', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.542 68.799)', 'NOR', 'NOHRD', 'HARSTAD', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(5.252 59.278)', 'NOR', 'NOKMY', 'KARMOY', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(5.114 61.936)', 'NOR', 'NOMAY', 'MALOEY', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-79.567 8.95)', 'PAN', 'PABLB', 'Balboa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(79.9 9.334)', 'PAN', 'PAONX', 'Colon', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-79.533 8.967)', 'PAN', 'PAPTY', 'Panama City', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-79.5 8.8)', 'PAN', 'PATAB', 'Taboga', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-77.126 -12.051)', 'PER', 'PECLL', 'Callao', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-71.347 -17.647)', 'PER', 'PEILQ', 'Ilo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-76.203 -13.71)', 'PER', 'PEPIO', 'Pisco', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-149.5 -17.53)', 'PYF', 'PFPPT', 'Papeete', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(123.3 10.95)', 'PHL', 'PHCAZ', 'Cadiz', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.503 54.755)', 'POL', 'PLCHL', 'Chałupy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.372 54.805)', 'POL', 'PLCHP', 'Chłapowo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.985 54.252)', 'POL', 'PLCPY', 'Chłopy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.38 54.44)', 'POL', 'PLDAR', 'Darłowo', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.137 54.833)', 'POL', 'PLDEK', 'Dębki', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.307 54.375)', 'POL', 'PLDKI', 'Dąbki', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.39 54.157)', 'POL', 'PLDWI', 'Dźwirzyno', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.723 54.02)', 'POL', 'PLDZN', 'Dziwnów', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.673 54.355)', 'POL', 'PLFBK', 'Frombork', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.55 54.523)', 'POL', 'PLGDN', 'Gdańsk', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.788 54.345)', 'POL', 'PLGDY', 'Gdynia', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.763 54.352)', 'POL', 'PLGKZ', 'Górki Zachodnie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.797 54.605)', 'POL', 'PLHEL', 'Hel', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.537 54.538)', 'POL', 'PLJAL', 'Jarosławiec', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.035 54.34)', 'POL', 'PLJAN', 'Jantar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.672 54.69)', 'POL', 'PLJAT', 'Jastarnia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.59 54.423)', 'POL', 'PLJLT', 'Jelitkowo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.208 54.833)', 'POL', 'PLKAR', 'Karwia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.225 54.335)', 'POL', 'PLKAT', 'Kąty Rybackie I', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.433 54.385)', 'POL', 'PLKM2', 'Krynica Morska II', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.403 54.267)', 'POL', 'PLKME', 'Kamienica Elbląska', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.442 54.373)', 'POL', 'PLKMI', 'Krynica Morska I', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.553 54.187)', 'POL', 'PLKOL', 'Kołobrzeg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.768 53.972)', 'POL', 'PLKPI', 'Kamień Pomorski', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.22 54.352)', 'POL', 'PLKTR', 'Kąty Rybackie II', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.575 54.733)', 'POL', 'PLKUZ', 'Kuźnica', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.424 53.875)', 'POL', 'PLLBI', 'Lubin, Szczeciński', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.55 54.767)', 'POL', 'PLLEA', 'Łeba', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.508 54.607)', 'POL', 'PLMEC', 'Mechelinki', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.285 54.138)', 'POL', 'PLMEZ', 'Mrzeżyno', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.455 53.937)', 'POL', 'PLMID', 'Międzyzdroje', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.688 54.005)', 'POL', 'PLMIW', 'Międzywodzie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.942 54.34)', 'POL', 'PLMKZ', 'Mikoszewo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.075 54.092)', 'POL', 'PLNIC', 'Niechorze', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.283 53.722)', 'POL', 'PLNWA', 'Nowe Warpno', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(19.587 54.433)', 'POL', 'PLOBL', 'Obłuże', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.552 54.555)', 'POL', 'PLOKY', 'Oksywie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.558 54.475)', 'POL', 'PLORW', 'Orłowo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.467 54.668)', 'POL', 'PLOSL', 'Osłonino', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.767 54.425)', 'POL', 'PLPAA', 'Nowa Pasłęka', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.333 54.333)', 'POL', 'PLPEN', 'Gdańsk-Pleniewo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.587 54.433)', 'POL', 'PLPI2', 'Piaski II', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.592 54.423)', 'POL', 'PLPII', 'Piaski I', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.407 54.72)', 'POL', 'PLPUC', 'Puck', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.492 54.633)', 'POL', 'PLREW', 'Rewa', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.05 54.667)', 'POL', 'PLROW', 'Rowy', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.017 54.083)', 'POL', 'PLRWL', 'Rewal', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.95 54.25)', 'POL', 'PLSAB', 'Sarbinowo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.935 54.335)', 'POL', 'PLSBN', 'Świbno', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.633 53.39)', 'POL', 'PLSCD', 'Szczecin-Dąbie', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(19.107 54.342)', 'POL', 'PLSGN', 'Stegna', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.687 53.95)', 'POL', 'PLSIS', 'Sierosław', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.29 53.85)', 'POL', 'PLSJK', 'Karsibór', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.368 53.885)', 'POL', 'PLSJP', 'Świnoujście-Przytór', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.575 54.437)', 'POL', 'PLSOP', 'Sopot', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.618 53.65)', 'POL', 'PLSPA', 'Stepnica', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(19.168 54.35)', 'POL', 'PLSTT', 'Sztutowo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.44 54.287)', 'POL', 'PLSUZ', 'Suchacz', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.258 53.903)', 'POL', 'PLSWI', 'Świnoujście', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.403 54.757)', 'POL', 'PLSWR', 'Swarzewo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.622 53.518)', 'POL', 'PLSZS', 'Szczecin-Stołczyn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.568 53.418)', 'POL', 'PLSZZ', 'Szczecin', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.518 53.655)', 'POL', 'PLTBZ', 'Trzebież', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(19.52 54.322)', 'POL', 'PLTMO', 'Tolkmicko', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.752 54.217)', 'POL', 'PLUMS', 'Ustronie Morskie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.09 54.27)', 'POL', 'PLUNI', 'Unieście', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.853 54.587)', 'POL', 'PLUST', 'Ustka', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.423 53.875)', 'POL', 'PLWAP', 'Wapnica', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.418 54.797)', 'POL', 'PLWLA', 'Władysławowo', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.617 53.838)', 'POL', 'PLWLI', 'Wolin', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.788 54.345)', 'POL', 'PLWSG', 'Górki Wschodnie', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-56.16 46.77)', 'SPM', 'PMFSP', 'Saint Pierre', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-66.106 18.467)', 'PRI', 'PRSJU', 'San Juan', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-27.217 38.652)', 'PRT', 'PTADH', 'Angra do Heroísmo', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.633 41.133)', 'PRT', 'PTAFR', 'Afurada', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.65 41.033)', 'PRT', 'PTAGD', 'Aguda', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.8 37.65)', 'PRT', 'PTAGR', 'Almograve', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.967 38.75)', 'PRT', 'PTALE', 'Alcochete', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.717 41.267)', 'PRT', 'PTANG', 'Angeiras', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.267 40.217)', 'PRT', 'PTARF', 'Arrifana', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.733 40.636)', 'PRT', 'PTAVE', 'Aveiro', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.783 37.45)', 'PRT', 'PTAZM', 'Azenha do Mar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.467 37.083)', 'PRT', 'PTBNG', 'Benagil', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.767 37.067)', 'PRT', 'PTBRG', 'Burgau', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.067 38.667)', 'PRT', 'PTBRO', 'Barreiro', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.833 41.867)', 'PRT', 'PTCAM', 'Caminha', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.217 38.633)', 'PRT', 'PTCAP', 'Costa da Caparica', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.767 41.683)', 'PRT', 'PTCNV', 'Castelo do Neiva', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.75 38.4)', 'PRT', 'PTCRC', 'Carrasqueira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-31.1 39.667)', 'PRT', 'PTCVU', 'Corvo Island Apt', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.7 41.183)', 'PRT', 'PTDOU', 'Douro', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.617 40.95)', 'PRT', 'PTEMZ', 'Esmoriz', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.8 41.533)', 'PRT', 'PTEPS', 'Esposende', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.417 38.983)', 'PRT', 'PTERC', 'Ericeira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.633 41)', 'PRT', 'PTESP', 'Espinho', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.783 41.5)', 'PRT', 'PTFAE', 'Fao', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.858 40.142)', 'PRT', 'PTFDF', 'Figueira da Foz', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-9.183 38.567)', 'PRT', 'PTFDT', 'Fonte da Telha', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-16.916 32.642)', 'PRT', 'PTFNC', 'Funchal', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-9.217 39.417)', 'PRT', 'PTFOZ', 'Foz do Arelho', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.733 37.05)', 'PRT', 'PTFUZ', 'Fuzeta', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-28.617 38.517)', 'PRT', 'PTHOR', 'Horta', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-31.167 39.367)', 'PRT', 'PTLAJ', 'Lages das Flores', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.702 41.181)', 'PRT', 'PTLEI', 'Leixões', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-9.1 38.7)', 'PRT', 'PTLIS', 'Lisboa', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.672 37.107)', 'PRT', 'PTLOS', 'Lagos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-28.517 38.533)', 'PRT', 'PTMAD', 'Madalena do Pico', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.702 41.181)', 'PRT', 'PTMAT', 'Matosinhos', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-7.133 32.7)', 'PRT', 'PTMDM', 'Madalena do Mar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.733 40.433)', 'PRT', 'PTMIR', 'Mira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.967 38.7)', 'PRT', 'PTMON', 'Montijo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.074 39.585)', 'PRT', 'PTNZR', 'Nazaré', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.183 37.083)', 'PRT', 'PTOLA', 'Olhos de Agua', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.834 37.027)', 'PRT', 'PTOLH', 'Olhão', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-25.65 37.733)', 'PRT', 'PTPDL', 'Ponta Delgada', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.766 41.374)', 'PRT', 'PTPDV', 'Povoa de Varzim', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.373 39.354)', 'PRT', 'PTPEN', 'Peniche', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-27.967 39.05)', 'PRT', 'PTPRG', 'Praia da Graciosa', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.528 37.133)', 'PRT', 'PTPRM', 'Portimao', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-27.05 38.717)', 'PRT', 'PTPRV', 'Praia da Vitória', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-16.312 33.063)', 'PRT', 'PTPXO', 'Porto Santo', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.917 37)', 'PRT', 'PTSAG', 'Sagres', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.9 38.519)', 'PRT', 'PTSET', 'Setúbal', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.871 37.953)', 'PRT', 'PTSIE', 'Sines', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-7.65 37.1)', 'PRT', 'PTSLZ', 'Santa Luzia', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-27.267 38.65)', 'PRT', 'PTSMT', 'São Mateus', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-28.317 38.517)', 'PRT', 'PTSRP', 'São Roque do Pico', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.112 38.439)', 'PRT', 'PTSSB', 'Sesimbra', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.7 40.75)', 'PRT', 'PTTOA', 'Torreira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-9.233 38.667)', 'PRT', 'PTTRF', 'Trafaria', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.647 37.125)', 'PRT', 'PTTVR', 'Tavira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.85 41.817)', 'PRT', 'PTTZB', 'Vila Praia de Ancora', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.55 41.117)', 'PRT', 'PTVAB', 'Valbom', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.767 40.55)', 'PRT', 'PTVAG', 'Vagueira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-8.834 41.689)', 'PRT', 'PTVDC', 'Viana do Castelo', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-25.133 36.933)', 'PRT', 'PTVDP', 'Vila do Porto', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-28.2 38.667)', 'PRT', 'PTVEL', 'Velas', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.733 41.283)', 'PRT', 'PTVLC', 'Vila Cha', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-1.1 39.667)', 'PRT', 'PTVNC', 'Vila Nova do Corvo', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.783 37.717)', 'PRT', 'PTVNM', 'Vila Nova de Milfontes', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-7.417 37.2)', 'PRT', 'PTVRE', 'Vila Real de Santo António', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-8.786 37.525)', 'PRT', 'PTZBJ', 'Zambujeira', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-57.548 -25.42)', 'PRY', 'PYSAN', 'San Antonio', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(55.45 -20.86)', 'REU', 'REREU', 'Réunion', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(28.656 44.174)', 'ROU', 'ROCND', 'Constanta', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(28.813 45.197)', 'ROU', 'ROTCE', 'Tulcea', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(159.973 -9.435)', 'SLB', 'SBHIR', 'Honiara, Guadalcanal Is', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(55.45 -4.617)', 'SYC', 'SCMAW', 'Mahé', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(55.45 -4.617)', 'SYC', 'SCPOV', 'Port Victoria', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.607 55.393)', 'SWE', 'SEABB', 'Abbekås', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.564 57.944)', 'SWE', 'SEAHO', 'Ängholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.308 55.925)', 'SWE', 'SEAHU', 'Åhus', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(17.556 58.807)', 'SWE', 'SEAKH', 'Askholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.84 58.802)', 'SWE', 'SEAKN', 'Ankarudden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.704 58.063)', 'SWE', 'SEALD', 'Almösund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.919 57.17)', 'SWE', 'SEALJ', 'Alvedsjö Bodar', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.983 58.633)', 'SWE', 'SEALK', 'Ålbäck', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.769 56.97)', 'SWE', 'SEALL', 'Äleklinta', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.192 58.92)', 'SWE', 'SEALO', 'Ålö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.775 55.94)', 'SWE', 'SEALR', 'Ålabodarna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.434 65.773)', 'SWE', 'SEALT', 'Altappen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.685 57.543)', 'SWE', 'SEALX', 'Älö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.705 58.347)', 'SWE', 'SEANA', 'Sankt Anna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.736 56.362)', 'SWE', 'SEAND', 'Ängelsbäcksstrand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.842 56.267)', 'SWE', 'SEANG', 'Ängelholm', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.502 58.07)', 'SWE', 'SEANH', 'Ängehamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.062 60.486)', 'SWE', 'SEANR', 'Ängskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.183 57.191)', 'SWE', 'SEANS', 'Årnäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.518 56.115)', 'SWE', 'SEAPO', 'Aspö, Karlskrona', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.383 61.705)', 'SWE', 'SEARO', 'Arnöviken, Arnön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.964 58.425)', 'SWE', 'SEASJ', 'Aspöja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.395 58.744)', 'SWE', 'SEASN', 'Aspnäset', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.826 58.292)', 'SWE', 'SEASO', 'Äspö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.795 57.659)', 'SWE', 'SEASP', 'Asperö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.761 57.772)', 'SWE', 'SEASR', 'Äskeskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.945 58.49)', 'SWE', 'SEASU', 'Arkösund', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.588 57.925)', 'SWE', 'SEATL', 'Åstol', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.347 63.5)', 'SWE', 'SEAVA', 'Ava', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.507 58.034)', 'SWE', 'SEAVN', 'Ängeviken, Tjörn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.397 62.863)', 'SWE', 'SEBA2', 'Barsta', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.722 55.903)', 'SWE', 'SEBAC', 'Bäckviken', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.283 58.833)', 'SWE', 'SEBAI', 'Bälinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.317 55.595)', 'SWE', 'SEBAK', 'Baskemölla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.933 62.633)', 'SWE', 'SEBAN', 'Bänkåsviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.52 61.718)', 'SWE', 'SEBAO', 'Bålsön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.842 56.433)', 'SWE', 'SEBAS', 'Båstad', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.425 65.78)', 'SWE', 'SEBAT', 'Båtskärsnäs', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.905 55.757)', 'SWE', 'SEBBH', 'Barsebäckshamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.08 57.24)', 'SWE', 'SEBDQ', 'Böda', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.092 56.386)', 'SWE', 'SEBEA', 'Bergkvara', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.255 65.643)', 'SWE', 'SEBEB', 'Bensbyn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.888 59.406)', 'SWE', 'SEBEG', 'Berg, Möja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.148 58.726)', 'SWE', 'SEBEK', 'Brevik, Nyköping', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.242 62.815)', 'SWE', 'SEBEN', 'Berghamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.423 55.355)', 'SWE', 'SEBES', 'Beddinge Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.391 59.212)', 'SWE', 'SEBEV', 'Brevik, Tyresö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.155 59.511)', 'SWE', 'SEBGD', 'Borgåsund, Mälaren', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.15 58.988)', 'SWE', 'SEBGE', 'Bogen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.406 61.814)', 'SWE', 'SEBGN', 'Bergön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.453 62.882)', 'SWE', 'SEBHN', 'Bönhamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.933 57.567)', 'SWE', 'SEBID', 'Billdal', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.504 60.654)', 'SWE', 'SEBIN', 'Billhamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.723 59.103)', 'SWE', 'SEBIO', 'Biskopsö', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(16.656 57.866)', 'SWE', 'SEBJ2', 'Björkö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.695 65.776)', 'SWE', 'SEBJ3', 'Björkholmen, Siknäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.576 64.472)', 'SWE', 'SEBJB', 'Bjuröklubb', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.522 58.053)', 'SWE', 'SEBJH', 'Björholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.858 58.105)', 'SWE', 'SEBJO', 'Björkskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.017 55.717)', 'SWE', 'SEBJR', 'Bjärred', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.554 60.303)', 'SWE', 'SEBJS', 'Bjuröskaten', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.532 58.297)', 'SWE', 'SEBKA', 'Bokenäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.165 56.154)', 'SWE', 'SEBKK', 'Bökevik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.981 59.365)', 'SWE', 'SEBKO', 'Björkkobben', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.523 62.247)', 'SWE', 'SEBKV', 'Björköviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.889 59.615)', 'SWE', 'SEBL2', 'Blidö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.532 57.59)', 'SWE', 'SEBLA', 'Blankaholm', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.333 58.483)', 'SWE', 'SEBLD', 'Bovallstrand', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.7 56.62)', 'SWE', 'SEBLI', 'Bläsinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.567 57.95)', 'SWE', 'SEBLT', 'Bleket', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.344 58.346)', 'SWE', 'SEBML', 'Bohus-Malmön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.701 62.502)', 'SWE', 'SEBNM', 'Bondhamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.318 60.739)', 'SWE', 'SEBNN', 'Bönan', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.341 65.701)', 'SWE', 'SEBNO', 'Brändön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.353 55.513)', 'SWE', 'SEBNT', 'Brantevik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.45 56)', 'SWE', 'SEBO2', 'Bodarna, Tosteberga udde', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.067 61.55)', 'SWE', 'SEBOA', 'Borka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.675 57.733)', 'SWE', 'SEBOB', 'Bohus-Björkö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.316 55.343)', 'SWE', 'SEBOE', 'Böste', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.833 58.098)', 'SWE', 'SEBOK', 'Bokö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.65 56.882)', 'SWE', 'SEBOM', 'Borgholm', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.371 59.315)', 'SWE', 'SEBOO', 'Boo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.805 55.895)', 'SWE', 'SEBOU', 'Borstahusen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16 56.3)', 'SWE', 'SEBRB', 'Brömsebro', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.309 58.487)', 'SWE', 'SEBRI', 'Brevik, Tanum', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.682 62.187)', 'SWE', 'SEBRK', 'Brämö Kalv', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.496 58.081)', 'SWE', 'SEBRL', 'Brevik, Lyr', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.774 57.644)', 'SWE', 'SEBRN', 'Brännö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.665 57.825)', 'SWE', 'SEBRR', 'Brunskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.311 64.68)', 'SWE', 'SEBRS', 'Bredskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.571 63.552)', 'SWE', 'SEBRV', 'Levar, Bredvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.746 58.003)', 'SWE', 'SEBSD', 'Berga Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.842 57.892)', 'SWE', 'SEBSE', 'Bläse', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.687 56.114)', 'SWE', 'SEBSO', 'Bredavik, Sturkö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.811 62.495)', 'SWE', 'SEBSV', 'Barsviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.738 57.922)', 'SWE', 'SEBTT', 'Brattön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.298 64.957)', 'SWE', 'SEBTV', 'Båtvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.35 64.584)', 'SWE', 'SEBU2', 'Burvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.115 57.24)', 'SWE', 'SEBUA', 'Bua', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.938 57.515)', 'SWE', 'SEBUD', 'Budskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.237 64.618)', 'SWE', 'SEBUR', 'Bureå', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(19.08 57.806)', 'SWE', 'SEBUS', 'Bungenäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.263 57.033)', 'SWE', 'SEBUV', 'Burgsvik', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.808 57.585)', 'SWE', 'SEBVL', 'Botvaldevik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.847 64.061)', 'SWE', 'SEBYA', 'Bygdeå', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(21.228 64.947)', 'SWE', 'SEBYE', 'Byske', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.979 59.906)', 'SWE', 'SEBYH', 'Bylehamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.008 57.328)', 'SWE', 'SEBYX', 'Byxelkrok', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.314 58.582)', 'SWE', 'SEDAB', 'Dagsberg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.169 58.915)', 'SWE', 'SEDAV', 'Daftö-Valö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.41 56.355)', 'SWE', 'SEDEG', 'Degerhamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.667 65.553)', 'SWE', 'SEDEO', 'Degerön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.559 57.318)', 'SWE', 'SEDGT', 'Draget, Oskarshamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.689 59.308)', 'SWE', 'SEDHN', 'Djurhamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.155 57.308)', 'SWE', 'SEDJK', 'Djupvik, Gotland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.7 59.314)', 'SWE', 'SEDJO', 'Djurö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.696 57.991)', 'SWE', 'SEDJP', 'Djupvik, Tjörn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.114 56.429)', 'SWE', 'SEDJR', 'Djursvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.721 56.071)', 'SWE', 'SEDJS', 'Djupekås', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.172 61.277)', 'SWE', 'SEDJV', 'Djupvik, Söderhamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.708 57.25)', 'SWE', 'SEDJY', 'Djaupdy', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.408 59.13)', 'SWE', 'SEDLA', 'Dalarö', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.795 57.599)', 'SWE', 'SEDON', 'Donsö', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.607 56.117)', 'SWE', 'SEDOS', 'Domsten', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.224 58.59)', 'SWE', 'SEDYO', 'Dyngö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.622 57.927)', 'SWE', 'SEDYR', 'Dyrön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.232 58.714)', 'SWE', 'SEEDK', 'Edsvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.468 58.108)', 'SWE', 'SEEDL', 'Edshultshall', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.024 58.646)', 'SWE', 'SEEGP', 'Egelprång', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.182 56.511)', 'SWE', 'SEEKA', 'Ekenäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.984 56.145)', 'SWE', 'SEEKK', 'Ekö, Karlshamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.727 56.127)', 'SWE', 'SEEKN', 'Ekenäs, Senoren', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.787 57.824)', 'SWE', 'SEEKO', 'Ekö, Västervik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.25 57.972)', 'SWE', 'SEEKV', 'Ekeviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.467 58.183)', 'SWE', 'SEELO', 'Ellös', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.289 60.727)', 'SWE', 'SEENG', 'Engesberg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.467 58.783)', 'SWE', 'SEERB', 'Eriksberg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.533 60.332)', 'SWE', 'SEERD', 'Eriksdal', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.306 60.807)', 'SWE', 'SEESK', 'Eskön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.64 56.102)', 'SWE', 'SEESO', 'Ekenabben, Sturkö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.129 57.916)', 'SWE', 'SEFA2', 'Fårö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.5 56.917)', 'SWE', 'SEFAG', 'Falkenberg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.336 62.908)', 'SWE', 'SEFAH', 'Fällvikshamnen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.573 56.032)', 'SWE', 'SEFAL', 'Falkahagen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.927 58.191)', 'SWE', 'SEFAO', 'Fångö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.45 59.65)', 'SWE', 'SEFAR', 'Färjestaden', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.936 60.602)', 'SWE', 'SEFAT', 'Fågelsundet', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.4 57)', 'SWE', 'SEFAU', 'Faludden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.743 60.544)', 'SWE', 'SEFAV', 'Fagerviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.463 58.245)', 'SWE', 'SEFBK', 'Fiskebäckskil', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.164 59.739)', 'SWE', 'SEFEJ', 'Fejan', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.466 62.099)', 'SWE', 'SEFGH', 'Fågelharen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.017 56.23)', 'SWE', 'SEFGL', 'Fågelmara', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.497 56.279)', 'SWE', 'SEFGV', 'Fågelviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.039 65.755)', 'SWE', 'SEFHN', 'Fotholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.553 57.37)', 'SWE', 'SEFIG', 'Figeholm', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(11.85 57.645)', 'SWE', 'SEFIS', 'Fiskebäck', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.268 58.356)', 'SWE', 'SEFIT', 'Fisketången', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.282 58.598)', 'SWE', 'SEFJA', 'Fjällbacka', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.105 61.517)', 'SWE', 'SEFJE', 'Fjäle', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.517 59.037)', 'SWE', 'SEFJG', 'Fjärdlång', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.667 57.617)', 'SWE', 'SEFLA', 'Flatholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.51 58.224)', 'SWE', 'SEFLN', 'Flatön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.655 60.218)', 'SWE', 'SEFLO', 'Fälön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.81 57.988)', 'SWE', 'SEFLP', 'Flatvarp', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.393 57.098)', 'SWE', 'SEFLU', 'Flunting', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.657 57.667)', 'SWE', 'SEFOT', 'Fotö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.724 58.245)', 'SWE', 'SEFRN', 'Fredriksnäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.758 55.958)', 'SWE', 'SEFRT', 'Fortuna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.167 57.317)', 'SWE', 'SEFSA', 'Frillesås', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.836 55.392)', 'SWE', 'SEFSB', 'Falsterbo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.067 57.867)', 'SWE', 'SEFSD', 'Fårösund', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.95 55.4)', 'SWE', 'SEFSK', 'Falsterbokanal', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.92 59.66)', 'SWE', 'SEFUD', 'Furusund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.619 57.28)', 'SWE', 'SEFUN', 'Furö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.706 56.102)', 'SWE', 'SEFUR', 'Furumon', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.344 60.653)', 'SWE', 'SEFUV', 'Furuvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.853 58.192)', 'SWE', 'SEFYR', 'Fyrudden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.654 56.6)', 'SWE', 'SEGAB', 'Gårdby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.245 61.008)', 'SWE', 'SEGAH', 'Gåsholma', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.333 57.017)', 'SWE', 'SEGAK', 'Galtabäck', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.087 56.158)', 'SWE', 'SEGAN', 'Garnanäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.409 58.234)', 'SWE', 'SEGAO', 'Gåsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.917 58.517)', 'SWE', 'SEGAS', 'Gränsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.952 62.76)', 'SWE', 'SEGAT', 'Gammellandet', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.035 62.608)', 'SWE', 'SEGAV', 'Gånsvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.033 59.767)', 'SWE', 'SEGDD', 'Gräddö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.612 60.626)', 'SWE', 'SEGDK', 'Gårdskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.737 56.789)', 'SWE', 'SEGDL', 'Gärdslösa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.205 57.121)', 'SWE', 'SEGDN', 'Grundården', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.317 64.303)', 'SWE', 'SEGDV', 'Gladaviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.296 58.666)', 'SWE', 'SEGEA', 'Getå', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.341 58.488)', 'SWE', 'SEGEG', 'Gerlesborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.233 57.113)', 'SWE', 'SEGEN', 'Getterön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.801 58.015)', 'SWE', 'SEGER', 'Getskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.083 64.218)', 'SWE', 'SEGHN', 'Gumboda Hamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.48 56.102)', 'SWE', 'SEGHO', 'Garpahamnen, Hasslö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.652 59.113)', 'SWE', 'SEGIE', 'Gillinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.232 55.355)', 'SWE', 'SEGIL', 'Gislövs Läge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.097 57.338)', 'SWE', 'SEGKV', 'Grankullavik', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.686 59.383)', 'SWE', 'SEGLL', 'Galtholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.505 62.159)', 'SWE', 'SEGLM', 'Galtström', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.35 56.933)', 'SWE', 'SEGLN', 'Glommen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.217 58.817)', 'SWE', 'SEGLT', 'Galtö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.427 62.03)', 'SWE', 'SEGNA', 'Gnarp', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.402 56.267)', 'SWE', 'SEGNG', 'Grönhögen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.117 57.5)', 'SWE', 'SEGNI', 'Gnisvärd', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(17.733 60.517)', 'SWE', 'SEGNR', 'Grönö', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.926 57.699)', 'SWE', 'SEGO2', 'Göteborg-Fiskhamnen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.95 57.714)', 'SWE', 'SEGO3', 'Göteborg-Lundbyhamnen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.958 57.716)', 'SWE', 'SEGO4', 'Göteborg-Frihamnen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.976 57.719)', 'SWE', 'SEGO5', 'Göteborg-Ringökajen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.234 55.858)', 'SWE', 'SEGOH', 'Gropahålet', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.267 60.719)', 'SWE', 'SEGON', 'Gröndal', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.684 57.695)', 'SWE', 'SEGOO', 'Grötö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.901 57.691)', 'SWE', 'SEGOT', 'Göteborg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.318 56.128)', 'SWE', 'SEGOX', 'Gö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.461 60.346)', 'SWE', 'SEGR2', 'Gräsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.852 58.192)', 'SWE', 'SEGR3', 'Gryt, Fyrudden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.418 58.217)', 'SWE', 'SEGRD', 'Grundsund', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.257 58.683)', 'SWE', 'SEGRE', 'Grebbestad', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.533 56.317)', 'SWE', 'SEGRG', 'Gräsgård', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.805 60.103)', 'SWE', 'SEGRH', 'Grisslehamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.22 58.697)', 'SWE', 'SEGRM', 'Grönemad', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.687 57.877)', 'SWE', 'SEGRR', 'Grundemar', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.557 56.839)', 'SWE', 'SEGSH', 'Grimsholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.977 58.276)', 'SWE', 'SEGSM', 'Gräsmarö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.409 56.775)', 'SWE', 'SEGSN', 'Gärdsholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.026 59.278)', 'SWE', 'SEGSR', 'Grönskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.892 63.18)', 'SWE', 'SEGSS', 'Grisslan', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.022 57.388)', 'SWE', 'SEGTT', 'Gottskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.491 64.397)', 'SWE', 'SEGUA', 'Gumhamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.385 59.325)', 'SWE', 'SEGUB', 'Gustavsberg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.012 60.508)', 'SWE', 'SEGUE', 'Gudinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.174 58.895)', 'SWE', 'SEGUH', 'Gullnäsholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.4 58.183)', 'SWE', 'SEGUL', 'Gullholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.024 56.19)', 'SWE', 'SEGUO', 'Guö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.779 56.641)', 'SWE', 'SEGVK', 'Grötvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.172 60.679)', 'SWE', 'SEGVX', 'Gävle', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.07 56.158)', 'SWE', 'SEGYO', 'Gyön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.897 59.339)', 'SWE', 'SEHA2', 'Harö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.498 58.022)', 'SWE', 'SEHA3', 'Härön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.907 65.772)', 'SWE', 'SEHAA', 'Haparanda', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.867 56.667)', 'SWE', 'SEHAD', 'Halmstad', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.4 62)', 'SWE', 'SEHAE', 'Hårte', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.589 60.061)', 'SWE', 'SEHAK', 'Hallstavik', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.675 57.568)', 'SWE', 'SEHAM', 'Hamnö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.462 60.173)', 'SWE', 'SEHAN', 'Hargshamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.838 56.01)', 'SWE', 'SEHAO', 'Hanö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.75 57.675)', 'SWE', 'SEHAP', 'Händelöp', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.477 58.715)', 'SWE', 'SEHAT', 'Hartsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.983 58.617)', 'SWE', 'SEHAU', 'Haglundstorp', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.18 58.755)', 'SWE', 'SEHAV', 'Havstenssund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.227 56.583)', 'SWE', 'SEHAY', 'Hagby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.27 58.552)', 'SWE', 'SEHBG', 'Hamburgsund', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.567 58.397)', 'SWE', 'SEHBK', 'Håbäck', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.267 58.552)', 'SWE', 'SEHBO', 'Hamburgön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.334 57.162)', 'SWE', 'SEHDH', 'Havdhem', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(18.918 57.423)', 'SWE', 'SEHEK', 'Herrvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.718 56.047)', 'SWE', 'SEHEL', 'Helsingborg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.067 62.717)', 'SWE', 'SEHEO', 'Hemsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.648 60.138)', 'SWE', 'SEHER', 'Herräng', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.3 58.75)', 'SWE', 'SEHGO', 'Helgö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.298 62.908)', 'SWE', 'SEHGV', 'Häggvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.664 57.695)', 'SWE', 'SEHHE', 'Heden, Hönö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.453 56.118)', 'SWE', 'SEHHO', 'Hallahamnen, Hasslö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.072 57.449)', 'SWE', 'SEHHS', 'Hanhals', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.746 57.925)', 'SWE', 'SEHHU', 'Hallshuk', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.602 65.586)', 'SWE', 'SEHIO', 'Hindersön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.01 59.385)', 'SWE', 'SEHJK', 'Hjortronkobb', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.644 58.125)', 'SWE', 'SEHJL', 'Hjälmvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.736 56.23)', 'SWE', 'SEHJR', 'Häljaröd', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.243 58.593)', 'SWE', 'SEHJT', 'Hjärterön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.715 57.712)', 'SWE', 'SEHJU', 'Hjuvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.65 57.682)', 'SWE', 'SEHKL', 'Klåva, Hönö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.922 58.258)', 'SWE', 'SEHKO', 'Håskö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.312 60.768)', 'SWE', 'SEHKS', 'Harkskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.532 58.055)', 'SWE', 'SEHLB', 'Halsbäck', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.36 63.694)', 'SWE', 'SEHLD', 'Holmsund', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.473 56.102)', 'SWE', 'SEHLE', 'Hasslö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.933 55.413)', 'SWE', 'SEHLK', 'Höllviksnäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.867 63.805)', 'SWE', 'SEHLM', 'Holmön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.703 56.012)', 'SWE', 'SEHLV', 'Hällevik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.216 61.929)', 'SWE', 'SEHMA', 'Harmånger', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.954 62.64)', 'SWE', 'SEHND', 'Härnösand', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(19.9 63.633)', 'SWE', 'SEHNF', 'Hörnefors', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.633 57.683)', 'SWE', 'SEHNO', 'Hönö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.55 56.198)', 'SWE', 'SEHOG', 'Höganäs', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.44 61.627)', 'SWE', 'SEHOK', 'Hölick', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.563 58.381)', 'SWE', 'SEHOM', 'Holma', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.557 57.375)', 'SWE', 'SEHOS', 'Höganäs, Oskarshamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.55 55.387)', 'SWE', 'SEHOT', 'Hörte, Skåne', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.84 57.817)', 'SWE', 'SEHRD', 'Harestad', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.789 57.942)', 'SWE', 'SEHRL', 'Horsö-Långö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.643 57.7)', 'SWE', 'SEHRO', 'Röd, Hönö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.243 58.367)', 'SWE', 'SEHS3', 'Hasselösund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.005 58.253)', 'SWE', 'SEHSA', 'Harstena', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.762 56.087)', 'SWE', 'SEHSH', 'Hästholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.742 57.833)', 'SWE', 'SEHSL', 'Hasselö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.66 57.732)', 'SWE', 'SEHSO', 'Hälsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.73 60.536)', 'SWE', 'SEHSS', 'Hästskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.283 58.517)', 'SWE', 'SEHST', 'Heestrand', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.592 57.218)', 'SWE', 'SEHTE', 'Hörte, Gotland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.221 58.575)', 'SWE', 'SEHTV', 'Hästvom', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.03 58.641)', 'SWE', 'SEHUK', 'Hummelvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.03 57.83)', 'SWE', 'SEHUL', 'Hultungs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.178 61.341)', 'SWE', 'SEHUM', 'Humlegårdsstrand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.297 58.442)', 'SWE', 'SEHUN', 'Hunnebostrand', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.142 63.33)', 'SWE', 'SEHUS', 'Husum', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(17.122 61.725)', 'SWE', 'SEHUV', 'Hudiksvall', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.772 56.042)', 'SWE', 'SEHVK', 'Hörvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.767 58.037)', 'SWE', 'SEHVN', 'Höviksnäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.445 58.123)', 'SWE', 'SEHVS', 'Hällevikstrand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.298 58.37)', 'SWE', 'SEHVT', 'Hovenäset', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.68 58.242)', 'SWE', 'SEHXN', 'Henån', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.618 57.758)', 'SWE', 'SEHYP', 'Hyppeln', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.765 57.71)', 'SWE', 'SEIDO', 'Idö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.287 60.876)', 'SWE', 'SEIGN', 'Iggön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.282 60.871)', 'SWE', 'SEIGO', 'Iggön, Säljemar', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.773 56.05)', 'SWE', 'SEINN', 'Inlängan', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.749 59.476)', 'SWE', 'SEINO', 'Ingmarsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.436 58.383)', 'SWE', 'SEINR', 'Ingeröd', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.69 63.857)', 'SWE', 'SEIVA', 'Ivarsboda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.913 58.837)', 'SWE', 'SEJAA', 'Järflotta', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.678 63.438)', 'SWE', 'SEJAB', 'Järnäsklubb', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.443 58.638)', 'SWE', 'SEJAD', 'Järstad', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.022 58.612)', 'SWE', 'SEJAN', 'Järna ,Vänern', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.515 60.13)', 'SWE', 'SEJAS', 'Järsjö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.511 65.093)', 'SWE', 'SEJAV', 'Jävrebodarna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.611 62.24)', 'SWE', 'SEJBD', 'Junibosand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.407 65.457)', 'SWE', 'SEJNK', 'Junkön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.424 56.159)', 'SWE', 'SEJOD', 'Jordö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.982 56.14)', 'SWE', 'SEJOG', 'Joggesö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.675 56.237)', 'SWE', 'SEJOP', 'Jonstorp', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.841 58.524)', 'SWE', 'SEJOS', 'Jonsberg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.659 57.586)', 'SWE', 'SEJSO', 'Järsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.46 62.297)', 'SWE', 'SEJUS', 'Juniskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.41 59.125)', 'SWE', 'SEJUT', 'Jutholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.976 57.719)', 'SWE', 'SEKA2', 'Kalvö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.833 58.2)', 'SWE', 'SEKA3', 'Kåröd', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.592 56.168)', 'SWE', 'SEKAA', 'Karlskrona', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.067 55.383)', 'SWE', 'SEKAB', 'Kåseberga', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.024 64.828)', 'SWE', 'SEKAG', 'Kåge', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.283 57.117)', 'SWE', 'SEKAH', 'Källahamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.865 56.168)', 'SWE', 'SEKAN', 'Karlshamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.976 55.401)', 'SWE', 'SEKAP', 'Kämpinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.368 58.113)', 'SWE', 'SEKAR', 'Käringön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.857 57.437)', 'SWE', 'SEKAT', 'Katthammarsvik', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.84 56.817)', 'SWE', 'SEKAU', 'Kapelludden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.375 64.33)', 'SWE', 'SEKAV', 'Kallviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.141 65.853)', 'SWE', 'SEKAX', 'Kalix', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.644 60.526)', 'SWE', 'SEKBK', 'Karlholmsbruk', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.308 65.792)', 'SWE', 'SEKBN', 'Karlsborgsverken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.246 58.529)', 'SWE', 'SEKDD', 'Kiddön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.917 55.533)', 'SWE', 'SEKGM', 'Klagshamn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.23 55.688)', 'SWE', 'SEKIK', 'Kivik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.26 55.68)', 'SWE', 'SEKKA', 'Karakås', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.442 59.008)', 'SWE', 'SEKKD', 'Krokstrand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.655 57.75)', 'SWE', 'SEKKN', 'Källö-Knippla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.168 59.497)', 'SWE', 'SEKKR', 'Kallskär', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(11.517 58.017)', 'SWE', 'SEKKS', 'Kyrkesund', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.573 56.162)', 'SWE', 'SEKKT', 'Karlskrona-Saltö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.231 61.365)', 'SWE', 'SEKLC', 'Klacksörarna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.533 57.95)', 'SWE', 'SEKLD', 'Klädesholmen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.927 57.575)', 'SWE', 'SEKLG', 'Killingsholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.193 57.39)', 'SWE', 'SEKLI', 'Klintehamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.369 64.33)', 'SWE', 'SEKLK', 'Lövsele, Kallviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.073 65.521)', 'SWE', 'SEKLL', 'Kallax', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.374 56.671)', 'SWE', 'SEKLM', 'Kalmar-Ängö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.273 61.098)', 'SWE', 'SEKLN', 'Kalvhararna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.373 56.66)', 'SWE', 'SEKLR', 'Kalmar', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.82 58.052)', 'SWE', 'SEKLS', 'St Källskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.213 58.771)', 'SWE', 'SEKLT', 'Klätta', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.007 60.541)', 'SWE', 'SEKLU', 'Klungsten', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.6 57.533)', 'SWE', 'SEKLV', 'Kullavik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.578 63.178)', 'SWE', 'SEKMH', 'Köpmanholmen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.37 65.845)', 'SWE', 'SEKNG', 'Kängsön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.655 57.75)', 'SWE', 'SEKNI', 'Knippla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.673 56.163)', 'SWE', 'SEKNO', 'Knösö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.209 56.529)', 'SWE', 'SEKOD', 'Kolboda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.05 58.895)', 'SWE', 'SEKOH', 'Korshamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.72 56.886)', 'SWE', 'SEKOV', 'Köpingsvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.792 57.848)', 'SWE', 'SEKPH', 'Kappelshamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.286 58.646)', 'SWE', 'SEKPK', 'Kämpersvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.052 59.715)', 'SWE', 'SEKPS', 'Kapellskär', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.326 61.566)', 'SWE', 'SEKRA', 'Kråkö Hamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.747 63.495)', 'SWE', 'SEKRE', 'Kråken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.892 56.957)', 'SWE', 'SEKRH', 'Kårehamn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.063 56.258)', 'SWE', 'SEKRL', 'Kristianopel', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.922 58.222)', 'SWE', 'SEKRM', 'Kråkmarö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.76 56.05)', 'SWE', 'SEKRS', 'Krokås', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.72 57.69)', 'SWE', 'SEKSH', 'Krossholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.385 63.747)', 'SWE', 'SEKSM', 'Kasholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.885 58.371)', 'SWE', 'SEKSO', 'Kallsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.219 58.695)', 'SWE', 'SEKSS', 'Krossekärr', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.887 58.193)', 'SWE', 'SEKTO', 'Kättilö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.075 57.487)', 'SWE', 'SEKUA', 'Kungsbacka', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.378 56.142)', 'SWE', 'SEKUG', 'Kuggeboda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.431 60.62)', 'SWE', 'SEKUL', 'Kullen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.25 58.362)', 'SWE', 'SEKUN', 'Kungshamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.518 61.703)', 'SWE', 'SEKUO', 'Kuggören', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.583 58.233)', 'SWE', 'SEKUS', 'Kungsviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.776 56.158)', 'SWE', 'SEKVE', 'Klaven, Mörrum', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.759 56.461)', 'SWE', 'SEKVK', 'Kattvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.633 58.638)', 'SWE', 'SEKVO', 'Kvarsebo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.52 57.303)', 'SWE', 'SEKVR', 'Kvarnviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.685 57.712)', 'SWE', 'SEKVS', 'Kalvsund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.189 65.793)', 'SWE', 'SEKXN', 'Kalix-Nyborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.241 55.438)', 'SWE', 'SEKYL', 'Kyls Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.677 55.908)', 'SWE', 'SEKYV', 'Kyrkbacken, Ven', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.849 55.862)', 'SWE', 'SELAA', 'Landskrona', 'Y', 'N', 'Y', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(17.381 61.748)', 'SWE', 'SELAB', 'Lakbäck', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.571 58.75)', 'SWE', 'SELAC', 'Lacka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.552 60.651)', 'SWE', 'SELAD', 'Långsand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.626 57.856)', 'SWE', 'SELAG', 'Långö, Kungälv', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.921 59.442)', 'SWE', 'SELAK', 'Långvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.098 57.949)', 'SWE', 'SELAR', 'Lauter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.275 58.628)', 'SWE', 'SELAS', 'Långesjö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.865 58.744)', 'SWE', 'SELAT', 'Landsort', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.083 57.953)', 'SWE', 'SELAU', 'Lauterhorn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.658 62.233)', 'SWE', 'SELDD', 'Lörudden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.753 56.334)', 'SWE', 'SELEI', 'Lervik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.917 57.454)', 'SWE', 'SELEL', 'Lerkil', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.557 56.177)', 'SWE', 'SELET', 'Lerberget', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.989 57.79)', 'SWE', 'SELEV', 'Lergrav', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.85 57.668)', 'SWE', 'SELGD', 'Långedrag', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.283 59.075)', 'SWE', 'SELGG', 'Långgarn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.822 56.08)', 'SWE', 'SELGO', 'Långören', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.649 57.651)', 'SWE', 'SELGV', 'Långö, S Västervik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.952 55.436)', 'SWE', 'SELHA', 'Lilla Hammar', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.759 58.432)', 'SWE', 'SELHU', 'Lilla Hummelvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.117 58.967)', 'SWE', 'SEMSK', 'Muskö', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.517 57.828)', 'SWE', 'SELIC', 'Lickershamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.128 58.887)', 'SWE', 'SELIH', 'Lindholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.924 55.587)', 'SWE', 'SELIM', 'Limhamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.917 58.217)', 'SWE', 'SELJE', 'Ljungskile', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.717 57.322)', 'SWE', 'SELJN', 'Ljugarn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.617 59.517)', 'SWE', 'SELJO', 'Ljusterö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.145 61.207)', 'SWE', 'SELJU', 'Ljusne', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.716 56.095)', 'SWE', 'SELKD', 'Lörby Kladd', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.37 58.308)', 'SWE', 'SELKO', 'Lilla Kornö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.168 65.58)', 'SWE', 'SELLA', 'Luleå', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.17 59.054)', 'SWE', 'SELNE', 'Lunneviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.326 61.928)', 'SWE', 'SELNF', 'Lönnångersfjärden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.293 61.942)', 'SWE', 'SELNN', 'Lönnånger', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.547 65.527)', 'SWE', 'SELNO', 'Långön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.196 59.397)', 'SWE', 'SELNS', 'Lilla Nassa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.907 59.418)', 'SWE', 'SELOA', 'Löka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.683 57.9)', 'SWE', 'SELOF', 'Loftahammar', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.394 63.55)', 'SWE', 'SELOG', 'Lögdeå', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.251 64.302)', 'SWE', 'SELOH', 'Lövsele Hamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.067 55.675)', 'SWE', 'SELOM', 'Lomma', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.703 59.568)', 'SWE', 'SELOO', 'Löparö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.697 56.071)', 'SWE', 'SELOR', 'Lörby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.373 65.542)', 'SWE', 'SELOS', 'Lövskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.358 65.519)', 'SWE', 'SELOV', 'Lövgrundet', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.583 60.338)', 'SWE', 'SELRN', 'Lilla Risten', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.762 58.943)', 'SWE', 'SELSO', 'Lisö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17 57.167)', 'SWE', 'SELTT', 'Löttorp', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.553 58.845)', 'SWE', 'SELUK', 'Lilla Uttervik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.853 65.418)', 'SWE', 'SELVI', 'Långviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.419 58.177)', 'SWE', 'SELVN', 'Lavön', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(16.467 56.981)', 'SWE', 'SELVO', 'Lövö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.925 56.593)', 'SWE', 'SELXV', 'Laxvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.525 58.281)', 'SWE', 'SELYE', 'Essvik, Gullmarsfjorden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.904 58.216)', 'SWE', 'SELYK', 'Lyckorna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.528 58.092)', 'SWE', 'SELYR', 'Lyresten, Orust', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.45 58.283)', 'SWE', 'SELYS', 'Lysekil', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.536 60.244)', 'SWE', 'SEMAB', 'Mälby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.149 61.157)', 'SWE', 'SEMAK', 'Maråker', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.153 55.773)', 'SWE', 'SEMAM', 'Maglehem', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.702 57.654)', 'SWE', 'SEMAO', 'Marsö, Västervik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.792 56.3)', 'SWE', 'SEMAS', 'Magnarp Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.679 58.438)', 'SWE', 'SEMDM', 'Munkedalshamn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.465 58.702)', 'SWE', 'SEMEL', 'Mellerud', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.345 61.958)', 'SWE', 'SEMEN', 'Mellanfjärden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.192 65.763)', 'SWE', 'SEMHN', 'Marahamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.667 58.072)', 'SWE', 'SEMJN', 'Mjörn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.419 62.98)', 'SWE', 'SEMJV', 'Mjällomsviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.667 59)', 'SWE', 'SEMKO', 'Mörkö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.732 58.344)', 'SWE', 'SEMLA', 'Målma', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.5 55.283)', 'SWE', 'SEMLE', 'Mölle', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.691 57.811)', 'SWE', 'SEMLM', 'Norra Malmö, Västervik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.472 58.073)', 'SWE', 'SEMLO', 'Mollösund', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13 55.6)', 'SWE', 'SEMMA', 'Malmö', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.132 58.934)', 'SWE', 'SEMOD', 'Monelid', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.833 59.4)', 'SWE', 'SEMOJ', 'Möja', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.453 57.042)', 'SWE', 'SEMON', 'Mönsterås', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.377 56.53)', 'SWE', 'SEMOR', 'Mörbylånga', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.616 55.423)', 'SWE', 'SEMOS', 'Mossby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.596 57.888)', 'SWE', 'SEMSD', 'Marstrand', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.167 58.724)', 'SWE', 'SEMSO', 'Marsö, Nyköping', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.956 63.221)', 'SWE', 'SEMTT', 'Mattjäl', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.677 58.466)', 'SWE', 'SEMUK', 'Munkedal', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.248 58.631)', 'SWE', 'SEMUS', 'Musö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.089 57.349)', 'SWE', 'SENAD', 'Nabbelund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.525 63.157)', 'SWE', 'SENAE', 'Näske', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.692 59.194)', 'SWE', 'SENAO', 'Nämdö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.667 57.227)', 'SWE', 'SENAR', 'Närshamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.907 57.623)', 'SWE', 'SENAT', 'Näset', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.802 58.627)', 'SWE', 'SENAV', 'Nävekvarn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.825 63.563)', 'SWE', 'SENBY', 'Norrbyn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.655 56.12)', 'SWE', 'SENDA', 'Sanda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.857 58.331)', 'SWE', 'SENFI', 'Norra Finnö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.438 62.062)', 'SWE', 'SENFJ', 'Norrfjärden, Gävleborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.738 63.863)', 'SWE', 'SENFN', 'Norrfjärden, Sävar', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.418 58.306)', 'SWE', 'SENGR', 'Norra Grundsund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.933 65.793)', 'SWE', 'SENIA', 'Nikkala', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.901 57.302)', 'SWE', 'SENIN', 'Nidingen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.405 59.355)', 'SWE', 'SENLO', 'Norra Lagnö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.7 57.655)', 'SWE', 'SENMA', 'Norra Marsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.217 57.141)', 'SWE', 'SENNS', 'Norra Näs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.682 56.456)', 'SWE', 'SENOB', 'Norrebro', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(14.738 56.003)', 'SWE', 'SENOD', 'Nogersund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.715 59.758)', 'SWE', 'SENOE', 'Norrtälje', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(21.52 65.4)', 'SWE', 'SENOF', 'Norrfjärden, Piteå', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.849 60.03)', 'SWE', 'SENOH', 'Nothamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.013 58.893)', 'SWE', 'SENOK', 'Nord-Koster', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.525 62.977)', 'SWE', 'SENON', 'Norrfällsviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.017 57.417)', 'SWE', 'SENOS', 'Onsala', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.148 60.931)', 'SWE', 'SENOT', 'Norrsundet', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.672 56.118)', 'SWE', 'SENRJ', 'Norje', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.26 58.61)', 'SWE', 'SENRK', 'Norrköping', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.681 57.674)', 'SWE', 'SENVL', 'Nävelsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.544 57.98)', 'SWE', 'SENVS', 'Nordviksstrand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.533 56.245)', 'SWE', 'SENYE', 'Nyhamnsläge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.472 56.039)', 'SWE', 'SENYM', 'Nymölla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.957 58.9)', 'SWE', 'SENYN', 'Nynäshamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.167 58.917)', 'SWE', 'SENYO', 'Nyköping', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.389 58.798)', 'SWE', 'SENYS', 'Nynäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.304 63.689)', 'SWE', 'SEOBB', 'Obbola', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.666 57.708)', 'SWE', 'SEOC2', 'Björnhuvudet, Öckerö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.657 57.707)', 'SWE', 'SEOCO', 'Öckerö', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.14 58.91)', 'SWE', 'SEODD', 'Öddö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.717 57.61)', 'SWE', 'SEOEO', 'Östra Eknö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.717 63.288)', 'SWE', 'SEOER', 'Örnsköldsvik', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.445 60.34)', 'SWE', 'SEOGR', 'Öregrund', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.508 57.011)', 'SWE', 'SEOKO', 'Oknö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.803 59.547)', 'SWE', 'SEOLA', 'Östra Lagnö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.382 61.627)', 'SWE', 'SEOLM', 'Olmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.082 57.364)', 'SWE', 'SEOLS', 'Ölmanäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.873 57.637)', 'SWE', 'SEONN', 'Önnered', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.261 55.45)', 'SWE', 'SEORH', 'Örnahusen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.361 58.376)', 'SWE', 'SEORI', 'Ö Rörvik, Åbyfjorden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.658 60.27)', 'SWE', 'SEORM', 'Ormön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.32 58.385)', 'SWE', 'SEORN', 'Örn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.431 59.053)', 'SWE', 'SEORO', 'Ornö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.205 64.673)', 'SWE', 'SEORV', 'Örviken', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.761 57.568)', 'SWE', 'SEORX', 'Örö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.378 60.261)', 'SWE', 'SEOSH', 'Östhammar', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.458 57.267)', 'SWE', 'SEOSK', 'Oskarshamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.765 56.128)', 'SWE', 'SEOSN', 'Östernäs, Senoren', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.85 58.967)', 'SWE', 'SEOSO', 'Ösmo', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.705 63.824)', 'SWE', 'SEOTN', 'Ostön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.238 58.655)', 'SWE', 'SEOTO', 'Otterön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.356 55.347)', 'SWE', 'SEOTP', 'Östra Torp', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.65 56)', 'SWE', 'SEOTR', 'Östra Torsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.446 60.61)', 'SWE', 'SEOVA', 'Överboda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.109 58.657)', 'SWE', 'SEOXE', 'Oxelösund', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.658 62.464)', 'SWE', 'SEOXN', 'Oxviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.508 58.267)', 'SWE', 'SEOXV', 'Oxevik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.363 56.969)', 'SWE', 'SEPAD', 'Palmelund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.901 65.802)', 'SWE', 'SEPAL', 'Pålänge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.468 57.163)', 'SWE', 'SEPAS', 'Påskallavik', 'Y', 'N', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(21.515 65.231)', 'SWE', 'SEPIS', 'Pitsund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.497 65.32)', 'SWE', 'SEPIT', 'Piteå', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.331 61.346)', 'SWE', 'SEPRG', 'Prästgrundet', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.126 62.709)', 'SWE', 'SEPRH', 'Prästhushamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.747 55.992)', 'SWE', 'SERAA', 'Råå', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.84 58.26)', 'SWE', 'SERAB', 'Raneberg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.292 65.836)', 'SWE', 'SERAE', 'Råneå', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.175 58.857)', 'SWE', 'SERAH', 'Råssöhamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.458 58.202)', 'SWE', 'SERAK', 'Rågårdsvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.868 62.817)', 'SWE', 'SERAM', 'Ramvik', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.258 56.178)', 'SWE', 'SERAN', 'Risanäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.93 57.391)', 'SWE', 'SERAO', 'Råö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.085 59.753)', 'SWE', 'SERAS', 'Rävsnäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.327 59.431)', 'SWE', 'SEREA', 'Resarö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.673 56.242)', 'SWE', 'SEREK', 'Rekekroken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(-58.283 -28.3)', 'ARG', 'N', 'Tabay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.381 65.014)', 'SWE', 'SEREN', 'Renholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.63 65.332)', 'SWE', 'SEREO', 'Renöhamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.167 58.8)', 'SWE', 'SERES', 'Resö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.307 58.738)', 'SWE', 'SERGO', 'Rågö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.381 64.513)', 'SWE', 'SERIB', 'Risböle', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.255 65.804)', 'SWE', 'SERIG', 'Risögrund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.456 58.741)', 'SWE', 'SERIO', 'Ringsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.88 58.406)', 'SWE', 'SERIS', 'Risö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.575 56.275)', 'SWE', 'SERLD', 'Arild', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.303 56.177)', 'SWE', 'SERNB', 'Ronneby', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.56 57.938)', 'SWE', 'SERNG', 'Rönnäng', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.493 57.173)', 'SWE', 'SERNH', 'Ronehamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(19.165 59.592)', 'SWE', 'SEROA', 'Rödlöga', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.159 59.595)', 'SWE', 'SEROD', 'Munkvik, Rödlöga', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.985 57.371)', 'SWE', 'SEROH', 'Rödaholme', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.592 65.803)', 'SWE', 'SEROK', 'Rörbäck', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.621 57.773)', 'SWE', 'SEROO', 'Rörö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.354 61.899)', 'SWE', 'SEROR', 'Rönnskär', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.198 57.189)', 'SWE', 'SERRV', 'Rörvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.648 58.059)', 'SWE', 'SERSD', 'Röra Strand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.915 59.428)', 'SWE', 'SERSM', 'Ramsmora', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.07 58.832)', 'SWE', 'SERSO', 'Ramsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.175 58.854)', 'SWE', 'SERSS', 'Råssö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.872 58.23)', 'SWE', 'SERTN', 'Restenäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.529 57.164)', 'SWE', 'SERUO', 'Runnö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.767 59.278)', 'SWE', 'SERUR', 'Runmarö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.433 63.533)', 'SWE', 'SERUV', 'Rundvik', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(20.536 63.735)', 'SWE', 'SERVG', 'Rovögern', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.036 65.756)', 'SWE', 'SERYB', 'Ryssbält', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.352 56.802)', 'SWE', 'SERYS', 'Ryssby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.114 58.748)', 'SWE', 'SESA2', 'Sand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.926 57.51)', 'SWE', 'SESA3', 'Särö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.725 57.737)', 'SWE', 'SESA4', 'Sanden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.247 58.742)', 'SWE', 'SESA5', 'Sannäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.25 61.675)', 'SWE', 'SESA6', 'Saltvik, Hudiksvall', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(12.138 57.282)', 'SWE', 'SESAB', 'Sallebacka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.044 57.171)', 'SWE', 'SESAD', 'Sandby, Öland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.162 61.263)', 'SWE', 'SESAE', 'Sandarne', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.917 59.133)', 'SWE', 'SESAF', 'Säffle', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(23.494 65.844)', 'SWE', 'SESAG', 'Sangis', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.862 56.093)', 'SWE', 'SESAH', 'Sandhamn, Karlskrona', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.669 65.827)', 'SWE', 'SESAI', 'Säivis', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12 57.365)', 'SWE', 'SESAM', 'Skallahamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.601 59.347)', 'SWE', 'SESAO', 'Saltarö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.125 58.878)', 'SWE', 'SESAT', 'Saltö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.476 58.766)', 'SWE', 'SESAU', 'Sävsundet', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.4 58.66)', 'SWE', 'SESAV', 'Sandviken, Bråviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.232 56.165)', 'SWE', 'SESAX', 'Saxemara', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.791 59.562)', 'SWE', 'SESBA', 'Själbottna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.303 64.587)', 'SWE', 'SESBE', 'Södra Bergfors', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.549 57.96)', 'SWE', 'SESCK', 'Stockevik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.176 58.022)', 'SWE', 'SESDD', 'Svedudden, Vättern', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.531 60.309)', 'SWE', 'SESDG', 'Strand, Gräsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.3 62.383)', 'SWE', 'SESDL', 'Sundsvall', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.922 59.288)', 'SWE', 'SESDM', 'Sandhamn, Värmdö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.255 65.532)', 'SWE', 'SESDN', 'Sandön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.769 57.809)', 'SWE', 'SESDO', 'Sladö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.854 57.071)', 'SWE', 'SESDV', 'Sandvik, Öland', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.089 64.832)', 'SWE', 'SESEB', 'Söderbodarna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.128 58.959)', 'SWE', 'SESEL', 'Seläter', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.75 56.126)', 'SWE', 'SESEN', 'Senoren', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.611 56.794)', 'SWE', 'SESEO', 'Stensjö, Steninge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.749 57.796)', 'SWE', 'SESER', 'Stora Överön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.743 65.742)', 'SWE', 'SESES', 'Seskarö', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.861 58.293)', 'SWE', 'SESFO', 'Södra Finnö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.603 58.442)', 'SWE', 'SESGB', 'Stegeborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.74 58.007)', 'SWE', 'SESGH', 'Skogsholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.807 57.896)', 'SWE', 'SESGI', 'Stora Grindö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.308 61.854)', 'SWE', 'SESGK', 'Sågtäkten', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.017 63.217)', 'SWE', 'SESGM', 'Skagshamn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.451 56.78)', 'SWE', 'SESGN', 'Skäggenäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.685 58.281)', 'SWE', 'SESGR', 'Sörgraven', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.818 57.866)', 'SWE', 'SESHN', 'Städsholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.474 55.394)', 'SWE', 'SESHO', 'Skateholm', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.818 60.576)', 'SWE', 'SESIA', 'Sikhjälma', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.978 64.16)', 'SWE', 'SESIK', 'Sikeå', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.442 63.764)', 'SWE', 'SESIL', 'Sillviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.358 55.558)', 'SWE', 'SESIM', 'Simrishamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.752 60.181)', 'SWE', 'SESIO', 'Singö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.688 65.843)', 'SWE', 'SESIS', 'Siknäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.29 60.67)', 'SWE', 'SESIV', 'Sikvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.333 61.167)', 'SWE', 'SESJN', 'Storjungfrun', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.243 58.542)', 'SWE', 'SESJO', 'Sjöviken', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.802 57.374)', 'SWE', 'SESJU', 'Sjaustru', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.389 59.411)', 'SWE', 'SESK2', 'Skarpö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.085 60.459)', 'SWE', 'SESK3', 'Skaten', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(13.696 55.419)', 'SWE', 'SESK4', 'Skarviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.467 59.316)', 'SWE', 'SESK5', 'Skoghall-Lillängshamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.513 62.197)', 'SWE', 'SESK6', 'Skatan', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.709 58.09)', 'SWE', 'SESKD', 'Skåpesund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.246 64.68)', 'SWE', 'SESKE', 'Skelleftehamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.479 58.252)', 'SWE', 'SESKF', 'Skaftö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.402 58.323)', 'SWE', 'SESKL', 'Skalhamn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.547 57.988)', 'SWE', 'SESKM', 'Skärhamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(19.017 63.192)', 'SWE', 'SESKP', 'Skeppsmalen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.656 58.381)', 'SWE', 'SESKR', 'Skredsvik', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.617 60.275)', 'SWE', 'SESLA', 'Sladdarö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.842 56.268)', 'SWE', 'SESLD', 'Skälderviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.285 55.473)', 'SWE', 'SESLE', 'Skillinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.842 57.662)', 'SWE', 'SESLH', 'Saltholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.808 57.708)', 'SWE', 'SESLI', 'Slite', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.679 56.688)', 'SWE', 'SESLK', 'Skälvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.225 58.686)', 'SWE', 'SESLL', 'Sövall', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.279 58.534)', 'SWE', 'SESLO', 'Slottet', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.358 57.693)', 'SWE', 'SESLS', 'Skälsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.767 58.267)', 'SWE', 'SESLU', 'Slussen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.5 57.301)', 'SWE', 'SESLV', 'Saltvik, Oskarshamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.167 58.933)', 'SWE', 'SESMD', 'Strömstad', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.919 57.429)', 'SWE', 'SESMH', 'Smarholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.233 58.35)', 'SWE', 'SESMO', 'Smögen', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.707 57.462)', 'SWE', 'SESMR', 'Södra Marsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(24.011 65.797)', 'SWE', 'SESMS', 'Salmis', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.658 57.41)', 'SWE', 'SESMV', 'Simpevarp', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.36 55.337)', 'SWE', 'SESMY', 'Smygehamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.833 58.138)', 'SWE', 'SESND', 'Svanesund', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.277 55.658)', 'SWE', 'SESNH', 'Stenshuvud', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.333 56.651)', 'SWE', 'SESNO', 'Stensö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.85 55.417)', 'SWE', 'SESNR', 'Skanör', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.582 58.629)', 'SWE', 'SESNS', 'Skenäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.407 62.367)', 'SWE', 'SESNV', 'Stenvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.388 60.448)', 'SWE', 'SESOB', 'Söderboda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.194 61.526)', 'SWE', 'SESOC', 'Sörön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.617 59.2)', 'SWE', 'SESOE', 'Södertälje', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.427 62.03)', 'SWE', 'SESOF', 'Sörfjärden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.413 58.475)', 'SWE', 'SESOG', 'Söderköping', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.946 62.57)', 'SWE', 'SESOH', 'Solumshamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.592 56.05)', 'SWE', 'SESOL', 'Sölvesborg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(20.007 63.655)', 'SWE', 'SESOM', 'Sörmjöle', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.746 65.866)', 'SWE', 'SESON', 'Sören', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.07 61.307)', 'SWE', 'SESOO', 'Söderhamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.148 58.802)', 'SWE', 'SESOS', 'Store-Snart', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.864 59.702)', 'SWE', 'SESPB', 'Spillersboda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.528 62.362)', 'SWE', 'SESPI', 'Spikarna, Alnön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.817 56.288)', 'SWE', 'SESPN', 'Skepparkroken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.214 56.159)', 'SWE', 'SESPO', 'Spjälkö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.579 63.8)', 'SWE', 'SESPV', 'Skeppsvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.054 55.376)', 'SWE', 'SESRE', 'Skåre', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(11.378 58.303)', 'SWE', 'SESRK', 'Stora Kornö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.648 56.748)', 'SWE', 'SESRL', 'Särdal', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.635 60.29)', 'SWE', 'SESRN', 'Stora Risten', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.083 65.733)', 'SWE', 'SESRO', 'Storön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.952 56.548)', 'SWE', 'SESRP', 'Snapparp', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.53 56.757)', 'SWE', 'SESRR', 'Stora Rör', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.11 61.378)', 'SWE', 'SESRS', 'Skärså', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.617 56.267)', 'SWE', 'SESRT', 'Skäret', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.8 59)', 'SWE', 'SESRU', 'Sorunda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.581 56.425)', 'SWE', 'SESRV', 'Skärlöv', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.753 57.986)', 'SWE', 'SESSK', 'Stora Askö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.972 59.586)', 'SWE', 'SESSN', 'Salskären', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.407 60.651)', 'SWE', 'SESSR', 'Skutskär', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.958 59.358)', 'SWE', 'SESST', 'Svartskäret', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.511 64.41)', 'SWE', 'SESSV', 'Sundsviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.705 59.287)', 'SWE', 'SEST3', 'Stavsnäs, Värmdö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.746 57.531)', 'SWE', 'SEST4', 'Strupö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.142 57.28)', 'SWE', 'SEST5', 'Stavder', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.415 58.152)', 'SWE', 'SEST6', 'Stocken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.133 59)', 'SWE', 'SEST7', 'Stensvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.091 65.738)', 'SWE', 'SEST8', 'Storöhamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.343 61.897)', 'SWE', 'SESTA', 'Stocka', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(22.517 65.51)', 'SWE', 'SESTB', 'Storbrändön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.817 58.067)', 'SWE', 'SESTE', 'Stenungsund', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.438 56.915)', 'SWE', 'SESTF', 'Stafsinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.209 59.366)', 'SWE', 'SESTH', 'Stallarholmen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(22.238 65.549)', 'SWE', 'SESTM', 'Luleå-Strömören', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.071 59.328)', 'SWE', 'SESTO', 'Stockholm', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(11.762 57.617)', 'SWE', 'SESTR', 'Sandvik, Styrsö', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.488 58.209)', 'SWE', 'SESTT', 'Stätten', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.111 61.306)', 'SWE', 'SESTU', 'Stugsund', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.171 56.149)', 'SWE', 'SESTX', 'Saltärna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.117 58.907)', 'SWE', 'SESTY', 'Styrsö, Strömstad', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.156 59.685)', 'SWE', 'SESU2', 'Sundskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.629 57.39)', 'SWE', 'SESU3', 'Sundsnäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.544 58.847)', 'SWE', 'SESUK', 'Stora Uttervik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.704 56.08)', 'SWE', 'SESUO', 'Sturkö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.473 58.772)', 'SWE', 'SESV2', 'Sävö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.713 58.346)', 'SWE', 'SESV3', 'Svälte', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.666 65.261)', 'SWE', 'SESV4', 'Svartnäsudden', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.892 56.118)', 'SWE', 'SESVH', 'Svanhalla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.667 56.25)', 'SWE', 'SESVL', 'Svanshall', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(23.562 65.798)', 'SWE', 'SESVS', 'Säivisnäs', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.574 57.088)', 'SWE', 'SESVT', 'Svartö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.778 59.408)', 'SWE', 'SESVU', 'Stavsudda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.081 58.82)', 'SWE', 'SESVZ', 'Svärta', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.882 57.39)', 'SWE', 'SESYE', 'Sysne', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.03 58.872)', 'SWE', 'SESYK', 'Syd-Koster', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.359 56.131)', 'SWE', 'SESYV', 'Styrsvik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.95 55.417)', 'SWE', 'SESZI', 'Höllviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.491 63.835)', 'SWE', 'SETAF', 'Täfteå', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(17.229 61.277)', 'SWE', 'SETAL', 'Tallskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.759 60.555)', 'SWE', 'SETAR', 'Tårterviken', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.125 59.751)', 'SWE', 'SETCK', 'Tjockö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.675 62.433)', 'SWE', 'SETDS', 'Tynderösund, Åstön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.268 58.529)', 'SWE', 'SETGL', 'Tegelstrand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.765 57.621)', 'SWE', 'SETGN', 'Tången, Styrsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.987 59.363)', 'SWE', 'SETGT', 'Trutgrund', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.147 58.875)', 'SWE', 'SETJA', 'Tjärnö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.573 57.935)', 'SWE', 'SETJK', 'Tjörnekalv', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.615 56.117)', 'SWE', 'SETJR', 'Tjurkö, Karlskrona', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.714 57.9)', 'SWE', 'SETJU', 'Tjuvkil', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.097 57.436)', 'SWE', 'SETKT', 'Torkelstorp', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.448 56.967)', 'SWE', 'SETMM', 'Timmernabben', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.739 58.405)', 'SWE', 'SETNN', 'Trännö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.827 56.093)', 'SWE', 'SETOH', 'Torhamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.716 58.294)', 'SWE', 'SETOL', 'Töllås', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.786 58.356)', 'SWE', 'SETOO', 'Torrö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.617 56.433)', 'SWE', 'SETOV', 'Torekov', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.841 58.828)', 'SWE', 'SETR2', 'Torö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.283 57.05)', 'SWE', 'SETRE', 'Träslövsläge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.146 55.371)', 'SWE', 'SETRG', 'Trelleborg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.197 61.093)', 'SWE', 'SETRH', 'Trollharen', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.771 57.726)', 'SWE', 'SETRL', 'Torslanda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.97 56.168)', 'SWE', 'SETRM', 'Trensum', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.975 56.12)', 'SWE', 'SETRN', 'Tärnö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.181 56.153)', 'SWE', 'SETRO', 'Trolleboda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.555 58.892)', 'SWE', 'SETRS', 'Trosa', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.768 65.376)', 'SWE', 'SETRU', 'Trundön', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.79 63.14)', 'SWE', 'SETRY', 'Trysunda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.262 58.673)', 'SWE', 'SETSD', 'Tanumstrand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.652 56)', 'SWE', 'SETSO', 'Torsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.797 59.447)', 'SWE', 'SETST', 'Träskö Storö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.726 57.736)', 'SWE', 'SETUH', 'Tumlehed', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.235 58.847)', 'SWE', 'SETYA', 'Tystberga', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.635 62.441)', 'SWE', 'SETYD', 'Tynderö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.9 58.322)', 'SWE', 'SETYT', 'Tyrislöt', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.933 58.35)', 'SWE', 'SEUDD', 'Uddevalla', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(12.611 56.815)', 'SWE', 'SEUGG', 'Ugglarp', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.297 58.453)', 'SWE', 'SEUGN', 'Ulebergshamn', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.66 63.023)', 'SWE', 'SEULH', 'Ulvöhamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.108 57.395)', 'SWE', 'SEULK', 'Ulkehall', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.081 63.27)', 'SWE', 'SEULT', 'Ultrå', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(20.25 63.833)', 'SWE', 'SEUME', 'Umeå', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(15.805 56.042)', 'SWE', 'SEUNR', 'Ungskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.406 60.623)', 'SWE', 'SEUPB', 'Upplandsbodarna', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.782 56.03)', 'SWE', 'SEUTL', 'Stenshamn, Utlängan', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.707 55.955)', 'SWE', 'SEUTN', 'Utklippan', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.327 58.972)', 'SWE', 'SEUTO', 'Utö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.7 56.092)', 'SWE', 'SEUTS', 'Uttorp, Sturkö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.348 60.75)', 'SWE', 'SEUTV', 'Utvalnäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.196 58.773)', 'SWE', 'SEVAB', 'Västbacken', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(14.539 56.062)', 'SWE', 'SEVAE', 'Valje', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.25 57.1)', 'SWE', 'SEVAG', 'Varberg', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.605 58.203)', 'SWE', 'SEVAK', 'Valdemarsvik', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(17.18 61.179)', 'SWE', 'SEVAL', 'Vallvik', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.885 56.903)', 'SWE', 'SEVAS', 'Valsnäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.216 61.551)', 'SWE', 'SEVAT', 'Våtnäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.46 57.18)', 'SWE', 'SEVAV', 'Vånevik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.283 57.65)', 'SWE', 'SEVBY', 'Visby', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.317 56.947)', 'SWE', 'SEVDB', 'Vändburg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.699 57.83)', 'SWE', 'SEVDH', 'Vedhall', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.824 57.942)', 'SWE', 'SEVDK', 'Väderskär', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(19.856 63.594)', 'SWE', 'SEVDT', 'Vadet', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.787 56.215)', 'SWE', 'SEVEH', 'Vegeholm', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.767 56.317)', 'SWE', 'SEVEJ', 'Vejbystrand', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.033 55.467)', 'SWE', 'SEVEL', 'Vellinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.168 58.747)', 'SWE', 'SEVEN', 'Viken, Tanum', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.695 57.59)', 'SWE', 'SEVEO', 'Västra Eknö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.783 57.567)', 'SWE', 'SEVGO', 'Vrångö', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.499 58.947)', 'SWE', 'SEVHD', 'Vagnhärad', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(17.212 61.217)', 'SWE', 'SEVHT', 'Yttre Vattharet', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.446 58.373)', 'SWE', 'SEVIB', 'Vinbräcka', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.117 57.25)', 'SWE', 'SEVID', 'Videbergshamn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.602 59.091)', 'SWE', 'SEVIE', 'Villinge', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.96 55.728)', 'SWE', 'SEVIH', 'Vikhög', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.554 56.054)', 'SWE', 'SEVJE', 'Valje, Sölvesborg', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.263 58.38)', 'SWE', 'SEVJR', 'Väjern', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.292 55.617)', 'SWE', 'SEVK2', 'Vik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.633 56.17)', 'SWE', 'SEVKA', 'Verkö, Karlskrona', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.884 56.056)', 'SWE', 'SEVKL', 'Karlshamn-Vägga', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(12.579 56.142)', 'SWE', 'SEVKN', 'Viken, Höganäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.93 57.49)', 'SWE', 'SEVLD', 'Vallda', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.596 57.11)', 'SWE', 'SEVLO', 'Vållö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.02 58.903)', 'SWE', 'SEVNK', 'Vettnet, Nord-Koster', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.157 56.481)', 'SWE', 'SEVNN', 'Värnanäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.69 57.512)', 'SWE', 'SEVNO', 'Vinö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.853 58.406)', 'SWE', 'SEVRO', 'Vrångö, Söderköping', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.585 56.032)', 'SWE', 'SEVSN', 'Västra Näs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.878 58.352)', 'SWE', 'SEVSO', 'Vänsö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.15 57.45)', 'SWE', 'SEVSR', 'Västergarn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(14.212 55.7)', 'SWE', 'SEVTM', 'Vitemölla', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.969 59.704)', 'SWE', 'SEVTN', 'Västernäs', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.952 59.811)', 'SWE', 'SEVTO', 'Vätö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.162 59.049)', 'SWE', 'SEVTS', 'Vitsgarn', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(16.653 57.757)', 'SWE', 'SEVVK', 'Västervik', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(18.333 59.4)', 'SWE', 'SEVXH', 'Vaxholm', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(11.711 58.016)', 'SWE', 'SEWAL', 'Wallhamn', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(14.23 55.883)', 'SWE', 'SEYNG', 'Yngsjö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.818 55.425)', 'SWE', 'SEYST', 'Ystad', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(16.794 57.973)', 'SWE', 'SEYTB', 'Ytterby', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(21.115 64.665)', 'SWE', 'SEYTK', 'Yttervik', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(15.783 56.098)', 'SWE', 'SEYTO', 'Ytterön', 'N', 'Y', 'N', 'Y');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(18.865 59.614)', 'SWE', 'SEYXN', 'Yxlan', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.015 58.951)', 'SWE', 'SEYXO', 'Yxlö', 'N', 'Y', 'N', 'Y'),('SRID=4326;MULTIPOINT(103.851 1.281)', 'SGP', 'SGSIN', 'Singapore', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(13.657 45.542)', 'SVN', 'SIIZO', 'Izola', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.729 45.547)', 'SVN', 'SIKOP', 'Koper', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(13.563 45.529)', 'SVN', 'SIPIR', 'Piran', 'Y', 'N', 'Y', 'Y'),('SRID=4326;MULTIPOINT(-17.366 14.764)', 'SEN', 'SNDKR', 'Dakar', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(6.733 0.33)', 'STP', 'STTMS', 'Sao Tome Island', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(1.223 6.132)', 'TGO', 'TGLFW', 'Lome', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(39.283 -6.8)', 'TZA', 'TZDAR', 'Dar Es Salaam', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-56.164 -34.901)', 'URY', 'UYMVD', 'Montevideo', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-64.6 10.233)', 'VEN', 'VEGUT', 'Guanta', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-176.2 -13.3)', 'WLF', 'WFMAU', 'Mata-Utu', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(45.25 -12.78)', 'MYT', 'YTDZA', 'Dzaoudzi', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(18.424 -33.924)', 'ZAF', 'ZACPT', 'Cape Town', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(31.022 -29.858)', 'ZAF', 'ZADUR', 'Durban', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(32.038 -28.78)', 'ZAF', 'ZARCB', 'Richards Bay', 'Y', 'N', 'N', 'Y'),('SRID=4326;MULTIPOINT(-63.417 -36.4)', 'ARG', 'N', 'Catrilo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Newtok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Giyani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'George', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Coron', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Maramag', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Teller', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Siocon/Zamboanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BLR', 'N', 'Grodna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BLR', 'N', 'Minsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Zamboanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'London', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CMR', 'N', 'Kribi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Abbottabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kot Addu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Zittau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Ahmadpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Koka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ego', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Arifwala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Koza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'NOMEL', 'MELBU', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matoya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.033 -27.383)', 'ARG', 'N', 'Campo Viera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBR', 'N', 'Nimba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.267 -31.467)', 'ARG', 'N', 'Yeruá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.85 17.117)', 'ATG', 'N', 'Saint John''s', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.517 42.5)', 'AND', 'N', 'Andorra la Vella', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(54.367 24.467)', 'ARE', 'N', 'Abu Dhabi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(54.533 24.233)', 'ARE', 'N', 'Al Dhafra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(55.167 24.883)', 'ARE', 'N', 'Dubai World Central Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(55.267 25.25)', 'ARE', 'N', 'Dubai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(56.333 25.117)', 'ARE', 'N', 'Al Fujayrah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(55.55 25.567)', 'ARE', 'N', 'Umm al Qaiwain', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(55.95 25.783)', 'ARE', 'N', 'Ras al Khaimah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(55.383 25.35)', 'ARE', 'N', 'Sharjah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(65.25 34.517)', 'AFG', 'N', 'Chaghcharan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(67.1 36.7)', 'AFG', 'N', 'Mazar-i-Sharif', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(44.517 40.183)', 'ARM', 'N', 'Yerevan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(43.833 40.8)', 'ARM', 'N', 'Gyumri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.117 -11.35)', 'AGO', 'N', 'Waku Kungo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.917 -9.3)', 'AGO', 'N', 'N''dalatando', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.733 -17.067)', 'AGO', 'N', 'Ondjiva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.05 -7.617)', 'AGO', 'N', 'Uíge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.917 -62.217)', 'ATA', 'N', 'Teniente R. Marsh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nispen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.833 -45.033)', 'ARG', 'N', 'Alto Río Senguerr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.683 -33.033)', 'ARG', 'N', 'Bengolea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-62.967 -32.533)', 'ARG', 'N', 'Ballesteros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-62.283 -38.717)', 'ARG', 'N', 'Bahía Blanca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.517 -35)', 'ARG', 'N', 'Bowen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.3 -41.15)', 'ARG', 'N', 'San Carlos de Bariloche', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.667 -34.583)', 'ARG', 'N', 'Buenos Aires', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.75 -26.5)', 'ARG', 'N', 'Burruyacú', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.3 -27.033)', 'ARG', 'N', 'Bella Vista', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.15 -32.85)', 'ARG', 'N', 'Carcaraña', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.033 -32.917)', 'ARG', 'N', 'Carnerillo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.133 -31.5)', 'ARG', 'N', 'Calabacillas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.8 -33)', 'ARG', 'N', 'Cruz Alta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.8 -30.733)', 'ARG', 'N', 'Cruz del Eje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.8 -33.233)', 'ARG', 'N', 'Carmen Del Sauce', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-59.1 -34.3)', 'ARG', 'N', 'Capilla del Señor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-54.967 -27.217)', 'ARG', 'N', 'Campo Grande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.067 -45.733)', 'ARG', 'N', 'Caleta Córdoba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.283 -32.45)', 'ARG', 'N', 'Classon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.833 -26.8)', 'ARG', 'N', 'Campo Largo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.95 -34.15)', 'ARG', 'N', 'Campana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.283 -34.617)', 'ARG', 'N', 'Cuadro Nacional', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.917 -31.967)', 'ARG', 'N', 'Coronda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.133 -32.217)', 'ARG', 'N', 'Colón', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.883 -28.383)', 'ARG', 'N', 'Concepción', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.183 -31.4)', 'ARG', 'N', 'Córdoba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.233 -32.483)', 'ARG', 'N', 'Concepción del Uruguay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.35 -40.167)', 'ARG', 'N', 'San Martín de los Andes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.65 -24.917)', 'ARG', 'N', 'Campo Quijano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55 -27.467)', 'ARG', 'N', 'Campo Ramón', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-59.8 -34.167)', 'ARG', 'N', 'Capitán Sarmiento', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.1 -24.667)', 'ARG', 'N', 'Campo Santo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.35 -33.233)', 'ARG', 'N', 'Chabás', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.283 -31.65)', 'ARG', 'N', 'Caucete', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.233 -38.933)', 'ARG', 'N', 'Cutral-Có', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.4 -31.917)', 'ARG', 'N', 'Colazo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.517 -41.967)', 'ARG', 'N', 'El Bolsón', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.167 -42.05)', 'ARG', 'N', 'El Maitén', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.517 -34.833)', 'ARG', 'N', 'Ministro Pistarini Apt/Buenos Aires', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-65.05 -24.667)', 'ARG', 'N', 'General Güemes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.517 -33.017)', 'ARG', 'N', 'Gualeguaychú', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.583 -39.033)', 'ARG', 'N', 'General Roca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-59.167 -33.733)', 'ARG', 'N', 'Ibicuy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-54.567 -25.567)', 'ARG', 'N', 'Iguazú', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.967 -34.583)', 'ARG', 'N', 'Junín', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.483 -44.033)', 'ARG', 'N', 'José de San Martín', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.617 -38.067)', 'ARG', 'N', 'Loncopué', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.583 -35.467)', 'ARG', 'N', 'Malargüe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.317 -27.6)', 'ARG', 'N', 'Leandro N. Alem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.883 -34.85)', 'ARG', 'N', 'La Plata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.617 -22.1)', 'ARG', 'N', 'La Quiaca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-66.35 -33.3)', 'ARG', 'N', 'San Luis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.533 -38.05)', 'ARG', 'N', 'Mar del Plata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.067 -38.95)', 'ARG', 'N', 'Neuquén', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.283 -38.383)', 'ARG', 'N', 'Tres Arroyos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.9 -35.817)', 'ARG', 'N', 'Pehuajó', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.033 -42.75)', 'ARG', 'N', 'Puerto Madryn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.533 -31.733)', 'ARG', 'N', 'Paraná', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.5 -34.55)', 'ARG', 'N', 'Presidente Roque Sáenz Peña', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-62.067 -38.933)', 'ARG', 'N', 'Puerto Rosales/Bahia Blanca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.9 -47.75)', 'ARG', 'N', 'Puerto Deseado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.7 -38.533)', 'ARG', 'N', 'Quequén', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-59.65 -29.15)', 'ARG', 'N', 'Reconquista', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.35 -33.133)', 'ARG', 'N', 'Río Cuarto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.7 -53.783)', 'ARG', 'N', 'Río Grande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.217 -51.633)', 'ARG', 'N', 'Río Gallegos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.95 -27.567)', 'ARG', 'N', 'Río Hondo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.65 -32.95)', 'ARG', 'N', 'Rosario', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.267 -45.683)', 'ARG', 'N', 'Río Mayo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.3 -51.533)', 'ARG', 'N', 'Río Turbio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.417 -50.017)', 'ARG', 'N', 'Santa Cruz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.683 -31.6)', 'ARG', 'N', 'Santa Fe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.95 -25.483)', 'ARG', 'N', 'San José de Metán', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.233 -33.333)', 'ARG', 'N', 'San Nicolás de los Arroyos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.467 -53.3)', 'ARG', 'N', 'San Sebastián', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.533 -34.6)', 'ARG', 'N', 'Sáenz Peña', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.217 -26.817)', 'ARG', 'N', 'Tucumán', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.717 -49.3)', 'ARG', 'N', 'San Julian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.3 -54.8)', 'ARG', 'N', 'Ushuaia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.05 -29.783)', 'ARG', 'N', 'Curuzú Cuatiá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.333 -33.233)', 'ARG', 'N', 'Villa Constitución', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.467 -33.667)', 'ARG', 'N', 'Villa Mercedes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-59.033 -34.1)', 'ARG', 'N', 'Zárate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.1 -23.217)', 'ARG', 'N', 'Embarcacíon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.45 47.067)', 'AUT', 'N', 'Graz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.3 46.617)', 'AUT', 'N', 'Klagenfurt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.033 47.8)', 'AUT', 'N', 'Salzburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.167 47.167)', 'AUT', 'N', 'Zürs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(146.917 -36.083)', 'AUS', 'N', 'Albury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(138.583 -34.917)', 'AUS', 'N', 'Adelaide', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(148.717 -20.267)', 'AUS', 'N', 'Abell Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.6 -34.283)', 'AUS', 'N', 'Berri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(153.017 -27.467)', 'AUS', 'N', 'Brisbane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.533 -17.733)', 'AUS', 'N', 'Burketown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(144.433 -38.117)', 'AUS', 'N', 'Corio Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.967 -15.567)', 'AUS', 'N', 'Coolibah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(149.133 -36.233)', 'AUS', 'N', 'Cooma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(123.817 -17.567)', 'AUS', 'N', 'RAAF Curtin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.833 -12.45)', 'AUS', 'N', 'Darwin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(147.3 -42.867)', 'AUS', 'N', 'Hobart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(146.283 -18.383)', 'AUS', 'N', 'Hinchinbrook Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.833 -17.483)', 'AUS', 'N', 'Karumba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(144.967 -37.817)', 'AUS', 'N', 'Melbourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(149.2 -21.15)', 'AUS', 'N', 'Mackay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.933 -11.55)', 'AUS', 'N', 'Melville Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.833 -28.05)', 'AUS', 'N', 'Mount Magnet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(158.933 -54.483)', 'AUS', 'N', 'Macquarie Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(115.1 -21.65)', 'AUS', 'N', 'Onslow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(153.5 -28.15)', 'AUS', 'N', 'Gold Coast Apt/Coolangatta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(115.85 -31.95)', 'AUS', 'N', 'Perth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(151.2 -33.85)', 'AUS', 'N', 'Sydney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(147.35 -35.133)', 'AUS', 'N', 'Wagga Wagga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(146.433 -38.667)', 'AUS', 'N', 'Welshpool', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.717 -22.217)', 'AUS', 'N', 'Wittenoom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.167 -21.417)', 'AUS', 'N', 'Yandicoogina / Yandi Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.8 -23.417)', 'AUS', 'N', 'Newman Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.967 12.5)', 'ABW', 'N', 'Aruba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.95 60.1)', 'ALA', 'N', 'Maarianhamina (Mariehamn)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.183 44.767)', 'BIH', 'N', 'Banja Luka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.383 43.85)', 'BIH', 'N', 'Sarajevo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.667 44.533)', 'BIH', 'N', 'Tuzla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(91.983 21.433)', 'BGD', 'N', 'Cox''s Bazar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.333 50.833)', 'BEL', 'N', 'Brussel (Bruxelles)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.433 50.417)', 'BEL', 'N', 'Charleroi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.717 51.05)', 'BEL', 'N', 'Gent (Ghent)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.267 50.833)', 'BEL', 'N', 'Kortrijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.283 51.35)', 'BEL', 'N', 'Knokke/Het Zoute', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.35 51.083)', 'BEL', 'N', 'Klein Willebroek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.567 50.633)', 'BEL', 'N', 'Liège', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.383 49.917)', 'BEL', 'N', 'Libramont-Chevigny', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.7 51.267)', 'BEL', 'N', 'Zoersel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.817 51.2)', 'BEL', 'N', 'Zelzate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.133 12.983)', 'BFA', 'N', 'Bogandé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.3 11.2)', 'BFA', 'N', 'Bobo-Dioulasso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.25 10.967)', 'BFA', 'N', 'Diébougou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.467 12.467)', 'BFA', 'N', 'Dédougou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.35 12.067)', 'BFA', 'N', 'Fada-Ngourma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.1 11.1)', 'BFA', 'N', 'Léo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.633 11.167)', 'BFA', 'N', 'Zabré', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.517 43.7)', 'BGR', 'N', 'Durankulak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.117 42.267)', 'BGR', 'N', 'Dupnica', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(25.7 43.133)', 'BGR', 'N', 'Gorna Oryakhovitsa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.367 41.633)', 'BGR', 'N', 'Kurdzhali', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.75 43.817)', 'BGR', 'N', 'Krushari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.083 41.85)', 'BGR', 'N', 'Lyubimets', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.533 41.983)', 'BGR', 'N', 'Malko Tarnovo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.167 43.433)', 'BGR', 'N', 'Opaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.517 43.467)', 'BGR', 'N', 'Pavel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.967 43.85)', 'BGR', 'N', 'Ruse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.85 41.483)', 'BGR', 'N', 'Rudozem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.933 41.983)', 'BGR', 'N', 'Stanke Lisitchkovo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.333 42.967)', 'BGR', 'N', 'Svoge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.583 43.25)', 'BGR', 'N', 'Targovishte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.383 43.833)', 'BGR', 'N', 'Vrska Cuka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(50.65 26.233)', 'BHR', 'N', 'Al Hidd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(50.633 26.267)', 'BHR', 'N', 'Bahrain International Airport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(50.6 26.25)', 'BHR', 'N', 'Al Muharraq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(50.617 26.2)', 'BHR', 'N', 'Khalifa Bin Salman Port', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(50.317 26.183)', 'BHR', 'N', 'King Fahed Causeway', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(50.617 26.2)', 'BHR', 'N', 'Mina Sulman Port', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(50.617 26.133)', 'BHR', 'N', 'Sitrah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.483 8.033)', 'BEN', 'N', 'Savé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-62.833 17.9)', 'BLM', 'N', 'Saint-Barthélemy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.933 4.883)', 'BRN', 'N', 'Bandar Seri Begawan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.417 -14.717)', 'BOL', 'N', 'Apolo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.083 -15.7)', 'BOL', 'N', 'Ascensión', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.367 -22.65)', 'BOL', 'N', 'Bermejo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.75 -13.55)', 'BOL', 'N', 'Huacaraje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.583 -13.583)', 'BOL', 'N', 'Baures', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.683 -22.033)', 'BOL', 'N', 'Yacuiba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.533 -20.1)', 'BOL', 'N', 'Camiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Lima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-66.15 -17.383)', 'BOL', 'N', 'Cochabamba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-62.033 -16.133)', 'BOL', 'N', 'Concepción', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.733 -11.033)', 'BOL', 'N', 'Cobija', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.867 -16.583)', 'BOL', 'N', 'Guaqui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.383 -10.8)', 'BOL', 'N', 'Guayaramerín', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.15 -16.5)', 'BOL', 'N', 'La Paz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.2 -13.233)', 'BOL', 'N', 'Magdalena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.15 -17.983)', 'BOL', 'N', 'Oruro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.967 -20.033)', 'BOL', 'N', 'Puerto Busch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.75 -19.583)', 'BOL', 'N', 'Potosí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.8 -18.95)', 'BOL', 'N', 'Puerto Suárez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.767 -17.783)', 'BOL', 'N', 'Puerto Quijarro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-59.75 -18.333)', 'BOL', 'N', 'Roboré', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.567 -14.467)', 'BOL', 'N', 'Rurrenabaque', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.383 -14.317)', 'BOL', 'N', 'Reyes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-66.1 -10.983)', 'BOL', 'N', 'Riberalta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.433 -13.75)', 'BOL', 'N', 'Santa Ana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.817 -13.067)', 'BOL', 'N', 'San Joaquín', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.75 -17.85)', 'BOL', 'N', 'San José', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-62.633 -16.333)', 'BOL', 'N', 'San Javier', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-60.95 -16.367)', 'BOL', 'N', 'San Ignacio de Velasco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.85 -26.017)', 'BRA', 'N', 'Garuva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.65 -15)', 'BOL', 'N', 'San Ignacio de Moxo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.717 -13.283)', 'BOL', 'N', 'San Ramón', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.25 -19.033)', 'BOL', 'N', 'Sucre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-66.85 -14.817)', 'BOL', 'N', 'San Borja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.183 -17.783)', 'BOL', 'N', 'Santa Cruz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.9 -14.833)', 'BOL', 'N', 'Trinidad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.75 -21.517)', 'BOL', 'N', 'Tarija', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.1 -18.483)', 'BOL', 'N', 'Vallegrande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.5 -21.25)', 'BOL', 'N', 'Villamontes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.65 -18.383)', 'BOL', 'N', 'Viru Viru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.267 12.117)', 'BES', 'N', 'Bonaire', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-62.967 17.483)', 'BES', 'N', 'Sint Eustatius', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.267 12.15)', 'BES', 'N', 'Kralendijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.233 17.633)', 'BES', 'N', 'Saba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-46.917 -19.583)', 'BRA', 'N', 'Araxá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.283 -26.55)', 'BRA', 'N', 'Anchieta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.983 -16.25)', 'BRA', 'N', 'Americano do Brasil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-44.3 -23)', 'BRA', 'N', 'Angra dos Reis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.183 -27.35)', 'BRA', 'N', 'Ametista do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.333 -14.183)', 'BRA', 'N', 'Alto Horizonte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-46.617 -22.2)', 'BRA', 'N', 'Albertina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-42.45 -5.033)', 'BRA', 'N', 'Altos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.667 -12.467)', 'BRA', 'N', 'Alvorada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-44.3 -21.733)', 'BRA', 'N', 'Andrelandia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-42.25 -17.717)', 'BRA', 'N', 'Angelândia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.967 -16.333)', 'BRA', 'N', 'Anápolis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-45.95 -9.1)', 'BRA', 'N', 'Alto Parnaíba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.25 -15.917)', 'BRA', 'N', 'Aragarças', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-50.417 -21.2)', 'BRA', 'N', 'Araçatuba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.2 -7.2)', 'BRA', 'N', 'Araguaína', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.333 -27.7)', 'BRA', 'N', 'Alfredo Wagner', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.633 -26.983)', 'BRA', 'N', 'Balneário de Camboriú', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-62.917 -0.967)', 'BRA', 'N', 'Barcelos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.133 -25.183)', 'BRA', 'N', 'Bocaiúva do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.5 -1.45)', 'BRA', 'N', 'Belem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-42.467 -19.233)', 'BRA', 'N', 'Belo Oriente', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.517 -29.167)', 'BRA', 'N', 'Bento Gonçalves', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-54.1 -31.333)', 'BRA', 'N', 'Bagé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.567 -26.167)', 'BRA', 'N', 'Bituruna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.25 -23.117)', 'BRA', 'N', 'Bofete', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-41.25 -11.967)', 'BRA', 'N', 'Bonito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.25 -15.883)', 'BRA', 'N', 'Barra do Garças', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.733 -11)', 'BRA', 'N', 'Brasiléia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.517 -27.8)', 'BRA', 'N', 'Bom Retiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58 -12.117)', 'BRA', 'N', 'Brasnorte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-47.917 -15.783)', 'BRA', 'N', 'Brasília', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.733 -30.383)', 'BRA', 'N', 'Barão do Triunfo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.9 -27.35)', 'BRA', 'N', 'Braço do Trombudo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-54.1 -27.667)', 'BRA', 'N', 'Boa Vista do Burica', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-50.483 -1.667)', 'BRA', 'N', 'Breves', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.367 -24.05)', 'BRA', 'N', 'Campo Mourao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.017 -27.233)', 'BRA', 'N', 'Concórdia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.383 -28.7)', 'BRA', 'N', 'Criciúma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.683 -16.067)', 'BRA', 'N', 'Cáceres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.85 -6.517)', 'BRA', 'N', 'Canaã dos Carajás', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.283 -8.233)', 'BRA', 'N', 'Conceição do Araguaia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.033 -26.217)', 'BRA', 'N', 'Coronel Domingos Solares', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-56.083 -15.583)', 'BRA', 'N', 'Cuiabá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-46.65 -23.617)', 'BRA', 'N', 'Congonhas Apt/São Paulo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.083 -25.3)', 'BRA', 'N', 'Campina Grande do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-41.5 -19.167)', 'BRA', 'N', 'Conselheiro Pena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-50.65 -23.133)', 'BRA', 'N', 'Cornélio Procópio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.867 -2.95)', 'BRA', 'N', 'Carajás', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.783 -26.933)', 'BRA', 'N', 'Coronel Freitas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-43.867 -20.5)', 'BRA', 'N', 'Congonhas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-42.283 -18.583)', 'BRA', 'N', 'Coroaci', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.533 -25.7)', 'BRA', 'N', 'Contenda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-44.65 -13.333)', 'BRA', 'N', 'Correntina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.75 -19.15)', 'BRA', 'N', 'Cassilândia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-50.45 -24.033)', 'BRA', 'N', 'Curiúva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-47.783 -19.967)', 'BRA', 'N', 'Delta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-46.833 -11.633)', 'BRA', 'N', 'Dianópolis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-40.817 -18.367)', 'BRA', 'N', 'Ecoporanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.517 -30.533)', 'BRA', 'N', 'Encruzilhada do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-45.567 -21.617)', 'BRA', 'N', 'Elói Mendes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.867 -6.667)', 'BRA', 'N', 'Eirunepé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.067 -26.083)', 'BRA', 'N', 'Francisco Beltrao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-32.417 -3.85)', 'BRA', 'N', 'Fernando de Noronha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.567 -27.583)', 'BRA', 'N', 'Florianópolis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.517 -26.383)', 'BRA', 'N', 'Guarujá do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.417 -26.467)', 'BRA', 'N', 'General Carneiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-35 -7.55)', 'BRA', 'N', 'Goiania', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.75 -15.7)', 'BRA', 'N', 'General Carneiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-44.6 -2.133)', 'BRA', 'N', 'Guimaraes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-46.483 -23.433)', 'BRA', 'N', 'Guarulhos Apt/São Paulo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.967 -27.083)', 'BRA', 'N', 'Guabiruba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-45.217 -22.817)', 'BRA', 'N', 'Guaratinguetá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.75 -27.117)', 'BRA', 'N', 'Guatambu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.267 -16.667)', 'BRA', 'N', 'Goiânia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-42.5 -18.8)', 'BRA', 'N', 'Gonzaga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-44.417 -20.2)', 'BRA', 'N', 'Itatiaiuçu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-42.217 -19.433)', 'BRA', 'N', 'Iapu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53 -25.1)', 'BRA', 'N', 'Ibema', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-37.35 -4.7)', 'BRA', 'N', 'Icapuí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.167 -9.2)', 'BRA', 'N', 'Itapuã do Oeste', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-39.967 -2.9)', 'BRA', 'N', 'Itarema', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-54.583 -25.55)', 'BRA', 'N', 'Foz do Iguaçu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-37.3 -10.983)', 'BRA', 'N', 'Itaporanga d''Ajuda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.917 -28.383)', 'BRA', 'N', 'Ijuí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.8 -25.95)', 'BRA', 'N', 'Itapejara d''Oeste', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-48.867 -26.9)', 'BRA', 'N', 'Ilhota', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-37.7 -8.533)', 'BRA', 'N', 'Ibimirim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.733 -23.417)', 'BRA', 'N', 'Indianópolis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.25 -27.017)', 'BRA', 'N', 'Iomerê', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-39.733 -14.133)', 'BRA', 'N', 'Ipiaú', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-41.867 -11.3)', 'BRA', 'N', 'Irecê', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-39.15 -13.733)', 'BRA', 'N', 'Ituberá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-46.183 -22.1)', 'BRA', 'N', 'Ipuiúna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.683 -22.233)', 'BRA', 'N', 'Itapuí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-43.667 -15.333)', 'BRA', 'N', 'Jaíba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.667 -26.917)', 'BRA', 'N', 'José Boiteux', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.5 -27.167)', 'BRA', 'N', 'Joaçaba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-43.35 -21.75)', 'BRA', 'N', 'Juiz de Fora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-43.983 -20.533)', 'BRA', 'N', 'Jeceaba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-40.083 -13.85)', 'BRA', 'N', 'Jequié', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.017 -28.6)', 'BRA', 'N', 'Jaguaruna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-44.367 -15.483)', 'BRA', 'N', 'Januária', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-34.867 -7.117)', 'BRA', 'N', 'Joao Pessoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.967 -10.833)', 'BRA', 'N', 'Ji-Paraná', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.9 -26.7)', 'BRA', 'N', 'Luiz Alves', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-43.417 -13.25)', 'BRA', 'N', 'Bom Jesus da Lapa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.783 -7.267)', 'BRA', 'N', 'Lábrea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-59.367 -15.2)', 'BRA', 'N', 'Pontes e Lacerda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.067 -27.05)', 'BRA', 'N', 'Lindóia do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-34.867 -6.9)', 'BRA', 'N', 'Lucena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.317 -25.767)', 'BRA', 'N', 'Mandirituba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.117 -5.35)', 'BRA', 'N', 'Marabá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.633 -29.15)', 'BRA', 'N', 'Monte Belo do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.7 -3.4)', 'BRA', 'N', 'Maués', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-35.717 -9.667)', 'BRA', 'N', 'Maceió', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.033 -30.117)', 'BRA', 'N', 'Minas do Leão', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.983 -9.417)', 'BRA', 'N', 'Machadinho d''Oeste', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-41.783 -22.383)', 'BRA', 'N', 'Macaé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.1 -28.667)', 'BRA', 'N', 'Morro Grande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.917 -23.417)', 'BRA', 'N', 'Maringá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-44.033 -22.95)', 'BRA', 'N', 'Mangaratiba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.933 -22.217)', 'BRA', 'N', 'Marília', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.683 -27.483)', 'BRA', 'N', 'Miraguaí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.3 -5.817)', 'BRA', 'N', 'Manicoré', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-42.883 -17.517)', 'BRA', 'N', 'Monte Belo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.4 -27.1)', 'BRA', 'N', 'Mondaí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-37.083 -10.75)', 'BRA', 'N', 'Maruim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-42.35 -20.283)', 'BRA', 'N', 'Matipó', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.867 -29.15)', 'BRA', 'N', 'Muçum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-45.967 -19.217)', 'BRA', 'N', 'Matutina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-37.35 -5.183)', 'BRA', 'N', 'Mossoró', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-54.817 -29.4)', 'BRA', 'N', 'Nova Esperança do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.75 -28.667)', 'BRA', 'N', 'Nova Araçá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.467 -29.467)', 'BRA', 'N', 'Nova Palma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.917 -27.283)', 'BRA', 'N', 'Nova Trento', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-36.417 -6.683)', 'BRA', 'N', 'Nova Palmeira', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-48.45 -14.45)', 'BRA', 'N', 'Niquelândia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-46.417 -21.133)', 'BRA', 'N', 'Nova Resende', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.4 -29.983)', 'BRA', 'N', 'Nova Roma do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.25 -12.983)', 'BRA', 'N', 'Nova Ubiratã', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.5 -28.65)', 'BRA', 'N', 'Nova Veneza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.383 -5.117)', 'BRA', 'N', 'Novo Aripuana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.65 -26.9)', 'BRA', 'N', 'Navegantes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.867 -1.767)', 'BRA', 'N', 'Oriximiná', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-47.833 -18.233)', 'BRA', 'N', 'Ouvidor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-43.7 -22.6)', 'BRA', 'N', 'Paracambi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.033 -23.45)', 'BRA', 'N', 'Paiçandu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.267 -26.333)', 'BRA', 'N', 'Palma Sola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.367 -11.483)', 'BRA', 'N', 'Pôrto dos Gaúchos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-54.467 -16.617)', 'BRA', 'N', 'Pedra Preta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-41.767 -2.917)', 'BRA', 'N', 'Parnaíba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.633 -25.717)', 'BRA', 'N', 'Pinhão', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.95 -26.8)', 'BRA', 'N', 'Pinhalzinho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.133 -29.45)', 'BRA', 'N', 'Picada Café', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.717 -22.533)', 'BRA', 'N', 'Ponta Pora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.5 -25.517)', 'BRA', 'N', 'Paranaguá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-46.567 -21.8)', 'BRA', 'N', 'Poços de Caldas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.933 -24.517)', 'BRA', 'N', 'Piraí do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.233 -1.75)', 'BRA', 'N', 'Pôrto de Moz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.467 -23.067)', 'BRA', 'N', 'Paranavaí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.417 -26.1)', 'BRA', 'N', 'Piên', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-46.567 -23.6)', 'BRA', 'N', 'Sao Caetano do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.9 -25.45)', 'BRA', 'N', 'Quedas do Iguaçu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.783 -22.6)', 'BRA', 'N', 'Lençóis Paulista', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.4 -26.2)', 'BRA', 'N', 'São Bento do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.383 -29.583)', 'BRA', 'N', 'Sao Sebastiao do Caí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-42.983 -22.433)', 'BRA', 'N', 'Teresópolis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-45.267 -21.7)', 'BRA', 'N', 'Três Coraçoes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-43.2 -22.117)', 'BRA', 'N', 'Três Rios', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.067 -26.483)', 'BRA', 'N', 'Jaraguá do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-45.583 -22.733)', 'BRA', 'N', 'Campos do Jordao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.15 -29.767)', 'BRA', 'N', 'Sao Leopoldo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-43.183 -22.517)', 'BRA', 'N', 'Petrópolis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.967 -24.567)', 'BRA', 'N', 'Quatro Pontes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-44.45 -22.467)', 'BRA', 'N', 'Resende', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-46.55 -23.7)', 'BRA', 'N', 'Sao Bernardo do Campo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-46.517 -23.667)', 'BRA', 'N', 'Santo André', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-44.267 -21.15)', 'BRA', 'N', 'Sao Joao del Rei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.083 -26.217)', 'BRA', 'N', 'Uniao da Vitória', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-47.8 -21.167)', 'BRA', 'N', 'Ribeirao Prêto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-50.783 -25.717)', 'BRA', 'N', 'Rio Azul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.3 -25.167)', 'BRA', 'N', 'Rio Branco do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-39.317 -11.567)', 'BRA', 'N', 'Retirolandia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.75 -24.217)', 'BRA', 'N', 'Ribeirão Branco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-50.15 -26.967)', 'BRA', 'N', 'Rio do Campo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-39.35 -11.8)', 'BRA', 'N', 'Riachão do Jacuípe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.383 -26.95)', 'BRA', 'N', 'Rodeio', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-54.633 -16.467)', 'BRA', 'N', 'Rondonópolis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-59.7 -2.683)', 'BRA', 'N', 'Rio Preto da Eva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.383 -29.817)', 'BRA', 'N', 'Restinga Seca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-45.3 -22.9)', 'BRA', 'N', 'Roseira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-46.917 -22.6)', 'BRA', 'N', 'Santo Antônio de Posse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-39.217 -12.733)', 'BRA', 'N', 'Sapeaçu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-44.267 -20.033)', 'BRA', 'N', 'São Joaquim de Bicas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-39.85 -18.733)', 'BRA', 'N', 'Sao Mateus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-36.083 -5.167)', 'BRA', 'N', 'São Bento do Norte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-47.4 -22.733)', 'BRA', 'N', 'Santa Bárbara d''Oeste', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-50.45 -26.933)', 'BRA', 'N', 'Santa Cecília', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-44.967 -12.367)', 'BRA', 'N', 'São Desidério', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-40.533 -19.017)', 'BRA', 'N', 'São Domingos do Norte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-41.767 -12.417)', 'BRA', 'N', 'Seabra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.083 -16.717)', 'BRA', 'N', 'Senador Canedo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-50 -26.967)', 'BRA', 'N', 'Salete', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-50.933 -20.217)', 'BRA', 'N', 'Santa Fé do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-41.9 -7.85)', 'BRA', 'N', 'Simplício Mendes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.433 -28.583)', 'BRA', 'N', 'Siderópolis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.433 -6.233)', 'BRA', 'N', 'São João da Araguaia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-45.883 -23.183)', 'BRA', 'N', 'Sao José dos Campos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.083 -0.133)', 'BRA', 'N', 'Sao Gabriel da Cachoeira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.383 -20.8)', 'BRA', 'N', 'Sao José do Rio Prêto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.833 -27.267)', 'BRA', 'N', 'São João Batista', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-35.817 -9.6)', 'BRA', 'N', 'Santa Luzia do Norte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-35.55 -9.317)', 'BRA', 'N', 'São Luís do Quitunde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-44.117 -8.95)', 'BRA', 'N', 'Santa Luz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-44.3 -2.5)', 'BRA', 'N', 'São Luís', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-40.733 -20.017)', 'BRA', 'N', 'Santa Maria de Jetibá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.05 -32.017)', 'BRA', 'N', 'São José do Norte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-43.817 -22.917)', 'BRA', 'N', 'Porto de Itaguaí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-47.167 -0.767)', 'BRA', 'N', 'São João de Pirabas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-50.217 -13.317)', 'BRA', 'N', 'Sao Miguel do Araguaia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.967 -31.367)', 'BRA', 'N', 'Sao Lourenço do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-54.667 -25.733)', 'BRA', 'N', 'Santa Terezinha de Itaipu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.617 -25.05)', 'BRA', 'N', 'Santa Tereza do Oeste', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-46.133 -20.717)', 'BRA', 'N', 'São José da Barra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-42.717 -22.733)', 'BRA', 'N', 'Tanguá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52 -28.05)', 'BRA', 'N', 'Tapejara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.85 -29.8)', 'BRA', 'N', 'Taquari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-50.617 -24.35)', 'BRA', 'N', 'Telêmaco Borba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.7 -3.367)', 'BRA', 'N', 'Tefé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-41.5 -17.85)', 'BRA', 'N', 'Teófilo Otoni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-42.8 -5.1)', 'BRA', 'N', 'Teresina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-47.95 -18.167)', 'BRA', 'N', 'Catalao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-40.667 -12.367)', 'BRA', 'N', 'Terra Nova', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-50.133 -29.967)', 'BRA', 'N', 'Tramandaí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.767 -8.167)', 'BRA', 'N', 'Tarauacá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.417 -29.467)', 'BRA', 'N', 'Tupandi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.7 -3.7)', 'BRA', 'N', 'Tucuruí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-50.05 -0.183)', 'BRA', 'N', 'Tucuma', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-50.15 -16.65)', 'BRA', 'N', 'Turvânia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-48.3 -18.917)', 'BRA', 'N', 'Uberlândia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-51.733 -27)', 'BRA', 'N', 'Vargem Bonita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-40.85 -14.85)', 'BRA', 'N', 'Vitória da Conquista', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-50.233 -24.267)', 'BRA', 'N', 'Ventania', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.2 -25.367)', 'BRA', 'N', 'Virmond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-42.75 -18.75)', 'BRA', 'N', 'Virginópolis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.567 -25.967)', 'BRA', 'N', 'Coronel Vivida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-39.45 -11.567)', 'BRA', 'N', 'Valente', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.35 -27.383)', 'BRA', 'N', 'Vidal Ramos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-49.783 -26.917)', 'BRA', 'N', 'Witmarsum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.7 24.633)', 'BHS', 'N', 'Arthur''s Town, Cat Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.35 24.817)', 'BHS', 'N', 'Cape Eleuthera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.533 24.15)', 'BHS', 'N', 'Congo Town', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.833 25.75)', 'BHS', 'N', 'Great Harbour Cay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.333 26.75)', 'BHS', 'N', 'Green Turtle Cay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.633 25.5)', 'BHS', 'N', 'Harbour Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.083 23.167)', 'BHS', 'N', 'Deadmans Cay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.967 26.533)', 'BHS', 'N', 'Marsh Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.35 25.083)', 'BHS', 'N', 'Nassau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.417 24.3)', 'BHS', 'N', 'New Bight', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.2 24.9)', 'BHS', 'N', 'Rock Sound', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.05 25.067)', 'BHS', 'N', 'San Andros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.3 23.6)', 'BHS', 'N', 'Stella Maris', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.4 24.317)', 'BHS', 'N', 'The Bight', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.967 26.683)', 'BHS', 'N', 'West End', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.517 -21.167)', 'BWA', 'N', 'Francistown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.917 -24.667)', 'BWA', 'N', 'Gaborone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.917 54.917)', 'CAN', 'N', 'Adlavik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-85.167 73.033)', 'CAN', 'N', 'Arctic Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.983 47.767)', 'CAN', 'N', 'Arnold''s Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.2 47.417)', 'CAN', 'N', 'Avondale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.833 47.333)', 'CAN', 'N', 'Bay Bulls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.433 46.333)', 'CAN', 'N', 'Bécancour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-62.833 50.3)', 'CAN', 'N', 'Baie-Johan-Beetz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.183 47.05)', 'CAN', 'N', 'Burin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.8 48.7)', 'CAN', 'N', 'Burnside', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-56.183 49.917)', 'CAN', 'N', 'Baie Verte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.367 49.15)', 'CAN', 'N', 'Botwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-114.067 51.033)', 'CAN', 'N', 'Calgary', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-125.25 50.017)', 'CAN', 'N', 'Campbell River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.083 48.517)', 'CAN', 'N', 'Catalina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.983 47.85)', 'CAN', 'N', 'Come By Chance', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.933 48.95)', 'CAN', 'N', 'Corner Brook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.133 46.233)', 'CAN', 'N', 'Charlottetown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-94.183 58.767)', 'CAN', 'N', 'Churchill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.967 48.15)', 'CAN', 'N', 'Clarenville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.633 43.45)', 'CAN', 'N', 'Clark''s Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.267 47.583)', 'CAN', 'N', 'Coley''s Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-66.967 44.967)', 'CAN', 'N', 'Deer Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-123 49.083)', 'CAN', 'N', 'Delta', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-53.55 47.55)', 'CAN', 'N', 'Dildo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-123.717 48.783)', 'CAN', 'N', 'Duncan/Quam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.4 58.1)', 'CAN', 'N', 'Kuujjuaq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-93.4 48.6)', 'CAN', 'N', 'Fort Frances', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-54.283 49.717)', 'CAN', 'N', 'Fogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.833 47.067)', 'CAN', 'N', 'Fortune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-66.65 45.95)', 'CAN', 'N', 'Fredericton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-120.833 56.25)', 'CAN', 'N', 'Fort-Saint-John', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-80.317 43.367)', 'CAN', 'N', 'Cambridge (ex Galt)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.917 43.65)', 'CAN', 'N', 'Georgetown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-66.8 44.7)', 'CAN', 'N', 'Grand Manan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.167 53.4)', 'CAN', 'N', 'Goose Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.483 48.833)', 'CAN', 'N', 'Gaspé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.783 47.1)', 'CAN', 'N', 'Grand Bank', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.983 44.333)', 'CAN', 'N', 'Hibernia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.133 47.383)', 'CAN', 'N', 'Holyrood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.217 55.45)', 'CAN', 'N', 'Hopedale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.25 47.683)', 'CAN', 'N', 'Harbour Grace', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-81.817 69.367)', 'CAN', 'N', 'Igloolik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.733 61.55)', 'CAN', 'N', 'Kovik Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.167 46.8)', 'CAN', 'N', 'Lévis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.8 47.433)', 'CAN', 'N', 'Long Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.917 48)', 'CAN', 'N', 'Long Pond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-59.983 45.917)', 'CAN', 'N', 'Louisbourg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.067 49.233)', 'CAN', 'N', 'Lewisporte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-56.017 51.183)', 'CAN', 'N', 'Main Brook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-65.75 49.217)', 'CAN', 'N', 'Mont-Louis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.167 47.167)', 'CAN', 'N', 'Marystown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.683 56.55)', 'CAN', 'N', 'Nain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-80.067 42.8)', 'CAN', 'N', 'Nanticoke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.067 43.25)', 'CAN', 'N', 'Niagara-on-the-Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.45 46.3)', 'CAN', 'N', 'North Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.883 48.333)', 'CAN', 'N', 'Port-Alfred', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.333 44.3)', 'CAN', 'N', 'Peterborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-59.15 47.567)', 'CAN', 'N', 'Channel-Port aux Basques', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-66.867 50.017)', 'CAN', 'N', 'Port-Cartier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.25 44.9)', 'CAN', 'N', 'Perth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-127.1 50.583)', 'CAN', 'N', 'Port McNeill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.35 49.817)', 'CAN', 'N', 'Port-Menier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.483 45.65)', 'CAN', 'N', 'Pointe-aux-Trembles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.417 47.517)', 'CAN', 'N', 'Ramea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.533 47.833)', 'CAN', 'N', 'Rivière-du-Loup', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-56.117 50.85)', 'CAN', 'N', 'Roddickton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.067 48.417)', 'CAN', 'N', 'Saguenay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.6 51.383)', 'CAN', 'N', 'Saint-Anthony', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.233 43.167)', 'CAN', 'N', 'Saint-Catharines', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.75 59.417)', 'CAN', 'N', 'Seven Islands Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-66.383 50.2)', 'CAN', 'N', 'Sept-Iles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-54.167 49.6)', 'CAN', 'N', 'Seldom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-62.533 44.933)', 'CAN', 'N', 'Sheet Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-66.067 45.267)', 'CAN', 'N', 'Saint-John', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-73.5 45.483)', 'CAN', 'N', 'Saint-Lambert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.4 46.9)', 'CAN', 'N', 'Saint-Lawrence', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.583 46.917)', 'CAN', 'N', 'Saint-Marys', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-56.1 49.483)', 'CAN', 'N', 'Springdale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.233 46.75)', 'CAN', 'N', 'Saint-Romuald-d''Etchemin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.567 48.55)', 'CAN', 'N', 'Stephenville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.35 45.767)', 'CAN', 'N', 'Verchères', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-123.35 48.433)', 'CAN', 'N', 'Victoria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-74.133 45.25)', 'CAN', 'N', 'Valleyfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.75 53.45)', 'CAN', 'N', 'Black Tickle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-99.95 49.833)', 'CAN', 'N', 'Brandon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-97.033 52.367)', 'CAN', 'N', 'Berens River Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.117 51.433)', 'CAN', 'N', 'Blanc-Sablon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-105.083 69.117)', 'CAN', 'N', 'Cambridge Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-90.7 63.333)', 'CAN', 'N', 'Chesterfield Inlet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.283 53.45)', 'CAN', 'N', 'Paradise River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.433 49.167)', 'CAN', 'N', 'Deer Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.583 50.233)', 'CAN', 'N', 'Daniels Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.867 55.85)', 'CAN', 'N', 'Davis Inlet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-113.567 53.3)', 'CAN', 'N', 'Edmonton Int Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-94.05 61.1)', 'CAN', 'N', 'Arviat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-82.95 76.417)', 'CAN', 'N', 'Grise Fiord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-95.833 68.617)', 'CAN', 'N', 'Gjoa Haven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-109.983 53.267)', 'CAN', 'N', 'Lloydminster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-119.35 76.233)', 'CAN', 'N', 'Mould Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.833 52.317)', 'CAN', 'N', 'Mary''s Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-105.55 50.4)', 'CAN', 'N', 'Moose Jaw', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-111.383 56.733)', 'CAN', 'N', 'Fort McMurray', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-59.183 55.083)', 'CAN', 'N', 'Makkovik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.9 51.317)', 'CAN', 'N', 'Némiscau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-128.7 60.067)', 'CAN', 'N', 'Watson Lake Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.017 53.7)', 'CAN', 'N', 'Cartwright', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.433 54.167)', 'CAN', 'N', 'Rigolet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-66.033 45.25)', 'CAN', 'N', 'Saint-John Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.233 56.533)', 'CAN', 'N', 'Sanikiluaq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-62.633 58.467)', 'CAN', 'N', 'Saglek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.767 50.267)', 'CAN', 'N', 'Rivière-au-Tonnerre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.933 58.7)', 'CAN', 'N', 'Tasiujaq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.383 43.617)', 'CAN', 'N', 'Billy Bishop Toronto City Apt/Toronto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.017 48.233)', 'CAN', 'N', 'Rouyn-Noranda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.767 48.117)', 'CAN', 'N', 'Val-d''Or', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-123.417 65.183)', 'CAN', 'N', 'Déline', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-66.867 52.917)', 'CAN', 'N', 'Wabush', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.783 52.55)', 'CAN', 'N', 'Williams Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-110.667 50.033)', 'CAN', 'N', 'Medicine Hat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-92.583 62.167)', 'CAN', 'N', 'Whale Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-119.583 49.5)', 'CAN', 'N', 'Penticton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-93.517 69.533)', 'CAN', 'N', 'Taloyoak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.75 47.617)', 'CAN', 'N', 'Saint-Johns-Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-56.867 48.817)', 'CAN', 'N', 'Buchans', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-83.167 64.133)', 'CAN', 'N', 'Coral Harbour', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-134.867 67.433)', 'CAN', 'N', 'Fort McPherson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.717 50.217)', 'CAN', 'N', 'Gethsémani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-58.95 50.833)', 'CAN', 'N', 'La Tabatière', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-59.333 50.7)', 'CAN', 'N', 'Tête-à-la-Baleine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.017 53.55)', 'CAN', 'N', 'Churchill Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(96.833 -12)', 'CCK', 'N', 'Cocos Islands', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.817 -6.467)', 'COD', 'N', 'Kasongo-Lunda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.6 -6.15)', 'COD', 'N', 'Mbuji-Mayi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.917 -4.767)', 'COD', 'N', 'Masi-Manimba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.783 4.267)', 'CAF', 'N', 'Berbérati', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.65 5.267)', 'CAF', 'N', 'Bossembélé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.967 5.317)', 'CAF', 'N', 'Mboki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.8 8.9)', 'CAF', 'N', 'Ouanda Djallé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.45 1.35)', 'COG', 'N', 'Epéna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.5 -0.067)', 'COG', 'N', 'Kéllé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.133 2.083)', 'COG', 'N', 'Souanké', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.467 47.167)', 'CHE', 'N', 'Buchs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.933 47.283)', 'CHE', 'N', 'Zofingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.2 9.6)', 'CIV', 'N', 'Ferkessédougou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.933 6.133)', 'CIV', 'N', 'Gagnoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.483 6.533)', 'CIV', 'N', 'Guiglo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.567 9.5)', 'CIV', 'N', 'Odienné', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.617 4.733)', 'CIV', 'N', 'San-Pédro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.833 -30.2)', 'CHL', 'N', 'Paso Agua Negra-Juntas de Toro/Vicuña', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.383 -23.633)', 'CHL', 'N', 'Antofagasta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.583 -20.55)', 'CHL', 'N', 'Paso Abra Oriente de Napa/Pica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.317 -18.483)', 'CHL', 'N', 'Arica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.133 -52.617)', 'CHL', 'N', 'Bahía San Gregorio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.683 -45.9)', 'CHL', 'N', 'Balmaceda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.667 -39.783)', 'CHL', 'N', 'Paso Carirriñe/Panguipulli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.317 -18.3)', 'CHL', 'N', 'Paso Concordia-Chacalluta/Arica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.733 -46.55)', 'CHL', 'N', 'Chile Chico', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.05 -36.817)', 'CHL', 'N', 'Concepción', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.067 -18.283)', 'CHL', 'N', 'Paso Chungará-Tambo Quemado/Putre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.817 -45.483)', 'CHL', 'N', 'Chacabuco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.55 -45.517)', 'CHL', 'N', 'Paso Coyhaique/Coyhaique', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.917 -22.45)', 'CHL', 'N', 'Calama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.8 -27.033)', 'CHL', 'N', 'Caldera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.1 -52.883)', 'CHL', 'N', 'Caleta Clarencia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.15 -37.017)', 'CHL', 'N', 'Coronel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.617 -26.35)', 'CHL', 'N', 'Chañaral', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.85 -52.967)', 'CHL', 'N', 'Cabo Negro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.617 -19.267)', 'CHL', 'N', 'Paso Colchane-Pisiga/Colchane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.333 -27.35)', 'CHL', 'N', 'Copiapó', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.333 -29.967)', 'CHL', 'N', 'Coquimbo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.433 -39.867)', 'CHL', 'N', 'Corral', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.95 -40.717)', 'CHL', 'N', 'Paso Cardenal A. Samoré/Puyehue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.3 -51.683)', 'CHL', 'N', 'Paso Laurita Casas Viejas/Puerto Natales', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.333 -51.583)', 'CHL', 'N', 'Paso Dorotea/Puerto Natales', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.583 -26.267)', 'CHL', 'N', 'El Salvador', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.3 -26.867)', 'CHL', 'N', 'Paso San Francisco/Tierra Amarilla', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-71.833 -43.167)', 'CHL', 'N', 'Futaleufú', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.75 -43.183)', 'CHL', 'N', 'Paso Futaleufú/Futaleufú', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.367 -29.983)', 'CHL', 'N', 'Guayacán', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.667 -40.1)', 'CHL', 'N', 'Paso Hua Hum/Panguipulli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.8 -22.883)', 'CHL', 'N', 'Paso Hito Cajón/San Pedro de Atacama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.65 -45.917)', 'CHL', 'N', 'Paso Huemules-Balmaceda/Coyhaique', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.217 -28.45)', 'CHL', 'N', 'Huasco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.517 -52.133)', 'CHL', 'N', 'Paso Integración Austral-Monte Aymond/San Gregorio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.267 -38.833)', 'CHL', 'N', 'Paso Icalma/Lonquimay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.35 32.933)', 'CHN', 'N', 'Bengbu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.717 -46.267)', 'CHL', 'N', 'Paso Ingeniero Ibáñez Pallavicini/Río Ibáñez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-109.417 -27.15)', 'CHL', 'N', 'Isla de Pascua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.133 -20.217)', 'CHL', 'N', 'Iquique', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.683 -52.667)', 'CHL', 'N', 'Isla Guarello', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.067 -23.233)', 'CHL', 'N', 'Paso Jama/San Pedro de Atacama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.55 -32.983)', 'CHL', 'N', 'Viña del Mar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.117 -32.833)', 'CHL', 'N', 'Paso Cristo Redentor-Los Libertadores/Los Andes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.667 -48.867)', 'CHL', 'N', 'Paso Lago O''Higgins/O''Higgins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.983 -36.7)', 'CHL', 'N', 'Lirquén', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.233 -29.883)', 'CHL', 'N', 'La Serena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.15 -37.083)', 'CHL', 'N', 'Lota', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.45 -23.1)', 'CHL', 'N', 'Mejillones', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.467 -39.583)', 'CHL', 'N', 'Paso Mamuil Malal-Puesco/Currarehue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.233 -21.217)', 'CHL', 'N', 'Paso Ollagüe/Ollagüe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.2 -30.583)', 'CHL', 'N', 'Ovalle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.9 -38.667)', 'CHL', 'N', 'Paso Pino Hachado/Lonquimay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.367 -45.333)', 'CHL', 'N', 'Paso Pampa Alta (Puesto Viejo)/Coyhaique', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.4 -35.983)', 'CHL', 'N', 'Paso Pehuenche/San Clemente', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.983 -36.717)', 'CHL', 'N', 'Penco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.133 -37.45)', 'CHL', 'N', 'Paso Pichachén/Antuco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.3 -28.067)', 'CHL', 'N', 'Paso Pircas Negras/Tierra Amarilla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.867 -33.633)', 'CHL', 'N', 'Paso Piuquenes/San José de Maipo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.95 -41.467)', 'CHL', 'N', 'Puerto Montt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.5 -51.717)', 'CHL', 'N', 'Puerto Natales', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.267 -52.9)', 'CHL', 'N', 'Puerto Percy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.183 -20.75)', 'CHL', 'N', 'Patillos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.483 -42.133)', 'CHL', 'N', 'Quemchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.717 -34.15)', 'CHL', 'N', 'Rancagua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.533 -32.767)', 'CHL', 'N', 'Quintero', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.683 -54)', 'CHL', 'N', 'Paso Río Bellavista/Timaukel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.25 -51.25)', 'CHL', 'N', 'Paso Río Don Guillermo/Torres del Paine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.133 -44.55)', 'CHL', 'N', 'Paso Río Frías Appeleg/Cisnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.75 -43.583)', 'CHL', 'N', 'Paso Río Encuentro/Palena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.667 -46.567)', 'CHL', 'N', 'Paso Río Jeinimeni/Chile Chico', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.267 -48.217)', 'CHL', 'N', 'Paso Río Mayer/O''Higgins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.55 -48.483)', 'CHL', 'N', 'Paso Río Mosco/O''Higgins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.85 -47.167)', 'CHL', 'N', 'Paso Roballos/Cochrane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.6 -33.6)', 'CHL', 'N', 'San Antonio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.633 -33.45)', 'CHL', 'N', 'Santiago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.267 -23.85)', 'CHL', 'N', 'Paso Sico/San Pedro de Atacama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.3 -52.767)', 'CHL', 'N', 'Cerro Sombrero', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-68.283 -24.45)', 'CHL', 'N', 'Paso Socompa/Antofagasta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.6 -53.317)', 'CHL', 'N', 'Paso San Sebastián/Porvenir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.117 -36.733)', 'CHL', 'N', 'Talcahuano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.65 -35.417)', 'CHL', 'N', 'Talca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.95 -36.6)', 'CHL', 'N', 'Tomé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.183 -22.083)', 'CHL', 'N', 'Tocopilla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.717 -45.583)', 'CHL', 'N', 'Paso Triana/Coyhaique', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.467 -25.4)', 'CHL', 'N', 'Taltal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.633 -33.033)', 'CHL', 'N', 'Valparaiso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.467 -35.133)', 'CHL', 'N', 'Paso Vergara-San Pedro/Romeral', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.467 -17.583)', 'CHL', 'N', 'Paso Visviri/Putre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.75 -28.567)', 'CHL', 'N', 'Vallenar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.833 -41.067)', 'CHL', 'N', 'Paso V. Pérez Rosales-Peulla/Puerto Varas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.767 -42.467)', 'CHL', 'N', 'Castro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.7 -42.917)', 'CHL', 'N', 'Chaitén', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.7 -45.383)', 'CHL', 'N', 'Puerto Aisén', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.617 -54.917)', 'CHL', 'N', 'Puerto Williams', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.1 -36.6)', 'CHL', 'N', 'Chillán', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.217 -39.817)', 'CHL', 'N', 'Valdivia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.567 -38.717)', 'CHL', 'N', 'Temuco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.317 -38.233)', 'CHL', 'N', 'Victoria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.15 -40.567)', 'CHL', 'N', 'Osorno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.833 -41.85)', 'CHL', 'N', 'Ancud', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.4 9.3)', 'CMR', 'N', 'Garoua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.55 5.883)', 'CMR', 'N', 'Garoua Boulaï', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.017 12.067)', 'CMR', 'N', 'Kousséri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.25 2.25)', 'CMR', 'N', 'Kye-Ossi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.133 11.033)', 'CMR', 'N', 'Mora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.517 3.867)', 'CMR', 'N', 'Yaoundé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.45 27.583)', 'CHN', 'N', 'Aojiang Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(82.433 45.183)', 'CHN', 'N', 'Alatawshankou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.033 30.517)', 'CHN', 'N', 'Anqing Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(123 41.117)', 'CHN', 'N', 'Anshanzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(99.15 25.117)', 'CHN', 'N', 'Baoshan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(115.5 38.85)', 'CHN', 'N', 'Baoding', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(109.117 21.467)', 'CHN', 'N', 'Beihai Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(116.4 39.917)', 'CHN', 'N', 'Beijing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.267 23.167)', 'CHN', 'N', 'Honghai Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(107.15 34.367)', 'CHN', 'N', 'Baoji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(109.817 40.65)', 'CHN', 'N', 'Baotou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.483 31.417)', 'CHN', 'N', 'Baoshan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(108.617 19)', 'CHN', 'N', 'Basuo Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.433 38.45)', 'CHN', 'N', 'Bozhong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(124.8 40.417)', 'CHN', 'N', 'Changdianhekou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(104.067 30.667)', 'CHN', 'N', 'Chengdu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(101.15 42.467)', 'CHN', 'N', 'Ceke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.533 38.95)', 'CHN', 'N', 'Caofeidian Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.35 41.433)', 'CHN', 'N', 'Changbai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(125.317 43.9)', 'CHN', 'N', 'Changchun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(111.85 29.033)', 'CHN', 'N', 'Changde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.4 31.633)', 'CHN', 'N', 'Chongming', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(120.717 31.65)', 'CHN', 'N', 'Changshu Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(99.217 23.167)', 'CHN', 'N', 'Cangyuan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.467 30.65)', 'CHN', 'N', 'Chizhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(116.6 23.267)', 'CHN', 'N', 'Chaoyang Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.15 29.433)', 'CHN', 'N', 'Chenglingji Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(116.633 23.667)', 'CHN', 'N', 'Chaozhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.983 22.983)', 'CHN', 'N', 'Changpingzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(106.55 29.583)', 'CHN', 'N', 'Chongqing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.983 28.2)', 'CHN', 'N', 'Changsha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.883 22.483)', 'CHN', 'N', 'Chiwan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.967 31.783)', 'CHN', 'N', 'Changzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(116.867 38.3)', 'CHN', 'N', 'Cangzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.6 38.917)', 'CHN', 'N', 'Dalian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.85 43.95)', 'CHN', 'N', 'Daan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.283 40.1)', 'CHN', 'N', 'Datong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.667 22.667)', 'CHN', 'N', 'Dayawan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(111 21.517)', 'CHN', 'N', 'Bohe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.317 24.533)', 'CHN', 'N', 'Dadeng I.', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.617 26.233)', 'CHN', 'N', 'Dongdaiwan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(124.367 40.133)', 'CHN', 'N', 'Dandong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.467 33.183)', 'CHN', 'N', 'Dafeng Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(124.133 39.883)', 'CHN', 'N', 'Donggang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.217 21.717)', 'CHN', 'N', 'Dongping', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(108.667 33.667)', 'CHN', 'N', 'Dongjiangkou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.417 20.333)', 'CHN', 'N', 'Dongjiaotou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(123.717 39.733)', 'CHN', 'N', 'Daludao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(100.05 21.667)', 'CHN', 'N', 'Daluo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.6 25.183)', 'CHN', 'N', 'Damaiyu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(131.117 44.05)', 'CHN', 'N', 'Dongning', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.283 22.2)', 'CHN', 'N', 'Doumen Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(107.983 21.483)', 'CHN', 'N', 'Dongxing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(125.017 46.6)', 'CHN', 'N', 'Daqingzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.467 24.667)', 'CHN', 'N', 'Dongshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.683 37.417)', 'CHN', 'N', 'Dongying Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.317 22.2)', 'CHN', 'N', 'Hengban', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(111.967 43.633)', 'CHN', 'N', 'Erlianhaote', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(108.35 21.767)', 'CHN', 'N', 'Fangcheng Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.233 36.7)', 'CHN', 'N', 'Fengcheng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.45 30.917)', 'CHN', 'N', 'Fengxian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(111.5 23.45)', 'CHN', 'N', 'Jiangkou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.1 23.033)', 'CHN', 'N', 'Foshanzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.383 25.7)', 'CHN', 'N', 'Xialong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(123.9 41.85)', 'CHN', 'N', 'Fushun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(132.033 47.25)', 'CHN', 'N', 'Fujin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.233 22.483)', 'CHN', 'N', 'Futian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(134.3 48.35)', 'CHN', 'N', 'Fuyuan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.3 26.083)', 'CHN', 'N', 'Fuzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.85 32.3)', 'CHN', 'N', 'Gaogang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.55 22.217)', 'CHN', 'N', 'Gongbei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.233 23.633)', 'CHN', 'N', 'Gongkou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.233 23.133)', 'CHN', 'N', 'Guangzhou', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(112.8 21.967)', 'CHN', 'N', 'Guanghai Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.817 22.133)', 'CHN', 'N', 'Guishan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.833 22.883)', 'CHN', 'N', 'Gaoming Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(109.6 23.1)', 'CHN', 'N', 'Guigang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(106.7 26.583)', 'CHN', 'N', 'Guiyang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.933 28.867)', 'CHN', 'N', 'Ganzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.167 30.267)', 'CHN', 'N', 'Hangzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.367 42.867)', 'CHN', 'N', 'Hunchun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.7 47.017)', 'CHN', 'N', 'Huachuan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.483 50.233)', 'CHN', 'N', 'Heihe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.683 23.717)', 'CHN', 'N', 'Heyuan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.283 31.867)', 'CHN', 'N', 'Hefei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.533 22.117)', 'CHN', 'N', 'Hengqin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(111.683 40.8)', 'CHN', 'N', 'Hohhot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.7 22.983)', 'CHN', 'N', 'Huidong Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.167 20.033)', 'CHN', 'N', 'Haikou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(103.983 22.517)', 'CHN', 'N', 'Hekou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.333 20.033)', 'CHN', 'N', 'Haikou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(116.3 23.033)', 'CHN', 'N', 'Jinghai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.667 22.833)', 'CHN', 'N', 'Humen Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.617 26.883)', 'CHN', 'N', 'Hengyang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(111.35 35.617)', 'CHN', 'N', 'Houma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.6 45.733)', 'CHN', 'N', 'Harbin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(80.833 44.05)', 'CHN', 'N', 'Horgos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.617 24.8)', 'CHN', 'N', 'Shaoguan New Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(115.1 30.2)', 'CHN', 'N', 'Huangshi Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.95 22.767)', 'CHN', 'N', 'Heshan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.383 50.2)', 'CHN', 'N', 'Heishantou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.133 22.65)', 'CHN', 'N', 'Hetang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.85 40.75)', 'CHN', 'N', 'Huludao Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.2 23.383)', 'CHN', 'N', 'Huanggang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.35 38.35)', 'CHN', 'N', 'Huanghua Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.367 23.083)', 'CHN', 'N', 'Huizhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(132.95 45.783)', 'CHN', 'N', 'Hulin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.65 51.7)', 'CHN', 'N', 'Huma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(108.833 20.25)', 'CHN', 'N', 'Haikou New Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.1 30.867)', 'CHN', 'N', 'Huzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(115.617 35.2)', 'CHN', 'N', 'Heze', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.75 30.767)', 'CHN', 'N', 'Jiaxing Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.367 48.867)', 'CHN', 'N', 'Jiayin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(116.433 23.583)', 'CHN', 'N', 'Quxi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.217 29.283)', 'CHN', 'N', 'Jingdezhen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(85.633 47.533)', 'CHN', 'N', 'Jeminay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.65 29.117)', 'CHN', 'N', 'Jinhua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.283 31.9)', 'CHN', 'N', 'Jiangyin Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.233 31.383)', 'CHN', 'N', 'Jiading', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.283 32.033)', 'CHN', 'N', 'Jingjiang Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.967 27.117)', 'CHN', 'N', 'Jian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(108.267 21.633)', 'CHN', 'N', 'Jiangshan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(115.967 29.717)', 'CHN', 'N', 'Jiujiang Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.4 40.033)', 'CHN', 'N', 'Jixian', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(116.05 22.867)', 'CHN', 'N', 'Jiazi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.567 24.817)', 'CHN', 'N', 'Quanzhou Jinjiang Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.067 22.583)', 'CHN', 'N', 'Jiangmen Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117 36.667)', 'CHN', 'N', 'Jinan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(116.55 35.383)', 'CHN', 'N', 'Jiningzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.15 30.9)', 'CHN', 'N', 'Jinshan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.15 41.117)', 'CHN', 'N', 'Jinzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(100.8 22.017)', 'CHN', 'N', 'Jinghong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(107.867 33.283)', 'CHN', 'N', 'Jinshuihe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113 22.833)', 'CHN', 'N', 'Jiujiang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(98.517 39.733)', 'CHN', 'N', 'Jiuquanzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.7 24.033)', 'CHN', 'N', 'Jiuzhen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bewani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.267 30.3)', 'CHN', 'N', 'Jingzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.383 36.883)', 'CHN', 'N', 'Kunjirap', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.183 41.133)', 'CHN', 'N', 'Jianzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(102.7 25.067)', 'CHN', 'N', 'Kunming', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.767 42.683)', 'CHN', 'N', 'Kaishantun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.95 31.383)', 'CHN', 'N', 'Kunshan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(103.85 36.067)', 'CHN', 'N', 'Lanzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(103.733 29.6)', 'CHN', 'N', 'Leshanzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(116.7 39.517)', 'CHN', 'N', 'Langfang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(106.317 22.9)', 'CHN', 'N', 'Longbang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(122.633 37.433)', 'CHN', 'N', 'Longyan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(91.133 29.65)', 'CHN', 'N', 'Lhasa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(115.267 23.017)', 'CHN', 'N', 'Lianhuashan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.883 41.817)', 'CHN', 'N', 'Linjiang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.517 26.2)', 'CHN', 'N', 'Qianyu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.283 21.617)', 'CHN', 'N', 'Yingzai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.35 37.65)', 'CHN', 'N', 'Longkou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.183 38.683)', 'CHN', 'N', 'Lushun New Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.367 35.067)', 'CHN', 'N', 'Lanshan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.017 18.5)', 'CHN', 'N', 'Xincun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.817 47.567)', 'CHN', 'N', 'Luobei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112 23.067)', 'CHN', 'N', 'Liudu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.617 32.05)', 'CHN', 'N', 'Lusi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(105.4 28.9)', 'CHN', 'N', 'Luzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.433 34.717)', 'CHN', 'N', 'Lianyungang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.333 35.05)', 'CHN', 'N', 'Linyizhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(94.033 44.7)', 'CHN', 'N', 'Laoyemiao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(109.4 23.317)', 'CHN', 'N', 'Liuzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.067 20.9)', 'CHN', 'N', 'Liusha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.95 37.167)', 'CHN', 'N', 'Laizhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.467 31.717)', 'CHN', 'N', 'Maanshan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.017 19.95)', 'CHN', 'N', 'Macun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.45 25.983)', 'CHN', 'N', 'Mawei Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(131.833 45.533)', 'CHN', 'N', 'Mishan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(99.717 22.333)', 'CHN', 'N', 'Menglian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.383 49.583)', 'CHN', 'N', 'Manzhouli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(122.45 53.017)', 'CHN', 'N', 'Mohe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.067 24.7)', 'CHN', 'N', 'Meisha Pt', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(113.883 22.45)', 'CHN', 'N', 'Mawan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(104.7 31.5)', 'CHN', 'N', 'Mianyang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(97.133 41.533)', 'CHN', 'N', 'Mazongshan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.15 23.017)', 'CHN', 'N', 'Nanhai Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.683 23.433)', 'CHN', 'N', 'Nanao Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.183 42.267)', 'CHN', 'N', 'Nanping', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.667 29.917)', 'CHN', 'N', 'Ningbo Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.55 29.867)', 'CHN', 'N', 'Ningbo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(115.917 28.667)', 'CHN', 'N', 'Nanchang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.517 26.65)', 'CHN', 'N', 'Shacheng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.283 30.583)', 'CHN', 'N', 'Wuhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(108.317 22.8)', 'CHN', 'N', 'Nanning', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.767 32.05)', 'CHN', 'N', 'Nanjing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(111.8 23.117)', 'CHN', 'N', 'Nanjiangkou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.75 31.05)', 'CHN', 'N', 'Nanhui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.483 22.217)', 'CHN', 'N', 'Nanping', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.583 22.75)', 'CHN', 'N', 'Nansha Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.85 32.017)', 'CHN', 'N', 'Nantong Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.867 36.383)', 'CHN', 'N', 'Nudao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.533 33)', 'CHN', 'N', 'Nanyang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(122.05 41.117)', 'CHN', 'N', 'Panjin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.2 23.033)', 'CHN', 'N', 'Pingzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.85 22.617)', 'CHN', 'N', 'Bijia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.117 40.133)', 'CHN', 'N', 'Pinggu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(106.733 22.117)', 'CHN', 'N', 'Pingxiangzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.75 37.8)', 'CHN', 'N', 'Penglai Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(98.617 26.017)', 'CHN', 'N', 'Pianma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.367 22.95)', 'CHN', 'N', 'Shiqiao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.783 25.5)', 'CHN', 'N', 'Jinjing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.017 24.433)', 'CHN', 'N', 'Putian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.167 22.1)', 'CHN', 'N', 'Pingshaxinmatou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(101.717 26.567)', 'CHN', 'N', 'Panzhihuazhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.383 25.883)', 'CHN', 'N', 'Qingpu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.517 41.367)', 'CHN', 'N', 'Qingshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.017 23.7)', 'CHN', 'N', 'Qingyuan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.317 36.05)', 'CHN', 'N', 'Qingdao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.817 19.55)', 'CHN', 'N', 'Qinglan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.467 19.233)', 'CHN', 'N', 'Tanmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(108.467 21.583)', 'CHN', 'N', 'Qisha Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.6 24.933)', 'CHN', 'N', 'Quanzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.6 24.933)', 'CHN', 'N', 'Quanzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(134 46.8)', 'CHN', 'N', 'Raohe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.267 22.783)', 'CHN', 'N', 'Rongqi Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(97.833 24)', 'CHN', 'N', 'Ruili', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.533 35.383)', 'CHN', 'N', 'Rizhao Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.717 42.467)', 'CHN', 'N', 'Sanhe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.783 21.6)', 'CHN', 'N', 'Shadi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(116.483 39.833)', 'CHN', 'N', 'Shibalidian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(131.85 47.3)', 'CHN', 'N', 'Suibin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(111 21.517)', 'CHN', 'N', 'Shuidong Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.25 33.767)', 'CHN', 'N', 'Sheyang', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(131.183 44.417)', 'CHN', 'N', 'Suifenhegongluzhan/Suifenhe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bunsil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.483 31.233)', 'CHN', 'N', 'Shanghai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.233 31.017)', 'CHN', 'N', 'Songjiang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(122.433 36.867)', 'CHN', 'N', 'Shidao Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.633 24.733)', 'CHN', 'N', 'Shishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.917 22.483)', 'CHN', 'N', 'Shekou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(106.8 22.8)', 'CHN', 'N', 'Shuolong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.683 23.35)', 'CHN', 'N', 'Mafang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.583 39.917)', 'CHN', 'N', 'Qinhuangdao Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(123.417 41.8)', 'CHN', 'N', 'Shenyang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.433 24.617)', 'CHN', 'N', 'Shijing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.933 22.233)', 'CHN', 'N', 'Shuikou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.683 26.967)', 'CHN', 'N', 'Saiqi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.783 32.667)', 'CHN', 'N', 'Shiyanzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.867 23.167)', 'CHN', 'N', 'Sanshui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.55 36.367)', 'CHN', 'N', 'Shijiu Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.5 38.033)', 'CHN', 'N', 'Shijiazhuang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.333 22.933)', 'CHN', 'N', 'Shuikou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(122.567 39.283)', 'CHN', 'N', 'Sikuaishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.667 24.617)', 'CHN', 'N', 'Shenhu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.217 26.933)', 'CHN', 'N', 'Sansha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(116.65 40.133)', 'CHN', 'N', 'Shunyi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.117 22.55)', 'CHN', 'N', 'Shenzhen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.583 25.683)', 'CHN', 'N', 'Songxia Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.483 27.9)', 'CHN', 'N', 'Shaoshan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(111.483 21.5)', 'CHN', 'N', 'Shapa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(109.55 21.583)', 'CHN', 'N', 'Shitoubu Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(116.767 23.417)', 'CHN', 'N', 'Shantou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.9 23.983)', 'CHN', 'N', 'Shatian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.217 22.55)', 'CHN', 'N', 'Shatoujiao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.25 22.833)', 'CHN', 'N', 'Shunde Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.317 49.417)', 'CHN', 'N', 'Sunwu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(115.35 22.783)', 'CHN', 'N', 'Shanwei Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.917 51.3)', 'CHN', 'N', 'Shiwei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.25 21.367)', 'CHN', 'N', 'Beitan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.567 30)', 'CHN', 'N', 'Shaoxing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.25 33.783)', 'CHN', 'N', 'Sanya Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(100.967 22.8)', 'CHN', 'N', 'Simao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.617 31.317)', 'CHN', 'N', 'Suzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.917 22.467)', 'CHN', 'N', 'Shenzhenwan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.1 31.45)', 'CHN', 'N', 'Taicang Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.133 36.183)', 'CHN', 'N', 'Taian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.167 21.033)', 'CHN', 'N', 'Taiping', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(98.5 25.017)', 'CHN', 'N', 'Houqiao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.65 39.017)', 'CHN', 'N', 'Tanggu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(122.267 43.617)', 'CHN', 'N', 'Tongliao Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.183 39.6)', 'CHN', 'N', 'Tangshan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.85 42.95)', 'CHN', 'N', 'Tumen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.75 38.983)', 'CHN', 'N', 'Tianjin Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.2 39.033)', 'CHN', 'N', 'Tianjin', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(105.467 23.333)', 'CHN', 'N', 'Tianpeng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(132.5 47.65)', 'CHN', 'N', 'Tongjiang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.8 30.933)', 'CHN', 'N', 'Tongling Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.833 37.267)', 'CHN', 'N', 'Taipingwan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.4 40.567)', 'CHN', 'N', 'Turugart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.8 22.25)', 'CHN', 'N', 'Gongyi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(105.717 34.567)', 'CHN', 'N', 'Tianshui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.7 38.983)', 'CHN', 'N', 'Tianjin New Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.55 37.9)', 'CHN', 'N', 'Taiyuan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.9 32.5)', 'CHN', 'N', 'Taizhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(86.7 42.883)', 'CHN', 'N', 'Ulastai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(87.6 43.75)', 'CHN', 'N', 'Urumqi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(98.067 24.1)', 'CHN', 'N', 'Wanding', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.717 21.933)', 'CHN', 'N', 'Wanshan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.517 22.183)', 'CHN', 'N', 'Wanzai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.1 36.717)', 'CHN', 'N', 'Weifang Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(122.167 37.5)', 'CHN', 'N', 'Weihai Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(122.117 37.517)', 'CHN', 'N', 'Weihai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.367 31.317)', 'CHN', 'N', 'Wuhu Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.133 22.583)', 'CHN', 'N', 'Waihai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.6 24.533)', 'CHN', 'N', 'Weitou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.283 32.133)', 'CHN', 'N', 'Wulidian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.483 3.2)', 'CHN', 'N', 'Wusong Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(115.65 22.85)', 'CHN', 'N', 'Wukan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(116.85 39.517)', 'CHN', 'N', 'Wuqing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(111.333 23.483)', 'CHN', 'N', 'Wuzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.3 31.567)', 'CHN', 'N', 'Wuxi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.65 28.017)', 'CHN', 'N', 'Wenzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.1 24.45)', 'CHN', 'N', 'Xiamen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.217 22.667)', 'CHN', 'N', 'Xiaolan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.95 25.2)', 'CHN', 'N', 'Xiaocuo Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.1 23.033)', 'CHN', 'N', 'Xingang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.133 32.033)', 'CHN', 'N', 'Xiangfan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(108.95 34.283)', 'CHN', 'N', 'Xian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.017 22.533)', 'CHN', 'N', 'Xinhui Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.617 23.117)', 'CHN', 'N', 'Xintang Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.2 24.35)', 'CHN', 'N', 'Xiamen Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(101.8 36.633)', 'CHN', 'N', 'Xining', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.933 27.8)', 'CHN', 'N', 'Xinyu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.85 29.483)', 'CHN', 'N', 'Shipu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(111.783 21.65)', 'CHN', 'N', 'Xitou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.467 49.55)', 'CHN', 'N', 'Xunke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.95 25.233)', 'CHN', 'N', 'Xiuyu Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(118.767 24.767)', 'CHN', 'N', 'Xiangzhi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(171.4 37.533)', 'CHN', 'N', 'Yantai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(106.267 38.45)', 'CHN', 'N', 'Yinchuan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(88.917 27.433)', 'CHN', 'N', 'Yadong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(122.217 40.65)', 'CHN', 'N', 'Yingkou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(81.333 43.917)', 'CHN', 'N', 'Yining', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.067 29.3)', 'CHN', 'N', 'Yiwu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(111.967 21.833)', 'CHN', 'N', 'Yangjiang Pt', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(109.2 19.7)', 'CHN', 'N', 'Yangpu Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.417 37.55)', 'CHN', 'N', 'Yantai Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.867 26.85)', 'CHN', 'N', 'Yantian Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.15 22.633)', 'CHN', 'N', 'Yulin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.1 29.367)', 'CHN', 'N', 'Yueyang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(106.7 21.95)', 'CHN', 'N', 'Youyiguan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(106.533 22.95)', 'CHN', 'N', 'Yuexu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.433 32.383)', 'CHN', 'N', 'Yangzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(111.617 26.233)', 'CHN', 'N', 'Yongzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.1 23.583)', 'CHN', 'N', 'Zhelin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(116.267 45.733)', 'CHN', 'N', 'Zhuengadabuqi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(104.767 29.383)', 'CHN', 'N', 'Zigong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.65 23.083)', 'CHN', 'N', 'Zhongtang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.583 26.7)', 'CHN', 'N', 'Zhangwan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.667 34.767)', 'CHN', 'N', 'Zhengzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(119.45 32.183)', 'CHN', 'N', 'Zhenjiang Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(122.967 39.683)', 'CHN', 'N', 'Zhuanghe Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(120.533 31.867)', 'CHN', 'N', 'Zhangjiagang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(114.633 33.617)', 'CHN', 'N', 'Zhoukou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(86 28)', 'CHN', 'N', 'Zham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.5 21.083)', 'CHN', 'N', 'Zhanjiang Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(106.917 27.7)', 'CHN', 'N', 'Zunyi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.583 20.917)', 'CHN', 'N', 'Naozhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(111.85 21.567)', 'CHN', 'N', 'Zhapo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.083 30.583)', 'CHN', 'N', 'Zhapu Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.45 23.05)', 'CHN', 'N', 'Zhaoqing Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.367 22.517)', 'CHN', 'N', 'Zhongshan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.567 22.283)', 'CHN', 'N', 'Zhuhai Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.15 27.85)', 'CHN', 'N', 'Zhuzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.65 24.517)', 'CHN', 'N', 'Zhangzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-74.083 4.6)', 'COL', 'N', 'Bogotá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.7 9.417)', 'COL', 'N', 'Coveñas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.683 7.683)', 'COL', 'N', 'Chigorodó', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.933 -4.217)', 'COL', 'N', 'Leticia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-74.767 -0.167)', 'COL', 'N', 'Puerto Leguízamo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.533 6.283)', 'COL', 'N', 'Medellín', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.417 7.983)', 'COL', 'N', 'Montelíbano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.133 1.9)', 'COL', 'N', 'Puerto Rico', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.917 3.85)', 'COL', 'N', 'Inírida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.583 9.533)', 'COL', 'N', 'Tolú', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.717 8.083)', 'COL', 'N', 'Turbo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.667 5.7)', 'COL', 'N', 'Quibdó', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-83.15 8.65)', 'CRI', 'N', 'Golfito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-83.033 10)', 'CRI', 'N', 'Puerto Limón', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-85.433 10.633)', 'CRI', 'N', 'Liberia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-84.717 11.033)', 'CRI', 'N', 'Los Chiles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-85.45 10.15)', 'CRI', 'N', 'Nicoya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-84.833 9.967)', 'CRI', 'N', 'Puntarenas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-83.45 8.967)', 'CRI', 'N', 'Palmar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-84.967 10.067)', 'CRI', 'N', 'Punta Morales', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-84.083 9.933)', 'CRI', 'N', 'San José', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-77.917 21.383)', 'CUB', 'N', 'Camagüey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-82.35 23.117)', 'CUB', 'N', 'La Habana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-81.25 23.15)', 'CUB', 'N', 'Varadero', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.95 20.95)', 'CUB', 'N', 'Las Tunas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-24.517 14.9)', 'CPV', 'N', 'Sao Filipe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.85 12.067)', 'CUW', 'N', 'Caracas Baai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69 12.167)', 'CUW', 'N', 'Curaçao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.817 12.05)', 'CUW', 'N', 'Fuikbaai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-68.917 12.1)', 'CUW', 'N', 'Willemstad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(32.95 34.6)', 'CYP', 'N', 'Akrotiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(33.5 35.15)', 'CYP', 'N', 'Ercan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(32.9 34.667)', 'CYP', 'N', 'Episkopi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(33.617 34.917)', 'CYP', 'N', 'Larnaca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(33.367 35.167)', 'CYP', 'N', 'Nicosia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.717 48.983)', 'CZE', 'N', 'Bánov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.767 50.733)', 'CZE', 'N', 'Cínovec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.85 49.367)', 'CZE', 'N', 'Ceská Kubice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.467 48.983)', 'CZE', 'N', 'Ceské Budejovice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.317 48.817)', 'CZE', 'N', 'Cesky Krumlov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.55 50.683)', 'CZE', 'N', 'Ceská Lípa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.45 49.9)', 'CZE', 'N', 'Ceská Trebová', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.217 50.783)', 'CZE', 'N', 'Decín', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.45 48.65)', 'CZE', 'N', 'Dolní Dvoriste', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.717 50.1)', 'CZE', 'N', 'Dolní Lipka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.817 50.433)', 'CZE', 'N', 'Dvur Králové nad Labem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.333 49.683)', 'CZE', 'N', 'Frydek-Místek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.283 49.433)', 'CZE', 'N', 'Horní Becva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.417 48.6)', 'CZE', 'N', 'Horní Dvoriste', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.383 48.75)', 'CZE', 'N', 'Hevlín', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kosipe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.85 50.217)', 'CZE', 'N', 'Hradec Králové', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.067 49.183)', 'CZE', 'N', 'Horní Lidec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.917 48.85)', 'CZE', 'N', 'Halámky', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.267 50.517)', 'CZE', 'N', 'Hora Svatého Sebestiána', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.583 49.617)', 'CZE', 'N', 'Havlíckuv Brod', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.35 50.433)', 'CZE', 'N', 'Jicín', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.433 50.2)', 'CZE', 'N', 'Klícany', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.2 50.017)', 'CZE', 'N', 'Kolín', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.55 49.867)', 'CZE', 'N', 'Karviná', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.283 49.4)', 'CZE', 'N', 'Klatovy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.267 49.95)', 'CZE', 'N', 'Kutná Hora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.717 49.417)', 'CZE', 'N', 'Lísková u Nemanic', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.9 50.417)', 'CZE', 'N', 'Mladá Boleslav', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.7 49.967)', 'CZE', 'N', 'Mariánské Lázne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.25 50.617)', 'CZE', 'N', 'Mezimestí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.1 49.017)', 'CZE', 'N', 'Nová Bystrice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.017 49.6)', 'CZE', 'N', 'Novy Jicín', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.583 50.767)', 'CZE', 'N', 'Novy Bor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.283 50.083)', 'CZE', 'N', 'Pomezí nad Ohrí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.533 49.9)', 'CZE', 'N', 'Petrovice u Karviné', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.75 50.1)', 'CZE', 'N', 'Rakovník', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(13.233 49.133)', 'CZE', 'N', 'Zelezná Ruda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.783 50.067)', 'CZE', 'N', 'Staré Hradiste', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.883 48.967)', 'CZE', 'N', 'Stary Hrozenkov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.733 48.9)', 'CZE', 'N', 'Strání', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13 49.367)', 'CZE', 'N', 'Studanky', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.7 48.9)', 'CZE', 'N', 'Strázny', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.617 49.75)', 'CZE', 'N', 'Cesky Tesín', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.883 49.217)', 'CZE', 'N', 'Trebíc', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.45 49.067)', 'CZE', 'N', 'Uherské Hradiste', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.033 50.667)', 'CZE', 'N', 'Ustí nad Labem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.967 48.767)', 'CZE', 'N', 'Ceské Velenice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.3 49.367)', 'CZE', 'N', 'Velké Karlovice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.167 49.95)', 'CZE', 'N', 'Vysoké Myto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.967 49.467)', 'CZE', 'N', 'Valasské Mezirící', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.533 48.883)', 'CZE', 'N', 'Velká nad Velickou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.6 50.617)', 'CZE', 'N', 'Vrchlabí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18 49.333)', 'CZE', 'N', 'Vsetín', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.95 49.567)', 'CZE', 'N', 'Zdár nad Sázavou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.017 51.367)', 'DEU', 'N', 'Arolsen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.483 53.667)', 'DEU', 'N', 'Abbenfleth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.433 53.483)', 'DEU', 'N', 'Abbehausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.017 53.033)', 'DEU', 'N', 'Achim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.9 53.8)', 'DEU', 'N', 'Wangerooge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.917 51.75)', 'DEU', 'N', 'Ahlen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.25 48.617)', 'DEU', 'N', 'Aichtal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.167 50.883)', 'DEU', 'N', 'Alsdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.867 49.433)', 'DEU', 'N', 'Amberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.4 50.433)', 'DEU', 'N', 'Andernach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.583 49.3)', 'DEU', 'N', 'Ansbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.8 53.217)', 'DEU', 'N', 'Apen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.083 51.383)', 'DEU', 'N', 'Arnsberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.467 50.6)', 'DEU', 'N', 'Asslar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.767 53.217)', 'DEU', 'N', 'Augustfehn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.483 53.467)', 'DEU', 'N', 'Aurich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.967 54.317)', 'DEU', 'N', 'Achterwehr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.233 52.083)', 'DEU', 'N', 'Baddeckenstedt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.5 52.717)', 'DEU', 'N', 'Barnstorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8 53.183)', 'DEU', 'N', 'Bad Zwischenahn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.183 53.683)', 'DEU', 'N', 'Basbeck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.55 52.417)', 'DEU', 'N', 'Brandenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.933 52.55)', 'DEU', 'N', 'Bersenbrück', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.583 53.083)', 'DEU', 'N', 'Bad Bevensen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.033 51.75)', 'DEU', 'N', 'Beckum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.367 54.083)', 'DEU', 'N', 'Bendorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.383 52.517)', 'DEU', 'N', 'Berlin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.333 52.317)', 'DEU', 'N', 'Bad Essen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.133 50.983)', 'DEU', 'N', 'Bergisch Gladbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.033 51.867)', 'DEU', 'N', 'Bad Gandersheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.45 52.3)', 'DEU', 'N', 'Barsinghausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.65 50.967)', 'DEU', 'N', 'Bergheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.833 48.167)', 'DEU', 'N', 'Burghausen', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(9.867 53.333)', 'DEU', 'N', 'Buchholz in der Nordheide', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.033 48.333)', 'DEU', 'N', 'Biberach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.3 51.967)', 'DEU', 'N', 'Billerbeck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.367 50)', 'DEU', 'N', 'Bischofsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.883 49.967)', 'DEU', 'N', 'Bingen am Rhein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.917 47.883)', 'DEU', 'N', 'Bruckmühl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.083 52.1)', 'DEU', 'N', 'Bad Laer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13 52.617)', 'DEU', 'N', 'Brieselang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.583 53.183)', 'DEU', 'N', 'Blumenthal/Bremen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.917 48.417)', 'DEU', 'N', 'Blaustein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.083 51.933)', 'DEU', 'N', 'Blomberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.433 49.383)', 'DEU', 'N', 'Bruchmühlbach-Miesau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.367 53.733)', 'DEU', 'N', 'Baltrum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.133 53.483)', 'DEU', 'N', 'Bremervörde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.6 50.233)', 'DEU', 'N', 'Boppard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.1 49.233)', 'DEU', 'N', 'Böchingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.317 52.367)', 'DEU', 'N', 'Bohmte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.767 53.383)', 'DEU', 'N', 'Bokel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.25 51.983)', 'DEU', 'N', 'Bad Pyrmont', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.7 53.55)', 'DEU', 'N', 'Bramel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.467 53.683)', 'DEU', 'N', 'Barnkrug', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.983 52.667)', 'DEU', 'N', 'Borstel, Diepholz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.9 50.833)', 'DEU', 'N', 'Brühl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.55 51.6)', 'DEU', 'N', 'Bad Sachsa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10 52.05)', 'DEU', 'N', 'Bad Salzdetfurth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.733 52.85)', 'DEU', 'N', 'Bassum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.85 52.267)', 'DEU', 'N', 'Burg bei Magdeburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.367 53.583)', 'DEU', 'N', 'Butjadingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.7 53.45)', 'DEU', 'N', 'Buxtehude', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.483 53.667)', 'DEU', 'N', 'Bützfleth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.5 52.267)', 'DEU', 'N', 'Braunschweig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.683 50.433)', 'DEU', 'N', 'Butzbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.417 52.183)', 'DEU', 'N', 'Beddingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.117 52.817)', 'DEU', 'N', 'Cappeln', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.8 53.7)', 'DEU', 'N', 'Carolinensiel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.083 52.617)', 'DEU', 'N', 'Celle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.933 50.95)', 'DEU', 'N', 'Köln', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.033 52.85)', 'DEU', 'N', 'Cloppenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.333 51.767)', 'DEU', 'N', 'Cottbus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.3 51.55)', 'DEU', 'N', 'Castrop-Rauxel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.417 51.883)', 'DEU', 'N', 'Cochstedt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13 51.367)', 'DEU', 'N', 'Dahlen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.2 52.517)', 'DEU', 'N', 'Damme', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.617 53.05)', 'DEU', 'N', 'Delmenhorst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.5 47.95)', 'DEU', 'N', 'Donaueschingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.783 50.467)', 'DEU', 'N', 'Dernbach bei Montabaur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.317 50.833)', 'DEU', 'N', 'Dietzhölztal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.733 49.35)', 'DEU', 'N', 'Dillingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.367 52.6)', 'DEU', 'N', 'Diepholz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.817 51.083)', 'DEU', 'N', 'Dormagen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.033 53.9)', 'DEU', 'N', 'Demmin', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(8.983 53.15)', 'DEU', 'N', 'Dannenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.967 51.667)', 'DEU', 'N', 'Dorsten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.067 52.5)', 'DEU', 'N', 'Döberitz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.7 50)', 'DEU', 'N', 'Dreieich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.383 53.7)', 'DEU', 'N', 'Drochtersen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.317 52.95)', 'DEU', 'N', 'Dörpen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.483 51.5)', 'DEU', 'N', 'Dortmund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.75 51.467)', 'DEU', 'N', 'Duisburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.783 51.233)', 'DEU', 'N', 'Düsseldorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.983 49.467)', 'DEU', 'N', 'Eberbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.533 48.717)', 'DEU', 'N', 'Ebersbach an der Fils', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.5 49.833)', 'DEU', 'N', 'Ebrach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.833 52.833)', 'DEU', 'N', 'Eberswalde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.4 54.283)', 'DEU', 'N', 'Eiderdeich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.733 48.283)', 'DEU', 'N', 'Ehingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.65 52.15)', 'DEU', 'N', 'Eisenhüttenstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.867 51.817)', 'DEU', 'N', 'Einbeck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.183 48.883)', 'DEU', 'N', 'Eichstätt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.317 52.967)', 'DEU', 'N', 'Eimke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.55 51.533)', 'DEU', 'N', 'Eisleben', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.467 53.233)', 'DEU', 'N', 'Elsfleth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.133 48.967)', 'DEU', 'N', 'Ellwangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.733 52.117)', 'DEU', 'N', 'Elze', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.35 53.183)', 'DEU', 'N', 'Embsen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.7 48.133)', 'DEU', 'N', 'Endingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.067 52.4)', 'DEU', 'N', 'Engter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.017 51.833)', 'DEU', 'N', 'Ennigerloh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.983 51.483)', 'DEU', 'N', 'Ense', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.883 51.217)', 'DEU', 'N', 'Erkrath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.183 47.6)', 'DEU', 'N', 'Eschenlohe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.383 50.817)', 'DEU', 'N', 'Eschenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.65 51.917)', 'DEU', 'N', 'Eschershausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.283 50.817)', 'DEU', 'N', 'Eschweiler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.217 52.783)', 'DEU', 'N', 'Eystrup', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.7 52.867)', 'DEU', 'N', 'Bad Fallingbostel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.85 48)', 'DEU', 'N', 'Freiburg im Breisgau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.333 52.2)', 'DEU', 'N', 'Freden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.2 48.933)', 'DEU', 'N', 'Freiberg am Neckar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.9 49.783)', 'DEU', 'N', 'Fürfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.55 52.35)', 'DEU', 'N', 'Frankfurt/Oder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.833 53.45)', 'DEU', 'N', 'Friedeburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.967 51.167)', 'DEU', 'N', 'Finnentrop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.717 51.633)', 'DEU', 'N', 'Finsterwalde/Niederlausitz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.683 52.133)', 'DEU', 'N', 'Münster-Osnabrück International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.067 49.717)', 'DEU', 'N', 'Forchheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.2 53.55)', 'DEU', 'N', 'Forst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.683 50.117)', 'DEU', 'N', 'Frankfurt am Main', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.3 52.883)', 'DEU', 'N', 'Fresenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.65 50.267)', 'DEU', 'N', 'Friedrichsdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.067 52.367)', 'DEU', 'N', 'Fürstenwalde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.967 49.467)', 'DEU', 'N', 'Fürth', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(9.567 51.383)', 'DEU', 'N', 'Fuldatal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.85 53.017)', 'DEU', 'N', 'Friesoythe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.75 47.7)', 'DEU', 'N', 'Gailingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.533 53.033)', 'DEU', 'N', 'Ganderkesee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.7 53.283)', 'DEU', 'N', 'Garlstedt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.983 53.183)', 'DEU', 'N', 'Grasberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.917 49.25)', 'DEU', 'N', 'Gerabronn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.117 51.517)', 'DEU', 'N', 'Gelsenkirchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.083 52.567)', 'DEU', 'N', 'Georgsdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.983 49.067)', 'DEU', 'N', 'Güglingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.65 50.583)', 'DEU', 'N', 'Giessen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.55 52.483)', 'DEU', 'N', 'Gifhorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.983 50.083)', 'DEU', 'N', 'Gross Krotzenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.983 51.567)', 'DEU', 'N', 'Gladbeck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.85 48.617)', 'DEU', 'N', 'Geislingen an der Steige', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.05 52.2)', 'DEU', 'N', 'Georgsmarienhütte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9 53.383)', 'DEU', 'N', 'Gnarrenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.033 52.217)', 'DEU', 'N', 'Gronau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.933 51.533)', 'DEU', 'N', 'Göttingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15 51.167)', 'DEU', 'N', 'Görlitz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.433 51.9)', 'DEU', 'N', 'Goslar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.333 53.417)', 'DEU', 'N', 'Grambow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.433 48.117)', 'DEU', 'N', 'Gräfelfing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.5 49.917)', 'DEU', 'N', 'Gross-Gerau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.317 51.3)', 'DEU', 'N', 'Grefrath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.583 49.867)', 'DEU', 'N', 'Griesheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.383 53.2)', 'DEU', 'N', 'Gartz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.267 52.6)', 'DEU', 'N', 'Geeste', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.717 51.95)', 'DEU', 'N', 'Guben', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.3 54.9)', 'DEU', 'N', 'Westerland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.467 51.35)', 'DEU', 'N', 'Hagen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.717 52.367)', 'DEU', 'N', 'Hannover', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.35 52.1)', 'DEU', 'N', 'Hameln', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.9 50.133)', 'DEU', 'N', 'Hanau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.183 53.433)', 'DEU', 'N', 'Hagenow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.183 50)', 'DEU', 'N', 'Hösbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.683 51.45)', 'DEU', 'N', 'Homberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.317 53.033)', 'DEU', 'N', 'Herbrum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.217 51.55)', 'DEU', 'N', 'Herne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.7 49.417)', 'DEU', 'N', 'Heidelberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11 52.233)', 'DEU', 'N', 'Helmstedt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.633 49.633)', 'DEU', 'N', 'Heppenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.65 48.45)', 'DEU', 'N', 'Heroldstatt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.45 50.083)', 'DEU', 'N', 'Hofheim/Taunus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.433 47.567)', 'DEU', 'N', 'Hohentengen am Hochrhein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.967 52.15)', 'DEU', 'N', 'Hildesheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.15 52.15)', 'DEU', 'N', 'Hilter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.95 49.55)', 'DEU', 'N', 'Hirschau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.7 47.883)', 'DEU', 'N', 'Holzkirchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.083 48.283)', 'DEU', 'N', 'Haslach im Kinzigtal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.8 51.683)', 'DEU', 'N', 'Hamm', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(9.117 53.7)', 'DEU', 'N', 'Hemmoor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.683 51.417)', 'DEU', 'N', 'Hannoversch Münden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.8 49.3)', 'DEU', 'N', 'Hohenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.95 52.35)', 'DEU', 'N', 'Hollage', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.9 51.3)', 'DEU', 'N', 'Horka/Oberlausitz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.583 52.15)', 'DEU', 'N', 'Herringhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.967 52.217)', 'DEU', 'N', 'Harsum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.15 52.867)', 'DEU', 'N', 'Hohensaaten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.75 51.183)', 'DEU', 'N', 'Herscheid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.133 50)', 'DEU', 'N', 'Heidesheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.483 49.4)', 'DEU', 'N', 'Hauptstuhl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.433 50.483)', 'DEU', 'N', 'Hellenthal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.183 51.733)', 'DEU', 'N', 'Haltern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.75 49.2)', 'DEU', 'N', 'Hinterweidenthal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.45 51.817)', 'DEU', 'N', 'Holzminden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.217 47.567)', 'DEU', 'N', 'Immenstadt im Allgäu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.433 48.767)', 'DEU', 'N', 'Ingolstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.7 47.583)', 'DEU', 'N', 'Inzlingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.383 53.267)', 'DEU', 'N', 'Jemgum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.567 47.65)', 'DEU', 'N', 'Jestetten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.683 53.533)', 'DEU', 'N', 'Jork', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.583 50.333)', 'DEU', 'N', 'Jünkerath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7 53.683)', 'DEU', 'N', 'Juist', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7 50.55)', 'DEU', 'N', 'Kalenborn/Ahrweiler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.8 54.3)', 'DEU', 'N', 'Karnin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.5 51.317)', 'DEU', 'N', 'Kassel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.017 50)', 'DEU', 'N', 'Kinderbeuern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.883 50.8)', 'DEU', 'N', 'Kirchen an der Sieg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.383 54.9)', 'DEU', 'N', 'Keitum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.617 52.567)', 'DEU', 'N', 'Kietz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.3 51.733)', 'DEU', 'N', 'Kalkar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.15 51.783)', 'DEU', 'N', 'Kleve', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.317 52.95)', 'DEU', 'N', 'Kirchlinteln', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.9 49.867)', 'DEU', 'N', 'Kemnath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.417 51.367)', 'DEU', 'N', 'Kempen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.333 48.783)', 'DEU', 'N', 'Kernen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.383 53.75)', 'DEU', 'N', 'Krautsand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.567 51.333)', 'DEU', 'N', 'Krefeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.967 51.867)', 'DEU', 'N', 'Kreiensen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.367 48.25)', 'DEU', 'N', 'Krumbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.367 47.6)', 'DEU', 'N', 'Küssaberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.617 52.283)', 'DEU', 'N', 'Königs Wusterhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.4 52.95)', 'DEU', 'N', 'Kyritz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.117 49.2)', 'DEU', 'N', 'Landau in der Pfalz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.283 49.517)', 'DEU', 'N', 'Lauf an der Pegnitz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.317 52.867)', 'DEU', 'N', 'Lathen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.4 50.633)', 'DEU', 'N', 'Lauterbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.35 52.067)', 'DEU', 'N', 'Laer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.617 52.3)', 'DEU', 'N', 'Lübbecke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.4 53.25)', 'DEU', 'N', 'Lüneburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.3 47.783)', 'DEU', 'N', 'Lauben im Oberallgäu', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(7.517 52.55)', 'DEU', 'N', 'Lengerich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.683 48.683)', 'DEU', 'N', 'Landau an der Isar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.15 48.7)', 'DEU', 'N', 'Leinfelden-Echterdingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.967 52.383)', 'DEU', 'N', 'Lehrte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.017 47.833)', 'DEU', 'N', 'Leutkirch im Allgäu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7 51.033)', 'DEU', 'N', 'Leverkusen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.617 53.167)', 'DEU', 'N', 'Lemwerder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.15 49.067)', 'DEU', 'N', 'Lauffen am Neckar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.95 51.1)', 'DEU', 'N', 'Langenfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.483 53.75)', 'DEU', 'N', 'Langeoog', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.75 52.45)', 'DEU', 'N', 'Langenhagen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.183 48.033)', 'DEU', 'N', 'Limburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.683 47.55)', 'DEU', 'N', 'Lindau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.9 47.6)', 'DEU', 'N', 'Lindenberg im Allgäu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.233 52.667)', 'DEU', 'N', 'Lohne bei Vechta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.567 53.367)', 'DEU', 'N', 'Lauenburg/Elbe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.583 49.983)', 'DEU', 'N', 'Lohr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.65 53.467)', 'DEU', 'N', 'Loxstedt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.283 50.567)', 'DEU', 'N', 'Linz am Rhein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.567 47.633)', 'DEU', 'N', 'Lottstetten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.433 49.467)', 'DEU', 'N', 'Ludwigshafen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.85 48.483)', 'DEU', 'N', 'Langweid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.767 54.35)', 'DEU', 'N', 'Marne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.75 50.867)', 'DEU', 'N', 'Morsbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.35 52.2)', 'DEU', 'N', 'Melle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.483 51.15)', 'DEU', 'N', 'Meissen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.9 53.633)', 'DEU', 'N', 'Memmert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.317 52.683)', 'DEU', 'N', 'Meppen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.117 47.983)', 'DEU', 'N', 'Messkirch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.233 53.317)', 'DEU', 'N', 'Meyenburg/Prignitz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.433 51.2)', 'DEU', 'N', 'Mönchengladbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.45 49.483)', 'DEU', 'N', 'Mannheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.45 51.217)', 'DEU', 'N', 'Mühlhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.9 52.283)', 'DEU', 'N', 'Minden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.967 53.7)', 'DEU', 'N', 'Minsen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.5 50.383)', 'DEU', 'N', 'Mülheim-Kärlich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.067 48.9)', 'DEU', 'N', 'Markgröningen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.783 47.65)', 'DEU', 'N', 'Maulburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.833 50.117)', 'DEU', 'N', 'Mühlheim am Main', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.133 48.883)', 'DEU', 'N', 'Möglingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.133 49.35)', 'DEU', 'N', 'Mosbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.883 48.033)', 'DEU', 'N', 'Moosach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.833 50.433)', 'DEU', 'N', 'Montabaur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.433 54.867)', 'DEU', 'N', 'Morsum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.65 51.45)', 'DEU', 'N', 'Moers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.25 50.55)', 'DEU', 'N', 'Monschau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.717 53.45)', 'DEU', 'N', 'Marcardsmoor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.05 53.5)', 'DEU', 'N', 'Mariensiel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.433 53.25)', 'DEU', 'N', 'Mescherin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.633 51.967)', 'DEU', 'N', 'Münster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.583 48.15)', 'DEU', 'N', 'München', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(12.517 48.233)', 'DEU', 'N', 'Mühldorf am Inn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.783 50.2)', 'DEU', 'N', 'Münchberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.883 51.433)', 'DEU', 'N', 'Mülheim an der Ruhr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.083 52.983)', 'DEU', 'N', 'Munster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.7 49.817)', 'DEU', 'N', 'Mühltal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.867 54.35)', 'DEU', 'N', 'Neu Bartelshagen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.55 47.8)', 'DEU', 'N', 'Neuenburg am Rhein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.117 50.85)', 'DEU', 'N', 'Neustadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.117 50.317)', 'DEU', 'N', 'Neustadt/Coburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.583 48.833)', 'DEU', 'N', 'Neuenbürg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.033 53.8)', 'DEU', 'N', 'Neuhaus an der Oste', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.333 53.75)', 'DEU', 'N', 'Neuland/Elbe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.35 53.667)', 'DEU', 'N', 'Nessmersiel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.467 49.283)', 'DEU', 'N', 'Neumarkt in der Oberpfalz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.667 48.317)', 'DEU', 'N', 'Neufahrn bei Freising', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.783 48.533)', 'DEU', 'N', 'Nellingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.483 53.5)', 'DEU', 'N', 'Nordenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.083 52.433)', 'DEU', 'N', 'Nordhorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.6 50.8)', 'DEU', 'N', 'Niederaula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.867 50.783)', 'DEU', 'N', 'Neukirchen im Erzgebirge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.033 50.817)', 'DEU', 'N', 'Niederkassel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.183 49.35)', 'DEU', 'N', 'Neunkirchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.367 52.25)', 'DEU', 'N', 'Neuenkirchen/Steinfurt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10 51.7)', 'DEU', 'N', 'Northeim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.883 52.6)', 'DEU', 'N', 'Nortrup', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.317 50.15)', 'DEU', 'N', 'Niedernhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.683 51.183)', 'DEU', 'N', 'Neuss', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.133 49.35)', 'DEU', 'N', 'Neustadt/Weinstrasse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.067 49.433)', 'DEU', 'N', 'Nürnberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.7 49.317)', 'DEU', 'N', 'Nussloch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.017 48.4)', 'DEU', 'N', 'Neu Ulm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.833 48.4)', 'DEU', 'N', 'Neusäss', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.8 53.467)', 'DEU', 'N', 'Neu Wulmstorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.85 51.467)', 'DEU', 'N', 'Oberhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.133 49.833)', 'DEU', 'N', 'Obernburg am Main', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.733 49.817)', 'DEU', 'N', 'Ober Ramstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.567 48.283)', 'DEU', 'N', 'Oberndorf am Neckar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.667 51.967)', 'DEU', 'N', 'Oerlinghausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.767 50.1)', 'DEU', 'N', 'Offenbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.417 49.45)', 'DEU', 'N', 'Offenhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.9 47.667)', 'DEU', 'N', 'Öhningen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.017 48.7)', 'DEU', 'N', 'Osterhofen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.85 51.033)', 'DEU', 'N', 'Olpe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.883 54.3)', 'DEU', 'N', 'Oldenburg in Holstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.2 53.167)', 'DEU', 'N', 'Oldenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.183 51.733)', 'DEU', 'N', 'Osterode am Harz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.05 52.267)', 'DEU', 'N', 'Osnabrück', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.183 53.9)', 'DEU', 'N', 'Ostermoor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.8 53.233)', 'DEU', 'N', 'Osterholz-Scharmbeck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.783 51.367)', 'DEU', 'N', 'Ortrand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.9 53.8)', 'DEU', 'N', 'Otterndorf', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(8.4 53.35)', 'DEU', 'N', 'Ovelgönne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.017 53.05)', 'DEU', 'N', 'Oyten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.4 53.067)', 'DEU', 'N', 'Papenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.717 49.167)', 'DEU', 'N', 'Parsberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.067 47.8)', 'DEU', 'N', 'Peissenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.233 52.317)', 'DEU', 'N', 'Peine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.967 52.383)', 'DEU', 'N', 'Pente', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.717 50.567)', 'DEU', 'N', 'Petersberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.133 52.333)', 'DEU', 'N', 'Philippsthal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.133 50.5)', 'DEU', 'N', 'Plauen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.5 52.3)', 'DEU', 'N', 'Preussisch-Oldendorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.35 49.3)', 'DEU', 'N', 'Postbauer-Heng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.067 52.4)', 'DEU', 'N', 'Potsdam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.333 47.867)', 'DEU', 'N', 'Prien/Chiemsee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.183 53.15)', 'DEU', 'N', 'Pritzwalk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.433 54.217)', 'DEU', 'N', 'Petersdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.95 52.683)', 'DEU', 'N', 'Quakenbrück', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.2 53.25)', 'DEU', 'N', 'Rastede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.3 54.85)', 'DEU', 'N', 'Rantum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.2 48.85)', 'DEU', 'N', 'Rastatt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.733 50.467)', 'DEU', 'N', 'Ransbach-Baumbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.483 52.617)', 'DEU', 'N', 'Rehden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.2 51.617)', 'DEU', 'N', 'Recklinghausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.2 51.183)', 'DEU', 'N', 'Remscheid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.833 53.483)', 'DEU', 'N', 'Reepsholt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.583 51.55)', 'DEU', 'N', 'Rheinberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8 48.75)', 'DEU', 'N', 'Rheinmünster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.833 47.733)', 'DEU', 'N', 'Rielasingen-Worblingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.467 48.15)', 'DEU', 'N', 'Riedlingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.433 51.8)', 'DEU', 'N', 'Rietberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.083 52.183)', 'DEU', 'N', 'Rinteln', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.417 53.7)', 'DEU', 'N', 'Ritsch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.2 52.467)', 'DEU', 'N', 'Rehburg-Loccum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.067 47.683)', 'DEU', 'N', 'Reichenau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.45 53.4)', 'DEU', 'N', 'Rodenkirchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.667 51.45)', 'DEU', 'N', 'Röblingen am See', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.25 49.483)', 'DEU', 'N', 'Röthenbach an der Pegnitz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.75 53.183)', 'DEU', 'N', 'Ritterhude', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.917 49.983)', 'DEU', 'N', 'Rüdesheim am Rhein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.867 49.933)', 'DEU', 'N', 'Rümmelsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.433 49.983)', 'DEU', 'N', 'Rüsselsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.367 50.65)', 'DEU', 'N', 'Saalfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.133 50.083)', 'DEU', 'N', 'Sankt Aldegund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.017 50.833)', 'DEU', 'N', 'Stadtallendorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.317 52.15)', 'DEU', 'N', 'Salzgitter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.85 52.233)', 'DEU', 'N', 'Sarstedt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.75 53.05)', 'DEU', 'N', 'Sedelsberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.733 47.883)', 'DEU', 'N', 'Staufen im Breisgau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.967 50.533)', 'DEU', 'N', 'Schönberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.6 53.233)', 'DEU', 'N', 'Schwanewede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.267 53.067)', 'DEU', 'N', 'Schwedt', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(10.183 51.9)', 'DEU', 'N', 'Seesen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.767 50.533)', 'DEU', 'N', 'Selters/Westerwald', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.783 48.8)', 'DEU', 'N', 'Schwäbisch Gmünd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.733 49.1)', 'DEU', 'N', 'Schwäbisch Hall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.517 49.967)', 'DEU', 'N', 'Simmern/Hunsrück', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.833 47.767)', 'DEU', 'N', 'Singen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.017 47.85)', 'DEU', 'N', 'Stockach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.717 53.05)', 'DEU', 'N', 'Saterland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.467 52.367)', 'DEU', 'N', 'Spelle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.3 51.15)', 'DEU', 'N', 'Schmallenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.067 52.517)', 'DEU', 'N', 'Stolzenau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.217 50.083)', 'DEU', 'N', 'Schöllkrippen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.117 53.383)', 'DEU', 'N', 'Stelle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.517 50.333)', 'DEU', 'N', 'Schlüchtern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.25 53.9)', 'DEU', 'N', 'Sankt Margarethen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.117 53.983)', 'DEU', 'N', 'Sankt Michaelisdonn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.933 52.317)', 'DEU', 'N', 'Sehnde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8 51.333)', 'DEU', 'N', 'Sundern/Hochsauerlandkreis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.517 52.85)', 'DEU', 'N', 'Sögel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.833 52.983)', 'DEU', 'N', 'Soltau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.7 53.767)', 'DEU', 'N', 'Spiekeroog', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.25 51.35)', 'DEU', 'N', 'Sprockhövel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.933 54.267)', 'DEU', 'N', 'Schülper Neuensiel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.55 52.217)', 'DEU', 'N', 'Springe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.233 52.317)', 'DEU', 'N', 'Schüttorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.183 52.75)', 'DEU', 'N', 'Schweringen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.483 53.6)', 'DEU', 'N', 'Stade', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.567 50.167)', 'DEU', 'N', 'Steinbach am Taunus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.2 52.317)', 'DEU', 'N', 'Stadthagen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.117 49.283)', 'DEU', 'N', 'Sankt Ingbert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.517 53.633)', 'DEU', 'N', 'Stader Sand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.75 53.033)', 'DEU', 'N', 'Stuhr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.367 49.117)', 'DEU', 'N', 'Sulzach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.8 52.683)', 'DEU', 'N', 'Sulingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.517 52.95)', 'DEU', 'N', 'Surwold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.967 53.4)', 'DEU', 'N', 'Seevetal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.8 53.117)', 'DEU', 'N', 'Schneverdingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.167 49.467)', 'DEU', 'N', 'Sankt Wendel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.517 52.383)', 'DEU', 'N', 'Berlin-Schönefeld Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.6 52.4)', 'DEU', 'N', 'Seelze', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.95 52.55)', 'DEU', 'N', 'Tangermünde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.333 53.267)', 'DEU', 'N', 'Tantow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.35 53.7)', 'DEU', 'N', 'Todendorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.017 53.633)', 'DEU', 'N', 'Torgelow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.383 52.467)', 'DEU', 'N', 'Berlin-Tempelhof Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.85 52.683)', 'DEU', 'N', 'Tiefensee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.333 54.9)', 'DEU', 'N', 'Tinnum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.817 50.1)', 'DEU', 'N', 'Torfmoorhölle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.667 47.817)', 'DEU', 'N', 'Tengen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.283 53.567)', 'DEU', 'N', 'Tossens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.617 49.167)', 'DEU', 'N', 'Ubstadt-Weiher', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(10.55 52.967)', 'DEU', 'N', 'Uelzen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10 48.4)', 'DEU', 'N', 'Ulm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.283 52.717)', 'DEU', 'N', 'Vechta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.167 52.4)', 'DEU', 'N', 'Venne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.633 49.683)', 'DEU', 'N', 'Vestenbergsgreuth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.567 49.533)', 'DEU', 'N', 'Viernheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.45 48.067)', 'DEU', 'N', 'Villingen-Schwenningen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.6 52.983)', 'DEU', 'N', 'Visselhövede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.483 53.667)', 'DEU', 'N', 'Westeraccumersiel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.167 51.5)', 'DEU', 'N', 'Warburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.3 48.833)', 'DEU', 'N', 'Waiblingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.6 52.867)', 'DEU', 'N', 'Walsrode', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.233 48.067)', 'DEU', 'N', 'Wasserburg am Inn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.55 52.167)', 'DEU', 'N', 'Wolfenbüttel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.35 53.167)', 'DEU', 'N', 'Weener', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.967 51.2)', 'DEU', 'N', 'Weissenfels', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.35 48.717)', 'DEU', 'N', 'Weisenbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.917 51.55)', 'DEU', 'N', 'Werl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.15 47.833)', 'DEU', 'N', 'Weilheim in Oberbayern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.317 54.933)', 'DEU', 'N', 'Wenningstedt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.617 51.667)', 'DEU', 'N', 'Wesel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.583 49.283)', 'DEU', 'N', 'Waldfischbach-Burgalben', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.833 47.683)', 'DEU', 'N', 'Wangen im Allgäu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.867 51.333)', 'DEU', 'N', 'Witzenhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.533 50.95)', 'DEU', 'N', 'Wiehl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.583 53.45)', 'DEU', 'N', 'Wiesens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.317 53.783)', 'DEU', 'N', 'Wischhafen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.533 51.2)', 'DEU', 'N', 'Winterberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.433 52.333)', 'DEU', 'N', 'Wimmer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.367 52.317)', 'DEU', 'N', 'Wittlage', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.4 48.883)', 'DEU', 'N', 'Winnenden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.867 52.317)', 'DEU', 'N', 'Westerkappeln', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.617 51.583)', 'DEU', 'N', 'Walkenried', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.7 51.533)', 'DEU', 'N', 'Walsum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.717 52.55)', 'DEU', 'N', 'Wielen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.6 47.583)', 'DEU', 'N', 'Weil am Rhein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.783 53.567)', 'DEU', 'N', 'Wittmund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.567 50.817)', 'DEU', 'N', 'Windeck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.383 48.683)', 'DEU', 'N', 'Wendlingen am Neckar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.8 52.433)', 'DEU', 'N', 'Wolfsburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.933 53.25)', 'DEU', 'N', 'Westerstede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.883 49.983)', 'DEU', 'N', 'Wittlich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.717 52.733)', 'DEU', 'N', 'Wittingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.417 52.433)', 'DEU', 'N', 'Wunstorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.133 53.517)', 'DEU', 'N', 'Wilhelmshaven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.183 50.033)', 'DEU', 'N', 'Zell/Mosel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.7 52.3)', 'DEU', 'N', 'Zernsdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.983 53.417)', 'DEU', 'N', 'Zetel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.283 53.3)', 'DEU', 'N', 'Zeven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.85 47.7)', 'DEU', 'N', 'Zell im Wiesental', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.95 49.45)', 'DEU', 'N', 'Zirndorf', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(7.367 49.25)', 'DEU', 'N', 'Zweibrücken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.183 55.317)', 'DNK', 'N', 'Christiansø Havn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.9 18.467)', 'DOM', 'N', 'Santo Domingo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.383 19.067)', 'DOM', 'N', 'Sabana de la Mar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.3 18.45)', 'DOM', 'N', 'San Pedro de Macorís', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.05 36.75)', 'DZA', 'N', 'Alger (Algiers)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-90.317 -0.75)', 'ECU', 'N', 'Puerto Ayora, Isla Santa Cruz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-89.6 -0.9)', 'ECU', 'N', 'Puerto Baquerizo Moreno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-80.5 -0.55)', 'ECU', 'N', 'Bahía de Caráquez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.983 -2.883)', 'ECU', 'N', 'Cuenca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.7 0.983)', 'ECU', 'N', 'Esmeraldas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.9 -2.167)', 'ECU', 'N', 'Guayaquil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-80.583 -1.333)', 'ECU', 'N', 'Jipijapa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-80.9 -2.233)', 'ECU', 'N', 'La Libertad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.95 -4.383)', 'ECU', 'N', 'Macará', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-80.45 -1.05)', 'ECU', 'N', 'Portoviejo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.833 1.25)', 'ECU', 'N', 'San Lorenzo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-80.967 -2.217)', 'ECU', 'N', 'Salinas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-90.283 -0.417)', 'ECU', 'N', 'Seymour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-91.017 -0.933)', 'ECU', 'N', 'Puerto Villamil, Isla Isabela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.683 58.533)', 'EST', 'N', 'Admirali Väikesadam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.367 58.383)', 'EST', 'N', 'Doberani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.75 59)', 'EST', 'N', 'Kärdla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.45 58.633)', 'EST', 'N', 'Kesse-Jaani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.467 58.25)', 'EST', 'N', 'Kuressaare sadam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.683 58.533)', 'EST', 'N', 'Lääne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.083 58.917)', 'EST', 'N', 'Lautri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.867 59.55)', 'EST', 'N', 'Leppneeme Kalasadam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.483 58.867)', 'EST', 'N', 'Luige Väikesadam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.95 58.85)', 'EST', 'N', 'Mustvee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.733 59.45)', 'EST', 'N', 'Noblessneri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.05 59.35)', 'EST', 'N', 'Paldiski', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.483 58.383)', 'EST', 'N', 'Pärnu Sadama Väikesadam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.533 58.133)', 'EST', 'N', 'Räpina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.033 58.383)', 'EST', 'N', 'Ruhve', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.25 58.183)', 'EST', 'N', 'Salme', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.683 59.633)', 'EST', 'N', 'Suurpea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.5 58.383)', 'EST', 'N', 'Talvesadam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.1 58.6)', 'EST', 'N', 'Vergi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.05 58.467)', 'EST', 'N', 'Veere Vanasadam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.65 28.967)', 'EGY', 'N', 'Nuwaiba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(32.35 31.217)', 'EGY', 'N', 'Port Said East', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.283 27.867)', 'EGY', 'N', 'Sharm ash Shaykh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(42.733 13)', 'ERI', 'N', 'Assab', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(38.933 15.333)', 'ERI', 'N', 'Asmara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(39.45 15.6)', 'ERI', 'N', 'Massawa (Mitsiwa)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.05 42.7)', 'ESP', 'N', 'Celeiró', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.817 41.983)', 'ESP', 'N', 'Gerona (Girona)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.467 42.35)', 'ESP', 'N', 'Seo de Urgel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-15.417 28.1)', 'ESP', 'N', 'Las Palmas de Gran Canaria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.767 37.883)', 'ESP', 'N', 'Córdoba', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-16.567 28.317)', 'ESP', 'N', 'Tenerife', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.3 43.1)', 'ESP', 'N', 'Valcarlos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(44.133 5.617)', 'ETH', 'N', 'K''elafo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(37.867 11.083)', 'ETH', 'N', 'Mot''a', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.25 63.533)', 'FIN', 'N', 'Peltosalmi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.95 60.367)', 'FIN', 'N', 'Rimito (Rymättylä)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.183 65.85)', 'FIN', 'N', 'Torneå (Tornio)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-178.717 -20.667)', 'FJI', 'N', 'Ono-i-Lau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(177.2 -17.783)', 'FJI', 'N', 'Malolo Lailai Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-178.95 -17.233)', 'FJI', 'N', 'Vanua Mbalavu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.067 45.1)', 'FRA', 'N', 'L''Alpe-d''Huez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.083 48.433)', 'FRA', 'N', 'Alençon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.25 44.55)', 'FRA', 'N', 'Langon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.783 50.283)', 'FRA', 'N', 'Arras', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.517 48.95)', 'FRA', 'N', 'Aulnay-sous-Bois', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.833 50.2)', 'FRA', 'N', 'Aulnoye-Aymeries', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.4 50.633)', 'FRA', 'N', 'Aire-sur-la Lys', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.833 49.133)', 'FRA', 'N', 'Béning-lès-Saint-Avold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Attock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.817 46.1)', 'FRA', 'N', 'Bellegarde-sur-Valserine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.367 49.433)', 'FRA', 'N', 'Berville-sur-Mer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.75 48.617)', 'FRA', 'N', 'Bischheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.4 48.55)', 'FRA', 'N', 'Blainville-sur-l''Eau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.167 48.783)', 'FRA', 'N', 'Bar-le-Duc', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.233 49.683)', 'FRA', 'N', 'Bonneuil-les-Eaux', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.783 49.367)', 'FRA', 'N', 'Barneville-Carteret', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.033 47.25)', 'FRA', 'N', 'Besançon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.733 46.1)', 'FRA', 'N', 'Belleville-sur-Saône', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.533 45.15)', 'FRA', 'N', 'Brive-la-Gaillarde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.383 43.267)', 'FRA', 'N', 'Bouzigues', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6 44.1)', 'FRA', 'N', 'Château-Arnoux', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.85 49.167)', 'FRA', 'N', 'Conflans-en-Jarnisy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.033 49)', 'FRA', 'N', 'Cergy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.9 49.233)', 'FRA', 'N', 'Crépy-en-Valois', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.083 45.767)', 'FRA', 'N', 'Clermont-Ferrand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.533 46.8)', 'FRA', 'N', 'Châtellerault', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.717 49.767)', 'FRA', 'N', 'Charleville-Mézières', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.417 48.767)', 'FRA', 'N', 'Choisy-le-Roi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.383 45.433)', 'FRA', 'N', 'Chateaucreux/Saint-Etienne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.217 49.617)', 'FRA', 'N', 'Chauny', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.567 46.05)', 'FRA', 'N', 'Cluses', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.483 48.6)', 'FRA', 'N', 'Corbeil-Essonnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.533 43.25)', 'FRA', 'N', 'Cogolin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.367 48.95)', 'FRA', 'N', 'Châlons-en-Champagne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.85 46.783)', 'FRA', 'N', 'Chalon-sur-Saône', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.233 44.1)', 'FRA', 'N', 'Digne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.4 45.433)', 'FRA', 'N', 'Saint-Étienne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.433 46.667)', 'FRA', 'N', 'La Roche-sur-Yon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.45 48.183)', 'FRA', 'N', 'Épinal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.1 49.017)', 'FRA', 'N', 'Éragny', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.583 46.383)', 'FRA', 'N', 'Évian-les-Bains', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(4.933 43.433)', 'FRA', 'N', 'Fos-sur-Mer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.733 43.433)', 'FRA', 'N', 'Fréjus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.067 46.333)', 'FRA', 'N', 'Gex', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.417 48.967)', 'FRA', 'N', 'Garges-lès-Gonesse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.233 49.5)', 'FRA', 'N', 'Gonfreville-l''Orcher', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.733 48.733)', 'FRA', 'N', 'Gretz-Armainvilliers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1 49.35)', 'FRA', 'N', 'Grand-Couronne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.933 50.417)', 'FRA', 'N', 'Hénin-Beaumont', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.583 47.6)', 'FRA', 'N', 'Huningue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.35 46.717)', 'FRA', 'N', 'Île-d''Yeu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.25 45.55)', 'FRA', 'N', 'Issoire', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.1 43.567)', 'FRA', 'N', 'Juan-les-Pins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.367 48.683)', 'FRA', 'N', 'Juvisy-sur-Orge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.633 49.567)', 'FRA', 'N', 'Laon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.033 43.383)', 'FRA', 'N', 'Lavéra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.117 43.9)', 'FRA', 'N', 'Le Sequestre Apt/Albi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.45 48.933)', 'FRA', 'N', 'Le Blanc-Mesnil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.367 47.3)', 'FRA', 'N', 'La Baule', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.9 42.467)', 'FRA', 'N', 'Latour-de-Carol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.783 42.583)', 'FRA', 'N', 'L''Hospitalet-Pas-de-la-Case', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.233 45.617)', 'FRA', 'N', 'L''Isle-d''Abeau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.067 50.633)', 'FRA', 'N', 'Lille', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.55 46.667)', 'FRA', 'N', 'Lons-le-Saunier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.533 44.95)', 'FRA', 'N', 'Saint-Louis-de-Montferrand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.883 45.033)', 'FRA', 'N', 'Le Puy-en-Velay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.433 46.333)', 'FRA', 'N', 'La Tranche-sur-Mer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.583 50.517)', 'FRA', 'N', 'Le Touquet-Paris-Plage', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.167 48.667)', 'FRA', 'N', 'Les Ulis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.567 43.2)', 'FRA', 'N', 'La Croix-Valmer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.467 49.4)', 'FRA', 'N', 'Lyons-la-Forêt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.067 45.717)', 'FRA', 'N', 'Saint-Exupéry Apt/Lyon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.717 48.983)', 'FRA', 'N', 'Mantes-la-Jolie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.5 43.883)', 'FRA', 'N', 'Mont-de-Marsan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.067 49.083)', 'FRA', 'N', 'Mézidon-Canon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.567 45.417)', 'FRA', 'N', 'Méribel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.617 48.983)', 'FRA', 'N', 'Mitry-Mory', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.633 48.833)', 'FRA', 'N', 'Marne-la-Vallée', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.933 43.55)', 'FRA', 'N', 'Mandelieu-la-Napoule', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.333 46.567)', 'FRA', 'N', 'Moulins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.783 49.533)', 'FRA', 'N', 'Mont-Saint-Martin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.933 48.383)', 'FRA', 'N', 'Montereau-faut-Yonne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.15 47.333)', 'FRA', 'N', 'Montoir-de-Bretagne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.167 49.133)', 'FRA', 'N', 'Metz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.983 45.133)', 'FRA', 'N', 'Neussargues-Moissac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.467 48.883)', 'FRA', 'N', 'Noisy-le-Sec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.45 48.983)', 'FRA', 'N', 'Gonesse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.067 48.9)', 'FRA', 'N', 'Pont-à-Mousson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.333 46.05)', 'FRA', 'N', 'Pont-d''Ain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.6 47)', 'FRA', 'N', 'Port-de-Piles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.717 45.183)', 'FRA', 'N', 'Périgueux', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.533 49.467)', 'FRA', 'N', 'Port-Jérôme', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(4.117 46.45)', 'FRA', 'N', 'Paray-le-Monial', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.883 44.867)', 'FRA', 'N', 'Portes-lès-Valence', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.35 46.717)', 'FRA', 'N', 'Port-Joinville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.05 49.417)', 'FRA', 'N', 'Le Petit-Quevilly', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.433 43.533)', 'FRA', 'N', 'Aix-en-Provence', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.983 48.817)', 'FRA', 'N', 'Revigny-sur-Ornain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.633 43.433)', 'FRA', 'N', 'Roquebrune-sur-Argens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.717 48.517)', 'FRA', 'N', 'Romilly-sur-Seine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.2 48.883)', 'FRA', 'N', 'Rueil-Malmaison', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.283 48.9)', 'FRA', 'N', 'Saint-André-de-l''Eure', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.817 45.333)', 'FRA', 'N', 'Salaise-sur-Sanne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.067 49.117)', 'FRA', 'N', 'Sarreguemines', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.433 43.6)', 'FRA', 'N', 'Saint-Cyprien/Toulouse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.95 48.283)', 'FRA', 'N', 'Saint-Dié', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.583 44.933)', 'FRA', 'N', 'Serre-Chevalier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.833 43.083)', 'FRA', 'N', 'Six-Fours-les-Plages', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Yasuru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.8 45.867)', 'FRA', 'N', 'Saint-Germain-au-Mont-d''Or', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.35 45.283)', 'FRA', 'N', 'Saint-Jean-de-Maurienne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.083 46.133)', 'FRA', 'N', 'Saint-Julien-en-Genevois', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.083 49.117)', 'FRA', 'N', 'Saint-Lô', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.1 49.417)', 'FRA', 'N', 'Sotteville-lès-Rouen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.117 45.633)', 'FRA', 'N', 'Saint-Quentin-Fallavier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.817 45.283)', 'FRA', 'N', 'Saint-Rambert-d''Albon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.7 49.1)', 'FRA', 'N', 'Saint-Avold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.383 43.733)', 'FRA', 'N', 'Saint-Jory', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.567 47.583)', 'FRA', 'N', 'Saint-Louis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.25 50.75)', 'FRA', 'N', 'Saint-Omer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.283 49.85)', 'FRA', 'N', 'Saint-Quentin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.35 46.433)', 'FRA', 'N', 'Saint-Amour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.767 49.533)', 'FRA', 'N', 'Saint-Wandrille-Rançon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.117 48.75)', 'FRA', 'N', 'Toussus-le-Noble', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.567 45.083)', 'FRA', 'N', 'Saint-Trojan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.883 44.933)', 'FRA', 'N', 'Valence', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.317 48.633)', 'FRA', 'N', 'Varangéville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.983 45.45)', 'FRA', 'N', 'Val-d''Isère', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.25 43.467)', 'FRA', 'N', 'Vitrolles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.05 44.35)', 'FRA', 'N', 'Villefranche-de-Rouergue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.45 48.733)', 'FRA', 'N', 'Villeneuve-Saint-Georges', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.717 45.983)', 'FRA', 'N', 'Villefranche-sur-Saône', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.4 48.783)', 'FRA', 'N', 'Vitry-sur-Seine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.933 46.683)', 'FRA', 'N', 'Saint-Gilles-Croix-de-Vie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.833 42.717)', 'FRA', 'N', 'Ax-les-Thermes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.633 43.3)', 'FRA', 'N', 'Sainte-Maxime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.933 -0.1)', 'GAB', 'N', 'Booué', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.7 -0.817)', 'GAB', 'N', 'Lastoursville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.783 0.95)', 'GAB', 'N', 'Médouneu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.933 1.017)', 'GAB', 'N', 'Mékambo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.117 2.15)', 'GAB', 'N', 'Minvoul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.633 0.7)', 'GAB', 'N', 'Nkan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.25 -1.567)', 'GAB', 'N', 'Omboué', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-4.5 52.817)', 'GBR', 'N', 'Aber Sôch (Abersoch)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.117 51.733)', 'GBR', 'N', 'Abertillery', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.833 57.083)', 'GBR', 'N', 'Aboyne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.7 51.8)', 'GBR', 'N', 'Abercraf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.333 53.65)', 'GBR', 'N', 'Ackworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.35 53.383)', 'GBR', 'N', 'Altrincham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.883 53.933)', 'GBR', 'N', 'Addingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.533 56.183)', 'GBR', 'N', 'Ardfern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.917 52.6)', 'GBR', 'N', 'Aldridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.417 57.017)', 'GBR', 'N', 'Aird Mhor (Ardmhor)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.467 52.75)', 'GBR', 'N', 'Ashby de la Zouch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.167 51.717)', 'GBR', 'N', 'Aberbeeg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.45 51.583)', 'GBR', 'N', 'Bagstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.533 56.617)', 'GBR', 'N', 'Arinagour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.25 56.717)', 'GBR', 'N', 'Ardgour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.017 51.833)', 'GBR', 'N', 'Abergavenny', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.483 56.5)', 'GBR', 'N', 'Achnacroish', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.933 53.467)', 'GBR', 'N', 'Aintree', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.983 55.85)', 'GBR', 'N', 'Airdrie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.8 56.15)', 'GBR', 'N', 'Alva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.35 51.667)', 'GBR', 'N', 'Aldenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.15 51.367)', 'GBR', 'N', 'Aldermaston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.517 51.583)', 'GBR', 'N', 'Alveston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.6 55.983)', 'GBR', 'N', 'Alexandria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.9 57.05)', 'GBR', 'N', 'Armadale, Isle of Skye', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.083 55.867)', 'GBR', 'N', 'Ardmaleish', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4 51.8)', 'GBR', 'N', 'Ammanford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.183 57.7)', 'GBR', 'N', 'Aird Ma Ruibhe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.117 51.95)', 'GBR', 'N', 'Abercastle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.7 55.9)', 'GBR', 'N', 'Armadale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.033 57.567)', 'GBR', 'N', 'Ardersier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.4 54.85)', 'GBR', 'N', 'Artigarvan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.4 57)', 'GBR', 'N', 'Ardveenish', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.667 51.4)', 'GBR', 'N', 'Ascot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.1 53.5)', 'GBR', 'N', 'Ashton under Lyne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.65 53.483)', 'GBR', 'N', 'Ashton in Makerfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.883 51.55)', 'GBR', 'N', 'Aston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.933 52.033)', 'GBR', 'N', 'Aston Somerville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.55 52.567)', 'GBR', 'N', 'Atherstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.5 53.517)', 'GBR', 'N', 'Atherton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.1 53.467)', 'GBR', 'N', 'Audenshaw', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.683 51.5)', 'GBR', 'N', 'Avonmouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.983 50.783)', 'GBR', 'N', 'Axminster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.283 56.05)', 'GBR', 'N', 'Aberdour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.65 52.383)', 'GBR', 'N', 'Balsall Common', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.25 51.383)', 'GBR', 'N', 'Barry Dock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.383 55.783)', 'GBR', 'N', 'Barrhead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.767 53.85)', 'GBR', 'N', 'Baildon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.233 51.45)', 'GBR', 'N', 'Barnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.633 53.7)', 'GBR', 'N', 'Batley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.083 50.683)', 'GBR', 'N', 'Bembridge', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-3.083 53.167)', 'GBR', 'N', 'Buckley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kanua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.667 51.517)', 'GBR', 'N', 'Beckton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.033 53.633)', 'GBR', 'N', 'Birkdale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.117 51.367)', 'GBR', 'N', 'Beddington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.15 57.1)', 'GBR', 'N', 'Banchory - Devenick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.467 54.95)', 'GBR', 'N', 'Boldon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.183 51.583)', 'GBR', 'N', 'Bedwas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.117 51.867)', 'GBR', 'N', 'Brawdy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.017 53.35)', 'GBR', 'N', 'Bebington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.483 50.4)', 'GBR', 'N', 'Berry Head', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.633 55.733)', 'GBR', 'N', 'Beith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.117 51.633)', 'GBR', 'N', 'Benson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.767 51.817)', 'GBR', 'N', 'Bethesda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.417 53.833)', 'GBR', 'N', 'Beverley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.15 51.433)', 'GBR', 'N', 'Bexley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.317 51.5)', 'GBR', 'N', 'Brentford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.783 51.433)', 'GBR', 'N', 'Binfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.367 53.267)', 'GBR', 'N', 'Bodffordd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.817 51.633)', 'GBR', 'N', 'Briton Ferry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.95 56.15)', 'GBR', 'N', 'Bridge of Allan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.483 53.55)', 'GBR', 'N', 'Brigg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.833 53.583)', 'GBR', 'N', 'Burscough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.233 51.683)', 'GBR', 'N', 'Bargoed', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.067 52.333)', 'GBR', 'N', 'Bromsgrove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.517 55.617)', 'GBR', 'N', 'Biggar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.833 53.85)', 'GBR', 'N', 'Bingley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.167 53.367)', 'GBR', 'N', 'Bramhall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.917 52.467)', 'GBR', 'N', 'Birmingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.383 53.683)', 'GBR', 'N', 'Barrow-upon-Humber', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.2 51.65)', 'GBR', 'N', 'Barnet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.3 54.6)', 'GBR', 'N', 'Billingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.233 54.117)', 'GBR', 'N', 'Barrow in Furness', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.633 52.067)', 'GBR', 'N', 'Bartestree', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.75 59.15)', 'GBR', 'N', 'Backaland, Eday', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.033 51.383)', 'GBR', 'N', 'Bickley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.033 51.4)', 'GBR', 'N', 'Beckenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.75 51.4)', 'GBR', 'N', 'Bracknell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.517 56)', 'GBR', 'N', 'Blackness', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.7 54.967)', 'GBR', 'N', 'Blaydon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.167 56.5)', 'GBR', 'N', 'Ballygown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.017 55.817)', 'GBR', 'N', 'Bellshill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.433 53.583)', 'GBR', 'N', 'Bolton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.433 50.817)', 'GBR', 'N', 'Beaulieu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.15 51.483)', 'GBR', 'N', 'Belvedere', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.2 51.667)', 'GBR', 'N', 'Blackwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2 52.617)', 'GBR', 'N', 'Bloxwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.067 51.5)', 'GBR', 'N', 'Bermondsey/London', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.617 53.883)', 'GBR', 'N', 'Bramhope', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.05 51.383)', 'GBR', 'N', 'Bromham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.967 60.683)', 'GBR', 'N', 'Belmont, Unst', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-3.183 51.8)', 'GBR', 'N', 'Brynmawr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.45 51.533)', 'GBR', 'N', 'Brynna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.517 57.05)', 'GBR', 'N', 'Banchory', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.433 53.667)', 'GBR', 'N', 'Barton upon Humber', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.783 54.083)', 'GBR', 'N', 'Bolton le Sands', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.883 56)', 'GBR', 'N', 'Bonnybridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.017 53.467)', 'GBR', 'N', 'Bootle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.1 55.867)', 'GBR', 'N', 'Bonnyrigg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.883 50.733)', 'GBR', 'N', 'Bournemouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.6 56)', 'GBR', 'N', 'Bo''ness', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.133 52.917)', 'GBR', 'N', 'Borth-y-Gest', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.75 51.867)', 'GBR', 'N', 'Bourton-on-the-Water', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.483 55.917)', 'GBR', 'N', 'Bowling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.983 51.583)', 'GBR', 'N', 'Black Pill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.333 51.283)', 'GBR', 'N', 'Biggin Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.617 54.75)', 'GBR', 'N', 'Brandon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.65 56.733)', 'GBR', 'N', 'Brechin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.083 55.85)', 'GBR', 'N', 'Braehead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.75 53.783)', 'GBR', 'N', 'Bradford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.567 51.5)', 'GBR', 'N', 'Bridgend', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.783 53.7)', 'GBR', 'N', 'Brighouse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.033 53.4)', 'GBR', 'N', 'Birkenhead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.35 53.4)', 'GBR', 'N', 'Broadheath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.75 60.417)', 'GBR', 'N', 'Bruray, Out Skerries', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.7 51.6)', 'GBR', 'N', 'Bryn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.35 55.917)', 'GBR', 'N', 'Bearsden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.533 51.433)', 'GBR', 'N', 'Brislington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.233 55.9)', 'GBR', 'N', 'Bishopbriggs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.6 51.4)', 'GBR', 'N', 'Bishopsworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.483 53.55)', 'GBR', 'N', 'Barnsley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.95 55.95)', 'GBR', 'N', 'Cockenzie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.4 53.567)', 'GBR', 'N', 'Barnetby-le-Wold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.917 51.7)', 'GBR', 'N', 'Burton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.283 51.4)', 'GBR', 'N', 'Bathford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.633 55.9)', 'GBR', 'N', 'Bathgate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.35 51.367)', 'GBR', 'N', 'Bath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.583 55.117)', 'GBR', 'N', 'Bedlington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.15 51.467)', 'GBR', 'N', 'Battersea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.333 50.633)', 'GBR', 'N', 'Budleigh Salterton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.683 53.65)', 'GBR', 'N', 'Burton upon Stather', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.567 50.9)', 'GBR', 'N', 'Bury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.683 50.583)', 'GBR', 'N', 'Bovey Tracey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.967 58.75)', 'GBR', 'N', 'Burwick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.717 55.55)', 'GBR', 'N', 'Bowden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.583 55.85)', 'GBR', 'N', 'Bridge of Weir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2 55.783)', 'GBR', 'N', 'Berwick-upon-Tweed', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.067 55.8)', 'GBR', 'N', 'Bothwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.817 50.8)', 'GBR', 'N', 'Bow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.033 53.417)', 'GBR', 'N', 'Bawtry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.467 50.85)', 'GBR', 'N', 'Bexhill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.65 53.083)', 'GBR', 'N', 'Brassington', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(0 51.733)', 'GBR', 'N', 'Broxbourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.467 55.933)', 'GBR', 'N', 'Broxburn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.067 52.967)', 'GBR', 'N', 'Blythe Bridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.5 52.183)', 'GBR', 'N', 'Bromyard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.1 55.767)', 'GBR', 'N', 'Blantyre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.567 51.667)', 'GBR', 'N', 'Little Chalfont', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.833 55.6)', 'GBR', 'N', 'Belford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3 53.167)', 'GBR', 'N', 'Broughton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.567 51.767)', 'GBR', 'N', 'Brize Norton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.217 51.583)', 'GBR', 'N', 'Caerphilly', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.283 57.067)', 'GBR', 'N', 'Ceann a Gharaidh, Eriskay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.833 55.717)', 'GBR', 'N', 'Carluke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.833 56.117)', 'GBR', 'N', 'Cambus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.133 56.833)', 'GBR', 'N', 'Camusnagaul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.917 50.917)', 'GBR', 'N', 'Cranborne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.183 55.817)', 'GBR', 'N', 'Cambuslang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.167 51.65)', 'GBR', 'N', 'Cockfosters', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.717 53.717)', 'GBR', 'N', 'Cleckheaton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.7 50.117)', 'GBR', 'N', 'Cape Cornwall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.017 51.433)', 'GBR', 'N', 'Calcot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.95 55.983)', 'GBR', 'N', 'Castlecary', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.133 53.533)', 'GBR', 'N', 'Chadderton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.433 51.45)', 'GBR', 'N', 'Cowbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.183 53.367)', 'GBR', 'N', 'Cheadle Hulme', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.75 51.583)', 'GBR', 'N', 'Caldicot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.133 51.567)', 'GBR', 'N', 'Chadwell Heath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.083 52.45)', 'GBR', 'N', 'Cradley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.9 55.8)', 'GBR', 'N', 'Cleland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.217 53.517)', 'GBR', 'N', 'Cheetham Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.65 56.233)', 'GBR', 'N', 'Cellardyke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.483 51.733)', 'GBR', 'N', 'Chelmsford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.833 56.367)', 'GBR', 'N', 'Crieff', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.8 54.7)', 'GBR', 'N', 'Cloghan Point/Carrickfergus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.9 53.817)', 'GBR', 'N', 'Cullingworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.817 51.367)', 'GBR', 'N', 'Congresbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.217 53.4)', 'GBR', 'N', 'Cheadle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.267 51.483)', 'GBR', 'N', 'Chiswick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.667 51.633)', 'GBR', 'N', 'Chepstow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.583 50.6)', 'GBR', 'N', 'Chudleigh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.067 52.917)', 'GBR', 'N', 'Chirk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.7 51.55)', 'GBR', 'N', 'Cookham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.45 52.317)', 'GBR', 'N', 'Cookley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.35 58.25)', 'GBR', 'N', 'Culkein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.733 56.1)', 'GBR', 'N', 'Clackmannan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.983 55.95)', 'GBR', 'N', 'Cumbernauld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.217 51.567)', 'GBR', 'N', 'Cricklewood/London', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.383 55.75)', 'GBR', 'N', 'Claonaig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.133 51.45)', 'GBR', 'N', 'Clapham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.4 55.9)', 'GBR', 'N', 'Clydebank', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.067 52.967)', 'GBR', 'N', 'Cefn-Mawr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.283 55.967)', 'GBR', 'N', 'Cramond', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-3.133 51.667)', 'GBR', 'N', 'Crumlin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.533 56.05)', 'GBR', 'N', 'Crombie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.3 51.867)', 'GBR', 'N', 'Carmarthen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.9 55.783)', 'GBR', 'N', 'Cumbrae Slip, Great Cumbrae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.267 55.45)', 'GBR', 'N', 'Cumnock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.2 55.8)', 'GBR', 'N', 'Chirnside', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.05 53.5)', 'GBR', 'N', 'Cantley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.717 56.5)', 'GBR', 'N', 'Carnoustie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.717 56.467)', 'GBR', 'N', 'Craignure', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.367 52.717)', 'GBR', 'N', 'Coalville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.75 54.65)', 'GBR', 'N', 'Cookstown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.033 55.867)', 'GBR', 'N', 'Coatbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.033 53.467)', 'GBR', 'N', 'Crosby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.217 55.65)', 'GBR', 'N', 'Cornhill-on-Tweed', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.217 52)', 'GBR', 'N', 'Croughton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.1 51.383)', 'GBR', 'N', 'Croydon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.383 53.433)', 'GBR', 'N', 'Carrington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.667 51.433)', 'GBR', 'N', 'Cranbourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.767 51.6)', 'GBR', 'N', 'Caerwent', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.183 51.433)', 'GBR', 'N', 'Crayford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.783 52.5)', 'GBR', 'N', 'Castle Bromwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.117 51.3)', 'GBR', 'N', 'Coulsdon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.117 51.617)', 'GBR', 'N', 'Cross Keys', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.667 51.4)', 'GBR', 'N', 'Chislehurst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.9 53.333)', 'GBR', 'N', 'Garston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.55 51.6)', 'GBR', 'N', 'Chalfont Saint Peter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.783 50.833)', 'GBR', 'N', 'Chichester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.367 52.733)', 'GBR', 'N', 'Coltishall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.567 54.85)', 'GBR', 'N', 'Chester-le-Street', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.35 53.717)', 'GBR', 'N', 'Castleford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.333 53.55)', 'GBR', 'N', 'Cleethorpes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.15 51.35)', 'GBR', 'N', 'Carshalton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.183 55.283)', 'GBR', 'N', 'Church Bay, Rathlin Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.4 50.867)', 'GBR', 'N', 'Cullompton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(2.817 57.683)', 'GBR', 'N', 'Cullen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.133 52.3)', 'GBR', 'N', 'Cutnall Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.133 55.917)', 'GBR', 'N', 'Colintraive', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.35 55.933)', 'GBR', 'N', 'Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.55 52.417)', 'GBR', 'N', 'Coventry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.017 51.65)', 'GBR', 'N', 'Cwmbran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.5 56.033)', 'GBR', 'N', 'Charlestown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.783 51.367)', 'GBR', 'N', 'Crowthorne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.017 54.967)', 'GBR', 'N', 'Cairnryan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.3 53.233)', 'GBR', 'N', 'Caerwys', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.4 52.95)', 'GBR', 'N', 'Cynwyd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.733 53.3)', 'GBR', 'N', 'Colwyn Bay (Bae Colwyn)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.167 51.55)', 'GBR', 'N', 'Dagenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.567 51.483)', 'GBR', 'N', 'Datchet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.267 51.967)', 'GBR', 'N', 'Debden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.417 53.183)', 'GBR', 'N', 'Denbigh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.567 55.95)', 'GBR', 'N', 'Dumbarton', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-4.583 55.567)', 'GBR', 'N', 'Dundonald', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.083 52.5)', 'GBR', 'N', 'Dudley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.017 53.567)', 'GBR', 'N', 'Delph', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.1 53.45)', 'GBR', 'N', 'Denton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.333 51.483)', 'GBR', 'N', 'Deptford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.05 50.8)', 'GBR', 'N', 'Denton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.217 51.45)', 'GBR', 'N', 'Dartford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.133 52.75)', 'GBR', 'N', 'Dunston Heath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.95 53.383)', 'GBR', 'N', 'Dingle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.067 55.867)', 'GBR', 'N', 'Dalkeith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.067 51.533)', 'GBR', 'N', 'Dalston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.417 55.9)', 'GBR', 'N', 'Dalmuir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.9 53.783)', 'GBR', 'N', 'Denholme', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.683 50.683)', 'GBR', 'N', 'Dunsford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.9 56.017)', 'GBR', 'N', 'Denny', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.083 53.483)', 'GBR', 'N', 'Dukinfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.433 54.1)', 'GBR', 'N', 'Driffield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.667 53.75)', 'GBR', 'N', 'Drighlington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.567 54.533)', 'GBR', 'N', 'Darlington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.15 52.267)', 'GBR', 'N', 'Droitwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.033 52.567)', 'GBR', 'N', 'Darlaston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.983 53.733)', 'GBR', 'N', 'Drax', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.15 53.483)', 'GBR', 'N', 'Droylsden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.533 53.5)', 'GBR', 'N', 'Hibaldstow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.65 54.95)', 'GBR', 'N', 'Dunston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.95 56.183)', 'GBR', 'N', 'Dunblane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.35 55.767)', 'GBR', 'N', 'Duns', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.183 50.367)', 'GBR', 'N', 'Devonport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.617 53.7)', 'GBR', 'N', 'Dewsbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.15 52.083)', 'GBR', 'N', 'Duxford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.183 57.2)', 'GBR', 'N', 'Dyce', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.65 56.283)', 'GBR', 'N', 'Easdale, Seil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.967 53.3)', 'GBR', 'N', 'Eastham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.467 53.433)', 'GBR', 'N', 'Ecclesfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.333 53.483)', 'GBR', 'N', 'Eccles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.2 55.95)', 'GBR', 'N', 'Edinburgh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.05 51.6)', 'GBR', 'N', 'Edmonton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.65 56.8)', 'GBR', 'N', 'Edzell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.933 59.15)', 'GBR', 'N', 'Egilsay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.35 54.533)', 'GBR', 'N', 'Eaglescliffe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.1 57.15)', 'GBR', 'N', 'Elgol, Isle of Skye', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.167 51.583)', 'GBR', 'N', 'Easton Grey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.683 51.467)', 'GBR', 'N', 'Easton-in-Gordano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.167 55.767)', 'GBR', 'N', 'East Kilbride', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.65 56.283)', 'GBR', 'N', 'Ellenabeich, Seil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.333 57.65)', 'GBR', 'N', 'Elgin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.367 52.7)', 'GBR', 'N', 'Ellistown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.833 53.683)', 'GBR', 'N', 'Elland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.567 51.433)', 'GBR', 'N', 'Englefield Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.817 52.533)', 'GBR', 'N', 'Erdington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.183 51.483)', 'GBR', 'N', 'Erith', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-0.267 50.833)', 'GBR', 'N', 'Shoreham-by-Sea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.4 51.583)', 'GBR', 'N', 'Eastcote', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.8 52.05)', 'GBR', 'N', 'Eaton Bishop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.6 51.483)', 'GBR', 'N', 'Eton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.933 52.083)', 'GBR', 'N', 'Evesham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.283 57.65)', 'GBR', 'N', 'Evanton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.167 50.733)', 'GBR', 'N', 'Fishbourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.083 57.617)', 'GBR', 'N', 'Fochabers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.117 52.617)', 'GBR', 'N', 'Fordhouses', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.85 55.75)', 'GBR', 'N', 'Fairlie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.067 55.85)', 'GBR', 'N', 'Feolin Ferry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.6 57.65)', 'GBR', 'N', 'Findhorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.767 56)', 'GBR', 'N', 'Falkirk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.167 53.267)', 'GBR', 'N', 'Flint', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.55 54.95)', 'GBR', 'N', 'Felling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.133 53.517)', 'GBR', 'N', 'Failsworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.683 53.617)', 'GBR', 'N', 'Flixborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.383 53.45)', 'GBR', 'N', 'Flixton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.85 51.35)', 'GBR', 'N', 'Finchampstead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.8 56.5)', 'GBR', 'N', 'Fishnish, Isle of Mull', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.417 56.667)', 'GBR', 'N', 'Finnart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.883 56.65)', 'GBR', 'N', 'Forfar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.683 55.75)', 'GBR', 'N', 'Forth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.433 51.65)', 'GBR', 'N', 'Ferndale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.017 51.55)', 'GBR', 'N', 'Forest Gate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.233 51.833)', 'GBR', 'N', 'Frinton-on-Sea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.05 53.55)', 'GBR', 'N', 'Formby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.983 51.1)', 'GBR', 'N', 'Farringdon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.617 57.6)', 'GBR', 'N', 'Forres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.867 53.983)', 'GBR', 'N', 'Full Sutton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.367 53.7)', 'GBR', 'N', 'Featherstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.867 51.65)', 'GBR', 'N', 'Freshwater East', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.4 54.017)', 'GBR', 'N', 'Flaxby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.567 51.517)', 'GBR', 'N', 'Filton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.267 58.917)', 'GBR', 'N', 'Graemsay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.817 55.6)', 'GBR', 'N', 'Galashiels', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.617 54.933)', 'GBR', 'N', 'Gateshead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.267 53.933)', 'GBR', 'N', 'Gisburn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1 53.2)', 'GBR', 'N', 'Boughton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.05 51.85)', 'GBR', 'N', 'Great Bentley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.217 51.567)', 'GBR', 'N', 'Golders Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.2 51.6)', 'GBR', 'N', 'Gidea Park', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.617 53.767)', 'GBR', 'N', 'Gildersome', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.333 51.517)', 'GBR', 'N', 'Greenford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.55 51.383)', 'GBR', 'N', 'Gillingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.317 52.117)', 'GBR', 'N', 'Great Malvern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.817 53.767)', 'GBR', 'N', 'Gomersal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0 51.467)', 'GBR', 'N', 'Greenwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.183 51.9)', 'GBR', 'N', 'Great Oakley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.6 53.467)', 'GBR', 'N', 'Golborne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.733 51.333)', 'GBR', 'N', 'Grovehurst Jetty/Sittingbourne', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-1.283 59.867)', 'GBR', 'N', 'Grutness', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.7 53.583)', 'GBR', 'N', 'Grove Port', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.15 54.533)', 'GBR', 'N', 'Guisborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.383 55.583)', 'GBR', 'N', 'Galston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.067 55.883)', 'GBR', 'N', 'Gartcosh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.3 53.55)', 'GBR', 'N', 'Whitefield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.9 53.333)', 'GBR', 'N', 'Garston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.15 50.95)', 'GBR', 'N', 'Great Torrington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.717 53.867)', 'GBR', 'N', 'Guiseley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.017 60.667)', 'GBR', 'N', 'Gutcher, Yell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.2 50.1)', 'GBR', 'N', 'Gweek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.767 55.933)', 'GBR', 'N', 'Haddington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.717 52.05)', 'GBR', 'N', 'Hereford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.017 53.75)', 'GBR', 'N', 'Hebden Bridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.65 52.033)', 'GBR', 'N', 'Hampton Bishop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.233 53.417)', 'GBR', 'N', 'Hellaby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.5 51.55)', 'GBR', 'N', 'Hackney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.85 53.733)', 'GBR', 'N', 'Howdendyke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.783 53.65)', 'GBR', 'N', 'Huddersfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.2 51.75)', 'GBR', 'N', 'Headington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.667 53.467)', 'GBR', 'N', 'Haydock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.4 51.517)', 'GBR', 'N', 'Horndon on the Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.483 52.7)', 'GBR', 'N', 'Hadley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.517 54.967)', 'GBR', 'N', 'Hebburn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.667 53.7)', 'GBR', 'N', 'Heckmondwike', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.9 51.533)', 'GBR', 'N', 'Henley-on-Thames', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.85 53.717)', 'GBR', 'N', 'Halifax', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.35 53.65)', 'GBR', 'N', 'High Ackworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.717 51.617)', 'GBR', 'N', 'Highworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.433 51.483)', 'GBR', 'N', 'Harlington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.05 53.517)', 'GBR', 'N', 'Hightown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.217 51.6)', 'GBR', 'N', 'Harold Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.333 51.567)', 'GBR', 'N', 'Harrow on the Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.55 53.6)', 'GBR', 'N', 'Horwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.183 50.8)', 'GBR', 'N', 'Honiton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.583 53.533)', 'GBR', 'N', 'Hindley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.6 54.333)', 'GBR', 'N', 'Hackforth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.233 51.583)', 'GBR', 'N', 'Harold Wood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.45 55.583)', 'GBR', 'N', 'Hurlford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.367 52.533)', 'GBR', 'N', 'Hollingworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.45 51.517)', 'GBR', 'N', 'Hillingdon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.933 55.983)', 'GBR', 'N', 'Holy Loch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.767 53.55)', 'GBR', 'N', 'Holmfirth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.467 54.85)', 'GBR', 'N', 'Houghton le Spring', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.533 53.783)', 'GBR', 'N', 'Hunslet/Leeds', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.817 53.367)', 'GBR', 'N', 'Halewood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.417 51.5)', 'GBR', 'N', 'Hayes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.367 51.417)', 'GBR', 'N', 'Hampton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.183 51.55)', 'GBR', 'N', 'Hampstead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.033 55.767)', 'GBR', 'N', 'Hamilton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kasur', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(1.683 52.7)', 'GBR', 'N', 'Hemsby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.217 51.65)', 'GBR', 'N', 'Hengoed', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.933 60.617)', 'GBR', 'N', 'Hamars Ness, Fetlar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.4 50.85)', 'GBR', 'N', 'Hooe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.467 54.983)', 'GBR', 'N', 'Howdon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.267 60)', 'GBR', 'N', 'Hoswick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.533 51.467)', 'GBR', 'N', 'Horton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.35 51.467)', 'GBR', 'N', 'Hounslow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.667 60.333)', 'GBR', 'N', 'Housa Voe, Papa Stour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.117 51.583)', 'GBR', 'N', 'Hornsey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.033 53.117)', 'GBR', 'N', 'Hope', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.233 53.583)', 'GBR', 'N', 'Hampole', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.3 56.033)', 'GBR', 'N', 'Hound Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.55 53.667)', 'GBR', 'N', 'Horbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.217 51.55)', 'GBR', 'N', 'Hornchurch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.233 51.533)', 'GBR', 'N', 'Harlesden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.867 55.85)', 'GBR', 'N', 'Humbie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.483 51.6)', 'GBR', 'N', 'Harefield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.317 51.583)', 'GBR', 'N', 'Harrow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.433 53.717)', 'GBR', 'N', 'Hessle/Hull', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.633 53.833)', 'GBR', 'N', 'Horsforth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.05 52.45)', 'GBR', 'N', 'Halesowen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.883 55.717)', 'GBR', 'N', 'Hunterston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.233 52.333)', 'GBR', 'N', 'Hartlebury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.083 51.067)', 'GBR', 'N', 'Hythe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.783 57.45)', 'GBR', 'N', 'Huntly', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.35 55.85)', 'GBR', 'N', 'Hillington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.417 51.467)', 'GBR', 'N', 'Hatton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.5 51.4)', 'GBR', 'N', 'Hungerford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.85 51.45)', 'GBR', 'N', 'Hurst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.183 58.917)', 'GBR', 'N', 'Houton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.35 53.567)', 'GBR', 'N', 'Humberside Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.033 60.133)', 'GBR', 'N', 'Ham Voe, Foula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.967 51.8)', 'GBR', 'N', 'Haverfordwest', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.783 55.433)', 'GBR', 'N', 'Hawick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.767 54.883)', 'GBR', 'N', 'How', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.183 53.083)', 'GBR', 'N', 'Hawthorn Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.25 53.283)', 'GBR', 'N', 'Holywell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.033 53.183)', 'GBR', 'N', 'Hawarden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.35 50.817)', 'GBR', 'N', 'Holsworthy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.95 53.817)', 'GBR', 'N', 'Haworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.1 53.317)', 'GBR', 'N', 'Heswall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.083 53.45)', 'GBR', 'N', 'Hyde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.85 53.4)', 'GBR', 'N', 'Huyton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.7 51.483)', 'GBR', 'N', 'Holyport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.417 52.05)', 'GBR', 'N', 'Haynes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.217 53.583)', 'GBR', 'N', 'Heywood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.117 53.383)', 'GBR', 'N', 'Hazel Grove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.967 52.2)', 'GBR', 'N', 'Inkberrow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.5 51.55)', 'GBR', 'N', 'Ilford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.333 53.183)', 'GBR', 'N', 'Ingoldmells', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-1.817 53.917)', 'GBR', 'N', 'Ilkley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.15 58.65)', 'GBR', 'N', 'Gills', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.233 55.683)', 'GBR', 'N', 'Islay Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.417 55.883)', 'GBR', 'N', 'Inchinnan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.683 57.033)', 'GBR', 'N', 'Inverie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.7 51.45)', 'GBR', 'N', 'Isle of Grain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.4 56.333)', 'GBR', 'N', 'Baile Mor, Iona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.417 53.433)', 'GBR', 'N', 'Irlam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.1 51.533)', 'GBR', 'N', 'Islington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.333 51.467)', 'GBR', 'N', 'Isleworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.367 57.267)', 'GBR', 'N', 'Inverurie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.867 55.9)', 'GBR', 'N', 'Inverkip', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.917 50.383)', 'GBR', 'N', 'Ivybridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.45 54.983)', 'GBR', 'N', 'Jarrow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.567 55.467)', 'GBR', 'N', 'Jedburgh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.5 55.833)', 'GBR', 'N', 'Johnstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.2 51.533)', 'GBR', 'N', 'Kilburn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.467 55.8)', 'GBR', 'N', 'Kennacraig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.25 52.383)', 'GBR', 'N', 'Kidderminster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.733 53.6)', 'GBR', 'N', 'Keadby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.917 53.883)', 'GBR', 'N', 'Keighley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.017 51.667)', 'GBR', 'N', 'Kemble', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.6 59.233)', 'GBR', 'N', 'Kettletoft, Sanday', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.283 51.467)', 'GBR', 'N', 'Kew', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.233 52.067)', 'GBR', 'N', 'Kesgrave', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.267 53.617)', 'GBR', 'N', 'Killingholme', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.183 52.483)', 'GBR', 'N', 'Kingswinford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.85 55.983)', 'GBR', 'N', 'Kilcreggan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.583 57.4)', 'GBR', 'N', 'Kishorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.9 53.483)', 'GBR', 'N', 'Kirkby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.4 55.95)', 'GBR', 'N', 'Kirkliston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.083 53.55)', 'GBR', 'N', 'Kirk Sandall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.167 55.917)', 'GBR', 'N', 'Kirkintilloch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.55 55.833)', 'GBR', 'N', 'Kilbarchan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.05 55.967)', 'GBR', 'N', 'Kilsyth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.217 51.3)', 'GBR', 'N', 'Kemsing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.533 55.633)', 'GBR', 'N', 'Kilmarnock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.583 50.55)', 'GBR', 'N', 'Kingsteignton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.883 52.417)', 'GBR', 'N', 'Kings Heath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.567 57.617)', 'GBR', 'N', 'Kinloss', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.233 53.7)', 'GBR', 'N', 'Knottingley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.417 56.2)', 'GBR', 'N', 'Kinross', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.85 53.45)', 'GBR', 'N', 'Knowsley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.283 57)', 'GBR', 'N', 'Kinloch, Rum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3 56.667)', 'GBR', 'N', 'Kirriemuir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.333 53.717)', 'GBR', 'N', 'Kingston upon Hull', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.717 55.65)', 'GBR', 'N', 'Kilwinning', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.733 57.267)', 'GBR', 'N', 'Kyleakin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.483 51.4)', 'GBR', 'N', 'Keynsham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.15 55.533)', 'GBR', 'N', 'Lamlash', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.533 51.5)', 'GBR', 'N', 'Langley', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-4.35 52.917)', 'GBR', 'N', 'Llanarmon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.8 52.1)', 'GBR', 'N', 'Lavenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.583 53.8)', 'GBR', 'N', 'Leeds', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.567 55)', 'GBR', 'N', 'Longbenton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.517 51.5)', 'GBR', 'N', 'Lambourn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.05 56.4)', 'GBR', 'N', 'Lochawe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.633 55.783)', 'GBR', 'N', 'Lochwinnoch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.367 51.467)', 'GBR', 'N', 'Leckhampstead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.483 57.4)', 'GBR', 'N', 'Lochcarron', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.2 51.45)', 'GBR', 'N', 'Leckwith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.933 53.717)', 'GBR', 'N', 'Luddenden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.967 53.517)', 'GBR', 'N', 'Lydiate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.683 51.7)', 'GBR', 'N', 'Lechlade', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.417 52.05)', 'GBR', 'N', 'Ledbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.733 52.233)', 'GBR', 'N', 'Leominster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.717 50.067)', 'GBR', 'N', 'Land''s End', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.983 51.917)', 'GBR', 'N', 'Letterston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.667 51.883)', 'GBR', 'N', 'Llangarron', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.517 53.483)', 'GBR', 'N', 'Leigh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.333 53.017)', 'GBR', 'N', 'Langley Mill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.95 56.217)', 'GBR', 'N', 'Largo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.767 56.617)', 'GBR', 'N', 'Letham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.2 58.8)', 'GBR', 'N', 'Longhope, Hoy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.45 51.467)', 'GBR', 'N', 'Heathrow Apt/London', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.067 55.933)', 'GBR', 'N', 'Loch Striven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.117 52.45)', 'GBR', 'N', 'Lye', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.467 50.45)', 'GBR', 'N', 'Liskeard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.45 56.817)', 'GBR', 'N', 'Laurencekirk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.983 51.867)', 'GBR', 'N', 'Llandeilo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.1 53.633)', 'GBR', 'N', 'Littleborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.633 53.283)', 'GBR', 'N', 'Llanddulas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.567 51.583)', 'GBR', 'N', 'Llangeinor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.4 51.783)', 'GBR', 'N', 'Llanstephan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.617 55.967)', 'GBR', 'N', 'Linlithgow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.983 53.083)', 'GBR', 'N', 'Llay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.483 56.033)', 'GBR', 'N', 'Limekilns', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.067 52.117)', 'GBR', 'N', 'Lampeter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.2 53.083)', 'GBR', 'N', 'Llanarmon-yn-Iâl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.15 55.867)', 'GBR', 'N', 'Loanhead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.783 55.65)', 'GBR', 'N', 'Lanark', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.333 53.35)', 'GBR', 'N', 'Linwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.15 55.917)', 'GBR', 'N', 'Lenzie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.417 56.033)', 'GBR', 'N', 'Lochgilphead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.8 50.867)', 'GBR', 'N', 'Lapford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.817 55.933)', 'GBR', 'N', 'Larkfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.033 54.983)', 'GBR', 'N', 'Loch Ryan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.3 55.7)', 'GBR', 'N', 'Lochranza, Isle of Arran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.283 59.867)', 'GBR', 'N', 'Sumburgh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.667 57.3)', 'GBR', 'N', 'Leslie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.717 53.8)', 'GBR', 'N', 'Laisterdyke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.7 59.2)', 'GBR', 'N', 'Loth, Sanday', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-4.533 55.75)', 'GBR', 'N', 'Lugton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.233 50.633)', 'GBR', 'N', 'Lulworth Camp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.75 50.383)', 'GBR', 'N', 'Luxulyan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.2 53.45)', 'GBR', 'N', 'Levenshulme', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.7 53.7)', 'GBR', 'N', 'Liversedge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.583 53.467)', 'GBR', 'N', 'Lowton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.017 51.45)', 'GBR', 'N', 'Lewisham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.517 51.717)', 'GBR', 'N', 'Lydney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.967 51.517)', 'GBR', 'N', 'Lyneham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.167 51.567)', 'GBR', 'N', 'Leyton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.717 51.517)', 'GBR', 'N', 'Maidenhead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.433 52.817)', 'GBR', 'N', 'Melbourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.133 51.583)', 'GBR', 'N', 'Machen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.2 53.55)', 'GBR', 'N', 'Middleton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.333 53)', 'GBR', 'N', 'Madeley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.65 51.6)', 'GBR', 'N', 'Maesteg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.167 51.383)', 'GBR', 'N', 'Merton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.383 51.75)', 'GBR', 'N', 'Merthyr Tydfil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.95 53.517)', 'GBR', 'N', 'Maghull', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.733 51.55)', 'GBR', 'N', 'Margam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.967 55.183)', 'GBR', 'N', 'Magilligan Point Ferry Terminal, Lough Foyle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.767 52.533)', 'GBR', 'N', 'Minworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.683 53.667)', 'GBR', 'N', 'Mirfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.85 53.583)', 'GBR', 'N', 'Meltham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.017 53.4)', 'GBR', 'N', 'Mellor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.983 54.667)', 'GBR', 'N', 'Mallusk/Newtownabbey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.1 53.6)', 'GBR', 'N', 'Milnrow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.95 55.75)', 'GBR', 'N', 'Millport, Great Cumbrae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.717 55.583)', 'GBR', 'N', 'Melrose', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.417 56.217)', 'GBR', 'N', 'Milnathort', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.317 55.933)', 'GBR', 'N', 'Milngavie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.2 53.417)', 'GBR', 'N', 'Maltby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.233 54.567)', 'GBR', 'N', 'Teesside', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.167 52.583)', 'GBR', 'N', 'Montgomery Trefaldwyn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.317 58.917)', 'GBR', 'N', 'Moaness, Hoy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.2 51.383)', 'GBR', 'N', 'Morden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.133 53.167)', 'GBR', 'N', 'Mold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.167 53.517)', 'GBR', 'N', 'Moston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4 55.783)', 'GBR', 'N', 'Motherwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.117 60.15)', 'GBR', 'N', 'Maryfield, Bressay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.267 53.733)', 'GBR', 'N', 'Marfleet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.967 52.95)', 'GBR', 'N', 'Morston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.317 53.483)', 'GBR', 'N', 'Manchester Ship Canal, Salford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.367 51.35)', 'GBR', 'N', 'Manston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.55 50.083)', 'GBR', 'N', 'Mousehole', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.4 52.167)', 'GBR', 'N', 'Marlesford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.833 56.15)', 'GBR', 'N', 'Menstrie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.167 51.4)', 'GBR', 'N', 'Mitcham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.233 57.417)', 'GBR', 'N', 'Methlick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.517 56.683)', 'GBR', 'N', 'Maryton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.05 55.933)', 'GBR', 'N', 'Musselburgh', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-1.583 53.733)', 'GBR', 'N', 'Morley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.7 55.333)', 'GBR', 'N', 'Maybole', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.767 51.683)', 'GBR', 'N', 'Maylandsea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.067 53.4)', 'GBR', 'N', 'Marple', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.6 50.533)', 'GBR', 'N', 'Newton Abbot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.317 51.383)', 'GBR', 'N', 'Newbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.233 53)', 'GBR', 'N', 'Newcastle-under-Lyme', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.6 54.967)', 'GBR', 'N', 'Newcastle upon Tyne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.967 52.667)', 'GBR', 'N', 'Norton Canes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.65 53.767)', 'GBR', 'N', 'North Cave', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.8 51.65)', 'GBR', 'N', 'Neath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.5 52.933)', 'GBR', 'N', 'Nefyn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.05 53.283)', 'GBR', 'N', 'Neston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4 57.717)', 'GBR', 'N', 'Nigg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.267 51.55)', 'GBR', 'N', 'Nantgarw', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.95 50.817)', 'GBR', 'N', 'North Hayling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.867 55.817)', 'GBR', 'N', 'Newhouse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.6 51)', 'GBR', 'N', 'Northiam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.367 53.7)', 'GBR', 'N', 'New Holland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.367 51.55)', 'GBR', 'N', 'Northolt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.6 53.45)', 'GBR', 'N', 'Newton-le-Willows', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.25 51.417)', 'GBR', 'N', 'New Malden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.317 55.6)', 'GBR', 'N', 'Newmilns', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.317 52.25)', 'GBR', 'N', 'Napton on the Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.183 53.5)', 'GBR', 'N', 'Newton Heath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.6 59.533)', 'GBR', 'N', 'North Haven, Fair Isle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.217 51.033)', 'GBR', 'N', 'Northam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.417 53.7)', 'GBR', 'N', 'Normanton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.283 50.7)', 'GBR', 'N', 'Newport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.2 51.333)', 'GBR', 'N', 'North Cheam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.5 53.717)', 'GBR', 'N', 'North Ferriby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.433 59.35)', 'GBR', 'N', 'North Ronaldsay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.433 59.367)', 'GBR', 'N', 'North Ronaldsay Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.75 51.433)', 'GBR', 'N', 'Nailsea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.083 52.483)', 'GBR', 'N', 'Netherton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.033 50.317)', 'GBR', 'N', 'Newton Ferrers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.817 53.067)', 'GBR', 'N', 'Newark upon Trent', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.4 55.933)', 'GBR', 'N', 'Newbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.417 51.6)', 'GBR', 'N', 'Northwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.417 51.933)', 'GBR', 'N', 'Newent', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.4 50.7)', 'GBR', 'N', 'Newtown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.717 52.083)', 'GBR', 'N', 'Newport Pagnell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.133 51.667)', 'GBR', 'N', 'Newbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.917 60.617)', 'GBR', 'N', 'Oddsta, Fetlar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.117 53.55)', 'GBR', 'N', 'Oldham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.417 58.033)', 'GBR', 'N', 'Old Dornie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4 50.733)', 'GBR', 'N', 'Okehampton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.45 55.917)', 'GBR', 'N', 'Old Kilpatrick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.967 53.833)', 'GBR', 'N', 'Oakworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.35 51.483)', 'GBR', 'N', 'Osterley Park', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.1 51.35)', 'GBR', 'N', 'Orpington', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-3.267 50.75)', 'GBR', 'N', 'Ottery Saint Mary', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.6 51.7)', 'GBR', 'N', 'Woolaston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.567 53.667)', 'GBR', 'N', 'Ossett', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.017 53.517)', 'GBR', 'N', 'Mossley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.683 53.9)', 'GBR', 'N', 'Otley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.183 57.683)', 'GBR', 'N', 'Otternish, North Uist', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.367 57.233)', 'GBR', 'N', 'Tomintoul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.083 51.467)', 'GBR', 'N', 'Pangbourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.717 50.35)', 'GBR', 'N', 'Par', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.433 55.833)', 'GBR', 'N', 'Paisley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.9 52.5)', 'GBR', 'N', 'Perry Barr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.267 52)', 'GBR', 'N', 'Pencader', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.883 55.9)', 'GBR', 'N', 'Pencaitland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.05 51.483)', 'GBR', 'N', 'Peckham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.8 53.417)', 'GBR', 'N', 'Prescot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.233 55.817)', 'GBR', 'N', 'Penicuik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.617 52.233)', 'GBR', 'N', 'Podington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.667 53.783)', 'GBR', 'N', 'Pudsey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.183 55.633)', 'GBR', 'N', 'Peebles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.417 55.983)', 'GBR', 'N', 'Port Edgar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.9 51.667)', 'GBR', 'N', 'Pembroke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.433 56.4)', 'GBR', 'N', 'Perth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.333 51.633)', 'GBR', 'N', 'Ponders End', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.817 50.6)', 'GBR', 'N', 'Port Gaverne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3 59.317)', 'GBR', 'N', 'Pierowall, Westray', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.383 51.583)', 'GBR', 'N', 'Pinner', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.75 53.6)', 'GBR', 'N', 'Pocklington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.9 52)', 'GBR', 'N', 'Polstead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.1 51.617)', 'GBR', 'N', 'Palmers Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.317 55.833)', 'GBR', 'N', 'Pollokshields', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.65 57.333)', 'GBR', 'N', 'Plockton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.5 55.367)', 'GBR', 'N', 'Patna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.383 51.517)', 'GBR', 'N', 'Pontyclun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.483 51.517)', 'GBR', 'N', 'Pencoed', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.167 51.433)', 'GBR', 'N', 'Penarth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.617 53.517)', 'GBR', 'N', 'Penistone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.333 51.6)', 'GBR', 'N', 'Pontypridd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.3 53.683)', 'GBR', 'N', 'Pontefract', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.433 56.55)', 'GBR', 'N', 'Point, Island of Lismore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.167 51.5)', 'GBR', 'N', 'Poplar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.883 59.333)', 'GBR', 'N', 'Papa Westray', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.717 51.583)', 'GBR', 'N', 'Portskewett', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.417 53.333)', 'GBR', 'N', 'Prestatyn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.717 51.467)', 'GBR', 'N', 'Portbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.317 51.533)', 'GBR', 'N', 'Perivale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.283 53.533)', 'GBR', 'N', 'Prestwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.983 50.183)', 'GBR', 'N', 'Portscatho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.067 52.117)', 'GBR', 'N', 'Pershore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.083 53.317)', 'GBR', 'N', 'Pott Shrigley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.217 51.3)', 'GBR', 'N', 'Preston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.983 53.333)', 'GBR', 'N', 'Port Sunlight', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-5.667 50.033)', 'GBR', 'N', 'Porthgwarra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.767 51.483)', 'GBR', 'N', 'Portishead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.033 51.7)', 'GBR', 'N', 'Pontypool', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.417 53.417)', 'GBR', 'N', 'Partington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.217 51.45)', 'GBR', 'N', 'Putney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.3 55.867)', 'GBR', 'N', 'Portavadie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.033 53.2)', 'GBR', 'N', 'Queensferry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.833 51.433)', 'GBR', 'N', 'Clevedon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.933 52.85)', 'GBR', 'N', 'Rednal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.867 59.267)', 'GBR', 'N', 'Rapness, Westray', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.067 57.333)', 'GBR', 'N', 'Clachan, Raasay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.3 51.433)', 'GBR', 'N', 'Richmond upon Thames', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.333 53.55)', 'GBR', 'N', 'Radcliffe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.933 52.3)', 'GBR', 'N', 'Redditch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.7 56.583)', 'GBR', 'N', 'Redford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.967 51.45)', 'GBR', 'N', 'Reading', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.15 52.883)', 'GBR', 'N', 'Ruddington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.783 58.55)', 'GBR', 'N', 'Reay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.783 51.467)', 'GBR', 'N', 'Redcliff Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.4 55.883)', 'GBR', 'N', 'Renfrew', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.15 51.517)', 'GBR', 'N', 'Regent''s Park', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.133 55.917)', 'GBR', 'N', 'Rhubodach, Isle of Bute', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.55 51.733)', 'GBR', 'N', 'Rhigos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.3 53.117)', 'GBR', 'N', 'Ruthin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.75 53.3)', 'GBR', 'N', 'Rhôs-on-Sea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.767 56.017)', 'GBR', 'N', 'Rhu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.333 51.283)', 'GBR', 'N', 'Richborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.117 52.483)', 'GBR', 'N', 'Brierley Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.317 53.633)', 'GBR', 'N', 'Ramsbottom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.2 51.583)', 'GBR', 'N', 'Romford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.15 51.317)', 'GBR', 'N', 'Ramsdell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.517 50.817)', 'GBR', 'N', 'Rustington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.567 51.917)', 'GBR', 'N', 'Ross-on-wye', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.15 53.617)', 'GBR', 'N', 'Rochdale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.217 57.517)', 'GBR', 'N', 'Rothes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.433 56.033)', 'GBR', 'N', 'Rosyth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.95 53.667)', 'GBR', 'N', 'Ripponden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.1 51.617)', 'GBR', 'N', 'Risca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.75 52.433)', 'GBR', 'N', 'Rushton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.35 53.433)', 'GBR', 'N', 'Rotherham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.117 53.567)', 'GBR', 'N', 'Royton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.217 55.817)', 'GBR', 'N', 'Rutherglen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.033 52.983)', 'GBR', 'N', 'Ruabon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.283 51.767)', 'GBR', 'N', 'Rhymney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.3 53.417)', 'GBR', 'N', 'Sale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.667 53.583)', 'GBR', 'N', 'Standish', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.6 53.483)', 'GBR', 'N', 'Stocksbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.983 58.967)', 'GBR', 'N', 'Scapa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.167 56.067)', 'GBR', 'N', 'Scalasaig, Colonsay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.5 51.817)', 'GBR', 'N', 'Saint Clears', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.817 56.517)', 'GBR', 'N', 'Scarinish, Tiree', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-6.117 57.3)', 'GBR', 'N', 'Sconser, Isle of Skye', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.65 53.583)', 'GBR', 'N', 'Scunthorpe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.117 51.417)', 'GBR', 'N', 'Sidcup', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.133 52.467)', 'GBR', 'N', 'Stourbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.267 52.317)', 'GBR', 'N', 'Stradbroke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.25 50.683)', 'GBR', 'N', 'Sidmouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.35 51.267)', 'GBR', 'N', 'Sandwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.233 53.733)', 'GBR', 'N', 'Salt End', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.017 53.467)', 'GBR', 'N', 'Seaforth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.05 51.333)', 'GBR', 'N', 'Selsdon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.15 51.033)', 'GBR', 'N', 'Semley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.317 53.45)', 'GBR', 'N', 'Stretford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.267 53.483)', 'GBR', 'N', 'Salford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.5 53.367)', 'GBR', 'N', 'Sheffield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.967 50.783)', 'GBR', 'N', 'South Hayling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.767 53.833)', 'GBR', 'N', 'Shipley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.8 56.05)', 'GBR', 'N', 'Shandon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.083 53.567)', 'GBR', 'N', 'Shaw', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.633 57.517)', 'GBR', 'N', 'Shieldaig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.733 53.45)', 'GBR', 'N', 'Saint Helens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.95 56.117)', 'GBR', 'N', 'Stirling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.333 53.15)', 'GBR', 'N', 'Skegness', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.833 53.717)', 'GBR', 'N', 'Skelton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.067 53.783)', 'GBR', 'N', 'Selby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.067 50.833)', 'GBR', 'N', 'Stockland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.8 53.75)', 'GBR', 'N', 'Shelf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.183 53.583)', 'GBR', 'N', 'Stallingborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.367 51.5)', 'GBR', 'N', 'Southall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.983 54.583)', 'GBR', 'N', 'Saltburn-by-the-Sea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.6 51.5)', 'GBR', 'N', 'Slough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.967 51.017)', 'GBR', 'N', 'Saint Marys Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2 52.5)', 'GBR', 'N', 'Smethwick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.967 58.833)', 'GBR', 'N', 'Saint Margaret''s Hope, South Ronaldsay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.467 50.117)', 'GBR', 'N', 'Saint Michael''s Mount', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.867 53.5)', 'GBR', 'N', 'Simonswood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3 53.183)', 'GBR', 'N', 'Sandycroft', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.383 60.217)', 'GBR', 'N', 'Sand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.65 60.3)', 'GBR', 'N', 'Sandness', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.3 51.5)', 'GBR', 'N', 'Stanmore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.767 51.55)', 'GBR', 'N', 'Swindon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.833 51.383)', 'GBR', 'N', 'South Norwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.3 53.583)', 'GBR', 'N', 'South Kirkby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.783 52.417)', 'GBR', 'N', 'Solihull', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.017 55.75)', 'GBR', 'N', 'Stanhope', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.4 55.983)', 'GBR', 'N', 'South Queensferry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.183 53)', 'GBR', 'N', 'Stoke on Trent', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.3 52.583)', 'GBR', 'N', 'Stanlow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.45 53.267)', 'GBR', 'N', 'Saint Asaph', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.85 53.333)', 'GBR', 'N', 'Speke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.267 52.333)', 'GBR', 'N', 'Stourport on Severn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.95 51.383)', 'GBR', 'N', 'Spencers Wood', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-2.85 59.05)', 'GBR', 'N', 'Shapinsay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.9 51.467)', 'GBR', 'N', 'Sonning', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.567 53.3)', 'GBR', 'N', 'Scampton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.933 53.9)', 'GBR', 'N', 'Silsden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.767 55.633)', 'GBR', 'N', 'Stevenston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.467 54.8)', 'GBR', 'N', 'Strabane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.6 53.767)', 'GBR', 'N', 'South Cave', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0 51.533)', 'GBR', 'N', 'Stratford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.517 52.35)', 'GBR', 'N', 'Stoneleigh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.15 53.4)', 'GBR', 'N', 'Stockport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.317 54.567)', 'GBR', 'N', 'Stockton-on-Tees', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.067 53.483)', 'GBR', 'N', 'Stalybridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.267 53.117)', 'GBR', 'N', 'Sutton in Ashfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.817 52.567)', 'GBR', 'N', 'Sutton Coldfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.3 51.383)', 'GBR', 'N', 'Surbiton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.183 51.35)', 'GBR', 'N', 'Sutton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.833 53.717)', 'GBR', 'N', 'Southowram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.483 50.817)', 'GBR', 'N', 'Silverton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.1 51.567)', 'GBR', 'N', 'Seven Kings', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.033 51.5)', 'GBR', 'N', 'Silvertown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.35 53.5)', 'GBR', 'N', 'Swinton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.083 51.5)', 'GBR', 'N', 'Southwark', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.65 53.267)', 'GBR', 'N', 'Stony Middleton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.017 51.717)', 'GBR', 'N', 'Steynton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.417 55.867)', 'GBR', 'N', 'Tarbert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.15 50.55)', 'GBR', 'N', 'Tavistock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.583 54.433)', 'GBR', 'N', 'Tebay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.567 50.45)', 'GBR', 'N', 'Torbay/Paignton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.333 51.417)', 'GBR', 'N', 'Teddington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.083 53.717)', 'GBR', 'N', 'Todmorden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.25 51.783)', 'GBR', 'N', 'Tredegar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.15 54.583)', 'GBR', 'N', 'Teesport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.333 53.467)', 'GBR', 'N', 'Trafford Park', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.75 51.183)', 'GBR', 'N', 'Tilford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.317 51.583)', 'GBR', 'N', 'Trefforest', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.217 60.467)', 'GBR', 'N', 'Toft', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.267 51.533)', 'GBR', 'N', 'Taff''s Well', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.25 51.4)', 'GBR', 'N', 'Thatcham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.1 51.4)', 'GBR', 'N', 'Thornton Heath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.9 52.633)', 'GBR', 'N', 'Tilton on the Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.45 50.683)', 'GBR', 'N', 'Topsham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.117 53.417)', 'GBR', 'N', 'Tickhill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.233 55.9)', 'GBR', 'N', 'Tighnabruaich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.783 51.433)', 'GBR', 'N', 'Tickenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.817 56.133)', 'GBR', 'N', 'Tullibody', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.95 55.933)', 'GBR', 'N', 'Tranent', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.967 53.6)', 'GBR', 'N', 'Thorne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.8 51.767)', 'GBR', 'N', 'Tolleshunt D''Arcy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.533 55.883)', 'GBR', 'N', 'Livingston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.3 54.533)', 'GBR', 'N', 'Thornaby on Tees', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.083 52.517)', 'GBR', 'N', 'Tipton', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-4.217 50.383)', 'GBR', 'N', 'Torpoint', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.017 53.367)', 'GBR', 'N', 'Tranmere', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.517 51.667)', 'GBR', 'N', 'Treherbert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.617 53.283)', 'GBR', 'N', 'Trearddur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.5 51.65)', 'GBR', 'N', 'Treorchy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.417 52.733)', 'GBR', 'N', 'Tunstead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(1.2 52.433)', 'GBR', 'N', 'Tivetshall Saint Margaret', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.333 49.95)', 'GBR', 'N', 'Tresco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.017 53.483)', 'GBR', 'N', 'Tetney Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.2 51.633)', 'GBR', 'N', 'Totteridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.633 50.417)', 'GBR', 'N', 'Totnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.067 51.6)', 'GBR', 'N', 'Tottenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.317 51.433)', 'GBR', 'N', 'Twickenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.867 51.483)', 'GBR', 'N', 'Twyford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.267 51.383)', 'GBR', 'N', 'Tolworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.25 51.883)', 'GBR', 'N', 'Tyddewi (St David''s)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.467 53.517)', 'GBR', 'N', 'Tyldesley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.433 55.017)', 'GBR', 'N', 'Tynemouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.067 55.8)', 'GBR', 'N', 'Uddingston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.917 51.183)', 'GBR', 'N', 'Upper Froyle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.267 51.933)', 'GBR', 'N', 'Upper Heyford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.367 54.517)', 'GBR', 'N', 'Urlay Nook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.167 60.5)', 'GBR', 'N', 'Ulsta, Yell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.883 60.75)', 'GBR', 'N', 'Unst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.15 53.983)', 'GBR', 'N', 'Upper Poppleton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.25 51.55)', 'GBR', 'N', 'Upminster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.567 51.5)', 'GBR', 'N', 'Upton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.817 51.283)', 'GBR', 'N', 'Upavon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.35 53.45)', 'GBR', 'N', 'Urmston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.483 51.55)', 'GBR', 'N', 'Uxbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.2 50.6)', 'GBR', 'N', 'Ventnor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.833 50.517)', 'GBR', 'N', 'Wadebridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.75 51.917)', 'GBR', 'N', 'Wakes Colne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.2 51.45)', 'GBR', 'N', 'Wandsworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.133 51.35)', 'GBR', 'N', 'Wallington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.067 53.433)', 'GBR', 'N', 'Wallasey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.217 51.433)', 'GBR', 'N', 'Wimbledon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.683 55.867)', 'GBR', 'N', 'Whitburn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.283 51.55)', 'GBR', 'N', 'Wembley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.467 53.283)', 'GBR', 'N', 'Wincham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.733 53.35)', 'GBR', 'N', 'Widnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.467 51.5)', 'GBR', 'N', 'West Drayton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.283 51.583)', 'GBR', 'N', 'Wealdstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2 52.517)', 'GBR', 'N', 'West Bromwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.017 52.55)', 'GBR', 'N', 'Wednesbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.083 52.6)', 'GBR', 'N', 'Wednesfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.383 53.917)', 'GBR', 'N', 'Wetherby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.483 53.7)', 'GBR', 'N', 'Wakefield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.067 55.067)', 'GBR', 'N', 'Waterfoot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.117 52.917)', 'GBR', 'N', 'West Bridgford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.617 53.533)', 'GBR', 'N', 'Wigan', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-4.617 51.817)', 'GBR', 'N', 'Whitland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.617 59.133)', 'GBR', 'N', 'Whitehall Village, Stronsay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.333 51.6)', 'GBR', 'N', 'Walthamstow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.917 55.767)', 'GBR', 'N', 'Wishaw', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.517 53.183)', 'GBR', 'N', 'Winsford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.367 50.883)', 'GBR', 'N', 'Willand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.1 54.567)', 'GBR', 'N', 'Wilton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.85 55.683)', 'GBR', 'N', 'West Kilbride', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.4 53.517)', 'GBR', 'N', 'Walkden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.767 53.733)', 'GBR', 'N', 'Wyke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.683 51.433)', 'GBR', 'N', 'Winkfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.95 50.85)', 'GBR', 'N', 'Winkleigh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.383 54.417)', 'GBR', 'N', 'Welbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.433 51.383)', 'GBR', 'N', 'Walton-on-Thames', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.55 54.983)', 'GBR', 'N', 'Walker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.033 52.6)', 'GBR', 'N', 'Willenhall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.2 51.467)', 'GBR', 'N', 'Woolwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.4 51.283)', 'GBR', 'N', 'West Malling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.517 54.9)', 'GBR', 'N', 'Washington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.833 52.95)', 'GBR', 'N', 'Wells-next-the-Sea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.233 51.717)', 'GBR', 'N', 'Woodchester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.933 51.367)', 'GBR', 'N', 'Worle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.117 51.6)', 'GBR', 'N', 'Wood Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.833 51.4)', 'GBR', 'N', 'Wokingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.667 51.5)', 'GBR', 'N', 'North Woolwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.383 50.817)', 'GBR', 'N', 'Worthing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.133 52.583)', 'GBR', 'N', 'Wolverhampton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.35 50.767)', 'GBR', 'N', 'Whimple', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.75 52.133)', 'GBR', 'N', 'Wellington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.333 51.617)', 'GBR', 'N', 'Woodford Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.117 50.683)', 'GBR', 'N', 'Wareham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.6 53.383)', 'GBR', 'N', 'Warrington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.55 51.45)', 'GBR', 'N', 'Wraysbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.1 53.7)', 'GBR', 'N', 'Walsden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.75 53.317)', 'GBR', 'N', 'Weston Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.617 51.467)', 'GBR', 'N', 'Windsor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.367 50.883)', 'GBR', 'N', 'Woolston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.617 54.483)', 'GBR', 'N', 'Whitby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.35 51.233)', 'GBR', 'N', 'Whitchurch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.333 51.567)', 'GBR', 'N', 'Wanstead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.517 53.55)', 'GBR', 'N', 'Westhoughton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.45 55.05)', 'GBR', 'N', 'Whitley Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.733 52.5)', 'GBR', 'N', 'Water Orton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.2 52.2)', 'GBR', 'N', 'Worcester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.533 54.983)', 'GBR', 'N', 'Wallsend', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.35 53.5)', 'GBR', 'N', 'Wath upon Dearne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.35 51.633)', 'GBR', 'N', 'Wotton-under-Edge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.767 51.483)', 'GBR', 'N', 'White Waltham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-0.867 53.483)', 'GBR', 'N', 'Westwoodside', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3 53.05)', 'GBR', 'N', 'Wrexham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.267 53.4)', 'GBR', 'N', 'Wythenshawe', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-0.083 51.317)', 'GBR', 'N', 'Whyteleafe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.967 59.133)', 'GBR', 'N', 'Wyre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.417 51.817)', 'GBR', 'N', 'Westbury on Severn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.667 53.867)', 'GBR', 'N', 'Yeadon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(0.25 51.7)', 'GBR', 'N', 'Chipping Ongar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.417 54.917)', 'GBR', 'N', 'Southwick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.167 51.767)', 'GBR', 'N', 'Blaina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.5 50.7)', 'GBR', 'N', 'Yarmouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.817 52.467)', 'GBR', 'N', 'Yardley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.817 51.383)', 'GBR', 'N', 'Yatton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-1.117 52.383)', 'GBR', 'N', 'Yelvertoft', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.083 52.55)', 'GBR', 'N', 'Coseley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.333 56.583)', 'GBR', 'N', 'Blairgowrie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(41.017 43)', 'GEO', 'N', 'Sokhumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-54.033 5.5)', 'GUF', 'N', 'Saint Laurent du Maroni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.583 49.433)', 'GGY', 'N', 'Guernsey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.55 49.45)', 'GGY', 'N', 'Saint Peter Port', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-37.633 65.6)', 'GRL', 'N', 'Tasiilaq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-52.65 70.733)', 'GRL', 'N', 'Qaarsut', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-45.55 60.45)', 'GRL', 'N', 'Alluitsup Paa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-53.467 68.3)', 'GRL', 'N', 'Kangaatsiaq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-14.767 13.533)', 'GMB', 'N', 'MacCarthy Island (Jangjangbureh)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-15.317 13.7)', 'GMB', 'N', 'Kau-ur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-14.3 10.933)', 'GIN', 'N', 'Boké', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.717 16)', 'GLP', 'N', 'Basse-Terre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.033 16.317)', 'GLP', 'N', 'La Désirade', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.267 15.933)', 'GLP', 'N', 'Marie-Galante', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.083 18.067)', 'GLP', 'N', 'Marigot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.017 1.7)', 'GNQ', 'N', 'Mongomeyen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.733 38.083)', 'GRC', 'N', 'Akharnaí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.817 38.883)', 'GRC', 'N', 'Achladi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.6 38.3)', 'GRC', 'N', 'Agia Efimia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.883 38.833)', 'GRC', 'N', 'Agios Georgios', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.35 37.717)', 'GRC', 'N', 'Agistri Aiginas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.583 38.9)', 'GRC', 'N', 'Agia Marina Fthiotidas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.417 38.633)', 'GRC', 'N', 'Agrinion', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.117 37.917)', 'GRC', 'N', 'Agio Theodoroi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.783 40.717)', 'GRC', 'N', 'Ankhíalos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.867 39.15)', 'GRC', 'N', 'Alónnisos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.9 36.833)', 'GRC', 'N', 'Amorgós (Katapola)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.767 36.35)', 'GRC', 'N', 'Anáfi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.933 37.833)', 'GRC', 'N', 'Andros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.717 38.033)', 'GRC', 'N', 'Anargyroi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.7 39.083)', 'GRC', 'N', 'Agnontas Skopelos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.083 37.033)', 'GRC', 'N', 'Antiparos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.767 38.333)', 'GRC', 'N', 'Andírrion', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.883 38.217)', 'GRC', 'N', 'Kapandrition', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.983 36.333)', 'GRC', 'N', 'Agía Pelagía', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.733 37.383)', 'GRC', 'N', 'Arkioi Dodekanissou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23 38.65)', 'GRC', 'N', 'Atalándi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.733 37.983)', 'GRC', 'N', 'Athínai', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(22.633 38.383)', 'GRC', 'N', 'Antikyra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.883 35.167)', 'GRC', 'N', 'Altsi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.583 38.467)', 'GRC', 'N', 'Chalkida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.133 35.2)', 'GRC', 'N', 'Khóra Sfakíon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.217 40.217)', 'GRC', 'N', 'Dáfni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.217 35.75)', 'GRC', 'N', 'Diafánion', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.267 37.4)', 'GRC', 'N', 'Delos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.617 37.95)', 'GRC', 'N', 'Drapetzona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.033 38.867)', 'GRC', 'N', 'Edipsos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.533 38.033)', 'GRC', 'N', 'Eleusina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.583 40.483)', 'GRC', 'N', 'Eginion', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.317 40.85)', 'GRC', 'N', 'Eleftheres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.117 34.85)', 'GRC', 'N', 'Gavdos Chanea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(224.917 38.233)', 'GRC', 'N', 'Aegio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.067 38.183)', 'GRC', 'N', 'Agia Marina Grammatikou Attikis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.667 37.95)', 'GRC', 'N', 'Agios Ioannis Rentis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.433 40.083)', 'GRC', 'N', 'Grevená', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.6 36.217)', 'GRC', 'N', 'Halki Dodekanison', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.167 35.333)', 'GRC', 'N', 'Heraklion (Iraklion)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.467 36.867)', 'GRC', 'N', 'Herakleia Kykladon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.467 37.35)', 'GRC', 'N', 'Hydra (Idhra)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.217 38.517)', 'GRC', 'N', 'Inousses', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.85 39.667)', 'GRC', 'N', 'Ioánnina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.417 38.433)', 'GRC', 'N', 'Itea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.717 38.367)', 'GRC', 'N', 'Ithaki (Ithaca)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23 37.917)', 'GRC', 'N', 'Isthmía', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.167 37.583)', 'GRC', 'N', 'Ikaría', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.133 38.367)', 'GRC', 'N', 'Chíos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.433 36.417)', 'GRC', 'N', 'Thíra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.017 37.517)', 'GRC', 'N', 'Karkinagri Ikarias', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.917 38.617)', 'GRC', 'N', 'Kalamos Island (Lefkada)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.317 37.65)', 'GRC', 'N', 'Kéa (Tzia)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.5 40.267)', 'GRC', 'N', 'Kateríni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.167 37.3)', 'GRC', 'N', 'Kosta Ermionidas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.133 37.933)', 'GRC', 'N', 'Killíni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.55 38.583)', 'GRC', 'N', 'Politiká', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.633 35.517)', 'GRC', 'N', 'Kastelli Kissamou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.983 36.15)', 'GRC', 'N', 'Kythira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.533 40.433)', 'GRC', 'N', 'Lákkoma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.35 39.9)', 'GRC', 'N', 'Kakavia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.7 37.95)', 'GRC', 'N', 'Kallithéa/Athínai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.067 36.117)', 'GRC', 'N', 'Kalathos Rodou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.65 39.133)', 'GRC', 'N', 'Klima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.8 34.933)', 'GRC', 'N', 'Kalilimenes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.017 37.917)', 'GRC', 'N', 'Kalamaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.6 36.933)', 'GRC', 'N', 'Koufonissia Kykladon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.15 36.783)', 'GRC', 'N', 'Kardamaina Kos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.917 38.567)', 'GRC', 'N', 'Kastos Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.917 35.417)', 'GRC', 'N', 'Kassos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.267 40.517)', 'GRC', 'N', 'Kastoriá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.4 40.933)', 'GRC', 'N', 'Kavála', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(23.517 38.8)', 'GRC', 'N', 'Kimási', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.4 37.383)', 'GRC', 'N', 'Kythnos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.783 40.3)', 'GRC', 'N', 'Kozáni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.067 37.717)', 'GRC', 'N', 'Laurium (Lavrion)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.083 36.1)', 'GRC', 'N', 'Lindos Rodou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.233 40.617)', 'GRC', 'N', 'Lagkadás', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.533 38.85)', 'GRC', 'N', 'Linaria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.317 38.767)', 'GRC', 'N', 'Limni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.05 35.35)', 'GRC', 'N', 'Linoperamata Hrakliou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.767 37.283)', 'GRC', 'N', 'Lipsoí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.417 39.633)', 'GRC', 'N', 'Lárisa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.8 37.183)', 'GRC', 'N', 'Leros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.283 38.567)', 'GRC', 'N', 'Larymna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.05 38.4)', 'GRC', 'N', 'Aliverio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.267 39.867)', 'GRC', 'N', 'Moúdhros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.117 39.033)', 'GRC', 'N', 'Menidi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.717 36.817)', 'GRC', 'N', 'Methoni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.75 38.667)', 'GRC', 'N', 'Meganísi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.35 37.983)', 'GRC', 'N', 'Mégara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.933 38.283)', 'GRC', 'N', 'Mesta Hiou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.433 36.75)', 'GRC', 'N', 'Milos (Adamas)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.583 37.083)', 'GRC', 'N', 'Moutsoúna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.317 38.05)', 'GRC', 'N', 'Marmari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.317 38.05)', 'GRC', 'N', 'Marmárion', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.233 38.65)', 'GRC', 'N', 'Malessina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.067 38.383)', 'GRC', 'N', 'Mylaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.8 37.567)', 'GRC', 'N', 'Náfplion', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.15 35.333)', 'GRC', 'N', 'Néa Alikarnassós', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.717 38.7)', 'GRC', 'N', 'Nidhríon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.133 36.617)', 'GRC', 'N', 'Nisiros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.383 36.467)', 'GRC', 'N', 'Oia Kyklades', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.083 38.95)', 'GRC', 'N', 'Orei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.567 38.533)', 'GRC', 'N', 'Psará', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.517 39.467)', 'GRC', 'N', 'Paramythía', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.533 37.967)', 'GRC', 'N', 'Paloúkia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.183 39.2)', 'GRC', 'N', 'Paxi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.15 37.633)', 'GRC', 'N', 'Palaiá Epídavros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.55 37.967)', 'GRC', 'N', 'Perama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.617 37.933)', 'GRC', 'N', 'Piraeus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.833 36.683)', 'GRC', 'N', 'Pitra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.183 39.333)', 'GRC', 'N', 'Petra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.9 40.5)', 'GRC', 'N', 'Perea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.133 36.933)', 'GRC', 'N', 'Phserimos Dodekanisou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.133 35.2)', 'GRC', 'N', 'Paleohora Sfakion', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.85 40.733)', 'GRC', 'N', 'Pendálofos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.517 40.483)', 'GRC', 'N', 'Samothráki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.5 37.15)', 'GRC', 'N', 'Sériphos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.95 40.633)', 'GRC', 'N', 'Thessaloníki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.567 38.9)', 'GRC', 'N', 'Skíros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.533 38.383)', 'GRC', 'N', 'Assos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.15 37.267)', 'GRC', 'N', 'Spétsai', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(22.617 38.917)', 'GRC', 'N', 'Stylída (Stylis)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24 37.967)', 'GRC', 'N', 'Artemis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.367 36.417)', 'GRC', 'N', 'Tilos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.35 36.433)', 'GRC', 'N', 'Thirasía', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.983 37.75)', 'GRC', 'N', 'Port Vathý (Vathý)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.45 40.283)', 'GRC', 'N', 'Yerakiní', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-91.867 14.7)', 'GTM', 'N', 'Coatepeque', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-89.15 17.067)', 'GTM', 'N', 'Melchor de Mencos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-89.417 16.333)', 'GTM', 'N', 'Poptún', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-88.617 15.7)', 'GTM', 'N', 'Puerto Santo Tomás de Castilla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-89.633 17.4)', 'GTM', 'N', 'Uaxactún', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-15.833 11.283)', 'GNB', 'N', 'Bubaque', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-84.333 15.483)', 'HND', 'N', 'Auas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-86.55 16.3)', 'HND', 'N', 'Roatán', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-89.15 14.833)', 'HND', 'N', 'Copán', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-88.783 14.767)', 'HND', 'N', 'Santa Rosa de Copán', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.2 19.75)', 'HTI', 'N', 'Cap-Haïtien', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.167 46.717)', 'HUN', 'N', 'Sármellék', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(116.833 -1.283)', 'IDN', 'N', 'Balikpapan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(115.983 -3.45)', 'IDN', 'N', 'Batulicin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(108.567 -6.733)', 'IDN', 'N', 'Cirebon (Tjeribon)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(109 -7.733)', 'IDN', 'N', 'Cilacap (Tjilatjap)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.7 -2.533)', 'IDN', 'N', 'Jayapura, Irian Jaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(115.217 -8.65)', 'IDN', 'N', 'Denpasar, Bali', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.367 -7.8)', 'IDN', 'N', 'Yogyakarta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.483 -0.617)', 'IDN', 'N', 'Labuha, Molucas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(97.133 5.167)', 'IDN', 'N', 'Lhokseumawe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.683 4)', 'IDN', 'N', 'Melonguanne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(103.55 1.117)', 'IDN', 'N', 'Nipah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(100.35 -0.95)', 'IDN', 'N', 'Padang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.583 -4.033)', 'IDN', 'N', 'Pomalaa, Sulawesi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(110.483 -6.967)', 'IDN', 'N', 'Semarang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(112.75 -7.233)', 'IDN', 'N', 'Surabaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(117.15 -0.95)', 'IDN', 'N', 'Senipah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(107.65 -2.75)', 'IDN', 'N', 'Tanjung Pandan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.733 52.467)', 'IRL', 'N', 'Ballyboro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.133 53.4)', 'IRL', 'N', 'Baldoyle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-9.983 54.217)', 'IRL', 'N', 'Belmullet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.917 52.367)', 'IRL', 'N', 'Cahir (An Chathair)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.217 52.8)', 'IRL', 'N', 'Castlecomer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.167 53.283)', 'IRL', 'N', 'Deans Grange', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.183 53.317)', 'IRL', 'N', 'Dublin-Ferryport Terminal 1', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.2 53.317)', 'IRL', 'N', 'Dublin-Ferryport Terminal 2', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.233 53.317)', 'IRL', 'N', 'Dublin-Ferryport Terminal 3', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.233 53.317)', 'IRL', 'N', 'Dublin-Dublin Ferryport Terminals', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.083 52.583)', 'IRL', 'N', 'Dungarvan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.333 53.717)', 'IRL', 'N', 'Drogheda Maxol Facility', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.183 53.333)', 'IRL', 'N', 'ESB Poolbeg-Dublin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.35 53.717)', 'IRL', 'N', 'Flogas Products Drogheda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-8.433 51.883)', 'IRL', 'N', 'Ford''s Wharf (Topaz Energy Terminal)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.95 52.383)', 'IRL', 'N', 'Marshmeadows/New Ross', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-8.267 52.25)', 'IRL', 'N', 'Mitchelstown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.233 53.333)', 'IRL', 'N', 'Dublin-Marine Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.667 53.2)', 'IRL', 'N', 'Naas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.95 52.383)', 'IRL', 'N', 'New Ross-Raheen/Roberscon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.933 52.383)', 'IRL', 'N', 'New Ross', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-8.317 51.833)', 'IRL', 'N', 'Ringaskiddy Deepwater Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-8.317 51.833)', 'IRL', 'N', 'Ringaskiddy Passenger Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-8.317 51.85)', 'IRL', 'N', 'Rushbrooke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-8.85 52.7)', 'IRL', 'N', 'Shannon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.983 52.35)', 'IRL', 'N', 'Stokestown/New Ross', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.333 53.717)', 'IRL', 'N', 'Town Quays/Drogheda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.3 53.717)', 'IRL', 'N', 'Tom Roes Point Terminal/Drogheda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.483 53.267)', 'IRL', 'N', 'Tullamore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.1 52.25)', 'IRL', 'N', 'Waterford City Quays', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.983 52.267)', 'IRL', 'N', 'Waterford Great Island (ESB)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.65 31.817)', 'ISR', 'N', 'Ashdod Bonded Air', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.65 31.817)', 'ISR', 'N', 'Ashdod Bonded', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.65 31.817)', 'ISR', 'N', 'Ashdod Conterm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(35.933 32.817)', 'ISR', 'N', 'Beit Shean Jordan Cargo Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.65 31.817)', 'ISR', 'N', 'Ashdod Meshakef', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.983 32.8)', 'ISR', 'N', 'Haifa Meshakef', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.8 30.6)', 'ISR', 'N', 'Mitspeh Ramon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(35.917 32.817)', 'ISR', 'N', 'Beit Shean Jordan Meshakef', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.65 31.817)', 'ISR', 'N', 'Ashdod Millennium', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.75 32.05)', 'ISR', 'N', 'Maman/Lod', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.983 32.8)', 'ISR', 'N', 'Haifa Israel Shipyards Port', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.65 31.817)', 'ISR', 'N', 'Ashdod Terminal 207', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.883 31.95)', 'ISR', 'N', 'Lod Overseas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(35.1 32.8)', 'ISR', 'N', 'Qiryat Ata Milenium Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.65 31.817)', 'ISR', 'N', 'Ashdod Overseas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.983 32.8)', 'ISR', 'N', 'Haifa Overseas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.65 31.817)', 'ISR', 'N', 'Ashdod Overseas 2', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.65 31.817)', 'ISR', 'N', 'Ashdod Overseas Hayovel Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.883 31.95)', 'ISR', 'N', 'Swissport Cargo ICD/Lod', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.75 32.05)', 'ISR', 'N', 'Tel Aviv-Yafo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(35.567 32.483)', 'ISR', 'N', 'Arava Terminal Zin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-4.5 54.25)', 'IMN', 'N', 'Ronaldsway Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(72.967 19.2)', 'IND', 'N', 'SPPL SEZ/Thane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.317 9.483)', 'IND', 'N', 'Alleppey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(72.617 23.033)', 'IND', 'N', 'Ahmedabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.333 18.75)', 'IND', 'N', 'IT-ITES-C-SEZ/Ulwe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(72.833 19.067)', 'IND', 'N', 'Precious Cargo Customs Clearance Centre/Bandra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.2 22.3)', 'IND', 'N', 'Vadodara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(90.633 25.2)', 'IND', 'N', 'Baghamara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(72.617 23.033)', 'IND', 'N', 'Jubilant-Chemical-SEZ/Vilayat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(77.4 23.267)', 'IND', 'N', 'Bhopal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(72.133 21.767)', 'IND', 'N', 'Bhavnagar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(77.583 12.983)', 'IND', 'N', 'Bangalore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(88.367 22.567)', 'IND', 'N', 'Kolkata IT Park/Bantala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(88.367 22.567)', 'IND', 'N', 'Wipro SEZ/Kolkata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(72.817 18.967)', 'IND', 'N', 'Mumbai (ex Bombay)', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(73.167 26.267)', 'IND', 'N', 'Boranada, Jodhpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.367 22.3)', 'IND', 'N', 'SE&C-LTD-SEZ/Waghodia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.767 21.05)', 'IND', 'N', 'Bhusawal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(77.317 28.35)', 'IND', 'N', 'Concor-ICD/Ballabhgarh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(77.333 11.25)', 'IND', 'N', 'CHIPL SEZ/Coimbatore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.967 11)', 'IND', 'N', 'SE&C LTD-SEZ/Coimbatore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.967 11)', 'IND', 'N', 'TDPL SEZ/Coimbatore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.767 11.25)', 'IND', 'N', 'Kozhikode (ex Calicut)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(88.35 22.567)', 'IND', 'N', 'Kolkata (ex Calcutta)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.783 30.733)', 'IND', 'N', 'DCA-II SEZ/Chandigarh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.783 30.733)', 'IND', 'N', 'DCA-I SEZ/Chandigarh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.967 11)', 'IND', 'N', 'ECTN SEZ/Coimbatore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.717 12.833)', 'IND', 'N', 'FIPL SEZ/Kancheepuram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.717 12.833)', 'IND', 'N', 'ETA SEZ/Kancheepuram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.717 12.833)', 'IND', 'N', 'AEIP SEZ/Kancheepuram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.717 12.817)', 'IND', 'N', 'NCTL(ENGG) SEZ/Kancheepuram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.717 12.833)', 'IND', 'N', 'DLFC SEZ/Kancheepuram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.717 12.833)', 'IND', 'N', 'ECTN SEZ/Kancheepuram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.933 12.967)', 'IND', 'N', 'JGHIPL SEZ/Sriperumbudur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.717 12.833)', 'IND', 'N', 'IG3I SEZ/Kancheepuram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(77.483 10.5)', 'IND', 'N', 'JMFTZ-SEZ/Mannur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.717 12.833)', 'IND', 'N', 'VTPL SEZ/Kancheepuram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.717 12.833)', 'IND', 'N', 'NCTL SEZ/Kancheepuram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.233 9.967)', 'IND', 'N', 'Cochin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.183 30.833)', 'IND', 'N', 'Chawapayal ICD/Samrala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(88.917 26.417)', 'IND', 'N', 'Changrabandha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.717 12.833)', 'IND', 'N', 'SIPL SEZ/Kancheepuram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.967 11)', 'IND', 'N', 'SVPL SEZ/Coimbatore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.267 18.033)', 'IND', 'N', 'Santa-SEZ/Muppireddipally', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(72.967 18.25)', 'IND', 'N', 'Dighi (Pune)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.233 19.933)', 'IND', 'N', 'Daulatabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.8 30.517)', 'IND', 'N', 'Dappar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(70.133 23.083)', 'IND', 'N', 'OPGS SEZ/Gandhidham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.933 28.45)', 'IND', 'N', 'Garhi Harsaru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(70.133 23.083)', 'IND', 'N', 'Gandhidham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(83.35 26.75)', 'IND', 'N', 'Gorakhpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.717 17.083)', 'IND', 'N', 'ITL SEZ/Ranga Reddy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.167 26.217)', 'IND', 'N', 'Gwalior', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.083 13)', 'IND', 'N', 'Hassan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.083 13)', 'IND', 'N', 'OPTO INFRA SEZ/Hassan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.233 12.533)', 'IND', 'N', 'ECTN SEZ/Krishnagiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.233 12.533)', 'IND', 'N', 'SIPC SEZ/Krishnagiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.833 22.717)', 'IND', 'N', 'Indore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.833 22.717)', 'IND', 'N', 'IIPL SEZ/Indore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.833 22.717)', 'IND', 'N', 'INFOSYS SEZ/Indore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.833 22.717)', 'IND', 'N', 'TCS SEZ/Indore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.8 19.983)', 'IND', 'N', 'Nasik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.783 30.733)', 'IND', 'N', 'Chandigarh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(74.85 32.7)', 'IND', 'N', 'Jammu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.117 9.933)', 'IND', 'N', 'Madurai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(85.333 23.35)', 'IND', 'N', 'Ranchi', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(86.183 22.8)', 'IND', 'N', 'Jamshedpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(70.217 23.033)', 'IND', 'N', 'Kandla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.817 26.917)', 'IND', 'N', 'Jaipur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(71.367 20.85)', 'IND', 'N', 'Jafarabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.033 26.25)', 'IND', 'N', 'Jodhpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.683 25.283)', 'IND', 'N', 'Jaipur-Sitapura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.083 10.95)', 'IND', 'N', 'Karur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(74.217 16.7)', 'IND', 'N', 'Kolhåpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.1 19.033)', 'IND', 'N', 'IT-ITES-SEZ/Kalamboli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.1 21.15)', 'IND', 'N', 'MADCL SEZ/Nagpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.683 11.45)', 'IND', 'N', 'Kollam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.717 17.083)', 'IND', 'N', 'DSIL SEZ/Ranga Reddy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(80.283 13.083)', 'IND', 'N', 'Chennai (ex Madras)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(77.7 8.733)', 'IND', 'N', 'ECTNL SEZ/Gangaikondan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.533 11.7)', 'IND', 'N', 'Mahe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(74.883 12.867)', 'IND', 'N', 'Mangalore SEZ', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(80.283 13.083)', 'IND', 'N', 'TIPL SEZ/Chennai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.117 9.933)', 'IND', 'N', 'ECTN SEZ/Madurai-II', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(70.667 20.75)', 'IND', 'N', 'Mul Dwårka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.117 9.933)', 'IND', 'N', 'RTPL SEZ/Madurai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(69.367 22.833)', 'IND', 'N', 'Måndvi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.717 17.833)', 'IND', 'N', 'APIIC-SEZ/Lalgadi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.117 9.933)', 'IND', 'N', 'ECTN SEZ/Madurai-I', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.783 28.833)', 'IND', 'N', 'Moradabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.333 26.417)', 'IND', 'N', 'Malanpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.95 15.3)', 'IND', 'N', 'Madgaon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(74.633 16.833)', 'IND', 'N', 'Miraj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.783 15.4)', 'IND', 'N', 'Marmagao (Marmugao)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(72.967 19.2)', 'IND', 'N', 'SCPL SEZ/Mulund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.533 15.25)', 'IND', 'N', 'Mulgund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.533 8.933)', 'IND', 'N', 'Nindakara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.1 21.15)', 'IND', 'N', 'Butibori ICD/Nagpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(77.283 28.75)', 'IND', 'N', 'Loni-1 LCD/Chaziabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.817 10.783)', 'IND', 'N', 'Nagappattinam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(71.55 20.967)', 'IND', 'N', 'Pipavav (Victor) Port', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.867 18.533)', 'IND', 'N', 'EKIPL SEZ/Pune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.867 18.533)', 'IND', 'N', 'ITL SEZ/Pune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.867 18.533)', 'IND', 'N', 'MTDCCL SEZ/Pune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.867 18.533)', 'IND', 'N', 'BTSL SEZ/Pune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.1 18.983)', 'IND', 'N', 'SVRL SEZ/Raigad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.817 11.917)', 'IND', 'N', 'Pondicherry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(86.617 20.317)', 'IND', 'N', 'Paradip Garh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.867 18.533)', 'IND', 'N', 'SIPL SEZ/Pune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(70.783 22.283)', 'IND', 'N', 'Rajkot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.617 28.183)', 'IND', 'N', 'Rewari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(81 21.167)', 'IND', 'N', 'LSPL SEZ/Rajnandgaon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(81.633 21.233)', 'IND', 'N', 'Raipur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(69.833 22.433)', 'IND', 'N', 'Sika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(77 11)', 'IND', 'N', 'Singanallur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.983 30.85)', 'IND', 'N', 'Kanech ICD/Sahnewal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(72.833 21.167)', 'IND', 'N', 'Surat', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(78.167 11.65)', 'IND', 'N', 'ECTN SEZ/Salem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(74.35 14.517)', 'IND', 'N', 'Tadri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.983 13.433)', 'IND', 'N', 'Sri City Pvt Ltd-SEZ/Satyavedu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(80.283 13.083)', 'IND', 'N', 'CTSI SEZ/Siruseri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.717 12.833)', 'IND', 'N', 'HIRL SEZ/Kancheepuram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.717 12.833)', 'IND', 'N', 'SPIPL SEZ/Perungalathur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(80.283 13.083)', 'IND', 'N', 'HTL SEZ/Siruseri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(80.283 13.083)', 'IND', 'N', 'TCSL SEZ/Siruseri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(77.7 8.733)', 'IND', 'N', 'VVM SEZ/Tirunelveli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(77.267 28.5)', 'IND', 'N', 'Tughlakabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.917 13.15)', 'IND', 'N', 'LTSL SEZ/Tiruvallur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.25 16.5)', 'IND', 'N', 'CMTL ICD/Thimmapur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.133 8.783)', 'IND', 'N', 'SSL SEZ/Tuticorin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.683 10.817)', 'IND', 'N', 'ECTN SEZ/Tiruchirapalli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.917 8.483)', 'IND', 'N', 'Thiruvananthapuram (ex Trivandrum)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(77.35 11.083)', 'IND', 'N', 'Tiruppur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.133 8.783)', 'IND', 'N', 'Tuticorin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(74.75 13.35)', 'IND', 'N', 'Synefra-SEZ/Udupi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.717 17.833)', 'IND', 'N', 'FAB City SPV-SEZ/Srinagar&Raviryal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(78.717 17.833)', 'IND', 'N', 'GMR Hyderabad Aviation-SEZ/Mamidipally', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(72.817 18.967)', 'IND', 'N', 'HNB SEZ/Mumbai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(72.833 21.85)', 'IND', 'N', 'Dishman-Pharmaceutical-SEZ/Kalyangadh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(72.617 23.033)', 'IND', 'N', 'NG Realty-SEZ/Bavla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.133 12.933)', 'IND', 'N', 'SIPC SEZ/Vellore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(83 25.333)', 'IND', 'N', 'Varanasi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(72.9 20.367)', 'IND', 'N', 'Vapi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(83.3 17.7)', 'IND', 'N', 'Visakhapatnam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(44.383 33.333)', 'IRQ', 'N', 'Baghdåd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(42.583 36.167)', 'IRQ', 'N', 'Mosul (Ak Mawsil)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(54.883 26.55)', 'IRN', 'N', 'Bandar-e Lengeh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(57.317 37.483)', 'IRN', 'N', 'Bojnurd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(56.267 27.183)', 'IRN', 'N', 'Bandar Abbas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(50.833 28.967)', 'IRN', 'N', 'Bushehr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(51.15 35.4)', 'IRN', 'N', 'Imam Khomeini International Apt/Tehran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(54 26.533)', 'IRN', 'N', 'Kish Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(45.1 37.55)', 'IRN', 'N', 'Urmieh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(51 35.817)', 'IRN', 'N', 'Karaj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(50.883 34.633)', 'IRN', 'N', 'Qum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-18.367 65.933)', 'ISL', 'N', 'Arskogssandur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-14.8 66.033)', 'ISL', 'N', 'Bakkafjördur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-23.25 66.133)', 'ISL', 'N', 'Bolungarvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-21.767 65.117)', 'ISL', 'N', 'Budardalur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-14.283 64.65)', 'ISL', 'N', 'Djúpivogur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-12.933 64.083)', 'ISL', 'N', 'Gardabaer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-18.183 65.95)', 'ISL', 'N', 'Grenivík', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-22.433 63.833)', 'ISL', 'N', 'Grindavík', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-15.217 64.25)', 'ISL', 'N', 'Höfn, Hornafjørdur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-22.683 63.917)', 'ISL', 'N', 'Hafnir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-19.433 65.9)', 'ISL', 'N', 'Hofsós', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-21.683 65.717)', 'ISL', 'N', 'Hólmavík', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-21.917 64.1)', 'ISL', 'N', 'Kópavogur', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-23.717 64.883)', 'ISL', 'N', 'Olafsvík', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-21.433 65.45)', 'ISL', 'N', 'Ospakseyri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-15.95 66.45)', 'ISL', 'N', 'Raufarhöfn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-22.2 65.45)', 'ISL', 'N', 'Reykhólar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-20.317 65.833)', 'ISL', 'N', 'Skagaströnd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-22.383 63.983)', 'ISL', 'N', 'Vogar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-14.833 65.75)', 'ISL', 'N', 'Vopnafjördur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.15 43.95)', 'ITA', 'N', 'Andora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.683 39.983)', 'ITA', 'N', 'Santa Maria Navarrese', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.333 45.733)', 'ITA', 'N', 'Aosta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.85 43.817)', 'ITA', 'N', 'Arma di Taggia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.667 43.767)', 'ITA', 'N', 'Bordighera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.917 42.35)', 'ITA', 'N', 'Giglio Porto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.9 40.75)', 'ITA', 'N', 'Lacco Ameno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.883 40.417)', 'ITA', 'N', 'Marina di Ginosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.517 40.033)', 'ITA', 'N', 'Montegiordano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.333 40.6)', 'ITA', 'N', 'Marina della Lobra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.567 38.433)', 'ITA', 'N', 'Marina di Monasterace', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.783 37.583)', 'ITA', 'N', 'Marinella di Selinunte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.583 38.05)', 'ITA', 'N', 'Bonagia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.683 40.217)', 'ITA', 'N', 'Policoro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9 39.05)', 'ITA', 'N', 'Porto Foxi (Sarroch)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.217 38.233)', 'ITA', 'N', 'Portigliola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.067 42.567)', 'ITA', 'N', 'Pianosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.333 44.8)', 'ITA', 'N', 'Parma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.133 36.683)', 'ITA', 'N', 'Portopalo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.583 38.9)', 'ITA', 'N', 'Catanzaro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.233 38.2)', 'ITA', 'N', 'Sferracavallo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.333 40.267)', 'ITA', 'N', 'Santa Foca di Melendugno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.867 38.567)', 'ITA', 'N', 'Santa Marina Salina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.7 37.95)', 'ITA', 'N', 'Saline, Reggio Calabria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.883 43.833)', 'ITA', 'N', 'Santo Stefano al Mare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.633 38.25)', 'ITA', 'N', 'Torre Faro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.65 39.933)', 'ITA', 'N', 'Tortolì', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.217 40.933)', 'ITA', 'N', 'Stintino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.267 45.817)', 'ITA', 'N', 'Torviscosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.967 36.767)', 'ITA', 'N', 'Scauri Alto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.7 41.25)', 'ITA', 'N', 'Scauri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.183 49.2)', 'JEY', 'N', 'States Apt, Jersey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.1 49.183)', 'JEY', 'N', 'Saint Hélier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(35.733 30.2)', 'JOR', 'N', 'Ma''an', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.55 35.3)', 'JPN', 'N', 'Kamakura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.667 35.033)', 'JPN', 'N', 'Asahi, Mie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(132.533 34.333)', 'JPN', 'N', 'Aki-gun/Hiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.633 31.733)', 'JPN', 'N', 'Aira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.033 35.867)', 'JPN', 'N', 'Abiko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.417 34.717)', 'JPN', 'N', 'AmagasakiNishinomiyaAshiya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.8 35.167)', 'JPN', 'N', 'Ama, Aichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.783 32.883)', 'JPN', 'N', 'Koshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.45 36.333)', 'JPN', 'N', 'Ashikaga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(134.85 35.333)', 'JPN', 'N', 'Asago', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(135.317 34.733)', 'JPN', 'N', 'Ashiya, Hyogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(133.583 34.517)', 'JPN', 'N', 'Asakuchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(134.917 34.433)', 'JPN', 'N', 'Awaji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.583 35.283)', 'JPN', 'N', 'Zushi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(138.133 36.367)', 'JPN', 'N', 'Aoki, Nagano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.55 35.65)', 'JPN', 'N', 'Chofu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.983 36.3)', 'JPN', 'N', 'Chikusei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(141.65 42.817)', 'JPN', 'N', 'Chitose', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.767 35.667)', 'JPN', 'N', 'Chuo-ku/Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.733 42.9)', 'JPN', 'N', 'Kutchan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.233 36.383)', 'JPN', 'N', 'Kasama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.483 39.45)', 'JPN', 'N', 'Daisen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.167 35.9)', 'JPN', 'N', 'Echizen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.483 35.667)', 'JPN', 'N', 'Fuchu-shi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.117 35.3)', 'JPN', 'N', 'Fukuchiyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(138.233 34.883)', 'JPN', 'N', 'Fujieda, Shizuoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.8 33.35)', 'JPN', 'N', 'Fukushima, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.417 37.217)', 'JPN', 'N', 'Fukushima Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.25 41.467)', 'JPN', 'N', 'Fukushima, Hokkaido', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(131.217 31.467)', 'JPN', 'N', 'Fukushima, Miyazaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.633 27.367)', 'JPN', 'N', 'Furusato, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.6 34.567)', 'JPN', 'N', 'Fujiidera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.5 33.5)', 'JPN', 'N', 'Fukuoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.267 38.367)', 'JPN', 'N', 'Sagae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.95 35.733)', 'JPN', 'N', 'Gujo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.1 36.7)', 'JPN', 'N', 'Kawaba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.567 36.517)', 'JPN', 'N', 'Hakusan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(132.333 34.35)', 'JPN', 'N', 'Hatsukaichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.6 34.55)', 'JPN', 'N', 'Habikino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(141.75 43.2)', 'JPN', 'N', 'Iwamizawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(134.817 35.383)', 'JPN', 'N', 'Yabu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(134.367 34.25)', 'JPN', 'N', 'Higashikagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.467 35.75)', 'JPN', 'N', 'Higashimurayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(132.733 34.417)', 'JPN', 'N', 'Higashihiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.967 34.983)', 'JPN', 'N', 'Higashiura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.35 36.033)', 'JPN', 'N', 'Higashimatsuyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.417 33.6)', 'JPN', 'N', 'Hakata/Fukuoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(133.767 35.483)', 'JPN', 'N', 'Hokuei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(133.4 35.383)', 'JPN', 'N', 'Hoki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.4 36.583)', 'JPN', 'N', 'Hitachiomiya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.667 36)', 'JPN', 'N', 'Hasuda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(123.767 24.467)', 'JPN', 'N', 'Hatoma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(123.783 24.05)', 'JPN', 'N', 'Hateruma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.75 32.217)', 'JPN', 'N', 'Hitoyoshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.283 35.317)', 'JPN', 'N', 'Maibara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(137.85 34.7)', 'JPN', 'N', 'Iwata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.5 35.683)', 'JPN', 'N', 'Katori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.317 35.967)', 'JPN', 'N', 'Inashiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.9 34.783)', 'JPN', 'N', 'Mihama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(137.567 35.1)', 'JPN', 'N', 'Shitara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.983 34.983)', 'JPN', 'N', 'Kariya, Aichi', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(129.433 33.383)', 'JPN', 'N', 'Ikitsuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(134.983 34.8)', 'JPN', 'N', 'Miki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(133.433 33.55)', 'JPN', 'N', 'Ino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(134.917 34.75)', 'JPN', 'N', 'Inami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(138.8 34.617)', 'JPN', 'N', 'Iruma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(124.15 24.333)', 'JPN', 'N', 'Ishigaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.267 36.183)', 'JPN', 'N', 'Ishioka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.6 32.05)', 'JPN', 'N', 'Isa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.2 36.317)', 'JPN', 'N', 'Isesaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.45 33.317)', 'JPN', 'N', 'Miyaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.617 34.85)', 'JPN', 'N', 'Takatsuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.333 36.1)', 'JPN', 'N', 'Eiheiji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.767 34.833)', 'JPN', 'N', 'Joyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.433 34.85)', 'JPN', 'N', 'Kameyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.433 35.683)', 'JPN', 'N', 'Kunitachi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.583 34.733)', 'JPN', 'N', 'Kadoma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.567 35.017)', 'JPN', 'N', 'Kameoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.5 35.683)', 'JPN', 'N', 'Koganei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.717 36.183)', 'JPN', 'N', 'Koga, Ibaraki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(133.933 35.1)', 'JPN', 'N', 'Kagamino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(137.617 34.583)', 'JPN', 'N', 'Kashihara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(137.55 34.717)', 'JPN', 'N', 'Kosai-Shi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.417 34.817)', 'JPN', 'N', 'Kawanishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(143.883 43.8)', 'JPN', 'N', 'Kitami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.833 33.833)', 'JPN', 'N', 'Kitakyushu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.983 28.317)', 'JPN', 'N', 'Kikaishima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.983 35.867)', 'JPN', 'N', 'Kashiwa, Chiba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.083 35)', 'JPN', 'N', 'Konan, Shiga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.783 35.883)', 'JPN', 'N', 'Koshigaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(123.983 24.333)', 'JPN', 'N', 'Kohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.883 33.8)', 'JPN', 'N', 'Kokura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.417 35.167)', 'JPN', 'N', 'Kyotamba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(131.3 25.933)', 'JPN', 'N', 'Kitadaito Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(134.967 34.917)', 'JPN', 'N', 'Kato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(133.667 34.533)', 'JPN', 'N', 'Kurashiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.817 32.85)', 'JPN', 'N', 'Kikuyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.717 35.833)', 'JPN', 'N', 'Kawaguchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.55 34.45)', 'JPN', 'N', 'Kawachi Nagano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(138.117 34.7)', 'JPN', 'N', 'Kikugawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.817 34.733)', 'JPN', 'N', 'Kizugawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.35 35.7)', 'JPN', 'N', 'Akishima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.467 35.533)', 'JPN', 'N', 'Machida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.817 32.783)', 'JPN', 'N', 'Mashiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(137.05 35.083)', 'JPN', 'N', 'Miiyoshi, Aichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(131.583 34.033)', 'JPN', 'N', 'Mitajiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(131.233 25.833)', 'JPN', 'N', 'Minamidaito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(125.3 24.783)', 'JPN', 'N', 'Miyakojima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(137.95 35.767)', 'JPN', 'N', 'Miyada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.967 33.9)', 'JPN', 'N', 'Moji/Kitakyushu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140 35.933)', 'JPN', 'N', 'Moriya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.55 34.583)', 'JPN', 'N', 'Matsubara', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(139.9 35.783)', 'JPN', 'N', 'Matsudo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.55 35.7)', 'JPN', 'N', 'Musashino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.983 35.067)', 'JPN', 'N', 'Moriyama, Shiga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(132.85 34.8)', 'JPN', 'N', 'Miyoshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(133.8 34.017)', 'JPN', 'N', 'Miyoshi, Tokushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.267 31.817)', 'JPN', 'N', 'Muta, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.9 35.85)', 'JPN', 'N', 'Nagareyama, Chiba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(137.05 34.867)', 'JPN', 'N', 'Nishio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.15 37.133)', 'JPN', 'N', 'Nishigo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.417 38.067)', 'JPN', 'N', 'Tainai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.767 26.15)', 'JPN', 'N', 'Nanjo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(138.85 37.45)', 'JPN', 'N', 'Nagaoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(137.333 36.767)', 'JPN', 'N', 'Namerikawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.517 36.067)', 'JPN', 'N', 'Konosu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.317 35.783)', 'JPN', 'N', 'Narita, Chiba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.483 36.45)', 'JPN', 'N', 'Naka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(137.033 35.117)', 'JPN', 'N', 'Nisshin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.883 35.85)', 'JPN', 'N', 'Nagareyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.8 36.317)', 'JPN', 'N', 'Oyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139 35.35)', 'JPN', 'N', 'Oyama, Shizuoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.967 35.017)', 'JPN', 'N', 'Obu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.567 40.267)', 'JPN', 'N', 'Odate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.55 33.383)', 'JPN', 'N', 'Ogori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.067 35.133)', 'JPN', 'N', 'Omihachiman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.9 35.317)', 'JPN', 'N', 'Oguchi-Cho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.5 36)', 'JPN', 'N', 'Okegawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.783 35.617)', 'JPN', 'N', 'Aomi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.35 36.233)', 'JPN', 'N', 'Omitama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.483 35.983)', 'JPN', 'N', 'Ono', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(134.933 34.85)', 'JPN', 'N', 'Ono', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.7 34.683)', 'JPN', 'N', 'Ikoma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.5 34.667)', 'JPN', 'N', 'Osaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.617 33.067)', 'JPN', 'N', 'Ôshima, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.367 36.3)', 'JPN', 'N', 'Ota, Gunma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.283 35.783)', 'JPN', 'N', 'Oume', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.917 38.133)', 'JPN', 'N', 'Sendai, Miyagi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.65 35.65)', 'JPN', 'N', 'Setagaya-ku/Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.267 34.35)', 'JPN', 'N', 'Sennan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.25 31.817)', 'JPN', 'N', 'Satsumasendai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.233 36.167)', 'JPN', 'N', 'Sakai, Fukui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.717 35.6)', 'JPN', 'N', 'Shinagawa, Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.8 36.1)', 'JPN', 'N', 'Sakai, Ibaragi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.583 35.783)', 'JPN', 'N', 'Asaka, Saitama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(133.55 33.983)', 'JPN', 'N', 'Shikokuchuo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.417 35.617)', 'JPN', 'N', 'Sanmu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.233 34.883)', 'JPN', 'N', 'Sanda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.667 36.017)', 'JPN', 'N', 'Shiraoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.667 35.817)', 'JPN', 'N', 'Soka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(141.35 43.067)', 'JPN', 'N', 'Sapporo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.55 34.767)', 'JPN', 'N', 'Settsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.217 35.067)', 'JPN', 'N', 'Sasayama', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(134.1 34.667)', 'JPN', 'N', 'Setouchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.517 34.767)', 'JPN', 'N', 'Suita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(132.717 32.917)', 'JPN', 'N', 'Sukumowan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.5 35.9)', 'JPN', 'N', 'Sawara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(138.133 36.033)', 'JPN', 'N', 'Suwa, Nagano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(137.25 35.367)', 'JPN', 'N', 'Mizunami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.9 36.983)', 'JPN', 'N', 'Nakanoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(138.517 35.667)', 'JPN', 'N', 'Kai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.783 35.083)', 'JPN', 'N', 'Tobishima-Mura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.933 33.483)', 'JPN', 'N', 'Tobo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.417 35.683)', 'JPN', 'N', 'Tachikawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.6 34.5)', 'JPN', 'N', 'Tondabayashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.75 36.367)', 'JPN', 'N', 'Tochigi, Tochigi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.8 33.633)', 'JPN', 'N', 'Tagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(141.4 43.017)', 'JPN', 'N', 'Toyohira-ku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.583 35.833)', 'JPN', 'N', 'Shiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130 32.367)', 'JPN', 'N', 'Takahama/Amakusa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(137.883 35.55)', 'JPN', 'N', 'Takamori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.367 35.567)', 'JPN', 'N', 'Togane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.067 35.9)', 'JPN', 'N', 'Toride', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.267 34.517)', 'JPN', 'N', 'Toshima/Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.833 34.583)', 'JPN', 'N', 'Tenri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.083 36.033)', 'JPN', 'N', 'Tsukuba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(131.567 32.25)', 'JPN', 'N', 'Tsuno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.683 35.817)', 'JPN', 'N', 'Toda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(134.55 34.867)', 'JPN', 'N', 'Tatsuno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(141.2 40.6)', 'JPN', 'N', 'Towada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.467 35.783)', 'JPN', 'N', 'Tokorozawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.75 35.683)', 'JPN', 'N', 'Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(137.4 34.817)', 'JPN', 'N', 'Toyokawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(138.267 36.4)', 'JPN', 'N', 'Ueda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(143.65 42.8)', 'JPN', 'N', 'Urahoro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.167 34.683)', 'JPN', 'N', 'Kobe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(138.633 35.65)', 'JPN', 'N', 'Fuefuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.883 36.55)', 'JPN', 'N', 'Utsunomiya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.6 36.75)', 'JPN', 'N', 'Nikko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(138.95 34.983)', 'JPN', 'N', 'Izu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.667 35.017)', 'JPN', 'N', 'Kawagoe, Mie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.817 33.883)', 'JPN', 'N', 'Wakamatsu/Kitakyushu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.7 35.817)', 'JPN', 'N', 'Warabi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.6 35.783)', 'JPN', 'N', 'Wako', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.783 34.65)', 'JPN', 'N', 'Yamatokoriyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(142.317 42.367)', 'JPN', 'N', 'Niikappu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(137.5 35.483)', 'JPN', 'N', 'Nakatsugawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.183 34.033)', 'JPN', 'N', 'Yuasa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(133.033 34.133)', 'JPN', 'N', 'Yoshiumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.45 35.483)', 'JPN', 'N', 'Yamato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(137.95 35.533)', 'JPN', 'N', 'Toyoake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.883 36.3)', 'JPN', 'N', 'Yuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(138.433 35.367)', 'JPN', 'N', 'Minobu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.833 35.883)', 'JPN', 'N', 'Yoshikawa', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(139.65 35.45)', 'JPN', 'N', 'Yokohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.117 37.917)', 'JPN', 'N', 'Yonezawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.667 35.283)', 'JPN', 'N', 'Yokosuka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.2 36.117)', 'JPN', 'N', 'Yorii', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(136.717 35.1)', 'JPN', 'N', 'Yatomi, Aichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.917 39)', 'JPN', 'N', 'Yuza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.117 35.533)', 'JPN', 'N', 'Yawata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.333 35.983)', 'JPN', 'N', 'Hatoyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.383 35.483)', 'JPN', 'N', 'Zama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(140.017 36.867)', 'JPN', 'N', 'Otawara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(139.4 35.667)', 'JPN', 'N', 'Hino, Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(135.433 34.483)', 'JPN', 'N', 'Izumi, Osaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(74.6 42.867)', 'KGZ', 'N', 'Bishkek (ex Frunze)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(103.517 10.6)', 'KHM', 'N', 'Kâmpóng Saôm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(104.667 12.25)', 'KHM', 'N', 'Kâmpóng Chhnang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(104.2 12.533)', 'KHM', 'N', 'Krâkôr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(44.417 -12.25)', 'COM', 'N', 'Anjouan Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(43.75 -12.25)', 'COM', 'N', 'Mohéli Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-62.583 17.15)', 'KNA', 'N', 'Nevis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.75 41.383)', 'PRK', 'N', 'Odaejin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.633 40.317)', 'PRK', 'N', 'Riwon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(124.717 39.4)', 'PRK', 'N', 'Samcha do', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.267 40.067)', 'PRK', 'N', 'Sinpo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.717 36.55)', 'KOR', 'N', 'Andong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.917 37.383)', 'KOR', 'N', 'Anyang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127 36.783)', 'KOR', 'N', 'Asan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.267 37)', 'KOR', 'N', 'Anseong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.817 37.317)', 'KOR', 'N', 'Ansan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.317 33.45)', 'KOR', 'N', 'Aewol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.85 37.467)', 'KOR', 'N', 'BALAN/Hwaseoung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.733 35.717)', 'KOR', 'N', 'Buan-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.75 37.5)', 'KOR', 'N', 'Bucheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.15 35.933)', 'KOR', 'N', 'Bongdong-eup/Wanju-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.717 36.483)', 'KOR', 'N', 'Boeun-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.717 36.233)', 'KOR', 'N', 'Bonghwa-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.483 36.117)', 'KOR', 'N', 'Biin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.5 33.483)', 'KOR', 'N', 'Bukjeju-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.5 36.317)', 'KOR', 'N', 'Boryeong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.8 34.767)', 'KOR', 'N', 'Boseong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.9 36.267)', 'KOR', 'N', 'Buyeo-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.733 35.633)', 'KOR', 'N', 'Cheongdo-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.4 35.983)', 'KOR', 'N', 'Chilgok-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.517 33.5)', 'KOR', 'N', 'Jeju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.75 37.867)', 'KOR', 'N', 'Chuncheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.65 35.133)', 'KOR', 'N', 'Jinhae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.683 36)', 'KOR', 'N', 'Janghang/Seocheon-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.133 35.817)', 'KOR', 'N', 'Chonju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.15 36.8)', 'KOR', 'N', 'Cheonan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.917 36.967)', 'KOR', 'N', 'Chungju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.667 35.217)', 'KOR', 'N', 'Changwon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.3 33.95)', 'KOR', 'N', 'Chuja', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(127.483 36.7)', 'KOR', 'N', 'Cheongju Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.483 35.533)', 'KOR', 'N', 'Changnyeong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.417 36.433)', 'KOR', 'N', 'Cheongsong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.217 38.25)', 'KOR', 'N', 'Cheorwon-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.483 36.633)', 'KOR', 'N', 'Cheongwon-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.8 36.45)', 'KOR', 'N', 'Cheongyang-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.433 34.75)', 'KOR', 'N', 'Daebul/Yeongam-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.5 36.317)', 'KOR', 'N', 'Daecheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.55 37.9)', 'KOR', 'N', 'Dongducheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(131.85 37.233)', 'KOR', 'N', 'Dokdo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(125.433 34.683)', 'KOR', 'N', 'Daeheuksando', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.767 37.75)', 'KOR', 'N', 'Dorasan/Paju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.55 35.817)', 'KOR', 'N', 'Dalseong-gun/Daegu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.983 35.317)', 'KOR', 'N', 'Damyang-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.35 36.983)', 'KOR', 'N', 'Danyang-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.683 36.933)', 'KOR', 'N', 'Eumseong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.7 35.433)', 'KOR', 'N', 'Gochang-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.9 35.683)', 'KOR', 'N', 'Geochang-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.983 37.417)', 'KOR', 'N', 'Gwacheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.517 34.3)', 'KOR', 'N', 'Galdoo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(125.083 34.067)', 'KOR', 'N', 'Gageohyangri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.383 36.35)', 'KOR', 'N', 'Ganggu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.483 37.733)', 'KOR', 'N', 'Ganghwa-gun/Incheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.283 34.6)', 'KOR', 'N', 'Goheung-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.6 37.533)', 'KOR', 'N', 'Gyeongin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.867 35.8)', 'KOR', 'N', 'Gimje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.2 35.25)', 'KOR', 'N', 'Gijang-gun/Busan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.767 35.783)', 'KOR', 'N', 'Gangjin-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.217 35.85)', 'KOR', 'N', 'Gyeongju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.3 34.017)', 'KOR', 'N', 'Geomundo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.85 37.467)', 'KOR', 'N', 'Gwangmyeong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.683 37.617)', 'KOR', 'N', 'Gimpo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.133 36.45)', 'KOR', 'N', 'Gongju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.5 37.817)', 'KOR', 'N', 'Gapyeong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.45 35.2)', 'KOR', 'N', 'Gurye-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.25 35.967)', 'KOR', 'N', 'Goryeong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.133 37.583)', 'KOR', 'N', 'Guri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.55 35.983)', 'KOR', 'N', 'Guryongpo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.483 36.783)', 'KOR', 'N', 'Geumsan-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.283 35.267)', 'KOR', 'N', 'Gokseong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.467 38.367)', 'KOR', 'N', 'Goseong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.783 36.8)', 'KOR', 'N', 'Goesan-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.317 34.967)', 'KOR', 'N', 'Goseong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Khewra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.567 36.233)', 'KOR', 'N', 'Gunwi-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.817 37.65)', 'KOR', 'N', 'Goyang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.733 35.8)', 'KOR', 'N', 'Gyeongsan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.4 35.267)', 'KOR', 'N', 'Haman-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.35 37.167)', 'KOR', 'N', 'Hosan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.95 35.55)', 'KOR', 'N', 'Hapcheon-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.7 38.1)', 'KOR', 'N', 'Hwacheon-gun', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(127.883 37.683)', 'KOR', 'N', 'Hongcheon-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.75 35.7)', 'KOR', 'N', 'Hadong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.417 36.483)', 'KOR', 'N', 'Hyeondo-myeon/Cheongwon-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(125.183 34.65)', 'KOR', 'N', 'Hongdo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.667 34.3)', 'KOR', 'N', 'Hwahungpo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.083 35.167)', 'KOR', 'N', 'Jinju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.25 33.417)', 'KOR', 'N', 'Hallim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.2 37.533)', 'KOR', 'N', 'Hanam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.517 35.8)', 'KOR', 'N', 'Hampyeong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.45 36.667)', 'KOR', 'N', 'Hupo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.65 36.6)', 'KOR', 'N', 'Hongseong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.983 37.483)', 'KOR', 'N', 'Hoengseong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.333 33.233)', 'KOR', 'N', 'Hwasun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.717 35.517)', 'KOR', 'N', 'Hamyang-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.433 37.267)', 'KOR', 'N', 'Icheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.717 37.45)', 'KOR', 'N', 'Incheon Intl Apt/Seoul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.167 38.683)', 'KOR', 'N', 'Inje-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.033 35.967)', 'KOR', 'N', 'Iksan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.617 37.45)', 'KOR', 'N', 'Incheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.267 35.6)', 'KOR', 'N', 'Imsil-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.417 35.633)', 'KOR', 'N', 'Jinan-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.217 37.133)', 'KOR', 'N', 'Jecheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.933 36.85)', 'KOR', 'N', 'Jincheon-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.3 36.6)', 'KOR', 'N', 'Jochiwon-eup/Yeongi-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.25 34.483)', 'KOR', 'N', 'Jindo-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.85 35.567)', 'KOR', 'N', 'Jeongeup', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.683 34.9)', 'KOR', 'N', 'Geoje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.367 34.783)', 'KOR', 'N', 'Junghwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.9 34.667)', 'KOR', 'N', 'Jangheung-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.833 37.883)', 'KOR', 'N', 'Jumunjin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.65 37.367)', 'KOR', 'N', 'Jeongseon-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.8 35.3)', 'KOR', 'N', 'Jangseong/Jangseong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.517 35.633)', 'KOR', 'N', 'Jangsu-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.9 37.75)', 'KOR', 'N', 'Gangneung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.7 34.933)', 'KOR', 'N', 'Gwangyang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129 35.083)', 'KOR', 'N', 'Gamcheon/Busan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.433 34.533)', 'KOR', 'N', 'Kukdo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.617 34.883)', 'KOR', 'N', 'Gohyeon/Geoje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.583 34.85)', 'KOR', 'N', 'Geoje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.1 36.117)', 'KOR', 'N', 'Gimcheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.867 35.233)', 'KOR', 'N', 'Gimhae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.367 36.033)', 'KOR', 'N', 'Pohang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.333 36.117)', 'KOR', 'N', 'Gumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.717 35.983)', 'KOR', 'N', 'Gunsan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.9 35.15)', 'KOR', 'N', 'Gwangju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.967 34.983)', 'KOR', 'N', 'Muan-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.567 35.2)', 'KOR', 'N', 'Masan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.183 36.583)', 'KOR', 'N', 'Mungyeong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.433 35.517)', 'KOR', 'N', 'Mipo/Ulsan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.65 36.4)', 'KOR', 'N', 'Muju-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.383 34.8)', 'KOR', 'N', 'Mokpo', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(126.383 34.75)', 'KOR', 'N', 'Mokpo Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.783 37.85)', 'KOR', 'N', 'Munsan/Paju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.1 37.533)', 'KOR', 'N', 'Mukho/Donghae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.133 34.517)', 'KOR', 'N', 'Nokdongsin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.883 34.833)', 'KOR', 'N', 'Namhae-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.267 36.867)', 'KOR', 'N', 'Naepo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.25 34.383)', 'KOR', 'N', 'Narodo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.917 36.183)', 'KOR', 'N', 'Nonsan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.383 35.4)', 'KOR', 'N', 'Namwon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.333 34.717)', 'KOR', 'N', 'Namyang/Goheung-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.2 37.633)', 'KOR', 'N', 'Namyangju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.567 36.3)', 'KOR', 'N', 'Okcheon-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.033 37.6)', 'KOR', 'N', 'Okgye/Gangneung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.7 34.883)', 'KOR', 'N', 'Okpo/Geoje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.35 35.433)', 'KOR', 'N', 'Onsan/Ulsan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.317 36.6)', 'KOR', 'N', 'Osong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.05 37.15)', 'KOR', 'N', 'Osan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.383 37.367)', 'KOR', 'N', 'Pyeongchang-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.767 37.75)', 'KOR', 'N', 'Paju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.717 37.933)', 'KOR', 'N', 'Panmoonjeom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.183 37.883)', 'KOR', 'N', 'Pocheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.1 36.967)', 'KOR', 'N', 'Pyeongtaek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.05 35.133)', 'KOR', 'N', 'Busan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.367 36.383)', 'KOR', 'N', 'Daedeok/Dawjeon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.6 34.833)', 'KOR', 'N', 'Yeosu Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.083 35.083)', 'KOR', 'N', 'Sacheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.367 34.783)', 'KOR', 'N', 'Sinan-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.15 35.083)', 'KOR', 'N', 'South Busan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.683 36.8)', 'KOR', 'N', 'Seocheon-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.267 35.717)', 'KOR', 'N', 'Sunchang-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.867 35.4)', 'KOR', 'N', 'Sancheong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.833 36.667)', 'KOR', 'N', 'Seocheon-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.067 34.917)', 'KOR', 'N', 'Samcheonpo/Sacheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.267 35.9)', 'KOR', 'N', 'Seongju-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.933 37.517)', 'KOR', 'N', 'Seoul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.217 34.833)', 'KOR', 'N', 'Songgong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.8 37.367)', 'KOR', 'N', 'Siheung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.55 36.083)', 'KOR', 'N', 'Sinhang/Pohang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.583 38.2)', 'KOR', 'N', 'Sokcho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.217 36.617)', 'KOR', 'N', 'Sejong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.15 36.417)', 'KOR', 'N', 'Sangju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.85 34.433)', 'KOR', 'N', 'Shinma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.55 33.233)', 'KOR', 'N', 'Seogwipo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.45 36.783)', 'KOR', 'N', 'Seosan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.933 37.5)', 'KOR', 'N', 'Sungnam (Seoul Ab)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.917 33.45)', 'KOR', 'N', 'Seongsan-po', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.183 37.433)', 'KOR', 'N', 'Samcheok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.133 35.65)', 'KOR', 'N', 'Sangwangdeungdo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127 37.233)', 'KOR', 'N', 'Suwon Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.483 34.95)', 'KOR', 'N', 'Suncheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.583 35.867)', 'KOR', 'N', 'Daegu', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(126.267 36.717)', 'KOR', 'N', 'Taean-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.983 37.167)', 'KOR', 'N', 'Taebaek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.117 37.483)', 'KOR', 'N', 'Donghae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.783 36.967)', 'KOR', 'N', 'Dangjin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.417 36.317)', 'KOR', 'N', 'Daejeon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.367 37)', 'KOR', 'N', 'Daesan/Seosan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.417 34.833)', 'KOR', 'N', 'Tongyeong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.05 37.733)', 'KOR', 'N', 'Uijeongbu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.683 36.35)', 'KOR', 'N', 'Uljin-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.283 32.533)', 'KOR', 'N', 'Ulju-gun/Ulsan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.9 37.483)', 'KOR', 'N', 'Ulleung-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(130.9 37.467)', 'KOR', 'N', 'Ulleung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.25 25.317)', 'KOR', 'N', 'Uiryeong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.267 36.917)', 'KOR', 'N', 'Uiseong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.317 35.533)', 'KOR', 'N', 'Ulsan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.95 37.333)', 'KOR', 'N', 'Uiwang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.85 35.833)', 'KOR', 'N', 'Wanju-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.933 37.333)', 'KOR', 'N', 'Wonju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.75 34.3)', 'KOR', 'N', 'Wando-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.7 34.783)', 'KOR', 'N', 'Yeongam-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.933 35.967)', 'KOR', 'N', 'Yeongcheon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.7 38.9)', 'KOR', 'N', 'Yeoncheon-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.783 36.167)', 'KOR', 'N', 'Yeongdong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.35 36.4)', 'KOR', 'N', 'Yeongdeok-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.45 36.65)', 'KOR', 'N', 'Yecheon-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.617 36.8)', 'KOR', 'N', 'Yeongju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(126.5 35.267)', 'KOR', 'N', 'Yeonggwang-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.283 36.583)', 'KOR', 'N', 'Yeongi-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(124.717 37.95)', 'KOR', 'N', 'Yonggipo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.983 38.1)', 'KOR', 'N', 'Yanggu-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.633 37.283)', 'KOR', 'N', 'Yeoju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.1 37.267)', 'KOR', 'N', 'Yongin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.617 38.067)', 'KOR', 'N', 'Yangyang-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.45 36.65)', 'KOR', 'N', 'Yochon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.717 34.75)', 'KOR', 'N', 'Yeosu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(125.7 37.65)', 'KOR', 'N', 'Yeonpyeongdo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.483 37.65)', 'KOR', 'N', 'Yangpyeong-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.033 35.333)', 'KOR', 'N', 'Yangsan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(128.45 37.183)', 'KOR', 'N', 'Yeongwol-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(129.75 36.65)', 'KOR', 'N', 'Yeongyang-gun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(127.033 37.767)', 'KOR', 'N', 'Yangju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.817 19.717)', 'CYM', 'N', 'Cayman Brac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-81.35 19.283)', 'CYM', 'N', 'Grand Cayman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-81.383 19.3)', 'CYM', 'N', 'Georgetown, Grand Cayman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(51.15 43.65)', 'KAZ', 'N', 'Aktau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(57.167 50.283)', 'KAZ', 'N', 'Aqtöbe (Aktyubinsk)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(69.383 53.267)', 'KAZ', 'N', 'Kökshetau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(70.2 52.933)', 'KAZ', 'N', 'Shchuchinsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(35.483 33.833)', 'LBN', 'N', 'Beirut', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.933 13.7)', 'LCA', 'N', 'Saint Lucia Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.95 13.717)', 'LCA', 'N', 'Hewanorra Intl  Apt', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(79.85 6.917)', 'LKA', 'N', 'Colombo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(79.867 7.167)', 'LKA', 'N', 'Katunayake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(81.117 6.35)', 'LKA', 'N', 'Mattala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-10.35 6.233)', 'LBR', 'N', 'Roberts International Airport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-9.583 5.467)', 'LBR', 'N', 'River Cess', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.683 -30.117)', 'LSO', 'N', 'Qacha''s Nek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.7 54.65)', 'LTU', 'N', 'Kena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.733 54.633)', 'LTU', 'N', 'Kybartai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.667 54.717)', 'LTU', 'N', 'Lavoriskes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.667 54.533)', 'LTU', 'N', 'Medininkai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.117 55.717)', 'LTU', 'N', 'Malku ilankos juru uosto PVP/Klaipeda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.1 55.717)', 'LTU', 'N', 'Molo juru uosto PVP/Klaipeda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.883 55.083)', 'LTU', 'N', 'Panemune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.9 55.133)', 'LTU', 'N', 'Pagegiai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.083 55.717)', 'LTU', 'N', 'Pilies juru uosto PVP/Klaipeda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.383 54.3)', 'LTU', 'N', 'Salcininkai kelio PVP/Salcininkai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.167 54.6)', 'LTU', 'N', 'Vaidotai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.533 55.883)', 'LVA', 'N', 'Daugavpils', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.25 24.167)', 'LBY', 'N', 'Al Kufrah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.283 27.533)', 'LBY', 'N', 'Birak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.433 27.033)', 'LBY', 'N', 'Sebha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-3.933 35.25)', 'MAR', 'N', 'Al Hoceïma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-8 31.633)', 'MAR', 'N', 'Marrakech', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-5.383 35.567)', 'MAR', 'N', 'Tétouan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.417 43.733)', 'MCO', 'N', 'Monte-Carlo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.833 47.017)', 'MDA', 'N', 'Chisinãu (ex Kishinev)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.867 42.85)', 'MNE', 'N', 'Berane (Yvangrad)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.05 18.1)', 'MAF', 'N', 'Grand-Case', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.033 18.1)', 'MAF', 'N', 'L''Espérance Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(48.25 -13.333)', 'MDG', 'N', 'Nosy-Be', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(46.967 -16.133)', 'MDG', 'N', 'Sainte Marie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(47.617 -15.567)', 'MDG', 'N', 'Port Berge Vaovao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(171.383 7.1)', 'MHL', 'N', 'Majuro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.85 41.7)', 'MKD', 'N', 'Berovo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.317 41.017)', 'MKD', 'N', 'Bitola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.5 41.133)', 'MKD', 'N', 'Gevgelija', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.7 42.117)', 'MKD', 'N', 'Kumanovo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22 41.433)', 'MKD', 'N', 'Kavadarci', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.433 40.933)', 'MKD', 'N', 'Medzitlija', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.9 41.417)', 'MKD', 'N', 'Novo Selo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.8 41.117)', 'MKD', 'N', 'Ohrid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.55 41.333)', 'MKD', 'N', 'Prilep', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.6 41.933)', 'MKD', 'N', 'Petrovec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.717 41.183)', 'MKD', 'N', 'Star Dojran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.717 41.783)', 'MKD', 'N', 'Sopot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.9 40.933)', 'MKD', 'N', 'Stenje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.633 41.433)', 'MKD', 'N', 'Strumica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.8 40.9)', 'MKD', 'N', 'Sveti Naum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.517 41.967)', 'MKD', 'N', 'Trubarevo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.967 42)', 'MKD', 'N', 'Tetovo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(104.483 43.617)', 'MNG', 'N', 'Dalandzadgad', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(89.95 48.967)', 'MNG', 'N', 'Ölgii', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(96.817 47.75)', 'MNG', 'N', 'Uliastay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(113.533 22.2)', 'MAC', 'N', 'Macau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-14.267 16.583)', 'MRT', 'N', 'Boghé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.25 16.617)', 'MRT', 'N', 'Néma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-12.7 22.683)', 'MRT', 'N', 'Fdérik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-13.5 16.15)', 'MRT', 'N', 'Kaédi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-12.333 17.883)', 'MRT', 'N', 'Moudjéria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-12.483 22.7)', 'MRT', 'N', 'Zouérat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-12.183 15.167)', 'MRT', 'N', 'Sélibaby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-8.167 16.25)', 'MRT', 'N', 'Timbédra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.433 35.883)', 'MLT', 'N', 'Attard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.45 35.9)', 'MLT', 'N', 'Balzan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.467 35.9)', 'MLT', 'N', 'Birkirkara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.517 35.883)', 'MLT', 'N', 'Birgu (Vittoriosa)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.417 35.933)', 'MLT', 'N', 'Bur Marrad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.4 35.95)', 'MLT', 'N', 'Bugibba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.533 35.833)', 'MLT', 'N', 'Birzebbugia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.517 35.867)', 'MLT', 'N', 'Bormla (Cospicua)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.367 35.85)', 'MLT', 'N', 'Dingli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.55 35.817)', 'MLT', 'N', 'Delimara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.5 35.867)', 'MLT', 'N', 'Fgura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.5 35.883)', 'MLT', 'N', 'Floriana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.233 36.033)', 'MLT', 'N', 'Fontana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.2 36.05)', 'MLT', 'N', 'Gharb', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.283 36.017)', 'MLT', 'N', 'Ghajnsielem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.217 36.05)', 'MLT', 'N', 'Ghasri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.5 35.833)', 'MLT', 'N', 'Gudja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.517 35.833)', 'MLT', 'N', 'Ghaxaq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.483 35.9)', 'MLT', 'N', 'Gzira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.483 35.883)', 'MLT', 'N', 'Hamrun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.517 35.883)', 'MLT', 'N', 'Kalkara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.217 36.033)', 'MLT', 'N', 'Kercem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.483 35.833)', 'MLT', 'N', 'Kirkop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.433 35.9)', 'MLT', 'N', 'Lija', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.483 35.85)', 'MLT', 'N', 'Luqa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.4 35.883)', 'MLT', 'N', 'Mdina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.35 35.95)', 'MLT', 'N', 'Mellieha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.367 35.917)', 'MLT', 'N', 'Mgarr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.417 35.9)', 'MLT', 'N', 'Mosta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.467 35.85)', 'MLT', 'N', 'Mqabba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.483 35.867)', 'MLT', 'N', 'Marsa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.55 35.867)', 'MLT', 'N', 'Marsaskala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.5 35.9)', 'MLT', 'N', 'Marsamxett', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.383 35.883)', 'MLT', 'N', 'Mtarfa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.233 36.017)', 'MLT', 'N', 'Munxar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.283 36.033)', 'MLT', 'N', 'Nadur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.483 35.867)', 'MLT', 'N', 'Paola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.467 35.917)', 'MLT', 'N', 'Pembroke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.483 35.883)', 'MLT', 'N', 'Pietà', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.3 36.033)', 'MLT', 'N', 'Qala', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(14.45 35.833)', 'MLT', 'N', 'Qrendi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.383 35.867)', 'MLT', 'N', 'Rabat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.467 35.867)', 'MLT', 'N', 'Qormi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.483 35.817)', 'MLT', 'N', 'Safi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.233 36.017)', 'MLT', 'N', 'Sannat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.517 35.883)', 'MLT', 'N', 'Senglea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.433 35.85)', 'MLT', 'N', 'Siggiewi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.467 35.9)', 'MLT', 'N', 'San Ġwann, Valletta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.483 35.917)', 'MLT', 'N', 'San Ġiljan (St Julian)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.5 35.9)', 'MLT', 'N', 'Sliema', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.5 35.85)', 'MLT', 'N', 'Saint Lucia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.2 36.033)', 'MLT', 'N', 'Saint Lawrence', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(143.4 35.883)', 'MLT', 'N', 'Santa Venera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.467 35.917)', 'MLT', 'N', 'Swieqi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.5 35.85)', 'MLT', 'N', 'Tarxien', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.483 35.883)', 'MLT', 'N', 'Ta'' Xbiex', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.233 36.033)', 'MLT', 'N', 'Victoria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.533 35.883)', 'MLT', 'N', 'Xghajra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.25 36.05)', 'MLT', 'N', 'Xaghra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(141.867 36.25)', 'MLT', 'N', 'Xewkija', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.433 35.867)', 'MLT', 'N', 'Zebbug', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.533 35.85)', 'MLT', 'N', 'Zejtun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.467 35.833)', 'MLT', 'N', 'Zurrieq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(57.683 -20.433)', 'MUS', 'N', 'Sir Seewoosagur Ramgoolam Int Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(63.417 -19.7)', 'MUS', 'N', 'Rodrigues', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.15 -0.7)', 'MDV', 'N', 'Gan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.5 4.167)', 'MDV', 'N', 'Male', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-99.867 16.85)', 'MEX', 'N', 'Acapulco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-102.3 21.883)', 'MEX', 'N', 'Aguascalientes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-92.083 19.683)', 'MEX', 'N', 'Cayo Arcas Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-109.933 27.483)', 'MEX', 'N', 'Ciudad Obregon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-106.483 31.733)', 'MEX', 'N', 'Ciudad Juárez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-91.833 18.633)', 'MEX', 'N', 'Ciudad del Carmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-94.4 18.133)', 'MEX', 'N', 'Coatzacoalcos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-109.883 22.883)', 'MEX', 'N', 'Cabo San Lucas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-107.383 24.783)', 'MEX', 'N', 'Culiacán', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-86.833 21.167)', 'MEX', 'N', 'Cancún', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-88.567 20.667)', 'MEX', 'N', 'Chichén-Itzá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-86.933 20.517)', 'MEX', 'N', 'Cozumel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-93.183 18.5)', 'MEX', 'N', 'Dos Bocas Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-104.667 24.033)', 'MEX', 'N', 'Durango', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-116.6 31.85)', 'MEX', 'N', 'Ensenada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-92.633 18.533)', 'MEX', 'N', 'Frontera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-110.883 27.917)', 'MEX', 'N', 'Guaymas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-96.317 15.833)', 'MEX', 'N', 'Huatulco (Santa María Huatulco)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-110.3 24.133)', 'MEX', 'N', 'La Paz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-101.417 26.9)', 'MEX', 'N', 'Monclova', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-112.617 26.017)', 'MEX', 'N', 'Loreto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-102.183 17.95)', 'MEX', 'N', 'Lázaro Cárdenas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-97.5 25.883)', 'MEX', 'N', 'Matamoros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-99.133 19.433)', 'MEX', 'N', 'Ciudad de México', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-89.617 20.967)', 'MEX', 'N', 'Mérida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-101.117 19.7)', 'MEX', 'N', 'Morelia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-111.983 26.883)', 'MEX', 'N', 'Mulegé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-115.467 32.65)', 'MEX', 'N', 'Mexicali', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-106.4 23.4)', 'MEX', 'N', 'Mazatlan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-99.517 27.5)', 'MEX', 'N', 'Nuevo Laredo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-98.2 19.05)', 'MEX', 'N', 'Puebla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-87.067 20.617)', 'MEX', 'N', 'Playa del Carmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-89.65 21.267)', 'MEX', 'N', 'Progreso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-86.817 21.183)', 'MEX', 'N', 'Puerto Juárez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-92.417 14.717)', 'MEX', 'N', 'Puerto Madero', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-105.217 20.6)', 'MEX', 'N', 'Puerto Vallarta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-100.4 20.6)', 'MEX', 'N', 'Querétaro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-98.283 26.083)', 'MEX', 'N', 'Reynosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-117.1 32.333)', 'MEX', 'N', 'Rosarito Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-95.183 16.167)', 'MEX', 'N', 'Salina Cruz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-100.983 22.15)', 'MEX', 'N', 'San Luis Potosí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-101 25.417)', 'MEX', 'N', 'Saltillo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-97.867 22.25)', 'MEX', 'N', 'Tampico', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-92.367 14.783)', 'MEX', 'N', 'Tapachula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-97.383 18.45)', 'MEX', 'N', 'Tehuacán', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-93.117 16.75)', 'MEX', 'N', 'Tuxtla Gutiérrez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-117.017 32.533)', 'MEX', 'N', 'Tijuana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-99.667 19.283)', 'MEX', 'N', 'Toluca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-109.05 25.6)', 'MEX', 'N', 'Topolobampo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-104.9 21.5)', 'MEX', 'N', 'Tepic', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-98.75 21.983)', 'MEX', 'N', 'Tamuín', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-97.4 20.95)', 'MEX', 'N', 'Tuxpan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-88.15 21.15)', 'MEX', 'N', 'Tizimín', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-114.783 32.467)', 'MEX', 'N', 'San Luis Río Colorado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-102.067 19.417)', 'MEX', 'N', 'Uruapan del Progreso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-96.083 19.2)', 'MEX', 'N', 'Veracruz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-92.917 17.983)', 'MEX', 'N', 'Villahermosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-101.55 17.633)', 'MEX', 'N', 'Zihuatanejo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-102.583 22.783)', 'MEX', 'N', 'Zacatecas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Attock City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-101.65 17.667)', 'MEX', 'N', 'Ixtapa/Zihuatanejo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-104.3 19.05)', 'MEX', 'N', 'Manzanillo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-102.267 19.983)', 'MEX', 'N', 'Zamora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(115.617 3.983)', 'MYS', 'N', 'Ba Kelalan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(99.8 6.367)', 'MYS', 'N', 'Langkawi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(101.55 3.133)', 'MYS', 'N', 'Subang Kuala Lumpur Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(33.65 -25.05)', 'MOZ', 'N', 'Xai-Xai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.617 -28.75)', 'NAM', 'N', 'Noordoewer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(165.617 -21.283)', 'NCL', 'N', 'Houaïlou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(164.867 -21.067)', 'NCL', 'N', 'Koné', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(165.017 -21.3)', 'NCL', 'N', 'Station de Muéo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-86.75 12.183)', 'NIC', 'N', 'Puerto Sandino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.533 51.95)', 'NLD', 'N', 'Aalst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.383 52.15)', 'NLD', 'N', 'Amersfoort', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.467 52)', 'NLD', 'N', 'Amerongen', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(5.733 51.4)', 'NLD', 'N', 'Asten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.267 52.217)', 'NLD', 'N', 'Baarn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.483 51.983)', 'NLD', 'N', 'Berkel en Rodenrijs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.367 51.317)', 'NLD', 'N', 'Bergeijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.75 52.083)', 'NLD', 'N', 'Bodegraven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.717 51.417)', 'NLD', 'N', 'Borssele', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.283 51.883)', 'NLD', 'N', 'Botlek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.883 51.733)', 'NLD', 'N', 'Cuijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.983 52.383)', 'NLD', 'N', 'Denekamp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.017 52.317)', 'NLD', 'N', 'De Poppe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.983 52.817)', 'NLD', 'N', 'Emmer-Erfscheidenveen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.667 51.567)', 'NLD', 'N', 'Etten Leur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.233 52)', 'NLD', 'N', '''t Goy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.617 51.783)', 'NLD', 'N', '''s-Gravendeel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.567 52.133)', 'NLD', 'N', 'Groenendijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.817 51.917)', 'NLD', 'N', 'Groot-Ammers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.167 52)', 'NLD', 'N', '''s-Gravenzande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.633 52.733)', 'NLD', 'N', 'Geesbrug', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.3 52.083)', 'NLD', 'N', '''s-Gravenhage (Den Haag)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.633 51.85)', 'NLD', 'N', 'Hendrik-Ido-Ambacht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.667 51.483)', 'NLD', 'N', 'Helmond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.25 51.883)', 'NLD', 'N', '''s-Heerenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.883 51.817)', 'NLD', 'N', 'Boven-Hardinxveld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.317 51.7)', 'NLD', 'N', '''s-Hertogenbosch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.817 51.483)', 'NLD', 'N', 'Heinkensand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.767 53.167)', 'NLD', 'N', 'Hoogezand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.05 52.017)', 'NLD', 'N', 'IJsselstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.417 52.2)', 'NLD', 'N', 'Katwijk aan Zee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.8 52.467)', 'NLD', 'N', 'Koog aan de Zaan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7 52.733)', 'NLD', 'N', 'Klazienaveen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.633 51.9)', 'NLD', 'N', 'Krimpen aan de Lek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.617 51.433)', 'NLD', 'N', 'Mierlo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.717 51.5)', 'NLD', 'N', 'Midden Zeeland Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.05 52.267)', 'NLD', 'N', 'Nederhorst den Berg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.85 53.05)', 'NLD', 'N', 'Nieuwediep', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.433 52.25)', 'NLD', 'N', 'Noordwijk aan Zee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.667 51.883)', 'NLD', 'N', 'Nieuw-Lekkerland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.5 51.833)', 'NLD', 'N', 'Nieuwe Schans', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.2 53.183)', 'NLD', 'N', 'Nieuweschans', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.633 52.267)', 'NLD', 'N', 'Nieuw-Vennep', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.633 51.933)', 'NLD', 'N', 'Ouderkerk aan den IJssel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.467 51.567)', 'NLD', 'N', 'Sint Oedenrode', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.883 51.65)', 'NLD', 'N', 'Oosterhout', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.467 51.583)', 'NLD', 'N', 'Oud-Gastel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.65 50.833)', 'NLD', 'N', 'Oud-Vroenhoven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.383 51.883)', 'NLD', 'N', 'Pernis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.85 51.917)', 'NLD', 'N', 'Elst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.9 51.7)', 'NLD', 'N', 'Raamsdonksveer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.05 51.667)', 'NLD', 'N', 'Sprang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.8 51.667)', 'NLD', 'N', '''s-Gravenmoer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.9 51.45)', 'NLD', 'N', '''s-Gravenpolder', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(6.017 52.533)', 'NLD', 'N', '''s-Heerenbroek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.767 51.45)', 'NLD', 'N', '''s-Heerenhoek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.833 51.283)', 'NLD', 'N', 'Sluiskil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.883 50.85)', 'NLD', 'N', 'Schin op Geul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.5 51.5)', 'NLD', 'N', 'Son', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.483 52.083)', 'NLD', 'N', 'Scherpenzeel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(3.8 51.233)', 'NLD', 'N', 'Sas van Gent', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.6 51.55)', 'NLD', 'N', 'Sint Willebrord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5 51.817)', 'NLD', 'N', 'Woudrichem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.817 52.5)', 'NLD', 'N', 'Wormer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.95 51.683)', 'NLD', 'N', 'Waspik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.583 51.633)', 'NLD', 'N', 'Zevenbergen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.983 67.883)', 'NOR', 'N', 'Å i Lofoten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.417 60.417)', 'NOR', 'N', 'Ålvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.667 58.233)', 'NOR', 'N', 'Abelnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.183 64.733)', 'NOR', 'N', 'Abelvær', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.133 69.317)', 'NOR', 'N', 'Andenes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.433 68.333)', 'NOR', 'N', 'Anfinnsletta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.033 58.117)', 'NOR', 'N', 'Agnefest', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.483 66.717)', 'NOR', 'N', 'Ågskardet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.017 60.4)', 'NOR', 'N', 'Ågotnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.45 70.783)', 'NOR', 'N', 'Akkarfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.167 59.25)', 'NOR', 'N', 'Åkrehamn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.017 58.233)', 'NOR', 'N', 'Ålefjær', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.383 62.483)', 'NOR', 'N', 'Alvika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.7 62.567)', 'NOR', 'N', 'Åndalsnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.7 61.233)', 'NOR', 'N', 'Årdalstangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.767 58.45)', 'NOR', 'N', 'Arendal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.383 61.017)', 'NOR', 'N', 'Arnafjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.167 59.15)', 'NOR', 'N', 'Årdal - Hjelmeland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.467 60.117)', 'NOR', 'N', 'Årnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.167 59.583)', 'NOR', 'N', 'Askim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.35 58.867)', 'NOR', 'N', 'Åtangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.883 61.35)', 'NOR', 'N', 'Atløy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.517 63.267)', 'NOR', 'N', 'Aure', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.9 62.817)', 'NOR', 'N', 'Aukra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.183 60.9)', 'NOR', 'N', 'Aurland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.267 59.35)', 'NOR', 'N', 'Avaldsnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.667 63.05)', 'NOR', 'N', 'Averøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.233 69.233)', 'NOR', 'N', 'Balsfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.15 58.033)', 'NOR', 'N', 'Båly', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.767 69.783)', 'NOR', 'N', 'Bellvika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.783 70.25)', 'NOR', 'N', 'Bergsfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.833 61.083)', 'NOR', 'N', 'Bjordal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.883 66.15)', 'NOR', 'N', 'Bjerka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(29.717 70.633)', 'NOR', 'N', 'Båtsfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.75 63.75)', 'NOR', 'N', 'Bjugn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.5 59.783)', 'NOR', 'N', 'Bjørkås', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.533 68.983)', 'NOR', 'N', 'Bjarkøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.833 68.333)', 'NOR', 'N', 'Ballangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.383 68.6)', 'NOR', 'N', 'Blokken', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(6.533 61.2)', 'NOR', 'N', 'Balestrand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.883 60.533)', 'NOR', 'N', 'Blomvåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.833 68.567)', 'NOR', 'N', 'Berrvik (Bergvik)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.2 65.467)', 'NOR', 'N', 'Brønnøysund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.283 59.367)', 'NOR', 'N', 'Bøneset - Karmøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.433 59.217)', 'NOR', 'N', 'Bokn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.217 59.6)', 'NOR', 'N', 'Bømlo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.067 68.217)', 'NOR', 'N', 'Bognes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.367 67.283)', 'NOR', 'N', 'Bodø', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.917 60.7)', 'NOR', 'N', 'Bøvågen - Radøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.383 61.933)', 'NOR', 'N', 'Bryggja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.033 69.6)', 'NOR', 'N', 'Brensholmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10 62.833)', 'NOR', 'N', 'Berkåk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.433 62.6)', 'NOR', 'N', 'Brattvåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.067 61.617)', 'NOR', 'N', 'Botnaneset - Flora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.05 69.933)', 'NOR', 'N', 'Burfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.7 62.133)', 'NOR', 'N', 'Buvika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(29.1 70.85)', 'NOR', 'N', 'Berlevåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.7 59.05)', 'NOR', 'N', 'Brevik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.9 59.083)', 'NOR', 'N', 'Breiviga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.117 58.6)', 'NOR', 'N', 'Bjerkreim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.3 59.3)', 'NOR', 'N', 'Byggnes - Karmøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.75 69.117)', 'NOR', 'N', 'Espenesbogen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.8 59.45)', 'NOR', 'N', 'Sperrebotn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.4 69.983)', 'NOR', 'N', 'Dåfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.083 60.3)', 'NOR', 'N', 'Digernes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.167 58.833)', 'NOR', 'N', 'Dirdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.3 60.383)', 'NOR', 'N', 'Damsgård', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.067 68.033)', 'NOR', 'N', 'Drag', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.617 59.65)', 'NOR', 'N', 'Drøbak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.233 59.733)', 'NOR', 'N', 'Drammen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.417 61.367)', 'NOR', 'N', 'Dale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.433 69.017)', 'NOR', 'N', 'Dyrøyhamn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.833 63.767)', 'NOR', 'N', 'Dyrvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(103.367 59.25)', 'NOR', 'N', 'Vear', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.167 62.267)', 'NOR', 'N', 'Eidsdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.45 62.9)', 'NOR', 'N', 'Eide', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.067 60.467)', 'NOR', 'N', 'Eidfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.067 60.25)', 'NOR', 'N', 'Eide Sotra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.583 68.733)', 'NOR', 'N', 'Eidet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.633 62.317)', 'NOR', 'N', 'Eggesbønes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.7 59.067)', 'NOR', 'N', 'Eidangerfjorden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.55 60.7)', 'NOR', 'N', 'Eikefet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.333 62.5)', 'NOR', 'N', 'Ellingsøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.217 59.333)', 'NOR', 'N', 'Erfjord - Suldal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.383 69.483)', 'NOR', 'N', 'Ersfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.417 60.6)', 'NOR', 'N', 'Eidsnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.917 59.65)', 'NOR', 'N', 'Etne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.75 68.483)', 'NOR', 'N', 'Evenesmarkja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16 68.017)', 'NOR', 'N', 'Evenestangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.867 58.483)', 'NOR', 'N', 'Eydehavn', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(6.8 58.083)', 'NOR', 'N', 'Farsund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.383 67.25)', 'NOR', 'N', 'Fauske', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.8 59.933)', 'NOR', 'N', 'Fagerstrand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.817 68.433)', 'NOR', 'N', 'Fiskebøl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.833 61.45)', 'NOR', 'N', 'Førde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.7 60.767)', 'NOR', 'N', 'Fedje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.65 58.283)', 'NOR', 'N', 'Flekkefjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.783 66.183)', 'NOR', 'N', 'Finneidfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.317 59.917)', 'NOR', 'N', 'Fitjar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.5 68.55)', 'NOR', 'N', 'Fjelldal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.233 62.683)', 'NOR', 'N', 'Flem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.25 60.533)', 'NOR', 'N', 'Flatøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.417 67.25)', 'NOR', 'N', 'Finneid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.967 69.217)', 'NOR', 'N', 'Finnsnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.467 68.867)', 'NOR', 'N', 'Fornes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.8 59.167)', 'NOR', 'N', 'Finnøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.467 58.933)', 'NOR', 'N', 'Fossing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.1 63.983)', 'NOR', 'N', 'Follafoss', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.517 66.733)', 'NOR', 'N', 'Forøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.083 58.9)', 'NOR', 'N', 'Forsand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.633 62.333)', 'NOR', 'N', 'Fosnavåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.283 58.833)', 'NOR', 'N', 'Vesterålen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.917 59.2)', 'NOR', 'N', 'Fredrikstad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.017 61.6)', 'NOR', 'N', 'Florø', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.75 58.883)', 'NOR', 'N', 'Forus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.967 60.217)', 'NOR', 'N', 'Fjellstrand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.55 62.1)', 'NOR', 'N', 'Fiskåbygd - Vanylven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.817 70.717)', 'NOR', 'N', 'Forsøl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.283 62.45)', 'NOR', 'N', 'Fiskarstrand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.767 67.433)', 'NOR', 'N', 'Festvåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.617 60.2)', 'NOR', 'N', 'Fusa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.733 61.4)', 'NOR', 'N', 'Fjærland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.25 71.05)', 'NOR', 'N', 'Gamvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5 61.583)', 'NOR', 'N', 'Gunhildvågen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.383 59.317)', 'NOR', 'N', 'Gismarvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.383 71.1)', 'NOR', 'N', 'Gjesvær', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.933 66.8)', 'NOR', 'N', 'Glomfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.25 68.967)', 'NOR', 'N', 'Grøtavær', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.033 59.267)', 'NOR', 'N', 'Greåker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.117 68.683)', 'NOR', 'N', 'Grovfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.6 59.783)', 'NOR', 'N', 'Granerudstøa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.7 60.517)', 'NOR', 'N', 'Granvin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.083 69.367)', 'NOR', 'N', 'Gryllefjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.583 58.333)', 'NOR', 'N', 'Grimstad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.15 66.317)', 'NOR', 'N', 'Gullsmedvika/Mo i Rana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.617 69.967)', 'NOR', 'N', 'Hansnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.367 59.1)', 'NOR', 'N', 'Halden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.167 69.417)', 'NOR', 'N', 'Hamn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.617 59.583)', 'NOR', 'N', 'Halvorshavn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.25 59.4)', 'NOR', 'N', 'Haugesund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.45 62.75)', 'NOR', 'N', 'Harøy', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(5.717 59.8)', 'NOR', 'N', 'Halsnøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.583 59)', 'NOR', 'N', 'Heimdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.3 60.45)', 'NOR', 'N', 'Ervik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.033 64)', 'NOR', 'N', 'Herfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.833 68.4)', 'NOR', 'N', 'Hekkelstrand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.783 59.917)', 'NOR', 'N', 'Herøysundet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.3 60.167)', 'NOR', 'N', 'Hønefoss', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.667 70.65)', 'NOR', 'N', 'Hammerfest', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.2 60.117)', 'NOR', 'N', 'Hufthammar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.483 62.783)', 'NOR', 'N', 'Hjelset', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.183 59.233)', 'NOR', 'N', 'Hjelmeland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.4 58.9)', 'NOR', 'N', 'Helle - Kragerø', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.15 58.867)', 'NOR', 'N', 'Helle - Forsand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.217 63.05)', 'NOR', 'N', 'Halsa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.667 60.283)', 'NOR', 'N', 'Holmefjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.783 70.25)', 'NOR', 'N', 'Hummelvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.033 59.55)', 'NOR', 'N', 'Hof', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.017 67.133)', 'NOR', 'N', 'Høgset', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.767 63.4)', 'NOR', 'N', 'Hommelvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.3 59.483)', 'NOR', 'N', 'Holmestrand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.167 60.433)', 'NOR', 'N', 'Horsøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.35 68.2)', 'NOR', 'N', 'Hopen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.483 59.4)', 'NOR', 'N', 'Horten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.1 60.433)', 'NOR', 'N', 'Hanøytangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.45 59.233)', 'NOR', 'N', 'Husøy - Tønsberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.033 62.367)', 'NOR', 'N', 'Hareid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.567 59.1)', 'NOR', 'N', 'Herre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.3 60.517)', 'NOR', 'N', 'Hordvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.617 59.117)', 'NOR', 'N', 'Herøya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.517 66.733)', 'NOR', 'N', 'Halsa Meløy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.617 60.233)', 'NOR', 'N', 'Hovland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.3 59.333)', 'NOR', 'N', 'Husøy - Karmøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.667 69.533)', 'NOR', 'N', 'Husøy - Lenvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.983 58.033)', 'NOR', 'N', 'Hausvikstrand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.417 62.367)', 'NOR', 'N', 'Hundeidvika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.767 59.867)', 'NOR', 'N', 'Husnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.967 70.967)', 'NOR', 'N', 'Honningsvåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.317 59.3)', 'NOR', 'N', 'Håvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.15 70.467)', 'NOR', 'N', 'Hasvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.417 63.45)', 'NOR', 'N', 'Kolvereid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.283 61.167)', 'NOR', 'N', 'Hyllestad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.05 61.217)', 'NOR', 'N', 'Høyanger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.017 67.033)', 'NOR', 'N', 'Inndyr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.133 65.683)', 'NOR', 'N', 'Igerøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.933 61.833)', 'NOR', 'N', 'Iglandsvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.55 67.2)', 'NOR', 'N', 'Vikan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.55 62.383)', 'NOR', 'N', 'Ikornnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.917 67.967)', 'NOR', 'N', 'Innhavet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.067 71.083)', 'NOR', 'N', 'Ingøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(30.1 69.733)', 'NOR', 'N', 'Jakobsnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.233 60.267)', 'NOR', 'N', 'Jondal', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(6.35 58.317)', 'NOR', 'N', 'Jøssingfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.817 69.6)', 'NOR', 'N', 'Jøvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.467 59.25)', 'NOR', 'N', 'Jarlsøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.483 68.217)', 'NOR', 'N', 'Kabelvåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.15 69.4)', 'NOR', 'N', 'Kårvikhamn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.383 61.933)', 'NOR', 'N', 'Kvalneset', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.45 61.933)', 'NOR', 'N', 'Kalvneset', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.517 59.267)', 'NOR', 'N', 'Kårstø', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.533 68.733)', 'NOR', 'N', 'Kobbvågen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.733 69.683)', 'NOR', 'N', 'Kaldfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(29.317 70.717)', 'NOR', 'N', 'Kongsfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.9 63.567)', 'NOR', 'N', 'Kvithylla Industriområde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.9 66.733)', 'NOR', 'N', 'Kilvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.717 60.367)', 'NOR', 'N', 'Kinsarvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.483 58.9)', 'NOR', 'N', 'Kjørebonn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.767 67.517)', 'NOR', 'N', 'Kjerringøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.35 68.083)', 'NOR', 'N', 'Kjøpsvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(30.033 69.717)', 'NOR', 'N', 'Kirkenes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.617 64.867)', 'NOR', 'N', 'Senja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.15 70.55)', 'NOR', 'N', 'Kårhamn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.683 59.467)', 'NOR', 'N', 'Kambo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.917 71.05)', 'NOR', 'N', 'Kamøyvær', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.3 59.283)', 'NOR', 'N', 'Kopervik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.233 61.167)', 'NOR', 'N', 'Kaupanger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.4 58.867)', 'NOR', 'N', 'Kragerø', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.983 58.133)', 'NOR', 'N', 'Kristiansand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.733 63.1)', 'NOR', 'N', 'Kristiansund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.417 59.05)', 'NOR', 'N', 'Kvitsøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.883 61.767)', 'NOR', 'N', 'Kvalvåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.617 59.017)', 'NOR', 'N', 'Kvaleberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.3 58.033)', 'NOR', 'N', 'Kvåfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.983 70.117)', 'NOR', 'N', 'Kristoffervalen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.967 70.5)', 'NOR', 'N', 'Kvalsund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.383 67.3)', 'NOR', 'N', 'Kvalvika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.55 69.617)', 'NOR', 'N', 'Kvaløya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.083 63.283)', 'NOR', 'N', 'Kyrksæterøra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.733 59)', 'NOR', 'N', 'Langesund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.25 59.617)', 'NOR', 'N', 'Langevåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.217 62.433)', 'NOR', 'N', 'Langevåg - Sula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.383 59.5)', 'NOR', 'N', 'Langøya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.017 59.033)', 'NOR', 'N', 'Larvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.983 69.817)', 'NOR', 'N', 'Lenangen Søndre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.783 68.75)', 'NOR', 'N', 'Lavangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.983 69.817)', 'NOR', 'N', 'Lenangsøyra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.333 61.117)', 'NOR', 'N', 'Leirvik i Hyllestad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.95 66.05)', 'NOR', 'N', 'Leirfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.283 63.75)', 'NOR', 'N', 'Levanger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.2 61.133)', 'NOR', 'N', 'Listraumen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.883 63.55)', 'NOR', 'N', 'Langstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.817 59.75)', 'NOR', 'N', 'Langhus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.067 62.35)', 'NOR', 'N', 'Liavåg', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(8.367 58.233)', 'NOR', 'N', 'Lillesand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.3 58.85)', 'NOR', 'N', 'Litangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.6 68.15)', 'NOR', 'N', 'Leknes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.617 63.667)', 'NOR', 'N', 'Leksvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.767 67.733)', 'NOR', 'N', 'Leines', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.367 62.967)', 'NOR', 'N', 'Lyngstad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.983 68.417)', 'NOR', 'N', 'Lødingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.483 60.533)', 'NOR', 'N', 'Lonevåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.45 61.1)', 'NOR', 'N', 'Lærdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.483 65.367)', 'NOR', 'N', 'Lessremman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.5 59.767)', 'NOR', 'N', 'Leirvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.65 59.333)', 'NOR', 'N', 'Larkollen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.967 61.25)', 'NOR', 'N', 'Lutelandet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.833 66.417)', 'NOR', 'N', 'Lurøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.45 61.433)', 'NOR', 'N', 'Luster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.217 69.583)', 'NOR', 'N', 'Lyngseidet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.6 59.9)', 'NOR', 'N', 'Lysaker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.917 58.467)', 'NOR', 'N', 'Maurholen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.45 58.017)', 'NOR', 'N', 'Mandal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.567 60.883)', 'NOR', 'N', 'Matre - Masfjorden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.833 71.033)', 'NOR', 'N', 'Mehamn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.633 59.167)', 'NOR', 'N', 'Menstad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.667 62.667)', 'NOR', 'N', 'Midsund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.733 67.45)', 'NOR', 'N', 'Misten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.2 65.833)', 'NOR', 'N', 'Mosjøen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.233 64.067)', 'NOR', 'N', 'Malm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.267 63.283)', 'NOR', 'N', 'Melhus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.067 60.8)', 'NOR', 'N', 'Mongstadbase', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.15 62.733)', 'NOR', 'N', 'Molde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.017 60.817)', 'NOR', 'N', 'Mongstad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.833 67.7)', 'NOR', 'N', 'Mørsvikbotn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.383 59.7)', 'NOR', 'N', 'Mosterhamn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.267 59.517)', 'NOR', 'N', 'Mølstrevåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.133 66.317)', 'NOR', 'N', 'Mo i Rana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.833 63.433)', 'NOR', 'N', 'Muruvika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.033 67.883)', 'NOR', 'N', 'Moskenes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.65 59.417)', 'NOR', 'N', 'Moss', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.983 60.55)', 'NOR', 'N', 'Mjølkevikvarden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.867 58.967)', 'NOR', 'N', 'Nevlunghamn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.983 61.9)', 'NOR', 'N', 'Nordfjordeid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.183 63.95)', 'NOR', 'N', 'Nordfosen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.833 58.067)', 'NOR', 'N', 'Ny Hellesund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.133 60.367)', 'NOR', 'N', 'Norheimsund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.8 63.683)', 'NOR', 'N', 'Hammarvika - Frøya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.35 69.233)', 'NOR', 'N', 'Nordkjosbotn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.167 69.917)', 'NOR', 'N', 'Nordlenangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.683 69.133)', 'NOR', 'N', 'Nordmela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.567 63.717)', 'NOR', 'N', 'Nordskaget - Frøya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.017 66.2)', 'NOR', 'N', 'Nesna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.417 68.417)', 'NOR', 'N', 'Narvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.867 70.083)', 'NOR', 'N', 'Nyelv', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(5.6 62.217)', 'NOR', 'N', 'Larsnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.567 59.55)', 'NOR', 'N', 'Tofte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.533 60.067)', 'NOR', 'N', 'Odda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.8 61.833)', 'NOR', 'N', 'Olden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.517 69.6)', 'NOR', 'N', 'Olderdalen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.8 59.6)', 'NOR', 'N', 'Ølen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.967 60.217)', 'NOR', 'N', 'Omastranda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.017 59.233)', 'NOR', 'N', 'Ombo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.467 60.167)', 'NOR', 'N', 'Os', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.833 63.317)', 'NOR', 'N', 'Orkanger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.083 62.183)', 'NOR', 'N', 'Ørsta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.017 60.583)', 'NOR', 'N', 'Osa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.567 59.583)', 'NOR', 'N', 'Osnes - Vindafjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.733 59.9)', 'NOR', 'N', 'Oslo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.5 64.45)', 'NOR', 'N', 'Namsos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.75 63.7)', 'NOR', 'N', 'Ottersbo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.283 64.867)', 'NOR', 'N', 'Ottersøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.183 67.9)', 'NOR', 'N', 'Bogøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.2 60.383)', 'NOR', 'N', 'Øystese', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.633 59.133)', 'NOR', 'N', 'Porsgrunn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.567 59.1)', 'NOR', 'N', 'Rafnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.5 68.483)', 'NOR', 'N', 'Ramsund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.05 62.267)', 'NOR', 'N', 'Raudbergvika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.633 59)', 'NOR', 'N', 'Randaberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.25 58.333)', 'NOR', 'N', 'Rekefjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.683 59.083)', 'NOR', 'N', 'Rennesøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.75 59.433)', 'NOR', 'N', 'Raunes - Vindafjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.133 67.517)', 'NOR', 'N', 'Røst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.6 70.1)', 'NOR', 'N', 'Reinfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.233 58.717)', 'NOR', 'N', 'Risør', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.6 58.933)', 'NOR', 'N', 'Risavika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.55 62.25)', 'NOR', 'N', 'Gjerdsvika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.75 62.183)', 'NOR', 'N', 'Rovde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.117 62.833)', 'NOR', 'N', 'Raudsand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.217 61.067)', 'NOR', 'N', 'Rutledal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.667 62.4)', 'NOR', 'N', 'Runde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.233 64.85)', 'NOR', 'N', 'Rørvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.783 59.383)', 'NOR', 'N', 'Rygge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.717 68.9)', 'NOR', 'N', 'Salangsverket', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.217 59.117)', 'NOR', 'N', 'Sandefjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.833 59.55)', 'NOR', 'N', 'Sandeid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.45 64.317)', 'NOR', 'N', 'Sandviksberget', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.667 69.95)', 'NOR', 'N', 'Stakkvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.817 68.867)', 'NOR', 'N', 'Salangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.733 58.85)', 'NOR', 'N', 'Sandnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.35 59.633)', 'NOR', 'N', 'Sauda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.283 60.733)', 'NOR', 'N', 'Severåsvåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.25 59.483)', 'NOR', 'N', 'Sand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.667 68.95)', 'NOR', 'N', 'Sandøya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.483 59.75)', 'NOR', 'N', 'Stord base', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.65 66)', 'NOR', 'N', 'Botn - Sandnessjøen', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(11.867 64.8)', 'NOR', 'N', 'Salsbruket', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.517 59.883)', 'NOR', 'N', 'Sandvika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.983 62.367)', 'NOR', 'N', 'Stordal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.583 66.133)', 'NOR', 'N', 'Seljeli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.733 63.617)', 'NOR', 'N', 'Selva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.583 62.333)', 'NOR', 'N', 'Straumsgjerde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.733 60.55)', 'NOR', 'N', 'Stanghelle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.833 63.733)', 'NOR', 'N', 'Siholmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.033 60.85)', 'NOR', 'N', 'Skipavik - Gulen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.333 62.033)', 'NOR', 'N', 'Selje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.483 69.5)', 'NOR', 'N', 'Senjahopen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.433 69.267)', 'NOR', 'N', 'Seljelvnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.8 62.467)', 'NOR', 'N', 'Sjøholt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.833 68.883)', 'NOR', 'N', 'Sjøvegan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.25 69.383)', 'NOR', 'N', 'Skibotn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.6 59.2)', 'NOR', 'N', 'Skien', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.1 60.25)', 'NOR', 'N', 'Skogsvåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.033 59.017)', 'NOR', 'N', 'Skjærhalden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.75 59)', 'NOR', 'N', 'Skjerkøya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.05 64.033)', 'NOR', 'N', 'Stokksund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.9 68.567)', 'NOR', 'N', 'Stokmarknes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.333 68.017)', 'NOR', 'N', 'Vedde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.267 59.133)', 'NOR', 'N', 'Skudeneshavn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.15 63.7)', 'NOR', 'N', 'Skogn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.967 70.033)', 'NOR', 'N', 'Skjervøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.833 61.067)', 'NOR', 'N', 'Solund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.5 59.867)', 'NOR', 'N', 'Slependen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.5 59.317)', 'NOR', 'N', 'Slagentangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.483 59.767)', 'NOR', 'N', 'Slemmestad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.067 60.85)', 'NOR', 'N', 'Sløvåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.417 68.7)', 'NOR', 'N', 'Sortland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8 63.45)', 'NOR', 'N', 'Smøla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.817 58.083)', 'NOR', 'N', 'Søgne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'Bytom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.567 70.8)', 'NOR', 'N', 'Snefjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.433 62.267)', 'NOR', 'N', 'Standal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.9 59.15)', 'NOR', 'N', 'Lysefjorden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.3 58.867)', 'NOR', 'N', 'Snekkevik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.1 61.217)', 'NOR', 'N', 'Sogndal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18 69.617)', 'NOR', 'N', 'Sommarøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.983 67.133)', 'NOR', 'N', 'Sørarnoy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.533 68.233)', 'NOR', 'N', 'Svolvær Osan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.1 59.267)', 'NOR', 'N', 'Sarpsborg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.333 62.45)', 'NOR', 'N', 'Spjelkavik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.117 69.133)', 'NOR', 'N', 'Sørreisa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.2 60.4)', 'NOR', 'N', 'Skarholmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.817 69.067)', 'NOR', 'N', 'Skrolsvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.933 62.3)', 'NOR', 'N', 'Stranda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.483 59.75)', 'NOR', 'N', 'Stord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.267 59.417)', 'NOR', 'N', 'Storesund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.783 58.5)', 'NOR', 'N', 'Sirevåg', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(12.633 66.017)', 'NOR', 'N', 'Sandnessjøen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.233 69.25)', 'NOR', 'N', 'Storsteinnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.467 68.7)', 'NOR', 'N', 'Straumsjøen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.833 63.717)', 'NOR', 'N', 'Sistranda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.7 59.033)', 'NOR', 'N', 'Stathelle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.217 60.1)', 'NOR', 'N', 'Storebø', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.483 64.017)', 'NOR', 'N', 'Steinkjer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6 58.967)', 'NOR', 'N', 'Steinvig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.883 63.467)', 'NOR', 'N', 'Stjørdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13 66.333)', 'NOR', 'N', 'Stokkvågen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.7 61.883)', 'NOR', 'N', 'Stryn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.867 60.617)', 'NOR', 'N', 'Stura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.033 58.983)', 'NOR', 'N', 'Stavern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.133 69.017)', 'NOR', 'N', 'Stø', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.55 62.667)', 'NOR', 'N', 'Sunndalsøra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.633 62.983)', 'NOR', 'N', 'Surnadal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.833 68.117)', 'NOR', 'N', 'Stamsund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.833 59.017)', 'NOR', 'N', 'Svartebukt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.283 61.767)', 'NOR', 'N', 'Svelgen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.75 58.967)', 'NOR', 'N', 'Stavanger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.55 68.217)', 'NOR', 'N', 'Svolvær', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.35 59.55)', 'NOR', 'N', 'Sveio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.95 63.7)', 'NOR', 'N', 'Stavneset - Rissa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.4 59.6)', 'NOR', 'N', 'Svelvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.567 62.4)', 'NOR', 'N', 'Sykkylven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.583 58.917)', 'NOR', 'N', 'Tananger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.417 62.233)', 'NOR', 'N', 'Tafjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.267 60.617)', 'NOR', 'N', 'Tangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.9 59.05)', 'NOR', 'N', 'Tau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9 63.467)', 'NOR', 'N', 'Tjeldbergodden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.667 65)', 'NOR', 'N', 'Tennfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.433 65.817)', 'NOR', 'N', 'Tjøtta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.733 62.283)', 'NOR', 'N', 'Tjørvåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.25 62.983)', 'NOR', 'N', 'Torjulvågen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13 66.517)', 'NOR', 'N', 'Tonnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.567 59.533)', 'NOR', 'N', 'Tofte - Hurum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.917 62.583)', 'NOR', 'N', 'Tomrefjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.417 59.25)', 'NOR', 'N', 'Tønsberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.1 69.333)', 'NOR', 'N', 'Torsken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.967 69.667)', 'NOR', 'N', 'Tromsø', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.517 64)', 'NOR', 'N', 'Trana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.4 63.433)', 'NOR', 'N', 'Trondheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.583 60.617)', 'NOR', 'N', 'Tyssebotn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.55 60.117)', 'NOR', 'N', 'Tyssedal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.9 71)', 'NOR', 'N', 'Tufjorden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.5 70.25)', 'NOR', 'N', 'Torsvåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.917 58.617)', 'NOR', 'N', 'Tvedestrand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.733 62.333)', 'NOR', 'N', 'Torvika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.967 69.6)', 'NOR', 'N', 'Tytebærvika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.7 69.85)', 'NOR', 'N', 'Uløybukt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.65 60.317)', 'NOR', 'N', 'Ullensvang', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(5.833 62.333)', 'NOR', 'N', 'Ulsteinvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.283 60.317)', 'NOR', 'N', 'Straume', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.233 59.3)', 'NOR', 'N', 'Sund - Karmøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.85 59.933)', 'NOR', 'N', 'Uskedalen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(4.883 59.3)', 'NOR', 'N', 'Utsira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.95 64.6)', 'NOR', 'N', 'Utvorda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.85 68.117)', 'NOR', 'N', 'Ulsvåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.917 60.567)', 'NOR', 'N', 'Ulvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.267 62.3)', 'NOR', 'N', 'Valldal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.633 63.817)', 'NOR', 'N', 'Valsneset', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.733 60.467)', 'NOR', 'N', 'Vaksdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.5 59.267)', 'NOR', 'N', 'Valløy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.233 63.55)', 'NOR', 'N', 'Vanvikan-Leksvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(31.1 70.367)', 'NOR', 'N', 'Vardø', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(9.417 58.883)', 'NOR', 'N', 'Valberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.05 62.133)', 'NOR', 'N', 'Volda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(29.767 70.067)', 'NOR', 'N', 'Vadsø', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12 65.65)', 'NOR', 'N', 'Vega', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.583 69.833)', 'NOR', 'N', 'Vengsøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.433 63.783)', 'NOR', 'N', 'Verdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.7 67.65)', 'NOR', 'N', 'Værøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.967 66.2)', 'NOR', 'N', 'Vikholmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.083 62.55)', 'NOR', 'N', 'Vigra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.917 59.5)', 'NOR', 'N', 'Vikedal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.583 61.083)', 'NOR', 'N', 'Vik - Sogn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.617 58.367)', 'NOR', 'N', 'Vikkilen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.283 63)', 'NOR', 'N', 'Vevang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.467 64.35)', 'NOR', 'N', 'Vingsand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20 70.067)', 'NOR', 'N', 'Vannvåg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.283 66.717)', 'NOR', 'N', 'Vågaholmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.417 59.167)', 'NOR', 'N', 'Vrengen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.417 60.15)', 'NOR', 'N', 'Vormsund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(8.2 63.383)', 'NOR', 'N', 'Vikan - Smøla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.4 62.95)', 'NOR', 'N', 'Visnes - Eide', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.067 62.633)', 'NOR', 'N', 'Vestnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(6.067 62.3)', 'NOR', 'N', 'Vartdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(5.733 59.483)', 'NOR', 'N', 'Vats', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.35 68.033)', 'NOR', 'N', 'Nusfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(84.867 27.017)', 'NPL', 'N', 'Birgunj ICD', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(80.983 29.267)', 'NPL', 'N', 'Silgarhi-Doti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(87.2 27.3)', 'NPL', 'N', 'Tumlingtar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(166.917 -0.55)', 'NRU', 'N', 'Nauru Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(172.95 -43.8)', 'NZL', 'N', 'Akaroa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.8 -36.833)', 'NZL', 'N', 'Auckland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(171.75 -43.917)', 'NZL', 'N', 'Ashburton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(173.967 -41.517)', 'NZL', 'N', 'Blenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(168.317 -46.6)', 'NZL', 'N', 'Bluff', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.8 -41.3)', 'NZL', 'N', 'Burnham Wharf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(172.633 -43.533)', 'NZL', 'N', 'Christchurch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(173.267 -42.817)', 'NZL', 'N', 'Cheviot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(175.5 -36.767)', 'NZL', 'N', 'Coromandel', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(174.717 -36.817)', 'NZL', 'N', 'Chelsea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.783 -36.833)', 'NZL', 'N', 'Devonport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(166.85 -45.283)', 'NZL', 'N', 'Doubtful Sound', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(173.883 -35.933)', 'NZL', 'N', 'Dargaville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(167.15 -45.45)', 'NZL', 'N', 'Deep Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(170.5 -45.867)', 'NZL', 'N', 'Dunedin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(170.083 -43.5)', 'NZL', 'N', 'Fox Glacier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(168.8 -46.567)', 'NZL', 'N', 'Fortrose', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(175.3 -40.467)', 'NZL', 'N', 'Foxton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(175.35 -36.167)', 'NZL', 'N', 'Port Fitzroy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(178.033 -38.667)', 'NZL', 'N', 'Gisborne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(171.2 -42.433)', 'NZL', 'N', 'Greymouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(172.833 -40.667)', 'NZL', 'N', 'Golden Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(170.967 -42.717)', 'NZL', 'N', 'Hokitika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(175.283 -37.783)', 'NZL', 'N', 'Hamilton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.9 -36.883)', 'NZL', 'N', 'Tamaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(168.35 -46.4)', 'NZL', 'N', 'Invercargill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(172.667 -43.383)', 'NZL', 'N', 'Kaiapoi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.683 -36.817)', 'NZL', 'N', 'Kauri Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(173.7 -42.417)', 'NZL', 'N', 'Kaikoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(173.967 -35.217)', 'NZL', 'N', 'Kerikeri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(172.8 -40.85)', 'NZL', 'N', 'Takaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(169.85 -46.267)', 'NZL', 'N', 'Kaitangata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.85 -36.417)', 'NZL', 'N', 'Kawau Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(172.717 -43.6)', 'NZL', 'N', 'Lyttelton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.967 -36.767)', 'NZL', 'N', 'Matiatia Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.5 -35.833)', 'NZL', 'N', 'Marsden Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(176.183 -37.633)', 'NZL', 'N', 'Mount Maunganui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(173 -41.117)', 'NZL', 'N', 'Motueka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(176.9 -39.467)', 'NZL', 'N', 'Napier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.017 -39.05)', 'NZL', 'N', 'New Plymouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(173.267 -41.25)', 'NZL', 'N', 'Nelson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(170.967 -45.083)', 'NZL', 'N', 'Oamaru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.667 -37)', 'NZL', 'N', 'Onehunga (Manukau Harbour)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.117 -35.317)', 'NZL', 'N', 'Opua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(170.617 -45.8)', 'NZL', 'N', 'Otago Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174 -41.283)', 'NZL', 'N', 'Picton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.817 -36.917)', 'NZL', 'N', 'Penrose', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(175.2 -36.783)', 'NZL', 'N', 'Pakatoa Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(170.6 -45.817)', 'NZL', 'N', 'Port Chalmers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(175.017 -40.917)', 'NZL', 'N', 'Paraparaumu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(175 -37.667)', 'NZL', 'N', 'Raglan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(173.283 -39.967)', 'NZL', 'N', 'Raroa FPSO', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(176.333 -38.167)', 'NZL', 'N', 'Rotorua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.817 -41.283)', 'NZL', 'N', 'Shelly Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(168 -47)', 'NZL', 'N', 'Stewart Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.733 -38.15)', 'NZL', 'N', 'Taharoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(171.25 -44.383)', 'NZL', 'N', 'Timaru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(172.883 -40.833)', 'NZL', 'N', 'Tarakohe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(175.867 -38.233)', 'NZL', 'N', 'Tokoroa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(175.533 -37.133)', 'NZL', 'N', 'Thames', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(176.167 -37.683)', 'NZL', 'N', 'Tauranga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(175.483 -36.3)', 'NZL', 'N', 'Tryphena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(173.233 -39.483)', 'NZL', 'N', 'Umuroa FPSO', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.983 -39.933)', 'NZL', 'N', 'Wanganui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(173.533 -41.567)', 'NZL', 'N', 'Wairau Valley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(175.767 -37.767)', 'NZL', 'N', 'Waharoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.633 -39.767)', 'NZL', 'N', 'Waverley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.3 -41.183)', 'NZL', 'N', 'Whekenui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(175.383 -36.233)', 'NZL', 'N', 'Whangaparapara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(170.183 -43.4)', 'NZL', 'N', 'Franz Josef', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(173.75 -35.033)', 'NZL', 'N', 'Whangaroa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(175 -36.783)', 'NZL', 'N', 'Surfdale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(177.367 -39.033)', 'NZL', 'N', 'Wairoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(169.15 -44.7)', 'NZL', 'N', 'Wanaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(172.683 -42.967)', 'NZL', 'N', 'Waikari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(169.133 -46.633)', 'NZL', 'N', 'Waikawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.783 -41.267)', 'NZL', 'N', 'Wellington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.483 -35.833)', 'NZL', 'N', 'Whangarei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(171.583 -41.733)', 'NZL', 'N', 'Westport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(171.1 -44.933)', 'NZL', 'N', 'Waitaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(175.7 -36.833)', 'NZL', 'N', 'Whitianga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(174.667 -36.4)', 'NZL', 'N', 'Warkworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(58.833 20.417)', 'OMN', 'N', 'Masirah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.2 7.567)', 'PAN', 'N', 'Bahía Piña', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.9 9.35)', 'PAN', 'N', 'Cristóbal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.967 9.483)', 'PAN', 'N', 'Cartí Tupile', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.583 9.45)', 'PAN', 'N', 'Corazón de Jesús', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.367 8.067)', 'PAN', 'N', 'Garachiné', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.167 7.517)', 'PAN', 'N', 'Jaqué', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.583 9.45)', 'PAN', 'N', 'Narganá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.533 8.967)', 'PAN', 'N', 'Marcos A. Gelabert International Apt/Panamá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.417 8.667)', 'PAN', 'N', 'Puerto Obaldía', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.233 9.3)', 'PAN', 'N', 'Playón Chico', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.633 9.433)', 'PAN', 'N', 'Río Azúcar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.833 9.45)', 'PAN', 'N', 'Río Sidra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.483 9.417)', 'PAN', 'N', 'Ticantiquí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.033 9.517)', 'PAN', 'N', 'Tubualá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.983 -13.533)', 'PER', 'N', 'Cuzco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.75 -7.183)', 'PER', 'N', 'Juanjuí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.983 -6.033)', 'PER', 'N', 'Moyobamba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.417 -6.333)', 'PER', 'N', 'Rodríguez de Mendoza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.983 -9.3)', 'PER', 'N', 'Tingo María', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.767 -13.233)', 'PER', 'N', 'Quince Mil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-151.75 -16.5)', 'PYF', 'N', 'Bora-Bora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-134.967 -23.15)', 'PYF', 'N', 'Iles Gambier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-138.8 -14.817)', 'PYF', 'N', 'Atoll Pukapuka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-138.533 -20.833)', 'PYF', 'N', 'Tureia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(148.25 -9.183)', 'PNG', 'N', 'Itogama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(145.967 -4.633)', 'PNG', 'N', 'Karkar Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(155.55 -6.217)', 'PNG', 'N', 'Arawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(150.633 -10.633)', 'PNG', 'N', 'Samarai', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(148.05 -9.15)', 'PNG', 'N', 'Tetebedi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.967 20.45)', 'PHL', 'N', 'Basco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.05 13.75)', 'PHL', 'N', 'Batangas/Luzon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(124.55 12.083)', 'PHL', 'N', 'Calbayog Apt, Samar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(125.15 6.117)', 'PHL', 'N', 'General Santos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(123.75 13.133)', 'PHL', 'N', 'Legaspi Apt, Luzon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(124 10.3)', 'PHL', 'N', 'Mactan Island Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.083 12.35)', 'PHL', 'N', 'San Jose Apt, Mindoro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(66.433 30.917)', 'PAK', 'N', 'Chaman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.733 32.933)', 'PAK', 'N', 'Jhelum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(70.183 25.7)', 'PAK', 'N', 'Khokhropar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(73.75 33.133)', 'PAK', 'N', 'Mirpur/AJK', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(74.517 32.5)', 'PAK', 'N', 'Sialkot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.15 52.933)', 'POL', 'N', 'Bielinek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18 53.15)', 'POL', 'N', 'Bydgoszcz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.567 50.267)', 'POL', 'N', 'Hrebenne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.067 49.95)', 'POL', 'N', 'Korczowa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.65 53.5)', 'POL', 'N', 'Kuznica Bialostocka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.15 52.85)', 'POL', 'N', 'Osinów Dolny', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22 50.05)', 'POL', 'N', 'Rzeszów', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21 52.25)', 'POL', 'N', 'Warszawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(142.5 53.117)', 'POL', 'N', 'Widuchowa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.467 31.5)', 'PSE', 'N', 'Gaza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-9.2 38.667)', 'PRT', 'N', 'Banatica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-6.75 41.817)', 'PRT', 'N', 'Bragança', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-8.433 41.55)', 'PRT', 'N', 'Braga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-28.017 38.6)', 'PRT', 'N', 'Calheta, Island São Jorge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-9.417 38.7)', 'PRT', 'N', 'Cascais', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-8.417 40.2)', 'PRT', 'N', 'Coimbra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-28.317 38.517)', 'PRT', 'N', 'Cais do Pico', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.467 41.733)', 'PRT', 'N', 'Chaves', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.5 40.283)', 'PRT', 'N', 'Covilhã', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.933 37.017)', 'PRT', 'N', 'Faro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-31.217 39.433)', 'PRT', 'N', 'Flores Island Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-28 39.067)', 'PRT', 'N', 'Graciosa Island Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-28.267 38.383)', 'PRT', 'N', 'Lajes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-8.617 41.15)', 'PRT', 'N', 'Porto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-25.517 37.817)', 'PRT', 'N', 'Ribeira Grande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-28.167 38.65)', 'PRT', 'N', 'São Jorge Island Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-25.167 36.967)', 'PRT', 'N', 'Santa Maria Island Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-27.217 38.717)', 'PRT', 'N', 'Terceira Island Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.75 41.3)', 'PRT', 'N', 'Vila Real', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-7.917 40.65)', 'PRT', 'N', 'Viseu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-16.75 32.667)', 'PRT', 'N', 'Zona Franca da Madeira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.667 -25.267)', 'PRY', 'N', 'Asunción', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.433 -23.4)', 'PRY', 'N', 'Concepción', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-55.9 -27.333)', 'PRY', 'N', 'Encarnación', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(51.533 24.983)', 'QAT', 'N', 'Umm Sa''id (Mesaieed)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(55.3 -20.917)', 'REU', 'N', 'Le Port', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(55.533 -20.883)', 'REU', 'N', 'Saint-Denis de la Réunion Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(55.483 -21.317)', 'REU', 'N', 'Saint Pierre de la Reunion', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(28.367 44.167)', 'ROU', 'N', 'Basarabi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.817 47.117)', 'ROU', 'N', 'Bors', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.983 45.267)', 'ROU', 'N', 'Braila', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.933 43.983)', 'ROU', 'N', 'Calafat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.333 44.2)', 'ROU', 'N', 'Calarasi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.017 44.35)', 'ROU', 'N', 'Cernavoda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.6 46.767)', 'ROU', 'N', 'Cluj-Napoca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.5 43.767)', 'ROU', 'N', 'Corabia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.65 44.633)', 'ROU', 'N', 'Drobeta-Turnu Severin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.9 45.883)', 'ROU', 'N', 'Deva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.9 47.1)', 'ROU', 'N', 'Episcopia Bihorului', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.05 45.433)', 'ROU', 'N', 'Galati', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.95 43.883)', 'ROU', 'N', 'Giurgiu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.6 47.167)', 'ROU', 'N', 'Iasi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.583 43.833)', 'ROU', 'N', 'Mangalia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.267 44.25)', 'ROU', 'N', 'Medgidia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.617 44.333)', 'ROU', 'N', 'Midia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.617 44.717)', 'ROU', 'N', 'Moldova Veche', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.65 44.083)', 'ROU', 'N', 'Oltenita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.4 44.7)', 'ROU', 'N', 'Orsova', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.083 44.567)', 'ROU', 'N', 'Otopeni Apt/Bucuresti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.517 44.683)', 'ROU', 'N', 'Portile de Fier Doi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.517 44.683)', 'ROU', 'N', 'Portile de Fier Unu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.017 44.95)', 'ROU', 'N', 'Ploiesti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.367 45.1)', 'ROU', 'N', 'Râmnicu Vâlcea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.05 45.817)', 'ROU', 'N', 'Simeria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.25 45.283)', 'ROU', 'N', 'Stamora Germana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(29.667 45.15)', 'ROU', 'N', 'Sulina (Port et Zone Franche)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.567 46.55)', 'ROU', 'N', 'Târgu-Mures', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.883 43.75)', 'ROU', 'N', 'Turnu Magurele', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.35 43.65)', 'ROU', 'N', 'Zimnicea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.467 44.817)', 'SRB', 'N', 'Belgrade (Beograd)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.9 43.317)', 'SRB', 'N', 'Nis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.167 44.6)', 'SRB', 'N', 'Pozarevac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(39.717 43.6)', 'RUS', 'N', 'Sochi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(61.667 69.767)', 'RUS', 'N', 'Amderma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(147.633 44.933)', 'RUS', 'N', 'Kuril''skiy Burevestnik AFB (Burevestnik AFB)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(47.233 56.133)', 'RUS', 'N', 'Cheboksary', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(145.85 44.033)', 'RUS', 'N', 'Yuzhno-Kuril''sk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(37.867 55.417)', 'RUS', 'N', 'Domodedovo Apt/Moscow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(86.083 55.333)', 'RUS', 'N', 'Kemerovo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(36.283 54.533)', 'RUS', 'N', 'Kaluga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(65.317 55.433)', 'RUS', 'N', 'Kurgan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(50.167 53.217)', 'RUS', 'N', 'Samara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(30.25 59.883)', 'RUS', 'N', 'Saint Petersburg (ex Leningrad)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(47.5 42.967)', 'RUS', 'N', 'Makhachkala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(37.6 55.75)', 'RUS', 'N', 'Moskva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(76.567 60.933)', 'RUS', 'N', 'Nizhnevartovsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(75.617 63.167)', 'RUS', 'N', 'Nojabrxsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(87.117 53.75)', 'RUS', 'N', 'Novokuznetsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(82.933 55.033)', 'RUS', 'N', 'Novosibirsk', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-173.3 64.383)', 'RUS', 'N', 'Provideniya, Bukhta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(36.717 45.217)', 'RUS', 'N', 'Taman''', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(65.5 57.15)', 'RUS', 'N', 'Tyumen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(48.35 54.3)', 'RUS', 'N', 'Ulyanovsk (Simbirsk)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(142.717 46.883)', 'RUS', 'N', 'Yuzhno-Sakhalinsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(44.583 48.8)', 'RUS', 'N', 'Volgograd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(47.3 24.133)', 'SAU', 'N', 'Al Kharj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(42.55 16.883)', 'SAU', 'N', 'Jizan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(38.033 24.083)', 'SAU', 'N', 'Yanbu al-Bahr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(160.217 -8.983)', 'SLB', 'N', 'Anuha Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(161.017 -8.85)', 'SLB', 'N', 'Ato''ifi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(155.883 -6.983)', 'SLB', 'N', 'Balalai Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(159.783 -11.283)', 'SLB', 'N', 'Bellona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(156.433 -6.7)', 'SLB', 'N', 'Choiseul Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(157.883 -8.567)', 'SLB', 'N', 'Seghe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(159.583 -8.1)', 'SLB', 'N', 'Fera Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(158.183 -8.767)', 'SLB', 'N', 'Nggatokae Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(156.85 -8.1)', 'SLB', 'N', 'Gizo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(157.583 -7.333)', 'SLB', 'N', 'Kaghau Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(157.117 -8.117)', 'SLB', 'N', 'Ringgi Cove, Kolombangara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(158.4 -7.583)', 'SLB', 'N', 'Barora Ite Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(155.867 -7.083)', 'SLB', 'N', 'Shortland Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(159.217 -9.117)', 'SLB', 'N', 'Yandina, Russell Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(53.683 -5.683)', 'SYC', 'N', 'Ile Desroches', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(55.933 -4.583)', 'SYC', 'N', 'Frégate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(55.467 -4.667)', 'SYC', 'N', 'Mahé Island Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(33.483 14.4)', 'SDN', 'N', 'Wad Medani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(30.217 13.183)', 'SDN', 'N', 'El Obeid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.433 13.45)', 'SDN', 'N', 'Geneina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.35 13.633)', 'SDN', 'N', 'El Fasher', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.45 12.15)', 'SDN', 'N', 'Juba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(32.667 13.167)', 'SDN', 'N', 'Kosti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.883 12.05)', 'SDN', 'N', 'Nyala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.183 59.383)', 'SWE', 'N', 'Älvenäs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.7 59.05)', 'SWE', 'N', 'Åmål', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.5 59.583)', 'SWE', 'N', 'Bålsta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.15 59.083)', 'SWE', 'N', 'Berga Örlogsskolor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.967 59.35)', 'SWE', 'N', 'Bällstaviken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12 57.85)', 'SWE', 'N', 'Bohus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.533 58.633)', 'SWE', 'N', 'Bråviken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.883 59.317)', 'SWE', 'N', 'Drottningholm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.75 56.167)', 'SWE', 'N', 'Elleholm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.1 59.667)', 'SWE', 'N', 'Enköping', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.383 62.3)', 'SWE', 'N', 'Essvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.3 59.317)', 'SWE', 'N', 'Gustavsvik/Stockholm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.133 58.117)', 'SWE', 'N', 'Göta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.05 59.35)', 'SWE', 'N', 'Gorsingeholm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.883 62.833)', 'SWE', 'N', 'Gustavsvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.867 59.4)', 'SWE', 'N', 'Järfälla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.55 59.55)', 'SWE', 'N', 'Kalmarsand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.783 59.083)', 'SWE', 'N', 'Kagghamra', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(16.1 59.433)', 'SWE', 'N', 'Kungsör', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.983 59.517)', 'SWE', 'N', 'Köping', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.133 59.767)', 'SWE', 'N', 'Linanäs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.583 59.417)', 'SWE', 'N', 'Löten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.817 58.7)', 'SWE', 'N', 'Mariestad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.133 57.65)', 'SWE', 'N', 'Mölnlycke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.383 59.467)', 'SWE', 'N', 'Ön', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.367 67.2)', 'SWE', 'N', 'Pajala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.5 62.5)', 'SWE', 'N', 'Söråker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.35 62.333)', 'SWE', 'N', 'Stockvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.8 58.933)', 'SWE', 'N', 'Stora Vika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(16.45 59.417)', 'SWE', 'N', 'Torshälla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.367 62.4)', 'SWE', 'N', 'Tunadal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(13.883 60.3)', 'SWE', 'N', 'Tyngsjö', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.533 59.267)', 'SWE', 'N', 'Underås', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.633 59.867)', 'SWE', 'N', 'Uppsala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.867 59.25)', 'SWE', 'N', 'Vårby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.367 46.267)', 'SVN', 'N', 'Brdo pri Kranju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.667 45.883)', 'SVN', 'N', 'Dobova', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.867 46.283)', 'SVN', 'N', 'Gruskovje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(14.267 45.5)', 'SVN', 'N', 'Jelsane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.667 45.867)', 'SVN', 'N', 'Obrezje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.633 78.217)', 'SJM', 'N', 'Longyearbyen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(11.95 78.933)', 'SJM', 'N', 'Ny-Ålesund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.15 48.733)', 'SVK', 'N', 'Banská Bystrica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.267 49.283)', 'SVK', 'N', 'Bardejov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.117 48.15)', 'SVK', 'N', 'Bratislava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.183 49.083)', 'SVK', 'N', 'Cerveny Kamen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.017 48.417)', 'SVK', 'N', 'Dobrá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.9 48.917)', 'SVK', 'N', 'Humenné', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.167 48.8)', 'SVK', 'N', 'Holíc', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.217 49)', 'SVK', 'N', 'Ilava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.15 49.267)', 'SVK', 'N', 'Javorina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.667 48.583)', 'SVK', 'N', 'Jablonov nad Turnou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.417 48.167)', 'SVK', 'N', 'Jesenské', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.283 48.7)', 'SVK', 'N', 'Koromla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.25 48.717)', 'SVK', 'N', 'Kosice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.017 48.667)', 'SVK', 'N', 'Kúty', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.417 49.133)', 'SVK', 'N', 'Kezmarok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.6 48.217)', 'SVK', 'N', 'Levice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.333 49.4)', 'SVK', 'N', 'Lysá nad Dunajcom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.017 48.433)', 'SVK', 'N', 'Malacky', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.917 48.75)', 'SVK', 'N', 'Michalovce', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.8 48.817)', 'SVK', 'N', 'Moravské Lieskové', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.717 49.417)', 'SVK', 'N', 'Mnísek nad Popradom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.017 48.583)', 'SVK', 'N', 'Moravsky Sväty Ján', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.45 49.517)', 'SVK', 'N', 'Oravská Polhora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.433 49.1)', 'SVK', 'N', 'Povazská Bystrica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.3 49.067)', 'SVK', 'N', 'Ruzomberok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.7 49.3)', 'SVK', 'N', 'Stará Lubovna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.517 48.433)', 'SVK', 'N', 'Selpice', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(22.15 48.967)', 'SVK', 'N', 'Snina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.733 47.8)', 'SVK', 'N', 'Stúrovo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.8 49.367)', 'SVK', 'N', 'Suchá Hora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.567 49.3)', 'SVK', 'N', 'Svidník', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.1 49.15)', 'SVK', 'N', 'Vysná Jablonka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.083 48.55)', 'SVK', 'N', 'Velké Kapusany', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.767 47.85)', 'SVK', 'N', 'Velky Meder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.15 48.517)', 'SVK', 'N', 'Velké Slemence', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(21.717 49.4)', 'SVK', 'N', 'Vysny Komárnik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.267 48.667)', 'SVK', 'N', 'Vysné Nemecké', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.6 49.25)', 'SVK', 'N', 'Zuberec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-13.133 8.367)', 'SLE', 'N', 'Hastings Apt/Freetown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-16.75 12.383)', 'SEN', 'N', 'Cap Skiring', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-16.5 16.033)', 'SEN', 'N', 'Saint Louis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(31.617 4.85)', 'SSD', 'N', 'Juba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(31.65 9.533)', 'SSD', 'N', 'Malakal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.117 18.05)', 'SXM', 'N', 'Sint-Maarten Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Arar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(35.85 34.85)', 'SYR', 'N', 'Arwad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(35.783 35.517)', 'SYR', 'N', 'Latakia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(20.817 13.817)', 'TCD', 'N', 'Abéché', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(19.283 11.45)', 'TCD', 'N', 'Abou-Deïa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(15.05 12.117)', 'TCD', 'N', 'N''Djamena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(100.517 13.75)', 'THA', 'N', 'Bangkok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(100.617 13.917)', 'THA', 'N', 'Don Muang Airport/Bangkok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(102.833 16.433)', 'THA', 'N', 'Khon Kaen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(102.733 17.867)', 'THA', 'N', 'Nong Khai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(100.6 7.2)', 'THA', 'N', 'Songkhla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-172.517 -8.533)', 'TKL', 'N', 'Atafu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-171.25 -9.367)', 'TKL', 'N', 'Fakaofo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-171.85 -9.167)', 'TKL', 'N', 'Nukunonu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(52.967 40.017)', 'TKM', 'N', 'Turkmenbashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(10.117 33.883)', 'TUN', 'N', 'Gabès', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-174.933 -21.367)', 'TON', 'N', '''Eua Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-175.2 -21.133)', 'TON', 'N', 'Nuku''alofa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.967 40.35)', 'TUR', 'N', 'Bandirma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(36.167 36.817)', 'TUR', 'N', 'Botas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.4 40.15)', 'TUR', 'N', 'Çanakkale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.017 39.583)', 'TUR', 'N', 'Edremit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(39.483 39.75)', 'TUR', 'N', 'Erzincan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(36.183 41.633)', 'TUR', 'N', 'Gerze', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27.15 38.417)', 'TUR', 'N', 'İzmir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(30.25 41.2)', 'TUR', 'N', 'Kefken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(40.883 41.167)', 'TUR', 'N', 'Pazar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(29.6 41.167)', 'TUR', 'N', 'Sile', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(39.267 41.033)', 'TUR', 'N', 'Vakfikebir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.517 10.65)', 'TTO', 'N', 'Port-of-Spain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.517 25.033)', 'TWN', 'N', 'Taipei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(121.55 25.067)', 'TWN', 'N', 'Taipei Songshan Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(22.217 48.433)', 'UKR', 'N', 'Chop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.933 48.3)', 'UKR', 'N', 'Chernivtsi (Chernovtsy)', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(37.8 48)', 'UKR', 'N', 'Donetsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(27 49.417)', 'UKR', 'N', 'Khmelnitskiy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.7 48.917)', 'UKR', 'N', 'Ivano-Frankivs''k', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(30.667 46.3)', 'UKR', 'N', 'Illichivs''k', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.567 48.667)', 'UKR', 'N', 'Kamenets-Podolskiy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(37.533 48.717)', 'UKR', 'N', 'Kramatorsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(24.033 49.833)', 'UKR', 'N', 'L''viv', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(32 46.967)', 'UKR', 'N', 'Mykolayiv', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(33.617 48.317)', 'UKR', 'N', 'Zaporozhye', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.05 50.317)', 'UKR', 'N', 'Prut', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(23.617 50.25)', 'UKR', 'N', 'Rava Ruskaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(34.1 44.95)', 'UKR', 'N', 'Simferopol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.583 49.55)', 'UKR', 'N', 'Ternopol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(25.333 50.75)', 'UKR', 'N', 'Lutsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.483 49.233)', 'UKR', 'N', 'Vinnytsya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-105.95 32.883)', 'USA', 'N', 'Alamogordo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-117.9 33.833)', 'USA', 'N', 'Anaheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-86.1 33.433)', 'USA', 'N', 'Talladega', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.717 41.333)', 'USA', 'N', 'Wilkes-Barre/Scranton Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-94.217 43.067)', 'USA', 'N', 'Algona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.733 42.117)', 'USA', 'N', 'Westfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-83.867 43.583)', 'USA', 'N', 'Bay City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-110.7 37.533)', 'USA', 'N', 'Bullfrog Basin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.917 42.083)', 'USA', 'N', 'Binghamton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-98.9 32.75)', 'USA', 'N', 'Breckenridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.983 37.067)', 'USA', 'N', 'Blackstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-88.9 40.467)', 'USA', 'N', 'Bloomington-Normal Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-97.483 25.9)', 'USA', 'N', 'Brownsville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-91.133 30.45)', 'USA', 'N', 'Baton Rouge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-111.033 45.667)', 'USA', 'N', 'Bozeman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-121.3 44.05)', 'USA', 'N', 'Bend', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-102.35 31.383)', 'USA', 'N', 'Crane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-144.783 65.567)', 'USA', 'N', 'Central', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-97.933 35.05)', 'USA', 'N', 'Chickasha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-96.5 33.083)', 'USA', 'N', 'Clearlake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-117.333 33.15)', 'USA', 'N', 'Carlsbad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-81.667 41.5)', 'USA', 'N', 'Cleveland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-104.217 32.417)', 'USA', 'N', 'Carlsbad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-92.333 38.95)', 'USA', 'N', 'Columbia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-96.467 32.083)', 'USA', 'N', 'Corsicana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-88.517 34.933)', 'USA', 'N', 'Corinth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-120.65 35.267)', 'USA', 'N', 'San Luis Obispo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-98.967 35.5)', 'USA', 'N', 'Clinton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.817 39.967)', 'USA', 'N', 'Coatesville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.317 34.983)', 'USA', 'N', 'Clinton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-107.633 31.817)', 'USA', 'N', 'Columbus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-115.467 32.667)', 'USA', 'N', 'Calexico', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-83.033 42.317)', 'USA', 'N', 'Detroit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-79.267 42.483)', 'USA', 'N', 'Dunkirk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-93.8 42.467)', 'USA', 'N', 'Webster City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-106.483 31.75)', 'USA', 'N', 'El Paso', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-110.533 41.783)', 'USA', 'N', 'Kemmerer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-114.033 40.733)', 'USA', 'N', 'Wendover', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-87.55 37.967)', 'USA', 'N', 'Evansville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-74.167 40.733)', 'USA', 'N', 'Newark', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-93.267 44.283)', 'USA', 'N', 'Faribault', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-90.783 35)', 'USA', 'N', 'Forrest City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-80.133 26.117)', 'USA', 'N', 'Fort Lauderdale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-81.867 26.633)', 'USA', 'N', 'Fort Myers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-163.017 65.883)', 'USA', 'N', 'Fink Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-94.383 35.383)', 'USA', 'N', 'Fort Smith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-102.867 30.883)', 'USA', 'N', 'Fort Stockton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-117.917 33.867)', 'USA', 'N', 'Fullerton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-85.133 41.033)', 'USA', 'N', 'Fort Wayne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-99.75 36.317)', 'USA', 'N', 'Gage', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-86.883 36.283)', 'USA', 'N', 'Greenville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-97.133 33.617)', 'USA', 'N', 'Gainesville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-82.783 40.733)', 'USA', 'N', 'Galion', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-88.017 44.517)', 'USA', 'N', 'Green Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.883 40.267)', 'USA', 'N', 'Harrisburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-80.75 32.2)', 'USA', 'N', 'Hilton Head Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-86.1 42.783)', 'USA', 'N', 'Holland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-157.85 21.3)', 'USA', 'N', 'Honolulu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-159.517 62.9)', 'USA', 'N', 'Holikachuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-95.35 29.75)', 'USA', 'N', 'Houston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.7 41.067)', 'USA', 'N', 'Westchester County Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.833 46.117)', 'USA', 'N', 'Houlton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-122.067 37.667)', 'USA', 'N', 'Hayward', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-80.133 26)', 'USA', 'N', 'Hollywood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.933 34.217)', 'USA', 'N', 'Wilmington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-86.15 39.767)', 'USA', 'N', 'Indianapolis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-91.517 41.65)', 'USA', 'N', 'Iowa City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.567 35.25)', 'USA', 'N', 'Kinston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-121.883 37.667)', 'USA', 'N', 'Pleasanton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-98.4 30.267)', 'USA', 'N', 'Johnson City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.767 40.633)', 'USA', 'N', 'John F. Kennedy Apt/New York', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-117.917 33.617)', 'USA', 'N', 'Newport Beach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-117.85 33.783)', 'USA', 'N', 'Orange', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.95 42.117)', 'USA', 'N', 'Johnson City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-89.017 42.667)', 'USA', 'N', 'Janesville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.4 40.083)', 'USA', 'N', 'King of Prussia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-165.767 54.133)', 'USA', 'N', 'Akutan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-106.3 35.883)', 'USA', 'N', 'Los Alamos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-105.583 41.3)', 'USA', 'N', 'Laramie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-115.15 36.067)', 'USA', 'N', 'Las Vegas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.25 43.633)', 'USA', 'N', 'Hanover-Lebanon-White River Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-102.167 45.933)', 'USA', 'N', 'Lemmon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.867 40.767)', 'USA', 'N', 'La Guardia Apt/New York', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-118.183 33.767)', 'USA', 'N', 'Long Beach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-85.017 33.033)', 'USA', 'N', 'La Grange', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-159.333 21.967)', 'USA', 'N', 'Kauai Island Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.817 46.9)', 'USA', 'N', 'Limestone', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-74.783 39.983)', 'USA', 'N', 'Mount Holly', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-108.733 42.833)', 'USA', 'N', 'Lander', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-99.483 27.5)', 'USA', 'N', 'Laredo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.633 38.283)', 'USA', 'N', 'Leonardtown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-102.2 31.933)', 'USA', 'N', 'Midland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-90.45 31.233)', 'USA', 'N', 'McComb', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-102.083 32.033)', 'USA', 'N', 'Midland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-94.567 39.1)', 'USA', 'N', 'Kansas City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-86.233 43.217)', 'USA', 'N', 'Muskegon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-87.6 45.1)', 'USA', 'N', 'Menominee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-94.967 33.167)', 'USA', 'N', 'Mount Pleasant', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.55 44.2)', 'USA', 'N', 'Barre-Montpelier Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-88.9 38.317)', 'USA', 'N', 'Mount Vernon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-122.317 48.417)', 'USA', 'N', 'Mount Vernon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.967 42.717)', 'USA', 'N', 'Marlboro (Marlborough)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-119.183 34.133)', 'USA', 'N', 'Port Hueneme', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-74 40.7)', 'USA', 'N', 'New York', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-122.633 48.283)', 'USA', 'N', 'Oak Harbor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-91.633 44.05)', 'USA', 'N', 'Winona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-87.9 41.967)', 'USA', 'N', 'O''Hare Apt/Chicago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-81.367 28.533)', 'USA', 'N', 'Orlando', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-88.617 37.083)', 'USA', 'N', 'Paducah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-136.217 57.45)', 'USA', 'N', 'Pelican', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-103.483 31.417)', 'USA', 'N', 'Pecos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-122.433 47.817)', 'USA', 'N', 'Puget Sound', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.483 37.117)', 'USA', 'N', 'Hampton-Williamsburg-Newport News Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-82.417 42.967)', 'USA', 'N', 'Port Huron', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-82.683 27.767)', 'USA', 'N', 'Saint Petersburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-111.317 34.217)', 'USA', 'N', 'Payson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-81.55 39.25)', 'USA', 'N', 'Parkersburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-97.25 48.95)', 'USA', 'N', 'Pembina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-93.2 31.033)', 'USA', 'N', 'Fort Polk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-80.117 26.233)', 'USA', 'N', 'Pompano Beach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-117.383 33.95)', 'USA', 'N', 'Riverside', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.633 40.567)', 'USA', 'N', 'Lewistown-Reedsville Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.45 37.55)', 'USA', 'N', 'Richmond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-73.35 44.983)', 'USA', 'N', 'Rouses Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-117.3 34.067)', 'USA', 'N', 'Colton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-81.45 39.4)', 'USA', 'N', 'Marietta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-72.967 43.617)', 'USA', 'N', 'Rutland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.783 35.933)', 'USA', 'N', 'Rocky Mount', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-77.65 36.45)', 'USA', 'N', 'Roanoke Rapids', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-121.483 38.567)', 'USA', 'N', 'Sacramento', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-117.15 32.7)', 'USA', 'N', 'San Diego', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-87.7 43.75)', 'USA', 'N', 'Sheboygan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.583 38.35)', 'USA', 'N', 'Salisbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-148.667 70.283)', 'USA', 'N', 'Prudhoe Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-121.283 37.95)', 'USA', 'N', 'Stockton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.85 40.783)', 'USA', 'N', 'Selinsgrove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-83.8 39.917)', 'USA', 'N', 'Springfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-95.633 29.6)', 'USA', 'N', 'Sugar Land', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(-151.383 61.983)', 'USA', 'N', 'Skwentna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-82.7 41.433)', 'USA', 'N', 'Sandusky, Erie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-88.933 38.617)', 'USA', 'N', 'Salem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-120.433 34.95)', 'USA', 'N', 'Santa Maria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-117.867 33.733)', 'USA', 'N', 'Santa Ana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-98.483 33.9)', 'USA', 'N', 'Wichita Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-89.667 41.733)', 'USA', 'N', 'Sterling-Rockfalls Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-80.467 35.667)', 'USA', 'N', 'Salisbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-94.817 39.767)', 'USA', 'N', 'Saint Joseph', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-78.5 41.4)', 'USA', 'N', 'Saint Marys', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-75.417 42.3)', 'USA', 'N', 'Sidney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-152.067 65.167)', 'USA', 'N', 'Tanana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-117.217 38.05)', 'USA', 'N', 'Tonopah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-82.4 36.467)', 'USA', 'N', 'Bristol-Johnson City-Kingsport (Tri-Cities Regional) Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-105.567 36.4)', 'USA', 'N', 'Taos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-110.95 32.117)', 'USA', 'N', 'Tucson International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-87.833 42.35)', 'USA', 'N', 'Waukegan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-89.517 34.35)', 'USA', 'N', 'Oxford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-87.05 41.467)', 'USA', 'N', 'Valparaiso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-89.117 41.317)', 'USA', 'N', 'Peru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-121.75 36.9)', 'USA', 'N', 'Watsonville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-76.433 38.183)', 'USA', 'N', 'Saint Marys City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-83.383 42.25)', 'USA', 'N', 'Willow Run Apt/Detroit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-82.167 28.233)', 'USA', 'N', 'Zephyrhills', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-57.583 -30.25)', 'URY', 'N', 'Bella Unión', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(65.783 38.85)', 'UZB', 'N', 'Karshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(60.633 41.55)', 'UZB', 'N', 'Urganch (Urgench)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(12.45 41.9)', 'VAT', 'N', 'Vatican City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.217 13)', 'VCT', 'N', 'Port Elizabeth, Bequia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.033 10.133)', 'VEN', 'N', 'Caripito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-63.55 8.117)', 'VEN', 'N', 'Ciudad Bolívar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-69.35 11.483)', 'VEN', 'N', 'Puerto Cumarebo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.75 4.333)', 'VEN', 'N', 'Icabarú', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-61.8 5.633)', 'VEN', 'N', 'Kanavayén', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-66.75 6.583)', 'VEN', 'N', 'Los Pijiguaos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-66.95 10.6)', 'VEN', 'N', 'Maiquetía', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.15 8.6)', 'VEN', 'N', 'Mérida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.217 11.65)', 'VEN', 'N', 'Punta Cardón', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-70.183 11.683)', 'VEN', 'N', 'Punto Fijo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-62.667 8.35)', 'VEN', 'N', 'Palúa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-60.933 5.017)', 'VEN', 'N', 'Parai-tepuí', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-67.45 6.217)', 'VEN', 'N', 'Puerto Páez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-71.983 8.9)', 'VEN', 'N', 'Santa Cruz del Zulia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-62 7)', 'VEN', 'N', 'San Salvador de Paul Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.933 18.35)', 'VIR', 'N', 'Saint Thomas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-64.733 17.75)', 'VIR', 'N', 'Saint Croix', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(107 10.517)', 'VNM', 'N', 'Cai Mep International Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(106.667 10.767)', 'VNM', 'N', 'Ho Chi Minh City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(105.967 9.6)', 'VNM', 'N', 'Soc Trang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(108.467 15.55)', 'VNM', 'N', 'Tamky', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(109.217 13.767)', 'VNM', 'N', 'Qui Nhon', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(106.433 18.067)', 'VNM', 'N', 'Vũng Áng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(105.783 10.033)', 'VNM', 'N', 'Can Tho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(169 -18.817)', 'VUT', 'N', 'Dillon''s Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(168.367 -17.067)', 'VUT', 'N', 'Émae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(168.25 -16.717)', 'VUT', 'N', 'Épi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(168.167 -15.167)', 'VUT', 'N', 'Maéwo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-178.117 -14.317)', 'WLF', 'N', 'Futuna Island Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-176.2 -13.233)', 'WLF', 'N', 'Wallis Island Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(45.833 13.833)', 'YEM', 'N', 'Aljouf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(43.767 15.833)', 'YEM', 'N', 'Albuq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(45.567 13.983)', 'YEM', 'N', 'Beidah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(42.9 14.833)', 'YEM', 'N', 'Hodeidah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(49.333 14.65)', 'YEM', 'N', 'Riyan Mukalla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(54 12.5)', 'YEM', 'N', 'Suqutrá', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(29.983 -26.533)', 'ZAF', 'N', 'Ermelo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.083 -26.2)', 'ZAF', 'N', 'Johannesburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(29.533 -31.633)', 'ZAF', 'N', 'Port Saint John''s', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(17.283 -30.2)', 'ZAF', 'N', 'Koiingnaas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(30.8 -27)', 'ZAF', 'N', 'Piet Retief', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(28.217 -25.7)', 'ZAF', 'N', 'Pretoria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(18.433 -34.183)', 'ZAF', 'N', 'Simon''s Town', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(29.817 -19.45)', 'ZWE', 'N', 'Gweru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(26.5 -19.167)', 'ZWE', 'N', 'Hwange National Park', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AIA', 'N', 'Anguilla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBRY', 'Brøndby', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHJB', 'Højbjerg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKPV', 'Kliplev', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKLYN', 'Lyngby', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Rafha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKNUD', 'Næssund', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSDO', 'Skarø/Drejø', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSOV', 'Sorvad', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ALB', 'N', 'Tirana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Salta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'San Lorenzo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Finke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EST', 'EESUA', 'Suaru sadam', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EST', 'EESVS', 'Saastna Vanasadam', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Falls Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EST', 'EEVYG', 'Vahtna', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'ESMAZ', 'Mazo', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIMAS', 'Masku', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FISTR', 'Strömma', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Flinders Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Finley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Forrest', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Forster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Forbes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Fossil Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Gayndah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'SENOG', 'Nordmaling', 'Y', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'ARE', 'N', 'Al Ain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Jamba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Santa Rosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Anthony Lagoon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cape Leeuwin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Goulburn Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Gamboola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Gibb River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Gordon Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'George Town', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Valcartier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Geraldton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Ewo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Geelong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Grenfell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Griffith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Grafton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Gregory Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Boigu Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Giengen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Great Keppel Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Glengyle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wuppertal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Glen Innes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Glenormiston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Gladstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Goldsworthy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Goods Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Goondiwindi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Elsenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Gosford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Gove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Garden Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Greenhead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sawston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Roebourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Richmond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Richmond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'American River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Knock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Alibag', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Guna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Uttan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Rockhampton Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Risdon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kebuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Roy Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Rokeby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Rosella Plains', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Roma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Renmark', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tomitsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Robinhood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Rockhampton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KWT', 'N', 'Kuwait', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Roper Bar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDV', 'N', 'Hanimaadhoo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Guadalajara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ngukurr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Roper Valley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Marree', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Robinson River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Roseberth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Au-Rose Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Haram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Rutland Plains', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Rottnest Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Merty', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Tustna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Saibai Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Spring Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Surfers Paradise', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Saint George', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Shay Gap', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PLW', 'N', 'Koror', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Shark Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Southport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Shepparton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Smith Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Smithton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Singleton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lawton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AZE', 'N', 'Djulfa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Niblack', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AZE', 'N', 'Gyandzha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Zlatarevo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Canavieiras', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Itabuna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Itaqui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'New Westminster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Oakville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKAAP', 'Aarup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Ocean Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKABT', 'Albertslund', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKADN', 'Arden', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKAEY', 'Aalestrup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKALN', 'Allingåbro', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKANB', 'Ans By', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKANS', 'Ansager', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKASV', 'Asnæsværkets Havn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKAUU', 'Aulum', 'N', 'Y', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKAVE', 'Avedøreværkets Havn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKAZS', 'Aars', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBDD', 'Bedsted, Sjælland', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBDG', 'Bording', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBDY', 'Brody', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBEL', 'Bellinge', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBGS', 'Bagsværd', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBID', 'Bindslev', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBJB', 'Bjerringbro', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBLG', 'Balling', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBLL', 'Billund', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBLP', 'Ballerup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBMG', 'Bramming', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBOR', 'Borup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBRA', 'Brande', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBRB', 'Brabrand', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBRE', 'Bredebro', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBRH', 'Branden Havn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBRP', 'Brørup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBRT', 'Brovst', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBRU', 'Brenderup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBTP', 'Bostrup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKBYL', 'Bylderup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKDAN', 'Cementfabriken Dania', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKDAS', 'Dansk Salts Havn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKDLB', 'Dalby', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKDRP', 'Durup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKDRS', 'Drosby', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKEDL', 'Endelave', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKENH', 'Ebenhausen', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKENV', 'Engesvang', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKFAA', 'Faaborg', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKFBG', 'Frederiksberg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKFGS', 'Feggesund', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKFJV', 'Fjerritslev', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKFNS', 'Fornæs', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKFRE', 'Fredensborg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKFRM', 'Farum', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKFSO', 'Farsø', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKRS', 'Kruså', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKFUP', 'Faarup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKFVG', 'Faarvang', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKFVJ', 'Faarevejle', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGBY', 'Gamby', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGDS', 'Gedsted', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGFE', 'Gentofte', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGFH', 'Gulfhavn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGIV', 'Give', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGJN', 'Gjern', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGJR', 'Gjerlev', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGJS', 'Gjessing', 'N', 'Y', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGLB', 'Gleibjerg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGLM', 'Glamsbjerg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGLO', 'Ganløse', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGLS', 'Glostrup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGLT', 'Galten', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGRD', 'Gredstedbro', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGRI', 'Grimstrup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGRN', 'Grindsted', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKGUD', 'Gudbjerg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHBG', 'Houborg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHBY', 'Haarby', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHDS', 'Hadsten', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHED', 'Hedensted', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHEJ', 'Hejls', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHEL', 'Helsinge', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHER', 'Herning', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHFE', 'Herfølge', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHHM', 'Hørsholm', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHHS', 'Hedehusene', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHJG', 'Hjørring', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHKV', 'Halsskov', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHLE', 'Hellested', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHME', 'Hammel', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHNN', 'Hinnerup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHOE', 'Holte', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHOL', 'Holeby', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHRN', 'Hørning', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHRP', 'Hellerup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHRS', 'Herskind', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHRU', 'Hørup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHRV', 'Herlev', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHSB', 'Holstebro', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHSE', 'Hunseby', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHSS', 'Hasselager', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHST', 'Holsted', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHSV', 'Haslev', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHTT', 'Hatting', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHUR', 'Hurup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHVG', 'Havnegade', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHVV', 'Hvidovre', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKHYL', 'Hyllinge', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKIKA', 'Ikast', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKISJ', 'Ishøj', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKJEL', 'Jelling', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Griffin Venture (oil terminal)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKJRD', 'Jordløse', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKJRP', 'Jyderup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKBY', 'Kyndbyvaerkets Havn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKEP', 'Kirke-Eskilstrup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKHV', 'Knudshoved', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKIB', 'Kibæk', 'N', 'Y', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKII', 'Saint Kilian', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKJE', 'Kjellerup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKLA', 'Klampenborg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKON', 'Cementfabrikken Kongsdal Havn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKRB', 'Kirkeby', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKRP', 'Karup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKVB', 'Klovborg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKVG', 'Kvistgaard', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKKVR', 'Kværndrup', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKLAA', 'Låsby', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKLGS', 'Langeskov', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKLIN', 'Lindø Havn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKLKO', 'Løgumkloster', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKLLS', 'Lille Skensved', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKLND', 'Lunderskov', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKLNE', 'Lynge', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKLOG', 'Løgstrup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKLYO', 'Lyngs Odde Havn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKMAR', 'Marslev', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKMRU', 'Mundelstrup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKMRV', 'Maribo', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKMUP', 'Moldrup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKNAV', 'Norre Alslev', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKNKV', 'Nordenskov', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKNRE', 'Nørre Aaby', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKOFQ', 'Orbæk', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKOKB', 'Østbirk', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKOOT', 'Charlottenlund', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKORO', 'Orø', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKOSD', 'Øster Snede', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKOTR', 'Ovtrup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKOTT', 'Otterup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKPAN', 'Pandrup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKPJE', 'Pjedsted', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKRIN', 'Ringe', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKRND', 'Rønde', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKRNG', 'Ringsted', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKRNM', 'Ranum', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKROF', 'Rødby, Fægehavn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKROR', 'Aalborg Portland Cementfabrikk', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKRSL', 'Roslev', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKRSS', 'Risskov', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKRYM', 'Ryomgård', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKRYS', 'Ryslinge', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSBG', 'Søborg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSBY', 'Sundby, Sjælland', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSEJ', 'Sejerslev', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSJB', 'Skejby', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSJO', 'Sjællands Odde', 'N', 'Y', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSKD', 'Skovlund', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSKI', 'Stenkilde', 'N', 'Y', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSKL', 'Skals', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSKM', 'Skamby', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSKO', 'Skodborg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSKP', 'Skørping', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSKS', 'Vojens', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSKT', 'Skodstrup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSLA', 'Slangerup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSLB', 'Silkeborg', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSLG', 'Slagelse', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSLV', 'Sælvig Havn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSMG', 'Slimminge', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSMO', 'Smørum', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSND', 'Sønder', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSNN', 'Svinninge', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSNS', 'Stenstrup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSNY', 'Sundby, Mors', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSPP', 'Sporup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSRO', 'Sorø', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSRP', 'Stenderup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSSV', 'Studstrupværkets Havn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSTG', 'Stignæsværkets Havn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSTT', 'Statoil-Havnen', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSUS', 'Sunds', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSVV', 'Stålvalseværket', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKSYD', 'Sydborg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKTBA', 'Taarbæk', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKTFT', 'Toftlund', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKTGV', 'Tinglev', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKTHM', 'Them', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKTLV', 'Taulov', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKTOE', 'Tørring', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKTOM', 'Tommerup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKTON', 'Tønder', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKTOR', 'Torup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKTRM', 'Tarm', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKTRN', 'Tranebjerg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKTRU', 'Trustrup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKTUB', 'Tuborg', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKTYB', 'Tyborøn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKULB', 'Ulfborg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKULD', 'Uldum', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKULL', 'Ullerslev', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVAD', 'Vadum', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVAL', 'Valby', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVAS', 'Vigsnæs', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVDE', 'Varde', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVDP', 'Vamdrup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVID', 'Videbaek', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVIG', 'Vig', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVIR', 'Virum', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVIY', 'Viby J', 'N', 'Y', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVJN', 'Vejen', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVLD', 'Vildbjerg', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVLL', 'Vallø', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVMB', 'Vemb', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EST', 'EEMIN', 'Männi Väikesadam', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVNR', 'Vinderup', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVOK', 'Vodskov', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVPP', 'Vipperød', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVRE', 'Avedore', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'DKVSV', 'Norjyllandsvarkets Havn', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Gascoyne Junction', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mount Gunson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EST', 'EEKOV', 'Kolviku nina', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Groote Eylandt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EST', 'EEKYM', 'Kuivalauka', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Granites', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Georgetown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EST', 'EEMNN', 'Männamäe paadisadam', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Gunnedah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Goulburn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Greenvale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Argyle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EST', 'EESYL', 'Silla', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EST', 'EEYLO', 'Loode tammik', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Gympie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'ESBAC', 'Barcia', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'ESBHR', 'Buempaso', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'ESCBS', 'Cala Sabina', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Long Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'ESLCI', 'La Caleta Interial', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Heathlands', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mount Gambier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIAAN', 'Äänekoski', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIALV', 'Alavus', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIAVS', 'Aavasaksa', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIFOG', 'Föglö', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIFOR', 'Förby', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIGDB', 'Gottby (Godby)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIHAU', 'Haukipudas', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Milingimbi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIHMY', 'Hämeenlinna (Tavastehus)', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIHOL', 'Hollola', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIHOU', 'Houtskär (Houtskari)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIHRJ', 'Harjavalta', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIHUN', 'Huittinen', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIHYR', 'Hyrylä', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIHYV', 'Hyvinkää (Hyvinge)', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIIJK', 'Ilmajoki', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIINI', 'Iniö', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIISN', 'Isnäs', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIIVL', 'Ivalo', 'N', 'Y', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIJPA', 'Jepua (Jeppo)', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIJRV', 'Jurva', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIJSK', 'Jämsänkoski', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIJVP', 'Järvenpää (Träskända)', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKAA', 'Kaarina (Sankt Karins)', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKAI', 'Karigasniemi', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKAJ', 'Kajaani (Kajana)', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKAO', 'Kuusamo', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKAU', 'Kauhava', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKEM', 'Kemi/Tornio (Kemi/Torneå)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKER', 'Kerava (Kervo)', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKEU', 'Keuruu', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKEV', 'Kuorevesi', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKHJ', 'Kauhajoki', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKIL', 'Kilpisjärvi', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKIM', 'Kemiö (Kimito)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKIV', 'Kivilompolo', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKJA', 'Karjaa (Karis)', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKJI', 'Kemijärvi', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKJO', 'Kalajoki', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKKR', 'Kökar', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKLI', 'Kolari', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKMI', 'Kokemäki', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKNP', 'Kankaanpää', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKNT', 'Kantvik', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKOR', 'Korppoo (Korpo)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKRK', 'Karkkila (Högfors)', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKRT', 'Kuortane', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKSI', 'Kuusankoski', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKSK', 'Kärsämäki', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKTK', 'Kotka', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Margaret River Station', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKTT', 'Kittilä', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKUH', 'Kuhmo', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKUL', 'Karhula', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKUM', 'Kumlinge', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKUS', 'Kustavi (Gustavs)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKVH', 'Koverhaara (Koverhar)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKVI', 'Kiuruvesi', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIKVO', 'Kouvola', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FILAN', 'Långnäs', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FILAP', 'Lappohja (Lappvik)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FILHI', 'Lahti (Lahtis)', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FILHJ', 'Lohja (Lojo)', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FILHK', 'Luhtajoki', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FILIK', 'Lieksa', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FILMA', 'Loimaa', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FILOV', 'Loviisa (Lovisa)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FILPI', 'Lappi', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FILPL', 'Lempäälä', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FILUV', 'Luvia', 'Y', 'N', 'Y', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIMAN', 'Mänttä', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIMER', 'Merikarvia (Sastmola)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIMHQ', 'Maarianhamina (Mariehamn)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIMRL', 'Muurla', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIMUO', 'Muonio', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FINAU', 'Nauvo (Nagu)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FINII', 'Niirala', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FINKK', 'Nakkila', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FINLI', 'Naantali (Nådendal)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FINOK', 'Nokia', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FINRP', 'Närpiö (Närpes)', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FINST', 'Nastola', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FINUI', 'Nuijamaa', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FINUU', 'Nuutajärvi', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIOIP', 'Oripää', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIOMA', 'Orimattila', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIOUK', 'Outokumpu', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIOUL', 'Oulu (Uleåborg)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIPAO', 'Parkano', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIPAR', 'Parainen (Pargas)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIPER', 'Pernaja (Pernå)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIPOH', 'Pohjankuru (Skuru)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIPSM', 'Pieksämäki', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIPUU', 'Puumala', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIPYH', 'Pyhäranta', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIPYI', 'Pyhäsalmi', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIRAJ', 'Rajajooseppi', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIRAO', 'Raisio', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIRIA', 'Riihimäki', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIRIS', 'Ristiina', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIRUO', 'Ruotsinpyhtää (Strömfors)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIRVN', 'Rovaniemi', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FISAL', 'Salo', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FISIP', 'Sipoo (Sibbo)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FISJY', 'Seinäjoki', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FISKB', 'Skogby', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FISKV', 'Kilpilahti (Sköldvik)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FISLL', 'Salla', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FISOT', 'Sodankylä', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FISUJ', 'Suonenjoki', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FITEI', 'Teijo', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FITER', 'Teerijärvi (Terjärv)', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FITKU', 'Turku (Åbo)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FITMP', 'Tampere (Tammerfors)', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FITOK', 'Tolkkinen (Tolkis)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FITRK', 'Tervakoski', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FITUP', 'Tupavuori', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FITVS', 'Taivassalo (Tövsala)', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIUTS', 'Utsjoki', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIUUK', 'Uukuniemi', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIVAA', 'Vaasa (Vasa)', 'Y', 'N', 'Y', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIVAI', 'Vainikkala', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIVAJ', 'Vaajakoski', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIVAM', 'Vammala', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIVAT', 'Vantaa (Vanda)', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIVEL', 'Velkua', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIVKK', 'Valkeakoski', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIVLA', 'Vaalimaa', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIVLI', 'Virolahti', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIVRT', 'Vartius', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIYLI', 'Ylivieska', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Macmahon Camp 4', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mount House', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mount Hotham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Milner Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mitchell Plateau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Merimbula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Minnipa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mittiebah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mainoru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Monkey Mia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Manjimup', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HRV', 'HR999', 'Croatia - Unknown', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Meekatharra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mount Cavenagh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HRV', 'HRXXX', 'RIS Inland waterways', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Alma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Augusta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'ISNOU', 'NORDFJOERDUR', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Point Wilson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'MXSCR', 'San Carlos', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLARM', 'Arnemuiden', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLBEG', 'Bergen aan Zee', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLBGS', 'Burgsluis', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLBSE', 'Bruinisse', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLCDP', 'De Cocksdorp', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLCPD', 'Camperduin', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLEAZ', 'Egmond aan Zee', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLENK', 'Enkhuizen', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLEUR', 'Europoort', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLHAN', 'Hansweert/Schore', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLHLW', 'Holwerd', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLKOG', 'Kortgene', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLKWK', 'Katwijk', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLMKM', 'Wonseradeel/Makkum', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLNPZ', 'Usquert/Noordpolderzijl', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLNTJ', 'Neeltje Jans', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLPTT', 'Petten', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLRSL', 'Roompotsluis', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLSNN', 'Sint-Annaland', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLSRL', 'Schoorl', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLSTA', 'Stavoren', 'Y', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLTEX', 'Texel', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLTHD', 'Terheijde', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLTNZ', 'Terneuzen', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLVLL', 'Vlieland', 'Y', 'N', 'Y', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLWTE', 'West-Terschelling', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLYSK', 'Yerseke', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLZIE', 'Zierikzee', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'NLZOT', 'Zoutkamp', 'Y', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Walcott', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Warrender', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Eden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Rapid Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ramingining', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Urgoon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Uruzgan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Zaranj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ATG', 'N', 'Antigua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ATG', 'N', 'Barbuda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Robinvale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARE', 'N', 'Minhad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Bamian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Bost', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Darwaz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Farah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Faizabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Gardez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Ghazni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Herat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Nimroz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Jalalabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Kabul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Kandahar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Khost', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Kuran-O-Munjan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Khwahan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Qala Nau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Maimana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Sardeh Band', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Sheghnan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Tirinkot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Taluqan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AFG', 'N', 'Kunduz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Andulo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'N''Zeto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Ambriz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Benguela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Cabinda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Cazombo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Catumbela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Cafunfo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Cangamba', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Cuito Cuanavale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Dirico', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Dundo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Lumbala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Negage', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Capanda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Lukapa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Luena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Luzamba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Malange', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Sumbe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Huambo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'N''Riquinha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Nzagi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Porto Amboim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Chitato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Lubango', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Menongue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'M''banza Congo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Kuito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Soyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Luau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Saurimo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Ongiva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AGO', 'N', 'Xangongo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Jorge Newbury Apt/Buenos Aires', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'San Rafael', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Paso de los Libres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Zapala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Barranqueras', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Colonia Catriel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Clorinda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Corrientes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Charata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Concordia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Carmen de Patagones', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Comodoro Rivadavia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Ceres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Catamarca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Orbost', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Cuatreros/Bahia Blanca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Caviahue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Caleta Olivia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Diamante', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Eldorado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Esquel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Formosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Gobernador Gregores', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'General Pico', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Chos Malal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Ingeniero Jacobacci', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Lago Argentino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'La Rioja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Jujuy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'La Cumbre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Las Heras', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Las Lomitas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Los Menucos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Monte Caseros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Mercedes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Mendoza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Miramar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Maquinchao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Necochea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'San Antonio Oeste', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Colonia Sarmiento', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Goya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Puerto Belgrano/Bahia Blanca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Pilcomayo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Puerto Galvan/Bahia Blanca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Perito Moreno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Puerto Nacional/Bahia Blanca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Pocitos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Posadas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Olivos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Pinamar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Rincón de los Sauces', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Trelew', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Resistencia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Santiago del Estero', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Sierra Grande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Santa Teresita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Tandil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Tartagal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'San Juan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Valcheta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Viedma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Villa Dolores', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'General Villegas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Villa Gesell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Pichanal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Ledesma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'Mosconi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ARG', 'N', 'San Pedro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ASM', 'N', 'Fitiuta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ASM', 'N', 'Ofu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ASM', 'N', 'Tau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUT', 'N', 'Sankt Anton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUT', 'N', 'Hohenems', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUT', 'N', 'Innsbruck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUT', 'N', 'Jungholz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUT', 'N', 'Linz', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'AUT', 'N', 'Mittelberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUT', 'N', 'Riezlern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUT', 'N', 'Vienna Danubepier Hov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUT', 'N', 'Wien', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUT', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Arrabury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Abingdon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Alpha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Amberley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bamaga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Abbot Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Adelaide Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Andamooka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Agnew', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Argyle Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Albany', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Amata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ammaroo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Angus Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ardrossan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Armidale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ararat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Alice Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Augustus Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Aurukun Mission', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Auvergne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Avalon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Alton Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Austral Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Aramac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Alexandria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Alroy Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ayers Rock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ayr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ballast Head', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Big Bell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Beachport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Barcaldine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bolwarra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bickerton Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bundaberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Badu Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bendigo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bedford Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Beagle Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bell Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Belmont', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bedourie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bloomfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Broken Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bathurst', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Brighton Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bulimba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Billiluna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Barkly Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Blackall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Biloela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bollon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Blackwater', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Broome', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Brampton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Broadmeadows', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ballina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Borroloola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Boulia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Balgo Hills', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Brisbane Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bright', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bourke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bathurst Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bairnsdale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Botany Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Brunette Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Betoota', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Busselton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Buffalo Venture', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bunbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Birdsville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Batavia Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Beverley Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Barrow Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Brewarrina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Burnie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bankstown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Beauty Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Baniyala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Balranald', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bizant', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Caloundra Head', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cobar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cherrabun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cape Barren Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Canberra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Condobolin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Canobie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Chinchilla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cape Cuvier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cowell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cooinda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Croydon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Camden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ceduna', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cessnock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Clifton Hills', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Camfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Carpentaria Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Coffs Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Caiguna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Catherine Hill Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Challis Venture (oil terminal)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Collie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Croker Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Coolah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Collan Islands', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Clarence River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cape Lambert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cunnamulla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cootamundra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Camooweal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Clermont', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Coonamble', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Coconut Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cloncurry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cairns', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Coonabarabran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cossack Pioneer (oil terminal)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Coolawanyah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Coober Pedy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cape Preston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cape Flattery', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Collarenebri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cherribah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Coorabie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Carlton Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cresswell Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Casino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Charleville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cooktown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cattle Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Caloundra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cudal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Coen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cleve', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Carnarvon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cowarie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cowra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Corowa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Christmas Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Charters Towers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Corryong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cluny', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Darra', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Dauan Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Dampier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Dubbo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Dalby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Daydream Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Delta Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Drumduff', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mudgee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Durham Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Dunk Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Docker River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Dulkaninna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Delissaville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Doomadgee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Dunbar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Denham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Deniliquin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Dongara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Devonport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Derby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Dorunda Station', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Dirranbandi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Durrie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Davenport Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Daly River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Dixie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Dysart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Diamantina Lakes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Daly Waters', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Edinburgh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Echuca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Edithburgh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Erldunda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Edward River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Einasleigh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Elkedra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Elcho Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Electrona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Emerald', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Eneabba West', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Esperance', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ernabella', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Etadunna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Eucla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Eva Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Evans Head', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Exmouth Gulf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Fairbarn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Halls Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hughenden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Horn Island', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Highbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hook Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Headingly', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hayman Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hillside', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Saint Helens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hamilton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Helenvale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hermannsburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hooker Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hope Tun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hope Vale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hay Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Heron Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Henbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Horsham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hamilton Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hopetoun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Humbert River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hervey Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hawker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Hay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Indulkana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Iffley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Innisfail', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Inkerman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Injune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Innamincka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ipswich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lockhart River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mount Isa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Isisford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Inverell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Inverway', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Jabiru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Jandakot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Julia Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Shute Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Jundah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Jurien Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Melbourne City Heliport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kalbarri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kirkimbie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kimberley Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kings Canyon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Streaky Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Collinsville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kings Creek Station', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kambalda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kamaran Downs', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kalkurung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kingscote', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kalgoorlie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kulgera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kingaroy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'King Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kingston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Koolburra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Klein Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kamileroi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Katanning', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'King Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kununurra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Koolatah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Koolan Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kalpowar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kempsey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Koonibba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kerang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kurundi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Springvale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Karratha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Katherine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kubin Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kurnell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kwinana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kowanyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Yangoonabie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Yeelirrie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Yalata Mission', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lady Barron', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Balcanoona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lindeman Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lord Howe Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lansdowne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Learmonth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lake Evella', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Leinster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lakefield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Leigh Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Legendre Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lightning Ridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Limbunya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lakeland Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Chillagoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lissadell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Linda Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lake Nash', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Leonora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lorraine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lock', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Longreach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Launceston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lismore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Latrobe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lyndhurst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lotusvale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lucinda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Laura Station', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Laura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Laverton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lawn Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lady Elliot Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Lizard Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Marble Bar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mount Buffalo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Maryborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mount Barnett', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Moorabbin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mcarthur River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Maroochydore Apt/Sunshine Coast', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Essendon Apt/Melbourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Moreton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mount Full Stop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Manners Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Millicent', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Merluna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Middlemount', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mungeranie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Maningrida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Monto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mountain Valley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Macdonald Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Moomba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mourilyan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Moranbah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mandora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Marqua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mildura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mareeba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Miners Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Marla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Melrose', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Moroak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Moree', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mount Swan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mount Sandford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Maitland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mitchell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mulga Park', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Muccan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Macksville', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mulka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Musgrave', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Morawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Moolawatana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Miranda Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Marion Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mitchell River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mullewa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Moruya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Murray Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Myroodah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Narrabri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Naracoorte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Narracoopa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Nambucca Heads', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Nambour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Sandstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Young', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Nifty', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Noonkanbah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Darnley Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Nullagine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Nicholson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'New Moon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Nappa Merry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Nowra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Nuriootpa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Napperby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Narrandera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Narrogin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Newry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Noosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Norseman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Scone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Noosaville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Northern Endeavour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Newcastle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Normanton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Numbulwar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Nullarbor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Nyngan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Orange', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Oban', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Oodnadatta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Cordillo Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ord River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Orchid Beach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Yorke Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Oakey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Olympic Dam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mornington', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Monkira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mooraberree', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Oenpelli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Yorketown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Orpheus Island Resort', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Osborne Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Orientos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Morney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ouyen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Adelaide', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Arthur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Paraburdoo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Botany', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Bonython', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Pearce', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Curtis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Pandie Pandie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Parndana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Penneshaw', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Pelican Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Peppimenarti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Exmouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Penong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Giles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Hedland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Hunter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Huon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Jackson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Parkes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Kembla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Keats', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Latta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Lincoln', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Palm Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Pirie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Proserpine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Macquarie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Proper Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Price', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Pardoo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Parramatta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Point Samson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Stanvac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Stanley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Stephens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Port Douglas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Portland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Skua Venture (oil terminal)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Saladin Marine Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Snake Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Stanthorpe', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'South Molle Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Spring Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Southern Cross', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Starcke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Sandringham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Strahan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Stradbroke Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Sturt Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Silver Plains', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Stanley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Stephen Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Stag Platform', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Strathmore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Saint Paul''s Mission', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Shaw River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Stawell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Swan Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'South West Rocks', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Sale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Sue Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Tangalooma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Tarcoola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Timber Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Tableland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Tennant Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Tocumwal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Theodore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Telfer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Traralgon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Thevenard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Thangool', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Tindal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Thursday Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Turkey Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Tamworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Towford Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Tom Price', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Trial Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Taree', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Townsville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Tumut', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Toowoomba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Tewantin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Torwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Tanbar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Tibooburra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Thylungra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Tobermorey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mabuiag Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Kalumburu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Undarra', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Queenstown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Quirindi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Quilpie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Ulverstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Woomera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Urangan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Useless Loop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Muttaburra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Nutwood Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Varanus Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Victoria River Downs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Vanrook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wallaroo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Waverney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wauchope', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wave Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Warwick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wondai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Weipa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Westernport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wee Waa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Walgett', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wangaratta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Winton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wilcannia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Warracknabeal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wallal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Walcha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wollogorang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Williamtown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Waterloo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Warrnambool', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mount Keith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Windarra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Windorah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wandoo Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wynyard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wodonga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Woodgreen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wollongong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wondoola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wonthaggi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wrotham Park', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Warrawagine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Airlie Beach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wudinna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wiluna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Woodie Woodie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'West Wyalong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Whyalla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Wyndham', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Colac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Mallacoota', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Minlaton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Yam Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Thargomindah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Taroom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Tara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Yampi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Yalgoo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Yuendumu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Bowen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'South Galway', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AUS', 'N', 'Springvale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ABW', 'N', 'Oranjestad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ABW', 'N', 'Sint Nicolaas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'AZE', 'N', 'Baku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BIH', 'N', 'Mostar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRB', 'N', 'Bridgetown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Akhaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Barisal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Chittagong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Comilla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Dhaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Ishurdi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Jessore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Khulna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Laksham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Mymensingh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Parbatipur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Rangpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Rajshahi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Sirajganj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Sandwip', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Saidpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Thakurgaon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Shamshernagar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGD', 'N', 'Sylhet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BEL', 'N', 'Albertkanaal ports', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BEL', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Aribinda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Arly', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Banfora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Boulsa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Diapaga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Djibo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Dori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Gaoua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Gorom-Gorom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Kantchari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Kaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Nouna', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Ouagadougou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Ouahigouya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Pama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Po', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Sebba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Tenkodogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Tambao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BFA', 'N', 'Tougan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Gorna Oryahovica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Haskovo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Jambol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Katunitza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Kulata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Kazanlak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Lom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Oltomantsi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Orehovo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Plovdiv', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Pleven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Silistra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Sofia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Svistov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Svilengrad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Stara Zagora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Tolbuhin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Topoli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BGR', 'N', 'Vidin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BDI', 'N', 'Bujumbura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BDI', 'N', 'Gitega', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BDI', 'N', 'Kirundo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BEN', 'N', 'Djougou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BEN', 'N', 'Kandi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BEN', 'N', 'Natitingou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BEN', 'N', 'Parakou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BMU', 'N', 'Hamilton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRN', 'N', 'Kuala Belait', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BOL', 'N', 'Santa Rosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Arapoti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Arraias', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Alta Floresta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Assis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Aripuana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Alegrete', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Alenquer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Almenara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Antonina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Arapiraca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Apucarana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Arapongas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Araraquara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Ariquemes', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Aratu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Altamira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Itauba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Barretos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Bauru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Belo Horizonte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Brumado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Blumenau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Barra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Barreiras', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Balsas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Boa Vista', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Vilhena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Buzios', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Cascavel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Carauari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Caruaru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Campos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Cachoeira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Confreza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Campo Grande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Coari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Carolina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Caldas Novas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Camocim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Corumba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Santana Do Araguaia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Confins International', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Campinas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Cururupu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Campina Grande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Costa Marques', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Caravelas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Colorado do Oeste', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Carutapera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Santa Vitoria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Curitiba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Caxias do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Cruz Alta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Cruzeiro do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Diamantino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Dourados', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Erechim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Espinosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Feira de Santana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Feijo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Floriano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Fortaleza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Franca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Guadalupe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Santo Angelo', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Rio de Janeiro Internacional Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Guanambi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Gurupi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Governador Valadares', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Imbituba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Santa Isabel do Morro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Ilha Solteira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Imperatriz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Ilheus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Ipiranga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Ipatinga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Itacoatiara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Itaituba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Itambacuri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Jacobina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Jacareacanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Juina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Jales', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Joinville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Juruena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Jatai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Juara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Lages', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Londrina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Leopoldina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Lins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Lontras', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Livramento', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Manaus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Matupa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Macapa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Macau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Monte Dourado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Montes Claros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Minacu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Monte Alegre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Mato Grosso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Mucuri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Cana Brava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Nova Xavantina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Miracema do Norte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Niteroi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Cacoal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Sinop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Ourinhos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Oiapoque', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Paulo Afonso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Pimenta Bueno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Porto Alegre do Nort', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Picos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Prado', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Presidente Dutra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Pelotas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Passo Fundo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Progresso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Ponta Grossa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Pinheiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Pitinga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Parintins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Pirapora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Ponta Pelada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Pampulha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Palmas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Porto Nacional', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Petrolina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Pôrto Alegre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Passos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Pato Branco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Pôrto Velho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Brusque', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Alcantara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Benjamin Constant', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Sobral', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Camacari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Campo Bom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Birigui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Botucatu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Cabo Frio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Canela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Currais Novos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Cachoeira do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Dracena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Conselheiro Lafaiete', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Guarapari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Icoaraci', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Dom Pedrito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Duque de Caxias', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Guaira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Piracicaba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Sete Lagoas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Castanhal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Novo Hamburgo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Iguatu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Lajeado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Mafra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Mogi das Cruzes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Rio Negrinho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Canoas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Osasco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Pirassununga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Gramado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Rio do Sul', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Sao Carlos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Sao Goncalo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Volta Redonda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Borba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Rio Branco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Recife', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Santa Maria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Rio Grande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Serra Norte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Serra Pelada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Rio Verde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Sao Paulo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Santos Dumont Apt/Rio de Janeiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Senhor do Bonfim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Soure', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'São Francisco do Sul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Santa Cruz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Sorocaba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Santa Rosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Salvador', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'São Sebastião', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Santarem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Santa Terezinha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Suia-Missu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Sao Felix Do Araguaia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Port Hope', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Tabatinga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Trombetas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Toledo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Torres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Tubarão', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Teixeira de Freitas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Uberaba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Ubatuba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Umuarama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Urubupunga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Uruguaiana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Varginha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Valenca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Viracopos Apt/Sao Paolo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Videira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Vila Rica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Votuporanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Chapeco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Xinguara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BRA', 'N', 'Sena Madureira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Andros Town, Andros Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Spring Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Bimini', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Cat Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Chub Cay, Berry Islands', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Crooked Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Cat Cays', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Duncan Town', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'North Eleuthera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Freeport, Grand Bahama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Grand Bahama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'George Town, Great Exuma Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Governors Harbour, Eleuthera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Inagua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Mayaguana Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Norman''s Cay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Paradise Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Powell Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Pitts Town', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Rum Cay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Treasure Cay, Great Abaco Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Staniel Cay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'South Andros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Walker''s Cay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'Seaplane Base', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BHS', 'N', 'San Salvador Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BTN', 'N', 'Paro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BTN', 'N', 'Phuntsholing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BWA', 'N', 'Kasane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Oshawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BWA', 'N', 'Hukuntsi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BWA', 'N', 'Jwaneng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BWA', 'N', 'Khwai River Lodge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BWA', 'N', 'Lobatse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BWA', 'N', 'Maun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BWA', 'N', 'Orapa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BWA', 'N', 'Selebi-Phikwe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BWA', 'N', 'Savuti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BWA', 'N', 'Shakawe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BWA', 'N', 'Suapan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BWA', 'N', 'Tsabong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BWA', 'N', 'Tuli Lodge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BLR', 'N', 'Mogilev', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BLR', 'N', 'Vitebsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BLZ', 'N', 'Belize City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BLZ', 'N', 'Corozal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BLZ', 'N', 'Melinda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BLZ', 'N', 'Orange Walk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BLZ', 'N', 'Punta Gorda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BLZ', 'N', 'San Pedro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BLZ', 'N', 'Silver Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Alert Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Amherstburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Andys Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Bathurst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Bayside (St Roberts)', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Blubber Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Blind Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Brockville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Baie Comeau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Beale Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Belledune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Bagotville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Bella Coola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Blacks Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Beloeil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Belleville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Boucherville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Burlington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Broughton Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Butterfly Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Bath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Britt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Bowmanville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Caraquet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cowichan Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cardinal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cape Dorset', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Chicoutimi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Chemainus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Chatham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Chandler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cohasset', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Chilko Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Colborne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Clarke City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Clyde River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Collingwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Campbellton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Corunna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Courtenay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Campobello', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Crofton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Courtright', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Côte-Sainte-Catherine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Clarkson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cornwallis Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cornwall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Great Bear Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Douglas Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Dalhousie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Digby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Edmonton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Erieau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Esquimalt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fort Albany', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fraser River', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Forestville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fort Simpson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fort Smith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Godbout', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Gros Cacouna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Ganges', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Goderich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Gold River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Grindstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Taltheilei Narrows', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Hall Beach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Halifax', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Hamilton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Hantsport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Havre-Saint-Pierre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Howe Sound', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Ilford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Ioco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Iona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Summit Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Jervis Inlet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kelsey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kingfisher Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kingston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Killarney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Knights Inlet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kinoosao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kitchener', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kitimat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kingsville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'King William Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Ladysmith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Lake Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Lakeview', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Lachute', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Lacolle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Ladner', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Little Current', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Little Narrows', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Liverpool', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Leamington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Langley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Laurie River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Listowel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Lunenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Magog', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Marathon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Meldrum Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Menzies Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Meteghan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Magdalen Is', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Mahone Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Michipicoten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Matane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Moncton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Morrisburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Moosonee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Maple Ridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Muskrat Dam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Masset', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Montreal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Mulgrave', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'North Arm Fraser', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Newcastle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'New Glasgow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Niagara Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Nanaimo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'New Richmond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'North Sydney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Nanisivik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Ottawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Owen Sound', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Port Alberni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Port Alice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pointe-aux-Basques', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Paspebiac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Port Colborne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Port Credit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pond Inlet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pender Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Port Hawkesbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Port Hardy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Picton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pikwitonei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Port Mellon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pangnirtung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Port Arthur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pointe-au-Pic', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Powell River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pointe au Pic', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Prescott', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Prince George', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Prince Rupert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Parry Sound', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Port Simpson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Port Stanley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Tahsis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Patricia Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Port Edward', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Port Maitland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Portneuf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pictou', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pugwash', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Quatsino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Quebec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Richmond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Resolute Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Regina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Rimouski', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Rupert Inlet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Saint-Andrews', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sherbrooke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Shelburne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sidney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Selkirk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Shediac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Shippegan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Simcoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Charlotte (Skidegate)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sarnia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sombra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sooke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sorel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Souris', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Spragge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Squamish', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sault-Sainte-Marie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sandspit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'La Sarre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Stoney Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Saint-Thomas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Saint-Stephen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Stewart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sudbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Summerside', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Summer Beaver', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Surrey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sydney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Silva Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Tadoussac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Texada Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Thorold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Thornhill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Thunder Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Inverlake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Tilbury Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Tungsten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Toronto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Trinity Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Tracy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Trois-Rivieres (Three Rivers)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Trenton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Tuktoyaktuk', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Tumbler Ridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Vancouver', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Vananda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Watson Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Wallaceburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Watson Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Welland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Welshpool', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Weymouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Whitefish', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Windsor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Wunnummin Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Winnipeg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Woodfibre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pincher Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Powell Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Killineq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kangiqsualujjuaq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kasabonika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Leaf Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'South Indian Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Tadoule Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cat Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Moose Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Alta Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Asbestos Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Lagrande 4', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Lyall Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Maple Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Lagrande 3', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Attawapiskat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kattiniq/Donaldson Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Miners Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Shearwater', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Angling Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Tofino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Uranium City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Bagotville Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Bull Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Bronson Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Borden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Bobquinn Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Telegraph Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Brochet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Centralia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cortes Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Castlegar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Caribou Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cape-Saint-James', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Colville Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Charlo', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cochrane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Co-Op Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Chetwynd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cross Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Coronation', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cartierville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Gagetown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fairmount Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Dawson City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Burwash Landings', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Drayton Valley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Hatchet Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Main Duck Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Dease Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Dauphin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Dolbeau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Dawson Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Broadview', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Desolation Sound', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kasba Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Bloodvein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Obre Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Doc Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Elliot Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Manitowaning', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Estevan Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fort Severn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Inuvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Amos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Frobisher Bay Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fontanges', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fort Hope', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Snare Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fort Reliance', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Flin Flon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fort Resolution', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fox Harbour (St Lewis)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Gagnon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Gillies Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Grande Cache', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Gorge Harbor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fort Good Hope', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'La Grande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Gimli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Greenway Sound', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Gods Narrows', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Geraldton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Iles de la Madeleine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Germansen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Gillam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Boende', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Hudson Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Hakai Pass', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Hope', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Hearst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Holman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Hamilton Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Hornepayne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Chevery', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sechelt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Hay River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Halifax Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Atikokan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pakuashipi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Ivujivik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Island Lk/Garden Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fort Liard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Johnny Mountain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Collins Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Knee Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kangirsuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kennosao Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Key Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kitkatla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Schefferville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Waskaganish', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Klemtu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Chisasibi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kirkland Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kindersley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Langara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Lac Biche', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kimmirut/Lake Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Chapleau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Wha Ti/Lac La Martre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Laforges', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Lansdowne House', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Meadow Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Clinton Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Mingan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'La Tuque', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Lebel-sur-Quevillon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Long Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Lytton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Mayo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Merritt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Maricourt Airstrip', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Montagne Harbor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Manitouwadge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Minaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Murray Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Merry Island', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Chibougamau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Maniwaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Natashquan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Wemindji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Norway House', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Hudson Hope', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Nitchequon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Nootka Sound', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Matagami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'North Spirit Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Arnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Old Crow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cold Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Falher', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Ogoki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Oxford House', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'High Level', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Paulatuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Peace River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Inukjuak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Aupauluk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pickle Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pikangikum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Peawanuck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pine Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fort Chipewyan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Burns Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Muskoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Quebec Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'The Pas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kimberley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kenora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Nakina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Regina Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Grande Prairie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Yorkton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'North Battleford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Dean River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Yarmouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Roberval', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Rocky Mountain House', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Rivers Inlet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Stuart Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Revelstoke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sable Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Suffield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Stony Rapids', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Lutselke/Snowdrift', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Smith Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sans Souci', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Saint-Léonard', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Salmon Arm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Spring Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Slate Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sainte-Thérèse-Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Salluit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Shearwater', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sachs Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Squirrel Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Hartley Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sturdee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Thicket Portage', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Alma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sullivan Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Thompson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Triple Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Terrace Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Tulugak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Metropolitan Area Apt/Toronto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Timmins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Tisdale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Telegraph Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pelly Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Montreal-Dorval Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Bonaventure', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'La Ronge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Vermilion', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Norman Wells', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Vancouver Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Buffalo Narrows', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Wiarton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Deer Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Petawawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kangiqsujuaq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Winnipeg Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Williams Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Winisk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Webequie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'White River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Whistler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Wrigley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cranbrook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Snake River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Killaloe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sioux Lookout', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Earlton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Terrace', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Whitehorse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Wawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Calgary Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Smithers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Rivers', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Lynn Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Cowley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Swift Current', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kapuskasing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Mont Joli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Ashcroft', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Gore Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Yellowknife', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Slave Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Teslin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Greenwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'York Landing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Bromont', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'East Main', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Faro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Old Fort Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fond du Lac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'South Trout Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Tulita/Fort Norman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Fairview', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Grand Forks', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Gods River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Little Grand Rapids', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'High Prairie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Jenpeg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Swan River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kaschechewan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Kegaska', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Negginan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Namu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sachigo Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Pine House', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Round Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Sandy Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Saint-Paul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Shamattawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Ignace', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Wollaston Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Basongo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Gbadolite', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Moba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Bukavu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Bumba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Beni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Boma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Basankusu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Bunia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Buta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Dili', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Lubumbashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Bandundu', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kinshasa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kisangani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kalemie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Gandajika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Gemena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Goma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Idiofa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Ikela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Inongo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Isiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kapanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kabinda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kabalo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kasenga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kananga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kilwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kikwit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kota Koli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kalima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kamina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kindu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kaniama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kongolo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Kolwezi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Lusambo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Libenge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Lisala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Lodja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Lusanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Luiza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Luozi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Matadi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Mbandaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Mweka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Moanda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Manono', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Nioki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Nkolo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'N''dolo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Ilebo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Punia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Pweto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Tshikapa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Uvira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COD', 'N', 'Yangambi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Yalinga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Alindao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Baboua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Baoro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Bambari', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Bouca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Bangui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Bangassou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Bakouma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Boda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Bouar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Bozoum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Bossangoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Batangafo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Carnot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Dekoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Gounda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Gordil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Grimari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Zemio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Birao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Kaga Bandoro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Kembé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Koumala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Kawadjia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Mobaye', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Mongoumba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Ndélé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Nola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Obo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Ouadda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Paoua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Rafai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Sibut', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Zanaga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Boundji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Betou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Brazzaville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Loubomo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Djambala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Gamboma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Impfondo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Makabana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Kindamba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Lague', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Lekana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Makoua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Mossendjo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Mouyondzi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Nkayi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Okoyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Ouesso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COG', 'N', 'Pointe Noire', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHE', 'N', 'Bern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHE', 'N', 'Genève', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHE', 'N', 'Lugano', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CHE', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHE', 'N', 'Zurich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CIV', 'N', 'Yamoussoukro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CIV', 'N', 'Bondoukou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CIV', 'N', 'Bouaké', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CIV', 'N', 'Daloa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CIV', 'N', 'Korhogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CIV', 'N', 'Man', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CIV', 'N', 'Abengourou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CIV', 'N', 'Tabou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CIV', 'N', 'Sassandra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COK', 'N', 'Aitutaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COK', 'N', 'Atiu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COK', 'N', 'Mangaia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COK', 'N', 'Mitiaro Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COK', 'N', 'Mauke Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COK', 'N', 'Rarotonga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CMR', 'N', 'Tiko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Dongguan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CMR', 'N', 'Bafoussam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CMR', 'N', 'Bali', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CMR', 'N', 'Douala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CMR', 'N', 'Dschang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CMR', 'N', 'Koutaba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CMR', 'N', 'Mamfe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CMR', 'N', 'Maroua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CMR', 'N', 'Batouri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Aheitubieke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Aidian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Aershan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Arhaxat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Anyang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Binhai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Beihai Fucheng Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Beicun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Beijiao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Beijingdongzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Beijingxizhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Beijingzhan/Beijing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Baketu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Beilun Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Burang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Benxi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Bayuquan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Guangzhou Baiyun International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Changchundongzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Chengduzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Chifeng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Zhengzhou Xinzheng International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Changchun Longjia International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Chengaogang', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Chongqing Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Changji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Chongqing Jiangbei International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Chenzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Chongqingdongzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Changshadongzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Laiwu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Changsha Huanghua International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Chengdu Shuangliu International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Haimen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Dalian Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Daxie Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Dandong Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Didu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Donggu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Dongjianggangqu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Dalian Zhoushuizi International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Dulata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jingan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xinhuan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Dongshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Dongshan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Dataizi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Zhangjiajie Hehua International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Dayaowan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Danzhimatou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Dezhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Ebuduge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Fuzhou Changle International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Petrov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Fuyang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Fuzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Dantou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Fuzhouxingang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Guanbu Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Guancheng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Guchengli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Gyirong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Ganqmod', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Gaosha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Guangzhoudongzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Nanan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Guangzhouchuanchang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Guangzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Haikou Meilan International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Harbin Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Harbinzhan/Harbin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Huadu Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Handan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Hohhot Baita International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Hefei Xinqiao International Apt', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Hongguang Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Hangzhou Xiaoshan International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Hengshui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Hulunbuir Hailar Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Heliwei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Huanghua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Huinong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Harbin Taiping International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Hongshanzui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Huangpu Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yinchuan Hedong International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jianganzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jiangcheng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xishuangbanna Gasa International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jiulongpo Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jilinzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jiamusi Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jiamusi Dongjiao Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jimiya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jinhaian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jiaokou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jiaoshan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jingtang Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jiuzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Kashi Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Nanchang Changbei International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Kalasu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Kunming Wujiaba International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Sanshan pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Korla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Kashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Kuytunzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Guiyang Longdongbao International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Guilin Liangjiang International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Kangzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Liaocheng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Longwu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Luohe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Laohushao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Lanzhou Zhongchuan Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Lilingzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Lijiang Sanyi Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Lanshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Lishui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Laiwu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Lhasa Gongga Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Luoyang Beijiao Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Longyan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Liaoyang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Luoyangzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Mayong', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Mudanjiang Hailang Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Mandula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Mengding', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Mohan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Meilin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Miaotou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Meishan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Meishan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Meixian Changgangji Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Muzhaerte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Nanchong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Qiqihar Sanjiazi Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Ningbo Lishe International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Nanning Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Nanjing Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Nanjing Lukou International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Niuguling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Nanning Wuxu International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Nansan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Nianshanyapojiao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Nianzigou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Manzhouli Xijiao Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Ordos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Beijing Shoudu International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Pingmeng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Sanjiangkou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shanghai Pudong International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Qingdao Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Quanhe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Chongwu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Qinzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Quzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Rongcheng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Riwo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Rugao Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Sanbaimen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Sanbu Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Suifenhezhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shanghai Hongqiao International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shenyang Taoxian International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shanghai Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shiqi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xinan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shanghaizhan/Shanghai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xian Xianyang International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shijingjiaoxin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Sijitun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shijiazhuang Zhengding International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shiliugang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Sanming', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shenwan', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shiquanhe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shanqiu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shangrao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shatuozi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Suqian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jieyang Chaoshan Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shayuchong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shenyangdongzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Sanya Fenghuang International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Suzhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shenzhen Baoan International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shenzhenzhan/Shenzhen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Qingdao Liuting International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Taizhou Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Tianbao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Tianjinbaoshuiqu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Qoqek Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Tacheng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Taykexkin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Tongliao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Jinan Yaoqiang International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Tianjin Binhai International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Huangshan Tunxi International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Riyadh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Taiyuan Wusu International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Tongzhong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Säckingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Urumqizhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Urumqi Diwobao International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Huangpo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Weihai Dashuipo Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Waigaoqiao Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Wuhan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Rushan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Zhangjiabu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Waigang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Wenjindu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Wenzhou Longwan International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Wuhan Tianhe International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Wuyishan Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Sunan Shuofang International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Wanzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xianguojilugang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xiashan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xichong Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xiangzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Hekou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xigaze', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Liuwudian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xiamen Gaoqi International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xianing', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xining Caojiabao Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xidi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xuzhou Guanyin Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Haian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xuzhou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yabagou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yichang Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yingde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yanguan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yingjiang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yangkou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yibin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yichang Sanxia Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yanji Chaoyangchuan Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yantai Laishan International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yancheng Nanyang International Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yierkeshitan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yangshan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yongtai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Yixing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Zibo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Zhongguancun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Zhanjiang Potou Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Zhangfeng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Zhenhai Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Zhuao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Zhangjiakou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Zhoushan Pt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Zhaoqingzhan/Zhaoqing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Shima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Xiazhai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Zaozhuang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CHN', 'N', 'Zhengzhoudongzhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'San Andres Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Apartado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Arauca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Armenia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Bucaramanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Buenaventura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Cali', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Cartago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Cartagena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Cucuta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'El Bagre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Barrancabermeja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Florencia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Monteria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Manizales', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Puerto Berrio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Pereira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Pasto', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Riohacha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Santa Marta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COL', 'N', 'Tumaco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CRI', 'N', 'Quepos (Puerto Quepos)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Baracoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Bayamo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Cienfuegos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Los Canos Apt/Guantanamo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Nueva Gerona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Guayabal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Holguin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Nicaro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Moa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Manzanillo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Guantanamo Nas Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Matanzas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Santa Cruz del Sur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Santiago de Cuba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CUB', 'N', 'Santa Clara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CPV', 'N', 'Maio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CPV', 'N', 'Mosteiros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CPV', 'N', 'Praia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CPV', 'N', 'Sao Nicolau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CXR', 'N', 'Christmas Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'As', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Benesov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Beroun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Bily Potok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Blansko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Bohumin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Bor u Tachova', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Brezova', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Broumov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Brno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Breclav', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Cheb', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Chomutov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Chrudim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Chotebuz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Dubi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Domazlice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Folmava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Frydlant', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Hate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Hlinsko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Hodonin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Holesov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Hrensko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Harrachov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Jablonec nad Nisou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Jablunkov', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Jihlava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Jindrichuv Hradec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Jirikov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Kaplice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Kladno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Kraliky', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Karlovy Vary', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Koprivnice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Kralovec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Krnov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Liberec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Lichkov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Litomysl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Litomerice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Lovosice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Lanzhot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Mikulovice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Melnik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Mohelnice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Milevsko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Mosty u Jablunkova', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Mikulov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Most', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Nachod', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Nedasova Lhota', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Nymburk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Olomouc', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Opava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Ostrava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Otrokovice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Pelhrimov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Plzen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Potucky-silnice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Pardubice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Praha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Pribram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Prostejov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Prachatice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Prerov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Pisek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Rokycany', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Rychnov nad Kneznou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Roudnice nad Labem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Rumburk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Rozvadov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Satov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Sudice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Strakonice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Semily', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Slatinany', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Sokolov', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Strelna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Svitavy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Sudomerice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Sumperk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Susice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Svaty Kriz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Tachov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Tabor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Teplice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Trinec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Trutnov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Turnov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Vseruby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Varnsdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Vimperk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Vojtanov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Vyskov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Zamberk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Zatec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Zlate Hory', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Zlin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Znojmo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Aachen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Aalen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Aarbergen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Abensberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Albbruck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Abtswind', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Achern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Aerzen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Augsburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ahaus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ahrensburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Aichach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Albstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Alsfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Alfeld/Leine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Altötting', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Alsbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Altenkirchen/Westerwald', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Allershausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Altusried', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Altena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Alzenau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ammerbuch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Amorbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Anklam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Annweiler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Apolda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Aschaffenburg', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ahrenshöft', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Aschersleben', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Assel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Auerbach/Vogtland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Aulendorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Aumühle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Alzey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Baden Baden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Backnang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bahratal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Aibling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Balingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bamberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Barntrup', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bargteheide', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ballenstedt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bautzen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Alexandersbad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Berleburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bietigheim-Bissingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Babenhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Brambach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bruchsal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Burgkirchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Camberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Driburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Schandau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bürstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Dürkheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bebra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Brand-Erbisdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Berchtesgaden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bensheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bernkastel-Kues', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bellheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Besigheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Betzdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Beverungen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bexbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bielefeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Friedrichshall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Borsfleth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Salzuflen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Godesberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Burgthann', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Baumholder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Hersfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Honnef', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Hönningen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Homburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bobenheim-Roxheim', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bocholt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bitterfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Biebesheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Biessenhofen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Birkenfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bischweier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bitburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Biedenkopf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Kissingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bergkamen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Kreuznach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Burgkunstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Lauterberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bindlach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Büttelborn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Buchloe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Blumberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Mergentheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Münstereifel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bempflingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Barmstedt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Münder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Nauheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Neustadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bönen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Neuenahr-Ahrweiler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bergneustadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bobingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bockhorst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Böblingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Berndshof', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Oldesloe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bochum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bonn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bopfingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Borken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bottrop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bovenden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Oeynhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Peterstal-Griesbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Brachttal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bremen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Brebach-Fechingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Burg/Dithmarschen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Reichenhall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Brilon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bramsche', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Börnsen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Brohl-Lützing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Birstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Breitenberg', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bretzenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Segeberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Breisach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Schönborn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Soden am Taunus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bessenbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bammental', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Baunatal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bretten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Tölz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bötzingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bünde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Burkhardtsdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Breuberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Burbach/Siegen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bühl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Büdingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Burgstetten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Vilbel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bestwig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Wildungen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Burgwedel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bayreuth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Bad Bergzabern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Calw', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Calden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Cham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Chemnitz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Chiemsee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Coburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Cochem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Coesfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Crailsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dachau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Darmstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Datteln', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dinkelsbühl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Deggendorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dexheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Deisenhofen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Delbrück', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dessau/Anhalt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Detmold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Diez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dingolfing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dahn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dillenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dietzenbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dieburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Diefenbach', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dinslaken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dissen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dornbusch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Döbeln', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dorfen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Donauwörth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dautphetal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dresden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dietenhofen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ditzingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Duderstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Düren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dülmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Durbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dudweiler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Dyckhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Denzlingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Deizisau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Eching/Freising', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Erbendorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Emsdetten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Edewecht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Eggenfelden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Eggenstein-Leopoldshafen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ehringshausen/Lahn-Dill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Eitorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Eisenach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Engelskirchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Edenkoben', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Elchingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Elztal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Elmshorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Eislingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Emmerich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Emmendingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Emsbüren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Eilenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ennepetal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Eppelheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Erbach/Odenwald', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Erlensee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Erfurt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Erding', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Erkelenz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Erlangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Erndtebrück', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Erftstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Erwitte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Eschborn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Estorf/Weser', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gensingen', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Esslingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Espelkamp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Essen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Eichstetten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Eschwege', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ettlingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Etzbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Euskirchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Eutin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Eltville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Fellbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Fridingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Friedrichshafen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Fürstenfeldbruck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Feucht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Freiberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Filderstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Frankenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Flörsheim am Main', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Friedberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Freising', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Friedrichstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Freilassing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Frechen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Freigericht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Fritzlar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Freudenstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Frankenthal/Pfalz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Fulda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Furth im Wald', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Garching an der Alz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gablingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gaggenau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gaildorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Garmisch-Partenkirchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gardelegen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gernsbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Giebelstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gelchsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Geldern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gevelsberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Geretsried', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Geseke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gelnhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Geisenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gelting', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gemünden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Germersheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gerolstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Geesthacht', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gengenbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gernsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gersthofen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Glauchau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Grebenhain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ginsheim-Gustavsburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gimbsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gittelde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Grinau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Geilenkirchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gladenbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Glatten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gernrode/Harz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gotha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Goch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gochsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gomaringen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Göppingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gottmadingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Greiz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Grimmenthal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Graben-Neudorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Grafenwöhr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Görisried', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Grünstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Grünberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Grevenbroich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gescher', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Günzburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gunzenhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Guldental', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gummersbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gundelsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gussenstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Gütersloh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Güstrow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Greven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Grenzach-Wyhlen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Haan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hachenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Halle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hafenlohr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Haiterbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Haibach/Aschaffenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Halstenbek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Halle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Haiger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hassfurt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hattingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Herzberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Herborn', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Harburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Heide', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hindelang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Heddesheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Heiden/Borken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hechingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hennef', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Heinsberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Heimenkirch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hersbruck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Heidenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Heilbronn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Herbrechtingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Heiligenhaus/Mettmann', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Heubach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hünfelden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hengersberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hofgeismar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Höhr-Grenzhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Herleshausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hattersheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hirschhorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hohenhorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hüllhorst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hohenwestedt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hilden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hille', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hilchenbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hiddenhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Harrislee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hohenlimburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Haldensleben', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hessisch Lichtenau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Höllriegelskreuth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Holtsee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hallstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hemhofen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hermeskeil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hemer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Herrenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Horb', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hockenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Höchst im Odenwald', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hohenlockstedt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Homburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hof', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Höchstadt an der Aisch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hoppstädten-Weiersbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Höxter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Horneburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Herford', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hörstel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Haren/Ems', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hausach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Heusenstamm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hochspeyer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Halberstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hüttisheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hetzerath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hünfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hürth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hungen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hückelhoven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Halver', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hoyerswerda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hückeswagen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Harsewinkel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Hünxe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Holzwickede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Herzogenaurach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Herzogenrath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ibbenbüren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Idstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Immenhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Illingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Illesheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Illertissen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ingelheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Idar-Oberstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Iserlohn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Isernhagen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Jagstzell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Jena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Jülich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kaarst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Karlsfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Karlsruhe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kaufering', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kahl am Main', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kaufbeuren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kamenz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Korschenbroich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Karben', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kindsbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kelsterbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kehl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kelheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kempten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kerpen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kevelaer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kellmünz', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kelkheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kellinghusen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kraichtal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kirn/Nahe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kippenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kirchheim/Teck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kitzingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kaltenkirchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kleinheubach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Klingenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kaiserslautern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kamen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Koblenz am Rhein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kötz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kollig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Korbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Konstanz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kornwestheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Königstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Königswinter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Konz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kampe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Küps', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Krummennaab', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kirchheimbolanden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kronberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Krauchenwies', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kreuztal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kronach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kruft', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kröv', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Karlstein am Main', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kalletal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Künzelsau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kümmersbruck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kulmbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kusel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Kreuzau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lägerdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Landsberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lahnstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lampertheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Landwürden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lahr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lambrecht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Langenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lügde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Landshut', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Leuna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lebach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Leer', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Legden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Leipzig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lemgo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lenningen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Leonberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lindenfels', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Laufenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lage', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Langelsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lauingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Saarlouis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lenggries', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Löhne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lichtenfels', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Linnich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lintelermarsch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lippstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Linken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lauda-Königshofen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Langenlonsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lemförde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lauenau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Langen bei Bremerhaven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Langen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lörrach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lossburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lohmar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lollar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Longuich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lotte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Laupheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ladenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lorsch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Landscheid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Linsengericht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Landstuhl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lennestadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lauterecken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lüdenscheid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lünen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ludwigsburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ludwigslust', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lüdinghausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ludwigsstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Lüchow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Leiwen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Langenzenn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Marktheidenfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Markdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Magdeburg', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mainz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Marl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Marnheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Marburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Magstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Marktschorgast', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Marktredwitz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Meersburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Much', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Malterdingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Meckenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Meddersheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mettlach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Menden/Sauerland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Merzig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mettmann', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Meilschnitz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Münsingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Monheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Murrhardt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Michelau in Oberfranken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Miesbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mindelheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Miltenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Michelstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mittenwald', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Markranstädt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Melsungen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Möckmühl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Memmingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mainburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mainhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Monzingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mölln', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Marktoberdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mogendorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mönsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Moosburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mallersdorf-Pfaffenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Morbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Meerane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Murg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Meerbusch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Marzling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Meschede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Marsberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mellrichstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mertingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mitterteich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Maintal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Metzingen', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Müllheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mukran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mühlacker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Münchsmünster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Murnau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mörfelden-Walldorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Meinerzhagen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nabburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nackenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nagold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nastätten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neuenhaus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neuburg an der Donau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nordhalben', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neunkirchen/Siegen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nordhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neidenstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neubrandenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Würzburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neuwied', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neidenfels/Pfalz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neckarsulm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neunkirchen-Seelscheid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neustrelitz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neumünster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neustadt (Wied)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neckarelz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Niefern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neugersdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neuhausen auf den Fildern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nidda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nienburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Niebüll', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nierstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Niederzier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neu Isenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neunkirchen am Sand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nottuln', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neckargemünd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Norden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nörten-Hardenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nieder-Olm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nördlingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Norderstedt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Netphen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Norderney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Niederkrüchten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neustadt/Aisch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neustadt an der Waldnaab', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neuenschleuse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neckarsteinach', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nassau/Lahn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Neutraubling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nettetal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nürtingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Nümbrecht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Oberammergau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Oberdachstetten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Oberstdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Oberwolfach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Oberursel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Obertshausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ochsenhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Waldshut-Tiengen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Oberderdingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Oelsa/Freital', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Öhringen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Oelde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Oer-Erkenschwick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Östringen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Offenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Offingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ofterschwang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Oberkirch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Oldenbüttel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Olching', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Olpenitz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Olsberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Oppenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ostfildern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Osterhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Obersulm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Osterburken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ottobrunn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Paderborn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Passau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pegnitz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Penzberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pfaffenhofen an der Ilm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pfarrkirchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pfullingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pforzheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pfungstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pfullendorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pfalzgrafenweiler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Philippsburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Philippsthal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Plüderhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pinneberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pirmasens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Plattling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Plettenberg', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Planegg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pleidelsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Plön', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Plochingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Plaidt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pocking', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pohlheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pomellen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Porz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Porta Westfalica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pirna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Preetz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Prichsenstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Prüm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Petershagen/Weser', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pulheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Pasewalk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Quedlinburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rabenau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Radolfzell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Radeberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rahden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rott am Inn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ramstein-Miesenbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Waldenbuch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ratingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Raunheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ravensburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rauschenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rheinböllen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Renchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Riede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Radevormwald', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rengsdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Regensburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rednitzhembach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Reinbek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Reken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Remagen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rendsburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rees', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Reutlingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Reinfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rheinfelden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Regen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rheindahlen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rheine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rheinbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rheinbrohl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Reinheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Remshalden', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rhodt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rheda-Wiedenbrück', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rinnthal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Renningen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Römerberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rockenhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rödermark', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rottweil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rosenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rothenburg ob der Tauber', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rodgau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rotenburg/Wümme', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Riesa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rosenberg/Ostalb', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rödental', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Rudersberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ruhpolding', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Runkel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ratzeburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Saarburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Saulheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sandhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Satrup', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schacht-Audorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schrobenhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Scheinfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schwerte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schwandorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schramberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schwetzingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schermbeck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schriesheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Saarbrücken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schwalmstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schweinfurt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Steenodde, Amrum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sande, Friesland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schorndorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Südlohn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sindelfingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Saal an der Donau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Manega', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sehestedt/Eider', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Selm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sendenhorst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sembach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sonthofen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schifferstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Siegen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Steinhagen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sankt Georgen im Schwarzwald', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schongau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sessenbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Steinheid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Seeheim-Jugenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Solnhofen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schmilka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schopfheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Siershahn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Straubenhardt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schloss Holte-Stukenbrock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Siegburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sinsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Simmertal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Stockelsdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schkopau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Siegelbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schopfloch/Freudenstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schwelm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Stadtlohn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Saulgau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schalksmühle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sigmaringen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wünnenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schwabmünchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Stemwede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sonnenfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Soest', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sohren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sonsbeck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Solingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sonneberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Solms', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schotten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Speyer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Speichersdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Spenge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Spangdahlem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sprendlingen/Rheinhessen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Straelen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sulzbach-Rosenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Streithausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schieder-Schwalenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Stutensee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Straubing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Stassfurt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Stolberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Steinheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Starnberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Stolberg/Harz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Stolpen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Stuttgart', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Steinfurt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Süderstapel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Westerburg/Westerwaldkreis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Suhl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schwabach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schwarzenfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schweich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schwieberdingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schwerin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Sinzig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Schenkenzell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Salzkotten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Tannenbergsthal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Tamm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Tauberbischofsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Trostberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Trebur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Tegernsee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Tettnang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Tettau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Thaleischweiler-Fröschen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Thale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wunsiedel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Thalfang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Thalheim/Erzgebirge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Tittmoning', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Titisee-Neustadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Todtnau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Torgau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Traunstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Treuchtlingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Triberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Trier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Trossingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Troisdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Traunreut', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Traben-Trarbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Trittau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Taunusstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Tübingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Türkheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Tussenhausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Tuttlingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Twist', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Berlin-Tegel Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Überlingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Uedem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Überherrn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Ürzig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Uffenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Uhingen', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Unna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Usingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Vacha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Vaihingen an der Enz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Valwig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Versmold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Velbert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Verden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Viersen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Vilseck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Velen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Vlotho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Völklingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Vöhringen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Voerde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Waldbröl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Warendorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wächtersbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wahlstedt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Waldheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Warstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Windischeschenbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wolfach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Weil der Stadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Weiterstadt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wedel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Weilburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Weiden in der Oberpfalz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wermelskirchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Werdohl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wetzlar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wildflecken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wernigerode', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wegberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Waghäusel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Waging am See', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wiesentheid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wilhermsdorf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Weiherhammer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Weinheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Westhofen/Rheinhessen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wiesbaden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wildenrath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wisch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wilster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Winsen/Luhe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wirges', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Waldkraiburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Weiskirchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wesseling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Willingen', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Weimar/Giessen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wald-Michelbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Weimar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wadern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wackernheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wörth am Rhein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wolfratshausen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wolfstein/Pfalz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Worms', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wörnitz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wipperfürth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Weilrod', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Werne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wehrheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wiernsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Walldürn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Würselen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wallscheid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wirsberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Weil im Schönbuch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wissen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Willstätt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wiesloch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wassertrüdingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wittenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wertheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Wetter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Witten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Finkenwerder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Zell am Harmersbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Zeil am Main', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Zellingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Zeltingen-Rachtig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Zinnwald-Georgenfeld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Zülpich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Zwickau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Zwiesel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DJI', 'N', 'Djibouti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'N', 'Assens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DNK', 'N', 'Mommark', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DMA', 'N', 'Dominica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DMA', 'N', 'Roseau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DOM', 'N', 'Boca Chica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DOM', 'N', 'Barahona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DOM', 'N', 'Cabo Rojo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DOM', 'N', 'La Romana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DOM', 'N', 'Pedernales', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DOM', 'N', 'Puerto Plata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DZA', 'N', 'Annaba (ex Bone)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DZA', 'N', 'Bejaia (ex Bougie)', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'DZA', 'N', 'Bethoula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DZA', 'N', 'Constantine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DZA', 'N', 'Djen-Djen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DZA', 'N', 'Oran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DZA', 'N', 'Skikda (ex Philippeville)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ECU', 'N', 'Balao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ECU', 'N', 'Galapagos Islands', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ECU', 'N', 'Loja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ECU', 'N', 'Machala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ECU', 'N', 'Quito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EGY', 'N', 'Abu Simbel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EGY', 'N', 'El Iskandariya (Alexandria)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EGY', 'N', 'Aswan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EGY', 'N', 'Abu Rudeis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EGY', 'N', 'El Qahira (Cairo)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EGY', 'N', 'Hurghada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EGY', 'N', 'Luxor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EGY', 'N', 'Port Said', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'EGY', 'N', 'New Valley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Alcudia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Badajoz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Cabezuela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Granada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Guantarajal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Lekeitio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Madrid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Puerto Colom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Pamplona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Corralejo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Reus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Santiago de Compostela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Salamanca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'San Sebastian de la Gomera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'La Tejita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Valladolid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ESP', 'N', 'Zona Franca de Cadiz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Addis Ababa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Arba Mintch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Asosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Awassa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Axum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Bulchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Bahar Dar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Debra Marcos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Dembidollo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Dire Dawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Dessie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Gondar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Gambela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Goba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Gore', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Humera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Jimma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Mekane Selam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Makale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Mizan Teferi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Mui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Mena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Soddu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Tippi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ETH', 'N', 'Waca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Saqani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Ba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Bua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Blue Lagoon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Castaway', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Cicia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Wakaya Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Kandavu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Korolevu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Koro Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Lakeba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Laucala Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Moala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Mana Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Nadi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Ngau Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Natadola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Pacific Harbor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Rabi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Rotuma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Savusavu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Turtle Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Taveuni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Vatukoula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Vatulele', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FJI', 'N', 'Yasawa Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FLK', 'N', 'Fox Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FLK', 'N', 'Mount Pleasant', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FSM', 'N', 'Kosrae (ex Kusaie)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FSM', 'N', 'Pohnpei (ex Ponape)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FSM', 'N', 'Chuuk (ex Truk)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FSM', 'N', 'Ulithi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FSM', 'N', 'Yap', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRO', 'N', 'Færøø Islands-Vagar Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Abbeville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Agen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Alès', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Ambérieux', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Amiens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Angers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Angoulême', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Annemasse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Arles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Artix', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Albertville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Auch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Auxerre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Aubergenville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Aurillac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Avoriaz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Avignon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Ayze', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Barcelonnette', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Bantzenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Bassens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Batilly', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Boucau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Beaune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Bec-d''Ambès', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Berre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Berguette', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Béthune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Blois', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Boussens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Belfort', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Bourges', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Bercy-Rapee/Paris', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Brétigny-sur-Orge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Bonsecours', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Bastide/Bordeaux', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Beauvais', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Béziers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Castres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Cavaillon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Carcassonne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Charles-de-Gaulle Apt/Paris', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Champs-de-Mars/Lille', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Cerbère', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Cholet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Chartres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Chaulnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Chateauroux', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Champigneulles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Clamart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Cléon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Chambéry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Compiègne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Colmar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Chaumont', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Cognac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Corbehem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Coussol/Fos-sur-Mer', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Creutzwald', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Creil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Cronenbourg/Strasbourg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Contrexéville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Culoz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Courchevel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Delle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Dijon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Dole', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Délivrance/Lille', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Douai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Deauville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Donges', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Dreux', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Les Deux-Alpes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Mouila', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Blakenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Bergerac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Nancy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Evry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Facture', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Feyzin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Nîmes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Foix', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Forbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Fougères', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Figari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Gaillard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Gaillon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Gannat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Gap', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Grandpuits-Bailly-Carrois', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Givors', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Grenoble', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Guillotière/Lyon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Grasse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Gravelines', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Guéret', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Guingamp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Gennevilliers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Chablis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Hagondange', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Haguenau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Hennebont', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Hoerdt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Hourcade/Bordeaux', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Harfleur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Irigny', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Izon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Lacq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'L''Ardoise', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Langres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Les Arcs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Lavelanet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Lauterbourg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Le Bourget Apt/Paris', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Le Boucau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'La Chapelle/Paris', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Le Creusot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Lourdes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Landerneau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Landivisiau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Le Boulou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Lens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Le Guildo/Créhen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Limoges', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Lyon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Les Laumes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'La Madeleine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'La Mède', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Le Mans', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Longueville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Longwy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'La Pallice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Lumes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Laval', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'La Veuve', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Bron Apt/Lyon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'La Puye', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Feltwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Mâcon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Malesherbes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Marmande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Maubeuge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Montluçon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Morcenx', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Modane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Meaux', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Melun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Mende', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Migennes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Millau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Miramas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Mulhouse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Montchanin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Montataire', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Molsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Morteau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Montargis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Montauban', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Montpellier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Montbéliard', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Montélimar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Mulhouse Nord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Megève', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Nantes-Armées', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Nanterre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Narbonne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Annecy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Neufchâteau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Niort', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Nemours', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Nevers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Aubenas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Orange', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Orléans', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Ottmarsheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Oullins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Bourgogne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Oyonnax', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Pont-l''Abbé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Paris', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Pont-du-Rhin/Strasbourg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Petit-Couronne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Perpignan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Poitiers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'La Plagne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Poissy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Pontarlier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Pontrieux', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Privas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Perrigny', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Portet-Saint-Simon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Porte-Neuve/Dijon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Pau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Troyes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Redon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Rodez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Reichstett', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Remoulins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Reims', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Richwiller', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Riom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Rivesaltes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Roanne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Rennes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Rognac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Roncq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Orléans Sta/Rouen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Roubaix', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Rungis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Sablon/Metz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Saumur', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Saverne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Sélestat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Sens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Sèvres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Sibelin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Saint-Laud/Angers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Soissons', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Sancerre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Saint-Claude', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Survilliers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Strasbourg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Sophia-Antipolis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Tarbes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Tarnos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Tergnier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Tignes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Thann', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Thonon-les-Bains', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Thouars', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Pantin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Toulouse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Tourcoing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Torcy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Toul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Trappes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Thoiry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Tours', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Thionville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Uckange', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Quimper', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Louvres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Valenciennes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Vesoul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Versailles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Vénissieux', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Vernouillet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Vichy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Villepinte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Viotte/Besancon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Vizille', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Verdun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Vittel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Woippy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Cahors', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Akieni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Bitam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Fougamou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Gamba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Ndjolé', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Ndende', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Lambarene', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Libreville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Mbigou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Moanda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Makokou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Franceville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Mayoumba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Mitzic', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Okondja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Owendo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Oyem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Port Gentil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GAB', 'N', 'Tchibanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Abbots Langley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Aberdare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Abridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Abington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Appley Bridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Auchterarder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Acton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Accrington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Alcester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Acton Grange', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Aldbourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Addington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Adlington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Addlestone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Adderbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Arley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Abingdon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Aughnacloy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Aldershot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Alderley Edge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Alfreton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Alsager', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Alnmouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Alton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Alston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Alnwick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Alconbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Amersham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ambergate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ambleside', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Amesbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Antrim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Annesley Woodhouse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Appleton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ash', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Armitage', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'New Alresford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Armagh', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Arnesby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Arnold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Arrington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Arundel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ashford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Allestree', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ashford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ashbourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Aston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ashington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ashwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Aston Clinton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Attenborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Aveley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Alveley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Andover', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Attleborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ailsworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Aylesham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Aycliffe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Aylesbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Aylesford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Banbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ballyclare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Barrowford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Baginton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Barnoldswick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Baldock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bascote', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bacup', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Basildon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Battlesbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Baulking', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bidford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Baltic Wharf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bilborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Boroughbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Blackbush', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Barnard Castle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Beccles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Brackley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Barton in the Clay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bordon Camp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bedale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bodmin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Biddulph', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Beaconsfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Beckingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Beeston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bedford', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Burslem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Burrelton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bures', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bromley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Braefoot Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bramfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bridgend', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Basingstoke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Borough Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Feltham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fenton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Burnham Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bagshot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Billingshurst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ballygowan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Buckhurst Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bromborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Beckhampton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Buckhaven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bicester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bridgtown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Billericay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bishop Auckland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Birtley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bilston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Biggleswade', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Brixworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Buckden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Barking/London', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Berkhamsted', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bally Kelly', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Brookmans Park', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Brockworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Brockenhurst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bakewell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Blockley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Blackford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Blackburn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bletchley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Blandford Forum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ballymoney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bletchingley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Belper', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bamberbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Borehamwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Beaminster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Brompton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bramley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bran End', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Benfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Binley', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Barton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bridgnorth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Burtonwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Boscombe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bollington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Botley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Borden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Botley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Burpham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bishop''s Waltham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Broseley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bridgend', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Braintree', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Barwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Brantham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Burnley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bridport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Brenchley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bury Saint Edmunds', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bassingfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bosley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bolsover', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bransgore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bishop''s Stortford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Barton Stacey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Battle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Burton upon Trent', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bircotes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Betchworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Botley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bugbrooke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bungay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Builth Wells', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Buckingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Burgess Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Burnham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Burton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Burntwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Buxton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Burley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bovingdon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Brentwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bedworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Burrow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Brownhills', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Brinkworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Boxted', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cholsey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Burwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bushey Heath', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Byfleet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ballymena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Gosport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Castle Cary', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Castle Donington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Carlton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Catrine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Camberley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cobham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cranbrook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Colnbrook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Corby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chipping Campden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cheddar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chadwell Saint Mary', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cheadle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Coleford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Clayton-le-Moors', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Colerne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chesterton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chesterfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cowley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cuckfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chandlers Ford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Claygate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cranleigh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cogenhoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chessington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chalgrove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chobham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Checkendon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Charlestown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Charing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cheshunt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chigwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chartham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Charlton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chipping Norton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chorley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chasetown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chelveston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chorleywood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chelford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chilmark', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cirencester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Coniston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cricklade', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cockermouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Clay Cross', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cleator', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cliffe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Clitheroe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Coleshill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Colne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cheltenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Colwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Camborne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cheam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cambridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cramlington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Canterbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Calne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Carnforth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Coningsby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cannock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Callington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Charnock Richard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Consett', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cornwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chinley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cobham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Coleford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Coggeshall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cowdenbeath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Crook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Congleton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cosham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Coryton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chapel en le Frith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chippenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Clipstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Clipstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Church', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Crewe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cranfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Craigavon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cradley Heath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Crick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Crewkerne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Croft', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Corsham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chalfont Saint Giles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chesham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cressing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Castle Douglas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Catfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chatham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Caterham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cotterstock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cuddington', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Gransden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cupar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Crowborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cowden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chilwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cawston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Crawley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cottingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Cherry Hinton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Crays Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Clydeport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Dalton in Furness', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Debenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Drumchapel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Doveridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Dundrennan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Desford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Dunfermline', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Deanshanger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Dorchester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Didcot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Diss', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ditchingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Dorking', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Dolgellau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Dalry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Dymock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Danbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Riverside Park Apt/Dundee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Donnington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Dean Quarry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Durness', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Doonfoot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Doncaster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Downham Market', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Durham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Dronfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Durrington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Desborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Disley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Duston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Dunstable', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Dartington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ditchling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ditton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Duffield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Dursley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Daventry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Devizes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Downpatrick', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Darwen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Derby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Easton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Earls Barton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Eastleigh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Eastry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ebbw Vale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Enderby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Edenbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Edwinstowe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'East Grinstead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Egham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Elmesthorpe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Elkesley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ellesmere Port', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ellesmere', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ealing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ellington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Elvington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ely', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'East Midlands Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Emberton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'East Molesey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Enfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Enniskillen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Eynsford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Epping', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Epsom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Earby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'East Retford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Berriedale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Eastergate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'East Bridgford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Eaton Socon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Esher', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'East Wellow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'East Horsley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Etchingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'East Peckham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Elstree', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Eversley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ewell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ewelme', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Exning', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Eyam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Eye', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Eynsham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Farnham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Faslane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fawley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fulbourn', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Farnborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fordham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ferndown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Frodsham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fetlar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fersfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fairford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fordingbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fareham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fakenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Filby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Flitwick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fulford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Flotta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fulham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Frome', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Finedon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Farnworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Foula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Frisby on the Wreake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fowey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Framlingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Farnham Common', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fingringhoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fritchley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Frant', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Felmersham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fetcham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fulmer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Fontwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Foxton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Gamlingay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Gainsborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Alne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Amwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Gaerwen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Bookham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Barton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Chishill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Guardbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Guildford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Godmanchester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Godstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Easton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Greenfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Goff''s Oak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Gargrave', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Greenhithe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Haseley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Glemsford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Glenfield', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Gillingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Glanton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Glenrothes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Goring', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ince', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Harwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Missenden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Sankey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Gransden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Glastonbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Shelford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Glensanda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Gosfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Glossop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Sutton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Garstang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Greatham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Grantham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Brickhill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Tey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Gunness Wharf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Great Wyrley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Grays', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Haywards Heath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hailsham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Haverhill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hapton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hardley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hatfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Havant', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'High Bentham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hambridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hucclecote', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Holme Chapel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hitchin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hockley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Haddenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hadleigh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Haslingden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hendon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Heacham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Headcorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hertford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Heighington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hempstead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Headley Down', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hurstpierpoint', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Heston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Henlow', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Chertsey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Higham Ferrers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Higham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hurst Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Houghton Regis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Waltham Abbey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hemel Hempstead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Heathfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Holehaven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Highbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hinckley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Histon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Reigate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hucknall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Holmes Chapel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Halling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Helmdon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hambleden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hamworthy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Humber', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Harmondsworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Handsworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hanley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Henton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Heanor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hunstanton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Houghton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Horsham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Holbeach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hoddesdon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hoo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Horndean', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Holt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hooton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hoole', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Harpenden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Horam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Harlow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Horsmonden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Harrogate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Horley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Helsby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Haslington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hassocks', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Haslemere', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hassop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Halesworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Haseley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Halstead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hatherton', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hetton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hartwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Huntingdon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hunton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Redgrave', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hursley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hevingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hullavington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hawes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hartley Wintney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hawkhurst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Harworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Haltwhistle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hawkwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'High Wycombe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hexham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hixon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hoton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Hexton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Harby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Helston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Heysham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Henllys', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Irthlingborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ilkeston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Islip', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Impington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ilminster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Inverkeithing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Isle of Portland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Liss', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Iver', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Iver Heath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kirkby in Ashfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kingston Bagpuize', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kingsdown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kempston Hardwick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kells', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'King''s Cliffe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Spennymoor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kings Langley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kingsley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kirk Hammerton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kirkham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kingswood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kilroot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kenilworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kempsford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Knaresborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kendal', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kineton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kingsnorth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kingston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kenton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kinnerley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Knapton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kentmere', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kirkby Stephen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Knutsford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kingswood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kettlethorpe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kitt Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Keith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kettering', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Kingston upon Thames', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Keswick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Little Addington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lancing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Laindon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lakenheath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Langport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Launceston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Laxo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Long Buckby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Leighton Buzzard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'London Colney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lincoln', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Leicester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Liddington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Langdon Hills', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ludlow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Llandudno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Llandrindod Wells', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Long Eaton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Leigh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Leatherhead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Leek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Leiston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lee-on-the-Solent', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Leven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Limpsfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Llanfairpwllgwyngyll', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Llanfyllin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Long Hanborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lightwater', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Langton Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Loughton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Longton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Gatwick Apt/London', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Loch Gelly', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lichfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Little Heath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Laleham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Longhope', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lighthorne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Limavady', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Little Rissington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lisburn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Locks Heath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lower Kinnerton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Little Carlton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Little Hadham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Little Milton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Little Horsted', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Llantrisant', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lamberhurst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Long Melford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lymm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lyminster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lyne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lingfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Long Crendon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lostock Gralam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Long Itchington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lochaline', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Louth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Loughborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Liphook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Long Sutton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Leamington Spa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Litchfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Langtoft', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Letchworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Littlebrook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Llantwit Major', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Linton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Litton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lutterworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Luton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Spondon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lewes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Low Moor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'West Thurrock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lower Stondon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lyndhurst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Leyland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lympne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lyness', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lydd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lizard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'March', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Mayfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Marylebone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Melton Mowbray', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Macclesfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Middlefield Law', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Milden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Market Deeping', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Micheldever', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Maidstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Middlewich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Melbourn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Mendlesham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Mansfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Maghera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Magheramorne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Mochdre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Mill Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Martlesham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Milton Keynes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Milton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Mitcheldean', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Market Drayton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Market Harborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Meldreth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Melksham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Mildenhall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Millom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Malton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Molesworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Marlow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Malmesbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Medmenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Manningtree', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Mobberley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Moulsoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Muir of Ord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Morpeth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Moulton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Moresby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Marchington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Marden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Mere', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Markinch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Marlborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Marston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Moreton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Midsomer Norton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Matching Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Matlock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Marston Trussell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Mortlake', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Muckamore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Mull Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Methwold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Mawgan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Mexborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Mytholmroyd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Northallerton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Newton Aycliffe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'New Duston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Neap House', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Northfleet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Newington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Northampton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Newmarket', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Nelson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Newton Longville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'New Milton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Newport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Northchapel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'North Lancing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'North Walsham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Norwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Newton Stewart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Nottingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Northwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Nuneaton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Nether Poppleton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Newtownards', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Nantwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Nursling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Newark', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Newton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Newtown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'New York', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Oakhamness', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ogbourne Maizey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Oldbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Odiham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Coleorton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ongar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Oakham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Old', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Olney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Old Woking', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Holywood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ormskirk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ongar Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Orchard Portman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Orsett', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ossington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Otham', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ottershaw', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Overton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Over', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Oswestry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Oxford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Oxshott', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Palnackie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Pinchbeck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Parbold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Pickhill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Puckeridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Padiham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Port Dinorwic', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Paddock Wood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Pembroke Dock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Peterborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Purfleet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Pamber Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Polegate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Prittlewell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sparkford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Pulloxhill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Pembury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Plumpton Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Penmaenmawr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ponteland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Penn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Penrith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Potters Bar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Potterne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Poynton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Portchester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Prudhoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Partridge Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Portland Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Princes Risborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Parkeston Quay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Papa Stour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Peterlee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Petersfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Puttenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Portslade', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Portadown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Pulborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Purley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Pewsey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Poyle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Pyrford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bruton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bartley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sandgate', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'South Lancing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Swadlincote', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Rainham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Rawtenstall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Robertsbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Richmond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Rochester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Redbourn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Radlett', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Redhill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Rugeley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Roecliffe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Retford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ringmer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ridham Dock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ringstead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ripon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ringwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Rickmansworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Rayleigh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Romsey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ranskill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Radcliffe on Trent', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Roade', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Royston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Rowhedge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ripley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Redruth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Rushlake Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ross', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Rotherfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Raunds', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Rugby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ruislip', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Rushden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sabden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Samlesbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sandbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stratton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stratford-upon-Avon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Saffron Walden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Saxham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Swanley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stockbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'South Benfleet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Scarisbrick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sutton Bonnington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shrewsbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stubbington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sunbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Scatsta', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stirchley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sandiacre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Snodland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shildon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sanderstead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Seaton Delaval', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stroud', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sandy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sedbergh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Settle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sevenoaks', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Willaston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stoke Ferry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stanford in the Vale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Scapa Flow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sunningdale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Seighford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sunninghill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shrivenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shaftesbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'South Darenth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shefford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shipdham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shenfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shepton Mallet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shepherds Bush', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'South Heighton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sherborne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shotton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shell Haven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Singleton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sittingbourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shirley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Skelmersdale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Skipton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Isle of Skye Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Saint Leonards', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sleaford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Slinfold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shiplake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Silchester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Salisbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Saltney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Slawston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sileby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Small Dole', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'South Mimms', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stramshall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Somerton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Southend', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Singleton', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stanley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Saint Neots', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stoke by Nayland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stoke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Southam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Somercotes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Standon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'South Ockendon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Saint Osyth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stanton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Spalding', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Steeple Bumpstead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shepshed', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Spellbrook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shipham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sherbourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stafford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Storrington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sherston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stanstead Abbots', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Seascale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sissinghurst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sharpness', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shenstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Southwater', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Strood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Street', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Seething', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Saint Ives', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Saint Austell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stansted Apt/London', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Staines', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Studley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stevenage', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stowmarket', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sudbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Spurn Head', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Swanscombe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'South Woodham Ferrers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Swanwick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stanwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'South Weston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sawbridgeworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Saxmundham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Seal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shipley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sayers Common', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Shoeburyness', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Syston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Sywell', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Soham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stamford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Taunton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tamworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Trowbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Saint Albans', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tibshelf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ticehurst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tandragee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Toddington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tadcaster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thames Ditton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tadworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tewkesbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Telford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tetbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thetford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Trottiscliffe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thornbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Three Legged Cross', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thame', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thornton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thormanby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thamesport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thames Haven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tilbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Throcking', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tockwith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tylers Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thurleigh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Totton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Taplow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Trimley Heath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thurmaston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tonbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tunstall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tomatin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Toft', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Toomebridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Towcester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Templecombe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tarporley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thrupp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thrapston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tring', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thurrock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thirsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tilsworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tenterden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tutbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tunbridge Wells', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tuxford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tovil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tiverton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Trawden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tingwall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Tow Law', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Thaxted', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Teynham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Uckfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Uffington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Worsley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ulverston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Upper Dicker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Upwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Lurgan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Upton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Uttoxeter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Verwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Virginia Water', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Vobster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Watlington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Waltham Cross', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Watford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Walsall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Ware', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Watchet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Watford Village', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Warwick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wombourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Woodbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wimbish', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Woburn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Weybridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'West Byfleet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wincanton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Whitchurch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'West Challow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Woodhall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Waddington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Woodhall Spa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Windlesham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Windermere', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Woodstock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Weedon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wellingborough', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Welham Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'West End', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Westcott', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Westerham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Weston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Westfield', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Westcliffe on Sea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Welwyn Garden City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wantage', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wigston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wigton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Whatton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Whitebooth Roads', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wethersfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Washington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wetherden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'West Horndon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wheathampstead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Whitton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Woodhurst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wickford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Witham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Willen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wimborne Minster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Witney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wirksworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Woking', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'West Kirby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wykeham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Walkern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wallasea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Welford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wallingford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Welwyn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wilton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Waterlooville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Warley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Walmer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Woolmer Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wickham Market', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'West Meon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wootton Bassett', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wilnecote', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Winchester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Winchfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Warlingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Winfrith Newburgh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Welford on Avon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Suttonheath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Woldingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Woodford Halse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Witton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Worlington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Woburn Sands', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Woodbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Welshpool', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Welton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Werrington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Worksop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Warton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wrotham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Warton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'West Stafford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Winslow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Weston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Whetstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Warsash', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wilmslow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Westbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Whittlesford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Withnell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'West Hallam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Waddington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Watton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wooburn Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wolvercote', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wivelsfield Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wolverton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Warwick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Whaley Bridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wymondham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Wylam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Yalding', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Yate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Bourne End', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Yeovil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Yelland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'York', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Yateley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Church Stretton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Stonehouse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Martock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRD', 'N', 'Grenada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRD', 'N', 'Saint George''s', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GEO', 'N', 'Batumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GEO', 'N', 'Kutaisi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GEO', 'N', 'Tbilisi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUF', 'N', 'Maripasoula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUF', 'N', 'Saint Georges de l''Oyapock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUF', 'N', 'Kourou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUF', 'N', 'Regina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUF', 'N', 'Saul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GHA', 'N', 'Accra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GHA', 'N', 'Kumasi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GHA', 'N', 'Kotoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GHA', 'N', 'Sunyani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GHA', 'N', 'Takoradi', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GHA', 'N', 'Tamale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GIB', 'N', 'Gibraltar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Neerlerit Inaat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Dundas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Kangerdluarssoruseg (Færingehavn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Ilulissat (Jakobshavn)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Qasigiannguit (Christianshaab)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Aasiaat (Egedesminde)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Qeqertarsuaq (Godhavn)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Kangilinguit (Gronnedal)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Sisimiut (Holsteinsborg)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Qaqortoq (Julianehaab)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Nanortalik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Narsaq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Arsuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Maniitsoq (Sukkertoppen)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Upernavik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Kulusuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Qaanaaq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Illorqortoormiut (Scoresbysund)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Kangerlussuaq (Sondre Stromfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Pituffik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Narsarsuaq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRL', 'N', 'Uummannaq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GMB', 'N', 'Bakau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GMB', 'N', 'Bansang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GMB', 'N', 'Banjul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GMB', 'N', 'Brikama Ba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GMB', 'N', 'Basse Santa Su', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GMB', 'N', 'Bwiam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GMB', 'N', 'Farafenni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GMB', 'N', 'Kuntair', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GMB', 'N', 'Mansa Konko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GMB', 'N', 'Serekunda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GIN', 'N', 'Conakry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GIN', 'N', 'Faranah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GIN', 'N', 'Fria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GIN', 'N', 'Siguiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GIN', 'N', 'Kankan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GIN', 'N', 'Kissidougou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GIN', 'N', 'Labe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GIN', 'N', 'Macenta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GIN', 'N', 'Nzerekore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GIN', 'N', 'Koundara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GLP', 'N', 'Terre-de-Bas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GLP', 'N', 'Jarry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GLP', 'N', 'Terre-de-Haut', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GLP', 'N', 'Saint Barthelemy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GLP', 'N', 'Saint Martin Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GNQ', 'N', 'Santa Isabel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GNQ', 'N', 'Malabo', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Argos (Argolis)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Syra (Syros)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Kastelorizo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Lemnos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Malaoi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Missimi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Porto Heli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Poros Kefallinias', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Poros Trizinias', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Preveza/Lefkas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Pyrgos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Rio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Stavros Halkidikis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Skopelos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Stratoni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GRC', 'N', 'Suda Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GTM', 'N', 'Quetzaltenango', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GTM', 'N', 'Coban', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GTM', 'N', 'Chiquimula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GTM', 'N', 'Carmelita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GTM', 'N', 'El Naranjo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GTM', 'N', 'Flores', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GTM', 'N', 'Guatemala City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GTM', 'N', 'Huehuetenango', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GTM', 'N', 'Puerto Barrios', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GTM', 'N', 'Paso Caballos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GTM', 'N', 'Rubelsanto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GTM', 'N', 'San Jose', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GTM', 'N', 'Tikal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUM', 'N', 'Guam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Aishalton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Bemichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Baramita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Ekereku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Georgetown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Bartica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Imbaimadai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Kaieteur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Kamarang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Konawaruk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Kurupung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Karasabai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Karanambo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Kato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Lethem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Lumid Pau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Mahdia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Matthews Ridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Monkey Mountain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Annai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'New Amsterdam', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Ogle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Orinduik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Pipillipai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Port Kaituma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Paramakotoi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Paruima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Sandcreek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Skeldon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Thimery', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Mabaruma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GUY', 'N', 'Maikwak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HKG', 'N', 'Hong Kong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HKG', 'N', 'Tsuen Wan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Amapala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Brus Laguna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Catacamas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Cauquira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Coyoles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Erandique', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Coronel E Soto Cano Ab', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Gracias', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Guanaja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Gualaco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Henecan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Iriona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Juticalpa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'La Ceiba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'La Esperanza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Las Limas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Limon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'La Union', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Marcala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Olanchito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Palacios', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Puerto Cortés', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Puerto Lempira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'San Pedro Sula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Sulaco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'San Esteban', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Tocoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Tela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Tegucigalpa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Trujillo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Utila', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HND', 'N', 'Victoria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HTI', 'N', 'Les Cayes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HTI', 'N', 'Gonaïves', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HTI', 'N', 'Jérémie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HTI', 'N', 'Laffiteau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HTI', 'N', 'Port-au-Prince', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HUN', 'N', 'Budapest', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'HUN', 'N', 'Debrecen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HUN', 'N', 'Miskolc', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'HUN', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Amahai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Mataram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Alor Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Banjarmasin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Bandung, Java', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Berau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Biak, Irian Jaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Bolaang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Bajawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Bengkulu, Sumatra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Bima, Sb', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Batam (ex Batu Besar)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Banda Aceh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Bokondini', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Bade', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Soekarno-Hatta Apt/Jakarta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Jambi, Sumatra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Dumai, Sumatra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Ewer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Enarotali', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Fak Fak, Irian Jaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Numfoor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Gorontalo, Sulawesi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Illaga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Karubaga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Kotabaru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Kon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Kendari, Sulawesi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Keisah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Kepi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Kebar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Keluang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Kimam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Kotabangun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Kupang, Timor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Kokonao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Kerinci', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Ketapang, Kl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Long Bawan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Lereh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Mulia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Larantuka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Kelila', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Long Apung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Lhok Sukon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Langgur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Luwuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Lewoleba', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Lunyuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Mangole', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Manado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Mindiptana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Meulaboh, Sumatra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Medan, Sumatra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Mamuju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Mangunjaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Merauke, Irian Jaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Manokwari, Irian Jaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Malang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Maumere, Flores', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Muko-Muko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Maliana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Masalembo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Muting', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Matak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Masamba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Banaina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Naha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Namlea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Nabire', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Sinak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Nunukan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Nangapinoh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Namrole', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Bintuni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Natuna Ranai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Obano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Oksibil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Moanamani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Morotai I', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Palibelo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Pondok Cabe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Pendopo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Pangkalanbuun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Palangkaraya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Palembang, Sumatra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Pontianak, Kalimantan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Pulau Panjang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Poso, Sulawesi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Putussibau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Purwokerto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Raha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Merdey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Rengat, Sumatra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Rokot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Sipora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Ransiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Roti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Yuruf', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Sangir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Sawu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Senggeh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Sungai Pakning, Sumatra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Sanggata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Sibisa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Sampit, Kalimantan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Solo City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Sorong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Sintang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Sanana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Soroako', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Samarinda, Kalimantan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Sumenep, Madura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Sumbawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Saumlaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Taliabu Island Apt, Moluccas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Tumbang Samba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Tembagapura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Tanjung Warukin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Tanjung Selor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Bandar Lampung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Tolitoli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Tambolaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Tiom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Tanah Grogot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Tanjung Pinang, Riau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Tanjung Santan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Tasikmalaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Ternate, Halmahera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Tana Toraja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Teminabuan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Ubrub', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Zugapa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Buol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Ujung Pandang, Sulawesi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Waris', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Wahai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Wagethe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Waingapu, Sumba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Wamena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Wasior', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Senggo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IDN', 'N', 'Steenkool', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Abbeyleix', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Alexandra Quay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Alexandra Road Oil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Ashbourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Askeaton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Aughinish Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Ballinasloe', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Baldonnel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'B & I Ferryport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'B & I Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Ballyshannon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Castlerea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Castleconnell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Castlebellingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Carrickcarnan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Carrickmacross', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Cavan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Carlow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Coastal Control Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Donegal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Caher', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Castlebar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Clonee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Clondalkin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Clonmel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Cloghore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Collinstown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Crookhaven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Derryveagh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Dunmanway', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Enniscorthy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Frank Cassin Wharf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Fiddown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Haulbowline', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Inishmaan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Inisheer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Inishmore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Irish Rail Freight Depot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Kildare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Kerry County', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Kilmokea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Kilkenny', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Leitrim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Leixlip', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Lifford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Longford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Loughrea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Letterkenny', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Mallow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Marino Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Maynooth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Midleton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Moy Bridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Monaghan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Moneypoint', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Mullingar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Newcastle West', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Parnell Place', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Pandoro Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Cashel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Rossaveel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Rosslare Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Roscrea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'River Moy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Saggart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Sligo Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Tarbert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Templemore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Thomastown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Tivoli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Tipperary', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Trim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Tubbercurry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Tullow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Virginia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Walkinstown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRL', 'N', 'Whitegate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Adam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Alenbi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Arava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Beer Sheba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Bitanit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Ein Yahav', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Elat (Eilath)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Haifa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Jordan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Konetra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Kiryat Shmona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Matula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Masada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Nizana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Rafiach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Rosh Hanikra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Rosh Pina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Sedom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Taba Border Crossing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Ovda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISR', 'N', 'Yotvata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Achra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Androth Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Agra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Agatti Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Sukhia Pokhari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Aizawl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Akola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Amingaon (Gauhati)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Andorth Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Anijengo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Arnala', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Anaparti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Aroor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Amritsar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Attari Road', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Attari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Azhikkal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bhubaneswar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bahabal Pur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bandra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Badagara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Baindur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bedi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bareilly', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bellary', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Betul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bairgania', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bhagwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bhuj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bhilwara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bikaner', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bankot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Belekeri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bilimora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Belapur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Balet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Barmer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bhimnagar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Berhni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bolanganj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Barsora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Baroda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Broach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Borliai-Mandla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Borya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Banbasa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bassain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bulsar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bhatkal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bhithamore (Sursnad)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bitra Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bhatinda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bhiwadi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bhiwandi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Beyt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Car Nicobar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Cuddalore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Cuddapah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Chamurci', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Champai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Chapora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Coimbatore', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Salt Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Chirala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Cooch Behar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Coondapur (Ganguly)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Cornwallis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Chetlat Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Daparizo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dahej', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Darjeeling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Daman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dhanbad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dehra Dun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Deogad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Delhi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Deparizo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dhubri Steamerghat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dhalaighat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dharamsala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dabhol Port', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dholera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dahanu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dibrugarh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Diu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Div', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dharchula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dalu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Demagir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dharamtar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dimapur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Darranga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dwarka (Rupen)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dhanu-shkodi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dantiwara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Dawki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Ennore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Elphinstone Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Faridabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Gauriphanta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Galgalia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Gaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Gede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Gogha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Ghogha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Ghasuapara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Gunji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Ghojadanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Golakganj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Goa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Gopalpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Gitaldah Road', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Getandah', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Haldia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Hubli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Hingalganj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Hangarkatta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Khajuraho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Haldibari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Hilli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Harnai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Hissar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Hatisar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Honawar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Hyderabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Imphal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Agartala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bagdogra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Allahabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Mangalore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Belgaum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kailashahar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Lilabari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Keshod', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Leh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Khowai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Pathankot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kamalpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Silchar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Pasighat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Aurangabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Port Blair', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jakhau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jalgaon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jayanagar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jogbani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jodia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jamnagar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jagdalpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jaigad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jhulaghat (Pithoragarh)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jaigaon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jabalpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jalpaiguri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jorhat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jaisalmer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jaitapur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jalandhar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jarwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kakinada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kallai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kapadra (Surat)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Karedu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kadmat Is', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kondiapetnam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kel Sahar Subdivision', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Khopta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kelwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kilakari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kalyan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kumbharu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kankudy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kunauli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kanpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kochi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Krishnapatnam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Karaikal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Karanja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kiranpani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Karwar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kasargod', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kelshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kulasekarapanam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kotda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Katarniyaghat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kiltan Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kathinhar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kota', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Koheshwar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kulu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kavi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kovalam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kavaram Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Khunwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Khowaighat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Malda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Lalgola Town', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Lucknow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Leapuram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Latu Bazar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Ludhiana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Malpe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Masulipatnam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Pakwara (Moradabad)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Minicoi I', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Magdalla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Mandapam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Meadows', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Meerut', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Mahendraganj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Mangrol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Mahuva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Kotawalighat (Mohedipur)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Mahurighat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Mahisasan', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Manikarchar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Maroli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Mallipuram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Malwan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Munabao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Manori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Manu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Mandwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Mohanbari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Moreh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Metwad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Comiso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Mundra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Mayabandar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Mysore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Muzaffarnagar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Muzaffarpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Nagpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Nancowrie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Navlakhi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Nanded', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Nandgaon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Nepalgunj Road', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Village Namaya Shipkila', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Namkhana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'New Mangalore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Neamari Stemerghat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Nampong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jawaharlal Nehru (Nhava Sheva)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Navabunder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Navaspur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Nivti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Neyveli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Newapur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Okha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Osmanabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Onjal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Bilaspur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Panaji Port', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Patna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Porbandar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Padubidri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Pantnagar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Phulbari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Pindhara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Pithampur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Pamban', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Pimpri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Panjim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Ponnani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Babarpur', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Pune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Panitankit (Nazalbari)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Patparganj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Pellet Plant Jetty/Shiroda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Purangad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Portonovo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Palshet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Petrapole Road', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Puttaparthi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Jeypore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Rameshwaram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Radhikapur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Redi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Rewa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Old Raghna Bazar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Balurghat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Ranghat Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Ryngku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Rajahmundry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Rajouri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Rajpara/Navabunder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Rajpuri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Rajakkamangalam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Ramagundam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Ranaghat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Ranpar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Raddipalam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Rourkela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Ratnagiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Rupsi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Revdanda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Raxaul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Sabroom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Sachin (Surat)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Salaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Sinbhour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Shella Bazar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Shillong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Simbhour Port', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Sima/Navabunder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Simla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Srimantapur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Simor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Sonabarsa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Singhabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Sonauli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Saharanpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Surasani-Yanam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Sholapur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Sitai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Satpati', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Sutarkandi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Shriwardhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Srinagar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Salem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Tezu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Tellicherry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Tezpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Thal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Tirupati', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Talaja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Thanjavur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Tikonia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Trombay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Thana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Tondi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Tungi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Tankari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Thopputhurai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Talpona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Tarapur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Tiruchirapalli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'T.T.Shed', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Tuna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Tirukkadayyur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Udaipur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Ultapani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Ulwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Umbergoan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Umarsadi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Decimomannu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Vadinar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Veppalodai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Vijayawada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Valinokkam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Vemgira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Varavda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Vadarevu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Vansi-Borsi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Varsova', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Veraval', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Vijaydurg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Vazhinjam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Waluj (Aurangabad)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IND', 'N', 'Warrangal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IOT', 'N', 'Diego Garcia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRQ', 'N', 'Basra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRQ', 'N', 'Kirkuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Abadan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Zabol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Ardabil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Ahwaz', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Yazd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Bajgiran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Babolsar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Tjörneshöfn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Bam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Sarakhs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Gheshm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Hamadan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Bahregan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Isfahan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Kerman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Khaneh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Khorramabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Khark Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Khosravi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Kangan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Lar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Lavan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Mashad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Rasht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Rafsanjan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Ramsar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Sanandaj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Sary', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Sirri Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Shiraz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Tajabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Tabriz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Tabas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Tehran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Persepolis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Birjand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'IRN', 'N', 'Zahedan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Akureyri Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Akranes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Borgarfjørdur eystri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Bildudalur - høfn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Bildudalur Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Blonduos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Bordeyri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Borgarnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Breiddalsvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Djupavik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Drangsnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Eskifjørdur Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Egilsstadir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Fagurholsmyri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Faskrudsfjørdur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Flateyri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Flateyri Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Gjogur', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Gardur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Grundartangi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Grimsey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Gufunes/Reykjavik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Hjalteyri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Hrisey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Husavik - høfn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Hvammstangi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Hvalfjørdur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Keflavikurkaupstadur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Skerjafjördur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Kopasker - høfn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Krokfjardarnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Mjofjördur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Myvatn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Neskaupstadur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Njardvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Olafsfjørdur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Patreksfjørdur - høfn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Reydarfjørdur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Rif-Hellisandur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Sandgerdi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Selfoss', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Selfoss - Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Siglufjørdur - høfn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Stodhvarfjørdur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Straumsvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Stykkisholmur - høfn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Sudureyri/Sugandafjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Sudavik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Svalbardseyri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Talknafjørdur/Sveinseyri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Thingeyri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Thorlakshofn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Thorshofn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ISL', 'N', 'Vestmannaeyjar - høfn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Alicudi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Albenga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Bagnoli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Bologna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Belluno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Bolzano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Cortina d''Ampezzo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Ciampino Apt/Roma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Elba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Forli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Giannutri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Grosseto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Isola Santo Stefano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Lecce', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Linate Apt/Milano', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Melilli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Milano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Malpensa Apt/Milano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Sigonella', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Oneglia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Porto d''Ischia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Perugia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Ponte Fornaci', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Porto Lignano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Porto Maurizio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Pisa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Cosenza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Sant'' Antioco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Torregrande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Torino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Udine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Verona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'Vulcano porto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ITA', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JAM', 'N', 'Kingston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JAM', 'N', 'Montego Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JAM', 'N', 'Mandeville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JAM', 'N', 'Negril', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JAM', 'N', 'Ocho Rios', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JAM', 'N', 'Port Antonio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JOR', 'N', 'Amman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JOR', 'N', 'Irbid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ama, Shimane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Abashiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aboshi/Himeji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Abohshita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Abuto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aburatsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ajisu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ade', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aguni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Agenosho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Agonoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ageshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ainouraaoki/Naru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aikawa, Niigata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aishima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ainoura/Sasebo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aikawa, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aizu, Kumamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ajigasawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ajino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Anjo', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ajiro, Shizuoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Akashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Akohbaru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Akadomari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Akkeshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Akakina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Akehama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aikakita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Asahikawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Akasaki, Kumamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Akamizu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Akune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Akitsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Azako', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Amagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Asamogawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Atami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Amaji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ama, Hyogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Arimura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Amasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Amatsuke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Amura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Amiya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Anan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Anbo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Anegasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Anamizu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aogashima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aoki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aokata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aonae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Aoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Arari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Amurogama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Arikawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Arao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Arouzu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Asa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ashibe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ashinoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Amamioshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Akasaki, Tottori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Asami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ashizuri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ashitoku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Asakawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ashiya, Fukuoka', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Atsuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Atsumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Atatajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Awa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Awashimanishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Awashima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Awazu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Akita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ayukawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ajiro, Tottori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ajiro, Okayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Azu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Bohdomari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Beppu, Shimane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Beppushinko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Boma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Beppu, Oita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Byobu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Chiba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Chofu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Chichii', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'China', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Chikubushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Choshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Chitose, Hiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Churui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Chio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Chiju', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Chikumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Chinase', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Chita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Chitose Apt/Sapporo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Chiyozaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Date', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kadena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Dohshiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Daito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Dohzaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ebito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Eigashima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Eishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ejima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Enokizu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Erimo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Emukae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Enohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'En', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Enoura, Shizuoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Enoura, Kagawa', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Esashi/Hiyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Esaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Eshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Esashi/Soya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Etajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Etomo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ezaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukae, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fuchinomoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fugusaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Futagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Furubira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fujino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukuda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukue, Aichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukae, Hiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukaura, Aomori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukaura, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Furukawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukuyama, Hiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Futamado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Futamata, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Funaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Funabashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Funadomari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Funagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Funaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Funakoshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Funauki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Funazu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukura, Hyogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Furue, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukuura, Ishikawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Furuike', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Furue, Miyazaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Furusato, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Furue, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Furue, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Funakakushi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fushiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Futae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Futago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Futenma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Futamata, Shimane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukuura, Kumamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fuke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fuji', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukue, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukuro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukuura, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Futajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukura, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Fukuyama, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yamagata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Gamagori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Gifu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Gohnokubi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Gokan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Gokasho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Gunge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ginowan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Goi/Ichihara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Gonoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Gohtsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Gendentokai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Gyohda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Habu, Hiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hachijojima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Heda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Haenohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hagi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hashima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Haiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamasarufutsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hannan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hashihama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Habu, Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hitsushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Haibara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Habu, Yamaguchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Haboro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hiburi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Handa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hidaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Himedo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hiketa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hetono', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Henza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hesaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Heta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Higashihazu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hachigo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Katadomari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohshima/Hagi', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hirugaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hachinohe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Higashinohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hohomi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Higashiharima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hiagari/Kitakiushu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hibi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hitachinaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hikone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Higashishioya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hirasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Himeji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hinase', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Higashi-Ogishima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hiroo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hikoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hizenohshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Honjima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hiji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hojo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamajiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hirota, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hakodate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hikami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamasaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hyakkan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Honkushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hekinan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hikari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hakatashima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hakoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamakanaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hikozaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hishima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamochi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamaguri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Himeshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hatami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Himi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Himekawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamamatsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Himosashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hikimoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamawaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hanamaki', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Haneda Apt/Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hinagu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Honjo, Kyoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hanasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Honmoku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hadano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Himenoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hinoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hanyu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hinozu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hondo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Honjo, Akita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hoshika, Saga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hotokegaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hoppozaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hirao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hirado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Horie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hirohata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Horikappu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hirai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hirakata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Haramachi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hirara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hirase', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hiroura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hiraiwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hoshika, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamasako', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hososhima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hisanohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hashirajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hase', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamasuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hirasawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hirota, Iwate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hitachi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hitakatsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Futami, Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hoda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hannoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Futami, Niigata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hamatsuwaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hiwasa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hyugadomari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hayakawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hayama', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hyakunoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hisayoshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hayato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iburi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ibusuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Icchoda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ichihara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ichikawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Indohji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iwayadomari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iejima/Okinawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ieura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ieshima, Hyogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Igo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Imagire', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Niihama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ihota', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iibi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ii', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nishinoomote', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ikeda, Kagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ikuchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ikeda, Wakayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ikeshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Isshiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ikina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ikara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ikata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ikunohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Imafuku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Imabari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Imari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Imi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Imazato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Imazu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Inonada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Inugaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Inokushi, Oita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Inobe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Inatori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Innoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iinoseto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Inujima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iwojima, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Irago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Issai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ishiba', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ishiwaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ishida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ise', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ishima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ishikari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iseki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ishinomaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Isuwan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Isozaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Isahaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Itoh, Shizuoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Itako', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Itozaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Itsukushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Itoh, Shimane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Inokuchi, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iwamatsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iwagi,Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iwafune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iwaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iwakuni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iwanai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iwojima, Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iwojima, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iwaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iyomishima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Iyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Izuhara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Izumi, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Izumi, Aichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Izumo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Izumisano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Izuka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kotoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Jokawauchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Jonoshita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kabanoki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kasaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kaita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kashimae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kafuri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kawarago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kamihira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kainan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kama, Shimane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kametoku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Karuno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kashino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Karatsu', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Katsuura, Wakayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kawauchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Komoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kaizaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Katasoba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kobui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kafuka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kabashima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kubura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kobishima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kobato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kubuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuchinofukuura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kawachi, Kumamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kochi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kishiwada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kodai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kasedo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kodakashima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kodomari, Kumamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kadokura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kadokawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kita/Minamidaito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kechi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kameike', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kegoya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Keraji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Keruma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kakeroma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kohtsufukae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kakogawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Koguchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kumage', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kasugai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kigasajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kagami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kumago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kamagari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kogushi, Yamaguchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kaigata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kanegusuku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kurimamaehama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohama, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kihara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kurahashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kiami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kibe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kiire', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Niigata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kikuma', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kineshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kinwan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kitaura, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kamaishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kitaura, Miyazaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kisawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kansai Int Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Koriyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kohjima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kudadon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kaga, Shimane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuji, Iwate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Koshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kajiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kameura, Kumamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kannonji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kinjo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kerama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kiriishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kitaura, Akita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Koura, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Karakuma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kokubo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Komukae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Komaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kushiku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kohzaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Katakami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Komenotsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kouri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kamikatetsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuji, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kanokawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kashikojima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Komoda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kamae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kaminofuruta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kumagaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kumihama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Miyazaki, Miyazaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kumamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kaminokae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kaminato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kominato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kamo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Komatsu, Ishikawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kameura, Tokushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kumeshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kimitsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kamiura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kamikawaguchi', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Komatsu, Yamaguchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kamiyakunagata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuwana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Konbukariishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kanda, Fukuoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kinoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuniga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kunehama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Konagai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kisane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kinkasan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Konoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kohnoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kunisaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kinomoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kinuura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'KinNakagusuku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Koniya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kanazawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kodomari, Aomori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Konan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kogushi, Okayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Koike/Uwajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Komatsushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Konoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kohmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Koura, Kagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kose', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kohzujima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kaminoseki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Koyoh/Etajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kozuna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kannoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Karubi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuramai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuroda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kure, Hiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kurihama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kurio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuroshima, Okinawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Karakizaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kurokami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuranotani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kujiragaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kurushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kiritappu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kurii', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuroi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kariya, Saga', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kasaoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kusubo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kashima, Saga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kasado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kamoise', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kishiku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Katsuta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kurosaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kashima, Ibaraki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kesennuma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kishira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kasasa, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kisakata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Katsumoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kashiwa, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kosuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kasasa, Yamaguchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kitanada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kutsugata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kotakarajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kataku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kitakijima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Karatomari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kottoi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kitaura, Kagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Katashima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kohtsuura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kita/Kitadaito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuchinotsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kudamatsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kure, Kochi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kugui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kushiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kushimoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yakushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Katsuura, Chiba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kute', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kumanoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuwanoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuronohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuzu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kawanazu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kawachi, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kawanoishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kawajiri, Hiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kawashimo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kawanoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kawajiri, Ibaraki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kawasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kawatana', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kowa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kashiwazaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kusukawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kasumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kanoya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kanayaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kuyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Koyoh/Kawajiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Isso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kaizuka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kozera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kazuhara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kijima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kozai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kozukushi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kazume', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kohjiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kazusaminato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kisarazu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Maruichibi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Maedomari/Iheya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Maebashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mategata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Maizuru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Makiyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsuo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Marugame', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Masaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsushima, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsuura, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nishimaizuru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Monbetsu/Abashiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mebaruzaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Motobu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mochidoi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mochiishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Masuda, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Maedomari/Tarama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Megi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Meihama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Maeura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Meitsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsugaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Maguchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Magome', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mogine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Megoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Magusa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagayama', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Maehama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mihowan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mihara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mihonoseki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Miike, Fukuoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Miike, Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Misaki, Kanagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Minamata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Miura/Mitsushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Misumi, Kumamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mitaka, Hiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Miyazu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mizushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mukata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Makigawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Misaki, Kochi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mikisato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Makurazaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mikame', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mikurajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mitsukoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mukunoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mikawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mishima, Kawanoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Maenohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Memanbetsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Misumi, Shimane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsumoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mageshimamisaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mimitsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Manazuru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsunaga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Minna/Motobu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Minami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Minna/Tarama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Miyanoura/Kamiyaku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Miyanoura, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Minato, Hyogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Minmaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mogi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Morodomi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Morie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Motomachi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Motoura/Toshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Monoi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mito, Kagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsushima, Miyagi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mure', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Moriage', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Morinohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Murotomisaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Morakui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Muromoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Murokita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Murotsu, Hyogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Murotsu, Yamaguchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Maruo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Morioka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Morozaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsusaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Masuda, Shimane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Musashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'MieShikimi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Misawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mashike', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mishima, Shizuoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Misho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mishiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsushima, Okayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Misato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Misaki, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mitaka, Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mitachi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mitsuhama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mitarai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mitsukue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsumae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Motoura/Azuma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mutsure', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsuura, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsuura, Oita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsuzaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mugi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mukaishima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Muroran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mutsuogawara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Murotsu, Kochi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Miyanoura, Kagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Maruiwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mawari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Muya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Miyakejima Apt/Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Miyagahama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Matsuyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Miyako, Iwate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Miyanoura/Azuma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Miyaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Miyazaki, Ehime', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Murozumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Motozaru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Mizusaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagaura, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nadahama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagahama, Shimane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Naha, Okinawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakagusuku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Naoetsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Naarai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Naoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakatsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagayo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Naze', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nobeokashinko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nobu/Mitsushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nonoichi, Ishikawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nishi/Minamidaito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nadayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nejime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nemuro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Neo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagae, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nezugaseki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagouda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagae, Shimane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagame', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagahama, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Neghishi/Yokohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagimi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Naigainoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagoya, Aichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagaura/Yokosuka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagasu, Kumamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakahama, Hiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nahari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Noheji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagahama, Shiga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagasakinohana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nishihara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nichinan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nishi/Kitadaito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Niigatahigashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Niijima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Niigatanishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nishinaka', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Namikata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nii', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Atsugi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nojiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakahama, Tottori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakahama, Kyoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakakoshiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakama, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakama, Okinawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakanoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nanko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakanoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakata, Hiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakanosaku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakashima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagahama, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nomi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nomaike', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakaminato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nunohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nenokuchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nanao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nanatsugama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nobeoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nohara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nomizaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nonohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Noh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Noho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Narao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Narushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Narita Apt/Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Naruto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagashima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nishibe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nishishioya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nishiesan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nishiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nishimura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Noshiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nishikata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nagasu, Oita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nasa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakata, Kumamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nanatsuyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Numazu', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nishiura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nyugawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nigishima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nishinomiya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nyukou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Neyagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nyuzu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Onoaida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oarai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ogatsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Obama, Mie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Obama, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Obe, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Obama, Fukui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Obihiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohbishima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohbe, Kagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okunouchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Odahigashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Odomari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohdana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Odoh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Odeshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohfunakoshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohfukaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohfunato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ogasawara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ongachi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ogifushi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ogaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oginohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ogi, Niigata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ogi, Kagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ogomori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yonagunijima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohgishima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohgushi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohama, Kagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohama, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohigawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ogi, Ishikawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohshima, Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okushiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oiso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okiura, Hiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ojika', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Omosu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Osako', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okinawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okubo, Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okitsu, Chiba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okadama Apt/Sapporo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okinoerabu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okogi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohkawara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okinokojima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okinajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yokota Apt/Tokyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohbukura/Uwajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okiuranishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okitsu, Shizuoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okawa, Wakayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okiura, Yamaguchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Omodaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Omotehama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Omi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Omura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Omon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Omoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okamura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Omishima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ominato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Omuta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Omonawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohama, Tottori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Omiyaji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Omaezaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Onahama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Onoda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohnejime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Onagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Onishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oniike', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oniki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Onomichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohnishi/Ohsaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oniwaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'OnomichiItozaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oura, Saga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Obatake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ochiyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohgaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohama, Okayama', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okubo, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohshima, Kagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohnoh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ozu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oura/Kasaoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Okawa, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Origami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Orino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oura/Uchinoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oura/Marugame', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oshidomari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Osoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohshima, Wakayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohshima, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Otsu, Ibaraki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Osaki, Miyagi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oshima, Yamaguchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Osaki/Mitsushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohshima, Miyazaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohgasari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohshima, Fukuoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Osetoyanagi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Osuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Osaki, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Otao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Otsuchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Otake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Otomi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Osato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Otaru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Otsu, Shiga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Otawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oura/Ariake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Osaka, Tottori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Omu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oura/Kamitsushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Owase', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ojoya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oyabu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohyama/Mitsushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ohzuku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ozuku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ozaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Saga, Saga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Rausu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Rebun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Reihoku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Rishiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Rokko Island', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Rumoi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ronden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yoronjima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ryugamizu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ryotsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ryohshida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Saba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sai, Shimane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Saidoh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Saiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Saganoseki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Saigo, Shimane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Saijo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sakai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Samani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sanbonmatsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shikaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sasago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sakate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sakitsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Saza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sakaisenboku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shibushi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shibaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shibayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shichirinagahama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shichirui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimoda, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shitooke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sendaishinko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sodegaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Saidaiji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Seigaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sekinehama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Se/Izuhara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sesoko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sezaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Saga, Kochi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sagamihara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shigetomi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sagi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sendaishiogama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sagara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shiogatani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Saigo, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Segawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sonogi', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nakashibetsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shirahama, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimojishima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shinkiba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shirahama, Wakayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shingu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimonoseki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shushi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimazuya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimoda, Kumamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shido', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shigei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shirahama, Okinawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shikamachi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shiinoki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shioya, Ishikawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shirahama, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shishikui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shitanoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sai, Aomori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shishijima, Kagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shishijima, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shiroko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shibukawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sakaide', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sakihama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sakaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shikama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shikinejima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sakoshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sakuraikako', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sakata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shiraku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shinkawa, Aichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sekiya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Souma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimabara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimoda, Shizuoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Same', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimohisage', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sumie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimamaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sakaiminato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimoda, Kochi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimodomari/Mikame', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimotsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sakimui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sumiyoshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimizu', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sonai/Yonaguni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sonai/Taketomi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shinojima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shinkawa, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sanami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shonan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shitanoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shukunoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimanoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shinokawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sanagi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shinzaike', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shiohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimonokae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sonoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sotodomari/Nishiumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Soya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sozu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shiraki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shirahama, Kagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shirosaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shiraoi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shirose', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shirakata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shirahama, Chiba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sakurajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimotsuura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sasebo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sasue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shishiboe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sashiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shisakajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Saizaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shishimi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sasuna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shitaba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Setoda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Satoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimotsui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shikata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Setana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sakito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shirotori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Seto, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Suttsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Satsukawawan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Saitozaki', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sunoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Suga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sumoto, Hyogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Suminoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sugeura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Susa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Cana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sumoto, Kumamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sugawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Suwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Susaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shimokawaguchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sunami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Seto, Kagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shioya, Okinawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shioyagamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Sonoyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shiriyazaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shizugawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shinjima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Senzaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Shizuura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takamijima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tabugawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tachiyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tadotsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tanabe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tagi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takahama, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tamatsukuri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tajiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takamatsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tainouchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tamano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tanagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Taira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tahara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takeshiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tatsugo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tannowa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tachibana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tabira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Awajikoryunotsubasa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tabu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tokuchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsuchiura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tohda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takedatsu', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tadanoumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tairadate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Take', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tekutsuku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Teuri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tateishi, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Teuchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Toguchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tagonoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tanohama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takehara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Toyohashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Taisha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tainoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Teishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takarajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tomamae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takashima/Masuda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tojima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Toshima, Hyogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tajiri, Tottori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tokashiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tokai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takanokuchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takeno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takasu, Kagoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Taki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tokujin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takaoka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takuma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tokunoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tokonami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tokoro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tokushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Taketoyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takuno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tainokawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tokuyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takezaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tomari/Shiribeshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tomie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsukumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tomakomai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tomiku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tamanoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tomioka, Kumamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tomari, Okinawa', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tamatsu, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tamatsu, Okayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tarumizu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsuna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takanabe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tonda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tanegashima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tonoshohigash', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsuneishi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tanasoko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tonosho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tanoura, Kumamoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsunoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tanoura/Kitakyushu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tanowaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Toba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Todohokke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Togi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Toi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Toga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tokachi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tomioka, Tokushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tonoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Toyamashinko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Totoro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Touyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Toyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Taramajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsuruuchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Teradomari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsuruga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tarugahama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tororo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tomariura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsurumi, Okayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Terazu/Yatsuka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takasago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsushi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Teshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsushima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsurusaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takashima/Nishisonogi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Teshio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tasumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsutsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takeshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tosashimizu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Taketomihigashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tottori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsutsumi', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tateishi, Kagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tokitsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tateyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsuda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tanoura, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Toyoshige', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsukumo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsukinokawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Takasu, Fukui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tokoname', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Toyohama, Kagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Toyohama, Aichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsuiyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tsuyoshi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Toyoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Tayui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Terazu/Matsue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Urago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ube', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ushibuka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ubuyu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uchiumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uchinomi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uchiura, Ishikawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uchiura, Fukui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Udo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Udono', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uechi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ugusu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uchihana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Hakui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ujina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ujiyamada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Usuka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ukui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ukejima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ukitsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Kyoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Umagoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uranomae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Unoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Unten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uchinourahetsuka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uomi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uozu, Shimane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uozu, Toyama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ura', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uraga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Urahara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Urakawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uragami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Urashiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Urasoko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Furumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Usa/Tosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ushigakubijima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ushimado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ushine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Usujiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Usuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Usuno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Ushitsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Usunoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Utsumi, Aichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Lebakeng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Utsumi, Hiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Utazu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uchinoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UGA', 'N', 'Jinja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uwajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Uzuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Wadomari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Waita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Wakayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Wan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Watanoha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Wada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Wajima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Wakimisaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Wakkanai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Wakura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Wakatsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Wakinosawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Wakizaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Wakimoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Wano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Waniura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Washibeyanoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Wakamatsu, Nagasaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yanagi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yamada, Iwate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yagi, Hyogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yamagawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yanai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yasumiya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yatsushiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yobuko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yubetsu', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yoshida, Aichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yudomari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yuge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yamaguchihigashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yagi, Iwate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yonago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yagishiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yoshiura/Yunotsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yoichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yokkaichi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yokoshima/Kurahashi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yokota, Hiroshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yakuzu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yasurahama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yumachi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yamada, Okayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yamaguchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yamanoura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yamatani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yumugi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yaene', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yunomochiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yanma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yunotsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yonouzu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yoichigaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yonegura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yoro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yotsukura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Youra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yamada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yura, Hyogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yurigahama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yoshida, Ehime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yasugi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yuasahiro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yoshima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yoshinozaki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yoshiura/Misumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yoshiase', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yoshiura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yoshizu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yutai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yura, Yamaguchi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yura, Yamagata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yura, Wakayama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yusu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yuu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yawatahama', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yuwan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Awano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Yaizu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Zamami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Amboseli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Bamburi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Eldoret', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Eliye Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Fergusons Gulf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Garissa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Hola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Kilaguni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Kericho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Kisumu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Kiunga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Kalokol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Kerio Valley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Kitale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Kiwayu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Lamu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Liboi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Lake Baringo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Lokichoggio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Lake Rudolf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Lodwar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Loyangalani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Mara Lodges', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Mumias', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Malindi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Nairobi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Mandera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Nakuru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Nyeri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Nanyuki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Nzoia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Moyale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Marsabit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Samburu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Ukunda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Wilson Apt/Nairobi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KEN', 'N', 'Wajir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KGZ', 'N', 'Osh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KHM', 'N', 'Battambang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KHM', 'N', 'Koh Kong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KHM', 'N', 'Kampot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KHM', 'N', 'Kratie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KHM', 'N', 'Kompong Thom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KHM', 'N', 'Mundulkiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KHM', 'N', 'Oddor Meanche', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KHM', 'N', 'Pailin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KHM', 'N', 'Phnom Penh', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'KHM', 'N', 'Ratanakiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KHM', 'N', 'Siem Reap', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KHM', 'N', 'Svay Rieng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KHM', 'N', 'Stung Treng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Aranuka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Abaiang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Abemama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Arorae Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Butaritari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Beru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Canton Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Christmas Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Kuria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Maiana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Makin Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Marakei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Nikunau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Nonouti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Onotoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Tabiteuea North', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Tamana Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Teraina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Tabuaeran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Tarawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KIR', 'N', 'Tabiteuea South', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'COM', 'N', 'Hahaya Apt/Moroni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KNA', 'N', 'Basseterre, Saint Kitts', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KNA', 'N', 'Saint Kitts', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRK', 'N', 'Pyongyang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBN', 'N', 'Jounieh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Ouarzazate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CYM', 'N', 'Little Cayman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Almaty', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Astana (ex Tselinograd)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Atbasar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Arkalyk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Balhash', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Burundai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Shimkent', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Zhambyl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Zhezkazgan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Ekibastuz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Atyrau (ex Guryev)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Horgos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Zhairem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Karaganda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Kordai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Kostanay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Kzyl-Orda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Zaisan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Taldy-Kurgan', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Ust-Kamenogorsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'KAZ', 'N', 'Uralsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Attopeu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Houeisay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Khong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Luang Prabang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Luang Namtha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Sam Neua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Oudomxay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Ban Houei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Paksane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Pakxe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Seno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Thakhek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Udomxay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Muong Sai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Vangrieng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Saravane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Viengxay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Vientiane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Xayabury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Xienglom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Xieng Khouang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LAO', 'N', 'Sayaboury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBN', 'N', 'Tripoli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LKA', 'N', 'Anuradhapura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LKA', 'N', 'Batticoloa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LKA', 'N', 'Gal Oya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LKA', 'N', 'Jaffna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LKA', 'N', 'Minneriya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LKA', 'N', 'Colombo/Ratmalana Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LKA', 'N', 'Trincomalee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBR', 'N', 'Bella Yella', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBR', 'N', 'Cape Palmas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBR', 'N', 'Foya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBR', 'N', 'Grand Cess', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBR', 'N', 'Sasstown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBR', 'N', 'Sinoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBR', 'N', 'Tchien', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBR', 'N', 'Tapeta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBR', 'N', 'Buchanan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBR', 'N', 'Voinjama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBR', 'N', 'Weasua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBR', 'N', 'Wologissi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Lesobeng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Leribe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Mafeteng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Mokhotlong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Matsaile', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Maseru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Pelaneng', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Sehonghong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Seshutes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Sekakes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Semongkong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Thaba-Tseka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Tlokoeng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LSO', 'N', 'Quthing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LTU', 'N', 'Vilnius', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LUX', 'N', 'Luxembourg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LUX', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBY', 'N', 'Bingazi (Benghazi)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBY', 'N', 'Ghat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBY', 'N', 'Beida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBY', 'N', 'Marsa Brega', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBY', 'N', 'Ghadames', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBY', 'N', 'Mitiga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBY', 'N', 'Misurata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBY', 'N', 'Nafoora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBY', 'N', 'Sert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBY', 'N', 'Tripoli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBY', 'N', 'Tobruk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'LBY', 'N', 'Zwara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Errachidia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Laayoune (El Aaiun)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Fez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Goulimime', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Nador', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Oujda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Tanger Med', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Rabat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Ksar Es Souk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Safi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Sidi Ifni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Smara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Tarfaya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MAR', 'N', 'Tan Tan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDA', 'N', 'Berestovitsa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDA', 'N', 'Ungeny', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDA', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Ambatolahy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Ambilobe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Ampanihy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Ambatomainty', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Antalaha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Antsirabe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Betioky', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Belo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Besalampy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Besakoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Doany', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Soalala', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Fort Dauphin (Toalagnaro)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Analalava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Ihosy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Ilaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Ambanja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Ankavandra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Manja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Majunga (Mahajanga)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Mananjary', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Morondava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Morombe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Maintirano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Bekily', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Farafangana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Sambava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Tanandava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Tulear (Toliara)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Tamatave (Toamasina)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Antananarivo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Tsaratanana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Morafenobe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Vatomandry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Vangaindrano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Vohemar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Mahanoro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Andriamena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Antsohihy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Ankazoabo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Ambatondrazaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Antsalova', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Befandriana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Bealanana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Beroroha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Fianarantsoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Mandritsara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Mandabe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Malaimbandy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Maroantsetra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Mampikony', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Mananara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Madirovalo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Ankorefo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Tambohorano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Tsiroanomandidy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Manakara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Miandrivazo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDG', 'N', 'Andapa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Kwajalein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Likiep Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Lae Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Loen', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Maloelap Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Mili Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Mejit Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Majkin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Namdrik Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Namu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Rongelap Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Tabal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Tinak Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Ujae Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Utirik Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Woja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Wotje Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MHL', 'N', 'Wotho Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Blace', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Blato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Bogorodica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Delcevo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Deve Bair', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Gostivar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Jacince', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Kafasan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Pelince', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Resen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Skopje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Struga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Stip', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Tabanovce', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MKD', 'N', 'Volkovo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MLI', 'N', 'Bamako', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MLI', 'N', 'Gao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MLI', 'N', 'Koutiala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MLI', 'N', 'Kayes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MLI', 'N', 'Mopti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MLI', 'N', 'Nioro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MLI', 'N', 'Nara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Akyab (Sittwe)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Bhamo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Bagan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Bassein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Gangaw', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Gwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Henzada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Homalin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Kawthaung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Keng Tung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Khamti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Kalemyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Kyaukpyu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Kyauktaw', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Loikaw', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Lashio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Mandalay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Mong Ton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Manaung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Myeik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Momeik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Mong Hsat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Magwe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Myitkyina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Namsang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Namtu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Nyaung-U', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Pa-An', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Pauk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Putao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Pakokku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Papun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Yangon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Thandwe (ex Sandoway)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Tachilek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Tilin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Dawe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MMR', 'N', 'Ye', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Arvaikheer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Bayankhongor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Choibalsan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Erdenet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Khujirt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Khovd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Kharkhorin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Altai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Moron', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Mandalgobi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Tsetserleg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Bulgan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Ulaanbaatar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Ulaangom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Underkhaan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNG', 'N', 'Baruun-Urt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNP', 'N', 'Rota', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNP', 'N', 'Saipan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MNP', 'N', 'Tinian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MRT', 'N', 'Aioun el Atrouss', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MRT', 'N', 'Akjoujt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MRT', 'N', 'Atar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MRT', 'N', 'Chinguitti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MRT', 'N', 'Kiffa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MRT', 'N', 'Aleg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MRT', 'N', 'Mbout', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MRT', 'N', 'Boutilimit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MRT', 'N', 'Tichitt', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'MRT', 'N', 'Tamchakett', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MRT', 'N', 'Tidjikja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MRT', 'N', 'El Gouera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MSR', 'N', 'Montserrat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MLT', 'N', 'Blata l''Bajda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MLT', 'N', 'Comino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Mukah, Sarawak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDV', 'N', 'Kaadedhdhoo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MDV', 'N', 'Kadhdhoo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MWI', 'N', 'Blantyre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MWI', 'N', 'Karonga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MWI', 'N', 'Limbe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MWI', 'N', 'Lilongwe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Ciudad Acuna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Abreojos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Alvarado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Apatzingan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Bahia Angeles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Comitan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Campeche', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Chetumal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Chihuahua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Guerrero Negro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Hermosillo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Isla Mujeres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Ixtepec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Jalapa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Los Mochis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Lagos de Moreno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Minatitlan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Monterrey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Nueva Casas Grandes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Nogales', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Oaxaca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Poza Rica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Punta Colorada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Punta Chivato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Pinotepa Nacional', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Puerto Peñasco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Palenque', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Pochutla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Puerto Escondido', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'San Felipe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'San Ignacio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'San Jose Cabo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'San Quintin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Santa Rosalia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'San Cristóbal de las Casas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Torreon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Tulum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MEX', 'N', 'Villa Constitucion', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Alor Setar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Bario', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Kota Kinabalu, Sabah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Belaga, Sarawak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Sematan, Sarawak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Bintulu, Sarawak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Sungei Tekai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Ipoh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Johor Bahru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Kota Bharu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Kuching, Sarawak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Kapit, Sarawak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Kuantan (Tanjong Gelang)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Kudat, Sabah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Kuala Lumpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Labuan, Sabah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Limbang, Sarawak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Long Semado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Long Sukang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Lawas, Sarawak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Mersing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Malacca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Marudi, Sarawak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Miri, Sarawak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Long Seridan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Pamol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Penang (Georgetown)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Ranau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Sibu, Sarawak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Sandakan, Sabah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Semporna, Sabah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Sepulot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Sipitang, Sabah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Sitiawan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Taman Negara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Kuala Terengganu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Tomanggong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Tioman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Taiping', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYS', 'N', 'Tawau, Sabah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Alto Molocue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Angoche', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Nampula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Benguera Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Bajone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Bazaruto Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Caia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Ibo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Inhaminga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Chinde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Inhambane', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Luabo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Palma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Magaruque', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Maganja Da Costa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Moma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Nacala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Montepuez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Mueda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Nangade', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Santa Carolina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Pebane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Pemba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Marromeu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Tete', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Quelimane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Gurue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Chimoio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MOZ', 'N', 'Lichinga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Arandis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Ai-Ais', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Bagani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Grootfontein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Gobabis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Halali', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Karasburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Keetmanshoop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Mariental', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Mount Etjo Lodge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Mpacha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Midgard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Rundu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Namutoni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Ongava Game Reserve', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Oshakati', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Okaukuejo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Mokuti Lodge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Omega', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Ondangwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Opuwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Otjiwarongo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Swakopmund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Sesriem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Terrace Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Tsumeb', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NAM', 'N', 'Windhoek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NCL', 'N', 'Belep Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NCL', 'N', 'Ile des Pins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NCL', 'N', 'Koumac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NCL', 'N', 'Tontouta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NCL', 'N', 'Touho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NER', 'N', 'Agades', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NER', 'N', 'Birni Nkoni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NER', 'N', 'Maradi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NER', 'N', 'Niamey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NER', 'N', 'Arlit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NER', 'N', 'Tahoua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NER', 'N', 'Zinder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NFK', 'N', 'Norfolk Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Abuja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Akure', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Benin City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Calabar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Enugu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Ibadan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Ilorin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Jos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Kaduna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Kano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Lagos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Makurdi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Maiduguri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Minna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Port Harcourt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Sokoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Yola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NGA', 'N', 'Zaria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NIC', 'N', 'Bluefields', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NIC', 'N', 'Bonanza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NIC', 'N', 'Corinto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NIC', 'N', 'El Bluff', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NIC', 'N', 'Managua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NIC', 'N', 'San Carlos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NIC', 'N', 'Puerto Cabezas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NIC', 'N', 'Rosita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NIC', 'N', 'Corn Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NIC', 'N', 'Siuna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NIC', 'N', 'San Juan del Sur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NIC', 'N', 'Waspam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Aalsmeer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Aardenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Abbekerk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Abcoude', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Abbenbroek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Alblasserdam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Aerdenhout', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Almere', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Andijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Anjum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Almkerk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Akersloot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Akkrum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Aalburg', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Alkmaar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Almelo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ameland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Amsterdam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Amstelveen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ammerzoden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Andel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Anna Paulowna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Andelst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Apeldoorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Alphen aan den Rijn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Appingedam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Arcen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Aarle Rixtel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Arkel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Assendelft', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Asperen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Assen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Avenhorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Badhoevedorp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Baflo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Balk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Barneveld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bavel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bennebroek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Beusichem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bedum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Beek en Donk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bergh-Autoweg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Beilen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bergschenhoek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bentveld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Beek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Berkel-Enschot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Beugen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Beverwijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Beiswijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bergambacht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bergum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bilthoven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Benthuizen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Broek in Waterland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Balkbrug', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Berkel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Boekelo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bennekom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Blaricum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Blaaksedijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bleskensgraaf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Blokker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bladel', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Baarlo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bleiswijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bloemendaal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Boortmeerkerk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bunnink', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Binnenmaas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Beuningen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Baarle-Nassau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bolsward', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Born', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Boxmeer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Borculo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Breda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Brielle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Brakel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Broek op Langedijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Brummen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Brunssum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Brouwershaven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Barendrecht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bruchem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Breezand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Beesd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Boskoop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bussum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Best', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bathmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Budel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Boesingheliede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bunnik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Bunschoten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Beneden-Leeuwen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Boxtel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Capelle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Castricum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Coevorden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Cothen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Capelle aan den IJssel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Cruquius', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Culemborg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Dalfsen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'De Bilt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Didam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Den Dolder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Dedemsvaart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'De Meern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Deurne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Deventer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'De Wilp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Delft', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Delfgauw', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Den Hoorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Diever', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Diemen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Dinteloord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Dieren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'De Kempen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'De Krim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'De Kwakel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'De Lier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Doesburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Doetinchem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Dokkum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Dongen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Doorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Dordrecht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Drachten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Driebergen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Dirksland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Drunen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Dronten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Druten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Duiven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Duizel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Dinxperlo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'De Zilk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Echteld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Echt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Edam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Eede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Eerbeek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Eenrum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Egchel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Eibergen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Eindhoven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Elburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ellecom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Emmer-Compascuum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Emmeloord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Emmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Engwierum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Enspijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Enschede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Epe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Epen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ermelo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Erp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Espel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Eijsden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Farmsum', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Feerwerd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Fijnaart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Foxhol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Franeker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Gameren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Garderen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Gassel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Grevenbicht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Grubbenvorst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Geldermalsen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Goedereede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Gellicum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Geleen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Gemert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Gennep', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Giesbeek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Giessen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Glanerbrug', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Geldrop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Genderen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Genemuiden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Goes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Goirle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Goor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Gorinchem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Gouda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Goudswaard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Groenlo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Groningen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Groessen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Geervliet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Gasteren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Geertruidenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Gilze', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Haarlem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Haelen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Halsteren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Harmelen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hapert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hasselt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Haulerwijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hazerswoude', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hardenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hoensbroek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Haastrecht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hedel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Heel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Helden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Heurne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hoofddorp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Halfweg', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hengelo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hoogvliet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Heerhugowaard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hillegom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Heemskerk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Haaksbergen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hoogkarspel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hallum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Heiloo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Holten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Heemstede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hoornaar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hank', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Heinen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Honselersdijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Heinenoord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hoevelaken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hooglanderveen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hoogerheide', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hoogland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hoeven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hordijkerveld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Houten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hoogeveen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hooge Zwaluwe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Harderwijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Herkenbosch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Heerlen-Autoweg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hoorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Horst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Heerenveen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hellevoetsluis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Huis ter Heide', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hattemerbroek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hontenisse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Heteren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Huizen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hulst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Herveld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hoek van Holland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Helvoirt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Hilversum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Heythuysen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Heeze', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ilpendam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ittervoort', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Julianadorp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Joure', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Kaag', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Kampen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Kapellebrug', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Keijenborg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Kerkrade', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Kinderdijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Klundert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Klaaswaal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Kamerik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Koudekerke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Krommenie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Kruiningen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Kessel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Kesteren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Kortenhoef', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Kaatsheuvel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Kwadendamme', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Kwintsheul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Koewacht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Landgraaf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Langerak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Landsmeer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Laren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Loenen aan de Vecht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lage Weide', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lochem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lichtenvoorde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Leiderdorp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Leidschendam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Leek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lekkerkerk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lemsterland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Leusden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lelystad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Leiden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lienden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Limmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lemmer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Leimuiden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lent', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lobith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lomm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Loenen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lopik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Leerdam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Linschoten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nieuw-Loosdrecht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Aalten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Leuth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Leeuwarden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lexmond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Langezwaag', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Maarsbergen', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Malden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Maasland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Marknesse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Markelo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Maurik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Melick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Middelbeers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Medemblik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Merkelbeek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Meer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Meppel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Meers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Meerlo-Wansum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Maarheeze', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Middelburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Middelharnis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Mijdrecht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Moerkapelle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Mill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Monnickendam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Montfoort', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Moerdijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Molenaarsgraaf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Monster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Moordrecht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Maarssenbroek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Maartensdijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Maasbracht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Maasdam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Maassluis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Maarssen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Maastricht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Maasvlakte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Naarden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Naaldwijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Scheemda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Smallingerland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nootdorp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Neer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nijmegen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nijkerk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nijkerkerveen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nagele', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nuenen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Noordwijkerhout', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nederweert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Noord-Scharwoude', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nuth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Numansdorp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nuis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nunspeet', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nijverdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nieuwegein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nieuwkoop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Nieuwpoort', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oud-Beijerland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oudenbosch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ochten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oudenhoorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Odijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oude Pekela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oude-Tonge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oudewater', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oegstgeest', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oirschot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oisterwijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oldeberkoop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oldenzaal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Roermond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ommen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ootmarsum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ooij', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oosterbeek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oostdijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ospel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oss', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oostrum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oud-Vossemeer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Oostvoorne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ovezande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Panningen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Papendrecht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Poeldijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Pijnacker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Prinsenbeek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Purmerend', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Putte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Acht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Eersel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Lisse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Made', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Raalte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ravenstein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Roelofarendsveen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Rijnsburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Rucphen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Reuver', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Reimerswaal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Rheden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Rhenen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Rhoon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ridderkerk', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Riel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Rijen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Rijssen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Rosmalen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Renkum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Roden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Roggel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Roosendaal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Rodenrijs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Rozenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Breukelen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Rumpt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Reeuwijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Rijsbergen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Rijswijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Rozendaal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Sappemeer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Sassenheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Schoonebeek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Schiedam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Schinnen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Schoonhoven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Sittard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Silvolde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Sliedrecht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Slikkerveer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Sluis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Schijndel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Sneek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Snelrewaard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Soest', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Someren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Soesterberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Spaubeek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Spanbroek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Spaarndam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Spijkenisse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Spakenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Schiphol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Steenbergen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Staphorst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Stein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Stadskanaal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Stiens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Steenwijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Surhuisterveen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Swalmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ter Apelkanaal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Tubbergen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Terborg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ter Aar', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Tegelen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Tiel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Tilburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ter Apel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Strijen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Tuitjenhorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Twello', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Uden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Udenhout', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Uithoorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ulft', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ulrum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ulestraten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ursem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Utrecht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Uithuizen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Vaassen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Valkenswaard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Vianen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Veldhoven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Veendam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Vredenduin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Veenendaal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Veghel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Velsen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Venlo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Velp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Vught', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Voorthuizen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Vierlingsbeek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Vinkeveen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Vlodrop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Vlijmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Venlo-Autoweg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Vaals', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Vleuten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Van Essen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Venhuizen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Venray', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Voorburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Volendam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Voorhout', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Voorschoten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Vroomshoop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Voorst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Vriezenveen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Varsseveld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Waalre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Waardenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Waddinxveen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wanroij', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Waalhaven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wapenveld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Warnsveld', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wateringen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wijk bij Duurstede', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wijchen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Woudenberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Weidum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wijdenes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wemeldinge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wervershoof', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Westmaas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Westervoort', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Warffum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wageningen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wernhout', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wierden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wijhe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Willemstad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wieringerwerf', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Werkendam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wildervank', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Waalwijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wellerlooi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wilnis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Warmenhuizen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Woerden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wouw', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Warder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Waarland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Warmond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Weert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wormerveer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Winschoten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wessem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Weesp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wassenaar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Winterswijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Westzaan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wolvega', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Wijde Wormer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Ypenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zaandam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zaandijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zwaag', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zandvoort', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zetten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zevenaar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zwaagdijk', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zevenhuizen (Utrecht)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zevenhuizen (Friesland)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zaltbommel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zalk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hobart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zenderen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zoelen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zoetermeer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zundert', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zuidland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zutphen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zwanenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zoeterwoude-Rijndijk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zwaagwesteinde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zwijndrecht', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Zwolle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Åfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Årdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Ås', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Andøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Agdenes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Alnabru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Alstahaug', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Andebu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Austrheim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Asker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Askvoll', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Askøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Barkåker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Bamble', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Bærum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Bardufoss', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Beiarn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Berg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Bindal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Bismo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Brakstad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Bremanger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Brønnøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Borre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Bryne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Dombås', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Dønna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Drevsjø', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Dyrøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Eigersund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Eid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Elverum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Eina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Evje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Fagernes', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Fjaler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Fjell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Flakstad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Flatanger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Fangatau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Frøya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Fræena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Frei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Frogn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Frosta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Fosnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Fortun-Luster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Gaular', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Geilo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Gildeskål', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Giske', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Gjemnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Gjesdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Gol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Gloppen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Grong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Gratangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Gulen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Gjøvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Hå', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Hadsel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Hitra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Hjerkinn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Fakahina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Høylandet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Hemne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Hamar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Hemnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Hamarøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Hornindal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Herre-Bamble', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Hurum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Hvaler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Ibestad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Inderøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Jøssinghamn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Jevnaker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Kåfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Karlsøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Kløfta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Klepp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Koppang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Kraakerøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Kongsberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Karasjok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Kongsvinger', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Kautokeino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Kvinesdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Kvinnherad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Kvam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Kvænangen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Lindesnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Lebesby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Leikanger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Lensvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Lervik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Lier', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Lindås', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Leka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Lakselv', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Lillehammer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Lyngdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Lom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Loppa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Lillestrøm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Lutnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Lyngen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Honinabi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Magnor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Malvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Målselv', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Meløy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Meland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Modalen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Masfjorden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Mosvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Måsøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Myre-Øksnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Mysen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Naustdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Namdalseid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Nesodden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Nesflaten-Suldal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Norddal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Nordkapp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Nordreisa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Nærøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Nesseby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Nærsnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Nesset', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Notodden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Nøtterøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Oksnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Ørland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Oppegård', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Oppdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Orkdal', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Ørje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Ørskog', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Osen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Osterøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Otta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Øye', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Øygarden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Porsanger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Råde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Rauma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Radøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Rødøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Raufoss', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Ringebu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Rjukan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Ramfjordnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Rana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Roan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Røros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Rolvsøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Samnanger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Skaun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Saltdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Sandane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Skånevik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Seljord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Sem-Tønsberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Senja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Skånland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Skodje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Skarnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Skatval-Stjordal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Sola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Sømna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Sund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Snillfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Sørfold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Sokndal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Dhangarhi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Sotra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Skjerstad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Strand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Storfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Steigen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Stokke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Storskog', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Sula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Suldal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Svinesund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Komako', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Hawabango', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Tana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Tingvoll', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Tjøme', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Tjeldsund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Tretten', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Tranøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Torvastad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Tveit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Tysfjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Tysnes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Tysvær', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Varangerbotn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Vanylven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Vefsn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Vevelstad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Veggli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Vågan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Vågsøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Vindafjord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Vikna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Vennesla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Voss', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Verran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Vettre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NOR', 'N', 'Vestvågøy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Bhadrapur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Baglung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Bhojpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Bharatpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Biratnagar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Baitadi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Bajhang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Bajura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Bhairawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Darchula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Dang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Dolpa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Sanfebagar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Gorkha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Chaurjhari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Simikot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Jiri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Janakpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Jomsom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Jumla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Nepalganj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Kathmandu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Lamidanda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Langtang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Lukla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Meghauli', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Mountain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Manang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Pokhara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Phaplu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Ramechhap', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Rajbiraj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Rolpa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Rukumkot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Rumjatar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Simara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Surkhet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Syangboche', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Taplejung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NPL', 'N', 'Tikapur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NIU', 'N', 'Niue Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Alexandra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Ardmore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Chatham Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Great Barrier Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Hayfields', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Iaura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Kaitaia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Kaikohe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Mansion House', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Atuona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Mount Cook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Masterton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Ohakea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Palmerston North', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Te Anau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Taupo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Whakatane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NZL', 'N', 'Queenstown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'OMN', 'N', 'Dibaa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'OMN', 'N', 'Khasab', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'OMN', 'N', 'Muscat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'OMN', 'N', 'Marmul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'OMN', 'N', 'Buraimi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'OMN', 'N', 'Salalah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'OMN', 'N', 'Sur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Achutupo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Aguadulce', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Ailigandi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Puerto Armuelles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Caledonia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Chitre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Arutua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'David', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'El Real', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Fort Kobbe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Manzanillo', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Las Minas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Mulatupo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'San Miguel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Contadora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Almirante', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'La Palma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Rio Tigre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Sambu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Santa Fe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Santiago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Tupile', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAN', 'N', 'Ustupo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Alerta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Andahuaylas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'San Juan Aposento', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Arequipa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Anta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Ayacucho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Bellavista', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Cabo Blanco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Chachapoyas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Chimbote', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Chancay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Chiclayo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Cajamarca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Etén', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'General San Martin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Huacho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Huanuco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Iberia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Iquitos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Jauja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Juliaca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Lobitos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Machu Picchu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Mollendo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Matarani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Pacasmayo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Paita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Puerto Chicama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Pucallpa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Puerto Maldonado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Piura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Pimentel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Puno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Rioja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'San Juan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Santa Maria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'San Nicolas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Saposoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Supe', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Salaverry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Shiringayoc', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Tumbes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Tacna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Tarapoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Trujillo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Talara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PER', 'N', 'Yurimaguas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Anaa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Ahe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Apataki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Faaa, Tahiti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Faaite', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Fakarava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Hikueru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Hiva Oa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Maupiti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Makemo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Moorea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Mataiva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Napuka Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Nuku Hiva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Nukutavake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Pukarua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Reao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Raiatea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Rangiroa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Rurutu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Tikehau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Takume', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Takapoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Tatakoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Takaroa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Tetiaroa Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Tubuai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Ua Huka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Ua Pou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Vahitahi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PYF', 'N', 'Manihi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Atkamba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Abau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Aseki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Afore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Angoram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kagua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wanigela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Aiome', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Anguganak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Ama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Amboin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Amanab', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Aroa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Annanberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Arona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Asapa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'April River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Aragip', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Asirim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Namatanai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Aitape', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Aua Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Ambunti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Agaun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Aumo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Awaba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Awar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Aiyura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Amazon Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bialla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bali', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Baibara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bambu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Baindoung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bereina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Biliau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bimin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bomai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bamu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bodinumu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bundi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Boana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Banz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Boku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Boroko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Boset', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Boang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Boridi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bapi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Brahman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Biaru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bensbach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Buka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bulolo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bolovip', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Bawan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Cape Gloucester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kundiawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Cape Orford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Cape Rodney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Chungribu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Cape Vogel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Daup', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Daru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Debepare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Dodoima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Derim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Daugo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Dalbertis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Dinangat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Doini', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Dorobisoro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Dios', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Dumpu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Efogi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Engati', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Eia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Emirau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Emo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Embessa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Eliptamin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Erave', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Erume', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Esa''ala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Freida River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Finschhafen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Feramin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Fulleborn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Fuma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Gusap', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Garaina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Guasopa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Gasuke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Negarbo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Green Islands', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Gewoia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Goroka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Gulgubip', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Gasmata Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Gora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Gonalia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Garuahi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Garasa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Guriaso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Guari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Alotau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Mougulu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Green River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Gnarowein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Hatzfeldthaven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Haelogo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Mount Hagen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Hivaro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Hoskins', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Heiweni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Iboki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Indagen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Ihu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Nissan Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Ileg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Iamalele', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Imonda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Imane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Iokea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Ioma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Inus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Jacksons', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Jacquinot Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Josephstaal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Karato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kamulai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kabwum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Komaio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Koroba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kandep', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kamberatoro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kandrian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Keglsugl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kanabea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Konge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Yongai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kungum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kagi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kaiapit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kieta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kikinonda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kamiraba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kokoda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kerema', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Koinambe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kamina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Karimui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kanainj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kelanoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Komo-Manda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kokoro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kopiago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Yapsiei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kompiam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kikori', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Karawari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kerau', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kasanombe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kisengan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kupiano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kuri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kamusi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kitava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kavieng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kawito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kurwina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kiwai Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Karoola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Yalumet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kaintiba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Lablab', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Lae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Laiagam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Linga Linga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Lehu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Lamassa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Lumi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Lake Murray', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Lengbati', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Munbil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Lese', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Langimar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Loani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Lihir Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Leron Plains', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Losuia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Long Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Leitre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Lowai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Madang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Mamai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Manus Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Masa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Munduku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Mendi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Manguna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Mesalia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Margarima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Manga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Morehead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Misima Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Moki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Malekolon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Malalaua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Mal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Maron', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Mapoda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Makini', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Mapua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Miyanmin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'May River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Manare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Manetai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Marawaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Maramuni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Mussau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Moro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Mindik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Menyamya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Minj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Nambaiyufa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Namudi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Nadunumu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Ningerum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Simberi Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Nankina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Nomane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Nomad River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Naoro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Nipa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Nuguria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Nutuve', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Nowata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Morobe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Obo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Ogeranang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Oksapmin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Olsobip', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Omkalai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Ononge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Open Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Balimo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Omora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Ossima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Oria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Pambwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Pindiu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Pangoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Yegepa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Pangia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Paiela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Pumani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Pimaga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Popondetta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Port Moresby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Param', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Puas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Pureni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Rakanda', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Rabaul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Oram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Rabaraba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Porgera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Yule Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Rumginae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Robinson River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Ruti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Salamo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Selbang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Suabi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Sabah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Saidor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Safia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Singaua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Sagarai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Sangapi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Sila', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Simbai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Sissano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Suki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Sapmanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Sim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Stockholm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Sopu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Sepik Plains', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Siassi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Suria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Siwea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Satwag', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Silur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Sialum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Sehulea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Sauren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tabibuga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Timbunke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tabubil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tarabo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Torembi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tinboli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Terapo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Teptep', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tilfalmin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tufi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Telefomin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tagula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tingwon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tekadu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tekin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tol', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tumolbil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Talasea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Torokina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tonu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tapini', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tarakbits', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tsili Tsili', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Taskul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tsewi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tauta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Tawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Mount Aue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Buin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Nuku', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Sule', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Umba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Kiunga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Upiara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Uroubi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Usino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Manumu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Uvol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Vanimo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Vivigani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Baimuru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wabag', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wawoi Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wabo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wapolu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wapenamanda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wedau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Weam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wagau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Witu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wakunai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wanuma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wonenara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wipim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wasua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wasu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Woitape', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wantoat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wasum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wuvulu Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Wewak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Biniguni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Yellow River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Yenkis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Yeva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Zenag', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Alah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Baguio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Bacolod, Negros', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Baganga/Mati', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Bislig, Mindanao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Baler/Siain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Butuan Bay/Masao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Cotabato, Mindanao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Cagayan de Sulu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Cebu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Casiguran/Siain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Camiguin Island/Aparri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Cagayan de Oro, Mindanao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Catarman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Culion', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Cuyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Cauayan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Dumaguete', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Dipolog/Ozamis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Dilasag', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Daet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Davao, Mindanao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Sicogon Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Iligan, Mindanao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Iloilo, Panay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Ipil/Zamboanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Jolo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Kalibo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Laoag, Luzon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Lubang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Lwbak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Mamburao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Masbate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Malabang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Manila', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Caticlan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Marinduque', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Mati, Mindanao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Sangley Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Ormoc/Tacloban', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Ozamis, Mindanao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Pagadian/Zamboanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Puerto Princesa, Palawan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Roxas/Puerto Princesa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'San Fernando, Luzon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Subic Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Sanga Sanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Siasi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Surigao, Mindanao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Tacloban, Leyte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Tagbilaran, Bohol', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Tablas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Tandag/Bislig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Tagbita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Tuguegarao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Tawitawi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Busuanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Virac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BLR', 'N', 'Brest', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'BLR', 'N', 'Gomel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CZE', 'N', 'Bila', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'GBR', 'N', 'Worth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'NLD', 'N', 'Arnhem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(-2.717 52.85)', 'GBR', 'N', 'Wem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(134.467 34.783)', 'JPN', 'N', 'Aioi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(7.6 63.217)', 'NOR', 'N', 'Grip', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Elista', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FIN', 'FIPLL', 'Pello', 'N', 'Y', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAN', 'N', 'Tasu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'CAF', 'N', 'Bria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Füssen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'DEU', 'N', 'Mayen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'FRA', 'N', 'Dax', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Akoh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Nama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Oma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Suge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'JPN', 'N', 'Taiza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PNG', 'N', 'Fane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Sibi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ruby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'York', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PHL', 'N', 'Naga/Zamboanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Bagh/AJK', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Badin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Bhurban', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Bahawalpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Bhakkar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Bannu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Bhai Pheru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Burewala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Chichawatni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Chichoki Mallian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Changa Manga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Chilas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Chitral', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Chakwal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Charsadda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Chishtian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Campbellpore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Dalbandin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Dadu', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Dera Ghazi Khan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Dir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Daska', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Daharki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Dera Ismail Khan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Ghakhar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Gilgit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Gujar Khan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Gujrat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Gujranwala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Gwadar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Hyderabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Hafizabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Haripur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Mansehra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Haripur Hazara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Hassanabdal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Hub', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Havelian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Islamabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Jacobabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Jungshahi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Jhang City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Jiwani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Jhal Magsi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Jalalpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Jhang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Jaranwala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Jamrud', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kalat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Keti Bunder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kabirwala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kadanwari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Khuzdar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Skardu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Khushab', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kohat Cantt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Karachi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Khairpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kohlu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kambar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kamalia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kotli/AJK', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kotri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Khanpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Khanewal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Karachi City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kashmor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Lahore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Lakki Marwat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Lala Mosa', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Landhi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Lodhran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kot Lakhpat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Lahore Cantt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Lora Lai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Larkana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Lasbela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Faisalabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Mandi Bahauddin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Mandi Burewala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Muridke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Mardan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Muzaffarabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Mogulpura/Lahore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Mehrabpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Mohenjodaro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Malakand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Matli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Mingaora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Moro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Mirpur Khas (= Sindhri)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Mirpur Mathelo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Multan Cantt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Multan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Mianwali', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Multan City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Mian Channu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Muzaffargarh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Nok Kundi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Nushki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Nankana Sahib', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Narowal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Nowshera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kohat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Okara Cantt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Okara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Ormara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Para Chinar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Pabbi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Pakistan International Container Terminal/Karachi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Peshawar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Panjgur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Pano Aqil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Poonch/AJK', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Peshawar Cantt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Peshawar City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Pasni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Pattoki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Zhob', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Qasim International Container Terminal/Karachi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Kharian', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Qila Sheikhupura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Rawala Kot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Risalpur Cantt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Rajanpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Raiwind', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Rohri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Rawalpindi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Rahim Yar Khan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Sadikabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Shahdara Bagh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Saidu Sharif', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Shahdadpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Sargodha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Shahdadkot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Shorkot Cantt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Sheikhupura', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Sukkur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Sangla Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Samasata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Sambrial', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Sammundri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Sanghar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Shabqadar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Shorkot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Sui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Swabi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Sahiwal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Shikarpur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Serai Alamgir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Sehwen Sharif', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Tando Allahyar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Taftan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Thatta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Tarbela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Timargara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Tando Adam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Torkham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Toba Tek Singh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Turbat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Taxilla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Quetta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Vehari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Wana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Wah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Bahawalnagar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Wagah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Nawabshah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Wazirabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Savi Ragha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PAK', 'N', 'Ziarat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'Czestochowa', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'Zielona Gora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'Krakow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'Katowice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'Koszalin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'Poznan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'Przemysl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'Zakopane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'Tarnobrzeg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'Elk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'Stalowa Wola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'Szymany', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'Wroclaw', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'POL', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SPM', 'N', 'Miquelon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PCN', 'N', 'Pitcairn Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRI', 'N', 'Arecibo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRI', 'N', 'Aguadilla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRI', 'N', 'Culebra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRI', 'N', 'Dorado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRI', 'N', 'Fajardo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRI', 'N', 'Humacao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRI', 'N', 'Mayagüez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRI', 'N', 'Roosevelt Roads', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRI', 'N', 'Ponce', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRI', 'N', 'Vieques', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRY', 'N', 'Ciudad del Este', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRY', 'N', 'Ayolas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRY', 'N', 'Mariscal Estigarribia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRY', 'N', 'Filadelfia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRY', 'N', 'Ita Enramada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRY', 'N', 'Pedro Juan Caballero', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRY', 'N', 'San Lorenzo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRY', 'N', 'Villeta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'PRY', 'N', 'Vallemi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'QAT', 'N', 'Doha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Arad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Baia Mare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Bucuresti-Baneasa Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Bacau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Bistrita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Botosani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Baneasa Apt/Bucuresti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Brasov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Bucuresti Basarab', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Bucuresti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Bucuresti Intrepozite', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Bucuresti Nord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Bucuresti 50 Vama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Buzau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Carei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Craiova', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Caransebes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Curtici', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Dornesti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Falciu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Focsani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Galati Transbordare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Giurgiu Nord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Halmeu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Jimbolia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Kyzyl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Naidas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Negru Voda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Nicolae Balcescu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Nicolina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Oradea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Piatra Neamt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Pitesti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Radauti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Resita Nord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Resita Sud', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Salonta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Sibiu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Suceava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Sighetu Marmatiei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Socola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Someseni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Satu Mare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Suceava Nord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Timisoara Nord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Timisoara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Valea Luimihai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Varsand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Vama Veche', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'Vicsani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ROU', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SRB', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Anapa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Achinsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Aldan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Arkhangelsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Astrakhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Barnaul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Beloreck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Blagoveschensk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Bratsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Balakovo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Cherepovets', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Chelyabinsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Chokurdah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Chkalovsky', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Chulman', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Cherskiy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Dikson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Anadyr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Belgorod', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Eniseysk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Magdagachi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Magadan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Gelendzik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Nizhniy Novgorod (ex Gorkiy)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Groznyj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Chita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Hatanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Igarka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Yaroslavl', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Izhevsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Tiksi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Irkutsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Inta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Ivangorod', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Ivanova', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Joshkar-Ola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Kaliningrad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Kogalym', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Khabarovsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Krasnojarsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Kostroma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Krasnodar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Kotlas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Kirovsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Kirov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Komsomolsk Na Amure', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Kazan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Smolensk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Lipetsk (Lipeck)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Mirnyj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Murmansk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Magnitogorsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Mineralnye Vody', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Neftekamsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Neryungri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Nefteyugansk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Naryan Mar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Noril''sk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Novy Urengoy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Novgorod', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Nadym', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Oktyabr''skiy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Omsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Orsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Petrozavodsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Pechora', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Penza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Petropavlovsk-Kamchatskiy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Pskov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Provedenia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Pevek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Polyarnyj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Raduzhnyi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Orenburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Rostov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Saratov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Rybinsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Ryazan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Syktyvkar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Surgut', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Saransk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Salehard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Stavropol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Sheremetyevo Apt/Moscow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Strzhewoi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Tambov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Tomsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Tobolsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Tula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Tynda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Ukhta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Ufa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Ust-Ilimsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Ust-Kut', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Uraj', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Kursk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Usinsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Bugulma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Ulan-Ude', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Vologda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Vnukovo Apt/Moscow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Vorkuta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Vladikavkaz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Volgodonsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Velikiye Luki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Voronezh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Velikij Ustyug', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Vladivostok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RUS', 'N', 'Yakutsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RWA', 'N', 'Butare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RWA', 'N', 'Gisenyi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RWA', 'N', 'Kigali', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RWA', 'N', 'Kamembe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'RWA', 'N', 'Ruhengeri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Al Baha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Abha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Jouf', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Qaisumah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Bisha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Dhahran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Nejran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Wedjh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Gassim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Hail', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Hafar al Batin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Jeddah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Khamis Mushayt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Madinah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Majma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Qatif', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Sharurah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Taif', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Turaif', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Tabuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Gurayat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Unayzah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Wadi ad Dawasir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SAU', 'N', 'Zilfi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Afutara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Auki, Malaita Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Avu Avu, Guadalcanal Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Batuna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Geva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Kirakira, San Cristobal Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Kukundu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Kwai Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Kwailabesi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Mbambanakira, Guadalcanal Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Mono', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Munda, New Georgia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Santa Ana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Noro, New Georgia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Onepusu, Malaita Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Ontong Java', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Parasi, Malaita Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Ramata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Rennell Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Marau Sound, Guadalcanal Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Santa Cruz Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Savo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Tarapaina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Tulagi, Ngella', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Suavanao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Barakoma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLB', 'N', 'Viru Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SYC', 'N', 'Bird Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SYC', 'N', 'Denis Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SYC', 'N', 'Praslin Island', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Ad Dabbah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Atbara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Dinder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Dongola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Eldebba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Khashm El Girba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Gedaref', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Khartoum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Kassala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Malakal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Merowe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'New Halfa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'En Nahud', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Port Sudan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Roseires', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Swakin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Wadi Halfa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SDN', 'N', 'Wau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Ar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Helsingborg-Ängelholm Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Ala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Alfredshem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Ankarsvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Arbrå', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Arnöviken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Arlanda Apt/Stockholm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Arvika', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Bergs oljehamn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Billingsfors', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Borlänge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Bromma Apt/Stockholm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Bollstabruk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Borghamn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Borås', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Bredviken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Brofjorden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Brottby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Djurön', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Djurmo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Domsjö', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Dynäs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Eskilstuna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Enebyberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Sveg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Fagervik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Falun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Finspång', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Flen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Forsmark', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Frånö', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Gamleby', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Gällivare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Glanshammar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Gråbo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Gruvön', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Gunnebo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Hagen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Haraholmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Hallstanäs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Holsbybrunn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Hultsfred', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Hemavan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Hörneborg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Hönsäter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Hallaryd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Idre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Iggesund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Jättersön', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Jönköping', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Johannedal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Karlsvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Karskär', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Kristinehamn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Kristianstad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Korsnäs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Karpalund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Kramfors', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Kiruna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Karlstad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Kubikenborg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Kvarnholmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Kopparverkshamnen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Kvänum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Karlsborg Axelvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Kyrkebyn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Långasjö', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Lidköping', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Lilla Edet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Liljendal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Lidingö', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Ljungby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Linköping', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Lund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Lugnvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Lövholmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Lövånger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Lycksele', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Marsviken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Marieberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Mjölby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Mo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Mörarp', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Motala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Mora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Mattmar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Munksund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Näs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Nyhamn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Norrbottens Järnverk-SSAB', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Norrbyskär', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Näsviken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Oaxen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Ockelbo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Örebro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Ortviken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Östersund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Östrand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Otterbäcken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Rone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Rönnskärsverken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Sandvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Sandviken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Saltsjö-Boo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Saltsjöbaden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Skellefteå', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Skärblacka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Skönvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Skuthamn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Skoghall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Skattkärr', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Skurup', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Skövde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Spånga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Sprängsviken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Strängnäs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Strömsnäsbruk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Stocksund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Sundbyberg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Sund', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Surte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Storugns', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Svartvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Svanö', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Trollhättan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Tibro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Tidaholm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Töre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Tomelilla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Trångsviken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Torsvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Tygelsjö', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Ulfvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Ursviken', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Utansjö', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Väja', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Vänersborg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Värnamo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Verkebäck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Vargön', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Vilhelmina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Vivstavarv', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Västerås', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'Växjö', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWE', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SGP', 'N', 'Tengah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SHN', 'N', 'Georgetown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SHN', 'N', 'Tristan da Cunha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVN', 'N', 'Ljubljana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVN', 'N', 'Maribor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVN', 'N', 'Portoroz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SJM', 'N', 'Barentsburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SJM', 'N', 'Sveagruva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Devinska Nova Ves/Bratislava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Bratislava Port', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Becherov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Brodské', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Petrzalka/Bratislava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Cadca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Cierna nad Tisou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Domica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Drietoma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Filakovo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Haniska pri Kosiciach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Hostovce', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Hricov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Horné Srnie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Zilina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Jarovce', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Kalonda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Klokocov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Komarno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Komarno Port', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Kral', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Lenartovce', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Luky p Makytou-Horni Lidéc', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Lysa pod Makytou-Strelna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Lucenec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Medvedov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Makov-Horni Becva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Milhost', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Matovské Vojkovské', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Myjava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Myjava-Vrbovce', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Nova Bosaca', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Palota', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Plavec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Podspady', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Podzavoz (Milosova)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Presov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Piestany', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Rusovce/Bratislava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Salka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Slovenske Darmoty', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Sahy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Siatorska Bukovinka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Skalica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Skalité', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Skalité-Zwardon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Sliac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Slovenské Nové Mesto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Srvcinovec', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Poprad/Tatry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Trancianska Tapla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Trstena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Ubla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'Vefky Kamenec, Pacin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SVK', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLE', 'N', 'Bonthe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLE', 'N', 'Daru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLE', 'N', 'Freetown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLE', 'N', 'Gbangbatok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLE', 'N', 'Kabala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLE', 'N', 'Bo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLE', 'N', 'Kenema', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SMR', 'N', 'San Marino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SEN', 'N', 'Bakel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SEN', 'N', 'Kolda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SEN', 'N', 'Kedougou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SEN', 'N', 'Kaolack', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SEN', 'N', 'Matam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SEN', 'N', 'Niokolo Koba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SEN', 'N', 'Podor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SEN', 'N', 'Richard Toll', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SEN', 'N', 'Simenti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SEN', 'N', 'Tambacounda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SEN', 'N', 'Ziguinchor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Alula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Berbera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Baidoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Bossaso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Bardera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Burao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Borama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Obbia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Scusciuban', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Candala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Erigavo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Garbaharey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Garoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Galcaio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Gardo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Eil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Hargeisa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Kismayu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Lugh Ganane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Las Khoreh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SOM', 'N', 'Mogadishu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Awaradam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Albina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Wageningen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Botopasie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Djoemoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Drietabbetje', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Nieuw Nickerie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Kasikasima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Ladouanie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Moengo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Paloemeu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Paramaribo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Paranam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Smalkalden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Stoelmans Eiland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Totness', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SUR', 'N', 'Washabo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'STP', 'N', 'Angolares', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'STP', 'N', 'Guadalupe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'STP', 'N', 'Madalena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'STP', 'N', 'Neves', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'STP', 'N', 'Principe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'STP', 'N', 'Porto Alegre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'STP', 'N', 'Ribeira Afonso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'STP', 'N', 'Santo Amaro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'STP', 'N', 'Santana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'STP', 'N', 'Trindade', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLV', 'N', 'Acajutla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLV', 'N', 'La Union', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLV', 'N', 'San Salvador', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SLV', 'N', 'Santa Ana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SYR', 'N', 'Aleppo (Alep)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SYR', 'N', 'Damascus (Damas)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SYR', 'N', 'Deirezzor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SYR', 'N', 'Kameshli', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SYR', 'N', 'Palmyra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SYR', 'N', 'Dera''a', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SYR', 'N', 'Sweida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SYR', 'N', 'Al Thaurah', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'SWZ', 'N', 'Manzini', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'SWZ', 'N', 'Mbabane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCA', 'N', 'Grand Turk Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCA', 'N', 'Middle Caicos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCA', 'N', 'North Caicos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCA', 'N', 'Pine Cay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCA', 'N', 'Salt Cay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCA', 'N', 'South Caicos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Zakouma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Am Timan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Mao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Ati', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Bokoro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Faya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Lai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Melfi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Moundou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Mongo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Bongor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Bol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Oum Hadjer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Bousso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Pala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TCD', 'N', 'Sarh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TGO', 'N', 'Niamtougou - Lama-Kara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Ban Mak Khaen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Buri Ram', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Chiang Rai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Chiang Mai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Hat Yai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Mae Hong Son', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Hua Hin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Phuket', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Krabi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Lop Buri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Loei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Lampang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Mae Sot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Nakhon Ratchasima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Narathiwat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Nan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Pattani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Patong Beach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Phitsanulok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Phi Phi Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Phanom Sarakham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Phrae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Roi Et', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Sakon Nakhon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Sukhothai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Takhli', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Tak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Trang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Ubon Ratchathani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Ranong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Surat Thani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Koh Samui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Udon Thani', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Utapao', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'THA', 'N', 'Uttaradit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TJK', 'N', 'Dushanbe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TJK', 'N', 'Khudzhand', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TKM', 'N', 'Ashkhabad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TKM', 'N', 'Tchardjou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TKM', 'N', 'Kushka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TKM', 'N', 'Mary', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TKM', 'N', 'Tashauz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TKM', 'N', 'Termez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUN', 'N', 'Djerba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUN', 'N', 'El Borma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUN', 'N', 'Gafsa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUN', 'N', 'Monastir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUN', 'N', 'Kairouan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUN', 'N', 'Sfax', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUN', 'N', 'Tabarka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUN', 'N', 'Tozeur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUN', 'N', 'Tunis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TON', 'N', 'Ha''apai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TON', 'N', 'Niuafo''ou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TON', 'N', 'Niuatoputapu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TON', 'N', 'Vava''u', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Adana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Afyonkarahisar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Agri', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Ankara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Antalya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Batman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Bursa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Bodrum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Balikesir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Alakanuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Diyarbakir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Dalaman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Erzurum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Esenboga Apt/Ankara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Eskisehir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Elazig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Gaziantep', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Isparta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Istanbul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Kahramanmaras', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Kocaeli', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Kars', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Konya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Malatya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Merkez Apt/Balikesir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Mus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Merzifon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Pendik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Sanliurfa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Sinop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Samsun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Siirt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Carsamba Apt/Samsun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Tekirdag', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Tokat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Trabzon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Van', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUR', 'N', 'Sivas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TTO', 'N', 'La Brea (Brighton)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TTO', 'N', 'Piarco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TTO', 'N', 'Point Lisas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TTO', 'N', 'Tobago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TUV', 'N', 'Funafuti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Chi Mei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Chiayi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Green Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Hengchun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Hualien', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Kaohsiung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Kinmen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Orchid Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Lishan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Matsu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Makung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Pingtung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Sun Moon Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Tainan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Taitung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Taichung', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TWN', 'N', 'Wonan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Arusha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Bukoba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Dodoma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Geita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Iringa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Njombe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Kilimanjaro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Kilwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Lindi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Lake Manyara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Lushoto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Mbeya', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Mafia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Musoma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Mwadui', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Mwanza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Mtwara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Nachingwea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Pemba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Seronera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Songea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Shinyanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Sumbawanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Tabora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Tanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Kigoma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Masasi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'TZA', 'N', 'Zanzibar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Belgorod-Dnestrovskiy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Chop-Chierna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Chernigov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Cherkassy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Chop-Zakhon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Dnepropetrovsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Berdyansk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Feodosiya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Kharkov', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Kiev', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Izmail', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Borispol Apt/Kiev', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Kerch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Kirovograd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Kherson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Kremenchug', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Krivoy Rog', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Mostiska', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Mirgorod', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Odessa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Poltava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Reni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Rovno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Severodoneck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Uglegorsk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Sumy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Ust Donetskiy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Uzhgorod', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Vladimir-Volynskiy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Lugansk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'RIS Inland waterways', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UKR', 'N', 'Zhitomir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UGA', 'N', 'Entebbe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UGA', 'N', 'Kabalega Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UGA', 'N', 'Masindi', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'UGA', 'N', 'Kampala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UGA', 'N', 'Kasese', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UGA', 'N', 'Mbarara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UGA', 'N', 'Moyo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UGA', 'N', 'Pakuba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UGA', 'N', 'Arua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UGA', 'N', 'Tororo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UGA', 'N', 'Gulu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UMI', 'N', 'Wake Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UMI', 'N', 'Johnston Atoll', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UMI', 'N', 'Midway Islands', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Apalachicola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Easton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ambler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Albuquerque', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Albany', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bellaire', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nantucket', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Waco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Arcata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Adrian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Adak Island/Adak Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kodiak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Camp Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Aleneva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Albert Lea', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Allakaket', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jaffrey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Afton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Adger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Angoon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Magnolia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Augusta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Herlong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Amery', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Amchitka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Anita Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Anderson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Aiken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wainwright', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Atlantic', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Aliceville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Atlantic City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kaiser/Lake Ozark', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Atka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Akiak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Akhiok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'King Salmon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Akron', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Anaktuvuk', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Albany', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Alpine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Alice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Alton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Waterloo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Alamosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Walla Walla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Alexander City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Alitak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Amarillo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Alma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ames', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Anchorage', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Aniak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Annette Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Annapolis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Angola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Anvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Anthony', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Amook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Napa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Naples', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Aberdeen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bowling Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Alpena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jasper', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Apple Valley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Alyeska', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'New Iberia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ann Arbor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Arctic Village', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Walnut Ridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Watertown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Minocqua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Asbury Park', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Aspen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nashua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marshall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Austin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Astoria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ashland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ashley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Antlers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Atqasuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Atlanta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Artesia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Athens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Artesia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Atmautluak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Attu Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Appleton', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Watertown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Augusta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Austin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Auburn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Auburn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wausau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Aurora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Avon Park', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'West Memphis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Alexandria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wapakoneta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Angel Fire', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Devens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Waycross', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Amityville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kalamazoo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Battle Mountain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Baker Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Benson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bay City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Brady', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Burlington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Broken Bow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Blue Bell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Blacksburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bear Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bryce', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Belle Chasse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Boca Raton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Baudette', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bradford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Blanding', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Windsor Locks-Hartford Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bridgeport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Broadus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bandon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bethel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Blue Fox Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bradford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Scottsbluff', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bakersfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bedford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bainbridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Binghamton-Endicott-Johnson City Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Big Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bangor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bar Harbor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Birmingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Big Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Block Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Beatrice', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Big Delta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bishop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Biloxi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Broomfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bemidji', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wooster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Buckland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Baker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Brooks Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kekaha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Brookings', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Boulder City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Princeton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Blythe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bellingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Blue Canyon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Belleville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Waimanalo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Brigham City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bloomington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Berlin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Big Mountain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nashville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Baranof', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Banning', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Barnwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Burns', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Boone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Boise', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Brookings', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Boston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bethpage', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Big Piney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Beaumont', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Brainerd', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Whitesburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Burlington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Barrow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pohakuloa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Blairsville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bisbee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Boswell Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bartletts', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bountiful', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Barter Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Battle Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bennettsville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Butler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bettles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Burlington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Beatty', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Buffalo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Butler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Burbank', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Beaver Inlet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bartlesville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Beluga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Beverly', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Brownwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bowling Green', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Baltimore-Washington Int Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Blackwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bowman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Blaine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bogalusa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Buckeye', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Borrego Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Boundary', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Buffalo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Blytheville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Burley-Rupert Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Irwin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Blakely Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Brazoria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cadillac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Columbia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Clayton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Caribou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Corner Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cumberland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Council Bluffs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Colby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cabin Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Chaffee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Upland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Concord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Charles City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cold Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cedar City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cedar Key', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Candle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Camden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chadron', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Childress', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cordova', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Caldwell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Crescent City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chicopee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Clemson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Connersville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Crestview', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chena Hot Springs', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Murray', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cortez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Coffee Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bryan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Clifton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Craig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cape Girardeau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'College Park', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Casa Grande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chandler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chicago', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Challis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Charlottesville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Circle Hot Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Charleston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chuathbaluk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chiloquin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chico', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cedar Rapids', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Craig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chalkyitsik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Council', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Carroll', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cairo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chomley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'El Cajon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cherokee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Clarksburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Crooked Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cherokee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Clarksdale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Crookston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Crane Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Clarksville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chicken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Coalinga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Clintonville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'College Station', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Angeles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Clarks Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Calipatria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chehalis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Charlotte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Columbus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Clearwater', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Columbus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Champaign', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hancock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sparta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Canon City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Claremont', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Concordia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chanute', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Moab', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Columbia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Coeur d''Alene', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cocoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Coleman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Concord', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cooperstown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Colorado Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cotulla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Compton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Casper', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Corcoran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Corpus Christi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Crossett', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Charleston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Crested Butte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Carson City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cape Spencer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Creston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Crossville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cut Bank', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Canton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Calverton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cottonwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cortland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cross City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cushing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cube Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cincinnati', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Clovis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Albany-Corvallis Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Culver City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Callaway Gardens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Clinton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Center Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chitina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Coldfoot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Conroe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Crystal Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chefornak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chatham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cheyenne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Copper Centre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cape Romanzof', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cascade Locks', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chisana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chistochina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cape Pole', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Carrizo Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Campo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Belvoir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Daytona Beach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Daggett', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Danville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dayton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dublin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dubuque', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dubois', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'National Apt/Washington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dahl Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Decatur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Decatur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dodge City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Decatur', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Decorah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Denver', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dearborn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Defiance', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dallas-Fort Worth Int Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Danger Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dahlgren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Douglas/Converse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dalhart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dickinson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Diomede Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Delta Junction', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dillingham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Duluth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dillon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dillon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dolomi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'The Dalles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Deming', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sedalia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dalton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Denison', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dora Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dover-Cheswold', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dugway', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Deer Park', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mercury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Drummond Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Drift River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Deering', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'De Ridder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Durango', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Del Rio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Drummond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Destin', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Des Moines', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dansville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Delta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Death Valley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Detroit Lakes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Decatur Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wayne County Apt/Detroit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Durant', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Duncan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Duck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Douglas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dubois', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dutch Harbor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Devils Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Davenport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Danbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Doylestown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Eagle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wheatland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kearney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wenatchee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Eau Claire', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'East Tawas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Elizabeth City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Newcastle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Edna Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Edenton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Edgewood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'El Dorado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Needles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Eek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Keene', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Eight Fathom Bight', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Newport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'East Fork', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jefferson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Eagle River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Egegik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cape Newenham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'East Hartford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Eureka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Elkhart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Elkins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Elko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Elizabethtown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Eagle Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'El Dorado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Elim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Elk City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Elmira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ellensburg', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Elfin Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ellamar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ely', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wellsville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Embarcadero/San Francisco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Emmonak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Emporia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'El Monte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kenai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Endicott', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Centralia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nenana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kenosha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Keokuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Neosho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Weeping Water', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ephrata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Erie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Eldred Rock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Errol', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kerrville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Escanaba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Eastsound', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Easton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Espanola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'East Stroudsburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Estherville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Easton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'West Bend', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Eastland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Enterprise', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Eureka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Eufaula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Evadale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Eveleth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Evanston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fall River-New Bedford Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Newton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'New Bern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Excursion Inlet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Key West', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Eustis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fairbanks', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'False Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Roma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Farmington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fargo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fresno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fall River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Bragg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Bridger', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fairbury', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kalispell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Frederick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Findlay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Freeport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fremont', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kill Devil Hills', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fairfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Frankfort', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Huachuca-Sierra Vista Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fire Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fishers Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fillmore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Five Finger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Franklin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Franklin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fond du Lac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Flagstaff', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Falls Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Flat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Flushing Apt/New York', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Leavenworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Five Mile', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Meade', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Falmouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Farmington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Madison', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Collins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Funter Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Flint', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Bragg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Dodge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Westhampton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Forest Park', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fox', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Pierce', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Perry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Friday Harbor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Farmingdale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'French Lick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Riley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fairmont', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Richardson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fresh Water Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Front Royal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fryeburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sioux Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Sill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Sheridan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Sumner', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Knox', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fortuna Ledge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Farewell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Flaxman Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Forest City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fayetteville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Yukon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gabbs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gadsden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gaithersburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gakona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Galena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gambell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Great Bend', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Galesburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Galbraith Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Great Barrington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gillette', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Garden City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Grand Canyon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Golden Horn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gardner', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Glendive', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gladwin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Georgetown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Spokane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ganes Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Greybull', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Togiak Fish', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Greenfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Grand Forks', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Glens Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Georgetown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gladewater-Longview-Kilgore Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Centerville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Winter Haven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gulkana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gatlinburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Goodland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Greenville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Glennallen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Galveston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Golovin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Glasgow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Granite Mountain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Monument Valley Gldngs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gooding', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Grants', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Goodnews Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gainesville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Guthrie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gold Beach', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Groton-New London Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gulfport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Grand Rapids', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Greenwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Greenville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Grand Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Grand Marais', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Grand Rapids', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Goldsboro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Goshen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Greensboro-High Point Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Greenville-Greer Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gustavus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Great Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gettysburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gunnison', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gulf Shores', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gallup', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Peru', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Guymon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gordonsville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gainesville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Greenville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Grandview', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Greenwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Glenwood Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Glendale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Greeley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Goodyear', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Gary', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Havasupai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Half Moon Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Three Rivers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hamilton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Haycock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hanus Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hattiesburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hobart Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Big Spring', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Shoal Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hudson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Holy Cross', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cheraw', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hidden Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Holdrege', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hayden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Herendeen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hermiston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Natchez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hartford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hoffman', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hagerstown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jolon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hogatza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wahiawa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hawthorne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chisholm-Hibbing Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Whitefield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lake Havasu City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hillsboro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Healy Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hickory', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Batesville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hill City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wheeling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hollister', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Helena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Homeshore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hemet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Huntingburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hatteras', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tahneta Pass Lodge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hoonah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Haines', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hanna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hobbs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Homer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Huron', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hopkinsville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hooper Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hampton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Baytown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hoquiam', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Harlingen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Harrisburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hastings', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Huslia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hot Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Homestead', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Huntsville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hawthorne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Houghton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'East Hampton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ashland-Huntington Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Huntsville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Humboldt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Terre Haute', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Houma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hughes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hanksville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'New Haven', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Havre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hawk Inlet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hyannis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hydaburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hollis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hayward', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hazleton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dulles Int Apt/Washington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Niagara Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kiana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Clarinda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wichita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Icy Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Idaho Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ida Grove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Indiana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Independence', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Iowa Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bullhead City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Igiugig', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kingman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jacksonville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wilkesboro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kankakee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nikolski', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Midland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Killeen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wilmington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Iliamna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Willmar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wilmington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Imperial', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Immokalee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Iron Mountain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Winfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wink', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'International Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Indian Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Winston Salem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Winslow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Williamsport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Iraan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Circle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kirksville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sturgis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Isabel Pass', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kissimmee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Williston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Islip', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Manistique', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wiscasset', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wisconsin Rapids', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ithaca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hilo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ivishak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ironwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Inyokern', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jackson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jackson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Arcadia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jasper', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jacksonville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Berkeley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Junction', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'John Day', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jordan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Downey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jefferson City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Emeryville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jefferson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Glendale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Garden City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kapalua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jamestown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cambridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jacksonville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cooper Lodge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Arlington Heights', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Joplin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sausalito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Schaumburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jamestown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Juneau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Joliet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Stratford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Johnstown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Thousand Oaks', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Manville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jackson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kaltag', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Birch Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bell Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Klag Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Coffman Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chignik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chernofski', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Colorado Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'English Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kenmore Air Harbor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ekwok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kelly Bar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'False Pass', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'New Koliganek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Grayling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Glacier Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ivanof Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'King City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Koyuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kitoi Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kagvik Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kongiganak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Akiachak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kalakaket', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Karluk Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kentland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ekuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kalskag', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Levelock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Larsen Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kelp Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kelso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Klawock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Manokotak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Moser Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kanab', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kakhonak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kennett', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'New Stuyahok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kotlik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Olga Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ouzinkie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Point Baker', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Clarence', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pauloff Harbor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Parks', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kipnuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jackpot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Perryville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Bailey', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Saint Marys', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sandy River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Thorne Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tikchik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ketchikan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Teller Mission', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kasigluk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kugururok River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Uyak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'King Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kivalina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Waterfall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kwigillingok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Quinhagak', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'West Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kwethluk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kasaan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Karluk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Key Largo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Koyukuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Zachar Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kizhuyak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lamar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lafayette', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lakeland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lansing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Los Angeles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lubbock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Latrobe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'North Platte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Liberal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lumberton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lake Charles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Laconia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Linden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ludington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Leesburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Auburn-Lewiston Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lufkin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Louisburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lafayette', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'La Grande', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Logan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lost Harbor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lock Haven', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Limon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Long Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Little Rock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Livengood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hinesville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lake Jackson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kulik Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lake Placid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lakeside', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lakeview', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lyndonville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lake Minchumina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Louisville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Klamath Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lonely', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lincoln', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Willoughby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wise', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lone Rock', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lancaster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lanai City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Longview', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lovelock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lockport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Louisa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'London', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lompoc', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Laporte', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lopez Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Little Port Walter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pickens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jacksonville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lemars', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lincoln Rock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lathrop', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Las Cruces', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lordsburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'La Crosse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Benning', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lusk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Los Banos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lost River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lathrop Wells', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Altus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Laurel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kalaupapa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Cape Lisburne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lime Village', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Livermore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lawrenceville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Livingston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Las Vegas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lewisburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lawrence', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wells', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lawrence', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lewiston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lewistown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lawrenceville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lexington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Leadville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lynchburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lyons', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Madera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Malden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Manistee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bay City-Saginaw-Midland Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Moberly', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mackinac Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Merced', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'McGrath', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'McCook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mount McKinley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Macon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mason City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Medford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Carbondale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Madison-Madras Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Madison', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Middleton Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Medfra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Meridian', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Meadville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Memphis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Manteo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Minden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mansfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'McAllen-Mission Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marshfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Medford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Melfa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Michigan City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marietta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Matagorda Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Montgomery', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Montgomery', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Moultrie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Morgantown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mitchell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Manhattan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marshall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Minchumina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mullen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mount Shasta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Manchester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Miami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Muncie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Monahans', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Miami', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Shafter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marshalltown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jackson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Toms River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Milwaukee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hoolehua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jackson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Muskogee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mankato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Melbourne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'McAlester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Malad City', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Milford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Milledgeville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Malta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Miles City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Millinocket', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Monroe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mammoth Lakes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Athens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marshall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marks', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Morristown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marion', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Minto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Manassas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mobile', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Modesto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mount Pleasant', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Morristown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Moses Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Minot', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mountain Village', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Morris', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Madison', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Morrilton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mount Pocono', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'McPherson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mount Pleasant', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Macomb', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Quincy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marquette', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'McRae', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Smyrna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Martinsburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Columbia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marfa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marco Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Morganton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Carmel-Monterey Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mesa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mount Pleasant', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Florence-Muscle Shoals Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Madison', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Missoula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Massena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Monticello', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'New Orleans', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mount Clemens', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marathon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Montrose', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Metlakatla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Martin Mariet/Baltimore', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mattoon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Montauk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Manitowoc', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kamuela', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Indiantown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mountain Home', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Muscatine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mount Union', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Monroeville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Montevideo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Stowe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kayenta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Martha''s Vineyard', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marion', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Utica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Moses Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mineral Wells', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Windom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Middletown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mount Wilson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Manila', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Monticello', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Monticello', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'McCarthy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marble Canyon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'May Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'McCall', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Myrtle Beach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mekoryuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marion', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Barbers Point (Oahu)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Glenview', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'New Chenega', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Quonset Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Anacostia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Glynco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lakehurst', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Whitehouse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fallon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Alameda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Patuxent River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Foley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Brunswick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nikolai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ninilchik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Naukiti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nichen Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lemoore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Niles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nelson Lagoon', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nightmute', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Naknek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nondalton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nakolik River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Novato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nephi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Newport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kingsville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mayport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Crows Landing', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Shangri-la', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Imperial Beach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Milton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Manti', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oceana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nuiqsut', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nulato', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nunapitchuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mountain View', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Whidbey Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nevada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Newport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Willow Grove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Quantico', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'South Weymouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Jacksonville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oakland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Northbrook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oakland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kobuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ocean Reef', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ocean City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ocala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nacogdoches', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oceanic', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oceanside', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Washington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Vincennes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Osceola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Norfolk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ogallala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Orangeburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ogden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kahului', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ogdensburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Northeast Cape', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Norwich', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oklahoma City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kokomo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Okmulgee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oshkosh', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Old Town', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Olean', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wolf Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Old Harbor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Olympia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nogales', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Columbus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Olive Branch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Olney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Omaha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nome', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Omak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oneonta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'O''Neill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Socorro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Onion Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ontario', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ontario', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Olney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oskaloosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Toksook Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Opelousas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Norfolk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Worcester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Lions', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Norwalk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Northway', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Noorvik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Osage Beach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oscoda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kosciusko', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Worthington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'North Bend', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ottumwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oaktown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Otto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Anacortes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kotzebue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Norman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oroville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Owatonna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Owensboro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Norwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Norridgewock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oxford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oxford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oxnard-Ventura Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Yosemite Ntl Park', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ozona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ozark', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Everett', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hanapepe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Palo Alto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Palmer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'West Palm Beach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pack Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Portage Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Prairie du Chien', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Painter Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Porcupine Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Princeton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Picayune', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pedro Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pendleton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Portland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Paf Warren', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pacific City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Frederick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Panama City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Page', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Petersburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Punta Gorda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pascagoula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Graham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pagosa Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Paragould', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Peach Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'New Philadelphia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pahokee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Philadelphia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Point Hope', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Philip', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Paris', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Phoenix', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Peoria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pocatello', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pine Mountain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pilot Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pierre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pittsburgh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Point Lay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port San Juan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Napaskiak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Park Rapids', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Park Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Plattsburgh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Branson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pell City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Plymouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Portsmouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Moller', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Paimiut', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Palmer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ponca City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Philadelphia North East Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Peterson''s Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Princeton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pensacola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Panguitch', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sherman-Denison', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'La Verne', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Poplar Bluff', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pocahontas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Polk Inlet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Poughkeepsie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lovell-Powell Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pampa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Prospect Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Parsons', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Protection', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Presque Isle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pilot Station', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Paso Robles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Prescott', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Johnson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Oceanic', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Perry', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Powell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Point Retreat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Prentice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Paris', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Prineville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bellefonte-Clearfield Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pasco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pasadena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pittsfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Petersburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Dublin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Portsmouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Palestine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Palm Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Palacios', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Alsworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Petersburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Alice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Alexander', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Heiden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pontiac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Armstrong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Morgan City-Patterson Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pleasant Harbour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pittsburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pratt', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Platinum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Porterville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pottstown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pueblo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Price', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Poulsbo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pullman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Provincetown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Providence', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Placerville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Provo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Plainview', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pope Vanoy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Painesville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Plentywood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Portland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Walter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bremerton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Polacca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Perry Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Plymouth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Copper Mountain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wilton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Washington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Oak Brook', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Montvale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Englewood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Racine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rapid City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Big Bear', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Roseburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Brooks Lodge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rancho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Red Bluff', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Jefferson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Walterboro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Roche Harbor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rockdale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rochester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Reed City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Red Dog', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Redding', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bend-Redmond Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Red River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Durham-Raleigh Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Red Devil', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rehoboth Beach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rome', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rockford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Refugio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Anguilla', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ranger', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rhinelander', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Richmond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rice Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Richfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rifle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Riverton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Yreka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rockland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rock Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rockport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Poteau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rockwood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rolla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Richland', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bornite', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Redmond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rome', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rampart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'McMinnville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rangely', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'New Richmond', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Reno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Renton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rensselaer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rochester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rogers', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Roosevelt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Roswell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Roundup', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Merrill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Warroad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Russian Mission', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rosario', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Russell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ruston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Raspberry Strait', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rochester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rotunda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Marguerite Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Spirit Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ruidoso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Green River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rowan Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Redwood Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Rawlins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Saratoga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Safford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Santa Fe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sagwon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sparta', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Salton City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'San Antonio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Savannah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Santa Barbara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'South Bend', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Salina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Steamboat Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'San Bernardino', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Shelby', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Scribner', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'State College', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Schenectady', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Smith Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Scammon Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Santa Clara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sand Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sedona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sidney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Seattle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sebring', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Stephenville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Seymour', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Selma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sanford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sanford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'San Francisco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'San Fernando', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Smithfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Springfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Stuttgart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Saint George', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Saginaw Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Skagway', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Staunton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sheffield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Shungnak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Shishmaref', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Shelton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sheridan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Shreveport', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Shageluk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sikeston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sitka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sullivan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Montague', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'San Jose', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Saint Johns', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'San Angelo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sitkinak Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Shaktoolik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Storm Lake', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Salt Lake City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Salem', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Siloam Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Saranac Lake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Salina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sleetmute', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sulphur Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Salida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Somerset', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Saint Michael', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Salmon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Santa Monica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sheep Mountain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Snyder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Shawnee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Saint Paul Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Salinas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sidney', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Solomon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Southern Pines', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Seldovia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Show Low', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Spartanburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Spearfish', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Springfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'San Pedro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Spencer', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Springdale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Santa Ynez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'San Carlos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sequim', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Searcy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'San Rafael', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Bradenton-Sarasota Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Santa Cruz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Stony River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sumter', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Brunswick', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sault Sainte Marie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'White Sulphur Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Stuart Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Saint Cloud', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Stevens Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Saint George Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sterling', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Saint Louis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Saint Paul', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Santa Rosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Stuart', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sundance', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Stroud', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sturgeon Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hailey-Sun Valley Apt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sun River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Spirit of Saint Louis Apt/Saint Louis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fairfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Superior', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sioux City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Savoonga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Silver City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Susanville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Statesville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Stevens Village', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sparrevohn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Seward', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Newburgh', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Stillwater', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sweetwater', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sheldon Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Soldotna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Shemya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Seal Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Shelbyville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'San Miguel', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Stanton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Syracuse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sylvester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Warrensburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Santa Paula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Trinidad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tuba City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Leonard Wood', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Statesboro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tucumcari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tuscaloosa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Truth Or Consequences', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Takotna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Toledo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Teterboro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tetlin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tatitlek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tuskegee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tullahoma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Thompsonfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Thermopolis', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tacoma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Titusville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Talkeetna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tenakee Springs', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Truckee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tokeen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tok', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Taku Lodge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Telida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tallahassee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tatalina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tulare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tuluksak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tifton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tin City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tununak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Twentynine Palms', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Newton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Torrance', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Toccoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Togiak Village', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Troy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Toledo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Torrington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tampa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Temple', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tanalian Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Trona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Terrell', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Thermal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tree Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tremonton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Trenton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tanacross', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tehachapi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Troutdale', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Trenton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Britton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tulsa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Traverse City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Thief River Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Thomasville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'South Lake Tahoe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Twin Hills', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Port Townsend', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Taylor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Texarkana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tyonek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tyler', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Knoxville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Taylor', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Columbus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Yucca Flat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Eunice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Union City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Waukesha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chesapeake', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Uganik', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ugashik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Quillayute', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Quincy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Utica', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ukiah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Waukon', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Quakertown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'New Ulm', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Umnak Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Summit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Umiat', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Unalakleet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Juneau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sewanee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Upolu Point', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Queen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Union South Carolina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Saint Augustine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Utopia Creek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kuparuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Uvalde', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Ware', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Vail', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chevak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Victoria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Victorville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Columbus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Vidalia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Valdez', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Venetie', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Vernal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tioga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Van Horn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Vichy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Kavik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Visalia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Vicksburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'West Kavik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Vandalia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Valdosta', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Valle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Vallejo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Venice', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Van Nuys', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Camp Douglas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Valparaiso', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Vero Beach', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Versailles', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Springfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Valentine', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wales', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wahpeton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chincoteague', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Waynesburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Stebbins', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Beaver', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Big Rapids', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Boulder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Chandalar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Deep Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Enid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Waldron Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Winder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Weatherford', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Frenchville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Winchester', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Hyder', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wharton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lancaster', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Aleknagik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Waikoloa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Labouchere Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Winfield', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Selawik', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Waltham', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Little Naukati', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Loring', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Willows', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Winnemucca', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Mountain Home', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Meyers Chuck', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'White Mountain', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Napakiak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tuxekan Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Willow', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Paonia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Fort Dix', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Steamboat Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'White Sands', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Sarichef', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Washington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Shirley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'San Juan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'South Naknek', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Westerly', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'West Sound', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Noatak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Tuntutuliak', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'White River', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Waterville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wasilla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Wildwood', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Whale Pass', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Woodward', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'West Yellowstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Lake Geneva', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Madison', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Pine Ridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'West Kuparuk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Yakima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Yankton', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Youngstown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Franconia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Melville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Nyac', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'USA', 'N', 'Zanesville', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Artigas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Canelones', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Carmelo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Chuy', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Colonia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Durazno', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Florida', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Fray Bentos', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Jose Ignacio Terminal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Lagomar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'La Paloma/Rocha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Las Piedras', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'La Paz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Maldonado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Mercedes', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Minas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Melo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Nueva Palmira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Pando', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Punta del Este', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Paysandu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Rocha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Rivera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'San José de Carrasco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'San José', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Salto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Solymar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Tacuarembo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Trinidad', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Treinta y Tres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'URY', 'N', 'Vichadero', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UZB', 'N', 'Andizhan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UZB', 'N', 'Bukhara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UZB', 'N', 'Fergana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UZB', 'N', 'Nukus', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UZB', 'N', 'Namangan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'UZB', 'N', 'Samarkand', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'UZB', 'N', 'Tashkent', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VCT', 'N', 'Mustique Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VCT', 'N', 'Saint Vincent', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VCT', 'N', 'Union Island', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Anaco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Acarigua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Amuay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Araya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Bachaquero/Maracaibo L', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Bajo Grande/Maracaibo L', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Barcelona', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Barinas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Barquisimeto', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Canaima', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Cabimas/Maracaibo L', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Caracas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Ciudad Guayana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Chichiriviche', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Calabozo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Cumana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Carupano', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Casigua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Caicara de Orinoco', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Coro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'El Guamache', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'El Palito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'El Tigre', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'El Dorado', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Elorza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'El Tablazo/Maracaibo L', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Guasdualito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Guiria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Guanare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'José Maria Vargas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Kamarata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'La Guaira', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'La Ceiba/Maracaibo L', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'La Estacada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'La Fria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Lagunillas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Los Roques', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Las Piedras', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'La Salina/Maracaibo L', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'La Vela de Coro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Maracaibo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Puerto Miranda/Maracaibo L.', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Matanzas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Maturin', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Maracay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Puerto Cabello', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Puerto La Cruz', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Puerto de Hierro', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Punta de Palmas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Pampatar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Palmarejo/Maracaibo L.', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Porlamar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Punta de Piedra', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Palmarito', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Puerto Ayacucho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Puerto Ordaz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'San Cristobal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'San Fernando de Apure', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'San Félix', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'San Lorenzo/Maracaibo L', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'San Felipe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Santa Elena', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'San Tome', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Santo Domingo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'San Antonio', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Tia Juana/Maracaibo L', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Tumeremo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Turiamo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Tucupita', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Uriman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Carora', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Valle de Pascua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'El Vigia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Valencia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Valera', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VEN', 'N', 'Wonken', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VGB', 'N', 'Beef Island, Tortola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VGB', 'N', 'Anegada', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VGB', 'N', 'N. Sound/Virgin Gorda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VGB', 'N', 'Road Town, Tortola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VGB', 'N', 'Tortola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VGB', 'N', 'Virgin Gorda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VIR', 'N', 'Charlotte Amalie, Saint Thomas', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VIR', 'N', 'Christiansted, Saint Croix', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VIR', 'N', 'Frederiksted, Saint Croix', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VNM', 'N', 'Da Nang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VNM', 'N', 'Hanoi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VNM', 'N', 'Haiphong', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VNM', 'N', 'Hue', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VNM', 'N', 'Nha Trang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VNM', 'N', 'Phan Rang', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VNM', 'N', 'Phan Thiet', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VNM', 'N', 'Tuy Hoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VNM', 'N', 'Quang Ngai', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Aneityum', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Aniwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Craig Cove', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Futuna Island', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Big Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Ipota', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Lamen Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Lonorore', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Longana', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Lamap', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Mota Lava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Norsup', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Olpoi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Paama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Redcliffe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Sola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Espiritu Santo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Sara', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'South West Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Tanna', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Tongoa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Torres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Quine Hill', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Ulei', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Port Vila', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Valesdir', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Walaha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'VUT', 'N', 'Gaua', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'WSM', 'N', 'Asau', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'WSM', 'N', 'Apia', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'WSM', 'N', 'Lalomalava', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'WSM', 'N', 'Maota Savaii Is', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Al Ghaydah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Aden', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Ataq', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Beihan', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Dathina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Dhala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Dhamar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Abbse', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Seiyun', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Qishn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Kamaran', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Lodar', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Mayfa''ah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Mukalla', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Mareb', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Raudha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Sana''a', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Sadah', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Taiz', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'YEM', 'N', 'Mukeiras', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'MYT', 'N', 'Mamoudzou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Mala Mala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Alldays', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Port Alfred', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Aggeneys', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Alexander Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Algoa Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Beit Bridge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Bloemfontein', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Bisho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Cradock', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'City Deep', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Dukuduk', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Ellisras', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'East London', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Empangeni', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Ficksburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Germiston', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Sabi Sabi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Babelegi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Hoedspruit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Lanseria', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Hluhluwe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Harrismith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Hazyview', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Inyati', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Khoka Moya', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Kimberley', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Kleinzee', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Kuruman', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Komatipoort', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Klerksdorp', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Ladysmith', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Louis Trichardt', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Londolozi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Malelane', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Lime Acres', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Tzaneen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Lusikisiki', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Mmabatho', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Mkambati', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Messina', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Mafikeng', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Margate', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Motswari', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Mzamba(Wild Coast Sun)', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Mkuze', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Mossel Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Newcastle', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Ngala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Nelspruit', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Port Nolloth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Sun City', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Oshoek', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Oudtshoorn', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Plettenberg Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Phalaborwa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Port Elizabeth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Prieska', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Pietersburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Pietermaritzburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Ramatlhabama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Robertson', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Reivilo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Springbok', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Saldanha Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Sishen', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Skukuza', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Thaba Nchu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Tanda Tula', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Thohoyandou', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Tshipise', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Ulundi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Ulusaba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Butterworth', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Upington', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Umtata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Queenstown', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Vredendal', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Vryburg', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Vryheid', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Welkom', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZAF', 'N', 'Secunda', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Zambezi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Chingola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Chachacha', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Chipata', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Kasama', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Kitwe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Kalabo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Kaoma', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Lumamba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Lusaka', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Livingstone', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Lukulu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Mfuwe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Mbala', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Mongu', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Mansa', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Ndola', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Kabwe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Sesheke', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Solwezi', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Senanga', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Ngoma', 'N', 'N', 'N', 'N');

INSERT INTO port (geom, country_code, code, name, fishing_port, landing_place, commercial_port, enabled) VALUES ('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Kasaba Bay', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZMB', 'N', 'Kasompe', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZWE', 'N', 'Buffalo Range', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZWE', 'N', 'Bulawayo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZWE', 'N', 'Bumi Hills', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZWE', 'N', 'Chipinge', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZWE', 'N', 'Harare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZWE', 'N', 'Kariba', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZWE', 'N', 'Mahenye', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZWE', 'N', 'Masvingo', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZWE', 'N', 'Mutare', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZWE', 'N', 'Victoria Falls', 'N', 'N', 'N', 'N'),('SRID=4326;MULTIPOINT(EMPTY)', 'ZWE', 'N', 'Hwange', 'N', 'N', 'N', 'N');

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO rfmo (geom, code, name, tuna, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-43.99388892 60.3074951499001,-43.99999992 60.3011859699001,-43.99999992 60.3117822099001,-43.99388892 60.3074951499001)),((19.9999999254948 69.2884920803045,19.9469413800001 69.2561035299,19.9999999254948 69.291387867339,19.9999999254948 69.2884920803045)),((20.4013844099999 79.5551185299,19.9999999254948 79.5527273971211,19.9999999254948 79.7443130896023,20.5460376300001 79.7562370299,21.4333638749999 79.7756137599001,22.3206901200001 79.7949904899,21.4006547700001 79.7368583199,20.4806194200001 79.6787261498999,21.1230507600001 79.5594176499001,20.4013844099999 79.5551185299)))', 'NEAFC', 'North-East Atlantic Fisheries Commission', 'No', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.99999992 60.6046530099,-43.99999992 60.5931263499,-44.19388584 60.6340218099,-43.99999992 60.6046530099)),((-79.99999992 72.2603798499,-79.6855851 72.1344680499,-79.99999992 72.2200643499,-79.99999992 72.2603798499)),((-72.29825136 77.9991304899,-71.59889214 77.8527679899,-70.80153651 77.8477630899,-70.00418088 77.8427581899,-70.60278312 77.6780394699,-70.04208753 77.7153358299,-69.48139194 77.7526321899,-70.28888706 77.5667953299,-69.74777601 77.5081062399,-69.20666496 77.4494171499,-68.60568996 77.5192947699,-68.73777774 77.6630402499,-68.37054444 77.4994202499,-67.70513151 77.5876160199,-67.03971858 77.6758117899,-66.1630554 77.5680542499,-66.10194396 77.4383086299,-66.65701302 77.4124831299,-66.22027596 77.2502746899,-66.92013558 77.3183289099,-67.6199952 77.3863831299,-68.36083227 77.3291550099,-69.10166934 77.2719268899,-68.21731572 77.2259114499,-67.3329621 77.1798960099,-66.44860848 77.1338805699,-67.373748855 77.1605453199,-68.29888923 77.1872100699,-69.224029605 77.2138748199,-70.14916998 77.2405395699,-70.7580567 77.1512298699,-71.36694342 77.0619201699,-70.68318948 76.9326171699,-70.98291774 76.8973465299,-70.69776912 76.8055420299,-70.18513488 76.9090195299,-69.67250064 77.0124970299,-70.00805664 76.7636108499,-69.33277896 76.7355499299,-68.65750128 76.7074890099,-67.9822236 76.6794280899,-68.79986199 76.5492210399,-69.61750038 76.4190139899,-68.7469482 76.1824797699,-67.99259436 76.0911864699,-67.23824052 75.9998931699,-66.48388668 75.9085998699,-67.30527492 76.1651229099,-67.03195194 76.2627716499,-66.46139532 76.0816650099,-66.19415292 76.2802734099,-65.66166684 76.2619323099,-65.88680274 76.1006164899,-65.47972104 76.0186003899,-65.3283387 76.1746978299,-64.5999984 76.1294251299,-64.68554682 76.2551346099,-64.34388738 76.3547057499,-64.01222226 76.1347198299,-63.47992698 76.3699645299,-62.77861026 76.1935882899,-62.2397232 76.2866515299,-61.39046226 76.1769306699,-60.54120132 76.0672098099,-59.69194038 75.9574889499,-59.59263996 75.9079056099,-59.78472894 75.7963714899,-59.2161102 75.8722076499,-59.0616684 75.7041625299,-58.42361448 75.7197112899,-58.59846882 75.6717148299,-58.15958022 75.5085982899,-58.69694142 75.3501205299,-58.30019766 75.3873749499,-58.33472436 75.2652741099,-57.95889282 75.1855315899,-58.13958366 75.0469283499,-57.58298685 74.9804038599,-57.02639004 74.9138793699,-56.86111458 74.8069305699,-57.18722148 74.7722168499,-57.01500702 74.6713714899,-56.192913 74.5502624499,-56.46795264 74.5025329299,-56.79444888 74.4458770299,-56.16194148 74.4047088699,-56.71208196 74.3428268499,-56.309166 74.2872009099,-56.81625174 74.1959533299,-57.32333748 74.1047057499,-56.72625156 74.1915129999,-56.12916564 74.2783202499,-56.40985872 74.0691528699,-55.97333154 74.0315170299,-56.10166938 73.9642944099,-55.64125062 73.8691482099,-55.94492718 73.8541488099,-55.61125182 73.7237319699,-56.07180792 73.6459654899,-55.58071518 73.5001220199,-55.08962244 73.3542785499,-55.4566689 73.2548523099,-55.14292152 73.1842879899,-55.69513704 73.0641556299,-54.85055544 73.0144347699,-54.60541542 72.8263777899,-54.92430882 72.7755432699,-54.65499876 72.7649994099,-54.870552 72.6424865499,-54.63027576 72.6196288899,-55.0173645 72.5234604699,-54.29930886 72.4812317499,-54.96284871 72.4693603899,-55.62638856 72.4574890299,-54.686943 72.3672103899,-55.56194298 72.0244293699,-55.21888728 71.9222106099,-54.83889 71.9502715299,-54.38930508 72.2229690099,-54.82653048 71.9170685499,-55.36590192 71.7985229799,-55.90527336 71.6799774099,-55.57472226 71.6406861099,-55.32361596 71.3869323699,-55.1175651 71.3884582299,-55.25833896 71.4905394699,-54.82556154 71.3527680099,-53.9155503 71.4419250699,-53.85514068 71.5556793099,-54.1002807 71.7074889699,-53.77500144 71.6333313099,-53.91638946 71.7383193699,-53.3973618 71.8481827299,-53.95389174 72.3248520699,-53.55756756 72.3528976899,-53.85653298 72.3188704899,-53.40610512 72.0447081699,-53.32194522 71.8222198899,-52.68714912 71.9999848299,-53.25055686 71.7027740499,-52.44698142 71.7058639299,-51.64340598 71.7089538099,-52.29295164 71.5753020999,-52.9424973 71.4416503899,-52.58750148 71.3738708499,-51.96673584 71.4290123199,-51.3459702 71.4841537899,-52.26889032 71.3566435899,-52.24866102 71.2814331099,-52.54542162 71.1570739899,-51.64555356 71.3613739899,-51.53667066 71.2648468299,-52.24590306 71.1219176499,-51.5819817 71.0710906899,-50.91806034 71.0202637299,-51.4352799 71.0206833099,-51.95249946 71.0211028899,-51.39847188 70.9458885399,-50.8444443 70.8706741899,-50.65277868 70.7102661099,-51.44096754 70.7257538499,-50.64083856 70.6413727299,-50.97902688 70.6263655899,-50.74110792 70.5452575899,-50.88889314 70.5055542699,-51.34527594 70.5641556099,-50.94777672 70.4202574899,-50.50972746 70.5260924499,-50.67805482 70.3952713299,-50.55889122 70.3330536099,-51.36287178 70.4768473299,-52.16685234 70.6206410499,-52.9708329 70.7644347699,-53.54972082 70.7967986799,-54.12860874 70.8291625899,-54.62722008 70.6530457299,-53.80916592 70.4466553299,-52.99111176 70.2402649299,-52.1730576 70.0338745299,-51.20194248 70.0329055899,-50.23082736 70.0319366499,-50.58930204 69.9237289299,-50.19166566 69.7574920899,-50.81541822 69.7076263299,-50.4072189 69.5959548699,-50.80055238 69.6422119899,-50.88277818 69.4955368299,-50.20471962 69.5219268099,-50.85583488 69.4611053499,-51.1202736 69.2004012699,-50.39749908 69.3408203499,-50.46763608 69.1981735899,-50.12944038 69.2041625499,-50.68708038 69.1208113899,-50.21472168 69.0613708899,-50.21749872 68.9566497699,-50.49277884 69.0104064099,-50.3613891 68.9002685499,-51.07430646 69.1301193699,-51.11444862 68.9269256499,-50.96611026 68.9324874699,-51.28882218 68.7470016099,-50.6675034 68.8297119699,-50.98722084 68.7324829899,-50.86583712 68.6147003499,-51.66375354 68.5798416399,-52.46166996 68.5449829299,-52.60304646 68.4550704099,-53.06894298 68.3228607699,-53.38861092 68.3290252299,-52.44638832 68.1788634699,-51.84361269 68.2344207399,-51.24083706 68.2899780099,-51.63610842 68.4133224699,-50.81999976 68.5036011099,-51.18277734 68.3944320099,-51.22083276 68.2736053899,-50.9713821 68.1776198499,-51.43471902 68.2001266899,-50.79603951 68.0656814499,-50.15736 67.9312362099,-50.948298405 67.9945315899,-51.73923681 68.0578269699,-52.530175215 68.1211223499,-53.32111362 68.1844177299,-52.82898714 68.0207442699,-53.1913833 68.0416489299,-52.95914082 67.9778137299,-53.6277771 67.8146971899,-53.5394439 67.7108154099,-53.75118258 67.6046294499,-53.68305978 67.5008239899,-52.99506189 67.6581611799,-52.307064 67.8154983699,-51.71305842 67.6949768499,-51.32041938 67.8137359899,-51.56430822 67.9335861099,-51.05999754 67.9741516299,-50.98833468 67.8774720099,-51.3311157 67.8688660299,-51.19972236 67.7633208699,-50.71444704 67.8186035499,-50.7794418 67.9066467699,-50.42861172 67.8172150299,-51.23082726 67.6972045299,-50.64722055 67.7123412699,-50.06361384 67.7274780099,-50.84999856 67.6035919299,-50.19583122 67.4673461499,-50.96259048 67.5681355299,-51.72934974 67.6689249099,-52.496109 67.7697142899,-53.14986036 67.5920714799,-53.80361172 67.4144286699,-53.80860906 67.2038727699,-53.25432966 67.3183212699,-52.74127197 67.3544693199,-52.22821428 67.3906173699,-51.68993949 67.4069633499,-51.1516647 67.4233093299,-51.52396014 67.3494949299,-51.1733322 67.1394347499,-50.36430744 67.1741484699,-51.18943788 67.1235961899,-51.5247192 67.3230437499,-51.96574026 67.3560714099,-52.1513901 67.3699798299,-52.83292005 67.3024826199,-53.51445 67.2349854099,-53.53905114 67.2261351699,-53.9611092 67.0742950899,-53.22208032 66.9908141499,-53.80249788 66.9944305299,-53.67500298 66.9136047699,-52.95378303 66.8755454799,-52.23256308 66.8374861899,-53.05583196 66.8049774699,-52.5866661 66.7030411299,-53.47819134 66.6034545099,-52.94777679 66.5738715999,-52.41736224 66.5442886899,-53.02319337 66.5252647599,-53.6290245 66.5062408299,-53.6158332 66.2417907699,-53.12249748 66.2847061899,-53.57958606 66.2105483499,-53.4766617 66.0988768899,-52.63397724 66.3921152499,-51.79129278 66.6853536099,-50.94860832 66.9785919699,-50.0011101 66.9764404299,-50.95639044 66.9347076099,-50.3313903 66.8331222699,-51.27138522 66.8438720499,-51.9933294 66.5786895699,-52.71527358 66.3135070899,-53.43721776 66.0483246099,-53.12914272 66.0170668899,-53.35388946 65.9299774899,-52.89055632 66.0283203099,-53.23332978 65.9230347099,-53.15166468 65.8558196499,-52.49180601 65.9558181099,-51.83194734 66.0558165699,-52.3199997 65.8688660499,-53.05777362 65.8455429099,-53.22138588 65.7284545299,-52.85923776 65.7969970899,-53.233326 65.6828308299,-52.81055442 65.6716461699,-52.68812184 65.8045653699,-52.75944522 65.6333313699,-52.60722354 65.6585997699,-52.8016662 65.5947112899,-52.72013862 65.4987412299,-52.46916192 65.6408233299,-52.61208336 65.4806748099,-52.49590308 65.3879699499,-51.95182806 65.6679459099,-51.4847259 65.7630462099,-50.5469475 65.7076949499,-51.10232355 65.7032889999,-51.6576996 65.6988830499,-51.69444282 65.6985930699,-51.89864346 65.6095123299,-52.5621528 65.3200530699,-52.51916502 65.1852570099,-52.22277072 65.3277739899,-52.31020734 65.2018585899,-52.0997238 65.2391509899,-52.28028108 65.0760956499,-52.0113906 64.9791564699,-52.2113877 64.8066406899,-51.24986262 65.0154723699,-52.11624906 64.7227630299,-52.00472646 64.2017974899,-51.66500094 64.3060912899,-51.2241669 64.7622069699,-51.02388756 64.7547150099,-51.1433334 64.6136016699,-50.6340981 64.7583236499,-50.98194126 65.2167967899,-50.56402968 64.7704086699,-49.99882122 64.8647002299,-50.20972434 64.7416534899,-49.99152762 64.6994323299,-50.06367882 64.5278320299,-49.58402256 64.3397827899,-50.51481246 64.6467056499,-50.8922271 64.5852660699,-50.17618188 64.4467926099,-50.85639198 64.4155426299,-51.03722376 64.2711028899,-50.95083618 64.2180480699,-51.74847414 64.2020721699,-51.44583132 64.0780487499,-50.47555536 64.2910918899,-50.552082 64.1795655099,-50.05750266 64.2066497499,-50.82972327 64.1206817499,-51.60194388 64.0347137499,-51.36222078 63.9669342099,-51.44332878 63.8049927099,-50.92430886 63.9309653499,-51.55819326 63.7072143699,-51.16860954 63.5027770299,-51.184269 63.6226843899,-51.0819435 63.6654090099,-50.5076409 63.6691589499,-51.1048737 63.6223792899,-51.13180548 63.6202696899,-51.10863876 63.6153182499,-50.74847406 63.5383263099,-51.2199936 63.4413757899,-50.27965164 63.4006156899,-51.10736472 63.3404044299,-51.00833898 63.1605453699,-50.77999872 63.2502746499,-50.90258412 63.1386489099,-50.059845 63.2287520499,-50.60639196 63.0944365899,-50.59388736 62.9699860299,-50.14999386 63.0152740299,-50.3697204 62.7816619299,-50.1868476 62.9354209899,-49.69971846 63.0552673299,-50.1508332 62.9308243299,-50.19403068 62.8534088499,-50.27777856 62.7033234099,-49.94749458 62.8272170499,-50.31562428 62.4943009299,-49.8372192 62.2374954699,-49.40222166 62.2558288299,-49.63833612 62.1508254699,-49.2938919 62.1722182899,-49.68860634 62.1169395699,-49.66944894 61.9955445099,-49.17222594 62.0161057299,-49.00791924 62.2059670299,-49.09180446 62.0767974099,-48.84256746 62.0761071099,-49.43860632 61.8413086299,-49.2147216 61.8836059299,-49.35417174 61.7655487899,-49.2380523 61.7116623699,-48.77527626 61.9872132099,-49.1490288 61.7198485899,-48.59921268 61.6363372299,-49.29750054 61.5574950699,-48.94888302 61.4655456699,-48.34416204 61.6049958099,-48.2447205 61.5291594699,-49.06527714 61.3994368899,-48.4316712 61.2944412699,-48.63916782 61.2104071899,-48.30110928 61.1255492499,-48.20827482 61.1775055299,-47.83319478 61.0495757499,-48.39819336 60.9827689299,-47.68985754 61.0068016299,-48.19249728 60.8108215899,-47.60777664 60.8934593199,-47.023056 60.9760970499,-46.86222078 60.7973556099,-46.40579604 61.0823859699,-46.2294387 60.9747085299,-45.91500084 61.0902710499,-45.83958048 61.1627692899,-46.00972746 61.2230453499,-45.80805582 61.3326340299,-45.86666868 61.2151336299,-45.65361024 61.1422195899,-46.02694698 60.9097137699,-45.67969134 61.0028914899,-45.60250086 61.0236053499,-45.59466546 61.0397263299,-45.50055696 61.2333298299,-45.40112298 61.1235694299,-45.3708306 61.0901299299,-45.21590046 61.2038078499,-45.25516512 61.1009598099,-45.478386 60.9945029499,-46.22180184 60.7680510699,-45.71055612 60.7677688299,-45.38417058 61.0072174299,-45.25278084 60.9058227099,-45.97798158 60.5779113099,-45.68138118 60.6370315899,-45.57472236 60.4691544099,-45.31333158 60.6999970299,-45.4873581 60.4918669899,-45.09916686 60.6458281899,-45.21777336 60.4341582699,-44.62937172 60.7340888499,-45.20312496 60.1351318299,-44.5020867 60.4754067099,-45.1527786 60.0741652899,-44.60417172 59.9824905699,-44.46348192 60.1433182299,-44.10277938 60.3838844499,-43.99999992 60.3117822099,-43.99999992 60.3011859699,-44.11389168 60.1836013299,-43.99999992 60.1734532899,-43.99999992 60.1322777499,-44.13180168 60.1434669099,-43.99999992 60.0895329699,-43.99999992 59.9427150699,-44.11555488 59.8291626099,-43.99999992 59.8080988299,-43.99999992 58.9981110699,-42.99999993 58.9981110699,-41.99999994 58.9981110699,-41.99999994 58.0397715549,-41.99999994 57.0814320399,-41.99999994 56.1230925249,-41.99999994 55.1647530099,-41.99999994 54.2064134949,-41.99999994 53.2480739799,-41.99999994 52.2897344649,-41.99999994 51.3313949499,-41.99999994 50.3730554349,-41.99999994 49.4147159199,-41.99999994 48.4563764049,-41.99999994 47.4980368899,-41.99999994 46.5396973749,-41.99999994 45.5813578599,-41.99999994 44.6230183449,-41.99999994 43.6646788299,-41.99999994 42.7063393149,-41.99999994 41.7479997999,-41.99999994 40.7896602849,-41.99999994 39.8313207699,-41.99999994 38.8729812549,-41.99999994 37.9146417399,-41.99999994 36.9563022249,-41.99999994 35.9979627099,-41.99999994 34.9979869299,-42.98049 34.9979869299,-43.96098006 34.9979869299,-44.94147012 34.9979869299,-45.92196018 34.9979869299,-46.90245024 34.9979869299,-47.8829403 34.9979869299,-48.86343036 34.9979869299,-49.84392042 34.9979869299,-50.82441048 34.9979869299,-51.80490054 34.9979869299,-52.7853906 34.9979869299,-53.76588066 34.9979869299,-54.74637072 34.9979869299,-55.72686078 34.9979869299,-56.70735084 34.9979869299,-57.6878409 34.9979869299,-58.66833096 34.9979869299,-59.64882102 34.9979869299,-60.62931108 34.9979869299,-61.60980114 34.9979869299,-62.5902912 34.9979869299,-63.57078126 34.9979869299,-64.55127132 34.9979869299,-65.53176138 34.9979869299,-66.51225144 34.9979869299,-67.4927415 34.9979869299,-68.47323156 34.9979869299,-69.45372162 34.9979869299,-70.43421168 34.9979869299,-71.41470174 34.9979869299,-72.3951918 34.9979869299,-73.37568186 34.9979869299,-74.35617192 34.9979869299,-75.33666198 34.9979869299,-76.31715204 34.9979869299,-76.31357706 34.9527495099,-76.36274982 34.9389370299,-76.31263728 35.0126342499,-76.75306704 34.9052658699,-77.068161 35.1497802099,-76.76139834 34.9877701299,-76.46888736 35.2716598299,-77.04958338 35.5269394299,-76.65249636 35.4149932899,-76.58819586 35.5510329699,-76.49610894 35.3847198099,-76.14916992 35.3369370099,-75.72083274 35.6926306899,-75.85083 35.9752693899,-76.02874758 35.6540908899,-76.1356278 35.6923866099,-76.07750706 35.9931869499,-76.72951512 35.9398498899,-76.73285808 35.9979627099,-76.7461014 36.2281837899,-76.51861578 36.0069389499,-76.07096856 36.1492957299,-76.19965362 36.3173905299,-75.92653656 36.1708908699,-75.97603602 36.3113785299,-75.79315188 36.0738487299,-76.03472898 36.4966582899,-75.89958192 36.4927711899,-75.9453048 36.7124214099,-75.6216387 35.9979627099,-75.53264616 35.8015213299,-75.61327284 35.9979627099,-75.98728944 36.9092292699,-76.25514222 36.9579124299,-76.29360966 36.8433228099,-76.76291655 37.0698547899,-77.23222344 37.2963867699,-76.65388488 37.2269362899,-76.29145812 37.0053444099,-76.68276984 37.4297179899,-76.37648778 37.2805138299,-76.239441 37.3734625899,-76.29069528 37.5686072499,-76.71029283 37.8688639899,-77.12989038 38.1691207299,-76.35360726 37.6185990099,-76.24361412 37.9061013099,-76.78500741 38.1542950299,-77.3264007 38.4024887499,-77.04222102 38.7266197899,-77.06169126 38.9045715699,-77.00611878 38.7549973299,-77.24374398 38.3982582099,-77.04444888 38.4383200899,-76.31234748 38.0473023099,-76.37110902 38.2883300499,-76.66346736 38.4747123099,-76.67916102 38.6625252099,-76.37857056 38.3652039099,-76.53750606 38.7316588899,-76.39389036 39.0110359899,-76.61051946 39.2503738899,-76.41639702 39.2097167499,-76.48000344 39.3020743899,-75.9408264 39.6041602899,-75.8513871 39.5358276099,-76.16833488 39.3165206499,-76.22084052 39.0608214699,-76.072464 39.1416587499,-76.35986334 38.8554115899,-76.22465508 38.9640883899,-76.10443884 38.7990913899,-76.25517264 38.8410339099,-76.34215548 38.6882553099,-75.96278388 38.6133270699,-76.26528936 38.6197127499,-76.24694826 38.5102767099,-76.03750602 38.2266541299,-75.8463516 38.3987769699,-75.87853236 37.9475592699,-75.64404294 37.9611739299,-75.95639046 37.4977722099,-76.0027923 37.2238770099,-75.86805726 37.2169342299,-75.45388797 37.8372153999,-75.03971868 38.4574965699,-75.31416324 39.0531882999,-75.5886078 39.6488800299,-75.02851872 40.0123061499,-75.55722048 39.6204070899,-75.41569512 39.3780441099,-74.89493568 39.1690216299,-74.9452743 38.9229812499,-74.42041014 39.3539887299,-74.07160182 40.0478439099,-74.08826442 39.7748526699,-73.95222474 40.2999954699,-73.99565892 40.4588470899,-74.2629852 40.4663772099,-73.93804164 40.9128990699,-73.93415832 40.7980498899,-73.42027281 41.0420799399,-72.9063873 41.2861099899,-72.20903013 41.3280506199,-71.51167296 41.3699912499,-71.38944252 41.8066941099,-71.27139276 41.6530455699,-71.11485288 41.7895087899,-71.18832402 41.4683227299,-70.72610472 41.7277678899,-70.64861292 41.5394401899,-69.93540954 41.6724967299,-70.07417298 42.0588798699,-70.24401864 42.0739478499,-70.01931006 41.7925644699,-70.33291632 41.7138825099,-70.68222054 41.9972152899,-70.71764382 42.2138785899,-71.03951262 42.3048514899,-70.58181006 42.6528357699,-70.80596928 42.7158966099,-70.723404 43.1199188499,-70.19187156 43.5755461899,-70.17250068 43.7805480099,-69.92222598 43.8647156499,-69.83139042 43.7161711899,-69.77159874 44.0742988299,-69.71929938 43.7920798899,-69.64305876 44.0288810499,-69.50041956 43.8504067299,-69.36999516 44.0469436899,-69.24833676 43.9380417099,-69.06555936 44.0661048699,-68.98083498 44.4417229299,-68.79686742 44.5746117099,-68.81319432 44.3302726899,-68.61582954 44.3063812899,-68.26256568 44.4657898299,-67.72628025 44.5630283499,-67.18999482 44.6602668699,-66.97083276 44.8279113099,-67.1786118 44.8991585499,-67.034439 44.9849929899,-67.20654294 45.1830367299,-66.42778014 45.0849914499,-66.14723214 45.1922149299,-66.1918716 45.3313102899,-65.9999313 45.4592285499,-66.0924378 45.2995300299,-65.8868103 45.2083281699,-65.33441163 45.4092997899,-64.78201296 45.6102714099,-64.58306886 45.8269424499,-64.75083156 46.0866585099,-64.47833244 45.7505493699,-64.2743073 45.8058280899,-64.93534092 45.3317298699,-64.15247727 45.3457927299,-63.36961362 45.3598555899,-64.15820316 45.1890143499,-64.15638732 44.9783248899,-64.4856948 45.3302688099,-65.34027477 44.8741569099,-66.19485474 44.4180450099,-65.85156252 44.5811043099,-66.11860656 44.3380432899,-66.16750338 43.8608283699,-65.48138424 43.4644393899,-64.86854166 43.8685340799,-64.25569908 44.2726287699,-64.3052673 44.5333328499,-64.08750924 44.4677696499,-63.90860742 44.6780472699,-63.93194586 44.5136032299,-63.63486108 44.4363785499,-63.52055748 44.5102730499,-63.65367882 44.7111739299,-63.4444389 44.5919379699,-62.64657084 44.8049926299,-61.84870278 45.0180472899,-61.05083472 45.2311019499,-60.98847192 45.3259659099,-61.36500546 45.4041595299,-61.2600021 45.5102767299,-61.46874612 45.6806868699,-61.88458248 45.6913070499,-61.9193763 45.8839531299,-62.46194454 45.6124954899,-62.6777802 45.7641600699,-63.66708 45.8166617499,-64.09388736 46.0216597899,-63.8262558 46.1451340299,-64.50418098 46.2402724899,-64.90430442 46.8459663699,-64.80208584 47.0815239099,-65.36618046 47.0854797699,-64.91000358 47.3530503099,-64.67492682 47.7248534499,-64.80388638 47.8081855299,-65.6315307 47.6219368299,-65.79360954 47.8908309099,-66.35540772 48.0702705699,-66.84370416 47.9966507499,-65.89653786 48.2024917299,-65.30583186 48.0055542699,-64.81417077 48.2213821899,-64.32250968 48.4372101099,-64.16548164 48.6277656699,-64.53041832 48.8737030899,-64.15763094 48.7598572299,-64.21167 48.8849907099,-64.99694826 49.2202682499,-65.65152744 49.2036018699,-66.30610662 49.1869354899,-67.25416572 48.9133949799,-68.20222482 48.6398544699,-68.82639318 48.3095055099,-69.45056154 47.9791565499,-69.97875975 47.4997139499,-70.50695796 47.0202713499,-71.29916388 46.7422179699,-70.76263815 47.1198215199,-70.22611242 47.4974250699,-69.73249824 48.1075629699,-70.37562564 48.2835711999,-71.01875304 48.4595794299,-70.34854122 48.3002032899,-69.6783294 48.1408271499,-69.13444518 48.5974940799,-68.59056096 49.0541610099,-67.98131946 49.1920776399,-67.37207796 49.3299942699,-67.1419449 49.8169365699,-66.46972662 50.2619399499,-65.655947916 50.2682182059,-64.842169212 50.2744964619,-64.028390508 50.2807747179,-63.214611804 50.2870529739,-62.4008331 50.2933312299,-61.58347326 50.1855468699,-61.72083288 50.0919342699,-60.86291886 50.1704063499,-60.00500484 50.2488784299,-59.50896264 50.5001316099,-59.01292044 50.7513847899,-58.99371336 51.0061035099,-58.62326058 51.1505470299,-58.62430188 51.2763825099,-57.73944096 51.4716567699,-56.95159536 51.4245757899,-56.32545096 51.7549228599,-55.69930656 52.0852699299,-55.70722206 52.2483292299,-56.1898575 52.4369697699,-55.6455879 52.4328727899,-56.4877395 52.5942917499,-55.76347728 52.6112441499,-56.06082918 52.7661057099,-55.83416742 52.9219360299,-56.16458136 53.0302009899,-55.7513199 53.1383286099,-55.80805212 53.3405456499,-56.25958626 53.5475960499,-56.02930452 53.5758285099,-56.67124932 53.6763801099,-56.47415166 53.7823830099,-57.01472478 53.7113800299,-57.33805464 53.4473533299,-57.31513974 53.5766638899,-57.5355033 53.5985146299,-57.08031084 53.8234672899,-57.42833706 54.1824951099,-58.35556026 54.2063827299,-57.79694358 54.0750923499,-58.33361052 53.9899005999,-58.87027746 53.9047088499,-59.07695004 53.6818008099,-59.8979187 53.5223541099,-59.79045492 53.4822807099,-60.13361358 53.2836075099,-60.40909188 53.3514518499,-60.10361478 53.5005492699,-60.8802795 53.7130507899,-60.13611216 53.5284652899,-60.08277888 53.7624969699,-59.26625055 53.9584655799,-58.44972222 54.1544341899,-59.01565932 54.0987071799,-59.58159642 54.0429801699,-58.89550782 54.1677246099,-58.20941922 54.2924690499,-57.52333062 54.4172134899,-57.69770814 54.4652671899,-57.3899994 54.5006179299,-57.44909286 54.6488113899,-58.00139622 54.7333298499,-58.90416714 54.8447113299,-59.03354268 55.1558913699,-59.38360974 54.9812011899,-59.1563835 55.2338790699,-59.91430284 54.7411040499,-59.43187332 55.1354408499,-59.96583558 55.1147156499,-59.73513408 55.1970024699,-59.77763748 55.3294410699,-60.28989786 55.0272484299,-60.07477572 55.2469368099,-60.17610924 55.2708282099,-60.68332674 54.9949951299,-60.19554906 55.4313811899,-60.47833248 55.3474884099,-60.3179856 55.5731887899,-60.53004846 55.5969046899,-60.33277512 55.7813110899,-60.50875482 55.7983284699,-60.6618081 55.5869330499,-60.61958316 55.8234672699,-60.87999726 55.7409630099,-60.758892 55.8504103899,-61.49972538 56.0130501099,-61.2403488 56.0439528699,-61.4504853 56.0563125699,-61.34819418 56.2202682699,-62.0778465 56.2918701099,-61.67642976 56.2686042099,-62.1368064 56.4508246899,-61.6572495 56.5257531099,-62.2320786 56.6154060699,-62.0052795 56.6169357099,-62.35303878 56.7579536499,-61.68527604 56.6182518699,-61.90395732 56.7930487899,-61.66888812 56.8061027499,-61.36111458 57.0923538699,-62.01333612 57.2475280899,-61.80263892 57.3624953499,-61.89138792 57.4119339699,-62.52694326 57.4886055099,-61.88486094 57.6331176099,-62.12180322 57.9652710699,-62.66860956 57.9292984299,-62.31048588 58.0378380699,-62.50257108 58.0578384099,-62.45062254 58.1684952099,-63.33528132 57.9801291699,-62.63499834 58.1836013499,-62.82805626 58.2522202299,-62.55694584 58.4802665499,-63.24166872 58.4663849499,-63.58100886 58.3017272499,-62.84638602 58.6877669499,-63.03333276 58.8738784899,-63.31597146 58.8557586099,-63.16180416 58.9233284499,-63.33263784 59.0241585099,-63.12805182 59.0461730499,-64.0440216 59.0181884499,-63.3596535 59.1993636699,-64.06047828 59.3859633699,-63.78527826 59.4261017499,-63.87083046 59.6129111499,-64.11694338 59.5174942299,-64.05776982 59.6252670699,-64.25806428 59.7606888099,-64.16555022 60.0215224899,-64.5048981 59.8982543499,-64.39617918 60.1206169899,-64.81402596 59.9811020499,-64.3769379 60.1605453099,-64.7160993 60.3059617299,-64.55776338 60.3255640899,-64.52171334 60.3107299299,-64.42541496 60.3992996499,-64.50031386 60.4084206099,-64.5000003 60.9981864699,-64.99999998 60.9981859299,-65.66167836 61.4531839899,-66.32335674 61.9081820499,-66.47819112 61.9773821499,-65.94804378 61.9077682299,-66.13249212 62.0894317899,-65.936493 62.1997107699,-66.37471002 62.2861098699,-66.47086332 62.3442612099,-66.35492712 62.4453353499,-66.6069489 62.6049957099,-67.3980561 62.9672088099,-67.66950996 62.9335174899,-67.559166 63.0490225899,-67.76347356 62.9572830699,-67.6394424 63.0995750499,-68.12860104 63.1480483299,-68.56082532 63.4472846499,-68.9930496 63.7465209699,-68.54277042 63.7324905099,-67.72041324 63.3640213299,-67.92086034 63.7548178899,-67.20388794 63.2852706099,-66.9776382 63.3967285899,-67.02041628 63.2469711099,-66.8441619 63.1472167299,-66.81190482 63.2728385499,-66.67763526 63.0247153899,-66.54548646 62.9938774299,-66.73881528 63.2913132099,-66.65381622 63.3733939299,-66.40083306 62.9984665299,-66.10617828 62.9458923099,-66.2730561 63.1322135499,-65.33972172 62.8374939699,-65.18750004 62.5622100699,-64.94888304 62.6486053899,-65.2523652 62.9753379699,-64.63061532 62.8990212099,-65.08332828 63.2038803699,-65.14340976 63.2869377699,-64.90916442 63.2805481299,-65.29732506 63.8101615899,-64.53458406 63.2490234699,-64.53263862 63.6796417899,-64.9854126 63.8238144099,-64.67312628 64.0343627499,-65.1899871 64.0202637099,-65.05332192 64.0692978699,-65.24749764 64.2054748899,-65.65756986 64.3049774499,-65.2008285 64.3076859099,-65.07820134 64.4722060899,-65.70194238 64.4862289899,-65.67895512 64.5265349499,-65.56204224 64.7315445099,-65.7073593 64.6914367299,-65.66860962 64.8101272899,-65.93784336 64.8904036899,-65.85173028 64.6803969699,-66.02021028 64.8478392699,-66.2155533 64.6881713499,-66.14834598 64.8688659699,-66.61805724 65.0302734099,-66.69464112 64.7618637099,-66.73236084 65.1800537499,-67.10465232 65.0598373299,-66.9328461 65.2327575699,-67.407219 65.3395004499,-67.06055448 65.4220657299,-67.45590216 65.4988708299,-67.27792356 65.6401290699,-68.02330014 65.4883804299,-67.82112126 65.7680511099,-68.32833858 65.9222716899,-68.0668335 66.0550308699,-68.04722592 66.0649872099,-68.08992768 66.0716171499,-68.84388738 66.1887283899,-68.24472048 66.1827545499,-68.02683264 66.0654984099,-67.82417298 65.8808135499,-67.18874364 65.9124145299,-67.1637573 66.0360946899,-67.98929598 66.5075607699,-67.28222664 66.2752686099,-67.1314239 66.3092880699,-67.4041671 66.4266509499,-67.14618678 66.4402542699,-67.73429862 66.5688018099,-67.10556024 66.4858093899,-66.9364929 66.5482864899,-66.76777656 66.3805389099,-66.443985 66.4047393699,-66.5719452 66.3620604699,-66.40194708 66.2008209699,-65.92694094 66.1147003299,-65.48075874 66.3848495499,-65.96347806 66.0391464099,-65.38999932 65.9752579299,-64.71731574 66.2161101699,-64.73770146 65.9728317099,-65.35722348 65.9024810499,-65.50180812 65.7488784099,-64.80172728 65.7219315099,-65.31674202 65.5511626299,-64.71145638 65.6508178299,-65.16194148 65.4864731499,-65.06694792 65.3798447499,-64.41874686 65.4798432099,-64.90347282 65.3366164899,-64.69005582 65.3348159499,-64.91069028 65.3015060499,-64.64111328 65.1499939299,-64.51542666 65.1148375899,-64.2391587 65.4274063299,-64.37707524 65.1791458299,-63.69166566 65.0485916499,-63.82417302 64.9847107299,-63.54695124 64.8872070699,-63.33569334 65.2980347499,-63.65194326 65.4704056299,-63.3021507 65.4400786899,-63.61228944 65.5357513899,-63.32333382 65.5970687499,-63.71857062 65.6782073499,-63.36833184 65.6694336099,-63.4397202 65.8499831499,-63.20611188 65.6369400099,-62.95750038 65.5849914699,-62.92930608 65.7536010699,-62.64916614 65.5866546699,-62.82997128 65.7522125499,-62.57069784 65.7545014299,-62.86083606 65.9111023299,-62.32111362 65.8311004299,-62.9649963 66.1484604099,-62.46239472 66.0850220199,-61.95979314 66.0215836299,-62.58249666 66.2320099299,-62.3201409 66.3027573099,-62.70874794 66.4085235099,-62.45610804 66.4238739099,-61.8774948 66.2833252299,-61.46500014 66.3696975099,-61.97784426 66.4123764099,-61.57920078 66.4810181499,-62.12388618 66.6263733699,-61.26458364 66.6260909499,-61.7497254 66.9480285099,-62.1041679 66.9151230699,-62.10139464 67.0547028099,-62.42305752 66.9238739499,-62.31472398 66.7291564299,-62.6000022 66.9515151099,-62.90913006 66.6465148299,-62.8423614 66.9598464099,-63.22471614 66.8994294099,-63.41166684 66.7031784699,-63.4344444 66.9048538899,-63.77360922 66.8184585699,-63.22846986 66.9747084699,-63.27451332 67.1133804699,-62.97235866 67.2295609299,-63.11028294 67.3299865299,-63.7738533 66.9740448099,-63.45236214 67.1745682299,-63.5541687 67.2363661899,-64.12557222 67.1227264299,-64.69697574 67.0090866699,-63.97114176 67.2758560299,-64.7658387 67.1902541499,-64.24523928 67.2942199899,-64.79238888 67.3554000099,-63.9372177 67.2927551499,-64.00386054 67.4559706899,-64.43283852 67.4756774499,-64.04180148 67.5283890099,-64.30041504 67.7319335499,-64.40270994 67.7102890899,-64.50695802 67.8072052299,-65.20375818 67.6512375699,-64.7261811 67.9888306299,-65.00111382 68.0555420499,-65.4236145 67.8980407899,-65.55097206 67.7808913899,-65.34638982 67.5933227499,-65.60822304 67.7904738699,-65.44416042 67.9890061299,-65.81722266 67.9643630499,-66.00201408 67.6287994899,-65.92568976 68.1600495099,-66.40139772 67.8110961099,-66.73520664 67.8760528899,-66.1880493 68.0139465699,-66.46572882 68.0801620899,-66.31805412 68.1238021899,-66.6102753 68.1345672699,-66.7338867 67.9820709099,-66.68082432 68.1401290899,-66.94665534 68.0136108699,-66.776184 68.2419205299,-67.00305942 68.2928313699,-67.5986175 68.1638793699,-67.07806398 68.3311004499,-67.87158966 68.2622146299,-67.28697585 68.3492927799,-66.70236204 68.4363709299,-67.42610172 68.4944304699,-67.6033326 68.3788603899,-67.53250116 68.5497055899,-68.21513748 68.5774841799,-68.8977738 68.6052627699,-68.04749304 68.6794967499,-68.70471579 68.7768211299,-69.36193854 68.8741455099,-68.67443853 68.8642883499,-67.98693852 68.8544311899,-68.54714964 68.9756088099,-67.71888738 69.0261000699,-68.3813781 69.1752624699,-69.02277372 68.9705428899,-68.99804694 69.1035918699,-68.50917054 69.1972046499,-68.96777346 69.2210998299,-68.4650574 69.2504425299,-68.1658326 69.2679061299,-68.68444824 69.2854728699,-69.20306388 69.3030396099,-68.20967862 69.3105393099,-67.48494723 69.2197380399,-66.76021584 69.1289367699,-66.6480636 69.2306823099,-66.79041282 69.3391494099,-67.70117565 69.4633216899,-68.61193848 69.5874939699,-69.32041551 69.5600586399,-70.02889254 69.5326233099,-69.17392728 69.5817222699,-68.31896202 69.6308212299,-68.00458518 69.7731781899,-67.1277771 69.7269286299,-67.21986384 69.9408111099,-67.8013839 70.2606887499,-68.16000366 70.2827607099,-68.3480529 70.1742172899,-68.22138978 70.1027679099,-68.81352615 69.9373855299,-69.40566252 69.7720031499,-69.75646218 69.7985916699,-69.99055488 69.6149902299,-69.80583186 69.8199920499,-69.62970726 69.8237076099,-69.39805608 69.8285980299,-69.27217866 69.8945541699,-68.68367766 70.2029037099,-69.6533355 70.1449890699,-69.77722176 69.9636077499,-70.46583552 69.8434600899,-69.81582636 69.9890136699,-70.18138116 70.0288771899,-69.66806022 70.1985930699,-68.73554988 70.3177642299,-68.57360838 70.4654083299,-68.45201118 70.3753280499,-68.31972504 70.5648498699,-68.89014432 70.6780434099,-69.4605636 70.7912369499,-69.95541762 70.6338043599,-70.45027164 70.4763717699,-70.4754792 70.6133118099,-69.91555788 70.7491455699,-69.77465064 70.8572006499,-69.9072876 70.8799056699,-70.45441056 70.7506370499,-71.00153352 70.6213684299,-71.49360654 70.0505371299,-71.17304994 70.5323409699,-71.50541688 70.5744323499,-71.80694586 70.2958222299,-71.8030548 70.4283142899,-71.55860904 70.6094207499,-70.7438889 70.7501220699,-70.51535028 70.9253997699,-70.63555914 71.0722198299,-71.59361274 70.8401260299,-72.55166634 70.6080322299,-72.17069238 70.8379059099,-72.65389248 70.8243025899,-71.90083692 71.0331153699,-71.14778136 71.2419281499,-71.44756326 71.4695664099,-72.0105858 71.5625191299,-72.57360834 71.6554718499,-72.97367472 71.3193245499,-73.3737411 70.9831772499,-73.26902772 71.2227630099,-73.0573578 71.2664490099,-73.32084648 71.3408203299,-73.88597106 71.0594940099,-73.38354498 71.3877639699,-73.62875358 71.3580322899,-73.6308288 71.5848540699,-74.23155972 71.2041092499,-74.0372238 71.4392851899,-74.3074875 71.4141159699,-73.59243012 71.7526245099,-73.92832938 71.7691497699,-74.16260532 71.5391464899,-74.14695738 71.7388762899,-74.7190323 71.5442885499,-74.64598092 71.3753967099,-75.0813903 71.1794281899,-74.70520776 71.3835220899,-75.11624154 71.4977646699,-74.6313858 71.6560287699,-75.402504 71.5200195099,-74.9402694 71.6642151699,-75.39021306 71.6769179499,-74.81336976 71.7488021199,-74.23652646 71.8206862899,-74.17749024 72.0319366299,-75.04360956 72.1238631699,-75.56781384 71.9101142499,-76.09201812 71.6963653299,-75.2258988 72.0746688099,-75.79666134 72.1035919299,-76.31082162 71.8847198499,-76.05471798 72.0730437699,-75.50041194 72.1663779999,-74.9461059 72.2597122299,-75.22348014 72.4990157499,-75.93194574 72.5836029699,-76.11471558 72.4756774899,-77.0558166 72.7528611099,-77.60957337 72.7040634699,-78.16333014 72.6552658299,-78.56013492 72.4415053899,-77.78338245 72.2853584499,-77.00662998 72.1292115099,-77.70748518 72.2275162599,-78.40834038 72.3258210099,-78.41513826 72.1686019899,-78.61000068 72.3592833699,-78.8699952 72.2281800099,-78.1043778 71.9717941299,-77.78555298 71.7874908699,-78.29402166 71.9252166099,-78.85839852 72.1703262099,-78.91923528 72.0127639299,-78.5130615 71.8678970499,-79.19667054 71.9601288699,-79.01278686 72.2738800299,-79.34583276 72.3989487099,-79.74138636 72.2138748699,-79.59555054 72.3347167899,-79.79916384 72.5013885099,-79.99999992 72.4027027899,-79.99999992 72.8668889499,-79.54333488 72.7485961899,-78.67270656 72.7874164749,-77.80207824 72.8262367599,-76.93144992 72.8650570449,-76.0608216 72.9038773299,-76.74263001 73.2292900599,-77.42443842 73.5547027899,-78.28295892 73.6047196299,-79.14147942 73.6547364699,-79.99999992 73.7047533099,-79.99999992 74.2679024799,-79.99999992 74.8310516499,-79.93055718 74.8133086899,-79.34117886 74.9001923499,-79.99999992 74.9808656499,-79.99999992 75.1100595699,-79.62944022 75.1749877299,-79.49166102 75.3785934699,-79.99999992 75.4286363499,-79.99999992 75.5279025699,-79.9529877 75.5363769699,-79.99999992 75.5494467699,-79.99999992 76.2305817099,-79.31277468 76.2974853699,-78.78194424 76.5722121699,-78.44332878 76.4522094099,-77.776947 76.6542968499,-77.89034268 76.9497756699,-78.32028204 77.0116576899,-78.716034 76.8227691099,-79.3458405 76.9180450899,-79.004448 77.1002655699,-79.44554142 77.2344208299,-79.99999992 77.1369560499,-79.99999992 77.3216511699,-79.38861084 77.3144282199,-78.77722176 77.3072052699,-78.25076298 77.4555397599,-77.7243042 77.6038742499,-78.41538234 77.9101181499,-78.2608338 77.9952545499,-77.48148096 77.9823862899,-76.70212812 77.9695180299,-75.92277528 77.9566497699,-75.84659982 77.9991304899,-75.621933 78.1244202099,-76.213152 78.1666669299,-75.41233983 78.1666670199,-74.61152766 78.1666671099,-73.81071549 78.1666671999,-73.00990332 78.1666672899,-73.05360408 78.1572113499,-72.29825136 77.9991304899),(-72.57361608 77.4113770299,-72.09750366 77.3124846699,-71.3488923 77.3627624499,-72.23554998 77.4541626699,-72.57361608 77.4113770299),(-79.75222776 75.8785857699,-78.89778144 75.8397064899,-79.17666624 75.9495696699,-78.89306634 76.1155395699,-79.75222776 75.8785857699),(-56.77555464 73.8728943699,-56.3233338 73.7833251099,-55.9922256 73.8522033699,-56.77555464 73.8728943699),(-55.68638616 73.4758147299,-55.74361428 73.3880461899,-55.47332772 73.4288710899,-55.94305428 73.5702666699,-56.11583718 73.5566406699,-55.68638616 73.4758147299),(-55.1974716 72.8453217099,-55.84846878 72.6141509499,-55.51999668 72.5547027099,-54.96479028 72.8081054499,-55.1974716 72.8453217099),(-55.6887474 72.1958160099,-55.34471898 72.1669312299,-55.01528172 72.3771973299,-55.6887474 72.1958160099),(-72.9247131 71.6494292499,-72.94999698 71.5472106699,-72.66138462 71.6012344299,-72.9247131 71.6494292499),(-72.8238906 71.4523468899,-73.16192628 71.5692367299,-73.3786011 71.5212402699,-73.06054686 71.2947082899,-72.8238906 71.4523468899),(-53.15471658 71.3427582099,-52.9358292 71.1472168299,-52.37740332 71.2783279299,-52.32833856 71.2898482899,-52.3587456 71.2917939099,-53.15471658 71.3427582099),(-53.38194282 71.1352691499,-53.58416742 71.3008117299,-53.99069598 71.1278914899,-53.45278164 71.0494231899,-53.38194282 71.1352691499),(-72.22639464 70.9305420099,-72.11221308 70.8113708499,-71.3413926 70.9881744099,-71.7947235 71.0530395699,-72.22639464 70.9305420099),(-51.97499856 70.9738770099,-52.11999504 70.8655395099,-51.55847172 70.8733063299,-51.97499856 70.9738770099),(-54.42916878 70.3097076099,-54.79472358 70.2205352499,-54.82187658 70.0662307899,-54.24083334 69.9142531899,-54.76124952 69.9636001899,-54.93318174 69.8441543499,-54.40270608 69.6805649499,-54.98791506 69.6902541699,-54.46694376 69.6470641599,-53.94597246 69.6038741499,-53.99305722 69.5013733299,-53.78402718 69.4513777899,-53.35815816 69.5762405499,-53.56527714 69.4969329099,-53.3991699 69.4374846699,-54.2694474 69.3961028499,-53.57847222 69.2297058099,-52.70749857 69.4320640599,-51.83652492 69.6344223099,-52.55146026 69.9146995899,-53.2663956 70.1949768699,-53.84778219 70.2523422399,-54.42916878 70.3097076099),(-51.00194556 69.9185944299,-51.3627777 69.8519287299,-51.01160058 69.8781052299,-51.38666532 69.7020645099,-51.24527748 69.5313796899,-50.95833588 69.5505370899,-50.96527866 69.7244262699,-50.65763472 69.8334655899,-51.00194556 69.9185944299),(-67.92027282 69.5219268099,-67.86972054 69.7008208899,-68.24888604 69.5966491299,-67.92027282 69.5219268099),(-53.12342826 68.3908080699,-52.95639042 68.3641509699,-52.85292048 68.4298477299,-52.88763816 68.4457397499,-52.98741918 68.4914246499,-53.210556 68.4047089299,-53.12342826 68.3908080699),(-62.48416518 65.7240142899,-62.21972268 65.6105422899,-62.13000114 65.6765059899,-62.25861366 65.7285918699,-62.48416518 65.7240142899),(-64.91639718 63.8063812299,-64.43638614 63.6733245099,-64.54943856 63.8952713499,-64.91639718 63.8063812299),(-64.4219361 63.4716568299,-64.065834 63.2694358299,-64.32556158 63.6374969499,-64.4905548 63.6205443699,-64.4219361 63.4716568299),(-64.96583562 62.4658279899,-64.59472656 62.3667984699,-64.38276666 62.5258255899,-64.96583562 62.4658279899),(-65.0680695 61.9238814699,-65.21263884 61.8194389899,-64.82722482 61.7597884299,-65.0680695 61.9238814699),(-65.48777766 61.5994338099,-64.86999516 61.3233300099,-64.65972906 61.5880432299,-65.0363922 61.6936035099,-65.48777766 61.5994338099),(-48.23889156 60.7955475099,-47.89847178 60.6770781699,-47.657772 60.7552719699,-47.7583389 60.8002701699,-48.23889156 60.7955475099),(-45.34986114 60.3848533899,-45.40902714 60.1832542899,-45.19158552 60.2587318899,-45.15222168 60.3763809699,-45.34986114 60.3848533899),(-44.4974976 60.0111084099,-44.30750274 59.9777679099,-44.26472466 60.1144408299,-44.42142114 60.1414489299,-44.4974976 60.0111084099),(-44.0127792 60.0149955099,-44.38027962 59.9094314499,-44.14554594 59.8995132699,-44.0127792 60.0149955099),(-61.64195256 56.7355881099,-61.3935891 56.6177788299,-61.38603594 56.7744216699,-61.58527758 56.7638855499,-61.35527808 56.9108200899,-61.4993706 56.9528502699,-61.64195256 56.7355881099),(-61.63055424 56.4652709499,-61.1494407 56.4433212099,-61.55805204 56.5519332099,-61.42041774 56.4853400499,-61.63055424 56.4652709499),(-61.21833426 56.0486069499,-60.93673326 56.0124244299,-61.08916482 56.1699904899,-61.21833426 56.0486069499),(-58.22298054 54.8316573699,-57.87847134 54.7919387499,-57.94083396 54.9119339499,-58.22298054 54.8316573699),(-55.90312578 51.6265183299,-56.68250274 51.3394318299,-56.92749786 50.9158248699,-57.37860864 50.6877670299,-57.15138618 50.6237412099,-57.36798486 50.5931167299,-57.65885361 50.1289158099,-57.94972236 49.6647148899,-57.7036782 49.4640197499,-57.99833676 49.5591583899,-58.21986006 49.3963813299,-58.2041664 49.2426300099,-57.9332619 49.2384642699,-58.0898475 49.1612473299,-57.91770558 49.1265183099,-58.14444726 49.1219329899,-57.89572524 48.9772835499,-58.35041424 49.1480484699,-58.70124432 48.5799942099,-58.95722196 48.6194381499,-58.77187344 48.7736014899,-59.21250156 48.5477715099,-58.4183349 48.4866561099,-58.90159791 48.2031173199,-59.38486092 47.9195785299,-59.30347068 47.6116600899,-58.66770744 47.6533928199,-58.0319442 47.6951255499,-57.4363899 47.6082515199,-56.8408356 47.5213774899,-56.1624984 47.6361046299,-55.768959 47.9516563299,-55.91347128 47.6557541499,-55.63416672 47.6730499899,-56.11298364 47.4633292899,-55.7458344 47.5852661499,-55.92038346 47.4450263499,-55.58777622 47.3986054299,-55.37048724 47.7256126899,-55.13021478 47.6137885899,-54.9414558 47.7776298099,-55.03215024 47.6270790699,-54.84555054 47.6338805499,-55.4905548 47.1355476699,-55.96665948 46.9813765899,-55.3920822 46.8658295499,-54.85639194 47.3905486299,-54.41492844 47.5954780899,-54.60979464 47.3548546299,-54.47756196 47.3983955499,-54.1961784 47.8412437899,-53.98388676 47.7577743699,-53.86750038 47.4027709899,-54.1868706 46.8218688699,-53.59138488 47.1560973699,-53.61430356 46.6411742499,-53.35805898 46.7372170299,-53.16513822 46.6198501899,-52.93666458 46.7970771099,-52.61736294 47.5084686099,-52.77968604 47.7976722699,-53.1185418 47.4179077299,-53.26167294 47.5463866899,-52.83465192 48.0996474699,-53.27444466 48.0133284699,-53.54520804 47.5410347499,-53.85055536 47.7605514099,-53.60680764 48.0487441899,-53.90973666 48.0228232899,-53.69176872 48.0585669699,-53.90965278 48.0840187899,-53.94475944 48.1717948899,-53.93735892 48.2320747299,-53.7021675 48.1875533499,-53.62625124 48.1731834099,-53.59790034 48.1898116299,-52.98722082 48.5480499699,-53.07201378 48.6979752099,-53.58805092 48.4280472099,-53.95103838 48.5432587299,-53.60718528 48.6809616099,-53.92284768 48.6247825299,-53.80152894 48.8102683899,-54.0961074 48.8122100499,-53.5911102 49.0381926699,-53.51111604 49.2772141299,-54.04528044 49.4801254299,-54.48155976 49.2650299299,-54.52805322 49.5319366299,-54.82111356 49.2704086899,-55.07764056 49.3523560299,-55.38333132 49.0408325499,-55.14131934 49.5433311699,-55.30555728 49.5344391699,-55.3152771 49.3144379499,-55.37347038 49.5034674699,-55.56114198 49.3681830699,-55.52264016 49.4842949499,-55.6680564 49.3835334699,-55.82778174 49.5241622499,-56.12554926 49.4248542699,-55.83332826 49.6866531099,-56.12416848 49.6133270499,-55.98611442 49.7469406899,-55.46104056 49.9597129299,-55.75055688 49.9236069099,-56.12263488 50.1545028099,-56.84888466 49.5444412299,-56.78400798 49.7312430699,-56.90533068 49.7475204699,-56.53433034 50.1826439199,-56.16333 50.6177673699,-56.14916616 50.8890228699,-56.06889336 50.7244339299,-55.796112 51.0391617699,-55.7147178 51.1789512099,-55.9925613 51.1765746699,-56.08194732 51.3690186099,-55.6137504 51.3028372899,-55.40676876 51.5644683699,-55.8822213 51.4949950299,-55.90312578 51.6265183299),(-54.28541556 49.7140197699,-54.2913894 49.5783271299,-54.00444798 49.6474914099,-54.08111574 49.7363815299,-54.28541556 49.7140197699),(-53.56416312 48.1905440499,-53.67860028 48.1480179699,-53.92811196 48.1826629299,-53.9275284 48.1795464099,-53.63417052 48.0752716899,-53.56416312 48.1905440499),(-60.60916908 46.2019348299,-60.30583182 46.8442993899,-60.59555442 47.0301322899,-61.0255566 46.5838146399,-61.45555878 46.1374969899,-61.47805032 45.8038788699,-61.33694454 45.5733260499,-60.49888614 45.6202696899,-59.84055324 45.9383239299,-59.80916592 46.1091613899,-60.35375214 46.3077697899,-60.6449241 46.0713462699,-60.30749898 46.2087440499,-60.78722382 45.9361686099,-60.4669419 45.9380416899,-61.1465301 45.7015227699,-60.73673634 46.0551300699,-61.10791776 45.9532547499,-60.42513654 46.2779769099,-60.60916908 46.2019348299),(-62.60388948 46.1798553099,-61.97461704 46.4547118899,-62.59550481 46.4334601899,-63.21639258 46.4122084899,-63.6547203 46.5667991499,-63.7802811 46.4449920699,-64.0916748 46.7786026299,-64.02084354 47.0386047099,-64.4147262 46.6681861299,-64.10556036 46.6180496499,-64.1273499 46.4109268899,-63.8111115 46.3274918499,-63.25764462 46.1377716699,-62.96652612 46.3156165299,-63.11381904 46.2089157699,-62.61389154 45.9627684699,-62.44819254 46.0967941299,-62.60388948 46.1798553099),(-56.39778144 47.1066589299,-56.3713875 46.7868041499,-56.23263558 46.8530502699,-56.28944394 47.0708313699,-56.39778144 47.1066589299),(-61.92527778 47.3436049899,-61.4077758 47.6411055699,-61.92514044 47.4085999299,-62.0115318 47.2235984499,-61.79944608 47.2327651299,-61.92527778 47.3436049899),(-61.66479114 49.1442299499,-61.883892 49.3481902899,-62.68805883 49.5945091299,-63.49222566 49.8408279699,-64.00236897 49.8509674599,-64.51251228 49.8611069499,-64.02486807 49.6204109499,-63.53722386 49.3797149499,-62.86638645 49.2273559299,-62.19554904 49.0749969099,-61.66479114 49.1442299499),(-68.22208404 44.4041099499,-68.24137878 44.4388809099,-68.2929153 44.3865280899,-68.4062577 44.2713813699,-68.1824952 44.3327712699,-68.22208404 44.4041099499),(-73.58944698 40.9205474499,-74.00500488 40.6799927499,-73.61805726 40.5944365899,-72.74242782 40.8346099599,-71.86679838 41.0747833299,-72.58473198 40.9060974099,-72.2852784 41.1619339299,-72.6376419 40.9816588899,-73.58944698 40.9205474499),(-50.80750272 64.5224914299,-51.02500158 64.5494232099,-51.33916476 64.2410965299,-50.80750272 64.5224914299),(-53.2180557 71.5263825099,-52.75750356 71.6576232099,-53.47173312 71.6570662899,-53.2180557 71.5263825099)))', 'NAFO', 'Northwest Atlantic Fisheries Organization', 'No', 'Y'),('SRID=4326;MULTIPOLYGON(((-75.9453048 36.7124214099001,-75.6216387 35.9979627099,-76.1772483899999 35.9979627099,-76.73285808 35.9979627099,-76.7461014 36.2281837899,-76.5186157799999 36.0069389499001,-76.07096856 36.1492957299,-76.19965362 36.3173905299001,-75.92653656 36.1708908699,-75.9760360199999 36.3113785299,-75.7931518799999 36.0738487299,-76.03472898 36.4966582899,-75.8995819199999 36.4927711899001,-75.9453048 36.7124214099001)),((19.9999999254948 69.2884920803045,19.9469413800001 69.2561035299,19.9999999254948 69.291387867339,19.9999999254948 69.2884920803045)),((-79.9999999199999 72.2603798499001,-79.6855850999999 72.1344680499001,-79.9999999199999 72.2200643499,-79.9999999199999 72.2603798499001)),((20.4013844099999 79.5551185299,19.9999999254948 79.5527273971211,19.9999999254948 79.7443130896023,20.5460376300001 79.7562370299,21.4333638749999 79.7756137599001,22.3206901200001 79.7949904899,21.4006547700001 79.7368583199,20.4806194200001 79.6787261498999,21.1230507600001 79.5594176499001,20.4013844099999 79.5551185299)))', 'NASCO', 'North Atlantic Salmon Conservation Organization', 'No', 'Y'),('SRID=4326;MULTIPOLYGON(((19.9999999254948 30.7940114320602,19.9999999254948 30.9981082021234,19.9999999254948 31.4981081730197,19.9999999254948 31.5443249589044,20.15555184 31.1499976899,20.0576381400001 30.8508301299001,19.9999999254948 30.7940114320602)))', 'GFCM', 'General Fisheries Commission for the Mediterranean', 'No', 'Y'),('SRID=4326;MULTIPOLYGON(((-124.70237586 49.9978920099001,-124.70333868 49.9955444499,-124.70727852 49.9978920099001,-124.70237586 49.9978920099001)),((-123.87099528 49.9978920099001,-123.93471528 49.7761001499,-123.80638122 49.6435355499,-123.53576652 49.6971053499,-123.76525122 49.5097503699001,-123.93804168 49.7406844299001,-124.07000724 49.6415215299,-123.54027552 49.3823546499001,-123.16561884 49.7011719099,-123.23638908 49.3388824899001,-122.85513306 49.4381141499001,-122.91806034 49.2908287899,-123.24790962 49.2724952499001,-123.09375006 48.9994354299001,-123.07181544 48.9733809698999,-123.03431694 48.9994354299001,-122.7602997 48.9994354299001,-122.43666078 48.5904082899,-122.48624412 48.4527016299,-122.69873808 48.4947852699,-122.37818904 48.2847175299001,-122.53111272 48.2051316099001,-122.32055664 48.0741654099,-122.41832742 47.6722183899001,-122.3095779 47.4045715299,-122.8786011 47.0641555299001,-123.06256866 47.1559600299,-122.79750066 47.3952712899,-122.7489624 47.1892967499,-122.6191635 47.4205474299001,-122.54776758 47.2880478099,-122.5365219 47.5931816499,-122.68083186 47.6392288899,-122.4600372 47.7637404699,-122.56555176 47.9380416699001,-122.7287826 47.7475509099,-123.0841674 47.4430465299,-122.84062956 47.4473152299001,-123.14792628 47.3716545698999,-122.84929656 47.8313788899001,-122.74730676 47.7635421099001,-122.63027958 47.9158248099,-122.74943544 48.1539496899001,-123.34207914 48.1648883799001,-123.93472284 48.1758270698999,-124.71430968 48.3970756899001,-124.43923953 47.6717281599,-124.16416938 46.9463806298999,-124.07499702 47.0662460499001,-123.80124672 46.9767914499001,-124.09750368 46.8613815699001,-123.75946044 46.6856230899,-123.94082646 46.6366576898999,-123.94124604 46.3929787299001,-124.0387497 46.6566544299,-124.00000002 46.3236083499001,-123.16357422 46.1951904099,-123.9519501 46.1811064899,-123.8716125 45.5289801699,-123.99372099 44.6271228399,-124.11582948 43.7252655099001,-124.3024902 43.4005431699,-124.14278412 43.3716925899,-124.37853246 43.3190193699,-124.52443704 42.8661040899001,-124.28221518 42.1469382999001,-124.03999332 41.4277725099001,-124.14306636 40.8119354499001,-124.375824 40.4476966299,-124.00800984 39.9978908499,-123.77236176 39.7097130099,-123.70152276 38.9304123699,-123.1072236 38.4627723699001,-122.80776984 38.0949897099,-122.95639044 38.0580443499001,-122.50548558 37.8310395099001,-122.36528016 38.1555480099,-121.79152674 38.0683059699,-122.39340966 37.9591599099001,-122.00583654 37.4713744899,-122.48430642 37.7899246299001,-122.37902064 37.1999893899001,-121.85111232 36.9506874099,-121.86763002 36.3153381699001,-121.2429123 35.7273884199001,-120.61819458 35.1394386699,-120.60582732 34.5586013499001,-120.07374957 34.4863776998999,-119.54167182 34.4141540499,-119.1291732 34.1138839899,-118.53000648 34.0479125499001,-118.40001678 33.7498550499,-118.10818476 33.7569389499001,-117.48082734 33.3274917099,-117.12237552 32.5353316899,-116.84320074 31.9908313299,-116.60813136 31.8445109499,-116.67562866 31.5607605699001,-116.05548852 30.7965241299001,-115.87607955 30.2853784899001,-115.69667058 29.7742328499001,-114.94598382 29.3738880099,-114.50365065 28.9457283099,-114.06131748 28.5175686099001,-114.12855522 28.0236586899,-114.3076401 27.8659248699001,-113.98500828 27.7008322899001,-114.50278854 27.7737483999,-115.0205688 27.8466645099001,-114.98889168 27.7211074899001,-114.29385759 27.2303447799,-113.5988235 26.7395820699,-113.27525334 26.7813586299,-113.13098136 26.9599971099001,-113.21501166 26.7033329499001,-112.3783416 26.2549972299001,-112.1001435 25.7280540699001,-112.08750912 24.7561073499001,-111.495402 24.3576355299001,-110.90329488 23.9591637099001,-110.31118776 23.5606918899001,-109.9552842 22.8644428899,-109.48514562 23.1594409299,-109.40750118 23.4612483699,-109.80875394 23.9047212099,-110.2100067 24.3481940499001,-110.35417176 24.1158333099,-110.65750884 24.3338871099,-110.68625646 24.8963871099,-110.99299239 25.3383321999,-111.29972832 25.7802772899001,-111.56188194 26.7196503099,-111.84499368 26.9020804899001,-111.68750754 26.6005878699,-111.85861212 26.6619415899,-112.10264208 27.1016635899,-112.34667204 27.5413855899001,-112.7530593 27.8374976499001,-112.86319734 28.4185047099,-113.11590582 28.4864559699,-113.19493104 28.8138160299,-113.50875096 28.8962479299001,-113.66792298 29.2841644899,-114.10660557 29.6426372799,-114.54528816 30.0011100699,-114.70639032 30.9274978899001,-114.88069908 31.1516646699,-114.7866669 31.6641655299001,-115.0172424 31.9544295699001,-114.21750636 31.5222205899,-114.02084358 31.4976367299001,-113.97469338 31.6556931099,-113.58973692 31.3316650299,-113.09167476 31.2297191499,-113.08139046 30.6988869099001,-112.64743431 30.0024976899001,-112.21347816 29.3061084699,-112.1619492 28.9713878499,-111.63264471 28.4541654099001,-111.10334022 27.9369429699,-110.51136018 27.8549976099,-110.63459016 27.6623592699001,-110.52971658 27.3711090099,-109.94904324 27.0934696299,-109.75389102 26.6961097299001,-109.44431298 26.7155533298999,-109.10389716 26.2836075099,-109.23166656 26.3194428099001,-109.43749998 25.8202743699001,-109.14104466 25.5830536299001,-108.83493036 25.7936077299001,-109.10890206 25.5261077499001,-108.76528926 25.5393028299001,-108.39418038 25.1411095299001,-108.04251096 25.0736084499001,-108.22126014 25.0294418499,-108.10417176 24.8219414499,-107.9900055 24.9595107699,-107.995491 24.6490955499,-107.61803442 24.5172043298999,-107.72772984 24.4711264899,-107.32171248 24.1681317699,-106.91569512 23.8651370499001,-106.36806105 23.2645807299,-105.82042698 22.6640244099,-105.65027622 21.9812487699,-105.18945318 21.4374961299,-105.24138642 21.0647200898999,-105.53618628 20.7925681899,-105.3218079 20.7654837699001,-105.24472812 20.5746497499001,-105.67833714 20.3830546899,-105.35042196 19.8774995799,-105.02250678 19.3719444699,-104.49722673 19.1245823499,-103.97194668 18.8772202299,-103.35751344 18.2727775299001,-102.7639008 18.0955542999001,-102.17028816 17.9183310699,-101.9527893 17.9784697899,-101.43139644 17.5979842598999,-100.91000358 17.2174987299001,-100.29799269 16.9622211099001,-99.6859818 16.7069434899001,-98.7822266399999 16.5530548299001,-98.28750618 16.2625689399,-97.79278572 15.9720830499001,-97.1344528199999 15.8078465499,-96.47611992 15.6436100499,-95.66695404 15.9297208599001,-94.8577881599999 16.2158316699,-95.0626755 16.2721156899001,-94.85917668 16.4270820098999,-94.79153448 16.2600670299001,-94.57882686 16.3152066099,-94.6912536 16.1906910699,-94.06504818 16.0414962699,-94.4002915199999 16.2955531299,-93.93861384 16.0938872499,-93.35455317 15.6327419199001,-92.7704924999999 15.1715965899,-92.24678034 14.5505467299001,-91.8157577399999 14.2647171699001,-91.3847351399999 13.9788876099,-90.74056248 13.8623600199,-90.09638982 13.7458324299,-89.81854254 13.5357970899,-89.17680366 13.3674535299,-88.5350647799999 13.1991099699,-87.93778986 13.1563873299,-87.81558228 13.4053860099001,-87.3983383199999 13.4123592099001,-87.51181032 13.2772902699001,-87.30139158 12.9865989099,-87.58583838 13.0505552499,-87.6898269 12.9177075099,-87.02401218 12.3038254299,-86.3581974599999 11.6899433499,-85.6923827399999 11.0760612699001,-85.70500182 10.9330539699001,-85.9113921599999 10.8911094699001,-85.63250736 10.6216660299,-85.85751348 10.3694430099,-85.6566772199999 9.9049987299,-85.34500128 9.83277696990001,-85.1422271399999 9.58944324990006,-84.8972320199999 9.80749884989996,-85.23625176 10.2073602099,-84.7475738999999 9.96715164990002,-84.6186141599999 9.57944388989995,-84.1225394699999 9.30795051989998,-83.62646478 9.03645714990012,-83.73347478 8.58736038990008,-83.29112244 8.37027732989998,-83.4804230399999 8.70454686990007,-83.34403236 8.72805504990004,-82.89884952 8.0256691299,-82.72167966 8.31722070990014,-81.7386168599999 8.16249846990002,-81.4969483199999 7.69861038990007,-81.217926 7.6082635299,-81.05805972 7.87333296989993,-80.88250734 7.22027676990012,-80.43687432 7.24458270990004,-79.99042518 7.51888848990001,-80.4712600799999 8.21555418989999,-79.9527893399999 8.45083236990007,-79.6977844199999 8.86666494989993,-78.9791031 9.13854018990014,-79.05307014 8.9666652099001,-78.50723274 8.61694338990014,-78.41306304 8.34360978990009,-78.1075134 8.45583150990001,-77.77917486 8.15499876989998,-78.1350021 8.39927010990004,-78.4327850999999 8.04888732990014,-77.88972474 7.2288885099,-77.3404236 6.56736078990002,-77.48889156 6.18534660990014,-77.24084472 5.75819400990014,-77.53222656 5.51888850990008,-77.3477784 5.24055486990005,-77.38243866 4.34215218989999,-77.2423019999999 4.26090234989999,-77.43444822 4.03138830990008,-77.3662566599999 3.92597202989998,-77.1872254199999 4.06027704990004,-77.26541904 3.84013866989994,-77.0327148599999 3.91840248990002,-77.4069138 3.33739560990011,-77.78111274 2.75638872990004,-77.74542234 2.61041646990003,-78.5652922799999 2.42916636990009,-78.6868743599999 2.19347184989999,-78.5875015799999 1.7671524699,-78.8449401 1.8365277099,-79.0502853599999 1.6318054299,-78.80972292 1.43777766990007,-78.9994506599999 1.17222204990003,-79.52427675 1.00173603989998,-80.0491028399999 0.831250029899991,-80.0694504 0.060416589899944,-80.50118256 -0.372569450100002,-80.2697219999999 -0.625381970100023,-80.43326568 -0.569513930100015,-80.5760497799999 -0.897708470099985,-80.9127883799999 -1.03652789009999,-80.7309799199999 -1.93791677009995,-80.9766693 -2.18500043009999,-80.8900146 -2.3205557300999,-80.2522278 -2.73319457010001,-80.02548972 -2.34215285009992,-80.0647277399999 -2.57333351009999,-79.90583796 -2.55930575010001,-79.7629242599999 -2.01402779009993,-79.8441010199999 -2.37819461009997,-79.72681428 -2.59694465009994,-79.89222726 -3.05888891009988,-80.3404236599999 -3.38051705009991,-80.81462484 -3.84709883009992,-81.28882602 -4.31368061009988,-81.3551482799999 -4.68750047010002,-81.0850068 -5.01777833009999,-81.20382696 -5.20444481009991,-80.8728560999999 -5.64458369009998,-80.93903346 -5.86013945010001,-81.15153498 -5.85569471009995,-81.1747283399999 -6.08666711009994,-80.57736963 -6.42763949009992,-79.9800109199999 -6.76861187010002,-79.67626191 -7.31069519009998,-79.3725129 -7.85277851009994,-78.99459084 -8.21965415009998,-78.66580779 -8.89828259009994,-78.3370247399999 -9.57691103010001,-78.00824169 -10.2555394701,-77.67945864 -10.9341679101,-77.6477127599999 -11.2978478301,-77.3047332 -11.5109730500999,-77.12305452 -12.0775070301,-76.65999984 -12.7479209900999,-76.1969451599999 -13.4183349501,-76.39479828 -13.8841677501,-75.93389136 -14.6518754901,-75.4926415199999 -15.0589241600999,-75.05139168 -15.4659728300999,-74.3399613 -15.8332233021,-73.62853092 -16.2004737740999,-72.9171005399999 -16.5677242461,-72.20567016 -16.9349747181,-71.49423978 -17.3022251901,-71.3016815399999 -17.7116699301,-70.85358432 -18.0301074801,-70.4054871 -18.3485450301,-70.3174514849999 -19.1178216501,-70.22941587 -19.8870982701,-70.141380255 -20.6563748901,-70.05334464 -21.4256515101,-70.16973111 -22.1562643101,-70.2861175799999 -22.8868771101,-70.57472238 -23.0669478501,-70.62209316 -23.4996529101,-70.3911132 -23.5619469500999,-70.48722834 -24.1390295601,-70.5833434799999 -24.7161121701,-70.45056144 -25.3654880900999,-70.7312545199999 -25.8159046101,-70.6380614999999 -26.3013916100999,-70.7853545999999 -26.9888209700999,-70.9666747199999 -27.1791686300999,-70.91389458 -27.6244468701,-71.21208951 -28.2597236601,-71.51028444 -28.8950004500999,-71.39996721 -29.4023275701,-71.2896499799999 -29.9096546901,-71.405838 -30.1858348100999,-71.6455688399999 -30.2736128901,-71.70333858 -30.7616692101,-71.57500452 -31.7133350601,-71.44667046 -32.6650009101,-71.75625606 -33.1054191501,-71.65501398 -33.6625061900999,-72.0168074999999 -34.1443786100999,-72.21083832 -35.0852814501,-72.6477813 -35.5740318501,-72.5914000799999 -35.8025017101,-72.79605108 -35.9750709501,-72.98153694 -36.6990318501,-73.12945554 -36.6825028101,-73.2037582799999 -37.1618080701,-73.58687586 -37.1525688501,-73.67709348 -37.3472939301,-73.66792302 -37.7268066501,-73.4549407199999 -38.0571556100999,-73.51861572 -38.5372238900999,-73.22028354 -39.3513221301,-73.37806704 -39.8547286700999,-73.7148666599999 -39.9816704301,-73.71580536 -39.9978909501,-73.7454223799999 -40.5096550700999,-73.99431612 -40.9669456101,-73.87111656 -41.4791717901,-73.4977188 -41.5199317101,-73.74555972 -41.7543754101,-73.5105591 -41.8052826501,-73.12918086 -41.7511138101,-72.93583674 -41.4832687701,-72.4758452999999 -41.6833342700999,-72.3100127399999 -41.4358367900999,-72.3505707 -41.6525040501,-72.8680572 -41.9325026901,-72.4616699399999 -41.9734764501,-72.4214629799999 -42.4459724901,-72.60438546 -42.1843757901,-72.8490295799999 -42.2888222301,-72.53979498 -42.5541686901,-72.85694886 -42.5668106300999,-72.7452849599999 -43.0483397901,-73.0817413199999 -43.3143081501,-73.04209902 -43.7338372100999,-72.84584052 -43.7766723501,-73.28208924 -44.1780624501,-72.61389162 -44.4727782501,-72.7661133 -44.7533339901,-73.14330294 -44.9449807101,-73.3752822599999 -44.9679184701,-73.3054885199999 -45.1477471100999,-73.46180718 -45.2528534301,-73.23717492 -45.3129043101,-73.5146636399999 -45.4556961501,-73.57987206 -45.7782669500999,-73.18424232 -45.6683387901,-73.6651457999999 -45.9804877700999,-73.687851 -46.3150024701,-73.4255675999999 -46.0744475901,-73.83125304 -46.5780602301,-73.99382778 -46.5593108900999,-73.7668152 -46.2962531301,-73.8922959 -46.1387520501,-74.0173645799999 -46.2135085701,-73.86306768 -46.3475036301,-74.48450472 -46.1840134101,-74.15915688 -46.1233787900999,-74.1107024999999 -45.8358345500999,-74.3686142399999 -45.7923659900999,-74.6748657 -45.8268050301,-74.82167046 -46.1127852501,-75.2631301799999 -46.3736171301,-75.7045898999999 -46.6344490101,-75.4883422199999 -46.9558334301,-75.3426513 -46.8788224101,-75.59806824 -46.7030563701,-74.9452896 -46.4427108501,-75.00862116 -46.7519454501,-74.50403598 -46.9030570700999,-74.61862182 -46.7855606301,-74.33944704 -46.7661132501,-73.9382706 -47.0344466300999,-74.1052855799999 -47.3475037101,-74.31959538 -47.2198639101,-74.52812952 -47.4343108700999,-74.3050079999999 -47.6033362701,-74.06195076 -47.5397262500999,-74.29862214 -47.6808358101,-74.1759109199999 -47.7485428100999,-74.54028312 -47.5483360101,-74.74139406 -47.7114601101,-73.9344483 -47.8469466501,-73.7712554399999 -47.7865334301,-73.72628784 -47.5313911701,-73.71361548 -47.7801437901,-73.22660064 -48.0030250101,-73.6542054 -47.9090995701,-73.4865341399999 -48.1229210301,-73.27375794 -48.0933380301,-73.55334474 -48.2458343901,-73.77181236 -48.0297240501,-74.3277816 -48.0050010501,-74.21520996 -48.2318077100999,-74.34959418 -48.0225028100999,-74.6318131199999 -48.0005570301,-74.0211181199999 -48.4136123901,-74.04667668 -48.5477829501,-74.39757534 -48.6119461101,-74.06465148 -48.7436828901,-74.4501418199999 -48.8156967501,-74.3739013799999 -49.4275054101,-74.21598054 -49.5322227501,-74.04333498 -49.0219497501,-73.83118446 -49.0322264901,-74.02890006 -49.0930556901,-73.84785462 -49.3465995501,-74.0683364399999 -49.2627830901,-74.11083984 -49.4830589901,-73.9972533599999 -49.5612410900999,-74.2432708799999 -49.5711823101,-74.2991027399999 -49.7391014301,-74.0633392799999 -49.7155570700999,-74.32487496 -49.8677825301,-74.0517323604454 -49.9978921036073,-74.3371174799999 -49.9978921050494,-74.37084192 -49.9920845900999,-74.36098998 -49.9978921052304,-74.4999999382992 -49.9978921052304,-74.6238204 -49.9978921052304,-74.4655685399999 -49.9322243301,-74.4200058599999 -49.6759757900999,-74.59750368 -49.6891708701,-74.44334412 -49.3066712301,-74.54122164 -48.7119789500999,-75.04903404 -48.7963942700999,-74.82722472 -49.0958404701,-74.9180602799999 -49.3361129301,-75.31746678 -49.2663191900999,-75.1675109399999 -49.5025024101,-75.3840331199999 -49.2820853901,-75.4595870399999 -49.4030608700999,-75.0172271399999 -49.8994445301,-75.00598146 -49.5111121701,-74.65563198 -49.3607673500999,-74.8848724199999 -49.5372238701,-74.91139218 -49.9292411901,-74.71430964 -49.9050025701,-74.8518318 -49.9978921052304,-75.0000000768334 -49.9978921052304,-75.5000000477296 -49.9978921052304,-75.8364259799999 -49.9978921052304,-76.0000000186258 -49.9978921052304,-76.4999999895219 -49.9978921052304,-76.8210201599999 -49.9978921052304,-76.9999999604182 -49.9978921052304,-77.4999999313143 -49.9978921052304,-77.80561434 -49.9978921052304,-78.0000000698485 -49.9978921052304,-78.5000000407447 -49.9978921052304,-78.79020852 -49.9978921052304,-79.0000000116409 -49.9978921052304,-79.4999999825371 -49.9978921052304,-79.7748027 -49.9978921052304,-79.9999999534331 -49.9978921052304,-80.4999999243294 -49.9978921052304,-80.7593968806772 -49.9978921036072,-81.0000000628636 -49.997892101984,-81.5000000337598 -49.997892101984,-81.7442089415999 -49.997892101984,-82.0000000046559 -49.997892101984,-82.4999999755522 -49.997892101984,-82.7290210031999 -49.997892101984,-82.9999999464483 -49.997892101984,-83.4999999173443 -49.997892101984,-83.7138330648 -49.997892101984,-84.0000000558787 -49.997892101984,-84.5000000267749 -49.997892101984,-84.6986451264 -49.997892101984,-84.9999999976711 -49.997892101984,-85.4999999685672 -49.997892101984,-85.6834571879999 -49.997892101984,-85.9999999394634 -49.997892101984,-86.5000000779975 -49.997892101984,-86.6682692496 -49.997892101984,-87.0000000488938 -49.997892101984,-87.5000000197899 -49.997892101984,-87.6530813112 -49.997892101984,-87.9999999906861 -49.997892101984,-88.4999999615823 -49.997892101984,-88.6378933728 -49.997892101984,-88.9999999324784 -49.997892101984,-89.5000000710127 -49.997892101984,-89.6227054343999 -49.997892101984,-90.0000000419089 -49.997892101984,-90.5000000128051 -49.997892101984,-90.607517496 -49.997892101984,-90.9999999837012 -49.997892101984,-91.4999999545973 -49.997892101984,-91.5923295576 -49.997892101984,-91.9999999254935 -49.997892101984,-92.5000000640277 -49.997892101984,-92.5771416192 -49.997892101984,-93.0000000349239 -49.997892101984,-93.5000000058201 -49.997892101984,-93.5619536807999 -49.997892101984,-93.9999999767163 -49.997892101984,-94.4999999476125 -49.997892101984,-94.5467657423999 -49.997892101984,-94.9999999185086 -49.997892101984,-95.5000000570429 -49.997892101984,-95.531577804 -49.997892101984,-96.0000000279391 -49.997892101984,-96.4999999988352 -49.997892101984,-96.5163898656 -49.997892101984,-96.9999999697314 -49.997892101984,-97.4999999406274 -49.997892101984,-97.5012019271999 -49.997892101984,-98.0000000791619 -49.997892101984,-98.4860139888 -49.997892101984,-98.500000050058 -49.997892101984,-99.0000000209542 -49.997892101984,-99.4708260504 -49.997892101984,-99.4999999918504 -49.997892101984,-99.9999999627465 -49.997892101984,-100.455638112 -49.997892101984,-100.499999933643 -49.997892101984,-101.000000072177 -49.997892101984,-101.4404501736 -49.997892101984,-101.500000043073 -49.997892101984,-102.000000013969 -49.997892101984,-102.4252622352 -49.997892101984,-102.499999984865 -49.997892101984,-102.999999955762 -49.997892101984,-103.4100742968 -49.997892101984,-103.499999926658 -49.997892101984,-104.000000065192 -49.997892101984,-104.3948863584 -49.997892101984,-104.500000036088 -49.997892101984,-105.000000006984 -49.997892101984,-105.37969842 -49.997892101984,-105.49999997788 -49.997892101984,-105.999999948777 -49.997892101984,-106.3645104816 -49.997892101984,-106.499999919673 -49.997892101984,-107.000000058207 -49.997892101984,-107.3493225432 -49.997892101984,-107.500000029103 -49.997892101984,-107.999999999999 -49.997892101984,-108.3341346048 -49.997892101984,-108.499999970896 -49.997892101984,-108.999999941792 -49.997892101984,-109.3189466664 -49.997892101984,-109.500000080326 -49.997892101984,-110.000000051222 -49.997892101984,-110.303758728 -49.997892101984,-110.500000022118 -49.997892101984,-110.999999993015 -49.997892101984,-111.2885707896 -49.997892101984,-111.499999963911 -49.997892101984,-111.999999934807 -49.997892101984,-112.2733828512 -49.997892101984,-112.500000073341 -49.997892101984,-113.000000044237 -49.997892101984,-113.2581949128 -49.997892101984,-113.500000015133 -49.997892101984,-113.99999998603 -49.997892101984,-114.2430069744 -49.997892101984,-114.499999956926 -49.997892101984,-114.999999927822 -49.997892101984,-115.227819036 -49.997892101984,-115.500000066356 -49.997892101984,-116.000000037252 -49.997892101984,-116.2126310976 -49.997892101984,-116.500000008149 -49.997892101984,-116.999999979045 -49.997892101984,-117.1974431592 -49.997892101984,-117.499999949941 -49.997892101984,-117.999999920837 -49.997892101984,-118.1822552208 -49.997892101984,-118.500000059371 -49.997892101984,-119.000000030267 -49.997892101984,-119.1670672824 -49.997892101984,-119.500000001164 -49.997892101984,-119.99999997206 -49.997892101984,-120.151879344 -49.997892101984,-120.499999942956 -49.997892101984,-121.00000008149 -49.997892101984,-121.1366914056 -49.997892101984,-121.500000052386 -49.997892101984,-122.000000023283 -49.997892101984,-122.1215034672 -49.997892101984,-122.499999994179 -49.997892101984,-122.999999965075 -49.997892101984,-123.1063155288 -49.997892101984,-123.499999935971 -49.997892101984,-124.000000074505 -49.997892101984,-124.0911275904 -49.997892101984,-124.500000045401 -49.997892101984,-125.000000016298 -49.997892101984,-125.075939652 -49.997892101984,-125.499999987194 -49.997892101984,-125.99999995809 -49.997892101984,-126.0607517136 -49.997892101984,-126.499999928986 -49.997892101984,-127.00000006752 -49.997892101984,-127.0455637752 -49.997892101984,-127.500000038416 -49.997892101984,-128.000000009313 -49.997892101984,-128.0303758368 -49.997892101984,-128.499999980209 -49.997892101984,-128.999999951105 -49.997892101984,-129.0151878984 -49.997892101984,-129.499999922001 -49.997892101984,-129.99999996 -49.997892101984,-130.000000060535 -49.997892101984,-130.500000031432 -49.997892101984,-130.999999959 -49.997892101984,-131.000000002328 -49.997892101984,-131.499999973224 -49.997892101984,-131.999999946433 -49.997892101984,-132.500000082654 -49.997892101984,-132.999999957 -49.997892101984,-133.00000005355 -49.997892101984,-133.500000024447 -49.997892101984,-133.999999956 -49.997892101984,-133.999999995343 -49.997892101984,-134.499999966239 -49.997892101984,-134.999999940113 -49.997892101984,-135.500000075669 -49.997892101984,-135.999999954 -49.997892101984,-136.000000046566 -49.997892101984,-136.500000017462 -49.997892101984,-136.999999953 -49.997892101984,-136.999999988358 -49.997892101984,-137.499999959254 -49.997892101984,-137.99999993015 -49.997892101984,-137.999999952 -49.997892101984,-138.500000068684 -49.997892101984,-138.999999951 -49.997892101984,-139.000000039581 -49.997892101984,-139.500000010477 -49.997892101984,-139.99999995 -49.997892101984,-139.999999981373 -49.997892101984,-140.499999952269 -49.997892101984,-140.999999923165 -49.997892101984,-140.999999949 -49.997892101984,-141.500000061699 -49.997892101984,-141.999999948 -49.997892101984,-142.000000032596 -49.997892101984,-142.500000003492 -49.997892101984,-142.999999947 -49.997892101984,-142.999999974388 -49.997892101984,-143.499999945284 -49.997892101984,-143.999999946 -49.997892101984,-144.000000083818 -49.997892101984,-144.500000054715 -49.997892101984,-144.999999945 -49.997892101984,-145.000000025611 -49.997892101984,-145.499999996507 -49.997892101984,-145.999999944 -49.997892101984,-145.999999967403 -49.997892101984,-146.499999938299 -49.997892101984,-146.999999943 -49.997892101984,-147.000000076834 -49.997892101984,-147.50000004773 -49.997892101984,-147.999999942 -49.997892101984,-148.000000018626 -49.997892101984,-148.499999989522 -49.997892101984,-148.999999950709 -49.997892101984,-149.499999931314 -49.997892101984,-149.99999994 -49.997892101984,-149.99999994 -49.0888010955546,-149.99999994 -48.1797100810091,-149.99999994 -47.2706190664636,-149.99999994 -46.3615280519182,-149.99999994 -45.4524370373727,-149.99999994 -44.5433460228273,-149.99999994 -43.6342550082818,-149.99999994 -42.7251639937363,-149.99999994 -41.8160729791909,-149.99999994 -40.9069819646454,-149.99999994 -39.9978909501,-149.99999994 -39.0478190386714,-149.99999994 -38.0977471272429,-149.99999994 -37.1476752158142,-149.99999994 -36.1976033043857,-149.99999994 -35.2475313929571,-149.99999994 -34.2974594815286,-149.99999994 -33.3473875701,-149.99999994 -32.3973156586715,-149.99999994 -31.4472437472427,-149.99999994 -30.4971718358142,-149.99999994 -29.5470999243856,-149.99999994 -28.5970280129571,-149.99999994 -27.6469561015285,-149.99999994 -26.6968841901,-149.99999994 -25.7397878215285,-149.99999994 -24.7826914529571,-149.99999994 -23.8255950843857,-149.99999994 -22.8684987158142,-149.99999994 -21.9114023472429,-149.99999994 -20.9543059786714,-149.99999994 -19.9972096101,-149.99999994 -19.0401132415284,-149.99999994 -18.0830168729572,-149.99999994 -17.1259205043856,-149.99999994 -16.1688241358143,-149.99999994 -15.2117277672428,-149.99999994 -14.2546313986714,-149.99999994 -13.2975350301,-149.99999994 -12.3404386615286,-149.99999994 -11.3833422929571,-149.99999994 -10.4262459243857,-149.99999994 -9.46914955581428,-149.99999994 -8.51205318724283,-149.99999994 -7.55495681867143,-149.99999994 -6.59786045009997,-149.99999994 -5.73180749009993,-149.99999994 -4.86575453009993,-149.99999994 -3.9997015701,-149.99999994 -2.99977605509997,-149.99999994 -1.9998505401,-149.99999994 -0.999925025099969,-149.99999994 4.89899946387595e-07,-149.99999994 0.999947748900127,-149.99999994 1.99989500790008,-149.99999994 2.99984226690003,-149.99999994 3.99978952589998,-149.99999994 4.99973678489999,-149.99999994 5.99968404390012,-149.99999994 6.99963130290007,-149.99999994 7.99957856190002,-149.99999994 8.99952582090003,-149.99999994 9.99947307989999,-149.99999994 10.9994203388999,-149.99999994 11.9993675979001,-149.99999994 12.9993148569001,-149.99999994 13.9992621159,-149.99999994 14.9992093749,-149.99999994 15.9991566339,-149.99999994 16.9991038929001,-149.99999994 17.9990511519001,-149.99999994 18.9989984109,-149.99999994 19.9989456699,-149.99999994 20.9988929289,-149.99999994 21.9988401878999,-149.99999994 22.9987874469001,-149.99999994 23.9987347059001,-149.99999994 24.9986819649,-149.99999994 25.9986292239,-149.99999994 26.9985764829001,-149.99999994 27.9985237419001,-149.99999994 28.9984710009001,-149.99999994 29.9984182599,-149.99999994 30.9983655189,-149.99999994 31.9983127779001,-149.99999994 32.9982600369001,-149.99999994 33.9982072959001,-149.99999994 34.9981545549001,-149.99999994 35.9981018139,-149.99999994 36.9980490729,-149.99999994 37.9979963319001,-149.99999994 38.9979435909001,-149.99999994 39.9978908499,-149.99999994 40.9069818644455,-149.99999994 41.816072878991,-149.99999994 42.7251638935364,-149.99999994 43.6342549080819,-149.99999994 44.5433459226273,-149.99999994 45.4524369371728,-149.99999994 46.3615279517183,-149.99999994 47.2706189662637,-149.99999994 48.1797099808092,-149.99999994 49.0888009953545,-149.99999994 49.9978920099001,-149.006325678261 49.9978920099001,-148.012651416522 49.9978920099001,-147.018977154783 49.9978920099001,-146.025302893043 49.9978920099001,-145.031628631304 49.9978920099001,-144.037954369565 49.9978920099001,-143.044280107826 49.9978920099001,-142.050605846087 49.9978920099001,-141.056931584348 49.9978920099001,-140.063257322609 49.9978920099001,-139.06958306087 49.9978920099001,-138.07590879913 49.9978920099001,-137.082234537391 49.9978920099001,-136.088560275652 49.9978920099001,-135.094886013913 49.9978920099001,-134.101211752174 49.9978920099001,-133.107537490435 49.9978920099001,-132.113863228696 49.9978920099001,-131.120188966957 49.9978920099001,-130.126514705217 49.9978920099001,-129.132840443478 49.9978920099001,-128.139166181739 49.9978920099001,-127.14549192 49.9978920099001,-127.12680054 49.8546141699001,-126.8044434 49.9091568699,-126.67939758 49.8793717299001,-126.58764654 49.7027703099001,-126.0897903 49.6603354899,-126.56791692 49.5804100899,-126.535698 49.3740845499,-125.89965054 49.4228362899,-126.02194218 49.2655524699001,-125.60954292 49.2072792699001,-125.7680664 49.0986022899,-125.50473018 48.9190216899,-124.93694304 48.9880446699,-124.8070068 49.2356146899,-124.84333044 49.0157585498999,-125.1847152 48.7984657898999,-125.10152442 48.7248497499,-124.34242635 48.5129757099,-123.58332828 48.3011016699,-123.29298396 48.4120713099001,-123.61801527 48.8115883299,-123.94304658 49.2111053499,-124.78943628 49.4641570899,-125.20215954 49.9978920099001,-125.17831206 49.9978920099001,-125.16854094 49.9823493699,-125.16845238 49.9978920099001,-124.72816554 49.9978920099001,-124.40888982 49.7634697299,-124.0351029 49.9180107099,-123.92430876 49.8301314699,-123.99653448 49.9978920099001,-123.87099528 49.9978920099001),(-122.5883331 48.3922194699001,-122.75680536 48.2311020099,-122.36999508 47.9213828499,-122.66388702 48.2447128899001,-122.5058364 48.3074913099001,-122.5883331 48.3922194699001),(-126.76566312 49.8722381499001,-126.76872258 49.8786162699001,-126.7707519 49.8770866299,-126.96736914 49.7290191699,-126.63305658 49.5960997899,-126.76566312 49.8722381499001),(-115.3243179 28.1397208899,-115.17945858 28.0247192499,-115.24083714 28.3705519899001,-115.3243179 28.1397208899),(-81.85334778 7.44666582989998,-81.5901413399999 7.32986022990002,-81.73890684 7.63916304990011,-81.85334778 7.44666582989998),(-91.4360427 -0.0179167100999962,-91.0836792 -0.589757090100022,-91.4929275599999 -0.91875011009995,-91.1650086 -1.03263899009994,-90.9265975199999 -0.967500050099943,-90.81083682 -0.732500150100009,-91.25535582 -5.00999135510938e-08,-91.39181526 0.124722129900078,-91.6048659599999 -0.0102776900999402,-91.4360427 -0.0179167100999962),(-90.8265304799999 -0.337916750100021,-90.605835 -0.375555650099955,-90.5988922199999 -0.231666710099944,-90.834732 -0.176944550099904,-90.8265304799999 -0.337916750100021),(-90.53958888 -0.691944530099931,-90.3386230199999 -0.781389050099961,-90.1870956 -0.546250190100011,-90.48806766 -0.528333350099956,-90.53958888 -0.691944530099931),(-89.2572327 -0.689444510099861,-89.61750792 -0.897916730099951,-89.5333404599999 -0.95861111009998,-89.2572327 -0.689444510099861),(-91.4989014 -0.496111190100009,-91.4690322 -0.249444410099898,-91.6638946199999 -0.316111190100003,-91.4989014 -0.496111190100009),(-80.20806876 -2.72611139009996,-80.2113953399999 -3.03666683009999,-79.9027862399999 -2.72208353009995,-80.20806876 -2.72611139009996),(-149.59057626 -17.7113914701,-149.17919922 -17.8708343901,-149.35916142 -17.5344505701,-149.63250726 -17.5499991501,-149.59057626 -17.7113914701),(-128.34590148 -24.3385142901,-128.31240852 -24.4055194700999,-128.28585816 -24.4016037501,-128.31022638 -24.3258971901,-128.34590148 -24.3385142901),(-74.38917546 -43.2672271700999,-73.86646266 -43.3981971501,-73.71473688 -43.3702850901,-73.78021242 -43.1274299901,-73.4916076199999 -43.1158333101,-73.65209202 -42.9354171500999,-73.50063318 -42.8003501901,-73.8209762999999 -42.5143127301,-73.3802796 -42.2850037101,-73.50334164 -41.8415337501,-74.06181342 -41.8134766100999,-74.15715789 -42.4025726901,-74.2525023599999 -42.9916687701,-74.38917546 -43.2672271700999),(-74.1400145999999 -43.8108367101,-73.9927825199999 -43.9400023701,-73.78973388 -43.8216705501,-74.1400145999999 -43.8108367101),(-72.9980622 -44.3672257101,-73.4629897799999 -44.6461142900999,-73.2069549 -44.8004189301,-73.4080658399999 -44.8238907501,-73.2832412399999 -44.9354934501,-73.22376258 -44.9145430701,-72.8704070999999 -44.7380523501,-72.9786834 -44.6080588700999,-72.71833806 -44.5352821701,-72.9980622 -44.3672257101),(-73.9120940999999 -44.9554214301,-74.1683348999999 -44.8666686501,-74.27723688 -45.0308380101,-73.9120940999999 -44.9554214301),(-73.84667976 -45.0027846501,-74.2390365599999 -45.0755577501,-73.73139948 -45.2844466701,-73.84667976 -45.0027846501),(-73.7844542999999 -45.3119506700999,-74.08237464 -45.2108383701,-74.1438903599999 -45.3138961101,-74.00056464 -45.3572235501,-73.7844542999999 -45.3119506700999),(-74.26306152 -44.8075028301,-73.8740997 -44.6934776901,-74.3991699599999 -44.6283340701,-74.26306152 -44.8075028301),(-73.8255614399999 -44.5847243901,-73.74555972 -44.7436141701,-73.5914001599999 -44.7120857301,-73.69236756 -44.5436134701,-73.8255614399999 -44.5847243901),(-73.7040328199999 -45.4447249700999,-73.78195194 -45.6702804501,-73.6525115999999 -45.7611160101,-73.5820236 -45.4709777901,-73.7040328199999 -45.4447249700999),(-74.22889716 -45.6730574901,-74.30250546 -45.4752806901,-74.4466705199999 -45.4875030500999,-74.4586182 -45.7791671301,-74.22889716 -45.6730574901),(-74.95195014 -46.0098648501,-75.0713958 -46.0974578900999,-74.80334466 -46.0325012901,-74.72230524 -45.8034057501,-75.1041793799999 -45.8761138701,-74.95195014 -46.0098648501),(-74.2930603199999 -47.8047256700999,-74.4975127799999 -47.9141692701,-74.3175048599999 -47.9838944301,-73.8002853 -47.8912543701,-74.2930603199999 -47.8047256700999),(-74.88751212 -48.0702820101,-74.83029174 -47.8079222901,-75.26493828 -48.0301398501,-74.88751212 -48.0702820101),(-75.08361816 -48.5083390101,-75.33584586 -48.0186157100999,-75.5102921399999 -48.0340309101,-75.5505676799999 -48.3130607900999,-75.34722906 -48.2979888501,-75.5570907 -48.4061164700999,-75.2950134 -48.4366684100999,-75.20100408 -48.6997909701,-75.08361816 -48.5083390101),(-75.3200072999999 -48.6022262901,-75.3402099599999 -48.4359093501,-75.6213989399999 -48.4465293500999,-75.6497345399999 -48.6186142101,-75.4412536799999 -48.6168098900999,-75.60472104 -48.6888809900999,-75.3200072999999 -48.6022262901),(-75.25376136 -48.0722236701,-75.0255584399999 -48.4447250301,-74.8039627799999 -48.1827812901,-75.25376136 -48.0722236701),(-74.56639104 -48.1209754101,-74.5255584 -48.3402785901,-74.3666763599999 -48.2584723701,-74.56639104 -48.1209754101),(-74.4847259399999 -48.5958404301,-74.73875436 -48.1238937501,-74.71042632 -48.4563942501,-75.0314025 -48.5111122701,-74.62301634 -48.6921845301,-74.4847259399999 -48.5958404301),(-75.65084838 -48.9005584701,-75.4908751799999 -49.0206146900999,-75.3361435799999 -48.9604415900999,-75.25778202 -49.0819473501,-75.31445304 -48.8636168900999,-75.65084838 -48.9005584701),(-74.9759751 -49.0298652501,-75.23632818 -49.1361122301,-74.95223994 -49.2780227901,-74.9759751 -49.0298652501),(-75.28542336 -49.0968094100999,-75.30442812 -49.0604209701,-75.34222416 -48.9880600701,-75.3887557799999 -49.0215073101,-75.65640264 -49.2138938301,-75.5141754599999 -49.2719497700999,-75.28542336 -49.0968094100999),(-75.55959324 -49.8344459901,-75.17945862 -49.9047241100999,-75.35972592 -49.6241683701,-75.6034774199999 -49.6615333101,-75.55959324 -49.8344459901),(-73.9094544 -46.0186119500999,-73.77305598 -46.2119445501,-73.68333444 -46.0766677101,-73.9094544 -46.0186119500999),(-112.296402 28.7563857699001,-112.29000858 29.2374993099,-112.45694724 29.1861076899001,-112.56362154 28.8811092099,-112.296402 28.7563857699001),(-113.13971712 29.0177765499,-113.58243558 29.5859699499,-113.59221642 29.4258307899001,-113.13971712 29.0177765499)))', 'IATTC', 'Inter-American Tropical Tuna Commission', 'Yes', 'Y'),('SRID=4326;MULTIPOLYGON(((-149.99999994 59.7825535898999,-149.99999994 59.7752074299,-150.02778618 59.7963142299,-149.99999994 59.7825535898999)),((176.91607674 65.0824890699,177.60578922 64.7204055699,178.177536 64.7018928399,178.74928278 64.6833801099,178.52221674 64.5880432898999,179.26110477 64.8284747799001,179.9999928 65.0689062699001,179.999992857073 64.0781544669731,179.999992914146 63.0874026640464,179.99999297122 62.0966508611196,179.999993028293 61.1058990581927,179.999993085366 60.1151472552659,179.999993142439 59.124395452339,179.999993199512 58.1336436494122,179.999993256585 57.1428918464854,179.999993313659 56.1521400435585,179.999993370732 55.1613882406318,179.999993427805 54.1706364377048,179.999993484878 53.1798846347781,179.999993541951 52.1891328318513,179.999993599024 51.1983810289244,179.999993656098 50.2076292259976,179.999993713171 49.2168774230709,179.999993770244 48.2261256201439,179.999993827317 47.2353738172172,179.99999388439 46.2446220142902,179.999993941464 45.2538702113634,179.999993998537 44.2631184084367,179.99999405561 43.2723666055098,179.999994112683 42.281614802583,179.999994169756 41.290862999656,179.999994226829 40.3001111967293,179.999994283903 39.3093593938025,179.999994340976 38.3186075908756,179.999994398049 37.3278557879489,179.999994455122 36.3371039850219,179.999994512195 35.3463521820951,179.999994569268 34.3556003791684,179.999994626342 33.3648485762415,179.999994683415 32.3740967733147,179.999994740488 31.3833449703878,179.999994797561 30.392593167461,179.999994854634 29.4018413645342,179.999994911707 28.4110895616073,179.99999496878 27.4203377586805,179.999995025854 26.4295859557536,179.999995082927 25.4388341528269,179.99999514 24.4480823499001,179.999995197073 23.4573305469731,179.999995254146 22.4665787440464,179.99999531122 21.4758269411196,179.999995368293 20.4850751381927,179.999995425366 19.494323335266,179.999995482439 18.503571532339,179.999995539512 17.5128197294122,179.999995596585 16.5220679264855,179.999995653659 15.5313161235586,179.999995710732 14.5405643206318,179.999995767805 13.5498125177049,179.999995824878 12.5590607147781,179.999995881951 11.5683089118511,179.999995939024 10.5775571089244,179.999995996098 9.58680530599764,179.999996053171 8.59605350307072,179.999996110244 7.60530170014397,179.999996167317 6.61454989721716,179.99999622439 5.62379809429024,179.999996281463 4.63304629136348,179.999996338537 3.64229448843656,179.99999639561 2.65154268550981,179.999996452683 1.66079088258306,179.999996509756 0.670039079656078,179.999996566829 -0.320712723270731,179.999996623903 -1.3114645261976,179.999996680976 -2.30221632912435,179.999996738049 -3.29296813205121,179.999996795122 -4.28371993497808,179.999996852195 -5.27447173790489,179.999996909268 -6.26522354083164,179.999996966342 -7.25597534375851,179.999997023415 -8.24672714668537,179.999997080488 -9.23747894961213,179.999997137561 -10.228230752539,179.999997194634 -11.2189825554658,179.999997251707 -12.2097343583927,179.999997308781 -13.2004861613195,179.999997365854 -14.1912379642463,179.999997422927 -15.181989767173,179.99999748 -16.1727415701,179.49095028 -16.3212302301,178.98190308 -16.4697188901,178.49217222 -16.8044452701,178.74719244 -17.0119476501,179.27046198 -16.6913185101,179.33190912 -16.8022231700999,179.90011602 -16.7701415901,179.93864448 -16.4679489501,179.4814911 -16.6969433301,179.99999748 -16.1727433701,179.999997537273 -17.1687752764636,179.999997594545 -18.1648071828272,179.999997651818 -19.1608390891909,179.999997709091 -20.1568709955545,179.999997766364 -21.1529029019182,179.999997823636 -22.1489348082818,179.999997880909 -23.1449667146455,179.999997938182 -24.140998621009,179.999997995455 -25.1370305273726,179.999998052727 -26.1330624337364,179.99999811 -27.1290943400999,179.999998167273 -28.1251262464637,179.999998224545 -29.1211581528272,179.999998281818 -30.1171900591909,179.999998339091 -31.1132219655545,179.999998396364 -32.109253871918,179.999998453636 -33.1052857782818,179.999998510909 -34.1013176846454,179.999998568182 -35.0973495910091,179.999998625455 -36.0933814973727,179.999998682727 -37.0894134037363,179.99999874 -38.0854453100999,179.999998797273 -39.0814772164636,179.999998854545 -40.0775091228272,179.999998911818 -41.0735410291908,179.999998969091 -42.0695729355546,179.999999026364 -43.0656048419181,179.999999083636 -44.0616367482818,179.999999140909 -45.0576686546454,179.999999198182 -46.0537005610091,179.999999255455 -47.0497324673727,179.999999312727 -48.0457643737362,179.99999937 -49.0417962801,179.999999427273 -50.0378281864636,179.999999484545 -51.0338600928272,179.999999541818 -52.0298919991909,179.999999599091 -53.0259239055545,179.999999656364 -54.0219558119181,179.999999713636 -55.0179877182818,179.999999770909 -56.0140196246454,179.999999828182 -57.010051531009,179.999999885454 -58.0060834373727,179.999999942727 -59.0021153437363,180 -59.9981472501,179.9999928 -59.9981474300999,178.999993032 -59.9981474300999,177.999993264 -59.9981474300999,176.999993496 -59.9981474300999,175.999993728 -59.9981474300999,174.99999396 -59.9981474300999,173.999994192 -59.9981474300999,172.999994424 -59.9981474300999,171.999994656 -59.9981474300999,170.999994888 -59.9981474300999,169.99999512 -59.9981474300999,168.999995352 -59.9981474300999,167.999995584 -59.9981474300999,166.999995816 -59.9981474300999,165.999996048 -59.9981474300999,164.99999628 -59.9981474300999,163.999996512 -59.9981474300999,162.999996744 -59.9981474300999,161.999996976 -59.9981474300999,160.999997208 -59.9981474300999,159.99999744 -59.9981474300999,158.999997672 -59.9981474300999,157.999997904 -59.9981474300999,156.999998136 -59.9981474300999,155.999998368 -59.9981474300999,154.9999986 -59.9981474300999,153.999998832 -59.9981474300999,152.999999064 -59.9981474300999,151.999999296 -59.9981474300999,150.999999528 -59.9981474300999,149.99999976 -59.9981474300999,149.99999979 -59.1647877500999,149.99999982 -58.3314280700999,149.99999985 -57.4980683900999,149.99999988 -56.6647087100999,149.99999991 -55.8313490300999,149.99999994 -54.9979893500999,149.09999994 -54.9979893321,148.19999994 -54.9979893141,147.29999994 -54.9979892960999,146.39999994 -54.9979892781,145.49999994 -54.9979892601,144.59999994 -54.9979892420999,143.69999994 -54.9979892241,142.79999994 -54.9979892060999,141.89999994 -54.9979891881,140.99999994 -54.9979891701,140.99999994 -54.0171805401,140.99999994 -53.0363719100999,140.99999994 -52.0555632801,140.99999994 -51.0747546500999,140.99999994 -50.0939460201,140.999999925411 -49.9978921003609,140.99999994 -49.1131373901,140.99999994 -48.2286404601,140.99999994 -47.3441435301,140.99999994 -46.4596466001,140.99999994 -45.5751496701,140.99999994 -44.6906527401,140.99999994 -43.8061558101,140.99999994 -42.8644739901,140.99999994 -41.9227921701,140.99999994 -40.9811103501,140.99999994 -40.0394285301,140.99999994 -39.0977467101,140.99999994 -38.1560648901,141.57135018 -38.4172211301,141.75094608 -38.2670822301,142.37933346 -38.3638916301,142.9611435 -38.6115627201,143.54295354 -38.8592338101,144.36328122 -38.3244476901,144.65887452 -38.2850037501,144.70634466 -38.1491660301,144.3685608 -38.1265258101,144.91767888 -37.8685417101,145.13127138 -38.1370124301,144.7611084 -38.3777770101,144.9013671 -38.5058365701,145.44427482 -38.2269400701,145.55525202 -38.3743057100999,145.41607674 -38.5458374301,145.8161469 -38.6522865501,145.9044189 -38.8569488901,146.1423492 -38.8459701501,146.39413446 -39.1472244501,146.4692688 -38.8056258501,146.29649346 -38.9165611101,146.21926878 -38.7159728900999,146.87356572 -38.6516646501,147.3163605 -38.3170813701,147.75915528 -37.9824980901,148.71598812 -37.8394431800999,149.67282096 -37.6963882701,149.97775266 -37.5126723501,149.90246586 -36.9233321900999,149.99999994 -36.5546743700999,150.1624755 -35.9405518101,150.42382812 -35.4913692801,150.68518074 -35.0421867501,150.83676144 -35.0884017500999,150.84051516 -34.5583343301,151.19526672 -34.0568161700999,151.09971624 -34.0137862701,151.27276608 -33.9694443501,151.45455924 -33.3168068301,151.99212645 -32.8602085701,152.52969366 -32.4036103101,152.51185602 -32.1310424300999,152.84884644 -31.6566657501,153.0117696 -30.8805554301,153.17469276 -30.1044451101,153.33761592 -29.3283347900999,153.60600276 -28.8621540501,153.50595084 -28.1501122101,153.27025596 -27.6633892400999,153.03456108 -27.1766662701,153.15719598 -27.0827789901,153.07205202 -26.3084735300999,153.18551628 -25.9733315301,152.92053216 -25.7354163501,152.90782164 -25.2888889101,152.67149352 -25.2451363101,152.46801756 -24.8122215500999,152.13177486 -24.6081944301,151.68386844 -23.9888878701,151.53796386 -24.0863189901,150.86718756 -23.5050010700999,150.83160732 -22.9327456100999,150.81912234 -22.7319412101,150.63455196 -22.3430557100999,150.5577393 -22.5769462701,150.04373166 -22.1490288501,149.92080696 -22.3505554101,150.03829962 -22.6410064701,149.81465142 -22.3839225501,149.66947944 -22.4951706501,149.44208526 -21.7875862401,149.21469108 -21.0800018300999,148.69165032 -20.6244430701,148.7902527 -20.4569435301,148.93441776 -20.5347233301,148.7688903 -20.2324619301,148.4529876 -20.0636120300999,148.41345222 -20.2063883901,147.8218383 -19.7106914301,147.6695556 -19.8247223300999,147.40148934 -19.3079509701,147.43191528 -19.4123612300999,147.1394349 -19.4027785700999,146.70852669 -19.1448964401,146.27761848 -18.8870143101,146.33357238 -18.5356255100999,146.00943 -18.2380523901,146.10426336 -17.6916656300999,145.88281242 -17.0717353701,145.9554444 -16.8990955701,145.80609138 -16.9130554700999,145.40205384 -16.4409714500999,145.35892485 -15.6932630601,145.31579586 -14.9455546701,144.676773 -14.5573616301,144.51594552 -14.1716660901,144.01185606 -14.4877072101,143.78219604 -14.4133339100999,143.5308075 -13.7563895301,143.5141602 -12.8791656501,143.36231994 -12.8488883901,143.42997744 -12.6168050301,143.27581788 -12.4130563701,143.07746886 -12.3343047501,143.19912726 -11.9874992900999,142.85981754 -11.8331937500999,142.78829958 -11.0805559701,142.60897836 -10.8724984701,142.50929256 -10.9502773701,142.61314392 -10.7507639300999,142.44442758 -10.7097224900999,142.14768984 -10.9491662301,142.08567813 -11.5084719500999,142.02366642 -12.0677776701,141.84912114 -11.9884711101,141.66885384 -12.3819428301,141.592392 -12.5545138701,141.74760438 -12.4697218100999,141.9403077 -12.8649987500999,141.79692078 -12.6912497901,141.58566288 -12.9863882301,141.68872062 -13.2540273501,141.46578972 -13.8970841901,141.56565849 -14.4618062901,141.66552726 -15.0265283900999,141.546051 -15.5504517801,141.42657474 -16.0743751701,141.12993627 -16.7631588501,140.8332978 -17.4519425301,140.05857852 -17.7184715901,139.26052854 -17.3424987501,139.01054382 -16.8991661301,138.19482414 -16.7073593901,137.73767094 -16.2517356500999,137.25173952 -16.0780906401,136.7658081 -15.9044456300999,136.10858157 -15.4186115001,135.45135504 -14.9327773700999,135.37274166 -14.7288875900999,135.86912532 -14.1945838701,136.02026376 -13.7625007101,135.84579462 -13.6038875901,135.92726136 -13.2778472901,136.3566285 -13.0537499901,136.45800774 -13.2525005901,136.49441526 -12.7791671901,136.62078858 -12.8252772501,136.97836308 -12.3581590701,136.77540588 -12.1717366701,136.67323302 -12.2845144100999,136.5621948 -11.9344444701,136.42159626 -12.0194743101,136.17774972 -12.1669454301,136.3639221 -12.2397212300999,136.29373164 -12.4143057501,136.0397034 -12.4716663501,136.0230408 -12.1119442701,135.73550412 -12.2808341301,135.6691437 -12.1908330501,135.9127503 -11.7655564101,135.23135382 -12.2944450100999,134.7713775 -11.9958323901,134.20663452 -12.0616655901,134.05039974 -11.8444433901,133.83940122 -11.8541660901,133.9083252 -11.7361107500999,133.54885872 -11.8327770500999,133.18304436 -11.7166653501,132.91802982 -11.3369445501,132.67198188 -11.5081261701,132.34051512 -11.1301384100999,132.14668266 -11.1400004300999,132.20495604 -11.4097232301,131.98432914 -11.1274299501,131.7642669 -11.3066872700999,132.08677668 -11.5247230701,132.48995976 -11.4769440501,132.69149784 -11.6581954101,132.62759406 -12.0327777500999,132.7489929 -12.1354160901,132.44435118 -12.1502770701,132.38360604 -12.3799991901,132.36093144 -12.2023611500999,131.49259956 -12.2972220500999,131.02432254 -12.1495828101,131.02691652 -12.3583336701,130.81579596 -12.4447230500999,130.89636234 -12.6402779301,130.57926948 -12.4046536101,130.68882756 -12.7010756301,130.5090027 -12.6044435300999,130.46528214 -12.6426060500999,129.7326411 -12.1542125901,129.00000006 -11.6658191301,128.294009244 -11.1951912380999,127.588018428 -10.7245633461,126.882027612 -10.2539354540999,126.176036796 -9.78330756209988,125.47004598 -9.31267967010001,125.97230475 -9.13189523009999,126.47456352 -8.9511107900999,127.30835718 -8.40964415009989,127.00498968 -8.32444385009995,126.11721042 -8.46708296010002,125.22943116 -8.60972207010002,124.95189672 -8.95012673010001,124.87151484 -8.98863089009996,123.92703702 -8.90993003009999,122.9825592 -8.83122917010002,122.03808138 -8.75252831009999,122.8377762 -8.59818173009995,122.80004874 -8.43944459009992,123.0304032 -8.29722209009992,122.86803438 -8.07201383009993,122.7418137 -8.22583301010002,122.89095306 -8.28479093009997,122.28830712 -8.64444533009993,122.03942868 -8.44361123009998,121.51360314 -8.60666567009997,121.0180473 -8.43194444009993,120.52249146 -8.25722321009994,119.90971368 -8.46416669009994,119.86228944 -8.57122529009996,119.06541306 -8.50482365009998,118.9999161 -8.31576353010001,118.7733231 -8.31319421009994,118.6979922 -8.47420727010001,118.66083894 -8.47111145010001,118.65172572 -8.29791635010002,118.3162995 -8.37465197009999,117.92192076 -8.08555595009989,117.70574958 -8.23722179009997,117.9749268 -8.41395623009998,117.54401958 -8.37804983009994,117.67956534 -8.15916641009994,117.48136896 -8.19138911009992,117.53232642 -8.37707549009997,116.54481456 -8.29478885009996,116.33981328 -8.2185496701,116.27218836 -8.27207159009998,115.40624994 -8.19991517009998,115.19567874 -8.05805591009994,115.02295218 -8.1679761501,114.79303638 -8.14881785009999,114.47859186 -8.09003633009996,114.49303668 -8.1238196301,114.40280646 -8.11630103009992,114.41965554 -7.99940885009994,114.44831856 -7.80055529009996,114.03804024 -7.61194427010003,113.29914852 -7.79215235009997,112.84790796 -7.60069409009992,112.81330872 -7.25166707009998,112.6047744 -7.20020813010001,112.56025698 -6.91222199009997,112.0944366 -6.91166687010002,111.49121862 -6.63006929009998,111.14873496 -6.6972913701,110.92734522 -6.41118047010002,110.7298431 -6.45916649010002,110.3936004 -6.97902773009992,109.58985135 -6.89868068009997,108.7861023 -6.81833363009997,108.31317894 -6.2616672501,107.65054314 -6.2500000101,107.33193972 -5.96166701009997,107.0385894 -5.91611099009998,106.92740628 -6.08829971009993,106.03386684 -5.88888923009995,105.9802533 -5.97980939009994,105.78415266 -5.78372315009989,105.84428958 -5.16616691009995,105.9044265 -4.5486106701,105.8099823 -4.2424994301,105.95664972 -3.83861111009992,105.81414786 -3.69361121010002,105.94848474 -3.46256249010003,106.0770798 -3.24138911009999,106.03415682 -2.99528267009998,105.80859378 -2.8966669701,105.606369 -2.39333351009998,104.86497492 -2.28875009009994,104.53179168 -2.77138877009992,104.8794327 -2.14694447009992,104.48943336 -1.92499997009986,104.48858646 -1.6394470701,104.3694306 -1.0302779301,103.74108894 -0.995555570099953,103.36080924 -0.702222170099958,103.59756468 -0.434999930099934,103.3423614 -0.364096310100024,103.49288946 -0.218333390099986,103.27234644 -0.259583270099995,103.81118004 -0.00350051009991148,103.7294235 0.291388809900127,103.35108942 0.536110869899971,102.58718868 0.152499909899973,102.4303131 0.244513749900136,102.57101442 0.176250009900059,103.08191688 0.445555389900051,102.93245694 0.694999749900035,102.4256592 0.797499849900078,102.13552854 1.37333298990001,102.00000006 1.43761764990001,102.00000006 1.60274550990005,102.4807968 1.26222186989997,102.49524684 1.43633550989995,102.00000006 1.60492602990001,102.00000006 2.30076840990006,102.00000006 2.39556666990001,102.1511493 2.30076840990006,102.7628496 1.9171201899,103.3745499 1.53347196990012,103.5121383 1.26952806989999,103.68349452 1.44555492990003,103.99851234 1.43569416989999,103.9585113 1.64430516990006,104.10490422 1.36916634990007,104.2932969 1.4377774899001,104.05677033 2.00684001990004,103.82024376 2.57590254990004,103.4380188 2.92583298990002,103.47642522 3.49868010990014,103.3363647 3.74409678990014,103.38871761 4.25468685989995,103.44107052 4.76527692989998,103.06441494 5.44805472989998,102.69914625 5.81180448989994,102.33387756 6.17555424990013,102.09523014 6.2361382899,101.54553984 6.84847110990012,101.02552794 6.84722136990007,100.26608274 7.37833206989995,100.14636222 7.70388798990007,100.26761634 7.79305458990001,100.57809456 7.22013798990002,100.40805819 7.81340187990008,100.23802182 8.40666576990003,99.96582024 8.60527614990002,99.8453979 9.30041400990007,99.2372054400001 9.25728996989994,99.1940116499999 9.81100416990012,99.1508178600001 10.3647183699001,99.4408188 10.9746954698999,99.73081974 11.5846725699,100.02082068 12.1946496699001,100.04009247 12.8053097498999,100.05936426 13.4159698299001,100.97634888 13.4628085299,100.85386662 12.6827745699001,101.75658408 12.7049970099001,102.06067662 12.5662479699,102.24346158 12.3065252499001,102.35574342 12.3586768299,102.33776862 12.1952762499,102.64151772 12.1749983499,102.91609188 11.6358508299001,102.89588166 11.8267689099001,103.07639304 11.7127399899,102.96025092 11.5441656699001,103.12969968 10.8830528499001,103.34886174 10.8847218099,103.55565636 11.1553458699,103.71942144 10.8874988499001,103.51608282 10.6380539499001,103.63498686 10.4902057299001,104.2512894 10.5661783299001,104.44532778 10.4227390299001,104.61023712 10.1688880899,104.80149072 10.2074278899001,105.10746768 9.94527624990013,104.83471674 9.53374476990012,104.7989349 8.79222018990004,104.9225463 8.74520580990014,104.74275204 8.60499768990007,105.12129978 8.62506588989999,105.53387454 9.12944118990009,106.19454186 9.36846930989992,105.82371522 10.0042239099001,106.3984527 9.53236002990013,106.54302978 9.58360854990013,106.57067112 9.74138646990008,106.11480708 10.2340678899,106.674408 9.84222030990009,106.29663084 10.2549982899,106.60385898 9.97409442989999,106.7780304 10.0823593899,106.42431636 10.3113841899,106.78424076 10.2797898699001,106.73246772 10.4704827699,106.59155274 10.4296913499,106.763031 10.6805515899001,106.96714776 10.4746189899001,106.99858098 10.6550617899001,107.2661895 10.3761291099,107.9996949 10.7042341899001,108.11315916 10.9159708899001,108.56742093 11.1391124799,109.0216827 11.3622540699001,109.22109984 11.7561091899,109.18311318 12.1169415099,109.2699891 11.8924980699,109.14699546 12.4320820899001,109.33637994 12.3726358299,109.19733426 12.6315260499001,109.46484378 12.9005536899001,109.22886666 13.4086094499,109.30442814 13.8644428899,109.06679538 14.6431928198999,108.82916262 15.4219427499,108.6249771 15.4822197099001,108.30581658 15.9483318699001,108.33082578 16.1504135499001,108.20116422 15.9994410699001,108.1885833 16.1991615099001,107.81150814 16.3120098099001,107.25518799 16.8558645099,106.69886784 17.3997192099001,106.42498776 17.7416610699001,106.50991824 17.9561119899,105.88361364 18.4991608299,105.61387626 18.9772186899,105.78533553 19.4501343099,105.9567948 19.9230499298999,106.5276261 20.2401332499,106.59721374 20.6325912098999,106.77693168 20.6991615099001,106.64665218 21.0216637299001,106.86262518 20.8711776099,107.14650732 21.0361423899001,107.1544266 20.9249954499,107.3706741 21.0256919499,107.41651146 21.3259677699001,107.9900208 21.5424118299001,108.24470514 21.5144425299001,108.33360282 21.6899947299001,108.5124969 21.5901355899001,108.46921536 21.9356212899,108.7402572 21.5988846699001,108.8702469 21.7988853699001,108.91095732 21.6161059899,109.13749686 21.5830536699,109.14276132 21.3966636699001,109.53443142 21.4949931699001,109.57331844 21.7233276699001,109.66046904 21.5056896699001,109.94109336 21.4469414499001,109.66290282 20.9241618699001,110.00686644 20.4318008499001,109.9244232 20.2336044699,110.27886966 20.2461051098999,110.52735138 20.4861756099,110.32388298 20.6399955099001,110.37553398 20.8408297899001,110.15935524 20.8438149099,110.39435586 21.3732204699,110.53276056 21.2113837299,111.0284577 21.5252761899001,111.6439515 21.5268040299001,111.78317268 21.6126364899,111.67623144 21.7781925699,111.96692658 21.7513885899,111.89213568 21.9161053298999,112.28193666 21.7013854899,112.82402034 21.9647179299,112.94004816 21.8693008299,113.08484646 22.2048550298999,113.2226181 22.0406914299001,113.38678746 22.1796474699,113.16873168 22.5670089099,113.55268104 22.1870098298999,113.56477362 22.5494423499,113.36289984 22.8798580899,113.47927848 23.0508309099,113.82189948 23.1172408299,113.52526848 23.0502738098999,113.60595708 22.8345794499,113.86080936 22.4744377899,114.03369144 22.5087394899,113.9056092 22.3673554299,114.29610444 22.2605610699,114.38852688 22.4299259498999,114.22226718 22.5500412099,114.61359402 22.5042324698999,114.52082832 22.6997184099001,114.77818296 22.8140239899001,114.71804802 22.6402741299,114.87220758 22.5330544299001,114.88889304 22.7027740898999,115.16137704 22.8083305898999,115.53665166 22.6588859499001,115.6402665 22.8841629699,115.79776002 22.7391625299,116.48172006 22.9390221099,116.51389308 23.2108267899,116.78707116 23.2366600299,116.53220376 23.4202384299001,116.76033018 23.3549958099,116.91793818 23.6591873499001,117.19567872 23.6243704899001,117.65970234 23.9415588399001,118.12372596 24.2587471899001,117.79473114 24.4601860899,118.01988216 24.4402370499001,118.1688003 24.6819381699001,118.23970032 24.5363845899001,118.59526062 24.5286102099001,118.76311494 24.7567330299,118.57290642 24.8829135699,118.98664848 24.9719390499,118.87487028 25.2425994699,119.2726287 25.1720790699001,119.35255428 25.2531890499001,119.10526272 25.4209670499001,119.31494904 25.6064892699001,119.64540096 25.3533306099001,119.45220948 25.6822185099,119.5807419 25.6799602299,119.70582588 25.9906902699,119.35401156 25.9378757498999,119.09748834 26.1404133699,119.4252624 25.9969405899001,119.94886782 26.3677749699,119.6580429 26.3386077699001,119.57747652 26.4738846098999,119.82040398 26.4422168499,119.5502625 26.7562484499,119.78790282 26.7961081899001,119.86678314 26.6488838499,120.07331082 26.7882250899,119.86025994 26.5177765299,120.12796026 26.6446475499001,120.03318018 26.8980522699001,120.42109674 27.1476364899001,120.18955986 27.2827758099001,120.50749206 27.2077712499001,120.66554268 27.4508284899001,120.58116156 27.5931912099,120.83998878 27.8722876899001,120.59082036 28.0794410499001,120.93525702 27.9822178299001,121.16512296 28.3827743499001,121.34192652 28.1388855099,121.64166252 28.3472175099001,121.48442838 28.6699256498999,121.14637758 28.8421496499001,121.6112976 28.7279796099001,121.49081424 28.9358977899,121.69136052 29.0219421099001,121.4135208 29.1633969099,121.56109614 29.2911070899,121.74435432 29.1972865899001,121.7969208 29.3723563899001,121.8119202 29.1838836099001,121.93359372 29.1952743699001,121.9743576 29.5891627899001,121.4483184 29.5116654099,122.11956018 29.8821124299001,121.6777572 29.9630508699001,121.28080752 30.3045807099001,120.79158012 30.0646495299,120.50818632 30.3102741099001,120.14998632 30.1969394499001,120.45858768 30.3929805099,120.81442266 30.3355522299001,120.99150846 30.5688858699001,121.84693146 30.8530520499,121.88276676 30.9798564699,121.66805268 31.3088874699001,121.19384385 31.5641641899,120.71963502 31.8194409099001,120.70262142 31.9883269899001,120.13637544 31.9038848499001,119.63165292 32.2627715499,119.82666024 32.3063812299,120.09900672 31.9455508899,120.6019287 32.0936050299001,120.94442748 31.8663863499,121.82747652 31.6783295499001,121.70664972 32.0216599299001,121.44123072 32.1133270899,121.33484658 32.4295768299,120.83748624 32.6388855099,120.8858184 32.9749908699001,120.567276 33.6432208899001,120.2487336 34.3114509099,119.71241001 34.5982226799001,119.17608642 34.8849944499,119.64745332 35.5789261299001,120.23776242 35.9594344299001,120.08885184 36.1999817499,120.30780798 36.2634468699001,120.34358982 36.0419007099,120.69562536 36.1407469899,120.7062378 36.4227715299001,120.87525942 36.3758239299,120.95999154 36.5263824099001,120.77638236 36.6166572699,121.59443664 36.7588882299001,121.95664974 37.0002747099,122.19233706 36.8429755899001,122.50470726 36.8936081499,122.53915404 37.0197831098999,122.40054324 37.0258255299,122.59721376 37.2099914499001,122.55857856 37.3962441099001,122.18137362 37.4183274099001,122.1281739 37.5525627699001,121.5799866 37.4245757499,120.7370682 37.8349914099,120.29498676 37.5936374199001,119.85290532 37.3522834299,119.767212 37.1513823699,119.23275762 37.1436081699,118.95664986 37.3005447699,119.03553774 37.8783226299,118.83776094 38.1529045299,118.02805326 38.1672134499001,117.67221072 38.3866577499,117.53637696 38.6755523499,117.88900002 39.1984635099001,118.32727806 39.0408286899001,118.97151948 39.1569328299,119.52644346 39.8724213099001,120.4467849 40.1961021699001,120.81212613 40.5590190699001,121.17746736 40.9219359699001,122.05213164 40.7387427699001,122.29866036 40.5056190099001,121.88095092 40.0030518099001,121.4683227 39.8113784499001,121.5330048 39.6232185099,121.22834778 39.5284652499,121.75109856 39.3516616899,121.59942624 39.2185974099001,121.67942814 39.0901297899,121.08866886 38.9122123899001,121.18733982 38.7190857099001,121.69818108 38.8611030099001,121.64804082 38.9963836299001,122.43235014 39.3351325599,123.21665946 39.6738814899,123.24220272 39.8142967899001,124.1280288 39.8277741099,124.37359614 40.0936202499001,124.32395178 39.9158934699,124.63587954 39.5980109499001,124.74529272 39.7732200699001,125.1202545 39.5587425099001,125.45043948 39.5723571699,125.14054104 38.7981186699,125.65206918 38.6294365299,124.99330896 38.5863762099,124.67005164 38.1195067899001,125.25685884 38.0772858099001,124.98290244 37.9332924699001,125.50971222 37.8855476499001,125.34275826 37.6713791499001,125.7244263 37.9108200099,125.6052627 38.0261001099,126.1048356 37.7412414699001,126.42207336 37.8559990299,126.6884919 37.8339081699001,126.54928584 37.6450615299,126.86184684 37.2655486299,126.6609573 37.1590156299001,126.86942286 37.1743012299,126.75478356 37.0479126099,126.99220284 36.9108199299,126.83303838 36.7608986499001,126.77207184 36.9674873499,126.50081634 37.0512465699,126.47480778 36.8431854699,126.34512336 36.9913825299,126.40109256 36.8519363499,126.28699488 36.7930488099,126.29484558 36.9620742099,126.1258164 36.7072143699,126.2930526 36.5819397699,126.4972077 36.7238769699001,126.54441828 36.1364059299,126.87201684 36.0562477899001,126.63269046 35.9656829499,126.8010864 35.8616638299,126.47706606 35.6379088899,126.68441778 35.5333938699,126.38749698 35.3369370099001,126.45720666 35.0688858699001,126.24873354 35.1134680899,126.43359372 34.9636078299001,126.3755646 34.7913818499001,126.66026304 34.8101310099001,126.45166014 34.5780487299,126.29213712 34.7457579699001,126.47831724 34.3452682299,126.59720616 34.2998542299001,126.7807464 34.5854073099001,126.88942716 34.4124908499001,127.3351212 34.7401313499,127.12622076 34.5513801099,127.3894272 34.4710999299001,127.51276392 34.5908240499001,127.41831972 34.8186034299,127.63790136 34.6159668098999,127.74581154 34.7254028499001,127.59706872 34.9401282699,128.3349609 34.9465179099,128.4059601 34.8327712299001,128.50137324 35.0083313499,128.38206474 35.0391655299,128.57275386 35.1699906099001,129.13693236 35.1122131299001,129.43942254 35.4758224899001,129.58686828 36.0038566299001,129.39202872 36.0228234099,129.41073603 36.5413398699,129.42944334 37.0598563299001,128.89649961 37.8425502399,128.36355588 38.6252441499001,127.78276068 39.0883254698999,127.39971168 39.1952704899001,127.37468718 39.3722153499,127.56018834 39.3111381099,127.51763148 39.7395744699,128.2457682 40.1032791099,128.97390492 40.4669837499001,129.70204164 40.8306883899001,129.80358882 41.3774223699,129.6978759 41.6456871699,130.42080684 42.3119353899,130.69741824 42.2922057699,130.86904914 42.5238074499,130.6766052 42.6520041699001,131.22315972 42.5583229899,131.81051628 43.3255539099,132.05079648 43.3130455299001,131.84469612 43.0832557299,131.94885258 43.0637435499,132.35134896 43.2922859499001,132.31121832 42.8463782499001,132.46189884 42.9336013898999,133.15484628 42.6826324299001,133.90542594 42.8753357499,134.51826474 43.1893825599,135.13110354 43.5034293699,135.51151275 43.9525794999001,135.89192196 44.4017296299001,136.61543778 44.9948539899,137.3389536 45.5879783499001,138.06246942 46.1811027099001,138.55523688 47.0188828299001,138.91962438 47.4165916599,139.28401188 47.8143004899001,139.73004918 48.1322136099,140.17608648 48.4501267299,140.3887329 48.9658242099,140.33996586 49.2719345499,140.55389406 49.5567969699001,140.41067508 49.8655471899,140.68972782 50.0900955699,140.51622006 50.1714478299001,140.46162408 50.7017974899001,140.67721566 50.9466246699,140.6899719 51.3170090499,141.42268368 51.9230461899,141.30969246 52.0330504899001,141.50692746 52.2117996699001,141.13064574 52.4092940499,141.31274418 52.6580428899,141.2008056 52.8430481499,140.7133332 53.1157569699,141.17831424 52.9813767099001,141.43580622 53.1537398499,141.41482542 53.2936095699001,140.55523686 53.6477737898999,140.25587472 53.8626327699,140.24020392 54.0499915299001,139.80184938 54.2923545099,139.33691406 54.1833267099,138.7035828 54.3133239699001,138.77026362 54.0047150499,138.46524048 53.5211029299,138.23954766 53.5592956899001,138.57135012 53.8149948699,138.55386348 53.9894332299,137.89892574 53.5732573899,137.34524538 53.5252684899,137.22912594 53.6034660699,137.8557891 53.9619369699001,137.29327398 54.0749969499001,137.74113468 54.3074226699001,137.19244392 54.2174910699001,137.06327826 54.1374969099001,137.2826538 54.0377045499001,137.17553706 53.8380471099001,136.7608032 53.7686004099,136.65400704 53.9195746899,136.80552672 54.1316604099001,136.81217952 54.6501999099001,136.27156068 54.6109294899,135.73094184 54.5716590699001,135.26138304 54.7205428299001,135.17108154 54.8863831299001,136.02265422 55.3159205499001,136.8742269 55.7454579699001,137.72579958 56.1749953899001,138.18928527 56.5802726799,138.65277096 56.9855499699,139.26892086 57.2658742299001,139.88507076 57.5461984899001,140.50122066 57.8265227499001,140.7902526 58.3084641099,141.6160584 58.6461028899001,142.30331424 59.1377716299001,143.10206604 59.2751312499,143.90081784 59.4124908699001,144.57002766 59.4127680699001,145.23923748 59.4130452699001,145.9084473 59.4133224699001,145.7974701 59.2651329699,145.99050912 59.1488799699001,146.31454476 59.1824913699001,146.32524108 59.3906212298999,146.48577876 59.4594345099,146.88830574 59.3641587099,147.48913566 59.2397155299001,148.25082402 59.4169388499,148.411026 59.2624245099001,148.89804084 59.2391586099001,148.9621887 59.3801308299001,148.72177116 59.3699912499001,148.74301152 59.4916609899,149.20906068 59.4689484099001,149.033493 59.6315535699,149.5920411 59.7712402299,150.14947518 59.6733265299,150.70690926 59.5754128299,150.442749 59.4824943099,150.71316534 59.4430428099,151.38610848 59.5711059699,151.74856566 59.2961044899,152.28427122 59.2200622299001,151.68051909 59.1630477699,151.07676696 59.1060333099001,151.30871586 58.8390196899,151.83294678 58.9311714099,152.3571777 59.0233231299,152.87716674 58.9174957299,153.36161802 59.2416611499,154.02206412 59.0461044699001,154.45108026 59.2199859099,154.74163824 59.1269377899001,155.14025886 59.2041091899,155.18627928 59.3616217899,154.4378814 59.5484695299,154.50143436 59.4330483099001,154.10871882 59.4629097699001,154.29748536 59.6374969899001,154.23149106 59.8787421699,155.06414028 60.3204784599,155.8967895 60.7622147499,156.08496096 61.0124970099,156.6562347 61.2097167099001,156.69552618 61.5337447899001,157.48663338 61.8033217899,158.02137756 61.7301292899,158.63442228 61.8261737799,159.247467 61.9222182699,159.52526856 61.6648521099001,160.35494994 61.9474868499,160.36636356 61.7658310299,159.85440072 61.3127670699,159.9466248 61.1361084099,159.7806855 60.9434623299001,160.39135746 61.0258254699,160.13893122 60.5892257499,160.7960205 60.7381134699,161.60285952 61.2057895599,162.40969854 61.6734656498999,162.74386602 61.5988808499,162.65373228 61.6930428099001,162.83816532 61.7195701299001,163.00555416 61.5183258099001,163.3055877 61.6822815099,162.9523926 61.8012427899001,163.1256561 62.2840195298999,163.35099792 62.3619384699001,163.16442864 62.4447098499,163.25735472 62.5426368699,163.81192014 62.6272163499,164.36648556 62.7117958299,164.99823759 62.5772800299001,165.62998962 62.4427642299,165.1217652 62.4713782899001,165.28456116 62.3166580299001,164.61384588 62.4742966299,164.12051394 62.2770729699,164.07150264 61.7836074699001,163.74856572 61.4508247299001,164.01498408 61.3302726099001,163.50997932 61.0469436099,163.7291259 60.9366531099,162.82080072 60.6781845399001,161.91247554 60.4197159699001,161.83746342 60.1874923898999,161.16062166 59.8651676499001,160.4837799 59.5428429099001,159.789978 59.0838776499001,159.70217904 58.8513869499001,158.96774295 58.4354133399001,158.23330686 58.0194397299001,157.51011654 57.8915252499001,156.78692622 57.7636107699001,156.98052972 57.4208259699,156.49053948 57.0742969899001,156.00054924 56.7277680099001,155.64608766 55.9119338499,155.59884648 54.9299926299001,155.76667278 54.2375386299001,155.93449908 53.5450846299001,156.10232538 52.8526306299001,156.4406586 52.5154800099,156.2813568 52.5210342699,156.40108488 51.9183597999001,156.52081296 51.3156853299001,156.7452393 51.0779114499001,156.6569214 50.8794326499001,157.46730039 51.4103698299,158.27767938 51.9413070099,158.55511482 52.3111038699001,158.41912842 52.6522141299,158.54721066 52.6227684699001,158.64221196 52.9017981699,158.4460755 52.9024886499001,158.43942252 53.0272140699,158.7249603 52.8906860499,159.614685 53.2594376499,160.05038454 53.0951309499,159.79824828 53.5212402699,159.96218868 53.5163840499,159.81747444 53.6585998899001,159.9882813 54.1216583499001,160.72828668 54.5292967899001,161.35302726 54.4911042099,161.7384186 54.5074959099,162.11300652 54.7635345699001,161.71134948 55.4902725099001,162.08607474 56.1009635499,162.56712348 56.2733230899,162.3938598 56.3896446699,162.98522946 56.5474929699001,163.07385246 56.4774895299,162.64526364 56.1919326699001,163.033722 56.0179099299,163.3499604 56.1959610699,163.21080024 56.7417984698999,162.90248112 56.7072181299001,162.78164676 56.8544388699,162.74238588 57.3594398499,163.07275392 57.5016632499,163.28234862 57.7399940499,163.20941154 57.8395767099001,162.56372076 57.9497147499001,162.339264 57.6913794699,161.93858346 58.0676307699,162.40594482 58.6795729899001,163.03289796 58.9962462699,162.8820495 59.1274909299,163.1659545 59.0337447699001,163.06109622 59.2405471299001,163.31164542 59.3088835899001,163.17927558 59.5665206499,163.3895568 59.6291579499,163.36022958 59.8238830299001,163.69920342 59.8972816299001,163.63996884 60.0458946699001,164.04400638 60.0302695899001,164.14630128 59.8672142499001,164.46856698 60.1113815499,164.82357792 59.7816580899001,165.18246462 59.9811020499,164.99662776 60.1266556299001,165.60982512 60.3037376499001,166.22302248 60.4808196699001,166.38107292 60.4705429299,166.1377563 59.8152694899001,166.59400941 60.0695762799,167.05026252 60.3238830699,167.61956787 60.4527740499001,168.18887322 60.5816650299,168.69768525 60.6008262999001,169.20649728 60.6199875699,169.70329278 60.4072113699,170.19770202 59.9513921499001,170.24246208 59.9101257099,170.64193734 60.4174956699001,171.29665377 60.6820068399001,171.9513702 60.9465180099,172.02046212 60.8467254699,172.20121758 60.9629097099,172.01824956 61.0922812899001,172.45303344 61.0411071099001,172.3429413 61.2190169499001,172.9560852 61.3027725699001,172.713852 61.4272155699001,173.13665778 61.3952713299001,173.49440004 61.5639495099001,173.54177856 61.7443008699001,174.06767277 61.7871475299002,174.59356698 61.8299941899001,174.72363282 61.8854102499001,174.60440064 61.9785309099,175.48385112 62.1755015499,176.3633016 62.3724721899001,177.24275208 62.5694428299,176.92970274 62.6645737299,176.97441096 62.8640212899,177.19177248 62.7034645298999,177.45260616 62.8099212099,177.33828744 62.5761031899001,178.21981818 62.4327030399001,179.10134892 62.2893028899001,179.1292725 62.4788817699,179.60440068 62.7002677299001,179.23565682 63.0056877699,179.41165164 63.1388816499,178.92913824 63.2933274099,178.77865608 63.5853385299,178.6803894 63.3836058699001,178.70414742 63.5733300099001,178.26109308 63.5745086499001,178.75747674 63.6399917498999,178.66386414 63.9437408499,178.37689212 63.9722137899001,178.4777526 64.1238708099,178.30303956 64.3397064699,178.14080808 64.2008209898999,177.63189696 64.3188781299,177.36100776 64.5444946299,177.48760986 64.7587432299001,176.79875184 64.6514815899001,176.10989382 64.5442199499001,176.42268378 64.7040786699001,176.06497194 64.9013824299,175.68171684 64.7335052499,175.06594845 64.7099342499,174.45018006 64.6863632499,175.07118987 64.7322044799,175.69219968 64.7780457099001,175.9161834 64.8815689299,176.05996704 64.9480285299,176.60650635 64.8656768199002,177.15304566 64.7833251099001,177.29866026 64.8306885099001,176.95719918 65.0380402299,176.30720514 65.0466537699001,176.91607674 65.0824890699),(164.55303954 59.2372131699,163.69940178 59.0144424699001,163.84184262 58.9949950899,163.69192512 58.7449950699001,163.38552858 58.5594024699,163.45718388 58.4652709299001,164.05427556 58.6740188199,164.65136724 58.8827667099001,164.70413208 59.0247116499,164.55303954 59.2372131699),(166.25100708 54.9709682799,166.66400142 54.6774940299,166.24624626 55.3296279099001,165.83801274 55.2644425299001,166.25100708 54.9709682799),(172.47871404 52.9222144899001,172.92858894 52.7438812899001,173.02327794 52.7640092499001,173.4369201 52.8519363699,173.13320916 52.9946441499001,172.76489676 52.9999618899001,172.64706426 53.0016632499,172.47871404 52.9222144899001),(173.37510684 52.4019356499001,173.66024772 52.3488768699001,173.69784558 52.4051146299001,173.76666264 52.5080490699,173.55868758 52.4516869299,173.37510684 52.4019356499001),(177.24801636 51.9022140699001,177.31857294 51.8211058899001,177.4107657 51.8942434899001,177.67747494 52.1058273699001,177.26798376 51.9116809899001,177.24801636 51.9022140699001),(179.48690802 51.9742965099,179.64971928 51.8672103699001,179.76899718 51.9661025499,179.48690802 51.9742965099),(178.63832088 51.6354103299,179.2521972 51.3474884499,179.45788572 51.3806838699,178.63832088 51.6354103299),(143.44998174 51.4986038499001,143.3671722 51.6388816299,143.21942136 51.5258254299,143.31497184 51.7294311699,143.12496942 51.9605484699001,143.15277096 52.3816604498999,143.25595092 52.5930443499001,143.1995544 52.3455466899001,143.30615238 52.4782561899,143.33746338 52.8291625899001,143.22634884 53.3208313299,142.8813477 53.8080443499001,143.00907894 54.1308250299001,142.73565678 54.4202727699001,142.57426446 54.2313766299001,142.40191644 54.2661056499001,142.72065738 53.9276313099001,142.61045832 53.6925583299001,142.76983644 53.8383941499,142.79920956 53.7039451299001,142.50177 53.6634636699,142.68109122 53.5167998498999,142.4724732 53.3862418899001,142.27468866 53.3697128499001,142.22024532 53.5184630499001,141.77012634 53.3677711899001,141.84246834 53.1452713899001,141.92343144 53.0131873899001,141.6390075 52.3134651099001,141.6480408 51.8866577499,142.26776118 51.1044387699001,142.04316708 50.5420798899,142.1405334 49.5524902899,141.85369872 48.7571449899,142.18768314 47.9539527699001,141.96302802 47.5999908699001,142.05706794 47.0788802499001,141.8312835 46.4222830899,142.0875855 45.8916587499,142.42135626 46.5824965899001,142.71954354 46.7420043099,142.7803344 46.5982552299001,143.38490292 46.5331879299,143.43136596 46.0194396699001,143.60189814 46.3836059499001,143.49163824 46.8086014299,143.17407234 46.7063140899,143.01754758 47.2485351099,142.53567498 47.7966613899001,142.76115414 48.4461059799,142.9866333 49.0955505699,143.6601105 49.3076285499,143.28970344 49.3976325099001,143.98190316 49.2688828299001,144.74069208 48.6453018099,144.26776881 49.4695224399,143.79484554 50.2937430699,143.65893555 50.7807579099,143.52302556 51.2677727499001,143.3811951 51.3456153699001,143.44998174 51.4986038499001),(156.17526246 50.7536086899001,156.40084836 50.6256409299,156.46844484 50.8674927099,156.17526246 50.7536086899001),(156.15095526 50.5219382499001,156.1144104 50.7511023699,155.66540526 50.3880501099,155.24774172 50.3013838899,155.22616584 50.0525970699001,155.89276128 50.2636108899,156.15095526 50.5219382499001),(154.70953362 49.4917716099001,154.59390252 49.2910309299,154.80720522 49.2999954699001,154.9044189 49.6208267499001,154.70953362 49.4917716099001),(150.49856574 46.1924896899,149.92913826 46.0074997299001,149.47354134 45.6033172899001,150.02401734 45.8265381699001,150.49856574 46.1924896899),(138.2053833 55.0406913699001,137.5669251 55.1888808699,137.2213134 54.7737198699001,137.48663322 54.8724900099001,137.7071838 54.6183242499001,138.2053833 55.0406913699001),(137.0460816 54.9174957699001,137.18788146 55.1054114499,136.66726692 54.9050597499,137.0460816 54.9174957699001),(141.33822624 43.7115860499,141.411087 43.2969360699,141.1585236 43.1385346299,140.35621644 43.3165206099001,140.52963258 43.0074921099,139.8362121 42.6139487499001,139.78608696 42.2431525298999,140.13763434 41.9836006299001,140.0321961 41.4491577699001,140.41456596 41.5143013899001,140.66636652 41.8241614899001,140.98078926 41.7051314499001,141.19441218 41.7949561299001,140.74656678 42.0180987999001,140.29872138 42.2412414699001,140.47065738 42.5708274099001,140.75225838 42.5509644099001,140.9902497 42.2970085299,141.79052736 42.6063842499,142.51683807 42.2655505599001,143.24314878 41.9247168699001,143.38610838 42.3783264099,143.9896851 42.9066543099,144.75524904 43.0384635399,145.52081298 43.1702727699,145.81240848 43.3654784499001,145.31149296 43.2751312299,145.20812994 43.6009063899001,145.35684198 43.5531883899001,145.07150274 43.7540244699,145.33885188 44.3441542899001,144.79164126 43.9176979299,144.36773676 43.9538802699,144.17135622 44.1085357299,143.77622994 44.0940856899,143.12188728 44.4902725299,142.54647831 44.9883270399,141.97106934 45.4863815499,141.69386286 45.3999939699,141.57482904 45.1891556499,141.7956696 44.6166611499,141.64581294 43.9422150098999,141.33822624 43.7115860499),(148.8519135 45.4777680099,148.07441718 45.2483254299,147.9041442 45.4041595299001,147.89227302 45.2270011899001,147.11190804 44.7938842899,146.88302616 44.3969421699001,147.61245726 44.9608269099,147.76275636 44.9406051699,148.26904299 45.1272774099,148.77532962 45.3139496498999,148.8519135 45.4777680099),(146.53747566 44.3783226099,146.16076662 44.5066222899001,145.79911809 44.1117782499,145.43746956 43.7169342099,145.55947878 43.6572800499001,145.94024664 44.1280441299001,146.53747566 44.3783226099),(140.92301934 41.5295752899,140.8385772 41.4005469699,140.79165642 41.1233215899001,141.26138298 41.1927643299001,141.1348266 40.8569412099001,140.88273624 40.9915200099001,140.72190858 40.8308296899,140.63928228 41.1813813099001,140.34551994 41.2470741099001,140.26885992 40.8066558699001,139.85232552 40.5981865299,140.0205384 40.2308196699001,139.70315556 39.9294395499001,140.02468866 39.8252715699001,140.0521851 39.4649963499,139.70898441 38.7766609599001,139.36578372 38.0883255699,138.85662834 37.8224945499001,138.30081174 37.2033233499001,137.461914 36.9347152899001,137.3149719 36.7483292499001,137.00555424 36.8291625699001,137.04443352 37.0566559299001,136.86328134 37.0877685699001,137.35635372 37.5047149898999,136.7524719 37.3397140299001,136.7124633 36.7513885299,136.3367691 36.3637427799,135.9610749 35.9760970299001,136.0813599 35.6605491099001,136.0147095 35.7409668099,135.82220454 35.5216598499001,135.19343574 35.5254058299001,135.22219848 35.7622147299,134.36865234 35.5975417299001,133.38107298 35.4449920899,133.09106454 35.5824966099001,132.68109132 35.4405441099,132.04359441 34.9313106098999,131.4060975 34.4220771099001,130.97662362 34.4286040899001,130.87966914 34.2930527499001,130.90512078 33.9137382099,131.03039556 34.0395812499,131.25831606 33.9184684299,131.74578864 34.0536041499001,132.0505371 33.7724914899,132.35398866 34.3534659699001,132.55046082 34.1919327099,133.07115168 34.2497825499001,133.25192262 34.4231911299,133.93684386 34.4508209499,134.04206844 34.5847168299,133.93246464 34.5833243499001,134.29937736 34.7041205499001,134.85930633 34.6977443199001,135.4192353 34.6913680899001,135.43637076 34.5258255099,135.09802242 34.2494355099,135.1959534 34.1404113099001,135.06468192 33.8755454499,135.77221674 33.4549941699001,136.34384148 34.1897125899,136.89768978 34.2665214699001,136.91567988 34.4336052099,136.52108766 34.6766586699,136.84983822 35.0790252699001,136.8777465 34.7202681699,136.97384652 34.6854095499,136.97789004 34.9190216499001,137.02677912 34.7593002699001,137.3482971 34.7187423099001,137.02879332 34.5678405699,137.62146762 34.5834999399,138.21414192 34.5991593099,138.33245844 34.8580475498999,138.7412109 35.1234625899001,138.90594474 35.0347823499001,138.7678986 34.9546432898999,138.85038756 34.5931854699001,139.13858034 34.8747101499,139.17330936 35.2380486099,139.55789178 35.2855529499,139.67872614 35.1372145899,139.77719118 35.6333313099,140.1131439 35.5523566899001,139.84884648 35.2788772898999,139.83816528 34.8949966899,140.39080812 35.1733245699001,140.45080572 35.5038834099001,140.83718868 35.7433242699,140.56552116 36.2474898698999,140.74606332 36.7791594699001,140.9745483 36.9847144299001,140.96406555 37.5663814599,140.9535828 38.1480484899,141.09579468 38.3644408899,141.5194245 38.2634659299,141.5330505 38.7805481499,141.63610842 38.9948539899,141.84815976 39.0198554499,142.05470274 39.4658241698999,141.85095975 39.9656848899,141.64721676 40.4655456099001,141.4210815 40.7149962699001,141.4177551 41.3738785299001,140.92301934 41.5295752899),(134.74468998 33.8173561299001,134.5791321 34.2241591899,134.13150018 34.3863831099001,133.67968758 34.2206841099,133.5231018 33.9627685899001,133.14595032 33.9123496899,132.8969268 34.1061058299,132.63983154 33.6737404299,132.01872246 33.3404769099,132.36671448 33.4677315099,132.5346984 33.2447127699001,132.48301698 32.8955498499,132.96441654 32.7430497099001,133.2815094 33.3629074299,133.74760446 33.5163840699001,134.1865539 33.2420043099,134.30514528 33.5275726899,134.74468998 33.8173561299001),(131.5173798 33.2646598299001,131.72955318 33.4663811499001,131.66970822 33.6474913899001,131.19491574 33.6071091099,130.9821777 33.8811034899,130.70274354 33.9358902699,130.3653717 33.5840187099001,130.20745842 33.6508255299001,130.00332636 33.4394302899001,129.86926272 33.5272141299,129.83433534 33.2922248499,129.5885772 33.3640212699,129.57014466 33.2095069299,129.96997074 32.8630522899,129.80400084 32.8584633699001,129.68753058 33.0785713299,129.68551638 32.8380432699,129.85760502 32.7187423299001,129.74606316 32.5611039099001,130.0881501 32.7844390899,130.17691044 32.5872802299,130.3394013 32.6592978699,130.31413272 32.8619346699001,130.09620672 32.8540191698999,130.2110901 33.1708297899,130.60691838 32.7834663699,130.45024116 32.6194343499,130.58746344 32.6319351699,130.56455988 32.4352684299,130.16247552 32.0069427699001,130.33621224 31.6259689899,130.2310791 31.2474937899,130.6383057 31.1822853699,130.53442374 31.5288849099001,130.6449891 31.7141608899001,130.80795282 31.6824951099,130.60211184 31.5858993699,130.79872134 31.3143024098999,130.66824348 30.9995803299001,131.1291198 31.2673587699,131.07162474 31.4487456699001,131.33454894 31.3692321099001,131.5098648 31.9520778699001,131.68518066 32.5349236299,131.98941036 32.8305511299001,131.81655888 33.1196440899,131.89668282 33.2471809299,131.5173798 33.2646598299001),(121.87359612 31.4997177099,121.20385734 31.8005371299001,121.54637142 31.5311088099,121.87359612 31.4997177099),(130.20761106 32.3334616898999,130.15386954 32.5436095299,129.99999996 32.1883163499,130.20761106 32.3334616898999),(128.90101626 32.6468695899,128.81329344 32.7924957099,128.65240476 32.6966399499001,128.90101626 32.6468695899),(126.8452683 33.3099937299001,126.83966058 33.5363692899001,126.31497948 33.4515228699,126.15776064 33.2788773099,126.8452683 33.3099937299001),(134.66693124 34.2969436299,134.76220704 34.1844330099,134.94650274 34.2613830099,135.0199737 34.5908240499001,134.66693124 34.2969436299),(129.33650214 34.2947159499,129.47305302 34.6856154699,129.30026238 34.5569381499,129.33650214 34.2947159499),(128.05912782 34.7006148699001,127.93771368 34.9019241699,127.82415006 34.8586845699001,127.85886378 34.7217942099001,128.05912782 34.7006148699001),(128.49441534 34.8802719699001,128.588211 34.7012405499,128.7282105 34.9430466099,128.49441534 34.8802719699001),(138.51054378 37.9152717699001,138.51110844 38.2811050299,138.24246222 38.0749969299001,138.33718866 37.9666596099001,138.21829218 37.8008270499001,138.51054378 37.9152717699001),(126.38111886 34.4916534099,126.2410965 34.5716590899,126.10164636 34.3966598499001,126.38111886 34.4916534099),(126.44721216 37.7956009299001,126.44360352 37.8063431499,126.43895718 37.7942925099,126.37303164 37.6231841499,126.51389316 37.5972137499001,126.44721216 37.7956009299001),(130.38845832 30.3495789099001,130.5982971 30.2436066098999,130.66818246 30.3801346299001,130.52352906 30.4430961099001,130.38845832 30.3495789099001),(129.14331048 28.2524966499001,129.37329108 28.1163158499001,129.69046026 28.4977187499,129.14331048 28.2524966499001),(128.28720096 26.8549957299001,128.06747442 26.6424942099,127.88388054 26.6674956699,127.95999138 26.5473575499001,127.71754452 26.4320792499,127.65221406 26.0856913899,127.81302642 26.1555519099001,127.84971618 26.4363823299001,128.27136222 26.6583289899001,128.28720096 26.8549957299001),(121.5631791 25.2836094099,121.44412224 25.1347427499,121.00166316 25.0016631699,120.55644603 24.3093710199001,120.1112289 23.6170788699,120.05393976 23.0443707099,120.30708312 22.5404358699001,120.61026 22.3127745699001,120.71956626 21.9279117099,121.03755948 22.5077046699,121.3555527 23.0874976299,121.59762957 23.7819404199001,121.83970644 24.4763832099001,121.81819158 24.8502750699001,122.00040432 25.0072192299,121.5631791 25.2836094099),(109.61080938 19.9938849699001,109.46582028 19.8286095098999,109.25720982 19.8997172498999,109.16526024 19.7236041699001,109.29386898 19.7599983699001,108.62831124 19.2802773098999,108.68705748 18.5056210299,109.19532771 18.3516969999,109.70359794 18.1977729699001,109.75943754 18.3915233499,110.0502549 18.3852024698999,110.52554328 18.8008309299,110.48321538 19.1676120699,110.85498054 19.5288848499,111.02154534 19.6382942499001,110.94248196 19.9786053098999,110.6655426 20.1336060099,110.13817599 20.0637454899,109.61080938 19.9938849699001),(166.60905462 19.3070431299,166.64291388 19.2793578699001,166.66235352 19.2976627899001,166.62770082 19.3245468699,166.60905462 19.3070431299),(120.57165522 18.4931887899,120.33859248 17.5716629498999,120.4599915 17.4116631099001,120.3172074 16.6311073299,120.42192078 16.1558304699001,120.15664668 16.0361099499,119.88610848 16.3966636299,119.75276952 15.9604149099001,119.9091492 15.8561077899001,119.99824911 15.3197894199001,120.08734902 14.7834710499001,120.24524682 14.8477764099,120.39360048 14.4586086698999,120.54206844 14.4219437498999,120.54866796 14.8232613099,120.92410278 14.6814270699001,120.98554236 14.4905529099,120.59220888 14.2311095499001,120.66241464 13.7688875499001,120.71665962 13.9252758699001,120.87943272 13.9024983099,121.27942656 13.5938874099,121.74991614 13.9647894699,122.4035874 13.5191650899001,122.60748294 13.1638870299001,122.56099704 13.9365672699001,123.2015076 13.4179849299,123.32388312 13.0086098499,123.72915654 12.8536091499,124.02636714 12.9637479099001,123.84067536 12.8280534699001,124.0377732 12.5316658299,124.196373 13.0533304899001,123.76179504 13.0634698899001,123.86973564 13.2321156699001,123.53512572 13.6241635899,123.97012326 13.7518042899001,123.3610992 14.0811099699,123.22971342 14.0022220899,123.31845864 13.7893036899001,123.09999084 13.6674976899001,123.09498594 13.9688864499001,122.77359774 14.3187475899001,122.47331238 14.3405533299,122.30358894 14.1011085099,122.2567902 14.2399979498999,122.23332216 13.8972205299001,121.73553468 14.1684704499,121.6952667 14.6966647899,121.37886054 15.3322201299001,121.64305122 15.7130527899001,121.5633087 15.9030532299,122.09928894 16.2600670299001,122.05193328 16.0627746099,122.46832278 16.8805504299001,122.53304286 17.1013850499,122.25720978 17.3634681099001,122.1458283 17.7830544099,122.34248352 18.3105525099001,122.22554022 18.5205536499001,121.93665318 18.2694435698999,121.46007159 18.4296951398999,120.98349 18.5899467098999,120.57165522 18.4931887899),(145.69566354 15.1790818899,145.73373408 15.0868855299,145.7924499 15.2680683099001,145.69566354 15.1790818899),(121.80768588 14.9234705499001,121.93969734 14.6269416099,122.05831914 14.9622191499,121.93580628 15.0569419899001,121.80768588 14.9234705499001),(124.20832068 14.0987463699001,124.03054818 13.6638870699,124.20803826 13.5152760098999,124.41805272 13.7931938499,124.20832068 14.0987463699001),(144.8760528 13.6522903899,144.65524284 13.4277763898999,144.70941168 13.2349967499001,144.8760528 13.6522903899),(124.25776668 12.5511092499001,124.46999352 12.1041642099001,125.03707128 11.7529143699,124.82901756 11.4965943699,124.9716186 11.4463396299001,125.26943976 11.1280537299,125.76116952 11.0210399499001,125.54206848 11.1895122099001,125.64060966 11.3514547899001,125.45027154 11.5902748299001,125.44912728 12.1022205699,125.50470732 12.2049980499001,125.14831542 12.5765256099,124.25776668 12.5511092499001),(124.97351832 11.3756752299001,124.97276304 11.3872204299001,124.96302792 11.3844556299001,124.64111322 11.2930536099001,124.31638332 11.5669421499001,124.42137138 10.9133319099001,124.6745682 10.9481925099,124.76666268 10.5747204099001,124.7647095 10.1963863299001,124.97776038 10.0402764699001,124.9783173 10.3745803899,125.12052918 10.1769429099,125.27165214 10.2974986299001,125.01506034 10.7434005699001,124.97351832 11.3756752299001),(125.63665776 10.4666653299,125.47527318 10.1311091499001,125.64665226 9.8216648499,125.63665776 10.4666653299),(125.97594444 9.91299540990013,126.03193668 9.74249652990011,126.17470548 9.80513670990013,126.07304382 10.0520124699,125.97594444 9.91299540990013),(125.9221572 9.48726084990005,125.44026192 9.8091640299001,125.51470956 9.00666624990009,125.09055324 8.82527538990001,124.80081174 8.99958126990009,124.72747794 8.48638542990011,124.43221278 8.61527442990007,124.2240066 8.21249778990006,123.68054196 7.95833256990005,123.86637108 8.16041568989999,123.81804648 8.47694208989998,123.3785934 8.7252760299001,123.30470268 8.52305412990006,123.0256881 8.48874756989994,122.92302708 8.15083122989995,122.22539514 7.96416564990005,122.073246 7.47916554990013,121.92109686 6.99416544989998,122.1499863 6.90527730990004,122.62387086 7.77305514990013,122.80998222 7.7465267499,122.81275944 7.43694312989999,122.99275962 7.45548528990014,123.11721036 7.7288880099,123.11109918 7.51999944990013,123.41304018 7.3561096299,123.45887754 7.81055454990008,123.67665108 7.81249908990003,124.26860052 7.37444298990005,123.9485931 6.82333284990006,124.18344882 6.2138881299,124.95693978 5.85138792990006,125.25942996 6.09333276989997,125.19165042 5.76722136990008,125.37637326 5.55430458990014,125.70276636 6.02499918990003,125.37761688 6.7236099699,125.68969728 7.27638816989992,125.85609432 7.34527686990003,126.02387232 6.80874924990013,126.19165032 6.2722216299,126.1652679 6.8816652699,126.34831242 6.80048472990001,126.28068534 6.92124888990008,126.58186332 7.28430456990003,126.55193328 7.6922207499,126.36580662 7.88249874989998,126.43969734 8.10999678989992,126.3922119 8.50749960990004,126.08443458 8.60972016990002,126.32485194 8.91860952989998,125.9221572 9.48726084990005),(134.48556522 7.4373927699001,134.53118892 7.3528017699,134.64999396 7.64364288990004,134.55209358 7.60847574989992,134.48556522 7.4373927699001),(168.76748664 7.28967288990009,168.78652956 7.28947254990004,168.767685 7.29889158990011,168.67228698 7.33015488990009,168.67149354 7.32073584990002,168.76748664 7.28967288990009),(158.18232726 6.97763784990013,158.2277526 6.78055476989999,158.3350983 6.87472050990004,158.18232726 6.97763784990013),(118.82470707 5.57624910990006,118.3735962 5.80749888990005,117.95547492 5.68506810989993,117.90817254 5.79756828990014,118.12468716 5.86402698990008,118.00686654 6.06124830990007,117.50305176 5.89611054990007,117.67483512 5.9823604299001,117.60040278 6.19249872990002,117.73928826 6.3869437299,117.28804014 6.63986064990007,117.16886898 6.99444300990007,116.79998778 6.57666588990003,116.75417328 7.01805504990011,116.30152512 6.29097132990006,115.84887696 5.56388760990006,115.38025668 5.40097140990002,115.5460968 5.05305390990014,115.14578256 4.9032402699001,115.02912906 4.82021040990003,115.01843256 4.89579492990009,115.040268 5.04749874990006,114.56767278 4.81901835989999,114.09507756 4.59053796989997,113.55280686 3.87554646990003,113.01053616 3.16055496990009,112.229496 2.92763829990002,111.44845584 2.69472162990007,111.45027168 2.36861040990004,111.3786927 2.34618240990011,111.22539516 2.42249970990002,111.18303684 2.26222176990012,111.17275236 2.14597182990002,111.3699798 2.14666644990012,111.00000006 1.57208304990002,111.3783111 1.34597208989993,110.82193002 1.56805536990004,110.68747704 1.44472188989999,110.7336807 1.54013376990014,110.33054352 1.80152760990006,109.92803184 1.69048578989992,109.64856726 2.07340860990001,109.06694028 1.5322220499001,108.9812394 1.21444410990011,109.26360324 1.39458306990002,108.95860296 1.17666642990008,108.84548952 0.810562089899975,108.91859436 0.315138909900043,109.16554266 0.106388949900008,109.12024692 -0.502222370100014,109.51442712 -0.726944450100007,109.25818632 -0.669305570099937,109.2799836 -0.868055450099973,109.72971342 -0.95361107010001,110.05774686 -1.33388897009991,109.9035873 -1.82833367009988,110.12580864 -2.04694457009998,110.2339449 -2.92687997009995,110.24081424 -2.98277753010001,110.4761547 -2.89660379010002,110.55108636 -2.86916639010002,110.56024674 -2.88609233009998,110.66609196 -3.08166665009998,110.93359374 -2.88694481009998,110.75193792 -3.0251389101,110.90693664 -3.09444431010002,111.335823 -2.92111115009993,111.54720312 -3.02416691009995,111.75168618 -2.7498263901,111.86747748 -3.56833355009996,112.24581912 -3.31388897009998,112.65165702 -3.41527757009999,113.03471376 -2.98972229009996,113.36581422 -3.26083343009998,113.60581974 -3.17263883009991,113.67109674 -3.47611091009998,114.1022034 -3.35638913010001,114.37499232 -3.46112105009996,114.60192876 -3.65583317009992,114.63706962 -4.18506863009992,115.30643841 -3.89309000010002,115.9758072 -3.6011113701,116.2163772 -3.14277791009994,116.1319275 -2.82333371009997,116.29136664 -2.98236101010002,116.30657952 -2.51798603009996,116.51471712 -2.5552778901,116.54397486 -2.44878089010001,116.60415642 -2.22972197009994,116.3272095 -2.14749995009998,116.44545744 -1.78319435010002,116.22393792 -1.77902789009988,116.7555465 -1.3675000101,116.7402573 -1.02791687009994,116.92359918 -1.25444453009987,117.26585388 -0.82164749010002,117.62345124 -0.777222230099994,117.63135522 -0.424027850100003,117.44478612 -0.523969070099895,117.46748358 0.103611009900021,117.74220282 0.739722009900049,118.03498848 0.810277689900033,117.8930511 1.11777744990013,118.34387208 0.843055329899926,118.79456328 0.800277789900065,119.00901798 0.983888769899977,118.44046782 1.43027769990005,117.87191766 1.87666662990006,117.82929222 2.10416628990009,118.09192662 2.31444408990006,117.6716538 2.80111080990002,117.61831674 3.08895780990008,117.2753982 3.21999906989998,117.44247438 3.43236072990004,117.03137976 3.60069402990013,117.8294373 3.70430508990006,117.39276126 4.10749914989998,117.59205636 4.16981784989997,117.69303888 4.37472048989997,117.9958878 4.22416596990013,118.54956816 4.35097128990014,118.5948486 4.52124930990004,118.14054876 4.88833230990008,118.3542786 5.03583240990002,118.70166024 4.94305410990006,119.0697174 5.06999964989996,119.27581794 5.34499932990002,118.82470707 5.57624910990006),(120.21144858 5.34659628989999,119.85832206 5.04916572989993,120.22560126 5.12673474990004,120.21144858 5.34659628989999),(126.74185938 4.53979056990005,126.74971008 3.98388864990011,126.91581732 4.27583262990004,126.74185938 4.53979056990005),(117.9035568 4.17404262989999,117.68837742 4.26196722989999,117.68692014 4.16833590990012,117.88693236 4.02694410990006,117.9035568 4.17404262989999),(128.23217766 2.30611044990007,128.2766418 2.01729540990004,128.61996462 2.2152772299001,128.57641596 2.62909650990002,128.23217766 2.30611044990007),(127.85567472 1.91624970990011,128.0540619 2.19243000990014,127.653183 1.87069422990004,127.39888008 1.18694424990008,127.614357 0.852777669900036,127.52262882 0.601527549900027,127.66394034 -0.215138930099954,127.90138248 -0.456944450100025,128.0210877 -0.693194450099952,128.40179436 -0.888194390099954,127.89305118 -0.0319444700999725,127.92122658 0.454444329900127,128.41306686 0.32885409990007,128.90490714 0.203263869900013,128.68302924 0.357291489900035,128.67430122 0.552812349900023,128.2120362 0.779652669900088,128.69747928 1.10194428990013,128.709549 1.57097208990012,128.18829348 1.37805528989992,128.1896973 1.17055542989999,127.86970518 0.817083129900027,127.63262934 0.922638729900086,127.98970038 1.34666652990001,128.01261906 1.71472188990009,127.85567472 1.91624970990011),(130.54277034 -0.366040130099918,130.93081668 -0.391111070099896,130.68864432 -0.0804861501000005,130.9778748 -0.363888770100004,131.3110962 -0.301944470099954,131.13970956 -0.0758333301000107,130.69888308 -0.0366233900999191,130.21932978 -0.211250030100018,130.54277034 -0.366040130099918),(132.43414302 -0.344444450100013,131.8632813 -0.698055530100021,131.25555414 -0.822777710100013,131.24884032 -1.09694453009996,130.96359252 -1.40305541009997,131.88244626 -1.64222213009998,132.0412293 -2.08569461010001,132.29899596 -2.2684721901,132.97240449 -2.25284720010001,133.64581302 -2.23722221009996,133.93428048 -2.10409709009997,133.78845222 -2.25673619010001,133.9469757 -2.21055575009996,133.95553596 -2.32916693009997,133.67858886 -2.7180553101,133.64859006 -2.54388911009994,133.24580388 -2.41749977009994,132.72274782 -2.81722253010003,132.31774908 -2.68222235010001,131.9569092 -2.78701403010001,132.38795475 -3.04621529010001,132.8190003 -3.30541655010001,132.92706294 -3.5547221301,132.75082404 -3.71833331009998,132.90025338 -4.08944471009994,133.23745728 -4.07638931010001,133.45108038 -3.86930561009996,133.3991394 -3.73249967009997,133.82885736 -2.96166659009998,133.63679502 -3.48902771009995,134.16386418 -3.77694437010001,134.21205144 -3.96000005010001,134.69281002 -3.94798091009994,134.64622494 -4.12555505009999,135.1766358 -4.44694415010002,135.92831418 -4.49861045009993,136.76094054 -4.8270830900999,137.5935669 -5.15555573009993,138.06524664 -5.40895847009989,138.07124334 -5.7313193901,138.35162358 -5.68027733010001,138.1677246 -5.7933329901,138.43774422 -6.36305531009992,138.69065862 -6.72861155009997,139.18664556 -6.96756929009996,138.56289678 -6.90652805010001,138.84747318 -7.15388873009999,139.22247312 -7.16250047009993,138.66220098 -7.20097205009995,139.09454352 -7.56180527010002,138.83663934 -8.13000011009996,138.91026312 -8.29833323009996,139.21829226 -8.08916657010002,139.3663635 -8.2063885101,139.91580198 -8.11472135009996,140.14790352 -7.88583371009997,139.98522942 -8.19361121010002,140.49612423 -8.6610393501,141.00701904 -9.12846749009998,141.16079718 -9.23749925009997,141.68364723 -9.20125004009992,142.20649728 -9.16500083009993,142.63888554 -9.33472247010002,143.36509698 -9.01222331009996,143.39276118 -8.77027901009996,143.11022958 -8.47027787009995,142.62287904 -8.35180529009995,142.1355285 -8.23333271009989,142.9766235 -8.34416573009997,143.62385562 -8.23874945009999,143.36038206 -7.9011112101,143.9580078 -7.97862245009992,143.66482542 -7.46764853009995,144.14721678 -7.77888869009996,144.31411746 -7.61791613009996,144.46774296 -7.74305537010002,144.40858452 -7.51986131009994,144.50833134 -7.61805527009994,144.52290342 -7.50291683009993,144.59939568 -7.66027841009992,144.86245722 -7.61055557009996,144.87966918 -7.78250021010001,145.48468014 -7.93680521009986,146.0896911 -8.0911102101,146.37910464 -8.5847081901,146.62161252 -9.02555663009997,146.97126774 -9.02993099009996,146.895813 -9.27847283009999,147.05871588 -9.46999931009998,147.50558478 -9.80791664009996,147.95245368 -10.1458339700999,148.85009766 -10.2443055800999,149.74774164 -10.3427771901,150.0788574 -10.4627781501,149.85163872 -10.5486116901,150.20968626 -10.7005558101,150.68995668 -10.5631942100999,150.3691101 -10.3219452500999,150.87802122 -10.2299996301,149.91415398 -10.0488892101,149.71719366 -9.8334713301,150.05372616 -9.72236057009991,150.0088806 -9.63138767009991,149.21997066 -9.47472197010001,149.31448362 -9.01979249009997,148.60412604 -9.08250053009999,148.44441222 -8.67694469010002,148.23052974 -8.55972293010001,148.13525394 -8.06611055010001,147.73162842 -7.93999967010001,147.17858886 -7.46388905010002,146.96136468 -6.74722193010001,147.86605836 -6.67083353010003,147.82635504 -6.33722207009998,147.59051508 -6.0722226501,146.67845148 -5.77874993009999,145.76638788 -5.48527721009992,145.7355042 -4.80277733010001,145.12461858 -4.31249990009997,144.51373296 -3.82222247009992,144.01693728 -3.81055541009994,143.5184478 -3.43555547009993,142.67978916 -3.15939875009991,141.84113052 -2.88324203009995,141.00247188 -2.60708531009993,140.72717286 -2.63708321009995,140.72189328 -2.49000017009996,140.16233826 -2.32666691009996,139.78082268 -2.36138909009992,139.14058428 -2.06481491009993,138.50034588 -1.76824073009999,137.86010748 -1.4716665501,137.13107292 -1.79277773009989,137.18815614 -2.10416675009998,136.3566285 -2.25388913009999,135.90719604 -2.99041673009998,135.33331302 -3.39361115010001,134.87661738 -3.24888899009989,134.62496946 -2.50444463010001,134.47689822 -2.54388911009994,134.46289062 -2.86130381010003,134.15969844 -2.31944459009998,134.1452637 -1.9338889101,134.0882874 -1.67791649010002,134.27929692 -1.34930561009998,133.99383546 -0.734444330100018,133.42996224 -0.736388870099972,132.93205263 -0.540416660099993,132.43414302 -0.344444450100013),(166.90446468 -0.532628690100012,166.92924492 -0.552181550099988,166.95715338 -0.514120910099962,166.93058772 -0.493374110099921,166.90446468 -0.532628690100012),(135.4608459 -0.662425790099974,135.46203606 -0.797902070099951,135.75720222 -0.8255556501,135.88427736 -1.18555547009993,136.38636774 -1.1152082301,135.85163886 -0.703472270100008,135.4608459 -0.662425790099974),(135.50503536 -1.60039643009992,136.21884156 -1.87444445009993,136.90066536 -1.79618063009997,136.20285036 -1.6982885301,135.50503536 -1.60039643009992),(146.6385804 -1.97861099009998,146.52499392 -2.19083315009999,147.20843502 -2.18951375009993,147.43872072 -2.0631944301,147.39193728 -1.96083329009997,146.6385804 -1.97861099009998),(149.95010376 -2.47076339009993,150.36773688 -2.68666655009991,150.41720574 -2.4605555901,149.95010376 -2.47076339009993),(150.81059268 -2.56229159009996,150.88378914 -2.70934025010001,150.7523499 -2.76944441009999,151.46942139 -3.13784744010002,152.18649288 -3.50625047009999,152.49157722 -3.8522545701,152.6962662 -4.33758578009991,152.90095518 -4.8229169901,153.12808224 -4.39159721009997,153.00692748 -4.09361171009994,152.53102107 -3.67375037009992,152.05511466 -3.25388903009997,151.43285367 -2.90809031009996,150.81059268 -2.56229159009996),(152.18316648 -4.30819421009988,152.18150328 -4.1469449901,151.97080986 -4.33659749010002,151.53692634 -4.18194383010001,151.6844178 -4.88890265010002,151.26429744 -4.98513839010002,150.97912596 -5.44499969009996,150.67791756 -5.55129905009994,150.1438599 -5.53777799009998,150.04248048 -5.30861099009996,150.20391852 -5.07180551009998,150.09233094 -5.00777825009999,149.87802132 -5.53569413010001,149.2207641 -5.60611157009993,148.42858878 -5.45111177009989,148.3223724 -5.67259259010001,149.06622312 -6.1645831701,149.31192024 -6.05722235009995,149.63470452 -6.30805487010002,150.40332036 -6.29333357009995,150.89401251 -6.05026697009998,151.38470466 -5.80720037010002,151.47052002 -5.53097255009999,151.82205192 -5.60111135009993,152.09606934 -5.45722295009995,151.96801752 -5.00416763009991,152.23732002 -4.98722225009993,152.38610838 -4.79333309010002,152.35580448 -4.34305571009997,152.18316648 -4.30819421009988),(154.53027342 -5.13388913009993,154.6372071 -5.45861147009992,154.7291259 -5.21598479009998,154.64262384 -5.01638891009992,154.53027342 -5.13388913009993),(154.79232786 -5.48083355009999,154.75057992 -5.94915773010001,155.21649174 -6.32472269009997,155.33988948 -6.74145833009999,155.91253662 -6.80548577010001,155.91476448 -6.52076393009997,155.40408324 -5.99999999009998,155.07357786 -5.56166651009994,154.79232786 -5.48083355009999),(156.4416351 -6.63986165009999,156.93206796 -7.21638923009999,157.44384774 -7.43388845009986,157.53227238 -7.31666669009996,157.18829346 -7.17833327009998,157.0424805 -6.90166661009994,156.4416351 -6.63986165009999),(148.06530756 -5.62758449009999,147.78207396 -5.49249989009996,147.9904785 -5.85603707009994,148.06530756 -5.62758449009999),(147.13552854 -5.45111177009989,147.12481692 -5.19152729009994,147.002472 -5.30388833009999,147.13552854 -5.45111177009989),(158.48745732 -7.55416679009994,158.84217828 -7.97145845009993,159.32231901 -8.24656298009995,159.80245974 -8.52166751009997,159.85121148 -8.33194445009997,159.1693344 -7.94305562009993,158.48745732 -7.55416679009994),(160.58024604 -8.33499905010001,160.88552856 -9.18430511009996,161.37899784 -9.63187403009999,161.22662352 -9.11777693009998,160.9442901 -8.81652731009996,161.0099793 -8.63555711010002,160.81289676 -8.37013811010002,160.58024604 -8.33499905010001),(179.20252998 -8.46572873009995,179.213211 -8.56122593010002,179.2319184 -8.53400993009996,179.23095702 -8.50509365009998,179.20252998 -8.46572873009995),(160.38638298 -9.4266662901,159.60183714 -9.32055575009991,159.8343354 -9.79916675009997,160.65026856 -9.93000029009988,160.82025138 -9.82944491009999,160.38638298 -9.4266662901),(151.22912598 -10.2011108900999,151.28276058 -9.92527871009992,151.11808776 -10.0465974501,150.76261908 -9.70784663009999,150.94970712 -10.1055546501,151.22912598 -10.2011108900999),(150.5144349 -9.62333303009996,150.84692388 -9.71805569009996,150.80441292 -9.43277747010001,150.43913262 -9.35708243009987,150.5144349 -9.62333303009996),(150.33441168 -9.52666673009998,150.19358832 -9.20944409010002,150.1095429 -9.37069313009999,150.33441168 -9.52666673009998),(152.49871818 -9.02333453009999,152.83551024 -9.23555561009994,152.9999847 -9.16902833009999,152.9356689 -9.04527851009999,152.49871818 -9.02333453009999),(157.99133304 -8.77305605009997,158.09497074 -8.52458387009995,157.87551888 -8.6099987300999,157.99133304 -8.77305605009997),(157.38442992 -8.73444371009998,157.35989376 -8.41083431009997,157.19885262 -8.56888961009997,157.38442992 -8.73444371009998),(157.5323334 -8.25527957009996,157.8119202 -8.62083239010002,157.90615848 -8.48312375009994,157.77769464 -8.24826335009999,157.42483524 -7.99208303009999,157.23635868 -8.31222149009994,157.5323334 -8.25527957009996),(157.15054314 -8.15166671009996,157.18359384 -7.93166639010002,157.02767946 -7.86534683009995,156.96774288 -8.04638867009987,157.15054314 -8.15166671009996),(156.70303344 -7.95083333009995,156.80830392 -7.72874969010002,156.55441284 -7.57861133009993,156.70303344 -7.95083333009995),(161.29698174 -10.2118739901,161.77832028 -10.7208328101,162.30581658 -10.8419438300999,162.29275506 -10.7294454501,162.10649106 -10.4493046101,161.29698174 -10.2118739901),(165.8088684 -10.7349986301,165.88302606 -10.8736096100999,166.15734858 -10.6780567101,165.8088684 -10.7349986301),(138.37954716 -8.41055585010002,138.8488464 -8.07833291010002,139.03665156 -7.61388881009998,138.80691522 -7.3831945101,138.55975344 -7.37908457009996,138.01824954 -7.62520793009998,137.6449128 -8.43513863009997,138.37954716 -8.41055585010002),(131.17831416 -8.13124949009995,131.0135193 -8.09027771009994,130.76553348 -8.35499957010001,131.17831416 -8.13124949009995),(125.13970944 -8.32569413009992,125.08749396 -8.15541647009991,124.47499086 -8.13586991009998,124.35915366 -8.45999915009992,125.13970944 -8.32569413009992),(124.12552644 -8.55222323009997,124.2998352 -8.2081948101,123.9807969 -8.34277721009994,123.91110234 -8.45861153009997,124.12552644 -8.55222323009997),(123.9324723 -8.23548515009998,123.78762054 -8.1847219101,123.5822067 -8.37805559009996,123.40248102 -8.27500145009992,123.46989444 -8.35511009009991,123.21900936 -8.53201391009992,123.4060974 -8.59694477009992,123.9324723 -8.23548515009998),(123.08804316 -8.41527743009988,123.34664916 -8.28347297009998,123.09081264 -8.2857361101,123.08804316 -8.41527743009988),(127.7977905 -8.10385511009997,128.02526856 -8.26749995009999,128.1277314 -8.16861155010002,127.7977905 -8.10385511009997),(129.7672119 -8.06041715010002,129.8425293 -7.84124987009994,129.63217158 -7.79857259009998,129.7672119 -8.06041715010002),(125.8609734 -7.99940885009994,126.79054254 -7.7497214901,126.6184539 -7.56499955009991,125.97221376 -7.65861125010002,125.7937614 -7.99940885009994,125.7827607 -8.02041719009992,125.8609734 -7.99940885009994),(131.23704528 -7.49097203010001,131.10856632 -7.99847213009997,131.32926936 -8.01430601009992,131.63009652 -7.62916613009997,131.64572142 -7.11665537009992,131.23704528 -7.49097203010001),(113.17359168 -7.22156243009999,114.12796014 -6.97326377009995,113.5336914 -6.93329864010002,112.93942266 -6.89333351009998,112.7169342 -7.14875027009992,113.17359168 -7.22156243009999),(115.2933273 -6.8387927901,115.2955323 -7.00826459009994,115.57048032 -6.92111057009998,115.2933273 -6.8387927901),(134.05149846 -6.77763941009999,134.20053108 -6.92083319009998,134.51573178 -6.59250023009992,134.1209412 -6.17035199010002,134.05149846 -6.77763941009999),(134.11996452 -6.13416677009997,134.33303826 -6.32638931010001,134.21450808 -6.02635757009995,134.11996452 -6.13416677009997),(134.2685241 -6.1149307101,134.60551452 -6.36958265009991,134.76693726 -6.09000017009993,134.51153562 -6.00043829009996,134.47827144 -5.98877483009994,134.4475098 -6.00727505009996,134.2685241 -6.1149307101),(134.30233764 -6.02277755009993,134.50431816 -5.96407469009995,134.73023994 -5.97708329009998,134.692749 -5.5302782901,134.5161744 -5.4364327701,134.35992432 -5.70611093010001,134.20910646 -5.70402761010001,134.38096614 -5.80673597009996,134.30233764 -6.02277755009993),(132.73945614 -5.95020821009996,132.73855596 -5.67884345009998,132.62884524 -5.63444519009994,132.73945614 -5.95020821009996),(119.6637345 -5.6966663300999,120.3288804 -5.5120840701,120.4634628 -5.61979157010001,120.26609802 -5.15277761009986,120.42221076 -4.67833325010002,120.41540532 -3.96847220009994,120.40859988 -3.25861115009997,120.20193486 -2.96333339009988,120.77192682 -2.61250025009997,121.07610324 -2.75888921009999,121.06957248 -3.2051389101,120.88109592 -3.53562521009997,121.61470032 -4.06472207009995,121.47997284 -4.66027781009996,121.97776788 -4.8572224701,122.11025994 -4.81416611009996,122.10471342 -4.5261115701,122.89929966 -4.38972233009991,122.85775764 -4.07638931010001,122.68399806 -4.13902805009997,122.59942632 -3.88361129010002,122.19859314 -3.58138895010001,122.35610196 -3.22027511009998,122.47622676 -3.16090265010001,122.26581576 -3.02791667009996,122.2885863 -2.95944899009999,122.30747982 -2.90263883009999,121.7160873 -2.18333291009998,121.34436804 -1.99277771009986,121.30358886 -1.78805561009995,121.69338228 -1.90986107010002,121.83664698 -1.69138877009993,122.3770599 -1.48972217009998,122.82971184 -0.909166730099969,123.15305322 -0.89666681009993,123.33374784 -1.05611117009994,123.41137698 -0.65361119009998,123.05774682 -0.560277770100015,122.7303315 -0.654166670099869,122.91762546 -0.764861090099942,122.22692874 -0.76083341010002,121.92775722 -0.963333410100006,121.62220758 -0.805000010100002,121.08055122 -1.42458323009993,120.67859646 -1.39763885009995,120.49665066 -0.97944431009995,120.09693906 -0.685000130099922,119.99887092 -0.199166630100024,120.24220284 0.345000009899991,120.54914856 0.536111049900001,121.10485068 0.407222229900071,121.5373383 0.538055409899926,121.79248038 0.422638869900027,122.43025962 0.466111029899992,123.06803886 0.509583189900127,123.26277168 0.31333332989999,123.64582824 0.281110989900071,124.32040398 0.393194469900038,124.78047174 0.933263769900123,125.2405395 1.47333306989998,125.03276064 1.69999986990001,124.55581662 1.36999992990008,124.58970648 1.1913884499001,123.91304022 0.834722049899995,123.20304876 0.956666649900058,122.84631342 0.814672749900069,122.46443172 0.999166449900031,121.57276914 1.05833316990004,120.96443178 1.34249970990004,120.82041162 1.31305530990011,120.57484428 0.776944389899995,120.25721736 0.971944329900055,119.77805322 0.229722249900021,119.82998664 -0.0934722500999214,119.62564848 0.000208389900080874,119.79588312 -0.115833290099999,119.85915366 -0.853611170099953,119.7363663 -0.652222310100001,119.51721198 -0.876388730099961,119.30886846 -1.26527783009988,119.35401156 -1.93611101009992,119.21137992 -2.01194483009999,119.14419978 -2.44878089010001,119.1435318 -2.45312483009997,118.75916286 -2.77416653009999,118.8886032 -2.89319459009999,118.92568212 -3.5731944501,119.29304502 -3.42763907009999,119.50610346 -3.52722209009994,119.62330632 -4.32805631009995,119.48910903 -4.86406301009993,119.35491174 -5.40006971010001,119.6637345 -5.6966663300999),(116.30532078 -3.90722207009998,116.27105706 -3.28525313009987,116.01277164 -3.63277769009994,116.05525974 -4.04236121009995,116.30532078 -3.90722207009998),(127.10567466 -0.29444441009997,127.11637116 -0.525000110099938,127.25402076 -0.497638850099918,127.2432708 -0.267773990100011,127.10567466 -0.29444441009997),(127.30261986 -0.516805610099937,127.45720674 -0.813194330099975,127.81525428 -0.871805570099923,127.8957519 -0.777916670099955,127.6491546 -0.704305670099984,127.684143 -0.46777775009997,127.53130338 -0.310349030099985,127.32012936 -0.343055570099978,127.30261986 -0.516805610099937),(130.64324958 -0.9726388700999,130.87466424 -1.34083337009992,131.03829954 -1.23944423009999,131.01547248 -0.918270950100009,130.64324958 -0.9726388700999),(123.55386354 -1.30500005009998,123.37123104 -1.22548595009994,123.23055276 -1.39888877009992,123.1948395 -1.15305539010001,122.92221078 -1.17694445009994,122.80567176 -1.45444433009999,122.90678406 -1.59180557010001,123.12915048 -1.3311112101,123.18151086 -1.62402773009995,123.55386354 -1.30500005009998),(127.46053314 -1.43535749009993,127.37831112 -1.63388903010002,127.53333288 -1.73944427009997,128.15414424 -1.66194437009989,127.72137456 -1.34861117009996,127.46053314 -1.43535749009993),(130.35055536 -1.68020483009997,129.71794122 -1.88819447010002,130.1207886 -2.06611115009997,130.38150024 -2.0109724701,130.35055536 -1.68020483009997),(126.05345154 -2.4827773101,125.95915224 -1.97854637009999,125.86192326 -2.0866666101,126.05345154 -2.4827773101),(124.4053269 -2.01611111009993,125.31998448 -1.88743055009996,125.29074096 -1.73326379010001,124.42492674 -1.65711839009998,124.4053269 -2.01611111009993),(125.4158478 -1.78388339010002,125.46665946 -1.9400000901,126.3488769 -1.81986107009999,125.4158478 -1.78388339010002),(129.5266419 -2.78361131010001,129.13302618 -2.96326373009998,128.17192086 -2.85694457009998,127.85608674 -3.18666641009997,127.91831976 -3.55944443009992,128.18186946 -3.07409747009996,128.47038264 -3.46069463010002,128.88267516 -3.20937485009995,128.96829216 -3.35361155009997,129.51782226 -3.46993025009999,129.51609804 -3.29750015009995,129.88858032 -3.33444425009998,130.35926817 -3.60361085009993,130.82995602 -3.87277745009999,130.87397772 -3.5929858101,130.3760682 -2.98861115009998,129.5266419 -2.78361131010001),(126.69303888 -3.83493047009995,126.89226 -3.75524681009995,127.2366486 -3.61749983009997,127.26054378 -3.37749989010001,127.09622952 -3.37020827009997,126.9938736 -3.14500001009986,126.12789918 -3.11968139009991,126.04414374 -3.42680549009998,126.31969116 -3.62999741009992,126.50804136 -3.7688890101,126.69303888 -3.83493047009995),(128.0363769 -3.59305529009998,127.91831976 -3.74083331010002,128.19705192 -3.64215281010001,128.1177369 -3.77694455009993,128.34677124 -3.53277797009991,128.0363769 -3.59305529009998),(123.04609686 -3.9786199701,122.95776366 -4.10027783010003,123.14623266 -4.24270823009988,123.25388328 -4.06277753009999,123.04609686 -3.9786199701),(122.85443124 -4.60055543009997,122.74118046 -5.24460263010002,122.56860348 -5.50694471010002,122.65544124 -5.68503383009994,123.2146377 -5.29368017009995,122.9797134 -5.10722249010001,123.0455322 -4.7575006701,123.21539298 -4.82180603009999,123.0755463 -4.40351015009998,122.85443124 -4.60055543009997),(121.96179954 -5.47666691009999,121.98135384 -5.0811071901,121.80831138 -5.26916687009998,121.96179954 -5.47666691009999),(122.3742141 -4.7559028101,122.28470604 -5.3817358101,122.6166534 -5.35456571009991,122.64359292 -5.35236071009996,122.6539611 -5.23626431010001,122.70915216 -4.61833295009995,122.3742141 -4.7559028101),(134.58500676 -6.4008360501,134.45278938 -6.2880334701,134.34552 -6.35972207010002,134.54386902 -6.53361125009997,134.58500676 -6.4008360501),(138.55705254 -8.36583233009998,138.89859012 -8.40534791009998,138.82302864 -8.17305557010002,138.55705254 -8.36583233009998),(108.09664362 -3.1940426301,108.29331972 -2.85378701010001,107.83276362 -2.53500035009989,107.6660919 -2.56437491010001,107.61479946 -2.77874843009999,107.64449316 -3.22624967009995,107.8697052 -3.05180555009997,108.04552848 -3.20043209009998,108.07738488 -3.22736081009998,108.09664362 -3.1940426301),(106.7816619 -2.59194425009991,106.27040862 -2.37430553009989,106.02679446 -1.57472231010001,105.70915224 -1.54750019009998,105.78109734 -1.79500001010001,105.60498048 -1.53597227009993,105.4552689 -1.56708329009996,105.13755792 -2.07583349009991,105.7924881 -2.16444443009988,105.92915346 -2.74861103009999,106.1457444 -2.86847357009998,106.71775812 -3.09833339009998,106.60136418 -2.92263881009995,106.7816619 -2.59194425009991),(109.75637826 -1.0325160500999,109.49247738 -0.979722230099867,109.41858666 -1.26333347010001,109.7758179 -1.14236105009996,109.75637826 -1.0325160500999),(104.59636686 -0.469861070100023,104.4852066 -0.348013670099931,104.25011436 -0.474722150099979,104.49344628 -0.626944370099977,104.59636686 -0.469861070100023),(104.92942806 -0.334166630099901,104.52497868 0.0104167299001006,104.442894 -0.222500030099923,104.92942806 -0.334166630099901),(103.05156708 0.786063729899922,102.4732971 1.1177772699001,102.50080866 0.793055289900053,103.05156708 0.786063729899922),(102.37329108 0.925277529900143,102.47743224 1.20605142990007,102.21094512 1.4036106099,102.37329108 0.925277529900143),(103.63986972 1.31859894989992,103.84243776 1.25956920990006,103.99094388 1.38259938990001,103.80500028 1.43601150990014,103.63986972 1.31859894989992),(104.40871434 1.19680536989995,104.23136142 1.08499980990001,104.5833129 0.81916662990011,104.66689302 1.0238266299001,104.40871434 1.19680536989995),(103.16560356 0.853845429900105,102.86746218 1.13638836990003,102.657753 1.05416634990007,103.16560356 0.853845429900105),(103.9008789 1.08958314990002,104.07832344 0.985555389900071,104.15305332 1.13536074989992,103.9008789 1.08958314990002),(111.40996554 2.3782692099,111.41151426 2.3763883899,111.4111863 2.37797598990011,111.32894898 2.78034690990012,111.3118362 2.49721662990004,111.40996554 2.3782692099),(108.39749148 3.97694388989999,108.25138854 4.17999936990009,107.9916534 4.02416616990007,108.06157692 3.85186764989999,108.20139318 3.79638858990012,108.11720268 3.67611078990012,108.3210984 3.6826381299,108.39749148 3.97694388989999),(121.7927628 6.63055410990012,121.9905396 6.40833276990014,122.23831176 6.59222130990014,122.07568356 6.75249960990004,121.7927628 6.63055410990012),(121.12831116 6.08666610990014,120.86943048 5.95388784990007,121.2880401 5.85416604990007,121.42712394 5.97763776990013,121.12831116 6.08666610990014),(117.25053408 7.1791653099001,117.26818092 7.34388780990002,117.09326178 7.29345414990013,117.06644448 7.10506812990002,117.25053408 7.1791653099001),(117.1785888 8.33298402990005,117.76359177 8.76079659990012,118.34859474 9.18860916990002,118.75336452 9.65450766990011,118.75332636 9.92499834990008,119.20193478 10.0484704299,119.32859808 10.3094434299,119.7158508 10.5109357899001,119.48401638 10.8793029099,119.47193154 11.4242343699,119.30274972 11.0061102099,119.43109134 10.7208309099,119.2166442 10.9554834099,119.31344604 10.5841646499001,119.13158412 10.3836784899,119.00651544 10.4393033499,118.80108648 10.0347213099,118.41414642 9.64694307989998,118.02720636 9.2591648499,117.66220092 9.07694238990001,117.1785888 8.33298402990005),(115.84076688 10.7211379899,115.82275392 10.7315121099,115.81451424 10.7244634899,115.8220062 10.7119065099,115.84076688 10.7211379899),(122.04942318 11.2336082499,121.96997838 10.4131927299,122.54678343 10.7894424999001,123.12358848 11.1656922699001,123.16665654 11.5644435699001,122.88025674 11.4302758899,122.83083342 11.6086081899,122.58664704 11.5211105499001,121.95443718 11.9274978099001,121.8494187 11.7584706099,122.09679414 11.7049980099,122.04942318 11.2336082499),(120.07054134 11.8649978499,119.88372798 11.9751367899,119.95276644 11.6566658499001,120.07054134 11.8649978499),(123.24574278 12.6057615699,123.16470336 11.9041653099001,123.53692626 12.2054147499001,124.079094 11.7279138099,123.91081236 12.1891650699001,123.24574278 12.6057615699),(120.339981 11.9927749898999,120.24471276 12.1797199299,119.88804618 12.3336085899001,119.97302238 12.0241641099001,120.20060736 12.0000000099,120.339981 11.9927749898999),(120.68802648 13.1358318699001,121.12317666 12.2449971099001,121.4396973 12.3516636699001,121.50221256 13.1488876299,120.99032586 13.5184020699,120.32109072 13.4758309899,120.68802648 13.1358318699001),(121.83719634 13.3347205299001,122.03089902 13.2008208698999,122.1266403 13.4563864899,121.87442016 13.5413875299,121.83719634 13.3347205299001),(121.91776272 12.3029146298999,122.01805116 12.0941639499001,122.12275698 12.6769427499,121.91776272 12.3029146298999),(122.45902254 12.4847889699001,122.64026634 12.2644443098999,122.66943354 12.4836081699001,122.45902254 12.4847889699001),(124.33776084 11.6775674499,124.48803708 11.4616641099,124.61914062 11.5220823699,124.53137208 11.6797198899,124.33776084 11.6775674499),(124.0502625 11.2774981899,123.73026282 10.6637486799,123.41026314 10.0499991699,123.35206608 9.41673468990001,123.6365127 10.0698594699,124.01998902 10.3870124499001,124.0502625 11.2774981899),(123.79179384 9.73333074990006,123.9569397 9.59860794990004,124.35720822 9.62360850990001,124.5992202 9.76173402990003,124.5285873 10.0555534299,124.15248864 10.1480550699001,123.79179384 9.73333074990006),(123.34684752 10.3943996499001,123.5047149 10.9373597499001,122.95247652 10.8944445099,122.8569336 10.0951366899001,122.45387274 9.97485924990002,122.40664668 9.79860882989999,123.01470954 9.03388782989998,123.31275948 9.29638668990009,123.10706322 9.62763600990002,123.34684752 10.3943996499001),(123.45720678 9.19055370989997,123.58638 9.08888628990007,123.70763394 9.13805490990012,123.62858586 9.2968044699,123.45720678 9.19055370989997),(119.81694024 10.4391651098999,119.99706264 10.5953446299,119.76082614 10.5587482899,119.81694024 10.4391651098999),(112.74718482 16.6605414699,112.7354202 16.6667937699001,112.74200442 16.6552294899,112.74718482 16.6536483699001,112.74718482 16.6605414699),(104.02638246 10.0802755299001,104.01239016 10.4394322299,103.83837894 10.3677052899001,104.02638246 10.0802755299001),(130.3926849 -11.1634025900999,130.48510734 -11.6024103501,130.49343864 -11.6420135901,130.55540472 -11.6815376301,130.9588623 -11.9388884901,131.52859506 -11.3919448101,131.27151492 -11.1902780300999,131.22351072 -11.4020138301,131.15171808 -11.2607651301,130.7049561 -11.3902778301,130.3926849 -11.1634025900999),(130.49127198 -11.6897067501,130.25567628 -11.3441666901,130.02470406 -11.7984724701,130.49356086 -11.8386115701,130.63658148 -11.7729167900999,130.49127198 -11.6897067501),(136.37802132 -14.2163887101,136.88916012 -14.2977791301,136.908783 -14.1792660501,136.70802306 -14.1677770100999,136.9184571 -13.8095836701,136.71289062 -13.8379163901,136.6788636 -13.6580562501,136.42831422 -13.8869456901,136.37802132 -14.2163887101),(139.30664058 -16.4624976501,139.14831546 -16.7608337901,139.7335815 -16.4558335101,139.30664058 -16.4624976501),(153.19941714 -11.3220833901,153.56607048 -11.6424999500999,153.7527618 -11.5662497901,153.19941714 -11.3220833901),(159.96733092 -11.5044449901,160.4974671 -11.8458328101,160.43705748 -11.6800002501,159.96733092 -11.5044449901),(166.65817266 -15.1506943700999,166.7635956 -15.6445837701,167.23336788 -15.5253449301,167.1078186 -15.1237030101,167.00532534 -14.9257640301,166.80276486 -15.1575012500999,166.55274972 -14.6568049701,166.65817266 -15.1506943700999),(167.66928108 -15.4443064101,167.8469238 -15.4908333501,168.00344856 -15.2922229700999,167.66928108 -15.4443064101),(167.3760681 -16.1905556301,167.49496458 -16.5933342501,167.82400512 -16.4261111901,167.21109 -15.8761100300999,167.14663704 -16.0858345100999,167.3760681 -16.1905556301),(167.9128875 -16.2334708701,168.14413458 -16.3622207300999,168.32482902 -16.3069457901,168.1674804 -16.0861129701,167.9128875 -16.2334708701),(168.14831544 -16.5805549701,168.17066964 -16.8068065101,168.47134398 -16.8488883500999,168.14831544 -16.5805549701),(177.62466438 -17.4447212900999,177.25804146 -17.8720835900999,177.47302248 -18.1627769300999,178.01913456 -18.2677802901,178.58828736 -18.1352767100999,178.69483944 -18.0520839501,178.59468078 -17.6394443900999,178.19079588 -17.3025016701,177.62466438 -17.4447212900999),(168.57467658 -17.6927756901,168.31109628 -17.5313911101,168.14845278 -17.7166652901,168.38415522 -17.8300017501,168.57467658 -17.6927756901),(168.98649606 -18.8766670100999,169.27108758 -18.9999999501,169.32330324 -18.8897209700999,169.03997802 -18.6258316100999,168.98649606 -18.8766670100999),(178.17927552 -18.9849281901,177.95217888 -19.1295833901,178.09411626 -19.1627770101,178.49432376 -18.9747886101,178.17927552 -18.9849281901),(169.2338562 -19.5275002101,169.43136588 -19.6580543900999,169.49774178 -19.5311126301,169.24829094 -19.3380547100999,169.2338562 -19.5275002101),(163.9827423 -20.1105574700999,164.38510134 -20.7718087101,164.82254031 -21.1649323101,165.25997928 -21.5580559101,166.11636348 -21.9463882700999,166.45190436 -22.3166657301,166.99856562 -22.3411102701,166.95094302 -22.0936108101,166.19698332 -21.5963888001,165.44302362 -21.0991667901,165.22329708 -20.7652779500999,164.60301969 -20.4379177100999,163.9827423 -20.1105574700999),(167.06497194 -20.9972191100999,167.3627319 -21.1833304701,167.46357726 -21.0573616101,167.27754204 -20.8995838701,167.30621334 -20.7222214101,167.05136106 -20.7201366501,167.18997186 -20.8104170901,167.06497194 -20.9972191100999),(167.80969242 -21.3838882701,167.99468994 -21.6608314101,168.1305084 -21.6161116700999,168.09524532 -21.4555549101,167.80969242 -21.3838882701),(151.01846316 -23.4563884700999,151.2271728 -23.7866668701,151.22247318 -23.5586128100999,151.01846316 -23.4563884700999),(152.9430237 -25.5583343301,153.0816345 -25.7958335301,153.37106316 -25.0141678700999,153.28164672 -24.6991653500999,152.9430237 -25.5583343301),(167.9159088 -29.0424670700999,167.96511846 -29.0810565501,167.99900814 -29.0273589501,167.93040474 -29.0006122100999,167.9159088 -29.0424670700999),(173.18942262 -35.0127792500999,173.10330198 -35.2261048101,173.38177494 -35.5247192301,173.6555481 -35.3179168701,173.39720148 -35.5706977101,173.739006 -35.9900683701,174.08081052 -36.4094390301,174.17831418 -36.2797241901,174.1094055 -36.1745910501,174.50524908 -36.2313842901,174.26858526 -36.3458327901,174.42053226 -36.3684730101,174.45469662 -36.6479149101,174.1877442 -36.4969481901,174.50024418 -37.0347251901,174.77026362 -36.9366608301,174.8874816 -37.0591659501,174.70385748 -37.1977767501,174.55081176 -37.0772248100999,174.71427912 -37.3629188301,174.84065244 -37.2941703500999,174.71746818 -37.4250029901,174.84829704 -37.7697220701,174.97497564 -37.7500000100999,174.79330452 -37.8498649101,174.94024662 -38.1011123301,174.72439584 -38.1858291500999,174.58773804 -38.8288879701,173.75164794 -39.2699966901,173.96662896 -39.5434760900999,174.78109746 -39.8530579101,175.07162484 -40.0030594701,175.23800658 -40.3297272501,175.11273198 -40.7388915500999,174.5919189 -41.2786102101,174.89123532 -41.2262458701,174.86357112 -41.4223632501,175.18858344 -41.4277801701,175.23080442 -41.6208343101,175.7399598 -41.3941687701,176.30703738 -40.7577762501,176.87411496 -40.1213837300999,177.11744688 -39.6793060700999,176.94662472 -39.6644440101,176.8985901 -39.4422187101,177.05496222 -39.2044448301,177.62884524 -39.0711136100999,177.9099732 -39.2569502901,177.92886348 -38.7222214101,178.29844668 -38.5391693301,178.35052482 -38.0047225101,178.55761716 -37.6956902300999,178.01800542 -37.5508309101,177.47357184 -37.9625015300999,177.15942378 -38.0133362301,176.57691957 -37.8261147201,175.99441536 -37.6388932100999,175.9555359 -37.5211105701,176.16560364 -37.6210402701,175.88970954 -37.2469444701,175.84732062 -36.8429146701,175.70870964 -36.8726348300999,175.84078986 -36.7541732300999,175.54039002 -36.5173607301,175.35385134 -36.5250015501,175.57913214 -37.2444458900999,174.80831904 -36.8052750501,174.78109746 -36.2669449101,174.5226288 -35.8469429900999,174.34872432 -35.8362502700999,174.3596802 -35.7234687501,174.60244746 -35.8444442301,174.31997688 -35.2327729101,174.14358516 -35.3286133701,174.00970458 -35.2181930900999,174.1010742 -35.1211090100999,173.47149666 -34.9902801501,173.45080566 -34.8077774300999,173.26692198 -35.0170861101,172.91192634 -34.4147186301,172.7224731 -34.4952774500999,173.18942262 -35.0127792500999),(174.0451203 -41.4466666701,174.32385246 -41.2215232100999,174.02664186 -41.2361145501,174.25807182 -41.1225586701,174.31954956 -41.0019455300999,174.0327453 -40.9997254100999,173.89358514 -41.1927719901,174.07438668 -41.1979484301,173.78802486 -41.2905578900999,173.94982902 -41.0581931900999,173.79362484 -41.0159416101,173.10552984 -41.3133316701,173.01330558 -40.7966690301,172.86065676 -40.8530578101,172.65692142 -40.6533280101,172.98822024 -40.5310401501,172.63024902 -40.5105590301,172.11386106 -40.8799973301,172.06497198 -41.4036103101,171.51080328 -41.7644500100999,171.15165702 -42.5604172100999,170.79412842 -42.9013901301,170.22732543 -43.2516670701,169.66052244 -43.6019440101,169.0164261 -43.8212509700999,168.37232976 -44.0405579301,167.91156774 -44.4163227801,167.45080572 -44.7920876301,167.50619514 -45.0001411701,167.3167725 -44.8731918501,166.99691772 -45.1458358700999,167.30400078 -45.3165282501,167.05108638 -45.3333281901,167.20523064 -45.4777754900999,166.82162472 -45.3205566501,166.70745846 -45.5769463100999,167.04135126 -45.5013961701,166.77581796 -45.6627731900999,166.97412108 -45.7350005301,166.4646912 -45.8394394101,166.61468502 -46.0886116100999,166.94462592 -45.9492340101,166.7219085 -46.2124976901,167.5463562 -46.1541672501,167.8282929 -46.3965302301,168.37133796 -46.4190253701,168.35140998 -46.6031646500999,169.13302614 -46.6708374501,169.70190426 -46.5580521501,170.34246828 -45.9736099701,170.7797088 -45.8805541100999,170.55664056 -45.8848609701,170.87094117 -45.4115963300999,171.18524178 -44.9383316901,171.278595 -44.3699951900999,171.5384826 -44.1787757901,172.42498782 -43.7336120301,172.86621102 -43.9029158901,172.93997196 -43.7561111301,173.11148064 -43.8291664701,173.0596923 -43.6530532101,172.7758179 -43.6122207500999,172.77221682 -43.2197188701,173.28552246 -42.9580535901,173.78733825 -42.3531951800999,174.28915404 -41.7483367700999,174.0451203 -41.4466666701),(146.83358772 -43.6480560501,147.09533688 -43.2887153900999,146.99128716 -43.1124305901,147.24745182 -43.2691688301,147.31747434 -42.8466643700999,147.42712404 -43.0417404501,147.55746456 -42.8305586901,147.82580568 -42.9319458501,147.89941398 -43.0268746100999,147.70649718 -42.9383277500999,147.6316224 -43.0655517501,147.78970344 -43.2469481901,147.99552912 -43.2275886501,147.99969486 -42.9070777701,147.8428803 -42.8729171900999,148.0791168 -42.1172179701,148.19526666 -41.9454499101,148.36384584 -42.2224274301,148.31858061 -41.5617675800999,148.27331538 -40.9011077301,147.9718323 -40.7447890701,147.27896118 -40.9657249401,146.58609006 -41.1866608101,145.64372256 -40.9729156701,144.70135506 -40.7591705301,144.63720702 -41.0319443301,144.85858146 -41.5444487900999,145.20531456 -41.9477786601,145.55204766 -42.3511085301,145.46942136 -42.5230560500999,145.20523068 -42.2569503501,145.45968624 -42.9044418501,145.83691404 -43.2972259700999,146.23454286 -43.3251419901,145.93267818 -43.3763159901,146.03829948 -43.4980544901,146.83358772 -43.6480560501),(147.30026238 -43.2627791901,147.12301638 -43.4219436500999,147.30276492 -43.5133361301,147.30026238 -43.2627791901),(148.47914124 -40.4306946501,148.3430175 -40.3066634901,147.99856572 -40.3897246701,148.33914192 -40.5033340101,148.47914124 -40.4306946501),(148.279419 -39.9658356501,147.88189692 -39.7541732901,147.76074216 -39.8779830500999,148.12884522 -40.2744445700999,148.3313598 -40.2191658501,148.279419 -39.9658356501),(144.14645394 -39.9294394701,143.97746274 -39.5738906901,143.8377381 -39.8730544700999,143.92163088 -40.1363906901,144.14645394 -39.9294394701),(167.80912776 -46.9200019101,167.5223388 -47.2765273700999,168.21774288 -47.0725020501,168.01165764 -46.7306060901,167.77290348 -46.7029190301,167.80912776 -46.9200019101),(165.89303586 -50.8476371900999,166.23786924 -50.8518067101,166.14135738 -50.6980514301,166.29193116 -50.5683364101,166.10830686 -50.5366668500999,165.89303586 -50.8476371900999)),((-168.12637326 65.6699829699,-167.4623565 65.4201202899001,-166.80854034 65.3568573099,-166.15472418 65.2935943299,-166.6116639 65.1210936699001,-166.95291132 65.2216492299,-166.38723756 64.8884582499,-166.40278632 64.6559601699001,-165.72167208 64.5504684699001,-165.04055784 64.4449767699001,-164.43124389 64.5170669499001,-163.82192994 64.5891571299001,-163.13874822 64.4126892699,-163.04055786 64.5183181298999,-163.3526307 64.5906829899,-163.1700135 64.6552581699001,-162.79028316 64.3361053899001,-162.10777284 64.7162400099,-161.13768012 64.9103851299001,-160.80757146 64.6265182899,-161.52917472 64.4188690299001,-161.18902584 64.4141541099001,-160.9483338 64.1994171699001,-160.81805412 63.7163848299001,-161.4415284 63.4577712699,-162.30598452 63.5406227499,-163.1116638 63.0519333699,-163.75639338 63.1334629299,-164.40112296 63.2149924899001,-164.58451848 63.1340904099001,-164.31805422 63.0096474099001,-164.69827272 63.0192298899,-164.8768005 62.8380471099001,-164.78604126 62.6523475899,-164.49336234 62.7467307699001,-164.84776308 62.5693321299001,-164.68640136 62.3802718298999,-164.89752192 62.5313796698999,-165.24722286 62.4460983699001,-165.701538 62.1159668499,-165.63333132 61.8469390299001,-166.09269708 61.8159637299001,-165.82695012 61.6812400299,-166.14770508 61.7137755699001,-166.17083742 61.5458298099001,-165.81597894 61.5343017099,-165.87359622 61.3326300699,-165.3866883 61.0686035499,-165.4063416 61.2058830699,-165.19764708 61.4065170099001,-164.71936044 61.6253356299001,-165.28060908 61.2582168099,-165.36686706 61.2017974299001,-165.31721496 61.1927947299001,-164.82208248 61.1030501499001,-165.15029916 60.9280471299001,-164.6165466 60.9271278699001,-164.04611202 60.8569411899001,-163.67304996 60.9906844299,-163.55512998 60.8971062099001,-163.88883972 60.8543167899,-163.42715448 60.7027015299001,-163.7868195 60.5777016099,-163.95138558 60.7805481099001,-164.41236882 60.5527687299,-164.27091978 60.7829055699001,-164.66831964 60.8970108099001,-164.71014408 60.9090195099001,-164.72459412 60.9006347499,-165.38555916 60.5172118899,-164.97964476 60.5404090298999,-165.1383972 60.4409599299001,-164.61631008 60.2093639199001,-164.09422296 59.9777679099,-164.21421816 59.9500579899,-164.13819894 59.8476295299,-163.65945438 59.7949942899,-163.08507537 59.8979109999001,-162.51069636 60.0008277099001,-162.56945808 60.3163833699001,-162.26167302 60.6163787499001,-161.87942502 60.7022171499,-162.2219238 60.5816650299,-162.3695832 60.1694335299001,-162.15605172 60.2449226499,-162.23652648 60.0636063099001,-161.70964056 59.4969367899,-161.95582584 59.3806877498999,-161.9940186 59.1470756499,-161.56840518 59.1066589899,-161.79278562 59.0172119499001,-161.69915772 58.7633246499,-162.1659699 58.6551284499001,-161.63220222 58.5991592499,-160.9774857 58.8287429499,-160.32276918 59.0583266499,-159.9143067 58.7704085499001,-159.62089536 58.9440880299001,-159.06291192 58.4286042099001,-158.83831782 58.4024887299001,-158.71089168 58.4927711499,-158.91139224 58.7670745898999,-158.77890018 58.7738800299001,-158.8212432 58.9684638099001,-158.69612124 58.8827704899001,-158.49719244 59.0439644499001,-158.53861998 59.1737442699001,-157.99276728 58.9049911299001,-158.48811342 59.0007552699,-158.55923466 58.8081855098999,-158.31832878 58.6458282099,-157.71513366 58.7601318099,-157.11193854 58.8744354099,-156.78181458 59.1512413899001,-157.1666031 58.7695064799001,-157.55139162 58.3877715699001,-157.54319766 58.2662429499,-157.13903808 58.1644363899,-157.61137392 58.0840224699,-157.70416266 57.6373519299,-157.39791876 57.4927710699,-157.74166872 57.5622100299001,-158.11526484 57.3580475499001,-158.65084836 57.0511016499,-158.63903802 56.7629128299001,-159.03500364 56.8049926899001,-159.69097899 56.5452728499001,-160.34695434 56.2855530099001,-160.57402038 55.9937400699,-160.29916542 55.8051933099001,-160.25007636 55.7715187299,-160.37604972 55.7962532499,-160.79014584 55.8775596099001,-160.71658974 55.7566555899,-160.67958066 55.6958236899001,-160.76862396 55.7506050699,-161.06832882 55.9349898699,-161.77667238 55.8931884699001,-162.260559 55.6730499098999,-162.54890442 55.3424910699001,-163.3262481 55.1170768899,-163.32780096 55.0056093699001,-163.33055118 54.8081855499,-163.05308532 54.9326629299001,-163.13235408 55.0624666899,-163.17944334 55.1395759899001,-163.08617598 55.0759002699,-162.87388614 54.9309653499001,-162.56694024 54.9579772299001,-162.61888482 55.2118395099,-162.63638298 55.2973557099,-162.5816214 55.2226798299001,-162.44503776 55.0364266299,-161.97528078 55.0991593299,-162.04319766 55.2301253499001,-161.56249992 55.6227645699001,-161.145279 55.5302695899001,-161.48373408 55.4834632899,-161.50990302 55.3683928899001,-161.2488861 55.3479079899,-160.6330566 55.5666655899001,-160.507782 55.4780425899,-159.8426361 55.8502692699,-159.6240234 55.8120727299001,-159.66723636 55.5772171899,-159.3614502 55.8743629899001,-158.67535392 55.9542313299,-158.60110482 56.1880416099,-158.48422236 56.1797790699001,-158.60040282 56.1009635499,-158.50527948 55.9888840299,-158.1264495 56.2351989099001,-158.63742072 56.2587432699,-158.42848212 56.4401283699,-157.88262942 56.4674910699,-158.11567686 56.5605811299,-157.7872314 56.6783293899001,-157.47012324 56.6202698499001,-157.5833283 56.7073516899,-157.42793268 56.8574943699001,-157.20666498 56.7705459099,-156.9408264 56.9624939499001,-156.5522919 56.9788780899001,-156.3416595 57.1708297299,-156.4899903 57.3311080299001,-155.73443598 57.5513839299,-155.60693352 57.7893028899001,-155.31112674 57.7344360099,-155.0334015 58.0146103299,-154.23567192 58.1306876499,-154.1146392 58.2804069699001,-154.3542327 58.2783279699,-154.00509642 58.3820038299,-154.1026917 58.4800606299001,-153.44778438 58.7144393499,-153.26118468 58.8595733499001,-153.42347718 58.9808235099001,-154.1803437 59.0294380899001,-154.256958 59.1327667299001,-154.06723026 59.3455429299,-153.4205628 59.7661057299001,-153.34832772 59.6286010299001,-153.0426483 59.7094383099001,-153.00195318 59.8192977099001,-153.22583016 59.8651312899,-152.71630866 59.9165916699001,-152.5960998 60.0944367098999,-153.07888788 60.2981871699,-152.42178348 60.2932585899001,-152.22505194 60.5573540499001,-151.7097168 60.7318649499001,-151.74081414 60.9047088699,-151.18359372 61.0955467599001,-150.6263733 61.2863846499001,-150.07138056 61.2449950898999,-149.99999994 61.2877353699001,-149.99999994 61.1833949499,-150.06201174 61.1577681699001,-149.99999994 61.1393791899,-149.99999994 60.9823561899,-150.40417482 61.0368004299,-150.90545655 60.8824558298999,-151.40673828 60.7281112299,-151.30264284 60.3883284699001,-151.8783111 59.7599945499,-151.46922294 59.6367301899,-150.9978942 59.7808264899001,-151.45306398 59.4674911299001,-151.89916986 59.4080428899001,-151.97624208 59.2758255099001,-151.74609372 59.1624908499001,-150.90750126 59.2433243499,-150.54168708 59.5916596298999,-150.4867248 59.4638824899001,-150.22467036 59.7154769499001,-150.34471128 59.4665184099001,-150.01364142 59.6274871899001,-149.99999994 59.6397336699,-149.99999994 58.6755495039001,-149.99999994 57.7113653379001,-149.99999994 56.7471811719,-149.99999994 55.7829970059001,-149.99999994 54.8188128399,-149.99999994 53.8546286739,-149.99999994 52.8904445079001,-149.99999994 51.9262603419,-149.99999994 50.9620761759,-149.99999994 49.9978920099001,-149.99999994 49.0888009953545,-149.99999994 48.1797099808092,-149.99999994 47.2706189662637,-149.99999994 46.3615279517183,-149.99999994 45.4524369371728,-149.99999994 44.5433459226273,-149.99999994 43.6342549080819,-149.99999994 42.7251638935364,-149.99999994 41.816072878991,-149.99999994 40.9069818644455,-149.99999994 39.9978908499,-149.99999994 38.9979435909001,-149.99999994 37.9979963319001,-149.99999994 36.9980490729,-149.99999994 35.9981018139,-149.99999994 34.9981545549001,-149.99999994 33.9982072959001,-149.99999994 32.9982600369001,-149.99999994 31.9983127779001,-149.99999994 30.9983655189,-149.99999994 29.9984182599,-149.99999994 28.9984710009001,-149.99999994 27.9985237419001,-149.99999994 26.9985764829001,-149.99999994 25.9986292239,-149.99999994 24.9986819649,-149.99999994 23.9987347059001,-149.99999994 22.9987874469001,-149.99999994 21.9988401878999,-149.99999994 20.9988929289,-149.99999994 19.9989456699,-149.99999994 18.9989984109,-149.99999994 17.9990511519001,-149.99999994 16.9991038929001,-149.99999994 15.9991566339,-149.99999994 14.9992093749,-149.99999994 13.9992621159,-149.99999994 12.9993148569001,-149.99999994 11.9993675979001,-149.99999994 10.9994203388999,-149.99999994 9.99947307989999,-149.99999994 8.99952582090003,-149.99999994 7.99957856190002,-149.99999994 6.99963130290007,-149.99999994 5.99968404390012,-149.99999994 4.99973678489999,-149.99999994 3.99978952589998,-149.99999994 2.99984226690003,-149.99999994 1.99989500790008,-149.99999994 0.999947748900127,-149.99999994 4.89899946387595e-07,-149.99999994 -0.999925025099969,-149.99999994 -1.9998505401,-149.99999994 -2.99977605509997,-149.99999994 -3.9997015701,-148.999999941 -3.9997015701,-147.999999942 -3.9997015701,-146.999999943 -3.9997015701,-145.999999944 -3.9997015701,-144.999999945 -3.9997015701,-143.999999946 -3.9997015701,-142.999999947 -3.9997015701,-141.999999948 -3.9997015701,-140.999999949 -3.9997015701,-139.99999995 -3.9997015701,-138.999999951 -3.9997015701,-137.999999952 -3.9997015701,-136.999999953 -3.9997015701,-135.999999954 -3.9997015701,-134.999999955 -3.9997015701,-133.999999956 -3.9997015701,-132.999999957 -3.9997015701,-131.999999958 -3.9997015701,-130.999999959 -3.9997015701,-129.99999996 -3.9997015701,-129.99999996 -4.9794730383353,-129.99999996 -5.95924450657054,-129.99999996 -6.93901597480584,-129.99999996 -7.91878744304114,-129.99999996 -8.8985589112765,-129.99999996 -9.87833037951168,-129.99999996 -10.858101847747,-129.99999996 -11.8378733159823,-129.99999996 -12.8176447842176,-129.99999996 -13.7974162524529,-129.99999996 -14.7771877206882,-129.99999996 -15.7569591889235,-129.99999996 -16.7367306571587,-129.99999996 -17.7165021253941,-129.99999996 -18.6962735936294,-129.99999996 -19.6760450618647,-129.99999996 -20.6558165301,-129.99999996 -21.6238415900999,-129.99999996 -22.5918666500999,-129.99999996 -23.5598917101,-129.99999996 -24.5279167701,-129.99999996 -25.4959418300999,-129.99999996 -26.4639668901,-129.99999996 -27.4319919501,-129.99999996 -28.4000170101,-129.99999996 -29.3665065051,-129.99999996 -30.3329960001,-129.99999996 -31.2994854950999,-129.99999996 -32.2659749900999,-129.99999996 -33.2324644851,-129.99999996 -34.1989539801,-129.99999996 -35.1654434751,-129.99999996 -36.1319329701,-129.99999996 -37.0984224651,-129.99999996 -38.0649119601,-129.99999996 -39.0314014551,-129.99999996 -39.9978909501,-129.99999996 -40.9069819646454,-129.99999996 -41.8160729791909,-129.99999996 -42.7251639937363,-129.99999996 -43.6342550082818,-129.99999996 -44.5433460228273,-129.99999996 -45.4524370373727,-129.99999996 -46.3615280519182,-129.99999996 -47.2706190664636,-129.99999996 -48.1797100810091,-129.99999996 -49.0888010955546,-129.99999996 -49.997892101984,-129.99999996 -50.9070062301,-129.99999996 -51.8161203501,-129.99999996 -52.7252344701,-129.99999996 -53.6343485901,-129.99999996 -54.5434627101,-129.99999996 -55.4525768300999,-129.99999996 -56.3616909501,-129.99999996 -57.2708050700999,-129.99999996 -58.1799191901,-129.99999996 -59.0890333101,-129.99999996 -59.9981474300999,-130.9999998132 -59.9981474300999,-131.9999996664 -59.9981474300999,-132.9999995196 -59.9981474300999,-133.9999993728 -59.9981474300999,-134.999999226 -59.9981474300999,-135.9999990792 -59.9981474300999,-136.9999989324 -59.9981474300999,-137.9999987856 -59.9981474300999,-138.9999986388 -59.9981474300999,-139.999998492 -59.9981474300999,-140.9999983452 -59.9981474300999,-141.9999981984 -59.9981474300999,-142.9999980516 -59.9981474300999,-143.9999979048 -59.9981474300999,-144.999997758 -59.9981474300999,-145.9999976112 -59.9981474300999,-146.9999974644 -59.9981474300999,-147.9999973176 -59.9981474300999,-148.9999971708 -59.9981474300999,-149.999997024 -59.9981474300999,-150.9999968772 -59.9981474300999,-151.9999967304 -59.9981474300999,-152.9999965836 -59.9981474300999,-153.9999964368 -59.9981474300999,-154.99999629 -59.9981474300999,-155.9999961432 -59.9981474300999,-156.9999959964 -59.9981474300999,-157.9999958496 -59.9981474300999,-158.9999957028 -59.9981474300999,-159.999995556 -59.9981474300999,-160.9999954092 -59.9981474300999,-161.9999952624 -59.9981474300999,-162.9999951156 -59.9981474300999,-163.9999949688 -59.9981474300999,-164.999994822 -59.9981474300999,-165.9999946752 -59.9981474300999,-166.9999945284 -59.9981474300999,-167.9999943816 -59.9981474300999,-168.9999942348 -59.9981474300999,-169.999994088 -59.9981474300999,-170.9999939412 -59.9981474300999,-171.9999937944 -59.9981474300999,-172.9999936476 -59.9981474300999,-173.9999935008 -59.9981474300999,-174.999993354 -59.9981474300999,-175.9999932072 -59.9981474300999,-176.9999930604 -59.9981474300999,-177.9999929136 -59.9981474300999,-178.9999927668 -59.9981474300999,-179.99999262 -59.9981474300999,-180 -59.9981472501,-179.999999942857 -59.0055515486714,-179.999999885714 -58.0129558472428,-179.999999828571 -57.0203601458142,-179.999999771429 -56.0277644443856,-179.999999714286 -55.0351687429571,-179.999999657143 -54.0425730415286,-179.9999996 -53.0499773401,-179.999999542857 -52.0573816386714,-179.999999485714 -51.0647859372428,-179.999999428571 -50.0721902358142,-179.999999371429 -49.0795945343856,-179.999999314286 -48.0869988329571,-179.999999257143 -47.0944031315286,-179.9999992 -46.1018074301,-179.999999142857 -45.1092117286714,-179.999999085714 -44.1166160272428,-179.999999028571 -43.1240203258142,-179.999998971429 -42.1314246243857,-179.999998914286 -41.1388289229571,-179.999998857143 -40.1462332215286,-179.9999988 -39.1536375201,-179.999998742857 -38.1610418186714,-179.999998685714 -37.1684461172428,-179.999998628571 -36.1758504158142,-179.999998571429 -35.1832547143857,-179.999998514286 -34.1906590129572,-179.999998457143 -33.1980633115286,-179.9999984 -32.2054676101,-179.999998342857 -31.2128719086714,-179.999998285714 -30.2202762072428,-179.999998228571 -29.2276805058143,-179.999998171429 -28.2350848043857,-179.999998114286 -27.2424891029572,-179.999998057143 -26.2498934015286,-179.999998 -25.2572977001,-179.999997942857 -24.2647019986714,-179.999997885714 -23.2721062972429,-179.999997828571 -22.2795105958142,-179.999997771429 -21.2869148943857,-179.999997714286 -20.2943191929571,-179.999997657143 -19.3017234915285,-179.9999976 -18.3091277901,-179.999997542857 -17.3165320886714,-179.999997485714 -16.3239363872428,-179.999997428571 -15.3313406858142,-179.999997371429 -14.3387449843857,-179.999997314286 -13.3461492829571,-179.999997257143 -12.3535535815286,-179.9999972 -11.3609578800999,-179.999997142857 -10.3683621786714,-179.999997085714 -9.37576647724273,-179.999997028571 -8.38317077581428,-179.999996971429 -7.39057507438571,-179.999996914286 -6.39797937295714,-179.999996857143 -5.40538367152851,-179.9999968 -4.41278797009994,-179.999996742857 -3.42019226867137,-179.999996685714 -2.42759656724286,-179.999996628571 -1.43500086581429,-179.999996571429 -0.442405164385718,-179.999996514286 0.550190537042909,-179.999996457143 1.54278623847148,-179.9999964 2.53538193990005,-179.999996342857 3.52797764132856,-179.999996285714 4.52057334275713,-179.999996228571 5.5131690441857,-179.999996171429 6.50576474561427,-179.999996114286 7.49836044704278,-179.999996057143 8.49095614847135,-179.999996 9.4835518499001,-179.999995942857 10.4761475513287,-179.999995885714 11.4687432527572,-179.999995828571 12.4613389541857,-179.999995771429 13.4539346556143,-179.999995714286 14.4465303570429,-179.999995657143 15.4391260584715,-179.9999956 16.4317217599,-179.999995542857 17.4243174613287,-179.999995485714 18.4169131627571,-179.999995428571 19.4095088641857,-179.999995371429 20.4021045656142,-179.999995314286 21.3947002670429,-179.999995257143 22.3872959684715,-179.9999952 23.3798916699001,-179.999995142857 24.3724873713286,-179.999995085714 25.3650830727572,-179.999995028571 26.3576787741857,-179.999994971429 27.3502744756143,-179.999994914286 28.3428701770428,-179.999994857143 29.3354658784716,-179.9999948 30.3280615799001,-179.999994742857 31.3206572813287,-179.999994685714 32.3132529827573,-179.999994628571 33.3058486841858,-179.999994571429 34.2984443856143,-179.999994514286 35.2910400870429,-179.999994457143 36.2836357884715,-179.9999944 37.2762314899,-179.999994342857 38.2688271913286,-179.999994285714 39.2614228927571,-179.999994228571 40.2540185941857,-179.999994171429 41.2466142956142,-179.999994114286 42.239209997043,-179.999994057143 43.2318056984715,-179.999994 44.2244013999001,-179.999993942857 45.2169971013286,-179.999993885714 46.2095928027572,-179.999993828571 47.2021885041858,-179.999993771429 48.1947842056143,-179.999993714286 49.1873799070428,-179.999993657143 50.1799756084714,-179.9999936 51.1725713099,-179.999993542857 52.1651670113285,-179.999993485714 53.1577627127571,-179.999993428571 54.1503584141858,-179.999993371429 55.1429541156144,-179.999993314286 56.1355498170429,-179.999993257143 57.1281455184715,-179.9999932 58.1207412199,-179.999993142857 59.1133369213286,-179.999993085714 60.1059326227572,-179.999993028571 61.0985283241857,-179.999992971429 62.0911240256142,-179.999992914286 63.0837197270428,-179.999992857143 64.0763154284714,-179.9999928 65.0689111299001,-179.68280022 65.1782989299,-179.32666014 65.6258086299,-179.74053954 65.7922058499001,-179.75414448 65.9984106099001,-178.89961284 65.9984106099001,-178.90945434 65.9938659699001,-178.4561004 65.7274780299001,-178.55738838 65.5141524699,-177.81272127 65.5619315799,-177.06805416 65.6097106899,-176.07806388 65.4702605499,-175.7806092 65.1607971699,-175.91336064 65.0163649899001,-175.44888306 64.7844238299,-174.84637446 64.7777710299001,-174.25972746 64.5622825899001,-173.67308046 64.3467941499,-173.36305242 64.4649886299001,-173.41557318 64.6166458299001,-173.284317 64.5205382499001,-173.43418878 64.3274155299001,-173.19140622 64.2544249899001,-172.8980865 64.3371963699001,-173.0257263 64.4967804099001,-172.35583488 64.4583129699,-173.08494576 64.6626129699001,-172.79306028 64.7613678099,-172.89852912 64.8303756699002,-173.19522096 64.7781677499,-172.66210173 64.9306716699001,-172.1289825 65.0831755899,-172.68307488 65.2277679699,-172.24472052 65.2455139899,-172.19055168 65.4466247499001,-172.80264276 65.6746978899,-171.83584602 65.5292892099001,-172.08251946 65.4844207899001,-171.5784912 65.4837265299002,-171.07446294 65.4830322699002,-171.02349846 65.5791474099,-171.54238896 65.8355484099,-170.63558964 65.6105347298999,-170.57829276 65.8527603699001,-169.78472892 65.9916381099001,-169.78083822 65.9984106099001,-168.82880226 65.9984106099001,-167.8767663 65.9984106099001,-166.92473034 65.9984106099001,-167.5255518 65.8341967899001,-168.12637326 65.6699829699),(-172.43975826 64.8613738299001,-172.67599494 64.7312469699,-172.16726688 64.7724761499,-172.43975826 64.8613738299001),(-171.85083012 63.5086059699,-171.73889154 63.3805465899001,-170.93310552 63.4154815299,-170.92828368 63.4156914099001,-170.86325076 63.4185103899001,-170.53363044 63.3136252899001,-169.80529788 63.1252594299,-169.6704255 62.9441490099001,-169.3211517 63.1845741099,-168.85000602 63.1552657899001,-168.70086666 63.2905426299,-169.5244446 63.3541564299001,-170.30001834 63.6941528499,-170.9200134 63.6540165399001,-171.54000846 63.6138802299001,-171.72917172 63.7893714099001,-171.85083012 63.5086059699),(-172.6705323 60.3324890499001,-172.28002932 60.3027724899001,-172.91488644 60.6015166899,-173.05101018 60.4958190699001,-172.6705323 60.3324890499001),(-166.10916132 60.4102706499,-166.76361081 60.2998465899,-167.4180603 60.1894225299,-166.77029421 59.9723472099,-166.12252812 59.7552718899,-166.20919794 59.8574904699,-165.54307554 59.9802627099,-165.68434152 60.2965201899001,-166.10916132 60.4102706499),(-161.11309806 58.6552733499,-160.92556758 58.5630492699001,-160.68978882 58.8147162699001,-161.11309806 58.6552733499),(-164.82882276 54.4995759099,-164.66391 54.3919371699,-164.17611702 54.6041641899001,-163.61550144 54.6361408299,-163.05488586 54.6681174699001,-163.37498472 54.7917976299,-163.48176576 54.9608196099001,-163.53639216 55.0472869299001,-163.77751152 55.0554047498999,-164.49108894 54.9145736499001,-164.95234686 54.5802002499001,-164.82882276 54.4995759099),(-165.98337876 54.0616409499001,-165.897522 54.0288696099,-165.65898132 54.1223450498999,-165.75188004 54.1494508899,-165.97792062 54.2154045099001,-166.12168878 54.1144333299001,-165.98337876 54.0616409499001),(-166.37515254 54.0010299099001,-166.6036071 53.8290253299,-166.63154598 53.9997101499,-167.02043148 53.9566536099,-167.15237418 53.8238793099001,-166.89114126 53.7304278099,-166.76644896 53.6858214699001,-167.04641718 53.5938796299001,-167.84255988 53.3063735499,-167.29956054 53.3758201599001,-166.7565612 53.4452667699001,-166.2754212 53.6812323699,-166.57083126 53.7102737499001,-166.21514892 53.9209594299,-166.27513104 53.9509762299001,-166.37515254 54.0010299099001),(-168.12421092 53.3255392299,-167.79531852 53.4955368098999,-168.35404968 53.4733239099,-168.35723874 53.2623558099,-168.621399 53.2722167499001,-168.77460348 53.1259707099001,-169.08670044 52.8280487499001,-168.60545568 53.0767939899001,-168.12421092 53.3255392299),(-174.27917484 52.2099838299,-174.9791871 52.0547026899,-174.47463936 52.0836578499,-174.20944212 52.0988770299,-174.19291146 52.1157534699001,-173.9907531 52.3221396699001,-174.1800384 52.4176293099001,-174.44621268 52.3067284299001,-174.27917484 52.2099838299),(-174.05682372 52.1230468899,-173.49502572 52.0149918099,-172.95904548 52.0838776299001,-173.5079346 52.1034622598999,-174.05682372 52.1230468899),(-176.75836182 51.9508284699,-176.82434622 51.8167151499001,-176.93862912 51.5844345099001,-176.42362968 51.8277702099,-176.55978564 51.8461095099,-176.64224238 51.8572158699001,-176.55976872 51.9847107699001,-176.75836182 51.9508284699),(-177.90780636 51.5919266499,-177.86444256 51.7176582699,-177.8253174 51.8311003899,-177.93072504 51.9164657499,-178.2165528 51.8742942699,-178.02822816 51.7020596499001,-177.90780636 51.5919266499),(-177.37270632 51.7644903099,-177.64224246 51.6494370099001,-177.15390012 51.6994248099001,-177.10682994 51.7898119899001,-177.04779048 51.9031830099,-177.37270632 51.7644903099),(-177.3737487 28.2215881299,-177.39581292 28.1874981099,-177.36456294 28.2040690899001,-177.3737487 28.2215881299),(-159.75419616 21.9791602299,-159.451416 21.8699913099001,-159.3274842 22.2016564299001,-159.71461488 22.1541634299001,-159.75419616 21.9791602299),(-158.10057072 21.2944431098999,-157.81307976 21.2588844699,-157.6655883 21.3241614699,-157.94390862 21.6844406499001,-158.27349852 21.5777721099001,-158.10057072 21.2944431098999),(-157.3040466 21.0977725899,-156.8674926 21.0458298099,-156.75045768 21.1727733699001,-157.3040466 21.0977725899),(-156.59709174 21.0513820899,-156.68862912 20.8861046499,-156.37417596 20.5808296899,-155.99334708 20.7824935899001,-156.59709174 21.0513820899),(-156.81225582 20.8436088099,-157.04641728 20.9190216099001,-156.90725712 20.7377738499001,-156.81225582 20.8436088099),(-155.90029914 19.0903396899001,-155.66314698 18.9254780499,-155.23048404 19.2317819799001,-154.7978211 19.5380859099001,-155.1833496 19.9851322899,-155.82333366 20.2724952699,-155.81326302 20.0040245499001,-156.04898076 19.7350597299001,-155.90029914 19.0903396899001),(-169.53890994 16.7297516499,-169.53887934 16.7241840699,-169.52392584 16.7302475499001,-169.53890994 16.7297516499),(-157.5676422 1.8558328899,-157.23501588 1.70499972990001,-157.40956116 1.91384310990009,-157.5676422 1.8558328899),(-176.64285276 0.808366089899948,-176.64312744 0.793682409900043,-176.63108832 0.795401769900025,-176.63276664 0.808644909900124,-176.64285276 0.808366089899948),(-176.46765138 0.219457389899958,-176.46147162 0.215269329900025,-176.45590206 0.222557169900142,-176.46765138 0.219457389899958),(-160.04515068 -0.380090210099979,-160.02818298 -0.398174630100016,-160.01780706 -0.37474565010001,-160.04515068 -0.380090210099979),(-171.86265558 -9.18117905009996,-171.84846492 -9.21885593010001,-171.84370428 -9.2106599901,-171.85263066 -9.17090411009997,-171.86265558 -9.18117905009996),(-172.52792352 -13.8027096501,-172.21235652 -13.8065290701,-172.28779596 -13.4841652700999,-172.5964965 -13.5091132700999,-172.78002936 -13.5325708700999,-172.52792352 -13.8027096501),(-172.06475832 -13.8781939100999,-171.44198604 -14.0575027101,-171.82226556 -13.8075026901,-172.06475832 -13.8781939100999),(-178.13766474 -14.3170852101,-178.06101984 -14.3237495300999,-178.12664802 -14.2489071500999,-178.18148808 -14.2330151300999,-178.13766474 -14.3170852101),(-170.82264708 -14.3235740301,-170.74304208 -14.3754311301,-170.63887032 -14.2667131100999,-170.82264708 -14.3235740301),(-149.59057626 -17.7113914701,-149.17919922 -17.8708343901,-149.35916142 -17.5344505701,-149.63250726 -17.5499991501,-149.59057626 -17.7113914701),(-169.95187386 -19.0729199300999,-169.89460758 -19.1454314901,-169.7823792 -19.0650672501,-169.88537592 -18.9634590501,-169.95187386 -19.0729199300999),(-175.34112552 -21.0748633701,-175.14529416 -21.2680625901,-175.048767 -21.1369437501,-175.34112552 -21.0748633701),(-159.83250426 -21.2487372501,-159.74714664 -21.2563782501,-159.75645444 -21.1924496301,-159.82746894 -21.1896533301,-159.83250426 -21.2487372501),(-176.65505982 -44.0119780701,-176.53414914 -44.1260948301,-176.37722784 -44.0561142501,-176.52996828 -43.7817038900999,-176.84251398 -43.8030547700999,-176.55364998 -43.8458404100999,-176.65505982 -44.0119780701),(-159.84082026 55.1359633899,-159.8716431 55.2780456699,-160.19340516 55.1132545899001,-160.2255555 54.8752670499,-159.84082026 55.1359633899),(-160.46429436 55.1867943099001,-160.69555656 55.3999938699001,-160.84652706 55.3324965699001,-160.81390386 55.1179084899,-160.46429436 55.1867943099001),(-153.72735588 57.0609625899,-153.25708014 57.2281761099,-152.95652766 57.2557564298999,-153.16688538 57.3460311099001,-152.63391114 57.3177718299001,-153.02445984 57.4712409099001,-152.36180118 57.4230498699001,-152.15229792 57.6081886899,-152.55160524 57.7042275099001,-152.32992552 57.8189163099,-152.47721862 57.9031829499001,-152.87748714 57.7288741899001,-152.81347662 57.9095725899001,-153.2586213 58.0023575499001,-153.05117796 57.8302689099,-153.47067264 57.8408928699001,-153.32051088 57.7272491499,-153.5061951 57.6284637099001,-153.64306638 57.8661042099001,-153.92932128 57.8083267299001,-153.59777838 57.5988769299001,-153.86952204 57.6433257699001,-153.63500976 57.2759666499001,-154.20721428 57.6666642099,-154.7994537 57.2833290099001,-154.60957332 57.2609672499,-154.29779046 56.8488768699001,-154.1096649 57.1105079499,-154.02055356 57.1076659299,-154.09971612 56.9648551899001,-153.73873908 57.1287383499001,-154.12054446 56.7899932899001,-153.98596188 56.7384643299001,-153.5541687 56.9802666099,-153.72735588 57.0609625899),(-153.36970524 58.0404129699,-152.89152534 57.9906195699,-153.25805664 58.1363830299,-153.36970524 58.0404129699),(-153.2212524 58.1935996299001,-153.03805542 58.0536040898999,-152.2772217 58.1294364699,-152.2741851 58.2622185099001,-152.09999082 58.1495743299001,-151.96568292 58.3233261699001,-152.65417482 58.4780426499001,-152.79777522 58.2827719899,-153.1043091 58.2616653699,-152.90223696 58.1674918899,-153.2212524 58.1935996299001),(-153.27188118 57.1760635899001,-153.40667724 57.0697174299,-152.89474482 57.1358260299001,-153.19007874 57.1967353299001,-153.23416146 57.2058258699001,-153.27188118 57.1760635899001)),((-161.79598242 65.9984106099001,-161.8164063 65.9749908099001,-162.07240356 65.9984106099001,-161.79598242 65.9984106099001)))', 'WCPFC', 'Commission for the Conservation and Management of Highly Migratory Fish Stocks in the Western and Central Pacific Ocean', 'Yes', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0047111 30.2973574899,49.5550575 30.0072192699001,50.05554966 30.2027759499001,50.6391640200001 29.4704151699,50.6388816 29.1427746699001,50.92374798 29.0645808699,50.80103676 28.9297885899001,51.0547179600001 28.7387484699001,51.430275 27.9377745699001,51.96499632 27.7731913898999,52.49971764 27.6086082099,52.6083298200001 27.3481903299,53.17805106 27.0286751199001,53.7477723000001 26.7091599098999,54.29693988 26.7161044899001,54.78846354 26.4904116699001,55.4606151300001 26.8253430699,56.13276672 27.1602744699,56.69054406 27.1483307499001,57.02346414 26.8474960299,57.1712779800001 26.3094759399,57.3190918200001 25.7714558499001,57.95124048 25.6999931499,58.1281853400001 25.5429134499001,58.8183289200001 25.5599976099,59.0519332800001 25.3936081299,59.45054634 25.4777718099,59.95867158 25.3718710599001,60.46679682 25.2659703099,60.4102707 25.3977736899001,60.5509642800001 25.4411067099001,60.6226311 25.2698574099001,61.3962403199999 25.0808296899,61.6110305400001 25.1976471699,61.8448525200001 25.0373591499,62.13388068 25.2108269499,62.7815208600001 25.2129116199,63.4291610400001 25.2149962899,64.11734766 25.4531879499001,64.09366614 25.3284682898999,64.64873502 25.1624946099001,64.76290902 25.3205509899,65.6314812000001 25.3621826499001,66.50005338 25.4038143099,66.1441420800001 25.5072727299001,66.35942082 25.6136093499001,66.7327575600001 25.1974945299,66.6513748800001 24.8285388099,67.2353973000001 24.7729148499,67.15110024 24.6130523499,67.5022811400001 23.8919106099,68.01943968 23.7664565499001,68.0156249400001 23.9352054699,68.05241388 23.7229786299001,68.1508179000001 23.6880492699,68.1573790800001 23.8918686699001,68.1977997 23.7666855099,68.14422612 23.6090926299,68.32957464 23.5849265499,68.74136352 23.8441620099001,68.40852354 23.6081199099,68.4330444 23.4299964099001,69.2158203000001 22.8402748299,69.71026608 22.7427711699,70.50971988 23.0981903499001,70.16998284 22.5508308698999,69.22039032 22.2739563099,69.0713805600001 22.4807566899,68.94595332 22.2893027499001,69.50337984 21.7168712499001,70.06080636 21.1444397499,70.82512668 20.6959666899,71.4666138300001 20.9500293999001,72.10810098 21.2040921099001,72.28915398 21.6108283899,71.9983139400001 21.8538856298999,72.16317756 21.8373565899001,72.03890232 21.9390220299,72.32540886 22.1515235499001,72.15518952 22.2812461299001,72.9147720600001 22.2711087099,72.5806809000001 22.1983298499001,72.5016555000001 21.9749241099001,72.7226256600001 21.9901314099,72.5460282000001 21.6638832099,73.1271286800001 21.7578450099001,72.5648499000001 21.3750649299001,72.9344178000001 20.7747192099,72.6641541 19.8708304899001,72.75374604 19.3727722899001,73.04262534 19.2110462499,72.7790146200001 19.3105525899001,72.77321628 18.9459323499,73.05418404 19.0047169299,72.8538665400001 18.6605529699,73.0517374200001 17.7932383299001,73.2496083 16.9259236899001,73.4474791800001 16.0586090499,73.94950098 15.3985414899,73.78859718 15.3989905899001,74.0979691200001 14.7874632699,74.4119262000001 14.4833316699001,74.63359062 13.6191644498999,74.85525504 12.7549972299,75.1938705 12.0101376099,75.71775816 11.3652744699,76.10831451 10.4478449799001,76.49887086 9.53041548990001,76.3528977000001 9.52638726989994,76.2455291400001 9.9022216899001,76.44247434 9.14333160990009,76.53414924 8.9649982299,76.6637344800001 9.00381756989992,76.57582086 8.87694168990009,76.9374846900001 8.50499724989993,77.2991485200001 8.13305280989999,77.5361023199999 8.07194334989998,77.9969329200001 8.3383312899,78.4099884600001 9.09694290990001,78.96790314 9.27333156989994,79.44622794 9.15992832989997,79.0091553600001 9.33166506990011,78.9433135200001 9.59833146990007,79.32435606 10.2799291899001,79.8581084400001 10.2858313899,79.8112029599999 10.9710401799,79.76429748 11.6562489699,80.1602631000001 12.4730529699,80.34873966 13.3426360299001,80.0494232400001 13.6205529699001,80.1524811599999 13.7180537499,80.3137969800001 13.4571151299,80.1814384800001 14.2563342999,80.04907998 15.0555534699001,80.2794342600001 15.6991654298999,80.68470768 15.8999995299001,80.8252716600001 15.7519435899,80.8826218200001 16.0119418899,81.0133362000001 15.7834358499,81.32101434 16.3670806299,81.72726444 16.3108291898999,82.30169682 16.5830536299001,82.3620681 17.0983295499,82.9466730000001 17.4995797299,83.5312779 17.9008299099,84.1158828 18.3020800899001,84.42123408 18.7130403399,84.7265853600001 19.1240005899,85.38249204 19.6124953899001,85.1284866600001 19.5486907899,85.4348832000001 19.8870087099,85.57500456 19.8354817298999,85.4513854200001 19.6602745899001,86.2720794000001 19.9106902299,86.1963652800001 20.0749969299001,86.4212265 19.9849261899,87.0255585 20.6748274899,86.8280486400001 21.1524963699,86.96331792 21.3819389499,87.7963714200001 21.6988831299001,88.1665191000001 22.0897198299,87.9060974400001 22.4204120499001,88.1992569600001 22.1519049699,88.2574920000001 21.5487460299001,88.26120756 21.7969150899001,88.30633536 21.6105861099,88.45040124 21.6113853099001,88.500267 21.9480495699,88.5722198400001 21.5599974699001,88.6767807600001 22.1971474299001,88.71200568 21.5622883299001,89.0843659200001 21.6252040899,89.06300352 22.1154747699001,89.24497992 21.6428431899,89.35498044 21.9660358899,89.46276084 21.7688865699001,89.47470852 22.2891636099001,89.5282516800001 21.9906903099001,89.6151198600001 22.3195800099,89.5811004 21.7016601699,89.8837356600001 21.8946475299,89.8413773400001 22.2609691299,89.9999999999999 22.4837513499,89.9158172400001 22.0372199499001,90.0740890800001 22.1588841099,90.0481415400001 21.9830226699,90.2384490600001 22.1828422899001,90.0233153999999 21.8634681099,90.26998902 21.8469410499,90.4013823600001 22.2605553099,90.43595118 22.0730514699001,90.61248024 22.3027762899,90.4244004 22.7701893099,90.61318206 23.2183284699,90.3088684800001 23.4144400899001,90.5480422200001 23.3843021499001,90.4736023200001 23.5758286299001,90.5938263 23.5979652099,90.7160263200001 23.5068016899,90.60234066 23.4666595299001,90.62456508 23.0584011699,90.83152008 22.6883278299,91.23067476 22.5863857299001,91.4558257800001 22.7899970499,91.65832524 22.5541648299001,92.0394288 21.6602745699,92.04804234 21.1649952099001,92.32711038 20.7448195899,92.26193238 21.0543097898999,92.71179198 20.2759685499001,92.64432528 20.6858290899,92.79609678 20.4899941299,92.8676835 20.1195105699001,93.0820770000001 20.5391978499001,92.9894256 20.2061042499001,93.10915368 20.1712456299,92.9819259 20.0744419899,93.12664032 19.8393020499,93.1381835400001 19.9763565699001,93.2429656800001 19.8318023499,93.1378707000001 20.0657253099,93.7243576800001 19.9324264899,93.60040284 19.7174929899,93.98571012 19.4571456699001,93.97844694 19.3614673899,93.8743057800001 19.2559738899001,94.0512923999999 19.2215652699001,94.0383910800001 18.8470783299001,94.2385863600001 18.7377738699001,94.42546461 18.1426000899001,94.6123428600001 17.5474263099001,94.4225540100001 16.9491281799,94.23276516 16.3508300499001,94.2509613600001 15.9588861699,94.6427688000001 16.3379134299,94.61318976 16.1884785099001,94.56373602 15.9386091699001,94.7916565200001 16.1486625099001,94.6570739400001 15.8508310899001,94.98851784 16.2361754499,94.8481826400001 15.7821511899001,95.0406112800001 15.8083314699,95.1372070200001 16.1372184699,95.2175597400001 15.7863169299,95.3606034000001 16.1414527899001,95.27804568 15.7899981099001,95.42858886 15.7297191699001,96.00680538 16.3830680498999,96.2683257599999 16.3897170699001,96.24192804 16.8037338099001,96.37747956 16.5024985899001,96.7777709400001 16.7038842099001,96.87803652 17.4499969899001,97.1280365399999 16.9724960499001,97.3780365600001 16.4949951098999,97.7372893800001 16.5607642299,97.5697097400001 16.0652046099,97.7245713 15.8466644499,97.7972563800001 14.8819618299,98.0872115399999 14.1798601299001,98.1406861200001 13.5381927099,98.1862335 14.0549973699,98.5803375600001 13.1783313099,98.7035904 12.3400459299,98.53372962 12.2546406099,98.7058715400001 12.2244654099,98.7208252199999 12.0138873698999,98.5984572600001 11.7493037499,98.8837281 11.6972198499,98.74720008 11.6748589899001,98.7094269000001 10.9162473699001,98.4607468200001 10.7287473099,98.52610014 10.0130538099001,98.7427521 10.3486080099001,98.5354003800001 9.77805327990006,98.3280486600001 9.20749854990009,98.2741546800001 8.27444262990008,98.43629454 8.14798452989999,98.65588374 8.37992856990007,98.77193442 8.01847164990005,99.2598114600001 7.65580170990012,99.39082338 7.30166574990011,99.7456816800001 7.11791562990004,99.6838684200001 6.88277712989998,100.12711338 6.42494676990009,100.35552978 5.96388810990004,100.36231992 5.08437390990002,100.6055298 4.79833212990013,100.60191342 4.22166540989997,100.86850746 4.02236040990005,100.69704432 3.91041606990001,101.29010778 3.2748605499001,101.28573612 2.84354112990013,102.00000006 2.39556666990001,102.1511493 2.30076840990006,102.00000006 2.30076840990006,101.20416246 2.30076840990006,100.40832486 2.30076840990006,100.20510864 2.70597162989992,100.13294988 2.5268745099001,100.04975136 2.73013824989999,100.00518804 2.60111064990014,99.9808045200001 2.94374946990007,99.4107106800001 3.34333260990002,98.84061684 3.74291574990008,98.2705230000001 4.14249888990003,98.27677926 4.42680456990001,98.0171965800001 4.55111022990002,97.9130248200001 4.88638776989995,97.5148315200001 5.24944398989993,96.9312897000001 5.23611021990001,96.3477478800001 5.22277644990004,95.60913084 5.62666512990006,95.23358154 5.57013846989997,95.4227448 4.84666626990003,96.06607056 4.19777670989998,96.48886104 3.76361040989997,96.8692703400001 3.68722128989998,97.2330970500001 3.27708255990012,97.59692376 2.86694382990004,97.7502517200001 2.27083278990011,98.2604827800001 2.00972172990009,98.77071384 1.74861066990007,98.7038344800001 1.5597913899,98.9217147600001 0.908853969899951,99.13959504 0.257916549900131,99.6358185000001 0.0769443699000476,99.9647026200001 -0.364722260099882,100.29358674 -0.806388890099981,100.57998276 -1.36638878010001,100.86637878 -1.92638867009993,100.90554804 -2.31944459009998,101.26623528 -2.78277773009995,101.62692252 -3.24611087009998,102.2212296 -3.64902755010002,102.32610318 -4.0061111901,103.04059221 -4.51071923009988,103.75508124 -5.01532727009993,103.89109806 -5.11138913010001,104.22593694 -5.52056837009997,104.56077582 -5.92974761009992,104.71430214 -5.91805553009993,104.60999304 -5.4933329301,105.14158632 -5.79534665009999,105.27193458 -5.44416611010001,105.5654343 -5.6703175701,105.9517107 -6.02821301009999,105.49136358 -6.8088884901,105.21595764 -6.77521571009993,105.8613777 -6.87677459009996,106.50679776 -6.97833347009993,106.42330926 -7.3713884901,106.94608686 -7.43798615009996,107.46886446 -7.50458381009992,108.1869201 -7.7863883901,108.73831176 -7.74291614010002,109.28970342 -7.69944389009999,110.0768331 -7.92046235009997,110.86396278 -8.14148081010001,111.65109246 -8.36249927009999,111.78700254 -8.26069541009991,112.6466523 -8.43416591009998,113.2327575 -8.28111263009993,113.91163254 -8.52948518009998,114.59050758 -8.77785773009998,114.35678856 -8.43555443010001,114.40280646 -8.11630103009992,114.41965554 -7.99940885009994,115.367497695 -7.99940885009994,116.31533985 -7.99940885009994,117.263182005 -7.99940885009994,118.21102416 -7.99940885009994,119.158866315 -7.99940885009994,120.10670847 -7.99940885009994,121.054550625 -7.99940885009994,122.00239278 -7.99940885009994,122.950234935 -7.99940885009994,123.89807709 -7.99940885009994,124.845919245 -7.99940885009994,125.7937614 -7.99940885009994,125.7827607 -8.02041719009992,125.8609734 -7.99940885009994,126.645730065 -7.99940885009994,127.43048673 -7.99940885009994,128.215243395 -7.99940885009994,129.00000006 -7.99940885009994,129.00000006 -8.91601142010001,129.00000006 -9.83261399010001,129.00000006 -10.7492165601,129.00000006 -11.6658191301,129.00000006 -12.4685315601,129.00000006 -13.2712439900999,129.00000006 -14.0739564200999,129.00000006 -14.8766688500999,128.53596492 -14.7584723900999,128.38768002 -14.7999992901,128.448288 -15.0470829500999,128.3062896 -14.9127770301,128.19210822 -15.0652084100999,128.28718566 -15.4006949300999,128.13214104 -15.2140550901,128.02084344 -15.4982290100999,128.16943362 -14.7027778701,127.79734419 -14.3284025301,127.42525476 -13.9540271901,127.12841802 -13.9714918701,126.8579025 -13.7509717100999,126.60054012 -14.2297211301,126.5024871 -13.9647217100999,126.2877732 -14.2330550901,126.21748356 -13.9619444901,126.01759338 -13.9265269701,126.1466523 -14.1299991500999,126.03762054 -14.5152083301,125.90277102 -14.6436118701,125.72279352 -14.4043054701,125.64224244 -14.6301041301,125.72866818 -14.2731943700999,125.61831666 -14.2224293301,125.58888252 -14.5494441500999,125.33611302 -14.5230559701,125.13602448 -14.7474308301,125.43476868 -15.1331243901,125.16165162 -15.0338898501,125.16471108 -15.1623621501,125.07832332 -14.9997215301,124.824852 -15.1602782900999,125.04425814 -15.1615629501,124.91210178 -15.3360061701,125.09734338 -15.3018054500999,125.18180856 -15.5206852701,124.70526882 -15.2533339701,124.656372 -15.4797210501,124.4572677 -15.4782628701,124.40019996 -15.8643045501,124.7267151 -15.8089579700999,124.40054322 -16.3294448900999,124.89304356 -16.4067001701,124.2298431 -16.4042339901,123.96443184 -16.2455521101,123.89137272 -16.3788871100999,123.72623442 -16.1386108701,123.5709 -16.1716651701,123.70887756 -16.4302787300999,123.42517848 -16.4995135701,123.89166252 -16.8933334101,123.79637142 -16.9979839701,123.91602318 -17.2082633900999,123.59262078 -16.9966660101,123.57527166 -17.5974998901,123.26575095 -17.0921535801,122.95623024 -16.5868072700999,123.06024936 -16.4555530700999,122.9202576 -16.4145832701,122.75221248 -16.7622223101,122.17498776 -17.2433318901,122.33748618 -18.1313896101,121.80053718 -18.4802780301,121.48858638 -19.1230544301,121.0274811 -19.5922240701,120.30463791 -19.8315295701,119.58179472 -20.0708350700999,119.08026882 -19.9687480701,118.80108648 -20.2858353501,118.17852012 -20.3486805501,117.68538672 -20.6763878300999,116.70748902 -20.6491660701,116.07970806 -21.0834732201,115.4519271 -21.5177803701,114.65109252 -21.8400001701,114.37248222 -22.4424972501,114.1538697 -22.5277785500999,114.17595678 -21.8227786701,113.93331912 -21.9761086101,113.65637202 -22.6047209901,113.80747986 -22.9333306101,113.76304632 -23.4727745901,113.53221126 -23.7572249900999,113.3897094 -24.4294432701,113.82390972 -25.1386451601,114.25811004 -25.8478470500999,114.22144314 -26.2924996101,114.06929022 -26.4616661301,113.87886048 -26.0288887101,113.7140046 -26.1969433701,113.73408504 -25.8890267301,113.46943662 -25.5408363501,113.39110566 -25.7104168700999,113.86387638 -26.4847221500999,113.64345558 -26.6543064501,113.28765876 -26.0277766701,113.2244262 -26.2391663301,113.5806732 -26.7190266201,113.9369202 -27.1988869100999,114.15428928 -28.0909728501,114.5208168 -28.6484031501,114.88734432 -29.2058334501,114.96730806 -29.8552780401,115.0472718 -30.5047226301,115.37654499 -31.1105547500999,115.70581818 -31.7163868701,115.76193246 -32.5725021500999,115.70025636 -32.7811126100999,115.69449618 -32.5222205901,115.59436038 -32.6706925101,115.71263118 -33.2640266901,115.36360164 -33.6330565701,114.99710076 -33.5241050901,115.1222076 -34.3627816100999,115.49567412 -34.3836135501,115.97360238 -34.8194504301,116.46054072 -34.9995879501,117.03512574 -35.0689621101,117.60971076 -35.1383362701,117.99588006 -35.0969123300999,117.83797452 -35.0301398900999,118.28166192 -34.9055557701,118.91165166 -34.4530562901,119.32554618 -34.4469451101,120.00498966 -33.9288863900999,120.99942783 -33.8768062701,121.993866 -33.8247261500999,122.11831674 -34.0286101701,123.01782984 -33.8575705700999,123.16805262 -34.0186081101,123.73499304 -33.7797241700999,124.28193672 -32.9855575101,124.74664308 -32.8977814101,125.35945893 -32.5822601300999,125.97227478 -32.2667388501,126.62001801 -32.2725371901,127.26776124 -32.2783355300999,128.12323761 -31.9872226101,128.97871398 -31.6961096901,129.702006 -31.6220823501,130.42529802 -31.5480550100999,131.14859004 -31.4740276700999,131.67226404 -31.7504873301,132.19593804 -32.0269469900999,132.76443474 -31.9508323701,133.41720582 -32.2133332100999,133.60586544 -32.0980529301,133.95079044 -32.3982619701,133.85287476 -32.5418090900999,134.18414298 -32.4866637500999,134.2765197 -32.7287482701,134.07450858 -32.7208633700999,134.26872246 -33.1455573500999,134.70747372 -33.1772231300999,134.84066778 -33.6377792301,135.26107794 -34.0065268701,135.4958649 -34.6170845300999,135.20851128 -34.4358292101,135.11232 -34.5947571501,135.9564057 -35.0082358701,136.00666818 -34.7426033901,135.8037873 -34.8152123301,135.93690486 -34.5368767101,136.41345216 -34.0409774300999,137.20996098 -33.6661070901,137.4882813 -33.1277771300999,137.7748413 -32.9927749701,137.76296994 -32.5325012901,138.0394287 -33.0780562700999,137.81434626 -33.2780533701,137.94857784 -33.5593033700999,137.45170602 -34.1604157101,137.43414306 -34.9388885301,137.0240784 -34.9020119300999,136.83149712 -35.2518043101,137.7481689 -35.1327782300999,137.92021173 -34.6338539600999,138.09225456 -34.1349296901,138.49606332 -34.7288818101,138.51416016 -35.0249976501,138.13748172 -35.6530532901,138.7470474 -35.5137481401,139.35661308 -35.3744429901,139.33583064 -35.6913871701,139.15969848 -35.5038948501,139.09956354 -35.6125106301,139.66040034 -36.2162475501,139.08259584 -35.6797598901,139.64804082 -36.2097243501,139.86079398 -36.6608315301,139.75137324 -37.1997223701,140.35592646 -37.8616676900999,140.99999994 -38.1560648901,141.57135018 -38.4172211301,141.75094608 -38.2670822301,142.37933346 -38.3638916301,142.9611435 -38.6115627201,143.54295354 -38.8592338101,144.36328122 -38.3244476901,144.65887452 -38.2850037501,144.70634466 -38.1491660301,144.3685608 -38.1265258101,144.91767888 -37.8685417101,145.13127138 -38.1370124301,144.7611084 -38.3777770101,144.9013671 -38.5058365701,145.44427482 -38.2269400701,145.55525202 -38.3743057100999,145.41607674 -38.5458374301,145.8161469 -38.6522865501,145.9044189 -38.8569488901,146.1423492 -38.8459701501,146.39413446 -39.1472244501,146.4692688 -38.8056258501,146.29649346 -38.9165611101,146.21926878 -38.7159728900999,146.87356572 -38.6516646501,147.3163605 -38.3170813701,147.75915528 -37.9824980901,148.71598812 -37.8394431800999,149.67282096 -37.6963882701,149.97775266 -37.5126723501,149.90246586 -36.9233321900999,149.99999994 -36.5546743700999,149.99999994 -37.5425056401,149.99999994 -38.5303369101,149.99999994 -39.5181681801,149.99999994 -40.5059994500999,149.99999994 -41.4938307201,149.99999994 -42.4816619901,149.99999994 -43.4694932600999,149.99999994 -44.4573245301,149.99999994 -45.4451558000999,149.99999994 -46.4329870701,149.99999994 -47.2677581661,149.99999994 -48.1025292621,149.99999994 -48.9373003581,149.99999994 -49.7720714540999,149.99999994 -49.9978921003609,149.99999994 -50.6068425500999,149.99999994 -51.4850719101,149.99999994 -52.3633012701,149.99999994 -53.2415306301,149.99999994 -54.1197599901,149.99999994 -54.9979893500999,149.09999994 -54.9979893321,148.19999994 -54.9979893141,147.29999994 -54.9979892960999,146.39999994 -54.9979892781,145.49999994 -54.9979892601,144.59999994 -54.9979892420999,143.69999994 -54.9979892241,142.79999994 -54.9979892060999,141.89999994 -54.9979891881,140.99999994 -54.9979891701,140.045454474546 -54.9979891701,139.090909009091 -54.9979891701,138.136363543636 -54.9979891701,137.181818078182 -54.9979891701,136.227272612727 -54.9979891701,135.272727147273 -54.9979891701,134.318181681818 -54.9979891701,133.363636216364 -54.9979891701,132.409090750909 -54.9979891701,131.454545285455 -54.9979891701,130.49999982 -54.9979891701,129.545454354545 -54.9979891701,128.590908889091 -54.9979891701,127.636363423636 -54.9979891701,126.681817958182 -54.9979891701,125.727272492727 -54.9979891701,124.772727027273 -54.9979891701,123.818181561818 -54.9979891701,122.863636096364 -54.9979891701,121.909090630909 -54.9979891701,120.954545165455 -54.9979891701,119.9999997 -54.9979891701,118.9999997055 -54.9979891701,117.999999711 -54.9979891701,116.9999997165 -54.9979891701,115.999999722 -54.9979891701,114.9999997275 -54.9979891701,113.999999733 -54.9979891701,112.9999997385 -54.9979891701,111.999999744 -54.9979891701,110.9999997495 -54.9979891701,109.999999755 -54.9979891701,108.9999997605 -54.9979891701,107.999999766 -54.9979891701,106.9999997715 -54.9979891701,105.999999777 -54.9979891701,104.9999997825 -54.9979891701,103.999999788 -54.9979891701,102.9999997935 -54.9979891701,101.999999799 -54.9979891701,100.9999998045 -54.9979891701,99.9999998100001 -54.9979891701,98.9999998155001 -54.9979891701,97.999999821 -54.9979891701,96.9999998265 -54.9979891701,95.999999832 -54.9979891701,94.9999998375 -54.9979891701,93.9999998430001 -54.9979891701,92.9999998485001 -54.9979891701,91.9999998540001 -54.9979891701,90.9999998595001 -54.9979891701,89.9999998650001 -54.9979891701,88.9999998705 -54.9979891701,87.999999876 -54.9979891701,86.9999998814999 -54.9979891701,85.9999998870001 -54.9979891701,84.9999998925001 -54.9979891701,83.9999998980001 -54.9979891701,82.9999999035001 -54.9979891701,81.9999999090001 -54.9979891701,80.9999999145 -54.9979891701,79.99999992 -54.9979891701,79.99999992 -54.1735568061,79.99999992 -53.3491244420999,79.99999992 -52.5246920781,79.99999992 -51.7002597141,79.99999992 -50.8758273501,79.99999992 -49.9978921003609,79.99999992 -49.8961659501,79.99999992 -48.9165045501,79.99999992 -47.9368431501,79.99999992 -46.9571817501,79.99999992 -45.9775203501,79.99999992 -44.9978589501,79.02572358 -44.9978589501,78.0514472400001 -44.9978589501,77.0771709000001 -44.9978589501,76.1028945600001 -44.9978589501,75.12861822 -44.9978589501,74.15434188 -44.9978589501,73.18006554 -44.9978589501,72.2057892000001 -44.9978589501,71.2315128600001 -44.9978589501,70.2572365200001 -44.9978589501,69.2829601800001 -44.9978589501,68.3086838400001 -44.9978589501,67.3344075000001 -44.9978589501,66.36013116 -44.9978589501,65.38585482 -44.9978589501,64.4115784800001 -44.9978589501,63.4373021400001 -44.9978589501,62.4630258000001 -44.9978589501,61.4887494600001 -44.9978589501,60.51447312 -44.9978589501,59.54019678 -44.9978589501,58.56592044 -44.9978589501,57.5916440999999 -44.9978589501,56.6173677599999 -44.9978589501,55.6246317600001 -44.9978589501,54.6318957600001 -44.9978589501,53.6391597600001 -44.9978589501,52.64642376 -44.9978589501,51.6536877600001 -44.9978589501,50.66095176 -44.9978589501,49.66821576 -44.9978589501,48.6754797600001 -44.9978589501,47.68274376 -44.9978589501,46.6900077600001 -44.9978589501,45.69727176 -44.9978589501,44.8096372200001 -44.9978589501,43.92200268 -44.9978589501,43.0343681399999 -44.9978589501,42.1467336 -44.9978589501,41.43115572 -44.9978589501,40.7155778400001 -44.9978589501,39.99999996 -44.9978589501,39.99999996 -45.8311978100999,39.99999996 -46.6645366701,39.99999996 -47.4978755301,39.99999996 -48.3312143901,39.99999996 -49.1645532501,39.9999999474041 -49.9978921012536,39.4999999639119 -49.9978921013347,38.9999999815079 -49.9978921013347,38.5000000221197 -49.9978921013347,38.0000000512234 -49.9978921013347,37.99999998 -49.9978921013347,37.5000000803273 -49.9978921013347,36.99999999 -49.9978921013347,36.9999999417931 -49.9978921013347,36.4999999708969 -49.9978921013347,36.0000000000007 -49.9978921013347,35.5000000291047 -49.9978921013347,35.0000000582085 -49.9978921013347,35.0000000100001 -49.9978921013347,34.4999999196742 -49.9978921013347,34.0000000200001 -49.9978921013347,33.9999999487779 -49.9978921013347,33.4999999778819 -49.9978921013347,33.0000000184929 -49.9978921013347,32.5000000360895 -49.9978921013347,32.0000000525966 -49.9978921013347,31.4999999266591 -49.9978921013347,31.00000005 -49.9978921013347,30.9999999557628 -49.9978921013347,30.4999999848667 -49.9978921013347,30.00000006 -49.9978921029579,30.0000000139705 -49.997892101984,29.5000000430745 -49.997892101984,29.0370309840001 -49.997892101984,29.0000000721782 -49.997892101984,28.4999999336441 -49.997892101984,28.074061908 -49.997892101984,27.9999999627479 -49.997892101984,27.4999999918516 -49.997892101984,27.111092832 -49.997892101984,27.0000000209556 -49.997892101984,26.5000000500593 -49.997892101984,26.1481237560001 -49.997892101984,26.000000079163 -49.997892101984,25.4999999406288 -49.997892101984,25.18515468 -49.997892101984,24.9999999697328 -49.997892101984,24.4999999988367 -49.997892101984,24.2221856039999 -49.997892101984,24.0000000279404 -49.997892101984,23.5000000570442 -49.997892101984,23.2592165280001 -49.997892101984,22.99999991851 -49.997892101984,22.4999999476139 -49.997892101984,22.296247452 -49.997892101984,21.9999999767176 -49.997892101984,21.5000000058216 -49.997892101984,21.3332783760001 -49.997892101984,21.0000000349253 -49.997892101984,20.5000000640292 -49.997892101984,20.3703093000001 -49.9978921028854,20.3703091921748 -49.9978921026271,19.9999999254948 -49.9978921025251,19.9999999254948 -49.9644448090281,19.9999999254948 -49.4978921294647,19.9999999254948 -48.9978921585686,19.9999999254948 -48.9978802562661,19.9999999254948 -48.4978802853699,19.9999999254948 -47.9978803144737,19.9999999254948 -47.9978710943802,19.9999999254948 -47.4978711234841,19.9999999254948 -46.9978709849498,19.9999999254948 -46.9978644470653,19.9999999254948 -46.4978644761691,19.9999999254948 -45.997864505273,19.9999999254948 -45.9978603143214,19.9999999254948 -45.4978603434251,19.9999999254948 -44.9978590314245,19.9999999254948 -44.4978588928903,19.9999999254948 -43.9978600954606,19.9999999254948 -43.4978601245643,19.9999999254948 -42.9978640093437,19.9999999254948 -42.4978638708095,19.9999999254948 -41.9978702701598,19.9999999254948 -41.4978702992636,19.9999999254948 -40.9978793808228,19.9999999254948 -40.4978792422886,19.9999999254948 -39.9978908384188,19.9999999254948 -39.4978908675226,19.9999999254948 -38.9979049782238,19.9999999254948 -38.4979050073276,19.9999999254948 -37.9979218002378,19.9999999254948 -37.4979216617036,19.9999999254948 -36.9979409691846,19.9999999254948 -36.4979409982886,19.9999999254948 -35.9979626527027,19.9999999254948 -35.4979626818065,19.9999999254948 -34.9979870184295,19.9999999254948 -34.8220024519163,19.99999998 -34.8220024701,20.5044440400001 -34.4647292901,21.15347094 -34.4238929600999,21.80249784 -34.3830566300999,22.5391635 -34.0111847301,23.36617854 -34.0909042100999,23.6493034200001 -33.9838943900999,24.23701098 -34.0927810700999,24.8247185399999 -34.2016677501,25.0226364600001 -33.9680556500999,25.70194242 -34.0319518700999,25.72499844 -33.7672271301,26.5305519000001 -33.7533340100999,27.2152747800001 -33.3969459800999,27.8999976600001 -33.0405579501,28.5999984600001 -32.4606724101,29.29999926 -31.8807868700999,30.00000006 -31.3009013300999,30.0238876800001 -31.2811126701,30.4578692400001 -30.6510200301,30.8918508 -30.0209273900999,31.32583236 -29.3908347500999,31.6883759400001 -29.0992534701,32.3944396200001 -28.5313910900999,32.6424330900001 -27.6892681100999,32.89042656 -26.8471451301,32.9456215800001 -26.0877094701,32.84318916 -26.2911128901,32.5871505000001 -25.9724331501,32.81110758 -25.6120853901,33.54480996 -25.2927793100999,34.27851234 -24.9734732301,35.01221472 -24.6541671501,35.49555198 -24.1022225301,35.5229110800001 -23.7954883100999,35.3383331400001 -23.9058342501,35.4678001200001 -23.4127531400999,35.5972671000001 -22.9196720301,35.5452728400001 -22.2325020500999,35.44582752 -22.1202792500999,35.3972167200001 -22.4600029700999,35.30673216 -22.4075012901,35.20926666 -21.6704006601,35.1118011600001 -20.9333000301,34.6669387200001 -20.3911819701,34.7761040400001 -19.8259049301,34.62680052 -19.6186122500999,34.89068988 -19.8604183100999,35.49541284 -19.3367376501,36.1001358 -18.8130569901,36.2527770600001 -18.8913917301,36.59833143 -18.5000018901,36.9438858 -18.1086120501,36.8463859199999 -17.8755568701,36.9838866599999 -18.0013923501,37.4280509700001 -17.6888923701,37.8722152800001 -17.3763923901,38.48419764 -17.1803846300999,39.0961800000001 -16.9843768701,39.6986083200001 -16.5369452900999,40.14319221 -16.0083341601,40.5877761 -15.4797230301,40.6842994800001 -15.2548618101,40.5144424800001 -15.1838903301,40.8461074200001 -14.6977787300999,40.8063850200001 -14.4059724501,40.6361084399999 -14.4847240700999,40.7227744800001 -14.2020844700999,40.53277206 -14.1675005301,40.6497153600001 -14.0216674101,40.62131307 -13.4961809901,40.59291078 -12.9706945701,40.41277308 -12.9692363900999,40.64596938 -12.7554169100999,40.4741592000001 -12.5049314301,40.4309654099999 -11.9113555101,40.3877716200001 -11.3177795901,40.6172179800001 -10.8416680701,40.4368133400001 -10.4781742701,39.8263854600001 -9.99305717009997,39.6447181200001 -9.19361201009997,39.3927001200001 -8.90666681009992,39.5338822200001 -8.91111191009998,39.29528808 -8.26786229009997,39.4466628600001 -7.81416707009998,39.27443688 -7.57916735010002,39.54788208 -6.99431315009997,38.8708306200001 -6.38527829009996,38.7761077800001 -6.03972293009986,38.98956681 -5.35467029009993,39.2030258400001 -4.66961765010001,39.4024962600001 -4.63388927009999,39.7639884600001 -3.94979198009997,40.12548066 -3.26569469010002,40.2311097000001 -2.6711113101,40.63048164 -2.55284735009997,40.9820822999999 -2.25722237010001,40.8916625400001 -2.0191669701,41.3152770600001 -1.95805571009993,41.5581588000001 -1.67486819009991,42.0666656400001 -0.896111150099955,42.54064686 -0.380741150099936,43.01462808 0.134628849899968,43.4886093000001 0.649998849900101,44.0168018400001 1.10097156990014,44.5449943800001 1.55194428989995,45.2852726400001 1.99458318990003,46.0255509 2.4372220899001,46.6674029400001 3.11157372989993,47.30925498 3.78592536989999,47.95110702 4.46027700989998,48.3143488800001 5.02342536990005,48.6775907400001 5.58657372990007,49.0408326 6.14972208990008,49.43506626 7.0479164199001,49.8292999199999 7.94611074990013,50.33391948 8.69199087989995,50.83853904 9.43787100989999,50.8958281800001 10.3122215499,51.41131596 10.4532574899001,51.01721568 10.4466657099001,51.1455535200001 10.6336097499001,51.07638546 11.3280544299001,51.27277374 11.8394441499,50.7694397400001 11.9791660899,50.09318928 11.5145826699,49.54020498 11.3802075399,48.9872206800001 11.2458324099001,48.52138518 11.3155536099,48.12569046 11.1351376299001,47.3966636400001 11.1789570099,46.9249973099999 10.9344783099,46.4533309799999 10.6899996099,45.7588845000001 10.8729849099,44.9355544200001 10.4236107699001,44.27832798 10.4477768499,43.7637748500001 10.9586553699001,43.2492217200001 11.4695338899,42.5086059600001 11.5672206099,42.9565239 11.8030538199,43.40444184 12.0388870299,43.1213837400001 12.7083320499,42.37381368 13.2179154699,42.2845803000001 13.5734710899001,41.6772194400001 13.9363879899,41.1722182799999 14.6306933499001,40.8072204000001 14.7055549899,40.4548569 15.0077762499001,40.17541122 14.9711104299001,39.8813857200001 15.4894427499,39.71805192 15.0880546299001,39.4387121249999 15.8147611598999,39.1593723300001 16.5414676899,38.880032535 17.2681742199001,38.6006927399999 17.9948807499,38.01819042 18.4243841499,37.4356881 18.8538875499,37.32173034 19.6256230899,37.20777258 20.3973586299001,37.09381482 21.1690941699,37.30659102 21.0632610099,36.9113846400001 21.6086082698999,36.88846596 22.0001106099,36.2786769900001 22.4854021299001,35.6688880200001 22.9706936499001,35.4858321599999 23.9429150499,35.8111762200001 23.9070109899001,35.1386109000001 24.5174980899001,34.7385164999999 25.2300904899001,34.3384221 25.9426828899001,33.9383277000001 26.6552752899,33.8373565200001 27.2366637699,33.4947204 27.6438865899,33.5588837400001 27.8830527699001,33.1237449900001 28.3754138799,32.6886062400001 28.8677749899001,32.5963821600001 29.3405532699001,32.34082788 29.5948601499,32.5756188000001 30.0027064899001,32.7413863799999 29.4547195299001,33.1725616200001 28.9950675699001,33.24277494 28.5544434099001,33.74860761 28.1415271899001,34.2544402800001 27.7286109698999,34.5791205900001 28.6076583399001,34.9038009 29.4867057099,34.9799805000001 29.5457534499001,34.9613875800001 29.3608322499,34.76676744 28.7283658899001,34.5721473 28.0958995299,35.1605529 28.0566634899001,35.679302145 27.3381223449001,36.19805139 26.6195811999,36.716800635 25.9010400549001,37.23554988 25.1824989099,37.15451046 24.8401374699001,37.4423599800001 24.3751373499001,37.94461443 24.0821161599001,38.4468688800001 23.7890949699,38.75482179 23.1862134999001,39.0627747000001 22.5833320299001,38.9930495400001 21.8369407899,39.1748581800001 21.1040248899001,39.6606902400001 20.4379138299001,40.20881463 20.1010398699,40.75693902 19.7641659098999,41.17534254 19.0649967699,41.2058296800001 18.7002753699001,41.67888642 17.9494438899,42.3070794 17.4476355699001,42.37055208 17.0399971299001,42.5479087800001 16.9982605299001,42.7896804600001 16.3775024499001,42.8345794800001 15.8833322499,42.6938857200001 15.7002772898999,42.8103408600001 15.2620125699,42.68110662 15.2083320699,42.9358291200001 14.9577771099,43.0866622800001 13.9933318899,43.2794419200001 13.7202767499001,43.2497177999999 13.2056941899001,43.4619406800001 12.6873598899001,43.94985588 12.5946521499001,44.5904121600001 12.8170813899,44.9022178800001 12.7315263099001,45.6590232000001 13.3391656299,46.17527382 13.3836102399001,46.69152444 13.4280548499,47.3944397399999 13.6463880099,47.99013516 14.0470829499001,48.6980514 14.0399990499,49.0943032200001 14.5168046499001,49.8680182350001 14.7889225299001,50.6417332500001 15.0610404099001,51.4154482650001 15.3331582899001,52.18916328 15.6052761699001,52.2943000200001 16.2665252499001,53.1144408600001 16.6427783499001,53.6035384800001 16.8285417699001,54.0926360999999 17.0143051899001,55.0319405400001 17.0147190099001,55.4360351400001 17.8261089699,56.3523215400001 17.9411773899001,56.8104363000001 18.7443962499001,57.3080634900001 18.8576841999001,57.80569068 18.9709721499001,57.6876335400001 19.7083320699,57.8281897800001 20.2162476099001,58.2137451 20.6127757299,58.2115212000001 20.3972206899001,58.52068704 20.4195099099001,58.8372192000001 21.0394439499001,59.3442993600001 21.4420128698999,59.8091621400001 22.2233314899,59.80173102 22.5368729499,59.3977737600001 22.6805534498999,59.0035362300001 23.1566638899001,58.6092987 23.6327743299001,57.8903064300001 23.7836074899,57.1713141600001 23.9344406499,56.6197853400001 24.4775676099001,56.37352752 24.9793815099001,56.26972206 25.6360148499,56.4238816200001 25.9502754099001,56.32069014 26.1669426699,56.4813118800001 26.2400683899,56.40421302 26.3687133099,56.4015236400001 26.2197895899001,56.2019004000001 26.2608603698999,56.07994086 26.0655594699001,55.8594397800001 25.7204150499001,55.2548579400001 25.2336797499001,54.6502761 24.7469444499001,54.42749784 24.2856922899001,54.12374496 24.1416645699,53.58777228 24.0441664899001,52.6262473800001 24.1968039699001,52.08596802 23.9559708099001,51.81597522 23.9979838899001,51.7258301399999 24.2611084299001,51.5842284600001 24.2604656499,51.2823562200001 24.2999992299,51.4872169199999 24.5833302099001,51.2151642 24.6208877499,51.43555062 24.6611100099,51.61582944 25.1786080299,51.47537994 25.5217684899001,51.5672150400001 25.9077052298999,51.24485772 26.1524982099,51.0369415200001 26.0424271299001,50.95180134 25.5991648899001,50.7563820000001 25.4995804299001,50.8309554599999 24.7499657499,50.4124221600001 25.3849811799001,49.99388886 26.0199966099001,50.21944434 26.3002776699001,49.9830474600001 26.6994438699001,50.15499876 26.6630534499,49.5422134200001 27.1711043499001,49.40887446 27.1272163899,49.12797546 27.4422874899,49.30873866 27.4448566299001,49.2365151000001 27.5443001499,48.8388747600001 27.6197167299001,48.87749862 27.8336067699001,48.41658774 28.5452767299,48.0286026000001 29.3449935099001,47.7072219599999 29.3758316499001,47.95596306 29.6237449299001,48.16686636 29.5651360299,47.9434737600001 30.0175552299,48.54555504 29.9630298098999,48.9173545800001 30.0406895499001,48.95809938 30.3524837499,49.0047111 30.2973574899),(48.35944368 29.7449988699,48.1885376400001 29.9819298099,48.0799866600001 29.7733306899,48.22832106 29.5952759499,48.35944368 29.7449988699),(50.4616622400001 25.9652748099,50.57332992 25.8097229499,50.5473251400001 26.2269267699,50.4616622400001 25.9652748099),(58.9195060200001 20.6822892099001,58.6549987200001 20.1683310699001,58.951107 20.5111083099001,58.9195060200001 20.6822892099001),(53.49971772 12.7172213499001,53.3308296600001 12.5459709699001,53.6361084 12.3288879098999,54.1240234200001 12.3481930899,54.4734687600001 12.5487489099,54.22083282 12.6505545699,53.49971772 12.7172213499001),(40.4170761600001 15.5748604899001,39.99999996 15.8857775499001,39.98083122 15.6029158299,40.4170761600001 15.5748604899001),(42.0756912000001 16.8102760899001,41.7910690800001 16.8117733299,41.9682884399999 16.6464672698999,42.17055516 16.5627746499001,42.0756912000001 16.8102760899001),(80.1844176600001 6.03472134990011,80.5895690400001 5.91805452990013,81.1253357100001 6.17902653990001,81.6611023800001 6.43999854990005,81.89054874 7.00055508990005,81.8558197200001 7.4052771699001,81.39193722 8.14944270990003,81.36331182 8.48221968990003,81.13928994 8.49152568990013,81.2320709400001 8.64861006989992,80.9302672800001 8.97944250990003,80.6619645000001 9.43602078990006,80.2522125 9.82499790990011,80.1405487800001 9.7922209899001,80.4419173800001 9.57701208989999,79.9699859999999 9.80999760989994,80.0247040199999 9.6447219699001,80.5371093000001 9.46972758990006,80.61032862 9.44472018990007,80.5428694800001 9.46254738990001,80.051094 9.59249784990004,80.1949768199999 9.47027586989998,79.9190827200001 8.93763732989993,79.8299865 8.00027652990008,79.6978989 8.1944427099001,79.87199787 7.21708203990011,80.0460968400001 6.2397213699,80.1844176600001 6.03472134990011),(98.33276376 8.16219336990002,98.3090743200001 7.75722162990013,98.44108578 7.90610988989994,98.33276376 8.16219336990002),(93.6436005 7.11860934990005,93.8270646 6.74583204990012,93.86804196 7.18230252990014,93.6436005 7.11860934990005),(99.6422119200001 6.42208188990003,99.7395629400001 6.24888750990004,99.92301948 6.33361008989999,99.85295106 6.46415328990008,99.6422119200001 6.42208188990003),(73.5854263200001 2.9656515099,73.5777892800001 2.95138686989998,73.5861283200001 2.96165010990006,73.5854263200001 2.9656515099),(95.69691468 2.81888868990001,96.4841308200001 2.37111042990011,95.8833160200001 2.91888858990012,95.69691468 2.81888868990001),(97.4627379900001 0.971527629900038,97.8107909400001 0.54972210989996,97.9093476 1.0392358899,97.4824677 1.46999982990002,97.1146850399999 1.39333314989995,97.4627379900001 0.971527629900038),(98.4231795600001 -0.249583370099913,98.32609566 -0.539722130100017,98.5022125199999 -0.466386350099924,98.4231795600001 -0.249583370099913),(98.8762284000001 -1.67694431009994,99.1122055200001 -1.80527783009995,99.22567752 -1.62215285010001,99.28221138 -1.73944427009997,98.9291534400001 -0.950277830099992,98.65748592 -0.971111030099962,98.60304258 -1.22305541010002,98.8762284000001 -1.67694431009994),(99.5686034400001 -2.22013859009996,99.8591461200001 -2.37648767009995,99.57263184 -2.02638893009998,99.5686034400001 -2.22013859009996),(99.97387704 -2.4965278700999,100.01596824 -2.83902773009999,100.20301812 -2.7589279101,99.97387704 -2.4965278700999),(100.19747916 -2.78694491009998,100.45942686 -3.33388895009995,100.46971134 -3.02388899009998,100.19747916 -2.78694491009998),(55.37541204 -4.62513965009998,55.5324935400001 -4.78916735009994,55.5377427000001 -4.66147049009987,55.4638824 -4.55166725009997,55.37541204 -4.62513965009998),(39.7427749199999 -5.15916689009987,39.7333297800001 -5.46347291009999,39.87305442 -4.98833375009997,39.68943786 -4.90111169009998,39.7427749199999 -5.15916689009987),(102.09984588 -5.33513921009995,102.37805172 -5.48719979010002,102.38081364 -5.37249947010002,102.09984588 -5.33513921009995),(39.2580527400001 -6.30861143009997,39.55916592 -6.4441670901,39.3111075599999 -5.72416691009988,39.19332888 -6.02388959009994,39.2580527400001 -6.30861143009997),(72.3572235 -7.27061657009995,72.4322586600001 -7.43559557009996,72.48777012 -7.38111641009993,72.4445953200001 -7.23361199009992,72.3572235 -7.27061657009995),(115.16194152 -8.67823601009991,115.10262306 -8.84680457010001,115.70984658 -8.40444467010002,115.40624994 -8.19991517009998,115.19567874 -8.05805591009994,115.02295218 -8.1679761501,114.99401862 -8.18638889009992,114.79303638 -8.14881785009999,114.47859186 -8.09003633009996,114.49303668 -8.1238196301,114.60928338 -8.3956946900999,115.16194152 -8.67823601009991),(122.86803438 -8.07201383009993,122.7418137 -8.22583301010002,122.89095306 -8.28479093009997,122.28830712 -8.64444533009993,122.03942868 -8.44361123009998,121.51360314 -8.60666567009997,121.0180473 -8.43194444009993,120.52249146 -8.25722321009994,119.90971368 -8.46416669009994,119.86228944 -8.57122529009996,119.79623412 -8.72034269009993,119.89388268 -8.85027695009995,120.53804022 -8.79333305009993,121.01638788 -8.94972227009993,121.52723463 -8.85112529010001,122.03808138 -8.75252831009999,122.8377762 -8.59818173009995,122.80004874 -8.43944459009992,123.0304032 -8.29722209009992,122.86803438 -8.07201383009993),(127.7977905 -8.10385511009997,128.02526856 -8.26749995009999,128.1277314 -8.16861155010002,127.7977905 -8.10385511009997),(125.08749396 -8.15541647009991,124.47499086 -8.13586991009998,124.35915366 -8.45999915009992,125.13970944 -8.32569413009992,125.08749396 -8.15541647009991),(127.00498968 -8.32444385009995,126.11721042 -8.46708296010002,125.22943116 -8.60972207010002,124.95189672 -8.95012673010001,124.87151484 -8.98863089009996,124.46280666 -9.18440915009995,124.04609676 -9.34000007010002,123.66359712 -9.64555547010002,123.57527166 -10.0283337500999,123.76220706 -10.0788880100999,123.49074546 -10.2390269901,123.61248018 -10.3713883701,124.43525694 -10.1627788101,124.78233717 -9.79903265009995,125.1294174 -9.43528649009994,125.47004598 -9.31267967010001,125.97230475 -9.13189523009999,126.47456352 -8.9511107900999,127.30835718 -8.40964415009989,127.00498968 -8.32444385009995),(120.38650893 -9.68350694010002,119.93983452 -9.28965281009999,119.0335311 -9.43124963009996,118.93324284 -9.55944437009987,119.20054626 -9.74749955009997,119.62983708 -9.7722234501,120.22026066 -10.2483329901,120.62719728 -10.2388878501,120.83318334 -10.0773610700999,120.38650893 -9.68350694010002),(117.4388733 -9.04166789009997,118.16859438 -8.86513811010002,118.40512086 -8.58958331010001,118.45720674 -8.87194445009999,118.94317632 -8.84104061009992,118.75087746 -8.71520801010001,119.15054316 -8.75055605009993,119.06541306 -8.50482365009998,118.9999161 -8.31576353010001,118.7733231 -8.31319421009994,118.6979922 -8.47420727010001,118.66474152 -8.54527757009993,118.66083894 -8.47111145010001,118.65172572 -8.29791635010002,118.3162995 -8.37465197009999,117.92192076 -8.08555595009989,117.70574958 -8.23722179009997,117.9749268 -8.41395623009998,118.2881088 -8.61958319009995,117.96637734 -8.7486095301,117.5635224 -8.41222283010001,117.1502685 -8.36847113009992,116.80330662 -8.59131815009994,116.74359126 -8.9818049301,117.04775994 -9.11076251010002,117.4388733 -9.04166789009997),(116.58283236 -8.89618019009998,116.73490914 -8.36548421009996,116.54481456 -8.29478885009996,116.33981328 -8.2185496701,116.27218836 -8.27207159009998,116.10247806 -8.40638921009997,116.07303618 -8.73111155010002,115.85775762 -8.82256883009995,116.58283236 -8.89618019009998),(117.48136896 -8.19138911009992,117.53232642 -8.37707549009997,117.53610228 -8.39083487009998,117.54401958 -8.37804983009994,117.67956534 -8.15916641009994,117.48136896 -8.19138911009992),(123.4060974 -8.59694477009992,123.9324723 -8.23548515009998,123.78762054 -8.1847219101,123.5822067 -8.37805559009996,123.40248102 -8.27500145009992,123.46989444 -8.35511009009991,123.21900936 -8.53201391009992,123.4060974 -8.59694477009992),(123.08804316 -8.41527743009988,123.34664916 -8.28347297009998,123.09081264 -8.2857361101,123.08804316 -8.41527743009988),(123.91110234 -8.45861153009997,124.12552644 -8.55222323009997,124.2998352 -8.2081948101,123.9807969 -8.34277721009994,123.91110234 -8.45861153009997),(105.62870034 -10.4372339901,105.7020264 -10.5108824300999,105.75251766 -10.4835452901,105.71488956 -10.3844891301,105.62870034 -10.4372339901),(123.39096066 -10.4380549701,122.85630792 -10.7597426901,122.84886168 -10.9296531501,123.19831854 -10.8230553500999,123.3944397 -10.6841659101,123.39096066 -10.4380549701),(121.87109376 -10.6075001301,122.00332644 -10.4552784501,121.72635648 -10.5446833701,121.87109376 -10.6075001301),(43.2201348 -11.7634734500999,43.4536056 -11.9361114500999,43.28694144 -11.3783341101,43.2201348 -11.7634734500999),(47.28213126 -11.5746403101,47.30301666 -11.5750607901,47.2970734199999 -11.5541744901,47.27906802 -11.5575952100999,47.28213126 -11.5746403101),(49.2838821 -11.9541683300999,48.94416432 -12.4858341500999,48.73360446 -12.4376402300999,48.9594421800001 -12.8222237301,48.79277046 -13.3677787101,48.3376350600001 -13.5508336701,48.2872161600001 -13.8080558300999,48.06333162 -13.5180569301,47.9052734400001 -13.5963896900999,48.0314025000001 -14.0634117500999,48.0030517800001 -14.3227787900999,47.9141616600001 -14.0888900301,47.92777254 -14.2538890101,47.6997147 -14.4083347700999,48.01332852 -14.7494450301,47.81127546 -14.6038903700999,47.4272155800001 -15.1105556301,47.45499426 -14.6652793700999,47.0583266400001 -15.1850012901,47.22361758 -15.4484653101,46.9594422000001 -15.5580557901,47.0763855000001 -15.3344459300999,46.9472198400001 -15.1988906301,46.33833312 -15.6247234700999,46.4777755200001 -15.9613895301,46.30221558 -15.9611130501,46.15138242 -15.7036113501,46.06360632 -15.8719462701,45.71665956 -15.7916678900999,45.6177749400001 -16.0575026901,45.3905487000001 -15.9733334301,45.3026352599999 -16.1177787500999,45.2649994200001 -15.9275016500999,44.8736038200001 -16.2102812900999,44.4427718400001 -16.2038918301,44.43777468 -16.6922226501,44.1797180400001 -17.1363907401,43.9216614000001 -17.5805588301,44.0936660699999 -18.3627472100999,44.26567074 -19.1449355901,44.469162 -19.4383354101,44.37083052 -19.7770862300999,44.47972098 -19.9805564301,44.1441649800001 -20.6029185800999,43.8086089800001 -21.2252807300999,43.5005492400001 -21.3338889501,43.2388839600001 -22.2825011900999,43.3619384400001 -22.8527793501,43.75999458 -23.4680576901,43.6249924200001 -23.7616691901,43.69166568 -24.3844452500999,44.0322190200001 -25.0044478701,44.58777624 -25.2938918301,45.4877776800001 -25.5755576300999,46.3104133200001 -25.2518081001,47.1330489600001 -24.9280585701,47.4523751057142 -23.9885346072429,47.7717012514286 -23.0490106443857,48.091027397143 -22.1094866815285,48.4103535428571 -21.1699627186713,48.7296796885715 -20.2304387558142,49.0490058342858 -19.2909147929572,49.36833198 -18.3513908301,49.51027674 -17.7113914701,49.4227753200001 -17.3158340900999,49.596939 -16.9086112701,49.7886048000001 -16.8302803101,49.8540229200001 -16.2313918701,49.6813851 -16.0550021301,49.6336059 -15.5575008500999,49.8661041600001 -15.4325007501,50.1727752 -15.9797228900999,50.43360906 -15.5800017501,50.4967804200001 -15.2494526301,50.1999969600001 -14.5702782501,50.0716629 -13.8048620901,49.94332884 -13.0394459301,49.5706215600001 -12.6487712301,49.5183258 -12.3458346501,49.2324982200001 -12.2250004701,49.3673590800001 -12.2058344301,49.2838821 -11.9541683300999),(96.81929784 -12.1782263901,96.8525389800001 -12.1997461101,96.823494 -12.1308136700999,96.81929784 -12.1782263901),(57.30708312 -20.4340306101,57.5294418 -20.5205573301,57.7895812200001 -20.2859744900999,57.6244431 -19.9863891501,57.30708312 -20.4340306101),(55.3433304599999 -21.2686119501,55.6741637999999 -21.3738899901,55.8530503200001 -21.1686134901,55.7099991000001 -20.9980582701,55.4524956000001 -20.8565311101,55.2205504800001 -21.0250015701,55.3433304599999 -21.2686119501),(112.9538727 -25.4877757700999,112.95249174 -25.7844447501,113.20555122 -26.1447219501,112.9538727 -25.4877757700999),(42.7607535600001 -17.0653552701,42.73777386 -17.0521240100999,42.7237702200001 -17.0579338700999,42.75191124 -17.0760708500999,42.7607535600001 -17.0653552701),(45.2297172600001 -12.7548628700999,45.07888788 -12.6625003701,45.1363831200001 -12.9925003101,45.2297172600001 -12.7548628700999),(44.5136108400001 -12.3802796300999,44.4673576800001 -12.0701398100999,44.2122192000001 -12.1635427100999,44.5136108400001 -12.3802796300999),(136.7121888 -36.0566635101,137.45544426 -36.0853423700999,137.76095574 -35.8660431501,138.1127319 -35.8697203701,137.91094974 -35.7293777901,137.31719976 -35.5906906700999,136.5338745 -35.8822211901,136.7121888 -36.0566635101),(143.8377381 -39.8730544700999,143.92163088 -40.1363906901,144.14645394 -39.9294394701,143.97746274 -39.5738906901,143.8377381 -39.8730544700999),(147.76074216 -39.8779830500999,148.12884522 -40.2744445700999,148.3313598 -40.2191658501,148.279419 -39.9658356501,147.88189692 -39.7541732901,147.76074216 -39.8779830500999),(147.99856572 -40.3897246701,148.33914192 -40.5033340101,148.47914124 -40.4306946501,148.3430175 -40.3066634901,147.99856572 -40.3897246701),(147.9718323 -40.7447890701,147.27896118 -40.9657249401,146.58609006 -41.1866608101,145.64372256 -40.9729156701,144.70135506 -40.7591705301,144.63720702 -41.0319443301,144.85858146 -41.5444487900999,145.20531456 -41.9477786601,145.55204766 -42.3511085301,145.46942136 -42.5230560500999,145.20523068 -42.2569503501,145.45968624 -42.9044418501,145.83691404 -43.2972259700999,146.23454286 -43.3251419901,145.93267818 -43.3763159901,146.03829948 -43.4980544901,146.83358772 -43.6480560501,147.09533688 -43.2887153900999,146.99128716 -43.1124305901,147.24745182 -43.2691688301,147.31747434 -42.8466643700999,147.42712404 -43.0417404501,147.55746456 -42.8305586901,147.82580568 -42.9319458501,147.89941398 -43.0268746100999,147.70649718 -42.9383277500999,147.6316224 -43.0655517501,147.78970344 -43.2469481901,147.99552912 -43.2275886501,147.99969486 -42.9070777701,147.8428803 -42.8729171900999,148.0791168 -42.1172179701,148.19526666 -41.9454499101,148.36384584 -42.2224274301,148.31858061 -41.5617675800999,148.27331538 -40.9011077301,147.9718323 -40.7447890701),(147.30026238 -43.2627791901,147.12301638 -43.4219436500999,147.30276492 -43.5133361301,147.30026238 -43.2627791901),(37.5759696600001 -46.9129180100999,37.81999962 -46.9697265500999,37.7774964000001 -46.8315315501,37.5759696600001 -46.9129180100999),(92.5604706600001 10.7769698499001,92.4980392800001 10.9008321699,92.3569336800001 10.7898598299001,92.3592911400001 10.5426377499,92.5074919800001 10.5313873898999,92.5604706600001 10.7769698499001),(92.7165146400001 11.4918013298999,92.75405886 12.0678807099,92.67407982 12.2128447899001,92.52532962 11.8554144699,92.7165146400001 11.4918013298999),(98.4133148400001 11.6108722299001,98.5460281200001 11.6097888099,98.5416489 11.7984705699001,98.3702545200001 11.7837485499,98.4133148400001 11.6108722299001),(92.87442018 12.3066654699,92.9916534600001 12.5249995299,92.9182586400001 12.9132652899,92.7363738600001 12.8097210099001,92.71804806 12.3411082899,92.87442018 12.3066654699),(92.88573462 12.8984509299,93.04525764 13.0655537499,93.04498296 13.5701369499001,92.8406829600001 13.3274974899,92.88573462 12.8984509299),(98.3219299200001 12.6711102099001,98.31231684 12.3684825099,98.4677581800001 12.5000000499001,98.3219299200001 12.6711102099001),(93.7058257799999 18.6690235899,93.6380768400001 18.8871803499001,93.4894256400001 18.8524970499001,93.7058257799999 18.6690235899),(93.4833222000001 19.3863829899001,93.9191436000001 18.8644409498999,93.8912049 19.2135905499,93.78416448 19.2315331299001,93.4833222000001 19.3863829899001),(93.78974916 19.2821025099,93.79734048 19.2693711099001,93.80826576 19.2758007099001,93.9225006 19.3430080299,93.96728514 19.3693542699001,93.9431915999999 19.3803654099001,93.6516495600001 19.5136089699001,93.78974916 19.2821025099),(90.67137138 21.9872170299001,90.8788604400001 22.4366608298999,90.66248316 22.7831935899,90.5508117000001 22.6397170299001,90.67137138 21.9872170299001),(91.0897065000001 22.5240249099,91.02720636 22.0838851299001,91.1746978200001 22.2186050499,91.0897065000001 22.5240249099),(56.2883301000001 26.9499702099,55.7545815 26.9520778299001,55.76998896 26.7927742299,55.2836075400001 26.5586089899001,55.9126357200001 26.7101841099,56.2883301000001 26.9499702099)))', 'IOTC', 'Indian Ocean Tuna Commission', 'Yes', 'Y'),('SRID=4326;MULTIPOLYGON(((-122.95639044 38.0580443499,-122.50548558 37.8310395099,-122.36528016 38.1555480099,-121.79152674 38.0683059699,-122.39340966 37.9591599099,-122.00583654 37.4713744899,-122.48430642 37.7899246299,-122.37902064 37.1999893899,-121.85111232 36.9506874099,-121.86763002 36.3153381699,-121.2429123 35.7273884199,-120.61819458 35.1394386699,-120.60582732 34.5586013499,-120.07374957 34.4863776999,-119.54167182 34.4141540499,-119.1291732 34.1138839899,-118.53000648 34.0479125499,-118.40001678 33.7498550499,-118.10818476 33.7569389499,-117.48082734 33.3274917099,-117.12237552 32.5353316899,-116.84320074 31.9908313299,-116.60813136 31.8445109499,-116.67562866 31.5607605699,-116.05548852 30.7965241299,-115.87607955 30.2853784899,-115.69667058 29.7742328499,-114.94598382 29.3738880099,-114.50365065 28.9457283099,-114.06131748 28.5175686099,-114.12855522 28.0236586899,-114.3076401 27.8659248699,-113.98500828 27.7008322899,-114.50278854 27.7737483999,-115.0205688 27.8466645099,-114.98889168 27.7211074899,-114.29385759 27.2303447799,-113.5988235 26.7395820699,-113.27525334 26.7813586299,-113.13098136 26.9599971099,-113.21501166 26.7033329499,-112.3783416 26.2549972299,-112.1001435 25.7280540699,-112.08750912 24.7561073499,-111.495402 24.3576355299,-110.90329488 23.9591637099,-110.31118776 23.5606918899,-109.9552842 22.8644428899,-109.48514562 23.1594409299,-109.40750118 23.4612483699,-109.80875394 23.9047212099,-110.2100067 24.3481940499,-110.35417176 24.1158333099,-110.65750884 24.3338871099,-110.68625646 24.8963871099,-110.99299239 25.3383321999,-111.29972832 25.7802772899,-111.56188194 26.7196503099,-111.84499368 26.9020804899,-111.68750754 26.6005878699,-111.85861212 26.6619415899,-112.10264208 27.1016635899,-112.34667204 27.5413855899,-112.7530593 27.8374976499,-112.86319734 28.4185047099,-113.11590582 28.4864559699,-113.19493104 28.8138160299,-113.50875096 28.8962479299,-113.66792298 29.2841644899,-114.10660557 29.6426372799,-114.54528816 30.0011100699,-114.70639032 30.9274978899,-114.88069908 31.1516646699,-114.7866669 31.6641655299,-115.0172424 31.9544295699,-114.21750636 31.5222205899,-114.02084358 31.4976367299,-113.97469338 31.6556931099,-113.58973692 31.3316650299,-113.09167476 31.2297191499,-113.08139046 30.6988869099,-112.64743431 30.0024976899,-112.21347816 29.3061084699,-112.1619492 28.9713878499,-111.63264471 28.4541654099,-111.10334022 27.9369429699,-110.51136018 27.8549976099,-110.63459016 27.6623592699,-110.52971658 27.3711090099,-109.94904324 27.0934696299,-109.75389102 26.6961097299,-109.44431298 26.7155533299,-109.10389716 26.2836075099,-109.23166656 26.3194428099,-109.43749998 25.8202743699,-109.14104466 25.5830536299,-108.83493036 25.7936077299,-109.10890206 25.5261077499,-108.76528926 25.5393028299,-108.39418038 25.1411095299,-108.04251096 25.0736084499,-108.22126014 25.0294418499,-108.10417176 24.8219414499,-107.9900055 24.9595107699,-107.995491 24.6490955499,-107.61803442 24.5172043299,-107.72772984 24.4711264899,-107.32171248 24.1681317699,-106.91569512 23.8651370499,-106.36806105 23.2645807299,-105.82042698 22.6640244099,-105.65027622 21.9812487699,-105.18945318 21.4374961299,-105.24138642 21.0647200899,-105.53618628 20.7925681899,-105.3218079 20.7654837699,-105.24472812 20.5746497499,-105.67833714 20.3830546899,-105.35042196 19.8774995799,-105.02250678 19.3719444699,-104.49722673 19.1245823499,-103.97194668 18.8772202299,-103.35751344 18.2727775299,-102.7639008 18.0955542999,-102.17028816 17.9183310699,-101.9527893 17.9784697899,-101.43139644 17.5979842599,-100.91000358 17.2174987299,-100.29799269 16.9622211099,-99.6859818 16.7069434899,-98.78222664 16.5530548299,-98.28750618 16.2625689399,-97.79278572 15.9720830499,-97.13445282 15.8078465499,-96.47611992 15.6436100499,-95.66695404 15.9297208599,-94.85778816 16.2158316699,-95.0626755 16.2721156899,-94.85917668 16.4270820099,-94.79153448 16.2600670299,-94.57882686 16.3152066099,-94.6912536 16.1906910699,-94.06504818 16.0414962699,-94.40029152 16.2955531299,-93.93861384 16.0938872499,-93.35455317 15.6327419199,-92.7704925 15.1715965899,-92.24678034 14.5505467299,-91.81575774 14.2647171699,-91.38473514 13.9788876099,-90.74056248 13.8623600199,-90.09638982 13.7458324299,-89.81854254 13.5357970899,-89.17680366 13.3674535299,-88.53506478 13.1991099699,-87.93778986 13.1563873299,-87.81558228 13.4053860099,-87.39833832 13.4123592099,-87.51181032 13.2772902699,-87.30139158 12.9865989099,-87.58583838 13.0505552499,-87.6898269 12.9177075099,-87.02401218 12.3038254299,-86.35819746 11.6899433499,-85.69238274 11.0760612699,-85.70500182 10.9330539699,-85.91139216 10.8911094699,-85.63250736 10.6216660299,-85.85751348 10.3694430099,-85.65667722 9.9049987299,-85.34500128 9.8327769699,-85.14222714 9.5894432499,-84.89723202 9.8074988499,-85.23625176 10.2073602099,-84.7475739 9.9671516499,-84.61861416 9.5794438899,-84.12253947 9.3079505199,-83.62646478 9.0364571499,-83.73347478 8.5873603899,-83.29112244 8.3702773299,-83.48042304 8.7045468699,-83.34403236 8.7280550499,-82.89884952 8.0256691299,-82.72167966 8.3172207099,-81.73861686 8.1624984699,-81.49694832 7.6986103899,-81.217926 7.6082635299,-81.05805972 7.8733329699,-80.88250734 7.2202767699,-80.43687432 7.2445827099,-79.99042518 7.5188884899,-80.47126008 8.2155541899,-79.95278934 8.4508323699,-79.69778442 8.8666649499,-78.9791031 9.1385401899,-79.05307014 8.9666652099,-78.50723274 8.6169433899,-78.41306304 8.3436097899,-78.1075134 8.4558315099,-77.77917486 8.1549987699,-78.1350021 8.3992701099,-78.4327851 8.0488873299,-77.88972474 7.2288885099,-77.3404236 6.5673607899,-77.48889156 6.1853466099,-77.24084472 5.7581940099,-77.53222656 5.5188885099,-77.3477784 5.2405548699,-77.38243866 4.3421521899,-77.242302 4.2609023499,-77.43444822 4.0313883099,-77.36625666 3.9259720299,-77.18722542 4.0602770499,-77.26541904 3.8401386699,-77.03271486 3.9184024899,-77.4069138 3.3373956099,-77.78111274 2.7563887299,-77.74542234 2.6104164699,-78.56529228 2.4291663699,-78.68687436 2.1934718499,-78.58750158 1.7671524699,-78.8449401 1.8365277099,-79.05028536 1.6318054299,-78.80972292 1.4377776699,-78.99945066 1.1722220499,-79.52427675 1.0017360399,-80.04910284 0.831250029900002,-80.0694504 0.0604165899000021,-80.50118256 -0.372569450099998,-80.269722 -0.625381970099998,-80.43326568 -0.569513930099998,-80.57604978 -0.897708470099998,-80.91278838 -1.0365278901,-80.73097992 -1.9379167701,-80.9766693 -2.1850004301,-80.8900146 -2.3205557301,-80.2522278 -2.7331945701,-80.02548972 -2.3421528501,-80.06472774 -2.5733335101,-79.90583796 -2.5593057501,-79.76292426 -2.0140277901,-79.84410102 -2.3781946101,-79.72681428 -2.5969446501,-79.89222726 -3.0588889101,-80.34042366 -3.3805170501,-80.81462484 -3.8470988301,-81.28882602 -4.3136806101,-81.35514828 -4.6875004701,-81.0850068 -5.0177783301,-81.20382696 -5.2044448101,-80.8728561 -5.6445836901,-80.93903346 -5.8601394501,-81.15153498 -5.8556947101,-81.17472834 -6.0866671101,-80.57736963 -6.4276394901,-79.98001092 -6.7686118701,-79.67626191 -7.3106951901,-79.3725129 -7.8527785101,-78.99459084 -8.2196541501,-78.66580779 -8.8982825901,-78.33702474 -9.5769110301,-78.00824169 -10.2555394701,-77.67945864 -10.9341679101,-77.64771276 -11.2978478301,-77.3047332 -11.5109730501,-77.12305452 -12.0775070301,-76.65999984 -12.7479209901,-76.19694516 -13.4183349501,-76.39479828 -13.8841677501,-75.93389136 -14.6518754901,-75.49264152 -15.0589241601,-75.05139168 -15.4659728301,-74.3399613 -15.8332233021,-73.62853092 -16.2004737741,-72.91710054 -16.5677242461,-72.20567016 -16.9349747181,-71.49423978 -17.3022251901,-71.30168154 -17.7116699301,-70.85358432 -18.0301074801,-70.4054871 -18.3485450301,-70.317451485 -19.1178216501,-70.22941587 -19.8870982701,-70.141380255 -20.6563748901,-70.05334464 -21.4256515101,-70.16973111 -22.1562643101,-70.28611758 -22.8868771101,-70.57472238 -23.0669478501,-70.62209316 -23.4996529101,-70.3911132 -23.5619469501,-70.48722834 -24.1390295601,-70.58334348 -24.7161121701,-70.45056144 -25.3654880901,-70.73125452 -25.8159046101,-70.6380615 -26.3013916101,-70.7853546 -26.9888209701,-70.96667472 -27.1791686301,-70.91389458 -27.6244468701,-71.21208951 -28.2597236601,-71.51028444 -28.8950004501,-71.39996721 -29.4023275701,-71.28964998 -29.9096546901,-71.405838 -30.1858348101,-71.64556884 -30.2736128901,-71.70333858 -30.7616692101,-71.57500452 -31.7133350601,-71.44667046 -32.6650009101,-71.75625606 -33.1054191501,-71.65501398 -33.6625061901,-72.0168075 -34.1443786101,-72.21083832 -35.0852814501,-72.6477813 -35.5740318501,-72.59140008 -35.8025017101,-72.79605108 -35.9750709501,-72.98153694 -36.6990318501,-73.12945554 -36.6825028101,-73.20375828 -37.1618080701,-73.58687586 -37.1525688501,-73.67709348 -37.3472939301,-73.66792302 -37.7268066501,-73.45494072 -38.0571556101,-73.51861572 -38.5372238901,-73.22028354 -39.3513221301,-73.37806704 -39.8547286701,-73.71486666 -39.9816704301,-73.71580536 -39.9978909501,-74.59437366 -39.9978909501,-75.47294196 -39.9978909501,-76.35151026 -39.9978909501,-77.23007856 -39.9978909501,-78.10864686 -39.9978909501,-79.1065574965385 -39.9978909501,-80.1044681330769 -39.9978909501,-81.1023787696154 -39.9978909501,-82.1002894061538 -39.9978909501,-83.0982000426923 -39.9978909501,-84.0961106792308 -39.9978909501,-85.0940213157692 -39.9978909501,-86.0919319523077 -39.9978909501,-87.0898425888462 -39.9978909501,-88.0877532253846 -39.9978909501,-89.0856638619231 -39.9978909501,-90.0835744984615 -39.9978909501,-91.081485135 -39.9978909501,-92.0793957715385 -39.9978909501,-93.0773064080769 -39.9978909501,-94.0752170446154 -39.9978909501,-95.0731276811538 -39.9978909501,-96.0710383176923 -39.9978909501,-97.0689489542308 -39.9978909501,-98.0668595907692 -39.9978909501,-99.0647702273077 -39.9978909501,-100.062680863846 -39.9978909501,-101.060591500385 -39.9978909501,-102.058502136923 -39.9978909501,-103.056412773462 -39.9978909501,-104.05432341 -39.9978909501,-105.052234046538 -39.9978909501,-106.050144683077 -39.9978909501,-107.048055319615 -39.9978909501,-108.045965956154 -39.9978909501,-109.043876592692 -39.9978909501,-110.041787229231 -39.9978909501,-111.039697865769 -39.9978909501,-112.037608502308 -39.9978909501,-113.035519138846 -39.9978909501,-114.033429775385 -39.9978909501,-115.031340411923 -39.9978909501,-116.029251048462 -39.9978909501,-117.027161685 -39.9978909501,-118.025072321538 -39.9978909501,-119.022982958077 -39.9978909501,-120.020893594615 -39.9978909501,-121.018804231154 -39.9978909501,-122.016714867692 -39.9978909501,-123.014625504231 -39.9978909501,-124.012536140769 -39.9978909501,-125.010446777308 -39.9978909501,-126.008357413846 -39.9978909501,-127.006268050385 -39.9978909501,-128.004178686923 -39.9978909501,-129.002089323462 -39.9978909501,-129.99999996 -39.9978909501,-130.999999959 -39.9978909501,-131.999999958 -39.9978909501,-132.999999957 -39.9978909501,-133.999999956 -39.9978909501,-134.999999955 -39.9978909501,-135.999999954 -39.9978909501,-136.999999953 -39.9978909501,-137.999999952 -39.9978909501,-138.999999951 -39.9978909501,-139.99999995 -39.9978909501,-140.999999949 -39.9978909501,-141.999999948 -39.9978909501,-142.999999947 -39.9978909501,-143.999999946 -39.9978909501,-144.999999945 -39.9978909501,-145.999999944 -39.9978909501,-146.999999943 -39.9978909501,-147.999999942 -39.9978909501,-148.999999941 -39.9978909501,-149.99999994 -39.9978909501,-149.99999994 -39.0478190386714,-149.99999994 -38.0977471272429,-149.99999994 -37.1476752158143,-149.99999994 -36.1976033043857,-149.99999994 -35.2475313929571,-149.99999994 -34.2974594815286,-149.99999994 -33.3473875701,-149.99999994 -32.3973156586714,-149.99999994 -31.4472437472429,-149.99999994 -30.4971718358143,-149.99999994 -29.5470999243857,-149.99999994 -28.5970280129571,-149.99999994 -27.6469561015286,-149.99999994 -26.6968841901,-149.99999994 -25.7397878215286,-149.99999994 -24.7826914529571,-149.99999994 -23.8255950843857,-149.99999994 -22.8684987158143,-149.99999994 -21.9114023472429,-149.99999994 -20.9543059786714,-149.99999994 -19.9972096101,-149.99999994 -19.0401132415286,-149.99999994 -18.0830168729571,-149.99999994 -17.1259205043857,-149.99999994 -16.1688241358143,-149.99999994 -15.2117277672429,-149.99999994 -14.2546313986714,-149.99999994 -13.2975350301,-149.99999994 -12.3404386615286,-149.99999994 -11.3833422929571,-149.99999994 -10.4262459243857,-149.99999994 -9.46914955581428,-149.99999994 -8.51205318724286,-149.99999994 -7.55495681867143,-149.99999994 -6.5978604501,-149.99999994 -5.7318074901,-149.99999994 -4.8657545301,-149.99999994 -3.9997015701,-149.99999994 -2.9997760551,-149.99999994 -1.9998505401,-149.99999994 -0.999925025099998,-149.99999994 4.89900002079158e-07,-149.99999994 0.999947748900002,-149.99999994 1.9998950079,-149.99999994 2.9998422669,-149.99999994 3.9997895259,-149.99999994 4.9997367849,-149.99999994 5.9996840439,-149.99999994 6.9996313029,-149.99999994 7.9995785619,-149.99999994 8.9995258209,-149.99999994 9.9994730799,-149.99999994 10.9994203389,-149.99999994 11.9993675979,-149.99999994 12.9993148569,-149.99999994 13.9992621159,-149.99999994 14.9992093749,-149.99999994 15.9991566339,-149.99999994 16.9991038929,-149.99999994 17.9990511519,-149.99999994 18.9989984109,-149.99999994 19.9989456699,-149.99999994 20.9988929289,-149.99999994 21.9988401879,-149.99999994 22.9987874469,-149.99999994 23.9987347059,-149.99999994 24.9986819649,-149.99999994 25.9986292239,-149.99999994 26.9985764829,-149.99999994 27.9985237419,-149.99999994 28.9984710009,-149.99999994 29.9984182599,-149.99999994 30.9983655189,-149.99999994 31.9983127779,-149.99999994 32.9982600369,-149.99999994 33.9982072959,-149.99999994 34.9981545549,-149.99999994 35.9981018139,-149.99999994 36.9980490729,-149.99999994 37.9979963319,-149.99999994 38.9979435909,-149.99999994 39.9978908499,-149.000308013077 39.9978908499,-148.000616086154 39.9978908499,-147.000924159231 39.9978908499,-146.001232232308 39.9978908499,-145.001540305385 39.9978908499,-144.001848378462 39.9978908499,-143.002156451538 39.9978908499,-142.002464524615 39.9978908499,-141.002772597692 39.9978908499,-140.003080670769 39.9978908499,-139.003388743846 39.9978908499,-138.003696816923 39.9978908499,-137.00400489 39.9978908499,-136.004312963077 39.9978908499,-135.004621036154 39.9978908499,-134.004929109231 39.9978908499,-133.005237182308 39.9978908499,-132.005545255385 39.9978908499,-131.005853328462 39.9978908499,-130.006161401538 39.9978908499,-129.006469474615 39.9978908499,-128.006777547692 39.9978908499,-127.007085620769 39.9978908499,-126.007393693846 39.9978908499,-125.007701766923 39.9978908499,-124.00800984 39.9978908499,-123.77236176 39.7097130099,-123.70152276 38.9304123699,-123.1072236 38.4627723699,-122.80776984 38.0949897099,-122.95639044 38.0580443499),(-115.3243179 28.1397208899,-115.17945858 28.0247192499,-115.24083714 28.3705519899,-115.3243179 28.1397208899),(-81.85334778 7.4466658299,-81.59014134 7.3298602299,-81.73890684 7.6391630499,-81.85334778 7.4466658299),(-91.4360427 -0.0179167100999979,-91.0836792 -0.589757090099998,-91.49292756 -0.918750110099998,-91.1650086 -1.0326389901,-90.92659752 -0.967500050099998,-90.81083682 -0.732500150099998,-91.25535582 -5.00999979211048e-08,-91.39181526 0.124722129900002,-91.60486596 -0.0102776900999979,-91.4360427 -0.0179167100999979),(-90.82653048 -0.337916750099998,-90.605835 -0.375555650099998,-90.59889222 -0.231666710099998,-90.834732 -0.176944550099998,-90.82653048 -0.337916750099998),(-90.53958888 -0.691944530099998,-90.33862302 -0.781389050099998,-90.1870956 -0.546250190099998,-90.48806766 -0.528333350099998,-90.53958888 -0.691944530099998),(-89.2572327 -0.689444510099998,-89.61750792 -0.897916730099998,-89.53334046 -0.958611110099998,-89.2572327 -0.689444510099998),(-91.4989014 -0.496111190099998,-91.4690322 -0.249444410099998,-91.66389462 -0.316111190099998,-91.4989014 -0.496111190099998),(-80.20806876 -2.7261113901,-80.21139534 -3.0366668301,-79.90278624 -2.7220835301,-80.20806876 -2.7261113901),(-149.59057626 -17.7113914701,-149.17919922 -17.8708343901,-149.35916142 -17.5344505701,-149.63250726 -17.5499991501,-149.59057626 -17.7113914701),(-128.34590148 -24.3385142901,-128.31240852 -24.4055194701,-128.28585816 -24.4016037501,-128.31022638 -24.3258971901,-128.34590148 -24.3385142901),(-112.296402 28.7563857699,-112.29000858 29.2374993099,-112.45694724 29.1861076899,-112.56362154 28.8811092099,-112.296402 28.7563857699),(-113.13971712 29.0177765499,-113.58243558 29.5859699499,-113.59221642 29.4258307899,-113.13971712 29.0177765499)))', 'AIDCP', 'Agreement on the International Dolphin Conservation Program', 'Yes', 'Y'),('SRID=4326;MULTIPOLYGON(((161.99922066 -25.9605432501,162.86218716 -26.2010874201,163.72515366 -26.4416315900999,164.31788502 -26.3748566300999,164.91061638 -26.3080816701,165.86010666 -26.2011155901,165.85699572 -26.2029274701,165.84254568 -26.2113944901,165.82813866 -26.2199194701,165.81377268 -26.2285034901,165.79944972 -26.2371454701,165.7851687 -26.2458475701,165.7709307 -26.2546065500999,165.75673572 -26.2634234901,165.74258466 -26.2722994701,165.72847662 -26.2812325101,165.71441268 -26.2902235101,165.70039374 -26.2992715701,165.68641872 -26.3083765101,165.6724887 -26.3175395901,165.66751458 -26.3208316101,165.65860368 -26.3267584701,165.64476366 -26.3360345901,165.63097062 -26.3453665101,165.61722258 -26.3547554901,165.6035217 -26.3641995501,165.58986672 -26.3737004901,165.57625872 -26.3832565101,165.5626986 -26.3928685101,165.54918474 -26.4025355901,165.53571966 -26.4122575701,165.52230174 -26.4220355301,165.5089326 -26.4318674901,165.4956126 -26.4417534501,165.48896124 -26.4467354901,165.48234066 -26.4516944901,165.46911768 -26.4616895300999,165.45594474 -26.4717385701,165.44282166 -26.4818405301,165.42974772 -26.4919964901,165.41672472 -26.5022064501,165.40375158 -26.5124686100999,165.39082974 -26.5227845901,165.37795974 -26.5331525901,165.3651396 -26.5435726100999,165.35237166 -26.5540455501,165.33965574 -26.5645705101,165.32699274 -26.5751474901,165.31438068 -26.5857755901,165.30182172 -26.5964555301,165.28931658 -26.6071865901,165.27686364 -26.6179685901,165.2644647 -26.6288015301,165.25211958 -26.6396845101,165.23982864 -26.6506186101,165.2275917 -26.6616025701,165.21540966 -26.6726354900999,165.20328162 -26.6837184501,165.19120974 -26.6948514500999,165.17919168 -26.7060335901,165.16723068 -26.7172645100999,165.15532458 -26.7285434901,165.14347572 -26.7398716101,165.13168158 -26.7512485101,165.11994558 -26.7626725700999,165.10826574 -26.7741455900999,165.09664368 -26.7856645101,165.0850776 -26.7972325701,165.07357074 -26.8088465301,165.06212058 -26.8205074701,165.05072964 -26.8322155701,165.03939558 -26.8439695700999,165.02812164 -26.8557705500999,165.01690566 -26.8676165301,165.00574962 -26.8795085901,164.99465172 -26.8914454701,164.98361466 -26.9034286100999,164.97263664 -26.9154565701,164.96171964 -26.9275284501,164.95086168 -26.9396455101,164.94006564 -26.9518064901,164.92932972 -26.9640115701,164.91865464 -26.9762594900999,164.90804058 -26.9885515101,164.89748862 -27.0008874500999,164.88699858 -27.0132655100999,164.87657064 -27.0256865901,164.86620462 -27.0381496101,164.8559007 -27.0506554701,164.8456596 -27.0632025501,164.83631364 -27.0747585500999,164.83548168 -27.0757924701,164.82536658 -27.0884225300999,164.81531574 -27.1010945300999,164.80532772 -27.1138075700999,164.7954036 -27.1265605700999,164.78554374 -27.1393546101,164.7757476 -27.1521886100999,164.76601662 -27.1650625701,164.75634972 -27.1779755901,164.74674762 -27.1909285701,164.73721158 -27.2039195300999,164.7277407 -27.2169504501,164.71833462 -27.2300195301,164.70899568 -27.2431265901,164.69972172 -27.2562714500999,164.69051364 -27.2694544701,164.6813727 -27.2826754700999,164.67229872 -27.2959324701,164.66329062 -27.3092274501,164.65435074 -27.3225586101,164.64547764 -27.3359255901,164.63667168 -27.3493294701,164.62793358 -27.3627684501,164.6192637 -27.3762436101,164.61066168 -27.3897535101,164.6022087 -27.4031674701,164.59382358 -27.4166154500999,164.5855056 -27.4300965501,164.57725458 -27.4436114901,164.56907268 -27.4571604501,164.56095774 -27.4707414501,164.55291066 -27.4843555700999,164.5449327 -27.4980015501,164.5370226 -27.5116795701,164.52918162 -27.5253894501,164.52140958 -27.5391315501,164.51370666 -27.5529046101,164.50607268 -27.5667084501,164.49850764 -27.5805436101,164.49101262 -27.5944084701,164.48358762 -27.6083035701,164.47623174 -27.6222285500999,164.4689466 -27.6361825101,164.46173166 -27.6501665301,164.45458764 -27.6641795300999,164.44751364 -27.6782215101,164.44051074 -27.6922915701,164.43357858 -27.7063895301,164.4267177 -27.7205155701,164.41980066 -27.7347744501,164.41295562 -27.7490615901,164.40618366 -27.7633755501,164.39948568 -27.7777175901,164.3928597 -27.7920864500999,164.3863077 -27.8064824900999,164.3798286 -27.8209055300999,164.37342258 -27.8353544901,164.36709162 -27.8498284701,164.36083464 -27.8643294501,164.35465074 -27.8788545501,164.34854172 -27.8934055701,164.34250758 -27.9079816101,164.3365476 -27.9225815900999,164.33066268 -27.9372055100999,164.32485174 -27.9518535501,164.31911658 -27.9665244500999,164.31345666 -27.9812194701,164.3078727 -27.9959364501,164.30236272 -28.0106764701,164.2969296 -28.0254395301,164.29157172 -28.0402234700999,164.2862907 -28.0550295501,164.28108474 -28.0698565101,164.27595474 -28.0847056101,164.2709016 -28.0995745101,164.26592568 -28.1144644701,164.26102572 -28.1293735100999,164.25620262 -28.1443036101,164.25145566 -28.1592526101,164.24678664 -28.1742205100999,164.24219466 -28.1892074901,164.23767972 -28.2042135501,164.23324164 -28.2192376100999,164.22888258 -28.2342785901,164.22459966 -28.2493384700999,164.22039558 -28.2644145501,164.21626872 -28.2795084500999,164.2122207 -28.2946185500999,164.20824972 -28.3097444901,164.20435758 -28.3248875301,164.20054374 -28.3400455101,164.19680874 -28.3552186100999,164.19315168 -28.3704075501,164.18957364 -28.3856105301,164.18607462 -28.4008284500999,164.18265462 -28.4160605901,164.17931364 -28.4313055101,164.17605168 -28.4465644701,164.17286874 -28.4618365701,164.16976464 -28.4771214501,164.16674064 -28.4924185701,164.16379674 -28.5077284700999,164.16093168 -28.5230495301,164.15814672 -28.5383824700999,164.1554406 -28.5537265701,164.15281566 -28.5690805701,164.15026974 -28.5844464501,164.14780464 -28.5998215101,164.14541964 -28.6152064701,164.14311474 -28.6306015101,164.14088958 -28.6460055500999,164.1387456 -28.6614185901,164.13668262 -28.6768404500999,164.13469974 -28.6922695101,164.1327966 -28.7077075701,164.13097464 -28.7231524701,164.12923458 -28.7386045701,164.12757462 -28.7540635100999,164.12599566 -28.7695294701,164.1244977 -28.7850015501,164.12308074 -28.8004795701,164.1217446 -28.8159635301,164.12049072 -28.8314514501,164.11931766 -28.8469454900999,164.1182256 -28.8624434901,164.11721472 -28.8779465301,164.11628574 -28.8934524500999,164.11543866 -28.9089625101,164.11467258 -28.9244754500999,164.11398858 -28.9399925301,164.11338558 -28.9555105101,164.11286466 -28.9710315501,164.11242564 -28.9865545700999,164.1120687 -29.0020795701,164.11179366 -29.0176054701,164.11159962 -29.0331315500999,164.11148874 -29.0486596101,164.11145958 -29.0641865901,164.1112866 -29.0790214700999,164.11118958 -29.0938576100999,164.11116672 -29.1086935701,164.11121874 -29.1235284501,164.11134564 -29.1383645901,164.1115476 -29.1531985701,164.11182462 -29.1680325501,164.1121767 -29.1828645501,164.11260366 -29.1976954701,164.11310658 -29.2125245900999,164.11368366 -29.2273515501,164.1143367 -29.2421754500999,164.11506372 -29.2569975500999,164.1158667 -29.2718165901,164.11674474 -29.2866314900999,164.11769766 -29.3014435101,164.11876272 -29.3167696100999,164.1199086 -29.3320904901,164.12113458 -29.3474065101,164.12244174 -29.3627174901,164.12382864 -29.3780236101,164.12529672 -29.3933236101,164.12684562 -29.4086174900999,164.12847462 -29.4239045301,164.13018462 -29.4391854501,164.13197472 -29.4544584500999,164.13384564 -29.4697246101,164.13579774 -29.4849835701,164.13782958 -29.5002335300999,164.1399426 -29.5154755701,164.14213662 -29.5307086101,164.14441074 -29.5459324701,164.1467646 -29.5611475101,164.14920072 -29.5763524701,164.15171658 -29.5915475301,164.15431272 -29.6067325101,164.15698968 -29.6219065101,164.15974674 -29.6370695301,164.16258462 -29.6522215700999,164.1655026 -29.6673615500999,164.16850158 -29.6824894700999,164.17158066 -29.6976055101,164.17473966 -29.7127085901,164.17797966 -29.7277996101,164.18129958 -29.7428765900999,164.1846996 -29.7579395301,164.18818062 -29.7729895101,164.19174066 -29.7880254501,164.1953817 -29.8030455501,164.19910266 -29.8180516100999,164.20290372 -29.8330425500999,164.2067847 -29.8480185501,164.2107456 -29.8629774501,164.2147866 -29.8779205101,164.2189077 -29.8928475500999,164.22310764 -29.9077574901,164.22738858 -29.9226505100999,164.23174872 -29.9375255301,164.2361886 -29.9523834500999,164.24070768 -29.9672235501,164.24530668 -29.9820445701,164.2499847 -29.9968465101,164.25474264 -30.0116304500999,164.2595796 -30.0263945900999,164.26449558 -30.0411385700999,164.26949058 -30.0558625701,164.27456568 -30.0705665901,164.27971962 -30.0852504501,164.2844736 -30.0999375501,164.28930768 -30.1146055701,164.29421862 -30.1292536101,164.29920858 -30.1438825701,164.30427666 -30.1584904700999,164.30942358 -30.1730785701,164.31464772 -30.1876456100999,164.31994962 -30.2021915900999,164.32532964 -30.2167165101,164.3307876 -30.2312194701,164.33632368 -30.2457004701,164.34193662 -30.2601586101,164.34762768 -30.2745946101,164.35339668 -30.2890075701,164.35924164 -30.3033974901,164.36516562 -30.3177634701,164.37116574 -30.3321055101,164.37724272 -30.3464236101,164.38339764 -30.3607165101,164.3896287 -30.3749854700999,164.39593662 -30.3892285101,164.40232158 -30.4034465301,164.40878358 -30.4176395301,164.41532172 -30.4318055301,164.42193564 -30.4459456101,164.4286266 -30.4600585101,164.4353937 -30.4741445901,164.44223658 -30.4882034900999,164.4491547 -30.5022355700999,164.45614968 -30.5162384901,164.46322062 -30.5302135101,164.47036662 -30.5441604500999,164.47758768 -30.5580785901,164.4848847 -30.5719675701,164.4922566 -30.5858275700999,164.49970374 -30.5996575101,164.50722558 -30.6134575701,164.51482266 -30.6272264900999,164.52249462 -30.6409655300999,164.53024074 -30.6546745100999,164.53806174 -30.6683514500999,164.54595672 -30.6819965301,164.55392568 -30.6956104701,164.56195962 -30.7091804901,164.57006772 -30.7227195501,164.57824962 -30.7362254900999,164.5865046 -30.7496984901,164.59483374 -30.7631374700999,164.6032347 -30.7765445901,164.61170964 -30.7899166101,164.62025658 -30.8032546100999,164.62887768 -30.8165585900999,164.6375697 -30.8298285500999,164.6463357 -30.8430625101,164.65517262 -30.8562615500999,164.66408172 -30.8694254901,164.67306372 -30.8825536100999,164.68211664 -30.8956455501,164.69124066 -30.9087005901,164.70043668 -30.9217194500999,164.70970362 -30.9347015901,164.71904274 -30.9476455701,164.7284517 -30.9605524700999,164.73793158 -30.9734215701,164.74748166 -30.9862525101,164.75710266 -30.9990454700999,164.7667926 -31.0117995501,164.77655364 -31.0245145700999,164.7863847 -31.0371905301,164.7962847 -31.0498276101,164.80625364 -31.0624234701,164.8162926 -31.0749804500999,164.8264716 -31.0875845901,164.83671972 -31.1001485900999,164.84703768 -31.1126704700999,164.85742458 -31.1251505901,164.86788168 -31.1375885900999,164.87840664 -31.1499844700999,164.88900072 -31.1623375101,164.89966374 -31.1746475300999,164.91039462 -31.1869156101,164.92119462 -31.1991395900999,164.93206158 -31.2113194701,164.94299658 -31.2234556100999,164.95399872 -31.2355474701,164.96506872 -31.2475955901,164.97620568 -31.2595985301,164.9874096 -31.2715555701,164.99867958 -31.2834685101,165.01001562 -31.2953355500999,165.02141862 -31.3071565101,165.03288768 -31.3189315701,165.04442172 -31.3306594700999,165.05602164 -31.3423414701,165.06768672 -31.3539775701,165.0794166 -31.3655645301,165.09121074 -31.3771055900999,165.10307058 -31.3885985901,165.1149936 -31.4000435300999,165.1269807 -31.4114395101,165.1390326 -31.4227885101,165.1511466 -31.4340874701,165.16332468 -31.4453385501,165.17556558 -31.4565395901,165.18786966 -31.4676914901,165.20023566 -31.4787935301,165.21266466 -31.4898455301,165.22515468 -31.5008474901,165.23770662 -31.5117995900999,165.25032066 -31.5226994901,165.26299572 -31.5335495301,165.27573072 -31.5443475500999,165.28852764 -31.5550944501,165.30138468 -31.5657905901,165.31430166 -31.5764334501,165.32727768 -31.5870244701,165.34031472 -31.5975634701,165.35340972 -31.6080495501,165.36656466 -31.6184825301,165.37977864 -31.6288625901,165.39304968 -31.6391895501,165.40638066 -31.6494625101,165.41976762 -31.6596814700999,165.43321362 -31.6698466101,165.44671668 -31.6799564900999,165.46027662 -31.6900134501,165.47389362 -31.7000146101,165.4875666 -31.7099605101,165.50129574 -31.7198515101,165.51508068 -31.7296876100999,165.5289216 -31.7394675501,165.5428176 -31.7491915101,165.55676868 -31.7588594901,165.57077466 -31.7684705901,165.58483464 -31.7780255301,165.59894862 -31.7875235901,165.6131166 -31.7969645901,165.62733858 -31.8063485301,165.64161258 -31.8156745100999,165.65594058 -31.8249436100999,165.66755058 -31.8323875101,165.6703206 -31.8341545701,165.68475264 -31.8433075701,165.6992367 -31.8524015300999,165.7137717 -31.8614375300999,165.72835872 -31.8704144901,165.74299668 -31.8793334901,165.75768468 -31.8881925500999,165.77242362 -31.8969925701,165.78699264 -31.9056035901,165.80160864 -31.9141575501,165.8162736 -31.9226524700999,165.83098572 -31.9310896101,165.84574464 -31.9394675301,165.86055162 -31.9477874900999,165.87540468 -31.9560485901,165.89030364 -31.9642495700999,165.90524868 -31.9723925901,165.92023962 -31.9804754901,165.93527574 -31.9884984501,165.95035668 -31.9964614701,165.96548262 -32.0043654501,165.98065374 -32.0122085900999,165.9958677 -32.0199916100999,166.01112558 -32.0277136101,166.02642666 -32.0353754901,166.04177166 -32.0429765301,166.0571586 -32.0505165500999,166.07258874 -32.0579944701,166.08805974 -32.0654115501,166.10357358 -32.0727676101,166.11912774 -32.0800615700999,166.13472366 -32.0872936100999,166.15035972 -32.0944635501,166.16603664 -32.1015715701,166.1817537 -32.1086165901,166.19750964 -32.1155995101,166.21330572 -32.1225196100999,166.22914068 -32.1293765301,166.24501362 -32.1361715301,166.26092562 -32.1429024500999,166.2768747 -32.1495705501,166.29286266 -32.1561745701,166.30901262 -32.1627676100999,166.32519966 -32.1692954901,166.34142468 -32.1757585701,166.3576857 -32.1821555901,166.37398362 -32.1884885301,166.39031664 -32.1947555900999,166.40668674 -32.2009574901,166.42309068 -32.2070935100999,166.43953062 -32.2131645501,166.45600458 -32.2191684501,166.47251274 -32.2251075500999,166.48905474 -32.2309795101,166.50562968 -32.2367855900999,166.52223864 -32.2425256101,166.53887964 -32.2481984900999,166.55555358 -32.2538045901,166.57225866 -32.2593435501,166.5889956 -32.2648164500999,166.60576368 -32.2702214901,166.62256272 -32.2755595700999,166.63939164 -32.2808305101,166.65625062 -32.2860335901,166.67313966 -32.2911695300999,166.69005858 -32.2962376100999,166.70700558 -32.3012385500999,166.72398066 -32.3061705501,166.74098472 -32.3110345101,166.7580156 -32.3158315100999,166.77507474 -32.3205595701,166.7921607 -32.3252185101,166.80927258 -32.3298095901,166.82641164 -32.3343324501,166.84357572 -32.3387854701,166.86076464 -32.3431704501,166.87797966 -32.3474875701,166.89521862 -32.3517344901,166.9124826 -32.3559124701,166.92976962 -32.3600215101,166.94708058 -32.3640605300999,166.96441368 -32.3680306101,166.98177072 -32.3719315701,166.99943358 -32.3758255101,167.01711966 -32.3796465501,167.0348286 -32.3833964900999,167.0525586 -32.3870746101,167.07030966 -32.3906794701,167.0880816 -32.3942125100999,167.1058746 -32.3976735501,167.12368668 -32.4010615101,167.14151874 -32.4043765701,167.1593706 -32.4076194500999,167.17724064 -32.4107905101,167.19512958 -32.4138875901,167.21303562 -32.4169124901,167.23095966 -32.4198644901,167.24890062 -32.4227425101,167.26685868 -32.4255485301,167.28483258 -32.4282814701,167.30282268 -32.4309406100999,167.32082772 -32.4335264901,167.3388477 -32.4360394701,167.35688172 -32.4384784700999,167.37493068 -32.4408445701,167.3929926 -32.4431365101,167.41106766 -32.4453555501,167.42915658 -32.4475006101,167.44725666 -32.4495725900999,167.4653697 -32.4515705900999,167.48349372 -32.4534946101,167.50162872 -32.4553444700999,167.5197747 -32.4571216101,167.53793058 -32.4588235100999,167.55609564 -32.4604525101,167.5742706 -32.4620064500999,167.59245474 -32.4634874901,167.6106477 -32.4648945501,167.62884768 -32.4662265501,167.64705558 -32.4674854701,167.66527158 -32.4686695101,167.68349262 -32.4697795700999,167.70172158 -32.4708154701,167.71995558 -32.4717775700999,167.73819462 -32.4726646100999,167.7564396 -32.4734774900999,167.77468872 -32.4742165701,167.79294162 -32.4748814901,167.81119866 -32.4754715301,167.82945858 -32.4759875901,167.84772174 -32.4764294901,167.8659867 -32.4767965100999,167.88425364 -32.4770895500999,167.90252274 -32.4773075300999,167.92079274 -32.4774515301,167.93906274 -32.4775215501,167.95733364 -32.4775175900999,167.97560364 -32.4774385700999,167.99387364 -32.4772844901,168.01214166 -32.4770566101,168.0304086 -32.4767545701,168.04867374 -32.4763785501,168.06693672 -32.4759274701,168.08519664 -32.4754025901,168.1034526 -32.4748024701,168.12170568 -32.4741294501,168.13995372 -32.4733804701,168.15819762 -32.4725585900999,168.17643666 -32.4716614700999,168.19467066 -32.4706914501,168.21289764 -32.4696454701,168.23111868 -32.4685265900999,168.2493327 -32.4673335500999,168.2675406 -32.4660654501,168.28573968 -32.4647235501,168.30393066 -32.4633085701,168.32211372 -32.4618185301,168.3402876 -32.4602545101,168.35845266 -32.4586165100999,168.37660674 -32.4569056101,168.39475164 -32.4551194701,168.41288574 -32.4532606101,168.4310076 -32.4513265100999,168.44911866 -32.4493195100999,168.46721766 -32.4472396101,168.4853046 -32.4450844701,168.50337858 -32.4428566101,168.5214396 -32.4405554901,168.53948658 -32.4381805701,168.55751862 -32.4357314901,168.57553662 -32.4332105901,168.59354058 -32.4306155300999,168.61152762 -32.4279464901,168.62949972 -32.4252054501,168.64745562 -32.4223906101,168.6653946 -32.4195025101,168.67778958 -32.4174555501,168.34328658 -32.8863676101,168.11752968 -33.4344654501,168.00676074 -34.0070785701,168.01562862 -34.5284266100999,168.0166287 -34.5872225301,168.14939058 -35.1573286101,168.40354266 -35.6997515901,168.77353068 -36.1973194701,168.77391858 -36.1976774901,168.77839464 -36.2036545701,169.25453658 -36.6402496101,169.41049362 -36.7399584501,169.78925862 -37.2319504701,169.79019264 -37.2327845901,169.79121774 -37.2341056101,169.81122672 -37.2519855501,169.94222658 -37.4203805901,169.94229858 -37.4204444901,169.94320668 -37.4216094500999,169.94573766 -37.4238594500999,169.95005874 -37.4293966101,169.99197066 -37.4666245701,170.08640262 -37.5872864901,169.84564758 -37.9408235901,169.84452564 -37.9434875901,169.8295806 -37.9652965701,169.81546662 -37.9987636101,169.62169464 -38.1172374501,169.6101507 -38.1263656101,169.60776966 -38.1276844701,169.60692564 -38.1283524501,169.60380174 -38.1300826100999,169.59642264 -38.1359146100999,169.59386466 -38.1373304900999,169.57580364 -38.1515985501,169.57394262 -38.1526276101,169.55783568 -38.1653446101,169.3942227 -38.2555375701,168.8683266 -38.6648105901,168.86511072 -38.6683495701,168.82492374 -38.6993174901,168.8126067 -38.7128484501,168.80959458 -38.7151655901,168.79889268 -38.7269165300999,168.78420468 -38.7382126100999,168.34983768 -39.2105934500999,168.34973868 -39.2107534701,168.34880358 -39.2117614701,168.33766068 -39.2296865901,168.32557764 -39.2427005901,168.32381868 -39.2455274901,168.32344374 -39.2459315901,168.32310264 -39.2464786101,168.32135466 -39.2483596101,168.3181206 -39.2535565700999,168.3160497 -39.2557865900999,168.11242362 -39.5811245301,168.10396362 -39.5874464900999,168.10234866 -39.5891665701,168.10192368 -39.5894844501,167.6572146 -40.0589404701,167.31971964 -40.5794005700999,167.31546858 -40.5903485301,167.29325172 -40.6242684501,167.2902747 -40.6319225901,167.10949962 -40.7618806100999,166.99586472 -40.8185375900999,166.9931487 -40.8204765501,166.95067068 -40.8415975701,166.9481487 -40.8433955900999,166.94769474 -40.8436205901,166.93744266 -40.8509285901,166.93710768 -40.8510954500999,166.93310664 -40.8518086101,166.93140258 -40.8523635501,166.93024662 -40.8525694701,166.92853464 -40.8531265701,166.92737166 -40.8533335700999,166.92496866 -40.8541154901,166.92450966 -40.8541975700999,166.21704558 -41.0812276101,166.21617258 -41.0816506101,166.2150987 -41.0819915301,166.21421868 -41.0824184901,166.21316568 -41.0827514901,166.2122637 -41.0831896101,166.21123374 -41.0835164901,165.56066658 -41.3958614901,164.9851956 -41.7852245301,164.8863576 -41.8791575300999,164.67048864 -42.0226054701,164.52262962 -42.1613305701,164.4991956 -42.1767445100999,164.49859872 -42.1773025100999,164.48618664 -42.1854615501,164.35809468 -42.3048065901,163.88564058 -42.6111016100999,163.84045662 -42.6523396100999,163.8380277 -42.6538985901,163.79991972 -42.6886164501,163.75757166 -42.7157255301,163.7571096 -42.7161454701,163.7535726 -42.7184075301,163.63920474 -42.8221015701,163.63404864 -42.8253845900999,163.57153572 -42.8818475301,163.56025368 -42.8890084701,163.54995462 -42.8982935901,163.54813068 -42.8994504501,163.54728864 -42.9002095101,163.5471126 -42.9003205701,163.53679266 -42.9096195500999,163.5349896 -42.9107625500999,163.52186958 -42.9225775701,163.5208146 -42.9232464501,163.5175656 -42.9261714501,163.51578666 -42.9272975300999,163.01168766 -43.3763744900999,162.99816966 -43.3937396301,162.98353566 -43.4066296101,162.98268372 -43.4077225701,162.98249274 -43.4078915901,162.96409458 -43.4314885101,162.94187358 -43.4510285901,162.9250497 -43.4725645101,162.9054126 -43.4898034701,162.90498672 -43.4903485100999,162.90230958 -43.4926975101,162.8973477 -43.4990396300999,162.89395074 -43.5020186301,162.89365374 -43.5023986101,162.89188668 -43.5039475101,162.87995664 -43.5191845100999,162.87922872 -43.5198226101,162.87879366 -43.5203775501,162.8761257 -43.5227164701,162.7422966 -43.6929595701,162.63085968 -43.7897666301,162.62997858 -43.7908775901,162.62569062 -43.7945935101,162.62300862 -43.7979746301,162.61019874 -43.8090716300999,162.60928164 -43.8102265100999,162.60915366 -43.8103364901,162.58592466 -43.8395895501,162.54787464 -43.8724744701,162.5478417 -43.8725155101,162.53451072 -43.8840256101,162.12997368 -44.3866126101,162.1259127 -44.3945155101,162.1243746 -44.3964065901,161.84150658 -44.9407175901,161.69195664 -45.5112405501,161.6919516 -45.5115985701,161.6919147 -45.5117395101,161.69190066 -45.5128844901,161.69178168 -45.5133335900999,161.69169672 -45.5199266300999,161.69101164 -45.5225096300999,161.69100372 -45.5230834701,161.69094468 -45.5233075701,161.69094072 -45.5235955701,161.69091066 -45.5237066301,161.6907087 -45.5394454701,161.66421468 -45.6390025701,161.66420766 -45.6395774901,161.66414772 -45.6398015901,161.66395368 -45.6541034901,161.65517868 -45.6869705901,161.65514574 -45.6893415501,161.65490058 -45.6902606301,161.64647568 -46.2702785901,161.66383974 -46.3425514701,161.6637177 -46.3506385100999,161.66590074 -46.3597144701,161.66589174 -46.3603354701,161.8046577 -46.9323866301,161.84775366 -47.0146514900999,161.70950466 -47.2843715901,161.56839564 -47.8568734701,161.56840158 -47.8573366101,161.5683186 -47.8576696101,161.57571174 -48.4380956301,161.6744016 -48.7898024901,161.66920266 -48.7939545501,161.23072068 -49.2980726301,161.15077566 -49.4419505901,161.13390858 -49.4609855900999,161.12219058 -49.4819696301,161.10344772 -49.5030814701,161.1028656 -49.5041215100999,161.10231858 -49.5047374700999,160.822849851279 -49.9978921003609,160.79351058 -50.0496646100999,160.7924457 -50.0534555901,160.79083758 -50.0562565701,160.62824466 -50.6271425900999,160.62823872 -50.6276786301,160.62650658 -50.6336755100999,160.62647472 -50.6368406301,160.62594858 -50.6386615101,160.68934566 -51.1891796300999,160.6728897 -51.1859705901,160.64934264 -51.1814506100999,160.62576768 -51.1769945301,160.60216356 -51.1726025301,160.57853172 -51.1682746101,160.5548736 -51.1640105901,160.53118758 -51.1598115501,160.50747564 -51.1556765901,160.4837367 -51.1516055301,160.45997256 -51.1475996301,160.43618358 -51.1436585300999,160.41236958 -51.1397815101,160.38853056 -51.1359694701,160.36466868 -51.1322215100999,160.34078268 -51.1285396101,160.31687364 -51.1249225101,160.29294156 -51.1213694900999,160.26898662 -51.1178825301,160.24501062 -51.1144594700999,160.22101266 -51.1111024701,160.19699472 -51.1078106301,160.17295464 -51.1045835901,160.14889566 -51.1014226100999,160.12481562 -51.0983266101,160.10071668 -51.0952964900999,160.07659866 -51.0923315301,160.05246264 -51.0894315501,160.02830772 -51.0865976301,160.0041357 -51.0838295900999,159.97994568 -51.0811276101,159.95573964 -51.0784906100999,159.93151668 -51.0759194900999,159.9072777 -51.0734146101,159.8830227 -51.0709756101,159.85875258 -51.0686024901,159.8344686 -51.0662956101,159.81016968 -51.0640535301,159.78585672 -51.0618785900999,159.76174464 -51.0597875300999,159.7376187 -51.0577616301,159.7134816 -51.0557996301,159.68933172 -51.0539035101,159.66517068 -51.0520725500999,159.64099758 -51.0503065701,159.61681458 -51.0486055700999,159.5926206 -51.0469695501,159.56841672 -51.0453985101,159.54420366 -51.0438935301,159.5199807 -51.0424535300999,159.49574856 -51.0410785101,159.47150958 -51.0397684701,159.4472616 -51.0385244900999,159.4230057 -51.0373454901,159.3987426 -51.0362314701,159.37447356 -51.0351835101,159.35019768 -51.0342005301,159.32591658 -51.0332825301,159.30162864 -51.0324305900999,159.27733656 -51.0316436301,159.25303962 -51.0309225500999,159.22873764 -51.0302666301,159.2044326 -51.0296765900999,159.1801236 -51.0291515301,159.15581262 -51.0286925301,159.13149768 -51.0282985101,159.10718058 -51.0279705501,159.08286258 -51.0277075701,159.0585426 -51.0275095701,159.03422064 -51.0273785301,159.00989958 -51.0273115700999,158.98557762 -51.0273104900999,158.96125566 -51.0273754700999,158.9369346 -51.0275056100999,158.91261462 -51.0277016300999,158.88829572 -51.0279626301,158.86397862 -51.0282895101,158.83966458 -51.0286815501,158.8153527 -51.0291394701,158.7910437 -51.0296625500999,158.76673866 -51.0302515101,158.74243668 -51.0309056300999,158.71813956 -51.0316256300999,158.69384766 -51.0324106101,158.66955972 -51.0332614701,158.64527772 -51.0341774901,158.62100166 -51.0351584900999,158.59673262 -51.0362055501,158.5724697 -51.0373175901,158.54821362 -51.0384946100999,158.52396564 -51.0397375101,158.49972558 -51.0410455701,158.47549362 -51.0424186101,158.45127066 -51.0438575301,158.4270576 -51.0453616100999,158.40285372 -51.0469304901,158.37865866 -51.0485645301,158.35447566 -51.0502635501,158.33030256 -51.0520286300999,158.30614062 -51.0538576101,158.28199056 -51.0557524701,158.25785364 -51.0577124901,158.2337277 -51.0597374901,158.20961562 -51.0618265701,158.1855156 -51.0639815301,158.1614307 -51.0662005701,158.13735966 -51.0684854901,158.11330266 -51.0708344900999,158.0893776 -51.0732355101,158.06546766 -51.0757015100999,158.04157356 -51.0782315901,158.01769566 -51.0808255701,157.9938336 -51.0834825501,157.96998864 -51.0862045100999,157.9461606 -51.0889905501,157.92235056 -51.0918395901,157.8985587 -51.0947525301,157.87478466 -51.0977295501,157.8510297 -51.1007704701,157.82729364 -51.1038745700999,157.80357756 -51.1070425701,157.77988164 -51.1102735701,157.7562057 -51.1135684701,157.73255064 -51.1169265500999,157.70891664 -51.1203485300999,157.6853046 -51.1238335101,157.6617147 -51.1273814901,157.63814658 -51.1309935500999,157.61460168 -51.1346675300999,157.59092466 -51.1384165701,157.56727158 -51.1422295101,157.5436437 -51.1461065301,157.52003958 -51.1500465501,157.49646066 -51.1540504701,157.47290658 -51.1581175701,157.4493786 -51.1622485701,157.42587762 -51.1664434700999,157.40240256 -51.1707004701,157.37895558 -51.1750215500999,157.3555356 -51.1794056301,157.33214262 -51.1838536101,157.3087797 -51.1883635100999,157.2854436 -51.1929365900999,157.26213756 -51.1975724901,157.23886158 -51.2022715701,157.21561458 -51.2070334701,157.19239872 -51.2118574701,157.16921256 -51.2167444701,157.14605862 -51.2216935700999,157.12293564 -51.2267054901,157.0998447 -51.2317795101,157.0767867 -51.2369156301,157.05376056 -51.2421134900999,157.03076862 -51.2473745300999,157.00780962 -51.2526965901,156.98488464 -51.2580805701,156.96199368 -51.2635264700999,156.93913764 -51.2690344701,156.9163176 -51.2746034901,156.89353266 -51.2802335300999,156.87078372 -51.2859254900999,156.8480706 -51.2916784701,156.82539456 -51.2974935501,156.80275668 -51.3033685700999,156.7801557 -51.3093055101,156.7575927 -51.3153025701,156.73506768 -51.3213604701,156.71258262 -51.3274784901,156.69013572 -51.3336586100999,156.6677286 -51.3398975901,156.64536162 -51.3461975901,156.62303568 -51.3525586101,156.6007497 -51.3589784901,156.57850566 -51.3654584900999,156.55630266 -51.3719986101,156.53414268 -51.3785984901,156.51202356 -51.3852584900999,156.48994872 -51.3919775301,156.46791564 -51.3987565101,156.44592756 -51.4055945301,156.42398268 -51.4124915901,156.40208262 -51.4194475101,156.38022756 -51.4264624701,156.3584166 -51.4335364701,156.33665262 -51.4406695101,156.31493364 -51.4478605101,156.29326164 -51.4551105501,156.27163662 -51.4624185501,156.25005858 -51.4697845100999,156.2285277 -51.4772086101,156.2070456 -51.4846915701,156.18561156 -51.4922315900999,156.16422558 -51.4998284901,156.14288964 -51.5074846101,156.12160266 -51.5151965301,156.10036662 -51.5229665900999,156.07917972 -51.5307935301,156.05804466 -51.5386775301,156.03696072 -51.5466185901,156.01592772 -51.5546165300999,155.99494656 -51.5626706301,155.9740176 -51.5707805301,155.95314264 -51.5789474901,155.9323197 -51.5871706101,155.92480506 -51.5901661701,155.91155058 -51.5954495301,155.89083456 -51.6037846101,155.87017362 -51.6121754901,155.84956758 -51.6206216300999,155.82901662 -51.6291235701,155.80852056 -51.6376805900999,155.78808066 -51.6462925101,155.76769656 -51.6549595101,155.7473697 -51.6636805101,155.72709972 -51.6724574900999,155.70688662 -51.6812884701,155.68673166 -51.6901736300999,155.66663466 -51.6991126101,155.6465967 -51.7081064901,155.6266176 -51.7171534701,155.60669772 -51.7262546301,155.5868376 -51.7354096101,155.5670376 -51.7446175101,155.54729772 -51.7538785100999,155.52761958 -51.7631926100999,155.50800156 -51.7725596301,155.48844672 -51.7819795701,155.46895272 -51.7914515301,155.44952172 -51.8009765900999,155.43015264 -51.8105534901,155.41084764 -51.8201825900999,155.39160564 -51.8298635301,155.37242772 -51.8395955901,155.3533137 -51.8493794900999,155.33426556 -51.8592155901,155.31528168 -51.8691015501,155.2963626 -51.8790395301,155.27751066 -51.8890275501,155.2587246 -51.8990665100999,155.2400046 -51.9091565901,155.22135156 -51.9192965300999,155.20276656 -51.9294865101,155.1842487 -51.9397256300999,155.1657996 -51.9500155101,155.14741872 -51.9603545301,155.1291066 -51.9707425100999,155.11086666 -51.9811735101,155.09269764 -51.9916525700999,155.07459756 -52.0021805901,155.05656768 -52.0127575701,155.03860962 -52.0233826101,155.02072158 -52.0340555301,155.00290464 -52.0447775901,154.9851606 -52.0555466301,154.96748766 -52.0663624701,154.94988762 -52.0772265501,154.93236066 -52.0881385101,154.9149057 -52.0990965501,154.89752562 -52.1101015701,154.88021862 -52.1211535701,154.86298668 -52.1322514701,154.84582962 -52.1433956300999,154.82874672 -52.1545865900999,154.8117396 -52.1658225501,154.79480862 -52.1771045900999,154.7779536 -52.1884316301,154.76117472 -52.1998034901,154.7444727 -52.2112216101,154.72784862 -52.2226834701,154.71130158 -52.2341905101,154.69483266 -52.2457414701,154.67844168 -52.2573365301,154.66212972 -52.2689755101,154.6458966 -52.2806585901,154.62974268 -52.2923845101,154.61366868 -52.3041545301,154.5976746 -52.3159675701,154.5817617 -52.3278236300999,154.56592872 -52.3397216300999,154.55017764 -52.3516615701,154.53450756 -52.3636445300999,154.51891866 -52.3756696100999,154.50341256 -52.3877366301,154.48798962 -52.3998445101,154.47264966 -52.4119936101,154.4573916 -52.4241844701,154.44221868 -52.4364154701,154.42712856 -52.4486885901,154.41212358 -52.4610005901,154.39720266 -52.4733536301,154.3823667 -52.4857455500999,154.3676166 -52.4981785100999,154.35295164 -52.5106496300999,154.33837272 -52.5231616100999,154.32388056 -52.5357115700999,154.30947462 -52.5483005901,154.29515562 -52.5609275901,154.28092464 -52.5735934700999,154.2667806 -52.5862975101,154.25272566 -52.5990395301,154.23875856 -52.6118186300999,154.22487966 -52.6246355301,154.21109058 -52.6374895101,154.1973906 -52.6503794900999,154.18378062 -52.6633076301,154.17026064 -52.6762715900999,154.15683066 -52.6892715501,154.14349158 -52.7023066101,154.13024358 -52.7153785701,154.11708756 -52.7284856301,154.10402262 -52.7416276101,154.09104966 -52.7548045101,154.07816958 -52.7680165100999,154.06538166 -52.7812625300999,154.05151662 -52.7941215500999,154.03774158 -52.8070174701,154.02405762 -52.8199495701,154.01046366 -52.8329185700999,153.9969597 -52.8459235701,153.98354772 -52.8589645700999,153.97022664 -52.8720415701,153.95699772 -52.8851545700999,153.9438606 -52.8983024901,153.93081672 -52.9114846101,153.91786464 -52.9247025501,153.90500562 -52.9379545100999,153.89224056 -52.9512404901,153.87956964 -52.9645615701,153.8669916 -52.9779155901,153.8545086 -52.9913025501,153.84212064 -53.0047235301,153.82982772 -53.0181776301,153.81762966 -53.0316644901,153.80552772 -53.0451835701,153.79352064 -53.0587345101,153.78161058 -53.0723185700999,153.76979772 -53.0859335901,153.7580817 -53.0995795701,153.7464627 -53.1132575901,153.73494072 -53.1269665700999,153.72351666 -53.1407056101,153.7121916 -53.1544756101,153.70096464 -53.1682754900999,153.68983668 -53.1821056101,153.67880772 -53.1959645301,153.66787758 -53.2098535101,153.6570477 -53.2237714701,153.64631772 -53.2377175101,153.63568872 -53.2516936100999,153.62515962 -53.2656965301,153.61473168 -53.2797286101,153.60440472 -53.2937875101,153.59417964 -53.3078744901,153.58405662 -53.3219884701,153.57403458 -53.3361296301,153.56411658 -53.3502965300999,153.55429956 -53.3644906101,153.54458658 -53.3787106101,153.53497764 -53.3929565300999,153.52547058 -53.4072274700999,153.51606864 -53.4215245101,153.50677056 -53.4358454901,153.4975767 -53.4501914901,153.4884876 -53.4645625100999,153.47950362 -53.4789574700999,153.47062458 -53.4933765501,153.46185156 -53.5078184901,153.45318366 -53.5222834701,153.44462268 -53.5367725701,153.43616772 -53.5512836301,153.42781968 -53.5658175501,153.41957856 -53.5803736100999,153.41144472 -53.5949516301,153.4034187 -53.6095505301,153.3954996 -53.6241715700999,153.38768868 -53.6388125900999,153.37998666 -53.6534755701,153.37239264 -53.6681585301,153.3649077 -53.6828605700999,153.35753166 -53.6975834901,153.3502647 -53.7123254901,153.34310772 -53.7270874701,153.33606072 -53.7418676301,153.3291237 -53.7566675901,153.32229666 -53.7714844701,153.31558068 -53.7863206101,153.30897558 -53.8011734900999,153.30336966 -53.8139914701,153.29784672 -53.8268225900999,153.29240658 -53.8396655901,153.28588572 -53.8536305301,153.27946368 -53.8676114900999,153.27314064 -53.8816095500999,153.2669157 -53.8956225501,153.26078958 -53.9096504901,153.25476372 -53.9236946301,153.24883758 -53.9377535301,153.24301062 -53.9518275501,153.23728266 -53.9659156101,153.23165568 -53.9800175301,153.22612968 -53.9941334901,153.21923568 -54.0088945701,153.21245058 -54.0236725701,153.20577672 -54.0384685701,153.19921356 -54.0532814900999,153.19276164 -54.0681125901,153.1864206 -54.0829595301,153.1801917 -54.0978235701,153.17407368 -54.1127036301,153.1680687 -54.1276006100999,153.16217568 -54.1425125300999,153.1563957 -54.1574404701,153.15072768 -54.1723826301,153.1451736 -54.1873406301,153.13973256 -54.2023124901,153.1346076 -54.2165825301,153.1295856 -54.2308655301,153.12466764 -54.2451614901,153.11985264 -54.2594686101,153.11514168 -54.2737885101,153.11053458 -54.2881195701,153.1033056 -54.3022655901,153.09617958 -54.3164296100999,153.08915562 -54.3306105501,153.08223462 -54.3448094901,153.07541658 -54.3590266101,153.06870258 -54.3732595701,153.06209064 -54.3875105301,153.05558364 -54.4017775100999,153.04918068 -54.4160605101,153.04288068 -54.4303595301,153.03668562 -54.4446754701,153.03059568 -54.4590056301,153.02461068 -54.4733516301,153.01845162 -54.4883945901,153.01240866 -54.5034544701,153.00648072 -54.5185294701,153.0006687 -54.5336204901,152.99497368 -54.5487266301,152.98939458 -54.5638466301,152.98393356 -54.5789824700999,152.97858864 -54.5941325301,152.97336072 -54.6092955501,152.9682507 -54.6244735101,152.96325768 -54.6396635301,152.95838364 -54.6548675901,152.9536266 -54.6700846100999,152.94898872 -54.6853135101,152.94446964 -54.7005544700999,152.94006972 -54.7158065901,152.9357877 -54.7310714901,152.93162556 -54.7463464701,152.92758366 -54.7616326101,152.92366056 -54.7769295501,152.9198577 -54.7922365701,152.91617562 -54.8075534901,152.9126136 -54.8228804901,152.90917164 -54.8382155901,152.90585064 -54.8535605901,152.90265168 -54.8689135101,152.8995726 -54.8842756101,152.89661556 -54.8996445500999,152.89378056 -54.9150215900999,152.8910667 -54.9304065500999,152.8884756 -54.9457976301,152.88600564 -54.9611955500999,152.8836597 -54.9766004900999,152.88143472 -54.9920104701,152.87933358 -55.0074274700999,152.87735466 -55.0228486101,152.87549958 -55.0382755101,152.87376762 -55.0537065500999,152.8721586 -55.0691426300999,152.8706736 -55.0845815901,152.8693137 -55.1000255901,152.86807656 -55.1154724701,152.86696362 -55.1309225901,152.8659756 -55.1463755900999,152.8651116 -55.1618305701,152.8643727 -55.1772875301,152.86375872 -55.1927464701,152.86326966 -55.2082064900999,152.8629057 -55.2236684901,152.86266666 -55.2391304901,152.86255362 -55.2545935700999,152.86256568 -55.2700555700999,152.86270464 -55.2855184700999,152.8629687 -55.3009804701,152.86335858 -55.3164415700999,152.86387572 -55.3319015901,152.8645176 -55.3473596300999,152.86528764 -55.3628155101,152.86618368 -55.3782695901,152.86720572 -55.3937215101,152.86835556 -55.4091694700999,152.86963158 -55.4246156300999,152.87103558 -55.4400565701,152.87256666 -55.4554946301,152.87422464 -55.4709285500999,152.8760097 -55.4863576101,152.87792364 -55.5017816301,152.87996358 -55.5171995301,152.8821027 -55.5324115101,152.88436566 -55.5476186301,152.88675372 -55.5628185501,152.8892667 -55.5780116300999,152.8919046 -55.5931985901,152.8946667 -55.6083785301,152.89755462 -55.6235505501,152.90056656 -55.6387155501,152.90370468 -55.6538715501,152.90696772 -55.6690205301,152.91035658 -55.6841596101,152.91387072 -55.6992895101,152.9175096 -55.7144105901,152.92127466 -55.7295215901,152.92516464 -55.7446225100999,152.92918062 -55.7597135301,152.9333226 -55.7747935700999,152.93759058 -55.7898626301,152.94198366 -55.8049205300999,152.94650256 -55.8199665501,152.95114872 -55.8349996100999,152.95591962 -55.8500215101,152.9608167 -55.8650306301,152.9658396 -55.8800266100999,152.97098958 -55.8950085500999,152.97626466 -55.9099775301,152.98166664 -55.9249324701,152.98719462 -55.9398724701,152.9928486 -55.9547986101,152.99862858 -55.9697096301,153.00453564 -55.9846046301,153.0105687 -55.9994845100999,153.01672758 -56.0143485501,153.02301264 -56.0291954900999,153.0294246 -56.0440265901,153.03596256 -56.0588405901,153.0426267 -56.0736365901,153.04941756 -56.0884154900999,153.0563346 -56.1031765701,153.06337764 -56.1179194701,153.07054668 -56.1326434701,153.07784262 -56.1473485701,153.08526456 -56.1620345901,153.09281268 -56.1767006301,153.10048662 -56.1913465101,153.10828764 -56.2059725900999,153.11621358 -56.2205776101,153.1242666 -56.2351615701,153.13244562 -56.2497255500999,153.14074956 -56.2642664901,153.14918058 -56.2787854701,153.15774768 -56.2933145301,153.16644168 -56.3078205501,153.17526168 -56.3223035301,153.18420768 -56.3367634701,153.19328058 -56.3511994701,153.20247966 -56.3656115301,153.21180366 -56.3799985700999,153.22125456 -56.3943614900999,153.23083164 -56.4086995700999,153.24053472 -56.4230126301,153.25036272 -56.4372995900999,153.26031672 -56.4515606300999,153.27039672 -56.4657955700999,153.28060272 -56.4800035101,153.29093256 -56.4941846301,153.30138966 -56.5083385701,153.3119706 -56.5224646101,153.32267664 -56.5365625701,153.33350868 -56.5506326300999,153.34446456 -56.5646735301,153.35554662 -56.5786865301,153.3667527 -56.5926694701,153.37808262 -56.6066236100999,153.38953764 -56.6205466101,153.40111668 -56.6344406301,153.41281956 -56.6483026101,153.42464772 -56.6621345301,153.43659864 -56.6759354901,153.44867358 -56.6897045901,153.46087272 -56.7034414701,153.47319462 -56.7171464900999,153.48563964 -56.7308194701,153.49820868 -56.7444595100999,153.51089958 -56.7580655300999,153.5237136 -56.7716386101,153.53665056 -56.7851774901,153.54971064 -56.7986825301,153.56289168 -56.8121535500999,153.57619566 -56.8255894701,153.58962168 -56.8389895701,153.60316866 -56.8523554701,153.61683768 -56.8656844701,153.63062766 -56.8789785501,153.64453968 -56.8922355501,153.65857158 -56.9054554701,153.67272462 -56.9186384900999,153.68699862 -56.9317846101,153.70139268 -56.9448934700999,153.71590662 -56.9579636300999,153.73053972 -56.9709956300999,153.7452936 -56.9839894701,153.76016664 -56.9969435301,153.77515866 -57.0098596100999,153.79026966 -57.0227355500999,153.80549964 -57.0355715301,153.8208477 -57.0483675501,153.83631366 -57.0611225301,153.8519616 -57.0738895701,153.86772762 -57.0866155701,153.88361262 -57.0992996301,153.8996157 -57.1119404901,153.91573668 -57.1245404901,153.93197556 -57.1370974700999,153.94833072 -57.1496116101,153.9648036 -57.1620814701,153.98139366 -57.1745084901,153.99809964 -57.1868915900999,154.01492172 -57.1992305901,154.03185972 -57.2115245901,154.04891256 -57.2237735901,154.06608168 -57.2359775901,154.08336564 -57.2481365901,154.10076372 -57.2602495101,154.11827556 -57.2723165301,154.1359026 -57.2843374701,154.15364268 -57.2963116101,154.1714967 -57.3082385901,154.18946268 -57.3201185900999,154.2075417 -57.3319505301,154.22573358 -57.3437345900999,154.2440367 -57.3554705901,154.2624516 -57.3671585301,154.28097756 -57.3787975101,154.29961458 -57.3903875301,154.31836266 -57.4019285900999,154.33721964 -57.4134196101,154.35618768 -57.4248605901,154.37526462 -57.4362515301,154.39444956 -57.4475915301,154.41374466 -57.4588814901,154.43314758 -57.4701196101,154.4526576 -57.4813075101,154.4722767 -57.4924424901,154.49200164 -57.5035265300999,154.51183368 -57.5145585500999,154.53177156 -57.5255374701,154.55181564 -57.5364634700999,154.57196466 -57.5473365500999,154.59221862 -57.5581565301,154.6125777 -57.5689225101,154.63304064 -57.5796344901,154.65360762 -57.5902935501,154.67427756 -57.6008975301,154.69505064 -57.6114466100999,154.71592668 -57.6219406100999,154.7369037 -57.6323795301,154.7579826 -57.6427624701,154.77916266 -57.6530905101,154.8004437 -57.6633614900999,154.82182356 -57.6735775701,154.84330458 -57.6837355101,154.8648837 -57.6938374701,154.88656272 -57.7038825501,154.90833858 -57.7138694901,154.93021362 -57.7237995501,154.9521846 -57.7336714700999,154.97425368 -57.7434845301,154.99641762 -57.7532405301,155.01867858 -57.7629365900999,155.04103458 -57.7725745101,155.06348472 -57.7821535701,155.08602972 -57.7916725100999,155.10866868 -57.8011315100999,155.1314007 -57.8105314701,155.1542256 -57.8198705900999,155.17714266 -57.8291495900999,155.20015062 -57.8383684701,155.22325056 -57.8475256101,155.24644068 -57.8566226300999,155.2697217 -57.8656575500999,155.29309164 -57.8746305501,155.31655068 -57.8835425300999,155.34009756 -57.8923915101,155.36373372 -57.9011794700999,155.38745664 -57.9099035300999,155.4112656 -57.9185654901,155.43516168 -57.9271646301,155.45914272 -57.9357005900999,155.48320872 -57.9441724700999,155.50735968 -57.9525806300999,155.5315947 -57.9609256100999,155.5559127 -57.9692065101,155.58031368 -57.9774226101,155.60479656 -57.9855735501,155.6293617 -57.9936605900999,155.65400658 -58.0016824700999,155.67873264 -58.0096384701,155.70353862 -58.0175294901,155.72842362 -58.0253555300999,155.75338656 -58.0331146101,155.7784287 -58.0408085300999,155.8035477 -58.0484354901,155.82874266 -58.0559965701,155.85401466 -58.0634905101,155.87936064 -58.0709185701,155.90478258 -58.0782785901,155.93027868 -58.0855714700999,155.95584858 -58.0927964901,155.98149066 -58.0999545501,156.00720564 -58.1070445701,156.03299172 -58.1140665500999,156.05884962 -58.1210195901,156.08477664 -58.1279054900999,156.11077368 -58.1347215501,156.13684056 -58.1414695701,156.16294668 -58.1481425301,156.18912156 -58.1547465500999,156.21536268 -58.1612805501,156.24166968 -58.1677465101,156.26804256 -58.1741415501,156.2944797 -58.1804674701,156.32098164 -58.1867235501,156.34754766 -58.1929096100999,156.3741756 -58.1990254701,156.40086564 -58.2050714901,156.4276176 -58.2110465901,156.45443058 -58.2169505900999,156.4813026 -58.2227834901,156.50823456 -58.2285454701,156.53522556 -58.2342365301,156.5622747 -58.2398564901,156.58938072 -58.2454046301,156.61654272 -58.2508814901,156.6437616 -58.2562856301,156.67103466 -58.2616184901,156.69836262 -58.2668795300999,156.72574458 -58.2720674901,156.75317964 -58.2771836301,156.78066672 -58.2822275901,156.80820456 -58.2871984701,156.8357946 -58.2920966300999,156.8634336 -58.2969215301,156.89112264 -58.3016735301,156.91885956 -58.3063526300999,156.94664562 -58.3109584701,156.97447758 -58.3154905100999,157.0023567 -58.3199485701,157.03028064 -58.3243335501,157.05825066 -58.3286445501,157.0862646 -58.3328815701,157.11432156 -58.3370446101,157.14242064 -58.3411334901,157.17056256 -58.3451485700999,157.1987457 -58.3490885901,157.22696862 -58.3529546300999,157.25523168 -58.3567456101,157.28353362 -58.3604615300999,157.31187372 -58.3641034701,157.34025072 -58.3676696301,157.36866462 -58.3711616300999,157.3971147 -58.3745785701,157.42559862 -58.3779195501,157.45411872 -58.3811854700999,157.48267068 -58.3843765100999,157.51125666 -58.3874915901,157.5398736 -58.3905316100999,157.56852168 -58.3934954901,157.59720072 -58.3963835901,157.62590964 -58.3991955501,157.65464664 -58.4019326300999,157.68341262 -58.4045935701,157.7122056 -58.4071774701,157.74102468 -58.4096864901,157.76986968 -58.4121184701,157.7987397 -58.4144744901,157.82763366 -58.4167545500999,157.85655066 -58.4189575700999,157.8854907 -58.4210846300999,157.9144527 -58.4231355500999,157.94343558 -58.4251096101,157.97243772 -58.4270066300999,158.00146056 -58.4288275101,158.03050068 -58.4305715301,158.0595597 -58.4322385100999,158.08863564 -58.4338295301,158.1177267 -58.4353426100999,158.14683468 -58.4367795501,158.17595562 -58.4381396301,158.20509168 -58.4394224901,158.23423962 -58.4406284901,158.2634007 -58.4417565501,158.29281666 -58.4428174701,158.3222436 -58.4438006301,158.35167972 -58.4447045901,158.38112556 -58.4455306101,158.41057968 -58.4462776101,158.44004064 -58.4469464900999,158.46950862 -58.4475365301,158.49898272 -58.4480486300999,158.52846168 -58.4484815301,158.5579446 -58.4488364901,158.58743058 -58.4491126101,158.61691962 -58.4493106101,158.64640956 -58.4494295901,158.67590058 -58.4494695501,158.70539268 -58.4494315701,158.73488262 -58.4493145700999,158.76437166 -58.4491196300999,158.79385764 -58.4488454901,158.82334056 -58.4484935901,158.8528197 -58.4480624901,158.88229362 -58.4475525501,158.9117616 -58.4469655701,158.94122364 -58.4462984901,158.97067758 -58.4455534701,159.0001236 -58.4447305100999,159.02956062 -58.4438285301,159.05898756 -58.4428475300999,159.0884037 -58.4417894901,159.11780868 -58.4406526101,159.1472007 -58.4394365301,159.17657958 -58.4381435901,159.2059446 -58.4367716301,159.23529468 -58.4353215501,159.26462964 -58.4337926300999,159.29394768 -58.4321864901,159.32324772 -58.4305015101,159.35253066 -58.4287394900999,159.3817947 -58.4268986301,159.41103858 -58.4249805501,159.44026158 -58.4229836301,159.4694637 -58.4209094900999,159.49864368 -58.4187575901,159.52779972 -58.4165284701,159.55693272 -58.4142205101,159.5860407 -58.4118355101,159.61512366 -58.4093734701,159.6441807 -58.4068334900999,159.67320966 -58.4042164700999,159.70221162 -58.4015225901,159.7311846 -58.3987505901,159.7601286 -58.3959015501,159.78904164 -58.3929754700999,159.81792372 -58.3899725301,159.84677358 -58.3868925501,159.87559158 -58.3837366101,159.90437556 -58.3805025501,159.9331257 -58.3771925301,159.96184056 -58.3738065501,159.9905196 -58.3703435300999,160.01916264 -58.3668045501,160.0477677 -58.3631885301,160.0763346 -58.3594965500999,160.10486172 -58.3557295100999,160.13335068 -58.3518856100999,160.1617977 -58.3479664700999,160.19020368 -58.3439704701,160.21856862 -58.3399004900999,160.24688964 -58.3357534700999,160.27516764 -58.3315324701,160.30340064 -58.3272355100999,160.33158864 -58.3228634901,160.35973056 -58.3184165901,160.38782658 -58.3138946301,160.41587472 -58.3092976101,160.44387372 -58.3046266101,160.47182466 -58.2998805501,160.49972556 -58.2950605101,160.5275766 -58.2901655900999,160.55537562 -58.2851975901,160.5831237 -58.2801545301,160.61081868 -58.2750385701,160.63845966 -58.2698486301,160.66604664 -58.2645845301,160.69357872 -58.2592475300999,160.72105464 -58.2538376301,160.74847566 -58.2483544701,160.77583764 -58.2427975101,160.80314364 -58.2371685501,160.83002772 -58.2315446301,160.85685366 -58.2258485300999,160.88362164 -58.2200834901,160.91033058 -58.2142475301,160.93697958 -58.2083415500999,160.96356864 -58.2023655501,160.99009668 -58.1963195301,161.01656172 -58.1902045701,161.04296556 -58.1840195901,161.06930568 -58.1777654900999,161.09558172 -58.1714426300999,161.12179368 -58.1650504701,161.14793958 -58.1585895501,161.17402068 -58.1520605901,161.20003464 -58.1454625101,161.22598272 -58.1387965701,161.25186168 -58.1320625901,161.2776726 -58.1252605701,161.30341458 -58.1183905101,161.32908672 -58.1114534901,161.35468866 -58.1044486101,161.38021968 -58.0973774900999,161.4056787 -58.0902385101,161.43106572 -58.0830325701,161.45637966 -58.0757605701,161.48161962 -58.0684225101,161.50678668 -58.0610174900999,161.53187868 -58.0535474901,161.55689472 -58.0460105300999,161.58183462 -58.0384094900999,161.60669874 -58.0307414901,161.63148564 -58.0230095901,161.6561937 -58.0152116301,161.68082472 -58.0073495901,161.70537564 -57.9994225701,161.72984772 -57.9914314701,161.7542397 -57.9833755701,161.77855068 -57.9752564901,161.80278066 -57.9670735101,161.82692874 -57.9588266301,161.85099366 -57.9505165701,161.8749756 -57.9421435100999,161.89887474 -57.9337085301,161.92268874 -57.9252094701,161.94641868 -57.9166484901,161.97006366 -57.9080255901,161.9936217 -57.8993405900999,162.0170946 -57.8905945701,162.04047966 -57.8817855500999,162.0637776 -57.8729165901,162.0869877 -57.8639855301,162.1101087 -57.8549945301,162.1331406 -57.8459425100999,162.15608358 -57.8368305501,162.17893566 -57.8276584701,162.20169774 -57.8184255501,162.22436766 -57.8091344901,162.24694668 -57.7997825901,162.26943372 -57.7903725501,162.2918277 -57.7809034700999,162.31412862 -57.7713755300999,162.33633558 -57.7617896300999,162.35844858 -57.7521445100999,162.38046672 -57.7424425100999,162.40238964 -57.7326825500999,162.42421662 -57.7228646301,162.44594874 -57.7129905501,162.46758258 -57.7030585101,162.48911958 -57.6930704901,162.5103837 -57.6831614901,162.53155368 -57.6731975901,162.55262574 -57.6631786100999,162.57360258 -57.6531056301,162.59448168 -57.6429775701,162.61526358 -57.6327965901,162.63594774 -57.6225605300999,162.65653272 -57.6122715500999,162.6770196 -57.6019294701,162.69740658 -57.5915335701,162.71769474 -57.5810854700999,162.73788264 -57.5705846301,162.75796974 -57.5600315901,162.77795658 -57.5494265300999,162.79784172 -57.5387696301,162.8176257 -57.5280605300999,162.83730672 -57.5173015701,162.85688568 -57.5064905901,162.87636258 -57.4956295701,162.89573562 -57.4847176100999,162.91500462 -57.4737556100999,162.93416958 -57.4627435700999,162.95323068 -57.4516825701,162.97218666 -57.4405715301,162.9910386 -57.4294115301,163.00978362 -57.4182034701,163.0284237 -57.4069466301,163.04715972 -57.3955175301,163.06578774 -57.3840394700999,163.0843056 -57.3725126301,163.10271366 -57.3609375501,163.12101264 -57.3493145900999,163.13920074 -57.3376424901,163.1572776 -57.3259244901,163.17524466 -57.3141586100999,163.19309958 -57.3023455700999,163.21084362 -57.2904855501,163.22847462 -57.2785796301,163.24599474 -57.2666265500999,163.26340074 -57.2546284700999,163.2806946 -57.2425855700999,163.2978747 -57.2304965901,163.31494158 -57.2183626100999,163.3318947 -57.2061845301,163.3487337 -57.1939616301,163.36545768 -57.1816946300999,163.38206664 -57.1693846100999,163.39856166 -57.1570304901,163.41494058 -57.1446335301,163.43120358 -57.1321935500999,163.44735174 -57.1197116301,163.46338272 -57.1071875901,163.4792976 -57.0946205300999,163.49509566 -57.0820126101,163.51077672 -57.0693634701,163.5263406 -57.0566734700999,163.54178658 -57.0439426100999,163.55711574 -57.0311705301,163.57232574 -57.0183595701,163.58741766 -57.0055084701,163.60239168 -56.9926184901,163.61724672 -56.9796885501,163.6319826 -56.9667206301,163.64659968 -56.9537134701,163.6610967 -56.9406685101,163.67547474 -56.9275855701,163.68973272 -56.9144644701,163.70387064 -56.9013064701,163.71788868 -56.8881124701,163.73178558 -56.8748804901,163.74531762 -56.8618504701,163.75873374 -56.8487855301,163.77203268 -56.8356865701,163.78521462 -56.8225535901,163.79827974 -56.8093855101,163.81122768 -56.7961855701,163.82405772 -56.7829516101,163.83676968 -56.7696845300999,163.84936464 -56.7563845101,163.86184062 -56.7430535301,163.8741996 -56.7296896100999,163.8864396 -56.7162945501,163.89856062 -56.7028676300999,163.91056374 -56.6894095700999,163.9224486 -56.6759216300999,163.93421358 -56.6624025501,163.94585958 -56.6488525101,163.95774768 -56.6348765901,163.9695096 -56.6208695300999,163.98114462 -56.6068315101,163.99265364 -56.5927625300999,164.00403468 -56.5786625901,164.01528972 -56.5645334901,164.0264166 -56.5503745101,164.03741766 -56.5361865500999,164.04829074 -56.5219685301,164.05903566 -56.5077226101,164.06965368 -56.4934486101,164.08014462 -56.4791456301,164.09050668 -56.4648154701,164.10074166 -56.4504584901,164.11084866 -56.4360745101,164.1208266 -56.4216635300999,164.13067764 -56.4072255501,164.14039962 -56.3927625501,164.14999362 -56.3782736301,164.15945964 -56.3637595101,164.1687966 -56.3492205500999,164.17800558 -56.3346574701,164.18708568 -56.3200695501,164.19603762 -56.3054575101,164.2048596 -56.2908226101,164.2135536 -56.2761635901,164.22211962 -56.2614815300999,164.23055568 -56.2467775101,164.23886268 -56.2320515301,164.2470417 -56.2173035901,164.25509058 -56.2025335101,164.26301058 -56.1877436300999,164.2708026 -56.1729316101,164.27846466 -56.1580996101,164.28599766 -56.1432476301,164.2934016 -56.1283745901,164.30067666 -56.1134835501,164.30782158 -56.0985725301,164.3148387 -56.0836435101,164.32172568 -56.0686955900999,164.3284836 -56.0537294901,164.33511174 -56.0387455701,164.34161172 -56.0237445500999,164.34798174 -56.0087255301,164.3542227 -55.9936904901,164.3603346 -55.9786396100999,164.36631672 -55.9635716301,164.37217068 -55.9484885300999,164.37789468 -55.9333904901,164.38348962 -55.9182766101,164.38895658 -55.9031485100999,164.39429358 -55.8880054700999,164.39950062 -55.8728494700999,164.40432858 -55.8584564901,164.40904062 -55.8440516301,164.41363566 -55.8296356101,164.4181146 -55.8152075301,164.4224787 -55.8007684701,164.42672562 -55.7863186101,164.4308577 -55.7718584901,164.4348726 -55.7573875700999,164.43877266 -55.7429065701,164.44255662 -55.7284165701,164.44622574 -55.7139164901,164.45259774 -55.6992146301,164.4588477 -55.6844965700999,164.46497364 -55.6697615901,164.47097664 -55.6550105900999,164.4768576 -55.6402444701,164.48261472 -55.6254625101,164.48824872 -55.6106665101,164.4937596 -55.5958555701,164.49914772 -55.5810295100999,164.50441272 -55.5661904901,164.5095546 -55.5513376100999,164.51457372 -55.5364705100999,164.51946972 -55.5215915301,164.5242426 -55.5066995901,164.52889362 -55.4917945101,164.53342062 -55.4768786300999,164.53782558 -55.4619505101,164.5421076 -55.4470105100999,164.54626668 -55.4320595301,164.55030372 -55.4170984701,164.55421764 -55.4021266101,164.5580097 -55.3871444901,164.56167864 -55.3721524700999,164.56522572 -55.3571505501,164.56864968 -55.3421405301,164.5719516 -55.3271206101,164.57513166 -55.3120934901,164.57818968 -55.2970575501,164.58112566 -55.2820135101,164.5839387 -55.2669615501,164.5866306 -55.2519025701,164.58920064 -55.2368365701,164.59274466 -55.2231596300999,164.59618662 -55.2094735101,164.5995276 -55.1957794701,164.6027667 -55.1820775100999,164.60590374 -55.1683676301,164.60938566 -55.1536394900999,164.6127486 -55.1389036101,164.61599562 -55.1241585500999,164.61912564 -55.1094044901,164.62213758 -55.0946435901,164.6250327 -55.0798745901,164.62781172 -55.0650974900999,164.63047266 -55.0503146300999,164.63301768 -55.0355234900999,164.6354457 -55.0207265901,164.63783862 -55.0076746101,164.64014064 -54.9946165100999,164.64235158 -54.9815524700999,164.64469068 -54.9688205301,164.64694158 -54.9560824700999,164.6491077 -54.9433395501,164.65251168 -54.9286225700999,164.65579866 -54.9138974901,164.65896864 -54.8991644901,164.6620236 -54.8844224900999,164.66496174 -54.8696725701,164.6677836 -54.8549156301,164.67048972 -54.8401514900999,164.67307974 -54.8253805101,164.67511158 -54.8135305701,164.67706872 -54.8016764901,164.6789517 -54.7898186301,164.6812566 -54.7746244701,164.68343964 -54.7594245501,164.68550064 -54.7442185100999,164.6874396 -54.7290076100999,164.6892567 -54.7137914900999,164.69095266 -54.6985705101,164.69252658 -54.6833455701,164.69397864 -54.6681164901,164.69483364 -54.6583345701,165.36425958 -55.1232436101,166.18373172 -55.4682415101,166.18392162 -55.4682926301,166.18686462 -55.4695135700999,166.2110586 -55.4762416101,166.30170264 -55.5136915100999,167.22802368 -55.7652105501,167.72715216 -55.8398730201,168.22628064 -55.9145354901,168.74269569 -55.9352505200999,169.25911074 -55.9559655501,169.26033762 -55.9558885101,169.26234966 -55.9559615900999,169.77628017 -55.9219245800999,170.29021068 -55.8878875701,171.27388674 -55.7129745501,171.30977172 -55.7022335900999,171.3589767 -55.6932296301,171.7994736 -55.5586186100999,172.26100962 -55.4175776301,172.2631356 -55.4166085100999,172.26412758 -55.4162996301,173.0537847 -55.0508546300999,173.0538306 -55.0508245701,173.06901972 -55.0436845100999,173.72086866 -54.6017215101,173.74639572 -54.5761825700999,173.75716764 -54.5687645901,173.77326216 -54.5524252701,174.2525586 -54.0658395501,174.58144866 -53.5192304901,174.58322166 -53.5128885501,174.58703874 -53.5064614701,174.7451106 -52.9340344701,174.73428468 -52.3537774701,174.73419558 -52.3534894701,174.73418658 -52.3529834901,174.56126562 -51.7824124701,174.54230262 -51.7509734901,174.5382726 -51.7374445101,174.51764964 -51.7031775501,174.51744966 -51.7025036301,174.44567772 -51.5815234701,174.63690972 -51.7755724701,174.63746358 -51.7759565901,174.63884166 -51.7773386301,175.26862674 -52.2090236300999,175.26912966 -52.2092635701,175.27063968 -52.2102856101,175.27714758 -52.2133796301,175.27976874 -52.2151526301,175.2815727 -52.2160105100999,175.28682168 -52.2195595700999,176.0410197 -52.5730005500999,176.89499262 -52.8355665500999,176.89501674 -52.8355705101,176.89604058 -52.8358804701,176.90321268 -52.8371685501,176.92249374 -52.8429926301,177.63814764 -52.9682884700999,177.8467626 -53.0048126300999,178.80725268 -53.0600186301,178.80998364 -53.0598775101,178.8126327 -53.0600186301,179.77340772 -53.0064866300999,179.7759936 -53.0060495901,179.77857966 -53.0056125501,179.78116572 -53.0051765901,179.7837516 -53.0047395500999,179.78633766 -53.0043025100999,179.78892372 -53.0038654700999,179.7915096 -53.0034286101,179.79409566 -53.0029915701,179.79668064 -53.0025536301,179.7992667 -53.0021165901,179.80185258 -53.0016795501,179.80443774 -53.0012425101,179.80702362 -53.0008045701,179.80960968 -53.0003666301,179.81219466 -52.9999304900999,179.81477964 -52.9994925500999,179.8173657 -52.9990546101,179.81995068 -52.9986175701,179.82253566 -52.9981796301,179.82512172 -52.9977415101,179.8277067 -52.9973044701,179.83029168 -52.9968656300999,179.83287666 -52.9964285900999,179.83546164 -52.9959904700999,179.83804662 -52.9955516301,179.8406316 -52.9951145901,179.84321568 -52.9946764701,179.84580066 -52.9942376300999,179.84838564 -52.9937995101,179.85097062 -52.9933615701,179.8535547 -52.9929236301,179.85613968 -52.9924846101,179.85872358 -52.9920464901,179.86130874 -52.9916074701,179.86389264 -52.9911686301,179.86647762 -52.9907305101,179.8690617 -52.9902925701,179.8716456 -52.9898535501,179.87423058 -52.9894136300999,179.87681466 -52.9889755100999,179.87939874 -52.9885375701,179.88198264 -52.9880985501,179.88456672 -52.9876586300999,179.88715062 -52.9872205100999,179.8897347 -52.9867814900999,179.8923186 -52.9863415701,179.8949016 -52.9859025500999,179.89748568 -52.9854626301,179.90006958 -52.9850245100999,179.90265366 -52.9845845901,179.90523666 -52.9841455700999,179.90782074 -52.9837065501,179.91040374 -52.9832666301,179.91298764 -52.9828256301,179.91557064 -52.9823875101,179.91815364 -52.9819475901,179.92073772 -52.9815074901,179.92332072 -52.9810684701,179.92590372 -52.9806285500999,179.92848672 -52.9801886301,179.93106972 -52.9797476301,179.93365272 -52.9793086101,179.93623572 -52.9788685101,179.93881872 -52.9784285901,179.94140172 -52.9779884900999,179.94398472 -52.9775485701,179.94656772 -52.9771075700999,179.94915072 -52.9766674700999,179.95173264 -52.9762275501,179.95431564 -52.9757865500999,179.95689774 -52.9753466301,179.95948074 -52.9749056301,179.96206266 -52.9744646301,179.96464566 -52.9740236301,179.96722758 -52.9735826300999,179.96980968 -52.9731436101,179.97239268 -52.9727026101,179.9749746 -52.9722616101,179.9775567 -52.9718206101,179.98013862 -52.9713796100999,179.98272072 -52.9709386101,179.98530264 -52.9704976101,179.98788474 -52.9700566101,179.99046666 -52.9696156101,179.99304858 -52.9691746101,179.99563068 -52.9687316301,179.9982126 -52.9682906300999,179.9999928 -52.9679776101,179.9999928 -53.8406045900999,179.9999928 -54.7132315701,179.9999928 -55.5858585501,179.9999928 -56.4683163261,179.9999928 -57.3507741020999,179.9999928 -58.2332318781,179.9999928 -59.1156896540999,179.9999928 -59.9981474300999,178.999993032 -59.9981474300999,177.999993264 -59.9981474300999,176.999993496 -59.9981474300999,175.999993728 -59.9981474300999,174.99999396 -59.9981474300999,173.999994192 -59.9981474300999,172.999994424 -59.9981474300999,171.999994656 -59.9981474300999,170.999994888 -59.9981474300999,169.99999512 -59.9981474300999,168.999995352 -59.9981474300999,167.999995584 -59.9981474300999,166.999995816 -59.9981474300999,165.999996048 -59.9981474300999,164.99999628 -59.9981474300999,163.999996512 -59.9981474300999,162.999996744 -59.9981474300999,161.999996976 -59.9981474300999,160.999997208 -59.9981474300999,159.99999744 -59.9981474300999,158.999997672 -59.9981474300999,157.999997904 -59.9981474300999,156.999998136 -59.9981474300999,155.999998368 -59.9981474300999,154.9999986 -59.9981474300999,153.999998832 -59.9981474300999,152.999999064 -59.9981474300999,151.999999296 -59.9981474300999,150.999999528 -59.9981474300999,149.99999976 -59.9981474300999,149.99999979 -59.1647877500999,149.99999982 -58.3314280700999,149.99999985 -57.4980683900999,149.99999988 -56.6647087100999,149.99999991 -55.8313490300999,149.99999994 -54.9979893500999,149.09999994 -54.9979893321,148.19999994 -54.9979893141,147.29999994 -54.9979892960999,146.39999994 -54.9979892781,145.49999994 -54.9979892601,144.59999994 -54.9979892420999,143.69999994 -54.9979892241,142.79999994 -54.9979892060999,141.89999994 -54.9979891881,140.99999994 -54.9979891701,140.045454474546 -54.9979891701,139.090909009091 -54.9979891701,138.136363543636 -54.9979891701,137.181818078182 -54.9979891701,136.227272612727 -54.9979891701,135.272727147273 -54.9979891701,134.318181681818 -54.9979891701,133.363636216364 -54.9979891701,132.409090750909 -54.9979891701,131.454545285455 -54.9979891701,130.49999982 -54.9979891701,129.545454354545 -54.9979891701,128.590908889091 -54.9979891701,127.636363423636 -54.9979891701,126.681817958182 -54.9979891701,125.727272492727 -54.9979891701,124.772727027273 -54.9979891701,123.818181561818 -54.9979891701,122.863636096364 -54.9979891701,121.909090630909 -54.9979891701,120.954545165455 -54.9979891701,119.9999997 -54.9979891701,119.99999973 -54.1098172701,119.99999976 -53.2216453701,119.99999979 -52.3334734701,119.99999982 -51.4453015701,119.99999985 -50.5571296700999,119.99999986889 -49.9978921003609,119.99999988 -49.6689577701,119.99999988 -48.7018896500999,119.99999988 -47.7348215301,119.99999988 -46.7677534101,119.99999988 -45.8006852901,119.99999988 -44.8336171701,119.99999988 -43.8665490501,119.99999988 -42.8994809301,119.99999988 -41.9324128100999,119.99999988 -40.9653446900999,119.99999988 -39.9982765701,119.99999988 -39.0312084500999,119.99999988 -38.0641403300999,120.00353058 -38.0624566101,120.02028156 -38.0543794701,120.0369807 -38.0462386101,120.05362854 -38.0380345701,120.07022364 -38.0297664500999,120.08676762 -38.0214355100999,120.10088664 -38.0165954901,120.11498154 -38.0117115501,120.12905268 -38.0067865701,120.14309862 -38.0018185701,120.16079262 -37.9954895901,120.17844558 -37.9890925701,120.19605858 -37.9826294901,120.21363162 -37.9760994501,120.23116254 -37.9695024500999,120.2486517 -37.9628395701,120.26609856 -37.9561104501,120.28350366 -37.9493154501,120.30086556 -37.9424545701,120.31818354 -37.9355274501,120.33545868 -37.9285355301,120.35268954 -37.9214775501,120.36987558 -37.9143545901,120.3870177 -37.9071664701,120.40411356 -37.8999135501,120.4211646 -37.8925954700999,120.43816866 -37.8852134901,120.45512664 -37.8777676101,120.47203854 -37.8702565700999,120.48890256 -37.8626814501,120.5057187 -37.8550435101,120.52248768 -37.8473405900999,120.5392077 -37.8395755701,120.55587858 -37.8317464701,120.57250158 -37.8238545501,120.58907364 -37.8158994500999,120.60559656 -37.8078815301,120.62206962 -37.7998015101,120.63849156 -37.7916595701,120.65486256 -37.7834544501,120.67118262 -37.7751875901,120.68745066 -37.7668595301,120.70366668 -37.7584695501,120.71983068 -37.7500185501,120.73594068 -37.7415065300999,120.75199866 -37.7329325901,120.76800264 -37.7242985301,120.78395262 -37.7156034500999,120.7998486 -37.7068486101,120.81568968 -37.6980334701,120.83147568 -37.6891585701,120.8472066 -37.6802235500999,120.8655756 -37.6844935100999,120.8839707 -37.6886934501,120.90239154 -37.6928244500999,120.92083758 -37.6968856101,120.93930954 -37.7008765700999,120.95780562 -37.7047975101,120.97632564 -37.7086495100999,120.99119454 -37.7116985301,121.00607766 -37.7147025501,121.02352866 -37.7181695301,121.04099856 -37.7215745901,121.05848862 -37.7249175500999,121.07599758 -37.7281985901,121.09352562 -37.7314164501,121.11107256 -37.7345734701,121.12863768 -37.7376674901,121.1462217 -37.7406995901,121.1651937 -37.7439016101,121.18418658 -37.7470305501,121.20319764 -37.7500874901,121.22222868 -37.7530704501,121.24127862 -37.7559824900999,121.26034656 -37.7588205500999,121.2794316 -37.7615855300999,121.29853464 -37.7642785101,121.3176546 -37.7668975101,121.33679058 -37.7694436101,121.35594168 -37.7719164500999,121.3751097 -37.7743165701,121.39429158 -37.7766425301,121.41348768 -37.7788964901,121.43269854 -37.7810755701,121.45192254 -37.7831824700999,121.47115968 -37.7852144900999,121.4904096 -37.7871745100999,121.50967158 -37.7890594701,121.52894562 -37.7908715300999,121.54823064 -37.7926105101,121.56752664 -37.7942746100999,121.58683254 -37.7958654500999,121.6061487 -37.7973824900999,121.62547368 -37.7988255501,121.64480766 -37.8001955300999,121.66415064 -37.8014904500999,121.68350154 -37.8027115700999,121.70285964 -37.8038596100999,121.72222458 -37.8049325901,121.74159654 -37.8059324901,121.76097354 -37.8068575100999,121.78035756 -37.8077085501,121.79974554 -37.8084856101,121.81913964 -37.8091885101,121.83853662 -37.8098176101,121.85793756 -37.8103725501,121.87734264 -37.8108535101,121.8967497 -37.8112595901,121.91615964 -37.8115915101,121.93557066 -37.8118494501,121.95498366 -37.8120335900999,121.97439756 -37.8121435701,121.99381164 -37.8121784901,122.01265458 -37.8121455501,122.03149662 -37.8120415101,122.05033758 -37.8118674501,122.06917656 -37.8116244501,122.08801464 -37.8113116100999,122.10685056 -37.8109285701,122.12568468 -37.8104755101,122.14451466 -37.8099526101,122.16334158 -37.8093595100999,122.18216454 -37.8086974701,122.20098354 -37.8079645101,122.21979768 -37.8071626101,122.2386066 -37.8062905100999,122.25740958 -37.8053485701,122.27620662 -37.8043375101,122.29499754 -37.8032566101,122.31378162 -37.8021055101,122.33255868 -37.8008845700999,122.35132764 -37.7995945101,122.37008868 -37.7982346100999,122.38884054 -37.7968055901,122.40758466 -37.7953065500999,122.4263187 -37.7937374901,122.44504266 -37.7920994900999,122.46375654 -37.7903925501,122.48245962 -37.7886155901,122.5017387 -37.7867146101,122.52100464 -37.7847385701,122.5402587 -37.7826894501,122.55949962 -37.7805676100999,122.57872668 -37.7783705300999,122.5979397 -37.7761005501,122.6171376 -37.7737574901,122.63632056 -37.7713404501,122.65548858 -37.7688505101,122.67463968 -37.7662874901,122.69377566 -37.7636504901,122.71289364 -37.7609405901,122.7319947 -37.7581585101,122.75107758 -37.7553024501,122.77014264 -37.7523734901,122.78918862 -37.7493714501,122.8082157 -37.7462965101,122.82722262 -37.7431495700999,122.84620956 -37.7399295501,122.86517562 -37.7366364500999,122.8841217 -37.7332715301,122.90304456 -37.7298335301,122.92194654 -37.7263235301,122.94082656 -37.7227415301,122.95968354 -37.7190864501,122.97851658 -37.7153595501,122.99732658 -37.7115615501,123.01611156 -37.7076904701,123.0348726 -37.7037484701,123.05360754 -37.6997344700999,123.07231764 -37.6956484701,123.09136956 -37.6973564901,123.11043156 -37.6989916100999,123.12950454 -37.7005554501,123.14858562 -37.7020465700999,123.1676766 -37.7034646101,123.18677658 -37.7048115501,123.20588466 -37.7060855901,123.22499958 -37.7072874501,123.2441226 -37.7084174900999,123.26325156 -37.7094744501,123.28238754 -37.7104585101,123.30152964 -37.7113714701,123.32067768 -37.7122104501,123.33982968 -37.7129785101,123.35898654 -37.7136734901,123.37814754 -37.7142955700999,123.39731268 -37.7148454700999,123.4164807 -37.7153224701,123.4356516 -37.7157274701,123.45482466 -37.7160595701,123.47399862 -37.7163185900999,123.49317564 -37.7165056101,123.51235266 -37.7166204501,123.53153058 -37.7166614901,123.5507076 -37.7166316100999,123.5698857 -37.7165275700999,123.58906164 -37.7163515300999,123.60823668 -37.7161034901,123.62741064 -37.7157825501,123.64669656 -37.7154025700999,123.66598068 -37.7149495100999,123.68526066 -37.7144235500999,123.70453758 -37.7138236101,123.72381054 -37.7131505900999,123.74307954 -37.7124035900999,123.7623426 -37.7115835101,123.78160062 -37.7106905301,123.8008536 -37.7097235701,123.82009956 -37.7086835301,123.83933868 -37.7075705900999,123.8585706 -37.7063845700999,123.8777946 -37.7051245700999,123.89701158 -37.7037925700999,123.91621866 -37.7023865901,123.93541764 -37.7009075300999,123.95460654 -37.6993544901,123.97378554 -37.6977294500999,123.99295356 -37.6960315101,124.01211168 -37.6942604900999,124.03125756 -37.6924165701,124.05039264 -37.6904995700999,124.06951458 -37.6885094900999,124.08862356 -37.6864475901,124.10771958 -37.6843115301,124.12680264 -37.6821034701,124.14587166 -37.6798235901,124.16492466 -37.6774704501,124.18396362 -37.6750445901,124.20298764 -37.6725465501,124.22199456 -37.6699756101,124.24098654 -37.6673324901,124.2599607 -37.6646175500999,124.27891758 -37.6618306100999,124.29785664 -37.6589705901,124.3167777 -37.6560394700999,124.33568058 -37.6530354501,124.35456366 -37.6499605101,124.37342766 -37.6468124901,124.39227168 -37.6435935501,124.41109554 -37.6403026100999,124.4298987 -37.6369405701,124.44867954 -37.6335065301,124.4674386 -37.6300004901,124.4861766 -37.6264235301,124.50489156 -37.6227754701,124.52358258 -37.6190564901,124.54225056 -37.6152655101,124.5608946 -37.6114045100999,124.5795147 -37.6074715101,124.5981096 -37.6034684900999,124.61667966 -37.5993945500999,124.63522254 -37.5952495100999,124.65374058 -37.5910344500999,124.67223162 -37.5867484701,124.69069566 -37.5823924701,124.7091327 -37.5779664501,124.72754058 -37.5734695100999,124.74592164 -37.5689034501,124.76427264 -37.5642675501,124.78259466 -37.5595605501,124.8008877 -37.5547855101,124.81915068 -37.5499395501,124.8373827 -37.5450244701,124.85558358 -37.5400404501,124.87375368 -37.5349865900999,124.89189156 -37.5298645101,124.90999758 -37.5246725901,124.92807066 -37.5194124501,124.94611062 -37.5140824701,124.96411764 -37.5086855301,124.98209064 -37.5032185700999,125.00002854 -37.4976844701,125.0179326 -37.4920816100999,125.03580156 -37.4864105300999,125.0536347 -37.4806715900999,125.07143166 -37.4748646100999,125.08886862 -37.4690995701,125.10627066 -37.4632704501,125.1236376 -37.4573754501,125.14096764 -37.4514154700999,125.1582606 -37.4453915900999,125.17551666 -37.4393025501,125.19273564 -37.4331496101,125.20991664 -37.4269315101,125.22706056 -37.4206505900999,125.2441647 -37.4143045101,125.26123068 -37.4078956101,125.2782567 -37.4014215501,125.29524366 -37.3948855700999,125.31219066 -37.3882855101,125.32909662 -37.3816215501,125.34630066 -37.3747694900999,125.36346168 -37.3678524501,125.38058058 -37.3608695301,125.39765466 -37.3538225301,125.41468554 -37.3467094700999,125.43167268 -37.3395316101,125.44861356 -37.3322894900999,125.4655107 -37.3249834701,125.48236158 -37.3176124701,125.49916656 -37.3101764900999,125.51592564 -37.3026775101,125.53263864 -37.2951155301,125.54930358 -37.2874885701,125.56592154 -37.2797986101,125.58249162 -37.2720454701,125.59901454 -37.2642295100999,125.6154876 -37.2563505501,125.6319126 -37.2484085901,125.64828756 -37.2404045301,125.66461356 -37.2323385500999,125.6808897 -37.2242095701,125.69711454 -37.2160195701,125.7132897 -37.2077674700999,125.72941356 -37.1994534501,125.74548558 -37.1910785901,125.76150558 -37.1826425301,125.77747356 -37.1741445501,125.7933897 -37.1655864501,125.80925256 -37.1569685901,125.8250616 -37.1482895301,125.84081754 -37.1395505301,125.85651966 -37.1307515901,125.8721676 -37.1218936101,125.88776064 -37.1129755101,125.90329968 -37.1039974701,125.91878166 -37.0949614701,125.93420964 -37.0858655301,125.94958056 -37.0767114500999,125.96489568 -37.0674995901,125.98015356 -37.0582285100999,125.99535456 -37.0488994701,126.01049868 -37.0395135501,126.02558466 -37.0300685900999,126.04061268 -37.0205674701,126.05558256 -37.0110085700999,126.07049358 -37.0013935101,126.08534664 -36.9917204901,126.10013868 -36.9819914901,126.11487258 -36.9722065101,126.12954564 -36.9623655501,126.14415858 -36.9524695101,126.15871158 -36.9425165901,126.17320266 -36.9325085901,126.18763362 -36.9224465900999,126.2018016 -36.9124945700999,126.21591054 -36.9024894501,126.22995954 -36.8924324901,126.2439486 -36.8823215301,126.25787556 -36.8721594501,126.27174258 -36.8619444501,126.28554768 -36.8516785101,126.29929068 -36.8413594701,126.31297266 -36.8309894901,126.32659164 -36.8205685701,126.3401487 -36.8100976101,126.35364258 -36.7995744501,126.36707454 -36.7890016100999,126.3804426 -36.7783774700999,126.39374658 -36.7677034700999,126.40698666 -36.7569805100999,126.42016356 -36.7462075101,126.43327566 -36.7353855500999,126.4463226 -36.7245144501,126.45930456 -36.7135934900999,126.47222262 -36.7026255501,126.48507354 -36.6916075701,126.49786056 -36.6805426101,126.51058062 -36.6694295900999,126.52323462 -36.6582695901,126.53582256 -36.6470604500999,126.5500737 -36.6369244700999,126.56426454 -36.6267344901,126.57839364 -36.6164905101,126.59245956 -36.6061925300999,126.60646356 -36.5958414501,126.62040564 -36.5854365501,126.63428364 -36.5749785501,126.64809864 -36.5644674500999,126.66185064 -36.5539045100999,126.67553766 -36.5432895501,126.68916168 -36.5326214900999,126.70271964 -36.5219015901,126.7162137 -36.5111305701,126.7296426 -36.5003086101,126.7430067 -36.4894344501,126.75630456 -36.4785106100999,126.76953654 -36.4675354701,126.78270264 -36.4565095701,126.79580268 -36.4454345300999,126.80883558 -36.4343094501,126.8218017 -36.4231345100999,126.83470068 -36.4119095300999,126.8429076 -36.4047224900999,126.85536162 -36.3937444700999,126.86775156 -36.3827194701,126.8800776 -36.3716485700999,126.89233866 -36.3605315901,126.90453456 -36.3493696101,126.91666566 -36.3381624501,126.9287307 -36.3269115501,126.94073166 -36.3156145701,126.95266566 -36.3042734900999,126.9645336 -36.2928884901,126.97633566 -36.2814595701,126.98807058 -36.2699874501,126.99973962 -36.2584715901,127.0113417 -36.2469125301,127.02287664 -36.2353104500999,127.03434354 -36.2236655300999,127.04574366 -36.2119784901,127.05641766 -36.2010465501,127.06703262 -36.1900775301,127.07758854 -36.1790725101,127.0880847 -36.1680305900999,127.09852056 -36.1569524901,127.10889666 -36.1458374901,127.11921264 -36.1346875701,127.12946868 -36.1235014701,127.1396637 -36.1122795500999,127.15226568 -36.1006524501,127.16479764 -36.0889765700999,127.17725958 -36.0772524501,127.1896506 -36.0654804500999,127.2019707 -36.0536605701,127.21421862 -36.0417924501,127.22639562 -36.0298775301,127.2385017 -36.0179154501,127.2505347 -36.0059074700999,127.2624957 -35.9938525100999,127.2743847 -35.9817514700999,127.28620062 -35.9696045301,127.29794256 -35.9574125901,127.30961268 -35.9451745700999,127.32120864 -35.9328924501,127.3327317 -35.9205655101,127.3441797 -35.9081935701,127.35555462 -35.8957775301,127.36685466 -35.8833175701,127.37807964 -35.8708145900999,127.38923064 -35.8582685901,127.40030568 -35.8456784900999,127.41130656 -35.8330464501,127.42223058 -35.8203724701,127.43308062 -35.8076554700999,127.44385362 -35.7948976101,127.45455066 -35.7820974500999,127.46517156 -35.7692566101,127.4757156 -35.7563734701,127.48618368 -35.7434514500999,127.49620968 -35.7309495501,127.50616566 -35.7184105701,127.51604856 -35.7058345101,127.52585964 -35.6932215501,127.53559854 -35.6805725901,127.54526454 -35.6678865500999,127.55485854 -35.6551655901,127.56437964 -35.6424084500999,127.57382766 -35.6296154901,127.5832026 -35.6167885101,127.59250464 -35.6039255301,127.60698654 -35.6021145500999,127.6214607 -35.6002585701,127.63592658 -35.5983595700999,127.6544367 -35.5968754700999,127.67293764 -35.5953195501,127.69142868 -35.5936925301,127.70990964 -35.5919935101,127.7283807 -35.5902235701,127.7468406 -35.5883825300999,127.7652897 -35.5864694901,127.78372656 -35.5844855301,127.80215154 -35.5824304701,127.82056356 -35.5803035901,127.83896262 -35.5781056101,127.85734854 -35.5758376101,127.8757197 -35.5734976101,127.89407754 -35.5710865101,127.91242062 -35.5686044901,127.93074858 -35.5660524501,127.9490607 -35.5634285901,127.96735662 -35.5607345300999,127.98563562 -35.5579695500999,128.0038986 -35.5551334700999,128.02214466 -35.5522275500999,128.04037254 -35.5492516101,128.0585817 -35.5462045700999,128.07677358 -35.5430866101,128.09494566 -35.5398984501,128.11309866 -35.5366415301,128.13123168 -35.5333126101,128.14934454 -35.5299145701,128.1674367 -35.5264465101,128.18550762 -35.5229086100999,128.20355766 -35.5193015900999,128.22158556 -35.5156234701,128.2395906 -35.5118765900999,128.25757368 -35.5080595100999,128.27553354 -35.5041734901,128.29346964 -35.5002174500999,128.31138162 -35.4961924701,128.32926966 -35.4920985501,128.34713268 -35.4879355100999,128.36497068 -35.4837035301,128.38230162 -35.4805295900999,128.39961366 -35.4772915701,128.41690662 -35.4739885701,128.43418068 -35.4706225700999,128.45143458 -35.4671924901,128.46866958 -35.4636985101,128.4858846 -35.4601415300999,128.50307766 -35.4565204700999,128.52117666 -35.4526366101,128.53925064 -35.4486825500999,128.55730158 -35.4446575701,128.5753266 -35.4405625701,128.59332768 -35.4363975500999,128.61130356 -35.4321625101,128.6292537 -35.4278565500999,128.64717666 -35.4234814701,128.6650737 -35.4190365501,128.68294356 -35.4145216101,128.7007857 -35.4099375501,128.71860066 -35.4052834701,128.73638664 -35.4005604501,128.75414454 -35.3957675900999,128.77187256 -35.3909065101,128.7895716 -35.3859755900999,128.80724058 -35.3809755500999,128.8248786 -35.3759074701,128.84248656 -35.3707704500999,128.86006356 -35.3655644901,128.8776087 -35.3602904901,128.89512162 -35.3549475501,128.91260268 -35.3495374701,128.93005062 -35.3440584501,128.94746562 -35.3385115700999,128.9648466 -35.3328975501,128.98219356 -35.3272154901,128.99950668 -35.3214655701,129.00147768 -35.3208015501,129.0167847 -35.3156485100999,129.03402762 -35.3097644901,129.05123454 -35.3038126101,129.06869166 -35.2998284901,129.08612664 -35.2957795700999,129.1035366 -35.2916635101,129.12092262 -35.2874824701,129.13828362 -35.2832355501,129.1556196 -35.2789225701,129.17293056 -35.2745435301,129.1902156 -35.2700995101,129.20747454 -35.2655896101,129.22470756 -35.2610145500999,129.24178758 -35.2564096101,129.2588406 -35.2517405900999,129.2758677 -35.2470074900999,129.29286564 -35.2422104901,129.30983658 -35.2373495901,129.32677854 -35.2324246101,129.3436917 -35.2274364501,129.3605766 -35.2223845701,129.37743162 -35.2172695100999,129.39425658 -35.2120905501,129.4111557 -35.2070134701,129.42802458 -35.2018724901,129.44486358 -35.1966685101,129.4616727 -35.1914015301,129.47845068 -35.1860704701,129.4951986 -35.1806774901,129.51191358 -35.1752206100999,129.5285976 -35.1697005501,129.54083562 -35.1657045501,129.55305654 -35.1616745301,129.56525964 -35.1576104901,129.58200054 -35.1524585301,129.59871156 -35.1472435701,129.61539162 -35.1419656101,129.6320427 -35.1366255501,129.64866156 -35.1312224901,129.66524964 -35.1257585901,129.68176158 -35.1206035700999,129.69824454 -35.1153886101,129.71469762 -35.1101115501,129.73112064 -35.1047745501,129.7475127 -35.0993765301,129.7638747 -35.0939174901,129.78020466 -35.0883985100999,129.79650366 -35.0828185100999,129.81277062 -35.0771785701,129.82987854 -35.0713265900999,129.84695262 -35.0654085501,129.8639907 -35.0594235501,129.8809926 -35.0533724901,129.89795868 -35.0472555501,129.91488858 -35.0410734500999,129.93178068 -35.0348245701,129.9486357 -35.0285105301,129.96439866 -35.0225404701,129.98012868 -35.0165135301,129.9958236 -35.0104284500999,130.01148558 -35.0042875701,130.02711264 -34.9980885501,130.04063154 -34.9931425101,130.05614466 -35.0010864501,130.07170458 -35.0089695501,130.08731058 -35.0167936100999,130.10296158 -35.0245575501,130.11865758 -35.0322615501,130.13439966 -35.0399056100999,130.15018458 -35.0474895501,130.16601558 -35.0550115701,130.1818896 -35.0624745500999,130.19780664 -35.0698756101,130.2137676 -35.0772154700999,130.22977158 -35.0844944900999,130.24581768 -35.0917124901,130.26190554 -35.0988685701,130.2780357 -35.1059625500999,130.29420654 -35.1129955101,130.31041968 -35.1199665501,130.3266726 -35.1268745901,130.34296656 -35.1337205301,130.35930066 -35.1405034701,130.37567364 -35.1472244900999,130.39208658 -35.1538825100999,130.40853858 -35.1604786100999,130.42502856 -35.1670104501,130.4415576 -35.1734794700999,130.45812354 -35.1798845901,130.46440266 -35.1943934901,130.47076458 -35.2088784500999,130.47720966 -35.2233385701,130.48373862 -35.2377734901,130.49035164 -35.2521835701,130.49704656 -35.2665675501,130.50382554 -35.2809265101,130.5106866 -35.2952584701,130.51763154 -35.3095645101,130.52465856 -35.3238435501,130.53176856 -35.3380955901,130.53896154 -35.3523195501,130.5462366 -35.3665165101,130.55359356 -35.3806844901,130.5610326 -35.3948254701,130.56855462 -35.4089365700999,130.57615764 -35.4230185101,130.58384364 -35.4370725501,130.59161064 -35.4510954501,130.59945864 -35.4650895501,130.60738854 -35.4790525101,130.6154007 -35.4929845101,130.6234926 -35.5068864501,130.63166658 -35.5207576101,130.63992066 -35.5345954701,130.64825664 -35.5484034500999,130.65667164 -35.5621784900999,130.66516854 -35.5759205901,130.67374464 -35.5896304701,130.68240156 -35.6033075900999,130.69113858 -35.6169505101,130.69995462 -35.6305595901,130.70885166 -35.6441355500999,130.71782664 -35.6576765901,130.72688262 -35.6711836100999,130.73601654 -35.6846555301,130.74522966 -35.6980925300999,130.7545227 -35.7114935301,130.76389368 -35.7248585301,130.7733426 -35.7381875301,130.78287054 -35.7514805301,130.79247768 -35.7647364501,130.80216168 -35.7779554700999,130.81192362 -35.7911375900999,130.8217626 -35.8042815500999,130.82706054 -35.8190755701,130.83244254 -35.8338505101,130.83791166 -35.8486034901,130.84346556 -35.8633364900999,130.8491046 -35.8780475300999,130.85482968 -35.8927366101,130.86063954 -35.9074044501,130.86653454 -35.9220496101,130.87251558 -35.9366724501,130.87858068 -35.9512726100999,130.88473164 -35.9658495501,130.89096666 -35.9804025501,130.89728754 -35.9949316101,130.90369158 -36.0094365501,130.91018166 -36.0239164701,130.91675562 -36.0383724501,130.92341454 -36.0528025101,130.93015662 -36.0672075500999,130.93698366 -36.0815864901,130.94389458 -36.0959395101,130.95089064 -36.1102655301,130.9579686 -36.1245654501,130.9651317 -36.1388374701,130.97237868 -36.1530824901,130.97970864 -36.1673005101,130.98712158 -36.1814895500999,130.99461858 -36.1956505101,131.00219856 -36.2097824901,131.0098617 -36.2238865700999,131.01760764 -36.2379605901,131.02543566 -36.2520045500999,131.03334756 -36.2660184500999,131.04134154 -36.2800024700999,131.0494176 -36.2939566100999,131.05757664 -36.3078796101,131.06581758 -36.3217705700999,131.0741406 -36.3356305700999,131.08254462 -36.3494585301,131.09103162 -36.3632544501,131.09959962 -36.3770185100999,131.10824862 -36.3907494500999,131.1169797 -36.4044474501,131.1257916 -36.4181116101,131.1346836 -36.4317424701,131.14365768 -36.4453385901,131.15271168 -36.4589015900999,131.16184668 -36.4724294901,131.1710616 -36.4859224701,131.18035662 -36.4993794500999,131.18973156 -36.5128025901,131.1991866 -36.5261884701,131.20872156 -36.5395385301,131.21833554 -36.5528525900999,131.22802854 -36.5661295701,131.23780164 -36.5793694700999,131.24765268 -36.5925724700999,131.25758364 -36.6057374901,131.26759164 -36.6188645300999,131.27767956 -36.6319535901,131.2878447 -36.6450044901,131.2980876 -36.6580156100999,131.3084097 -36.6709885701,131.31880758 -36.6839215701,131.32928466 -36.6968146101,131.3398377 -36.7096685900999,131.3504676 -36.7224815301,131.36117562 -36.7352536101,131.3719596 -36.7479855501,131.38284564 -36.7607185701,131.39380854 -36.7734094700999,131.40484758 -36.7860595101,131.41596366 -36.7986665300999,131.4271557 -36.8112305300999,131.4384237 -36.8237525901,131.44976658 -36.8362305501,131.4611847 -36.8486654901,131.4726786 -36.8610575901,131.48424756 -36.8734045101,131.49589068 -36.8857075101,131.50760868 -36.8979655100999,131.51940066 -36.9101795901,131.53126662 -36.9223475901,131.54320566 -36.9344714901,131.55521868 -36.9465485901,131.56730568 -36.9585796101,131.57946468 -36.9705645501,131.59169766 -36.9825035901,131.60400156 -36.9943954701,131.61637854 -37.0062394701,131.6288277 -37.0180375700999,131.64134868 -37.0297865301,131.65394058 -37.0414885101,131.66660466 -37.0531426100999,131.67933966 -37.0647475701,131.69214468 -37.0763035700999,131.70502062 -37.0878115101,131.71796568 -37.0992695901,131.73098166 -37.1106774501,131.74406766 -37.1220365301,131.7572226 -37.1333455701,131.77044666 -37.1446034901,131.78373858 -37.1558115501,131.7971007 -37.1669684901,131.8105296 -37.1780735901,131.82402762 -37.1891284701,131.8375926 -37.2001315100999,131.85122562 -37.2110825301,131.8649256 -37.2219804500999,131.87869164 -37.2328276101,131.89252464 -37.2436205901,131.9064246 -37.2543615501,131.92038954 -37.2650495900999,131.93442054 -37.2756834501,131.9485167 -37.2862634900999,131.96267856 -37.2967906100999,131.97690468 -37.3072624701,131.9911947 -37.3176805101,132.0055497 -37.3280434701,132.0199677 -37.3383526100999,132.0344496 -37.3486055901,132.04899468 -37.3588034901,132.06360258 -37.3689455901,132.07827366 -37.3790326101,132.09300558 -37.3890625701,132.10780068 -37.3990365501,132.12265662 -37.4089534701,132.13757466 -37.4188145901,132.15255264 -37.4286175701,132.16759164 -37.4383634901,132.18269058 -37.4480525300999,132.19784964 -37.4576836101,132.21306864 -37.4672565501,132.22834668 -37.4767715301,132.24368358 -37.4862274701,132.2590797 -37.4956254501,132.2745327 -37.5049634900999,132.29004456 -37.5142435701,132.30561366 -37.5234635301,132.32124054 -37.5326244501,132.33692358 -37.5417256100999,132.35266368 -37.5507675501,132.36845958 -37.5597484700999,132.38431056 -37.5686685501,132.4002177 -37.5775285101,132.41617956 -37.5863274500999,132.43219668 -37.5950655500999,132.4482687 -37.6037424501,132.46439364 -37.6123585100999,132.48057258 -37.6209115701,132.49680462 -37.6294036101,132.51308958 -37.6378335501,132.52942656 -37.6462015700999,132.54581664 -37.6545065901,132.56225856 -37.6627486100999,132.5787507 -37.6709285301,132.59529468 -37.6790445501,132.6118896 -37.6870984701,132.62853456 -37.6950884900999,132.64522866 -37.7030146101,132.6619737 -37.7108764701,132.67876662 -37.7186755101,132.69560868 -37.7264095700999,132.71249862 -37.7340795500999,132.7294377 -37.7416845501,132.74642268 -37.7492245701,132.76345662 -37.7567005101,132.78053556 -37.7641105700999,132.79766256 -37.7714554701,132.81483456 -37.7787355701,132.83205264 -37.7859496100999,132.84931554 -37.7930975901,132.86662254 -37.8001795101,132.88397562 -37.8071964500999,132.90137154 -37.8141455301,132.91881066 -37.8210294501,132.9362937 -37.8278455101,132.95381958 -37.8345955100999,132.97138758 -37.8412785501,132.9889977 -37.8478935501,133.00664868 -37.8544424900999,133.0243416 -37.8609224901,133.04207466 -37.8673366101,133.05984858 -37.8736816101,133.07766156 -37.8799594701,133.09551468 -37.8861685700999,133.11340668 -37.8923094501,133.13133666 -37.8983824701,133.1493057 -37.9043865500999,133.16731164 -37.9103225901,133.18535556 -37.9161895101,133.20343656 -37.9219865900999,133.22155356 -37.9277154500999,133.2300456 -37.9382535500999,133.23859056 -37.9487664501,133.24718664 -37.9592525300999,133.25583456 -37.9697135901,133.26647364 -37.9824635301,133.27718958 -37.9951745901,133.28798364 -38.0078455101,133.29885366 -38.0204764701,133.30980054 -38.0330665701,133.32082356 -38.0456154501,133.33192362 -38.0581234701,133.34309856 -38.0705904501,133.35435054 -38.0830154901,133.36567758 -38.0953994901,133.37707968 -38.1077404701,133.38855666 -38.1200395101,133.4001096 -38.1322944501,133.4117367 -38.1445074500999,133.42343868 -38.1566776101,133.43521356 -38.1688034900999,133.44706368 -38.1808854501,133.4589876 -38.1929234900999,133.4709846 -38.2049165301,133.48305558 -38.2168654701,133.49519964 -38.2287695900999,133.5074157 -38.2406274501,133.51970556 -38.2524415701,133.5320667 -38.2642085301,133.54450056 -38.2759295901,133.5570057 -38.2876045701,133.56958356 -38.2992334701,133.58223162 -38.3108144901,133.59495168 -38.3223496100999,133.60774266 -38.3338364901,133.62060366 -38.3452754900999,133.63353468 -38.3566675101,133.64653662 -38.3680105700999,133.65960768 -38.3793055701,133.67274858 -38.3905525101,133.68595968 -38.4017495901,133.69923864 -38.4128975300999,133.71258654 -38.4239965101,133.72600266 -38.4350454500999,133.73948754 -38.4460445300999,133.75304568 -38.4570014901,133.76667168 -38.4679075101,133.78036464 -38.4787634900999,133.79412564 -38.4895674501,133.8079527 -38.5003204701,133.82184654 -38.5110225501,133.83580662 -38.5216726100999,133.84983366 -38.5322704701,133.86392568 -38.5428164900999,133.87808268 -38.5533095901,133.89230556 -38.5637504901,133.9065927 -38.5741375700999,133.92094464 -38.5844724501,133.93536066 -38.5947535101,133.94984058 -38.6049805701,133.96438368 -38.6151534501,133.97899068 -38.6252725100999,133.99366068 -38.6353375701,134.0083926 -38.6453475501,134.0231877 -38.6553024501,134.03804454 -38.6652024500999,134.05296258 -38.6750475500999,134.06794254 -38.6848364900999,134.0829846 -38.6945705301,134.0980857 -38.7042475101,134.11324854 -38.7138685101,134.1284706 -38.7234335301,134.1437526 -38.7329414900999,134.15909364 -38.7423925700999,134.17449462 -38.7517865900999,134.18995356 -38.7611224701,134.20547154 -38.7704025501,134.22104766 -38.7796235901,134.23668156 -38.7887864900999,134.2523727 -38.7978916101,134.26812054 -38.8069385900999,134.28392562 -38.8159265300999,134.29978668 -38.8248556101,134.31570354 -38.8337254701,134.33167656 -38.8425364701,134.34770466 -38.8512875300999,134.36378856 -38.8599795500999,134.37992556 -38.8686114500999,134.39611854 -38.8771825101,134.41236354 -38.8856945301,134.42866362 -38.8941455300999,134.4427587 -38.9013854901,134.45689356 -38.9085804501,134.47093068 -38.9162945301,134.48501064 -38.9239636100999,134.49913362 -38.9315855300999,134.51329764 -38.9391624501,134.52750468 -38.9466925701,134.54244054 -38.9568055101,134.55743958 -38.9668615701,134.5725036 -38.9768614701,134.58763062 -38.9868055701,134.60281956 -38.9966935100999,134.61807258 -39.0065234901,134.63338662 -39.0162965901,134.64876366 -39.0260124501,134.66420154 -39.0356705300999,134.67970062 -39.0452715500999,134.69526054 -39.0548135300999,134.71088166 -39.0642975501,134.72656254 -39.0737236100999,134.74230354 -39.0830895500999,134.75810466 -39.0923975301,134.77396356 -39.1016464701,134.78988258 -39.1108354700999,134.80585956 -39.1199656100999,134.82189468 -39.1290354501,134.83798758 -39.1380455300999,134.85413754 -39.1469954901,134.87034456 -39.1558846101,134.88660864 -39.1647125301,134.9029287 -39.1734805101,134.91930456 -39.1821865701,134.93573568 -39.1908316101,134.9522226 -39.1994154501,134.9687646 -39.2079364701,134.9853606 -39.2163964701,135.0020106 -39.2247945501,135.0187137 -39.2331294501,135.03547062 -39.2414026101,135.05228064 -39.2496125901,135.06914268 -39.2577604700999,135.08605764 -39.2658444501,135.10302354 -39.2738645301,135.12004164 -39.2818225101,135.13711068 -39.2897155101,135.15422958 -39.2975455101,135.1713987 -39.3053105301,135.18861768 -39.3130114701,135.2058867 -39.3206485100999,135.2232036 -39.3282205700999,135.24056964 -39.3357274700999,135.25798464 -39.3431695700999,135.27544662 -39.3505465100999,135.29295558 -39.3578584700999,135.3105126 -39.3651045500999,135.3281157 -39.3722845701,135.3457647 -39.3793996100999,135.3634596 -39.3864475101,135.38119968 -39.3934295300999,135.39898458 -39.4003454901,135.41681466 -39.4071944900999,135.43468758 -39.4139776101,135.45260568 -39.4206925101,135.47056554 -39.4273415301,135.48856968 -39.4339225100999,135.50661468 -39.4404365301,135.5247027 -39.4468825101,135.54283266 -39.4532604501,135.56100258 -39.4595716100999,135.57921354 -39.4658145501,135.59746464 -39.4719885501,135.6157566 -39.4780945101,135.63408654 -39.4841326101,135.65245662 -39.4901015900999,135.67086468 -39.4960025300999,135.68931054 -39.5018334500999,135.70779456 -39.5075956100999,135.72631566 -39.5132895501,135.74487366 -39.5189125701,135.76346766 -39.5244675501,135.78209766 -39.5299525101,135.80076258 -39.5353674501,135.8194626 -39.5407125501,135.83819754 -39.5459874501,135.85696668 -39.5511925101,135.87576966 -39.5563275501,135.89460558 -39.5613925701,135.91347462 -39.5663864900999,135.9323757 -39.5713094901,135.95130864 -39.5761624701,135.97027254 -39.5809434500999,135.98926758 -39.5856545901,136.00829268 -39.5902944500999,136.02734856 -39.5948624901,136.0464336 -39.5993596101,136.0655487 -39.6037854501,136.0846917 -39.6081394701,136.1038626 -39.6124225701,136.12306068 -39.6166334901,136.14228756 -39.6207725901,136.16153964 -39.6248395100999,136.18081962 -39.6288346100999,136.20012462 -39.6327575301,136.21945464 -39.6366075500999,136.23881058 -39.6403864701,136.25818956 -39.6440915900999,136.27759356 -39.6477256101,136.29702168 -39.6512854701,136.31647158 -39.6547735101,136.3359447 -39.6581895501,136.3554396 -39.6615316101,136.37495664 -39.6648005901,136.39449366 -39.6679975700999,136.41405264 -39.6711205701,136.4336316 -39.6741704900999,136.45322964 -39.6771475100999,136.47284766 -39.6800505501,136.49248368 -39.6828815901,136.5121386 -39.6856375701,136.53181062 -39.6883204701,136.55150064 -39.6909304701,136.57120758 -39.6934655901,136.59093054 -39.6959285300999,136.6106697 -39.6983165901,136.63042362 -39.7006304901,136.65019356 -39.7028714901,136.66997664 -39.7050376101,136.68977466 -39.7071304701,136.70958564 -39.7091484501,136.72941066 -39.7110935301,136.74924666 -39.7129635501,136.76909562 -39.7147595900999,136.78895556 -39.7164805700999,136.7948376 -39.7236676100999,136.80074358 -39.7308425900999,136.8104346 -39.7425245901,136.8201906 -39.7541745501,136.83001356 -39.7657924701,136.83990168 -39.7773774501,136.8498546 -39.7889305701,136.85987466 -39.8004494900999,136.86995862 -39.8119365500999,136.88010756 -39.8233895901,136.89113166 -39.8359404501,136.90223154 -39.8484504501,136.91341062 -39.8609215700999,136.92466656 -39.8733514701,136.93599954 -39.8857415901,136.94740956 -39.8980895900999,136.95889554 -39.9103974501,136.97045964 -39.9226635501,136.98209862 -39.9348875301,136.99381464 -39.9470695701,137.00560554 -39.9592094900999,137.01747258 -39.9713074701,137.02941558 -39.9833615301,137.04143364 -39.9953734700999,137.05352568 -40.0073414901,137.06569368 -40.0192664900999,137.07793566 -40.0311464901,137.09025162 -40.0429834701,137.10264156 -40.0547754501,137.11510566 -40.0665226101,137.12764356 -40.0782254901,137.14025454 -40.0898824701,137.1529026 -40.1017095500999,137.16562662 -40.1134905500999,137.17842354 -40.1252254701,137.1912957 -40.1369144901,137.20424256 -40.1485554501,137.21726268 -40.1601505100999,137.2303557 -40.1716975100999,137.2435227 -40.1831964501,137.2567626 -40.1946475101,137.27007558 -40.2060505100999,137.28346056 -40.2174054500999,137.29691754 -40.2287116101,137.3104467 -40.2399684501,137.32404768 -40.2511765101,137.33771958 -40.2623345301,137.35146366 -40.2734425100999,137.36527758 -40.2845015300999,137.3791617 -40.2955096100999,137.39311656 -40.3064665701,137.40714162 -40.3173734901,137.4212367 -40.3282294700999,137.43540054 -40.3390336101,137.44963368 -40.3497864501,137.46393558 -40.3604874501,137.4783057 -40.3711366100999,137.49274368 -40.3817335700999,137.5072497 -40.3922776101,137.52182358 -40.4027685501,137.5364646 -40.4132065701,137.55117258 -40.4235914900999,137.5659477 -40.4339234901,137.5807887 -40.4442005900999,137.59569558 -40.4544245901,137.6106687 -40.4645945901,137.62570662 -40.4747095101,137.6408097 -40.4847695301,137.65597758 -40.4947744700999,137.67120954 -40.5047245100999,137.68650666 -40.5146194700999,137.7018666 -40.5244584501,137.71728954 -40.5342414501,137.73277656 -40.5439684701,137.74832568 -40.5536386100999,137.76393762 -40.5632525901,137.77961166 -40.5728105900999,137.79534654 -40.5823104501,137.8111437 -40.5917536100999,137.8270017 -40.6011384501,137.84291964 -40.6104665901,137.85851466 -40.6202904501,137.87417268 -40.6300576100999,137.8898946 -40.6397675301,137.9056797 -40.6494194900999,137.92152762 -40.6590134901,137.93743854 -40.6685495300999,137.95341156 -40.6780276101,137.9694456 -40.6874464700999,137.98554156 -40.6968075501,138.00169854 -40.7061095901,138.01791654 -40.7153515101,138.03419556 -40.7245354701,138.05053362 -40.7336585900999,138.06693162 -40.7427224901,138.08338866 -40.7517264501,138.09990564 -40.7606695701,138.11647968 -40.7695525701,138.13311258 -40.7783745501,138.14980362 -40.7871365900999,138.16655154 -40.7958365301,138.1833567 -40.8044754501,138.20021856 -40.8130524501,138.21713658 -40.8215686100999,138.23411058 -40.8300224901,138.25114056 -40.8384144501,138.26822454 -40.8467435900999,138.28536468 -40.8550104500999,138.30255756 -40.8632144901,138.3198057 -40.8713555301,138.33710658 -40.8794324901,138.35446056 -40.8874475301,138.3712677 -40.8953225300999,138.38812362 -40.9031384900999,138.40503066 -40.9108945101,138.42198666 -40.9185905901,138.43899162 -40.9262254701,138.45604662 -40.9338005901,138.47314968 -40.9413145101,138.49030062 -40.9487675900999,138.50749962 -40.9561594700999,138.5247456 -40.9634905101,138.54203964 -40.9707605300999,138.55937958 -40.9779684500999,138.5767656 -40.9851155301,138.5941977 -40.9921996100999,138.6116757 -40.9992224900999,138.6291987 -41.0061825500999,138.6467667 -41.0130815900999,138.66437862 -41.0199165501,138.68203356 -41.0266895900999,138.69821358 -41.0331586101,138.71443158 -41.0395756101,138.73068864 -41.0459386100999,138.7469826 -41.0522485101,138.76331364 -41.0585045901,138.77968266 -41.0647075701,138.79608858 -41.0708554701,138.81253158 -41.0769504501,138.82900968 -41.0829916101,138.84512958 -41.0921055500999,138.8613087 -41.1011626100999,138.86693658 -41.1042814701,138.87754668 -41.1101604501,138.89384262 -41.1191005101,138.9101976 -41.1279815300999,138.92660964 -41.1368035101,138.94307964 -41.1455675301,138.9596067 -41.1542716101,138.97618956 -41.1629164701,138.99282966 -41.1715015701,139.00952466 -41.1800265501,139.02627654 -41.1884915901,139.0430826 -41.1968965101,139.05994464 -41.2052405901,139.07686068 -41.2135245501,139.09383054 -41.2217474901,139.11085368 -41.2299095901,139.12793064 -41.2380095901,139.1450607 -41.2460485701,139.16224368 -41.2540265301,139.17947868 -41.2619425701,139.19676462 -41.2697965100999,139.21410258 -41.2775874500999,139.23149166 -41.2853164700999,139.24893168 -41.2929835701,139.26642066 -41.3005874900999,139.28396058 -41.3081285901,139.30154964 -41.3156065101,139.31918766 -41.3230216100999,139.33687464 -41.3303724501,139.35460968 -41.3376604701,139.3723926 -41.3448845901,139.39022358 -41.3520444500999,139.40810064 -41.3591405900999,139.42602468 -41.3661724701,139.44399462 -41.3731395501,139.46201064 -41.3800414701,139.48007166 -41.3868794901,139.49817858 -41.3936525300999,139.5163296 -41.4003595101,139.53452454 -41.4070025901,139.55276358 -41.4135796101,139.57104564 -41.4200905700999,139.58937072 -41.4265354701,139.60773756 -41.4329155701,139.6261476 -41.4392296101,139.64459868 -41.4454765100999,139.66309062 -41.4516575301,139.6816236 -41.4577724901,139.70019672 -41.4638204900999,139.7188107 -41.4698015301,139.73746266 -41.4757156100999,139.75615458 -41.4815634501,139.77488466 -41.4873436101,139.79160072 -41.4925344500999,139.80834756 -41.4976725501,139.82512464 -41.5027564701,139.8419316 -41.5077865701,139.85876772 -41.5127624900999,139.87563372 -41.5176854901,139.89114756 -41.5221556101,139.8925287 -41.5225535901,139.89968064 -41.5347984500999,139.9069017 -41.5470215301,139.91418972 -41.5592224701,139.9215456 -41.5714005501,139.9296006 -41.5845844701,139.9377357 -41.5977424701,139.94594964 -41.6108725701,139.95424368 -41.6239754901,139.96261566 -41.6370496101,139.97106756 -41.6500965501,139.97959758 -41.6631155901,139.9882077 -41.6761045700999,139.99689558 -41.6890654700999,140.00566158 -41.7019975701,140.01489666 -41.7155155701,140.0242176 -41.7290015301,140.03362368 -41.7424545500999,140.04311562 -41.7558735500999,140.0526927 -41.7692605101,140.06235564 -41.7826134500999,140.07210264 -41.7959325501,140.0819346 -41.8092174501,140.0918526 -41.8224676100999,140.10185358 -41.8356835701,140.1119397 -41.8488635301,140.1221106 -41.8620085701,140.13236466 -41.8751185101,140.1427026 -41.8881915500999,140.1531246 -41.9012294901,140.16363066 -41.9142294500999,140.1742197 -41.9271935900999,140.18489172 -41.9401204700999,140.19564672 -41.9530104501,140.20648362 -41.9658615500999,140.21740458 -41.9786755700999,140.22840672 -41.9914505300999,140.23949166 -42.0041875101,140.25065868 -42.0168856101,140.2619076 -42.0295444701,140.2732377 -42.0421644501,140.2846497 -42.0547435701,140.29614162 -42.0672834500999,140.30771562 -42.0797824701,140.31936972 -42.0922415301,140.33110464 -42.1046595501,140.34292056 -42.1170365301,140.35481568 -42.1293724701,140.36679072 -42.1416664700999,140.37884568 -42.1539185300999,140.39098056 -42.1661275701,140.40319356 -42.1782944901,140.40741672 -42.1933505901,140.41173456 -42.2083904901,140.41614762 -42.2234154501,140.42065662 -42.2384254701,140.42526066 -42.2534185701,140.42995956 -42.2683965501,140.4347526 -42.2833576100999,140.43964158 -42.2983024700999,140.4446256 -42.3132295100999,140.44970466 -42.3281394500999,140.45487858 -42.3430315701,140.46014772 -42.3579046100999,140.46551172 -42.3727605501,140.47096968 -42.3875965101,140.47652268 -42.4024144701,140.48217072 -42.4172124501,140.48791362 -42.4319904501,140.49375066 -42.4467495501,140.49968166 -42.4614875901,140.5057077 -42.4762045701,140.5118277 -42.4909004901,140.51804256 -42.5055744501,140.52435156 -42.5202275300999,140.53075956 -42.5348735901,140.5372626 -42.5494966100999,140.5438596 -42.5640974900999,140.55055056 -42.5786755101,140.55733566 -42.5932295901,140.56421562 -42.6077595501,140.57118864 -42.6222664701,140.57825472 -42.6367485500999,140.58541566 -42.6512056100999,140.59266966 -42.6656374701,140.60001672 -42.6800444900999,140.60745756 -42.6944264900999,140.61499164 -42.7087814901,140.6226186 -42.7231105700999,140.6303397 -42.7374124700999,140.6381526 -42.7516884501,140.64605856 -42.7659365301,140.65405758 -42.7801565300999,140.66214858 -42.7943495301,140.67033264 -42.8085135501,140.67671562 -42.8231934501,140.68319472 -42.8378504900999,140.6897676 -42.8524855701,140.6964357 -42.8670965301,140.70319866 -42.8816855301,140.71005666 -42.8962505901,140.71700862 -42.9107915301,140.72405562 -42.9253085301,140.73119658 -42.9398005100999,140.73843258 -42.9542685500999,140.74576272 -42.9687104900999,140.74798158 -42.9835315101,140.7502926 -42.9983446100999,140.7526947 -43.0131505100999,140.7551886 -43.0279475901,140.75777268 -43.0427365701,140.76044856 -43.0575165500999,140.7632166 -43.0722875301,140.76607464 -43.0870495101,140.76902466 -43.1018015900999,140.77206666 -43.1165444901,140.77519866 -43.1312765901,140.77842264 -43.1459975300999,140.7817386 -43.1607085700999,140.78514456 -43.1754086301,140.78864268 -43.1900966301,140.7922326 -43.2047725700999,140.7959127 -43.2194375301,140.7996846 -43.2340895300999,140.80354866 -43.2487285701,140.80750272 -43.2633555501,140.81107662 -43.2786094701,140.8147497 -43.2938506100999,140.8185216 -43.3090795101,140.82239268 -43.3242945501,140.8263606 -43.3394966301,140.8304286 -43.3546855700999,140.8345947 -43.3698595701,140.83885872 -43.3850195301,140.84322156 -43.4001645500999,140.84768268 -43.4152935500999,140.85224262 -43.4304085101,140.85690066 -43.4455065501,140.8616577 -43.4605894701,140.86651158 -43.4756554701,140.87146572 -43.4907045501,140.8765167 -43.5057365301,140.88166668 -43.5207505101,140.88691458 -43.5357475701,140.89226058 -43.5507255500999,140.89770468 -43.5656866100999,140.9032467 -43.5806275101,140.90888664 -43.5955495101,140.91462468 -43.6104515301,140.92046064 -43.6253344701,140.9263947 -43.6401976101,140.9324256 -43.6550395100999,140.93855568 -43.6698605300999,140.9447817 -43.6846604900999,140.95110672 -43.6994395701,140.95752858 -43.7141956101,140.96404764 -43.7289305900999,140.97066462 -43.7436425301,140.97737862 -43.7583316101,140.98419072 -43.7729974701,140.99109858 -43.7876404701,140.99810364 -43.8022595300999,140.99999994 -43.8061558101,141.00520662 -43.8168535700999,141.01240572 -43.8314245701,141.01970166 -43.8459694701,141.02709462 -43.8604895301,141.0345837 -43.8749845700999,141.04216962 -43.8894526101,141.04985166 -43.9038956301,141.05762964 -43.9183114701,141.06550464 -43.9327015701,141.07178358 -43.9441315700999,141.07812372 -43.9555444701,141.0845247 -43.9669395501,141.09098562 -43.9783175301,141.0975216 -43.9930274901,141.1041546 -44.0077135101,141.1108857 -44.0223775701,141.11771364 -44.0370175101,141.1246386 -44.0516345901,141.13166058 -44.0662286301,141.13878066 -44.0807974700999,141.14599668 -44.0953425501,141.15331062 -44.1098635101,141.16072068 -44.1243585500999,141.16822668 -44.1388285701,141.1758306 -44.1532724901,141.1831557 -44.1669985701,141.19056756 -44.1807005301,141.19806672 -44.1943785500999,141.20565372 -44.2080326300999,141.21332658 -44.2216615100999,141.22108764 -44.2352655500999,141.22893456 -44.2488445700999,141.2368686 -44.2623974901,141.24488958 -44.2759244901,141.25299768 -44.2894264701,141.26119164 -44.3029005500999,141.26947164 -44.3163485301,141.27783858 -44.3297695101,141.28629156 -44.3431634900999,141.29482968 -44.3565304701,141.30345456 -44.3698684701,141.31216458 -44.3831794701,141.32096064 -44.3964614901,141.32984256 -44.4097145301,141.33844656 -44.4236585901,141.34714362 -44.4375734901,141.35593356 -44.4514585100999,141.36481566 -44.4653134701,141.37379064 -44.4791396301,141.38285868 -44.4929355501,141.3920187 -44.5067005101,141.40126962 -44.5204345101,141.4106136 -44.5341364701,141.42004956 -44.5478085500999,141.4295766 -44.5614475100999,141.43919562 -44.5750555101,141.44890572 -44.5886305701,141.45870762 -44.6021725100999,141.4685997 -44.6156815101,141.47858358 -44.6291575701,141.48865764 -44.6426005101,141.4988226 -44.6560085301,141.50907756 -44.6693825300999,141.5194227 -44.6827225100999,141.52985856 -44.6960264900999,141.5403837 -44.7092966301,141.55099866 -44.7225305901,141.56170362 -44.7357296301,141.57249768 -44.7488915901,141.58338066 -44.7620175501,141.59435364 -44.7751066101,141.60541464 -44.7881594901,141.61656366 -44.8011745701,141.6278016 -44.8141525701,141.63912864 -44.8270925901,141.65054262 -44.8399935501,141.66204462 -44.8528576101,141.67363464 -44.8656815300999,141.6853116 -44.8784674701,141.69707658 -44.8912136301,141.7089276 -44.9039194701,141.72086664 -44.9165866101,141.73289064 -44.9292136101,141.74500266 -44.9417995701,141.75719964 -44.9543444901,141.76948266 -44.9668485501,141.78185172 -44.9793115700999,141.79430664 -44.9917335500999,141.80684562 -45.0041125101,141.81947064 -45.0164495300999,141.83217972 -45.0287446101,141.84497358 -45.0409964900999,141.85785168 -45.0532055301,141.87081366 -45.0653704700999,141.88021272 -45.0766724901,141.88967658 -45.0879475101,141.89920668 -45.0991946300999,141.90880356 -45.1104145701,141.9180696 -45.1237736300999,141.92742366 -45.1371026300999,141.93686556 -45.1504004900999,141.94639656 -45.1636684700999,141.95601558 -45.1769054901,141.96572172 -45.1901104700999,141.9755157 -45.2032844901,141.9853977 -45.2164264700999,141.99536664 -45.2295355100999,142.0054227 -45.2426135901,142.0155666 -45.2556574701,142.02579672 -45.2686685901,142.0361136 -45.2816465901,142.0465176 -45.2945914701,142.05700764 -45.3075025100999,142.06758462 -45.3203786300999,142.07824656 -45.3332205501,142.08899562 -45.3460275501,142.09982964 -45.3588005300999,142.1107497 -45.3715375101,142.12175472 -45.3842384901,142.13320866 -45.3973185501,142.1447526 -45.4103595500999,142.15638672 -45.4233625701,142.16811156 -45.4363256301,142.17992658 -45.4492496300999,142.1918316 -45.4621334901,142.20382662 -45.4749775700999,142.21591056 -45.4877815101,142.2280836 -45.5005445900999,142.24034556 -45.5132666301,142.25269662 -45.5259476301,142.2651357 -45.5385875901,142.2776637 -45.5511856101,142.29027972 -45.5637406101,142.30298268 -45.5762534901,142.31577366 -45.5887246101,142.32865266 -45.6011525300999,142.3416177 -45.6135365301,142.35467058 -45.6258775101,142.36780968 -45.6381745701,142.38103464 -45.6504266301,142.39434672 -45.6626354901,142.40774358 -45.6747986301,142.42122666 -45.6869174901,142.4347956 -45.6989906301,142.4484486 -45.7110185901,142.46218656 -45.7230004700999,142.47600966 -45.7349366301,142.48991664 -45.7468256300999,142.50390768 -45.7586685501,142.5179817 -45.7704635901,142.53214068 -45.7822114701,142.54638156 -45.7939125501,142.5607056 -45.8055655701,142.57511172 -45.8171705301,142.58960064 -45.8287265300999,142.60417164 -45.8402344701,142.61882472 -45.8516936301,142.63355862 -45.8631034701,142.6483737 -45.8744636301,142.6632696 -45.8857735701,142.6782456 -45.8970345501,142.6933026 -45.9082445900999,142.70843862 -45.9194035100999,142.72365456 -45.9305125701,142.7389497 -45.9415696101,142.75432368 -45.9525766101,142.76977668 -45.9635305101,142.78530762 -45.9744334701,142.80091668 -45.9852845900999,142.81660368 -45.9960826101,142.83236664 -46.0068275301,142.84820772 -46.0175206101,142.86412566 -46.0281595101,142.88011866 -46.0387454900999,142.8961887 -46.0492785500999,142.91233362 -46.0597565300999,142.92855468 -46.0701805100999,142.94485062 -46.0805504900999,142.96122072 -46.0908655701,142.97766462 -46.1011255701,142.99418268 -46.1113295901,143.01077364 -46.1214796100999,143.02743858 -46.1315725700999,143.0441766 -46.1416106301,143.06098662 -46.1515916301,143.07786864 -46.1615164701,143.09482158 -46.1713855100999,143.1118467 -46.1811965901,143.12894256 -46.1909515100999,143.14610862 -46.2006484701,143.1633456 -46.2102874701,143.1806517 -46.2198685101,143.19802764 -46.2293924901,143.2154727 -46.2388576101,143.23298562 -46.2482635100999,143.25056766 -46.2576116300999,143.26821666 -46.2669005301,143.2859337 -46.2761294901,143.3037177 -46.2852995901,143.32156866 -46.2944095701,143.33948568 -46.3034605101,143.35746858 -46.3124506101,143.37551664 -46.3213805901,143.39362968 -46.3302495501,143.4118077 -46.3390585701,143.43004962 -46.3478054900999,143.44835562 -46.3564915701,143.46672462 -46.3651166301,143.48515662 -46.3736795901,143.50255164 -46.3833495500999,143.52001758 -46.3929604701,143.53755462 -46.4025125301,143.5551606 -46.4120055500999,143.5728357 -46.4214395301,143.59058064 -46.4308144701,143.60839362 -46.4401294701,143.62627464 -46.4493845301,143.6442246 -46.4585785701,143.66224062 -46.4677135701,143.68032468 -46.4767864701,143.69847462 -46.4857996101,143.7166917 -46.4947515501,143.73497358 -46.5036424701,143.75332062 -46.5124714701,143.77173372 -46.5212396301,143.79021072 -46.5299446101,143.80875162 -46.5385885701,143.8273566 -46.5471695301,143.84602368 -46.5556874901,143.86475466 -46.5641435301,143.88354756 -46.5725365701,143.90240256 -46.5808655300999,143.92131966 -46.5891314900999,143.9402967 -46.5973346301,143.95933458 -46.6054726100999,143.97843258 -46.6135475901,143.9975907 -46.6215575900999,144.01680768 -46.6295035101,144.0360837 -46.6373855300999,144.05541768 -46.6452014901,144.07480962 -46.6529535500999,144.09425862 -46.6606395500999,144.11346372 -46.6681444701,144.13272372 -46.6755865700999,144.15203772 -46.6829645901,144.17140572 -46.6902785300999,144.19082664 -46.6975274901,144.21030066 -46.7047136300999,144.2298276 -46.7118346101,144.24940656 -46.7188906100999,144.26903772 -46.7258816301,144.28871856 -46.7328085701,144.3084516 -46.7396696301,144.3282336 -46.7464655301,144.34806672 -46.7531955500999,144.36794862 -46.7598605901,144.38787858 -46.7664595701,144.40785768 -46.7729924901,144.42788466 -46.7794595301,144.4479597 -46.7858605101,144.46808064 -46.7921945300999,144.48824856 -46.7984624901,144.50846256 -46.8046625901,144.52872264 -46.8107966301,144.54902772 -46.8168635301,144.56937672 -46.8228625701,144.58976964 -46.8287955501,144.61020666 -46.8346595901,144.6306867 -46.8404564901,144.65120958 -46.8461866101,144.67177458 -46.8518476101,144.6923817 -46.8574405701,144.71302968 -46.8629654901,144.73371762 -46.8684225501,144.7544466 -46.8738104901,144.77521572 -46.8791305700999,144.79602264 -46.8843815301,144.8168697 -46.8895635501,144.83775366 -46.8946766300999,144.85867668 -46.8997195101,144.8796357 -46.9046945301,144.9006327 -46.9095995300999,144.92166462 -46.9144355900999,144.94273272 -46.9192016301,144.96383556 -46.9238974701,144.98497368 -46.9285245501,145.00614672 -46.9330805301,145.02735162 -46.9375675700999,145.04859072 -46.9419835101,145.06986258 -46.9463296101,145.09116666 -46.9506055101,145.1125017 -46.9548104900999,145.1338677 -46.9589445500999,145.15526466 -46.9630085900999,145.1753946 -46.9667624900999,145.19555172 -46.9704535701,145.21573368 -46.9740825501,145.23594066 -46.9776485300999,145.25617266 -46.9811515101,145.2764286 -46.9845914900999,145.29670866 -46.9879695500999,145.31701266 -46.9912835301,145.33733862 -46.9945345100999,145.35768762 -46.9977224901,145.37805966 -47.0008465701,145.39845258 -47.0039085501,145.41970572 -47.0091605901,145.44099864 -47.0143406301,145.46233062 -47.0194504700999,145.48370058 -47.0244875901,145.5051087 -47.0294536101,145.52655462 -47.0343476301,145.54803672 -47.0391694701,145.56955572 -47.0439185901,145.59110964 -47.0485966101,145.61269956 -47.0532015501,145.63432368 -47.0577335901,145.65598164 -47.0621936301,145.67767362 -47.0665805900999,145.69939872 -47.0708944701,145.72115658 -47.0751356301,145.74294558 -47.0793046101,145.76476662 -47.0833996100999,145.78661772 -47.0874206300999,145.8084996 -47.0913694701,145.83041172 -47.0952436101,145.85235264 -47.0990455701,145.87432272 -47.1027724701,145.89631962 -47.1064264701,145.9183446 -47.1100064901,145.94039766 -47.1135125300999,145.96247556 -47.1169445901,145.98458064 -47.1203015900999,146.00670966 -47.1235855101,146.0288646 -47.1267945501,146.05104258 -47.1299285301,146.07324558 -47.1329896101,146.09547072 -47.1359745501,146.11771872 -47.1388855101,146.1399876 -47.1417224900999,146.16227862 -47.1444835101,146.1845907 -47.1471705501,146.20692258 -47.1497825300999,146.22927462 -47.1523196301,146.25164556 -47.1547805901,146.27403468 -47.1571675701,146.29644162 -47.1594785901,146.31886656 -47.1617145501,146.3413077 -47.1638756301,146.36376558 -47.1659614701,146.38623858 -47.1679715301,146.4087267 -47.1699065300999,146.43122958 -47.1717655701,146.4537456 -47.1735484701,146.47627656 -47.1752564900999,146.49881868 -47.1768885500999,146.52137358 -47.1784455501,146.54394072 -47.1799265901,146.56651758 -47.1813314900999,146.58910668 -47.1826606101,146.6117037 -47.1839144900999,146.6343117 -47.1850915101,146.65692762 -47.1861934701,146.67955164 -47.1872194700999,146.70218268 -47.1881695101,146.72482164 -47.1890435901,146.74746672 -47.1898406300999,146.77011756 -47.1905626101,146.79277362 -47.1912086300999,146.81543364 -47.1917785100999,146.8380987 -47.1922715301,146.86076664 -47.1926894901,146.88343872 -47.1930305901,146.9061117 -47.1932955500999,146.92878666 -47.1934856301,146.9514636 -47.1935984901,146.97414072 -47.1936355701,146.99681766 -47.1935956100999,147.0194937 -47.1934805900999,147.04216866 -47.1932896101,147.06484164 -47.1930215900999,147.08751372 -47.1926785101,147.11018166 -47.1922585701,147.13284564 -47.1917624901,147.15550656 -47.1911906301,147.17816262 -47.1905426301,147.20081256 -47.1898184901,147.22345764 -47.1890185701,147.2460966 -47.1881425101,147.26872764 -47.1871904901,147.29135166 -47.1861625101,147.31396758 -47.1850585701,147.33657468 -47.1838795700999,147.3591717 -47.1826235301,147.38175972 -47.1812915301,147.40433658 -47.1798844700999,147.42690372 -47.1784016301,147.44945772 -47.1768424700999,147.47200056 -47.1752086101,147.49452972 -47.1734986101,147.51704664 -47.1717124701,147.53954862 -47.1698516300999,147.56203656 -47.1679144701,147.58450956 -47.1659015300999,147.60696672 -47.1638146101,147.6294066 -47.1616515501,147.65183172 -47.1594125300999,147.67423758 -47.1570995301,147.6966267 -47.1547105701,147.71899656 -47.1522465501,147.7413477 -47.1497074701,147.76367958 -47.1470935100999,147.78599058 -47.1444044901,147.8082807 -47.1416414901,147.83054958 -47.1388025301,147.85279758 -47.1358895901,147.87502164 -47.1329015901,147.89722356 -47.1298396101,147.91940172 -47.1267025701,147.94155468 -47.1234915500999,147.9636837 -47.1202054701,147.9857877 -47.1168455901,148.0078656 -47.1134115501,148.02991668 -47.1099035301,148.05194166 -47.1063215301,148.06935558 -47.1034355900999,148.08675366 -47.1005024900999,148.10843862 -47.0968754900999,148.13009568 -47.0931764901,148.15172556 -47.0894065700999,148.17332664 -47.0855635701,148.19489766 -47.0816505501,148.2164406 -47.0776646301,148.23795258 -47.0736085101,148.2594336 -47.0694814701,148.28088366 -47.0652826100999,148.30230258 -47.0610135501,148.32368856 -47.0566724901,148.34504268 -47.0522615900999,148.3663626 -47.0477795901,148.38764868 -47.0432275700999,148.40890164 -47.0386046301,148.4301186 -47.0339114901,148.45130064 -47.0291485101,148.47244668 -47.0243155100999,148.49355564 -47.0194124901,148.5146286 -47.0144396301,148.53566466 -47.0093965700999,148.55666166 -47.0042845701,148.57762068 -46.9991025501,148.59854064 -46.9938515901,148.61942172 -46.9885315101,148.64026266 -46.9831424901,148.66106256 -46.9776845301,148.6818216 -46.9721576301,148.7025396 -46.9665616100999,148.72321566 -46.9608975500999,148.7438496 -46.9551656301,148.7644407 -46.9493645901,148.7849877 -46.9434955101,148.8054906 -46.9375585701,148.82594958 -46.9315544901,148.84636356 -46.9254825501,148.86673272 -46.9193425701,148.88705562 -46.9131356301,148.90733172 -46.9068615501,148.92756156 -46.9005205101,148.9477437 -46.8941125100999,148.96787868 -46.8876375501,148.9879647 -46.8810965300999,149.00800266 -46.8744885501,149.02799058 -46.8678145101,149.04808362 -46.8611165300999,149.06812572 -46.8543515901,149.0881167 -46.8475205901,149.10805764 -46.8406226301,149.12794656 -46.8336586100999,149.14778364 -46.8266276300999,149.1675687 -46.8195314901,149.18730066 -46.8123705501,149.20697862 -46.8051424701,149.22660258 -46.7978504901,149.24617362 -46.7904926301,149.26568868 -46.7830696100999,149.28514866 -46.7755816100999,149.30455356 -46.7680295300999,149.32390158 -46.7604124701,149.34319362 -46.7527315101,149.3624277 -46.7449864701,149.38160472 -46.7371775300999,149.40072468 -46.7293045101,149.4197847 -46.7213684901,149.43878766 -46.7133685700999,149.4577296 -46.7053065501,149.47661268 -46.6971806300999,149.49543564 -46.6889926100999,149.51419866 -46.6807415901,149.53289958 -46.6724284701,149.55153966 -46.6640536101,149.57011764 -46.6556164700999,149.5886337 -46.6471175901,149.60708658 -46.6385575100999,149.62547664 -46.6299365900999,149.64380262 -46.6212535701,149.6620656 -46.6125106100999,149.6802636 -46.6037066301,149.69839662 -46.5948425301,149.71646466 -46.5859175900999,149.73446772 -46.5769336101,149.75240364 -46.5678895101,149.77027368 -46.5587854701,149.78807658 -46.5496225701,149.8058127 -46.5403995501,149.82348168 -46.5311185701,149.84108172 -46.5217796301,149.85861462 -46.5123805701,149.87607768 -46.5029246300999,149.89347162 -46.4934105501,149.91079662 -46.4838385100999,149.9280507 -46.4742085100999,149.94523566 -46.4645225301,149.96234862 -46.4547785901,149.97939156 -46.4449775900999,149.99636268 -46.4351206101,149.99999994 -46.4329870701,150.0132627 -46.4252074701,150.03008964 -46.4152376301,150.04684368 -46.4052125301,150.06352572 -46.3951316300999,150.08013468 -46.3849954701,150.09666966 -46.3748045901,150.11313066 -46.3645575501,150.12969156 -46.3541485100999,150.14617758 -46.3436834900999,150.16258656 -46.3331635700999,150.17891868 -46.3225885701,150.19517358 -46.3119584900999,150.21135072 -46.3012745900999,150.22744956 -46.2905356100999,150.24347064 -46.2797435301,150.25941162 -46.2688976301,150.27527466 -46.2579975501,150.29105868 -46.2470445501,150.3067617 -46.2360395301,150.3223857 -46.2249805101,150.3379287 -46.2138705501,150.3533907 -46.2027074901,150.3687726 -46.1914925900999,150.3840717 -46.1802265700999,150.3992907 -46.1689096100999,150.41442672 -46.1575406301,150.42948066 -46.1461216101,150.44445162 -46.1346525501,150.4593396 -46.1231325500999,150.4741446 -46.1115635901,150.48886572 -46.0999435101,150.50350368 -46.0882755500999,150.51805668 -46.0765586301,150.53252562 -46.0647914901,150.5469096 -46.0529775501,150.56120862 -46.0411144701,150.57542268 -46.0292035101,150.59366262 -46.0204875501,150.61183866 -46.0117105700999,150.62995062 -46.0028725701,150.64799868 -45.9939724701,150.66598068 -45.9850126101,150.6838986 -45.9759915500999,150.70174956 -45.9669094700999,150.71953572 -45.9577685301,150.73725366 -45.9485665701,150.75490572 -45.9393055701,150.77249064 -45.9299846301,150.79000662 -45.9206044701,150.80745456 -45.9111656301,150.82483464 -45.9016675701,150.8421456 -45.8921115501,150.85938762 -45.8824964901,150.87655962 -45.8728234700999,150.8936607 -45.8630924901,150.91069158 -45.8533046301,150.92765262 -45.8434586300999,150.94454166 -45.8335555701,150.9613587 -45.8235956300999,150.97810464 -45.8135795301,150.99477768 -45.8035065501,151.01137764 -45.7933775901,151.0279056 -45.7831924700999,151.04435958 -45.7729515500999,151.06073958 -45.7626555501,151.0770456 -45.7523035701,151.09327656 -45.7418975900999,151.10943372 -45.7314365300999,151.12551456 -45.7209205701,151.1415207 -45.7103515101,151.1574507 -45.6997275501,151.17330456 -45.6890504900999,151.18908156 -45.6783196101,151.2047817 -45.6675365301,151.22040462 -45.6566996300999,151.2359496 -45.6458105300999,151.25141772 -45.6348685101,151.26680664 -45.6238744701,151.28211762 -45.6128294901,151.29734958 -45.6017324901,151.3125027 -45.5905834701,151.32757572 -45.5793845900999,151.34256864 -45.5681345900999,151.35748164 -45.5568334700999,151.37231472 -45.5454824900999,151.38706662 -45.5340825500999,151.4017377 -45.5226314901,151.4163276 -45.5111314701,151.4308356 -45.4995824901,151.4452617 -45.4879845501,151.45960572 -45.4763385501,151.47386766 -45.4646435901,151.48804572 -45.4529005700999,151.5021417 -45.4411105701,151.51615362 -45.4292725101,151.53008166 -45.4173874700999,151.54392672 -45.4054556301,151.55768664 -45.3934775301,151.57136268 -45.3814526300999,151.58495358 -45.3693814701,151.5984597 -45.3572645900999,151.61188068 -45.3451025301,151.62521562 -45.3328954701,151.6384647 -45.3206435901,151.65162864 -45.3083465301,151.66470564 -45.2960055501,151.6776957 -45.2836204700999,151.69059972 -45.2711925501,151.70341572 -45.2587196301,151.71614568 -45.2462045901,151.72878672 -45.2336465300999,151.74134064 -45.2210465301,151.75380672 -45.2084035101,151.7661846 -45.1957185501,151.77847356 -45.1829925500999,151.79067468 -45.1702246101,151.80278562 -45.1574156300999,151.81480872 -45.1445665100999,151.82674164 -45.1316765301,151.83858456 -45.1187465900999,151.85033856 -45.1057765101,151.86200166 -45.0927664701,151.87357566 -45.0797186301,151.88505858 -45.0666304700999,151.8964506 -45.0535045101,151.90775172 -45.0403405700999,151.91896266 -45.0271375701,151.93008162 -45.0138974901,151.94110968 -45.0006205101,151.95204558 -44.9873055501,151.96288968 -44.9739545901,151.97364162 -44.9605665501,151.9840197 -44.9475255501,151.99431066 -44.9344505301,152.00451468 -44.9213414901,152.01463068 -44.9081995101,152.02465866 -44.8950245901,152.0345997 -44.8818165501,152.04445164 -44.8685764700999,152.05421556 -44.8553036301,152.06389164 -44.8419994701,152.07347862 -44.8286636301,152.08297758 -44.8152955700999,152.09238762 -44.8018976300999,152.10170856 -44.7884685501,152.11094058 -44.7750085101,152.12008368 -44.7615194901,152.12913768 -44.7479995101,152.13810168 -44.7344505501,152.14697568 -44.7208726100999,152.15576058 -44.7072655100999,152.16445566 -44.6936296100999,152.17306056 -44.6799645501,152.1817236 -44.6660336301,152.19029466 -44.6520735501,152.19877158 -44.6380855700999,152.20715562 -44.6240695101,152.21544462 -44.6100255500999,152.22364056 -44.5959535101,152.23174272 -44.5818544701,152.23975056 -44.5677286100999,152.24766372 -44.5535764701,152.25548364 -44.5393975101,152.26320762 -44.5251926301,152.27083872 -44.5109625501,152.2783746 -44.4967065500999,152.28581562 -44.4824266100999,152.2931616 -44.4681205700999,152.30041272 -44.4537914900999,152.3075697 -44.4394375701,152.31463056 -44.4250595301,152.32159656 -44.4106586300999,152.3284677 -44.3962345101,152.33524362 -44.3817886101,152.3419236 -44.3673185901,152.34850872 -44.3528275100999,152.35499772 -44.3383144700999,152.36139168 -44.3237794701,152.36768862 -44.3092235901,152.3738916 -44.2946464701,152.37999756 -44.2800495500999,152.38600866 -44.2654315701,152.39192256 -44.2507936101,152.3977416 -44.2361365700999,152.40346362 -44.2214606301,152.4090906 -44.2067645301,152.41462056 -44.1920506101,152.42005458 -44.1773185101,152.42539266 -44.1625685901,152.43063372 -44.1478004900999,152.43577956 -44.1330145700999,152.44040358 -44.1195086301,152.44494768 -44.1059895500999,152.4494106 -44.0924555301,152.4537936 -44.0789085501,152.45809668 -44.0653486100999,152.46231966 -44.0517746301,152.46768456 -44.0368295901,152.47295064 -44.0218665501,152.47811862 -44.0068855100999,152.48318868 -43.9918875501,152.48815866 -43.9768724900999,152.49303072 -43.9618405101,152.4978036 -43.9467925101,152.50247856 -43.9317284900999,152.50705362 -43.9166486300999,152.51153058 -43.9015525701,152.51590872 -43.8864424701,152.52018768 -43.8713176100999,152.52436764 -43.8561785301,152.5284486 -43.8410245101,152.53243056 -43.8258575301,152.5363137 -43.8106775900999,152.54009766 -43.7954836101,152.5437837 -43.7802775701,152.54736966 -43.7650594701,152.55085662 -43.7498285900999,152.55424566 -43.7345865501,152.55753462 -43.7193335300999,152.56072566 -43.7040686300999,152.56381662 -43.6887934700999,152.56680966 -43.6735085901,152.56970262 -43.6582125501,152.57249766 -43.6429075100999,152.5751937 -43.6275934701,152.57779056 -43.6122695301,152.5802886 -43.5969374901,152.58268764 -43.5815975300999,152.58498768 -43.5662485701,152.58718872 -43.5508925901,152.58929166 -43.5355295901,152.5912956 -43.5201584901,152.59795362 -43.5061724901,152.60452362 -43.4921645301,152.6110047 -43.4781346101,152.61739758 -43.4640845301,152.62370262 -43.4500124900999,152.62991856 -43.4359204701,152.63604558 -43.4218075700999,152.64236466 -43.4070115701,152.64858762 -43.3921945101,152.65471266 -43.3773554901,152.6607396 -43.3624964901,152.6666697 -43.3476166100999,152.6725017 -43.3327154901,152.67823668 -43.3177954701,152.68387356 -43.3028554701,152.6894127 -43.2878954901,152.69485356 -43.2729175100999,152.70019758 -43.2579206301,152.7054426 -43.2429055701,152.7105906 -43.2278735901,152.7156396 -43.2128225301,152.72059158 -43.1977545500999,152.72544456 -43.1826705501,152.73019962 -43.1675685501,152.73485658 -43.1524516100999,152.73941562 -43.1373184701,152.74387656 -43.1221694901,152.74823868 -43.1070055701,152.7525036 -43.0918265301,152.75666862 -43.0766325500999,152.76073662 -43.0614245301,152.76470562 -43.0462035501,152.7685767 -43.0309685301,152.77234968 -43.0157194701,152.77602366 -43.0004585301,152.77959972 -42.9851855301,152.7830766 -42.9698995701,152.78645556 -42.9546015500999,152.7897366 -42.9392925501,152.79291864 -42.9239725701,152.79600258 -42.9086416100999,152.7989886 -42.8932994900999,152.80187562 -42.8779474701,152.80466472 -42.8625864501,152.80735464 -42.8472155301,152.80994664 -42.8318356101,152.81244072 -42.8164465101,152.8148367 -42.8010485901,152.81713368 -42.7856434701,152.81933256 -42.7702306100999,152.8214337 -42.7548094701,152.82343656 -42.7393814901,152.8253406 -42.7239475700999,152.82714672 -42.7085064501,152.82885564 -42.6930595701,152.83046556 -42.6776065701,152.83197756 -42.6621474501,152.83339164 -42.6466845501,152.83470762 -42.6312166101,152.83592658 -42.6157445301,152.83704672 -42.6002675900999,152.83806966 -42.5847875901,152.83899468 -42.5693034501,152.8398216 -42.5538175101,152.8405506 -42.5383276101,152.84118258 -42.5228364501,152.84171772 -42.5073425901,152.84215458 -42.4918465701,152.8424937 -42.4763494700999,152.8427367 -42.4608514701,152.8428807 -42.4453534701,152.84292858 -42.4298545701,152.84288862 -42.4155515901,152.8427646 -42.4012486101,152.84255958 -42.3869454501,152.84227068 -42.3726444501,152.8418997 -42.3583434501,152.84144664 -42.3440435300999,152.84186064 -42.3290236101,152.84218266 -42.3140026101,152.84241468 -42.2989805300999,152.84255472 -42.2839575501,152.84260368 -42.2689345700999,152.84256264 -42.2539105101,152.84242962 -42.2388875300999,152.8422057 -42.2238654501,152.8418916 -42.2088435501,152.8414857 -42.1938225501,152.84098962 -42.1788035301,152.84040372 -42.1637864901,152.83972566 -42.1487716101,152.83935162 -42.1340335700999,152.83889064 -42.1192966100999,152.83834272 -42.1045614500999,152.83770768 -42.0898275501,152.83698462 -42.0750965301,152.8361757 -42.0603674901,152.83527966 -42.0456425900999,152.83429668 -42.0309194901,152.83322766 -42.0161994501,152.83207062 -42.0014835501,152.83082862 -41.9867716101,152.8294986 -41.9720634501,152.82808362 -41.9573605101,152.8265817 -41.9426615301,152.82499356 -41.9279684901,152.82331866 -41.9132804901,152.82155862 -41.8985975301,152.81971272 -41.8839205100999,152.8179786 -41.8707135501,152.81617464 -41.8575125300999,152.81430066 -41.8443154701,152.81235756 -41.8311256101,152.8103457 -41.8179406100999,152.80826472 -41.8047615501,152.80593858 -41.7905165301,152.80353072 -41.7762796101,152.80104366 -41.7620506100999,152.7984747 -41.7478295301,152.79582564 -41.7336165501,152.79309666 -41.7194125701,152.79028758 -41.7052165101,152.78739768 -41.6910305300999,152.78442768 -41.6768535501,152.78137866 -41.6626855700999,152.77824864 -41.6485274900999,152.7798726 -41.6333956101,152.78140566 -41.6182576101,152.78284458 -41.6031145701,152.7841926 -41.5879664900999,152.78544756 -41.5728144501,152.78660964 -41.5576575500999,152.78768064 -41.5424975901,152.78865858 -41.5273334900999,152.78954472 -41.5121665101,152.7903387 -41.4969964701,152.79103962 -41.4818235500999,152.79164964 -41.4666484701,152.79216768 -41.4514715901,152.79259266 -41.4362925501,152.79292656 -41.4211126101,152.79316866 -41.4059315901,152.7933186 -41.3907505701,152.79337656 -41.3755684701,152.79334362 -41.3603854701,152.7932187 -41.3452044501,152.7930027 -41.3300225300999,152.79269472 -41.3148425901,152.79229566 -41.2996624701,152.7918057 -41.2844845101,152.79122358 -41.2693085301,152.79055056 -41.2541345300999,152.78978664 -41.2389635901,152.78893164 -41.2237944501,152.78798556 -41.2086285501,152.78694858 -41.1934666101,152.7858207 -41.1783075501,152.78979168 -41.1632775501,152.79367068 -41.1482345900999,152.79745572 -41.1331775901,152.8011477 -41.1181085301,152.80474662 -41.1030256101,152.80825266 -41.0879304501,152.81166456 -41.0728225101,152.81498466 -41.0577035901,152.81821062 -41.0425735100999,152.82134262 -41.0274315500999,152.82438264 -41.0122786100999,152.8273296 -40.9971155901,152.8301826 -40.9819424900999,152.83294272 -40.9667594901,152.8356087 -40.9515665901,152.8381827 -40.9363645101,152.84066256 -40.9211536101,152.84305062 -40.9059335301,152.84534472 -40.8907066100999,152.84754468 -40.8754705100999,152.84965266 -40.8602275701,152.85166758 -40.8449765300999,152.85358872 -40.8297195500999,152.85541662 -40.8144555501,152.85715272 -40.7991856101,152.85879468 -40.7839095500999,152.86034358 -40.7686275501,152.86180068 -40.7533396101,152.86316364 -40.7380475301,152.86443462 -40.7227514901,152.86561164 -40.7074495101,152.86669668 -40.6921444701,152.86768866 -40.6768354700999,152.86858758 -40.6615235900999,152.8693947 -40.6462084701,152.87010858 -40.6308904700999,152.87072958 -40.6155704901,152.8712586 -40.6002485300999,152.87169456 -40.5849245901,152.87203872 -40.5695984901,152.87229072 -40.5542714901,152.87244966 -40.5389444901,152.87251662 -40.5236165901,152.8724907 -40.5082895900999,152.8723737 -40.4929615100999,152.87216364 -40.4776345101,152.87186268 -40.4623075101,152.87146866 -40.4469824901,152.87098356 -40.4316594501,152.87040666 -40.4163374900999,152.8697376 -40.4010175101,152.86897656 -40.3857005901,152.86812462 -40.3703865501,152.8671816 -40.3550744900999,152.86617558 -40.3401724701,152.8650837 -40.3252726101,152.8639056 -40.3103776101,152.86264056 -40.2954854901,152.86128966 -40.2805985900999,152.85985272 -40.2657165501,152.85832866 -40.2508395501,152.85671964 -40.2359675901,152.85502368 -40.2211004901,152.85324258 -40.2062405901,152.85137562 -40.1913864501,152.84942262 -40.1765386101,152.84738358 -40.1616976101,152.84525958 -40.1468634500999,152.84305062 -40.1320364901,152.84075562 -40.1172174501,152.83837566 -40.1024065101,152.83591056 -40.0876034900999,152.83383372 -40.0755586101,152.83336068 -40.0728094701,152.83072566 -40.0580244500999,152.82800568 -40.0432475301,152.82520056 -40.0284805101,152.82231156 -40.0137235701,152.83672866 -40.0030254501,152.85107664 -39.9922745901,152.8653546 -39.9814715301,152.87956362 -39.9706164501,152.8937037 -39.9597084501,152.90777268 -39.9487495101,152.92177164 -39.9377385501,152.93570058 -39.9266764701,152.9495577 -39.9155634501,152.96334462 -39.9043994900999,152.97705864 -39.8931845900999,152.99070156 -39.8819194700999,153.00427266 -39.8706055701,153.01777158 -39.8592405501,153.0311976 -39.8478274701,153.04455072 -39.8363634501,153.05783058 -39.8248524501,153.07103772 -39.8132915901,153.08416962 -39.8016824901,153.09722862 -39.7900255101,153.11021364 -39.7783204701,153.1231236 -39.7665684501,153.13595868 -39.7547685500999,153.1487187 -39.7429214901,153.16140366 -39.7310285300999,153.17401266 -39.7190885900999,153.1865466 -39.7071025701,153.19900368 -39.6950704701,153.21138462 -39.6829924701,153.2236896 -39.6708694701,153.23591772 -39.6587025501,153.24806862 -39.6464895501,153.26014158 -39.6342324501,153.27213768 -39.6219305301,153.28405656 -39.6095855901,153.2958966 -39.5971965500999,153.3076587 -39.5847644901,153.3193416 -39.5722885101,153.33094656 -39.5597705901,153.34247268 -39.5472105501,153.3539196 -39.5346074901,153.36528768 -39.5219624901,153.37657566 -39.5092764501,153.38778372 -39.4965495501,153.39891168 -39.4837805301,153.40996062 -39.4709715500999,153.42092766 -39.4581215301,153.4318146 -39.4452315500999,153.44284068 -39.4327004901,153.45378972 -39.4201285701,153.46466064 -39.4075184901,153.47545362 -39.3948684501,153.48616866 -39.3821795301,153.49680468 -39.3694515501,153.50736366 -39.3566855901,153.51784272 -39.3438814701,153.52824366 -39.3310404500999,153.53856558 -39.3181605500999,153.54892872 -39.3050934500999,153.55921068 -39.2919874701,153.56941056 -39.2788445901,153.57952962 -39.2656644501,153.5895666 -39.2524475901,153.5995206 -39.2391934701,153.6093936 -39.2259046100999,153.6191847 -39.2125784901,153.62889156 -39.1992165500999,153.6385176 -39.1858195100999,153.64805958 -39.1723875500999,153.65751858 -39.1589204901,153.66689568 -39.1454185100999,153.67618764 -39.1318835900999,153.6853977 -39.1183135700999,153.69452262 -39.1047106101,153.70356456 -39.0910745301,153.71252262 -39.0774055100999,153.72139662 -39.0637035501,153.73018566 -39.0499695501,153.73889064 -39.0362026101,153.74751066 -39.0224045301,153.75604662 -39.0085754900999,153.76449762 -38.9947145901,153.77286366 -38.9808234500999,153.7784946 -38.9713576100999,153.78114456 -38.9669015301,153.7893396 -38.9529495501,153.79744968 -38.9389675100999,153.80547462 -38.9249564901,153.8134137 -38.9109155901,153.82126656 -38.8968466100999,153.82903356 -38.8827484701,153.83124864 -38.8786955900999,153.83680956 -38.8684595301,153.84232656 -38.8582096100999,153.84779766 -38.8479445701,153.85510368 -38.8340845701,153.86232672 -38.8201984700999,153.86946768 -38.8062875301,153.87652566 -38.7923504901,153.88350156 -38.7783886101,153.89039466 -38.7644015300999,153.8972046 -38.7503905101,153.90393066 -38.7363544700999,153.91057464 -38.7222955701,153.91713564 -38.7082125501,153.92361258 -38.6941055900999,153.93000672 -38.6799764901,153.93631662 -38.6658245300999,153.94254372 -38.6516495301,153.94868658 -38.6374525701,153.95474556 -38.6232345501,153.96072156 -38.6089945700999,153.9666297 -38.5946955501,153.9724536 -38.5803765501,153.97819272 -38.5660364901,153.9838476 -38.5516755501,153.9894177 -38.5372955300999,153.99490266 -38.5228944501,154.00030356 -38.5084744700999,154.00561968 -38.4940355900999,154.01085156 -38.4795774501,154.01599758 -38.4651005901,154.02105864 -38.4506055501,154.02603564 -38.4360925101,154.0309266 -38.4215614701,154.0357326 -38.4070135101,154.04045364 -38.3924475501,154.04508972 -38.3778655701,154.04964066 -38.3632675700999,154.05410556 -38.3486524700999,154.05848568 -38.3340215301,154.06278066 -38.3193754700999,154.0669896 -38.3047135701,154.07111358 -38.2900374501,154.07461458 -38.2773184700999,154.07805258 -38.2645885100999,154.08142668 -38.2518484701,154.0847367 -38.2390974501,154.0883907 -38.2247154501,154.09196262 -38.2103195900999,154.09545462 -38.1959125701,154.09886364 -38.1814925900999,154.10219166 -38.1670614501,154.1054376 -38.1526175300999,154.10860272 -38.1381635300999,154.11168558 -38.1236985501,154.11468762 -38.1092225901,154.11915864 -38.0942924900999,154.12354272 -38.0793465501,154.12783662 -38.0643835101,154.13204268 -38.0494066101,154.13616072 -38.0344135101,154.14018858 -38.0194045700999,154.1441286 -38.0043824900999,154.1479797 -37.9893454700999,154.1517417 -37.9742945900999,154.1554146 -37.9592294901,154.15899966 -37.9441516101,154.16249472 -37.9290605900999,154.16590068 -37.9139566101,154.16921862 -37.8988405700999,154.17244656 -37.8837124701,154.17558666 -37.8685724901,154.17863658 -37.8534204500999,154.18159866 -37.8382585101,154.18447056 -37.8230855901,154.18725462 -37.8079015101,154.18994868 -37.7927086101,154.19255364 -37.7775045501,154.19507058 -37.7622925701,154.1974977 -37.7470705100999,154.19983572 -37.7318394500999,154.20208464 -37.7166004700999,154.20424464 -37.7013535701,154.20631572 -37.6860985700999,154.2082977 -37.6708354701,154.21019166 -37.6555666101,154.21199562 -37.6402894701,154.21371066 -37.6250065701,154.2153366 -37.6097175501,154.21687362 -37.5944225901,154.21832262 -37.5791225900999,154.21968162 -37.5638164701,154.2209526 -37.5485054901,154.22213466 -37.5331905501,154.22322762 -37.5178714701,154.22423166 -37.5025486101,154.2251466 -37.4872216101,154.2259737 -37.4718915501,154.2267117 -37.4565586101,154.22736168 -37.4412235100999,154.22792256 -37.4258855301,154.2283947 -37.4105455700999,154.2287736 -37.3954435701,154.22906772 -37.3803395900999,154.22927562 -37.3652345301,154.22939766 -37.3501294700999,154.22943456 -37.3350235100999,154.2293856 -37.3199175501,154.22925168 -37.3048115901,154.22903172 -37.2897065300999,154.22872662 -37.2746025501,154.22833656 -37.2594994700999,154.22786064 -37.2443985501,154.22729958 -37.2292996101,154.22665356 -37.2142015701,154.22592258 -37.1991065901,154.22510664 -37.1840144901,154.22420556 -37.1689254500999,154.2232197 -37.1538394701,154.2274416 -37.1405205501,154.23159456 -37.1271884901,154.23597072 -37.1128865901,154.2402666 -37.0985695701,154.24448166 -37.0842376101,154.24861662 -37.0698905301,154.25267058 -37.0555295901,154.25664462 -37.0411535301,154.26053766 -37.0267625300999,154.2643497 -37.0123594701,154.26808164 -36.9979414700999,154.27173366 -36.9835115901,154.2753036 -36.9690674900999,154.27879362 -36.9546115100999,154.28220264 -36.9401434700999,154.28553156 -36.9256624701,154.28877966 -36.9111704901,154.29194658 -36.8966664500999,154.29503268 -36.8821525101,154.2980376 -36.8676265101,154.30790556 -36.8545984701,154.31769666 -36.8415335301,154.32740964 -36.8284315101,154.33704468 -36.8152934900999,154.3466016 -36.8021194701,154.35608166 -36.7889094501,154.36548162 -36.7756645101,154.37480472 -36.7623844701,154.38404772 -36.7490695101,154.3932126 -36.7357194501,154.40229864 -36.7223355501,154.41130566 -36.7089174500999,154.42023258 -36.6954665901,154.42908066 -36.6819815301,154.43784972 -36.6684635300999,154.44653868 -36.6549125901,154.45514772 -36.6413296101,154.46367558 -36.6277145901,154.4721246 -36.6140664500999,154.48049262 -36.6003886101,154.48878072 -36.5866785501,154.49698764 -36.5729375301,154.50511464 -36.5591655500999,154.51315956 -36.5453635100999,154.52112456 -36.5315315900999,154.52900856 -36.5176696101,154.53681066 -36.5037784700999,154.54453158 -36.4898574501,154.5521706 -36.4759085301,154.55972772 -36.4619304500999,154.56720366 -36.4479244701,154.5745977 -36.4338905901,154.58190966 -36.4198295300999,154.58913972 -36.4057405701,154.5962877 -36.3916246100999,154.6033527 -36.3774825501,154.61033562 -36.3633134901,154.61723556 -36.3491185101,154.6240536 -36.3348976101,154.63078866 -36.3206515101,154.63744056 -36.3063805700999,154.64400966 -36.2920846100999,154.6504956 -36.2777634500999,154.6569936 -36.2633585900999,154.66340862 -36.2489296100999,154.66973868 -36.2344765101,154.67598468 -36.2199994701,154.68214572 -36.2054995701,154.6883046 -36.1908315501,154.69437762 -36.1761404901,154.7003637 -36.1614254901,154.70626356 -36.1466885300999,154.71207756 -36.1319296101,154.71780462 -36.1171485500999,154.72344456 -36.1023455301,154.72899756 -36.0875205501,154.7344647 -36.0726755901,154.73984472 -36.0578095701,154.74513762 -36.0429224901,154.75034358 -36.0280165101,154.7554617 -36.0130894701,154.7604936 -35.9981446101,154.76543766 -35.9831795901,154.7702946 -35.9681965701,154.7750646 -35.9531944701,154.77967062 -35.9384234900999,154.78419258 -35.9236345100999,154.78862958 -35.9088295101,154.7929827 -35.8940075900999,154.79725068 -35.8791694701,154.8014337 -35.8643165900999,154.80553158 -35.8494466101,154.80954468 -35.8345615101,154.81351566 -35.8195075700999,154.81739862 -35.8044376101,154.82119572 -35.7893525301,154.8249057 -35.7742535901,154.82852856 -35.7591415101,154.83206556 -35.7440144901,154.83551472 -35.7288755901,154.83843558 -35.7157724900999,154.84129164 -35.7026605701,154.84408272 -35.6895385701,154.84680756 -35.6764084701,154.84946868 -35.6632684701,154.85206464 -35.6501205501,154.8549207 -35.6354775500999,154.85769558 -35.6208244700999,154.86039072 -35.6061614901,154.86300468 -35.5914895101,154.86553872 -35.5768065500999,154.86799158 -35.5621154901,154.87036362 -35.5474156101,154.87265466 -35.5327065501,154.8748656 -35.5179895701,154.87699572 -35.5032644901,154.87904556 -35.4885325700999,154.88101458 -35.4737925501,154.88889372 -35.4599665700999,154.89669258 -35.4461105300999,154.9044117 -35.4322255101,154.91205072 -35.4183106101,154.91960856 -35.4043665501,154.92708666 -35.3903945901,154.93448466 -35.3763945501,154.94180166 -35.3623655301,154.94903766 -35.3483095101,154.95619356 -35.3342264900999,154.96326756 -35.3201155701,154.97026056 -35.3059785501,154.97717256 -35.2918145300999,154.98400356 -35.2776245901,154.99075266 -35.2634085501,154.99742058 -35.2491674900999,155.0040066 -35.2349015901,155.01051162 -35.2206095901,155.01693366 -35.2062934700999,155.0232747 -35.1919535901,155.02953366 -35.1775895901,155.03570964 -35.1632014701,155.04146964 -35.1500305101,155.0471616 -35.1368404701,155.05278372 -35.1236295501,155.05833672 -35.1103995501,155.0638197 -35.0971504701,155.06923464 -35.0838824900999,155.0819637 -35.0728105101,155.0946276 -35.0616895701,155.1072276 -35.0505205701,155.11976172 -35.0393026101,155.1322296 -35.0280374901,155.1446316 -35.0167235901,155.15531856 -35.0068874901,155.16595566 -34.9970164701,155.17654272 -34.9871105301,155.18707956 -34.9771685901,155.19756564 -34.9671915501,155.21142366 -34.9568064501,155.22521958 -34.9463686100999,155.23895358 -34.9358755101,155.25262458 -34.9253294901,155.26623366 -34.9147294701,155.27977866 -34.9040776101,155.29326156 -34.8933715700999,155.30668056 -34.8826135100999,155.32003458 -34.8718025301,155.3333256 -34.8609395300999,155.34655164 -34.8500255901,155.3597136 -34.8390585501,155.37280968 -34.8280414700999,155.3858406 -34.8169725501,155.39880672 -34.8058525101,155.4117057 -34.7946815300999,155.4245397 -34.7834615901,155.43730656 -34.7721905300999,155.45000772 -34.7608696101,155.46264066 -34.7494995501,155.47520772 -34.7380794500999,155.48770656 -34.7266105700999,155.50013772 -34.7150934500999,155.51250156 -34.7035275501,155.52479664 -34.6919125100999,155.5370226 -34.6802504900999,155.5491807 -34.6685405901,155.56126968 -34.6567835301,155.57328972 -34.6449785901,155.58523956 -34.6331264901,155.59712064 -34.6212284901,155.6089317 -34.6092835100999,155.62067166 -34.5972935301,155.6323416 -34.5852565700999,155.64387258 -34.5732475100999,155.65533372 -34.5611934501,155.66672358 -34.5490945701,155.6780436 -34.5369524901,155.6892927 -34.5247655900999,155.7004707 -34.5125354900999,155.71157868 -34.5002614700999,155.72261358 -34.4879455101,155.73357756 -34.4755854501,155.74447062 -34.4631834501,155.7552906 -34.4507395101,155.76603858 -34.4382534500999,155.77671366 -34.4257254500999,155.78731656 -34.4131565901,155.79784656 -34.4005456101,155.80830366 -34.3878944901,155.81868768 -34.3752025100999,155.82899772 -34.3624705700999,155.83923468 -34.3496995701,155.84939766 -34.3368875300999,155.85948558 -34.3240366101,155.8695006 -34.3111464501,155.87944056 -34.2982175901,155.88930564 -34.2852494901,155.89909656 -34.2722435901,155.9088126 -34.2592006100999,155.91845268 -34.2461185701,155.9280177 -34.2329994501,155.93750766 -34.2198445101,155.94692166 -34.2066515901,155.9562597 -34.1934224900999,155.9655216 -34.1801575701,155.97470664 -34.1668564701,155.98381662 -34.1535195501,155.99284866 -34.1401475301,156.00180564 -34.1267405901,156.01068468 -34.1132985501,156.01948668 -34.0998224901,156.02821164 -34.0863125901,156.03685956 -34.0727684901,156.04542972 -34.0591905500999,156.05392158 -34.0455794901,156.06233658 -34.0319365701,156.07067364 -34.0182594501,156.07893168 -34.0045515500999,156.08711268 -33.9908105301,156.09521466 -33.9770385501,156.10272966 -33.9641154501,156.11017572 -33.9511655301,156.11755356 -33.9381895101,156.12486156 -33.9251855900999,156.13210062 -33.9121555701,156.13926966 -33.8990985501,156.14636958 -33.8860165101,156.15339966 -33.8729074701,156.16036062 -33.8597744900999,156.17171772 -33.8717866100999,156.18314268 -33.8837544501,156.19463658 -33.8956774700999,156.2061996 -33.9075554901,156.21783066 -33.9193885101,156.22952958 -33.9311754500999,156.24129564 -33.9429164901,156.25313064 -33.9546114501,156.2650317 -33.9662605101,156.27700062 -33.9778615101,156.2890356 -33.9894166101,156.30113862 -34.0009245500999,156.31330662 -34.0123846101,156.32554158 -34.0237975101,156.3378417 -34.0351614501,156.3502086 -34.0464785901,156.36263958 -34.0577455101,156.37513662 -34.0689645501,156.38769756 -34.0801344501,156.40032366 -34.0912555700999,156.41301456 -34.1023264701,156.42576864 -34.1133485900999,156.4385877 -34.1243195901,156.45146868 -34.1352405500999,156.46441464 -34.1461114700999,156.4774227 -34.1569314501,156.49049358 -34.1677004901,156.50362656 -34.1784175101,156.51682164 -34.1890835901,156.53007972 -34.1996985501,156.54339864 -34.2102605901,156.55677858 -34.2207706101,156.57022062 -34.2312286101,156.5837226 -34.2416335100999,156.5971407 -34.2518755100999,156.61061658 -34.2620654901,156.62415168 -34.2722025501,156.63774456 -34.2822875900999,156.65139666 -34.2923206101,156.66510564 -34.3022994501,156.67887258 -34.3122255501,156.69269658 -34.3220985501,156.70657872 -34.3319175500999,156.72051558 -34.3416834501,156.73451058 -34.3513944501,156.74856066 -34.3610514501,156.76266672 -34.3706544500999,156.77682768 -34.3802025501,156.79104462 -34.3896955701,156.80531664 -34.3991326100999,156.81964266 -34.4085154701,156.83402268 -34.4178425301,156.84866262 -34.4275234701,156.86335962 -34.4371455501,156.8781126 -34.4467094901,156.89292372 -34.4562154701,156.90779064 -34.4656615101,156.92271462 -34.4750495901,156.93769368 -34.4843775501,156.95272764 -34.4936455701,156.96781758 -34.5028545501,156.9829617 -34.5120035901,156.99816072 -34.5210916100999,157.01341356 -34.5301205901,157.02872058 -34.5390874701,157.0440807 -34.5479945901,157.05949356 -34.5568396101,157.0749597 -34.5656245101,157.09047858 -34.5743474901,157.10604858 -34.5830085500999,157.1216706 -34.5916075101,157.13734464 -34.6001445501,157.15306872 -34.6086194901,157.16884356 -34.6170316101,157.18466862 -34.6253814501,157.20054372 -34.6336684701,157.21646868 -34.6418924901,157.2324426 -34.6500526101,157.24846458 -34.6581495500999,157.2645357 -34.6661825901,157.2806547 -34.6741515501,157.29682158 -34.6820575101,157.31303562 -34.6898975900999,157.32929664 -34.6976744901,157.34560464 -34.7053865900999,157.36195764 -34.7130335301,157.37835762 -34.7206154900999,157.3948026 -34.7281324701,157.41129258 -34.7355844701,157.42782756 -34.7429705901,157.44440664 -34.7502904701,157.46102964 -34.7575444701,157.47769566 -34.7647334901,157.4944056 -34.7718555500999,157.51115766 -34.7789104701,157.52795256 -34.7859005901,157.54478868 -34.7928224900999,157.56166764 -34.7996776100999,157.57858656 -34.8064664901,157.5955467 -34.8131875100999,157.6125477 -34.8198415701,157.62958866 -34.8264275901,157.64666868 -34.8329455701,157.66378758 -34.8393965901,157.68094572 -34.8457795701,157.69814256 -34.8520936101,157.71537756 -34.8583396101,157.73264964 -34.8645175701,157.74995862 -34.8706265901,157.76730468 -34.8766664900999,157.78468764 -34.8826374501,157.8021057 -34.8885394701,157.81955958 -34.8943725501,157.83704856 -34.9001365100999,157.85457264 -34.9058304501,157.87213056 -34.9114545501,157.88972268 -34.9170095301,157.90734756 -34.9224944901,157.92500664 -34.9279096101,157.94269758 -34.9332534500999,157.96042056 -34.9385285300999,157.97817666 -34.9437325101,157.99596264 -34.9488655701,158.01378066 -34.9539286101,158.03162856 -34.9589205501,158.0495067 -34.9638415700999,158.06741364 -34.9686914901,158.08535064 -34.9734704900999,158.10331662 -34.9781774900999,158.12131158 -34.9828135701,158.13933372 -34.9873785500999,158.15738358 -34.9918715301,158.17545972 -34.9962935901,158.19356358 -35.0006425701,158.21169372 -35.0049204500999,158.2298487 -35.0091256101,158.2480296 -35.0132594901,158.2662357 -35.0173204701,158.28446664 -35.0213094501,158.30272062 -35.0252266101,158.32099872 -35.0290705101,158.33930058 -35.0328415100999,158.35762458 -35.0365405101,158.37597072 -35.0401666101,158.39433864 -35.0437194501,158.41256364 -35.0471695100999,158.43080862 -35.0505475700999,158.44907358 -35.0538534501,158.4673587 -35.0570875101,158.48566362 -35.0602504701,158.50398672 -35.0633405301,158.52232872 -35.0663585900999,158.54068872 -35.0693044700999,158.55906564 -35.0721785301,158.57746056 -35.0749795101,158.59587168 -35.0777084901,158.61429864 -35.0803654701,158.6327427 -35.0829495501,158.6512017 -35.0854605500999,158.66967456 -35.0878995501,158.68816362 -35.0902654701,158.70666564 -35.0925584901,158.7251817 -35.0947795101,158.74371072 -35.0969265501,158.7622527 -35.0990015901,158.78080764 -35.1010024701,158.79937356 -35.1029315301,158.81795172 -35.1047866101,158.8365396 -35.1065695101,158.85513972 -35.1082786101,158.87374866 -35.1099144501,158.89236768 -35.1114775701,158.9109966 -35.1129665300999,158.92963362 -35.1143834901,158.94827856 -35.1157255700999,158.96693268 -35.1169954700999,158.98559256 -35.1181915701,159.00426072 -35.1193145901,159.02293572 -35.1203634501,159.04161558 -35.1213385100999,159.06030264 -35.1222415701,159.07899366 -35.1230695701,159.09769062 -35.1238244901,159.11639064 -35.1245065100999,159.1350957 -35.1251145500999,159.15380364 -35.1256486101,159.17251464 -35.1261095901,159.1912287 -35.1264965901,159.20994366 -35.1268096101,159.22866168 -35.1270495501,159.2473797 -35.1272155100999,159.2660997 -35.1273085701,159.2848197 -35.1273265701,159.30353862 -35.1272714900999,159.32225772 -35.1271435101,159.34097556 -35.1269415501,159.35969268 -35.1266656100999,159.37840764 -35.1263165901,159.39711972 -35.1258935901,159.41582964 -35.1253966101,159.4345356 -35.1248265501,159.45323868 -35.1241825101,159.47193762 -35.1234644901,159.4906317 -35.1226735701,159.50932056 -35.1218095701,159.52800366 -35.1208705101,159.54668172 -35.1198594501,159.56535258 -35.1187745901,159.58401768 -35.1176155701,159.60267468 -35.1163834701,159.62132466 -35.1150784700999,159.63996564 -35.1136994901,159.6585987 -35.1122476100999,159.67722258 -35.1107224701,159.69583656 -35.1091235301,159.71444172 -35.1074515101,159.73303572 -35.1057065901,159.75161856 -35.1038885900999,159.7701906 -35.1019975101,159.78875166 -35.1000324501,159.80729958 -35.0979955701,159.82583562 -35.0958856101,159.8443587 -35.0937025700999,159.86286756 -35.0914464501,159.88136364 -35.0891176101,159.8998446 -35.0867155101,159.9183117 -35.0842415901,159.9367626 -35.0816945901,159.95519856 -35.0790755900999,159.9736176 -35.0763835101,159.9920217 -35.0736185301,160.01040762 -35.0707824501,160.02877662 -35.0678725701,160.04712762 -35.0648915901,160.06545972 -35.0618386101,160.08377472 -35.0587125501,160.10206956 -35.0555155700999,160.1203446 -35.0522455101,160.13860056 -35.0489045300999,160.15683564 -35.0454904700999,160.17518466 -35.0419804700999,160.19351262 -35.0383975701,160.21181862 -35.0347415901,160.23010158 -35.0310136101,160.24836258 -35.0272125501,160.26659964 -35.0233394901,160.28481258 -35.0193946101,160.30300158 -35.0153764701,160.32116664 -35.0112875901,160.3393056 -35.0071254500999,160.35741972 -35.0028925701,160.37550756 -34.9985875101,160.39356966 -34.9942115301,160.41160458 -34.9897624700999,160.42961268 -34.9852435701,160.4475927 -34.9806524901,160.46554464 -34.9759904901,160.4834676 -34.9712575701,160.50136266 -34.9664524701,160.51922766 -34.9615775300999,160.5370626 -34.9566325700999,160.55486766 -34.9516156100999,160.57264266 -34.9465284501,160.59038562 -34.9413714501,160.60809762 -34.9361435301,160.62577866 -34.9308464901,160.64342568 -34.9254785301,160.66104156 -34.9200405500999,160.6786236 -34.9145334501,160.69617162 -34.9089565101,160.71368562 -34.9033104500999,160.73116668 -34.8975945500999,160.74861156 -34.8918095300999,160.7660217 -34.8859555701,160.78339656 -34.8800324901,160.8007347 -34.8740404701,160.81803666 -34.8679805901,160.83530172 -34.8618515901,160.8525306 -34.8556545501,160.8697206 -34.8493885700999,160.88687262 -34.8430554501,160.90398666 -34.8366535700999,160.92106164 -34.8301845501,160.93809756 -34.8236485700999,160.9550937 -34.8170445501,160.9720497 -34.8103724901,160.98896556 -34.8036345501,161.00584056 -34.7968285700999,161.0226747 -34.7899565301,161.03946672 -34.7830175300999,161.05621662 -34.7760124700999,161.07292458 -34.7689404500999,161.0895897 -34.7618025501,161.10621162 -34.7545985901,161.12278962 -34.7473294700999,161.1393237 -34.7399944700999,161.15581368 -34.7325935901,161.17225974 -34.7251284500999,161.18865972 -34.7175976101,161.2050147 -34.7100016101,161.2213236 -34.7023404501,161.2375866 -34.6946155700999,161.25380262 -34.6868266101,161.26997166 -34.6789735701,161.28609372 -34.6710555500999,161.30216862 -34.6630745300999,161.31819474 -34.6550296100999,161.33417262 -34.6469215101,161.35010172 -34.6387495101,161.36598168 -34.6305155900999,161.3818116 -34.6222175900999,161.39759274 -34.6138574900999,161.41332258 -34.6054354701,161.42900274 -34.5969504501,161.4446316 -34.5884045901,161.4602097 -34.5797955501,161.4757356 -34.5711254900999,161.49120966 -34.5623945901,161.50663062 -34.5536015901,161.52199974 -34.5447475701,161.53731558 -34.5358336100999,161.55257868 -34.5268584501,161.5677876 -34.5178224501,161.58294162 -34.5087275900999,161.59804272 -34.4995715301,161.61308874 -34.4903566100999,161.6280786 -34.4810815701,161.64301374 -34.4717474901,161.65789362 -34.4623545500999,161.67271662 -34.4529025701,161.68748364 -34.4433924501,161.7021936 -34.4338234700999,161.71684758 -34.4241965301,161.7314427 -34.4145114500999,161.74598058 -34.4047685900999,161.76046158 -34.3949684901,161.77488264 -34.3851106101,161.78924574 -34.3751965701,161.8035507 -34.3652245700999,161.81779464 -34.3551974901,161.83198062 -34.3451124501,161.84610558 -34.3349725100999,161.8601706 -34.3247765901,161.87417568 -34.3145245100999,161.88811866 -34.3042175301,161.9020017 -34.2938554701,161.91582264 -34.2834385101,161.92958274 -34.2729675501,161.94327966 -34.2624415101,161.95691466 -34.2518605701,161.97048666 -34.2412265301,161.98399674 -34.2305395701,161.99744274 -34.2197986100999,162.01082574 -34.2090034701,162.02414466 -34.1981564901,162.03739968 -34.1872565901,162.05059062 -34.1763044900999,162.06371658 -34.1653005501,162.07677774 -34.1542445901,162.08977266 -34.1431366101,162.10270368 -34.1319775100999,162.11556774 -34.1207674701,162.12836664 -34.1095064901,162.14109858 -34.0981945701,162.15376464 -34.0868326101,162.16636374 -34.0754215100999,162.1788957 -34.0639594701,162.1913607 -34.0524484700999,162.20375658 -34.0408876101,162.21608658 -34.0292785101,162.22834674 -34.0176204501,162.24053958 -34.0059136101,162.25266366 -33.9941585301,162.26471862 -33.9823564700999,162.27670464 -33.9705065301,162.28862064 -33.9586085301,162.3004677 -33.9466635501,162.31224474 -33.9346724901,162.32395158 -33.9226344501,162.33558768 -33.9105505101,162.34715358 -33.8984204900999,162.35864874 -33.8862445701,162.3700737 -33.8740234700999,162.38142558 -33.8617575501,162.39270672 -33.8494455500999,162.40391658 -33.8370905300999,162.41505372 -33.8246905101,162.42611958 -33.8122465700999,162.43711272 -33.7997585301,162.4480326 -33.7872274700999,162.45887958 -33.7746535701,162.46965366 -33.7620375500999,162.48035466 -33.7493776100999,162.49098258 -33.7366755501,162.5015367 -33.7239324500999,162.51201666 -33.7111475900999,162.52242174 -33.6983206100999,162.53275374 -33.6854525900999,162.5430096 -33.6725446101,162.55319274 -33.6595955900999,162.56329974 -33.6466066101,162.57333168 -33.6335765901,162.58328766 -33.6205085901,162.59316966 -33.6074004500999,162.60297462 -33.5942536101,162.6127047 -33.5810675300999,162.62235774 -33.5678434701,162.63193572 -33.5545816100999,162.64143558 -33.5412824900999,162.65086074 -33.5279444901,162.6602076 -33.5145704901,162.6694776 -33.5011585101,162.67867164 -33.4877105300999,162.68778666 -33.4742265501,162.69682572 -33.4607065701,162.70578666 -33.4471505901,162.71466858 -33.4335595101,162.72347364 -33.4199335101,162.73220058 -33.4062725901,162.74084868 -33.3925765701,162.74941866 -33.3788476101,162.7579107 -33.3650844500999,162.76632264 -33.3512874501,162.77465664 -33.3374575101,162.78291072 -33.3235944501,162.79108668 -33.3096995301,162.79918164 -33.2957725701,162.80719866 -33.2818124900999,162.81513468 -33.2678214501,162.82299168 -33.2537994501,162.83076858 -33.2397464900999,162.83846574 -33.2256625700999,162.84608262 -33.2115475101,162.85361868 -33.1974034701,162.86107464 -33.1832295501,162.8684496 -33.1690264701,162.87574374 -33.1547935101,162.8829576 -33.1405324701,162.89008974 -33.1262435301,162.8971416 -33.1119256101,162.90411174 -33.0975805100999,162.9110007 -33.0832075101,162.91780866 -33.0688075100999,162.92453472 -33.0543805101,162.9311787 -33.0399275901,162.93774168 -33.0254474901,162.94422168 -33.0109425501,162.95062068 -32.9964115101,162.9569367 -32.9818554501,162.96317172 -32.9672745501,162.96932358 -32.9526695301,162.97539372 -32.9380394900999,162.9813807 -32.9233855101,162.9872847 -32.9087084901,162.99310662 -32.8940086101,162.99884664 -32.8792855101,163.0045026 -32.8645395500999,163.01007666 -32.8497714501,163.01556666 -32.8349815701,163.02097458 -32.8201695501,163.02629862 -32.8053364701,163.03153968 -32.7904825101,163.03669758 -32.7756085701,163.0417716 -32.7607135701,163.04676264 -32.7457994901,163.0516707 -32.7308645301,163.0564947 -32.7159115701,163.06123464 -32.7009384501,163.0658907 -32.6859475101,163.0704636 -32.6709385701,163.07495262 -32.6559105500999,163.07935758 -32.6408656101,163.08367866 -32.6258035700999,163.08791568 -32.6107246101,163.09206864 -32.5956285501,163.09613772 -32.5805155700999,163.10012274 -32.5653874700999,163.1040237 -32.5502435301,163.1078397 -32.5350844701,163.11157272 -32.5199104701,163.1152197 -32.5047215301,163.1187837 -32.4895185501,163.12226274 -32.4743015300999,163.12565772 -32.4590715501,163.12896774 -32.4438275301,163.1321937 -32.4285705501,163.1353356 -32.4133006101,163.13839164 -32.3980186101,163.1413647 -32.3827245501,163.14425262 -32.3674195101,163.14705558 -32.3521025901,163.14977358 -32.3367745101,163.1524077 -32.3214365301,163.15495758 -32.3060875700999,163.1574216 -32.2907296101,163.15980174 -32.2753615700999,163.16209764 -32.2599834501,163.16430768 -32.2445975901,163.16643366 -32.2292025501,163.16847558 -32.2137985100999,163.17043164 -32.1983874501,163.17230364 -32.1829684701,163.17409068 -32.1675424700999,163.17579366 -32.1521094500999,163.17741168 -32.1366695901,163.17894474 -32.1212236101,163.18039374 -32.1057715101,163.1817576 -32.0903134701,163.18303668 -32.0748514701,163.1842317 -32.0593835300999,163.18534158 -32.0439114501,163.18636668 -32.0284345101,163.18730772 -32.0129536100999,163.1881647 -31.9974694701,163.18893672 -31.9819824501,163.1896236 -31.9664925501,163.1902266 -31.9509995901,163.19074572 -31.9355044701,163.1911797 -31.9200064701,163.19152962 -31.9045084701,163.19179566 -31.8890084901,163.19197674 -31.8735076100999,163.19207358 -31.8580065501,163.19208672 -31.8425045901,163.19201472 -31.8270024500999,163.19185974 -31.8115015701,163.19161962 -31.7960015901,163.1912967 -31.7805016100999,163.19088864 -31.7650036101,163.1903967 -31.7495075901,163.1898216 -31.7340135500999,163.18916262 -31.7185214900999,163.18841958 -31.7030324901,163.18759266 -31.6875465501,163.18668258 -31.6720645701,163.18568862 -31.6565854701,163.1846106 -31.6411105101,163.1834496 -31.6256405901,163.18220562 -31.6101744501,163.18087758 -31.5947135301,163.17946674 -31.5792585501,163.17797274 -31.5638095101,163.17639558 -31.5483655100999,163.17473562 -31.5329285301,163.1729916 -31.5174985701,163.17116568 -31.5020745501,163.1692566 -31.4866584501,163.16726472 -31.4712504501,163.16519058 -31.4558505501,163.16303364 -31.4404585701,163.16079462 -31.4250745101,163.15847262 -31.4097005301,163.15606872 -31.3943355500999,163.15358274 -31.3789804701,163.1510136 -31.3636345701,163.14836364 -31.3482994701,163.1456316 -31.3329744501,163.14281658 -31.3176614901,163.13992074 -31.3023586101,163.13694372 -31.2870685100999,163.13388462 -31.2717895700999,163.13074362 -31.2565225101,163.1275227 -31.2412685901,163.1242197 -31.2260274501,163.12083462 -31.2107994501,163.11736962 -31.1955854901,163.11382362 -31.1803844901,163.1101977 -31.1651975300999,163.1064897 -31.1500255101,163.1027016 -31.1348686100999,163.09883358 -31.1197264701,163.09488474 -31.1046005301,163.09085562 -31.0894895301,163.08674658 -31.0743945501,163.08255762 -31.0593155901,163.07828964 -31.0442544501,163.07394066 -31.0292095100999,163.06951266 -31.0141814901,163.06500564 -30.9991725501,163.0604187 -30.9841805300999,163.05575274 -30.9692065100999,163.05100866 -30.9542515700999,163.04618466 -30.9393155301,163.04128164 -30.9243994701,163.03630068 -30.9095015901,163.0312416 -30.8946245901,163.02610368 -30.8797675701,163.02088674 -30.8649305300999,163.01559258 -30.8501145501,163.01022066 -30.8353194501,163.00477062 -30.8205455900999,162.99924372 -30.8057935101,162.9936387 -30.7910635701,162.98795664 -30.7763564901,162.98219664 -30.7616715501,162.97636068 -30.7470085700999,162.9704466 -30.7323706101,162.96445764 -30.7177546100999,162.95839074 -30.7031634501,162.9522477 -30.6885955101,162.9460287 -30.6740525901,162.93973374 -30.6595345101,162.93336264 -30.6450414500999,162.92691558 -30.6305735901,162.92039364 -30.6161314701,162.91379574 -30.6017154501,162.9071226 -30.5873255301,162.91490364 -30.5465355501,162.91762362 -30.5315185100999,162.92026368 -30.5164904901,162.92282472 -30.5014525701,162.92530458 -30.4864034901,162.9277056 -30.4713455901,162.9300267 -30.4562785101,162.9322686 -30.4412026100999,162.93442968 -30.4261175301,162.93651174 -30.4110234500999,162.9385137 -30.3959214501,162.94043664 -30.3808126100999,162.94227858 -30.3656954901,162.94404168 -30.3505715301,162.94572468 -30.3354405500999,162.94732758 -30.3203025501,162.94885074 -30.3051595100999,162.9502947 -30.2900094501,162.95165874 -30.2748545301,162.95296068 -30.2595964701,162.9541827 -30.2443344500999,162.95532372 -30.2290664900999,162.95638374 -30.2137945701,162.95736258 -30.1985185100999,162.95826168 -30.1832384901,162.9590796 -30.1679555900999,162.9598167 -30.1526694501,162.9604737 -30.1373795300999,162.9610497 -30.1220885300999,162.9615447 -30.1067944700999,162.9619596 -30.0914986101,162.96229368 -30.0762014901,162.96254658 -30.0609025701,162.96272064 -30.0456034701,162.96281262 -30.0303034701,162.96282468 -30.0150034700999,162.96275664 -29.9997034701,162.9626076 -29.9844034700999,162.96237972 -29.9691045500999,162.96206958 -29.9538065301,162.9616806 -29.9385104901,162.96121062 -29.9232155300999,162.96066072 -29.9079225500999,162.9603306 -29.8995784701,162.95972562 -29.8849775901,162.95904774 -29.8703795901,162.9582966 -29.8557835701,162.95747274 -29.8411906101,162.95657562 -29.8266005300999,162.9556056 -29.8120145901,162.95456358 -29.7974315300999,162.95344866 -29.7828535101,162.95226066 -29.7682794501,162.95100066 -29.7537106100999,162.94966758 -29.7391455501,162.95060574 -29.7272025501,162.95149368 -29.7152564901,162.95254164 -29.7003094701,162.95351274 -29.6853584901,162.95440662 -29.6704035500999,162.95522364 -29.6554455501,162.9559647 -29.6404844900999,162.95662764 -29.6255205501,162.95721372 -29.6105535501,162.95772366 -29.5955845701,162.95815674 -29.5806145101,162.9585126 -29.5656415700999,162.9587916 -29.5506684500999,162.95899464 -29.5356935301,162.95911974 -29.5207186101,162.9591696 -29.5057435100999,162.9591417 -29.4907675101,162.95903766 -29.4757915101,162.95885658 -29.4608174900999,162.95859972 -29.4458434701,162.95826672 -29.4308705301,162.9578556 -29.4158984901,162.9573696 -29.4009286101,162.95680674 -29.3859605301,162.95616774 -29.3709955101,162.9554517 -29.3560324700999,162.9546597 -29.3410724900999,162.95379174 -29.3261164701,162.95284764 -29.3111626101,162.95183874 -29.2962415101,162.9507546 -29.2813245501,162.9495936 -29.2664115501,162.94835772 -29.2515035901,162.9470457 -29.2366004901,162.94565862 -29.2217026101,162.94419558 -29.2068104901,162.94265766 -29.1919235901,162.94104468 -29.1770435300999,162.93935664 -29.1621695901,162.93759264 -29.1473015900999,162.93575358 -29.1324415101,162.93383964 -29.1175884501,162.93185064 -29.1027434901,162.92978658 -29.0879055500999,162.92764764 -29.0730766100999,162.92543364 -29.0582555900999,162.92331162 -29.0444704701,162.92112372 -29.0306934500999,162.91887174 -29.0169245301,162.9165546 -29.0031646101,162.91417374 -28.9894126100999,162.91172862 -28.9756685300999,162.9092187 -28.9619345301,162.9066447 -28.9482095300999,162.90400662 -28.9344935301,162.9017856 -28.9231645101,162.89952066 -28.9118435901,162.89649558 -28.8970276100999,162.89339472 -28.8822235100999,162.8902206 -28.8674325501,162.8869707 -28.8526534701,162.88364664 -28.8378875300999,162.8802477 -28.8231345500999,162.8767746 -28.8083956100999,162.8732277 -28.7936694501,162.86960574 -28.7789585901,162.8659107 -28.7642615900999,162.8621406 -28.7495784501,162.8582976 -28.7349115100999,162.85438062 -28.7202595101,162.85032072 -28.7053614500999,162.84618468 -28.6904804901,162.84197268 -28.6756164501,162.83768364 -28.6607686101,162.83331972 -28.6459385900999,162.82888074 -28.6311265700999,162.82436562 -28.6163314701,162.81977472 -28.6015554501,162.81510858 -28.5867976101,162.81036666 -28.5720584901,162.80555058 -28.5573384501,162.80065962 -28.5426374901,162.7956936 -28.5279575901,162.7906527 -28.5132965901,162.78553764 -28.4986555701,162.7803477 -28.4840356101,162.7750836 -28.4694376101,162.7697457 -28.4548595900999,162.76433364 -28.4403035300999,162.7588467 -28.4257685301,162.75327462 -28.4111975301,162.74762766 -28.3966495701,162.74190672 -28.3821235701,162.73611162 -28.3676215101,162.73024362 -28.3531424901,162.72430074 -28.3386875901,162.71828568 -28.3242555501,162.71219664 -28.3098496101,162.7060347 -28.2954665301,162.69979968 -28.2811095500999,162.69349266 -28.2667775900999,162.68711166 -28.2524704700999,162.68065866 -28.2381894500999,162.67413366 -28.2239345301,162.66753666 -28.2097066100999,162.66086658 -28.1955046100999,162.65412558 -28.1813296101,162.64731258 -28.1671825101,162.64042866 -28.1530615100999,162.63347274 -28.1389694901,162.62644572 -28.1249055501,162.6193476 -28.1108695100999,162.61217874 -28.0968624501,162.60493968 -28.0828845501,162.5976297 -28.0689354501,162.59024862 -28.0550165900999,162.58288968 -28.0412685501,162.57546072 -28.0275494900999,162.56796372 -28.0138604901,162.56039868 -28.0002024501,162.5527656 -27.9865735700999,162.54506574 -27.9729754701,162.53729658 -27.9594076101,162.52946064 -27.9458716101,162.52155774 -27.9323665701,162.5135877 -27.9188924901,162.50554962 -27.9054515300999,162.49744566 -27.8920415301,162.48927564 -27.8786644700999,162.48103866 -27.8653205301,162.47273562 -27.8520084501,162.4643667 -27.8387305701,162.45593172 -27.8254854501,162.44743068 -27.8122734501,162.43886466 -27.7990965501,162.43023366 -27.7859534901,162.42153768 -27.7728444501,162.41277672 -27.7597705101,162.4039506 -27.7467325701,162.39505968 -27.7337284700999,162.38610558 -27.7207605501,162.37708668 -27.7078275501,162.3680046 -27.6949314500999,162.35885862 -27.6820715301,162.34964874 -27.6692485101,162.34037568 -27.6564614901,162.33103962 -27.6437115501,162.32164074 -27.6309995900999,162.3127167 -27.6190105100999,162.3037356 -27.6070554500999,162.2946996 -27.5951345900999,162.28540962 -27.5829795501,162.27606258 -27.5708615900999,162.26665758 -27.5587794501,162.2571957 -27.5467334901,162.24767658 -27.5347235301,162.23809968 -27.5227504701,162.22846662 -27.5108144901,162.21877668 -27.4989155901,162.20902968 -27.4870544901,162.1992267 -27.4752304701,162.18936864 -27.4634446100999,162.1794537 -27.4516965501,162.16948368 -27.4399864700999,162.15945768 -27.4283154501,162.1493766 -27.4166834901,162.13923972 -27.4050895100999,162.12865662 -27.3930885500999,162.11801466 -27.3811295301,162.10731366 -27.3692135301,162.09655362 -27.3573405500999,162.08573562 -27.3455105901,162.0829377 -27.3424784901,162.07485966 -27.3337234700999,162.06392664 -27.3219804501,162.05293458 -27.3102815301,162.04188672 -27.2986265301,162.03078072 -27.2870154500999,162.01961766 -27.2754484701,162.00839862 -27.2639264900999,161.9971227 -27.2524505900999,161.98579062 -27.2410186101,161.97440274 -27.2296325301,161.9629596 -27.2182914500999,161.95146066 -27.2069964501,161.93990574 -27.1957475301,161.92829664 -27.1845455901,161.91663264 -27.1733895501,161.90491464 -27.1622804901,161.89314174 -27.1512185901,161.88131574 -27.1402034901,161.86943466 -27.1292355500999,161.85750066 -27.1183154900999,161.84551374 -27.1074425901,161.83347372 -27.0966184701,161.8213806 -27.0858425901,161.80923564 -27.0751154901,161.79703758 -27.0644364501,161.78478768 -27.0538065500999,161.77248666 -27.0432256101,161.76013362 -27.0326934501,161.74763658 -27.0221305100999,161.7350886 -27.0116176101,161.7224886 -27.0011545700999,161.70983766 -26.9907435500999,161.6971356 -26.9803834700999,161.68438368 -26.9700745100999,161.67158064 -26.9598164901,161.65872666 -26.9496104901,161.64582372 -26.9394565101,161.63287074 -26.9293545501,161.61986862 -26.9193055100999,161.60681772 -26.9093084901,161.59371768 -26.8993634900999,161.58056868 -26.8894724901,161.56737162 -26.8796335101,161.55412668 -26.8698485301,161.54125974 -26.8604064501,161.5283487 -26.8510154900999,161.51539374 -26.8416754701,161.5023936 -26.8323854901,161.48935062 -26.8231455501,161.47626372 -26.8139574501,161.46313272 -26.8048204701,161.4499596 -26.7957355100999,161.43674274 -26.7867005900999,161.42348358 -26.7777185901,161.41018158 -26.7687875301,161.39683872 -26.7599095701,161.38345266 -26.7510825501,161.37002574 -26.7423084501,161.3565576 -26.7335874500999,161.3430477 -26.7249184701,161.32949766 -26.7163025900999,161.31590658 -26.7077385500999,161.3017377 -26.6988515900999,161.28752562 -26.6900215100999,161.27326962 -26.6812495700999,161.25897168 -26.6725364901,161.24463072 -26.6638804701,161.23024674 -26.6552834901,161.21582064 -26.6467444701,161.20135368 -26.6382644901,161.1868446 -26.6298435501,161.17229466 -26.6214814701,161.15770368 -26.6131795100999,161.14307166 -26.6049355100999,161.12839968 -26.5967514501,161.11368774 -26.5886275101,161.09893674 -26.5805635100999,161.0841456 -26.5725594501,161.06931558 -26.5646155101,161.05444668 -26.5567325901,161.03953962 -26.5489096100999,161.02459368 -26.5411474700999,161.00961066 -26.5334454501,160.99458966 -26.5258055300999,160.97953158 -26.5182264501,160.9644366 -26.5107085701,160.94930562 -26.5032515301,160.93413756 -26.4958565900999,160.91893368 -26.4885235701,160.90369362 -26.4812524701,160.88841864 -26.4740434701,160.87310766 -26.4668965701,160.85776266 -26.4598115901,160.84238364 -26.4527896101,160.8269697 -26.4458295501,160.81152264 -26.4389324900999,160.79604156 -26.4320986101,160.78052772 -26.4253275501,160.76497968 -26.4186194901,160.74940068 -26.4119755100999,160.73378856 -26.4053945301,160.71814458 -26.3988765500999,160.70246856 -26.3924224700999,160.68676158 -26.3860324701,160.67102364 -26.3797065501,160.65525456 -26.3734445301,160.6394556 -26.3672474901,160.62362658 -26.3611134500999,160.60776768 -26.3550445701,160.59187962 -26.3490395901,160.57596168 -26.3431004900999,160.56001566 -26.3372254701,160.54404066 -26.3314156100999,160.5280527 -26.3256525501,160.51203756 -26.3199555500999,160.49599362 -26.3143235301,160.47992358 -26.3087575701,160.46382564 -26.3032565901,160.4477016 -26.2978205900999,160.43155164 -26.2924504701,160.41537558 -26.2871465901,160.3991736 -26.2819075100999,160.3829457 -26.2767355701,160.36669368 -26.2716286101,160.35041664 -26.2665886101,160.33411458 -26.2616135901,160.31778966 -26.2567055301,160.30144062 -26.2518646100999,160.28506872 -26.2470895701,160.2686727 -26.2423814901,160.25225472 -26.2377394700999,160.2358137 -26.2331654901,160.21935072 -26.2286575701,160.20286668 -26.2242166100999,160.18867458 -26.2204495701,160.17446772 -26.2167314901,160.16024466 -26.2130645301,160.14600666 -26.2094465301,160.13175372 -26.2058774901,160.11748566 -26.2023595701,160.10088066 -26.1983225301,160.08425658 -26.1943535300999,160.0676136 -26.1904514900999,160.05095172 -26.1866174901,160.03427166 -26.1828515300999,160.0175736 -26.1791536100999,160.00085664 -26.1755224701,159.98412366 -26.1719604501,159.96737268 -26.1684664701,159.9506046 -26.1650405301,159.93382068 -26.1616824501,159.91702056 -26.1583925901,159.9002046 -26.1551714900999,159.8833737 -26.1520186101,159.86652768 -26.1489335900999,159.84966564 -26.1459175101,159.83279064 -26.1429705501,159.8159007 -26.1400914500999,159.79899672 -26.1372814700999,159.7820796 -26.1345406100999,159.7651497 -26.1318685101,159.74820666 -26.1292644501,159.73125066 -26.1267305901,159.71428368 -26.1242645900999,159.69730464 -26.1218686101,159.68031372 -26.1195404901,159.66331164 -26.1172825700999,159.64629858 -26.1150925101,159.62927562 -26.1129724701,159.61224258 -26.1109215500999,159.59519964 -26.1089404701,159.5781477 -26.1070285101,159.56108568 -26.1051854901,159.54401556 -26.1034124901,159.52693662 -26.1017086101,159.50984958 -26.1000734900999,159.4927557 -26.0985085701,159.47565372 -26.0970125901,159.45854472 -26.0955875301,159.4414287 -26.0942305100999,159.42430656 -26.0929435100999,159.40717866 -26.0917265300999,159.39004464 -26.0905795700999,159.37290558 -26.0895015501,159.35576058 -26.0884935501,159.33861162 -26.0875555701,159.3214587 -26.0866865300999,159.30430056 -26.0858885901,159.28852464 -26.0852116101,159.27274458 -26.0845934901,159.25696272 -26.0840345900999,159.24117762 -26.0835345501,159.22539162 -26.0830935500999,159.20960256 -26.0827115901,159.1938126 -26.0823884901,159.17802156 -26.0821246101,159.16222962 -26.0819195901,159.1464357 -26.0817736100999,159.13064268 -26.0816875701,159.11484858 -26.0816594901,159.09772068 -26.0816926100999,159.08059368 -26.0817955700999,159.06346668 -26.0819665701,159.04634058 -26.0822084901,159.02921664 -26.0825195301,159.0120936 -26.0828995101,158.99497272 -26.0833495101,158.97785472 -26.0838684500999,158.9607387 -26.0844565100999,158.94362664 -26.0851145900999,158.92651656 -26.0858416101,158.9094117 -26.0866384700999,158.89230972 -26.0875044501,158.8752126 -26.0884395501,158.85811962 -26.0894444901,158.84103168 -26.0905185500999,158.82394968 -26.0916615501,158.80687362 -26.0928734900999,158.7898026 -26.0941554500999,158.7727386 -26.0955065301,158.75568072 -26.0969265500999,158.73863058 -26.0984155101,158.72158764 -26.0999735901,158.70455172 -26.1016006100999,158.68752462 -26.1032974701,158.67050562 -26.1050625501,158.65349472 -26.1068965701,158.63649372 -26.1088006100999,158.61950172 -26.1107725100999,158.60251962 -26.1128135301,158.5855476 -26.1149234901,158.56858566 -26.1171025700999,158.55163362 -26.1193495100999,158.53469364 -26.1216655701,158.51776464 -26.1240505701,158.5008477 -26.1265036100999,158.48434062 -26.1289625901,158.4678456 -26.1314874501,158.45136264 -26.1340765701,158.43489156 -26.1367315700999,158.41843362 -26.1394515500999,158.40198864 -26.1422365101,158.38555662 -26.1450875300999,158.36913864 -26.1480024501,158.35273362 -26.1509825301,158.33634372 -26.1540275901,158.31996858 -26.1571374501,158.30360766 -26.1603124700999,158.28726168 -26.1635515701,158.27093172 -26.1668554700999,158.2546176 -26.1702245301,158.23831968 -26.1736574901,158.2220376 -26.1771556100999,158.20577172 -26.1807174501,158.18952366 -26.1843435500999,158.1732927 -26.1880344501,158.15707956 -26.1917896101,158.1408837 -26.1956084901,158.12470656 -26.1994925301,158.1085476 -26.2034395701,158.09240772 -26.2074505101,158.07628656 -26.2115255301,158.06018466 -26.2156644501,158.04410256 -26.2198665500999,158.0280417 -26.2241325501,158.01199956 -26.2284624500999,157.99597866 -26.2328555301,157.97997864 -26.2373116101,157.96400058 -26.2418305101,157.9478886 -26.2463935100999,157.93179966 -26.2510205901,157.9157316 -26.2557115701,157.89968766 -26.2604675301,157.88366568 -26.2652864901,157.86766656 -26.2701706101,157.85169156 -26.2751175501,157.8357396 -26.2801285700999,157.81981266 -26.2852025901,157.80390966 -26.2903405101,157.7880306 -26.2955425101,157.77217764 -26.3008066100999,157.7563497 -26.3061346100999,157.74054768 -26.3115256101,157.72477068 -26.3169796101,157.70902068 -26.3224966101,157.6932966 -26.3280766100999,157.6775997 -26.3337185301,157.66192962 -26.3394234501,157.64628672 -26.3451915501,157.63067262 -26.3510204900999,157.6150857 -26.3569135101,157.59952758 -26.3628675501,157.58399772 -26.3688835101,157.56849666 -26.3749615701,157.55302458 -26.3811015501,157.53758256 -26.3873034500999,157.5221706 -26.3935665501,157.5067887 -26.3998904901,157.49143668 -26.4062765301,157.47611562 -26.4127235900999,157.4608257 -26.4192314901,157.44556764 -26.4258005900999,157.43027268 -26.4324535701,157.41500958 -26.4391664901,157.3997796 -26.4459415101,157.38458166 -26.4527764700999,157.36941756 -26.4596735301,157.35428658 -26.4666305301,157.33918962 -26.4736474700999,157.3241256 -26.4807256101,157.30909668 -26.4878635100999,157.2941016 -26.4950626101,157.27914162 -26.5023205700999,157.26421764 -26.5096384701,157.25071656 -26.5161384501,157.23724464 -26.5226864901,157.2238017 -26.5292825901,157.21038666 -26.5359285501,157.1970006 -26.5426214901,157.1836446 -26.5493635701,157.18118364 -26.5342064901,157.17864564 -26.5190605701,157.17603258 -26.5039254500999,157.17334158 -26.4888005901,157.1705757 -26.4736876100999,157.16773368 -26.4585856101,157.1648157 -26.4434954901,157.16182068 -26.4284176100999,157.1587506 -26.4133516101,157.15560564 -26.3982985701,157.15238364 -26.3832584900999,157.14908658 -26.3682315500999,157.14571464 -26.3532184701,157.14226656 -26.3382196101,157.1387436 -26.3232346101,157.13514558 -26.3082645501,157.13147268 -26.2933085300999,157.12772364 -26.2783685301,157.1429277 -26.2717425501,157.15809558 -26.2650524900999,157.17322872 -26.2582985301,157.18832568 -26.2514804900999,157.20338556 -26.2445994501,157.21840962 -26.2376555901,157.2333957 -26.2306485501,157.2483456 -26.2235776101,157.2632577 -26.2164445700999,157.27813056 -26.2092485301,157.2929667 -26.2019905701,157.3077636 -26.1946696101,157.32252162 -26.1872865501,157.33724058 -26.1798415700999,157.35191958 -26.1723355701,157.36655862 -26.1647665701,157.3811586 -26.1571374501,157.39571664 -26.1494455101,157.41023472 -26.1416934501,157.42471158 -26.1338805501,157.43914668 -26.1260064501,157.45353966 -26.1180715101,157.46727672 -26.1104215101,157.48097472 -26.1027155301,157.49463366 -26.0949555501,157.50825372 -26.0871404901,157.52183364 -26.0792705301,157.53537468 -26.0713454900999,157.54887468 -26.0633664500999,157.56233364 -26.0553325101,157.57575264 -26.0472454700999,157.5891306 -26.0391035301,157.6024677 -26.0309084900999,157.61576268 -26.0226594501,157.62963168 -26.0139735501,157.6434546 -26.0052286100999,157.65723162 -25.9964255301,157.67096166 -25.9875644901,157.68464472 -25.9786465701,157.6982817 -25.9696705100999,157.71186972 -25.9606364900999,157.72541058 -25.9515464901,157.73890356 -25.9423985301,157.75234866 -25.9331945901,157.76574462 -25.9239335900999,157.77909162 -25.9146166101,157.79238966 -25.9052434701,157.80563766 -25.8958145300999,157.8188367 -25.8863296101,157.83198462 -25.8767896101,157.84508358 -25.8671934501,157.8581316 -25.8575425701,157.87112868 -25.8478375101,157.88407464 -25.8380764701,157.89696858 -25.8282625100999,157.90981158 -25.8183934701,157.92260256 -25.8084706101,157.93534062 -25.7984944701,157.94802666 -25.7884636101,157.96066068 -25.7783805501,157.9732407 -25.7682434901,157.9857687 -25.7580545901,157.99824162 -25.7478125901,158.01066162 -25.7375174901,158.02302762 -25.7271714501,158.03533872 -25.7167724901,158.04759564 -25.7063215100999,158.05979766 -25.6958195900999,158.0719446 -25.6852665500999,158.08403664 -25.6746625701,158.0960727 -25.6640074701,158.1080526 -25.6533016101,158.1199776 -25.6425455300999,158.13184572 -25.6317395901,158.1436566 -25.6208836101,158.15541168 -25.6099775901,158.16710862 -25.5990226101,158.17879062 -25.5879835701,158.19041466 -25.5768955701,158.20198056 -25.5657575301,158.21348868 -25.5545716100999,158.22493668 -25.5433365501,158.23632762 -25.5320536100999,158.24765772 -25.5207226100999,158.25892968 -25.5093435500999,158.2701417 -25.4979175101,158.28129468 -25.4864444901,158.29238664 -25.4749235900999,158.30341866 -25.4633566101,158.31438966 -25.4517424700999,158.32530072 -25.4400826100999,158.33615058 -25.4283764900999,158.3469396 -25.4166244700999,158.3576676 -25.4048274501,158.36833368 -25.3929856101,158.37893766 -25.3810975100999,158.38947972 -25.3691654901,158.39995968 -25.3571895500999,158.41037664 -25.3451686101,158.42073168 -25.3331044701,158.43102372 -25.3209965901,158.44125258 -25.3088446100999,158.45141862 -25.2966505101,158.46152058 -25.2844124901,158.47155972 -25.2721325301,158.4815346 -25.2598104501,158.49144468 -25.2474466101,158.50129158 -25.2350404700999,158.51107368 -25.2225925701,158.52079062 -25.2101045300999,158.53044366 -25.1975745501,158.54003172 -25.1850046101,158.54936166 -25.1726555300999,158.55862968 -25.1602675701,158.5678347 -25.1478425300999,158.57697672 -25.1353786101,158.58605556 -25.1228765301,158.59507068 -25.1103384501,158.59518768 -25.1101744700999,158.54735466 -24.9983665701,159.41032116 -25.2389107401,160.27328766 -25.4794549100999,161.13625416 -25.7199990801,161.99922066 -25.9605432501)),((179.99999262 -24.9533117901,179.99999262 -25.7141231301,179.99999262 -26.4749344700999,179.99761374 -26.4477834501,179.99612064 -26.4486904701,179.99462664 -26.4495985700999,179.99313264 -26.4505064901,179.99163864 -26.4514145900999,179.99014374 -26.4523216100999,179.98864974 -26.4532295301,179.98715574 -26.4541374501,179.98566174 -26.4550455501,179.98416774 -26.4559525701,179.98267374 -26.4568604901,179.98117974 -26.4577685901,179.97968466 -26.4586756101,179.97819066 -26.4595835301,179.97669666 -26.4604914500999,179.97520266 -26.4613984700999,179.97370758 -26.4623065700999,179.97221358 -26.4632135900999,179.97071958 -26.4641206100999,179.96922468 -26.4650285300999,179.96773068 -26.4659364501,179.9662356 -26.4668434701,179.9647416 -26.4677515701,179.9632467 -26.4686585900999,179.9617527 -26.4695656100999,179.96025762 -26.4704735301,179.95876362 -26.4713805500999,179.95726872 -26.4722884701,179.95577364 -26.4731954901,179.95427964 -26.4741016100999,179.95278474 -26.4750106101,179.95128966 -26.4759174501,179.94979566 -26.4768244701,179.94830058 -26.4777325701,179.94680568 -26.4786395901,179.9453106 -26.4795466101,179.9438166 -26.4804534501,179.9423217 -26.4813615501,179.94082662 -26.4822685701,179.93933172 -26.4831755901,179.93783664 -26.4840826101,179.93634174 -26.4849894501,179.93484666 -26.4858964701,179.93335158 -26.4868034901,179.93185668 -26.4877096101,179.9303616 -26.4886186101,179.9288667 -26.4895254501,179.92737162 -26.4904324701,179.92587672 -26.4913394901,179.92438164 -26.4922456101,179.92288566 -26.4931535301,179.92139058 -26.4940594701,179.91989568 -26.4949664901,179.9184006 -26.4958726101,179.9169057 -26.4967805301,179.91540972 -26.4976875501,179.91391464 -26.4985945701,179.91241974 -26.4995015901,179.91092358 -26.5004086101,179.90942868 -26.5013145501,179.9079327 -26.5022215701,179.90643762 -26.5031285901,179.90494272 -26.5040356101,179.90344674 -26.5049424501,179.90195166 -26.5058485701,179.90045568 -26.5067555901,179.8989597 -26.5076626101,179.89746462 -26.5085685501,179.89596864 -26.5094755701,179.89447374 -26.5103825901,179.89297758 -26.5112885301,179.8914816 -26.5121955501,179.88998562 -26.5131014901,179.88849072 -26.5140076101,179.88699474 -26.5149155300999,179.88549858 -26.5158214700999,179.8840026 -26.5167284900999,179.8825077 -26.5176346100999,179.88101172 -26.5185414500999,179.87951574 -26.5194475700999,179.87801958 -26.5203545900999,179.8765236 -26.5212605300999,179.87502762 -26.5221664700999,179.87353164 -26.5230734900999,179.87203566 -26.5239796101,179.87053968 -26.5248855501,179.8690437 -26.5257925701,179.86754772 -26.5266976100999,179.86605174 -26.5276044501,179.86455468 -26.5285114701,179.8630587 -26.5294175901,179.86156272 -26.5303235301,179.86006674 -26.5312305501,179.85857058 -26.5321364901,179.8570737 -26.5330426100999,179.85557772 -26.5339485500999,179.85408174 -26.5348544900999,179.85258468 -26.5357606101,179.8510887 -26.5366674501,179.84959272 -26.5375735701,179.84809566 -26.5384786101,179.84659968 -26.5393854501,179.84510262 -26.5402915701,179.84360664 -26.5411966100999,179.84210958 -26.5421034501,179.8406136 -26.5430095701,179.83911672 -26.5439146100999,179.83762074 -26.5448214501,179.83612368 -26.5457275700999,179.83462662 -26.5466326101,179.83313064 -26.5475394500999,179.83163358 -26.5484455701,179.8301367 -26.5493506101,179.82864072 -26.5502565501,179.82714366 -26.5511624901,179.8256466 -26.5520686100999,179.82414972 -26.5529745500999,179.82265266 -26.5538804901,179.82115668 -26.5547855300999,179.81965962 -26.5556914700999,179.81816274 -26.5565975901,179.81666568 -26.5575035301,179.81516862 -26.5584085701,179.81367174 -26.5593136100999,179.81217468 -26.5602204501,179.81067762 -26.5611254900999,179.80918074 -26.5620316101,179.80768368 -26.5629375500999,179.80618662 -26.5638425901,179.80468866 -26.5647485301,179.8031916 -26.5656535701,179.80169472 -26.5665586101,179.80019766 -26.5674654501,179.7987006 -26.5683704901,179.79720264 -26.5692766101,179.79570558 -26.5701814700999,179.7942087 -26.5710875901,179.79271074 -26.5719924501,179.79121368 -26.5728974901,179.78971662 -26.5738036101,179.78821866 -26.5747084701,179.7867216 -26.5756145900999,179.78522364 -26.5765194501,179.78372658 -26.5774244900999,179.78222862 -26.5783306101,179.78073174 -26.5792354701,179.7792336 -26.5801396100999,179.77773672 -26.5810455500999,179.77623858 -26.5819514900999,179.77474062 -26.5828565300999,179.77324374 -26.5837615701,179.7717456 -26.5846666101,179.77024764 -26.5855725501,179.76875058 -26.5864775901,179.76725262 -26.5873824501,179.76575466 -26.5882874901,179.7642567 -26.5891925301,179.76275874 -26.5900975701,179.76126168 -26.5910026101,179.75976372 -26.5919074701,179.75826558 -26.5928116100999,179.75676762 -26.5937175500999,179.75526966 -26.5946225901,179.7537717 -26.5955274501,179.75227374 -26.5964324901,179.7507756 -26.5973375301,179.74927764 -26.5982425701,179.74777968 -26.5991476101,179.74628172 -26.6000524701,179.74478268 -26.6009566101,179.74328472 -26.6018625501,179.74178658 -26.6027675900999,179.74028862 -26.6036724501,179.73879066 -26.6045765901,179.73729162 -26.6054814500999,179.73579366 -26.6063864901,179.7342957 -26.6072915301,179.73279666 -26.6081954900999,179.7312987 -26.6091005301,179.72980074 -26.6100055701,179.7283017 -26.6109106101,179.72680374 -26.6118145701,179.7253047 -26.6127196100999,179.72380674 -26.6136235701,179.7223077 -26.6145286101,179.72080974 -26.6154334701,179.7193107 -26.6163376100999,179.71781274 -26.6172424700999,179.7163137 -26.6181466101,179.71481466 -26.6190514701,179.7133167 -26.6199556101,179.71181766 -26.6208604701,179.71031862 -26.6217646101,179.70882066 -26.6226694700999,179.70732162 -26.6235736101,179.70582258 -26.6244784701,179.70432372 -26.6253826101,179.70282468 -26.6262874701,179.70132672 -26.6271916101,179.69982768 -26.6280955701,179.69832864 -26.6290006100999,179.6968296 -26.6299045700999,179.69533074 -26.6308085301,179.6938317 -26.6317135701,179.69233266 -26.6326175300999,179.69083362 -26.6335214901,179.68933458 -26.6344254501,179.68783572 -26.6353304901,179.6863356 -26.6362344501,179.68483674 -26.6371385900999,179.6833377 -26.6380425501,179.68183866 -26.6389456101,179.68033962 -26.6398504701,179.67884058 -26.6407546101,179.67734064 -26.6416594701,179.6758416 -26.6425636101,179.67434274 -26.6434675700999,179.67284262 -26.6443715300999,179.67134358 -26.6452754900999,179.66984472 -26.6461794501,179.6683446 -26.6470835900999,179.66684574 -26.6479875501,179.66534562 -26.6488906101,179.66384658 -26.6497954701,179.66234664 -26.6506996100999,179.6608476 -26.6516024900999,179.65934766 -26.6525064501,179.65784862 -26.6534105901,179.65634868 -26.6543145500999,179.65484874 -26.6552176101,179.6533497 -26.6561224701,179.65184958 -26.6570255300999,179.65034964 -26.6579294900999,179.6488497 -26.6588334501,179.64735066 -26.6597375901,179.64585072 -26.6606404701,179.6443506 -26.6615446101,179.64285066 -26.6624485701,179.64135072 -26.6633514501,179.6398506 -26.6642555901,179.63835174 -26.6651595501,179.63685162 -26.6660626100999,179.63535168 -26.6669665700999,179.63385174 -26.6678705300999,179.63235162 -26.6687735901,179.63085168 -26.6696775500999,179.62935174 -26.6705806101,179.62785072 -26.6714845701,179.6263506 -26.6723874501,179.62485066 -26.6732915901,179.1557946 -27.0754934900999,179.15512158 -27.0763115900999,179.15378364 -27.0774515301,178.76667672 -27.5449334901,178.47370458 -28.0642694901,178.34847174 -28.4336154501,178.28005968 -28.5142865900999,177.98152968 -29.0323555701,177.98130972 -29.0329906101,177.98047668 -29.0344275501,177.9799536 -29.0359336101,177.9793947 -29.0368985901,177.9327486 -29.1711316101,177.83214174 -29.3438315300999,177.81197688 -29.4010853901,177.63668172 -29.8987965500999,177.55357572 -30.4747085301,177.55359966 -30.4751236101,177.55354368 -30.4755064701,177.58724058 -31.0551395901,177.73881066 -31.6208506101,178.00565868 -32.1551134701,178.00655364 -32.1562775300999,178.00663464 -32.1564395300999,178.38231768 -32.6423804901,178.39294074 -32.6518945701,178.39716372 -32.6573224701,178.39723374 -32.6573854700999,178.3981377 -32.6585464701,178.87244058 -33.0805004901,179.43108462 -33.4247175501,179.4328227 -33.4254316101,179.4345597 -33.4261465701,179.4362967 -33.4268615301,179.4380346 -33.4275755900999,179.4397716 -33.4282894701,179.4415086 -33.4290046100999,179.44324668 -33.4297184901,179.44498368 -33.4304325501,179.44672158 -33.4311466101,179.44845858 -33.4318615701,179.45019666 -33.4325754501,179.45193366 -33.4332886101,179.45367174 -33.4340044700999,179.45540964 -33.4347185300999,179.45714664 -33.4354325900999,179.45888472 -33.4361464701,179.46062262 -33.4368605301,179.46235962 -33.4375745901,179.4640977 -33.4382884701,179.4658356 -33.4390025300999,179.46757368 -33.4397165901,179.46931068 -33.4404304701,179.47104858 -33.4411445301,179.47278666 -33.4418585901,179.47452474 -33.4425724701,179.47626264 -33.4432865301,179.47800072 -33.4440005901,179.47973862 -33.4447144700999,179.4814767 -33.4454285300999,179.4832146 -33.4461425901,179.48495268 -33.4468555701,179.48669058 -33.4475694501,179.48842866 -33.4482826101,179.49016674 -33.4489975700999,179.49190572 -33.4497105501,179.49364362 -33.4504246101,179.4953817 -33.4511384901,179.4971196 -33.4518514701,179.49885858 -33.4525655301,179.50059666 -33.4532795901,179.50233474 -33.4539925701,179.50407372 -33.4547064501,179.50581162 -33.4554196100999,179.5075506 -33.4561334901,179.50928868 -33.4568464701,179.51102658 -33.4575605301,179.51276574 -33.4582726101,179.51450364 -33.4589875701,179.51624262 -33.4597005501,179.5179816 -33.4604135301,179.51971968 -33.4611275900999,179.52145866 -33.4618405701,179.52319764 -33.4625535501,179.52493572 -33.4632676101,179.5266747 -33.4639805901,179.52841368 -33.4646935700999,179.53015266 -33.4654065500999,179.53189074 -33.4661206100999,179.53362972 -33.4668335901,179.5353687 -33.4675465701,179.53710768 -33.4682595501,179.53884666 -33.4689725301,179.54058564 -33.4696846101,179.54232462 -33.4703984901,179.5440636 -33.4711114701,179.54580258 -33.4718244500999,179.54754174 -33.4725376100999,179.54928072 -33.4732505901,179.5510197 -33.4739635701,179.55275868 -33.4746765501,179.55449766 -33.4753895301,179.55623772 -33.4761016101,179.5579767 -33.4768154901,179.55971568 -33.4775284700999,179.56145466 -33.4782414500999,179.56319472 -33.4789535300999,179.5649337 -33.4796656101,179.56667268 -33.4803794901,179.56841274 -33.4810924701,179.57015172 -33.4818045501,179.5718916 -33.4825175301,179.57363058 -33.4832296101,179.57536974 -33.4839425901,179.57710962 -33.4846555701,179.57884968 -33.4853685501,179.58058866 -33.4860804501,179.58232872 -33.4867936101,179.5840677 -33.4875046101,179.58580758 -33.4882184900999,179.58754764 -33.4889305701,179.58928662 -33.4896435501,179.59102668 -33.4903554500999,179.59276674 -33.4910686100999,179.59450662 -33.4917796101,179.59624668 -33.4924925901,179.59798566 -33.4932055700999,179.59972572 -33.4939174701,179.6014656 -33.4946295501,179.60320566 -33.4953425301,179.60494572 -33.4960546101,179.6066856 -33.4967656101,179.60842566 -33.4974794901,179.61016572 -33.4981915701,179.6119056 -33.4989034700999,179.61364566 -33.4996155501,179.61538572 -33.5003274501,179.61712668 -33.5010395301,179.61886674 -33.5017516101,179.62060662 -33.5024626101,179.62234668 -33.5031764900999,179.62408674 -33.5038885700999,179.6258277 -33.5046004700999,179.62756758 -33.5053125501,179.62930764 -33.5060244500999,179.6310486 -33.5067354500999,179.63278866 -33.5074475301,179.63452872 -33.5081596101,179.63626968 -33.5088706101,179.63800974 -33.5095835901,179.6397507 -33.5102954900999,179.64149058 -33.5110075700999,179.64323172 -33.5117185701,179.64497268 -33.5124304701,179.64671274 -33.5131425500999,179.6484537 -33.5138544500999,179.65019466 -33.5145654501,179.65193472 -33.5152775301,179.65367568 -33.5159896101,179.65541664 -33.5167006101,179.6571567 -33.5174116101,179.65889766 -33.5181226101,179.66063862 -33.5188355901,179.66237958 -33.5195474901,179.66412072 -33.5202584901,179.66586168 -33.5209705701,179.66760264 -33.5216815701,179.6693436 -33.5223934701,179.67108474 -33.5231044701,179.6728257 -33.5238154701,179.67456666 -33.5245275501,179.67630762 -33.5252385501,179.67804858 -33.5259495501,179.67978972 -33.5266614501,179.68153068 -33.5273724501,179.68327164 -33.5280834501,179.68501368 -33.5287955301,179.68675464 -33.5295065300999,179.6884956 -33.5302175301,179.69023674 -33.5309285301,179.6919786 -33.5316395300999,179.69371974 -33.5323516101,179.6954607 -33.5330626101,179.69720274 -33.5337736101,179.6989437 -33.5344846101,179.70068574 -33.5351956101,179.7024267 -33.5359066101,179.70416874 -33.5366176101,179.7059097 -33.5373286101,179.70765174 -33.5380396101,179.7093936 -33.5387506101,179.71113474 -33.5394616100999,179.7128766 -33.5401726100999,179.71461774 -33.5408825301,179.7163596 -33.5415935300999,179.71810164 -33.5423045301,179.71984368 -33.5430155301,179.72158464 -33.5437265300999,179.72332668 -33.5444375301,179.72506872 -33.5451474501,179.72681058 -33.5458584501,179.72855262 -33.5465694501,179.73029466 -33.5472795501,179.7320367 -33.5479905500999,179.73377874 -33.5487015501,179.7355206 -33.5494114700999,179.73726264 -33.5501224701,179.73900468 -33.5508325701,179.74074672 -33.5515435701,179.74248858 -33.5522534901,179.74423062 -33.5529644901,179.74597266 -33.5536745901,179.7477156 -33.5543855900999,179.74945764 -33.5550946101,179.75119968 -33.5558056101,179.75294172 -33.5565166101,179.75468466 -33.5572265301,179.7564267 -33.5579375301,179.75816874 -33.5586474501,179.75991168 -33.5593575501,179.76165372 -33.5600685501,179.76339666 -33.5607784700999,179.7651387 -33.5614885701,179.76688164 -33.5621984900999,179.76862368 -33.5629094901,179.77036662 -33.5636195901,179.77210866 -33.5643286100999,179.7738516 -33.5650396100999,179.77559472 -33.5657495300999,179.77733658 -33.5664594501,179.7790797 -33.5671695501,179.78082264 -33.5678794701,179.78256468 -33.5685895701,179.78430762 -33.5692994901,179.78605074 -33.5700095900999,179.78779368 -33.5707186101,179.78953662 -33.5714296101,179.79127866 -33.5721395301,179.7930216 -33.5728494501,179.79476472 -33.5735595501,179.79650766 -33.5742694700999,179.7982506 -33.5749784901,179.79999372 -33.5756885901,179.80173666 -33.5763976101,179.8034796 -33.5771086101,179.80522362 -33.5778174501,179.80696674 -33.5785275500999,179.80870968 -33.5792374700999,179.81045262 -33.5799464901,179.81219574 -33.5806565901,179.81393868 -33.5813656101,179.8156827 -33.5820755300999,179.81742564 -33.5827854500999,179.81916858 -33.5834944701,179.8209126 -33.5842045701,179.82265572 -33.5849135900999,179.82439974 -33.5856226101,179.82614268 -33.5863325301,179.82788562 -33.5870424500999,179.82962964 -33.5877514701,179.83137258 -33.5884604900999,179.8331166 -33.5891705901,179.83486062 -33.5898796101,179.83660374 -33.5905884501,179.83834758 -33.5912985501,179.8400907 -33.5920075701,179.84183472 -33.5927165901,179.84357874 -33.5934256101,179.84532258 -33.5941355301,179.8470657 -33.5948445500999,179.84880972 -33.5955535700999,179.85055374 -33.5962625901,179.85229758 -33.5969716101,179.8540416 -33.5976804501,179.85578562 -33.5983894701,179.85752874 -33.5990995701,179.85927258 -33.5998085901,179.8610166 -33.6005176100999,179.86276062 -33.6012264501,179.86450464 -33.6019345701,179.86624866 -33.6026435901,179.86799358 -33.6033526100999,179.8697376 -33.6040614501,179.87148162 -33.6047704700999,179.87322564 -33.6054794901,179.87496966 -33.6061876100999,179.87671368 -33.6068975300999,179.8784586 -33.6076054700999,179.88020262 -33.6083144901,179.88194664 -33.6090226100999,179.88369174 -33.6097325301,179.88543558 -33.6104404700999,179.8871796 -33.6111494901,179.8889247 -33.6118576100999,179.89066872 -33.6125664501,179.89241364 -33.6132754701,179.89415766 -33.6139835901,179.89590258 -33.6146926101,179.8976466 -33.6154014501,179.8993917 -33.6161095701,179.90113662 -33.6168185901,179.90288064 -33.6175265301,179.90462574 -33.6182344701,179.90637066 -33.6189434901,179.90811468 -33.6196516101,179.9098596 -33.6203604501,179.9116047 -33.6210685701,179.91334962 -33.6217756101,179.91509364 -33.6224855301,179.91683874 -33.6231934701,179.91858366 -33.6239015900999,179.92032858 -33.6246095301,179.92207368 -33.6253185501,179.9238186 -33.6260264901,179.9255637 -33.6267346101,179.92730862 -33.6274425501,179.92905372 -33.6281504901,179.93079864 -33.6288586101,179.93254374 -33.6295674501,179.93428866 -33.6302755701,179.93603466 -33.6309826101,179.93777958 -33.6316914501,179.93952468 -33.6323995701,179.9412696 -33.6331066101,179.9430147 -33.6338154501,179.9447607 -33.6345235700999,179.94650562 -33.6352306101,179.94825072 -33.6359385501,179.94999672 -33.6366464901,179.95174164 -33.6373546101,179.95348764 -33.6380625501,179.95523274 -33.6387704901,179.95697874 -33.6394786101,179.95872366 -33.6401854701,179.96046966 -33.6408935901,179.96221458 -33.6416015301,179.96396058 -33.6423085701,179.96570568 -33.6430156101,179.96745168 -33.6437244501,179.96919768 -33.6444314901,179.97094368 -33.6451396101,179.9726886 -33.6458475501,179.9744346 -33.6465545900999,179.9761806 -33.6472625301,179.9779266 -33.6479695701,179.9796717 -33.6486766100999,179.9814177 -33.6493845501,179.9831637 -33.6500924901,179.9849097 -33.6507995301,179.9866557 -33.6515065701,179.9884017 -33.6522136100999,179.9901477 -33.6529215501,179.9918937 -33.6536285900999,179.9936397 -33.6543365301,179.9953857 -33.6550435701,179.9971317 -33.6557506100999,179.9988786 -33.6564574701,179.9999928 -33.6568995500999,179.9999928 -34.5289865901,179.99826372 -34.5284064501,179.99644662 -34.5277966100999,179.9946297 -34.5271846101,179.9928126 -34.5265745901,179.99099568 -34.5259645701,179.98917966 -34.5253534701,179.98736274 -34.5247425500999,179.98554564 -34.5241314501,179.98372962 -34.5235205301,179.9819127 -34.5229096101,179.9800956 -34.5222995900999,179.97827958 -34.5216884901,179.97646266 -34.5210775701,179.97464664 -34.5204664701,179.97282972 -34.5198555501,179.9710137 -34.5192444501,179.9691966 -34.5186335300999,179.96738058 -34.5180226101,179.96556474 -34.5174106101,179.96374764 -34.5167986100999,179.96193162 -34.5161885900999,179.9601156 -34.5155774900999,179.95829868 -34.5149665701,179.95648266 -34.5143554701,179.95466664 -34.5137434701,179.95285062 -34.5131325501,179.9510346 -34.5125214500999,179.94921768 -34.5119094501,179.94740166 -34.5112985301,179.94558564 -34.5106865301,179.94376962 -34.5100756101,179.9419536 -34.5094636101,179.94013758 -34.5088516101,179.93832174 -34.5082396101,179.93650572 -34.5076295901,179.9346897 -34.5070175901,179.93287458 -34.5064064901,179.93105874 -34.5057944901,179.92924272 -34.5051824901,179.9274267 -34.5045715700999,179.92561068 -34.5039595700999,179.92379574 -34.5033475701,179.92197972 -34.5027355701,179.9201637 -34.5021235701,179.91834858 -34.5015115701,179.91653274 -34.5009004701,179.91471672 -34.5002884700999,179.9129016 -34.4996764700999,179.91108558 -34.4990644701,179.90927064 -34.4984524701,179.90745462 -34.4978404701,179.90563968 -34.4972284701,179.90382474 -34.4966155701,179.90200872 -34.4960035701,179.9001936 -34.4953915701,179.89837758 -34.4947795700999,179.89656264 -34.4941675700999,179.8947477 -34.4935544901,179.89293258 -34.4929424901,179.89111674 -34.4923304901,179.88930162 -34.4917184901,179.88748668 -34.4911055901,179.88567174 -34.4904935901,179.88385662 -34.4898796101,179.88204168 -34.4892676100999,179.88022674 -34.4886556101,179.87841162 -34.4880436101,179.87659668 -34.4874305301,179.87478174 -34.4868185300999,179.87296662 -34.4862054501,179.87115168 -34.4855934501,179.86933674 -34.4849805501,179.86752162 -34.4843674701,179.86570668 -34.4837554701,179.86389264 -34.4831425701,179.8620777 -34.4825294901,179.86026258 -34.4819165901,179.85844764 -34.4813026101,179.8566336 -34.4806906100999,179.85481866 -34.4800786101,179.85300372 -34.4794655301,179.85118968 -34.4788524501,179.84937474 -34.4782395501,179.8475607 -34.4776264701,179.84574558 -34.4770135701,179.84393172 -34.4764004901,179.8421166 -34.4757875901,179.84030274 -34.4751736101,179.83848762 -34.4745605301,179.83667358 -34.4739474501,179.83485972 -34.4733345501,179.8330446 -34.4727214701,179.83123074 -34.4721074901,179.8294167 -34.4714945900999,179.82760266 -34.4708806101,179.82578772 -34.4702675301,179.82397368 -34.4696544500999,179.82215964 -34.4690415501,179.8203456 -34.4684275700999,179.81853174 -34.4678144901,179.8167177 -34.4671996101,179.81490366 -34.4665876101,179.81308962 -34.4659734501,179.81127558 -34.4653605500999,179.80946172 -34.4647465701,179.80764768 -34.4641325901,179.80583364 -34.4635186101,179.8040196 -34.4629055300999,179.80220664 -34.4622915501,179.8003926 -34.4616775700999,179.79857874 -34.4610644900999,179.7967647 -34.4604496100999,179.79495066 -34.4598365300999,179.7931377 -34.4592225500999,179.79132366 -34.4586085701,179.78950962 -34.4579945900999,179.78769666 -34.4573806101,179.78588262 -34.4567664501,179.78406966 -34.4561524700999,179.78225562 -34.4555384901,179.78044266 -34.4549236101,179.77862862 -34.4543105301,179.77681566 -34.4536965500999,179.77500162 -34.4530825701,179.77318866 -34.4524685901,179.7713757 -34.4518535301,179.76956166 -34.4512395501,179.7677487 -34.4506255701,179.76593574 -34.4500115901,179.7641226 -34.4493965301,179.76230874 -34.4487825501,179.7604956 -34.4481674901,179.75868264 -34.4475526101,179.75686968 -34.4469395301,179.75505672 -34.4463244700999,179.75324358 -34.4457104901,179.75143062 -34.4450956101,179.74961766 -34.4444805501,179.7478047 -34.4438665701,179.74599174 -34.4432506100999,179.7441786 -34.4426375301,179.74236564 -34.4420224701,179.74055268 -34.4414075901,179.73873972 -34.4407925300999,179.73692658 -34.4401785501,179.7351147 -34.4395634900999,179.73330174 -34.4389486101,179.7314886 -34.4383335501,179.72967672 -34.4377184901,179.72786358 -34.4371036101,179.72605062 -34.4364885500999,179.72423874 -34.4358734901,179.7224256 -34.4352586100999,179.72061264 -34.4346435501,179.71880058 -34.4340284900999,179.71698762 -34.4334136100999,179.71517574 -34.4327985501,179.71336368 -34.4321834901,179.71155072 -34.4315686101,179.70973866 -34.4309535501,179.7079257 -34.4303375901,179.70611364 -34.4297225301,179.70430158 -34.4291074701,179.70248862 -34.4284906101,179.70067674 -34.4278764500999,179.69886468 -34.4272615701,179.69705262 -34.4266456101,179.69524074 -34.4260305501,179.69342868 -34.4254145901,179.69161572 -34.4247995300999,179.68980366 -34.4241835701,179.6879916 -34.4235676101,179.68617972 -34.4229525500999,179.68436766 -34.4223374901,179.6825556 -34.4217215300999,179.68074372 -34.4211055701,179.67893274 -34.4204896101,179.67712068 -34.4198745500999,179.67530862 -34.4192585901,179.67349674 -34.4186424500999,179.67168468 -34.4180275700999,179.66987262 -34.4174116101,179.66806164 -34.4167954700999,179.66624958 -34.4161786101,179.6644377 -34.4155635501,179.66262672 -34.4149475901,179.66081466 -34.4143314501,179.6590026 -34.4137154901,179.65719162 -34.4130995300999,179.65537974 -34.4124835701,179.65356858 -34.4118676101,179.6517567 -34.4112514701,179.64994572 -34.4106346100999,179.64813366 -34.4100184701,179.64632268 -34.4094016101,179.6445117 -34.4087865501,179.64269964 -34.4081705901,179.64088866 -34.4075535501,179.63907768 -34.4069375901,179.6372667 -34.4063214501,179.63545464 -34.4057045901,179.63364366 -34.4050884501,179.63183268 -34.4044715901,179.6300217 -34.4038554501,179.62821072 -34.4032385900999,179.62639974 -34.4026224501,179.62458858 -34.4020055901,179.6227776 -34.4013894500999,179.62096662 -34.4007725901,179.61915564 -34.4001555501,179.61734466 -34.3995395900999,179.61553368 -34.3989225500999,179.6137227 -34.3983046101,179.61191172 -34.3976884701,179.61010074 -34.3970716101,179.60828958 -34.3964554701,179.60647968 -34.3958386101,179.6046687 -34.3952215701,179.60285772 -34.3946045300999,179.60104674 -34.3939874901,179.59923666 -34.3933704501,179.59742568 -34.3927535901,179.5956156 -34.3921365500999,179.59380462 -34.3915186100999,179.59199364 -34.3909024701,179.59018374 -34.3902856101,179.58837258 -34.3896685701,179.58656268 -34.3890515301,179.5847526 -34.3884335901,179.58294162 -34.3878165501,179.58113172 -34.3871986101,179.57932074 -34.3865824701,179.57751066 -34.3859645301,179.48935962 -34.3698764901,179.47831464 -34.3660984700999,178.88074758 -34.2550066101,178.58711466 -33.9321766100999,178.58622564 -33.9314875700999,178.58102274 -33.9257345900999,178.4913336 -33.8560085301,178.48063458 -33.8441434701,177.97351968 -33.4460934500999,177.96760362 -33.4428314900999,177.96660858 -33.4420434501,177.93285066 -33.4234156101,177.81032358 -33.2848606101,177.8074587 -33.2825814500999,177.80629662 -33.2812645701,177.80452362 -33.2798544501,177.80327874 -33.2784436101,177.30289368 -32.8772956101,177.1066737 -32.7663574701,176.91061374 -32.6066476101,176.34252474 -32.2798255700999,176.19216372 -32.2219246101,175.97676366 -32.0960995701,175.81231062 -32.0319855501,175.63574862 -31.8830805500999,175.63290966 -31.8814006101,175.62880674 -31.8779305701,175.62754566 -31.8771844701,175.62682458 -31.8765744501,175.62654162 -31.8764075901,175.6258227 -31.8757995500999,175.62292758 -31.8740855901,175.6188657 -31.8706495701,175.61722266 -31.8696764901,175.6168866 -31.8693924501,175.0584276 -31.5360815901,175.05570168 -31.5349884500999,175.05156762 -31.5325015701,175.05106164 -31.5322985301,175.0505967 -31.5320184501,174.43643058 -31.2832516101,173.89614474 -31.1532955700999,173.60341668 -31.0312055301,172.95392772 -30.8690735901,172.2830157 -30.8024896101,172.28169072 -30.8025526101,172.28109168 -30.8024924901,171.60702372 -30.8332305500999,171.20114064 -30.9197146101,171.20446362 -30.9150864500999,171.21379158 -30.9019565301,171.22304772 -30.8887906101,171.2322297 -30.8755865301,171.2413386 -30.8623455500999,171.2503746 -30.8490674901,171.2593377 -30.8357536101,171.26822664 -30.8224035500999,171.2770416 -30.8090174901,171.28578366 -30.7955965101,171.29445066 -30.7821395300999,171.30304368 -30.7686485300999,171.31156272 -30.7551226101,171.3200067 -30.7415615901,171.32837562 -30.7279674500999,171.33667074 -30.7143394701,171.34488972 -30.7006774700999,171.35303364 -30.6869836101,171.36110268 -30.6732555501,171.36915966 -30.6593885301,171.3771387 -30.6454885701,171.3850416 -30.6315565700999,171.39286674 -30.6175914501,171.40061466 -30.6035955501,171.40828572 -30.5895685100999,171.41587866 -30.5755096101,171.42339474 -30.5614195700999,171.4308327 -30.5472994701,171.43819272 -30.5331494901,171.44547462 -30.5189694500999,171.45267858 -30.5047606100999,171.4598037 -30.4905215301,171.4668507 -30.4762545501,171.47381958 -30.4619575100999,171.48070962 -30.4476334701,171.48752064 -30.4332815301,171.49425264 -30.4189015100999,171.50090562 -30.4044944900999,171.50747958 -30.3900595701,171.5139747 -30.3755994501,171.52038972 -30.3611116101,171.52672572 -30.3465985701,171.5329827 -30.3320605101,171.53915958 -30.3174954501,171.54525672 -30.3029064501,171.55127358 -30.2882926101,171.5572107 -30.2736544701,171.56306772 -30.2589925701,171.56884464 -30.2443065501,171.57454164 -30.2295965901,171.58015764 -30.2148644901,171.58569372 -30.2001095301,171.5911497 -30.1853315301,171.59652468 -30.1705324700999,171.60181866 -30.1557105501,171.60729066 -30.1413685101,171.6126876 -30.1270045101,171.61800768 -30.1126194501,171.62325162 -30.0982135101,171.6284196 -30.0837865101,171.63351072 -30.0693395301,171.63852462 -30.0548725701,171.64346274 -30.0403854501,171.64832364 -30.0258785300999,171.65320164 -30.0111845901,171.65800062 -29.9964695901,171.66272058 -29.9817365901,171.6673626 -29.9669845101,171.6719256 -29.9522135300999,171.67640868 -29.9374245501,171.68081364 -29.9226184701,171.68513958 -29.9077934900999,171.6893856 -29.8929524901,171.69355368 -29.8780934900999,171.69764166 -29.8632184701,171.70165062 -29.8483265301,171.70557966 -29.8334194701,171.70943058 -29.8184965701,171.71320068 -29.8035585501,171.71689266 -29.7886045101,171.72050364 -29.7736366101,171.72403668 -29.7586544901,171.72748872 -29.7436576101,171.73086174 -29.7286475900999,171.73415574 -29.7136235301,171.73736874 -29.6985865101,171.74050272 -29.6835376101,171.7435566 -29.6684755700999,171.74653164 -29.6534005701,171.74942568 -29.6383145900999,171.7522407 -29.6232174501,171.75497562 -29.6081086101,171.75763062 -29.5929895100999,171.7602057 -29.5778596101,171.76270068 -29.5627185501,171.76511574 -29.5475684900999,171.7674507 -29.5324085301,171.76970574 -29.5172395701,171.77188158 -29.5020616100999,171.7739766 -29.4868755501,171.7759917 -29.4716804900999,171.7779267 -29.4564775100999,171.7797816 -29.4412675100999,171.78155766 -29.4260495901,171.78325272 -29.4108244701,171.78486768 -29.3955935901,171.78640272 -29.3803555101,171.78787458 -29.3649404900999,171.78926472 -29.3495206101,171.7905726 -29.3340935300999,171.79179858 -29.3186624900999,171.79294266 -29.3032265901,171.79400574 -29.2877865501,171.79498674 -29.2723414701,171.79594164 -29.2569624500999,171.79681572 -29.2415805501,171.7976097 -29.2261945100999,171.7983216 -29.2108055901,171.79895268 -29.1954145101,171.79950258 -29.1800205500999,171.79997274 -29.1646246101,171.80036064 -29.1492265100999,171.80066862 -29.1338266101,171.8008956 -29.1184265301,171.80104158 -29.1030255501,171.80110674 -29.0876234901,171.80109162 -29.0722216101,171.8009946 -29.0568204501,171.80081874 -29.0414194700999,171.80056062 -29.0260184901,171.80022258 -29.0106194901,171.79980462 -28.9952224700999,171.79930566 -28.9798265301,171.7987257 -28.9644325700999,171.79806564 -28.9490414900999,171.79732566 -28.9336534701,171.79650558 -28.9182676100999,171.79560468 -28.9028855301,171.79462368 -28.8875075900999,171.79356258 -28.8721345101,171.79242174 -28.8567644901,171.79120062 -28.8413995101,171.78989958 -28.8260395701,171.78851862 -28.8106855701,171.78705774 -28.7953375101,171.78551766 -28.7799944901,171.78389658 -28.7646584901,171.78219774 -28.7493286101,171.78041772 -28.7340064700999,171.77855868 -28.7186904500999,171.77662062 -28.7033836101,171.77460264 -28.6880836101,171.77250564 -28.6727926100999,171.77032962 -28.6575095300999,171.76807458 -28.6422354501,171.7657407 -28.6269714500999,171.76332762 -28.6117164501,171.7608357 -28.5964715301,171.75826458 -28.5812365101,171.7556157 -28.5660115701,171.75288762 -28.5507985101,171.7500816 -28.5355955301,171.74719674 -28.5204046100999,171.74423358 -28.5052255700999,171.74119158 -28.4900585901,171.73807272 -28.4749045701,171.73487466 -28.4597626100999,171.73159974 -28.4446336101,171.72824562 -28.4295184700999,171.72481464 -28.4144164701,171.72130662 -28.3993285101,171.71772066 -28.3842554901,171.71405658 -28.3691965101,171.71031564 -28.3541524701,171.70649766 -28.3391244501,171.70260264 -28.3241115501,171.69863058 -28.3091135900999,171.69458166 -28.2941325501,171.6904566 -28.2791686100999,171.68625468 -28.2642205101,171.68197572 -28.2492905901,171.67762062 -28.2343775901,171.67318866 -28.2194815101,171.66868164 -28.2046045101,171.66409758 -28.1897455101,171.65943864 -28.1749055901,171.65470374 -28.1600834901,171.6498927 -28.1452815501,171.6450066 -28.1304995900999,171.64004472 -28.1157365300999,171.63500868 -28.1009945301,171.62989668 -28.0862725100999,171.62470962 -28.0715715500999,171.61944768 -28.0568914701,171.61411158 -28.0422324500999,171.60875064 -28.0277024901,171.60331572 -28.0131935901,171.59780772 -27.9987064700999,171.59222772 -27.9842425701,171.58657374 -27.9697995500999,171.58084758 -27.9553804701,171.5750487 -27.9409846100999,171.56917764 -27.9266116100999,171.56323368 -27.9122625500999,171.55890648 -27.9019589901,171.55721772 -27.8979376101,171.55112958 -27.8836366100999,171.54496962 -27.8693604501,171.53873874 -27.8551085900999,171.53243568 -27.8408824700999,171.52606062 -27.8266815500999,171.51961464 -27.8125065501,171.51309864 -27.7983574700999,171.50651064 -27.7842344900999,171.49985172 -27.7701385100999,171.4931226 -27.7560684501,171.48632274 -27.7420264701,171.47945358 -27.7280114900999,171.4725126 -27.7140245901,171.46550268 -27.7000655901,171.45842364 -27.6861344901,171.45127368 -27.6722314701,171.4440546 -27.6583585101,171.43676658 -27.6445134501,171.42940962 -27.6306984500999,171.42198372 -27.6169135101,171.4144887 -27.6031575500999,171.40692474 -27.5894325501,171.39929274 -27.5757376101,171.3915927 -27.5620734500999,171.38382372 -27.5484406100999,171.3759876 -27.5348394501,171.36808362 -27.5212696101,171.36011268 -27.5077305501,171.3520737 -27.4942246101,171.34396758 -27.4807516101,171.33579468 -27.4673104701,171.32755464 -27.4539015501,171.31924872 -27.4405275500999,171.31087566 -27.4271855901,171.30243762 -27.4138774701,171.29393262 -27.4006044501,171.28536174 -27.3873645501,171.27672462 -27.3741604701,171.2680236 -27.3609895100999,171.25919064 -27.3477535700999,171.2502927 -27.3345534501,171.2413287 -27.3213895100999,171.23229864 -27.3082615701,171.2232036 -27.2951705300999,171.21404268 -27.2821165700999,171.2048166 -27.2690995101,171.19552662 -27.2561195301,171.18617166 -27.2431786101,171.17675262 -27.2302745901,171.1672686 -27.2174085500999,171.15772068 -27.2045815701,171.14810958 -27.1917934700999,171.13843458 -27.1790435301,171.12869658 -27.1663335500999,171.11889558 -27.1536635300999,171.10903158 -27.1410325701,171.09910458 -27.1284415700999,171.08911458 -27.1158916101,171.07906374 -27.1033816100999,171.06894972 -27.0909124701,171.05877468 -27.0784845501,171.04853772 -27.0660974901,171.03823974 -27.0537525501,171.02787966 -27.0414495501,171.01745964 -27.0291875901,171.0069786 -27.0169684701,170.99643672 -27.0047925500999,170.98583562 -26.9926585700999,170.97517368 -26.9805685100999,170.9644527 -26.9685205701,170.9536716 -26.9565165500999,170.94283164 -26.9445564501,170.93193264 -26.9326404501,170.9209746 -26.9207685501,170.9099577 -26.9089414701,170.89888266 -26.8971584900999,170.88775074 -26.8854205101,170.8765596 -26.8737275300999,170.86531068 -26.8620804501,170.8540056 -26.8504794501,170.84264274 -26.8389234501,170.83122264 -26.8274146100999,170.81974566 -26.8159505901,170.8082136 -26.8045344501,170.79662466 -26.7931645701,170.78497974 -26.7818414901,170.77327866 -26.7705664701,170.76152268 -26.7593375301,170.74971162 -26.7481575501,170.73784566 -26.7370254501,170.7259257 -26.7259405101,170.71395066 -26.7149045301,170.70192162 -26.7039175101,170.68983858 -26.6929794500999,170.67770172 -26.6820894501,170.66551158 -26.6712494901,170.6532687 -26.6604584900999,170.64097272 -26.6497175301,170.62862364 -26.6390266101,170.61622272 -26.6283855501,170.6037696 -26.6177945301,170.59126464 -26.6072544501,170.57870874 -26.5967654901,170.56610064 -26.5863265701,170.5534416 -26.5759394901,170.54073162 -26.5656035301,170.5279716 -26.5553185101,170.51516172 -26.5450865901,170.50230162 -26.5349056101,170.48939166 -26.5247764701,170.47643166 -26.5147006101,170.4634227 -26.5046774901,170.45036568 -26.4947065700999,170.4372597 -26.4847885701,170.42410458 -26.4749245701,170.41090266 -26.4651134901,170.3976516 -26.4553555101,170.38435374 -26.4456515301,170.37100872 -26.4360015501,170.35761672 -26.4264055701,170.34417774 -26.4168644901,170.3306916 -26.4073775901,170.31716064 -26.3979455900999,170.3035827 -26.3885684901,170.28995958 -26.3792464701,170.27629164 -26.3699795301,170.2625787 -26.3607674900999,170.24881968 -26.3516125101,170.23501764 -26.3425126101,170.2211706 -26.3334685100999,170.20727964 -26.3244805700999,170.19334566 -26.3155486100999,170.17936758 -26.3066746100999,170.16534666 -26.2978555101,170.15128272 -26.2890945500999,170.13717666 -26.2803904700999,170.12302866 -26.2717434501,170.10883872 -26.2631534901,170.09460666 -26.2546214901,170.08033374 -26.2461474501,170.0660187 -26.2377315501,170.0516637 -26.2293736100999,170.03726874 -26.2210734501,170.02283274 -26.2128316101,170.00835768 -26.2046484501,169.99404372 -26.1964134501,169.97968962 -26.1882365901,169.96529664 -26.1801175100999,169.9508646 -26.1720565701,169.93639458 -26.1640544900999,169.92188568 -26.1561094700999,169.90733772 -26.1482234901,169.89275268 -26.1403965500999,169.87812966 -26.1326284701,169.86346974 -26.1249185300999,169.84877274 -26.1172685301,169.83403866 -26.1096775701,169.81926858 -26.1021465501,169.80446268 -26.0946745701,169.7896197 -26.0872614501,169.7747427 -26.0799095300999,169.7598297 -26.0726175501,169.7448816 -26.0653846101,169.72989858 -26.0582135900999,169.71488172 -26.0511016101,169.69983066 -26.0440504701,169.68474558 -26.0370605301,169.66962774 -26.0301305300999,169.6544766 -26.0232624500999,169.63929162 -26.0164555700999,169.6240746 -26.0097095301,169.60882572 -26.0030245100999,169.59354462 -25.9964015900999,169.57823166 -25.9898395101,169.56288774 -25.9833395301,169.54751268 -25.9769014701,169.53210666 -25.9705255101,169.51666968 -25.9642125501,169.50120372 -25.9579606101,169.48570662 -25.9517714900999,169.47018072 -25.9456444701,169.45462566 -25.9395804500999,169.43904162 -25.9335796100999,169.43168466 -25.9307815101,169.5751506 -25.9130545701,170.1960426 -25.7563325300999,170.5702167 -25.5924554901,170.68011966 -25.6192335501,171.29630358 -25.6667085501,171.3213657 -25.6685904501,171.3228336 -25.6684685901,171.32444766 -25.6685895501,171.33272172 -25.6679035701,171.44451666 -25.6944235101,172.08645966 -25.7408626101,172.08800874 -25.7407276101,172.08850968 -25.7407625301,172.25227674 -25.7263535301,172.7292717 -25.6834606101,173.34786564 -25.5243274701,173.92421268 -25.2685944501,174.27570966 -25.0730195901,174.32027766 -25.0697236101,174.6399996 -25.0827784700999,174.95972262 -25.0697236101,175.27694472 -25.0308346101,175.58888868 -24.9661114700999,175.89305574 -24.8763895700999,176.18694462 -24.7622234901,176.46833358 -24.6244455501,176.7347226 -24.4644455301,176.9844447 -24.2836115901,177.21499968 -24.0827785700999,177.61305564 -23.6297236101,177.77749968 -23.3805564501,177.9169446 -23.1191674701,178.03111068 -22.8472234701,178.06277772 -22.7230565900999,178.19194464 -22.9188895701,178.37888868 -23.1533345301,178.5880557 -23.3719456101,178.81777764 -23.5722226100999,179.06611068 -23.7533344701,179.33111064 -23.9130565700999,179.6108337 -24.0505565900999,179.9033337 -24.1647235701,179.99999262 -24.1925004500999,179.99999262 -24.9533117901)),((-84.56351058 -3.38853047010002,-84.56389758 -3.39276659009994,-84.46915062 -3.39276659009994,-84.53608362 -3.62812343009995,-84.53630466 -3.63027749010001,-84.53711466 -3.63311753009998,-84.5381986199999 -3.6436844301,-84.5432325 -3.66132443009997,-84.5451095399999 -3.6796064900999,-84.5840025 -3.81574859009993,-84.58444962 -3.82008353009996,-84.58808562 -3.83279855009994,-84.6052615799999 -3.9990704901,-84.6120425399999 -4.02273851009994,-84.6721385999999 -4.59907745009997,-84.6719406 -4.60187051009996,-84.6721695599999 -4.60405859010001,-84.6718725599999 -4.60823945009997,-84.6722165399999 -4.6115154501,-84.6721816199999 -4.61200253009997,-84.67222158 -4.61238359010002,-84.63135564 -5.19107549009999,-84.5246286 -5.61765047009999,-84.5179585199999 -5.71363853009996,-84.4996446 -5.7869384901,-84.50304264 -5.81860247010002,-84.5029456199999 -5.82000647009994,-84.50306064 -5.82107855009991,-84.5012336399999 -5.84746457009987,-84.5044784999999 -5.87765849009986,-84.50441352 -5.87859845010001,-84.50449056 -5.8793155701,-84.50311554 -5.89920143009994,-84.50366256 -5.90429147010002,-84.5034026399999 -5.90805455009996,-84.50371152 -5.91091943010002,-84.46402062 -6.48937643009998,-84.3238825199999 -7.05277553009995,-84.32369352 -7.05320159009995,-84.32192862 -7.06030043009997,-84.3210896399999 -7.06218359010001,-84.3209406 -7.06278551009996,-84.3201995399999 -7.06444853009998,-84.3199826399999 -7.06532045009999,-84.3196375799999 -7.06609445010002,-84.31900164 -7.06865351009992,-84.3163155 -7.07468153009995,-84.3160626 -7.07569943009997,-84.0792866399999 -7.60691849009999,-84.07883466 -7.60758557010001,-84.0782916 -7.60880453009997,-84.07539954 -7.61308259009991,-84.07532754 -7.61324351010001,-84.07459566 -7.61432657009999,-84.07433052 -7.61492057010003,-84.07369656 -7.61585855009997,-84.07039158 -7.62327149009997,-84.06967266 -7.62433457010002,-84.06939456 -7.6249584501,-84.0601934999999 -7.6385655501,-84.0506155199999 -7.66004945010002,-84.04997364 -7.6609975101,-84.04964964 -7.66172543009992,-84.0493205999999 -7.6622114301,-84.0476646 -7.6659264500999,-83.9541995999999 -7.80412145009996,-83.8982275199999 -8.02940855010002,-83.6612676 -8.56047353009996,-83.6584416 -8.56464557009991,-83.6573146199999 -8.56717043010002,-83.65454262 -8.57126345009999,-83.6533625399999 -8.57390747009993,-83.32618554 -9.05648459010001,-83.32555554 -9.0571334901,-83.3251836599999 -9.05768159009995,-82.91739654 -9.47690051009999,-82.4412185999999 -9.81974849009998,-82.43981658 -9.82042655009997,-82.43720766 -9.82230143009991,-81.9849374999999 -10.0405805900999,-81.9189266399999 -10.1868354501,-81.7423255799999 -10.4446964301,-81.6423755399999 -10.6656995301,-81.59313762 -10.7374714701,-81.56534454 -10.7988674901,-81.4639035599999 -10.9466084301,-81.45821664 -10.9591585700999,-81.45633366 -10.9665945501,-81.45434556 -10.9709804300999,-81.4351476599999 -11.0467654700999,-81.41636664 -11.0881985901,-81.38675664 -11.2050455900999,-81.24214554 -11.5237384700999,-81.2094255 -11.9898934701,-81.1223595 -12.3328724900999,-81.11228454 -12.4769054301,-80.96921262 -13.0398804500999,-80.7273196199999 -13.5699505701,-80.3933855999999 -14.0508164301,-80.3876805 -14.0565395300999,-80.38142964 -14.0655245901,-80.38100052 -14.0659544301,-80.38045854 -14.0667345501,-79.9641966599999 -14.4834784701,-79.8049186199999 -14.5949434701,-79.7097855599999 -14.9619224301,-79.4642705999999 -15.4915544300999,-79.46378262 -15.4922495901,-79.46331066 -15.4932644300999,-79.38135666 -15.6097255101,-79.29024354 -15.8055424701,-79.2883656 -15.8082055701,-79.2745765199999 -15.8378144901,-79.27386354 -15.8388255501,-79.27358454 -15.8394254900999,-78.93443664 -16.3193395101,-78.93166464 -16.3220735300999,-78.93145566 -16.3223694501,-78.92680266 -16.3269565700999,-78.87687462 -16.3974224300999,-78.87674754 -16.3975484301,-78.8709095999999 -16.4057845100999,-78.8198795999999 -16.4560475301,-78.5859206399999 -16.7854014500999,-78.58569366 -16.7856235701,-78.58491966 -16.7867114901,-78.16119966 -17.2016685501,-78.14763954 -17.2109464701,-78.09809166 -17.2593275901,-77.9879185199999 -17.3346165501,-77.97486258 -17.3473454300999,-77.86180764 -17.5049325501,-77.4352836 -17.9190144501,-77.43401964 -17.9198714301,-77.4192616199999 -17.9341594700999,-76.9221125999999 -18.2702745500999,-76.9132746 -18.2742485900999,-76.88480256 -18.2934374901,-76.8840075 -18.2937955101,-76.88378556 -18.2939445501,-76.85324154 -18.3076715300999,-76.81920156 -18.3305965101,-76.8126995999999 -18.3335164701,-76.8101115599999 -18.3352585100999,-76.80818466 -18.3361235900999,-76.8070616399999 -18.3368795900999,-76.80373164 -18.3383755701,-76.80203964 -18.3395144300999,-76.80135654 -18.3398215101,-76.80000762 -18.3407294301,-76.79941164 -18.3409965501,-76.7980056599999 -18.3419435301,-76.7246085 -18.3748824501,-76.7108725199999 -18.3841155501,-75.75303954 -18.3840978500999,-74.7952065599999 -18.3840801501,-73.83737358 -18.3840624500999,-73.8373815 -18.3841655901,-73.8443584799999 -18.4707625101,-73.83964662 -18.5169204500999,-73.8689416199999 -18.8789135901,-73.80927648 -19.4589695300999,-73.8022635 -19.4827955901,-73.80023256 -19.5024235101,-73.78973352 -19.5380685501,-73.74406554 -19.9770244701,-73.7312605199999 -20.0202464300999,-73.7135884799999 -20.1889285701,-73.7229815999999 -20.3057505501,-73.72822662 -20.3251185501,-73.7751185999999 -20.9058635301,-73.72592064 -21.3708985700999,-73.7368695 -21.4110324501,-73.74524958 -21.5146094901,-73.99142856 -22.0218255501,-74.1476916 -22.5853704501,-74.1496564799999 -22.6086334701,-74.15043552 -22.6114304901,-74.15612856 -22.6788035901,-74.1685325399999 -22.7232864500999,-74.1693385799999 -22.7328106101,-74.17429254 -22.7505665301,-74.18353248 -22.8595666100999,-74.18669454 -22.8708855501,-74.19229164 -22.9368175701,-74.19259854 -22.9379116100999,-74.19356964 -22.9493525901,-74.2017276 -22.9785174500999,-74.20219848 -22.9840636101,-74.20852458 -23.0066685501,-74.25804348 -23.5863844701,-74.2579416 -23.5873654701,-74.2581404999999 -23.5896874701,-74.25800964 -23.5909336101,-74.25826254 -23.5938884900999,-74.25818154 -23.5946596101,-74.2583384999999 -23.5964885901,-74.19958362 -24.1545834501,-74.24006652 -24.6262604901,-74.2400386199999 -24.6265205900999,-74.2400935199999 -24.6271604900999,-74.24006958 -24.6273916100999,-74.24011854 -24.6279605901,-74.2399405199999 -24.6296374700999,-74.24029548 -24.6337614501,-74.2386506399999 -24.6492644901,-74.24945964 -24.7746724701,-74.39381964 -25.2807395901,-74.4448696199999 -25.8598955301,-74.4448564799999 -25.8600114501,-74.4448815 -25.8602965701,-74.4448575599999 -25.8605266101,-74.4449075999999 -25.8610955901,-74.44489554 -25.8612106101,-74.44492056 -25.8614955501,-74.43426348 -25.9621695501,-74.5033474799999 -26.0980954701,-74.66686164 -26.6601895701,-74.66692158 -26.6608516101,-74.6702425799999 -26.6722085301,-74.68717158 -26.8578616100999,-74.6949895199999 -26.8730595501,-74.6957556 -26.8756726100999,-74.6960945399999 -26.8763324901,-74.74089564 -27.0289125501,-74.74180464 -27.0306754701,-74.81499858 -27.2790256101,-74.81879352 -27.2863555701,-74.8236664799999 -27.2926085901,-74.8626685199999 -27.3678685700999,-74.89841652 -27.4136476101,-74.8988684999999 -27.4145164701,-74.90049462 -27.4165985301,-74.9009295 -27.4174366101,-74.90150658 -27.4181746101,-75.17670966 -27.9452734700999,-75.3464115 -28.5063736101,-75.4038944999999 -29.0848396101,-75.4038135 -29.0856575300999,-75.40399152 -29.0874406100999,-75.4038115199999 -29.0892294501,-75.40420266 -29.0931376101,-75.40412058 -29.0939555300999,-75.4042986 -29.0957386100999,-75.3724825199999 -29.4119575700999,-75.3773085 -29.4602245700999,-75.46981356 -29.7603585501,-75.47132952 -29.7753354501,-75.48501762 -29.8195794501,-75.48508152 -29.8202164700999,-75.4861455 -29.8236515900999,-75.48975864 -29.8592474901,-75.4917355799999 -29.8656304701,-75.49207362 -29.8689595701,-75.49412166 -29.8755706100999,-75.49423866 -29.8767164901,-75.49529958 -29.8801426101,-75.4987046399999 -29.9136316100999,-75.50991558 -29.9497894701,-75.51785952 -30.0277224500999,-75.53154654 -30.0717824901,-75.59101062 -30.6501775701,-75.5909856 -30.6504284901,-75.59104266 -30.6509785700999,-75.5881306199999 -30.6801014901,-75.5898746399999 -30.6969556101,-75.5898246 -30.6974574501,-75.58993854 -30.6985545501,-75.58766658 -30.7212646101,-75.60092052 -30.8491844901,-75.6008636399999 -30.8497486100999,-75.60099252 -30.8509855701,-75.57240456 -31.1359264701,-75.5790435 -31.1998624701,-75.57903054 -31.1999855901,-75.5790595199999 -31.2002615301,-75.5790345 -31.2005084901,-75.5790926399999 -31.2010625301,-75.5779725 -31.2121865301,-75.5788975199999 -31.2210875301,-75.5788446 -31.2216134901,-75.57896664 -31.2227874500999,-75.52438056 -31.7621804901,-75.6983646 -31.5498364701,-75.6990306 -31.5492665901,-75.71058858 -31.5351185901,-75.71421666 -31.5320094501,-75.71766852 -31.5277816101,-75.7191396599999 -31.5265216101,-75.7197045 -31.5258286101,-76.1979475799999 -31.1132855300999,-76.74884766 -30.7758974901,-76.75046154 -30.7752305901,-76.7507916599999 -30.7750275501,-77.3583316199999 -30.5222265501,-77.36444154 -30.5207215701,-77.41969956 -30.4975265900999,-77.41977858 -30.4975066101,-77.4206504999999 -30.4971404901,-77.4253836 -30.4959715701,-77.4264925799999 -30.4955055500999,-77.42675466 -30.4954405701,-77.4284545799999 -30.4947256100999,-78.0751965599999 -30.3331984700999,-78.07740552 -30.3329866101,-78.0800084999999 -30.3323296100999,-78.7483566 -30.2668034900999,-78.75227754 -30.2670014900999,-78.75415764 -30.2668124900999,-78.75807858 -30.2670104900999,-78.75898758 -30.2669176101,-78.7615986599999 -30.2670504501,-78.76381752 -30.2668276100999,-79.4354436 -30.2990184500999,-80.09195958 -30.4280735901,-80.0952235199999 -30.4292484500999,-80.5590086399999 -30.3771344900999,-80.5613295599999 -30.3772205301,-80.5628665799999 -30.3770444900999,-81.23603958 -30.4001626101,-81.89585964 -30.5202665300999,-81.90645066 -30.5239036101,-81.9133036199999 -30.5251304901,-81.91437966 -30.5255005701,-81.91717452 -30.5260006101,-82.54558656 -30.7396066101,-83.12501556 -31.0408475901,-83.12569362 -31.0413535700999,-83.12696856 -31.0420114701,-83.6409295799999 -31.4224385901,-84.07428156 -31.8713434700999,-84.0753935999999 -31.8730095500999,-84.0793845599999 -31.8771135501,-84.41880858 -32.3817255501,-84.41882352 -32.3817604701,-84.41986266 -32.3832935300999,-84.65408262 -32.9291235500999,-84.6553895999999 -32.9353855701,-84.66302862 -32.9530396101,-84.7834675199999 -33.5241734900999,-84.7842434999999 -34.1037065301,-84.78342054 -34.1075894900999,-84.78342162 -34.1078285301,-84.78196056 -34.1147236100999,-84.78196956 -34.1195614701,-84.6606735 -34.6900115300999,-84.6596716199999 -34.6922735900999,-84.65890662 -34.6958615301,-84.65881464 -34.6960685301,-84.6572486399999 -34.7034046101,-84.65699754 -34.7039716100999,-84.6563886 -34.7068265901,-84.6556865999999 -34.7084114900999,-84.65548554 -34.7093494701,-84.6537415199999 -34.7132885901,-84.65367456 -34.7135994500999,-84.4115205599999 -35.2574044701,-84.4109145 -35.2582546101,-84.41056764 -35.2590325701,-84.4100886599999 -35.2597055900999,-84.4096185 -35.2607555301,-84.40809156 -35.2629034701,-84.40773066 -35.2637086101,-84.0499925399999 -35.7637795701,-83.58608358 -36.2040865701,-83.5773975 -36.2098384701,-83.5770366 -36.2101784901,-83.02032252 -36.5762914700999,-82.3881175199999 -36.8560445901,-82.38763962 -36.8561745501,-82.38604752 -36.8568725901,-81.69884766 -37.0407875901,-81.6844516199999 -37.0424624901,-81.68430654 -37.0425004700999,-80.9650956599999 -37.1241925701,-80.95867056 -37.1240024900999,-80.95677354 -37.1242134501,-80.2300986 -37.1008445901,-79.6155336 -36.9904725501,-79.07573664 -37.0439314700999,-78.35082462 -37.0105844900999,-78.34318362 -37.0091174901,-78.3373105799999 -37.0088305700999,-77.8063516199999 -36.9056885901,-77.82156954 -37.0148746101,-77.90961762 -37.1570315901,-78.11697564 -37.7154275901,-78.2016265799999 -38.2938916100999,-78.20157456 -38.2945955901,-78.2017216199999 -38.2955875700999,-78.1583625 -38.8768284501,-78.1474935599999 -38.9126385501,-78.1462076399999 -38.9297545701,-78.1453574999999 -38.9325544701,-78.1424595 -38.9711124501,-77.9736015 -39.5229715701,-78.0019065 -39.5969836101,-78.0109806599999 -39.6581324900999,-78.02087454 -39.6839326100999,-78.02109666 -39.6854285901,-78.0444036 -39.7461265700999,-78.0467525999999 -39.7618636101,-78.04739862 -39.7635424701,-78.0659226 -39.8873534901,-78.10864686 -39.9978909501,-78.13716552 -40.0716754700999,-78.1379445599999 -40.0768265301,-78.26768262 -40.4098515500999,-78.3505695599999 -40.9424144901,-78.3860126399999 -41.0166914901,-78.3881476199999 -41.0258385501,-78.3931746599999 -41.0362605500999,-78.3962436599999 -41.0493924501,-78.40343556 -41.0642915901,-78.4065166199999 -41.0774585901,-78.41369754 -41.0923215500999,-78.4167915599999 -41.1055234701,-78.42396258 -41.1203506100999,-78.4270686599999 -41.1335885301,-78.4342304999999 -41.1483814700999,-78.43734864 -41.1616516101,-78.4444995 -41.1764116100999,-78.4476306 -41.1897175701,-78.4547715599999 -41.2044404901,-78.4579145399999 -41.2177824500999,-78.4650455999999 -41.2324704500999,-78.46820064 -41.2458466100999,-78.4753216199999 -41.2604986101,-78.4784896199999 -41.2739105901,-78.48559962 -41.2885285701,-78.48878058 -41.3019745701,-78.4958804999999 -41.3165574501,-78.49907352 -41.3300385500999,-78.50616264 -41.3445856101,-78.50936952 -41.3581025301,-78.51644856 -41.3726155701,-78.5196666 -41.3861656101,-78.52673556 -41.4006435500999,-78.52996656 -41.4142295901,-78.53702454 -41.4286726100999,-78.5402695799999 -41.4422924900999,-78.54731658 -41.4567005901,-78.54888654 -41.4632844501,-78.5522826 -41.4702225501,-78.5548965599999 -41.4811755501,-78.5567676599999 -41.4849946100999,-78.56182764 -41.5061795301,-78.56543466 -41.5135384701,-78.5705076 -41.5347505701,-78.57410364 -41.5420816101,-78.5791895399999 -41.5633225101,-78.5827745999999 -41.5706245701,-78.58787454 -41.5918935500999,-78.5914495199999 -41.5991675301,-78.5965625999999 -41.6204654900999,-78.60012552 -41.6277095901,-78.6052515599999 -41.6490365301,-78.60880458 -41.6562525501,-78.6139446599999 -41.6776075701,-78.61748562 -41.6847946101,-78.62263866 -41.7061775301,-78.6261695399999 -41.7133364900999,-78.6304566 -41.7311035701,-78.98766552 -42.1839715101,-79.26459858 -42.7266864501,-79.2646334999999 -42.7268205501,-79.27023852 -42.7376866101,-79.2703315799999 -42.7380444500999,-79.2839005199999 -42.7643266100999,-79.28400366 -42.7647235101,-79.29726354 -42.7903794501,-79.44662358 -43.3603075101,-79.44893658 -43.4659885701,-79.7169166199999 -43.9688675301,-79.87469562 -44.5377656301,-79.89365754 -45.1179124701,-79.88861466 -45.1412966300999,-79.89840162 -45.1525855101,-79.90415154 -45.1629225501,-79.91612064 -45.1767145101,-79.9219085399999 -45.1871086101,-79.93384056 -45.2008445901,-79.93508364 -45.2030726300999,-79.93763064 -45.2060035701,-80.2416726 -45.7450096100999,-80.2449675 -45.7561246101,-80.25099264 -45.7666765701,-80.25493662 -45.7799684900999,-80.2621116 -45.7925215101,-80.26262352 -45.7942444701,-80.26265754 -45.7943026101,-80.2708875 -45.8219905701,-80.2714136399999 -45.8229085701,-80.2796625 -45.8506246101,-80.28017262 -45.8515136301,-80.2884416399999 -45.8792595501,-80.28893556 -45.8801204901,-80.2893194999999 -45.8814094701,-80.28934254 -45.8814476301,-80.4607576199999 -46.4489235501,-80.4618806399999 -46.4725204700999,-80.46328752 -46.4771174901,-80.4644685 -46.5018665901,-80.4659444999999 -46.5066844701,-80.46622656 -46.5125785700999,-80.4665786399999 -46.5137246301,-80.4949455599999 -47.0933105900999,-80.4694094999999 -47.2157176100999,-80.47770354 -47.2296524901,-80.6572026 -47.7965644701,-80.6577786 -47.8069605501,-80.65937466 -47.8119325101,-80.66048256 -47.8318765101,-80.6635436399999 -47.8414046301,-80.6646554999999 -47.8613576301,-80.66771658 -47.8708774701,-80.66883258 -47.8908394700999,-80.67189366 -47.9003504901,-80.6730136199999 -47.9203214901,-80.6760756 -47.9298226101,-80.67719862 -47.9498026101,-80.6802605999999 -47.9592945501,-80.6813886599999 -47.9792846301,-80.68445064 -47.9887655901,-80.68558266 -48.0087655700999,-80.68864464 -48.0182366300999,-80.6897806199999 -48.0382465101,-80.6928425999999 -48.0477094701,-80.69398254 -48.0677276301,-80.6970456 -48.0771805101,-80.6981895 -48.0972074900999,-80.70125256 -48.1066515500999,-80.7024006 -48.1266886101,-80.7054636599999 -48.1361234901,-80.70661566 -48.1561684701,-80.70967854 -48.1655936300999,-80.7108355799999 -48.1856495901,-80.71389864 -48.1950644900999,-80.7150585599999 -48.2151296301,-80.71812252 -48.2245346301,-80.71928658 -48.2446094901,-80.7223505399999 -48.2540065700999,-80.72351964 -48.2740886300999,-80.72658252 -48.2834756301,-80.72775666 -48.3035695701,-80.73081954 -48.3129475701,-80.73199764 -48.3330476301,-80.73506052 -48.3424166301,-80.73624258 -48.3625285701,-80.73930654 -48.3718874901,-80.74049256 -48.3920066301,-80.7435565199999 -48.4013576301,-80.7447464999999 -48.4214864901,-80.74781064 -48.4308265101,-80.74900458 -48.4509656300999,-80.75206962 -48.4602964700999,-80.75326752 -48.4804445901,-80.75633256 -48.4897646301,-80.7575355 -48.5099235501,-80.76059964 -48.5192354901,-80.76180654 -48.5394025101,-80.76487158 -48.5487045501,-80.76608262 -48.5688805701,-80.7691476599999 -48.5781736100999,-80.7703635599999 -48.5983586300999,-80.7734285999999 -48.6076424900999,-80.77464864 -48.6278375900999,-80.7777135 -48.6371104701,-80.7789374999999 -48.6573154701,-80.78200254 -48.6665786300999,-80.7832315799999 -48.6867926300999,-80.78629662 -48.6960475101,-80.7875296199999 -48.7162705101,-80.79059466 -48.7255165701,-80.79183252 -48.7457485700999,-80.7948975599999 -48.7549845501,-80.79613956 -48.7752255501,-80.7992045999999 -48.7844516300999,-80.7992135999999 -48.7845866301,-80.79923358 -48.7846474701,-80.8356465 -49.3639054701,-80.83203354 -49.3814515101,-80.83277262 -49.3929374900999,-80.8291386 -49.4105785701,-80.82988362 -49.4221635501,-80.8262515799999 -49.4397824901,-80.8269985799999 -49.4513896101,-80.8233695999999 -49.4689865901,-80.82411858 -49.4806154901,-80.82049266 -49.4981896101,-80.82124362 -49.5098415501,-80.8176195 -49.5273926300999,-80.81837262 -49.5390676100999,-80.81475156 -49.5565965501,-80.8155066599999 -49.5682934901,-80.81188866 -49.5858004701,-80.8126455599999 -49.5975195500999,-80.8090295399999 -49.6150034900999,-80.8097885999999 -49.6267456101,-80.80851366 -49.6329055700999,-80.8087815 -49.6370525901,-80.8067325599999 -49.6469515101,-80.8073195399999 -49.6560265700999,-80.80415766 -49.6713015501,-80.80506666 -49.6853375900999,-80.80190658 -49.7005934900999,-80.80281666 -49.7146486100999,-80.8012555199999 -49.7221796301,-80.8017065999999 -49.7291335701,-80.79927462 -49.7408695701,-80.79946254 -49.7437706301,-80.7946545599999 -49.7669504901,-80.7950286 -49.7727056300999,-80.7902235 -49.7958575901,-80.79059862 -49.8016435101,-80.78579658 -49.8247655901,-80.7861735 -49.8305804900999,-80.78137452 -49.8536725101,-80.7817536 -49.8595165701,-80.7769566 -49.8825805101,-80.77733766 -49.8884535501,-80.77254354 -49.9114876100999,-80.77292658 -49.9173896300999,-80.76813462 -49.9403956101,-80.76851964 -49.9463266101,-80.76373056 -49.9693016301,-80.7641175599999 -49.9752635900999,-80.7593968806772 -49.9978921036072,-80.75933064 -49.9982096301,-80.7597196199999 -50.0042005701,-80.75493558 -50.0271176301,-80.75532654 -50.0331364701,-80.7505455599999 -50.0560245501,-80.7509385 -50.0620736300999,-80.7461594999999 -50.0849314701,-80.7465545999999 -50.0910086301,-80.74177866 -50.1138394701,-80.7421755599999 -50.1199456101,-80.7374025 -50.1427465701,-80.7378015599999 -50.1488825901,-80.73303066 -50.1716534901,-80.73343152 -50.1778184901,-80.7286634999999 -50.2005605901,-80.72906652 -50.2067554701,-80.7270116399999 -50.2165496300999,-80.72857062 -50.2405015101,-80.72956458 -50.2433896100999,-80.7313066199999 -50.2700704700999,-80.73230166 -50.2729574901,-80.7340476599999 -50.2996396100999,-80.73504252 -50.3025255501,-80.73679356 -50.3292085701,-80.7377895 -50.3320936100999,-80.73918864 -50.3533676300999,-80.73998262 -50.3556674901,-80.77897764 -50.9349656301,-80.77815558 -50.9388775701,-80.77829256 -50.9408654901,-80.7742386 -50.9601425901,-80.7749145 -50.9699655501,-80.77086252 -50.9892165500999,-80.77154058 -50.9990656100999,-80.7674925599999 -51.0182905101,-80.7681726 -51.0281654901,-80.76412764 -51.0473644700999,-80.7648096599999 -51.0572655501,-80.7607665 -51.0764366300999,-80.76145158 -51.0863636301,-80.75801664 -51.1026446301,-80.75860056 -51.1111046301,-80.68713156 -51.4479026300999,-80.71798752 -51.8890286301,-80.5939716599999 -52.4637925700999,-80.59136652 -52.4687954901,-80.58971466 -52.4763765500999,-80.5840505999999 -52.4872516100999,-80.5804356599999 -52.5038175501,-80.5747904999999 -52.5146456301,-80.57116062 -52.5312585501,-80.56553562 -52.5420405501,-80.5618906199999 -52.5586995501,-80.55800262 -52.5661436301,-80.5586866199999 -52.5758805501,-80.55610758 -52.5876565101,-80.5573436399999 -52.6052354901,-80.55476766 -52.6169925501,-80.55600552 -52.6345906101,-80.5534326 -52.6463275100999,-80.55467352 -52.6639455501,-80.5537745999999 -52.6680475701,-80.55420966 -52.6742156301,-80.4268844999999 -53.2489756100999,-80.12961558 -53.8010446101,-79.9592175 -53.9903756301,-79.81168662 -54.2563465100999,-79.8041646 -54.2645775500999,-79.8003925199999 -54.2713334901,-79.78884354 -54.2839604901,-79.78299858 -54.2944165101,-79.77149352 -54.3069824901,-79.76560662 -54.3174986300999,-79.75414656 -54.3300035901,-79.74821754 -54.3405825501,-79.73680266 -54.3530245100999,-79.7308306199999 -54.3636655701,-79.71945966 -54.3760465100999,-79.71344658 -54.3867494901,-79.70212062 -54.3990676100999,-79.6960645199999 -54.4098325100999,-79.68478356 -54.4220896101,-79.67868462 -54.4329146301,-79.6674486599999 -54.4451116101,-79.6613076 -54.4559985500999,-79.65011664 -54.4681316301,-79.6439336399999 -54.4790824701,-79.6327866 -54.4911536301,-79.6265605799999 -54.5021654900999,-79.61545962 -54.5141756300999,-79.60919058 -54.5252485101,-79.59813552 -54.5371976300999,-79.59182364 -54.5483326100999,-79.58081358 -54.5602196301,-79.5744584999999 -54.5714156301,-79.56349362 -54.5832416301,-79.5570966 -54.5944995501,-79.54617654 -54.6062636300999,-79.5397365 -54.6175825701,-79.52886252 -54.6292856301,-79.52237856 -54.6406664901,-79.51155066 -54.6523076301,-79.5050234999999 -54.6637505900999,-79.4942414999999 -54.6753296301,-79.4876706 -54.6868336101,-79.4769345 -54.6983516301,-79.47032058 -54.7099166301,-79.4596305599999 -54.7213736300999,-79.45297254 -54.7330016300999,-79.4472246 -54.7391565501,-79.4436145199999 -54.7454554701,-78.96134466 -55.2547564701,-78.95956752 -55.2560186301,-78.95171952 -55.2641945901,-78.9479155799999 -55.2668974700999,-78.93081954 -55.2846895701,-78.9270875999999 -55.2873386301,-78.9099206399999 -55.3051845501,-78.9062615999999 -55.3077796101,-78.88902264 -55.3256806100999,-78.8854365 -55.3282205900999,-78.86812554 -55.3461755901,-78.86461266 -55.3486615701,-78.84722952 -55.3666705700999,-78.8437895399999 -55.3691025501,-78.82633458 -55.3871655501,-78.8229675 -55.3895426300999,-78.80544054 -55.4076596301,-78.80214654 -55.4099836101,-78.78454758 -55.4281555101,-78.7813266599999 -55.4304245901,-78.76365462 -55.4486504901,-78.7605085799999 -55.4508655701,-78.74276364 -55.4691454700999,-78.7396904999999 -55.4713065500999,-78.7218735599999 -55.4896406301,-78.71887458 -55.4917466301,-78.7017135599999 -55.5093866301,-78.7008436199999 -55.5108314901,-78.6995555399999 -55.5155294900999,-78.68725362 -55.5359366300999,-78.68594664 -55.5406976300999,-78.6736686599999 -55.5610435700999,-78.67234152 -55.5658675701,-78.6722455799999 -55.5660275901,-78.6722346 -55.5660655701,-78.33644154 -56.1146855901,-77.8243566599999 -56.6203235901,-77.14675566 -57.0657155901,-76.32215064 -57.4350404900999,-75.3767906399999 -57.7147106301,-74.58613452 -57.8529025701,-74.18961648 -58.0161955100999,-74.0587005 -58.1843095700999,-73.46050164 -58.6733906301,-72.69234948 -59.0965616301,-71.7764576399999 -59.4384435500999,-71.2599065999999 -59.5623135201,-70.7433555599999 -59.6861834901,-70.1870785199999 -59.7582005001,-69.6308014799999 -59.8302175100999,-69.05629098 -59.8475565500999,-68.4817804799999 -59.8648955901,-68.4670356 -59.8639725501,-68.4654586199999 -59.8640135901,-68.4639486 -59.8639185501,-68.46378552 -59.8639225100999,-67.89381354 -59.8258395501,-67.32384156 -59.7877565901,-67.26666654 -59.7780796101,-67.26666654 -59.0771136201,-67.26666654 -58.3761476300999,-66.9999997799999 -58.3979006301,-66.9999997799999 -59.1980240301,-66.9999997799999 -59.9981474300999,-67.74999984 -59.9981474300999,-68.4999999 -59.9981474300999,-69.24999996 -59.9981474300999,-70.00000002 -59.9981474300999,-71.000000019 -59.9981474300999,-72.000000018 -59.9981474300999,-73.0000000169999 -59.9981474300999,-74.000000016 -59.9981474300999,-75.0000000149999 -59.9981474300999,-76.000000014 -59.9981474300999,-77.0000000129999 -59.9981474300999,-78.000000012 -59.9981474300999,-79.000000011 -59.9981474300999,-80.00000001 -59.9981474300999,-81.000000009 -59.9981474300999,-82.000000008 -59.9981474300999,-83.000000007 -59.9981474300999,-84.000000006 -59.9981474300999,-85.0000000049999 -59.9981474300999,-86.000000004 -59.9981474300999,-87.0000000029999 -59.9981474300999,-88.000000002 -59.9981474300999,-89.0000000009999 -59.9981474300999,-90 -59.9981474300999,-90.999999999 -59.9981474300999,-91.999999998 -59.9981474300999,-92.999999997 -59.9981474300999,-93.9999999959999 -59.9981474300999,-94.999999995 -59.9981474300999,-95.9999999939999 -59.9981474300999,-96.999999993 -59.9981474300999,-97.9999999919999 -59.9981474300999,-98.999999991 -59.9981474300999,-99.99999999 -59.9981474300999,-100.999999989 -59.9981474300999,-101.999999988 -59.9981474300999,-102.999999987 -59.9981474300999,-103.999999986 -59.9981474300999,-104.999999985 -59.9981474300999,-105.999999984 -59.9981474300999,-106.999999983 -59.9981474300999,-107.999999982 -59.9981474300999,-108.999999981 -59.9981474300999,-109.99999998 -59.9981474300999,-110.999999979 -59.9981474300999,-111.999999978 -59.9981474300999,-112.999999977 -59.9981474300999,-113.999999976 -59.9981474300999,-114.999999975 -59.9981474300999,-115.999999974 -59.9981474300999,-116.999999973 -59.9981474300999,-117.999999972 -59.9981474300999,-118.999999971 -59.9981474300999,-119.99999997 -59.9981474300999,-120.999999969 -59.9981474300999,-121.999999968 -59.9981474300999,-122.999999967 -59.9981474300999,-123.999999966 -59.9981474300999,-124.999999965 -59.9981474300999,-125.999999964 -59.9981474300999,-126.999999963 -59.9981474300999,-127.999999962 -59.9981474300999,-128.999999961 -59.9981474300999,-129.99999996 -59.9981474300999,-130.9999998132 -59.9981474300999,-131.9999996664 -59.9981474300999,-132.9999995196 -59.9981474300999,-133.9999993728 -59.9981474300999,-134.999999226 -59.9981474300999,-135.9999990792 -59.9981474300999,-136.9999989324 -59.9981474300999,-137.9999987856 -59.9981474300999,-138.9999986388 -59.9981474300999,-139.999998492 -59.9981474300999,-140.9999983452 -59.9981474300999,-141.9999981984 -59.9981474300999,-142.9999980516 -59.9981474300999,-143.9999979048 -59.9981474300999,-144.999997758 -59.9981474300999,-145.9999976112 -59.9981474300999,-146.9999974644 -59.9981474300999,-147.9999973176 -59.9981474300999,-148.9999971708 -59.9981474300999,-149.999997024 -59.9981474300999,-150.9999968772 -59.9981474300999,-151.9999967304 -59.9981474300999,-152.9999965836 -59.9981474300999,-153.9999964368 -59.9981474300999,-154.99999629 -59.9981474300999,-155.9999961432 -59.9981474300999,-156.9999959964 -59.9981474300999,-157.9999958496 -59.9981474300999,-158.9999957028 -59.9981474300999,-159.999995556 -59.9981474300999,-160.9999954092 -59.9981474300999,-161.9999952624 -59.9981474300999,-162.9999951156 -59.9981474300999,-163.9999949688 -59.9981474300999,-164.999994822 -59.9981474300999,-165.9999946752 -59.9981474300999,-166.9999945284 -59.9981474300999,-167.9999943816 -59.9981474300999,-168.9999942348 -59.9981474300999,-169.999994088 -59.9981474300999,-170.9999939412 -59.9981474300999,-171.9999937944 -59.9981474300999,-172.9999936476 -59.9981474300999,-173.9999935008 -59.9981474300999,-174.999993354 -59.9981474300999,-175.9999932072 -59.9981474300999,-176.9999930604 -59.9981474300999,-177.9999929136 -59.9981474300999,-178.9999927668 -59.9981474300999,-179.99999262 -59.9981474300999,-179.99999262 -59.1193759550999,-179.99999262 -58.2406044801,-179.99999262 -57.3618330050999,-179.99999262 -56.4830615301,-179.99999262 -55.6042900551,-179.99999262 -54.7255185801,-179.99999262 -53.8467471051,-179.99999262 -52.9679756301,-179.99920674 -52.9678496301,-179.99662464 -52.9674086301,-179.99404272 -52.9669676301,-179.9914617 -52.9665266301,-179.9888796 -52.9660845500999,-179.98629858 -52.9656424701,-179.98371774 -52.9652014701,-179.98113564 -52.9647595701,-179.97855462 -52.9643174900999,-179.9759736 -52.9638755901,-179.97339258 -52.9634335101,-179.97081066 -52.9629916101,-179.96822964 -52.9625486300999,-179.96564862 -52.9621076301,-179.9630676 -52.9616655501,-179.96048658 -52.9612234701,-179.95790664 -52.9607815700999,-179.95532562 -52.9603394901,-179.9527446 -52.9598965101,-179.95016358 -52.9594546101,-179.94758364 -52.9590116301,-179.94500262 -52.9585695501,-179.9424216 -52.9581265701,-179.93984166 -52.9576844901,-179.93726172 -52.9572415100999,-179.9346807 -52.9567976301,-179.93210058 -52.9563566301,-179.92951974 -52.9559134700999,-179.92693962 -52.9554704901,-179.92435968 -52.9550275100999,-179.92177974 -52.9545836300999,-179.91919962 -52.9541415501,-179.91661968 -52.9536985701,-179.91403974 -52.9532555901,-179.91145962 -52.9528126101,-179.90887968 -52.9523685501,-179.90629974 -52.9519255700999,-179.90371962 -52.9514825900999,-179.90114058 -52.9510376301,-179.89856064 -52.9505955500999,-179.8959807 -52.9501514901,-179.89340166 -52.9497085101,-179.89082172 -52.9492646300999,-179.88824268 -52.9488205701,-179.88566274 -52.9483775901,-179.8830837 -52.9479326301,-179.88050466 -52.9474894701,-179.87792472 -52.9470455901,-179.87534568 -52.9466006301,-179.87276664 -52.9461574701,-179.8701876 -52.9457135901,-179.86760874 -52.9452686301,-179.8650297 -52.9448254701,-179.86245066 -52.9443815901,-179.85987162 -52.9439366301,-179.85729258 -52.9434925700999,-179.85471372 -52.9430485101,-179.85213558 -52.9426035500999,-179.84955672 -52.9421594901,-179.84697768 -52.9417136301,-179.84439972 -52.9412704700999,-179.84182068 -52.9408255100999,-179.83924272 -52.9403816300999,-179.83666368 -52.9399364901,-179.83408572 -52.9394906301,-179.83150758 -52.9390465700999,-179.82892872 -52.9386016101,-179.82635058 -52.9381564701,-179.82377262 -52.9377115101,-179.82119466 -52.9372665500999,-179.8186167 -52.9368215901,-179.81603874 -52.9363766300999,-179.8134606 -52.9359314901,-179.81088264 -52.9354856301,-179.80830468 -52.9350404901,-179.80572672 -52.9345946300999,-179.80314966 -52.9341494901,-179.8005717 -52.9337036301,-179.79799374 -52.9332584900999,-179.79541668 -52.9328126300999,-179.79283872 -52.9323674901,-179.79026166 -52.9319216301,-179.7876837 -52.9314764901,-179.78510664 -52.9310306301,-179.78252868 -52.9305845901,-179.77995162 -52.9301385500999,-179.77737474 -52.9296925101,-179.77479768 -52.9292464701,-179.77222062 -52.9288006101,-179.76964374 -52.9283545701,-179.76706668 -52.9279076301,-179.76448962 -52.9274624900999,-179.76191274 -52.9270155501,-179.75933568 -52.9265695100999,-179.75675862 -52.9261234701,-179.75418174 -52.9256756301,-179.75160468 -52.9252304901,-179.7490287 -52.9247835501,-179.74645164 -52.9243366101,-179.74387566 -52.9238905701,-179.7412986 -52.9234436300999,-179.73872262 -52.9229965101,-179.73614574 -52.9225495700999,-179.73356958 -52.9221026300999,-179.7309936 -52.9216565901,-179.72841672 -52.9212094701,-179.72584074 -52.9207616301,-179.72326458 -52.9203155901,-179.7206886 -52.9198675701,-179.71811262 -52.9194206301,-179.71553664 -52.9189735101,-179.71296066 -52.9185265701,-179.71038468 -52.9180785501,-179.7078087 -52.9176316101,-179.70523362 -52.9171844900999,-179.70265764 -52.9167364700999,-179.70008166 -52.9162886301,-179.69750658 -52.9158415100999,-179.6949306 -52.9153934900999,-179.6923557 -52.9149454701,-179.68977972 -52.9144976301,-179.68720464 -52.9140505101,-179.68462866 -52.9136024900999,-179.68205358 -52.9131544700999,-179.67947868 -52.9127066301,-179.6769036 -52.9122586101,-179.67432762 -52.9118105901,-179.67175272 -52.9113625701,-179.66917764 -52.9109145501,-179.66660274 -52.9104656301,-179.66402766 -52.9100176101,-179.66145258 -52.9095695901,-179.65887858 -52.9091204901,-179.65630368 -52.9086724701,-179.6537286 -52.9082235501,-179.6511537 -52.9077746300999,-179.6485797 -52.9073266100999,-179.64600462 -52.9068775101,-179.64343062 -52.9064294900999,-179.64085572 -52.9059805700999,-179.63828172 -52.9055314701,-179.63570664 -52.9050825501,-179.63313264 -52.9046336301,-179.63055864 -52.9041836301,-179.62798464 -52.9037356101,-179.62541064 -52.9032865101,-179.62283574 -52.9028375900999,-179.62026174 -52.9023884901,-179.61768774 -52.9019384901,-179.61511374 -52.9014895701,-179.61254064 -52.9010404701,-179.60996664 -52.9005904701,-179.60739264 -52.9001415501,-179.60481864 -52.8996915500999,-179.60224572 -52.8992426300999,-179.59967172 -52.8987926301,-179.59709772 -52.8983426301,-179.59452462 -52.8978926301,-179.59195062 -52.8974426300999,-179.5893777 -52.8969926300999,-179.5868046 -52.8965426301,-179.5842306 -52.8960926301,-179.58165768 -52.8956426301,-179.57908458 -52.8951926300999,-179.57651166 -52.8947426300999,-179.57393766 -52.8942926301,-179.57136474 -52.8938426301,-179.56879164 -52.8933926301,-179.56621872 -52.8929426300999,-179.5636467 -52.8924926300999,-179.5610736 -52.8920415501,-179.55850068 -52.8915915501,-179.55592758 -52.8911404701,-179.55335466 -52.8906904701,-179.55078264 -52.8902395700999,-179.54820972 -52.8897884901,-179.5456377 -52.8893375901,-179.5430646 -52.8888875900999,-179.54049258 -52.8884365101,-179.53791966 -52.8879856101,-179.53534764 -52.8875336300999,-179.53277562 -52.8870836300999,-179.5302036 -52.8866325501,-179.52763068 -52.8861814701,-179.52505866 -52.8857305701,-179.52248664 -52.8852785901,-179.51991462 -52.8848275101,-179.5173426 -52.8843766100999,-179.51477058 -52.8839246301,-179.51219964 -52.8834735501,-179.50962762 -52.8830215701,-179.5070556 -52.8825704900999,-179.50448358 -52.8821185101,-179.50191264 -52.8816676101,-179.49934062 -52.8812156301,-179.49676968 -52.8807634701,-179.49419766 -52.8803114901,-179.49162672 -52.8798595100999,-179.4890547 -52.8794086101,-179.48648358 -52.8789566300999,-179.48391264 -52.8785044700999,-179.48134062 -52.8780515900999,-179.47876968 -52.8775996100999,-179.47619874 -52.8771476301,-179.47362762 -52.8766954701,-179.47105668 -52.8762434901,-179.46848574 -52.8757906101,-179.46591462 -52.8753386301,-179.46334368 -52.8748855701,-179.46077364 -52.8744335901,-179.4582027 -52.8739796301,-179.45563158 -52.8735285501,-179.45306064 -52.8730754901,-179.4504906 -52.8726226101,-179.44791966 -52.8721706301,-179.44534962 -52.8717175701,-179.44277868 -52.8712645101,-179.44020864 -52.8708116301,-179.4376386 -52.8703585701,-179.43506766 -52.8699055101,-179.43249762 -52.8694526301,-179.42992758 -52.8689995701,-179.42735772 -52.8685465101,-179.42478768 -52.8680925501,-179.42221764 -52.8676394901,-179.4196476 -52.8671866101,-179.41707774 -52.8667324701,-179.4145077 -52.8662795901,-179.41193766 -52.8658256301,-179.4093687 -52.8653725701,-179.40679866 -52.8649186101,-179.40422862 -52.8644644700999,-179.40165966 -52.8640115901,-179.39908962 -52.8635576301,-179.39652066 -52.8631034901,-179.39395062 -52.8626486301,-179.39138166 -52.8621955700999,-179.38881162 -52.8617416101,-179.38624266 -52.8612874701,-179.3836737 -52.8608335101,-179.38110474 -52.8603795500999,-179.3785356 -52.8599255901,-179.37596664 -52.8594716301,-179.37339768 -52.8590165901,-179.37082872 -52.8585626301,-179.36825958 -52.8581084901,-179.36569062 -52.8576536301,-179.36312166 -52.8571994901,-179.3605527 -52.8567446301,-179.35798464 -52.8562895900999,-179.35541568 -52.8558356300999,-179.35284672 -52.8553805901,-179.35027866 -52.8549255500999,-179.3477097 -52.8544705101,-179.34514164 -52.8540154701,-179.34257268 -52.8535615101,-179.34000462 -52.8531064701,-179.33743674 -52.8526496301,-179.33486868 -52.8521954901,-179.33229972 -52.8517406301,-179.32973166 -52.8512855901,-179.3271636 -52.8508305501,-179.32459572 -52.8503746101,-179.32202766 -52.8499195700999,-179.3194596 -52.8494636300999,-179.31689262 -52.8490085901,-179.31432474 -52.8485535501,-179.31175668 -52.8480976101,-179.30918862 -52.8476414901,-179.30662164 -52.8471866300999,-179.30405358 -52.8467305100999,-179.3014866 -52.8462745701,-178.44586974 -52.5853786101,-178.44516666 -52.5850555101,-178.44484068 -52.5849536301,-177.68855574 -52.2329755101,-177.0560226 -51.8025926301,-176.56546968 -51.3088645101,-176.54278158 -51.2728655900999,-176.54029866 -51.2703315501,-176.20404372 -50.7299186301,-176.02696566 -50.1605865501,-176.02572474 -50.1206305101,-176.02229862 -50.1094856301,-176.018842367032 -49.9978921003609,-176.00432562 -49.5291836301,-176.00462568 -49.5279346100999,-176.00458662 -49.5266926100999,-176.14048572 -48.9530734701,-176.19889374 -48.8397065901,-176.14576062 -48.7500415700999,-175.9750236 -48.1807426101,-175.97498472 -48.1794935901,-175.97433564 -48.1773085701,-175.96115262 -47.7530095101,-175.3777287 -47.7158715501,-174.5499096 -47.5557755901,-174.3649227 -47.4938195900999,-174.15033462 -47.4508265901,-173.3866416 -47.1885975500999,-172.71025164 -46.8363355701,-172.24153164 -46.4811925101,-172.14277464 -46.4063656101,-171.70072758 -45.9133816101,-171.3952476 -45.3737756301,-171.23215662 -44.8049756300999,-171.23214762 -44.8047095900999,-171.23138964 -44.8020436100999,-171.21909258 -44.4423316101,-171.21552462 -44.4297055100999,-171.19571562 -43.8495365301,-171.1957446 -43.8493984701,-171.19573866 -43.8492364701,-171.1958256 -43.8488246301,-171.19580868 -43.8483375501,-171.19585674 -43.8481094901,-171.19584774 -43.8478394900999,-171.31483566 -43.2739384700999,-171.56530566 -42.7232655501,-171.93673674 -42.2116675701,-172.41598458 -41.7535225701,-172.98780858 -41.3614404501,-173.18440872 -41.2664155701,-173.25200772 -41.2191425300999,-173.3690286 -41.1373085901,-173.37012174 -41.1367745301,-173.37099762 -41.1361605501,-174.0143277 -40.8184805300999,-174.71559762 -40.5857194701,-174.97885374 -40.5359755701,-175.28428962 -40.4317035501,-176.02158258 -40.2861895701,-176.77916262 -40.2353874501,-176.78016666 -40.2354504501,-176.78105874 -40.2353874501,-176.7816036 -40.2354214701,-176.79339162 -40.2345886101,-176.79439872 -40.2346516100999,-176.79528774 -40.2345886101,-177.55343064 -40.2797135301,-177.99350166 -40.3630695501,-177.85806858 -40.0909185501,-177.82753662 -39.9668355500999,-177.60708774 -39.5167885701,-177.60625362 -39.5133354500999,-177.58997964 -39.4798964901,-177.5866356 -39.4660384701,-177.5468817 -39.3842075901,-177.4105497 -38.8140505701,-177.40995768 -38.7574974500999,-177.35897358 -38.6511365301,-177.22478772 -38.0808684501,-177.21930474 -37.5010115901,-177.21936162 -37.5007444701,-177.21935568 -37.5001124901,-177.33976974 -36.9282125301,-177.5797857 -36.3811874900999,-177.93008064 -35.8748896101,-177.93082368 -35.8741485501,-177.93111564 -35.8737224901,-178.3797957 -35.4225535700999,-178.91287866 -35.0391575300999,-179.51467572 -34.7341396101,-179.51993766 -34.7324026101,-179.60717358 -34.6877114901,-179.6077746 -34.6875106101,-179.60813658 -34.6873255701,-179.61856758 -34.6838684901,-179.7688206 -34.6065885501,-179.76955158 -34.6063444700999,-179.77076568 -34.6057186100999,-179.77258566 -34.6051125501,-179.77440564 -34.6045055901,-179.7762267 -34.6038984501,-179.77804668 -34.6032914900999,-179.77986774 -34.6026845301,-179.78168772 -34.6020775700999,-179.7835077 -34.6014695301,-179.78532768 -34.6008625700999,-179.78714874 -34.6002556101,-179.78896872 -34.5996484701,-179.7907887 -34.5990406101,-179.79260868 -34.5984345501,-179.79442866 -34.5978256101,-179.79624864 -34.5972195501,-179.79806862 -34.5966125900999,-179.7998886 -34.5960045501,-179.80170858 -34.5953975900999,-179.80352874 -34.5947904501,-179.80534872 -34.5941825901,-179.8071687 -34.5935754501,-179.80898868 -34.5929675901,-179.81080866 -34.5923604500999,-179.81262864 -34.5917525901,-179.81444862 -34.5911445501,-179.8162677 -34.5905375901,-179.81808768 -34.5899295501,-179.81990766 -34.5893225900999,-179.82172764 -34.5887145501,-179.82354672 -34.5881056100999,-179.8253667 -34.5874984701,-179.82718668 -34.5868906100999,-179.82900558 -34.5862834701,-179.83082574 -34.5856756101,-179.83264464 -34.5850675701,-179.83446462 -34.5844595301,-179.8362837 -34.5838514901,-179.83810368 -34.5832434501,-179.83992258 -34.5826355901,-179.84174166 -34.5820275501,-179.84356164 -34.5814186101,-179.84538072 -34.5808114700999,-179.84719962 -34.5802036101,-179.8490196 -34.5795955701,-179.85083868 -34.5789875300999,-179.85265758 -34.5783785901,-179.85447666 -34.5777705501,-179.85629574 -34.5771616100999,-179.85811572 -34.5765544701,-179.85993462 -34.5759455300999,-179.8617537 -34.5753374900999,-179.8635726 -34.5747294501,-179.86539168 -34.5741196101,-179.86721058 -34.5735124701,-179.86902966 -34.5729035301,-179.87084874 -34.5722954900999,-179.87266764 -34.5716865500999,-179.87448564 -34.5710776101,-179.87630472 -34.5704695700999,-179.87812362 -34.5698604501,-179.8799427 -34.5692525901,-179.8817616 -34.5686434701,-179.8835796 -34.5680345301,-179.88539868 -34.5674264900999,-179.88721758 -34.5668175500999,-179.88903558 -34.5662086101,-179.89085466 -34.5655994900999,-179.89267374 -34.5649914501,-179.89449174 -34.5643816101,-179.89631064 -34.5637735701,-179.89812864 -34.5631644501,-179.89994772 -34.5625546101,-179.90176572 -34.5619465701,-179.90358462 -34.5613374501,-179.90540262 -34.5607276101,-179.90722062 -34.5601195701,-179.9090397 -34.5595104501,-179.9108577 -34.5589006101,-179.9126757 -34.5582914901,-179.9144937 -34.5576825501,-179.9163126 -34.5570736101,-179.9181306 -34.5564644900999,-179.9199486 -34.5558544700999,-179.9217666 -34.5552455300999,-179.9235846 -34.5546365901,-179.9254026 -34.5540265701,-179.9272206 -34.5534174501,-179.9290386 -34.5528076101,-179.9308566 -34.5521984901,-179.9326746 -34.5515895501,-179.9344926 -34.5509795301,-179.9363106 -34.5503705901,-179.9381286 -34.5497605700999,-179.9399466 -34.5491505500999,-179.9417646 -34.5485416101,-179.9435826 -34.5479315901,-179.9453997 -34.5473215701,-179.9472177 -34.5467124501,-179.9490357 -34.5461026101,-179.95085262 -34.5454925901,-179.95267062 -34.5448825701,-179.95448862 -34.5442734501,-179.95630572 -34.5436636100999,-179.95812372 -34.5430535900999,-179.95994064 -34.5424435701,-179.96175864 -34.5418335501,-179.96357574 -34.5412235301,-179.96539374 -34.5406126100999,-179.96721066 -34.5400034901,-179.96902866 -34.5393934701,-179.97084558 -34.5387834501,-179.97266268 -34.5381736100999,-179.97448068 -34.5375616101,-179.9762976 -34.5369524901,-179.9781147 -34.5363424701,-179.9799327 -34.5357324501,-179.98174962 -34.5351226101,-179.98356672 -34.5345106101,-179.98538364 -34.5339014900999,-179.98720074 -34.5332914700999,-179.98901766 -34.5326805501,-179.99083458 -34.5320705301,-179.99265168 -34.5314596100999,-179.9944686 -34.5308495900999,-179.9962857 -34.5302384900999,-179.99810262 -34.5296284701,-179.99991972 -34.5290175501,-179.99999262 -34.5289914501,-179.99999262 -33.6569045901,-179.99937558 -33.6571655901,-179.99762958 -33.6578724501,-179.99588268 -33.6585794901,-179.99413668 -33.6592865301,-179.99239068 -33.6599935701,-179.99064468 -33.6607006100999,-179.9888976 -33.6614085501,-179.9871516 -33.6621155901,-179.9854047 -33.6628224501,-179.9836587 -33.6635294901,-179.9819127 -33.6642365300999,-179.98016562 -33.6649435701,-179.97841962 -33.6656506101,-179.97667272 -33.6663574701,-179.97492564 -33.6670636101,-179.97317964 -33.6677704700999,-179.97143274 -33.6684766101,-179.96968674 -33.6691845501,-179.96793966 -33.6698915901,-179.96619258 -33.6705984501,-179.96444658 -33.6713045901,-179.96269968 -33.6720114501,-179.9609526 -33.6727184901,-179.9592057 -33.6734255301,-179.95745862 -33.6741314900999,-179.95571172 -33.6748385301,-179.95396572 -33.6755455701,-179.95221864 -33.6762515300999,-179.95047174 -33.6769585701,-179.94872466 -33.6776645300999,-179.94697758 -33.6783715701,-179.94523068 -33.6790775301,-179.9434836 -33.6797845701,-179.2716597 -33.8371425501,-178.57588068 -33.8914674501,-178.57373562 -33.8913166100999,-178.57173564 -33.8914674501,-177.87551958 -33.8408885301,-177.20240472 -33.6871395501,-177.12766674 -33.6571594700999,-176.5748907 -33.4354194500999,-176.0134707 -33.0941705901,-175.5358236 -32.6747115501,-175.5347796 -32.6733885501,-175.53384972 -32.6725655901,-175.15427058 -32.1886066101,-174.88325268 -31.6557214700999,-174.83441166 -31.4793095901,-174.7582686 -31.3280825900999,-174.71996262 -31.1887355901,-174.4769727 -30.8702844501,-174.21281964 -30.3362555900999,-174.06227574 -29.7706784901,-174.02801364 -29.1910714700999,-174.02806872 -29.1906875301,-174.0280437 -29.1902715501,-174.0282147 -29.1890725701,-174.02813766 -29.1877754901,-174.10921362 -28.6117785501,-174.30134166 -28.0566275901,-174.59722062 -27.5386846101,-174.59774658 -27.5380594700999,-174.60136674 -27.5316826101,-174.9909996 -27.0659855301,-174.99626766 -27.0615395301,-175.00308264 -27.0533444901,-175.47418566 -26.6532325701,-175.81964364 -26.4459766101,-176.01274872 -26.3301255501,-176.6031507 -26.0931434901,-176.60318472 -26.0931355700999,-176.6041326 -26.0927514501,-177.22961658 -25.9485376100999,-177.23043972 -25.9484794701,-177.2305947 -25.9484434701,-177.87366162 -25.9010325501,-177.87599658 -25.9012224501,-177.87849858 -25.9010314701,-178.5212766 -25.9517304501,-178.5220857 -25.9519235901,-178.61346666 -25.9588715900999,-178.61599062 -25.9594726101,-178.61832558 -25.9596495500999,-178.62132474 -25.9603625300999,-178.62220764 -25.9604294901,-179.24700762 -26.1073696101,-179.83624158 -26.3469425901,-179.83663866 -26.3471836101,-179.83820268 -26.3478155901,-179.83969362 -26.3487254900999,-179.84118474 -26.3496355701,-179.84267658 -26.3505445701,-179.8441677 -26.3514544701,-179.84565864 -26.3523645500999,-179.84715066 -26.3532735500999,-179.8486416 -26.3541834501,-179.85013272 -26.3550935301,-179.85162474 -26.3560025300999,-179.85311568 -26.3569126100999,-179.8546077 -26.3578216101,-179.85609864 -26.3587306101,-179.85759066 -26.3596415901,-179.8590816 -26.3605505901,-179.86057362 -26.3614604901,-179.86206564 -26.3623694901,-179.86355658 -26.3632795701,-179.8650486 -26.3641885701,-179.86653972 -26.3650975701,-179.86803174 -26.3660074701,-179.86952358 -26.3669164701,-179.8710156 -26.3678265501,-179.87250672 -26.3687355501,-179.87399874 -26.3696445501,-179.87549058 -26.3705544501,-179.8769826 -26.3714634501,-179.87847462 -26.3723724501,-179.87996664 -26.3732814501,-179.88145866 -26.3741915300999,-179.8829496 -26.3751005300999,-179.88444162 -26.3760095301,-179.88593364 -26.3769185301,-179.88742566 -26.3778286101,-179.88891768 -26.3787376101,-179.8904106 -26.3796466100999,-179.89190262 -26.3805556100999,-179.89339464 -26.3814646101,-179.89488666 -26.3823736101,-179.89637868 -26.3832826101,-179.8978707 -26.3841916100999,-179.89936272 -26.3851006100999,-179.90085564 -26.3860096101,-179.90234766 -26.3869186101,-179.90383968 -26.3878276101,-179.9053326 -26.3887366101,-179.90682462 -26.3896456100999,-179.90831664 -26.3905546101,-179.90980974 -26.3914636101,-179.91130158 -26.3923726101,-179.91279468 -26.3932816101,-179.9142867 -26.3941906100999,-179.91577872 -26.3950996100999,-179.91727164 -26.3960086101,-179.91876474 -26.3969165301,-179.92025658 -26.3978255301,-179.92174968 -26.3987345300999,-179.9232417 -26.3996435300999,-179.92473462 -26.4005525301,-179.92622772 -26.4014604501,-179.92771974 -26.4023694501,-179.92921266 -26.4032784501,-179.93070558 -26.4041865501,-179.9321976 -26.4050955501,-179.9336907 -26.4060045501,-179.93518362 -26.4069124701,-179.93667672 -26.4078214701,-179.93816964 -26.4087304701,-179.93966274 -26.4096385701,-179.94115566 -26.4105475701,-179.94264858 -26.4114554901,-179.9441406 -26.4123644900999,-179.9456337 -26.4132725901,-179.94712662 -26.4141815900999,-179.94861972 -26.4150886100999,-179.95011372 -26.4159976101,-179.95160664 -26.4169066101,-179.95309974 -26.4178156101,-179.95459266 -26.4187235301,-179.95608558 -26.4196314500999,-179.95757868 -26.4205404501,-179.9590716 -26.4214485501,-179.9605656 -26.4223564701,-179.9620587 -26.4232654701,-179.96355162 -26.4241735701,-179.96504472 -26.4250814901,-179.96653872 -26.4259904900999,-179.96803164 -26.4268985901,-179.96952564 -26.4278056101,-179.97101874 -26.4287146101,-179.97251166 -26.4296225301,-179.97400566 -26.4305315301,-179.97549858 -26.4314394501,-179.97699258 -26.4323475501,-179.97848568 -26.4332554701,-179.97997968 -26.4341635701,-179.9814726 -26.4350714901,-179.9829666 -26.4359795901,-179.9844606 -26.4368866101,-179.9859537 -26.4377956101,-179.9874477 -26.4387035300999,-179.9889417 -26.4396114501,-179.99043462 -26.4405195501,-179.99192862 -26.4414274701,-179.99342262 -26.4423355701,-179.99491662 -26.4432434901,-179.99641062 -26.4441515901,-179.99790372 -26.4450586101,-179.99939772 -26.4459676101,-179.99999262 -26.4463195101,-179.99999262 -25.6950478700999,-179.99999262 -24.9437762301,-179.99999262 -24.1925045900999,-179.7863886 -24.2544454701,-179.47638864 -24.3188896100999,-179.1608337 -24.3580565300999,-179.07111072 -24.3688885701,-178.59535974 -24.8558535501,-178.59015864 -24.8593154901,-178.58532474 -24.8639004501,-178.06835466 -25.2062514501,-177.49115766 -25.4601205701,-176.87215458 -25.6172274501,-176.8717026 -25.6172675901,-176.86498572 -25.6189576101,-176.22426672 -25.6741144700999,-175.58284158 -25.6255225700999,-174.96173358 -25.4747705901,-174.3811416 -25.2267916101,-174.3794946 -25.2257324901,-174.3791157 -25.2255695901,-173.85762168 -24.8884375101,-173.41657074 -24.4778144900999,-173.07088362 -24.3255015501,-172.55621268 -23.9845145900999,-172.11696462 -23.5659294500999,-172.11640158 -23.5651585100999,-172.11497868 -23.5637964501,-171.76433868 -23.0809804701,-171.7638336 -23.0799195500999,-171.76335858 -23.0792625500999,-171.5113197 -22.5474624500999,-171.40888458 -22.1571625101,-171.29051874 -22.2092905101,-171.18575172 -22.2578154501,-171.18508662 -22.2579985100999,-171.1837206 -22.2586304901,-170.58198366 -22.4230306101,-169.95762162 -22.4862044901,-169.95452364 -22.4860115300999,-169.95252366 -22.4862106101,-169.88774058 -22.4821595301,-169.32576762 -22.4460425300999,-168.85135962 -22.3354134501,-168.7169556 -22.3038155301,-168.71513058 -22.3030535900999,-168.7149207 -22.3030035501,-168.70889862 -22.3004905700999,-168.7088007 -22.3004675300999,-168.70855464 -22.3003645700999,-168.68333358 -22.2944215101,-168.11220564 -22.0546105701,-167.59687464 -21.7250514500999,-167.29817274 -21.4500955101,-167.15341368 -21.3163045701,-167.15298474 -21.3157375701,-167.15041362 -21.3133595900999,-167.14951758 -21.3121744700999,-167.14402758 -21.3049215501,-167.13701262 -21.2956524501,-167.12154666 -21.2813325501,-167.11854462 -21.2773655300999,-167.1095736 -21.2690565501,-167.10741666 -21.2662044501,-167.10359868 -21.2626685300999,-166.85602074 -20.9344304301,-166.7457207 -20.7876375501,-166.74412662 -20.7844495701,-166.7339127 -20.7708385101,-166.73158962 -20.7661925301,-166.7299977 -20.7640705101,-166.68836766 -20.6807454500999,-166.4678916 -20.2378174701,-166.46750568 -20.2364624301,-166.4669277 -20.2352985500999,-166.46374962 -20.2241435901,-166.3835247 -19.9420445301,-166.31331264 -19.6943265501,-166.24581462 -19.8134305700999,-165.88986264 -20.2881865101,-165.44928564 -20.6967384500999,-164.93742774 -21.0261134300999,-164.37023964 -21.2657744301,-163.96919874 -21.3603984501,-163.7657496 -21.4080194301,-163.76266368 -21.4082244501,-163.74534066 -21.4122665300999,-163.38991266 -21.4352154500999,-163.37079972 -21.7396015700999,-163.36814868 -21.7499805501,-163.36806858 -21.7512554901,-163.36781568 -21.7522435101,-163.36729962 -21.7604675301,-163.22264172 -22.3250445501,-162.97285464 -22.8575545701,-162.97146864 -22.8594884901,-162.96800472 -22.8668454501,-162.61961274 -23.3506865301,-162.18256572 -23.7705944901,-162.18217674 -23.7708554901,-162.17756874 -23.7752645900999,-161.66492964 -24.1178155701,-161.09264358 -24.3719645901,-161.09215866 -24.3720895101,-161.09059158 -24.3727816101,-161.07682572 -24.3763425501,-161.0732556 -24.3779175500999,-161.07289758 -24.3780106101,-161.06918472 -24.3796495101,-161.06633262 -24.3803875100999,-161.06613372 -24.3804744501,-161.0656767 -24.3805925300999,-161.06409666 -24.3812905701,-160.45031664 -24.5386564701,-160.44598368 -24.5390434701,-160.4206476 -24.5454826101,-160.4192976 -24.5456035701,-160.41655764 -24.5462994500999,-160.16337072 -24.5686685901,-159.77803266 -24.8179486101,-159.77623158 -24.8187235101,-159.7760037 -24.8188705700999,-159.7744566 -24.8195365701,-159.77295468 -24.8205046101,-159.7711536 -24.8212795100999,-159.77092464 -24.8214274700999,-159.77062368 -24.8215565301,-159.76687464 -24.8239724901,-159.76656558 -24.8241055101,-159.76282464 -24.8265166100999,-159.18385464 -25.0741764501,-159.18357456 -25.0742455701,-159.1818156 -25.0749925701,-159.18179868 -25.0749976101,-159.17773968 -25.0767225501,-159.17772258 -25.0767265100999,-159.17366268 -25.0784525300999,-158.55435558 -25.2288425300999,-157.91487462 -25.2770765901,-157.9123386 -25.2768614901,-157.91077656 -25.2769765101,-157.27206672 -25.2214655901,-157.27070664 -25.2211216101,-157.21572456 -25.2162245301,-156.59878572 -25.0586125701,-156.14249958 -24.8944444700999,-156.06615456 -24.9071634501,-156.04938468 -24.9117944901,-156.0426957 -24.9148755501,-155.42936964 -25.0828124901,-155.34816768 -25.0914254900999,-155.27374668 -25.1628534501,-154.75794768 -25.5084646101,-154.18101168 -25.7659405701,-153.5613516 -25.9268594901,-153.5588496 -25.9270945701,-153.55419264 -25.9282935501,-153.52295868 -25.9312244901,-153.49476456 -25.9384725501,-153.49015458 -25.9389034701,-153.48860262 -25.9393025301,-152.84626758 -25.9980624501,-152.84510964 -25.9979836100999,-152.84421558 -25.9980635301,-152.20043856 -25.9529774901,-151.93408464 -25.8903875301,-151.85715858 -25.9603625300999,-151.3288107 -26.2949994501,-151.3274877 -26.2955545701,-151.32577356 -26.2966345701,-150.73818768 -26.5416874700999,-150.11025462 -26.6891575101,-149.99999994 -26.6968841901,-149.6323746 -26.7226475901,-149.48444664 -26.8129634901,-149.47507458 -26.8167465500999,-149.4701946 -26.8197205100999,-148.8760947 -27.0578374701,-148.2429627 -27.1978515501,-148.09511358 -27.2063245101,-148.13719956 -27.5145415701,-148.13717472 -27.5149595300999,-148.13722656 -27.5153425701,-148.13716068 -27.5164375101,-148.13729856 -27.5174395701,-148.13728956 -27.5175805101,-148.13997066 -27.5370655101,-148.13968572 -27.5418155300999,-148.1402826 -27.5461565900999,-148.14020466 -27.5474615900999,-148.14036864 -27.5486544500999,-148.1054886 -28.1281784901,-147.95624862 -28.6934895501,-147.95459964 -28.6968794901,-147.95437266 -28.6977375500999,-147.69354762 -29.2313484500999,-147.69299268 -29.2320895101,-147.6906696 -29.2368164901,-147.6820827 -29.2482594501,-147.6819027 -29.2486275501,-147.3158907 -29.7337334901,-146.8549917 -30.1548485301,-146.31297156 -30.4983104901,-146.30077062 -30.5034714500999,-146.27636766 -30.5188285101,-145.66998456 -30.7731875901,-145.12969656 -30.9037064901,-144.8281116 -31.0271805501,-144.81660456 -31.0299044901,-144.80860464 -31.0331655501,-144.1546677 -31.1861025501,-143.47859166 -31.2361915101,-143.47760166 -31.2361135701,-143.4765267 -31.2361906100999,-142.80094062 -31.1817434901,-142.14844764 -31.0246054701,-141.54064272 -30.7700435301,-140.99721156 -30.4265245101,-140.5351737 -30.0053484500999,-140.53434768 -30.0042616101,-140.53319658 -30.0032064501,-140.16636558 -29.5180394901,-139.90494672 -28.9844005101,-139.89550464 -28.9488496101,-139.89318858 -28.9440954500999,-139.74377058 -28.3787615301,-139.7435256 -28.3746856101,-139.74298758 -28.3726404500999,-139.70821068 -27.7931115500999,-139.78728666 -27.2170215501,-139.78812762 -27.2145634701,-139.78842858 -27.2123525301,-139.97725272 -26.6569535300999,-140.26874562 -26.1386455100999,-140.65316262 -25.6725374901,-140.6569266 -25.6693154901,-140.65717068 -25.6690184900999,-141.12244872 -25.2685364901,-141.65466966 -24.9451355300999,-141.9438366 -24.8250364701,-141.33014766 -24.9901006101,-140.76821862 -25.0462305501,-140.61667356 -25.1465735301,-140.03993466 -25.4012305101,-139.75867872 -25.4733545301,-139.49119458 -25.7212085901,-138.9667446 -26.0591954901,-138.38249862 -26.3080465701,-137.75718366 -26.4596305100999,-137.11118958 -26.5089645501,-137.11069854 -26.5089235101,-137.11015566 -26.5089645501,-136.46472354 -26.4544245501,-136.1843757 -26.3843744901,-136.16413362 -26.3925934700999,-135.53558964 -26.5354985300999,-134.88823962 -26.5758725301,-134.88743556 -26.5757954900999,-134.88618762 -26.5758705501,-134.15545458 -26.5719630200999,-133.42472154 -26.5680554900999,-133.36938558 -26.6468074701,-133.0184007 -27.1351004900999,-133.01827758 -27.1352194701,-133.01740962 -27.1364206101,-132.57347958 -27.5618615901,-132.04981854 -27.9107626101,-132.04373256 -27.9134854700999,-132.04271862 -27.9141575901,-132.04206468 -27.9144495501,-132.03865368 -27.9167105301,-132.03693558 -27.9174785901,-132.0356187 -27.9183505101,-132.03432954 -27.9189275900999,-132.03257058 -27.9200925501,-131.4453636 -28.1810185700999,-131.44004568 -28.1824144701,-131.43922758 -28.1827764501,-130.80736854 -28.3471585701,-130.15155366 -28.4095535901,-130.15093464 -28.4095165101,-130.15051668 -28.4095544900999,-129.99999996 -28.4000170101,-129.4924356 -28.3678555101,-128.85388758 -28.2234245901,-128.84400666 -28.2194474901,-128.84264154 -28.2191355501,-128.24465868 -27.9766904901,-128.24228466 -27.9752324900999,-128.24160264 -27.9749545701,-127.79289756 -27.6980144900999,-127.65472956 -27.6872625501,-127.02258864 -27.5351324901,-126.82467558 -27.4518535101,-126.60520266 -27.5859256100999,-126.60107562 -27.5875934901,-126.6001056 -27.5881835301,-126.5991147 -27.5885845701,-126.59909562 -27.5885964500999,-126.0017037 -27.8282914701,-125.36454258 -27.9698614701,-124.7085396 -28.0086475101,-124.70776668 -28.0085724501,-124.70648256 -28.0086455301,-124.05334662 -27.9433895901,-124.05022956 -27.9425686101,-124.04922768 -27.9424654700999,-123.4205406 -27.7753615701,-122.83682868 -27.5119844901,-122.83231662 -27.5089554501,-122.82974766 -27.5077895901,-122.30972154 -27.1567924701,-121.86947664 -26.7296324901,-121.8691206 -26.7291324500999,-121.86649764 -26.7265755500999,-121.51912464 -26.2369775301,-121.5188136 -26.2362985701,-121.51814958 -26.2353595101,-121.27332564 -25.6988475500999,-121.1371956 -25.1321746100999,-121.11237954 -24.5527726101,-121.11251958 -24.5518394901,-121.11245262 -24.5502754701,-121.19814954 -23.9757095301,-121.3903656 -23.4231665900999,-121.39088454 -23.4222565100999,-121.3914267 -23.4206915901,-121.68322164 -22.9064985501,-121.68415656 -22.9053744501,-121.68424368 -22.9052205501,-122.06607768 -22.4444146101,-122.5261377 -22.0503605901,-123.05068668 -21.7344105500999,-123.05264166 -21.7336365501,-123.05265066 -21.7336306100999,-123.6263976 -21.5048365700999,-124.23290166 -21.3697525100999,-124.85494458 -21.3322495101,-124.86080466 -21.3328395500999,-124.8705396 -21.3322315100999,-125.49053358 -21.3933474501,-126.0909306 -21.5514425301,-126.09096354 -21.5514574700999,-126.09387468 -21.5522174300999,-126.09445158 -21.5524755501,-126.09680562 -21.5530904300999,-126.2170647 -21.6067975701,-126.49704264 -21.4280705301,-127.06339464 -21.1862435900999,-127.06356564 -21.1862014701,-127.06438158 -21.1858504700999,-127.6657596 -21.0370855101,-128.2850397 -20.9856134301,-128.90467854 -21.0328925901,-128.92293756 -21.0373175301,-129.45142368 -20.8010124501,-129.99999996 -20.6558165301,-130.04872362 -20.6429204301,-130.6655127 -20.5818595700999,-130.6661247 -20.5818984501,-130.6664946 -20.5818604700999,-131.28526962 -20.6195305100999,-131.88849768 -20.7548275101,-131.97861054 -20.7649994901,-132.12960462 -20.3234045900999,-132.13024164 -20.3222185700999,-132.13065564 -20.3209245501,-132.40799154 -19.8019325301,-132.40932156 -19.8002455701,-132.41105658 -19.7969855901,-132.77783664 -19.3302284901,-132.78528864 -19.3235414901,-132.7868397 -19.3215584301,-132.86360862 -19.2526135701,-132.8235696 -19.0965404301,-132.78492162 -18.5174275100999,-132.78528864 -18.5143145901,-132.78505662 -18.5108315901,-132.85275156 -17.9341234701,-132.85358856 -17.9314085301,-132.85385262 -17.9291455700999,-133.02483354 -17.3721875901,-133.29313164 -16.8515885300999,-133.29357462 -16.8510085701,-133.29414054 -16.8499055301,-133.6510917 -16.3810694301,-133.6619376 -16.3710405501,-133.66210662 -16.3708184301,-134.0966367 -15.9675095300999,-134.0978166 -15.9667425500999,-134.10759564 -15.9576325701,-134.10822456 -15.9572225301,-134.10958554 -15.9559544301,-134.11119366 -15.9549084501,-134.11356462 -15.9526994900999,-134.11814958 -15.9497154500999,-134.11853766 -15.9493545501,-134.61754068 -15.6233425101,-134.64806454 -15.6100995501,-134.6640066 -15.5996375900999,-134.66414556 -15.5995774700999,-134.66796354 -15.5970715101,-134.73052164 -15.5698994301,-134.73517266 -15.5668435701,-134.73682758 -15.5661244701,-134.7381306 -15.5652685701,-134.7399936 -15.5644585700999,-134.74010556 -15.5643854901,-135.2886057 -15.3248805501,-135.38569266 -15.3007265301,-135.34740558 -14.8319894301,-135.34767558 -14.8292705301,-135.34748964 -14.8269904700999,-135.40468266 -14.2488104901,-135.56381364 -13.6889305701,-135.8193807 -13.1641124901,-135.81994968 -13.1633294901,-135.82038762 -13.1624264301,-136.09346958 -12.7857924501,-135.79348464 -12.4861235901,-135.45931158 -12.0066575901,-135.2162466 -11.4775785501,-135.07117956 -10.9151305701,-135.02794356 -10.3364744900999,-135.02796354 -10.3362835101,-135.0279477 -10.3360754301,-135.02803158 -10.3352605700999,-135.0279657 -10.3343765901,-135.02798568 -10.3341845301,-135.02796966 -10.3339764501,-135.08730558 -9.75666245009995,-135.24691464 -9.19810751009987,-135.50157864 -8.67509555010002,-135.72817668 -8.36249657010001,-135.75330954 -8.27334455009998,-136.00617354 -7.74981059009991,-136.34612658 -7.27735649009992,-136.76279958 -6.87011747010001,-136.76305068 -6.86994557010001,-136.76579964 -6.86725457009999,-136.91763162 -6.76322753009993,-136.93419756 -6.74004353009997,-136.93601664 -6.7382595501,-136.93619754 -6.7380064701,-136.93785264 -6.73638449010002,-136.9381986 -6.73590047009992,-137.35362762 -6.3278865501,-137.43486558 -6.27196451009996,-137.4740397 -6.18942947009998,-137.81069856 -5.71530749009997,-137.81100168 -5.7150074301,-137.8116927 -5.71403345009998,-138.2252526 -5.30488355009993,-138.70322568 -4.97295347009998,-139.23125658 -4.72817147009994,-139.79354562 -4.57785059009996,-140.37329556 -4.52647751009988,-140.37380766 -4.52652143009988,-140.37429564 -4.52647751009988,-140.9542056 -4.57557755009998,-141.0814656 -4.60914359010002,-141.13693368 -4.61377859010003,-141.69980268 -4.76161349009999,-142.2287667 -5.00401247009995,-142.28034264 -5.03955059010002,-142.36909758 -5.08010549009998,-142.84853568 -5.40961943009995,-143.26391664 -5.81658845009991,-143.26461468 -5.81756243009994,-143.2649097 -5.81785151009996,-143.26765056 -5.82167759010002,-143.27092764 -5.82488357009998,-143.60975172 -6.2971184301,-143.61538068 -6.30883445009988,-143.61679566 -6.31080347009998,-143.8687557 -6.83416157009998,-143.86948272 -6.83674853009995,-143.8697826 -6.8373715100999,-143.87285772 -6.84832055009997,-143.87310972 -6.84921659010001,-143.87386464 -6.85078259009993,-143.8746966 -6.85374647010002,-143.87489262 -6.85415147009996,-144.03218562 -7.41293357009994,-144.03226572 -7.41373745009992,-144.03320856 -7.41708149009997,-144.09074466 -7.99448747009995,-144.09071064 -7.99492649009989,-144.09075168 -7.99533743009994,-144.09073656 -7.99553345009991,-144.09075456 -7.99571651009995,-144.0897777 -8.00842559009999,-144.08987958 -8.00944547009993,-144.04550958 -8.58804557010001,-144.04468356 -8.59124147009999,-144.04454568 -8.59304147009999,-143.96772564 -8.89014245009986,-143.9413056 -9.2360885901,-143.79583158 -9.79834649010002,-143.55302364 -10.3271195300999,-143.21981772 -10.8061844901,-143.1840996 -10.8420215901,-143.0726886 -11.0834314701,-143.0245197 -11.1523905500999,-143.1657657 -11.2176785301,-143.41431168 -11.3891805501,-143.69012262 -11.2633065501,-144.26153172 -11.1125504300999,-144.2784897 -11.1110605700999,-144.28620468 -11.1090145100999,-144.87525972 -11.0565295701,-145.1529927 -11.0790254300999,-145.24744968 -11.0536025901,-145.8362466 -10.9988534300999,-145.84200768 -10.9993014500999,-145.85301756 -10.9982635701,-145.85955858 -10.9987715301,-145.8648657 -10.9982714901,-146.4544557 -11.0432995700999,-146.85890958 -11.1447445100999,-146.8709226 -11.1456265100999,-146.8799586 -11.1478835301,-146.8896696 -11.1485965101,-146.89110258 -11.1489545301,-146.89164168 -11.1489935901,-147.0650697 -11.1920695700999,-147.01130262 -11.0817905901,-146.86633368 -10.5192504500999,-146.8660536 -10.5154915101,-146.86444062 -10.5092275100999,-146.82118356 -9.93054245009989,-146.82138966 -9.92853743009999,-146.82122766 -9.92636645009998,-146.82242862 -9.91470353009998,-146.8223667 -9.91387553009992,-146.82240558 -9.91349159009997,-146.82237462 -9.91307651009998,-146.8227897 -9.90905045009993,-146.82246264 -9.90469247009997,-146.8225017 -9.90431843009992,-146.82247164 -9.90391343009998,-146.82267864 -9.90190247010003,-146.82251556 -9.89972645009993,-146.88168264 -9.32244755009987,-146.8822716 -9.32038655009995,-146.88273762 -9.31582355009999,-147.04204158 -8.7573665301,-147.04224858 -8.75694047010001,-147.0430746 -8.75403743009997,-147.04378758 -8.75257457009997,-147.04408566 -8.75152859010001,-147.29831172 -8.2286654900999,-147.29897358 -8.22775253010002,-147.29932656 -8.22702443010002,-147.29997366 -8.22613253010002,-147.30034158 -8.22537347010001,-147.6415566 -7.75375547009992,-147.64318758 -7.75217255009994,-147.64355658 -7.75166153010002,-148.06134558 -7.34537147010002,-148.54312656 -7.01652749009997,-149.07449358 -6.77492843009998,-149.63963256 -6.62777357009998,-149.99999994 -6.59786045009997,-150.22176372 -6.57945257009993,-150.22288566 -6.57955355009994,-150.22374462 -6.57948155010001,-150.80560056 -6.63144251009999,-151.36991658 -6.78215759009998,-151.37126172 -6.78278057009993,-151.37190072 -6.78295049009995,-151.56799956 -6.87372845009992,-151.7909436 -6.81408545009992,-152.37304758 -6.76211153009996,-152.70449958 -6.78960149009998,-152.6889546 -6.7560874701,-152.60471262 -6.4373465301,-152.34648264 -6.1782385100999,-152.01418968 -5.70110045009994,-152.01385056 -5.70036659009997,-152.01320364 -5.69943743009992,-151.7695857 -5.17213049010002,-151.76606166 -5.15874245010002,-151.7537457 -5.13207653009999,-151.75349568 -5.1311255901,-151.7527647 -5.12954249009999,-151.60496256 -4.56816047009994,-151.6048146 -4.56636749009999,-151.6039776 -4.56318851009996,-151.55618958 -3.9847975701,-151.60961664 -3.4069284501,-151.76245158 -2.84705555009992,-152.00994258 -2.32208645009996,-152.34454764 -1.8478634901,-152.75614068 -1.43869757009998,-153.23230656 -1.10694749009991,-153.2327526 -1.10674049009992,-153.2343006 -1.10566049009992,-153.76068162 -0.861352430099942,-154.32140358 -0.711883490099979,-154.32254856 -0.711784490099888,-154.32838668 -0.71022551009986,-154.84040064 -0.665850470099997,-154.61493966 -0.441123530100015,-154.30482864 4.89899946387595e-07,-153.4438629 4.89899946387595e-07,-152.58289716 4.89899946387595e-07,-151.72193142 4.89899946387595e-07,-150.86096568 4.89899946387595e-07,-149.99999994 4.89899946387595e-07,-149.001879096 4.89899946387595e-07,-148.003758252 4.89899946387595e-07,-147.005637408 4.89899946387595e-07,-146.007516564 4.89899946387595e-07,-145.00939572 4.89899946387595e-07,-144.011274876 4.89899946387595e-07,-143.013154032 4.89899946387595e-07,-142.015033188 4.89899946387595e-07,-141.016912344 4.89899946387595e-07,-140.0187915 4.89899946387595e-07,-139.020670656 4.89899946387595e-07,-138.022549812 4.89899946387595e-07,-137.024428968 4.89899946387595e-07,-136.026308124 4.89899946387595e-07,-135.02818728 4.89899946387595e-07,-134.030066436 4.89899946387595e-07,-133.031945592 4.89899946387595e-07,-132.033824748 4.89899946387595e-07,-131.035703904 4.89899946387595e-07,-130.03758306 4.89899946387595e-07,-129.039462216 4.89899946387595e-07,-128.041341372 4.89899946387595e-07,-127.043220528 4.89899946387595e-07,-126.045099684 4.89899946387595e-07,-125.04697884 4.89899946387595e-07,-124.048857996 4.89899946387595e-07,-123.050737152 4.89899946387595e-07,-122.052616308 4.89899946387595e-07,-121.054495464 4.89899946387595e-07,-120.05637462 4.89899946387595e-07,-119.058253776 4.89899946387595e-07,-118.060132932 4.89899946387595e-07,-117.062012088 4.89899946387595e-07,-116.063891244 4.89899946387595e-07,-115.0657704 4.89899946387595e-07,-114.067649556 4.89899946387595e-07,-113.069528712 4.89899946387595e-07,-112.071407868 4.89899946387595e-07,-111.073287024 4.89899946387595e-07,-110.07516618 4.89899946387595e-07,-109.077045336 4.89899946387595e-07,-108.078924492 4.89899946387595e-07,-107.080803648 4.89899946387595e-07,-106.082682804 4.89899946387595e-07,-105.08456196 4.89899946387595e-07,-104.086441116 4.89899946387595e-07,-103.088320272 4.89899946387595e-07,-102.090199428 4.89899946387595e-07,-101.092078584 4.89899946387595e-07,-100.09395774 4.89899946387595e-07,-99.095836896 4.89899946387595e-07,-98.097716052 4.89899946387595e-07,-97.099595208 4.89899946387595e-07,-96.101474364 4.89899946387595e-07,-95.1033535199999 4.89899946387595e-07,-95.10138666 -0.0224444300998812,-95.08947462 -0.0668324301000212,-95.08535766 -0.113840510099976,-95.0734456199999 -0.158244530099864,-95.0693345999999 -0.205238570099993,-95.05742364 -0.249656450100019,-95.0533176599999 -0.296637530099986,-95.04140652 -0.341069450100008,-95.03730666 -0.388036490099978,-95.0253966 -0.43248245009994,-95.0213016 -0.479437430100006,-95.0093915399999 -0.523897430100021,-95.00530266 -0.570839450099982,-94.9933935 -0.615311510100014,-94.98930966 -0.662242550099961,-94.9774005 -0.706727570099986,-94.97332152 -0.753646550099916,-94.96141452 -0.798143450099928,-94.9573405799999 -0.845051450099959,-94.94946954 -0.874471550099997,-94.94677962 -0.905472590099976,-94.79699262 -1.46602553010001,-94.79686158 -1.46630759009997,-94.78882764 -1.49640251009993,-94.78843866 -1.49723843009991,-94.7647436399999 -1.58601749010001,-94.7643516 -1.58686151009994,-94.74066558 -1.67563355009992,-94.7402685 -1.67648549009999,-94.71659166 -1.76525159009998,-94.7161915199999 -1.7661105501,-94.6925226 -1.85487053009996,-94.69211958 -1.85573651009986,-94.66845858 -1.94449253009992,-94.6680676199999 -1.94533259009989,-94.6452576599999 -2.03091449009997,-94.4006355 -2.55711155009999,-94.39963254 -2.55854651009997,-94.39896852 -2.55997643009999,-94.3843545 -2.58088955009998,-94.3746704999999 -2.60172851009997,-94.0422526199999 -3.07751657009999,-94.0397894999999 -3.07998257010001,-94.0051386 -3.12958643009995,-93.5948725199999 -3.54048845009999,-93.11913054 -3.87395357009996,-93.1115485799999 -3.87749255009993,-93.06635364 -3.90916751009996,-93.0659205599999 -3.90936947009999,-93.0633375599999 -3.91117955009992,-92.5365256199999 -4.15700753009992,-92.05026858 -4.28739755010002,-92.01624354 -4.30326455009993,-91.9996646399999 -4.30770947010001,-91.9307466 -4.33984559010003,-91.9141716599999 -4.34428853010002,-91.8452465999999 -4.37642555010001,-91.82867562 -4.38086651010002,-91.75974264 -4.41300551009999,-91.74317652 -4.41744449010002,-91.6742345399999 -4.4495834901,-91.65767454 -4.45402049009988,-91.5887235599999 -4.48616057010003,-91.5876716399999 -4.48644245010001,-91.58328954 -4.48848545009992,-91.02120966 -4.63901153009994,-90.4413636 -4.68968243009999,-90.4274685 -4.68846743009993,-90.35436258 -4.69484753009999,-90.3395286 -4.69355045010002,-90.26145666 -4.70036147009995,-90.2466275399999 -4.69906457010001,-90.16855056 -4.70587343009993,-90.15372558 -4.70457653009998,-90.07564356 -4.71138251010001,-90.06082254 -4.71008543009998,-89.98273566 -4.71689051009986,-89.9679186 -4.71559253010003,-89.88982758 -4.72239545009995,-89.87501466 -4.72109747009995,-89.7969186 -4.72789859009993,-89.7821096399999 -4.72660043010001,-89.7040076399999 -4.7333984901,-89.69082156 -4.73224343009997,-89.6212506599999 -4.73829647009995,-89.04140154 -4.68740147009993,-88.4794176 -4.5366734301,-87.9524976599999 -4.29075455010002,-87.47670456 -3.95719349009994,-87.06647052 -3.54620147010002,-86.7341655 -3.07032557009995,-86.7316094999999 -3.0648204501,-86.7292565399999 -3.06145049010001,-86.70586752 -3.0110755101,-86.6843335799999 -2.98024457009996,-86.66094258 -2.92986959009994,-86.6394095399999 -2.89904045010002,-86.61601566 -2.84866457009991,-86.59448262 -2.81783849009986,-86.5710854999999 -2.76746153009998,-86.54955354 -2.73663851009997,-86.5261526399999 -2.68625957009999,-86.5046226599999 -2.65544159009988,-86.48121762 -2.60505851009992,-86.45968962 -2.57424557009995,-86.43628062 -2.52385853009986,-86.4147546 -2.49305243010002,-86.39133966 -2.44266053009994,-86.3698176 -2.41186145009999,-86.36001156 -2.3907605901,-86.35100166 -2.37786755010001,-86.10640254 -1.85176643009999,-85.95685854 -1.29123149010002,-85.9067985599999 -0.713239430099918,-85.95768564 -0.135280490099888,-85.99396464 4.89899946387595e-07,-85.07037015 4.89899946387595e-07,-84.14677566 4.89899946387595e-07,-84.19858452 -0.110911550100013,-84.34933254 -0.671268470100017,-84.3519545999999 -0.700870550099978,-84.35916252 -0.727628450099871,-84.41054964 -1.30560845009995,-84.41007858 -1.31108243009999,-84.41475354 -1.36346945010001,-84.41428266 -1.36894847009995,-84.4189605 -1.42133045010002,-84.4184885399999 -1.42681559009998,-84.42316962 -1.4791914500999,-84.42269766 -1.48468145009991,-84.42738054 -1.53705245009996,-84.42690966 -1.54254749009999,-84.4315956 -1.59491345010002,-84.43112364 -1.60041353010001,-84.4358126399999 -1.65277355009994,-84.4353404999999 -1.65827957009998,-84.44003166 -1.7106345501,-84.43955952 -1.7161445301,-84.4442535599999 -1.76849447009999,-84.4437815999999 -1.77401057009996,-84.4484776199999 -1.82635457009991,-84.44800566 -1.83187643010001,-84.4527056399999 -1.88421449009996,-84.4522325999999 -1.88974157009994,-84.45693456 -1.94207459009999,-84.4564626 -1.94760743009999,-84.46116654 -1.99993451009993,-84.4606945799999 -2.00547257009998,-84.4654015799999 -2.05779353010001,-84.4649285399999 -2.06333843009998,-84.4696395 -2.11565345010001,-84.4691655599999 -2.12120357009997,-84.4738785 -2.17351247009992,-84.47340564 -2.17906853009998,-84.4781216399999 -2.2313714901,-84.4776475199999 -2.23693349009994,-84.48236658 -2.28923159009992,-84.48189264 -2.29479953010002,-84.48661458 -2.34709043009997,-84.48614064 -2.35266449009987,-84.4908645599999 -2.40494855010002,-84.49039062 -2.41052855010003,-84.49511652 -2.46280757009998,-84.4946425799999 -2.46839351009999,-84.49937262 -2.52066659010001,-84.4988976 -2.5262584701,-84.5036305199999 -2.57852453009997,-84.5031555 -2.58412343009996,-84.5078905799999 -2.63638355009999,-84.50741556 -2.64198749010001,-84.51215352 -2.69424149009996,-84.5116785 -2.69985245009997,-84.5164195199999 -2.75209943009997,-84.5159436 -2.75771651010001,-84.5206875 -2.80995755009997,-84.52021158 -2.81558147009997,-84.52495764 -2.86781549009999,-84.52448262 -2.87344553010001,-84.52923156 -2.92567343009995,-84.5287556399999 -2.9313095901,-84.5335076399999 -2.98353047009999,-84.53303064 -2.98917347009996,-84.5377855199999 -3.04138859009998,-84.5373096 -3.0470375301,-84.54206664 -3.09924545009989,-84.5415896399999 -3.10490159009998,-84.54635064 -3.15710249009999,-84.5458736399999 -3.16276547009994,-84.5506366199999 -3.21495953009997,-84.55015962 -3.22062953009998,-84.55492458 -3.27281657010002,-84.5544475799999 -3.27849251009997,-84.5592165 -3.33067343009998,-84.5587386 -3.33635657010001,-84.56351058 -3.38853047010002),(-81.2027235599999 -23.0749295901,-81.7862346 -23.2940014700999,-81.7907065199999 -23.2965796101,-81.7911486 -23.2967444901,-82.3266855 -23.6034785301,-82.7987365799999 -23.9891805501,-82.79891154 -23.9893816100999,-82.8067185 -23.9957235501,-83.2013265599999 -24.4493525300999,-83.20361364 -24.4531895901,-83.21048352 -24.4610395701,-83.51549856 -24.9695494701,-83.72086866 -25.5182045901,-83.81918052 -26.0908794501,-83.81916558 -26.0915225901,-83.81921058 -26.0917785501,-83.8059465599999 -26.6714105900999,-83.6797806 -27.2404645701,-83.67652062 -27.2479374500999,-83.6734125599999 -27.2619124701,-83.4364035 -27.8028815901,-83.09430252 -28.2988494501,-82.65646854 -28.7340424701,-82.13578362 -29.0943886101,-82.1337704999999 -29.0953336101,-82.1327486399999 -29.0960356100999,-82.12502466 -29.0996595501,-82.10539458 -29.1131604500999,-81.51778656 -29.3867114900999,-80.88227262 -29.5644825501,-80.81936658 -29.5718434701,-80.6868275399999 -29.6084045301,-80.6832315 -29.6088196100999,-80.6817065399999 -29.6092404500999,-80.01874764 -29.6842666101,-80.01431352 -29.6840835501,-80.01254466 -29.6842795701,-79.34478858 -29.6548974501,-79.33765266 -29.6534596101,-79.3334294999999 -29.6532616100999,-79.3290636 -29.6523815900999,-79.32830058 -29.6523464901,-78.67808658 -29.5194434901,-78.06694554 -29.2875084501,-77.5147904999999 -28.9642264701,-77.5130695199999 -28.9627745901,-77.5127595599999 -28.9625915300999,-77.51216664 -28.9620914901,-77.51075454 -28.9612584500999,-77.03510364 -28.5572484501,-76.65037956 -28.0856725701,-76.36759758 -27.5616734901,-76.1941215 -27.0018256101,-76.13362764 -26.4235576101,-76.13372952 -26.4224345901,-76.13367966 -26.4219556100999,-76.1337376199999 -26.4213245301,-76.13370954 -26.4210556101,-76.13376066 -26.4204945500999,-76.1337365399999 -26.4202546100999,-76.13384454 -26.4190624701,-76.1337925199999 -26.4185555901,-76.18637466 -25.8395825301,-76.34876364 -25.2773626100999,-76.61462058 -24.7486036101,-76.9748625 -24.2688035300999,-77.4180314999999 -23.8518526100999,-77.41928466 -23.8510204701,-77.42400354 -23.8465575500999,-77.42458962 -23.8461685701,-77.4250064999999 -23.8457745501,-77.9375995199999 -23.5035905900999,-77.9390676 -23.5029274701,-77.94054864 -23.5019326101,-78.50752362 -23.2442384901,-78.57759654 -23.2251815301,-78.71714658 -23.1611324900999,-78.72012666 -23.1603174500999,-78.72300252 -23.1589955301,-79.32741156 -22.9920865701,-79.9529205599999 -22.9215344901,-80.5819505399999 -22.9492724901,-80.58340854 -22.9495734500999,-80.58779964 -22.9497556101,-81.2027235599999 -23.0749295901),(-104.73161256 -29.7334735701,-104.09091354 -29.5694415500999,-103.49551656 -29.3086555701,-102.96458568 -28.9597576100999,-102.51465768 -28.5341794701,-102.15910854 -28.0456745901,-102.15892962 -28.0452935301,-102.1561866 -28.0415056101,-101.90492262 -27.5056265300999,-101.76415866 -26.9391735501,-101.73650868 -26.3596165701,-101.82110166 -25.7845486101,-102.01381164 -25.2311735301,-102.01548168 -25.2282605901,-102.01590864 -25.2270256101,-102.30963354 -24.7116704900999,-102.69468666 -24.2493705501,-103.15909152 -23.8534794500999,-103.68897066 -23.5353406101,-103.69008468 -23.5348996101,-103.69389258 -23.5326004701,-104.2738146 -23.3012574500999,-104.88724956 -23.1632986101,-104.88875364 -23.1632055501,-104.89309056 -23.1622186101,-105.52271652 -23.1215324901,-105.54415362 -23.1235504701,-105.60638754 -23.1193665500999,-106.23455262 -23.1767784501,-106.23460356 -23.1767915901,-106.23553362 -23.1768745700999,-106.84462068 -23.3311545500999,-107.41738752 -23.5779685701,-107.93740266 -23.9103324500999,-107.99193762 -23.9598324501,-108.01541754 -23.9539835300999,-108.02432358 -23.9501435900999,-108.03555558 -23.9473426101,-108.04779558 -23.9420624901,-108.05031054 -23.9414344700999,-108.0526896 -23.9404084701,-108.05302566 -23.9403245900999,-108.05464566 -23.9396254701,-108.6666516 -23.7854135301,-108.67767462 -23.7844355900999,-108.69294366 -23.7805484901,-109.32406758 -23.7230514501,-109.32464268 -23.7230896101,-109.3250466 -23.7230514501,-109.9576296 -23.7639755300999,-109.95936552 -23.7643695501,-109.96540956 -23.7647464701,-110.58172956 -23.9028874701,-110.58175368 -23.9028975501,-110.58563052 -23.9037575900999,-111.16832166 -24.1352176100999,-111.16833156 -24.1352244501,-111.17028258 -24.1359944901,-111.70273356 -24.4542226100999,-111.70686258 -24.4577455701,-111.70770264 -24.4582434501,-112.17446856 -24.8541725301,-112.17549564 -24.8554055301,-112.17647664 -24.8562335301,-112.56359562 -25.3185415701,-112.56379956 -25.3189004901,-112.56969852 -25.3259044701,-112.57417962 -25.3337645300999,-112.57586568 -25.3357655900999,-112.58919162 -25.3591304901,-112.59335556 -25.3640705901,-112.8890376 -25.8793495701,-112.8975066 -25.9036234701,-112.90707666 -25.9201955301,-112.91131566 -25.9323354501,-112.91242752 -25.9342605501,-112.91379768 -25.9381814901,-112.91769558 -25.9449286101,-113.11216164 -26.4981985700999,-113.11463466 -26.5149076101,-113.1179706 -26.5243385301,-113.20378362 -27.0993485301,-113.20377264 -27.0995864901,-113.20379766 -27.0997484901,-113.17665564 -27.6793155501,-113.03561556 -28.2458444901,-112.78324458 -28.7818605501,-112.42577052 -29.2705535301,-112.42546056 -29.2708454900999,-112.42477854 -29.2717735700999,-111.97210356 -29.6975675300999,-111.43768662 -30.0466834701,-110.83818168 -30.3076696101,-110.19291264 -30.4718656100999,-109.52314452 -30.5337676101,-109.52192466 -30.5336934501,-109.52108154 -30.5337695901,-108.84914658 -30.4912696100999,-108.82881054 -30.4867814901,-108.81924768 -30.4861525701,-108.16766262 -30.3405244700999,-108.16688268 -30.3402155900999,-108.16459164 -30.3396964701,-107.55488268 -30.0959145501,-107.55086256 -30.0934814901,-107.36507952 -30.0184385900999,-106.81806366 -29.6838706101,-106.73737956 -29.6129146101,-106.1593956 -29.7431525301,-106.08410268 -29.7481644500999,-106.06357566 -29.7527285301,-105.39654066 -29.7952664900999,-104.73161256 -29.7334735701)))', 'SPRFMO', 'South Pacific Regional Fisheries Management Organisation', 'No', 'Y'),('SRID=4326;MULTIPOLYGON(((64.99999998 0.999926787900051,64.99999998 1.29900115553028e-07,65.929921812 1.29900115553028e-07,66.8598436440001 1.29900115553028e-07,67.789765476 1.29900115553028e-07,68.7196873080001 1.29900115553028e-07,69.6496091400001 1.29900115553028e-07,69.67580652 -0.158902250099914,69.6760965 -0.160150190099955,69.6767104800001 -0.16387511009998,69.6875895000001 -0.213641150099932,69.69335148 -0.248620190099984,69.69497148 -0.255601130099933,69.6950566200001 -0.256116110099981,69.7444435800001 -0.468959090099986,69.7469085000001 -0.477135230099975,69.7549575600001 -0.51184625009995,69.7526645400001 -0.582881090099988,69.7526665200001 -0.586658210099927,69.7526766 -0.594963230100007,69.75976356 -0.809596130099976,69.78095748 -1.02704621010002,69.8161676400001 -1.24261817009995,69.8652396000001 -1.45540121009998,69.9279676200001 -1.66449911009988,70.0040885400001 -1.86903221009993,70.09328448 -2.06813417009994,70.1378794800001 -2.15628323009997,70.2051226200001 -2.28007211009992,70.20516258 -2.28014213009988,70.2072115200001 -2.28379019009998,70.0962825600001 -2.34308615009996,69.91108758 -2.45819921009996,69.7336984800001 -2.58519209010001,69.6518226000001 -2.64998921009993,69.5607696000001 -2.72687315009995,69.4752246000001 -2.80439015010001,69.4730295000001 -2.80644809009993,69.3990126 -2.8780382301,69.2493994800001 -3.03728513009992,69.2430904799999 -3.04494125010001,69.23859156 -3.04973015009995,69.09956154 -3.21844721010001,68.9717156400001 -3.39592811009993,68.8556044800001 -3.58142225009999,68.7517306200001 -3.77414825009993,68.7479725800001 -3.78235715009998,68.7416625 -3.79406309009994,68.65047054 -3.99320609009999,68.57237052 -4.1979231501,68.5722236400001 -4.19835209009995,68.5706445 -4.20292013009998,68.5561536000001 -4.24589009009998,68.5076014800001 -4.40595113009994,68.50261548 -4.42398425009998,68.4930135600001 -4.4641841900999,68.4009925200001 -4.61064623009992,68.2967086200001 -4.80337313009994,68.20513164 -5.00252513010003,68.1266646 -5.20726109009996,68.11856154 -5.23336811009995,68.07341754 -5.35108613009993,68.0083666200001 -5.56053611009997,67.95707148 -5.77380515009992,67.9197735 -5.98998713009996,67.89664548 -6.20815613010001,67.88781054 -6.4273781300999,67.88778462 -6.43103213009999,67.8877306200001 -6.43934219009992,67.89326958 -6.65502215009991,67.8988035000001 -6.73425509010002,67.9138705800001 -6.8827531101,67.9473086400001 -7.09579319009998,67.9487895 -7.10358125009998,67.9970865600001 -7.31760917009996,68.0577885000001 -7.52273123010002,68.0706756 -7.57975919009999,68.13300852 -7.79013311009987,68.2090675200001 -7.99596113009994,68.2650835200001 -8.1254972301,68.2993346400001 -8.1980892501,68.4018514800001 -8.39217911009996,68.51698452 -8.57912423009998,68.64424956 -8.75811515010002,68.7831046200001 -8.92837517009991,68.93295858 -9.08916611009988,69.03903456 -9.19109921009999,69.0403325400001 -9.1922931501,69.0944686200001 -9.24098423010003,69.1076095200001 -9.25179917010001,69.10859448 -9.25270709009999,69.2784815400001 -9.39250409009992,69.4573016400001 -9.5208791901,69.6442795200001 -9.63727421009997,69.8386046400001 -9.74118623009997,69.8841225 -9.76321121009994,70.0411395600001 -9.83298011009992,70.0795774800001 -9.8474391501,70.20250056 -9.96165617009996,70.3729155600001 -10.1009151500999,70.5522425400001 -10.2287322500999,70.73970462 -10.3445581101,70.9344855000001 -10.4478952101,71.1357386400001 -10.5382982301,71.34258564 -10.6153790901,71.5541236200001 -10.6788101901,71.76942954 -10.7283211700999,71.9875625400001 -10.7637032301,72.2075706000001 -10.7848091300999,72.42849252 -10.7915512101,72.48075264 -10.7910410901,72.4831624800001 -10.7909991500999,72.65177262 -10.7838632301,72.8716294800001 -10.7618672301,73.0895146200001 -10.7256222501,73.3044816000001 -10.6752852500999,73.4347575 -10.6374470901,73.51810848 -10.6102951701,73.5208506 -10.6093622300999,73.5231276000001 -10.6085882300999,73.7294725800001 -10.5307911501,73.88834256 -10.4600281101,73.9318635000001 -10.4389272501,74.1260205000001 -10.3350172101,74.31281748 -10.2186992301,74.4914494800001 -10.0904701101,74.6611515000001 -9.95088515010002,74.8212015600001 -9.80054411009996,74.82865662 -9.79304117010003,74.83075848 -9.79091717009993,74.9366215200001 -9.67895915010001,75.0269955599999 -9.57955325009993,75.1657105800001 -9.40965719009995,75.2928696000001 -9.2310662301,75.4079355000001 -9.04454717009997,75.4548705 -8.95968023009999,75.5113195800001 -8.84922809009998,75.6008065800001 -8.64928121010001,75.67692156 -8.44389113009993,75.73934754 -8.23394021009995,75.7878336 -8.02032521009994,75.82218354 -7.80396413009993,75.8422645200001 -7.58578325009995,75.8477745000001 -7.43352719009999,75.8500875 -7.28993021009995,75.8500695000001 -7.2865921101,75.8500455600001 -7.28258621010002,75.84143562 -7.06356113009991,75.8185225200001 -6.84553019010002,75.7814175000001 -6.62942723010002,75.7302906600001 -6.41617925010002,75.7292695200001 -6.41246621009992,75.6876096 -6.27271313009999,75.6636445800001 -6.20084525009997,75.6403335000001 -6.13996115009996,75.64479966 -6.11183309009994,75.66495552 -5.89341011009992,75.67081254 -5.6768562501,75.6708046200001 -5.67522725009997,75.6707895000001 -5.67248711010001,75.6623066400001 -5.45326313009997,75.63954654 -5.2350530901,75.60261954 -5.01878921010001,75.60251658 -5.0183581101,75.58857252 -4.88447519009998,75.55168062 -4.66820015009989,75.5007966 -4.45480313009995,75.4361496000001 -4.24519925009992,75.3580256400001 -4.04028509009987,75.2667705000001 -3.84093815009993,75.2656446000001 -3.83884817009999,75.2566946400001 -3.81929819009997,75.1527126 -3.62636825009997,75.0532384800001 -3.46749521010003,75.2114725200001 -3.35401925010001,75.38039154 -3.21519119009997,75.50705952 -3.09795611009997,75.51006462 -3.09502715010001,75.54288654 -3.06258323010002,75.5575855200001 -3.04684925009997,75.57124266 -3.03343421009998,75.7206086400001 -2.87354615010003,75.85921764 -2.70414509009998,75.9864765600001 -2.52596813009995,76.1018436 -2.33978117009997,76.20482664 -2.1463902500999,76.27447062 -1.99209425009997,76.2894855 -1.96784825009996,76.3924215600001 -1.77444023009997,76.4825475599999 -1.57467011009993,76.55948262 -1.36939523009988,76.6229036399999 -1.1595011901,76.6725465599999 -0.945890150100013,76.7082065399999 -0.729474170099991,76.72973652 -0.511184210099998,76.7313835200001 -0.461807150100015,76.7336425200001 -0.454331210100008,76.78330164 -0.24075221009997,76.81898754 -0.0243751100999248,76.8213963 1.29900115553028e-07,77.6160472050001 1.29900115553028e-07,78.41069811 1.29900115553028e-07,79.2053490150001 1.29900115553028e-07,79.99999992 1.29900115553028e-07,79.99999992 -0.999930974099925,79.99999992 -1.99986207810002,79.99999992 -2.99979318209995,79.99999992 -3.99972428609999,79.99999992 -4.99965539009997,79.99999992 -5.99958649410002,79.99999992 -6.9995175981,79.99999992 -7.99944870209987,79.99999992 -8.99937980610002,79.99999992 -9.99931091009995,79.99999992 -10.9992420140999,79.99999992 -11.9991731181,79.99999992 -12.9991042221,79.99999992 -13.9990353261,79.99999992 -14.9989664300999,79.99999992 -15.9988975341,79.99999992 -16.9988286381,79.99999992 -17.9987597420999,79.99999992 -18.9986908461,79.99999992 -19.9986219501,80.98138635 -19.9986219501,81.9627727800001 -19.9986219501,82.9441592100001 -19.9986219501,83.9255456400001 -19.9986219501,84.9069320700001 -19.9986219501,85.8883185000001 -19.9986219501,86.8544073138461 -19.9986219501,87.8204961276924 -19.9986219501,88.7865849415385 -19.9986219501,89.7526737553846 -19.9986219501,90.7187625692308 -19.9986219501,91.6848513830769 -19.9986219501,92.6509401969232 -19.9986219501,93.6170290107692 -19.9986219501,94.5831178246155 -19.9986219501,95.5492066384616 -19.9986219501,96.5152954523077 -19.9986219501,97.4813842661539 -19.9986219501,98.44747308 -19.9986219501,99.4135618938462 -19.9986219501,100.379650707692 -19.9986219501,101.345739521539 -19.9986219501,102.311828335385 -19.9986219501,103.277917149231 -19.9986219501,104.244005963077 -19.9986219501,105.210094776923 -19.9986219501,106.176183590769 -19.9986219501,107.142272404615 -19.9986219501,108.108361218462 -19.9986219501,109.074450032308 -19.9986219501,110.040538846154 -19.9986219501,111.00662766 -19.9986219501,111.00107556 -20.0060766501,110.99211858 -20.0182126101,110.98321866 -20.0303856501,110.97437256 -20.0425946900999,110.96558352 -20.0548395500999,110.95684956 -20.0671216701,110.94817266 -20.0794396101,110.93955156 -20.0917926501,110.93098662 -20.1041806101,110.92247964 -20.1166045701,110.91402864 -20.1290636300999,110.90563362 -20.1415565300999,110.89727262 -20.1540346701,110.88896868 -20.1665466501,110.88072162 -20.1790935501,110.87253162 -20.1916735701,110.86439958 -20.2042865300999,110.85632568 -20.2169336901,110.84830866 -20.2296136101,110.84035068 -20.2423266500999,110.83244958 -20.2550715501,110.82460752 -20.2678495701,110.81647458 -20.2812316701,110.80840554 -20.2946486901,110.80040058 -20.3080995500999,110.79245952 -20.3215856901,110.78458362 -20.3351045901,110.77677162 -20.3486585900999,110.76902568 -20.3622446301,110.76134364 -20.3758646901,110.75372766 -20.3895176901,110.74617666 -20.4032025501,110.7389016 -20.4164485701,110.73168864 -20.4297255500999,110.72453562 -20.4430316901,110.7174456 -20.4563675301,110.7104166 -20.4697325301,110.7034506 -20.4831266900999,110.69654652 -20.4965496500999,110.68970364 -20.5100015900999,110.68292466 -20.5234805300999,110.6762076 -20.5369886301,110.66955354 -20.5505246301,110.66296158 -20.5640876300999,110.65643352 -20.5776776301,110.64996864 -20.5912955301,110.64356658 -20.6049395301,110.6372286 -20.6186096301,110.63095362 -20.6323065500999,110.62474254 -20.6460295700999,110.61837558 -20.6600656101,110.61207558 -20.6741286501,110.60584254 -20.6882176101,110.59967664 -20.7023335701,110.59357752 -20.7164756301,110.58754662 -20.7306425300999,110.58158358 -20.7448366100999,110.57568768 -20.7590546301,110.56985964 -20.7732976701,110.56409964 -20.7875655500999,110.55840768 -20.8018575501,110.55278358 -20.8161736701,110.5472286 -20.8305135501,110.54174166 -20.8448766501,110.53632366 -20.8592636901,110.53097352 -20.8736726901,110.52569358 -20.8881045501,110.52048168 -20.9025596300999,110.51533962 -20.9170355900999,110.51026668 -20.9315336901,110.50526358 -20.9460526701,110.49792768 -20.9587676901,110.49064956 -20.9715116901,110.48342958 -20.9842855701,110.47626666 -20.9970875301,110.46916062 -21.0099186501,110.46211362 -21.0227776700999,110.45512458 -21.0356645901,110.4481926 -21.0485806701,110.44131966 -21.0615226701,110.43408654 -21.0751306701,110.42691858 -21.0887696300999,110.4198156 -21.1024375701,110.41277652 -21.1161355701,110.40580368 -21.1298636301,110.39889564 -21.1436206701,110.39205258 -21.1574066901,110.38527468 -21.1712216901,110.37856356 -21.1850645901,110.3719176 -21.1989366501,110.36533752 -21.2128355301,110.35882458 -21.2267626701,110.35237662 -21.2407166301,110.34599562 -21.2546975901,110.33968158 -21.2687055501,110.3334336 -21.2827396101,110.32725366 -21.2968006701,110.3211396 -21.3108865701,110.31509358 -21.3249985701,110.30911362 -21.3391366700999,110.3032026 -21.3532985300999,110.29700754 -21.3671876900999,110.29087764 -21.3811025901,110.28481362 -21.3950416101,110.27881566 -21.4090065500999,110.27288358 -21.4229966901,110.26701756 -21.4370105900999,110.2612176 -21.4510496901,110.2554846 -21.4651125500999,110.24981766 -21.4791986301,110.24421768 -21.4933086501,110.23868358 -21.5074426101,110.23321662 -21.5215985300999,110.22781752 -21.5357776701,110.22248466 -21.5499785901,110.21721966 -21.5642016501,110.21202162 -21.5784466701,110.20689054 -21.5927136500999,110.20182768 -21.6070006101,110.19683268 -21.6213095301,110.19190554 -21.6356396901,110.18704554 -21.6499896501,110.18225466 -21.6643586901,110.17753164 -21.6787486101,110.17287666 -21.6931586901,110.16829062 -21.7075865901,110.16377262 -21.7220346500999,110.15951652 -21.7358676501,110.15532252 -21.7497175701,110.15119152 -21.7635845900999,110.1471246 -21.7774676300999,110.1431196 -21.7913666901,110.13917868 -21.8052826701,110.13530058 -21.8192126901,110.13148656 -21.8331585500999,110.12773554 -21.8471195300999,110.1240486 -21.8610956301,110.12042466 -21.8750855901,110.11686462 -21.8890906701,110.11336866 -21.9031096101,110.10967452 -21.9177896901,110.10605058 -21.9324856101,110.10249756 -21.9471966501,110.09901456 -21.9619215501,110.09560266 -21.9766615701,110.0922606 -21.9914156301,110.08898856 -22.0061835501,110.08578762 -22.0209646101,110.0826576 -22.0357595300999,110.07959868 -22.0505666901,110.07661068 -22.0653866301,110.0736936 -22.0802186300999,110.07084654 -22.0950635900999,110.06807166 -22.1099195301,110.0653686 -22.1247866300999,110.06273556 -22.1396656100999,110.06017452 -22.1545546701,110.05768566 -22.1694545301,110.05526754 -22.1843646501,110.05292052 -22.1992846701,110.05064568 -22.2142145901,110.04844266 -22.2291536901,110.04631164 -22.2441016101,110.04425262 -22.2590585301,110.0422656 -22.2740235501,110.04034968 -22.2889966700999,110.03850666 -22.3039775300999,110.03673564 -22.3189666700999,110.03497668 -22.3339606700999,110.03328954 -22.3489616901,110.03167566 -22.3639706300999,110.0301336 -22.3789846101,110.02866462 -22.3940056101,110.02726764 -22.4090325501,110.02594266 -22.4240656101,110.02469058 -22.4391035301,110.02351158 -22.4541466701,110.02240458 -22.4691946701,110.02137066 -22.4842466301,110.02040964 -22.4993025501,110.01952062 -22.5143626101,110.01870468 -22.5294266301,110.01796254 -22.5444935300999,110.01729258 -22.5595636701,110.01669552 -22.5746366901,110.01617154 -22.5897106101,110.01572064 -22.6047875901,110.01534264 -22.6198665500999,110.01503754 -22.6349465901,110.0148066 -22.6500275300999,110.01464766 -22.6651086501,110.01456252 -22.6801915701,110.01455064 -22.6952735900999,110.01461166 -22.7103566901,110.01474558 -22.7254376300999,110.01495366 -22.7405196500999,110.01523464 -22.7555996900999,110.01558852 -22.7706775701,110.01601566 -22.7857545501,110.0165166 -22.8008306300999,110.01709062 -22.8159025700999,110.01773358 -22.8309026901,110.01844962 -22.8458995701,110.01923766 -22.8608935701,110.0200986 -22.8758836101,110.01595662 -22.8874556301,110.01185856 -22.8990416900999,110.00780568 -22.9106416101,110.00379852 -22.9222535901,110.00026152 -22.9326165501,109.9967616 -22.9429886900999,109.99329768 -22.9533716301,109.9914966 -22.9588036701,109.98642168 -22.9720925301,109.98140652 -22.9854006501,109.97645058 -22.9987276700999,109.97155368 -23.0120735901,109.96671762 -23.0254385901,109.96164558 -23.0396546301,109.95664158 -23.0538915500999,109.95170454 -23.0681495301,109.94683554 -23.0824265901,109.94203566 -23.0967236301,109.93730256 -23.1110406501,109.93263858 -23.1253765701,109.92804264 -23.1397315701,109.92351564 -23.1541056501,109.91905668 -23.1684975500999,109.91466666 -23.1829085301,109.91034468 -23.1973366101,109.90609254 -23.2117826900999,109.90190862 -23.2262456901,109.89779454 -23.2407256101,109.89374958 -23.2552226300999,109.88977356 -23.2697356700999,109.88586756 -23.2842645501,109.87862562 -23.2975726701,109.87144668 -23.3109095901,109.86433056 -23.3242765701,109.85727762 -23.3376716301,109.85028768 -23.3510945901,109.84336164 -23.3645465301,109.83649752 -23.3780265501,109.82969856 -23.3915335701,109.82296368 -23.4050686701,109.81629162 -23.4186305901,109.80968364 -23.4322205901,109.80314064 -23.4458356101,109.79637768 -23.4597676100999,109.78968168 -23.4737266101,109.78305264 -23.4877136901,109.77649254 -23.5017286701,109.77000066 -23.5157706501,109.76357556 -23.5298385501,109.75721958 -23.5439336301,109.75093164 -23.5580555300999,109.74471264 -23.5722026300999,109.73856258 -23.5863756501,109.73248056 -23.6005745901,109.72646856 -23.6147985501,109.7205246 -23.6290466301,109.71465066 -23.6433195501,109.70884656 -23.6576176701,109.70311158 -23.6719386501,109.69744554 -23.6862835700999,109.6918506 -23.7006526101,109.6863246 -23.7150446901,109.68086952 -23.7294585501,109.67548356 -23.7438956301,109.67016852 -23.7583546700999,109.66492458 -23.7728356701,109.65975066 -23.7873386301,109.65464856 -23.8018626501,109.64972952 -23.8159706901,109.64487852 -23.8300985301,109.64009466 -23.8442456301,109.63537758 -23.8584116301,109.63072656 -23.8725965300999,109.62614466 -23.8868006901,109.62162864 -23.9010226701,109.61718156 -23.9152635501,109.61280054 -23.9295215300999,109.60848864 -23.9437966101,109.60424352 -23.9580896900999,109.60006752 -23.9723996901,109.59595866 -23.9867255301,109.59191766 -24.0010686501,109.5879456 -24.0154276101,109.58404158 -24.0298025901,109.58020668 -24.0441926901,109.57643964 -24.0585986301,109.57274064 -24.0730196901,109.56911166 -24.0874556900999,109.56555054 -24.1019055501,109.56201462 -24.1155256101,109.55854062 -24.1291586301,109.55512854 -24.1428046100999,109.55177766 -24.1564635500999,109.54848762 -24.1701356301,109.54525968 -24.1838195901,109.54209366 -24.1975166901,109.53898956 -24.2112245901,109.53594666 -24.2249445501,109.5334506 -24.2363795901,109.53099666 -24.2478225501,109.52858664 -24.2592736101,109.52665452 -24.2685216501,109.52475156 -24.2777736501,109.52366454 -24.2831146100999,109.5178716 -24.2959876701,109.51213464 -24.3088816101,109.50645564 -24.3217976901,109.5008346 -24.3347355501,109.49527062 -24.3476935700999,109.48976352 -24.3606726501,109.48431564 -24.3736726101,109.47831858 -24.3881636900999,109.47239352 -24.4026806901,109.46653956 -24.4172216301,109.46075868 -24.4317866901,109.45505052 -24.4463765901,109.44941454 -24.4609895301,109.44385056 -24.4756265900999,109.43835966 -24.4902875901,109.43294256 -24.5049705500999,109.42759764 -24.5196756500999,109.42232652 -24.5344036101,109.41712866 -24.5491535301,109.41200352 -24.5639246901,109.40695362 -24.5787176301,109.40197554 -24.5935316301,109.39707252 -24.6083666901,109.39224366 -24.6232215500999,109.3874886 -24.6380965701,109.38280752 -24.6529906701,109.37820168 -24.6679056501,109.37366964 -24.6828386301,109.36921266 -24.6977915900999,109.36482966 -24.7127616500999,109.36052154 -24.7277506101,109.35628956 -24.7427575701,109.35213156 -24.7577825301,109.34804952 -24.7728245901,109.34404254 -24.7878835701,109.34011062 -24.8029585700999,109.33625466 -24.8180506701,109.33247466 -24.8331586101,109.32877062 -24.8482816701,109.32514164 -24.8634205701,109.32158862 -24.8785745901,109.31811264 -24.8937426501,109.31471154 -24.9089256500999,109.31138766 -24.9241226901,109.30813956 -24.9393335901,109.30496868 -24.9545576301,109.30187358 -24.9697957101,109.29885552 -24.9850456701,109.29591468 -25.0003085901,109.29304962 -25.0155835700999,109.29026268 -25.0308697100999,109.2875616 -25.0461076101,109.28493666 -25.0613555901,109.28238858 -25.0766145500999,109.27991754 -25.0918846701,109.27752354 -25.1071646901,109.27520568 -25.1224546101,109.27296468 -25.1377537101,109.27080054 -25.1530616301,109.26871362 -25.1683785501,109.26670464 -25.1837046501,109.26477162 -25.1990386700999,109.26266058 -25.2139986500999,109.26062262 -25.2289665500999,109.25865864 -25.2439425501,109.25676864 -25.2589266501,109.25495154 -25.2739186700999,109.2532086 -25.2889177101,109.25154054 -25.3039235901,109.24994556 -25.3189355901,109.24842456 -25.3339546101,109.24697862 -25.3489795701,109.24560558 -25.3640095701,109.2443076 -25.3790456901,109.2430836 -25.3940866701,109.24193358 -25.4091326901,109.24085862 -25.4241835701,109.23985764 -25.4392376901,109.23893154 -25.4542966701,109.2380796 -25.4693587100999,109.23730254 -25.4844247100999,109.23659964 -25.4994926901,109.23597162 -25.5145635501,109.23541866 -25.5296365701,109.23491358 -25.5448355901,109.23448464 -25.5600365901,109.23413166 -25.5752386701,109.23385464 -25.5904416501,109.23365358 -25.6056457101,109.23352866 -25.6208506701,109.23347952 -25.6360556301,109.2335076 -25.6512616700999,109.23361164 -25.6664655501,109.23379164 -25.6816706901,109.2340476 -25.6968736701,109.2343806 -25.7120755701,109.23478956 -25.7272765700999,109.23527466 -25.7424746901,109.23583662 -25.7576715501,109.23647454 -25.7728657101,109.23708456 -25.7860726700999,109.23775164 -25.7992785501,109.23847758 -25.8124806501,109.23926058 -25.8256805900999,109.24010064 -25.8388776501,109.24099956 -25.8520716501,109.24202862 -25.8674836101,109.24313652 -25.8828916101,109.24432254 -25.8982956501,109.24558866 -25.9136935701,109.24693254 -25.9290855501,109.24835562 -25.9444726701,109.24985754 -25.9598525901,109.25143866 -25.9752265700999,109.25309862 -25.9905946101,109.2548376 -26.0059545501,109.25665452 -26.0213065701,109.25855064 -26.0366515700999,109.26052668 -26.0519886501,109.26258066 -26.0673165500999,109.26471366 -26.0826367100999,109.2669246 -26.0979466101,109.26921564 -26.1132476901,109.27158462 -26.1285386901,109.27403262 -26.1438206900999,109.27655856 -26.1590906301,109.2791646 -26.1743506701,109.28184858 -26.1895995501,109.28461158 -26.2048365501,109.28726568 -26.2197176901,109.28999358 -26.2345865900999,109.29279762 -26.2494446901,109.29567654 -26.2642916301,109.29862962 -26.2791256101,109.30165758 -26.2939486101,109.30476168 -26.3087575701,109.30793868 -26.3235546501,109.31119164 -26.3383385901,109.31451858 -26.3531086701,109.31792058 -26.3678656101,109.32139764 -26.3826076101,109.32442758 -26.3952157100999,109.32751368 -26.4078135501,109.3306536 -26.4203996901,109.3338486 -26.4329746701,109.33605666 -26.4415837101,109.33829064 -26.4501877101,109.3414626 -26.4650326701,109.3447116 -26.4798635901,109.34803566 -26.4946815501,109.3514346 -26.5094856500999,109.3549086 -26.5242757100999,109.35845766 -26.5390515501,109.36208268 -26.5538126300999,109.36578168 -26.5685585901,109.36955664 -26.5832896101,109.37340558 -26.5980046101,109.37732958 -26.6127035901,109.38132864 -26.6273865501,109.38540258 -26.6420536701,109.38955158 -26.6567026101,109.39377456 -26.6713357100999,109.3980726 -26.6859506301,109.40244462 -26.7005475500999,109.40689152 -26.7151266501,109.41141366 -26.7296875700999,109.41600852 -26.7442295901,109.42067862 -26.7587527101,109.42542252 -26.7732565700999,109.43024166 -26.7877417101,109.43513352 -26.8022056100999,109.44009954 -26.8166497101,109.44514062 -26.8310736501,109.45024254 -26.8455037101,109.45541754 -26.8599116301,109.4606676 -26.8742995700999,109.46599056 -26.8886646500999,109.47138858 -26.9030086701,109.4768586 -26.9173296501,109.48240368 -26.9316286700999,109.48802166 -26.9459046501,109.49371254 -26.9601566901,109.49947758 -26.9743865901,109.50531552 -26.9885916501,109.51122654 -27.0027725900999,109.51721064 -27.0169295900999,109.52326854 -27.0310626501,109.52939754 -27.0451696101,109.53560052 -27.0592515501,109.54187568 -27.0733075701,109.54822356 -27.0873385701,109.55464452 -27.1013436501,109.56113658 -27.1153206501,109.56770154 -27.1292726300999,109.57433868 -27.1431967101,109.58104764 -27.1570936101,109.5878286 -27.1709626101,109.59468066 -27.1848037101,109.60159068 -27.1986606501,109.60857252 -27.2124896900999,109.61562564 -27.2262895701,109.62275058 -27.2400606501,109.62994662 -27.2538016701,109.63721466 -27.2675137100999,109.64455452 -27.2811956901,109.65196458 -27.2948467101,109.65944556 -27.3084676700999,109.66471452 -27.3191855900999,109.67002758 -27.3298856901,109.67538168 -27.3405695901,109.68131862 -27.3550046901,109.68733062 -27.3694145901,109.69341768 -27.3837996501,109.6995816 -27.3981596901,109.70581968 -27.4124936301,109.71213354 -27.4268005700999,109.71852264 -27.4410826700999,109.72498662 -27.4553375901,109.73152656 -27.4695656901,109.73814066 -27.4837657101,109.74482964 -27.4979385501,109.7515926 -27.5120836700999,109.75843152 -27.5262007101,109.76534352 -27.5402885900999,109.77233058 -27.5543485701,109.77939162 -27.5683786701,109.78652754 -27.5823796101,109.79373654 -27.5963506700999,109.80101952 -27.6102916700999,109.80837666 -27.6242026100999,109.81580652 -27.6380816901,109.82331054 -27.6519307101,109.83088764 -27.6657485901,109.83853764 -27.6795346101,109.84626054 -27.6932885901,109.85405652 -27.7070107101,109.86192558 -27.7207006100999,109.85896152 -27.7349656101,109.85606658 -27.7492415900999,109.85323968 -27.7635296301,109.85048262 -27.7778275700999,109.84779468 -27.7921355900999,109.84517568 -27.8064545900999,109.84262562 -27.8207836701,109.84014468 -27.8351215701,109.83773268 -27.8494686501,109.83539052 -27.8638256301,109.83311856 -27.8781907101,109.83108456 -27.8914226900999,109.8291096 -27.9046606100999,109.82719458 -27.9179055500999,109.82533752 -27.9311576901,109.82354058 -27.9444155900999,109.8218016 -27.9576806900999,109.82012256 -27.9709506501,109.81846368 -27.9845276901,109.81686654 -27.9981106701,109.81533258 -28.0116995901,109.81385964 -28.0252935501,109.81244862 -28.0388925500999,109.8111006 -28.0524965901,109.80981468 -28.0661056700999,109.80859068 -28.0797187101,109.80738468 -28.0938496101,109.80624654 -28.1079835701,109.80517554 -28.1221225700999,109.80417168 -28.1362657101,109.8032346 -28.1504115501,109.80236466 -28.1645606301,109.80156366 -28.1787136701,109.80082854 -28.1928686900999,109.80016164 -28.2070265901,109.7995626 -28.2211875501,109.79903052 -28.2353495901,109.79854056 -28.2502935500999,109.79812656 -28.2652385901,109.79778762 -28.2801856101,109.79752356 -28.2951337101,109.79733564 -28.3100827101,109.7972226 -28.3250317101,109.79718462 -28.3399816100999,109.7972226 -28.3549316900999,109.79733654 -28.3698806900999,109.79752554 -28.3848296900999,109.79779068 -28.3997776100999,109.79813052 -28.4147235501,109.79854668 -28.4296685901,109.79903862 -28.4446116501,109.79960652 -28.4595525500999,109.80024966 -28.4744916501,109.80096768 -28.4894276901,109.80176256 -28.5043606701,109.80263268 -28.5192896901,109.80338652 -28.5313086501,109.80418968 -28.5433245501,109.80504162 -28.5553375701,109.80594252 -28.5673477101,109.80705762 -28.5821136501,109.80824652 -28.5968745501,109.80951066 -28.6116305900999,109.8108486 -28.6263815901,109.81226052 -28.6411275501,109.81374768 -28.6558675700999,109.81530864 -28.6706016501,109.81694358 -28.6853287101,109.81865268 -28.7000496501,109.82043666 -28.7147646501,109.82229462 -28.7294706501,109.82426364 -28.7444655501,109.82630952 -28.7594527100999,109.82843262 -28.7744306901,109.83063258 -28.7894005701,109.83291066 -28.8043605500999,109.8352656 -28.8193117101,109.83766266 -28.8341077101,109.84013658 -28.8488936301,109.84268466 -28.8636696501,109.8453096 -28.8784346901,109.8480096 -28.8931896501,109.85078556 -28.9079336300999,109.85363658 -28.9226666301,109.85656356 -28.9373886501,109.85956668 -28.9520977101,109.86264468 -28.9667956101,109.86579756 -28.9814816300999,109.86902658 -28.9961536100999,109.87233156 -29.0108137101,109.8757116 -29.0254606701,109.87916652 -29.0400935901,109.88269758 -29.0547126501,109.88630352 -29.0693176701,109.88998452 -29.0839086501,109.89354366 -29.0979157101,109.89717264 -29.1119085501,109.90087056 -29.1258886100999,109.9046376 -29.1398535501,109.90847358 -29.1538046301,109.91237958 -29.1677405901,109.91635452 -29.1816616100999,109.92039768 -29.1955676900999,109.92451068 -29.2094575700999,109.92859452 -29.2230286701,109.9327446 -29.2365835701,109.93696056 -29.2501237101,109.94124258 -29.2636476500999,109.94558958 -29.2771555701,109.95000354 -29.2906476501,109.95448266 -29.3041226301,109.95902658 -29.3175806901,109.96184268 -29.3328626901,109.96474068 -29.3481326301,109.96772058 -29.3633906901,109.97078166 -29.3786356101,109.97392356 -29.3938686501,109.97714754 -29.4090885501,109.98045252 -29.4242956701,109.98383958 -29.4394885701,109.98730764 -29.4546667101,109.99085652 -29.4698317101,109.99448658 -29.4849815901,109.99819854 -29.5001167101,110.0019906 -29.5152356301,110.00586456 -29.5303396100999,110.00981952 -29.5454275701,110.01385566 -29.5604996901,110.01797154 -29.5755547101,110.02216968 -29.5905915501,110.02644756 -29.6056125501,110.03080662 -29.6206155501,110.03524668 -29.6356005501,110.03976666 -29.6505675501,110.04436764 -29.6655156500999,110.04904962 -29.6804446700999,110.05381152 -29.6953546101,110.05865352 -29.7102445700999,110.06357652 -29.7251156301,110.06857962 -29.7399656301,110.07366264 -29.7547945701,110.07882558 -29.7696037100999,110.08406862 -29.7843907101,110.08939266 -29.7991566500999,110.09479554 -29.8139006301,110.10027762 -29.8286215701,110.10584052 -29.8433205500999,110.11148262 -29.8579975701,110.11720356 -29.8726506501,110.1230046 -29.8872796100999,110.12888466 -29.9018857100999,110.13484464 -29.9164666100999,110.14088364 -29.9310246500999,110.14700058 -29.9455565901,110.15319762 -29.9600636901,110.1594726 -29.9745455900999,110.1658266 -29.9890006701,110.17225962 -30.0034305500999,110.17877058 -30.0178346901,110.18536056 -30.0322105701,110.19202866 -30.0465607100999,110.19877452 -30.0608825900999,110.20559868 -30.0751765700999,110.2125006 -30.0894435501,110.21812362 -30.1009316900999,110.22379758 -30.1124005701,110.22952158 -30.1238516301,110.23529562 -30.1352827100999,110.2411206 -30.1466956101,110.24793954 -30.1605547100999,110.25483156 -30.1743855501,110.26179756 -30.1881895701,110.26883664 -30.2019656901,110.27594952 -30.2157146301,110.28313566 -30.2294336901,110.29039452 -30.2431246700999,110.29772664 -30.2567875701,110.30513058 -30.2704196901,110.31260868 -30.2840235501,110.3201586 -30.2975966301,110.3277816 -30.3111396501,110.3354766 -30.3246526101,110.3432436 -30.3381346101,110.35108368 -30.3515865501,110.35899468 -30.3650055501,110.36697768 -30.3783946701,110.37503268 -30.3917506701,110.38315968 -30.4050757101,110.3913576 -30.4183676301,110.39962662 -30.4316266101,110.40796656 -30.4448526501,110.41634268 -30.4579935501,110.42478864 -30.4711006101,110.43330462 -30.4841736500999,110.44122354 -30.4962406701,110.44920168 -30.5082776301,110.45724066 -30.5202856101,110.4653376 -30.5322637101,110.47349466 -30.5442126501,110.48171166 -30.5561317101,110.48998662 -30.5680207101,110.49832062 -30.5798785700999,110.50671366 -30.5917056500999,110.5161246 -30.6048397101,110.52560862 -30.6179347101,110.53516464 -30.6309906501,110.54479266 -30.6440077101,110.55449268 -30.6569857100999,110.56426452 -30.6699235700999,110.57410854 -30.6828225501,110.58402366 -30.6956806701,110.5940106 -30.7084975701,110.60406756 -30.7212746901,110.61419562 -30.7340096901,110.6243946 -30.7467045501,110.63466468 -30.7593565701,110.6450046 -30.7719675500999,110.65541364 -30.7845356901,110.6658936 -30.7970617101,110.67644268 -30.8095447100999,110.6870616 -30.8219846901,110.69400852 -30.8308095501,110.70098964 -30.8396156900999,110.70800352 -30.8484005901,110.71670652 -30.8592466700999,110.72546154 -30.8700626900999,110.73426768 -30.8808486501,110.74312458 -30.8916025701,110.7520326 -30.9023266101,110.76099156 -30.9130196901,110.76956064 -30.9231905901,110.77817652 -30.9333326901,110.78683758 -30.9434467101,110.79554562 -30.9535315701,110.80500768 -30.9645787101,110.81452554 -30.9755916500999,110.82409758 -30.9865705701,110.83372362 -30.9975136700999,110.8444176 -31.0095725901,110.85517764 -31.0215875901,110.86600356 -31.0335595701,110.87689464 -31.0454887101,110.8878516 -31.0573735701,110.89887354 -31.0692146901,110.90996064 -31.0810117101,110.92111254 -31.0927646301,110.9323296 -31.1044725501,110.94361056 -31.1161356500999,110.9549556 -31.1277535701,110.96636454 -31.1393266700999,110.97783756 -31.1508536901,110.98937358 -31.1623346301,111.0009726 -31.1737696701,111.01263552 -31.1851575501,111.02436054 -31.1964997100999,111.03614766 -31.2077936301,111.0479976 -31.2190416501,111.05990964 -31.2302416100999,111.06379962 -31.2338776101,111.0753396 -31.2447217101,111.08693754 -31.2555217101,111.09859362 -31.2662756301,111.11030658 -31.2769845501,111.1220766 -31.2876486500999,111.13390458 -31.2982666700999,111.14578962 -31.3088386100999,111.15773064 -31.3193655500999,111.16972764 -31.3298446101,111.18241152 -31.3408296501,111.19515768 -31.3517626701,111.20796558 -31.3626436701,111.22083468 -31.3734715701,111.23376462 -31.3842476300999,111.24675558 -31.3949705901,111.25980756 -31.4056417101,111.27291966 -31.4162586501,111.28609152 -31.4268215901,111.29069466 -31.4414485701,111.29537466 -31.4560575501,111.30013368 -31.4706487101,111.30497154 -31.4852206100999,111.30988752 -31.4997727101,111.31488162 -31.5143055501,111.31995456 -31.5288185901,111.32510562 -31.5433125500999,111.33033462 -31.5577845501,111.33564264 -31.5722376501,111.34102752 -31.5866686100999,111.3464916 -31.6010786900999,111.35203254 -31.6154666301,111.3576516 -31.6298326101,111.3633486 -31.6441766300999,111.36912354 -31.6584986901,111.37497552 -31.6727977100999,111.38090562 -31.6870726101,111.38691258 -31.7013255501,111.39299658 -31.7155536500999,111.39915852 -31.7297587101,111.4053966 -31.7439385701,111.41171262 -31.7580935901,111.41810568 -31.7722246701,111.42457452 -31.7863296501,111.43060164 -31.8003176300999,111.43670256 -31.8142825701,111.44287854 -31.8282246501,111.44912958 -31.8421417101,111.4554546 -31.8560346501,111.4618536 -31.8699036501,111.46832766 -31.8837465500999,111.47487552 -31.8975656901,111.48149754 -31.9113585500999,111.48819354 -31.9251256700999,111.49496262 -31.9388675901,111.50180658 -31.9525826901,111.50872362 -31.9662716901,111.50012862 -31.9796437101,111.49160364 -31.9930486700999,111.4831476 -32.0064856701,111.47476158 -32.0199556100999,111.46644468 -32.0334566901,111.45819762 -32.0469896301,111.45002166 -32.0605537101,111.44191464 -32.0741496501,111.43387854 -32.0877756501,111.42591354 -32.1014326101,111.41801964 -32.1151196301,111.41019666 -32.1288356301,111.4024446 -32.1425825900999,111.39476364 -32.1563587101,111.38715468 -32.1701636300999,111.37961754 -32.1839977101,111.37215258 -32.1978605901,111.36475962 -32.2117515501,111.35743866 -32.2256705901,111.35017062 -32.2396495701,111.34297458 -32.2536566301,111.33585252 -32.2676906901,111.32880354 -32.2817515701,111.32182854 -32.2958396301,111.31492752 -32.3099546901,111.30809958 -32.3240956701,111.30134652 -32.3382616701,111.29466762 -32.3524546701,111.28806252 -32.3666716101,111.28153158 -32.3809146501,111.2750766 -32.3951827101,111.2686956 -32.4094747100999,111.26239056 -32.4237915501,111.25615968 -32.4381316101,111.25000458 -32.4524956101,111.24392562 -32.4668835501,111.23792154 -32.4812936301,111.23199468 -32.4957265700999,111.22614252 -32.5101825501,111.22036668 -32.5246606700999,111.21466752 -32.5391605700999,111.20904468 -32.5536826100999,111.20349852 -32.5682257101,111.19802868 -32.5827896900999,111.1926366 -32.5973736501,111.18732066 -32.6119786701,111.18208266 -32.6266045701,111.17692152 -32.6412495500999,111.17183868 -32.6559146901,111.16683252 -32.6705985501,111.16190466 -32.6853016700999,111.15705456 -32.7000226101,111.15228258 -32.7147626300999,111.14758854 -32.7295206501,111.14297262 -32.7442966701,111.13843554 -32.7590906900999,111.13397766 -32.7739005501,111.12959754 -32.7887276901,111.12529662 -32.8035715701,111.12107454 -32.8184325500999,111.11693166 -32.8333086501,111.11286762 -32.8482005901,111.10888368 -32.8631076500999,111.10497858 -32.8780296501,111.10115268 -32.8929665900999,111.0974076 -32.9079186500999,111.09374154 -32.9228836701,111.09015558 -32.9378636301,111.08664954 -32.9528565501,111.0832236 -32.9678626101,111.07987758 -32.9828816301,111.07661256 -32.9979136100999,111.07342764 -33.0129576501,111.07032354 -33.0280135701,111.06728766 -33.0431287101,111.06433152 -33.0582555500999,111.06145854 -33.0733935501,111.05866566 -33.0885427101,111.05578458 -33.1004916501,111.05295354 -33.1124495901,111.05017452 -33.1244156300999,111.04699158 -33.1384016301,111.04387758 -33.1523986101,111.04083468 -33.1664065701,111.03786162 -33.1804256901,111.03495858 -33.1944547101,111.03212556 -33.2084936301,111.02936256 -33.2225426301,111.02667066 -33.2366017101,111.0240486 -33.2506696100999,111.02149764 -33.2647466900999,111.01901652 -33.2788325901,111.01660668 -33.2929276701,111.01416156 -33.3076516700999,111.01179456 -33.3223855701,111.00950568 -33.3371266701,111.00729258 -33.3518765901,111.0051576 -33.3666346101,111.00310056 -33.3814005501,111.00112056 -33.3961745901,110.99921868 -33.4109545700999,110.99739366 -33.4257426500999,110.99564658 -33.4405355901,110.99397852 -33.4553366301,110.99238768 -33.4701427101,110.9908746 -33.4849545501,110.98944054 -33.4997726900999,110.98808352 -33.5145946101,110.98675764 -33.5298307100999,110.98551456 -33.5450716701,110.98435356 -33.5603165901,110.98327554 -33.5755665501,110.98228068 -33.5908206501,110.98136862 -33.6060776301,110.98053954 -33.6213376701,110.97899352 -33.6358696101,110.97752364 -33.6504065901,110.97612864 -33.6649496900999,110.97480852 -33.6794965701,110.97356454 -33.6940486701,110.97239652 -33.7086045500999,110.97130356 -33.7231645700999,110.97028656 -33.7377285501,110.96934552 -33.7522966701,110.96848062 -33.7668676701,110.9676906 -33.7814415500999,110.96697654 -33.7960175901,110.96586954 -33.8099715500999,110.96483256 -33.8239285701,110.9638656 -33.8378895501,110.96296758 -33.8518535901,110.96213958 -33.8658206901,110.9613816 -33.8797906700999,110.96069256 -33.8937626300999,110.96002368 -33.9089335701,110.95943652 -33.9241066700999,110.95893162 -33.9392806701,110.95850952 -33.9544575501,110.95817058 -33.9696356901,110.95791354 -33.9848145500999,110.95773966 -33.9999946701,110.95764768 -34.0151746101,110.95763958 -34.0303556301,110.95771356 -34.0455355701,110.95787052 -34.0607156901,110.95811064 -34.0758945500999,110.95843266 -34.0910726901,110.95883856 -34.1062486701,110.95932762 -34.1214235701,110.95989966 -34.1365966700999,110.9605536 -34.1517667101,110.9612916 -34.1669345901,110.96211258 -34.1820986901,110.96301762 -34.1972606300999,110.96400456 -34.2124186100999,110.96507556 -34.2275726300999,110.96622954 -34.2427216101,110.96746668 -34.2578666301,110.96878662 -34.2730076901,110.97019062 -34.2881426301,110.9716776 -34.3032716301,110.97324756 -34.3183955901,110.9733606 -34.3338415701,110.97355968 -34.3492875501,110.97384462 -34.3647337100999,110.97421668 -34.3801766300999,110.9746746 -34.3956186500999,110.97521856 -34.4110586900999,110.97584964 -34.4264965701,110.97656568 -34.4419326500999,110.97736956 -34.4573645901,110.97825858 -34.4727936501,110.97923454 -34.4882185700999,110.98029762 -34.5036406100999,110.98144566 -34.5190576100999,110.98268262 -34.5345066501,110.98400652 -34.5499495701,110.98541754 -34.5653887101,110.98691568 -34.5808215501,110.98850058 -34.5962486300999,110.9901726 -34.6116686900999,110.99193156 -34.6270826300999,110.99377764 -34.6424895500999,110.99570958 -34.6578896300999,110.99772954 -34.6732816100999,110.99983662 -34.6886656701,111.00203064 -34.7040416300999,111.0043116 -34.7194085901,111.00667968 -34.7347676301,111.00913452 -34.7501165901,111.01167666 -34.7654556500999,111.01430664 -34.7807846301,111.01702266 -34.7961037101,111.01982562 -34.8114116300999,111.02271552 -34.8267096501,111.02569254 -34.8419956101,111.02875668 -34.8572696901,111.03190758 -34.8725326100999,111.0351456 -34.8877825701,111.03847056 -34.9030195701,111.04188264 -34.9182446900999,111.04538058 -34.9334555901,111.04896654 -34.9486526301,111.05263854 -34.9638367101,111.05639766 -34.9790056701,111.06024264 -34.9941596901,111.06417564 -35.0092996701,111.06819468 -35.0244236301,111.07229958 -35.0395326501,111.07649268 -35.0546245700999,111.08077056 -35.0697015501,111.08513556 -35.0847607100999,111.08958768 -35.0998036701,111.09412566 -35.1148286301,111.09874968 -35.1298366701,111.10346064 -35.1448267101,111.10825764 -35.1597976701,111.1131396 -35.1747506301,111.11810958 -35.1896846901,111.12316452 -35.2045985900999,111.12830568 -35.2194935901,111.13353252 -35.2343686100999,111.13850466 -35.2491536301,111.14356266 -35.2639195701,111.14870364 -35.2786657100999,111.15392958 -35.2933925900999,111.15924066 -35.3080985900999,111.16463454 -35.3227846100999,111.17011356 -35.3374506501,111.17567556 -35.3520945500999,111.18132252 -35.3667175701,111.18705354 -35.3813186301,111.19286754 -35.3958986301,111.1987656 -35.4104555901,111.20474754 -35.4249896901,111.21081264 -35.4395005701,111.21696162 -35.4539885900999,111.22319358 -35.4684535700999,111.2295096 -35.4828937101,111.2359086 -35.4973106301,111.24239058 -35.5117027100999,111.24895554 -35.5260695901,111.25560366 -35.5404105501,111.26233458 -35.5547275701,111.26914758 -35.5690175900999,111.27604356 -35.5832816901,111.28302252 -35.5975196901,111.29008356 -35.6117306901,111.29722668 -35.6259146900999,111.30445152 -35.6400716900999,111.31175952 -35.6542006101,111.31914852 -35.6683016301,111.32662068 -35.6823745701,111.33417366 -35.6964187101,111.34180764 -35.7104336901,111.34952352 -35.7244196901,111.35732166 -35.7383756301,111.36519954 -35.7523025901,111.37315968 -35.7661985900999,111.38120064 -35.7800647101,111.38932152 -35.7938996901,111.39752358 -35.8077037101,111.40580664 -35.8214756901,111.41416962 -35.8352167100999,111.42261252 -35.8489256901,111.43113552 -35.8626015501,111.43973862 -35.8762455501,111.44842164 -35.8898566101,111.45718458 -35.9034336500999,111.46602654 -35.9169786501,111.4749486 -35.9304885500999,111.4839486 -35.9439646101,111.49302852 -35.9574066500999,111.50218764 -35.9708135901,111.51142452 -35.9841847101,111.5207406 -35.9975216301,111.53013462 -36.0108225500999,111.53960658 -36.0240876501,111.54915666 -36.0373165701,111.55878558 -36.0505085901,111.56849064 -36.0636637101,111.57827454 -36.0767815701,111.58813458 -36.0898627101,111.59792262 -36.1029006501,111.60778662 -36.1159016900999,111.61772658 -36.1288645701,111.62774358 -36.1417896501,111.63783564 -36.1546765701,111.64800366 -36.1675256901,111.65824764 -36.1803355701,111.66856758 -36.1931065700999,111.67896168 -36.2058386901,111.68943156 -36.2185306701,111.6999756 -36.2311826901,111.71059452 -36.2437956501,111.72128868 -36.2563675700999,111.73205556 -36.2688986301,111.74289768 -36.2813886501,111.7538136 -36.2938376301,111.7648026 -36.3062446701,111.77586468 -36.3186106701,111.78700056 -36.3309336501,111.79820952 -36.3432146901,111.80949066 -36.3554536101,111.82084452 -36.3676486101,111.83227164 -36.3798016700999,111.84376968 -36.3919095500999,111.85533954 -36.4039756701,111.86698158 -36.4159966101,111.87869562 -36.4279736300999,111.89047968 -36.4399056501,111.90233556 -36.4517926701,111.91426164 -36.4636355901,111.92625864 -36.4754326101,111.93832566 -36.4871835501,111.95046252 -36.4988896701,111.96266868 -36.5105486301,111.97494558 -36.5221616900999,111.98729052 -36.5337275901,111.99970458 -36.5452466901,112.01227164 -36.5568075501,112.02490764 -36.5683207101,112.03761258 -36.5797845500999,112.04999352 -36.5910885501,112.0624416 -36.6023455700999,112.07495556 -36.6135556101,112.08753666 -36.6247186701,112.10018256 -36.6358345700999,112.11289452 -36.6469025901,112.12567254 -36.6579236301,112.13851554 -36.6688966101,112.15142352 -36.6798206300999,112.16439558 -36.6906965901,112.17743262 -36.7015246701,112.19053464 -36.7123027101,112.20369966 -36.7230316101,112.21692858 -36.7337115501,112.23022068 -36.7443416300999,112.2435756 -36.7549216701,112.2569946 -36.7654516701,112.27047552 -36.7759316301,112.28401854 -36.7863606500999,112.29762366 -36.7967385500999,112.31129052 -36.8070656900999,112.32501966 -36.8173417100999,112.33880964 -36.8275657101,112.35265956 -36.8377385900999,112.36657158 -36.8478585501,112.38054264 -36.8579266701,112.39439256 -36.8686386501,112.40830656 -36.8792966301,112.42228662 -36.8899006100999,112.43633058 -36.9004516700999,112.45043952 -36.9109485501,112.46461254 -36.9213916100999,112.47884856 -36.9317795901,112.49314956 -36.9421135700999,112.50751266 -36.9523926501,112.52193966 -36.9626155701,112.53642858 -36.9727835901,112.5509796 -36.9828967101,112.56559254 -36.9929525901,112.58026758 -37.0029535701,112.59500364 -37.0128976701,112.60980054 -37.0227856101,112.62465864 -37.0326155901,112.63957668 -37.0423895901,112.65455466 -37.0521056301,112.66959258 -37.0617646100999,112.68468954 -37.0713656300999,112.69984554 -37.0809095901,112.71506058 -37.0903946901,112.73033358 -37.0998205701,112.74566562 -37.1091886701,112.76105454 -37.1184975501,112.77650052 -37.1277475700999,112.79200356 -37.1369385501,112.80756366 -37.1460695901,112.82317956 -37.1551406901,112.83885162 -37.1641516701,112.85457966 -37.1731036101,112.8703626 -37.1819936301,112.88620062 -37.1908246100999,112.90209264 -37.1995936701,112.91803866 -37.2083017100999,112.93403958 -37.2169496301,112.9500936 -37.2255345501,112.96619964 -37.2340586301,112.98235968 -37.2425216901,112.99857156 -37.2509215701,113.01483564 -37.2592597101,113.03115066 -37.2675346701,113.04751752 -37.2757477100999,113.06393568 -37.2838975701,113.08040352 -37.2919846100999,113.09692158 -37.3000086500999,113.11348968 -37.3079696901,113.13010656 -37.3158666501,113.14677366 -37.3236997101,113.16348864 -37.3314686900999,113.18025168 -37.3391726900999,113.1970626 -37.3468136901,113.21392068 -37.3543897101,113.23082664 -37.3619005700999,113.24777868 -37.3693477101,113.26477662 -37.3767286101,113.28182154 -37.3840447101,113.29891164 -37.3912956501,113.31604656 -37.3984807100999,113.33322558 -37.4055997100999,113.3504496 -37.4126526501,113.36412762 -37.4235055701,113.37787062 -37.4343066501,113.39168058 -37.4450557101,113.4055566 -37.4557525701,113.4194976 -37.4663956101,113.43350466 -37.4769866300999,113.44757652 -37.4875236501,113.46171264 -37.4980075700999,113.47591356 -37.5084376700999,113.49017856 -37.5188135900999,113.50450764 -37.5291365901,113.51889954 -37.5394036101,113.53335462 -37.5496166300999,113.5478736 -37.5597745700999,113.5624536 -37.5698776100999,113.5770966 -37.5799255700999,113.59180152 -37.5899166501,113.60656854 -37.5998526501,113.62139658 -37.6097326701,113.63628564 -37.6195567101,113.65123464 -37.6293236901,113.66624466 -37.6390336101,113.68131354 -37.6486866500999,113.69644362 -37.6582826300999,113.71163166 -37.6678215500999,113.72687964 -37.6773026901,113.74218558 -37.6867246101,113.75755056 -37.6960896500999,113.7729726 -37.7053965501,113.7884526 -37.7146436900999,113.80399056 -37.7238326901,113.81958468 -37.7329626501,113.83523568 -37.7420335700999,113.85094356 -37.7510445500999,113.86670652 -37.7599966701,113.88252456 -37.7688886701,113.89839858 -37.7777205501,113.91432768 -37.7864915901,113.9303106 -37.7952026901,113.9463486 -37.8038525901,113.96243952 -37.8124425501,113.97858354 -37.8209705901,113.99478156 -37.8294376100999,114.0110316 -37.8378427101,114.02733456 -37.8461866101,114.04368864 -37.8544685900999,114.06009456 -37.8626875700999,114.07655268 -37.8708457101,114.09306066 -37.8789395901,114.10961958 -37.8869726300999,114.12622764 -37.8949415901,114.14288664 -37.9028475500999,114.15959352 -37.9106906901,114.17635062 -37.9184706501,114.1931556 -37.9261856301,114.21000954 -37.9338386900999,114.22691064 -37.9414265900999,114.24385854 -37.9489496901,114.26085468 -37.9564096100999,114.27789654 -37.9638045501,114.29498556 -37.9711346901,114.31211958 -37.9784005701,114.32929968 -37.9856005701,114.3465246 -37.9927355900999,114.36379362 -37.9998056301,114.38110764 -38.0068096100999,114.39846558 -38.0137486101,114.41586654 -38.0206206500999,114.43331052 -38.0274277101,114.45079752 -38.0341676300999,114.46832664 -38.0408416701,114.48589752 -38.0474485701,114.50350962 -38.0539886901,114.52116366 -38.0604625701,114.53885766 -38.0668696701,114.55659162 -38.0732085501,114.57436554 -38.0794806501,114.59217852 -38.0856856100999,114.61003056 -38.0918227101,114.62792166 -38.0978915901,114.64585056 -38.1038936900999,114.66381762 -38.1098266700999,114.68182158 -38.1156916101,114.69986262 -38.1214886901,114.71793966 -38.1272166501,114.73605252 -38.1328765701,114.75420156 -38.1384675501,114.77238552 -38.1439895901,114.79048452 -38.1494075901,114.80861754 -38.1547586301,114.82678458 -38.1600405501,114.84498456 -38.1652546101,114.86321658 -38.1703995500999,114.88148064 -38.1754755500999,114.89977764 -38.1804826100999,114.91810452 -38.1854216301,114.93646254 -38.1902906301,114.95485152 -38.1950906901,114.97327056 -38.1998205501,114.99171966 -38.2044825501,115.01019666 -38.2090736301,115.02870264 -38.2135955901,115.0472376 -38.2180477100999,115.06580064 -38.2224307101,115.08439068 -38.2267426101,115.10300664 -38.2309846701,115.12165068 -38.2351567100999,115.14032064 -38.2392585501,115.15901562 -38.2432896501,115.17773562 -38.2472505501,115.19648154 -38.2511407101,115.21525068 -38.2549595900999,115.23404466 -38.2587086301,115.25286168 -38.2623865700999,115.27170156 -38.2659935900999,115.29056358 -38.2695296900999,115.30944864 -38.2729946900999,115.32835458 -38.2763876901,115.34728266 -38.2797095901,115.36623162 -38.2829605700999,115.38519966 -38.2861406300999,115.40418858 -38.2892486901,115.42319658 -38.2922845700999,115.44222366 -38.2952497101,115.46126964 -38.2981426701,115.48033254 -38.3009636300999,115.49941452 -38.3037125901,115.51851252 -38.3063906300999,115.53762762 -38.3089955901,115.55675964 -38.3115285501,115.5759066 -38.3139896901,115.59506958 -38.3163786501,115.6142466 -38.3186956101,115.63343856 -38.3209396701,115.65264456 -38.3231126301,115.6718646 -38.3252116100999,115.6910976 -38.3272385901,115.71034266 -38.3291935701,115.7295996 -38.3310756500999,115.7488686 -38.3328855501,115.76814966 -38.3346225500999,115.78744062 -38.3362866501,115.80674166 -38.3378785701,115.8260526 -38.3393975901,115.84537362 -38.3408437101,115.86470364 -38.3422165701,115.88384862 -38.3454185901,115.90301466 -38.3485486101,115.92220068 -38.3516055500999,115.9414056 -38.3545895900999,115.9606296 -38.3575005501,115.9798716 -38.3603386101,115.9991316 -38.3631035901,116.0184096 -38.3657956700999,116.03770452 -38.3684135900999,116.05701564 -38.3709586101,116.0763426 -38.3734305501,116.09568468 -38.3758295900999,116.1150426 -38.3781546501,116.13441456 -38.3804055501,116.15365764 -38.3825686101,116.17291368 -38.3846596701,116.19218358 -38.3866776501,116.21146554 -38.3886236301,116.23075956 -38.3904956301,116.25006456 -38.3922956300999,116.26938162 -38.3940236301,116.28870966 -38.3956776501,116.3080476 -38.3972596701,116.32739562 -38.3987677100999,116.34675264 -38.4002035701,116.36611866 -38.4015656301,116.3854926 -38.4028556901,116.40487554 -38.4040726700999,116.4242646 -38.4052156701,116.44318854 -38.4062625500999,116.4621186 -38.4072386901,116.4810546 -38.4081466100999,116.49999564 -38.4089836101,116.51894154 -38.4097516701,116.53789266 -38.4104497101,116.55684756 -38.4110786301,116.5758066 -38.4116377101,116.59476762 -38.4121265901,116.6137326 -38.4125456300999,116.63269956 -38.4128955501,116.65166868 -38.4131756300999,116.67063852 -38.4133856900999,116.68961052 -38.4135255501,116.70858252 -38.4135966501,116.7275556 -38.4135966501,116.7465276 -38.4135277101,116.76549852 -38.4133885701,116.78446962 -38.4131806701,116.80318368 -38.4172245501,116.82192366 -38.4211996701,116.84068758 -38.4251045900999,116.85947652 -38.4289385901,116.87828958 -38.4327016701,116.89712568 -38.4363936500999,116.91598554 -38.4400156101,116.93486754 -38.4435666501,116.95377258 -38.4470465900999,116.97207066 -38.4503436500999,116.99038764 -38.4535746501,117.00872568 -38.4567386900999,117.02708154 -38.4598366700999,117.04598766 -38.4629546301,117.06491358 -38.4660025701,117.08385768 -38.4689795901,117.10282158 -38.4718856901,117.12180258 -38.4747206901,117.14080158 -38.4774845901,117.15981768 -38.4801786501,117.17885052 -38.4828007100999,117.19789956 -38.4853516701,117.21696462 -38.4878317101,117.23604462 -38.4902395701,117.25514064 -38.4925766901,117.27425052 -38.4948427100999,117.29337462 -38.4970376301,117.31251258 -38.4991605501,117.3316626 -38.5012116500999,117.35082666 -38.5031916501,117.3700026 -38.5050996501,117.3891906 -38.5069356501,117.40838958 -38.5087005501,117.42759954 -38.5103936301,117.44681958 -38.5120147101,117.4660506 -38.5135646901,117.48529062 -38.5150415901,117.50453964 -38.5164475700999,117.52379766 -38.5177806501,117.5430636 -38.5190426300999,117.56233764 -38.5202326101,117.58161852 -38.5213496901,117.6009066 -38.5223956701,117.62020062 -38.5233696500999,117.63950058 -38.5242705501,117.65880666 -38.5250996301,117.67811652 -38.5258567101,117.69743268 -38.5265416101,117.71675154 -38.5271546901,117.73607454 -38.5276946901,117.7554006 -38.5281635901,117.77472954 -38.5285595900999,117.79406064 -38.5288835901,117.81339462 -38.5291355900999,117.8327286 -38.5293146901,117.85206366 -38.5294216100999,117.87139962 -38.5294567101,117.8910576 -38.5294196300999,117.91071468 -38.5293085701,117.93037068 -38.5291226300999,117.95002452 -38.5288627100999,117.96967764 -38.5285275500999,117.9893286 -38.5281176900999,118.0089756 -38.5276325900999,118.02861954 -38.5270736901,118.0482606 -38.5264395501,118.06789662 -38.5257316101,118.0875276 -38.5249486101,118.10715354 -38.5240916301,118.12677354 -38.5231595901,118.1463876 -38.5221526701,118.16599464 -38.5210715901,118.18559466 -38.5199156300999,118.20518766 -38.5186856901,118.22477166 -38.5173815901,118.24434756 -38.5160026100999,118.26391356 -38.5145496501,118.28347056 -38.5130227101,118.30301766 -38.5114207101,118.3225536 -38.5097445500999,118.34207964 -38.5079945901,118.36159362 -38.5061695701,118.38109554 -38.5042716501,118.40058468 -38.5022995701,118.4190606 -38.5004446700999,118.43752464 -38.4985237101,118.45597662 -38.4965366901,118.47441564 -38.4944827101,118.4928426 -38.4923626701,118.5112566 -38.4901756701,118.52965764 -38.4879226101,118.54804356 -38.4856036701,118.56641562 -38.4832186701,118.58477364 -38.4807667100999,118.60311564 -38.4782495900999,118.6214427 -38.4756665900999,118.63975356 -38.4730166300999,118.65804768 -38.4703016901,118.6763256 -38.4675206901,118.6955226 -38.4645256701,118.71469854 -38.4614595501,118.73385558 -38.4583196300999,118.75299264 -38.4551086101,118.77210864 -38.4518246901,118.79120268 -38.4484676901,118.81027656 -38.4450386900999,118.82932668 -38.4415385901,118.84835556 -38.4379655901,118.86736068 -38.4343205901,118.88634258 -38.4306035901,118.90530054 -38.4268145900999,118.92423366 -38.4229546701,118.94314266 -38.4190225700999,118.96202664 -38.4150195501,118.98088362 -38.4109447101,118.99971558 -38.4067985901,119.01851964 -38.4025806500999,119.0372976 -38.3982926901,119.05604766 -38.3939325500999,119.07476964 -38.3895025700999,119.09346354 -38.3850005900999,119.11212864 -38.3804285901,119.13076458 -38.3757865701,119.14936956 -38.3710736301,119.16794556 -38.3662895900999,119.1864906 -38.3614366101,119.20500468 -38.3565127101,119.22348654 -38.3515186101,119.24193654 -38.3464546701,119.26035468 -38.3413216101,119.2787397 -38.3361187100999,119.2970916 -38.3308456101,119.31540966 -38.3255035701,119.3336937 -38.3200925901,119.35194264 -38.3146126701,119.37015756 -38.3090625501,119.38833666 -38.3034445701,119.40647958 -38.2977576501,119.42458668 -38.2920016101,119.44280358 -38.2861305501,119.46098358 -38.2801905501,119.4791256 -38.2741807100999,119.49722856 -38.2681015700999,119.51529264 -38.2619536701,119.53331766 -38.2557375500999,119.55130164 -38.2494515901,119.56924656 -38.2430975900999,119.58714954 -38.2366755501,119.60501256 -38.2301856501,119.62283364 -38.2236266300999,119.6406126 -38.2169995701,119.65834854 -38.2103055501,119.67604254 -38.2035436701,119.69369262 -38.1967146501,119.7112986 -38.1898186701,119.72886156 -38.1828546501,119.7463797 -38.1758236700999,119.76385266 -38.1687266300999,119.78128062 -38.1615626300999,119.79866268 -38.1543325701,119.81599758 -38.1470366300999,119.83328766 -38.1396735501,119.85052968 -38.1322456701,119.86772454 -38.1247515500999,119.8848717 -38.1171915501,119.90197062 -38.1095665701,119.91902058 -38.1018766101,119.93602266 -38.0941216700999,119.9529747 -38.0863015700999,119.9698767 -38.0784175701,119.98672866 -38.0704685900999,119.99999988 -38.0641403300999,119.99999988 -39.0312084500999,119.99999988 -39.9982765701,119.99999988 -40.9653446900999,119.99999988 -41.9324128100999,119.99999988 -42.8994809301,119.99999988 -43.8665490501,119.99999988 -44.8336171701,119.99999988 -45.8006852901,119.99999988 -46.7677534101,119.99999988 -47.7348215301,119.99999988 -48.7018896500999,119.99999988 -49.6689577701,119.99999986889 -49.9978921003609,119.99999985 -50.5571296700999,119.99999982 -51.4453015701,119.99999979 -52.3334734701,119.99999976 -53.2216453701,119.99999973 -54.1098172701,119.9999997 -54.9979891701,118.9999997055 -54.9979891701,117.999999711 -54.9979891701,116.9999997165 -54.9979891701,115.999999722 -54.9979891701,114.9999997275 -54.9979891701,113.999999733 -54.9979891701,112.9999997385 -54.9979891701,111.999999744 -54.9979891701,110.9999997495 -54.9979891701,109.999999755 -54.9979891701,108.9999997605 -54.9979891701,107.999999766 -54.9979891701,106.9999997715 -54.9979891701,105.999999777 -54.9979891701,104.9999997825 -54.9979891701,103.999999788 -54.9979891701,102.9999997935 -54.9979891701,101.999999799 -54.9979891701,100.9999998045 -54.9979891701,99.9999998100001 -54.9979891701,98.9999998155001 -54.9979891701,97.999999821 -54.9979891701,96.9999998265 -54.9979891701,95.999999832 -54.9979891701,94.9999998375 -54.9979891701,93.9999998430001 -54.9979891701,92.9999998485001 -54.9979891701,91.9999998540001 -54.9979891701,90.9999998595001 -54.9979891701,89.9999998650001 -54.9979891701,88.9999998705 -54.9979891701,87.999999876 -54.9979891701,86.9999998814999 -54.9979891701,85.9999998870001 -54.9979891701,84.9999998925001 -54.9979891701,83.9999998980001 -54.9979891701,82.9999999035001 -54.9979891701,81.9999999090001 -54.9979891701,80.9999999145 -54.9979891701,79.99999992 -54.9979891701,79.99999992 -54.1735568061,79.99999992 -53.3491244420999,79.99999992 -52.5246920781,79.99999992 -51.7002597141,79.99999992 -50.8758273501,79.99999992 -49.9978921003609,79.99999992 -49.8961659501,79.99999992 -48.9165045501,79.99999992 -47.9368431501,79.99999992 -46.9571817501,79.99999992 -45.9775203501,79.99999992 -44.9978589501,79.02572358 -44.9978589501,78.0514472400001 -44.9978589501,77.0771709000001 -44.9978589501,76.1028945600001 -44.9978589501,75.12861822 -44.9978589501,74.15434188 -44.9978589501,73.18006554 -44.9978589501,72.2057892000001 -44.9978589501,71.2315128600001 -44.9978589501,70.2572365200001 -44.9978589501,69.2829601800001 -44.9978589501,68.3086838400001 -44.9978589501,67.3344075000001 -44.9978589501,66.36013116 -44.9978589501,65.38585482 -44.9978589501,64.4115784800001 -44.9978589501,63.4373021400001 -44.9978589501,62.4630258000001 -44.9978589501,61.4887494600001 -44.9978589501,60.51447312 -44.9978589501,59.54019678 -44.9978589501,58.56592044 -44.9978589501,57.5916440999999 -44.9978589501,56.6173677599999 -44.9978589501,56.3484875400001 -44.6512946901,55.84313664 -44.1968306900999,55.8428655600001 -44.1966577100999,55.84263264 -44.1964456701,55.8406735200001 -44.1951926901,55.8394084800001 -44.1940435701,55.8315666 -44.1890276901,55.8309925800001 -44.1885056900999,55.2310835400001 -43.8004886901,55.23024852 -43.8001096101,55.2295135800001 -43.7996286501,55.21902948 -43.7948676500999,55.1958516 -43.7796976101,54.5192296200001 -43.4683445901,54.5192175600001 -43.4683417100999,54.5175846 -43.4675806700999,54.5159295 -43.4670786501,54.51517764 -43.4667285501,54.5129116200001 -43.4660405901,54.51277158 -43.4659756100999,53.7777655200001 -43.2396506300999,53.7377895 -43.2328075701,53.7349786200001 -43.2319275501,52.9612695 -43.0962727101,52.8522544800001 -43.0909515501,52.7807154600001 -43.0558177101,52.0575305400001 -42.8179826301,52.05659562 -42.8178056900999,52.05600162 -42.8176076901,51.29161362 -42.6701876901,50.50592352 -42.6170086701,50.5049866200001 -42.6170626700999,50.5028075399999 -42.6169076901,49.71599946 -42.6593156901,48.94826454 -42.7962316100999,48.21954948 -43.0241006301,48.2191235999999 -43.0243016900999,48.21762348 -43.0247635701,47.98225152 -43.1354745501,47.97179658 -43.1386627101,47.9710715400001 -43.1390016501,47.96938962 -43.1395146500999,47.2964785199999 -43.4508206900999,46.7003896200001 -43.8390216501,46.69416954 -43.8447175700999,46.6843735800001 -43.8510245901,46.1823564600001 -44.3056477101,46.1823226200001 -44.3056916300999,46.18194156 -44.3060336300999,46.1738125800001 -44.3166997101,46.1731095 -44.3173286301,45.7811544599999 -44.8260246501,45.69727176 -44.9978589501,44.8096372200001 -44.9978589501,43.92200268 -44.9978589501,43.0343681399999 -44.9978589501,42.1467336 -44.9978589501,42.05828952 -44.8815375500999,42.05699946 -44.8803697101,42.05693862 -44.8802876300999,42.0532905600001 -44.8769876901,42.05309256 -44.8767236301,42.05292858 -44.8765756701,42.0526726200001 -44.8762345700999,41.5518786000001 -44.4180926301,40.9550796 -44.0257736300999,40.9536585000001 -44.0251166300999,40.95350946 -44.0250176301,40.95315558 -44.0248536500999,40.95094446 -44.0233835901,40.9477955400001 -44.0219275700999,40.94771058 -44.0218715900999,40.2725646000001 -43.7058216500999,40.2458975999999 -43.6975416501,40.2267555000001 -43.6884615500999,39.4923096000001 -43.4567365701,38.7176635800001 -43.3156545501,38.7173035800001 -43.3156345701,38.7169065000001 -43.3155605900999,37.9221364800001 -43.2687616701,37.9078734600001 -43.2696866900999,37.8930875400001 -43.2687586101,37.89225162 -43.2688126100999,37.89138852 -43.2687586101,37.89106452 -43.2687796700999,37.8907306199999 -43.2687586101,37.09613556 -43.3172255901,36.3220146000001 -43.4599385901,35.5884384600001 -43.6932146300999,34.91494956 -44.0109787101,34.90191756 -44.0197036701,34.9000236000001 -44.0205856700999,34.8975224999999 -44.0222596701,34.89598152 -44.0229776901,34.89581862 -44.0230865900999,34.8942205800001 -44.0238316100999,34.89395454 -44.0240096301,34.89108462 -44.0253466701,34.88870862 -44.0269357101,34.88860962 -44.0269816101,34.29357354 -44.4207195501,34.29337752 -44.4209026101,34.29306846 -44.4211045700999,33.7943584800001 -44.8804426101,33.76044252 -44.9258625501,33.68086848 -44.9978589501,32.7606513750001 -44.9978589501,31.84043427 -44.9978589501,30.9202171650001 -44.9978589501,30.00000006 -44.9978589501,30.00000006 -44.0872660760999,30.00000006 -43.1766732020999,30.00000006 -42.2660803280999,30.00000006 -41.3554874541,30.00000006 -40.4448945801,30.00000006 -39.5343017061,30.00000006 -38.6237088321,30.00000006 -37.7131159581,30.00000006 -36.8025230841,30.00000006 -35.8919302100999,30.0461526 -35.8629755901,30.07024848 -35.8526286500999,30.07088046 -35.8522286900999,30.0718794600001 -35.8517995701,30.63347856 -35.4941566701,30.6340014600001 -35.4936785900999,30.6359935200001 -35.4924016701,30.6593974800001 -35.4710317101,30.70629954 -35.4409065501,30.73162644 -35.4177385701,30.7622795400001 -35.3980175900999,30.7689235200001 -35.3919326901,30.80754558 -35.3670566901,30.90402954 -35.2784745501,31.0945874400001 -35.1550465701,31.09766346 -35.1522045501,31.1012065800001 -35.1499046901,31.1521185000001 -35.1028336101,31.2416895600001 -35.0445166701,31.2432024600001 -35.0431135701,31.2449976000001 -35.0419435701,31.2627895200001 -35.0254395500999,31.2809734800001 -35.0135775500999,31.37190048 -34.9290716901,31.3874294400001 -34.9189106901,31.5885625200001 -34.7311526901,31.61198844 -34.7157315501,32.0749515000001 -34.2793526900999,32.0749875 -34.2793035500999,32.0762354400001 -34.2781196901,32.08408848 -34.2673286900999,32.11274952 -34.2401245701,32.11283754 -34.2400036101,32.1131415600001 -34.2397147101,32.12155854 -34.2281365701,32.1331536 -34.2171216501,32.1336405000001 -34.2164516901,32.13433044 -34.2157955901,32.1493964399999 -34.1950556300999,32.2760916000001 -34.0744156700999,32.27611554 -34.0743836301,32.2773735600001 -34.0731826701,32.2964074800001 -34.0468675700999,32.3281974600001 -34.0255215501,32.32945548 -34.0243196901,32.3294934600001 -34.0242946701,32.3461425600001 -34.0083877101,32.3523584999999 -34.0042095500999,32.35282362 -34.0037645901,32.3547665400001 -34.0024595901,32.3550314999999 -34.0022066901,32.35526658 -34.0020486500999,32.38271658 -33.9758006901,32.38476462 -33.9744226101,32.3874135 -33.9718885700999,32.3965026000001 -33.9657736100999,32.40039654 -33.9620467101,32.58233748 -33.8393216301,32.5835155800001 -33.8381896101,32.58564246 -33.8367506901,32.5868734800001 -33.8355675501,32.58693846 -33.8355236301,32.5908084600001 -33.8318035701,32.59242846 -33.8307075500999,32.59255662 -33.8305846101,32.5928305800001 -33.8303995700999,32.5967664600001 -33.8266147101,32.6007334800001 -33.8239316301,32.6027424600001 -33.8219996901,32.6291585400001 -33.8041265901,32.65887258 -33.7755195500999,32.6607345 -33.7742575701,32.66665056 -33.7685596701,32.67324162 -33.7640936901,32.6813976 -33.7562347100999,32.6849225400001 -33.7538455701,32.7080255399999 -33.7315725501,32.72068152 -33.7229876301,32.7255935399999 -33.7182476901,32.7273665400001 -33.7170456501,32.7294756 -33.7150105701,32.7314674800001 -33.7136585901,32.7323775600001 -33.7127805501,32.7348745200001 -33.7110856701,33.18787656 -33.2712877101,33.1879336200001 -33.2712067101,33.1882705800001 -33.2708776700999,33.1885695600001 -33.2704546701,33.1903375200001 -33.2687266701,33.19039062 -33.2686526901,33.1907326200001 -33.2683186101,33.19331454 -33.2646566900999,33.19394562 -33.2640405500999,33.1971795000001 -33.2594546901,33.2181615600001 -33.2389496301,33.2184555000001 -33.2385345501,33.2185505400001 -33.2384405901,33.2210646000001 -33.2348726300999,33.2213715000001 -33.2345736500999,33.22143252 -33.2344867101,33.22344258 -33.2325225501,33.23203254 -33.2203297100999,33.24095856 -33.2115997101,33.2413075800001 -33.2111036301,33.2450965800001 -33.2073976100999,33.24515148 -33.2073196700999,33.2454906 -33.2069875701,33.26423148 -33.1803666501,33.26866254 -33.1760286501,33.2689494599999 -33.1756205901,33.2690535 -33.1755196101,33.2715225600001 -33.1720106901,33.3005796000001 -33.1435526900999,33.30063846 -33.1434675501,33.3027495000001 -33.1413997101,33.31386954 -33.1255796901,33.3276215400001 -33.1120976900999,33.3284506200001 -33.1109176101,33.3320484600001 -33.1073896100999,33.3322734600001 -33.1070695701,33.3337215600001 -33.1056495500999,33.3452845800001 -33.0891826101,33.34832748 -33.0861976701,33.3576846000001 -33.0728686701,33.3588295800001 -33.0717445701,33.35978358 -33.0703855701,33.3962965800001 -33.0345326301,33.3970354800001 -33.0334785501,33.40200654 -33.0285956901,33.4021635 -33.0283706901,33.4031866200001 -33.0273655701,33.4702085400001 -32.9316476901,33.4711355400001 -32.9307345501,33.5097975600001 -32.8754255900999,33.51823956 -32.8671036500999,33.53456952 -32.8437157101,33.5397706200001 -32.8385857100999,33.54010848 -32.8381016901,33.5426256000001 -32.8356176901,33.5482014599999 -32.8276276701,33.55811658 -32.8178426901,33.5605395600001 -32.8143686901,33.5609386200001 -32.8139755701,33.5611405800001 -32.8136846900999,33.56261046 -32.8122337101,33.5626534800001 -32.8121735901,33.56300556 -32.8118256501,33.91012062 -32.3114576901,33.91058052 -32.3104016300999,33.9109705800001 -32.3098357101,33.9110065800001 -32.3097525501,33.9221205000001 -32.2936425501,33.9274116000001 -32.2814876901,34.0597144800001 -32.0892395901,34.0662346199999 -32.0741896101,34.0803655199999 -32.0536035501,34.0808135400001 -32.0525685501,34.08121656 -32.0519815701,34.08193548 -32.0503216101,34.1180145 -31.9977205701,34.11875754 -31.9960035501,34.1206515000001 -31.9916216300999,34.13388852 -31.9723065501,34.1346234600001 -31.9706046500999,34.1346346200001 -31.9705886300999,34.1362065600001 -31.9669506500999,34.13948562 -31.9621646301,34.14004146 -31.9608765501,34.14264156 -31.9570816101,34.1509995 -31.9377276501,34.1591956199999 -31.9257565701,34.1598105 -31.9243336700999,34.1599446000001 -31.9241376501,34.1605116000001 -31.9228236501,34.1607915 -31.9224146901,34.1682535799999 -31.9051237101,34.1685306 -31.9047187101,34.16975946 -31.9018696701,34.1788735800001 -31.8885505701,34.18412256 -31.8763805901,34.18841358 -31.8701066901,34.1884665000001 -31.8699846500999,34.2371584799999 -31.7987375901,34.2377226000001 -31.7974255701,34.2380035800001 -31.7970146301,34.2381835800001 -31.7965975701,34.2396334800001 -31.7944735700999,34.25164146 -31.7665687101,34.49808954 -31.4041536500999,34.7155605 -31.2483425901,34.7187645000001 -31.2450746901,34.7213435400001 -31.2432215901,34.7259276 -31.2385446500999,34.72881948 -31.2364665501,34.7294716200001 -31.2358016301,34.73212158 -31.2338966901,34.7368005000001 -31.2291225501,34.7396965200001 -31.2270406700999,34.7737815 -31.1922346101,34.78108158 -31.1869825701,34.7845865400001 -31.1834005701,34.7848576200001 -31.1832067101,34.79497452 -31.1728666101,34.82526258 -31.1510606901,34.86163752 -31.1138386700999,34.8725345400001 -31.1059816700999,34.8806925000001 -31.0976276901,34.88328252 -31.0957596501,34.88347458 -31.0955636301,34.8891975 -31.0914356901,34.90466562 -31.0755866901,34.9099014600001 -31.0718075901,34.9361065800001 -31.0449406101,34.97811552 -31.0145866701,34.9804054800001 -31.0122356901,34.9831065600001 -31.0102826901,34.9839286200001 -31.0094386700999,34.9981345800001 -30.9991666101,35.0274105 -30.9690877100999,35.0304305400001 -30.9669016101,35.0349825599999 -30.9622216101,35.04040848 -30.9582936501,35.0421375600001 -30.9565156101,35.04790962 -30.9523365501,35.0491995 -30.9510095900999,35.0536555800001 -30.9464285901,35.05366962 -30.9464176101,35.0540206200001 -30.9460567100999,35.0570736000001 -30.9438466701,35.48880252 -30.4974146301,35.4889985400001 -30.4971176301,35.5003236000001 -30.4853436501,35.50150152 -30.4841165900999,35.5086615600001 -30.4732706900999,35.5136965200001 -30.4680335900999,35.5171705200001 -30.4627696701,35.51777658 -30.4621396701,35.8490905200001 -29.9576606900999,35.84951046 -29.9566327101,35.85388356 -29.9499415701,35.8542905400001 -29.9489456300999,35.8602136199999 -29.9398826301,35.86078548 -29.9384806101,35.8610596200001 -29.9380615700999,35.8614505799999 -29.9371046901,35.86181652 -29.9365436300999,36.0840945600001 -29.3901286101,36.0849015000001 -29.3858775501,36.08558352 -29.3841956301,36.0856015200001 -29.3841016701,36.0886336200001 -29.3766176301,36.0893595599999 -29.3727956901,36.0908704800001 -29.3690646501,36.09089046 -29.3689616901,36.09391752 -29.3614886300999,36.09441162 -29.3588845701,36.0947005200001 -29.3581715900999,36.1035945 -29.3113265901,36.10652724 -29.3040684500999,36.21859056 -29.0267235501,36.2187216 -29.0260285701,36.2201506200001 -29.0224856301,36.22059846 -29.0201155701,36.2223255600001 -29.0158326500999,36.2224566000001 -29.0151385701,36.22388562 -29.0115945500999,36.22406148 -29.0106607101,36.2247004800001 -29.0090767101,36.2259396 -29.0025115701,36.22836762 -28.9964905701,36.3360636 -28.4251387100999,36.3354935400001 -28.3816895901,36.3401715599999 -28.3568296101,36.3401676 -28.3564825701,36.3465576 -28.3225246701,36.3596706 -28.2898147101,36.3609244800001 -28.2831505701,36.36260748 -28.2789506300999,36.3630256200001 -28.2767306901,36.3648825000001 -28.2720976700999,36.3650706000001 -28.2710947101,36.37644156 -28.2427155500999,36.37823652 -28.2331645700999,36.3939615 -28.1938966701,36.3940385400001 -28.1934846500999,36.3955294800001 -28.1897595501,36.39758256 -28.1788276100999,36.41237658 -28.1418595701,36.41283846 -28.1394016700999,36.4145554799999 -28.1351086701,36.41560146 -28.1295337101,36.4345605 -28.0821276501,36.43692462 -28.0695217101,36.4436004600001 -28.0528196901,36.4439694600001 -28.0508476100999,36.4458805200001 -28.0460677101,36.44645058 -28.0430257101,36.46741446 -27.9905476101,36.4676455800001 -27.9893126301,36.4782375 -27.9627865700999,36.4889725200001 -27.9054286701,36.4911255 -27.9000306501,36.49168746 -27.8970286101,36.49181256 -27.8967166700999,36.4923216 -27.8939936300999,36.49259862 -27.8932995501,36.4949145 -27.8809216701,36.4993315200001 -27.8698496901,36.5329665 -27.7020846501,36.90667746 -27.5314556301,36.9074745 -27.5309386701,36.9084054600001 -27.5305325901,36.9089335800001 -27.5301905901,36.9100296 -27.5297126901,36.9108264600001 -27.5291955500999,36.9117576 -27.5287896501,36.9122934600001 -27.5284417101,36.91338048 -27.5279675900999,36.9156574800001 -27.5264906900999,36.9160185600001 -27.5263326501,36.9199726200001 -27.5237676501,36.92017548 -27.5236796301,36.9226605600001 -27.5220666501,36.92270754 -27.5220455900999,36.92369646 -27.5214046100999,36.9243334799999 -27.5211266900999,36.92466756 -27.5209096100999,36.9260595000001 -27.5203026500999,36.92637648 -27.5200976301,36.92778858 -27.5194816701,36.92858346 -27.5189656101,36.92951658 -27.5185586301,36.93200058 -27.5169465500999,36.93204846 -27.5169256701,36.93552858 -27.5146666700999,36.9362075400001 -27.5143705701,36.93653046 -27.5141606900999,36.93793248 -27.5135486901,36.9387264600001 -27.5130337100999,36.93966048 -27.5126265501,36.95707062 -27.5013225500999,36.96421158 -27.4982056701,36.9654066 -27.4974296901,36.9657315000001 -27.4972876701,36.9660546 -27.4970776101,36.96746148 -27.4964636301,36.9677826000001 -27.4962555501,36.9691866000001 -27.4956415701,36.9716214599999 -27.4940606301,36.98189262 -27.4895755700999,36.9843516000001 -27.4879777101,36.98442846 -27.4879436901,36.98522658 -27.4874256501,36.9861525 -27.4870215501,36.9866755799999 -27.4866817101,36.9877806000001 -27.4861985901,36.9885774600001 -27.4856805501,36.98950356 -27.4852766301,36.99001746 -27.4849425501,36.99113148 -27.4844556501,36.9934036200001 -27.4829796501,36.9937656 -27.4828216101,36.9972306 -27.4805696301,36.9979236 -27.4802666900999,37.0016544599999 -27.4778415500999,37.0021815000001 -27.4776116901,37.52840646 -27.1336865901,37.5300135000001 -27.1321826901,37.5367595400001 -27.1277485701,37.53701856 -27.1275066500999,37.5417964800001 -27.1243656501,37.5429015000001 -27.1233306501,37.5452145 -27.1218105501,37.5455334600001 -27.1215106701,37.5477294600001 -27.1200676101,37.5482176200001 -27.1196096901,37.55266452 -27.1166855901,37.5529485600001 -27.1164206301,37.5628356000001 -27.1099186701,38.01040362 -26.6885176101,38.01219246 -26.6860876101,38.0182415400001 -26.6803636101,38.0302075800001 -26.6641126700999,38.0682385200001 -26.6280955701,38.0699045999999 -26.6258317101,38.07687456 -26.6192266101,38.25260262 -26.3797357101,38.2549635000001 -26.3774885900999,38.2602085199999 -26.3703236901,38.26067454 -26.3698785501,38.2640076000001 -26.3653256301,38.2682005200001 -26.3613335900999,38.27101446 -26.3574886100999,38.27145258 -26.3570706501,38.2736505600001 -26.3540677101,38.27401362 -26.3537215700999,38.6278225200001 -25.8679766300999,38.6283565800001 -25.8668505501,38.62937754 -25.8654425901,38.62995552 -25.8642247101,38.6302455 -25.8638236700999,38.6339445 -25.8560235501,38.64482658 -25.8410126301,38.64547746 -25.8396386901,38.6488195200001 -25.8350276301,38.6494036199999 -25.8337957101,38.6496846000001 -25.8334087100999,38.6524794600001 -25.8275126301,38.69115156 -25.7741176101,38.69429562 -25.7674766901,38.6943136200001 -25.7674505901,38.70764946 -25.7392746501,38.7080226000001 -25.7387596701,38.71839546 -25.7168356701,38.72081646 -25.7134885701,38.72157462 -25.7118845901,38.7215845200001 -25.7118716301,38.7222966000001 -25.7103666501,38.7224496000001 -25.7101537101,38.8712086200001 -25.4001335901,39.04558362 -25.4780206701,39.0504234600001 -25.4792896700999,39.0515056200001 -25.4797695500999,39.2386545 -25.5286966101,39.6695944800001 -25.6404236901,40.3101604800001 -25.6992766700999,40.31322552 -25.6990685901,40.3144695000001 -25.6991805500999,40.3147845 -25.6991585901,40.42882152 -25.9204176501,40.43403162 -25.9277026101,40.4451325800001 -25.9515396501,40.4506935 -25.9593125901,40.46261958 -25.9849066101,40.46815458 -25.9926395901,40.4801046000001 -26.0182726700999,40.4856135000001 -26.0259665900999,40.49758854 -26.0516396301,40.5030726000001 -26.0592946700999,40.5150724800001 -26.0850065901,40.5205315200001 -26.0926216701,40.53255552 -26.1183746300999,40.5379884600001 -26.1259495701,40.55003748 -26.1517415901,40.5554445000001 -26.1592785500999,40.56751962 -26.1851107101,40.57290054 -26.1926066301,40.5849996 -26.2184785701,40.5903555000001 -26.2259356101,40.6024795800001 -26.2518476901,40.60780848 -26.2592645901,40.61995848 -26.2852166301,40.62526146 -26.2925935701,40.6374375600001 -26.3185855701,40.64271462 -26.3259236301,40.6549144800001 -26.3519555900999,40.66016562 -26.3592536901,40.67239158 -26.3853256101,40.67761554 -26.3925835700999,40.6898676 -26.4186956300999,40.69506546 -26.4259147101,40.7073425400001 -26.4520665500999,40.7125144799999 -26.4592445901,40.72481658 -26.4854376501,40.7299626000001 -26.4925755501,40.7422895400001 -26.5188085701,40.74740946 -26.5259066901,40.7597625 -26.5521805700999,40.7648556000001 -26.5592385501,40.7772345600001 -26.5855525701,40.7785654800001 -26.5873966701,40.78181556 -26.5943036300999,41.1348655800001 -27.0811876101,41.1373614600001 -27.0835717101,41.1517774800001 -27.1033616300999,41.1551245800001 -27.1065566301,41.17470048 -27.1334176700999,41.1780054600001 -27.1365716301,41.19762348 -27.1634726300999,41.2008876000001 -27.1665855501,41.2205464800001 -27.1935286701,41.22376848 -27.1966005501,41.24346858 -27.2235856101,41.2466495400001 -27.2266155501,41.2663915800001 -27.2536416501,41.26952952 -27.2566305501,41.2893135 -27.2836985901,41.2924105800001 -27.2866466301,41.3122356 -27.3137557101,41.31266148 -27.3141607100999,41.3154126000001 -27.3179205501,41.7624535800001 -27.7411275501,42.2888385599999 -28.0873665500999,42.8781864600001 -28.3453695501,42.8872626 -28.3477016301,42.9091725600001 -28.3572286700999,42.9196525200001 -28.3599185901,42.94514358 -28.3709947100999,42.9555636000001 -28.3736666300999,42.9811146 -28.3847605701,42.99147558 -28.3874135901,43.0170875999999 -28.3985257100999,43.0273884600001 -28.4011616301,43.0530606 -28.4122906700999,43.0633015200001 -28.4149076900999,43.0890345000001 -28.4260556300999,43.0992154800001 -28.4286546501,43.12500948 -28.4398196901,43.1351305200001 -28.4424007101,43.1609855400001 -28.4535835701,43.1710464600001 -28.4561465900999,43.1969625 -28.4673476301,43.2069634800001 -28.4698926501,43.2329394600001 -28.4811106101,43.2428805 -28.4836376301,43.2689175000001 -28.4948735900999,43.2787986 -28.4973826101,43.3048975200001 -28.5086365701,43.3147175999999 -28.5111275900999,43.3408764600001 -28.5223986501,43.3506366000001 -28.5248716701,43.3768575600001 -28.5361605501,43.38655758 -28.5386155700999,43.4128395600001 -28.5499226301,43.4224785600001 -28.5523596501,43.4488215600001 -28.5636836301,43.4584006200001 -28.5661035501,43.4848055400001 -28.5774446300999,43.49432358 -28.5798465501,43.5207895200001 -28.5912056301,43.5302465400001 -28.5935895501,43.5567745800001 -28.6049655501,43.5661714799999 -28.6073316500999,43.5927605400001 -28.6187256501,43.6020966 -28.6210735701,43.6287465 -28.6324855701,43.63802262 -28.6348156701,43.66473462 -28.6462456701,43.6739484600001 -28.6485575900999,43.7007225600001 -28.6600046900999,43.7098764600001 -28.6622986100999,43.73671158 -28.6737626301,43.74580446 -28.6760396301,43.7727015000001 -28.6875216500999,43.7817335400001 -28.6897806501,43.8086925000001 -28.7012795901,43.81033554 -28.7016896301,43.81526646 -28.7037925701,44.4519826200001 -28.8613555700999,45.11126754 -28.9166566100999,45.1280595600001 -28.9154497101,45.1429635600001 -28.9166656101,45.1634554800001 -28.9151887101,45.18174348 -28.9166765901,45.20217654 -28.9151986100999,45.22052358 -28.9166866701,45.2408976 -28.9152076101,45.25930458 -28.9166956701,45.2796184800001 -28.9152166101,45.2980845 -28.9167046700999,45.3183395400001 -28.9152247100999,45.3368646000001 -28.9167136701,45.3570606000001 -28.9152326301,45.3756445200001 -28.9167215901,45.3957825600001 -28.9152396501,45.41442462 -28.9167286100999,45.43450362 -28.9152466701,45.45320454 -28.9167356301,45.4732245 -28.9152526101,45.49198446 -28.9167415701,45.4991256000001 -28.9162105701,45.50584446 -28.9167435501,46.1656794600001 -28.8662805500999,46.8040224600001 -28.7133766700999,46.8163755 -28.7082225501,46.8275315400001 -28.7055225500999,46.8467055 -28.6975175901,46.8641145600001 -28.6932996501,46.8832275 -28.6853126901,46.9006964999999 -28.6810756701,46.9197495000001 -28.6731086901,46.93727862 -28.6688525901,46.9562706 -28.6609036101,46.9738585800001 -28.6566277100999,46.99279062 -28.6486987101,47.01043854 -28.6444035501,47.02930956 -28.6364925501,47.0470176 -28.6321786701,47.0658285 -28.6242865701,47.0835955800001 -28.6199527101,47.1023465400001 -28.6120805900999,47.12017356 -28.6077276500999,47.1388635000001 -28.5998737101,47.15674956 -28.5955016901,47.17538046 -28.5876666501,47.1933255600001 -28.5832746501,47.2118965200001 -28.5754595900999,47.2299004800001 -28.5710476100999,47.2484115 -28.5632516301,47.2664755800001 -28.5588205700999,47.2849255800001 -28.5510436701,47.3030496000001 -28.5465937101,47.32143948 -28.5388357100999,47.33962146 -28.5343655900999,47.3579524800001 -28.5266266701,47.3761935 -28.5221376501,47.3944645800001 -28.5144176301,47.4127655400001 -28.5099086301,47.4309765 -28.5022085900999,47.4493356000001 -28.4976796101,47.46748662 -28.4899986501,47.48590548 -28.4854505901,47.50399656 -28.4777887101,47.5224744600001 -28.4732206700999,47.5405064999999 -28.4655785901,47.5590425400001 -28.4609905700999,47.5770144599999 -28.4533675700999,47.5956106200001 -28.4487595701,47.6135226000001 -28.4411565501,47.63217762 -28.4365296501,47.65002948 -28.4289446301,47.66874354 -28.4242975701,47.6865365400001 -28.4167336100999,47.70530856 -28.4120665701,47.7230425199999 -28.4045206101,47.7418725000001 -28.3998346700999,47.7595476 -28.3923086901,47.7784366200001 -28.3876025901,47.7960516000001 -28.3800956900999,47.81499948 -28.3753696101,47.8325556000001 -28.3678826900999,47.85156162 -28.3631366301,47.8690576200001 -28.3556686101,47.8881225000001 -28.3509036501,47.90556054 -28.3434556101,47.9246835600001 -28.3386695901,47.94206148 -28.3312406301,47.9612435400001 -28.3264357100999,47.9785626000001 -28.3190265501,47.9978026200001 -28.3142005701,48.0138834600001 -28.3073166501,48.0318615000001 -28.3028026101,48.62288646 -28.0479985700999,48.62343546 -28.0476436101,48.6252486000001 -28.0468566501,48.63324348 -28.0416915501,48.65978952 -28.0301675901,48.6677295000001 -28.0250336301,48.6943295400001 -28.0134776300999,48.7022155200001 -28.0083757101,48.7288695600001 -27.9967876701,48.7367004600001 -27.9917176101,48.7634076 -27.9800977101,48.7711836 -27.9750596901,48.7979454600001 -27.9634066701,48.8056674600001 -27.9584015900999,48.8324826 -27.9467167100999,48.8401495200001 -27.9417425900999,48.8670184800001 -27.9300256701,48.8746315800001 -27.9250846700999,48.9015534600001 -27.9133346301,48.9091125600001 -27.9084256701,48.9360886200001 -27.8966435901,48.9435935400001 -27.8917666701,48.97062252 -27.8799525500999,48.97807254 -27.8751065901,49.00515552 -27.8632606100999,49.0067145 -27.8622466701,49.0124115 -27.8597536701,49.5391876200001 -27.5151056901,49.9871185200001 -27.0932405901,50.3428266000001 -26.6077215501,50.5963125 -26.0739486501,50.5974375 -26.0695696101,50.6082374999999 -26.0467286901,50.6096524800001 -26.0412215901,50.62333752 -26.0122676901,50.6247406200001 -26.0068027101,50.63843862 -25.9778075901,50.6398305600001 -25.9723836500999,50.6535406200001 -25.9433476701,50.6549205 -25.9379645901,50.66864352 -25.9088875701,50.6700126000001 -25.9035466101,50.6837485799999 -25.8744276501,50.6840346 -25.8733096701,50.6913634800001 -25.8577686501,50.7374555399999 -25.6775296101,50.7556845000001 -25.6387826300999,50.7581676 -25.6290566901,50.7587025600001 -25.6279185500999,50.7591154800001 -25.6262996300999,50.7595384800001 -25.6253996301,50.75954154 -25.6253906301,50.7602964600001 -25.6237835900999,50.7607666200001 -25.6219425501,50.76189252 -25.6195485500999,50.7619485 -25.6193276901,50.7626515800001 -25.6178326101,50.7630645 -25.6162145901,50.7634875 -25.6153145901,50.7635465400001 -25.6150845500999,50.76500562 -25.6119817101,50.7650616 -25.6117606701,50.7657645000001 -25.6102655900999,50.7661185600001 -25.6088776101,50.7666034800001 -25.6078465701,50.7770505000001 -25.5668926101,50.7771306000001 -25.5667226901,50.7775426200001 -25.5651075500999,50.77796652 -25.5642046701,50.77991358 -25.5565715901,50.78024856 -25.5558566300999,50.78077848 -25.5537806900999,50.7809854800001 -25.5533405900999,50.7810355200001 -25.5531445701,50.78573658 -25.5431376501,50.7872055600001 -25.5373756701,50.78804562 -25.5355866501,50.8250055600001 -25.3904686701,50.8592305800001 -25.3174657101,50.8616175600001 -25.3080716901,50.8631115600001 -25.3048826300999,50.86556154 -25.2952396700999,50.8661335800001 -25.2940196301,50.8661865000001 -25.2938095701,50.8668924600001 -25.2923017100999,50.8676214600001 -25.2894326901,50.95251558 -25.1079637101,50.95343448 -25.1043336500999,50.9540905800001 -25.1029296501,50.9546115 -25.1008695501,50.95482354 -25.1004155900999,50.9566606200001 -25.0931626700999,50.9579746200001 -25.0903485500999,50.95901448 -25.0862396900999,50.9594455800001 -25.0853166501,50.9598894600001 -25.0835616501,50.9618025000001 -25.0794655701,50.9623785 -25.0771916300999,50.96253762 -25.0768507101,50.96285352 -25.0756016901,50.9657574600001 -25.0693835900999,50.9658075 -25.0691875700999,50.9665176 -25.0676656700999,50.9886235800001 -24.9802565900999,50.99477346 -24.9670746501,50.9975766000001 -24.9559807101,51.0335794800001 -24.8787486501,51.0336185400001 -24.8785965501,51.0350995800001 -24.8754166700999,51.03514548 -24.8752355901,51.03586062 -24.8737016301,51.0386124599999 -24.8627905701,51.0389645400001 -24.8620365501,51.0638405400001 -24.7633715301,51.06395754 -24.7631206100999,51.0643515600001 -24.7615585701,51.0647965200001 -24.7606025901,51.0852636 -24.6793415901,51.0883905600001 -24.6726166101,51.08843862 -24.6724265301,51.08914746 -24.6709006701,51.0896565 -24.6688796301,51.08988546 -24.6683846301,51.0902766 -24.6668326701,51.0907246199999 -24.6658685901,51.1278015600001 -24.5184455300999,51.1278184799999 -24.5184086301,51.1305156 -24.5076755901,51.15788946 -24.4486775300999,51.1579305000001 -24.4485166100999,51.1586505000001 -24.4469615901,51.15915558 -24.4449526101,51.1593904800001 -24.4444466301,51.1597195200001 -24.4431356900999,51.1602325200001 -24.4420295900999,51.3017415000001 -23.8764895700999,51.30178146 -23.8757436500999,51.3024474600001 -23.8730746101,51.3024615 -23.8728245901,51.3047055600001 -23.8638285500999,51.3047235600001 -23.8634836700999,51.3077715000001 -23.8512645500999,51.3078035400001 -23.8506826101,51.3084844800001 -23.8479496700999,51.3086925600001 -23.8441126101,51.3121176000001 -23.8303766301,51.3121575600001 -23.8296326901,51.3128235600001 -23.8269605900999,51.31399662 -23.8052736500999,51.31773648 -23.7902695701,51.31831662 -23.7795426501,51.39443952 -23.4736936701,51.39446958 -23.4731336900999,51.3951535799999 -23.4703796901,51.3952855200001 -23.4679216101,51.3959214600001 -23.4653636301,51.3962785799999 -23.4587036301,51.3965145600001 -23.4577555700999,51.39660546 -23.4560635701,51.39720648 -23.4536416701,51.39731358 -23.4516575301,51.4107495 -23.3975655501,51.4111665600001 -23.3897985501,51.4113255000001 -23.3891575700999,51.41145762 -23.3867045301,51.41209356 -23.3841416901,51.41223648 -23.3814816501,51.41883456 -23.3549066301,51.4191225600001 -23.3495456901,51.4194575400001 -23.3481956900999,51.41955546 -23.3463695900999,51.4201474799999 -23.3439826100999,51.4202115600001 -23.3427866901,51.4209366000001 -23.3398665501,51.42103452 -23.3380406301,51.42162762 -23.3356536501,51.4216974600001 -23.3343365901,51.42241746 -23.3314376901,51.4225755000001 -23.3284826300999,51.4230865199999 -23.3264255901,51.42457152 -23.2987295301,51.4338795 -23.2612175301,51.4339194600001 -23.2604575700999,51.4344515400001 -23.2583155701,51.5554284600001 -22.9941716901,51.5554815600001 -22.9939596501,51.5569525200001 -22.9907416101,51.5573145 -22.9892776701,51.55779546 -22.9882246701,51.5591445600001 -22.9827625701,51.5593575 -22.9822956501,51.5599005600001 -22.9800985701,51.55999956 -22.9798816701,51.56036046 -22.9784216901,51.5608425000001 -22.9773665301,51.56122752 -22.9758066501,51.56244954 -22.9731336501,51.5628385200001 -22.9715566700999,51.56405262 -22.9689016701,51.57224748 -22.9357076900999,51.57236862 -22.9354436300999,51.5728456200001 -22.9335106101,51.57311148 -22.9329286701,51.5744065800001 -22.9276816701,51.57467352 -22.9270975700999,51.5752065 -22.9249375700999,51.5754135000001 -22.9244836100999,51.5757166199999 -22.9232545701,51.5762595000001 -22.9220676501,51.57715752 -22.9184285901,51.5778395400001 -22.9169365700999,51.5782585800001 -22.9152366501,51.5785845600001 -22.9145225901,51.57999162 -22.9088246901,51.5800504800001 -22.9086945501,51.5804675399999 -22.9070066900999,51.58089162 -22.9060775301,51.5813725800001 -22.9041286701,51.58163052 -22.9035636501,51.5817635400001 -22.9030236500999,51.6222055800001 -22.8144425901,51.62222754 -22.8143545701,51.6229695000001 -22.8127275501,51.6234445200001 -22.8108026301,51.62371362 -22.8102125900999,51.62407146 -22.8087596301,51.62455656 -22.8076956501,51.6250344600001 -22.8057566900999,51.6252965400001 -22.8051826701,51.62610546 -22.8018965900999,51.6261195000001 -22.8018676101,51.6265936200001 -22.7999426901,51.62686254 -22.7993526501,51.6273364800001 -22.7974275501,51.62760558 -22.7968376900999,51.62841558 -22.7935516100999,51.62842854 -22.7935226301,51.6298325400001 -22.7878225700999,51.6298915800001 -22.7876945900999,51.6303655200001 -22.7857705701,51.6306346200001 -22.7851796300999,51.63167646 -22.7809496301,51.6466305000001 -22.7481595701,51.64712946 -22.7461345701,51.64813458 -22.7439295700999,51.6484915200001 -22.7424805701,51.6489786 -22.7414126301,51.64945056 -22.7394956301,51.64972146 -22.7388996501,51.65112348 -22.7332066101,51.6511845000001 -22.7330716101,51.6573354600001 -22.7080796901,51.6596925600001 -22.7029075701,51.6601645200001 -22.7009885901,51.6604365 -22.7003926101,51.66084852 -22.6987186100999,51.66127746 -22.6977766701,51.67959354 -22.6233106701,51.72014646 -22.5342205700999,51.7201695 -22.5341276901,51.7209066 -22.5325055301,51.7212595799999 -22.5310685901,51.7217506200001 -22.5299896701,51.7307886 -22.4931706701,51.7380625800001 -22.4771756901,51.73851456 -22.4753326701,51.7403345400001 -22.4713305501,51.79967658 -22.2291965301,51.8133465000001 -22.1990605701,51.8133616200001 -22.1989995500999,51.8141115 -22.1973455300999,51.81445962 -22.1959256901,51.8149566000001 -22.1948296701,51.8153686200001 -22.1931486501,51.81570054 -22.1924156901,51.8161635000001 -22.1905215501,51.81644556 -22.1899005501,51.8167925999999 -22.1884816100999,51.8172904800001 -22.1873846900999,51.8221015200001 -22.1677155501,51.83507646 -22.1199545301,51.8423675400001 -22.1636646500999,51.84256662 -22.1640856701,51.84311454 -22.1661796101,51.8965666200001 -22.2791506701,51.89980554 -22.2914936301,51.9005165400001 -22.2929935700999,51.9005725200001 -22.2932075901,51.90658146 -22.3058966901,51.9069855600001 -22.3074335301,51.9107155199999 -22.3153096101,51.91174458 -22.3192265901,52.1643886200001 -22.8506515701,52.51535748 -23.3329345701,52.51734954 -23.3348375301,52.5174465600001 -23.3349705501,52.5359205 -23.3526166701,52.5542436000001 -23.3776816701,52.5570755400001 -23.3803856301,52.55792154 -23.3815415901,52.9974666000001 -23.7993606501,52.9996536 -23.8008125301,53.00038152 -23.8015015701,53.0004366000001 -23.8015386501,53.00168454 -23.8027196301,53.5163796 -24.1427956101,53.5175254800001 -24.1433006900999,53.5180005 -24.1436126301,53.57115162 -24.1670156901,53.6016324600001 -24.1870376301,53.6026156200001 -24.1874696301,53.60335758 -24.1879565300999,53.6313366000001 -24.2002586301,53.63723358 -24.2041286301,53.6383746000001 -24.2046295701,53.63885862 -24.2049476301,53.66166048 -24.2149666101,53.66341458 -24.2161166301,54.2378204999999 -24.4669995501,54.2733165000001 -24.4759536501,54.30572748 -24.4900145301,54.9210745800001 -24.6437276901,54.92633958 -24.6441665301,54.93816252 -24.6470936901,54.94295862 -24.6474925700999,54.98245962 -24.6572656700999,55.61866458 -24.7087746501,55.6191235800001 -24.7087375701,55.6195876200001 -24.7087746501,55.6266976200001 -24.7082045900999,55.6554465 -24.7104736701,55.6571215800001 -24.7103386701,55.6588276200001 -24.7104736701,56.2949566199999 -24.6581606300999,56.3428035000001 -24.6462556101,56.3537795400001 -24.6453286101,56.3565315600001 -24.6446426301,56.3580765 -24.6445126700999,56.3608405800001 -24.6438245301,56.3623736399999 -24.6436945701,56.3651746200001 -24.6429965301,56.36656962 -24.6428786300999,56.3865175799999 -24.6379075700999,56.3878476 -24.6377956101,56.3939675999999 -24.6362695701,56.39644152 -24.6360596901,56.3986346400001 -24.6355135701,56.4228495000001 -24.6334576101,57.03782652 -24.4787285301,57.6118906200001 -24.2271315501,57.6159985799999 -24.2244295701,57.6195895800001 -24.2228466500999,57.62006352 -24.2225345300999,57.62121354 -24.2220276501,58.13602164 -23.8817205501,58.1405576400001 -23.8774255701,58.1443556400001 -23.8749026901,58.1444586000001 -23.8748056700999,58.1493855600001 -23.8715325500999,58.14964854 -23.8712836101,58.14988758 -23.8711246701,58.23972252 -23.8013885301,58.73720058 -23.6664176901,58.7377076400001 -23.6662065501,58.7550465 -23.6621095700999,58.7950846200001 -23.6454106101,58.8035466 -23.6434086501,58.80358764 -23.6433915500999,58.8212955000001 -23.6391995301,59.39693658 -23.3975756300999,59.40163962 -23.3945865501,59.40880164 -23.3915636301,59.4143935200001 -23.3880095300999,59.41802448 -23.3864766501,59.41843956 -23.3862125901,59.4197505000001 -23.3856596301,59.4200736 -23.3854535301,59.4256356 -23.3831056101,59.94442656 -23.0517616101,59.9653395 -23.0325926901,59.97629556 -23.0255595501,59.97718458 -23.0247436101,59.98385052 -23.0204646501,60.0285675599999 -22.9794345501,60.0424326 -22.9705245501,60.48776052 -22.5599656101,60.4878046200001 -22.5599065701,60.4890585000001 -22.5587466500999,60.8272435800001 -22.1099456301,61.0573165200001 -22.3217735901,61.07748948 -22.3347436701,61.08088464 -22.3378616301,61.59756852 -22.6685095701,61.60157262 -22.6702026501,61.6110415200001 -22.6762335501,61.61235858 -22.6767906500999,61.6127675400001 -22.6770505701,62.1857835000001 -22.9179926300999,62.79680448 -23.0615035700999,62.8315975800001 -23.0638525701,62.86913748 -23.0725856300999,63.4985046 -23.1137876301,63.4992015600001 -23.1137195900999,63.50023962 -23.1137856501,64.1273706000001 -23.0516096901,64.7319155400001 -22.8881246900999,65.29443354 -22.6286746700999,65.7971296200001 -22.2816656301,66.2244865200001 -21.8582296701,66.22474752 -21.8578565301,66.22488252 -21.8577226101,66.22854552 -21.8524876701,66.2890905 -21.7922566101,66.2896816200001 -21.7914106101,66.2910724800001 -21.7900256900999,66.63002256 -21.3035175501,66.6304835400001 -21.3025005501,66.6308975400001 -21.3019036700999,66.8721326400001 -20.7677135301,66.8725776 -20.7658825701,66.8728836000001 -20.7652036101,66.87365562 -20.7620246300999,66.87371556 -20.7618905300999,67.0108705200001 -20.1965866700999,67.0409265600001 -19.6174926501,67.0408365600001 -19.6168196300999,67.04088948 -19.6157936301,67.0392216000001 -19.6033826301,67.0395735000001 -19.5966376700999,67.0393504800001 -19.5949775301,67.0394835000001 -19.5924436701,66.9627205200001 -19.0171105701,66.7824814800001 -18.4627985901,66.50504064 -17.9459885301,66.5026065 -17.9429116100999,66.50250948 -17.9427296301,66.1368025800001 -17.4786685701,66.13649658 -17.4783946101,66.1364015400001 -17.4782736501,65.6936735400001 -17.0805796700999,65.18718252 -16.7608735701,65.18356956 -16.7593696701,65.18066652 -16.7575286301,64.6253305200001 -16.5251066901,64.6209045 -16.5240736700999,64.6196284800001 -16.5235365501,64.6186145400001 -16.5232996701,64.61706852 -16.5226496901,64.6162155 -16.5224495300999,64.6129366200001 -16.5210705501,64.6089156 -16.5201316701,64.5916865400001 -16.5128816300999,64.58887656 -16.5122246300999,64.58834448 -16.5120005301,64.0003595400001 -16.3735335500999,63.3966075000001 -16.3331775500999,63.3962916000001 -16.3332086901,63.3958216200001 -16.3331766501,63.3853566 -16.3342175901,63.3328354800001 -16.3306125501,63.3325195800001 -16.3306445901,63.3320524800001 -16.3306125501,63.14815152 -16.3487576301,63.11148948 -16.0013635701,63.0621855000001 -15.8334725300999,63.05805054 -15.7939956501,62.8947855000001 -15.2351876300999,62.86354254 -15.1725105501,62.8410866400001 -15.0952545501,62.58136662 -14.5718696301,62.2332385200001 -14.0995136301,62.2320296400001 -14.0983605501,62.2319346 -14.0982316700999,61.8061735800001 -13.6908365901,61.31561958 -13.3603636101,61.3143655200001 -13.3598005700999,61.3140336 -13.3595755701,60.7732506 -13.1156845701,60.19810848 -12.9654886101,59.6053774800001 -12.9133546700999,59.60455254 -12.9134216300999,59.6038046400001 -12.9133546700999,59.0107105800001 -12.9607855701,58.92031656 -12.9836275701,59.3065135800001 -12.6003776901,59.6424745800001 -12.1216795701,59.88735756 -11.5930825701,59.88786156 -11.5911545901,59.88891852 -11.5888685901,60.0357745800001 -11.0266286901,60.0807326400001 -10.4479216701,60.0804424800001 -10.4450366301,60.0806696400001 -10.4421256700999,60.0229575000001 -9.86452061009987,59.86484964 -9.3054575301,59.86432764 -9.30438167009999,59.86392858 -9.30296669009988,59.86312164 -9.30130169009988,59.86311462 -9.30127559009992,59.8628295 -9.30068861009994,59.86229256 -9.29878367009997,59.60899854 -8.77506161010001,59.3869446 -8.43694457010002,59.4599886 -8.24967869009993,59.4604726200001 -8.24781065010001,59.4607725000001 -8.2471556301,59.4610975800001 -8.24590265009994,59.46165648 -8.24468153009991,59.4639765000001 -8.2357236501,59.4640915200001 -8.23547255009998,59.6095905600001 -7.67364053009999,59.6096566200001 -7.6727806701,59.61202362 -7.66364261009994,59.6568256200001 -7.08525563009999,59.6563714800001 -7.08067355009996,59.65666452 -7.07690363009999,59.65638948 -7.07411957009992,59.6566245600001 -7.07108963009995,59.6564265600001 -7.06908461009999,59.6565964800001 -7.06690265010002,59.5997395200001 -6.4894795701,59.4432545400001 -5.93045159010001,59.19210252 -5.40665969010001,59.18470362 -5.39632769010001,59.2492545 -5.14932269010001,59.2958696399999 -4.57099961009993,59.2958286000001 -4.57057553009992,59.2958646000001 -4.57013057009999,59.2412306400001 -3.9925505301,59.2360005600001 -3.97358969009997,59.21430948 -3.74285867009991,59.0605155 -3.18342659009988,59.05988748 -3.18210161010001,59.0598135000001 -3.18183161010001,58.81145562 -2.65745057010002,58.8111946200001 -2.65708265009994,58.8105525600001 -2.65572455009993,58.7961536400001 -2.6354155100999,58.55638356 -2.12776151009996,58.55485356 -2.1255986301,58.5546795 -2.12522963010002,58.5546246000001 -2.12515151010001,58.5538795800001 -2.12357255009994,58.2190615800001 -1.64977457009996,57.8073375 -1.24108961009995,57.80723454 -1.24101761010002,57.80523852 -1.23903455009992,57.3290215199999 -0.907797650099951,56.8026585000001 -0.664020590099994,56.24201862 -0.515084630099921,56.0390104800001 -0.497722550099923,55.7825846400001 -0.429370610100023,55.2046465800001 -0.379443650099972,55.2035255400001 -0.379543550099982,55.2029545800001 -0.379493510100019,54.62506962 -0.430448630099988,54.0646936200001 -0.580752590099962,53.5387494600001 -0.825867590099961,53.06311458 -1.15838753010001,52.6521425399999 -1.56827057009997,52.6519594800001 -1.56853157009999,52.6509405 -1.56954659009995,52.5922084800001 -1.65313553009997,52.2597265200001 -1.74125957009989,51.7328164799999 -1.98487859009998,51.2559666000001 -2.31592559009994,51.25470552 -2.3171765900999,51.2546675400001 -2.3172025101,50.84222958 -2.72568461010002,50.5066395600001 -3.19928657010001,50.2580556000001 -3.7237365501,50.22237546 -3.8535725301,50.1730624799999 -3.95736863009989,50.1123465 -4.17786467010001,49.9471174800001 -4.40961359009992,49.69704762 -4.93358153010001,49.54158954 -5.49271553009999,49.48564158 -6.07016453009999,49.4856745200001 -6.07058357009993,49.48563654 -6.07097453009987,49.4914255200001 -6.14429555010003,49.4693004600001 -6.22327667010001,49.0395954599999 -6.42035561009999,49.0394655000001 -6.42044453009999,49.03790652 -6.42115859009999,48.8322385200001 -6.56260259009986,48.7180215000001 -6.51040565009998,48.15330462 -6.36228959009998,47.8265625 -6.33474959009993,47.6560175400001 -6.2560465700999,47.6556316200001 -6.25594469009997,47.64688146 -6.25190369009994,47.64531258 -6.25148861009995,47.6427096000001 -6.2502865701,47.6414985600001 -6.24996563010001,47.6385384600001 -6.24859853010003,47.07454752 -6.09881963010002,47.0741715 -6.09878669009998,47.0712745800001 -6.09801467009993,47.07125154 -6.09801269009995,47.0588715000001 -6.09471455009992,47.0573814600001 -6.0945845901,47.0515294800001 -6.09302561009997,47.05032348 -6.0929206701,47.0415076200001 -6.09057059009996,47.0401295400001 -6.09045161009999,47.0373406200001 -6.08970767009998,47.00849346 -6.08719955010002,47.0026225800001 -6.08563355009994,46.9963305000001 -6.0850865301,46.99528146 -6.08480663009999,46.9886464800001 -6.08422955009996,46.9877436 -6.08398853009999,46.98769662 -6.08398457009986,46.98446958 -6.08312363009992,46.9804435199999 -6.08277353009993,46.9787175000001 -6.08231255009997,46.3973605200001 -6.03123665009997,46.3901796000001 -6.03185153009997,46.3832766 -6.03123953009987,46.35913248 -6.03330269010002,46.3451985 -6.03206555010001,46.34162658 -6.03237155009998,46.3386546 -6.0321076701,46.3243125600001 -6.03333167009993,46.3105895400001 -6.03211253009999,46.3012565400001 -6.03290867009986,46.2923406000001 -6.03211559009998,46.2685575599999 -6.0341425700999,46.2642805800001 -6.03376259009997,46.2576465000001 -6.03432761009992,46.25188362 -6.03381461010002,46.24232346 -6.03462857009998,46.24196958 -6.03459653009998,46.23758046 -6.03497057009992,46.23373746 -6.03462767009989,45.65221452 -6.08366165009994,45.65025252 -6.08417753010002,45.6464595600001 -6.08449469009997,45.0820425600001 -6.23241059010002,45.07963452 -6.23351363009999,45.0777735 -6.23399963010002,45.07464546 -6.23543153010002,45.0737015400001 -6.23567867009996,44.5431726 -6.47805461009995,44.5427685000001 -6.47833163009989,44.5414845600001 -6.47891663009989,44.54078958 -6.47939363009999,44.53820262 -6.48057263009986,44.05737762 -6.81017963009998,43.6406554800001 -7.21718663009995,43.6406194800001 -7.2172375701,43.6368515400001 -7.2209106501,43.29678654 -7.6931566701,43.29444456 -7.69801055009998,43.29436158 -7.69812557009999,43.29423252 -7.69839359009995,43.2926535600001 -7.70058167009989,43.29205146 -7.70183069009994,43.2917454600001 -7.70225459009993,43.2705258 -7.74419441010002,43.2710722800001 -7.66194377009998,43.27084674 -7.65961475009999,43.2718592400001 -7.64694581010002,43.2710604000001 -7.63869155009996,43.2717332400001 -7.63027475009989,43.24644054 -7.36846799009993,43.2846820800001 -6.89220095009995,43.28460504 -6.89139923009998,43.2846707400001 -6.89058203009995,43.22940084 -6.31282577010001,43.12265616 -5.92766015009988,43.1521164000001 -5.8154492301,43.15234086 -5.81269235009995,43.1553353400001 -5.80128647010002,43.1564128200001 -5.78805089010001,43.1592922800001 -5.77708349009993,43.2064832400001 -5.19857933010002,43.2063649800001 -5.19732329009997,43.20646902 -5.19605105009998,43.2060417 -5.1915128901,43.20641754 -5.18691569010002,43.2063777600001 -5.18649359009993,43.2064128599999 -5.18606591010001,43.2059247000001 -5.18087957009993,43.2157235400001 -5.06105861010002,43.21549008 -5.0585762300999,43.2156958200001 -5.0560610901,43.21214118 -5.0182382301,43.2159327 -4.97192045009996,43.2158544000001 -4.97108633009998,43.2159235199999 -4.97024141010002,43.2115581600001 -4.92374795009994,43.2115711200001 -4.92359063009997,43.21145592 -4.92236411009992,43.2115578 -4.92112193010001,43.21147752 -4.92026783009993,43.21154826 -4.9194013101,43.2122967000001 -4.91026271009997,43.2122193000001 -4.9094384901,43.2122877 -4.90860365010002,43.21185984 -4.90404515009999,43.2122382000001 -4.89942833009997,43.2118906200001 -4.8957239300999,43.2121978800001 -4.89197201009989,43.1924722200001 -4.6810112901,43.28806662 -4.68100859009996,43.29245952 -4.67660255009991,43.2929604600001 -4.67625065009986,43.2977754600001 -4.67142053009997,43.3170675000001 -4.65786563009993,43.31985552 -4.65506969009999,43.3200695400001 -4.65491957009999,43.34834952 -4.62654653009992,43.4012886 -4.58934557009997,43.4014205399999 -4.5892125501,43.4017875599999 -4.58895461009996,43.8120576000001 -4.17710759009998,43.8317305200001 -4.1488726101,43.8340044600001 -4.14658967010001,43.8340345199999 -4.14654557009999,43.8418965600001 -4.13865059009993,43.8490135800001 -4.12843469009994,44.0354764799999 -3.94113965010001,44.0356325400001 -3.94091555009993,44.0366765400001 -3.93986669010002,44.0384135400001 -3.9373726101,44.0400684600001 -3.93570959009998,44.0671145400001 -3.89687855009998,44.0828814600001 -3.88103765009998,44.08299054 -3.88088159009993,44.08408152 -3.87978467009998,44.2780135200001 -3.60623255009995,44.5183104600001 -3.2539806501,44.5187356200001 -3.25307057010002,44.51921154 -3.25238963009997,44.52805062 -3.23342861010002,44.55389646 -3.20755253009997,44.5539285 -3.20750753009997,44.5559995800001 -3.20543357009996,44.5637286000001 -3.19438661009997,44.57141046 -3.18669557009997,44.5714165800001 -3.18668765009994,44.5718075400001 -3.18629561009993,44.5775616 -3.17807159009999,44.57891646 -3.17671565009999,44.57900646 -3.17658659009999,44.5793166000001 -3.1762755501,44.5982655600001 -3.14919167009992,44.6335525800001 -3.11386163009996,44.6335846200001 -3.1138155500999,44.6360526 -3.11134451009997,44.64363852 -3.10050059010001,44.65316556 -3.09096257009998,44.6532705 -3.0908115501,44.6568676200001 -3.08721065010002,44.6585976000001 -3.08473655009988,44.6648715000001 -3.07845455009993,44.6650275600001 -3.07823351009995,44.66607048 -3.0771886101,44.6929464600001 -3.03877067010001,44.6931955800001 -3.0385206501,44.6936005800001 -3.03794159009999,44.69439456 -3.03714761010002,44.6959735200001 -3.03488951010002,44.7070015800001 -3.02384759009999,44.7205944600001 -3.00441551009999,44.7386236200001 -2.98636367009999,44.7442405200001 -2.97833351010001,44.75453346 -2.96802761009997,44.7582675600001 -2.96268953009996,44.7695415000001 -2.95140065009986,44.7717265200001 -2.94827765010001,44.77404654 -2.94595457010001,44.7740645400001 -2.94592757009997,44.7769476 -2.94304163009986,44.77866858 -2.94058067009996,44.7832495800001 -2.93599463010003,44.78330862 -2.93590967009993,44.78364954 -2.9355676701,44.7874464600001 -2.9301395901,44.78865462 -2.92893053009999,44.7944155200001 -2.92069355009994,44.8057665000001 -2.90932853009991,44.80595658 -2.90905655009999,44.80696548 -2.9080465701,44.82805662 -2.87789351010002,44.8361875800001 -2.86975157009994,44.8379415000001 -2.86724453009998,44.8445925000001 -2.86058453009997,44.8467246000001 -2.85753659009998,44.8519975200001 -2.85225557009994,44.8558695 -2.84672057009999,44.8591015800001 -2.84348363009997,44.85911958 -2.84345753010001,44.8620024599999 -2.84057159010001,44.86752252 -2.83267859009999,44.8692094800001 -2.83098965009998,44.8693405199999 -2.83080263009992,44.87120946 -2.82893063009993,44.9268345000001 -2.74940267009993,44.99718948 -2.67895067009999,44.99921556 -2.67605357010001,45.00089262 -2.67437453010001,45.0009045000001 -2.67435761009995,45.0020916000001 -2.67316961009999,45.0210735 -2.64602867010001,45.06302862 -2.60401451009994,45.0631836000001 -2.60379257009998,45.0654294600001 -2.60154455009996,45.2536965000001 -2.33233565009999,45.4365545400001 -2.14922651009999,45.4383235800001 -2.14669661009992,45.47077254 -2.11420355009994,45.47679948 -2.10558461009992,45.48527946 -2.09709257010002,45.4852845 -2.09708555009996,45.4873786200001 -2.09498855009986,45.4891564800001 -2.09244659009994,45.4936834800001 -2.08791365009995,45.4938015600001 -2.08774553009999,45.49488246 -2.08666355010001,45.4966354800001 -2.08415561009997,45.50078646 -2.07999959009999,45.5026705200001 -2.07730553009992,45.5086906200001 -2.07127751009989,45.50870862 -2.07125159009996,45.5115915000001 -2.06836457010002,45.51526152 -2.06311667009993,45.5199955200001 -2.05837565009989,45.52189056 -2.05566557010002,45.52749846 -2.05005065009993,45.5296834800001 -2.04692765009992,45.52990056 -2.04670967009992,45.5316235200001 -2.04424565009998,45.55121058 -2.02463267009995,45.5513065200001 -2.0244955101,45.5574124800001 -2.01838163010001,45.55907748 -2.01600059010002,45.5662164600001 -2.00885153009995,45.5664335400001 -2.00854157009996,45.5732195400001 -2.00174657009995,45.57490452 -1.99933763009994,45.5891265000001 -1.98509765009999,45.59117562 -1.98216761010002,45.59163048 -1.98171167010003,45.5933475000001 -1.97925665009996,45.5991336000001 -1.97346263010002,45.6010605000001 -1.97070665009994,45.61333848 -1.95841355009998,45.61706052 -1.95309059009998,45.6204414600001 -1.94970551009993,45.6204816000001 -1.94964863009994,45.6316455600001 -1.93846955010002,45.63358758 -1.93569359010002,45.6341495400001 -1.93512965010001,45.6361326000001 -1.9322946501,45.65245662 -1.91594957009994,45.6544504800001 -1.91309855010002,45.6582585600001 -1.9092865101,45.6600905999999 -1.90666553009987,45.66166254 -1.90509161009993,45.6635196 -1.90243661009998,45.66496446 -1.90098959009998,45.66663954 -1.8985945101,45.6812715600001 -1.88394467009994,45.68158854 -1.8834905301,45.6907735800001 -1.87429361009998,45.6923435400001 -1.87204955009992,45.69337656 -1.87101455009991,45.6953985000001 -1.8681246500999,45.69747552 -1.86604367009994,45.69919452 -1.86358559009994,45.7075816200001 -1.8551885901,45.70771662 -1.85499653009998,45.70918452 -1.85352665009998,45.71103762 -1.85087651009991,45.7133866200001 -1.84852463009992,45.7133934600001 -1.84851365009996,45.72088956 -1.84100963010002,45.72274248 -1.83835967009998,45.7250914800001 -1.83600761009995,45.72688356 -1.83344567009999,45.73839546 -1.82191955009995,45.7404665399999 -1.8189576501,45.7416964799999 -1.81772555010002,45.7437684600001 -1.81476365010002,45.7449985800001 -1.81353263009993,45.74668662 -1.81111865009996,45.74840256 -1.80939965009992,45.75039246 -1.80655457009999,45.7567036199999 -1.80023657010003,45.7567075800001 -1.80023063009997,45.76210758 -1.79482451009994,45.7621965000001 -1.79469563010002,45.7650075600001 -1.79188151009998,45.7668604799999 -1.7892326301,45.76920948 -1.78688057009998,45.7730406000001 -1.78140263009999,45.7775145000001 -1.77692261009997,45.7792785 -1.77440153009996,45.79092162 -1.76274455010002,45.7928395200001 -1.7600015301,45.7946235000001 -1.75821557009994,45.79463754 -1.7581955901,45.79842456 -1.75440353009992,45.8003536200001 -1.75164557009998,45.8017255800001 -1.75027163009992,45.8034406200001 -1.74782057009998,45.8159295600001 -1.73531561009997,45.8178156 -1.73261957009998,45.81881154 -1.73162165010001,45.8218726200001 -1.72947659009998,45.82421748 -1.72712867009989,45.8268705000001 -1.7252685501,45.82973952 -1.72239665009994,45.8327736000001 -1.72027067009998,45.8379694800001 -1.71506759009998,45.8435745 -1.71113855009997,45.8441985599999 -1.71051467009994,45.85517658 -1.70281859009992,45.8552674800001 -1.70272661009994,45.86937552 -1.6928375901,45.8706015 -1.69161161009998,45.87067656 -1.69155761009995,45.87356448 -1.68866753010002,45.8818784999999 -1.68283967010001,45.88305354 -1.6816626500999,45.8831795400001 -1.68157463009999,45.88367148 -1.68108161010002,45.89188146 -1.67532755010001,45.8939415600001 -1.67326457009995,45.8939806200001 -1.67323757010001,45.89965152 -1.66756055009995,45.95268456 -1.63038767009994,45.9546325200001 -1.62843755009999,45.9547875000001 -1.6283286501,45.98092062 -1.60216763009993,46.0818925200001 -1.53140063009988,46.0831156200001 -1.53017663010002,46.0831935600001 -1.53012155009992,46.0976805000001 -1.51562057009994,46.1618955 -1.47061967009995,46.1629254600001 -1.46958863010002,46.1685934800001 -1.4656165701,46.2205074600001 -1.41365651009994,46.2319014600001 -1.40567261009988,46.23293448 -1.40463851009986,46.23319854 -1.40445365009992,46.25228952 -1.38534665009996,46.2744016199999 -1.3698526101,46.2755244599999 -1.36872851009997,46.2757024800001 -1.36860467010001,46.3571215200001 -1.28712065009989,46.3602085200001 -1.28495867009997,46.3613985000001 -1.28376653010002,46.36150848 -1.28368967009988,46.43318052 -1.21196759010002,46.4419096199999 -1.20585353009994,46.4464836 -1.20127667009996,46.4465095200001 -1.2012575901,46.4615226 -1.1862355101,46.4977034999999 -1.16089151009999,46.49853762 -1.16005757009992,46.49900058 -1.15973267009997,46.5274805400001 -1.1312375901,46.5302995199999 -1.12926263010002,46.5320086200001 -1.12755155009995,46.57109148 -1.10017751010002,46.5772005000001 -1.09406651009988,46.5773895000001 -1.0939336701,46.5796125 -1.09171067009999,46.5980405400001 -1.07880359009999,46.6037586 -1.07613761009998,46.6300035000001 -1.05775763010001,46.63873656 -1.05368567009998,46.64110248 -1.05202859010001,46.6412346000001 -1.05196757009992,46.6418896200001 -1.0515085701,46.6479286200001 -1.04869355009993,46.6484076 -1.04835767010002,46.6495295400001 -1.04783459010002,46.6673985000001 -1.03532063009993,46.6763104800001 -1.03116659009999,46.6785576 -1.02959267009993,46.6804085400001 -1.02872957009993,46.70858952 -1.0089956301,46.8876555000001 -0.925540610099915,46.9206475200001 -0.902444630099978,46.92102858 -0.9022666100999,46.92135456 -0.90203855009986,46.9227285 -0.90139865010002,46.92316662 -0.901091570099936,46.9243296000001 -0.900549590100013,46.92440754 -0.900495590099979,46.9260255599999 -0.899740670099959,46.9272295800001 -0.898897550099946,46.9344186 -0.895548650099954,46.93810752 -0.892966550099914,46.9609965000001 -0.88230155010001,46.96245054 -0.881283650099988,47.0192475600001 -0.854822570099998,47.01937752 -0.854731670099966,47.02104648 -0.853954610099947,47.03712246 -0.84270263009995,47.0576176200001 -0.833154530099989,47.0577655800001 -0.833051570099997,47.0592145800001 -0.832375670100021,47.06145756 -0.830806610099955,47.0617115400001 -0.830687630099987,47.0620254600001 -0.830468570099981,47.06511156 -0.829030550100015,47.06544654 -0.828796550099923,47.06680752 -0.828162590100021,47.07338562 -0.82355855009996,47.07420156 -0.823177670099994,47.0928245400001 -0.810143510099863,47.09338452 -0.80988251010001,47.1171915 -0.793221530099856,47.1475366200001 -0.779088650099936,47.1517605 -0.776131610099981,47.1525325200001 -0.775772510100012,47.1526745400001 -0.775672610100003,47.15413362 -0.774993650099987,47.15699958 -0.77298755009997,47.1600255600001 -0.771578510099914,47.16009846 -0.771527570099977,47.1617254800001 -0.770769590099974,47.1723485400001 -0.763336670099932,47.1725155800001 -0.763258550099977,47.1727844999999 -0.763069550099942,47.1741165 -0.762449630099979,47.17603548 -0.761106650099975,47.17671156 -0.760791650099975,47.1772375199999 -0.760423550099972,47.1783124800001 -0.759922610099977,47.18047158 -0.758412590100022,47.18080854 -0.758255630099995,47.18088162 -0.758204510099858,47.18250846 -0.757446530100026,47.1848815800001 -0.755785670100011,47.1850045200001 -0.755728610099993,47.1870624600001 -0.754288610099934,47.1874024800001 -0.754130570100017,47.1893135400001 -0.752792630099975,47.1900015000001 -0.752472590099956,47.20705452 -0.74053967010002,47.20828446 -0.73996655009995,47.21040162 -0.738485510099963,47.2107805200001 -0.738308570100003,47.21288958 -0.736832570099978,47.21328054 -0.736650590099941,47.2136175000001 -0.736415510100016,47.2149765 -0.735782630099891,47.2225645800001 -0.730472630099996,47.2307625 -0.72665555010002,47.2393614600001 -0.720638510100002,47.2408545599999 -0.719943530099954,47.24311356 -0.718362590099957,47.24495154 -0.717506510100009,47.2452875999999 -0.717270530099938,47.2466475 -0.716638550099958,47.2468325400001 -0.716508590099977,47.2482475200001 -0.715849610099951,47.24858448 -0.715613630099995,47.2499434800001 -0.71498057010001,47.2542865200001 -0.711942530099975,47.25663948 -0.710846510099998,47.25716256 -0.710480570100003,47.25993654 -0.709189610099941,47.2620105 -0.707737550099978,47.2624326000001 -0.707541530100002,47.2638915 -0.706520570099997,47.2707255600001 -0.703338530099984,47.27080656 -0.703281650099996,47.2724215200001 -0.702529610099987,47.28549348 -0.693383630100016,47.3123825999999 -0.680863550099957,47.3288715 -0.669327530099906,47.32906752 -0.669236630099931,47.32951752 -0.668921630099987,47.33066448 -0.668387570099924,47.33073756 -0.668336630099986,47.3323635000001 -0.667579550099958,47.33263548 -0.667389650099949,47.3339646000001 -0.666770630100018,47.3342596200001 -0.666564530100004,47.3356605600001 -0.665912570099977,47.3359905 -0.665681630099868,47.33736048 -0.665043530099922,47.3480676 -0.657552650100001,47.3498485200001 -0.656723570099928,47.3499306 -0.656666510100024,47.3515444800001 -0.655914650099987,47.3519865600001 -0.655605590099981,47.3531445 -0.655066670099984,47.3532255000001 -0.655009610099967,47.35484046 -0.654257570100015,47.35720854 -0.652601570099932,47.3573404800001 -0.652539650099982,47.3592465 -0.651206570099987,47.35983654 -0.650931530099967,47.36194056 -0.649459670099873,47.37312558 -0.644253530099945,47.3761456200001 -0.642140510099921,47.4072885000001 -0.627642590099924,47.45186352 -0.596462630100007,47.4689235600001 -0.588522650100003,47.47103748 -0.587044670099942,47.4714235800001 -0.586864670099885,47.4805965600001 -0.580448570099975,47.49549462 -0.573514610100005,47.4955694999999 -0.57346259009995,47.4971945400001 -0.572706590099926,47.51423154 -0.560790590099998,47.53874862 -0.54938057009997,47.5389945000001 -0.549208670099858,47.5404485399999 -0.548532590100024,47.55467862 -0.538580570099953,47.5654185000001 -0.533582510100018,47.5657506 -0.533350670099935,47.56711752 -0.532714550099968,47.56719348 -0.532661630099938,47.5688176200001 -0.531905630099914,47.5692165000001 -0.531626630099936,47.5721136 -0.53027861009997,47.5721965799999 -0.530220650099977,47.5738084800001 -0.529470590100004,47.6577804600001 -0.470752610099964,47.65871556 -0.470317550099935,48.13437456 -0.137899670099955,48.13786458 -0.134415590099991,48.1518576 -0.124641590099998,48.1589344800001 -0.117578570100022,48.1643476199999 -0.113797670099984,48.21705054 -0.0612005900999861,48.21920352 -0.0596965100999682,48.2218686000001 -0.0570375500999489,48.2275965600001 -0.0530375901000184,48.2358456000001 -0.0448056500999883,48.23838648 -0.043030670099995,48.24315252 -0.0382745300999545,48.2458795200001 -0.0363706700999842,48.6393885000001 0.356094489899931,48.73289958 0.421312449900086,48.73397562 0.422385429900032,48.7341984600001 0.422541489900141,49.14538452 0.832056429900092,49.1714895600001 0.869165409900063,49.23615348 0.933510369900091,49.2381984600001 0.936416469899996,49.24615158 0.944330349900042,49.2482055600001 0.947248329900049,49.25115162 0.950179449900133,49.2550475400001 0.955716429900122,49.25694852 0.9576073299001,49.2588885600001 0.960364389900121,49.26454452 0.965991369900109,49.2652035 0.966927369900134,49.34741058 1.0487004699001,49.34741346 1.04870334989994,49.3478116200001 1.04909934990002,49.3479505800001 1.04929734990009,49.35780558 1.05909834990013,49.3599045600001 1.06208040989992,49.3619056200001 1.06406940990001,49.3677765 1.07240934989994,49.36860648 1.0732344699,49.37064048 1.07612436990001,49.3753024800001 1.08076044990008,49.3773735600001 1.08370236989998,49.3786015200001 1.08492348990012,49.3824456 1.09038234990004,49.38569856 1.09361838990009,49.38582258 1.09379442990013,49.3868995200001 1.0948654299001,49.3889166 1.09773048990002,49.3943965200001 1.10317944989998,49.3983064799999 1.10873244990012,49.39859556 1.10902044990013,49.4005455000001 1.11178938990008,49.4010936 1.11233442990005,49.40696862 1.12067742990007,49.40779446 1.12149948990003,49.42765962 1.1497094499,49.4289894600001 1.15103136989995,49.4290155600001 1.15106844990004,49.4293896 1.15144032990008,49.4373155400001 1.16269536989995,49.44108654 1.16644440990001,49.4448885 1.17184332990013,49.44818358 1.17511932989993,49.4483506200001 1.17535548990014,49.44858354 1.17558840990006,49.45058262 1.1784253899001,49.4510815800001 1.17892236990002,49.45691952 1.18721136990001,49.4673766200001 1.19760636990014,49.4675155800001 1.19780436990004,49.4702785800001 1.20055044990005,49.47044346 1.20078534990012,49.4956645199999 1.22585646990007,49.4958315600001 1.22609334989994,49.4960655600001 1.22632536989994,49.4979136200001 1.22894832990011,49.5094606200001 1.24042638989999,49.5096876000001 1.24074732990005,49.52445354 1.25542344990004,49.5245615400001 1.25557734990002,49.5281514600001 1.25914548989999,49.5282864600001 1.25933736990004,49.5293495399999 1.26039342990003,49.54104162 1.27698942990008,49.5452446200001 1.28116632989997,49.54602456 1.28227440990003,49.60891656 1.34476734990011,49.60892052 1.34477346990008,49.6110135599999 1.34685336990003,49.6130175 1.3496964699001,49.6144155600001 1.35108534990007,49.6144566000001 1.35114438989996,49.61561256 1.3522924299001,49.61573946 1.3524724299001,49.6168135200001 1.35353946990006,49.6186776000001 1.35618438990008,49.63190562 1.36932636990014,49.63397058 1.37225748989999,49.6344076200001 1.37269038990013,49.6367605800001 1.3760293899,49.6493004600001 1.38848736990013,49.65514146 1.39677348990006,49.6622925 1.40387736990004,49.6623585600001 1.40397042990008,49.6659915000001 1.40757942990012,49.66805754 1.41051036990012,49.6684926 1.41094344990006,49.6704754800001 1.41375540990003,49.67099046 1.41426732989993,49.6729726200001 1.41707838989998,49.69188162 1.43586048990011,49.6961395200001 1.44189840989998,49.70597562 1.45166844990013,49.7102166 1.45768332990008,49.7267676000001 1.47412038990007,49.7286585000001 1.47680238990012,49.87419048 1.62128532989999,49.8759544800001 1.62378642990001,49.87758852 1.62540732989999,49.8805714800001 1.62963534990007,49.95214848 1.70066442990014,49.9523644800001 1.70097042990005,49.9558465800001 1.70442534990008,49.9579515 1.7074074099001,49.9796344800001 1.72891938990011,49.9798366200001 1.72920540989998,49.98083562 1.73019648990004,49.9828995000001 1.73312148989999,49.9854335400001 1.73563536990014,49.98557358 1.73583246990012,49.9916294999999 1.74184032989996,49.9935115800001 1.74450738990004,49.9996245600001 1.75057140989998,49.99995558 1.75103940989993,50.00911848 1.76012940990012,50.01097356 1.76275632990007,50.01251958 1.7642904699,50.0125505400001 1.76433348989997,50.0209146000001 1.7726304099001,50.0230926 1.77571542990006,50.0233134600001 1.77593448990007,50.02527456 1.77871242990005,50.0300085600001 1.78340844989998,50.03197758 1.78619646990006,50.0342076 1.78840848990012,50.0364405 1.79157036990011,50.03910648 1.79421546990011,50.0411885400001 1.79716332990012,50.0441014800001 1.80005340989999,50.0459535 1.80267546990001,50.0483005200001 1.80500340990005,50.0503786200001 1.80794640990007,50.0525026200001 1.81005240990004,50.05442556 1.81277634989999,50.0549995800001 1.81334640990008,50.0611485599999 1.82205444990012,50.06159748 1.82249832990004,50.0634925200001 1.8251824899001,50.0641984800001 1.82588232990008,50.0661784800001 1.82868636990014,50.0674966200001 1.82999334990006,50.0696994599999 1.83311346990013,50.06989548 1.83330732989998,50.07156354 1.83567036990013,50.0741926200001 1.83827748990001,50.07443148 1.83861534990007,50.0820885000001 1.84620846990003,50.0822386200001 1.84642140990007,50.0874865199999 1.85162538990005,50.0915005200001 1.85730834990005,50.0924826 1.85828232990002,50.0943945600001 1.86098844990011,50.0974815600001 1.86404934990003,50.09975946 1.86727638990004,50.1074746199999 1.87492548990002,50.1093675000001 1.87760640990001,50.1099755399999 1.87820940990014,50.1120765000001 1.88118246990012,50.1149745 1.88405634990005,50.1210016200001 1.89258834990005,50.1224725800001 1.89404634990007,50.1263766 1.89957342989999,50.12667054 1.89986538989996,50.12889858 1.9030204299001,50.1290695800001 1.90318944990003,50.13515556 1.91180532990006,50.1373675800001 1.91399736990007,50.1392716200001 1.91669232990012,50.14156554 1.91896734990007,50.1436105200001 1.92186138990007,50.1440635800001 1.9223104899001,50.14583352 1.92481644989994,50.1470605800001 1.92603234990003,50.1474065400001 1.92652338989996,50.15825352 1.93727532989999,50.15829456 1.93733346990001,50.1682505400001 1.94720142990008,50.17038948 1.95022938990013,50.1707475000001 1.9505843499,50.1725835 1.95318336989993,50.17664646 1.95721032990008,50.17910652 1.96069134989995,50.18734062 1.96885344990011,50.1874695000001 1.96903542990009,50.2120265400001 1.99337340990013,50.2120974599999 1.99347438990014,50.2174206 1.99874946990013,50.2195446000001 2.00175546989999,50.2203186 2.00252244990003,50.2204075200001 2.00264736990005,50.2232205600001 2.00543538990001,50.2272475200001 2.01113346990002,50.22991548 2.01377838990004,50.2317995399999 2.01644346990008,50.2341136200001 2.01873648990011,50.23878462 2.02534446990006,50.2702945200001 2.05656636990005,50.27032656 2.0566113699,50.27489262 2.0611354899001,50.27515452 2.06150646990005,50.2785865800001 2.06490648989995,50.27870358 2.06507136990012,50.29067952 2.07693642990006,50.2927945200001 2.07992838989998,50.2973785800001 2.08446942990003,50.2974846 2.0846193699,50.3031735000001 2.0902544499001,50.33127456 2.12999934990006,50.33816046 2.13681936989997,50.3401095 2.13957534989993,50.3406615600001 2.1401223699001,50.3427144600001 2.14302540990013,50.34565656 2.14593942990001,50.3478216 2.14900140990005,50.3531524800001 2.1542804499,50.35512456 2.1570693699,50.3556535800001 2.15759334990003,50.3578125 2.16064542989994,50.3589515400001 2.16177438990013,50.36091048 2.16454440989997,50.36144958 2.16507738990003,50.3654455800001 2.17072848990006,50.3698454999999 2.17508538989995,50.3719345800001 2.17803846990006,50.37314346 2.17923636990002,50.3771985000001 2.1849693699001,50.3798436000001 2.18758836990008,50.3820604800001 2.19072342989995,50.39223354 2.20079640990014,50.3930235600001 2.20191348989999,50.44650156 2.25485940990006,50.44695858 2.25550542990004,50.46019146 2.26860438990013,50.4603936 2.2688904099,50.4646894799999 2.27314236990009,50.4665856 2.27582238989993,50.4672865200001 2.27651538990011,50.4674715599999 2.27677746990008,50.4734844600001 2.28272934989997,50.4736675200001 2.28298746990004,50.48387658 2.29309338990004,50.4839145600001 2.29314540990009,50.4930715199999 2.30220948990006,50.4972784800001 2.30815344990003,50.5005685199999 2.31140946990013,50.5025305200001 2.31418236990004,50.50306548 2.31471138990014,50.50539954 2.31800934989997,50.5113615 2.32391046990011,50.5132624800001 2.3265953499,50.5155594600001 2.32886838989998,50.5335526200001 2.35428942990012,50.5338525 2.3545864299,50.8695246 2.82828846990003,50.8697125200001 2.82868338990005,50.8712284800001 2.83082142990003,50.8717765800001 2.83197936990007,50.8721304600001 2.83247832990014,50.87288556 2.83407132989998,50.87293056 2.8341343299,50.8732745400001 2.83486242990006,50.8745345400001 2.83663938989997,50.8750965 2.83782540990006,50.8754365200001 2.83830546989998,50.8762054800001 2.83992834989999,50.87623662 2.83997136990001,50.8815756 2.85124836990013,50.88715956 2.85911940989996,50.8877035200001 2.86026834990003,50.8921686 2.86656042989995,50.89256352 2.86739544990013,50.8937695199999 2.86909446990001,50.8945165200001 2.87067234990002,50.8945724999999 2.87075136989995,50.8950635400001 2.87178942990005,50.8954744800001 2.8723684899,50.8962285 2.87396148990001,50.8962735 2.87402448990008,50.89778262 2.87721138990014,50.89787946 2.87734836990012,50.9100924599999 2.90313732989995,50.9113096200001 2.90485146990005,50.91139854 2.90504046990003,50.9130135 2.90731548989999,50.9133875400001 2.90810442990005,50.91461856 2.90983944990012,50.91471558 2.91004446990002,50.91631848 2.91230346990005,50.9168806200001 2.91349038990001,50.91722046 2.91396936990003,50.9200475400001 2.91993942990001,50.9205276000001 2.92061532989999,50.9205545999999 2.92067238990006,50.92463448 2.92642032989994,50.9252535000001 2.92772838989998,50.92553646 2.92812744989999,50.92629858 2.92973538989997,50.9263396200001 2.92979334990014,50.92702362 2.93123838989999,50.9271384600001 2.93140038990009,50.9278325399999 2.93286342989995,50.9580855 2.97548742990011,50.9584545 2.97626448990007,50.9596866 2.97800148990012,50.9601796200001 2.9790413499,50.96058858 2.97961734990002,50.9612655600001 2.98104636989996,50.96559762 2.98714836990001,50.96589552 2.98777638990009,50.96719854 2.98961238989995,50.9677624799999 2.99080146990013,50.96810052 2.99127846989995,50.96903256 2.99324532989999,50.9706045000001 2.99545932990003,50.9708944800001 2.99607132990002,50.9722084800001 2.99792334989996,50.97249756 2.99853246990011,50.97561246 3.00292032990006,50.97636162 3.00450036990009,50.9764165200001 3.00457632989998,50.97717954 3.0061873299,50.9772195000001 3.00624348990004,50.9777766 3.00741942989998,50.97811752 3.00790038989999,50.97889458 3.00953946990012,50.9789205 3.00957636990012,50.9790825000001 3.00991836989999,50.9806245600001 3.01209042990013,50.98092246 3.01271844990004,50.9822254800001 3.01455444990006,50.9828034600001 3.01577340990002,50.9831274600001 3.01623042990002,50.98387662 3.01781046989998,50.9839306200001 3.0178864299001,50.9948226 3.04086648990005,50.9956605 3.04204638989995,50.9959726200001 3.04270446990006,50.9972616 3.04452048990004,50.9978115 3.04568148990001,50.99816358 3.04617648990012,50.9989415400001 3.04781646990006,50.99896656 3.04785336990011,51.00236748 3.05502744990002,51.00728346 3.06195042989998,51.00783354 3.0631103499,51.0081856200001 3.06360642990006,51.0089715 3.06526332990001,51.0089855400001 3.06528240989996,51.00907662 3.06547644990002,51.0106896000001 3.06774642990013,51.01105158 3.06851034990007,51.01229448 3.07026048990008,51.01239348 3.07047036990008,51.01399458 3.07272432990004,51.0147714600001 3.07436448990001,51.01479756 3.07440048989997,51.01611156 3.07717248990002,51.01650252 3.07772346989998,51.0179374800001 3.08075034990009,51.0182046 3.08112636989995,51.0188965200001 3.08258634989994,51.01900758 3.08274240990011,51.0197714999999 3.08435448990008,51.01981056 3.08440938989997,51.0204465 3.08574948990002,51.0207136200001 3.08612532990003,51.02072352 3.0861483699,51.0248165400001 3.09191034989999,51.02485848 3.09200034989993,51.03483246 3.10604340989994,51.03539748 3.10723338989999,51.03573462 3.10770948989995,51.0364926 3.10930644989992,51.0365345399999 3.10936548990003,51.0372846 3.11094840990006,51.0373375199999 3.11102238989997,51.03790254 3.11221344990014,51.0382395 3.11268846989998,51.03901746 3.11432934990006,51.03904248 3.11436444990011,51.0397925400001 3.11594646990011,51.0398465400001 3.11602134990005,51.0404045400001 3.1171994499,51.0407445600001 3.11767734990013,51.0415084800001 3.11928942990011,51.0415475400001 3.11934432990006,51.04211256 3.1205353899,51.04244952 3.12101040990007,51.04321452 3.12262140989992,51.0432535800001 3.12267648990007,51.0440034600001 3.12425940990011,51.0440565600001 3.12433338990002,51.04481346 3.12593142990005,51.0448555800001 3.12599046989999,51.0454205999999 3.12718134990013,51.04575846 3.12765636990014,51.04652256 3.12926736990005,51.04656162 3.12932244989997,51.0479496 3.13225140990005,51.0623865000001 3.15257232990007,51.0714306 3.17163936990011,51.14953746 3.2815444899,51.14980152 3.28180440990002,51.1599054600001 3.29601648990013,51.16319658 3.29926044989998,51.17551254 3.31658238990002,51.1781895000001 3.31922136990005,51.18021054 3.32206338989999,51.1806875400001 3.32253336989999,51.5175994800001 3.79578144990012,51.5183725800001 3.79740432990013,51.51840354 3.79744734989993,51.5184345000001 3.79751232989997,51.5326255200001 3.8174194299001,51.5331984600001 3.81862344990003,51.5335275000001 3.81908442989999,51.5342874600001 3.82067940989998,51.53433156 3.82074132989993,51.5350906200001 3.82233432990012,51.53513454 3.82239732990001,51.5360334599999 3.82428534990009,51.5376385200001 3.82653642989999,51.5382125400001 3.82774044989998,51.53854158 3.82820232989997,51.53930154 3.82979748989999,51.53934456 3.82985832990005,51.53990454 3.83103246990004,51.5402476200001 3.83151432990013,51.5405584800001 3.83216736989999,51.54184854 3.83397744989998,51.54209658 3.83449638989993,51.5435535000001 3.83654046989994,51.5448855 3.83933748990012,51.54766362 3.84323232989993,51.5477745000001 3.84346542990005,51.5493635399999 3.84569436990012,51.5501524800001 3.84735036990014,51.5501676000001 3.84737142990014,51.5507416200001 3.84857634989999,51.5510695800001 3.84903732990011,51.55146756 3.84987144990004,51.5526715800001 3.85156038989999,51.55314552 3.85255434989995,51.5535735600001 3.85315536989998,51.55376346 3.85355532990002,51.55527852 3.85567842989997,51.5560525200001 3.85730346989999,51.5560815 3.8573443299,51.5566265400001 3.85848948990008,51.5593875599999 3.86236146989995,51.56016948 3.86400144990012,51.5601874800001 3.86402646990007,51.5607474600001 3.86520132990012,51.56109054 3.86568246989992,51.5618505 3.8672783499,51.56189352 3.86733936990009,51.56199846 3.8675584299001,51.5635984800001 3.86980248989994,51.56799048 3.87902136989999,51.58453662 3.90222138990003,51.5983015800001 3.93110346989999,51.6061954800001 3.94217040990014,51.6067565400001 3.94334742990003,51.60709854 3.9438264099,51.6078106200001 3.94531932990009,51.6078984600001 3.94544244989999,51.6084586200001 3.94661946990004,51.6088006200001 3.94709844990001,51.6097195199999 3.9490273299001,51.63384654 3.98284338989993,51.6354336 3.98617248990007,51.6354496200001 3.98619534990002,51.6379626 3.99146448990007,51.6430695600001 3.9986214699,51.6438525600001 4.00026432990001,51.64386858 4.00028736989998,51.64522146 4.00312344989999,51.64557552 4.00361934989996,51.64606746 4.00465146990013,51.64888158 4.00859436990004,51.6492315 4.0093294899001,51.65228646 4.0136104299001,51.65267958 4.0144344699001,51.6538926 4.01613348990014,51.65402148 4.0164043899,51.6555925200001 4.01860632990014,51.65587854 4.01920536990013,51.6590015400001 4.0235824299001,51.65931546 4.02424032989995,51.66060354 4.02604446990006,51.6613944600001 4.02770334989998,51.6614076000001 4.02772044989996,51.66196956 4.0288994499,51.6623095800001 4.02937644990004,51.6625756200001 4.02993246990002,51.68234556 4.05763248990007,51.6829555800001 4.05891138990006,51.6873526200001 4.06507044990002,51.68856762 4.06761834989999,51.69156156 4.0718114499,51.69166956 4.07203842989992,51.6932656200001 4.07427438990004,51.6944446200001 4.07674434990008,51.6956715 4.07846334990006,51.6961476 4.0794623499001,51.69657348 4.08005940990012,51.6973365000001 4.08165744989998,51.6973775399999 4.08171432990008,51.6987396 4.08457038990014,51.6990796200001 4.08504648990009,51.69965346 4.08624942989997,51.7082976 4.09835748990014,51.7086205200001 4.09903338990011,51.70990356 4.10083032990008,51.7101055200001 4.10125440989998,51.7116045600001 4.10335338990012,51.7117125600001 4.1035803699001,51.71330862 4.10581542990008,51.7140714600001 4.10741436990003,51.7141125000001 4.10747142989999,51.71452956 4.10834442990006,51.7157145 4.11000438989993,51.7169826000001 4.1126633499,51.7174205400001 4.11327534990005,51.7188555 4.11628242989997,51.71912352 4.11665736990011,51.7196286 4.11771648989998,51.7283415000001 4.12991832990008,51.7287366 4.13074542990012,51.72994656 4.13244138990007,51.7304176200001 4.13342742989994,51.73505262 4.13991840990002,51.73516152 4.14014736989998,51.7367575800001 4.14238134990006,51.73688754 4.14265332990004,51.74086554 4.14822432990002,51.7414294800001 4.14940440990011,51.7417686000001 4.14987942990001,51.74208558 4.15054344990006,51.7433705999999 4.1523423699,51.7439626200001 4.15358346990001,51.7442725800001 4.15401834990013,51.7445825400001 4.15466634990008,51.74587854 4.15648146990003,51.74654256 4.15787232989999,51.7467816000001 4.15820640990012,51.74754948 4.15981632990008,51.7534925400001 4.16813736990002,51.75350046 4.16815338990011,51.77012346 4.19142648989998,51.7702555800001 4.19170332990001,51.77182446 4.19389932989998,51.77258856 4.19549934989999,51.7726285200001 4.19555442990014,51.77282454 4.19596536990002,51.77433348 4.19807748990002,51.77467548 4.19879532990007,51.77773854 4.20308238990003,51.7780566 4.20374838990006,51.77934054 4.20554532990008,51.7795506 4.20598740990005,51.7810446 4.20807846990004,51.78136248 4.20874446990007,51.7826466 4.21054140990009,51.7832105400001 4.21172346989999,51.7835494800001 4.21219632990005,51.78434256 4.21385736989998,51.78435354 4.21387248989998,51.78511746 4.21547340990014,51.78515652 4.21552848990007,51.7856265 4.21651236989993,51.7985785800001 4.23464034990008,51.79934358 4.23624144990004,51.7993824600001 4.23629634989999,51.7998895200001 4.23735834990009,51.80028552 4.2379114899,51.80748048 4.25297640990004,51.8086116 4.25455932990008,51.80911362 4.2556103499,51.8119185600001 4.25953542990004,51.8154246000001 4.26687438990012,51.8161314600001 4.26786348990004,51.81722748 4.27015848990004,51.8203405800001 4.27451448990007,51.8238475200001 4.28185434990002,51.8245534800001 4.28284344989999,51.8253336 4.28447532989998,51.82535754 4.28450844990005,51.8261455800001 4.28615832989999,51.8261574599999 4.28617542990014,51.82672248 4.28735838990013,51.8270605200001 4.2878303499001,51.8274585 4.28866338990014,51.82866558 4.29035340989998,51.82936758 4.29182148990014,51.8294654999999 4.29195936989998,51.8300454600001 4.29317238990001,51.8303685600001 4.2936243699001,51.8346286200001 4.30254048990008,51.83538552 4.30359942989992,51.8359505400001 4.30478238990014,51.83628858 4.30525434990011,51.8366935800001 4.30610448990006,51.8378895000001 4.30777740989993,51.8380165800001 4.30804146989993,51.8395944600001 4.3102493499,51.8397496200001 4.3105744299001,51.8412996000001 4.31274234990008,51.84285246 4.3159933299001,51.8429025000001 4.31606334990005,51.84943056 4.32972336989997,51.8497275600001 4.33013844990006,51.8505004800001 4.33175736990006,51.85052748 4.33179444990009,51.8513076 4.33342740990003,51.85133046 4.33345944990003,51.85192662 4.3347054099001,51.8522335200001 4.33513542989994,51.8529996000001 4.33673832990007,51.85303758 4.33679142990002,51.85380348 4.33839432989993,51.8538414600001 4.3384474299001,51.8565574800001 4.34412948990001,51.8572504800001 4.34509932989994,51.8580174599999 4.34670438990008,51.85805454 4.34675532990002,51.85868562 4.34807634990005,51.8589534600001 4.34845146990006,51.8597195400001 4.35005436990014,51.85975752 4.35010638990002,51.8605525800001 4.35177048990005,51.8605615800001 4.35178236989992,51.8611275000001 4.35296748989992,51.86146356 4.3534383699,51.86236554 4.35532440990011,51.8639686199999 4.35756648990014,51.8647345200001 4.35917046989999,51.8647725 4.35922248990005,51.8655675600001 4.36088532989993,51.8655765600001 4.36089846989995,51.8663505600001 4.36251738990001,51.86637648 4.36255338990014,51.8669575200001 4.36377036990007,51.8672784600001 4.36421946989992,51.8730994800001 4.3763964699001,51.8738995800001 4.37751534990014,51.8744665800001 4.37870046990014,51.87480246 4.37917044990013,51.8755834799999 4.38080448990013,51.8756065200001 4.38083634990011,51.87640158 4.38250044990014,51.87641058 4.38251232990007,51.8770206 4.3837883499001,51.8773134600001 4.38419838990012,51.87808746 4.38581748989998,51.87811356 4.38585348990011,51.87889458 4.38748734990008,51.87891654 4.38751938990009,51.8794835400001 4.38870432990007,51.8798196 4.38917448990009,51.88350654 4.39688532989999,51.8839335 4.39748346990012,51.88452948 4.39872942990002,51.8848365600001 4.39915944990003,52.13572056 4.9230264099001,52.13717748 4.92824748990012,52.13824254 4.93046832990001,52.1382526200001 4.9305023499,52.13904948 4.9321633899001,52.13943054 4.93352832990007,52.1399575799999 4.93462740990003,52.14459348 4.9512394299,52.1450145000001 4.95211836990006,52.14538152 4.95343146990001,52.1566894800001 4.97699832990003,52.1569245599999 4.97783946989995,52.16253156 4.9895223699001,52.16291262 4.99088946990008,52.1634394800001 4.99198638990003,52.1639814600001 4.99392534990005,52.1650515600001 4.99615536990001,52.1653615200001 4.99726542990004,52.1835775200001 5.03521536990013,52.18410258 5.03709546990007,52.1843824800001 5.03767848990003,52.18463754 5.03859144990008,52.1878095000001 5.04519744990006,52.1881705800001 5.04649146989999,52.19032662 5.05098138990007,52.1908365600001 5.05280640990009,52.1919385200001 5.05510140990009,52.19196858 5.05520940989993,52.1927445600001 5.05682634990001,52.1929594800001 5.05759332990004,52.1961676200001 5.06427546990011,52.19652456 5.06555148989997,52.1986885200001 5.07005940990013,52.19923446 5.07201348989997,52.1994934799999 5.07255348990009,52.1999265600001 5.07410238989996,52.2012096 5.07677232990011,52.20172962 5.07863532990007,52.20201852 5.07923634990004,52.2025455600001 5.08112346990004,52.2028276199999 5.08171044990013,52.2032495400001 5.08322244989995,52.2037355400001 5.08423440990003,52.2042615000001 5.08611648989995,52.20454158 5.08669842989997,52.2049564800001 5.08818540990012,52.2054495 5.08921140990009,52.2059706000001 5.09107548989994,52.2062586 5.09167542990002,52.20829854 5.09897334990006,52.20878562 5.09998638990004,52.21192248 5.11121046990007,52.2121235400001 5.1116293299001,52.21531458 5.12304546989998,52.21546254 5.12335344990004,52.2164125800001 5.1267534699,52.21718046 5.12835042989997,52.2783705599999 5.34702738990012,52.2841584600001 5.35508148990004,52.2851785199999 5.35720242990004,52.3075125600001 5.3882774499001,52.3082925 5.38989834990008,52.30831662 5.38993236990007,52.3088954999999 5.3911363899,52.3092194999999 5.39158746990006,52.3106316000001 5.39452038990004,52.3109235600001 5.39492844990008,52.3136764800001 5.40064938990002,52.31674458 5.40491646990012,52.3213956 5.41458246989998,52.4637846 5.61252234990013,52.46411958 5.61321840990001,52.46539056 5.61498438989992,52.4654605800001 5.61512946990001,52.4779165800001 5.6324323299001,52.4784996 5.63364246990005,52.47881946 5.63408634990003,52.4792725200001 5.63502432989998,52.4804265000001 5.63662848990003,52.4809515600001 5.63771748990007,52.48133046 5.63824344990007,52.48176048 5.63913642990008,52.4829335400001 5.64076434990011,52.4830674600001 5.64104442989998,52.4846385000001 5.64322638990006,52.4847304800001 5.64341646989999,52.49295846 5.65484538990006,52.4931015600001 5.65514148990002,52.4946605399999 5.65730634990013,52.4954455200001 5.65893444990002,52.4954646 5.65896144990012,52.4965384800001 5.66118732990003,52.4979714600001 5.66317740990007,52.49807946 5.66340240990002,52.5062916000001 5.67480648989999,52.50644154 5.67511734990012,52.50799746 5.67727734989995,52.5081985200001 5.67769548989992,52.5096995399999 5.67977934990006,52.51121154 5.68291440990009,52.51130856 5.68304940990009,52.5122094600001 5.68491834989999,52.52884848 5.70802044990012,52.5296975400001 5.70978048990008,52.5397775400001 5.72377548989999,52.5405715200001 5.72542032990003,52.5405785400001 5.72543040989996,52.5410895599999 5.72649042990014,52.5481005600001 5.73622140990005,52.5486855600001 5.73743334990013,52.5514094999999 5.74121442989997,52.5522034800001 5.74286034990007,52.5522096000001 5.74286934989993,52.5533805000001 5.74529538989998,52.5564225000001 5.74951746990007,52.5570085800001 5.75073138990012,52.55732556 5.75117238990003,52.5595716000001 5.75582538990011,52.55983854 5.75619636990007,52.5603954600001 5.75735034989998,52.56314748 5.76116940990011,52.5632776200001 5.7614404899,52.5672534600001 5.76695838990003,52.5672925200001 5.76703848990007,52.5690585 5.76948936989999,52.5698465400001 5.77112142990001,52.56986346 5.77114536990007,52.5702096000001 5.77186248990006,52.57146654 5.77360632990013,52.57205262 5.77482132990008,52.5723696000001 5.77526142990007,52.5731706000001 5.77692138989994,52.5731745600001 5.77692642990002,52.5775896 5.7860734899001,52.57819548 5.78691534990014,52.5865446 5.80421244990009,52.58663262 5.80433448990004,52.5869946000001 5.80508436989993,52.5882355200001 5.80680534990006,52.5884605200001 5.80727244989998,52.5899415600001 5.80932642990012,52.5907296000001 5.81095938990001,52.59074562 5.81098134990009,52.5917815200001 5.81312748990001,52.5932524800001 5.81516832990013,52.59398148 5.81667834989997,52.59405654 5.81678346989997,52.5946435200001 5.81799738990009,52.5949605 5.81843748990008,52.59543948 5.81942946990006,52.59656358 5.8209893499,52.5971646 5.82223332990009,52.5974675400001 5.82265344990003,52.59825558 5.82428640990014,52.5982716000001 5.82430944990006,52.59966858 5.82720132990011,52.5999765600001 5.82762846990005,52.60158162 5.83095342990003,52.60158558 5.83095936989997,52.60217148 5.83217346990006,52.6024884600001 5.83261338990008,52.6028365800001 5.83333446990002,52.6040915400001 5.83507542990003,52.62415848 5.87662932990008,52.6241806200001 5.8766604699,52.62496956 5.87829234989999,52.6249855800001 5.87831538990014,52.6255734600001 5.87953236990012,52.62588846 5.87997048990013,52.62730146 5.88289440990008,52.6275936 5.88329940990002,52.62794946 5.88403632990008,52.6292004600001 5.8857713499001,52.62978762 5.88698742989999,52.63010352 5.88742536990003,52.63249248 5.89237140990014,52.63251354 5.89240038990005,52.63371846 5.89489446990001,52.63432146 5.89573038990005,52.67135556 5.97225036990005,52.6714185600001 5.97234036990005,52.6721185800001 5.9738253699,52.70032854 6.03211332990014,52.7302054800001 6.07441242990001,52.7309226000001 6.0759373899001,52.7310145800001 6.07606734989997,52.7310624599999 6.0761694099001,52.7327265600001 6.07852434990008,52.76314656 6.14312148990001,53.0372345400001 6.53048148990001,53.03767554 6.53141640989992,53.0381424600001 6.53207448990003,53.03968956 6.5353504899,53.03976246 6.5354523699001,53.10714546 6.67803540990013,53.2254664800001 6.84480432990011,53.22696156 6.8479613499,53.2270836000001 6.84813234990014,53.2276264800001 6.84928146990001,53.2279915200001 6.84979536990005,53.22871962 6.85133346989994,53.22880152 6.85144848990006,53.2293325200001 6.85256934990008,53.2297105200001 6.85310232990014,53.23014162 6.85401240990012,53.2330335 6.85808544989993,53.2337706000001 6.85964244989998,53.2338395400001 6.85974036990012,53.2345696200001 6.86128044989999,53.23464954 6.8613943899,53.23520754 6.86257140990006,53.2355585400001 6.86306640989994,53.2356516000001 6.86326332990012,53.2413936 6.87135144989998,53.38019646 7.16421036989993,53.5549305600001 7.4096664699,53.55549648 7.41085644990005,53.55583956 7.41133848989995,53.55673056 7.41321138990003,53.55835956 7.4154973899,53.5591254600001 7.41710946990014,53.55916956 7.41717138989992,53.5599154800001 7.4187404499001,53.5599765 7.41882540990002,53.6455485 7.59871146990014,53.6711644800001 7.63461534990006,53.6717196000001 7.63578246989999,53.6720734800001 7.63627746990005,53.6724964800001 7.63716540989998,53.6795245800001 7.64701536989998,53.6801526 7.64833332990014,53.6804344800001 7.64872842989996,53.6811195600001 7.65016644989993,53.68124448 7.65034248990014,53.6823385200001 7.65263838990001,53.71738758 7.70174238990001,53.7181376400001 7.70331738990012,53.7181936200001 7.70339640990011,53.7182884800001 7.70359440990012,53.7199065 7.70586240990002,53.7200445600001 7.70615040990003,53.7216206399999 7.70835738990007,53.7231405600001 7.71154842990012,53.72323758 7.71168432989998,53.7233335200001 7.71188538990009,53.72495064 7.71415032990012,53.7253236000001 7.71493332990002,53.72656164 7.7166674499,53.7273036000001 7.71822336989993,53.72737254 7.71832038989999,53.7274535400001 7.71849048990003,53.7290856000001 7.7207764899,53.72924562 7.72111236990008,53.7307945200001 7.72328244990001,53.73128052 7.72430142989998,53.73170352 7.72489434990001,53.73412056 7.7299654899,53.7358446 7.7323803699,53.7363135000001 7.73336334990012,53.7391695600001 7.73736240990007,53.7397126199999 7.73850432990008,53.74007856 7.73901534990006,53.7408485999999 7.74063138989999,53.7408885600001 7.74068844990012,53.74163952 7.74226344990007,53.7416955 7.7423424699,53.7422526000001 7.74351138990011,53.7426044999999 7.74400440990001,53.7429706200001 7.7447724699,53.74421964 7.74652134990009,53.74496952 7.74809436990006,53.7450265799999 7.74817446990011,53.74558548 7.74934644990009,53.74593558 7.74983748990002,53.9906686200001 8.26239342989999,54.29762064 8.69005848990014,54.2982365999999 8.6913404499,54.2985305400001 8.69174940990007,54.31087854 8.71745538989995,54.3145114800001 8.72250834990007,54.3149864999999 8.72349636989992,54.3154215600001 8.72410044989999,54.3154536000001 8.72416740990002,54.3195505800001 8.72986440989996,54.3239305199999 8.73898140990008,54.32632056 8.74230438990003,54.4299145200001 8.95771740989994,54.45539262 8.96425032989993,54.6529356 9.05329236990008,54.69980958 9.05694546989997,55.2693866399999 9.20189046990009,55.8055485 9.44129136990006,55.8059275800001 9.44154642989997,55.8071344800001 9.44208444990011,55.8073125000001 9.44220342990002,55.8088236000001 9.4428764499001,55.8158745600001 9.44761944990012,55.8163695600001 9.44784048989993,55.8165436200001 9.44795640990014,55.8180585 9.44863140990003,55.8184896000001 9.44892138990002,55.82539854 9.4519974099,55.8255726 9.45211440990005,55.8270874800001 9.45278832990005,55.84050864 9.46181442990007,56.0818175400001 9.56908542989999,56.10042648 9.58157148989994,56.1131865000001 9.58723446990012,56.14860852 9.61099338990005,56.2049884799999 9.63599844990006,56.6926615800001 9.96206844990007,56.7317232 9.99926670989998,57.65042062 9.99926670989998,58.56911804 9.99926670989998,59.4878154600001 9.99926670989998,60.40651288 9.99926670989998,61.3252103 9.99926670989998,62.24390772 9.99926670989998,63.16260514 9.99926670989998,64.0813025600001 9.99926670989998,64.99999998 9.99926670989998,64.99999998 8.99934005189999,64.99999998 7.99941339390006,64.99999998 6.99948673590012,64.99999998 5.99956007789996,64.99999998 4.99963341990002,64.99999998 3.99970676190009,64.99999998 2.99978010389998,64.99999998 1.99985344589999,64.99999998 0.999926787900051),(77.5453716000001 -34.4778187101,77.5446066 -34.4778736101,77.5438435800001 -34.4778187101,76.8421045800001 -34.5262556301,76.1591696400001 -34.6703566100999,76.1517945000001 -34.6730796501,76.1267685600001 -34.6782706701,75.48096762 -34.9139615901,74.8902585600001 -35.2350356900999,74.37147354 -35.6326996100999,74.37123954 -35.6329526901,74.3710645800001 -35.6330857101,73.93965354 -36.0963256101,73.60930962 -36.6121285701,73.6051345200001 -36.6228286700999,73.6045846200001 -36.6236806101,73.6044255 -36.6240866901,73.6036126199999 -36.6253466901,73.6030774800001 -36.6267175701,73.60186752 -36.6285895701,73.6009785000001 -36.6308665701,73.60085448 -36.6310597101,73.3829365799999 -37.1846705900999,73.2864285000001 -37.7599916300999,73.2864956400001 -37.7612516301,73.2862855800001 -37.7624866101,73.3106095200001 -38.2236766701,73.24089354 -38.6296897101,73.2409815600001 -38.6314025901,73.24069158 -38.6330836101,73.24075458 -38.6343025701,73.2403965600001 -38.6363745501,73.24044264 -38.6372716700999,73.2404415600001 -38.6372767100999,73.27054458 -39.2172016101,73.27517364 -39.2336226501,73.2752816400001 -39.2356825700999,73.43630262 -39.8026206501,73.7263526400001 -40.3388746701,74.1391376400001 -40.8272846901,74.13926148 -40.8273856701,74.1395266200001 -40.8276967101,74.6641315800001 -41.2522506501,74.66522364 -41.2528657100999,74.6666524799999 -41.2540126700999,75.2875995600001 -41.6004716300999,75.98511756 -41.8570087101,76.7358885599999 -42.0147225501,76.74736266 -42.0155465901,76.7516085 -42.0164226501,76.7565865800001 -42.0167795900999,76.7594676600001 -42.0173735901,77.5376316 -42.0705815901,77.53894758 -42.0704966301,77.5402596 -42.0705815901,78.3184455 -42.0175355901,79.0693675200001 -41.8601216301,79.07577462 -41.8577956701,79.0815295800001 -41.8565677100999,79.77918456 -41.6002387101,80.40031866 -41.2539646101,80.92518066 -40.8295766301,80.9254285200001 -40.8292855701,80.9255766600001 -40.8291646101,81.3386466 -40.3408836501,81.6289995600001 -39.8047176501,81.7903296 -39.2378256501,81.82077264 -38.6579056100999,81.8204905800001 -38.6562656301,81.8205766200001 -38.6546116101,81.77837166 -38.4087526701,81.7873855199999 -38.3765756901,81.8179745400001 -37.7966686101,81.8179545600001 -37.7965555700999,81.8183925000001 -37.7882485701,81.8181826200001 -37.7870135901,81.81824958 -37.7857535900999,81.72168264 -37.2104356100999,81.7189425000001 -37.2035365701,81.7165285200001 -37.1890057101,81.49862358 -36.6353876301,81.49793454 -36.6343205900999,81.4967355599999 -36.6312476301,81.4947336000001 -36.6281485701,81.4940256600001 -36.6263347100999,81.49321566 -36.6250795701,81.49305366 -36.6246655700999,81.4905115199999 -36.6207286101,81.49048056 -36.6206486900999,81.4896666 -36.6193876101,81.4895085600001 -36.6189826100999,81.1591604999999 -36.1031675900999,81.15804666 -36.1019795901,81.1530716400001 -36.0941486901,80.7217365600001 -35.6308686501,80.72064054 -35.6300347101,80.7188045400001 -35.6280476901,80.2001165400001 -35.2303236501,79.6094965800001 -34.9091825900999,79.60905054 -34.9090216700999,79.6079336400001 -34.9084085901,78.9622196400001 -34.6726375700999,78.2792325 -34.5286445900999,78.24835566 -34.5266096901,78.2471025 -34.5263416701,77.5453716000001 -34.4778187101)))', 'SIOFA', 'South Indian Ocean Fisheries Agreement', 'No', 'Y'),('SRID=4326;MULTIPOLYGON(((50.9999990373697 80.712990901639,50.3433217773698 80.7111090016391,50.9999990373697 80.829915661639,50.9999990373697 80.712990901639)),((-43.0655602526303 82.2754057516391,-42.3008355626303 82.2149924416392,-43.1504181926303 82.237602421639,-44.0000008226303 82.2602124016391,-44.0000008226303 82.3744333816391,-43.8302849426303 82.335819061639,-43.0655602526303 82.2754057516391)),((-41.1205528826303 82.7797125616392,-40.5274971626302 82.731098071639,-39.9344414426303 82.682483581639,-40.0119485426303 82.559986021639,-39.7533387626303 82.4015233816391,-39.8525018426302 82.361652121639,-40.2033319226303 82.560260521639,-40.8768052526303 82.6484563816391,-41.5502785826303 82.736652241639,-41.8991670026303 82.7302663816391,-41.6088952226303 82.641666241639,-41.6827783826304 82.4780462416391,-42.0895317626303 82.757862001639,-43.0447662926302 82.7616106816391,-44.0000008226303 82.7653593616391,-44.0000008226303 82.8163162816391,-43.0401848426303 82.804115041639,-42.0803688626303 82.791913801639,-41.1205528826303 82.7797125616392)),((-44.0000008226303 82.9791799216391,-43.3866663026303 82.9144323016391,-44.0000008226303 82.954796941639,-44.0000008226303 82.9791799216391)),((50.9999990373697 84.466325737639,50.9999990373697 83.5607126536391,50.9999990373697 82.655099569639,50.9999990373697 81.749486485639,50.9999990373697 80.8438734016391,50.8808240973697 80.9104041016391,50.3474894073697 80.900752861639,49.8141547173698 80.8911016216391,48.9617299773697 80.7302588416391,49.6813802373697 80.7174871216391,49.1922140373697 80.5213812616391,48.5138807973697 80.522350201639,47.8355475573698 80.5233191416391,47.3915892573698 80.4500539216391,48.1298551173697 80.4649923016391,47.6234618373696 80.3988073816391,48.1854049173698 80.3333242816391,47.4421397373697 80.2997129716391,46.6988745573697 80.266101661639,47.3115187773698 80.2542913216391,47.9241629973697 80.2424809816391,48.0824956773698 80.1972082816391,47.6161032573697 80.0705449816391,48.3741599373697 80.0872075816391,49.1072835573697 80.185466521639,48.6419363973696 80.2863806416391,48.8366537373698 80.379977941639,49.6033239573698 80.364154681639,49.8298559373697 80.4054067216391,49.7224875573698 80.4852637216391,50.3612432973697 80.5578161416392,50.9999990373697 80.6303685616391,50.9999990373697 80.097857641639,50.0663671173696 79.9792059616392,50.9999990373697 79.9482837616391,50.9999990373697 78.9860378866391,50.9999990373697 78.0237920116391,50.9999990373697 77.0615461366391,50.9999990373697 76.0993002616391,50.9999990373697 75.1370543866391,50.9999990373697 74.1748085116391,50.9999990373697 73.2125626366391,50.9999990373697 72.2503167616391,50.9999990373697 71.2880708866391,50.9999990373697 70.3258250116391,50.9999990373697 69.3635791366391,50.9999990373697 68.4013332616391,50.7687445773697 68.3705404816391,49.9974203673697 68.1222075316391,49.2260961573698 67.873874581639,48.5952672573697 67.930469281639,49.0972129173698 67.6326254416391,48.5493670773697 67.6424902516391,48.0015212373698 67.6523550616391,47.8143644373698 67.5742987816391,47.9511023373697 67.4519308216391,47.6822118573696 67.1863744816391,47.6997137973696 66.9863775616391,47.0408259573698 66.8637350116391,46.3819381173697 66.741092461639,46.5879088773698 66.8613776416391,46.0336294773696 66.8249013616391,45.5786047773697 67.1822089216391,44.9129057373697 67.365680581639,45.3824911773697 67.7355382816392,46.0467978273697 67.7761648216391,46.7111044773698 67.8167913616391,46.5273543573697 68.138179561639,45.9033193773697 68.4822119416389,45.0394328973697 68.549803261639,44.1755464173696 68.617394581639,43.3116599373697 68.6849859016391,43.7782908573698 68.4747808216391,44.2449217773697 68.2645757416391,44.1315871173697 67.928249161639,44.2581892173697 67.9281042616391,44.0865163773697 67.8769948816391,44.1138830373697 67.7066535016392,43.7505483573697 67.252216141639,44.4799871973697 66.949146181639,44.3614492773697 66.7836646216391,44.4830466573698 66.6741522616391,44.2183751973697 66.407138641639,44.0763845373698 66.2005499416391,44.1744375573698 65.874698461639,43.8580465173698 66.176929261639,43.5034704573696 66.1233862816391,43.4533224573697 66.1158178216391,43.4608374573698 66.099086641639,43.5162459573698 65.9756811616391,43.3547125173697 66.038593141639,43.2957830373696 66.093120361639,43.6938773373696 66.2319297016389,43.2929143773698 66.424297141639,42.7492990773698 66.476657701639,42.2056837773696 66.5290182616391,41.4249944373697 66.0897100816391,40.6186018173698 65.8416555916391,39.8122091973698 65.5936011016392,39.7180472373697 65.378314801639,40.3759603773698 64.9234578616391,40.4972143173697 64.5351294616391,39.5169362973698 64.6667288116391,38.5366582773698 64.798328161639,38.0413846773697 64.643321881639,38.0392293573697 64.7599219216392,38.4043645773697 64.8540838816391,37.6306143273698 65.0162008816391,36.8568640773698 65.178317881639,36.8330488173696 64.991931841639,36.4395742173698 64.9379003416392,36.5619344373697 64.7438772616391,37.1916570573697 64.391940901639,37.9788733773697 64.3166692216391,38.0801305773697 64.0211065216391,37.5047141373698 63.8147161816391,36.8936034273697 63.9122160616391,36.2824927173697 64.0097159416391,36.1097173773698 64.2313726216391,35.5287428073697 64.3729055416391,34.9477682373697 64.514438461639,34.7877721773698 64.5477636616391,34.9572133773697 64.652774581639,34.9361029773698 64.8383214616391,34.3812437973697 65.382625441639,34.6730489973698 65.447902441639,34.6891584573696 65.801647081639,34.9647170373697 65.721233161639,34.8501310173698 65.8987387216391,34.1097173973697 66.249019441639,33.3215170173698 66.319705801639,33.6336011973697 66.481097941639,32.9584265973696 66.5303686216391,33.4276266573696 66.5890158616392,32.8710317373697 66.580684561639,33.3218717973696 66.6408880816391,32.8008947373698 66.726581401639,32.9127722973698 66.7690160416391,32.2594405173697 67.122760681639,31.8588056973696 67.1528356216391,32.6677694373697 67.119434281639,33.2513875773697 66.7944372616391,33.5988761373698 66.8230475416392,34.4790181773697 66.5323522216391,34.8458243373698 66.6049842016391,35.5091315373698 66.3877447216391,36.2837916423698 66.3038595466391,37.0584517473698 66.219974371639,37.8331118523698 66.136089196639,38.6077719573698 66.052204021639,39.3372145773697 66.1641539416392,40.0666571973697 66.2761038616391,40.6112395473698 66.535270561639,41.1558218973696 66.7944372616391,41.3908262973697 67.119151861639,41.1106863573698 67.2509574016391,41.0497160373697 67.658595841639,40.4636068773697 67.754993221639,39.7780486173697 68.163600781639,39.8526296373697 68.044078621639,39.5711051373698 68.061099781639,39.0019370373698 68.200130251639,38.4327689373698 68.3391607216391,37.7733221973696 68.6760901216391,36.8741560473697 68.9245641916391,35.9749898973697 69.1730382616391,35.2230443973696 69.225818461639,34.4710988973698 69.278598661639,33.7191533973697 69.3313788616391,33.4265851773697 69.0931128616391,33.0322829373697 68.9625585016392,33.5166578973697 69.181369561639,33.4684249173697 69.1967505616391,33.2415190773698 69.2690923816391,33.5161733373696 69.4224813616392,32.8060484973697 69.3027761416391,33.0294142773696 69.4718665216391,32.2224874173698 69.424152121639,32.4945554373698 69.5054129416391,32.0263930773698 69.6365393416391,32.8949956773697 69.582767401639,33.0936040773698 69.7474859416391,32.5531873773698 69.855548671639,32.0127706773698 69.963611401639,31.9152346173698 69.923084041639,32.0967856773698 69.7928580016391,31.7569418973697 69.8466528016391,31.7738867373698 69.6810949216391,30.8548384173697 69.7923162016391,30.4533300573698 69.809718961639,30.3506899173697 69.6674917816391,30.4016637573697 69.825000601639,30.1724978373698 69.875407981639,30.1840257573697 69.6907537216391,29.4919405173697 69.6602057416391,29.7348586173697 69.907497301639,29.3715944973697 69.857150941639,29.6662474773696 69.9641683216391,29.1413584773698 70.037166421639,28.6164694773697 70.1101645216391,29.3554564173698 70.089385861639,30.0944433573697 70.068607201639,30.5839901673698 70.177078081639,31.0735369773696 70.2855489616391,30.5977755573698 70.5351979816391,30.0080519973697 70.5364493416391,30.3417331173697 70.5997121416391,30.1086091773697 70.7073553816391,29.3469420573698 70.6641577216391,29.0361090573696 70.874164441639,28.5436087173698 70.739169841639,28.0388861973697 70.0619391016392,28.3302736173696 70.502147461639,27.8543024973698 70.4819372416391,28.2879133173697 70.713466561639,27.6571493973697 70.606387981639,28.1194066773698 70.7328070216391,27.7713156573697 70.7859000016391,28.5205526973697 70.9236028816391,28.2077742573697 71.079990301639,27.2283296373698 71.0212438816391,27.1287469773697 70.9165915216391,27.5655508173696 70.8047217016391,27.3091631373697 70.8180501616391,27.0906915573698 70.705821781639,27.2660380173698 70.5817983616391,26.5665236373697 70.3509634816391,26.6506223373697 70.6365851416391,26.3531923173697 70.6396444216391,26.6680517373698 70.7188910416391,26.7344427573698 70.896106621639,26.5233297573697 70.9258307416391,25.9984434573696 70.6012237816391,25.8773610573697 70.526342521639,25.1506911573697 70.076946061639,24.9430514373697 70.091800561639,25.2676344573698 70.3959616816391,25.0898581773696 70.5065572816391,25.9033309173698 70.888744261639,25.6352052573697 70.892497801639,25.3661088573696 70.969577581639,25.2652732173698 70.8126334216391,24.5884696173698 70.960964041639,24.6262465773697 70.776111421639,24.2563849173697 70.7709006016392,24.7137461973697 70.6156957816391,24.3630514773696 70.6886022616391,24.1552763973698 70.5680578816391,24.3533984373697 70.4578437016391,23.6458312173696 70.4077795816392,23.1787463373697 70.0911063016391,23.5347184773697 70.0192983616391,23.3176355973696 69.9423559216391,22.8730535973697 70.102496881639,22.2966642573696 70.0412405416391,22.9574977173697 70.2041662816391,22.1287480173698 70.2255514516391,21.2999983173698 70.2469366216391,21.7254133773698 70.0565221816392,22.0933294173697 70.1082570616391,21.8084002173696 70.0402716016391,22.0995799173698 69.7437475216391,21.3133307373696 70.0209693016391,21.0483313173698 69.789020401639,20.8945799973697 69.851802601639,21.0594434373698 69.946109641639,20.5658292573697 69.7613866216391,20.4849271773697 69.631313221639,20.8490248773697 69.492290401639,20.4663859173697 69.573192481639,19.9999990228645 69.2884957320435,19.9999990228645 69.291391519078,20.2819415373697 69.478885441639,20.4206228973697 69.8755453216391,20.2884703173698 69.972911641639,19.9999990228645 69.8109656562449,19.8280515573697 69.7144354216391,19.6830530973696 69.4319418016391,19.5335378973696 69.3966558616392,19.7727060573697 69.804851401639,18.9449263773697 69.6125676616391,19.2266645373697 69.564441601639,19.0078669773697 69.4636801216391,18.8502055173697 69.550342381639,18.4572878373698 69.449573341639,19.0069417773697 69.287082481639,18.5394430773697 69.299167501639,18.2569418973697 69.486377581639,18.1316728773698 69.339267541639,17.9963864973698 69.280277041639,18.1479139173697 69.1501348816391,17.4877768773697 68.989993921639,17.4318724773697 68.8983953416391,17.8443727173698 68.8725012616391,17.4713849973696 68.8277777416391,17.7924986973698 68.7569464816391,17.2390948173697 68.753467441639,17.6690588373698 68.6575659616391,16.9729127973697 68.7015264616391,16.4670096573697 68.511729961639,17.0076008673697 68.5187109016391,17.5481920773698 68.525691841639,17.3737459773697 68.4090154816391,17.5715227773697 68.3599203016392,17.2024984773697 68.3695791016392,17.3580523173697 68.1763800616391,17.1326361573697 68.3674963216391,16.2227755773697 68.347492021639,16.8000650973696 68.130336601639,16.1376371973698 68.306102641639,16.4838857373696 68.1812476216391,16.3424978973697 68.0716589416391,16.7152739373697 68.0666693416391,16.2074957373697 67.999996081639,16.4958296373697 67.7941626616391,16.2120104973696 67.900691881639,16.0137473373698 68.2434653416392,15.2883311373697 68.030551801639,15.8477754573696 68.038608421639,15.9611101173696 68.0130498616391,15.8711099373698 67.923328321639,15.3139567473697 67.8629798116391,14.7568035573697 67.802631301639,15.0336084573698 67.7761113616391,14.8127756373697 67.638889081639,15.3720808173698 67.792423141639,15.7811099373697 67.7277716416391,15.3068732973697 67.716731881639,15.1824284973697 67.6195792216391,15.2788877973698 67.518329401639,15.8874625773698 67.5564535816391,15.5313863973697 67.4649999016389,15.6444425973697 67.2680548816391,15.4352761173697 67.4737432216391,14.9342767173697 67.473109981639,15.0358305573698 67.5705450616391,14.3620815573697 67.240550881639,15.1538867973696 67.3055532016391,15.7355537373698 67.175754301639,15.3849286773697 67.194095401639,15.4955530773697 67.0652807416391,14.5808315973697 67.195278001639,14.7426366573696 67.117839661639,14.2688865573697 67.076656201639,14.5551014973697 67.022456941639,14.0532442173697 66.975463711639,13.5513869373697 66.9284704816391,13.9908324573697 66.7852743616391,13.2290258373698 66.710277361639,13.5358306173697 66.6347234416392,13.1915264373697 66.661113601639,13.2337245573697 66.546741241639,12.9756918573697 66.517284241639,13.1551370973697 66.4333304416391,13.0208311773697 66.3244435816391,13.5274287573697 66.3051337216391,13.0284005373697 66.1889532616392,13.5833311773698 66.2545965616391,14.1382618173697 66.3202398616391,13.5497197773698 66.100559041639,13.5596514573696 66.2340200416391,12.6737481573696 66.064441501639,12.9538078173696 66.0400273816391,13.1694422373697 65.849849461639,12.6708317973697 65.919162601639,12.5534001573697 65.7479131216391,12.7838172573697 65.6347158016391,12.3549280173698 65.640758401639,12.6345110373698 65.4160345216391,12.2490253773697 65.2317998416391,12.6486100773698 65.264438521639,12.4222211973698 65.2305486616391,12.4797887973696 65.134303921639,12.9392337573697 65.3208883216391,12.6247206573697 65.1336096616391,12.1494351573698 65.039554441639,11.9671412373698 65.0642126416391,11.2531910373698 64.8555487216391,11.6959696173697 64.8988837216391,11.2727766573697 64.840549321639,11.3016643173697 64.735133941639,12.2170811373697 64.940685121639,11.4177751173696 64.6977727816391,11.7280531773697 64.5797156416391,11.2216654773698 64.3161047416391,11.2733317773697 64.4516638216391,10.9656925173696 64.6009711216391,10.6626367773697 64.4431188616391,10.8494425773697 64.3705556416391,10.4952898773697 64.4238165616391,10.6520815773697 64.355548681639,10.0202761773697 64.066379401639,10.1927766573698 63.9329146216389,9.54527579736972 63.7661131216392,9.5702752773698 63.6613882216391,10.0945807173697 63.759650941639,9.78916463736973 63.662502061639,10.0927763973698 63.5022237616391,10.9419431373698 63.7380559816391,11.0222206173698 63.875762821639,10.5799283973696 63.804790261639,11.3576365773697 64.1084707816391,11.4879151773697 64.0055502016391,11.1045122973697 63.849304081639,11.4599285973697 63.798263461639,10.7205533973697 63.604999441639,10.9131231573696 63.5999295616391,10.7616644973697 63.5057638216391,10.9118032173696 63.4580533816391,10.0873594773698 63.4302748816389,10.2631922973697 63.2648237416391,9.71749781736965 63.6302755816391,9.15281009736966 63.4857633016391,9.41805359736966 63.3747213016391,8.67222125736966 63.413890741639,8.75853917736978 63.342918181639,8.47972115736965 63.2918050216391,8.94013703736979 63.207916021639,8.16096977736978 63.118053361639,8.65683845736961 62.971698601639,8.41756733736977 62.9513166616391,8.53176887736966 62.847221221639,8.09805401736971 63.1037520016391,7.88090147736974 63.0025671616391,7.93866869736981 62.9723890816391,7.45884557736976 62.908927741639,7.03638755736969 62.9675024416391,6.95458187736968 62.7240294016392,7.54628264736973 62.7088374016391,8.13798341736966 62.6936454016391,7.52277671736979 62.6666677216391,7.47444347736981 62.5661123416391,7.77263795736965 62.5748594416391,7.53916553736976 62.4991644016391,7.08999821736969 62.6477774416391,6.25298453736971 62.5777738216392,6.64683155736966 62.4957616816391,6.38388737736968 62.4194449216391,6.78652631736966 62.4772222216391,7.36249841736971 62.2761114616391,7.02777635736967 62.266528981639,7.0177764573697 62.0850027616391,6.87798449736967 62.4125669416391,6.70333157736965 62.4448621816391,6.3951373773697 62.3772237616391,6.53326235736963 62.1104162416392,6.32041559736981 62.367637501639,5.94916487736966 62.2540281616391,6.36041555736968 62.0609014816391,5.45555411736975 62.1841696216391,5.46888743736965 62.0068051816391,5.08013729736975 62.176666141639,5.39909549736964 62.0188176616391,5.15458205736982 61.892501581639,5.36169149736977 61.889354461639,4.98291497736974 61.739997661639,4.97194343736967 61.632152461639,5.33867363736967 61.5924833416391,5.18833169736981 61.498889821639,5.79624839736973 61.4479863616389,4.96805435736976 61.4208333616391,5.62708187736964 61.361316541639,4.95249839736962 61.2561110416392,5.24305403736965 61.1823614416391,5.11583237736979 61.1416663216392,5.7298238973698 61.128349201639,6.34381541736965 61.115032081639,6.42847121736977 61.1131971616391,6.43551929736977 61.1201818816389,6.71263703736971 61.3947904216391,6.57902681736973 61.2116697616391,6.96124853736969 61.1098592416391,7.35388757736975 61.1899984816391,7.27944281736969 61.325557561639,7.56246383736973 61.4703443416391,7.30416545736974 61.291251901639,7.42860989736968 61.1813925016392,6.99805403736965 61.0878447016391,7.11388781736959 60.8602789816391,6.81819299736966 61.1416663216392,6.37930205736969 61.0609244416391,5.69579606736968 61.0505999116391,5.01229007736966 61.0402753816391,5.07013757736976 60.829723261639,5.53208165736967 60.8711126416391,5.23749833736965 60.770625841639,5.42805443736975 60.6272238016391,4.93110953736967 60.8005522816391,5.26781951736969 60.547023541639,5.4567856773697 60.6051671416391,5.66028737736959 60.711070861639,5.71999841736973 60.674442121639,5.70597173736981 60.4577329216391,5.63722091736977 60.4169461816389,5.51285225736969 60.4162024216391,5.2855540173696 60.5216635216392,5.14492901736977 60.361041781639,5.41110995736968 60.1297185616392,5.72808851736973 60.383746981639,5.5487485773697 60.1490934016391,5.64168167736974 60.145358941639,5.74722107736968 59.9866675216391,6.22131785736971 60.4073599216391,7.10201213736971 60.4961089216391,6.74166491736971 60.4369467016389,6.52194269736972 60.0834691816391,6.63492923736967 60.406108741639,6.20472059736974 60.295558681639,5.69833181736973 59.8327749016391,6.30364427736966 59.844478501639,5.56847045736978 59.675624641639,5.45973407736974 59.5192221016391,5.48117873736972 59.727916621639,5.17888745736965 59.506805341639,5.51652623736978 59.2755544816391,5.85249857736968 59.3441656216391,5.6676578373696 59.4090689416391,5.80777649736969 59.469165721639,6.14555405736976 59.4793051216391,5.88347063736975 59.4363897016391,5.9401722573697 59.3532293416391,6.46888733736963 59.5552786216391,5.99652629736973 59.3329161616389,6.45979031736979 59.320483921639,5.86985975736959 59.0655553216391,6.03638747736968 58.904510401639,6.13041119736967 58.9286305816392,6.16860971736977 58.8322256416391,5.55860951736977 59.0302771216391,5.46038873736975 58.7500608616391,6.01194293736969 58.379718601639,6.75999845736978 58.244025961639,6.5588875173698 58.097499661639,7.00791551736969 57.9879187216391,7.61074496736969 58.054132351639,8.21357441736969 58.1203459816391,8.95331384736968 58.5517023916392,9.69305327736966 58.983058801639,9.55159469736977 59.1140250016391,9.87749765736967 58.9549978816391,10.2311087373697 59.038608421639,10.5156926973698 59.306247541639,10.2309008373698 59.7290952616392,10.5580529973698 59.5430562616391,10.5324974973697 59.8759725616391,10.7411785173697 59.8903462816391,10.5595817373696 59.7247923616391,10.7974978173698 59.1863896816391,11.3574457773697 59.1076582216391,11.4291907173697 58.9876441216391,11.3199978573698 59.1002767816391,11.2199441373698 59.0534780416391,11.1133317573697 59.0036122816391,11.2013864973697 58.399440661639,11.5286093973697 58.230762301639,11.7277356573698 58.328403301639,11.7980528373697 58.318332481639,11.8786964373696 58.2021711016391,11.7018728973697 57.6999280816391,11.8877763573697 57.6938894416391,11.9027757573696 57.4243086616391,12.0949984773698 57.426944581639,12.3488875773698 56.9168089216391,12.8802061773697 56.6429860816391,12.9011088573697 56.457225721639,12.6243039573697 56.418334741639,12.7992335373697 56.2259023216391,12.4600678173697 56.296665001639,12.4673855373698 56.289166381639,12.4576088373698 56.2931622016391,12.2965772373697 56.127250801639,12.2905531773697 56.128887001639,11.8470812373697 55.955558701639,12.0409698573696 55.9216688416391,12.0529042173698 55.7511138016391,11.9141636373697 55.9297216816391,11.7944393373697 55.6616629816391,11.6705541573697 55.8141669016391,11.7683315973698 55.963474021639,11.2733317773697 55.9916647216391,11.3179460373698 55.9739262616391,11.2845628773697 55.9801780216391,10.7209598373697 56.1533634016391,10.7221435173696 56.1573808216391,10.7449981173697 56.1638907016391,10.9619427573697 56.4422223616391,10.3086653373697 56.578163041639,10.1877757173697 56.468608741639,10.3430537973697 56.692638181639,9.86638733736961 56.650279861639,10.3052759373697 56.7480582016392,10.3118896773697 56.9813077816391,10.2586384773697 56.995570981639,9.97427285736975 57.0717352816391,9.72213173736977 57.0224188816391,9.17819891736959 56.916034561639,9.31826123736962 56.5254133216391,9.06291485736963 56.5657614016391,9.07278263736972 56.8076169616391,8.68083101736973 56.6178472816391,8.74020581736973 56.4901349416391,8.16069329736964 56.6455534216391,8.10833075736971 56.017780201639,8.26291475736971 56.078887861639,8.39569193736971 55.894721761639,8.19138635736973 55.8106954216391,8.12770649736969 55.9838178016391,8.09291465736978 55.5562094416391,8.61819263736967 55.4311101616392,8.68902587736974 55.140067801639,8.45763695736971 55.1272237216391,8.67610835736976 55.114169941639,8.66454407736969 54.913097161639,8.42042069736979 54.919647001639,8.40805343736965 55.0565298016391,8.28055295736967 54.774997561639,8.54560943736961 54.8706090616391,9.01124765736969 54.5034711616392,8.60048387736978 54.3263853616391,8.88360893736975 54.294170221639,8.82735929736972 54.1516645816391,9.01722059736968 54.0850026616391,8.88305381736964 53.9611090216391,9.27600479736972 53.8818930016391,9.82905965736969 53.5417021816391,9.28340063736973 53.8555525216392,9.09604367736963 53.8666799416391,8.65902527736974 53.892639001639,8.48409569736977 53.686321021639,8.49206447736972 53.555881321639,8.3322210573697 53.615280061639,8.28603935736972 53.4208982416391,8.09777555736959 53.4444463816391,8.01430415736981 53.708335741639,7.29583181736981 53.685275941639,7.01499887736977 53.409862441639,7.33708187736973 53.3230551016391,7.20836351736968 53.2428091216392,6.74194337736966 53.465831641639,5.98166567736975 53.398891261639,5.09444297736965 52.9591672816391,4.73881769736968 52.9566649216391,4.58201267736975 52.4770849816391,5.07805451736973 52.4161108816391,5.02972091736969 52.6240958416391,5.04958769736961 52.6415785216391,5.30319257736979 52.7048605816391,5.10027605736959 52.9480551616391,5.36985971736973 53.070415381639,5.37079715736981 52.8802030816392,5.71835141736968 52.838024041639,5.60055401736977 52.6581954016391,5.85357281736977 52.6059531016391,5.87805371736973 52.5094412416392,5.4224987373698 52.2490233616391,4.5743704173698 52.4544751816391,3.86798489736977 51.812152741639,4.20943409736972 51.6740949016391,3.99784571736969 51.590137321639,4.28360993736973 51.448055041639,3.83499881736972 51.6066701416392,3.44423483736974 51.5293729216392,4.25236715736965 51.375148561639,4.32770165736959 51.290126641639,4.2388973973698 51.350429341639,3.3708648573698 51.3738592216391,2.54166551736974 51.0911139616391,1.6249987773697 50.8777806616391,1.46111021736967 50.124164401639,0.823540767369785 49.9140966616391,0.18597131736967 49.7040289216391,0.0758323773696006 49.522571461639,0.424721337369782 49.4516638816391,-0.228334322630339 49.2836112016391,-1.10958444263029 49.369441861639,-1.26416772263028 49.684169521639,-1.94208444263032 49.7215956616391,-1.6097232626303 49.2150000616391,-1.56257046263031 48.748958461639,-1.36888992263031 48.643611661639,-1.98805662263019 48.686946661639,-1.97611200263035 48.5130537016392,-2.30722326263029 48.6761130016391,-2.68527888263035 48.501666901639,-3.22611228263029 48.8695829416391,-3.53666772263032 48.825832141639,-3.58243146263025 48.6777762016391,-4.35416796263028 48.6741673816391,-4.77666810263029 48.5111082616391,-4.76062632263027 48.334998961639,-4.56535098263024 48.322761301639,-4.54659840263029 48.174442201639,-4.28291784263033 48.116527381639,-4.72223898263034 48.039180661639,-4.36736250263025 47.8087461016391,-3.98222352263034 47.8897207216391,-3.21694560263033 47.650554541639,-3.13264008263034 47.4766653616391,-3.12507054263032 47.5954129816391,-2.70027900263032 47.6370810016391,-2.83187628263031 47.4972876016391,-2.36708442263032 47.501529481639,-2.53965366263029 47.2980574816391,-2.14007346263035 47.253673441639,-2.17083456263035 47.126666881639,-1.98587268263029 47.0369338216391,-2.12541786263026 46.8309744016391,-1.78639002263035 46.4883307216391,-1.11463542263025 46.3165853416391,-1.0709731826303 45.903953341639,-1.23885918263031 45.706218481639,-0.781528862630331 45.466525801639,-0.53993142263031 44.8956259216391,-1.0894455026303 45.558608761639,-1.2458343626303 44.675346241639,-1.04062608263033 44.6749304416391,-1.20861216263027 44.6258352616391,-1.32625098263029 44.1331938016391,-1.44388980263032 43.6405523416391,-1.78087752263028 43.3599280216391,-2.46573558263029 43.3567465216391,-3.15059364263025 43.3535650216391,-3.58555698263033 43.5102804016392,-4.51455300263033 43.3963506616391,-5.18436045263034 43.5222013516391,-5.85416790263034 43.648052041639,-6.44949387263026 43.569228961639,-7.04481984263035 43.4904058816391,-7.89805692263028 43.7641637416391,-8.32972428263029 43.4038885216392,-8.95028022263026 43.293613321639,-9.25916760263031 43.047221941639,-9.10583586263031 42.7524984016391,-8.91583434263035 42.7890279616392,-9.02937600263031 42.5241658816391,-8.72049798263024 42.698493721639,-8.90611362263022 42.4751394616391,-8.65611360263026 42.4277762416391,-8.86486230263032 42.2496527416391,-8.57986344263029 42.3490255216391,-8.89750188263034 42.110557381639,-8.87514102263035 41.8795126216391,-8.74500930263034 41.9525029816391,-8.88083550263034 41.7516669016391,-8.77048776263033 41.221389601639,-8.66014002263032 40.691112301639,-8.87284845263029 40.153056931639,-9.08555688263025 39.6150015616391,-9.35958474263035 39.3566664616391,-9.47604366263031 38.705276341639,-9.11847402263025 38.7172240216392,-8.99430750263023 38.9406240016391,-8.91974736263027 38.7658956616391,-9.27423756263025 38.6687467816391,-9.18389034263024 38.4197194816391,-8.76889134263033 38.517223141639,-8.67333510263027 38.413890721639,-8.80250256263034 38.3744467816391,-8.79586308263024 37.4425162216391,-8.98923780263025 37.026317521639,-8.44350858263031 37.0176047116391,-7.89777936263031 37.008891901639,-7.43185512263026 37.2531927616391,-6.95992410263032 37.2218398216391,-6.35555736263027 36.8608357816391,-6.43250124263026 36.6923597416391,-6.04416798263035 36.1861113616391,-5.61361212263032 36.006107221639,-5.60002338263033 36.0143931616391,-5.60000142263025 35.9979663616391,-6.00000084263034 35.9979663616391,-6.97297381560319 35.9979663616391,-7.94594678857627 35.9979663616391,-8.91891976154918 35.9979663616391,-9.89189273452221 35.9979663616391,-10.8648657074951 35.9979663616391,-11.8378386804681 35.9979663616391,-12.8108116534411 35.9979663616391,-13.7837846264141 35.9979663616391,-14.7567575993871 35.9979663616391,-15.7297305723601 35.9979663616391,-16.702703545333 35.9979663616391,-17.675676518306 35.9979663616391,-18.6486494912789 35.9979663616391,-19.6216224642519 35.9979663616391,-20.5945954372249 35.9979663616391,-21.5675684101978 35.9979663616391,-22.5405413831709 35.9979663616391,-23.5135143561438 35.9979663616391,-24.4864873291168 35.9979663616391,-25.4594603020897 35.9979663616391,-26.4324332750628 35.9979663616391,-27.4054062480357 35.9979663616391,-28.3783792210087 35.9979663616391,-29.3513521939816 35.9979663616391,-30.3243251669547 35.9979663616391,-31.2972981399276 35.9979663616391,-32.2702711129006 35.9979663616391,-33.2432440858736 35.9979663616391,-34.2162170588465 35.9979663616391,-35.1891900318195 35.9979663616391,-36.1621630047924 35.9979663616391,-37.1351359777654 35.9979663616391,-38.1081089507383 35.9979663616391,-39.0810819237114 35.9979663616391,-40.0540548966844 35.9979663616391,-41.0270278696574 35.9979663616391,-42.0000008426303 35.9979663616391,-42.0000008426303 36.9563058766391,-42.0000008426303 37.9146453916391,-42.0000008426303 38.872984906639,-42.0000008426303 39.831324421639,-42.0000008426303 40.7896639366391,-42.0000008426303 41.748003451639,-42.0000008426303 42.7063429666391,-42.0000008426303 43.664682481639,-42.0000008426303 44.6230219966391,-42.0000008426303 45.581361511639,-42.0000008426303 46.5397010266391,-42.0000008426303 47.498040541639,-42.0000008426303 48.4563800566391,-42.0000008426303 49.414719571639,-42.0000008426303 50.3730590866391,-42.0000008426303 51.3313986016392,-42.0000008426303 52.2897381166391,-42.0000008426303 53.2480776316392,-42.0000008426303 54.2064171466391,-42.0000008426303 55.1647566616389,-42.0000008426303 56.123096176639,-42.0000008426303 57.0814356916391,-42.0000008426303 58.0397752066391,-42.0000008426303 58.9981147216391,-43.0000008326303 58.9981147216391,-44.0000008226303 58.9981147216391,-44.0000008226303 59.8081024816391,-43.9022226626303 59.7902792416391,-43.6370859026303 59.8656920416392,-43.9627770026303 59.9792974216391,-44.0000008226303 59.9427187216392,-44.0000008226303 60.0895366216391,-43.5727776626303 59.914714681639,-43.5743112626302 60.0756910216391,-43.1337479426303 60.058742401639,-44.0000008226303 60.1322814016391,-44.0000008226303 60.1734569416391,-43.0944451226303 60.0927694216391,-43.3220148026303 60.2136763216391,-43.0927743626303 60.257221021639,-43.1662492826303 60.3962476216391,-43.5876397226303 60.3052709416392,-43.3266687026303 60.4511069416391,-44.0000008226303 60.593130001639,-44.0000008226303 60.6046566616391,-43.6299982226304 60.5486106016391,-43.6977777626302 60.715690381639,-43.2086113826303 60.464442961639,-43.3148621426302 60.5508993016391,-42.8346529226303 60.571105741639,-42.7518777626303 60.6842307016391,-43.1084565026303 60.6667707016391,-42.7872247226303 60.7449987016391,-43.5246514226303 60.8369405416391,-42.7908411026303 60.801105421639,-43.4836090826302 60.9356878216391,-43.0086144626303 60.8838841816391,-42.7077759626303 61.0591620616391,-43.6123627226303 61.126384501639,-42.6340303226303 61.1011771216391,-43.0897226426303 61.197490441639,-42.6643038026303 61.256530621639,-43.2444466826303 61.3373563816389,-42.6325006826303 61.291110781639,-42.4272241826303 61.403606281639,-42.5282639426303 61.5270803416391,-43.0791710426302 61.5936087016392,-42.3975000626303 61.6563833416391,-42.8643082826302 61.7793004816391,-42.2219399426303 61.8272208016391,-42.4162492226303 61.9152030016391,-42.1366662026303 62.0188864216391,-42.5436181226303 61.9458273016391,-42.2619485426303 62.2423551616391,-42.9804162026303 62.510970961639,-42.1653450626303 62.382633121639,-42.6548947526303 62.5706213416391,-43.1444444426303 62.758609561639,-42.5277795626304 62.7230489416391,-42.3036126026303 62.941661641639,-42.3238915826303 62.8091620216391,-41.7516717626303 62.8406866816391,-41.6179170026303 62.989303501639,-41.7241029626303 63.0301779016392,-41.5433358026303 63.0436132816391,-42.0230568626303 63.246944341639,-41.4324311426303 63.1209677416391,-41.8963937426302 63.4705466416392,-41.1133356026302 63.3072164416391,-41.5819481426303 63.4883306416391,-41.2398613826302 63.4061736016391,-41.3941660226303 63.5522193016391,-41.1181954226303 63.3852729016391,-41.0013894626303 63.4058301616391,-41.1738366626303 63.5120236816391,-40.7580575426303 63.5011099216391,-40.8922281026303 63.656383321639,-41.6177758826303 63.7922246416391,-41.0668763426303 63.745900921639,-40.5159768026303 63.6995772016391,-40.6197214226303 63.922771261639,-40.8376359026303 63.944156521639,-40.5677804426303 64.1091497416389,-41.0656976126303 64.1924856016391,-41.5636147826303 64.2758214616391,-40.9670857826303 64.3097799016391,-40.3705567826303 64.343738341639,-40.6368073826303 64.4658238816392,-40.6097992826304 64.627460281639,-40.6008385226303 64.6810948816391,-40.7036827826303 64.7332495216391,-41.1554154626303 64.9623526216391,-40.5961083026303 65.1349981816391,-40.1919411626303 65.040271561639,-39.7555626626303 65.2427557216391,-39.9416664626303 65.3649939016391,-39.7934046026303 65.4151953616391,-40.2172174826303 65.5033300216391,-39.8294458226303 65.4958227616392,-39.6787537826303 65.6781805816392,-39.2187470426303 65.5752753016391,-39.3244486226303 65.7155493016391,-39.0575035826303 65.559421441639,-38.6122217426303 65.5663793416391,-38.7519463826303 65.6909521216391,-38.2305535226304 65.6352729016392,-38.1029862626303 65.8022803216389,-38.4806946626303 66.013332121639,-38.0519418626304 65.912494501639,-37.8553514426303 66.1982457616391,-37.9927110626302 66.2415121816391,-37.6943711426303 66.264301081639,-38.1061105226303 66.3869359816391,-37.1838922226303 66.3405492616391,-37.8107652626302 66.0292929016391,-37.1930551226303 65.7691534816392,-37.0804147226303 66.061366921639,-36.9851389226302 65.8377721816391,-36.5144472026303 65.989703881639,-36.5691690026303 66.0748555816389,-36.3470850026303 66.0827673016392,-36.3319482626303 65.9072149216392,-35.5875024626303 66.1102637416391,-35.5513924826302 66.243175381639,-35.8558358426303 66.4324835416391,-35.2038888026303 66.2377660216391,-35.0420884226303 66.2506826416391,-35.2325676626303 66.311786521639,-35.1249971426303 66.416789881639,-34.9841698226303 66.2841527416391,-34.6400002826303 66.372211261639,-34.4093713226303 66.539012761639,-34.4266709426302 66.742343821639,-34.2705544226303 66.5745733816392,-33.9730538426303 66.990543121639,-33.3662538626303 67.2474859216391,-33.5959711226304 67.3712956816391,-33.2731942226303 67.403743561639,-33.0579156626303 67.6350592216391,-33.1986092426303 67.6880377216392,-32.6652764426303 67.768459201639,-32.1319436426303 67.8488806816391,-31.9991655626303 68.0952643216391,-32.4002770226303 68.1994207816391,-32.1375054626303 68.244983461639,-32.5272225626303 68.4504050416391,-32.4894456026303 68.618457541639,-32.0072259626303 68.261936041639,-31.5303487226303 68.2342947016391,-31.7458314026303 68.2073476216391,-31.7005567226303 68.0966604016392,-31.0219468226303 68.039432281639,-30.4229172626303 68.065257781639,-30.7536134426303 68.2586096416391,-30.0258360026303 68.1130407616391,-30.1969461626303 68.2424811016391,-29.8661106626302 68.4131887816391,-29.3769464426303 68.1994207816391,-29.1187504826303 68.2822150216389,-29.1872224826304 68.3905523416392,-28.8477792026303 68.3186072416392,-28.0088929826303 68.451793561639,-28.0161142226303 68.5627630216391,-27.6199999226303 68.4760932016391,-26.9916677126303 68.5717886716391,-26.3633355026303 68.667484141639,-25.4434728626303 68.9647177816391,-25.6094445626303 69.103595521639,-25.0402802426303 69.1183202416391,-25.2097214426303 69.274432981639,-24.6641664626303 69.2469367216391,-24.6522225626303 69.394443301639,-24.1683319826303 69.4227636016391,-24.0865297226303 69.514720741639,-24.3472222826303 69.6020009416391,-23.6605577426303 69.5535924616392,-23.6886109226303 69.709995181639,-23.9293049426303 69.7522086016391,-23.2619484626302 69.747211261639,-23.3650026026303 69.855548761639,-23.0004167426303 69.7566641416391,-23.2740315026303 69.859851661639,-23.0686120826303 69.938793001639,-22.2650040626303 70.0144385416392,-22.1177797226303 70.1516608216391,-22.8391695026303 70.128879391639,-23.5605592826303 70.1060979616391,-24.2958364226303 70.2345693616392,-25.0311135626303 70.363040761639,-25.3294457426303 70.273883701639,-25.2291650426303 70.4144323816391,-25.7683343426303 70.3060949716391,-26.3075036426303 70.1977575616391,-26.8988886026303 70.248599821639,-27.4347237626303 69.9541662616389,-28.0120849226302 70.021800811639,-28.5894460826303 70.0894353616391,-27.9259271426302 70.160449801639,-27.2624082026303 70.2314642416391,-26.5988892626303 70.302478681639,-26.3269472426303 70.378803001639,-26.4822206426303 70.4638861216391,-27.3462772526303 70.4151152116389,-28.2103338626303 70.366344301639,-28.7200965626302 70.410392641639,-29.2298592626303 70.4544409816391,-28.3054170626303 70.559841061639,-27.9156942026303 70.869563821639,-28.4054155226303 70.9770697216391,-27.6173620226303 70.951099321639,-27.9206933426303 71.129985661639,-27.5008343426303 70.9374807016391,-26.7694482626303 70.9316595016391,-26.1836137826303 71.0504034316391,-25.5977793026303 71.169147361639,-25.7710789826303 71.251827121639,-25.5170849426303 71.2123525816391,-25.4123620226303 71.3509633816391,-26.3986806626303 71.4767225416391,-27.3849993026303 71.6024817016391,-27.9259710326303 71.577480151639,-28.4669427626302 71.5524786016391,-27.8968753826303 71.632556731639,-27.3268080026303 71.7126348616391,-28.0148973326303 71.900516341639,-28.7029866626303 72.088397821639,-28.1984385626304 72.009334441639,-27.6938904626303 71.9302710616391,-26.9502762626302 71.5786016416391,-26.2870835426303 71.5579030816391,-25.6238908226303 71.537204521639,-25.2816705026303 71.3916662416391,-24.7804192826303 71.241382441639,-24.2791680626303 71.091098641639,-24.1711110026303 70.780826341639,-23.8283357426304 70.5669440416391,-23.2529516126303 70.498985131639,-22.6775674826303 70.431026221639,-22.6448622026303 70.718318821639,-22.4650009826303 70.8502690816391,-22.4005555826303 70.4591559016391,-21.9583330226303 70.3897131616391,-21.4758329426303 70.5416526016391,-21.7772263826303 70.582355281639,-21.5496549026302 70.705959121639,-21.6397218626302 70.7954061616391,-21.9266672426303 70.8060263416392,-21.5930566826303 70.962772141639,-22.3281945026303 71.0538060616391,-21.7894447826303 71.101932301639,-21.7247209226303 71.247211381639,-21.9616669826303 71.2638891016391,-21.6077776226303 71.3244360616391,-21.8145837626303 71.3135946616391,-21.6723623426302 71.402767021639,-21.8055582026303 71.509433581639,-22.0933351826303 71.4933203416391,-22.4499978026303 71.248325221639,-22.5402802226303 71.483943781639,-21.8980549826303 71.738315461639,-22.5977792426303 71.5713841816391,-22.6594438226303 71.6572150216391,-22.4297227826303 71.7949864816391,-23.1319436426303 71.653598641639,-22.5036135026303 71.9002722616391,-23.1759284426303 72.0708248416391,-23.8482433826303 72.2413774216391,-24.5205583226303 72.411930001639,-25.1936119826303 72.3577611616391,-25.5275029826303 72.1228978816391,-25.2883366226303 72.3830450416391,-25.9075002626303 72.4154088616391,-25.3024997426303 72.4565847616391,-24.6974992226303 72.4977606616391,-24.6030550226304 72.549152281639,-24.8272255826303 72.715274641639,-25.5666664826303 72.8330572816391,-26.4627770426303 72.5722234216391,-26.3155564826303 72.7349889616391,-26.7781971626303 72.711932941639,-26.4286126826303 72.7780492816391,-27.3819436226303 72.827213041639,-26.7045849926303 72.8072088316391,-26.0272263626303 72.7872046216392,-25.5065297426303 72.9020002516391,-24.9858331226303 73.0167958816391,-25.7066659826303 73.1056135516391,-26.4274988426303 73.1944312216391,-27.2650041026304 73.119708901639,-27.4974984026303 72.9244269016391,-27.4063881626302 73.1099890816391,-27.7158326426303 73.1405523616391,-27.0527772626303 73.194610411639,-26.3897218826303 73.2486684616391,-26.9215269326303 73.3519666816391,-27.4533319826303 73.4552649016391,-26.7941655926303 73.3484610016391,-26.1349992026303 73.2416571016391,-25.4052085526303 73.3800238216391,-24.6754179026303 73.5183905416391,-25.1820840626303 73.735370461639,-25.6887502226303 73.9523503816391,-25.0759028726303 73.7440831816391,-24.4630555226303 73.535815981639,-24.4526376626303 73.6984594816391,-24.0441674426303 73.814700961639,-23.3956936826303 73.6888693516391,-22.7472199226303 73.5630377416391,-22.1855554826302 73.6233175816391,-22.6944435626303 73.5444372616391,-23.3633336426303 73.6234624816392,-24.0322237226303 73.7024877016392,-23.5063904426302 73.4447057416391,-22.9427784926303 73.347629311639,-22.3791665426303 73.2505528816391,-21.5608338026303 73.478046241639,-21.0068063126303 73.4706838816391,-20.4527788226303 73.4633215216391,-20.5330590026303 73.7208288016391,-20.2961129426304 73.883334961639,-21.0223607426303 73.9708288216391,-21.7486085426303 74.058322681639,-21.9144448826303 74.010547441639,-21.7062482426303 73.6951253416391,-21.8216676626302 73.6510962616391,-21.9862488626303 74.0003317216391,-22.4915265026303 74.0763815416391,-22.0380562826303 74.2561072216391,-22.4791650026303 74.309703661639,-21.7641706226303 74.4224889616392,-22.0827798026303 74.5983313216392,-21.1811125226303 74.4858282616391,-20.2794452426303 74.373325201639,-19.3777779626303 74.2608221416391,-18.9781941626303 74.4834630616389,-19.2826413026303 74.524570381639,-19.3527802826303 74.6791570816391,-20.1002797826303 74.657352241639,-20.8477792826303 74.6355474016389,-21.1174993826303 74.6740836016391,-20.6155557026303 74.730823381639,-20.7619466426303 74.8498572016391,-20.6388901826303 75.0619238416391,-21.1906937726303 75.0077627416391,-21.7424973626303 74.953601641639,-22.4347905026303 75.166301521639,-21.7404145826303 74.9765127616391,-21.1511811626303 75.084083371639,-20.5619477426303 75.191653981639,-21.5322246026303 75.371394961639,-22.5025014626303 75.5511359416391,-21.9546537326303 75.5027197216391,-21.4068060026303 75.4543035016391,-22.0894441226303 75.6549871216391,-21.2629632626303 75.4810064416391,-20.4364824026303 75.3070257616391,-19.6100015426303 75.1330450816391,-19.3368061826303 75.402072721639,-19.7572258826303 75.8894383816391,-20.4986593826303 75.9231399616391,-21.2400928826303 75.956841541639,-21.9815263826303 75.990543121639,-21.1709032226303 75.9858205516391,-20.3602800626303 75.9810979816391,-19.6672239026303 76.1297032816392,-20.3288897726303 76.220401591639,-20.9905556426303 76.311099901639,-20.4222231026303 76.1362493416392,-20.9791688426304 76.177425241639,-21.5361145826302 76.2186011416391,-21.7043046026303 76.250690281639,-21.5850000626303 76.4397009016391,-21.7665928826303 76.4235342016391,-22.1878823426303 76.4114112016391,-22.5040311026303 76.4466436816391,-21.9199991426303 76.426654681639,-21.8563851626303 76.4417532616391,-21.6753472826302 76.4847144016391,-22.0341691826303 76.4676932416391,-21.6791658026303 76.5219382216391,-21.8494461626303 76.602207061639,-22.3337507426303 76.5122184016391,-22.7356938026303 76.6859625016391,-22.2875031626303 76.857211981639,-21.6230554826302 76.642764841639,-20.9394426626303 76.8424872616391,-21.7279157426303 76.881656521639,-20.7788896826303 76.8699835216392,-20.5869454226302 76.9302709216391,-20.9777765426303 76.9819372216391,-20.1363420626303 76.9020727216391,-19.2949075826303 76.8222082216391,-18.4534731026303 76.7423437216392,-18.1222237826303 76.945819681639,-18.3958329626302 77.3427618016391,-18.9083337326303 77.291370181639,-19.4208345026303 77.2399785616391,-19.7066658626302 77.3869359616391,-20.2393759526303 77.4001958416391,-20.7720860426303 77.4134557216392,-20.0405588426303 77.4580419016391,-20.5450715726303 77.5014455716391,-21.0495843026303 77.5448492416391,-20.4038895626303 77.5072211416391,-20.6515263626303 77.548183201639,-20.3455553426303 77.5991552416391,-20.9138878826304 77.6660956216391,-20.2569474626303 77.729160061639,-19.3033341026303 77.5802800816391,-18.9587487626302 77.6299093216391,-19.2399987626303 77.7630499216391,-20.0531949326303 77.8891637716391,-20.8663911026303 78.0152776216391,-21.4308327626303 77.6524847416391,-22.0369462226303 77.6856801616391,-21.4093045826303 78.1074865816391,-21.7579203026303 78.1324880416391,-21.2880564026303 78.212207701639,-21.3730554626303 78.3055456216391,-20.9098614626302 78.6212346616391,-21.4243745426303 78.649227001639,-20.9283341426303 78.6916463416391,-21.1836099626303 78.8072774416392,-20.6008348526303 78.8422392016391,-20.0180597426303 78.8772009616391,-19.9147233626303 78.964160761639,-20.0911111226303 79.0636023016391,-19.3783348826302 79.2749975416391,-19.2052162826304 79.218891001639,-19.0916681426303 79.2999914416391,-19.5736131026303 79.3311040816391,-19.8738909026303 79.1666602216391,-19.6563882626303 79.3502692216391,-19.8000001826303 79.4579733016391,-19.4455537226303 79.738880041639,-18.8340272126303 79.7469366616389,-18.2225007026303 79.7549932816391,-17.4507627626302 80.056583281639,-18.3701038526303 80.079952141639,-19.2894449426303 80.1033210016391,-20.0533341626303 79.979709421639,-20.2108334426303 79.8194386816391,-19.8776406626303 79.844295421639,-20.3269471226304 79.7605475416391,-20.7523621826303 79.8623541016391,-20.3661126026302 80.0859639616391,-20.5548620426303 80.1031836616392,-19.7008333226303 80.2858159816391,-18.9434264426303 80.266005001639,-18.1860195626303 80.2461940216391,-17.4286126826303 80.2263830416391,-16.6177796426303 80.326389061639,-16.7616700226303 80.4027745816391,-16.2247208426303 80.5405462216391,-17.0620818626303 80.5457202316391,-17.8994428826303 80.5508942416391,-18.7368039026303 80.5560682516391,-19.5741649226303 80.5612422616391,-20.4115259426303 80.5664162716391,-21.2488869626303 80.5715902816391,-20.3585175626303 80.589481201639,-19.4681481626303 80.6073721216391,-18.5777787626304 80.6252630416391,-17.9591644826303 80.8052556616392,-16.9941663026303 80.765956711639,-16.0291681226302 80.726657761639,-15.3536129126303 80.823322171639,-14.6780577026302 80.919986581639,-15.1389597626302 81.0846441016391,-14.5830921326303 81.1132925416391,-14.0272245026303 81.1419409816391,-13.0924324826303 81.371311021639,-12.1576404626303 81.6006810616391,-13.0277795426303 81.7065618016391,-13.8979186226303 81.812442541639,-14.7680577026303 81.918323281639,-15.6795396026303 81.8997126616391,-16.5910215026302 81.881102041639,-17.5025034026303 81.8624914216391,-17.5394467826303 81.747768241639,-17.3538903626303 81.701938441639,-17.8595838026303 81.7315176616391,-17.6088895226303 81.6054037216391,-18.2494440026303 81.438587101639,-19.2288866426303 81.554981041639,-19.7405557226303 81.489291931639,-20.2522248026303 81.4236028216391,-20.2313890826303 81.6013830616391,-19.9408348826303 81.683048161639,-20.7330561026304 81.586658341639,-21.6751858226303 81.354251701639,-22.6173155426303 81.121845061639,-23.5594452626303 80.889438421639,-23.9258316626303 80.647769701639,-24.5116701026303 80.5408209016391,-24.0649327826303 80.6878317616391,-24.4194460226302 80.6844213016391,-23.9758309826303 80.7288701416391,-23.8075018226303 80.8041493816391,-23.8794449426303 80.8891637416391,-23.3223627626303 81.0764539216391,-22.7652805826303 81.2637441016391,-22.9680547226303 81.2904013816391,-22.1988877226303 81.483875101639,-21.9597215426303 81.768054781639,-22.3013925026303 82.0844305216389,-23.1518087126303 82.047077011639,-24.0022249226303 82.009723501639,-24.2105569226303 81.708331861639,-24.9900712226303 81.6264531916392,-25.7695855226303 81.544574521639,-26.5490998226302 81.4626958516391,-27.3286141226303 81.3808171816392,-27.5709733226302 81.3897131416391,-27.2349977426303 81.4510992616391,-27.5969476826303 81.5047185616391,-26.8740765026304 81.5858241016391,-26.1512053226302 81.6669296416391,-25.4283341426303 81.748035181639,-25.2437486426303 81.8236119616391,-25.2388886426303 81.996372001639,-26.1784714976303 81.9958875316391,-27.1180543526303 81.995403061639,-28.0576372076303 81.994918591639,-28.9972200626303 81.9944341216391,-29.8069986266303 81.9288244096391,-30.6167771906303 81.863214697639,-31.4265557546303 81.797604985639,-32.2363343186302 81.731995273639,-33.0461128826303 81.666385561639,-33.0983361026303 81.773883721639,-32.9027796026303 81.8433264616391,-31.9079637626303 81.9251796616391,-30.9131479226303 82.007032861639,-29.9183320826303 82.088886061639,-30.7548608426303 82.148608981639,-31.5913896026303 82.2083319016391,-30.6596040197732 82.2003537359249,-29.727818436916 82.1923755702105,-28.7960328540589 82.1843974044963,-27.8642472712017 82.1764192387819,-26.9324616883446 82.1684410730677,-26.0006761054875 82.1604629073533,-25.0688905226302 82.1524847416391,-24.2064828626303 82.2119329816391,-23.3440752026303 82.271381221639,-22.4816675426303 82.330829461639,-21.8990287826303 82.470893671639,-21.3163900226303 82.610957881639,-22.0038894026303 82.6902654616391,-22.6913887826302 82.769573041639,-23.3788881626303 82.8488806216391,-24.0222252626303 82.7572210216391,-23.8422231026303 82.8951300016391,-23.9927758226303 82.911655261639,-24.9354161126302 82.8419378416391,-25.8780564026303 82.772220421639,-25.3227795326303 82.8805501816392,-24.7675026626303 82.9888799416391,-25.0641678626303 83.159427421639,-25.9970301476303 83.153098846639,-26.9298924326303 83.1467702716391,-27.8627547176303 83.1404416966391,-28.7956170026303 83.134113121639,-29.4275311226303 83.129825431639,-30.0594452426304 83.125537741639,-30.3122034026303 83.0942037016391,-30.9779081126303 83.0116803616391,-31.6436128226303 82.929157021639,-32.5902814226303 82.937206081639,-33.5369500226304 82.9452551416391,-33.8819436026303 82.7888830216391,-33.9244470026303 82.9033239616391,-34.8869485826303 82.906375681639,-35.4349985426303 82.741367161639,-35.2963953026303 82.8863866816391,-35.6086130426303 82.906650361639,-34.8301401326303 82.9390142716391,-34.0516672226303 82.9713781816391,-33.2731943126303 83.003742091639,-32.4947214026303 83.0361060016391,-33.3877800626303 83.1505469416391,-32.6584728926303 83.101100761639,-31.9291657226303 83.051654581639,-31.1548209626303 83.093407741639,-30.3804762026303 83.1351609016391,-29.6061314426303 83.176914061639,-28.7143215326303 83.1843489166391,-27.8225116226303 83.1917837716391,-26.9307017126303 83.199218626639,-26.0388918026303 83.2066534816391,-25.6534032626302 83.2904775016391,-26.1997232426303 83.3791539616391,-27.0374452586303 83.423764585639,-27.8751672746304 83.468375209639,-28.7128892906303 83.512985833639,-29.5506113066303 83.557596457639,-30.3883333226303 83.602207081639,-31.2134017976303 83.6026953316391,-32.0384702726304 83.603183581639,-32.8635387476303 83.6036718316391,-33.6886072226303 83.6041600816391,-34.0815324626304 83.5640143216391,-33.8827752026303 83.4524877616391,-34.3641672026303 83.596942801639,-35.0864826626303 83.5792527616391,-35.8087981226303 83.5615627216391,-36.5311135826303 83.5438726816391,-36.9008339426303 83.492481061639,-36.4380501626303 83.3611028416392,-37.0319413526303 83.4326361016391,-37.6258325426303 83.5041693616391,-38.0586099626303 83.431369621639,-37.7961129026303 83.359149841639,-38.3200005626303 83.3962363216391,-38.8438882226303 83.433322801639,-38.8552789826303 83.249431381639,-38.6780556626303 83.2052649616391,-37.7779854626303 83.176937011639,-36.8779152626302 83.1486090616391,-37.8376397126303 83.1023520316391,-38.7973641626303 83.0560950016391,-38.0338219826303 83.030681431639,-37.2702798026303 83.0052678616391,-38.1844453526303 83.0013768916391,-39.0986109026303 82.997485921639,-38.6555565626303 82.7777746816391,-39.4740563426304 82.877219245639,-40.2925561226303 82.976663809639,-41.1110559026302 83.0761083736391,-41.9295556826303 83.1755529376391,-42.7480554626303 83.274997501639,-43.3655748026303 83.238025501639,-43.9830941426303 83.201053501639,-43.4279336426303 83.1469077016391,-42.8727731426303 83.0927619016391,-43.4363869826302 83.102360581639,-44.0000008226303 83.111959261639,-44.0000008226303 84.0816799730676,-44.0000008226303 85.0514006844962,-44.0000008226303 86.0211213959248,-44.0000008226303 86.9908421073533,-44.0000008226303 87.9605628187819,-44.0000008226303 88.9302835302105,-44.0000008226303 89.9000042416391,-43.0133342426304 89.9000042416391,-43.0104175226303 89.9000042416391,-42.0266674826303 89.9000042416391,-42.0208342226303 89.9000042416391,-41.0400009026303 89.9000042416391,-41.0312509226303 89.9000042416391,-40.0533343226303 89.9000042416391,-40.0416676226303 89.9000042416391,-39.0666675626303 89.9000042416391,-39.0520843226302 89.9000042416391,-38.0800009826303 89.9000042416391,-38.0625008426303 89.9000042416391,-37.0933342226303 89.9000042416391,-37.0729175426303 89.9000042416391,-36.1066676426302 89.9000042416391,-36.0833342426304 89.9000042416391,-35.1200008826303 89.9000042416391,-35.0937509426303 89.9000042416391,-34.1333343026303 89.9000042416391,-34.1041676426303 89.9000042416391,-33.1466675426303 89.9000042416391,-33.1145841626303 89.9000042416391,-32.1600009626303 89.9000042416391,-32.1250008626303 89.9000042416391,-31.1733342026304 89.9000042416391,-31.1354175626303 89.9000042416391,-30.1866676226303 89.9000042416391,-30.1458342626303 89.9000042416391,-29.2000008626303 89.9000042416391,-29.1562509626303 89.9000042416391,-28.2133342826303 89.9000042416391,-28.1666674826304 89.9000042416391,-27.2266675226303 89.9000042416391,-27.1770841826303 89.9000042416391,-26.2400009426303 89.9000042416391,-26.1875008826303 89.9000042416391,-25.2533341826303 89.9000042416391,-25.1979175826303 89.9000042416391,-24.2666676026303 89.9000042416391,-24.2083342826303 89.9000042416391,-23.2800008426303 89.9000042416391,-23.2187509826303 89.9000042416391,-22.2933342626303 89.9000042416391,-22.2291675026303 89.9000042416391,-21.3066675026302 89.9000042416391,-21.2395842026303 89.9000042416391,-20.3200009226303 89.9000042416391,-20.2500009026303 89.9000042416391,-19.3333341626303 89.9000042416391,-19.2604176026303 89.9000042416391,-18.3466675826303 89.9000042416391,-18.2708343026303 89.9000042416391,-17.3600008226303 89.9000042416391,-17.2812508226303 89.9000042416391,-16.3733342426302 89.9000042416391,-16.2916675226303 89.9000042416391,-15.3866674826303 89.9000042416391,-15.3020842226303 89.9000042416391,-14.4000009026303 89.9000042416391,-14.3125009226303 89.9000042416391,-13.4133343226303 89.9000042416391,-13.3229176226303 89.9000042416391,-12.4266675626304 89.9000042416391,-12.3333343226303 89.9000042416391,-11.4400009826302 89.9000042416391,-11.3437508426303 89.9000042416391,-10.4533342226303 89.9000042416391,-10.3541675426303 89.9000042416391,-9.46666764263032 89.9000042416391,-9.36458424263024 89.9000042416391,-8.48000088263027 89.9000042416391,-8.37500094263024 89.9000042416391,-7.49333430263031 89.9000042416391,-7.38541764263025 89.9000042416391,-6.50666754263032 89.9000042416391,-6.39583416263034 89.9000042416391,-5.52000096263024 89.9000042416391,-5.40625086263035 89.9000042416391,-4.53333420263025 89.9000042416391,-4.4166675626303 89.9000042416391,-3.54666762263029 89.9000042416391,-3.42708426263031 89.9000042416391,-2.5600008626303 89.9000042416391,-2.43750096263032 89.9000042416391,-1.57333428263033 89.9000042416391,-1.44791748263024 89.9000042416391,-0.586667522630343 89.9000042416391,-0.458334182630246 89.9000042416391,0.399999057369733 89.9000042416391,0.531249117369633 89.9000042416391,1.38666581736961 89.9000042416391,1.52083241736963 89.9000042416391,2.37333239736969 89.9000042416391,2.51041571736979 89.9000042416391,3.35999915736979 89.9000042416391,3.49999901736978 89.9000042416391,4.34666573736964 89.9000042416391,4.4895824973698 89.9000042416391,5.33333249736975 89.9000042416391,5.4791657973698 89.9000042416391,6.31999907736959 89.9000042416391,6.46874909736973 89.9000042416391,7.3066658373697 89.9000042416391,7.45833239736972 89.9000042416391,8.29333241736978 89.9000042416391,8.44791569736972 89.9000042416391,9.27999917736965 89.9000042416391,9.43749917736974 89.9000042416391,10.2666657573697 89.9000042416391,10.4270824773697 89.9000042416391,11.2533325173698 89.9000042416391,11.4166657773697 89.9000042416391,12.2399990973697 89.9000042416391,12.4062490773697 89.9000042416391,13.2266656773698 89.9000042416391,13.3958323773697 89.9000042416391,14.2133324373698 89.9000042416391,14.3854156773696 89.9000042416391,15.1999990173697 89.9000042416391,15.3749991573697 89.9000042416391,16.1866657773698 89.9000042416391,16.3645824573697 89.9000042416391,17.1733323573697 89.9000042416391,17.3541657573697 89.9000042416391,18.1599991173697 89.9000042416391,18.3437490573698 89.9000042416391,19.1466656973698 89.9000042416391,19.3333323573697 89.9000042416391,19.9999990228645 89.9000042416391,20.1333324573697 89.9000042416391,20.3229158373698 89.9000042416391,21.1199990373697 89.9000042416391,21.3124991373698 89.9000042416391,22.1066657973697 89.9000042416391,22.3020824373698 89.9000042416391,23.0933323773697 89.9000042416391,23.2916657373697 89.9000042416391,24.0799991373698 89.9000042416391,24.2812490373697 89.9000042416391,25.0666657173697 89.9000042416391,25.2708325173697 89.9000042416391,26.0533324773698 89.9000042416391,26.2604158173697 89.9000042416391,27.0399990573697 89.9000042416391,27.2499991173697 89.9000042416391,28.0266658173697 89.9000042416391,28.2395824173697 89.9000042416391,29.0133323973698 89.9000042416391,29.2291657173697 89.9000042416391,29.9999991573697 89.9000042416391,30.2187490173697 89.9000042416391,31.2083324973698 89.9000042416391,32.1979157973698 89.9000042416391,33.1874990973698 89.9000042416391,34.1770823973698 89.9000042416391,35.1666656973698 89.9000042416391,36.1562491773697 89.9000042416391,37.1458324773697 89.9000042416391,38.1354157773697 89.9000042416391,39.1249990773697 89.9000042416391,40.1145823773697 89.9000042416391,41.1041656773697 89.9000042416391,42.0937491573697 89.9000042416391,43.0833324573697 89.9000042416391,44.0729157573697 89.9000042416391,45.0624990573696 89.9000042416391,46.0520823573698 89.9000042416391,47.0416658373697 89.9000042416391,48.0312491373696 89.9000042416391,49.0208324373696 89.9000042416391,50.0104157373697 89.9000042416391,50.9999990373697 89.9000042416391,50.9999990373697 88.9943911576392,50.9999990373697 88.088778073639,50.9999990373697 87.1831649896391,50.9999990373697 86.2775519056391,50.9999990373697 85.371938821639,50.9999990373697 84.466325737639),(-40.6733331626303 83.2802770816391,-39.8108339126303 83.1969412216391,-38.9483346626303 83.113605361639,-39.6229180526303 83.231517601639,-40.2975014426303 83.349429841639,-40.6733331626303 83.2802770816391),(-39.9240617426303 83.120403061639,-40.5434044826303 83.149432921639,-39.6138925826303 82.9944342016391,-39.3047190026303 83.0913732016391,-39.9240617426303 83.120403061639),(-20.7819451826303 82.1338842616391,-20.2144440626303 81.8927649016391,-19.7445821426303 81.8752554016391,-19.8858346226303 81.9747045016391,-20.7819451826303 82.1338842616391),(-19.2437487026303 81.780689161639,-18.5855569226303 81.646655941639,-18.3075723026303 81.6618612616391,-18.7550019026303 81.8019293416391,-19.2437487026303 81.780689161639),(-20.1647233826303 81.6792944416391,-20.9036111426303 81.7302740416391,-20.7677811626303 81.6783179416392,-20.9305542626302 81.6063726616391,-20.1647233826303 81.6792944416391),(50.5163870973697 81.161929981639,50.4152441973697 81.0394628416391,50.9823523773697 81.1034582416391,50.5163870973697 81.161929981639),(46.4259151773697 80.7672156016391,45.6532304373696 80.6941565416391,44.8805456973697 80.6210974816391,45.4584646773697 80.596660501639,46.0363836573698 80.5722235216391,46.0841588973698 80.4369238216392,46.7538824673697 80.5129049716391,47.4236060373697 80.5888861216391,47.3324957973698 80.672488921639,47.7516623373696 80.7663915016391,48.2582598273697 80.7079122016391,48.7648573173698 80.6494329016391,48.2847204573697 80.8258246216391,47.7416601873697 80.8330496416392,47.1985999173698 80.8402746616391,46.4259151773697 80.7672156016391),(23.3558283573697 80.4265173016391,22.8869391573696 80.490268621639,22.7491597773697 80.3241613816391,22.3611060573698 80.410266721639,22.5685376973698 80.2963751416392,22.3638830973697 80.001392221639,21.6079817373697 80.121303361639,21.8383284573697 80.2711065616391,20.8533277773697 80.211108961639,20.2611055473697 80.356387951639,19.9999990228645 80.4204404141117,19.6688833173696 80.501666941639,19.4587432173697 80.4206808016392,19.9137450573697 80.3766515416391,19.8086081373698 80.212497481639,18.9799948773698 80.3366582416391,19.5798578373696 80.1492957016391,19.3405523373698 80.0863837216389,18.5656910373698 80.1067275016391,17.7908297373697 80.1270712816391,18.2983303773697 80.048530441639,18.8058310173697 79.969989601639,18.1541624373698 79.9099920016391,18.7713842373697 79.7174872216391,19.6587104823697 79.736863951639,19.9999990228645 79.7443167413413,19.9999990228645 79.5527310488601,19.6797171573697 79.5508230616391,19.9999990228645 79.5037310953732,20.3079119373696 79.458457771639,20.9361067173698 79.3660924816391,21.8868017373697 79.3867910416391,22.8374967573697 79.4074896016389,22.6558294173697 79.3599890416391,22.7794409973696 79.2530553616391,23.7591619173696 79.1741521816391,24.7409667873696 79.2910306816389,25.7227716573698 79.407909181639,25.9752722373697 79.507770301639,25.8111066573697 79.613872381639,26.4962454273698 79.739566651639,27.1813841973697 79.8652609216391,27.2292985773697 80.0965231216391,26.2553650773698 80.1873052816391,25.2814315773697 80.2780874416391,24.3074980773696 80.368869601639,23.7301360173697 80.2420690516391,23.1527739573698 80.115268501639,23.0474959173697 80.2449835216391,23.3397169173697 80.3424261616392,23.1270780573698 80.3827704616389,23.3558283573697 80.4265173016391),(49.6019354373698 80.1766546216391,49.8743582373698 80.0636634016391,50.3316602973697 80.1744345016391,49.6019354373698 80.1766546216391),(18.9372167973697 79.1602668016391,18.8597174373696 79.4505499216391,18.3569403573697 79.628314861639,17.6377021173697 79.3760947216391,18.0870103773697 79.728175981639,17.1973915173698 79.8954695116391,16.3077726573698 80.0627630416391,15.9755534973697 79.968051721639,16.1108274573697 79.860263581639,15.6474980973697 79.7650030816391,16.0487470773698 79.3344382216391,16.4499960573698 78.903873361639,15.7144422573697 79.1108130616391,15.7726364373697 79.2377661616391,15.2912483973697 79.597072441639,14.7691641573697 79.781940361639,13.8849974973696 79.538318461639,14.1538868973696 79.3352698216392,14.0588855973698 79.260272821639,13.2647200173698 79.4709585016391,13.4748574173696 79.582492621639,12.9620800773697 79.575687181639,12.4493027373697 79.568881741639,13.1670117873697 79.647632371639,13.8847208373696 79.726383001639,13.9574977173698 79.828327081639,13.8247194573697 79.8752629816391,13.0133304873698 79.8542974816392,12.2019415173697 79.8333319816391,12.3113870973698 79.6619298616391,11.6963854173697 79.8349951816391,11.1956911173697 79.774997581639,11.3661070173698 79.634998081639,10.8593711973696 79.5974234416391,11.1802759173696 79.5594213016391,10.6823577573697 79.5460928416391,11.2363844373698 79.0930517416391,11.7099971973697 79.1637381016391,11.6386099173696 79.3194463816391,12.1152725973697 79.2933233416391,11.7552767373696 79.0758246616391,12.5006914773697 78.9119985616391,11.9188514673698 78.9362714716391,11.3370114573697 78.9605443816391,11.9243030373696 78.825923821639,11.6447896773697 78.735958021639,11.9181920373698 78.6292837216391,12.5527754673697 78.585429961639,13.1873588973698 78.5415762016391,12.3715934973697 78.4808920816391,13.0066653573697 78.1974829816391,13.8674284173697 78.291862381639,14.7281914773697 78.386241781639,14.3888875173697 78.4915120816391,14.5316649573696 78.6827581216391,15.0279141573697 78.5990179816391,15.3708296373697 78.8430441616391,15.4488859173697 78.6330450016391,15.1988858973698 78.5905493416391,15.4727746173698 78.451244101639,16.1418014073697 78.5631177916391,16.8108281973697 78.6749914816391,16.3302737373697 78.4509618616391,17.2952033373696 78.421794661639,16.5305177073697 78.3785322016391,15.7658320773698 78.3352697416392,14.9891633973698 78.1027716616391,14.2413854373698 78.095271961639,14.3558301573697 77.9627721616391,13.5922184973697 78.0522039016391,13.7562485373697 77.7298467616391,13.9516640973697 77.7180517216392,14.7152746773696 77.7713811766391,15.4788852573698 77.8247106316392,16.2424958373698 77.8780400866392,17.0061064173697 77.9313695416391,16.2526118373697 77.840678941639,15.4991172573698 77.7499883416391,14.7456226773698 77.6592977416392,15.4843354773697 77.547141811639,16.2230482773697 77.4349858816391,15.4534200573697 77.4649897816391,14.6837918373698 77.494993681639,13.9141636173697 77.5249975816391,14.4949960773697 77.170825801639,15.1628650173698 77.1141597616392,15.8307339573697 77.0574937216391,16.4986028973698 77.000827681639,16.0003767573698 76.9411009816391,15.5021506173697 76.8813742816391,16.2496825173697 76.738319281639,16.9972144173697 76.595264281639,17.2009668573698 76.6994284816391,16.9386053373697 76.812900301639,17.3155508973698 76.9688071216391,17.1011762973698 77.047344001639,17.3258276373697 77.043872701639,17.7788840373697 77.4905432416391,18.2965231773698 77.5129125616391,18.4108267773698 78.0216559216391,19.0853434773698 78.093456121639,18.9699240573698 78.451999561639,19.7767064373698 78.5206564816391,19.9999990228645 78.5396586085559,20.5834888173697 78.589313401639,21.3902711973698 78.6579703216391,21.5404138773697 78.840541621639,20.6726815173696 78.947116681639,19.9999990228645 79.0297356785989,19.8049491573697 79.0536917416391,18.9372167973697 79.1602668016391),(20.0583296973697 79.0330541416391,20.3424940773698 78.9908178616391,20.8311071373697 79.0569342016391,20.1172170573696 79.120822681639,20.0583296973697 79.0330541416391),(28.4288817573697 78.9519384016392,28.0955496573697 78.811649101639,28.9017992673697 78.8540151616391,29.7080488773697 78.8963812216391,29.0684653173698 78.924159811639,28.4288817573697 78.9519384016392),(26.3980513773697 78.7740210016391,26.7358274973698 78.623874541639,27.0151358373696 78.695682301639,26.3980513773697 78.7740210016391),(20.7799979373698 78.284427481639,20.6711072973698 78.1874884816391,21.4695797373698 78.2264517316392,22.2680521773697 78.2654149816391,22.2413817573696 78.4805486416391,22.0288840173697 78.580829521639,21.0857744673697 78.5252187916391,20.1426649173697 78.4696080616391,20.6638822773697 78.387210721639,20.4705496773697 78.3163794616392,20.7799979373698 78.284427481639),(22.2999016773696 78.205453141639,21.6170314773698 78.1639695616391,20.9341612773696 78.122485981639,21.6449956773697 77.9124945616391,20.8672171173697 77.454578161639,21.8202038073696 77.5003698016391,22.7731904973698 77.5461614416391,22.4156199573696 77.4116551816391,22.4236060173698 77.2572211216391,22.6411046973698 77.2530553816391,23.3948087973697 77.4177256816391,24.1485128973698 77.582395981639,24.9022169973697 77.7470662816391,24.0074949573697 77.8678281916391,23.1127729173698 77.9885901016392,23.4597158973696 78.1558264816391,22.9827718773698 78.2469367216391,22.2999016773696 78.205453141639),(-18.6594438626302 76.630817161639,-19.0694475026303 76.741367221639,-18.7630585226303 76.5877721416391,-19.1288880026303 76.4955327616391,-18.6455545226303 75.8913762616391,-18.6486100226303 76.1636084416391,-18.6594438626302 76.630817161639),(-20.7452782826303 76.3949926816391,-20.7227754026303 76.5141638416391,-21.1377781826303 76.444568461639,-20.7452782826303 76.3949926816391),(-21.1741686026303 76.5555456616391,-21.0538911626303 76.643878861639,-21.5473622426303 76.612071781639,-21.1741686026303 76.5555456616391),(-17.7327775826304 77.7086065816391,-17.5848625826303 77.8351323616391,-17.6750001026303 77.8997228416391,-18.2400694226303 77.6813697016392,-17.7327775826304 77.7086065816391),(12.1205510973696 78.195819781639,11.8211088573697 78.441089401639,11.2672205973698 78.5380438816391,11.0061082773696 78.829166161639,10.4879131173697 78.8933295016391,11.0733308973697 78.455829421639,11.5969409973697 78.3258246016391,12.1205510973696 78.195819781639),(-19.3477791626303 78.813732061639,-19.2088899026303 78.9541662616391,-19.7558355626303 78.7929037216391,-19.4161118426303 78.7244299216391,-19.1613893426303 78.7688863216391,-19.4187497426303 78.7862433616391,-19.1822212826303 78.8038671616391,-19.3477791626303 78.813732061639),(-17.6072243426303 79.0877721616391,-17.7213868226303 79.219440361639,-18.1199998826303 78.9977606416391,-17.6072243426303 79.0877721616391),(-20.0133351026303 80.0947072816391,-19.0855569626303 80.150821561639,-19.7241678026303 80.2447088416391,-20.0133351026303 80.0947072816391),(18.7586089173697 80.301929221639,18.5880499173697 80.338596121639,18.1194411573697 80.2847174416392,18.4566603573697 80.2380407416391,18.7586089173697 80.301929221639),(-18.8391693626303 75.328327081639,-18.9238901426303 75.0419348416391,-18.2315302226303 74.9954031316392,-17.5391703026303 74.948871421639,-17.3269472426303 75.142215541639,-17.7611131826303 75.081378781639,-18.2147207426303 75.227207041639,-17.8058347226302 75.308315041639,-17.9702767826302 75.4002721816391,-18.8391693626303 75.328327081639),(-19.9622221226303 74.995120801639,-20.2308319826302 75.0416601616391,-20.5761117626303 75.002490901639,-20.6852083226303 74.8103292016389,-20.0844468026303 74.7027777616392,-19.7312479226302 74.8559606416391,-20.1836098826302 74.9030493616391,-19.9622221226303 74.995120801639),(18.7911080973698 74.478877921639,19.0691634573697 74.343051721639,19.2819394773698 74.4836004016392,18.7911080973698 74.478877921639),(-20.5345868426303 74.402080381639,-20.9582872226303 74.442844261639,-21.4740046826302 74.3336370916392,-21.9897221426303 74.2244299216391,-21.2099999426303 74.0861089216391,-20.6937493226303 74.124576361639,-20.1774987026304 74.1630438016391,-20.5345868426303 74.402080381639),(-23.8141660526303 73.3173482716392,-24.3975000626303 73.4147069416391,-25.2566690426303 73.402774561639,-25.7111539226303 73.195331401639,-25.4930544026303 73.1269261816391,-24.9399995426303 73.075267621639,-24.3869446826303 73.0236090616392,-23.6627778626303 73.079166241639,-22.9386110426302 73.1347234216391,-23.6209255826303 73.190412961639,-24.3032401226303 73.2461025016391,-24.9855546626303 73.3017920416392,-24.1081933526303 73.2608908216391,-23.2308320426303 73.2199896016391,-23.8141660526303 73.3173482716392),(-23.2796773826303 73.058154841639,-23.9338674026303 73.0062253816391,-24.5880574226303 72.9542959216391,-23.8526963126304 72.9134595916392,-23.1173352026303 72.8726232616389,-22.5165843026303 72.7742193316391,-21.9158334026303 72.6758154016391,-22.1897230226303 72.8088721216391,-21.9041661626303 72.9179037016392,-22.4683313426303 73.0016668816391,-23.2796773826303 73.058154841639),(-22.9798249226303 72.7867009816391,-23.1491689226303 72.836803261639,-23.4535779026303 72.836070841639,-23.9650524926304 72.8348348716391,-24.4765270826303 72.8335989016391,-24.3475007426302 72.5836066216391,-23.6687974226303 72.4266597616392,-22.9900941026303 72.269712901639,-22.3113907826302 72.112766041639,-22.1341676426303 72.271655821639,-22.7609757026303 72.437618161639,-21.9469442426303 72.4810980616391,-22.4633845826303 72.6338995216391,-22.9798249226303 72.7867009816391),(-8.34448338263022 71.1366613216391,-9.04309164263029 70.8038672416391,-8.51452623263035 70.9210051216391,-7.98596082263035 71.038143001639,-7.9285140026303 71.1496999816391,-8.34448338263022 71.1366613216391),(25.2944402373697 71.042224681639,25.5304042173697 70.944858361639,25.5852766773697 70.9222143616391,25.6285601973697 70.930087921639,25.9161348573696 70.982399521639,25.9996195773696 70.997585941639,26.2170800973697 71.0371434616391,25.9998569973697 71.0775851416391,25.9254059373697 71.091446221639,25.6736096973697 71.138324521639,25.2944402373697 71.042224681639),(24.2438878773696 70.951938481639,23.9341651173697 71.019443341639,24.0461072973697 70.908328801639,24.2438878773696 70.951938481639),(22.2634000773698 70.593173821639,22.1638861773697 70.4636114416391,23.0888852973697 70.581104101639,23.4516630573697 70.7836035616389,22.7042322273698 70.7193029716391,21.9568013973697 70.655002381639,22.2634000773698 70.593173821639),(23.7026377773698 70.7459677216391,23.8399954173697 70.5113866816391,24.1238870973697 70.6176336616391,23.7026377773698 70.7459677216391),(23.6530524573698 70.5013921816391,23.4033308973698 70.6216620616391,22.8961096173698 70.448322061639,23.1563863773697 70.274433061639,23.6530524573698 70.5013921816391),(22.9761077373698 70.2458227816391,22.6844416773697 70.3887442216391,22.3705529973697 70.3320807616391,22.9761077373698 70.2458227816391),(-25.3976392826303 70.914432421639,-25.6844453426303 71.0633124016391,-26.4170178926303 70.9688528116391,-27.1495904426303 70.8743932216391,-27.6308879426303 70.6663396816389,-28.1121854426303 70.458286141639,-28.1318749226303 70.4497717816391,-28.0086030026303 70.458644701639,-27.1106436026302 70.5232580416391,-26.2126842026303 70.5878713816391,-25.3147248026303 70.6524847216391,-25.3976392826303 70.914432421639),(-27.2744454626303 70.8746985016391,-27.7369432226304 70.8822057616391,-27.7511110226303 70.7492941216392,-27.2744454626303 70.8746985016391),(19.5359696973697 70.2455481016391,19.9322195373697 70.0524939616391,19.9999990228645 70.0761902694894,20.1197195973698 70.1180456416391,19.9999990228645 70.144194969908,19.5359696973697 70.2455481016391),(20.4266635173696 70.181247601639,20.6094427173697 70.0422247816391,20.8322191773697 70.1966588416391,20.4266635173696 70.181247601639),(18.7344408573697 69.9229085416391,19.1349973773696 69.789447541639,19.6908312573696 69.997218841639,18.8555516973698 70.0136145016392,18.7344408573697 69.9229085416391),(19.0647192573697 69.768878761639,18.6930532773697 69.884433541639,18.7558316973698 69.6848562016391,18.3144941973697 69.7033881016391,18.0452757573698 69.564716101639,18.7383299373697 69.557773501639,19.0647192573697 69.768878761639),(17.8597193373697 69.5840261416391,17.4691648773698 69.5977668016391,17.5899954573697 69.455280061639,17.1966619773698 69.5000035816391,17.4908303973698 69.424304761639,16.9351358373697 69.3945730816391,17.1427755573697 69.249439081639,16.8758306973698 69.2213781616391,17.1694403973697 69.196529161639,16.7674971573697 69.0902746216391,17.0927764173697 69.0036048016392,17.9991637173697 69.1881903016391,17.9068022973698 69.3187444816391,18.0953170173697 69.358531861639,18.0999269973697 69.359508361639,18.0983800773697 69.360957901639,17.8597193373697 69.5840261416391),(15.4680528573697 68.874164461639,16.1480512773698 69.286380661639,15.5644417773698 69.0967978216392,15.4680528573697 68.874164461639),(15.3790255773697 68.847362281639,15.0447207573698 68.996387341639,15.1518040173697 68.814716221639,14.5294428573697 68.8049964016391,14.3736096573696 68.686664401639,14.5011092373698 68.601947581639,15.0091639173698 68.7638890816391,15.1611089373698 68.6974982416391,14.8040256573697 68.6152684816391,15.0702753573697 68.5752751816391,15.3976364973697 68.6801412016391,15.3790255773697 68.847362281639),(15.4490261373696 68.7270772816392,14.9866648173696 68.2475011216391,15.5414552373697 68.5036047616391,15.3215256573698 68.3431891216391,15.5888872173697 68.304996361639,16.2205306173697 68.550067801639,16.5011434173697 68.552463421639,16.5444402573697 68.7641637616391,16.2041655573698 68.855274001639,15.7424984973697 68.529163141639,15.9877758573697 68.7547186216392,15.9087553173698 68.9566991416391,15.6327762573697 68.944164121639,15.4531927773698 68.7595786216391,15.7136088573697 68.698612081639,15.4490261373696 68.7270772816392),(17.1005545773696 68.9188879816391,17.2416639573696 68.7886083016391,17.4361085973698 68.862628801639,17.3243512773698 68.916896641639,17.1005545773696 68.9188879816391),(16.1929083573697 68.4688451416391,16.1211081573696 68.376392281639,16.4645796573697 68.4654120016391,16.3169011773698 68.5024831816392,16.2349959573697 68.523044401639,16.1929083573697 68.4688451416391),(14.6873589273697 68.299854121639,15.1688872773698 68.450549941639,14.5422201573698 68.400836821639,14.2058305773698 68.1491583016389,14.6873589273697 68.299854121639),(14.1354142173697 68.236247881639,13.5681924573697 68.2626303016391,13.5211096773698 68.0394475816392,14.1354142173697 68.236247881639),(-16.5277794626303 66.5080450216391,-16.4173631426303 66.2760351016391,-16.6870870226303 66.160968661639,-16.5947236226303 66.0911139016391,-17.1311121026303 66.210544441639,-17.6091699626302 65.9874915016391,-18.2951420426303 66.1752738016391,-18.0694474226303 65.6433295216391,-18.7877797226303 66.1919364016391,-19.4544457226303 66.0547216816391,-19.4561128826303 65.725696441639,-20.1741705026303 66.1294440016391,-20.4226407026303 66.0844458016391,-20.2630586426303 65.723605921639,-20.4502095026303 65.493053281639,-20.6641702826303 65.6908300816389,-20.9272240826303 65.5888861816391,-21.0922250426303 65.4537466816391,-21.0844468826303 65.1591680416391,-21.3088921226303 65.5969428016391,-21.7750024826303 65.7647130616391,-21.4377793226303 65.688053041639,-21.2851418426303 65.9206198816392,-21.5897263226303 65.942218621639,-21.3994454426303 66.027225241639,-21.6513909026303 66.0188788216391,-22.4216699426303 66.433322701639,-23.1901750826303 66.3559072216392,-22.4341705826303 66.2677801216391,-22.9722260426303 66.221378101639,-22.5000009026303 66.076968961639,-22.4355592826302 65.8388860216391,-22.4997262226303 65.9661138016391,-22.6495846826303 65.826526501639,-22.6777811426303 66.0450018616391,-23.4687528026304 66.199718341639,-23.6661138026303 66.1129110016391,-23.3744477426303 65.9865225616391,-23.8183354826303 66.0144308416391,-23.2161836426303 65.840137381639,-23.8733357426303 65.8687399216391,-23.5316705426303 65.7508276816391,-23.1922234826303 65.7758367016391,-23.5272263426303 65.627780761639,-24.1052121026303 65.805690601639,-23.8059052226303 65.6090276416391,-24.0695866826303 65.630687581639,-23.8074330626303 65.530963801639,-24.3219479426303 65.636806321639,-24.5384053226303 65.500278301639,-23.8794489026304 65.402499961639,-23.0009068826302 65.4981916516391,-22.1223648626304 65.593883341639,-22.2877816226303 65.441379421639,-21.6986131826303 65.4491613616391,-22.5601414226303 65.1683919616392,-21.7591677026303 65.203601761639,-21.8358354626303 65.0302770616392,-22.5770680226303 64.9838140816392,-23.3183005826303 64.937351101639,-24.0595331426303 64.890888121639,-23.8359745826303 64.725971041639,-23.1215991326303 64.7692297216391,-22.4072236826303 64.8124884016391,-22.1665296626303 64.4537466016391,-21.5130585626302 64.644092461639,-21.9788902826303 64.5008275816391,-22.0992382826303 64.312351021639,-21.3627805226303 64.3849905616392,-21.7591677026303 64.3402746016391,-21.8759756426303 64.2329062216392,-21.7020864626303 64.1827733416391,-22.0455597626302 64.0466650816391,-22.7004193826303 64.0819432816391,-22.6862515826302 63.8045805616391,-21.9279879926303 63.879373441639,-21.1697244026303 63.9541663216391,-20.3619470426303 63.7616689216391,-20.5411690826303 63.7071112816391,-20.1969460826303 63.5424993016391,-19.4859742526303 63.4669454716391,-18.7750024226303 63.3913916416391,-17.9308366226303 63.529582861639,-17.8720864226303 63.7306936216392,-17.1803502026303 63.8132627716391,-16.4886139826303 63.895831921639,-15.9377106626303 64.1329839916391,-15.3868073426303 64.3701360616391,-14.9250020426303 64.2641637616391,-14.5412521226303 64.404712441639,-14.4624871826303 64.5423620416391,-14.5847233826303 64.5849950416391,-14.3659458026303 64.674106381639,-14.5122240626303 64.796520061639,-14.0180578226303 64.7236060216391,-13.7697238826302 64.866306061639,-14.0512523426303 64.9322164816391,-13.7004184826303 64.920406141639,-13.9880570426303 65.0638922416391,-13.4994457826303 65.0691565216391,-14.0302800026303 65.193469921639,-13.5701398826304 65.261310481639,-13.7356957826303 65.3173560016391,-13.6095847226303 65.506107241639,-14.2880572826303 65.656245961639,-14.5583352026303 65.4992330416391,-14.3384742026302 65.7845800216391,-14.8483342826303 65.731387861639,-14.6188917026303 65.9944342816391,-15.0708360626303 66.143604061639,-14.7108364226303 66.367221661639,-15.3743067026302 66.1452750016391,-16.0254201626303 66.536105941639,-16.5277794626303 66.5080450216391),(12.5633307573698 66.2177770216391,12.3002767773698 66.010272841639,12.6558313173697 66.1013906416391,12.5633307573698 66.2177770216391),(12.8986788573697 66.0111120016389,12.8037900573697 66.0081441616391,12.5341653573696 65.9997136816391,12.4386091173697 65.864169901639,12.8401307973698 65.9924123416391,12.8986788573697 66.0111120016389),(12.2580538173698 65.5761144616391,12.0630540573697 65.209995181639,12.5027762373697 65.391940981639,12.2580538173698 65.5761144616391),(12.0165406173697 65.0694234616391,12.1297197573697 65.0502813616391,12.3015547773697 65.0995061416392,12.3136788573697 65.1029776216391,12.1716642573698 65.2069432816391,11.9844428373697 65.074855681639,12.0165406173697 65.0694234616391),(8.29444319736981 63.497085481639,8.45527553736977 63.426387601639,9.17485901736969 63.561668221639,8.6147204373698 63.6091650016391,8.29444319736981 63.497085481639),(8.18360999736969 63.3861120616391,8.09513675736977 63.4648588216391,7.77944285736972 63.4081953616391,7.98527627736964 63.308887381639,8.18360999736969 63.3861120616391),(-40.1911095626303 64.4305456816389,-40.5427789826303 64.8441504016391,-40.8613901426303 64.910961001639,-40.5726861626303 64.685512441639,-40.4868058226303 64.4888723416391,-40.1911095626303 64.4305456816389),(-37.7430580826303 65.568607201639,-37.3144464026302 65.6713751416392,-37.4981279426303 65.8020742216392,-37.2700013426303 65.758190041639,-37.8283395626302 65.8663824616389,-37.9881945026303 65.701938421639,-37.7430580826303 65.568607201639),(7.48102337736977 62.9699095816391,7.51027679736975 62.9386099216391,7.61381909736971 62.9706304816391,7.71013745736965 63.0004156216392,7.39916513736969 63.0574988416391,7.48102337736977 62.9699095816391),(-7.06027878263027 62.3136099616392,-6.65750124263028 62.055835561639,-6.59944584263028 62.1955526416391,-7.06027878263027 62.3136099616392),(-6.84112302263029 62.1240080416391,-7.21083438263035 62.2847250016391,-7.23423762263034 62.177078161639,-7.0339570226303 62.112739321639,-6.71777910263032 61.9333304416391,-6.84112302263029 62.1240080416391),(-7.07201046263035 62.1005133616391,-7.43034888263035 62.1433332016391,-7.20166770263021 62.0186117416391,-7.0615972826303 62.0955999016391,-7.05611232263025 62.0986136416391,-7.07201046263035 62.1005133616391),(4.88333231736967 61.891940881639,4.92249869736971 61.773052141639,5.22110951736973 61.8391645216391,4.88333231736967 61.891940881639),(-6.96139002263025 61.620971581639,-6.66027918263027 61.3883322016391,-6.72666822263032 61.5745809016392,-6.96139002263025 61.620971581639),(-0.993889802630214 60.7223584816389,-1.17833436263019 60.6345861616391,-1.10472318263025 60.4855535416391,-0.993889802630214 60.7223584816389),(5.35999877736972 60.5238912016391,5.45110847736967 60.4723662016391,5.52749831736971 60.429164761639,5.56343081736971 60.4389189616391,5.65201529736978 60.4629667816391,5.67944297736968 60.470413021639,5.67934091736978 60.5479696216392,5.67918449736978 60.666854761639,5.67916541736965 60.6812513416391,5.63227325736968 60.6581305216391,5.35999877736972 60.5238912016391),(-1.28666772263032 60.471111061639,-1.29652884263025 60.633399781639,-1.61034822263034 60.4784010616391,-1.32027876263025 60.3563878816391,-1.69215372263032 60.2850682816389,-1.45111212263024 60.1518056416389,-1.29138984263032 60.241390021639,-1.37791764263032 59.9043081616391,-1.26861210263022 59.851108441639,-1.18055646263034 60.2250021016391,-1.03854276263034 60.4427756416391,-1.28666772263032 60.471111061639),(5.36020721736971 59.9883307216391,5.51277647736966 59.893054741639,5.65051085736965 60.0658147816391,5.6580544773698 60.075275221639,5.64397343736962 60.0711629416391,5.36020721736971 59.9883307216391),(5.48416529736974 59.8605535816391,5.28777611736981 59.9715270016391,5.40055367736968 59.7513922216391,5.48416529736974 59.8605535816391),(5.34305393736977 59.7018049216391,5.11888787736981 59.8725012616391,5.14888775736974 59.581111681639,5.18708177736979 59.735210221639,5.34305393736977 59.7018049216391),(5.19444287736976 59.4130590016391,5.16055391736975 59.142780181639,5.29333217736981 59.240695861639,5.19444287736976 59.4130590016391),(-3.35083428263025 59.1081922816391,-3.31333434263033 58.9500005416389,-2.82444570263031 58.878887041639,-3.07500120263027 59.1204184216391,-3.35083428263025 59.1081922816391),(-3.02263992263031 58.646529901639,-3.80048733263025 58.6104867916391,-4.57833474263035 58.574443681639,-4.7614597226303 58.446040861639,-4.70166768263025 58.5586126816391,-5.00152914263035 58.6241643616391,-5.17472352263028 58.3500020416391,-5.07166758263035 58.2647207416391,-5.38944570263025 58.260276541639,-5.28145974263035 58.0772206816391,-5.45284836263026 58.074165181639,-5.10277932263026 57.8508337816391,-5.81708466263027 57.8194425016391,-5.81083434263022 57.6395834416391,-5.51014038263035 57.5331953416391,-5.83972362263027 57.5727804016392,-5.81805702263026 57.3624990016391,-5.45125104263028 57.4180525816391,-5.5988454626303 57.330489961639,-5.40514026263029 57.230972101639,-5.64750810263028 57.1616094616391,-5.40305712263027 57.1106223016391,-5.72472378263027 57.113056081639,-5.52402918263031 56.9973600016391,-5.91958476263031 56.8870848016391,-5.66291808263023 56.869235821639,-6.22777932263032 56.6972235016392,-5.55239664263033 56.6888540416391,-6.00972354263022 56.6334723616391,-5.6769456626303 56.4938924416389,-5.12083476263033 56.814723721639,-5.39866818263031 56.4786680416391,-5.07013992263027 56.5606954816391,-5.57139006263029 56.3283307816391,-5.68014021263028 55.8185384716389,-5.78889036263028 55.308746161639,-5.52305700263035 55.352222281639,-5.42916810263026 56.006942581639,-5.03222364263028 56.2325018416391,-5.30527914263033 55.852222321639,-4.98666798263034 55.8649290616392,-4.82860656263032 56.1131667016389,-4.85461332263035 55.9864881016391,-4.48541820263032 55.923610501639,-4.87826532263032 55.9365271216391,-4.91638986263033 55.700832241639,-4.61361258263035 55.490691961639,-5.17833522263025 54.988887601639,-4.86416808263025 54.627223861639,-4.96076526263031 54.7968747616391,-4.85222328263033 54.8686101616391,-4.38722316263031 54.6755560216391,-4.39805700263029 54.9063909016391,-3.96500112263031 54.7652777416391,-3.57111216263028 54.9908330416391,-3.02708448263028 54.9729154816391,-3.38111208263033 54.8844411616391,-3.63264012263026 54.512218261639,-3.21472350263034 54.0955542616391,-2.81361240263031 54.222774301639,-3.05263998263033 53.9076384016391,-2.89979262263032 53.7249983416391,-3.1056260426303 53.5599325816392,-2.95388982263027 53.3602789216391,-2.70493164263033 53.3506239016391,-3.45066084263025 53.2783678516391,-4.19639004263033 53.2061118016391,-4.75848810263032 52.7872656616392,-4.13361252263034 52.9144475416391,-4.13083458263035 52.334720461639,-4.68500139263026 52.1255529916391,-5.23916820263029 51.916385521639,-5.10257052263032 51.7789571416391,-5.24694636263028 51.7302739816391,-4.88444616263033 51.7466696416391,-5.05139058263033 51.6202810216391,-4.94139006263018 51.5941657216391,-4.57444566263028 51.734165041639,-4.07472318263033 51.6772191616391,-4.24277874263019 51.5408362216391,-3.83791806263029 51.619998781639,-3.34611216263026 51.3786123016391,-2.86305660263034 51.570174961639,-2.38000104263026 51.7617376216391,-3.02833458263033 51.206111821639,-3.62819574263032 51.196945051639,-4.22805690263031 51.1877782816391,-4.77166842263032 50.601947581639,-5.24423763263034 50.3313883216391,-5.71680684263024 50.060829061639,-5.47055712263026 50.1249960016391,-5.1930570626303 49.955280121639,-5.04805662263025 50.1711080416391,-4.38000102263025 50.363887681639,-3.71666754263024 50.2066686616391,-3.43722330263032 50.6049993016391,-2.92750110263032 50.7312505816391,-2.42472366263033 50.560001281639,-1.75958451263032 50.702918851639,-1.0944453626303 50.8458364216391,-0.42027867263031 50.7922246816392,0.253888017369796 50.738612941639,0.758193477369751 50.9201391616391,1.26249893736976 51.101665381639,1.40763779736974 51.183891181639,1.38555467736969 51.3877752016391,0.388934457369793 51.4482229816391,0.952498977369793 51.6092337016392,0.935693457369801 51.7365300616392,0.701110077369627 51.718475161639,1.26610991736973 51.8391684016391,1.16347121736978 52.023612781639,1.33124885736972 51.928749001639,1.58736005736974 52.083888841639,1.74944339736961 52.455829501639,1.67527673736966 52.7480582416391,0.884721237369796 52.966384741639,0.547776717369707 52.966182601639,0.378887937369676 52.7813910016391,0.00210887736974286 52.879859821639,0.339165717369688 53.0923613416391,0.235554657369697 53.3994406216392,-0.139628882630269 53.618560561639,0.142082457369689 53.5805548216391,-0.212223062630279 54.0083349016391,-0.0793063826302856 54.1134032416391,-0.688403702630332 54.438508891639,-1.29750102263032 54.763614541639,-1.63597320263032 55.5819433216391,-2.13354261263024 55.818332461639,-2.63111202263034 56.0547216016391,-3.05305668263035 55.943607241639,-3.72375108263029 56.0273589016391,-3.15361224263027 56.147949091639,-2.58347340263035 56.2685392816391,-2.88444564263032 56.451389221639,-3.27805650263034 56.3575017616391,-2.53125108263024 56.576110681639,-2.15229276263026 57.0170839516391,-1.77333444263034 57.458057221639,-2.07555678263035 57.6994437016389,-2.86088088263021 57.657221341639,-3.64620498263023 57.6149989816391,-4.43152908263026 57.5727766216392,-3.77402904263025 57.8548582216391,-4.0072960826303 57.8724325216391,-3.33750096263035 58.2769431016391,-3.10972356263031 58.381664041639,-3.02263992263031 58.646529901639),(10.6459522173697 57.7362708016391,9.95770547736978 57.5862501616391,9.46624769736965 57.1788900016391,9.01722059736968 57.1536138616391,8.61847019736975 57.1215285016391,8.26013663736975 56.827777681639,8.24416451736979 56.704307401639,8.54590031736969 56.5851744016391,8.57906063736967 56.6876754016391,8.41579631736979 56.6781309016391,8.67659471736967 56.9481237016391,9.11554811736979 57.0527762416391,10.0066633173697 57.091480021639,10.3366146573698 56.9916685816391,10.5302753973697 57.2225682616391,10.4318036973698 57.585693241639,10.6459522173697 57.7362708016391),(8.54610929736977 56.793330901639,8.65527641736971 56.6741674816391,8.91083051736964 56.9483298016392,8.54610929736977 56.793330901639),(-1.56958452263033 50.659027021639,-1.28250090263035 50.578891561639,-1.11597318263026 50.736389041639,-1.56958452263033 50.659027021639),(-9.2570852726303 51.509303911639,-8.69666850263034 51.573055141639,-8.31069648263028 51.741805861639,-8.42193972263025 51.881549761639,-8.0866688426302 51.810832801639,-7.57888974263032 52.1002767616391,-7.00180722263034 52.1384733016391,-6.99729624263021 52.2782744416391,-6.35944608263035 52.179027481639,-6.4981956626302 52.3540305016391,-6.14777940263034 52.7383306816391,-6.01305678263024 52.9450032616389,-6.22458504263032 53.3527754416389,-6.08111280263032 53.5636099816391,-6.38014032263025 53.9133337816391,-6.1062512426303 53.993369881639,-6.2669763026303 54.099834301639,-6.04388988263035 54.031390921639,-5.56222338263027 54.2830541416391,-5.69812626263033 54.5726354416391,-5.51772342263028 54.369109981639,-5.43583440263021 54.458469181639,-5.57430696263035 54.677223001639,-5.90243184263031 54.6022909816391,-5.69041812263024 54.809165701639,-6.0637516226303 55.1915281816391,-6.65812989263035 55.1310633016391,-7.25250816263034 55.070598421639,-6.93514062263032 55.2384718216391,-7.37666784263033 55.3799970016392,-7.54750152263026 55.2169454416391,-7.44652926263033 55.055694421639,-7.68229290263029 54.9509009416391,-7.61666778263029 55.0538901016391,-7.63250148263032 55.265556241639,-7.79173038263028 55.2120206416391,-7.69972320263035 55.0951383616391,-7.98145380263023 55.216461061639,-8.45722386263029 54.9968031016391,-8.35389036263033 54.839442961639,-8.79833502263032 54.6957624616391,-8.1883344626302 54.6336095416391,-8.66166786263026 54.3552741016391,-8.47486296263035 54.273471661639,-9.29354328263035 54.2517354916391,-10.1122236026303 54.229999321639,-10.1240290826303 54.0965917816391,-10.0134037826303 54.2181929416391,-9.78958512263021 53.9454153616391,-9.94069674263026 53.8679160016391,-9.5613908426303 53.8597220416392,-9.90639018263025 53.758609561639,-9.69895926263033 53.5979154616391,-10.1861123426303 53.5502813416391,-10.1765298626303 53.4097211416391,-9.55916784263034 53.381252161639,-9.60805800263032 53.2322195416391,-8.94111336263027 53.2641637816391,-8.93791854263035 53.141731021639,-9.28083510263028 53.1397207816391,-9.48583494263031 52.800555961639,-9.93236256263035 52.5552060616391,-9.37534905263025 52.6103799316391,-8.81833554263032 52.6655538016391,-9.65361312263028 52.560832861639,-9.83972448263032 52.3797186616391,-9.74486340263034 52.2472228216391,-10.4633359226303 52.180209901639,-9.76041792263025 52.149581821639,-10.2636136826303 51.9880559416391,-10.3385934026303 51.7829245216391,-9.58097448263019 51.8723562616392,-10.1300020226302 51.6122244016392,-9.4516686026303 51.7247199016389,-9.81750204263026 51.4455526816391,-9.2570852726303 51.509303911639),(-4.35347352263032 54.4099996816392,-4.77777960263033 54.0555532216391,-4.39444530263032 54.1863898216391,-4.35347352263032 54.4099996816392),(-4.56000138263031 53.396663581639,-4.3513898426302 53.1244467016391,-4.04652924263028 53.3015287216391,-4.56000138263031 53.396663581639),(-5.17194558263029 55.429446961639,-5.15472408263029 55.6733358016391,-5.37958422263026 55.6701391816391,-5.17194558263029 55.429446961639),(-6.02611254263034 55.679305861639,-6.12569610263032 55.931251321639,-6.49527930263029 55.733608081639,-6.2622232226303 55.777221541639,-6.27444540263028 55.572780421639,-6.02611254263034 55.679305861639),(-6.07888980263025 55.9055518216391,-5.97194568263033 55.7883336616391,-5.69444562263025 56.1472203616391,-6.07888980263025 55.9055518216391),(-5.66083476263035 56.399307121639,-6.11666766263031 56.650279861639,-6.3377789426302 56.5466650216391,-6.00340410263031 56.492568721639,-6.20166816263035 56.3823622816391,-6.01937622263032 56.3759686816391,-6.32305710263032 56.265415021639,-5.66083476263035 56.399307121639),(-6.01430688263029 57.023471701639,-5.64764022263027 57.2583312016391,-6.12722394263032 57.306110221639,-6.30416772263025 57.686107501639,-6.43000122263019 57.5050008616391,-6.63750162263026 57.605556241639,-6.72444630263031 57.403613881639,-6.31208466263028 57.299789341639,-6.4801402226303 57.302501581639,-6.31638990263034 57.158469901639,-6.03055656263033 57.177501481639,-6.01430688263029 57.023471701639),(-7.23027888263025 57.0947225416391,-7.22375154263026 57.339580321639,-7.42361256263028 57.383750701639,-7.3840293026303 57.1116636016391,-7.23027888263025 57.0947225416391),(-7.23361302263024 57.503612341639,-7.06861260263035 57.636596521639,-7.19291826263024 57.687084001639,-7.54083486263031 57.590137261639,-7.23361302263024 57.503612341639),(-6.66139032263019 57.8826406816391,-6.68680704263031 58.0562476216391,-6.66430704263028 57.925556101639,-6.47333478263031 57.942222481639,-6.39333486263033 58.101669181639,-6.61972374263033 58.0801390216391,-6.16833486263031 58.209583141639,-6.32702862263032 58.2354009016391,-6.16597362263034 58.4229200416391,-6.26333472263034 58.512637981639,-6.7977790226303 58.3022192416392,-6.86097378263035 58.1059720816391,-7.03625148263033 58.2356946616391,-7.02194598263029 57.951946081639,-6.83222382263026 57.902225401639,-7.12423746263031 57.835624501639,-6.96493188263029 57.7263182416391,-6.66139032263019 57.8826406816391),(-2.66853258263033 49.4326666816391,-2.52847998263028 49.426540201639,-2.53664964263024 49.5079459216391,-2.66853258263033 49.4326666816391),(-2.20640508263032 49.1812819216392,-2.02158234263025 49.1772344416391,-2.03735484263027 49.2439649416389,-2.2343103026303 49.258929961639,-2.20640508263032 49.1812819216392),(-27.3850030826303 38.7633322816391,-27.1386154826304 38.629443961639,-27.0658350026303 38.764163881639,-27.3850030826303 38.7633322816391),(-28.5494470226303 38.527225381639,-28.2466706426303 38.371944241639,-28.0701417626303 38.444164201639,-28.5494470226303 38.527225381639),(-25.8541687826302 37.8838918816391,-25.4561128226303 37.7055547216391,-25.1552818826302 37.7488897216391,-25.1652803426303 37.8588904216391,-25.8541687826302 37.8838918816391),(5.13666539736973 52.3815267616391,5.42222081736971 52.2641638816389,5.6119433373698 52.3697241616391,5.85042425736966 52.524253621639,5.86069919736965 52.5309103816389,5.80349789736973 52.5494077216391,5.64361001736975 52.601108401639,5.13666539736973 52.3815267616391),(5.48354015736967 52.5727765816391,5.06484647736968 52.6344679816391,5.04903851736966 52.636798621639,5.05048859736976 52.6302297016391,5.09333237736976 52.4361074416392,5.48354015736967 52.5727765816391),(11.6827946973698 58.2808759216391,11.6731929573697 58.2855528616391,11.6624928573697 58.2742765816391,11.4649973973697 58.0661123416391,11.7802171773698 58.2036550216391,11.8124285373697 58.2177083416391,11.7845182773697 58.231307881639,11.6827946973698 58.2808759216391),(49.0090170573697 69.5097158416391,48.4138785573698 69.347766781639,48.2321005173698 69.084094861639,48.2188787973697 68.8902624016391,48.7854071973698 68.723041321639,49.5574217973696 68.9237668816391,50.3294363973697 69.1244924416391,49.6692267273697 69.3171041416391,49.0090170573697 69.5097158416391),(35.5213690173698 65.1458318416391,35.7491599173698 64.9650000616391,35.8121863773698 65.1805608616392,35.5213690173698 65.1458318416391),(40.2340078773697 64.591052761639,40.4713736973697 64.566089461639,40.3485479973697 64.7583197416391,39.9762374373697 64.679424121639,40.2340078773697 64.591052761639)))', 'NEAFC', 'North-East Atlantic Fisheries Commission', 'No', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.06555935 82.2754020999001,-42.30083466 82.2149887899001,-43.15041729 82.2375987699,-43.99999992 82.2602087499001,-43.99999992 82.3744297299,-43.8302840399999 82.3358154099,-43.06555935 82.2754020999001)),((-41.12055198 82.7797089099001,-40.5274962599999 82.7310944199,-39.93444054 82.6824799299,-40.01194764 82.5599823699,-39.7533378599999 82.4015197299,-39.8525009399999 82.3616484699,-40.20333102 82.5602568699,-40.8768043499999 82.6484527299001,-41.55027768 82.7366485899,-41.8991660999999 82.7302627299001,-41.60889432 82.6416625899,-41.68277748 82.4780425899001,-42.08953086 82.7578583499,-43.0447653899999 82.7616070299001,-43.99999992 82.7653557099001,-43.99999992 82.8163126299001,-43.04018394 82.8041113899,-42.0803679599999 82.7919101499,-41.12055198 82.7797089099001)),((-43.99999992 82.9791762699001,-43.3866654 82.9144286499001,-43.99999992 82.9547932899,-43.99999992 82.9791762699001)),((29.9996063400001 83.9331028899001,29.99954072 82.9386199399001,29.9994751000001 81.9441369899001,29.99940948 80.9496540399001,29.9993438600001 79.9551710899,29.9992782400001 78.9606881399,29.99921262 77.9662051899,29.9991470000001 76.9717222399001,29.99908138 75.9772392899001,29.9990157600001 74.9827563399001,29.99895014 73.9882733899001,29.99888452 72.9937904399001,29.9988188999999 71.9993074899,28.999762425 71.9993074899,28.00070595 71.9993074899,27.001649475 71.9993074899,26.002593 71.9993074899,25.9998579000001 71.0775814899001,25.92540684 71.0914425699,25.6736106000001 71.1383208699,25.2944411400001 71.0422210299,25.5304051200001 70.9448547099,25.58527758 70.9222107099001,25.6285611 70.9300842699,25.9161357599999 70.9823958699,25.9996204799999 70.9975822899,25.99844436 70.6012201299001,25.87736196 70.5263388699,25.15069206 70.0769424099,24.94305234 70.0917969099,25.2676353600001 70.3959580299,25.0898590799999 70.5065536299001,25.9033318200001 70.8887406099,25.6352061600001 70.8924941499,25.36610976 70.9695739299,25.2652741200001 70.8126297699001,24.5884705200001 70.9609603899,24.6262474800001 70.7761077699,24.25638582 70.7708969499001,24.7137471 70.6156921299001,24.3630523799999 70.6885986099001,24.1552773000001 70.5680542299,24.3533993400001 70.4578400499,23.64583212 70.4077759299001,23.17874724 70.0911026499001,23.53471938 70.0192947099001,23.3176364999999 69.9423522699001,22.8730545 70.1024932299,22.2966651599999 70.0412368899001,22.95749862 70.2041626299001,22.1287489200001 70.2255477999001,21.2999992200001 70.2469329699001,21.7254142800001 70.0565185299001,22.09333032 70.1082534099,21.8084011199999 70.0402679499001,22.0995808200001 69.7437438699001,21.3133316399999 70.0209656499001,21.0483322200001 69.7890167499,20.8945809000001 69.8517989499,21.0594443400001 69.9461059899,20.5658301600001 69.7613829699001,20.48492808 69.6313095699,20.84902578 69.4922867499,20.46638682 69.5731888299,19.9999999254948 69.2884920803045,19.9999999254948 69.291387867339,20.28194244 69.4788817899,20.4206238 69.8755416699,20.2884712200001 69.9729079899,19.9999999254948 69.8109620045059,19.82805246 69.7144317699,19.683054 69.4319381499001,19.5335387999999 69.3966522099001,19.77270696 69.8048477499,18.94492728 69.6125640099001,19.22666544 69.5644379499,19.00786788 69.4636764699001,18.8502064200001 69.5503387299,18.4572887400001 69.4495696899,19.00694268 69.2870788298999,18.53944398 69.2991638499,18.2569428 69.4863739299,18.1316737800001 69.3392638899,17.9963874000001 69.2802733899,18.14791482 69.1501312299001,17.48777778 68.9899902699,17.4318733800001 68.8983916899001,17.8443736200001 68.8724976099001,17.4713859 68.8277740899001,17.7924996000001 68.7569428299001,17.23909572 68.7534637899,17.6690597400001 68.6575623099001,16.9729137 68.7015228099001,16.46701056 68.5117263099,17.0076017700001 68.5187072499,17.5481929800001 68.5256881899,17.37374688 68.4090118299001,17.57152368 68.3599166499001,17.20249938 68.3695754499001,17.35805322 68.1763764099001,17.13263706 68.3674926699001,16.22277648 68.3474883699,16.800066 68.1303329499,16.1376381000001 68.3060989899,16.4838866399999 68.1812439699001,16.3424988 68.0716552899001,16.7152748400001 68.0666656899,16.20749664 67.9999924299,16.49583054 67.7941590099001,16.2120113999999 67.9006882299,16.0137482400001 68.2434616899001,15.28833204 68.0305481499,15.84777636 68.0386047699,15.9611110199999 68.0130462099,15.8711108400001 67.9233246699,15.31395765 67.8629761599001,14.7568044600001 67.8026276499,15.0336093600001 67.7761077099,14.8127765400001 67.6388854299,15.3720817200001 67.7924194899,15.78111084 67.7277679899,15.3068742 67.7167282299,15.1824294 67.6195755699001,15.2788887000001 67.5183257499,15.8874634800001 67.5564499299001,15.5313873 67.4649962498999,15.6444435 67.2680512299,15.43527702 67.4737395699,14.93427762 67.4731063299,15.0358314600001 67.5705414099,14.36208246 67.2405472299,15.1538876999999 67.3055495499001,15.7355546400001 67.1757506499,15.38492958 67.1940917499,15.4955539800001 67.0652770899001,14.5808325 67.1952743498999,14.7426375599999 67.1178360099,14.26888746 67.0766525499,14.5551024000001 67.0224532899,14.05324512 66.9754600599,13.55138784 66.9284668299001,13.99083336 66.7852707099001,13.2290267400001 66.7102737099,13.53583152 66.6347197899001,13.19152734 66.6611099499,13.2337254600001 66.5467375899,12.97569276 66.5172805899,13.155138 66.4333267899001,13.02083208 66.3244399299001,13.52742966 66.3051300699,13.02840144 66.1889496099001,13.5833320800001 66.2545929099001,14.13826272 66.3202362099001,13.5497206800001 66.1005553899,13.55965236 66.2340163899001,12.6737490599999 66.0644378499,12.9538087199999 66.0400237299,13.1694431400001 65.8498458098999,12.6708327000001 65.9191589499,12.55340106 65.7479094699,12.7838181600001 65.6347121499001,12.3549289200001 65.6407547499,12.6345119400001 65.4160308699001,12.2490262800001 65.2317961899001,12.6486109800001 65.2644348699,12.4222221000001 65.2305450099001,12.4797897 65.1343002699,12.9392346600001 65.3208846699001,12.6247215600001 65.1336060099001,12.1494360600001 65.0395507899,11.9671421400001 65.0642089899001,11.2531919400001 64.8555450699001,11.6959705200001 64.8988800699001,11.2727775600001 64.8405456699,11.30166522 64.7351302899,12.21708204 64.9406814699,11.41777602 64.6977691299001,11.72805408 64.5797119899,11.2216663800001 64.3161010899001,11.27333268 64.4516601699,10.9656934199999 64.6009674699001,10.66263768 64.4431152099,10.84944348 64.3705519899,10.4952907800001 64.4238129099001,10.65208248 64.3555450299,10.02027708 64.0663757499,10.1927775600001 63.9329109698999,9.54527670000004 63.7661094699001,9.57027618000012 63.6613845699001,10.09458162 63.7596472898999,9.78916554000006 63.6624984099,10.0927773000001 63.5022201099001,10.9419440400001 63.7380523299,11.0222215200001 63.8757591699,10.5799292999999 63.8047866099,11.35763748 64.1084671299001,11.48791608 64.0055465499001,11.1045132 63.8493004299,11.4599295 63.7982598099,10.7205543 63.6049957899,10.9131240599999 63.5999259099001,10.7616654 63.5057601699001,10.9118041199999 63.4580497299001,10.0873603800001 63.4302712298999,10.2631932 63.2648200899001,9.71749871999998 63.6302719299001,9.15281099999999 63.4857596499001,9.41805449999998 63.3747176499001,8.67222215999999 63.4138870899,8.7585400800001 63.3429145299,8.47972205999997 63.2918013699,8.94013794000011 63.2079123699,8.1609706800001 63.1180497099,8.65683935999994 62.9716949499,8.41756824000009 62.9513130099,8.53176977999999 62.8472175699,8.09805492000004 63.1037483499001,7.88090238000007 63.0025635099,7.93866960000014 62.9723854299001,7.45884648000009 62.9089240899,7.03638846000001 62.9674987899,6.95458278000001 62.7240257499001,7.54628355000006 62.7088337499001,8.13798431999999 62.6936417499001,7.52277762000011 62.6666640699001,7.47444438000014 62.5661086899,7.77263885999997 62.5748557899001,7.53916644000009 62.4991607499001,7.08999912000002 62.6477737899001,6.25298544000003 62.5777701699001,6.64683245999998 62.4957580299001,6.38388828000001 62.4194412699001,6.78652721999998 62.4772185699001,7.36249932000004 62.2761078099001,7.02777725999999 62.2665253299,7.01777736000003 62.0849991099001,6.8779854 62.4125632899001,6.70333247999997 62.4448585299,6.39513828000003 62.3772201099001,6.53326325999996 62.1104125899001,6.32041650000014 62.3676338499,5.94916577999999 62.2540245099001,6.36041646000001 62.0608978299001,5.45555502000008 62.1841659699001,5.46888833999998 62.0068015299,5.08013820000008 62.1766624899,5.39909639999996 62.0188140099001,5.15458296000014 61.8924979299,5.36169240000009 61.8893508099,4.98291588000006 61.7399940098999,4.97194433999999 61.6321488098999,5.33867454 61.5924796899001,5.18833260000014 61.4988861698999,5.79624930000006 61.4479827098999,4.96805526000009 61.4208297099,5.62708277999997 61.3613128899,4.95249929999994 61.2561073899001,5.24305493999998 61.1823577899,5.11583328000012 61.1416626699001,5.72982480000013 61.1283455499,6.34381631999997 61.1150284299,6.42847212000009 61.1131935099,6.4355202000001 61.1201782298999,6.71263794000004 61.3947867699001,6.57902772000006 61.2116661099001,6.96124944000002 61.1098555899001,7.35388848000008 61.1899948299001,7.27944372000002 61.3255539099,7.56246474000005 61.4703406899001,7.30416636000007 61.2912482499,7.4286108 61.1813888499001,6.99805493999997 61.0878410499001,7.11388871999992 60.8602753299,6.81819389999998 61.1416626699001,6.37930296000002 61.0609207899001,5.69579697 61.0505962599,5.01229097999999 61.0402717299,5.07013848000008 60.8297196099,5.53208255999999 60.8711089899001,5.23749923999998 60.7706221899,5.42805534000007 60.6272201499,4.93111044 60.8005486299,5.26782042000002 60.5470198899,5.45678658000003 60.6051634899001,5.66028827999992 60.7110672099,5.71999932000006 60.6744384699,5.70597264000014 60.4577292699001,5.63722182000009 60.4169425298999,5.51285316000002 60.4161987699001,5.28555491999992 60.5216598699001,5.1449299200001 60.3610381299,5.41111086000001 60.1297149099001,5.72808942000006 60.3837433299,5.54874948000003 60.1490897499,5.64168258000007 60.1453552899,5.74722198000001 59.9866638699001,6.22131876000003 60.4073562699001,7.10201304000003 60.4961052699001,6.74166582000004 60.4369430498999,6.52194360000004 60.0834655299001,6.63493013999999 60.4061050898999,6.20472150000006 60.2955550299,5.69833272000005 59.8327712499001,6.30364517999999 59.8444748498999,5.5684713600001 59.6756209899,5.45973498000006 59.5192184499001,5.48117964000005 59.7279129698999,5.17888835999997 59.5068016899,5.51652714000011 59.2755508299001,5.85249948000001 59.3441619699001,5.66765873999992 59.4090652899001,5.80777740000002 59.4691620699,6.14555496000008 59.4793014699001,5.88347154000007 59.4363860499001,5.94017316000003 59.3532256899001,6.46888823999996 59.5552749699,5.99652720000006 59.3329125098999,6.45979122000011 59.3204802699,5.86986065999992 59.0655516699001,6.03638838000001 58.9045067499,6.1304121 58.9286269299001,6.1686106200001 58.8322219899001,5.55861042000009 59.0302734699001,5.46038964000007 58.7500572099001,6.01194384000001 58.3797149498999,6.75999936000011 58.2440223099,6.55888842000013 58.0974960099,7.00791642000002 57.9879150699001,7.61074587000002 58.0541286999,8.21357532000002 58.1203423299001,8.95331475 58.5516987399001,9.69305417999999 58.9830551498999,9.5515956000001 59.1140213499,9.87749855999999 58.9549942299001,10.2311096400001 59.0386047699,10.5156936000001 59.3062438899,10.2309017400001 59.7290916099001,10.5580539000001 59.5430526099,10.5324984 59.8759689099001,10.74117942 59.8903426299001,10.5595826399999 59.7247887099001,10.7974987200001 59.1863860299001,11.3574466800001 59.1076545699001,11.42919162 58.9876404699001,11.3199987600001 59.1002731299001,11.2199450400001 59.0534743899,11.11333266 59.0036086299,11.2013874 58.3994370099,11.5286103 58.2307586499,11.7277365600001 58.3283996499,11.7980537400001 58.3183288299,11.87869734 58.2021674499001,11.7018738 57.6999244299001,11.8877772600001 57.6938857899001,11.90277666 57.4243050099001,12.0949993800001 57.4269409299,12.3488884800001 56.9168052699001,12.88020708 56.6429824299001,12.9011097600001 56.4572220699,12.6243048600001 56.4183310899,12.79923444 56.2258986699001,12.46006872 56.2966613499,12.4673864400001 56.2891627299,12.47650128 56.2798225299001,12.4576097400001 56.2931585499001,12.2965781400001 56.1272471499,12.29055408 56.1288833499,11.84708214 55.9555550499,12.0409707599999 55.9216651899001,12.0529051200001 55.7511101499001,11.91416454 55.9297180299001,11.79444024 55.6616593299,11.67055506 55.8141632499001,11.7683325000001 55.9634703698999,11.27333268 55.9916610699001,11.3179469400001 55.9739226099001,11.28456378 55.9801743699001,10.7209607400001 56.1533597499001,10.72214442 56.1573771699,10.74499902 56.1638870499,10.96194366 56.4422187099001,10.30866624 56.5781593899,10.18777662 56.4686050899,10.3430547 56.6926345299,9.86638823999994 56.6502762099,10.30527684 56.7480545499001,10.31189058 56.9813041299001,10.25863938 56.9955673299,9.97427376000007 57.0717316299001,9.7221326400001 57.0224152299,9.17819981999992 56.9160309099,9.31826213999994 56.5254096699001,9.06291575999995 56.5657577499001,9.07278354000005 56.8076133099001,8.68083192000006 56.6178436299001,8.74020672000006 56.4901312899001,8.16069419999997 56.6455497699001,8.10833166000003 56.0177765499,8.26291566000003 56.0788842099,8.39569284000004 55.8947181099,8.19138726000006 55.8106917699001,8.12770740000002 55.9838141499001,8.09291556000011 55.5562057899,8.61819353999999 55.4311065099001,8.68902678000006 55.1400641499,8.45763786000003 55.1272200699001,8.67610926000009 55.1141662899,8.66454498000002 54.9130935099,8.42042160000011 54.9196433499,8.40805433999998 55.0565261499,8.28055386 54.7749939099,8.54561033999994 54.8706054099001,9.01124856000001 54.5034675099001,8.6004847800001 54.3263817099001,8.88360984000008 54.2941665699,8.82736020000004 54.1516609299001,9.01722150000001 54.0849990099001,8.88305471999996 53.9611053699001,9.27600570000004 53.8818893499001,9.82906056000002 53.5416985299,9.28340154000006 53.8555488699001,9.09604457999995 53.8666762899001,8.65902618000007 53.8926353499,8.4840966000001 53.6863173698999,8.49206538000004 53.5558776698999,8.33222196000003 53.6152764099,8.28604026000005 53.4208945899001,8.09777645999992 53.4444427299001,8.01430506000014 53.7083320899,7.29583272000013 53.6852722899,7.0149997800001 53.4098587899,7.33708278000006 53.3230514499,7.20836442000001 53.2428054699001,6.74194427999998 53.4658279898999,5.98166658000008 53.3988876099,5.09444387999997 52.9591636299,4.7388186 52.9566612699001,4.58201358000008 52.4770813299001,5.07805542000006 52.4161072299001,5.02972182000002 52.6240921899001,5.04958859999994 52.6415748699001,5.30319348000012 52.7048569299001,5.10027695999992 52.9480515099,5.36986062000005 53.0704117299,5.37079806000014 52.8801994299001,5.71835232000001 52.8380203899,5.60055492000009 52.6581917499001,5.8535737200001 52.6059494499001,5.87805462000006 52.5094375899001,5.42249964000013 52.2490197099001,4.57437132000013 52.4544715299,3.8679858000001 51.8121490898999,4.20943500000004 51.6740912499001,3.99784662000002 51.5901336699,4.28361084000005 51.4480513899,3.83499972000004 51.6066664899001,3.44423574000007 51.5293692699001,4.25236805999998 51.3751449099,4.32770255999992 51.2901229899,4.23889830000013 51.3504256899,3.37086576000013 51.3738555699001,2.54166642000007 51.0911103099,1.62499968000003 50.8777770099001,1.46111112 50.1241607499,0.823541670000111 49.9140930099001,0.185972219999996 49.7040252699001,0.0758332799999266 49.5225678099,0.424722240000108 49.4516602299,-0.228333420000013 49.2836075499001,-1.10958353999996 49.3694382099,-1.26416681999996 49.6841658699,-1.94208354 49.7215920099001,-1.60972235999998 49.2149964099,-1.56256955999999 48.7489548099,-1.36888901999998 48.6436080099,-1.98805571999986 48.6869430098999,-1.97611110000003 48.5130500499001,-2.30722235999997 48.6761093499001,-2.68527798000002 48.5016632499,-3.22611137999996 48.8695792899001,-3.53666681999999 48.8258284898999,-3.58243055999992 48.6777725499001,-4.35416705999995 48.6741637299,-4.77666719999996 48.5111046099001,-4.76062541999994 48.3349953099,-4.56535007999992 48.3227576499,-4.54659749999996 48.1744385499,-4.28291694000001 48.1165237299,-4.72223808000001 48.0391770099,-4.36736159999992 47.8087424499001,-3.98222262000002 47.8897170699001,-3.2169447 47.6505508899,-3.13263918000001 47.4766617099001,-3.12506963999999 47.5954093299001,-2.70027809999999 47.6370773499,-2.83187537999999 47.4972839499001,-2.36708351999999 47.5015258299,-2.53965275999997 47.2980538299001,-2.14007256000002 47.2536697899,-2.17083366000003 47.1266632299,-1.98587177999997 47.0369301699001,-2.12541695999994 46.8309707499001,-1.78638912000002 46.4883270699,-1.11463451999992 46.3165816899001,-1.07097227999998 45.9039496899,-1.23885827999999 45.7062148299,-0.781527960000005 45.4665221499,-0.539930519999984 44.8956222699001,-1.08944459999998 45.5586051099,-1.24583345999997 44.6753425899,-1.04062518000001 44.6749267899,-1.20861125999994 44.6258316099,-1.32625007999997 44.1331901499001,-1.44388889999999 43.6405486899001,-1.78087661999996 43.3599243699001,-2.46573467999997 43.3567428699001,-3.15059273999992 43.3535613699001,-3.58555608 43.5102767499001,-4.5145521 43.3963470099001,-5.18435955000001 43.5221976999001,-5.85416700000002 43.6480483898999,-6.44949296999994 43.5692253099,-7.04481894000003 43.4904022299,-7.89805601999996 43.7641600899,-8.32972337999996 43.4038848699001,-8.95027931999994 43.2936096699,-9.25916669999998 43.0472182899,-9.10583495999998 42.7524947499001,-8.91583344000003 42.7890243099001,-9.02937509999998 42.5241622299001,-8.72049707999992 42.6984900699,-8.9061127199999 42.4751358099001,-8.65611269999994 42.4277725899001,-8.8648614 42.2496490899001,-8.57986253999997 42.3490218699001,-8.89750098000002 42.1105537299,-8.87514012000003 41.8795089699001,-8.74500840000002 41.9524993299,-8.88083460000001 41.7516632499001,-8.77048686000001 41.2213859499,-8.66013912 40.6911086499,-8.87284754999996 40.1530532799,-9.08555597999992 39.6149979099001,-9.35958384000003 39.3566628099001,-9.47604275999998 38.7052726899,-9.11847311999992 38.7172203699001,-8.9943065999999 38.9406203499001,-8.91974645999994 38.7658920099001,-9.27423665999993 38.6687431299001,-9.18388943999992 38.4197158299,-8.76889044000001 38.5172194899,-8.67333419999994 38.4138870699,-8.80250166000002 38.3744431299001,-8.79586217999992 37.4425125699001,-8.98923689999992 37.0263138699,-8.44350767999998 37.0176010599001,-7.89777845999998 37.0088882499,-7.43185421999993 37.2531891099001,-6.95992319999999 37.2218361699001,-6.35555645999995 36.8608321299001,-6.43250033999993 36.6923560899001,-6.04416708000002 36.1861077099001,-5.61361122 36.0061035699,-5.60002248000001 36.0143895099001,-5.60000051999992 35.9979627099,-5.99999994000001 35.9979627099,-6.97297291297286 35.9979627099,-7.94594588594595 35.9979627099,-8.91891885891886 35.9979627099,-9.89189183189188 35.9979627099,-10.8648648048648 35.9979627099,-11.8378377778378 35.9979627099,-12.8108107508107 35.9979627099,-13.7837837237838 35.9979627099,-14.7567566967567 35.9979627099,-15.7297296697298 35.9979627099,-16.7027026427027 35.9979627099,-17.6756756156757 35.9979627099,-18.6486485886486 35.9979627099,-19.6216215616216 35.9979627099,-20.5945945345946 35.9979627099,-21.5675675075675 35.9979627099,-22.5405404805405 35.9979627099,-23.5135134535134 35.9979627099,-24.4864864264865 35.9979627099,-25.4594593994594 35.9979627099,-26.4324323724325 35.9979627099,-27.4054053454054 35.9979627099,-28.3783783183784 35.9979627099,-29.3513512913513 35.9979627099,-30.3243242643243 35.9979627099,-31.2972972372972 35.9979627099,-32.2702702102703 35.9979627099,-33.2432431832432 35.9979627099,-34.2162161562162 35.9979627099,-35.1891891291892 35.9979627099,-36.1621621021621 35.9979627099,-37.1351350751351 35.9979627099,-38.108108048108 35.9979627099,-39.0810810210811 35.9979627099,-40.0540539940541 35.9979627099,-41.027026967027 35.9979627099,-41.99999994 35.9979627099,-42.9886256135294 35.9979627099,-43.9772512870588 35.9979627099,-44.9658769605882 35.9979627099,-45.9545026341177 35.9979627099,-46.943128307647 35.9979627099,-47.9317539811765 35.9979627099,-48.9203796547058 35.9979627099,-49.9090053282353 35.9979627099,-50.8976310017646 35.9979627099,-51.8862566752941 35.9979627099,-52.8748823488235 35.9979627099,-53.8635080223529 35.9979627099,-54.8521336958823 35.9979627099,-55.8407593694118 35.9979627099,-56.8293850429412 35.9979627099,-57.8180107164705 35.9979627099,-58.80663639 35.9979627099,-59.7952620635294 35.9979627099,-60.7838877370588 35.9979627099,-61.7725134105882 35.9979627099,-62.7611390841176 35.9979627099,-63.749764757647 35.9979627099,-64.7383904311765 35.9979627099,-65.7270161047059 35.9979627099,-66.7156417782353 35.9979627099,-67.7042674517646 35.9979627099,-68.6928931252941 35.9979627099,-69.6815187988234 35.9979627099,-70.6701444723529 35.9979627099,-71.6587701458823 35.9979627099,-72.6473958194117 35.9979627099,-73.6360214929412 35.9979627099,-74.6246471664705 35.9979627099,-75.61327284 35.9979627099,-75.98728944 36.9092292699,-76.2551422199999 36.9579124299,-76.29360966 36.8433228099,-76.7629165499999 37.0698547899001,-77.23222344 37.2963867699,-76.65388488 37.2269362899,-76.29145812 37.0053444099001,-76.68276984 37.4297179899,-76.37648778 37.2805138299,-76.2394409999999 37.3734625899,-76.29069528 37.5686072499001,-76.71029283 37.8688639899001,-77.12989038 38.1691207299,-76.35360726 37.6185990099001,-76.24361412 37.9061013099,-76.78500741 38.1542950299001,-77.3264007 38.4024887499,-77.0422210199999 38.7266197899,-77.0616912599999 38.9045715699001,-77.00611878 38.7549973299,-77.24374398 38.3982582099001,-77.0444488799999 38.4383200899001,-76.3123474799999 38.0473023099001,-76.37110902 38.2883300499001,-76.66346736 38.4747123098999,-76.6791610199999 38.6625252099001,-76.37857056 38.3652039099,-76.53750606 38.7316588899,-76.3938903599999 39.0110359899001,-76.61051946 39.2503738899001,-76.4163970199999 39.2097167499001,-76.48000344 39.3020743899,-75.9408264 39.6041602898999,-75.8513871 39.5358276099001,-76.16833488 39.3165206499,-76.22084052 39.0608214699001,-76.0724639999999 39.1416587499001,-76.35986334 38.8554115899001,-76.2246550799999 38.9640883898999,-76.10443884 38.7990913899001,-76.25517264 38.8410339099001,-76.34215548 38.6882553099001,-75.96278388 38.6133270698999,-76.26528936 38.6197127499,-76.24694826 38.5102767099,-76.03750602 38.2266541299001,-75.8463516 38.3987769699,-75.87853236 37.9475592699001,-75.64404294 37.9611739299,-75.9563904599999 37.4977722098999,-76.0027922999999 37.2238770099,-75.86805726 37.2169342299001,-75.45388797 37.8372153999,-75.03971868 38.4574965699,-75.3141632399999 39.0531882999001,-75.5886077999999 39.6488800299001,-75.0285187199999 40.0123061499,-75.5572204799999 39.6204070899001,-75.41569512 39.3780441099,-74.8949356799999 39.1690216299,-74.9452743 38.9229812499001,-74.42041014 39.3539887299,-74.07160182 40.0478439098999,-74.08826442 39.7748526699,-73.9522247399999 40.2999954699001,-73.99565892 40.4588470899001,-74.2629852 40.4663772099,-73.9380416399999 40.9128990699001,-73.93415832 40.7980498899,-73.42027281 41.0420799399,-72.9063873 41.2861099899,-72.20903013 41.3280506199001,-71.51167296 41.3699912499001,-71.3894425199999 41.8066941099,-71.27139276 41.6530455698999,-71.1148528799999 41.7895087899001,-71.1883240199999 41.4683227299,-70.7261047199999 41.7277678899001,-70.64861292 41.5394401899001,-69.93540954 41.6724967298999,-70.07417298 42.0588798699,-70.2440186399999 42.0739478499001,-70.0193100599999 41.7925644699001,-70.3329163199999 41.7138825099001,-70.68222054 41.9972152899001,-70.7176438199999 42.2138785899,-71.03951262 42.3048514899,-70.58181006 42.6528357699,-70.80596928 42.7158966099001,-70.723404 43.1199188499,-70.19187156 43.5755461899,-70.1725006799999 43.7805480099001,-69.9222259799999 43.8647156499001,-69.83139042 43.7161711899001,-69.7715987399999 44.0742988299001,-69.71929938 43.7920798899,-69.64305876 44.0288810499001,-69.50041956 43.8504067299001,-69.3699951599999 44.0469436899,-69.24833676 43.9380417099,-69.06555936 44.0661048699,-68.9808349799999 44.4417229299,-68.79686742 44.5746117099,-68.81319432 44.3302726899,-68.61582954 44.3063812899001,-68.26256568 44.4657898299,-67.7262802499999 44.5630283499001,-67.18999482 44.6602668699,-66.97083276 44.8279113099001,-67.1786118 44.8991585499001,-67.034439 44.9849929899,-67.20654294 45.1830367299,-66.42778014 45.0849914499,-66.14723214 45.1922149299,-66.1918716 45.3313102899,-65.9999313 45.4592285498999,-66.0924378 45.2995300299,-65.8868102999999 45.2083281699001,-65.3344116299999 45.4092997899001,-64.7820129599999 45.6102714099001,-64.58306886 45.8269424499,-64.7508315599999 46.0866585099001,-64.47833244 45.7505493699001,-64.2743073 45.8058280899,-64.9353409199999 45.3317298699001,-64.1524772699998 45.3457927299,-63.36961362 45.3598555899,-64.1582031599999 45.1890143499001,-64.15638732 44.9783248899,-64.4856948 45.3302688099,-65.34027477 44.8741569099,-66.19485474 44.4180450099,-65.85156252 44.5811043099,-66.11860656 44.3380432899,-66.16750338 43.8608283699,-65.48138424 43.4644393899,-64.86854166 43.8685340799,-64.25569908 44.2726287699001,-64.3052673 44.5333328498999,-64.08750924 44.4677696499,-63.90860742 44.6780472698999,-63.93194586 44.5136032299,-63.63486108 44.4363785499001,-63.5205574799999 44.5102730499,-63.65367882 44.7111739298999,-63.4444389 44.5919379699,-62.6465708399999 44.8049926299,-61.8487027799999 45.0180472899,-61.05083472 45.2311019499001,-60.98847192 45.3259659098999,-61.36500546 45.4041595299001,-61.2600021 45.5102767299001,-61.46874612 45.6806868699,-61.88458248 45.6913070499,-61.9193763 45.8839531299,-62.4619445399999 45.6124954899001,-62.6777802 45.7641600699,-63.66708 45.8166617499001,-64.0938873599999 46.0216597899,-63.8262558 46.1451340299001,-64.50418098 46.2402724899001,-64.90430442 46.8459663699,-64.80208584 47.0815239099001,-65.36618046 47.0854797699,-64.9100035799999 47.3530503099,-64.6749268199999 47.7248534499,-64.80388638 47.8081855299,-65.6315307 47.6219368299,-65.7936095399999 47.8908309099,-66.35540772 48.0702705699,-66.84370416 47.9966507499001,-65.89653786 48.2024917299,-65.30583186 48.0055542699,-64.81417077 48.2213821899001,-64.32250968 48.4372101099001,-64.16548164 48.6277656699,-64.5304183199999 48.8737030899001,-64.1576309399999 48.7598572299,-64.21167 48.8849907099001,-64.99694826 49.2202682499001,-65.65152744 49.2036018699001,-66.30610662 49.1869354899001,-67.25416572 48.9133949799,-68.20222482 48.6398544699001,-68.82639318 48.3095055099001,-69.45056154 47.9791565499,-69.97875975 47.4997139499,-70.50695796 47.0202713499,-71.29916388 46.7422179699001,-70.76263815 47.1198215199,-70.2261124199999 47.4974250699,-69.7324982399999 48.1075629699,-70.37562564 48.2835711999001,-71.01875304 48.4595794299001,-70.3485412199999 48.3002032899001,-69.6783294 48.1408271499,-69.13444518 48.5974940799001,-68.5905609599999 49.0541610099,-67.98131946 49.1920776399,-67.3720779599999 49.3299942699001,-67.1419449 49.8169365699,-66.46972662 50.2619399499001,-65.655947916 50.2682182059,-64.8421692119999 50.2744964619001,-64.028390508 50.2807747178999,-63.214611804 50.2870529739,-62.4008330999999 50.2933312299,-61.5834732599999 50.1855468699,-61.7208328799999 50.0919342699,-60.86291886 50.1704063499001,-60.00500484 50.2488784298999,-59.50896264 50.5001316099001,-59.01292044 50.7513847898999,-58.99371336 51.0061035099001,-58.62326058 51.1505470299001,-58.62430188 51.2763825099001,-57.7394409599999 51.4716567699,-56.9515953599999 51.4245757899,-56.32545096 51.7549228599001,-55.6993065599999 52.0852699299,-55.70722206 52.2483292299,-56.1898575 52.4369697699,-55.6455879 52.4328727898999,-56.4877395 52.5942917499001,-55.76347728 52.6112441499001,-56.0608291799999 52.7661057099,-55.8341674199999 52.9219360299,-56.16458136 53.0302009899001,-55.7513198999999 53.1383286099,-55.80805212 53.3405456499,-56.25958626 53.5475960499001,-56.02930452 53.5758285099001,-56.67124932 53.6763801099,-56.47415166 53.7823830099,-57.0147247799999 53.7113800299001,-57.33805464 53.4473533299001,-57.31513974 53.5766638899001,-57.5355033 53.5985146299001,-57.08031084 53.8234672899001,-57.42833706 54.1824951099,-58.3555602599999 54.2063827299001,-57.79694358 54.0750923499,-58.33361052 53.9899005999,-58.87027746 53.9047088498999,-59.0769500399999 53.6818008099,-59.8979187 53.5223541099,-59.7904549199999 53.4822807099,-60.1336135799999 53.2836075099,-60.4090918799999 53.3514518498999,-60.1036147799999 53.5005492699001,-60.8802795 53.7130507899001,-60.13611216 53.5284652899001,-60.0827788799999 53.7624969699,-59.26625055 53.9584655799,-58.44972222 54.1544341899001,-59.0156593199999 54.0987071799001,-59.58159642 54.0429801698999,-58.89550782 54.1677246099,-58.2094192199999 54.2924690499,-57.52333062 54.4172134899001,-57.69770814 54.4652671899001,-57.3899994 54.5006179299,-57.44909286 54.6488113899,-58.0013962199999 54.7333298499001,-58.90416714 54.8447113299001,-59.0335426799999 55.1558913699,-59.3836097399999 54.9812011899001,-59.1563834999999 55.2338790699001,-59.91430284 54.7411040499001,-59.43187332 55.1354408499001,-59.96583558 55.1147156499,-59.73513408 55.1970024699,-59.77763748 55.3294410699,-60.2898978599999 55.0272484299,-60.0747757199999 55.2469368099,-60.17610924 55.2708282099,-60.68332674 54.9949951299001,-60.19554906 55.4313811899001,-60.4783324799999 55.3474884099001,-60.3179855999999 55.5731887899,-60.53004846 55.5969046899,-60.33277512 55.7813110899,-60.5087548199999 55.7983284699,-60.6618081 55.5869330499001,-60.61958316 55.8234672699001,-60.87999726 55.7409630099,-60.758892 55.8504103899,-61.4997253799999 56.0130501099001,-61.2403488 56.0439528699001,-61.4504853 56.0563125699001,-61.3481941799999 56.2202682699,-62.0778465 56.2918701099,-61.67642976 56.2686042099,-62.1368064 56.4508246899,-61.6572495 56.5257531099001,-62.2320786 56.6154060699,-62.0052795 56.6169357099001,-62.35303878 56.7579536499001,-61.68527604 56.6182518699001,-61.90395732 56.7930487899001,-61.66888812 56.8061027499,-61.36111458 57.0923538699,-62.01333612 57.2475280899,-61.8026389199999 57.3624953499,-61.89138792 57.4119339699,-62.5269432599999 57.4886055099001,-61.88486094 57.6331176099001,-62.1218032199999 57.9652710699,-62.66860956 57.9292984299,-62.3104858799999 58.0378380699,-62.50257108 58.0578384099,-62.45062254 58.1684952099001,-63.33528132 57.9801291699,-62.63499834 58.1836013499001,-62.8280562599999 58.2522202299001,-62.55694584 58.4802665499001,-63.24166872 58.4663849499001,-63.5810088599999 58.3017272499,-62.84638602 58.6877669499001,-63.03333276 58.8738784899001,-63.31597146 58.8557586099001,-63.1618041599999 58.9233284499,-63.33263784 59.0241585099,-63.1280518199999 59.0461730499001,-64.0440216 59.0181884499001,-63.3596534999999 59.1993636699001,-64.0604782799999 59.3859633699,-63.7852782599999 59.4261017499,-63.87083046 59.6129111499001,-64.11694338 59.5174942299001,-64.0577698199999 59.6252670699001,-64.2580642799999 59.7606888099,-64.1655502199999 60.0215224899001,-64.5048980999999 59.8982543499001,-64.3961791799999 60.1206169899,-64.81402596 59.9811020499,-64.3769379 60.1605453099,-64.7160993 60.3059617299,-64.5577633799999 60.3255640899001,-64.5217133399999 60.3107299299,-64.42541496 60.3992996499,-64.5003138599999 60.4084206099001,-64.5000003 60.9981864699001,-64.9999999799999 60.9981859299,-65.6616783599999 61.4531839899001,-66.32335674 61.9081820499001,-66.47819112 61.9773821499,-65.94804378 61.9077682299001,-66.13249212 62.0894317899001,-65.9364929999999 62.1997107699,-66.37471002 62.2861098699,-66.47086332 62.3442612099001,-66.35492712 62.4453353499001,-66.6069489 62.6049957099,-67.3980561 62.9672088099001,-67.66950996 62.9335174899001,-67.559166 63.0490225899,-67.76347356 62.9572830699,-67.6394424 63.0995750499001,-68.12860104 63.1480483299,-68.56082532 63.4472846499,-68.9930495999999 63.7465209699001,-68.54277042 63.7324905099001,-67.72041324 63.3640213299001,-67.92086034 63.7548178899,-67.20388794 63.2852706099001,-66.9776382 63.3967285899,-67.02041628 63.2469711099,-66.8441619 63.1472167299001,-66.81190482 63.2728385499001,-66.6776352599999 63.0247153899,-66.54548646 62.9938774299,-66.73881528 63.2913132099,-66.65381622 63.3733939299,-66.40083306 62.9984665298999,-66.10617828 62.9458923099,-66.2730560999999 63.1322135499,-65.33972172 62.8374939699,-65.18750004 62.5622100699,-64.94888304 62.6486053899,-65.2523652 62.9753379699001,-64.63061532 62.8990212099001,-65.08332828 63.2038803698999,-65.14340976 63.2869377699001,-64.90916442 63.2805481299001,-65.2973250599999 63.8101615899001,-64.53458406 63.2490234699,-64.5326386199999 63.6796417899,-64.9854126 63.8238144099,-64.67312628 64.0343627499001,-65.1899871 64.0202637099001,-65.05332192 64.0692978699,-65.2474976399999 64.2054748899001,-65.6575698599999 64.3049774499,-65.2008285 64.3076859099,-65.07820134 64.4722060899001,-65.7019423799999 64.4862289899,-65.67895512 64.5265349499,-65.56204224 64.7315445099001,-65.7073593 64.6914367299,-65.6686096199999 64.8101272899001,-65.9378433599999 64.8904036899,-65.85173028 64.6803969699001,-66.02021028 64.8478392699,-66.2155532999999 64.6881713499,-66.1483459799999 64.8688659699,-66.61805724 65.0302734099001,-66.69464112 64.7618637099,-66.73236084 65.1800537499001,-67.10465232 65.0598373299,-66.9328461 65.2327575699,-67.4072189999999 65.3395004499001,-67.06055448 65.4220657299001,-67.4559021599999 65.4988708299001,-67.2779235599999 65.6401290699001,-68.02330014 65.4883804299,-67.82112126 65.7680511099,-68.3283385799999 65.9222716899001,-68.0668335 66.0550308699001,-68.04722592 66.0649872099,-68.08992768 66.0716171499,-68.8438873799999 66.1887283899,-68.24472048 66.1827545499,-68.02683264 66.0654984099,-67.82417298 65.8808135499,-67.1887436399999 65.9124145299001,-67.1637573 66.0360946899,-67.98929598 66.5075607699001,-67.28222664 66.2752686099,-67.1314239 66.3092880699,-67.4041671 66.4266509499,-67.1461867799999 66.4402542699,-67.73429862 66.5688018099,-67.10556024 66.4858093899001,-66.9364929 66.5482864899,-66.76777656 66.3805389099001,-66.443985 66.4047393699,-66.5719452 66.3620604699001,-66.40194708 66.2008209699001,-65.92694094 66.1147003299001,-65.4807587399999 66.3848495499001,-65.96347806 66.0391464099001,-65.38999932 65.9752579299,-64.71731574 66.2161101699,-64.73770146 65.9728317099,-65.35722348 65.9024810499001,-65.50180812 65.7488784099001,-64.80172728 65.7219315099,-65.31674202 65.5511626299,-64.71145638 65.6508178299,-65.1619414799999 65.4864731499001,-65.06694792 65.3798447499001,-64.41874686 65.4798432099001,-64.90347282 65.3366164899001,-64.6900558199999 65.3348159499001,-64.91069028 65.3015060499001,-64.64111328 65.1499939299,-64.5154266599999 65.1148375899001,-64.2391587 65.4274063299,-64.37707524 65.1791458299001,-63.69166566 65.0485916499,-63.82417302 64.9847107299,-63.54695124 64.8872070699001,-63.33569334 65.2980347499001,-63.65194326 65.4704056299001,-63.3021506999999 65.4400786899001,-63.6122894399999 65.5357513898999,-63.32333382 65.5970687499001,-63.7185706199999 65.6782073499,-63.36833184 65.6694336099,-63.4397202 65.8499831499001,-63.2061118799999 65.6369400099,-62.95750038 65.5849914699,-62.92930608 65.7536010699,-62.6491661399999 65.5866546699,-62.8299712799999 65.7522125499001,-62.5706978399999 65.7545014299001,-62.86083606 65.9111023299,-62.32111362 65.8311004299001,-62.9649963 66.1484604099001,-62.46239472 66.0850220199001,-61.9597931399999 66.0215836299,-62.5824966599999 66.2320099299001,-62.3201408999999 66.3027573099,-62.7087479399999 66.4085235099001,-62.45610804 66.4238739099001,-61.8774948 66.2833252299001,-61.46500014 66.3696975099,-61.9778442599999 66.4123764099,-61.57920078 66.4810181499001,-62.12388618 66.6263733699,-61.26458364 66.6260909499001,-61.7497254 66.9480285099,-62.1041679 66.9151230699,-62.10139464 67.0547028099001,-62.4230575199999 66.9238739499,-62.3147239799999 66.7291564299,-62.6000022 66.9515151099,-62.9091300599999 66.6465148299001,-62.8423614 66.9598464099001,-63.2247161399999 66.8994294099,-63.41166684 66.7031784699,-63.4344444 66.9048538898999,-63.77360922 66.8184585699001,-63.22846986 66.9747084699,-63.2745133199999 67.1133804699001,-62.97235866 67.2295609299,-63.1102829399999 67.3299865299,-63.7738532999999 66.9740448099,-63.4523621399999 67.1745682299,-63.5541687 67.2363661899,-64.1255722199999 67.1227264299,-64.69697574 67.0090866699,-63.97114176 67.2758560299001,-64.7658387 67.1902541499001,-64.2452392799999 67.2942199899001,-64.7923888799999 67.3554000099001,-63.9372177 67.2927551499,-64.00386054 67.4559706899001,-64.43283852 67.4756774499,-64.0418014799999 67.5283890099,-64.30041504 67.7319335499001,-64.40270994 67.7102890899001,-64.50695802 67.8072052299,-65.20375818 67.6512375699,-64.7261811 67.9888306299,-65.00111382 68.0555420499,-65.4236144999999 67.8980407899,-65.5509720599999 67.7808913899001,-65.34638982 67.5933227499001,-65.60822304 67.7904738699,-65.4441604199999 67.9890061299001,-65.81722266 67.9643630499,-66.0020140799999 67.6287994899,-65.92568976 68.1600495099,-66.40139772 67.8110961099001,-66.73520664 67.8760528899001,-66.1880493 68.0139465699001,-66.46572882 68.0801620898999,-66.31805412 68.1238021898999,-66.6102753 68.1345672699,-66.7338867 67.9820709099,-66.68082432 68.1401290899001,-66.94665534 68.0136108699,-66.7761839999999 68.2419205299,-67.00305942 68.2928313699001,-67.5986175 68.1638793699,-67.07806398 68.3311004499001,-67.87158966 68.2622146299001,-67.28697585 68.3492927799001,-66.70236204 68.4363709299,-67.4261017199999 68.4944304699001,-67.6033325999999 68.3788603899001,-67.53250116 68.5497055899,-68.21513748 68.5774841799,-68.8977738 68.6052627699,-68.0474930399999 68.6794967499,-68.70471579 68.7768211299001,-69.36193854 68.8741455099,-68.67443853 68.8642883499001,-67.98693852 68.8544311899,-68.54714964 68.9756088099001,-67.71888738 69.0261000699001,-68.3813781 69.1752624699,-69.02277372 68.9705428899001,-68.99804694 69.1035918699,-68.50917054 69.1972046499001,-68.96777346 69.2210998299001,-68.4650574 69.2504425299,-68.1658326 69.2679061299001,-68.6844482399999 69.2854728698999,-69.20306388 69.3030396099,-68.20967862 69.3105393099001,-67.48494723 69.2197380399001,-66.76021584 69.1289367699001,-66.6480636 69.2306823099,-66.79041282 69.3391494099001,-67.70117565 69.4633216899001,-68.6119384799999 69.5874939699,-69.32041551 69.5600586399,-70.02889254 69.5326233099,-69.1739272799999 69.5817222699,-68.31896202 69.6308212299001,-68.00458518 69.7731781899001,-67.1277770999999 69.7269286299,-67.21986384 69.9408111098999,-67.8013839 70.2606887499001,-68.16000366 70.2827607099001,-68.3480529 70.1742172899001,-68.2213897799999 70.1027679099,-68.81352615 69.9373855299,-69.40566252 69.7720031499001,-69.75646218 69.7985916699001,-69.9905548799999 69.6149902299001,-69.80583186 69.8199920499001,-69.6297072599999 69.8237076099001,-69.39805608 69.8285980299,-69.2721786599999 69.8945541698999,-68.6836776599999 70.2029037099,-69.6533355 70.1449890699,-69.77722176 69.9636077499,-70.4658355199999 69.8434600899,-69.81582636 69.9890136699001,-70.18138116 70.0288771899001,-69.66806022 70.1985930699,-68.73554988 70.3177642299001,-68.57360838 70.4654083299,-68.45201118 70.3753280499,-68.31972504 70.5648498698999,-68.8901443199999 70.6780434099,-69.4605636 70.7912369499,-69.9554176199999 70.6338043599,-70.4502716399999 70.4763717699,-70.4754792 70.6133118098999,-69.91555788 70.7491455699001,-69.7746506399999 70.8572006499,-69.9072876 70.8799056699001,-70.45441056 70.7506370499,-71.00153352 70.6213684299001,-71.49360654 70.0505371299001,-71.1730499399999 70.5323409699001,-71.50541688 70.5744323499,-71.8069458599999 70.2958222299001,-71.8030548 70.4283142899001,-71.5586090399999 70.6094207499,-70.7438888999999 70.7501220699,-70.51535028 70.9253997699,-70.63555914 71.0722198299,-71.59361274 70.8401260299001,-72.5516663399999 70.6080322299001,-72.17069238 70.8379059099,-72.65389248 70.8243025899001,-71.90083692 71.0331153699,-71.14778136 71.2419281499,-71.44756326 71.4695664099,-72.0105858 71.5625191299,-72.5736083399999 71.6554718499,-72.97367472 71.3193245499,-73.3737411 70.9831772499001,-73.2690277199999 71.2227630099,-73.0573577999999 71.2664490099001,-73.3208464799999 71.3408203299001,-73.88597106 71.0594940099001,-73.38354498 71.3877639699001,-73.62875358 71.3580322898999,-73.6308287999999 71.5848540699001,-74.23155972 71.2041092499001,-74.0372238 71.4392851899,-74.3074874999999 71.4141159699,-73.59243012 71.7526245099001,-73.92832938 71.7691497699,-74.16260532 71.5391464899001,-74.1469573799999 71.7388762899,-74.7190323 71.5442885499001,-74.64598092 71.3753967099,-75.0813903 71.1794281899001,-74.70520776 71.3835220899001,-75.11624154 71.4977646699001,-74.6313858 71.6560287699001,-75.402504 71.5200195099001,-74.9402694 71.6642151698999,-75.39021306 71.6769179499001,-74.81336976 71.7488021199001,-74.23652646 71.8206862899,-74.1774902399999 72.0319366299001,-75.0436095599999 72.1238631699001,-75.5678138399999 71.9101142499001,-76.09201812 71.6963653298999,-75.2258987999999 72.0746688099001,-75.79666134 72.1035919299001,-76.3108216199999 71.8847198499,-76.05471798 72.0730437698999,-75.5004119399999 72.1663779998999,-74.9461059 72.2597122299001,-75.22348014 72.4990157499,-75.93194574 72.5836029699001,-76.1147155799999 72.4756774899,-77.0558166 72.7528611098999,-77.6095733699999 72.7040634699001,-78.1633301399999 72.6552658299,-78.56013492 72.4415053899,-77.78338245 72.2853584499,-77.00662998 72.1292115099,-77.70748518 72.2275162599,-78.40834038 72.3258210099,-78.41513826 72.1686019899001,-78.61000068 72.3592833699001,-78.8699952 72.2281800099,-78.1043778 71.9717941299,-77.78555298 71.7874908699,-78.29402166 71.9252166099001,-78.85839852 72.1703262099001,-78.91923528 72.0127639299,-78.5130615 71.8678970499,-79.19667054 71.9601288699001,-79.0127868599999 72.2738800299001,-79.34583276 72.3989487099,-79.74138636 72.2138748699,-79.5955505399999 72.3347167899001,-79.79916384 72.5013885099,-79.9999999199999 72.4027027899001,-79.9999999199999 72.8668889499,-79.5433348799999 72.7485961899,-78.67270656 72.7874164749001,-77.80207824 72.8262367599,-76.93144992 72.8650570449001,-76.0608215999999 72.9038773299,-76.7426300099999 73.2292900599,-77.42443842 73.5547027899,-78.28295892 73.6047196299,-79.1414794199999 73.6547364699001,-79.9999999199999 73.7047533099001,-79.9999999199999 74.2679024799,-79.9999999199999 74.8310516499001,-79.9305571799999 74.8133086899001,-79.34117886 74.9001923499001,-79.9999999199999 74.9808656499,-79.9999999199999 75.1100595699,-79.62944022 75.1749877299001,-79.4916610199999 75.3785934699001,-79.9999999199999 75.4286363498999,-79.9999999199999 75.5279025699001,-79.9529877 75.5363769699,-79.9999999199999 75.5494467699001,-79.9999999199999 76.2305817099,-79.31277468 76.2974853699,-78.78194424 76.5722121699001,-78.4433287799999 76.4522094099001,-77.7769469999999 76.6542968499,-77.89034268 76.9497756699001,-78.3202820399999 77.0116576899001,-78.716034 76.8227691099001,-79.3458404999999 76.9180450899001,-79.004448 77.1002655699001,-79.44554142 77.2344208299001,-79.9999999199999 77.1369560499001,-79.9999999199999 77.3216511699,-79.38861084 77.3144282199,-78.77722176 77.3072052699001,-78.2507629799999 77.4555397599001,-77.7243042 77.6038742499,-78.41538234 77.9101181499001,-78.2608338 77.9952545499,-77.4814809599999 77.9823862899,-76.70212812 77.9695180299,-75.92277528 77.9566497699,-75.84659982 77.9991304899,-74.959512705 77.9991304899,-74.07242559 77.9991304899,-73.185338475 77.9991304899,-72.29825136 77.9991304899,-71.59889214 77.8527679899001,-70.8015365099999 77.8477630899,-70.00418088 77.8427581899,-70.6027831199999 77.6780394699001,-70.0420875299999 77.7153358299001,-69.4813919399999 77.7526321899001,-70.28888706 77.5667953299,-69.74777601 77.5081062399001,-69.20666496 77.4494171499,-68.60568996 77.5192947699,-68.73777774 77.6630402499001,-68.37054444 77.4994202499001,-67.70513151 77.5876160199,-67.0397185799999 77.6758117899001,-66.1630554 77.5680542499001,-66.1019439599999 77.4383086299001,-66.65701302 77.4124831299001,-66.2202759599999 77.2502746899,-66.9201355799999 77.3183289099001,-67.6199952 77.3863831299001,-68.3608322699999 77.3291550099001,-69.10166934 77.2719268899,-68.21731572 77.2259114499,-67.3329621 77.1798960099001,-66.4486084799999 77.1338805699,-67.373748855 77.1605453199001,-68.29888923 77.1872100699001,-69.2240296049999 77.2138748199001,-70.14916998 77.2405395699001,-70.7580567 77.1512298699,-71.36694342 77.0619201699,-70.68318948 76.9326171699,-70.9829177399999 76.8973465299001,-70.6977691199999 76.8055420299,-70.18513488 76.9090195299,-69.67250064 77.0124970299,-70.00805664 76.7636108499,-69.3327789599999 76.7355499299,-68.65750128 76.7074890099001,-67.9822235999999 76.6794280899,-68.79986199 76.5492210399001,-69.61750038 76.4190139899001,-68.7469482 76.1824797699,-67.9925943599999 76.0911864699,-67.2382405199999 75.9998931699001,-66.48388668 75.9085998699001,-67.30527492 76.1651229099001,-67.0319519399999 76.2627716499,-66.4613953199999 76.0816650099,-66.19415292 76.2802734099,-65.66166684 76.2619323099,-65.88680274 76.1006164899001,-65.47972104 76.0186003899,-65.3283387 76.1746978299001,-64.5999984 76.1294251299,-64.68554682 76.2551346099,-64.34388738 76.3547057499001,-64.0122222599999 76.1347198299,-63.47992698 76.3699645299,-62.77861026 76.1935882899,-62.2397232 76.2866515299,-61.3904622599999 76.1769306699001,-60.54120132 76.0672098099,-59.69194038 75.9574889499,-59.5926399599999 75.9079056099,-59.78472894 75.7963714899,-59.2161102 75.8722076499001,-59.0616684 75.7041625299,-58.4236144799999 75.7197112899001,-58.59846882 75.6717148299001,-58.15958022 75.5085982899,-58.69694142 75.3501205299,-58.3001976599999 75.3873749499001,-58.3347243599999 75.2652741099001,-57.95889282 75.1855315899001,-58.13958366 75.0469283499,-57.5829868499999 74.9804038599,-57.02639004 74.9138793698999,-56.86111458 74.8069305699,-57.18722148 74.7722168499,-57.0150070199999 74.6713714899001,-56.1929129999999 74.5502624499001,-56.46795264 74.5025329299,-56.79444888 74.4458770299,-56.16194148 74.4047088698999,-56.7120819599999 74.3428268499,-56.309166 74.2872009099,-56.81625174 74.1959533299,-57.32333748 74.1047057499001,-56.7262515599999 74.1915129999,-56.12916564 74.2783202499001,-56.40985872 74.0691528699001,-55.97333154 74.0315170299,-56.10166938 73.9642944099001,-55.64125062 73.8691482099001,-55.94492718 73.8541488099,-55.61125182 73.7237319698999,-56.07180792 73.6459654899,-55.58071518 73.5001220199,-55.08962244 73.3542785499,-55.4566689 73.2548523099001,-55.14292152 73.1842879898999,-55.69513704 73.0641556299001,-54.85055544 73.0144347699,-54.60541542 72.8263777899,-54.92430882 72.7755432699001,-54.65499876 72.7649994099001,-54.8705519999999 72.6424865499001,-54.63027576 72.6196288899,-55.0173645 72.5234604699,-54.29930886 72.4812317499001,-54.9628487099999 72.4693603899,-55.6263885599999 72.4574890299,-54.686943 72.3672103898999,-55.5619429799999 72.0244293699001,-55.2188872799999 71.9222106099001,-54.83889 71.9502715299,-54.3893050799999 72.2229690099,-54.82653048 71.9170685499001,-55.36590192 71.7985229799001,-55.90527336 71.6799774099001,-55.57472226 71.6406861099001,-55.32361596 71.3869323699,-55.1175650999999 71.3884582299,-55.2583389599999 71.4905394699,-54.82556154 71.3527680098999,-53.9155502999999 71.4419250699,-53.85514068 71.5556793099,-54.1002807 71.7074889699,-53.7750014399999 71.6333313099001,-53.9163894599999 71.7383193699001,-53.3973618 71.8481827299001,-53.95389174 72.3248520699,-53.5575675599999 72.3528976899,-53.85653298 72.3188704899001,-53.40610512 72.0447081699,-53.32194522 71.8222198899001,-52.68714912 71.9999848299,-53.25055686 71.7027740499,-52.4469814199999 71.7058639299,-51.64340598 71.7089538099001,-52.29295164 71.5753020999001,-52.9424973 71.4416503899,-52.58750148 71.3738708499,-51.96673584 71.4290123199,-51.3459702 71.4841537899001,-52.26889032 71.3566435899,-52.2486610199999 71.2814331099001,-52.5454216199999 71.1570739899,-51.6455535599999 71.3613739899001,-51.53667066 71.2648468299,-52.2459030599999 71.1219176499001,-51.5819817 71.0710906899,-50.91806034 71.0202637298999,-51.4352799 71.0206833099,-51.95249946 71.0211028899001,-51.3984718799999 70.9458885399001,-50.8444443 70.8706741899001,-50.6527786799999 70.7102661099,-51.4409675399999 70.7257538499001,-50.64083856 70.6413727299,-50.9790268799999 70.6263655899,-50.7411079199999 70.5452575899,-50.8888931399999 70.5055542699001,-51.34527594 70.5641556099001,-50.94777672 70.4202574899001,-50.50972746 70.5260924499,-50.67805482 70.3952713299001,-50.55889122 70.3330536099,-51.3628717799999 70.4768473299001,-52.16685234 70.6206410499001,-52.9708329 70.7644347699,-53.5497208199999 70.7967986799001,-54.1286087399999 70.8291625899,-54.62722008 70.6530457299,-53.80916592 70.4466553299001,-52.99111176 70.2402649299001,-52.1730575999999 70.0338745299001,-51.20194248 70.0329055899,-50.23082736 70.0319366499,-50.58930204 69.9237289299,-50.19166566 69.7574920899,-50.8154182199999 69.7076263299001,-50.4072188999999 69.5959548699,-50.8005523799999 69.6422119899,-50.88277818 69.4955368298999,-50.2047196199999 69.5219268099,-50.8558348799999 69.4611053499,-51.1202736 69.2004012699001,-50.3974990799999 69.3408203499,-50.4676360799999 69.1981735899,-50.12944038 69.2041625499001,-50.68708038 69.1208113899001,-50.21472168 69.0613708899,-50.21749872 68.9566497699,-50.49277884 69.0104064099001,-50.3613890999999 68.9002685499001,-51.0743064599999 69.1301193699,-51.11444862 68.9269256499001,-50.96611026 68.9324874699001,-51.28882218 68.7470016099,-50.6675033999999 68.8297119699001,-50.98722084 68.7324829899001,-50.86583712 68.6147003499,-51.66375354 68.5798416399,-52.46166996 68.5449829299001,-52.60304646 68.4550704099,-53.06894298 68.3228607699001,-53.38861092 68.3290252299,-52.44638832 68.1788634698999,-51.84361269 68.2344207399001,-51.24083706 68.2899780099,-51.63610842 68.4133224699001,-50.8199997599999 68.5036011099,-51.18277734 68.3944320099001,-51.22083276 68.2736053899,-50.9713821 68.1776198499001,-51.4347190199999 68.2001266899001,-50.79603951 68.0656814499,-50.1573599999999 67.9312362099,-50.948298405 67.9945315899,-51.7392368099999 68.0578269699001,-52.530175215 68.1211223499001,-53.32111362 68.1844177299001,-52.82898714 68.0207442699,-53.1913833 68.0416489299,-52.95914082 67.9778137299,-53.6277771 67.8146971899001,-53.5394439 67.7108154099,-53.7511825799999 67.6046294499,-53.68305978 67.5008239899001,-52.99506189 67.6581611799,-52.3070639999999 67.8154983699,-51.7130584199999 67.6949768499001,-51.32041938 67.8137359899,-51.5643082199999 67.9335861099001,-51.05999754 67.9741516299001,-50.98833468 67.8774720099001,-51.3311156999999 67.8688660299,-51.19972236 67.7633208699,-50.71444704 67.8186035499,-50.7794417999999 67.9066467699001,-50.4286117199999 67.8172150299001,-51.23082726 67.6972045299,-50.6472205499999 67.7123412698999,-50.06361384 67.7274780099,-50.84999856 67.6035919299001,-50.19583122 67.4673461499,-50.9625904799999 67.5681355299001,-51.72934974 67.6689249099,-52.4961089999999 67.7697142899,-53.14986036 67.5920714799001,-53.80361172 67.4144286699,-53.8086090599999 67.2038727698999,-53.25432966 67.3183212699001,-52.74127197 67.3544693198999,-52.22821428 67.3906173699,-51.68993949 67.4069633499001,-51.1516647 67.4233093299001,-51.52396014 67.3494949299001,-51.1733322 67.1394347499001,-50.36430744 67.1741484699001,-51.18943788 67.1235961899,-51.5247191999999 67.3230437499,-51.9657402599999 67.3560714099,-52.1513901 67.3699798299,-52.83292005 67.3024826199,-53.51445 67.2349854099001,-53.5390511399999 67.2261351699,-53.9611092 67.0742950899,-53.2220803199999 66.9908141499001,-53.8024978799999 66.9944305299001,-53.6750029799999 66.9136047699001,-52.95378303 66.8755454799,-52.23256308 66.8374861899001,-53.05583196 66.8049774699001,-52.5866661 66.7030411299,-53.47819134 66.6034545099001,-52.9477767899999 66.5738715999001,-52.41736224 66.5442886899,-53.0231933699999 66.5252647599,-53.6290244999999 66.5062408299,-53.6158332 66.2417907699001,-53.1224974799999 66.2847061899,-53.5795860599999 66.2105483499,-53.4766617 66.0988768899001,-52.63397724 66.3921152499001,-51.79129278 66.6853536099001,-50.9486083199999 66.9785919699,-50.0011101 66.9764404299,-50.95639044 66.9347076099,-50.3313903 66.8331222699,-51.27138522 66.8438720499,-51.9933294 66.5786895699001,-52.71527358 66.3135070899,-53.43721776 66.0483246099001,-53.12914272 66.0170668899,-53.35388946 65.9299774899,-52.8905563199999 66.0283203099,-53.23332978 65.9230347099,-53.15166468 65.8558196499001,-52.49180601 65.9558181099001,-51.83194734 66.0558165699001,-52.3199997 65.8688660499,-53.05777362 65.8455429099001,-53.22138588 65.7284545299,-52.85923776 65.7969970899001,-53.233326 65.6828308299001,-52.81055442 65.6716461698999,-52.68812184 65.8045653698999,-52.75944522 65.6333313699,-52.60722354 65.6585997699,-52.8016661999999 65.5947112899001,-52.7201386199999 65.4987412299001,-52.4691619199999 65.6408233298999,-52.6120833599999 65.4806748098999,-52.4959030799999 65.3879699499,-51.95182806 65.6679459099,-51.4847258999999 65.7630462099001,-50.5469475 65.7076949499,-51.1023235499999 65.7032889999001,-51.6576996 65.6988830499001,-51.69444282 65.6985930699,-51.89864346 65.6095123299001,-52.5621527999999 65.3200530699,-52.51916502 65.1852570099,-52.22277072 65.3277739899001,-52.3102073399999 65.2018585899,-52.0997237999999 65.2391509899,-52.28028108 65.0760956499,-52.0113906 64.9791564699,-52.2113877 64.8066406899001,-51.24986262 65.0154723699001,-52.11624906 64.7227630299001,-52.00472646 64.2017974899001,-51.66500094 64.3060912899001,-51.2241668999999 64.7622069699001,-51.02388756 64.7547150099001,-51.1433334 64.6136016699001,-50.6340981 64.7583236499,-50.98194126 65.2167967898999,-50.5640296799999 64.7704086699,-49.99882122 64.8647002299,-50.20972434 64.7416534899,-49.99152762 64.6994323299,-50.06367882 64.5278320299,-49.58402256 64.3397827899,-50.51481246 64.6467056499,-50.8922271 64.5852660699,-50.17618188 64.4467926099,-50.85639198 64.4155426299,-51.03722376 64.2711028899,-50.95083618 64.2180480699001,-51.7484741399999 64.2020721699001,-51.44583132 64.0780487499,-50.47555536 64.2910918899001,-50.552082 64.1795655099,-50.0575026599999 64.2066497499001,-50.8297232699999 64.1206817499,-51.60194388 64.0347137499,-51.36222078 63.9669342099,-51.44332878 63.8049927099,-50.92430886 63.9309653499001,-51.55819326 63.7072143699,-51.16860954 63.5027770299,-51.184269 63.6226843899,-51.0819435 63.6654090099001,-50.5076409 63.6691589499001,-51.1048736999999 63.6223792899,-51.13180548 63.6202696899001,-51.10863876 63.6153182499,-50.74847406 63.5383263099001,-51.2199936 63.4413757899,-50.27965164 63.4006156899001,-51.10736472 63.3404044299,-51.00833898 63.1605453699,-50.7799987199999 63.2502746499001,-50.90258412 63.1386489099,-50.059845 63.2287520498999,-50.60639196 63.0944365899001,-50.59388736 62.9699860299,-50.14999386 63.0152740299001,-50.3697203999999 62.7816619299,-50.1868476 62.9354209899,-49.6997184599999 63.0552673299001,-50.1508332 62.9308243299001,-50.19403068 62.8534088499001,-50.27777856 62.7033234099,-49.94749458 62.8272170499,-50.31562428 62.4943009299,-49.8372191999999 62.2374954699001,-49.40222166 62.2558288298999,-49.63833612 62.1508254699001,-49.2938919 62.1722182899,-49.68860634 62.1169395699,-49.66944894 61.9955445099001,-49.1722259399999 62.0161057299,-49.0079192399999 62.2059670299001,-49.09180446 62.0767974099001,-48.84256746 62.0761071099001,-49.43860632 61.8413086299001,-49.2147216 61.8836059299001,-49.3541717399999 61.7655487899,-49.2380522999999 61.7116623699,-48.7752762599999 61.9872132099,-49.1490287999999 61.7198485899,-48.59921268 61.6363372298999,-49.29750054 61.5574950699,-48.94888302 61.4655456699001,-48.34416204 61.6049958099001,-48.2447205 61.5291594699,-49.06527714 61.3994368899001,-48.4316712 61.2944412699,-48.63916782 61.2104071899,-48.30110928 61.1255492499001,-48.20827482 61.1775055299,-47.83319478 61.0495757499,-48.39819336 60.9827689299,-47.68985754 61.0068016299001,-48.19249728 60.8108215899001,-47.6077766399999 60.8934593199,-47.023056 60.9760970499001,-46.86222078 60.7973556099,-46.40579604 61.0823859699001,-46.2294387 60.9747085298999,-45.91500084 61.0902710499,-45.83958048 61.1627692899,-46.00972746 61.2230453499001,-45.80805582 61.3326340299001,-45.86666868 61.2151336299001,-45.6536102399999 61.1422195899,-46.02694698 60.9097137699,-45.67969134 61.0028914899,-45.60250086 61.0236053499,-45.59466546 61.0397263299,-45.50055696 61.2333298299,-45.40112298 61.1235694299,-45.3708305999999 61.0901299299001,-45.21590046 61.2038078499,-45.25516512 61.1009598099,-45.478386 60.9945029499,-46.22180184 60.7680510699001,-45.71055612 60.7677688299,-45.3841705799999 61.0072174299,-45.25278084 60.9058227099001,-45.97798158 60.5779113098999,-45.6813811799999 60.6370315899001,-45.57472236 60.4691544099001,-45.31333158 60.6999970299001,-45.4873581 60.4918669899001,-45.0991668599999 60.6458281899001,-45.21777336 60.4341582699001,-44.6293717199999 60.7340888499,-45.20312496 60.1351318299,-44.5020867 60.4754067099001,-45.1527786 60.0741652899001,-44.6041717199999 59.9824905699001,-44.46348192 60.1433182299,-44.1027793799999 60.3838844499001,-43.99999992 60.3117822099001,-43.99388892 60.3074951499001,-43.99999992 60.3011859699001,-44.11389168 60.1836013299001,-43.99999992 60.1734532899001,-43.09444422 60.0927657699001,-43.3220139 60.2136726699001,-43.09277346 60.2572173699,-43.16624838 60.3962439699001,-43.5876388199999 60.3052672899001,-43.3266678 60.4511032899001,-43.99999992 60.5931263499,-44.19388584 60.6340218099,-43.99999992 60.6046530099001,-43.62999732 60.5486069499,-43.6977768599999 60.7156867299,-43.2086104799999 60.4644393099,-43.3148612399999 60.5508956499,-42.83465202 60.5711020899,-42.75187686 60.6842270499001,-43.1084556 60.6667670499001,-42.78722382 60.7449950499001,-43.52465052 60.8369368899001,-42.7908402 60.8011017699,-43.4836081799999 60.9356841699001,-43.00861356 60.8838805299001,-42.70777506 61.0591584099001,-43.61236182 61.1263808498999,-42.63402942 61.1011734699001,-43.08972174 61.1974867899,-42.6643029 61.2565269699,-43.24444578 61.3373527298999,-42.63249978 61.2911071299,-42.42722328 61.4036026299,-42.52826304 61.5270766899001,-43.0791701399999 61.5936050499001,-42.3974991599999 61.6563796899001,-42.8643073799999 61.7792968299001,-42.2219390399999 61.8272171499,-42.41624832 61.9151993499,-42.1366652999999 62.0188827699001,-42.5436172199999 61.9458236499001,-42.26194764 62.2423515099001,-42.9804153 62.5109673099,-42.16534416 62.3826294699,-42.65489385 62.5706176899001,-43.1444435399999 62.7586059099,-42.52777866 62.7230452899,-42.3036117 62.9416579899,-42.32389068 62.8091583699001,-41.75167086 62.8406830299,-41.6179160999999 62.9892998499,-41.72410206 63.0301742499001,-41.5433348999999 63.0436096299001,-42.02305596 63.2469406898999,-41.43243024 63.1209640899001,-41.8963928399999 63.4705429899001,-41.1133346999999 63.3072127899001,-41.58194724 63.4883269899,-41.2398604799999 63.4061699499001,-41.39416512 63.5522156499001,-41.11819452 63.3852692499,-41.00138856 63.4058265099001,-41.17383576 63.5120200299,-40.75805664 63.5011062699001,-40.8922272 63.6563796699,-41.61777498 63.7922209899,-41.0668754399999 63.7458972699,-40.5159759 63.6995735499,-40.61972052 63.9227676099,-40.837635 63.9441528699,-40.56777954 64.1091460898999,-41.0656967099999 64.1924819499001,-41.56361388 64.2758178099,-40.96708488 64.3097762499001,-40.3705558799999 64.3437346899,-40.63680648 64.4658202299001,-40.60979838 64.6274566299,-40.60083762 64.6810912299001,-40.70368188 64.7332458699,-41.15541456 64.9623489699001,-40.5961073999999 65.1349945299001,-40.19194026 65.0402679099,-39.75556176 65.2427520699001,-39.9416655599999 65.3649902499001,-39.7934036999999 65.4151917099001,-40.21721658 65.5033263699001,-39.82944492 65.4958191099001,-39.67875288 65.6781769299001,-39.21874614 65.5752716499001,-39.32444772 65.7155456499001,-39.05750268 65.5594177899,-38.61222084 65.5663756899,-38.75194548 65.6909484699001,-38.23055262 65.6352692499001,-38.10298536 65.8022766698999,-38.48069376 66.0133284699,-38.05194096 65.9124908499,-37.85535054 66.1982421099,-37.9927101599999 66.2415085299,-37.69437024 66.2642974299,-38.10610962 66.3869323299001,-37.1838913199999 66.3405456099001,-37.8107643599999 66.0292892499,-37.19305422 65.7691498299001,-37.0804138199999 66.0613632699,-36.9851380199999 65.8377685299001,-36.5144463 65.9897002299,-36.5691681 66.0748519298999,-36.3470841 66.0827636499001,-36.33194736 65.9072112699001,-35.58750156 66.1102600899001,-35.5513915799999 66.2431717299,-35.85583494 66.4324798899,-35.2038879 66.2377623699001,-35.04208752 66.2506789899001,-35.2325667599999 66.3117828699,-35.12499624 66.4167862299,-34.9841689199999 66.2841490899001,-34.63999938 66.3722076099,-34.40937042 66.5390091099,-34.4266700399999 66.7423401699,-34.27055352 66.5745697299001,-33.9730529399999 66.9905394699,-33.3662529599999 67.2474822699001,-33.59597022 67.3712920299001,-33.27319332 67.4037399099,-33.05791476 67.6350555699,-33.19860834 67.6880340699001,-32.6652755399999 67.7684555499,-32.1319427399999 67.8488770299001,-31.99916466 68.0952606699001,-32.40027612 68.1994171299,-32.13750456 68.2449798099,-32.52722166 68.4504013899001,-32.4894447 68.6184538899,-32.00722506 68.2619323899,-31.53034782 68.2342910499,-31.7458305 68.2073439699001,-31.70055582 68.0966567499001,-31.02194592 68.0394286298999,-30.4229163599999 68.0652541299,-30.75361254 68.2586059899001,-30.0258351 68.1130371099001,-30.19694526 68.2424774499,-29.8661097599999 68.4131851299001,-29.37694554 68.1994171299,-29.11874958 68.2822113698999,-29.18722158 68.3905486899001,-28.8477783 68.3186035899001,-28.00889208 68.4517899099,-28.01611332 68.5627593699001,-27.61999902 68.4760895499001,-26.99166681 68.5717850199001,-26.3633346 68.6674804899,-25.44347196 68.9647141299001,-25.60944366 69.1035918699,-25.04027934 69.1183165899001,-25.20972054 69.2744293299,-24.66416556 69.2469330699001,-24.65222166 69.3944396499,-24.16833108 69.4227599499001,-24.08652882 69.5147170898999,-24.34722138 69.6019972899001,-23.66055684 69.5535888099001,-23.6886100199999 69.7099915299,-23.92930404 69.7522049499001,-23.2619475599999 69.7472076098999,-23.3650016999999 69.8555451099,-23.00041584 69.7566604899001,-23.2740306 69.8598480099,-23.0686111799999 69.9387893499,-22.2650031599999 70.0144348899001,-22.11777882 70.1516571699,-22.8391686 70.1288757399,-23.56055838 70.1060943099001,-24.29583552 70.2345657099002,-25.03111266 70.3630371099,-25.32944484 70.2738800499,-25.22916414 70.4144287299001,-25.76833344 70.3060913199001,-26.30750274 70.1977539099,-26.8988877 70.2485961699,-27.43472286 69.9541626098999,-28.0120840199999 70.0217971599,-28.58944518 70.0894317099001,-27.9259262399999 70.1604461499,-27.2624073 70.2314605899001,-26.5988883599999 70.3024750299,-26.32694634 70.3787993499,-26.48221974 70.4638824699001,-27.3462763499999 70.4151115598999,-28.21033296 70.3663406498999,-28.7200956599999 70.4103889899,-29.22985836 70.4544373299,-28.30541616 70.5598374099,-27.9156932999999 70.8695601699,-28.40541462 70.9770660699001,-27.61736112 70.9510956699,-27.9206924399999 71.1299820099,-27.50083344 70.9374770499001,-26.76944736 70.9316558499,-26.1836128799999 71.0503997799001,-25.5977784 71.1691437099,-25.77107808 71.2518234699,-25.51708404 71.2123489299001,-25.41236112 71.3509597299001,-26.39867976 71.4767188899001,-27.3849984 71.6024780499001,-27.92597013 71.5774764999,-28.4669418599999 71.5524749499001,-27.89687448 71.6325530799,-27.3268070999999 71.7126312099001,-28.01489643 71.9005126899,-28.7029857599999 72.0883941699,-28.19843766 72.0093307899,-27.6938895599999 71.9302674099001,-26.9502753599999 71.5785979899001,-26.2870826399999 71.5578994299,-25.62388992 71.5372008699,-25.2816696 71.3916625899001,-24.78041838 71.2413787899,-24.27916716 71.0910949899,-24.1711101 70.7808226899,-23.82833484 70.5669403899001,-23.2529507099999 70.4989814799,-22.67756658 70.4310225698999,-22.6448612999999 70.7183151699,-22.4650000799999 70.8502654299001,-22.40055468 70.4591522499001,-21.95833212 70.3897095099001,-21.4758320399999 70.5416489499,-21.77722548 70.5823516299,-21.5496539999999 70.7059554699,-21.6397209599999 70.7954025099,-21.92666634 70.8060226899001,-21.59305578 70.9627684899,-22.3281936 71.0538024099001,-21.78944388 71.1019286499,-21.72472002 71.2472077299,-21.96166608 71.2638854499,-21.6077767199999 71.3244324099001,-21.81458286 71.3135910099001,-21.6723614399999 71.4027633699,-21.8055573 71.5094299299,-22.09333428 71.4933166899001,-22.4499969 71.2483215699,-22.54027932 71.4839401299,-21.89805408 71.7383118099,-22.59777834 71.5713805299001,-22.65944292 71.6572113699001,-22.4297218799999 71.7949828299001,-23.13194274 71.6535949899,-22.5036126 71.9002686099001,-23.17592754 72.0708211899001,-23.84824248 72.2413737699001,-24.52055742 72.4119263498999,-25.19361108 72.3577575099001,-25.52750208 72.1228942299001,-25.28833572 72.3830413899001,-25.90749936 72.4154052099,-25.30249884 72.4565811099001,-24.69749832 72.4977570099001,-24.60305412 72.5491486299,-24.82722468 72.7152709899,-25.5666655799999 72.8330536299001,-26.46277614 72.5722197699001,-26.31555558 72.7349853099001,-26.77819626 72.7119292899,-26.42861178 72.7780456299001,-27.3819427199999 72.8272093899,-26.70458409 72.8072051799001,-26.02722546 72.7872009699001,-25.50652884 72.9019965999,-24.98583222 73.0167922299001,-25.7066650799999 73.1056098999001,-26.42749794 73.1944275699001,-27.2650032 73.1197052499,-27.4974975 72.9244232499,-27.4063872599999 73.1099854299001,-27.7158317399999 73.1405487099001,-27.0527763599999 73.1946067599,-26.3897209799999 73.2486648099001,-26.92152603 73.3519630299001,-27.45333108 73.4552612499001,-26.7941646899999 73.3484573499001,-26.1349983 73.2416534499001,-25.40520765 73.3800201699,-24.675417 73.5183868899001,-25.18208316 73.7353668099,-25.6887493199999 73.9523467299001,-25.07590197 73.7440795299,-24.46305462 73.5358123299,-24.45263676 73.6984558299001,-24.0441665399999 73.8146973099,-23.3956927799999 73.6888656999001,-22.7472190199999 73.5630340899001,-22.1855545799999 73.6233139299001,-22.69444266 73.5444336099001,-23.36333274 73.6234588299001,-24.03222282 73.7024840499001,-23.5063895399999 73.4447020899,-22.9427775899999 73.3476256599,-22.3791656399999 73.2505492299001,-21.5608329 73.4780425898999,-21.00680541 73.4706802299001,-20.45277792 73.4633178699,-20.5330581 73.7208251499001,-20.29611204 73.8833313099,-21.02235984 73.9708251699001,-21.74860764 74.0583190299,-21.91444398 74.0105437898999,-21.70624734 73.6951216899001,-21.8216667599999 73.6510926099,-21.98624796 74.0003280699001,-22.4915256 74.0763778899001,-22.03805538 74.2561035699001,-22.4791640999999 74.3097000099,-21.7641697199999 74.4224853099001,-22.0827789 74.5983276699001,-21.18111162 74.4858246099001,-20.27944434 74.3733215499,-19.37777706 74.2608184899001,-18.97819326 74.4834594098999,-19.2826404 74.5245667299,-19.35277938 74.6791534299001,-20.10027888 74.6573485899,-20.84777838 74.6355437498999,-21.1174984799999 74.6740799499,-20.6155548 74.7308197299,-20.76194574 74.8498535499,-20.6388892799999 75.0619201899,-21.19069287 75.0077590899001,-21.74249646 74.9535979899,-22.4347896 75.1662978699,-21.74041368 74.9765091099001,-21.1511802599999 75.0840797198999,-20.56194684 75.1916503299,-21.5322237 75.3713913098999,-22.50250056 75.5511322899001,-21.9546528299999 75.5027160699,-21.4068051 75.4542998499001,-22.08944322 75.6549834699001,-21.26296236 75.4810027899001,-20.4364815 75.3070221099001,-19.61000064 75.1330414299001,-19.33680528 75.4020690699,-19.7572249799999 75.8894347299001,-20.49865848 75.9231363099,-21.2400919799999 75.9568378899,-21.98152548 75.9905394698999,-21.17090232 75.9858168999,-20.3602791599999 75.9810943299001,-19.667223 76.1296996299001,-20.32888887 76.2203979399,-20.99055474 76.3110962499,-20.4222222 76.1362456899001,-20.97916794 76.1774215899,-21.5361136799999 76.2185974899,-21.7043037 76.2506866299,-21.58499916 76.4396972499001,-21.76659198 76.4235305499001,-22.18788144 76.4114075499001,-22.5040302 76.4466400299001,-21.91999824 76.4266510299,-21.85638426 76.4417496099001,-21.6753463799999 76.4847107499,-22.03416828 76.4676895899,-21.6791649 76.5219345699001,-21.84944526 76.6022034099,-22.33374984 76.5122147499001,-22.7356929 76.6859588499,-22.28750226 76.8572083298999,-21.6230545799999 76.6427611899,-20.93944176 76.8424836099001,-21.7279148399999 76.8816528698999,-20.7788887799999 76.8699798699001,-20.5869445199999 76.9302672699001,-20.97777564 76.9819335699,-20.13634116 76.9020690699001,-19.2949066799999 76.8222045699001,-18.4534722 76.7423400699001,-18.1222228799999 76.9458160299,-18.3958320599999 77.3427581499001,-18.9083328299999 77.2913665299,-19.4208336 77.2399749099001,-19.7066649599999 77.3869323099,-20.23937505 77.4001921899001,-20.77208514 77.4134520699001,-20.04055794 77.4580382499001,-20.54507067 77.5014419199001,-21.0495834 77.5448455899,-20.40388866 77.5072174899001,-20.65152546 77.5481795499,-20.3455544399999 77.5991515899,-20.91388698 77.6660919699,-20.25694656 77.7291564099,-19.3033331999999 77.5802764299001,-18.9587478599999 77.6299056699,-19.23999786 77.7630462699,-20.0531940299999 77.8891601199001,-20.8663902 78.0152739699001,-21.43083186 77.6524810899001,-22.03694532 77.6856765099001,-21.4093036799999 78.1074829299001,-21.7579194 78.1324843899001,-21.2880555 78.2122040499,-21.37305456 78.3055419699001,-20.9098605599999 78.6212310099001,-21.42437364 78.6492233499,-20.92833324 78.6916426899001,-21.1836090599999 78.8072737899001,-20.6008339499999 78.8422355499001,-20.0180588399999 78.8771973099001,-19.91472246 78.9641571099,-20.09111022 79.0635986499001,-19.3783339799999 79.2749938899001,-19.20521538 79.2188873499,-19.09166724 79.2999877899001,-19.5736122 79.3311004299001,-19.87389 79.1666565699001,-19.6563873599999 79.3502655699,-19.79999928 79.4579696499001,-19.44555282 79.7388763899,-18.83402631 79.7469330098999,-18.2224998 79.7549896299001,-17.4507618599999 80.0565796299,-18.37010295 80.0799484899,-19.28944404 80.1033173499001,-20.05333326 79.9797057699,-20.21083254 79.8194350299,-19.87763976 79.8442917699,-20.32694622 79.7605438899001,-20.75236128 79.8623504499001,-20.3661116999999 80.0859603099,-20.55486114 80.1031800099001,-19.7008324199999 80.2858123299001,-18.94342554 80.2660013499,-18.1860186599999 80.2461903699,-17.4286117799999 80.2263793899001,-16.6177787399999 80.3263854099,-16.76166912 80.4027709299,-16.22471994 80.5405425699001,-17.06208096 80.5457165799001,-17.89944198 80.5508905899001,-18.736803 80.5560645999001,-19.57416402 80.5612386099001,-20.41152504 80.5664126199001,-21.24888606 80.5715866299001,-20.35851666 80.5894775499,-19.46814726 80.6073684699001,-18.57777786 80.6252593899001,-17.9591635799999 80.8052520099001,-16.9941653999999 80.7659530599,-16.0291672199999 80.7266541099,-15.35361201 80.8233185199,-14.6780567999999 80.9199829299,-15.1389588599999 81.0846404499001,-14.58309123 81.1132888899,-14.0272236 81.1419373299001,-13.09243158 81.3713073699,-12.15763956 81.6006774099001,-13.02777864 81.7065581499,-13.89791772 81.8124388899,-14.7680568 81.9183196299,-15.6795387 81.8997090099001,-16.5910205999999 81.8810983899,-17.5025025 81.8624877699,-17.53944588 81.7477645898999,-17.35388946 81.7019347899,-17.8595829 81.7315140099001,-17.60888862 81.6054000699,-18.2494431 81.4385834499,-19.22888574 81.5549773899,-19.74055482 81.4892882799,-20.2522238999999 81.4235991699001,-20.23138818 81.6013794099001,-19.94083398 81.6830445099,-20.7330552 81.5866546899,-21.6751849199999 81.3542480499,-22.61731464 81.1218414099,-23.55944436 80.8894347699,-23.92583076 80.6477660499,-24.5116692 80.5408172499001,-24.06493188 80.6878281099001,-24.4194451199999 80.6844176499001,-23.97583008 80.7288664899,-23.80750092 80.8041457299001,-23.87944404 80.8891600899,-23.32236186 81.0764502699001,-22.76527968 81.2637404499001,-22.96805382 81.2903977299001,-22.1988868199999 81.4838714498999,-21.9597206399999 81.7680511299,-22.3013916 82.0844268698999,-23.15180781 82.0470733599,-24.00222402 82.0097198499,-24.21055602 81.7083282098999,-24.99007032 81.6264495399001,-25.76958462 81.5445708699,-26.5490989199999 81.4626921999001,-27.32861322 81.3808135299001,-27.5709724199999 81.3897094899,-27.23499684 81.4510956099001,-27.5969467799999 81.5047149099001,-26.8740756 81.5858204499,-26.1512044199999 81.6669259899001,-25.42833324 81.7480315299,-25.24374774 81.8236083099001,-25.2388877399999 81.9963683499,-26.178470595 81.9958838799001,-27.11805345 81.9953994099,-28.057636305 81.9949149399,-28.9972191599999 81.9944304699001,-29.806997724 81.9288207579,-30.6167762879999 81.8632110459,-31.426554852 81.7976013339,-32.2363334159999 81.7319916219,-33.04611198 81.6663819098999,-33.0983352 81.7738800699,-32.9027787 81.8433228099001,-31.90796286 81.9251760099001,-30.9131470199999 82.0070292098999,-29.91833118 82.0888824099,-30.75485994 82.1486053299,-31.5913887 82.2083282499,-30.6596031171429 82.2003500841859,-29.7278175342857 82.1923719184715,-28.7960319514286 82.1843937527573,-27.8642463685714 82.1764155870429,-26.9324607857142 82.1684374213286,-26.0006752028572 82.1604592556143,-25.0688896199999 82.1524810899001,-24.20648196 82.2119293299001,-23.3440743 82.2713775699,-22.48166664 82.3308258099,-21.8990278799999 82.4708900199,-21.3163891199999 82.6109542299,-22.0038885 82.6902618099001,-22.6913878799999 82.7695693899,-23.37888726 82.8488769699001,-24.02222436 82.7572173699001,-23.8422221999999 82.8951263499001,-23.9927749199999 82.9116516099,-24.9354152099999 82.8419341899001,-25.8780555 82.7722167699,-25.32277863 82.8805465299001,-24.76750176 82.9888762899001,-25.06416696 83.1594237699,-25.997029245 83.1530951948999,-26.92989153 83.1467666199001,-27.862753815 83.1404380449001,-28.7956161 83.1341094699,-29.42753022 83.1298217799,-30.05944434 83.1255340898999,-30.3122025 83.0942000499001,-30.97790721 83.0116767099001,-31.64361192 82.9291533699,-32.59028052 82.9372024299,-33.53694912 82.9452514899001,-33.8819427 82.7888793699001,-33.9244461 82.9033203099001,-34.88694768 82.9063720299,-35.43499764 82.7413635099,-35.2963944 82.8863830299001,-35.6086121399999 82.9066467099,-34.83013923 82.9390106199001,-34.05166632 82.9713745299001,-33.27319341 83.0037384399,-32.4947205 83.0361023499001,-33.38777916 83.1505432899001,-32.65847199 83.1010971099,-31.92916482 83.0516509299,-31.15482006 83.0934040899,-30.3804752999999 83.1351572499,-29.6061305399999 83.1769104099,-28.71432063 83.1843452649001,-27.82251072 83.1917801199,-26.93070081 83.1992149749,-26.0388909 83.2066498299001,-25.6534023599999 83.2904738499001,-26.19972234 83.3791503099001,-27.037444356 83.4237609339,-27.875166372 83.4683715579,-28.712888388 83.5129821819,-29.550610404 83.5575928059,-30.38833242 83.6022034299,-31.213400895 83.6026916799001,-32.03846937 83.6031799299,-32.8635378449999 83.6036681799001,-33.68860632 83.6041564299001,-34.08153156 83.5640106699001,-33.8827742999999 83.4524841099001,-34.3641663 83.5969391499,-35.08648176 83.5792491099,-35.80879722 83.5615590699001,-36.53111268 83.5438690299001,-36.90083304 83.4924774099,-36.43804926 83.3610991899001,-37.03194045 83.4326324499,-37.62583164 83.5041657099001,-38.0586090599999 83.4313659699,-37.796112 83.3591461899,-38.31999966 83.3962326699001,-38.84388732 83.4333191499,-38.85527808 83.2494277298999,-38.67805476 83.2052613099001,-37.77798456 83.1769333599,-36.8779143599999 83.1486054099,-37.8376388099999 83.1023483799,-38.7973632599999 83.0560913499,-38.0338210799999 83.0306777799,-37.2702789 83.0052642099001,-38.1844444499999 83.0013732399,-39.09861 82.9974822699,-38.65555566 82.7777710299001,-39.47405544 82.8772155939,-40.29255522 82.9766601579,-41.1110549999999 83.0761047219,-41.92955478 83.1755492859,-42.74805456 83.2749938499,-43.3655739 83.2380218499,-43.98309324 83.2010498499,-43.42793274 83.1469040499001,-42.87277224 83.0927582499,-43.4363860799999 83.1023569299,-43.99999992 83.1119556099,-43.99999992 84.0816763213286,-43.99999992 85.0513970327572,-43.99999992 86.0211177441857,-43.99999992 86.9908384556143,-43.99999992 87.9605591670429,-43.99999992 88.9302798784715,-43.99999992 89.9000005899001,-43.01333334 89.9000005899001,-43.0104166199999 89.9000005899001,-42.02666658 89.9000005899001,-42.02083332 89.9000005899001,-41.04 89.9000005899001,-41.03125002 89.9000005899001,-40.05333342 89.9000005899001,-40.04166672 89.9000005899001,-39.06666666 89.9000005899001,-39.0520834199999 89.9000005899001,-38.08000008 89.9000005899001,-38.06249994 89.9000005899001,-37.09333332 89.9000005899001,-37.07291664 89.9000005899001,-36.1066667399999 89.9000005899001,-36.08333334 89.9000005899001,-35.1199999799999 89.9000005899001,-35.09375004 89.9000005899001,-34.1333334 89.9000005899001,-34.10416674 89.9000005899001,-33.14666664 89.9000005899001,-33.11458326 89.9000005899001,-32.16000006 89.9000005899001,-32.12499996 89.9000005899001,-31.1733333 89.9000005899001,-31.13541666 89.9000005899001,-30.1866667199999 89.9000005899001,-30.1458333599999 89.9000005899001,-29.19999996 89.9000005899001,-29.1562500599999 89.9000005899001,-28.21333338 89.9000005899001,-28.16666658 89.9000005899001,-27.22666662 89.9000005899001,-27.17708328 89.9000005899001,-26.2400000399999 89.9000005899001,-26.18749998 89.9000005899001,-25.2533332799999 89.9000005899001,-25.19791668 89.9000005899001,-24.2666667 89.9000005899001,-24.20833338 89.9000005899001,-23.27999994 89.9000005899001,-23.21875008 89.9000005899001,-22.29333336 89.9000005899001,-22.2291665999999 89.9000005899001,-21.3066665999999 89.9000005899001,-21.2395832999999 89.9000005899001,-20.32000002 89.9000005899001,-20.2499999999999 89.9000005899001,-19.33333326 89.9000005899001,-19.2604167 89.9000005899001,-18.34666668 89.9000005899001,-18.2708334 89.9000005899001,-17.35999992 89.9000005899001,-17.28124992 89.9000005899001,-16.3733333399999 89.9000005899001,-16.29166662 89.9000005899001,-15.38666658 89.9000005899001,-15.30208332 89.9000005899001,-14.4 89.9000005899001,-14.31250002 89.9000005899001,-13.41333342 89.9000005899001,-13.32291672 89.9000005899001,-12.42666666 89.9000005899001,-12.33333342 89.9000005899001,-11.4400000799999 89.9000005899001,-11.34374994 89.9000005899001,-10.45333332 89.9000005899001,-10.35416664 89.9000005899001,-9.46666673999999 89.9000005899001,-9.36458333999991 89.9000005899001,-8.47999997999995 89.9000005899001,-8.37500003999992 89.9000005899001,-7.49333339999998 89.9000005899001,-7.38541673999993 89.9000005899001,-6.50666663999999 89.9000005899001,-6.39583326000002 89.9000005899001,-5.52000005999992 89.9000005899001,-5.40624996000003 89.9000005899001,-4.53333329999992 89.9000005899001,-4.41666665999998 89.9000005899001,-3.54666671999996 89.9000005899001,-3.42708335999998 89.9000005899001,-2.55999995999997 89.9000005899001,-2.43750005999999 89.9000005899001,-1.57333338000001 89.9000005899001,-1.44791657999991 89.9000005899001,-0.586666620000017 89.9000005899001,-0.45833327999992 89.9000005899001,0.399999960000059 89.9000005899001,0.531250019999959 89.9000005899001,1.38666671999994 89.9000005899001,1.52083331999995 89.9000005899001,2.37333330000001 89.9000005899001,2.51041662000011 89.9000005899001,3.36000006000012 89.9000005899001,3.49999992000011 89.9000005899001,4.34666663999997 89.9000005899001,4.48958340000013 89.9000005899001,5.33333340000007 89.9000005899001,5.47916670000012 89.9000005899001,6.31999997999992 89.9000005899001,6.46875000000006 89.9000005899001,7.30666674000003 89.9000005899001,7.45833330000005 89.9000005899001,8.2933333200001 89.9000005899001,8.44791660000004 89.9000005899001,9.28000007999998 89.9000005899001,9.43750008000006 89.9000005899001,10.2666666600001 89.9000005899001,10.4270833800001 89.9000005899001,11.2533334200001 89.9000005899001,11.41666668 89.9000005899001,12.24 89.9000005899001,12.40624998 89.9000005899001,13.2266665800001 89.9000005899001,13.39583328 89.9000005899001,14.2133333400001 89.9000005899001,14.38541658 89.9000005899001,15.19999992 89.9000005899001,15.37500006 89.9000005899001,16.1866666800001 89.9000005899001,16.36458336 89.9000005899001,17.17333326 89.9000005899001,17.35416666 89.9000005899001,18.16000002 89.9000005899001,18.3437499600001 89.9000005899001,19.1466666000001 89.9000005899001,19.3333332600001 89.9000005899001,19.9999999254948 89.9000005899001,20.13333336 89.9000005899001,20.3229167400001 89.9000005899001,21.1199999400001 89.9000005899001,21.3125000400001 89.9000005899001,22.1066667 89.9000005899001,22.3020833400001 89.9000005899001,23.09333328 89.9000005899001,23.2916666400001 89.9000005899001,24.0800000400001 89.9000005899001,24.2812499400001 89.9000005899001,25.06666662 89.9000005899001,25.27083342 89.9000005899001,26.0533333800001 89.9000005899001,26.26041672 89.9000005899001,27.03999996 89.9000005899001,27.25000002 89.9000005899001,28.02666672 89.9000005899001,28.23958332 89.9000005899001,29.0133333000001 89.9000005899001,29.22916662 89.9000005899001,30.00000006 89.9000005899001,29.9999344400001 88.9055176399,29.99986882 87.9110346899,29.9998032 86.9165517399,29.9997375799999 85.9220687899,29.9996719600001 84.9275858399001,29.9996063400001 83.9331028899001),(-40.67333226 83.2802734299,-39.81083301 83.1969375699001,-38.94833376 83.1136017099,-39.62291715 83.2315139499,-40.29750054 83.3494261898999,-40.67333226 83.2802734299),(-39.9240608399999 83.1203994099,-40.54340358 83.1494292698999,-39.61389168 82.9944305499001,-39.3047181 83.0913695499,-39.9240608399999 83.1203994099),(-20.78194428 82.1338806099001,-20.21444316 81.8927612499,-19.7445812399999 81.8752517499001,-19.88583372 81.9747008499001,-20.78194428 82.1338806099001),(-19.2437477999999 81.7806855099,-18.58555602 81.6466522899,-18.3075714 81.6618576099001,-18.755001 81.8019256899,-19.2437477999999 81.7806855099),(-20.16472248 81.6792907899001,-20.90361024 81.7302703899001,-20.76778026 81.6783142899001,-20.9305533599999 81.6063690099001,-20.16472248 81.6792907899001),(19.91374596 80.3766478899001,19.8086090400001 80.2124938299,18.9799957800001 80.3366545899,19.57985874 80.1492920499001,19.3405532400001 80.0863800698999,18.5656919400001 80.1067238499001,17.79083064 80.1270676299001,18.29833128 80.0485267899,18.8058319200001 79.9699859499,18.1541633400001 79.9099883499001,18.7713851400001 79.7174835699001,19.658711385 79.7368602999,19.9999999254948 79.7443130896023,19.9999999254948 79.5527273971211,19.67971806 79.5508194099001,19.9999999254948 79.5037274436342,20.30791284 79.4584541199,20.9361076200001 79.3660888299001,21.88680264 79.3867873899001,22.8374976600001 79.4074859498999,22.65583032 79.3599853899001,22.7794418999999 79.2530517099,23.75916282 79.1741485299,24.7409676899999 79.2910270298999,25.7227725600001 79.4079055299,25.97527314 79.5077666499,25.81110756 79.6138687299,26.4962463300001 79.7395629999,27.1813851 79.8652572699001,27.22929948 80.0965194699001,26.2553659800001 80.1873016299001,25.28143248 80.2780837899001,24.3074989799999 80.3688659499,23.73013692 80.2420653999001,23.1527748600001 80.1152648499,23.04749682 80.2449798699001,23.33971782 80.3424225099001,23.1270789600001 80.3827668098999,23.3558292600001 80.4265136499001,22.88694006 80.4902649699,22.74916068 80.3241577299,22.3611069600001 80.4102630699,22.5685386000001 80.2963714899001,22.363884 80.0013885699,21.60798264 80.1212997099,21.83832936 80.2711029099,20.8533286800001 80.2111053099,20.26110645 80.3563842999,19.9999999254948 80.4204367623727,19.6688842199999 80.5016632899,19.4587441200001 80.4206771499001,19.91374596 80.3766478899001),(18.9372177 79.1602631499001,18.85971834 79.4505462699001,18.35694126 79.6283112099,17.6377030200001 79.3760910699,18.08701128 79.7281723299,17.1973924200001 79.8954658599001,16.3077735600001 80.0627593899001,15.9755544 79.9680480699,16.11082836 79.8602599299,15.647499 79.7649994299001,16.0487479800001 79.3344345699001,16.4499969600001 78.9038697099,15.71444316 79.1108094099001,15.77263734 79.2377625099001,15.2912493 79.5970687899,14.76916506 79.7819367099,13.8849983999999 79.5383148099,14.1538878 79.3352661699001,14.0588865000001 79.2602691699,13.2647209200001 79.4709548499001,13.47485832 79.5824889698999,12.96208098 79.5756835299,12.44930364 79.5688780899,13.16701269 79.6476287199,13.88472174 79.7263793499,13.9574986200001 79.8283234299,13.82472036 79.8752593299001,13.0133313900001 79.8542938299001,12.20194242 79.8333283299001,12.3113880000001 79.6619262099001,11.69638632 79.8349915299,11.19569202 79.7749939299,11.3661079200001 79.6349944299,10.8593720999999 79.5974197899001,11.18027682 79.5594176499001,10.68235866 79.5460891899,11.2363853400001 79.0930480899001,11.7099981 79.1637344499001,11.6386108199999 79.3194427299001,12.1152735 79.2933196899001,11.7552776399999 79.0758210099001,12.50069238 78.9119949099001,11.9188523700001 78.9362678199001,11.33701236 78.9605407299001,11.92430394 78.8259201699,11.6447905800001 78.7359543699,11.9181929400001 78.6292800699001,12.55277637 78.5854263099,13.1873598000001 78.5415725499001,12.3715944 78.4808884299001,13.00666626 78.1974793299001,13.86742932 78.2918587299,14.7281923800001 78.3862381299,14.38888842 78.4915084299001,14.53166586 78.6827544699,15.0279150600001 78.5990143299001,15.37083054 78.8430405099001,15.44888682 78.6330413499001,15.1988868000001 78.5905456899001,15.4727755200001 78.4512404499,16.1418023100001 78.5631141399001,16.8108291 78.6749878299001,16.33027464 78.4509582099001,17.29520424 78.4217910099,16.5305186100001 78.3785285499001,15.7658329800001 78.3352660899001,14.9891643000001 78.1027680099,14.2413863400001 78.0952683099,14.3558310600001 77.9627685099001,13.5922194 78.0522002499001,13.75624944 77.7298431099001,13.951665 77.7180480699001,14.71527558 77.7713775249001,15.4788861600001 77.8247069799002,16.2424967400001 77.8780364349001,17.0061073200001 77.9313658899001,16.2526127400001 77.8406752899,15.4991181600001 77.7499846899,14.7456235800001 77.6592940899001,15.4843363800001 77.5471381599,16.22304918 77.4349822299001,15.4534209600001 77.4649861299001,14.6837927400001 77.4949900299,13.91416452 77.5249939299001,14.49499698 77.1708221499,15.1628659200001 77.1141561099001,15.83073486 77.0574900699001,16.4986038000001 77.0008240299,16.0003776600001 76.9410973299001,15.50215152 76.8813706299001,16.24968342 76.7383156299,16.9972153200001 76.5952606299,17.2009677600001 76.6994248299001,16.93860624 76.8128966499,17.3155518000001 76.9688034699001,17.1011772000001 77.0473403499,17.32582854 77.0438690499,17.77888494 77.4905395899,18.2965240800001 77.5129089099001,18.4108276800001 78.0216522699001,19.0853443800001 78.0934524699,18.9699249600001 78.4519959099,19.7767073400001 78.5206528299001,19.9999999254948 78.5396549568168,20.58348972 78.5893097499,21.3902721000001 78.6579666699001,21.54041478 78.8405379699,20.6726824199999 78.9471130299,19.9999999254948 79.0297320268599,19.8049500600001 79.0536880899,18.9372177 79.1602631499001),(20.0583306 79.0330504899001,20.3424949800001 78.9908142099001,20.8311080400001 79.0569305499001,20.1172179599999 79.1208190299,20.0583306 79.0330504899001),(28.42888266 78.9519347499001,28.09555056 78.8116454499,28.90180017 78.8540115099001,29.7080497800001 78.8963775699,29.0684662200001 78.9241561599,28.42888266 78.9519347499001),(26.39805228 78.7740173499001,26.7358284000001 78.6238708899,27.0151367399999 78.6956786499,26.39805228 78.7740173499001),(20.7799988400001 78.2844238299,20.6711082000001 78.1874848299,21.4695806400001 78.2264480799001,22.2680530800001 78.2654113299001,22.2413826599999 78.4805449899001,22.0288849200001 78.5808258699,21.08577537 78.5252151399001,20.14266582 78.4696044099001,20.66388318 78.3872070699,20.4705505800001 78.3163758099001,20.7799988400001 78.2844238299),(22.2999025799999 78.2054494899,21.6170323800001 78.1639659099001,20.9341621799999 78.1224823299,21.64499658 77.9124909099001,20.86721802 77.4545745099,21.8202047099999 77.5003661499001,22.7731914000001 77.5461577899001,22.4156208599999 77.4116515299,22.4236069200001 77.2572174699001,22.6411056000001 77.2530517299001,23.3948097 77.4177220299001,24.1485138000001 77.5823923299,24.9022179 77.7470626299,24.00749586 77.8678245399001,23.1127738200001 77.9885864499001,23.4597168 78.1558228299,22.9827727800001 78.2469330699001,22.2999025799999 78.2054494899),(-18.6594429599999 76.6308135099,-19.0694466 76.7413635699,-18.76305762 76.5877684899,-19.1288871 76.4955291099001,-18.6455536199999 75.8913726099,-18.64860912 76.1636047899001,-18.6594429599999 76.6308135099),(-20.74527738 76.3949890299,-20.7227745 76.5141601899001,-21.13777728 76.4445648099,-20.74527738 76.3949890299),(-21.1741677 76.5555420099001,-21.0538902599999 76.6438752099,-21.54736134 76.6120681299,-21.1741677 76.5555420099001),(-17.73277668 77.7086029299001,-17.58486168 77.8351287099001,-17.6749992 77.8997191899001,-18.24006852 77.6813660499001,-17.73277668 77.7086029299001),(12.1205519999999 78.1958161299,11.8211097600001 78.4410857499,11.2672215000001 78.5380402299,11.00610918 78.8291625099,10.4879140200001 78.8933258499001,11.0733318000001 78.4558257698999,11.5969419 78.3258209499,12.1205519999999 78.1958161299),(-19.3477782599999 78.8137284099,-19.208889 78.9541626099001,-19.75583466 78.7929000699001,-19.41611094 78.7244262699001,-19.1613884399999 78.7688826699001,-19.41874884 78.7862397099,-19.18222038 78.8038635099001,-19.3477782599999 78.8137284099),(-17.6072234399999 79.0877685099001,-17.72138592 79.2194367099,-18.1199989799999 78.9977569899,-17.6072234399999 79.0877685099001),(-20.0133342 80.0947036299001,-19.08555606 80.1508179099,-19.7241669 80.2447051899001,-20.0133342 80.0947036299001),(18.75860982 80.3019255699,18.58805082 80.3385924699,18.11944206 80.2847137899001,18.45666126 80.2380370899001,18.75860982 80.3019255699),(-18.83916846 75.3283234299,-18.9238892399999 75.0419311899001,-18.23152932 74.9953994799001,-17.5391694 74.9488677698999,-17.3269463399999 75.1422118899,-17.76111228 75.0813751299,-18.21471984 75.2272033899,-17.8058338199999 75.3083113899,-17.9702758799999 75.4002685299001,-18.83916846 75.3283234299),(-19.96222122 74.9951171499,-20.2308310799999 75.0416565099001,-20.57611086 75.0024872499,-20.6852074199999 74.8103255498999,-20.0844459 74.7027741099001,-19.7312470199999 74.8559569899001,-20.1836089799999 74.9030457099001,-19.96222122 74.9951171499),(18.7911090000001 74.4788742699,19.06916436 74.3430480699,19.2819403800001 74.4835967499001,18.7911090000001 74.4788742699),(-20.53458594 74.4020767298999,-20.95828632 74.4428406099,-21.4740037799999 74.3336334399002,-21.98972124 74.2244262699001,-21.20999904 74.0861052699001,-20.69374842 74.1245727099,-20.1774978 74.1630401499001,-20.53458594 74.4020767298999),(-23.81416515 73.3173446199002,-24.39749916 73.4147032899,-25.25666814 73.4027709099,-25.7111530199999 73.1953277499,-25.4930535 73.1269225299001,-24.93999864 73.0752639698999,-24.38694378 73.0236054099001,-23.66277696 73.0791625899,-22.9386101399999 73.1347197699001,-23.62092468 73.1904093099,-24.30323922 73.2460988499001,-24.98555376 73.3017883899001,-24.1081924499999 73.2608871699001,-23.23083114 73.2199859499,-23.81416515 73.3173446199002),(-23.27967648 73.0581511898999,-23.9338665 73.0062217299001,-24.58805652 72.9542922699001,-23.85269541 72.9134559399001,-23.1173343 72.8726196098999,-22.5165834 72.7742156799001,-21.9158325 72.6758117499,-22.18972212 72.8088684699001,-21.90416526 72.9179000499001,-22.46833044 73.0016632299001,-23.27967648 73.0581511898999),(-22.97982402 72.7866973299001,-23.1491680199999 72.8367996099,-23.453577 72.8360671899,-23.96505159 72.8348312199001,-24.47652618 72.8335952499001,-24.3474998399999 72.5836029699001,-23.6687965199999 72.4266561099001,-22.9900931999999 72.2697092499,-22.3113898799999 72.1127623899,-22.13416674 72.2716521699,-22.7609748 72.4376145099,-21.94694334 72.4810944099,-22.46338368 72.6338958699001,-22.97982402 72.7866973299001),(-8.3444824799999 71.1366576699,-9.04309073999997 70.8038635899001,-8.51452533000003 70.9210014699001,-7.98595992000003 71.0381393499,-7.92851309999998 71.1496963299001,-8.3444824799999 71.1366576699),(23.93416602 71.0194396899,24.0461082 70.9083251499,24.24388878 70.9519348299,23.93416602 71.0194396899),(22.2634009800001 70.5931701699,22.1638870800001 70.4636077899001,23.0888862 70.5811004499,23.45166396 70.7835999098999,22.7042331300001 70.7192993199001,21.9568023 70.6549987299,22.2634009800001 70.5931701699),(23.7026386800001 70.7459640699001,23.83999632 70.5113830299001,24.123888 70.6176300099,23.7026386800001 70.7459640699001),(23.6530533600001 70.5013885299001,23.4033318000001 70.6216584099001,22.8961105200001 70.4483184099,23.15638728 70.2744294098999,23.6530533600001 70.5013885299001),(22.9761086400001 70.2458191299001,22.6844425800001 70.3887405699001,22.3705539 70.3320771099001,22.9761086400001 70.2458191299001),(-25.3976383799999 70.9144287699,-25.6844444399999 71.0633087499,-26.41701699 70.9688491599001,-27.14958954 70.8743895699001,-27.63088704 70.6663360298999,-28.1121845399999 70.4582824899,-28.1318740199999 70.4497681299001,-28.0086021 70.4586410499,-27.1106426999999 70.5232543899,-26.2126833 70.5878677299,-25.3147238999999 70.6524810699,-25.3976383799999 70.9144287699),(-27.2744445599999 70.8746948499001,-27.73694232 70.8822021099,-27.75111012 70.7492904699001,-27.2744445599999 70.8746948499001),(19.5359706 70.2455444499001,19.93222044 70.0524903099001,19.9999999254948 70.0761866177504,20.1197205000001 70.1180419899001,19.9999999254948 70.144191318169,19.5359706 70.2455444499001),(20.42666442 70.1812439499,20.60944362 70.0422211299,20.8322200800001 70.1966551899001,20.42666442 70.1812439499),(18.73444176 69.9229048899001,19.1349982799999 69.7894438899,19.69083216 69.9972151899,18.8555526000001 70.0136108499001,18.73444176 69.9229048899001),(19.06472016 69.7688751099,18.69305418 69.8844298899,18.7558326000001 69.6848525499001,18.3144951 69.7033844499001,18.0452766600001 69.5647124499,18.7383308400001 69.5577698499,19.06472016 69.7688751099),(17.85972024 69.5840224899001,17.4691657800001 69.5977631499001,17.58999636 69.4552764099,17.1966628800001 69.4999999299001,17.4908313000001 69.4243011099,16.93513674 69.3945694299001,17.14277646 69.2494354299,16.8758316000001 69.2213745099001,17.1694413 69.1965255099,16.76749806 69.0902709699001,17.09277732 69.0036011499001,17.99916462 69.1881866499,17.9068032000001 69.3187408299001,18.0953179200001 69.3585282099,18.0999279000001 69.3595047099,18.09838098 69.3609542499,17.85972024 69.5840224899001),(15.46805376 68.8741608099,16.1480521800001 69.2863770099,15.5644426800001 69.0967941699001,15.46805376 68.8741608099),(15.3790264800001 68.8473586299,15.0447216600001 68.9963836899,15.1518049200001 68.8147125698999,14.52944376 68.8049927499001,14.37361056 68.6866607499,14.5011101400001 68.6019439299,15.0091648200001 68.7638854299,15.1611098400001 68.6974945899,14.80402656 68.6152648299001,15.0702762600001 68.5752715299001,15.3976374 68.6801375499001,15.3790264800001 68.8473586299),(15.4490270399999 68.7270736299001,14.98666572 68.2474974699001,15.54145614 68.5036011099,15.3215265600001 68.3431854699001,15.58888812 68.3049927099,16.2205315200001 68.5500641499,16.50114432 68.5524597699,16.54444116 68.7641601099,16.2041664600001 68.8552703499,15.7424994 68.5291594899,15.98777676 68.7547149699001,15.9087562200001 68.9566954899001,15.63277716 68.9441604699,15.4531936800001 68.7595749699001,15.71360976 68.6986084299,15.4490270399999 68.7270736299001),(17.10055548 68.9188843299001,17.24166486 68.7886046499,17.4361095000001 68.8626251499,17.3243521800001 68.9168929899,17.10055548 68.9188843299001),(16.19290926 68.4688414899001,16.1211090599999 68.3763886299,16.4645805600001 68.4654083499001,16.3169020800001 68.5024795299001,16.23499686 68.5230407499,16.19290926 68.4688414899001),(14.68735983 68.2998504699,15.1688881800001 68.4505462899,14.5422210600001 68.4008331699,14.2058314800001 68.1491546498999,14.68735983 68.2998504699),(14.1354151200001 68.2362442299,13.56819336 68.2626266499001,13.5211105800001 68.0394439299001,14.1354151200001 68.2362442299),(-16.5277785599999 66.5080413699001,-16.41736224 66.2760314499001,-16.6870861199999 66.1609650099,-16.59472272 66.0911102499001,-17.1311112 66.2105407898999,-17.6091690599999 65.9874878499001,-18.29514114 66.1752701499,-18.06944652 65.6433258699001,-18.78777882 66.1919327499,-19.45444482 66.0547180299001,-19.45611198 65.7256927899,-20.1741696 66.1294403499001,-20.4226398 66.0844421499001,-20.26305774 65.7236022699,-20.4502085999999 65.4930496299,-20.66416938 65.6908264298999,-20.92722318 65.5888825299001,-21.0922241399999 65.4537430299001,-21.0844459799999 65.1591643899001,-21.30889122 65.5969391499,-21.77500158 65.7647094099,-21.43777842 65.6880493899,-21.28514094 65.9206162299001,-21.58972542 65.9422149699,-21.39944454 66.0272215899,-21.65139 66.0188751699001,-22.4216690399999 66.4333190499,-23.19017418 66.3559035699001,-22.43416968 66.2677764699001,-22.97222514 66.2213744499,-22.4999999999999 66.0769653099,-22.4355583799999 65.8388823699,-22.49972532 65.9661101499,-22.64958378 65.8265228499,-22.67778024 66.0449982099,-23.4687519 66.1997146899,-23.6661129 66.1129073499001,-23.37444684 65.9865189099,-23.8183345799999 66.0144271899001,-23.21618274 65.8401337299,-23.8733348399999 65.8687362699001,-23.53166964 65.7508240299001,-23.19222258 65.7758330499001,-23.52722544 65.6277771099,-24.1052112 65.8056869499,-23.80590432 65.6090239899,-24.06958578 65.6306839299,-23.80743216 65.5309601499,-24.3219470399999 65.6368026699,-24.5384044199999 65.5002746499,-23.879448 65.4024963099,-23.0009059799999 65.4981879999,-22.12236396 65.5938796899,-22.2877807199999 65.4413757698999,-21.69861228 65.4491577099001,-22.56014052 65.1683883099001,-21.7591667999999 65.2035981099,-21.83583456 65.0302734099001,-22.5770671199999 64.9838104299001,-23.31829968 64.9373474499,-24.05953224 64.8908844699,-23.8359736799999 64.7259673899,-23.12159823 64.7692260699001,-22.40722278 64.8124847499001,-22.1665287599999 64.4537429499001,-21.5130576599999 64.6440888099,-21.9788893799999 64.5008239299,-22.09923738 64.3123473699,-21.36277962 64.3849869099001,-21.7591667999999 64.3402709499001,-21.87597474 64.2329025699001,-21.70208556 64.1827696899001,-22.0455588599999 64.0466614299,-22.70041848 64.0819396299,-22.6862506799999 63.8045769099,-21.9279870899999 63.8793697899,-21.1697235 63.9541626699001,-20.36194614 63.7616652699001,-20.54116818 63.7071076299001,-20.19694518 63.5424956499,-19.4859733499999 63.4669418199001,-18.77500152 63.3913879899001,-17.93083572 63.5295792099,-17.87208552 63.7306899699001,-17.1803492999999 63.8132591199001,-16.48861308 63.8958282699,-15.93770976 64.1329803399001,-15.38680644 64.3701324099001,-14.92500114 64.2641601099,-14.54125122 64.4047087899,-14.46248628 64.5423583899001,-14.58472248 64.5849913899,-14.3659448999999 64.6741027299,-14.51222316 64.7965164098999,-14.01805692 64.7236023699001,-13.7697229799999 64.8663024099,-14.05125144 64.9322128299,-13.70041758 64.9204024899,-13.98805614 65.0638885899,-13.4994448799999 65.0691528699001,-14.0302791 65.1934662698999,-13.57013898 65.2613068299,-13.73569488 65.3173523499,-13.60958382 65.5061035899,-14.28805638 65.6562423098999,-14.5583343 65.4992293899001,-14.3384732999999 65.7845763699,-14.84833338 65.7313842099,-14.6188908 65.9944306299001,-15.0708351599999 66.1436004099,-14.7108355199999 66.3672180099,-15.3743057999999 66.1452713499,-16.02541926 66.5361022899,-16.5277785599999 66.5080413699001),(12.5633316600001 66.2177733699001,12.3002776800001 66.0102691899,12.65583222 66.1013869899001,12.5633316600001 66.2177733699001),(12.8986797600001 66.0111083498999,12.8037909600001 66.0081405099,12.5341662599999 65.9997100299001,12.43861002 65.8641662499,12.8401317000001 65.9924086899001,12.8986797600001 66.0111083498999),(12.2580547200001 65.5761108099001,12.06305496 65.2099915299,12.50277714 65.3919373299,12.2580547200001 65.5761108099001),(12.01654152 65.0694198099001,12.12972066 65.0502777099001,12.30155568 65.0995024899001,12.31367976 65.1029739699001,12.1716651600001 65.2069396299001,11.98444374 65.0748520298999,12.01654152 65.0694198099001),(8.29444410000013 63.4970818299,8.45527644000009 63.4263839499,9.17485992000002 63.5616645699,8.61472134000013 63.6091613499,8.29444410000013 63.4970818299),(8.18361090000002 63.3861084099,8.09513766000009 63.4648551699001,7.77944376000005 63.4081917099001,7.98527717999997 63.3088837299,8.18361090000002 63.3861084099),(-40.19110866 64.4305420298999,-40.54277808 64.8441467499001,-40.86138924 64.9109573498999,-40.57268526 64.6855087899,-40.48680492 64.4888686899001,-40.19110866 64.4305420298999),(-37.7430571799999 65.5686035499,-37.3144454999999 65.6713714899001,-37.49812704 65.8020705699001,-37.2700004399999 65.7581863899,-37.8283386599999 65.8663788098999,-37.9881935999999 65.7019347698999,-37.7430571799999 65.5686035499),(7.4810242800001 62.9699059299001,7.51027770000007 62.9386062699001,7.61382000000003 62.9706268299001,7.71013835999997 63.0004119699001,7.39916604000001 63.0574951899001,7.4810242800001 62.9699059299001),(-7.06027787999994 62.3136063099001,-6.65750033999996 62.0558319099,-6.59944493999996 62.1955489899,-7.06027787999994 62.3136063099001),(-6.84112211999997 62.1240043899001,-7.21083348000002 62.2847213499001,-7.23423672000001 62.1770745099,-7.03395611999997 62.1127356699,-6.7177782 61.9333267899001,-6.84112211999997 62.1240043899001),(-7.07200956000003 62.1005097099001,-7.43034798000002 62.1433295499,-7.20166679999988 62.0186080899001,-7.06159637999997 62.0955962499001,-7.05611141999992 62.0986099899001,-7.07200956000003 62.1005097099001),(4.88333322 61.8919372299,4.92249960000004 61.7730484899,5.22111042000006 61.8391608699001,4.88333322 61.8919372299),(-6.96138911999992 61.6209679299,-6.66027827999994 61.3883285499001,-6.72666731999999 61.5745772499001,-6.96138911999992 61.6209679299),(-0.993888899999888 60.7223548298999,-1.17833345999986 60.6345825099001,-1.10472227999992 60.4855498899,-0.993888899999888 60.7223548298999),(5.35999968000004 60.5238875499001,5.45110937999999 60.4723625499001,5.52749922000004 60.4291611099,5.56343172000004 60.4389153099,5.65201620000011 60.4629631299001,5.67944388000001 60.4704093699,5.6793418200001 60.5479659699001,5.67918540000011 60.6668511099,5.67916631999998 60.6812476899001,5.63227416000001 60.6581268699001,5.35999968000004 60.5238875499001),(-1.28666681999999 60.4711074099,-1.29652793999992 60.6333961299,-1.61034732000002 60.4783974099001,-1.32027785999992 60.3563842299001,-1.69215281999999 60.2850646298999,-1.45111121999992 60.1518019898999,-1.29138893999999 60.2413863699,-1.37791673999999 59.9043045099001,-1.2686111999999 59.8511047899,-1.18055556000002 60.2249984499001,-1.03854186000001 60.4427719899001,-1.28666681999999 60.4711074099),(5.36020812000004 59.9883270699,5.51277737999999 59.8930510899,5.65051175999997 60.0658111299001,5.65805538000012 60.0752715699,5.64397433999994 60.0711592899001,5.36020812000004 59.9883270699),(5.48416620000006 59.8605499299001,5.28777702000014 59.9715233499001,5.40055458000001 59.7513885699001,5.48416620000006 59.8605499299001),(5.34305484000009 59.7018012699,5.11888878000013 59.8724976099001,5.14888866000007 59.5811080299,5.18708268000012 59.7352065699,5.34305484000009 59.7018012699),(-43.90222176 59.7902755899001,-43.637085 59.8656883899001,-43.9627760999999 59.9792937699001,-43.99999992 59.9427150699001,-44.11555488 59.8291626099001,-43.99999992 59.8080988299001,-43.90222176 59.7902755899001),(-44.1455459399999 59.8995132699,-44.0127792 60.0149955099,-44.3802796199999 59.9094314499001,-44.1455459399999 59.8995132699),(-44.30750274 59.9777679099,-44.2647246599999 60.1144408299,-44.42142114 60.1414489299001,-44.4974976 60.0111084099001,-44.30750274 59.9777679099),(-43.99999992 60.0895329699001,-43.57277676 59.9147110299,-43.5743103599999 60.0756873699001,-43.13374704 60.0587387499,-43.99999992 60.1322777499001,-44.13180168 60.1434669099,-43.99999992 60.0895329699001),(-45.15222168 60.3763809698999,-45.34986114 60.3848533899,-45.40902714 60.1832542898999,-45.19158552 60.2587318899,-45.15222168 60.3763809698999),(-47.657772 60.7552719699,-47.7583389 60.8002701699001,-48.23889156 60.7955475099,-47.89847178 60.6770781699001,-47.657772 60.7552719699),(-64.86999516 61.3233300099,-64.65972906 61.5880432299,-65.0363922 61.6936035099001,-65.48777766 61.5994338099001,-64.86999516 61.3233300099),(-64.82722482 61.7597884299001,-65.0680695 61.9238814699,-65.21263884 61.8194389899001,-64.82722482 61.7597884299001),(-64.59472656 62.3667984699,-64.3827666599999 62.5258255899001,-64.96583562 62.4658279899001,-64.59472656 62.3667984699),(-64.065834 63.2694358298999,-64.32556158 63.6374969499001,-64.4905547999999 63.6205443699001,-64.4219361 63.4716568299001,-64.065834 63.2694358298999),(-64.4363861399999 63.6733245099001,-64.54943856 63.8952713499001,-64.91639718 63.8063812299001,-64.4363861399999 63.6733245099001),(-50.80750272 64.5224914299001,-51.0250015799999 64.5494232099,-51.33916476 64.2410965299001,-50.80750272 64.5224914299001),(-62.21972268 65.6105422899001,-62.1300011399999 65.6765059899001,-62.25861366 65.7285918699001,-62.4841651799999 65.7240142899,-62.21972268 65.6105422899001),(-52.88763816 68.4457397499,-52.98741918 68.4914246499001,-53.2105559999999 68.4047089299001,-53.12342826 68.3908080699001,-52.9563904199999 68.3641509699,-52.85292048 68.4298477299001,-52.88763816 68.4457397499),(-52.7074985699999 69.4320640599,-51.8365249199999 69.6344223098999,-52.55146026 69.9146995899001,-53.2663956 70.1949768699001,-53.84778219 70.2523422399001,-54.42916878 70.3097076099,-54.79472358 70.2205352499001,-54.82187658 70.0662307899001,-54.24083334 69.9142531899001,-54.76124952 69.9636001899001,-54.93318174 69.8441543499001,-54.40270608 69.6805649499001,-54.98791506 69.6902541699001,-54.4669437599999 69.6470641599,-53.94597246 69.6038741499,-53.9930572199999 69.5013733299,-53.78402718 69.4513777899,-53.3581581599999 69.5762405499001,-53.56527714 69.4969329099,-53.3991699 69.4374846699,-54.2694474 69.3961028498999,-53.57847222 69.2297058099001,-52.7074985699999 69.4320640599),(-67.92027282 69.5219268099,-67.8697205399999 69.7008208899001,-68.24888604 69.5966491299001,-67.92027282 69.5219268099),(-51.0019455599999 69.9185944299001,-51.3627777 69.8519287299001,-51.0116005799999 69.8781052299,-51.38666532 69.7020645099,-51.24527748 69.5313796899,-50.9583358799999 69.5505370899,-50.96527866 69.7244262699001,-50.6576347199999 69.8334655899001,-51.0019455599999 69.9185944299001),(-51.55847172 70.8733063299001,-51.97499856 70.9738770099,-52.1199950399999 70.8655395099,-51.55847172 70.8733063299001),(-53.38194282 71.1352691499001,-53.5841674199999 71.3008117299,-53.9906959799999 71.1278914899,-53.45278164 71.0494231898999,-53.38194282 71.1352691499001),(-53.15471658 71.3427582099001,-52.9358292 71.1472168299001,-52.3774033199999 71.2783279299001,-52.32833856 71.2898482899001,-52.3587456 71.2917939099,-53.15471658 71.3427582099001),(-53.2180556999999 71.5263825099,-52.75750356 71.6576232099001,-53.47173312 71.6570662899,-53.2180556999999 71.5263825099),(-55.34471898 72.1669312299001,-55.01528172 72.3771973299001,-55.6887474 72.1958160099001,-55.34471898 72.1669312299001),(-54.9647902799999 72.8081054499,-55.1974715999999 72.8453217099001,-55.8484687799999 72.6141509499001,-55.5199966799999 72.5547027099,-54.9647902799999 72.8081054499),(-55.4733277199999 73.4288710899,-55.94305428 73.5702666699001,-56.1158371799999 73.5566406699001,-55.68638616 73.4758147299,-55.7436142799999 73.3880461899001,-55.4733277199999 73.4288710899),(-55.9922256 73.8522033699,-56.77555464 73.8728943699001,-56.3233337999999 73.7833251099,-55.9922256 73.8522033699),(-78.89778144 75.8397064899,-79.17666624 75.9495696699001,-78.89306634 76.1155395699,-79.7522277599999 75.8785857699,-78.89778144 75.8397064899),(-71.3488923 77.3627624499001,-72.23554998 77.4541626699,-72.5736160799999 77.4113770299001,-72.09750366 77.3124846699001,-71.3488923 77.3627624499001),(-72.9247131 71.6494292499001,-72.94999698 71.5472106699001,-72.6613846199999 71.6012344299,-72.9247131 71.6494292499001),(-72.8238906 71.4523468899001,-73.1619262799999 71.5692367299,-73.3786010999999 71.5212402699,-73.0605468599999 71.2947082899,-72.8238906 71.4523468899001),(-72.22639464 70.9305420099001,-72.11221308 70.8113708499,-71.3413926 70.9881744099001,-71.7947235 71.0530395699,-72.22639464 70.9305420099001),(5.19444378000009 59.4130553499,5.16055482000007 59.1427765299,5.29333308000014 59.2406922099,5.19444378000009 59.4130553499),(-3.35083337999993 59.1081886299,-3.31333344000001 58.9499968898999,-2.82444479999998 58.8788833899,-3.07500029999994 59.1204147699,-3.35083337999993 59.1081886299),(-3.02263901999999 58.6465262499,-3.80048642999992 58.6104831399001,-4.57833384000003 58.5744400299,-4.76145881999997 58.4460372099,-4.70166677999993 58.5586090299001,-5.00152824000003 58.6241607099001,-5.17472261999995 58.3499983899001,-5.07166668000002 58.2647170899,-5.38944479999992 58.2602728899,-5.28145884000003 58.0772170299001,-5.45284745999993 58.0741615299,-5.10277841999994 57.8508301299,-5.81708375999995 57.8194388499001,-5.8108334399999 57.6395797899001,-5.51013948000002 57.5331916899001,-5.83972271999994 57.5727767499001,-5.81805611999994 57.3624953499,-5.45125013999996 57.4180489299001,-5.59884455999998 57.3304863099,-5.40513935999996 57.2309684498999,-5.64750719999995 57.1616058099001,-5.40305621999994 57.1106186499001,-5.72472287999994 57.1130524299,-5.52402827999998 56.9973563499,-5.91958385999999 56.8870811499001,-5.66291717999991 56.8692321698999,-6.22777841999999 56.6972198499001,-5.55239574000001 56.6888503899,-6.00972263999989 56.6334687099001,-5.67694475999997 56.4938887898999,-5.12083386 56.8147200699,-5.39866727999998 56.4786643899001,-5.07013901999994 56.5606918299001,-5.57138915999997 56.3283271299001,-5.68013930999996 55.8185348198999,-5.78888945999995 55.3087425099,-5.52305610000002 55.3522186298999,-5.42916719999994 56.0069389299,-5.03222273999995 56.2324981899001,-5.30527824000001 55.8522186699,-4.98666708000002 55.8649254099001,-4.82860565999999 56.1131630498999,-4.85461242000002 55.9864844499001,-4.48541729999999 55.9236068499,-4.87826441999999 55.9365234699001,-4.91638896000001 55.7008285899,-4.61361168000002 55.4906883099,-5.17833431999992 54.9888839499,-4.86416717999992 54.6272202099,-4.96076435999998 54.7968711099001,-4.85222238 54.8686065099001,-4.38722225999999 54.6755523699001,-4.39805609999996 54.9063872499,-3.96500021999998 54.7652740899001,-3.57111125999995 54.9908293899001,-3.02708357999995 54.9729118299001,-3.38111118 54.8844375099001,-3.63263921999993 54.5122146099,-3.21472260000002 54.0955506099,-2.81361149999998 54.2227706498999,-3.05263908000001 53.9076347499001,-2.89979172 53.7249946899,-3.10562513999997 53.5599289299001,-2.95388891999994 53.3602752699001,-2.70493074000001 53.3506202499001,-3.45065993999992 53.2783641999001,-4.19638914000001 53.2061081499001,-4.75848719999999 52.7872620099001,-4.13361162000001 52.9144438899,-4.13083368000002 52.3347168099,-4.68500048999994 52.1255493399001,-5.23916729999996 51.9163818699,-5.10256962 51.7789534899001,-5.24694545999995 51.7302703299001,-4.88444526000001 51.7466659899001,-5.05138968 51.6202773699001,-4.94138915999986 51.5941620699001,-4.57444475999995 51.7341613899,-4.07472228 51.6772155099001,-4.24277783999986 51.5408325699,-3.83791715999996 51.6199951299,-3.34611125999993 51.3786086499001,-2.86305570000002 51.5701713098999,-2.38000013999994 51.7617339699,-3.02833368 51.2061081699,-3.62819483999999 51.1969413999,-4.22805599999998 51.1877746299,-4.77166751999999 50.6019439299,-5.24423673000001 50.3313846699,-5.71680593999992 50.0608254099,-5.47055621999993 50.1249923499001,-5.19305615999997 49.9552764699,-5.04805571999992 50.1711043899001,-4.38000011999992 50.3638840299,-3.71666663999991 50.2066650099001,-3.4372224 50.6049956499001,-2.9275002 50.7312469299001,-2.42472276000001 50.5599976299,-1.75958360999999 50.7029151999,-1.09444445999998 50.8458327699001,-0.420277769999984 50.7922210299001,0.253888920000122 50.7386092899,0.758194380000077 50.9201355099001,1.26249984000009 51.1016617299,1.40763870000006 51.1838875298999,1.38555558000002 51.3877715499,0.388935360000119 51.4482193299,0.952499880000119 51.6092300499001,0.935694360000127 51.7365264099001,0.701110979999953 51.7184715099,1.26611082000005 51.8391647499001,1.16347212000011 52.0236091299,1.33124976000005 51.9287453498999,1.58736096000007 52.0838851899,1.74944429999994 52.4558258499,1.67527763999999 52.7480545899001,0.884722140000122 52.9663810899,0.547777620000033 52.9661789499,0.378888840000002 52.7813873499001,0.00210978000006889 52.8798561698999,0.339166620000015 53.0923576899,0.235555560000023 53.3994369699001,-0.139627979999943 53.6185569099,0.142083360000015 53.5805511699,-0.212222159999953 54.0083312499001,-0.0793054799999595 54.1133995899,-0.688402800000006 54.4385052399,-1.29750012 54.7636108899,-1.63597229999999 55.5819396699001,-2.13354170999992 55.8183288099,-2.63111112000001 56.0547179499001,-3.05305578000002 55.9436035899,-3.72375017999997 56.0273552499001,-3.15361133999994 56.1479454399,-2.58347250000003 56.2685356299,-2.88444473999999 56.4513855699,-3.27805560000002 56.3574981099001,-2.53125017999992 56.5761070299,-2.15229185999993 57.0170802999001,-1.77333354000001 57.4580535699,-2.07555588000002 57.6994400498999,-2.86087997999988 57.6572176899,-3.6462040799999 57.6149953299001,-4.43152817999993 57.5727729699001,-3.77402813999993 57.8548545699001,-4.00729517999997 57.8724288699001,-3.33750006000002 58.2769394499001,-3.10972265999999 58.3816603899,-3.02263901999999 58.6465262499),(10.64595312 57.7362671499001,9.9577063800001 57.5862465099001,9.46624859999997 57.1788863499001,9.01722150000001 57.1536102099001,8.61847110000008 57.1215248499001,8.26013754000007 56.8277740299,8.24416542000012 56.7043037499,8.54590122000002 56.5851707499001,8.57906154 56.6876717499001,8.41579722000012 56.6781272499001,8.67659562 56.9481200499001,9.11554902000012 57.0527725899001,10.0066642200001 57.0914763699,10.3366155600001 56.9916649299001,10.5302763 57.2225646099001,10.4318046000001 57.5856895899,10.64595312 57.7362671499001),(8.5461102000001 56.7933272499,8.65527732000004 56.6741638299001,8.91083141999997 56.9483261499001,8.5461102000001 56.7933272499),(-1.56958362 50.6590233699,-1.28250000000003 50.5788879099,-1.11597227999994 50.7363853899,-1.56958362 50.6590233699),(-55.98611442 49.7469406899,-55.46104056 49.9597129299,-55.75055688 49.9236069099001,-56.12263488 50.1545028099,-56.84888466 49.5444412299,-56.78400798 49.7312430699,-56.90533068 49.7475204699,-56.5343303399999 50.1826439199001,-56.1633299999999 50.6177673699001,-56.14916616 50.8890228699001,-56.0688933599999 50.7244339299,-55.796112 51.0391617699001,-55.7147178 51.1789512099001,-55.9925613 51.1765746699001,-56.0819473199999 51.3690186099001,-55.6137504 51.3028372899,-55.40676876 51.5644683699001,-55.8822213 51.4949950299001,-55.90312578 51.6265183299001,-56.68250274 51.3394318299,-56.92749786 50.9158248699001,-57.37860864 50.6877670299,-57.15138618 50.6237412099,-57.3679848599999 50.5931167299001,-57.65885361 50.1289158099002,-57.94972236 49.6647148899,-57.7036782 49.4640197499,-57.99833676 49.5591583899001,-58.21986006 49.3963813299,-58.2041664 49.2426300099001,-57.9332618999999 49.2384642699,-58.0898475 49.1612473299001,-57.91770558 49.1265183099001,-58.14444726 49.1219329899001,-57.8957252399999 48.9772835499001,-58.35041424 49.1480484699001,-58.7012443199999 48.5799942099001,-58.95722196 48.6194381499,-58.77187344 48.7736014899,-59.21250156 48.5477715099001,-58.4183349 48.4866561099001,-58.90159791 48.2031173199,-59.38486092 47.9195785299001,-59.30347068 47.6116600899,-58.66770744 47.6533928198999,-58.0319441999999 47.6951255499001,-57.4363898999999 47.6082515199001,-56.8408356 47.5213774899001,-56.1624983999999 47.6361046299,-55.768959 47.9516563299,-55.91347128 47.6557541499001,-55.63416672 47.6730499898999,-56.11298364 47.4633292899001,-55.7458343999999 47.5852661499,-55.92038346 47.4450263499,-55.58777622 47.3986054299,-55.37048724 47.7256126899001,-55.13021478 47.6137885899001,-54.9414558 47.7776298099001,-55.03215024 47.6270790699,-54.84555054 47.6338805499,-55.4905548 47.1355476699001,-55.9666594799999 46.9813765899,-55.3920822 46.8658295499,-54.8563919399999 47.3905486299001,-54.4149284399999 47.5954780899,-54.60979464 47.3548546299001,-54.47756196 47.3983955499,-54.1961784 47.8412437899,-53.98388676 47.7577743699001,-53.86750038 47.4027709899,-54.1868706 46.8218688699001,-53.59138488 47.1560973699,-53.61430356 46.6411742499001,-53.35805898 46.7372170299,-53.16513822 46.6198501899,-52.93666458 46.7970771099,-52.61736294 47.5084686099,-52.7796860399999 47.7976722699,-53.1185417999999 47.4179077299,-53.26167294 47.5463866899001,-52.83465192 48.0996474699,-53.27444466 48.0133284699,-53.54520804 47.5410347499001,-53.8505553599999 47.7605514099001,-53.60680764 48.0487441899,-53.9097366599999 48.0228232899001,-53.69176872 48.0585669699001,-53.90965278 48.0840187899001,-53.9447594399999 48.1717948899001,-53.93735892 48.2320747299,-53.7021675 48.1875533499001,-53.6262512399999 48.1731834099,-53.59790034 48.1898116299001,-52.9872208199999 48.5480499699,-53.07201378 48.6979752099001,-53.58805092 48.4280472099001,-53.9510383799999 48.5432587299001,-53.60718528 48.6809616099001,-53.92284768 48.6247825299001,-53.80152894 48.8102683899,-54.0961074 48.8122100499001,-53.5911102 49.0381926699001,-53.5111160399999 49.2772141299001,-54.04528044 49.4801254298999,-54.4815597599999 49.2650299299,-54.5280532199999 49.5319366299,-54.82111356 49.2704086899001,-55.07764056 49.3523560299001,-55.38333132 49.0408325499,-55.14131934 49.5433311699001,-55.30555728 49.5344391699001,-55.3152770999999 49.3144379499001,-55.3734703799999 49.5034674699,-55.56114198 49.3681830699001,-55.52264016 49.4842949499,-55.6680564 49.3835334699001,-55.8277817399999 49.5241622499001,-56.12554926 49.4248542699,-55.83332826 49.6866531099001,-56.12416848 49.6133270499001,-55.98611442 49.7469406899),(-54.2854155599999 49.7140197699001,-54.2913894 49.5783271298999,-54.00444798 49.6474914099001,-54.0811157399999 49.7363815299001,-54.2854155599999 49.7140197699001),(-2.53664873999992 49.5079422699001,-2.66853168 49.4326630299001,-2.52847907999995 49.4265365498999,-2.53664873999992 49.5079422699001),(-2.20640417999999 49.1812782699001,-2.02158143999992 49.1772307899001,-2.03735393999995 49.2439612898999,-2.23430939999997 49.2589263099,-2.20640417999999 49.1812782699001),(-53.56416312 48.1905440498999,-53.67860028 48.1480179699001,-53.92811196 48.1826629299001,-53.9275284 48.1795464099,-53.63417052 48.0752716899,-53.56416312 48.1905440498999),(-60.60916908 46.2019348299001,-60.3058318199999 46.8442993899001,-60.5955544199999 47.0301322899,-61.0255566 46.5838146399,-61.45555878 46.1374969899001,-61.47805032 45.8038788699001,-61.33694454 45.5733260499,-60.49888614 45.6202696899001,-59.84055324 45.9383239299,-59.8091659199999 46.1091613899,-60.35375214 46.3077697899,-60.6449241 46.0713462699,-60.3074989799999 46.2087440499,-60.78722382 45.9361686099001,-60.4669418999999 45.9380416899001,-61.1465300999999 45.7015227699001,-60.73673634 46.0551300699,-61.10791776 45.9532547499001,-60.4251365399999 46.2779769099,-60.60916908 46.2019348299001),(-62.60388948 46.1798553099001,-61.97461704 46.4547118899,-62.59550481 46.4334601899,-63.2163925799999 46.4122084899001,-63.6547203 46.5667991499001,-63.7802811 46.4449920699001,-64.0916747999999 46.7786026299,-64.02084354 47.0386047099001,-64.4147262 46.6681861299001,-64.10556036 46.6180496499001,-64.1273499 46.4109268899001,-63.8111115 46.3274918499001,-63.25764462 46.1377716699,-62.96652612 46.3156165299,-63.11381904 46.2089157699,-62.61389154 45.9627684699,-62.4481925399999 46.0967941299001,-62.60388948 46.1798553099001),(-56.39778144 47.1066589299001,-56.3713874999999 46.7868041499,-56.23263558 46.8530502699001,-56.28944394 47.0708313699,-56.39778144 47.1066589299001),(-61.92527778 47.3436049899001,-61.4077758 47.6411055699001,-61.9251404399999 47.4085999299,-62.0115317999999 47.2235984499,-61.79944608 47.2327651299001,-61.92527778 47.3436049899001),(-61.6647911399999 49.1442299499,-61.883892 49.3481902899,-62.6880588299999 49.5945091299,-63.4922256599999 49.8408279699,-64.00236897 49.8509674599,-64.51251228 49.8611069499,-64.02486807 49.6204109499,-63.5372238599999 49.3797149499,-62.86638645 49.2273559299,-62.19554904 49.0749969099001,-61.6647911399999 49.1442299499),(-9.58097357999986 51.8723526099001,-10.1300011199999 51.6122207499001,-9.45166769999997 51.7247162498999,-9.81750113999993 51.4455490299001,-9.25708436999997 51.5093002599,-8.69666760000001 51.5730514899,-8.31069557999996 51.7418022099,-8.42193881999992 51.8815461099,-8.08666793999987 51.8108291499,-7.57888883999999 52.1002731099001,-7.00180632000001 52.1384696499001,-6.99729533999988 52.2782707899,-6.35944518000002 52.1790238299,-6.49819475999988 52.3540268499,-6.14777850000002 52.7383270299001,-6.01305587999991 52.9449996098999,-6.22458413999999 53.3527717898999,-6.0811119 53.5636063299001,-6.38013941999992 53.9133301299001,-6.10625033999997 53.9933662299,-6.26697539999998 54.0998306499,-6.04388898000002 54.0313872699,-5.56222247999995 54.2830504899001,-5.69812536000001 54.5726317899001,-5.51772251999995 54.3691063299,-5.43583349999989 54.4584655299,-5.57430606000003 54.6772193499,-5.90243093999999 54.6022873299001,-5.69041721999992 54.8091620499,-6.06375071999997 55.1915245299001,-6.65812899000002 55.1310596499001,-7.25250726000002 55.0705947699,-6.93513972 55.2384681699,-7.37666694000001 55.3799933499001,-7.54750061999994 55.2169417899001,-7.44652836 55.0556907699,-7.68229199999996 54.9508972899001,-7.61666687999997 55.0538864499001,-7.63250058 55.2655525899,-7.79172947999996 55.2120169899001,-7.69972230000002 55.0951347099001,-7.98145289999991 55.2164574099,-8.45722295999997 54.9967994499,-8.35388946 54.8394393099,-8.79833411999999 54.6957588099,-8.18833355999988 54.6336058899001,-8.66166695999993 54.3552704499,-8.47486206000002 54.2734680099,-9.29354238000002 54.2517318399001,-10.1122227 54.2299956699,-10.12402818 54.0965881299001,-10.01340288 54.2181892899001,-9.78958421999988 53.9454117099001,-9.94069583999993 53.8679123499001,-9.56138993999997 53.8597183899001,-9.90638927999993 53.7586059099,-9.69895836000001 53.5979118099001,-10.18611144 53.5502776899,-10.1765289599999 53.4097174899001,-9.55916694000001 53.3812485098999,-9.6080571 53.2322158899,-8.94111245999994 53.2641601299001,-8.93791764000002 53.1417273699,-9.28083419999996 53.1397171299001,-9.48583403999999 52.8005523099,-9.93236166000003 52.5552024099001,-9.37534814999992 52.6103762799001,-8.81833463999999 52.6655501499001,-9.65361221999996 52.5608292099,-9.83972358 52.3797150099001,-9.74486250000001 52.2472191699001,-10.4633350199999 52.1802062499,-9.76041701999992 52.1495781699,-10.26361278 51.9880522899001,-10.3385924999999 51.7829208699001,-9.58097357999986 51.8723526099001),(-57.87847134 54.7919387499001,-57.94083396 54.9119339499,-58.22298054 54.8316573699,-57.87847134 54.7919387499001),(-4.35347261999999 54.4099960299001,-4.7777787 54.0555495699001,-4.3944444 54.1863861699001,-4.35347261999999 54.4099960299001),(-4.56000047999999 53.3966599299,-4.35138893999988 53.1244430499,-4.04652833999995 53.3015250699001,-4.56000047999999 53.3966599299),(-5.17194467999997 55.4294433099,-5.15472317999996 55.6733321499,-5.37958331999994 55.6701355299001,-5.17194467999997 55.4294433099),(-6.02611164000001 55.6793022099,-6.1256952 55.9312476699,-6.49527839999996 55.7336044299,-6.26222231999998 55.7772178899,-6.27444449999996 55.5727767699,-6.02611164000001 55.6793022099),(-6.07888889999992 55.9055481699,-5.97194478 55.7883300099001,-5.69444471999992 56.1472167099001,-6.07888889999992 55.9055481699),(-60.93673326 56.0124244299,-61.0891648199999 56.1699904899,-61.2183342599999 56.0486069499,-60.93673326 56.0124244299),(-5.66083386000003 56.3993034699,-6.11666675999999 56.6502762099,-6.33777803999988 56.5466613699001,-6.00340319999998 56.4925650699,-6.20166726000002 56.3823586299001,-6.01937531999999 56.3759650299,-6.3230562 56.2654113699,-5.66083386000003 56.3993034699),(-61.1494407 56.4433212099,-61.55805204 56.5519332099,-61.42041774 56.4853400498999,-61.63055424 56.4652709499,-61.1494407 56.4433212099),(-61.3935890999999 56.6177788299,-61.38603594 56.7744216699001,-61.58527758 56.7638855499001,-61.35527808 56.9108200899,-61.4993706 56.9528502699,-61.6419525599999 56.7355881099,-61.3935890999999 56.6177788299),(-6.01430597999996 57.0234680499,-5.64763931999994 57.2583275499001,-6.12722303999999 57.3061065699,-6.30416681999992 57.6861038499,-6.43000031999986 57.5049972099001,-6.63750071999993 57.6055525899,-6.72444539999998 57.4036102299,-6.31208375999995 57.2997856899,-6.48013931999998 57.3024979299,-6.31638900000002 57.1584662499,-6.03055566 57.1774978298999,-6.01430597999996 57.0234680499),(-7.23027797999993 57.0947188899001,-7.22375063999993 57.3395766699,-7.42361165999995 57.3837470499,-7.38402839999998 57.1116599499001,-7.23027797999993 57.0947188899001),(-7.23361211999992 57.5036086899,-7.06861170000002 57.6365928699,-7.19291735999991 57.6870803498999,-7.54083395999999 57.5901336099,-7.23361211999992 57.5036086899),(-6.66138941999986 57.8826370299001,-6.68680613999999 58.0562439699,-6.66430613999995 57.9255524499,-6.47333387999998 57.9422188299,-6.39333396000001 58.1016655299,-6.61972284000001 58.0801353699001,-6.16833395999998 58.2095794899,-6.32702771999999 58.2353972499001,-6.16597272000001 58.4229163899001,-6.26333382000001 58.5126343299,-6.79777811999998 58.3022155899001,-6.86097288000002 58.1059684299,-7.03625058 58.2356910099001,-7.02194507999997 57.9519424299,-6.83222291999994 57.9022217499,-7.12423655999999 57.8356208499,-6.96493097999996 57.7263145899001,-6.66138941999986 57.8826370299001),(-68.22208404 44.4041099499001,-68.24137878 44.4388809099,-68.2929152999999 44.3865280899,-68.4062577 44.2713813699,-68.1824952 44.3327712699,-68.22208404 44.4041099499001),(-73.58944698 40.9205474499001,-74.0050048799999 40.6799927499001,-73.61805726 40.5944365899001,-72.74242782 40.8346099599,-71.8667983799999 41.0747833299001,-72.58473198 40.9060974099,-72.2852783999999 41.1619339299,-72.6376419 40.9816588899001,-73.58944698 40.9205474499001),(-27.38500218 38.7633286299001,-27.13861458 38.6294403099,-27.0658341 38.7641602299,-27.38500218 38.7633286299001),(-28.54944612 38.5272217299,-28.24666974 38.3719405899,-28.07014086 38.4441605499,-28.54944612 38.5272217299),(-25.8541678799999 37.8838882299001,-25.45611192 37.7055510699001,-25.1552809799999 37.7488860699001,-25.16527944 37.8588867699,-25.8541678799999 37.8838882299001),(5.13666630000006 52.3815231099001,5.42222172000004 52.2641602298999,5.61194424000013 52.3697205099,5.85042515999999 52.5242499699,5.86070009999997 52.5309067298999,5.80349880000006 52.5494040699001,5.64361092000007 52.6011047499,5.13666630000006 52.3815231099001),(5.48354105999999 52.5727729299001,5.06484738 52.6344643299001,5.04903941999999 52.6367949699,5.05048950000008 52.6302260499,5.09333328000008 52.4361037899001,5.48354105999999 52.5727729299001),(11.6827956000001 58.2808722699,11.67319386 58.2855492099001,11.66249376 58.2742729299001,11.4649983 58.0661086899,11.7802180800001 58.2036513699001,11.81242944 58.2177046899001,11.78451918 58.2313042299,11.6827956000001 58.2808722699)))', 'NASCO', 'North Atlantic Salmon Conservation Organization', 'No', 'Y'),('SRID=4326;MULTIPOLYGON(((31.9808235600001 47.0074996299,32.01360318 46.6342926699,32.6416206600001 46.6422805298999,32.3480453400001 46.4591560899,31.5145092600001 46.5790938699001,32.00700384 46.4480400099,31.79013444 46.2841606299,32.50040814 46.0762444299001,33.0572128500001 46.1094360699001,33.61401756 46.1426277099,33.7693977 45.9253005699,33.1252479000001 45.6596603499,32.4810981 45.3940201299001,33.01366995 45.2512416999,33.5462418 45.1084632699,33.5544357600001 44.6236037498999,33.3690528600001 44.5843619499001,33.9302750400001 44.3791504299001,34.5185928 44.7444305499,35.08297722 44.7912406299001,35.5265847000001 45.1184577699,35.85693366 44.9863815099001,36.45346068 45.0772780899001,36.4311027000001 45.2710990299001,36.636795 45.3779067099,36.13623804 45.4583206299,35.4579048000001 45.2984656899001,35.0959987800001 45.7029246999001,34.7340927600001 46.1073837099,35.3430405 45.3324966699001,35.13304134 45.3249969699001,34.9866486000001 45.6319275699,34.4633941800001 45.7692947499001,34.6365165600001 45.9374160099001,34.1394348600001 45.9401244699001,33.6710320200001 46.2154731699001,34.5368957400001 46.1844634899001,34.40519334 46.0127334099,34.5663833400001 45.9859618299,34.7005463400001 46.1761284099001,35.1980438399999 46.4433135699001,35.3342971800001 46.3216591299001,34.9967232 46.0742264498999,35.45196345 46.3626595299,35.9072037 46.6510926099,36.7638778800001 46.7510986299,37.5595703999999 47.0864449299,38.23582464 47.1094284099,38.75672538 47.1703319499001,39.2776261200001 47.2312354899001,39.2795715600001 47.0172118899,38.41033176 46.8269347899001,38.38391118 46.7112007299,38.58494958 46.6572113499001,37.7374840200001 46.6671066699001,37.8977661000001 46.4072075499,38.5661658600001 46.0433883099001,38.2206879000001 46.1356811499001,38.0955429000001 45.9449844699001,37.92749022 46.0116577299,37.59136956 45.6274795899,37.73463444 45.2988129099001,37.11040884 45.2344283499,36.82770156 45.4356804099,36.6698113200001 45.3325576899,36.96234516 45.2790222699,36.5804406 45.1926955299001,37.2029113800001 44.9797782099,37.48408128 44.6714439699,37.78308108 44.7233543499,38.1974868 44.3894347299001,38.7537422400001 44.2733192498999,39.3783550200001 43.8262920399001,40.0029678 43.3792648299,40.72953411 43.0467796299001,41.45610042 42.7142944299001,41.7747268800001 41.8856277099001,41.53155894 41.5238761299,40.8407764500001 41.2220744499002,40.14999396 40.9202727699001,39.4142265 41.1067313498999,38.88502497 41.0085010299001,38.35582344 40.9102707099001,37.7425612800001 41.0285339499001,37.12929912 41.1467971899,36.8099974800001 41.3555527299001,36.4315185 41.2420769499001,35.9730529200001 41.7322158699,35.49317166 41.6438675499001,34.9788817799999 42.0919419099001,34.71554574 41.9424897099,34.0270729200001 41.9811707199,33.3386001 42.0198517299,32.80804821 41.8696441599001,32.27749632 41.7194365899001,31.75548264 41.4043673799001,31.2334689600001 41.0892981699001,30.54231258 41.1343904499001,29.8511562000001 41.1794827299,29.15999982 41.2245750098999,29.02555458 41.0344314699001,29.1294403200001 40.9144440099001,29.9339542800001 40.7222099499001,28.98041148 40.6395721299,28.7767296000001 40.5270768099001,29.07999612 40.4776306299,29.05576128 40.3667983299001,28.50447744 40.3618659699002,27.9531936000001 40.3569336099001,28.0201339800001 40.4877052299001,27.7548580800001 40.5297202899001,27.8778420000001 40.3758582699001,27.5116615200001 40.3055535099001,27.1186065000001 40.4527663299,26.70430176 40.3788795699,26.1747207 39.9794388699001,26.1099948600001 39.4576302099,26.95180122 39.5508270099,26.6447219400001 39.2630538099,26.8697205 39.0979079499,26.8016605200001 38.9558258499,27.06298074 38.8731842499001,26.7337456200001 38.6419371699,27.1564522200001 38.4528045099001,26.69180112 38.3108557899001,26.3983307400001 38.6669388099,26.3881206 38.4470061699001,26.50985712 38.4254799699,26.2758294 38.2644348699001,26.7720795 38.1090164799,27.2683296000001 37.9535980899001,27.19492524 37.3523484099001,27.4210815600001 37.4079055899001,27.59527584 37.2324905499,27.3243027600001 37.1530455699,27.2549991600001 36.9649963299001,27.78989319 37.0015906899002,28.3247872200001 37.0381850499001,27.84975345 36.8611049199001,27.37471968 36.6840247899,28.12013622 36.7970772099001,27.98388666 36.5527725699001,28.45638648 36.8808288699001,29.05249788 36.6811066299001,29.14805034 36.3483276699001,29.6772156000001 36.1183319498999,30.20860854 36.3038750499001,30.4048576800001 36.2049216699,30.6165256200001 36.8436050499001,31.04666136 36.8491515699,31.5556869600001 36.6827697399001,32.06471256 36.5163879099,32.56662744 36.0927123699001,33.1359481800001 36.1360740099001,33.7052689200001 36.1794356499,34.1823501900001 36.4923552999002,34.65943146 36.8052749499001,35.5585327200001 36.5797882299,36.01120374 36.9231911499001,36.21728142 36.6547812699001,35.7855453 36.3148460499,35.9224396199999 35.9269942899,35.7338867400001 35.5816650099001,35.9190253800001 35.4226341099001,35.9727706800001 34.6474990299,35.6488839 34.2811050699001,35.37485703 33.6873550899001,35.1008301599999 33.0936051099001,34.7956886699999 32.3448505599001,34.49054718 31.5960960099001,34.2166595400001 31.3233299499001,33.4642295700001 31.1784343599002,32.7117996000001 31.0335387699001,32.2147522800001 31.2824267499001,32.27978898 31.1243037699,32.1430663800001 31.0741653099,31.7774620800001 31.2773934099,31.86070254 31.5152607099001,31.90965264 31.5275154699001,31.9920712200001 31.4014911699,32.0630988600001 31.3581199899,32.2024917599999 31.2909335499,32.0498962199999 31.3788624699,31.9210434 31.5316029099001,31.8940162200001 31.5391445499001,31.55694192 31.4422188699001,31.01222034 31.5970114899,31.12645536 31.4966640099001,30.9024963 31.4202766899,30.5441665200001 31.3931922699001,30.9561100200001 31.5756931899001,30.35544966 31.5028437699,30.2897187 31.2373581699,30.06444168 31.3202742699,29.5669422000001 31.0709685999002,29.0694427200001 30.8216629299001,28.42972182 31.0788879698999,27.9213867 31.0980529299001,27.8441638200001 31.2437496099,27.4388886 31.2227745699,27.32319252 31.3761081099,26.63520615 31.4969415699001,25.94721978 31.6177750299,25.3144416600001 31.5014552499,25.15166478 31.6469420499,24.9826374 31.9665261099,24.1149168000001 32.0913753699,23.2471962000001 32.2162246299001,23.08510026 32.3321113299,23.1191634600001 32.6197509699001,22.37346936 32.7772350399001,21.6277752600001 32.9347191099001,21.09770109 32.7478161099001,20.5676269200001 32.5609131099001,20.0844421200001 32.1847152699001,19.9999999254948 31.9611268047823,19.91958048 31.7481898898999,19.9999999254948 31.5443249589044,19.9999999254948 31.4981081730197,19.9999999254948 30.9981082021234,19.9999999254948 30.7940114320602,19.61777502 30.4172211099,19.0013886 30.2669410899001,18.1843042500001 30.6745806099001,17.3672199000001 31.0822201299,16.5607623900001 31.2359705499001,15.75430488 31.3897209699001,15.46006914 31.8941631399001,15.1658333999999 32.3986053098999,14.20847172 32.6587467099001,13.2511100400001 32.9188881099001,12.34394262 32.8283995899001,11.52608112 33.1711348899,11.1743040599999 33.2100638499001,11.0558329200001 33.6126365499001,10.7516660400001 33.4737435099,10.7159709600001 33.7041625899,10.3319443799999 33.7002715299001,10.0070829000001 34.1686057899,10.7313881400001 34.6702765899001,11.12666508 35.2419432699,11.02708242 35.6373557499001,10.6858330200001 35.7886047099,10.4561785800001 36.1173552699001,10.51277724 36.3511047099,10.7963877600001 36.4653435099,11.10222054 36.9044418099001,11.06777772 37.0513839099,10.3748598 36.7245787899001,10.1967354 36.7901344299001,10.3442355000001 36.8771476899,10.13201244 37.1455154499001,10.2548599199999 37.1795806299,10.04833224 37.2615241899001,9.83844377999992 37.1407432899001,9.85868063999993 37.3283347899,9.73874861999997 37.3404120699001,9.1803894300001 37.1408900799001,8.62203024000002 36.9413680899,7.87666608000006 36.8474961099001,7.22972196000006 37.0863876099,7.17055506000003 36.9199981299,6.92041590000008 36.8843001699001,6.39833255999997 37.0863876099,5.86319400000008 36.8633307999,5.32805543999996 36.6402739899001,4.78874916000001 36.8938866099,3.90166632000012 36.9147185499,3.40093719000009 36.8547515499001,2.90020806000007 36.7947845499001,2.57249970000004 36.5891608299001,1.87749981000007 36.5506877199001,1.18249992000011 36.5122146099,0.693333270000039 36.3077735799,0.204166620000137 36.1033325499,-0.0522221399999694 35.8061066499,-0.37312505999995 35.9027747499,-0.791666819999989 35.7649993299,-1.36930572 35.3129158299001,-2.20944455999995 35.0858307099001,-2.88368081999994 35.2345771299001,-2.83486121999999 35.1251335299,-2.91472235999998 35.2736052699,-2.94694470000002 35.3291626299,-3.33625031999992 35.1913834299,-4.01604228000002 35.2001343099,-4.6958342399999 35.2088851899001,-5.24895857999991 35.5743714099,-5.34583386000003 35.8416595299,-5.31992142000001 35.8898658699,-5.39555741999988 35.9163361299001,-5.59995930000002 35.8672319499001,-5.60000051999992 35.9979627099,-5.60002248000001 36.0143895099001,-5.35579865999995 36.1633071099001,-5.34278394 36.1115722299,-5.33450843999998 36.1625595699001,-5.17263930000001 36.4118728899001,-4.63972230000002 36.5083275099001,-4.39986185999999 36.7214547099001,-3.58437536999998 36.6998920599002,-2.76888888000002 36.6783294099,-2.34708353999991 36.8405495499,-2.12291693999998 36.7334671899001,-1.6436111399999 37.3727722899001,-1.32750018000002 37.5580520499001,-0.723472379999976 37.6022186499001,-0.858333419999894 37.7155495299001,-0.51166674000001 38.3249969499,0.207222119999983 38.7322082499,-0.143333279999922 38.9783325099001,-0.337638959999936 39.4380530499,0.0475000200000864 40.0337409099001,0.589166639999917 40.6127776899001,0.88527780000004 40.7027740899001,0.70361100000008 40.7968712499,0.964444320000041 41.0327758299,1.54090259999998 41.1610374399002,2.11736088000009 41.2892990499001,2.64631932000009 41.5783958799001,3.17527776000003 41.8674927099,3.1180554 42.2251320099,3.31798607999997 42.3204803499,3.17765466000009 42.4368057099,2.96131896000003 42.8422164699,3.0813885 43.0694427099,3.52305531000007 43.3051375899001,3.96472212000003 43.5408324699,4.65277770000006 43.3597182699001,4.70749950000004 43.5720786699,4.81505544000004 43.3992156698999,5.02416612000002 43.5526352499001,5.23152738000005 43.4658316899001,5.03958276000003 43.3479118899,5.60243015999998 43.1992321599,6.16527755999999 43.0505524299,6.64166646000012 43.1849974899001,6.63638886000007 43.3111038699001,7.39160928000001 43.7275466499,7.43929290000011 43.7575225899001,7.53193476000001 43.7820434499,7.77277764000007 43.8152770299001,8.2599993 44.1216640299002,8.74722096000005 44.4280510299001,9.42951248999998 44.2159004199002,10.11180402 44.0037498099,10.35034605 43.4806231899001,10.5888880800001 42.9574965698999,11.15805438 42.5549926299,11.0974293000001 42.3965226099001,11.6277075 42.2982597099,12.32864523 41.7791976699001,13.0295829600001 41.2601356299,13.7122210800001 41.2511100699001,14.0738887800001 40.8219375099001,14.452776 40.7479134099,14.40194328 40.5999984099,14.8307628600001 40.6315192899,14.94194418 40.2341613699,15.35486022 40.0008964899001,15.66374868 40.0330506099,15.9424281000001 39.4508285499,16.2211075199999 38.8686064899001,15.8290263000001 38.6279792499001,15.90611076 38.4727706499,15.6295814400001 38.2292976099001,15.6351375000001 38.0045814699,16.0572871800001 37.9242325299001,16.5691661399999 38.4283333299,16.5949974000001 38.8008269499001,17.16916662 38.9633331099,17.1455535000001 39.3963852099,16.4905547400001 39.7491607299,16.9193039400001 40.4505499899,17.31701088 40.4882927499,17.20381734 40.4124945699,17.3927764800001 40.3305511899,17.85721968 40.2844391499,18.0407619 39.9377060499,18.3494415600001 39.7919388099001,18.5124969 40.1347198299001,18.01263816 40.6430511699001,17.3367586800001 40.9086062499001,16.6608792000001 41.1741613299001,15.9849997200001 41.4397164099001,15.89763834 41.6133309099,16.1927757 41.7899933499,16.1455535999999 41.9111747499,15.16236012 41.9244423699001,14.7365265600001 42.0879097299001,14.01666642 42.6699982299,13.59944352 43.5699996699,12.98388771 43.9083327999,12.3683319 44.2466659299,12.2476377600001 44.7238846299001,12.5380535400001 44.9606170299,12.16110996 45.2638855299001,12.2870817 45.4733275899,13.0877771400001 45.6365242299001,13.19333274 45.7780533699,13.6299992400001 45.7699965699001,13.71694374 45.5961075699,13.5917397000001 45.4816970499,13.6030539600001 45.1577758899,13.9044438 44.7725640099001,14.32305432 45.3509673699,14.4827766 45.3111038499001,14.83152678 45.1154136099,14.9905548 44.5794373299001,15.5222902799999 44.2632559899001,15.15166668 44.1963883299001,15.94083222 43.6836090099001,15.9883327800001 43.5044402499,16.8816643200001 43.4036064099,17.5785255 42.9438248499001,17.64984132 42.8890762299001,17.0123596200001 43.0062447099,17.7577781400001 42.7278423999002,18.50319666 42.4494400899001,18.6786099 42.4605522099001,18.5772209400001 42.3872146299,19.3677712200001 41.8489989699,19.5991650000001 41.7797203899,19.4424973200001 41.4069443499,19.5216636600001 40.9098549099,19.30720896 40.6453094499001,19.4794426800001 40.3548583899,19.28978928 40.4214515499,19.85729022 40.0434684699001,19.9999999254948 39.7143303913239,20.0100288600001 39.6912001899,20.3716802700002 39.3222980199,20.7333316800001 38.9533958499001,20.8208313000001 39.1136055699001,21.0830497200001 39.0566634699,21.0851364600001 38.8640251299001,20.7811089000001 38.9316635499001,20.73277476 38.8044395499001,20.98791306 38.6711083299001,21.16416546 38.3000640699001,21.3580551600001 38.4329146899,21.5399989800001 38.3159676099001,21.9470729400001 38.4085007499,22.37430384 38.3345756499,22.40860932 38.4460372299001,23.2246494000001 38.1533966499,22.8627757800001 37.9395789699001,22.3780374 38.1317138499001,21.89329902 38.3238487299001,21.85360902 38.3395805499,21.83359338 38.3225174499001,21.6416664 38.1588821499,21.38444136 38.2113876099001,21.1109715 37.8856887699001,21.6497192400001 37.4419403499,21.5653438799999 37.1550635498999,21.70360764 36.8166657099001,21.8751353999999 36.7235374899001,21.9297198600001 36.9740218899,22.12083054 37.0266646899,22.4888877000001 36.3861084099001,22.63249782 36.8036079699,23.2014542400001 36.4402007499,22.96350288 37.0018004799001,22.7255515200001 37.5634002099001,23.12888724 37.4480515299001,23.17971996 37.2904129299001,23.51708226 37.4327049099001,22.9918041 37.8823585899,23.51166336 38.0393027499001,24.0339565800001 37.6528434699,24.07402602 38.1949959099001,23.6488095 38.3556862299,23.31749718 38.6440239099,22.52385144 38.8660697499,23.0727767400001 39.0369415899,22.82360832 39.2122192899001,22.94083026 39.3593673099001,23.22152514 39.1822890698999,23.0548591800001 39.0979119099,23.34367746 39.1818009099001,22.9693374000001 39.5970078099,22.59499734 40.0122147099,22.5852069600001 40.4649962499001,22.9449272399999 40.6265221299001,22.8994407000001 40.3966597899001,23.29458228 40.2358321299,23.37944418 39.9927748899001,23.7184714800001 39.9138870099001,23.36805342 40.1438827299001,23.4010391400001 40.2798576099,23.9322203999999 39.9430542099,23.9909706 40.1124954099001,23.7297211200001 40.3512497499,24.3940944600001 40.1480178699001,23.8829823000001 40.4002723899001,23.72201154 40.7446480299,24.4319076000001 40.8774928899001,25.14180366 41.0103377499001,26.0447196600001 40.7358246099,26.1186084 40.5951270699,26.8258285800001 40.5915870099,26.2115937 40.3221473499,26.2179126 40.0529060499001,26.72541054 40.4780502099001,27.2915267400001 40.7002677699001,27.50534244 40.9813080699,28.27079487 41.0179424799,29.0362473000001 41.0545768899,29.0888823600001 41.2462425099,28.5897159 41.4388141599001,28.09054944 41.6313858099,28.0130538600001 41.9822158899,27.6791648400001 42.4183197099001,27.4495791600001 42.4729804899001,27.8940943800001 42.7030525299,27.9449996399999 43.1672134899001,28.1272201200001 43.3949851299,28.5416602200001 43.4377747299,28.58324436 43.7477646099001,28.6295796 44.2965201699001,28.9277724600001 44.6174927499001,28.7574996600001 44.5197219699,28.76305014 44.6255835699,28.9908619199999 44.6856459699,28.78082856 44.6609611299,28.9473551999999 44.8266563499,28.8691939800001 44.9405097699001,29.54943846 44.8202667099001,29.66433138 45.2118034299,29.76041214 45.3222084099001,29.59304814 45.5570716898999,29.6361045 45.8206825899001,29.82277296 45.6483306099,30.5091628200001 46.0963745499,30.83277132 46.5483246699001,31.18905648 46.6245498099,31.5956898000001 46.7970771099,31.4777354400001 46.6319656299,31.9081878 46.6535911899001,31.96502694 46.9253730099001,31.7515221 47.2523536299,31.9808235600001 47.0074996299),(26.0124282 40.1540221299001,25.7766647399999 40.2122116299,25.73166654 40.0930404699001,26.0124282 40.1540221299001),(24.7733307 40.6316604099,24.64319232 40.7972182899001,24.5094413400001 40.6580505699,24.64360812 40.5708312099001,24.7733307 40.6316604099),(25.04763612 39.9866561499001,25.05443958 39.8605499499001,25.26305202 39.9123496299001,25.3558272600001 39.7863845499001,25.4416656600001 40.0047150099,25.04763612 39.9866561499001),(25.8348560400001 39.1800651699,26.0654124600001 39.0845757099,26.25708006 39.2034606699,26.08846848 39.0743713299,26.5218010200001 38.9733200499001,26.61861042 39.0240211899001,26.41999428 39.3258286299001,26.17832952 39.3749848299,25.8348560400001 39.1800651699),(23.5919419200001 38.7647171499,23.3044434000001 39.0372848499001,22.8328437600001 38.8291243899,23.1980533200001 38.8317984699,23.5458050400001 38.5085143299,23.64221952 38.4188842299001,23.7121428599999 38.4097863099,24.0499992599999 38.3658294099001,24.38721846 37.9936065099,24.57583236 38.0041656699,24.56124696 38.1443023299,24.2582607000001 38.2172851299001,24.15388878 38.6466598299001,23.5919419200001 38.7647171499),(25.86332898 38.2398490299001,26.0147208600001 38.1494370098999,26.15958018 38.5420722699,25.8658313400001 38.5849990299001,25.99166484 38.3438796699001,25.86332898 38.2398490299001),(24.69458016 37.9626349899,24.9602776200001 37.6855545099,24.9627762000001 37.8724974699,24.69458016 37.9626349899),(26.58110814 37.6872101499001,26.8180504200001 37.6366576899,27.0669403800001 37.7272185699,26.66763504 37.7912406099001,26.58110814 37.6872101499001),(25.3419399000001 37.0734672099,25.45277022 36.9183196299001,25.5418720200001 37.1976317499,25.3419399000001 37.0734672099),(28.2072220200001 36.4424896299,27.8044434000001 36.2694396099001,27.7312489200001 35.9130516699001,28.06360632 36.1119307899,28.2072220200001 36.4424896299),(14.56971174 35.8692092499001,14.3648976600001 35.9918059899001,14.3371677600001 35.8828316499001,14.5200891600001 35.8011017499,14.56971174 35.8692092499001),(27.2297210400001 35.8254127298999,27.06694218 35.6066626899001,27.14221962 35.3997192099001,27.2297210400001 35.8254127298999),(33.7590675000001 35.4761161599,32.93209836 35.2636260699,32.27861016 35.0954131899001,32.4058266000001 34.7498589099,32.71388238 34.6402740099001,33.3690224400001 34.7265244299,33.68138508 34.9668006699001,34.08527376 34.9616622099,33.9213866400001 35.2727736699001,34.5860366399999 35.6886062499,33.7590675000001 35.4761161599),(26.13583188 34.9972878099,26.30110932 35.2830505899001,25.7840271 35.1138878499,25.76572614 35.3299598499,25.04640393 35.3406715599001,24.32708172 35.3513832699,24.1070652 35.4922141899,24.1763877000001 35.5888862499,23.8485393 35.5229835699,23.7418727400001 35.6863173699,23.52055356 35.2949980899001,23.6819419200001 35.2244415099,24.39249804 35.1888846699001,25.0169410800001 34.9308319899001,25.57638648 34.9640598999002,26.13583188 34.9972878099),(23.0440941000001 36.1362457299001,22.9569435000001 36.3774948699001,22.9116650400001 36.2011071099,23.0440941000001 36.1362457299001),(15.0813885600001 36.6491622099001,15.3166656600001 37.0088882499,15.0927066 37.3483237899001,15.2197209 37.7644423899001,15.6479367600001 38.2645759899,15.54583176 38.2969398099001,14.66847135 38.1345806199001,13.79111094 37.9722214299,13.3186102200001 38.2174950099001,12.92361066 38.0248604499001,12.73361022 38.1397171899001,12.43079766 37.8032570499001,12.6561097800001 37.5597840099,13.1559715800001 37.4912452299001,13.7977772400002 37.2105508899002,14.4395828999999 36.9298565499002,15.0813885600001 36.6491622099001),(20.6433296999999 37.8983307098999,20.83610916 37.6463852499,20.99249658 37.7252731299001,20.6433296999999 37.8983307098999),(20.7934704 38.0632591299,20.5711097400001 38.4680481699001,20.3425675200001 38.1779097699,20.7934704 38.0632591299),(20.7220802400001 38.6271476499,20.70138546 38.8347168099,20.5431919200001 38.5661049699,20.7220802400001 38.6271476499),(19.9250182800001 39.4966736499,19.85499954 39.8183287899001,19.6745815800001 39.6759682299,19.9250182800001 39.4966736499),(17.18360892 42.9186095498999,16.6861076400001 42.9908295099,16.8661080000001 42.8977738299001,17.18360892 42.9186095498999),(16.8872184000001 43.2977752299,16.7761078200001 43.3594435899001,16.4055538800001 43.3260382899001,16.6872214800001 43.2616654299001,16.8872184000001 43.2977752299),(14.7336102 44.9399947899001,14.5391644800001 45.2394409899001,14.4363880800001 45.0699958299001,14.7336102 44.9399947899001),(1.37194434000003 38.8308257498999,1.60291656000004 39.0938835099001,1.29416652000009 39.0313873299001,1.21194432000004 38.8983306099001,1.37194434000003 38.8308257498999),(8.37152766000008 39.3729133899,8.40833190000006 38.9585380899001,8.50538070000005 39.0610275698999,8.64638712000004 38.8902739899,8.90208252000014 38.9026336899,9.01354032000006 39.2631911499001,9.56506823999996 39.1456183899,9.71360964000007 40.0405503099001,9.62333208000007 40.2518730099,9.82416527999999 40.5272179299,9.51045030000012 40.9203759099001,9.63388818000004 40.9891663299001,9.56249802000013 41.1177748899001,9.23305518000012 41.2547149299001,8.57972142000006 40.8399963699,8.22805398000003 40.9383964299001,8.17833329999996 40.6363830699001,8.45722206000011 40.3213882899,8.39597129999999 39.9013138299,8.5572205200001 39.8449936299,8.37152766000008 39.3729133899),(4.27638816000001 39.8063888499,4.17444425999997 40.0502776899001,3.79694412000003 40.0172196099001,4.27638816000001 39.8063888499),(3.47999975999994 39.7163848899001,2.98777770000004 39.9111099699,2.38916627999998 39.5249939499,2.69444412000007 39.5519408499001,3.06027773999995 39.2633324499001,3.47999975999994 39.7163848899001),(9.45958229999997 42.9880485099001,9.34680366000003 43.0004119899,9.28888793999994 42.6749953899001,8.66527740000004 42.5111084499,8.65944288000009 42.0083313699,8.62722198000006 41.9066619699001,8.80236054000011 41.9004134499,8.72583192000013 41.7294388299001,8.91711719999995 41.6856880299,8.7904148400001 41.5578423099,9.2196522000001 41.3672867499,9.55256850000012 42.1183318899,9.45958229999997 42.9880485099001),(10.7351379 33.8904152499001,10.8649998 33.6386109099,11.05263702 33.8076325299,10.7351379 33.8904152499001)))', 'GFCM', 'General Fisheries Commission for the Mediterranean', 'No', 'Y'),('SRID=4326;MULTIPOLYGON(((-79.9999999199999 72.2603798499001,-79.6855850999999 72.1344680499001,-79.9999999199999 72.2200643499,-79.9999999199999 72.2603798499001)),((-43.06555935 82.2754020999001,-42.30083466 82.2149887899001,-43.15041729 82.2375987699,-43.99999992 82.2602087499001,-43.99999992 82.3744297299,-43.8302840399999 82.3358154099,-43.06555935 82.2754020999001)),((-41.12055198 82.7797089099001,-40.5274962599999 82.7310944199,-39.93444054 82.6824799299,-40.01194764 82.5599823699,-39.7533378599999 82.4015197299,-39.8525009399999 82.3616484699,-40.20333102 82.5602568699,-40.8768043499999 82.6484527299001,-41.55027768 82.7366485899,-41.8991660999999 82.7302627299001,-41.60889432 82.6416625899,-41.68277748 82.4780425899001,-42.08953086 82.7578583499,-43.0447653899999 82.7616070299001,-43.99999992 82.7653557099001,-43.99999992 82.8163126299001,-43.04018394 82.8041113899,-42.0803679599999 82.7919101499,-41.12055198 82.7797089099001)),((-43.99999992 82.9791762699001,-43.3866654 82.9144286499001,-43.99999992 82.9547932899,-43.99999992 82.9791762699001)),((29.9996063400001 83.9331028899001,29.99954072 82.9386199399001,29.9994751000001 81.9441369899001,29.99940948 80.9496540399001,29.9993438600001 79.9551710899,29.9992782400001 78.9606881399,29.99921262 77.9662051899,29.9991470000001 76.9717222399001,29.99908138 75.9772392899001,29.9990157600001 74.9827563399001,29.99895014 73.9882733899001,29.99888452 72.9937904399001,29.9988188999999 71.9993074899,28.999762425 71.9993074899,28.00070595 71.9993074899,27.001649475 71.9993074899,26.002593 71.9993074899,25.92540684 71.0914425699,25.6736106000001 71.1383208699,25.2944411400001 71.0422210299,25.5304051200001 70.9448547099,25.58527758 70.9222107099001,25.6285611 70.9300842699,25.9161357599999 70.9823958699,25.87736196 70.5263388699,25.15069206 70.0769424099,24.94305234 70.0917969099,25.2676353600001 70.3959580299,25.0898590799999 70.5065536299001,25.9033318200001 70.8887406099,25.6352061600001 70.8924941499,25.36610976 70.9695739299,25.2652741200001 70.8126297699001,24.5884705200001 70.9609603899,24.6262474800001 70.7761077699,24.25638582 70.7708969499001,24.7137471 70.6156921299001,24.3630523799999 70.6885986099001,24.1552773000001 70.5680542299,24.3533993400001 70.4578400499,23.64583212 70.4077759299001,23.17874724 70.0911026499001,23.53471938 70.0192947099001,23.3176364999999 69.9423522699001,22.8730545 70.1024932299,22.2966651599999 70.0412368899001,22.95749862 70.2041626299001,22.1287489200001 70.2255477999001,21.2999992200001 70.2469329699001,21.7254142800001 70.0565185299001,22.09333032 70.1082534099,21.8084011199999 70.0402679499001,22.0995808200001 69.7437438699001,21.3133316399999 70.0209656499001,21.0483322200001 69.7890167499,20.8945809000001 69.8517989499,21.0594443400001 69.9461059899,20.5658301600001 69.7613829699001,20.48492808 69.6313095699,20.84902578 69.4922867499,20.46638682 69.5731888299,19.9999999254948 69.2884920803045,19.9469413800001 69.2561035299,19.9999999254948 69.291387867339,20.28194244 69.4788817899,20.4206238 69.8755416699,20.2884712200001 69.9729079899,19.9999999254948 69.8109620045059,19.82805246 69.7144317699,19.683054 69.4319381499001,19.5335387999999 69.3966522099001,19.77270696 69.8048477499,18.94492728 69.6125640099001,19.22666544 69.5644379499,19.00786788 69.4636764699001,18.8502064200001 69.5503387299,18.4572887400001 69.4495696899,19.00694268 69.2870788298999,18.53944398 69.2991638499,18.2569428 69.4863739299,18.1316737800001 69.3392638899,17.9963874000001 69.2802733899,18.14791482 69.1501312299001,17.48777778 68.9899902699,17.4318733800001 68.8983916899001,17.8443736200001 68.8724976099001,17.4713859 68.8277740899001,17.7924996000001 68.7569428299001,17.23909572 68.7534637899,17.6690597400001 68.6575623099001,16.9729137 68.7015228099001,16.46701056 68.5117263099,17.0076017700001 68.5187072499,17.5481929800001 68.5256881899,17.37374688 68.4090118299001,17.57152368 68.3599166499001,17.20249938 68.3695754499001,17.35805322 68.1763764099001,17.13263706 68.3674926699001,16.22277648 68.3474883699,16.800066 68.1303329499,16.1376381000001 68.3060989899,16.4838866399999 68.1812439699001,16.3424988 68.0716552899001,16.7152748400001 68.0666656899,16.20749664 67.9999924299,16.49583054 67.7941590099001,16.2120113999999 67.9006882299,16.0137482400001 68.2434616899001,15.28833204 68.0305481499,15.84777636 68.0386047699,15.9611110199999 68.0130462099,15.8711108400001 67.9233246699,15.31395765 67.8629761599001,14.7568044600001 67.8026276499,15.0336093600001 67.7761077099,14.8127765400001 67.6388854299,15.3720817200001 67.7924194899,15.78111084 67.7277679899,15.3068742 67.7167282299,15.1824294 67.6195755699001,15.2788887000001 67.5183257499,15.8874634800001 67.5564499299001,15.5313873 67.4649962498999,15.6444435 67.2680512299,15.43527702 67.4737395699,14.93427762 67.4731063299,15.0358314600001 67.5705414099,14.36208246 67.2405472299,15.1538876999999 67.3055495499001,15.7355546400001 67.1757506499,15.38492958 67.1940917499,15.4955539800001 67.0652770899001,14.5808325 67.1952743498999,14.7426375599999 67.1178360099,14.26888746 67.0766525499,14.5551024000001 67.0224532899,14.05324512 66.9754600599,13.55138784 66.9284668299001,13.99083336 66.7852707099001,13.2290267400001 66.7102737099,13.53583152 66.6347197899001,13.19152734 66.6611099499,13.2337254600001 66.5467375899,12.97569276 66.5172805899,13.155138 66.4333267899001,13.02083208 66.3244399299001,13.52742966 66.3051300699,13.02840144 66.1889496099001,13.5833320800001 66.2545929099001,14.13826272 66.3202362099001,13.5497206800001 66.1005553899,13.55965236 66.2340163899001,12.6737490599999 66.0644378499,12.9538087199999 66.0400237299,13.1694431400001 65.8498458098999,12.6708327000001 65.9191589499,12.55340106 65.7479094699,12.7838181600001 65.6347121499001,12.3549289200001 65.6407547499,12.6345119400001 65.4160308699001,12.2490262800001 65.2317961899001,12.6486109800001 65.2644348699,12.4222221000001 65.2305450099001,12.4797897 65.1343002699,12.9392346600001 65.3208846699001,12.6247215600001 65.1336060099001,12.1494360600001 65.0395507899,11.9671421400001 65.0642089899001,11.2531919400001 64.8555450699001,11.6959705200001 64.8988800699001,11.2727775600001 64.8405456699,11.30166522 64.7351302899,12.21708204 64.9406814699,11.41777602 64.6977691299001,11.72805408 64.5797119899,11.2216663800001 64.3161010899001,11.27333268 64.4516601699,10.9656934199999 64.6009674699001,10.66263768 64.4431152099,10.84944348 64.3705519899,10.4952907800001 64.4238129099001,10.65208248 64.3555450299,10.02027708 64.0663757499,10.1927775600001 63.9329109698999,9.54527670000004 63.7661094699001,9.57027618000012 63.6613845699001,10.09458162 63.7596472898999,9.78916554000006 63.6624984099,10.0927773000001 63.5022201099001,10.9419440400001 63.7380523299,11.0222215200001 63.8757591699,10.5799292999999 63.8047866099,11.35763748 64.1084671299001,11.48791608 64.0055465499001,11.1045132 63.8493004299,11.4599295 63.7982598099,10.7205543 63.6049957899,10.9131240599999 63.5999259099001,10.7616654 63.5057601699001,10.9118041199999 63.4580497299001,10.0873603800001 63.4302712298999,10.2631932 63.2648200899001,9.71749871999998 63.6302719299001,9.15281099999999 63.4857596499001,9.41805449999998 63.3747176499001,8.67222215999999 63.4138870899,8.7585400800001 63.3429145299,8.47972205999997 63.2918013699,8.94013794000011 63.2079123699,8.1609706800001 63.1180497099,8.65683935999994 62.9716949499,8.41756824000009 62.9513130099,8.53176977999999 62.8472175699,8.09805492000004 63.1037483499001,7.88090238000007 63.0025635099,7.93866960000014 62.9723854299001,7.45884648000009 62.9089240899,7.03638846000001 62.9674987899,6.95458278000001 62.7240257499001,7.54628355000006 62.7088337499001,8.13798431999999 62.6936417499001,7.52277762000011 62.6666640699001,7.47444438000014 62.5661086899,7.77263885999997 62.5748557899001,7.53916644000009 62.4991607499001,7.08999912000002 62.6477737899001,6.25298544000003 62.5777701699001,6.64683245999998 62.4957580299001,6.38388828000001 62.4194412699001,6.78652721999998 62.4772185699001,7.36249932000004 62.2761078099001,7.02777725999999 62.2665253299,7.01777736000003 62.0849991099001,6.8779854 62.4125632899001,6.70333247999997 62.4448585299,6.39513828000003 62.3772201099001,6.53326325999996 62.1104125899001,6.32041650000014 62.3676338499,5.94916577999999 62.2540245099001,6.36041646000001 62.0608978299001,5.45555502000008 62.1841659699001,5.46888833999998 62.0068015299,5.08013820000008 62.1766624899,5.39909639999996 62.0188140099001,5.15458296000014 61.8924979299,5.36169240000009 61.8893508099,4.98291588000006 61.7399940098999,4.97194433999999 61.6321488098999,5.33867454 61.5924796899001,5.18833260000014 61.4988861698999,5.79624930000006 61.4479827098999,4.96805526000009 61.4208297099,5.62708277999997 61.3613128899,4.95249929999994 61.2561073899001,5.24305493999998 61.1823577899,5.11583328000012 61.1416626699001,5.72982480000013 61.1283455499,6.34381631999997 61.1150284299,6.42847212000009 61.1131935099,6.4355202000001 61.1201782298999,6.71263794000004 61.3947867699001,6.57902772000006 61.2116661099001,6.96124944000002 61.1098555899001,7.35388848000008 61.1899948299001,7.27944372000002 61.3255539099,7.56246474000005 61.4703406899001,7.30416636000007 61.2912482499,7.4286108 61.1813888499001,6.99805493999997 61.0878410499001,7.11388871999992 60.8602753299,6.81819389999998 61.1416626699001,6.37930296000002 61.0609207899001,5.69579697 61.0505962599,5.01229097999999 61.0402717299,5.07013848000008 60.8297196099,5.53208255999999 60.8711089899001,5.23749923999998 60.7706221899,5.42805534000007 60.6272201499,4.93111044 60.8005486299,5.26782042000002 60.5470198899,5.45678658000003 60.6051634899001,5.66028827999992 60.7110672099,5.71999932000006 60.6744384699,5.70597264000014 60.4577292699001,5.63722182000009 60.4169425298999,5.51285316000002 60.4161987699001,5.28555491999992 60.5216598699001,5.1449299200001 60.3610381299,5.41111086000001 60.1297149099001,5.72808942000006 60.3837433299,5.54874948000003 60.1490897499,5.64168258000007 60.1453552899,5.74722198000001 59.9866638699001,6.22131876000003 60.4073562699001,7.10201304000003 60.4961052699001,6.74166582000004 60.4369430498999,6.52194360000004 60.0834655299001,6.63493013999999 60.4061050898999,6.20472150000006 60.2955550299,5.69833272000005 59.8327712499001,6.30364517999999 59.8444748498999,5.5684713600001 59.6756209899,5.45973498000006 59.5192184499001,5.48117964000005 59.7279129698999,5.17888835999997 59.5068016899,5.51652714000011 59.2755508299001,5.85249948000001 59.3441619699001,5.66765873999992 59.4090652899001,5.80777740000002 59.4691620699,6.14555496000008 59.4793014699001,5.88347154000007 59.4363860499001,5.94017316000003 59.3532256899001,6.46888823999996 59.5552749699,5.99652720000006 59.3329125098999,6.45979122000011 59.3204802699,5.86986065999992 59.0655516699001,6.03638838000001 58.9045067499,6.1304121 58.9286269299001,6.1686106200001 58.8322219899001,5.55861042000009 59.0302734699001,5.46038964000007 58.7500572099001,6.01194384000001 58.3797149498999,6.75999936000011 58.2440223099,6.55888842000013 58.0974960099,7.00791642000002 57.9879150699001,7.61074587000002 58.0541286999,8.21357532000002 58.1203423299001,8.95331475 58.5516987399001,9.69305417999999 58.9830551498999,9.5515956000001 59.1140213499,9.87749855999999 58.9549942299001,10.2311096400001 59.0386047699,10.5156936000001 59.3062438899,10.2309017400001 59.7290916099001,10.5580539000001 59.5430526099,10.5324984 59.8759689099001,10.74117942 59.8903426299001,10.5595826399999 59.7247887099001,10.7974987200001 59.1863860299001,11.3574466800001 59.1076545699001,11.42919162 58.9876404699001,11.3199987600001 59.1002731299001,11.2199450400001 59.0534743899,11.11333266 59.0036086299,11.2013874 58.3994370099,11.5286103 58.2307586499,11.7277365600001 58.3283996499,11.7980537400001 58.3183288299,11.87869734 58.2021674499001,11.7018738 57.6999244299001,11.8877772600001 57.6938857899001,11.90277666 57.4243050099001,12.0949993800001 57.4269409299,12.3488884800001 56.9168052699001,12.88020708 56.6429824299001,12.9011097600001 56.4572220699,12.6243048600001 56.4183310899,12.79923444 56.2258986699001,12.46006872 56.2966613499,12.4673864400001 56.2891627299,12.47650128 56.2798225299001,13.0611085200001 55.6807594899,12.9211788600001 55.5724257699001,12.98222154 55.4005507899,13.3755550199999 55.3399962698999,14.1935463 55.3861464699,14.36593626 55.5428429499,14.21722224 55.8302764899001,14.5551366 56.0562477699,14.7383326800001 56.0108260299001,14.69263644 56.1581916699001,15.27909561 56.1252040599001,15.8655547800001 56.0922164499,16.0034695200001 56.2130508099,16.2939558600001 56.6298561099001,16.5844422 57.0466614099,16.46597106 57.2705535099,16.6658306400001 57.4085350299,16.7113875600001 57.7026366699001,16.41923334 57.8890914699,16.69517514 57.7416991899001,16.5062122200001 57.9919738899,16.7636089800001 57.8812407699,16.62020676 57.9870109299001,16.8258322800001 58.1766663099001,16.76999664 58.3672180899,16.4228439600001 58.4777717499001,16.9336090800001 58.4883269499,16.1936073000001 58.6274948499001,16.77180285 58.6898574699,17.3499984000001 58.7522200899,17.6290950599999 58.9102019499001,17.66624832 59.1673546299,17.89472196 58.8588866499001,18.31138614 59.1324996099,18.2772216000001 59.3108292099001,18.64315602 59.3218689699,18.4772186999999 59.4352722099001,18.09371178 59.3156166699001,17.28694152 59.2590484299001,16.8367347000001 59.4896469699001,16.69541544 59.4704780499,16.8777752399999 59.3819389299001,16.0324630200001 59.4901657299,16.5586089600001 59.6098556499001,17.40444372 59.4691620699,17.3828449800001 59.6523590498999,17.7313861800001 59.4448546899,17.6523705 59.6360931699001,17.8177069800001 59.5864524099001,17.78277582 59.3891601699,17.9570559600001 59.3582611899001,18.0913887 59.3344421499,18.2420634600001 59.4004555299001,19.0796508000001 59.7674254899,18.8647194600001 59.7980499698999,19.07055288 59.8897171299,18.8163871199999 60.0963821499001,18.4216651200001 60.1872177099,18.31708152 60.3081894099,18.5996151000001 60.2356186299,17.9609698799999 60.5920791099,17.6879158200001 60.4973564499001,17.2752762600001 60.6761092299,17.15249826 60.9427758099,17.1052761600001 61.3999252299,17.2196503200001 61.4346504699001,17.0986098600001 61.6027755099,17.2645453800001 61.6853751699,17.1487809000001 61.7172852099001,17.4951705600001 61.6345786299001,17.3508300000001 61.9434699699,17.6488857 62.2317313299001,17.3308314600001 62.4877739499,18.0463867199999 62.5952758898999,17.7005520000001 62.9927063499001,18.2040271200001 62.7773590299001,18.57520476 62.9617996298999,18.2891655 62.9972153499,18.8966655000001 63.2731895499,19.06249806 63.1769408499001,19.4258307600001 63.5463141699,19.70499798 63.4319382099,19.9999999254948 63.5520173697022,20.2395114900001 63.6495094299001,20.774025 63.8670806499001,20.96374698 64.1427002499001,21.58499916 64.4397124899,21.11916546 64.6843643499001,21.30339996 64.7616577899,21.0393734400001 64.8238143099001,21.6193734 65.1513748899,21.2648601600001 65.3382568299,21.6593037 65.2458266499001,21.4712467200001 65.3837433699001,22.19437224 65.5422821499001,21.7658291400001 65.7121429299001,22.3999977600001 65.5367966499001,22.2490539 65.6324920299001,22.36819266 65.8591537899001,22.67930214 65.7604750899,22.67583084 65.9022216699,23.0773582800001 65.7008284899001,23.6221828200001 65.7574271499001,24.1670073600001 65.8140258099,24.68916324 65.8961029299001,24.55353936 65.7620009499,24.6691665000001 65.6547088899001,25.30374912 65.5151367099001,25.2674980200001 65.1699982299001,25.4442330000001 64.9533919899001,25.1893044 64.9640197299001,25.31944278 64.8177643299001,24.5395812600001 64.7991561099,24.3393039 64.5216598299,23.8290948900001 64.2091598499001,23.3188858799999 63.8966598699001,22.80353931 63.7111758999001,22.2881927400001 63.5256919299001,22.1878452600001 63.4451332899,22.3399981800001 63.2765235099,21.4968718800001 63.2035369298999,21.6765957600001 63.0201340299,21.4355525400001 63.0347176299,21.06596952 62.5979805699001,21.37166604 62.2599945699,21.2845822200001 61.9463843498999,21.66388704 61.5402755499001,21.4688872800001 61.5565223499,21.5544434400001 61.3094406699001,21.3586083 60.6536103099001,21.9926014200001 60.5170269399001,22.6265945400001 60.3804435699,22.44930264 60.2423553099001,22.53986928 60.2186394099001,22.56547356 60.2119369298999,22.59846684 60.2204055699,23.0846500800001 60.3452033499001,22.87444302 60.1455536499001,23.25485988 60.0370788099,23.1092319600001 59.9256516098999,23.3356933800001 60.0239524899,22.9002762599999 59.8068008499001,23.24930382 59.8379134899001,23.5374966000001 60.0675621699,23.43159486 59.9538154899,23.9520464100001 59.9721145598999,24.47249796 59.9904136299,25.0649976600001 60.1758308199,25.65749736 60.3612480099,25.9216632 60.2437438299,25.8381939600001 60.3984680499001,26.0787486600001 60.2940253899001,26.05506714 60.4227714699001,26.41652676 60.3916626099001,26.5690097999999 60.5563582899001,26.5636101600001 60.4280548299001,27.1857204900001 60.4872283899,27.80783082 60.5464019499,28.6767311400001 60.7358245899001,28.55430216 60.6084670299001,28.70573616 60.4608726099,28.4467354199999 60.5489539899,28.5983296200001 60.3872146299,29.4224958900001 60.1770744399,30.24666216 59.9669342499001,30.15555192 59.8638838899,29.19457818 60.0068015499,28.8322182000001 59.7834663698999,28.4958286200001 59.8552741299,28.36680228 59.6612397099,28.0745811 59.7945784899001,28.01583108 59.4785994699001,27.4943018700001 59.4615172899,26.97277266 59.4444351099001,26.2250986500001 59.5512408999001,25.4774246399999 59.6580466899,25.3992099600001 59.4882316299,24.7959689400001 59.5649947898999,24.1506214200001 59.3958949599,23.5052739000001 59.2267951299001,23.41041372 59.0156860899,23.6366634600001 58.9742927499001,23.4383277600001 58.9399872699,23.48305128 58.8099900099,23.86423296 58.7730484299001,23.4955483200001 58.6941528098999,23.7286071000001 58.3708267299,24.1036072200001 58.2355423299,24.3308296800001 58.3866615099001,24.5545101 58.3247146899001,24.3149796 57.8718262299,24.4041633000001 57.2512436499001,23.78583144 56.9702683299,23.25610728 57.1009636299,23.1356906999999 57.3644409699001,22.6433296800001 57.5852737899001,22.6069050600001 57.7490577699,21.7290229200001 57.5747184099,21.4172859600001 57.2819327499,21.3956909999999 57.0266571099,21.06228834 56.8419342699,21.0516852600001 56.0773086699,21.2639351400001 55.2489852099,21.22249608 54.9319382499001,20.86513524 54.9024925899,20.5316982000001 54.9643630899001,20.9848136400001 55.2765502299001,21.1261138200001 55.4916381699001,21.0920086800001 55.7140159299,21.0665377800001 55.4990844099,20.9428329600001 55.2872010099001,20.4226340400001 54.9476279498999,19.9999999254948 54.930195124192,19.9411754400001 54.9277687299001,19.8727111800001 54.6405486699001,19.9999999254948 54.6489238127809,20.3972893200001 54.6750640299,19.9999999254948 54.5178681141302,19.7970066000001 54.4375495299001,19.2533302800001 54.2781867099001,19.6511077800001 54.4558258298999,19.811205 54.5543938299001,19.83638376 54.5999984499001,19.62725832 54.4632720699,18.84374802 54.3518027499,18.59520528 54.4277724699,18.4061087999999 54.7381896699,18.7399978199999 54.6852721899,17.9188880400001 54.8266602099001,17.2312488000001 54.6856880799001,16.54360956 54.5447159499001,16.1747208 54.2591628699001,15.2001380700001 54.0938835398999,14.2255553400001 53.9286042099001,13.7580537600001 54.1473580299001,14.05600254 53.9848632099001,13.8291892200001 53.8595047299,14.2188872400001 53.8690186299001,14.6141663400001 53.8163833899,14.5249995600001 53.6605528899,14.2756272000001 53.6990662299,13.8085403400001 53.8547858499001,13.71083166 54.1708258899001,13.4545822200001 54.0970802498999,13.0238875800001 54.3997192899,12.37437342 54.2624282498999,12.4638881400001 54.3951339699,12.9215269800001 54.4274596299,12.5269432200001 54.4741591899,11.9698600500001 54.1969374999,11.4127768800001 53.9197158099001,11.09472084 54.0136108299001,10.8185347800001 53.8900527099,10.76222142 54.0565222899,11.09395692 54.2054825499,10.97944254 54.3805541499,10.4227414200001 54.4189205198999,9.86604030000012 54.4572868899,10.03249926 54.5552749299,9.97201260000003 54.7607575299,9.4453583400001 54.8254012899,9.76611042000013 54.8963851899001,9.46152594000006 55.1221465899,9.67715171999998 55.1911735299,9.58972176000003 55.4181900699,9.67369644000007 55.5009727899001,9.81916614000005 55.6047210099,9.55458162000008 55.7029801299,9.99277685999999 55.7049941499,10.0444431600001 55.8156891099001,9.86958216000011 55.8437462499,10.1845818 55.8281899299,10.2393666 56.1726075099,10.4486103 56.2919388699,10.3556928600001 56.1974944899,10.5197211000001 56.0997199299,10.72214442 56.1573771699,10.74499902 56.1638870499,10.96194366 56.4422187099001,10.30866624 56.5781593899,10.18777662 56.4686050899,10.3430547 56.6926345299,9.86638823999994 56.6502762099,10.30527684 56.7480545499001,10.31189058 56.9813041299001,10.25863938 56.9955673299,9.97427376000007 57.0717316299001,9.7221326400001 57.0224152299,9.17819981999992 56.9160309099,9.31826213999994 56.5254096699001,9.06291575999995 56.5657577499001,9.07278354000005 56.8076133099001,8.68083192000006 56.6178436299001,8.74020672000006 56.4901312899001,8.16069419999997 56.6455497699001,8.10833166000003 56.0177765499,8.26291566000003 56.0788842099,8.39569284000004 55.8947181099,8.19138726000006 55.8106917699001,8.12770740000002 55.9838141499001,8.09291556000011 55.5562057899,8.61819353999999 55.4311065099001,8.68902678000006 55.1400641499,8.45763786000003 55.1272200699001,8.67610926000009 55.1141662899,8.66454498000002 54.9130935099,8.42042160000011 54.9196433499,8.40805433999998 55.0565261499,8.28055386 54.7749939099,8.54561033999994 54.8706054099001,9.01124856000001 54.5034675099001,8.6004847800001 54.3263817099001,8.88360984000008 54.2941665699,8.82736020000004 54.1516609299001,9.01722150000001 54.0849990099001,8.88305471999996 53.9611053699001,9.27600570000004 53.8818893499001,9.82906056000002 53.5416985299,9.28340154000006 53.8555488699001,9.09604457999995 53.8666762899001,8.65902618000007 53.8926353499,8.4840966000001 53.6863173698999,8.49206538000004 53.5558776698999,8.33222196000003 53.6152764099,8.28604026000005 53.4208945899001,8.09777645999992 53.4444427299001,8.01430506000014 53.7083320899,7.29583272000013 53.6852722899,7.0149997800001 53.4098587899,7.33708278000006 53.3230514499,7.20836442000001 53.2428054699001,6.74194427999998 53.4658279898999,5.98166658000008 53.3988876099,5.09444387999997 52.9591636299,4.7388186 52.9566612699001,4.58201358000008 52.4770813299001,5.07805542000006 52.4161072299001,5.02972182000002 52.6240921899001,5.04958859999994 52.6415748699001,5.30319348000012 52.7048569299001,5.10027695999992 52.9480515099,5.36986062000005 53.0704117299,5.37079806000014 52.8801994299001,5.71835232000001 52.8380203899,5.60055492000009 52.6581917499001,5.8535737200001 52.6059494499001,5.87805462000006 52.5094375899001,5.42249964000013 52.2490197099001,4.57437132000013 52.4544715299,3.8679858000001 51.8121490898999,4.20943500000004 51.6740912499001,3.99784662000002 51.5901336699,4.28361084000005 51.4480513899,3.83499972000004 51.6066664899001,3.44423574000007 51.5293692699001,4.25236805999998 51.3751449099,4.32770255999992 51.2901229899,4.23889830000013 51.3504256899,3.37086576000013 51.3738555699001,2.54166642000007 51.0911103099,1.62499968000003 50.8777770099001,1.46111112 50.1241607499,0.823541670000111 49.9140930099001,0.185972219999996 49.7040252699001,0.0758332799999266 49.5225678099,0.424722240000108 49.4516602299,-0.228333420000013 49.2836075499001,-1.10958353999996 49.3694382099,-1.26416681999996 49.6841658699,-1.94208354 49.7215920099001,-1.60972235999998 49.2149964099,-1.56256955999999 48.7489548099,-1.36888901999998 48.6436080099,-1.98805571999986 48.6869430098999,-1.97611110000003 48.5130500499001,-2.30722235999997 48.6761093499001,-2.68527798000002 48.5016632499,-3.22611137999996 48.8695792899001,-3.53666681999999 48.8258284898999,-3.58243055999992 48.6777725499001,-4.35416705999995 48.6741637299,-4.77666719999996 48.5111046099001,-4.76062541999994 48.3349953099,-4.56535007999992 48.3227576499,-4.54659749999996 48.1744385499,-4.28291694000001 48.1165237299,-4.72223808000001 48.0391770099,-4.36736159999992 47.8087424499001,-3.98222262000002 47.8897170699001,-3.2169447 47.6505508899,-3.13263918000001 47.4766617099001,-3.12506963999999 47.5954093299001,-2.70027809999999 47.6370773499,-2.83187537999999 47.4972839499001,-2.36708351999999 47.5015258299,-2.53965275999997 47.2980538299001,-2.14007256000002 47.2536697899,-2.17083366000003 47.1266632299,-1.98587177999997 47.0369301699001,-2.12541695999994 46.8309707499001,-1.78638912000002 46.4883270699,-1.11463451999992 46.3165816899001,-1.07097227999998 45.9039496899,-1.23885827999999 45.7062148299,-0.781527960000005 45.4665221499,-0.539930519999984 44.8956222699001,-1.08944459999998 45.5586051099,-1.24583345999997 44.6753425899,-1.04062518000001 44.6749267899,-1.20861125999994 44.6258316099,-1.32625007999997 44.1331901499001,-1.44388889999999 43.6405486899001,-1.78087661999996 43.3599243699001,-2.46573467999997 43.3567428699001,-3.15059273999992 43.3535613699001,-3.58555608 43.5102767499001,-4.5145521 43.3963470099001,-5.18435955000001 43.5221976999001,-5.85416700000002 43.6480483898999,-6.44949296999994 43.5692253099,-7.04481894000003 43.4904022299,-7.89805601999996 43.7641600899,-8.32972337999996 43.4038848699001,-8.95027931999994 43.2936096699,-9.25916669999998 43.0472182899,-9.10583495999998 42.7524947499001,-8.91583344000003 42.7890243099001,-9.02937509999998 42.5241622299001,-8.72049707999992 42.6984900699,-8.9061127199999 42.4751358099001,-8.65611269999994 42.4277725899001,-8.8648614 42.2496490899001,-8.57986253999997 42.3490218699001,-8.89750098000002 42.1105537299,-8.87514012000003 41.8795089699001,-8.74500840000002 41.9524993299,-8.88083460000001 41.7516632499001,-8.77048686000001 41.2213859499,-8.66013912 40.6911086499,-8.87284754999996 40.1530532799,-9.08555597999992 39.6149979099001,-9.35958384000003 39.3566628099001,-9.47604275999998 38.7052726899,-9.11847311999992 38.7172203699001,-8.9943065999999 38.9406203499001,-8.91974645999994 38.7658920099001,-9.27423665999993 38.6687431299001,-9.18388943999992 38.4197158299,-8.76889044000001 38.5172194899,-8.67333419999994 38.4138870699,-8.80250166000002 38.3744431299001,-8.79586217999992 37.4425125699001,-8.98923689999992 37.0263138699,-8.44350767999998 37.0176010599001,-7.89777845999998 37.0088882499,-7.43185421999993 37.2531891099001,-6.95992319999999 37.2218361699001,-6.35555645999995 36.8608321299001,-6.43250033999993 36.6923560899001,-6.04416708000002 36.1861077099001,-5.61361122 36.0061035699,-5.60002248000001 36.0143895099001,-5.35579865999995 36.1633071099001,-5.34278394 36.1115722299,-5.33450843999998 36.1625595699001,-5.17263930000001 36.4118728899001,-4.63972230000002 36.5083275099001,-4.39986185999999 36.7214547099001,-3.58437536999998 36.6998920599002,-2.76888888000002 36.6783294099,-2.34708353999991 36.8405495499,-2.12291693999998 36.7334671899001,-1.6436111399999 37.3727722899001,-1.32750018000002 37.5580520499001,-0.723472379999976 37.6022186499001,-0.858333419999894 37.7155495299001,-0.51166674000001 38.3249969499,0.207222119999983 38.7322082499,-0.143333279999922 38.9783325099001,-0.337638959999936 39.4380530499,0.0475000200000864 40.0337409099001,0.589166639999917 40.6127776899001,0.88527780000004 40.7027740899001,0.70361100000008 40.7968712499,0.964444320000041 41.0327758299,1.54090259999998 41.1610374399002,2.11736088000009 41.2892990499001,2.64631932000009 41.5783958799001,3.17527776000003 41.8674927099,3.1180554 42.2251320099,3.31798607999997 42.3204803499,3.17765466000009 42.4368057099,2.96131896000003 42.8422164699,3.0813885 43.0694427099,3.52305531000007 43.3051375899001,3.96472212000003 43.5408324699,4.65277770000006 43.3597182699001,4.70749950000004 43.5720786699,4.81505544000004 43.3992156698999,5.02416612000002 43.5526352499001,5.23152738000005 43.4658316899001,5.03958276000003 43.3479118899,5.60243015999998 43.1992321599,6.16527755999999 43.0505524299,6.64166646000012 43.1849974899001,6.63638886000007 43.3111038699001,7.39160928000001 43.7275466499,7.43929290000011 43.7575225899001,7.53193476000001 43.7820434499,7.77277764000007 43.8152770299001,8.2599993 44.1216640299002,8.74722096000005 44.4280510299001,9.42951248999998 44.2159004199002,10.11180402 44.0037498099,10.35034605 43.4806231899001,10.5888880800001 42.9574965698999,11.15805438 42.5549926299,11.0974293000001 42.3965226099001,11.6277075 42.2982597099,12.32864523 41.7791976699001,13.0295829600001 41.2601356299,13.7122210800001 41.2511100699001,14.0738887800001 40.8219375099001,14.452776 40.7479134099,14.40194328 40.5999984099,14.8307628600001 40.6315192899,14.94194418 40.2341613699,15.35486022 40.0008964899001,15.66374868 40.0330506099,15.9424281000001 39.4508285499,16.2211075199999 38.8686064899001,15.8290263000001 38.6279792499001,15.90611076 38.4727706499,15.6295814400001 38.2292976099001,15.6351375000001 38.0045814699,16.0572871800001 37.9242325299001,16.5691661399999 38.4283333299,16.5949974000001 38.8008269499001,17.16916662 38.9633331099,17.1455535000001 39.3963852099,16.4905547400001 39.7491607299,16.9193039400001 40.4505499899,17.31701088 40.4882927499,17.20381734 40.4124945699,17.3927764800001 40.3305511899,17.85721968 40.2844391499,18.0407619 39.9377060499,18.3494415600001 39.7919388099001,18.5124969 40.1347198299001,18.01263816 40.6430511699001,17.3367586800001 40.9086062499001,16.6608792000001 41.1741613299001,15.9849997200001 41.4397164099001,15.89763834 41.6133309099,16.1927757 41.7899933499,16.1455535999999 41.9111747499,15.16236012 41.9244423699001,14.7365265600001 42.0879097299001,14.01666642 42.6699982299,13.59944352 43.5699996699,12.98388771 43.9083327999,12.3683319 44.2466659299,12.2476377600001 44.7238846299001,12.5380535400001 44.9606170299,12.16110996 45.2638855299001,12.2870817 45.4733275899,13.0877771400001 45.6365242299001,13.19333274 45.7780533699,13.6299992400001 45.7699965699001,13.71694374 45.5961075699,13.5917397000001 45.4816970499,13.6030539600001 45.1577758899,13.9044438 44.7725640099001,14.32305432 45.3509673699,14.4827766 45.3111038499001,14.83152678 45.1154136099,14.9905548 44.5794373299001,15.5222902799999 44.2632559899001,15.15166668 44.1963883299001,15.94083222 43.6836090099001,15.9883327800001 43.5044402499,16.8816643200001 43.4036064099,17.5785255 42.9438248499001,17.64984132 42.8890762299001,17.0123596200001 43.0062447099,17.7577781400001 42.7278423999002,18.50319666 42.4494400899001,18.6786099 42.4605522099001,18.5772209400001 42.3872146299,19.3677712200001 41.8489989699,19.5991650000001 41.7797203899,19.4424973200001 41.4069443499,19.5216636600001 40.9098549099,19.30720896 40.6453094499001,19.4794426800001 40.3548583899,19.28978928 40.4214515499,19.85729022 40.0434684699001,19.9999999254948 39.7143303913239,20.0100288600001 39.6912001899,20.3716802700002 39.3222980199,20.7333316800001 38.9533958499001,20.8208313000001 39.1136055699001,21.0830497200001 39.0566634699,21.0851364600001 38.8640251299001,20.7811089000001 38.9316635499001,20.73277476 38.8044395499001,20.98791306 38.6711083299001,21.16416546 38.3000640699001,21.3580551600001 38.4329146899,21.5399989800001 38.3159676099001,21.9470729400001 38.4085007499,22.37430384 38.3345756499,22.40860932 38.4460372299001,23.2246494000001 38.1533966499,22.8627757800001 37.9395789699001,22.3780374 38.1317138499001,21.89329902 38.3238487299001,21.85360902 38.3395805499,21.83359338 38.3225174499001,21.6416664 38.1588821499,21.38444136 38.2113876099001,21.1109715 37.8856887699001,21.6497192400001 37.4419403499,21.5653438799999 37.1550635498999,21.70360764 36.8166657099001,21.8751353999999 36.7235374899001,21.9297198600001 36.9740218899,22.12083054 37.0266646899,22.4888877000001 36.3861084099001,22.63249782 36.8036079699,23.2014542400001 36.4402007499,22.96350288 37.0018004799001,22.7255515200001 37.5634002099001,23.12888724 37.4480515299001,23.17971996 37.2904129299001,23.51708226 37.4327049099001,22.9918041 37.8823585899,23.51166336 38.0393027499001,24.0339565800001 37.6528434699,24.07402602 38.1949959099001,23.6488095 38.3556862299,23.31749718 38.6440239099,22.52385144 38.8660697499,23.0727767400001 39.0369415899,22.82360832 39.2122192899001,22.94083026 39.3593673099001,23.22152514 39.1822890698999,23.0548591800001 39.0979119099,23.34367746 39.1818009099001,22.9693374000001 39.5970078099,22.59499734 40.0122147099,22.5852069600001 40.4649962499001,22.9449272399999 40.6265221299001,22.8994407000001 40.3966597899001,23.29458228 40.2358321299,23.37944418 39.9927748899001,23.7184714800001 39.9138870099001,23.36805342 40.1438827299001,23.4010391400001 40.2798576099,23.9322203999999 39.9430542099,23.9909706 40.1124954099001,23.7297211200001 40.3512497499,24.3940944600001 40.1480178699001,23.8829823000001 40.4002723899001,23.72201154 40.7446480299,24.4319076000001 40.8774928899001,25.14180366 41.0103377499001,26.0447196600001 40.7358246099,26.1186084 40.5951270699,26.8258285800001 40.5915870099,26.2115937 40.3221473499,26.2179126 40.0529060499001,26.72541054 40.4780502099001,27.2915267400001 40.7002677699001,27.50534244 40.9813080699,28.27079487 41.0179424799,29.0362473000001 41.0545768899,29.0888823600001 41.2462425099,28.5897159 41.4388141599001,28.09054944 41.6313858099,28.0130538600001 41.9822158899,27.6791648400001 42.4183197099001,27.4495791600001 42.4729804899001,27.8940943800001 42.7030525299,27.9449996399999 43.1672134899001,28.1272201200001 43.3949851299,28.5416602200001 43.4377747299,28.58324436 43.7477646099001,28.6295796 44.2965201699001,28.9277724600001 44.6174927499001,28.7574996600001 44.5197219699,28.76305014 44.6255835699,28.9908619199999 44.6856459699,28.78082856 44.6609611299,28.9473551999999 44.8266563499,28.8691939800001 44.9405097699001,29.54943846 44.8202667099001,29.66433138 45.2118034299,29.76041214 45.3222084099001,29.59304814 45.5570716898999,29.6361045 45.8206825899001,29.82277296 45.6483306099,30.5091628200001 46.0963745499,30.83277132 46.5483246699001,31.18905648 46.6245498099,31.5956898000001 46.7970771099,31.4777354400001 46.6319656299,31.9081878 46.6535911899001,31.96502694 46.9253730099001,31.7515221 47.2523536299,31.9808235600001 47.0074996299,32.01360318 46.6342926699,32.6416206600001 46.6422805298999,32.3480453400001 46.4591560899,31.5145092600001 46.5790938699001,32.00700384 46.4480400099,31.79013444 46.2841606299,32.50040814 46.0762444299001,33.0572128500001 46.1094360699001,33.61401756 46.1426277099,33.7693977 45.9253005699,33.1252479000001 45.6596603499,32.4810981 45.3940201299001,33.01366995 45.2512416999,33.5462418 45.1084632699,33.5544357600001 44.6236037498999,33.3690528600001 44.5843619499001,33.9302750400001 44.3791504299001,34.5185928 44.7444305499,35.08297722 44.7912406299001,35.5265847000001 45.1184577699,35.85693366 44.9863815099001,36.45346068 45.0772780899001,36.4311027000001 45.2710990299001,36.636795 45.3779067099,36.13623804 45.4583206299,35.4579048000001 45.2984656899001,35.0959987800001 45.7029246999001,34.7340927600001 46.1073837099,35.3430405 45.3324966699001,35.13304134 45.3249969699001,34.9866486000001 45.6319275699,34.4633941800001 45.7692947499001,34.6365165600001 45.9374160099001,34.1394348600001 45.9401244699001,33.6710320200001 46.2154731699001,34.5368957400001 46.1844634899001,34.40519334 46.0127334099,34.5663833400001 45.9859618299,34.7005463400001 46.1761284099001,35.1980438399999 46.4433135699001,35.3342971800001 46.3216591299001,34.9967232 46.0742264498999,35.45196345 46.3626595299,35.9072037 46.6510926099,36.7638778800001 46.7510986299,37.5595703999999 47.0864449299,38.23582464 47.1094284099,38.75672538 47.1703319499001,39.2776261200001 47.2312354899001,39.2795715600001 47.0172118899,38.41033176 46.8269347899001,38.38391118 46.7112007299,38.58494958 46.6572113499001,37.7374840200001 46.6671066699001,37.8977661000001 46.4072075499,38.5661658600001 46.0433883099001,38.2206879000001 46.1356811499001,38.0955429000001 45.9449844699001,37.92749022 46.0116577299,37.59136956 45.6274795899,37.73463444 45.2988129099001,37.11040884 45.2344283499,36.82770156 45.4356804099,36.6698113200001 45.3325576899,36.96234516 45.2790222699,36.5804406 45.1926955299001,37.2029113800001 44.9797782099,37.48408128 44.6714439699,37.78308108 44.7233543499,38.1974868 44.3894347299001,38.7537422400001 44.2733192498999,39.3783550200001 43.8262920399001,40.0029678 43.3792648299,40.72953411 43.0467796299001,41.45610042 42.7142944299001,41.7747268800001 41.8856277099001,41.53155894 41.5238761299,40.8407764500001 41.2220744499002,40.14999396 40.9202727699001,39.4142265 41.1067313498999,38.88502497 41.0085010299001,38.35582344 40.9102707099001,37.7425612800001 41.0285339499001,37.12929912 41.1467971899,36.8099974800001 41.3555527299001,36.4315185 41.2420769499001,35.9730529200001 41.7322158699,35.49317166 41.6438675499001,34.9788817799999 42.0919419099001,34.71554574 41.9424897099,34.0270729200001 41.9811707199,33.3386001 42.0198517299,32.80804821 41.8696441599001,32.27749632 41.7194365899001,31.75548264 41.4043673799001,31.2334689600001 41.0892981699001,30.54231258 41.1343904499001,29.8511562000001 41.1794827299,29.15999982 41.2245750098999,29.02555458 41.0344314699001,29.1294403200001 40.9144440099001,29.9339542800001 40.7222099499001,28.98041148 40.6395721299,28.7767296000001 40.5270768099001,29.07999612 40.4776306299,29.05576128 40.3667983299001,28.50447744 40.3618659699002,27.9531936000001 40.3569336099001,28.0201339800001 40.4877052299001,27.7548580800001 40.5297202899001,27.8778420000001 40.3758582699001,27.5116615200001 40.3055535099001,27.1186065000001 40.4527663299,26.70430176 40.3788795699,26.1747207 39.9794388699001,26.1099948600001 39.4576302099,26.95180122 39.5508270099,26.6447219400001 39.2630538099,26.8697205 39.0979079499,26.8016605200001 38.9558258499,27.06298074 38.8731842499001,26.7337456200001 38.6419371699,27.1564522200001 38.4528045099001,26.69180112 38.3108557899001,26.3983307400001 38.6669388099,26.3881206 38.4470061699001,26.50985712 38.4254799699,26.2758294 38.2644348699001,26.7720795 38.1090164799,27.2683296000001 37.9535980899001,27.19492524 37.3523484099001,27.4210815600001 37.4079055899001,27.59527584 37.2324905499,27.3243027600001 37.1530455699,27.2549991600001 36.9649963299001,27.78989319 37.0015906899002,28.3247872200001 37.0381850499001,27.84975345 36.8611049199001,27.37471968 36.6840247899,28.12013622 36.7970772099001,27.98388666 36.5527725699001,28.45638648 36.8808288699001,29.05249788 36.6811066299001,29.14805034 36.3483276699001,29.6772156000001 36.1183319498999,30.20860854 36.3038750499001,30.4048576800001 36.2049216699,30.6165256200001 36.8436050499001,31.04666136 36.8491515699,31.5556869600001 36.6827697399001,32.06471256 36.5163879099,32.56662744 36.0927123699001,33.1359481800001 36.1360740099001,33.7052689200001 36.1794356499,34.1823501900001 36.4923552999002,34.65943146 36.8052749499001,35.5585327200001 36.5797882299,36.01120374 36.9231911499001,36.21728142 36.6547812699001,35.7855453 36.3148460499,35.9224396199999 35.9269942899,35.7338867400001 35.5816650099001,35.9190253800001 35.4226341099001,35.9727706800001 34.6474990299,35.6488839 34.2811050699001,35.37485703 33.6873550899001,35.1008301599999 33.0936051099001,34.7956886699999 32.3448505599001,34.49054718 31.5960960099001,34.2166595400001 31.3233299499001,33.4642295700001 31.1784343599002,32.7117996000001 31.0335387699001,32.2147522800001 31.2824267499001,32.27978898 31.1243037699,32.1430663800001 31.0741653099,31.7774620800001 31.2773934099,31.86070254 31.5152607099001,31.90965264 31.5275154699001,31.9920712200001 31.4014911699,32.0630988600001 31.3581199899,32.2024917599999 31.2909335499,32.0498962199999 31.3788624699,31.9210434 31.5316029099001,31.8940162200001 31.5391445499001,31.55694192 31.4422188699001,31.01222034 31.5970114899,31.12645536 31.4966640099001,30.9024963 31.4202766899,30.5441665200001 31.3931922699001,30.9561100200001 31.5756931899001,30.35544966 31.5028437699,30.2897187 31.2373581699,30.06444168 31.3202742699,29.5669422000001 31.0709685999002,29.0694427200001 30.8216629299001,28.42972182 31.0788879698999,27.9213867 31.0980529299001,27.8441638200001 31.2437496099,27.4388886 31.2227745699,27.32319252 31.3761081099,26.63520615 31.4969415699001,25.94721978 31.6177750299,25.3144416600001 31.5014552499,25.15166478 31.6469420499,24.9826374 31.9665261099,24.1149168000001 32.0913753699,23.2471962000001 32.2162246299001,23.08510026 32.3321113299,23.1191634600001 32.6197509699001,22.37346936 32.7772350399001,21.6277752600001 32.9347191099001,21.09770109 32.7478161099001,20.5676269200001 32.5609131099001,20.0844421200001 32.1847152699001,19.9999999254948 31.9611268047823,19.91958048 31.7481898898999,19.9999999254948 31.5443249589044,20.15555184 31.1499976899,20.0576381400001 30.8508301299001,19.9999999254948 30.7940114320602,19.61777502 30.4172211099,19.0013886 30.2669410899001,18.1843042500001 30.6745806099001,17.3672199000001 31.0822201299,16.5607623900001 31.2359705499001,15.75430488 31.3897209699001,15.46006914 31.8941631399001,15.1658333999999 32.3986053098999,14.20847172 32.6587467099001,13.2511100400001 32.9188881099001,12.34394262 32.8283995899001,11.52608112 33.1711348899,11.1743040599999 33.2100638499001,11.0558329200001 33.6126365499001,10.7516660400001 33.4737435099,10.7159709600001 33.7041625899,10.3319443799999 33.7002715299001,10.0070829000001 34.1686057899,10.7313881400001 34.6702765899001,11.12666508 35.2419432699,11.02708242 35.6373557499001,10.6858330200001 35.7886047099,10.4561785800001 36.1173552699001,10.51277724 36.3511047099,10.7963877600001 36.4653435099,11.10222054 36.9044418099001,11.06777772 37.0513839099,10.3748598 36.7245787899001,10.1967354 36.7901344299001,10.3442355000001 36.8771476899,10.13201244 37.1455154499001,10.2548599199999 37.1795806299,10.04833224 37.2615241899001,9.83844377999992 37.1407432899001,9.85868063999993 37.3283347899,9.73874861999997 37.3404120699001,9.1803894300001 37.1408900799001,8.62203024000002 36.9413680899,7.87666608000006 36.8474961099001,7.22972196000006 37.0863876099,7.17055506000003 36.9199981299,6.92041590000008 36.8843001699001,6.39833255999997 37.0863876099,5.86319400000008 36.8633307999,5.32805543999996 36.6402739899001,4.78874916000001 36.8938866099,3.90166632000012 36.9147185499,3.40093719000009 36.8547515499001,2.90020806000007 36.7947845499001,2.57249970000004 36.5891608299001,1.87749981000007 36.5506877199001,1.18249992000011 36.5122146099,0.693333270000039 36.3077735799,0.204166620000137 36.1033325499,-0.0522221399999694 35.8061066499,-0.37312505999995 35.9027747499,-0.791666819999989 35.7649993299,-1.36930572 35.3129158299001,-2.20944455999995 35.0858307099001,-2.88368081999994 35.2345771299001,-2.83486121999999 35.1251335299,-2.91472235999998 35.2736052699,-2.94694470000002 35.3291626299,-3.33625031999992 35.1913834299,-4.01604228000002 35.2001343099,-4.6958342399999 35.2088851899001,-5.24895857999991 35.5743714099,-5.34583386000003 35.8416595299,-5.31992142000001 35.8898658699,-5.39555741999988 35.9163361299001,-5.59995930000002 35.8672319499001,-5.91874415999996 35.7906493299001,-6.38089991999999 34.9046286699001,-6.84305568000002 34.0186080099,-7.69069475999993 33.6345786399,-8.53833383999995 33.2505492699,-8.90883729000001 32.8972511199001,-9.27934074000001 32.5439529699001,-9.2777787 32.1836089899001,-9.80916786 31.4466628899001,-9.85388939999996 30.7269440499,-9.60840323999992 30.4024981899,-9.64097315999993 30.1649971899001,-9.93458465999993 29.7414561099001,-10.22819616 29.3179150299001,-10.8700709399999 28.8108310898999,-11.51194572 28.3037471499001,-12.2072228999999 28.1289567999001,-12.9025000799999 27.9541664499001,-13.17496104 27.6669579099001,-13.37456412 27.1993122399001,-13.5741672 26.7316665699,-14.0287503599999 26.4474983199,-14.4833335199999 26.1633300699001,-14.69211813 25.4264898099,-14.90090274 24.6896495499001,-15.4169792999999 24.2388525099,-15.93305586 23.7880554698999,-15.99397668 23.6485041699001,-15.77944656 23.9094390099001,-15.76472382 23.7865256499,-16.0637164199999 23.1755542599001,-16.36270902 22.5645828699001,-16.9162522199999 21.9454154499,-16.98429114 21.3547553499001,-17.0523300599999 20.7640952498999,-16.92368118 21.1584702099001,-16.5602445299999 20.6922893799001,-16.19680788 20.2261085499001,-16.233057 19.7938880499,-16.4688912 19.4486084499,-16.30944828 19.4674987299,-16.5116690999999 19.3522186299,-16.17916878 18.9130553499001,-16.10930826 18.3238181498999,-16.03944774 17.7345809499001,-16.2835635599999 16.8974151698999,-16.5276793799999 16.0602493899,-16.54639056 15.7566662499,-16.87937544 15.2243050899,-17.5327797599999 14.7501373899,-17.17555626 14.6544438099,-16.77583692 14.0124988298999,-16.36743168 14.1663885699001,-16.74534798 13.9534712499001,-16.69843872 13.7704495899001,-16.49083716 13.9580545899,-16.63861464 13.7527770099001,-16.56567 13.5899983299001,-16.40354346 13.3320828099,-16.14288708 13.4549522499,-15.54722316 13.5286798899,-15.30576414 13.4515266699,-15.97467132 13.4305447899,-16.15590468 13.4248600299001,-16.15938948 13.3881367899,-16.17139062 13.2616662698999,-16.4216689199999 13.2569427099001,-16.6843071 13.4894438499001,-16.8171157799999 13.3706483499,-16.75087362 13.0599766299001,-16.75291824 12.5647210298999,-16.5939598799999 12.7833328299,-16.45692246 12.6190642899,-16.42166712 12.5768042499,-16.34099778 12.6066579699001,-16.02137754 12.7249393899,-15.6456252 12.5570821899001,-15.39180666 12.8329152699,-15.63444432 12.5310401498999,-16.3746243 12.5452308099001,-16.5837517199999 12.6326379099001,-16.80014034 12.4863882699001,-16.71776964 12.3224259098999,-16.4552803199999 12.1718044299001,-16.1152801199999 12.3333321099001,-16.34972382 12.1058329899001,-16.24916844 11.9281931499001,-15.7058105399999 12.0099048699001,-15.9594449399999 11.7352761699,-15.38705538 11.8803167499,-15.55611228 11.7254152299,-15.44434074 11.5531244499001,-15.33903498 11.6814631898999,-15.0272235 11.5941658899,-15.28208442 11.6193046899,-15.5011463999999 11.3328112899001,-15.2652798 11.4259128698999,-15.40777878 11.1898594299,-15.20882028 11.2297553499,-15.2329177799999 10.9959011499,-15.02277948 11.1952763499,-15.01684758 10.9564514499,-14.9844456 10.7690268099,-14.81821344 10.9159422699,-14.6986111799999 10.6404837699001,-14.51652804 10.8427773099,-14.66069598 10.4733314499,-14.5358276399999 10.5066737499001,-14.45750046 10.2936095498999,-13.8223619999999 9.84944334990001,-13.6886387399999 9.95219040990003,-13.6722239999999 9.5633315499,-13.4931335399999 9.56007570990005,-13.29561036 9.03214254990002,-13.1322230999999 8.86194426989999,-13.17916674 8.5394440299001,-12.8975009399999 8.56777764989999,-13.0955561999999 8.48527716990003,-13.0559034599999 8.36958216990001,-13.2850008 8.49756900990013,-13.1327782199999 8.1949996299,-12.97433466 8.24776842989996,-12.9589596 7.90326354989998,-12.46055706 7.55541606990005,-12.1843062 7.59104112989996,-12.5041676399999 7.38861042990004,-11.9982491099999 7.15785051990008,-11.4923305799999 6.92709060990006,-10.90494252 6.45920679990007,-10.31755446 5.99132298990003,-9.73016639999997 5.52343917989998,-9.14277834000001 5.05555536989999,-8.33409017999998 4.70418069990001,-7.52540202 4.35280602990008,-6.71145128999996 4.68647238989996,-5.89750055999997 5.02013874990007,-5.01420491999994 5.12522562990006,-5.36048657999987 5.11847166990009,-5.32291697999995 5.22895764990005,-4.8938895 5.12861052990002,-4.33263923999999 5.24958276990003,-3.77138897999998 5.3705550099001,-3.73472243999993 5.25916578990001,-3.97833353999999 5.23833276990001,-3.29798627999992 5.11916628990002,-3.14020853999989 5.36430504990005,-3.19791672000002 5.20736070989994,-2.86305570000002 5.18277684989999,-2.92812822000002 5.10022164989999,-3.10227209999999 5.10954474990007,-3.16870721999993 5.11430736990013,-3.10304123999998 5.08502190989998,-2.58096510000001 4.90792746990013,-2.05888895999999 4.73083302990011,-1.28731487999988 5.07314772990003,-0.515740799999946 5.4154624299,0.255833280000047 5.75777712990009,0.663750000000107 5.7599301099001,0.626751000000013 5.85665418990004,0.687986100000103 5.75385384990005,0.94500000000005 5.78083332989996,1.19889090000004 6.10054590989995,1.63540386000005 6.21872130990005,2.17750490999998 6.29211324990007,2.71960596000008 6.36550518990003,3.31916669999998 6.38555520990008,3.44305512000011 6.57833286990012,3.80722193999992 6.61277766990008,3.41305524000001 6.40972182989998,3.97340244000003 6.35444400990002,4.53374964000011 6.29916618990006,5.18208263999992 5.57486058990008,5.50249955999993 5.61694386990007,5.21479133999998 5.57763816990001,5.26194432000005 5.4331941099,5.63604120000014 5.53673550990004,5.34527676000005 5.32999992990011,5.45194439999995 4.92305466989995,5.73694416000001 4.48944384990011,6.11173583999999 4.27284660990006,6.25277754000007 4.44999936989996,6.25117968000001 4.30156182990009,6.69236040000004 4.33180524990013,6.73243002000004 4.6035408099001,6.72048522000006 4.34819406990005,6.84861084000011 4.34833248990014,6.76284642000013 4.76347206990005,6.87166596000009 4.39263876990003,7.00867979999992 4.37131884990009,6.96388860000008 4.72486062989992,7.07305517999998 4.43472186989999,7.17944382000007 4.50694362989998,7.0743051 4.75305510990006,7.27249914000004 4.55777742990006,7.55040456 4.70655534990004,7.53722136000005 4.53999954990013,7.69527720000013 4.49749938989993,8.29367928000011 4.54749960990006,8.27472114 4.8566665299,8.47861092000005 4.70388792990013,8.59173768000005 4.8109321299001,8.50840182000007 4.52354088990012,8.71416576000013 4.50263838990008,8.66638764000004 4.68138882990002,8.89861103999999 4.5883331499,8.97409637999999 4.09979100990006,9.43499952000008 3.89944434990008,9.48836610000001 4.1129160699,9.72249984000007 3.86527782990004,9.54305460000006 3.81152748990002,9.96513749999997 3.08520822989999,9.81176382000007 2.34369804990007,9.81340128000005 1.92979164990004,9.36027630000007 1.17472206989993,9.80397612000002 1.00260822990003,9.57201282000011 0.996597129900067,9.59999849999997 0.48111114990013,9.54222102 0.672499929900027,9.30860999999999 0.52638888990009,9.49770738000001 0.293680569900005,9.92111022000012 0.185277729900065,9.46694375999994 0.16722228990011,9.35083295999999 0.362013789899947,9.29833217999993 -0.371666750100019,9.00777618000012 -0.813888950099965,8.70999911999996 -0.641111090100026,9.02506158 -1.29431381009999,9.02666574 -1.29763895010001,9.02839464000004 -1.29863093009993,9.2247210000001 -1.41125009009994,9.33343595999992 -1.2855902901,9.28833192000013 -1.57041689009992,9.5138874000001 -1.59666683009999,9.29111094000001 -1.63888907009999,9.01923570000002 -1.30548317009999,8.98548516000011 -1.24305575009998,9.26277642000008 -1.84944443009999,9.51805494000013 -1.92694451009999,9.53687376000005 -2.06840309009999,9.32249825999997 -1.90750001009991,9.61097147999999 -2.37069455009998,10.1334715200001 -2.5238893101,10.01610954 -2.6397223701,9.70249841999998 -2.4479167101,10.1818860000001 -2.94037019009988,10.66127358 -3.43282367009994,11.1406611600001 -3.92527715009993,11.75277708 -4.51611131009997,12.0261306600001 -5.01499751009999,12.2145519600001 -5.76855563010002,12.42057024 -5.99955413010002,12.4358329800001 -6.01666745009993,12.47445972 -5.99955413010002,12.8979158400001 -5.81194499010002,13.1788807200001 -5.8563299301,12.6387052200001 -5.99955413010002,12.2462492399999 -6.10361141009992,12.53201346 -6.52694486009995,12.8177776800001 -6.95027831009998,13.1047911900001 -7.67201423009999,13.3918047000001 -8.39375015009995,13.38749892 -8.74027823009999,12.98458296 -9.0812511501,13.37645772 -9.87704996009995,13.76833248 -10.6728487701,13.7802076200001 -11.2337861001,13.79208276 -11.7947234301,13.4591589 -12.5086079301,12.96999936 -12.7844447900999,12.51270684 -13.4243755701,12.34680438 -14.1393985701,12.18090192 -14.8544215700999,12.0149994600001 -15.5694445701,11.7312489000001 -15.8506956501,11.7420158700001 -16.5527644101,11.7527828400001 -17.2548331701,11.8072215000001 -18.0862522701,12.1340270700001 -18.5071554501,12.46083264 -18.9280586301,12.77518434 -19.5728270300999,13.0895360399999 -20.2175954301,13.4038877400001 -20.8623638301,13.7730547799999 -21.4258359501,14.14222182 -21.9893080700999,14.51138886 -22.5527801901,14.48701335 -23.3280582801,14.4626378400001 -24.1033363701,14.65965171 -24.5811128901,14.8566655800001 -25.0588894101,14.8377762 -25.7619476300999,15.0659713800001 -26.5422248601,15.2941665600001 -27.3225020901,15.75638766 -28.0341682700999,16.48958976 -28.5781784901,16.71752682 -29.0882566401,16.94546388 -29.5983347901,17.2779139800001 -30.3422927901,17.7785043299999 -31.1226396801,18.27909468 -31.9029865701,18.2897206200001 -32.6293106900999,17.84749986 -32.8308334701,18.1432629000001 -33.2663918000999,18.43902594 -33.7019501300999,18.3105545400001 -34.0355567300999,18.40472028 -34.3027802301,18.4859695800001 -34.0994453901,18.7990264800001 -34.0888939701,18.81971928 -34.3788948500999,19.2781926000001 -34.4091721101,19.32041358 -34.5952834701,19.9999999254948 -34.8220024519163,19.9999999254948 -34.9979870184295,19.9999999254948 -35.4979626818065,19.9999999254948 -35.9979626527027,19.9999999254948 -36.4979409982886,19.9999999254948 -36.9979409691846,19.9999999254948 -37.4979216617036,19.9999999254948 -37.9979218002378,19.9999999254948 -38.4979050073276,19.9999999254948 -38.9979049782238,19.9999999254948 -39.4978908675226,19.9999999254948 -39.9978908384188,19.9999999254948 -40.4978792422886,19.9999999254948 -40.9978793808228,19.9999999254948 -41.4978702992636,19.9999999254948 -41.9978702701598,19.9999999254948 -42.4978638708095,19.9999999254948 -42.9978640093437,19.9999999254948 -43.4978601245643,19.9999999254948 -43.9978600954606,19.9999999254948 -44.4978588928903,19.9999999254948 -44.9978590314245,19.9999999254948 -45.4978603434251,19.9999999254948 -45.9978603143214,19.9999999254948 -45.997864505273,19.9999999254948 -46.4978644761691,19.9999999254948 -46.9978644470653,19.9999999254948 -46.9978709849498,19.9999999254948 -47.4978711234841,19.9999999254948 -47.9978710943802,19.9999999254948 -47.9978803144737,19.9999999254948 -48.4978802853699,19.9999999254948 -48.9978802562661,19.9999999254948 -48.9978921585686,19.9999999254948 -49.4978921294647,19.9999999254948 -49.9644448090281,19.9999999254948 -49.9978921025251,19.9999999254948 -49.9979065172344,19.9999999254948 -50.4979064881305,19.9999999254948 -50.9979064590268,19.9999999254948 -50.9979233904711,19.9999999254948 -51.4979233613673,19.9999999254948 -51.9979233322635,19.9999999254948 -51.9979427782789,19.9999999254948 -52.497942916813,19.9999999254948 -52.9979428877093,19.9999999254948 -52.9979648482956,19.9999999254948 -53.4979648191917,19.9999999254948 -53.9979647900879,19.9999999254948 -53.9979892652453,19.9999999254948 -54.4979892361415,19.9999999254948 -54.9979892070376,19.9999999254948 -54.9980160291278,19.9999999254948 -55.498016167662,19.9999999254948 -55.9980161385582,19.9999999254948 -55.9980453075813,19.9999999254948 -56.4980454461155,19.9999999254948 -56.9980454170117,19.9999999254948 -56.9980771006057,19.9999999254948 -57.4980770715019,19.9999999254948 -57.9980770423981,19.9999999254948 -57.998111072925,19.9999999254948 -58.4981110438212,19.9999999254948 -58.9981110147173,19.9999999254948 -58.9981473921771,19.9999999254948 -59.4981473630733,19.9999999254948 -59.9981473339695,19.9999999254948 -59.9981858907241,19.9999999254948 -60.4981858616202,19.9999999254948 -60.9981858325164,19.9999999254948 -60.9982265685659,19.9999999254948 -61.4982267071001,19.9999999254948 -61.9982266779963,19.9999999254948 -61.9982695933405,19.9999999254948 -62.4982695642368,19.9999999254948 -62.9982695351329,19.9999999254948 -62.998314629772,19.9999999254948 -63.4983146006682,19.9999999254948 -63.9983145715644,19.9999999254948 -63.9983616778603,19.9999999254948 -64.4983616487565,19.9999999254948 -64.9983616196525,19.9999999254948 -64.9984105699672,19.9999999254948 -65.4984107085014,19.9999999254948 -65.9984106793976,19.9999999254948 -65.9984616413689,19.9999999254948 -66.4984616122651,19.9999999254948 -66.560555589237,19.9999999254948 -66.9984615831613,19.9999999254948 -66.9985143891514,19.9999999254948 -67.4985145276856,19.9999999254948 -67.9985144985818,19.9999999254948 -67.9985691485905,19.9999999254948 -68.4985691194867,19.9999999254948 -68.9985690903828,19.9999999254948 -68.9986255844103,19.9999999254948 -69.4986255553065,19.9999999254948 -69.9986255262027,19.9999999254948 -69.9986835289727,19.9999999254948 -70.2063121659281,19.966063716 -70.2022384220999,18.996484428 -70.0858489461,18.0269051400001 -69.9694594700999,17.2532451000001 -70.0725148100999,16.47958506 -70.1755701501,15.7059250200001 -70.2786254901,14.9357834100001 -70.2187652300999,14.1656418000001 -70.1589049701,13.45299534 -70.2200164101,12.74034888 -70.2811278500999,11.96367642 -70.7297362700999,11.3582696400001 -70.6991882001,10.75286286 -70.6686401301,9.99202914000011 -70.3818206601,9.23119542000006 -70.0950011901,8.68285565999997 -70.0744628300999,9.08703036000003 -70.3147277301,8.6653386000001 -70.4725189700999,8.11132343999992 -70.3204346301,7.55730827999992 -70.1683502901,6.72259140000006 -70.5830841501,5.94768936000003 -70.6145579300999,5.17278732 -70.6460317101,4.39788528000014 -70.6775054901,3.53045420999996 -70.7993850651,2.66302313999995 -70.9212646401,1.79559206999994 -71.0431442151,0.928160999999989 -71.1650237901,0.315330480000057 -71.4119567901,-0.297500039999989 -71.6588897900999,-0.91833336000002 -71.5830611901,-0.780694559999972 -71.3816757501,-1.05333353999998 -71.2766723901,-1.57361139 -71.3813934201,-2.09388924000001 -71.4861144500999,-2.33583354000001 -71.2825088901,-2.28527783999999 -71.1716765900999,-3.21625008000001 -71.2334823351,-4.14722232000003 -71.2952880801,-5.07819455999999 -71.3570938250999,-6.0091668 -71.4188995701,-6.10319465999999 -71.1445923500999,-5.44208381999994 -70.8859786101,-5.96944530000002 -70.6955566101,-6.49916747999998 -70.8450012500999,-7.02888966 -70.9944458901,-7.69055561999988 -71.3975067501,-7.33277789999994 -71.6891783900999,-7.84986155999991 -71.7575072901,-8.36694521999993 -71.8258361901,-8.64166824 -71.7425078901,-8.93652822000001 -71.2301407701,-9.64875024000003 -71.0433425300999,-9.44597249999998 -70.9387589300999,-9.55111121999994 -70.9091797100999,-10.41250032 -70.9827880101,-10.0519457399999 -71.1150055701,-10.53569556 -71.3861160801,-11.01944538 -71.6572265901,-11.5969456799999 -71.5580597301,-11.5775013599999 -71.2752838701,-12.21666714 -71.3511200301,-12.16166688 -71.6375122700999,-11.34333414 -71.9397277701,-11.5250014799999 -72.2677918100999,-12.43819521 -72.5407028601,-13.3513889399999 -72.8136139101,-13.90208337 -72.8029251501,-14.4527777999999 -72.7922363901,-13.76618094 -73.0595169501,-14.51865828 -73.1464386501,-15.27113562 -73.2333603501,-16.0236129599999 -73.3202820501,-16.46496675 -73.5558014301,-16.90632054 -73.7913208101,-16.07430654 -73.7542418900999,-16.9156970999999 -73.9801483701,-16.32611466 -74.0639038100999,-15.46125219 -73.9382018900999,-14.5963897199999 -73.8124999701,-13.74722298 -73.9652863101,-14.5972233449999 -74.1701469650999,-15.44722371 -74.3750076201,-16.2972240749999 -74.5798682751,-17.14722444 -74.7847289301,-17.3216667599999 -75.0400085300999,-17.78347395 -75.2591781501,-18.24528114 -75.4783477701,-17.7786140399999 -75.7339020501,-18.46018728 -75.7416789501,-19.14176052 -75.7494558500999,-19.82333376 -75.7572327501,-20.31875037 -75.8612595201,-20.81416698 -75.9652862900999,-21.36458394 -75.9382019601,-21.9150008999999 -75.9111176300999,-22.8439452959999 -75.9905609900999,-23.7728896919999 -76.0700043500999,-24.7018340879999 -76.1494477100999,-25.630778484 -76.2288910701,-26.55972288 -76.3083344301,-27.35166804 -76.4314829901,-28.1436131999999 -76.5546315501,-28.93555836 -76.6777801101,-29.80676148 -76.8957468501,-30.6779646 -77.1137135901,-31.54916772 -77.3316803300999,-32.32815048 -77.4413096300999,-33.1071332399999 -77.5509389301,-33.886116 -77.6605682301,-34.5334294199999 -77.8959350300999,-35.18074284 -78.1313018301,-35.82805626 -78.3666686300999,-36.2925034199999 -78.8372267901,-35.9041671 -79.0347290901,-35.140487625 -79.1398697451,-34.3768081499999 -79.2450104001,-33.6131286749999 -79.3501510551,-32.8494492 -79.4552917101,-31.89861555 -79.3791325701,-30.9477818999999 -79.3029734301,-29.9969482499999 -79.2268142900999,-29.0461146 -79.1506551501,-28.09528095 -79.0744960100999,-27.1444473 -78.9983368701,-27.9092731499999 -79.1648121651,-28.674099 -79.3312874601,-29.43892485 -79.4977627551,-30.2037506999999 -79.6642380501,-29.52176034 -79.7610677301,-28.83976998 -79.8578974101,-28.1577796199999 -79.9547270901,-28.04666904 -80.1294556100999,-28.31944662 -80.2769470700999,-29.2601212585714 -80.3559756072428,-30.2007958971429 -80.4350041443856,-31.1414705357142 -80.5140326815285,-32.0821451742857 -80.5930612186714,-33.0228198128571 -80.6720897558143,-33.9634944514286 -80.7511182929571,-34.90416909 -80.8301468301,-35.8448437285714 -80.9091753672428,-36.7855183671429 -80.9882039043857,-37.7261930057142 -81.0672324415286,-38.6668676442857 -81.1462609786714,-39.6075422828571 -81.2252895158142,-40.5482169214285 -81.3043180529571,-41.48889156 -81.3833465901,-42.28667064 -81.6173706201,-43.08444972 -81.8513946501,-43.92523698 -81.8480606000999,-44.7660242399999 -81.8447265500999,-45.6068115 -81.8413925001,-46.44759876 -81.8380584501,-47.28838602 -81.8347244000999,-48.12917328 -81.8313903501,-49.0389417 -81.8826420801,-49.9487101199999 -81.9338938101,-50.8584785399999 -81.9851455401,-51.7682469599999 -82.0363972701,-52.67801538 -82.0876490001,-53.5877838 -82.1389007301,-54.53111646 -82.2566757201,-55.47444912 -82.3744507101,-56.21097753 -82.5411186500999,-56.94750594 -82.7077865900999,-57.68403435 -82.8744545301,-58.42056276 -83.0411224700999,-59.12639622 -82.9397277501,-58.7734756199999 -82.6839675501,-59.0936126399999 -82.5363922100999,-60.0639610049999 -82.4150047101,-61.0343093699999 -82.2936172101,-62.0046577349999 -82.1722297101,-62.9750060999999 -82.0508422101,-63.949618512 -81.9122313740999,-64.924230924 -81.7736205380999,-65.898843336 -81.6350097021,-66.873455748 -81.4963988661,-67.84806816 -81.3577880300999,-68.5653787799999 -81.2885747901,-69.2826893999999 -81.2193615500999,-70.00000002 -81.1501483101,-70.00000002 -80.2971545000999,-70.00000002 -79.4441606900999,-69.1057663199999 -79.1306687900999,-68.21153262 -78.8171768901,-67.31729892 -78.5036849901,-68.12611398 -78.4733429301,-69.063057 -78.6412823001,-70.00000002 -78.8092216701,-70.00000002 -78.0591764301,-70.00000002 -77.3091311901,-70.00000002 -76.5590859500999,-69.82501212 -76.3902893301,-69.38528436 -76.2961120701,-68.6173667399999 -76.2307663101,-67.84944912 -76.1654205501,-67.0815314999999 -76.1000747901,-66.3136138799999 -76.0347290300999,-65.55771063 -75.8780632400999,-64.80180738 -75.7213974501,-64.0459041299999 -75.5647316601,-63.29000088 -75.4080658701,-63.17806248 -75.3086243300999,-63.80000685 -75.3146629701,-64.4219512199999 -75.3207016101,-63.76149747 -75.2261199801,-63.10104372 -75.1315383501,-63.9741706199999 -74.9915390301,-63.0480574799999 -74.8920899301,-63.22333518 -74.6027831300999,-62.6300009999999 -74.7588958701,-62.58750156 -74.9688950300999,-62.09500122 -74.9400025101,-61.8626403 -74.7963943701,-62.0244484199999 -74.6325072500999,-61.61299128 -74.4174346101,-61.73889156 -74.2936248500999,-61.0423623 -74.0932006100999,-61.7576409 -73.9173659900999,-60.9777831599999 -73.9577788701,-60.59153358 -73.7093810300999,-60.9193116 -73.7073745701,-60.77444454 -73.5436247901,-61.62361524 -73.5359038701,-61.83597564 -73.3695907100999,-61.4357681399999 -73.3466034501,-61.9030609199999 -73.1333464700999,-61.28569791 -73.2472304901,-60.6683349 -73.3611145100999,-60.4627839 -73.1477813901,-60.1669463399999 -73.2858428301,-59.83986672 -73.2231979701,-59.79556278 -72.8808440901,-60.62361534 -73.0252913901,-60.6152800799999 -72.6450043101,-61.24694832 -72.7039031900999,-61.5094489799999 -72.4788970700999,-60.85930626 -72.3920899101,-60.9913215 -72.2840270901,-60.7955589 -72.2372360900999,-61.06694796 -72.1607666901,-60.85875312 -72.0059814501,-61.33417128 -72.1332016701,-61.9401073499999 -72.0912895700999,-62.54604342 -72.0493774701,-62.25534828 -71.9986190900999,-62.5250015999999 -71.9197234701,-61.72389225 -71.8393783101,-60.9227829 -71.7590331500999,-61.25889582 -71.5388945901,-61.93889244 -71.6270904501,-61.1096535 -71.4202805301,-61.26833718 -71.3265304100999,-60.97208778 -71.3643111501,-61.1019516599999 -71.2355652500999,-60.94680786 -71.1595229901,-61.39000314 -70.8133468101,-62.13583764 -70.8589019301,-62.2009772999999 -70.7009810901,-61.4900817 -70.5195083300999,-62.17639164 -70.5394591701,-62.49909978 -70.3688278101,-62.48139192 -70.2291717501,-61.94243232 -70.2328491500999,-62.62819668 -69.8548660701,-62.47347642 -69.4615325901,-63.1427841 -69.3602905101,-63.2461167 -69.1482010101,-63.57167046 -69.2405699900999,-63.3690300599999 -69.0526427901,-63.62319942 -68.9725037301,-63.46611792 -68.9011153701,-63.69805908 -68.7405623900999,-63.2120171399999 -68.7999343101,-63.96680448 -68.5313950101,-63.35246655 -68.4724350201,-62.73812862 -68.4134750301,-63.61417386 -68.3552857101,-64.37055978 -68.5066757901,-63.99125298 -68.7145919901,-64.2436218 -68.7125092100999,-63.8613548999999 -68.8357696101,-64.5904026 -68.7718467501,-65.3194503 -68.7079238901,-65.4386139 -68.5952910501,-65.0962600199999 -68.4386215701,-65.5929946799999 -68.3529892701,-64.77014916 -68.1161193501,-65.7191772 -68.1508408100999,-65.3388290999999 -67.9749755901,-65.61194616 -67.8830566100999,-65.2983399 -67.6682051901,-65.6118088199999 -67.5628510100999,-65.4147262799999 -67.3377838700999,-64.76376348 -67.3102874300999,-64.9204253999999 -67.2226486700999,-64.6726454999999 -67.1557007301,-64.9340667 -67.0153579701,-64.8377838 -66.9514007300999,-64.29438018 -66.9233436801,-63.75097656 -66.8952866301,-63.7788925799999 -66.7752838701,-64.1844482399999 -66.7327194500999,-64.1038971599999 -66.5680617501,-63.80639262 -66.5838927501,-63.97472772 -66.4708405100999,-63.5888214 -66.3731307500999,-63.7686118799999 -66.3522338301,-63.70472718 -66.2272339100999,-63.15958782 -66.2987594300999,-62.57583612 -66.7277831301,-62.43777846 -66.6692734100999,-62.67583458 -66.5495834901,-62.4470138999999 -66.4386826100999,-62.86458978 -66.2525100501,-62.17278282 -66.1818083901,-61.7065315199999 -66.4668121101,-61.44583896 -66.1338958101,-61.1134758 -66.3266754500999,-60.68389122 -66.0794524700999,-60.6111908399999 -65.9292296900999,-61.01166924 -65.9136199101,-61.07944878 -66.0611191101,-61.29055782 -65.9136199101,-61.33847436 -66.0618819501,-61.87277988 -66.1719512300999,-62.45736318 -65.9111175501,-62.09222418 -65.5713958100999,-61.6836128399999 -65.5352860101,-62.07917022 -65.4527893101,-61.9791679799999 -65.1900100101,-61.63069914 -65.2273711701,-60.77479554 -64.8198013101,-59.9188919399999 -64.4122314501,-59.4987526799999 -64.5347290101,-59.4930573 -64.3161163101,-58.77864072 -64.5358124301,-58.8802795199999 -64.2164000901,-58.64611824 -63.9797287100999,-58.0162563899999 -63.7211857101,-57.3863945399999 -63.4626427100999,-57.15153126 -63.4695395900999,-57.11611554 -63.6411132500999,-56.7202797 -63.5913925701,-57.0127831199999 -63.2466736700999,-57.2766723 -63.2091674301,-58.09042161 -63.3704872101,-58.9041709199999 -63.5318069900999,-59.43250278 -63.8894500701,-59.8379211 -63.7715300901,-60.02416998 -63.9426422301,-60.97125618 -64.0311203301,-60.8547286799999 -64.1397247701,-60.94326402 -64.2759093500999,-61.58378601 -64.5187911801,-62.224308 -64.7616730101,-62.4584770199999 -64.5927809901,-62.6113929599999 -64.7578507100999,-62.33000184 -64.8618088101,-62.9384039999999 -64.8009032901,-62.76847464 -64.8461837301,-63.15389244 -64.9258423701,-62.99583444 -65.0813904500999,-63.09056088 -65.1338959101,-63.94111632 -65.0427856700999,-64.0519561799999 -65.4245910500999,-63.7341690599999 -65.5161133100999,-64.1389006799999 -65.5241699301,-64.04806512 -65.6755675700999,-64.40431212 -65.6275100901,-64.31611626 -65.7788924300999,-64.6600113 -65.7433395501,-64.42313382 -65.9488907301,-64.56611628 -66.0283355301,-64.9233397799999 -65.9320907900999,-65.2820205599999 -65.9888915901,-65.2152862799999 -66.1680603501,-65.69417574 -66.1270903701,-66.0970916999999 -66.5647277901,-66.48611454 -66.6125107701,-66.3994522799999 -66.8822251101,-66.87333684 -67.0777893500999,-66.9908448 -66.9022369700999,-67.4858397599999 -67.0772246901,-67.59140022 -67.5580597701,-67.01258088 -67.5425759001,-66.43376154 -67.5270920301,-66.89896398 -67.6766052501,-66.67986294 -67.7330627901,-67.0232086199999 -67.7821579700999,-66.71382138 -67.7997283101,-66.7859801399999 -67.9009093701,-67.15722654 -68.0105590700999,-66.91639716 -68.2200013100999,-66.5922317399999 -68.2429275501,-67.16153718 -68.2967376500999,-66.9376449 -68.3765334500999,-67.1736832199999 -68.5039595901,-66.9318084 -68.7692412501,-67.4883422999999 -68.8139647701,-66.65987394 -69.0212632101,-67.39695738 -69.3505706901,-68.2047271799999 -69.2669525900999,-68.83277886 -69.4135436901,-68.3394471 -69.6788941101,-68.50229652 -69.9414673100999,-68.39125056 -70.1182022900999,-67.9562607599999 -70.2637558701,-67.40292366 -71.0365370901,-67.53430944 -71.4577865901,-66.86473086 -71.8887634700999,-66.95209512 -72.1925125701,-66.80027772 -72.4061889501,-67.5886229999999 -72.8330688500999,-68.10667416 -72.9441757401,-68.6247253199999 -73.0552826301,-69.3123626699999 -73.1241877100999,-70.00000002 -73.1930927901,-70.00000002 -72.5981665101,-69.2350005599999 -72.5588989701,-69.06668094 -72.3752899701,-68.39750664 -72.2369536700999,-68.42799378 -71.9977187301,-68.13347634 -71.8800048501,-68.07139596 -71.6383361301,-68.3630676 -70.7558441901,-68.63514714 -70.3487624901,-69.05541996 -70.1926421900999,-69.5030669999999 -69.4802857100999,-70.00000002 -69.2925795501,-70.00000002 -68.3631363381,-70.00000002 -67.4336931260999,-70.00000002 -66.5042499141,-70.00000002 -65.5748067020999,-70.00000002 -64.6453634901,-70.00000002 -63.7159202780999,-70.00000002 -62.7864770661,-70.00000002 -61.8570338540999,-70.00000002 -60.9275906421,-70.00000002 -59.9981474300999,-69.24999996 -59.9981474300999,-68.4999999 -59.9981474300999,-67.74999984 -59.9981474300999,-66.9999997799999 -59.9981474300999,-66.9999997799999 -59.1980240301,-66.9999997799999 -58.3979006301,-66.99999984 -57.5979391101,-66.9999999 -56.7979775900999,-66.99999996 -55.9980160700999,-66.00000006 -55.9980160700999,-66.00000006 -55.0012232300999,-65.3505631199999 -54.9277801701,-65.14007562 -54.6532668501,-65.6908721999999 -54.5955238400999,-66.2416687799999 -54.5377808301,-66.90264138 -54.2281990101,-67.56361398 -53.9186171901,-68.16320046 -53.2937545701,-68.5436248799999 -53.2294463301,-68.36834718 -53.0038910301,-68.2241745599999 -53.1062545100999,-68.61758418 -52.6415099901,-69.1516724399999 -52.6844482700999,-69.41722878 -52.4594497101,-69.56796492 -52.5699034701,-69.62783958 -52.4906341701,-69.26848596 -52.2080573901,-68.44175712 -52.3777770501,-68.9901427799999 -51.6244468101,-69.6095199 -51.6241721301,-68.9700699 -51.5727806901,-69.1925049 -50.9668083501,-69.40597536 -51.0796546701,-69.14361564 -50.8816719500999,-68.94111636 -50.3880615500999,-68.37319944 -50.1552124701,-68.5637719826215 -49.9978921003609,-68.5849381199999 -49.9804191501,-68.8347078986251 -49.9978921003609,-69.0028534799999 -50.0096549301,-68.9432956321936 -49.9978921003609,-68.8272933599999 -49.9749813501,-68.59251396 -49.9286117300999,-68.5261538999999 -49.9690980500999,-68.4789584555199 -49.9978921003609,-68.27334588 -50.1233368101,-67.9302002281908 -49.9978921003609,-67.8972320999999 -49.9858398501,-67.88541636 -49.9565801301,-67.60577394 -49.2640990701,-67.8277816199999 -49.3863907101,-67.58570106 -49.0404204501,-66.9870657 -48.6822254901,-66.38843034 -48.3240305301,-65.78979498 -47.9658355701,-65.9568099599999 -47.7863921301,-66.24362178 -47.8602828501,-65.87042238 -47.7555579501,-65.7752837399999 -47.1952094901,-66.2969169 -47.0921898200999,-66.8185500599999 -46.9891701501,-67.53361518 -46.4223632901,-67.5843505199999 -46.0002974901,-66.94653312 -45.2541731901,-66.18278502 -44.9644469901,-65.6111221199999 -45.0205612701,-65.53730016 -44.8922920101,-65.68904106 -44.7120895100999,-65.2494506399999 -44.3130568701,-65.3268126599999 -43.6618080501,-64.9298629799999 -43.2358360700999,-64.29653172 -42.9911842101,-64.98944856 -42.7945900101,-64.9537506 -42.6611137101,-64.45403298 -42.5072288301,-64.09841148 -42.8885460501,-63.62864694 -42.7648315101,-63.5869483199999 -42.3318100101,-63.75083544 -42.0900039501,-64.3282394399999 -42.2461814901,-64.06306452 -42.2786178501,-64.1134796399999 -42.4315300101,-64.45195002 -42.4458389301,-64.6008758999999 -42.4072609701,-64.4644546199999 -42.2656288701,-65.01362616 -42.0922240700999,-65.07188415 -41.4681968301,-65.1301421399999 -40.8441695901,-64.80445104 -40.7219467101,-64.28958894 -40.9434071001,-63.77472684 -41.1648674900999,-63.0363959999999 -41.1493109900999,-62.3900069999999 -40.9019470700999,-62.1953162999999 -40.6284064701,-62.33833692 -40.6713218900999,-62.2475013599999 -40.6011848900999,-62.4887504999999 -40.3025702901,-62.3091735 -39.8922271701,-62.1170882999999 -39.8368759100999,-62.06875236 -39.5084761701,-62.27486424 -39.3384742700999,-62.02437588 -39.3875046501,-62.32750326 -39.2600059700999,-62.3851432199999 -38.8026428901,-61.7397975899999 -38.8992386301,-61.09445196 -38.9958343701,-60.16334028 -38.8255564701,-59.2322286 -38.6552785701,-58.30111692 -38.4850006701,-57.55194846 -38.1136169301,-57.4840317599999 -37.8304214901,-57.0811844699999 -37.3770179600999,-56.67833718 -36.9236144300999,-56.74534992 -36.3159751100999,-57.05333712 -36.3141707901,-57.37667076 -35.9627837901,-57.1883392799999 -35.3205565700999,-57.8290329 -34.9301414300999,-58.46972652 -34.5397262901,-58.38528438 -34.0504227500999,-58.53195198 -33.5169448701,-58.4256972599999 -33.0974350701,-58.2559623 -33.0658112301,-58.3605576 -33.1309777101,-58.4037513 -33.9264603501,-57.83687586 -34.4927826501,-57.11125572 -34.4641723701,-56.3179168799999 -34.9103470101,-55.69278336 -34.7750701701,-54.89611812 -34.9436111901,-54.2788925399999 -34.6907005700999,-54.31291956 -34.5628508901,-54.14076612 -34.6646576301,-53.75753208 -34.2026634201,-53.3742980399999 -33.7406692101,-52.62861636 -33.1152800901,-52.35969159 -32.6398296201,-52.0907668199999 -32.1643791500999,-52.2547225199999 -32.0552825900999,-52.21764 -31.7450027300999,-51.9637526999999 -31.3373641101,-51.46778106 -31.0609741100999,-51.37694928 -30.6511115901,-51.2772940799999 -30.7999325301,-51.27503976 -30.0105571101,-50.9663925 -30.4088897301,-50.60500344 -30.1940287701,-50.56810002 -30.4575500300999,-50.9708404799999 -31.1222228900999,-51.15896226 -31.0778483900999,-51.2513962199999 -31.4716682301,-51.86125566 -31.8729172101,-52.0867423799999 -31.8268051700999,-52.0696564199999 -32.1719474301,-51.40955358 -31.6265297000999,-50.7494507399999 -31.0811119700999,-50.42608902 -30.5260207701,-50.1027273 -29.9709295700999,-49.75250238 -29.3697243500999,-49.2975044099999 -28.9937516000999,-48.84250644 -28.6177788501,-48.8527793999999 -28.3202780901,-48.7618064999999 -28.4906959701,-48.56389614 -27.8644446500999,-48.62055978 -27.2370854301,-48.48694992 -27.2134742901,-48.6401424299999 -26.6728496901,-48.79333494 -26.1322250901,-48.5810433 -26.1756954501,-48.58111566 -25.8722228301,-48.7701415799999 -25.8840979701,-48.3618087 -25.5794449100999,-48.71861262 -25.4247246501,-48.4806976199999 -25.4801407100999,-48.3950043 -25.2961121301,-48.1340561399999 -25.2847309101,-48.2081985 -25.4601401900999,-47.9143065599999 -25.1523628700999,-48.0261153599999 -25.0150032500999,-47.47755048 -24.6329193501,-46.9289855999999 -24.2508354501,-46.38042072 -23.8687515500999,-46.27972404 -24.0258350300999,-45.8900069399999 -23.7677803701,-45.4154853599999 -23.8280562500999,-45.4108352399999 -23.6288909301,-44.94389346 -23.3622245300999,-44.57430648 -23.3536835301,-44.67521286 -23.0556964101,-44.35375212 -22.9204177701,-44.19194796 -23.0511130700999,-43.7688903599999 -22.9266700700999,-43.60680774 -23.0188883901,-43.9969482 -23.1030578300999,-43.28945154 -23.0130576500999,-43.1474342399999 -22.9518070701,-43.2543106799999 -22.7365988901,-43.07583618 -22.6683349701,-43.0941695399999 -22.9533347300999,-42.56430813 -22.9362525501,-42.0344467199999 -22.9191703700999,-41.98743432 -22.5656966301,-41.76306144 -22.3461112101,-40.97014236 -21.9825020301,-40.9643325 -21.2765656101,-40.57205706 -20.7189153501,-40.1797816199999 -20.1612650901,-39.78750618 -19.6036148301,-39.71688084 -18.9174337701,-39.6462555 -18.2312527101,-39.132225 -17.6863212501,-39.2090301 -17.1661147701,-39.04048917 -16.5201415701,-38.87194824 -15.8741683701,-38.9693088899999 -15.2622932901,-39.06666954 -14.6504182100999,-38.92070016 -13.9251393500999,-39.07458882 -14.1461123900999,-38.96347428 -13.6861124901,-39.0802842 -13.5383339301,-38.7301406399999 -12.8712510500999,-38.79995724 -12.8035908501,-38.6979904799999 -12.5811119301,-38.5073661599999 -12.7264585101,-38.53052514 -13.0160074101,-38.31792066 -12.9372233901,-37.9885464 -12.4977788601,-37.65917214 -12.0583343301,-37.34236152 -11.1875009900999,-37.37187954 -11.4298619900999,-37.20722958 -11.2194461301,-37.27562706 -11.0252084901,-37.15451424 -11.0997914901,-37.0551833999999 -10.8768778701,-37.0119475799999 -10.9297237100999,-36.3898619999999 -10.4891672301,-35.8586845199999 -9.85902836010001,-35.3275070399999 -9.22888949010002,-35.07924276 -8.61909773010001,-34.8309784799999 -8.0093059701,-34.7929191 -7.1727781100999,-35.00009532 -6.52134293009999,-35.20727154 -5.86990775009991,-35.41444776 -5.2184725701,-36.2944469699999 -5.06854202009998,-37.17444618 -4.91861147010002,-37.83548934 -4.32173642010002,-38.4965324999999 -3.72486137009992,-39.2476425299999 -3.28569467009999,-39.99875256 -2.8465279701,-40.61076543 -2.86340306009993,-41.2227783 -2.88027815010003,-41.24806974 -3.02355437009999,-41.8708342799999 -2.73222257009996,-42.2358398999999 -2.83777817009997,-42.7916718 -2.6018060001,-43.3475037 -2.36583383009997,-43.47771066 -2.38277813009995,-43.44833376 -2.53777793009994,-43.92833706 -2.54847245010001,-44.1983338199999 -2.86888937010002,-44.3383713 -2.78079863009998,-44.0338897799999 -2.41361141009992,-44.35694892 -2.52666707009996,-44.4230612999999 -2.93444465009998,-44.7863922 -3.29750015009995,-44.5820884199999 -2.56680581009999,-44.36055756 -2.34194477009993,-44.4508362 -2.14638899009998,-44.6549338799999 -2.32368089009992,-44.489727 -1.98666671009994,-44.69500728 -1.81777793010002,-44.95139316 -1.60166669009999,-44.8588944 -1.43062511009998,-45.1587562199999 -1.48041671009992,-45.35069652 -1.73680565009994,-45.3247261199999 -1.31472239009997,-45.4622268599999 -1.54555565009991,-45.44694522 -1.31083349009998,-45.6961822199999 -1.36868063010002,-45.7355575799999 -1.18000013009993,-45.86153022 -1.25951405009999,-45.97569648 -1.0775000301,-46.0466690399999 -1.21027775009998,-46.25944902 -1.17777785009997,-46.19194794 -0.957500150099975,-46.61000064 -1.0375000700999,-46.6011124199999 -0.867777890100001,-46.8266716799999 -0.713194430099918,-46.9600029 -0.898472390099926,-46.9597282199999 -0.702777830099933,-47.43139644 -0.582500030099993,-47.3980599 -0.812777810099931,-47.7445869 -0.637361150099991,-48.23805996 -0.867777890100001,-48.4997254199999 -1.46145839010001,-48.1889609999999 -1.46624999009998,-48.41361234 -1.49944451009992,-48.4272232199999 -1.66027793009994,-48.6972275399999 -1.46916671010001,-48.9704895 -1.84055567009995,-49.1905593 -1.89805577009997,-49.4900054999999 -2.56500005009997,-49.2809066999999 -1.71770855009993,-49.84864812 -1.83496541009998,-50.41638954 -1.95222227009998,-50.6779556399999 -1.81044365009996,-50.8229217 -1.96000007009997,-50.71645728 -2.22326429009996,-50.98431024 -2.06916683009996,-51.00625224 -2.33986145009993,-50.8438224 -2.50750013009991,-51.02916714 -2.34500027009989,-50.9911155 -2.02958339009996,-51.3082314 -1.76690975009996,-51.4472274 -2.27916689009999,-51.52194972 -2.04638909009992,-51.33659742 -1.6474306101,-50.81472774 -1.89833351009997,-50.66722872 -1.77166679009991,-50.83709724 -1.3394090301,-50.8529204999999 -0.915000170099916,-51.53069493 -1.3035394401,-52.20846936 -1.69207871010002,-52.29333504 -1.53500009009997,-52.7069511 -1.60305575009988,-51.9275055599999 -1.33486115009998,-51.69407652 -0.745188530099995,-51.2975006999999 -0.191388830099982,-50.60034945 0.491527749900115,-49.9031982 1.17444432990004,-50.11055748 1.21340262990009,-49.8929900399999 1.32423582990003,-49.9320831599999 1.70993046990014,-50.44528206 1.82583336990012,-50.67972558 2.16472188990008,-50.85166932 2.64736074990009,-51.02361306 3.12999960990004,-51.09298704 3.91284696990004,-51.54813 4.38569346989999,-51.4477845 3.97249986989999,-51.54028326 4.15361028990014,-51.6840667199999 4.03416354989997,-51.7944488399999 4.60555554989998,-51.9155578799999 4.64652732989998,-52.04069514 4.33458282990006,-52.0234756199999 4.68569370990002,-52.48062891 5.07201339989996,-52.9377822 5.45833308990007,-53.85861198 5.75541642989998,-54.16667946 5.34740250990006,-54.02556234 5.81861064989999,-54.53646471 5.91020769990013,-55.04736708 6.00180474990009,-55.1447258399999 5.93416596990005,-54.86444856 5.85513822990004,-55.12796784 5.82217302990006,-55.8558386999999 5.94888870989996,-55.89955908 5.6719083099,-56.01778416 5.81833272990008,-56.964447 5.99708316990001,-57.24850464 5.48611068989999,-57.22028352 6.16916658990004,-57.7684422 6.53170107990002,-58.31660088 6.89423556989999,-58.63708872 6.42194364990013,-58.4852790599999 7.36861080990013,-59.12930682 8.03999892990009,-59.99028012 8.53527648990007,-60.9022292399999 8.58222192989996,-61.0735435199999 8.40291600990008,-61.5988922399999 8.55499836990009,-61.2102088799999 8.59513764989998,-60.9504890399999 9.17513742990002,-61.0845870599999 9.09749892990004,-60.78361518 9.30499842990014,-60.85361484 9.4444437099001,-61.61986548 9.90527718990012,-61.59770964 9.78277674990011,-61.80091866 9.81227586989996,-61.73583606 9.60093696989998,-62.178894 10.0147218699001,-62.02743534 9.86642256990012,-62.1961135199999 9.64166538990014,-62.2056999599999 9.91402626989998,-62.32264326 9.71208282990006,-62.57750328 10.2251386299,-62.6112136799999 10.0924473099,-62.80528266 10.0086097899001,-63.0159758999999 10.0956936099,-62.70391458 10.1049718899,-62.63063046 10.1071509699,-62.6547699 10.1516876499001,-62.79008868 10.4013337899,-62.99840934 10.2715969899001,-62.8377112799999 10.3972911699001,-62.8725050999999 10.5244437099001,-63.0042380999999 10.4529847899001,-62.91229626 10.5287494899,-62.3311119 10.5316647699,-61.8795890999999 10.7283315099001,-62.67458856 10.7048133099,-63.4695880199999 10.6812951099001,-64.2645874799999 10.6577769099,-64.23569496 10.5143737899,-63.71556084 10.4719429299,-64.20251466 10.4499987699,-65.0813904 10.0605554499001,-65.8144531799999 10.2283325499001,-66.22987374 10.6405545099,-67.17205818 10.5627417699,-68.11424262 10.4849290299,-68.4183349799999 11.1799983099,-68.84368128 11.4470824899001,-69.63181308 11.4676379499,-70.01431272 12.1974983499001,-70.28666694 11.9202765699,-70.23597714 11.6288880699,-69.81653592 11.6909713299001,-69.8013916199999 11.4272212899,-70.04779056 11.5177764099001,-70.7703246899999 11.2394084799001,-71.4928588199999 10.9610405499001,-71.54570772 10.5683316699,-71.07340248 9.85111050990008,-71.0559768599999 9.33874986990014,-71.62389378 9.04305450990012,-72.12535092 9.81819336990003,-71.85163878 10.2671517999,-71.57792664 10.7161102299,-71.9691696 11.5462484499001,-71.3247222599999 11.8530541299001,-71.11418148 12.0488872899001,-71.22084048 12.3020821299,-71.69084172 12.4593047499,-71.93778984 12.1627768899001,-72.15792084 12.2411089299001,-72.2586213 11.8891659099,-72.7715377799999 11.5923604899,-73.28445426 11.2955550699,-74.155014 11.3313883899001,-74.39500422 10.7421522699,-74.5917434999999 10.8776379099001,-74.29222872 10.9990263098999,-74.8608093 11.1254863899,-75.5040358799999 10.5501385298999,-75.56917572 9.99916599989996,-75.6343155599999 9.44819346989999,-76.08973698 9.33583260989997,-76.3175125799999 8.93861004989998,-76.92834474 8.56833258990008,-76.77382662 8.41124910989998,-76.7579193 7.91916600990004,-76.9238892 7.93604082990004,-76.8341064599999 8.12909604989994,-77.3666686799999 8.67499914990003,-78.0343857 9.22881792989995,-78.54445269 9.3289222299,-79.05451968 9.42902652990006,-78.99501042 9.5477772099,-79.62583932 9.5941657299,-80.11750788 9.20694342989998,-80.66077038 8.99402709990005,-81.20403288 8.78111076990012,-81.50729364 8.79312324990002,-81.88632972 9.17360976990011,-81.8163910799999 8.94527634989998,-82.2427826399999 9.00235938990005,-82.5635682 9.56287578989992,-82.95165261 9.93129825990002,-83.3397370199999 10.2997207299001,-83.64579768 10.9248466898999,-83.855835 11.2161102699001,-83.6534424599999 11.6028109299001,-83.82809448 11.8758316899,-83.67695622 12.0505542698999,-83.6440352999999 12.7970122899,-83.53709406 12.7706937699,-83.6327133 12.4795817499,-83.47848516 12.4238881298999,-83.5148010599999 12.9372210399001,-83.55111696 13.4505539499,-83.1869506799999 14.3238887499,-83.4191054999999 14.8094434299,-83.13185124 14.9929789899001,-83.61668394 15.3472452699,-83.59274286 15.2493677499,-83.75834664 15.1966648299001,-83.83104702 15.2712841899001,-84.0744552599999 15.3491649699,-84.20951844 15.5456581899001,-83.8555603199999 15.4599990699001,-84.26014704 15.8259705699,-84.5991745199999 15.7755536499001,-84.99696354 15.9912777099,-85.4961166799999 15.8890267299001,-86.01160428 16.0216293099001,-85.9519576799999 15.9170827899,-86.40347292 15.7675686699,-86.93896104 15.7760058099,-87.47444916 15.7844429499,-87.7077790199999 15.9212827299,-88.21473696 15.7244433699,-88.55139168 15.9408321699,-88.6180649399999 15.6985397499001,-88.9105681799999 15.8936100699001,-88.3612899 16.5017681499001,-88.2133407 16.9620819698999,-88.2825012 17.6238861699001,-88.07778936 18.2155533699001,-88.2994995 18.4829291499001,-88.0397262 18.8681926899,-88.07333382 18.4936103499001,-87.84750366 18.1908301899001,-87.76236726 18.4086093099,-87.4886169599999 19.2913856499,-87.67694862 19.3149985899001,-87.41222388 19.5816649899,-87.6577149 19.5055523499,-87.73660278 19.6775684499,-87.4690550999999 19.8490238499001,-87.42556008 20.2227763899001,-87.1004219399999 20.6877069399,-86.7752838 21.1526374899001,-86.81556708 21.4086075699,-87.07861332 21.6061096899,-87.41077416 21.5286101498999,-87.1338272399999 21.5572204299,-87.2491761 21.4413871899001,-87.8502884399999 21.5051365299,-88.45140078 21.5688858699001,-89.39202498 21.2981920599,-90.33264918 21.0274982499001,-90.39396285 20.5017347199001,-90.45527652 19.9759711899,-90.67667382 19.7683296699,-90.75389094 19.3202743899,-91.42861176 18.8517741699001,-91.1861877599999 18.6500683299001,-91.4957046 18.4355545899,-91.8131255999999 18.3826371099,-92.04195402 18.5599975899,-91.8586197 18.6156940899001,-92.00417328 18.7262477499,-92.56702041 18.5329141599,-93.12986754 18.3395805699001,-93.5870895 18.4213867898999,-94.46917716 18.1462477899001,-95.18222808 18.7018032099,-95.91139224 18.8252754699,-96.29528814 19.3411083099,-96.44445036 19.8549976899,-96.8099022 20.2694769399,-97.17535404 20.6839561899,-97.45879365 21.3482265699001,-97.74223326 22.0124969499001,-97.3729171799999 21.5435389899001,-97.41347496 21.2717343099001,-97.3150101 21.5565241899001,-97.6979217599999 21.9747219699,-97.88826744 22.5988177899001,-97.7413941 22.9058304699001,-97.69653324 23.7130527999001,-97.6516723799999 24.5202751299,-97.39620594 25.2433519599001,-97.1407395 25.9664287899001,-97.5604094999999 26.8420810899,-97.4293669799999 27.2622891099,-97.6338882 27.2524967499,-97.7693405399999 27.4497166299001,-97.4129868 27.3272876499001,-97.27972416 27.6561049899001,-97.5170898 27.8638152699,-97.1945114399999 27.8218021899,-97.02249912 28.0316658099001,-97.14416508 28.0280532099,-97.1693726399999 28.1618004099001,-96.78083796 28.2413825499,-96.8003388 28.4715213699001,-96.65930934 28.3152064899,-96.3999709199999 28.4417304699001,-96.6447296999999 28.7119389099,-95.99068458 28.6510371699001,-96.2120133 28.4881191699001,-95.6803131 28.7696838999,-95.1486129 29.0512486299,-94.88750454 29.3852748099,-95.06006622 29.7150630699,-94.7570191199999 29.7849979299,-94.7658385799999 29.5680541899001,-94.47659298 29.5588855299001,-94.75417332 29.3679123699001,-93.85843662 29.6816253699,-93.95847324 29.8166619099001,-93.79666134 29.9941597299001,-93.85048674 29.7088145499001,-93.24082944 29.7849959499,-92.3083344 29.5397185899,-92.0997315 29.6155509699001,-92.14862058 29.7688864899001,-91.8388215 29.8282603899,-91.12652586 29.3473587099001,-91.27791594 29.2558326699001,-90.76501458 29.1094399299001,-90.44444268 29.3261070099001,-90.24777216 29.0824966299,-90.1159668 29.1390247299,-90.02652732 29.4251347299,-90.18249516 29.5698585098999,-89.38957986 29.0920810899,-89.27201844 29.1496486899001,-89.40499884 28.9266625299001,-89.00875854 29.1741619899001,-89.7527159999999 29.6329803699,-89.4041747999999 29.7624970299,-89.39944458 30.0508309299,-89.65805058 29.8738860698999,-89.84374992 30.0070819299001,-89.67353814 30.1671485499001,-90.17013546 30.0234698499,-90.41500098 30.2034684099,-90.2137527 30.3869418699001,-89.5931244 30.1532592099,-88.98083496 30.4183273899001,-88.1314543799999 30.3189544299001,-88.020279 30.7011070299001,-87.75771336 30.2824288299001,-88.02135468 30.2254791699,-87.56861886 30.2794419099001,-87.42039498 30.4809456099,-87.5225600999999 30.2792930499,-87.16083534 30.5177745099001,-86.9363861399999 30.4499969499001,-87.12609858 30.3638840499,-86.2600021199999 30.4958285499001,-86.10423282 30.3790931499001,-86.33736414 30.3844395098999,-85.72555548 30.1258277499,-85.8455505 30.2470798899001,-85.7469483 30.2972183499,-85.3938903599999 30.0415249299001,-85.62939462 30.1046275299,-85.3072128 29.8159694499,-85.34167488 29.6763839499001,-84.67632675 29.8870105899,-84.01097862 30.0976372299,-83.5413246 29.6610375099001,-83.0716705799999 29.2244377899,-82.8027801 29.1549950498999,-82.6286011199999 28.6963843899,-82.85416416 27.8586082299001,-82.72472382 27.6580506099001,-82.5950698199999 27.8218727499001,-82.69124598 28.0298577099001,-82.42416378 27.9194392299,-82.65527352 27.4616623299001,-82.3963928399999 26.9623565499001,-82.15888986 26.7828789099,-82.1919403799999 26.9380493499001,-82.0172271599999 26.9647177899001,-82.0233765 26.5292185899001,-81.78593436 26.7069034299001,-81.9693070199999 26.4818287299,-81.73658754 25.9594420899,-81.34090416 25.8097191699,-80.91784674 25.2468719499,-81.13561254 25.3205374899001,-81.1466751599999 25.1604118299001,-80.3975067 25.1866551099,-80.21642301 25.9911728499,-80.03533932 26.7956905899001,-80.3962860299999 27.6081905199001,-80.7572327399999 28.4206904499001,-80.8436127599999 28.7809696299001,-80.6087952 28.6126251699,-81.01390068 29.2430496099001,-81.2000121299999 29.7520789899001,-81.38612358 30.2611083698999,-81.53375238 30.8494416099001,-81.20472714 31.4747162499001,-81.32902524 31.5547885299,-81.16590114 31.5648575499,-80.67228696 32.2170753099001,-80.8323668999999 32.5199928099001,-80.63137818 32.2563858699,-80.465004 32.3174933499,-80.6693038199999 32.5229111499,-80.3277207 32.4804077499001,-79.91722098 32.6624908899,-79.9426346399999 32.8534660299,-79.81582644 32.7672118299,-79.3883361599999 33.0081900699001,-79.2058409999999 33.1655426499,-79.2713928599999 33.3733215099,-79.1964415799999 33.2789383299001,-78.60055536 33.8708267499001,-78.0259705199999 33.8893662099001,-77.95562742 34.1490172899001,-77.93443296 33.9269408499001,-77.7052763999999 34.3419342699,-77.3817291 34.5164527299,-77.42887884 34.7419356699,-77.3095779 34.5597151899001,-76.5006256799999 34.7361717099001,-76.36274982 34.9389370299,-76.3126372799999 35.0126342499,-76.75306704 34.9052658699001,-77.068161 35.1497802099,-76.76139834 34.9877701299001,-76.46888736 35.2716598299,-77.04958338 35.5269394299,-76.65249636 35.4149932898999,-76.5881958599999 35.5510329699001,-76.4961089399999 35.3847198098999,-76.14916992 35.3369370099001,-75.72083274 35.6926306899001,-75.85083 35.9752693899,-76.02874758 35.6540908899,-76.1356278 35.6923866099,-76.07750706 35.9931869499001,-76.72951512 35.9398498899,-76.73285808 35.9979627099,-76.7461014 36.2281837899,-76.5186157799999 36.0069389499001,-76.07096856 36.1492957299,-76.19965362 36.3173905299001,-75.92653656 36.1708908699,-75.9760360199999 36.3113785299,-75.7931518799999 36.0738487299,-76.03472898 36.4966582899,-75.8995819199999 36.4927711899001,-75.9453048 36.7124214099001,-75.6216387 35.9979627099,-75.53264616 35.8015213299001,-75.61327284 35.9979627099,-75.98728944 36.9092292699,-76.2551422199999 36.9579124299,-76.29360966 36.8433228099,-76.7629165499999 37.0698547899001,-77.23222344 37.2963867699,-76.65388488 37.2269362899,-76.29145812 37.0053444099001,-76.68276984 37.4297179899,-76.37648778 37.2805138299,-76.2394409999999 37.3734625899,-76.29069528 37.5686072499001,-76.71029283 37.8688639899001,-77.12989038 38.1691207299,-76.35360726 37.6185990099001,-76.24361412 37.9061013099,-76.78500741 38.1542950299001,-77.3264007 38.4024887499,-77.0422210199999 38.7266197899,-77.0616912599999 38.9045715699001,-77.00611878 38.7549973299,-77.24374398 38.3982582099001,-77.0444488799999 38.4383200899001,-76.3123474799999 38.0473023099001,-76.37110902 38.2883300499001,-76.66346736 38.4747123098999,-76.6791610199999 38.6625252099001,-76.37857056 38.3652039099,-76.53750606 38.7316588899,-76.3938903599999 39.0110359899001,-76.61051946 39.2503738899001,-76.4163970199999 39.2097167499001,-76.48000344 39.3020743899,-75.9408264 39.6041602898999,-75.8513871 39.5358276099001,-76.16833488 39.3165206499,-76.22084052 39.0608214699001,-76.0724639999999 39.1416587499001,-76.35986334 38.8554115899001,-76.2246550799999 38.9640883898999,-76.10443884 38.7990913899001,-76.25517264 38.8410339099001,-76.34215548 38.6882553099001,-75.96278388 38.6133270698999,-76.26528936 38.6197127499,-76.24694826 38.5102767099,-76.03750602 38.2266541299001,-75.8463516 38.3987769699,-75.87853236 37.9475592699001,-75.64404294 37.9611739299,-75.9563904599999 37.4977722098999,-76.0027922999999 37.2238770099,-75.86805726 37.2169342299001,-75.45388797 37.8372153999,-75.03971868 38.4574965699,-75.3141632399999 39.0531882999001,-75.5886077999999 39.6488800299001,-75.0285187199999 40.0123061499,-75.5572204799999 39.6204070899001,-75.41569512 39.3780441099,-74.8949356799999 39.1690216299,-74.9452743 38.9229812499001,-74.42041014 39.3539887299,-74.07160182 40.0478439098999,-74.08826442 39.7748526699,-73.9522247399999 40.2999954699001,-73.99565892 40.4588470899001,-74.2629852 40.4663772099,-73.9380416399999 40.9128990699001,-73.93415832 40.7980498899,-73.42027281 41.0420799399,-72.9063873 41.2861099899,-72.20903013 41.3280506199001,-71.51167296 41.3699912499001,-71.3894425199999 41.8066941099,-71.27139276 41.6530455698999,-71.1148528799999 41.7895087899001,-71.1883240199999 41.4683227299,-70.7261047199999 41.7277678899001,-70.64861292 41.5394401899001,-69.93540954 41.6724967298999,-70.07417298 42.0588798699,-70.2440186399999 42.0739478499001,-70.0193100599999 41.7925644699001,-70.3329163199999 41.7138825099001,-70.68222054 41.9972152899001,-70.7176438199999 42.2138785899,-71.03951262 42.3048514899,-70.58181006 42.6528357699,-70.80596928 42.7158966099001,-70.723404 43.1199188499,-70.19187156 43.5755461899,-70.1725006799999 43.7805480099001,-69.9222259799999 43.8647156499001,-69.83139042 43.7161711899001,-69.7715987399999 44.0742988299001,-69.71929938 43.7920798899,-69.64305876 44.0288810499001,-69.50041956 43.8504067299001,-69.3699951599999 44.0469436899,-69.24833676 43.9380417099,-69.06555936 44.0661048699,-68.9808349799999 44.4417229299,-68.79686742 44.5746117099,-68.81319432 44.3302726899,-68.61582954 44.3063812899001,-68.26256568 44.4657898299,-67.7262802499999 44.5630283499001,-67.18999482 44.6602668699,-66.97083276 44.8279113099001,-67.1786118 44.8991585499001,-67.034439 44.9849929899,-67.20654294 45.1830367299,-66.42778014 45.0849914499,-66.14723214 45.1922149299,-66.1918716 45.3313102899,-65.9999313 45.4592285498999,-66.0924378 45.2995300299,-65.8868102999999 45.2083281699001,-65.3344116299999 45.4092997899001,-64.7820129599999 45.6102714099001,-64.58306886 45.8269424499,-64.7508315599999 46.0866585099001,-64.47833244 45.7505493699001,-64.2743073 45.8058280899,-64.9353409199999 45.3317298699001,-64.1524772699998 45.3457927299,-63.36961362 45.3598555899,-64.1582031599999 45.1890143499001,-64.15638732 44.9783248899,-64.4856948 45.3302688099,-65.34027477 44.8741569099,-66.19485474 44.4180450099,-65.85156252 44.5811043099,-66.11860656 44.3380432899,-66.16750338 43.8608283699,-65.48138424 43.4644393899,-64.86854166 43.8685340799,-64.25569908 44.2726287699001,-64.3052673 44.5333328498999,-64.08750924 44.4677696499,-63.90860742 44.6780472698999,-63.93194586 44.5136032299,-63.63486108 44.4363785499001,-63.5205574799999 44.5102730499,-63.65367882 44.7111739298999,-63.4444389 44.5919379699,-62.6465708399999 44.8049926299,-61.8487027799999 45.0180472899,-61.05083472 45.2311019499001,-60.98847192 45.3259659098999,-61.36500546 45.4041595299001,-61.2600021 45.5102767299001,-61.46874612 45.6806868699,-61.88458248 45.6913070499,-61.9193763 45.8839531299,-62.4619445399999 45.6124954899001,-62.6777802 45.7641600699,-63.66708 45.8166617499001,-64.0938873599999 46.0216597899,-63.8262558 46.1451340299001,-64.50418098 46.2402724899001,-64.90430442 46.8459663699,-64.80208584 47.0815239099001,-65.36618046 47.0854797699,-64.9100035799999 47.3530503099,-64.6749268199999 47.7248534499,-64.80388638 47.8081855299,-65.6315307 47.6219368299,-65.7936095399999 47.8908309099,-66.35540772 48.0702705699,-66.84370416 47.9966507499001,-65.89653786 48.2024917299,-65.30583186 48.0055542699,-64.81417077 48.2213821899001,-64.32250968 48.4372101099001,-64.16548164 48.6277656699,-64.5304183199999 48.8737030899001,-64.1576309399999 48.7598572299,-64.21167 48.8849907099001,-64.99694826 49.2202682499001,-65.65152744 49.2036018699001,-66.30610662 49.1869354899001,-67.25416572 48.9133949799,-68.20222482 48.6398544699001,-68.82639318 48.3095055099001,-69.45056154 47.9791565499,-69.97875975 47.4997139499,-70.50695796 47.0202713499,-71.29916388 46.7422179699001,-70.76263815 47.1198215199,-70.2261124199999 47.4974250699,-69.7324982399999 48.1075629699,-70.37562564 48.2835711999001,-71.01875304 48.4595794299001,-70.3485412199999 48.3002032899001,-69.6783294 48.1408271499,-69.13444518 48.5974940799001,-68.5905609599999 49.0541610099,-67.98131946 49.1920776399,-67.3720779599999 49.3299942699001,-67.1419449 49.8169365699,-66.46972662 50.2619399499001,-65.655947916 50.2682182059,-64.8421692119999 50.2744964619001,-64.028390508 50.2807747178999,-63.214611804 50.2870529739,-62.4008330999999 50.2933312299,-61.5834732599999 50.1855468699,-61.7208328799999 50.0919342699,-60.86291886 50.1704063499001,-60.00500484 50.2488784298999,-59.50896264 50.5001316099001,-59.01292044 50.7513847898999,-58.99371336 51.0061035099001,-58.62326058 51.1505470299001,-58.62430188 51.2763825099001,-57.7394409599999 51.4716567699,-56.9515953599999 51.4245757899,-56.32545096 51.7549228599001,-55.6993065599999 52.0852699299,-55.70722206 52.2483292299,-56.1898575 52.4369697699,-55.6455879 52.4328727898999,-56.4877395 52.5942917499001,-55.76347728 52.6112441499001,-56.0608291799999 52.7661057099,-55.8341674199999 52.9219360299,-56.16458136 53.0302009899001,-55.7513198999999 53.1383286099,-55.80805212 53.3405456499,-56.25958626 53.5475960499001,-56.02930452 53.5758285099001,-56.67124932 53.6763801099,-56.47415166 53.7823830099,-57.0147247799999 53.7113800299001,-57.33805464 53.4473533299001,-57.31513974 53.5766638899001,-57.5355033 53.5985146299001,-57.08031084 53.8234672899001,-57.42833706 54.1824951099,-58.3555602599999 54.2063827299001,-57.79694358 54.0750923499,-58.33361052 53.9899005999,-58.87027746 53.9047088498999,-59.0769500399999 53.6818008099,-59.8979187 53.5223541099,-59.7904549199999 53.4822807099,-60.1336135799999 53.2836075099,-60.4090918799999 53.3514518498999,-60.1036147799999 53.5005492699001,-60.8802795 53.7130507899001,-60.13611216 53.5284652899001,-60.0827788799999 53.7624969699,-59.26625055 53.9584655799,-58.44972222 54.1544341899001,-59.0156593199999 54.0987071799001,-59.58159642 54.0429801698999,-58.89550782 54.1677246099,-58.2094192199999 54.2924690499,-57.52333062 54.4172134899001,-57.69770814 54.4652671899001,-57.3899994 54.5006179299,-57.44909286 54.6488113899,-58.0013962199999 54.7333298499001,-58.90416714 54.8447113299001,-59.0335426799999 55.1558913699,-59.3836097399999 54.9812011899001,-59.1563834999999 55.2338790699001,-59.91430284 54.7411040499001,-59.43187332 55.1354408499001,-59.96583558 55.1147156499,-59.73513408 55.1970024699,-59.77763748 55.3294410699,-60.2898978599999 55.0272484299,-60.0747757199999 55.2469368099,-60.17610924 55.2708282099,-60.68332674 54.9949951299001,-60.19554906 55.4313811899001,-60.4783324799999 55.3474884099001,-60.3179855999999 55.5731887899,-60.53004846 55.5969046899,-60.33277512 55.7813110899,-60.5087548199999 55.7983284699,-60.6618081 55.5869330499001,-60.61958316 55.8234672699001,-60.87999726 55.7409630099,-60.758892 55.8504103899,-61.4997253799999 56.0130501099001,-61.2403488 56.0439528699001,-61.4504853 56.0563125699001,-61.3481941799999 56.2202682699,-62.0778465 56.2918701099,-61.67642976 56.2686042099,-62.1368064 56.4508246899,-61.6572495 56.5257531099001,-62.2320786 56.6154060699,-62.0052795 56.6169357099001,-62.35303878 56.7579536499001,-61.68527604 56.6182518699001,-61.90395732 56.7930487899001,-61.66888812 56.8061027499,-61.36111458 57.0923538699,-62.01333612 57.2475280899,-61.8026389199999 57.3624953499,-61.89138792 57.4119339699,-62.5269432599999 57.4886055099001,-61.88486094 57.6331176099001,-62.1218032199999 57.9652710699,-62.66860956 57.9292984299,-62.3104858799999 58.0378380699,-62.50257108 58.0578384099,-62.45062254 58.1684952099001,-63.33528132 57.9801291699,-62.63499834 58.1836013499001,-62.8280562599999 58.2522202299001,-62.55694584 58.4802665499001,-63.24166872 58.4663849499001,-63.5810088599999 58.3017272499,-62.84638602 58.6877669499001,-63.03333276 58.8738784899001,-63.31597146 58.8557586099001,-63.1618041599999 58.9233284499,-63.33263784 59.0241585099,-63.1280518199999 59.0461730499001,-64.0440216 59.0181884499001,-63.3596534999999 59.1993636699001,-64.0604782799999 59.3859633699,-63.7852782599999 59.4261017499,-63.87083046 59.6129111499001,-64.11694338 59.5174942299001,-64.0577698199999 59.6252670699001,-64.2580642799999 59.7606888099,-64.1655502199999 60.0215224899001,-64.5048980999999 59.8982543499001,-64.3961791799999 60.1206169899,-64.81402596 59.9811020499,-64.3769379 60.1605453099,-64.7160993 60.3059617299,-64.8447876 60.3611373099001,-64.89924228 60.2928595299001,-64.9999999799999 60.9981859299,-65.7097649999999 61.3530836499,-66.41953002 61.7079813699001,-67.12929504 62.0628790899,-66.47819112 61.9773821499,-65.94804378 61.9077682299001,-66.13249212 62.0894317899001,-65.9364929999999 62.1997107699,-66.37471002 62.2861098699,-66.47086332 62.3442612099001,-66.35492712 62.4453353499001,-66.6069489 62.6049957099,-67.3980561 62.9672088099001,-67.66950996 62.9335174899001,-67.559166 63.0490225899,-67.76347356 62.9572830699,-67.6394424 63.0995750499001,-68.12860104 63.1480483299,-68.56082532 63.4472846499,-68.9930495999999 63.7465209699001,-68.54277042 63.7324905099001,-67.72041324 63.3640213299001,-67.92086034 63.7548178899,-67.20388794 63.2852706099001,-66.9776382 63.3967285899,-67.02041628 63.2469711099,-66.8441619 63.1472167299001,-66.81190482 63.2728385499001,-66.6776352599999 63.0247153899,-66.54548646 62.9938774299,-66.73881528 63.2913132099,-66.65381622 63.3733939299,-66.40083306 62.9984665298999,-66.10617828 62.9458923099,-66.2730560999999 63.1322135499,-65.33972172 62.8374939699,-65.18750004 62.5622100699,-64.94888304 62.6486053899,-65.2523652 62.9753379699001,-64.63061532 62.8990212099001,-65.08332828 63.2038803698999,-65.14340976 63.2869377699001,-64.90916442 63.2805481299001,-65.2973250599999 63.8101615899001,-64.53458406 63.2490234699,-64.5326386199999 63.6796417899,-64.9854126 63.8238144099,-64.67312628 64.0343627499001,-65.1899871 64.0202637099001,-65.05332192 64.0692978699,-65.2474976399999 64.2054748899001,-65.6575698599999 64.3049774499,-65.2008285 64.3076859099,-65.07820134 64.4722060899001,-65.7019423799999 64.4862289899,-65.67895512 64.5265349499,-65.56204224 64.7315445099001,-65.7073593 64.6914367299,-65.6686096199999 64.8101272899001,-65.9378433599999 64.8904036899,-65.85173028 64.6803969699001,-66.02021028 64.8478392699,-66.2155532999999 64.6881713499,-66.1483459799999 64.8688659699,-66.61805724 65.0302734099001,-66.69464112 64.7618637099,-66.73236084 65.1800537499001,-67.10465232 65.0598373299,-66.9328461 65.2327575699,-67.4072189999999 65.3395004499001,-67.06055448 65.4220657299001,-67.4559021599999 65.4988708299001,-67.2779235599999 65.6401290699001,-68.02330014 65.4883804299,-67.82112126 65.7680511099,-68.3283385799999 65.9222716899001,-68.0668335 66.0550308699001,-68.04722592 66.0649872099,-68.08992768 66.0716171499,-68.8438873799999 66.1887283899,-68.24472048 66.1827545499,-68.02683264 66.0654984099,-67.82417298 65.8808135499,-67.1887436399999 65.9124145299001,-67.1637573 66.0360946899,-67.98929598 66.5075607699001,-67.28222664 66.2752686099,-67.1314239 66.3092880699,-67.4041671 66.4266509499,-67.1461867799999 66.4402542699,-67.73429862 66.5688018099,-67.10556024 66.4858093899001,-66.9364929 66.5482864899,-66.76777656 66.3805389099001,-66.443985 66.4047393699,-66.5719452 66.3620604699001,-66.40194708 66.2008209699001,-65.92694094 66.1147003299001,-65.4807587399999 66.3848495499001,-65.96347806 66.0391464099001,-65.38999932 65.9752579299,-64.71731574 66.2161101699,-64.73770146 65.9728317099,-65.35722348 65.9024810499001,-65.50180812 65.7488784099001,-64.80172728 65.7219315099,-65.31674202 65.5511626299,-64.71145638 65.6508178299,-65.1619414799999 65.4864731499001,-65.06694792 65.3798447499001,-64.41874686 65.4798432099001,-64.90347282 65.3366164899001,-64.6900558199999 65.3348159499001,-64.91069028 65.3015060499001,-64.64111328 65.1499939299,-64.5154266599999 65.1148375899001,-64.2391587 65.4274063299,-64.37707524 65.1791458299001,-63.69166566 65.0485916499,-63.82417302 64.9847107299,-63.54695124 64.8872070699001,-63.33569334 65.2980347499001,-63.65194326 65.4704056299001,-63.3021506999999 65.4400786899001,-63.6122894399999 65.5357513898999,-63.32333382 65.5970687499001,-63.7185706199999 65.6782073499,-63.36833184 65.6694336099,-63.4397202 65.8499831499001,-63.2061118799999 65.6369400099,-62.95750038 65.5849914699,-62.92930608 65.7536010699,-62.6491661399999 65.5866546699,-62.8299712799999 65.7522125499001,-62.5706978399999 65.7545014299001,-62.86083606 65.9111023299,-62.32111362 65.8311004299001,-62.9649963 66.1484604099001,-62.46239472 66.0850220199001,-61.9597931399999 66.0215836299,-62.5824966599999 66.2320099299001,-62.3201408999999 66.3027573099,-62.7087479399999 66.4085235099001,-62.45610804 66.4238739099001,-61.8774948 66.2833252299001,-61.46500014 66.3696975099,-61.9778442599999 66.4123764099,-61.57920078 66.4810181499001,-62.12388618 66.6263733699,-61.26458364 66.6260909499001,-61.7497254 66.9480285099,-62.1041679 66.9151230699,-62.10139464 67.0547028099001,-62.4230575199999 66.9238739499,-62.3147239799999 66.7291564299,-62.6000022 66.9515151099,-62.9091300599999 66.6465148299001,-62.8423614 66.9598464099001,-63.2247161399999 66.8994294099,-63.41166684 66.7031784699,-63.4344444 66.9048538898999,-63.77360922 66.8184585699001,-63.22846986 66.9747084699,-63.2745133199999 67.1133804699001,-62.97235866 67.2295609299,-63.1102829399999 67.3299865299,-63.7738532999999 66.9740448099,-63.4523621399999 67.1745682299,-63.5541687 67.2363661899,-64.1255722199999 67.1227264299,-64.69697574 67.0090866699,-63.97114176 67.2758560299001,-64.7658387 67.1902541499001,-64.2452392799999 67.2942199899001,-64.7923888799999 67.3554000099001,-63.9372177 67.2927551499,-64.00386054 67.4559706899001,-64.43283852 67.4756774499,-64.0418014799999 67.5283890099,-64.30041504 67.7319335499001,-64.40270994 67.7102890899001,-64.50695802 67.8072052299,-65.20375818 67.6512375699,-64.7261811 67.9888306299,-65.00111382 68.0555420499,-65.4236144999999 67.8980407899,-65.5509720599999 67.7808913899001,-65.34638982 67.5933227499001,-65.60822304 67.7904738699,-65.4441604199999 67.9890061299001,-65.81722266 67.9643630499,-66.0020140799999 67.6287994899,-65.92568976 68.1600495099,-66.40139772 67.8110961099001,-66.73520664 67.8760528899001,-66.1880493 68.0139465699001,-66.46572882 68.0801620898999,-66.31805412 68.1238021898999,-66.6102753 68.1345672699,-66.7338867 67.9820709099,-66.68082432 68.1401290899001,-66.94665534 68.0136108699,-66.7761839999999 68.2419205299,-67.00305942 68.2928313699001,-67.5986175 68.1638793699,-67.07806398 68.3311004499001,-67.87158966 68.2622146299001,-67.28697585 68.3492927799001,-66.70236204 68.4363709299,-67.4261017199999 68.4944304699001,-67.6033325999999 68.3788603899001,-67.53250116 68.5497055899,-68.21513748 68.5774841799,-68.8977738 68.6052627699,-68.0474930399999 68.6794967499,-68.70471579 68.7768211299001,-69.36193854 68.8741455099,-68.67443853 68.8642883499001,-67.98693852 68.8544311899,-68.54714964 68.9756088099001,-67.71888738 69.0261000699001,-68.3813781 69.1752624699,-69.02277372 68.9705428899001,-68.99804694 69.1035918699,-68.50917054 69.1972046499001,-68.96777346 69.2210998299001,-68.4650574 69.2504425299,-68.1658326 69.2679061299001,-68.6844482399999 69.2854728698999,-69.20306388 69.3030396099,-68.20967862 69.3105393099001,-67.48494723 69.2197380399001,-66.76021584 69.1289367699001,-66.6480636 69.2306823099,-66.79041282 69.3391494099001,-67.70117565 69.4633216899001,-68.6119384799999 69.5874939699,-69.32041551 69.5600586399,-70.02889254 69.5326233099,-69.1739272799999 69.5817222699,-68.31896202 69.6308212299001,-68.00458518 69.7731781899001,-67.1277770999999 69.7269286299,-67.21986384 69.9408111098999,-67.8013839 70.2606887499001,-68.16000366 70.2827607099001,-68.3480529 70.1742172899001,-68.2213897799999 70.1027679099,-68.81352615 69.9373855299,-69.40566252 69.7720031499001,-69.75646218 69.7985916699001,-69.9905548799999 69.6149902299001,-69.80583186 69.8199920499001,-69.6297072599999 69.8237076099001,-69.39805608 69.8285980299,-69.2721786599999 69.8945541698999,-68.6836776599999 70.2029037099,-69.6533355 70.1449890699,-69.77722176 69.9636077499,-70.4658355199999 69.8434600899,-69.81582636 69.9890136699001,-70.18138116 70.0288771899001,-69.66806022 70.1985930699,-68.73554988 70.3177642299001,-68.57360838 70.4654083299,-68.45201118 70.3753280499,-68.31972504 70.5648498698999,-68.8901443199999 70.6780434099,-69.4605636 70.7912369499,-69.9554176199999 70.6338043599,-70.4502716399999 70.4763717699,-70.4754792 70.6133118098999,-69.91555788 70.7491455699001,-69.7746506399999 70.8572006499,-69.9072876 70.8799056699001,-70.45441056 70.7506370499,-71.00153352 70.6213684299001,-71.49360654 70.0505371299001,-71.1730499399999 70.5323409699001,-71.50541688 70.5744323499,-71.8069458599999 70.2958222299001,-71.8030548 70.4283142899001,-71.5586090399999 70.6094207499,-70.7438888999999 70.7501220699,-70.51535028 70.9253997699,-70.63555914 71.0722198299,-71.59361274 70.8401260299001,-72.5516663399999 70.6080322299001,-72.17069238 70.8379059099,-72.65389248 70.8243025899001,-71.90083692 71.0331153699,-71.14778136 71.2419281499,-71.44756326 71.4695664099,-72.0105858 71.5625191299,-72.5736083399999 71.6554718499,-72.97367472 71.3193245499,-73.3737411 70.9831772499001,-73.2690277199999 71.2227630099,-73.0573577999999 71.2664490099001,-73.3208464799999 71.3408203299001,-73.88597106 71.0594940099001,-73.38354498 71.3877639699001,-73.62875358 71.3580322898999,-73.6308287999999 71.5848540699001,-74.23155972 71.2041092499001,-74.0372238 71.4392851899,-74.3074874999999 71.4141159699,-73.59243012 71.7526245099001,-73.92832938 71.7691497699,-74.16260532 71.5391464899001,-74.1469573799999 71.7388762899,-74.7190323 71.5442885499001,-74.64598092 71.3753967099,-75.0813903 71.1794281899001,-74.70520776 71.3835220899001,-75.11624154 71.4977646699001,-74.6313858 71.6560287699001,-75.402504 71.5200195099001,-74.9402694 71.6642151698999,-75.39021306 71.6769179499001,-74.81336976 71.7488021199001,-74.23652646 71.8206862899,-74.1774902399999 72.0319366299001,-75.0436095599999 72.1238631699001,-75.5678138399999 71.9101142499001,-76.09201812 71.6963653298999,-75.2258987999999 72.0746688099001,-75.79666134 72.1035919299001,-76.3108216199999 71.8847198499,-76.05471798 72.0730437698999,-75.5004119399999 72.1663779998999,-74.9461059 72.2597122299001,-75.22348014 72.4990157499,-75.93194574 72.5836029699001,-76.1147155799999 72.4756774899,-77.0558166 72.7528611098999,-77.6095733699999 72.7040634699001,-78.1633301399999 72.6552658299,-78.56013492 72.4415053899,-77.78338245 72.2853584499,-77.00662998 72.1292115099,-77.70748518 72.2275162599,-78.40834038 72.3258210099,-78.41513826 72.1686019899001,-78.61000068 72.3592833699001,-78.8699952 72.2281800099,-78.1043778 71.9717941299,-77.78555298 71.7874908699,-78.29402166 71.9252166099001,-78.85839852 72.1703262099001,-78.91923528 72.0127639299,-78.5130615 71.8678970499,-79.19667054 71.9601288699001,-79.0127868599999 72.2738800299001,-79.34583276 72.3989487099,-79.74138636 72.2138748699,-79.5955505399999 72.3347167899001,-79.79916384 72.5013885099,-79.9999999199999 72.4027027899001,-79.9999999199999 72.8668889499,-79.5433348799999 72.7485961899,-78.67270656 72.7874164749001,-77.80207824 72.8262367599,-76.93144992 72.8650570449001,-76.0608215999999 72.9038773299,-76.7426300099999 73.2292900599,-77.42443842 73.5547027899,-78.28295892 73.6047196299,-79.1414794199999 73.6547364699001,-79.9999999199999 73.7047533099001,-79.9999999199999 74.2679024799,-79.9999999199999 74.8310516499001,-79.9305571799999 74.8133086899001,-79.34117886 74.9001923499001,-79.9999999199999 74.9808656499,-79.9999999199999 75.1100595699,-79.62944022 75.1749877299001,-79.4916610199999 75.3785934699001,-79.9999999199999 75.4286363498999,-79.9999999199999 75.5279025699001,-79.9529877 75.5363769699,-79.9999999199999 75.5494467699001,-79.9999999199999 76.2305817099,-79.31277468 76.2974853699,-78.78194424 76.5722121699001,-78.4433287799999 76.4522094099001,-77.7769469999999 76.6542968499,-77.89034268 76.9497756699001,-78.3202820399999 77.0116576899001,-78.716034 76.8227691099001,-79.3458404999999 76.9180450899001,-79.004448 77.1002655699001,-79.44554142 77.2344208299001,-79.9999999199999 77.1369560499001,-79.9999999199999 77.3216511699,-79.38861084 77.3144282199,-78.77722176 77.3072052699001,-78.2507629799999 77.4555397599001,-77.7243042 77.6038742499,-78.41538234 77.9101181499001,-78.2608338 77.9952545499,-77.4814809599999 77.9823862899,-76.70212812 77.9695180299,-75.92277528 77.9566497699,-75.84659982 77.9991304899,-74.959512705 77.9991304899,-74.07242559 77.9991304899,-73.185338475 77.9991304899,-72.29825136 77.9991304899,-71.59889214 77.8527679899001,-70.8015365099999 77.8477630899,-70.00418088 77.8427581899,-70.6027831199999 77.6780394699001,-70.0420875299999 77.7153358299001,-69.4813919399999 77.7526321899001,-70.28888706 77.5667953299,-69.74777601 77.5081062399001,-69.20666496 77.4494171499,-68.60568996 77.5192947699,-68.73777774 77.6630402499001,-68.37054444 77.4994202499001,-67.70513151 77.5876160199,-67.0397185799999 77.6758117899001,-66.1630554 77.5680542499001,-66.1019439599999 77.4383086299001,-66.65701302 77.4124831299001,-66.2202759599999 77.2502746899,-66.9201355799999 77.3183289099001,-67.6199952 77.3863831299001,-68.3608322699999 77.3291550099001,-69.10166934 77.2719268899,-68.21731572 77.2259114499,-67.3329621 77.1798960099001,-66.4486084799999 77.1338805699,-67.373748855 77.1605453199001,-68.29888923 77.1872100699001,-69.2240296049999 77.2138748199001,-70.14916998 77.2405395699001,-70.7580567 77.1512298699,-71.36694342 77.0619201699,-70.68318948 76.9326171699,-70.9829177399999 76.8973465299001,-70.6977691199999 76.8055420299,-70.18513488 76.9090195299,-69.67250064 77.0124970299,-70.00805664 76.7636108499,-69.3327789599999 76.7355499299,-68.65750128 76.7074890099001,-67.9822235999999 76.6794280899,-68.79986199 76.5492210399001,-69.61750038 76.4190139899001,-68.7469482 76.1824797699,-67.9925943599999 76.0911864699,-67.2382405199999 75.9998931699001,-66.48388668 75.9085998699001,-67.30527492 76.1651229099001,-67.0319519399999 76.2627716499,-66.4613953199999 76.0816650099,-66.19415292 76.2802734099,-65.66166684 76.2619323099,-65.88680274 76.1006164899001,-65.47972104 76.0186003899,-65.3283387 76.1746978299001,-64.5999984 76.1294251299,-64.68554682 76.2551346099,-64.34388738 76.3547057499001,-64.0122222599999 76.1347198299,-63.47992698 76.3699645299,-62.77861026 76.1935882899,-62.2397232 76.2866515299,-61.3904622599999 76.1769306699001,-60.54120132 76.0672098099,-59.69194038 75.9574889499,-59.5926399599999 75.9079056099,-59.78472894 75.7963714899,-59.2161102 75.8722076499001,-59.0616684 75.7041625299,-58.4236144799999 75.7197112899001,-58.59846882 75.6717148299001,-58.15958022 75.5085982899,-58.69694142 75.3501205299,-58.3001976599999 75.3873749499001,-58.3347243599999 75.2652741099001,-57.95889282 75.1855315899001,-58.13958366 75.0469283499,-57.5829868499999 74.9804038599,-57.02639004 74.9138793698999,-56.86111458 74.8069305699,-57.18722148 74.7722168499,-57.0150070199999 74.6713714899001,-56.1929129999999 74.5502624499001,-56.46795264 74.5025329299,-56.79444888 74.4458770299,-56.16194148 74.4047088698999,-56.7120819599999 74.3428268499,-56.309166 74.2872009099,-56.81625174 74.1959533299,-57.32333748 74.1047057499001,-56.7262515599999 74.1915129999,-56.12916564 74.2783202499001,-56.40985872 74.0691528699001,-55.97333154 74.0315170299,-56.10166938 73.9642944099001,-55.64125062 73.8691482099001,-55.94492718 73.8541488099,-55.61125182 73.7237319698999,-56.07180792 73.6459654899,-55.58071518 73.5001220199,-55.08962244 73.3542785499,-55.4566689 73.2548523099001,-55.14292152 73.1842879898999,-55.69513704 73.0641556299001,-54.85055544 73.0144347699,-54.60541542 72.8263777899,-54.92430882 72.7755432699001,-54.65499876 72.7649994099001,-54.8705519999999 72.6424865499001,-54.63027576 72.6196288899,-55.0173645 72.5234604699,-54.29930886 72.4812317499001,-54.9628487099999 72.4693603899,-55.6263885599999 72.4574890299,-54.686943 72.3672103898999,-55.5619429799999 72.0244293699001,-55.2188872799999 71.9222106099001,-54.83889 71.9502715299,-54.3893050799999 72.2229690099,-54.82653048 71.9170685499001,-55.36590192 71.7985229799001,-55.90527336 71.6799774099001,-55.57472226 71.6406861099001,-55.32361596 71.3869323699,-55.1175650999999 71.3884582299,-55.2583389599999 71.4905394699,-54.82556154 71.3527680098999,-53.9155502999999 71.4419250699,-53.85514068 71.5556793099,-54.1002807 71.7074889699,-53.7750014399999 71.6333313099001,-53.9163894599999 71.7383193699001,-53.3973618 71.8481827299001,-53.95389174 72.3248520699,-53.5575675599999 72.3528976899,-53.85653298 72.3188704899001,-53.40610512 72.0447081699,-53.32194522 71.8222198899001,-52.68714912 71.9999848299,-53.25055686 71.7027740499,-52.4469814199999 71.7058639299,-51.64340598 71.7089538099001,-52.29295164 71.5753020999001,-52.9424973 71.4416503899,-52.58750148 71.3738708499,-51.96673584 71.4290123199,-51.3459702 71.4841537899001,-52.26889032 71.3566435899,-52.2486610199999 71.2814331099001,-52.5454216199999 71.1570739899,-51.6455535599999 71.3613739899001,-51.53667066 71.2648468299,-52.2459030599999 71.1219176499001,-51.5819817 71.0710906899,-50.91806034 71.0202637298999,-51.4352799 71.0206833099,-51.95249946 71.0211028899001,-51.3984718799999 70.9458885399001,-50.8444443 70.8706741899001,-50.6527786799999 70.7102661099,-51.4409675399999 70.7257538499001,-50.64083856 70.6413727299,-50.9790268799999 70.6263655899,-50.7411079199999 70.5452575899,-50.8888931399999 70.5055542699001,-51.34527594 70.5641556099001,-50.94777672 70.4202574899001,-50.50972746 70.5260924499,-50.67805482 70.3952713299001,-50.55889122 70.3330536099,-51.3628717799999 70.4768473299001,-52.16685234 70.6206410499001,-52.9708329 70.7644347699,-53.5497208199999 70.7967986799001,-54.1286087399999 70.8291625899,-54.62722008 70.6530457299,-53.80916592 70.4466553299001,-52.99111176 70.2402649299001,-52.1730575999999 70.0338745299001,-51.20194248 70.0329055899,-50.23082736 70.0319366499,-50.58930204 69.9237289299,-50.19166566 69.7574920899,-50.8154182199999 69.7076263299001,-50.4072188999999 69.5959548699,-50.8005523799999 69.6422119899,-50.88277818 69.4955368298999,-50.2047196199999 69.5219268099,-50.8558348799999 69.4611053499,-51.1202736 69.2004012699001,-50.3974990799999 69.3408203499,-50.4676360799999 69.1981735899,-50.12944038 69.2041625499001,-50.68708038 69.1208113899001,-50.21472168 69.0613708899,-50.21749872 68.9566497699,-50.49277884 69.0104064099001,-50.3613890999999 68.9002685499001,-51.0743064599999 69.1301193699,-51.11444862 68.9269256499001,-50.96611026 68.9324874699001,-51.28882218 68.7470016099,-50.6675033999999 68.8297119699001,-50.98722084 68.7324829899001,-50.86583712 68.6147003499,-51.66375354 68.5798416399,-52.46166996 68.5449829299001,-52.60304646 68.4550704099,-53.06894298 68.3228607699001,-53.38861092 68.3290252299,-52.44638832 68.1788634698999,-51.84361269 68.2344207399001,-51.24083706 68.2899780099,-51.63610842 68.4133224699001,-50.8199997599999 68.5036011099,-51.18277734 68.3944320099001,-51.22083276 68.2736053899,-50.9713821 68.1776198499001,-51.4347190199999 68.2001266899001,-50.79603951 68.0656814499,-50.1573599999999 67.9312362099,-50.948298405 67.9945315899,-51.7392368099999 68.0578269699001,-52.530175215 68.1211223499001,-53.32111362 68.1844177299001,-52.82898714 68.0207442699,-53.1913833 68.0416489299,-52.95914082 67.9778137299,-53.6277771 67.8146971899001,-53.5394439 67.7108154099,-53.7511825799999 67.6046294499,-53.68305978 67.5008239899001,-52.99506189 67.6581611799,-52.3070639999999 67.8154983699,-51.7130584199999 67.6949768499001,-51.32041938 67.8137359899,-51.5643082199999 67.9335861099001,-51.05999754 67.9741516299001,-50.98833468 67.8774720099001,-51.3311156999999 67.8688660299,-51.19972236 67.7633208699,-50.71444704 67.8186035499,-50.7794417999999 67.9066467699001,-50.4286117199999 67.8172150299001,-51.23082726 67.6972045299,-50.6472205499999 67.7123412698999,-50.06361384 67.7274780099,-50.84999856 67.6035919299001,-50.19583122 67.4673461499,-50.9625904799999 67.5681355299001,-51.72934974 67.6689249099,-52.4961089999999 67.7697142899,-53.14986036 67.5920714799001,-53.80361172 67.4144286699,-53.8086090599999 67.2038727698999,-53.25432966 67.3183212699001,-52.74127197 67.3544693198999,-52.22821428 67.3906173699,-51.68993949 67.4069633499001,-51.1516647 67.4233093299001,-51.52396014 67.3494949299001,-51.1733322 67.1394347499001,-50.36430744 67.1741484699001,-51.18943788 67.1235961899,-51.5247191999999 67.3230437499,-51.9657402599999 67.3560714099,-52.1513901 67.3699798299,-52.83292005 67.3024826199,-53.51445 67.2349854099001,-53.5390511399999 67.2261351699,-53.9611092 67.0742950899,-53.2220803199999 66.9908141499001,-53.8024978799999 66.9944305299001,-53.6750029799999 66.9136047699001,-52.95378303 66.8755454799,-52.23256308 66.8374861899001,-53.05583196 66.8049774699001,-52.5866661 66.7030411299,-53.47819134 66.6034545099001,-52.9477767899999 66.5738715999001,-52.41736224 66.5442886899,-53.0231933699999 66.5252647599,-53.6290244999999 66.5062408299,-53.6158332 66.2417907699001,-53.1224974799999 66.2847061899,-53.5795860599999 66.2105483499,-53.4766617 66.0988768899001,-52.63397724 66.3921152499001,-51.79129278 66.6853536099001,-50.9486083199999 66.9785919699,-50.0011101 66.9764404299,-50.95639044 66.9347076099,-50.3313903 66.8331222699,-51.27138522 66.8438720499,-51.9933294 66.5786895699001,-52.71527358 66.3135070899,-53.43721776 66.0483246099001,-53.12914272 66.0170668899,-53.35388946 65.9299774899,-52.8905563199999 66.0283203099,-53.23332978 65.9230347099,-53.15166468 65.8558196499001,-52.49180601 65.9558181099001,-51.83194734 66.0558165699001,-52.3199997 65.8688660499,-53.05777362 65.8455429099001,-53.22138588 65.7284545299,-52.85923776 65.7969970899001,-53.233326 65.6828308299001,-52.81055442 65.6716461698999,-52.68812184 65.8045653698999,-52.75944522 65.6333313699,-52.60722354 65.6585997699,-52.8016661999999 65.5947112899001,-52.7201386199999 65.4987412299001,-52.4691619199999 65.6408233298999,-52.6120833599999 65.4806748098999,-52.4959030799999 65.3879699499,-51.95182806 65.6679459099,-51.4847258999999 65.7630462099001,-50.5469475 65.7076949499,-51.1023235499999 65.7032889999001,-51.6576996 65.6988830499001,-51.69444282 65.6985930699,-51.89864346 65.6095123299001,-52.5621527999999 65.3200530699,-52.51916502 65.1852570099,-52.22277072 65.3277739899001,-52.3102073399999 65.2018585899,-52.0997237999999 65.2391509899,-52.28028108 65.0760956499,-52.0113906 64.9791564699,-52.2113877 64.8066406899001,-51.24986262 65.0154723699001,-52.11624906 64.7227630299001,-52.00472646 64.2017974899001,-51.66500094 64.3060912899001,-51.2241668999999 64.7622069699001,-51.02388756 64.7547150099001,-51.1433334 64.6136016699001,-50.6340981 64.7583236499,-50.98194126 65.2167967898999,-50.5640296799999 64.7704086699,-49.99882122 64.8647002299,-50.20972434 64.7416534899,-49.99152762 64.6994323299,-50.06367882 64.5278320299,-49.58402256 64.3397827899,-50.51481246 64.6467056499,-50.8922271 64.5852660699,-50.17618188 64.4467926099,-50.85639198 64.4155426299,-51.03722376 64.2711028899,-50.95083618 64.2180480699001,-51.7484741399999 64.2020721699001,-51.44583132 64.0780487499,-50.47555536 64.2910918899001,-50.552082 64.1795655099,-50.0575026599999 64.2066497499001,-50.8297232699999 64.1206817499,-51.60194388 64.0347137499,-51.36222078 63.9669342099,-51.44332878 63.8049927099,-50.92430886 63.9309653499001,-51.55819326 63.7072143699,-51.16860954 63.5027770299,-51.184269 63.6226843899,-51.0819435 63.6654090099001,-50.5076409 63.6691589499001,-51.1048736999999 63.6223792899,-51.13180548 63.6202696899001,-51.10863876 63.6153182499,-50.74847406 63.5383263099001,-51.2199936 63.4413757899,-50.27965164 63.4006156899001,-51.10736472 63.3404044299,-51.00833898 63.1605453699,-50.7799987199999 63.2502746499001,-50.90258412 63.1386489099,-50.059845 63.2287520498999,-50.60639196 63.0944365899001,-50.59388736 62.9699860299,-50.14999386 63.0152740299001,-50.3697203999999 62.7816619299,-50.1868476 62.9354209899,-49.6997184599999 63.0552673299001,-50.1508332 62.9308243299001,-50.19403068 62.8534088499001,-50.27777856 62.7033234099,-49.94749458 62.8272170499,-50.31562428 62.4943009299,-49.8372191999999 62.2374954699001,-49.40222166 62.2558288298999,-49.63833612 62.1508254699001,-49.2938919 62.1722182899,-49.68860634 62.1169395699,-49.66944894 61.9955445099001,-49.1722259399999 62.0161057299,-49.0079192399999 62.2059670299001,-49.09180446 62.0767974099001,-48.84256746 62.0761071099001,-49.43860632 61.8413086299001,-49.2147216 61.8836059299001,-49.3541717399999 61.7655487899,-49.2380522999999 61.7116623699,-48.7752762599999 61.9872132099,-49.1490287999999 61.7198485899,-48.59921268 61.6363372298999,-49.29750054 61.5574950699,-48.94888302 61.4655456699001,-48.34416204 61.6049958099001,-48.2447205 61.5291594699,-49.06527714 61.3994368899001,-48.4316712 61.2944412699,-48.63916782 61.2104071899,-48.30110928 61.1255492499001,-48.20827482 61.1775055299,-47.83319478 61.0495757499,-48.39819336 60.9827689299,-47.68985754 61.0068016299001,-48.19249728 60.8108215899001,-47.6077766399999 60.8934593199,-47.023056 60.9760970499001,-46.86222078 60.7973556099,-46.40579604 61.0823859699001,-46.2294387 60.9747085298999,-45.91500084 61.0902710499,-45.83958048 61.1627692899,-46.00972746 61.2230453499001,-45.80805582 61.3326340299001,-45.86666868 61.2151336299001,-45.6536102399999 61.1422195899,-46.02694698 60.9097137699,-45.67969134 61.0028914899,-45.60250086 61.0236053499,-45.59466546 61.0397263299,-45.50055696 61.2333298299,-45.40112298 61.1235694299,-45.3708305999999 61.0901299299001,-45.21590046 61.2038078499,-45.25516512 61.1009598099,-45.478386 60.9945029499,-46.22180184 60.7680510699001,-45.71055612 60.7677688299,-45.3841705799999 61.0072174299,-45.25278084 60.9058227099001,-45.97798158 60.5779113098999,-45.6813811799999 60.6370315899001,-45.57472236 60.4691544099001,-45.31333158 60.6999970299001,-45.4873581 60.4918669899001,-45.0991668599999 60.6458281899001,-45.21777336 60.4341582699001,-44.6293717199999 60.7340888499,-45.20312496 60.1351318299,-44.5020867 60.4754067099001,-45.1527786 60.0741652899001,-44.6041717199999 59.9824905699001,-44.46348192 60.1433182299,-44.1027793799999 60.3838844499001,-43.99999992 60.3117822099001,-43.99388892 60.3074951499001,-43.99999992 60.3011859699001,-44.11389168 60.1836013299001,-43.99999992 60.1734532899001,-43.09444422 60.0927657699001,-43.3220139 60.2136726699001,-43.09277346 60.2572173699,-43.16624838 60.3962439699001,-43.5876388199999 60.3052672899001,-43.3266678 60.4511032899001,-43.99999992 60.5931263499,-44.19388584 60.6340218099,-43.99999992 60.6046530099001,-43.62999732 60.5486069499,-43.6977768599999 60.7156867299,-43.2086104799999 60.4644393099,-43.3148612399999 60.5508956499,-42.83465202 60.5711020899,-42.75187686 60.6842270499001,-43.1084556 60.6667670499001,-42.78722382 60.7449950499001,-43.52465052 60.8369368899001,-42.7908402 60.8011017699,-43.4836081799999 60.9356841699001,-43.00861356 60.8838805299001,-42.70777506 61.0591584099001,-43.61236182 61.1263808498999,-42.63402942 61.1011734699001,-43.08972174 61.1974867899,-42.6643029 61.2565269699,-43.24444578 61.3373527298999,-42.63249978 61.2911071299,-42.42722328 61.4036026299,-42.52826304 61.5270766899001,-43.0791701399999 61.5936050499001,-42.3974991599999 61.6563796899001,-42.8643073799999 61.7792968299001,-42.2219390399999 61.8272171499,-42.41624832 61.9151993499,-42.1366652999999 62.0188827699001,-42.5436172199999 61.9458236499001,-42.26194764 62.2423515099001,-42.9804153 62.5109673099,-42.16534416 62.3826294699,-42.65489385 62.5706176899001,-43.1444435399999 62.7586059099,-42.52777866 62.7230452899,-42.3036117 62.9416579899,-42.32389068 62.8091583699001,-41.75167086 62.8406830299,-41.6179160999999 62.9892998499,-41.72410206 63.0301742499001,-41.5433348999999 63.0436096299001,-42.02305596 63.2469406898999,-41.43243024 63.1209640899001,-41.8963928399999 63.4705429899001,-41.1133346999999 63.3072127899001,-41.58194724 63.4883269899,-41.2398604799999 63.4061699499001,-41.39416512 63.5522156499001,-41.11819452 63.3852692499,-41.00138856 63.4058265099001,-41.17383576 63.5120200299,-40.75805664 63.5011062699001,-40.8922272 63.6563796699,-41.61777498 63.7922209899,-41.0668754399999 63.7458972699,-40.5159759 63.6995735499,-40.61972052 63.9227676099,-40.837635 63.9441528699,-40.56777954 64.1091460898999,-41.0656967099999 64.1924819499001,-41.56361388 64.2758178099,-40.96708488 64.3097762499001,-40.3705558799999 64.3437346899,-40.63680648 64.4658202299001,-40.60979838 64.6274566299,-40.60083762 64.6810912299001,-40.70368188 64.7332458699,-41.15541456 64.9623489699001,-40.5961073999999 65.1349945299001,-40.19194026 65.0402679099,-39.75556176 65.2427520699001,-39.9416655599999 65.3649902499001,-39.7934036999999 65.4151917099001,-40.21721658 65.5033263699001,-39.82944492 65.4958191099001,-39.67875288 65.6781769299001,-39.21874614 65.5752716499001,-39.32444772 65.7155456499001,-39.05750268 65.5594177899,-38.61222084 65.5663756899,-38.75194548 65.6909484699001,-38.23055262 65.6352692499001,-38.10298536 65.8022766698999,-38.48069376 66.0133284699,-38.05194096 65.9124908499,-37.85535054 66.1982421099,-37.9927101599999 66.2415085299,-37.69437024 66.2642974299,-38.10610962 66.3869323299001,-37.1838913199999 66.3405456099001,-37.8107643599999 66.0292892499,-37.19305422 65.7691498299001,-37.0804138199999 66.0613632699,-36.9851380199999 65.8377685299001,-36.5144463 65.9897002299,-36.5691681 66.0748519298999,-36.3470841 66.0827636499001,-36.33194736 65.9072112699001,-35.58750156 66.1102600899001,-35.5513915799999 66.2431717299,-35.85583494 66.4324798899,-35.2038879 66.2377623699001,-35.04208752 66.2506789899001,-35.2325667599999 66.3117828699,-35.12499624 66.4167862299,-34.9841689199999 66.2841490899001,-34.63999938 66.3722076099,-34.40937042 66.5390091099,-34.4266700399999 66.7423401699,-34.27055352 66.5745697299001,-33.9730529399999 66.9905394699,-33.3662529599999 67.2474822699001,-33.59597022 67.3712920299001,-33.27319332 67.4037399099,-33.05791476 67.6350555699,-33.19860834 67.6880340699001,-32.6652755399999 67.7684555499,-32.1319427399999 67.8488770299001,-31.99916466 68.0952606699001,-32.40027612 68.1994171299,-32.13750456 68.2449798099,-32.52722166 68.4504013899001,-32.4894447 68.6184538899,-32.00722506 68.2619323899,-31.53034782 68.2342910499,-31.7458305 68.2073439699001,-31.70055582 68.0966567499001,-31.02194592 68.0394286298999,-30.4229163599999 68.0652541299,-30.75361254 68.2586059899001,-30.0258351 68.1130371099001,-30.19694526 68.2424774499,-29.8661097599999 68.4131851299001,-29.37694554 68.1994171299,-29.11874958 68.2822113698999,-29.18722158 68.3905486899001,-28.8477783 68.3186035899001,-28.00889208 68.4517899099,-28.01611332 68.5627593699001,-27.61999902 68.4760895499001,-26.99166681 68.5717850199001,-26.3633346 68.6674804899,-25.44347196 68.9647141299001,-25.60944366 69.1035918699,-25.04027934 69.1183165899001,-25.20972054 69.2744293299,-24.66416556 69.2469330699001,-24.65222166 69.3944396499,-24.16833108 69.4227599499001,-24.08652882 69.5147170898999,-24.34722138 69.6019972899001,-23.66055684 69.5535888099001,-23.6886100199999 69.7099915299,-23.92930404 69.7522049499001,-23.2619475599999 69.7472076098999,-23.3650016999999 69.8555451099,-23.00041584 69.7566604899001,-23.2740306 69.8598480099,-23.0686111799999 69.9387893499,-22.2650031599999 70.0144348899001,-22.11777882 70.1516571699,-22.8391686 70.1288757399,-23.56055838 70.1060943099001,-24.29583552 70.2345657099002,-25.03111266 70.3630371099,-25.32944484 70.2738800499,-25.22916414 70.4144287299001,-25.76833344 70.3060913199001,-26.30750274 70.1977539099,-26.8988877 70.2485961699,-27.43472286 69.9541626098999,-28.0120840199999 70.0217971599,-28.58944518 70.0894317099001,-27.9259262399999 70.1604461499,-27.2624073 70.2314605899001,-26.5988883599999 70.3024750299,-26.32694634 70.3787993499,-26.48221974 70.4638824699001,-27.3462763499999 70.4151115598999,-28.21033296 70.3663406498999,-28.7200956599999 70.4103889899,-29.22985836 70.4544373299,-28.30541616 70.5598374099,-27.9156932999999 70.8695601699,-28.40541462 70.9770660699001,-27.61736112 70.9510956699,-27.9206924399999 71.1299820099,-27.50083344 70.9374770499001,-26.76944736 70.9316558499,-26.1836128799999 71.0503997799001,-25.5977784 71.1691437099,-25.77107808 71.2518234699,-25.51708404 71.2123489299001,-25.41236112 71.3509597299001,-26.39867976 71.4767188899001,-27.3849984 71.6024780499001,-27.92597013 71.5774764999,-28.4669418599999 71.5524749499001,-27.89687448 71.6325530799,-27.3268070999999 71.7126312099001,-28.01489643 71.9005126899,-28.7029857599999 72.0883941699,-28.19843766 72.0093307899,-27.6938895599999 71.9302674099001,-26.9502753599999 71.5785979899001,-26.2870826399999 71.5578994299,-25.62388992 71.5372008699,-25.2816696 71.3916625899001,-24.78041838 71.2413787899,-24.27916716 71.0910949899,-24.1711101 70.7808226899,-23.82833484 70.5669403899001,-23.2529507099999 70.4989814799,-22.67756658 70.4310225698999,-22.6448612999999 70.7183151699,-22.4650000799999 70.8502654299001,-22.40055468 70.4591522499001,-21.95833212 70.3897095099001,-21.4758320399999 70.5416489499,-21.77722548 70.5823516299,-21.5496539999999 70.7059554699,-21.6397209599999 70.7954025099,-21.92666634 70.8060226899001,-21.59305578 70.9627684899,-22.3281936 71.0538024099001,-21.78944388 71.1019286499,-21.72472002 71.2472077299,-21.96166608 71.2638854499,-21.6077767199999 71.3244324099001,-21.81458286 71.3135910099001,-21.6723614399999 71.4027633699,-21.8055573 71.5094299299,-22.09333428 71.4933166899001,-22.4499969 71.2483215699,-22.54027932 71.4839401299,-21.89805408 71.7383118099,-22.59777834 71.5713805299001,-22.65944292 71.6572113699001,-22.4297218799999 71.7949828299001,-23.13194274 71.6535949899,-22.5036126 71.9002686099001,-23.17592754 72.0708211899001,-23.84824248 72.2413737699001,-24.52055742 72.4119263498999,-25.19361108 72.3577575099001,-25.52750208 72.1228942299001,-25.28833572 72.3830413899001,-25.90749936 72.4154052099,-25.30249884 72.4565811099001,-24.69749832 72.4977570099001,-24.60305412 72.5491486299,-24.82722468 72.7152709899,-25.5666655799999 72.8330536299001,-26.46277614 72.5722197699001,-26.31555558 72.7349853099001,-26.77819626 72.7119292899,-26.42861178 72.7780456299001,-27.3819427199999 72.8272093899,-26.70458409 72.8072051799001,-26.02722546 72.7872009699001,-25.50652884 72.9019965999,-24.98583222 73.0167922299001,-25.7066650799999 73.1056098999001,-26.42749794 73.1944275699001,-27.2650032 73.1197052499,-27.4974975 72.9244232499,-27.4063872599999 73.1099854299001,-27.7158317399999 73.1405487099001,-27.0527763599999 73.1946067599,-26.3897209799999 73.2486648099001,-26.92152603 73.3519630299001,-27.45333108 73.4552612499001,-26.7941646899999 73.3484573499001,-26.1349983 73.2416534499001,-25.40520765 73.3800201699,-24.675417 73.5183868899001,-25.18208316 73.7353668099,-25.6887493199999 73.9523467299001,-25.07590197 73.7440795299,-24.46305462 73.5358123299,-24.45263676 73.6984558299001,-24.0441665399999 73.8146973099,-23.3956927799999 73.6888656999001,-22.7472190199999 73.5630340899001,-22.1855545799999 73.6233139299001,-22.69444266 73.5444336099001,-23.36333274 73.6234588299001,-24.03222282 73.7024840499001,-23.5063895399999 73.4447020899,-22.9427775899999 73.3476256599,-22.3791656399999 73.2505492299001,-21.5608329 73.4780425898999,-21.00680541 73.4706802299001,-20.45277792 73.4633178699,-20.5330581 73.7208251499001,-20.29611204 73.8833313099,-21.02235984 73.9708251699001,-21.74860764 74.0583190299,-21.91444398 74.0105437898999,-21.70624734 73.6951216899001,-21.8216667599999 73.6510926099,-21.98624796 74.0003280699001,-22.4915256 74.0763778899001,-22.03805538 74.2561035699001,-22.4791640999999 74.3097000099,-21.7641697199999 74.4224853099001,-22.0827789 74.5983276699001,-21.18111162 74.4858246099001,-20.27944434 74.3733215499,-19.37777706 74.2608184899001,-18.97819326 74.4834594098999,-19.2826404 74.5245667299,-19.35277938 74.6791534299001,-20.10027888 74.6573485899,-20.84777838 74.6355437498999,-21.1174984799999 74.6740799499,-20.6155548 74.7308197299,-20.76194574 74.8498535499,-20.6388892799999 75.0619201899,-21.19069287 75.0077590899001,-21.74249646 74.9535979899,-22.4347896 75.1662978699,-21.74041368 74.9765091099001,-21.1511802599999 75.0840797198999,-20.56194684 75.1916503299,-21.5322237 75.3713913098999,-22.50250056 75.5511322899001,-21.9546528299999 75.5027160699,-21.4068051 75.4542998499001,-22.08944322 75.6549834699001,-21.26296236 75.4810027899001,-20.4364815 75.3070221099001,-19.61000064 75.1330414299001,-19.33680528 75.4020690699,-19.7572249799999 75.8894347299001,-20.49865848 75.9231363099,-21.2400919799999 75.9568378899,-21.98152548 75.9905394698999,-21.17090232 75.9858168999,-20.3602791599999 75.9810943299001,-19.667223 76.1296996299001,-20.32888887 76.2203979399,-20.99055474 76.3110962499,-20.4222222 76.1362456899001,-20.97916794 76.1774215899,-21.5361136799999 76.2185974899,-21.7043037 76.2506866299,-21.58499916 76.4396972499001,-21.76659198 76.4235305499001,-22.18788144 76.4114075499001,-22.5040302 76.4466400299001,-21.91999824 76.4266510299,-21.85638426 76.4417496099001,-21.6753463799999 76.4847107499,-22.03416828 76.4676895899,-21.6791649 76.5219345699001,-21.84944526 76.6022034099,-22.33374984 76.5122147499001,-22.7356929 76.6859588499,-22.28750226 76.8572083298999,-21.6230545799999 76.6427611899,-20.93944176 76.8424836099001,-21.7279148399999 76.8816528698999,-20.7788887799999 76.8699798699001,-20.5869445199999 76.9302672699001,-20.97777564 76.9819335699,-20.13634116 76.9020690699001,-19.2949066799999 76.8222045699001,-18.4534722 76.7423400699001,-18.1222228799999 76.9458160299,-18.3958320599999 77.3427581499001,-18.9083328299999 77.2913665299,-19.4208336 77.2399749099001,-19.7066649599999 77.3869323099,-20.23937505 77.4001921899001,-20.77208514 77.4134520699001,-20.04055794 77.4580382499001,-20.54507067 77.5014419199001,-21.0495834 77.5448455899,-20.40388866 77.5072174899001,-20.65152546 77.5481795499,-20.3455544399999 77.5991515899,-20.91388698 77.6660919699,-20.25694656 77.7291564099,-19.3033331999999 77.5802764299001,-18.9587478599999 77.6299056699,-19.23999786 77.7630462699,-20.0531940299999 77.8891601199001,-20.8663902 78.0152739699001,-21.43083186 77.6524810899001,-22.03694532 77.6856765099001,-21.4093036799999 78.1074829299001,-21.7579194 78.1324843899001,-21.2880555 78.2122040499,-21.37305456 78.3055419699001,-20.9098605599999 78.6212310099001,-21.42437364 78.6492233499,-20.92833324 78.6916426899001,-21.1836090599999 78.8072737899001,-20.6008339499999 78.8422355499001,-20.0180588399999 78.8771973099001,-19.91472246 78.9641571099,-20.09111022 79.0635986499001,-19.3783339799999 79.2749938899001,-19.20521538 79.2188873499,-19.09166724 79.2999877899001,-19.5736122 79.3311004299001,-19.87389 79.1666565699001,-19.6563873599999 79.3502655699,-19.79999928 79.4579696499001,-19.44555282 79.7388763899,-18.83402631 79.7469330098999,-18.2224998 79.7549896299001,-17.4507618599999 80.0565796299,-18.37010295 80.0799484899,-19.28944404 80.1033173499001,-20.05333326 79.9797057699,-20.21083254 79.8194350299,-19.87763976 79.8442917699,-20.32694622 79.7605438899001,-20.75236128 79.8623504499001,-20.3661116999999 80.0859603099,-20.55486114 80.1031800099001,-19.7008324199999 80.2858123299001,-18.94342554 80.2660013499,-18.1860186599999 80.2461903699,-17.4286117799999 80.2263793899001,-16.6177787399999 80.3263854099,-16.76166912 80.4027709299,-16.22471994 80.5405425699001,-17.06208096 80.5457165799001,-17.89944198 80.5508905899001,-18.736803 80.5560645999001,-19.57416402 80.5612386099001,-20.41152504 80.5664126199001,-21.24888606 80.5715866299001,-20.35851666 80.5894775499,-19.46814726 80.6073684699001,-18.57777786 80.6252593899001,-17.9591635799999 80.8052520099001,-16.9941653999999 80.7659530599,-16.0291672199999 80.7266541099,-15.35361201 80.8233185199,-14.6780567999999 80.9199829299,-15.1389588599999 81.0846404499001,-14.58309123 81.1132888899,-14.0272236 81.1419373299001,-13.09243158 81.3713073699,-12.15763956 81.6006774099001,-13.02777864 81.7065581499,-13.89791772 81.8124388899,-14.7680568 81.9183196299,-15.6795387 81.8997090099001,-16.5910205999999 81.8810983899,-17.5025025 81.8624877699,-17.53944588 81.7477645898999,-17.35388946 81.7019347899,-17.8595829 81.7315140099001,-17.60888862 81.6054000699,-18.2494431 81.4385834499,-19.22888574 81.5549773899,-19.74055482 81.4892882799,-20.2522238999999 81.4235991699001,-20.23138818 81.6013794099001,-19.94083398 81.6830445099,-20.7330552 81.5866546899,-21.6751849199999 81.3542480499,-22.61731464 81.1218414099,-23.55944436 80.8894347699,-23.92583076 80.6477660499,-24.5116692 80.5408172499001,-24.06493188 80.6878281099001,-24.4194451199999 80.6844176499001,-23.97583008 80.7288664899,-23.80750092 80.8041457299001,-23.87944404 80.8891600899,-23.32236186 81.0764502699001,-22.76527968 81.2637404499001,-22.96805382 81.2903977299001,-22.1988868199999 81.4838714498999,-21.9597206399999 81.7680511299,-22.3013916 82.0844268698999,-23.15180781 82.0470733599,-24.00222402 82.0097198499,-24.21055602 81.7083282098999,-24.99007032 81.6264495399001,-25.76958462 81.5445708699,-26.5490989199999 81.4626921999001,-27.32861322 81.3808135299001,-27.5709724199999 81.3897094899,-27.23499684 81.4510956099001,-27.5969467799999 81.5047149099001,-26.8740756 81.5858204499,-26.1512044199999 81.6669259899001,-25.42833324 81.7480315299,-25.24374774 81.8236083099001,-25.2388877399999 81.9963683499,-26.178470595 81.9958838799001,-27.11805345 81.9953994099,-28.057636305 81.9949149399,-28.9972191599999 81.9944304699001,-29.806997724 81.9288207579,-30.6167762879999 81.8632110459,-31.426554852 81.7976013339,-32.2363334159999 81.7319916219,-33.04611198 81.6663819098999,-33.0983352 81.7738800699,-32.9027787 81.8433228099001,-31.90796286 81.9251760099001,-30.9131470199999 82.0070292098999,-29.91833118 82.0888824099,-30.75485994 82.1486053299,-31.5913887 82.2083282499,-30.6596031171429 82.2003500841859,-29.7278175342857 82.1923719184715,-28.7960319514286 82.1843937527573,-27.8642463685714 82.1764155870429,-26.9324607857142 82.1684374213286,-26.0006752028572 82.1604592556143,-25.0688896199999 82.1524810899001,-24.20648196 82.2119293299001,-23.3440743 82.2713775699,-22.48166664 82.3308258099,-21.8990278799999 82.4708900199,-21.3163891199999 82.6109542299,-22.0038885 82.6902618099001,-22.6913878799999 82.7695693899,-23.37888726 82.8488769699001,-24.02222436 82.7572173699001,-23.8422221999999 82.8951263499001,-23.9927749199999 82.9116516099,-24.9354152099999 82.8419341899001,-25.8780555 82.7722167699,-25.32277863 82.8805465299001,-24.76750176 82.9888762899001,-25.06416696 83.1594237699,-25.997029245 83.1530951948999,-26.92989153 83.1467666199001,-27.862753815 83.1404380449001,-28.7956161 83.1341094699,-29.42753022 83.1298217799,-30.05944434 83.1255340898999,-30.3122025 83.0942000499001,-30.97790721 83.0116767099001,-31.64361192 82.9291533699,-32.59028052 82.9372024299,-33.53694912 82.9452514899001,-33.8819427 82.7888793699001,-33.9244461 82.9033203099001,-34.88694768 82.9063720299,-35.43499764 82.7413635099,-35.2963944 82.8863830299001,-35.6086121399999 82.9066467099,-34.83013923 82.9390106199001,-34.05166632 82.9713745299001,-33.27319341 83.0037384399,-32.4947205 83.0361023499001,-33.38777916 83.1505432899001,-32.65847199 83.1010971099,-31.92916482 83.0516509299,-31.15482006 83.0934040899,-30.3804752999999 83.1351572499,-29.6061305399999 83.1769104099,-28.71432063 83.1843452649001,-27.82251072 83.1917801199,-26.93070081 83.1992149749,-26.0388909 83.2066498299001,-25.6534023599999 83.2904738499001,-26.19972234 83.3791503099001,-27.037444356 83.4237609339,-27.875166372 83.4683715579,-28.712888388 83.5129821819,-29.550610404 83.5575928059,-30.38833242 83.6022034299,-31.213400895 83.6026916799001,-32.03846937 83.6031799299,-32.8635378449999 83.6036681799001,-33.68860632 83.6041564299001,-34.08153156 83.5640106699001,-33.8827742999999 83.4524841099001,-34.3641663 83.5969391499,-35.08648176 83.5792491099,-35.80879722 83.5615590699001,-36.53111268 83.5438690299001,-36.90083304 83.4924774099,-36.43804926 83.3610991899001,-37.03194045 83.4326324499,-37.62583164 83.5041657099001,-38.0586090599999 83.4313659699,-37.796112 83.3591461899,-38.31999966 83.3962326699001,-38.84388732 83.4333191499,-38.85527808 83.2494277298999,-38.67805476 83.2052613099001,-37.77798456 83.1769333599,-36.8779143599999 83.1486054099,-37.8376388099999 83.1023483799,-38.7973632599999 83.0560913499,-38.0338210799999 83.0306777799,-37.2702789 83.0052642099001,-38.1844444499999 83.0013732399,-39.09861 82.9974822699,-38.65555566 82.7777710299001,-39.47405544 82.8772155939,-40.29255522 82.9766601579,-41.1110549999999 83.0761047219,-41.92955478 83.1755492859,-42.74805456 83.2749938499,-43.3655739 83.2380218499,-43.98309324 83.2010498499,-43.42793274 83.1469040499001,-42.87277224 83.0927582499,-43.4363860799999 83.1023569299,-43.99999992 83.1119556099,-43.99999992 84.0816763213286,-43.99999992 85.0513970327572,-43.99999992 86.0211177441857,-43.99999992 86.9908384556143,-43.99999992 87.9605591670429,-43.99999992 88.9302798784715,-43.99999992 89.9000005899001,-43.01333334 89.9000005899001,-43.0104166199999 89.9000005899001,-42.02666658 89.9000005899001,-42.02083332 89.9000005899001,-41.04 89.9000005899001,-41.03125002 89.9000005899001,-40.05333342 89.9000005899001,-40.04166672 89.9000005899001,-39.06666666 89.9000005899001,-39.0520834199999 89.9000005899001,-38.08000008 89.9000005899001,-38.06249994 89.9000005899001,-37.09333332 89.9000005899001,-37.07291664 89.9000005899001,-36.1066667399999 89.9000005899001,-36.08333334 89.9000005899001,-35.1199999799999 89.9000005899001,-35.09375004 89.9000005899001,-34.1333334 89.9000005899001,-34.10416674 89.9000005899001,-33.14666664 89.9000005899001,-33.11458326 89.9000005899001,-32.16000006 89.9000005899001,-32.12499996 89.9000005899001,-31.1733333 89.9000005899001,-31.13541666 89.9000005899001,-30.1866667199999 89.9000005899001,-30.1458333599999 89.9000005899001,-29.19999996 89.9000005899001,-29.1562500599999 89.9000005899001,-28.21333338 89.9000005899001,-28.16666658 89.9000005899001,-27.22666662 89.9000005899001,-27.17708328 89.9000005899001,-26.2400000399999 89.9000005899001,-26.18749998 89.9000005899001,-25.2533332799999 89.9000005899001,-25.19791668 89.9000005899001,-24.2666667 89.9000005899001,-24.20833338 89.9000005899001,-23.27999994 89.9000005899001,-23.21875008 89.9000005899001,-22.29333336 89.9000005899001,-22.2291665999999 89.9000005899001,-21.3066665999999 89.9000005899001,-21.2395832999999 89.9000005899001,-20.32000002 89.9000005899001,-20.2499999999999 89.9000005899001,-19.33333326 89.9000005899001,-19.2604167 89.9000005899001,-18.34666668 89.9000005899001,-18.2708334 89.9000005899001,-17.35999992 89.9000005899001,-17.28124992 89.9000005899001,-16.3733333399999 89.9000005899001,-16.29166662 89.9000005899001,-15.38666658 89.9000005899001,-15.30208332 89.9000005899001,-14.4 89.9000005899001,-14.31250002 89.9000005899001,-13.41333342 89.9000005899001,-13.32291672 89.9000005899001,-12.42666666 89.9000005899001,-12.33333342 89.9000005899001,-11.4400000799999 89.9000005899001,-11.34374994 89.9000005899001,-10.45333332 89.9000005899001,-10.35416664 89.9000005899001,-9.46666673999999 89.9000005899001,-9.36458333999991 89.9000005899001,-8.47999997999995 89.9000005899001,-8.37500003999992 89.9000005899001,-7.49333339999998 89.9000005899001,-7.38541673999993 89.9000005899001,-6.50666663999999 89.9000005899001,-6.39583326000002 89.9000005899001,-5.52000005999992 89.9000005899001,-5.40624996000003 89.9000005899001,-4.53333329999992 89.9000005899001,-4.41666665999998 89.9000005899001,-3.54666671999996 89.9000005899001,-3.42708335999998 89.9000005899001,-2.55999995999997 89.9000005899001,-2.43750005999999 89.9000005899001,-1.57333338000001 89.9000005899001,-1.44791657999991 89.9000005899001,-0.586666620000017 89.9000005899001,-0.45833327999992 89.9000005899001,0.399999960000059 89.9000005899001,0.531250019999959 89.9000005899001,1.38666671999994 89.9000005899001,1.52083331999995 89.9000005899001,2.37333330000001 89.9000005899001,2.51041662000011 89.9000005899001,3.36000006000012 89.9000005899001,3.49999992000011 89.9000005899001,4.34666663999997 89.9000005899001,4.48958340000013 89.9000005899001,5.33333340000007 89.9000005899001,5.47916670000012 89.9000005899001,6.31999997999992 89.9000005899001,6.46875000000006 89.9000005899001,7.30666674000003 89.9000005899001,7.45833330000005 89.9000005899001,8.2933333200001 89.9000005899001,8.44791660000004 89.9000005899001,9.28000007999998 89.9000005899001,9.43750008000006 89.9000005899001,10.2666666600001 89.9000005899001,10.4270833800001 89.9000005899001,11.2533334200001 89.9000005899001,11.41666668 89.9000005899001,12.24 89.9000005899001,12.40624998 89.9000005899001,13.2266665800001 89.9000005899001,13.39583328 89.9000005899001,14.2133333400001 89.9000005899001,14.38541658 89.9000005899001,15.19999992 89.9000005899001,15.37500006 89.9000005899001,16.1866666800001 89.9000005899001,16.36458336 89.9000005899001,17.17333326 89.9000005899001,17.35416666 89.9000005899001,18.16000002 89.9000005899001,18.3437499600001 89.9000005899001,19.1466666000001 89.9000005899001,19.3333332600001 89.9000005899001,19.9999999254948 89.9000005899001,20.13333336 89.9000005899001,20.3229167400001 89.9000005899001,21.1199999400001 89.9000005899001,21.3125000400001 89.9000005899001,22.1066667 89.9000005899001,22.3020833400001 89.9000005899001,23.09333328 89.9000005899001,23.2916666400001 89.9000005899001,24.0800000400001 89.9000005899001,24.2812499400001 89.9000005899001,25.06666662 89.9000005899001,25.27083342 89.9000005899001,26.0533333800001 89.9000005899001,26.26041672 89.9000005899001,27.03999996 89.9000005899001,27.25000002 89.9000005899001,28.02666672 89.9000005899001,28.23958332 89.9000005899001,29.0133333000001 89.9000005899001,29.22916662 89.9000005899001,30.00000006 89.9000005899001,29.9999344400001 88.9055176399,29.99986882 87.9110346899,29.9998032 86.9165517399,29.9997375799999 85.9220687899,29.9996719600001 84.9275858399001,29.9996063400001 83.9331028899001),(-40.67333226 83.2802734299,-39.81083301 83.1969375699001,-38.94833376 83.1136017099,-39.62291715 83.2315139499,-40.29750054 83.3494261898999,-40.67333226 83.2802734299),(-39.9240608399999 83.1203994099,-40.54340358 83.1494292698999,-39.61389168 82.9944305499001,-39.3047181 83.0913695499,-39.9240608399999 83.1203994099),(-20.78194428 82.1338806099001,-20.21444316 81.8927612499,-19.7445812399999 81.8752517499001,-19.88583372 81.9747008499001,-20.78194428 82.1338806099001),(-19.2437477999999 81.7806855099,-18.58555602 81.6466522899,-18.3075714 81.6618576099001,-18.755001 81.8019256899,-19.2437477999999 81.7806855099),(-20.16472248 81.6792907899001,-20.90361024 81.7302703899001,-20.76778026 81.6783142899001,-20.9305533599999 81.6063690099001,-20.16472248 81.6792907899001),(19.91374596 80.3766478899001,19.8086090400001 80.2124938299,18.9799957800001 80.3366545899,19.57985874 80.1492920499001,19.3405532400001 80.0863800698999,18.5656919400001 80.1067238499001,17.79083064 80.1270676299001,18.29833128 80.0485267899,18.8058319200001 79.9699859499,18.1541633400001 79.9099883499001,18.7713851400001 79.7174835699001,19.658711385 79.7368602999,19.9999999254948 79.7443130896023,20.5460376300001 79.7562370299,21.4333638749999 79.7756137599001,22.3206901200001 79.7949904899,21.4006547700001 79.7368583199,20.4806194200001 79.6787261498999,21.1230507600001 79.5594176499001,20.4013844099999 79.5551185299,19.9999999254948 79.5527273971211,19.67971806 79.5508194099001,19.9999999254948 79.5037274436342,20.30791284 79.4584541199,20.9361076200001 79.3660888299001,21.88680264 79.3867873899001,22.8374976600001 79.4074859498999,22.65583032 79.3599853899001,22.7794418999999 79.2530517099,23.75916282 79.1741485299,24.7409676899999 79.2910270298999,25.7227725600001 79.4079055299,25.97527314 79.5077666499,25.81110756 79.6138687299,26.4962463300001 79.7395629999,27.1813851 79.8652572699001,27.22929948 80.0965194699001,26.2553659800001 80.1873016299001,25.28143248 80.2780837899001,24.3074989799999 80.3688659499,23.73013692 80.2420653999001,23.1527748600001 80.1152648499,23.04749682 80.2449798699001,23.33971782 80.3424225099001,23.1270789600001 80.3827668098999,23.3558292600001 80.4265136499001,22.88694006 80.4902649699,22.74916068 80.3241577299,22.3611069600001 80.4102630699,22.5685386000001 80.2963714899001,22.363884 80.0013885699,21.60798264 80.1212997099,21.83832936 80.2711029099,20.8533286800001 80.2111053099,20.26110645 80.3563842999,19.9999999254948 80.4204367623727,19.6688842199999 80.5016632899,19.4587441200001 80.4206771499001,19.91374596 80.3766478899001),(18.9372177 79.1602631499001,18.85971834 79.4505462699001,18.35694126 79.6283112099,17.6377030200001 79.3760910699,18.08701128 79.7281723299,17.1973924200001 79.8954658599001,16.3077735600001 80.0627593899001,15.9755544 79.9680480699,16.11082836 79.8602599299,15.647499 79.7649994299001,16.0487479800001 79.3344345699001,16.4499969600001 78.9038697099,15.71444316 79.1108094099001,15.77263734 79.2377625099001,15.2912493 79.5970687899,14.76916506 79.7819367099,13.8849983999999 79.5383148099,14.1538878 79.3352661699001,14.0588865000001 79.2602691699,13.2647209200001 79.4709548499001,13.47485832 79.5824889698999,12.96208098 79.5756835299,12.44930364 79.5688780899,13.16701269 79.6476287199,13.88472174 79.7263793499,13.9574986200001 79.8283234299,13.82472036 79.8752593299001,13.0133313900001 79.8542938299001,12.20194242 79.8333283299001,12.3113880000001 79.6619262099001,11.69638632 79.8349915299,11.19569202 79.7749939299,11.3661079200001 79.6349944299,10.8593720999999 79.5974197899001,11.18027682 79.5594176499001,10.68235866 79.5460891899,11.2363853400001 79.0930480899001,11.7099981 79.1637344499001,11.6386108199999 79.3194427299001,12.1152735 79.2933196899001,11.7552776399999 79.0758210099001,12.50069238 78.9119949099001,11.9188523700001 78.9362678199001,11.33701236 78.9605407299001,11.92430394 78.8259201699,11.6447905800001 78.7359543699,11.9181929400001 78.6292800699001,12.55277637 78.5854263099,13.1873598000001 78.5415725499001,12.3715944 78.4808884299001,13.00666626 78.1974793299001,13.86742932 78.2918587299,14.7281923800001 78.3862381299,14.38888842 78.4915084299001,14.53166586 78.6827544699,15.0279150600001 78.5990143299001,15.37083054 78.8430405099001,15.44888682 78.6330413499001,15.1988868000001 78.5905456899001,15.4727755200001 78.4512404499,16.1418023100001 78.5631141399001,16.8108291 78.6749878299001,16.33027464 78.4509582099001,17.29520424 78.4217910099,16.5305186100001 78.3785285499001,15.7658329800001 78.3352660899001,14.9891643000001 78.1027680099,14.2413863400001 78.0952683099,14.3558310600001 77.9627685099001,13.5922194 78.0522002499001,13.75624944 77.7298431099001,13.951665 77.7180480699001,14.71527558 77.7713775249001,15.4788861600001 77.8247069799002,16.2424967400001 77.8780364349001,17.0061073200001 77.9313658899001,16.2526127400001 77.8406752899,15.4991181600001 77.7499846899,14.7456235800001 77.6592940899001,15.4843363800001 77.5471381599,16.22304918 77.4349822299001,15.4534209600001 77.4649861299001,14.6837927400001 77.4949900299,13.91416452 77.5249939299001,14.49499698 77.1708221499,15.1628659200001 77.1141561099001,15.83073486 77.0574900699001,16.4986038000001 77.0008240299,16.0003776600001 76.9410973299001,15.50215152 76.8813706299001,16.24968342 76.7383156299,16.9972153200001 76.5952606299,17.2009677600001 76.6994248299001,16.93860624 76.8128966499,17.3155518000001 76.9688034699001,17.1011772000001 77.0473403499,17.32582854 77.0438690499,17.77888494 77.4905395899,18.2965240800001 77.5129089099001,18.4108276800001 78.0216522699001,19.0853443800001 78.0934524699,18.9699249600001 78.4519959099,19.7767073400001 78.5206528299001,19.9999999254948 78.5396549568168,20.58348972 78.5893097499,21.3902721000001 78.6579666699001,21.54041478 78.8405379699,20.6726824199999 78.9471130299,19.9999999254948 79.0297320268599,19.8049500600001 79.0536880899,18.9372177 79.1602631499001),(20.0583306 79.0330504899001,20.3424949800001 78.9908142099001,20.8311080400001 79.0569305499001,20.1172179599999 79.1208190299,20.0583306 79.0330504899001),(28.42888266 78.9519347499001,28.09555056 78.8116454499,28.90180017 78.8540115099001,29.7080497800001 78.8963775699,29.0684662200001 78.9241561599,28.42888266 78.9519347499001),(26.39805228 78.7740173499001,26.7358284000001 78.6238708899,27.0151367399999 78.6956786499,26.39805228 78.7740173499001),(20.7799988400001 78.2844238299,20.6711082000001 78.1874848299,21.4695806400001 78.2264480799001,22.2680530800001 78.2654113299001,22.2413826599999 78.4805449899001,22.0288849200001 78.5808258699,21.08577537 78.5252151399001,20.14266582 78.4696044099001,20.66388318 78.3872070699,20.4705505800001 78.3163758099001,20.7799988400001 78.2844238299),(22.2999025799999 78.2054494899,21.6170323800001 78.1639659099001,20.9341621799999 78.1224823299,21.64499658 77.9124909099001,20.86721802 77.4545745099,21.8202047099999 77.5003661499001,22.7731914000001 77.5461577899001,22.4156208599999 77.4116515299,22.4236069200001 77.2572174699001,22.6411056000001 77.2530517299001,23.3948097 77.4177220299001,24.1485138000001 77.5823923299,24.9022179 77.7470626299,24.00749586 77.8678245399001,23.1127738200001 77.9885864499001,23.4597168 78.1558228299,22.9827727800001 78.2469330699001,22.2999025799999 78.2054494899),(-18.6594429599999 76.6308135099,-19.0694466 76.7413635699,-18.76305762 76.5877684899,-19.1288871 76.4955291099001,-18.6455536199999 75.8913726099,-18.64860912 76.1636047899001,-18.6594429599999 76.6308135099),(-20.74527738 76.3949890299,-20.7227745 76.5141601899001,-21.13777728 76.4445648099,-20.74527738 76.3949890299),(-21.1741677 76.5555420099001,-21.0538902599999 76.6438752099,-21.54736134 76.6120681299,-21.1741677 76.5555420099001),(-17.73277668 77.7086029299001,-17.58486168 77.8351287099001,-17.6749992 77.8997191899001,-18.24006852 77.6813660499001,-17.73277668 77.7086029299001),(12.1205519999999 78.1958161299,11.8211097600001 78.4410857499,11.2672215000001 78.5380402299,11.00610918 78.8291625099,10.4879140200001 78.8933258499001,11.0733318000001 78.4558257698999,11.5969419 78.3258209499,12.1205519999999 78.1958161299),(-19.3477782599999 78.8137284099,-19.208889 78.9541626099001,-19.75583466 78.7929000699001,-19.41611094 78.7244262699001,-19.1613884399999 78.7688826699001,-19.41874884 78.7862397099,-19.18222038 78.8038635099001,-19.3477782599999 78.8137284099),(-17.6072234399999 79.0877685099001,-17.72138592 79.2194367099,-18.1199989799999 78.9977569899,-17.6072234399999 79.0877685099001),(-20.0133342 80.0947036299001,-19.08555606 80.1508179099,-19.7241669 80.2447051899001,-20.0133342 80.0947036299001),(18.75860982 80.3019255699,18.58805082 80.3385924699,18.11944206 80.2847137899001,18.45666126 80.2380370899001,18.75860982 80.3019255699),(-18.83916846 75.3283234299,-18.9238892399999 75.0419311899001,-18.23152932 74.9953994799001,-17.5391694 74.9488677698999,-17.3269463399999 75.1422118899,-17.76111228 75.0813751299,-18.21471984 75.2272033899,-17.8058338199999 75.3083113899,-17.9702758799999 75.4002685299001,-18.83916846 75.3283234299),(-19.96222122 74.9951171499,-20.2308310799999 75.0416565099001,-20.57611086 75.0024872499,-20.6852074199999 74.8103255498999,-20.0844459 74.7027741099001,-19.7312470199999 74.8559569899001,-20.1836089799999 74.9030457099001,-19.96222122 74.9951171499),(18.7911090000001 74.4788742699,19.06916436 74.3430480699,19.2819403800001 74.4835967499001,18.7911090000001 74.4788742699),(-20.53458594 74.4020767298999,-20.95828632 74.4428406099,-21.4740037799999 74.3336334399002,-21.98972124 74.2244262699001,-21.20999904 74.0861052699001,-20.69374842 74.1245727099,-20.1774978 74.1630401499001,-20.53458594 74.4020767298999),(-23.81416515 73.3173446199002,-24.39749916 73.4147032899,-25.25666814 73.4027709099,-25.7111530199999 73.1953277499,-25.4930535 73.1269225299001,-24.93999864 73.0752639698999,-24.38694378 73.0236054099001,-23.66277696 73.0791625899,-22.9386101399999 73.1347197699001,-23.62092468 73.1904093099,-24.30323922 73.2460988499001,-24.98555376 73.3017883899001,-24.1081924499999 73.2608871699001,-23.23083114 73.2199859499,-23.81416515 73.3173446199002),(-23.27967648 73.0581511898999,-23.9338665 73.0062217299001,-24.58805652 72.9542922699001,-23.85269541 72.9134559399001,-23.1173343 72.8726196098999,-22.5165834 72.7742156799001,-21.9158325 72.6758117499,-22.18972212 72.8088684699001,-21.90416526 72.9179000499001,-22.46833044 73.0016632299001,-23.27967648 73.0581511898999),(-22.97982402 72.7866973299001,-23.1491680199999 72.8367996099,-23.453577 72.8360671899,-23.96505159 72.8348312199001,-24.47652618 72.8335952499001,-24.3474998399999 72.5836029699001,-23.6687965199999 72.4266561099001,-22.9900931999999 72.2697092499,-22.3113898799999 72.1127623899,-22.13416674 72.2716521699,-22.7609748 72.4376145099,-21.94694334 72.4810944099,-22.46338368 72.6338958699001,-22.97982402 72.7866973299001),(-8.3444824799999 71.1366576699,-9.04309073999997 70.8038635899001,-8.51452533000003 70.9210014699001,-7.98595992000003 71.0381393499,-7.92851309999998 71.1496963299001,-8.3444824799999 71.1366576699),(23.93416602 71.0194396899,24.0461082 70.9083251499,24.24388878 70.9519348299,23.93416602 71.0194396899),(22.2634009800001 70.5931701699,22.1638870800001 70.4636077899001,23.0888862 70.5811004499,23.45166396 70.7835999098999,22.7042331300001 70.7192993199001,21.9568023 70.6549987299,22.2634009800001 70.5931701699),(23.7026386800001 70.7459640699001,23.83999632 70.5113830299001,24.123888 70.6176300099,23.7026386800001 70.7459640699001),(23.6530533600001 70.5013885299001,23.4033318000001 70.6216584099001,22.8961105200001 70.4483184099,23.15638728 70.2744294098999,23.6530533600001 70.5013885299001),(22.9761086400001 70.2458191299001,22.6844425800001 70.3887405699001,22.3705539 70.3320771099001,22.9761086400001 70.2458191299001),(-25.3976383799999 70.9144287699,-25.6844444399999 71.0633087499,-26.41701699 70.9688491599001,-27.14958954 70.8743895699001,-27.63088704 70.6663360298999,-28.1121845399999 70.4582824899,-28.1318740199999 70.4497681299001,-28.0086021 70.4586410499,-27.1106426999999 70.5232543899,-26.2126833 70.5878677299,-25.3147238999999 70.6524810699,-25.3976383799999 70.9144287699),(-27.2744445599999 70.8746948499001,-27.73694232 70.8822021099,-27.75111012 70.7492904699001,-27.2744445599999 70.8746948499001),(19.5359706 70.2455444499001,19.93222044 70.0524903099001,19.9999999254948 70.0761866177504,20.1197205000001 70.1180419899001,19.9999999254948 70.144191318169,19.5359706 70.2455444499001),(20.42666442 70.1812439499,20.60944362 70.0422211299,20.8322200800001 70.1966551899001,20.42666442 70.1812439499),(18.73444176 69.9229048899001,19.1349982799999 69.7894438899,19.69083216 69.9972151899,18.8555526000001 70.0136108499001,18.73444176 69.9229048899001),(19.06472016 69.7688751099,18.69305418 69.8844298899,18.7558326000001 69.6848525499001,18.3144951 69.7033844499001,18.0452766600001 69.5647124499,18.7383308400001 69.5577698499,19.06472016 69.7688751099),(17.85972024 69.5840224899001,17.4691657800001 69.5977631499001,17.58999636 69.4552764099,17.1966628800001 69.4999999299001,17.4908313000001 69.4243011099,16.93513674 69.3945694299001,17.14277646 69.2494354299,16.8758316000001 69.2213745099001,17.1694413 69.1965255099,16.76749806 69.0902709699001,17.09277732 69.0036011499001,17.99916462 69.1881866499,17.9068032000001 69.3187408299001,18.0953179200001 69.3585282099,18.0999279000001 69.3595047099,18.09838098 69.3609542499,17.85972024 69.5840224899001),(15.46805376 68.8741608099,16.1480521800001 69.2863770099,15.5644426800001 69.0967941699001,15.46805376 68.8741608099),(15.3790264800001 68.8473586299,15.0447216600001 68.9963836899,15.1518049200001 68.8147125698999,14.52944376 68.8049927499001,14.37361056 68.6866607499,14.5011101400001 68.6019439299,15.0091648200001 68.7638854299,15.1611098400001 68.6974945899,14.80402656 68.6152648299001,15.0702762600001 68.5752715299001,15.3976374 68.6801375499001,15.3790264800001 68.8473586299),(15.4490270399999 68.7270736299001,14.98666572 68.2474974699001,15.54145614 68.5036011099,15.3215265600001 68.3431854699001,15.58888812 68.3049927099,16.2205315200001 68.5500641499,16.50114432 68.5524597699,16.54444116 68.7641601099,16.2041664600001 68.8552703499,15.7424994 68.5291594899,15.98777676 68.7547149699001,15.9087562200001 68.9566954899001,15.63277716 68.9441604699,15.4531936800001 68.7595749699001,15.71360976 68.6986084299,15.4490270399999 68.7270736299001),(17.10055548 68.9188843299001,17.24166486 68.7886046499,17.4361095000001 68.8626251499,17.3243521800001 68.9168929899,17.10055548 68.9188843299001),(16.19290926 68.4688414899001,16.1211090599999 68.3763886299,16.4645805600001 68.4654083499001,16.3169020800001 68.5024795299001,16.23499686 68.5230407499,16.19290926 68.4688414899001),(14.68735983 68.2998504699,15.1688881800001 68.4505462899,14.5422210600001 68.4008331699,14.2058314800001 68.1491546498999,14.68735983 68.2998504699),(14.1354151200001 68.2362442299,13.56819336 68.2626266499001,13.5211105800001 68.0394439299001,14.1354151200001 68.2362442299),(-16.5277785599999 66.5080413699001,-16.41736224 66.2760314499001,-16.6870861199999 66.1609650099,-16.59472272 66.0911102499001,-17.1311112 66.2105407898999,-17.6091690599999 65.9874878499001,-18.29514114 66.1752701499,-18.06944652 65.6433258699001,-18.78777882 66.1919327499,-19.45444482 66.0547180299001,-19.45611198 65.7256927899,-20.1741696 66.1294403499001,-20.4226398 66.0844421499001,-20.26305774 65.7236022699,-20.4502085999999 65.4930496299,-20.66416938 65.6908264298999,-20.92722318 65.5888825299001,-21.0922241399999 65.4537430299001,-21.0844459799999 65.1591643899001,-21.30889122 65.5969391499,-21.77500158 65.7647094099,-21.43777842 65.6880493899,-21.28514094 65.9206162299001,-21.58972542 65.9422149699,-21.39944454 66.0272215899,-21.65139 66.0188751699001,-22.4216690399999 66.4333190499,-23.19017418 66.3559035699001,-22.43416968 66.2677764699001,-22.97222514 66.2213744499,-22.4999999999999 66.0769653099,-22.4355583799999 65.8388823699,-22.49972532 65.9661101499,-22.64958378 65.8265228499,-22.67778024 66.0449982099,-23.4687519 66.1997146899,-23.6661129 66.1129073499001,-23.37444684 65.9865189099,-23.8183345799999 66.0144271899001,-23.21618274 65.8401337299,-23.8733348399999 65.8687362699001,-23.53166964 65.7508240299001,-23.19222258 65.7758330499001,-23.52722544 65.6277771099,-24.1052112 65.8056869499,-23.80590432 65.6090239899,-24.06958578 65.6306839299,-23.80743216 65.5309601499,-24.3219470399999 65.6368026699,-24.5384044199999 65.5002746499,-23.879448 65.4024963099,-23.0009059799999 65.4981879999,-22.12236396 65.5938796899,-22.2877807199999 65.4413757698999,-21.69861228 65.4491577099001,-22.56014052 65.1683883099001,-21.7591667999999 65.2035981099,-21.83583456 65.0302734099001,-22.5770671199999 64.9838104299001,-23.31829968 64.9373474499,-24.05953224 64.8908844699,-23.8359736799999 64.7259673899,-23.12159823 64.7692260699001,-22.40722278 64.8124847499001,-22.1665287599999 64.4537429499001,-21.5130576599999 64.6440888099,-21.9788893799999 64.5008239299,-22.09923738 64.3123473699,-21.36277962 64.3849869099001,-21.7591667999999 64.3402709499001,-21.87597474 64.2329025699001,-21.70208556 64.1827696899001,-22.0455588599999 64.0466614299,-22.70041848 64.0819396299,-22.6862506799999 63.8045769099,-21.9279870899999 63.8793697899,-21.1697235 63.9541626699001,-20.36194614 63.7616652699001,-20.54116818 63.7071076299001,-20.19694518 63.5424956499,-19.4859733499999 63.4669418199001,-18.77500152 63.3913879899001,-17.93083572 63.5295792099,-17.87208552 63.7306899699001,-17.1803492999999 63.8132591199001,-16.48861308 63.8958282699,-15.93770976 64.1329803399001,-15.38680644 64.3701324099001,-14.92500114 64.2641601099,-14.54125122 64.4047087899,-14.46248628 64.5423583899001,-14.58472248 64.5849913899,-14.3659448999999 64.6741027299,-14.51222316 64.7965164098999,-14.01805692 64.7236023699001,-13.7697229799999 64.8663024099,-14.05125144 64.9322128299,-13.70041758 64.9204024899,-13.98805614 65.0638885899,-13.4994448799999 65.0691528699001,-14.0302791 65.1934662698999,-13.57013898 65.2613068299,-13.73569488 65.3173523499,-13.60958382 65.5061035899,-14.28805638 65.6562423098999,-14.5583343 65.4992293899001,-14.3384732999999 65.7845763699,-14.84833338 65.7313842099,-14.6188908 65.9944306299001,-15.0708351599999 66.1436004099,-14.7108355199999 66.3672180099,-15.3743057999999 66.1452713499,-16.02541926 66.5361022899,-16.5277785599999 66.5080413699001),(12.5633316600001 66.2177733699001,12.3002776800001 66.0102691899,12.65583222 66.1013869899001,12.5633316600001 66.2177733699001),(12.8986797600001 66.0111083498999,12.8037909600001 66.0081405099,12.5341662599999 65.9997100299001,12.43861002 65.8641662499,12.8401317000001 65.9924086899001,12.8986797600001 66.0111083498999),(12.2580547200001 65.5761108099001,12.06305496 65.2099915299,12.50277714 65.3919373299,12.2580547200001 65.5761108099001),(12.01654152 65.0694198099001,12.12972066 65.0502777099001,12.30155568 65.0995024899001,12.31367976 65.1029739699001,12.1716651600001 65.2069396299001,11.98444374 65.0748520298999,12.01654152 65.0694198099001),(8.29444410000013 63.4970818299,8.45527644000009 63.4263839499,9.17485992000002 63.5616645699,8.61472134000013 63.6091613499,8.29444410000013 63.4970818299),(8.18361090000002 63.3861084099,8.09513766000009 63.4648551699001,7.77944376000005 63.4081917099001,7.98527717999997 63.3088837299,8.18361090000002 63.3861084099),(-40.19110866 64.4305420298999,-40.54277808 64.8441467499001,-40.86138924 64.9109573498999,-40.57268526 64.6855087899,-40.48680492 64.4888686899001,-40.19110866 64.4305420298999),(-37.7430571799999 65.5686035499,-37.3144454999999 65.6713714899001,-37.49812704 65.8020705699001,-37.2700004399999 65.7581863899,-37.8283386599999 65.8663788098999,-37.9881935999999 65.7019347698999,-37.7430571799999 65.5686035499),(7.4810242800001 62.9699059299001,7.51027770000007 62.9386062699001,7.61382000000003 62.9706268299001,7.71013835999997 63.0004119699001,7.39916604000001 63.0574951899001,7.4810242800001 62.9699059299001),(-7.06027787999994 62.3136063099001,-6.65750033999996 62.0558319099,-6.59944493999996 62.1955489899,-7.06027787999994 62.3136063099001),(-6.84112211999997 62.1240043899001,-7.21083348000002 62.2847213499001,-7.23423672000001 62.1770745099,-7.03395611999997 62.1127356699,-6.7177782 61.9333267899001,-6.84112211999997 62.1240043899001),(-7.07200956000003 62.1005097099001,-7.43034798000002 62.1433295499,-7.20166679999988 62.0186080899001,-7.06159637999997 62.0955962499001,-7.05611141999992 62.0986099899001,-7.07200956000003 62.1005097099001),(4.88333322 61.8919372299,4.92249960000004 61.7730484899,5.22111042000006 61.8391608699001,4.88333322 61.8919372299),(-6.96138911999992 61.6209679299,-6.66027827999994 61.3883285499001,-6.72666731999999 61.5745772499001,-6.96138911999992 61.6209679299),(-0.993888899999888 60.7223548298999,-1.17833345999986 60.6345825099001,-1.10472227999992 60.4855498899,-0.993888899999888 60.7223548298999),(5.35999968000004 60.5238875499001,5.45110937999999 60.4723625499001,5.52749922000004 60.4291611099,5.56343172000004 60.4389153099,5.65201620000011 60.4629631299001,5.67944388000001 60.4704093699,5.6793418200001 60.5479659699001,5.67918540000011 60.6668511099,5.67916631999998 60.6812476899001,5.63227416000001 60.6581268699001,5.35999968000004 60.5238875499001),(-1.28666681999999 60.4711074099,-1.29652793999992 60.6333961299,-1.61034732000002 60.4783974099001,-1.32027785999992 60.3563842299001,-1.69215281999999 60.2850646298999,-1.45111121999992 60.1518019898999,-1.29138893999999 60.2413863699,-1.37791673999999 59.9043045099001,-1.2686111999999 59.8511047899,-1.18055556000002 60.2249984499001,-1.03854186000001 60.4427719899001,-1.28666681999999 60.4711074099),(5.36020812000004 59.9883270699,5.51277737999999 59.8930510899,5.65051175999997 60.0658111299001,5.65805538000012 60.0752715699,5.64397433999994 60.0711592899001,5.36020812000004 59.9883270699),(5.48416620000006 59.8605499299001,5.28777702000014 59.9715233499001,5.40055458000001 59.7513885699001,5.48416620000006 59.8605499299001),(5.34305484000009 59.7018012699,5.11888878000013 59.8724976099001,5.14888866000007 59.5811080299,5.18708268000012 59.7352065699,5.34305484000009 59.7018012699),(-43.90222176 59.7902755899001,-43.637085 59.8656883899001,-43.9627760999999 59.9792937699001,-43.99999992 59.9427150699001,-44.11555488 59.8291626099001,-43.99999992 59.8080988299001,-43.90222176 59.7902755899001),(-44.1455459399999 59.8995132699,-44.0127792 60.0149955099,-44.3802796199999 59.9094314499001,-44.1455459399999 59.8995132699),(-44.30750274 59.9777679099,-44.2647246599999 60.1144408299,-44.42142114 60.1414489299001,-44.4974976 60.0111084099001,-44.30750274 59.9777679099),(-43.99999992 60.0895329699001,-43.57277676 59.9147110299,-43.5743103599999 60.0756873699001,-43.13374704 60.0587387499,-43.99999992 60.1322777499001,-44.13180168 60.1434669099,-43.99999992 60.0895329699001),(-45.15222168 60.3763809698999,-45.34986114 60.3848533899,-45.40902714 60.1832542898999,-45.19158552 60.2587318899,-45.15222168 60.3763809698999),(-64.5217133399999 60.3107299299,-64.42541496 60.3992996499,-64.5003138599999 60.4084206099001,-64.86791238 60.4531860699001,-64.5577633799999 60.3255640899001,-64.5217133399999 60.3107299299),(-47.657772 60.7552719699,-47.7583389 60.8002701699001,-48.23889156 60.7955475099,-47.89847178 60.6770781699001,-47.657772 60.7552719699),(-64.86999516 61.3233300099,-64.65972906 61.5880432299,-65.0363922 61.6936035099001,-65.48777766 61.5994338099001,-64.86999516 61.3233300099),(-64.82722482 61.7597884299001,-65.0680695 61.9238814699,-65.21263884 61.8194389899001,-64.82722482 61.7597884299001),(-64.59472656 62.3667984699,-64.3827666599999 62.5258255899001,-64.96583562 62.4658279899001,-64.59472656 62.3667984699),(-64.065834 63.2694358298999,-64.32556158 63.6374969499001,-64.4905547999999 63.6205443699001,-64.4219361 63.4716568299001,-64.065834 63.2694358298999),(-64.4363861399999 63.6733245099001,-64.54943856 63.8952713499001,-64.91639718 63.8063812299001,-64.4363861399999 63.6733245099001),(-50.80750272 64.5224914299001,-51.0250015799999 64.5494232099,-51.33916476 64.2410965299001,-50.80750272 64.5224914299001),(-62.21972268 65.6105422899001,-62.1300011399999 65.6765059899001,-62.25861366 65.7285918699001,-62.4841651799999 65.7240142899,-62.21972268 65.6105422899001),(-52.88763816 68.4457397499,-52.98741918 68.4914246499001,-53.2105559999999 68.4047089299001,-53.12342826 68.3908080699001,-52.9563904199999 68.3641509699,-52.85292048 68.4298477299001,-52.88763816 68.4457397499),(-52.7074985699999 69.4320640599,-51.8365249199999 69.6344223098999,-52.55146026 69.9146995899001,-53.2663956 70.1949768699001,-53.84778219 70.2523422399001,-54.42916878 70.3097076099,-54.79472358 70.2205352499001,-54.82187658 70.0662307899001,-54.24083334 69.9142531899001,-54.76124952 69.9636001899001,-54.93318174 69.8441543499001,-54.40270608 69.6805649499001,-54.98791506 69.6902541699001,-54.4669437599999 69.6470641599,-53.94597246 69.6038741499,-53.9930572199999 69.5013733299,-53.78402718 69.4513777899,-53.3581581599999 69.5762405499001,-53.56527714 69.4969329099,-53.3991699 69.4374846699,-54.2694474 69.3961028498999,-53.57847222 69.2297058099001,-52.7074985699999 69.4320640599),(-67.92027282 69.5219268099,-67.8697205399999 69.7008208899001,-68.24888604 69.5966491299001,-67.92027282 69.5219268099),(-51.0019455599999 69.9185944299001,-51.3627777 69.8519287299001,-51.0116005799999 69.8781052299,-51.38666532 69.7020645099,-51.24527748 69.5313796899,-50.9583358799999 69.5505370899,-50.96527866 69.7244262699001,-50.6576347199999 69.8334655899001,-51.0019455599999 69.9185944299001),(-51.55847172 70.8733063299001,-51.97499856 70.9738770099,-52.1199950399999 70.8655395099,-51.55847172 70.8733063299001),(-53.38194282 71.1352691499001,-53.5841674199999 71.3008117299,-53.9906959799999 71.1278914899,-53.45278164 71.0494231898999,-53.38194282 71.1352691499001),(-53.15471658 71.3427582099001,-52.9358292 71.1472168299001,-52.3774033199999 71.2783279299001,-52.32833856 71.2898482899001,-52.3587456 71.2917939099,-53.15471658 71.3427582099001),(-53.2180556999999 71.5263825099,-52.75750356 71.6576232099001,-53.47173312 71.6570662899,-53.2180556999999 71.5263825099),(-55.34471898 72.1669312299001,-55.01528172 72.3771973299001,-55.6887474 72.1958160099001,-55.34471898 72.1669312299001),(-54.9647902799999 72.8081054499,-55.1974715999999 72.8453217099001,-55.8484687799999 72.6141509499001,-55.5199966799999 72.5547027099,-54.9647902799999 72.8081054499),(-55.4733277199999 73.4288710899,-55.94305428 73.5702666699001,-56.1158371799999 73.5566406699001,-55.68638616 73.4758147299,-55.7436142799999 73.3880461899001,-55.4733277199999 73.4288710899),(-55.9922256 73.8522033699,-56.77555464 73.8728943699001,-56.3233337999999 73.7833251099,-55.9922256 73.8522033699),(-78.89778144 75.8397064899,-79.17666624 75.9495696699001,-78.89306634 76.1155395699,-79.7522277599999 75.8785857699,-78.89778144 75.8397064899),(-71.3488923 77.3627624499001,-72.23554998 77.4541626699,-72.5736160799999 77.4113770299001,-72.09750366 77.3124846699001,-71.3488923 77.3627624499001),(-72.9247131 71.6494292499001,-72.94999698 71.5472106699001,-72.6613846199999 71.6012344299,-72.9247131 71.6494292499001),(-72.8238906 71.4523468899001,-73.1619262799999 71.5692367299,-73.3786010999999 71.5212402699,-73.0605468599999 71.2947082899,-72.8238906 71.4523468899001),(-72.22639464 70.9305420099001,-72.11221308 70.8113708499,-71.3413926 70.9881744099001,-71.7947235 71.0530395699,-72.22639464 70.9305420099001),(5.19444378000009 59.4130553499,5.16055482000007 59.1427765299,5.29333308000014 59.2406922099,5.19444378000009 59.4130553499),(-3.35083337999993 59.1081886299,-3.31333344000001 58.9499968898999,-2.82444479999998 58.8788833899,-3.07500029999994 59.1204147699,-3.35083337999993 59.1081886299),(-3.02263901999999 58.6465262499,-3.80048642999992 58.6104831399001,-4.57833384000003 58.5744400299,-4.76145881999997 58.4460372099,-4.70166677999993 58.5586090299001,-5.00152824000003 58.6241607099001,-5.17472261999995 58.3499983899001,-5.07166668000002 58.2647170899,-5.38944479999992 58.2602728899,-5.28145884000003 58.0772170299001,-5.45284745999993 58.0741615299,-5.10277841999994 57.8508301299,-5.81708375999995 57.8194388499001,-5.8108334399999 57.6395797899001,-5.51013948000002 57.5331916899001,-5.83972271999994 57.5727767499001,-5.81805611999994 57.3624953499,-5.45125013999996 57.4180489299001,-5.59884455999998 57.3304863099,-5.40513935999996 57.2309684498999,-5.64750719999995 57.1616058099001,-5.40305621999994 57.1106186499001,-5.72472287999994 57.1130524299,-5.52402827999998 56.9973563499,-5.91958385999999 56.8870811499001,-5.66291717999991 56.8692321698999,-6.22777841999999 56.6972198499001,-5.55239574000001 56.6888503899,-6.00972263999989 56.6334687099001,-5.67694475999997 56.4938887898999,-5.12083386 56.8147200699,-5.39866727999998 56.4786643899001,-5.07013901999994 56.5606918299001,-5.57138915999997 56.3283271299001,-5.68013930999996 55.8185348198999,-5.78888945999995 55.3087425099,-5.52305610000002 55.3522186298999,-5.42916719999994 56.0069389299,-5.03222273999995 56.2324981899001,-5.30527824000001 55.8522186699,-4.98666708000002 55.8649254099001,-4.82860565999999 56.1131630498999,-4.85461242000002 55.9864844499001,-4.48541729999999 55.9236068499,-4.87826441999999 55.9365234699001,-4.91638896000001 55.7008285899,-4.61361168000002 55.4906883099,-5.17833431999992 54.9888839499,-4.86416717999992 54.6272202099,-4.96076435999998 54.7968711099001,-4.85222238 54.8686065099001,-4.38722225999999 54.6755523699001,-4.39805609999996 54.9063872499,-3.96500021999998 54.7652740899001,-3.57111125999995 54.9908293899001,-3.02708357999995 54.9729118299001,-3.38111118 54.8844375099001,-3.63263921999993 54.5122146099,-3.21472260000002 54.0955506099,-2.81361149999998 54.2227706498999,-3.05263908000001 53.9076347499001,-2.89979172 53.7249946899,-3.10562513999997 53.5599289299001,-2.95388891999994 53.3602752699001,-2.70493074000001 53.3506202499001,-3.45065993999992 53.2783641999001,-4.19638914000001 53.2061081499001,-4.75848719999999 52.7872620099001,-4.13361162000001 52.9144438899,-4.13083368000002 52.3347168099,-4.68500048999994 52.1255493399001,-5.23916729999996 51.9163818699,-5.10256962 51.7789534899001,-5.24694545999995 51.7302703299001,-4.88444526000001 51.7466659899001,-5.05138968 51.6202773699001,-4.94138915999986 51.5941620699001,-4.57444475999995 51.7341613899,-4.07472228 51.6772155099001,-4.24277783999986 51.5408325699,-3.83791715999996 51.6199951299,-3.34611125999993 51.3786086499001,-2.86305570000002 51.5701713098999,-2.38000013999994 51.7617339699,-3.02833368 51.2061081699,-3.62819483999999 51.1969413999,-4.22805599999998 51.1877746299,-4.77166751999999 50.6019439299,-5.24423673000001 50.3313846699,-5.71680593999992 50.0608254099,-5.47055621999993 50.1249923499001,-5.19305615999997 49.9552764699,-5.04805571999992 50.1711043899001,-4.38000011999992 50.3638840299,-3.71666663999991 50.2066650099001,-3.4372224 50.6049956499001,-2.9275002 50.7312469299001,-2.42472276000001 50.5599976299,-1.75958360999999 50.7029151999,-1.09444445999998 50.8458327699001,-0.420277769999984 50.7922210299001,0.253888920000122 50.7386092899,0.758194380000077 50.9201355099001,1.26249984000009 51.1016617299,1.40763870000006 51.1838875298999,1.38555558000002 51.3877715499,0.388935360000119 51.4482193299,0.952499880000119 51.6092300499001,0.935694360000127 51.7365264099001,0.701110979999953 51.7184715099,1.26611082000005 51.8391647499001,1.16347212000011 52.0236091299,1.33124976000005 51.9287453498999,1.58736096000007 52.0838851899,1.74944429999994 52.4558258499,1.67527763999999 52.7480545899001,0.884722140000122 52.9663810899,0.547777620000033 52.9661789499,0.378888840000002 52.7813873499001,0.00210978000006889 52.8798561698999,0.339166620000015 53.0923576899,0.235555560000023 53.3994369699001,-0.139627979999943 53.6185569099,0.142083360000015 53.5805511699,-0.212222159999953 54.0083312499001,-0.0793054799999595 54.1133995899,-0.688402800000006 54.4385052399,-1.29750012 54.7636108899,-1.63597229999999 55.5819396699001,-2.13354170999992 55.8183288099,-2.63111112000001 56.0547179499001,-3.05305578000002 55.9436035899,-3.72375017999997 56.0273552499001,-3.15361133999994 56.1479454399,-2.58347250000003 56.2685356299,-2.88444473999999 56.4513855699,-3.27805560000002 56.3574981099001,-2.53125017999992 56.5761070299,-2.15229185999993 57.0170802999001,-1.77333354000001 57.4580535699,-2.07555588000002 57.6994400498999,-2.86087997999988 57.6572176899,-3.6462040799999 57.6149953299001,-4.43152817999993 57.5727729699001,-3.77402813999993 57.8548545699001,-4.00729517999997 57.8724288699001,-3.33750006000002 58.2769394499001,-3.10972265999999 58.3816603899,-3.02263901999999 58.6465262499),(10.64595312 57.7362671499001,9.9577063800001 57.5862465099001,9.46624859999997 57.1788863499001,9.01722150000001 57.1536102099001,8.61847110000008 57.1215248499001,8.26013754000007 56.8277740299,8.24416542000012 56.7043037499,8.54590122000002 56.5851707499001,8.57906154 56.6876717499001,8.41579722000012 56.6781272499001,8.67659562 56.9481200499001,9.11554902000012 57.0527725899001,10.0066642200001 57.0914763699,10.3366155600001 56.9916649299001,10.5302763 57.2225646099001,10.4318046000001 57.5856895899,10.64595312 57.7362671499001),(8.5461102000001 56.7933272499,8.65527732000004 56.6741638299001,8.91083141999997 56.9483261499001,8.5461102000001 56.7933272499),(-1.56958362 50.6590233699,-1.28250000000003 50.5788879099,-1.11597227999994 50.7363853899,-1.56958362 50.6590233699),(-55.98611442 49.7469406899,-55.46104056 49.9597129299,-55.75055688 49.9236069099001,-56.12263488 50.1545028099,-56.84888466 49.5444412299,-56.78400798 49.7312430699,-56.90533068 49.7475204699,-56.5343303399999 50.1826439199001,-56.1633299999999 50.6177673699001,-56.14916616 50.8890228699001,-56.0688933599999 50.7244339299,-55.796112 51.0391617699001,-55.7147178 51.1789512099001,-55.9925613 51.1765746699001,-56.0819473199999 51.3690186099001,-55.6137504 51.3028372899,-55.40676876 51.5644683699001,-55.8822213 51.4949950299001,-55.90312578 51.6265183299001,-56.68250274 51.3394318299,-56.92749786 50.9158248699001,-57.37860864 50.6877670299,-57.15138618 50.6237412099,-57.3679848599999 50.5931167299001,-57.65885361 50.1289158099002,-57.94972236 49.6647148899,-57.7036782 49.4640197499,-57.99833676 49.5591583899001,-58.21986006 49.3963813299,-58.2041664 49.2426300099001,-57.9332618999999 49.2384642699,-58.0898475 49.1612473299001,-57.91770558 49.1265183099001,-58.14444726 49.1219329899001,-57.8957252399999 48.9772835499001,-58.35041424 49.1480484699001,-58.7012443199999 48.5799942099001,-58.95722196 48.6194381499,-58.77187344 48.7736014899,-59.21250156 48.5477715099001,-58.4183349 48.4866561099001,-58.90159791 48.2031173199,-59.38486092 47.9195785299001,-59.30347068 47.6116600899,-58.66770744 47.6533928198999,-58.0319441999999 47.6951255499001,-57.4363898999999 47.6082515199001,-56.8408356 47.5213774899001,-56.1624983999999 47.6361046299,-55.768959 47.9516563299,-55.91347128 47.6557541499001,-55.63416672 47.6730499898999,-56.11298364 47.4633292899001,-55.7458343999999 47.5852661499,-55.92038346 47.4450263499,-55.58777622 47.3986054299,-55.37048724 47.7256126899001,-55.13021478 47.6137885899001,-54.9414558 47.7776298099001,-55.03215024 47.6270790699,-54.84555054 47.6338805499,-55.4905548 47.1355476699001,-55.9666594799999 46.9813765899,-55.3920822 46.8658295499,-54.8563919399999 47.3905486299001,-54.4149284399999 47.5954780899,-54.60979464 47.3548546299001,-54.47756196 47.3983955499,-54.1961784 47.8412437899,-53.98388676 47.7577743699001,-53.86750038 47.4027709899,-54.1868706 46.8218688699001,-53.59138488 47.1560973699,-53.61430356 46.6411742499001,-53.35805898 46.7372170299,-53.16513822 46.6198501899,-52.93666458 46.7970771099,-52.61736294 47.5084686099,-52.7796860399999 47.7976722699,-53.1185417999999 47.4179077299,-53.26167294 47.5463866899001,-52.83465192 48.0996474699,-53.27444466 48.0133284699,-53.54520804 47.5410347499001,-53.8505553599999 47.7605514099001,-53.60680764 48.0487441899,-53.9097366599999 48.0228232899001,-53.69176872 48.0585669699001,-53.90965278 48.0840187899001,-53.9447594399999 48.1717948899001,-53.93735892 48.2320747299,-53.7021675 48.1875533499001,-53.6262512399999 48.1731834099,-53.59790034 48.1898116299001,-52.9872208199999 48.5480499699,-53.07201378 48.6979752099001,-53.58805092 48.4280472099001,-53.9510383799999 48.5432587299001,-53.60718528 48.6809616099001,-53.92284768 48.6247825299001,-53.80152894 48.8102683899,-54.0961074 48.8122100499001,-53.5911102 49.0381926699001,-53.5111160399999 49.2772141299001,-54.04528044 49.4801254298999,-54.4815597599999 49.2650299299,-54.5280532199999 49.5319366299,-54.82111356 49.2704086899001,-55.07764056 49.3523560299001,-55.38333132 49.0408325499,-55.14131934 49.5433311699001,-55.30555728 49.5344391699001,-55.3152770999999 49.3144379499001,-55.3734703799999 49.5034674699,-55.56114198 49.3681830699001,-55.52264016 49.4842949499,-55.6680564 49.3835334699001,-55.8277817399999 49.5241622499001,-56.12554926 49.4248542699,-55.83332826 49.6866531099001,-56.12416848 49.6133270499001,-55.98611442 49.7469406899),(-54.2854155599999 49.7140197699001,-54.2913894 49.5783271298999,-54.00444798 49.6474914099001,-54.0811157399999 49.7363815299001,-54.2854155599999 49.7140197699001),(-2.53664873999992 49.5079422699001,-2.66853168 49.4326630299001,-2.52847907999995 49.4265365498999,-2.53664873999992 49.5079422699001),(-2.20640417999999 49.1812782699001,-2.02158143999992 49.1772307899001,-2.03735393999995 49.2439612898999,-2.23430939999997 49.2589263099,-2.20640417999999 49.1812782699001),(-53.56416312 48.1905440498999,-53.67860028 48.1480179699001,-53.92811196 48.1826629299001,-53.9275284 48.1795464099,-53.63417052 48.0752716899,-53.56416312 48.1905440498999),(-60.60916908 46.2019348299001,-60.3058318199999 46.8442993899001,-60.5955544199999 47.0301322899,-61.0255566 46.5838146399,-61.45555878 46.1374969899001,-61.47805032 45.8038788699001,-61.33694454 45.5733260499,-60.49888614 45.6202696899001,-59.84055324 45.9383239299,-59.8091659199999 46.1091613899,-60.35375214 46.3077697899,-60.6449241 46.0713462699,-60.3074989799999 46.2087440499,-60.78722382 45.9361686099001,-60.4669418999999 45.9380416899001,-61.1465300999999 45.7015227699001,-60.73673634 46.0551300699,-61.10791776 45.9532547499001,-60.4251365399999 46.2779769099,-60.60916908 46.2019348299001),(-62.60388948 46.1798553099001,-61.97461704 46.4547118899,-62.59550481 46.4334601899,-63.2163925799999 46.4122084899001,-63.6547203 46.5667991499001,-63.7802811 46.4449920699001,-64.0916747999999 46.7786026299,-64.02084354 47.0386047099001,-64.4147262 46.6681861299001,-64.10556036 46.6180496499001,-64.1273499 46.4109268899001,-63.8111115 46.3274918499001,-63.25764462 46.1377716699,-62.96652612 46.3156165299,-63.11381904 46.2089157699,-62.61389154 45.9627684699,-62.4481925399999 46.0967941299001,-62.60388948 46.1798553099001),(-56.39778144 47.1066589299001,-56.3713874999999 46.7868041499,-56.23263558 46.8530502699001,-56.28944394 47.0708313699,-56.39778144 47.1066589299001),(-61.92527778 47.3436049899001,-61.4077758 47.6411055699001,-61.9251404399999 47.4085999299,-62.0115317999999 47.2235984499,-61.79944608 47.2327651299001,-61.92527778 47.3436049899001),(-61.6647911399999 49.1442299499,-61.883892 49.3481902899,-62.6880588299999 49.5945091299,-63.4922256599999 49.8408279699,-64.00236897 49.8509674599,-64.51251228 49.8611069499,-64.02486807 49.6204109499,-63.5372238599999 49.3797149499,-62.86638645 49.2273559299,-62.19554904 49.0749969099001,-61.6647911399999 49.1442299499),(-9.58097357999986 51.8723526099001,-10.1300011199999 51.6122207499001,-9.45166769999997 51.7247162498999,-9.81750113999993 51.4455490299001,-9.25708436999997 51.5093002599,-8.69666760000001 51.5730514899,-8.31069557999996 51.7418022099,-8.42193881999992 51.8815461099,-8.08666793999987 51.8108291499,-7.57888883999999 52.1002731099001,-7.00180632000001 52.1384696499001,-6.99729533999988 52.2782707899,-6.35944518000002 52.1790238299,-6.49819475999988 52.3540268499,-6.14777850000002 52.7383270299001,-6.01305587999991 52.9449996098999,-6.22458413999999 53.3527717898999,-6.0811119 53.5636063299001,-6.38013941999992 53.9133301299001,-6.10625033999997 53.9933662299,-6.26697539999998 54.0998306499,-6.04388898000002 54.0313872699,-5.56222247999995 54.2830504899001,-5.69812536000001 54.5726317899001,-5.51772251999995 54.3691063299,-5.43583349999989 54.4584655299,-5.57430606000003 54.6772193499,-5.90243093999999 54.6022873299001,-5.69041721999992 54.8091620499,-6.06375071999997 55.1915245299001,-6.65812899000002 55.1310596499001,-7.25250726000002 55.0705947699,-6.93513972 55.2384681699,-7.37666694000001 55.3799933499001,-7.54750061999994 55.2169417899001,-7.44652836 55.0556907699,-7.68229199999996 54.9508972899001,-7.61666687999997 55.0538864499001,-7.63250058 55.2655525899,-7.79172947999996 55.2120169899001,-7.69972230000002 55.0951347099001,-7.98145289999991 55.2164574099,-8.45722295999997 54.9967994499,-8.35388946 54.8394393099,-8.79833411999999 54.6957588099,-8.18833355999988 54.6336058899001,-8.66166695999993 54.3552704499,-8.47486206000002 54.2734680099,-9.29354238000002 54.2517318399001,-10.1122227 54.2299956699,-10.12402818 54.0965881299001,-10.01340288 54.2181892899001,-9.78958421999988 53.9454117099001,-9.94069583999993 53.8679123499001,-9.56138993999997 53.8597183899001,-9.90638927999993 53.7586059099,-9.69895836000001 53.5979118099001,-10.18611144 53.5502776899,-10.1765289599999 53.4097174899001,-9.55916694000001 53.3812485098999,-9.6080571 53.2322158899,-8.94111245999994 53.2641601299001,-8.93791764000002 53.1417273699,-9.28083419999996 53.1397171299001,-9.48583403999999 52.8005523099,-9.93236166000003 52.5552024099001,-9.37534814999992 52.6103762799001,-8.81833463999999 52.6655501499001,-9.65361221999996 52.5608292099,-9.83972358 52.3797150099001,-9.74486250000001 52.2472191699001,-10.4633350199999 52.1802062499,-9.76041701999992 52.1495781699,-10.26361278 51.9880522899001,-10.3385924999999 51.7829208699001,-9.58097357999986 51.8723526099001),(-57.87847134 54.7919387499001,-57.94083396 54.9119339499,-58.22298054 54.8316573699,-57.87847134 54.7919387499001),(-4.35347261999999 54.4099960299001,-4.7777787 54.0555495699001,-4.3944444 54.1863861699001,-4.35347261999999 54.4099960299001),(-4.56000047999999 53.3966599299,-4.35138893999988 53.1244430499,-4.04652833999995 53.3015250699001,-4.56000047999999 53.3966599299),(-5.17194467999997 55.4294433099,-5.15472317999996 55.6733321499,-5.37958331999994 55.6701355299001,-5.17194467999997 55.4294433099),(-6.02611164000001 55.6793022099,-6.1256952 55.9312476699,-6.49527839999996 55.7336044299,-6.26222231999998 55.7772178899,-6.27444449999996 55.5727767699,-6.02611164000001 55.6793022099),(-6.07888889999992 55.9055481699,-5.97194478 55.7883300099001,-5.69444471999992 56.1472167099001,-6.07888889999992 55.9055481699),(-60.93673326 56.0124244299,-61.0891648199999 56.1699904899,-61.2183342599999 56.0486069499,-60.93673326 56.0124244299),(-5.66083386000003 56.3993034699,-6.11666675999999 56.6502762099,-6.33777803999988 56.5466613699001,-6.00340319999998 56.4925650699,-6.20166726000002 56.3823586299001,-6.01937531999999 56.3759650299,-6.3230562 56.2654113699,-5.66083386000003 56.3993034699),(-61.1494407 56.4433212099,-61.55805204 56.5519332099,-61.42041774 56.4853400498999,-61.63055424 56.4652709499,-61.1494407 56.4433212099),(-61.3935890999999 56.6177788299,-61.38603594 56.7744216699001,-61.58527758 56.7638855499001,-61.35527808 56.9108200899,-61.4993706 56.9528502699,-61.6419525599999 56.7355881099,-61.3935890999999 56.6177788299),(-6.01430597999996 57.0234680499,-5.64763931999994 57.2583275499001,-6.12722303999999 57.3061065699,-6.30416681999992 57.6861038499,-6.43000031999986 57.5049972099001,-6.63750071999993 57.6055525899,-6.72444539999998 57.4036102299,-6.31208375999995 57.2997856899,-6.48013931999998 57.3024979299,-6.31638900000002 57.1584662499,-6.03055566 57.1774978298999,-6.01430597999996 57.0234680499),(-7.23027797999993 57.0947188899001,-7.22375063999993 57.3395766699,-7.42361165999995 57.3837470499,-7.38402839999998 57.1116599499001,-7.23027797999993 57.0947188899001),(-7.23361211999992 57.5036086899,-7.06861170000002 57.6365928699,-7.19291735999991 57.6870803498999,-7.54083395999999 57.5901336099,-7.23361211999992 57.5036086899),(-6.66138941999986 57.8826370299001,-6.68680613999999 58.0562439699,-6.66430613999995 57.9255524499,-6.47333387999998 57.9422188299,-6.39333396000001 58.1016655299,-6.61972284000001 58.0801353699001,-6.16833395999998 58.2095794899,-6.32702771999999 58.2353972499001,-6.16597272000001 58.4229163899001,-6.26333382000001 58.5126343299,-6.79777811999998 58.3022155899001,-6.86097288000002 58.1059684299,-7.03625058 58.2356910099001,-7.02194507999997 57.9519424299,-6.83222291999994 57.9022217499,-7.12423655999999 57.8356208499,-6.96493097999996 57.7263145899001,-6.66138941999986 57.8826370299001),(-68.22208404 44.4041099499001,-68.24137878 44.4388809099,-68.2929152999999 44.3865280899,-68.4062577 44.2713813699,-68.1824952 44.3327712699,-68.22208404 44.4041099499001),(-73.58944698 40.9205474499001,-74.0050048799999 40.6799927499001,-73.61805726 40.5944365899001,-72.74242782 40.8346099599,-71.8667983799999 41.0747833299001,-72.58473198 40.9060974099,-72.2852783999999 41.1619339299,-72.6376419 40.9816588899001,-73.58944698 40.9205474499001),(-27.38500218 38.7633286299001,-27.13861458 38.6294403099,-27.0658341 38.7641602299,-27.38500218 38.7633286299001),(-28.54944612 38.5272217299,-28.24666974 38.3719405899,-28.07014086 38.4441605499,-28.54944612 38.5272217299),(-25.8541678799999 37.8838882299001,-25.45611192 37.7055510699001,-25.1552809799999 37.7488860699001,-25.16527944 37.8588867699,-25.8541678799999 37.8838882299001),(-17.25451668 32.8128432699001,-16.9436111399999 32.6374969899001,-16.71555708 32.7588882699,-17.25451668 32.8128432699001),(-64.6944580799999 32.3730964299,-64.78038792 32.2778206299,-64.72340388 32.3179206699,-64.67726898 32.3791237299001,-64.6944580799999 32.3730964299),(-13.79166696 29.0524978298999,-13.77305604 28.8377761899001,-13.4834727599999 28.9952774499001,-13.4425009799999 29.2316665899,-13.79166696 29.0524978298999),(-17.71652988 28.7433319899001,-17.9068069799999 28.8481922499,-18.00291816 28.7497214499001,-17.7833367 28.5291633099001,-17.71652988 28.7433319899001),(-16.15694814 28.5722198499001,-16.90937622 28.3460388699001,-16.67139048 27.9841652499001,-16.15694814 28.5722198499001),(-13.8677787 28.7495823099001,-14.44416804 28.0691643099,-14.332779 28.0444413099,-13.92305562 28.2491646699,-13.8677787 28.7495823099001),(-15.36527916 28.0072212699001,-15.70250124 28.1561088099001,-15.8226404399999 27.9156914499001,-15.5791682999999 27.7311095499001,-15.36527916 28.0072212699001),(-17.0891685 28.1119422099001,-17.2550030399999 28.2061081299001,-17.2308349799999 28.0099983099,-17.0891685 28.1119422099001),(-77.5427857199999 26.8655529099001,-77.15417472 26.5545825698999,-77.2208404199999 26.1452751699001,-77.398056 26.0263862499,-77.2026443999999 25.8824978499001,-77.04959112 26.5190257299001,-77.5466766 26.8966637498999,-77.95028682 26.8977775899001,-77.5427857199999 26.8655529099001),(-78.70861818 26.4897193899001,-77.9172363 26.7452774499,-78.51889044 26.7341651499,-78.70111848 26.5844420499,-78.97889718 26.6952743499,-78.70861818 26.4897193899001),(-76.7352906 25.5591660099001,-76.16334528 25.1277771099001,-76.33688346 24.8177051499,-76.16833488 24.6899985699,-76.12028496 25.1331920499001,-76.7352906 25.5591660099001),(-75.7355652 24.6965255499,-75.4625091599999 24.1224976299001,-75.31472772 24.2138863299,-75.7355652 24.6965255499),(-77.54680638 24.1166649099001,-77.63208768 24.2111091099001,-77.7416686199999 24.0302773299001,-77.70112614 24.2847213699,-77.87667852 24.0730552299,-77.7302856 23.7869414499,-77.5913162399999 23.8382034699,-77.54680638 24.1166649099001),(-78.01966098 24.2746505499001,-77.72167962 24.5288886699,-77.9877167399999 25.1502056499,-78.20500176 25.2019425098999,-78.30584712 24.7211074299,-78.19326774 24.6054153099,-78.44014746 24.6166649499,-78.01966098 24.2746505499001),(-75.3075104399999 23.6677742499,-75.1686172199999 23.1428317899,-74.8379212199999 22.8574981299,-75.3075104399999 23.6677742499),(-81.49292502 23.1087469299001,-82.22056578 23.1874962699,-83.14525224 22.9245109599,-84.0699387 22.6615256499,-84.40055856 22.3327750899001,-84.33805842 22.0122184899,-84.94528194 21.8469428499,-84.4984817999999 21.9347209299,-84.5011139399999 21.7655526099001,-84.0287627999999 21.9140263299001,-83.92903902 22.1624985099001,-83.36806488 22.2016639899001,-82.76056668 22.7008324299001,-81.88500978 22.6808319099001,-81.64889532 22.4913864099,-82.16265114 22.3952750499001,-81.8230589999999 22.1836090899001,-80.8911133199999 22.0397187099001,-80.49195864 22.1772194499001,-79.98779304 21.7236099099,-79.2319489199999 21.5411109699,-78.74028018 21.6347197899,-78.49514772 21.0318031299001,-78.0722350199999 20.7138862299,-77.23638918 20.6630554898999,-77.11459344 20.3673592299,-77.7258376199999 19.8363856898999,-76.98736953 19.9136094699001,-76.2489014399999 19.9908332499,-75.73631292 19.9461936999,-75.2237244 19.9015541499001,-75.1685562 19.9307670699001,-75.1591796399999 19.9606933299001,-75.16765602 20.0121364299,-75.0944213999999 20.0528221899,-75.13974 19.9628715099,-75.15861516 19.8900814899001,-75.08528136 19.8930397899001,-74.2666778999999 20.0636101299,-74.13250734 20.1936073899,-74.22736356 20.3149261299001,-74.98500066 20.6933327499001,-75.73667904 20.6969413899001,-75.61681362 21.0704136698999,-76.25771334 21.1898594199,-76.89861306 21.3093051699,-77.0619506399999 21.5849991099,-77.26583862 21.4808311299001,-77.36431122 21.6140957498999,-77.14001466 21.6527748699,-77.52917484 21.9102745899,-77.40501408 21.6480522099,-78.0840149399999 22.0830994299001,-78.7905577799999 22.3949965899,-79.2590331599999 22.3726387899,-80.0376434999999 22.9512482498999,-80.7652842599999 23.0299975899001,-81.49292502 23.1087469299001),(-74.03652954 22.6202754099,-73.8677826 22.5122185299001,-73.9565886599999 22.4625664299001,-74.27639772 22.1705551299,-73.86750792 22.4694442299,-73.8515320199999 22.7283324699001,-74.03652954 22.6202754099),(-78.27771762 22.4427757899,-78.34973148 22.5397185699001,-78.69348144 22.5331917699001,-78.42529296 22.4124985299001,-78.27771762 22.4427757899),(-77.9472350999999 22.0983313899001,-77.7055663799999 21.9086074299001,-77.65257258 22.0686092499,-77.9472350999999 22.0983313899001),(-71.8251647399999 21.7753201299,-71.6582718 21.7402019499,-71.65940094 21.8255404899,-71.84745018 21.8546162499,-71.8251647399999 21.7753201299),(-73.00750734 21.3237476499001,-73.25848386 21.1349964099001,-73.53063198 21.1857623499001,-73.6627807799999 20.9152756299001,-73.14972678 20.9738883099001,-73.00750734 21.3237476499001),(-72.7844544 19.9422188499001,-73.41806034 19.8197212899001,-73.40764626 19.6343040099001,-72.72334296 19.4549980899001,-72.8002929599999 19.0330543299001,-72.3297272399999 18.6834698499001,-72.36875916 18.5256939098999,-72.7366714199999 18.4245816099,-73.4866752599999 18.5459013399,-74.2366791 18.6672210699001,-74.46778866 18.4508324499,-73.88166816 18.0227775099,-73.38639834 18.2619438699001,-72.8158339799999 18.1384716099001,-72.07236486 18.2399979099001,-71.7678680399999 18.0385017699,-71.42388912 17.6041660899,-71.081253 18.2991657099001,-70.69194792 18.4323597699,-70.5075073199999 18.1947212499,-70.15417488 18.2330551299001,-69.8847274799999 18.4690264898999,-68.895279 18.3963851499001,-68.6460495599999 18.2056236699,-68.3229294 18.5990277099001,-68.9238968399999 19.0298595099001,-69.62014764 19.0884703899001,-69.61576842 19.2243729099,-69.23001096 19.1802748899,-69.1579285199999 19.2949982499001,-69.7559814 19.2908325099,-69.94931796 19.6768036299001,-70.2908478 19.6491642699001,-70.9944534 19.9306927298999,-71.66584008 19.8937473699,-71.75418084 19.7058297099001,-72.26931762 19.8240242799,-72.7844544 19.9422188499001),(-67.26639564 18.3654156099,-67.18473054 17.9324988699,-66.56097798 17.9495811399,-65.93722542 17.9666634098999,-65.60278326 18.2345809899,-65.8905640199999 18.4522209699,-66.5152702199999 18.4819250199001,-67.1399764199999 18.5116290699001,-67.26639564 18.3654156099),(-64.6981658999999 18.3968677299,-64.66096494 18.3835659099001,-64.5715485 18.4572219099001,-64.65308382 18.4412098299,-64.6981658999999 18.3968677299),(-63.0532684799999 18.2591171499001,-63.1680260399999 18.1647300099001,-62.99249274 18.2275410099,-62.97348024 18.2723579499,-63.0532684799999 18.2591171499001),(-64.7868195 17.7914753499001,-64.8953780399999 17.6765289698999,-64.5627366 17.7508372899001,-64.7868195 17.7914753499001),(-77.16570282 17.6972197899,-77.1319580399999 17.8788871299001,-76.95153054 17.8293037899001,-76.8329238599999 17.9870815299,-76.2211152 17.9041634499,-76.34167488 18.1497192699001,-76.94528202 18.3944434899,-77.7358398599999 18.5050164099001,-78.21098334 18.4513873898999,-78.37390134 18.2545815099,-78.0572357999999 18.1963882299001,-77.73556518 17.8499983899001,-77.16570282 17.6972197899),(-72.85722354 18.8349990699,-73.30000302 18.9272193699,-72.82583622 18.6955528898999,-72.85722354 18.8349990699),(-81.0921402 19.3331508699001,-81.25605774 19.3535079699001,-81.4012299 19.2854748099001,-81.2619477 19.2651195099001,-81.0921402 19.3331508699001),(-86.9933471399999 20.2555542099,-86.7386169 20.5889548899001,-86.93556984 20.5430545299001,-86.9933471399999 20.2555542099),(-82.89723204 21.4327774299,-82.54306026 21.5897215899001,-82.7158356 21.8902740699,-82.9744567199999 21.9427757499001,-83.08944702 21.7855529499,-82.9350737999999 21.5865955299001,-83.19139866 21.6233997699001,-82.89723204 21.4327774299),(-62.86200336 17.3676604899,-62.6549072399999 17.2085151099,-62.62226478 17.2421797898999,-62.8166046599999 17.4094887099,-62.86200336 17.3676604899),(-61.8815307599999 17.0220813698999,-61.7380599599999 16.9897193499,-61.6705588799999 17.0884704099001,-61.8295859999999 17.1655539699001,-61.8815307599999 17.0220813698999),(-25.33236318 17.0949973899,-25.2813911399999 16.9133300499001,-24.9734745 17.1086788298999,-25.33236318 17.0949973899),(-62.2368736199999 16.7147178699001,-62.17148592 16.6711272699,-62.13861468 16.6904220099,-62.20435716 16.8115463499,-62.2368736199999 16.7147178699001),(-24.35458572 16.6840248099001,-24.3213921 16.4827767099001,-24.0241679999999 16.5722903499,-24.35458572 16.6840248099001),(-61.20555876 16.2672195099,-61.46333694 16.5129146499001,-61.54187004 16.2902488898999,-61.7836150799999 16.3330536099001,-61.68889242 15.9477767499001,-61.56593316 16.2268600899,-61.20555876 16.2672195099),(-22.9622230799999 16.0449981699001,-22.8005562599999 15.9780540099001,-22.66611282 16.0949974899,-22.79861442 16.2352752698999,-22.9622230799999 16.0449981699001),(-61.4522248199999 15.6319428099001,-61.3636169399999 15.1980553299001,-61.2533339999999 15.4613875899,-61.4522248199999 15.6319428099001),(-23.6950034399999 15.2949981099,-23.7895164 15.0654153099001,-23.52583692 14.8961105499001,-23.44472496 15.0061092699,-23.6950034399999 15.2949981099),(-24.39000324 14.8111095099,-24.38257032 15.0461797899001,-24.5244465 14.9183320899,-24.39000324 14.8111095099),(-60.94083402 14.7408333699,-61.17472836 14.8769436099001,-61.0338897 14.4658317099,-60.86083986 14.4027766299,-60.94083402 14.7408333699),(-61.07958594 13.8766661499001,-60.9547271399999 13.7094439899001,-60.9333381 14.1093044499001,-61.07958594 13.8766661499001),(-61.2777785399999 13.2503251899,-61.1841888 13.1291704299,-61.12265022 13.2439146699001,-61.1803436399999 13.3823776899001,-61.2777785399999 13.2503251899),(-59.63111118 13.3349991699,-59.5330581599999 13.0505543499001,-59.42916864 13.1649990699001,-59.63111118 13.3349991699),(-70.0589676599999 12.5397615099,-69.8799438 12.4123582299,-69.97055814 12.5628261699,-70.0600662 12.6276263499,-70.0589676599999 12.5397615099),(-69.1582032 12.3122368299,-68.9700927599999 12.1171540899,-68.7462692399999 12.0396432099001,-68.8803863399999 12.1833429699001,-69.14688102 12.3827800899,-69.1582032 12.3122368299),(-61.6548652199999 12.2363767299,-61.7851524599999 12.0038061099,-61.641468 12.0330294699,-61.6548652199999 12.2363767299),(-63.88493346 11.1756228699,-64.0427857199999 10.9876375299,-64.37834172 11.0569429299001,-64.05555726 10.8572215899,-63.81500238 10.9780539699,-63.88493346 11.1756228699),(-61.07944482 10.8241653099001,-61.66201788 10.7084017299001,-61.47361764 10.5977764299001,-61.45375446 10.2941646699001,-61.90951536 10.0403461299,-61.004448 10.1495818299001,-61.0341681599999 10.6781941299,-60.9092368199999 10.8270130899,-61.07944482 10.8241653099001),(-12.8850003 7.61416626990007,-12.49625106 7.50083304990005,-12.59111214 7.63444416990006,-12.8850003 7.61416626990007),(8.44610976000013 3.27444402990011,8.69527620000002 3.19944432990013,8.86610790000003 3.51721902989999,8.93555442000013 3.73666620990014,8.68610952000006 3.74166624990011,8.44610976000013 3.27444402990011),(-50.49945072 2.07777738990001,-50.4047241 1.87999986990013,-50.37889104 2.1333331299,-50.49945072 2.07777738990001),(-50.05986408 0.643055529900039,-50.30805978 0.506388729899982,-50.25417336 0.341944329900116,-50.05986408 0.643055529900039),(6.68777760000012 0.402222189900044,6.46722215999995 0.259722129900126,6.52388850000006 0.0183333099000151,6.75152730000008 0.226805529900105,6.68777760000012 0.402222189900044),(-49.3978118399999 -5.00999135510938e-08,-49.65097806 0.0773610699000642,-49.8525008399999 -0.0644443700999773,-49.52555856 -0.134444390099986,-49.3978118399999 -5.00999135510938e-08),(-49.36958694 -0.181202630099961,-50.3288954999999 -0.100277870100001,-50.6466674999999 -0.262499990100025,-50.72639472 -0.49777781009999,-50.5574303399999 -0.678611210099859,-50.77500156 -0.644166770099901,-50.7969513 -0.971944430099995,-50.56945038 -1.10194439010002,-50.7811127399999 -1.15194461009992,-50.79058074 -1.20259157009997,-50.8143119399999 -1.32951389009992,-50.72391504 -1.5101422701,-50.57951742 -1.79868065009998,-50.05430982 -1.7084722100999,-49.81298832 -1.81444451009997,-49.75757226 -1.63875011009998,-49.6725006599999 -1.7766668301,-48.8766708 -1.48777799009997,-48.53916936 -0.900277790100006,-48.41027838 -0.262127390099977,-49.36958694 -0.181202630099961),(-51.140007 -0.962222270099915,-50.8136139 -0.576111110099987,-51.07028202 -0.694444550100002,-51.140007 -0.962222270099915),(-51.2768097 -1.02000011009994,-51.19833366 -0.53027789009991,-51.59139642 -0.724817570100015,-51.609726 -0.733889030099988,-51.6427956 -0.818110490100025,-51.90139008 -1.4766667701,-51.2768097 -1.02000011009994),(-50.8577805 -0.283055630100023,-50.5625000399999 -0.0541667301000075,-50.97277836 -0.0900000500999454,-51.02722926 -0.22416665009996,-50.8577805 -0.283055630100023),(-50.43714138 -5.00999135510938e-08,-50.47277832 0.154166709900039,-50.65778358 0.152361129900044,-50.43714138 -5.00999135510938e-08),(-50.34986496 0.021805509900048,-49.8950157599999 -5.00999135510938e-08,-49.6436156999999 0.210277749900001,-49.7038917599999 0.334999929899993,-50.3919448199999 0.189722289899919,-50.34986496 0.021805509900048),(-50.3177796 0.308888769899966,-50.37778098 0.61833324989999,-50.5363923 0.222361149900053,-50.4411163199999 0.171111189899989,-50.3177796 0.308888769899966),(-52.172226 -1.49722241009999,-52.2008361 -1.64666669009995,-51.9151458599999 -1.52027789009998,-52.172226 -1.49722241009999),(-5.79242321999993 -15.9913082301,-5.70045474 -16.0035896301,-5.64563321999998 -15.9574565301,-5.71693140000002 -15.9053306901,-5.79242321999993 -15.9913082301),(-45.32194908 -23.7269477301,-45.44791794 -23.9175014901,-45.24333948 -23.9672241501,-45.32194908 -23.7269477301),(-58.8486175199999 -51.2913893900999,-59.1682663799999 -51.5852813301,-58.99472802 -51.8066710700999,-59.2212524399999 -51.7170868701,-59.7161217599999 -52.1173744700999,-59.34806064 -52.3430557701,-59.44979484 -52.1467400301,-59.0506974 -52.2175025300999,-59.25167082 -51.9911116700999,-58.6469498399999 -52.0672225101,-58.9355582399999 -51.8012543301,-58.42000206 -51.9006996501,-57.73319622 -51.6944466501,-58.13896176 -51.5498618301,-57.7729225799999 -51.5437546101,-57.91542048 -51.3752823501,-58.27479552 -51.4137535701,-58.241394 -51.6501427100999,-58.55028534 -51.4336165701,-58.3245887399999 -51.4160804301,-58.41250614 -51.3234061700999,-58.8486175199999 -51.2913893900999),(-59.78986362 -51.7836857001,-59.21166996 -51.4081993101,-60.02319726 -51.3812561901,-60.1272239399999 -51.4947280101,-60.64361568 -51.3580588700999,-60.16361238 -51.6711159501,-60.63840864 -51.6797257100999,-60.17847822 -51.7122268701,-60.3452834999999 -51.8608399101,-60.4403495999999 -51.7828484301,-60.4397239199999 -51.9620857701,-60.98083488 -52.0619506700999,-60.62458428 -52.2431984301,-60.36805728 -52.1591720901,-59.78986362 -51.7836857001),(-60.9930572399999 -51.9658355301,-60.8908386599999 -51.8258362101,-61.13916774 -51.8352813501,-60.9930572399999 -51.9658355301),(-37.6197929999999 -54.0461158700999,-37.68527988 -54.1752815301,-37.25208288 -54.1522940900999,-37.40833278 -54.2649344901,-36.9913941 -54.3505630101,-36.46861272 -54.5288924300999,-36.1047249 -54.8892364101,-35.92361448 -54.8504219301,-36.09531396 -54.7699356501,-35.7939606599999 -54.7602118701,-36.29021076 -54.2658386301,-36.6626433599999 -54.2751426501,-36.6563950199999 -54.1077804500999,-37.3400745299999 -54.0576076101,-38.0237540399999 -54.0074347701,-37.6197929999999 -54.0461158700999),(3.35254734 -54.4096222700999,3.38389272000006 -54.4535561300999,3.48138432000013 -54.4004935701,3.44436210000003 -54.3839569700999,3.35254734 -54.4096222700999),(-63.8137549799999 -54.7286148501,-64.2872925 -54.6981010700999,-64.69277958 -54.7769470100999,-64.6783446599999 -54.9072265100999,-63.8137549799999 -54.7286148501),(-46.01722716 -60.5863953501,-45.1452789 -60.7661132901,-45.42819984 -60.5490341900999,-46.01722716 -60.5863953501),(-55.4944458599999 -61.1266707500999,-55.24083702 -61.2797242100999,-54.6463927799999 -61.0927810701,-55.40139 -61.0616684301,-55.4944458599999 -61.1266707500999),(-58.9836121199999 -62.2011184701,-58.5836181 -62.2502822301,-58.39972686 -62.0555573301,-58.2288894 -62.1750029900999,-57.5891685 -62.0083350501,-57.65834052 -61.8805618700999,-58.40028378 -61.9386138501,-58.9836121199999 -62.2011184701),(-59.67833706 -62.3638915701,-59.4766693799999 -62.4597244701,-59.3315316 -62.3684768900999,-59.67833706 -62.3638915701),(-59.56694802 -62.4811172900999,-59.9793091199999 -62.4541702101,-59.6794509 -62.5580597300999,-59.56694802 -62.4811172900999),(-59.8181992199999 -62.6109772100999,-60.0900038999999 -62.4675064101,-60.62972445 -62.5195198400999,-61.169445 -62.5715332701,-60.34389498 -62.6136169101,-60.26778414 -62.7616730301,-59.8181992199999 -62.6109772100999),(-56.5843048199999 -63.0398635701,-56.27944944 -63.1697234901,-56.03250114 -63.0083389101,-56.5843048199999 -63.0398635701),(-56.0102844599999 -63.1327819101,-56.53778076 -63.3372268100999,-56.34972378 -63.4377823701,-55.67538447 -63.3482342601,-55.0010451599999 -63.2586861501,-55.50566481 -63.1957340301,-56.0102844599999 -63.1327819101),(-60.8861159999999 -63.8025055701,-60.73833474 -63.8683394900999,-60.5301436799999 -63.6548652501,-60.7641678 -63.6605606300999,-60.8861159999999 -63.8025055701),(-62.4233397599999 -64.2319488501,-62.7047271 -64.4661254301,-62.5486145399999 -64.5155640501,-62.01430884 -64.2111206901,-62.4805603199999 -64.0433349500998,-62.4233397599999 -64.2319488501),(-63.21750642 -64.5558471501,-63.09444816 -64.3961182101,-63.30708702 -64.4319535101,-63.1033363799999 -64.2811203501,-63.5158385999999 -64.2780608901,-64.22056578 -64.6733398101,-63.655281 -64.8344574500999,-62.76375576 -64.5632019501,-63.21750642 -64.5558471501),(-63.5194472399999 -64.8169555101,-63.32444766 -64.9119568101,-63.11500542 -64.7275084701,-63.5194472399999 -64.8169555101),(-65.94416802 -65.5425110300999,-66.11389164 -65.8816681101,-65.8269500399999 -65.8388977700999,-65.89986426 -65.7063904100999,-65.652237 -65.6813965100999,-65.59445196 -65.5177918100999,-65.94416802 -65.5425110300999),(-66.74056236 -66.1144486100999,-66.76306146 -66.3180694701,-66.56750496 -66.0941771901,-66.74056236 -66.1144486100999),(-69.22889712 -67.5413971701,-68.90362542 -67.7661133101,-68.57347878 -67.7488937900999,-68.3397368999999 -67.5411224901,-68.0459822999999 -67.5336227901,-67.94722746 -67.4225082501,-68.13750456 -67.3283462900999,-67.67615502 -67.1608123701,-67.9180602599999 -66.8944550301,-67.5885466799999 -66.6171569301,-67.80944826 -66.6097259901,-68.51917269 -67.0755615801,-69.22889712 -67.5413971701),(-67.49056998 -66.7111205301,-67.4580688199999 -66.8988952701,-67.2127839 -66.7797241100999,-67.49056998 -66.7111205301),(-67.72389228 -67.6350097700999,-67.74166872 -67.7794495100999,-67.55944824 -67.8111115100999,-67.08639528 -67.6331253501,-67.72389228 -67.6350097700999),(-56.1897277199999 -63.4391708901,-55.9997253 -63.5825043501,-55.70777898 -63.4525070901,-56.1897277199999 -63.4391708901),(-58.25500488 -63.9088897101,-58.4225081999999 -64.1203155501,-58.08388896 -64.0833435500999,-58.2395859 -64.3216781300999,-57.91278078 -64.4452819701,-57.2700042 -64.3827820101,-57.34861758 -64.2972335901,-57.03334038 -64.1725006101,-57.4633407599999 -63.9141692901,-57.7688903999999 -64.0761260901,-57.8377837799999 -63.7952803701,-58.25500488 -63.9088897101),(-57.6925048799999 -63.8065337900999,-57.34777824 -63.9044494701,-57.05500032 -63.8177794701,-57.6925048799999 -63.8065337900999),(-56.85986322 -64.3411177701,-57.4322281199999 -64.4525147300999,-57.32444772 -64.5544586301,-56.85986322 -64.3411177701),(-59.81305698 -65.1072235101,-59.4619446599999 -65.2608337100999,-59.5150070399999 -65.1211241900999,-59.81305698 -65.1072235101),(-62.3272248 -69.1075134501,-62.38195038 -69.2761230501,-62.06139378 -69.7222289300999,-61.7141723399999 -69.4719466701,-62.3272248 -69.1075134501),(15.36034392 -70.0289001501,15.9337062 -70.1750030900999,16.36315164 -70.0372314500999,16.1228523600001 -69.8813933901,15.36034392 -70.0289001501),(13.20064542 -70.1000289501,12.9806442000001 -70.0366820900999,12.4817428800001 -70.1105652501,13.1025924 -70.1686400901,13.20064542 -70.1000289501),(-3.20472233999999 -70.3300018100999,-3.32916695999995 -70.4797286901,-2.69222255999989 -70.4408416701,-2.76242921999994 -70.2871857501,-3.20472233999999 -70.3300018100999),(2.68511814000004 -70.4374999701,2.64538385999992 -70.5641783901,2.92260600000003 -70.6286164101,3.32494920000005 -70.4651566101,2.68511814000004 -70.4374999701),(-60.81406398 -70.6613312301,-60.6204223199999 -70.5716780901,-60.7550049 -70.4769592101,-61.15917204 -70.5758362701,-60.81406398 -70.6613312301),(-6.37764695999994 -70.4802627500999,-5.97750084 -70.5747222500999,-5.96985245999997 -70.4179534101,-6.37764695999994 -70.4802627500999),(-3.45250026000002 -70.6788940101,-3.29138891999986 -70.8902892501,-2.72277791999994 -71.0405579301,-2.00249999999994 -70.8019562301,-2.72750012999995 -70.7404251201,-3.45250026000002 -70.6788940101),(-60.9554214 -70.9352874501,-60.53553018 -71.0563507701,-60.6247253999999 -70.8850098501,-60.9554214 -70.9352874501),(-20.8747243799999 -74.6541748400999,-20.1466674 -74.8616791101,-20.15458686 -74.6826476901,-20.58639138 -74.4625091300999,-20.32125084 -74.2375030101,-20.4049683 -74.1183167301,-21.00387483 -74.2824936501,-21.60278136 -74.4466705701,-20.8747243799999 -74.6541748400999),(-49.01824698 -78.2980600701,-49.87583928 -78.4791716901,-50.5509757199999 -78.9441680300999,-50.5015297199999 -79.0837555100999,-50.7033387 -79.2368163500999,-50.59229652 -79.5438232700999,-51.13889316 -79.7644499900999,-51.78236391 -79.9520873901,-52.42583466 -80.1397247901,-53.21930697 -80.2163925501,-54.01277928 -80.2930603100999,-54.9095841 -80.7125015300999,-54.3430557 -80.8972321100999,-53.62361145 -80.9094543800999,-52.9041672 -80.9216766500999,-52.0035324428571 -80.8763188100999,-51.1028976857143 -80.8309609701,-50.2022629285714 -80.7856031301,-49.3016281714285 -80.7402452901,-48.4009934142857 -80.6948874500999,-47.5003586571428 -80.6495296100999,-46.5997238999999 -80.6041717700999,-45.78842934 -80.5075988900999,-44.97713478 -80.4110260101,-44.16584022 -80.3144531301,-44.5697937 -80.0941696701,-43.6638947399999 -80.0555573300999,-43.38472752 -79.8219452301,-43.46611794 -79.4702911101,-44.02271277 -79.4006004201,-44.5793076 -79.3309097301,-43.83042138 -79.2355651701,-43.8233337 -78.9841766301,-44.69819643 -78.9211922001,-45.57305916 -78.8582077700999,-44.8309745999999 -78.7752190401,-44.08889004 -78.6922303101,-43.89000696 -78.5280609501,-43.91403192 -78.3452911100999,-44.67701718 -78.1793136500999,-45.44000244 -78.0133361901,-46.37153241 -77.9745865101,-47.30306238 -77.9358368301,-48.16065468 -78.1169484500999,-49.01824698 -78.2980600701),(-38.93201631 -78.6471557900999,-37.9325026799999 -78.6655579100999,-38.706113745 -78.6176415051,-39.4797248099999 -78.5697251000999,-40.253335875 -78.5218086950999,-41.02694694 -78.4738922901,-41.9305572 -78.5919494301,-40.93104357 -78.6103515500999,-39.93152994 -78.6287536701,-38.93201631 -78.6471557900999),(-60.1801414199999 -79.7051468300999,-60.6950073 -79.6100006300999,-61.4186171999999 -79.7066802501,-61.7894515799999 -80.1244507100999,-62.5500030599999 -80.2588959500999,-63.446115132 -80.2385071341,-64.3422272039999 -80.2181183181,-65.238339276 -80.1977295020999,-66.1344513479999 -80.1773406861,-67.03056342 -80.1569518701,-66.55028535 -80.3034820400999,-66.07000728 -80.4500122100999,-65.12542722 -80.4405669801,-64.18084716 -80.4311217500999,-63.40186308 -80.5662129501,-62.622879 -80.7013041500999,-61.84389492 -80.8363953501,-61.2973670399999 -80.7633438801,-60.7508391599999 -80.6902924100999,-60.1951751999999 -80.2278290300999,-60.1801414199999 -79.7051468300999),(13.1559715800001 37.4912452299001,13.7977772400002 37.2105508899002,14.4395828999999 36.9298565499002,15.0813885600001 36.6491622099001,15.3166656600001 37.0088882499,15.0927066 37.3483237899001,15.2197209 37.7644423899001,15.6479367600001 38.2645759899,15.54583176 38.2969398099001,14.66847135 38.1345806199001,13.79111094 37.9722214299,13.3186102200001 38.2174950099001,12.92361066 38.0248604499001,12.73361022 38.1397171899001,12.43079766 37.8032570499001,12.6561097800001 37.5597840099,13.1559715800001 37.4912452299001),(20.6433296999999 37.8983307098999,20.83610916 37.6463852499,20.99249658 37.7252731299001,20.6433296999999 37.8983307098999),(28.2072220200001 36.4424896299,27.8044434000001 36.2694396099001,27.7312489200001 35.9130516699001,28.06360632 36.1119307899,28.2072220200001 36.4424896299),(14.56971174 35.8692092499001,14.3648976600001 35.9918059899001,14.3371677600001 35.8828316499001,14.5200891600001 35.8011017499,14.56971174 35.8692092499001),(27.2297210400001 35.8254127298999,27.06694218 35.6066626899001,27.14221962 35.3997192099001,27.2297210400001 35.8254127298999),(33.7590675000001 35.4761161599,32.93209836 35.2636260699,32.27861016 35.0954131899001,32.4058266000001 34.7498589099,32.71388238 34.6402740099001,33.3690224400001 34.7265244299,33.68138508 34.9668006699001,34.08527376 34.9616622099,33.9213866400001 35.2727736699001,34.5860366399999 35.6886062499,33.7590675000001 35.4761161599),(26.13583188 34.9972878099,26.30110932 35.2830505899001,25.7840271 35.1138878499,25.76572614 35.3299598499,25.04640393 35.3406715599001,24.32708172 35.3513832699,24.1070652 35.4922141899,24.1763877000001 35.5888862499,23.8485393 35.5229835699,23.7418727400001 35.6863173699,23.52055356 35.2949980899001,23.6819419200001 35.2244415099,24.39249804 35.1888846699001,25.0169410800001 34.9308319899001,25.57638648 34.9640598999002,26.13583188 34.9972878099),(23.0440941000001 36.1362457299001,22.9569435000001 36.3774948699001,22.9116650400001 36.2011071099,23.0440941000001 36.1362457299001),(10.7351379 33.8904152499001,10.8649998 33.6386109099,11.05263702 33.8076325299,10.7351379 33.8904152499001),(25.45277022 36.9183196299001,25.5418720200001 37.1976317499,25.3419399000001 37.0734672099,25.45277022 36.9183196299001),(27.0669403800001 37.7272185699,26.66763504 37.7912406099001,26.58110814 37.6872101499001,26.8180504200001 37.6366576899,27.0669403800001 37.7272185699),(24.9602776200001 37.6855545099,24.9627762000001 37.8724974699,24.69458016 37.9626349899,24.9602776200001 37.6855545099),(24.56124696 38.1443023299,24.2582607000001 38.2172851299001,24.15388878 38.6466598299001,23.5919419200001 38.7647171499,23.3044434000001 39.0372848499001,22.8328437600001 38.8291243899,23.1980533200001 38.8317984699,23.5458050400001 38.5085143299,23.64221952 38.4188842299001,23.7121428599999 38.4097863099,24.0499992599999 38.3658294099001,24.38721846 37.9936065099,24.57583236 38.0041656699,24.56124696 38.1443023299),(26.08846848 39.0743713299,26.5218010200001 38.9733200499001,26.61861042 39.0240211899001,26.41999428 39.3258286299001,26.17832952 39.3749848299,25.8348560400001 39.1800651699,26.0654124600001 39.0845757099,26.25708006 39.2034606699,26.08846848 39.0743713299),(25.86332898 38.2398490299001,26.0147208600001 38.1494370098999,26.15958018 38.5420722699,25.8658313400001 38.5849990299001,25.99166484 38.3438796699001,25.86332898 38.2398490299001),(25.3558272600001 39.7863845499001,25.4416656600001 40.0047150099,25.04763612 39.9866561499001,25.05443958 39.8605499499001,25.26305202 39.9123496299001,25.3558272600001 39.7863845499001),(26.0124282 40.1540221299001,25.7766647399999 40.2122116299,25.73166654 40.0930404699001,26.0124282 40.1540221299001),(24.7733307 40.6316604099,24.64319232 40.7972182899001,24.5094413400001 40.6580505699,24.64360812 40.5708312099001,24.7733307 40.6316604099),(20.7934704 38.0632591299,20.5711097400001 38.4680481699001,20.3425675200001 38.1779097699,20.7934704 38.0632591299),(20.7220802400001 38.6271476499,20.70138546 38.8347168099,20.5431919200001 38.5661049699,20.7220802400001 38.6271476499),(19.9250182800001 39.4966736499,19.85499954 39.8183287899001,19.6745815800001 39.6759682299,19.9250182800001 39.4966736499),(17.18360892 42.9186095498999,16.6861076400001 42.9908295099,16.8661080000001 42.8977738299001,17.18360892 42.9186095498999),(16.8872184000001 43.2977752299,16.7761078200001 43.3594435899001,16.4055538800001 43.3260382899001,16.6872214800001 43.2616654299001,16.8872184000001 43.2977752299),(14.7336102 44.9399947899001,14.5391644800001 45.2394409899001,14.4363880800001 45.0699958299001,14.7336102 44.9399947899001),(1.37194434000003 38.8308257498999,1.60291656000004 39.0938835099001,1.29416652000009 39.0313873299001,1.21194432000004 38.8983306099001,1.37194434000003 38.8308257498999),(8.37152766000008 39.3729133899,8.40833190000006 38.9585380899001,8.50538070000005 39.0610275698999,8.64638712000004 38.8902739899,8.90208252000014 38.9026336899,9.01354032000006 39.2631911499001,9.56506823999996 39.1456183899,9.71360964000007 40.0405503099001,9.62333208000007 40.2518730099,9.82416527999999 40.5272179299,9.51045030000012 40.9203759099001,9.63388818000004 40.9891663299001,9.56249802000013 41.1177748899001,9.23305518000012 41.2547149299001,8.57972142000006 40.8399963699,8.22805398000003 40.9383964299001,8.17833329999996 40.6363830699001,8.45722206000011 40.3213882899,8.39597129999999 39.9013138299,8.5572205200001 39.8449936299,8.37152766000008 39.3729133899),(4.27638816000001 39.8063888499,4.17444425999997 40.0502776899001,3.79694412000003 40.0172196099001,4.27638816000001 39.8063888499),(3.47999975999994 39.7163848899001,2.98777770000004 39.9111099699,2.38916627999998 39.5249939499,2.69444412000007 39.5519408499001,3.06027773999995 39.2633324499001,3.47999975999994 39.7163848899001),(9.45958229999997 42.9880485099001,9.34680366000003 43.0004119899,9.28888793999994 42.6749953899001,8.66527740000004 42.5111084499,8.65944288000009 42.0083313699,8.62722198000006 41.9066619699001,8.80236054000011 41.9004134499,8.72583192000013 41.7294388299001,8.91711719999995 41.6856880299,8.7904148400001 41.5578423099,9.2196522000001 41.3672867499,9.55256850000012 42.1183318899,9.45958229999997 42.9880485099001),(5.13666630000006 52.3815231099001,5.42222172000004 52.2641602298999,5.61194424000013 52.3697205099,5.85042515999999 52.5242499699,5.86070009999997 52.5309067298999,5.80349880000006 52.5494040699001,5.64361092000007 52.6011047499,5.13666630000006 52.3815231099001),(5.48354105999999 52.5727729299001,5.06484738 52.6344643299001,5.04903941999999 52.6367949699,5.05048950000008 52.6302260499,5.09333328000008 52.4361037899001,5.48354105999999 52.5727729299001),(12.29055408 56.1288833499,11.84708214 55.9555550499,12.0409707599999 55.9216651899001,12.0529051200001 55.7511101499001,11.91416454 55.9297180299001,11.79444024 55.6616593299,11.67055506 55.8141632499001,11.7683325000001 55.9634703698999,11.27333268 55.9916610699001,11.3179469400001 55.9739226099001,11.5161103799999 55.8951339099001,11.34333234 55.7474975499001,10.87972074 55.7342986899001,11.08638864 55.6663855899001,11.2454157600001 55.2020759499001,11.7308330999999 55.2036055899001,11.73055464 55.0605545499001,12.0719433600001 54.9686049699001,12.17874906 55.1184691899001,12.02555466 55.1694412299001,12.4622211600001 55.2895775499001,12.19235994 55.4824257699001,12.5979843600001 55.7025641499,12.55887504 55.8672371499001,12.61729044 56.0401343499,12.2965781400001 56.1272471499,12.29055408 56.1288833499),(14.67874908 55.1008300899001,15.0424995600001 54.9947204498999,15.1376371200001 55.1413878699001,14.7452754600001 55.2940253499,14.67874908 55.1008300899001),(12.5564574599999 54.9637451499,12.31194312 55.0352706699001,12.1836108599999 54.8802719499,12.5564574599999 54.9637451499),(12.16819278 54.8377037499001,11.8505869200001 54.9547843899,11.7109719000001 54.9391632699,11.96680446 54.5619392499,12.16819278 54.8377037499001),(13.2447204000001 54.6566619099001,13.51660734 54.5133705699001,13.14696222 54.5456047899001,13.2638884199999 54.3799972299001,13.11881832 54.3367309899,13.2680548800001 54.2549973099001,13.7291661 54.2751349899,13.5772839000001 54.4569358899001,13.6745128800001 54.5665931499,13.2447204000001 54.6566619099001),(11.6569443600001 54.9038848899,11.23972128 54.9572219499001,10.9898910000001 54.7908477699001,11.45492928 54.6198578499,11.8572206400001 54.6863822499,11.6569443600001 54.9038848899),(10.7147217600001 54.7249985499001,10.95208272 55.1593018299001,10.68194394 54.9086075499001,10.7147217600001 54.7249985499001),(10.0000000800001 54.9837188499001,9.63145728000001 55.0490226699,9.93166542 54.8613852699,10.0693044000001 54.8738785299,10.0000000800001 54.9837188499001),(10.78333182 55.1240920299001,10.6602764400001 55.5876350498999,10.4737491000001 55.4376334899,10.31847102 55.6144408299,10.00030428 55.5412636299001,9.68819525999999 55.4982452499,9.67972086000009 55.4970779499001,9.68311602 55.4941176699001,10.1527766999999 55.0844421699,10.78333182 55.1240920299001),(16.7659015500001 56.7791634099,17.1020813399999 57.3494415699,16.76117898 56.9679145599001,16.42027662 56.5863875499001,16.4297217600001 56.2088852499,16.7659015500001 56.7791634099),(18.25444404 57.0791625699001,18.1445808600001 56.9147872899001,18.71319204 57.2443008699001,19.00388718 57.8988876098999,18.68597028 57.9148559499001,18.1152743399999 57.5252724099001,18.25444404 57.0791625699001),(22.1940918000001 58.1452370499,22.03777692 57.9083251899001,22.37291334 58.2213783099001,23.3281899 58.4469375699001,22.91124528 58.6167983499,22.3743009600001 58.5617313099001,21.8373566399999 58.5066642699,22.0069427399999 58.3566589299001,21.8445091200001 58.2891616299,22.1940918000001 58.1452370499),(23.05902474 58.6045799499,23.37610626 58.5330504699001,23.2474593600001 58.6710510699,23.05902474 58.6045799499),(22.9297179600001 58.9824904898999,22.5758286000001 59.0686035699,22.0443039 58.9426269698999,22.5652732199999 58.6866531099001,23.0452767 58.8363799899001,22.9297179600001 58.9824904898999),(22.6011085200001 59.9833297299001,22.82444388 60.2272185699001,22.58280756 60.2015190699,22.4466629400001 60.2158317699,22.6011085200001 59.9833297299001),(19.94388588 60.0427704099,19.9999999254948 60.2273926039255,20.0252761200001 60.3105544299001,20.1669426 60.1630516299001,20.2774962600001 60.2741622099001,19.9999999254948 60.3465611584984,19.82499696 60.3922195299,19.9373588999999 60.2918014899001,19.81291572 60.1866645699,19.64846988 60.2595787898999,19.94388588 60.0427704099),(11.6827956000001 58.2808722699,11.67319386 58.2855492099001,11.66249376 58.2742729299001,11.4649983 58.0661086899,11.7802180800001 58.2036513699001,11.81242944 58.2177046899001,11.78451918 58.2313042299,11.6827956000001 58.2808722699)))', 'ICCAT', 'International Commission for the Conservation of Atlantic Tuna', 'Yes', 'Y'),('SRID=4326;MULTIPOLYGON(((80.0013492004111 -45.9761710696888,80.0013492004111 -46.9558324696889,80.0013492004111 -47.9354938696889,80.0013492004111 -48.9151552696889,80.0013492004111 -49.8948166696889,80.0013492004111 -49.9965428199498,80.0013492004111 -50.8744780696889,80.0013492004111 -51.6989104336889,80.0013492004111 -52.5233427976889,80.0013492004111 -53.3477751616888,80.0013492004111 -54.1722075256889,80.0013492004111 -54.9966398896889,81.0013491949111 -54.9966398896889,82.0013491894112 -54.9966398896889,83.0013491839112 -54.9966398896889,84.0013491784112 -54.9966398896889,85.0013491729112 -54.9966398896889,86.0013491674112 -54.9966398896889,87.0013491619111 -54.9966398896889,88.0013491564111 -54.9966398896889,89.0013491509111 -54.9966398896889,90.0013491454112 -54.9966398896889,91.0013491399112 -54.9966398896889,92.0013491344112 -54.9966398896889,93.0013491289113 -54.9966398896889,94.0013491234113 -54.9966398896889,95.0013491179111 -54.9966398896889,96.0013491124111 -54.9966398896889,97.0013491069112 -54.9966398896889,98.0013491014112 -54.9966398896889,99.0013490959112 -54.9966398896889,100.001349090411 -54.9966398896889,101.001349084911 -54.9966398896889,102.001349079411 -54.9966398896889,103.001349073911 -54.9966398896889,104.001349068411 -54.9966398896889,105.001349062911 -54.9966398896889,106.001349057411 -54.9966398896889,107.001349051911 -54.9966398896889,108.001349046411 -54.9966398896889,109.001349040911 -54.9966398896889,110.001349035411 -54.9966398896889,111.001349029911 -54.9966398896889,112.001349024411 -54.9966398896889,113.001349018911 -54.9966398896889,114.001349013411 -54.9966398896889,115.001349007911 -54.9966398896889,116.001349002411 -54.9966398896889,117.001348996911 -54.9966398896889,118.001348991411 -54.9966398896889,119.001348985911 -54.9966398896889,120.001348980411 -54.9966398896889,120.955894445866 -54.9966398896889,121.91043991132 -54.9966398896889,122.864985376775 -54.9966398896889,123.819530842229 -54.9966398896889,124.774076307684 -54.9966398896889,125.728621773139 -54.9966398896889,126.683167238593 -54.9966398896889,127.637712704047 -54.9966398896889,128.592258169502 -54.9966398896889,129.546803634957 -54.9966398896889,130.501349100411 -54.9966398896889,131.455894565866 -54.9966398896889,132.41044003132 -54.9966398896889,133.364985496775 -54.9966398896889,134.319530962229 -54.9966398896889,135.274076427684 -54.9966398896889,136.228621893138 -54.9966398896889,137.183167358593 -54.9966398896889,138.137712824048 -54.9966398896889,139.092258289502 -54.9966398896889,140.046803754957 -54.9966398896889,141.001349220411 -54.9966398896889,141.901349220411 -54.9966399076888,142.801349220411 -54.9966399256888,143.701349220411 -54.9966399436889,144.601349220411 -54.9966399616888,145.501349220411 -54.9966399796889,146.401349220411 -54.9966399976888,147.301349220411 -54.9966400156888,148.201349220411 -54.9966400336889,149.101349220411 -54.9966400516888,150.001349220411 -54.9966400696888,150.001349190411 -55.8299997496888,150.001349160411 -56.6633594296888,150.001349130411 -57.4967191096888,150.001349100411 -58.3300787896888,150.001349070411 -59.1634384696888,150.001349040411 -59.9967981496888,151.001348808411 -59.9967981496888,152.001348576411 -59.9967981496888,153.001348344411 -59.9967981496888,154.001348112411 -59.9967981496888,155.001347880411 -59.9967981496888,156.001347648411 -59.9967981496888,157.001347416411 -59.9967981496888,158.001347184411 -59.9967981496888,159.001346952411 -59.9967981496888,160.001346720411 -59.9967981496888,161.001346488411 -59.9967981496888,162.001346256411 -59.9967981496888,163.001346024411 -59.9967981496888,164.001345792411 -59.9967981496888,165.001345560411 -59.9967981496888,166.001345328411 -59.9967981496888,167.001345096411 -59.9967981496888,168.001344864411 -59.9967981496888,169.001344632411 -59.9967981496888,170.001344400411 -59.9967981496888,171.001344168411 -59.9967981496888,172.001343936411 -59.9967981496888,173.001343704411 -59.9967981496888,174.001343472411 -59.9967981496888,175.001343240411 -59.9967981496888,176.001343008411 -59.9967981496888,177.001342776411 -59.9967981496888,178.001342544411 -59.9967981496888,179.001342312411 -59.9967981496888,180 -59.9967981496888,180 -84.3007770265003,179.324545680411 -84.2408840296889,179.513037540411 -84.1536646696888,178.851904740411 -84.1682521396889,178.190771940411 -84.1828396096889,177.328833435411 -84.0938808646888,176.466894930411 -84.0049221196889,175.604956425411 -83.9159633746887,174.743017920411 -83.8270046296888,173.797471500411 -83.8181189296889,172.851925080411 -83.8092332296888,171.906378660411 -83.8003475296889,172.257757920411 -83.5700618296889,171.506361735411 -83.5097133196888,170.754965550411 -83.4493648096888,170.003569365411 -83.3890162996889,169.252173180411 -83.3286677896888,168.379400970411 -83.3857432696887,167.506628760411 -83.4428187496889,168.090369030411 -83.3058787996888,168.674109300411 -83.1689388496889,168.427466280411 -83.0036709496888,167.590811610411 -82.9899227296889,166.754156940411 -82.9761745096888,167.161215600411 -82.9104626296889,166.814429040411 -82.8214351696888,167.350806000411 -82.7872859296888,166.524695280411 -82.7875606096889,165.893866380411 -82.6747753096889,165.263037480411 -82.5619900096888,165.459402900411 -82.4935162096889,165.320807220411 -82.4206019896889,164.398032000411 -82.3449183796889,163.475256780411 -82.2692347696889,163.839560400411 -82.1915827696888,163.767462480411 -82.0803310696888,163.044409500411 -81.9314434396889,162.321356520411 -81.7825558096889,162.277197660411 -81.6608821096889,161.338721130411 -81.5920001596888,160.400244600411 -81.5231182096888,161.345526480411 -81.4694911696889,162.209418120411 -81.2253200896888,161.416083150411 -81.2119953196888,160.622748180411 -81.1986705496888,160.837332480411 -81.0852673096888,160.511084460411 -80.9601986296888,160.847616960411 -80.8953334696888,160.018439040411 -80.7925579696889,160.597128690411 -80.7133838896887,161.175818340411 -80.6342098096889,160.470427410411 -80.6027957596888,159.765036480411 -80.5713817096889,160.358900850411 -80.5368244096889,160.952765220411 -80.5022671096889,160.872198840411 -80.3705989096889,160.185258360411 -80.4077286496889,159.498317880411 -80.4448583896888,158.811377400411 -80.4819881296888,158.068106460411 -80.2872707896888,158.857896300411 -80.2145880496889,159.647686140411 -80.1419053096889,160.437475980411 -80.0692225696888,160.569830700411 -79.9853373496888,160.375525380411 -79.9117366096889,159.751913850411 -79.9471522396888,159.128302320411 -79.9825678696889,159.598028880411 -79.8778469296888,160.168097250411 -79.6622134996888,160.738165620411 -79.4465800696889,160.348868280411 -79.3504649296889,160.510397760411 -79.2206050096889,160.041357900411 -79.1514369496888,160.495520400411 -79.0195095496888,161.161078230411 -78.9420100996889,161.826636060411 -78.8645106496889,162.783026460411 -78.9469997896888,162.902472300411 -78.8050472896889,163.699133670411 -78.6867229396889,164.495795040411 -78.5683985896888,165.357458910411 -78.5435268196888,166.219122780411 -78.5186550496888,166.742072010411 -78.5872356796889,167.265021240411 -78.6558163096889,167.087195280411 -78.4989558496888,166.397330160411 -78.4478312596888,165.707465040411 -78.3967066696888,165.781653300411 -78.2915812696889,165.449988180411 -78.1895075896888,165.704962500411 -78.0881053096889,165.541357800411 -78.0020077096889,165.024939420411 -78.2489558296889,164.930243400411 -78.0345088696888,164.234137320411 -78.1464321496888,164.560217760411 -77.9983074496889,164.531378520411 -77.7156001696888,163.612189080411 -77.6947720096889,163.757071260411 -77.6231167096888,163.614279600411 -77.5525523896888,163.899008640411 -77.4688120696888,163.245200040411 -77.0484478096889,162.343451340411 -76.9474193896889,163.071081900411 -76.7295009496889,162.628455060411 -76.6149226696888,162.933600240411 -76.5817348096888,162.778311540411 -76.3149197296889,162.869833800411 -76.2432413896888,162.344488860411 -76.1694271696888,163.131918660411 -75.9323435896888,162.901221120411 -75.8910227896889,163.064978460411 -75.5347835296889,162.627478380411 -75.4445124496889,162.548849880411 -75.0966579496889,163.213919460411 -75.0210658696888,163.878989040411 -74.9454737896889,163.662894000411 -74.7685253296888,164.143866420411 -74.6147700496889,164.573859060411 -74.7739498096889,164.525244480411 -74.6264430496888,165.336203340411 -74.6676952696888,165.355932960411 -74.5382471896888,164.790396540411 -74.1333857896888,165.511740510411 -74.0950519096889,166.233084480411 -74.0567180296889,165.603308580411 -73.9061519896889,165.998144880411 -73.9266444496889,165.891074040411 -73.8413096896888,166.752112230411 -73.6181117596888,167.613150420411 -73.3949138296889,168.385229820411 -73.6247799496889,168.647711580411 -73.4150477296889,169.080511860411 -73.5261775696888,169.272330120411 -73.0796443696888,169.682989860411 -73.0517207896888,170.203833360411 -72.6758815096889,170.062872660411 -72.6060877696888,170.319403440411 -72.5820017896888,170.316077040411 -72.3053218096888,169.874380980411 -72.3745129096889,170.131323600411 -72.0500575096889,170.991705780411 -71.8543330696888,170.323279200411 -71.2961665696888,170.433585000411 -71.4797680096888,170.263998900411 -71.6574107296888,169.588995840411 -71.4884298496888,168.913992780411 -71.3194489696888,168.238989720411 -71.1504680896889,167.831519040411 -70.9873439896889,167.932715220411 -70.8953258296888,167.768866440411 -70.7794888096889,167.253149880411 -70.7769939196888,166.737433320411 -70.7744990296889,166.473624060411 -70.7090771296888,166.871908980411 -70.7125637296889,166.773016800411 -70.6103298496889,165.822180660411 -70.7167139896889,165.127600530411 -70.5967188796888,164.433020400411 -70.4767237696888,163.528448940411 -70.4678432896888,163.777945320411 -70.6245052096889,163.522192860411 -70.6736538496888,162.746496900411 -70.2776957896888,162.072333180411 -70.4213114896889,162.037054800411 -70.1976940696888,161.892889740411 -70.3493663896889,161.677740960411 -70.2036677296888,160.970251860411 -70.2542201896889,160.324484670411 -69.9576923296889,159.678717480411 -69.6611644696889,158.970618120411 -69.5198680696888,158.262518760411 -69.3785716696889,157.554419400411 -69.2372752696889,157.246222320411 -68.9442302296888,157.108725360411 -68.9870083096888,157.150809180411 -69.1554730096888,156.327612660411 -69.2388088696888,155.592825660411 -69.1699917196889,154.858038660411 -69.1011745696889,154.290320280411 -68.8585979296888,154.565542980411 -68.7926952496888,154.413306000411 -68.6639416096888,154.694693340411 -68.6200496896888,153.779700060411 -68.3422787296889,153.627188580411 -68.3960353696889,153.909277740411 -68.5931789296888,153.685660140411 -68.6303339896888,153.882330660411 -68.7596294296888,153.769964940411 -68.9208919696888,153.115942770411 -68.8426982596889,152.461920600411 -68.7645045496889,151.852759200411 -68.8728343096888,151.243597800411 -68.9811640696889,150.962271480411 -68.8587352696889,151.133230980411 -68.5655300296889,151.002615780411 -68.3921367496889,150.273311760411 -68.3727352096888,149.544007740411 -68.3533336696889,148.814703720411 -68.3339321296889,148.222327140411 -68.1286709296889,148.619147220411 -67.9729702096889,148.022742060411 -67.8426982696889,147.493506240411 -67.9914485596889,146.964270420411 -68.1401988496888,147.146643540411 -67.9911662296889,146.634558480411 -67.7053310896888,145.969763580411 -67.6541835496889,145.304968680411 -67.6030360096889,145.875952620411 -67.1978466496888,145.397330100411 -67.0154659696888,144.586920600411 -67.2439358296889,144.459692820411 -67.0217220496887,143.882895240411 -67.0899211696889,143.401373640411 -66.8497860496888,142.567755480411 -66.9928217896889,141.945532560411 -66.7697688496889,141.370795080411 -66.8369990296888,140.381464032411 -66.7324427536889,139.392132984411 -66.6278864776889,138.402801936411 -66.5233302016889,137.413470888411 -66.4187739256888,136.424139840411 -66.3142176496889,135.642409200411 -66.1839419296888,134.860678560411 -66.0536662096889,135.275809140411 -65.4415828696888,134.995825620411 -65.0403376696889,134.408606400411 -64.9239590296889,134.102926980411 -65.1250469296889,134.186941980411 -65.2593623896889,134.064642780411 -65.4239513296889,134.432471160411 -65.9681179696888,134.253607500411 -66.1967174296888,133.529455980411 -66.0559016296889,132.735426750411 -66.0980502496888,131.941397520411 -66.1401988696888,131.147368290411 -66.1823474896889,130.353339060411 -66.2244961096888,129.676947480411 -66.4747859296888,129.333807720411 -66.7273723696889,129.303336060411 -67.0140772696888,128.869421760411 -67.1386806496889,127.903734990411 -66.9870731296888,126.938048220411 -66.8354656096888,126.989706780411 -66.4565593096889,126.357512220411 -66.2783747896889,125.552786580411 -66.4168484296889,125.191366920411 -66.7328425696889,124.736105700411 -66.7425472696889,124.615836000411 -66.5520107896889,124.290572040411 -66.5103389896888,123.640704000411 -66.6428310496889,122.990835960411 -66.7753231096889,122.987227320411 -66.6474163696889,122.184706500411 -66.5464565296889,121.604994630411 -66.6858913696888,121.025282760411 -66.8253262096889,120.211048980411 -66.8660938696889,119.396815200411 -66.9068615296888,118.582581420411 -66.9476291896889,117.768347640411 -66.9883968496888,117.032507640411 -66.8456050096889,116.189307000411 -66.3668681896889,115.363951470411 -66.4212390796889,114.538595940411 -66.4756099696889,114.432776280411 -66.1781245096889,113.874731820411 -65.9450617696889,113.316687360411 -65.7119990296889,112.508815860411 -65.8287593296888,111.700944360411 -65.9455196296888,110.893072860411 -66.0622799296887,110.631110040411 -66.4853297896888,109.728339030411 -66.6575557696889,108.825568020411 -66.8297817496889,108.315848160411 -66.6133968196887,107.806128300411 -66.3970118896889,107.286810660411 -66.4028407396889,106.767493020411 -66.4086695896889,105.939496188411 -66.3068904256888,105.111499356411 -66.2051112616888,104.283502524411 -66.1033320976888,103.455505692411 -66.0015529336888,102.627508860411 -65.8997737696889,101.791388340411 -65.9896327396888,100.955267820411 -66.0794917096888,100.119849120411 -66.4794932896888,99.2844304204112 -66.8794948696889,98.8569401404111 -66.5606165896889,98.2633122004111 -66.5147639296888,97.5957096604111 -66.7371379096888,97.0916814004112 -66.5447627296889,96.3646076704111 -66.6119853496888,95.6375339404113 -66.6792079696888,94.7298152704112 -66.6425448946889,93.8220966004113 -66.6058818196888,92.9143779304112 -66.5692187446888,92.0066592604111 -66.5325556696889,91.2581889754112 -66.5898486346888,90.5097186904112 -66.6471415996888,89.7612484054112 -66.7044345646889,89.0127781204112 -66.7617275296889,88.7391423004112 -66.7125637696888,88.8352878604112 -66.5147639296888,88.4833592404111 -66.0767299696888,88.2366397204112 -66.0349132696888,88.1039493004113 -66.6509562496888,87.5186221504111 -66.8366213896888,86.9332950004112 -67.0222865296889,86.3667857704111 -67.0990153996889,85.8002765404112 -67.1757442696889,85.0017663004112 -67.1689388296889,84.2032560604111 -67.1621333896889,83.4047458204112 -67.1553279496889,82.6579121404111 -67.3925411296889,82.0158298204112 -67.2503292496889,81.480147120411 -67.4925471496889,82.0606906804112 -67.6690913296888,81.4436253004112 -67.6289455696888,81.3589084804112 -67.7941371496889,80.6149306204111 -67.8944433496888,79.8709527604112 -67.9947495496888,79.1269749004111 -68.0950557496889,78.6223667704111 -68.2767192196889,78.1177586404112 -68.4583826896889,77.8474949404111 -68.6717159896889,78.1283939404111 -68.7751933096889,77.7486178804112 -69.1156246096888,76.9040439304111 -69.2532512596888,76.0594699804112 -69.3908779096889,75.8156956204112 -69.5931102496888,75.0802829404113 -69.5611507096889,74.9823825604112 -69.7513133296889,74.1771763204112 -69.8144351896889,73.3719700804112 -69.8775570496888,72.6294772804113 -70.2367335496889,72.8433444604112 -70.4397746296889,72.5014256404111 -70.4467098496888,72.5227878604112 -70.6336756696889,71.8198765204112 -70.7144938696889,71.8500277804112 -70.8475428496888,71.5004184604111 -70.9604656696888,71.2579258804112 -71.3781749296889,71.4211032604111 -71.5633938496889,71.1165378604112 -71.6344920496889,70.8411472204111 -71.9408810296889,70.1254489504112 -72.1507504096889,69.4097506804112 -72.3606197896889,68.5647190804113 -72.4020016096889,67.9531658404112 -72.2334225196888,67.3416126004113 -72.0648434296889,67.9003513204113 -71.6465846296889,67.6054753204112 -71.5838787496889,68.294264670411 -71.2894718296889,68.9830540204112 -70.9950649096888,69.2485416004112 -70.6614390496888,69.2147433604112 -70.3520138296888,68.6709811804111 -70.3635341896889,68.8499209804111 -70.5218593096888,68.6844700204111 -70.7383967896889,68.3064181804112 -70.7703181696888,68.2744357804112 -70.4419947496889,67.9128024604112 -70.5044948896888,67.6611241204111 -70.4086772896889,67.6722018604111 -70.2683955496887,68.1558445804112 -69.8597804296888,68.7156894004111 -70.0238048896889,69.2111118604112 -69.8586741496888,69.0801303604112 -69.7357494496889,69.3360507604111 -69.6345683896888,68.8219516804112 -69.5428249096888,68.9057224204112 -69.3649226296888,69.7475192404112 -69.3577053496888,69.7638767404112 -69.2278376896889,69.3001621804112 -69.1028300296889,69.7969578604112 -68.9182598296888,69.3927676804113 -68.8389446296888,70.1033542204113 -68.5225460296889,69.6689060404112 -68.1308833096889,69.6461400004112 -67.7525569696889,68.9725254604112 -67.8086635096888,68.2989109204113 -67.8647700496889,67.3949085484112 -67.7948268376888,66.4909061764111 -67.7248836256888,65.5869038044112 -67.6549404136889,64.6829014324111 -67.5849972016889,63.7788990604112 -67.5150539896888,63.2541835804111 -67.5803310796889,62.7294681004112 -67.6456081696888,61.9929441604112 -67.5531093496889,61.2564202204111 -67.4606105296888,60.5198962804113 -67.3681117096889,59.8159321204112 -67.3894969696888,59.1119679604112 -67.4108822296889,58.9019535004112 -67.3608866896889,59.0675648404111 -67.2977534896888,58.9252689004112 -67.1800471696889,58.4350270204111 -67.1875697296889,57.5851620604112 -67.0435649596888,56.7352971004112 -66.8995601896889,56.8789090204111 -66.6986629096889,57.3339108604113 -66.6969311296889,57.3086269804112 -66.5553218896888,56.7912605404112 -66.4703303896888,56.2738941004113 -66.3853388896888,55.6291873804113 -66.0082408696889,54.6791751904112 -65.9241458596888,53.7291630004112 -65.8400508496888,52.8597171904111 -65.9071437796888,51.9902713804112 -65.9742367096888,51.2023685404113 -66.2074291396889,50.4144657004111 -66.4406215696888,50.1693181204112 -66.7274180896888,50.4448155004112 -66.8922053896889,50.4598759204112 -67.0625545096889,50.8499515804112 -67.1338055296888,50.6908328404111 -67.1800471696889,49.7989261804112 -67.0189448296888,49.1530521604111 -67.0872737296889,49.3053044404111 -66.9547816696889,49.1742009004113 -66.8615962096888,48.2646283204111 -67.1590892296889,49.1626652404112 -67.3850567296888,48.2103070204113 -67.6342174096889,47.3876445604111 -67.7189417896889,47.0177258404111 -67.5518657896888,47.4505718404111 -67.4194957696889,46.5527790004111 -67.2759029296888,46.2505863604112 -67.3539439096889,46.3244389204111 -67.6358730496889,45.6673649404112 -67.6835185996889,45.0102909604112 -67.7311641496888,44.5068462604112 -67.9725657496888,43.7997272404112 -68.0525447896889,42.8467167004113 -68.0869991296888,42.2919757804112 -68.3625575296889,41.5195148404112 -68.5240362496889,40.7470539004112 -68.6855149696888,39.9745929604111 -68.8469936896888,39.6361530004112 -69.2256100096888,39.8865497404113 -69.3855448696889,39.5453021404111 -69.4383862096889,39.7031086804111 -69.6472866496888,39.0351704404112 -69.7356121096887,38.6218402204112 -69.9842311696888,38.5518330004112 -69.6996319096889,38.6938465204112 -69.5587397896889,38.5014178804112 -69.5007488296888,38.2433612404111 -69.9875575696888,38.1008746804113 -69.8161709296889,37.1478106804111 -69.6603328696888,37.8553303804112 -69.5293666696888,37.9086445804112 -69.2472775096888,37.1375568004111 -69.4005977296888,36.7239216604111 -69.7267238896889,36.1311175804113 -69.5282528296889,36.1194598804113 -69.3776943496888,36.4882343404111 -69.4444972096888,36.4158772204111 -69.3131038696888,35.6208332404113 -69.1567317496888,34.8813923404111 -68.8742305696889,34.653761640411 -68.5407497896889,34.1417071804112 -68.4814388896888,33.4318379404112 -68.6465923096889,33.3001621804113 -68.7663128296888,33.4417599004112 -68.9524852096888,33.0280597804111 -69.0550472296889,32.9036700604111 -69.2755978096889,32.0574214804112 -69.5100414196889,31.2111729004111 -69.7444850296889,30.6062611204111 -69.7758155596889,30.0013493404111 -69.8071460896888,29.4891879604111 -69.8336726896889,28.5117099304112 -69.9960262096889,27.5342319004111 -70.1583797296889,26.6026156924112 -70.2367152976888,25.6709994844111 -70.3150508656889,24.7393832764112 -70.3933864336888,23.8077670684111 -70.4717220016888,22.8761508604111 -70.5500575696887,21.9065715724113 -70.4336680936889,20.9369922844112 -70.3172786176889,20.001349205906 -70.204962885517,19.9674129964111 -70.2008891416888,18.9978337084111 -70.0844996656889,18.0282544204112 -69.9681101896888,17.2545943804113 -70.0711655296888,16.4809343404112 -70.1742208696889,15.7072743004112 -70.2772762096889,14.9371326904112 -70.2174159496888,14.1669910804113 -70.1575556896888,13.4543446204112 -70.2186671296888,12.7416981604111 -70.2797785696888,11.9650257004111 -70.7283869896888,11.3596189204113 -70.6978389196889,10.7542121404111 -70.6672908496888,9.99337842041125 -70.3804713796889,9.2325447004112 -70.0936519096889,8.68420494041111 -70.0731135496888,9.08837964041116 -70.3133784496889,8.66668788041123 -70.4711696896888,8.11267272041106 -70.3190853496888,7.55865756041105 -70.1670010096888,6.72394068041119 -70.5817348696889,5.94903864041116 -70.6132086496888,5.17413660041113 -70.6446824296889,4.39923456041127 -70.6761562096889,3.53180349041109 -70.7980357846889,2.66437242041108 -70.9199153596889,1.79694135041107 -71.0417949346889,0.929510280411122 -71.1636745096888,0.316679760411191 -71.4106075096889,-0.296150759588855 -71.6575405096888,-0.916984079588886 -71.5817119096889,-0.779345279588838 -71.3803264696889,-1.05198425958885 -71.2753231096889,-1.57226210958886 -71.3800441396889,-2.09253995958888 -71.4847651696888,-2.33448425958888 -71.2811596096888,-2.28392855958886 -71.1703273096888,-3.21490079958888 -71.2321330546889,-4.14587303958889 -71.2939387996889,-5.07684527958885 -71.3557445446888,-6.00781751958887 -71.4175502896889,-6.10184537958885 -71.1432430696887,-5.4407345395888 -70.8846293296889,-5.96809601958888 -70.6942073296889,-6.49781819958885 -70.8436519696888,-7.02754037958887 -70.9930966096889,-7.68920633958875 -71.3961574696889,-7.33142861958881 -71.6878291096888,-7.84851227958877 -71.7561580096888,-8.3655959395888 -71.8244869096889,-8.64031895958887 -71.7411586096889,-8.93517893958888 -71.2287914896889,-9.64740095958889 -71.0419932496888,-9.44462321958885 -70.9374096496888,-9.54976193958881 -70.9078304296888,-10.4111510395889 -70.9814387296888,-10.0505964595888 -71.1136562896889,-10.5343462795889 -71.3847667996888,-11.0180960995888 -71.6558773096889,-11.5955963995888 -71.5567104496888,-11.5761520795888 -71.2739345896889,-12.2153178595889 -71.3497707496889,-12.1603175995889 -71.6361629896888,-11.3419848595889 -71.9383784896889,-11.5236521995888 -72.2664425296888,-12.4368459295889 -72.5393535796889,-13.3500396595888 -72.8122646296889,-13.9007340895889 -72.8015758696888,-14.4514285195887 -72.7908871096889,-13.7648316595888 -73.0581676696889,-14.5173089995889 -73.1450893696889,-15.2697863395889 -73.2320110696889,-16.0222636795888 -73.3189327696889,-16.4636174695888 -73.5544521496889,-16.9049712595889 -73.7899715296889,-16.0729572595889 -73.7528926096888,-16.9143478195888 -73.9787990896889,-16.3247653795888 -74.0625545296888,-15.4599029095888 -73.9368526096888,-14.5950404395888 -73.8111506896889,-13.7458736995889 -73.9639370296889,-14.5958740645888 -74.1687976846888,-15.4458744295889 -74.3736583396888,-16.2958747945888 -74.5785189946889,-17.1458751595889 -74.7833796496889,-17.3203174795888 -75.0386592496888,-17.7821246695889 -75.2578288696888,-18.2439318595888 -75.4769984896889,-17.7772647595888 -75.7325527696889,-18.4588379995889 -75.7403296696889,-19.1404112395889 -75.7481065696888,-19.8219844795889 -75.7558834696889,-20.3174010895888 -75.8599102396888,-20.8128176995888 -75.9639370096888,-21.3632346595889 -75.9368526796889,-21.9136516195887 -75.9097683496888,-22.8425960155888 -75.9892117096888,-23.7715404115888 -76.0686550696888,-24.7004848075888 -76.1480984296888,-25.6294292035888 -76.2275417896888,-26.5583735995888 -76.3069851496889,-27.3503187595889 -76.4301337096889,-28.1422639195888 -76.5532822696889,-28.9342090795888 -76.6764308296889,-29.8054121995888 -76.8943975696889,-30.6766153195889 -77.1123643096889,-31.5478184395888 -77.3303310496888,-32.3268011995888 -77.4399603496888,-33.1057839595888 -77.5495896496888,-33.8847667195889 -77.6592189496888,-34.5320801395888 -77.8945857496888,-35.1793935595889 -78.1299525496889,-35.8267069795888 -78.3653193496888,-36.2911541395888 -78.8358775096889,-35.9028178195889 -79.0333798096889,-35.1391383445889 -79.1385204646889,-34.3754588695888 -79.2436611196889,-33.6117793945887 -79.3488017746888,-32.8480999195888 -79.4539424296889,-31.8972662695889 -79.3777832896889,-30.9464326195888 -79.3016241496889,-29.9955989695888 -79.2254650096888,-29.0447653195889 -79.1493058696888,-28.0939316695889 -79.0731467296888,-27.1430980195888 -78.9969875896889,-27.9079238695888 -79.1634628846889,-28.6727497195889 -79.3299381796889,-29.4375755695888 -79.4964134746889,-30.2024014195888 -79.6628887696889,-29.5204110595889 -79.7597184496888,-28.8384206995888 -79.8565481296888,-28.1564303395888 -79.9533778096889,-28.0453197595889 -80.1281063296888,-28.3180973395889 -80.2755977896888,-29.2587719781602 -80.3546263268317,-30.1994466167317 -80.4336548639745,-31.1401212553031 -80.5126834011174,-32.0807958938746 -80.5917119382603,-33.021470532446 -80.6707404754032,-33.9621451710174 -80.749769012546,-34.9028198095888 -80.8287975496889,-35.8434944481603 -80.9078260868316,-36.7841690867317 -80.9868546239746,-37.7248437253031 -81.0658831611175,-38.6655183638746 -81.1449116982603,-39.6061930024459 -81.2239402354031,-40.5468676410174 -81.302968772546,-41.4875422795888 -81.3819973096889,-42.2853213595888 -81.6160213396888,-43.0831004395888 -81.8500453696889,-43.9238876995889 -81.8467113196888,-44.7646749595888 -81.8433772696888,-45.6054622195889 -81.8400432196889,-46.4462494795889 -81.8367091696889,-47.2870367395889 -81.8333751196888,-48.1278239995888 -81.8300410696889,-49.0375924195889 -81.8812927996889,-49.9473608395887 -81.9325445296889,-50.8571292595888 -81.9837962596889,-51.7668976795888 -82.0350479896889,-52.6766660995888 -82.0862997196889,-53.5864345195889 -82.1375514496889,-54.5297671795889 -82.2553264396888,-55.4730998395888 -82.3731014296888,-56.2096282495888 -82.5397693696888,-56.9461566595889 -82.7064373096888,-57.6826850695889 -82.8731052496889,-58.4192134795889 -83.0397731896888,-59.1250469395889 -82.9383784696889,-58.7721263395888 -82.6826182696888,-59.0922633595888 -82.5350429296888,-60.0626117245888 -82.4136554296889,-61.0329600895888 -82.2922679296889,-62.0033084545888 -82.1708804296889,-62.9736568195888 -82.0494929296889,-63.9482692315889 -81.9108820936888,-64.9228816435888 -81.7722712576888,-65.8974940555889 -81.6336604216889,-66.8721064675888 -81.4950495856889,-67.8467188795888 -81.3564387496888,-68.5640294995888 -81.2872255096889,-69.2813401195888 -81.2180122696888,-69.9986507395889 -81.1487990296888,-70.9374294355888 -81.0582164056888,-71.8762081315888 -80.9676337816889,-72.8149868275888 -80.8770511576888,-73.7537655235889 -80.7864685336888,-74.6925442195889 -80.6958859096888,-75.3903209695888 -80.4458858896888,-76.0880977195889 -80.1958858696889,-77.0281001545888 -80.1351902296888,-77.9681025895889 -80.0744945896888,-78.9081050245889 -80.0137989496888,-79.8481074595888 -79.9531033096889,-78.8631983995889 -79.9531033096889,-77.8782893395888 -79.9531033096889,-76.8933802795888 -79.9531033096889,-76.0823375395889 -79.6497660496889,-76.2486506995889 -79.4333736496888,-76.7839291195888 -79.3069850296889,-77.6664326245888 -79.2878199796887,-78.5489361295888 -79.2686549296888,-79.4314396345888 -79.2494898796888,-80.3139431395889 -79.2303248296888,-80.5624705795888 -79.2999049096888,-80.4325496395888 -79.6069881496889,-81.0017177395888 -79.4500515496889,-81.5158778395889 -79.1739436096888,-82.1999064595888 -79.0906077496889,-82.8839350795888 -79.0072718896889,-83.4614344795888 -78.6654673696889,-84.0389338795888 -78.3236628496889,-83.5333796695888 -78.3079691896888,-83.0278254595889 -78.2922755296889,-82.2897680395889 -78.4612564696888,-81.5517106195888 -78.6302374096889,-80.8136531995888 -78.7992183496889,-80.1274501795888 -78.7987555096888,-79.4412471595889 -78.7982926696888,-78.7550441395888 -78.7978298296888,-78.1212932095888 -78.6598407496888,-77.4875422795889 -78.5218516696889,-78.1286556595888 -78.2822659096888,-78.9636547345888 -78.1856701246888,-79.7986538095888 -78.0890743396888,-80.6336528845889 -77.9924785546888,-81.4686519595888 -77.8958827696889,-80.6105282395888 -77.8887950896888,-81.4069911595888 -77.6150447896889,-80.4794115595888 -77.6900046839746,-79.5518319595889 -77.7649645782602,-78.6242523595889 -77.839924472546,-77.6966727595889 -77.9148843668317,-76.7690931595888 -77.9898442611174,-75.8415135595888 -78.0648041554032,-74.9139339595889 -78.1397640496889,-74.2933818895888 -78.0618526696888,-73.6728298195889 -77.9839412896889,-72.8468562595888 -77.6549083096889,-73.6642848595888 -77.5562259196888,-74.4817134595888 -77.4575435296889,-75.0428249395888 -77.4849101896889,-75.6039364195888 -77.5122768496888,-76.3118526595888 -77.2871333896888,-77.0197688995889 -77.0619899296888,-77.7483799195888 -76.7319880996888,-78.4769909395889 -76.4019862696888,-78.3522655195888 -76.3295603896889,-78.4697659195889 -76.1942074096888,-77.7358790995888 -76.0306027096887,-77.7703181395888 -75.9175502896888,-77.0747691595889 -75.9906017596888,-76.3792201795889 -76.0636532296888,-76.1658870595887 -76.3811581096888,-75.4431087595888 -76.5450526096889,-74.4736629595889 -76.5779963536889,-73.5042171595889 -76.6109400976888,-72.5347713595889 -76.6438838416888,-71.5653255595889 -76.6768275856888,-70.5958797595889 -76.7097713296889,-70.0983820795888 -76.6539394696888,-69.9986507395889 -76.5577366696888,-69.8236628395889 -76.3889400496889,-69.3839350795889 -76.2947627896889,-68.6160174595888 -76.2294170296888,-67.8480998395889 -76.1640712696889,-67.0801822195888 -76.0987255096889,-66.3122645995888 -76.0333797496888,-65.5563613495888 -75.8767139596888,-64.8004580995889 -75.7200481696889,-64.0445548495888 -75.5633823796889,-63.2886515995888 -75.4067165896889,-63.1767131995889 -75.3072750496888,-63.7986575695889 -75.3133136896888,-64.4206019395888 -75.3193523296889,-63.7601481895889 -75.2247706996889,-63.0996944395888 -75.1301890696888,-63.9728213395888 -74.9901897496889,-63.0467081995888 -74.8907406496889,-63.2219858995889 -74.6014338496888,-62.6286517195888 -74.7575465896889,-62.5861522795889 -74.9675457496888,-62.0936519395888 -74.9386532296889,-61.8612910195889 -74.7950450896889,-62.0230991395888 -74.6311579696888,-61.6116419995888 -74.4160853296889,-61.7375422795889 -74.2922755696888,-61.0410130195888 -74.0918513296888,-61.7562916195888 -73.9160167096888,-60.9764338795888 -73.9564295896889,-60.5901842995888 -73.7080317496888,-60.9179623195889 -73.7060252896889,-60.7730952595889 -73.5422755096889,-61.6222659595889 -73.5345545896889,-61.8346263595889 -73.3682414296888,-61.4344188595888 -73.3452541696889,-61.9017116395888 -73.1319971896887,-61.2843486295889 -73.2458812096889,-60.6669856195889 -73.3597652296888,-60.4614346195888 -73.1464321096888,-60.1655970595888 -73.2844935496889,-59.8385174395888 -73.2218486896889,-59.7942134995889 -72.8794948096889,-60.6222660595889 -73.0239421096889,-60.6139307995888 -72.6436550296889,-61.2455990395889 -72.7025539096888,-61.5080996995888 -72.4775477896888,-60.8579569795888 -72.3907406296889,-60.9899722195889 -72.2826778096889,-60.7942096195889 -72.2358868096888,-61.0655986795889 -72.1594174096889,-60.8574038395889 -72.0046321696888,-61.3328219995889 -72.1318523896889,-61.9387580695888 -72.0899402896888,-62.5446941395889 -72.0480281896889,-62.2539989995888 -71.9972698096888,-62.5236523195887 -71.9183741896889,-61.7225429695889 -71.8380290296888,-60.9214336195888 -71.7576838696888,-61.2575465395888 -71.5375453096889,-61.9375431595888 -71.6257411696889,-61.1083042195888 -71.4189312496889,-61.2669878995889 -71.3251811296888,-60.9707384995888 -71.3629618696889,-61.1006023795888 -71.2342159696887,-60.9454585795888 -71.1581737096889,-61.3886538595888 -70.8119975296889,-62.1344883595888 -70.8575526496889,-62.1996280195888 -70.6996318096888,-61.4887324195889 -70.5181590496888,-62.1750423595888 -70.5381098896889,-62.4977504995889 -70.3674785296889,-62.4800426395889 -70.2278224696889,-61.9410830395889 -70.2314998696888,-62.6268473995888 -69.8535167896889,-62.4721271395889 -69.4601833096889,-63.1414348195888 -69.3589412296888,-63.2447674195888 -69.1468517296889,-63.5703211795889 -69.2392207096888,-63.3676807795888 -69.0512935096889,-63.6218501395889 -68.9711544496888,-63.4647686395889 -68.8997660896889,-63.6967097995889 -68.7392131096888,-63.2106678595888 -68.7985850296889,-63.9654551995888 -68.5300457296889,-63.3511172695889 -68.4710857396888,-62.7367793395889 -68.4121257496889,-63.6128245795889 -68.3539364296889,-64.3692104995889 -68.5053265096888,-63.9899036995889 -68.7132427096888,-64.2422725195889 -68.7111599296888,-63.8600056195888 -68.8344203296889,-64.5890533195889 -68.7704974696889,-65.3181010195888 -68.7065746096889,-65.4372646195888 -68.5939417696889,-65.0949107395887 -68.4372722896889,-65.5916453995888 -68.3516399896889,-64.7687998795889 -68.1147700696889,-65.7178279195889 -68.1494915296888,-65.3374798195888 -67.9736263096889,-65.6105968795889 -67.8817073296888,-65.2969906195888 -67.6668559096889,-65.6104595395887 -67.5615017296888,-65.4133769995887 -67.3364345896888,-64.7624141995888 -67.3089381496888,-64.9190761195888 -67.2212993896888,-64.6712962195888 -67.1543514496888,-64.9327174195888 -67.0140086896889,-64.8364345195889 -66.9500514496888,-64.2930308995888 -66.9219943996889,-63.7496272795888 -66.8939373496889,-63.7775432995887 -66.7739345896889,-64.1830989595887 -66.7313701696888,-64.1025478795888 -66.5667124696888,-63.8050433395889 -66.5825434696889,-63.9733784395888 -66.4694912296888,-63.5874721195889 -66.3717814696888,-63.7672625995888 -66.3508845496889,-63.7033778995889 -66.2258846296888,-63.1582385395888 -66.2974101496888,-62.5744868395888 -66.7264338496888,-62.4364291795889 -66.6679241296888,-62.6744852995888 -66.5482342096888,-62.4456646195888 -66.4373333296888,-62.8632404995889 -66.2511607696889,-62.1714335395889 -66.1804591096889,-61.7051822395888 -66.4654628296889,-61.4444896795889 -66.1325465296889,-61.1121265195889 -66.3253261696887,-60.6825419395888 -66.0781031896888,-60.6098415595888 -65.9278804096888,-61.0103199595889 -65.9122706296888,-61.0780994995888 -66.0597698296889,-61.2892085395889 -65.9122706296888,-61.3371250795889 -66.0605326696889,-61.8714305995889 -66.1706019496888,-62.4560138995888 -65.9097682696888,-62.0908748995888 -65.5700465296888,-61.6822635595888 -65.5339367296889,-62.0778209395888 -65.4514400296889,-61.9778186995888 -65.1886607296888,-61.6293498595889 -65.2260218896889,-60.7734462595888 -64.8184520296889,-59.9175426595888 -64.4108821696888,-59.4974033995888 -64.5333797296889,-59.4917080195888 -64.3147670296889,-58.7772914395889 -64.5344631496889,-58.8789302395888 -64.2150508096889,-58.6447689595888 -63.9783794296888,-58.0149071095888 -63.7198364296889,-57.3850452595888 -63.4612934296888,-57.1501819795888 -63.4681903096888,-57.1147662595889 -63.6397639696888,-56.7189304195889 -63.5900432896889,-57.0114338395888 -63.2453243896888,-57.2753230195888 -63.2078181496888,-58.0890723295889 -63.3691379296889,-58.9028216395888 -63.5304577096888,-59.4311534995889 -63.8881007896889,-59.8365718195889 -63.7701808096889,-60.0228206995888 -63.9412929496889,-60.9699068995889 -64.0297710496888,-60.8533793995888 -64.1383754896889,-60.9419147395889 -64.2745600696888,-61.5824367295888 -64.5174418996889,-62.2229587195888 -64.7603237296889,-62.4571277395888 -64.5914317096889,-62.6100436795887 -64.7565014296888,-62.3286525595889 -64.8604595296889,-62.9370547195888 -64.7995540096889,-62.7671253595888 -64.8448344496889,-63.1525431595889 -64.9244930896889,-62.9944851595889 -65.0800411696888,-63.0892115995889 -65.1325466296889,-63.9397670395889 -65.0414363896888,-64.0506068995888 -65.4232417696888,-63.7328197795888 -65.5147640296888,-64.1375513995888 -65.5228206496889,-64.0467158395889 -65.6742182896888,-64.4029628395889 -65.6261608096889,-64.3147669795889 -65.7775431496888,-64.6586620195888 -65.7419902696889,-64.4217845395888 -65.9475414496889,-64.5647669995888 -66.0269862496889,-64.9219904995887 -65.9307415096888,-65.2806712795888 -65.9875423096888,-65.2139369995888 -66.1667110696888,-65.6928264595889 -66.1257410896889,-66.0957424195888 -66.5633785096889,-66.4847652595888 -66.6111614896889,-66.3981029995888 -66.8808758296888,-66.8719875595888 -67.0764400696888,-66.9894955195889 -66.9008876896888,-67.4844904795888 -67.0758754096889,-67.5900509395888 -67.5567104896889,-67.0112315995888 -67.5412266196889,-66.4324122595888 -67.5257427496889,-66.8976146995889 -67.6752559696888,-66.6785136595889 -67.7317135096889,-67.0218593395888 -67.7808086896888,-66.7124720995889 -67.7983790296888,-66.7846308595888 -67.8995600896889,-67.1558772595889 -68.0092097896888,-66.9150478795888 -68.2186520296888,-66.5908824595887 -68.2415782696889,-67.1601878995888 -68.2953883696888,-66.9362956195889 -68.3751841696888,-67.1723339395888 -68.5026103096889,-66.9304591195889 -68.7678919696889,-67.4869930195888 -68.8126154896889,-66.6585246595889 -69.0199139296888,-67.3956080995889 -69.3492214096889,-68.2033778995888 -69.2656033096888,-68.8314295795889 -69.4121944096889,-68.3380978195889 -69.6775448296889,-68.5009472395888 -69.9401180296888,-68.3899012795889 -70.1168530096888,-67.9549114795888 -70.2624065896889,-67.4015743795889 -71.0351878096889,-67.5329601595889 -71.4564373096889,-66.8633815795888 -71.8874141896888,-66.9507458395888 -72.1911632896889,-66.7989284395889 -72.4048396696889,-67.5872737195887 -72.8317195696888,-68.1053248795889 -72.9428264596889,-68.6233760395888 -73.0539333496889,-69.3110133895888 -73.1228384296888,-69.9986507395889 -73.1917435096888,-70.7183773195888 -73.2638640496888,-71.4381038995889 -73.3359845896889,-72.1578304795889 -73.4081051296889,-73.0444958095888 -73.5585186196888,-73.9311611395888 -73.7089321096888,-74.5668575095888 -73.6850444896889,-75.2025538795888 -73.6611568696889,-76.0940792095889 -73.7661602296889,-76.9856045395889 -73.8711635896888,-77.0912944195889 -73.8175441096889,-76.6367121595889 -73.6347744496888,-76.6992122995888 -73.5436642096888,-77.3956030795889 -73.5930161896888,-78.0919938595889 -73.6423681696889,-78.7883846395888 -73.6917201496888,-78.9575435995888 -73.3911525496889,-79.8258754795888 -73.2201854896888,-80.6942073595889 -73.0492184296889,-80.5256053195888 -73.4481059896888,-81.2539303195889 -73.3625422696888,-81.3015757795888 -73.5040066096888,-81.0357371995888 -73.7039347696889,-81.2276927995889 -73.8367168096889,-82.1328211795889 -73.9419948496889,-82.9106722795888 -73.7984515996889,-83.6885233795889 -73.6549083496888,-84.6434528095888 -73.6059467296889,-85.5983822395888 -73.5569851096889,-85.7251902595888 -73.4947749496888,-85.4799739195889 -73.3510143496889,-85.9750453795888 -73.0390788496889,-86.8394863795888 -73.3350460096889,-87.6397640395888 -73.1561519296888,-88.1737910995888 -73.1671306696889,-88.7078181595888 -73.1781094096887,-88.8238688395888 -73.1070567496888,-88.3368313195889 -72.8198024896889,-88.8794108995888 -72.7249233196889,-89.4219904795888 -72.6300441496888,-89.2357417795889 -72.9028255096889,-89.3197033195888 -73.0510875496888,-90.0897342295888 -73.1882068696889,-90.8597651395888 -73.3253261896889,-91.6551829795889 -73.2388011796888,-92.4506008195888 -73.1522761696889,-93.2639888875888 -73.1827754416889,-94.0773769555888 -73.2132747136888,-94.8907650235888 -73.2437739856889,-95.7041530915888 -73.2742732576888,-96.5175411595888 -73.3047725296888,-97.2897629995889 -73.1938462096888,-98.0619848395888 -73.0829198896889,-98.8342066795887 -72.9719935696888,-99.6501094195888 -72.9998408746889,-100.466012159589 -73.0276881796889,-101.281914899589 -73.0555354846889,-102.097817639589 -73.0833827896888,-102.661843499589 -73.0012295296889,-102.317399279589 -72.8047649296888,-103.174767719589 -72.7319880496889,-103.599770759589 -72.8947688896888,-103.034768219589 -73.3250515096888,-102.315972479589 -73.3375484296888,-101.597176739589 -73.3500453496888,-100.878380999589 -73.3625422696888,-99.9147731395888 -73.4103175096889,-99.1942073995888 -73.6092158896888,-99.3103266595888 -73.6706020096888,-100.235743649589 -73.6620952546889,-101.161160639589 -73.6535884996889,-102.086577629589 -73.6450817446888,-103.011994619589 -73.6365749896889,-102.813096239589 -73.7306071696889,-102.900048479589 -73.8744899896889,-102.286019519589 -73.9335185596888,-101.671990559589 -73.9925471296888,-101.323105919589 -74.4812939296889,-100.784909429589 -74.4853946896889,-100.246712939589 -74.4894954496888,-100.142403839589 -74.6116420096888,-100.504624499589 -74.6671993696889,-100.150391699589 -74.7558070696889,-100.813790519589 -74.8369913896889,-100.175255999589 -74.9240771896888,-99.5367214795888 -75.0111629896889,-99.8671274995888 -75.2472697096889,-100.384972739589 -75.2772723796888,-100.902817979589 -75.3072750496888,-101.410317629589 -75.2674114396888,-101.917817279589 -75.2275478296887,-102.144654359589 -75.0615322096889,-102.740681789589 -75.0442592296888,-103.336709219589 -75.0269862496889,-104.168842199589 -75.0599503096889,-105.000975179589 -75.0929143696888,-105.833108159589 -75.1258784296889,-106.405602659589 -75.2361537196888,-106.978097159589 -75.3464290096889,-107.674487939589 -75.2734665496889,-108.370878719589 -75.2005040896889,-109.067269499589 -75.1275416296888,-109.724488469589 -75.2161570696889,-110.381707439589 -75.3047725096889,-110.955041099589 -75.1516429096888,-110.586709259589 -75.0178310896889,-110.773087739589 -74.9614345696888,-109.942406819589 -74.7700436296888,-110.139413039589 -74.6593486696888,-109.998253979589 -74.4700480696888,-110.196984419589 -74.2661525296889,-111.012551459589 -74.1781093096889,-111.647683259589 -74.2657482496888,-111.387681179589 -74.4654629296888,-111.719979539589 -74.5896312496889,-111.341714039589 -74.7580959496889,-111.934353959589 -74.8099071496888,-112.526993879589 -74.8617183496888,-112.734490499589 -74.8158732496889,-112.635872999589 -74.6833736296889,-113.444070119589 -74.7050486896889,-113.547547439589 -74.6300441296889,-112.932267299589 -74.4456035296888,-113.446992059589 -74.4614420896887,-113.508652859589 -74.3006068696888,-113.183510939589 -74.1836558296889,-114.002267039589 -73.8878261896889,-114.805382939589 -74.1017925496889,-114.696427499589 -74.4678279496888,-115.596154379589 -74.4883815496889,-116.495881259589 -74.5089351496889,-117.395608139589 -74.5294887496889,-117.741707999589 -74.3072749696889,-118.523797199589 -74.4325420096889,-118.344559859589 -74.5342189696889,-118.530327959589 -74.6122676896888,-119.512551479589 -74.6552313496888,-120.494774999589 -74.6981950096888,-121.476998519589 -74.7411586696889,-122.365840769589 -74.7231965296889,-123.254683019589 -74.7052343896889,-124.143525269589 -74.6872722496888,-125.032367519589 -74.6693101096888,-125.921209769589 -74.6513479696889,-126.810052019589 -74.6333858296889,-127.756351259589 -74.7089371696888,-128.702650499589 -74.7844885096889,-129.648949739589 -74.8600398496888,-130.379591459589 -74.8142075296889,-131.110233179589 -74.7683752096888,-131.840874899589 -74.7225428896889,-132.551018909589 -74.7842113396889,-133.261162919589 -74.8458797896888,-134.128380959589 -74.7297756496889,-134.302544819589 -74.5314419296888,-135.113752919589 -74.6044043296889,-135.924961019589 -74.6773667296889,-136.736169119589 -74.7503291296889,-137.019494159589 -75.0103236496888,-137.772556139589 -75.0394882696888,-138.525618119589 -75.0686528896889,-139.278680099589 -75.0978175096889,-140.060326679589 -75.4333736896888,-140.634499679589 -75.4754574196888,-141.208672679589 -75.5175411496889,-141.886864799589 -75.4983760996889,-142.565056919589 -75.4792110496888,-142.744225679589 -75.6347744296888,-143.481164129589 -75.6525508696888,-144.218102579589 -75.6703273096888,-144.205041059589 -75.8364345496888,-145.138665329589 -75.8753215696889,-146.072289599589 -75.9142085896889,-146.285882099589 -76.1011592896889,-145.457009459589 -76.3074047296888,-145.502007659589 -76.4444972296888,-146.488747679589 -76.3663646296889,-147.294343079589 -76.2303363796888,-148.099938479589 -76.0943081296889,-148.758462089589 -76.2069027196889,-149.416985699589 -76.3194973096889,-149.441155559589 -76.4178248296889,-148.911858719589 -76.4583826996889,-148.382561879589 -76.4989405696888,-147.580331039589 -76.4862987196888,-146.778100199589 -76.4736568696889,-146.134499759589 -76.6072704196889,-145.490899319589 -76.7408839696888,-146.100884579589 -76.8386623096888,-145.297539899589 -77.0278255696889,-146.281014539589 -76.9864360096888,-145.843941779589 -77.1040737496889,-146.220467759589 -77.1604625296889,-145.883111219589 -77.3083125496889,-146.238946199589 -77.4617092696888,-147.030877259589 -77.2194911896889,-147.098107439589 -77.3758784296889,-147.491723159589 -77.2956020296888,-147.590996939589 -77.4246227896889,-148.131768419589 -77.5213596496889,-148.672539899589 -77.6180965096889,-149.470330319589 -77.5794917296888,-149.096307059589 -77.6930324896888,-149.475884579589 -77.7625515496888,-150.337182179589 -77.6163469096889,-151.198479779589 -77.4701422696889,-152.059777379589 -77.3239376296888,-152.582421419589 -77.4099056296888,-153.105065459589 -77.4958736296888,-153.237542399589 -77.4316417096888,-152.971032239589 -77.3702555896889,-153.082268819589 -77.2853175496889,-153.788933879589 -77.1733791496889,-154.479302519589 -77.1432887896889,-155.169671159589 -77.1131984296889,-155.860039799589 -77.0831080696888,-156.481988039589 -77.3572628296889,-157.086861749589 -77.2257397096888,-157.691735459589 -77.0942165896889,-157.852761479589 -77.1473324296888,-157.699364759589 -77.5761577696889,-158.078667779589 -77.6724102496889,-158.081444819589 -77.9369899096888,-157.320748439589 -78.1121302696888,-156.560052059589 -78.2872706296889,-156.113396819589 -78.1500483496889,-155.192559389589 -78.1294947796889,-154.271721959589 -78.1089412096889,-153.760613579589 -78.2836619896888,-154.082268899589 -78.4800502696888,-154.993661099589 -78.5992137796889,-155.905053299589 -78.7183772896888,-155.100884579589 -78.8871318796889,-154.296715859589 -79.0558864696889,-153.360951547089 -79.1596710271889,-152.425187234589 -79.2634555846889,-151.489422922089 -79.3672401421889,-150.553658609589 -79.4710246996888,-149.617894297089 -79.5748092571888,-148.682129984589 -79.6785938146889,-147.746365672089 -79.7823783721888,-146.810601359589 -79.8861629296889,-146.166711029589 -80.1726848596888,-145.522820699589 -80.4592067896889,-146.368106759589 -80.6728196296889,-147.213392819589 -80.8864324696889,-148.058678879589 -81.1000453096888,-148.412011319589 -81.3561640696888,-149.329430742446 -81.3055288868317,-150.246850165303 -81.2548937039746,-151.16426958816 -81.2042585211175,-152.081689011017 -81.1536233382603,-152.999108433875 -81.1029881554031,-153.916527856732 -81.052352972546,-154.833947279589 -81.0017177896889,-155.793801419589 -81.0701915896888,-156.753655559589 -81.1386653896888,-156.878655659589 -81.2928249496888,-155.947269299589 -81.3895859896888,-155.015882939589 -81.4863470296889,-154.084496579589 -81.5831080696888,-154.838402999589 -81.9192134296888,-154.077012314589 -82.0835200846889,-153.315621629589 -82.2478267396888,-152.554230944589 -82.4121333946889,-151.792840259589 -82.5764400496888,-152.399499119589 -82.8312999796889,-153.006157979589 -83.0861599096888,-152.942284799589 -83.6469967096888,-153.231438779589 -83.8172695096889,-153.051720839589 -84.0114376696888,-152.370751589589 -84.1671306496889,-151.689782339589 -84.3228236296888,-150.890984699589 -84.4020829096889,-150.092187059589 -84.4813421896888,-149.293389419589 -84.5606014696888,-148.328692723225 -84.5974708533252,-147.363996026862 -84.6343402369616,-146.399299330498 -84.6712096205979,-145.434602634134 -84.7080790042343,-144.469905937771 -84.7449483878707,-143.505209241407 -84.781817771507,-142.540512545043 -84.8186871551433,-141.57581584868 -84.8555565387797,-140.611119152316 -84.8924259224162,-139.646422455953 -84.9292953060525,-138.681725759589 -84.9661646896889,-139.122277379589 -85.2086574496887,-140.048119799589 -85.2497645896889,-140.946882819589 -85.2319558896887,-141.845645839589 -85.2141471896888,-142.744408859589 -85.1963384896889,-143.643171879589 -85.1785297896889,-144.541934899589 -85.1607210896888,-145.440697919589 -85.1429123896889,-146.339460939589 -85.1251036896889,-147.238223959589 -85.1072949896888,-148.136986979589 -85.0894862896888,-148.837365359589 -85.2137488096889,-149.537743739589 -85.3380113296889,-150.238122119589 -85.4622738496888,-151.095157439589 -85.4170874896889,-151.952192759589 -85.3719011296888,-152.809228079589 -85.3267147696889,-153.743780087589 -85.3508267056888,-154.678332095589 -85.3749386416888,-155.612884103589 -85.3990505776888,-156.547436111589 -85.4231625136888,-157.481988119589 -85.4472744496888,-158.322543959589 -85.4142645796888,-159.163099799589 -85.3812547096888,-160.003655639589 -85.3482448396888,-160.844211479589 -85.3152349696889,-161.684767319589 -85.2822250996889,-162.525323159589 -85.2492152296889,-163.462377599589 -85.1568812416889,-164.399432039589 -85.0645472536889,-165.336486479589 -84.9722132656888,-166.273540919589 -84.8798792776889,-167.210595359589 -84.7875452896889,-167.827264019589 -84.8142100396888,-168.443932679589 -84.8408747896889,-169.222008959589 -84.6625453696888,-170.104322999589 -84.6257411596888,-170.986637039589 -84.5889369496889,-171.868951079589 -84.5521327396888,-172.751265119589 -84.5153285296887,-173.633579159589 -84.4785243196888,-174.515893199589 -84.4417201096888,-175.317071174589 -84.4555369546889,-176.118249149589 -84.4693537996888,-176.919427124589 -84.4831706446888,-177.720605099589 -84.4969874896888,-178.479951239589 -84.4326566296888,-179.239297379589 -84.3683257696888,-179.998643519589 -84.3039949096889,-179.998643512389 -83.3317070392889,-179.998643505189 -82.3594191688889,-179.998643497989 -81.3871312984889,-179.998643490789 -80.4148434280889,-179.998643483589 -79.4425555576889,-179.998643476389 -78.4702676872888,-179.998643469189 -77.4979798168888,-179.998643461989 -76.5256919464888,-179.998643454789 -75.5534040760889,-179.998643447589 -74.5811162056889,-179.998643440389 -73.6088283352888,-179.998643433189 -72.6365404648889,-179.998643425989 -71.6642525944889,-179.998643418789 -70.6919647240888,-179.998643411589 -69.7196768536888,-179.998643404389 -68.7473889832889,-179.998643397189 -67.7751011128888,-179.998643389989 -66.8028132424888,-179.998643382789 -65.8305253720889,-179.998643375589 -64.8582375016889,-179.998643368389 -63.8859496312889,-179.998643361189 -62.9136617608889,-179.998643353989 -61.9413738904888,-179.998643346789 -60.9690860200889,-179.998643339589 -59.9967981496888,-178.998643486389 -59.9967981496888,-177.998643633189 -59.9967981496888,-176.998643779989 -59.9967981496888,-175.998643926789 -59.9967981496888,-174.998644073589 -59.9967981496888,-173.998644220389 -59.9967981496888,-172.998644367189 -59.9967981496888,-171.998644513989 -59.9967981496888,-170.998644660789 -59.9967981496888,-169.998644807589 -59.9967981496888,-168.998644954389 -59.9967981496888,-167.998645101189 -59.9967981496888,-166.998645247989 -59.9967981496888,-165.998645394789 -59.9967981496888,-164.998645541589 -59.9967981496888,-163.998645688389 -59.9967981496888,-162.998645835189 -59.9967981496888,-161.998645981989 -59.9967981496888,-160.998646128789 -59.9967981496888,-159.998646275589 -59.9967981496888,-158.998646422389 -59.9967981496888,-157.998646569189 -59.9967981496888,-156.998646715989 -59.9967981496888,-155.998646862789 -59.9967981496888,-154.998647009589 -59.9967981496888,-153.998647156389 -59.9967981496888,-152.998647303189 -59.9967981496888,-151.998647449989 -59.9967981496888,-150.998647596789 -59.9967981496888,-149.998647743589 -59.9967981496888,-148.998647890389 -59.9967981496888,-147.998648037189 -59.9967981496888,-146.998648183989 -59.9967981496888,-145.998648330789 -59.9967981496888,-144.998648477589 -59.9967981496888,-143.998648624389 -59.9967981496888,-142.998648771189 -59.9967981496888,-141.998648917989 -59.9967981496888,-140.998649064789 -59.9967981496888,-139.998649211589 -59.9967981496888,-138.998649358389 -59.9967981496888,-137.998649505189 -59.9967981496888,-136.998649651989 -59.9967981496888,-135.998649798789 -59.9967981496888,-134.998649945589 -59.9967981496888,-133.998650092389 -59.9967981496888,-132.998650239189 -59.9967981496888,-131.998650385989 -59.9967981496888,-130.998650532789 -59.9967981496888,-129.998650679589 -59.9967981496888,-128.998650680589 -59.9967981496888,-127.998650681589 -59.9967981496888,-126.998650682589 -59.9967981496888,-125.998650683589 -59.9967981496888,-124.998650684589 -59.9967981496888,-123.998650685589 -59.9967981496888,-122.998650686589 -59.9967981496888,-121.998650687589 -59.9967981496888,-120.998650688589 -59.9967981496888,-119.998650689589 -59.9967981496888,-118.998650690589 -59.9967981496888,-117.998650691589 -59.9967981496888,-116.998650692589 -59.9967981496888,-115.998650693589 -59.9967981496888,-114.998650694589 -59.9967981496888,-113.998650695589 -59.9967981496888,-112.998650696589 -59.9967981496888,-111.998650697589 -59.9967981496888,-110.998650698589 -59.9967981496888,-109.998650699589 -59.9967981496888,-108.998650700589 -59.9967981496888,-107.998650701589 -59.9967981496888,-106.998650702589 -59.9967981496888,-105.998650703589 -59.9967981496888,-104.998650704589 -59.9967981496888,-103.998650705589 -59.9967981496888,-102.998650706589 -59.9967981496888,-101.998650707589 -59.9967981496888,-100.998650708589 -59.9967981496888,-99.9986507095889 -59.9967981496888,-98.9986507105888 -59.9967981496888,-97.9986507115888 -59.9967981496888,-96.9986507125888 -59.9967981496888,-95.9986507135888 -59.9967981496888,-94.9986507145889 -59.9967981496888,-93.9986507155888 -59.9967981496888,-92.9986507165889 -59.9967981496888,-91.9986507175888 -59.9967981496888,-90.9986507185889 -59.9967981496888,-89.9986507195889 -59.9967981496888,-88.9986507205888 -59.9967981496888,-87.9986507215888 -59.9967981496888,-86.9986507225888 -59.9967981496888,-85.9986507235889 -59.9967981496888,-84.9986507245888 -59.9967981496888,-83.9986507255889 -59.9967981496888,-82.9986507265888 -59.9967981496888,-81.9986507275889 -59.9967981496888,-80.9986507285889 -59.9967981496888,-79.9986507295888 -59.9967981496888,-78.9986507305889 -59.9967981496888,-77.9986507315889 -59.9967981496888,-76.9986507325888 -59.9967981496888,-75.9986507335888 -59.9967981496888,-74.9986507345888 -59.9967981496888,-73.9986507355889 -59.9967981496888,-72.9986507365888 -59.9967981496888,-71.9986507375889 -59.9967981496888,-70.9986507385888 -59.9967981496888,-69.9986507395889 -59.9967981496888,-69.2486506795888 -59.9967981496888,-68.4986506195889 -59.9967981496888,-67.7486505595889 -59.9967981496888,-66.9986504995888 -59.9967981496888,-65.9986505148829 -59.9967981391006,-64.9986505301771 -59.9967981285124,-63.9986505454712 -59.996798117924,-62.9986505607653 -59.9967981073359,-61.9986505760594 -59.9967980967477,-60.9986505913536 -59.9967980861595,-59.9986506066477 -59.9967980755711,-58.9986506219417 -59.9967980649829,-57.9986506372359 -59.9967980543948,-56.9986506525301 -59.9967980438065,-55.9986506678242 -59.9967980332183,-54.9986506831183 -59.99679802263,-53.9986506984124 -59.9967980120418,-52.9986507137065 -59.9967980014536,-51.9986507290007 -59.9967979908653,-50.9986507442947 -59.9967979802771,-49.9986507595888 -59.9967979696889,-49.9986507595888 -59.0876838660525,-49.9986507595888 -58.1785697624162,-49.9986507595888 -57.2694556587797,-49.9986507595888 -56.3603415551434,-49.9986507595888 -55.451227451507,-49.9986507595888 -54.5421133478706,-49.9986507595888 -53.6329992442344,-49.9986507595888 -52.7238851405979,-49.9986507595888 -51.8147710369616,-49.9986507595888 -50.9056569333252,-49.9986507595888 -49.9965428296888,-49.0309088221695 -49.9965428296888,-48.0631668847502 -49.9965428296888,-47.0954249473308 -49.9965428296888,-46.1276830099115 -49.9965428296888,-45.159941072492 -49.9965428296888,-44.1921991350727 -49.9965428296888,-43.2244571976534 -49.9965428296888,-42.2567152602339 -49.9965428296888,-41.2889733228147 -49.9965428296888,-40.3212313853953 -49.9965428296888,-39.3534894479759 -49.9965428296888,-38.3857475105566 -49.9965428296888,-37.4180055731371 -49.9965428296888,-36.4502636357179 -49.9965428296888,-35.4825216982985 -49.9965428296888,-34.5147797608791 -49.9965428296888,-33.5470378234598 -49.9965428296888,-32.5792958860405 -49.9965428296888,-31.6115539486211 -49.9965428296888,-30.6438120112018 -49.9965428296888,-29.6760700737824 -49.9965428296888,-28.708328136363 -49.9965428296888,-27.7405861989437 -49.9965428296888,-26.7728442615243 -49.9965428296888,-25.805102324105 -49.9965428296888,-24.8373603866857 -49.9965428296888,-23.8696184492663 -49.9965428296888,-22.9018765118469 -49.9965428296888,-21.9341345744276 -49.9965428296888,-20.9663926370082 -49.9965428296888,-19.9986506995889 -49.9965428296888,-19.0140090098327 -49.9965428296888,-18.0293673200766 -49.9965428296888,-17.0447256303205 -49.9965428296888,-16.0600839405645 -49.9965428296888,-15.0754422508084 -49.9965428296888,-14.0908005610523 -49.9965428296888,-13.1061588712962 -49.9965428296888,-12.12151718154 -49.9965428296888,-11.1368754917839 -49.9965428296888,-10.1522338020278 -49.9965428296888,-9.16759211227181 -49.9965428296888,-8.18295042251567 -49.9965428296888,-7.1983087327596 -49.9965428296888,-6.21366704300347 -49.9965428296888,-5.22902535324739 -49.9965428296888,-4.24438366349126 -49.9965428296888,-3.25974197373513 -49.9965428296888,-2.27510028397911 -49.9965428296888,-1.29045859422304 -49.9965428296888,-0.305816904466909 -49.9965428296888,0.678824785289166 -49.9965428296888,1.6634664750453 -49.9965428296888,2.64810816480143 -49.9965428296888,3.63274985455756 -49.9965428296888,4.61739154431369 -49.9965428296888,5.60203323406965 -49.9965428296888,6.58667492382578 -49.9965428296888,7.57131661358191 -49.9965428296888,8.5559583033381 -49.9965428296888,9.54059999309406 -49.9965428296888,10.5252416828502 -49.9965428296888,11.5098833726063 -49.9965428296888,12.4945250623625 -49.9965428296888,13.4791667521186 -49.9965428296888,14.4638084418745 -49.9965428296888,15.4484501316307 -49.9965428296888,16.4330918213868 -49.9965428296888,17.4177335111428 -49.9965428296888,18.4023752008989 -49.9965428296888,19.3870168906551 -49.9965428296888,20.001349205906 -49.9965428231962,20.371658472586 -49.996542822216,20.3716585804112 -49.9965428224743,20.5013493444404 -49.9965428215729,21.0013493153365 -49.9965428215729,21.3346276564113 -49.9965428215729,21.5013492862327 -49.9965428215729,22.0013492571288 -49.9965428215729,22.2975967324112 -49.9965428215729,22.501349228025 -49.9965428215729,23.0013491989211 -49.9965428215729,23.2605658084112 -49.9965428215729,23.5013493374553 -49.9965428215729,24.0013493083516 -49.9965428215729,24.2235348844111 -49.9965428215729,24.5013492792478 -49.9965428215729,25.0013492501439 -49.9965428215729,25.1865039604112 -49.9965428215729,25.5013492210399 -49.9965428215729,26.0013493595742 -49.9965428215729,26.1494730364112 -49.9965428215729,26.5013493304705 -49.9965428215729,27.0013493013667 -49.9965428215729,27.1124421124111 -49.9965428215729,27.5013492722627 -49.9965428215729,28.001349243159 -49.9965428215729,28.0754111884112 -49.9965428215729,28.5013492140553 -49.9965428215729,29.0013493525893 -49.9965428215729,29.0383802644113 -49.9965428215729,29.5013493234856 -49.9965428215729,30.0013492943817 -49.9965428215729,30.0013493404111 -49.9965428225468,30.0013493404111 -49.1632039696889,30.0013493404111 -48.3298651096889,30.0013493404111 -47.4965262496889,30.0013493404111 -46.6631873896889,30.0013493404111 -45.8298485296888,30.0013493404111 -44.9965096696888,30.9215664454112 -44.9965096696888,31.8417835504111 -44.9965096696888,32.7620006554113 -44.9965096696888,33.6822177604111 -44.9965096696888,34.5849508289827 -44.9965096696888,35.487683897554 -44.9965096696888,36.3904169661255 -44.9965096696888,37.293150034697 -44.9965096696888,38.1958831032683 -44.9965096696888,39.0986161718398 -44.9965096696888,40.0013492404111 -44.9965096696888,40.7169271204112 -44.9965096696888,41.4325050004112 -44.9965096696888,42.1480828804111 -44.9965096696888,43.035717420411 -44.9965096696888,43.9233519604112 -44.9965096696888,44.8109865004113 -44.9965096696888,45.6986210404112 -44.9965096696888,46.6913570404113 -44.9965096696888,47.6840930404111 -44.9965096696888,48.6768290404112 -44.9965096696888,49.6695650404111 -44.9965096696888,50.6623010404112 -44.9965096696888,51.6550370404113 -44.9965096696888,52.6477730404111 -44.9965096696888,53.6405090404112 -44.9965096696888,54.6332450404113 -44.9965096696888,55.6259810404112 -44.9965096696888,56.6187170404111 -44.9965096696888,57.5929933804111 -44.9965096696888,58.5672697204111 -44.9965096696888,59.5415460604112 -44.9965096696888,60.5158224004112 -44.9965096696888,61.4900987404112 -44.9965096696888,62.4643750804112 -44.9965096696888,63.4386514204112 -44.9965096696888,64.4129277604113 -44.9965096696888,65.3872041004111 -44.9965096696888,66.3614804404111 -44.9965096696888,67.3357567804112 -44.9965096696888,68.3100331204112 -44.9965096696888,69.2843094604112 -44.9965096696888,70.2585858004112 -44.9965096696888,71.2328621404113 -44.9965096696888,72.2071384804113 -44.9965096696888,73.1814148204111 -44.9965096696888,74.1556911604111 -44.9965096696888,75.1299675004112 -44.9965096696888,76.1042438404112 -44.9965096696888,77.0785201804112 -44.9965096696888,78.0527965204113 -44.9965096696888,79.0270728604111 -44.9965096696888,80.0013492004111 -44.9965096696888,80.0013492004111 -45.9761710696888),(37.5773189404112 -46.9115687296888,37.8213489004112 -46.9683772696888,37.7788456804113 -46.8301822696889,37.5773189404112 -46.9115687296888),(68.8821780604111 -49.4022685096889,68.7934254604112 -49.7174045896888,69.2560641604112 -49.5114298696888,69.7568271304111 -49.5996943996888,70.2575901004113 -49.6879589296888,70.3239811204111 -49.5400439296889,69.8421695404112 -49.5505993096889,69.7760685004112 -49.3928233696889,70.4605015804112 -49.4428187296888,70.3103702404111 -49.3799029696889,70.5688389004112 -49.2198383296889,70.3305118804113 -49.0494854296888,69.5841129004111 -49.3031016496888,69.2877567604112 -49.1908046896889,69.6423787204112 -49.1212208296889,69.5837008804111 -48.9490711696889,69.2185581004112 -49.1242077496889,69.1189792204113 -48.9933788896889,69.0026538604111 -49.0871974096889,69.1882846204112 -48.7714320496888,68.9524601404112 -48.8458796896889,69.0802372804112 -48.6936580096888,68.9580066604113 -48.6653224096888,68.7416218204111 -49.0675441096889,68.8821780604111 -49.4022685096889),(73.2360600004111 -52.9911547696889,73.4757908404112 -53.1928188496889,73.7752293004111 -53.1236812096889,73.2360600004111 -52.9911547696889),(-37.6184437195888 -54.0447665896888,-37.6839305995889 -54.1739322496889,-37.2507335995889 -54.1509448096888,-37.4069834995889 -54.2635852096889,-36.9900448195888 -54.3492137296889,-36.4672634395888 -54.5275431496888,-36.1033756195889 -54.8878871296889,-35.9222651995888 -54.8490726496889,-36.0939646795889 -54.7685863696888,-35.7926113795888 -54.7588625896888,-36.2888614795888 -54.2644893496889,-36.6612940795888 -54.2737933696888,-36.6550457395887 -54.1064311696888,-37.3387252495887 -54.0562583296889,-38.0224047595887 -54.0060854896889,-37.6184437195888 -54.0447665896888),(3.35389662041113 -54.4082729896888,3.3852420004112 -54.4522068496888,3.48273360041127 -54.3991442896889,3.44571138041117 -54.3826076896888,3.35389662041113 -54.4082729896888),(-46.0158778795889 -60.5850460696889,-45.1439296195889 -60.7647640096888,-45.4268505595889 -60.5476849096887,-46.0158778795889 -60.5850460696889),(-55.4930965795888 -61.1253214696888,-55.2394877395889 -61.2783749296888,-54.6450434995888 -61.0914317896889,-55.4000407195889 -61.0603191496889,-55.4930965795888 -61.1253214696888),(-58.9822628395888 -62.1997691896889,-58.5822688195889 -62.2489329496889,-58.3983775795889 -62.0542080496889,-58.2275401195889 -62.1736537096888,-57.5878192195889 -62.0069857696888,-57.6569912395888 -61.8792125896888,-58.3989344995889 -61.9372645696889,-58.9822628395888 -62.1997691896889),(-59.6769877795889 -62.3625422896889,-59.4753200995888 -62.4583751896889,-59.3301823195889 -62.3671276096888,-59.6769877795889 -62.3625422896889),(-59.5655987395889 -62.4797680096888,-59.9779598395888 -62.4528209296889,-59.6781016195889 -62.5567104496888,-59.5655987395889 -62.4797680096888),(-59.8168499395888 -62.6096279296887,-60.0886546195888 -62.4661571296889,-60.6283751695889 -62.5181705596888,-61.1680957195889 -62.5701839896889,-60.3425456995889 -62.6122676296888,-60.2664348595889 -62.7603237496889,-59.8168499395888 -62.6096279296887),(-56.5829555395888 -63.0385142896888,-56.2781001595889 -63.1683742096888,-56.0311518595888 -63.0069896296889,-56.5829555395888 -63.0385142896888),(-56.0089351795888 -63.1314326296889,-56.5364314795888 -63.3358775296888,-56.3483744995888 -63.4364330896888,-55.6740351895888 -63.3468849796888,-54.9996958795888 -63.2573368696889,-55.5043155295889 -63.1943847496889,-56.0089351795888 -63.1314326296889),(-60.8847667195888 -63.8011562896889,-60.7369854595888 -63.8669902096888,-60.5287943995888 -63.6535159696889,-60.7628185195889 -63.6592113496888,-60.8847667195888 -63.8011562896889),(-62.4219904795888 -64.2305995696889,-62.7033778195889 -64.4647761496888,-62.5472652595888 -64.5142147696888,-62.0129595595888 -64.2097714096889,-62.4792110395888 -64.0419856696887,-62.4219904795888 -64.2305995696889),(-63.2161571395889 -64.5544978696889,-63.0930988795889 -64.3947689296889,-63.3057377395888 -64.4306042296889,-63.1019870995888 -64.2797710696888,-63.5144893195888 -64.2767116096889,-64.2192164995888 -64.6719905296889,-63.6539317195889 -64.8331081696888,-62.7624064795888 -64.5618526696889,-63.2161571395889 -64.5544978696889),(-63.5180979595888 -64.8156062296889,-63.3230983795888 -64.9106075296889,-63.1136561395889 -64.7261591896889,-63.5180979595888 -64.8156062296889),(-65.9428187395888 -65.5411617496888,-66.1125423595889 -65.8803188296889,-65.8256007595888 -65.8375484896888,-65.8985149795889 -65.7050411296888,-65.6508877195889 -65.6800472296888,-65.5931026795889 -65.5164425296888,-65.9428187395888 -65.5411617496888),(-66.7392130795888 -66.1130993296888,-66.7617121795889 -66.3167201896889,-66.5661556795888 -66.0928279096889,-66.7392130795888 -66.1130993296888),(-69.2275478395889 -67.5400478896889,-68.9022761395889 -67.7647640296888,-68.5721294995889 -67.7475445096888,-68.3383876195888 -67.5397732096889,-68.0446330195888 -67.5322735096888,-67.9458781795889 -67.4211589696888,-68.1361552795889 -67.3269970096888,-67.6748057395889 -67.1594630896889,-67.9167109795888 -66.8931057496889,-67.5871973995888 -66.6158076496889,-67.8080989795888 -66.6083767096889,-68.5178234095889 -67.0742122996889,-69.2275478395889 -67.5400478896889),(-67.4892206995888 -66.7097712496889,-67.4567195395887 -66.8975459896889,-67.2114346195888 -66.7783748296888,-67.4892206995888 -66.7097712496889),(-67.7225429995888 -67.6336604896888,-67.7403194395889 -67.7781002296888,-67.5580989595889 -67.8097622296888,-67.0850459995889 -67.6317760696889,-67.7225429995888 -67.6336604896888),(-90.7526867395888 -68.8014385696888,-90.5931026995889 -68.9244930496889,-90.5008784395888 -68.8133785096888,-90.7526867395888 -68.8014385696888),(-70.8819247795888 -68.8892146696889,-71.6006098795888 -68.9342128696889,-72.2478954595888 -69.2043545296889,-72.1369868395888 -69.3901836496888,-71.6626902595888 -69.5056010896889,-71.7844478395889 -69.6389247496889,-71.6207439595889 -69.7710200896889,-71.8143474595889 -69.9731075296889,-71.3929683595889 -70.2385265296889,-72.3281032795889 -70.4286587296888,-72.4640743795889 -70.5939419296888,-71.7417843295888 -70.6979686996887,-71.0194942795889 -70.8019954696889,-70.5878231395888 -71.1397715896888,-71.2344905995889 -71.0247737296888,-71.6489344795888 -71.1833737096889,-72.2264338795888 -71.1428920696888,-72.8039332795888 -71.1024104296888,-73.1557094395889 -71.1874325296889,-72.4211589595889 -71.3314372096888,-72.8353205995888 -71.4506008096888,-73.6437999595889 -71.3426906296887,-73.4742136795888 -71.6360256496888,-74.1939326995888 -71.4283839496889,-74.4983074795889 -71.4758083696889,-74.4344875795888 -71.6917201696888,-75.1872646795888 -71.5858852096889,-75.4904644195888 -71.7113659096889,-75.2553950395889 -71.7954570496888,-75.4592830195889 -71.8417827496889,-75.3514338595888 -71.9643488896889,-74.7201853795888 -72.0863658496889,-74.0889368995889 -72.2083828096889,-73.5825436195888 -72.0435191896889,-73.8889324195888 -71.8276835296889,-73.3771259095888 -71.8802538796888,-72.8653193995888 -71.9328242296888,-72.2661524995888 -71.6447689696888,-71.8487942395889 -71.9157420496889,-70.9492885195888 -72.0387965296888,-71.4923068495888 -72.1170626896889,-72.0353251795888 -72.1953288496889,-71.2790766895889 -72.1992160396889,-70.5228281995889 -72.2031032296889,-70.9733822395888 -72.4069912096889,-71.6520829795889 -72.3855119296888,-72.3307837195889 -72.3640326496889,-73.0094844595888 -72.3425533696889,-73.1711512795889 -72.4583828296889,-72.4155971395889 -72.7208797096889,-71.6099483395888 -72.6795255496889,-70.8042995395888 -72.6381713896889,-69.9986507395889 -72.5968172296889,-69.2336512795888 -72.5575496896889,-69.0653316595888 -72.3739406896889,-68.3961573595889 -72.2356043896887,-68.4266444995889 -71.9963694496889,-68.1321270595888 -71.8786555696889,-68.0700466795889 -71.6369868496889,-68.3617183195888 -70.7544949096889,-68.6337978595889 -70.3474132096889,-69.0540706795889 -70.1912929096888,-69.5017177195888 -69.4789364296888,-69.9986507395889 -69.2912302696888,-70.0856029795888 -69.2583858496888,-70.0097743795888 -69.0628291696889,-70.1632396795889 -68.8442164696887,-70.8819247795888 -68.8892146696889),(-77.4378291595887 -72.5872738096888,-77.7055904995888 -72.4701929896888,-78.2556087595888 -72.5872738096888,-78.7508861395888 -72.4942180396889,-79.2461635195888 -72.4011622696889,-79.4618540995888 -72.5618525896889,-79.0229656795888 -72.6203243296888,-78.8525477995889 -72.7958842696889,-79.4153224795888 -72.9580318696889,-78.8433773395889 -73.1839381696888,-78.2182399495887 -73.0462963096889,-77.5931025595888 -72.9086544496889,-77.4378291595887 -72.5872738096888),(-75.3886576795889 -73.0554667696889,-76.0911571795888 -73.2048350896888,-75.2776844395889 -73.4259158596888,-74.4642116995888 -73.6469966296887,-74.2692805195889 -73.5335170696889,-74.5054561795888 -73.3282405696889,-74.1844722595888 -73.0612118296889,-74.7505961995888 -72.9357692896889,-75.3167201395888 -72.8103267496889,-75.7142116195888 -72.9476100496889,-75.3886576795889 -73.0554667696889),(-74.0628291595888 -73.3242121696889,-73.7844935395888 -73.3950436096888,-73.4958430195887 -73.1554348096889,-74.0628291595888 -73.3242121696889),(-77.6357357395888 -73.3163006296889,-78.3459865795889 -73.2569209696889,-78.1955958595889 -73.4447718496888,-77.6357357395888 -73.3163006296889),(-90.8328182395889 -72.6644984896889,-91.0319911195889 -72.5303279296888,-91.6179744595888 -72.6062632696888,-91.3269893395888 -72.8867122696889,-91.3617183595888 -73.1569910896889,-90.8506099795889 -72.9150478696889,-90.8328182395889 -72.6644984896889),(-90.3364345795889 -72.9542171296889,-90.2794886995888 -73.0817195896888,-89.4576884395888 -72.9015743296888,-89.9417201395889 -72.8436519496888,-90.3364345795889 -72.9542171296889),(-98.9611599595888 -72.7153254496889,-99.1853267395888 -72.5922634096889,-100.021294799589 -72.6282359596889,-100.857262859589 -72.6642085096888,-100.204209539589 -72.7362910396889,-99.5511562195889 -72.8083735696889,-98.9611599595888 -72.7153254496889),(-94.9319850595889 -72.4950497296889,-95.5158778795889 -72.6447688696888,-94.6954128595889 -72.6128474896888,-94.9319850595889 -72.4950497296889),(-98.6147701195889 -72.5675441896888,-97.7156000995888 -72.4522640896889,-96.9896327395889 -72.5040752896889,-96.2636653795889 -72.5558864896888,-95.6861584195888 -72.3735211096889,-96.5865031195888 -72.2896281496889,-95.8683787195888 -72.2142193096888,-95.9937983995888 -72.0786524896889,-96.6223346395888 -72.1501818796888,-97.2508708795888 -72.2217112696889,-96.3449717395888 -72.0035030296889,-96.6908809795888 -71.8675472296889,-97.3161556195888 -71.8530971896888,-97.4142086395888 -72.0797665096889,-97.6850521195889 -72.1805965696888,-97.8666469195889 -72.1060879096888,-97.7111598595889 -72.0092097496889,-97.8086559595889 -71.9086619296887,-98.1117183595889 -71.8886653696889,-97.9963009195889 -72.1125499096889,-98.1953213395888 -72.1978236496888,-98.5551082195888 -72.1340037496888,-98.2865077195889 -71.8766413696889,-98.8099147795889 -71.8837978096888,-98.8847744395889 -71.7603237496888,-99.3044903395889 -71.9471293696888,-98.8564388395889 -72.1292202496889,-99.6153193795889 -72.1367122096888,-99.6975489595889 -71.9628230296889,-100.209771359589 -72.1281062296889,-100.069550639589 -72.0288630496889,-100.505463839589 -72.0146342296888,-100.068787799589 -71.9372264896888,-100.413109979589 -71.8800440896889,-101.128335179589 -71.9606003296888,-101.843560379589 -72.0411565696889,-102.558785579589 -72.1217128096889,-101.754727514589 -72.1763659846888,-100.950669449589 -72.2310191596889,-100.146611384589 -72.2856723346888,-99.3425533195888 -72.3403255096889,-99.6125423395888 -72.4556056096889,-99.1136562295889 -72.5115748996888,-98.6147701195889 -72.5675441896888),(-75.7444850995888 -71.1767207296888,-74.7780315295888 -71.0388499996888,-73.8115779595889 -70.9009792696889,-73.5985195195887 -70.7596369696889,-73.7825405395888 -70.6480952896888,-74.4533778595889 -70.6406031496889,-74.5336544395888 -70.8197719096889,-74.9844905395888 -70.6680995896888,-75.8067103795888 -70.8746272696889,-76.6289302195889 -71.0811549496889,-76.4206019995889 -71.2046291896889,-75.7444850995888 -71.1767207296888),(-74.4528284995889 -70.0103313496888,-74.8586512795889 -69.8092128496889,-75.6197749795889 -69.8325435496889,-75.8604594595889 -70.0497677296889,-75.3071032795888 -70.0992671896888,-74.7537470995889 -70.1487666496889,-74.4528284995889 -70.0103313496888),(-72.0498439795889 -69.6781550296888,-72.4639370395889 -69.4922726296888,-72.9439327795888 -69.5994961096889,-72.5831081995888 -69.7494899296889,-72.0498439795889 -69.6781550296888),(-105.241158719589 -73.0575497296889,-104.889207059589 -73.2394955296889,-104.566430339589 -73.1706019696889,-105.038659259589 -72.9478237096889,-105.241158719589 -73.0575497296889),(-125.702847629589 -73.4023830196889,-126.304497899589 -73.2161648296888,-126.842339699589 -73.3110248296889,-127.380181499589 -73.4058848296889,-127.081429739589 -73.5374081296888,-127.130402699589 -73.6616831896889,-126.474770699589 -73.6608821896889,-125.699906519589 -73.8867122596889,-124.925042339589 -74.1125423296889,-124.402131269589 -74.1379634596888,-123.879220199589 -74.1633845896889,-123.721428959589 -73.9805996296889,-124.229210939589 -73.6878292696889,-125.090050859589 -73.7247706696889,-125.101197359589 -73.5886012096888,-125.702847629589 -73.4023830196889),(-122.271432119589 -73.5967190296888,-123.155991719589 -73.7295619096889,-122.418938879589 -73.8664333696888,-122.570809559589 -74.0400401296888,-122.450875379589 -74.1878291296889,-122.627679119589 -74.3118525496888,-122.130883439589 -74.3667079096888,-121.232735819589 -74.2997676496888,-120.334588199589 -74.2328273896889,-119.436440579589 -74.1658871296889,-118.550271239589 -73.9235011096888,-119.168099639589 -73.7569973296888,-119.856156569589 -73.7725536496889,-120.544213499589 -73.7881099696889,-121.407822809589 -73.6924144996889,-122.271432119589 -73.5967190296888),(-116.727547859589 -73.9692164296889,-117.239770079589 -74.1861506296888,-116.272271339589 -74.1522762496889,-115.882943399589 -73.9239590296888,-116.727547859589 -73.9692164296889),(-127.607415389589 -74.3158809496888,-128.159508959589 -74.2528316296888,-127.439217719589 -74.5800410296889,-127.053658619589 -74.4961635496889,-127.055321819589 -74.3789302696888,-127.607415389589 -74.3158809496888),(-130.798089179589 -74.3694545296889,-131.669488079589 -74.2919857696888,-132.007012559589 -74.4217159096889,-131.451028019589 -74.4822704296888,-130.895043479589 -74.5428249496888,-130.798089179589 -74.3694545296889),(-145.812005279589 -75.6400538296888,-145.112282999589 -75.7201855096888,-145.546227539589 -75.5561916496888,-145.812005279589 -75.6400538296888),(-146.774773799589 -76.0858852096889,-147.274361819589 -76.1087963296888,-146.681389979589 -76.2855160096888,-146.618355959589 -76.2940150696888,-146.774773799589 -76.0858852096889),(-147.247826759589 -76.5790722496889,-147.118951079589 -76.6844874496889,-146.728661759589 -76.6936580896889,-147.058373699589 -76.5111629296888,-147.247826759589 -76.5790722496889),(-148.157830439589 -76.7604686896887,-148.933373579589 -76.6856014696889,-149.157281159589 -76.7519923096889,-148.854485699589 -76.8355952896889,-148.157830439589 -76.7604686896887),(-146.944512539589 -76.8189326896889,-146.833672679589 -76.9878322696889,-146.222008919589 -76.8961573696889,-146.944512539589 -76.8189326896889),(-148.205346299589 -76.9767086296888,-149.019219539589 -76.9072658896888,-149.160607559589 -76.9819882096889,-148.769494199589 -77.0186549296888,-148.205346299589 -76.9767086296888),(-149.073113699589 -77.1028301296889,-149.515069139589 -76.8844845496889,-149.984002259589 -76.8723232096888,-150.696984419589 -76.9689418096887,-149.885049059589 -77.0358859696888,-149.073113699589 -77.1028301296889),(-148.598656739589 -77.0681086696888,-148.862145599589 -77.2657405696888,-148.043938859589 -77.4347621896888,-147.936242339589 -77.4170086096889,-147.625893719589 -77.3322460696888,-147.746728079589 -77.1781093696888,-148.598656739589 -77.0681086696888),(-149.768731259589 -76.6971981496889,-150.376763519589 -76.6714412296888,-150.698815559589 -76.7215739296889,-150.380333999589 -76.7814419296889,-149.768731259589 -76.6971981496889),(-159.930550754589 -79.8215113846888,-159.086175119589 -79.8806086696889,-158.649499079589 -79.8014308096889,-158.560052039589 -79.6442119696889,-159.336785429589 -79.4197685296888,-160.113518819589 -79.1953250896889,-160.890252209589 -78.9708816496889,-161.666985599589 -78.7464382096888,-162.225884609589 -78.7396327696888,-162.784783619589 -78.7328273296889,-163.299370949589 -78.9560176096889,-163.813958279589 -79.1792078896888,-163.590874919589 -79.3711634896889,-163.027276289589 -79.5076915096889,-162.463677659589 -79.6442195296889,-161.619302024589 -79.7033168146889,-160.774926389589 -79.7624140996889,-159.930550754589 -79.8215113846888),(-56.1883784395888 -63.4378216096889,-55.9983760195889 -63.5811550696888,-55.7064296995889 -63.4511578096889,-56.1883784395888 -63.4378216096889),(-58.2536555995889 -63.9075404296889,-58.4211589195887 -64.1189662696889,-58.0825396795888 -64.0819942696888,-58.2382366195889 -64.3203288496888,-57.9114314995889 -64.4439326896889,-57.2686549195889 -64.3814327296889,-57.3472682995889 -64.2958843096888,-57.0319910995889 -64.1711513296889,-57.4619914795888 -63.9128200096889,-57.7675411195888 -64.0747768096889,-57.8364344995888 -63.7939310896889,-58.2536555995889 -63.9075404296889),(-57.6911555995888 -63.8051845096888,-57.3464289595889 -63.9031001896889,-57.0536510395888 -63.8164301896889,-57.6911555995888 -63.8051845096888),(-56.8585139395889 -64.3397684896889,-57.4308788395888 -64.4511654496888,-57.3230984395889 -64.5531093496889,-56.8585139395889 -64.3397684896889),(-59.8117076995889 -65.1058742296889,-59.4605953795888 -65.2594844296888,-59.5136577595888 -65.1197749096887,-59.8117076995889 -65.1058742296889),(102.777357960411 -65.1360179296889,103.127196060411 -65.4086696896889,103.469977260411 -65.4372187696889,103.202521200411 -65.1664516096889,102.777357960411 -65.1360179296889),(101.258002080411 -65.5024196296889,100.761656580411 -65.3933956096889,100.247626080411 -65.5864344496889,100.982489400411 -65.6619961096888,101.258002080411 -65.5024196296889),(92.2749850804112 -65.7776957896888,92.4991673404112 -65.8061611696889,92.7636174004111 -65.7625667896887,92.4339054604113 -65.6733791296889,92.2749850804112 -65.7776957896888),(48.3658817404112 -66.7619869096889,48.3986653204112 -66.8889400096888,48.8450383204111 -66.8067179896887,48.3658817404112 -66.7619869096889),(-62.3258755195889 -69.1061641696889,-62.3806010995888 -69.2747737696889,-62.0600444995889 -69.7208796496888,-61.7128230595888 -69.4705973896888,-62.3258755195889 -69.1061641696889),(15.3616932004112 -70.0275508696888,15.9350554804111 -70.1736538096888,16.3645009204111 -70.0358821696888,16.1242016404113 -69.8800441096889,15.3616932004112 -70.0275508696888),(13.2019947004111 -70.0986796696888,12.9819934804112 -70.0353328096888,12.4830921604113 -70.1092159696888,13.1039416804112 -70.1672908096889,13.2019947004111 -70.0986796696888),(-3.20337305958886 -70.3286525296888,-3.32781767958882 -70.4783794096889,-2.69087327958876 -70.4394923896889,-2.76107993958881 -70.2858364696889,-3.20337305958886 -70.3286525296888),(2.68646742041118 -70.4361506896888,2.64673314041106 -70.5628291096889,2.92395528041116 -70.6272671296889,3.32629848041118 -70.4638073296889,2.68646742041118 -70.4361506896888),(-60.8127146995889 -70.6599819496889,-60.6190730395887 -70.5703288096889,-60.7536556195889 -70.4756099296889,-61.1578227595889 -70.5744869896889,-60.8127146995889 -70.6599819496889),(-6.3762976795888 -70.4789134696888,-5.97615155958887 -70.5733729696887,-5.96850317958884 -70.4166041296889,-6.3762976795888 -70.4789134696888),(-3.45115097958889 -70.6775447296889,-3.29003963958873 -70.8889399696889,-2.72142863958881 -71.0392086496888,-2.00115071958881 -70.8006069496888,-2.72615084958882 -70.7390758396889,-3.45115097958889 -70.6775447296889),(-60.9540721195888 -70.9339381696888,-60.5341808995889 -71.0550014896889,-60.6233761195888 -70.8836605696889,-60.9540721195888 -70.9339381696888),(-20.8733750995888 -74.6528255596888,-20.1453181195888 -74.8603298296889,-20.1532375795889 -74.6812984096889,-20.5850420995889 -74.4611598496888,-20.3199015595889 -74.2361537296889,-20.4036190195889 -74.1169674496889,-21.0025255495888 -74.2811443696889,-21.6014320795889 -74.4453212896888,-20.8733750995888 -74.6528255596888),(-48.1593053995889 -78.1155991696888,-49.0168976995888 -78.2967107896889,-49.8744899995888 -78.4778224096889,-50.5496264395888 -78.9428187496888,-50.5001804395888 -79.0824062296888,-50.7019894195888 -79.2354670696888,-50.5909472395889 -79.5424739896888,-51.1375438795889 -79.7631007096888,-51.7810146295889 -79.9507381096888,-52.4244853795888 -80.1383755096889,-53.2179576895889 -80.2150432696889,-54.0114299995888 -80.2917110296888,-54.9082348195888 -80.7111522496888,-54.3417064195888 -80.8958828296888,-53.6222621695889 -80.9081050996888,-52.9028179195888 -80.9203273696887,-52.0021831624459 -80.8749695296888,-51.1015484053032 -80.8296116896889,-50.2009136481603 -80.7842538496889,-49.3002788910174 -80.7388960096889,-48.3996441338745 -80.6935381696888,-47.4990093767316 -80.6481803296888,-46.5983746195888 -80.6028224896888,-45.7870800595889 -80.5062496096888,-44.9757854995889 -80.4096767296889,-44.1644909395888 -80.3131038496889,-44.5684444195889 -80.0928203896889,-43.6625454595888 -80.0542080496888,-43.3833782395888 -79.8205959496889,-43.4647686595889 -79.4689418296889,-44.0213634895889 -79.3992511396889,-44.5779583195889 -79.3295604496888,-43.8290720995889 -79.2342158896889,-43.8219844195888 -78.9828273496889,-44.6968471495889 -78.9198429196889,-45.5717098795889 -78.8568584896888,-44.8296253195888 -78.7738697596889,-44.0875407595888 -78.6908810296889,-43.8886576795889 -78.5267116696889,-43.9126826395888 -78.3439418296888,-44.6756678995888 -78.1779643696888,-45.4386531595889 -78.0119869096889,-46.3701831295889 -77.9732372296889,-47.3017130995889 -77.9344875496888,-48.1593053995889 -78.1155991696888),(-38.9306670295889 -78.6458065096888,-37.9311533995888 -78.6642086296888,-38.7047644645888 -78.6162922246889,-39.4783755295888 -78.5683758196888,-40.2519865945889 -78.5204594146888,-41.0255976595889 -78.4725430096888,-41.9292079195888 -78.5906001496889,-40.9296942895889 -78.6090022696888,-39.9301806595889 -78.6274043896888,-38.9306670295889 -78.6458065096888),(-60.1787921395888 -79.7037975496888,-60.6936580195889 -79.6086513496888,-61.4172679195888 -79.7053309696888,-61.7881022995887 -80.1231014296888,-62.5486537795888 -80.2575466696888,-63.4447658515889 -80.2371578536888,-64.3408779235888 -80.2167690376889,-65.2369899955888 -80.1963802216888,-66.1331020675887 -80.1759914056888,-67.0292141395888 -80.1556025896889,-66.5489360695888 -80.3021327596888,-66.0686579995888 -80.4486629296888,-65.1240779395889 -80.4392176996889,-64.1794978795889 -80.4297724696887,-63.4005137995889 -80.5648636696889,-62.6215297195888 -80.6999548696888,-61.8425456395889 -80.8350460696888,-61.2960177595887 -80.7619945996888,-60.7494898795888 -80.6889431296888,-60.1938259195888 -80.2264797496888,-60.1787921395888 -79.7037975496888),(-71.0967189595888 -79.6503231496889,-70.3806087595888 -79.5767146696888,-69.9986507395889 -79.4428114096887,-69.1044170395888 -79.1293195096888,-68.2101833395888 -78.8158276096889,-67.3159496395889 -78.5023357096889,-68.1247646995889 -78.4719936496889,-69.0617077195888 -78.6399330196889,-69.9986507395889 -78.8078723896889,-70.6850444695887 -78.9309028396889,-71.3714381995889 -79.0539332896888,-71.7472621795888 -79.2303248296888,-71.8496333995889 -79.5076839496889,-71.0967189595888 -79.6503231496889),(47.4100407004112 -67.6195002496889,47.6569393204112 -67.6513224496889,47.8993901404112 -67.5929347696888,47.5411786204112 -67.5091030096889,47.4100407004112 -67.6195002496889),(86.376105180411 -66.6658870696889,86.4611271004112 -66.7747737496889,86.7299945404113 -66.7075511296889,86.376105180411 -66.6658870696889),(85.8733128004113 -66.7725460696888,85.3741672204111 -66.7453396096888,86.0333470204112 -67.0036709296888,86.1820819204112 -66.9178400896888,85.8733128004113 -66.7725460696888),(71.6918247004112 -70.3333904896889,71.8327854004112 -70.5544978096889,72.2080906204112 -70.6145107096888,71.9314182004111 -70.2928249696889,71.6918247004112 -70.3333904896889),(68.6944798204112 -72.0875637496888,68.4619358404112 -72.2778408496889,68.8230808204112 -72.1700680096888,68.6944798204112 -72.0875637496888),(96.2633122204111 -66.1915829296888,96.7308415204111 -66.2625666496888,96.8849857804112 -66.1918498696888,96.7936008604112 -66.1047908896888,96.2633122204111 -66.1915829296888),(164.560660200411 -67.2735226096889,164.767462560411 -67.5986567896889,164.838736440411 -67.4185268296888,164.560660200411 -67.2735226096889),(169.869940560411 -73.2878199496888,169.389532800411 -73.5350657896888,169.751654460411 -73.5994960696889,169.919379000411 -73.5528346696888,169.869940560411 -73.2878199496888),(166.875037020411 -77.7280284496888,166.777991100411 -77.8564388296888,167.584967460411 -77.6353388896888,168.263434260411 -77.6371394296889,168.941901060411 -77.6389399696889,169.424353440411 -77.4616329496888,168.743251980411 -77.4351792496888,168.062150520411 -77.4087255496889,167.381049060411 -77.3822718496889,166.633002180411 -77.1714565696888,166.373572140411 -77.2755367096889,166.621191840411 -77.3828899696888,166.218451380411 -77.5340892496889,166.859930880411 -77.6642238496889,166.559119020411 -77.7074825296889,166.875037020411 -77.7280284496888),(167.426367660411 -77.9961787696889,166.875525360411 -78.1933986496888,167.118841980411 -78.2533809496889,167.678442720411 -78.1195003696888,167.426367660411 -77.9961787696889),(166.771277280411 -78.2180339896888,166.082709060411 -78.1006099096889,166.198843800411 -78.2092296496889,166.099707360411 -78.2542201096889,166.319403480411 -78.3133938496888,166.771277280411 -78.2180339896888)))', 'CCAMLR', 'Commission for the Conservation of Antarctic Marine Living Resources', 'No', 'Y'),('SRID=4326;MULTIPOLYGON(((-68.5261538999999 -49.9690980500999,-68.8272933599999 -49.9749813501,-68.59251396 -49.9286117300999,-68.5261538999999 -49.9690980500999)),((119.1435318 -2.45312483009997,118.75916286 -2.77416653009999,118.8886032 -2.89319459009999,118.92568212 -3.5731944501,119.29304502 -3.42763907009999,119.50610346 -3.52722209009994,119.62330632 -4.32805631009995,119.48910903 -4.86406301009993,119.35491174 -5.40006971010001,119.6637345 -5.6966663300999,120.3288804 -5.5120840701,120.4634628 -5.61979157010001,120.26609802 -5.15277761009986,120.42221076 -4.67833325010002,120.41540532 -3.96847220009994,120.40859988 -3.25861115009997,120.20193486 -2.96333339009988,120.77192682 -2.61250025009997,121.07610324 -2.75888921009999,121.06957248 -3.2051389101,120.88109592 -3.53562521009997,121.61470032 -4.06472207009995,121.47997284 -4.66027781009996,121.97776788 -4.8572224701,122.11025994 -4.81416611009996,122.10471342 -4.5261115701,122.89929966 -4.38972233009991,122.85775764 -4.07638931010001,122.68399806 -4.13902805009997,122.59942632 -3.88361129010002,122.19859314 -3.58138895010001,122.35610196 -3.22027511009998,122.47622676 -3.16090265010001,122.26581576 -3.02791667009996,122.2885863 -2.95944899009999,123.21645474 -3.09200165009997,124.14432318 -3.22455431010002,125.07219162 -3.35710697009989,125.69594139 -3.49355219009993,126.31969116 -3.62999741009992,126.50804136 -3.7688890101,126.69303888 -3.83493047009995,126.89226 -3.75524681009995,127.79887806 -3.95356955009999,128.70549612 -4.15189229009997,129.57597534 -4.45466765010002,130.44645456 -4.75744301010002,131.31693378 -5.06021837009996,131.99817834 -5.55222839010003,132.6794229 -6.04423841009998,133.36066746 -6.53624843009993,133.8905244 -7.14179915009998,134.42038134 -7.74734987009998,134.95023828 -8.35290059009998,135.29086056 -9.18553283009993,135.63148284 -10.0181650700999,135.97210512 -10.8507973101,136.19685069 -11.4351358101,136.42159626 -12.0194743101,136.17774972 -12.1669454301,136.3639221 -12.2397212300999,136.29373164 -12.4143057501,136.0397034 -12.4716663501,136.0230408 -12.1119442701,135.73550412 -12.2808341301,135.6691437 -12.1908330501,135.9127503 -11.7655564101,135.23135382 -12.2944450100999,134.7713775 -11.9958323901,134.20663452 -12.0616655901,134.05039974 -11.8444433901,133.83940122 -11.8541660901,133.9083252 -11.7361107500999,133.54885872 -11.8327770500999,133.18304436 -11.7166653501,132.91802982 -11.3369445501,132.67198188 -11.5081261701,132.34051512 -11.1301384100999,132.14668266 -11.1400004300999,132.20495604 -11.4097232301,131.98432914 -11.1274299501,131.7642669 -11.3066872700999,132.08677668 -11.5247230701,132.48995976 -11.4769440501,132.69149784 -11.6581954101,132.62759406 -12.0327777500999,132.7489929 -12.1354160901,132.44435118 -12.1502770701,132.38360604 -12.3799991901,132.36093144 -12.2023611500999,131.49259956 -12.2972220500999,131.02432254 -12.1495828101,131.02691652 -12.3583336701,130.81579596 -12.4447230500999,130.89636234 -12.6402779301,130.57926948 -12.4046536101,130.68882756 -12.7010756301,130.5090027 -12.6044435300999,130.46528214 -12.6426060500999,130.14070128 -12.9259242501,130.2644349 -13.3252772901,129.8288574 -13.5169457901,129.73272714 -13.9947223100999,129.37023918 -14.3333320101,129.54011544 -14.5502786301,129.77275086 -14.5355900901,129.58656318 -14.6280555501,129.67538454 -14.7660426501,129.94442748 -14.7677783901,129.64733892 -14.8377762501,129.73196412 -15.1821880701,129.22961418 -14.8392353301,129.1910706 -15.1825009100999,129.0894165 -14.8994446101,129.00000006 -14.8766688500999,128.53596492 -14.7584723900999,128.38768002 -14.7999992901,128.448288 -15.0470829500999,128.3062896 -14.9127770301,128.19210822 -15.0652084100999,128.28718566 -15.4006949300999,128.13214104 -15.2140550901,128.02084344 -15.4982290100999,128.16943362 -14.7027778701,127.79734419 -14.3284025301,127.42525476 -13.9540271901,127.12841802 -13.9714918701,126.8579025 -13.7509717100999,126.60054012 -14.2297211301,126.5024871 -13.9647217100999,126.2877732 -14.2330550901,126.21748356 -13.9619444901,126.01759338 -13.9265269701,126.1466523 -14.1299991500999,126.03762054 -14.5152083301,125.90277102 -14.6436118701,125.72279352 -14.4043054701,125.64224244 -14.6301041301,125.72866818 -14.2731943700999,125.61831666 -14.2224293301,125.58888252 -14.5494441500999,125.33611302 -14.5230559701,125.13602448 -14.7474308301,125.43476868 -15.1331243901,125.16165162 -15.0338898501,125.16471108 -15.1623621501,125.07832332 -14.9997215301,124.824852 -15.1602782900999,125.04425814 -15.1615629501,124.91210178 -15.3360061701,125.09734338 -15.3018054500999,125.18180856 -15.5206852701,124.70526882 -15.2533339701,124.656372 -15.4797210501,124.4572677 -15.4782628701,124.40019996 -15.8643045501,124.7267151 -15.8089579700999,124.40054322 -16.3294448900999,124.89304356 -16.4067001701,124.2298431 -16.4042339901,123.96443184 -16.2455521101,123.89137272 -16.3788871100999,123.72623442 -16.1386108701,123.5709 -16.1716651701,123.70887756 -16.4302787300999,123.42517848 -16.4995135701,123.89166252 -16.8933334101,123.79637142 -16.9979839701,123.91602318 -17.2082633900999,123.59262078 -16.9966660101,123.57527166 -17.5974998901,123.26575095 -17.0921535801,122.95623024 -16.5868072700999,123.06024936 -16.4555530700999,122.9202576 -16.4145832701,122.75221248 -16.7622223101,122.17498776 -17.2433318901,122.33748618 -18.1313896101,121.80053718 -18.4802780301,121.48858638 -19.1230544301,121.0274811 -19.5922240701,120.30463791 -19.8315295701,119.58179472 -20.0708350700999,119.08026882 -19.9687480701,118.80108648 -20.2858353501,118.17852012 -20.3486805501,117.68538672 -20.6763878300999,116.70748902 -20.6491660701,116.07970806 -21.0834732201,115.4519271 -21.5177803701,114.65109252 -21.8400001701,114.37248222 -22.4424972501,114.1538697 -22.5277785500999,114.17595678 -21.8227786701,113.93331912 -21.9761086101,113.65637202 -22.6047209901,113.80747986 -22.9333306101,113.76304632 -23.4727745901,113.53221126 -23.7572249900999,113.3897094 -24.4294432701,113.82390972 -25.1386451601,114.25811004 -25.8478470500999,114.22144314 -26.2924996101,114.06929022 -26.4616661301,113.87886048 -26.0288887101,113.7140046 -26.1969433701,113.73408504 -25.8890267301,113.46943662 -25.5408363501,113.39110566 -25.7104168700999,113.86387638 -26.4847221500999,113.64345558 -26.6543064501,113.28765876 -26.0277766701,113.2244262 -26.2391663301,113.5806732 -26.7190266201,113.9369202 -27.1988869100999,114.15428928 -28.0909728501,114.5208168 -28.6484031501,114.88734432 -29.2058334501,114.96730806 -29.8552780401,115.0472718 -30.5047226301,115.37654499 -31.1105547500999,115.70581818 -31.7163868701,115.76193246 -32.5725021500999,115.70025636 -32.7811126100999,115.69449618 -32.5222205901,115.59436038 -32.6706925101,115.71263118 -33.2640266901,115.36360164 -33.6330565701,114.99710076 -33.5241050901,115.1222076 -34.3627816100999,115.49567412 -34.3836135501,115.97360238 -34.8194504301,116.46054072 -34.9995879501,117.03512574 -35.0689621101,117.60971076 -35.1383362701,117.99588006 -35.0969123300999,117.83797452 -35.0301398900999,118.28166192 -34.9055557701,118.91165166 -34.4530562901,119.32554618 -34.4469451101,120.00498966 -33.9288863900999,120.99942783 -33.8768062701,121.993866 -33.8247261500999,122.11831674 -34.0286101701,123.01782984 -33.8575705700999,123.16805262 -34.0186081101,123.73499304 -33.7797241700999,124.28193672 -32.9855575101,124.74664308 -32.8977814101,125.35945893 -32.5822601300999,125.97227478 -32.2667388501,126.62001801 -32.2725371901,127.26776124 -32.2783355300999,128.12323761 -31.9872226101,128.97871398 -31.6961096901,129.702006 -31.6220823501,130.42529802 -31.5480550100999,131.14859004 -31.4740276700999,131.67226404 -31.7504873301,132.19593804 -32.0269469900999,132.76443474 -31.9508323701,133.41720582 -32.2133332100999,133.60586544 -32.0980529301,133.95079044 -32.3982619701,133.85287476 -32.5418090900999,134.18414298 -32.4866637500999,134.2765197 -32.7287482701,134.07450858 -32.7208633700999,134.26872246 -33.1455573500999,134.70747372 -33.1772231300999,134.84066778 -33.6377792301,135.26107794 -34.0065268701,135.4958649 -34.6170845300999,135.20851128 -34.4358292101,135.11232 -34.5947571501,135.9564057 -35.0082358701,136.00666818 -34.7426033901,135.8037873 -34.8152123301,135.93690486 -34.5368767101,136.41345216 -34.0409774300999,137.20996098 -33.6661070901,137.4882813 -33.1277771300999,137.7748413 -32.9927749701,137.76296994 -32.5325012901,138.0394287 -33.0780562700999,137.81434626 -33.2780533701,137.94857784 -33.5593033700999,137.45170602 -34.1604157101,137.43414306 -34.9388885301,137.0240784 -34.9020119300999,136.83149712 -35.2518043101,137.7481689 -35.1327782300999,137.92021173 -34.6338539600999,138.09225456 -34.1349296901,138.49606332 -34.7288818101,138.51416016 -35.0249976501,138.13748172 -35.6530532901,138.7470474 -35.5137481401,139.35661308 -35.3744429901,139.33583064 -35.6913871701,139.15969848 -35.5038948501,139.09956354 -35.6125106301,139.66040034 -36.2162475501,139.08259584 -35.6797598901,139.64804082 -36.2097243501,139.86079398 -36.6608315301,139.75137324 -37.1997223701,140.35592646 -37.8616676900999,140.99999994 -38.1560648901,141.57135018 -38.4172211301,141.75094608 -38.2670822301,142.37933346 -38.3638916301,142.9611435 -38.6115627201,143.54295354 -38.8592338101,144.36328122 -38.3244476901,144.65887452 -38.2850037501,144.70634466 -38.1491660301,144.3685608 -38.1265258101,144.91767888 -37.8685417101,145.13127138 -38.1370124301,144.7611084 -38.3777770101,144.9013671 -38.5058365701,145.44427482 -38.2269400701,145.55525202 -38.3743057100999,145.41607674 -38.5458374301,145.8161469 -38.6522865501,145.9044189 -38.8569488901,146.1423492 -38.8459701501,146.39413446 -39.1472244501,146.4692688 -38.8056258501,146.29649346 -38.9165611101,146.21926878 -38.7159728900999,146.87356572 -38.6516646501,147.3163605 -38.3170813701,147.75915528 -37.9824980901,148.71598812 -37.8394431800999,149.67282096 -37.6963882701,149.97775266 -37.5126723501,149.90246586 -36.9233321900999,149.99999994 -36.5546743700999,150.1624755 -35.9405518101,150.42382812 -35.4913692801,150.68518074 -35.0421867501,150.83676144 -35.0884017500999,150.84051516 -34.5583343301,151.19526672 -34.0568161700999,151.09971624 -34.0137862701,151.27276608 -33.9694443501,151.45455924 -33.3168068301,151.99212645 -32.8602085701,152.52969366 -32.4036103101,152.51185602 -32.1310424300999,152.84884644 -31.6566657501,153.0117696 -30.8805554301,153.17469276 -30.1044451101,153.33761592 -29.3283347900999,153.60600276 -28.8621540501,153.50595084 -28.1501122101,153.27025596 -27.6633892400999,153.03456108 -27.1766662701,153.15719598 -27.0827789901,153.07205202 -26.3084735300999,153.18551628 -25.9733315301,152.92053216 -25.7354163501,152.90782164 -25.2888889101,152.67149352 -25.2451363101,152.46801756 -24.8122215500999,152.13177486 -24.6081944301,151.68386844 -23.9888878701,151.53796386 -24.0863189901,150.86718756 -23.5050010700999,150.83160732 -22.9327456100999,151.770207924 -23.1577680141,152.708808528 -23.3827904181,153.647409132 -23.6078128221,154.586009736 -23.8328352261,155.52461034 -24.0578576301,156.463210944 -24.2828800341,157.401811548 -24.5079024381,158.340412152 -24.7329248421,159.279012756 -24.9579472461,160.21761336 -25.1829696500999,161.156213964 -25.4079920541,162.094814568 -25.6330144581,163.033415172 -25.8580368620999,163.972015776 -26.0830592661,164.91061638 -26.3080816701,165.48896124 -26.4467354901,166.356096274286 -26.6546245615285,167.223231308571 -26.8625136329571,168.090366342857 -27.0704027043857,168.957501377143 -27.2782917758142,169.824636411429 -27.4861808472428,170.691771445714 -27.6940699186713,171.55890648 -27.9019589901,172.452202251429 -28.1161199043857,173.345498022857 -28.3302808186714,174.238793794286 -28.5444417329571,175.132089565714 -28.7586026472429,176.025385337143 -28.9727635615286,176.918681108571 -29.1869244758142,177.81197688 -29.4010853901,178.54131552 -29.5759388301,179.27065416 -29.7507922701,179.9999928 -29.9256457101,179.9999928 -30.8584591701,179.9999928 -31.7912726301,179.9999928 -32.7240860901,179.9999928 -33.6568995500999,179.9999928 -34.5289865901,179.9999928 -35.4994598016789,179.9999928 -36.4699330132579,179.9999928 -37.4404062248368,179.9999928 -38.4108794364158,179.9999928 -39.3813526479947,179.9999928 -40.3518258595737,179.9999928 -41.3222990711526,179.9999928 -42.2927722827316,179.9999928 -43.2632454943105,179.9999928 -44.2337187058895,179.9999928 -45.2041919174684,179.9999928 -46.1746651290474,179.9999928 -47.1451383406263,179.9999928 -48.1156115522053,179.9999928 -49.0860847637842,179.999992795782 -49.9978921003609,179.9999928 -50.0565579753631,179.9999928 -51.0270311869421,179.9999928 -51.9975043985211,179.9999928 -52.9679776101,179.9999928 -53.8406045900999,179.9999928 -54.7132315701,179.9999928 -55.5858585501,179.110459851429 -55.4382252243857,178.220926902857 -55.2905918986714,177.331393954286 -55.1429585729571,176.441861005714 -54.9953252472429,175.552328057143 -54.8476919215285,174.662795108571 -54.7000585958143,173.77326216 -54.5524252701,172.833869681053 -54.3965168964158,171.894477202105 -54.2406085227315,170.955084723158 -54.0847001490474,170.015692244211 -53.9287917753631,169.076299765263 -53.7728834016789,168.136907286316 -53.6169750279947,167.197514807368 -53.4610666543105,166.258122328421 -53.3051582806263,165.318729849474 -53.149249906942,164.379337370526 -52.9933415332579,163.439944891579 -52.8374331595737,162.500552412632 -52.6815247858894,161.561159933684 -52.5256164122052,160.621767454737 -52.369708038521,159.682374975789 -52.2137996648369,158.742982496842 -52.0578912911526,157.803590017895 -51.9019829174684,156.864197538947 -51.7460745437842,155.92480506 -51.5901661701,155.078404328571 -51.4496913672428,154.232003597143 -51.3092165643857,153.385602865714 -51.1687417615286,152.539202134286 -51.0282669586714,151.692801402857 -50.8877921558143,150.846400671429 -50.7473173529571,149.99999994 -50.6068425500999,149.09999994 -50.4574720341,148.19999994 -50.3081015180999,147.29999994 -50.1587310021,146.39999994 -50.0093604861,146.330899642019 -49.9978921003609,145.49999994 -49.8599899701,144.59999994 -49.7106194541,143.69999994 -49.5612489381,142.79999994 -49.4118784221,141.89999994 -49.2625079061,140.99999994 -49.1131373901,140.32129176 -49.0004941101,139.353611194286 -49.032325712957,138.385930628571 -49.0641573158142,137.418250062857 -49.0959889186714,136.450569497143 -49.1278205215286,135.482888931429 -49.1596521243857,134.515208365714 -49.1914837272428,133.5475278 -49.2233153301,132.579847234286 -49.2551469329571,131.612166668571 -49.2869785358143,130.644486102857 -49.3188101386714,129.676805537143 -49.3506417415285,128.709124971429 -49.3824733443857,127.741444405714 -49.4143049472428,126.77376384 -49.4461365500999,125.806083274286 -49.4779681529571,124.838402708571 -49.5097997558143,123.870722142857 -49.5416313586715,122.903041577143 -49.5734629615285,121.935361011429 -49.6052945643857,120.967680445714 -49.6371261672429,119.99999988 -49.6689577701,119.053659852 -49.7000873781,118.107319824 -49.7312169861,117.160979796 -49.7623465940999,116.214639768 -49.7934762020999,115.26829974 -49.8246058101,114.321959712 -49.8557354181,113.375619684 -49.8868650260999,112.429279656 -49.9179946341,111.482939628 -49.9491242421,110.5365996 -49.9802538501,110.000396823345 -49.9978921003609,109.590259572 -50.0113834580999,108.643919544 -50.0425130661,107.697579516 -50.0736426741,106.751239488 -50.1047722821,105.80489946 -50.1359018900999,104.812403323846 -50.1643605616384,103.819907187692 -50.1928192331769,102.827411051538 -50.2212779047154,101.834914915385 -50.2497365762538,100.842418779231 -50.2781952477923,99.8499226430769 -50.3066539193307,98.8574265069232 -50.3351125908692,97.8649303707692 -50.3635712624077,96.8724342346154 -50.3920299339462,95.8799380984617 -50.4204886054846,94.8874419623077 -50.448947277023,93.8949458261539 -50.4774059485615,92.9024496900001 -50.5058646201,91.9099535538462 -50.5343232916384,90.9174574176924 -50.5627819631769,89.9249612815385 -50.5912406347153,88.9324651453847 -50.6196993062538,87.9399690092307 -50.6481579777923,86.9474728730769 -50.6766166493308,85.9549767369232 -50.7050753208692,84.9624806007692 -50.7335339924077,83.9699844646154 -50.7619926639461,82.9774883284615 -50.7904513354845,81.9849921923077 -50.8189100070231,80.9924960561539 -50.8473686785615,79.99999992 -50.8758273501,79.0130949054546 -50.9041256982818,78.0261898909092 -50.9324240464636,77.0392848763638 -50.9607223946455,76.0523798618182 -50.9890207428273,75.0654748472728 -51.017319091009,74.0785698327273 -51.0456174391908,73.0916648181819 -51.0739157873726,72.1047598036363 -51.1022141355546,71.1178547890909 -51.1305124837364,70.1309497745455 -51.1588108319182,69.1440447600001 -51.1871091801,68.1571397454545 -51.2154075282818,67.1702347309091 -51.2437058764636,66.1833297163637 -51.2720042246454,65.1964247018183 -51.3003025728272,64.2095196872729 -51.328600921009,63.2226146727272 -51.3568992691909,62.2357096581818 -51.3851976173727,61.2488046436364 -51.4134959655545,60.261899629091 -51.4417943137364,59.2749946145454 -51.4700926619182,58.2880896 -51.4983910101,57.3126382365518 -51.4618686501,56.3371868731035 -51.4253462900999,55.3617355096551 -51.3888239301,54.386284146207 -51.3523015700999,53.4108327827586 -51.3157792101,52.4353814193105 -51.2792568501,51.4599300558621 -51.2427344901,50.4844786924138 -51.2062121301,49.5090273289656 -51.1696897700999,48.5335759655173 -51.1331674101,47.5581246020689 -51.0966450501,46.5826732386208 -51.0601226900999,45.6072218751724 -51.0236003301,44.6317705117243 -50.9870779700999,43.6563191482759 -50.9505556101,42.6808677848276 -50.9140332500999,41.7054164213794 -50.8775108901,40.7299650579311 -50.8409885301,39.7545136944827 -50.8044661700999,38.7790623310345 -50.7679438101,37.8036109675862 -50.7314214501,36.8281596041379 -50.6948990901,35.8527082406897 -50.6583767301,34.8772568772413 -50.6218543700999,33.9018055137932 -50.5853320101,32.9263541503449 -50.5488096500999,31.9509027868967 -50.5122872901,30.9754514234484 -50.4757649301,30.00000006 -50.4392425701,29.0998083400001 -50.4055380500999,28.19961662 -50.3718335300999,27.2994249000001 -50.3381290100999,26.39923318 -50.3044244901,25.4990414600001 -50.2707199700999,24.59884974 -50.2370154500999,23.6986580200001 -50.2033109300999,22.7984663 -50.1696064101,21.8982745800001 -50.1359018900999,21.1342919400001 -50.0668970001,20.3703093000001 -49.9978921028854,20.3703091921748 -49.9978921026271,19.9999999254948 -49.9644448090281,19.424965002353 -49.9125061665706,18.479620704706 -49.8271202230412,17.5342764070588 -49.7417342795118,16.5889321094118 -49.6563483359823,15.6435878117647 -49.5709623924529,14.6982435141177 -49.4855764489236,13.7528992164707 -49.4001905053941,12.8075549188237 -49.3148045618647,11.8622106211766 -49.2294186183352,10.9168663235294 -49.1440326748058,9.97152202588234 -49.0586467312764,9.02617772823533 -48.973260787747,8.08083343058831 -48.8878748442176,7.13548913294125 -48.8024889006882,6.19014483529423 -48.7171029571588,5.244800537647 -48.6317170136294,4.29945623999998 -48.5463310701,3.32747799119994 -48.5653202493,2.35549974240013 -48.5843094284999,1.38352149360009 -48.6032986077,0.4115432448001 -48.6222877869,-0.560435003999942 -48.6412769661,-1.53241325279998 -48.6602661453,-2.50439150159997 -48.6792553244999,-3.47636975040001 -48.6982445036999,-4.44834799919994 -48.7172336828999,-5.42032624799998 -48.7362228621,-6.39230449679997 -48.7552120413,-7.36428274560001 -48.7742012204999,-8.33626099439994 -48.7931903996999,-9.30823924319998 -48.8121795788999,-10.280217492 -48.8311687580999,-11.2521957408 -48.8501579373,-12.2241739895999 -48.8691471165,-13.1961522383999 -48.8881362957,-14.1681304872 -48.9071254748999,-15.140108736 -48.9261146540999,-16.1120869848 -48.9451038333,-17.0840652335999 -48.9640930125,-18.0560434824 -48.9830821917,-19.0280217312 -49.0020713709,-19.99999998 -49.0210605500999,-20.99761282125 -49.04055054135,-21.9952256624999 -49.0600405326,-22.99283850375 -49.0795305238499,-23.990451345 -49.0990205151,-24.9880641862499 -49.11851050635,-25.9856770275 -49.1380004975999,-26.9832898687499 -49.15749048885,-27.98090271 -49.1769804801,-28.97851555125 -49.1964704713499,-29.9761283925 -49.2159604626,-30.97374123375 -49.2354504538499,-31.971354075 -49.2549404451,-32.9689669162499 -49.27443043635,-33.9665797575 -49.2939204275999,-34.96419259875 -49.31341041885,-35.9618054399999 -49.3329004101,-36.95941828125 -49.35239040135,-37.9570311225 -49.3718803926,-38.95464396375 -49.39137038385,-39.952256805 -49.4108603751,-40.94986964625 -49.43035036635,-41.9474824874999 -49.4498403576,-42.94509532875 -49.4693303488499,-43.9427081699999 -49.4888203400999,-44.94032101125 -49.50831033135,-45.9379338525 -49.5278003225999,-46.9355466937499 -49.54729031385,-47.933159535 -49.5667803051,-48.93077237625 -49.5862702963499,-49.9283852175 -49.6057602876,-50.92599805875 -49.62525027885,-51.9236108999999 -49.6447402700999,-52.9212237412499 -49.66423026135,-53.9188365825 -49.6837202526,-54.91644942375 -49.7032102438499,-55.914062265 -49.7227002351,-56.91167510625 -49.7421902263499,-57.9092879474999 -49.7616802176,-58.90690078875 -49.78117020885,-59.90451363 -49.8006602000999,-60.9021264712499 -49.82015019135,-61.8997393125 -49.8396401826,-62.8973521537499 -49.8591301738499,-63.894964995 -49.8786201651,-64.89257783625 -49.89811015635,-65.8901906774999 -49.9176001476,-66.8878035187499 -49.93709013885,-67.88541636 -49.9565801301,-67.60577394 -49.2640990701,-67.8277816199999 -49.3863907101,-67.58570106 -49.0404204501,-66.9870657 -48.6822254901,-66.38843034 -48.3240305301,-65.78979498 -47.9658355701,-65.9568099599999 -47.7863921301,-66.24362178 -47.8602828501,-65.87042238 -47.7555579501,-65.7752837399999 -47.1952094901,-66.2969169 -47.0921898200999,-66.8185500599999 -46.9891701501,-67.53361518 -46.4223632901,-67.5843505199999 -46.0002974901,-66.94653312 -45.2541731901,-66.18278502 -44.9644469901,-65.6111221199999 -45.0205612701,-65.53730016 -44.8922920101,-65.68904106 -44.7120895100999,-65.2494506399999 -44.3130568701,-65.3268126599999 -43.6618080501,-64.9298629799999 -43.2358360700999,-64.29653172 -42.9911842101,-64.98944856 -42.7945900101,-64.9537506 -42.6611137101,-64.45403298 -42.5072288301,-64.09841148 -42.8885460501,-63.62864694 -42.7648315101,-63.5869483199999 -42.3318100101,-63.75083544 -42.0900039501,-64.3282394399999 -42.2461814901,-64.06306452 -42.2786178501,-64.1134796399999 -42.4315300101,-64.45195002 -42.4458389301,-64.6008758999999 -42.4072609701,-64.4644546199999 -42.2656288701,-65.01362616 -42.0922240700999,-65.07188415 -41.4681968301,-65.1301421399999 -40.8441695901,-64.80445104 -40.7219467101,-64.28958894 -40.9434071001,-63.77472684 -41.1648674900999,-63.0363959999999 -41.1493109900999,-62.3900069999999 -40.9019470700999,-62.1953162999999 -40.6284064701,-62.33833692 -40.6713218900999,-62.2475013599999 -40.6011848900999,-62.4887504999999 -40.3025702901,-62.3091735 -39.8922271701,-62.1170882999999 -39.8368759100999,-62.06875236 -39.5084761701,-62.27486424 -39.3384742700999,-62.02437588 -39.3875046501,-62.32750326 -39.2600059700999,-62.3851432199999 -38.8026428901,-61.7397975899999 -38.8992386301,-61.09445196 -38.9958343701,-60.16334028 -38.8255564701,-59.2322286 -38.6552785701,-58.30111692 -38.4850006701,-57.55194846 -38.1136169301,-57.4840317599999 -37.8304214901,-57.0811844699999 -37.3770179600999,-56.67833718 -36.9236144300999,-56.74534992 -36.3159751100999,-57.05333712 -36.3141707901,-57.37667076 -35.9627837901,-57.1883392799999 -35.3205565700999,-57.8290329 -34.9301414300999,-58.46972652 -34.5397262901,-58.38528438 -34.0504227500999,-58.53195198 -33.5169448701,-58.4256972599999 -33.0974350701,-58.2559623 -33.0658112301,-58.3605576 -33.1309777101,-58.4037513 -33.9264603501,-57.83687586 -34.4927826501,-57.11125572 -34.4641723701,-56.3179168799999 -34.9103470101,-55.69278336 -34.7750701701,-54.89611812 -34.9436111901,-54.2788925399999 -34.6907005700999,-54.31291956 -34.5628508901,-54.14076612 -34.6646576301,-53.75753208 -34.2026634201,-53.3742980399999 -33.7406692101,-52.62861636 -33.1152800901,-52.35969159 -32.6398296201,-52.0907668199999 -32.1643791500999,-52.2547225199999 -32.0552825900999,-52.21764 -31.7450027300999,-51.9637526999999 -31.3373641101,-51.46778106 -31.0609741100999,-51.37694928 -30.6511115901,-51.2772940799999 -30.7999325301,-51.27503976 -30.0105571101,-50.9663925 -30.4088897301,-50.60500344 -30.1940287701,-50.56810002 -30.4575500300999,-50.9708404799999 -31.1222228900999,-51.15896226 -31.0778483900999,-51.2513962199999 -31.4716682301,-51.86125566 -31.8729172101,-52.0867423799999 -31.8268051700999,-52.0696564199999 -32.1719474301,-51.40955358 -31.6265297000999,-50.7494507399999 -31.0811119700999,-50.42608902 -30.5260207701,-50.1027273 -29.9709295700999,-49.13167158 -29.9655332978419,-48.16061586 -29.9601370255838,-47.18956014 -29.9547407533257,-46.21850442 -29.9493444810677,-45.2474486999999 -29.9439482088097,-44.27639298 -29.9385519365516,-43.30533726 -29.9331556642936,-42.3342815399999 -29.9277593920355,-41.36322582 -29.9223631197773,-40.3921701 -29.9169668475193,-39.4211143799999 -29.9115705752613,-38.45005866 -29.9061743030032,-37.4790029399999 -29.9007780307452,-36.5079472199999 -29.8953817584871,-35.5368915 -29.889985486229,-34.5658357799999 -29.884589213971,-33.5947800599999 -29.8791929417129,-32.62372434 -29.8737966694548,-31.6526686199999 -29.8684003971966,-30.6816129 -29.8630041249387,-29.71055718 -29.8576078526806,-28.7395014599999 -29.8522115804226,-27.76844574 -29.8468153081645,-26.79739002 -29.8414190359064,-25.8263342999999 -29.8360227636484,-24.85527858 -29.8306264913903,-23.88422286 -29.8252302191322,-22.91316714 -29.8198339468742,-21.94211142 -29.8144376746161,-20.9710557 -29.809041402358,-19.99999998 -29.8036451301,-19.0014739297297 -29.7980962019919,-18.0029478794594 -29.7925472738838,-17.0044218291892 -29.7869983457757,-16.0058957789188 -29.7814494176675,-15.0073697286486 -29.7759004895594,-14.0088436783784 -29.7703515614513,-13.0103176281081 -29.7648026333433,-12.0117915778378 -29.7592537052352,-11.0132655275676 -29.753704777127,-10.0147394772972 -29.7481558490189,-9.01621342702697 -29.7426069209108,-8.01768737675673 -29.7370579928027,-7.01916132648648 -29.7315090646946,-6.02063527621624 -29.7259601365865,-5.02210922594583 -29.7204112084784,-4.02358317567558 -29.7148622803703,-3.02505712540534 -29.7093133522621,-2.0265310751351 -29.703764424154,-1.02800502486485 -29.6982154960459,-0.0294789745946105 -29.6926665679378,0.969047075675803 -29.6871176398297,1.96757312594605 -29.6815687117216,2.96609917621629 -29.6760197836135,3.96462522648653 -29.6704708555054,4.96315127675678 -29.6649219273972,5.96167732702702 -29.6593729992891,6.96020337729726 -29.653824071181,7.9587294275675 -29.6482751430729,8.95725547783792 -29.6427262149648,9.95578152810816 -29.6371772868567,10.9543075783784 -29.6316283587486,11.9528336286486 -29.6260794306405,12.9513596789189 -29.6205305025323,13.9498857291891 -29.6149815744243,14.9484117794594 -29.6094326463162,15.9469378297298 -29.6038837182081,16.94546388 -29.5983347901,17.2779139800001 -30.3422927901,17.7785043299999 -31.1226396801,18.27909468 -31.9029865701,18.2897206200001 -32.6293106900999,17.84749986 -32.8308334701,18.1432629000001 -33.2663918000999,18.43902594 -33.7019501300999,18.3105545400001 -34.0355567300999,18.40472028 -34.3027802301,18.4859695800001 -34.0994453901,18.7990264800001 -34.0888939701,18.81971928 -34.3788948500999,19.2781926000001 -34.4091721101,19.32041358 -34.5952834701,19.9999999254948 -34.8220024519163,19.99999998 -34.8220024701,20.5044440400001 -34.4647292901,21.15347094 -34.4238929600999,21.80249784 -34.3830566300999,22.5391635 -34.0111847301,23.36617854 -34.0909042100999,23.6493034200001 -33.9838943900999,24.23701098 -34.0927810700999,24.8247185399999 -34.2016677501,25.0226364600001 -33.9680556500999,25.70194242 -34.0319518700999,25.72499844 -33.7672271301,26.5305519000001 -33.7533340100999,27.2152747800001 -33.3969459800999,27.8999976600001 -33.0405579501,28.5999984600001 -32.4606724101,29.29999926 -31.8807868700999,30.00000006 -31.3009013300999,30.0238876800001 -31.2811126701,30.4578692400001 -30.6510200301,30.8918508 -30.0209273900999,31.32583236 -29.3908347500999,31.6883759400001 -29.0992534701,32.5720062 -29.1402164661,33.45563646 -29.1811794621,34.3392667200001 -29.2221424581,35.22289698 -29.2631054541,36.10652724 -29.3040684500999,37.1028064909091 -29.3502535864636,38.0990857418183 -29.3964387228272,39.0953649927274 -29.4426238591909,40.0916442436364 -29.4888089955545,41.0879234945456 -29.5349941319182,42.0842027454547 -29.5811792682817,43.0804819963636 -29.6273644046454,44.0767612472727 -29.673549541009,45.0730404981818 -29.7197346773727,46.0693197490909 -29.7659198137363,47.065599 -29.8121049501,48.0042026520001 -29.7364111100999,48.9428063040001 -29.6607172701,49.881409956 -29.5850234301,50.820013608 -29.5093295901,51.7586172600001 -29.4336357501,52.6972209119999 -29.3579419101,53.635824564 -29.2822480701,54.5744282160001 -29.2065542300999,55.5130318680001 -29.1308603901,56.45163552 -29.0551665501,57.390239172 -28.9794727101,58.328842824 -28.9037788701,59.2674464760001 -28.8280850300999,60.2060501280001 -28.7523911901,61.14465378 -28.6766973501,62.0529799000001 -28.5126940301,62.96130602 -28.3486907101,63.86963214 -28.1846873901,64.7779582600001 -28.0206840701,65.68628438 -27.8566807501,66.5946105000001 -27.6926774300999,67.5029366200001 -27.5286741100999,68.41126274 -27.3646707900999,69.3195888600001 -27.2006674700999,70.1954747485714 -26.9573658415285,71.0713606371429 -26.7140642129571,71.9472465257144 -26.4707625843857,72.8231324142859 -26.2274609558143,73.6990183028572 -25.9841593272429,74.5749041914286 -25.7408576986714,75.4507900800001 -25.4975560701,76.29603798 -25.0812399301,77.1412858800001 -24.6649237901,77.9865337799999 -24.2486076501,78.8317816800001 -23.8322915100999,79.6770295800001 -23.4159753701,80.52227748 -22.9996592301,81.3675253800001 -22.5833430901,82.21277328 -22.1670269501,83.05802118 -21.7507108100999,83.76559551 -21.3126885950999,84.47316984 -20.8746663800999,85.1807441700001 -20.4366441650999,85.8883185000001 -19.9986219501,86.53445676 -19.5986315901,87.18059502 -19.1986412301,87.8267332800001 -18.7986508701,88.6221999299999 -18.2120235800999,89.4176665800001 -17.6253962901,90.2131332300001 -17.0387690001,91.0085998800001 -16.4521417101,91.8040665300001 -15.8655144201,92.59953318 -15.2788871300999,93.28077777 -14.7301067900999,93.96202236 -14.1813264501,94.6432669500001 -13.6325461101,95.3245115400001 -13.0837657701,96.00575613 -12.5349854300999,96.68700072 -11.9862050901,97.33039836 -11.3428074201,97.9737960000001 -10.6994097501,98.6171936400001 -10.0560120801,99.26059128 -9.41261441009988,99.90398892 -8.76921674009992,100.54738656 -8.12581907009996,101.188925496 -7.50372071009991,101.830464432 -6.88162235009997,102.472003368 -6.25952399009992,103.113542304 -5.63742563009998,103.75508124 -5.01532727009993,103.89109806 -5.11138913010001,104.22593694 -5.52056837009997,104.56077582 -5.92974761009992,104.71430214 -5.91805553009993,104.60999304 -5.4933329301,105.14158632 -5.79534665009999,105.27193458 -5.44416611010001,105.5654343 -5.6703175701,105.77915946 -5.8350001101,105.78415266 -5.78372315009989,105.84428958 -5.16616691009995,105.9044265 -4.5486106701,105.8099823 -4.2424994301,105.95664972 -3.83861111009992,105.81414786 -3.69361121010002,105.94848474 -3.46256249010003,106.64749932 -3.37518569010001,107.3465139 -3.28780889009994,108.04552848 -3.20043209009998,108.07738488 -3.22736081009998,108.09664362 -3.1940426301,108.80907738 -3.10498841009996,109.52151114 -3.01593419009993,110.2339449 -2.92687997009995,110.24081424 -2.98277753010001,110.4761547 -2.89660379010002,110.56024674 -2.88609233009998,110.66609196 -3.08166665009998,110.93359374 -2.88694481009998,110.75193792 -3.0251389101,110.90693664 -3.09444431010002,111.335823 -2.92111115009993,111.54720312 -3.02416691009995,111.75168618 -2.7498263901,111.86747748 -3.56833355009996,112.24581912 -3.31388897009998,112.65165702 -3.41527757009999,113.03471376 -2.98972229009996,113.36581422 -3.26083343009998,113.60581974 -3.17263883009991,113.67109674 -3.47611091009998,114.1022034 -3.35638913010001,114.37499232 -3.46112105009996,114.60192876 -3.65583317009992,114.63706962 -4.18506863009992,115.30643841 -3.89309000010002,115.9758072 -3.6011113701,116.2163772 -3.14277791009994,116.1319275 -2.82333371009997,116.29136664 -2.98236101010002,116.30657952 -2.51798603009996,116.51471712 -2.5552778901,116.54397486 -2.44878089010001,117.4107165 -2.44878089010001,118.27745814 -2.44878089010001,119.14419978 -2.44878089010001,119.1435318 -2.45312483009997),(116.01277164 -3.63277769009994,116.05525974 -4.04236121009995,116.30532078 -3.90722207009998,116.27105706 -3.28525313009987,116.01277164 -3.63277769009994),(106.03386684 -5.88888923009995,105.9802533 -5.97980939009994,105.9517107 -6.02821301009999,105.49136358 -6.8088884901,105.21595764 -6.77521571009993,105.8613777 -6.87677459009996,106.50679776 -6.97833347009993,106.42330926 -7.3713884901,106.94608686 -7.43798615009996,107.46886446 -7.50458381009992,108.1869201 -7.7863883901,108.73831176 -7.74291614010002,109.28970342 -7.69944389009999,110.0768331 -7.92046235009997,110.86396278 -8.14148081010001,111.65109246 -8.36249927009999,111.78700254 -8.26069541009991,112.6466523 -8.43416591009998,113.2327575 -8.28111263009993,113.91163254 -8.52948518009998,114.59050758 -8.77785773009998,114.35678856 -8.43555443010001,114.40280646 -8.11630103009992,114.41965554 -7.99940885009994,114.44831856 -7.80055529009996,114.03804024 -7.61194427010003,113.29914852 -7.79215235009997,112.84790796 -7.60069409009992,112.81330872 -7.25166707009998,112.6047744 -7.20020813010001,112.56025698 -6.91222199009997,112.0944366 -6.91166687010002,111.49121862 -6.63006929009998,111.14873496 -6.6972913701,110.92734522 -6.41118047010002,110.7298431 -6.45916649010002,110.3936004 -6.97902773009992,109.58985135 -6.89868068009997,108.7861023 -6.81833363009997,108.31317894 -6.2616672501,107.65054314 -6.2500000101,107.33193972 -5.96166701009997,107.0385894 -5.91611099009998,106.92740628 -6.08829971009993,106.03386684 -5.88888923009995),(115.2933273 -6.8387927901,115.2955323 -7.00826459009994,115.57048032 -6.92111057009998,115.2933273 -6.8387927901),(113.5336914 -6.93329864010002,112.93942266 -6.89333351009998,112.7169342 -7.14875027009992,113.17359168 -7.22156243009999,114.12796014 -6.97326377009995,113.5336914 -6.93329864010002),(131.64572142 -7.11665537009992,131.23704528 -7.49097203010001,131.10856632 -7.99847213009997,131.32926936 -8.01430601009992,131.63009652 -7.62916613009997,131.64572142 -7.11665537009992),(129.8425293 -7.84124987009994,129.63217158 -7.79857259009998,129.7672119 -8.06041715010002,129.8425293 -7.84124987009994),(115.40624994 -8.19991517009998,115.19567874 -8.05805591009994,115.02295218 -8.1679761501,114.99401862 -8.18638889009992,114.79303638 -8.14881785009999,114.47859186 -8.09003633009996,114.49303668 -8.1238196301,114.60928338 -8.3956946900999,115.16194152 -8.67823601009991,115.10262306 -8.84680457010001,115.70984658 -8.40444467010002,115.40624994 -8.19991517009998),(115.85775762 -8.82256883009995,116.58283236 -8.89618019009998,116.73490914 -8.36548421009996,116.54481456 -8.29478885009996,116.33981328 -8.2185496701,116.27218836 -8.27207159009998,116.10247806 -8.40638921009997,116.07303618 -8.73111155010002,115.85775762 -8.82256883009995),(117.48136896 -8.19138911009992,117.53232642 -8.37707549009997,117.53610228 -8.39083487009998,117.54401958 -8.37804983009994,117.67956534 -8.15916641009994,117.48136896 -8.19138911009992),(117.70574958 -8.23722179009997,117.9749268 -8.41395623009998,118.2881088 -8.61958319009995,117.96637734 -8.7486095301,117.5635224 -8.41222283010001,117.1502685 -8.36847113009992,116.80330662 -8.59131815009994,116.74359126 -8.9818049301,117.04775994 -9.11076251010002,117.4388733 -9.04166789009997,118.16859438 -8.86513811010002,118.40512086 -8.58958331010001,118.45720674 -8.87194445009999,118.94317632 -8.84104061009992,118.75087746 -8.71520801010001,119.15054316 -8.75055605009993,119.06541306 -8.50482365009998,118.9999161 -8.31576353010001,118.7733231 -8.31319421009994,118.6979922 -8.47420727010001,118.66474152 -8.54527757009993,118.66083894 -8.47111145010001,118.65172572 -8.29791635010002,118.3162995 -8.37465197009999,117.92192076 -8.08555595009989,117.70574958 -8.23722179009997),(122.7418137 -8.22583301010002,122.89095306 -8.28479093009997,122.28830712 -8.64444533009993,122.03942868 -8.44361123009998,121.51360314 -8.60666567009997,121.0180473 -8.43194444009993,120.52249146 -8.25722321009994,119.90971368 -8.46416669009994,119.86228944 -8.57122529009996,119.79623412 -8.72034269009993,119.89388268 -8.85027695009995,120.53804022 -8.79333305009993,121.01638788 -8.94972227009993,121.52723463 -8.85112529010001,122.03808138 -8.75252831009999,122.8377762 -8.59818173009995,122.80004874 -8.43944459009992,123.0304032 -8.29722209009992,122.86803438 -8.07201383009993,122.7418137 -8.22583301010002),(131.0135193 -8.09027771009994,130.76553348 -8.35499957010001,131.17831416 -8.13124949009995,131.0135193 -8.09027771009994),(127.30835718 -8.40964415009989,127.00498968 -8.32444385009995,126.11721042 -8.46708296010002,125.22943116 -8.60972207010002,124.95189672 -8.95012673010001,124.87151484 -8.98863089009996,124.46280666 -9.18440915009995,124.04609676 -9.34000007010002,123.66359712 -9.64555547010002,123.57527166 -10.0283337500999,123.76220706 -10.0788880100999,123.49074546 -10.2390269901,123.61248018 -10.3713883701,124.43525694 -10.1627788101,124.78233717 -9.79903265009995,125.1294174 -9.43528649009994,125.47004598 -9.31267967010001,125.97230475 -9.13189523009999,126.47456352 -8.9511107900999,127.30835718 -8.40964415009989),(120.38650893 -9.68350694010002,119.93983452 -9.28965281009999,119.0335311 -9.43124963009996,118.93324284 -9.55944437009987,119.20054626 -9.74749955009997,119.62983708 -9.7722234501,120.22026066 -10.2483329901,120.62719728 -10.2388878501,120.83318334 -10.0773610700999,120.38650893 -9.68350694010002),(123.4060974 -8.59694477009992,123.9324723 -8.23548515009998,123.78762054 -8.1847219101,123.5822067 -8.37805559009996,123.40248102 -8.27500145009992,123.46989444 -8.35511009009991,123.21900936 -8.53201391009992,123.4060974 -8.59694477009992),(123.08804316 -8.41527743009988,123.34664916 -8.28347297009998,123.09081264 -8.2857361101,123.08804316 -8.41527743009988),(124.47499086 -8.13586991009998,124.35915366 -8.45999915009992,125.13970944 -8.32569413009992,125.08749396 -8.15541647009991,124.47499086 -8.13586991009998),(127.7977905 -8.10385511009997,128.02526856 -8.26749995009999,128.1277314 -8.16861155010002,127.7977905 -8.10385511009997),(124.12552644 -8.55222323009997,124.2998352 -8.2081948101,123.9807969 -8.34277721009994,123.91110234 -8.45861153009997,124.12552644 -8.55222323009997),(125.8609734 -7.99940885009994,126.79054254 -7.7497214901,126.6184539 -7.56499955009991,125.97221376 -7.65861125010002,125.7937614 -7.99940885009994,125.7827607 -8.02041719009992,125.8609734 -7.99940885009994),(105.62870034 -10.4372339901,105.7020264 -10.5108824300999,105.75251766 -10.4835452901,105.71488956 -10.3844891301,105.62870034 -10.4372339901),(123.39096066 -10.4380549701,122.85630792 -10.7597426901,122.84886168 -10.9296531501,123.19831854 -10.8230553500999,123.3944397 -10.6841659101,123.39096066 -10.4380549701),(121.87109376 -10.6075001301,122.00332644 -10.4552784501,121.72635648 -10.5446833701,121.87109376 -10.6075001301),(130.3926849 -11.1634025900999,130.48510734 -11.6024103501,130.49343864 -11.6420135901,130.55540472 -11.6815376301,130.9588623 -11.9388884901,131.52859506 -11.3919448101,131.27151492 -11.1902780300999,131.22351072 -11.4020138301,131.15171808 -11.2607651301,130.7049561 -11.3902778301,130.3926849 -11.1634025900999),(130.49127198 -11.6897067501,130.25567628 -11.3441666901,130.02470406 -11.7984724701,130.49356086 -11.8386115701,130.63658148 -11.7729167900999,130.49127198 -11.6897067501),(96.81929784 -12.1782263901,96.8525389800001 -12.1997461101,96.823494 -12.1308136700999,96.81929784 -12.1782263901),(112.95249174 -25.7844447501,113.20555122 -26.1447219501,112.9538727 -25.4877757700999,112.95249174 -25.7844447501),(136.7121888 -36.0566635101,137.45544426 -36.0853423700999,137.76095574 -35.8660431501,138.1127319 -35.8697203701,137.91094974 -35.7293777901,137.31719976 -35.5906906700999,136.5338745 -35.8822211901,136.7121888 -36.0566635101),(173.75164794 -39.2699966901,173.96662896 -39.5434760900999,174.78109746 -39.8530579101,175.07162484 -40.0030594701,175.23800658 -40.3297272501,175.11273198 -40.7388915500999,174.5919189 -41.2786102101,174.89123532 -41.2262458701,174.86357112 -41.4223632501,175.18858344 -41.4277801701,175.23080442 -41.6208343101,175.7399598 -41.3941687701,176.30703738 -40.7577762501,176.87411496 -40.1213837300999,177.11744688 -39.6793060700999,176.94662472 -39.6644440101,176.8985901 -39.4422187101,177.05496222 -39.2044448301,177.62884524 -39.0711136100999,177.9099732 -39.2569502901,177.92886348 -38.7222214101,178.29844668 -38.5391693301,178.35052482 -38.0047225101,178.55761716 -37.6956902300999,178.01800542 -37.5508309101,177.47357184 -37.9625015300999,177.15942378 -38.0133362301,176.57691957 -37.8261147201,175.99441536 -37.6388932100999,175.9555359 -37.5211105701,176.16560364 -37.6210402701,175.88970954 -37.2469444701,175.84732062 -36.8429146701,175.70870964 -36.8726348300999,175.84078986 -36.7541732300999,175.54039002 -36.5173607301,175.35385134 -36.5250015501,175.57913214 -37.2444458900999,174.80831904 -36.8052750501,174.78109746 -36.2669449101,174.5226288 -35.8469429900999,174.34872432 -35.8362502700999,174.3596802 -35.7234687501,174.60244746 -35.8444442301,174.31997688 -35.2327729101,174.14358516 -35.3286133701,174.00970458 -35.2181930900999,174.1010742 -35.1211090100999,173.47149666 -34.9902801501,173.45080566 -34.8077774300999,173.26692198 -35.0170861101,172.91192634 -34.4147186301,172.7224731 -34.4952774500999,173.18942262 -35.0127792500999,173.10330198 -35.2261048101,173.38177494 -35.5247192301,173.6555481 -35.3179168701,173.39720148 -35.5706977101,173.739006 -35.9900683701,174.08081052 -36.4094390301,174.17831418 -36.2797241901,174.1094055 -36.1745910501,174.50524908 -36.2313842901,174.26858526 -36.3458327901,174.42053226 -36.3684730101,174.45469662 -36.6479149101,174.1877442 -36.4969481901,174.50024418 -37.0347251901,174.77026362 -36.9366608301,174.8874816 -37.0591659501,174.70385748 -37.1977767501,174.55081176 -37.0772248100999,174.71427912 -37.3629188301,174.84065244 -37.2941703500999,174.71746818 -37.4250029901,174.84829704 -37.7697220701,174.97497564 -37.7500000100999,174.79330452 -37.8498649101,174.94024662 -38.1011123301,174.72439584 -38.1858291500999,174.58773804 -38.8288879701,173.75164794 -39.2699966901),(174.0451203 -41.4466666701,174.32385246 -41.2215232100999,174.02664186 -41.2361145501,174.25807182 -41.1225586701,174.31954956 -41.0019455300999,174.0327453 -40.9997254100999,173.89358514 -41.1927719901,174.07438668 -41.1979484301,173.78802486 -41.2905578900999,173.94982902 -41.0581931900999,173.79362484 -41.0159416101,173.10552984 -41.3133316701,173.01330558 -40.7966690301,172.86065676 -40.8530578101,172.65692142 -40.6533280101,172.98822024 -40.5310401501,172.63024902 -40.5105590301,172.11386106 -40.8799973301,172.06497198 -41.4036103101,171.51080328 -41.7644500100999,171.15165702 -42.5604172100999,170.79412842 -42.9013901301,170.22732543 -43.2516670701,169.66052244 -43.6019440101,169.0164261 -43.8212509700999,168.37232976 -44.0405579301,167.91156774 -44.4163227801,167.45080572 -44.7920876301,167.50619514 -45.0001411701,167.3167725 -44.8731918501,166.99691772 -45.1458358700999,167.30400078 -45.3165282501,167.05108638 -45.3333281901,167.20523064 -45.4777754900999,166.82162472 -45.3205566501,166.70745846 -45.5769463100999,167.04135126 -45.5013961701,166.77581796 -45.6627731900999,166.97412108 -45.7350005301,166.4646912 -45.8394394101,166.61468502 -46.0886116100999,166.94462592 -45.9492340101,166.7219085 -46.2124976901,167.5463562 -46.1541672501,167.8282929 -46.3965302301,168.37133796 -46.4190253701,168.35140998 -46.6031646500999,169.13302614 -46.6708374501,169.70190426 -46.5580521501,170.34246828 -45.9736099701,170.7797088 -45.8805541100999,170.55664056 -45.8848609701,170.87094117 -45.4115963300999,171.18524178 -44.9383316901,171.278595 -44.3699951900999,171.5384826 -44.1787757901,172.42498782 -43.7336120301,172.86621102 -43.9029158901,172.93997196 -43.7561111301,173.11148064 -43.8291664701,173.0596923 -43.6530532101,172.7758179 -43.6122207500999,172.77221682 -43.2197188701,173.28552246 -42.9580535901,173.78733825 -42.3531951800999,174.28915404 -41.7483367700999,174.0451203 -41.4466666701),(146.83358772 -43.6480560501,147.09533688 -43.2887153900999,146.99128716 -43.1124305901,147.24745182 -43.2691688301,147.31747434 -42.8466643700999,147.42712404 -43.0417404501,147.55746456 -42.8305586901,147.82580568 -42.9319458501,147.89941398 -43.0268746100999,147.70649718 -42.9383277500999,147.6316224 -43.0655517501,147.78970344 -43.2469481901,147.99552912 -43.2275886501,147.99969486 -42.9070777701,147.8428803 -42.8729171900999,148.0791168 -42.1172179701,148.19526666 -41.9454499101,148.36384584 -42.2224274301,148.31858061 -41.5617675800999,148.27331538 -40.9011077301,147.9718323 -40.7447890701,147.27896118 -40.9657249401,146.58609006 -41.1866608101,145.64372256 -40.9729156701,144.70135506 -40.7591705301,144.63720702 -41.0319443301,144.85858146 -41.5444487900999,145.20531456 -41.9477786601,145.55204766 -42.3511085301,145.46942136 -42.5230560500999,145.20523068 -42.2569503501,145.45968624 -42.9044418501,145.83691404 -43.2972259700999,146.23454286 -43.3251419901,145.93267818 -43.3763159901,146.03829948 -43.4980544901,146.83358772 -43.6480560501),(147.30026238 -43.2627791901,147.12301638 -43.4219436500999,147.30276492 -43.5133361301,147.30026238 -43.2627791901),(148.47914124 -40.4306946501,148.3430175 -40.3066634901,147.99856572 -40.3897246701,148.33914192 -40.5033340101,148.47914124 -40.4306946501),(148.279419 -39.9658356501,147.88189692 -39.7541732901,147.76074216 -39.8779830500999,148.12884522 -40.2744445700999,148.3313598 -40.2191658501,148.279419 -39.9658356501),(144.14645394 -39.9294394701,143.97746274 -39.5738906901,143.8377381 -39.8730544700999,143.92163088 -40.1363906901,144.14645394 -39.9294394701),(167.77290348 -46.7029190301,167.80912776 -46.9200019101,167.5223388 -47.2765273700999,168.21774288 -47.0725020501,168.01165764 -46.7306060901,167.77290348 -46.7029190301),(37.81999962 -46.9697265500999,37.7774964000001 -46.8315315501,37.5759696600001 -46.9129180100999,37.81999962 -46.9697265500999),(68.88082878 -49.4036177901,68.79207618 -49.7187538700999,69.2547148800001 -49.5127791501,69.75547785 -49.6010436801,70.2562408200001 -49.6893082101,70.32263184 -49.5413932101,69.84082026 -49.5519485901,69.7747192200001 -49.3941726501,70.4591523 -49.4441680100999,70.30902096 -49.3812522501,70.5674896200001 -49.2211876101,70.3291626000001 -49.0508347100999,69.58276362 -49.3044509301,69.28640748 -49.1921539701,69.6410294400001 -49.1225701101,69.5823516 -48.9504204501,69.2172088200001 -49.1255570301,69.1176299400001 -48.9947281701,69.00130458 -49.0885466901,69.18693534 -48.7727813300999,68.9511108600001 -48.8472289701,69.0788880000001 -48.6950072900999,68.9566573800001 -48.6666716900999,68.7402725399999 -49.0688933901,68.88082878 -49.4036177901),(165.89303586 -50.8476371900999,166.23786924 -50.8518067101,166.14135738 -50.6980514301,166.29193116 -50.5683364101,166.10830686 -50.5366668500999,165.89303586 -50.8476371900999),(167.99900814 -29.0273589501,167.93040474 -29.0006122100999,167.9159088 -29.0424670700999,167.96511846 -29.0810565501,167.99900814 -29.0273589501),(153.37106316 -25.0141678700999,153.28164672 -24.6991653500999,152.9430237 -25.5583343301,153.0816345 -25.7958335301,153.37106316 -25.0141678700999),(151.22247318 -23.5586128100999,151.01846316 -23.4563884700999,151.2271728 -23.7866668701,151.22247318 -23.5586128100999),(122.9797134 -5.10722249010001,123.0455322 -4.7575006701,123.21539298 -4.82180603009999,123.0755463 -4.40351015009998,122.85443124 -4.60055543009997,122.74118046 -5.24460263010002,122.56860348 -5.50694471010002,122.65544124 -5.68503383009994,123.2146377 -5.29368017009995,122.9797134 -5.10722249010001),(121.96179954 -5.47666691009999,121.98135384 -5.0811071901,121.80831138 -5.26916687009998,121.96179954 -5.47666691009999),(122.3742141 -4.7559028101,122.28470604 -5.3817358101,122.6166534 -5.35456571009991,122.64359292 -5.35236071009996,122.6539611 -5.23626431010001,122.70915216 -4.61833295009995,122.3742141 -4.7559028101),(123.25388328 -4.06277753009999,123.04609686 -3.9786199701,122.95776366 -4.10027783010003,123.14623266 -4.24270823009988,123.25388328 -4.06277753009999)))', 'CCSBT', 'Commission for the Conservation of Southern Bluefin Tuna', 'Yes', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.00000008 -4.99962845009998,-10.00000008 -5.99955413010002,-9.0251926747826 -5.99955413010002,-8.0503852695652 -5.99955413010002,-7.07557786434785 -5.99955413010002,-6.10077045913044 -5.99955413010002,-5.12596305391298 -5.99955413010002,-4.15115564869558 -5.99955413010002,-3.17634824347823 -5.99955413010002,-2.20154083826088 -5.99955413010002,-1.22673343304348 -5.99955413010002,-0.251926027826073 -5.99955413010002,0.722881377391275 -5.99955413010002,1.69768878260874 -5.99955413010002,2.67249618782614 -5.99955413010002,3.64730359304355 -5.99955413010002,4.62211099826101 -5.99955413010002,5.59691840347824 -5.99955413010002,6.57172580869565 -5.99955413010002,7.54653321391311 -5.99955413010002,8.52134061913051 -5.99955413010002,9.49614802434775 -5.99955413010002,10.4709554295652 -5.99955413010002,11.4457628347826 -5.99955413010002,12.42057024 -5.99955413010002,12.4358329800001 -6.01666745009993,12.47445972 -5.99955413010002,12.6387052200001 -5.99955413010002,12.2462492399999 -6.10361141009992,12.53201346 -6.52694486009995,12.8177776800001 -6.95027831009998,13.1047911900001 -7.67201423009999,13.3918047000001 -8.39375015009995,13.38749892 -8.74027823009999,12.98458296 -9.0812511501,13.37645772 -9.87704996009995,13.76833248 -10.6728487701,13.7802076200001 -11.2337861001,13.79208276 -11.7947234301,13.4591589 -12.5086079301,12.96999936 -12.7844447900999,12.51270684 -13.4243755701,12.34680438 -14.1393985701,12.18090192 -14.8544215700999,12.0149994600001 -15.5694445701,11.7312489000001 -15.8506956501,11.7420158700001 -16.5527644101,11.7527828400001 -17.2548331701,11.8072215000001 -18.0862522701,12.1340270700001 -18.5071554501,12.46083264 -18.9280586301,12.77518434 -19.5728270300999,13.0895360399999 -20.2175954301,13.4038877400001 -20.8623638301,13.7730547799999 -21.4258359501,14.14222182 -21.9893080700999,14.51138886 -22.5527801901,14.48701335 -23.3280582801,14.4626378400001 -24.1033363701,14.65965171 -24.5811128901,14.8566655800001 -25.0588894101,14.8377762 -25.7619476300999,15.0659713800001 -26.5422248601,15.2941665600001 -27.3225020901,15.75638766 -28.0341682700999,16.48958976 -28.5781784901,16.71752682 -29.0882566401,16.94546388 -29.5983347901,17.2779139800001 -30.3422927901,17.7785043299999 -31.1226396801,18.27909468 -31.9029865701,18.2897206200001 -32.6293106900999,17.84749986 -32.8308334701,18.1432629000001 -33.2663918000999,18.43902594 -33.7019501300999,18.3105545400001 -34.0355567300999,18.40472028 -34.3027802301,18.4859695800001 -34.0994453901,18.7990264800001 -34.0888939701,18.81971928 -34.3788948500999,19.2781926000001 -34.4091721101,19.32041358 -34.5952834701,19.9999999254948 -34.8220024519163,19.99999998 -34.8220024701,20.5044440400001 -34.4647292901,21.15347094 -34.4238929600999,21.80249784 -34.3830566300999,22.5391635 -34.0111847301,23.36617854 -34.0909042100999,23.6493034200001 -33.9838943900999,24.23701098 -34.0927810700999,24.8247185399999 -34.2016677501,25.0226364600001 -33.9680556500999,25.70194242 -34.0319518700999,25.72499844 -33.7672271301,26.5305519000001 -33.7533340100999,27.2152747800001 -33.3969459800999,27.8999976600001 -33.0405579501,28.5999984600001 -32.4606724101,29.29999926 -31.8807868700999,30.00000006 -31.3009013300999,30.00000006 -32.2191071061,30.00000006 -33.1373128821,30.00000006 -34.0555186581,30.00000006 -34.9737244341,30.00000006 -35.8919302100999,30.00000006 -36.8025230841,30.00000006 -37.7131159581,30.00000006 -38.6237088321,30.00000006 -39.5343017061,30.00000006 -40.4448945801,30.00000006 -41.3554874541,30.00000006 -42.2660803280999,30.00000006 -43.1766732020999,30.00000006 -44.0872660760999,30.00000006 -44.9978589501,30.00000006 -45.8311978100999,30.00000006 -46.6645366701,30.00000006 -47.4978755301,30.00000006 -48.3312143901,30.00000006 -49.1645532501,30.00000006 -49.9978921029579,30.0000000139705 -49.997892101984,29.5000000430745 -49.997892101984,29.0370309840001 -49.997892101984,29.0000000721782 -49.997892101984,28.4999999336441 -49.997892101984,28.074061908 -49.997892101984,27.9999999627479 -49.997892101984,27.4999999918516 -49.997892101984,27.111092832 -49.997892101984,27.0000000209556 -49.997892101984,26.5000000500593 -49.997892101984,26.1481237560001 -49.997892101984,26.000000079163 -49.997892101984,25.4999999406288 -49.997892101984,25.18515468 -49.997892101984,24.9999999697328 -49.997892101984,24.4999999988367 -49.997892101984,24.2221856039999 -49.997892101984,24.0000000279404 -49.997892101984,23.5000000570442 -49.997892101984,23.2592165280001 -49.997892101984,22.99999991851 -49.997892101984,22.4999999476139 -49.997892101984,22.296247452 -49.997892101984,21.9999999767176 -49.997892101984,21.5000000058216 -49.997892101984,21.3332783760001 -49.997892101984,21.0000000349253 -49.997892101984,20.5000000640292 -49.997892101984,20.3703093000001 -49.9978921028854,20.3703091921748 -49.9978921026271,19.9999999254948 -49.9978921025251,19.4999999545988 -49.9978921018161,19.385667610244 -49.997892101984,18.9999999837025 -49.997892101984,18.5000000128064 -49.997892101984,18.4010259204878 -49.997892101984,18.0000000419102 -49.997892101984,17.5000000710141 -49.997892101984,17.4163842307316 -49.997892101984,16.9999999324799 -49.997892101984,16.4999999615836 -49.997892101984,16.4317425409757 -49.997892101984,15.9999999906876 -49.997892101984,15.5000000197913 -49.997892101984,15.4471008512195 -49.997892101984,15.0000000488951 -49.997892101984,14.500000077999 -49.997892101984,14.4624591614634 -49.997892101984,13.9999999394648 -49.997892101984,13.4999999685687 -49.997892101984,13.4778174717075 -49.997892101984,12.9999999976724 -49.997892101984,12.5000000267762 -49.997892101984,12.4931757819513 -49.997892101984,12.0000000558802 -49.997892101984,11.5085340921952 -49.997892101984,11.4999999173459 -49.997892101984,10.9999999464496 -49.997892101984,10.5238924024391 -49.997892101984,10.4999999755536 -49.997892101984,10.0000000046573 -49.997892101984,9.53925071268293 -49.997892101984,9.50000003376124 -49.997892101984,9.00000006286501 -49.997892101984,8.55460902292697 -49.997892101984,8.49999992433078 -49.997892101984,7.9999999534345 -49.997892101984,7.56996733317078 -49.997892101984,7.49999998253844 -49.997892101984,7.00000001164221 -49.997892101984,6.58532564341465 -49.997892101984,6.5000000407461 -49.997892101984,6.00000006985005 -49.997892101984,5.60068395365852 -49.997892101984,5.49999993131564 -49.997892101984,4.99999996041959 -49.997892101984,4.61604226390256 -49.997892101984,4.4999999895233 -49.997892101984,4.00000001862725 -49.997892101984,3.63140057414643 -49.997892101984,3.50000004773102 -49.997892101984,3.00000007683474 -49.997892101984,2.64675888439029 -49.997892101984,2.49999993830068 -49.997892101984,1.99999996740445 -49.997892101984,1.66211719463416 -49.997892101984,1.49999999650822 -49.997892101984,1.00000002561211 -49.997892101984,0.677475504878032 -49.997892101984,0.500000054715883 -49.997892101984,-8.38183495943667e-08 -49.997892101984,-0.307166184878042 -49.997892101984,-0.500000054714519 -49.997892101984,-1.00000002561069 -49.997892101984,-1.29180787463417 -49.997892101984,-1.49999999650686 -49.997892101984,-1.99999996740291 -49.997892101984,-2.27644956439025 -49.997892101984,-2.49999993829914 -49.997892101984,-3.00000007683337 -49.997892101984,-3.26109125414627 -49.997892101984,-3.50000004772954 -49.997892101984,-4.00000001862571 -49.997892101984,-4.2457329439024 -49.997892101984,-4.49999998952194 -49.997892101984,-4.99999996041805 -49.997892101984,-5.23037463365853 -49.997892101984,-5.49999993131428 -49.997892101984,-6.00000006984851 -49.997892101984,-6.2150163234146 -49.997892101984,-6.50000004074468 -49.997892101984,-7.00000001164085 -49.997892101984,-7.19965801317073 -49.997892101984,-7.49999998253702 -49.997892101984,-7.99999995343313 -49.997892101984,-8.18429970292681 -49.997892101984,-8.4999999243293 -49.997892101984,-9.00000006286353 -49.997892101984,-9.16894139268294 -49.997892101984,-9.5000000337597 -49.997892101984,-10.0000000046559 -49.997892101984,-10.153583082439 -49.997892101984,-10.499999975552 -49.997892101984,-10.9999999464483 -49.997892101984,-11.138224772195 -49.997892101984,-11.4999999173444 -49.997892101984,-12.0000000558787 -49.997892101984,-12.1228664619512 -49.997892101984,-12.5000000267748 -49.997892101984,-12.9999999976711 -49.997892101984,-13.1075081517073 -49.997892101984,-13.4999999685671 -49.997892101984,-13.9999999394633 -49.997892101984,-14.0921498414634 -49.997892101984,-14.5000000779976 -49.997892101984,-15.0000000488938 -49.997892101984,-15.0767915312195 -49.997892101984,-15.5000000197899 -49.997892101984,-15.999999990686 -49.997892101984,-16.0614332209756 -49.997892101984,-16.4999999615823 -49.997892101984,-16.9999999324784 -49.997892101984,-17.0460749107316 -49.997892101984,-17.5000000710127 -49.997892101984,-18.0000000419088 -49.997892101984,-18.0307166004877 -49.997892101984,-18.5000000128051 -49.997892101984,-18.9999999837012 -49.997892101984,-19.0153582902439 -49.997892101984,-19.4999999545973 -49.997892101984,-19.9999999254936 -49.997892101984,-19.99999998 -49.997892101984,-19.99999998 -49.0210605500999,-19.99999998 -48.0601897791,-19.99999998 -47.0993190080999,-19.99999998 -46.1384482371,-19.99999998 -45.1775774661,-19.99999998 -44.2167066951,-19.99999998 -43.2558359241,-19.99999998 -42.2949651531,-19.99999998 -41.3340943821,-19.99999998 -40.3732236110999,-19.99999998 -39.4123528401,-19.99999998 -38.4514820691,-19.99999998 -37.4906112981,-19.99999998 -36.5297405271,-19.99999998 -35.5688697561,-19.99999998 -34.6079989851,-19.99999998 -33.6471282141,-19.99999998 -32.6862574431,-19.99999998 -31.7253866720999,-19.99999998 -30.7645159011,-19.99999998 -29.8036451301,-19.99999998 -28.8101902940999,-19.99999998 -27.8167354581,-19.99999998 -26.8232806221,-19.99999998 -25.8298257861,-19.99999998 -24.8363709500999,-19.99999998 -23.8429161141,-19.99999998 -22.8494612781,-19.99999998 -21.8560064421,-19.99999998 -20.8625516060999,-19.99999998 -19.8690967701,-19.99999998 -18.8756419341,-19.99999998 -17.8821870981,-19.99999998 -16.8887322620999,-19.99999998 -15.8952774260999,-19.99999998 -14.9018225901,-19.99999998 -13.9083677541,-19.99999998 -12.9149129181,-19.99999998 -11.9214580820999,-19.99999998 -10.9280032461,-19.99999998 -9.93454841009998,-19.99999998 -8.94109357410002,-19.99999998 -7.94763873809995,-19.99999998 -6.9541839021,-19.99999998 -5.96072906609999,-19.99999998 -4.96727423009992,-19.99999998 -3.97381939409996,-19.99999998 -2.98036455809995,-19.99999998 -1.98690972209999,-19.99999998 -0.993454886099869,-19.99999998 -5.00999135510938e-08,-18.9999999899999 -5.00999135510938e-08,-17.9999999999999 -5.00999135510938e-08,-17.0000000099999 -5.00999135510938e-08,-16.00000002 -5.00999135510938e-08,-15.00000003 -5.00999135510938e-08,-14.00000004 -5.00999135510938e-08,-13.00000005 -5.00999135510938e-08,-12.00000006 -5.00999135510938e-08,-11.0000000699999 -5.00999135510938e-08,-10.00000008 -5.00999135510938e-08,-10.00000008 -0.99992573009996,-10.00000008 -1.99985141010001,-10.00000008 -2.99977709009994,-10.00000008 -3.99970277009999,-10.00000008 -4.99962845009998),(-5.79242321999993 -15.9913082301,-5.70045474 -16.0035896301,-5.64563321999998 -15.9574565301,-5.71693140000002 -15.9053306901,-5.79242321999993 -15.9913082301)))', 'SEAFO', 'South-East Atlantic Fisheries Organisation', 'No', 'Y'),('SRID=4326;MULTIPOLYGON(((-163.08617598 55.0759002699,-163.13235408 55.0624666899,-163.17944334 55.1395759899001,-163.08617598 55.0759002699)),((-162.5816214 55.2226798299001,-162.61888482 55.2118395099,-162.63638298 55.2973557099,-162.5816214 55.2226798299001)),((176.91607674 65.0824890699,177.60578922 64.7204055699,178.177536 64.7018928399,178.74928278 64.6833801099,178.52221674 64.5880432898999,179.26110477 64.8284747799001,179.9999928 65.0689062699001,179.9999928 51.5823763899001,177.4107657 51.8942434899001,177.67747494 52.1058273699001,177.26798376 51.9116809899001,173.69784558 52.4051146299001,173.76666264 52.5080490699,173.55868758 52.4516869299,173.02327794 52.7640092499001,173.4369201 52.8519363699,173.13320916 52.9946441499001,172.76489676 52.9999618899001,171.3280293 54.7079367099001,170.61361542 57.7739623899,170.19770202 59.9513921499001,170.24246208 59.9101257099,170.64193734 60.4174956699001,171.29665377 60.6820068399001,171.9513702 60.9465180099,172.02046212 60.8467254699,172.20121758 60.9629097099,172.01824956 61.0922812899001,172.45303344 61.0411071099001,172.3429413 61.2190169499001,172.9560852 61.3027725699001,172.713852 61.4272155699001,173.13665778 61.3952713299001,173.49440004 61.5639495099001,173.54177856 61.7443008699001,174.06767277 61.7871475299002,174.59356698 61.8299941899001,174.72363282 61.8854102499001,174.60440064 61.9785309099,175.48385112 62.1755015499,176.3633016 62.3724721899001,177.24275208 62.5694428299,176.92970274 62.6645737299,176.97441096 62.8640212899,177.19177248 62.7034645298999,177.45260616 62.8099212099,177.33828744 62.5761031899001,178.21981818 62.4327030399001,179.10134892 62.2893028899001,179.1292725 62.4788817699,179.60440068 62.7002677299001,179.23565682 63.0056877699,179.41165164 63.1388816499,178.92913824 63.2933274099,178.77865608 63.5853385299,178.6803894 63.3836058699001,178.70414742 63.5733300099001,178.26109308 63.5745086499001,178.75747674 63.6399917498999,178.66386414 63.9437408499,178.37689212 63.9722137899001,178.4777526 64.1238708099,178.30303956 64.3397064699,178.14080808 64.2008209898999,177.63189696 64.3188781299,177.36100776 64.5444946299,177.48760986 64.7587432299001,176.79875184 64.6514815899001,176.10989382 64.5442199499001,176.42268378 64.7040786699001,176.06497194 64.9013824299,175.68171684 64.7335052499,175.06594845 64.7099342499,174.45018006 64.6863632499,175.07118987 64.7322044799,175.69219968 64.7780457099001,175.9161834 64.8815689299,176.05996704 64.9480285299,176.60650635 64.8656768199002,177.15304566 64.7833251099001,177.29866026 64.8306885099001,176.95719918 65.0380402299,176.30720514 65.0466537699001,176.91607674 65.0824890699),(179.48690802 51.9742965099,179.64971928 51.8672103699001,179.76899718 51.9661025499,179.48690802 51.9742965099)),((-168.12637326 65.6699829699,-167.4623565 65.4201202899001,-166.80854034 65.3568573099,-166.15472418 65.2935943299,-166.6116639 65.1210936699001,-166.95291132 65.2216492299,-166.38723756 64.8884582499,-166.40278632 64.6559601699001,-165.72167208 64.5504684699001,-165.04055784 64.4449767699001,-164.43124389 64.5170669499001,-163.82192994 64.5891571299001,-163.13874822 64.4126892699,-163.04055786 64.5183181298999,-163.3526307 64.5906829899,-163.1700135 64.6552581699001,-162.79028316 64.3361053899001,-162.10777284 64.7162400099,-161.13768012 64.9103851299001,-160.80757146 64.6265182899,-161.52917472 64.4188690299001,-161.18902584 64.4141541099001,-160.9483338 64.1994171699001,-160.81805412 63.7163848299001,-161.4415284 63.4577712699,-162.30598452 63.5406227499,-163.1116638 63.0519333699,-163.75639338 63.1334629299,-164.40112296 63.2149924899001,-164.58451848 63.1340904099001,-164.31805422 63.0096474099001,-164.69827272 63.0192298899,-164.8768005 62.8380471099001,-164.78604126 62.6523475899,-164.49336234 62.7467307699001,-164.84776308 62.5693321299001,-164.68640136 62.3802718298999,-164.89752192 62.5313796698999,-165.24722286 62.4460983699001,-165.701538 62.1159668499,-165.63333132 61.8469390299001,-166.09269708 61.8159637299001,-165.82695012 61.6812400299,-166.14770508 61.7137755699001,-166.17083742 61.5458298099001,-165.81597894 61.5343017099,-165.87359622 61.3326300699,-165.3866883 61.0686035499,-165.4063416 61.2058830699,-165.19764708 61.4065170099001,-164.71936044 61.6253356299001,-165.28060908 61.2582168099,-165.36686706 61.2017974299001,-165.31721496 61.1927947299001,-164.82208248 61.1030501499001,-165.15029916 60.9280471299001,-164.6165466 60.9271278699001,-164.04611202 60.8569411899001,-163.67304996 60.9906844299,-163.55512998 60.8971062099001,-163.88883972 60.8543167899,-163.42715448 60.7027015299001,-163.7868195 60.5777016099,-163.95138558 60.7805481099001,-164.41236882 60.5527687299,-164.27091978 60.7829055699001,-164.66831964 60.8970108099001,-164.71014408 60.9090195099001,-164.72459412 60.9006347499,-165.38555916 60.5172118899,-164.97964476 60.5404090298999,-165.1383972 60.4409599299001,-164.61631008 60.2093639199001,-164.09422296 59.9777679099,-164.21421816 59.9500579899,-164.13819894 59.8476295299,-163.65945438 59.7949942899,-163.08507537 59.8979109999001,-162.51069636 60.0008277099001,-162.56945808 60.3163833699001,-162.26167302 60.6163787499001,-161.87942502 60.7022171499,-162.2219238 60.5816650299,-162.3695832 60.1694335299001,-162.15605172 60.2449226499,-162.23652648 60.0636063099001,-161.70964056 59.4969367899,-161.95582584 59.3806877498999,-161.9940186 59.1470756499,-161.56840518 59.1066589899,-161.79278562 59.0172119499001,-161.69915772 58.7633246499,-162.1659699 58.6551284499001,-161.63220222 58.5991592499,-160.9774857 58.8287429499,-160.32276918 59.0583266499,-159.9143067 58.7704085499001,-159.62089536 58.9440880299001,-159.06291192 58.4286042099001,-158.83831782 58.4024887299001,-158.71089168 58.4927711499,-158.91139224 58.7670745898999,-158.77890018 58.7738800299001,-158.8212432 58.9684638099001,-158.69612124 58.8827704899001,-158.49719244 59.0439644499001,-158.53861998 59.1737442699001,-157.99276728 58.9049911299001,-158.48811342 59.0007552699,-158.55923466 58.8081855098999,-158.31832878 58.6458282099,-157.71513366 58.7601318099,-157.11193854 58.8744354099,-156.78181458 59.1512413899001,-157.1666031 58.7695064799001,-157.55139162 58.3877715699001,-157.54319766 58.2662429499,-157.13903808 58.1644363899,-157.61137392 58.0840224699,-157.70416266 57.6373519299,-157.39791876 57.4927710699,-157.74166872 57.5622100299001,-158.11526484 57.3580475499001,-158.65084836 57.0511016499,-158.63903802 56.7629128299001,-159.03500364 56.8049926899001,-159.69097899 56.5452728499001,-160.34695434 56.2855530099001,-160.57402038 55.9937400699,-160.29916542 55.8051933099001,-160.37604972 55.7962532499,-160.79014584 55.8775596099001,-160.71658974 55.7566555899,-160.76862396 55.7506050699,-161.06832882 55.9349898699,-161.77667238 55.8931884699001,-162.260559 55.6730499098999,-162.54890442 55.3424910699001,-163.3262481 55.1170768899,-163.32780096 55.0056093699001,-163.48176576 54.9608196099001,-163.53639216 55.0472869299001,-163.77751152 55.0554047498999,-164.49108894 54.9145736499001,-164.95234686 54.5802002499001,-164.82882276 54.4995759099,-165.75188004 54.1494508899,-165.97792062 54.2154045099001,-166.12168878 54.1144333299001,-165.98337876 54.0616409499001,-166.27513104 53.9509762299001,-166.37515254 54.0010299099001,-166.6036071 53.8290253299,-166.63154598 53.9997101499,-167.02043148 53.9566536099,-167.15237418 53.8238793099001,-166.89114126 53.7304278099,-168.12421092 53.3255392299,-167.79531852 53.4955368098999,-168.35404968 53.4733239099,-168.35723874 53.2623558099,-168.621399 53.2722167499001,-168.77460348 53.1259707099001,-172.0812312 52.3563245499001,-174.19291146 52.1157534699001,-173.9907531 52.3221396699001,-174.1800384 52.4176293099001,-174.44621268 52.3067284299001,-174.27917484 52.2099838299,-174.9791871 52.0547026899,-174.47463936 52.0836578499,-176.55978564 51.8461095099,-176.64224238 51.8572158699001,-176.55976872 51.9847107699001,-176.75836182 51.9508284699,-176.82434622 51.8167151499001,-177.10682994 51.7898119899001,-177.04779048 51.9031830099,-177.37270632 51.7644903099,-177.86444256 51.7176582699,-177.8253174 51.8311003899,-177.93072504 51.9164657499,-178.2165528 51.8742942699,-178.02822816 51.7020596499001,-178.03467954 51.7014453099001,-179.9999928 51.6419108499,-179.9999928 65.0689111299001,-179.68280022 65.1782989299,-179.32666014 65.6258086299,-179.74053954 65.7922058499001,-179.75414448 65.9984106099001,-178.89961284 65.9984106099001,-178.90945434 65.9938659699001,-178.4561004 65.7274780299001,-178.55738838 65.5141524699,-177.81272127 65.5619315799,-177.06805416 65.6097106899,-176.07806388 65.4702605499,-175.7806092 65.1607971699,-175.91336064 65.0163649899001,-175.44888306 64.7844238299,-174.84637446 64.7777710299001,-174.25972746 64.5622825899001,-173.67308046 64.3467941499,-173.36305242 64.4649886299001,-173.41557318 64.6166458299001,-173.284317 64.5205382499001,-173.43418878 64.3274155299001,-173.19140622 64.2544249899001,-172.8980865 64.3371963699001,-173.0257263 64.4967804099001,-172.35583488 64.4583129699,-173.08494576 64.6626129699001,-172.79306028 64.7613678099,-172.89852912 64.8303756699002,-173.19522096 64.7781677499,-172.66210173 64.9306716699001,-172.1289825 65.0831755899,-172.68307488 65.2277679699,-172.24472052 65.2455139899,-172.19055168 65.4466247499001,-172.80264276 65.6746978899,-171.83584602 65.5292892099001,-172.08251946 65.4844207899001,-171.5784912 65.4837265299002,-171.07446294 65.4830322699002,-171.02349846 65.5791474099,-171.54238896 65.8355484099,-170.63558964 65.6105347298999,-170.57829276 65.8527603699001,-169.78472892 65.9916381099001,-169.78083822 65.9984106099001,-168.82880226 65.9984106099001,-167.8767663 65.9984106099001,-166.92473034 65.9984106099001,-167.5255518 65.8341967899001,-168.12637326 65.6699829699),(-172.43975826 64.8613738299001,-172.67599494 64.7312469699,-172.16726688 64.7724761499,-172.43975826 64.8613738299001),(-171.85083012 63.5086059699,-171.73889154 63.3805465899001,-170.93310552 63.4154815299,-170.92828368 63.4156914099001,-170.86325076 63.4185103899001,-170.53363044 63.3136252899001,-169.80529788 63.1252594299,-169.6704255 62.9441490099001,-169.3211517 63.1845741099,-168.85000602 63.1552657899001,-168.70086666 63.2905426299,-169.5244446 63.3541564299001,-170.30001834 63.6941528499,-170.9200134 63.6540165399001,-171.54000846 63.6138802299001,-171.72917172 63.7893714099001,-171.85083012 63.5086059699),(-172.6705323 60.3324890499001,-172.28002932 60.3027724899001,-172.91488644 60.6015166899,-173.05101018 60.4958190699001,-172.6705323 60.3324890499001),(-166.10916132 60.4102706499,-166.76361081 60.2998465899,-167.4180603 60.1894225299,-166.77029421 59.9723472099,-166.12252812 59.7552718899,-166.20919794 59.8574904699,-165.54307554 59.9802627099,-165.68434152 60.2965201899001,-166.10916132 60.4102706499),(-161.11309806 58.6552733499,-160.92556758 58.5630492699001,-160.68978882 58.8147162699001,-161.11309806 58.6552733499)),((-161.79598242 65.9984106099001,-161.8164063 65.9749908099001,-162.07240356 65.9984106099001,-161.79598242 65.9984106099001)))', 'CCBSP', 'Convention on the Conservation and Management of the Pollock Resources in the Central Bering Sea', 'No', 'Y');

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-19.9999999999999 16.0000000000001,-19.9999999999999 16.5000000000001,-19.4999999999999 16.5000000000001,-19.4999999999999 16.0000000000001,-19.9999999999999 16.0000000000001)))', '16.5', '16', '19.5', '20', '16V4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.4999999999999 16.0000000000001,-19.4999999999999 16.5000000000001,-18.9999999999999 16.5000000000001,-18.9999999999999 16.0000000000001,-19.4999999999999 16.0000000000001)))', '16.5', '16', '19', '19.5', '16V3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 16.0000000000001,-18.9999999999999 16.5000000000001,-18.4999999999999 16.5000000000001,-18.4999999999999 16.0000000000001,-18.9999999999999 16.0000000000001)))', '16.5', '16', '18.5', '19', '16U4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.4999999999999 16.0000000000001,-18.4999999999999 16.5000000000001,-17.9999999999999 16.5000000000001,-17.9999999999999 16.0000000000001,-18.4999999999999 16.0000000000001)))', '16.5', '16', '18', '18.5', '16U3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 16.0000000000001,-17.9999999999999 16.5000000000001,-17.4999999999999 16.5000000000001,-17.4999999999999 16.0000000000001,-17.9999999999999 16.0000000000001)))', '16.5', '16', '17.5', '18', '16T4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.4999999999999 16.0000000000001,-17.4999999999999 16.5000000000001,-16.9999999999999 16.5000000000001,-16.9999999999999 16.0000000000001,-17.4999999999999 16.0000000000001)))', '16.5', '16', '17', '17.5', '16T3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 16.0000000000001,-16.9999999999999 16.5000000000001,-16.4999999999999 16.5000000000001,-16.4999999999999 16.0000000000001,-16.9999999999999 16.0000000000001)))', '16.5', '16', '16.5', '17', '16S4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.4999999999999 16.0000000000001,-16.4999999999999 16.5000000000001,-15.9999999999999 16.5000000000001,-15.9999999999999 16.0000000000001,-16.4999999999999 16.0000000000001)))', '16.5', '16', '16', '16.5', '16S3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 16.5000000000001,-19.9999999999999 17.0000000000001,-19.4946289059999 17.0000000000001,-19.4946289059999 16.5000000000001,-19.9999999999999 16.5000000000001)))', '17', '16.5', '19.5', '20', '16V1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.4999999999999 16.5000000000001,-19.4999999999999 17.0000000000001,-18.9999999999999 17.0000000000001,-18.9999999999999 16.5000000000001,-19.4999999999999 16.5000000000001)))', '17', '16.5', '19', '19.5', '16V2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 16.5000000000001,-18.9999999999999 17.0000000000001,-18.4999999999999 17.0000000000001,-18.4999999999999 16.5000000000001,-18.9999999999999 16.5000000000001)))', '17', '16.5', '18.5', '19', '16U1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.4999999999999 16.5000000000001,-18.4999999999999 17.0000000000001,-17.9999999999999 17.0000000000001,-17.9999999999999 16.5000000000001,-18.4999999999999 16.5000000000001)))', '17', '16.5', '18', '18.5', '16U2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 16.5000000000001,-17.9999999999999 17.0000000000001,-17.4999999999999 17.0000000000001,-17.4999999999999 16.5000000000001,-17.9999999999999 16.5000000000001)))', '17', '16.5', '17.5', '18', '16T1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.4999999999999 16.5000000000001,-17.4999999999999 17.0000000000001,-16.9999999999999 17.0000000000001,-16.9999999999999 16.5000000000001,-17.4999999999999 16.5000000000001)))', '17', '16.5', '17', '17.5', '16T2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 16.5000000000001,-16.9999999999999 17.0000000000001,-16.4999999999999 17.0000000000001,-16.4999999999999 16.5000000000001,-16.9999999999999 16.5000000000001)))', '17', '16.5', '16.5', '17', '16S1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.4999999999999 16.5000000000001,-16.4999999999999 17.0000000000001,-15.9999999999999 17.0000000000001,-15.9999999999999 16.5000000000001,-16.4999999999999 16.5000000000001)))', '17', '16.5', '16', '16.5', '16S2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 17.0000000000001,-19.9999999999999 17.5000000000001,-19.4999999999999 17.5000000000001,-19.4999999999999 17.0000000000001,-19.9999999999999 17.0000000000001)))', '17.5', '17', '19.5', '20', '17V4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.4999999999999 17.0000000000001,-19.4999999999999 17.5000000000001,-18.9999999999999 17.5000000000001,-18.9999999999999 17.0000000000001,-19.4999999999999 17.0000000000001)))', '17.5', '17', '19', '19.5', '17V3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 17.0000000000001,-18.9999999999999 17.5000000000001,-18.4999999999999 17.5000000000001,-18.4999999999999 17.0000000000001,-18.9999999999999 17.0000000000001)))', '17.5', '17', '18.5', '19', '17U4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.4999999999999 17.0000000000001,-18.4999999999999 17.5000000000001,-17.9999999999999 17.5000000000001,-17.9999999999999 17.0000000000001,-18.4999999999999 17.0000000000001)))', '17.5', '17', '18', '18.5', '17U3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 17.0000000000001,-17.9999999999999 17.5000000000001,-17.4999999999999 17.5000000000001,-17.4999999999999 17.0000000000001,-17.9999999999999 17.0000000000001)))', '17.5', '17', '17.5', '18', '17T4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.4999999999999 17.0000000000001,-17.4999999999999 17.5000000000001,-16.9999999999999 17.5000000000001,-16.9999999999999 17.0000000000001,-17.4999999999999 17.0000000000001)))', '17.5', '17', '17', '17.5', '17T3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 17.0000000000001,-16.9999999999999 17.5000000000001,-16.4999999999999 17.5000000000001,-16.4999999999999 17.0000000000001,-16.9999999999999 17.0000000000001)))', '17.5', '17', '16.5', '17', '17S4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.4999999999999 17.0000000000001,-16.4999999999999 17.5000000000001,-15.9999999999999 17.5000000000001,-15.9999999999999 17.0000000000001,-16.4999999999999 17.0000000000001)))', '17.5', '17', '16', '16.5', '17S3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 17.5000000000001,-19.9999999999999 18.0000000000001,-19.4999999999999 18.0000000000001,-19.4999999999999 17.5000000000001,-19.9999999999999 17.5000000000001)))', '18', '17.5', '19.5', '20', '17V1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.4999999999999 17.5000000000001,-19.4999999999999 18.0000000000001,-18.9999999999999 18.0000000000001,-18.9999999999999 17.5000000000001,-19.4999999999999 17.5000000000001)))', '18', '17.5', '19', '19.5', '17V2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 17.5000000000001,-18.9999999999999 18.0000000000001,-18.4999999999999 18.0000000000001,-18.4999999999999 17.5000000000001,-18.9999999999999 17.5000000000001)))', '18', '17.5', '18.5', '19', '17U1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.4999999999999 17.5000000000001,-18.4999999999999 18.0000000000001,-17.9999999999999 18.0000000000001,-17.9999999999999 17.5000000000001,-18.4999999999999 17.5000000000001)))', '18', '17.5', '18', '18.5', '17U2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 17.5000000000001,-17.9999999999999 18.0000000000001,-17.4999999999999 18.0000000000001,-17.4999999999999 17.5000000000001,-17.9999999999999 17.5000000000001)))', '18', '17.5', '17.5', '18', '17T1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.4999999999999 17.5000000000001,-17.4999999999999 18.0000000000001,-16.9999999999999 18.0000000000001,-16.9999999999999 17.5000000000001,-17.4999999999999 17.5000000000001)))', '18', '17.5', '17', '17.5', '17T2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 17.5000000000001,-16.9999999999999 18.0000000000001,-16.4999999999999 18.0000000000001,-16.4999999999999 17.5000000000001,-16.9999999999999 17.5000000000001)))', '18', '17.5', '16.5', '17', '17S1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.4999999999999 17.5000000000001,-16.4999999999999 18.0000000000001,-15.9999999999999 18.0000000000001,-15.9999999999999 17.5000000000001,-16.4999999999999 17.5000000000001)))', '18', '17.5', '16', '16.5', '17S2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 18.0000000000001,-19.9999999999999 18.5000000000001,-19.4999999999999 18.5000000000001,-19.4999999999999 18.0000000000001,-19.9999999999999 18.0000000000001)))', '18.5', '18', '19.5', '20', '18V4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.4999999999999 18.0000000000001,-19.4999999999999 18.5000000000001,-18.9999999999999 18.5000000000001,-18.9999999999999 18.0000000000001,-19.4999999999999 18.0000000000001)))', '18.5', '18', '19', '19.5', '18V3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 18.0000000000001,-18.9999999999999 18.5000000000001,-18.4999999999999 18.5000000000001,-18.4999999999999 18.0000000000001,-18.9999999999999 18.0000000000001)))', '18.5', '18', '18.5', '19', '18U4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.4999999999999 18.0000000000001,-18.4999999999999 18.5000000000001,-17.9999999999999 18.5000000000001,-17.9999999999999 18.0000000000001,-18.4999999999999 18.0000000000001)))', '18.5', '18', '18', '18.5', '18U3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 18.0000000000001,-17.9999999999999 18.5000000000001,-17.4999999999999 18.5000000000001,-17.4999999999999 18.0000000000001,-17.9999999999999 18.0000000000001)))', '18.5', '18', '17.5', '18', '18T4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.4999999999999 18.0000000000001,-17.4999999999999 18.5000000000001,-16.9999999999999 18.5000000000001,-16.9999999999999 18.0000000000001,-17.4999999999999 18.0000000000001)))', '18.5', '18', '17', '17.5', '18T3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 18.0000000000001,-16.9999999999999 18.5000000000001,-16.4999999999999 18.5000000000001,-16.4999999999999 18.0000000000001,-16.9999999999999 18.0000000000001)))', '18.5', '18', '16.5', '17', '18S4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.4999999999999 18.0000000000001,-16.4999999999999 18.5000000000001,-15.9999999999999 18.5000000000001,-15.9999999999999 18.0000000000001,-16.4999999999999 18.0000000000001)))', '18.5', '18', '16', '16.5', '18S3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 18.5000000000001,-19.9999999999999 19.0000000000001,-19.4999999999999 19.0000000000001,-19.4999999999999 18.5000000000001,-19.9999999999999 18.5000000000001)))', '19', '18.5', '19.5', '20', '18V1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.4999999999999 18.5000000000001,-19.4999999999999 19.0000000000001,-18.9999999999999 19.0000000000001,-18.9999999999999 18.5000000000001,-19.4999999999999 18.5000000000001)))', '19', '18.5', '19', '19.5', '18V2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 18.5000000000001,-18.9999999999999 19.0000000000001,-18.4999999999999 19.0000000000001,-18.4999999999999 18.5000000000001,-18.9999999999999 18.5000000000001)))', '19', '18.5', '18.5', '19', '18U1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.4999999999999 18.5000000000001,-18.4999999999999 19.0000000000001,-17.9999999999999 19.0000000000001,-17.9999999999999 18.5000000000001,-18.4999999999999 18.5000000000001)))', '19', '18.5', '18', '18.5', '18U2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 18.5000000000001,-17.9999999999999 19.0000000000001,-17.4999999999999 19.0000000000001,-17.4999999999999 18.5000000000001,-17.9999999999999 18.5000000000001)))', '19', '18.5', '17.5', '18', '18T1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.4999999999999 18.5000000000001,-17.4999999999999 19.0000000000001,-16.9999999999999 19.0000000000001,-16.9999999999999 18.5000000000001,-17.4999999999999 18.5000000000001)))', '19', '18.5', '17', '17.5', '18T2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 18.5000000000001,-16.9999999999999 19.0000000000001,-16.4999999999999 19.0000000000001,-16.4999999999999 18.5000000000001,-16.9999999999999 18.5000000000001)))', '19', '18.5', '16.5', '17', '18S1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.4999999999999 18.5000000000001,-16.4999999999999 19.0000000000001,-15.9999999999999 19.0000000000001,-15.9999999999999 18.5000000000001,-16.4999999999999 18.5000000000001)))', '19', '18.5', '16', '16.5', '18S2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 19.0000000000001,-19.9999999999999 19.5000000000001,-19.4999999999999 19.5000000000001,-19.4999999999999 19.0000000000001,-19.9999999999999 19.0000000000001)))', '19.5', '19', '19.5', '20', '19V4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.4999999999999 19.0000000000001,-19.4999999999999 19.5000000000001,-18.9999999999999 19.5000000000001,-18.9999999999999 19.0000000000001,-19.4999999999999 19.0000000000001)))', '19.5', '19', '19', '19.5', '19V3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 19.0000000000001,-18.9999999999999 19.5000000000001,-18.4999999999999 19.5000000000001,-18.4999999999999 19.0000000000001,-18.9999999999999 19.0000000000001)))', '19.5', '19', '18.5', '19', '19U4', 'MRT', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-18.4999999999999 19.0000000000001,-18.4999999999999 19.5000000000001,-17.9999999999999 19.5000000000001,-17.9999999999999 19.0000000000001,-18.4999999999999 19.0000000000001)))', '19.5', '19', '18', '18.5', '19U3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 19.0000000000001,-17.9999999999999 19.5000000000001,-17.4999999999999 19.5000000000001,-17.4999999999999 19.0000000000001,-17.9999999999999 19.0000000000001)))', '19.5', '19', '17.5', '18', '19T4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.4999999999999 19.0000000000001,-17.4999999999999 19.5000000000001,-16.9999999999999 19.5000000000001,-16.9999999999999 19.0000000000001,-17.4999999999999 19.0000000000001)))', '19.5', '19', '17', '17.5', '19T3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 19.0000000000001,-16.9999999999999 19.5000000000001,-16.4999999999999 19.5000000000001,-16.4999999999999 19.0000000000001,-16.9999999999999 19.0000000000001)))', '19.5', '19', '16.5', '17', '19S4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.4999999999999 19.0000000000001,-16.4999999999999 19.5000000000001,-15.9999999999999 19.5000000000001,-15.9999999999999 19.0000000000001,-16.4999999999999 19.0000000000001)))', '19.5', '19', '16', '16.5', '19S3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 19.5000000000001,-19.9999999999999 20.0000000000001,-19.4999999999999 20.0000000000001,-19.4999999999999 19.5000000000001,-19.9999999999999 19.5000000000001)))', '20', '20.5', '19.5', '20', '19V1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.4999999999999 19.5000000000001,-19.4999999999999 20.0000000000001,-18.9999999999999 20.0000000000001,-18.9999999999999 19.5000000000001,-19.4999999999999 19.5000000000001)))', '20', '20.5', '19', '19.5', '19V2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 19.5000000000001,-18.9999999999999 20.0000000000001,-18.4999999999999 20.0000000000001,-18.4999999999999 19.5000000000001,-18.9999999999999 19.5000000000001)))', '20', '20.5', '18.5', '19', '19U1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.4999999999999 19.5000000000001,-18.4999999999999 20.0000000000001,-17.9999999999999 20.0000000000001,-17.9999999999999 19.5000000000001,-18.4999999999999 19.5000000000001)))', '20', '20.5', '18', '18.5', '19U2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 19.5000000000001,-17.9999999999999 20.0000000000001,-17.4999999999999 20.0000000000001,-17.4999999999999 19.5000000000001,-17.9999999999999 19.5000000000001)))', '20', '20.5', '17.5', '18', '19T1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.4999999999999 19.5000000000001,-17.4999999999999 20.0000000000001,-16.9999999999999 20.0000000000001,-16.9999999999999 19.5000000000001,-17.4999999999999 19.5000000000001)))', '20', '20.5', '17', '17.5', '19T2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 19.5000000000001,-16.9999999999999 20.0000000000001,-16.4999999999999 20.0000000000001,-16.4999999999999 19.5000000000001,-16.9999999999999 19.5000000000001)))', '20', '20.5', '16.5', '17', '19S1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.4999999999999 19.5000000000001,-16.4999999999999 20.0000000000001,-15.9999999999999 20.0000000000001,-15.9999999999999 19.5000000000001,-16.4999999999999 19.5000000000001)))', '20', '20.5', '16', '16.5', '19S2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 20.0000000000001,-19.9999999999999 20.5000000000001,-19.4999999999999 20.5000000000001,-19.4999999999999 20.0000000000001,-19.9999999999999 20.0000000000001)))', '20.5', '20', '19.5', '20', '20V4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.4999999999999 20.0000000000001,-19.4999999999999 20.5000000000001,-18.9999999999999 20.5000000000001,-18.9999999999999 20.0000000000001,-19.4999999999999 20.0000000000001)))', '20.5', '20', '19', '19.5', '20V3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 20.0000000000001,-18.9999999999999 20.5000000000001,-18.4999999999999 20.5000000000001,-18.4999999999999 20.0000000000001,-18.9999999999999 20.0000000000001)))', '20.5', '20', '18.5', '19', '20U4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.4999999999999 20.0000000000001,-18.4999999999999 20.5000000000001,-17.9999999999999 20.5000000000001,-17.9999999999999 20.0000000000001,-18.4999999999999 20.0000000000001)))', '20.5', '20', '18', '18.5', '20U3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 20.0000000000001,-17.9999999999999 20.5000000000001,-17.4999999999999 20.5000000000001,-17.4999999999999 20.0000000000001,-17.9999999999999 20.0000000000001)))', '20.5', '20', '17.5', '18', '20T4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.4999999999999 20.0000000000001,-17.4999999999999 20.5000000000001,-16.9999999999999 20.5000000000001,-16.9999999999999 20.0000000000001,-17.4999999999999 20.0000000000001)))', '20.5', '20', '17', '17.5', '20T3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 20.0000000000001,-16.9999999999999 20.5000000000001,-16.4999999999999 20.5000000000001,-16.4999999999999 20.0000000000001,-16.9999999999999 20.0000000000001)))', '20.5', '20', '16.5', '17', '20S4', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.4999999999999 20.0000000000001,-16.4999999999999 20.5000000000001,-15.9999999999999 20.5000000000001,-15.9999999999999 20.0000000000001,-16.4999999999999 20.0000000000001)))', '20.5', '20', '16', '16.5', '20S3', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 20.5000000000001,-19.9999999999999 21.0000000000001,-19.4999999999999 21.0000000000001,-19.4999999999999 20.5000000000001,-19.9999999999999 20.5000000000001)))', '21', '20.5', '19.5', '20', '20V1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.4999999999999 20.5000000000001,-19.4999999999999 21.0000000000001,-18.9999999999999 21.0000000000001,-18.9999999999999 20.5000000000001,-19.4999999999999 20.5000000000001)))', '21', '20.5', '19', '19.5', '20V2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 20.5000000000001,-18.9999999999999 21.0000000000001,-18.4999999999999 21.0000000000001,-18.4999999999999 20.5000000000001,-18.9999999999999 20.5000000000001)))', '21', '20.5', '18.5', '19', '20U1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.4999999999999 20.5000000000001,-18.4999999999999 21.0000000000001,-17.9999999999999 21.0000000000001,-17.9999999999999 20.5000000000001,-18.4999999999999 20.5000000000001)))', '21', '20.5', '18', '18.5', '20U2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 20.5000000000001,-17.9999999999999 21.0000000000001,-17.4999999999999 21.0000000000001,-17.4999999999999 20.5000000000001,-17.9999999999999 20.5000000000001)))', '21', '20.5', '17.5', '18', '20T1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.4999999999999 20.5000000000001,-17.4999999999999 21.0000000000001,-16.9999999999999 21.0000000000001,-16.9999999999999 20.5000000000001,-17.4999999999999 20.5000000000001)))', '21', '20.5', '17', '17.5', '20T2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 20.5000000000001,-16.9999999999999 21.0000000000001,-16.4999999999999 21.0000000000001,-16.4999999999999 20.5000000000001,-16.9999999999999 20.5000000000001)))', '21', '20.5', '16.5', '17', '20S1', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.4999999999999 20.5000000000001,-16.4999999999999 21.0000000000001,-15.9999999999999 21.0000000000001,-15.9999999999999 20.5000000000001,-16.4999999999999 20.5000000000001)))', '21', '20.5', '16', '16.5', '20S2', 'MRT', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 30.0000000000001,18.5000000000001 30.5000000000001,19.0000000000001 30.5000000000001,19.0000000000001 30.0000000000001,18.5000000000001 30.0000000000001)))', '30.5', '30', '19', '18.5', 'M00E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 30.0000000000001,19.0000000000001 30.5000000000001,19.5000000000001 30.5000000000001,19.5000000000001 30.0000000000001,19.0000000000001 30.0000000000001)))', '30.5', '30', '19.5', '19', 'M00F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 30.0000000000001,19.5000000000001 30.5000000000001,20.0000000000001 30.5000000000001,20.0000000000001 30.0000000000001,19.5000000000001 30.0000000000001)))', '30.5', '30', '20', '19.5', 'M00F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 30.5000000000001,17.5000000000001 31.0000000000001,18.0000000000001 31.0000000000001,18.0000000000001 30.5000000000001,17.5000000000001 30.5000000000001)))', '31', '30.5', '18', '17.5', 'M01E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 30.5000000000001,18.0000000000001 31.0000000000001,18.5000000000001 31.0000000000001,18.5000000000001 30.5000000000001,18.0000000000001 30.5000000000001)))', '31', '30.5', '18.5', '18', 'M01E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 30.5000000000001,18.5000000000001 31.0000000000001,19.0000000000001 31.0000000000001,19.0000000000001 30.5000000000001,18.5000000000001 30.5000000000001)))', '31', '30.5', '19', '18.5', 'M01E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 30.5000000000001,19.0000000000001 31.0000000000001,19.5000000000001 31.0000000000001,19.5000000000001 30.5000000000001,19.0000000000001 30.5000000000001)))', '31', '30.5', '19.5', '19', 'M01F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 30.5000000000001,19.5000000000001 31.0000000000001,20.0000000000001 31.0000000000001,20.0000000000001 30.5000000000001,19.5000000000001 30.5000000000001)))', '31', '30.5', '20', '19.5', 'M01F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 30.5000000000001,20.0000000000001 31.0000000000001,20.5000000000001 31.0000000000001,20.5000000000001 30.5000000000001,20.0000000000001 30.5000000000001)))', '31', '30.5', '20.5', '20', 'M01F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 30.5000000000001,28.5000000000001 31.0000000000001,29.0000000000001 31.0000000000001,29.0000000000001 30.5000000000001,28.5000000000001 30.5000000000001)))', '31', '30.5', '29', '28.5', 'M01G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 30.5000000000001,29.0000000000001 31.0000000000001,29.5000000000001 31.0000000000001,29.5000000000001 30.5000000000001,29.0000000000001 30.5000000000001)))', '31', '30.5', '29.5', '29', 'M01H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 30.5000000000001,29.5000000000001 31.0000000000001,30.0000000000001 31.0000000000001,30.0000000000001 30.5000000000001,29.5000000000001 30.5000000000001)))', '31', '30.5', '30', '29.5', 'M01H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 31.0000000000001,15.5000000000001 31.5000000000001,16.0000000000001 31.5000000000001,16.0000000000001 31.0000000000001,15.5000000000001 31.0000000000001)))', '31.5', '31', '16', '15.5', 'M02E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 31.0000000000001,16.0000000000001 31.5000000000001,16.5000000000001 31.5000000000001,16.5000000000001 31.0000000000001,16.0000000000001 31.0000000000001)))', '31.5', '31', '16.5', '16', 'M02E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 31.0000000000001,16.5000000000001 31.5000000000001,17.0000000000001 31.5000000000001,17.0000000000001 31.0000000000001,16.5000000000001 31.0000000000001)))', '31.5', '31', '17', '16.5', 'M02E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 31.0000000000001,17.0000000000001 31.5000000000001,17.5000000000001 31.5000000000001,17.5000000000001 31.0000000000001,17.0000000000001 31.0000000000001)))', '31.5', '31', '17.5', '17', 'M02E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 31.0000000000001,17.5000000000001 31.5000000000001,18.0000000000001 31.5000000000001,18.0000000000001 31.0000000000001,17.5000000000001 31.0000000000001)))', '31.5', '31', '18', '17.5', 'M02E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 31.0000000000001,18.0000000000001 31.5000000000001,18.5000000000001 31.5000000000001,18.5000000000001 31.0000000000001,18.0000000000001 31.0000000000001)))', '31.5', '31', '18.5', '18', 'M02E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 31.0000000000001,18.5000000000001 31.5000000000001,19.0000000000001 31.5000000000001,19.0000000000001 31.0000000000001,18.5000000000001 31.0000000000001)))', '31.5', '31', '19', '18.5', 'M02E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 31.0000000000001,19.0000000000001 31.5000000000001,19.5000000000001 31.5000000000001,19.5000000000001 31.0000000000001,19.0000000000001 31.0000000000001)))', '31.5', '31', '19.5', '19', 'M02F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 31.0000000000001,19.5000000000001 31.5000000000001,20.0000000000001 31.5000000000001,20.0000000000001 31.0000000000001,19.5000000000001 31.0000000000001)))', '31.5', '31', '20', '19.5', 'M02F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 31.0000000000001,20.0000000000001 31.5000000000001,20.5000000000001 31.5000000000001,20.5000000000001 31.0000000000001,20.0000000000001 31.0000000000001)))', '31.5', '31', '20.5', '20', 'M02F2', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((25.0000000000001 31.0000000000001,25.0000000000001 31.5000000000001,25.5000000000001 31.5000000000001,25.5000000000001 31.0000000000001,25.0000000000001 31.0000000000001)))', '31.5', '31', '25.5', '25', 'M02G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 31.0000000000001,26.0000000000001 31.5000000000001,26.5000000000001 31.5000000000001,26.5000000000001 31.0000000000001,26.0000000000001 31.0000000000001)))', '31.5', '31', '26.5', '26', 'M02G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 31.0000000000001,26.5000000000001 31.5000000000001,27.0000000000001 31.5000000000001,27.0000000000001 31.0000000000001,26.5000000000001 31.0000000000001)))', '31.5', '31', '27', '26.5', 'M02G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 31.0000000000001,27.0000000000001 31.5000000000001,27.5000000000001 31.5000000000001,27.5000000000001 31.0000000000001,27.0000000000001 31.0000000000001)))', '31.5', '31', '27.5', '27', 'M02G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 31.0000000000001,27.5000000000001 31.5000000000001,28.0000000000001 31.5000000000001,28.0000000000001 31.0000000000001,27.5000000000001 31.0000000000001)))', '31.5', '31', '28', '27.5', 'M02G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 31.0000000000001,28.0000000000001 31.5000000000001,28.5000000000001 31.5000000000001,28.5000000000001 31.0000000000001,28.0000000000001 31.0000000000001)))', '31.5', '31', '28.5', '28', 'M02G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 31.0000000000001,28.5000000000001 31.5000000000001,29.0000000000001 31.5000000000001,29.0000000000001 31.0000000000001,28.5000000000001 31.0000000000001)))', '31.5', '31', '29', '28.5', 'M02G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 31.0000000000001,29.0000000000001 31.5000000000001,29.5000000000001 31.5000000000001,29.5000000000001 31.0000000000001,29.0000000000001 31.0000000000001)))', '31.5', '31', '29.5', '29', 'M02H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 31.0000000000001,29.5000000000001 31.5000000000001,30.0000000000001 31.5000000000001,30.0000000000001 31.0000000000001,29.5000000000001 31.0000000000001)))', '31.5', '31', '30', '29.5', 'M02H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 31.0000000000001,30.0000000000001 31.5000000000001,30.5000000000001 31.5000000000001,30.5000000000001 31.0000000000001,30.0000000000001 31.0000000000001)))', '31.5', '31', '30.5', '30', 'M02H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 31.0000000000001,30.5000000000001 31.5000000000001,31.0000000000001 31.5000000000001,31.0000000000001 31.0000000000001,30.5000000000001 31.0000000000001)))', '31.5', '31', '31', '30.5', 'M02H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 31.0000000000001,31.0000000000001 31.5000000000001,31.5000000000001 31.5000000000001,31.5000000000001 31.0000000000001,31.0000000000001 31.0000000000001)))', '31.5', '31', '31.5', '31', 'M02H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 31.0000000000001,31.5000000000001 31.5000000000001,32.0000000000001 31.5000000000001,32.0000000000001 31.0000000000001,31.5000000000001 31.0000000000001)))', '31.5', '31', '32', '31.5', 'M02H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 31.0000000000001,32.0000000000001 31.5000000000001,32.5000000000001 31.5000000000001,32.5000000000001 31.0000000000001,32.0000000000001 31.0000000000001)))', '31.5', '31', '32.5', '32', 'M02H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 31.0000000000001,32.5000000000001 31.5000000000001,33.0000000000001 31.5000000000001,33.0000000000001 31.0000000000001,32.5000000000001 31.0000000000001)))', '31.5', '31', '33', '32.5', 'M02H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 31.0000000000001,33.0000000000001 31.5000000000001,33.5000000000001 31.5000000000001,33.5000000000001 31.0000000000001,33.0000000000001 31.0000000000001)))', '31.5', '31', '33.5', '33', 'M02H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 31.0000000000001,33.5000000000001 31.5000000000001,34.0000000000001 31.5000000000001,34.0000000000001 31.0000000000001,33.5000000000001 31.0000000000001)))', '31.5', '31', '34', '33.5', 'M02H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 31.0000000000001,34.0000000000001 31.5000000000001,34.5000000000001 31.5000000000001,34.5000000000001 31.0000000000001,34.0000000000001 31.0000000000001)))', '31.5', '31', '34.5', '34', 'M02I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 31.5000000000001,15.0000000000001 32.0000000000001,15.5000000000001 32.0000000000001,15.5000000000001 31.5000000000001,15.0000000000001 31.5000000000001)))', '32', '31.5', '15.5', '15', 'M03E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 31.5000000000001,15.5000000000001 32.0000000000001,16.0000000000001 32.0000000000001,16.0000000000001 31.5000000000001,15.5000000000001 31.5000000000001)))', '32', '31.5', '16', '15.5', 'M03E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 31.5000000000001,16.0000000000001 32.0000000000001,16.5000000000001 32.0000000000001,16.5000000000001 31.5000000000001,16.0000000000001 31.5000000000001)))', '32', '31.5', '16.5', '16', 'M03E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 31.5000000000001,16.5000000000001 32.0000000000001,17.0000000000001 32.0000000000001,17.0000000000001 31.5000000000001,16.5000000000001 31.5000000000001)))', '32', '31.5', '17', '16.5', 'M03E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 31.5000000000001,17.0000000000001 32.0000000000001,17.5000000000001 32.0000000000001,17.5000000000001 31.5000000000001,17.0000000000001 31.5000000000001)))', '32', '31.5', '17.5', '17', 'M03E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 31.5000000000001,17.5000000000001 32.0000000000001,18.0000000000001 32.0000000000001,18.0000000000001 31.5000000000001,17.5000000000001 31.5000000000001)))', '32', '31.5', '18', '17.5', 'M03E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 31.5000000000001,18.0000000000001 32.0000000000001,18.5000000000001 32.0000000000001,18.5000000000001 31.5000000000001,18.0000000000001 31.5000000000001)))', '32', '31.5', '18.5', '18', 'M03E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 31.5000000000001,18.5000000000001 32.0000000000001,19.0000000000001 32.0000000000001,19.0000000000001 31.5000000000001,18.5000000000001 31.5000000000001)))', '32', '31.5', '19', '18.5', 'M03E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 31.5000000000001,19.0000000000001 32.0000000000001,19.5000000000001 32.0000000000001,19.5000000000001 31.5000000000001,19.0000000000001 31.5000000000001)))', '32', '31.5', '19.5', '19', 'M03F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 31.5000000000001,19.5000000000001 32.0000000000001,20.0000000000001 32.0000000000001,20.0000000000001 31.5000000000001,19.5000000000001 31.5000000000001)))', '32', '31.5', '20', '19.5', 'M03F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 31.5000000000001,24.0000000000001 32.0000000000001,24.5000000000001 32.0000000000001,24.5000000000001 31.5000000000001,24.0000000000001 31.5000000000001)))', '32', '31.5', '24.5', '24', 'M03G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 31.5000000000001,24.5000000000001 32.0000000000001,25.0000000000001 32.0000000000001,25.0000000000001 31.5000000000001,24.5000000000001 31.5000000000001)))', '32', '31.5', '25', '24.5', 'M03G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 31.5000000000001,25.0000000000001 32.0000000000001,25.5000000000001 32.0000000000001,25.5000000000001 31.5000000000001,25.0000000000001 31.5000000000001)))', '32', '31.5', '25.5', '25', 'M03G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 31.5000000000001,25.5000000000001 32.0000000000001,26.0000000000001 32.0000000000001,26.0000000000001 31.5000000000001,25.5000000000001 31.5000000000001)))', '32', '31.5', '26', '25.5', 'M03G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 31.5000000000001,26.0000000000001 32.0000000000001,26.5000000000001 32.0000000000001,26.5000000000001 31.5000000000001,26.0000000000001 31.5000000000001)))', '32', '31.5', '26.5', '26', 'M03G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 31.5000000000001,26.5000000000001 32.0000000000001,27.0000000000001 32.0000000000001,27.0000000000001 31.5000000000001,26.5000000000001 31.5000000000001)))', '32', '31.5', '27', '26.5', 'M03G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 31.5000000000001,27.0000000000001 32.0000000000001,27.5000000000001 32.0000000000001,27.5000000000001 31.5000000000001,27.0000000000001 31.5000000000001)))', '32', '31.5', '27.5', '27', 'M03G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 31.5000000000001,27.5000000000001 32.0000000000001,28.0000000000001 32.0000000000001,28.0000000000001 31.5000000000001,27.5000000000001 31.5000000000001)))', '32', '31.5', '28', '27.5', 'M03G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 31.5000000000001,28.0000000000001 32.0000000000001,28.5000000000001 32.0000000000001,28.5000000000001 31.5000000000001,28.0000000000001 31.5000000000001)))', '32', '31.5', '28.5', '28', 'M03G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 31.5000000000001,28.5000000000001 32.0000000000001,29.0000000000001 32.0000000000001,29.0000000000001 31.5000000000001,28.5000000000001 31.5000000000001)))', '32', '31.5', '29', '28.5', 'M03G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 31.5000000000001,29.0000000000001 32.0000000000001,29.5000000000001 32.0000000000001,29.5000000000001 31.5000000000001,29.0000000000001 31.5000000000001)))', '32', '31.5', '29.5', '29', 'M03H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 31.5000000000001,29.5000000000001 32.0000000000001,30.0000000000001 32.0000000000001,30.0000000000001 31.5000000000001,29.5000000000001 31.5000000000001)))', '32', '31.5', '30', '29.5', 'M03H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 31.5000000000001,30.0000000000001 32.0000000000001,30.5000000000001 32.0000000000001,30.5000000000001 31.5000000000001,30.0000000000001 31.5000000000001)))', '32', '31.5', '30.5', '30', 'M03H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 31.5000000000001,30.5000000000001 32.0000000000001,31.0000000000001 32.0000000000001,31.0000000000001 31.5000000000001,30.5000000000001 31.5000000000001)))', '32', '31.5', '31', '30.5', 'M03H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 31.5000000000001,31.0000000000001 32.0000000000001,31.5000000000001 32.0000000000001,31.5000000000001 31.5000000000001,31.0000000000001 31.5000000000001)))', '32', '31.5', '31.5', '31', 'M03H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 31.5000000000001,31.5000000000001 32.0000000000001,32.0000000000001 32.0000000000001,32.0000000000001 31.5000000000001,31.5000000000001 31.5000000000001)))', '32', '31.5', '32', '31.5', 'M03H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 31.5000000000001,32.0000000000001 32.0000000000001,32.5000000000001 32.0000000000001,32.5000000000001 31.5000000000001,32.0000000000001 31.5000000000001)))', '32', '31.5', '32.5', '32', 'M03H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 31.5000000000001,32.5000000000001 32.0000000000001,33.0000000000001 32.0000000000001,33.0000000000001 31.5000000000001,32.5000000000001 31.5000000000001)))', '32', '31.5', '33', '32.5', 'M03H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 31.5000000000001,33.0000000000001 32.0000000000001,33.5000000000001 32.0000000000001,33.5000000000001 31.5000000000001,33.0000000000001 31.5000000000001)))', '32', '31.5', '33.5', '33', 'M03H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 31.5000000000001,33.5000000000001 32.0000000000001,34.0000000000001 32.0000000000001,34.0000000000001 31.5000000000001,33.5000000000001 31.5000000000001)))', '32', '31.5', '34', '33.5', 'M03H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 31.5000000000001,34.0000000000001 32.0000000000001,34.5000000000001 32.0000000000001,34.5000000000001 31.5000000000001,34.0000000000001 31.5000000000001)))', '32', '31.5', '34.5', '34', 'M03I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 31.5000000000001,34.5000000000001 32.0000000000001,35.0000000000001 32.0000000000001,35.0000000000001 31.5000000000001,34.5000000000001 31.5000000000001)))', '32', '31.5', '35', '34.5', 'M03I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 32.0000000000001,14.5000000000001 32.5000000000001,15.0000000000001 32.5000000000001,15.0000000000001 32.0000000000001,14.5000000000001 32.0000000000001)))', '32.5', '32', '15', '14.5', 'M04E1', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((15.0000000000001 32.0000000000001,15.0000000000001 32.5000000000001,15.5000000000001 32.5000000000001,15.5000000000001 32.0000000000001,15.0000000000001 32.0000000000001)))', '32.5', '32', '15.5', '15', 'M04E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 32.0000000000001,15.5000000000001 32.5000000000001,16.0000000000001 32.5000000000001,16.0000000000001 32.0000000000001,15.5000000000001 32.0000000000001)))', '32.5', '32', '16', '15.5', 'M04E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 32.0000000000001,16.0000000000001 32.5000000000001,16.5000000000001 32.5000000000001,16.5000000000001 32.0000000000001,16.0000000000001 32.0000000000001)))', '32.5', '32', '16.5', '16', 'M04E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 32.0000000000001,16.5000000000001 32.5000000000001,17.0000000000001 32.5000000000001,17.0000000000001 32.0000000000001,16.5000000000001 32.0000000000001)))', '32.5', '32', '17', '16.5', 'M04E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 32.0000000000001,17.0000000000001 32.5000000000001,17.5000000000001 32.5000000000001,17.5000000000001 32.0000000000001,17.0000000000001 32.0000000000001)))', '32.5', '32', '17.5', '17', 'M04E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 32.0000000000001,17.5000000000001 32.5000000000001,18.0000000000001 32.5000000000001,18.0000000000001 32.0000000000001,17.5000000000001 32.0000000000001)))', '32.5', '32', '18', '17.5', 'M04E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 32.0000000000001,18.0000000000001 32.5000000000001,18.5000000000001 32.5000000000001,18.5000000000001 32.0000000000001,18.0000000000001 32.0000000000001)))', '32.5', '32', '18.5', '18', 'M04E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 32.0000000000001,18.5000000000001 32.5000000000001,19.0000000000001 32.5000000000001,19.0000000000001 32.0000000000001,18.5000000000001 32.0000000000001)))', '32.5', '32', '19', '18.5', 'M04E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 32.0000000000001,19.0000000000001 32.5000000000001,19.5000000000001 32.5000000000001,19.5000000000001 32.0000000000001,19.0000000000001 32.0000000000001)))', '32.5', '32', '19.5', '19', 'M04F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 32.0000000000001,19.5000000000001 32.5000000000001,20.0000000000001 32.5000000000001,20.0000000000001 32.0000000000001,19.5000000000001 32.0000000000001)))', '32.5', '32', '20', '19.5', 'M04F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 32.0000000000001,20.0000000000001 32.5000000000001,20.5000000000001 32.5000000000001,20.5000000000001 32.0000000000001,20.0000000000001 32.0000000000001)))', '32.5', '32', '20.5', '20', 'M04F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 32.0000000000001,23.0000000000001 32.5000000000001,23.5000000000001 32.5000000000001,23.5000000000001 32.0000000000001,23.0000000000001 32.0000000000001)))', '32.5', '32', '23.5', '23', 'M04F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 32.0000000000001,23.5000000000001 32.5000000000001,24.0000000000001 32.5000000000001,24.0000000000001 32.0000000000001,23.5000000000001 32.0000000000001)))', '32.5', '32', '24', '23.5', 'M04F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 32.0000000000001,24.0000000000001 32.5000000000001,24.5000000000001 32.5000000000001,24.5000000000001 32.0000000000001,24.0000000000001 32.0000000000001)))', '32.5', '32', '24.5', '24', 'M04G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 32.0000000000001,24.5000000000001 32.5000000000001,25.0000000000001 32.5000000000001,25.0000000000001 32.0000000000001,24.5000000000001 32.0000000000001)))', '32.5', '32', '25', '24.5', 'M04G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 32.0000000000001,25.0000000000001 32.5000000000001,25.5000000000001 32.5000000000001,25.5000000000001 32.0000000000001,25.0000000000001 32.0000000000001)))', '32.5', '32', '25.5', '25', 'M04G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 32.0000000000001,25.5000000000001 32.5000000000001,26.0000000000001 32.5000000000001,26.0000000000001 32.0000000000001,25.5000000000001 32.0000000000001)))', '32.5', '32', '26', '25.5', 'M04G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 32.0000000000001,26.0000000000001 32.5000000000001,26.5000000000001 32.5000000000001,26.5000000000001 32.0000000000001,26.0000000000001 32.0000000000001)))', '32.5', '32', '26.5', '26', 'M04G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 32.0000000000001,26.5000000000001 32.5000000000001,27.0000000000001 32.5000000000001,27.0000000000001 32.0000000000001,26.5000000000001 32.0000000000001)))', '32.5', '32', '27', '26.5', 'M04G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 32.0000000000001,27.0000000000001 32.5000000000001,27.5000000000001 32.5000000000001,27.5000000000001 32.0000000000001,27.0000000000001 32.0000000000001)))', '32.5', '32', '27.5', '27', 'M04G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 32.0000000000001,27.5000000000001 32.5000000000001,28.0000000000001 32.5000000000001,28.0000000000001 32.0000000000001,27.5000000000001 32.0000000000001)))', '32.5', '32', '28', '27.5', 'M04G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 32.0000000000001,28.0000000000001 32.5000000000001,28.5000000000001 32.5000000000001,28.5000000000001 32.0000000000001,28.0000000000001 32.0000000000001)))', '32.5', '32', '28.5', '28', 'M04G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 32.0000000000001,28.5000000000001 32.5000000000001,29.0000000000001 32.5000000000001,29.0000000000001 32.0000000000001,28.5000000000001 32.0000000000001)))', '32.5', '32', '29', '28.5', 'M04G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 32.0000000000001,29.0000000000001 32.5000000000001,29.5000000000001 32.5000000000001,29.5000000000001 32.0000000000001,29.0000000000001 32.0000000000001)))', '32.5', '32', '29.5', '29', 'M04H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 32.0000000000001,29.5000000000001 32.5000000000001,30.0000000000001 32.5000000000001,30.0000000000001 32.0000000000001,29.5000000000001 32.0000000000001)))', '32.5', '32', '30', '29.5', 'M04H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 32.0000000000001,30.0000000000001 32.5000000000001,30.5000000000001 32.5000000000001,30.5000000000001 32.0000000000001,30.0000000000001 32.0000000000001)))', '32.5', '32', '30.5', '30', 'M04H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 32.0000000000001,30.5000000000001 32.5000000000001,31.0000000000001 32.5000000000001,31.0000000000001 32.0000000000001,30.5000000000001 32.0000000000001)))', '32.5', '32', '31', '30.5', 'M04H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 32.0000000000001,31.0000000000001 32.5000000000001,31.5000000000001 32.5000000000001,31.5000000000001 32.0000000000001,31.0000000000001 32.0000000000001)))', '32.5', '32', '31.5', '31', 'M04H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 32.0000000000001,31.5000000000001 32.5000000000001,32.0000000000001 32.5000000000001,32.0000000000001 32.0000000000001,31.5000000000001 32.0000000000001)))', '32.5', '32', '32', '31.5', 'M04H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 32.0000000000001,32.0000000000001 32.5000000000001,32.5000000000001 32.5000000000001,32.5000000000001 32.0000000000001,32.0000000000001 32.0000000000001)))', '32.5', '32', '32.5', '32', 'M04H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 32.0000000000001,32.5000000000001 32.5000000000001,33.0000000000001 32.5000000000001,33.0000000000001 32.0000000000001,32.5000000000001 32.0000000000001)))', '32.5', '32', '33', '32.5', 'M04H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 32.0000000000001,33.0000000000001 32.5000000000001,33.5000000000001 32.5000000000001,33.5000000000001 32.0000000000001,33.0000000000001 32.0000000000001)))', '32.5', '32', '33.5', '33', 'M04H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 32.0000000000001,33.5000000000001 32.5000000000001,34.0000000000001 32.5000000000001,34.0000000000001 32.0000000000001,33.5000000000001 32.0000000000001)))', '32.5', '32', '34', '33.5', 'M04H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 32.0000000000001,34.0000000000001 32.5000000000001,34.5000000000001 32.5000000000001,34.5000000000001 32.0000000000001,34.0000000000001 32.0000000000001)))', '32.5', '32', '34.5', '34', 'M04I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 32.0000000000001,34.5000000000001 32.5000000000001,35.0000000000001 32.5000000000001,35.0000000000001 32.0000000000001,34.5000000000001 32.0000000000001)))', '32.5', '32', '35', '34.5', 'M04I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 32.5000000000001,11.5000000000001 33.0000000000001,12.0000000000001 33.0000000000001,12.0000000000001 32.5000000000001,11.5000000000001 32.5000000000001)))', '33', '32.5', '12', '11.5', 'M05D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 32.5000000000001,12.0000000000001 33.0000000000001,12.5000000000001 33.0000000000001,12.5000000000001 32.5000000000001,12.0000000000001 32.5000000000001)))', '33', '32.5', '12.5', '12', 'M05D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 32.5000000000001,12.5000000000001 33.0000000000001,13.0000000000001 33.0000000000001,13.0000000000001 32.5000000000001,12.5000000000001 32.5000000000001)))', '33', '32.5', '13', '12.5', 'M05D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 32.5000000000001,13.0000000000001 33.0000000000001,13.5000000000001 33.0000000000001,13.5000000000001 32.5000000000001,13.0000000000001 32.5000000000001)))', '33', '32.5', '13.5', '13', 'M05D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 32.5000000000001,13.5000000000001 33.0000000000001,14.0000000000001 33.0000000000001,14.0000000000001 32.5000000000001,13.5000000000001 32.5000000000001)))', '33', '32.5', '14', '13.5', 'M05D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 32.5000000000001,14.0000000000001 33.0000000000001,14.5000000000001 33.0000000000001,14.5000000000001 32.5000000000001,14.0000000000001 32.5000000000001)))', '33', '32.5', '14.5', '14', 'M05E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 32.5000000000001,14.5000000000001 33.0000000000001,15.0000000000001 33.0000000000001,15.0000000000001 32.5000000000001,14.5000000000001 32.5000000000001)))', '33', '32.5', '15', '14.5', 'M05E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 32.5000000000001,15.0000000000001 33.0000000000001,15.5000000000001 33.0000000000001,15.5000000000001 32.5000000000001,15.0000000000001 32.5000000000001)))', '33', '32.5', '15.5', '15', 'M05E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 32.5000000000001,15.5000000000001 33.0000000000001,16.0000000000001 33.0000000000001,16.0000000000001 32.5000000000001,15.5000000000001 32.5000000000001)))', '33', '32.5', '16', '15.5', 'M05E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 32.5000000000001,16.0000000000001 33.0000000000001,16.5000000000001 33.0000000000001,16.5000000000001 32.5000000000001,16.0000000000001 32.5000000000001)))', '33', '32.5', '16.5', '16', 'M05E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 32.5000000000001,16.5000000000001 33.0000000000001,17.0000000000001 33.0000000000001,17.0000000000001 32.5000000000001,16.5000000000001 32.5000000000001)))', '33', '32.5', '17', '16.5', 'M05E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 32.5000000000001,17.0000000000001 33.0000000000001,17.5000000000001 33.0000000000001,17.5000000000001 32.5000000000001,17.0000000000001 32.5000000000001)))', '33', '32.5', '17.5', '17', 'M05E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 32.5000000000001,17.5000000000001 33.0000000000001,18.0000000000001 33.0000000000001,18.0000000000001 32.5000000000001,17.5000000000001 32.5000000000001)))', '33', '32.5', '18', '17.5', 'M05E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 32.5000000000001,18.0000000000001 33.0000000000001,18.5000000000001 33.0000000000001,18.5000000000001 32.5000000000001,18.0000000000001 32.5000000000001)))', '33', '32.5', '18.5', '18', 'M05E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 32.5000000000001,18.5000000000001 33.0000000000001,19.0000000000001 33.0000000000001,19.0000000000001 32.5000000000001,18.5000000000001 32.5000000000001)))', '33', '32.5', '19', '18.5', 'M05E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 32.5000000000001,19.0000000000001 33.0000000000001,19.5000000000001 33.0000000000001,19.5000000000001 32.5000000000001,19.0000000000001 32.5000000000001)))', '33', '32.5', '19.5', '19', 'M05F0', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((19.5000000000001 32.5000000000001,19.5000000000001 33.0000000000001,20.0000000000001 33.0000000000001,20.0000000000001 32.5000000000001,19.5000000000001 32.5000000000001)))', '33', '32.5', '20', '19.5', 'M05F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 32.5000000000001,20.0000000000001 33.0000000000001,20.5000000000001 33.0000000000001,20.5000000000001 32.5000000000001,20.0000000000001 32.5000000000001)))', '33', '32.5', '20.5', '20', 'M05F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5000000000001 32.5000000000001,20.5000000000001 33.0000000000001,21.0000000000001 33.0000000000001,21.0000000000001 32.5000000000001,20.5000000000001 32.5000000000001)))', '33', '32.5', '21', '20.5', 'M05F3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 32.5000000000001,21.0000000000001 33.0000000000001,21.5000000000001 33.0000000000001,21.5000000000001 32.5000000000001,21.0000000000001 32.5000000000001)))', '33', '32.5', '21.5', '21', 'M05F4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5000000000001 32.5000000000001,21.5000000000001 33.0000000000001,22.0000000000001 33.0000000000001,22.0000000000001 32.5000000000001,21.5000000000001 32.5000000000001)))', '33', '32.5', '22', '21.5', 'M05F5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 32.5000000000001,22.0000000000001 33.0000000000001,22.5000000000001 33.0000000000001,22.5000000000001 32.5000000000001,22.0000000000001 32.5000000000001)))', '33', '32.5', '22.5', '22', 'M05F6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 32.5000000000001,22.5000000000001 33.0000000000001,23.0000000000001 33.0000000000001,23.0000000000001 32.5000000000001,22.5000000000001 32.5000000000001)))', '33', '32.5', '23', '22.5', 'M05F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 32.5000000000001,23.0000000000001 33.0000000000001,23.5000000000001 33.0000000000001,23.5000000000001 32.5000000000001,23.0000000000001 32.5000000000001)))', '33', '32.5', '23.5', '23', 'M05F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 32.5000000000001,23.5000000000001 33.0000000000001,24.0000000000001 33.0000000000001,24.0000000000001 32.5000000000001,23.5000000000001 32.5000000000001)))', '33', '32.5', '24', '23.5', 'M05F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 32.5000000000001,24.0000000000001 33.0000000000001,24.5000000000001 33.0000000000001,24.5000000000001 32.5000000000001,24.0000000000001 32.5000000000001)))', '33', '32.5', '24.5', '24', 'M05G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 32.5000000000001,24.5000000000001 33.0000000000001,25.0000000000001 33.0000000000001,25.0000000000001 32.5000000000001,24.5000000000001 32.5000000000001)))', '33', '32.5', '25', '24.5', 'M05G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 32.5000000000001,25.0000000000001 33.0000000000001,25.5000000000001 33.0000000000001,25.5000000000001 32.5000000000001,25.0000000000001 32.5000000000001)))', '33', '32.5', '25.5', '25', 'M05G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 32.5000000000001,25.5000000000001 33.0000000000001,26.0000000000001 33.0000000000001,26.0000000000001 32.5000000000001,25.5000000000001 32.5000000000001)))', '33', '32.5', '26', '25.5', 'M05G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 32.5000000000001,26.0000000000001 33.0000000000001,26.5000000000001 33.0000000000001,26.5000000000001 32.5000000000001,26.0000000000001 32.5000000000001)))', '33', '32.5', '26.5', '26', 'M05G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 32.5000000000001,26.5000000000001 33.0000000000001,27.0000000000001 33.0000000000001,27.0000000000001 32.5000000000001,26.5000000000001 32.5000000000001)))', '33', '32.5', '27', '26.5', 'M05G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 32.5000000000001,27.0000000000001 33.0000000000001,27.5000000000001 33.0000000000001,27.5000000000001 32.5000000000001,27.0000000000001 32.5000000000001)))', '33', '32.5', '27.5', '27', 'M05G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 32.5000000000001,27.5000000000001 33.0000000000001,28.0000000000001 33.0000000000001,28.0000000000001 32.5000000000001,27.5000000000001 32.5000000000001)))', '33', '32.5', '28', '27.5', 'M05G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 32.5000000000001,28.0000000000001 33.0000000000001,28.5000000000001 33.0000000000001,28.5000000000001 32.5000000000001,28.0000000000001 32.5000000000001)))', '33', '32.5', '28.5', '28', 'M05G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 32.5000000000001,28.5000000000001 33.0000000000001,29.0000000000001 33.0000000000001,29.0000000000001 32.5000000000001,28.5000000000001 32.5000000000001)))', '33', '32.5', '29', '28.5', 'M05G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 32.5000000000001,29.0000000000001 33.0000000000001,29.5000000000001 33.0000000000001,29.5000000000001 32.5000000000001,29.0000000000001 32.5000000000001)))', '33', '32.5', '29.5', '29', 'M05H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 32.5000000000001,29.5000000000001 33.0000000000001,30.0000000000001 33.0000000000001,30.0000000000001 32.5000000000001,29.5000000000001 32.5000000000001)))', '33', '32.5', '30', '29.5', 'M05H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 32.5000000000001,30.0000000000001 33.0000000000001,30.5000000000001 33.0000000000001,30.5000000000001 32.5000000000001,30.0000000000001 32.5000000000001)))', '33', '32.5', '30.5', '30', 'M05H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 32.5000000000001,30.5000000000001 33.0000000000001,31.0000000000001 33.0000000000001,31.0000000000001 32.5000000000001,30.5000000000001 32.5000000000001)))', '33', '32.5', '31', '30.5', 'M05H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 32.5000000000001,31.0000000000001 33.0000000000001,31.5000000000001 33.0000000000001,31.5000000000001 32.5000000000001,31.0000000000001 32.5000000000001)))', '33', '32.5', '31.5', '31', 'M05H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 32.5000000000001,31.5000000000001 33.0000000000001,32.0000000000001 33.0000000000001,32.0000000000001 32.5000000000001,31.5000000000001 32.5000000000001)))', '33', '32.5', '32', '31.5', 'M05H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 32.5000000000001,32.0000000000001 33.0000000000001,32.5000000000001 33.0000000000001,32.5000000000001 32.5000000000001,32.0000000000001 32.5000000000001)))', '33', '32.5', '32.5', '32', 'M05H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 32.5000000000001,32.5000000000001 33.0000000000001,33.0000000000001 33.0000000000001,33.0000000000001 32.5000000000001,32.5000000000001 32.5000000000001)))', '33', '32.5', '33', '32.5', 'M05H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 32.5000000000001,33.0000000000001 33.0000000000001,33.5000000000001 33.0000000000001,33.5000000000001 32.5000000000001,33.0000000000001 32.5000000000001)))', '33', '32.5', '33.5', '33', 'M05H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 32.5000000000001,33.5000000000001 33.0000000000001,34.0000000000001 33.0000000000001,34.0000000000001 32.5000000000001,33.5000000000001 32.5000000000001)))', '33', '32.5', '34', '33.5', 'M05H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 32.5000000000001,34.0000000000001 33.0000000000001,34.5000000000001 33.0000000000001,34.5000000000001 32.5000000000001,34.0000000000001 32.5000000000001)))', '33', '32.5', '34.5', '34', 'M05I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 32.5000000000001,34.5000000000001 33.0000000000001,35.0000000000001 33.0000000000001,35.0000000000001 32.5000000000001,34.5000000000001 32.5000000000001)))', '33', '32.5', '35', '34.5', 'M05I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 32.5000000000001,35.0000000000001 33.0000000000001,35.5000000000001 33.0000000000001,35.5000000000001 32.5000000000001,35.0000000000001 32.5000000000001)))', '33', '32.5', '35.5', '35', 'M05I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 33.0000000000001,10.5000000000001 33.5000000000001,11.0000000000001 33.5000000000001,11.0000000000001 33.0000000000001,10.5000000000001 33.0000000000001)))', '33.5', '33', '11', '10.5', 'M06D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 33.0000000000001,11.0000000000001 33.5000000000001,11.5000000000001 33.5000000000001,11.5000000000001 33.0000000000001,11.0000000000001 33.0000000000001)))', '33.5', '33', '11.5', '11', 'M06D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 33.0000000000001,11.5000000000001 33.5000000000001,12.0000000000001 33.5000000000001,12.0000000000001 33.0000000000001,11.5000000000001 33.0000000000001)))', '33.5', '33', '12', '11.5', 'M06D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 33.0000000000001,12.0000000000001 33.5000000000001,12.5000000000001 33.5000000000001,12.5000000000001 33.0000000000001,12.0000000000001 33.0000000000001)))', '33.5', '33', '12.5', '12', 'M06D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 33.0000000000001,12.5000000000001 33.5000000000001,13.0000000000001 33.5000000000001,13.0000000000001 33.0000000000001,12.5000000000001 33.0000000000001)))', '33.5', '33', '13', '12.5', 'M06D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 33.0000000000001,13.0000000000001 33.5000000000001,13.5000000000001 33.5000000000001,13.5000000000001 33.0000000000001,13.0000000000001 33.0000000000001)))', '33.5', '33', '13.5', '13', 'M06D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 33.0000000000001,13.5000000000001 33.5000000000001,14.0000000000001 33.5000000000001,14.0000000000001 33.0000000000001,13.5000000000001 33.0000000000001)))', '33.5', '33', '14', '13.5', 'M06D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 33.0000000000001,14.0000000000001 33.5000000000001,14.5000000000001 33.5000000000001,14.5000000000001 33.0000000000001,14.0000000000001 33.0000000000001)))', '33.5', '33', '14.5', '14', 'M06E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 33.0000000000001,14.5000000000001 33.5000000000001,15.0000000000001 33.5000000000001,15.0000000000001 33.0000000000001,14.5000000000001 33.0000000000001)))', '33.5', '33', '15', '14.5', 'M06E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 33.0000000000001,15.0000000000001 33.5000000000001,15.5000000000001 33.5000000000001,15.5000000000001 33.0000000000001,15.0000000000001 33.0000000000001)))', '33.5', '33', '15.5', '15', 'M06E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 33.0000000000001,15.5000000000001 33.5000000000001,16.0000000000001 33.5000000000001,16.0000000000001 33.0000000000001,15.5000000000001 33.0000000000001)))', '33.5', '33', '16', '15.5', 'M06E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 33.0000000000001,16.0000000000001 33.5000000000001,16.5000000000001 33.5000000000001,16.5000000000001 33.0000000000001,16.0000000000001 33.0000000000001)))', '33.5', '33', '16.5', '16', 'M06E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 33.0000000000001,16.5000000000001 33.5000000000001,17.0000000000001 33.5000000000001,17.0000000000001 33.0000000000001,16.5000000000001 33.0000000000001)))', '33.5', '33', '17', '16.5', 'M06E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 33.0000000000001,17.0000000000001 33.5000000000001,17.5000000000001 33.5000000000001,17.5000000000001 33.0000000000001,17.0000000000001 33.0000000000001)))', '33.5', '33', '17.5', '17', 'M06E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 33.0000000000001,17.5000000000001 33.5000000000001,18.0000000000001 33.5000000000001,18.0000000000001 33.0000000000001,17.5000000000001 33.0000000000001)))', '33.5', '33', '18', '17.5', 'M06E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 33.0000000000001,18.0000000000001 33.5000000000001,18.5000000000001 33.5000000000001,18.5000000000001 33.0000000000001,18.0000000000001 33.0000000000001)))', '33.5', '33', '18.5', '18', 'M06E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 33.0000000000001,18.5000000000001 33.5000000000001,19.0000000000001 33.5000000000001,19.0000000000001 33.0000000000001,18.5000000000001 33.0000000000001)))', '33.5', '33', '19', '18.5', 'M06E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 33.0000000000001,19.0000000000001 33.5000000000001,19.5000000000001 33.5000000000001,19.5000000000001 33.0000000000001,19.0000000000001 33.0000000000001)))', '33.5', '33', '19.5', '19', 'M06F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 33.0000000000001,19.5000000000001 33.5000000000001,20.0000000000001 33.5000000000001,20.0000000000001 33.0000000000001,19.5000000000001 33.0000000000001)))', '33.5', '33', '20', '19.5', 'M06F1', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((20.0000000000001 33.0000000000001,20.0000000000001 33.5000000000001,20.5000000000001 33.5000000000001,20.5000000000001 33.0000000000001,20.0000000000001 33.0000000000001)))', '33.5', '33', '20.5', '20', 'M06F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5000000000001 33.0000000000001,20.5000000000001 33.5000000000001,21.0000000000001 33.5000000000001,21.0000000000001 33.0000000000001,20.5000000000001 33.0000000000001)))', '33.5', '33', '21', '20.5', 'M06F3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 33.0000000000001,21.0000000000001 33.5000000000001,21.5000000000001 33.5000000000001,21.5000000000001 33.0000000000001,21.0000000000001 33.0000000000001)))', '33.5', '33', '21.5', '21', 'M06F4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5000000000001 33.0000000000001,21.5000000000001 33.5000000000001,22.0000000000001 33.5000000000001,22.0000000000001 33.0000000000001,21.5000000000001 33.0000000000001)))', '33.5', '33', '22', '21.5', 'M06F5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 33.0000000000001,22.0000000000001 33.5000000000001,22.5000000000001 33.5000000000001,22.5000000000001 33.0000000000001,22.0000000000001 33.0000000000001)))', '33.5', '33', '22.5', '22', 'M06F6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 33.0000000000001,22.5000000000001 33.5000000000001,23.0000000000001 33.5000000000001,23.0000000000001 33.0000000000001,22.5000000000001 33.0000000000001)))', '33.5', '33', '23', '22.5', 'M06F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 33.0000000000001,23.0000000000001 33.5000000000001,23.5000000000001 33.5000000000001,23.5000000000001 33.0000000000001,23.0000000000001 33.0000000000001)))', '33.5', '33', '23.5', '23', 'M06F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 33.0000000000001,23.5000000000001 33.5000000000001,24.0000000000001 33.5000000000001,24.0000000000001 33.0000000000001,23.5000000000001 33.0000000000001)))', '33.5', '33', '24', '23.5', 'M06F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 33.0000000000001,24.0000000000001 33.5000000000001,24.5000000000001 33.5000000000001,24.5000000000001 33.0000000000001,24.0000000000001 33.0000000000001)))', '33.5', '33', '24.5', '24', 'M06G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 33.0000000000001,24.5000000000001 33.5000000000001,25.0000000000001 33.5000000000001,25.0000000000001 33.0000000000001,24.5000000000001 33.0000000000001)))', '33.5', '33', '25', '24.5', 'M06G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 33.0000000000001,25.0000000000001 33.5000000000001,25.5000000000001 33.5000000000001,25.5000000000001 33.0000000000001,25.0000000000001 33.0000000000001)))', '33.5', '33', '25.5', '25', 'M06G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 33.0000000000001,25.5000000000001 33.5000000000001,26.0000000000001 33.5000000000001,26.0000000000001 33.0000000000001,25.5000000000001 33.0000000000001)))', '33.5', '33', '26', '25.5', 'M06G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 33.0000000000001,26.0000000000001 33.5000000000001,26.5000000000001 33.5000000000001,26.5000000000001 33.0000000000001,26.0000000000001 33.0000000000001)))', '33.5', '33', '26.5', '26', 'M06G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 33.0000000000001,26.5000000000001 33.5000000000001,27.0000000000001 33.5000000000001,27.0000000000001 33.0000000000001,26.5000000000001 33.0000000000001)))', '33.5', '33', '27', '26.5', 'M06G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 33.0000000000001,27.0000000000001 33.5000000000001,27.5000000000001 33.5000000000001,27.5000000000001 33.0000000000001,27.0000000000001 33.0000000000001)))', '33.5', '33', '27.5', '27', 'M06G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 33.0000000000001,27.5000000000001 33.5000000000001,28.0000000000001 33.5000000000001,28.0000000000001 33.0000000000001,27.5000000000001 33.0000000000001)))', '33.5', '33', '28', '27.5', 'M06G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 33.0000000000001,28.0000000000001 33.5000000000001,28.5000000000001 33.5000000000001,28.5000000000001 33.0000000000001,28.0000000000001 33.0000000000001)))', '33.5', '33', '28.5', '28', 'M06G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 33.0000000000001,28.5000000000001 33.5000000000001,29.0000000000001 33.5000000000001,29.0000000000001 33.0000000000001,28.5000000000001 33.0000000000001)))', '33.5', '33', '29', '28.5', 'M06G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 33.0000000000001,29.0000000000001 33.5000000000001,29.5000000000001 33.5000000000001,29.5000000000001 33.0000000000001,29.0000000000001 33.0000000000001)))', '33.5', '33', '29.5', '29', 'M06H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 33.0000000000001,29.5000000000001 33.5000000000001,30.0000000000001 33.5000000000001,30.0000000000001 33.0000000000001,29.5000000000001 33.0000000000001)))', '33.5', '33', '30', '29.5', 'M06H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 33.0000000000001,30.0000000000001 33.5000000000001,30.5000000000001 33.5000000000001,30.5000000000001 33.0000000000001,30.0000000000001 33.0000000000001)))', '33.5', '33', '30.5', '30', 'M06H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 33.0000000000001,30.5000000000001 33.5000000000001,31.0000000000001 33.5000000000001,31.0000000000001 33.0000000000001,30.5000000000001 33.0000000000001)))', '33.5', '33', '31', '30.5', 'M06H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 33.0000000000001,31.0000000000001 33.5000000000001,31.5000000000001 33.5000000000001,31.5000000000001 33.0000000000001,31.0000000000001 33.0000000000001)))', '33.5', '33', '31.5', '31', 'M06H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 33.0000000000001,31.5000000000001 33.5000000000001,32.0000000000001 33.5000000000001,32.0000000000001 33.0000000000001,31.5000000000001 33.0000000000001)))', '33.5', '33', '32', '31.5', 'M06H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 33.0000000000001,32.0000000000001 33.5000000000001,32.5000000000001 33.5000000000001,32.5000000000001 33.0000000000001,32.0000000000001 33.0000000000001)))', '33.5', '33', '32.5', '32', 'M06H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 33.0000000000001,32.5000000000001 33.5000000000001,33.0000000000001 33.5000000000001,33.0000000000001 33.0000000000001,32.5000000000001 33.0000000000001)))', '33.5', '33', '33', '32.5', 'M06H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 33.0000000000001,33.0000000000001 33.5000000000001,33.5000000000001 33.5000000000001,33.5000000000001 33.0000000000001,33.0000000000001 33.0000000000001)))', '33.5', '33', '33.5', '33', 'M06H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 33.0000000000001,33.5000000000001 33.5000000000001,34.0000000000001 33.5000000000001,34.0000000000001 33.0000000000001,33.5000000000001 33.0000000000001)))', '33.5', '33', '34', '33.5', 'M06H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 33.0000000000001,34.0000000000001 33.5000000000001,34.5000000000001 33.5000000000001,34.5000000000001 33.0000000000001,34.0000000000001 33.0000000000001)))', '33.5', '33', '34.5', '34', 'M06I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 33.0000000000001,34.5000000000001 33.5000000000001,35.0000000000001 33.5000000000001,35.0000000000001 33.0000000000001,34.5000000000001 33.0000000000001)))', '33.5', '33', '35', '34.5', 'M06I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 33.0000000000001,35.0000000000001 33.5000000000001,35.5000000000001 33.5000000000001,35.5000000000001 33.0000000000001,35.0000000000001 33.0000000000001)))', '33.5', '33', '35.5', '35', 'M06I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 33.5000000000001,10.0000000000001 34.0000000000001,10.5000000000001 34.0000000000001,10.5000000000001 33.5000000000001,10.0000000000001 33.5000000000001)))', '34', '33.5', '10.5', '10', 'M07D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 33.5000000000001,10.5000000000001 34.0000000000001,11.0000000000001 34.0000000000001,11.0000000000001 33.5000000000001,10.5000000000001 33.5000000000001)))', '34', '33.5', '11', '10.5', 'M07D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 33.5000000000001,11.0000000000001 34.0000000000001,11.5000000000001 34.0000000000001,11.5000000000001 33.5000000000001,11.0000000000001 33.5000000000001)))', '34', '33.5', '11.5', '11', 'M07D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 33.5000000000001,11.5000000000001 34.0000000000001,12.0000000000001 34.0000000000001,12.0000000000001 33.5000000000001,11.5000000000001 33.5000000000001)))', '34', '33.5', '12', '11.5', 'M07D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 33.5000000000001,12.0000000000001 34.0000000000001,12.5000000000001 34.0000000000001,12.5000000000001 33.5000000000001,12.0000000000001 33.5000000000001)))', '34', '33.5', '12.5', '12', 'M07D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 33.5000000000001,12.5000000000001 34.0000000000001,13.0000000000001 34.0000000000001,13.0000000000001 33.5000000000001,12.5000000000001 33.5000000000001)))', '34', '33.5', '13', '12.5', 'M07D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 33.5000000000001,13.0000000000001 34.0000000000001,13.5000000000001 34.0000000000001,13.5000000000001 33.5000000000001,13.0000000000001 33.5000000000001)))', '34', '33.5', '13.5', '13', 'M07D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 33.5000000000001,13.5000000000001 34.0000000000001,14.0000000000001 34.0000000000001,14.0000000000001 33.5000000000001,13.5000000000001 33.5000000000001)))', '34', '33.5', '14', '13.5', 'M07D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 33.5000000000001,14.0000000000001 34.0000000000001,14.5000000000001 34.0000000000001,14.5000000000001 33.5000000000001,14.0000000000001 33.5000000000001)))', '34', '33.5', '14.5', '14', 'M07E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 33.5000000000001,14.5000000000001 34.0000000000001,15.0000000000001 34.0000000000001,15.0000000000001 33.5000000000001,14.5000000000001 33.5000000000001)))', '34', '33.5', '15', '14.5', 'M07E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 33.5000000000001,15.0000000000001 34.0000000000001,15.5000000000001 34.0000000000001,15.5000000000001 33.5000000000001,15.0000000000001 33.5000000000001)))', '34', '33.5', '15.5', '15', 'M07E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 33.5000000000001,15.5000000000001 34.0000000000001,16.0000000000001 34.0000000000001,16.0000000000001 33.5000000000001,15.5000000000001 33.5000000000001)))', '34', '33.5', '16', '15.5', 'M07E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 33.5000000000001,16.0000000000001 34.0000000000001,16.5000000000001 34.0000000000001,16.5000000000001 33.5000000000001,16.0000000000001 33.5000000000001)))', '34', '33.5', '16.5', '16', 'M07E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 33.5000000000001,16.5000000000001 34.0000000000001,17.0000000000001 34.0000000000001,17.0000000000001 33.5000000000001,16.5000000000001 33.5000000000001)))', '34', '33.5', '17', '16.5', 'M07E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 33.5000000000001,17.0000000000001 34.0000000000001,17.5000000000001 34.0000000000001,17.5000000000001 33.5000000000001,17.0000000000001 33.5000000000001)))', '34', '33.5', '17.5', '17', 'M07E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 33.5000000000001,17.5000000000001 34.0000000000001,18.0000000000001 34.0000000000001,18.0000000000001 33.5000000000001,17.5000000000001 33.5000000000001)))', '34', '33.5', '18', '17.5', 'M07E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 33.5000000000001,18.0000000000001 34.0000000000001,18.5000000000001 34.0000000000001,18.5000000000001 33.5000000000001,18.0000000000001 33.5000000000001)))', '34', '33.5', '18.5', '18', 'M07E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 33.5000000000001,18.5000000000001 34.0000000000001,19.0000000000001 34.0000000000001,19.0000000000001 33.5000000000001,18.5000000000001 33.5000000000001)))', '34', '33.5', '19', '18.5', 'M07E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 33.5000000000001,19.0000000000001 34.0000000000001,19.5000000000001 34.0000000000001,19.5000000000001 33.5000000000001,19.0000000000001 33.5000000000001)))', '34', '33.5', '19.5', '19', 'M07F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 33.5000000000001,19.5000000000001 34.0000000000001,20.0000000000001 34.0000000000001,20.0000000000001 33.5000000000001,19.5000000000001 33.5000000000001)))', '34', '33.5', '20', '19.5', 'M07F1', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((20.0000000000001 33.5000000000001,20.0000000000001 34.0000000000001,20.5000000000001 34.0000000000001,20.5000000000001 33.5000000000001,20.0000000000001 33.5000000000001)))', '34', '33.5', '20.5', '20', 'M07F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5000000000001 33.5000000000001,20.5000000000001 34.0000000000001,21.0000000000001 34.0000000000001,21.0000000000001 33.5000000000001,20.5000000000001 33.5000000000001)))', '34', '33.5', '21', '20.5', 'M07F3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 33.5000000000001,21.0000000000001 34.0000000000001,21.5000000000001 34.0000000000001,21.5000000000001 33.5000000000001,21.0000000000001 33.5000000000001)))', '34', '33.5', '21.5', '21', 'M07F4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5000000000001 33.5000000000001,21.5000000000001 34.0000000000001,22.0000000000001 34.0000000000001,22.0000000000001 33.5000000000001,21.5000000000001 33.5000000000001)))', '34', '33.5', '22', '21.5', 'M07F5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 33.5000000000001,22.0000000000001 34.0000000000001,22.5000000000001 34.0000000000001,22.5000000000001 33.5000000000001,22.0000000000001 33.5000000000001)))', '34', '33.5', '22.5', '22', 'M07F6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 33.5000000000001,22.5000000000001 34.0000000000001,23.0000000000001 34.0000000000001,23.0000000000001 33.5000000000001,22.5000000000001 33.5000000000001)))', '34', '33.5', '23', '22.5', 'M07F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 33.5000000000001,23.0000000000001 34.0000000000001,23.5000000000001 34.0000000000001,23.5000000000001 33.5000000000001,23.0000000000001 33.5000000000001)))', '34', '33.5', '23.5', '23', 'M07F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 33.5000000000001,23.5000000000001 34.0000000000001,24.0000000000001 34.0000000000001,24.0000000000001 33.5000000000001,23.5000000000001 33.5000000000001)))', '34', '33.5', '24', '23.5', 'M07F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 33.5000000000001,24.0000000000001 34.0000000000001,24.5000000000001 34.0000000000001,24.5000000000001 33.5000000000001,24.0000000000001 33.5000000000001)))', '34', '33.5', '24.5', '24', 'M07G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 33.5000000000001,24.5000000000001 34.0000000000001,25.0000000000001 34.0000000000001,25.0000000000001 33.5000000000001,24.5000000000001 33.5000000000001)))', '34', '33.5', '25', '24.5', 'M07G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 33.5000000000001,25.0000000000001 34.0000000000001,25.5000000000001 34.0000000000001,25.5000000000001 33.5000000000001,25.0000000000001 33.5000000000001)))', '34', '33.5', '25.5', '25', 'M07G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 33.5000000000001,25.5000000000001 34.0000000000001,26.0000000000001 34.0000000000001,26.0000000000001 33.5000000000001,25.5000000000001 33.5000000000001)))', '34', '33.5', '26', '25.5', 'M07G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 33.5000000000001,26.0000000000001 34.0000000000001,26.5000000000001 34.0000000000001,26.5000000000001 33.5000000000001,26.0000000000001 33.5000000000001)))', '34', '33.5', '26.5', '26', 'M07G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 33.5000000000001,26.5000000000001 34.0000000000001,27.0000000000001 34.0000000000001,27.0000000000001 33.5000000000001,26.5000000000001 33.5000000000001)))', '34', '33.5', '27', '26.5', 'M07G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 33.5000000000001,27.0000000000001 34.0000000000001,27.5000000000001 34.0000000000001,27.5000000000001 33.5000000000001,27.0000000000001 33.5000000000001)))', '34', '33.5', '27.5', '27', 'M07G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 33.5000000000001,27.5000000000001 34.0000000000001,28.0000000000001 34.0000000000001,28.0000000000001 33.5000000000001,27.5000000000001 33.5000000000001)))', '34', '33.5', '28', '27.5', 'M07G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 33.5000000000001,28.0000000000001 34.0000000000001,28.5000000000001 34.0000000000001,28.5000000000001 33.5000000000001,28.0000000000001 33.5000000000001)))', '34', '33.5', '28.5', '28', 'M07G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 33.5000000000001,28.5000000000001 34.0000000000001,29.0000000000001 34.0000000000001,29.0000000000001 33.5000000000001,28.5000000000001 33.5000000000001)))', '34', '33.5', '29', '28.5', 'M07G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 33.5000000000001,29.0000000000001 34.0000000000001,29.5000000000001 34.0000000000001,29.5000000000001 33.5000000000001,29.0000000000001 33.5000000000001)))', '34', '33.5', '29.5', '29', 'M07H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 33.5000000000001,29.5000000000001 34.0000000000001,30.0000000000001 34.0000000000001,30.0000000000001 33.5000000000001,29.5000000000001 33.5000000000001)))', '34', '33.5', '30', '29.5', 'M07H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 33.5000000000001,30.0000000000001 34.0000000000001,30.5000000000001 34.0000000000001,30.5000000000001 33.5000000000001,30.0000000000001 33.5000000000001)))', '34', '33.5', '30.5', '30', 'M07H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 33.5000000000001,30.5000000000001 34.0000000000001,31.0000000000001 34.0000000000001,31.0000000000001 33.5000000000001,30.5000000000001 33.5000000000001)))', '34', '33.5', '31', '30.5', 'M07H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 33.5000000000001,31.0000000000001 34.0000000000001,31.5000000000001 34.0000000000001,31.5000000000001 33.5000000000001,31.0000000000001 33.5000000000001)))', '34', '33.5', '31.5', '31', 'M07H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 33.5000000000001,31.5000000000001 34.0000000000001,32.0000000000001 34.0000000000001,32.0000000000001 33.5000000000001,31.5000000000001 33.5000000000001)))', '34', '33.5', '32', '31.5', 'M07H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 33.5000000000001,32.0000000000001 34.0000000000001,32.5000000000001 34.0000000000001,32.5000000000001 33.5000000000001,32.0000000000001 33.5000000000001)))', '34', '33.5', '32.5', '32', 'M07H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 33.5000000000001,32.5000000000001 34.0000000000001,33.0000000000001 34.0000000000001,33.0000000000001 33.5000000000001,32.5000000000001 33.5000000000001)))', '34', '33.5', '33', '32.5', 'M07H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 33.5000000000001,33.0000000000001 34.0000000000001,33.5000000000001 34.0000000000001,33.5000000000001 33.5000000000001,33.0000000000001 33.5000000000001)))', '34', '33.5', '33.5', '33', 'M07H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 33.5000000000001,33.5000000000001 34.0000000000001,34.0000000000001 34.0000000000001,34.0000000000001 33.5000000000001,33.5000000000001 33.5000000000001)))', '34', '33.5', '34', '33.5', 'M07H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 33.5000000000001,34.0000000000001 34.0000000000001,34.5000000000001 34.0000000000001,34.5000000000001 33.5000000000001,34.0000000000001 33.5000000000001)))', '34', '33.5', '34.5', '34', 'M07I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 33.5000000000001,34.5000000000001 34.0000000000001,35.0000000000001 34.0000000000001,35.0000000000001 33.5000000000001,34.5000000000001 33.5000000000001)))', '34', '33.5', '35', '34.5', 'M07I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 33.5000000000001,35.0000000000001 34.0000000000001,35.5000000000001 34.0000000000001,35.5000000000001 33.5000000000001,35.0000000000001 33.5000000000001)))', '34', '33.5', '35.5', '35', 'M07I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 33.5000000000001,35.5000000000001 34.0000000000001,36.0000000000001 34.0000000000001,36.0000000000001 33.5000000000001,35.5000000000001 33.5000000000001)))', '34', '33.5', '36', '35.5', 'M07I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 34.0000000000001,10.0000000000001 34.5000000000001,10.5000000000001 34.5000000000001,10.5000000000001 34.0000000000001,10.0000000000001 34.0000000000001)))', '34.5', '34', '10.5', '10', 'M08D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 34.0000000000001,10.5000000000001 34.5000000000001,11.0000000000001 34.5000000000001,11.0000000000001 34.0000000000001,10.5000000000001 34.0000000000001)))', '34.5', '34', '11', '10.5', 'M08D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 34.0000000000001,11.0000000000001 34.5000000000001,11.5000000000001 34.5000000000001,11.5000000000001 34.0000000000001,11.0000000000001 34.0000000000001)))', '34.5', '34', '11.5', '11', 'M08D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 34.0000000000001,11.5000000000001 34.5000000000001,12.0000000000001 34.5000000000001,12.0000000000001 34.0000000000001,11.5000000000001 34.0000000000001)))', '34.5', '34', '12', '11.5', 'M08D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 34.0000000000001,12.0000000000001 34.5000000000001,12.5000000000001 34.5000000000001,12.5000000000001 34.0000000000001,12.0000000000001 34.0000000000001)))', '34.5', '34', '12.5', '12', 'M08D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 34.0000000000001,12.5000000000001 34.5000000000001,13.0000000000001 34.5000000000001,13.0000000000001 34.0000000000001,12.5000000000001 34.0000000000001)))', '34.5', '34', '13', '12.5', 'M08D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 34.0000000000001,13.0000000000001 34.5000000000001,13.5000000000001 34.5000000000001,13.5000000000001 34.0000000000001,13.0000000000001 34.0000000000001)))', '34.5', '34', '13.5', '13', 'M08D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 34.0000000000001,13.5000000000001 34.5000000000001,14.0000000000001 34.5000000000001,14.0000000000001 34.0000000000001,13.5000000000001 34.0000000000001)))', '34.5', '34', '14', '13.5', 'M08D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 34.0000000000001,14.0000000000001 34.5000000000001,14.5000000000001 34.5000000000001,14.5000000000001 34.0000000000001,14.0000000000001 34.0000000000001)))', '34.5', '34', '14.5', '14', 'M08E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 34.0000000000001,14.5000000000001 34.5000000000001,15.0000000000001 34.5000000000001,15.0000000000001 34.0000000000001,14.5000000000001 34.0000000000001)))', '34.5', '34', '15', '14.5', 'M08E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 34.0000000000001,15.0000000000001 34.5000000000001,15.5000000000001 34.5000000000001,15.5000000000001 34.0000000000001,15.0000000000001 34.0000000000001)))', '34.5', '34', '15.5', '15', 'M08E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 34.0000000000001,15.5000000000001 34.5000000000001,16.0000000000001 34.5000000000001,16.0000000000001 34.0000000000001,15.5000000000001 34.0000000000001)))', '34.5', '34', '16', '15.5', 'M08E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 34.0000000000001,16.0000000000001 34.5000000000001,16.5000000000001 34.5000000000001,16.5000000000001 34.0000000000001,16.0000000000001 34.0000000000001)))', '34.5', '34', '16.5', '16', 'M08E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 34.0000000000001,16.5000000000001 34.5000000000001,17.0000000000001 34.5000000000001,17.0000000000001 34.0000000000001,16.5000000000001 34.0000000000001)))', '34.5', '34', '17', '16.5', 'M08E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 34.0000000000001,17.0000000000001 34.5000000000001,17.5000000000001 34.5000000000001,17.5000000000001 34.0000000000001,17.0000000000001 34.0000000000001)))', '34.5', '34', '17.5', '17', 'M08E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 34.0000000000001,17.5000000000001 34.5000000000001,18.0000000000001 34.5000000000001,18.0000000000001 34.0000000000001,17.5000000000001 34.0000000000001)))', '34.5', '34', '18', '17.5', 'M08E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 34.0000000000001,18.0000000000001 34.5000000000001,18.5000000000001 34.5000000000001,18.5000000000001 34.0000000000001,18.0000000000001 34.0000000000001)))', '34.5', '34', '18.5', '18', 'M08E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 34.0000000000001,18.5000000000001 34.5000000000001,19.0000000000001 34.5000000000001,19.0000000000001 34.0000000000001,18.5000000000001 34.0000000000001)))', '34.5', '34', '19', '18.5', 'M08E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 34.0000000000001,19.0000000000001 34.5000000000001,19.5000000000001 34.5000000000001,19.5000000000001 34.0000000000001,19.0000000000001 34.0000000000001)))', '34.5', '34', '19.5', '19', 'M08F0', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((19.5000000000001 34.0000000000001,19.5000000000001 34.5000000000001,20.0000000000001 34.5000000000001,20.0000000000001 34.0000000000001,19.5000000000001 34.0000000000001)))', '34.5', '34', '20', '19.5', 'M08F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 34.0000000000001,20.0000000000001 34.5000000000001,20.5000000000001 34.5000000000001,20.5000000000001 34.0000000000001,20.0000000000001 34.0000000000001)))', '34.5', '34', '20.5', '20', 'M08F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5000000000001 34.0000000000001,20.5000000000001 34.5000000000001,21.0000000000001 34.5000000000001,21.0000000000001 34.0000000000001,20.5000000000001 34.0000000000001)))', '34.5', '34', '21', '20.5', 'M08F3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 34.0000000000001,21.0000000000001 34.5000000000001,21.5000000000001 34.5000000000001,21.5000000000001 34.0000000000001,21.0000000000001 34.0000000000001)))', '34.5', '34', '21.5', '21', 'M08F4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5000000000001 34.0000000000001,21.5000000000001 34.5000000000001,22.0000000000001 34.5000000000001,22.0000000000001 34.0000000000001,21.5000000000001 34.0000000000001)))', '34.5', '34', '22', '21.5', 'M08F5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 34.0000000000001,22.0000000000001 34.5000000000001,22.5000000000001 34.5000000000001,22.5000000000001 34.0000000000001,22.0000000000001 34.0000000000001)))', '34.5', '34', '22.5', '22', 'M08F6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 34.0000000000001,22.5000000000001 34.5000000000001,23.0000000000001 34.5000000000001,23.0000000000001 34.0000000000001,22.5000000000001 34.0000000000001)))', '34.5', '34', '23', '22.5', 'M08F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 34.0000000000001,23.0000000000001 34.5000000000001,23.5000000000001 34.5000000000001,23.5000000000001 34.0000000000001,23.0000000000001 34.0000000000001)))', '34.5', '34', '23.5', '23', 'M08F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 34.0000000000001,23.5000000000001 34.5000000000001,24.0000000000001 34.5000000000001,24.0000000000001 34.0000000000001,23.5000000000001 34.0000000000001)))', '34.5', '34', '24', '23.5', 'M08F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 34.0000000000001,24.0000000000001 34.5000000000001,24.5000000000001 34.5000000000001,24.5000000000001 34.0000000000001,24.0000000000001 34.0000000000001)))', '34.5', '34', '24.5', '24', 'M08G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 34.0000000000001,24.5000000000001 34.5000000000001,25.0000000000001 34.5000000000001,25.0000000000001 34.0000000000001,24.5000000000001 34.0000000000001)))', '34.5', '34', '25', '24.5', 'M08G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 34.0000000000001,25.0000000000001 34.5000000000001,25.5000000000001 34.5000000000001,25.5000000000001 34.0000000000001,25.0000000000001 34.0000000000001)))', '34.5', '34', '25.5', '25', 'M08G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 34.0000000000001,25.5000000000001 34.5000000000001,26.0000000000001 34.5000000000001,26.0000000000001 34.0000000000001,25.5000000000001 34.0000000000001)))', '34.5', '34', '26', '25.5', 'M08G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 34.0000000000001,26.0000000000001 34.5000000000001,26.5000000000001 34.5000000000001,26.5000000000001 34.0000000000001,26.0000000000001 34.0000000000001)))', '34.5', '34', '26.5', '26', 'M08G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 34.0000000000001,26.5000000000001 34.5000000000001,27.0000000000001 34.5000000000001,27.0000000000001 34.0000000000001,26.5000000000001 34.0000000000001)))', '34.5', '34', '27', '26.5', 'M08G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 34.0000000000001,27.0000000000001 34.5000000000001,27.5000000000001 34.5000000000001,27.5000000000001 34.0000000000001,27.0000000000001 34.0000000000001)))', '34.5', '34', '27.5', '27', 'M08G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 34.0000000000001,27.5000000000001 34.5000000000001,28.0000000000001 34.5000000000001,28.0000000000001 34.0000000000001,27.5000000000001 34.0000000000001)))', '34.5', '34', '28', '27.5', 'M08G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 34.0000000000001,28.0000000000001 34.5000000000001,28.5000000000001 34.5000000000001,28.5000000000001 34.0000000000001,28.0000000000001 34.0000000000001)))', '34.5', '34', '28.5', '28', 'M08G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 34.0000000000001,28.5000000000001 34.5000000000001,29.0000000000001 34.5000000000001,29.0000000000001 34.0000000000001,28.5000000000001 34.0000000000001)))', '34.5', '34', '29', '28.5', 'M08G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 34.0000000000001,29.0000000000001 34.5000000000001,29.5000000000001 34.5000000000001,29.5000000000001 34.0000000000001,29.0000000000001 34.0000000000001)))', '34.5', '34', '29.5', '29', 'M08H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 34.0000000000001,29.5000000000001 34.5000000000001,30.0000000000001 34.5000000000001,30.0000000000001 34.0000000000001,29.5000000000001 34.0000000000001)))', '34.5', '34', '30', '29.5', 'M08H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 34.0000000000001,30.0000000000001 34.5000000000001,30.5000000000001 34.5000000000001,30.5000000000001 34.0000000000001,30.0000000000001 34.0000000000001)))', '34.5', '34', '30.5', '30', 'M08H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 34.0000000000001,30.5000000000001 34.5000000000001,31.0000000000001 34.5000000000001,31.0000000000001 34.0000000000001,30.5000000000001 34.0000000000001)))', '34.5', '34', '31', '30.5', 'M08H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 34.0000000000001,31.0000000000001 34.5000000000001,31.5000000000001 34.5000000000001,31.5000000000001 34.0000000000001,31.0000000000001 34.0000000000001)))', '34.5', '34', '31.5', '31', 'M08H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 34.0000000000001,31.5000000000001 34.5000000000001,32.0000000000001 34.5000000000001,32.0000000000001 34.0000000000001,31.5000000000001 34.0000000000001)))', '34.5', '34', '32', '31.5', 'M08H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 34.0000000000001,32.0000000000001 34.5000000000001,32.5000000000001 34.5000000000001,32.5000000000001 34.0000000000001,32.0000000000001 34.0000000000001)))', '34.5', '34', '32.5', '32', 'M08H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 34.0000000000001,32.5000000000001 34.5000000000001,33.0000000000001 34.5000000000001,33.0000000000001 34.0000000000001,32.5000000000001 34.0000000000001)))', '34.5', '34', '33', '32.5', 'M08H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 34.0000000000001,33.0000000000001 34.5000000000001,33.5000000000001 34.5000000000001,33.5000000000001 34.0000000000001,33.0000000000001 34.0000000000001)))', '34.5', '34', '33.5', '33', 'M08H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 34.0000000000001,33.5000000000001 34.5000000000001,34.0000000000001 34.5000000000001,34.0000000000001 34.0000000000001,33.5000000000001 34.0000000000001)))', '34.5', '34', '34', '33.5', 'M08H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 34.0000000000001,34.0000000000001 34.5000000000001,34.5000000000001 34.5000000000001,34.5000000000001 34.0000000000001,34.0000000000001 34.0000000000001)))', '34.5', '34', '34.5', '34', 'M08I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 34.0000000000001,34.5000000000001 34.5000000000001,35.0000000000001 34.5000000000001,35.0000000000001 34.0000000000001,34.5000000000001 34.0000000000001)))', '34.5', '34', '35', '34.5', 'M08I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 34.0000000000001,35.0000000000001 34.5000000000001,35.5000000000001 34.5000000000001,35.5000000000001 34.0000000000001,35.0000000000001 34.0000000000001)))', '34.5', '34', '35.5', '35', 'M08I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 34.0000000000001,35.5000000000001 34.5000000000001,36.0000000000001 34.5000000000001,36.0000000000001 34.0000000000001,35.5000000000001 34.0000000000001)))', '34.5', '34', '36', '35.5', 'M08I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 34.5000000000001,10.0000000000001 35.0000000000001,10.5000000000001 35.0000000000001,10.5000000000001 34.5000000000001,10.0000000000001 34.5000000000001)))', '35', '34.5', '10.5', '10', 'M09D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 34.5000000000001,10.5000000000001 35.0000000000001,11.0000000000001 35.0000000000001,11.0000000000001 34.5000000000001,10.5000000000001 34.5000000000001)))', '35', '34.5', '11', '10.5', 'M09D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 34.5000000000001,11.0000000000001 35.0000000000001,11.5000000000001 35.0000000000001,11.5000000000001 34.5000000000001,11.0000000000001 34.5000000000001)))', '35', '34.5', '11.5', '11', 'M09D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 34.5000000000001,11.5000000000001 35.0000000000001,12.0000000000001 35.0000000000001,12.0000000000001 34.5000000000001,11.5000000000001 34.5000000000001)))', '35', '34.5', '12', '11.5', 'M09D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 34.5000000000001,12.0000000000001 35.0000000000001,12.5000000000001 35.0000000000001,12.5000000000001 34.5000000000001,12.0000000000001 34.5000000000001)))', '35', '34.5', '12.5', '12', 'M09D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 34.5000000000001,12.5000000000001 35.0000000000001,13.0000000000001 35.0000000000001,13.0000000000001 34.5000000000001,12.5000000000001 34.5000000000001)))', '35', '34.5', '13', '12.5', 'M09D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 34.5000000000001,13.0000000000001 35.0000000000001,13.5000000000001 35.0000000000001,13.5000000000001 34.5000000000001,13.0000000000001 34.5000000000001)))', '35', '34.5', '13.5', '13', 'M09D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 34.5000000000001,13.5000000000001 35.0000000000001,14.0000000000001 35.0000000000001,14.0000000000001 34.5000000000001,13.5000000000001 34.5000000000001)))', '35', '34.5', '14', '13.5', 'M09D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 34.5000000000001,14.0000000000001 35.0000000000001,14.5000000000001 35.0000000000001,14.5000000000001 34.5000000000001,14.0000000000001 34.5000000000001)))', '35', '34.5', '14.5', '14', 'M09E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 34.5000000000001,14.5000000000001 35.0000000000001,15.0000000000001 35.0000000000001,15.0000000000001 34.5000000000001,14.5000000000001 34.5000000000001)))', '35', '34.5', '15', '14.5', 'M09E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 34.5000000000001,15.0000000000001 35.0000000000001,15.5000000000001 35.0000000000001,15.5000000000001 34.5000000000001,15.0000000000001 34.5000000000001)))', '35', '34.5', '15.5', '15', 'M09E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 34.5000000000001,15.5000000000001 35.0000000000001,16.0000000000001 35.0000000000001,16.0000000000001 34.5000000000001,15.5000000000001 34.5000000000001)))', '35', '34.5', '16', '15.5', 'M09E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 34.5000000000001,16.0000000000001 35.0000000000001,16.5000000000001 35.0000000000001,16.5000000000001 34.5000000000001,16.0000000000001 34.5000000000001)))', '35', '34.5', '16.5', '16', 'M09E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 34.5000000000001,16.5000000000001 35.0000000000001,17.0000000000001 35.0000000000001,17.0000000000001 34.5000000000001,16.5000000000001 34.5000000000001)))', '35', '34.5', '17', '16.5', 'M09E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 34.5000000000001,17.0000000000001 35.0000000000001,17.5000000000001 35.0000000000001,17.5000000000001 34.5000000000001,17.0000000000001 34.5000000000001)))', '35', '34.5', '17.5', '17', 'M09E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 34.5000000000001,17.5000000000001 35.0000000000001,18.0000000000001 35.0000000000001,18.0000000000001 34.5000000000001,17.5000000000001 34.5000000000001)))', '35', '34.5', '18', '17.5', 'M09E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 34.5000000000001,18.0000000000001 35.0000000000001,18.5000000000001 35.0000000000001,18.5000000000001 34.5000000000001,18.0000000000001 34.5000000000001)))', '35', '34.5', '18.5', '18', 'M09E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 34.5000000000001,18.5000000000001 35.0000000000001,19.0000000000001 35.0000000000001,19.0000000000001 34.5000000000001,18.5000000000001 34.5000000000001)))', '35', '34.5', '19', '18.5', 'M09E9', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((19.0000000000001 34.5000000000001,19.0000000000001 35.0000000000001,19.5000000000001 35.0000000000001,19.5000000000001 34.5000000000001,19.0000000000001 34.5000000000001)))', '35', '34.5', '19.5', '19', 'M09F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 34.5000000000001,19.5000000000001 35.0000000000001,20.0000000000001 35.0000000000001,20.0000000000001 34.5000000000001,19.5000000000001 34.5000000000001)))', '35', '34.5', '20', '19.5', 'M09F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 34.5000000000001,20.0000000000001 35.0000000000001,20.5000000000001 35.0000000000001,20.5000000000001 34.5000000000001,20.0000000000001 34.5000000000001)))', '35', '34.5', '20.5', '20', 'M09F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5000000000001 34.5000000000001,20.5000000000001 35.0000000000001,21.0000000000001 35.0000000000001,21.0000000000001 34.5000000000001,20.5000000000001 34.5000000000001)))', '35', '34.5', '21', '20.5', 'M09F3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 34.5000000000001,21.0000000000001 35.0000000000001,21.5000000000001 35.0000000000001,21.5000000000001 34.5000000000001,21.0000000000001 34.5000000000001)))', '35', '34.5', '21.5', '21', 'M09F4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5000000000001 34.5000000000001,21.5000000000001 35.0000000000001,22.0000000000001 35.0000000000001,22.0000000000001 34.5000000000001,21.5000000000001 34.5000000000001)))', '35', '34.5', '22', '21.5', 'M09F5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 34.5000000000001,22.0000000000001 35.0000000000001,22.5000000000001 35.0000000000001,22.5000000000001 34.5000000000001,22.0000000000001 34.5000000000001)))', '35', '34.5', '22.5', '22', 'M09F6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 34.5000000000001,22.5000000000001 35.0000000000001,23.0000000000001 35.0000000000001,23.0000000000001 34.5000000000001,22.5000000000001 34.5000000000001)))', '35', '34.5', '23', '22.5', 'M09F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 34.5000000000001,23.0000000000001 35.0000000000001,23.5000000000001 35.0000000000001,23.5000000000001 34.5000000000001,23.0000000000001 34.5000000000001)))', '35', '34.5', '23.5', '23', 'M09F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 34.5000000000001,23.5000000000001 35.0000000000001,24.0000000000001 35.0000000000001,24.0000000000001 34.5000000000001,23.5000000000001 34.5000000000001)))', '35', '34.5', '24', '23.5', 'M09F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 34.5000000000001,24.0000000000001 35.0000000000001,24.5000000000001 35.0000000000001,24.5000000000001 34.5000000000001,24.0000000000001 34.5000000000001)))', '35', '34.5', '24.5', '24', 'M09G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 34.5000000000001,24.5000000000001 35.0000000000001,25.0000000000001 35.0000000000001,25.0000000000001 34.5000000000001,24.5000000000001 34.5000000000001)))', '35', '34.5', '25', '24.5', 'M09G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 34.5000000000001,25.0000000000001 35.0000000000001,25.5000000000001 35.0000000000001,25.5000000000001 34.5000000000001,25.0000000000001 34.5000000000001)))', '35', '34.5', '25.5', '25', 'M09G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 34.5000000000001,25.5000000000001 35.0000000000001,26.0000000000001 35.0000000000001,26.0000000000001 34.5000000000001,25.5000000000001 34.5000000000001)))', '35', '34.5', '26', '25.5', 'M09G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 34.5000000000001,26.0000000000001 35.0000000000001,26.5000000000001 35.0000000000001,26.5000000000001 34.5000000000001,26.0000000000001 34.5000000000001)))', '35', '34.5', '26.5', '26', 'M09G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 34.5000000000001,26.5000000000001 35.0000000000001,27.0000000000001 35.0000000000001,27.0000000000001 34.5000000000001,26.5000000000001 34.5000000000001)))', '35', '34.5', '27', '26.5', 'M09G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 34.5000000000001,27.0000000000001 35.0000000000001,27.5000000000001 35.0000000000001,27.5000000000001 34.5000000000001,27.0000000000001 34.5000000000001)))', '35', '34.5', '27.5', '27', 'M09G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 34.5000000000001,27.5000000000001 35.0000000000001,28.0000000000001 35.0000000000001,28.0000000000001 34.5000000000001,27.5000000000001 34.5000000000001)))', '35', '34.5', '28', '27.5', 'M09G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 34.5000000000001,28.0000000000001 35.0000000000001,28.5000000000001 35.0000000000001,28.5000000000001 34.5000000000001,28.0000000000001 34.5000000000001)))', '35', '34.5', '28.5', '28', 'M09G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 34.5000000000001,28.5000000000001 35.0000000000001,29.0000000000001 35.0000000000001,29.0000000000001 34.5000000000001,28.5000000000001 34.5000000000001)))', '35', '34.5', '29', '28.5', 'M09G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 34.5000000000001,29.0000000000001 35.0000000000001,29.5000000000001 35.0000000000001,29.5000000000001 34.5000000000001,29.0000000000001 34.5000000000001)))', '35', '34.5', '29.5', '29', 'M09H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 34.5000000000001,29.5000000000001 35.0000000000001,30.0000000000001 35.0000000000001,30.0000000000001 34.5000000000001,29.5000000000001 34.5000000000001)))', '35', '34.5', '30', '29.5', 'M09H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 34.5000000000001,30.0000000000001 35.0000000000001,30.5000000000001 35.0000000000001,30.5000000000001 34.5000000000001,30.0000000000001 34.5000000000001)))', '35', '34.5', '30.5', '30', 'M09H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 34.5000000000001,30.5000000000001 35.0000000000001,31.0000000000001 35.0000000000001,31.0000000000001 34.5000000000001,30.5000000000001 34.5000000000001)))', '35', '34.5', '31', '30.5', 'M09H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 34.5000000000001,31.0000000000001 35.0000000000001,31.5000000000001 35.0000000000001,31.5000000000001 34.5000000000001,31.0000000000001 34.5000000000001)))', '35', '34.5', '31.5', '31', 'M09H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 34.5000000000001,31.5000000000001 35.0000000000001,32.0000000000001 35.0000000000001,32.0000000000001 34.5000000000001,31.5000000000001 34.5000000000001)))', '35', '34.5', '32', '31.5', 'M09H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 34.5000000000001,32.0000000000001 35.0000000000001,32.5000000000001 35.0000000000001,32.5000000000001 34.5000000000001,32.0000000000001 34.5000000000001)))', '35', '34.5', '32.5', '32', 'M09H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 34.5000000000001,32.5000000000001 35.0000000000001,33.0000000000001 35.0000000000001,33.0000000000001 34.5000000000001,32.5000000000001 34.5000000000001)))', '35', '34.5', '33', '32.5', 'M09H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 34.5000000000001,33.0000000000001 35.0000000000001,33.5000000000001 35.0000000000001,33.5000000000001 34.5000000000001,33.0000000000001 34.5000000000001)))', '35', '34.5', '33.5', '33', 'M09H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 34.5000000000001,33.5000000000001 35.0000000000001,34.0000000000001 35.0000000000001,34.0000000000001 34.5000000000001,33.5000000000001 34.5000000000001)))', '35', '34.5', '34', '33.5', 'M09H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 34.5000000000001,34.0000000000001 35.0000000000001,34.5000000000001 35.0000000000001,34.5000000000001 34.5000000000001,34.0000000000001 34.5000000000001)))', '35', '34.5', '34.5', '34', 'M09I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 34.5000000000001,34.5000000000001 35.0000000000001,35.0000000000001 35.0000000000001,35.0000000000001 34.5000000000001,34.5000000000001 34.5000000000001)))', '35', '34.5', '35', '34.5', 'M09I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 34.5000000000001,35.0000000000001 35.0000000000001,35.5000000000001 35.0000000000001,35.5000000000001 34.5000000000001,35.0000000000001 34.5000000000001)))', '35', '34.5', '35.5', '35', 'M09I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 34.5000000000001,35.5000000000001 35.0000000000001,36.0000000000001 35.0000000000001,36.0000000000001 34.5000000000001,35.5000000000001 34.5000000000001)))', '35', '34.5', '36', '35.5', 'M09I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 34.5000000000001,36.0000000000001 35.0000000000001,36.5000000000001 35.0000000000001,36.5000000000001 34.5000000000001,36.0000000000001 34.5000000000001)))', '35', '34.5', '36.5', '36', 'M09I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.49999999999994 35.0000000000001,-5.49999999999994 35.5000000000001,-4.99999999999994 35.5000000000001,-4.99999999999994 35.0000000000001,-5.49999999999994 35.0000000000001)))', '35.5', '35', '-5', '-5.5', 'M10A1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 35.0000000000001,-4.99999999999994 35.5000000000001,-4.49999999999994 35.5000000000001,-4.49999999999994 35.0000000000001,-4.99999999999994 35.0000000000001)))', '35.5', '35', '-4.5', '-5', 'M10A2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.49999999999994 35.0000000000001,-4.49999999999994 35.5000000000001,-3.99999999999994 35.5000000000001,-3.99999999999994 35.0000000000001,-4.49999999999994 35.0000000000001)))', '35.5', '35', '-4', '-4.5', 'M10A3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 35.0000000000001,-3.99999999999994 35.5000000000001,-3.49999999999994 35.5000000000001,-3.49999999999994 35.0000000000001,-3.99999999999994 35.0000000000001)))', '35.5', '35', '-3.5', '-4', 'M10A4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.49999999999994 35.0000000000001,-3.49999999999994 35.5000000000001,-2.99999999999994 35.5000000000001,-2.99999999999994 35.0000000000001,-3.49999999999994 35.0000000000001)))', '35.5', '35', '-3', '-3.5', 'M10A5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 35.0000000000001,-2.99999999999994 35.5000000000001,-2.49999999999994 35.5000000000001,-2.49999999999994 35.0000000000001,-2.99999999999994 35.0000000000001)))', '35.5', '35', '-2.5', '-3', 'M10A6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.49999999999994 35.0000000000001,-2.49999999999994 35.5000000000001,-1.99999999999994 35.5000000000001,-1.99999999999994 35.0000000000001,-2.49999999999994 35.0000000000001)))', '35.5', '35', '-2', '-2.5', 'M10A7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 35.0000000000001,-1.99999999999994 35.5000000000001,-1.49999999999994 35.5000000000001,-1.49999999999994 35.0000000000001,-1.99999999999994 35.0000000000001)))', '35.5', '35', '-1.5', '-2', 'M10A8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.49999999999994 35.0000000000001,-1.49999999999994 35.5000000000001,-0.999999999999943 35.5000000000001,-0.999999999999943 35.0000000000001,-1.49999999999994 35.0000000000001)))', '35.5', '35', '-1', '-1.5', 'M10A9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 35.0000000000001,10.5000000000001 35.5000000000001,11.0000000000001 35.5000000000001,11.0000000000001 35.0000000000001,10.5000000000001 35.0000000000001)))', '35.5', '35', '11', '10.5', 'M10D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 35.0000000000001,11.0000000000001 35.5000000000001,11.5000000000001 35.5000000000001,11.5000000000001 35.0000000000001,11.0000000000001 35.0000000000001)))', '35.5', '35', '11.5', '11', 'M10D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 35.0000000000001,11.5000000000001 35.5000000000001,12.0000000000001 35.5000000000001,12.0000000000001 35.0000000000001,11.5000000000001 35.0000000000001)))', '35.5', '35', '12', '11.5', 'M10D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 35.0000000000001,12.0000000000001 35.5000000000001,12.5000000000001 35.5000000000001,12.5000000000001 35.0000000000001,12.0000000000001 35.0000000000001)))', '35.5', '35', '12.5', '12', 'M10D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 35.0000000000001,12.5000000000001 35.5000000000001,13.0000000000001 35.5000000000001,13.0000000000001 35.0000000000001,12.5000000000001 35.0000000000001)))', '35.5', '35', '13', '12.5', 'M10D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 35.0000000000001,13.0000000000001 35.5000000000001,13.5000000000001 35.5000000000001,13.5000000000001 35.0000000000001,13.0000000000001 35.0000000000001)))', '35.5', '35', '13.5', '13', 'M10D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 35.0000000000001,13.5000000000001 35.5000000000001,14.0000000000001 35.5000000000001,14.0000000000001 35.0000000000001,13.5000000000001 35.0000000000001)))', '35.5', '35', '14', '13.5', 'M10D9', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((14.0000000000001 35.0000000000001,14.0000000000001 35.5000000000001,14.5000000000001 35.5000000000001,14.5000000000001 35.0000000000001,14.0000000000001 35.0000000000001)))', '35.5', '35', '14.5', '14', 'M10E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 35.0000000000001,14.5000000000001 35.5000000000001,15.0000000000001 35.5000000000001,15.0000000000001 35.0000000000001,14.5000000000001 35.0000000000001)))', '35.5', '35', '15', '14.5', 'M10E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 35.0000000000001,15.0000000000001 35.5000000000001,15.5000000000001 35.5000000000001,15.5000000000001 35.0000000000001,15.0000000000001 35.0000000000001)))', '35.5', '35', '15.5', '15', 'M10E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 35.0000000000001,15.5000000000001 35.5000000000001,16.0000000000001 35.5000000000001,16.0000000000001 35.0000000000001,15.5000000000001 35.0000000000001)))', '35.5', '35', '16', '15.5', 'M10E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 35.0000000000001,16.0000000000001 35.5000000000001,16.5000000000001 35.5000000000001,16.5000000000001 35.0000000000001,16.0000000000001 35.0000000000001)))', '35.5', '35', '16.5', '16', 'M10E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 35.0000000000001,16.5000000000001 35.5000000000001,17.0000000000001 35.5000000000001,17.0000000000001 35.0000000000001,16.5000000000001 35.0000000000001)))', '35.5', '35', '17', '16.5', 'M10E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 35.0000000000001,17.0000000000001 35.5000000000001,17.5000000000001 35.5000000000001,17.5000000000001 35.0000000000001,17.0000000000001 35.0000000000001)))', '35.5', '35', '17.5', '17', 'M10E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 35.0000000000001,17.5000000000001 35.5000000000001,18.0000000000001 35.5000000000001,18.0000000000001 35.0000000000001,17.5000000000001 35.0000000000001)))', '35.5', '35', '18', '17.5', 'M10E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 35.0000000000001,18.0000000000001 35.5000000000001,18.5000000000001 35.5000000000001,18.5000000000001 35.0000000000001,18.0000000000001 35.0000000000001)))', '35.5', '35', '18.5', '18', 'M10E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 35.0000000000001,18.5000000000001 35.5000000000001,19.0000000000001 35.5000000000001,19.0000000000001 35.0000000000001,18.5000000000001 35.0000000000001)))', '35.5', '35', '19', '18.5', 'M10E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 35.0000000000001,19.0000000000001 35.5000000000001,19.5000000000001 35.5000000000001,19.5000000000001 35.0000000000001,19.0000000000001 35.0000000000001)))', '35.5', '35', '19.5', '19', 'M10F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 35.0000000000001,19.5000000000001 35.5000000000001,20.0000000000001 35.5000000000001,20.0000000000001 35.0000000000001,19.5000000000001 35.0000000000001)))', '35.5', '35', '20', '19.5', 'M10F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 35.0000000000001,20.0000000000001 35.5000000000001,20.5000000000001 35.5000000000001,20.5000000000001 35.0000000000001,20.0000000000001 35.0000000000001)))', '35.5', '35', '20.5', '20', 'M10F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5000000000001 35.0000000000001,20.5000000000001 35.5000000000001,21.0000000000001 35.5000000000001,21.0000000000001 35.0000000000001,20.5000000000001 35.0000000000001)))', '35.5', '35', '21', '20.5', 'M10F3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 35.0000000000001,21.0000000000001 35.5000000000001,21.5000000000001 35.5000000000001,21.5000000000001 35.0000000000001,21.0000000000001 35.0000000000001)))', '35.5', '35', '21.5', '21', 'M10F4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5000000000001 35.0000000000001,21.5000000000001 35.5000000000001,22.0000000000001 35.5000000000001,22.0000000000001 35.0000000000001,21.5000000000001 35.0000000000001)))', '35.5', '35', '22', '21.5', 'M10F5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 35.0000000000001,22.0000000000001 35.5000000000001,22.5000000000001 35.5000000000001,22.5000000000001 35.0000000000001,22.0000000000001 35.0000000000001)))', '35.5', '35', '22.5', '22', 'M10F6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 35.0000000000001,22.5000000000001 35.5000000000001,23.0000000000001 35.5000000000001,23.0000000000001 35.0000000000001,22.5000000000001 35.0000000000001)))', '35.5', '35', '23', '22.5', 'M10F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 35.0000000000001,23.0000000000001 35.5000000000001,23.5000000000001 35.5000000000001,23.5000000000001 35.0000000000001,23.0000000000001 35.0000000000001)))', '35.5', '35', '23.5', '23', 'M10F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 35.0000000000001,23.5000000000001 35.5000000000001,24.0000000000001 35.5000000000001,24.0000000000001 35.0000000000001,23.5000000000001 35.0000000000001)))', '35.5', '35', '24', '23.5', 'M10F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 35.0000000000001,24.0000000000001 35.5000000000001,24.5000000000001 35.5000000000001,24.5000000000001 35.0000000000001,24.0000000000001 35.0000000000001)))', '35.5', '35', '24.5', '24', 'M10G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 35.0000000000001,24.5000000000001 35.5000000000001,25.0000000000001 35.5000000000001,25.0000000000001 35.0000000000001,24.5000000000001 35.0000000000001)))', '35.5', '35', '25', '24.5', 'M10G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 35.0000000000001,25.0000000000001 35.5000000000001,25.5000000000001 35.5000000000001,25.5000000000001 35.0000000000001,25.0000000000001 35.0000000000001)))', '35.5', '35', '25.5', '25', 'M10G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 35.0000000000001,25.5000000000001 35.5000000000001,26.0000000000001 35.5000000000001,26.0000000000001 35.0000000000001,25.5000000000001 35.0000000000001)))', '35.5', '35', '26', '25.5', 'M10G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 35.0000000000001,26.0000000000001 35.5000000000001,26.5000000000001 35.5000000000001,26.5000000000001 35.0000000000001,26.0000000000001 35.0000000000001)))', '35.5', '35', '26.5', '26', 'M10G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 35.0000000000001,26.5000000000001 35.5000000000001,27.0000000000001 35.5000000000001,27.0000000000001 35.0000000000001,26.5000000000001 35.0000000000001)))', '35.5', '35', '27', '26.5', 'M10G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 35.0000000000001,27.0000000000001 35.5000000000001,27.5000000000001 35.5000000000001,27.5000000000001 35.0000000000001,27.0000000000001 35.0000000000001)))', '35.5', '35', '27.5', '27', 'M10G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 35.0000000000001,27.5000000000001 35.5000000000001,28.0000000000001 35.5000000000001,28.0000000000001 35.0000000000001,27.5000000000001 35.0000000000001)))', '35.5', '35', '28', '27.5', 'M10G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 35.0000000000001,28.0000000000001 35.5000000000001,28.5000000000001 35.5000000000001,28.5000000000001 35.0000000000001,28.0000000000001 35.0000000000001)))', '35.5', '35', '28.5', '28', 'M10G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 35.0000000000001,28.5000000000001 35.5000000000001,29.0000000000001 35.5000000000001,29.0000000000001 35.0000000000001,28.5000000000001 35.0000000000001)))', '35.5', '35', '29', '28.5', 'M10G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 35.0000000000001,29.0000000000001 35.5000000000001,29.5000000000001 35.5000000000001,29.5000000000001 35.0000000000001,29.0000000000001 35.0000000000001)))', '35.5', '35', '29.5', '29', 'M10H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 35.0000000000001,29.5000000000001 35.5000000000001,30.0000000000001 35.5000000000001,30.0000000000001 35.0000000000001,29.5000000000001 35.0000000000001)))', '35.5', '35', '30', '29.5', 'M10H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 35.0000000000001,30.0000000000001 35.5000000000001,30.5000000000001 35.5000000000001,30.5000000000001 35.0000000000001,30.0000000000001 35.0000000000001)))', '35.5', '35', '30.5', '30', 'M10H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 35.0000000000001,30.5000000000001 35.5000000000001,31.0000000000001 35.5000000000001,31.0000000000001 35.0000000000001,30.5000000000001 35.0000000000001)))', '35.5', '35', '31', '30.5', 'M10H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 35.0000000000001,31.0000000000001 35.5000000000001,31.5000000000001 35.5000000000001,31.5000000000001 35.0000000000001,31.0000000000001 35.0000000000001)))', '35.5', '35', '31.5', '31', 'M10H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 35.0000000000001,31.5000000000001 35.5000000000001,32.0000000000001 35.5000000000001,32.0000000000001 35.0000000000001,31.5000000000001 35.0000000000001)))', '35.5', '35', '32', '31.5', 'M10H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 35.0000000000001,32.0000000000001 35.5000000000001,32.5000000000001 35.5000000000001,32.5000000000001 35.0000000000001,32.0000000000001 35.0000000000001)))', '35.5', '35', '32.5', '32', 'M10H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 35.0000000000001,32.5000000000001 35.5000000000001,33.0000000000001 35.5000000000001,33.0000000000001 35.0000000000001,32.5000000000001 35.0000000000001)))', '35.5', '35', '33', '32.5', 'M10H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 35.0000000000001,33.0000000000001 35.5000000000001,33.5000000000001 35.5000000000001,33.5000000000001 35.0000000000001,33.0000000000001 35.0000000000001)))', '35.5', '35', '33.5', '33', 'M10H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 35.0000000000001,33.5000000000001 35.5000000000001,34.0000000000001 35.5000000000001,34.0000000000001 35.0000000000001,33.5000000000001 35.0000000000001)))', '35.5', '35', '34', '33.5', 'M10H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 35.0000000000001,34.0000000000001 35.5000000000001,34.5000000000001 35.5000000000001,34.5000000000001 35.0000000000001,34.0000000000001 35.0000000000001)))', '35.5', '35', '34.5', '34', 'M10I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 35.0000000000001,34.5000000000001 35.5000000000001,35.0000000000001 35.5000000000001,35.0000000000001 35.0000000000001,34.5000000000001 35.0000000000001)))', '35.5', '35', '35', '34.5', 'M10I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 35.0000000000001,35.0000000000001 35.5000000000001,35.5000000000001 35.5000000000001,35.5000000000001 35.0000000000001,35.0000000000001 35.0000000000001)))', '35.5', '35', '35.5', '35', 'M10I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 35.0000000000001,35.5000000000001 35.5000000000001,36.0000000000001 35.5000000000001,36.0000000000001 35.0000000000001,35.5000000000001 35.0000000000001)))', '35.5', '35', '36', '35.5', 'M10I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.59999530699997 35.4999889310001,-5.59987841899994 35.8124886900001,-5.59999990499995 36.0000000000001,-5.49999999999994 36.0000000000001,-5.49999999999994 35.5000000000001,-5.59999530699997 35.4999889310001)))', '36', '35.5', '-5.5', '-6', 'M11A0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.49999999999994 35.5000000000001,-5.49999999999994 36.0000000000001,-4.99999999999994 36.0000000000001,-4.99999999999994 35.5000000000001,-5.49999999999994 35.5000000000001)))', '36', '35.5', '-5', '-5.5', 'M11A1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 35.5000000000001,-4.99999999999994 36.0000000000001,-4.49999999999994 36.0000000000001,-4.49999999999994 35.5000000000001,-4.99999999999994 35.5000000000001)))', '36', '35.5', '-4.5', '-5', 'M11A2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.49999999999994 35.5000000000001,-4.49999999999994 36.0000000000001,-3.99999999999994 36.0000000000001,-3.99999999999994 35.5000000000001,-4.49999999999994 35.5000000000001)))', '36', '35.5', '-4', '-4.5', 'M11A3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 35.5000000000001,-3.99999999999994 36.0000000000001,-3.49999999999994 36.0000000000001,-3.49999999999994 35.5000000000001,-3.99999999999994 35.5000000000001)))', '36', '35.5', '-3.5', '-4', 'M11A4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.49999999999994 35.5000000000001,-3.49999999999994 36.0000000000001,-2.99999999999994 36.0000000000001,-2.99999999999994 35.5000000000001,-3.49999999999994 35.5000000000001)))', '36', '35.5', '-3', '-3.5', 'M11A5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 35.5000000000001,-2.99999999999994 36.0000000000001,-2.49999999999994 36.0000000000001,-2.49999999999994 35.5000000000001,-2.99999999999994 35.5000000000001)))', '36', '35.5', '-2.5', '-3', 'M11A6', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-2.49999999999994 35.5000000000001,-2.49999999999994 36.0000000000001,-1.99999999999994 36.0000000000001,-1.99999999999994 35.5000000000001,-2.49999999999994 35.5000000000001)))', '36', '35.5', '-2', '-2.5', 'M11A7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 35.5000000000001,-1.99999999999994 36.0000000000001,-1.49999999999994 36.0000000000001,-1.49999999999994 35.5000000000001,-1.99999999999994 35.5000000000001)))', '36', '35.5', '-1.5', '-2', 'M11A8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.49999999999994 35.5000000000001,-1.49999999999994 36.0000000000001,-0.999999999999943 36.0000000000001,-0.999999999999943 35.5000000000001,-1.49999999999994 35.5000000000001)))', '36', '35.5', '-1', '-1.5', 'M11A9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 35.5000000000001,-0.999999999999943 36.0000000000001,-0.499999999999943 36.0000000000001,-0.499999999999943 35.5000000000001,-0.999999999999943 35.5000000000001)))', '36', '35.5', '-0.5', '-1', 'M11B0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.499999999999943 35.5000000000001,-0.499999999999943 36.0000000000001,5.6843418860808e-14 36.0000000000001,5.6843418860808e-14 35.5000000000001,-0.499999999999943 35.5000000000001)))', '36', '35.5', '0', '-0.5', 'M11B1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 35.5000000000001,5.6843418860808e-14 36.0000000000001,0.500000000000057 36.0000000000001,0.500000000000057 35.5000000000001,5.6843418860808e-14 35.5000000000001)))', '36', '35.5', '0.5', '0', 'M11B2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 35.5000000000001,10.5000000000001 36.0000000000001,11.0000000000001 36.0000000000001,11.0000000000001 35.5000000000001,10.5000000000001 35.5000000000001)))', '36', '35.5', '11', '10.5', 'M11D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 35.5000000000001,11.0000000000001 36.0000000000001,11.5000000000001 36.0000000000001,11.5000000000001 35.5000000000001,11.0000000000001 35.5000000000001)))', '36', '35.5', '11.5', '11', 'M11D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 35.5000000000001,11.5000000000001 36.0000000000001,12.0000000000001 36.0000000000001,12.0000000000001 35.5000000000001,11.5000000000001 35.5000000000001)))', '36', '35.5', '12', '11.5', 'M11D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 35.5000000000001,12.0000000000001 36.0000000000001,12.5000000000001 36.0000000000001,12.5000000000001 35.5000000000001,12.0000000000001 35.5000000000001)))', '36', '35.5', '12.5', '12', 'M11D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 35.5000000000001,12.5000000000001 36.0000000000001,13.0000000000001 36.0000000000001,13.0000000000001 35.5000000000001,12.5000000000001 35.5000000000001)))', '36', '35.5', '13', '12.5', 'M11D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 35.5000000000001,13.0000000000001 36.0000000000001,13.5000000000001 36.0000000000001,13.5000000000001 35.5000000000001,13.0000000000001 35.5000000000001)))', '36', '35.5', '13.5', '13', 'M11D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 35.5000000000001,13.5000000000001 36.0000000000001,14.0000000000001 36.0000000000001,14.0000000000001 35.5000000000001,13.5000000000001 35.5000000000001)))', '36', '35.5', '14', '13.5', 'M11D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 35.5000000000001,14.0000000000001 36.0000000000001,14.5000000000001 36.0000000000001,14.5000000000001 35.5000000000001,14.0000000000001 35.5000000000001)))', '36', '35.5', '14.5', '14', 'M11E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 35.5000000000001,14.5000000000001 36.0000000000001,15.0000000000001 36.0000000000001,15.0000000000001 35.5000000000001,14.5000000000001 35.5000000000001)))', '36', '35.5', '15', '14.5', 'M11E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 35.5000000000001,15.0000000000001 36.0000000000001,15.5000000000001 36.0000000000001,15.5000000000001 35.5000000000001,15.0000000000001 35.5000000000001)))', '36', '35.5', '15.5', '15', 'M11E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 35.5000000000001,15.5000000000001 36.0000000000001,16.0000000000001 36.0000000000001,16.0000000000001 35.5000000000001,15.5000000000001 35.5000000000001)))', '36', '35.5', '16', '15.5', 'M11E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 35.5000000000001,16.0000000000001 36.0000000000001,16.5000000000001 36.0000000000001,16.5000000000001 35.5000000000001,16.0000000000001 35.5000000000001)))', '36', '35.5', '16.5', '16', 'M11E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 35.5000000000001,16.5000000000001 36.0000000000001,17.0000000000001 36.0000000000001,17.0000000000001 35.5000000000001,16.5000000000001 35.5000000000001)))', '36', '35.5', '17', '16.5', 'M11E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 35.5000000000001,17.0000000000001 36.0000000000001,17.5000000000001 36.0000000000001,17.5000000000001 35.5000000000001,17.0000000000001 35.5000000000001)))', '36', '35.5', '17.5', '17', 'M11E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 35.5000000000001,17.5000000000001 36.0000000000001,18.0000000000001 36.0000000000001,18.0000000000001 35.5000000000001,17.5000000000001 35.5000000000001)))', '36', '35.5', '18', '17.5', 'M11E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 35.5000000000001,18.0000000000001 36.0000000000001,18.5000000000001 36.0000000000001,18.5000000000001 35.5000000000001,18.0000000000001 35.5000000000001)))', '36', '35.5', '18.5', '18', 'M11E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 35.5000000000001,18.5000000000001 36.0000000000001,19.0000000000001 36.0000000000001,19.0000000000001 35.5000000000001,18.5000000000001 35.5000000000001)))', '36', '35.5', '19', '18.5', 'M11E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 35.5000000000001,19.0000000000001 36.0000000000001,19.5000000000001 36.0000000000001,19.5000000000001 35.5000000000001,19.0000000000001 35.5000000000001)))', '36', '35.5', '19.5', '19', 'M11F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 35.5000000000001,19.5000000000001 36.0000000000001,20.0000000000001 36.0000000000001,20.0000000000001 35.5000000000001,19.5000000000001 35.5000000000001)))', '36', '35.5', '20', '19.5', 'M11F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 35.5000000000001,20.0000000000001 36.0000000000001,20.5000000000001 36.0000000000001,20.5000000000001 35.5000000000001,20.0000000000001 35.5000000000001)))', '36', '35.5', '20.5', '20', 'M11F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5000000000001 35.5000000000001,20.5000000000001 36.0000000000001,21.0000000000001 36.0000000000001,21.0000000000001 35.5000000000001,20.5000000000001 35.5000000000001)))', '36', '35.5', '21', '20.5', 'M11F3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 35.5000000000001,21.0000000000001 36.0000000000001,21.5000000000001 36.0000000000001,21.5000000000001 35.5000000000001,21.0000000000001 35.5000000000001)))', '36', '35.5', '21.5', '21', 'M11F4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5000000000001 35.5000000000001,21.5000000000001 36.0000000000001,22.0000000000001 36.0000000000001,22.0000000000001 35.5000000000001,21.5000000000001 35.5000000000001)))', '36', '35.5', '22', '21.5', 'M11F5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 35.5000000000001,22.0000000000001 36.0000000000001,22.5000000000001 36.0000000000001,22.5000000000001 35.5000000000001,22.0000000000001 35.5000000000001)))', '36', '35.5', '22.5', '22', 'M11F6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 35.5000000000001,22.5000000000001 36.0000000000001,23.0000000000001 36.0000000000001,23.0000000000001 35.5000000000001,22.5000000000001 35.5000000000001)))', '36', '35.5', '23', '22.5', 'M11F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 35.5000000000001,23.0000000000001 36.0000000000001,23.5000000000001 36.0000000000001,23.5000000000001 35.5000000000001,23.0000000000001 35.5000000000001)))', '36', '35.5', '23.5', '23', 'M11F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 35.5000000000001,23.5000000000001 36.0000000000001,24.0000000000001 36.0000000000001,24.0000000000001 35.5000000000001,23.5000000000001 35.5000000000001)))', '36', '35.5', '24', '23.5', 'M11F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 35.5000000000001,24.0000000000001 36.0000000000001,24.5000000000001 36.0000000000001,24.5000000000001 35.5000000000001,24.0000000000001 35.5000000000001)))', '36', '35.5', '24.5', '24', 'M11G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 35.5000000000001,24.5000000000001 36.0000000000001,25.0000000000001 36.0000000000001,25.0000000000001 35.5000000000001,24.5000000000001 35.5000000000001)))', '36', '35.5', '25', '24.5', 'M11G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 35.5000000000001,25.0000000000001 36.0000000000001,25.5000000000001 36.0000000000001,25.5000000000001 35.5000000000001,25.0000000000001 35.5000000000001)))', '36', '35.5', '25.5', '25', 'M11G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 35.5000000000001,25.5000000000001 36.0000000000001,26.0000000000001 36.0000000000001,26.0000000000001 35.5000000000001,25.5000000000001 35.5000000000001)))', '36', '35.5', '26', '25.5', 'M11G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 35.5000000000001,26.0000000000001 36.0000000000001,26.5000000000001 36.0000000000001,26.5000000000001 35.5000000000001,26.0000000000001 35.5000000000001)))', '36', '35.5', '26.5', '26', 'M11G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 35.5000000000001,26.5000000000001 36.0000000000001,27.0000000000001 36.0000000000001,27.0000000000001 35.5000000000001,26.5000000000001 35.5000000000001)))', '36', '35.5', '27', '26.5', 'M11G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 35.5000000000001,27.0000000000001 36.0000000000001,27.5000000000001 36.0000000000001,27.5000000000001 35.5000000000001,27.0000000000001 35.5000000000001)))', '36', '35.5', '27.5', '27', 'M11G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 35.5000000000001,27.5000000000001 36.0000000000001,28.0000000000001 36.0000000000001,28.0000000000001 35.5000000000001,27.5000000000001 35.5000000000001)))', '36', '35.5', '28', '27.5', 'M11G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 35.5000000000001,28.0000000000001 36.0000000000001,28.5000000000001 36.0000000000001,28.5000000000001 35.5000000000001,28.0000000000001 35.5000000000001)))', '36', '35.5', '28.5', '28', 'M11G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 35.5000000000001,28.5000000000001 36.0000000000001,29.0000000000001 36.0000000000001,29.0000000000001 35.5000000000001,28.5000000000001 35.5000000000001)))', '36', '35.5', '29', '28.5', 'M11G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 35.5000000000001,29.0000000000001 36.0000000000001,29.5000000000001 36.0000000000001,29.5000000000001 35.5000000000001,29.0000000000001 35.5000000000001)))', '36', '35.5', '29.5', '29', 'M11H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 35.5000000000001,29.5000000000001 36.0000000000001,30.0000000000001 36.0000000000001,30.0000000000001 35.5000000000001,29.5000000000001 35.5000000000001)))', '36', '35.5', '30', '29.5', 'M11H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 35.5000000000001,30.0000000000001 36.0000000000001,30.5000000000001 36.0000000000001,30.5000000000001 35.5000000000001,30.0000000000001 35.5000000000001)))', '36', '35.5', '30.5', '30', 'M11H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 35.5000000000001,30.5000000000001 36.0000000000001,31.0000000000001 36.0000000000001,31.0000000000001 35.5000000000001,30.5000000000001 35.5000000000001)))', '36', '35.5', '31', '30.5', 'M11H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 35.5000000000001,31.0000000000001 36.0000000000001,31.5000000000001 36.0000000000001,31.5000000000001 35.5000000000001,31.0000000000001 35.5000000000001)))', '36', '35.5', '31.5', '31', 'M11H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 35.5000000000001,31.5000000000001 36.0000000000001,32.0000000000001 36.0000000000001,32.0000000000001 35.5000000000001,31.5000000000001 35.5000000000001)))', '36', '35.5', '32', '31.5', 'M11H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 35.5000000000001,32.0000000000001 36.0000000000001,32.5000000000001 36.0000000000001,32.5000000000001 35.5000000000001,32.0000000000001 35.5000000000001)))', '36', '35.5', '32.5', '32', 'M11H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 35.5000000000001,32.5000000000001 36.0000000000001,33.0000000000001 36.0000000000001,33.0000000000001 35.5000000000001,32.5000000000001 35.5000000000001)))', '36', '35.5', '33', '32.5', 'M11H7', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((33.0000000000001 35.5000000000001,33.0000000000001 36.0000000000001,33.5000000000001 36.0000000000001,33.5000000000001 35.5000000000001,33.0000000000001 35.5000000000001)))', '36', '35.5', '33.5', '33', 'M11H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 35.5000000000001,33.5000000000001 36.0000000000001,34.0000000000001 36.0000000000001,34.0000000000001 35.5000000000001,33.5000000000001 35.5000000000001)))', '36', '35.5', '34', '33.5', 'M11H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 35.5000000000001,34.0000000000001 36.0000000000001,34.5000000000001 36.0000000000001,34.5000000000001 35.5000000000001,34.0000000000001 35.5000000000001)))', '36', '35.5', '34.5', '34', 'M11I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 35.5000000000001,34.5000000000001 36.0000000000001,35.0000000000001 36.0000000000001,35.0000000000001 35.5000000000001,34.5000000000001 35.5000000000001)))', '36', '35.5', '35', '34.5', 'M11I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 35.5000000000001,35.0000000000001 36.0000000000001,35.5000000000001 36.0000000000001,35.5000000000001 35.5000000000001,35.0000000000001 35.5000000000001)))', '36', '35.5', '35.5', '35', 'M11I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 35.5000000000001,35.5000000000001 36.0000000000001,36.0000000000001 36.0000000000001,36.0000000000001 35.5000000000001,35.5000000000001 35.5000000000001)))', '36', '35.5', '36', '35.5', 'M11I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.59973840899994 36.50015224,-5.49999999999994 36.5000000000001,-5.49999999999994 36.0000000000001,-5.59999990499995 36.0000000000001,-5.59973840899994 36.50015224)))', '36.5', '36', '-5.5', '-6', 'M12A0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.49999999999994 36.0000000000001,-5.49999999999994 36.5000000000001,-4.99999999999994 36.5000000000001,-4.99999999999994 36.0000000000001,-5.49999999999994 36.0000000000001)))', '36.5', '36', '-5', '-5.5', 'M12A1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 36.0000000000001,-4.99999999999994 36.5000000000001,-4.49999999999994 36.5000000000001,-4.49999999999994 36.0000000000001,-4.99999999999994 36.0000000000001)))', '36.5', '36', '-4.5', '-5', 'M12A2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.49999999999994 36.0000000000001,-4.49999999999994 36.5000000000001,-3.99999999999994 36.5000000000001,-3.99999999999994 36.0000000000001,-4.49999999999994 36.0000000000001)))', '36.5', '36', '-4', '-4.5', 'M12A3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 36.0000000000001,-3.99999999999994 36.5000000000001,-3.49999999999994 36.5000000000001,-3.49999999999994 36.0000000000001,-3.99999999999994 36.0000000000001)))', '36.5', '36', '-3.5', '-4', 'M12A4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.49999999999994 36.0000000000001,-3.49999999999994 36.5000000000001,-2.99999999999994 36.5000000000001,-2.99999999999994 36.0000000000001,-3.49999999999994 36.0000000000001)))', '36.5', '36', '-3', '-3.5', 'M12A5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 36.0000000000001,-2.99999999999994 36.5000000000001,-2.49999999999994 36.5000000000001,-2.49999999999994 36.0000000000001,-2.99999999999994 36.0000000000001)))', '36.5', '36', '-2.5', '-3', 'M12A6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.49999999999994 36.0000000000001,-2.49999999999994 36.5000000000001,-1.99999999999994 36.5000000000001,-1.99999999999994 36.0000000000001,-2.49999999999994 36.0000000000001)))', '36.5', '36', '-2', '-2.5', 'M12A7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 36.0000000000001,-1.99999999999994 36.5000000000001,-1.49999999999994 36.5000000000001,-1.49999999999994 36.0000000000001,-1.99999999999994 36.0000000000001)))', '36.5', '36', '-1.5', '-2', 'M12A8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.49999999999994 36.0000000000001,-1.49999999999994 36.5000000000001,-0.999999999999943 36.5000000000001,-0.999999999999943 36.0000000000001,-1.49999999999994 36.0000000000001)))', '36.5', '36', '-1', '-1.5', 'M12A9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 36.0000000000001,-0.999999999999943 36.5000000000001,-0.499999999999943 36.5000000000001,-0.499999999999943 36.0000000000001,-0.999999999999943 36.0000000000001)))', '36.5', '36', '-0.5', '-1', 'M12B0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.499999999999943 36.0000000000001,-0.499999999999943 36.5000000000001,5.6843418860808e-14 36.5000000000001,5.6843418860808e-14 36.0000000000001,-0.499999999999943 36.0000000000001)))', '36.5', '36', '0', '-0.5', 'M12B1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 36.0000000000001,5.6843418860808e-14 36.5000000000001,0.500000000000057 36.5000000000001,0.500000000000057 36.0000000000001,5.6843418860808e-14 36.0000000000001)))', '36.5', '36', '0.5', '0', 'M12B2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((0.500000000000057 36.0000000000001,0.500000000000057 36.5000000000001,1.00000000000006 36.5000000000001,1.00000000000006 36.0000000000001,0.500000000000057 36.0000000000001)))', '36.5', '36', '1', '0.5', 'M12B3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 36.0000000000001,1.00000000000006 36.5000000000001,1.50000000000006 36.5000000000001,1.50000000000006 36.0000000000001,1.00000000000006 36.0000000000001)))', '36.5', '36', '1.5', '1', 'M12B4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 36.0000000000001,10.0000000000001 36.5000000000001,10.5000000000001 36.5000000000001,10.5000000000001 36.0000000000001,10.0000000000001 36.0000000000001)))', '36.5', '36', '10.5', '10', 'M12D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 36.0000000000001,10.5000000000001 36.5000000000001,11.0000000000001 36.5000000000001,11.0000000000001 36.0000000000001,10.5000000000001 36.0000000000001)))', '36.5', '36', '11', '10.5', 'M12D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 36.0000000000001,11.0000000000001 36.5000000000001,11.5000000000001 36.5000000000001,11.5000000000001 36.0000000000001,11.0000000000001 36.0000000000001)))', '36.5', '36', '11.5', '11', 'M12D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 36.0000000000001,11.5000000000001 36.5000000000001,12.0000000000001 36.5000000000001,12.0000000000001 36.0000000000001,11.5000000000001 36.0000000000001)))', '36.5', '36', '12', '11.5', 'M12D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 36.0000000000001,12.0000000000001 36.5000000000001,12.5000000000001 36.5000000000001,12.5000000000001 36.0000000000001,12.0000000000001 36.0000000000001)))', '36.5', '36', '12.5', '12', 'M12D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 36.0000000000001,12.5000000000001 36.5000000000001,13.0000000000001 36.5000000000001,13.0000000000001 36.0000000000001,12.5000000000001 36.0000000000001)))', '36.5', '36', '13', '12.5', 'M12D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 36.0000000000001,13.0000000000001 36.5000000000001,13.5000000000001 36.5000000000001,13.5000000000001 36.0000000000001,13.0000000000001 36.0000000000001)))', '36.5', '36', '13.5', '13', 'M12D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 36.0000000000001,13.5000000000001 36.5000000000001,14.0000000000001 36.5000000000001,14.0000000000001 36.0000000000001,13.5000000000001 36.0000000000001)))', '36.5', '36', '14', '13.5', 'M12D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 36.0000000000001,14.0000000000001 36.5000000000001,14.5000000000001 36.5000000000001,14.5000000000001 36.0000000000001,14.0000000000001 36.0000000000001)))', '36.5', '36', '14.5', '14', 'M12E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 36.0000000000001,14.5000000000001 36.5000000000001,15.0000000000001 36.5000000000001,15.0000000000001 36.0000000000001,14.5000000000001 36.0000000000001)))', '36.5', '36', '15', '14.5', 'M12E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 36.0000000000001,15.0000000000001 36.5000000000001,15.5000000000001 36.5000000000001,15.5000000000001 36.0000000000001,15.0000000000001 36.0000000000001)))', '36.5', '36', '15.5', '15', 'M12E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 36.0000000000001,15.5000000000001 36.5000000000001,16.0000000000001 36.5000000000001,16.0000000000001 36.0000000000001,15.5000000000001 36.0000000000001)))', '36.5', '36', '16', '15.5', 'M12E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 36.0000000000001,16.0000000000001 36.5000000000001,16.5000000000001 36.5000000000001,16.5000000000001 36.0000000000001,16.0000000000001 36.0000000000001)))', '36.5', '36', '16.5', '16', 'M12E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 36.0000000000001,16.5000000000001 36.5000000000001,17.0000000000001 36.5000000000001,17.0000000000001 36.0000000000001,16.5000000000001 36.0000000000001)))', '36.5', '36', '17', '16.5', 'M12E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 36.0000000000001,17.0000000000001 36.5000000000001,17.5000000000001 36.5000000000001,17.5000000000001 36.0000000000001,17.0000000000001 36.0000000000001)))', '36.5', '36', '17.5', '17', 'M12E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 36.0000000000001,17.5000000000001 36.5000000000001,18.0000000000001 36.5000000000001,18.0000000000001 36.0000000000001,17.5000000000001 36.0000000000001)))', '36.5', '36', '18', '17.5', 'M12E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 36.0000000000001,18.0000000000001 36.5000000000001,18.5000000000001 36.5000000000001,18.5000000000001 36.0000000000001,18.0000000000001 36.0000000000001)))', '36.5', '36', '18.5', '18', 'M12E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 36.0000000000001,18.5000000000001 36.5000000000001,19.0000000000001 36.5000000000001,19.0000000000001 36.0000000000001,18.5000000000001 36.0000000000001)))', '36.5', '36', '19', '18.5', 'M12E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 36.0000000000001,19.0000000000001 36.5000000000001,19.5000000000001 36.5000000000001,19.5000000000001 36.0000000000001,19.0000000000001 36.0000000000001)))', '36.5', '36', '19.5', '19', 'M12F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 36.0000000000001,19.5000000000001 36.5000000000001,20.0000000000001 36.5000000000001,20.0000000000001 36.0000000000001,19.5000000000001 36.0000000000001)))', '36.5', '36', '20', '19.5', 'M12F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 36.0000000000001,20.0000000000001 36.5000000000001,20.5000000000001 36.5000000000001,20.5000000000001 36.0000000000001,20.0000000000001 36.0000000000001)))', '36.5', '36', '20.5', '20', 'M12F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5000000000001 36.0000000000001,20.5000000000001 36.5000000000001,21.0000000000001 36.5000000000001,21.0000000000001 36.0000000000001,20.5000000000001 36.0000000000001)))', '36.5', '36', '21', '20.5', 'M12F3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 36.0000000000001,21.0000000000001 36.5000000000001,21.5000000000001 36.5000000000001,21.5000000000001 36.0000000000001,21.0000000000001 36.0000000000001)))', '36.5', '36', '21.5', '21', 'M12F4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5000000000001 36.0000000000001,21.5000000000001 36.5000000000001,22.0000000000001 36.5000000000001,22.0000000000001 36.0000000000001,21.5000000000001 36.0000000000001)))', '36.5', '36', '22', '21.5', 'M12F5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 36.0000000000001,22.0000000000001 36.5000000000001,22.5000000000001 36.5000000000001,22.5000000000001 36.0000000000001,22.0000000000001 36.0000000000001)))', '36.5', '36', '22.5', '22', 'M12F6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 36.0000000000001,22.5000000000001 36.5000000000001,23.0000000000001 36.5000000000001,23.0000000000001 36.0000000000001,22.5000000000001 36.0000000000001)))', '36.5', '36', '23', '22.5', 'M12F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 36.0000000000001,23.0000000000001 36.5000000000001,23.5000000000001 36.5000000000001,23.5000000000001 36.0000000000001,23.0000000000001 36.0000000000001)))', '36.5', '36', '23.5', '23', 'M12F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 36.0000000000001,23.5000000000001 36.5000000000001,24.0000000000001 36.5000000000001,24.0000000000001 36.0000000000001,23.5000000000001 36.0000000000001)))', '36.5', '36', '24', '23.5', 'M12F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 36.0000000000001,24.0000000000001 36.5000000000001,24.5000000000001 36.5000000000001,24.5000000000001 36.0000000000001,24.0000000000001 36.0000000000001)))', '36.5', '36', '24.5', '24', 'M12G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 36.0000000000001,24.5000000000001 36.5000000000001,25.0000000000001 36.5000000000001,25.0000000000001 36.0000000000001,24.5000000000001 36.0000000000001)))', '36.5', '36', '25', '24.5', 'M12G1', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((25.0000000000001 36.0000000000001,25.0000000000001 36.5000000000001,25.5000000000001 36.5000000000001,25.5000000000001 36.0000000000001,25.0000000000001 36.0000000000001)))', '36.5', '36', '25.5', '25', 'M12G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 36.0000000000001,25.5000000000001 36.5000000000001,26.0000000000001 36.5000000000001,26.0000000000001 36.0000000000001,25.5000000000001 36.0000000000001)))', '36.5', '36', '26', '25.5', 'M12G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 36.0000000000001,26.0000000000001 36.5000000000001,26.5000000000001 36.5000000000001,26.5000000000001 36.0000000000001,26.0000000000001 36.0000000000001)))', '36.5', '36', '26.5', '26', 'M12G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 36.0000000000001,26.5000000000001 36.5000000000001,27.0000000000001 36.5000000000001,27.0000000000001 36.0000000000001,26.5000000000001 36.0000000000001)))', '36.5', '36', '27', '26.5', 'M12G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 36.0000000000001,27.0000000000001 36.5000000000001,27.5000000000001 36.5000000000001,27.5000000000001 36.0000000000001,27.0000000000001 36.0000000000001)))', '36.5', '36', '27.5', '27', 'M12G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 36.0000000000001,27.5000000000001 36.5000000000001,28.0000000000001 36.5000000000001,28.0000000000001 36.0000000000001,27.5000000000001 36.0000000000001)))', '36.5', '36', '28', '27.5', 'M12G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 36.0000000000001,28.0000000000001 36.5000000000001,28.5000000000001 36.5000000000001,28.5000000000001 36.0000000000001,28.0000000000001 36.0000000000001)))', '36.5', '36', '28.5', '28', 'M12G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 36.0000000000001,28.5000000000001 36.5000000000001,29.0000000000001 36.5000000000001,29.0000000000001 36.0000000000001,28.5000000000001 36.0000000000001)))', '36.5', '36', '29', '28.5', 'M12G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 36.0000000000001,29.0000000000001 36.5000000000001,29.5000000000001 36.5000000000001,29.5000000000001 36.0000000000001,29.0000000000001 36.0000000000001)))', '36.5', '36', '29.5', '29', 'M12H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 36.0000000000001,29.5000000000001 36.5000000000001,30.0000000000001 36.5000000000001,30.0000000000001 36.0000000000001,29.5000000000001 36.0000000000001)))', '36.5', '36', '30', '29.5', 'M12H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 36.0000000000001,30.0000000000001 36.5000000000001,30.5000000000001 36.5000000000001,30.5000000000001 36.0000000000001,30.0000000000001 36.0000000000001)))', '36.5', '36', '30.5', '30', 'M12H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 36.0000000000001,30.5000000000001 36.5000000000001,31.0000000000001 36.5000000000001,31.0000000000001 36.0000000000001,30.5000000000001 36.0000000000001)))', '36.5', '36', '31', '30.5', 'M12H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 36.0000000000001,31.0000000000001 36.5000000000001,31.5000000000001 36.5000000000001,31.5000000000001 36.0000000000001,31.0000000000001 36.0000000000001)))', '36.5', '36', '31.5', '31', 'M12H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 36.0000000000001,31.5000000000001 36.5000000000001,32.0000000000001 36.5000000000001,32.0000000000001 36.0000000000001,31.5000000000001 36.0000000000001)))', '36.5', '36', '32', '31.5', 'M12H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 36.0000000000001,32.0000000000001 36.5000000000001,32.5000000000001 36.5000000000001,32.5000000000001 36.0000000000001,32.0000000000001 36.0000000000001)))', '36.5', '36', '32.5', '32', 'M12H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 36.0000000000001,32.5000000000001 36.5000000000001,33.0000000000001 36.5000000000001,33.0000000000001 36.0000000000001,32.5000000000001 36.0000000000001)))', '36.5', '36', '33', '32.5', 'M12H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 36.0000000000001,33.0000000000001 36.5000000000001,33.5000000000001 36.5000000000001,33.5000000000001 36.0000000000001,33.0000000000001 36.0000000000001)))', '36.5', '36', '33.5', '33', 'M12H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 36.0000000000001,33.5000000000001 36.5000000000001,34.0000000000001 36.5000000000001,34.0000000000001 36.0000000000001,33.5000000000001 36.0000000000001)))', '36.5', '36', '34', '33.5', 'M12H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 36.0000000000001,34.0000000000001 36.5000000000001,34.5000000000001 36.5000000000001,34.5000000000001 36.0000000000001,34.0000000000001 36.0000000000001)))', '36.5', '36', '34.5', '34', 'M12I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 36.0000000000001,34.5000000000001 36.5000000000001,35.0000000000001 36.5000000000001,35.0000000000001 36.0000000000001,34.5000000000001 36.0000000000001)))', '36.5', '36', '35', '34.5', 'M12I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 36.0000000000001,35.0000000000001 36.5000000000001,35.5000000000001 36.5000000000001,35.5000000000001 36.0000000000001,35.0000000000001 36.0000000000001)))', '36.5', '36', '35.5', '35', 'M12I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 36.0000000000001,35.5000000000001 36.5000000000001,36.0000000000001 36.5000000000001,36.0000000000001 36.0000000000001,35.5000000000001 36.0000000000001)))', '36.5', '36', '36', '35.5', 'M12I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 36.0000000000001,36.0000000000001 36.5000000000001,36.5000000000001 36.5000000000001,36.5000000000001 36.0000000000001,36.0000000000001 36.0000000000001)))', '36.5', '36', '36.5', '36', 'M12I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 36.5000000000001,-4.99999999999994 37.0000000000001,-4.49999999999994 37.0000000000001,-4.49999999999994 36.5000000000001,-4.99999999999994 36.5000000000001)))', '37', '36.5', '-4.5', '-5', 'M13A2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.49999999999994 36.5000000000001,-4.49999999999994 37.0000000000001,-3.99999999999994 37.0000000000001,-3.99999999999994 36.5000000000001,-4.49999999999994 36.5000000000001)))', '37', '36.5', '-4', '-4.5', 'M13A3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 36.5000000000001,-3.99999999999994 37.0000000000001,-3.49999999999994 37.0000000000001,-3.49999999999994 36.5000000000001,-3.99999999999994 36.5000000000001)))', '37', '36.5', '-3.5', '-4', 'M13A4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.49999999999994 36.5000000000001,-3.49999999999994 37.0000000000001,-2.99999999999994 37.0000000000001,-2.99999999999994 36.5000000000001,-3.49999999999994 36.5000000000001)))', '37', '36.5', '-3', '-3.5', 'M13A5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 36.5000000000001,-2.99999999999994 37.0000000000001,-2.49999999999994 37.0000000000001,-2.49999999999994 36.5000000000001,-2.99999999999994 36.5000000000001)))', '37', '36.5', '-2.5', '-3', 'M13A6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.49999999999994 36.5000000000001,-2.49999999999994 37.0000000000001,-1.99999999999994 37.0000000000001,-1.99999999999994 36.5000000000001,-2.49999999999994 36.5000000000001)))', '37', '36.5', '-2', '-2.5', 'M13A7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 36.5000000000001,-1.99999999999994 37.0000000000001,-1.49999999999994 37.0000000000001,-1.49999999999994 36.5000000000001,-1.99999999999994 36.5000000000001)))', '37', '36.5', '-1.5', '-2', 'M13A8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.49999999999994 36.5000000000001,-1.49999999999994 37.0000000000001,-0.999999999999943 37.0000000000001,-0.999999999999943 36.5000000000001,-1.49999999999994 36.5000000000001)))', '37', '36.5', '-1', '-1.5', 'M13A9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 36.5000000000001,-0.999999999999943 37.0000000000001,-0.499999999999943 37.0000000000001,-0.499999999999943 36.5000000000001,-0.999999999999943 36.5000000000001)))', '37', '36.5', '-0.5', '-1', 'M13B0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.499999999999943 36.5000000000001,-0.499999999999943 37.0000000000001,5.6843418860808e-14 37.0000000000001,5.6843418860808e-14 36.5000000000001,-0.499999999999943 36.5000000000001)))', '37', '36.5', '0', '-0.5', 'M13B1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 36.5000000000001,5.6843418860808e-14 37.0000000000001,0.500000000000057 37.0000000000001,0.500000000000057 36.5000000000001,5.6843418860808e-14 36.5000000000001)))', '37', '36.5', '0.5', '0', 'M13B2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((0.500000000000057 36.5000000000001,0.500000000000057 37.0000000000001,1.00000000000006 37.0000000000001,1.00000000000006 36.5000000000001,0.500000000000057 36.5000000000001)))', '37', '36.5', '1', '0.5', 'M13B3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 36.5000000000001,1.00000000000006 37.0000000000001,1.50000000000006 37.0000000000001,1.50000000000006 36.5000000000001,1.00000000000006 36.5000000000001)))', '37', '36.5', '1.5', '1', 'M13B4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.50000000000006 36.5000000000001,1.50000000000006 37.0000000000001,2.00000000000006 37.0000000000001,2.00000000000006 36.5000000000001,1.50000000000006 36.5000000000001)))', '37', '36.5', '2', '1.5', 'M13B5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 36.5000000000001,2.00000000000006 37.0000000000001,2.50000000000006 37.0000000000001,2.50000000000006 36.5000000000001,2.00000000000006 36.5000000000001)))', '37', '36.5', '2.5', '2', 'M13B6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.50000000000006 36.5000000000001,2.50000000000006 37.0000000000001,3.00000000000006 37.0000000000001,3.00000000000006 36.5000000000001,2.50000000000006 36.5000000000001)))', '37', '36.5', '3', '2.5', 'M13B7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 36.5000000000001,3.00000000000006 37.0000000000001,3.50000000000006 37.0000000000001,3.50000000000006 36.5000000000001,3.00000000000006 36.5000000000001)))', '37', '36.5', '3.5', '3', 'M13B8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50000000000006 36.5000000000001,3.50000000000006 37.0000000000001,4.00000000000006 37.0000000000001,4.00000000000006 36.5000000000001,3.50000000000006 36.5000000000001)))', '37', '36.5', '4', '3.5', 'M13B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 36.5000000000001,4.00000000000006 37.0000000000001,4.50000000000006 37.0000000000001,4.50000000000006 36.5000000000001,4.00000000000006 36.5000000000001)))', '37', '36.5', '4.5', '4', 'M13C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.50000000000006 36.5000000000001,4.50000000000006 37.0000000000001,5.00000000000006 37.0000000000001,5.00000000000006 36.5000000000001,4.50000000000006 36.5000000000001)))', '37', '36.5', '5', '4.5', 'M13C1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 36.5000000000001,5.00000000000006 37.0000000000001,5.50000000000006 37.0000000000001,5.50000000000006 36.5000000000001,5.00000000000006 36.5000000000001)))', '37', '36.5', '5.5', '5', 'M13C2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.50000000000006 36.5000000000001,5.50000000000006 37.0000000000001,6.00000000000006 37.0000000000001,6.00000000000006 36.5000000000001,5.50000000000006 36.5000000000001)))', '37', '36.5', '6', '5.5', 'M13C3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 36.5000000000001,6.00000000000006 37.0000000000001,6.50000000000006 37.0000000000001,6.50000000000006 36.5000000000001,6.00000000000006 36.5000000000001)))', '37', '36.5', '6.5', '6', 'M13C4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 36.5000000000001,6.50000000000006 37.0000000000001,7.00000000000006 37.0000000000001,7.00000000000006 36.5000000000001,6.50000000000006 36.5000000000001)))', '37', '36.5', '7', '6.5', 'M13C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 36.5000000000001,7.00000000000006 37.0000000000001,7.50000000000006 37.0000000000001,7.50000000000006 36.5000000000001,7.00000000000006 36.5000000000001)))', '37', '36.5', '7.5', '7', 'M13C6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 36.5000000000001,7.50000000000006 37.0000000000001,8.00000000000006 37.0000000000001,8.00000000000006 36.5000000000001,7.50000000000006 36.5000000000001)))', '37', '36.5', '8', '7.5', 'M13C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 36.5000000000001,8.00000000000006 37.0000000000001,8.50000000000006 37.0000000000001,8.50000000000006 36.5000000000001,8.00000000000006 36.5000000000001)))', '37', '36.5', '8.5', '8', 'M13C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 36.5000000000001,8.50000000000006 37.0000000000001,9.00000000000006 37.0000000000001,9.00000000000006 36.5000000000001,8.50000000000006 36.5000000000001)))', '37', '36.5', '9', '8.5', 'M13C9', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((10.0000000000001 36.5000000000001,10.0000000000001 37.0000000000001,10.5000000000001 37.0000000000001,10.5000000000001 36.5000000000001,10.0000000000001 36.5000000000001)))', '37', '36.5', '10.5', '10', 'M13D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 36.5000000000001,10.5000000000001 37.0000000000001,11.0000000000001 37.0000000000001,11.0000000000001 36.5000000000001,10.5000000000001 36.5000000000001)))', '37', '36.5', '11', '10.5', 'M13D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 36.5000000000001,11.0000000000001 37.0000000000001,11.5000000000001 37.0000000000001,11.5000000000001 36.5000000000001,11.0000000000001 36.5000000000001)))', '37', '36.5', '11.5', '11', 'M13D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 36.5000000000001,11.5000000000001 37.0000000000001,12.0000000000001 37.0000000000001,12.0000000000001 36.5000000000001,11.5000000000001 36.5000000000001)))', '37', '36.5', '12', '11.5', 'M13D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 36.5000000000001,12.0000000000001 37.0000000000001,12.5000000000001 37.0000000000001,12.5000000000001 36.5000000000001,12.0000000000001 36.5000000000001)))', '37', '36.5', '12.5', '12', 'M13D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 36.5000000000001,12.5000000000001 37.0000000000001,13.0000000000001 37.0000000000001,13.0000000000001 36.5000000000001,12.5000000000001 36.5000000000001)))', '37', '36.5', '13', '12.5', 'M13D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 36.5000000000001,13.0000000000001 37.0000000000001,13.5000000000001 37.0000000000001,13.5000000000001 36.5000000000001,13.0000000000001 36.5000000000001)))', '37', '36.5', '13.5', '13', 'M13D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 36.5000000000001,13.5000000000001 37.0000000000001,14.0000000000001 37.0000000000001,14.0000000000001 36.5000000000001,13.5000000000001 36.5000000000001)))', '37', '36.5', '14', '13.5', 'M13D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 36.5000000000001,14.0000000000001 37.0000000000001,14.5000000000001 37.0000000000001,14.5000000000001 36.5000000000001,14.0000000000001 36.5000000000001)))', '37', '36.5', '14.5', '14', 'M13E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 36.5000000000001,14.5000000000001 37.0000000000001,15.0000000000001 37.0000000000001,15.0000000000001 36.5000000000001,14.5000000000001 36.5000000000001)))', '37', '36.5', '15', '14.5', 'M13E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 36.5000000000001,15.0000000000001 37.0000000000001,15.5000000000001 37.0000000000001,15.5000000000001 36.5000000000001,15.0000000000001 36.5000000000001)))', '37', '36.5', '15.5', '15', 'M13E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 36.5000000000001,15.5000000000001 37.0000000000001,16.0000000000001 37.0000000000001,16.0000000000001 36.5000000000001,15.5000000000001 36.5000000000001)))', '37', '36.5', '16', '15.5', 'M13E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 36.5000000000001,16.0000000000001 37.0000000000001,16.5000000000001 37.0000000000001,16.5000000000001 36.5000000000001,16.0000000000001 36.5000000000001)))', '37', '36.5', '16.5', '16', 'M13E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 36.5000000000001,16.5000000000001 37.0000000000001,17.0000000000001 37.0000000000001,17.0000000000001 36.5000000000001,16.5000000000001 36.5000000000001)))', '37', '36.5', '17', '16.5', 'M13E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 36.5000000000001,17.0000000000001 37.0000000000001,17.5000000000001 37.0000000000001,17.5000000000001 36.5000000000001,17.0000000000001 36.5000000000001)))', '37', '36.5', '17.5', '17', 'M13E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 36.5000000000001,17.5000000000001 37.0000000000001,18.0000000000001 37.0000000000001,18.0000000000001 36.5000000000001,17.5000000000001 36.5000000000001)))', '37', '36.5', '18', '17.5', 'M13E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 36.5000000000001,18.0000000000001 37.0000000000001,18.5000000000001 37.0000000000001,18.5000000000001 36.5000000000001,18.0000000000001 36.5000000000001)))', '37', '36.5', '18.5', '18', 'M13E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 36.5000000000001,18.5000000000001 37.0000000000001,19.0000000000001 37.0000000000001,19.0000000000001 36.5000000000001,18.5000000000001 36.5000000000001)))', '37', '36.5', '19', '18.5', 'M13E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 36.5000000000001,19.0000000000001 37.0000000000001,19.5000000000001 37.0000000000001,19.5000000000001 36.5000000000001,19.0000000000001 36.5000000000001)))', '37', '36.5', '19.5', '19', 'M13F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 36.5000000000001,19.5000000000001 37.0000000000001,20.0000000000001 37.0000000000001,20.0000000000001 36.5000000000001,19.5000000000001 36.5000000000001)))', '37', '36.5', '20', '19.5', 'M13F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 36.5000000000001,20.0000000000001 37.0000000000001,20.5000000000001 37.0000000000001,20.5000000000001 36.5000000000001,20.0000000000001 36.5000000000001)))', '37', '36.5', '20.5', '20', 'M13F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5000000000001 36.5000000000001,20.5000000000001 37.0000000000001,21.0000000000001 37.0000000000001,21.0000000000001 36.5000000000001,20.5000000000001 36.5000000000001)))', '37', '36.5', '21', '20.5', 'M13F3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 36.5000000000001,21.0000000000001 37.0000000000001,21.5000000000001 37.0000000000001,21.5000000000001 36.5000000000001,21.0000000000001 36.5000000000001)))', '37', '36.5', '21.5', '21', 'M13F4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5000000000001 36.5000000000001,21.5000000000001 37.0000000000001,22.0000000000001 37.0000000000001,22.0000000000001 36.5000000000001,21.5000000000001 36.5000000000001)))', '37', '36.5', '22', '21.5', 'M13F5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 36.5000000000001,22.0000000000001 37.0000000000001,22.5000000000001 37.0000000000001,22.5000000000001 36.5000000000001,22.0000000000001 36.5000000000001)))', '37', '36.5', '22.5', '22', 'M13F6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 36.5000000000001,22.5000000000001 37.0000000000001,23.0000000000001 37.0000000000001,23.0000000000001 36.5000000000001,22.5000000000001 36.5000000000001)))', '37', '36.5', '23', '22.5', 'M13F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 36.5000000000001,23.0000000000001 37.0000000000001,23.5000000000001 37.0000000000001,23.5000000000001 36.5000000000001,23.0000000000001 36.5000000000001)))', '37', '36.5', '23.5', '23', 'M13F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 36.5000000000001,23.5000000000001 37.0000000000001,24.0000000000001 37.0000000000001,24.0000000000001 36.5000000000001,23.5000000000001 36.5000000000001)))', '37', '36.5', '24', '23.5', 'M13F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 36.5000000000001,24.0000000000001 37.0000000000001,24.5000000000001 37.0000000000001,24.5000000000001 36.5000000000001,24.0000000000001 36.5000000000001)))', '37', '36.5', '24.5', '24', 'M13G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 36.5000000000001,24.5000000000001 37.0000000000001,25.0000000000001 37.0000000000001,25.0000000000001 36.5000000000001,24.5000000000001 36.5000000000001)))', '37', '36.5', '25', '24.5', 'M13G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 36.5000000000001,25.0000000000001 37.0000000000001,25.5000000000001 37.0000000000001,25.5000000000001 36.5000000000001,25.0000000000001 36.5000000000001)))', '37', '36.5', '25.5', '25', 'M13G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 36.5000000000001,25.5000000000001 37.0000000000001,26.0000000000001 37.0000000000001,26.0000000000001 36.5000000000001,25.5000000000001 36.5000000000001)))', '37', '36.5', '26', '25.5', 'M13G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 36.5000000000001,26.0000000000001 37.0000000000001,26.5000000000001 37.0000000000001,26.5000000000001 36.5000000000001,26.0000000000001 36.5000000000001)))', '37', '36.5', '26.5', '26', 'M13G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 36.5000000000001,26.5000000000001 37.0000000000001,27.0000000000001 37.0000000000001,27.0000000000001 36.5000000000001,26.5000000000001 36.5000000000001)))', '37', '36.5', '27', '26.5', 'M13G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 36.5000000000001,27.0000000000001 37.0000000000001,27.5000000000001 37.0000000000001,27.5000000000001 36.5000000000001,27.0000000000001 36.5000000000001)))', '37', '36.5', '27.5', '27', 'M13G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 36.5000000000001,27.5000000000001 37.0000000000001,28.0000000000001 37.0000000000001,28.0000000000001 36.5000000000001,27.5000000000001 36.5000000000001)))', '37', '36.5', '28', '27.5', 'M13G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 36.5000000000001,28.0000000000001 37.0000000000001,28.5000000000001 37.0000000000001,28.5000000000001 36.5000000000001,28.0000000000001 36.5000000000001)))', '37', '36.5', '28.5', '28', 'M13G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 36.5000000000001,28.5000000000001 37.0000000000001,29.0000000000001 37.0000000000001,29.0000000000001 36.5000000000001,28.5000000000001 36.5000000000001)))', '37', '36.5', '29', '28.5', 'M13G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 36.5000000000001,29.0000000000001 37.0000000000001,29.5000000000001 37.0000000000001,29.5000000000001 36.5000000000001,29.0000000000001 36.5000000000001)))', '37', '36.5', '29.5', '29', 'M13H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 36.5000000000001,30.5000000000001 37.0000000000001,31.0000000000001 37.0000000000001,31.0000000000001 36.5000000000001,30.5000000000001 36.5000000000001)))', '37', '36.5', '31', '30.5', 'M13H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 36.5000000000001,31.0000000000001 37.0000000000001,31.5000000000001 37.0000000000001,31.5000000000001 36.5000000000001,31.0000000000001 36.5000000000001)))', '37', '36.5', '31.5', '31', 'M13H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 36.5000000000001,31.5000000000001 37.0000000000001,32.0000000000001 37.0000000000001,32.0000000000001 36.5000000000001,31.5000000000001 36.5000000000001)))', '37', '36.5', '32', '31.5', 'M13H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 36.5000000000001,32.0000000000001 37.0000000000001,32.5000000000001 37.0000000000001,32.5000000000001 36.5000000000001,32.0000000000001 36.5000000000001)))', '37', '36.5', '32.5', '32', 'M13H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 36.5000000000001,34.0000000000001 37.0000000000001,34.5000000000001 37.0000000000001,34.5000000000001 36.5000000000001,34.0000000000001 36.5000000000001)))', '37', '36.5', '34.5', '34', 'M13I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 36.5000000000001,34.5000000000001 37.0000000000001,35.0000000000001 37.0000000000001,35.0000000000001 36.5000000000001,34.5000000000001 36.5000000000001)))', '37', '36.5', '35', '34.5', 'M13I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 36.5000000000001,35.0000000000001 37.0000000000001,35.5000000000001 37.0000000000001,35.5000000000001 36.5000000000001,35.0000000000001 36.5000000000001)))', '37', '36.5', '35.5', '35', 'M13I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 36.5000000000001,35.5000000000001 37.0000000000001,36.0000000000001 37.0000000000001,36.0000000000001 36.5000000000001,35.5000000000001 36.5000000000001)))', '37', '36.5', '36', '35.5', 'M13I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 36.5000000000001,36.0000000000001 37.0000000000001,36.5000000000001 37.0000000000001,36.5000000000001 36.5000000000001,36.0000000000001 36.5000000000001)))', '37', '36.5', '36.5', '36', 'M13I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 37.0000000000001,-1.99999999999994 37.5000000000001,-1.49999999999994 37.5000000000001,-1.49999999999994 37.0000000000001,-1.99999999999994 37.0000000000001)))', '37.5', '37', '-1.5', '-2', 'M14A8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.49999999999994 37.0000000000001,-1.49999999999994 37.5000000000001,-0.999999999999943 37.5000000000001,-0.999999999999943 37.0000000000001,-1.49999999999994 37.0000000000001)))', '37.5', '37', '-1', '-1.5', 'M14A9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 37.0000000000001,-0.999999999999943 37.5000000000001,-0.499999999999943 37.5000000000001,-0.499999999999943 37.0000000000001,-0.999999999999943 37.0000000000001)))', '37.5', '37', '-0.5', '-1', 'M14B0', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-0.499999999999943 37.0000000000001,-0.499999999999943 37.5000000000001,5.6843418860808e-14 37.5000000000001,5.6843418860808e-14 37.0000000000001,-0.499999999999943 37.0000000000001)))', '37.5', '37', '0', '-0.5', 'M14B1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 37.0000000000001,5.6843418860808e-14 37.5000000000001,0.500000000000057 37.5000000000001,0.500000000000057 37.0000000000001,5.6843418860808e-14 37.0000000000001)))', '37.5', '37', '0.5', '0', 'M14B2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((0.500000000000057 37.0000000000001,0.500000000000057 37.5000000000001,1.00000000000006 37.5000000000001,1.00000000000006 37.0000000000001,0.500000000000057 37.0000000000001)))', '37.5', '37', '1', '0.5', 'M14B3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 37.0000000000001,1.00000000000006 37.5000000000001,1.50000000000006 37.5000000000001,1.50000000000006 37.0000000000001,1.00000000000006 37.0000000000001)))', '37.5', '37', '1.5', '1', 'M14B4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.50000000000006 37.0000000000001,1.50000000000006 37.5000000000001,2.00000000000006 37.5000000000001,2.00000000000006 37.0000000000001,1.50000000000006 37.0000000000001)))', '37.5', '37', '2', '1.5', 'M14B5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 37.0000000000001,2.00000000000006 37.5000000000001,2.50000000000006 37.5000000000001,2.50000000000006 37.0000000000001,2.00000000000006 37.0000000000001)))', '37.5', '37', '2.5', '2', 'M14B6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.50000000000006 37.0000000000001,2.50000000000006 37.5000000000001,3.00000000000006 37.5000000000001,3.00000000000006 37.0000000000001,2.50000000000006 37.0000000000001)))', '37.5', '37', '3', '2.5', 'M14B7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 37.0000000000001,3.00000000000006 37.5000000000001,3.50000000000006 37.5000000000001,3.50000000000006 37.0000000000001,3.00000000000006 37.0000000000001)))', '37.5', '37', '3.5', '3', 'M14B8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50000000000006 37.0000000000001,3.50000000000006 37.5000000000001,4.00000000000006 37.5000000000001,4.00000000000006 37.0000000000001,3.50000000000006 37.0000000000001)))', '37.5', '37', '4', '3.5', 'M14B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 37.0000000000001,4.00000000000006 37.5000000000001,4.50000000000006 37.5000000000001,4.50000000000006 37.0000000000001,4.00000000000006 37.0000000000001)))', '37.5', '37', '4.5', '4', 'M14C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.50000000000006 37.0000000000001,4.50000000000006 37.5000000000001,5.00000000000006 37.5000000000001,5.00000000000006 37.0000000000001,4.50000000000006 37.0000000000001)))', '37.5', '37', '5', '4.5', 'M14C1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 37.0000000000001,5.00000000000006 37.5000000000001,5.50000000000006 37.5000000000001,5.50000000000006 37.0000000000001,5.00000000000006 37.0000000000001)))', '37.5', '37', '5.5', '5', 'M14C2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.50000000000006 37.0000000000001,5.50000000000006 37.5000000000001,6.00000000000006 37.5000000000001,6.00000000000006 37.0000000000001,5.50000000000006 37.0000000000001)))', '37.5', '37', '6', '5.5', 'M14C3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 37.0000000000001,6.00000000000006 37.5000000000001,6.50000000000006 37.5000000000001,6.50000000000006 37.0000000000001,6.00000000000006 37.0000000000001)))', '37.5', '37', '6.5', '6', 'M14C4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 37.0000000000001,6.50000000000006 37.5000000000001,7.00000000000006 37.5000000000001,7.00000000000006 37.0000000000001,6.50000000000006 37.0000000000001)))', '37.5', '37', '7', '6.5', 'M14C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 37.0000000000001,7.00000000000006 37.5000000000001,7.50000000000006 37.5000000000001,7.50000000000006 37.0000000000001,7.00000000000006 37.0000000000001)))', '37.5', '37', '7.5', '7', 'M14C6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 37.0000000000001,7.50000000000006 37.5000000000001,8.00000000000006 37.5000000000001,8.00000000000006 37.0000000000001,7.50000000000006 37.0000000000001)))', '37.5', '37', '8', '7.5', 'M14C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 37.0000000000001,8.00000000000006 37.5000000000001,8.50000000000006 37.5000000000001,8.50000000000006 37.0000000000001,8.00000000000006 37.0000000000001)))', '37.5', '37', '8.5', '8', 'M14C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 37.0000000000001,8.50000000000006 37.5000000000001,9.00000000000006 37.5000000000001,9.00000000000006 37.0000000000001,8.50000000000006 37.0000000000001)))', '37.5', '37', '9', '8.5', 'M14C9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 37.0000000000001,9.00000000000006 37.5000000000001,9.50000000000006 37.5000000000001,9.50000000000006 37.0000000000001,9.00000000000006 37.0000000000001)))', '37.5', '37', '9.5', '9', 'M14D0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 37.0000000000001,9.50000000000006 37.5000000000001,10.0000000000001 37.5000000000001,10.0000000000001 37.0000000000001,9.50000000000006 37.0000000000001)))', '37.5', '37', '10', '9.5', 'M14D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 37.0000000000001,10.0000000000001 37.5000000000001,10.5000000000001 37.5000000000001,10.5000000000001 37.0000000000001,10.0000000000001 37.0000000000001)))', '37.5', '37', '10.5', '10', 'M14D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 37.0000000000001,10.5000000000001 37.5000000000001,11.0000000000001 37.5000000000001,11.0000000000001 37.0000000000001,10.5000000000001 37.0000000000001)))', '37.5', '37', '11', '10.5', 'M14D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 37.0000000000001,11.0000000000001 37.5000000000001,11.5000000000001 37.5000000000001,11.5000000000001 37.0000000000001,11.0000000000001 37.0000000000001)))', '37.5', '37', '11.5', '11', 'M14D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 37.0000000000001,11.5000000000001 37.5000000000001,12.0000000000001 37.5000000000001,12.0000000000001 37.0000000000001,11.5000000000001 37.0000000000001)))', '37.5', '37', '12', '11.5', 'M14D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 37.0000000000001,12.0000000000001 37.5000000000001,12.5000000000001 37.5000000000001,12.5000000000001 37.0000000000001,12.0000000000001 37.0000000000001)))', '37.5', '37', '12.5', '12', 'M14D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 37.0000000000001,12.5000000000001 37.5000000000001,13.0000000000001 37.5000000000001,13.0000000000001 37.0000000000001,12.5000000000001 37.0000000000001)))', '37.5', '37', '13', '12.5', 'M14D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 37.0000000000001,13.0000000000001 37.5000000000001,13.5000000000001 37.5000000000001,13.5000000000001 37.0000000000001,13.0000000000001 37.0000000000001)))', '37.5', '37', '13.5', '13', 'M14D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 37.0000000000001,13.5000000000001 37.5000000000001,14.0000000000001 37.5000000000001,14.0000000000001 37.0000000000001,13.5000000000001 37.0000000000001)))', '37.5', '37', '14', '13.5', 'M14D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 37.0000000000001,14.0000000000001 37.5000000000001,14.5000000000001 37.5000000000001,14.5000000000001 37.0000000000001,14.0000000000001 37.0000000000001)))', '37.5', '37', '14.5', '14', 'M14E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 37.0000000000001,15.0000000000001 37.5000000000001,15.5000000000001 37.5000000000001,15.5000000000001 37.0000000000001,15.0000000000001 37.0000000000001)))', '37.5', '37', '15.5', '15', 'M14E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 37.0000000000001,15.5000000000001 37.5000000000001,16.0000000000001 37.5000000000001,16.0000000000001 37.0000000000001,15.5000000000001 37.0000000000001)))', '37.5', '37', '16', '15.5', 'M14E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 37.0000000000001,16.0000000000001 37.5000000000001,16.5000000000001 37.5000000000001,16.5000000000001 37.0000000000001,16.0000000000001 37.0000000000001)))', '37.5', '37', '16.5', '16', 'M14E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 37.0000000000001,16.5000000000001 37.5000000000001,17.0000000000001 37.5000000000001,17.0000000000001 37.0000000000001,16.5000000000001 37.0000000000001)))', '37.5', '37', '17', '16.5', 'M14E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 37.0000000000001,17.0000000000001 37.5000000000001,17.5000000000001 37.5000000000001,17.5000000000001 37.0000000000001,17.0000000000001 37.0000000000001)))', '37.5', '37', '17.5', '17', 'M14E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 37.0000000000001,17.5000000000001 37.5000000000001,18.0000000000001 37.5000000000001,18.0000000000001 37.0000000000001,17.5000000000001 37.0000000000001)))', '37.5', '37', '18', '17.5', 'M14E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 37.0000000000001,18.0000000000001 37.5000000000001,18.5000000000001 37.5000000000001,18.5000000000001 37.0000000000001,18.0000000000001 37.0000000000001)))', '37.5', '37', '18.5', '18', 'M14E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 37.0000000000001,18.5000000000001 37.5000000000001,19.0000000000001 37.5000000000001,19.0000000000001 37.0000000000001,18.5000000000001 37.0000000000001)))', '37.5', '37', '19', '18.5', 'M14E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 37.0000000000001,19.0000000000001 37.5000000000001,19.5000000000001 37.5000000000001,19.5000000000001 37.0000000000001,19.0000000000001 37.0000000000001)))', '37.5', '37', '19.5', '19', 'M14F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 37.0000000000001,19.5000000000001 37.5000000000001,20.0000000000001 37.5000000000001,20.0000000000001 37.0000000000001,19.5000000000001 37.0000000000001)))', '37.5', '37', '20', '19.5', 'M14F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 37.0000000000001,20.0000000000001 37.5000000000001,20.5000000000001 37.5000000000001,20.5000000000001 37.0000000000001,20.0000000000001 37.0000000000001)))', '37.5', '37', '20.5', '20', 'M14F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5000000000001 37.0000000000001,20.5000000000001 37.5000000000001,21.0000000000001 37.5000000000001,21.0000000000001 37.0000000000001,20.5000000000001 37.0000000000001)))', '37.5', '37', '21', '20.5', 'M14F3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 37.0000000000001,21.0000000000001 37.5000000000001,21.5000000000001 37.5000000000001,21.5000000000001 37.0000000000001,21.0000000000001 37.0000000000001)))', '37.5', '37', '21.5', '21', 'M14F4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5000000000001 37.0000000000001,21.5000000000001 37.5000000000001,22.0000000000001 37.5000000000001,22.0000000000001 37.0000000000001,21.5000000000001 37.0000000000001)))', '37.5', '37', '22', '21.5', 'M14F5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 37.0000000000001,22.0000000000001 37.5000000000001,22.5000000000001 37.5000000000001,22.5000000000001 37.0000000000001,22.0000000000001 37.0000000000001)))', '37.5', '37', '22.5', '22', 'M14F6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 37.0000000000001,22.5000000000001 37.5000000000001,23.0000000000001 37.5000000000001,23.0000000000001 37.0000000000001,22.5000000000001 37.0000000000001)))', '37.5', '37', '23', '22.5', 'M14F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 37.0000000000001,23.0000000000001 37.5000000000001,23.5000000000001 37.5000000000001,23.5000000000001 37.0000000000001,23.0000000000001 37.0000000000001)))', '37.5', '37', '23.5', '23', 'M14F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 37.0000000000001,23.5000000000001 37.5000000000001,24.0000000000001 37.5000000000001,24.0000000000001 37.0000000000001,23.5000000000001 37.0000000000001)))', '37.5', '37', '24', '23.5', 'M14F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 37.0000000000001,24.0000000000001 37.5000000000001,24.5000000000001 37.5000000000001,24.5000000000001 37.0000000000001,24.0000000000001 37.0000000000001)))', '37.5', '37', '24.5', '24', 'M14G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 37.0000000000001,24.5000000000001 37.5000000000001,25.0000000000001 37.5000000000001,25.0000000000001 37.0000000000001,24.5000000000001 37.0000000000001)))', '37.5', '37', '25', '24.5', 'M14G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 37.0000000000001,25.0000000000001 37.5000000000001,25.5000000000001 37.5000000000001,25.5000000000001 37.0000000000001,25.0000000000001 37.0000000000001)))', '37.5', '37', '25.5', '25', 'M14G2', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((25.5000000000001 37.0000000000001,25.5000000000001 37.5000000000001,26.0000000000001 37.5000000000001,26.0000000000001 37.0000000000001,25.5000000000001 37.0000000000001)))', '37.5', '37', '26', '25.5', 'M14G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 37.0000000000001,26.0000000000001 37.5000000000001,26.5000000000001 37.5000000000001,26.5000000000001 37.0000000000001,26.0000000000001 37.0000000000001)))', '37.5', '37', '26.5', '26', 'M14G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 37.0000000000001,26.5000000000001 37.5000000000001,27.0000000000001 37.5000000000001,27.0000000000001 37.0000000000001,26.5000000000001 37.0000000000001)))', '37.5', '37', '27', '26.5', 'M14G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 37.0000000000001,27.0000000000001 37.5000000000001,27.5000000000001 37.5000000000001,27.5000000000001 37.0000000000001,27.0000000000001 37.0000000000001)))', '37.5', '37', '27.5', '27', 'M14G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 37.0000000000001,27.5000000000001 37.5000000000001,28.0000000000001 37.5000000000001,28.0000000000001 37.0000000000001,27.5000000000001 37.0000000000001)))', '37.5', '37', '28', '27.5', 'M14G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 37.0000000000001,28.0000000000001 37.5000000000001,28.5000000000001 37.5000000000001,28.5000000000001 37.0000000000001,28.0000000000001 37.0000000000001)))', '37.5', '37', '28.5', '28', 'M14G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.49999999999994 37.5000000000001,-1.49999999999994 38.0000000000001,-0.999999999999943 38.0000000000001,-0.999999999999943 37.5000000000001,-1.49999999999994 37.5000000000001)))', '38', '37.5', '-1', '-1.5', 'M15A9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 37.5000000000001,-0.999999999999943 38.0000000000001,-0.499999999999943 38.0000000000001,-0.499999999999943 37.5000000000001,-0.999999999999943 37.5000000000001)))', '38', '37.5', '-0.5', '-1', 'M15B0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.499999999999943 37.5000000000001,-0.499999999999943 38.0000000000001,5.6843418860808e-14 38.0000000000001,5.6843418860808e-14 37.5000000000001,-0.499999999999943 37.5000000000001)))', '38', '37.5', '0', '-0.5', 'M15B1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 37.5000000000001,5.6843418860808e-14 38.0000000000001,0.500000000000057 38.0000000000001,0.500000000000057 37.5000000000001,5.6843418860808e-14 37.5000000000001)))', '38', '37.5', '0.5', '0', 'M15B2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((0.500000000000057 37.5000000000001,0.500000000000057 38.0000000000001,1.00000000000006 38.0000000000001,1.00000000000006 37.5000000000001,0.500000000000057 37.5000000000001)))', '38', '37.5', '1', '0.5', 'M15B3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 37.5000000000001,1.00000000000006 38.0000000000001,1.50000000000006 38.0000000000001,1.50000000000006 37.5000000000001,1.00000000000006 37.5000000000001)))', '38', '37.5', '1.5', '1', 'M15B4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.50000000000006 37.5000000000001,1.50000000000006 38.0000000000001,2.00000000000006 38.0000000000001,2.00000000000006 37.5000000000001,1.50000000000006 37.5000000000001)))', '38', '37.5', '2', '1.5', 'M15B5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 37.5000000000001,2.00000000000006 38.0000000000001,2.50000000000006 38.0000000000001,2.50000000000006 37.5000000000001,2.00000000000006 37.5000000000001)))', '38', '37.5', '2.5', '2', 'M15B6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.50000000000006 37.5000000000001,2.50000000000006 38.0000000000001,3.00000000000006 38.0000000000001,3.00000000000006 37.5000000000001,2.50000000000006 37.5000000000001)))', '38', '37.5', '3', '2.5', 'M15B7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 37.5000000000001,3.00000000000006 38.0000000000001,3.50000000000006 38.0000000000001,3.50000000000006 37.5000000000001,3.00000000000006 37.5000000000001)))', '38', '37.5', '3.5', '3', 'M15B8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50000000000006 37.5000000000001,3.50000000000006 38.0000000000001,4.00000000000006 38.0000000000001,4.00000000000006 37.5000000000001,3.50000000000006 37.5000000000001)))', '38', '37.5', '4', '3.5', 'M15B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 37.5000000000001,4.00000000000006 38.0000000000001,4.50000000000006 38.0000000000001,4.50000000000006 37.5000000000001,4.00000000000006 37.5000000000001)))', '38', '37.5', '4.5', '4', 'M15C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.50000000000006 37.5000000000001,4.50000000000006 38.0000000000001,5.00000000000006 38.0000000000001,5.00000000000006 37.5000000000001,4.50000000000006 37.5000000000001)))', '38', '37.5', '5', '4.5', 'M15C1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 37.5000000000001,5.00000000000006 38.0000000000001,5.50000000000006 38.0000000000001,5.50000000000006 37.5000000000001,5.00000000000006 37.5000000000001)))', '38', '37.5', '5.5', '5', 'M15C2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.50000000000006 37.5000000000001,5.50000000000006 38.0000000000001,6.00000000000006 38.0000000000001,6.00000000000006 37.5000000000001,5.50000000000006 37.5000000000001)))', '38', '37.5', '6', '5.5', 'M15C3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 37.5000000000001,6.00000000000006 38.0000000000001,6.50000000000006 38.0000000000001,6.50000000000006 37.5000000000001,6.00000000000006 37.5000000000001)))', '38', '37.5', '6.5', '6', 'M15C4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 37.5000000000001,6.50000000000006 38.0000000000001,7.00000000000006 38.0000000000001,7.00000000000006 37.5000000000001,6.50000000000006 37.5000000000001)))', '38', '37.5', '7', '6.5', 'M15C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 37.5000000000001,7.00000000000006 38.0000000000001,7.50000000000006 38.0000000000001,7.50000000000006 37.5000000000001,7.00000000000006 37.5000000000001)))', '38', '37.5', '7.5', '7', 'M15C6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 37.5000000000001,7.50000000000006 38.0000000000001,8.00000000000006 38.0000000000001,8.00000000000006 37.5000000000001,7.50000000000006 37.5000000000001)))', '38', '37.5', '8', '7.5', 'M15C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 37.5000000000001,8.00000000000006 38.0000000000001,8.50000000000006 38.0000000000001,8.50000000000006 37.5000000000001,8.00000000000006 37.5000000000001)))', '38', '37.5', '8.5', '8', 'M15C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 37.5000000000001,8.50000000000006 38.0000000000001,9.00000000000006 38.0000000000001,9.00000000000006 37.5000000000001,8.50000000000006 37.5000000000001)))', '38', '37.5', '9', '8.5', 'M15C9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 37.5000000000001,9.00000000000006 38.0000000000001,9.50000000000006 38.0000000000001,9.50000000000006 37.5000000000001,9.00000000000006 37.5000000000001)))', '38', '37.5', '9.5', '9', 'M15D0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 37.5000000000001,9.50000000000006 38.0000000000001,10.0000000000001 38.0000000000001,10.0000000000001 37.5000000000001,9.50000000000006 37.5000000000001)))', '38', '37.5', '10', '9.5', 'M15D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 37.5000000000001,10.0000000000001 38.0000000000001,10.5000000000001 38.0000000000001,10.5000000000001 37.5000000000001,10.0000000000001 37.5000000000001)))', '38', '37.5', '10.5', '10', 'M15D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 37.5000000000001,10.5000000000001 38.0000000000001,11.0000000000001 38.0000000000001,11.0000000000001 37.5000000000001,10.5000000000001 37.5000000000001)))', '38', '37.5', '11', '10.5', 'M15D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 37.5000000000001,11.0000000000001 38.0000000000001,11.5000000000001 38.0000000000001,11.5000000000001 37.5000000000001,11.0000000000001 37.5000000000001)))', '38', '37.5', '11.5', '11', 'M15D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 37.5000000000001,11.5000000000001 38.0000000000001,12.0000000000001 38.0000000000001,12.0000000000001 37.5000000000001,11.5000000000001 37.5000000000001)))', '38', '37.5', '12', '11.5', 'M15D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 37.5000000000001,12.0000000000001 38.0000000000001,12.5000000000001 38.0000000000001,12.5000000000001 37.5000000000001,12.0000000000001 37.5000000000001)))', '38', '37.5', '12.5', '12', 'M15D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 37.5000000000001,12.5000000000001 38.0000000000001,13.0000000000001 38.0000000000001,13.0000000000001 37.5000000000001,12.5000000000001 37.5000000000001)))', '38', '37.5', '13', '12.5', 'M15D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 37.5000000000001,13.0000000000001 38.0000000000001,13.5000000000001 38.0000000000001,13.5000000000001 37.5000000000001,13.0000000000001 37.5000000000001)))', '38', '37.5', '13.5', '13', 'M15D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 37.5000000000001,13.5000000000001 38.0000000000001,14.0000000000001 38.0000000000001,14.0000000000001 37.5000000000001,13.5000000000001 37.5000000000001)))', '38', '37.5', '14', '13.5', 'M15D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 37.5000000000001,15.0000000000001 38.0000000000001,15.5000000000001 38.0000000000001,15.5000000000001 37.5000000000001,15.0000000000001 37.5000000000001)))', '38', '37.5', '15.5', '15', 'M15E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 37.5000000000001,15.5000000000001 38.0000000000001,16.0000000000001 38.0000000000001,16.0000000000001 37.5000000000001,15.5000000000001 37.5000000000001)))', '38', '37.5', '16', '15.5', 'M15E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 37.5000000000001,16.0000000000001 38.0000000000001,16.5000000000001 38.0000000000001,16.5000000000001 37.5000000000001,16.0000000000001 37.5000000000001)))', '38', '37.5', '16.5', '16', 'M15E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 37.5000000000001,16.5000000000001 38.0000000000001,17.0000000000001 38.0000000000001,17.0000000000001 37.5000000000001,16.5000000000001 37.5000000000001)))', '38', '37.5', '17', '16.5', 'M15E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 37.5000000000001,17.0000000000001 38.0000000000001,17.5000000000001 38.0000000000001,17.5000000000001 37.5000000000001,17.0000000000001 37.5000000000001)))', '38', '37.5', '17.5', '17', 'M15E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 37.5000000000001,17.5000000000001 38.0000000000001,18.0000000000001 38.0000000000001,18.0000000000001 37.5000000000001,17.5000000000001 37.5000000000001)))', '38', '37.5', '18', '17.5', 'M15E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 37.5000000000001,18.0000000000001 38.0000000000001,18.5000000000001 38.0000000000001,18.5000000000001 37.5000000000001,18.0000000000001 37.5000000000001)))', '38', '37.5', '18.5', '18', 'M15E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 37.5000000000001,18.5000000000001 38.0000000000001,19.0000000000001 38.0000000000001,19.0000000000001 37.5000000000001,18.5000000000001 37.5000000000001)))', '38', '37.5', '19', '18.5', 'M15E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 37.5000000000001,19.0000000000001 38.0000000000001,19.5000000000001 38.0000000000001,19.5000000000001 37.5000000000001,19.0000000000001 37.5000000000001)))', '38', '37.5', '19.5', '19', 'M15F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 37.5000000000001,19.5000000000001 38.0000000000001,20.0000000000001 38.0000000000001,20.0000000000001 37.5000000000001,19.5000000000001 37.5000000000001)))', '38', '37.5', '20', '19.5', 'M15F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 37.5000000000001,20.0000000000001 38.0000000000001,20.5000000000001 38.0000000000001,20.5000000000001 37.5000000000001,20.0000000000001 37.5000000000001)))', '38', '37.5', '20.5', '20', 'M15F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5000000000001 37.5000000000001,20.5000000000001 38.0000000000001,21.0000000000001 38.0000000000001,21.0000000000001 37.5000000000001,20.5000000000001 37.5000000000001)))', '38', '37.5', '21', '20.5', 'M15F3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 37.5000000000001,21.0000000000001 38.0000000000001,21.5000000000001 38.0000000000001,21.5000000000001 37.5000000000001,21.0000000000001 37.5000000000001)))', '38', '37.5', '21.5', '21', 'M15F4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5000000000001 37.5000000000001,21.5000000000001 38.0000000000001,22.0000000000001 38.0000000000001,22.0000000000001 37.5000000000001,21.5000000000001 37.5000000000001)))', '38', '37.5', '22', '21.5', 'M15F5', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((22.5000000000001 37.5000000000001,22.5000000000001 38.0000000000001,23.0000000000001 38.0000000000001,23.0000000000001 37.5000000000001,22.5000000000001 37.5000000000001)))', '38', '37.5', '23', '22.5', 'M15F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 37.5000000000001,23.0000000000001 38.0000000000001,23.5000000000001 38.0000000000001,23.5000000000001 37.5000000000001,23.0000000000001 37.5000000000001)))', '38', '37.5', '23.5', '23', 'M15F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 37.5000000000001,23.5000000000001 38.0000000000001,24.0000000000001 38.0000000000001,24.0000000000001 37.5000000000001,23.5000000000001 37.5000000000001)))', '38', '37.5', '24', '23.5', 'M15F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 37.5000000000001,24.0000000000001 38.0000000000001,24.5000000000001 38.0000000000001,24.5000000000001 37.5000000000001,24.0000000000001 37.5000000000001)))', '38', '37.5', '24.5', '24', 'M15G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 37.5000000000001,24.5000000000001 38.0000000000001,25.0000000000001 38.0000000000001,25.0000000000001 37.5000000000001,24.5000000000001 37.5000000000001)))', '38', '37.5', '25', '24.5', 'M15G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 37.5000000000001,25.0000000000001 38.0000000000001,25.5000000000001 38.0000000000001,25.5000000000001 37.5000000000001,25.0000000000001 37.5000000000001)))', '38', '37.5', '25.5', '25', 'M15G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 37.5000000000001,25.5000000000001 38.0000000000001,26.0000000000001 38.0000000000001,26.0000000000001 37.5000000000001,25.5000000000001 37.5000000000001)))', '38', '37.5', '26', '25.5', 'M15G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 37.5000000000001,26.0000000000001 38.0000000000001,26.5000000000001 38.0000000000001,26.5000000000001 37.5000000000001,26.0000000000001 37.5000000000001)))', '38', '37.5', '26.5', '26', 'M15G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 37.5000000000001,26.5000000000001 38.0000000000001,27.0000000000001 38.0000000000001,27.0000000000001 37.5000000000001,26.5000000000001 37.5000000000001)))', '38', '37.5', '27', '26.5', 'M15G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 37.5000000000001,27.0000000000001 38.0000000000001,27.5000000000001 38.0000000000001,27.5000000000001 37.5000000000001,27.0000000000001 37.5000000000001)))', '38', '37.5', '27.5', '27', 'M15G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 38.0000000000001,-0.999999999999943 38.5000000000001,-0.499999999999943 38.5000000000001,-0.499999999999943 38.0000000000001,-0.999999999999943 38.0000000000001)))', '38.5', '38', '-0.5', '-1', 'M16B0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.499999999999943 38.0000000000001,-0.499999999999943 38.5000000000001,5.6843418860808e-14 38.5000000000001,5.6843418860808e-14 38.0000000000001,-0.499999999999943 38.0000000000001)))', '38.5', '38', '0', '-0.5', 'M16B1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 38.0000000000001,5.6843418860808e-14 38.5000000000001,0.500000000000057 38.5000000000001,0.500000000000057 38.0000000000001,5.6843418860808e-14 38.0000000000001)))', '38.5', '38', '0.5', '0', 'M16B2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((0.500000000000057 38.0000000000001,0.500000000000057 38.5000000000001,1.00000000000006 38.5000000000001,1.00000000000006 38.0000000000001,0.500000000000057 38.0000000000001)))', '38.5', '38', '1', '0.5', 'M16B3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 38.0000000000001,1.00000000000006 38.5000000000001,1.50000000000006 38.5000000000001,1.50000000000006 38.0000000000001,1.00000000000006 38.0000000000001)))', '38.5', '38', '1.5', '1', 'M16B4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.50000000000006 38.0000000000001,1.50000000000006 38.5000000000001,2.00000000000006 38.5000000000001,2.00000000000006 38.0000000000001,1.50000000000006 38.0000000000001)))', '38.5', '38', '2', '1.5', 'M16B5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 38.0000000000001,2.00000000000006 38.5000000000001,2.50000000000006 38.5000000000001,2.50000000000006 38.0000000000001,2.00000000000006 38.0000000000001)))', '38.5', '38', '2.5', '2', 'M16B6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.50000000000006 38.0000000000001,2.50000000000006 38.5000000000001,3.00000000000006 38.5000000000001,3.00000000000006 38.0000000000001,2.50000000000006 38.0000000000001)))', '38.5', '38', '3', '2.5', 'M16B7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 38.0000000000001,3.00000000000006 38.5000000000001,3.50000000000006 38.5000000000001,3.50000000000006 38.0000000000001,3.00000000000006 38.0000000000001)))', '38.5', '38', '3.5', '3', 'M16B8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50000000000006 38.0000000000001,3.50000000000006 38.5000000000001,4.00000000000006 38.5000000000001,4.00000000000006 38.0000000000001,3.50000000000006 38.0000000000001)))', '38.5', '38', '4', '3.5', 'M16B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 38.0000000000001,4.00000000000006 38.5000000000001,4.50000000000006 38.5000000000001,4.50000000000006 38.0000000000001,4.00000000000006 38.0000000000001)))', '38.5', '38', '4.5', '4', 'M16C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.50000000000006 38.0000000000001,4.50000000000006 38.5000000000001,5.00000000000006 38.5000000000001,5.00000000000006 38.0000000000001,4.50000000000006 38.0000000000001)))', '38.5', '38', '5', '4.5', 'M16C1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 38.0000000000001,5.00000000000006 38.5000000000001,5.50000000000006 38.5000000000001,5.50000000000006 38.0000000000001,5.00000000000006 38.0000000000001)))', '38.5', '38', '5.5', '5', 'M16C2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.50000000000006 38.0000000000001,5.50000000000006 38.5000000000001,6.00000000000006 38.5000000000001,6.00000000000006 38.0000000000001,5.50000000000006 38.0000000000001)))', '38.5', '38', '6', '5.5', 'M16C3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 38.0000000000001,6.00000000000006 38.5000000000001,6.50000000000006 38.5000000000001,6.50000000000006 38.0000000000001,6.00000000000006 38.0000000000001)))', '38.5', '38', '6.5', '6', 'M16C4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 38.0000000000001,6.50000000000006 38.5000000000001,7.00000000000006 38.5000000000001,7.00000000000006 38.0000000000001,6.50000000000006 38.0000000000001)))', '38.5', '38', '7', '6.5', 'M16C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 38.0000000000001,7.00000000000006 38.5000000000001,7.50000000000006 38.5000000000001,7.50000000000006 38.0000000000001,7.00000000000006 38.0000000000001)))', '38.5', '38', '7.5', '7', 'M16C6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 38.0000000000001,7.50000000000006 38.5000000000001,8.00000000000006 38.5000000000001,8.00000000000006 38.0000000000001,7.50000000000006 38.0000000000001)))', '38.5', '38', '8', '7.5', 'M16C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 38.0000000000001,8.00000000000006 38.5000000000001,8.50000000000006 38.5000000000001,8.50000000000006 38.0000000000001,8.00000000000006 38.0000000000001)))', '38.5', '38', '8.5', '8', 'M16C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 38.0000000000001,8.50000000000006 38.5000000000001,9.00000000000006 38.5000000000001,9.00000000000006 38.0000000000001,8.50000000000006 38.0000000000001)))', '38.5', '38', '9', '8.5', 'M16C9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 38.0000000000001,9.00000000000006 38.5000000000001,9.50000000000006 38.5000000000001,9.50000000000006 38.0000000000001,9.00000000000006 38.0000000000001)))', '38.5', '38', '9.5', '9', 'M16D0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 38.0000000000001,9.50000000000006 38.5000000000001,10.0000000000001 38.5000000000001,10.0000000000001 38.0000000000001,9.50000000000006 38.0000000000001)))', '38.5', '38', '10', '9.5', 'M16D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 38.0000000000001,10.0000000000001 38.5000000000001,10.5000000000001 38.5000000000001,10.5000000000001 38.0000000000001,10.0000000000001 38.0000000000001)))', '38.5', '38', '10.5', '10', 'M16D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 38.0000000000001,10.5000000000001 38.5000000000001,11.0000000000001 38.5000000000001,11.0000000000001 38.0000000000001,10.5000000000001 38.0000000000001)))', '38.5', '38', '11', '10.5', 'M16D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 38.0000000000001,11.0000000000001 38.5000000000001,11.5000000000001 38.5000000000001,11.5000000000001 38.0000000000001,11.0000000000001 38.0000000000001)))', '38.5', '38', '11.5', '11', 'M16D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 38.0000000000001,11.5000000000001 38.5000000000001,12.0000000000001 38.5000000000001,12.0000000000001 38.0000000000001,11.5000000000001 38.0000000000001)))', '38.5', '38', '12', '11.5', 'M16D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 38.0000000000001,12.0000000000001 38.5000000000001,12.5000000000001 38.5000000000001,12.5000000000001 38.0000000000001,12.0000000000001 38.0000000000001)))', '38.5', '38', '12.5', '12', 'M16D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 38.0000000000001,12.5000000000001 38.5000000000001,13.0000000000001 38.5000000000001,13.0000000000001 38.0000000000001,12.5000000000001 38.0000000000001)))', '38.5', '38', '13', '12.5', 'M16D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 38.0000000000001,13.0000000000001 38.5000000000001,13.5000000000001 38.5000000000001,13.5000000000001 38.0000000000001,13.0000000000001 38.0000000000001)))', '38.5', '38', '13.5', '13', 'M16D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 38.0000000000001,13.5000000000001 38.5000000000001,14.0000000000001 38.5000000000001,14.0000000000001 38.0000000000001,13.5000000000001 38.0000000000001)))', '38.5', '38', '14', '13.5', 'M16D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 38.0000000000001,14.0000000000001 38.5000000000001,14.5000000000001 38.5000000000001,14.5000000000001 38.0000000000001,14.0000000000001 38.0000000000001)))', '38.5', '38', '14.5', '14', 'M16E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 38.0000000000001,14.5000000000001 38.5000000000001,15.0000000000001 38.5000000000001,15.0000000000001 38.0000000000001,14.5000000000001 38.0000000000001)))', '38.5', '38', '15', '14.5', 'M16E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 38.0000000000001,15.0000000000001 38.5000000000001,15.5000000000001 38.5000000000001,15.5000000000001 38.0000000000001,15.0000000000001 38.0000000000001)))', '38.5', '38', '15.5', '15', 'M16E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 38.0000000000001,15.5000000000001 38.5000000000001,16.0000000000001 38.5000000000001,16.0000000000001 38.0000000000001,15.5000000000001 38.0000000000001)))', '38.5', '38', '16', '15.5', 'M16E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 38.0000000000001,16.0000000000001 38.5000000000001,16.5000000000001 38.5000000000001,16.5000000000001 38.0000000000001,16.0000000000001 38.0000000000001)))', '38.5', '38', '16.5', '16', 'M16E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 38.0000000000001,16.5000000000001 38.5000000000001,17.0000000000001 38.5000000000001,17.0000000000001 38.0000000000001,16.5000000000001 38.0000000000001)))', '38.5', '38', '17', '16.5', 'M16E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 38.0000000000001,17.0000000000001 38.5000000000001,17.5000000000001 38.5000000000001,17.5000000000001 38.0000000000001,17.0000000000001 38.0000000000001)))', '38.5', '38', '17.5', '17', 'M16E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 38.0000000000001,17.5000000000001 38.5000000000001,18.0000000000001 38.5000000000001,18.0000000000001 38.0000000000001,17.5000000000001 38.0000000000001)))', '38.5', '38', '18', '17.5', 'M16E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 38.0000000000001,18.0000000000001 38.5000000000001,18.5000000000001 38.5000000000001,18.5000000000001 38.0000000000001,18.0000000000001 38.0000000000001)))', '38.5', '38', '18.5', '18', 'M16E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 38.0000000000001,18.5000000000001 38.5000000000001,19.0000000000001 38.5000000000001,19.0000000000001 38.0000000000001,18.5000000000001 38.0000000000001)))', '38.5', '38', '19', '18.5', 'M16E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 38.0000000000001,19.0000000000001 38.5000000000001,19.5000000000001 38.5000000000001,19.5000000000001 38.0000000000001,19.0000000000001 38.0000000000001)))', '38.5', '38', '19.5', '19', 'M16F0', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((19.5000000000001 38.0000000000001,19.5000000000001 38.5000000000001,20.0000000000001 38.5000000000001,20.0000000000001 38.0000000000001,19.5000000000001 38.0000000000001)))', '38.5', '38', '20', '19.5', 'M16F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 38.0000000000001,20.0000000000001 38.5000000000001,20.5000000000001 38.5000000000001,20.5000000000001 38.0000000000001,20.0000000000001 38.0000000000001)))', '38.5', '38', '20.5', '20', 'M16F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5000000000001 38.0000000000001,20.5000000000001 38.5000000000001,21.0000000000001 38.5000000000001,21.0000000000001 38.0000000000001,20.5000000000001 38.0000000000001)))', '38.5', '38', '21', '20.5', 'M16F3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 38.0000000000001,21.0000000000001 38.5000000000001,21.5000000000001 38.5000000000001,21.5000000000001 38.0000000000001,21.0000000000001 38.0000000000001)))', '38.5', '38', '21.5', '21', 'M16F4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.5000000000001 38.0000000000001,21.5000000000001 38.5000000000001,22.0000000000001 38.5000000000001,22.0000000000001 38.0000000000001,21.5000000000001 38.0000000000001)))', '38.5', '38', '22', '21.5', 'M16F5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 38.0000000000001,22.0000000000001 38.5000000000001,22.5000000000001 38.5000000000001,22.5000000000001 38.0000000000001,22.0000000000001 38.0000000000001)))', '38.5', '38', '22.5', '22', 'M16F6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 38.0000000000001,22.5000000000001 38.5000000000001,23.0000000000001 38.5000000000001,23.0000000000001 38.0000000000001,22.5000000000001 38.0000000000001)))', '38.5', '38', '23', '22.5', 'M16F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 38.0000000000001,23.0000000000001 38.5000000000001,23.5000000000001 38.5000000000001,23.5000000000001 38.0000000000001,23.0000000000001 38.0000000000001)))', '38.5', '38', '23.5', '23', 'M16F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 38.0000000000001,23.5000000000001 38.5000000000001,24.0000000000001 38.5000000000001,24.0000000000001 38.0000000000001,23.5000000000001 38.0000000000001)))', '38.5', '38', '24', '23.5', 'M16F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 38.0000000000001,24.0000000000001 38.5000000000001,24.5000000000001 38.5000000000001,24.5000000000001 38.0000000000001,24.0000000000001 38.0000000000001)))', '38.5', '38', '24.5', '24', 'M16G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 38.0000000000001,24.5000000000001 38.5000000000001,25.0000000000001 38.5000000000001,25.0000000000001 38.0000000000001,24.5000000000001 38.0000000000001)))', '38.5', '38', '25', '24.5', 'M16G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 38.0000000000001,25.0000000000001 38.5000000000001,25.5000000000001 38.5000000000001,25.5000000000001 38.0000000000001,25.0000000000001 38.0000000000001)))', '38.5', '38', '25.5', '25', 'M16G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 38.0000000000001,25.5000000000001 38.5000000000001,26.0000000000001 38.5000000000001,26.0000000000001 38.0000000000001,25.5000000000001 38.0000000000001)))', '38.5', '38', '26', '25.5', 'M16G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 38.0000000000001,26.0000000000001 38.5000000000001,26.5000000000001 38.5000000000001,26.5000000000001 38.0000000000001,26.0000000000001 38.0000000000001)))', '38.5', '38', '26.5', '26', 'M16G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 38.0000000000001,26.5000000000001 38.5000000000001,27.0000000000001 38.5000000000001,27.0000000000001 38.0000000000001,26.5000000000001 38.0000000000001)))', '38.5', '38', '27', '26.5', 'M16G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 38.0000000000001,27.0000000000001 38.5000000000001,27.5000000000001 38.5000000000001,27.5000000000001 38.0000000000001,27.0000000000001 38.0000000000001)))', '38.5', '38', '27.5', '27', 'M16G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.499999999999943 38.5000000000001,-0.499999999999943 39.0000000000001,5.6843418860808e-14 39.0000000000001,5.6843418860808e-14 38.5000000000001,-0.499999999999943 38.5000000000001)))', '39', '38.5', '0', '-0.5', 'M17B1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 38.5000000000001,5.6843418860808e-14 39.0000000000001,0.500000000000057 39.0000000000001,0.500000000000057 38.5000000000001,5.6843418860808e-14 38.5000000000001)))', '39', '38.5', '0.5', '0', 'M17B2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((0.500000000000057 38.5000000000001,0.500000000000057 39.0000000000001,1.00000000000006 39.0000000000001,1.00000000000006 38.5000000000001,0.500000000000057 38.5000000000001)))', '39', '38.5', '1', '0.5', 'M17B3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 38.5000000000001,1.00000000000006 39.0000000000001,1.50000000000006 39.0000000000001,1.50000000000006 38.5000000000001,1.00000000000006 38.5000000000001)))', '39', '38.5', '1.5', '1', 'M17B4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.50000000000006 38.5000000000001,1.50000000000006 39.0000000000001,2.00000000000006 39.0000000000001,2.00000000000006 38.5000000000001,1.50000000000006 38.5000000000001)))', '39', '38.5', '2', '1.5', 'M17B5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 38.5000000000001,2.00000000000006 39.0000000000001,2.50000000000006 39.0000000000001,2.50000000000006 38.5000000000001,2.00000000000006 38.5000000000001)))', '39', '38.5', '2.5', '2', 'M17B6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.50000000000006 38.5000000000001,2.50000000000006 39.0000000000001,3.00000000000006 39.0000000000001,3.00000000000006 38.5000000000001,2.50000000000006 38.5000000000001)))', '39', '38.5', '3', '2.5', 'M17B7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 38.5000000000001,3.00000000000006 39.0000000000001,3.50000000000006 39.0000000000001,3.50000000000006 38.5000000000001,3.00000000000006 38.5000000000001)))', '39', '38.5', '3.5', '3', 'M17B8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50000000000006 38.5000000000001,3.50000000000006 39.0000000000001,4.00000000000006 39.0000000000001,4.00000000000006 38.5000000000001,3.50000000000006 38.5000000000001)))', '39', '38.5', '4', '3.5', 'M17B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 38.5000000000001,4.00000000000006 39.0000000000001,4.50000000000006 39.0000000000001,4.50000000000006 38.5000000000001,4.00000000000006 38.5000000000001)))', '39', '38.5', '4.5', '4', 'M17C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.50000000000006 38.5000000000001,4.50000000000006 39.0000000000001,5.00000000000006 39.0000000000001,5.00000000000006 38.5000000000001,4.50000000000006 38.5000000000001)))', '39', '38.5', '5', '4.5', 'M17C1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 38.5000000000001,5.00000000000006 39.0000000000001,5.50000000000006 39.0000000000001,5.50000000000006 38.5000000000001,5.00000000000006 38.5000000000001)))', '39', '38.5', '5.5', '5', 'M17C2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.50000000000006 38.5000000000001,5.50000000000006 39.0000000000001,6.00000000000006 39.0000000000001,6.00000000000006 38.5000000000001,5.50000000000006 38.5000000000001)))', '39', '38.5', '6', '5.5', 'M17C3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 38.5000000000001,6.00000000000006 39.0000000000001,6.50000000000006 39.0000000000001,6.50000000000006 38.5000000000001,6.00000000000006 38.5000000000001)))', '39', '38.5', '6.5', '6', 'M17C4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 38.5000000000001,6.50000000000006 39.0000000000001,7.00000000000006 39.0000000000001,7.00000000000006 38.5000000000001,6.50000000000006 38.5000000000001)))', '39', '38.5', '7', '6.5', 'M17C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 38.5000000000001,7.00000000000006 39.0000000000001,7.50000000000006 39.0000000000001,7.50000000000006 38.5000000000001,7.00000000000006 38.5000000000001)))', '39', '38.5', '7.5', '7', 'M17C6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 38.5000000000001,7.50000000000006 39.0000000000001,8.00000000000006 39.0000000000001,8.00000000000006 38.5000000000001,7.50000000000006 38.5000000000001)))', '39', '38.5', '8', '7.5', 'M17C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 38.5000000000001,8.00000000000006 39.0000000000001,8.50000000000006 39.0000000000001,8.50000000000006 38.5000000000001,8.00000000000006 38.5000000000001)))', '39', '38.5', '8.5', '8', 'M17C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 38.5000000000001,8.50000000000006 39.0000000000001,9.00000000000006 39.0000000000001,9.00000000000006 38.5000000000001,8.50000000000006 38.5000000000001)))', '39', '38.5', '9', '8.5', 'M17C9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 38.5000000000001,9.00000000000006 39.0000000000001,9.50000000000006 39.0000000000001,9.50000000000006 38.5000000000001,9.00000000000006 38.5000000000001)))', '39', '38.5', '9.5', '9', 'M17D0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 38.5000000000001,9.50000000000006 39.0000000000001,10.0000000000001 39.0000000000001,10.0000000000001 38.5000000000001,9.50000000000006 38.5000000000001)))', '39', '38.5', '10', '9.5', 'M17D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 38.5000000000001,10.0000000000001 39.0000000000001,10.5000000000001 39.0000000000001,10.5000000000001 38.5000000000001,10.0000000000001 38.5000000000001)))', '39', '38.5', '10.5', '10', 'M17D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 38.5000000000001,10.5000000000001 39.0000000000001,11.0000000000001 39.0000000000001,11.0000000000001 38.5000000000001,10.5000000000001 38.5000000000001)))', '39', '38.5', '11', '10.5', 'M17D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 38.5000000000001,11.0000000000001 39.0000000000001,11.5000000000001 39.0000000000001,11.5000000000001 38.5000000000001,11.0000000000001 38.5000000000001)))', '39', '38.5', '11.5', '11', 'M17D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 38.5000000000001,11.5000000000001 39.0000000000001,12.0000000000001 39.0000000000001,12.0000000000001 38.5000000000001,11.5000000000001 38.5000000000001)))', '39', '38.5', '12', '11.5', 'M17D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 38.5000000000001,12.0000000000001 39.0000000000001,12.5000000000001 39.0000000000001,12.5000000000001 38.5000000000001,12.0000000000001 38.5000000000001)))', '39', '38.5', '12.5', '12', 'M17D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 38.5000000000001,12.5000000000001 39.0000000000001,13.0000000000001 39.0000000000001,13.0000000000001 38.5000000000001,12.5000000000001 38.5000000000001)))', '39', '38.5', '13', '12.5', 'M17D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 38.5000000000001,13.0000000000001 39.0000000000001,13.5000000000001 39.0000000000001,13.5000000000001 38.5000000000001,13.0000000000001 38.5000000000001)))', '39', '38.5', '13.5', '13', 'M17D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 38.5000000000001,13.5000000000001 39.0000000000001,14.0000000000001 39.0000000000001,14.0000000000001 38.5000000000001,13.5000000000001 38.5000000000001)))', '39', '38.5', '14', '13.5', 'M17D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 38.5000000000001,14.0000000000001 39.0000000000001,14.5000000000001 39.0000000000001,14.5000000000001 38.5000000000001,14.0000000000001 38.5000000000001)))', '39', '38.5', '14.5', '14', 'M17E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 38.5000000000001,14.5000000000001 39.0000000000001,15.0000000000001 39.0000000000001,15.0000000000001 38.5000000000001,14.5000000000001 38.5000000000001)))', '39', '38.5', '15', '14.5', 'M17E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 38.5000000000001,15.0000000000001 39.0000000000001,15.5000000000001 39.0000000000001,15.5000000000001 38.5000000000001,15.0000000000001 38.5000000000001)))', '39', '38.5', '15.5', '15', 'M17E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 38.5000000000001,15.5000000000001 39.0000000000001,16.0000000000001 39.0000000000001,16.0000000000001 38.5000000000001,15.5000000000001 38.5000000000001)))', '39', '38.5', '16', '15.5', 'M17E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 38.5000000000001,16.0000000000001 39.0000000000001,16.5000000000001 39.0000000000001,16.5000000000001 38.5000000000001,16.0000000000001 38.5000000000001)))', '39', '38.5', '16.5', '16', 'M17E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 38.5000000000001,16.5000000000001 39.0000000000001,17.0000000000001 39.0000000000001,17.0000000000001 38.5000000000001,16.5000000000001 38.5000000000001)))', '39', '38.5', '17', '16.5', 'M17E5', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((17.0000000000001 38.5000000000001,17.0000000000001 39.0000000000001,17.5000000000001 39.0000000000001,17.5000000000001 38.5000000000001,17.0000000000001 38.5000000000001)))', '39', '38.5', '17.5', '17', 'M17E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 38.5000000000001,17.5000000000001 39.0000000000001,18.0000000000001 39.0000000000001,18.0000000000001 38.5000000000001,17.5000000000001 38.5000000000001)))', '39', '38.5', '18', '17.5', 'M17E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 38.5000000000001,18.0000000000001 39.0000000000001,18.5000000000001 39.0000000000001,18.5000000000001 38.5000000000001,18.0000000000001 38.5000000000001)))', '39', '38.5', '18.5', '18', 'M17E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 38.5000000000001,18.5000000000001 39.0000000000001,19.0000000000001 39.0000000000001,19.0000000000001 38.5000000000001,18.5000000000001 38.5000000000001)))', '39', '38.5', '19', '18.5', 'M17E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 38.5000000000001,19.0000000000001 39.0000000000001,19.5000000000001 39.0000000000001,19.5000000000001 38.5000000000001,19.0000000000001 38.5000000000001)))', '39', '38.5', '19.5', '19', 'M17F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 38.5000000000001,19.5000000000001 39.0000000000001,20.0000000000001 39.0000000000001,20.0000000000001 38.5000000000001,19.5000000000001 38.5000000000001)))', '39', '38.5', '20', '19.5', 'M17F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 38.5000000000001,20.0000000000001 39.0000000000001,20.5000000000001 39.0000000000001,20.5000000000001 38.5000000000001,20.0000000000001 38.5000000000001)))', '39', '38.5', '20.5', '20', 'M17F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5000000000001 38.5000000000001,20.5000000000001 39.0000000000001,21.0000000000001 39.0000000000001,21.0000000000001 38.5000000000001,20.5000000000001 38.5000000000001)))', '39', '38.5', '21', '20.5', 'M17F3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 38.5000000000001,21.0000000000001 39.0000000000001,21.5000000000001 39.0000000000001,21.5000000000001 38.5000000000001,21.0000000000001 38.5000000000001)))', '39', '38.5', '21.5', '21', 'M17F4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 38.5000000000001,22.5000000000001 39.0000000000001,23.0000000000001 39.0000000000001,23.0000000000001 38.5000000000001,22.5000000000001 38.5000000000001)))', '39', '38.5', '23', '22.5', 'M17F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 38.5000000000001,23.0000000000001 39.0000000000001,23.5000000000001 39.0000000000001,23.5000000000001 38.5000000000001,23.0000000000001 38.5000000000001)))', '39', '38.5', '23.5', '23', 'M17F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 38.5000000000001,23.5000000000001 39.0000000000001,24.0000000000001 39.0000000000001,24.0000000000001 38.5000000000001,23.5000000000001 38.5000000000001)))', '39', '38.5', '24', '23.5', 'M17F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 38.5000000000001,24.0000000000001 39.0000000000001,24.5000000000001 39.0000000000001,24.5000000000001 38.5000000000001,24.0000000000001 38.5000000000001)))', '39', '38.5', '24.5', '24', 'M17G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 38.5000000000001,24.5000000000001 39.0000000000001,25.0000000000001 39.0000000000001,25.0000000000001 38.5000000000001,24.5000000000001 38.5000000000001)))', '39', '38.5', '25', '24.5', 'M17G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 38.5000000000001,25.0000000000001 39.0000000000001,25.5000000000001 39.0000000000001,25.5000000000001 38.5000000000001,25.0000000000001 38.5000000000001)))', '39', '38.5', '25.5', '25', 'M17G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 38.5000000000001,25.5000000000001 39.0000000000001,26.0000000000001 39.0000000000001,26.0000000000001 38.5000000000001,25.5000000000001 38.5000000000001)))', '39', '38.5', '26', '25.5', 'M17G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 38.5000000000001,26.0000000000001 39.0000000000001,26.5000000000001 39.0000000000001,26.5000000000001 38.5000000000001,26.0000000000001 38.5000000000001)))', '39', '38.5', '26.5', '26', 'M17G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 38.5000000000001,26.5000000000001 39.0000000000001,27.0000000000001 39.0000000000001,27.0000000000001 38.5000000000001,26.5000000000001 38.5000000000001)))', '39', '38.5', '27', '26.5', 'M17G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 38.5000000000001,27.0000000000001 39.0000000000001,27.5000000000001 39.0000000000001,27.5000000000001 38.5000000000001,27.0000000000001 38.5000000000001)))', '39', '38.5', '27.5', '27', 'M17G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.499999999999943 39.0000000000001,-0.499999999999943 39.5000000000001,5.6843418860808e-14 39.5000000000001,5.6843418860808e-14 39.0000000000001,-0.499999999999943 39.0000000000001)))', '39.5', '39', '0', '-0.5', 'M18B1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 39.0000000000001,5.6843418860808e-14 39.5000000000001,0.500000000000057 39.5000000000001,0.500000000000057 39.0000000000001,5.6843418860808e-14 39.0000000000001)))', '39.5', '39', '0.5', '0', 'M18B2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((0.500000000000057 39.0000000000001,0.500000000000057 39.5000000000001,1.00000000000006 39.5000000000001,1.00000000000006 39.0000000000001,0.500000000000057 39.0000000000001)))', '39.5', '39', '1', '0.5', 'M18B3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 39.0000000000001,1.00000000000006 39.5000000000001,1.50000000000006 39.5000000000001,1.50000000000006 39.0000000000001,1.00000000000006 39.0000000000001)))', '39.5', '39', '1.5', '1', 'M18B4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.50000000000006 39.0000000000001,1.50000000000006 39.5000000000001,2.00000000000006 39.5000000000001,2.00000000000006 39.0000000000001,1.50000000000006 39.0000000000001)))', '39.5', '39', '2', '1.5', 'M18B5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 39.0000000000001,2.00000000000006 39.5000000000001,2.50000000000006 39.5000000000001,2.50000000000006 39.0000000000001,2.00000000000006 39.0000000000001)))', '39.5', '39', '2.5', '2', 'M18B6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.50000000000006 39.0000000000001,2.50000000000006 39.5000000000001,3.00000000000006 39.5000000000001,3.00000000000006 39.0000000000001,2.50000000000006 39.0000000000001)))', '39.5', '39', '3', '2.5', 'M18B7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 39.0000000000001,3.00000000000006 39.5000000000001,3.50000000000006 39.5000000000001,3.50000000000006 39.0000000000001,3.00000000000006 39.0000000000001)))', '39.5', '39', '3.5', '3', 'M18B8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50000000000006 39.0000000000001,3.50000000000006 39.5000000000001,4.00000000000006 39.5000000000001,4.00000000000006 39.0000000000001,3.50000000000006 39.0000000000001)))', '39.5', '39', '4', '3.5', 'M18B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 39.0000000000001,4.00000000000006 39.5000000000001,4.50000000000006 39.5000000000001,4.50000000000006 39.0000000000001,4.00000000000006 39.0000000000001)))', '39.5', '39', '4.5', '4', 'M18C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.50000000000006 39.0000000000001,4.50000000000006 39.5000000000001,5.00000000000006 39.5000000000001,5.00000000000006 39.0000000000001,4.50000000000006 39.0000000000001)))', '39.5', '39', '5', '4.5', 'M18C1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 39.0000000000001,5.00000000000006 39.5000000000001,5.50000000000006 39.5000000000001,5.50000000000006 39.0000000000001,5.00000000000006 39.0000000000001)))', '39.5', '39', '5.5', '5', 'M18C2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.50000000000006 39.0000000000001,5.50000000000006 39.5000000000001,6.00000000000006 39.5000000000001,6.00000000000006 39.0000000000001,5.50000000000006 39.0000000000001)))', '39.5', '39', '6', '5.5', 'M18C3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 39.0000000000001,6.00000000000006 39.5000000000001,6.50000000000006 39.5000000000001,6.50000000000006 39.0000000000001,6.00000000000006 39.0000000000001)))', '39.5', '39', '6.5', '6', 'M18C4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 39.0000000000001,6.50000000000006 39.5000000000001,7.00000000000006 39.5000000000001,7.00000000000006 39.0000000000001,6.50000000000006 39.0000000000001)))', '39.5', '39', '7', '6.5', 'M18C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 39.0000000000001,7.00000000000006 39.5000000000001,7.50000000000006 39.5000000000001,7.50000000000006 39.0000000000001,7.00000000000006 39.0000000000001)))', '39.5', '39', '7.5', '7', 'M18C6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 39.0000000000001,7.50000000000006 39.5000000000001,8.00000000000006 39.5000000000001,8.00000000000006 39.0000000000001,7.50000000000006 39.0000000000001)))', '39.5', '39', '8', '7.5', 'M18C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 39.0000000000001,8.00000000000006 39.5000000000001,8.50000000000006 39.5000000000001,8.50000000000006 39.0000000000001,8.00000000000006 39.0000000000001)))', '39.5', '39', '8.5', '8', 'M18C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 39.0000000000001,8.50000000000006 39.5000000000001,9.00000000000006 39.5000000000001,9.00000000000006 39.0000000000001,8.50000000000006 39.0000000000001)))', '39.5', '39', '9', '8.5', 'M18C9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 39.0000000000001,9.00000000000006 39.5000000000001,9.50000000000006 39.5000000000001,9.50000000000006 39.0000000000001,9.00000000000006 39.0000000000001)))', '39.5', '39', '9.5', '9', 'M18D0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 39.0000000000001,9.50000000000006 39.5000000000001,10.0000000000001 39.5000000000001,10.0000000000001 39.0000000000001,9.50000000000006 39.0000000000001)))', '39.5', '39', '10', '9.5', 'M18D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 39.0000000000001,10.0000000000001 39.5000000000001,10.5000000000001 39.5000000000001,10.5000000000001 39.0000000000001,10.0000000000001 39.0000000000001)))', '39.5', '39', '10.5', '10', 'M18D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 39.0000000000001,10.5000000000001 39.5000000000001,11.0000000000001 39.5000000000001,11.0000000000001 39.0000000000001,10.5000000000001 39.0000000000001)))', '39.5', '39', '11', '10.5', 'M18D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 39.0000000000001,11.0000000000001 39.5000000000001,11.5000000000001 39.5000000000001,11.5000000000001 39.0000000000001,11.0000000000001 39.0000000000001)))', '39.5', '39', '11.5', '11', 'M18D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 39.0000000000001,11.5000000000001 39.5000000000001,12.0000000000001 39.5000000000001,12.0000000000001 39.0000000000001,11.5000000000001 39.0000000000001)))', '39.5', '39', '12', '11.5', 'M18D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 39.0000000000001,12.0000000000001 39.5000000000001,12.5000000000001 39.5000000000001,12.5000000000001 39.0000000000001,12.0000000000001 39.0000000000001)))', '39.5', '39', '12.5', '12', 'M18D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 39.0000000000001,12.5000000000001 39.5000000000001,13.0000000000001 39.5000000000001,13.0000000000001 39.0000000000001,12.5000000000001 39.0000000000001)))', '39.5', '39', '13', '12.5', 'M18D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 39.0000000000001,13.0000000000001 39.5000000000001,13.5000000000001 39.5000000000001,13.5000000000001 39.0000000000001,13.0000000000001 39.0000000000001)))', '39.5', '39', '13.5', '13', 'M18D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 39.0000000000001,13.5000000000001 39.5000000000001,14.0000000000001 39.5000000000001,14.0000000000001 39.0000000000001,13.5000000000001 39.0000000000001)))', '39.5', '39', '14', '13.5', 'M18D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 39.0000000000001,14.0000000000001 39.5000000000001,14.5000000000001 39.5000000000001,14.5000000000001 39.0000000000001,14.0000000000001 39.0000000000001)))', '39.5', '39', '14.5', '14', 'M18E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 39.0000000000001,14.5000000000001 39.5000000000001,15.0000000000001 39.5000000000001,15.0000000000001 39.0000000000001,14.5000000000001 39.0000000000001)))', '39.5', '39', '15', '14.5', 'M18E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 39.0000000000001,15.0000000000001 39.5000000000001,15.5000000000001 39.5000000000001,15.5000000000001 39.0000000000001,15.0000000000001 39.0000000000001)))', '39.5', '39', '15.5', '15', 'M18E2', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((15.5000000000001 39.0000000000001,15.5000000000001 39.5000000000001,16.0000000000001 39.5000000000001,16.0000000000001 39.0000000000001,15.5000000000001 39.0000000000001)))', '39.5', '39', '16', '15.5', 'M18E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 39.0000000000001,16.0000000000001 39.5000000000001,16.5000000000001 39.5000000000001,16.5000000000001 39.0000000000001,16.0000000000001 39.0000000000001)))', '39.5', '39', '16.5', '16', 'M18E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 39.0000000000001,16.5000000000001 39.5000000000001,17.0000000000001 39.5000000000001,17.0000000000001 39.0000000000001,16.5000000000001 39.0000000000001)))', '39.5', '39', '17', '16.5', 'M18E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 39.0000000000001,17.0000000000001 39.5000000000001,17.5000000000001 39.5000000000001,17.5000000000001 39.0000000000001,17.0000000000001 39.0000000000001)))', '39.5', '39', '17.5', '17', 'M18E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 39.0000000000001,17.5000000000001 39.5000000000001,18.0000000000001 39.5000000000001,18.0000000000001 39.0000000000001,17.5000000000001 39.0000000000001)))', '39.5', '39', '18', '17.5', 'M18E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 39.0000000000001,18.0000000000001 39.5000000000001,18.5000000000001 39.5000000000001,18.5000000000001 39.0000000000001,18.0000000000001 39.0000000000001)))', '39.5', '39', '18.5', '18', 'M18E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 39.0000000000001,18.5000000000001 39.5000000000001,19.0000000000001 39.5000000000001,19.0000000000001 39.0000000000001,18.5000000000001 39.0000000000001)))', '39.5', '39', '19', '18.5', 'M18E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 39.0000000000001,19.0000000000001 39.5000000000001,19.5000000000001 39.5000000000001,19.5000000000001 39.0000000000001,19.0000000000001 39.0000000000001)))', '39.5', '39', '19.5', '19', 'M18F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 39.0000000000001,19.5000000000001 39.5000000000001,20.0000000000001 39.5000000000001,20.0000000000001 39.0000000000001,19.5000000000001 39.0000000000001)))', '39.5', '39', '20', '19.5', 'M18F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 39.0000000000001,20.0000000000001 39.5000000000001,20.5000000000001 39.5000000000001,20.5000000000001 39.0000000000001,20.0000000000001 39.0000000000001)))', '39.5', '39', '20.5', '20', 'M18F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.5000000000001 39.0000000000001,20.5000000000001 39.5000000000001,21.0000000000001 39.5000000000001,21.0000000000001 39.0000000000001,20.5000000000001 39.0000000000001)))', '39.5', '39', '21', '20.5', 'M18F3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 39.0000000000001,21.0000000000001 39.5000000000001,21.5000000000001 39.5000000000001,21.5000000000001 39.0000000000001,21.0000000000001 39.0000000000001)))', '39.5', '39', '21.5', '21', 'M18F4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 39.0000000000001,22.5000000000001 39.5000000000001,23.0000000000001 39.5000000000001,23.0000000000001 39.0000000000001,22.5000000000001 39.0000000000001)))', '39.5', '39', '23', '22.5', 'M18F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 39.0000000000001,23.0000000000001 39.5000000000001,23.5000000000001 39.5000000000001,23.5000000000001 39.0000000000001,23.0000000000001 39.0000000000001)))', '39.5', '39', '23.5', '23', 'M18F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 39.0000000000001,23.5000000000001 39.5000000000001,24.0000000000001 39.5000000000001,24.0000000000001 39.0000000000001,23.5000000000001 39.0000000000001)))', '39.5', '39', '24', '23.5', 'M18F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 39.0000000000001,24.0000000000001 39.5000000000001,24.5000000000001 39.5000000000001,24.5000000000001 39.0000000000001,24.0000000000001 39.0000000000001)))', '39.5', '39', '24.5', '24', 'M18G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 39.0000000000001,24.5000000000001 39.5000000000001,25.0000000000001 39.5000000000001,25.0000000000001 39.0000000000001,24.5000000000001 39.0000000000001)))', '39.5', '39', '25', '24.5', 'M18G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 39.0000000000001,25.0000000000001 39.5000000000001,25.5000000000001 39.5000000000001,25.5000000000001 39.0000000000001,25.0000000000001 39.0000000000001)))', '39.5', '39', '25.5', '25', 'M18G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 39.0000000000001,25.5000000000001 39.5000000000001,26.0000000000001 39.5000000000001,26.0000000000001 39.0000000000001,25.5000000000001 39.0000000000001)))', '39.5', '39', '26', '25.5', 'M18G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 39.0000000000001,26.0000000000001 39.5000000000001,26.5000000000001 39.5000000000001,26.5000000000001 39.0000000000001,26.0000000000001 39.0000000000001)))', '39.5', '39', '26.5', '26', 'M18G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 39.0000000000001,26.5000000000001 39.5000000000001,27.0000000000001 39.5000000000001,27.0000000000001 39.0000000000001,26.5000000000001 39.0000000000001)))', '39.5', '39', '27', '26.5', 'M18G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.499999999999943 39.5000000000001,-0.499999999999943 40.0000000000001,5.6843418860808e-14 40.0000000000001,5.6843418860808e-14 39.5000000000001,-0.499999999999943 39.5000000000001)))', '40', '39.5', '0', '-0.5', 'M19B1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 39.5000000000001,5.6843418860808e-14 40.0000000000001,0.500000000000057 40.0000000000001,0.500000000000057 39.5000000000001,5.6843418860808e-14 39.5000000000001)))', '40', '39.5', '0.5', '0', 'M19B2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((0.500000000000057 39.5000000000001,0.500000000000057 40.0000000000001,1.00000000000006 40.0000000000001,1.00000000000006 39.5000000000001,0.500000000000057 39.5000000000001)))', '40', '39.5', '1', '0.5', 'M19B3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 39.5000000000001,1.00000000000006 40.0000000000001,1.50000000000006 40.0000000000001,1.50000000000006 39.5000000000001,1.00000000000006 39.5000000000001)))', '40', '39.5', '1.5', '1', 'M19B4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.50000000000006 39.5000000000001,1.50000000000006 40.0000000000001,2.00000000000006 40.0000000000001,2.00000000000006 39.5000000000001,1.50000000000006 39.5000000000001)))', '40', '39.5', '2', '1.5', 'M19B5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 39.5000000000001,2.00000000000006 40.0000000000001,2.50000000000006 40.0000000000001,2.50000000000006 39.5000000000001,2.00000000000006 39.5000000000001)))', '40', '39.5', '2.5', '2', 'M19B6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.50000000000006 39.5000000000001,2.50000000000006 40.0000000000001,3.00000000000006 40.0000000000001,3.00000000000006 39.5000000000001,2.50000000000006 39.5000000000001)))', '40', '39.5', '3', '2.5', 'M19B7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 39.5000000000001,3.00000000000006 40.0000000000001,3.50000000000006 40.0000000000001,3.50000000000006 39.5000000000001,3.00000000000006 39.5000000000001)))', '40', '39.5', '3.5', '3', 'M19B8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50000000000006 39.5000000000001,3.50000000000006 40.0000000000001,4.00000000000006 40.0000000000001,4.00000000000006 39.5000000000001,3.50000000000006 39.5000000000001)))', '40', '39.5', '4', '3.5', 'M19B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 39.5000000000001,4.00000000000006 40.0000000000001,4.50000000000006 40.0000000000001,4.50000000000006 39.5000000000001,4.00000000000006 39.5000000000001)))', '40', '39.5', '4.5', '4', 'M19C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.50000000000006 39.5000000000001,4.50000000000006 40.0000000000001,5.00000000000006 40.0000000000001,5.00000000000006 39.5000000000001,4.50000000000006 39.5000000000001)))', '40', '39.5', '5', '4.5', 'M19C1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 39.5000000000001,5.00000000000006 40.0000000000001,5.50000000000006 40.0000000000001,5.50000000000006 39.5000000000001,5.00000000000006 39.5000000000001)))', '40', '39.5', '5.5', '5', 'M19C2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.50000000000006 39.5000000000001,5.50000000000006 40.0000000000001,6.00000000000006 40.0000000000001,6.00000000000006 39.5000000000001,5.50000000000006 39.5000000000001)))', '40', '39.5', '6', '5.5', 'M19C3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 39.5000000000001,6.00000000000006 40.0000000000001,6.50000000000006 40.0000000000001,6.50000000000006 39.5000000000001,6.00000000000006 39.5000000000001)))', '40', '39.5', '6.5', '6', 'M19C4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 39.5000000000001,6.50000000000006 40.0000000000001,7.00000000000006 40.0000000000001,7.00000000000006 39.5000000000001,6.50000000000006 39.5000000000001)))', '40', '39.5', '7', '6.5', 'M19C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 39.5000000000001,7.00000000000006 40.0000000000001,7.50000000000006 40.0000000000001,7.50000000000006 39.5000000000001,7.00000000000006 39.5000000000001)))', '40', '39.5', '7.5', '7', 'M19C6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 39.5000000000001,7.50000000000006 40.0000000000001,8.00000000000006 40.0000000000001,8.00000000000006 39.5000000000001,7.50000000000006 39.5000000000001)))', '40', '39.5', '8', '7.5', 'M19C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 39.5000000000001,8.00000000000006 40.0000000000001,8.50000000000006 40.0000000000001,8.50000000000006 39.5000000000001,8.00000000000006 39.5000000000001)))', '40', '39.5', '8.5', '8', 'M19C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 39.5000000000001,8.50000000000006 40.0000000000001,9.00000000000006 40.0000000000001,9.00000000000006 39.5000000000001,8.50000000000006 39.5000000000001)))', '40', '39.5', '9', '8.5', 'M19C9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 39.5000000000001,9.50000000000006 40.0000000000001,10.0000000000001 40.0000000000001,10.0000000000001 39.5000000000001,9.50000000000006 39.5000000000001)))', '40', '39.5', '10', '9.5', 'M19D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 39.5000000000001,10.0000000000001 40.0000000000001,10.5000000000001 40.0000000000001,10.5000000000001 39.5000000000001,10.0000000000001 39.5000000000001)))', '40', '39.5', '10.5', '10', 'M19D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 39.5000000000001,10.5000000000001 40.0000000000001,11.0000000000001 40.0000000000001,11.0000000000001 39.5000000000001,10.5000000000001 39.5000000000001)))', '40', '39.5', '11', '10.5', 'M19D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 39.5000000000001,11.0000000000001 40.0000000000001,11.5000000000001 40.0000000000001,11.5000000000001 39.5000000000001,11.0000000000001 39.5000000000001)))', '40', '39.5', '11.5', '11', 'M19D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 39.5000000000001,11.5000000000001 40.0000000000001,12.0000000000001 40.0000000000001,12.0000000000001 39.5000000000001,11.5000000000001 39.5000000000001)))', '40', '39.5', '12', '11.5', 'M19D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 39.5000000000001,12.0000000000001 40.0000000000001,12.5000000000001 40.0000000000001,12.5000000000001 39.5000000000001,12.0000000000001 39.5000000000001)))', '40', '39.5', '12.5', '12', 'M19D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 39.5000000000001,12.5000000000001 40.0000000000001,13.0000000000001 40.0000000000001,13.0000000000001 39.5000000000001,12.5000000000001 39.5000000000001)))', '40', '39.5', '13', '12.5', 'M19D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 39.5000000000001,13.0000000000001 40.0000000000001,13.5000000000001 40.0000000000001,13.5000000000001 39.5000000000001,13.0000000000001 39.5000000000001)))', '40', '39.5', '13.5', '13', 'M19D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 39.5000000000001,13.5000000000001 40.0000000000001,14.0000000000001 40.0000000000001,14.0000000000001 39.5000000000001,13.5000000000001 39.5000000000001)))', '40', '39.5', '14', '13.5', 'M19D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 39.5000000000001,14.0000000000001 40.0000000000001,14.5000000000001 40.0000000000001,14.5000000000001 39.5000000000001,14.0000000000001 39.5000000000001)))', '40', '39.5', '14.5', '14', 'M19E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 39.5000000000001,14.5000000000001 40.0000000000001,15.0000000000001 40.0000000000001,15.0000000000001 39.5000000000001,14.5000000000001 39.5000000000001)))', '40', '39.5', '15', '14.5', 'M19E1', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((15.0000000000001 39.5000000000001,15.0000000000001 40.0000000000001,15.5000000000001 40.0000000000001,15.5000000000001 39.5000000000001,15.0000000000001 39.5000000000001)))', '40', '39.5', '15.5', '15', 'M19E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 39.5000000000001,15.5000000000001 40.0000000000001,16.0000000000001 40.0000000000001,16.0000000000001 39.5000000000001,15.5000000000001 39.5000000000001)))', '40', '39.5', '16', '15.5', 'M19E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 39.5000000000001,16.0000000000001 40.0000000000001,16.5000000000001 40.0000000000001,16.5000000000001 39.5000000000001,16.0000000000001 39.5000000000001)))', '40', '39.5', '16.5', '16', 'M19E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 39.5000000000001,16.5000000000001 40.0000000000001,17.0000000000001 40.0000000000001,17.0000000000001 39.5000000000001,16.5000000000001 39.5000000000001)))', '40', '39.5', '17', '16.5', 'M19E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 39.5000000000001,17.0000000000001 40.0000000000001,17.5000000000001 40.0000000000001,17.5000000000001 39.5000000000001,17.0000000000001 39.5000000000001)))', '40', '39.5', '17.5', '17', 'M19E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 39.5000000000001,17.5000000000001 40.0000000000001,18.0000000000001 40.0000000000001,18.0000000000001 39.5000000000001,17.5000000000001 39.5000000000001)))', '40', '39.5', '18', '17.5', 'M19E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 39.5000000000001,18.0000000000001 40.0000000000001,18.5000000000001 40.0000000000001,18.5000000000001 39.5000000000001,18.0000000000001 39.5000000000001)))', '40', '39.5', '18.5', '18', 'M19E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 39.5000000000001,18.5000000000001 40.0000000000001,19.0000000000001 40.0000000000001,19.0000000000001 39.5000000000001,18.5000000000001 39.5000000000001)))', '40', '39.5', '19', '18.5', 'M19E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 39.5000000000001,19.0000000000001 40.0000000000001,19.5000000000001 40.0000000000001,19.5000000000001 39.5000000000001,19.0000000000001 39.5000000000001)))', '40', '39.5', '19.5', '19', 'M19F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 39.5000000000001,19.5000000000001 40.0000000000001,20.0000000000001 40.0000000000001,20.0000000000001 39.5000000000001,19.5000000000001 39.5000000000001)))', '40', '39.5', '20', '19.5', 'M19F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 39.5000000000001,20.0000000000001 40.0000000000001,20.5000000000001 40.0000000000001,20.5000000000001 39.5000000000001,20.0000000000001 39.5000000000001)))', '40', '39.5', '20.5', '20', 'M19F2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 39.5000000000001,22.5000000000001 40.0000000000001,23.0000000000001 40.0000000000001,23.0000000000001 39.5000000000001,22.5000000000001 39.5000000000001)))', '40', '39.5', '23', '22.5', 'M19F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 39.5000000000001,23.0000000000001 40.0000000000001,23.5000000000001 40.0000000000001,23.5000000000001 39.5000000000001,23.0000000000001 39.5000000000001)))', '40', '39.5', '23.5', '23', 'M19F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 39.5000000000001,23.5000000000001 40.0000000000001,24.0000000000001 40.0000000000001,24.0000000000001 39.5000000000001,23.5000000000001 39.5000000000001)))', '40', '39.5', '24', '23.5', 'M19F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 39.5000000000001,24.0000000000001 40.0000000000001,24.5000000000001 40.0000000000001,24.5000000000001 39.5000000000001,24.0000000000001 39.5000000000001)))', '40', '39.5', '24.5', '24', 'M19G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 39.5000000000001,24.5000000000001 40.0000000000001,25.0000000000001 40.0000000000001,25.0000000000001 39.5000000000001,24.5000000000001 39.5000000000001)))', '40', '39.5', '25', '24.5', 'M19G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 39.5000000000001,25.0000000000001 40.0000000000001,25.5000000000001 40.0000000000001,25.5000000000001 39.5000000000001,25.0000000000001 39.5000000000001)))', '40', '39.5', '25.5', '25', 'M19G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 39.5000000000001,25.5000000000001 40.0000000000001,26.0000000000001 40.0000000000001,26.0000000000001 39.5000000000001,25.5000000000001 39.5000000000001)))', '40', '39.5', '26', '25.5', 'M19G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 39.5000000000001,26.0000000000001 40.0000000000001,26.5000000000001 40.0000000000001,26.5000000000001 39.5000000000001,26.0000000000001 39.5000000000001)))', '40', '39.5', '26.5', '26', 'M19G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 39.5000000000001,26.5000000000001 40.0000000000001,27.0000000000001 40.0000000000001,27.0000000000001 39.5000000000001,26.5000000000001 39.5000000000001)))', '40', '39.5', '27', '26.5', 'M19G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 40.0000000000001,5.6843418860808e-14 40.5000000000001,0.500000000000057 40.5000000000001,0.500000000000057 40.0000000000001,5.6843418860808e-14 40.0000000000001)))', '40.5', '40', '0.5', '0', 'M20B2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((0.500000000000057 40.0000000000001,0.500000000000057 40.5000000000001,1.00000000000006 40.5000000000001,1.00000000000006 40.0000000000001,0.500000000000057 40.0000000000001)))', '40.5', '40', '1', '0.5', 'M20B3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 40.0000000000001,1.00000000000006 40.5000000000001,1.50000000000006 40.5000000000001,1.50000000000006 40.0000000000001,1.00000000000006 40.0000000000001)))', '40.5', '40', '1.5', '1', 'M20B4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.50000000000006 40.0000000000001,1.50000000000006 40.5000000000001,2.00000000000006 40.5000000000001,2.00000000000006 40.0000000000001,1.50000000000006 40.0000000000001)))', '40.5', '40', '2', '1.5', 'M20B5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 40.0000000000001,2.00000000000006 40.5000000000001,2.50000000000006 40.5000000000001,2.50000000000006 40.0000000000001,2.00000000000006 40.0000000000001)))', '40.5', '40', '2.5', '2', 'M20B6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.50000000000006 40.0000000000001,2.50000000000006 40.5000000000001,3.00000000000006 40.5000000000001,3.00000000000006 40.0000000000001,2.50000000000006 40.0000000000001)))', '40.5', '40', '3', '2.5', 'M20B7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 40.0000000000001,3.00000000000006 40.5000000000001,3.50000000000006 40.5000000000001,3.50000000000006 40.0000000000001,3.00000000000006 40.0000000000001)))', '40.5', '40', '3.5', '3', 'M20B8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50000000000006 40.0000000000001,3.50000000000006 40.5000000000001,4.00000000000006 40.5000000000001,4.00000000000006 40.0000000000001,3.50000000000006 40.0000000000001)))', '40.5', '40', '4', '3.5', 'M20B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 40.0000000000001,4.00000000000006 40.5000000000001,4.50000000000006 40.5000000000001,4.50000000000006 40.0000000000001,4.00000000000006 40.0000000000001)))', '40.5', '40', '4.5', '4', 'M20C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.50000000000006 40.0000000000001,4.50000000000006 40.5000000000001,5.00000000000006 40.5000000000001,5.00000000000006 40.0000000000001,4.50000000000006 40.0000000000001)))', '40.5', '40', '5', '4.5', 'M20C1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 40.0000000000001,5.00000000000006 40.5000000000001,5.50000000000006 40.5000000000001,5.50000000000006 40.0000000000001,5.00000000000006 40.0000000000001)))', '40.5', '40', '5.5', '5', 'M20C2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.50000000000006 40.0000000000001,5.50000000000006 40.5000000000001,6.00000000000006 40.5000000000001,6.00000000000006 40.0000000000001,5.50000000000006 40.0000000000001)))', '40.5', '40', '6', '5.5', 'M20C3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 40.0000000000001,6.00000000000006 40.5000000000001,6.50000000000006 40.5000000000001,6.50000000000006 40.0000000000001,6.00000000000006 40.0000000000001)))', '40.5', '40', '6.5', '6', 'M20C4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 40.0000000000001,6.50000000000006 40.5000000000001,7.00000000000006 40.5000000000001,7.00000000000006 40.0000000000001,6.50000000000006 40.0000000000001)))', '40.5', '40', '7', '6.5', 'M20C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 40.0000000000001,7.00000000000006 40.5000000000001,7.50000000000006 40.5000000000001,7.50000000000006 40.0000000000001,7.00000000000006 40.0000000000001)))', '40.5', '40', '7.5', '7', 'M20C6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 40.0000000000001,7.50000000000006 40.5000000000001,8.00000000000006 40.5000000000001,8.00000000000006 40.0000000000001,7.50000000000006 40.0000000000001)))', '40.5', '40', '8', '7.5', 'M20C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 40.0000000000001,8.00000000000006 40.5000000000001,8.50000000000006 40.5000000000001,8.50000000000006 40.0000000000001,8.00000000000006 40.0000000000001)))', '40.5', '40', '8.5', '8', 'M20C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 40.0000000000001,9.50000000000006 40.5000000000001,10.0000000000001 40.5000000000001,10.0000000000001 40.0000000000001,9.50000000000006 40.0000000000001)))', '40.5', '40', '10', '9.5', 'M20D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 40.0000000000001,10.0000000000001 40.5000000000001,10.5000000000001 40.5000000000001,10.5000000000001 40.0000000000001,10.0000000000001 40.0000000000001)))', '40.5', '40', '10.5', '10', 'M20D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 40.0000000000001,10.5000000000001 40.5000000000001,11.0000000000001 40.5000000000001,11.0000000000001 40.0000000000001,10.5000000000001 40.0000000000001)))', '40.5', '40', '11', '10.5', 'M20D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 40.0000000000001,11.0000000000001 40.5000000000001,11.5000000000001 40.5000000000001,11.5000000000001 40.0000000000001,11.0000000000001 40.0000000000001)))', '40.5', '40', '11.5', '11', 'M20D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 40.0000000000001,11.5000000000001 40.5000000000001,12.0000000000001 40.5000000000001,12.0000000000001 40.0000000000001,11.5000000000001 40.0000000000001)))', '40.5', '40', '12', '11.5', 'M20D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 40.0000000000001,12.0000000000001 40.5000000000001,12.5000000000001 40.5000000000001,12.5000000000001 40.0000000000001,12.0000000000001 40.0000000000001)))', '40.5', '40', '12.5', '12', 'M20D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 40.0000000000001,12.5000000000001 40.5000000000001,13.0000000000001 40.5000000000001,13.0000000000001 40.0000000000001,12.5000000000001 40.0000000000001)))', '40.5', '40', '13', '12.5', 'M20D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 40.0000000000001,13.0000000000001 40.5000000000001,13.5000000000001 40.5000000000001,13.5000000000001 40.0000000000001,13.0000000000001 40.0000000000001)))', '40.5', '40', '13.5', '13', 'M20D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 40.0000000000001,13.5000000000001 40.5000000000001,14.0000000000001 40.5000000000001,14.0000000000001 40.0000000000001,13.5000000000001 40.0000000000001)))', '40.5', '40', '14', '13.5', 'M20D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 40.0000000000001,14.0000000000001 40.5000000000001,14.5000000000001 40.5000000000001,14.5000000000001 40.0000000000001,14.0000000000001 40.0000000000001)))', '40.5', '40', '14.5', '14', 'M20E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 40.0000000000001,14.5000000000001 40.5000000000001,15.0000000000001 40.5000000000001,15.0000000000001 40.0000000000001,14.5000000000001 40.0000000000001)))', '40.5', '40', '15', '14.5', 'M20E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 40.0000000000001,15.0000000000001 40.5000000000001,15.5000000000001 40.5000000000001,15.5000000000001 40.0000000000001,15.0000000000001 40.0000000000001)))', '40.5', '40', '15.5', '15', 'M20E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 40.0000000000001,15.5000000000001 40.5000000000001,16.0000000000001 40.5000000000001,16.0000000000001 40.0000000000001,15.5000000000001 40.0000000000001)))', '40.5', '40', '16', '15.5', 'M20E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 40.0000000000001,16.5000000000001 40.5000000000001,17.0000000000001 40.5000000000001,17.0000000000001 40.0000000000001,16.5000000000001 40.0000000000001)))', '40.5', '40', '17', '16.5', 'M20E5', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((17.0000000000001 40.0000000000001,17.0000000000001 40.5000000000001,17.5000000000001 40.5000000000001,17.5000000000001 40.0000000000001,17.0000000000001 40.0000000000001)))', '40.5', '40', '17.5', '17', 'M20E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 40.0000000000001,17.5000000000001 40.5000000000001,18.0000000000001 40.5000000000001,18.0000000000001 40.0000000000001,17.5000000000001 40.0000000000001)))', '40.5', '40', '18', '17.5', 'M20E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 40.0000000000001,18.0000000000001 40.5000000000001,18.5000000000001 40.5000000000001,18.5000000000001 40.0000000000001,18.0000000000001 40.0000000000001)))', '40.5', '40', '18.5', '18', 'M20E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 40.0000000000001,18.5000000000001 40.5000000000001,19.0000000000001 40.5000000000001,19.0000000000001 40.0000000000001,18.5000000000001 40.0000000000001)))', '40.5', '40', '19', '18.5', 'M20E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 40.0000000000001,19.0000000000001 40.5000000000001,19.5000000000001 40.5000000000001,19.5000000000001 40.0000000000001,19.0000000000001 40.0000000000001)))', '40.5', '40', '19.5', '19', 'M20F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 40.0000000000001,19.5000000000001 40.5000000000001,20.0000000000001 40.5000000000001,20.0000000000001 40.0000000000001,19.5000000000001 40.0000000000001)))', '40.5', '40', '20', '19.5', 'M20F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 40.0000000000001,22.5000000000001 40.5000000000001,23.0000000000001 40.5000000000001,23.0000000000001 40.0000000000001,22.5000000000001 40.0000000000001)))', '40.5', '40', '23', '22.5', 'M20F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 40.0000000000001,23.0000000000001 40.5000000000001,23.5000000000001 40.5000000000001,23.5000000000001 40.0000000000001,23.0000000000001 40.0000000000001)))', '40.5', '40', '23.5', '23', 'M20F8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 40.0000000000001,23.5000000000001 40.5000000000001,24.0000000000001 40.5000000000001,24.0000000000001 40.0000000000001,23.5000000000001 40.0000000000001)))', '40.5', '40', '24', '23.5', 'M20F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 40.0000000000001,24.0000000000001 40.5000000000001,24.5000000000001 40.5000000000001,24.5000000000001 40.0000000000001,24.0000000000001 40.0000000000001)))', '40.5', '40', '24.5', '24', 'M20G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 40.0000000000001,24.5000000000001 40.5000000000001,25.0000000000001 40.5000000000001,25.0000000000001 40.0000000000001,24.5000000000001 40.0000000000001)))', '40.5', '40', '25', '24.5', 'M20G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 40.0000000000001,25.0000000000001 40.5000000000001,25.5000000000001 40.5000000000001,25.5000000000001 40.0000000000001,25.0000000000001 40.0000000000001)))', '40.5', '40', '25.5', '25', 'M20G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 40.0000000000001,25.5000000000001 40.5000000000001,26.0000000000001 40.5000000000001,26.0000000000001 40.0000000000001,25.5000000000001 40.0000000000001)))', '40.5', '40', '26', '25.5', 'M20G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 40.0000000000001,26.0000000000001 40.5000000000001,26.5000000000001 40.5000000000001,26.5000000000001 40.0000000000001,26.0000000000001 40.0000000000001)))', '40.5', '40', '26.5', '26', 'M20G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 40.0000000000001,26.5000000000001 40.5000000000001,27.0000000000001 40.5000000000001,27.0000000000001 40.0000000000001,26.5000000000001 40.0000000000001)))', '40.5', '40', '27', '26.5', 'M20G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 40.0000000000001,27.0000000000001 40.5000000000001,27.5000000000001 40.5000000000001,27.5000000000001 40.0000000000001,27.0000000000001 40.0000000000001)))', '40.5', '40', '27.5', '27', 'M20G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 40.0000000000001,27.5000000000001 40.5000000000001,28.0000000000001 40.5000000000001,28.0000000000001 40.0000000000001,27.5000000000001 40.0000000000001)))', '40.5', '40', '28', '27.5', 'M20G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 40.0000000000001,28.0000000000001 40.5000000000001,28.5000000000001 40.5000000000001,28.5000000000001 40.0000000000001,28.0000000000001 40.0000000000001)))', '40.5', '40', '28.5', '28', 'M20G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 40.0000000000001,28.5000000000001 40.5000000000001,29.0000000000001 40.5000000000001,29.0000000000001 40.0000000000001,28.5000000000001 40.0000000000001)))', '40.5', '40', '29', '28.5', 'M20G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 40.0000000000001,29.0000000000001 40.5000000000001,29.5000000000001 40.5000000000001,29.5000000000001 40.0000000000001,29.0000000000001 40.0000000000001)))', '40.5', '40', '29.5', '29', 'M20H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 40.5000000000001,5.6843418860808e-14 41.0000000000001,0.500000000000057 41.0000000000001,0.500000000000057 40.5000000000001,5.6843418860808e-14 40.5000000000001)))', '41', '40.5', '0.5', '0', 'M21B2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((0.500000000000057 40.5000000000001,0.500000000000057 41.0000000000001,1.00000000000006 41.0000000000001,1.00000000000006 40.5000000000001,0.500000000000057 40.5000000000001)))', '41', '40.5', '1', '0.5', 'M21B3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 40.5000000000001,1.00000000000006 41.0000000000001,1.50000000000006 41.0000000000001,1.50000000000006 40.5000000000001,1.00000000000006 40.5000000000001)))', '41', '40.5', '1.5', '1', 'M21B4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.50000000000006 40.5000000000001,1.50000000000006 41.0000000000001,2.00000000000006 41.0000000000001,2.00000000000006 40.5000000000001,1.50000000000006 40.5000000000001)))', '41', '40.5', '2', '1.5', 'M21B5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 40.5000000000001,2.00000000000006 41.0000000000001,2.50000000000006 41.0000000000001,2.50000000000006 40.5000000000001,2.00000000000006 40.5000000000001)))', '41', '40.5', '2.5', '2', 'M21B6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.50000000000006 40.5000000000001,2.50000000000006 41.0000000000001,3.00000000000006 41.0000000000001,3.00000000000006 40.5000000000001,2.50000000000006 40.5000000000001)))', '41', '40.5', '3', '2.5', 'M21B7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 40.5000000000001,3.00000000000006 41.0000000000001,3.50000000000006 41.0000000000001,3.50000000000006 40.5000000000001,3.00000000000006 40.5000000000001)))', '41', '40.5', '3.5', '3', 'M21B8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50000000000006 40.5000000000001,3.50000000000006 41.0000000000001,4.00000000000006 41.0000000000001,4.00000000000006 40.5000000000001,3.50000000000006 40.5000000000001)))', '41', '40.5', '4', '3.5', 'M21B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 40.5000000000001,4.00000000000006 41.0000000000001,4.50000000000006 41.0000000000001,4.50000000000006 40.5000000000001,4.00000000000006 40.5000000000001)))', '41', '40.5', '4.5', '4', 'M21C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.50000000000006 40.5000000000001,4.50000000000006 41.0000000000001,5.00000000000006 41.0000000000001,5.00000000000006 40.5000000000001,4.50000000000006 40.5000000000001)))', '41', '40.5', '5', '4.5', 'M21C1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 40.5000000000001,5.00000000000006 41.0000000000001,5.50000000000006 41.0000000000001,5.50000000000006 40.5000000000001,5.00000000000006 40.5000000000001)))', '41', '40.5', '5.5', '5', 'M21C2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.50000000000006 40.5000000000001,5.50000000000006 41.0000000000001,6.00000000000006 41.0000000000001,6.00000000000006 40.5000000000001,5.50000000000006 40.5000000000001)))', '41', '40.5', '6', '5.5', 'M21C3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 40.5000000000001,6.00000000000006 41.0000000000001,6.50000000000006 41.0000000000001,6.50000000000006 40.5000000000001,6.00000000000006 40.5000000000001)))', '41', '40.5', '6.5', '6', 'M21C4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 40.5000000000001,6.50000000000006 41.0000000000001,7.00000000000006 41.0000000000001,7.00000000000006 40.5000000000001,6.50000000000006 40.5000000000001)))', '41', '40.5', '7', '6.5', 'M21C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 40.5000000000001,7.00000000000006 41.0000000000001,7.50000000000006 41.0000000000001,7.50000000000006 40.5000000000001,7.00000000000006 40.5000000000001)))', '41', '40.5', '7.5', '7', 'M21C6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 40.5000000000001,7.50000000000006 41.0000000000001,8.00000000000006 41.0000000000001,8.00000000000006 40.5000000000001,7.50000000000006 40.5000000000001)))', '41', '40.5', '8', '7.5', 'M21C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 40.5000000000001,8.00000000000006 41.0000000000001,8.50000000000006 41.0000000000001,8.50000000000006 40.5000000000001,8.00000000000006 40.5000000000001)))', '41', '40.5', '8.5', '8', 'M21C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 40.5000000000001,8.50000000000006 41.0000000000001,9.00000000000006 41.0000000000001,9.00000000000006 40.5000000000001,8.50000000000006 40.5000000000001)))', '41', '40.5', '9', '8.5', 'M21C9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 40.5000000000001,9.00000000000006 41.0000000000001,9.50000000000006 41.0000000000001,9.50000000000006 40.5000000000001,9.00000000000006 40.5000000000001)))', '41', '40.5', '9.5', '9', 'M21D0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 40.5000000000001,9.50000000000006 41.0000000000001,10.0000000000001 41.0000000000001,10.0000000000001 40.5000000000001,9.50000000000006 40.5000000000001)))', '41', '40.5', '10', '9.5', 'M21D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 40.5000000000001,10.0000000000001 41.0000000000001,10.5000000000001 41.0000000000001,10.5000000000001 40.5000000000001,10.0000000000001 40.5000000000001)))', '41', '40.5', '10.5', '10', 'M21D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 40.5000000000001,10.5000000000001 41.0000000000001,11.0000000000001 41.0000000000001,11.0000000000001 40.5000000000001,10.5000000000001 40.5000000000001)))', '41', '40.5', '11', '10.5', 'M21D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 40.5000000000001,11.0000000000001 41.0000000000001,11.5000000000001 41.0000000000001,11.5000000000001 40.5000000000001,11.0000000000001 40.5000000000001)))', '41', '40.5', '11.5', '11', 'M21D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 40.5000000000001,11.5000000000001 41.0000000000001,12.0000000000001 41.0000000000001,12.0000000000001 40.5000000000001,11.5000000000001 40.5000000000001)))', '41', '40.5', '12', '11.5', 'M21D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 40.5000000000001,12.0000000000001 41.0000000000001,12.5000000000001 41.0000000000001,12.5000000000001 40.5000000000001,12.0000000000001 40.5000000000001)))', '41', '40.5', '12.5', '12', 'M21D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 40.5000000000001,12.5000000000001 41.0000000000001,13.0000000000001 41.0000000000001,13.0000000000001 40.5000000000001,12.5000000000001 40.5000000000001)))', '41', '40.5', '13', '12.5', 'M21D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 40.5000000000001,13.0000000000001 41.0000000000001,13.5000000000001 41.0000000000001,13.5000000000001 40.5000000000001,13.0000000000001 40.5000000000001)))', '41', '40.5', '13.5', '13', 'M21D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 40.5000000000001,13.5000000000001 41.0000000000001,14.0000000000001 41.0000000000001,14.0000000000001 40.5000000000001,13.5000000000001 40.5000000000001)))', '41', '40.5', '14', '13.5', 'M21D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 40.5000000000001,14.0000000000001 41.0000000000001,14.5000000000001 41.0000000000001,14.5000000000001 40.5000000000001,14.0000000000001 40.5000000000001)))', '41', '40.5', '14.5', '14', 'M21E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 40.5000000000001,14.5000000000001 41.0000000000001,15.0000000000001 41.0000000000001,15.0000000000001 40.5000000000001,14.5000000000001 40.5000000000001)))', '41', '40.5', '15', '14.5', 'M21E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 40.5000000000001,17.0000000000001 41.0000000000001,17.5000000000001 41.0000000000001,17.5000000000001 40.5000000000001,17.0000000000001 40.5000000000001)))', '41', '40.5', '17.5', '17', 'M21E6', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((17.5000000000001 40.5000000000001,17.5000000000001 41.0000000000001,18.0000000000001 41.0000000000001,18.0000000000001 40.5000000000001,17.5000000000001 40.5000000000001)))', '41', '40.5', '18', '17.5', 'M21E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 40.5000000000001,18.0000000000001 41.0000000000001,18.5000000000001 41.0000000000001,18.5000000000001 40.5000000000001,18.0000000000001 40.5000000000001)))', '41', '40.5', '18.5', '18', 'M21E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 40.5000000000001,18.5000000000001 41.0000000000001,19.0000000000001 41.0000000000001,19.0000000000001 40.5000000000001,18.5000000000001 40.5000000000001)))', '41', '40.5', '19', '18.5', 'M21E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 40.5000000000001,19.0000000000001 41.0000000000001,19.5000000000001 41.0000000000001,19.5000000000001 40.5000000000001,19.0000000000001 40.5000000000001)))', '41', '40.5', '19.5', '19', 'M21F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 40.5000000000001,19.5000000000001 41.0000000000001,20.0000000000001 41.0000000000001,20.0000000000001 40.5000000000001,19.5000000000001 40.5000000000001)))', '41', '40.5', '20', '19.5', 'M21F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((22.5000000000001 40.5000000000001,22.5000000000001 41.0000000000001,23.0000000000001 41.0000000000001,23.0000000000001 40.5000000000001,22.5000000000001 40.5000000000001)))', '41', '40.5', '23', '22.5', 'M21F7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((23.5000000000001 40.5000000000001,23.5000000000001 41.0000000000001,24.0000000000001 41.0000000000001,24.0000000000001 40.5000000000001,23.5000000000001 40.5000000000001)))', '41', '40.5', '24', '23.5', 'M21F9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 40.5000000000001,24.0000000000001 41.0000000000001,24.5000000000001 41.0000000000001,24.5000000000001 40.5000000000001,24.0000000000001 40.5000000000001)))', '41', '40.5', '24.5', '24', 'M21G0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((24.5000000000001 40.5000000000001,24.5000000000001 41.0000000000001,25.0000000000001 41.0000000000001,25.0000000000001 40.5000000000001,24.5000000000001 40.5000000000001)))', '41', '40.5', '25', '24.5', 'M21G1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 40.5000000000001,25.0000000000001 41.0000000000001,25.5000000000001 41.0000000000001,25.5000000000001 40.5000000000001,25.0000000000001 40.5000000000001)))', '41', '40.5', '25.5', '25', 'M21G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.5000000000001 40.5000000000001,25.5000000000001 41.0000000000001,26.0000000000001 41.0000000000001,26.0000000000001 40.5000000000001,25.5000000000001 40.5000000000001)))', '41', '40.5', '26', '25.5', 'M21G3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 40.5000000000001,26.0000000000001 41.0000000000001,26.5000000000001 41.0000000000001,26.5000000000001 40.5000000000001,26.0000000000001 40.5000000000001)))', '41', '40.5', '26.5', '26', 'M21G4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((26.5000000000001 40.5000000000001,26.5000000000001 41.0000000000001,27.0000000000001 41.0000000000001,27.0000000000001 40.5000000000001,26.5000000000001 40.5000000000001)))', '41', '40.5', '27', '26.5', 'M21G5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 40.5000000000001,27.0000000000001 41.0000000000001,27.5000000000001 41.0000000000001,27.5000000000001 40.5000000000001,27.0000000000001 40.5000000000001)))', '41', '40.5', '27.5', '27', 'M21G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 40.5000000000001,27.5000000000001 41.0000000000001,28.0000000000001 41.0000000000001,28.0000000000001 40.5000000000001,27.5000000000001 40.5000000000001)))', '41', '40.5', '28', '27.5', 'M21G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 40.5000000000001,28.0000000000001 41.0000000000001,28.5000000000001 41.0000000000001,28.5000000000001 40.5000000000001,28.0000000000001 40.5000000000001)))', '41', '40.5', '28.5', '28', 'M21G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 40.5000000000001,28.5000000000001 41.0000000000001,29.0000000000001 41.0000000000001,29.0000000000001 40.5000000000001,28.5000000000001 40.5000000000001)))', '41', '40.5', '29', '28.5', 'M21G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 40.5000000000001,29.0000000000001 41.0000000000001,29.5000000000001 41.0000000000001,29.5000000000001 40.5000000000001,29.0000000000001 40.5000000000001)))', '41', '40.5', '29.5', '29', 'M21H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 40.5000000000001,29.5000000000001 41.0000000000001,30.0000000000001 41.0000000000001,30.0000000000001 40.5000000000001,29.5000000000001 40.5000000000001)))', '41', '40.5', '30', '29.5', 'M21H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5000000000001 40.5000000000001,37.5000000000001 41.0000000000001,38.0000000000001 41.0000000000001,38.0000000000001 40.5000000000001,37.5000000000001 40.5000000000001)))', '41', '40.5', '38', '37.5', 'M21I7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 40.5000000000001,38.0000000000001 41.0000000000001,38.5000000000001 41.0000000000001,38.5000000000001 40.5000000000001,38.0000000000001 40.5000000000001)))', '41', '40.5', '38.5', '38', 'M21I8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.5000000000001 40.5000000000001,38.5000000000001 41.0000000000001,39.0000000000001 41.0000000000001,39.0000000000001 40.5000000000001,38.5000000000001 40.5000000000001)))', '41', '40.5', '39', '38.5', 'M21I9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.5000000000001 40.5000000000001,39.5000000000001 41.0000000000001,40.0000000000001 41.0000000000001,40.0000000000001 40.5000000000001,39.5000000000001 40.5000000000001)))', '41', '40.5', '40', '39.5', 'M21J1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 40.5000000000001,40.0000000000001 41.0000000000001,40.5000000000001 41.0000000000001,40.5000000000001 40.5000000000001,40.0000000000001 40.5000000000001)))', '41', '40.5', '40.5', '40', 'M21J2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((0.500000000000057 41.0000000000001,0.500000000000057 41.5000000000001,1.00000000000006 41.5000000000001,1.00000000000006 41.0000000000001,0.500000000000057 41.0000000000001)))', '41.5', '41', '1', '0.5', 'M22B3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 41.0000000000001,1.00000000000006 41.5000000000001,1.50000000000006 41.5000000000001,1.50000000000006 41.0000000000001,1.00000000000006 41.0000000000001)))', '41.5', '41', '1.5', '1', 'M22B4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((1.50000000000006 41.0000000000001,1.50000000000006 41.5000000000001,2.00000000000006 41.5000000000001,2.00000000000006 41.0000000000001,1.50000000000006 41.0000000000001)))', '41.5', '41', '2', '1.5', 'M22B5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 41.0000000000001,2.00000000000006 41.5000000000001,2.50000000000006 41.5000000000001,2.50000000000006 41.0000000000001,2.00000000000006 41.0000000000001)))', '41.5', '41', '2.5', '2', 'M22B6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.50000000000006 41.0000000000001,2.50000000000006 41.5000000000001,3.00000000000006 41.5000000000001,3.00000000000006 41.0000000000001,2.50000000000006 41.0000000000001)))', '41.5', '41', '3', '2.5', 'M22B7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 41.0000000000001,3.00000000000006 41.5000000000001,3.50000000000006 41.5000000000001,3.50000000000006 41.0000000000001,3.00000000000006 41.0000000000001)))', '41.5', '41', '3.5', '3', 'M22B8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50000000000006 41.0000000000001,3.50000000000006 41.5000000000001,4.00000000000006 41.5000000000001,4.00000000000006 41.0000000000001,3.50000000000006 41.0000000000001)))', '41.5', '41', '4', '3.5', 'M22B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 41.0000000000001,4.00000000000006 41.5000000000001,4.50000000000006 41.5000000000001,4.50000000000006 41.0000000000001,4.00000000000006 41.0000000000001)))', '41.5', '41', '4.5', '4', 'M22C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.50000000000006 41.0000000000001,4.50000000000006 41.5000000000001,5.00000000000006 41.5000000000001,5.00000000000006 41.0000000000001,4.50000000000006 41.0000000000001)))', '41.5', '41', '5', '4.5', 'M22C1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 41.0000000000001,5.00000000000006 41.5000000000001,5.50000000000006 41.5000000000001,5.50000000000006 41.0000000000001,5.00000000000006 41.0000000000001)))', '41.5', '41', '5.5', '5', 'M22C2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.50000000000006 41.0000000000001,5.50000000000006 41.5000000000001,6.00000000000006 41.5000000000001,6.00000000000006 41.0000000000001,5.50000000000006 41.0000000000001)))', '41.5', '41', '6', '5.5', 'M22C3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 41.0000000000001,6.00000000000006 41.5000000000001,6.50000000000006 41.5000000000001,6.50000000000006 41.0000000000001,6.00000000000006 41.0000000000001)))', '41.5', '41', '6.5', '6', 'M22C4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 41.0000000000001,6.50000000000006 41.5000000000001,7.00000000000006 41.5000000000001,7.00000000000006 41.0000000000001,6.50000000000006 41.0000000000001)))', '41.5', '41', '7', '6.5', 'M22C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 41.0000000000001,7.00000000000006 41.5000000000001,7.50000000000006 41.5000000000001,7.50000000000006 41.0000000000001,7.00000000000006 41.0000000000001)))', '41.5', '41', '7.5', '7', 'M22C6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 41.0000000000001,7.50000000000006 41.5000000000001,8.00000000000006 41.5000000000001,8.00000000000006 41.0000000000001,7.50000000000006 41.0000000000001)))', '41.5', '41', '8', '7.5', 'M22C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 41.0000000000001,8.00000000000006 41.5000000000001,8.50000000000006 41.5000000000001,8.50000000000006 41.0000000000001,8.00000000000006 41.0000000000001)))', '41.5', '41', '8.5', '8', 'M22C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 41.0000000000001,8.50000000000006 41.5000000000001,9.00000000000006 41.5000000000001,9.00000000000006 41.0000000000001,8.50000000000006 41.0000000000001)))', '41.5', '41', '9', '8.5', 'M22C9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 41.0000000000001,9.00000000000006 41.5000000000001,9.50000000000006 41.5000000000001,9.50000000000006 41.0000000000001,9.00000000000006 41.0000000000001)))', '41.5', '41', '9.5', '9', 'M22D0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 41.0000000000001,9.50000000000006 41.5000000000001,10.0000000000001 41.5000000000001,10.0000000000001 41.0000000000001,9.50000000000006 41.0000000000001)))', '41.5', '41', '10', '9.5', 'M22D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 41.0000000000001,10.0000000000001 41.5000000000001,10.5000000000001 41.5000000000001,10.5000000000001 41.0000000000001,10.0000000000001 41.0000000000001)))', '41.5', '41', '10.5', '10', 'M22D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 41.0000000000001,10.5000000000001 41.5000000000001,11.0000000000001 41.5000000000001,11.0000000000001 41.0000000000001,10.5000000000001 41.0000000000001)))', '41.5', '41', '11', '10.5', 'M22D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 41.0000000000001,11.0000000000001 41.5000000000001,11.5000000000001 41.5000000000001,11.5000000000001 41.0000000000001,11.0000000000001 41.0000000000001)))', '41.5', '41', '11.5', '11', 'M22D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 41.0000000000001,11.5000000000001 41.5000000000001,12.0000000000001 41.5000000000001,12.0000000000001 41.0000000000001,11.5000000000001 41.0000000000001)))', '41.5', '41', '12', '11.5', 'M22D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 41.0000000000001,12.0000000000001 41.5000000000001,12.5000000000001 41.5000000000001,12.5000000000001 41.0000000000001,12.0000000000001 41.0000000000001)))', '41.5', '41', '12.5', '12', 'M22D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 41.0000000000001,12.5000000000001 41.5000000000001,13.0000000000001 41.5000000000001,13.0000000000001 41.0000000000001,12.5000000000001 41.0000000000001)))', '41.5', '41', '13', '12.5', 'M22D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 41.0000000000001,13.0000000000001 41.5000000000001,13.5000000000001 41.5000000000001,13.5000000000001 41.0000000000001,13.0000000000001 41.0000000000001)))', '41.5', '41', '13.5', '13', 'M22D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 41.0000000000001,13.5000000000001 41.5000000000001,14.0000000000001 41.5000000000001,14.0000000000001 41.0000000000001,13.5000000000001 41.0000000000001)))', '41.5', '41', '14', '13.5', 'M22D9', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((15.5000000000001 41.0000000000001,15.5000000000001 41.5000000000001,16.0000000000001 41.5000000000001,16.0000000000001 41.0000000000001,15.5000000000001 41.0000000000001)))', '41.5', '41', '16', '15.5', 'M22E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 41.0000000000001,16.0000000000001 41.5000000000001,16.5000000000001 41.5000000000001,16.5000000000001 41.0000000000001,16.0000000000001 41.0000000000001)))', '41.5', '41', '16.5', '16', 'M22E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 41.0000000000001,16.5000000000001 41.5000000000001,17.0000000000001 41.5000000000001,17.0000000000001 41.0000000000001,16.5000000000001 41.0000000000001)))', '41.5', '41', '17', '16.5', 'M22E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 41.0000000000001,17.0000000000001 41.5000000000001,17.5000000000001 41.5000000000001,17.5000000000001 41.0000000000001,17.0000000000001 41.0000000000001)))', '41.5', '41', '17.5', '17', 'M22E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 41.0000000000001,17.5000000000001 41.5000000000001,18.0000000000001 41.5000000000001,18.0000000000001 41.0000000000001,17.5000000000001 41.0000000000001)))', '41.5', '41', '18', '17.5', 'M22E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 41.0000000000001,18.0000000000001 41.5000000000001,18.5000000000001 41.5000000000001,18.5000000000001 41.0000000000001,18.0000000000001 41.0000000000001)))', '41.5', '41', '18.5', '18', 'M22E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 41.0000000000001,18.5000000000001 41.5000000000001,19.0000000000001 41.5000000000001,19.0000000000001 41.0000000000001,18.5000000000001 41.0000000000001)))', '41.5', '41', '19', '18.5', 'M22E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 41.0000000000001,19.0000000000001 41.5000000000001,19.5000000000001 41.5000000000001,19.5000000000001 41.0000000000001,19.0000000000001 41.0000000000001)))', '41.5', '41', '19.5', '19', 'M22F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 41.0000000000001,19.5000000000001 41.5000000000001,20.0000000000001 41.5000000000001,20.0000000000001 41.0000000000001,19.5000000000001 41.0000000000001)))', '41.5', '41', '20', '19.5', 'M22F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 41.0000000000001,25.0000000000001 41.5000000000001,25.5000000000001 41.5000000000001,25.5000000000001 41.0000000000001,25.0000000000001 41.0000000000001)))', '41.5', '41', '25.5', '25', 'M22G2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 41.0000000000001,27.5000000000001 41.5000000000001,28.0000000000001 41.5000000000001,28.0000000000001 41.0000000000001,27.5000000000001 41.0000000000001)))', '41.5', '41', '28', '27.5', 'M22G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 41.0000000000001,28.0000000000001 41.5000000000001,28.5000000000001 41.5000000000001,28.5000000000001 41.0000000000001,28.0000000000001 41.0000000000001)))', '41.5', '41', '28.5', '28', 'M22G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 41.0000000000001,28.5000000000001 41.5000000000001,29.0000000000001 41.5000000000001,29.0000000000001 41.0000000000001,28.5000000000001 41.0000000000001)))', '41.5', '41', '29', '28.5', 'M22G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 41.0000000000001,29.0000000000001 41.5000000000001,29.5000000000001 41.5000000000001,29.5000000000001 41.0000000000001,29.0000000000001 41.0000000000001)))', '41.5', '41', '29.5', '29', 'M22H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 41.0000000000001,29.5000000000001 41.5000000000001,30.0000000000001 41.5000000000001,30.0000000000001 41.0000000000001,29.5000000000001 41.0000000000001)))', '41.5', '41', '30', '29.5', 'M22H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 41.0000000000001,30.0000000000001 41.5000000000001,30.5000000000001 41.5000000000001,30.5000000000001 41.0000000000001,30.0000000000001 41.0000000000001)))', '41.5', '41', '30.5', '30', 'M22H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 41.0000000000001,30.5000000000001 41.5000000000001,31.0000000000001 41.5000000000001,31.0000000000001 41.0000000000001,30.5000000000001 41.0000000000001)))', '41.5', '41', '31', '30.5', 'M22H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 41.0000000000001,31.0000000000001 41.5000000000001,31.5000000000001 41.5000000000001,31.5000000000001 41.0000000000001,31.0000000000001 41.0000000000001)))', '41.5', '41', '31.5', '31', 'M22H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 41.0000000000001,31.5000000000001 41.5000000000001,32.0000000000001 41.5000000000001,32.0000000000001 41.0000000000001,31.5000000000001 41.0000000000001)))', '41.5', '41', '32', '31.5', 'M22H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 41.0000000000001,36.0000000000001 41.5000000000001,36.5000000000001 41.5000000000001,36.5000000000001 41.0000000000001,36.0000000000001 41.0000000000001)))', '41.5', '41', '36.5', '36', 'M22I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.5000000000001 41.0000000000001,36.5000000000001 41.5000000000001,37.0000000000001 41.5000000000001,37.0000000000001 41.0000000000001,36.5000000000001 41.0000000000001)))', '41.5', '41', '37', '36.5', 'M22I5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 41.0000000000001,37.0000000000001 41.5000000000001,37.5000000000001 41.5000000000001,37.5000000000001 41.0000000000001,37.0000000000001 41.0000000000001)))', '41.5', '41', '37.5', '37', 'M22I6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5000000000001 41.0000000000001,37.5000000000001 41.5000000000001,38.0000000000001 41.5000000000001,38.0000000000001 41.0000000000001,37.5000000000001 41.0000000000001)))', '41.5', '41', '38', '37.5', 'M22I7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 41.0000000000001,38.0000000000001 41.5000000000001,38.5000000000001 41.5000000000001,38.5000000000001 41.0000000000001,38.0000000000001 41.0000000000001)))', '41.5', '41', '38.5', '38', 'M22I8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.5000000000001 41.0000000000001,38.5000000000001 41.5000000000001,39.0000000000001 41.5000000000001,39.0000000000001 41.0000000000001,38.5000000000001 41.0000000000001)))', '41.5', '41', '39', '38.5', 'M22I9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 41.0000000000001,39.0000000000001 41.5000000000001,39.5000000000001 41.5000000000001,39.5000000000001 41.0000000000001,39.0000000000001 41.0000000000001)))', '41.5', '41', '39.5', '39', 'M22J0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.5000000000001 41.0000000000001,39.5000000000001 41.5000000000001,40.0000000000001 41.5000000000001,40.0000000000001 41.0000000000001,39.5000000000001 41.0000000000001)))', '41.5', '41', '40', '39.5', 'M22J1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 41.0000000000001,40.0000000000001 41.5000000000001,40.5000000000001 41.5000000000001,40.5000000000001 41.0000000000001,40.0000000000001 41.0000000000001)))', '41.5', '41', '40.5', '40', 'M22J2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((40.5000000000001 41.0000000000001,40.5000000000001 41.5000000000001,41.0000000000001 41.5000000000001,41.0000000000001 41.0000000000001,40.5000000000001 41.0000000000001)))', '41.5', '41', '41', '40.5', 'M22J3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 41.0000000000001,41.0000000000001 41.5000000000001,41.5000000000001 41.5000000000001,41.5000000000001 41.0000000000001,41.0000000000001 41.0000000000001)))', '41.5', '41', '41.5', '41', 'M22J4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((41.5000000000001 41.0000000000001,41.5000000000001 41.5000000000001,42.0000000000001 41.5000000000001,42.0000000000001 41.0000000000001,41.5000000000001 41.0000000000001)))', '41.5', '41', '42', '41.5', 'M22J5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 41.5000000000001,2.00000000000006 42.0000000000001,2.50000000000006 42.0000000000001,2.50000000000006 41.5000000000001,2.00000000000006 41.5000000000001)))', '42', '41.5', '2.5', '2', 'M23B6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((2.50000000000006 41.5000000000001,2.50000000000006 42.0000000000001,3.00000000000006 42.0000000000001,3.00000000000006 41.5000000000001,2.50000000000006 41.5000000000001)))', '42', '41.5', '3', '2.5', 'M23B7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 41.5000000000001,3.00000000000006 42.0000000000001,3.50000000000006 42.0000000000001,3.50000000000006 41.5000000000001,3.00000000000006 41.5000000000001)))', '42', '41.5', '3.5', '3', 'M23B8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50000000000006 41.5000000000001,3.50000000000006 42.0000000000001,4.00000000000006 42.0000000000001,4.00000000000006 41.5000000000001,3.50000000000006 41.5000000000001)))', '42', '41.5', '4', '3.5', 'M23B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 41.5000000000001,4.00000000000006 42.0000000000001,4.50000000000006 42.0000000000001,4.50000000000006 41.5000000000001,4.00000000000006 41.5000000000001)))', '42', '41.5', '4.5', '4', 'M23C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.50000000000006 41.5000000000001,4.50000000000006 42.0000000000001,5.00000000000006 42.0000000000001,5.00000000000006 41.5000000000001,4.50000000000006 41.5000000000001)))', '42', '41.5', '5', '4.5', 'M23C1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 41.5000000000001,5.00000000000006 42.0000000000001,5.50000000000006 42.0000000000001,5.50000000000006 41.5000000000001,5.00000000000006 41.5000000000001)))', '42', '41.5', '5.5', '5', 'M23C2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.50000000000006 41.5000000000001,5.50000000000006 42.0000000000001,6.00000000000006 42.0000000000001,6.00000000000006 41.5000000000001,5.50000000000006 41.5000000000001)))', '42', '41.5', '6', '5.5', 'M23C3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 41.5000000000001,6.00000000000006 42.0000000000001,6.50000000000006 42.0000000000001,6.50000000000006 41.5000000000001,6.00000000000006 41.5000000000001)))', '42', '41.5', '6.5', '6', 'M23C4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 41.5000000000001,6.50000000000006 42.0000000000001,7.00000000000006 42.0000000000001,7.00000000000006 41.5000000000001,6.50000000000006 41.5000000000001)))', '42', '41.5', '7', '6.5', 'M23C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 41.5000000000001,7.00000000000006 42.0000000000001,7.50000000000006 42.0000000000001,7.50000000000006 41.5000000000001,7.00000000000006 41.5000000000001)))', '42', '41.5', '7.5', '7', 'M23C6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 41.5000000000001,7.50000000000006 42.0000000000001,8.00000000000006 42.0000000000001,8.00000000000006 41.5000000000001,7.50000000000006 41.5000000000001)))', '42', '41.5', '8', '7.5', 'M23C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 41.5000000000001,8.00000000000006 42.0000000000001,8.50000000000006 42.0000000000001,8.50000000000006 41.5000000000001,8.00000000000006 41.5000000000001)))', '42', '41.5', '8.5', '8', 'M23C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 41.5000000000001,8.50000000000006 42.0000000000001,9.00000000000006 42.0000000000001,9.00000000000006 41.5000000000001,8.50000000000006 41.5000000000001)))', '42', '41.5', '9', '8.5', 'M23C9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 41.5000000000001,9.00000000000006 42.0000000000001,9.50000000000006 42.0000000000001,9.50000000000006 41.5000000000001,9.00000000000006 41.5000000000001)))', '42', '41.5', '9.5', '9', 'M23D0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 41.5000000000001,9.50000000000006 42.0000000000001,10.0000000000001 42.0000000000001,10.0000000000001 41.5000000000001,9.50000000000006 41.5000000000001)))', '42', '41.5', '10', '9.5', 'M23D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 41.5000000000001,10.0000000000001 42.0000000000001,10.5000000000001 42.0000000000001,10.5000000000001 41.5000000000001,10.0000000000001 41.5000000000001)))', '42', '41.5', '10.5', '10', 'M23D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 41.5000000000001,10.5000000000001 42.0000000000001,11.0000000000001 42.0000000000001,11.0000000000001 41.5000000000001,10.5000000000001 41.5000000000001)))', '42', '41.5', '11', '10.5', 'M23D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 41.5000000000001,11.0000000000001 42.0000000000001,11.5000000000001 42.0000000000001,11.5000000000001 41.5000000000001,11.0000000000001 41.5000000000001)))', '42', '41.5', '11.5', '11', 'M23D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 41.5000000000001,11.5000000000001 42.0000000000001,12.0000000000001 42.0000000000001,12.0000000000001 41.5000000000001,11.5000000000001 41.5000000000001)))', '42', '41.5', '12', '11.5', 'M23D5', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((12.0000000000001 41.5000000000001,12.0000000000001 42.0000000000001,12.5000000000001 42.0000000000001,12.5000000000001 41.5000000000001,12.0000000000001 41.5000000000001)))', '42', '41.5', '12.5', '12', 'M23D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 41.5000000000001,12.5000000000001 42.0000000000001,13.0000000000001 42.0000000000001,13.0000000000001 41.5000000000001,12.5000000000001 41.5000000000001)))', '42', '41.5', '13', '12.5', 'M23D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 41.5000000000001,14.5000000000001 42.0000000000001,15.0000000000001 42.0000000000001,15.0000000000001 41.5000000000001,14.5000000000001 41.5000000000001)))', '42', '41.5', '15', '14.5', 'M23E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 41.5000000000001,15.0000000000001 42.0000000000001,15.5000000000001 42.0000000000001,15.5000000000001 41.5000000000001,15.0000000000001 41.5000000000001)))', '42', '41.5', '15.5', '15', 'M23E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 41.5000000000001,15.5000000000001 42.0000000000001,16.0000000000001 42.0000000000001,16.0000000000001 41.5000000000001,15.5000000000001 41.5000000000001)))', '42', '41.5', '16', '15.5', 'M23E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 41.5000000000001,16.0000000000001 42.0000000000001,16.5000000000001 42.0000000000001,16.5000000000001 41.5000000000001,16.0000000000001 41.5000000000001)))', '42', '41.5', '16.5', '16', 'M23E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 41.5000000000001,16.5000000000001 42.0000000000001,17.0000000000001 42.0000000000001,17.0000000000001 41.5000000000001,16.5000000000001 41.5000000000001)))', '42', '41.5', '17', '16.5', 'M23E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 41.5000000000001,17.0000000000001 42.0000000000001,17.5000000000001 42.0000000000001,17.5000000000001 41.5000000000001,17.0000000000001 41.5000000000001)))', '42', '41.5', '17.5', '17', 'M23E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 41.5000000000001,17.5000000000001 42.0000000000001,18.0000000000001 42.0000000000001,18.0000000000001 41.5000000000001,17.5000000000001 41.5000000000001)))', '42', '41.5', '18', '17.5', 'M23E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 41.5000000000001,18.0000000000001 42.0000000000001,18.5000000000001 42.0000000000001,18.5000000000001 41.5000000000001,18.0000000000001 41.5000000000001)))', '42', '41.5', '18.5', '18', 'M23E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 41.5000000000001,18.5000000000001 42.0000000000001,19.0000000000001 42.0000000000001,19.0000000000001 41.5000000000001,18.5000000000001 41.5000000000001)))', '42', '41.5', '19', '18.5', 'M23E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 41.5000000000001,19.0000000000001 42.0000000000001,19.5000000000001 42.0000000000001,19.5000000000001 41.5000000000001,19.0000000000001 41.5000000000001)))', '42', '41.5', '19.5', '19', 'M23F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.5000000000001 41.5000000000001,19.5000000000001 42.0000000000001,20.0000000000001 42.0000000000001,20.0000000000001 41.5000000000001,19.5000000000001 41.5000000000001)))', '42', '41.5', '20', '19.5', 'M23F1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 41.5000000000001,27.5000000000001 42.0000000000001,28.0000000000001 42.0000000000001,28.0000000000001 41.5000000000001,27.5000000000001 41.5000000000001)))', '42', '41.5', '28', '27.5', 'M23G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 41.5000000000001,28.0000000000001 42.0000000000001,28.5000000000001 42.0000000000001,28.5000000000001 41.5000000000001,28.0000000000001 41.5000000000001)))', '42', '41.5', '28.5', '28', 'M23G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 41.5000000000001,28.5000000000001 42.0000000000001,29.0000000000001 42.0000000000001,29.0000000000001 41.5000000000001,28.5000000000001 41.5000000000001)))', '42', '41.5', '29', '28.5', 'M23G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 41.5000000000001,29.0000000000001 42.0000000000001,29.5000000000001 42.0000000000001,29.5000000000001 41.5000000000001,29.0000000000001 41.5000000000001)))', '42', '41.5', '29.5', '29', 'M23H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 41.5000000000001,29.5000000000001 42.0000000000001,30.0000000000001 42.0000000000001,30.0000000000001 41.5000000000001,29.5000000000001 41.5000000000001)))', '42', '41.5', '30', '29.5', 'M23H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 41.5000000000001,30.0000000000001 42.0000000000001,30.5000000000001 42.0000000000001,30.5000000000001 41.5000000000001,30.0000000000001 41.5000000000001)))', '42', '41.5', '30.5', '30', 'M23H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 41.5000000000001,30.5000000000001 42.0000000000001,31.0000000000001 42.0000000000001,31.0000000000001 41.5000000000001,30.5000000000001 41.5000000000001)))', '42', '41.5', '31', '30.5', 'M23H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 41.5000000000001,31.0000000000001 42.0000000000001,31.5000000000001 42.0000000000001,31.5000000000001 41.5000000000001,31.0000000000001 41.5000000000001)))', '42', '41.5', '31.5', '31', 'M23H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 41.5000000000001,31.5000000000001 42.0000000000001,32.0000000000001 42.0000000000001,32.0000000000001 41.5000000000001,31.5000000000001 41.5000000000001)))', '42', '41.5', '32', '31.5', 'M23H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 41.5000000000001,32.0000000000001 42.0000000000001,32.5000000000001 42.0000000000001,32.5000000000001 41.5000000000001,32.0000000000001 41.5000000000001)))', '42', '41.5', '32.5', '32', 'M23H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 41.5000000000001,32.5000000000001 42.0000000000001,33.0000000000001 42.0000000000001,33.0000000000001 41.5000000000001,32.5000000000001 41.5000000000001)))', '42', '41.5', '33', '32.5', 'M23H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 41.5000000000001,33.0000000000001 42.0000000000001,33.5000000000001 42.0000000000001,33.5000000000001 41.5000000000001,33.0000000000001 41.5000000000001)))', '42', '41.5', '33.5', '33', 'M23H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 41.5000000000001,33.5000000000001 42.0000000000001,34.0000000000001 42.0000000000001,34.0000000000001 41.5000000000001,33.5000000000001 41.5000000000001)))', '42', '41.5', '34', '33.5', 'M23H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 41.5000000000001,34.0000000000001 42.0000000000001,34.5000000000001 42.0000000000001,34.5000000000001 41.5000000000001,34.0000000000001 41.5000000000001)))', '42', '41.5', '34.5', '34', 'M23I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 41.5000000000001,34.5000000000001 42.0000000000001,35.0000000000001 42.0000000000001,35.0000000000001 41.5000000000001,34.5000000000001 41.5000000000001)))', '42', '41.5', '35', '34.5', 'M23I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 41.5000000000001,35.0000000000001 42.0000000000001,35.5000000000001 42.0000000000001,35.5000000000001 41.5000000000001,35.0000000000001 41.5000000000001)))', '42', '41.5', '35.5', '35', 'M23I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 41.5000000000001,35.5000000000001 42.0000000000001,36.0000000000001 42.0000000000001,36.0000000000001 41.5000000000001,35.5000000000001 41.5000000000001)))', '42', '41.5', '36', '35.5', 'M23I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 41.5000000000001,36.0000000000001 42.0000000000001,36.5000000000001 42.0000000000001,36.5000000000001 41.5000000000001,36.0000000000001 41.5000000000001)))', '42', '41.5', '36.5', '36', 'M23I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.5000000000001 41.5000000000001,36.5000000000001 42.0000000000001,37.0000000000001 42.0000000000001,37.0000000000001 41.5000000000001,36.5000000000001 41.5000000000001)))', '42', '41.5', '37', '36.5', 'M23I5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 41.5000000000001,37.0000000000001 42.0000000000001,37.5000000000001 42.0000000000001,37.5000000000001 41.5000000000001,37.0000000000001 41.5000000000001)))', '42', '41.5', '37.5', '37', 'M23I6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5000000000001 41.5000000000001,37.5000000000001 42.0000000000001,38.0000000000001 42.0000000000001,38.0000000000001 41.5000000000001,37.5000000000001 41.5000000000001)))', '42', '41.5', '38', '37.5', 'M23I7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 41.5000000000001,38.0000000000001 42.0000000000001,38.5000000000001 42.0000000000001,38.5000000000001 41.5000000000001,38.0000000000001 41.5000000000001)))', '42', '41.5', '38.5', '38', 'M23I8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.5000000000001 41.5000000000001,38.5000000000001 42.0000000000001,39.0000000000001 42.0000000000001,39.0000000000001 41.5000000000001,38.5000000000001 41.5000000000001)))', '42', '41.5', '39', '38.5', 'M23I9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 41.5000000000001,39.0000000000001 42.0000000000001,39.5000000000001 42.0000000000001,39.5000000000001 41.5000000000001,39.0000000000001 41.5000000000001)))', '42', '41.5', '39.5', '39', 'M23J0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.5000000000001 41.5000000000001,39.5000000000001 42.0000000000001,40.0000000000001 42.0000000000001,40.0000000000001 41.5000000000001,39.5000000000001 41.5000000000001)))', '42', '41.5', '40', '39.5', 'M23J1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 41.5000000000001,40.0000000000001 42.0000000000001,40.5000000000001 42.0000000000001,40.5000000000001 41.5000000000001,40.0000000000001 41.5000000000001)))', '42', '41.5', '40.5', '40', 'M23J2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((40.5000000000001 41.5000000000001,40.5000000000001 42.0000000000001,41.0000000000001 42.0000000000001,41.0000000000001 41.5000000000001,40.5000000000001 41.5000000000001)))', '42', '41.5', '41', '40.5', 'M23J3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 41.5000000000001,41.0000000000001 42.0000000000001,41.5000000000001 42.0000000000001,41.5000000000001 41.5000000000001,41.0000000000001 41.5000000000001)))', '42', '41.5', '41.5', '41', 'M23J4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((41.5000000000001 41.5000000000001,41.5000000000001 42.0000000000001,42.0000000000001 42.0000000000001,42.0000000000001 41.5000000000001,41.5000000000001 41.5000000000001)))', '42', '41.5', '42', '41.5', 'M23J5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 42.0000000000001,3.00000000000006 42.5000000000001,3.50000000000006 42.5000000000001,3.50000000000006 42.0000000000001,3.00000000000006 42.0000000000001)))', '42.5', '42', '3.5', '3', 'M24B8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50000000000006 42.0000000000001,3.50000000000006 42.5000000000001,4.00000000000006 42.5000000000001,4.00000000000006 42.0000000000001,3.50000000000006 42.0000000000001)))', '42.5', '42', '4', '3.5', 'M24B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 42.0000000000001,4.00000000000006 42.5000000000001,4.50000000000006 42.5000000000001,4.50000000000006 42.0000000000001,4.00000000000006 42.0000000000001)))', '42.5', '42', '4.5', '4', 'M24C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.50000000000006 42.0000000000001,4.50000000000006 42.5000000000001,5.00000000000006 42.5000000000001,5.00000000000006 42.0000000000001,4.50000000000006 42.0000000000001)))', '42.5', '42', '5', '4.5', 'M24C1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 42.0000000000001,5.00000000000006 42.5000000000001,5.50000000000006 42.5000000000001,5.50000000000006 42.0000000000001,5.00000000000006 42.0000000000001)))', '42.5', '42', '5.5', '5', 'M24C2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.50000000000006 42.0000000000001,5.50000000000006 42.5000000000001,6.00000000000006 42.5000000000001,6.00000000000006 42.0000000000001,5.50000000000006 42.0000000000001)))', '42.5', '42', '6', '5.5', 'M24C3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 42.0000000000001,6.00000000000006 42.5000000000001,6.50000000000006 42.5000000000001,6.50000000000006 42.0000000000001,6.00000000000006 42.0000000000001)))', '42.5', '42', '6.5', '6', 'M24C4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 42.0000000000001,6.50000000000006 42.5000000000001,7.00000000000006 42.5000000000001,7.00000000000006 42.0000000000001,6.50000000000006 42.0000000000001)))', '42.5', '42', '7', '6.5', 'M24C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 42.0000000000001,7.00000000000006 42.5000000000001,7.50000000000006 42.5000000000001,7.50000000000006 42.0000000000001,7.00000000000006 42.0000000000001)))', '42.5', '42', '7.5', '7', 'M24C6', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((7.50000000000006 42.0000000000001,7.50000000000006 42.5000000000001,8.00000000000006 42.5000000000001,8.00000000000006 42.0000000000001,7.50000000000006 42.0000000000001)))', '42.5', '42', '8', '7.5', 'M24C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 42.0000000000001,8.00000000000006 42.5000000000001,8.50000000000006 42.5000000000001,8.50000000000006 42.0000000000001,8.00000000000006 42.0000000000001)))', '42.5', '42', '8.5', '8', 'M24C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 42.0000000000001,8.50000000000006 42.5000000000001,9.00000000000006 42.5000000000001,9.00000000000006 42.0000000000001,8.50000000000006 42.0000000000001)))', '42.5', '42', '9', '8.5', 'M24C9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 42.0000000000001,9.00000000000006 42.5000000000001,9.50000000000006 42.5000000000001,9.50000000000006 42.0000000000001,9.00000000000006 42.0000000000001)))', '42.5', '42', '9.5', '9', 'M24D0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 42.0000000000001,9.50000000000006 42.5000000000001,10.0000000000001 42.5000000000001,10.0000000000001 42.0000000000001,9.50000000000006 42.0000000000001)))', '42.5', '42', '10', '9.5', 'M24D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 42.0000000000001,10.0000000000001 42.5000000000001,10.5000000000001 42.5000000000001,10.5000000000001 42.0000000000001,10.0000000000001 42.0000000000001)))', '42.5', '42', '10.5', '10', 'M24D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 42.0000000000001,10.5000000000001 42.5000000000001,11.0000000000001 42.5000000000001,11.0000000000001 42.0000000000001,10.5000000000001 42.0000000000001)))', '42.5', '42', '11', '10.5', 'M24D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 42.0000000000001,11.0000000000001 42.5000000000001,11.5000000000001 42.5000000000001,11.5000000000001 42.0000000000001,11.0000000000001 42.0000000000001)))', '42.5', '42', '11.5', '11', 'M24D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.5000000000001 42.0000000000001,11.5000000000001 42.5000000000001,12.0000000000001 42.5000000000001,12.0000000000001 42.0000000000001,11.5000000000001 42.0000000000001)))', '42.5', '42', '12', '11.5', 'M24D5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 42.0000000000001,14.0000000000001 42.5000000000001,14.5000000000001 42.5000000000001,14.5000000000001 42.0000000000001,14.0000000000001 42.0000000000001)))', '42.5', '42', '14.5', '14', 'M24E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 42.0000000000001,14.5000000000001 42.5000000000001,15.0000000000001 42.5000000000001,15.0000000000001 42.0000000000001,14.5000000000001 42.0000000000001)))', '42.5', '42', '15', '14.5', 'M24E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 42.0000000000001,15.0000000000001 42.5000000000001,15.5000000000001 42.5000000000001,15.5000000000001 42.0000000000001,15.0000000000001 42.0000000000001)))', '42.5', '42', '15.5', '15', 'M24E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 42.0000000000001,15.5000000000001 42.5000000000001,16.0000000000001 42.5000000000001,16.0000000000001 42.0000000000001,15.5000000000001 42.0000000000001)))', '42.5', '42', '16', '15.5', 'M24E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 42.0000000000001,16.0000000000001 42.5000000000001,16.5000000000001 42.5000000000001,16.5000000000001 42.0000000000001,16.0000000000001 42.0000000000001)))', '42.5', '42', '16.5', '16', 'M24E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 42.0000000000001,16.5000000000001 42.5000000000001,17.0000000000001 42.5000000000001,17.0000000000001 42.0000000000001,16.5000000000001 42.0000000000001)))', '42.5', '42', '17', '16.5', 'M24E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 42.0000000000001,17.0000000000001 42.5000000000001,17.5000000000001 42.5000000000001,17.5000000000001 42.0000000000001,17.0000000000001 42.0000000000001)))', '42.5', '42', '17.5', '17', 'M24E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 42.0000000000001,17.5000000000001 42.5000000000001,18.0000000000001 42.5000000000001,18.0000000000001 42.0000000000001,17.5000000000001 42.0000000000001)))', '42.5', '42', '18', '17.5', 'M24E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 42.0000000000001,18.0000000000001 42.5000000000001,18.5000000000001 42.5000000000001,18.5000000000001 42.0000000000001,18.0000000000001 42.0000000000001)))', '42.5', '42', '18.5', '18', 'M24E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 42.0000000000001,18.5000000000001 42.5000000000001,19.0000000000001 42.5000000000001,19.0000000000001 42.0000000000001,18.5000000000001 42.0000000000001)))', '42.5', '42', '19', '18.5', 'M24E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 42.0000000000001,19.0000000000001 42.5000000000001,19.5000000000001 42.5000000000001,19.5000000000001 42.0000000000001,19.0000000000001 42.0000000000001)))', '42.5', '42', '19.5', '19', 'M24F0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 42.0000000000001,27.0000000000001 42.5000000000001,27.5000000000001 42.5000000000001,27.5000000000001 42.0000000000001,27.0000000000001 42.0000000000001)))', '42.5', '42', '27.5', '27', 'M24G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 42.0000000000001,27.5000000000001 42.5000000000001,28.0000000000001 42.5000000000001,28.0000000000001 42.0000000000001,27.5000000000001 42.0000000000001)))', '42.5', '42', '28', '27.5', 'M24G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 42.0000000000001,28.0000000000001 42.5000000000001,28.5000000000001 42.5000000000001,28.5000000000001 42.0000000000001,28.0000000000001 42.0000000000001)))', '42.5', '42', '28.5', '28', 'M24G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 42.0000000000001,28.5000000000001 42.5000000000001,29.0000000000001 42.5000000000001,29.0000000000001 42.0000000000001,28.5000000000001 42.0000000000001)))', '42.5', '42', '29', '28.5', 'M24G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 42.0000000000001,29.0000000000001 42.5000000000001,29.5000000000001 42.5000000000001,29.5000000000001 42.0000000000001,29.0000000000001 42.0000000000001)))', '42.5', '42', '29.5', '29', 'M24H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 42.0000000000001,29.5000000000001 42.5000000000001,30.0000000000001 42.5000000000001,30.0000000000001 42.0000000000001,29.5000000000001 42.0000000000001)))', '42.5', '42', '30', '29.5', 'M24H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 42.0000000000001,30.0000000000001 42.5000000000001,30.5000000000001 42.5000000000001,30.5000000000001 42.0000000000001,30.0000000000001 42.0000000000001)))', '42.5', '42', '30.5', '30', 'M24H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 42.0000000000001,30.5000000000001 42.5000000000001,31.0000000000001 42.5000000000001,31.0000000000001 42.0000000000001,30.5000000000001 42.0000000000001)))', '42.5', '42', '31', '30.5', 'M24H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 42.0000000000001,31.0000000000001 42.5000000000001,31.5000000000001 42.5000000000001,31.5000000000001 42.0000000000001,31.0000000000001 42.0000000000001)))', '42.5', '42', '31.5', '31', 'M24H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 42.0000000000001,31.5000000000001 42.5000000000001,32.0000000000001 42.5000000000001,32.0000000000001 42.0000000000001,31.5000000000001 42.0000000000001)))', '42.5', '42', '32', '31.5', 'M24H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 42.0000000000001,32.0000000000001 42.5000000000001,32.5000000000001 42.5000000000001,32.5000000000001 42.0000000000001,32.0000000000001 42.0000000000001)))', '42.5', '42', '32.5', '32', 'M24H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 42.0000000000001,32.5000000000001 42.5000000000001,33.0000000000001 42.5000000000001,33.0000000000001 42.0000000000001,32.5000000000001 42.0000000000001)))', '42.5', '42', '33', '32.5', 'M24H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 42.0000000000001,33.0000000000001 42.5000000000001,33.5000000000001 42.5000000000001,33.5000000000001 42.0000000000001,33.0000000000001 42.0000000000001)))', '42.5', '42', '33.5', '33', 'M24H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 42.0000000000001,33.5000000000001 42.5000000000001,34.0000000000001 42.5000000000001,34.0000000000001 42.0000000000001,33.5000000000001 42.0000000000001)))', '42.5', '42', '34', '33.5', 'M24H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 42.0000000000001,34.0000000000001 42.5000000000001,34.5000000000001 42.5000000000001,34.5000000000001 42.0000000000001,34.0000000000001 42.0000000000001)))', '42.5', '42', '34.5', '34', 'M24I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 42.0000000000001,34.5000000000001 42.5000000000001,35.0000000000001 42.5000000000001,35.0000000000001 42.0000000000001,34.5000000000001 42.0000000000001)))', '42.5', '42', '35', '34.5', 'M24I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 42.0000000000001,35.0000000000001 42.5000000000001,35.5000000000001 42.5000000000001,35.5000000000001 42.0000000000001,35.0000000000001 42.0000000000001)))', '42.5', '42', '35.5', '35', 'M24I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 42.0000000000001,35.5000000000001 42.5000000000001,36.0000000000001 42.5000000000001,36.0000000000001 42.0000000000001,35.5000000000001 42.0000000000001)))', '42.5', '42', '36', '35.5', 'M24I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 42.0000000000001,36.0000000000001 42.5000000000001,36.5000000000001 42.5000000000001,36.5000000000001 42.0000000000001,36.0000000000001 42.0000000000001)))', '42.5', '42', '36.5', '36', 'M24I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.5000000000001 42.0000000000001,36.5000000000001 42.5000000000001,37.0000000000001 42.5000000000001,37.0000000000001 42.0000000000001,36.5000000000001 42.0000000000001)))', '42.5', '42', '37', '36.5', 'M24I5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 42.0000000000001,37.0000000000001 42.5000000000001,37.5000000000001 42.5000000000001,37.5000000000001 42.0000000000001,37.0000000000001 42.0000000000001)))', '42.5', '42', '37.5', '37', 'M24I6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5000000000001 42.0000000000001,37.5000000000001 42.5000000000001,38.0000000000001 42.5000000000001,38.0000000000001 42.0000000000001,37.5000000000001 42.0000000000001)))', '42.5', '42', '38', '37.5', 'M24I7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 42.0000000000001,38.0000000000001 42.5000000000001,38.5000000000001 42.5000000000001,38.5000000000001 42.0000000000001,38.0000000000001 42.0000000000001)))', '42.5', '42', '38.5', '38', 'M24I8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.5000000000001 42.0000000000001,38.5000000000001 42.5000000000001,39.0000000000001 42.5000000000001,39.0000000000001 42.0000000000001,38.5000000000001 42.0000000000001)))', '42.5', '42', '39', '38.5', 'M24I9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 42.0000000000001,39.0000000000001 42.5000000000001,39.5000000000001 42.5000000000001,39.5000000000001 42.0000000000001,39.0000000000001 42.0000000000001)))', '42.5', '42', '39.5', '39', 'M24J0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.5000000000001 42.0000000000001,39.5000000000001 42.5000000000001,40.0000000000001 42.5000000000001,40.0000000000001 42.0000000000001,39.5000000000001 42.0000000000001)))', '42.5', '42', '40', '39.5', 'M24J1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 42.0000000000001,40.0000000000001 42.5000000000001,40.5000000000001 42.5000000000001,40.5000000000001 42.0000000000001,40.0000000000001 42.0000000000001)))', '42.5', '42', '40.5', '40', 'M24J2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((40.5000000000001 42.0000000000001,40.5000000000001 42.5000000000001,41.0000000000001 42.5000000000001,41.0000000000001 42.0000000000001,40.5000000000001 42.0000000000001)))', '42.5', '42', '41', '40.5', 'M24J3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 42.0000000000001,41.0000000000001 42.5000000000001,41.5000000000001 42.5000000000001,41.5000000000001 42.0000000000001,41.0000000000001 42.0000000000001)))', '42.5', '42', '41.5', '41', 'M24J4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((41.5000000000001 42.0000000000001,41.5000000000001 42.5000000000001,42.0000000000001 42.5000000000001,42.0000000000001 42.0000000000001,41.5000000000001 42.0000000000001)))', '42.5', '42', '42', '41.5', 'M24J5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 42.5000000000001,3.00000000000006 43.0000000000001,3.50000000000006 43.0000000000001,3.50000000000006 42.5000000000001,3.00000000000006 42.5000000000001)))', '43', '42.5', '3.5', '3', 'M25B8', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((3.50000000000006 42.5000000000001,3.50000000000006 43.0000000000001,4.00000000000006 43.0000000000001,4.00000000000006 42.5000000000001,3.50000000000006 42.5000000000001)))', '43', '42.5', '4', '3.5', 'M25B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 42.5000000000001,4.00000000000006 43.0000000000001,4.50000000000006 43.0000000000001,4.50000000000006 42.5000000000001,4.00000000000006 42.5000000000001)))', '43', '42.5', '4.5', '4', 'M25C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.50000000000006 42.5000000000001,4.50000000000006 43.0000000000001,5.00000000000006 43.0000000000001,5.00000000000006 42.5000000000001,4.50000000000006 42.5000000000001)))', '43', '42.5', '5', '4.5', 'M25C1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 42.5000000000001,5.00000000000006 43.0000000000001,5.50000000000006 43.0000000000001,5.50000000000006 42.5000000000001,5.00000000000006 42.5000000000001)))', '43', '42.5', '5.5', '5', 'M25C2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.50000000000006 42.5000000000001,5.50000000000006 43.0000000000001,6.00000000000006 43.0000000000001,6.00000000000006 42.5000000000001,5.50000000000006 42.5000000000001)))', '43', '42.5', '6', '5.5', 'M25C3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 42.5000000000001,6.00000000000006 43.0000000000001,6.50000000000006 43.0000000000001,6.50000000000006 42.5000000000001,6.00000000000006 42.5000000000001)))', '43', '42.5', '6.5', '6', 'M25C4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 42.5000000000001,6.50000000000006 43.0000000000001,7.00000000000006 43.0000000000001,7.00000000000006 42.5000000000001,6.50000000000006 42.5000000000001)))', '43', '42.5', '7', '6.5', 'M25C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 42.5000000000001,7.00000000000006 43.0000000000001,7.50000000000006 43.0000000000001,7.50000000000006 42.5000000000001,7.00000000000006 42.5000000000001)))', '43', '42.5', '7.5', '7', 'M25C6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 42.5000000000001,7.50000000000006 43.0000000000001,8.00000000000006 43.0000000000001,8.00000000000006 42.5000000000001,7.50000000000006 42.5000000000001)))', '43', '42.5', '8', '7.5', 'M25C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 42.5000000000001,8.00000000000006 43.0000000000001,8.50000000000006 43.0000000000001,8.50000000000006 42.5000000000001,8.00000000000006 42.5000000000001)))', '43', '42.5', '8.5', '8', 'M25C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 42.5000000000001,8.50000000000006 43.0000000000001,9.00000000000006 43.0000000000001,9.00000000000006 42.5000000000001,8.50000000000006 42.5000000000001)))', '43', '42.5', '9', '8.5', 'M25C9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 42.5000000000001,9.00000000000006 43.0000000000001,9.50000000000006 43.0000000000001,9.50000000000006 42.5000000000001,9.00000000000006 42.5000000000001)))', '43', '42.5', '9.5', '9', 'M25D0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 42.5000000000001,9.50000000000006 43.0000000000001,10.0000000000001 43.0000000000001,10.0000000000001 42.5000000000001,9.50000000000006 42.5000000000001)))', '43', '42.5', '10', '9.5', 'M25D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 42.5000000000001,10.0000000000001 43.0000000000001,10.5000000000001 43.0000000000001,10.5000000000001 42.5000000000001,10.0000000000001 42.5000000000001)))', '43', '42.5', '10.5', '10', 'M25D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 42.5000000000001,10.5000000000001 43.0000000000001,11.0000000000001 43.0000000000001,11.0000000000001 42.5000000000001,10.5000000000001 42.5000000000001)))', '43', '42.5', '11', '10.5', 'M25D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 42.5000000000001,11.0000000000001 43.0000000000001,11.5000000000001 43.0000000000001,11.5000000000001 42.5000000000001,11.0000000000001 42.5000000000001)))', '43', '42.5', '11.5', '11', 'M25D4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 42.5000000000001,13.5000000000001 43.0000000000001,14.0000000000001 43.0000000000001,14.0000000000001 42.5000000000001,13.5000000000001 42.5000000000001)))', '43', '42.5', '14', '13.5', 'M25D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 42.5000000000001,14.0000000000001 43.0000000000001,14.5000000000001 43.0000000000001,14.5000000000001 42.5000000000001,14.0000000000001 42.5000000000001)))', '43', '42.5', '14.5', '14', 'M25E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 42.5000000000001,14.5000000000001 43.0000000000001,15.0000000000001 43.0000000000001,15.0000000000001 42.5000000000001,14.5000000000001 42.5000000000001)))', '43', '42.5', '15', '14.5', 'M25E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 42.5000000000001,15.0000000000001 43.0000000000001,15.5000000000001 43.0000000000001,15.5000000000001 42.5000000000001,15.0000000000001 42.5000000000001)))', '43', '42.5', '15.5', '15', 'M25E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 42.5000000000001,15.5000000000001 43.0000000000001,16.0000000000001 43.0000000000001,16.0000000000001 42.5000000000001,15.5000000000001 42.5000000000001)))', '43', '42.5', '16', '15.5', 'M25E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 42.5000000000001,16.0000000000001 43.0000000000001,16.5000000000001 43.0000000000001,16.5000000000001 42.5000000000001,16.0000000000001 42.5000000000001)))', '43', '42.5', '16.5', '16', 'M25E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 42.5000000000001,16.5000000000001 43.0000000000001,17.0000000000001 43.0000000000001,17.0000000000001 42.5000000000001,16.5000000000001 42.5000000000001)))', '43', '42.5', '17', '16.5', 'M25E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 42.5000000000001,17.0000000000001 43.0000000000001,17.5000000000001 43.0000000000001,17.5000000000001 42.5000000000001,17.0000000000001 42.5000000000001)))', '43', '42.5', '17.5', '17', 'M25E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.5000000000001 42.5000000000001,17.5000000000001 43.0000000000001,18.0000000000001 43.0000000000001,18.0000000000001 42.5000000000001,17.5000000000001 42.5000000000001)))', '43', '42.5', '18', '17.5', 'M25E7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 42.5000000000001,18.0000000000001 43.0000000000001,18.5000000000001 43.0000000000001,18.5000000000001 42.5000000000001,18.0000000000001 42.5000000000001)))', '43', '42.5', '18.5', '18', 'M25E8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((18.5000000000001 42.5000000000001,18.5000000000001 43.0000000000001,19.0000000000001 43.0000000000001,19.0000000000001 42.5000000000001,18.5000000000001 42.5000000000001)))', '43', '42.5', '19', '18.5', 'M25E9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 42.5000000000001,27.0000000000001 43.0000000000001,27.5000000000001 43.0000000000001,27.5000000000001 42.5000000000001,27.0000000000001 42.5000000000001)))', '43', '42.5', '27.5', '27', 'M25G6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 42.5000000000001,27.5000000000001 43.0000000000001,28.0000000000001 43.0000000000001,28.0000000000001 42.5000000000001,27.5000000000001 42.5000000000001)))', '43', '42.5', '28', '27.5', 'M25G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 42.5000000000001,28.0000000000001 43.0000000000001,28.5000000000001 43.0000000000001,28.5000000000001 42.5000000000001,28.0000000000001 42.5000000000001)))', '43', '42.5', '28.5', '28', 'M25G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 42.5000000000001,28.5000000000001 43.0000000000001,29.0000000000001 43.0000000000001,29.0000000000001 42.5000000000001,28.5000000000001 42.5000000000001)))', '43', '42.5', '29', '28.5', 'M25G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 42.5000000000001,29.0000000000001 43.0000000000001,29.5000000000001 43.0000000000001,29.5000000000001 42.5000000000001,29.0000000000001 42.5000000000001)))', '43', '42.5', '29.5', '29', 'M25H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 42.5000000000001,29.5000000000001 43.0000000000001,30.0000000000001 43.0000000000001,30.0000000000001 42.5000000000001,29.5000000000001 42.5000000000001)))', '43', '42.5', '30', '29.5', 'M25H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 42.5000000000001,30.0000000000001 43.0000000000001,30.5000000000001 43.0000000000001,30.5000000000001 42.5000000000001,30.0000000000001 42.5000000000001)))', '43', '42.5', '30.5', '30', 'M25H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 42.5000000000001,30.5000000000001 43.0000000000001,31.0000000000001 43.0000000000001,31.0000000000001 42.5000000000001,30.5000000000001 42.5000000000001)))', '43', '42.5', '31', '30.5', 'M25H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 42.5000000000001,31.0000000000001 43.0000000000001,31.5000000000001 43.0000000000001,31.5000000000001 42.5000000000001,31.0000000000001 42.5000000000001)))', '43', '42.5', '31.5', '31', 'M25H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 42.5000000000001,31.5000000000001 43.0000000000001,32.0000000000001 43.0000000000001,32.0000000000001 42.5000000000001,31.5000000000001 42.5000000000001)))', '43', '42.5', '32', '31.5', 'M25H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 42.5000000000001,32.0000000000001 43.0000000000001,32.5000000000001 43.0000000000001,32.5000000000001 42.5000000000001,32.0000000000001 42.5000000000001)))', '43', '42.5', '32.5', '32', 'M25H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 42.5000000000001,32.5000000000001 43.0000000000001,33.0000000000001 43.0000000000001,33.0000000000001 42.5000000000001,32.5000000000001 42.5000000000001)))', '43', '42.5', '33', '32.5', 'M25H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 42.5000000000001,33.0000000000001 43.0000000000001,33.5000000000001 43.0000000000001,33.5000000000001 42.5000000000001,33.0000000000001 42.5000000000001)))', '43', '42.5', '33.5', '33', 'M25H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 42.5000000000001,33.5000000000001 43.0000000000001,34.0000000000001 43.0000000000001,34.0000000000001 42.5000000000001,33.5000000000001 42.5000000000001)))', '43', '42.5', '34', '33.5', 'M25H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 42.5000000000001,34.0000000000001 43.0000000000001,34.5000000000001 43.0000000000001,34.5000000000001 42.5000000000001,34.0000000000001 42.5000000000001)))', '43', '42.5', '34.5', '34', 'M25I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 42.5000000000001,34.5000000000001 43.0000000000001,35.0000000000001 43.0000000000001,35.0000000000001 42.5000000000001,34.5000000000001 42.5000000000001)))', '43', '42.5', '35', '34.5', 'M25I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 42.5000000000001,35.0000000000001 43.0000000000001,35.5000000000001 43.0000000000001,35.5000000000001 42.5000000000001,35.0000000000001 42.5000000000001)))', '43', '42.5', '35.5', '35', 'M25I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 42.5000000000001,35.5000000000001 43.0000000000001,36.0000000000001 43.0000000000001,36.0000000000001 42.5000000000001,35.5000000000001 42.5000000000001)))', '43', '42.5', '36', '35.5', 'M25I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 42.5000000000001,36.0000000000001 43.0000000000001,36.5000000000001 43.0000000000001,36.5000000000001 42.5000000000001,36.0000000000001 42.5000000000001)))', '43', '42.5', '36.5', '36', 'M25I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.5000000000001 42.5000000000001,36.5000000000001 43.0000000000001,37.0000000000001 43.0000000000001,37.0000000000001 42.5000000000001,36.5000000000001 42.5000000000001)))', '43', '42.5', '37', '36.5', 'M25I5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 42.5000000000001,37.0000000000001 43.0000000000001,37.5000000000001 43.0000000000001,37.5000000000001 42.5000000000001,37.0000000000001 42.5000000000001)))', '43', '42.5', '37.5', '37', 'M25I6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5000000000001 42.5000000000001,37.5000000000001 43.0000000000001,38.0000000000001 43.0000000000001,38.0000000000001 42.5000000000001,37.5000000000001 42.5000000000001)))', '43', '42.5', '38', '37.5', 'M25I7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 42.5000000000001,38.0000000000001 43.0000000000001,38.5000000000001 43.0000000000001,38.5000000000001 42.5000000000001,38.0000000000001 42.5000000000001)))', '43', '42.5', '38.5', '38', 'M25I8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.5000000000001 42.5000000000001,38.5000000000001 43.0000000000001,39.0000000000001 43.0000000000001,39.0000000000001 42.5000000000001,38.5000000000001 42.5000000000001)))', '43', '42.5', '39', '38.5', 'M25I9', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((39.0000000000001 42.5000000000001,39.0000000000001 43.0000000000001,39.5000000000001 43.0000000000001,39.5000000000001 42.5000000000001,39.0000000000001 42.5000000000001)))', '43', '42.5', '39.5', '39', 'M25J0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.5000000000001 42.5000000000001,39.5000000000001 43.0000000000001,40.0000000000001 43.0000000000001,40.0000000000001 42.5000000000001,39.5000000000001 42.5000000000001)))', '43', '42.5', '40', '39.5', 'M25J1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 42.5000000000001,40.0000000000001 43.0000000000001,40.5000000000001 43.0000000000001,40.5000000000001 42.5000000000001,40.0000000000001 42.5000000000001)))', '43', '42.5', '40.5', '40', 'M25J2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((40.5000000000001 42.5000000000001,40.5000000000001 43.0000000000001,41.0000000000001 43.0000000000001,41.0000000000001 42.5000000000001,40.5000000000001 42.5000000000001)))', '43', '42.5', '41', '40.5', 'M25J3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 42.5000000000001,41.0000000000001 43.0000000000001,41.5000000000001 43.0000000000001,41.5000000000001 42.5000000000001,41.0000000000001 42.5000000000001)))', '43', '42.5', '41.5', '41', 'M25J4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((41.5000000000001 42.5000000000001,41.5000000000001 43.0000000000001,42.0000000000001 43.0000000000001,42.0000000000001 42.5000000000001,41.5000000000001 42.5000000000001)))', '43', '42.5', '42', '41.5', 'M25J5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 43.0000000000001,3.00000000000006 43.5000000000001,3.50000000000006 43.5000000000001,3.50000000000006 43.0000000000001,3.00000000000006 43.0000000000001)))', '43.5', '43', '3.5', '3', 'M26B8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50000000000006 43.0000000000001,3.50000000000006 43.5000000000001,4.00000000000006 43.5000000000001,4.00000000000006 43.0000000000001,3.50000000000006 43.0000000000001)))', '43.5', '43', '4', '3.5', 'M26B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 43.0000000000001,4.00000000000006 43.5000000000001,4.50000000000006 43.5000000000001,4.50000000000006 43.0000000000001,4.00000000000006 43.0000000000001)))', '43.5', '43', '4.5', '4', 'M26C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.50000000000006 43.0000000000001,4.50000000000006 43.5000000000001,5.00000000000006 43.5000000000001,5.00000000000006 43.0000000000001,4.50000000000006 43.0000000000001)))', '43.5', '43', '5', '4.5', 'M26C1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 43.0000000000001,5.00000000000006 43.5000000000001,5.50000000000006 43.5000000000001,5.50000000000006 43.0000000000001,5.00000000000006 43.0000000000001)))', '43.5', '43', '5.5', '5', 'M26C2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((5.50000000000006 43.0000000000001,5.50000000000006 43.5000000000001,6.00000000000006 43.5000000000001,6.00000000000006 43.0000000000001,5.50000000000006 43.0000000000001)))', '43.5', '43', '6', '5.5', 'M26C3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 43.0000000000001,6.00000000000006 43.5000000000001,6.50000000000006 43.5000000000001,6.50000000000006 43.0000000000001,6.00000000000006 43.0000000000001)))', '43.5', '43', '6.5', '6', 'M26C4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 43.0000000000001,6.50000000000006 43.5000000000001,7.00000000000006 43.5000000000001,7.00000000000006 43.0000000000001,6.50000000000006 43.0000000000001)))', '43.5', '43', '7', '6.5', 'M26C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 43.0000000000001,7.00000000000006 43.5000000000001,7.50000000000006 43.5000000000001,7.50000000000006 43.0000000000001,7.00000000000006 43.0000000000001)))', '43.5', '43', '7.5', '7', 'M26C6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 43.0000000000001,7.50000000000006 43.5000000000001,8.00000000000006 43.5000000000001,8.00000000000006 43.0000000000001,7.50000000000006 43.0000000000001)))', '43.5', '43', '8', '7.5', 'M26C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 43.0000000000001,8.00000000000006 43.5000000000001,8.50000000000006 43.5000000000001,8.50000000000006 43.0000000000001,8.00000000000006 43.0000000000001)))', '43.5', '43', '8.5', '8', 'M26C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 43.0000000000001,8.50000000000006 43.5000000000001,9.00000000000006 43.5000000000001,9.00000000000006 43.0000000000001,8.50000000000006 43.0000000000001)))', '43.5', '43', '9', '8.5', 'M26C9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 43.0000000000001,9.00000000000006 43.5000000000001,9.50000000000006 43.5000000000001,9.50000000000006 43.0000000000001,9.00000000000006 43.0000000000001)))', '43.5', '43', '9.5', '9', 'M26D0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 43.0000000000001,9.50000000000006 43.5000000000001,10.0000000000001 43.5000000000001,10.0000000000001 43.0000000000001,9.50000000000006 43.0000000000001)))', '43.5', '43', '10', '9.5', 'M26D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 43.0000000000001,10.0000000000001 43.5000000000001,10.5000000000001 43.5000000000001,10.5000000000001 43.0000000000001,10.0000000000001 43.0000000000001)))', '43.5', '43', '10.5', '10', 'M26D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.5000000000001 43.0000000000001,10.5000000000001 43.5000000000001,11.0000000000001 43.5000000000001,11.0000000000001 43.0000000000001,10.5000000000001 43.0000000000001)))', '43.5', '43', '11', '10.5', 'M26D3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 43.0000000000001,13.5000000000001 43.5000000000001,14.0000000000001 43.5000000000001,14.0000000000001 43.0000000000001,13.5000000000001 43.0000000000001)))', '43.5', '43', '14', '13.5', 'M26D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 43.0000000000001,14.0000000000001 43.5000000000001,14.5000000000001 43.5000000000001,14.5000000000001 43.0000000000001,14.0000000000001 43.0000000000001)))', '43.5', '43', '14.5', '14', 'M26E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 43.0000000000001,14.5000000000001 43.5000000000001,15.0000000000001 43.5000000000001,15.0000000000001 43.0000000000001,14.5000000000001 43.0000000000001)))', '43.5', '43', '15', '14.5', 'M26E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 43.0000000000001,15.0000000000001 43.5000000000001,15.5000000000001 43.5000000000001,15.5000000000001 43.0000000000001,15.0000000000001 43.0000000000001)))', '43.5', '43', '15.5', '15', 'M26E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 43.0000000000001,15.5000000000001 43.5000000000001,16.0000000000001 43.5000000000001,16.0000000000001 43.0000000000001,15.5000000000001 43.0000000000001)))', '43.5', '43', '16', '15.5', 'M26E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 43.0000000000001,16.0000000000001 43.5000000000001,16.5000000000001 43.5000000000001,16.5000000000001 43.0000000000001,16.0000000000001 43.0000000000001)))', '43.5', '43', '16.5', '16', 'M26E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 43.0000000000001,16.5000000000001 43.5000000000001,17.0000000000001 43.5000000000001,17.0000000000001 43.0000000000001,16.5000000000001 43.0000000000001)))', '43.5', '43', '17', '16.5', 'M26E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 43.0000000000001,17.0000000000001 43.5000000000001,17.5000000000001 43.5000000000001,17.5000000000001 43.0000000000001,17.0000000000001 43.0000000000001)))', '43.5', '43', '17.5', '17', 'M26E6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((27.5000000000001 43.0000000000001,27.5000000000001 43.5000000000001,28.0000000000001 43.5000000000001,28.0000000000001 43.0000000000001,27.5000000000001 43.0000000000001)))', '43.5', '43', '28', '27.5', 'M26G7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 43.0000000000001,28.0000000000001 43.5000000000001,28.5000000000001 43.5000000000001,28.5000000000001 43.0000000000001,28.0000000000001 43.0000000000001)))', '43.5', '43', '28.5', '28', 'M26G8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 43.0000000000001,28.5000000000001 43.5000000000001,29.0000000000001 43.5000000000001,29.0000000000001 43.0000000000001,28.5000000000001 43.0000000000001)))', '43.5', '43', '29', '28.5', 'M26G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 43.0000000000001,29.0000000000001 43.5000000000001,29.5000000000001 43.5000000000001,29.5000000000001 43.0000000000001,29.0000000000001 43.0000000000001)))', '43.5', '43', '29.5', '29', 'M26H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 43.0000000000001,29.5000000000001 43.5000000000001,30.0000000000001 43.5000000000001,30.0000000000001 43.0000000000001,29.5000000000001 43.0000000000001)))', '43.5', '43', '30', '29.5', 'M26H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 43.0000000000001,30.0000000000001 43.5000000000001,30.5000000000001 43.5000000000001,30.5000000000001 43.0000000000001,30.0000000000001 43.0000000000001)))', '43.5', '43', '30.5', '30', 'M26H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 43.0000000000001,30.5000000000001 43.5000000000001,31.0000000000001 43.5000000000001,31.0000000000001 43.0000000000001,30.5000000000001 43.0000000000001)))', '43.5', '43', '31', '30.5', 'M26H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 43.0000000000001,31.0000000000001 43.5000000000001,31.5000000000001 43.5000000000001,31.5000000000001 43.0000000000001,31.0000000000001 43.0000000000001)))', '43.5', '43', '31.5', '31', 'M26H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 43.0000000000001,31.5000000000001 43.5000000000001,32.0000000000001 43.5000000000001,32.0000000000001 43.0000000000001,31.5000000000001 43.0000000000001)))', '43.5', '43', '32', '31.5', 'M26H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 43.0000000000001,32.0000000000001 43.5000000000001,32.5000000000001 43.5000000000001,32.5000000000001 43.0000000000001,32.0000000000001 43.0000000000001)))', '43.5', '43', '32.5', '32', 'M26H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 43.0000000000001,32.5000000000001 43.5000000000001,33.0000000000001 43.5000000000001,33.0000000000001 43.0000000000001,32.5000000000001 43.0000000000001)))', '43.5', '43', '33', '32.5', 'M26H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 43.0000000000001,33.0000000000001 43.5000000000001,33.5000000000001 43.5000000000001,33.5000000000001 43.0000000000001,33.0000000000001 43.0000000000001)))', '43.5', '43', '33.5', '33', 'M26H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 43.0000000000001,33.5000000000001 43.5000000000001,34.0000000000001 43.5000000000001,34.0000000000001 43.0000000000001,33.5000000000001 43.0000000000001)))', '43.5', '43', '34', '33.5', 'M26H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 43.0000000000001,34.0000000000001 43.5000000000001,34.5000000000001 43.5000000000001,34.5000000000001 43.0000000000001,34.0000000000001 43.0000000000001)))', '43.5', '43', '34.5', '34', 'M26I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 43.0000000000001,34.5000000000001 43.5000000000001,35.0000000000001 43.5000000000001,35.0000000000001 43.0000000000001,34.5000000000001 43.0000000000001)))', '43.5', '43', '35', '34.5', 'M26I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 43.0000000000001,35.0000000000001 43.5000000000001,35.5000000000001 43.5000000000001,35.5000000000001 43.0000000000001,35.0000000000001 43.0000000000001)))', '43.5', '43', '35.5', '35', 'M26I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 43.0000000000001,35.5000000000001 43.5000000000001,36.0000000000001 43.5000000000001,36.0000000000001 43.0000000000001,35.5000000000001 43.0000000000001)))', '43.5', '43', '36', '35.5', 'M26I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 43.0000000000001,36.0000000000001 43.5000000000001,36.5000000000001 43.5000000000001,36.5000000000001 43.0000000000001,36.0000000000001 43.0000000000001)))', '43.5', '43', '36.5', '36', 'M26I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.5000000000001 43.0000000000001,36.5000000000001 43.5000000000001,37.0000000000001 43.5000000000001,37.0000000000001 43.0000000000001,36.5000000000001 43.0000000000001)))', '43.5', '43', '37', '36.5', 'M26I5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 43.0000000000001,37.0000000000001 43.5000000000001,37.5000000000001 43.5000000000001,37.5000000000001 43.0000000000001,37.0000000000001 43.0000000000001)))', '43.5', '43', '37.5', '37', 'M26I6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5000000000001 43.0000000000001,37.5000000000001 43.5000000000001,38.0000000000001 43.5000000000001,38.0000000000001 43.0000000000001,37.5000000000001 43.0000000000001)))', '43.5', '43', '38', '37.5', 'M26I7', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((38.0000000000001 43.0000000000001,38.0000000000001 43.5000000000001,38.5000000000001 43.5000000000001,38.5000000000001 43.0000000000001,38.0000000000001 43.0000000000001)))', '43.5', '43', '38.5', '38', 'M26I8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.5000000000001 43.0000000000001,38.5000000000001 43.5000000000001,39.0000000000001 43.5000000000001,39.0000000000001 43.0000000000001,38.5000000000001 43.0000000000001)))', '43.5', '43', '39', '38.5', 'M26I9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 43.0000000000001,39.0000000000001 43.5000000000001,39.5000000000001 43.5000000000001,39.5000000000001 43.0000000000001,39.0000000000001 43.0000000000001)))', '43.5', '43', '39.5', '39', 'M26J0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.5000000000001 43.0000000000001,39.5000000000001 43.5000000000001,40.0000000000001 43.5000000000001,40.0000000000001 43.0000000000001,39.5000000000001 43.0000000000001)))', '43.5', '43', '40', '39.5', 'M26J1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 43.0000000000001,40.0000000000001 43.5000000000001,40.5000000000001 43.5000000000001,40.5000000000001 43.0000000000001,40.0000000000001 43.0000000000001)))', '43.5', '43', '40.5', '40', 'M26J2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((40.5000000000001 43.0000000000001,40.5000000000001 43.5000000000001,41.0000000000001 43.5000000000001,41.0000000000001 43.0000000000001,40.5000000000001 43.0000000000001)))', '43.5', '43', '41', '40.5', 'M26J3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 43.0000000000001,41.0000000000001 43.5000000000001,41.5000000000001 43.5000000000001,41.5000000000001 43.0000000000001,41.0000000000001 43.0000000000001)))', '43.5', '43', '41.5', '41', 'M26J4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((3.50000000000006 43.5000000000001,3.50000000000006 44.0000000000001,4.00000000000006 44.0000000000001,4.00000000000006 43.5000000000001,3.50000000000006 43.5000000000001)))', '44', '43.5', '4', '3.5', 'M27B9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 43.5000000000001,4.00000000000006 44.0000000000001,4.50000000000006 44.0000000000001,4.50000000000006 43.5000000000001,4.00000000000006 43.5000000000001)))', '44', '43.5', '4.5', '4', 'M27C0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((6.50000000000006 43.5000000000001,6.50000000000006 44.0000000000001,7.00000000000006 44.0000000000001,7.00000000000006 43.5000000000001,6.50000000000006 43.5000000000001)))', '44', '43.5', '7', '6.5', 'M27C5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 43.5000000000001,7.00000000000006 44.0000000000001,7.50000000000006 44.0000000000001,7.50000000000006 43.5000000000001,7.00000000000006 43.5000000000001)))', '44', '43.5', '7.5', '7', 'M27C6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((7.50000000000006 43.5000000000001,7.50000000000006 44.0000000000001,8.00000000000006 44.0000000000001,8.00000000000006 43.5000000000001,7.50000000000006 43.5000000000001)))', '44', '43.5', '8', '7.5', 'M27C7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 43.5000000000001,8.00000000000006 44.0000000000001,8.50000000000006 44.0000000000001,8.50000000000006 43.5000000000001,8.00000000000006 43.5000000000001)))', '44', '43.5', '8.5', '8', 'M27C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 43.5000000000001,8.50000000000006 44.0000000000001,9.00000000000006 44.0000000000001,9.00000000000006 43.5000000000001,8.50000000000006 43.5000000000001)))', '44', '43.5', '9', '8.5', 'M27C9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 43.5000000000001,9.00000000000006 44.0000000000001,9.50000000000006 44.0000000000001,9.50000000000006 43.5000000000001,9.00000000000006 43.5000000000001)))', '44', '43.5', '9.5', '9', 'M27D0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 43.5000000000001,9.50000000000006 44.0000000000001,10.0000000000001 44.0000000000001,10.0000000000001 43.5000000000001,9.50000000000006 43.5000000000001)))', '44', '43.5', '10', '9.5', 'M27D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 43.5000000000001,10.0000000000001 44.0000000000001,10.5000000000001 44.0000000000001,10.5000000000001 43.5000000000001,10.0000000000001 43.5000000000001)))', '44', '43.5', '10.5', '10', 'M27D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 43.5000000000001,12.5000000000001 44.0000000000001,13.0000000000001 44.0000000000001,13.0000000000001 43.5000000000001,12.5000000000001 43.5000000000001)))', '44', '43.5', '13', '12.5', 'M27D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 43.5000000000001,13.0000000000001 44.0000000000001,13.5000000000001 44.0000000000001,13.5000000000001 43.5000000000001,13.0000000000001 43.5000000000001)))', '44', '43.5', '13.5', '13', 'M27D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 43.5000000000001,13.5000000000001 44.0000000000001,14.0000000000001 44.0000000000001,14.0000000000001 43.5000000000001,13.5000000000001 43.5000000000001)))', '44', '43.5', '14', '13.5', 'M27D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 43.5000000000001,14.0000000000001 44.0000000000001,14.5000000000001 44.0000000000001,14.5000000000001 43.5000000000001,14.0000000000001 43.5000000000001)))', '44', '43.5', '14.5', '14', 'M27E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 43.5000000000001,14.5000000000001 44.0000000000001,15.0000000000001 44.0000000000001,15.0000000000001 43.5000000000001,14.5000000000001 43.5000000000001)))', '44', '43.5', '15', '14.5', 'M27E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 43.5000000000001,15.0000000000001 44.0000000000001,15.5000000000001 44.0000000000001,15.5000000000001 43.5000000000001,15.0000000000001 43.5000000000001)))', '44', '43.5', '15.5', '15', 'M27E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 43.5000000000001,15.5000000000001 44.0000000000001,16.0000000000001 44.0000000000001,16.0000000000001 43.5000000000001,15.5000000000001 43.5000000000001)))', '44', '43.5', '16', '15.5', 'M27E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 43.5000000000001,16.0000000000001 44.0000000000001,16.5000000000001 44.0000000000001,16.5000000000001 43.5000000000001,16.0000000000001 43.5000000000001)))', '44', '43.5', '16.5', '16', 'M27E4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((16.5000000000001 43.5000000000001,16.5000000000001 44.0000000000001,17.0000000000001 44.0000000000001,17.0000000000001 43.5000000000001,16.5000000000001 43.5000000000001)))', '44', '43.5', '17', '16.5', 'M27E5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 43.5000000000001,28.5000000000001 44.0000000000001,29.0000000000001 44.0000000000001,29.0000000000001 43.5000000000001,28.5000000000001 43.5000000000001)))', '44', '43.5', '29', '28.5', 'M27G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 43.5000000000001,29.0000000000001 44.0000000000001,29.5000000000001 44.0000000000001,29.5000000000001 43.5000000000001,29.0000000000001 43.5000000000001)))', '44', '43.5', '29.5', '29', 'M27H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 43.5000000000001,29.5000000000001 44.0000000000001,30.0000000000001 44.0000000000001,30.0000000000001 43.5000000000001,29.5000000000001 43.5000000000001)))', '44', '43.5', '30', '29.5', 'M27H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 43.5000000000001,30.0000000000001 44.0000000000001,30.5000000000001 44.0000000000001,30.5000000000001 43.5000000000001,30.0000000000001 43.5000000000001)))', '44', '43.5', '30.5', '30', 'M27H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 43.5000000000001,30.5000000000001 44.0000000000001,31.0000000000001 44.0000000000001,31.0000000000001 43.5000000000001,30.5000000000001 43.5000000000001)))', '44', '43.5', '31', '30.5', 'M27H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 43.5000000000001,31.0000000000001 44.0000000000001,31.5000000000001 44.0000000000001,31.5000000000001 43.5000000000001,31.0000000000001 43.5000000000001)))', '44', '43.5', '31.5', '31', 'M27H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 43.5000000000001,31.5000000000001 44.0000000000001,32.0000000000001 44.0000000000001,32.0000000000001 43.5000000000001,31.5000000000001 43.5000000000001)))', '44', '43.5', '32', '31.5', 'M27H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 43.5000000000001,32.0000000000001 44.0000000000001,32.5000000000001 44.0000000000001,32.5000000000001 43.5000000000001,32.0000000000001 43.5000000000001)))', '44', '43.5', '32.5', '32', 'M27H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 43.5000000000001,32.5000000000001 44.0000000000001,33.0000000000001 44.0000000000001,33.0000000000001 43.5000000000001,32.5000000000001 43.5000000000001)))', '44', '43.5', '33', '32.5', 'M27H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 43.5000000000001,33.0000000000001 44.0000000000001,33.5000000000001 44.0000000000001,33.5000000000001 43.5000000000001,33.0000000000001 43.5000000000001)))', '44', '43.5', '33.5', '33', 'M27H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 43.5000000000001,33.5000000000001 44.0000000000001,34.0000000000001 44.0000000000001,34.0000000000001 43.5000000000001,33.5000000000001 43.5000000000001)))', '44', '43.5', '34', '33.5', 'M27H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 43.5000000000001,34.0000000000001 44.0000000000001,34.5000000000001 44.0000000000001,34.5000000000001 43.5000000000001,34.0000000000001 43.5000000000001)))', '44', '43.5', '34.5', '34', 'M27I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 43.5000000000001,34.5000000000001 44.0000000000001,35.0000000000001 44.0000000000001,35.0000000000001 43.5000000000001,34.5000000000001 43.5000000000001)))', '44', '43.5', '35', '34.5', 'M27I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 43.5000000000001,35.0000000000001 44.0000000000001,35.5000000000001 44.0000000000001,35.5000000000001 43.5000000000001,35.0000000000001 43.5000000000001)))', '44', '43.5', '35.5', '35', 'M27I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 43.5000000000001,35.5000000000001 44.0000000000001,36.0000000000001 44.0000000000001,36.0000000000001 43.5000000000001,35.5000000000001 43.5000000000001)))', '44', '43.5', '36', '35.5', 'M27I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 43.5000000000001,36.0000000000001 44.0000000000001,36.5000000000001 44.0000000000001,36.5000000000001 43.5000000000001,36.0000000000001 43.5000000000001)))', '44', '43.5', '36.5', '36', 'M27I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.5000000000001 43.5000000000001,36.5000000000001 44.0000000000001,37.0000000000001 44.0000000000001,37.0000000000001 43.5000000000001,36.5000000000001 43.5000000000001)))', '44', '43.5', '37', '36.5', 'M27I5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 43.5000000000001,37.0000000000001 44.0000000000001,37.5000000000001 44.0000000000001,37.5000000000001 43.5000000000001,37.0000000000001 43.5000000000001)))', '44', '43.5', '37.5', '37', 'M27I6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5000000000001 43.5000000000001,37.5000000000001 44.0000000000001,38.0000000000001 44.0000000000001,38.0000000000001 43.5000000000001,37.5000000000001 43.5000000000001)))', '44', '43.5', '38', '37.5', 'M27I7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 43.5000000000001,38.0000000000001 44.0000000000001,38.5000000000001 44.0000000000001,38.5000000000001 43.5000000000001,38.0000000000001 43.5000000000001)))', '44', '43.5', '38.5', '38', 'M27I8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.5000000000001 43.5000000000001,38.5000000000001 44.0000000000001,39.0000000000001 44.0000000000001,39.0000000000001 43.5000000000001,38.5000000000001 43.5000000000001)))', '44', '43.5', '39', '38.5', 'M27I9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 43.5000000000001,39.0000000000001 44.0000000000001,39.5000000000001 44.0000000000001,39.5000000000001 43.5000000000001,39.0000000000001 43.5000000000001)))', '44', '43.5', '39.5', '39', 'M27J0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.5000000000001 43.5000000000001,39.5000000000001 44.0000000000001,40.0000000000001 44.0000000000001,40.0000000000001 43.5000000000001,39.5000000000001 43.5000000000001)))', '44', '43.5', '40', '39.5', 'M27J1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 44.0000000000001,8.00000000000006 44.5000000000001,8.50000000000006 44.5000000000001,8.50000000000006 44.0000000000001,8.00000000000006 44.0000000000001)))', '44.5', '44', '8.5', '8', 'M28C8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((8.50000000000006 44.0000000000001,8.50000000000006 44.5000000000001,9.00000000000006 44.5000000000001,9.00000000000006 44.0000000000001,8.50000000000006 44.0000000000001)))', '44.5', '44', '9', '8.5', 'M28C9', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((9.00000000000006 44.0000000000001,9.00000000000006 44.5000000000001,9.50000000000006 44.5000000000001,9.50000000000006 44.0000000000001,9.00000000000006 44.0000000000001)))', '44.5', '44', '9.5', '9', 'M28D0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((9.50000000000006 44.0000000000001,9.50000000000006 44.5000000000001,10.0000000000001 44.5000000000001,10.0000000000001 44.0000000000001,9.50000000000006 44.0000000000001)))', '44.5', '44', '10', '9.5', 'M28D1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 44.0000000000001,10.0000000000001 44.5000000000001,10.5000000000001 44.5000000000001,10.5000000000001 44.0000000000001,10.0000000000001 44.0000000000001)))', '44.5', '44', '10.5', '10', 'M28D2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 44.0000000000001,12.0000000000001 44.5000000000001,12.5000000000001 44.5000000000001,12.5000000000001 44.0000000000001,12.0000000000001 44.0000000000001)))', '44.5', '44', '12.5', '12', 'M28D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 44.0000000000001,12.5000000000001 44.5000000000001,13.0000000000001 44.5000000000001,13.0000000000001 44.0000000000001,12.5000000000001 44.0000000000001)))', '44.5', '44', '13', '12.5', 'M28D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 44.0000000000001,13.0000000000001 44.5000000000001,13.5000000000001 44.5000000000001,13.5000000000001 44.0000000000001,13.0000000000001 44.0000000000001)))', '44.5', '44', '13.5', '13', 'M28D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 44.0000000000001,13.5000000000001 44.5000000000001,14.0000000000001 44.5000000000001,14.0000000000001 44.0000000000001,13.5000000000001 44.0000000000001)))', '44.5', '44', '14', '13.5', 'M28D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 44.0000000000001,14.0000000000001 44.5000000000001,14.5000000000001 44.5000000000001,14.5000000000001 44.0000000000001,14.0000000000001 44.0000000000001)))', '44.5', '44', '14.5', '14', 'M28E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 44.0000000000001,14.5000000000001 44.5000000000001,15.0000000000001 44.5000000000001,15.0000000000001 44.0000000000001,14.5000000000001 44.0000000000001)))', '44.5', '44', '15', '14.5', 'M28E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 44.0000000000001,15.0000000000001 44.5000000000001,15.5000000000001 44.5000000000001,15.5000000000001 44.0000000000001,15.0000000000001 44.0000000000001)))', '44.5', '44', '15.5', '15', 'M28E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.5000000000001 44.0000000000001,15.5000000000001 44.5000000000001,16.0000000000001 44.5000000000001,16.0000000000001 44.0000000000001,15.5000000000001 44.0000000000001)))', '44.5', '44', '16', '15.5', 'M28E3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 44.0000000000001,28.5000000000001 44.5000000000001,29.0000000000001 44.5000000000001,29.0000000000001 44.0000000000001,28.5000000000001 44.0000000000001)))', '44.5', '44', '29', '28.5', 'M28G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 44.0000000000001,29.0000000000001 44.5000000000001,29.5000000000001 44.5000000000001,29.5000000000001 44.0000000000001,29.0000000000001 44.0000000000001)))', '44.5', '44', '29.5', '29', 'M28H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 44.0000000000001,29.5000000000001 44.5000000000001,30.0000000000001 44.5000000000001,30.0000000000001 44.0000000000001,29.5000000000001 44.0000000000001)))', '44.5', '44', '30', '29.5', 'M28H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 44.0000000000001,30.0000000000001 44.5000000000001,30.5000000000001 44.5000000000001,30.5000000000001 44.0000000000001,30.0000000000001 44.0000000000001)))', '44.5', '44', '30.5', '30', 'M28H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 44.0000000000001,30.5000000000001 44.5000000000001,31.0000000000001 44.5000000000001,31.0000000000001 44.0000000000001,30.5000000000001 44.0000000000001)))', '44.5', '44', '31', '30.5', 'M28H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 44.0000000000001,31.0000000000001 44.5000000000001,31.5000000000001 44.5000000000001,31.5000000000001 44.0000000000001,31.0000000000001 44.0000000000001)))', '44.5', '44', '31.5', '31', 'M28H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 44.0000000000001,31.5000000000001 44.5000000000001,32.0000000000001 44.5000000000001,32.0000000000001 44.0000000000001,31.5000000000001 44.0000000000001)))', '44.5', '44', '32', '31.5', 'M28H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 44.0000000000001,32.0000000000001 44.5000000000001,32.5000000000001 44.5000000000001,32.5000000000001 44.0000000000001,32.0000000000001 44.0000000000001)))', '44.5', '44', '32.5', '32', 'M28H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 44.0000000000001,32.5000000000001 44.5000000000001,33.0000000000001 44.5000000000001,33.0000000000001 44.0000000000001,32.5000000000001 44.0000000000001)))', '44.5', '44', '33', '32.5', 'M28H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 44.0000000000001,33.0000000000001 44.5000000000001,33.5000000000001 44.5000000000001,33.5000000000001 44.0000000000001,33.0000000000001 44.0000000000001)))', '44.5', '44', '33.5', '33', 'M28H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 44.0000000000001,33.5000000000001 44.5000000000001,34.0000000000001 44.5000000000001,34.0000000000001 44.0000000000001,33.5000000000001 44.0000000000001)))', '44.5', '44', '34', '33.5', 'M28H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 44.0000000000001,34.0000000000001 44.5000000000001,34.5000000000001 44.5000000000001,34.5000000000001 44.0000000000001,34.0000000000001 44.0000000000001)))', '44.5', '44', '34.5', '34', 'M28I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 44.0000000000001,34.5000000000001 44.5000000000001,35.0000000000001 44.5000000000001,35.0000000000001 44.0000000000001,34.5000000000001 44.0000000000001)))', '44.5', '44', '35', '34.5', 'M28I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 44.0000000000001,35.0000000000001 44.5000000000001,35.5000000000001 44.5000000000001,35.5000000000001 44.0000000000001,35.0000000000001 44.0000000000001)))', '44.5', '44', '35.5', '35', 'M28I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 44.0000000000001,35.5000000000001 44.5000000000001,36.0000000000001 44.5000000000001,36.0000000000001 44.0000000000001,35.5000000000001 44.0000000000001)))', '44.5', '44', '36', '35.5', 'M28I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 44.0000000000001,36.0000000000001 44.5000000000001,36.5000000000001 44.5000000000001,36.5000000000001 44.0000000000001,36.0000000000001 44.0000000000001)))', '44.5', '44', '36.5', '36', 'M28I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.5000000000001 44.0000000000001,36.5000000000001 44.5000000000001,37.0000000000001 44.5000000000001,37.0000000000001 44.0000000000001,36.5000000000001 44.0000000000001)))', '44.5', '44', '37', '36.5', 'M28I5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 44.0000000000001,37.0000000000001 44.5000000000001,37.5000000000001 44.5000000000001,37.5000000000001 44.0000000000001,37.0000000000001 44.0000000000001)))', '44.5', '44', '37.5', '37', 'M28I6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5000000000001 44.0000000000001,37.5000000000001 44.5000000000001,38.0000000000001 44.5000000000001,38.0000000000001 44.0000000000001,37.5000000000001 44.0000000000001)))', '44.5', '44', '38', '37.5', 'M28I7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 44.0000000000001,38.0000000000001 44.5000000000001,38.5000000000001 44.5000000000001,38.5000000000001 44.0000000000001,38.0000000000001 44.0000000000001)))', '44.5', '44', '38.5', '38', 'M28I8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.5000000000001 44.0000000000001,38.5000000000001 44.5000000000001,39.0000000000001 44.5000000000001,39.0000000000001 44.0000000000001,38.5000000000001 44.0000000000001)))', '44.5', '44', '39', '38.5', 'M28I9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 44.0000000000001,39.0000000000001 44.5000000000001,39.5000000000001 44.5000000000001,39.5000000000001 44.0000000000001,39.0000000000001 44.0000000000001)))', '44.5', '44', '39.5', '39', 'M28J0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 44.5000000000001,12.0000000000001 45.0000000000001,12.5000000000001 45.0000000000001,12.5000000000001 44.5000000000001,12.0000000000001 44.5000000000001)))', '45', '44.5', '12.5', '12', 'M29D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 44.5000000000001,12.5000000000001 45.0000000000001,13.0000000000001 45.0000000000001,13.0000000000001 44.5000000000001,12.5000000000001 44.5000000000001)))', '45', '44.5', '13', '12.5', 'M29D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 44.5000000000001,13.0000000000001 45.0000000000001,13.5000000000001 45.0000000000001,13.5000000000001 44.5000000000001,13.0000000000001 44.5000000000001)))', '45', '44.5', '13.5', '13', 'M29D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 44.5000000000001,13.5000000000001 45.0000000000001,14.0000000000001 45.0000000000001,14.0000000000001 44.5000000000001,13.5000000000001 44.5000000000001)))', '45', '44.5', '14', '13.5', 'M29D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 44.5000000000001,14.0000000000001 45.0000000000001,14.5000000000001 45.0000000000001,14.5000000000001 44.5000000000001,14.0000000000001 44.5000000000001)))', '45', '44.5', '14.5', '14', 'M29E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 44.5000000000001,14.5000000000001 45.0000000000001,15.0000000000001 45.0000000000001,15.0000000000001 44.5000000000001,14.5000000000001 44.5000000000001)))', '45', '44.5', '15', '14.5', 'M29E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 44.5000000000001,15.0000000000001 45.0000000000001,15.5000000000001 45.0000000000001,15.5000000000001 44.5000000000001,15.0000000000001 44.5000000000001)))', '45', '44.5', '15.5', '15', 'M29E2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((28.5000000000001 44.5000000000001,28.5000000000001 45.0000000000001,29.0000000000001 45.0000000000001,29.0000000000001 44.5000000000001,28.5000000000001 44.5000000000001)))', '45', '44.5', '29', '28.5', 'M29G9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 44.5000000000001,29.0000000000001 45.0000000000001,29.5000000000001 45.0000000000001,29.5000000000001 44.5000000000001,29.0000000000001 44.5000000000001)))', '45', '44.5', '29.5', '29', 'M29H0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 44.5000000000001,29.5000000000001 45.0000000000001,30.0000000000001 45.0000000000001,30.0000000000001 44.5000000000001,29.5000000000001 44.5000000000001)))', '45', '44.5', '30', '29.5', 'M29H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 44.5000000000001,30.0000000000001 45.0000000000001,30.5000000000001 45.0000000000001,30.5000000000001 44.5000000000001,30.0000000000001 44.5000000000001)))', '45', '44.5', '30.5', '30', 'M29H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 44.5000000000001,30.5000000000001 45.0000000000001,31.0000000000001 45.0000000000001,31.0000000000001 44.5000000000001,30.5000000000001 44.5000000000001)))', '45', '44.5', '31', '30.5', 'M29H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 44.5000000000001,31.0000000000001 45.0000000000001,31.5000000000001 45.0000000000001,31.5000000000001 44.5000000000001,31.0000000000001 44.5000000000001)))', '45', '44.5', '31.5', '31', 'M29H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 44.5000000000001,31.5000000000001 45.0000000000001,32.0000000000001 45.0000000000001,32.0000000000001 44.5000000000001,31.5000000000001 44.5000000000001)))', '45', '44.5', '32', '31.5', 'M29H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 44.5000000000001,32.0000000000001 45.0000000000001,32.5000000000001 45.0000000000001,32.5000000000001 44.5000000000001,32.0000000000001 44.5000000000001)))', '45', '44.5', '32.5', '32', 'M29H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 44.5000000000001,32.5000000000001 45.0000000000001,33.0000000000001 45.0000000000001,33.0000000000001 44.5000000000001,32.5000000000001 44.5000000000001)))', '45', '44.5', '33', '32.5', 'M29H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 44.5000000000001,33.0000000000001 45.0000000000001,33.5000000000001 45.0000000000001,33.5000000000001 44.5000000000001,33.0000000000001 44.5000000000001)))', '45', '44.5', '33.5', '33', 'M29H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 44.5000000000001,33.5000000000001 45.0000000000001,34.0000000000001 45.0000000000001,34.0000000000001 44.5000000000001,33.5000000000001 44.5000000000001)))', '45', '44.5', '34', '33.5', 'M29H9', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((34.0000000000001 44.5000000000001,34.0000000000001 45.0000000000001,34.5000000000001 45.0000000000001,34.5000000000001 44.5000000000001,34.0000000000001 44.5000000000001)))', '45', '44.5', '34.5', '34', 'M29I0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 44.5000000000001,34.5000000000001 45.0000000000001,35.0000000000001 45.0000000000001,35.0000000000001 44.5000000000001,34.5000000000001 44.5000000000001)))', '45', '44.5', '35', '34.5', 'M29I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 44.5000000000001,35.0000000000001 45.0000000000001,35.5000000000001 45.0000000000001,35.5000000000001 44.5000000000001,35.0000000000001 44.5000000000001)))', '45', '44.5', '35.5', '35', 'M29I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 44.5000000000001,35.5000000000001 45.0000000000001,36.0000000000001 45.0000000000001,36.0000000000001 44.5000000000001,35.5000000000001 44.5000000000001)))', '45', '44.5', '36', '35.5', 'M29I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 44.5000000000001,36.0000000000001 45.0000000000001,36.5000000000001 45.0000000000001,36.5000000000001 44.5000000000001,36.0000000000001 44.5000000000001)))', '45', '44.5', '36.5', '36', 'M29I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.5000000000001 44.5000000000001,36.5000000000001 45.0000000000001,37.0000000000001 45.0000000000001,37.0000000000001 44.5000000000001,36.5000000000001 44.5000000000001)))', '45', '44.5', '37', '36.5', 'M29I5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 44.5000000000001,37.0000000000001 45.0000000000001,37.5000000000001 45.0000000000001,37.5000000000001 44.5000000000001,37.0000000000001 44.5000000000001)))', '45', '44.5', '37.5', '37', 'M29I6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5000000000001 44.5000000000001,37.5000000000001 45.0000000000001,38.0000000000001 45.0000000000001,38.0000000000001 44.5000000000001,37.5000000000001 44.5000000000001)))', '45', '44.5', '38', '37.5', 'M29I7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 44.5000000000001,38.0000000000001 45.0000000000001,38.5000000000001 45.0000000000001,38.5000000000001 44.5000000000001,38.0000000000001 44.5000000000001)))', '45', '44.5', '38.5', '38', 'M29I8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 45.0000000000001,12.0000000000001 45.5000000000001,12.5000000000001 45.5000000000001,12.5000000000001 45.0000000000001,12.0000000000001 45.0000000000001)))', '45.5', '45', '12.5', '12', 'M30D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 45.0000000000001,12.5000000000001 45.5000000000001,13.0000000000001 45.5000000000001,13.0000000000001 45.0000000000001,12.5000000000001 45.0000000000001)))', '45.5', '45', '13', '12.5', 'M30D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 45.0000000000001,13.0000000000001 45.5000000000001,13.5000000000001 45.5000000000001,13.5000000000001 45.0000000000001,13.0000000000001 45.0000000000001)))', '45.5', '45', '13.5', '13', 'M30D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 45.0000000000001,13.5000000000001 45.5000000000001,14.0000000000001 45.5000000000001,14.0000000000001 45.0000000000001,13.5000000000001 45.0000000000001)))', '45.5', '45', '14', '13.5', 'M30D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 45.0000000000001,14.0000000000001 45.5000000000001,14.5000000000001 45.5000000000001,14.5000000000001 45.0000000000001,14.0000000000001 45.0000000000001)))', '45.5', '45', '14.5', '14', 'M30E0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((14.5000000000001 45.0000000000001,14.5000000000001 45.5000000000001,15.0000000000001 45.5000000000001,15.0000000000001 45.0000000000001,14.5000000000001 45.0000000000001)))', '45.5', '45', '15', '14.5', 'M30E1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 45.0000000000001,29.5000000000001 45.5000000000001,30.0000000000001 45.5000000000001,30.0000000000001 45.0000000000001,29.5000000000001 45.0000000000001)))', '45.5', '45', '30', '29.5', 'M30H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 45.0000000000001,30.0000000000001 45.5000000000001,30.5000000000001 45.5000000000001,30.5000000000001 45.0000000000001,30.0000000000001 45.0000000000001)))', '45.5', '45', '30.5', '30', 'M30H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 45.0000000000001,30.5000000000001 45.5000000000001,31.0000000000001 45.5000000000001,31.0000000000001 45.0000000000001,30.5000000000001 45.0000000000001)))', '45.5', '45', '31', '30.5', 'M30H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 45.0000000000001,31.0000000000001 45.5000000000001,31.5000000000001 45.5000000000001,31.5000000000001 45.0000000000001,31.0000000000001 45.0000000000001)))', '45.5', '45', '31.5', '31', 'M30H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 45.0000000000001,31.5000000000001 45.5000000000001,32.0000000000001 45.5000000000001,32.0000000000001 45.0000000000001,31.5000000000001 45.0000000000001)))', '45.5', '45', '32', '31.5', 'M30H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 45.0000000000001,32.0000000000001 45.5000000000001,32.5000000000001 45.5000000000001,32.5000000000001 45.0000000000001,32.0000000000001 45.0000000000001)))', '45.5', '45', '32.5', '32', 'M30H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 45.0000000000001,32.5000000000001 45.5000000000001,33.0000000000001 45.5000000000001,33.0000000000001 45.0000000000001,32.5000000000001 45.0000000000001)))', '45.5', '45', '33', '32.5', 'M30H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 45.0000000000001,33.0000000000001 45.5000000000001,33.5000000000001 45.5000000000001,33.5000000000001 45.0000000000001,33.0000000000001 45.0000000000001)))', '45.5', '45', '33.5', '33', 'M30H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 45.0000000000001,33.5000000000001 45.5000000000001,34.0000000000001 45.5000000000001,34.0000000000001 45.0000000000001,33.5000000000001 45.0000000000001)))', '45.5', '45', '34', '33.5', 'M30H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 45.0000000000001,35.0000000000001 45.5000000000001,35.5000000000001 45.5000000000001,35.5000000000001 45.0000000000001,35.0000000000001 45.0000000000001)))', '45.5', '45', '35.5', '35', 'M30I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 45.0000000000001,35.5000000000001 45.5000000000001,36.0000000000001 45.5000000000001,36.0000000000001 45.0000000000001,35.5000000000001 45.0000000000001)))', '45.5', '45', '36', '35.5', 'M30I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 45.0000000000001,36.0000000000001 45.5000000000001,36.5000000000001 45.5000000000001,36.5000000000001 45.0000000000001,36.0000000000001 45.0000000000001)))', '45.5', '45', '36.5', '36', 'M30I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.5000000000001 45.0000000000001,36.5000000000001 45.5000000000001,37.0000000000001 45.5000000000001,37.0000000000001 45.0000000000001,36.5000000000001 45.0000000000001)))', '45.5', '45', '37', '36.5', 'M30I5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 45.0000000000001,37.0000000000001 45.5000000000001,37.5000000000001 45.5000000000001,37.5000000000001 45.0000000000001,37.0000000000001 45.0000000000001)))', '45.5', '45', '37.5', '37', 'M30I6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5000000000001 45.0000000000001,37.5000000000001 45.5000000000001,38.0000000000001 45.5000000000001,38.0000000000001 45.0000000000001,37.5000000000001 45.0000000000001)))', '45.5', '45', '38', '37.5', 'M30I7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 45.5000000000001,12.0000000000001 46.0000000000001,12.5000000000001 46.0000000000001,12.5000000000001 45.5000000000001,12.0000000000001 45.5000000000001)))', '46', '45.5', '12.5', '12', 'M31D6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((12.5000000000001 45.5000000000001,12.5000000000001 46.0000000000001,13.0000000000001 46.0000000000001,13.0000000000001 45.5000000000001,12.5000000000001 45.5000000000001)))', '46', '45.5', '13', '12.5', 'M31D7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 45.5000000000001,13.0000000000001 46.0000000000001,13.5000000000001 46.0000000000001,13.5000000000001 45.5000000000001,13.0000000000001 45.5000000000001)))', '46', '45.5', '13.5', '13', 'M31D8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((13.5000000000001 45.5000000000001,13.5000000000001 46.0000000000001,14.0000000000001 46.0000000000001,14.0000000000001 45.5000000000001,13.5000000000001 45.5000000000001)))', '46', '45.5', '14', '13.5', 'M31D9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((29.5000000000001 45.5000000000001,29.5000000000001 46.0000000000001,30.0000000000001 46.0000000000001,30.0000000000001 45.5000000000001,29.5000000000001 45.5000000000001)))', '46', '45.5', '30', '29.5', 'M31H1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 45.5000000000001,30.0000000000001 46.0000000000001,30.5000000000001 46.0000000000001,30.5000000000001 45.5000000000001,30.0000000000001 45.5000000000001)))', '46', '45.5', '30.5', '30', 'M31H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 45.5000000000001,30.5000000000001 46.0000000000001,31.0000000000001 46.0000000000001,31.0000000000001 45.5000000000001,30.5000000000001 45.5000000000001)))', '46', '45.5', '31', '30.5', 'M31H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 45.5000000000001,31.0000000000001 46.0000000000001,31.5000000000001 46.0000000000001,31.5000000000001 45.5000000000001,31.0000000000001 45.5000000000001)))', '46', '45.5', '31.5', '31', 'M31H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 45.5000000000001,31.5000000000001 46.0000000000001,32.0000000000001 46.0000000000001,32.0000000000001 45.5000000000001,31.5000000000001 45.5000000000001)))', '46', '45.5', '32', '31.5', 'M31H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 45.5000000000001,32.0000000000001 46.0000000000001,32.5000000000001 46.0000000000001,32.5000000000001 45.5000000000001,32.0000000000001 45.5000000000001)))', '46', '45.5', '32.5', '32', 'M31H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 45.5000000000001,32.5000000000001 46.0000000000001,33.0000000000001 46.0000000000001,33.0000000000001 45.5000000000001,32.5000000000001 45.5000000000001)))', '46', '45.5', '33', '32.5', 'M31H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 45.5000000000001,33.0000000000001 46.0000000000001,33.5000000000001 46.0000000000001,33.5000000000001 45.5000000000001,33.0000000000001 45.5000000000001)))', '46', '45.5', '33.5', '33', 'M31H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 45.5000000000001,33.5000000000001 46.0000000000001,34.0000000000001 46.0000000000001,34.0000000000001 45.5000000000001,33.5000000000001 45.5000000000001)))', '46', '45.5', '34', '33.5', 'M31H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 45.5000000000001,34.5000000000001 46.0000000000001,35.0000000000001 46.0000000000001,35.0000000000001 45.5000000000001,34.5000000000001 45.5000000000001)))', '46', '45.5', '35', '34.5', 'M31I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 45.5000000000001,35.0000000000001 46.0000000000001,35.5000000000001 46.0000000000001,35.5000000000001 45.5000000000001,35.0000000000001 45.5000000000001)))', '46', '45.5', '35.5', '35', 'M31I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 45.5000000000001,35.5000000000001 46.0000000000001,36.0000000000001 46.0000000000001,36.0000000000001 45.5000000000001,35.5000000000001 45.5000000000001)))', '46', '45.5', '36', '35.5', 'M31I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 45.5000000000001,36.0000000000001 46.0000000000001,36.5000000000001 46.0000000000001,36.5000000000001 45.5000000000001,36.0000000000001 45.5000000000001)))', '46', '45.5', '36.5', '36', 'M31I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.5000000000001 45.5000000000001,36.5000000000001 46.0000000000001,37.0000000000001 46.0000000000001,37.0000000000001 45.5000000000001,36.5000000000001 45.5000000000001)))', '46', '45.5', '37', '36.5', 'M31I5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 45.5000000000001,37.0000000000001 46.0000000000001,37.5000000000001 46.0000000000001,37.5000000000001 45.5000000000001,37.0000000000001 45.5000000000001)))', '46', '45.5', '37.5', '37', 'M31I6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5000000000001 45.5000000000001,37.5000000000001 46.0000000000001,38.0000000000001 46.0000000000001,38.0000000000001 45.5000000000001,37.5000000000001 45.5000000000001)))', '46', '45.5', '38', '37.5', 'M31I7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 45.5000000000001,38.0000000000001 46.0000000000001,38.5000000000001 46.0000000000001,38.5000000000001 45.5000000000001,38.0000000000001 45.5000000000001)))', '46', '45.5', '38.5', '38', 'M31I8', 'GFCM', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((30.0000000000001 46.0000000000001,30.0000000000001 46.5000000000001,30.5000000000001 46.5000000000001,30.5000000000001 46.0000000000001,30.0000000000001 46.0000000000001)))', '46.5', '46', '30.5', '30', 'M32H2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 46.0000000000001,30.5000000000001 46.5000000000001,31.0000000000001 46.5000000000001,31.0000000000001 46.0000000000001,30.5000000000001 46.0000000000001)))', '46.5', '46', '31', '30.5', 'M32H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 46.0000000000001,31.0000000000001 46.5000000000001,31.5000000000001 46.5000000000001,31.5000000000001 46.0000000000001,31.0000000000001 46.0000000000001)))', '46.5', '46', '31.5', '31', 'M32H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 46.0000000000001,31.5000000000001 46.5000000000001,32.0000000000001 46.5000000000001,32.0000000000001 46.0000000000001,31.5000000000001 46.0000000000001)))', '46.5', '46', '32', '31.5', 'M32H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 46.0000000000001,32.0000000000001 46.5000000000001,32.5000000000001 46.5000000000001,32.5000000000001 46.0000000000001,32.0000000000001 46.0000000000001)))', '46.5', '46', '32.5', '32', 'M32H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.5000000000001 46.0000000000001,32.5000000000001 46.5000000000001,33.0000000000001 46.5000000000001,33.0000000000001 46.0000000000001,32.5000000000001 46.0000000000001)))', '46.5', '46', '33', '32.5', 'M32H7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 46.0000000000001,33.0000000000001 46.5000000000001,33.5000000000001 46.5000000000001,33.5000000000001 46.0000000000001,33.0000000000001 46.0000000000001)))', '46.5', '46', '33.5', '33', 'M32H8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((33.5000000000001 46.0000000000001,33.5000000000001 46.5000000000001,34.0000000000001 46.5000000000001,34.0000000000001 46.0000000000001,33.5000000000001 46.0000000000001)))', '46.5', '46', '34', '33.5', 'M32H9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((34.5000000000001 46.0000000000001,34.5000000000001 46.5000000000001,35.0000000000001 46.5000000000001,35.0000000000001 46.0000000000001,34.5000000000001 46.0000000000001)))', '46.5', '46', '35', '34.5', 'M32I1', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 46.0000000000001,35.0000000000001 46.5000000000001,35.5000000000001 46.5000000000001,35.5000000000001 46.0000000000001,35.0000000000001 46.0000000000001)))', '46.5', '46', '35.5', '35', 'M32I2', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 46.0000000000001,35.5000000000001 46.5000000000001,36.0000000000001 46.5000000000001,36.0000000000001 46.0000000000001,35.5000000000001 46.0000000000001)))', '46.5', '46', '36', '35.5', 'M32I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 46.0000000000001,36.0000000000001 46.5000000000001,36.5000000000001 46.5000000000001,36.5000000000001 46.0000000000001,36.0000000000001 46.0000000000001)))', '46.5', '46', '36.5', '36', 'M32I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.5000000000001 46.0000000000001,36.5000000000001 46.5000000000001,37.0000000000001 46.5000000000001,37.0000000000001 46.0000000000001,36.5000000000001 46.0000000000001)))', '46.5', '46', '37', '36.5', 'M32I5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 46.0000000000001,37.0000000000001 46.5000000000001,37.5000000000001 46.5000000000001,37.5000000000001 46.0000000000001,37.0000000000001 46.0000000000001)))', '46.5', '46', '37.5', '37', 'M32I6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5000000000001 46.0000000000001,37.5000000000001 46.5000000000001,38.0000000000001 46.5000000000001,38.0000000000001 46.0000000000001,37.5000000000001 46.0000000000001)))', '46.5', '46', '38', '37.5', 'M32I7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 46.0000000000001,38.0000000000001 46.5000000000001,38.5000000000001 46.5000000000001,38.5000000000001 46.0000000000001,38.0000000000001 46.0000000000001)))', '46.5', '46', '38.5', '38', 'M32I8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((30.5000000000001 46.5000000000001,30.5000000000001 47.0000000000001,31.0000000000001 47.0000000000001,31.0000000000001 46.5000000000001,30.5000000000001 46.5000000000001)))', '47', '46.5', '31', '30.5', 'M33H3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 46.5000000000001,31.0000000000001 47.0000000000001,31.5000000000001 47.0000000000001,31.5000000000001 46.5000000000001,31.0000000000001 46.5000000000001)))', '47', '46.5', '31.5', '31', 'M33H4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((31.5000000000001 46.5000000000001,31.5000000000001 47.0000000000001,32.0000000000001 47.0000000000001,32.0000000000001 46.5000000000001,31.5000000000001 46.5000000000001)))', '47', '46.5', '32', '31.5', 'M33H5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 46.5000000000001,32.0000000000001 47.0000000000001,32.5000000000001 47.0000000000001,32.5000000000001 46.5000000000001,32.0000000000001 46.5000000000001)))', '47', '46.5', '32.5', '32', 'M33H6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((35.5000000000001 46.5000000000001,35.5000000000001 47.0000000000001,36.0000000000001 47.0000000000001,36.0000000000001 46.5000000000001,35.5000000000001 46.5000000000001)))', '47', '46.5', '36', '35.5', 'M33I3', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 46.5000000000001,36.0000000000001 47.0000000000001,36.5000000000001 47.0000000000001,36.5000000000001 46.5000000000001,36.0000000000001 46.5000000000001)))', '47', '46.5', '36.5', '36', 'M33I4', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((36.5000000000001 46.5000000000001,36.5000000000001 47.0000000000001,37.0000000000001 47.0000000000001,37.0000000000001 46.5000000000001,36.5000000000001 46.5000000000001)))', '47', '46.5', '37', '36.5', 'M33I5', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 46.5000000000001,37.0000000000001 47.0000000000001,37.5000000000001 47.0000000000001,37.5000000000001 46.5000000000001,37.0000000000001 46.5000000000001)))', '47', '46.5', '37.5', '37', 'M33I6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5000000000001 46.5000000000001,37.5000000000001 47.0000000000001,38.0000000000001 47.0000000000001,38.0000000000001 46.5000000000001,37.5000000000001 46.5000000000001)))', '47', '46.5', '38', '37.5', 'M33I7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 46.5000000000001,38.0000000000001 47.0000000000001,38.5000000000001 47.0000000000001,38.5000000000001 46.5000000000001,38.0000000000001 46.5000000000001)))', '47', '46.5', '38.5', '38', 'M33I8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.5000000000001 46.5000000000001,38.5000000000001 47.0000000000001,39.0000000000001 47.0000000000001,39.0000000000001 46.5000000000001,38.5000000000001 46.5000000000001)))', '47', '46.5', '39', '38.5', 'M33I9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 46.5000000000001,39.0000000000001 47.0000000000001,39.5000000000001 47.0000000000001,39.5000000000001 46.5000000000001,39.0000000000001 46.5000000000001)))', '47', '46.5', '39.5', '39', 'M33J0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 47.0000000000001,37.0000000000001 47.5000000000001,37.5000000000001 47.5000000000001,37.5000000000001 47.0000000000001,37.0000000000001 47.0000000000001)))', '47.5', '47', '37.5', '37', 'M34I6', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((37.5000000000001 47.0000000000001,37.5000000000001 47.5000000000001,38.0000000000001 47.5000000000001,38.0000000000001 47.0000000000001,37.5000000000001 47.0000000000001)))', '47.5', '47', '38', '37.5', 'M34I7', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 47.0000000000001,38.0000000000001 47.5000000000001,38.5000000000001 47.5000000000001,38.5000000000001 47.0000000000001,38.0000000000001 47.0000000000001)))', '47.5', '47', '38.5', '38', 'M34I8', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((38.5000000000001 47.0000000000001,38.5000000000001 47.5000000000001,39.0000000000001 47.5000000000001,39.0000000000001 47.0000000000001,38.5000000000001 47.0000000000001)))', '47.5', '47', '39', '38.5', 'M34I9', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 47.0000000000001,39.0000000000001 47.5000000000001,39.5000000000001 47.5000000000001,39.5000000000001 47.0000000000001,39.0000000000001 47.0000000000001)))', '47.5', '47', '39.5', '39', 'M34J0', 'GFCM', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 36.0000000000001,-43.9999999999999 36.5000000000001,-42.9999999999999 36.5000000000001,-42.9999999999999 36.0000000000001,-43.9999999999999 36.0000000000001)))', '36.5', '36', '-43', '-44', '01A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 36.5000000000001,-43.9999999999999 37.0000000000001,-42.9999999999999 37.0000000000001,-42.9999999999999 36.5000000000001,-43.9999999999999 36.5000000000001)))', '37', '36.5', '-43', '-44', '02A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 37.0000000000001,-43.9999999999999 37.5000000000001,-42.9999999999999 37.5000000000001,-42.9999999999999 37.0000000000001,-43.9999999999999 37.0000000000001)))', '37.5', '37', '-43', '-44', '03A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 37.5000000000001,-43.9999999999999 38.0000000000001,-42.9999999999999 38.0000000000001,-42.9999999999999 37.5000000000001,-43.9999999999999 37.5000000000001)))', '38', '37.5', '-43', '-44', '04A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 38.0000000000001,-43.9999999999999 38.5000000000001,-42.9999999999999 38.5000000000001,-42.9999999999999 38.0000000000001,-43.9999999999999 38.0000000000001)))', '38.5', '38', '-43', '-44', '05A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 38.5000000000001,-43.9999999999999 39.0000000000001,-42.9999999999999 39.0000000000001,-42.9999999999999 38.5000000000001,-43.9999999999999 38.5000000000001)))', '39', '38.5', '-43', '-44', '06A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 39.0000000000001,-43.9999999999999 39.5000000000001,-42.9999999999999 39.5000000000001,-42.9999999999999 39.0000000000001,-43.9999999999999 39.0000000000001)))', '39.5', '39', '-43', '-44', '07A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 39.5000000000001,-43.9999999999999 40.0000000000001,-42.9999999999999 40.0000000000001,-42.9999999999999 39.5000000000001,-43.9999999999999 39.5000000000001)))', '40', '39.5', '-43', '-44', '08A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 40.0000000000001,-43.9999999999999 40.5000000000001,-42.9999999999999 40.5000000000001,-42.9999999999999 40.0000000000001,-43.9999999999999 40.0000000000001)))', '40.5', '40', '-43', '-44', '09A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 40.5000000000001,-43.9999999999999 41.0000000000001,-42.9999999999999 41.0000000000001,-42.9999999999999 40.5000000000001,-43.9999999999999 40.5000000000001)))', '41', '40.5', '-43', '-44', '10A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 41.0000000000001,-43.9999999999999 41.5000000000001,-42.9999999999999 41.5000000000001,-42.9999999999999 41.0000000000001,-43.9999999999999 41.0000000000001)))', '41.5', '41', '-43', '-44', '11A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 41.5000000000001,-43.9999999999999 42.0000000000001,-42.9999999999999 42.0000000000001,-42.9999999999999 41.5000000000001,-43.9999999999999 41.5000000000001)))', '42', '41.5', '-43', '-44', '12A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 42.0000000000001,-43.9999999999999 42.5000000000001,-42.9999999999999 42.5000000000001,-42.9999999999999 42.0000000000001,-43.9999999999999 42.0000000000001)))', '42.5', '42', '-43', '-44', '13A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 42.5000000000001,-43.9999999999999 43.0000000000001,-42.9999999999999 43.0000000000001,-42.9999999999999 42.5000000000001,-43.9999999999999 42.5000000000001)))', '43', '42.5', '-43', '-44', '14A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 43.0000000000001,-43.9999999999999 43.5000000000001,-42.9999999999999 43.5000000000001,-42.9999999999999 43.0000000000001,-43.9999999999999 43.0000000000001)))', '43.5', '43', '-43', '-44', '15A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 43.5000000000001,-43.9999999999999 44.0000000000001,-42.9999999999999 44.0000000000001,-42.9999999999999 43.5000000000001,-43.9999999999999 43.5000000000001)))', '44', '43.5', '-43', '-44', '16A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 44.0000000000001,-43.9999999999999 44.5000000000001,-42.9999999999999 44.5000000000001,-42.9999999999999 44.0000000000001,-43.9999999999999 44.0000000000001)))', '44.5', '44', '-43', '-44', '17A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 44.5000000000001,-43.9999999999999 45.0000000000001,-42.9999999999999 45.0000000000001,-42.9999999999999 44.5000000000001,-43.9999999999999 44.5000000000001)))', '45', '44.5', '-43', '-44', '18A0', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-43.9999999999999 45.0000000000001,-43.9999999999999 45.5000000000001,-42.9999999999999 45.5000000000001,-42.9999999999999 45.0000000000001,-43.9999999999999 45.0000000000001)))', '45.5', '45', '-43', '-44', '19A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 45.5000000000001,-43.9999999999999 46.0000000000001,-42.9999999999999 46.0000000000001,-42.9999999999999 45.5000000000001,-43.9999999999999 45.5000000000001)))', '46', '45.5', '-43', '-44', '20A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 46.0000000000001,-43.9999999999999 46.5000000000001,-42.9999999999999 46.5000000000001,-42.9999999999999 46.0000000000001,-43.9999999999999 46.0000000000001)))', '46.5', '46', '-43', '-44', '21A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 46.5000000000001,-43.9999999999999 47.0000000000001,-42.9999999999999 47.0000000000001,-42.9999999999999 46.5000000000001,-43.9999999999999 46.5000000000001)))', '47', '46.5', '-43', '-44', '22A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 47.0000000000001,-43.9999999999999 47.5000000000001,-42.9999999999999 47.5000000000001,-42.9999999999999 47.0000000000001,-43.9999999999999 47.0000000000001)))', '47.5', '47', '-43', '-44', '23A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 47.5000000000001,-43.9999999999999 48.0000000000001,-42.9999999999999 48.0000000000001,-42.9999999999999 47.5000000000001,-43.9999999999999 47.5000000000001)))', '48', '47.5', '-43', '-44', '24A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 48.0000000000001,-43.9999999999999 48.5000000000001,-42.9999999999999 48.5000000000001,-42.9999999999999 48.0000000000001,-43.9999999999999 48.0000000000001)))', '48.5', '48', '-43', '-44', '25A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 48.5000000000001,-43.9999999999999 49.0000000000001,-42.9999999999999 49.0000000000001,-42.9999999999999 48.5000000000001,-43.9999999999999 48.5000000000001)))', '49', '48.5', '-43', '-44', '26A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 49.0000000000001,-43.9999999999999 49.5000000000001,-42.9999999999999 49.5000000000001,-42.9999999999999 49.0000000000001,-43.9999999999999 49.0000000000001)))', '49.5', '49', '-43', '-44', '27A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 49.5000000000001,-43.9999999999999 50.0000000000001,-42.9999999999999 50.0000000000001,-42.9999999999999 49.5000000000001,-43.9999999999999 49.5000000000001)))', '50', '49.5', '-43', '-44', '28A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 50.0000000000001,-43.9999999999999 50.5000000000001,-42.9999999999999 50.5000000000001,-42.9999999999999 50.0000000000001,-43.9999999999999 50.0000000000001)))', '50.5', '50', '-43', '-44', '29A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 50.5000000000001,-43.9999999999999 51.0000000000001,-42.9999999999999 51.0000000000001,-42.9999999999999 50.5000000000001,-43.9999999999999 50.5000000000001)))', '51', '50.5', '-43', '-44', '30A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 51.0000000000001,-43.9999999999999 51.5000000000001,-42.9999999999999 51.5000000000001,-42.9999999999999 51.0000000000001,-43.9999999999999 51.0000000000001)))', '51.5', '51', '-43', '-44', '31A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 51.5000000000001,-43.9999999999999 52.0000000000001,-42.9999999999999 52.0000000000001,-42.9999999999999 51.5000000000001,-43.9999999999999 51.5000000000001)))', '52', '51.5', '-43', '-44', '32A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 52.0000000000001,-43.9999999999999 52.5000000000001,-42.9999999999999 52.5000000000001,-42.9999999999999 52.0000000000001,-43.9999999999999 52.0000000000001)))', '52.5', '52', '-43', '-44', '33A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 52.5000000000001,-43.9999999999999 53.0000000000001,-42.9999999999999 53.0000000000001,-42.9999999999999 52.5000000000001,-43.9999999999999 52.5000000000001)))', '53', '52.5', '-43', '-44', '34A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 53.0000000000001,-43.9999999999999 53.5000000000001,-42.9999999999999 53.5000000000001,-42.9999999999999 53.0000000000001,-43.9999999999999 53.0000000000001)))', '53.5', '53', '-43', '-44', '35A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 53.5000000000001,-43.9999999999999 54.0000000000001,-42.9999999999999 54.0000000000001,-42.9999999999999 53.5000000000001,-43.9999999999999 53.5000000000001)))', '54', '53.5', '-43', '-44', '36A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 54.0000000000001,-43.9999999999999 54.5000000000001,-42.9999999999999 54.5000000000001,-42.9999999999999 54.0000000000001,-43.9999999999999 54.0000000000001)))', '54.5', '54', '-43', '-44', '37A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 54.5000000000001,-43.9999999999999 55.0000000000001,-42.9999999999999 55.0000000000001,-42.9999999999999 54.5000000000001,-43.9999999999999 54.5000000000001)))', '55', '54.5', '-43', '-44', '38A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 55.0000000000001,-43.9999999999999 55.5000000000001,-42.9999999999999 55.5000000000001,-42.9999999999999 55.0000000000001,-43.9999999999999 55.0000000000001)))', '55.5', '55', '-43', '-44', '39A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 55.5000000000001,-43.9999999999999 56.0000000000001,-42.9999999999999 56.0000000000001,-42.9999999999999 55.5000000000001,-43.9999999999999 55.5000000000001)))', '56', '55.5', '-43', '-44', '40A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 56.0000000000001,-43.9999999999999 56.5000000000001,-42.9999999999999 56.5000000000001,-42.9999999999999 56.0000000000001,-43.9999999999999 56.0000000000001)))', '56.5', '56', '-43', '-44', '41A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 56.5000000000001,-43.9999999999999 57.0000000000001,-42.9999999999999 57.0000000000001,-42.9999999999999 56.5000000000001,-43.9999999999999 56.5000000000001)))', '57', '56.5', '-43', '-44', '42A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 57.0000000000001,-43.9999999999999 57.5000000000001,-42.9999999999999 57.5000000000001,-42.9999999999999 57.0000000000001,-43.9999999999999 57.0000000000001)))', '57.5', '57', '-43', '-44', '43A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 57.5000000000001,-43.9999999999999 58.0000000000001,-42.9999999999999 58.0000000000001,-42.9999999999999 57.5000000000001,-43.9999999999999 57.5000000000001)))', '58', '57.5', '-43', '-44', '44A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 58.0000000000001,-43.9999999999999 58.5000000000001,-42.9999999999999 58.5000000000001,-42.9999999999999 58.0000000000001,-43.9999999999999 58.0000000000001)))', '58.5', '58', '-43', '-44', '45A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 58.5000000000001,-43.9999999999999 59.0000000000001,-42.9999999999999 59.0000000000001,-42.9999999999999 58.5000000000001,-43.9999999999999 58.5000000000001)))', '59', '58.5', '-43', '-44', '46A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 59.0000000000001,-43.9999999999999 59.5000000000001,-42.9999999999999 59.5000000000001,-42.9999999999999 59.0000000000001,-43.9999999999999 59.0000000000001)))', '59.5', '59', '-43', '-44', '47A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 59.5000000000001,-43.9999999999999 60.0000000000001,-42.9999999999999 60.0000000000001,-42.9999999999999 59.5000000000001,-43.9999999999999 59.5000000000001)))', '60', '59.5', '-43', '-44', '48A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 60.0000000000001,-43.9999999999999 60.5000000000001,-42.9999999999999 60.5000000000001,-42.9999999999999 60.0000000000001,-43.9999999999999 60.0000000000001)))', '60.5', '60', '-43', '-44', '49A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 60.5000000000001,-43.9999999999999 61.0000000000001,-42.9999999999999 61.0000000000001,-42.9999999999999 60.5000000000001,-43.9999999999999 60.5000000000001)))', '61', '60.5', '-43', '-44', '50A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 61.0000000000001,-43.9999999999999 61.5000000000001,-42.9999999999999 61.5000000000001,-42.9999999999999 61.0000000000001,-43.9999999999999 61.0000000000001)))', '61.5', '61', '-43', '-44', '51A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 61.5000000000001,-43.9999999999999 62.0000000000001,-42.9999999999999 62.0000000000001,-42.9999999999999 61.5000000000001,-43.9999999999999 61.5000000000001)))', '62', '61.5', '-43', '-44', '52A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 62.0000000000001,-43.9999999999999 62.5000000000001,-42.9999999999999 62.5000000000001,-42.9999999999999 62.0000000000001,-43.9999999999999 62.0000000000001)))', '62.5', '62', '-43', '-44', '53A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 62.5000000000001,-43.9999999999999 63.0000000000001,-42.9999999999999 63.0000000000001,-42.9999999999999 62.5000000000001,-43.9999999999999 62.5000000000001)))', '63', '62.5', '-43', '-44', '54A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 82.0000000000001,-43.9999999999999 82.5000000000001,-42.9999999999999 82.5000000000001,-42.9999999999999 82.0000000000001,-43.9999999999999 82.0000000000001)))', '82.5', '82', '-43', '-44', '93A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 82.5000000000001,-43.9999999999999 83.0000000000001,-42.9999999999999 83.0000000000001,-42.9999999999999 82.5000000000001,-43.9999999999999 82.5000000000001)))', '83', '82.5', '-43', '-44', '94A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 83.0000000000001,-43.9999999999999 83.5000000000001,-42.9999999999999 83.5000000000001,-42.9999999999999 83.0000000000001,-43.9999999999999 83.0000000000001)))', '83.5', '83', '-43', '-44', '95A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 83.5000000000001,-43.9999999999999 84.0000000000001,-42.9999999999999 84.0000000000001,-42.9999999999999 83.5000000000001,-43.9999999999999 83.5000000000001)))', '84', '83.5', '-43', '-44', '96A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 84.0000000000001,-43.9999999999999 84.5000000000001,-42.9999999999999 84.5000000000001,-42.9999999999999 84.0000000000001,-43.9999999999999 84.0000000000001)))', '84.5', '84', '-43', '-44', '97A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-43.9999999999999 84.5000000000001,-43.9999999999999 85.0000000000001,-42.9999999999999 85.0000000000001,-42.9999999999999 84.5000000000001,-43.9999999999999 84.5000000000001)))', '85', '84.5', '-43', '-44', '98A0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 36.0000000000001,-42.9999999999999 36.5000000000001,-41.9999999999999 36.5000000000001,-41.9999999999999 36.0000000000001,-42.9999999999999 36.0000000000001)))', '36.5', '36', '-42', '-43', '01A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 36.5000000000001,-42.9999999999999 37.0000000000001,-41.9999999999999 37.0000000000001,-41.9999999999999 36.5000000000001,-42.9999999999999 36.5000000000001)))', '37', '36.5', '-42', '-43', '02A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 37.0000000000001,-42.9999999999999 37.5000000000001,-41.9999999999999 37.5000000000001,-41.9999999999999 37.0000000000001,-42.9999999999999 37.0000000000001)))', '37.5', '37', '-42', '-43', '03A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 37.5000000000001,-42.9999999999999 38.0000000000001,-41.9999999999999 38.0000000000001,-41.9999999999999 37.5000000000001,-42.9999999999999 37.5000000000001)))', '38', '37.5', '-42', '-43', '04A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 38.0000000000001,-42.9999999999999 38.5000000000001,-41.9999999999999 38.5000000000001,-41.9999999999999 38.0000000000001,-42.9999999999999 38.0000000000001)))', '38.5', '38', '-42', '-43', '05A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 38.5000000000001,-42.9999999999999 39.0000000000001,-41.9999999999999 39.0000000000001,-41.9999999999999 38.5000000000001,-42.9999999999999 38.5000000000001)))', '39', '38.5', '-42', '-43', '06A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 39.0000000000001,-42.9999999999999 39.5000000000001,-41.9999999999999 39.5000000000001,-41.9999999999999 39.0000000000001,-42.9999999999999 39.0000000000001)))', '39.5', '39', '-42', '-43', '07A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 39.5000000000001,-42.9999999999999 40.0000000000001,-41.9999999999999 40.0000000000001,-41.9999999999999 39.5000000000001,-42.9999999999999 39.5000000000001)))', '40', '39.5', '-42', '-43', '08A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 40.0000000000001,-42.9999999999999 40.5000000000001,-41.9999999999999 40.5000000000001,-41.9999999999999 40.0000000000001,-42.9999999999999 40.0000000000001)))', '40.5', '40', '-42', '-43', '09A1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-42.9999999999999 40.5000000000001,-42.9999999999999 41.0000000000001,-41.9999999999999 41.0000000000001,-41.9999999999999 40.5000000000001,-42.9999999999999 40.5000000000001)))', '41', '40.5', '-42', '-43', '10A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 41.0000000000001,-42.9999999999999 41.5000000000001,-41.9999999999999 41.5000000000001,-41.9999999999999 41.0000000000001,-42.9999999999999 41.0000000000001)))', '41.5', '41', '-42', '-43', '11A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 41.5000000000001,-42.9999999999999 42.0000000000001,-41.9999999999999 42.0000000000001,-41.9999999999999 41.5000000000001,-42.9999999999999 41.5000000000001)))', '42', '41.5', '-42', '-43', '12A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 42.0000000000001,-42.9999999999999 42.5000000000001,-41.9999999999999 42.5000000000001,-41.9999999999999 42.0000000000001,-42.9999999999999 42.0000000000001)))', '42.5', '42', '-42', '-43', '13A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 42.5000000000001,-42.9999999999999 43.0000000000001,-41.9999999999999 43.0000000000001,-41.9999999999999 42.5000000000001,-42.9999999999999 42.5000000000001)))', '43', '42.5', '-42', '-43', '14A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 43.0000000000001,-42.9999999999999 43.5000000000001,-41.9999999999999 43.5000000000001,-41.9999999999999 43.0000000000001,-42.9999999999999 43.0000000000001)))', '43.5', '43', '-42', '-43', '15A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 43.5000000000001,-42.9999999999999 44.0000000000001,-41.9999999999999 44.0000000000001,-41.9999999999999 43.5000000000001,-42.9999999999999 43.5000000000001)))', '44', '43.5', '-42', '-43', '16A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 44.0000000000001,-42.9999999999999 44.5000000000001,-41.9999999999999 44.5000000000001,-41.9999999999999 44.0000000000001,-42.9999999999999 44.0000000000001)))', '44.5', '44', '-42', '-43', '17A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 44.5000000000001,-42.9999999999999 45.0000000000001,-41.9999999999999 45.0000000000001,-41.9999999999999 44.5000000000001,-42.9999999999999 44.5000000000001)))', '45', '44.5', '-42', '-43', '18A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 45.0000000000001,-42.9999999999999 45.5000000000001,-41.9999999999999 45.5000000000001,-41.9999999999999 45.0000000000001,-42.9999999999999 45.0000000000001)))', '45.5', '45', '-42', '-43', '19A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 45.5000000000001,-42.9999999999999 46.0000000000001,-41.9999999999999 46.0000000000001,-41.9999999999999 45.5000000000001,-42.9999999999999 45.5000000000001)))', '46', '45.5', '-42', '-43', '20A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 46.0000000000001,-42.9999999999999 46.5000000000001,-41.9999999999999 46.5000000000001,-41.9999999999999 46.0000000000001,-42.9999999999999 46.0000000000001)))', '46.5', '46', '-42', '-43', '21A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 46.5000000000001,-42.9999999999999 47.0000000000001,-41.9999999999999 47.0000000000001,-41.9999999999999 46.5000000000001,-42.9999999999999 46.5000000000001)))', '47', '46.5', '-42', '-43', '22A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 47.0000000000001,-42.9999999999999 47.5000000000001,-41.9999999999999 47.5000000000001,-41.9999999999999 47.0000000000001,-42.9999999999999 47.0000000000001)))', '47.5', '47', '-42', '-43', '23A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 47.5000000000001,-42.9999999999999 48.0000000000001,-41.9999999999999 48.0000000000001,-41.9999999999999 47.5000000000001,-42.9999999999999 47.5000000000001)))', '48', '47.5', '-42', '-43', '24A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 48.0000000000001,-42.9999999999999 48.5000000000001,-41.9999999999999 48.5000000000001,-41.9999999999999 48.0000000000001,-42.9999999999999 48.0000000000001)))', '48.5', '48', '-42', '-43', '25A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 48.5000000000001,-42.9999999999999 49.0000000000001,-41.9999999999999 49.0000000000001,-41.9999999999999 48.5000000000001,-42.9999999999999 48.5000000000001)))', '49', '48.5', '-42', '-43', '26A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 49.0000000000001,-42.9999999999999 49.5000000000001,-41.9999999999999 49.5000000000001,-41.9999999999999 49.0000000000001,-42.9999999999999 49.0000000000001)))', '49.5', '49', '-42', '-43', '27A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 49.5000000000001,-42.9999999999999 50.0000000000001,-41.9999999999999 50.0000000000001,-41.9999999999999 49.5000000000001,-42.9999999999999 49.5000000000001)))', '50', '49.5', '-42', '-43', '28A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 50.0000000000001,-42.9999999999999 50.5000000000001,-41.9999999999999 50.5000000000001,-41.9999999999999 50.0000000000001,-42.9999999999999 50.0000000000001)))', '50.5', '50', '-42', '-43', '29A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 50.5000000000001,-42.9999999999999 51.0000000000001,-41.9999999999999 51.0000000000001,-41.9999999999999 50.5000000000001,-42.9999999999999 50.5000000000001)))', '51', '50.5', '-42', '-43', '30A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 51.0000000000001,-42.9999999999999 51.5000000000001,-41.9999999999999 51.5000000000001,-41.9999999999999 51.0000000000001,-42.9999999999999 51.0000000000001)))', '51.5', '51', '-42', '-43', '31A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 51.5000000000001,-42.9999999999999 52.0000000000001,-41.9999999999999 52.0000000000001,-41.9999999999999 51.5000000000001,-42.9999999999999 51.5000000000001)))', '52', '51.5', '-42', '-43', '32A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 52.0000000000001,-42.9999999999999 52.5000000000001,-41.9999999999999 52.5000000000001,-41.9999999999999 52.0000000000001,-42.9999999999999 52.0000000000001)))', '52.5', '52', '-42', '-43', '33A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 52.5000000000001,-42.9999999999999 53.0000000000001,-41.9999999999999 53.0000000000001,-41.9999999999999 52.5000000000001,-42.9999999999999 52.5000000000001)))', '53', '52.5', '-42', '-43', '34A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 53.0000000000001,-42.9999999999999 53.5000000000001,-41.9999999999999 53.5000000000001,-41.9999999999999 53.0000000000001,-42.9999999999999 53.0000000000001)))', '53.5', '53', '-42', '-43', '35A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 53.5000000000001,-42.9999999999999 54.0000000000001,-41.9999999999999 54.0000000000001,-41.9999999999999 53.5000000000001,-42.9999999999999 53.5000000000001)))', '54', '53.5', '-42', '-43', '36A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 54.0000000000001,-42.9999999999999 54.5000000000001,-41.9999999999999 54.5000000000001,-41.9999999999999 54.0000000000001,-42.9999999999999 54.0000000000001)))', '54.5', '54', '-42', '-43', '37A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 54.5000000000001,-42.9999999999999 55.0000000000001,-41.9999999999999 55.0000000000001,-41.9999999999999 54.5000000000001,-42.9999999999999 54.5000000000001)))', '55', '54.5', '-42', '-43', '38A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 55.0000000000001,-42.9999999999999 55.5000000000001,-41.9999999999999 55.5000000000001,-41.9999999999999 55.0000000000001,-42.9999999999999 55.0000000000001)))', '55.5', '55', '-42', '-43', '39A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 55.5000000000001,-42.9999999999999 56.0000000000001,-41.9999999999999 56.0000000000001,-41.9999999999999 55.5000000000001,-42.9999999999999 55.5000000000001)))', '56', '55.5', '-42', '-43', '40A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 56.0000000000001,-42.9999999999999 56.5000000000001,-41.9999999999999 56.5000000000001,-41.9999999999999 56.0000000000001,-42.9999999999999 56.0000000000001)))', '56.5', '56', '-42', '-43', '41A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 56.5000000000001,-42.9999999999999 57.0000000000001,-41.9999999999999 57.0000000000001,-41.9999999999999 56.5000000000001,-42.9999999999999 56.5000000000001)))', '57', '56.5', '-42', '-43', '42A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 57.0000000000001,-42.9999999999999 57.5000000000001,-41.9999999999999 57.5000000000001,-41.9999999999999 57.0000000000001,-42.9999999999999 57.0000000000001)))', '57.5', '57', '-42', '-43', '43A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 57.5000000000001,-42.9999999999999 58.0000000000001,-41.9999999999999 58.0000000000001,-41.9999999999999 57.5000000000001,-42.9999999999999 57.5000000000001)))', '58', '57.5', '-42', '-43', '44A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 58.0000000000001,-42.9999999999999 58.5000000000001,-41.9999999999999 58.5000000000001,-41.9999999999999 58.0000000000001,-42.9999999999999 58.0000000000001)))', '58.5', '58', '-42', '-43', '45A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 58.5000000000001,-42.9999999999999 59.0000000000001,-41.9999999999999 59.0000000000001,-41.9999999999999 58.5000000000001,-42.9999999999999 58.5000000000001)))', '59', '58.5', '-42', '-43', '46A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 59.0000000000001,-42.9999999999999 59.5000000000001,-41.9999999999999 59.5000000000001,-41.9999999999999 59.0000000000001,-42.9999999999999 59.0000000000001)))', '59.5', '59', '-42', '-43', '47A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 59.5000000000001,-42.9999999999999 60.0000000000001,-41.9999999999999 60.0000000000001,-41.9999999999999 59.5000000000001,-42.9999999999999 59.5000000000001)))', '60', '59.5', '-42', '-43', '48A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 60.0000000000001,-42.9999999999999 60.5000000000001,-41.9999999999999 60.5000000000001,-41.9999999999999 60.0000000000001,-42.9999999999999 60.0000000000001)))', '60.5', '60', '-42', '-43', '49A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 60.5000000000001,-42.9999999999999 61.0000000000001,-41.9999999999999 61.0000000000001,-41.9999999999999 60.5000000000001,-42.9999999999999 60.5000000000001)))', '61', '60.5', '-42', '-43', '50A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 61.0000000000001,-42.9999999999999 61.5000000000001,-41.9999999999999 61.5000000000001,-41.9999999999999 61.0000000000001,-42.9999999999999 61.0000000000001)))', '61.5', '61', '-42', '-43', '51A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 61.5000000000001,-42.9999999999999 62.0000000000001,-41.9999999999999 62.0000000000001,-41.9999999999999 61.5000000000001,-42.9999999999999 61.5000000000001)))', '62', '61.5', '-42', '-43', '52A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 62.0000000000001,-42.9999999999999 62.5000000000001,-41.9999999999999 62.5000000000001,-41.9999999999999 62.0000000000001,-42.9999999999999 62.0000000000001)))', '62.5', '62', '-42', '-43', '53A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 62.5000000000001,-42.9999999999999 63.0000000000001,-41.9999999999999 63.0000000000001,-41.9999999999999 62.5000000000001,-42.9999999999999 62.5000000000001)))', '63', '62.5', '-42', '-43', '54A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 63.0000000000001,-42.9999999999999 63.5000000000001,-41.9999999999999 63.5000000000001,-41.9999999999999 63.0000000000001,-42.9999999999999 63.0000000000001)))', '63.5', '63', '-42', '-43', '55A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 82.0000000000001,-42.9999999999999 82.5000000000001,-41.9999999999999 82.5000000000001,-41.9999999999999 82.0000000000001,-42.9999999999999 82.0000000000001)))', '82.5', '82', '-42', '-43', '93A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 82.5000000000001,-42.9999999999999 83.0000000000001,-41.9999999999999 83.0000000000001,-41.9999999999999 82.5000000000001,-42.9999999999999 82.5000000000001)))', '83', '82.5', '-42', '-43', '94A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 83.0000000000001,-42.9999999999999 83.5000000000001,-41.9999999999999 83.5000000000001,-41.9999999999999 83.0000000000001,-42.9999999999999 83.0000000000001)))', '83.5', '83', '-42', '-43', '95A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 83.5000000000001,-42.9999999999999 84.0000000000001,-41.9999999999999 84.0000000000001,-41.9999999999999 83.5000000000001,-42.9999999999999 83.5000000000001)))', '84', '83.5', '-42', '-43', '96A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-42.9999999999999 84.0000000000001,-42.9999999999999 84.5000000000001,-41.9999999999999 84.5000000000001,-41.9999999999999 84.0000000000001,-42.9999999999999 84.0000000000001)))', '84.5', '84', '-42', '-43', '97A1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-42.9999999999999 84.5000000000001,-42.9999999999999 85.0000000000001,-41.9999999999999 85.0000000000001,-41.9999999999999 84.5000000000001,-42.9999999999999 84.5000000000001)))', '85', '84.5', '-42', '-43', '98A1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 36.0000000000001,-41.9999999999999 36.5000000000001,-40.9999999999999 36.5000000000001,-40.9999999999999 36.0000000000001,-41.9999999999999 36.0000000000001)))', '36.5', '36', '-41', '-42', '01A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 36.5000000000001,-41.9999999999999 37.0000000000001,-40.9999999999999 37.0000000000001,-40.9999999999999 36.5000000000001,-41.9999999999999 36.5000000000001)))', '37', '36.5', '-41', '-42', '02A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 37.0000000000001,-41.9999999999999 37.5000000000001,-40.9999999999999 37.5000000000001,-40.9999999999999 37.0000000000001,-41.9999999999999 37.0000000000001)))', '37.5', '37', '-41', '-42', '03A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 37.5000000000001,-41.9999999999999 38.0000000000001,-40.9999999999999 38.0000000000001,-40.9999999999999 37.5000000000001,-41.9999999999999 37.5000000000001)))', '38', '37.5', '-41', '-42', '04A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 38.0000000000001,-41.9999999999999 38.5000000000001,-40.9999999999999 38.5000000000001,-40.9999999999999 38.0000000000001,-41.9999999999999 38.0000000000001)))', '38.5', '38', '-41', '-42', '05A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 38.5000000000001,-41.9999999999999 39.0000000000001,-40.9999999999999 39.0000000000001,-40.9999999999999 38.5000000000001,-41.9999999999999 38.5000000000001)))', '39', '38.5', '-41', '-42', '06A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 39.0000000000001,-41.9999999999999 39.5000000000001,-40.9999999999999 39.5000000000001,-40.9999999999999 39.0000000000001,-41.9999999999999 39.0000000000001)))', '39.5', '39', '-41', '-42', '07A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 39.5000000000001,-41.9999999999999 40.0000000000001,-40.9999999999999 40.0000000000001,-40.9999999999999 39.5000000000001,-41.9999999999999 39.5000000000001)))', '40', '39.5', '-41', '-42', '08A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 40.0000000000001,-41.9999999999999 40.5000000000001,-40.9999999999999 40.5000000000001,-40.9999999999999 40.0000000000001,-41.9999999999999 40.0000000000001)))', '40.5', '40', '-41', '-42', '09A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 40.5000000000001,-41.9999999999999 41.0000000000001,-40.9999999999999 41.0000000000001,-40.9999999999999 40.5000000000001,-41.9999999999999 40.5000000000001)))', '41', '40.5', '-41', '-42', '10A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 41.0000000000001,-41.9999999999999 41.5000000000001,-40.9999999999999 41.5000000000001,-40.9999999999999 41.0000000000001,-41.9999999999999 41.0000000000001)))', '41.5', '41', '-41', '-42', '11A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 41.5000000000001,-41.9999999999999 42.0000000000001,-40.9999999999999 42.0000000000001,-40.9999999999999 41.5000000000001,-41.9999999999999 41.5000000000001)))', '42', '41.5', '-41', '-42', '12A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 42.0000000000001,-41.9999999999999 42.5000000000001,-40.9999999999999 42.5000000000001,-40.9999999999999 42.0000000000001,-41.9999999999999 42.0000000000001)))', '42.5', '42', '-41', '-42', '13A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 42.5000000000001,-41.9999999999999 43.0000000000001,-40.9999999999999 43.0000000000001,-40.9999999999999 42.5000000000001,-41.9999999999999 42.5000000000001)))', '43', '42.5', '-41', '-42', '14A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 43.0000000000001,-41.9999999999999 43.5000000000001,-40.9999999999999 43.5000000000001,-40.9999999999999 43.0000000000001,-41.9999999999999 43.0000000000001)))', '43.5', '43', '-41', '-42', '15A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 43.5000000000001,-41.9999999999999 44.0000000000001,-40.9999999999999 44.0000000000001,-40.9999999999999 43.5000000000001,-41.9999999999999 43.5000000000001)))', '44', '43.5', '-41', '-42', '16A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 44.0000000000001,-41.9999999999999 44.5000000000001,-40.9999999999999 44.5000000000001,-40.9999999999999 44.0000000000001,-41.9999999999999 44.0000000000001)))', '44.5', '44', '-41', '-42', '17A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 44.5000000000001,-41.9999999999999 45.0000000000001,-40.9999999999999 45.0000000000001,-40.9999999999999 44.5000000000001,-41.9999999999999 44.5000000000001)))', '45', '44.5', '-41', '-42', '18A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 45.0000000000001,-41.9999999999999 45.5000000000001,-40.9999999999999 45.5000000000001,-40.9999999999999 45.0000000000001,-41.9999999999999 45.0000000000001)))', '45.5', '45', '-41', '-42', '19A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 45.5000000000001,-41.9999999999999 46.0000000000001,-40.9999999999999 46.0000000000001,-40.9999999999999 45.5000000000001,-41.9999999999999 45.5000000000001)))', '46', '45.5', '-41', '-42', '20A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 46.0000000000001,-41.9999999999999 46.5000000000001,-40.9999999999999 46.5000000000001,-40.9999999999999 46.0000000000001,-41.9999999999999 46.0000000000001)))', '46.5', '46', '-41', '-42', '21A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 46.5000000000001,-41.9999999999999 47.0000000000001,-40.9999999999999 47.0000000000001,-40.9999999999999 46.5000000000001,-41.9999999999999 46.5000000000001)))', '47', '46.5', '-41', '-42', '22A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 47.0000000000001,-41.9999999999999 47.5000000000001,-40.9999999999999 47.5000000000001,-40.9999999999999 47.0000000000001,-41.9999999999999 47.0000000000001)))', '47.5', '47', '-41', '-42', '23A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 47.5000000000001,-41.9999999999999 48.0000000000001,-40.9999999999999 48.0000000000001,-40.9999999999999 47.5000000000001,-41.9999999999999 47.5000000000001)))', '48', '47.5', '-41', '-42', '24A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 48.0000000000001,-41.9999999999999 48.5000000000001,-40.9999999999999 48.5000000000001,-40.9999999999999 48.0000000000001,-41.9999999999999 48.0000000000001)))', '48.5', '48', '-41', '-42', '25A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 48.5000000000001,-41.9999999999999 49.0000000000001,-40.9999999999999 49.0000000000001,-40.9999999999999 48.5000000000001,-41.9999999999999 48.5000000000001)))', '49', '48.5', '-41', '-42', '26A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 49.0000000000001,-41.9999999999999 49.5000000000001,-40.9999999999999 49.5000000000001,-40.9999999999999 49.0000000000001,-41.9999999999999 49.0000000000001)))', '49.5', '49', '-41', '-42', '27A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 49.5000000000001,-41.9999999999999 50.0000000000001,-40.9999999999999 50.0000000000001,-40.9999999999999 49.5000000000001,-41.9999999999999 49.5000000000001)))', '50', '49.5', '-41', '-42', '28A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 50.0000000000001,-41.9999999999999 50.5000000000001,-40.9999999999999 50.5000000000001,-40.9999999999999 50.0000000000001,-41.9999999999999 50.0000000000001)))', '50.5', '50', '-41', '-42', '29A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 50.5000000000001,-41.9999999999999 51.0000000000001,-40.9999999999999 51.0000000000001,-40.9999999999999 50.5000000000001,-41.9999999999999 50.5000000000001)))', '51', '50.5', '-41', '-42', '30A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 51.0000000000001,-41.9999999999999 51.5000000000001,-40.9999999999999 51.5000000000001,-40.9999999999999 51.0000000000001,-41.9999999999999 51.0000000000001)))', '51.5', '51', '-41', '-42', '31A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 51.5000000000001,-41.9999999999999 52.0000000000001,-40.9999999999999 52.0000000000001,-40.9999999999999 51.5000000000001,-41.9999999999999 51.5000000000001)))', '52', '51.5', '-41', '-42', '32A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 52.0000000000001,-41.9999999999999 52.5000000000001,-40.9999999999999 52.5000000000001,-40.9999999999999 52.0000000000001,-41.9999999999999 52.0000000000001)))', '52.5', '52', '-41', '-42', '33A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 52.5000000000001,-41.9999999999999 53.0000000000001,-40.9999999999999 53.0000000000001,-40.9999999999999 52.5000000000001,-41.9999999999999 52.5000000000001)))', '53', '52.5', '-41', '-42', '34A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 53.0000000000001,-41.9999999999999 53.5000000000001,-40.9999999999999 53.5000000000001,-40.9999999999999 53.0000000000001,-41.9999999999999 53.0000000000001)))', '53.5', '53', '-41', '-42', '35A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 53.5000000000001,-41.9999999999999 54.0000000000001,-40.9999999999999 54.0000000000001,-40.9999999999999 53.5000000000001,-41.9999999999999 53.5000000000001)))', '54', '53.5', '-41', '-42', '36A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 54.0000000000001,-41.9999999999999 54.5000000000001,-40.9999999999999 54.5000000000001,-40.9999999999999 54.0000000000001,-41.9999999999999 54.0000000000001)))', '54.5', '54', '-41', '-42', '37A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 54.5000000000001,-41.9999999999999 55.0000000000001,-40.9999999999999 55.0000000000001,-40.9999999999999 54.5000000000001,-41.9999999999999 54.5000000000001)))', '55', '54.5', '-41', '-42', '38A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 55.0000000000001,-41.9999999999999 55.5000000000001,-40.9999999999999 55.5000000000001,-40.9999999999999 55.0000000000001,-41.9999999999999 55.0000000000001)))', '55.5', '55', '-41', '-42', '39A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 55.5000000000001,-41.9999999999999 56.0000000000001,-40.9999999999999 56.0000000000001,-40.9999999999999 55.5000000000001,-41.9999999999999 55.5000000000001)))', '56', '55.5', '-41', '-42', '40A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 56.0000000000001,-41.9999999999999 56.5000000000001,-40.9999999999999 56.5000000000001,-40.9999999999999 56.0000000000001,-41.9999999999999 56.0000000000001)))', '56.5', '56', '-41', '-42', '41A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 56.5000000000001,-41.9999999999999 57.0000000000001,-40.9999999999999 57.0000000000001,-40.9999999999999 56.5000000000001,-41.9999999999999 56.5000000000001)))', '57', '56.5', '-41', '-42', '42A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 57.0000000000001,-41.9999999999999 57.5000000000001,-40.9999999999999 57.5000000000001,-40.9999999999999 57.0000000000001,-41.9999999999999 57.0000000000001)))', '57.5', '57', '-41', '-42', '43A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 57.5000000000001,-41.9999999999999 58.0000000000001,-40.9999999999999 58.0000000000001,-40.9999999999999 57.5000000000001,-41.9999999999999 57.5000000000001)))', '58', '57.5', '-41', '-42', '44A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 58.0000000000001,-41.9999999999999 58.5000000000001,-40.9999999999999 58.5000000000001,-40.9999999999999 58.0000000000001,-41.9999999999999 58.0000000000001)))', '58.5', '58', '-41', '-42', '45A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 58.5000000000001,-41.9999999999999 59.0000000000001,-40.9999999999999 59.0000000000001,-40.9999999999999 58.5000000000001,-41.9999999999999 58.5000000000001)))', '59', '58.5', '-41', '-42', '46A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 59.0000000000001,-41.9999999999999 59.5000000000001,-40.9999999999999 59.5000000000001,-40.9999999999999 59.0000000000001,-41.9999999999999 59.0000000000001)))', '59.5', '59', '-41', '-42', '47A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 59.5000000000001,-41.9999999999999 60.0000000000001,-40.9999999999999 60.0000000000001,-40.9999999999999 59.5000000000001,-41.9999999999999 59.5000000000001)))', '60', '59.5', '-41', '-42', '48A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 60.0000000000001,-41.9999999999999 60.5000000000001,-40.9999999999999 60.5000000000001,-40.9999999999999 60.0000000000001,-41.9999999999999 60.0000000000001)))', '60.5', '60', '-41', '-42', '49A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 60.5000000000001,-41.9999999999999 61.0000000000001,-40.9999999999999 61.0000000000001,-40.9999999999999 60.5000000000001,-41.9999999999999 60.5000000000001)))', '61', '60.5', '-41', '-42', '50A2', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-41.9999999999999 61.0000000000001,-41.9999999999999 61.5000000000001,-40.9999999999999 61.5000000000001,-40.9999999999999 61.0000000000001,-41.9999999999999 61.0000000000001)))', '61.5', '61', '-41', '-42', '51A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 61.5000000000001,-41.9999999999999 62.0000000000001,-40.9999999999999 62.0000000000001,-40.9999999999999 61.5000000000001,-41.9999999999999 61.5000000000001)))', '62', '61.5', '-41', '-42', '52A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 62.0000000000001,-41.9999999999999 62.5000000000001,-40.9999999999999 62.5000000000001,-40.9999999999999 62.0000000000001,-41.9999999999999 62.0000000000001)))', '62.5', '62', '-41', '-42', '53A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 62.5000000000001,-41.9999999999999 63.0000000000001,-40.9999999999999 63.0000000000001,-40.9999999999999 62.5000000000001,-41.9999999999999 62.5000000000001)))', '63', '62.5', '-41', '-42', '54A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 63.0000000000001,-41.9999999999999 63.5000000000001,-40.9999999999999 63.5000000000001,-40.9999999999999 63.0000000000001,-41.9999999999999 63.0000000000001)))', '63.5', '63', '-41', '-42', '55A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 63.5000000000001,-41.9999999999999 64.0000000000001,-40.9999999999999 64.0000000000001,-40.9999999999999 63.5000000000001,-41.9999999999999 63.5000000000001)))', '64', '63.5', '-41', '-42', '56A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 64.0000000000001,-41.9999999999999 64.5000000000001,-40.9999999999999 64.5000000000001,-40.9999999999999 64.0000000000001,-41.9999999999999 64.0000000000001)))', '64.5', '64', '-41', '-42', '57A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 64.5000000000001,-41.9999999999999 65.0000000000001,-40.9999999999999 65.0000000000001,-40.9999999999999 64.5000000000001,-41.9999999999999 64.5000000000001)))', '65', '64.5', '-41', '-42', '58A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 65.0000000000001,-41.9999999999999 65.5000000000001,-40.9999999999999 65.5000000000001,-40.9999999999999 65.0000000000001,-41.9999999999999 65.0000000000001)))', '65.5', '65', '-41', '-42', '59A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 82.0000000000001,-41.9999999999999 82.5000000000001,-40.9999999999999 82.5000000000001,-40.9999999999999 82.0000000000001,-41.9999999999999 82.0000000000001)))', '82.5', '82', '-41', '-42', '93A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 82.5000000000001,-41.9999999999999 83.0000000000001,-40.9999999999999 83.0000000000001,-40.9999999999999 82.5000000000001,-41.9999999999999 82.5000000000001)))', '83', '82.5', '-41', '-42', '94A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 83.0000000000001,-41.9999999999999 83.5000000000001,-40.9999999999999 83.5000000000001,-40.9999999999999 83.0000000000001,-41.9999999999999 83.0000000000001)))', '83.5', '83', '-41', '-42', '95A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 83.5000000000001,-41.9999999999999 84.0000000000001,-40.9999999999999 84.0000000000001,-40.9999999999999 83.5000000000001,-41.9999999999999 83.5000000000001)))', '84', '83.5', '-41', '-42', '96A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 84.0000000000001,-41.9999999999999 84.5000000000001,-40.9999999999999 84.5000000000001,-40.9999999999999 84.0000000000001,-41.9999999999999 84.0000000000001)))', '84.5', '84', '-41', '-42', '97A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-41.9999999999999 84.5000000000001,-41.9999999999999 85.0000000000001,-40.9999999999999 85.0000000000001,-40.9999999999999 84.5000000000001,-41.9999999999999 84.5000000000001)))', '85', '84.5', '-41', '-42', '98A2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 36.0000000000001,-40.9999999999999 36.5000000000001,-39.9999999999999 36.5000000000001,-39.9999999999999 36.0000000000001,-40.9999999999999 36.0000000000001)))', '36.5', '36', '-40', '-41', '01A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 36.5000000000001,-40.9999999999999 37.0000000000001,-39.9999999999999 37.0000000000001,-39.9999999999999 36.5000000000001,-40.9999999999999 36.5000000000001)))', '37', '36.5', '-40', '-41', '02A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 37.0000000000001,-40.9999999999999 37.5000000000001,-39.9999999999999 37.5000000000001,-39.9999999999999 37.0000000000001,-40.9999999999999 37.0000000000001)))', '37.5', '37', '-40', '-41', '03A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 37.5000000000001,-40.9999999999999 38.0000000000001,-39.9999999999999 38.0000000000001,-39.9999999999999 37.5000000000001,-40.9999999999999 37.5000000000001)))', '38', '37.5', '-40', '-41', '04A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 38.0000000000001,-40.9999999999999 38.5000000000001,-39.9999999999999 38.5000000000001,-39.9999999999999 38.0000000000001,-40.9999999999999 38.0000000000001)))', '38.5', '38', '-40', '-41', '05A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 38.5000000000001,-40.9999999999999 39.0000000000001,-39.9999999999999 39.0000000000001,-39.9999999999999 38.5000000000001,-40.9999999999999 38.5000000000001)))', '39', '38.5', '-40', '-41', '06A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 39.0000000000001,-40.9999999999999 39.5000000000001,-39.9999999999999 39.5000000000001,-39.9999999999999 39.0000000000001,-40.9999999999999 39.0000000000001)))', '39.5', '39', '-40', '-41', '07A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 39.5000000000001,-40.9999999999999 40.0000000000001,-39.9999999999999 40.0000000000001,-39.9999999999999 39.5000000000001,-40.9999999999999 39.5000000000001)))', '40', '39.5', '-40', '-41', '08A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 40.0000000000001,-40.9999999999999 40.5000000000001,-39.9999999999999 40.5000000000001,-39.9999999999999 40.0000000000001,-40.9999999999999 40.0000000000001)))', '40.5', '40', '-40', '-41', '09A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 40.5000000000001,-40.9999999999999 41.0000000000001,-39.9999999999999 41.0000000000001,-39.9999999999999 40.5000000000001,-40.9999999999999 40.5000000000001)))', '41', '40.5', '-40', '-41', '10A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 41.0000000000001,-40.9999999999999 41.5000000000001,-39.9999999999999 41.5000000000001,-39.9999999999999 41.0000000000001,-40.9999999999999 41.0000000000001)))', '41.5', '41', '-40', '-41', '11A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 41.5000000000001,-40.9999999999999 42.0000000000001,-39.9999999999999 42.0000000000001,-39.9999999999999 41.5000000000001,-40.9999999999999 41.5000000000001)))', '42', '41.5', '-40', '-41', '12A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 42.0000000000001,-40.9999999999999 42.5000000000001,-39.9999999999999 42.5000000000001,-39.9999999999999 42.0000000000001,-40.9999999999999 42.0000000000001)))', '42.5', '42', '-40', '-41', '13A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 42.5000000000001,-40.9999999999999 43.0000000000001,-39.9999999999999 43.0000000000001,-39.9999999999999 42.5000000000001,-40.9999999999999 42.5000000000001)))', '43', '42.5', '-40', '-41', '14A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 43.0000000000001,-40.9999999999999 43.5000000000001,-39.9999999999999 43.5000000000001,-39.9999999999999 43.0000000000001,-40.9999999999999 43.0000000000001)))', '43.5', '43', '-40', '-41', '15A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 43.5000000000001,-40.9999999999999 44.0000000000001,-39.9999999999999 44.0000000000001,-39.9999999999999 43.5000000000001,-40.9999999999999 43.5000000000001)))', '44', '43.5', '-40', '-41', '16A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 44.0000000000001,-40.9999999999999 44.5000000000001,-39.9999999999999 44.5000000000001,-39.9999999999999 44.0000000000001,-40.9999999999999 44.0000000000001)))', '44.5', '44', '-40', '-41', '17A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 44.5000000000001,-40.9999999999999 45.0000000000001,-39.9999999999999 45.0000000000001,-39.9999999999999 44.5000000000001,-40.9999999999999 44.5000000000001)))', '45', '44.5', '-40', '-41', '18A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 45.0000000000001,-40.9999999999999 45.5000000000001,-39.9999999999999 45.5000000000001,-39.9999999999999 45.0000000000001,-40.9999999999999 45.0000000000001)))', '45.5', '45', '-40', '-41', '19A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 45.5000000000001,-40.9999999999999 46.0000000000001,-39.9999999999999 46.0000000000001,-39.9999999999999 45.5000000000001,-40.9999999999999 45.5000000000001)))', '46', '45.5', '-40', '-41', '20A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 46.0000000000001,-40.9999999999999 46.5000000000001,-39.9999999999999 46.5000000000001,-39.9999999999999 46.0000000000001,-40.9999999999999 46.0000000000001)))', '46.5', '46', '-40', '-41', '21A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 46.5000000000001,-40.9999999999999 47.0000000000001,-39.9999999999999 47.0000000000001,-39.9999999999999 46.5000000000001,-40.9999999999999 46.5000000000001)))', '47', '46.5', '-40', '-41', '22A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 47.0000000000001,-40.9999999999999 47.5000000000001,-39.9999999999999 47.5000000000001,-39.9999999999999 47.0000000000001,-40.9999999999999 47.0000000000001)))', '47.5', '47', '-40', '-41', '23A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 47.5000000000001,-40.9999999999999 48.0000000000001,-39.9999999999999 48.0000000000001,-39.9999999999999 47.5000000000001,-40.9999999999999 47.5000000000001)))', '48', '47.5', '-40', '-41', '24A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 48.0000000000001,-40.9999999999999 48.5000000000001,-39.9999999999999 48.5000000000001,-39.9999999999999 48.0000000000001,-40.9999999999999 48.0000000000001)))', '48.5', '48', '-40', '-41', '25A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 48.5000000000001,-40.9999999999999 49.0000000000001,-39.9999999999999 49.0000000000001,-39.9999999999999 48.5000000000001,-40.9999999999999 48.5000000000001)))', '49', '48.5', '-40', '-41', '26A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 49.0000000000001,-40.9999999999999 49.5000000000001,-39.9999999999999 49.5000000000001,-39.9999999999999 49.0000000000001,-40.9999999999999 49.0000000000001)))', '49.5', '49', '-40', '-41', '27A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 49.5000000000001,-40.9999999999999 50.0000000000001,-39.9999999999999 50.0000000000001,-39.9999999999999 49.5000000000001,-40.9999999999999 49.5000000000001)))', '50', '49.5', '-40', '-41', '28A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 50.0000000000001,-40.9999999999999 50.5000000000001,-39.9999999999999 50.5000000000001,-39.9999999999999 50.0000000000001,-40.9999999999999 50.0000000000001)))', '50.5', '50', '-40', '-41', '29A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 50.5000000000001,-40.9999999999999 51.0000000000001,-39.9999999999999 51.0000000000001,-39.9999999999999 50.5000000000001,-40.9999999999999 50.5000000000001)))', '51', '50.5', '-40', '-41', '30A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 51.0000000000001,-40.9999999999999 51.5000000000001,-39.9999999999999 51.5000000000001,-39.9999999999999 51.0000000000001,-40.9999999999999 51.0000000000001)))', '51.5', '51', '-40', '-41', '31A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 51.5000000000001,-40.9999999999999 52.0000000000001,-39.9999999999999 52.0000000000001,-39.9999999999999 51.5000000000001,-40.9999999999999 51.5000000000001)))', '52', '51.5', '-40', '-41', '32A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 52.0000000000001,-40.9999999999999 52.5000000000001,-39.9999999999999 52.5000000000001,-39.9999999999999 52.0000000000001,-40.9999999999999 52.0000000000001)))', '52.5', '52', '-40', '-41', '33A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 52.5000000000001,-40.9999999999999 53.0000000000001,-39.9999999999999 53.0000000000001,-39.9999999999999 52.5000000000001,-40.9999999999999 52.5000000000001)))', '53', '52.5', '-40', '-41', '34A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 53.0000000000001,-40.9999999999999 53.5000000000001,-39.9999999999999 53.5000000000001,-39.9999999999999 53.0000000000001,-40.9999999999999 53.0000000000001)))', '53.5', '53', '-40', '-41', '35A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 53.5000000000001,-40.9999999999999 54.0000000000001,-39.9999999999999 54.0000000000001,-39.9999999999999 53.5000000000001,-40.9999999999999 53.5000000000001)))', '54', '53.5', '-40', '-41', '36A3', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-40.9999999999999 54.0000000000001,-40.9999999999999 54.5000000000001,-39.9999999999999 54.5000000000001,-39.9999999999999 54.0000000000001,-40.9999999999999 54.0000000000001)))', '54.5', '54', '-40', '-41', '37A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 54.5000000000001,-40.9999999999999 55.0000000000001,-39.9999999999999 55.0000000000001,-39.9999999999999 54.5000000000001,-40.9999999999999 54.5000000000001)))', '55', '54.5', '-40', '-41', '38A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 55.0000000000001,-40.9999999999999 55.5000000000001,-39.9999999999999 55.5000000000001,-39.9999999999999 55.0000000000001,-40.9999999999999 55.0000000000001)))', '55.5', '55', '-40', '-41', '39A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 55.5000000000001,-40.9999999999999 56.0000000000001,-39.9999999999999 56.0000000000001,-39.9999999999999 55.5000000000001,-40.9999999999999 55.5000000000001)))', '56', '55.5', '-40', '-41', '40A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 56.0000000000001,-40.9999999999999 56.5000000000001,-39.9999999999999 56.5000000000001,-39.9999999999999 56.0000000000001,-40.9999999999999 56.0000000000001)))', '56.5', '56', '-40', '-41', '41A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 56.5000000000001,-40.9999999999999 57.0000000000001,-39.9999999999999 57.0000000000001,-39.9999999999999 56.5000000000001,-40.9999999999999 56.5000000000001)))', '57', '56.5', '-40', '-41', '42A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 57.0000000000001,-40.9999999999999 57.5000000000001,-39.9999999999999 57.5000000000001,-39.9999999999999 57.0000000000001,-40.9999999999999 57.0000000000001)))', '57.5', '57', '-40', '-41', '43A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 57.5000000000001,-40.9999999999999 58.0000000000001,-39.9999999999999 58.0000000000001,-39.9999999999999 57.5000000000001,-40.9999999999999 57.5000000000001)))', '58', '57.5', '-40', '-41', '44A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 58.0000000000001,-40.9999999999999 58.5000000000001,-39.9999999999999 58.5000000000001,-39.9999999999999 58.0000000000001,-40.9999999999999 58.0000000000001)))', '58.5', '58', '-40', '-41', '45A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 58.5000000000001,-40.9999999999999 59.0000000000001,-39.9999999999999 59.0000000000001,-39.9999999999999 58.5000000000001,-40.9999999999999 58.5000000000001)))', '59', '58.5', '-40', '-41', '46A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 59.0000000000001,-40.9999999999999 59.5000000000001,-39.9999999999999 59.5000000000001,-39.9999999999999 59.0000000000001,-40.9999999999999 59.0000000000001)))', '59.5', '59', '-40', '-41', '47A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 59.5000000000001,-40.9999999999999 60.0000000000001,-39.9999999999999 60.0000000000001,-39.9999999999999 59.5000000000001,-40.9999999999999 59.5000000000001)))', '60', '59.5', '-40', '-41', '48A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 60.0000000000001,-40.9999999999999 60.5000000000001,-39.9999999999999 60.5000000000001,-39.9999999999999 60.0000000000001,-40.9999999999999 60.0000000000001)))', '60.5', '60', '-40', '-41', '49A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 60.5000000000001,-40.9999999999999 61.0000000000001,-39.9999999999999 61.0000000000001,-39.9999999999999 60.5000000000001,-40.9999999999999 60.5000000000001)))', '61', '60.5', '-40', '-41', '50A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 61.0000000000001,-40.9999999999999 61.5000000000001,-39.9999999999999 61.5000000000001,-39.9999999999999 61.0000000000001,-40.9999999999999 61.0000000000001)))', '61.5', '61', '-40', '-41', '51A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 61.5000000000001,-40.9999999999999 62.0000000000001,-39.9999999999999 62.0000000000001,-39.9999999999999 61.5000000000001,-40.9999999999999 61.5000000000001)))', '62', '61.5', '-40', '-41', '52A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 62.0000000000001,-40.9999999999999 62.5000000000001,-39.9999999999999 62.5000000000001,-39.9999999999999 62.0000000000001,-40.9999999999999 62.0000000000001)))', '62.5', '62', '-40', '-41', '53A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 62.5000000000001,-40.9999999999999 63.0000000000001,-39.9999999999999 63.0000000000001,-39.9999999999999 62.5000000000001,-40.9999999999999 62.5000000000001)))', '63', '62.5', '-40', '-41', '54A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 63.0000000000001,-40.9999999999999 63.5000000000001,-39.9999999999999 63.5000000000001,-39.9999999999999 63.0000000000001,-40.9999999999999 63.0000000000001)))', '63.5', '63', '-40', '-41', '55A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 63.5000000000001,-40.9999999999999 64.0000000000001,-39.9999999999999 64.0000000000001,-39.9999999999999 63.5000000000001,-40.9999999999999 63.5000000000001)))', '64', '63.5', '-40', '-41', '56A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 64.0000000000001,-40.9999999999999 64.5000000000001,-39.9999999999999 64.5000000000001,-39.9999999999999 64.0000000000001,-40.9999999999999 64.0000000000001)))', '64.5', '64', '-40', '-41', '57A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 64.5000000000001,-40.9999999999999 65.0000000000001,-39.9999999999999 65.0000000000001,-39.9999999999999 64.5000000000001,-40.9999999999999 64.5000000000001)))', '65', '64.5', '-40', '-41', '58A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 65.0000000000001,-40.9999999999999 65.5000000000001,-39.9999999999999 65.5000000000001,-39.9999999999999 65.0000000000001,-40.9999999999999 65.0000000000001)))', '65.5', '65', '-40', '-41', '59A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 65.5000000000001,-40.9999999999999 66.0000000000001,-39.9999999999999 66.0000000000001,-39.9999999999999 65.5000000000001,-40.9999999999999 65.5000000000001)))', '66', '65.5', '-40', '-41', '60A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 82.0000000000001,-40.9999999999999 82.5000000000001,-39.9999999999999 82.5000000000001,-39.9999999999999 82.0000000000001,-40.9999999999999 82.0000000000001)))', '82.5', '82', '-40', '-41', '93A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 82.5000000000001,-40.9999999999999 83.0000000000001,-39.9999999999999 83.0000000000001,-39.9999999999999 82.5000000000001,-40.9999999999999 82.5000000000001)))', '83', '82.5', '-40', '-41', '94A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 83.0000000000001,-40.9999999999999 83.5000000000001,-39.9999999999999 83.5000000000001,-39.9999999999999 83.0000000000001,-40.9999999999999 83.0000000000001)))', '83.5', '83', '-40', '-41', '95A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 83.5000000000001,-40.9999999999999 84.0000000000001,-39.9999999999999 84.0000000000001,-39.9999999999999 83.5000000000001,-40.9999999999999 83.5000000000001)))', '84', '83.5', '-40', '-41', '96A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 84.0000000000001,-40.9999999999999 84.5000000000001,-39.9999999999999 84.5000000000001,-39.9999999999999 84.0000000000001,-40.9999999999999 84.0000000000001)))', '84.5', '84', '-40', '-41', '97A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-40.9999999999999 84.5000000000001,-40.9999999999999 85.0000000000001,-39.9999999999999 85.0000000000001,-39.9999999999999 84.5000000000001,-40.9999999999999 84.5000000000001)))', '85', '84.5', '-40', '-41', '98A3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 36.0000000000001,-39.9999999999999 36.5000000000001,-38.9999999999999 36.5000000000001,-38.9999999999999 36.0000000000001,-39.9999999999999 36.0000000000001)))', '36.5', '36', '-39', '-40', '01B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 36.5000000000001,-39.9999999999999 37.0000000000001,-38.9999999999999 37.0000000000001,-38.9999999999999 36.5000000000001,-39.9999999999999 36.5000000000001)))', '37', '36.5', '-39', '-40', '02B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 37.0000000000001,-39.9999999999999 37.5000000000001,-38.9999999999999 37.5000000000001,-38.9999999999999 37.0000000000001,-39.9999999999999 37.0000000000001)))', '37.5', '37', '-39', '-40', '03B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 37.5000000000001,-39.9999999999999 38.0000000000001,-38.9999999999999 38.0000000000001,-38.9999999999999 37.5000000000001,-39.9999999999999 37.5000000000001)))', '38', '37.5', '-39', '-40', '04B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 38.0000000000001,-39.9999999999999 38.5000000000001,-38.9999999999999 38.5000000000001,-38.9999999999999 38.0000000000001,-39.9999999999999 38.0000000000001)))', '38.5', '38', '-39', '-40', '05B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 38.5000000000001,-39.9999999999999 39.0000000000001,-38.9999999999999 39.0000000000001,-38.9999999999999 38.5000000000001,-39.9999999999999 38.5000000000001)))', '39', '38.5', '-39', '-40', '06B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 39.0000000000001,-39.9999999999999 39.5000000000001,-38.9999999999999 39.5000000000001,-38.9999999999999 39.0000000000001,-39.9999999999999 39.0000000000001)))', '39.5', '39', '-39', '-40', '07B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 39.5000000000001,-39.9999999999999 40.0000000000001,-38.9999999999999 40.0000000000001,-38.9999999999999 39.5000000000001,-39.9999999999999 39.5000000000001)))', '40', '39.5', '-39', '-40', '08B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 40.0000000000001,-39.9999999999999 40.5000000000001,-38.9999999999999 40.5000000000001,-38.9999999999999 40.0000000000001,-39.9999999999999 40.0000000000001)))', '40.5', '40', '-39', '-40', '09B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 40.5000000000001,-39.9999999999999 41.0000000000001,-38.9999999999999 41.0000000000001,-38.9999999999999 40.5000000000001,-39.9999999999999 40.5000000000001)))', '41', '40.5', '-39', '-40', '10B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 41.0000000000001,-39.9999999999999 41.5000000000001,-38.9999999999999 41.5000000000001,-38.9999999999999 41.0000000000001,-39.9999999999999 41.0000000000001)))', '41.5', '41', '-39', '-40', '11B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 41.5000000000001,-39.9999999999999 42.0000000000001,-38.9999999999999 42.0000000000001,-38.9999999999999 41.5000000000001,-39.9999999999999 41.5000000000001)))', '42', '41.5', '-39', '-40', '12B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 42.0000000000001,-39.9999999999999 42.5000000000001,-38.9999999999999 42.5000000000001,-38.9999999999999 42.0000000000001,-39.9999999999999 42.0000000000001)))', '42.5', '42', '-39', '-40', '13B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 42.5000000000001,-39.9999999999999 43.0000000000001,-38.9999999999999 43.0000000000001,-38.9999999999999 42.5000000000001,-39.9999999999999 42.5000000000001)))', '43', '42.5', '-39', '-40', '14B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 43.0000000000001,-39.9999999999999 43.5000000000001,-38.9999999999999 43.5000000000001,-38.9999999999999 43.0000000000001,-39.9999999999999 43.0000000000001)))', '43.5', '43', '-39', '-40', '15B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 43.5000000000001,-39.9999999999999 44.0000000000001,-38.9999999999999 44.0000000000001,-38.9999999999999 43.5000000000001,-39.9999999999999 43.5000000000001)))', '44', '43.5', '-39', '-40', '16B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 44.0000000000001,-39.9999999999999 44.5000000000001,-38.9999999999999 44.5000000000001,-38.9999999999999 44.0000000000001,-39.9999999999999 44.0000000000001)))', '44.5', '44', '-39', '-40', '17B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 44.5000000000001,-39.9999999999999 45.0000000000001,-38.9999999999999 45.0000000000001,-38.9999999999999 44.5000000000001,-39.9999999999999 44.5000000000001)))', '45', '44.5', '-39', '-40', '18B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 45.0000000000001,-39.9999999999999 45.5000000000001,-38.9999999999999 45.5000000000001,-38.9999999999999 45.0000000000001,-39.9999999999999 45.0000000000001)))', '45.5', '45', '-39', '-40', '19B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 45.5000000000001,-39.9999999999999 46.0000000000001,-38.9999999999999 46.0000000000001,-38.9999999999999 45.5000000000001,-39.9999999999999 45.5000000000001)))', '46', '45.5', '-39', '-40', '20B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 46.0000000000001,-39.9999999999999 46.5000000000001,-38.9999999999999 46.5000000000001,-38.9999999999999 46.0000000000001,-39.9999999999999 46.0000000000001)))', '46.5', '46', '-39', '-40', '21B0', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-39.9999999999999 46.5000000000001,-39.9999999999999 47.0000000000001,-38.9999999999999 47.0000000000001,-38.9999999999999 46.5000000000001,-39.9999999999999 46.5000000000001)))', '47', '46.5', '-39', '-40', '22B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 47.0000000000001,-39.9999999999999 47.5000000000001,-38.9999999999999 47.5000000000001,-38.9999999999999 47.0000000000001,-39.9999999999999 47.0000000000001)))', '47.5', '47', '-39', '-40', '23B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 47.5000000000001,-39.9999999999999 48.0000000000001,-38.9999999999999 48.0000000000001,-38.9999999999999 47.5000000000001,-39.9999999999999 47.5000000000001)))', '48', '47.5', '-39', '-40', '24B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 48.0000000000001,-39.9999999999999 48.5000000000001,-38.9999999999999 48.5000000000001,-38.9999999999999 48.0000000000001,-39.9999999999999 48.0000000000001)))', '48.5', '48', '-39', '-40', '25B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 48.5000000000001,-39.9999999999999 49.0000000000001,-38.9999999999999 49.0000000000001,-38.9999999999999 48.5000000000001,-39.9999999999999 48.5000000000001)))', '49', '48.5', '-39', '-40', '26B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 49.0000000000001,-39.9999999999999 49.5000000000001,-38.9999999999999 49.5000000000001,-38.9999999999999 49.0000000000001,-39.9999999999999 49.0000000000001)))', '49.5', '49', '-39', '-40', '27B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 49.5000000000001,-39.9999999999999 50.0000000000001,-38.9999999999999 50.0000000000001,-38.9999999999999 49.5000000000001,-39.9999999999999 49.5000000000001)))', '50', '49.5', '-39', '-40', '28B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 50.0000000000001,-39.9999999999999 50.5000000000001,-38.9999999999999 50.5000000000001,-38.9999999999999 50.0000000000001,-39.9999999999999 50.0000000000001)))', '50.5', '50', '-39', '-40', '29B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 50.5000000000001,-39.9999999999999 51.0000000000001,-38.9999999999999 51.0000000000001,-38.9999999999999 50.5000000000001,-39.9999999999999 50.5000000000001)))', '51', '50.5', '-39', '-40', '30B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 51.0000000000001,-39.9999999999999 51.5000000000001,-38.9999999999999 51.5000000000001,-38.9999999999999 51.0000000000001,-39.9999999999999 51.0000000000001)))', '51.5', '51', '-39', '-40', '31B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 51.5000000000001,-39.9999999999999 52.0000000000001,-38.9999999999999 52.0000000000001,-38.9999999999999 51.5000000000001,-39.9999999999999 51.5000000000001)))', '52', '51.5', '-39', '-40', '32B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 52.0000000000001,-39.9999999999999 52.5000000000001,-38.9999999999999 52.5000000000001,-38.9999999999999 52.0000000000001,-39.9999999999999 52.0000000000001)))', '52.5', '52', '-39', '-40', '33B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 52.5000000000001,-39.9999999999999 53.0000000000001,-38.9999999999999 53.0000000000001,-38.9999999999999 52.5000000000001,-39.9999999999999 52.5000000000001)))', '53', '52.5', '-39', '-40', '34B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 53.0000000000001,-39.9999999999999 53.5000000000001,-38.9999999999999 53.5000000000001,-38.9999999999999 53.0000000000001,-39.9999999999999 53.0000000000001)))', '53.5', '53', '-39', '-40', '35B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 53.5000000000001,-39.9999999999999 54.0000000000001,-38.9999999999999 54.0000000000001,-38.9999999999999 53.5000000000001,-39.9999999999999 53.5000000000001)))', '54', '53.5', '-39', '-40', '36B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 54.0000000000001,-39.9999999999999 54.5000000000001,-38.9999999999999 54.5000000000001,-38.9999999999999 54.0000000000001,-39.9999999999999 54.0000000000001)))', '54.5', '54', '-39', '-40', '37B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 54.5000000000001,-39.9999999999999 55.0000000000001,-38.9999999999999 55.0000000000001,-38.9999999999999 54.5000000000001,-39.9999999999999 54.5000000000001)))', '55', '54.5', '-39', '-40', '38B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 55.0000000000001,-39.9999999999999 55.5000000000001,-38.9999999999999 55.5000000000001,-38.9999999999999 55.0000000000001,-39.9999999999999 55.0000000000001)))', '55.5', '55', '-39', '-40', '39B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 55.5000000000001,-39.9999999999999 56.0000000000001,-38.9999999999999 56.0000000000001,-38.9999999999999 55.5000000000001,-39.9999999999999 55.5000000000001)))', '56', '55.5', '-39', '-40', '40B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 56.0000000000001,-39.9999999999999 56.5000000000001,-38.9999999999999 56.5000000000001,-38.9999999999999 56.0000000000001,-39.9999999999999 56.0000000000001)))', '56.5', '56', '-39', '-40', '41B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 56.5000000000001,-39.9999999999999 57.0000000000001,-38.9999999999999 57.0000000000001,-38.9999999999999 56.5000000000001,-39.9999999999999 56.5000000000001)))', '57', '56.5', '-39', '-40', '42B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 57.0000000000001,-39.9999999999999 57.5000000000001,-38.9999999999999 57.5000000000001,-38.9999999999999 57.0000000000001,-39.9999999999999 57.0000000000001)))', '57.5', '57', '-39', '-40', '43B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 57.5000000000001,-39.9999999999999 58.0000000000001,-38.9999999999999 58.0000000000001,-38.9999999999999 57.5000000000001,-39.9999999999999 57.5000000000001)))', '58', '57.5', '-39', '-40', '44B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 58.0000000000001,-39.9999999999999 58.5000000000001,-38.9999999999999 58.5000000000001,-38.9999999999999 58.0000000000001,-39.9999999999999 58.0000000000001)))', '58.5', '58', '-39', '-40', '45B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 58.5000000000001,-39.9999999999999 59.0000000000001,-38.9999999999999 59.0000000000001,-38.9999999999999 58.5000000000001,-39.9999999999999 58.5000000000001)))', '59', '58.5', '-39', '-40', '46B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 59.0000000000001,-39.9999999999999 59.5000000000001,-38.9999999999999 59.5000000000001,-38.9999999999999 59.0000000000001,-39.9999999999999 59.0000000000001)))', '59.5', '59', '-39', '-40', '47B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 59.5000000000001,-39.9999999999999 60.0000000000001,-38.9999999999999 60.0000000000001,-38.9999999999999 59.5000000000001,-39.9999999999999 59.5000000000001)))', '60', '59.5', '-39', '-40', '48B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 60.0000000000001,-39.9999999999999 60.5000000000001,-38.9999999999999 60.5000000000001,-38.9999999999999 60.0000000000001,-39.9999999999999 60.0000000000001)))', '60.5', '60', '-39', '-40', '49B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 60.5000000000001,-39.9999999999999 61.0000000000001,-38.9999999999999 61.0000000000001,-38.9999999999999 60.5000000000001,-39.9999999999999 60.5000000000001)))', '61', '60.5', '-39', '-40', '50B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 61.0000000000001,-39.9999999999999 61.5000000000001,-38.9999999999999 61.5000000000001,-38.9999999999999 61.0000000000001,-39.9999999999999 61.0000000000001)))', '61.5', '61', '-39', '-40', '51B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 61.5000000000001,-39.9999999999999 62.0000000000001,-38.9999999999999 62.0000000000001,-38.9999999999999 61.5000000000001,-39.9999999999999 61.5000000000001)))', '62', '61.5', '-39', '-40', '52B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 62.0000000000001,-39.9999999999999 62.5000000000001,-38.9999999999999 62.5000000000001,-38.9999999999999 62.0000000000001,-39.9999999999999 62.0000000000001)))', '62.5', '62', '-39', '-40', '53B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 62.5000000000001,-39.9999999999999 63.0000000000001,-38.9999999999999 63.0000000000001,-38.9999999999999 62.5000000000001,-39.9999999999999 62.5000000000001)))', '63', '62.5', '-39', '-40', '54B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 63.0000000000001,-39.9999999999999 63.5000000000001,-38.9999999999999 63.5000000000001,-38.9999999999999 63.0000000000001,-39.9999999999999 63.0000000000001)))', '63.5', '63', '-39', '-40', '55B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 63.5000000000001,-39.9999999999999 64.0000000000001,-38.9999999999999 64.0000000000001,-38.9999999999999 63.5000000000001,-39.9999999999999 63.5000000000001)))', '64', '63.5', '-39', '-40', '56B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 64.0000000000001,-39.9999999999999 64.5000000000001,-38.9999999999999 64.5000000000001,-38.9999999999999 64.0000000000001,-39.9999999999999 64.0000000000001)))', '64.5', '64', '-39', '-40', '57B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 64.5000000000001,-39.9999999999999 65.0000000000001,-38.9999999999999 65.0000000000001,-38.9999999999999 64.5000000000001,-39.9999999999999 64.5000000000001)))', '65', '64.5', '-39', '-40', '58B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 65.0000000000001,-39.9999999999999 65.5000000000001,-38.9999999999999 65.5000000000001,-38.9999999999999 65.0000000000001,-39.9999999999999 65.0000000000001)))', '65.5', '65', '-39', '-40', '59B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 65.5000000000001,-39.9999999999999 66.0000000000001,-38.9999999999999 66.0000000000001,-38.9999999999999 65.5000000000001,-39.9999999999999 65.5000000000001)))', '66', '65.5', '-39', '-40', '60B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 82.0000000000001,-39.9999999999999 82.5000000000001,-38.9999999999999 82.5000000000001,-38.9999999999999 82.0000000000001,-39.9999999999999 82.0000000000001)))', '82.5', '82', '-39', '-40', '93B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 82.5000000000001,-39.9999999999999 83.0000000000001,-38.9999999999999 83.0000000000001,-38.9999999999999 82.5000000000001,-39.9999999999999 82.5000000000001)))', '83', '82.5', '-39', '-40', '94B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 83.0000000000001,-39.9999999999999 83.5000000000001,-38.9999999999999 83.5000000000001,-38.9999999999999 83.0000000000001,-39.9999999999999 83.0000000000001)))', '83.5', '83', '-39', '-40', '95B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 83.5000000000001,-39.9999999999999 84.0000000000001,-38.9999999999999 84.0000000000001,-38.9999999999999 83.5000000000001,-39.9999999999999 83.5000000000001)))', '84', '83.5', '-39', '-40', '96B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 84.0000000000001,-39.9999999999999 84.5000000000001,-38.9999999999999 84.5000000000001,-38.9999999999999 84.0000000000001,-39.9999999999999 84.0000000000001)))', '84.5', '84', '-39', '-40', '97B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-39.9999999999999 84.5000000000001,-39.9999999999999 85.0000000000001,-38.9999999999999 85.0000000000001,-38.9999999999999 84.5000000000001,-39.9999999999999 84.5000000000001)))', '85', '84.5', '-39', '-40', '98B0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 36.0000000000001,-38.9999999999999 36.5000000000001,-37.9999999999999 36.5000000000001,-37.9999999999999 36.0000000000001,-38.9999999999999 36.0000000000001)))', '36.5', '36', '-38', '-39', '01B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 36.5000000000001,-38.9999999999999 37.0000000000001,-37.9999999999999 37.0000000000001,-37.9999999999999 36.5000000000001,-38.9999999999999 36.5000000000001)))', '37', '36.5', '-38', '-39', '02B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 37.0000000000001,-38.9999999999999 37.5000000000001,-37.9999999999999 37.5000000000001,-37.9999999999999 37.0000000000001,-38.9999999999999 37.0000000000001)))', '37.5', '37', '-38', '-39', '03B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 37.5000000000001,-38.9999999999999 38.0000000000001,-37.9999999999999 38.0000000000001,-37.9999999999999 37.5000000000001,-38.9999999999999 37.5000000000001)))', '38', '37.5', '-38', '-39', '04B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 38.0000000000001,-38.9999999999999 38.5000000000001,-37.9999999999999 38.5000000000001,-37.9999999999999 38.0000000000001,-38.9999999999999 38.0000000000001)))', '38.5', '38', '-38', '-39', '05B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 38.5000000000001,-38.9999999999999 39.0000000000001,-37.9999999999999 39.0000000000001,-37.9999999999999 38.5000000000001,-38.9999999999999 38.5000000000001)))', '39', '38.5', '-38', '-39', '06B1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-38.9999999999999 39.0000000000001,-38.9999999999999 39.5000000000001,-37.9999999999999 39.5000000000001,-37.9999999999999 39.0000000000001,-38.9999999999999 39.0000000000001)))', '39.5', '39', '-38', '-39', '07B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 39.5000000000001,-38.9999999999999 40.0000000000001,-37.9999999999999 40.0000000000001,-37.9999999999999 39.5000000000001,-38.9999999999999 39.5000000000001)))', '40', '39.5', '-38', '-39', '08B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 40.0000000000001,-38.9999999999999 40.5000000000001,-37.9999999999999 40.5000000000001,-37.9999999999999 40.0000000000001,-38.9999999999999 40.0000000000001)))', '40.5', '40', '-38', '-39', '09B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 40.5000000000001,-38.9999999999999 41.0000000000001,-37.9999999999999 41.0000000000001,-37.9999999999999 40.5000000000001,-38.9999999999999 40.5000000000001)))', '41', '40.5', '-38', '-39', '10B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 41.0000000000001,-38.9999999999999 41.5000000000001,-37.9999999999999 41.5000000000001,-37.9999999999999 41.0000000000001,-38.9999999999999 41.0000000000001)))', '41.5', '41', '-38', '-39', '11B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 41.5000000000001,-38.9999999999999 42.0000000000001,-37.9999999999999 42.0000000000001,-37.9999999999999 41.5000000000001,-38.9999999999999 41.5000000000001)))', '42', '41.5', '-38', '-39', '12B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 42.0000000000001,-38.9999999999999 42.5000000000001,-37.9999999999999 42.5000000000001,-37.9999999999999 42.0000000000001,-38.9999999999999 42.0000000000001)))', '42.5', '42', '-38', '-39', '13B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 42.5000000000001,-38.9999999999999 43.0000000000001,-37.9999999999999 43.0000000000001,-37.9999999999999 42.5000000000001,-38.9999999999999 42.5000000000001)))', '43', '42.5', '-38', '-39', '14B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 43.0000000000001,-38.9999999999999 43.5000000000001,-37.9999999999999 43.5000000000001,-37.9999999999999 43.0000000000001,-38.9999999999999 43.0000000000001)))', '43.5', '43', '-38', '-39', '15B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 43.5000000000001,-38.9999999999999 44.0000000000001,-37.9999999999999 44.0000000000001,-37.9999999999999 43.5000000000001,-38.9999999999999 43.5000000000001)))', '44', '43.5', '-38', '-39', '16B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 44.0000000000001,-38.9999999999999 44.5000000000001,-37.9999999999999 44.5000000000001,-37.9999999999999 44.0000000000001,-38.9999999999999 44.0000000000001)))', '44.5', '44', '-38', '-39', '17B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 44.5000000000001,-38.9999999999999 45.0000000000001,-37.9999999999999 45.0000000000001,-37.9999999999999 44.5000000000001,-38.9999999999999 44.5000000000001)))', '45', '44.5', '-38', '-39', '18B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 45.0000000000001,-38.9999999999999 45.5000000000001,-37.9999999999999 45.5000000000001,-37.9999999999999 45.0000000000001,-38.9999999999999 45.0000000000001)))', '45.5', '45', '-38', '-39', '19B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 45.5000000000001,-38.9999999999999 46.0000000000001,-37.9999999999999 46.0000000000001,-37.9999999999999 45.5000000000001,-38.9999999999999 45.5000000000001)))', '46', '45.5', '-38', '-39', '20B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 46.0000000000001,-38.9999999999999 46.5000000000001,-37.9999999999999 46.5000000000001,-37.9999999999999 46.0000000000001,-38.9999999999999 46.0000000000001)))', '46.5', '46', '-38', '-39', '21B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 46.5000000000001,-38.9999999999999 47.0000000000001,-37.9999999999999 47.0000000000001,-37.9999999999999 46.5000000000001,-38.9999999999999 46.5000000000001)))', '47', '46.5', '-38', '-39', '22B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 47.0000000000001,-38.9999999999999 47.5000000000001,-37.9999999999999 47.5000000000001,-37.9999999999999 47.0000000000001,-38.9999999999999 47.0000000000001)))', '47.5', '47', '-38', '-39', '23B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 47.5000000000001,-38.9999999999999 48.0000000000001,-37.9999999999999 48.0000000000001,-37.9999999999999 47.5000000000001,-38.9999999999999 47.5000000000001)))', '48', '47.5', '-38', '-39', '24B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 48.0000000000001,-38.9999999999999 48.5000000000001,-37.9999999999999 48.5000000000001,-37.9999999999999 48.0000000000001,-38.9999999999999 48.0000000000001)))', '48.5', '48', '-38', '-39', '25B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 48.5000000000001,-38.9999999999999 49.0000000000001,-37.9999999999999 49.0000000000001,-37.9999999999999 48.5000000000001,-38.9999999999999 48.5000000000001)))', '49', '48.5', '-38', '-39', '26B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 49.0000000000001,-38.9999999999999 49.5000000000001,-37.9999999999999 49.5000000000001,-37.9999999999999 49.0000000000001,-38.9999999999999 49.0000000000001)))', '49.5', '49', '-38', '-39', '27B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 49.5000000000001,-38.9999999999999 50.0000000000001,-37.9999999999999 50.0000000000001,-37.9999999999999 49.5000000000001,-38.9999999999999 49.5000000000001)))', '50', '49.5', '-38', '-39', '28B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 50.0000000000001,-38.9999999999999 50.5000000000001,-37.9999999999999 50.5000000000001,-37.9999999999999 50.0000000000001,-38.9999999999999 50.0000000000001)))', '50.5', '50', '-38', '-39', '29B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 50.5000000000001,-38.9999999999999 51.0000000000001,-37.9999999999999 51.0000000000001,-37.9999999999999 50.5000000000001,-38.9999999999999 50.5000000000001)))', '51', '50.5', '-38', '-39', '30B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 51.0000000000001,-38.9999999999999 51.5000000000001,-37.9999999999999 51.5000000000001,-37.9999999999999 51.0000000000001,-38.9999999999999 51.0000000000001)))', '51.5', '51', '-38', '-39', '31B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 51.5000000000001,-38.9999999999999 52.0000000000001,-37.9999999999999 52.0000000000001,-37.9999999999999 51.5000000000001,-38.9999999999999 51.5000000000001)))', '52', '51.5', '-38', '-39', '32B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 52.0000000000001,-38.9999999999999 52.5000000000001,-37.9999999999999 52.5000000000001,-37.9999999999999 52.0000000000001,-38.9999999999999 52.0000000000001)))', '52.5', '52', '-38', '-39', '33B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 52.5000000000001,-38.9999999999999 53.0000000000001,-37.9999999999999 53.0000000000001,-37.9999999999999 52.5000000000001,-38.9999999999999 52.5000000000001)))', '53', '52.5', '-38', '-39', '34B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 53.0000000000001,-38.9999999999999 53.5000000000001,-37.9999999999999 53.5000000000001,-37.9999999999999 53.0000000000001,-38.9999999999999 53.0000000000001)))', '53.5', '53', '-38', '-39', '35B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 53.5000000000001,-38.9999999999999 54.0000000000001,-37.9999999999999 54.0000000000001,-37.9999999999999 53.5000000000001,-38.9999999999999 53.5000000000001)))', '54', '53.5', '-38', '-39', '36B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 54.0000000000001,-38.9999999999999 54.5000000000001,-37.9999999999999 54.5000000000001,-37.9999999999999 54.0000000000001,-38.9999999999999 54.0000000000001)))', '54.5', '54', '-38', '-39', '37B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 54.5000000000001,-38.9999999999999 55.0000000000001,-37.9999999999999 55.0000000000001,-37.9999999999999 54.5000000000001,-38.9999999999999 54.5000000000001)))', '55', '54.5', '-38', '-39', '38B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 55.0000000000001,-38.9999999999999 55.5000000000001,-37.9999999999999 55.5000000000001,-37.9999999999999 55.0000000000001,-38.9999999999999 55.0000000000001)))', '55.5', '55', '-38', '-39', '39B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 55.5000000000001,-38.9999999999999 56.0000000000001,-37.9999999999999 56.0000000000001,-37.9999999999999 55.5000000000001,-38.9999999999999 55.5000000000001)))', '56', '55.5', '-38', '-39', '40B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 56.0000000000001,-38.9999999999999 56.5000000000001,-37.9999999999999 56.5000000000001,-37.9999999999999 56.0000000000001,-38.9999999999999 56.0000000000001)))', '56.5', '56', '-38', '-39', '41B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 56.5000000000001,-38.9999999999999 57.0000000000001,-37.9999999999999 57.0000000000001,-37.9999999999999 56.5000000000001,-38.9999999999999 56.5000000000001)))', '57', '56.5', '-38', '-39', '42B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 57.0000000000001,-38.9999999999999 57.5000000000001,-37.9999999999999 57.5000000000001,-37.9999999999999 57.0000000000001,-38.9999999999999 57.0000000000001)))', '57.5', '57', '-38', '-39', '43B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 57.5000000000001,-38.9999999999999 58.0000000000001,-37.9999999999999 58.0000000000001,-37.9999999999999 57.5000000000001,-38.9999999999999 57.5000000000001)))', '58', '57.5', '-38', '-39', '44B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 58.0000000000001,-38.9999999999999 58.5000000000001,-37.9999999999999 58.5000000000001,-37.9999999999999 58.0000000000001,-38.9999999999999 58.0000000000001)))', '58.5', '58', '-38', '-39', '45B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 58.5000000000001,-38.9999999999999 59.0000000000001,-37.9999999999999 59.0000000000001,-37.9999999999999 58.5000000000001,-38.9999999999999 58.5000000000001)))', '59', '58.5', '-38', '-39', '46B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 59.0000000000001,-38.9999999999999 59.5000000000001,-37.9999999999999 59.5000000000001,-37.9999999999999 59.0000000000001,-38.9999999999999 59.0000000000001)))', '59.5', '59', '-38', '-39', '47B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 59.5000000000001,-38.9999999999999 60.0000000000001,-37.9999999999999 60.0000000000001,-37.9999999999999 59.5000000000001,-38.9999999999999 59.5000000000001)))', '60', '59.5', '-38', '-39', '48B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 60.0000000000001,-38.9999999999999 60.5000000000001,-37.9999999999999 60.5000000000001,-37.9999999999999 60.0000000000001,-38.9999999999999 60.0000000000001)))', '60.5', '60', '-38', '-39', '49B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 60.5000000000001,-38.9999999999999 61.0000000000001,-37.9999999999999 61.0000000000001,-37.9999999999999 60.5000000000001,-38.9999999999999 60.5000000000001)))', '61', '60.5', '-38', '-39', '50B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 61.0000000000001,-38.9999999999999 61.5000000000001,-37.9999999999999 61.5000000000001,-37.9999999999999 61.0000000000001,-38.9999999999999 61.0000000000001)))', '61.5', '61', '-38', '-39', '51B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 61.5000000000001,-38.9999999999999 62.0000000000001,-37.9999999999999 62.0000000000001,-37.9999999999999 61.5000000000001,-38.9999999999999 61.5000000000001)))', '62', '61.5', '-38', '-39', '52B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 62.0000000000001,-38.9999999999999 62.5000000000001,-37.9999999999999 62.5000000000001,-37.9999999999999 62.0000000000001,-38.9999999999999 62.0000000000001)))', '62.5', '62', '-38', '-39', '53B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 62.5000000000001,-38.9999999999999 63.0000000000001,-37.9999999999999 63.0000000000001,-37.9999999999999 62.5000000000001,-38.9999999999999 62.5000000000001)))', '63', '62.5', '-38', '-39', '54B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 63.0000000000001,-38.9999999999999 63.5000000000001,-37.9999999999999 63.5000000000001,-37.9999999999999 63.0000000000001,-38.9999999999999 63.0000000000001)))', '63.5', '63', '-38', '-39', '55B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 63.5000000000001,-38.9999999999999 64.0000000000001,-37.9999999999999 64.0000000000001,-37.9999999999999 63.5000000000001,-38.9999999999999 63.5000000000001)))', '64', '63.5', '-38', '-39', '56B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 64.0000000000001,-38.9999999999999 64.5000000000001,-37.9999999999999 64.5000000000001,-37.9999999999999 64.0000000000001,-38.9999999999999 64.0000000000001)))', '64.5', '64', '-38', '-39', '57B1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-38.9999999999999 64.5000000000001,-38.9999999999999 65.0000000000001,-37.9999999999999 65.0000000000001,-37.9999999999999 64.5000000000001,-38.9999999999999 64.5000000000001)))', '65', '64.5', '-38', '-39', '58B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 65.0000000000001,-38.9999999999999 65.5000000000001,-37.9999999999999 65.5000000000001,-37.9999999999999 65.0000000000001,-38.9999999999999 65.0000000000001)))', '65.5', '65', '-38', '-39', '59B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 65.5000000000001,-38.9999999999999 66.0000000000001,-37.9999999999999 66.0000000000001,-37.9999999999999 65.5000000000001,-38.9999999999999 65.5000000000001)))', '66', '65.5', '-38', '-39', '60B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 66.0000000000001,-38.9999999999999 66.5000000000001,-37.9999999999999 66.5000000000001,-37.9999999999999 66.0000000000001,-38.9999999999999 66.0000000000001)))', '66.5', '66', '-38', '-39', '61B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 82.5000000000001,-38.9999999999999 83.0000000000001,-37.9999999999999 83.0000000000001,-37.9999999999999 82.5000000000001,-38.9999999999999 82.5000000000001)))', '83', '82.5', '-38', '-39', '94B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 83.0000000000001,-38.9999999999999 83.5000000000001,-37.9999999999999 83.5000000000001,-37.9999999999999 83.0000000000001,-38.9999999999999 83.0000000000001)))', '83.5', '83', '-38', '-39', '95B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 83.5000000000001,-38.9999999999999 84.0000000000001,-37.9999999999999 84.0000000000001,-37.9999999999999 83.5000000000001,-38.9999999999999 83.5000000000001)))', '84', '83.5', '-38', '-39', '96B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 84.0000000000001,-38.9999999999999 84.5000000000001,-37.9999999999999 84.5000000000001,-37.9999999999999 84.0000000000001,-38.9999999999999 84.0000000000001)))', '84.5', '84', '-38', '-39', '97B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-38.9999999999999 84.5000000000001,-38.9999999999999 85.0000000000001,-37.9999999999999 85.0000000000001,-37.9999999999999 84.5000000000001,-38.9999999999999 84.5000000000001)))', '85', '84.5', '-38', '-39', '98B1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 36.0000000000001,-37.9999999999999 36.5000000000001,-36.9999999999999 36.5000000000001,-36.9999999999999 36.0000000000001,-37.9999999999999 36.0000000000001)))', '36.5', '36', '-37', '-38', '01B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 36.5000000000001,-37.9999999999999 37.0000000000001,-36.9999999999999 37.0000000000001,-36.9999999999999 36.5000000000001,-37.9999999999999 36.5000000000001)))', '37', '36.5', '-37', '-38', '02B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 37.0000000000001,-37.9999999999999 37.5000000000001,-36.9999999999999 37.5000000000001,-36.9999999999999 37.0000000000001,-37.9999999999999 37.0000000000001)))', '37.5', '37', '-37', '-38', '03B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 37.5000000000001,-37.9999999999999 38.0000000000001,-36.9999999999999 38.0000000000001,-36.9999999999999 37.5000000000001,-37.9999999999999 37.5000000000001)))', '38', '37.5', '-37', '-38', '04B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 38.0000000000001,-37.9999999999999 38.5000000000001,-36.9999999999999 38.5000000000001,-36.9999999999999 38.0000000000001,-37.9999999999999 38.0000000000001)))', '38.5', '38', '-37', '-38', '05B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 38.5000000000001,-37.9999999999999 39.0000000000001,-36.9999999999999 39.0000000000001,-36.9999999999999 38.5000000000001,-37.9999999999999 38.5000000000001)))', '39', '38.5', '-37', '-38', '06B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 39.0000000000001,-37.9999999999999 39.5000000000001,-36.9999999999999 39.5000000000001,-36.9999999999999 39.0000000000001,-37.9999999999999 39.0000000000001)))', '39.5', '39', '-37', '-38', '07B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 39.5000000000001,-37.9999999999999 40.0000000000001,-36.9999999999999 40.0000000000001,-36.9999999999999 39.5000000000001,-37.9999999999999 39.5000000000001)))', '40', '39.5', '-37', '-38', '08B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 40.0000000000001,-37.9999999999999 40.5000000000001,-36.9999999999999 40.5000000000001,-36.9999999999999 40.0000000000001,-37.9999999999999 40.0000000000001)))', '40.5', '40', '-37', '-38', '09B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 40.5000000000001,-37.9999999999999 41.0000000000001,-36.9999999999999 41.0000000000001,-36.9999999999999 40.5000000000001,-37.9999999999999 40.5000000000001)))', '41', '40.5', '-37', '-38', '10B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 41.0000000000001,-37.9999999999999 41.5000000000001,-36.9999999999999 41.5000000000001,-36.9999999999999 41.0000000000001,-37.9999999999999 41.0000000000001)))', '41.5', '41', '-37', '-38', '11B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 41.5000000000001,-37.9999999999999 42.0000000000001,-36.9999999999999 42.0000000000001,-36.9999999999999 41.5000000000001,-37.9999999999999 41.5000000000001)))', '42', '41.5', '-37', '-38', '12B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 42.0000000000001,-37.9999999999999 42.5000000000001,-36.9999999999999 42.5000000000001,-36.9999999999999 42.0000000000001,-37.9999999999999 42.0000000000001)))', '42.5', '42', '-37', '-38', '13B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 42.5000000000001,-37.9999999999999 43.0000000000001,-36.9999999999999 43.0000000000001,-36.9999999999999 42.5000000000001,-37.9999999999999 42.5000000000001)))', '43', '42.5', '-37', '-38', '14B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 43.0000000000001,-37.9999999999999 43.5000000000001,-36.9999999999999 43.5000000000001,-36.9999999999999 43.0000000000001,-37.9999999999999 43.0000000000001)))', '43.5', '43', '-37', '-38', '15B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 43.5000000000001,-37.9999999999999 44.0000000000001,-36.9999999999999 44.0000000000001,-36.9999999999999 43.5000000000001,-37.9999999999999 43.5000000000001)))', '44', '43.5', '-37', '-38', '16B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 44.0000000000001,-37.9999999999999 44.5000000000001,-36.9999999999999 44.5000000000001,-36.9999999999999 44.0000000000001,-37.9999999999999 44.0000000000001)))', '44.5', '44', '-37', '-38', '17B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 44.5000000000001,-37.9999999999999 45.0000000000001,-36.9999999999999 45.0000000000001,-36.9999999999999 44.5000000000001,-37.9999999999999 44.5000000000001)))', '45', '44.5', '-37', '-38', '18B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 45.0000000000001,-37.9999999999999 45.5000000000001,-36.9999999999999 45.5000000000001,-36.9999999999999 45.0000000000001,-37.9999999999999 45.0000000000001)))', '45.5', '45', '-37', '-38', '19B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 45.5000000000001,-37.9999999999999 46.0000000000001,-36.9999999999999 46.0000000000001,-36.9999999999999 45.5000000000001,-37.9999999999999 45.5000000000001)))', '46', '45.5', '-37', '-38', '20B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 46.0000000000001,-37.9999999999999 46.5000000000001,-36.9999999999999 46.5000000000001,-36.9999999999999 46.0000000000001,-37.9999999999999 46.0000000000001)))', '46.5', '46', '-37', '-38', '21B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 46.5000000000001,-37.9999999999999 47.0000000000001,-36.9999999999999 47.0000000000001,-36.9999999999999 46.5000000000001,-37.9999999999999 46.5000000000001)))', '47', '46.5', '-37', '-38', '22B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 47.0000000000001,-37.9999999999999 47.5000000000001,-36.9999999999999 47.5000000000001,-36.9999999999999 47.0000000000001,-37.9999999999999 47.0000000000001)))', '47.5', '47', '-37', '-38', '23B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 47.5000000000001,-37.9999999999999 48.0000000000001,-36.9999999999999 48.0000000000001,-36.9999999999999 47.5000000000001,-37.9999999999999 47.5000000000001)))', '48', '47.5', '-37', '-38', '24B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 48.0000000000001,-37.9999999999999 48.5000000000001,-36.9999999999999 48.5000000000001,-36.9999999999999 48.0000000000001,-37.9999999999999 48.0000000000001)))', '48.5', '48', '-37', '-38', '25B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 48.5000000000001,-37.9999999999999 49.0000000000001,-36.9999999999999 49.0000000000001,-36.9999999999999 48.5000000000001,-37.9999999999999 48.5000000000001)))', '49', '48.5', '-37', '-38', '26B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 49.0000000000001,-37.9999999999999 49.5000000000001,-36.9999999999999 49.5000000000001,-36.9999999999999 49.0000000000001,-37.9999999999999 49.0000000000001)))', '49.5', '49', '-37', '-38', '27B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 49.5000000000001,-37.9999999999999 50.0000000000001,-36.9999999999999 50.0000000000001,-36.9999999999999 49.5000000000001,-37.9999999999999 49.5000000000001)))', '50', '49.5', '-37', '-38', '28B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 50.0000000000001,-37.9999999999999 50.5000000000001,-36.9999999999999 50.5000000000001,-36.9999999999999 50.0000000000001,-37.9999999999999 50.0000000000001)))', '50.5', '50', '-37', '-38', '29B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 50.5000000000001,-37.9999999999999 51.0000000000001,-36.9999999999999 51.0000000000001,-36.9999999999999 50.5000000000001,-37.9999999999999 50.5000000000001)))', '51', '50.5', '-37', '-38', '30B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 51.0000000000001,-37.9999999999999 51.5000000000001,-36.9999999999999 51.5000000000001,-36.9999999999999 51.0000000000001,-37.9999999999999 51.0000000000001)))', '51.5', '51', '-37', '-38', '31B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 51.5000000000001,-37.9999999999999 52.0000000000001,-36.9999999999999 52.0000000000001,-36.9999999999999 51.5000000000001,-37.9999999999999 51.5000000000001)))', '52', '51.5', '-37', '-38', '32B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 52.0000000000001,-37.9999999999999 52.5000000000001,-36.9999999999999 52.5000000000001,-36.9999999999999 52.0000000000001,-37.9999999999999 52.0000000000001)))', '52.5', '52', '-37', '-38', '33B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 52.5000000000001,-37.9999999999999 53.0000000000001,-36.9999999999999 53.0000000000001,-36.9999999999999 52.5000000000001,-37.9999999999999 52.5000000000001)))', '53', '52.5', '-37', '-38', '34B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 53.0000000000001,-37.9999999999999 53.5000000000001,-36.9999999999999 53.5000000000001,-36.9999999999999 53.0000000000001,-37.9999999999999 53.0000000000001)))', '53.5', '53', '-37', '-38', '35B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 53.5000000000001,-37.9999999999999 54.0000000000001,-36.9999999999999 54.0000000000001,-36.9999999999999 53.5000000000001,-37.9999999999999 53.5000000000001)))', '54', '53.5', '-37', '-38', '36B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 54.0000000000001,-37.9999999999999 54.5000000000001,-36.9999999999999 54.5000000000001,-36.9999999999999 54.0000000000001,-37.9999999999999 54.0000000000001)))', '54.5', '54', '-37', '-38', '37B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 54.5000000000001,-37.9999999999999 55.0000000000001,-36.9999999999999 55.0000000000001,-36.9999999999999 54.5000000000001,-37.9999999999999 54.5000000000001)))', '55', '54.5', '-37', '-38', '38B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 55.0000000000001,-37.9999999999999 55.5000000000001,-36.9999999999999 55.5000000000001,-36.9999999999999 55.0000000000001,-37.9999999999999 55.0000000000001)))', '55.5', '55', '-37', '-38', '39B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 55.5000000000001,-37.9999999999999 56.0000000000001,-36.9999999999999 56.0000000000001,-36.9999999999999 55.5000000000001,-37.9999999999999 55.5000000000001)))', '56', '55.5', '-37', '-38', '40B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 56.0000000000001,-37.9999999999999 56.5000000000001,-36.9999999999999 56.5000000000001,-36.9999999999999 56.0000000000001,-37.9999999999999 56.0000000000001)))', '56.5', '56', '-37', '-38', '41B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 56.5000000000001,-37.9999999999999 57.0000000000001,-36.9999999999999 57.0000000000001,-36.9999999999999 56.5000000000001,-37.9999999999999 56.5000000000001)))', '57', '56.5', '-37', '-38', '42B2', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-37.9999999999999 57.0000000000001,-37.9999999999999 57.5000000000001,-36.9999999999999 57.5000000000001,-36.9999999999999 57.0000000000001,-37.9999999999999 57.0000000000001)))', '57.5', '57', '-37', '-38', '43B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 57.5000000000001,-37.9999999999999 58.0000000000001,-36.9999999999999 58.0000000000001,-36.9999999999999 57.5000000000001,-37.9999999999999 57.5000000000001)))', '58', '57.5', '-37', '-38', '44B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 58.0000000000001,-37.9999999999999 58.5000000000001,-36.9999999999999 58.5000000000001,-36.9999999999999 58.0000000000001,-37.9999999999999 58.0000000000001)))', '58.5', '58', '-37', '-38', '45B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 58.5000000000001,-37.9999999999999 59.0000000000001,-36.9999999999999 59.0000000000001,-36.9999999999999 58.5000000000001,-37.9999999999999 58.5000000000001)))', '59', '58.5', '-37', '-38', '46B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 59.0000000000001,-37.9999999999999 59.5000000000001,-36.9999999999999 59.5000000000001,-36.9999999999999 59.0000000000001,-37.9999999999999 59.0000000000001)))', '59.5', '59', '-37', '-38', '47B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 59.5000000000001,-37.9999999999999 60.0000000000001,-36.9999999999999 60.0000000000001,-36.9999999999999 59.5000000000001,-37.9999999999999 59.5000000000001)))', '60', '59.5', '-37', '-38', '48B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 60.0000000000001,-37.9999999999999 60.5000000000001,-36.9999999999999 60.5000000000001,-36.9999999999999 60.0000000000001,-37.9999999999999 60.0000000000001)))', '60.5', '60', '-37', '-38', '49B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 60.5000000000001,-37.9999999999999 61.0000000000001,-36.9999999999999 61.0000000000001,-36.9999999999999 60.5000000000001,-37.9999999999999 60.5000000000001)))', '61', '60.5', '-37', '-38', '50B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 61.0000000000001,-37.9999999999999 61.5000000000001,-36.9999999999999 61.5000000000001,-36.9999999999999 61.0000000000001,-37.9999999999999 61.0000000000001)))', '61.5', '61', '-37', '-38', '51B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 61.5000000000001,-37.9999999999999 62.0000000000001,-36.9999999999999 62.0000000000001,-36.9999999999999 61.5000000000001,-37.9999999999999 61.5000000000001)))', '62', '61.5', '-37', '-38', '52B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 62.0000000000001,-37.9999999999999 62.5000000000001,-36.9999999999999 62.5000000000001,-36.9999999999999 62.0000000000001,-37.9999999999999 62.0000000000001)))', '62.5', '62', '-37', '-38', '53B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 62.5000000000001,-37.9999999999999 63.0000000000001,-36.9999999999999 63.0000000000001,-36.9999999999999 62.5000000000001,-37.9999999999999 62.5000000000001)))', '63', '62.5', '-37', '-38', '54B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 63.0000000000001,-37.9999999999999 63.5000000000001,-36.9999999999999 63.5000000000001,-36.9999999999999 63.0000000000001,-37.9999999999999 63.0000000000001)))', '63.5', '63', '-37', '-38', '55B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 63.5000000000001,-37.9999999999999 64.0000000000001,-36.9999999999999 64.0000000000001,-36.9999999999999 63.5000000000001,-37.9999999999999 63.5000000000001)))', '64', '63.5', '-37', '-38', '56B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 64.0000000000001,-37.9999999999999 64.5000000000001,-36.9999999999999 64.5000000000001,-36.9999999999999 64.0000000000001,-37.9999999999999 64.0000000000001)))', '64.5', '64', '-37', '-38', '57B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 64.5000000000001,-37.9999999999999 65.0000000000001,-36.9999999999999 65.0000000000001,-36.9999999999999 64.5000000000001,-37.9999999999999 64.5000000000001)))', '65', '64.5', '-37', '-38', '58B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 65.0000000000001,-37.9999999999999 65.5000000000001,-36.9999999999999 65.5000000000001,-36.9999999999999 65.0000000000001,-37.9999999999999 65.0000000000001)))', '65.5', '65', '-37', '-38', '59B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 65.5000000000001,-37.9999999999999 66.0000000000001,-36.9999999999999 66.0000000000001,-36.9999999999999 65.5000000000001,-37.9999999999999 65.5000000000001)))', '66', '65.5', '-37', '-38', '60B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 66.0000000000001,-37.9999999999999 66.5000000000001,-36.9999999999999 66.5000000000001,-36.9999999999999 66.0000000000001,-37.9999999999999 66.0000000000001)))', '66.5', '66', '-37', '-38', '61B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 82.5000000000001,-37.9999999999999 83.0000000000001,-36.9999999999999 83.0000000000001,-36.9999999999999 82.5000000000001,-37.9999999999999 82.5000000000001)))', '83', '82.5', '-37', '-38', '94B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 83.0000000000001,-37.9999999999999 83.5000000000001,-36.9999999999999 83.5000000000001,-36.9999999999999 83.0000000000001,-37.9999999999999 83.0000000000001)))', '83.5', '83', '-37', '-38', '95B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 83.5000000000001,-37.9999999999999 84.0000000000001,-36.9999999999999 84.0000000000001,-36.9999999999999 83.5000000000001,-37.9999999999999 83.5000000000001)))', '84', '83.5', '-37', '-38', '96B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 84.0000000000001,-37.9999999999999 84.5000000000001,-36.9999999999999 84.5000000000001,-36.9999999999999 84.0000000000001,-37.9999999999999 84.0000000000001)))', '84.5', '84', '-37', '-38', '97B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-37.9999999999999 84.5000000000001,-37.9999999999999 85.0000000000001,-36.9999999999999 85.0000000000001,-36.9999999999999 84.5000000000001,-37.9999999999999 84.5000000000001)))', '85', '84.5', '-37', '-38', '98B2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 36.0000000000001,-36.9999999999999 36.5000000000001,-35.9999999999999 36.5000000000001,-35.9999999999999 36.0000000000001,-36.9999999999999 36.0000000000001)))', '36.5', '36', '-36', '-37', '01B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 36.5000000000001,-36.9999999999999 37.0000000000001,-35.9999999999999 37.0000000000001,-35.9999999999999 36.5000000000001,-36.9999999999999 36.5000000000001)))', '37', '36.5', '-36', '-37', '02B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 37.0000000000001,-36.9999999999999 37.5000000000001,-35.9999999999999 37.5000000000001,-35.9999999999999 37.0000000000001,-36.9999999999999 37.0000000000001)))', '37.5', '37', '-36', '-37', '03B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 37.5000000000001,-36.9999999999999 38.0000000000001,-35.9999999999999 38.0000000000001,-35.9999999999999 37.5000000000001,-36.9999999999999 37.5000000000001)))', '38', '37.5', '-36', '-37', '04B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 38.0000000000001,-36.9999999999999 38.5000000000001,-35.9999999999999 38.5000000000001,-35.9999999999999 38.0000000000001,-36.9999999999999 38.0000000000001)))', '38.5', '38', '-36', '-37', '05B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 38.5000000000001,-36.9999999999999 39.0000000000001,-35.9999999999999 39.0000000000001,-35.9999999999999 38.5000000000001,-36.9999999999999 38.5000000000001)))', '39', '38.5', '-36', '-37', '06B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 39.0000000000001,-36.9999999999999 39.5000000000001,-35.9999999999999 39.5000000000001,-35.9999999999999 39.0000000000001,-36.9999999999999 39.0000000000001)))', '39.5', '39', '-36', '-37', '07B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 39.5000000000001,-36.9999999999999 40.0000000000001,-35.9999999999999 40.0000000000001,-35.9999999999999 39.5000000000001,-36.9999999999999 39.5000000000001)))', '40', '39.5', '-36', '-37', '08B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 40.0000000000001,-36.9999999999999 40.5000000000001,-35.9999999999999 40.5000000000001,-35.9999999999999 40.0000000000001,-36.9999999999999 40.0000000000001)))', '40.5', '40', '-36', '-37', '09B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 40.5000000000001,-36.9999999999999 41.0000000000001,-35.9999999999999 41.0000000000001,-35.9999999999999 40.5000000000001,-36.9999999999999 40.5000000000001)))', '41', '40.5', '-36', '-37', '10B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 41.0000000000001,-36.9999999999999 41.5000000000001,-35.9999999999999 41.5000000000001,-35.9999999999999 41.0000000000001,-36.9999999999999 41.0000000000001)))', '41.5', '41', '-36', '-37', '11B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 41.5000000000001,-36.9999999999999 42.0000000000001,-35.9999999999999 42.0000000000001,-35.9999999999999 41.5000000000001,-36.9999999999999 41.5000000000001)))', '42', '41.5', '-36', '-37', '12B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 42.0000000000001,-36.9999999999999 42.5000000000001,-35.9999999999999 42.5000000000001,-35.9999999999999 42.0000000000001,-36.9999999999999 42.0000000000001)))', '42.5', '42', '-36', '-37', '13B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 42.5000000000001,-36.9999999999999 43.0000000000001,-35.9999999999999 43.0000000000001,-35.9999999999999 42.5000000000001,-36.9999999999999 42.5000000000001)))', '43', '42.5', '-36', '-37', '14B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 43.0000000000001,-36.9999999999999 43.5000000000001,-35.9999999999999 43.5000000000001,-35.9999999999999 43.0000000000001,-36.9999999999999 43.0000000000001)))', '43.5', '43', '-36', '-37', '15B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 43.5000000000001,-36.9999999999999 44.0000000000001,-35.9999999999999 44.0000000000001,-35.9999999999999 43.5000000000001,-36.9999999999999 43.5000000000001)))', '44', '43.5', '-36', '-37', '16B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 44.0000000000001,-36.9999999999999 44.5000000000001,-35.9999999999999 44.5000000000001,-35.9999999999999 44.0000000000001,-36.9999999999999 44.0000000000001)))', '44.5', '44', '-36', '-37', '17B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 44.5000000000001,-36.9999999999999 45.0000000000001,-35.9999999999999 45.0000000000001,-35.9999999999999 44.5000000000001,-36.9999999999999 44.5000000000001)))', '45', '44.5', '-36', '-37', '18B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 45.0000000000001,-36.9999999999999 45.5000000000001,-35.9999999999999 45.5000000000001,-35.9999999999999 45.0000000000001,-36.9999999999999 45.0000000000001)))', '45.5', '45', '-36', '-37', '19B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 45.5000000000001,-36.9999999999999 46.0000000000001,-35.9999999999999 46.0000000000001,-35.9999999999999 45.5000000000001,-36.9999999999999 45.5000000000001)))', '46', '45.5', '-36', '-37', '20B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 46.0000000000001,-36.9999999999999 46.5000000000001,-35.9999999999999 46.5000000000001,-35.9999999999999 46.0000000000001,-36.9999999999999 46.0000000000001)))', '46.5', '46', '-36', '-37', '21B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 46.5000000000001,-36.9999999999999 47.0000000000001,-35.9999999999999 47.0000000000001,-35.9999999999999 46.5000000000001,-36.9999999999999 46.5000000000001)))', '47', '46.5', '-36', '-37', '22B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 47.0000000000001,-36.9999999999999 47.5000000000001,-35.9999999999999 47.5000000000001,-35.9999999999999 47.0000000000001,-36.9999999999999 47.0000000000001)))', '47.5', '47', '-36', '-37', '23B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 47.5000000000001,-36.9999999999999 48.0000000000001,-35.9999999999999 48.0000000000001,-35.9999999999999 47.5000000000001,-36.9999999999999 47.5000000000001)))', '48', '47.5', '-36', '-37', '24B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 48.0000000000001,-36.9999999999999 48.5000000000001,-35.9999999999999 48.5000000000001,-35.9999999999999 48.0000000000001,-36.9999999999999 48.0000000000001)))', '48.5', '48', '-36', '-37', '25B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 48.5000000000001,-36.9999999999999 49.0000000000001,-35.9999999999999 49.0000000000001,-35.9999999999999 48.5000000000001,-36.9999999999999 48.5000000000001)))', '49', '48.5', '-36', '-37', '26B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 49.0000000000001,-36.9999999999999 49.5000000000001,-35.9999999999999 49.5000000000001,-35.9999999999999 49.0000000000001,-36.9999999999999 49.0000000000001)))', '49.5', '49', '-36', '-37', '27B3', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-36.9999999999999 49.5000000000001,-36.9999999999999 50.0000000000001,-35.9999999999999 50.0000000000001,-35.9999999999999 49.5000000000001,-36.9999999999999 49.5000000000001)))', '50', '49.5', '-36', '-37', '28B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 50.0000000000001,-36.9999999999999 50.5000000000001,-35.9999999999999 50.5000000000001,-35.9999999999999 50.0000000000001,-36.9999999999999 50.0000000000001)))', '50.5', '50', '-36', '-37', '29B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 50.5000000000001,-36.9999999999999 51.0000000000001,-35.9999999999999 51.0000000000001,-35.9999999999999 50.5000000000001,-36.9999999999999 50.5000000000001)))', '51', '50.5', '-36', '-37', '30B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 51.0000000000001,-36.9999999999999 51.5000000000001,-35.9999999999999 51.5000000000001,-35.9999999999999 51.0000000000001,-36.9999999999999 51.0000000000001)))', '51.5', '51', '-36', '-37', '31B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 51.5000000000001,-36.9999999999999 52.0000000000001,-35.9999999999999 52.0000000000001,-35.9999999999999 51.5000000000001,-36.9999999999999 51.5000000000001)))', '52', '51.5', '-36', '-37', '32B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 52.0000000000001,-36.9999999999999 52.5000000000001,-35.9999999999999 52.5000000000001,-35.9999999999999 52.0000000000001,-36.9999999999999 52.0000000000001)))', '52.5', '52', '-36', '-37', '33B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 52.5000000000001,-36.9999999999999 53.0000000000001,-35.9999999999999 53.0000000000001,-35.9999999999999 52.5000000000001,-36.9999999999999 52.5000000000001)))', '53', '52.5', '-36', '-37', '34B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 53.0000000000001,-36.9999999999999 53.5000000000001,-35.9999999999999 53.5000000000001,-35.9999999999999 53.0000000000001,-36.9999999999999 53.0000000000001)))', '53.5', '53', '-36', '-37', '35B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 53.5000000000001,-36.9999999999999 54.0000000000001,-35.9999999999999 54.0000000000001,-35.9999999999999 53.5000000000001,-36.9999999999999 53.5000000000001)))', '54', '53.5', '-36', '-37', '36B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 54.0000000000001,-36.9999999999999 54.5000000000001,-35.9999999999999 54.5000000000001,-35.9999999999999 54.0000000000001,-36.9999999999999 54.0000000000001)))', '54.5', '54', '-36', '-37', '37B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 54.5000000000001,-36.9999999999999 55.0000000000001,-35.9999999999999 55.0000000000001,-35.9999999999999 54.5000000000001,-36.9999999999999 54.5000000000001)))', '55', '54.5', '-36', '-37', '38B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 55.0000000000001,-36.9999999999999 55.5000000000001,-35.9999999999999 55.5000000000001,-35.9999999999999 55.0000000000001,-36.9999999999999 55.0000000000001)))', '55.5', '55', '-36', '-37', '39B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 55.5000000000001,-36.9999999999999 56.0000000000001,-35.9999999999999 56.0000000000001,-35.9999999999999 55.5000000000001,-36.9999999999999 55.5000000000001)))', '56', '55.5', '-36', '-37', '40B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 56.0000000000001,-36.9999999999999 56.5000000000001,-35.9999999999999 56.5000000000001,-35.9999999999999 56.0000000000001,-36.9999999999999 56.0000000000001)))', '56.5', '56', '-36', '-37', '41B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 56.5000000000001,-36.9999999999999 57.0000000000001,-35.9999999999999 57.0000000000001,-35.9999999999999 56.5000000000001,-36.9999999999999 56.5000000000001)))', '57', '56.5', '-36', '-37', '42B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 57.0000000000001,-36.9999999999999 57.5000000000001,-35.9999999999999 57.5000000000001,-35.9999999999999 57.0000000000001,-36.9999999999999 57.0000000000001)))', '57.5', '57', '-36', '-37', '43B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 57.5000000000001,-36.9999999999999 58.0000000000001,-35.9999999999999 58.0000000000001,-35.9999999999999 57.5000000000001,-36.9999999999999 57.5000000000001)))', '58', '57.5', '-36', '-37', '44B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 58.0000000000001,-36.9999999999999 58.5000000000001,-35.9999999999999 58.5000000000001,-35.9999999999999 58.0000000000001,-36.9999999999999 58.0000000000001)))', '58.5', '58', '-36', '-37', '45B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 58.5000000000001,-36.9999999999999 59.0000000000001,-35.9999999999999 59.0000000000001,-35.9999999999999 58.5000000000001,-36.9999999999999 58.5000000000001)))', '59', '58.5', '-36', '-37', '46B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 59.0000000000001,-36.9999999999999 59.5000000000001,-35.9999999999999 59.5000000000001,-35.9999999999999 59.0000000000001,-36.9999999999999 59.0000000000001)))', '59.5', '59', '-36', '-37', '47B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 59.5000000000001,-36.9999999999999 60.0000000000001,-35.9999999999999 60.0000000000001,-35.9999999999999 59.5000000000001,-36.9999999999999 59.5000000000001)))', '60', '59.5', '-36', '-37', '48B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 60.0000000000001,-36.9999999999999 60.5000000000001,-35.9999999999999 60.5000000000001,-35.9999999999999 60.0000000000001,-36.9999999999999 60.0000000000001)))', '60.5', '60', '-36', '-37', '49B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 60.5000000000001,-36.9999999999999 61.0000000000001,-35.9999999999999 61.0000000000001,-35.9999999999999 60.5000000000001,-36.9999999999999 60.5000000000001)))', '61', '60.5', '-36', '-37', '50B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 61.0000000000001,-36.9999999999999 61.5000000000001,-35.9999999999999 61.5000000000001,-35.9999999999999 61.0000000000001,-36.9999999999999 61.0000000000001)))', '61.5', '61', '-36', '-37', '51B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 61.5000000000001,-36.9999999999999 62.0000000000001,-35.9999999999999 62.0000000000001,-35.9999999999999 61.5000000000001,-36.9999999999999 61.5000000000001)))', '62', '61.5', '-36', '-37', '52B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 62.0000000000001,-36.9999999999999 62.5000000000001,-35.9999999999999 62.5000000000001,-35.9999999999999 62.0000000000001,-36.9999999999999 62.0000000000001)))', '62.5', '62', '-36', '-37', '53B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 62.5000000000001,-36.9999999999999 63.0000000000001,-35.9999999999999 63.0000000000001,-35.9999999999999 62.5000000000001,-36.9999999999999 62.5000000000001)))', '63', '62.5', '-36', '-37', '54B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 63.0000000000001,-36.9999999999999 63.5000000000001,-35.9999999999999 63.5000000000001,-35.9999999999999 63.0000000000001,-36.9999999999999 63.0000000000001)))', '63.5', '63', '-36', '-37', '55B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 63.5000000000001,-36.9999999999999 64.0000000000001,-35.9999999999999 64.0000000000001,-35.9999999999999 63.5000000000001,-36.9999999999999 63.5000000000001)))', '64', '63.5', '-36', '-37', '56B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 64.0000000000001,-36.9999999999999 64.5000000000001,-35.9999999999999 64.5000000000001,-35.9999999999999 64.0000000000001,-36.9999999999999 64.0000000000001)))', '64.5', '64', '-36', '-37', '57B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 64.5000000000001,-36.9999999999999 65.0000000000001,-35.9999999999999 65.0000000000001,-35.9999999999999 64.5000000000001,-36.9999999999999 64.5000000000001)))', '65', '64.5', '-36', '-37', '58B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 65.0000000000001,-36.9999999999999 65.5000000000001,-35.9999999999999 65.5000000000001,-35.9999999999999 65.0000000000001,-36.9999999999999 65.0000000000001)))', '65.5', '65', '-36', '-37', '59B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 65.5000000000001,-36.9999999999999 66.0000000000001,-35.9999999999999 66.0000000000001,-35.9999999999999 65.5000000000001,-36.9999999999999 65.5000000000001)))', '66', '65.5', '-36', '-37', '60B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 66.0000000000001,-36.9999999999999 66.5000000000001,-35.9999999999999 66.5000000000001,-35.9999999999999 66.0000000000001,-36.9999999999999 66.0000000000001)))', '66.5', '66', '-36', '-37', '61B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 82.5000000000001,-36.9999999999999 83.0000000000001,-35.9999999999999 83.0000000000001,-35.9999999999999 82.5000000000001,-36.9999999999999 82.5000000000001)))', '83', '82.5', '-36', '-37', '94B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 83.0000000000001,-36.9999999999999 83.5000000000001,-35.9999999999999 83.5000000000001,-35.9999999999999 83.0000000000001,-36.9999999999999 83.0000000000001)))', '83.5', '83', '-36', '-37', '95B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 83.5000000000001,-36.9999999999999 84.0000000000001,-35.9999999999999 84.0000000000001,-35.9999999999999 83.5000000000001,-36.9999999999999 83.5000000000001)))', '84', '83.5', '-36', '-37', '96B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 84.0000000000001,-36.9999999999999 84.5000000000001,-35.9999999999999 84.5000000000001,-35.9999999999999 84.0000000000001,-36.9999999999999 84.0000000000001)))', '84.5', '84', '-36', '-37', '97B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-36.9999999999999 84.5000000000001,-36.9999999999999 85.0000000000001,-35.9999999999999 85.0000000000001,-35.9999999999999 84.5000000000001,-36.9999999999999 84.5000000000001)))', '85', '84.5', '-36', '-37', '98B3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 36.0000000000001,-35.9999999999999 36.5000000000001,-34.9999999999999 36.5000000000001,-34.9999999999999 36.0000000000001,-35.9999999999999 36.0000000000001)))', '36.5', '36', '-35', '-36', '01B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 36.5000000000001,-35.9999999999999 37.0000000000001,-34.9999999999999 37.0000000000001,-34.9999999999999 36.5000000000001,-35.9999999999999 36.5000000000001)))', '37', '36.5', '-35', '-36', '02B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 37.0000000000001,-35.9999999999999 37.5000000000001,-34.9999999999999 37.5000000000001,-34.9999999999999 37.0000000000001,-35.9999999999999 37.0000000000001)))', '37.5', '37', '-35', '-36', '03B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 37.5000000000001,-35.9999999999999 38.0000000000001,-34.9999999999999 38.0000000000001,-34.9999999999999 37.5000000000001,-35.9999999999999 37.5000000000001)))', '38', '37.5', '-35', '-36', '04B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 38.0000000000001,-35.9999999999999 38.5000000000001,-34.9999999999999 38.5000000000001,-34.9999999999999 38.0000000000001,-35.9999999999999 38.0000000000001)))', '38.5', '38', '-35', '-36', '05B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 38.5000000000001,-35.9999999999999 39.0000000000001,-34.9999999999999 39.0000000000001,-34.9999999999999 38.5000000000001,-35.9999999999999 38.5000000000001)))', '39', '38.5', '-35', '-36', '06B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 39.0000000000001,-35.9999999999999 39.5000000000001,-34.9999999999999 39.5000000000001,-34.9999999999999 39.0000000000001,-35.9999999999999 39.0000000000001)))', '39.5', '39', '-35', '-36', '07B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 39.5000000000001,-35.9999999999999 40.0000000000001,-34.9999999999999 40.0000000000001,-34.9999999999999 39.5000000000001,-35.9999999999999 39.5000000000001)))', '40', '39.5', '-35', '-36', '08B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 40.0000000000001,-35.9999999999999 40.5000000000001,-34.9999999999999 40.5000000000001,-34.9999999999999 40.0000000000001,-35.9999999999999 40.0000000000001)))', '40.5', '40', '-35', '-36', '09B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 40.5000000000001,-35.9999999999999 41.0000000000001,-34.9999999999999 41.0000000000001,-34.9999999999999 40.5000000000001,-35.9999999999999 40.5000000000001)))', '41', '40.5', '-35', '-36', '10B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 41.0000000000001,-35.9999999999999 41.5000000000001,-34.9999999999999 41.5000000000001,-34.9999999999999 41.0000000000001,-35.9999999999999 41.0000000000001)))', '41.5', '41', '-35', '-36', '11B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 41.5000000000001,-35.9999999999999 42.0000000000001,-34.9999999999999 42.0000000000001,-34.9999999999999 41.5000000000001,-35.9999999999999 41.5000000000001)))', '42', '41.5', '-35', '-36', '12B4', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-35.9999999999999 42.0000000000001,-35.9999999999999 42.5000000000001,-34.9999999999999 42.5000000000001,-34.9999999999999 42.0000000000001,-35.9999999999999 42.0000000000001)))', '42.5', '42', '-35', '-36', '13B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 42.5000000000001,-35.9999999999999 43.0000000000001,-34.9999999999999 43.0000000000001,-34.9999999999999 42.5000000000001,-35.9999999999999 42.5000000000001)))', '43', '42.5', '-35', '-36', '14B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 43.0000000000001,-35.9999999999999 43.5000000000001,-34.9999999999999 43.5000000000001,-34.9999999999999 43.0000000000001,-35.9999999999999 43.0000000000001)))', '43.5', '43', '-35', '-36', '15B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 43.5000000000001,-35.9999999999999 44.0000000000001,-34.9999999999999 44.0000000000001,-34.9999999999999 43.5000000000001,-35.9999999999999 43.5000000000001)))', '44', '43.5', '-35', '-36', '16B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 44.0000000000001,-35.9999999999999 44.5000000000001,-34.9999999999999 44.5000000000001,-34.9999999999999 44.0000000000001,-35.9999999999999 44.0000000000001)))', '44.5', '44', '-35', '-36', '17B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 44.5000000000001,-35.9999999999999 45.0000000000001,-34.9999999999999 45.0000000000001,-34.9999999999999 44.5000000000001,-35.9999999999999 44.5000000000001)))', '45', '44.5', '-35', '-36', '18B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 45.0000000000001,-35.9999999999999 45.5000000000001,-34.9999999999999 45.5000000000001,-34.9999999999999 45.0000000000001,-35.9999999999999 45.0000000000001)))', '45.5', '45', '-35', '-36', '19B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 45.5000000000001,-35.9999999999999 46.0000000000001,-34.9999999999999 46.0000000000001,-34.9999999999999 45.5000000000001,-35.9999999999999 45.5000000000001)))', '46', '45.5', '-35', '-36', '20B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 46.0000000000001,-35.9999999999999 46.5000000000001,-34.9999999999999 46.5000000000001,-34.9999999999999 46.0000000000001,-35.9999999999999 46.0000000000001)))', '46.5', '46', '-35', '-36', '21B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 46.5000000000001,-35.9999999999999 47.0000000000001,-34.9999999999999 47.0000000000001,-34.9999999999999 46.5000000000001,-35.9999999999999 46.5000000000001)))', '47', '46.5', '-35', '-36', '22B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 47.0000000000001,-35.9999999999999 47.5000000000001,-34.9999999999999 47.5000000000001,-34.9999999999999 47.0000000000001,-35.9999999999999 47.0000000000001)))', '47.5', '47', '-35', '-36', '23B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 47.5000000000001,-35.9999999999999 48.0000000000001,-34.9999999999999 48.0000000000001,-34.9999999999999 47.5000000000001,-35.9999999999999 47.5000000000001)))', '48', '47.5', '-35', '-36', '24B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 48.0000000000001,-35.9999999999999 48.5000000000001,-34.9999999999999 48.5000000000001,-34.9999999999999 48.0000000000001,-35.9999999999999 48.0000000000001)))', '48.5', '48', '-35', '-36', '25B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 48.5000000000001,-35.9999999999999 49.0000000000001,-34.9999999999999 49.0000000000001,-34.9999999999999 48.5000000000001,-35.9999999999999 48.5000000000001)))', '49', '48.5', '-35', '-36', '26B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 49.0000000000001,-35.9999999999999 49.5000000000001,-34.9999999999999 49.5000000000001,-34.9999999999999 49.0000000000001,-35.9999999999999 49.0000000000001)))', '49.5', '49', '-35', '-36', '27B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 49.5000000000001,-35.9999999999999 50.0000000000001,-34.9999999999999 50.0000000000001,-34.9999999999999 49.5000000000001,-35.9999999999999 49.5000000000001)))', '50', '49.5', '-35', '-36', '28B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 50.0000000000001,-35.9999999999999 50.5000000000001,-34.9999999999999 50.5000000000001,-34.9999999999999 50.0000000000001,-35.9999999999999 50.0000000000001)))', '50.5', '50', '-35', '-36', '29B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 50.5000000000001,-35.9999999999999 51.0000000000001,-34.9999999999999 51.0000000000001,-34.9999999999999 50.5000000000001,-35.9999999999999 50.5000000000001)))', '51', '50.5', '-35', '-36', '30B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 51.0000000000001,-35.9999999999999 51.5000000000001,-34.9999999999999 51.5000000000001,-34.9999999999999 51.0000000000001,-35.9999999999999 51.0000000000001)))', '51.5', '51', '-35', '-36', '31B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 51.5000000000001,-35.9999999999999 52.0000000000001,-34.9999999999999 52.0000000000001,-34.9999999999999 51.5000000000001,-35.9999999999999 51.5000000000001)))', '52', '51.5', '-35', '-36', '32B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 52.0000000000001,-35.9999999999999 52.5000000000001,-34.9999999999999 52.5000000000001,-34.9999999999999 52.0000000000001,-35.9999999999999 52.0000000000001)))', '52.5', '52', '-35', '-36', '33B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 52.5000000000001,-35.9999999999999 53.0000000000001,-34.9999999999999 53.0000000000001,-34.9999999999999 52.5000000000001,-35.9999999999999 52.5000000000001)))', '53', '52.5', '-35', '-36', '34B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 53.0000000000001,-35.9999999999999 53.5000000000001,-34.9999999999999 53.5000000000001,-34.9999999999999 53.0000000000001,-35.9999999999999 53.0000000000001)))', '53.5', '53', '-35', '-36', '35B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 53.5000000000001,-35.9999999999999 54.0000000000001,-34.9999999999999 54.0000000000001,-34.9999999999999 53.5000000000001,-35.9999999999999 53.5000000000001)))', '54', '53.5', '-35', '-36', '36B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 54.0000000000001,-35.9999999999999 54.5000000000001,-34.9999999999999 54.5000000000001,-34.9999999999999 54.0000000000001,-35.9999999999999 54.0000000000001)))', '54.5', '54', '-35', '-36', '37B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 54.5000000000001,-35.9999999999999 55.0000000000001,-34.9999999999999 55.0000000000001,-34.9999999999999 54.5000000000001,-35.9999999999999 54.5000000000001)))', '55', '54.5', '-35', '-36', '38B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 55.0000000000001,-35.9999999999999 55.5000000000001,-34.9999999999999 55.5000000000001,-34.9999999999999 55.0000000000001,-35.9999999999999 55.0000000000001)))', '55.5', '55', '-35', '-36', '39B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 55.5000000000001,-35.9999999999999 56.0000000000001,-34.9999999999999 56.0000000000001,-34.9999999999999 55.5000000000001,-35.9999999999999 55.5000000000001)))', '56', '55.5', '-35', '-36', '40B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 56.0000000000001,-35.9999999999999 56.5000000000001,-34.9999999999999 56.5000000000001,-34.9999999999999 56.0000000000001,-35.9999999999999 56.0000000000001)))', '56.5', '56', '-35', '-36', '41B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 56.5000000000001,-35.9999999999999 57.0000000000001,-34.9999999999999 57.0000000000001,-34.9999999999999 56.5000000000001,-35.9999999999999 56.5000000000001)))', '57', '56.5', '-35', '-36', '42B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 57.0000000000001,-35.9999999999999 57.5000000000001,-34.9999999999999 57.5000000000001,-34.9999999999999 57.0000000000001,-35.9999999999999 57.0000000000001)))', '57.5', '57', '-35', '-36', '43B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 57.5000000000001,-35.9999999999999 58.0000000000001,-34.9999999999999 58.0000000000001,-34.9999999999999 57.5000000000001,-35.9999999999999 57.5000000000001)))', '58', '57.5', '-35', '-36', '44B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 58.0000000000001,-35.9999999999999 58.5000000000001,-34.9999999999999 58.5000000000001,-34.9999999999999 58.0000000000001,-35.9999999999999 58.0000000000001)))', '58.5', '58', '-35', '-36', '45B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 58.5000000000001,-35.9999999999999 59.0000000000001,-34.9999999999999 59.0000000000001,-34.9999999999999 58.5000000000001,-35.9999999999999 58.5000000000001)))', '59', '58.5', '-35', '-36', '46B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 59.0000000000001,-35.9999999999999 59.5000000000001,-34.9999999999999 59.5000000000001,-34.9999999999999 59.0000000000001,-35.9999999999999 59.0000000000001)))', '59.5', '59', '-35', '-36', '47B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 59.5000000000001,-35.9999999999999 60.0000000000001,-34.9999999999999 60.0000000000001,-34.9999999999999 59.5000000000001,-35.9999999999999 59.5000000000001)))', '60', '59.5', '-35', '-36', '48B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 60.0000000000001,-35.9999999999999 60.5000000000001,-34.9999999999999 60.5000000000001,-34.9999999999999 60.0000000000001,-35.9999999999999 60.0000000000001)))', '60.5', '60', '-35', '-36', '49B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 60.5000000000001,-35.9999999999999 61.0000000000001,-34.9999999999999 61.0000000000001,-34.9999999999999 60.5000000000001,-35.9999999999999 60.5000000000001)))', '61', '60.5', '-35', '-36', '50B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 61.0000000000001,-35.9999999999999 61.5000000000001,-34.9999999999999 61.5000000000001,-34.9999999999999 61.0000000000001,-35.9999999999999 61.0000000000001)))', '61.5', '61', '-35', '-36', '51B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 61.5000000000001,-35.9999999999999 62.0000000000001,-34.9999999999999 62.0000000000001,-34.9999999999999 61.5000000000001,-35.9999999999999 61.5000000000001)))', '62', '61.5', '-35', '-36', '52B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 62.0000000000001,-35.9999999999999 62.5000000000001,-34.9999999999999 62.5000000000001,-34.9999999999999 62.0000000000001,-35.9999999999999 62.0000000000001)))', '62.5', '62', '-35', '-36', '53B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 62.5000000000001,-35.9999999999999 63.0000000000001,-34.9999999999999 63.0000000000001,-34.9999999999999 62.5000000000001,-35.9999999999999 62.5000000000001)))', '63', '62.5', '-35', '-36', '54B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 63.0000000000001,-35.9999999999999 63.5000000000001,-34.9999999999999 63.5000000000001,-34.9999999999999 63.0000000000001,-35.9999999999999 63.0000000000001)))', '63.5', '63', '-35', '-36', '55B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 63.5000000000001,-35.9999999999999 64.0000000000001,-34.9999999999999 64.0000000000001,-34.9999999999999 63.5000000000001,-35.9999999999999 63.5000000000001)))', '64', '63.5', '-35', '-36', '56B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 64.0000000000001,-35.9999999999999 64.5000000000001,-34.9999999999999 64.5000000000001,-34.9999999999999 64.0000000000001,-35.9999999999999 64.0000000000001)))', '64.5', '64', '-35', '-36', '57B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 64.5000000000001,-35.9999999999999 65.0000000000001,-34.9999999999999 65.0000000000001,-34.9999999999999 64.5000000000001,-35.9999999999999 64.5000000000001)))', '65', '64.5', '-35', '-36', '58B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 65.0000000000001,-35.9999999999999 65.5000000000001,-34.9999999999999 65.5000000000001,-34.9999999999999 65.0000000000001,-35.9999999999999 65.0000000000001)))', '65.5', '65', '-35', '-36', '59B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 65.5000000000001,-35.9999999999999 66.0000000000001,-34.9999999999999 66.0000000000001,-34.9999999999999 65.5000000000001,-35.9999999999999 65.5000000000001)))', '66', '65.5', '-35', '-36', '60B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 66.0000000000001,-35.9999999999999 66.5000000000001,-34.9999999999999 66.5000000000001,-34.9999999999999 66.0000000000001,-35.9999999999999 66.0000000000001)))', '66.5', '66', '-35', '-36', '61B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 82.5000000000001,-35.9999999999999 83.0000000000001,-34.9999999999999 83.0000000000001,-34.9999999999999 82.5000000000001,-35.9999999999999 82.5000000000001)))', '83', '82.5', '-35', '-36', '94B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 83.5000000000001,-35.9999999999999 84.0000000000001,-34.9999999999999 84.0000000000001,-34.9999999999999 83.5000000000001,-35.9999999999999 83.5000000000001)))', '84', '83.5', '-35', '-36', '96B4', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-35.9999999999999 84.0000000000001,-35.9999999999999 84.5000000000001,-34.9999999999999 84.5000000000001,-34.9999999999999 84.0000000000001,-35.9999999999999 84.0000000000001)))', '84.5', '84', '-35', '-36', '97B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-35.9999999999999 84.5000000000001,-35.9999999999999 85.0000000000001,-34.9999999999999 85.0000000000001,-34.9999999999999 84.5000000000001,-35.9999999999999 84.5000000000001)))', '85', '84.5', '-35', '-36', '98B4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 36.0000000000001,-34.9999999999999 36.5000000000001,-33.9999999999999 36.5000000000001,-33.9999999999999 36.0000000000001,-34.9999999999999 36.0000000000001)))', '36.5', '36', '-34', '-35', '01B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 36.5000000000001,-34.9999999999999 37.0000000000001,-33.9999999999999 37.0000000000001,-33.9999999999999 36.5000000000001,-34.9999999999999 36.5000000000001)))', '37', '36.5', '-34', '-35', '02B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 37.0000000000001,-34.9999999999999 37.5000000000001,-33.9999999999999 37.5000000000001,-33.9999999999999 37.0000000000001,-34.9999999999999 37.0000000000001)))', '37.5', '37', '-34', '-35', '03B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 37.5000000000001,-34.9999999999999 38.0000000000001,-33.9999999999999 38.0000000000001,-33.9999999999999 37.5000000000001,-34.9999999999999 37.5000000000001)))', '38', '37.5', '-34', '-35', '04B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 38.0000000000001,-34.9999999999999 38.5000000000001,-33.9999999999999 38.5000000000001,-33.9999999999999 38.0000000000001,-34.9999999999999 38.0000000000001)))', '38.5', '38', '-34', '-35', '05B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 38.5000000000001,-34.9999999999999 39.0000000000001,-33.9999999999999 39.0000000000001,-33.9999999999999 38.5000000000001,-34.9999999999999 38.5000000000001)))', '39', '38.5', '-34', '-35', '06B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 39.0000000000001,-34.9999999999999 39.5000000000001,-33.9999999999999 39.5000000000001,-33.9999999999999 39.0000000000001,-34.9999999999999 39.0000000000001)))', '39.5', '39', '-34', '-35', '07B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 39.5000000000001,-34.9999999999999 40.0000000000001,-33.9999999999999 40.0000000000001,-33.9999999999999 39.5000000000001,-34.9999999999999 39.5000000000001)))', '40', '39.5', '-34', '-35', '08B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 40.0000000000001,-34.9999999999999 40.5000000000001,-33.9999999999999 40.5000000000001,-33.9999999999999 40.0000000000001,-34.9999999999999 40.0000000000001)))', '40.5', '40', '-34', '-35', '09B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 40.5000000000001,-34.9999999999999 41.0000000000001,-33.9999999999999 41.0000000000001,-33.9999999999999 40.5000000000001,-34.9999999999999 40.5000000000001)))', '41', '40.5', '-34', '-35', '10B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 41.0000000000001,-34.9999999999999 41.5000000000001,-33.9999999999999 41.5000000000001,-33.9999999999999 41.0000000000001,-34.9999999999999 41.0000000000001)))', '41.5', '41', '-34', '-35', '11B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 41.5000000000001,-34.9999999999999 42.0000000000001,-33.9999999999999 42.0000000000001,-33.9999999999999 41.5000000000001,-34.9999999999999 41.5000000000001)))', '42', '41.5', '-34', '-35', '12B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 42.0000000000001,-34.9999999999999 42.5000000000001,-33.9999999999999 42.5000000000001,-33.9999999999999 42.0000000000001,-34.9999999999999 42.0000000000001)))', '42.5', '42', '-34', '-35', '13B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 42.5000000000001,-34.9999999999999 43.0000000000001,-33.9999999999999 43.0000000000001,-33.9999999999999 42.5000000000001,-34.9999999999999 42.5000000000001)))', '43', '42.5', '-34', '-35', '14B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 43.0000000000001,-34.9999999999999 43.5000000000001,-33.9999999999999 43.5000000000001,-33.9999999999999 43.0000000000001,-34.9999999999999 43.0000000000001)))', '43.5', '43', '-34', '-35', '15B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 43.5000000000001,-34.9999999999999 44.0000000000001,-33.9999999999999 44.0000000000001,-33.9999999999999 43.5000000000001,-34.9999999999999 43.5000000000001)))', '44', '43.5', '-34', '-35', '16B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 44.0000000000001,-34.9999999999999 44.5000000000001,-33.9999999999999 44.5000000000001,-33.9999999999999 44.0000000000001,-34.9999999999999 44.0000000000001)))', '44.5', '44', '-34', '-35', '17B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 44.5000000000001,-34.9999999999999 45.0000000000001,-33.9999999999999 45.0000000000001,-33.9999999999999 44.5000000000001,-34.9999999999999 44.5000000000001)))', '45', '44.5', '-34', '-35', '18B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 45.0000000000001,-34.9999999999999 45.5000000000001,-33.9999999999999 45.5000000000001,-33.9999999999999 45.0000000000001,-34.9999999999999 45.0000000000001)))', '45.5', '45', '-34', '-35', '19B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 45.5000000000001,-34.9999999999999 46.0000000000001,-33.9999999999999 46.0000000000001,-33.9999999999999 45.5000000000001,-34.9999999999999 45.5000000000001)))', '46', '45.5', '-34', '-35', '20B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 46.0000000000001,-34.9999999999999 46.5000000000001,-33.9999999999999 46.5000000000001,-33.9999999999999 46.0000000000001,-34.9999999999999 46.0000000000001)))', '46.5', '46', '-34', '-35', '21B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 46.5000000000001,-34.9999999999999 47.0000000000001,-33.9999999999999 47.0000000000001,-33.9999999999999 46.5000000000001,-34.9999999999999 46.5000000000001)))', '47', '46.5', '-34', '-35', '22B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 47.0000000000001,-34.9999999999999 47.5000000000001,-33.9999999999999 47.5000000000001,-33.9999999999999 47.0000000000001,-34.9999999999999 47.0000000000001)))', '47.5', '47', '-34', '-35', '23B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 47.5000000000001,-34.9999999999999 48.0000000000001,-33.9999999999999 48.0000000000001,-33.9999999999999 47.5000000000001,-34.9999999999999 47.5000000000001)))', '48', '47.5', '-34', '-35', '24B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 48.0000000000001,-34.9999999999999 48.5000000000001,-33.9999999999999 48.5000000000001,-33.9999999999999 48.0000000000001,-34.9999999999999 48.0000000000001)))', '48.5', '48', '-34', '-35', '25B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 48.5000000000001,-34.9999999999999 49.0000000000001,-33.9999999999999 49.0000000000001,-33.9999999999999 48.5000000000001,-34.9999999999999 48.5000000000001)))', '49', '48.5', '-34', '-35', '26B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 49.0000000000001,-34.9999999999999 49.5000000000001,-33.9999999999999 49.5000000000001,-33.9999999999999 49.0000000000001,-34.9999999999999 49.0000000000001)))', '49.5', '49', '-34', '-35', '27B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 49.5000000000001,-34.9999999999999 50.0000000000001,-33.9999999999999 50.0000000000001,-33.9999999999999 49.5000000000001,-34.9999999999999 49.5000000000001)))', '50', '49.5', '-34', '-35', '28B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 50.0000000000001,-34.9999999999999 50.5000000000001,-33.9999999999999 50.5000000000001,-33.9999999999999 50.0000000000001,-34.9999999999999 50.0000000000001)))', '50.5', '50', '-34', '-35', '29B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 50.5000000000001,-34.9999999999999 51.0000000000001,-33.9999999999999 51.0000000000001,-33.9999999999999 50.5000000000001,-34.9999999999999 50.5000000000001)))', '51', '50.5', '-34', '-35', '30B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 51.0000000000001,-34.9999999999999 51.5000000000001,-33.9999999999999 51.5000000000001,-33.9999999999999 51.0000000000001,-34.9999999999999 51.0000000000001)))', '51.5', '51', '-34', '-35', '31B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 51.5000000000001,-34.9999999999999 52.0000000000001,-33.9999999999999 52.0000000000001,-33.9999999999999 51.5000000000001,-34.9999999999999 51.5000000000001)))', '52', '51.5', '-34', '-35', '32B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 52.0000000000001,-34.9999999999999 52.5000000000001,-33.9999999999999 52.5000000000001,-33.9999999999999 52.0000000000001,-34.9999999999999 52.0000000000001)))', '52.5', '52', '-34', '-35', '33B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 52.5000000000001,-34.9999999999999 53.0000000000001,-33.9999999999999 53.0000000000001,-33.9999999999999 52.5000000000001,-34.9999999999999 52.5000000000001)))', '53', '52.5', '-34', '-35', '34B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 53.0000000000001,-34.9999999999999 53.5000000000001,-33.9999999999999 53.5000000000001,-33.9999999999999 53.0000000000001,-34.9999999999999 53.0000000000001)))', '53.5', '53', '-34', '-35', '35B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 53.5000000000001,-34.9999999999999 54.0000000000001,-33.9999999999999 54.0000000000001,-33.9999999999999 53.5000000000001,-34.9999999999999 53.5000000000001)))', '54', '53.5', '-34', '-35', '36B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 54.0000000000001,-34.9999999999999 54.5000000000001,-33.9999999999999 54.5000000000001,-33.9999999999999 54.0000000000001,-34.9999999999999 54.0000000000001)))', '54.5', '54', '-34', '-35', '37B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 54.5000000000001,-34.9999999999999 55.0000000000001,-33.9999999999999 55.0000000000001,-33.9999999999999 54.5000000000001,-34.9999999999999 54.5000000000001)))', '55', '54.5', '-34', '-35', '38B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 55.0000000000001,-34.9999999999999 55.5000000000001,-33.9999999999999 55.5000000000001,-33.9999999999999 55.0000000000001,-34.9999999999999 55.0000000000001)))', '55.5', '55', '-34', '-35', '39B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 55.5000000000001,-34.9999999999999 56.0000000000001,-33.9999999999999 56.0000000000001,-33.9999999999999 55.5000000000001,-34.9999999999999 55.5000000000001)))', '56', '55.5', '-34', '-35', '40B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 56.0000000000001,-34.9999999999999 56.5000000000001,-33.9999999999999 56.5000000000001,-33.9999999999999 56.0000000000001,-34.9999999999999 56.0000000000001)))', '56.5', '56', '-34', '-35', '41B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 56.5000000000001,-34.9999999999999 57.0000000000001,-33.9999999999999 57.0000000000001,-33.9999999999999 56.5000000000001,-34.9999999999999 56.5000000000001)))', '57', '56.5', '-34', '-35', '42B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 57.0000000000001,-34.9999999999999 57.5000000000001,-33.9999999999999 57.5000000000001,-33.9999999999999 57.0000000000001,-34.9999999999999 57.0000000000001)))', '57.5', '57', '-34', '-35', '43B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 57.5000000000001,-34.9999999999999 58.0000000000001,-33.9999999999999 58.0000000000001,-33.9999999999999 57.5000000000001,-34.9999999999999 57.5000000000001)))', '58', '57.5', '-34', '-35', '44B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 58.0000000000001,-34.9999999999999 58.5000000000001,-33.9999999999999 58.5000000000001,-33.9999999999999 58.0000000000001,-34.9999999999999 58.0000000000001)))', '58.5', '58', '-34', '-35', '45B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 58.5000000000001,-34.9999999999999 59.0000000000001,-33.9999999999999 59.0000000000001,-33.9999999999999 58.5000000000001,-34.9999999999999 58.5000000000001)))', '59', '58.5', '-34', '-35', '46B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 59.0000000000001,-34.9999999999999 59.5000000000001,-33.9999999999999 59.5000000000001,-33.9999999999999 59.0000000000001,-34.9999999999999 59.0000000000001)))', '59.5', '59', '-34', '-35', '47B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 59.5000000000001,-34.9999999999999 60.0000000000001,-33.9999999999999 60.0000000000001,-33.9999999999999 59.5000000000001,-34.9999999999999 59.5000000000001)))', '60', '59.5', '-34', '-35', '48B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 60.0000000000001,-34.9999999999999 60.5000000000001,-33.9999999999999 60.5000000000001,-33.9999999999999 60.0000000000001,-34.9999999999999 60.0000000000001)))', '60.5', '60', '-34', '-35', '49B5', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-34.9999999999999 60.5000000000001,-34.9999999999999 61.0000000000001,-33.9999999999999 61.0000000000001,-33.9999999999999 60.5000000000001,-34.9999999999999 60.5000000000001)))', '61', '60.5', '-34', '-35', '50B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 61.0000000000001,-34.9999999999999 61.5000000000001,-33.9999999999999 61.5000000000001,-33.9999999999999 61.0000000000001,-34.9999999999999 61.0000000000001)))', '61.5', '61', '-34', '-35', '51B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 61.5000000000001,-34.9999999999999 62.0000000000001,-33.9999999999999 62.0000000000001,-33.9999999999999 61.5000000000001,-34.9999999999999 61.5000000000001)))', '62', '61.5', '-34', '-35', '52B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 62.0000000000001,-34.9999999999999 62.5000000000001,-33.9999999999999 62.5000000000001,-33.9999999999999 62.0000000000001,-34.9999999999999 62.0000000000001)))', '62.5', '62', '-34', '-35', '53B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 62.5000000000001,-34.9999999999999 63.0000000000001,-33.9999999999999 63.0000000000001,-33.9999999999999 62.5000000000001,-34.9999999999999 62.5000000000001)))', '63', '62.5', '-34', '-35', '54B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 63.0000000000001,-34.9999999999999 63.5000000000001,-33.9999999999999 63.5000000000001,-33.9999999999999 63.0000000000001,-34.9999999999999 63.0000000000001)))', '63.5', '63', '-34', '-35', '55B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 63.5000000000001,-34.9999999999999 64.0000000000001,-33.9999999999999 64.0000000000001,-33.9999999999999 63.5000000000001,-34.9999999999999 63.5000000000001)))', '64', '63.5', '-34', '-35', '56B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 64.0000000000001,-34.9999999999999 64.5000000000001,-33.9999999999999 64.5000000000001,-33.9999999999999 64.0000000000001,-34.9999999999999 64.0000000000001)))', '64.5', '64', '-34', '-35', '57B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 64.5000000000001,-34.9999999999999 65.0000000000001,-33.9999999999999 65.0000000000001,-33.9999999999999 64.5000000000001,-34.9999999999999 64.5000000000001)))', '65', '64.5', '-34', '-35', '58B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 65.0000000000001,-34.9999999999999 65.5000000000001,-33.9999999999999 65.5000000000001,-33.9999999999999 65.0000000000001,-34.9999999999999 65.0000000000001)))', '65.5', '65', '-34', '-35', '59B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 65.5000000000001,-34.9999999999999 66.0000000000001,-33.9999999999999 66.0000000000001,-33.9999999999999 65.5000000000001,-34.9999999999999 65.5000000000001)))', '66', '65.5', '-34', '-35', '60B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 66.0000000000001,-34.9999999999999 66.5000000000001,-33.9999999999999 66.5000000000001,-33.9999999999999 66.0000000000001,-34.9999999999999 66.0000000000001)))', '66.5', '66', '-34', '-35', '61B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 66.5000000000001,-34.9999999999999 67.0000000000001,-33.9999999999999 67.0000000000001,-33.9999999999999 66.5000000000001,-34.9999999999999 66.5000000000001)))', '67', '66.5', '-34', '-35', '62B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 67.0000000000001,-34.9999999999999 67.5000000000001,-33.9999999999999 67.5000000000001,-33.9999999999999 67.0000000000001,-34.9999999999999 67.0000000000001)))', '67.5', '67', '-34', '-35', '63B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 82.5000000000001,-34.9999999999999 83.0000000000001,-33.9999999999999 83.0000000000001,-33.9999999999999 82.5000000000001,-34.9999999999999 82.5000000000001)))', '83', '82.5', '-34', '-35', '94B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 83.0000000000001,-34.9999999999999 83.5000000000001,-33.9999999999999 83.5000000000001,-33.9999999999999 83.0000000000001,-34.9999999999999 83.0000000000001)))', '83.5', '83', '-34', '-35', '95B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 83.5000000000001,-34.9999999999999 84.0000000000001,-33.9999999999999 84.0000000000001,-33.9999999999999 83.5000000000001,-34.9999999999999 83.5000000000001)))', '84', '83.5', '-34', '-35', '96B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 84.0000000000001,-34.9999999999999 84.5000000000001,-33.9999999999999 84.5000000000001,-33.9999999999999 84.0000000000001,-34.9999999999999 84.0000000000001)))', '84.5', '84', '-34', '-35', '97B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-34.9999999999999 84.5000000000001,-34.9999999999999 85.0000000000001,-33.9999999999999 85.0000000000001,-33.9999999999999 84.5000000000001,-34.9999999999999 84.5000000000001)))', '85', '84.5', '-34', '-35', '98B5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 36.0000000000001,-33.9999999999999 36.5000000000001,-32.9999999999999 36.5000000000001,-32.9999999999999 36.0000000000001,-33.9999999999999 36.0000000000001)))', '36.5', '36', '-33', '-34', '01B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 36.5000000000001,-33.9999999999999 37.0000000000001,-32.9999999999999 37.0000000000001,-32.9999999999999 36.5000000000001,-33.9999999999999 36.5000000000001)))', '37', '36.5', '-33', '-34', '02B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 37.0000000000001,-33.9999999999999 37.5000000000001,-32.9999999999999 37.5000000000001,-32.9999999999999 37.0000000000001,-33.9999999999999 37.0000000000001)))', '37.5', '37', '-33', '-34', '03B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 37.5000000000001,-33.9999999999999 38.0000000000001,-32.9999999999999 38.0000000000001,-32.9999999999999 37.5000000000001,-33.9999999999999 37.5000000000001)))', '38', '37.5', '-33', '-34', '04B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 38.0000000000001,-33.9999999999999 38.5000000000001,-32.9999999999999 38.5000000000001,-32.9999999999999 38.0000000000001,-33.9999999999999 38.0000000000001)))', '38.5', '38', '-33', '-34', '05B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 38.5000000000001,-33.9999999999999 39.0000000000001,-32.9999999999999 39.0000000000001,-32.9999999999999 38.5000000000001,-33.9999999999999 38.5000000000001)))', '39', '38.5', '-33', '-34', '06B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 39.0000000000001,-33.9999999999999 39.5000000000001,-32.9999999999999 39.5000000000001,-32.9999999999999 39.0000000000001,-33.9999999999999 39.0000000000001)))', '39.5', '39', '-33', '-34', '07B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 39.5000000000001,-33.9999999999999 40.0000000000001,-32.9999999999999 40.0000000000001,-32.9999999999999 39.5000000000001,-33.9999999999999 39.5000000000001)))', '40', '39.5', '-33', '-34', '08B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 40.0000000000001,-33.9999999999999 40.5000000000001,-32.9999999999999 40.5000000000001,-32.9999999999999 40.0000000000001,-33.9999999999999 40.0000000000001)))', '40.5', '40', '-33', '-34', '09B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 40.5000000000001,-33.9999999999999 41.0000000000001,-32.9999999999999 41.0000000000001,-32.9999999999999 40.5000000000001,-33.9999999999999 40.5000000000001)))', '41', '40.5', '-33', '-34', '10B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 41.0000000000001,-33.9999999999999 41.5000000000001,-32.9999999999999 41.5000000000001,-32.9999999999999 41.0000000000001,-33.9999999999999 41.0000000000001)))', '41.5', '41', '-33', '-34', '11B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 41.5000000000001,-33.9999999999999 42.0000000000001,-32.9999999999999 42.0000000000001,-32.9999999999999 41.5000000000001,-33.9999999999999 41.5000000000001)))', '42', '41.5', '-33', '-34', '12B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 42.0000000000001,-33.9999999999999 42.5000000000001,-32.9999999999999 42.5000000000001,-32.9999999999999 42.0000000000001,-33.9999999999999 42.0000000000001)))', '42.5', '42', '-33', '-34', '13B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 42.5000000000001,-33.9999999999999 43.0000000000001,-32.9999999999999 43.0000000000001,-32.9999999999999 42.5000000000001,-33.9999999999999 42.5000000000001)))', '43', '42.5', '-33', '-34', '14B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 43.0000000000001,-33.9999999999999 43.5000000000001,-32.9999999999999 43.5000000000001,-32.9999999999999 43.0000000000001,-33.9999999999999 43.0000000000001)))', '43.5', '43', '-33', '-34', '15B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 43.5000000000001,-33.9999999999999 44.0000000000001,-32.9999999999999 44.0000000000001,-32.9999999999999 43.5000000000001,-33.9999999999999 43.5000000000001)))', '44', '43.5', '-33', '-34', '16B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 44.0000000000001,-33.9999999999999 44.5000000000001,-32.9999999999999 44.5000000000001,-32.9999999999999 44.0000000000001,-33.9999999999999 44.0000000000001)))', '44.5', '44', '-33', '-34', '17B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 44.5000000000001,-33.9999999999999 45.0000000000001,-32.9999999999999 45.0000000000001,-32.9999999999999 44.5000000000001,-33.9999999999999 44.5000000000001)))', '45', '44.5', '-33', '-34', '18B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 45.0000000000001,-33.9999999999999 45.5000000000001,-32.9999999999999 45.5000000000001,-32.9999999999999 45.0000000000001,-33.9999999999999 45.0000000000001)))', '45.5', '45', '-33', '-34', '19B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 45.5000000000001,-33.9999999999999 46.0000000000001,-32.9999999999999 46.0000000000001,-32.9999999999999 45.5000000000001,-33.9999999999999 45.5000000000001)))', '46', '45.5', '-33', '-34', '20B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 46.0000000000001,-33.9999999999999 46.5000000000001,-32.9999999999999 46.5000000000001,-32.9999999999999 46.0000000000001,-33.9999999999999 46.0000000000001)))', '46.5', '46', '-33', '-34', '21B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 46.5000000000001,-33.9999999999999 47.0000000000001,-32.9999999999999 47.0000000000001,-32.9999999999999 46.5000000000001,-33.9999999999999 46.5000000000001)))', '47', '46.5', '-33', '-34', '22B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 47.0000000000001,-33.9999999999999 47.5000000000001,-32.9999999999999 47.5000000000001,-32.9999999999999 47.0000000000001,-33.9999999999999 47.0000000000001)))', '47.5', '47', '-33', '-34', '23B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 47.5000000000001,-33.9999999999999 48.0000000000001,-32.9999999999999 48.0000000000001,-32.9999999999999 47.5000000000001,-33.9999999999999 47.5000000000001)))', '48', '47.5', '-33', '-34', '24B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 48.0000000000001,-33.9999999999999 48.5000000000001,-32.9999999999999 48.5000000000001,-32.9999999999999 48.0000000000001,-33.9999999999999 48.0000000000001)))', '48.5', '48', '-33', '-34', '25B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 48.5000000000001,-33.9999999999999 49.0000000000001,-32.9999999999999 49.0000000000001,-32.9999999999999 48.5000000000001,-33.9999999999999 48.5000000000001)))', '49', '48.5', '-33', '-34', '26B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 49.0000000000001,-33.9999999999999 49.5000000000001,-32.9999999999999 49.5000000000001,-32.9999999999999 49.0000000000001,-33.9999999999999 49.0000000000001)))', '49.5', '49', '-33', '-34', '27B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 49.5000000000001,-33.9999999999999 50.0000000000001,-32.9999999999999 50.0000000000001,-32.9999999999999 49.5000000000001,-33.9999999999999 49.5000000000001)))', '50', '49.5', '-33', '-34', '28B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 50.0000000000001,-33.9999999999999 50.5000000000001,-32.9999999999999 50.5000000000001,-32.9999999999999 50.0000000000001,-33.9999999999999 50.0000000000001)))', '50.5', '50', '-33', '-34', '29B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 50.5000000000001,-33.9999999999999 51.0000000000001,-32.9999999999999 51.0000000000001,-32.9999999999999 50.5000000000001,-33.9999999999999 50.5000000000001)))', '51', '50.5', '-33', '-34', '30B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 51.0000000000001,-33.9999999999999 51.5000000000001,-32.9999999999999 51.5000000000001,-32.9999999999999 51.0000000000001,-33.9999999999999 51.0000000000001)))', '51.5', '51', '-33', '-34', '31B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 51.5000000000001,-33.9999999999999 52.0000000000001,-32.9999999999999 52.0000000000001,-32.9999999999999 51.5000000000001,-33.9999999999999 51.5000000000001)))', '52', '51.5', '-33', '-34', '32B6', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-33.9999999999999 52.0000000000001,-33.9999999999999 52.5000000000001,-32.9999999999999 52.5000000000001,-32.9999999999999 52.0000000000001,-33.9999999999999 52.0000000000001)))', '52.5', '52', '-33', '-34', '33B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 52.5000000000001,-33.9999999999999 53.0000000000001,-32.9999999999999 53.0000000000001,-32.9999999999999 52.5000000000001,-33.9999999999999 52.5000000000001)))', '53', '52.5', '-33', '-34', '34B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 53.0000000000001,-33.9999999999999 53.5000000000001,-32.9999999999999 53.5000000000001,-32.9999999999999 53.0000000000001,-33.9999999999999 53.0000000000001)))', '53.5', '53', '-33', '-34', '35B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 53.5000000000001,-33.9999999999999 54.0000000000001,-32.9999999999999 54.0000000000001,-32.9999999999999 53.5000000000001,-33.9999999999999 53.5000000000001)))', '54', '53.5', '-33', '-34', '36B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 54.0000000000001,-33.9999999999999 54.5000000000001,-32.9999999999999 54.5000000000001,-32.9999999999999 54.0000000000001,-33.9999999999999 54.0000000000001)))', '54.5', '54', '-33', '-34', '37B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 54.5000000000001,-33.9999999999999 55.0000000000001,-32.9999999999999 55.0000000000001,-32.9999999999999 54.5000000000001,-33.9999999999999 54.5000000000001)))', '55', '54.5', '-33', '-34', '38B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 55.0000000000001,-33.9999999999999 55.5000000000001,-32.9999999999999 55.5000000000001,-32.9999999999999 55.0000000000001,-33.9999999999999 55.0000000000001)))', '55.5', '55', '-33', '-34', '39B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 55.5000000000001,-33.9999999999999 56.0000000000001,-32.9999999999999 56.0000000000001,-32.9999999999999 55.5000000000001,-33.9999999999999 55.5000000000001)))', '56', '55.5', '-33', '-34', '40B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 56.0000000000001,-33.9999999999999 56.5000000000001,-32.9999999999999 56.5000000000001,-32.9999999999999 56.0000000000001,-33.9999999999999 56.0000000000001)))', '56.5', '56', '-33', '-34', '41B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 56.5000000000001,-33.9999999999999 57.0000000000001,-32.9999999999999 57.0000000000001,-32.9999999999999 56.5000000000001,-33.9999999999999 56.5000000000001)))', '57', '56.5', '-33', '-34', '42B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 57.0000000000001,-33.9999999999999 57.5000000000001,-32.9999999999999 57.5000000000001,-32.9999999999999 57.0000000000001,-33.9999999999999 57.0000000000001)))', '57.5', '57', '-33', '-34', '43B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 57.5000000000001,-33.9999999999999 58.0000000000001,-32.9999999999999 58.0000000000001,-32.9999999999999 57.5000000000001,-33.9999999999999 57.5000000000001)))', '58', '57.5', '-33', '-34', '44B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 58.0000000000001,-33.9999999999999 58.5000000000001,-32.9999999999999 58.5000000000001,-32.9999999999999 58.0000000000001,-33.9999999999999 58.0000000000001)))', '58.5', '58', '-33', '-34', '45B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 58.5000000000001,-33.9999999999999 59.0000000000001,-32.9999999999999 59.0000000000001,-32.9999999999999 58.5000000000001,-33.9999999999999 58.5000000000001)))', '59', '58.5', '-33', '-34', '46B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 59.0000000000001,-33.9999999999999 59.5000000000001,-32.9999999999999 59.5000000000001,-32.9999999999999 59.0000000000001,-33.9999999999999 59.0000000000001)))', '59.5', '59', '-33', '-34', '47B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 59.5000000000001,-33.9999999999999 60.0000000000001,-32.9999999999999 60.0000000000001,-32.9999999999999 59.5000000000001,-33.9999999999999 59.5000000000001)))', '60', '59.5', '-33', '-34', '48B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 60.0000000000001,-33.9999999999999 60.5000000000001,-32.9999999999999 60.5000000000001,-32.9999999999999 60.0000000000001,-33.9999999999999 60.0000000000001)))', '60.5', '60', '-33', '-34', '49B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 60.5000000000001,-33.9999999999999 61.0000000000001,-32.9999999999999 61.0000000000001,-32.9999999999999 60.5000000000001,-33.9999999999999 60.5000000000001)))', '61', '60.5', '-33', '-34', '50B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 61.0000000000001,-33.9999999999999 61.5000000000001,-32.9999999999999 61.5000000000001,-32.9999999999999 61.0000000000001,-33.9999999999999 61.0000000000001)))', '61.5', '61', '-33', '-34', '51B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 61.5000000000001,-33.9999999999999 62.0000000000001,-32.9999999999999 62.0000000000001,-32.9999999999999 61.5000000000001,-33.9999999999999 61.5000000000001)))', '62', '61.5', '-33', '-34', '52B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 62.0000000000001,-33.9999999999999 62.5000000000001,-32.9999999999999 62.5000000000001,-32.9999999999999 62.0000000000001,-33.9999999999999 62.0000000000001)))', '62.5', '62', '-33', '-34', '53B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 62.5000000000001,-33.9999999999999 63.0000000000001,-32.9999999999999 63.0000000000001,-32.9999999999999 62.5000000000001,-33.9999999999999 62.5000000000001)))', '63', '62.5', '-33', '-34', '54B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 63.0000000000001,-33.9999999999999 63.5000000000001,-32.9999999999999 63.5000000000001,-32.9999999999999 63.0000000000001,-33.9999999999999 63.0000000000001)))', '63.5', '63', '-33', '-34', '55B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 63.5000000000001,-33.9999999999999 64.0000000000001,-32.9999999999999 64.0000000000001,-32.9999999999999 63.5000000000001,-33.9999999999999 63.5000000000001)))', '64', '63.5', '-33', '-34', '56B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 64.0000000000001,-33.9999999999999 64.5000000000001,-32.9999999999999 64.5000000000001,-32.9999999999999 64.0000000000001,-33.9999999999999 64.0000000000001)))', '64.5', '64', '-33', '-34', '57B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 64.5000000000001,-33.9999999999999 65.0000000000001,-32.9999999999999 65.0000000000001,-32.9999999999999 64.5000000000001,-33.9999999999999 64.5000000000001)))', '65', '64.5', '-33', '-34', '58B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 65.0000000000001,-33.9999999999999 65.5000000000001,-32.9999999999999 65.5000000000001,-32.9999999999999 65.0000000000001,-33.9999999999999 65.0000000000001)))', '65.5', '65', '-33', '-34', '59B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 65.5000000000001,-33.9999999999999 66.0000000000001,-32.9999999999999 66.0000000000001,-32.9999999999999 65.5000000000001,-33.9999999999999 65.5000000000001)))', '66', '65.5', '-33', '-34', '60B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 66.0000000000001,-33.9999999999999 66.5000000000001,-32.9999999999999 66.5000000000001,-32.9999999999999 66.0000000000001,-33.9999999999999 66.0000000000001)))', '66.5', '66', '-33', '-34', '61B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 66.5000000000001,-33.9999999999999 67.0000000000001,-32.9999999999999 67.0000000000001,-32.9999999999999 66.5000000000001,-33.9999999999999 66.5000000000001)))', '67', '66.5', '-33', '-34', '62B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 67.0000000000001,-33.9999999999999 67.5000000000001,-32.9999999999999 67.5000000000001,-32.9999999999999 67.0000000000001,-33.9999999999999 67.0000000000001)))', '67.5', '67', '-33', '-34', '63B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 67.5000000000001,-33.9999999999999 68.0000000000001,-32.9999999999999 68.0000000000001,-32.9999999999999 67.5000000000001,-33.9999999999999 67.5000000000001)))', '68', '67.5', '-33', '-34', '64B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 82.5000000000001,-33.9999999999999 83.0000000000001,-32.9999999999999 83.0000000000001,-32.9999999999999 82.5000000000001,-33.9999999999999 82.5000000000001)))', '83', '82.5', '-33', '-34', '94B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 83.0000000000001,-33.9999999999999 83.5000000000001,-32.9999999999999 83.5000000000001,-32.9999999999999 83.0000000000001,-33.9999999999999 83.0000000000001)))', '83.5', '83', '-33', '-34', '95B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 83.5000000000001,-33.9999999999999 84.0000000000001,-32.9999999999999 84.0000000000001,-32.9999999999999 83.5000000000001,-33.9999999999999 83.5000000000001)))', '84', '83.5', '-33', '-34', '96B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 84.0000000000001,-33.9999999999999 84.5000000000001,-32.9999999999999 84.5000000000001,-32.9999999999999 84.0000000000001,-33.9999999999999 84.0000000000001)))', '84.5', '84', '-33', '-34', '97B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-33.9999999999999 84.5000000000001,-33.9999999999999 85.0000000000001,-32.9999999999999 85.0000000000001,-32.9999999999999 84.5000000000001,-33.9999999999999 84.5000000000001)))', '85', '84.5', '-33', '-34', '98B6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 36.0000000000001,-32.9999999999999 36.5000000000001,-31.9999999999999 36.5000000000001,-31.9999999999999 36.0000000000001,-32.9999999999999 36.0000000000001)))', '36.5', '36', '-32', '-33', '01B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 36.5000000000001,-32.9999999999999 37.0000000000001,-31.9999999999999 37.0000000000001,-31.9999999999999 36.5000000000001,-32.9999999999999 36.5000000000001)))', '37', '36.5', '-32', '-33', '02B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 37.0000000000001,-32.9999999999999 37.5000000000001,-31.9999999999999 37.5000000000001,-31.9999999999999 37.0000000000001,-32.9999999999999 37.0000000000001)))', '37.5', '37', '-32', '-33', '03B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 37.5000000000001,-32.9999999999999 38.0000000000001,-31.9999999999999 38.0000000000001,-31.9999999999999 37.5000000000001,-32.9999999999999 37.5000000000001)))', '38', '37.5', '-32', '-33', '04B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 38.0000000000001,-32.9999999999999 38.5000000000001,-31.9999999999999 38.5000000000001,-31.9999999999999 38.0000000000001,-32.9999999999999 38.0000000000001)))', '38.5', '38', '-32', '-33', '05B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 38.5000000000001,-32.9999999999999 39.0000000000001,-31.9999999999999 39.0000000000001,-31.9999999999999 38.5000000000001,-32.9999999999999 38.5000000000001)))', '39', '38.5', '-32', '-33', '06B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 39.0000000000001,-32.9999999999999 39.5000000000001,-31.9999999999999 39.5000000000001,-31.9999999999999 39.0000000000001,-32.9999999999999 39.0000000000001)))', '39.5', '39', '-32', '-33', '07B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 39.5000000000001,-32.9999999999999 40.0000000000001,-31.9999999999999 40.0000000000001,-31.9999999999999 39.5000000000001,-32.9999999999999 39.5000000000001)))', '40', '39.5', '-32', '-33', '08B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 40.0000000000001,-32.9999999999999 40.5000000000001,-31.9999999999999 40.5000000000001,-31.9999999999999 40.0000000000001,-32.9999999999999 40.0000000000001)))', '40.5', '40', '-32', '-33', '09B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 40.5000000000001,-32.9999999999999 41.0000000000001,-31.9999999999999 41.0000000000001,-31.9999999999999 40.5000000000001,-32.9999999999999 40.5000000000001)))', '41', '40.5', '-32', '-33', '10B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 41.0000000000001,-32.9999999999999 41.5000000000001,-31.9999999999999 41.5000000000001,-31.9999999999999 41.0000000000001,-32.9999999999999 41.0000000000001)))', '41.5', '41', '-32', '-33', '11B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 41.5000000000001,-32.9999999999999 42.0000000000001,-31.9999999999999 42.0000000000001,-31.9999999999999 41.5000000000001,-32.9999999999999 41.5000000000001)))', '42', '41.5', '-32', '-33', '12B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 42.0000000000001,-32.9999999999999 42.5000000000001,-31.9999999999999 42.5000000000001,-31.9999999999999 42.0000000000001,-32.9999999999999 42.0000000000001)))', '42.5', '42', '-32', '-33', '13B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 42.5000000000001,-32.9999999999999 43.0000000000001,-31.9999999999999 43.0000000000001,-31.9999999999999 42.5000000000001,-32.9999999999999 42.5000000000001)))', '43', '42.5', '-32', '-33', '14B7', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-32.9999999999999 43.0000000000001,-32.9999999999999 43.5000000000001,-31.9999999999999 43.5000000000001,-31.9999999999999 43.0000000000001,-32.9999999999999 43.0000000000001)))', '43.5', '43', '-32', '-33', '15B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 43.5000000000001,-32.9999999999999 44.0000000000001,-31.9999999999999 44.0000000000001,-31.9999999999999 43.5000000000001,-32.9999999999999 43.5000000000001)))', '44', '43.5', '-32', '-33', '16B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 44.0000000000001,-32.9999999999999 44.5000000000001,-31.9999999999999 44.5000000000001,-31.9999999999999 44.0000000000001,-32.9999999999999 44.0000000000001)))', '44.5', '44', '-32', '-33', '17B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 44.5000000000001,-32.9999999999999 45.0000000000001,-31.9999999999999 45.0000000000001,-31.9999999999999 44.5000000000001,-32.9999999999999 44.5000000000001)))', '45', '44.5', '-32', '-33', '18B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 45.0000000000001,-32.9999999999999 45.5000000000001,-31.9999999999999 45.5000000000001,-31.9999999999999 45.0000000000001,-32.9999999999999 45.0000000000001)))', '45.5', '45', '-32', '-33', '19B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 45.5000000000001,-32.9999999999999 46.0000000000001,-31.9999999999999 46.0000000000001,-31.9999999999999 45.5000000000001,-32.9999999999999 45.5000000000001)))', '46', '45.5', '-32', '-33', '20B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 46.0000000000001,-32.9999999999999 46.5000000000001,-31.9999999999999 46.5000000000001,-31.9999999999999 46.0000000000001,-32.9999999999999 46.0000000000001)))', '46.5', '46', '-32', '-33', '21B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 46.5000000000001,-32.9999999999999 47.0000000000001,-31.9999999999999 47.0000000000001,-31.9999999999999 46.5000000000001,-32.9999999999999 46.5000000000001)))', '47', '46.5', '-32', '-33', '22B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 47.0000000000001,-32.9999999999999 47.5000000000001,-31.9999999999999 47.5000000000001,-31.9999999999999 47.0000000000001,-32.9999999999999 47.0000000000001)))', '47.5', '47', '-32', '-33', '23B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 47.5000000000001,-32.9999999999999 48.0000000000001,-31.9999999999999 48.0000000000001,-31.9999999999999 47.5000000000001,-32.9999999999999 47.5000000000001)))', '48', '47.5', '-32', '-33', '24B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 48.0000000000001,-32.9999999999999 48.5000000000001,-31.9999999999999 48.5000000000001,-31.9999999999999 48.0000000000001,-32.9999999999999 48.0000000000001)))', '48.5', '48', '-32', '-33', '25B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 48.5000000000001,-32.9999999999999 49.0000000000001,-31.9999999999999 49.0000000000001,-31.9999999999999 48.5000000000001,-32.9999999999999 48.5000000000001)))', '49', '48.5', '-32', '-33', '26B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 49.0000000000001,-32.9999999999999 49.5000000000001,-31.9999999999999 49.5000000000001,-31.9999999999999 49.0000000000001,-32.9999999999999 49.0000000000001)))', '49.5', '49', '-32', '-33', '27B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 49.5000000000001,-32.9999999999999 50.0000000000001,-31.9999999999999 50.0000000000001,-31.9999999999999 49.5000000000001,-32.9999999999999 49.5000000000001)))', '50', '49.5', '-32', '-33', '28B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 50.0000000000001,-32.9999999999999 50.5000000000001,-31.9999999999999 50.5000000000001,-31.9999999999999 50.0000000000001,-32.9999999999999 50.0000000000001)))', '50.5', '50', '-32', '-33', '29B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 50.5000000000001,-32.9999999999999 51.0000000000001,-31.9999999999999 51.0000000000001,-31.9999999999999 50.5000000000001,-32.9999999999999 50.5000000000001)))', '51', '50.5', '-32', '-33', '30B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 51.0000000000001,-32.9999999999999 51.5000000000001,-31.9999999999999 51.5000000000001,-31.9999999999999 51.0000000000001,-32.9999999999999 51.0000000000001)))', '51.5', '51', '-32', '-33', '31B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 51.5000000000001,-32.9999999999999 52.0000000000001,-31.9999999999999 52.0000000000001,-31.9999999999999 51.5000000000001,-32.9999999999999 51.5000000000001)))', '52', '51.5', '-32', '-33', '32B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 52.0000000000001,-32.9999999999999 52.5000000000001,-31.9999999999999 52.5000000000001,-31.9999999999999 52.0000000000001,-32.9999999999999 52.0000000000001)))', '52.5', '52', '-32', '-33', '33B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 52.5000000000001,-32.9999999999999 53.0000000000001,-31.9999999999999 53.0000000000001,-31.9999999999999 52.5000000000001,-32.9999999999999 52.5000000000001)))', '53', '52.5', '-32', '-33', '34B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 53.0000000000001,-32.9999999999999 53.5000000000001,-31.9999999999999 53.5000000000001,-31.9999999999999 53.0000000000001,-32.9999999999999 53.0000000000001)))', '53.5', '53', '-32', '-33', '35B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 53.5000000000001,-32.9999999999999 54.0000000000001,-31.9999999999999 54.0000000000001,-31.9999999999999 53.5000000000001,-32.9999999999999 53.5000000000001)))', '54', '53.5', '-32', '-33', '36B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 54.0000000000001,-32.9999999999999 54.5000000000001,-31.9999999999999 54.5000000000001,-31.9999999999999 54.0000000000001,-32.9999999999999 54.0000000000001)))', '54.5', '54', '-32', '-33', '37B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 54.5000000000001,-32.9999999999999 55.0000000000001,-31.9999999999999 55.0000000000001,-31.9999999999999 54.5000000000001,-32.9999999999999 54.5000000000001)))', '55', '54.5', '-32', '-33', '38B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 55.0000000000001,-32.9999999999999 55.5000000000001,-31.9999999999999 55.5000000000001,-31.9999999999999 55.0000000000001,-32.9999999999999 55.0000000000001)))', '55.5', '55', '-32', '-33', '39B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 55.5000000000001,-32.9999999999999 56.0000000000001,-31.9999999999999 56.0000000000001,-31.9999999999999 55.5000000000001,-32.9999999999999 55.5000000000001)))', '56', '55.5', '-32', '-33', '40B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 56.0000000000001,-32.9999999999999 56.5000000000001,-31.9999999999999 56.5000000000001,-31.9999999999999 56.0000000000001,-32.9999999999999 56.0000000000001)))', '56.5', '56', '-32', '-33', '41B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 56.5000000000001,-32.9999999999999 57.0000000000001,-31.9999999999999 57.0000000000001,-31.9999999999999 56.5000000000001,-32.9999999999999 56.5000000000001)))', '57', '56.5', '-32', '-33', '42B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 57.0000000000001,-32.9999999999999 57.5000000000001,-31.9999999999999 57.5000000000001,-31.9999999999999 57.0000000000001,-32.9999999999999 57.0000000000001)))', '57.5', '57', '-32', '-33', '43B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 57.5000000000001,-32.9999999999999 58.0000000000001,-31.9999999999999 58.0000000000001,-31.9999999999999 57.5000000000001,-32.9999999999999 57.5000000000001)))', '58', '57.5', '-32', '-33', '44B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 58.0000000000001,-32.9999999999999 58.5000000000001,-31.9999999999999 58.5000000000001,-31.9999999999999 58.0000000000001,-32.9999999999999 58.0000000000001)))', '58.5', '58', '-32', '-33', '45B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 58.5000000000001,-32.9999999999999 59.0000000000001,-31.9999999999999 59.0000000000001,-31.9999999999999 58.5000000000001,-32.9999999999999 58.5000000000001)))', '59', '58.5', '-32', '-33', '46B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 59.0000000000001,-32.9999999999999 59.5000000000001,-31.9999999999999 59.5000000000001,-31.9999999999999 59.0000000000001,-32.9999999999999 59.0000000000001)))', '59.5', '59', '-32', '-33', '47B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 59.5000000000001,-32.9999999999999 60.0000000000001,-31.9999999999999 60.0000000000001,-31.9999999999999 59.5000000000001,-32.9999999999999 59.5000000000001)))', '60', '59.5', '-32', '-33', '48B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 60.0000000000001,-32.9999999999999 60.5000000000001,-31.9999999999999 60.5000000000001,-31.9999999999999 60.0000000000001,-32.9999999999999 60.0000000000001)))', '60.5', '60', '-32', '-33', '49B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 60.5000000000001,-32.9999999999999 61.0000000000001,-31.9999999999999 61.0000000000001,-31.9999999999999 60.5000000000001,-32.9999999999999 60.5000000000001)))', '61', '60.5', '-32', '-33', '50B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 61.0000000000001,-32.9999999999999 61.5000000000001,-31.9999999999999 61.5000000000001,-31.9999999999999 61.0000000000001,-32.9999999999999 61.0000000000001)))', '61.5', '61', '-32', '-33', '51B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 61.5000000000001,-32.9999999999999 62.0000000000001,-31.9999999999999 62.0000000000001,-31.9999999999999 61.5000000000001,-32.9999999999999 61.5000000000001)))', '62', '61.5', '-32', '-33', '52B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 62.0000000000001,-32.9999999999999 62.5000000000001,-31.9999999999999 62.5000000000001,-31.9999999999999 62.0000000000001,-32.9999999999999 62.0000000000001)))', '62.5', '62', '-32', '-33', '53B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 62.5000000000001,-32.9999999999999 63.0000000000001,-31.9999999999999 63.0000000000001,-31.9999999999999 62.5000000000001,-32.9999999999999 62.5000000000001)))', '63', '62.5', '-32', '-33', '54B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 63.0000000000001,-32.9999999999999 63.5000000000001,-31.9999999999999 63.5000000000001,-31.9999999999999 63.0000000000001,-32.9999999999999 63.0000000000001)))', '63.5', '63', '-32', '-33', '55B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 63.5000000000001,-32.9999999999999 64.0000000000001,-31.9999999999999 64.0000000000001,-31.9999999999999 63.5000000000001,-32.9999999999999 63.5000000000001)))', '64', '63.5', '-32', '-33', '56B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 64.0000000000001,-32.9999999999999 64.5000000000001,-31.9999999999999 64.5000000000001,-31.9999999999999 64.0000000000001,-32.9999999999999 64.0000000000001)))', '64.5', '64', '-32', '-33', '57B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 64.5000000000001,-32.9999999999999 65.0000000000001,-31.9999999999999 65.0000000000001,-31.9999999999999 64.5000000000001,-32.9999999999999 64.5000000000001)))', '65', '64.5', '-32', '-33', '58B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 65.0000000000001,-32.9999999999999 65.5000000000001,-31.9999999999999 65.5000000000001,-31.9999999999999 65.0000000000001,-32.9999999999999 65.0000000000001)))', '65.5', '65', '-32', '-33', '59B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 65.5000000000001,-32.9999999999999 66.0000000000001,-31.9999999999999 66.0000000000001,-31.9999999999999 65.5000000000001,-32.9999999999999 65.5000000000001)))', '66', '65.5', '-32', '-33', '60B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 66.0000000000001,-32.9999999999999 66.5000000000001,-31.9999999999999 66.5000000000001,-31.9999999999999 66.0000000000001,-32.9999999999999 66.0000000000001)))', '66.5', '66', '-32', '-33', '61B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 66.5000000000001,-32.9999999999999 67.0000000000001,-31.9999999999999 67.0000000000001,-31.9999999999999 66.5000000000001,-32.9999999999999 66.5000000000001)))', '67', '66.5', '-32', '-33', '62B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 67.0000000000001,-32.9999999999999 67.5000000000001,-31.9999999999999 67.5000000000001,-31.9999999999999 67.0000000000001,-32.9999999999999 67.0000000000001)))', '67.5', '67', '-32', '-33', '63B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 67.5000000000001,-32.9999999999999 68.0000000000001,-31.9999999999999 68.0000000000001,-31.9999999999999 67.5000000000001,-32.9999999999999 67.5000000000001)))', '68', '67.5', '-32', '-33', '64B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 68.0000000000001,-32.9999999999999 68.5000000000001,-31.9999999999999 68.5000000000001,-31.9999999999999 68.0000000000001,-32.9999999999999 68.0000000000001)))', '68.5', '68', '-32', '-33', '65B7', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-32.9999999999999 68.5000000000001,-32.9999999999999 69.0000000000001,-31.9999999999999 69.0000000000001,-31.9999999999999 68.5000000000001,-32.9999999999999 68.5000000000001)))', '69', '68.5', '-32', '-33', '66B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 81.5000000000001,-32.9999999999999 82.0000000000001,-31.9999999999999 82.0000000000001,-31.9999999999999 81.5000000000001,-32.9999999999999 81.5000000000001)))', '82', '81.5', '-32', '-33', '92B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 82.5000000000001,-32.9999999999999 83.0000000000001,-31.9999999999999 83.0000000000001,-31.9999999999999 82.5000000000001,-32.9999999999999 82.5000000000001)))', '83', '82.5', '-32', '-33', '94B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 83.0000000000001,-32.9999999999999 83.5000000000001,-31.9999999999999 83.5000000000001,-31.9999999999999 83.0000000000001,-32.9999999999999 83.0000000000001)))', '83.5', '83', '-32', '-33', '95B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 83.5000000000001,-32.9999999999999 84.0000000000001,-31.9999999999999 84.0000000000001,-31.9999999999999 83.5000000000001,-32.9999999999999 83.5000000000001)))', '84', '83.5', '-32', '-33', '96B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 84.0000000000001,-32.9999999999999 84.5000000000001,-31.9999999999999 84.5000000000001,-31.9999999999999 84.0000000000001,-32.9999999999999 84.0000000000001)))', '84.5', '84', '-32', '-33', '97B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-32.9999999999999 84.5000000000001,-32.9999999999999 85.0000000000001,-31.9999999999999 85.0000000000001,-31.9999999999999 84.5000000000001,-32.9999999999999 84.5000000000001)))', '85', '84.5', '-32', '-33', '98B7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 36.0000000000001,-31.9999999999999 36.5000000000001,-30.9999999999999 36.5000000000001,-30.9999999999999 36.0000000000001,-31.9999999999999 36.0000000000001)))', '36.5', '36', '-31', '-32', '01B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 36.5000000000001,-31.9999999999999 37.0000000000001,-30.9999999999999 37.0000000000001,-30.9999999999999 36.5000000000001,-31.9999999999999 36.5000000000001)))', '37', '36.5', '-31', '-32', '02B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 37.0000000000001,-31.9999999999999 37.5000000000001,-30.9999999999999 37.5000000000001,-30.9999999999999 37.0000000000001,-31.9999999999999 37.0000000000001)))', '37.5', '37', '-31', '-32', '03B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 37.5000000000001,-31.9999999999999 38.0000000000001,-30.9999999999999 38.0000000000001,-30.9999999999999 37.5000000000001,-31.9999999999999 37.5000000000001)))', '38', '37.5', '-31', '-32', '04B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 38.0000000000001,-31.9999999999999 38.5000000000001,-30.9999999999999 38.5000000000001,-30.9999999999999 38.0000000000001,-31.9999999999999 38.0000000000001)))', '38.5', '38', '-31', '-32', '05B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 38.5000000000001,-31.9999999999999 39.0000000000001,-30.9999999999999 39.0000000000001,-30.9999999999999 38.5000000000001,-31.9999999999999 38.5000000000001)))', '39', '38.5', '-31', '-32', '06B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 39.0000000000001,-31.9999999999999 39.5000000000001,-30.9999999999999 39.5000000000001,-30.9999999999999 39.0000000000001,-31.9999999999999 39.0000000000001)))', '39.5', '39', '-31', '-32', '07B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 39.5000000000001,-31.9999999999999 40.0000000000001,-30.9999999999999 40.0000000000001,-30.9999999999999 39.5000000000001,-31.9999999999999 39.5000000000001)))', '40', '39.5', '-31', '-32', '08B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 40.0000000000001,-31.9999999999999 40.5000000000001,-30.9999999999999 40.5000000000001,-30.9999999999999 40.0000000000001,-31.9999999999999 40.0000000000001)))', '40.5', '40', '-31', '-32', '09B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 40.5000000000001,-31.9999999999999 41.0000000000001,-30.9999999999999 41.0000000000001,-30.9999999999999 40.5000000000001,-31.9999999999999 40.5000000000001)))', '41', '40.5', '-31', '-32', '10B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 41.0000000000001,-31.9999999999999 41.5000000000001,-30.9999999999999 41.5000000000001,-30.9999999999999 41.0000000000001,-31.9999999999999 41.0000000000001)))', '41.5', '41', '-31', '-32', '11B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 41.5000000000001,-31.9999999999999 42.0000000000001,-30.9999999999999 42.0000000000001,-30.9999999999999 41.5000000000001,-31.9999999999999 41.5000000000001)))', '42', '41.5', '-31', '-32', '12B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 42.0000000000001,-31.9999999999999 42.5000000000001,-30.9999999999999 42.5000000000001,-30.9999999999999 42.0000000000001,-31.9999999999999 42.0000000000001)))', '42.5', '42', '-31', '-32', '13B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 42.5000000000001,-31.9999999999999 43.0000000000001,-30.9999999999999 43.0000000000001,-30.9999999999999 42.5000000000001,-31.9999999999999 42.5000000000001)))', '43', '42.5', '-31', '-32', '14B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 43.0000000000001,-31.9999999999999 43.5000000000001,-30.9999999999999 43.5000000000001,-30.9999999999999 43.0000000000001,-31.9999999999999 43.0000000000001)))', '43.5', '43', '-31', '-32', '15B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 43.5000000000001,-31.9999999999999 44.0000000000001,-30.9999999999999 44.0000000000001,-30.9999999999999 43.5000000000001,-31.9999999999999 43.5000000000001)))', '44', '43.5', '-31', '-32', '16B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 44.0000000000001,-31.9999999999999 44.5000000000001,-30.9999999999999 44.5000000000001,-30.9999999999999 44.0000000000001,-31.9999999999999 44.0000000000001)))', '44.5', '44', '-31', '-32', '17B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 44.5000000000001,-31.9999999999999 45.0000000000001,-30.9999999999999 45.0000000000001,-30.9999999999999 44.5000000000001,-31.9999999999999 44.5000000000001)))', '45', '44.5', '-31', '-32', '18B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 45.0000000000001,-31.9999999999999 45.5000000000001,-30.9999999999999 45.5000000000001,-30.9999999999999 45.0000000000001,-31.9999999999999 45.0000000000001)))', '45.5', '45', '-31', '-32', '19B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 45.5000000000001,-31.9999999999999 46.0000000000001,-30.9999999999999 46.0000000000001,-30.9999999999999 45.5000000000001,-31.9999999999999 45.5000000000001)))', '46', '45.5', '-31', '-32', '20B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 46.0000000000001,-31.9999999999999 46.5000000000001,-30.9999999999999 46.5000000000001,-30.9999999999999 46.0000000000001,-31.9999999999999 46.0000000000001)))', '46.5', '46', '-31', '-32', '21B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 46.5000000000001,-31.9999999999999 47.0000000000001,-30.9999999999999 47.0000000000001,-30.9999999999999 46.5000000000001,-31.9999999999999 46.5000000000001)))', '47', '46.5', '-31', '-32', '22B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 47.0000000000001,-31.9999999999999 47.5000000000001,-30.9999999999999 47.5000000000001,-30.9999999999999 47.0000000000001,-31.9999999999999 47.0000000000001)))', '47.5', '47', '-31', '-32', '23B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 47.5000000000001,-31.9999999999999 48.0000000000001,-30.9999999999999 48.0000000000001,-30.9999999999999 47.5000000000001,-31.9999999999999 47.5000000000001)))', '48', '47.5', '-31', '-32', '24B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 48.0000000000001,-31.9999999999999 48.5000000000001,-30.9999999999999 48.5000000000001,-30.9999999999999 48.0000000000001,-31.9999999999999 48.0000000000001)))', '48.5', '48', '-31', '-32', '25B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 48.5000000000001,-31.9999999999999 49.0000000000001,-30.9999999999999 49.0000000000001,-30.9999999999999 48.5000000000001,-31.9999999999999 48.5000000000001)))', '49', '48.5', '-31', '-32', '26B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 49.0000000000001,-31.9999999999999 49.5000000000001,-30.9999999999999 49.5000000000001,-30.9999999999999 49.0000000000001,-31.9999999999999 49.0000000000001)))', '49.5', '49', '-31', '-32', '27B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 49.5000000000001,-31.9999999999999 50.0000000000001,-30.9999999999999 50.0000000000001,-30.9999999999999 49.5000000000001,-31.9999999999999 49.5000000000001)))', '50', '49.5', '-31', '-32', '28B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 50.0000000000001,-31.9999999999999 50.5000000000001,-30.9999999999999 50.5000000000001,-30.9999999999999 50.0000000000001,-31.9999999999999 50.0000000000001)))', '50.5', '50', '-31', '-32', '29B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 50.5000000000001,-31.9999999999999 51.0000000000001,-30.9999999999999 51.0000000000001,-30.9999999999999 50.5000000000001,-31.9999999999999 50.5000000000001)))', '51', '50.5', '-31', '-32', '30B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 51.0000000000001,-31.9999999999999 51.5000000000001,-30.9999999999999 51.5000000000001,-30.9999999999999 51.0000000000001,-31.9999999999999 51.0000000000001)))', '51.5', '51', '-31', '-32', '31B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 51.5000000000001,-31.9999999999999 52.0000000000001,-30.9999999999999 52.0000000000001,-30.9999999999999 51.5000000000001,-31.9999999999999 51.5000000000001)))', '52', '51.5', '-31', '-32', '32B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 52.0000000000001,-31.9999999999999 52.5000000000001,-30.9999999999999 52.5000000000001,-30.9999999999999 52.0000000000001,-31.9999999999999 52.0000000000001)))', '52.5', '52', '-31', '-32', '33B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 52.5000000000001,-31.9999999999999 53.0000000000001,-30.9999999999999 53.0000000000001,-30.9999999999999 52.5000000000001,-31.9999999999999 52.5000000000001)))', '53', '52.5', '-31', '-32', '34B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 53.0000000000001,-31.9999999999999 53.5000000000001,-30.9999999999999 53.5000000000001,-30.9999999999999 53.0000000000001,-31.9999999999999 53.0000000000001)))', '53.5', '53', '-31', '-32', '35B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 53.5000000000001,-31.9999999999999 54.0000000000001,-30.9999999999999 54.0000000000001,-30.9999999999999 53.5000000000001,-31.9999999999999 53.5000000000001)))', '54', '53.5', '-31', '-32', '36B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 54.0000000000001,-31.9999999999999 54.5000000000001,-30.9999999999999 54.5000000000001,-30.9999999999999 54.0000000000001,-31.9999999999999 54.0000000000001)))', '54.5', '54', '-31', '-32', '37B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 54.5000000000001,-31.9999999999999 55.0000000000001,-30.9999999999999 55.0000000000001,-30.9999999999999 54.5000000000001,-31.9999999999999 54.5000000000001)))', '55', '54.5', '-31', '-32', '38B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 55.0000000000001,-31.9999999999999 55.5000000000001,-30.9999999999999 55.5000000000001,-30.9999999999999 55.0000000000001,-31.9999999999999 55.0000000000001)))', '55.5', '55', '-31', '-32', '39B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 55.5000000000001,-31.9999999999999 56.0000000000001,-30.9999999999999 56.0000000000001,-30.9999999999999 55.5000000000001,-31.9999999999999 55.5000000000001)))', '56', '55.5', '-31', '-32', '40B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 56.0000000000001,-31.9999999999999 56.5000000000001,-30.9999999999999 56.5000000000001,-30.9999999999999 56.0000000000001,-31.9999999999999 56.0000000000001)))', '56.5', '56', '-31', '-32', '41B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 56.5000000000001,-31.9999999999999 57.0000000000001,-30.9999999999999 57.0000000000001,-30.9999999999999 56.5000000000001,-31.9999999999999 56.5000000000001)))', '57', '56.5', '-31', '-32', '42B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 57.0000000000001,-31.9999999999999 57.5000000000001,-30.9999999999999 57.5000000000001,-30.9999999999999 57.0000000000001,-31.9999999999999 57.0000000000001)))', '57.5', '57', '-31', '-32', '43B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 57.5000000000001,-31.9999999999999 58.0000000000001,-30.9999999999999 58.0000000000001,-30.9999999999999 57.5000000000001,-31.9999999999999 57.5000000000001)))', '58', '57.5', '-31', '-32', '44B8', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-31.9999999999999 58.0000000000001,-31.9999999999999 58.5000000000001,-30.9999999999999 58.5000000000001,-30.9999999999999 58.0000000000001,-31.9999999999999 58.0000000000001)))', '58.5', '58', '-31', '-32', '45B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 58.5000000000001,-31.9999999999999 59.0000000000001,-30.9999999999999 59.0000000000001,-30.9999999999999 58.5000000000001,-31.9999999999999 58.5000000000001)))', '59', '58.5', '-31', '-32', '46B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 59.0000000000001,-31.9999999999999 59.5000000000001,-30.9999999999999 59.5000000000001,-30.9999999999999 59.0000000000001,-31.9999999999999 59.0000000000001)))', '59.5', '59', '-31', '-32', '47B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 59.5000000000001,-31.9999999999999 60.0000000000001,-30.9999999999999 60.0000000000001,-30.9999999999999 59.5000000000001,-31.9999999999999 59.5000000000001)))', '60', '59.5', '-31', '-32', '48B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 60.0000000000001,-31.9999999999999 60.5000000000001,-30.9999999999999 60.5000000000001,-30.9999999999999 60.0000000000001,-31.9999999999999 60.0000000000001)))', '60.5', '60', '-31', '-32', '49B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 60.5000000000001,-31.9999999999999 61.0000000000001,-30.9999999999999 61.0000000000001,-30.9999999999999 60.5000000000001,-31.9999999999999 60.5000000000001)))', '61', '60.5', '-31', '-32', '50B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 61.0000000000001,-31.9999999999999 61.5000000000001,-30.9999999999999 61.5000000000001,-30.9999999999999 61.0000000000001,-31.9999999999999 61.0000000000001)))', '61.5', '61', '-31', '-32', '51B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 61.5000000000001,-31.9999999999999 62.0000000000001,-30.9999999999999 62.0000000000001,-30.9999999999999 61.5000000000001,-31.9999999999999 61.5000000000001)))', '62', '61.5', '-31', '-32', '52B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 62.0000000000001,-31.9999999999999 62.5000000000001,-30.9999999999999 62.5000000000001,-30.9999999999999 62.0000000000001,-31.9999999999999 62.0000000000001)))', '62.5', '62', '-31', '-32', '53B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 62.5000000000001,-31.9999999999999 63.0000000000001,-30.9999999999999 63.0000000000001,-30.9999999999999 62.5000000000001,-31.9999999999999 62.5000000000001)))', '63', '62.5', '-31', '-32', '54B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 63.0000000000001,-31.9999999999999 63.5000000000001,-30.9999999999999 63.5000000000001,-30.9999999999999 63.0000000000001,-31.9999999999999 63.0000000000001)))', '63.5', '63', '-31', '-32', '55B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 63.5000000000001,-31.9999999999999 64.0000000000001,-30.9999999999999 64.0000000000001,-30.9999999999999 63.5000000000001,-31.9999999999999 63.5000000000001)))', '64', '63.5', '-31', '-32', '56B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 64.0000000000001,-31.9999999999999 64.5000000000001,-30.9999999999999 64.5000000000001,-30.9999999999999 64.0000000000001,-31.9999999999999 64.0000000000001)))', '64.5', '64', '-31', '-32', '57B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 64.5000000000001,-31.9999999999999 65.0000000000001,-30.9999999999999 65.0000000000001,-30.9999999999999 64.5000000000001,-31.9999999999999 64.5000000000001)))', '65', '64.5', '-31', '-32', '58B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 65.0000000000001,-31.9999999999999 65.5000000000001,-30.9999999999999 65.5000000000001,-30.9999999999999 65.0000000000001,-31.9999999999999 65.0000000000001)))', '65.5', '65', '-31', '-32', '59B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 65.5000000000001,-31.9999999999999 66.0000000000001,-30.9999999999999 66.0000000000001,-30.9999999999999 65.5000000000001,-31.9999999999999 65.5000000000001)))', '66', '65.5', '-31', '-32', '60B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 66.0000000000001,-31.9999999999999 66.5000000000001,-30.9999999999999 66.5000000000001,-30.9999999999999 66.0000000000001,-31.9999999999999 66.0000000000001)))', '66.5', '66', '-31', '-32', '61B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 66.5000000000001,-31.9999999999999 67.0000000000001,-30.9999999999999 67.0000000000001,-30.9999999999999 66.5000000000001,-31.9999999999999 66.5000000000001)))', '67', '66.5', '-31', '-32', '62B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 67.0000000000001,-31.9999999999999 67.5000000000001,-30.9999999999999 67.5000000000001,-30.9999999999999 67.0000000000001,-31.9999999999999 67.0000000000001)))', '67.5', '67', '-31', '-32', '63B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 67.5000000000001,-31.9999999999999 68.0000000000001,-30.9999999999999 68.0000000000001,-30.9999999999999 67.5000000000001,-31.9999999999999 67.5000000000001)))', '68', '67.5', '-31', '-32', '64B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 68.0000000000001,-31.9999999999999 68.5000000000001,-30.9999999999999 68.5000000000001,-30.9999999999999 68.0000000000001,-31.9999999999999 68.0000000000001)))', '68.5', '68', '-31', '-32', '65B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 81.5000000000001,-31.9999999999999 82.0000000000001,-30.9999999999999 82.0000000000001,-30.9999999999999 81.5000000000001,-31.9999999999999 81.5000000000001)))', '82', '81.5', '-31', '-32', '92B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 82.0000000000001,-31.9999999999999 82.5000000000001,-30.9999999999999 82.5000000000001,-30.9999999999999 82.0000000000001,-31.9999999999999 82.0000000000001)))', '82.5', '82', '-31', '-32', '93B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 83.0000000000001,-31.9999999999999 83.5000000000001,-30.9999999999999 83.5000000000001,-30.9999999999999 83.0000000000001,-31.9999999999999 83.0000000000001)))', '83.5', '83', '-31', '-32', '95B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 83.5000000000001,-31.9999999999999 84.0000000000001,-30.9999999999999 84.0000000000001,-30.9999999999999 83.5000000000001,-31.9999999999999 83.5000000000001)))', '84', '83.5', '-31', '-32', '96B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 84.0000000000001,-31.9999999999999 84.5000000000001,-30.9999999999999 84.5000000000001,-30.9999999999999 84.0000000000001,-31.9999999999999 84.0000000000001)))', '84.5', '84', '-31', '-32', '97B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-31.9999999999999 84.5000000000001,-31.9999999999999 85.0000000000001,-30.9999999999999 85.0000000000001,-30.9999999999999 84.5000000000001,-31.9999999999999 84.5000000000001)))', '85', '84.5', '-31', '-32', '98B8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 36.0000000000001,-30.9999999999999 36.5000000000001,-29.9999999999999 36.5000000000001,-29.9999999999999 36.0000000000001,-30.9999999999999 36.0000000000001)))', '36.5', '36', '-30', '-31', '01B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 36.5000000000001,-30.9999999999999 37.0000000000001,-29.9999999999999 37.0000000000001,-29.9999999999999 36.5000000000001,-30.9999999999999 36.5000000000001)))', '37', '36.5', '-30', '-31', '02B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 37.0000000000001,-30.9999999999999 37.5000000000001,-29.9999999999999 37.5000000000001,-29.9999999999999 37.0000000000001,-30.9999999999999 37.0000000000001)))', '37.5', '37', '-30', '-31', '03B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 37.5000000000001,-30.9999999999999 38.0000000000001,-29.9999999999999 38.0000000000001,-29.9999999999999 37.5000000000001,-30.9999999999999 37.5000000000001)))', '38', '37.5', '-30', '-31', '04B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 38.0000000000001,-30.9999999999999 38.5000000000001,-29.9999999999999 38.5000000000001,-29.9999999999999 38.0000000000001,-30.9999999999999 38.0000000000001)))', '38.5', '38', '-30', '-31', '05B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 38.5000000000001,-30.9999999999999 39.0000000000001,-29.9999999999999 39.0000000000001,-29.9999999999999 38.5000000000001,-30.9999999999999 38.5000000000001)))', '39', '38.5', '-30', '-31', '06B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 39.0000000000001,-30.9999999999999 39.5000000000001,-29.9999999999999 39.5000000000001,-29.9999999999999 39.0000000000001,-30.9999999999999 39.0000000000001)))', '39.5', '39', '-30', '-31', '07B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 39.5000000000001,-30.9999999999999 40.0000000000001,-29.9999999999999 40.0000000000001,-29.9999999999999 39.5000000000001,-30.9999999999999 39.5000000000001)))', '40', '39.5', '-30', '-31', '08B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 40.0000000000001,-30.9999999999999 40.5000000000001,-29.9999999999999 40.5000000000001,-29.9999999999999 40.0000000000001,-30.9999999999999 40.0000000000001)))', '40.5', '40', '-30', '-31', '09B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 40.5000000000001,-30.9999999999999 41.0000000000001,-29.9999999999999 41.0000000000001,-29.9999999999999 40.5000000000001,-30.9999999999999 40.5000000000001)))', '41', '40.5', '-30', '-31', '10B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 41.0000000000001,-30.9999999999999 41.5000000000001,-29.9999999999999 41.5000000000001,-29.9999999999999 41.0000000000001,-30.9999999999999 41.0000000000001)))', '41.5', '41', '-30', '-31', '11B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 41.5000000000001,-30.9999999999999 42.0000000000001,-29.9999999999999 42.0000000000001,-29.9999999999999 41.5000000000001,-30.9999999999999 41.5000000000001)))', '42', '41.5', '-30', '-31', '12B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 42.0000000000001,-30.9999999999999 42.5000000000001,-29.9999999999999 42.5000000000001,-29.9999999999999 42.0000000000001,-30.9999999999999 42.0000000000001)))', '42.5', '42', '-30', '-31', '13B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 42.5000000000001,-30.9999999999999 43.0000000000001,-29.9999999999999 43.0000000000001,-29.9999999999999 42.5000000000001,-30.9999999999999 42.5000000000001)))', '43', '42.5', '-30', '-31', '14B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 43.0000000000001,-30.9999999999999 43.5000000000001,-29.9999999999999 43.5000000000001,-29.9999999999999 43.0000000000001,-30.9999999999999 43.0000000000001)))', '43.5', '43', '-30', '-31', '15B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 43.5000000000001,-30.9999999999999 44.0000000000001,-29.9999999999999 44.0000000000001,-29.9999999999999 43.5000000000001,-30.9999999999999 43.5000000000001)))', '44', '43.5', '-30', '-31', '16B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 44.0000000000001,-30.9999999999999 44.5000000000001,-29.9999999999999 44.5000000000001,-29.9999999999999 44.0000000000001,-30.9999999999999 44.0000000000001)))', '44.5', '44', '-30', '-31', '17B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 44.5000000000001,-30.9999999999999 45.0000000000001,-29.9999999999999 45.0000000000001,-29.9999999999999 44.5000000000001,-30.9999999999999 44.5000000000001)))', '45', '44.5', '-30', '-31', '18B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 45.0000000000001,-30.9999999999999 45.5000000000001,-29.9999999999999 45.5000000000001,-29.9999999999999 45.0000000000001,-30.9999999999999 45.0000000000001)))', '45.5', '45', '-30', '-31', '19B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 45.5000000000001,-30.9999999999999 46.0000000000001,-29.9999999999999 46.0000000000001,-29.9999999999999 45.5000000000001,-30.9999999999999 45.5000000000001)))', '46', '45.5', '-30', '-31', '20B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 46.0000000000001,-30.9999999999999 46.5000000000001,-29.9999999999999 46.5000000000001,-29.9999999999999 46.0000000000001,-30.9999999999999 46.0000000000001)))', '46.5', '46', '-30', '-31', '21B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 46.5000000000001,-30.9999999999999 47.0000000000001,-29.9999999999999 47.0000000000001,-29.9999999999999 46.5000000000001,-30.9999999999999 46.5000000000001)))', '47', '46.5', '-30', '-31', '22B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 47.0000000000001,-30.9999999999999 47.5000000000001,-29.9999999999999 47.5000000000001,-29.9999999999999 47.0000000000001,-30.9999999999999 47.0000000000001)))', '47.5', '47', '-30', '-31', '23B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 47.5000000000001,-30.9999999999999 48.0000000000001,-29.9999999999999 48.0000000000001,-29.9999999999999 47.5000000000001,-30.9999999999999 47.5000000000001)))', '48', '47.5', '-30', '-31', '24B9', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-30.9999999999999 48.0000000000001,-30.9999999999999 48.5000000000001,-29.9999999999999 48.5000000000001,-29.9999999999999 48.0000000000001,-30.9999999999999 48.0000000000001)))', '48.5', '48', '-30', '-31', '25B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 48.5000000000001,-30.9999999999999 49.0000000000001,-29.9999999999999 49.0000000000001,-29.9999999999999 48.5000000000001,-30.9999999999999 48.5000000000001)))', '49', '48.5', '-30', '-31', '26B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 49.0000000000001,-30.9999999999999 49.5000000000001,-29.9999999999999 49.5000000000001,-29.9999999999999 49.0000000000001,-30.9999999999999 49.0000000000001)))', '49.5', '49', '-30', '-31', '27B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 49.5000000000001,-30.9999999999999 50.0000000000001,-29.9999999999999 50.0000000000001,-29.9999999999999 49.5000000000001,-30.9999999999999 49.5000000000001)))', '50', '49.5', '-30', '-31', '28B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 50.0000000000001,-30.9999999999999 50.5000000000001,-29.9999999999999 50.5000000000001,-29.9999999999999 50.0000000000001,-30.9999999999999 50.0000000000001)))', '50.5', '50', '-30', '-31', '29B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 50.5000000000001,-30.9999999999999 51.0000000000001,-29.9999999999999 51.0000000000001,-29.9999999999999 50.5000000000001,-30.9999999999999 50.5000000000001)))', '51', '50.5', '-30', '-31', '30B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 51.0000000000001,-30.9999999999999 51.5000000000001,-29.9999999999999 51.5000000000001,-29.9999999999999 51.0000000000001,-30.9999999999999 51.0000000000001)))', '51.5', '51', '-30', '-31', '31B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 51.5000000000001,-30.9999999999999 52.0000000000001,-29.9999999999999 52.0000000000001,-29.9999999999999 51.5000000000001,-30.9999999999999 51.5000000000001)))', '52', '51.5', '-30', '-31', '32B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 52.0000000000001,-30.9999999999999 52.5000000000001,-29.9999999999999 52.5000000000001,-29.9999999999999 52.0000000000001,-30.9999999999999 52.0000000000001)))', '52.5', '52', '-30', '-31', '33B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 52.5000000000001,-30.9999999999999 53.0000000000001,-29.9999999999999 53.0000000000001,-29.9999999999999 52.5000000000001,-30.9999999999999 52.5000000000001)))', '53', '52.5', '-30', '-31', '34B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 53.0000000000001,-30.9999999999999 53.5000000000001,-29.9999999999999 53.5000000000001,-29.9999999999999 53.0000000000001,-30.9999999999999 53.0000000000001)))', '53.5', '53', '-30', '-31', '35B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 53.5000000000001,-30.9999999999999 54.0000000000001,-29.9999999999999 54.0000000000001,-29.9999999999999 53.5000000000001,-30.9999999999999 53.5000000000001)))', '54', '53.5', '-30', '-31', '36B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 54.0000000000001,-30.9999999999999 54.5000000000001,-29.9999999999999 54.5000000000001,-29.9999999999999 54.0000000000001,-30.9999999999999 54.0000000000001)))', '54.5', '54', '-30', '-31', '37B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 54.5000000000001,-30.9999999999999 55.0000000000001,-29.9999999999999 55.0000000000001,-29.9999999999999 54.5000000000001,-30.9999999999999 54.5000000000001)))', '55', '54.5', '-30', '-31', '38B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 55.0000000000001,-30.9999999999999 55.5000000000001,-29.9999999999999 55.5000000000001,-29.9999999999999 55.0000000000001,-30.9999999999999 55.0000000000001)))', '55.5', '55', '-30', '-31', '39B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 55.5000000000001,-30.9999999999999 56.0000000000001,-29.9999999999999 56.0000000000001,-29.9999999999999 55.5000000000001,-30.9999999999999 55.5000000000001)))', '56', '55.5', '-30', '-31', '40B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 56.0000000000001,-30.9999999999999 56.5000000000001,-29.9999999999999 56.5000000000001,-29.9999999999999 56.0000000000001,-30.9999999999999 56.0000000000001)))', '56.5', '56', '-30', '-31', '41B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 56.5000000000001,-30.9999999999999 57.0000000000001,-29.9999999999999 57.0000000000001,-29.9999999999999 56.5000000000001,-30.9999999999999 56.5000000000001)))', '57', '56.5', '-30', '-31', '42B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 57.0000000000001,-30.9999999999999 57.5000000000001,-29.9999999999999 57.5000000000001,-29.9999999999999 57.0000000000001,-30.9999999999999 57.0000000000001)))', '57.5', '57', '-30', '-31', '43B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 57.5000000000001,-30.9999999999999 58.0000000000001,-29.9999999999999 58.0000000000001,-29.9999999999999 57.5000000000001,-30.9999999999999 57.5000000000001)))', '58', '57.5', '-30', '-31', '44B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 58.0000000000001,-30.9999999999999 58.5000000000001,-29.9999999999999 58.5000000000001,-29.9999999999999 58.0000000000001,-30.9999999999999 58.0000000000001)))', '58.5', '58', '-30', '-31', '45B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 58.5000000000001,-30.9999999999999 59.0000000000001,-29.9999999999999 59.0000000000001,-29.9999999999999 58.5000000000001,-30.9999999999999 58.5000000000001)))', '59', '58.5', '-30', '-31', '46B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 59.0000000000001,-30.9999999999999 59.5000000000001,-29.9999999999999 59.5000000000001,-29.9999999999999 59.0000000000001,-30.9999999999999 59.0000000000001)))', '59.5', '59', '-30', '-31', '47B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 59.5000000000001,-30.9999999999999 60.0000000000001,-29.9999999999999 60.0000000000001,-29.9999999999999 59.5000000000001,-30.9999999999999 59.5000000000001)))', '60', '59.5', '-30', '-31', '48B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 60.0000000000001,-30.9999999999999 60.5000000000001,-29.9999999999999 60.5000000000001,-29.9999999999999 60.0000000000001,-30.9999999999999 60.0000000000001)))', '60.5', '60', '-30', '-31', '49B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 60.5000000000001,-30.9999999999999 61.0000000000001,-29.9999999999999 61.0000000000001,-29.9999999999999 60.5000000000001,-30.9999999999999 60.5000000000001)))', '61', '60.5', '-30', '-31', '50B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 61.0000000000001,-30.9999999999999 61.5000000000001,-29.9999999999999 61.5000000000001,-29.9999999999999 61.0000000000001,-30.9999999999999 61.0000000000001)))', '61.5', '61', '-30', '-31', '51B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 61.5000000000001,-30.9999999999999 62.0000000000001,-29.9999999999999 62.0000000000001,-29.9999999999999 61.5000000000001,-30.9999999999999 61.5000000000001)))', '62', '61.5', '-30', '-31', '52B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 62.0000000000001,-30.9999999999999 62.5000000000001,-29.9999999999999 62.5000000000001,-29.9999999999999 62.0000000000001,-30.9999999999999 62.0000000000001)))', '62.5', '62', '-30', '-31', '53B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 62.5000000000001,-30.9999999999999 63.0000000000001,-29.9999999999999 63.0000000000001,-29.9999999999999 62.5000000000001,-30.9999999999999 62.5000000000001)))', '63', '62.5', '-30', '-31', '54B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 63.0000000000001,-30.9999999999999 63.5000000000001,-29.9999999999999 63.5000000000001,-29.9999999999999 63.0000000000001,-30.9999999999999 63.0000000000001)))', '63.5', '63', '-30', '-31', '55B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 63.5000000000001,-30.9999999999999 64.0000000000001,-29.9999999999999 64.0000000000001,-29.9999999999999 63.5000000000001,-30.9999999999999 63.5000000000001)))', '64', '63.5', '-30', '-31', '56B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 64.0000000000001,-30.9999999999999 64.5000000000001,-29.9999999999999 64.5000000000001,-29.9999999999999 64.0000000000001,-30.9999999999999 64.0000000000001)))', '64.5', '64', '-30', '-31', '57B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 64.5000000000001,-30.9999999999999 65.0000000000001,-29.9999999999999 65.0000000000001,-29.9999999999999 64.5000000000001,-30.9999999999999 64.5000000000001)))', '65', '64.5', '-30', '-31', '58B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 65.0000000000001,-30.9999999999999 65.5000000000001,-29.9999999999999 65.5000000000001,-29.9999999999999 65.0000000000001,-30.9999999999999 65.0000000000001)))', '65.5', '65', '-30', '-31', '59B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 65.5000000000001,-30.9999999999999 66.0000000000001,-29.9999999999999 66.0000000000001,-29.9999999999999 65.5000000000001,-30.9999999999999 65.5000000000001)))', '66', '65.5', '-30', '-31', '60B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 66.0000000000001,-30.9999999999999 66.5000000000001,-29.9999999999999 66.5000000000001,-29.9999999999999 66.0000000000001,-30.9999999999999 66.0000000000001)))', '66.5', '66', '-30', '-31', '61B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 66.5000000000001,-30.9999999999999 67.0000000000001,-29.9999999999999 67.0000000000001,-29.9999999999999 66.5000000000001,-30.9999999999999 66.5000000000001)))', '67', '66.5', '-30', '-31', '62B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 67.0000000000001,-30.9999999999999 67.5000000000001,-29.9999999999999 67.5000000000001,-29.9999999999999 67.0000000000001,-30.9999999999999 67.0000000000001)))', '67.5', '67', '-30', '-31', '63B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 67.5000000000001,-30.9999999999999 68.0000000000001,-29.9999999999999 68.0000000000001,-29.9999999999999 67.5000000000001,-30.9999999999999 67.5000000000001)))', '68', '67.5', '-30', '-31', '64B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 68.0000000000001,-30.9999999999999 68.5000000000001,-29.9999999999999 68.5000000000001,-29.9999999999999 68.0000000000001,-30.9999999999999 68.0000000000001)))', '68.5', '68', '-30', '-31', '65B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 81.5000000000001,-30.9999999999999 82.0000000000001,-29.9999999999999 82.0000000000001,-29.9999999999999 81.5000000000001,-30.9999999999999 81.5000000000001)))', '82', '81.5', '-30', '-31', '92B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 82.0000000000001,-30.9999999999999 82.5000000000001,-29.9999999999999 82.5000000000001,-29.9999999999999 82.0000000000001,-30.9999999999999 82.0000000000001)))', '82.5', '82', '-30', '-31', '93B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 83.0000000000001,-30.9999999999999 83.5000000000001,-29.9999999999999 83.5000000000001,-29.9999999999999 83.0000000000001,-30.9999999999999 83.0000000000001)))', '83.5', '83', '-30', '-31', '95B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 83.5000000000001,-30.9999999999999 84.0000000000001,-29.9999999999999 84.0000000000001,-29.9999999999999 83.5000000000001,-30.9999999999999 83.5000000000001)))', '84', '83.5', '-30', '-31', '96B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 84.0000000000001,-30.9999999999999 84.5000000000001,-29.9999999999999 84.5000000000001,-29.9999999999999 84.0000000000001,-30.9999999999999 84.0000000000001)))', '84.5', '84', '-30', '-31', '97B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-30.9999999999999 84.5000000000001,-30.9999999999999 85.0000000000001,-29.9999999999999 85.0000000000001,-29.9999999999999 84.5000000000001,-30.9999999999999 84.5000000000001)))', '85', '84.5', '-30', '-31', '98B9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 36.0000000000001,-29.9999999999999 36.5000000000001,-28.9999999999999 36.5000000000001,-28.9999999999999 36.0000000000001,-29.9999999999999 36.0000000000001)))', '36.5', '36', '-29', '-30', '01C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 36.5000000000001,-29.9999999999999 37.0000000000001,-28.9999999999999 37.0000000000001,-28.9999999999999 36.5000000000001,-29.9999999999999 36.5000000000001)))', '37', '36.5', '-29', '-30', '02C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 37.0000000000001,-29.9999999999999 37.5000000000001,-28.9999999999999 37.5000000000001,-28.9999999999999 37.0000000000001,-29.9999999999999 37.0000000000001)))', '37.5', '37', '-29', '-30', '03C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 37.5000000000001,-29.9999999999999 38.0000000000001,-28.9999999999999 38.0000000000001,-28.9999999999999 37.5000000000001,-29.9999999999999 37.5000000000001)))', '38', '37.5', '-29', '-30', '04C0', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-29.9999999999999 38.0000000000001,-29.9999999999999 38.5000000000001,-28.9999999999999 38.5000000000001,-28.9999999999999 38.0000000000001,-29.9999999999999 38.0000000000001)))', '38.5', '38', '-29', '-30', '05C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 38.5000000000001,-29.9999999999999 39.0000000000001,-28.9999999999999 39.0000000000001,-28.9999999999999 38.5000000000001,-29.9999999999999 38.5000000000001)))', '39', '38.5', '-29', '-30', '06C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 39.0000000000001,-29.9999999999999 39.5000000000001,-28.9999999999999 39.5000000000001,-28.9999999999999 39.0000000000001,-29.9999999999999 39.0000000000001)))', '39.5', '39', '-29', '-30', '07C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 39.5000000000001,-29.9999999999999 40.0000000000001,-28.9999999999999 40.0000000000001,-28.9999999999999 39.5000000000001,-29.9999999999999 39.5000000000001)))', '40', '39.5', '-29', '-30', '08C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 40.0000000000001,-29.9999999999999 40.5000000000001,-28.9999999999999 40.5000000000001,-28.9999999999999 40.0000000000001,-29.9999999999999 40.0000000000001)))', '40.5', '40', '-29', '-30', '09C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 40.5000000000001,-29.9999999999999 41.0000000000001,-28.9999999999999 41.0000000000001,-28.9999999999999 40.5000000000001,-29.9999999999999 40.5000000000001)))', '41', '40.5', '-29', '-30', '10C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 41.0000000000001,-29.9999999999999 41.5000000000001,-28.9999999999999 41.5000000000001,-28.9999999999999 41.0000000000001,-29.9999999999999 41.0000000000001)))', '41.5', '41', '-29', '-30', '11C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 41.5000000000001,-29.9999999999999 42.0000000000001,-28.9999999999999 42.0000000000001,-28.9999999999999 41.5000000000001,-29.9999999999999 41.5000000000001)))', '42', '41.5', '-29', '-30', '12C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 42.0000000000001,-29.9999999999999 42.5000000000001,-28.9999999999999 42.5000000000001,-28.9999999999999 42.0000000000001,-29.9999999999999 42.0000000000001)))', '42.5', '42', '-29', '-30', '13C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 42.5000000000001,-29.9999999999999 43.0000000000001,-28.9999999999999 43.0000000000001,-28.9999999999999 42.5000000000001,-29.9999999999999 42.5000000000001)))', '43', '42.5', '-29', '-30', '14C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 43.0000000000001,-29.9999999999999 43.5000000000001,-28.9999999999999 43.5000000000001,-28.9999999999999 43.0000000000001,-29.9999999999999 43.0000000000001)))', '43.5', '43', '-29', '-30', '15C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 43.5000000000001,-29.9999999999999 44.0000000000001,-28.9999999999999 44.0000000000001,-28.9999999999999 43.5000000000001,-29.9999999999999 43.5000000000001)))', '44', '43.5', '-29', '-30', '16C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 44.0000000000001,-29.9999999999999 44.5000000000001,-28.9999999999999 44.5000000000001,-28.9999999999999 44.0000000000001,-29.9999999999999 44.0000000000001)))', '44.5', '44', '-29', '-30', '17C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 44.5000000000001,-29.9999999999999 45.0000000000001,-28.9999999999999 45.0000000000001,-28.9999999999999 44.5000000000001,-29.9999999999999 44.5000000000001)))', '45', '44.5', '-29', '-30', '18C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 45.0000000000001,-29.9999999999999 45.5000000000001,-28.9999999999999 45.5000000000001,-28.9999999999999 45.0000000000001,-29.9999999999999 45.0000000000001)))', '45.5', '45', '-29', '-30', '19C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 45.5000000000001,-29.9999999999999 46.0000000000001,-28.9999999999999 46.0000000000001,-28.9999999999999 45.5000000000001,-29.9999999999999 45.5000000000001)))', '46', '45.5', '-29', '-30', '20C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 46.0000000000001,-29.9999999999999 46.5000000000001,-28.9999999999999 46.5000000000001,-28.9999999999999 46.0000000000001,-29.9999999999999 46.0000000000001)))', '46.5', '46', '-29', '-30', '21C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 46.5000000000001,-29.9999999999999 47.0000000000001,-28.9999999999999 47.0000000000001,-28.9999999999999 46.5000000000001,-29.9999999999999 46.5000000000001)))', '47', '46.5', '-29', '-30', '22C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 47.0000000000001,-29.9999999999999 47.5000000000001,-28.9999999999999 47.5000000000001,-28.9999999999999 47.0000000000001,-29.9999999999999 47.0000000000001)))', '47.5', '47', '-29', '-30', '23C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 47.5000000000001,-29.9999999999999 48.0000000000001,-28.9999999999999 48.0000000000001,-28.9999999999999 47.5000000000001,-29.9999999999999 47.5000000000001)))', '48', '47.5', '-29', '-30', '24C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 48.0000000000001,-29.9999999999999 48.5000000000001,-28.9999999999999 48.5000000000001,-28.9999999999999 48.0000000000001,-29.9999999999999 48.0000000000001)))', '48.5', '48', '-29', '-30', '25C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 48.5000000000001,-29.9999999999999 49.0000000000001,-28.9999999999999 49.0000000000001,-28.9999999999999 48.5000000000001,-29.9999999999999 48.5000000000001)))', '49', '48.5', '-29', '-30', '26C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 49.0000000000001,-29.9999999999999 49.5000000000001,-28.9999999999999 49.5000000000001,-28.9999999999999 49.0000000000001,-29.9999999999999 49.0000000000001)))', '49.5', '49', '-29', '-30', '27C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 49.5000000000001,-29.9999999999999 50.0000000000001,-28.9999999999999 50.0000000000001,-28.9999999999999 49.5000000000001,-29.9999999999999 49.5000000000001)))', '50', '49.5', '-29', '-30', '28C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 50.0000000000001,-29.9999999999999 50.5000000000001,-28.9999999999999 50.5000000000001,-28.9999999999999 50.0000000000001,-29.9999999999999 50.0000000000001)))', '50.5', '50', '-29', '-30', '29C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 50.5000000000001,-29.9999999999999 51.0000000000001,-28.9999999999999 51.0000000000001,-28.9999999999999 50.5000000000001,-29.9999999999999 50.5000000000001)))', '51', '50.5', '-29', '-30', '30C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 51.0000000000001,-29.9999999999999 51.5000000000001,-28.9999999999999 51.5000000000001,-28.9999999999999 51.0000000000001,-29.9999999999999 51.0000000000001)))', '51.5', '51', '-29', '-30', '31C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 51.5000000000001,-29.9999999999999 52.0000000000001,-28.9999999999999 52.0000000000001,-28.9999999999999 51.5000000000001,-29.9999999999999 51.5000000000001)))', '52', '51.5', '-29', '-30', '32C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 52.0000000000001,-29.9999999999999 52.5000000000001,-28.9999999999999 52.5000000000001,-28.9999999999999 52.0000000000001,-29.9999999999999 52.0000000000001)))', '52.5', '52', '-29', '-30', '33C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 52.5000000000001,-29.9999999999999 53.0000000000001,-28.9999999999999 53.0000000000001,-28.9999999999999 52.5000000000001,-29.9999999999999 52.5000000000001)))', '53', '52.5', '-29', '-30', '34C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 53.0000000000001,-29.9999999999999 53.5000000000001,-28.9999999999999 53.5000000000001,-28.9999999999999 53.0000000000001,-29.9999999999999 53.0000000000001)))', '53.5', '53', '-29', '-30', '35C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 53.5000000000001,-29.9999999999999 54.0000000000001,-28.9999999999999 54.0000000000001,-28.9999999999999 53.5000000000001,-29.9999999999999 53.5000000000001)))', '54', '53.5', '-29', '-30', '36C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 54.0000000000001,-29.9999999999999 54.5000000000001,-28.9999999999999 54.5000000000001,-28.9999999999999 54.0000000000001,-29.9999999999999 54.0000000000001)))', '54.5', '54', '-29', '-30', '37C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 54.5000000000001,-29.9999999999999 55.0000000000001,-28.9999999999999 55.0000000000001,-28.9999999999999 54.5000000000001,-29.9999999999999 54.5000000000001)))', '55', '54.5', '-29', '-30', '38C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 55.0000000000001,-29.9999999999999 55.5000000000001,-28.9999999999999 55.5000000000001,-28.9999999999999 55.0000000000001,-29.9999999999999 55.0000000000001)))', '55.5', '55', '-29', '-30', '39C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 55.5000000000001,-29.9999999999999 56.0000000000001,-28.9999999999999 56.0000000000001,-28.9999999999999 55.5000000000001,-29.9999999999999 55.5000000000001)))', '56', '55.5', '-29', '-30', '40C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 56.0000000000001,-29.9999999999999 56.5000000000001,-28.9999999999999 56.5000000000001,-28.9999999999999 56.0000000000001,-29.9999999999999 56.0000000000001)))', '56.5', '56', '-29', '-30', '41C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 56.5000000000001,-29.9999999999999 57.0000000000001,-28.9999999999999 57.0000000000001,-28.9999999999999 56.5000000000001,-29.9999999999999 56.5000000000001)))', '57', '56.5', '-29', '-30', '42C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 57.0000000000001,-29.9999999999999 57.5000000000001,-28.9999999999999 57.5000000000001,-28.9999999999999 57.0000000000001,-29.9999999999999 57.0000000000001)))', '57.5', '57', '-29', '-30', '43C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 57.5000000000001,-29.9999999999999 58.0000000000001,-28.9999999999999 58.0000000000001,-28.9999999999999 57.5000000000001,-29.9999999999999 57.5000000000001)))', '58', '57.5', '-29', '-30', '44C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 58.0000000000001,-29.9999999999999 58.5000000000001,-28.9999999999999 58.5000000000001,-28.9999999999999 58.0000000000001,-29.9999999999999 58.0000000000001)))', '58.5', '58', '-29', '-30', '45C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 58.5000000000001,-29.9999999999999 59.0000000000001,-28.9999999999999 59.0000000000001,-28.9999999999999 58.5000000000001,-29.9999999999999 58.5000000000001)))', '59', '58.5', '-29', '-30', '46C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 59.0000000000001,-29.9999999999999 59.5000000000001,-28.9999999999999 59.5000000000001,-28.9999999999999 59.0000000000001,-29.9999999999999 59.0000000000001)))', '59.5', '59', '-29', '-30', '47C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 59.5000000000001,-29.9999999999999 60.0000000000001,-28.9999999999999 60.0000000000001,-28.9999999999999 59.5000000000001,-29.9999999999999 59.5000000000001)))', '60', '59.5', '-29', '-30', '48C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 60.0000000000001,-29.9999999999999 60.5000000000001,-28.9999999999999 60.5000000000001,-28.9999999999999 60.0000000000001,-29.9999999999999 60.0000000000001)))', '60.5', '60', '-29', '-30', '49C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 60.5000000000001,-29.9999999999999 61.0000000000001,-28.9999999999999 61.0000000000001,-28.9999999999999 60.5000000000001,-29.9999999999999 60.5000000000001)))', '61', '60.5', '-29', '-30', '50C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 61.0000000000001,-29.9999999999999 61.5000000000001,-28.9999999999999 61.5000000000001,-28.9999999999999 61.0000000000001,-29.9999999999999 61.0000000000001)))', '61.5', '61', '-29', '-30', '51C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 61.5000000000001,-29.9999999999999 62.0000000000001,-28.9999999999999 62.0000000000001,-28.9999999999999 61.5000000000001,-29.9999999999999 61.5000000000001)))', '62', '61.5', '-29', '-30', '52C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 62.0000000000001,-29.9999999999999 62.5000000000001,-28.9999999999999 62.5000000000001,-28.9999999999999 62.0000000000001,-29.9999999999999 62.0000000000001)))', '62.5', '62', '-29', '-30', '53C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 62.5000000000001,-29.9999999999999 63.0000000000001,-28.9999999999999 63.0000000000001,-28.9999999999999 62.5000000000001,-29.9999999999999 62.5000000000001)))', '63', '62.5', '-29', '-30', '54C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 63.0000000000001,-29.9999999999999 63.5000000000001,-28.9999999999999 63.5000000000001,-28.9999999999999 63.0000000000001,-29.9999999999999 63.0000000000001)))', '63.5', '63', '-29', '-30', '55C0', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-29.9999999999999 63.5000000000001,-29.9999999999999 64.0000000000001,-28.9999999999999 64.0000000000001,-28.9999999999999 63.5000000000001,-29.9999999999999 63.5000000000001)))', '64', '63.5', '-29', '-30', '56C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 64.0000000000001,-29.9999999999999 64.5000000000001,-28.9999999999999 64.5000000000001,-28.9999999999999 64.0000000000001,-29.9999999999999 64.0000000000001)))', '64.5', '64', '-29', '-30', '57C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 64.5000000000001,-29.9999999999999 65.0000000000001,-28.9999999999999 65.0000000000001,-28.9999999999999 64.5000000000001,-29.9999999999999 64.5000000000001)))', '65', '64.5', '-29', '-30', '58C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 65.0000000000001,-29.9999999999999 65.5000000000001,-28.9999999999999 65.5000000000001,-28.9999999999999 65.0000000000001,-29.9999999999999 65.0000000000001)))', '65.5', '65', '-29', '-30', '59C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 65.5000000000001,-29.9999999999999 66.0000000000001,-28.9999999999999 66.0000000000001,-28.9999999999999 65.5000000000001,-29.9999999999999 65.5000000000001)))', '66', '65.5', '-29', '-30', '60C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 66.0000000000001,-29.9999999999999 66.5000000000001,-28.9999999999999 66.5000000000001,-28.9999999999999 66.0000000000001,-29.9999999999999 66.0000000000001)))', '66.5', '66', '-29', '-30', '61C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 66.5000000000001,-29.9999999999999 67.0000000000001,-28.9999999999999 67.0000000000001,-28.9999999999999 66.5000000000001,-29.9999999999999 66.5000000000001)))', '67', '66.5', '-29', '-30', '62C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 67.0000000000001,-29.9999999999999 67.5000000000001,-28.9999999999999 67.5000000000001,-28.9999999999999 67.0000000000001,-29.9999999999999 67.0000000000001)))', '67.5', '67', '-29', '-30', '63C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 67.5000000000001,-29.9999999999999 68.0000000000001,-28.9999999999999 68.0000000000001,-28.9999999999999 67.5000000000001,-29.9999999999999 67.5000000000001)))', '68', '67.5', '-29', '-30', '64C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 68.0000000000001,-29.9999999999999 68.5000000000001,-28.9999999999999 68.5000000000001,-28.9999999999999 68.0000000000001,-29.9999999999999 68.0000000000001)))', '68.5', '68', '-29', '-30', '65C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 70.0000000000001,-29.9999999999999 70.5000000000001,-28.9999999999999 70.5000000000001,-28.9999999999999 70.0000000000001,-29.9999999999999 70.0000000000001)))', '70.5', '70', '-29', '-30', '69C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 81.5000000000001,-29.9999999999999 82.0000000000001,-28.9999999999999 82.0000000000001,-28.9999999999999 81.5000000000001,-29.9999999999999 81.5000000000001)))', '82', '81.5', '-29', '-30', '92C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 82.0000000000001,-29.9999999999999 82.5000000000001,-28.9999999999999 82.5000000000001,-28.9999999999999 82.0000000000001,-29.9999999999999 82.0000000000001)))', '82.5', '82', '-29', '-30', '93C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 83.0000000000001,-29.9999999999999 83.5000000000001,-28.9999999999999 83.5000000000001,-28.9999999999999 83.0000000000001,-29.9999999999999 83.0000000000001)))', '83.5', '83', '-29', '-30', '95C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 83.5000000000001,-29.9999999999999 84.0000000000001,-28.9999999999999 84.0000000000001,-28.9999999999999 83.5000000000001,-29.9999999999999 83.5000000000001)))', '84', '83.5', '-29', '-30', '96C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 84.0000000000001,-29.9999999999999 84.5000000000001,-28.9999999999999 84.5000000000001,-28.9999999999999 84.0000000000001,-29.9999999999999 84.0000000000001)))', '84.5', '84', '-29', '-30', '97C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-29.9999999999999 84.5000000000001,-29.9999999999999 85.0000000000001,-28.9999999999999 85.0000000000001,-28.9999999999999 84.5000000000001,-29.9999999999999 84.5000000000001)))', '85', '84.5', '-29', '-30', '98C0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 36.0000000000001,-28.9999999999999 36.5000000000001,-27.9999999999999 36.5000000000001,-27.9999999999999 36.0000000000001,-28.9999999999999 36.0000000000001)))', '36.5', '36', '-28', '-29', '01C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 36.5000000000001,-28.9999999999999 37.0000000000001,-27.9999999999999 37.0000000000001,-27.9999999999999 36.5000000000001,-28.9999999999999 36.5000000000001)))', '37', '36.5', '-28', '-29', '02C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 37.0000000000001,-28.9999999999999 37.5000000000001,-27.9999999999999 37.5000000000001,-27.9999999999999 37.0000000000001,-28.9999999999999 37.0000000000001)))', '37.5', '37', '-28', '-29', '03C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 37.5000000000001,-28.9999999999999 38.0000000000001,-27.9999999999999 38.0000000000001,-27.9999999999999 37.5000000000001,-28.9999999999999 37.5000000000001)))', '38', '37.5', '-28', '-29', '04C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 38.0000000000001,-28.9999999999999 38.5000000000001,-27.9999999999999 38.5000000000001,-27.9999999999999 38.0000000000001,-28.9999999999999 38.0000000000001)))', '38.5', '38', '-28', '-29', '05C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 38.5000000000001,-28.9999999999999 39.0000000000001,-27.9999999999999 39.0000000000001,-27.9999999999999 38.5000000000001,-28.9999999999999 38.5000000000001)))', '39', '38.5', '-28', '-29', '06C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 39.0000000000001,-28.9999999999999 39.5000000000001,-27.9999999999999 39.5000000000001,-27.9999999999999 39.0000000000001,-28.9999999999999 39.0000000000001)))', '39.5', '39', '-28', '-29', '07C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 39.5000000000001,-28.9999999999999 40.0000000000001,-27.9999999999999 40.0000000000001,-27.9999999999999 39.5000000000001,-28.9999999999999 39.5000000000001)))', '40', '39.5', '-28', '-29', '08C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 40.0000000000001,-28.9999999999999 40.5000000000001,-27.9999999999999 40.5000000000001,-27.9999999999999 40.0000000000001,-28.9999999999999 40.0000000000001)))', '40.5', '40', '-28', '-29', '09C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 40.5000000000001,-28.9999999999999 41.0000000000001,-27.9999999999999 41.0000000000001,-27.9999999999999 40.5000000000001,-28.9999999999999 40.5000000000001)))', '41', '40.5', '-28', '-29', '10C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 41.0000000000001,-28.9999999999999 41.5000000000001,-27.9999999999999 41.5000000000001,-27.9999999999999 41.0000000000001,-28.9999999999999 41.0000000000001)))', '41.5', '41', '-28', '-29', '11C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 41.5000000000001,-28.9999999999999 42.0000000000001,-27.9999999999999 42.0000000000001,-27.9999999999999 41.5000000000001,-28.9999999999999 41.5000000000001)))', '42', '41.5', '-28', '-29', '12C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 42.0000000000001,-28.9999999999999 42.5000000000001,-27.9999999999999 42.5000000000001,-27.9999999999999 42.0000000000001,-28.9999999999999 42.0000000000001)))', '42.5', '42', '-28', '-29', '13C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 42.5000000000001,-28.9999999999999 43.0000000000001,-27.9999999999999 43.0000000000001,-27.9999999999999 42.5000000000001,-28.9999999999999 42.5000000000001)))', '43', '42.5', '-28', '-29', '14C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 43.0000000000001,-28.9999999999999 43.5000000000001,-27.9999999999999 43.5000000000001,-27.9999999999999 43.0000000000001,-28.9999999999999 43.0000000000001)))', '43.5', '43', '-28', '-29', '15C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 43.5000000000001,-28.9999999999999 44.0000000000001,-27.9999999999999 44.0000000000001,-27.9999999999999 43.5000000000001,-28.9999999999999 43.5000000000001)))', '44', '43.5', '-28', '-29', '16C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 44.0000000000001,-28.9999999999999 44.5000000000001,-27.9999999999999 44.5000000000001,-27.9999999999999 44.0000000000001,-28.9999999999999 44.0000000000001)))', '44.5', '44', '-28', '-29', '17C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 44.5000000000001,-28.9999999999999 45.0000000000001,-27.9999999999999 45.0000000000001,-27.9999999999999 44.5000000000001,-28.9999999999999 44.5000000000001)))', '45', '44.5', '-28', '-29', '18C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 45.0000000000001,-28.9999999999999 45.5000000000001,-27.9999999999999 45.5000000000001,-27.9999999999999 45.0000000000001,-28.9999999999999 45.0000000000001)))', '45.5', '45', '-28', '-29', '19C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 45.5000000000001,-28.9999999999999 46.0000000000001,-27.9999999999999 46.0000000000001,-27.9999999999999 45.5000000000001,-28.9999999999999 45.5000000000001)))', '46', '45.5', '-28', '-29', '20C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 46.0000000000001,-28.9999999999999 46.5000000000001,-27.9999999999999 46.5000000000001,-27.9999999999999 46.0000000000001,-28.9999999999999 46.0000000000001)))', '46.5', '46', '-28', '-29', '21C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 46.5000000000001,-28.9999999999999 47.0000000000001,-27.9999999999999 47.0000000000001,-27.9999999999999 46.5000000000001,-28.9999999999999 46.5000000000001)))', '47', '46.5', '-28', '-29', '22C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 47.0000000000001,-28.9999999999999 47.5000000000001,-27.9999999999999 47.5000000000001,-27.9999999999999 47.0000000000001,-28.9999999999999 47.0000000000001)))', '47.5', '47', '-28', '-29', '23C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 47.5000000000001,-28.9999999999999 48.0000000000001,-27.9999999999999 48.0000000000001,-27.9999999999999 47.5000000000001,-28.9999999999999 47.5000000000001)))', '48', '47.5', '-28', '-29', '24C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 48.0000000000001,-28.9999999999999 48.5000000000001,-27.9999999999999 48.5000000000001,-27.9999999999999 48.0000000000001,-28.9999999999999 48.0000000000001)))', '48.5', '48', '-28', '-29', '25C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 48.5000000000001,-28.9999999999999 49.0000000000001,-27.9999999999999 49.0000000000001,-27.9999999999999 48.5000000000001,-28.9999999999999 48.5000000000001)))', '49', '48.5', '-28', '-29', '26C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 49.0000000000001,-28.9999999999999 49.5000000000001,-27.9999999999999 49.5000000000001,-27.9999999999999 49.0000000000001,-28.9999999999999 49.0000000000001)))', '49.5', '49', '-28', '-29', '27C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 49.5000000000001,-28.9999999999999 50.0000000000001,-27.9999999999999 50.0000000000001,-27.9999999999999 49.5000000000001,-28.9999999999999 49.5000000000001)))', '50', '49.5', '-28', '-29', '28C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 50.0000000000001,-28.9999999999999 50.5000000000001,-27.9999999999999 50.5000000000001,-27.9999999999999 50.0000000000001,-28.9999999999999 50.0000000000001)))', '50.5', '50', '-28', '-29', '29C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 50.5000000000001,-28.9999999999999 51.0000000000001,-27.9999999999999 51.0000000000001,-27.9999999999999 50.5000000000001,-28.9999999999999 50.5000000000001)))', '51', '50.5', '-28', '-29', '30C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 51.0000000000001,-28.9999999999999 51.5000000000001,-27.9999999999999 51.5000000000001,-27.9999999999999 51.0000000000001,-28.9999999999999 51.0000000000001)))', '51.5', '51', '-28', '-29', '31C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 51.5000000000001,-28.9999999999999 52.0000000000001,-27.9999999999999 52.0000000000001,-27.9999999999999 51.5000000000001,-28.9999999999999 51.5000000000001)))', '52', '51.5', '-28', '-29', '32C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 52.0000000000001,-28.9999999999999 52.5000000000001,-27.9999999999999 52.5000000000001,-27.9999999999999 52.0000000000001,-28.9999999999999 52.0000000000001)))', '52.5', '52', '-28', '-29', '33C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 52.5000000000001,-28.9999999999999 53.0000000000001,-27.9999999999999 53.0000000000001,-27.9999999999999 52.5000000000001,-28.9999999999999 52.5000000000001)))', '53', '52.5', '-28', '-29', '34C1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-28.9999999999999 53.0000000000001,-28.9999999999999 53.5000000000001,-27.9999999999999 53.5000000000001,-27.9999999999999 53.0000000000001,-28.9999999999999 53.0000000000001)))', '53.5', '53', '-28', '-29', '35C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 53.5000000000001,-28.9999999999999 54.0000000000001,-27.9999999999999 54.0000000000001,-27.9999999999999 53.5000000000001,-28.9999999999999 53.5000000000001)))', '54', '53.5', '-28', '-29', '36C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 54.0000000000001,-28.9999999999999 54.5000000000001,-27.9999999999999 54.5000000000001,-27.9999999999999 54.0000000000001,-28.9999999999999 54.0000000000001)))', '54.5', '54', '-28', '-29', '37C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 54.5000000000001,-28.9999999999999 55.0000000000001,-27.9999999999999 55.0000000000001,-27.9999999999999 54.5000000000001,-28.9999999999999 54.5000000000001)))', '55', '54.5', '-28', '-29', '38C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 55.0000000000001,-28.9999999999999 55.5000000000001,-27.9999999999999 55.5000000000001,-27.9999999999999 55.0000000000001,-28.9999999999999 55.0000000000001)))', '55.5', '55', '-28', '-29', '39C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 55.5000000000001,-28.9999999999999 56.0000000000001,-27.9999999999999 56.0000000000001,-27.9999999999999 55.5000000000001,-28.9999999999999 55.5000000000001)))', '56', '55.5', '-28', '-29', '40C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 56.0000000000001,-28.9999999999999 56.5000000000001,-27.9999999999999 56.5000000000001,-27.9999999999999 56.0000000000001,-28.9999999999999 56.0000000000001)))', '56.5', '56', '-28', '-29', '41C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 56.5000000000001,-28.9999999999999 57.0000000000001,-27.9999999999999 57.0000000000001,-27.9999999999999 56.5000000000001,-28.9999999999999 56.5000000000001)))', '57', '56.5', '-28', '-29', '42C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 57.0000000000001,-28.9999999999999 57.5000000000001,-27.9999999999999 57.5000000000001,-27.9999999999999 57.0000000000001,-28.9999999999999 57.0000000000001)))', '57.5', '57', '-28', '-29', '43C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 57.5000000000001,-28.9999999999999 58.0000000000001,-27.9999999999999 58.0000000000001,-27.9999999999999 57.5000000000001,-28.9999999999999 57.5000000000001)))', '58', '57.5', '-28', '-29', '44C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 58.0000000000001,-28.9999999999999 58.5000000000001,-27.9999999999999 58.5000000000001,-27.9999999999999 58.0000000000001,-28.9999999999999 58.0000000000001)))', '58.5', '58', '-28', '-29', '45C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 58.5000000000001,-28.9999999999999 59.0000000000001,-27.9999999999999 59.0000000000001,-27.9999999999999 58.5000000000001,-28.9999999999999 58.5000000000001)))', '59', '58.5', '-28', '-29', '46C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 59.0000000000001,-28.9999999999999 59.5000000000001,-27.9999999999999 59.5000000000001,-27.9999999999999 59.0000000000001,-28.9999999999999 59.0000000000001)))', '59.5', '59', '-28', '-29', '47C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 59.5000000000001,-28.9999999999999 60.0000000000001,-27.9999999999999 60.0000000000001,-27.9999999999999 59.5000000000001,-28.9999999999999 59.5000000000001)))', '60', '59.5', '-28', '-29', '48C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 60.0000000000001,-28.9999999999999 60.5000000000001,-27.9999999999999 60.5000000000001,-27.9999999999999 60.0000000000001,-28.9999999999999 60.0000000000001)))', '60.5', '60', '-28', '-29', '49C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 60.5000000000001,-28.9999999999999 61.0000000000001,-27.9999999999999 61.0000000000001,-27.9999999999999 60.5000000000001,-28.9999999999999 60.5000000000001)))', '61', '60.5', '-28', '-29', '50C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 61.0000000000001,-28.9999999999999 61.5000000000001,-27.9999999999999 61.5000000000001,-27.9999999999999 61.0000000000001,-28.9999999999999 61.0000000000001)))', '61.5', '61', '-28', '-29', '51C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 61.5000000000001,-28.9999999999999 62.0000000000001,-27.9999999999999 62.0000000000001,-27.9999999999999 61.5000000000001,-28.9999999999999 61.5000000000001)))', '62', '61.5', '-28', '-29', '52C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 62.0000000000001,-28.9999999999999 62.5000000000001,-27.9999999999999 62.5000000000001,-27.9999999999999 62.0000000000001,-28.9999999999999 62.0000000000001)))', '62.5', '62', '-28', '-29', '53C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 62.5000000000001,-28.9999999999999 63.0000000000001,-27.9999999999999 63.0000000000001,-27.9999999999999 62.5000000000001,-28.9999999999999 62.5000000000001)))', '63', '62.5', '-28', '-29', '54C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 63.0000000000001,-28.9999999999999 63.5000000000001,-27.9999999999999 63.5000000000001,-27.9999999999999 63.0000000000001,-28.9999999999999 63.0000000000001)))', '63.5', '63', '-28', '-29', '55C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 63.5000000000001,-28.9999999999999 64.0000000000001,-27.9999999999999 64.0000000000001,-27.9999999999999 63.5000000000001,-28.9999999999999 63.5000000000001)))', '64', '63.5', '-28', '-29', '56C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 64.0000000000001,-28.9999999999999 64.5000000000001,-27.9999999999999 64.5000000000001,-27.9999999999999 64.0000000000001,-28.9999999999999 64.0000000000001)))', '64.5', '64', '-28', '-29', '57C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 64.5000000000001,-28.9999999999999 65.0000000000001,-27.9999999999999 65.0000000000001,-27.9999999999999 64.5000000000001,-28.9999999999999 64.5000000000001)))', '65', '64.5', '-28', '-29', '58C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 65.0000000000001,-28.9999999999999 65.5000000000001,-27.9999999999999 65.5000000000001,-27.9999999999999 65.0000000000001,-28.9999999999999 65.0000000000001)))', '65.5', '65', '-28', '-29', '59C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 65.5000000000001,-28.9999999999999 66.0000000000001,-27.9999999999999 66.0000000000001,-27.9999999999999 65.5000000000001,-28.9999999999999 65.5000000000001)))', '66', '65.5', '-28', '-29', '60C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 66.0000000000001,-28.9999999999999 66.5000000000001,-27.9999999999999 66.5000000000001,-27.9999999999999 66.0000000000001,-28.9999999999999 66.0000000000001)))', '66.5', '66', '-28', '-29', '61C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 66.5000000000001,-28.9999999999999 67.0000000000001,-27.9999999999999 67.0000000000001,-27.9999999999999 66.5000000000001,-28.9999999999999 66.5000000000001)))', '67', '66.5', '-28', '-29', '62C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 67.0000000000001,-28.9999999999999 67.5000000000001,-27.9999999999999 67.5000000000001,-27.9999999999999 67.0000000000001,-28.9999999999999 67.0000000000001)))', '67.5', '67', '-28', '-29', '63C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 67.5000000000001,-28.9999999999999 68.0000000000001,-27.9999999999999 68.0000000000001,-27.9999999999999 67.5000000000001,-28.9999999999999 67.5000000000001)))', '68', '67.5', '-28', '-29', '64C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 68.0000000000001,-28.9999999999999 68.5000000000001,-27.9999999999999 68.5000000000001,-27.9999999999999 68.0000000000001,-28.9999999999999 68.0000000000001)))', '68.5', '68', '-28', '-29', '65C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 68.5000000000001,-28.9999999999999 69.0000000000001,-27.9999999999999 69.0000000000001,-27.9999999999999 68.5000000000001,-28.9999999999999 68.5000000000001)))', '69', '68.5', '-28', '-29', '66C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 70.0000000000001,-28.9999999999999 70.5000000000001,-27.9999999999999 70.5000000000001,-27.9999999999999 70.0000000000001,-28.9999999999999 70.0000000000001)))', '70.5', '70', '-28', '-29', '69C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 70.5000000000001,-28.9999999999999 71.0000000000001,-27.9999999999999 71.0000000000001,-27.9999999999999 70.5000000000001,-28.9999999999999 70.5000000000001)))', '71', '70.5', '-28', '-29', '70C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 71.0000000000001,-28.9999999999999 71.5000000000001,-27.9999999999999 71.5000000000001,-27.9999999999999 71.0000000000001,-28.9999999999999 71.0000000000001)))', '71.5', '71', '-28', '-29', '71C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 71.5000000000001,-28.9999999999999 72.0000000000001,-27.9999999999999 72.0000000000001,-27.9999999999999 71.5000000000001,-28.9999999999999 71.5000000000001)))', '72', '71.5', '-28', '-29', '72C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 72.0000000000001,-28.9999999999999 72.5000000000001,-27.9999999999999 72.5000000000001,-27.9999999999999 72.0000000000001,-28.9999999999999 72.0000000000001)))', '72.5', '72', '-28', '-29', '73C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 81.5000000000001,-28.9999999999999 82.0000000000001,-27.9999999999999 82.0000000000001,-27.9999999999999 81.5000000000001,-28.9999999999999 81.5000000000001)))', '82', '81.5', '-28', '-29', '92C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 82.0000000000001,-28.9999999999999 82.5000000000001,-27.9999999999999 82.5000000000001,-27.9999999999999 82.0000000000001,-28.9999999999999 82.0000000000001)))', '82.5', '82', '-28', '-29', '93C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 83.0000000000001,-28.9999999999999 83.5000000000001,-27.9999999999999 83.5000000000001,-27.9999999999999 83.0000000000001,-28.9999999999999 83.0000000000001)))', '83.5', '83', '-28', '-29', '95C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 83.5000000000001,-28.9999999999999 84.0000000000001,-27.9999999999999 84.0000000000001,-27.9999999999999 83.5000000000001,-28.9999999999999 83.5000000000001)))', '84', '83.5', '-28', '-29', '96C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 84.0000000000001,-28.9999999999999 84.5000000000001,-27.9999999999999 84.5000000000001,-27.9999999999999 84.0000000000001,-28.9999999999999 84.0000000000001)))', '84.5', '84', '-28', '-29', '97C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-28.9999999999999 84.5000000000001,-28.9999999999999 85.0000000000001,-27.9999999999999 85.0000000000001,-27.9999999999999 84.5000000000001,-28.9999999999999 84.5000000000001)))', '85', '84.5', '-28', '-29', '98C1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 36.0000000000001,-27.9999999999999 36.5000000000001,-26.9999999999999 36.5000000000001,-26.9999999999999 36.0000000000001,-27.9999999999999 36.0000000000001)))', '36.5', '36', '-27', '-28', '01C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 36.5000000000001,-27.9999999999999 37.0000000000001,-26.9999999999999 37.0000000000001,-26.9999999999999 36.5000000000001,-27.9999999999999 36.5000000000001)))', '37', '36.5', '-27', '-28', '02C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 37.0000000000001,-27.9999999999999 37.5000000000001,-26.9999999999999 37.5000000000001,-26.9999999999999 37.0000000000001,-27.9999999999999 37.0000000000001)))', '37.5', '37', '-27', '-28', '03C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 37.5000000000001,-27.9999999999999 38.0000000000001,-26.9999999999999 38.0000000000001,-26.9999999999999 37.5000000000001,-27.9999999999999 37.5000000000001)))', '38', '37.5', '-27', '-28', '04C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 38.0000000000001,-27.9999999999999 38.5000000000001,-26.9999999999999 38.5000000000001,-26.9999999999999 38.0000000000001,-27.9999999999999 38.0000000000001)))', '38.5', '38', '-27', '-28', '05C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 38.5000000000001,-27.9999999999999 39.0000000000001,-26.9999999999999 39.0000000000001,-26.9999999999999 38.5000000000001,-27.9999999999999 38.5000000000001)))', '39', '38.5', '-27', '-28', '06C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 39.0000000000001,-27.9999999999999 39.5000000000001,-26.9999999999999 39.5000000000001,-26.9999999999999 39.0000000000001,-27.9999999999999 39.0000000000001)))', '39.5', '39', '-27', '-28', '07C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 39.5000000000001,-27.9999999999999 40.0000000000001,-26.9999999999999 40.0000000000001,-26.9999999999999 39.5000000000001,-27.9999999999999 39.5000000000001)))', '40', '39.5', '-27', '-28', '08C2', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-27.9999999999999 40.0000000000001,-27.9999999999999 40.5000000000001,-26.9999999999999 40.5000000000001,-26.9999999999999 40.0000000000001,-27.9999999999999 40.0000000000001)))', '40.5', '40', '-27', '-28', '09C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 40.5000000000001,-27.9999999999999 41.0000000000001,-26.9999999999999 41.0000000000001,-26.9999999999999 40.5000000000001,-27.9999999999999 40.5000000000001)))', '41', '40.5', '-27', '-28', '10C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 41.0000000000001,-27.9999999999999 41.5000000000001,-26.9999999999999 41.5000000000001,-26.9999999999999 41.0000000000001,-27.9999999999999 41.0000000000001)))', '41.5', '41', '-27', '-28', '11C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 41.5000000000001,-27.9999999999999 42.0000000000001,-26.9999999999999 42.0000000000001,-26.9999999999999 41.5000000000001,-27.9999999999999 41.5000000000001)))', '42', '41.5', '-27', '-28', '12C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 42.0000000000001,-27.9999999999999 42.5000000000001,-26.9999999999999 42.5000000000001,-26.9999999999999 42.0000000000001,-27.9999999999999 42.0000000000001)))', '42.5', '42', '-27', '-28', '13C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 42.5000000000001,-27.9999999999999 43.0000000000001,-26.9999999999999 43.0000000000001,-26.9999999999999 42.5000000000001,-27.9999999999999 42.5000000000001)))', '43', '42.5', '-27', '-28', '14C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 43.0000000000001,-27.9999999999999 43.5000000000001,-26.9999999999999 43.5000000000001,-26.9999999999999 43.0000000000001,-27.9999999999999 43.0000000000001)))', '43.5', '43', '-27', '-28', '15C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 43.5000000000001,-27.9999999999999 44.0000000000001,-26.9999999999999 44.0000000000001,-26.9999999999999 43.5000000000001,-27.9999999999999 43.5000000000001)))', '44', '43.5', '-27', '-28', '16C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 44.0000000000001,-27.9999999999999 44.5000000000001,-26.9999999999999 44.5000000000001,-26.9999999999999 44.0000000000001,-27.9999999999999 44.0000000000001)))', '44.5', '44', '-27', '-28', '17C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 44.5000000000001,-27.9999999999999 45.0000000000001,-26.9999999999999 45.0000000000001,-26.9999999999999 44.5000000000001,-27.9999999999999 44.5000000000001)))', '45', '44.5', '-27', '-28', '18C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 45.0000000000001,-27.9999999999999 45.5000000000001,-26.9999999999999 45.5000000000001,-26.9999999999999 45.0000000000001,-27.9999999999999 45.0000000000001)))', '45.5', '45', '-27', '-28', '19C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 45.5000000000001,-27.9999999999999 46.0000000000001,-26.9999999999999 46.0000000000001,-26.9999999999999 45.5000000000001,-27.9999999999999 45.5000000000001)))', '46', '45.5', '-27', '-28', '20C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 46.0000000000001,-27.9999999999999 46.5000000000001,-26.9999999999999 46.5000000000001,-26.9999999999999 46.0000000000001,-27.9999999999999 46.0000000000001)))', '46.5', '46', '-27', '-28', '21C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 46.5000000000001,-27.9999999999999 47.0000000000001,-26.9999999999999 47.0000000000001,-26.9999999999999 46.5000000000001,-27.9999999999999 46.5000000000001)))', '47', '46.5', '-27', '-28', '22C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 47.0000000000001,-27.9999999999999 47.5000000000001,-26.9999999999999 47.5000000000001,-26.9999999999999 47.0000000000001,-27.9999999999999 47.0000000000001)))', '47.5', '47', '-27', '-28', '23C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 47.5000000000001,-27.9999999999999 48.0000000000001,-26.9999999999999 48.0000000000001,-26.9999999999999 47.5000000000001,-27.9999999999999 47.5000000000001)))', '48', '47.5', '-27', '-28', '24C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 48.0000000000001,-27.9999999999999 48.5000000000001,-26.9999999999999 48.5000000000001,-26.9999999999999 48.0000000000001,-27.9999999999999 48.0000000000001)))', '48.5', '48', '-27', '-28', '25C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 48.5000000000001,-27.9999999999999 49.0000000000001,-26.9999999999999 49.0000000000001,-26.9999999999999 48.5000000000001,-27.9999999999999 48.5000000000001)))', '49', '48.5', '-27', '-28', '26C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 49.0000000000001,-27.9999999999999 49.5000000000001,-26.9999999999999 49.5000000000001,-26.9999999999999 49.0000000000001,-27.9999999999999 49.0000000000001)))', '49.5', '49', '-27', '-28', '27C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 49.5000000000001,-27.9999999999999 50.0000000000001,-26.9999999999999 50.0000000000001,-26.9999999999999 49.5000000000001,-27.9999999999999 49.5000000000001)))', '50', '49.5', '-27', '-28', '28C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 50.0000000000001,-27.9999999999999 50.5000000000001,-26.9999999999999 50.5000000000001,-26.9999999999999 50.0000000000001,-27.9999999999999 50.0000000000001)))', '50.5', '50', '-27', '-28', '29C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 50.5000000000001,-27.9999999999999 51.0000000000001,-26.9999999999999 51.0000000000001,-26.9999999999999 50.5000000000001,-27.9999999999999 50.5000000000001)))', '51', '50.5', '-27', '-28', '30C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 51.0000000000001,-27.9999999999999 51.5000000000001,-26.9999999999999 51.5000000000001,-26.9999999999999 51.0000000000001,-27.9999999999999 51.0000000000001)))', '51.5', '51', '-27', '-28', '31C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 51.5000000000001,-27.9999999999999 52.0000000000001,-26.9999999999999 52.0000000000001,-26.9999999999999 51.5000000000001,-27.9999999999999 51.5000000000001)))', '52', '51.5', '-27', '-28', '32C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 52.0000000000001,-27.9999999999999 52.5000000000001,-26.9999999999999 52.5000000000001,-26.9999999999999 52.0000000000001,-27.9999999999999 52.0000000000001)))', '52.5', '52', '-27', '-28', '33C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 52.5000000000001,-27.9999999999999 53.0000000000001,-26.9999999999999 53.0000000000001,-26.9999999999999 52.5000000000001,-27.9999999999999 52.5000000000001)))', '53', '52.5', '-27', '-28', '34C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 53.0000000000001,-27.9999999999999 53.5000000000001,-26.9999999999999 53.5000000000001,-26.9999999999999 53.0000000000001,-27.9999999999999 53.0000000000001)))', '53.5', '53', '-27', '-28', '35C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 53.5000000000001,-27.9999999999999 54.0000000000001,-26.9999999999999 54.0000000000001,-26.9999999999999 53.5000000000001,-27.9999999999999 53.5000000000001)))', '54', '53.5', '-27', '-28', '36C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 54.0000000000001,-27.9999999999999 54.5000000000001,-26.9999999999999 54.5000000000001,-26.9999999999999 54.0000000000001,-27.9999999999999 54.0000000000001)))', '54.5', '54', '-27', '-28', '37C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 54.5000000000001,-27.9999999999999 55.0000000000001,-26.9999999999999 55.0000000000001,-26.9999999999999 54.5000000000001,-27.9999999999999 54.5000000000001)))', '55', '54.5', '-27', '-28', '38C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 55.0000000000001,-27.9999999999999 55.5000000000001,-26.9999999999999 55.5000000000001,-26.9999999999999 55.0000000000001,-27.9999999999999 55.0000000000001)))', '55.5', '55', '-27', '-28', '39C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 55.5000000000001,-27.9999999999999 56.0000000000001,-26.9999999999999 56.0000000000001,-26.9999999999999 55.5000000000001,-27.9999999999999 55.5000000000001)))', '56', '55.5', '-27', '-28', '40C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 56.0000000000001,-27.9999999999999 56.5000000000001,-26.9999999999999 56.5000000000001,-26.9999999999999 56.0000000000001,-27.9999999999999 56.0000000000001)))', '56.5', '56', '-27', '-28', '41C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 56.5000000000001,-27.9999999999999 57.0000000000001,-26.9999999999999 57.0000000000001,-26.9999999999999 56.5000000000001,-27.9999999999999 56.5000000000001)))', '57', '56.5', '-27', '-28', '42C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 57.0000000000001,-27.9999999999999 57.5000000000001,-26.9999999999999 57.5000000000001,-26.9999999999999 57.0000000000001,-27.9999999999999 57.0000000000001)))', '57.5', '57', '-27', '-28', '43C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 57.5000000000001,-27.9999999999999 58.0000000000001,-26.9999999999999 58.0000000000001,-26.9999999999999 57.5000000000001,-27.9999999999999 57.5000000000001)))', '58', '57.5', '-27', '-28', '44C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 58.0000000000001,-27.9999999999999 58.5000000000001,-26.9999999999999 58.5000000000001,-26.9999999999999 58.0000000000001,-27.9999999999999 58.0000000000001)))', '58.5', '58', '-27', '-28', '45C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 58.5000000000001,-27.9999999999999 59.0000000000001,-26.9999999999999 59.0000000000001,-26.9999999999999 58.5000000000001,-27.9999999999999 58.5000000000001)))', '59', '58.5', '-27', '-28', '46C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 59.0000000000001,-27.9999999999999 59.5000000000001,-26.9999999999999 59.5000000000001,-26.9999999999999 59.0000000000001,-27.9999999999999 59.0000000000001)))', '59.5', '59', '-27', '-28', '47C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 59.5000000000001,-27.9999999999999 60.0000000000001,-26.9999999999999 60.0000000000001,-26.9999999999999 59.5000000000001,-27.9999999999999 59.5000000000001)))', '60', '59.5', '-27', '-28', '48C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 60.0000000000001,-27.9999999999999 60.5000000000001,-26.9999999999999 60.5000000000001,-26.9999999999999 60.0000000000001,-27.9999999999999 60.0000000000001)))', '60.5', '60', '-27', '-28', '49C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 60.5000000000001,-27.9999999999999 61.0000000000001,-26.9999999999999 61.0000000000001,-26.9999999999999 60.5000000000001,-27.9999999999999 60.5000000000001)))', '61', '60.5', '-27', '-28', '50C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 61.0000000000001,-27.9999999999999 61.5000000000001,-26.9999999999999 61.5000000000001,-26.9999999999999 61.0000000000001,-27.9999999999999 61.0000000000001)))', '61.5', '61', '-27', '-28', '51C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 61.5000000000001,-27.9999999999999 62.0000000000001,-26.9999999999999 62.0000000000001,-26.9999999999999 61.5000000000001,-27.9999999999999 61.5000000000001)))', '62', '61.5', '-27', '-28', '52C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 62.0000000000001,-27.9999999999999 62.5000000000001,-26.9999999999999 62.5000000000001,-26.9999999999999 62.0000000000001,-27.9999999999999 62.0000000000001)))', '62.5', '62', '-27', '-28', '53C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 62.5000000000001,-27.9999999999999 63.0000000000001,-26.9999999999999 63.0000000000001,-26.9999999999999 62.5000000000001,-27.9999999999999 62.5000000000001)))', '63', '62.5', '-27', '-28', '54C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 63.0000000000001,-27.9999999999999 63.5000000000001,-26.9999999999999 63.5000000000001,-26.9999999999999 63.0000000000001,-27.9999999999999 63.0000000000001)))', '63.5', '63', '-27', '-28', '55C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 63.5000000000001,-27.9999999999999 64.0000000000001,-26.9999999999999 64.0000000000001,-26.9999999999999 63.5000000000001,-27.9999999999999 63.5000000000001)))', '64', '63.5', '-27', '-28', '56C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 64.0000000000001,-27.9999999999999 64.5000000000001,-26.9999999999999 64.5000000000001,-26.9999999999999 64.0000000000001,-27.9999999999999 64.0000000000001)))', '64.5', '64', '-27', '-28', '57C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 64.5000000000001,-27.9999999999999 65.0000000000001,-26.9999999999999 65.0000000000001,-26.9999999999999 64.5000000000001,-27.9999999999999 64.5000000000001)))', '65', '64.5', '-27', '-28', '58C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 65.0000000000001,-27.9999999999999 65.5000000000001,-26.9999999999999 65.5000000000001,-26.9999999999999 65.0000000000001,-27.9999999999999 65.0000000000001)))', '65.5', '65', '-27', '-28', '59C2', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-27.9999999999999 65.5000000000001,-27.9999999999999 66.0000000000001,-26.9999999999999 66.0000000000001,-26.9999999999999 65.5000000000001,-27.9999999999999 65.5000000000001)))', '66', '65.5', '-27', '-28', '60C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 66.0000000000001,-27.9999999999999 66.5000000000001,-26.9999999999999 66.5000000000001,-26.9999999999999 66.0000000000001,-27.9999999999999 66.0000000000001)))', '66.5', '66', '-27', '-28', '61C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 66.5000000000001,-27.9999999999999 67.0000000000001,-26.9999999999999 67.0000000000001,-26.9999999999999 66.5000000000001,-27.9999999999999 66.5000000000001)))', '67', '66.5', '-27', '-28', '62C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 67.0000000000001,-27.9999999999999 67.5000000000001,-26.9999999999999 67.5000000000001,-26.9999999999999 67.0000000000001,-27.9999999999999 67.0000000000001)))', '67.5', '67', '-27', '-28', '63C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 67.5000000000001,-27.9999999999999 68.0000000000001,-26.9999999999999 68.0000000000001,-26.9999999999999 67.5000000000001,-27.9999999999999 67.5000000000001)))', '68', '67.5', '-27', '-28', '64C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 68.0000000000001,-27.9999999999999 68.5000000000001,-26.9999999999999 68.5000000000001,-26.9999999999999 68.0000000000001,-27.9999999999999 68.0000000000001)))', '68.5', '68', '-27', '-28', '65C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 68.5000000000001,-27.9999999999999 69.0000000000001,-26.9999999999999 69.0000000000001,-26.9999999999999 68.5000000000001,-27.9999999999999 68.5000000000001)))', '69', '68.5', '-27', '-28', '66C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 69.5000000000001,-27.9999999999999 70.0000000000001,-26.9999999999999 70.0000000000001,-26.9999999999999 69.5000000000001,-27.9999999999999 69.5000000000001)))', '70', '69.5', '-27', '-28', '68C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 70.0000000000001,-27.9999999999999 70.5000000000001,-26.9999999999999 70.5000000000001,-26.9999999999999 70.0000000000001,-27.9999999999999 70.0000000000001)))', '70.5', '70', '-27', '-28', '69C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 70.5000000000001,-27.9999999999999 71.0000000000001,-26.9999999999999 71.0000000000001,-26.9999999999999 70.5000000000001,-27.9999999999999 70.5000000000001)))', '71', '70.5', '-27', '-28', '70C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 71.0000000000001,-27.9999999999999 71.5000000000001,-26.9999999999999 71.5000000000001,-26.9999999999999 71.0000000000001,-27.9999999999999 71.0000000000001)))', '71.5', '71', '-27', '-28', '71C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 71.5000000000001,-27.9999999999999 72.0000000000001,-26.9999999999999 72.0000000000001,-26.9999999999999 71.5000000000001,-27.9999999999999 71.5000000000001)))', '72', '71.5', '-27', '-28', '72C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 72.5000000000001,-27.9999999999999 73.0000000000001,-26.9999999999999 73.0000000000001,-26.9999999999999 72.5000000000001,-27.9999999999999 72.5000000000001)))', '73', '72.5', '-27', '-28', '74C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 73.0000000000001,-27.9999999999999 73.5000000000001,-26.9999999999999 73.5000000000001,-26.9999999999999 73.0000000000001,-27.9999999999999 73.0000000000001)))', '73.5', '73', '-27', '-28', '75C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 73.5000000000001,-27.9999999999999 74.0000000000001,-26.9999999999999 74.0000000000001,-26.9999999999999 73.5000000000001,-27.9999999999999 73.5000000000001)))', '74', '73.5', '-27', '-28', '76C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 82.0000000000001,-27.9999999999999 82.5000000000001,-26.9999999999999 82.5000000000001,-26.9999999999999 82.0000000000001,-27.9999999999999 82.0000000000001)))', '82.5', '82', '-27', '-28', '93C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 83.0000000000001,-27.9999999999999 83.5000000000001,-26.9999999999999 83.5000000000001,-26.9999999999999 83.0000000000001,-27.9999999999999 83.0000000000001)))', '83.5', '83', '-27', '-28', '95C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 83.5000000000001,-27.9999999999999 84.0000000000001,-26.9999999999999 84.0000000000001,-26.9999999999999 83.5000000000001,-27.9999999999999 83.5000000000001)))', '84', '83.5', '-27', '-28', '96C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 84.0000000000001,-27.9999999999999 84.5000000000001,-26.9999999999999 84.5000000000001,-26.9999999999999 84.0000000000001,-27.9999999999999 84.0000000000001)))', '84.5', '84', '-27', '-28', '97C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-27.9999999999999 84.5000000000001,-27.9999999999999 85.0000000000001,-26.9999999999999 85.0000000000001,-26.9999999999999 84.5000000000001,-27.9999999999999 84.5000000000001)))', '85', '84.5', '-27', '-28', '98C2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 36.0000000000001,-26.9999999999999 36.5000000000001,-25.9999999999999 36.5000000000001,-25.9999999999999 36.0000000000001,-26.9999999999999 36.0000000000001)))', '36.5', '36', '-26', '-27', '01C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 36.5000000000001,-26.9999999999999 37.0000000000001,-25.9999999999999 37.0000000000001,-25.9999999999999 36.5000000000001,-26.9999999999999 36.5000000000001)))', '37', '36.5', '-26', '-27', '02C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 37.0000000000001,-26.9999999999999 37.5000000000001,-25.9999999999999 37.5000000000001,-25.9999999999999 37.0000000000001,-26.9999999999999 37.0000000000001)))', '37.5', '37', '-26', '-27', '03C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 37.5000000000001,-26.9999999999999 38.0000000000001,-25.9999999999999 38.0000000000001,-25.9999999999999 37.5000000000001,-26.9999999999999 37.5000000000001)))', '38', '37.5', '-26', '-27', '04C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 38.0000000000001,-26.9999999999999 38.5000000000001,-25.9999999999999 38.5000000000001,-25.9999999999999 38.0000000000001,-26.9999999999999 38.0000000000001)))', '38.5', '38', '-26', '-27', '05C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 38.5000000000001,-26.9999999999999 39.0000000000001,-25.9999999999999 39.0000000000001,-25.9999999999999 38.5000000000001,-26.9999999999999 38.5000000000001)))', '39', '38.5', '-26', '-27', '06C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 39.0000000000001,-26.9999999999999 39.5000000000001,-25.9999999999999 39.5000000000001,-25.9999999999999 39.0000000000001,-26.9999999999999 39.0000000000001)))', '39.5', '39', '-26', '-27', '07C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 39.5000000000001,-26.9999999999999 40.0000000000001,-25.9999999999999 40.0000000000001,-25.9999999999999 39.5000000000001,-26.9999999999999 39.5000000000001)))', '40', '39.5', '-26', '-27', '08C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 40.0000000000001,-26.9999999999999 40.5000000000001,-25.9999999999999 40.5000000000001,-25.9999999999999 40.0000000000001,-26.9999999999999 40.0000000000001)))', '40.5', '40', '-26', '-27', '09C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 40.5000000000001,-26.9999999999999 41.0000000000001,-25.9999999999999 41.0000000000001,-25.9999999999999 40.5000000000001,-26.9999999999999 40.5000000000001)))', '41', '40.5', '-26', '-27', '10C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 41.0000000000001,-26.9999999999999 41.5000000000001,-25.9999999999999 41.5000000000001,-25.9999999999999 41.0000000000001,-26.9999999999999 41.0000000000001)))', '41.5', '41', '-26', '-27', '11C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 41.5000000000001,-26.9999999999999 42.0000000000001,-25.9999999999999 42.0000000000001,-25.9999999999999 41.5000000000001,-26.9999999999999 41.5000000000001)))', '42', '41.5', '-26', '-27', '12C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 42.0000000000001,-26.9999999999999 42.5000000000001,-25.9999999999999 42.5000000000001,-25.9999999999999 42.0000000000001,-26.9999999999999 42.0000000000001)))', '42.5', '42', '-26', '-27', '13C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 42.5000000000001,-26.9999999999999 43.0000000000001,-25.9999999999999 43.0000000000001,-25.9999999999999 42.5000000000001,-26.9999999999999 42.5000000000001)))', '43', '42.5', '-26', '-27', '14C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 43.0000000000001,-26.9999999999999 43.5000000000001,-25.9999999999999 43.5000000000001,-25.9999999999999 43.0000000000001,-26.9999999999999 43.0000000000001)))', '43.5', '43', '-26', '-27', '15C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 43.5000000000001,-26.9999999999999 44.0000000000001,-25.9999999999999 44.0000000000001,-25.9999999999999 43.5000000000001,-26.9999999999999 43.5000000000001)))', '44', '43.5', '-26', '-27', '16C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 44.0000000000001,-26.9999999999999 44.5000000000001,-25.9999999999999 44.5000000000001,-25.9999999999999 44.0000000000001,-26.9999999999999 44.0000000000001)))', '44.5', '44', '-26', '-27', '17C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 44.5000000000001,-26.9999999999999 45.0000000000001,-25.9999999999999 45.0000000000001,-25.9999999999999 44.5000000000001,-26.9999999999999 44.5000000000001)))', '45', '44.5', '-26', '-27', '18C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 45.0000000000001,-26.9999999999999 45.5000000000001,-25.9999999999999 45.5000000000001,-25.9999999999999 45.0000000000001,-26.9999999999999 45.0000000000001)))', '45.5', '45', '-26', '-27', '19C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 45.5000000000001,-26.9999999999999 46.0000000000001,-25.9999999999999 46.0000000000001,-25.9999999999999 45.5000000000001,-26.9999999999999 45.5000000000001)))', '46', '45.5', '-26', '-27', '20C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 46.0000000000001,-26.9999999999999 46.5000000000001,-25.9999999999999 46.5000000000001,-25.9999999999999 46.0000000000001,-26.9999999999999 46.0000000000001)))', '46.5', '46', '-26', '-27', '21C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 46.5000000000001,-26.9999999999999 47.0000000000001,-25.9999999999999 47.0000000000001,-25.9999999999999 46.5000000000001,-26.9999999999999 46.5000000000001)))', '47', '46.5', '-26', '-27', '22C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 47.0000000000001,-26.9999999999999 47.5000000000001,-25.9999999999999 47.5000000000001,-25.9999999999999 47.0000000000001,-26.9999999999999 47.0000000000001)))', '47.5', '47', '-26', '-27', '23C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 47.5000000000001,-26.9999999999999 48.0000000000001,-25.9999999999999 48.0000000000001,-25.9999999999999 47.5000000000001,-26.9999999999999 47.5000000000001)))', '48', '47.5', '-26', '-27', '24C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 48.0000000000001,-26.9999999999999 48.5000000000001,-25.9999999999999 48.5000000000001,-25.9999999999999 48.0000000000001,-26.9999999999999 48.0000000000001)))', '48.5', '48', '-26', '-27', '25C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 48.5000000000001,-26.9999999999999 49.0000000000001,-25.9999999999999 49.0000000000001,-25.9999999999999 48.5000000000001,-26.9999999999999 48.5000000000001)))', '49', '48.5', '-26', '-27', '26C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 49.0000000000001,-26.9999999999999 49.5000000000001,-25.9999999999999 49.5000000000001,-25.9999999999999 49.0000000000001,-26.9999999999999 49.0000000000001)))', '49.5', '49', '-26', '-27', '27C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 49.5000000000001,-26.9999999999999 50.0000000000001,-25.9999999999999 50.0000000000001,-25.9999999999999 49.5000000000001,-26.9999999999999 49.5000000000001)))', '50', '49.5', '-26', '-27', '28C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 50.0000000000001,-26.9999999999999 50.5000000000001,-25.9999999999999 50.5000000000001,-25.9999999999999 50.0000000000001,-26.9999999999999 50.0000000000001)))', '50.5', '50', '-26', '-27', '29C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 50.5000000000001,-26.9999999999999 51.0000000000001,-25.9999999999999 51.0000000000001,-25.9999999999999 50.5000000000001,-26.9999999999999 50.5000000000001)))', '51', '50.5', '-26', '-27', '30C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 51.0000000000001,-26.9999999999999 51.5000000000001,-25.9999999999999 51.5000000000001,-25.9999999999999 51.0000000000001,-26.9999999999999 51.0000000000001)))', '51.5', '51', '-26', '-27', '31C3', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-26.9999999999999 51.5000000000001,-26.9999999999999 52.0000000000001,-25.9999999999999 52.0000000000001,-25.9999999999999 51.5000000000001,-26.9999999999999 51.5000000000001)))', '52', '51.5', '-26', '-27', '32C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 52.0000000000001,-26.9999999999999 52.5000000000001,-25.9999999999999 52.5000000000001,-25.9999999999999 52.0000000000001,-26.9999999999999 52.0000000000001)))', '52.5', '52', '-26', '-27', '33C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 52.5000000000001,-26.9999999999999 53.0000000000001,-25.9999999999999 53.0000000000001,-25.9999999999999 52.5000000000001,-26.9999999999999 52.5000000000001)))', '53', '52.5', '-26', '-27', '34C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 53.0000000000001,-26.9999999999999 53.5000000000001,-25.9999999999999 53.5000000000001,-25.9999999999999 53.0000000000001,-26.9999999999999 53.0000000000001)))', '53.5', '53', '-26', '-27', '35C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 53.5000000000001,-26.9999999999999 54.0000000000001,-25.9999999999999 54.0000000000001,-25.9999999999999 53.5000000000001,-26.9999999999999 53.5000000000001)))', '54', '53.5', '-26', '-27', '36C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 54.0000000000001,-26.9999999999999 54.5000000000001,-25.9999999999999 54.5000000000001,-25.9999999999999 54.0000000000001,-26.9999999999999 54.0000000000001)))', '54.5', '54', '-26', '-27', '37C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 54.5000000000001,-26.9999999999999 55.0000000000001,-25.9999999999999 55.0000000000001,-25.9999999999999 54.5000000000001,-26.9999999999999 54.5000000000001)))', '55', '54.5', '-26', '-27', '38C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 55.0000000000001,-26.9999999999999 55.5000000000001,-25.9999999999999 55.5000000000001,-25.9999999999999 55.0000000000001,-26.9999999999999 55.0000000000001)))', '55.5', '55', '-26', '-27', '39C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 55.5000000000001,-26.9999999999999 56.0000000000001,-25.9999999999999 56.0000000000001,-25.9999999999999 55.5000000000001,-26.9999999999999 55.5000000000001)))', '56', '55.5', '-26', '-27', '40C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 56.0000000000001,-26.9999999999999 56.5000000000001,-25.9999999999999 56.5000000000001,-25.9999999999999 56.0000000000001,-26.9999999999999 56.0000000000001)))', '56.5', '56', '-26', '-27', '41C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 56.5000000000001,-26.9999999999999 57.0000000000001,-25.9999999999999 57.0000000000001,-25.9999999999999 56.5000000000001,-26.9999999999999 56.5000000000001)))', '57', '56.5', '-26', '-27', '42C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 57.0000000000001,-26.9999999999999 57.5000000000001,-25.9999999999999 57.5000000000001,-25.9999999999999 57.0000000000001,-26.9999999999999 57.0000000000001)))', '57.5', '57', '-26', '-27', '43C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 57.5000000000001,-26.9999999999999 58.0000000000001,-25.9999999999999 58.0000000000001,-25.9999999999999 57.5000000000001,-26.9999999999999 57.5000000000001)))', '58', '57.5', '-26', '-27', '44C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 58.0000000000001,-26.9999999999999 58.5000000000001,-25.9999999999999 58.5000000000001,-25.9999999999999 58.0000000000001,-26.9999999999999 58.0000000000001)))', '58.5', '58', '-26', '-27', '45C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 58.5000000000001,-26.9999999999999 59.0000000000001,-25.9999999999999 59.0000000000001,-25.9999999999999 58.5000000000001,-26.9999999999999 58.5000000000001)))', '59', '58.5', '-26', '-27', '46C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 59.0000000000001,-26.9999999999999 59.5000000000001,-25.9999999999999 59.5000000000001,-25.9999999999999 59.0000000000001,-26.9999999999999 59.0000000000001)))', '59.5', '59', '-26', '-27', '47C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 59.5000000000001,-26.9999999999999 60.0000000000001,-25.9999999999999 60.0000000000001,-25.9999999999999 59.5000000000001,-26.9999999999999 59.5000000000001)))', '60', '59.5', '-26', '-27', '48C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 60.0000000000001,-26.9999999999999 60.5000000000001,-25.9999999999999 60.5000000000001,-25.9999999999999 60.0000000000001,-26.9999999999999 60.0000000000001)))', '60.5', '60', '-26', '-27', '49C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 60.5000000000001,-26.9999999999999 61.0000000000001,-25.9999999999999 61.0000000000001,-25.9999999999999 60.5000000000001,-26.9999999999999 60.5000000000001)))', '61', '60.5', '-26', '-27', '50C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 61.0000000000001,-26.9999999999999 61.5000000000001,-25.9999999999999 61.5000000000001,-25.9999999999999 61.0000000000001,-26.9999999999999 61.0000000000001)))', '61.5', '61', '-26', '-27', '51C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 61.5000000000001,-26.9999999999999 62.0000000000001,-25.9999999999999 62.0000000000001,-25.9999999999999 61.5000000000001,-26.9999999999999 61.5000000000001)))', '62', '61.5', '-26', '-27', '52C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 62.0000000000001,-26.9999999999999 62.5000000000001,-25.9999999999999 62.5000000000001,-25.9999999999999 62.0000000000001,-26.9999999999999 62.0000000000001)))', '62.5', '62', '-26', '-27', '53C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 62.5000000000001,-26.9999999999999 63.0000000000001,-25.9999999999999 63.0000000000001,-25.9999999999999 62.5000000000001,-26.9999999999999 62.5000000000001)))', '63', '62.5', '-26', '-27', '54C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 63.0000000000001,-26.9999999999999 63.5000000000001,-25.9999999999999 63.5000000000001,-25.9999999999999 63.0000000000001,-26.9999999999999 63.0000000000001)))', '63.5', '63', '-26', '-27', '55C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 63.5000000000001,-26.9999999999999 64.0000000000001,-25.9999999999999 64.0000000000001,-25.9999999999999 63.5000000000001,-26.9999999999999 63.5000000000001)))', '64', '63.5', '-26', '-27', '56C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 64.0000000000001,-26.9999999999999 64.5000000000001,-25.9999999999999 64.5000000000001,-25.9999999999999 64.0000000000001,-26.9999999999999 64.0000000000001)))', '64.5', '64', '-26', '-27', '57C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 64.5000000000001,-26.9999999999999 65.0000000000001,-25.9999999999999 65.0000000000001,-25.9999999999999 64.5000000000001,-26.9999999999999 64.5000000000001)))', '65', '64.5', '-26', '-27', '58C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 65.0000000000001,-26.9999999999999 65.5000000000001,-25.9999999999999 65.5000000000001,-25.9999999999999 65.0000000000001,-26.9999999999999 65.0000000000001)))', '65.5', '65', '-26', '-27', '59C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 65.5000000000001,-26.9999999999999 66.0000000000001,-25.9999999999999 66.0000000000001,-25.9999999999999 65.5000000000001,-26.9999999999999 65.5000000000001)))', '66', '65.5', '-26', '-27', '60C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 66.0000000000001,-26.9999999999999 66.5000000000001,-25.9999999999999 66.5000000000001,-25.9999999999999 66.0000000000001,-26.9999999999999 66.0000000000001)))', '66.5', '66', '-26', '-27', '61C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 66.5000000000001,-26.9999999999999 67.0000000000001,-25.9999999999999 67.0000000000001,-25.9999999999999 66.5000000000001,-26.9999999999999 66.5000000000001)))', '67', '66.5', '-26', '-27', '62C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 67.0000000000001,-26.9999999999999 67.5000000000001,-25.9999999999999 67.5000000000001,-25.9999999999999 67.0000000000001,-26.9999999999999 67.0000000000001)))', '67.5', '67', '-26', '-27', '63C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 67.5000000000001,-26.9999999999999 68.0000000000001,-25.9999999999999 68.0000000000001,-25.9999999999999 67.5000000000001,-26.9999999999999 67.5000000000001)))', '68', '67.5', '-26', '-27', '64C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 68.0000000000001,-26.9999999999999 68.5000000000001,-25.9999999999999 68.5000000000001,-25.9999999999999 68.0000000000001,-26.9999999999999 68.0000000000001)))', '68.5', '68', '-26', '-27', '65C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 68.5000000000001,-26.9999999999999 69.0000000000001,-25.9999999999999 69.0000000000001,-25.9999999999999 68.5000000000001,-26.9999999999999 68.5000000000001)))', '69', '68.5', '-26', '-27', '66C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 70.0000000000001,-26.9999999999999 70.5000000000001,-25.9999999999999 70.5000000000001,-25.9999999999999 70.0000000000001,-26.9999999999999 70.0000000000001)))', '70.5', '70', '-26', '-27', '69C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 70.5000000000001,-26.9999999999999 71.0000000000001,-25.9999999999999 71.0000000000001,-25.9999999999999 70.5000000000001,-26.9999999999999 70.5000000000001)))', '71', '70.5', '-26', '-27', '70C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 71.0000000000001,-26.9999999999999 71.5000000000001,-25.9999999999999 71.5000000000001,-25.9999999999999 71.0000000000001,-26.9999999999999 71.0000000000001)))', '71.5', '71', '-26', '-27', '71C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 71.5000000000001,-26.9999999999999 72.0000000000001,-25.9999999999999 72.0000000000001,-25.9999999999999 71.5000000000001,-26.9999999999999 71.5000000000001)))', '72', '71.5', '-26', '-27', '72C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 72.0000000000001,-26.9999999999999 72.5000000000001,-25.9999999999999 72.5000000000001,-25.9999999999999 72.0000000000001,-26.9999999999999 72.0000000000001)))', '72.5', '72', '-26', '-27', '73C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 72.5000000000001,-26.9999999999999 73.0000000000001,-25.9999999999999 73.0000000000001,-25.9999999999999 72.5000000000001,-26.9999999999999 72.5000000000001)))', '73', '72.5', '-26', '-27', '74C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 73.0000000000001,-26.9999999999999 73.5000000000001,-25.9999999999999 73.5000000000001,-25.9999999999999 73.0000000000001,-26.9999999999999 73.0000000000001)))', '73.5', '73', '-26', '-27', '75C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 81.0000000000001,-26.9999999999999 81.5000000000001,-25.9999999999999 81.5000000000001,-25.9999999999999 81.0000000000001,-26.9999999999999 81.0000000000001)))', '81.5', '81', '-26', '-27', '91C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 81.5000000000001,-26.9999999999999 82.0000000000001,-25.9999999999999 82.0000000000001,-25.9999999999999 81.5000000000001,-26.9999999999999 81.5000000000001)))', '82', '81.5', '-26', '-27', '92C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 82.0000000000001,-26.9999999999999 82.5000000000001,-25.9999999999999 82.5000000000001,-25.9999999999999 82.0000000000001,-26.9999999999999 82.0000000000001)))', '82.5', '82', '-26', '-27', '93C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 83.0000000000001,-26.9999999999999 83.5000000000001,-25.9999999999999 83.5000000000001,-25.9999999999999 83.0000000000001,-26.9999999999999 83.0000000000001)))', '83.5', '83', '-26', '-27', '95C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 83.5000000000001,-26.9999999999999 84.0000000000001,-25.9999999999999 84.0000000000001,-25.9999999999999 83.5000000000001,-26.9999999999999 83.5000000000001)))', '84', '83.5', '-26', '-27', '96C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 84.0000000000001,-26.9999999999999 84.5000000000001,-25.9999999999999 84.5000000000001,-25.9999999999999 84.0000000000001,-26.9999999999999 84.0000000000001)))', '84.5', '84', '-26', '-27', '97C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-26.9999999999999 84.5000000000001,-26.9999999999999 85.0000000000001,-25.9999999999999 85.0000000000001,-25.9999999999999 84.5000000000001,-26.9999999999999 84.5000000000001)))', '85', '84.5', '-26', '-27', '98C3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 36.0000000000001,-25.9999999999999 36.5000000000001,-24.9999999999999 36.5000000000001,-24.9999999999999 36.0000000000001,-25.9999999999999 36.0000000000001)))', '36.5', '36', '-25', '-26', '01C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 36.5000000000001,-25.9999999999999 37.0000000000001,-24.9999999999999 37.0000000000001,-24.9999999999999 36.5000000000001,-25.9999999999999 36.5000000000001)))', '37', '36.5', '-25', '-26', '02C4', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-25.9999999999999 37.0000000000001,-25.9999999999999 37.5000000000001,-24.9999999999999 37.5000000000001,-24.9999999999999 37.0000000000001,-25.9999999999999 37.0000000000001)))', '37.5', '37', '-25', '-26', '03C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 37.5000000000001,-25.9999999999999 38.0000000000001,-24.9999999999999 38.0000000000001,-24.9999999999999 37.5000000000001,-25.9999999999999 37.5000000000001)))', '38', '37.5', '-25', '-26', '04C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 38.0000000000001,-25.9999999999999 38.5000000000001,-24.9999999999999 38.5000000000001,-24.9999999999999 38.0000000000001,-25.9999999999999 38.0000000000001)))', '38.5', '38', '-25', '-26', '05C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 38.5000000000001,-25.9999999999999 39.0000000000001,-24.9999999999999 39.0000000000001,-24.9999999999999 38.5000000000001,-25.9999999999999 38.5000000000001)))', '39', '38.5', '-25', '-26', '06C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 39.0000000000001,-25.9999999999999 39.5000000000001,-24.9999999999999 39.5000000000001,-24.9999999999999 39.0000000000001,-25.9999999999999 39.0000000000001)))', '39.5', '39', '-25', '-26', '07C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 39.5000000000001,-25.9999999999999 40.0000000000001,-24.9999999999999 40.0000000000001,-24.9999999999999 39.5000000000001,-25.9999999999999 39.5000000000001)))', '40', '39.5', '-25', '-26', '08C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 40.0000000000001,-25.9999999999999 40.5000000000001,-24.9999999999999 40.5000000000001,-24.9999999999999 40.0000000000001,-25.9999999999999 40.0000000000001)))', '40.5', '40', '-25', '-26', '09C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 40.5000000000001,-25.9999999999999 41.0000000000001,-24.9999999999999 41.0000000000001,-24.9999999999999 40.5000000000001,-25.9999999999999 40.5000000000001)))', '41', '40.5', '-25', '-26', '10C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 41.0000000000001,-25.9999999999999 41.5000000000001,-24.9999999999999 41.5000000000001,-24.9999999999999 41.0000000000001,-25.9999999999999 41.0000000000001)))', '41.5', '41', '-25', '-26', '11C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 41.5000000000001,-25.9999999999999 42.0000000000001,-24.9999999999999 42.0000000000001,-24.9999999999999 41.5000000000001,-25.9999999999999 41.5000000000001)))', '42', '41.5', '-25', '-26', '12C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 42.0000000000001,-25.9999999999999 42.5000000000001,-24.9999999999999 42.5000000000001,-24.9999999999999 42.0000000000001,-25.9999999999999 42.0000000000001)))', '42.5', '42', '-25', '-26', '13C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 42.5000000000001,-25.9999999999999 43.0000000000001,-24.9999999999999 43.0000000000001,-24.9999999999999 42.5000000000001,-25.9999999999999 42.5000000000001)))', '43', '42.5', '-25', '-26', '14C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 43.0000000000001,-25.9999999999999 43.5000000000001,-24.9999999999999 43.5000000000001,-24.9999999999999 43.0000000000001,-25.9999999999999 43.0000000000001)))', '43.5', '43', '-25', '-26', '15C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 43.5000000000001,-25.9999999999999 44.0000000000001,-24.9999999999999 44.0000000000001,-24.9999999999999 43.5000000000001,-25.9999999999999 43.5000000000001)))', '44', '43.5', '-25', '-26', '16C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 44.0000000000001,-25.9999999999999 44.5000000000001,-24.9999999999999 44.5000000000001,-24.9999999999999 44.0000000000001,-25.9999999999999 44.0000000000001)))', '44.5', '44', '-25', '-26', '17C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 44.5000000000001,-25.9999999999999 45.0000000000001,-24.9999999999999 45.0000000000001,-24.9999999999999 44.5000000000001,-25.9999999999999 44.5000000000001)))', '45', '44.5', '-25', '-26', '18C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 45.0000000000001,-25.9999999999999 45.5000000000001,-24.9999999999999 45.5000000000001,-24.9999999999999 45.0000000000001,-25.9999999999999 45.0000000000001)))', '45.5', '45', '-25', '-26', '19C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 45.5000000000001,-25.9999999999999 46.0000000000001,-24.9999999999999 46.0000000000001,-24.9999999999999 45.5000000000001,-25.9999999999999 45.5000000000001)))', '46', '45.5', '-25', '-26', '20C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 46.0000000000001,-25.9999999999999 46.5000000000001,-24.9999999999999 46.5000000000001,-24.9999999999999 46.0000000000001,-25.9999999999999 46.0000000000001)))', '46.5', '46', '-25', '-26', '21C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 46.5000000000001,-25.9999999999999 47.0000000000001,-24.9999999999999 47.0000000000001,-24.9999999999999 46.5000000000001,-25.9999999999999 46.5000000000001)))', '47', '46.5', '-25', '-26', '22C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 47.0000000000001,-25.9999999999999 47.5000000000001,-24.9999999999999 47.5000000000001,-24.9999999999999 47.0000000000001,-25.9999999999999 47.0000000000001)))', '47.5', '47', '-25', '-26', '23C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 47.5000000000001,-25.9999999999999 48.0000000000001,-24.9999999999999 48.0000000000001,-24.9999999999999 47.5000000000001,-25.9999999999999 47.5000000000001)))', '48', '47.5', '-25', '-26', '24C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 48.0000000000001,-25.9999999999999 48.5000000000001,-24.9999999999999 48.5000000000001,-24.9999999999999 48.0000000000001,-25.9999999999999 48.0000000000001)))', '48.5', '48', '-25', '-26', '25C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 48.5000000000001,-25.9999999999999 49.0000000000001,-24.9999999999999 49.0000000000001,-24.9999999999999 48.5000000000001,-25.9999999999999 48.5000000000001)))', '49', '48.5', '-25', '-26', '26C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 49.0000000000001,-25.9999999999999 49.5000000000001,-24.9999999999999 49.5000000000001,-24.9999999999999 49.0000000000001,-25.9999999999999 49.0000000000001)))', '49.5', '49', '-25', '-26', '27C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 49.5000000000001,-25.9999999999999 50.0000000000001,-24.9999999999999 50.0000000000001,-24.9999999999999 49.5000000000001,-25.9999999999999 49.5000000000001)))', '50', '49.5', '-25', '-26', '28C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 50.0000000000001,-25.9999999999999 50.5000000000001,-24.9999999999999 50.5000000000001,-24.9999999999999 50.0000000000001,-25.9999999999999 50.0000000000001)))', '50.5', '50', '-25', '-26', '29C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 50.5000000000001,-25.9999999999999 51.0000000000001,-24.9999999999999 51.0000000000001,-24.9999999999999 50.5000000000001,-25.9999999999999 50.5000000000001)))', '51', '50.5', '-25', '-26', '30C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 51.0000000000001,-25.9999999999999 51.5000000000001,-24.9999999999999 51.5000000000001,-24.9999999999999 51.0000000000001,-25.9999999999999 51.0000000000001)))', '51.5', '51', '-25', '-26', '31C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 51.5000000000001,-25.9999999999999 52.0000000000001,-24.9999999999999 52.0000000000001,-24.9999999999999 51.5000000000001,-25.9999999999999 51.5000000000001)))', '52', '51.5', '-25', '-26', '32C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 52.0000000000001,-25.9999999999999 52.5000000000001,-24.9999999999999 52.5000000000001,-24.9999999999999 52.0000000000001,-25.9999999999999 52.0000000000001)))', '52.5', '52', '-25', '-26', '33C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 52.5000000000001,-25.9999999999999 53.0000000000001,-24.9999999999999 53.0000000000001,-24.9999999999999 52.5000000000001,-25.9999999999999 52.5000000000001)))', '53', '52.5', '-25', '-26', '34C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 53.0000000000001,-25.9999999999999 53.5000000000001,-24.9999999999999 53.5000000000001,-24.9999999999999 53.0000000000001,-25.9999999999999 53.0000000000001)))', '53.5', '53', '-25', '-26', '35C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 53.5000000000001,-25.9999999999999 54.0000000000001,-24.9999999999999 54.0000000000001,-24.9999999999999 53.5000000000001,-25.9999999999999 53.5000000000001)))', '54', '53.5', '-25', '-26', '36C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 54.0000000000001,-25.9999999999999 54.5000000000001,-24.9999999999999 54.5000000000001,-24.9999999999999 54.0000000000001,-25.9999999999999 54.0000000000001)))', '54.5', '54', '-25', '-26', '37C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 54.5000000000001,-25.9999999999999 55.0000000000001,-24.9999999999999 55.0000000000001,-24.9999999999999 54.5000000000001,-25.9999999999999 54.5000000000001)))', '55', '54.5', '-25', '-26', '38C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 55.0000000000001,-25.9999999999999 55.5000000000001,-24.9999999999999 55.5000000000001,-24.9999999999999 55.0000000000001,-25.9999999999999 55.0000000000001)))', '55.5', '55', '-25', '-26', '39C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 55.5000000000001,-25.9999999999999 56.0000000000001,-24.9999999999999 56.0000000000001,-24.9999999999999 55.5000000000001,-25.9999999999999 55.5000000000001)))', '56', '55.5', '-25', '-26', '40C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 56.0000000000001,-25.9999999999999 56.5000000000001,-24.9999999999999 56.5000000000001,-24.9999999999999 56.0000000000001,-25.9999999999999 56.0000000000001)))', '56.5', '56', '-25', '-26', '41C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 56.5000000000001,-25.9999999999999 57.0000000000001,-24.9999999999999 57.0000000000001,-24.9999999999999 56.5000000000001,-25.9999999999999 56.5000000000001)))', '57', '56.5', '-25', '-26', '42C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 57.0000000000001,-25.9999999999999 57.5000000000001,-24.9999999999999 57.5000000000001,-24.9999999999999 57.0000000000001,-25.9999999999999 57.0000000000001)))', '57.5', '57', '-25', '-26', '43C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 57.5000000000001,-25.9999999999999 58.0000000000001,-24.9999999999999 58.0000000000001,-24.9999999999999 57.5000000000001,-25.9999999999999 57.5000000000001)))', '58', '57.5', '-25', '-26', '44C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 58.0000000000001,-25.9999999999999 58.5000000000001,-24.9999999999999 58.5000000000001,-24.9999999999999 58.0000000000001,-25.9999999999999 58.0000000000001)))', '58.5', '58', '-25', '-26', '45C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 58.5000000000001,-25.9999999999999 59.0000000000001,-24.9999999999999 59.0000000000001,-24.9999999999999 58.5000000000001,-25.9999999999999 58.5000000000001)))', '59', '58.5', '-25', '-26', '46C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 59.0000000000001,-25.9999999999999 59.5000000000001,-24.9999999999999 59.5000000000001,-24.9999999999999 59.0000000000001,-25.9999999999999 59.0000000000001)))', '59.5', '59', '-25', '-26', '47C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 59.5000000000001,-25.9999999999999 60.0000000000001,-24.9999999999999 60.0000000000001,-24.9999999999999 59.5000000000001,-25.9999999999999 59.5000000000001)))', '60', '59.5', '-25', '-26', '48C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 60.0000000000001,-25.9999999999999 60.5000000000001,-24.9999999999999 60.5000000000001,-24.9999999999999 60.0000000000001,-25.9999999999999 60.0000000000001)))', '60.5', '60', '-25', '-26', '49C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 60.5000000000001,-25.9999999999999 61.0000000000001,-24.9999999999999 61.0000000000001,-24.9999999999999 60.5000000000001,-25.9999999999999 60.5000000000001)))', '61', '60.5', '-25', '-26', '50C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 61.0000000000001,-25.9999999999999 61.5000000000001,-24.9999999999999 61.5000000000001,-24.9999999999999 61.0000000000001,-25.9999999999999 61.0000000000001)))', '61.5', '61', '-25', '-26', '51C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 61.5000000000001,-25.9999999999999 62.0000000000001,-24.9999999999999 62.0000000000001,-24.9999999999999 61.5000000000001,-25.9999999999999 61.5000000000001)))', '62', '61.5', '-25', '-26', '52C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 62.0000000000001,-25.9999999999999 62.5000000000001,-24.9999999999999 62.5000000000001,-24.9999999999999 62.0000000000001,-25.9999999999999 62.0000000000001)))', '62.5', '62', '-25', '-26', '53C4', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-25.9999999999999 62.5000000000001,-25.9999999999999 63.0000000000001,-24.9999999999999 63.0000000000001,-24.9999999999999 62.5000000000001,-25.9999999999999 62.5000000000001)))', '63', '62.5', '-25', '-26', '54C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 63.0000000000001,-25.9999999999999 63.5000000000001,-24.9999999999999 63.5000000000001,-24.9999999999999 63.0000000000001,-25.9999999999999 63.0000000000001)))', '63.5', '63', '-25', '-26', '55C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 63.5000000000001,-25.9999999999999 64.0000000000001,-24.9999999999999 64.0000000000001,-24.9999999999999 63.5000000000001,-25.9999999999999 63.5000000000001)))', '64', '63.5', '-25', '-26', '56C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 64.0000000000001,-25.9999999999999 64.5000000000001,-24.9999999999999 64.5000000000001,-24.9999999999999 64.0000000000001,-25.9999999999999 64.0000000000001)))', '64.5', '64', '-25', '-26', '57C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 64.5000000000001,-25.9999999999999 65.0000000000001,-24.9999999999999 65.0000000000001,-24.9999999999999 64.5000000000001,-25.9999999999999 64.5000000000001)))', '65', '64.5', '-25', '-26', '58C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 65.0000000000001,-25.9999999999999 65.5000000000001,-24.9999999999999 65.5000000000001,-24.9999999999999 65.0000000000001,-25.9999999999999 65.0000000000001)))', '65.5', '65', '-25', '-26', '59C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 65.5000000000001,-25.9999999999999 66.0000000000001,-24.9999999999999 66.0000000000001,-24.9999999999999 65.5000000000001,-25.9999999999999 65.5000000000001)))', '66', '65.5', '-25', '-26', '60C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 66.0000000000001,-25.9999999999999 66.5000000000001,-24.9999999999999 66.5000000000001,-24.9999999999999 66.0000000000001,-25.9999999999999 66.0000000000001)))', '66.5', '66', '-25', '-26', '61C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 66.5000000000001,-25.9999999999999 67.0000000000001,-24.9999999999999 67.0000000000001,-24.9999999999999 66.5000000000001,-25.9999999999999 66.5000000000001)))', '67', '66.5', '-25', '-26', '62C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 67.0000000000001,-25.9999999999999 67.5000000000001,-24.9999999999999 67.5000000000001,-24.9999999999999 67.0000000000001,-25.9999999999999 67.0000000000001)))', '67.5', '67', '-25', '-26', '63C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 67.5000000000001,-25.9999999999999 68.0000000000001,-24.9999999999999 68.0000000000001,-24.9999999999999 67.5000000000001,-25.9999999999999 67.5000000000001)))', '68', '67.5', '-25', '-26', '64C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 68.0000000000001,-25.9999999999999 68.5000000000001,-24.9999999999999 68.5000000000001,-24.9999999999999 68.0000000000001,-25.9999999999999 68.0000000000001)))', '68.5', '68', '-25', '-26', '65C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 68.5000000000001,-25.9999999999999 69.0000000000001,-24.9999999999999 69.0000000000001,-24.9999999999999 68.5000000000001,-25.9999999999999 68.5000000000001)))', '69', '68.5', '-25', '-26', '66C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 69.0000000000001,-25.9999999999999 69.5000000000001,-24.9999999999999 69.5000000000001,-24.9999999999999 69.0000000000001,-25.9999999999999 69.0000000000001)))', '69.5', '69', '-25', '-26', '67C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 70.0000000000001,-25.9999999999999 70.5000000000001,-24.9999999999999 70.5000000000001,-24.9999999999999 70.0000000000001,-25.9999999999999 70.0000000000001)))', '70.5', '70', '-25', '-26', '69C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 70.5000000000001,-25.9999999999999 71.0000000000001,-24.9999999999999 71.0000000000001,-24.9999999999999 70.5000000000001,-25.9999999999999 70.5000000000001)))', '71', '70.5', '-25', '-26', '70C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 71.0000000000001,-25.9999999999999 71.5000000000001,-24.9999999999999 71.5000000000001,-24.9999999999999 71.0000000000001,-25.9999999999999 71.0000000000001)))', '71.5', '71', '-25', '-26', '71C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 71.5000000000001,-25.9999999999999 72.0000000000001,-24.9999999999999 72.0000000000001,-24.9999999999999 71.5000000000001,-25.9999999999999 71.5000000000001)))', '72', '71.5', '-25', '-26', '72C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 72.0000000000001,-25.9999999999999 72.5000000000001,-24.9999999999999 72.5000000000001,-24.9999999999999 72.0000000000001,-25.9999999999999 72.0000000000001)))', '72.5', '72', '-25', '-26', '73C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 72.5000000000001,-25.9999999999999 73.0000000000001,-24.9999999999999 73.0000000000001,-24.9999999999999 72.5000000000001,-25.9999999999999 72.5000000000001)))', '73', '72.5', '-25', '-26', '74C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 73.0000000000001,-25.9999999999999 73.5000000000001,-24.9999999999999 73.5000000000001,-24.9999999999999 73.0000000000001,-25.9999999999999 73.0000000000001)))', '73.5', '73', '-25', '-26', '75C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 73.5000000000001,-25.9999999999999 74.0000000000001,-24.9999999999999 74.0000000000001,-24.9999999999999 73.5000000000001,-25.9999999999999 73.5000000000001)))', '74', '73.5', '-25', '-26', '76C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 81.0000000000001,-25.9999999999999 81.5000000000001,-24.9999999999999 81.5000000000001,-24.9999999999999 81.0000000000001,-25.9999999999999 81.0000000000001)))', '81.5', '81', '-25', '-26', '91C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 81.5000000000001,-25.9999999999999 82.0000000000001,-24.9999999999999 82.0000000000001,-24.9999999999999 81.5000000000001,-25.9999999999999 81.5000000000001)))', '82', '81.5', '-25', '-26', '92C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 82.0000000000001,-25.9999999999999 82.5000000000001,-24.9999999999999 82.5000000000001,-24.9999999999999 82.0000000000001,-25.9999999999999 82.0000000000001)))', '82.5', '82', '-25', '-26', '93C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 82.5000000000001,-25.9999999999999 83.0000000000001,-24.9999999999999 83.0000000000001,-24.9999999999999 82.5000000000001,-25.9999999999999 82.5000000000001)))', '83', '82.5', '-25', '-26', '94C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 83.0000000000001,-25.9999999999999 83.5000000000001,-24.9999999999999 83.5000000000001,-24.9999999999999 83.0000000000001,-25.9999999999999 83.0000000000001)))', '83.5', '83', '-25', '-26', '95C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 83.5000000000001,-25.9999999999999 84.0000000000001,-24.9999999999999 84.0000000000001,-24.9999999999999 83.5000000000001,-25.9999999999999 83.5000000000001)))', '84', '83.5', '-25', '-26', '96C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 84.0000000000001,-25.9999999999999 84.5000000000001,-24.9999999999999 84.5000000000001,-24.9999999999999 84.0000000000001,-25.9999999999999 84.0000000000001)))', '84.5', '84', '-25', '-26', '97C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-25.9999999999999 84.5000000000001,-25.9999999999999 85.0000000000001,-24.9999999999999 85.0000000000001,-24.9999999999999 84.5000000000001,-25.9999999999999 84.5000000000001)))', '85', '84.5', '-25', '-26', '98C4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 36.0000000000001,-24.9999999999999 36.5000000000001,-23.9999999999999 36.5000000000001,-23.9999999999999 36.0000000000001,-24.9999999999999 36.0000000000001)))', '36.5', '36', '-24', '-25', '01C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 36.5000000000001,-24.9999999999999 37.0000000000001,-23.9999999999999 37.0000000000001,-23.9999999999999 36.5000000000001,-24.9999999999999 36.5000000000001)))', '37', '36.5', '-24', '-25', '02C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 37.0000000000001,-24.9999999999999 37.5000000000001,-23.9999999999999 37.5000000000001,-23.9999999999999 37.0000000000001,-24.9999999999999 37.0000000000001)))', '37.5', '37', '-24', '-25', '03C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 37.5000000000001,-24.9999999999999 38.0000000000001,-23.9999999999999 38.0000000000001,-23.9999999999999 37.5000000000001,-24.9999999999999 37.5000000000001)))', '38', '37.5', '-24', '-25', '04C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 38.0000000000001,-24.9999999999999 38.5000000000001,-23.9999999999999 38.5000000000001,-23.9999999999999 38.0000000000001,-24.9999999999999 38.0000000000001)))', '38.5', '38', '-24', '-25', '05C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 38.5000000000001,-24.9999999999999 39.0000000000001,-23.9999999999999 39.0000000000001,-23.9999999999999 38.5000000000001,-24.9999999999999 38.5000000000001)))', '39', '38.5', '-24', '-25', '06C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 39.0000000000001,-24.9999999999999 39.5000000000001,-23.9999999999999 39.5000000000001,-23.9999999999999 39.0000000000001,-24.9999999999999 39.0000000000001)))', '39.5', '39', '-24', '-25', '07C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 39.5000000000001,-24.9999999999999 40.0000000000001,-23.9999999999999 40.0000000000001,-23.9999999999999 39.5000000000001,-24.9999999999999 39.5000000000001)))', '40', '39.5', '-24', '-25', '08C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 40.0000000000001,-24.9999999999999 40.5000000000001,-23.9999999999999 40.5000000000001,-23.9999999999999 40.0000000000001,-24.9999999999999 40.0000000000001)))', '40.5', '40', '-24', '-25', '09C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 40.5000000000001,-24.9999999999999 41.0000000000001,-23.9999999999999 41.0000000000001,-23.9999999999999 40.5000000000001,-24.9999999999999 40.5000000000001)))', '41', '40.5', '-24', '-25', '10C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 41.0000000000001,-24.9999999999999 41.5000000000001,-23.9999999999999 41.5000000000001,-23.9999999999999 41.0000000000001,-24.9999999999999 41.0000000000001)))', '41.5', '41', '-24', '-25', '11C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 41.5000000000001,-24.9999999999999 42.0000000000001,-23.9999999999999 42.0000000000001,-23.9999999999999 41.5000000000001,-24.9999999999999 41.5000000000001)))', '42', '41.5', '-24', '-25', '12C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 42.0000000000001,-24.9999999999999 42.5000000000001,-23.9999999999999 42.5000000000001,-23.9999999999999 42.0000000000001,-24.9999999999999 42.0000000000001)))', '42.5', '42', '-24', '-25', '13C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 42.5000000000001,-24.9999999999999 43.0000000000001,-23.9999999999999 43.0000000000001,-23.9999999999999 42.5000000000001,-24.9999999999999 42.5000000000001)))', '43', '42.5', '-24', '-25', '14C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 43.0000000000001,-24.9999999999999 43.5000000000001,-23.9999999999999 43.5000000000001,-23.9999999999999 43.0000000000001,-24.9999999999999 43.0000000000001)))', '43.5', '43', '-24', '-25', '15C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 43.5000000000001,-24.9999999999999 44.0000000000001,-23.9999999999999 44.0000000000001,-23.9999999999999 43.5000000000001,-24.9999999999999 43.5000000000001)))', '44', '43.5', '-24', '-25', '16C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 44.0000000000001,-24.9999999999999 44.5000000000001,-23.9999999999999 44.5000000000001,-23.9999999999999 44.0000000000001,-24.9999999999999 44.0000000000001)))', '44.5', '44', '-24', '-25', '17C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 44.5000000000001,-24.9999999999999 45.0000000000001,-23.9999999999999 45.0000000000001,-23.9999999999999 44.5000000000001,-24.9999999999999 44.5000000000001)))', '45', '44.5', '-24', '-25', '18C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 45.0000000000001,-24.9999999999999 45.5000000000001,-23.9999999999999 45.5000000000001,-23.9999999999999 45.0000000000001,-24.9999999999999 45.0000000000001)))', '45.5', '45', '-24', '-25', '19C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 45.5000000000001,-24.9999999999999 46.0000000000001,-23.9999999999999 46.0000000000001,-23.9999999999999 45.5000000000001,-24.9999999999999 45.5000000000001)))', '46', '45.5', '-24', '-25', '20C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 46.0000000000001,-24.9999999999999 46.5000000000001,-23.9999999999999 46.5000000000001,-23.9999999999999 46.0000000000001,-24.9999999999999 46.0000000000001)))', '46.5', '46', '-24', '-25', '21C5', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-24.9999999999999 46.5000000000001,-24.9999999999999 47.0000000000001,-23.9999999999999 47.0000000000001,-23.9999999999999 46.5000000000001,-24.9999999999999 46.5000000000001)))', '47', '46.5', '-24', '-25', '22C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 47.0000000000001,-24.9999999999999 47.5000000000001,-23.9999999999999 47.5000000000001,-23.9999999999999 47.0000000000001,-24.9999999999999 47.0000000000001)))', '47.5', '47', '-24', '-25', '23C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 47.5000000000001,-24.9999999999999 48.0000000000001,-23.9999999999999 48.0000000000001,-23.9999999999999 47.5000000000001,-24.9999999999999 47.5000000000001)))', '48', '47.5', '-24', '-25', '24C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 48.0000000000001,-24.9999999999999 48.5000000000001,-23.9999999999999 48.5000000000001,-23.9999999999999 48.0000000000001,-24.9999999999999 48.0000000000001)))', '48.5', '48', '-24', '-25', '25C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 48.5000000000001,-24.9999999999999 49.0000000000001,-23.9999999999999 49.0000000000001,-23.9999999999999 48.5000000000001,-24.9999999999999 48.5000000000001)))', '49', '48.5', '-24', '-25', '26C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 49.0000000000001,-24.9999999999999 49.5000000000001,-23.9999999999999 49.5000000000001,-23.9999999999999 49.0000000000001,-24.9999999999999 49.0000000000001)))', '49.5', '49', '-24', '-25', '27C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 49.5000000000001,-24.9999999999999 50.0000000000001,-23.9999999999999 50.0000000000001,-23.9999999999999 49.5000000000001,-24.9999999999999 49.5000000000001)))', '50', '49.5', '-24', '-25', '28C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 50.0000000000001,-24.9999999999999 50.5000000000001,-23.9999999999999 50.5000000000001,-23.9999999999999 50.0000000000001,-24.9999999999999 50.0000000000001)))', '50.5', '50', '-24', '-25', '29C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 50.5000000000001,-24.9999999999999 51.0000000000001,-23.9999999999999 51.0000000000001,-23.9999999999999 50.5000000000001,-24.9999999999999 50.5000000000001)))', '51', '50.5', '-24', '-25', '30C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 51.0000000000001,-24.9999999999999 51.5000000000001,-23.9999999999999 51.5000000000001,-23.9999999999999 51.0000000000001,-24.9999999999999 51.0000000000001)))', '51.5', '51', '-24', '-25', '31C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 51.5000000000001,-24.9999999999999 52.0000000000001,-23.9999999999999 52.0000000000001,-23.9999999999999 51.5000000000001,-24.9999999999999 51.5000000000001)))', '52', '51.5', '-24', '-25', '32C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 52.0000000000001,-24.9999999999999 52.5000000000001,-23.9999999999999 52.5000000000001,-23.9999999999999 52.0000000000001,-24.9999999999999 52.0000000000001)))', '52.5', '52', '-24', '-25', '33C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 52.5000000000001,-24.9999999999999 53.0000000000001,-23.9999999999999 53.0000000000001,-23.9999999999999 52.5000000000001,-24.9999999999999 52.5000000000001)))', '53', '52.5', '-24', '-25', '34C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 53.0000000000001,-24.9999999999999 53.5000000000001,-23.9999999999999 53.5000000000001,-23.9999999999999 53.0000000000001,-24.9999999999999 53.0000000000001)))', '53.5', '53', '-24', '-25', '35C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 53.5000000000001,-24.9999999999999 54.0000000000001,-23.9999999999999 54.0000000000001,-23.9999999999999 53.5000000000001,-24.9999999999999 53.5000000000001)))', '54', '53.5', '-24', '-25', '36C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 54.0000000000001,-24.9999999999999 54.5000000000001,-23.9999999999999 54.5000000000001,-23.9999999999999 54.0000000000001,-24.9999999999999 54.0000000000001)))', '54.5', '54', '-24', '-25', '37C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 54.5000000000001,-24.9999999999999 55.0000000000001,-23.9999999999999 55.0000000000001,-23.9999999999999 54.5000000000001,-24.9999999999999 54.5000000000001)))', '55', '54.5', '-24', '-25', '38C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 55.0000000000001,-24.9999999999999 55.5000000000001,-23.9999999999999 55.5000000000001,-23.9999999999999 55.0000000000001,-24.9999999999999 55.0000000000001)))', '55.5', '55', '-24', '-25', '39C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 55.5000000000001,-24.9999999999999 56.0000000000001,-23.9999999999999 56.0000000000001,-23.9999999999999 55.5000000000001,-24.9999999999999 55.5000000000001)))', '56', '55.5', '-24', '-25', '40C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 56.0000000000001,-24.9999999999999 56.5000000000001,-23.9999999999999 56.5000000000001,-23.9999999999999 56.0000000000001,-24.9999999999999 56.0000000000001)))', '56.5', '56', '-24', '-25', '41C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 56.5000000000001,-24.9999999999999 57.0000000000001,-23.9999999999999 57.0000000000001,-23.9999999999999 56.5000000000001,-24.9999999999999 56.5000000000001)))', '57', '56.5', '-24', '-25', '42C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 57.0000000000001,-24.9999999999999 57.5000000000001,-23.9999999999999 57.5000000000001,-23.9999999999999 57.0000000000001,-24.9999999999999 57.0000000000001)))', '57.5', '57', '-24', '-25', '43C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 57.5000000000001,-24.9999999999999 58.0000000000001,-23.9999999999999 58.0000000000001,-23.9999999999999 57.5000000000001,-24.9999999999999 57.5000000000001)))', '58', '57.5', '-24', '-25', '44C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 58.0000000000001,-24.9999999999999 58.5000000000001,-23.9999999999999 58.5000000000001,-23.9999999999999 58.0000000000001,-24.9999999999999 58.0000000000001)))', '58.5', '58', '-24', '-25', '45C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 58.5000000000001,-24.9999999999999 59.0000000000001,-23.9999999999999 59.0000000000001,-23.9999999999999 58.5000000000001,-24.9999999999999 58.5000000000001)))', '59', '58.5', '-24', '-25', '46C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 59.0000000000001,-24.9999999999999 59.5000000000001,-23.9999999999999 59.5000000000001,-23.9999999999999 59.0000000000001,-24.9999999999999 59.0000000000001)))', '59.5', '59', '-24', '-25', '47C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 59.5000000000001,-24.9999999999999 60.0000000000001,-23.9999999999999 60.0000000000001,-23.9999999999999 59.5000000000001,-24.9999999999999 59.5000000000001)))', '60', '59.5', '-24', '-25', '48C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 60.0000000000001,-24.9999999999999 60.5000000000001,-23.9999999999999 60.5000000000001,-23.9999999999999 60.0000000000001,-24.9999999999999 60.0000000000001)))', '60.5', '60', '-24', '-25', '49C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 60.5000000000001,-24.9999999999999 61.0000000000001,-23.9999999999999 61.0000000000001,-23.9999999999999 60.5000000000001,-24.9999999999999 60.5000000000001)))', '61', '60.5', '-24', '-25', '50C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 61.0000000000001,-24.9999999999999 61.5000000000001,-23.9999999999999 61.5000000000001,-23.9999999999999 61.0000000000001,-24.9999999999999 61.0000000000001)))', '61.5', '61', '-24', '-25', '51C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 61.5000000000001,-24.9999999999999 62.0000000000001,-23.9999999999999 62.0000000000001,-23.9999999999999 61.5000000000001,-24.9999999999999 61.5000000000001)))', '62', '61.5', '-24', '-25', '52C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 62.0000000000001,-24.9999999999999 62.5000000000001,-23.9999999999999 62.5000000000001,-23.9999999999999 62.0000000000001,-24.9999999999999 62.0000000000001)))', '62.5', '62', '-24', '-25', '53C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 62.5000000000001,-24.9999999999999 63.0000000000001,-23.9999999999999 63.0000000000001,-23.9999999999999 62.5000000000001,-24.9999999999999 62.5000000000001)))', '63', '62.5', '-24', '-25', '54C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 63.0000000000001,-24.9999999999999 63.5000000000001,-23.9999999999999 63.5000000000001,-23.9999999999999 63.0000000000001,-24.9999999999999 63.0000000000001)))', '63.5', '63', '-24', '-25', '55C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 63.5000000000001,-24.9999999999999 64.0000000000001,-23.9999999999999 64.0000000000001,-23.9999999999999 63.5000000000001,-24.9999999999999 63.5000000000001)))', '64', '63.5', '-24', '-25', '56C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 64.0000000000001,-24.9999999999999 64.5000000000001,-23.9999999999999 64.5000000000001,-23.9999999999999 64.0000000000001,-24.9999999999999 64.0000000000001)))', '64.5', '64', '-24', '-25', '57C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 64.5000000000001,-24.9999999999999 65.0000000000001,-23.9999999999999 65.0000000000001,-23.9999999999999 64.5000000000001,-24.9999999999999 64.5000000000001)))', '65', '64.5', '-24', '-25', '58C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 65.0000000000001,-24.9999999999999 65.5000000000001,-23.9999999999999 65.5000000000001,-23.9999999999999 65.0000000000001,-24.9999999999999 65.0000000000001)))', '65.5', '65', '-24', '-25', '59C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 65.5000000000001,-24.9999999999999 66.0000000000001,-23.9999999999999 66.0000000000001,-23.9999999999999 65.5000000000001,-24.9999999999999 65.5000000000001)))', '66', '65.5', '-24', '-25', '60C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 66.0000000000001,-24.9999999999999 66.5000000000001,-23.9999999999999 66.5000000000001,-23.9999999999999 66.0000000000001,-24.9999999999999 66.0000000000001)))', '66.5', '66', '-24', '-25', '61C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 66.5000000000001,-24.9999999999999 67.0000000000001,-23.9999999999999 67.0000000000001,-23.9999999999999 66.5000000000001,-24.9999999999999 66.5000000000001)))', '67', '66.5', '-24', '-25', '62C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 67.0000000000001,-24.9999999999999 67.5000000000001,-23.9999999999999 67.5000000000001,-23.9999999999999 67.0000000000001,-24.9999999999999 67.0000000000001)))', '67.5', '67', '-24', '-25', '63C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 67.5000000000001,-24.9999999999999 68.0000000000001,-23.9999999999999 68.0000000000001,-23.9999999999999 67.5000000000001,-24.9999999999999 67.5000000000001)))', '68', '67.5', '-24', '-25', '64C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 68.0000000000001,-24.9999999999999 68.5000000000001,-23.9999999999999 68.5000000000001,-23.9999999999999 68.0000000000001,-24.9999999999999 68.0000000000001)))', '68.5', '68', '-24', '-25', '65C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 68.5000000000001,-24.9999999999999 69.0000000000001,-23.9999999999999 69.0000000000001,-23.9999999999999 68.5000000000001,-24.9999999999999 68.5000000000001)))', '69', '68.5', '-24', '-25', '66C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 69.0000000000001,-24.9999999999999 69.5000000000001,-23.9999999999999 69.5000000000001,-23.9999999999999 69.0000000000001,-24.9999999999999 69.0000000000001)))', '69.5', '69', '-24', '-25', '67C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 69.5000000000001,-24.9999999999999 70.0000000000001,-23.9999999999999 70.0000000000001,-23.9999999999999 69.5000000000001,-24.9999999999999 69.5000000000001)))', '70', '69.5', '-24', '-25', '68C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 70.0000000000001,-24.9999999999999 70.5000000000001,-23.9999999999999 70.5000000000001,-23.9999999999999 70.0000000000001,-24.9999999999999 70.0000000000001)))', '70.5', '70', '-24', '-25', '69C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 70.5000000000001,-24.9999999999999 71.0000000000001,-23.9999999999999 71.0000000000001,-23.9999999999999 70.5000000000001,-24.9999999999999 70.5000000000001)))', '71', '70.5', '-24', '-25', '70C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 71.0000000000001,-24.9999999999999 71.5000000000001,-23.9999999999999 71.5000000000001,-23.9999999999999 71.0000000000001,-24.9999999999999 71.0000000000001)))', '71.5', '71', '-24', '-25', '71C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 72.0000000000001,-24.9999999999999 72.5000000000001,-23.9999999999999 72.5000000000001,-23.9999999999999 72.0000000000001,-24.9999999999999 72.0000000000001)))', '72.5', '72', '-24', '-25', '73C5', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-24.9999999999999 72.5000000000001,-24.9999999999999 73.0000000000001,-23.9999999999999 73.0000000000001,-23.9999999999999 72.5000000000001,-24.9999999999999 72.5000000000001)))', '73', '72.5', '-24', '-25', '74C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 73.0000000000001,-24.9999999999999 73.5000000000001,-23.9999999999999 73.5000000000001,-23.9999999999999 73.0000000000001,-24.9999999999999 73.0000000000001)))', '73.5', '73', '-24', '-25', '75C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 73.5000000000001,-24.9999999999999 74.0000000000001,-23.9999999999999 74.0000000000001,-23.9999999999999 73.5000000000001,-24.9999999999999 73.5000000000001)))', '74', '73.5', '-24', '-25', '76C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 81.5000000000001,-24.9999999999999 82.0000000000001,-23.9999999999999 82.0000000000001,-23.9999999999999 81.5000000000001,-24.9999999999999 81.5000000000001)))', '82', '81.5', '-24', '-25', '92C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 82.0000000000001,-24.9999999999999 82.5000000000001,-23.9999999999999 82.5000000000001,-23.9999999999999 82.0000000000001,-24.9999999999999 82.0000000000001)))', '82.5', '82', '-24', '-25', '93C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 82.5000000000001,-24.9999999999999 83.0000000000001,-23.9999999999999 83.0000000000001,-23.9999999999999 82.5000000000001,-24.9999999999999 82.5000000000001)))', '83', '82.5', '-24', '-25', '94C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 83.0000000000001,-24.9999999999999 83.5000000000001,-23.9999999999999 83.5000000000001,-23.9999999999999 83.0000000000001,-24.9999999999999 83.0000000000001)))', '83.5', '83', '-24', '-25', '95C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 83.5000000000001,-24.9999999999999 84.0000000000001,-23.9999999999999 84.0000000000001,-23.9999999999999 83.5000000000001,-24.9999999999999 83.5000000000001)))', '84', '83.5', '-24', '-25', '96C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 84.0000000000001,-24.9999999999999 84.5000000000001,-23.9999999999999 84.5000000000001,-23.9999999999999 84.0000000000001,-24.9999999999999 84.0000000000001)))', '84.5', '84', '-24', '-25', '97C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-24.9999999999999 84.5000000000001,-24.9999999999999 85.0000000000001,-23.9999999999999 85.0000000000001,-23.9999999999999 84.5000000000001,-24.9999999999999 84.5000000000001)))', '85', '84.5', '-24', '-25', '98C5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 36.0000000000001,-23.9999999999999 36.5000000000001,-22.9999999999999 36.5000000000001,-22.9999999999999 36.0000000000001,-23.9999999999999 36.0000000000001)))', '36.5', '36', '-23', '-24', '01C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 36.5000000000001,-23.9999999999999 37.0000000000001,-22.9999999999999 37.0000000000001,-22.9999999999999 36.5000000000001,-23.9999999999999 36.5000000000001)))', '37', '36.5', '-23', '-24', '02C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 37.0000000000001,-23.9999999999999 37.5000000000001,-22.9999999999999 37.5000000000001,-22.9999999999999 37.0000000000001,-23.9999999999999 37.0000000000001)))', '37.5', '37', '-23', '-24', '03C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 37.5000000000001,-23.9999999999999 38.0000000000001,-22.9999999999999 38.0000000000001,-22.9999999999999 37.5000000000001,-23.9999999999999 37.5000000000001)))', '38', '37.5', '-23', '-24', '04C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 38.0000000000001,-23.9999999999999 38.5000000000001,-22.9999999999999 38.5000000000001,-22.9999999999999 38.0000000000001,-23.9999999999999 38.0000000000001)))', '38.5', '38', '-23', '-24', '05C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 38.5000000000001,-23.9999999999999 39.0000000000001,-22.9999999999999 39.0000000000001,-22.9999999999999 38.5000000000001,-23.9999999999999 38.5000000000001)))', '39', '38.5', '-23', '-24', '06C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 39.0000000000001,-23.9999999999999 39.5000000000001,-22.9999999999999 39.5000000000001,-22.9999999999999 39.0000000000001,-23.9999999999999 39.0000000000001)))', '39.5', '39', '-23', '-24', '07C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 39.5000000000001,-23.9999999999999 40.0000000000001,-22.9999999999999 40.0000000000001,-22.9999999999999 39.5000000000001,-23.9999999999999 39.5000000000001)))', '40', '39.5', '-23', '-24', '08C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 40.0000000000001,-23.9999999999999 40.5000000000001,-22.9999999999999 40.5000000000001,-22.9999999999999 40.0000000000001,-23.9999999999999 40.0000000000001)))', '40.5', '40', '-23', '-24', '09C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 40.5000000000001,-23.9999999999999 41.0000000000001,-22.9999999999999 41.0000000000001,-22.9999999999999 40.5000000000001,-23.9999999999999 40.5000000000001)))', '41', '40.5', '-23', '-24', '10C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 41.0000000000001,-23.9999999999999 41.5000000000001,-22.9999999999999 41.5000000000001,-22.9999999999999 41.0000000000001,-23.9999999999999 41.0000000000001)))', '41.5', '41', '-23', '-24', '11C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 41.5000000000001,-23.9999999999999 42.0000000000001,-22.9999999999999 42.0000000000001,-22.9999999999999 41.5000000000001,-23.9999999999999 41.5000000000001)))', '42', '41.5', '-23', '-24', '12C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 42.0000000000001,-23.9999999999999 42.5000000000001,-22.9999999999999 42.5000000000001,-22.9999999999999 42.0000000000001,-23.9999999999999 42.0000000000001)))', '42.5', '42', '-23', '-24', '13C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 42.5000000000001,-23.9999999999999 43.0000000000001,-22.9999999999999 43.0000000000001,-22.9999999999999 42.5000000000001,-23.9999999999999 42.5000000000001)))', '43', '42.5', '-23', '-24', '14C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 43.0000000000001,-23.9999999999999 43.5000000000001,-22.9999999999999 43.5000000000001,-22.9999999999999 43.0000000000001,-23.9999999999999 43.0000000000001)))', '43.5', '43', '-23', '-24', '15C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 43.5000000000001,-23.9999999999999 44.0000000000001,-22.9999999999999 44.0000000000001,-22.9999999999999 43.5000000000001,-23.9999999999999 43.5000000000001)))', '44', '43.5', '-23', '-24', '16C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 44.0000000000001,-23.9999999999999 44.5000000000001,-22.9999999999999 44.5000000000001,-22.9999999999999 44.0000000000001,-23.9999999999999 44.0000000000001)))', '44.5', '44', '-23', '-24', '17C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 44.5000000000001,-23.9999999999999 45.0000000000001,-22.9999999999999 45.0000000000001,-22.9999999999999 44.5000000000001,-23.9999999999999 44.5000000000001)))', '45', '44.5', '-23', '-24', '18C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 45.0000000000001,-23.9999999999999 45.5000000000001,-22.9999999999999 45.5000000000001,-22.9999999999999 45.0000000000001,-23.9999999999999 45.0000000000001)))', '45.5', '45', '-23', '-24', '19C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 45.5000000000001,-23.9999999999999 46.0000000000001,-22.9999999999999 46.0000000000001,-22.9999999999999 45.5000000000001,-23.9999999999999 45.5000000000001)))', '46', '45.5', '-23', '-24', '20C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 46.0000000000001,-23.9999999999999 46.5000000000001,-22.9999999999999 46.5000000000001,-22.9999999999999 46.0000000000001,-23.9999999999999 46.0000000000001)))', '46.5', '46', '-23', '-24', '21C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 46.5000000000001,-23.9999999999999 47.0000000000001,-22.9999999999999 47.0000000000001,-22.9999999999999 46.5000000000001,-23.9999999999999 46.5000000000001)))', '47', '46.5', '-23', '-24', '22C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 47.0000000000001,-23.9999999999999 47.5000000000001,-22.9999999999999 47.5000000000001,-22.9999999999999 47.0000000000001,-23.9999999999999 47.0000000000001)))', '47.5', '47', '-23', '-24', '23C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 47.5000000000001,-23.9999999999999 48.0000000000001,-22.9999999999999 48.0000000000001,-22.9999999999999 47.5000000000001,-23.9999999999999 47.5000000000001)))', '48', '47.5', '-23', '-24', '24C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 48.0000000000001,-23.9999999999999 48.5000000000001,-22.9999999999999 48.5000000000001,-22.9999999999999 48.0000000000001,-23.9999999999999 48.0000000000001)))', '48.5', '48', '-23', '-24', '25C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 48.5000000000001,-23.9999999999999 49.0000000000001,-22.9999999999999 49.0000000000001,-22.9999999999999 48.5000000000001,-23.9999999999999 48.5000000000001)))', '49', '48.5', '-23', '-24', '26C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 49.0000000000001,-23.9999999999999 49.5000000000001,-22.9999999999999 49.5000000000001,-22.9999999999999 49.0000000000001,-23.9999999999999 49.0000000000001)))', '49.5', '49', '-23', '-24', '27C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 49.5000000000001,-23.9999999999999 50.0000000000001,-22.9999999999999 50.0000000000001,-22.9999999999999 49.5000000000001,-23.9999999999999 49.5000000000001)))', '50', '49.5', '-23', '-24', '28C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 50.0000000000001,-23.9999999999999 50.5000000000001,-22.9999999999999 50.5000000000001,-22.9999999999999 50.0000000000001,-23.9999999999999 50.0000000000001)))', '50.5', '50', '-23', '-24', '29C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 50.5000000000001,-23.9999999999999 51.0000000000001,-22.9999999999999 51.0000000000001,-22.9999999999999 50.5000000000001,-23.9999999999999 50.5000000000001)))', '51', '50.5', '-23', '-24', '30C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 51.0000000000001,-23.9999999999999 51.5000000000001,-22.9999999999999 51.5000000000001,-22.9999999999999 51.0000000000001,-23.9999999999999 51.0000000000001)))', '51.5', '51', '-23', '-24', '31C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 51.5000000000001,-23.9999999999999 52.0000000000001,-22.9999999999999 52.0000000000001,-22.9999999999999 51.5000000000001,-23.9999999999999 51.5000000000001)))', '52', '51.5', '-23', '-24', '32C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 52.0000000000001,-23.9999999999999 52.5000000000001,-22.9999999999999 52.5000000000001,-22.9999999999999 52.0000000000001,-23.9999999999999 52.0000000000001)))', '52.5', '52', '-23', '-24', '33C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 52.5000000000001,-23.9999999999999 53.0000000000001,-22.9999999999999 53.0000000000001,-22.9999999999999 52.5000000000001,-23.9999999999999 52.5000000000001)))', '53', '52.5', '-23', '-24', '34C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 53.0000000000001,-23.9999999999999 53.5000000000001,-22.9999999999999 53.5000000000001,-22.9999999999999 53.0000000000001,-23.9999999999999 53.0000000000001)))', '53.5', '53', '-23', '-24', '35C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 53.5000000000001,-23.9999999999999 54.0000000000001,-22.9999999999999 54.0000000000001,-22.9999999999999 53.5000000000001,-23.9999999999999 53.5000000000001)))', '54', '53.5', '-23', '-24', '36C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 54.0000000000001,-23.9999999999999 54.5000000000001,-22.9999999999999 54.5000000000001,-22.9999999999999 54.0000000000001,-23.9999999999999 54.0000000000001)))', '54.5', '54', '-23', '-24', '37C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 54.5000000000001,-23.9999999999999 55.0000000000001,-22.9999999999999 55.0000000000001,-22.9999999999999 54.5000000000001,-23.9999999999999 54.5000000000001)))', '55', '54.5', '-23', '-24', '38C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 55.0000000000001,-23.9999999999999 55.5000000000001,-22.9999999999999 55.5000000000001,-22.9999999999999 55.0000000000001,-23.9999999999999 55.0000000000001)))', '55.5', '55', '-23', '-24', '39C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 55.5000000000001,-23.9999999999999 56.0000000000001,-22.9999999999999 56.0000000000001,-22.9999999999999 55.5000000000001,-23.9999999999999 55.5000000000001)))', '56', '55.5', '-23', '-24', '40C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 56.0000000000001,-23.9999999999999 56.5000000000001,-22.9999999999999 56.5000000000001,-22.9999999999999 56.0000000000001,-23.9999999999999 56.0000000000001)))', '56.5', '56', '-23', '-24', '41C6', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-23.9999999999999 56.5000000000001,-23.9999999999999 57.0000000000001,-22.9999999999999 57.0000000000001,-22.9999999999999 56.5000000000001,-23.9999999999999 56.5000000000001)))', '57', '56.5', '-23', '-24', '42C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 57.0000000000001,-23.9999999999999 57.5000000000001,-22.9999999999999 57.5000000000001,-22.9999999999999 57.0000000000001,-23.9999999999999 57.0000000000001)))', '57.5', '57', '-23', '-24', '43C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 57.5000000000001,-23.9999999999999 58.0000000000001,-22.9999999999999 58.0000000000001,-22.9999999999999 57.5000000000001,-23.9999999999999 57.5000000000001)))', '58', '57.5', '-23', '-24', '44C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 58.0000000000001,-23.9999999999999 58.5000000000001,-22.9999999999999 58.5000000000001,-22.9999999999999 58.0000000000001,-23.9999999999999 58.0000000000001)))', '58.5', '58', '-23', '-24', '45C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 58.5000000000001,-23.9999999999999 59.0000000000001,-22.9999999999999 59.0000000000001,-22.9999999999999 58.5000000000001,-23.9999999999999 58.5000000000001)))', '59', '58.5', '-23', '-24', '46C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 59.0000000000001,-23.9999999999999 59.5000000000001,-22.9999999999999 59.5000000000001,-22.9999999999999 59.0000000000001,-23.9999999999999 59.0000000000001)))', '59.5', '59', '-23', '-24', '47C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 59.5000000000001,-23.9999999999999 60.0000000000001,-22.9999999999999 60.0000000000001,-22.9999999999999 59.5000000000001,-23.9999999999999 59.5000000000001)))', '60', '59.5', '-23', '-24', '48C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 60.0000000000001,-23.9999999999999 60.5000000000001,-22.9999999999999 60.5000000000001,-22.9999999999999 60.0000000000001,-23.9999999999999 60.0000000000001)))', '60.5', '60', '-23', '-24', '49C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 60.5000000000001,-23.9999999999999 61.0000000000001,-22.9999999999999 61.0000000000001,-22.9999999999999 60.5000000000001,-23.9999999999999 60.5000000000001)))', '61', '60.5', '-23', '-24', '50C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 61.0000000000001,-23.9999999999999 61.5000000000001,-22.9999999999999 61.5000000000001,-22.9999999999999 61.0000000000001,-23.9999999999999 61.0000000000001)))', '61.5', '61', '-23', '-24', '51C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 61.5000000000001,-23.9999999999999 62.0000000000001,-22.9999999999999 62.0000000000001,-22.9999999999999 61.5000000000001,-23.9999999999999 61.5000000000001)))', '62', '61.5', '-23', '-24', '52C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 62.0000000000001,-23.9999999999999 62.5000000000001,-22.9999999999999 62.5000000000001,-22.9999999999999 62.0000000000001,-23.9999999999999 62.0000000000001)))', '62.5', '62', '-23', '-24', '53C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 62.5000000000001,-23.9999999999999 63.0000000000001,-22.9999999999999 63.0000000000001,-22.9999999999999 62.5000000000001,-23.9999999999999 62.5000000000001)))', '63', '62.5', '-23', '-24', '54C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 63.0000000000001,-23.9999999999999 63.5000000000001,-22.9999999999999 63.5000000000001,-22.9999999999999 63.0000000000001,-23.9999999999999 63.0000000000001)))', '63.5', '63', '-23', '-24', '55C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 63.5000000000001,-23.9999999999999 64.0000000000001,-22.9999999999999 64.0000000000001,-22.9999999999999 63.5000000000001,-23.9999999999999 63.5000000000001)))', '64', '63.5', '-23', '-24', '56C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 64.0000000000001,-23.9999999999999 64.5000000000001,-22.9999999999999 64.5000000000001,-22.9999999999999 64.0000000000001,-23.9999999999999 64.0000000000001)))', '64.5', '64', '-23', '-24', '57C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 64.5000000000001,-23.9999999999999 65.0000000000001,-22.9999999999999 65.0000000000001,-22.9999999999999 64.5000000000001,-23.9999999999999 64.5000000000001)))', '65', '64.5', '-23', '-24', '58C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 65.0000000000001,-23.9999999999999 65.5000000000001,-22.9999999999999 65.5000000000001,-22.9999999999999 65.0000000000001,-23.9999999999999 65.0000000000001)))', '65.5', '65', '-23', '-24', '59C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 65.5000000000001,-23.9999999999999 66.0000000000001,-22.9999999999999 66.0000000000001,-22.9999999999999 65.5000000000001,-23.9999999999999 65.5000000000001)))', '66', '65.5', '-23', '-24', '60C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 66.0000000000001,-23.9999999999999 66.5000000000001,-22.9999999999999 66.5000000000001,-22.9999999999999 66.0000000000001,-23.9999999999999 66.0000000000001)))', '66.5', '66', '-23', '-24', '61C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 66.5000000000001,-23.9999999999999 67.0000000000001,-22.9999999999999 67.0000000000001,-22.9999999999999 66.5000000000001,-23.9999999999999 66.5000000000001)))', '67', '66.5', '-23', '-24', '62C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 67.0000000000001,-23.9999999999999 67.5000000000001,-22.9999999999999 67.5000000000001,-22.9999999999999 67.0000000000001,-23.9999999999999 67.0000000000001)))', '67.5', '67', '-23', '-24', '63C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 67.5000000000001,-23.9999999999999 68.0000000000001,-22.9999999999999 68.0000000000001,-22.9999999999999 67.5000000000001,-23.9999999999999 67.5000000000001)))', '68', '67.5', '-23', '-24', '64C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 68.0000000000001,-23.9999999999999 68.5000000000001,-22.9999999999999 68.5000000000001,-22.9999999999999 68.0000000000001,-23.9999999999999 68.0000000000001)))', '68.5', '68', '-23', '-24', '65C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 68.5000000000001,-23.9999999999999 69.0000000000001,-22.9999999999999 69.0000000000001,-22.9999999999999 68.5000000000001,-23.9999999999999 68.5000000000001)))', '69', '68.5', '-23', '-24', '66C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 69.0000000000001,-23.9999999999999 69.5000000000001,-22.9999999999999 69.5000000000001,-22.9999999999999 69.0000000000001,-23.9999999999999 69.0000000000001)))', '69.5', '69', '-23', '-24', '67C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 69.5000000000001,-23.9999999999999 70.0000000000001,-22.9999999999999 70.0000000000001,-22.9999999999999 69.5000000000001,-23.9999999999999 69.5000000000001)))', '70', '69.5', '-23', '-24', '68C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 70.0000000000001,-23.9999999999999 70.5000000000001,-22.9999999999999 70.5000000000001,-22.9999999999999 70.0000000000001,-23.9999999999999 70.0000000000001)))', '70.5', '70', '-23', '-24', '69C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 70.5000000000001,-23.9999999999999 71.0000000000001,-22.9999999999999 71.0000000000001,-22.9999999999999 70.5000000000001,-23.9999999999999 70.5000000000001)))', '71', '70.5', '-23', '-24', '70C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 71.5000000000001,-23.9999999999999 72.0000000000001,-22.9999999999999 72.0000000000001,-22.9999999999999 71.5000000000001,-23.9999999999999 71.5000000000001)))', '72', '71.5', '-23', '-24', '72C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 72.0000000000001,-23.9999999999999 72.5000000000001,-22.9999999999999 72.5000000000001,-22.9999999999999 72.0000000000001,-23.9999999999999 72.0000000000001)))', '72.5', '72', '-23', '-24', '73C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 72.5000000000001,-23.9999999999999 73.0000000000001,-22.9999999999999 73.0000000000001,-22.9999999999999 72.5000000000001,-23.9999999999999 72.5000000000001)))', '73', '72.5', '-23', '-24', '74C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 73.0000000000001,-23.9999999999999 73.5000000000001,-22.9999999999999 73.5000000000001,-22.9999999999999 73.0000000000001,-23.9999999999999 73.0000000000001)))', '73.5', '73', '-23', '-24', '75C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 73.5000000000001,-23.9999999999999 74.0000000000001,-22.9999999999999 74.0000000000001,-22.9999999999999 73.5000000000001,-23.9999999999999 73.5000000000001)))', '74', '73.5', '-23', '-24', '76C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 80.5000000000001,-23.9999999999999 81.0000000000001,-22.9999999999999 81.0000000000001,-22.9999999999999 80.5000000000001,-23.9999999999999 80.5000000000001)))', '81', '80.5', '-23', '-24', '90C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 81.0000000000001,-23.9999999999999 81.5000000000001,-22.9999999999999 81.5000000000001,-22.9999999999999 81.0000000000001,-23.9999999999999 81.0000000000001)))', '81.5', '81', '-23', '-24', '91C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 81.5000000000001,-23.9999999999999 82.0000000000001,-22.9999999999999 82.0000000000001,-22.9999999999999 81.5000000000001,-23.9999999999999 81.5000000000001)))', '82', '81.5', '-23', '-24', '92C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 82.0000000000001,-23.9999999999999 82.5000000000001,-22.9999999999999 82.5000000000001,-22.9999999999999 82.0000000000001,-23.9999999999999 82.0000000000001)))', '82.5', '82', '-23', '-24', '93C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 82.5000000000001,-23.9999999999999 83.0000000000001,-22.9999999999999 83.0000000000001,-22.9999999999999 82.5000000000001,-23.9999999999999 82.5000000000001)))', '83', '82.5', '-23', '-24', '94C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 83.0000000000001,-23.9999999999999 83.5000000000001,-22.9999999999999 83.5000000000001,-22.9999999999999 83.0000000000001,-23.9999999999999 83.0000000000001)))', '83.5', '83', '-23', '-24', '95C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 83.5000000000001,-23.9999999999999 84.0000000000001,-22.9999999999999 84.0000000000001,-22.9999999999999 83.5000000000001,-23.9999999999999 83.5000000000001)))', '84', '83.5', '-23', '-24', '96C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 84.0000000000001,-23.9999999999999 84.5000000000001,-22.9999999999999 84.5000000000001,-22.9999999999999 84.0000000000001,-23.9999999999999 84.0000000000001)))', '84.5', '84', '-23', '-24', '97C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-23.9999999999999 84.5000000000001,-23.9999999999999 85.0000000000001,-22.9999999999999 85.0000000000001,-22.9999999999999 84.5000000000001,-23.9999999999999 84.5000000000001)))', '85', '84.5', '-23', '-24', '98C6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 36.0000000000001,-22.9999999999999 36.5000000000001,-21.9999999999999 36.5000000000001,-21.9999999999999 36.0000000000001,-22.9999999999999 36.0000000000001)))', '36.5', '36', '-22', '-23', '01C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 36.5000000000001,-22.9999999999999 37.0000000000001,-21.9999999999999 37.0000000000001,-21.9999999999999 36.5000000000001,-22.9999999999999 36.5000000000001)))', '37', '36.5', '-22', '-23', '02C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 37.0000000000001,-22.9999999999999 37.5000000000001,-21.9999999999999 37.5000000000001,-21.9999999999999 37.0000000000001,-22.9999999999999 37.0000000000001)))', '37.5', '37', '-22', '-23', '03C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 37.5000000000001,-22.9999999999999 38.0000000000001,-21.9999999999999 38.0000000000001,-21.9999999999999 37.5000000000001,-22.9999999999999 37.5000000000001)))', '38', '37.5', '-22', '-23', '04C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 38.0000000000001,-22.9999999999999 38.5000000000001,-21.9999999999999 38.5000000000001,-21.9999999999999 38.0000000000001,-22.9999999999999 38.0000000000001)))', '38.5', '38', '-22', '-23', '05C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 38.5000000000001,-22.9999999999999 39.0000000000001,-21.9999999999999 39.0000000000001,-21.9999999999999 38.5000000000001,-22.9999999999999 38.5000000000001)))', '39', '38.5', '-22', '-23', '06C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 39.0000000000001,-22.9999999999999 39.5000000000001,-21.9999999999999 39.5000000000001,-21.9999999999999 39.0000000000001,-22.9999999999999 39.0000000000001)))', '39.5', '39', '-22', '-23', '07C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 39.5000000000001,-22.9999999999999 40.0000000000001,-21.9999999999999 40.0000000000001,-21.9999999999999 39.5000000000001,-22.9999999999999 39.5000000000001)))', '40', '39.5', '-22', '-23', '08C7', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-22.9999999999999 40.0000000000001,-22.9999999999999 40.5000000000001,-21.9999999999999 40.5000000000001,-21.9999999999999 40.0000000000001,-22.9999999999999 40.0000000000001)))', '40.5', '40', '-22', '-23', '09C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 40.5000000000001,-22.9999999999999 41.0000000000001,-21.9999999999999 41.0000000000001,-21.9999999999999 40.5000000000001,-22.9999999999999 40.5000000000001)))', '41', '40.5', '-22', '-23', '10C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 41.0000000000001,-22.9999999999999 41.5000000000001,-21.9999999999999 41.5000000000001,-21.9999999999999 41.0000000000001,-22.9999999999999 41.0000000000001)))', '41.5', '41', '-22', '-23', '11C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 41.5000000000001,-22.9999999999999 42.0000000000001,-21.9999999999999 42.0000000000001,-21.9999999999999 41.5000000000001,-22.9999999999999 41.5000000000001)))', '42', '41.5', '-22', '-23', '12C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 42.0000000000001,-22.9999999999999 42.5000000000001,-21.9999999999999 42.5000000000001,-21.9999999999999 42.0000000000001,-22.9999999999999 42.0000000000001)))', '42.5', '42', '-22', '-23', '13C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 42.5000000000001,-22.9999999999999 43.0000000000001,-21.9999999999999 43.0000000000001,-21.9999999999999 42.5000000000001,-22.9999999999999 42.5000000000001)))', '43', '42.5', '-22', '-23', '14C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 43.0000000000001,-22.9999999999999 43.5000000000001,-21.9999999999999 43.5000000000001,-21.9999999999999 43.0000000000001,-22.9999999999999 43.0000000000001)))', '43.5', '43', '-22', '-23', '15C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 43.5000000000001,-22.9999999999999 44.0000000000001,-21.9999999999999 44.0000000000001,-21.9999999999999 43.5000000000001,-22.9999999999999 43.5000000000001)))', '44', '43.5', '-22', '-23', '16C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 44.0000000000001,-22.9999999999999 44.5000000000001,-21.9999999999999 44.5000000000001,-21.9999999999999 44.0000000000001,-22.9999999999999 44.0000000000001)))', '44.5', '44', '-22', '-23', '17C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 44.5000000000001,-22.9999999999999 45.0000000000001,-21.9999999999999 45.0000000000001,-21.9999999999999 44.5000000000001,-22.9999999999999 44.5000000000001)))', '45', '44.5', '-22', '-23', '18C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 45.0000000000001,-22.9999999999999 45.5000000000001,-21.9999999999999 45.5000000000001,-21.9999999999999 45.0000000000001,-22.9999999999999 45.0000000000001)))', '45.5', '45', '-22', '-23', '19C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 45.5000000000001,-22.9999999999999 46.0000000000001,-21.9999999999999 46.0000000000001,-21.9999999999999 45.5000000000001,-22.9999999999999 45.5000000000001)))', '46', '45.5', '-22', '-23', '20C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 46.0000000000001,-22.9999999999999 46.5000000000001,-21.9999999999999 46.5000000000001,-21.9999999999999 46.0000000000001,-22.9999999999999 46.0000000000001)))', '46.5', '46', '-22', '-23', '21C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 46.5000000000001,-22.9999999999999 47.0000000000001,-21.9999999999999 47.0000000000001,-21.9999999999999 46.5000000000001,-22.9999999999999 46.5000000000001)))', '47', '46.5', '-22', '-23', '22C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 47.0000000000001,-22.9999999999999 47.5000000000001,-21.9999999999999 47.5000000000001,-21.9999999999999 47.0000000000001,-22.9999999999999 47.0000000000001)))', '47.5', '47', '-22', '-23', '23C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 47.5000000000001,-22.9999999999999 48.0000000000001,-21.9999999999999 48.0000000000001,-21.9999999999999 47.5000000000001,-22.9999999999999 47.5000000000001)))', '48', '47.5', '-22', '-23', '24C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 48.0000000000001,-22.9999999999999 48.5000000000001,-21.9999999999999 48.5000000000001,-21.9999999999999 48.0000000000001,-22.9999999999999 48.0000000000001)))', '48.5', '48', '-22', '-23', '25C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 48.5000000000001,-22.9999999999999 49.0000000000001,-21.9999999999999 49.0000000000001,-21.9999999999999 48.5000000000001,-22.9999999999999 48.5000000000001)))', '49', '48.5', '-22', '-23', '26C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 49.0000000000001,-22.9999999999999 49.5000000000001,-21.9999999999999 49.5000000000001,-21.9999999999999 49.0000000000001,-22.9999999999999 49.0000000000001)))', '49.5', '49', '-22', '-23', '27C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 49.5000000000001,-22.9999999999999 50.0000000000001,-21.9999999999999 50.0000000000001,-21.9999999999999 49.5000000000001,-22.9999999999999 49.5000000000001)))', '50', '49.5', '-22', '-23', '28C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 50.0000000000001,-22.9999999999999 50.5000000000001,-21.9999999999999 50.5000000000001,-21.9999999999999 50.0000000000001,-22.9999999999999 50.0000000000001)))', '50.5', '50', '-22', '-23', '29C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 50.5000000000001,-22.9999999999999 51.0000000000001,-21.9999999999999 51.0000000000001,-21.9999999999999 50.5000000000001,-22.9999999999999 50.5000000000001)))', '51', '50.5', '-22', '-23', '30C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 51.0000000000001,-22.9999999999999 51.5000000000001,-21.9999999999999 51.5000000000001,-21.9999999999999 51.0000000000001,-22.9999999999999 51.0000000000001)))', '51.5', '51', '-22', '-23', '31C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 51.5000000000001,-22.9999999999999 52.0000000000001,-21.9999999999999 52.0000000000001,-21.9999999999999 51.5000000000001,-22.9999999999999 51.5000000000001)))', '52', '51.5', '-22', '-23', '32C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 52.0000000000001,-22.9999999999999 52.5000000000001,-21.9999999999999 52.5000000000001,-21.9999999999999 52.0000000000001,-22.9999999999999 52.0000000000001)))', '52.5', '52', '-22', '-23', '33C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 52.5000000000001,-22.9999999999999 53.0000000000001,-21.9999999999999 53.0000000000001,-21.9999999999999 52.5000000000001,-22.9999999999999 52.5000000000001)))', '53', '52.5', '-22', '-23', '34C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 53.0000000000001,-22.9999999999999 53.5000000000001,-21.9999999999999 53.5000000000001,-21.9999999999999 53.0000000000001,-22.9999999999999 53.0000000000001)))', '53.5', '53', '-22', '-23', '35C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 53.5000000000001,-22.9999999999999 54.0000000000001,-21.9999999999999 54.0000000000001,-21.9999999999999 53.5000000000001,-22.9999999999999 53.5000000000001)))', '54', '53.5', '-22', '-23', '36C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 54.0000000000001,-22.9999999999999 54.5000000000001,-21.9999999999999 54.5000000000001,-21.9999999999999 54.0000000000001,-22.9999999999999 54.0000000000001)))', '54.5', '54', '-22', '-23', '37C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 54.5000000000001,-22.9999999999999 55.0000000000001,-21.9999999999999 55.0000000000001,-21.9999999999999 54.5000000000001,-22.9999999999999 54.5000000000001)))', '55', '54.5', '-22', '-23', '38C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 55.0000000000001,-22.9999999999999 55.5000000000001,-21.9999999999999 55.5000000000001,-21.9999999999999 55.0000000000001,-22.9999999999999 55.0000000000001)))', '55.5', '55', '-22', '-23', '39C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 55.5000000000001,-22.9999999999999 56.0000000000001,-21.9999999999999 56.0000000000001,-21.9999999999999 55.5000000000001,-22.9999999999999 55.5000000000001)))', '56', '55.5', '-22', '-23', '40C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 56.0000000000001,-22.9999999999999 56.5000000000001,-21.9999999999999 56.5000000000001,-21.9999999999999 56.0000000000001,-22.9999999999999 56.0000000000001)))', '56.5', '56', '-22', '-23', '41C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 56.5000000000001,-22.9999999999999 57.0000000000001,-21.9999999999999 57.0000000000001,-21.9999999999999 56.5000000000001,-22.9999999999999 56.5000000000001)))', '57', '56.5', '-22', '-23', '42C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 57.0000000000001,-22.9999999999999 57.5000000000001,-21.9999999999999 57.5000000000001,-21.9999999999999 57.0000000000001,-22.9999999999999 57.0000000000001)))', '57.5', '57', '-22', '-23', '43C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 57.5000000000001,-22.9999999999999 58.0000000000001,-21.9999999999999 58.0000000000001,-21.9999999999999 57.5000000000001,-22.9999999999999 57.5000000000001)))', '58', '57.5', '-22', '-23', '44C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 58.0000000000001,-22.9999999999999 58.5000000000001,-21.9999999999999 58.5000000000001,-21.9999999999999 58.0000000000001,-22.9999999999999 58.0000000000001)))', '58.5', '58', '-22', '-23', '45C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 58.5000000000001,-22.9999999999999 59.0000000000001,-21.9999999999999 59.0000000000001,-21.9999999999999 58.5000000000001,-22.9999999999999 58.5000000000001)))', '59', '58.5', '-22', '-23', '46C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 59.0000000000001,-22.9999999999999 59.5000000000001,-21.9999999999999 59.5000000000001,-21.9999999999999 59.0000000000001,-22.9999999999999 59.0000000000001)))', '59.5', '59', '-22', '-23', '47C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 59.5000000000001,-22.9999999999999 60.0000000000001,-21.9999999999999 60.0000000000001,-21.9999999999999 59.5000000000001,-22.9999999999999 59.5000000000001)))', '60', '59.5', '-22', '-23', '48C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 60.0000000000001,-22.9999999999999 60.5000000000001,-21.9999999999999 60.5000000000001,-21.9999999999999 60.0000000000001,-22.9999999999999 60.0000000000001)))', '60.5', '60', '-22', '-23', '49C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 60.5000000000001,-22.9999999999999 61.0000000000001,-21.9999999999999 61.0000000000001,-21.9999999999999 60.5000000000001,-22.9999999999999 60.5000000000001)))', '61', '60.5', '-22', '-23', '50C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 61.0000000000001,-22.9999999999999 61.5000000000001,-21.9999999999999 61.5000000000001,-21.9999999999999 61.0000000000001,-22.9999999999999 61.0000000000001)))', '61.5', '61', '-22', '-23', '51C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 61.5000000000001,-22.9999999999999 62.0000000000001,-21.9999999999999 62.0000000000001,-21.9999999999999 61.5000000000001,-22.9999999999999 61.5000000000001)))', '62', '61.5', '-22', '-23', '52C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 62.0000000000001,-22.9999999999999 62.5000000000001,-21.9999999999999 62.5000000000001,-21.9999999999999 62.0000000000001,-22.9999999999999 62.0000000000001)))', '62.5', '62', '-22', '-23', '53C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 62.5000000000001,-22.9999999999999 63.0000000000001,-21.9999999999999 63.0000000000001,-21.9999999999999 62.5000000000001,-22.9999999999999 62.5000000000001)))', '63', '62.5', '-22', '-23', '54C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 63.0000000000001,-22.9999999999999 63.5000000000001,-21.9999999999999 63.5000000000001,-21.9999999999999 63.0000000000001,-22.9999999999999 63.0000000000001)))', '63.5', '63', '-22', '-23', '55C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 63.5000000000001,-22.9999999999999 64.0000000000001,-21.9999999999999 64.0000000000001,-21.9999999999999 63.5000000000001,-22.9999999999999 63.5000000000001)))', '64', '63.5', '-22', '-23', '56C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 64.0000000000001,-22.9999999999999 64.5000000000001,-21.9999999999999 64.5000000000001,-21.9999999999999 64.0000000000001,-22.9999999999999 64.0000000000001)))', '64.5', '64', '-22', '-23', '57C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 64.5000000000001,-22.9999999999999 65.0000000000001,-21.9999999999999 65.0000000000001,-21.9999999999999 64.5000000000001,-22.9999999999999 64.5000000000001)))', '65', '64.5', '-22', '-23', '58C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 65.0000000000001,-22.9999999999999 65.5000000000001,-21.9999999999999 65.5000000000001,-21.9999999999999 65.0000000000001,-22.9999999999999 65.0000000000001)))', '65.5', '65', '-22', '-23', '59C7', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-22.9999999999999 65.5000000000001,-22.9999999999999 66.0000000000001,-21.9999999999999 66.0000000000001,-21.9999999999999 65.5000000000001,-22.9999999999999 65.5000000000001)))', '66', '65.5', '-22', '-23', '60C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 66.0000000000001,-22.9999999999999 66.5000000000001,-21.9999999999999 66.5000000000001,-21.9999999999999 66.0000000000001,-22.9999999999999 66.0000000000001)))', '66.5', '66', '-22', '-23', '61C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 66.5000000000001,-22.9999999999999 67.0000000000001,-21.9999999999999 67.0000000000001,-21.9999999999999 66.5000000000001,-22.9999999999999 66.5000000000001)))', '67', '66.5', '-22', '-23', '62C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 67.0000000000001,-22.9999999999999 67.5000000000001,-21.9999999999999 67.5000000000001,-21.9999999999999 67.0000000000001,-22.9999999999999 67.0000000000001)))', '67.5', '67', '-22', '-23', '63C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 67.5000000000001,-22.9999999999999 68.0000000000001,-21.9999999999999 68.0000000000001,-21.9999999999999 67.5000000000001,-22.9999999999999 67.5000000000001)))', '68', '67.5', '-22', '-23', '64C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 68.0000000000001,-22.9999999999999 68.5000000000001,-21.9999999999999 68.5000000000001,-21.9999999999999 68.0000000000001,-22.9999999999999 68.0000000000001)))', '68.5', '68', '-22', '-23', '65C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 68.5000000000001,-22.9999999999999 69.0000000000001,-21.9999999999999 69.0000000000001,-21.9999999999999 68.5000000000001,-22.9999999999999 68.5000000000001)))', '69', '68.5', '-22', '-23', '66C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 69.0000000000001,-22.9999999999999 69.5000000000001,-21.9999999999999 69.5000000000001,-21.9999999999999 69.0000000000001,-22.9999999999999 69.0000000000001)))', '69.5', '69', '-22', '-23', '67C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 69.5000000000001,-22.9999999999999 70.0000000000001,-21.9999999999999 70.0000000000001,-21.9999999999999 69.5000000000001,-22.9999999999999 69.5000000000001)))', '70', '69.5', '-22', '-23', '68C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 70.0000000000001,-22.9999999999999 70.5000000000001,-21.9999999999999 70.5000000000001,-21.9999999999999 70.0000000000001,-22.9999999999999 70.0000000000001)))', '70.5', '70', '-22', '-23', '69C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 70.5000000000001,-22.9999999999999 71.0000000000001,-21.9999999999999 71.0000000000001,-21.9999999999999 70.5000000000001,-22.9999999999999 70.5000000000001)))', '71', '70.5', '-22', '-23', '70C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 71.0000000000001,-22.9999999999999 71.5000000000001,-21.9999999999999 71.5000000000001,-21.9999999999999 71.0000000000001,-22.9999999999999 71.0000000000001)))', '71.5', '71', '-22', '-23', '71C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 71.5000000000001,-22.9999999999999 72.0000000000001,-21.9999999999999 72.0000000000001,-21.9999999999999 71.5000000000001,-22.9999999999999 71.5000000000001)))', '72', '71.5', '-22', '-23', '72C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 72.0000000000001,-22.9999999999999 72.5000000000001,-21.9999999999999 72.5000000000001,-21.9999999999999 72.0000000000001,-22.9999999999999 72.0000000000001)))', '72.5', '72', '-22', '-23', '73C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 72.5000000000001,-22.9999999999999 73.0000000000001,-21.9999999999999 73.0000000000001,-21.9999999999999 72.5000000000001,-22.9999999999999 72.5000000000001)))', '73', '72.5', '-22', '-23', '74C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 73.0000000000001,-22.9999999999999 73.5000000000001,-21.9999999999999 73.5000000000001,-21.9999999999999 73.0000000000001,-22.9999999999999 73.0000000000001)))', '73.5', '73', '-22', '-23', '75C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 73.5000000000001,-22.9999999999999 74.0000000000001,-21.9999999999999 74.0000000000001,-21.9999999999999 73.5000000000001,-22.9999999999999 73.5000000000001)))', '74', '73.5', '-22', '-23', '76C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 74.0000000000001,-22.9999999999999 74.5000000000001,-21.9999999999999 74.5000000000001,-21.9999999999999 74.0000000000001,-22.9999999999999 74.0000000000001)))', '74.5', '74', '-22', '-23', '77C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 74.5000000000001,-22.9999999999999 75.0000000000001,-21.9999999999999 75.0000000000001,-21.9999999999999 74.5000000000001,-22.9999999999999 74.5000000000001)))', '75', '74.5', '-22', '-23', '78C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 75.0000000000001,-22.9999999999999 75.5000000000001,-21.9999999999999 75.5000000000001,-21.9999999999999 75.0000000000001,-22.9999999999999 75.0000000000001)))', '75.5', '75', '-22', '-23', '79C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 75.5000000000001,-22.9999999999999 76.0000000000001,-21.9999999999999 76.0000000000001,-21.9999999999999 75.5000000000001,-22.9999999999999 75.5000000000001)))', '76', '75.5', '-22', '-23', '80C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 76.0000000000001,-22.9999999999999 76.5000000000001,-21.9999999999999 76.5000000000001,-21.9999999999999 76.0000000000001,-22.9999999999999 76.0000000000001)))', '76.5', '76', '-22', '-23', '81C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 76.5000000000001,-22.9999999999999 77.0000000000001,-21.9999999999999 77.0000000000001,-21.9999999999999 76.5000000000001,-22.9999999999999 76.5000000000001)))', '77', '76.5', '-22', '-23', '82C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 80.5000000000001,-22.9999999999999 81.0000000000001,-21.9999999999999 81.0000000000001,-21.9999999999999 80.5000000000001,-22.9999999999999 80.5000000000001)))', '81', '80.5', '-22', '-23', '90C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 81.0000000000001,-22.9999999999999 81.5000000000001,-21.9999999999999 81.5000000000001,-21.9999999999999 81.0000000000001,-22.9999999999999 81.0000000000001)))', '81.5', '81', '-22', '-23', '91C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 81.5000000000001,-22.9999999999999 82.0000000000001,-21.9999999999999 82.0000000000001,-21.9999999999999 81.5000000000001,-22.9999999999999 81.5000000000001)))', '82', '81.5', '-22', '-23', '92C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 82.0000000000001,-22.9999999999999 82.5000000000001,-21.9999999999999 82.5000000000001,-21.9999999999999 82.0000000000001,-22.9999999999999 82.0000000000001)))', '82.5', '82', '-22', '-23', '93C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 82.5000000000001,-22.9999999999999 83.0000000000001,-21.9999999999999 83.0000000000001,-21.9999999999999 82.5000000000001,-22.9999999999999 82.5000000000001)))', '83', '82.5', '-22', '-23', '94C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 83.0000000000001,-22.9999999999999 83.5000000000001,-21.9999999999999 83.5000000000001,-21.9999999999999 83.0000000000001,-22.9999999999999 83.0000000000001)))', '83.5', '83', '-22', '-23', '95C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 83.5000000000001,-22.9999999999999 84.0000000000001,-21.9999999999999 84.0000000000001,-21.9999999999999 83.5000000000001,-22.9999999999999 83.5000000000001)))', '84', '83.5', '-22', '-23', '96C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 84.0000000000001,-22.9999999999999 84.5000000000001,-21.9999999999999 84.5000000000001,-21.9999999999999 84.0000000000001,-22.9999999999999 84.0000000000001)))', '84.5', '84', '-22', '-23', '97C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-22.9999999999999 84.5000000000001,-22.9999999999999 85.0000000000001,-21.9999999999999 85.0000000000001,-21.9999999999999 84.5000000000001,-22.9999999999999 84.5000000000001)))', '85', '84.5', '-22', '-23', '98C7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 36.0000000000001,-21.9999999999999 36.5000000000001,-20.9999999999999 36.5000000000001,-20.9999999999999 36.0000000000001,-21.9999999999999 36.0000000000001)))', '36.5', '36', '-21', '-22', '01C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 36.5000000000001,-21.9999999999999 37.0000000000001,-20.9999999999999 37.0000000000001,-20.9999999999999 36.5000000000001,-21.9999999999999 36.5000000000001)))', '37', '36.5', '-21', '-22', '02C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 37.0000000000001,-21.9999999999999 37.5000000000001,-20.9999999999999 37.5000000000001,-20.9999999999999 37.0000000000001,-21.9999999999999 37.0000000000001)))', '37.5', '37', '-21', '-22', '03C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 37.5000000000001,-21.9999999999999 38.0000000000001,-20.9999999999999 38.0000000000001,-20.9999999999999 37.5000000000001,-21.9999999999999 37.5000000000001)))', '38', '37.5', '-21', '-22', '04C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 38.0000000000001,-21.9999999999999 38.5000000000001,-20.9999999999999 38.5000000000001,-20.9999999999999 38.0000000000001,-21.9999999999999 38.0000000000001)))', '38.5', '38', '-21', '-22', '05C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 38.5000000000001,-21.9999999999999 39.0000000000001,-20.9999999999999 39.0000000000001,-20.9999999999999 38.5000000000001,-21.9999999999999 38.5000000000001)))', '39', '38.5', '-21', '-22', '06C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 39.0000000000001,-21.9999999999999 39.5000000000001,-20.9999999999999 39.5000000000001,-20.9999999999999 39.0000000000001,-21.9999999999999 39.0000000000001)))', '39.5', '39', '-21', '-22', '07C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 39.5000000000001,-21.9999999999999 40.0000000000001,-20.9999999999999 40.0000000000001,-20.9999999999999 39.5000000000001,-21.9999999999999 39.5000000000001)))', '40', '39.5', '-21', '-22', '08C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 40.0000000000001,-21.9999999999999 40.5000000000001,-20.9999999999999 40.5000000000001,-20.9999999999999 40.0000000000001,-21.9999999999999 40.0000000000001)))', '40.5', '40', '-21', '-22', '09C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 40.5000000000001,-21.9999999999999 41.0000000000001,-20.9999999999999 41.0000000000001,-20.9999999999999 40.5000000000001,-21.9999999999999 40.5000000000001)))', '41', '40.5', '-21', '-22', '10C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 41.0000000000001,-21.9999999999999 41.5000000000001,-20.9999999999999 41.5000000000001,-20.9999999999999 41.0000000000001,-21.9999999999999 41.0000000000001)))', '41.5', '41', '-21', '-22', '11C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 41.5000000000001,-21.9999999999999 42.0000000000001,-20.9999999999999 42.0000000000001,-20.9999999999999 41.5000000000001,-21.9999999999999 41.5000000000001)))', '42', '41.5', '-21', '-22', '12C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 42.0000000000001,-21.9999999999999 42.5000000000001,-20.9999999999999 42.5000000000001,-20.9999999999999 42.0000000000001,-21.9999999999999 42.0000000000001)))', '42.5', '42', '-21', '-22', '13C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 42.5000000000001,-21.9999999999999 43.0000000000001,-20.9999999999999 43.0000000000001,-20.9999999999999 42.5000000000001,-21.9999999999999 42.5000000000001)))', '43', '42.5', '-21', '-22', '14C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 43.0000000000001,-21.9999999999999 43.5000000000001,-20.9999999999999 43.5000000000001,-20.9999999999999 43.0000000000001,-21.9999999999999 43.0000000000001)))', '43.5', '43', '-21', '-22', '15C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 43.5000000000001,-21.9999999999999 44.0000000000001,-20.9999999999999 44.0000000000001,-20.9999999999999 43.5000000000001,-21.9999999999999 43.5000000000001)))', '44', '43.5', '-21', '-22', '16C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 44.0000000000001,-21.9999999999999 44.5000000000001,-20.9999999999999 44.5000000000001,-20.9999999999999 44.0000000000001,-21.9999999999999 44.0000000000001)))', '44.5', '44', '-21', '-22', '17C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 44.5000000000001,-21.9999999999999 45.0000000000001,-20.9999999999999 45.0000000000001,-20.9999999999999 44.5000000000001,-21.9999999999999 44.5000000000001)))', '45', '44.5', '-21', '-22', '18C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 45.0000000000001,-21.9999999999999 45.5000000000001,-20.9999999999999 45.5000000000001,-20.9999999999999 45.0000000000001,-21.9999999999999 45.0000000000001)))', '45.5', '45', '-21', '-22', '19C8', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-21.9999999999999 45.5000000000001,-21.9999999999999 46.0000000000001,-20.9999999999999 46.0000000000001,-20.9999999999999 45.5000000000001,-21.9999999999999 45.5000000000001)))', '46', '45.5', '-21', '-22', '20C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 46.0000000000001,-21.9999999999999 46.5000000000001,-20.9999999999999 46.5000000000001,-20.9999999999999 46.0000000000001,-21.9999999999999 46.0000000000001)))', '46.5', '46', '-21', '-22', '21C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 46.5000000000001,-21.9999999999999 47.0000000000001,-20.9999999999999 47.0000000000001,-20.9999999999999 46.5000000000001,-21.9999999999999 46.5000000000001)))', '47', '46.5', '-21', '-22', '22C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 47.0000000000001,-21.9999999999999 47.5000000000001,-20.9999999999999 47.5000000000001,-20.9999999999999 47.0000000000001,-21.9999999999999 47.0000000000001)))', '47.5', '47', '-21', '-22', '23C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 47.5000000000001,-21.9999999999999 48.0000000000001,-20.9999999999999 48.0000000000001,-20.9999999999999 47.5000000000001,-21.9999999999999 47.5000000000001)))', '48', '47.5', '-21', '-22', '24C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 48.0000000000001,-21.9999999999999 48.5000000000001,-20.9999999999999 48.5000000000001,-20.9999999999999 48.0000000000001,-21.9999999999999 48.0000000000001)))', '48.5', '48', '-21', '-22', '25C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 48.5000000000001,-21.9999999999999 49.0000000000001,-20.9999999999999 49.0000000000001,-20.9999999999999 48.5000000000001,-21.9999999999999 48.5000000000001)))', '49', '48.5', '-21', '-22', '26C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 49.0000000000001,-21.9999999999999 49.5000000000001,-20.9999999999999 49.5000000000001,-20.9999999999999 49.0000000000001,-21.9999999999999 49.0000000000001)))', '49.5', '49', '-21', '-22', '27C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 49.5000000000001,-21.9999999999999 50.0000000000001,-20.9999999999999 50.0000000000001,-20.9999999999999 49.5000000000001,-21.9999999999999 49.5000000000001)))', '50', '49.5', '-21', '-22', '28C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 50.0000000000001,-21.9999999999999 50.5000000000001,-20.9999999999999 50.5000000000001,-20.9999999999999 50.0000000000001,-21.9999999999999 50.0000000000001)))', '50.5', '50', '-21', '-22', '29C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 50.5000000000001,-21.9999999999999 51.0000000000001,-20.9999999999999 51.0000000000001,-20.9999999999999 50.5000000000001,-21.9999999999999 50.5000000000001)))', '51', '50.5', '-21', '-22', '30C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 51.0000000000001,-21.9999999999999 51.5000000000001,-20.9999999999999 51.5000000000001,-20.9999999999999 51.0000000000001,-21.9999999999999 51.0000000000001)))', '51.5', '51', '-21', '-22', '31C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 51.5000000000001,-21.9999999999999 52.0000000000001,-20.9999999999999 52.0000000000001,-20.9999999999999 51.5000000000001,-21.9999999999999 51.5000000000001)))', '52', '51.5', '-21', '-22', '32C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 52.0000000000001,-21.9999999999999 52.5000000000001,-20.9999999999999 52.5000000000001,-20.9999999999999 52.0000000000001,-21.9999999999999 52.0000000000001)))', '52.5', '52', '-21', '-22', '33C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 52.5000000000001,-21.9999999999999 53.0000000000001,-20.9999999999999 53.0000000000001,-20.9999999999999 52.5000000000001,-21.9999999999999 52.5000000000001)))', '53', '52.5', '-21', '-22', '34C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 53.0000000000001,-21.9999999999999 53.5000000000001,-20.9999999999999 53.5000000000001,-20.9999999999999 53.0000000000001,-21.9999999999999 53.0000000000001)))', '53.5', '53', '-21', '-22', '35C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 53.5000000000001,-21.9999999999999 54.0000000000001,-20.9999999999999 54.0000000000001,-20.9999999999999 53.5000000000001,-21.9999999999999 53.5000000000001)))', '54', '53.5', '-21', '-22', '36C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 54.0000000000001,-21.9999999999999 54.5000000000001,-20.9999999999999 54.5000000000001,-20.9999999999999 54.0000000000001,-21.9999999999999 54.0000000000001)))', '54.5', '54', '-21', '-22', '37C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 54.5000000000001,-21.9999999999999 55.0000000000001,-20.9999999999999 55.0000000000001,-20.9999999999999 54.5000000000001,-21.9999999999999 54.5000000000001)))', '55', '54.5', '-21', '-22', '38C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 55.0000000000001,-21.9999999999999 55.5000000000001,-20.9999999999999 55.5000000000001,-20.9999999999999 55.0000000000001,-21.9999999999999 55.0000000000001)))', '55.5', '55', '-21', '-22', '39C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 55.5000000000001,-21.9999999999999 56.0000000000001,-20.9999999999999 56.0000000000001,-20.9999999999999 55.5000000000001,-21.9999999999999 55.5000000000001)))', '56', '55.5', '-21', '-22', '40C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 56.0000000000001,-21.9999999999999 56.5000000000001,-20.9999999999999 56.5000000000001,-20.9999999999999 56.0000000000001,-21.9999999999999 56.0000000000001)))', '56.5', '56', '-21', '-22', '41C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 56.5000000000001,-21.9999999999999 57.0000000000001,-20.9999999999999 57.0000000000001,-20.9999999999999 56.5000000000001,-21.9999999999999 56.5000000000001)))', '57', '56.5', '-21', '-22', '42C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 57.0000000000001,-21.9999999999999 57.5000000000001,-20.9999999999999 57.5000000000001,-20.9999999999999 57.0000000000001,-21.9999999999999 57.0000000000001)))', '57.5', '57', '-21', '-22', '43C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 57.5000000000001,-21.9999999999999 58.0000000000001,-20.9999999999999 58.0000000000001,-20.9999999999999 57.5000000000001,-21.9999999999999 57.5000000000001)))', '58', '57.5', '-21', '-22', '44C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 58.0000000000001,-21.9999999999999 58.5000000000001,-20.9999999999999 58.5000000000001,-20.9999999999999 58.0000000000001,-21.9999999999999 58.0000000000001)))', '58.5', '58', '-21', '-22', '45C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 58.5000000000001,-21.9999999999999 59.0000000000001,-20.9999999999999 59.0000000000001,-20.9999999999999 58.5000000000001,-21.9999999999999 58.5000000000001)))', '59', '58.5', '-21', '-22', '46C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 59.0000000000001,-21.9999999999999 59.5000000000001,-20.9999999999999 59.5000000000001,-20.9999999999999 59.0000000000001,-21.9999999999999 59.0000000000001)))', '59.5', '59', '-21', '-22', '47C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 59.5000000000001,-21.9999999999999 60.0000000000001,-20.9999999999999 60.0000000000001,-20.9999999999999 59.5000000000001,-21.9999999999999 59.5000000000001)))', '60', '59.5', '-21', '-22', '48C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 60.0000000000001,-21.9999999999999 60.5000000000001,-20.9999999999999 60.5000000000001,-20.9999999999999 60.0000000000001,-21.9999999999999 60.0000000000001)))', '60.5', '60', '-21', '-22', '49C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 60.5000000000001,-21.9999999999999 61.0000000000001,-20.9999999999999 61.0000000000001,-20.9999999999999 60.5000000000001,-21.9999999999999 60.5000000000001)))', '61', '60.5', '-21', '-22', '50C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 61.0000000000001,-21.9999999999999 61.5000000000001,-20.9999999999999 61.5000000000001,-20.9999999999999 61.0000000000001,-21.9999999999999 61.0000000000001)))', '61.5', '61', '-21', '-22', '51C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 61.5000000000001,-21.9999999999999 62.0000000000001,-20.9999999999999 62.0000000000001,-20.9999999999999 61.5000000000001,-21.9999999999999 61.5000000000001)))', '62', '61.5', '-21', '-22', '52C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 62.0000000000001,-21.9999999999999 62.5000000000001,-20.9999999999999 62.5000000000001,-20.9999999999999 62.0000000000001,-21.9999999999999 62.0000000000001)))', '62.5', '62', '-21', '-22', '53C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 62.5000000000001,-21.9999999999999 63.0000000000001,-20.9999999999999 63.0000000000001,-20.9999999999999 62.5000000000001,-21.9999999999999 62.5000000000001)))', '63', '62.5', '-21', '-22', '54C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 63.0000000000001,-21.9999999999999 63.5000000000001,-20.9999999999999 63.5000000000001,-20.9999999999999 63.0000000000001,-21.9999999999999 63.0000000000001)))', '63.5', '63', '-21', '-22', '55C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 63.5000000000001,-21.9999999999999 64.0000000000001,-20.9999999999999 64.0000000000001,-20.9999999999999 63.5000000000001,-21.9999999999999 63.5000000000001)))', '64', '63.5', '-21', '-22', '56C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 64.0000000000001,-21.9999999999999 64.5000000000001,-20.9999999999999 64.5000000000001,-20.9999999999999 64.0000000000001,-21.9999999999999 64.0000000000001)))', '64.5', '64', '-21', '-22', '57C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 64.5000000000001,-21.9999999999999 65.0000000000001,-20.9999999999999 65.0000000000001,-20.9999999999999 64.5000000000001,-21.9999999999999 64.5000000000001)))', '65', '64.5', '-21', '-22', '58C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 65.0000000000001,-21.9999999999999 65.5000000000001,-20.9999999999999 65.5000000000001,-20.9999999999999 65.0000000000001,-21.9999999999999 65.0000000000001)))', '65.5', '65', '-21', '-22', '59C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 65.5000000000001,-21.9999999999999 66.0000000000001,-20.9999999999999 66.0000000000001,-20.9999999999999 65.5000000000001,-21.9999999999999 65.5000000000001)))', '66', '65.5', '-21', '-22', '60C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 66.0000000000001,-21.9999999999999 66.5000000000001,-20.9999999999999 66.5000000000001,-20.9999999999999 66.0000000000001,-21.9999999999999 66.0000000000001)))', '66.5', '66', '-21', '-22', '61C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 66.5000000000001,-21.9999999999999 67.0000000000001,-20.9999999999999 67.0000000000001,-20.9999999999999 66.5000000000001,-21.9999999999999 66.5000000000001)))', '67', '66.5', '-21', '-22', '62C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 67.0000000000001,-21.9999999999999 67.5000000000001,-20.9999999999999 67.5000000000001,-20.9999999999999 67.0000000000001,-21.9999999999999 67.0000000000001)))', '67.5', '67', '-21', '-22', '63C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 67.5000000000001,-21.9999999999999 68.0000000000001,-20.9999999999999 68.0000000000001,-20.9999999999999 67.5000000000001,-21.9999999999999 67.5000000000001)))', '68', '67.5', '-21', '-22', '64C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 68.0000000000001,-21.9999999999999 68.5000000000001,-20.9999999999999 68.5000000000001,-20.9999999999999 68.0000000000001,-21.9999999999999 68.0000000000001)))', '68.5', '68', '-21', '-22', '65C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 68.5000000000001,-21.9999999999999 69.0000000000001,-20.9999999999999 69.0000000000001,-20.9999999999999 68.5000000000001,-21.9999999999999 68.5000000000001)))', '69', '68.5', '-21', '-22', '66C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 69.0000000000001,-21.9999999999999 69.5000000000001,-20.9999999999999 69.5000000000001,-20.9999999999999 69.0000000000001,-21.9999999999999 69.0000000000001)))', '69.5', '69', '-21', '-22', '67C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 69.5000000000001,-21.9999999999999 70.0000000000001,-20.9999999999999 70.0000000000001,-20.9999999999999 69.5000000000001,-21.9999999999999 69.5000000000001)))', '70', '69.5', '-21', '-22', '68C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 70.0000000000001,-21.9999999999999 70.5000000000001,-20.9999999999999 70.5000000000001,-20.9999999999999 70.0000000000001,-21.9999999999999 70.0000000000001)))', '70.5', '70', '-21', '-22', '69C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 70.5000000000001,-21.9999999999999 71.0000000000001,-20.9999999999999 71.0000000000001,-20.9999999999999 70.5000000000001,-21.9999999999999 70.5000000000001)))', '71', '70.5', '-21', '-22', '70C8', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-21.9999999999999 71.0000000000001,-21.9999999999999 71.5000000000001,-20.9999999999999 71.5000000000001,-20.9999999999999 71.0000000000001,-21.9999999999999 71.0000000000001)))', '71.5', '71', '-21', '-22', '71C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 71.5000000000001,-21.9999999999999 72.0000000000001,-20.9999999999999 72.0000000000001,-20.9999999999999 71.5000000000001,-21.9999999999999 71.5000000000001)))', '72', '71.5', '-21', '-22', '72C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 72.0000000000001,-21.9999999999999 72.5000000000001,-20.9999999999999 72.5000000000001,-20.9999999999999 72.0000000000001,-21.9999999999999 72.0000000000001)))', '72.5', '72', '-21', '-22', '73C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 72.5000000000001,-21.9999999999999 73.0000000000001,-20.9999999999999 73.0000000000001,-20.9999999999999 72.5000000000001,-21.9999999999999 72.5000000000001)))', '73', '72.5', '-21', '-22', '74C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 73.0000000000001,-21.9999999999999 73.5000000000001,-20.9999999999999 73.5000000000001,-20.9999999999999 73.0000000000001,-21.9999999999999 73.0000000000001)))', '73.5', '73', '-21', '-22', '75C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 73.5000000000001,-21.9999999999999 74.0000000000001,-20.9999999999999 74.0000000000001,-20.9999999999999 73.5000000000001,-21.9999999999999 73.5000000000001)))', '74', '73.5', '-21', '-22', '76C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 74.0000000000001,-21.9999999999999 74.5000000000001,-20.9999999999999 74.5000000000001,-20.9999999999999 74.0000000000001,-21.9999999999999 74.0000000000001)))', '74.5', '74', '-21', '-22', '77C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 74.5000000000001,-21.9999999999999 75.0000000000001,-20.9999999999999 75.0000000000001,-20.9999999999999 74.5000000000001,-21.9999999999999 74.5000000000001)))', '75', '74.5', '-21', '-22', '78C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 75.0000000000001,-21.9999999999999 75.5000000000001,-20.9999999999999 75.5000000000001,-20.9999999999999 75.0000000000001,-21.9999999999999 75.0000000000001)))', '75.5', '75', '-21', '-22', '79C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 75.5000000000001,-21.9999999999999 76.0000000000001,-20.9999999999999 76.0000000000001,-20.9999999999999 75.5000000000001,-21.9999999999999 75.5000000000001)))', '76', '75.5', '-21', '-22', '80C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 76.0000000000001,-21.9999999999999 76.5000000000001,-20.9999999999999 76.5000000000001,-20.9999999999999 76.0000000000001,-21.9999999999999 76.0000000000001)))', '76.5', '76', '-21', '-22', '81C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 76.5000000000001,-21.9999999999999 77.0000000000001,-20.9999999999999 77.0000000000001,-20.9999999999999 76.5000000000001,-21.9999999999999 76.5000000000001)))', '77', '76.5', '-21', '-22', '82C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 77.0000000000001,-21.9999999999999 77.5000000000001,-20.9999999999999 77.5000000000001,-20.9999999999999 77.0000000000001,-21.9999999999999 77.0000000000001)))', '77.5', '77', '-21', '-22', '83C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 77.5000000000001,-21.9999999999999 78.0000000000001,-20.9999999999999 78.0000000000001,-20.9999999999999 77.5000000000001,-21.9999999999999 77.5000000000001)))', '78', '77.5', '-21', '-22', '84C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 78.0000000000001,-21.9999999999999 78.5000000000001,-20.9999999999999 78.5000000000001,-20.9999999999999 78.0000000000001,-21.9999999999999 78.0000000000001)))', '78.5', '78', '-21', '-22', '85C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 78.5000000000001,-21.9999999999999 79.0000000000001,-20.9999999999999 79.0000000000001,-20.9999999999999 78.5000000000001,-21.9999999999999 78.5000000000001)))', '79', '78.5', '-21', '-22', '86C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 81.0000000000001,-21.9999999999999 81.5000000000001,-20.9999999999999 81.5000000000001,-20.9999999999999 81.0000000000001,-21.9999999999999 81.0000000000001)))', '81.5', '81', '-21', '-22', '91C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 81.5000000000001,-21.9999999999999 82.0000000000001,-20.9999999999999 82.0000000000001,-20.9999999999999 81.5000000000001,-21.9999999999999 81.5000000000001)))', '82', '81.5', '-21', '-22', '92C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 82.0000000000001,-21.9999999999999 82.5000000000001,-20.9999999999999 82.5000000000001,-20.9999999999999 82.0000000000001,-21.9999999999999 82.0000000000001)))', '82.5', '82', '-21', '-22', '93C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 82.5000000000001,-21.9999999999999 83.0000000000001,-20.9999999999999 83.0000000000001,-20.9999999999999 82.5000000000001,-21.9999999999999 82.5000000000001)))', '83', '82.5', '-21', '-22', '94C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 83.0000000000001,-21.9999999999999 83.5000000000001,-20.9999999999999 83.5000000000001,-20.9999999999999 83.0000000000001,-21.9999999999999 83.0000000000001)))', '83.5', '83', '-21', '-22', '95C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 83.5000000000001,-21.9999999999999 84.0000000000001,-20.9999999999999 84.0000000000001,-20.9999999999999 83.5000000000001,-21.9999999999999 83.5000000000001)))', '84', '83.5', '-21', '-22', '96C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 84.0000000000001,-21.9999999999999 84.5000000000001,-20.9999999999999 84.5000000000001,-20.9999999999999 84.0000000000001,-21.9999999999999 84.0000000000001)))', '84.5', '84', '-21', '-22', '97C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-21.9999999999999 84.5000000000001,-21.9999999999999 85.0000000000001,-20.9999999999999 85.0000000000001,-20.9999999999999 84.5000000000001,-21.9999999999999 84.5000000000001)))', '85', '84.5', '-21', '-22', '98C8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 36.0000000000001,-20.9999999999999 36.5000000000001,-19.9999999999999 36.5000000000001,-19.9999999999999 36.0000000000001,-20.9999999999999 36.0000000000001)))', '36.5', '36', '-20', '-21', '01C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 36.5000000000001,-20.9999999999999 37.0000000000001,-19.9999999999999 37.0000000000001,-19.9999999999999 36.5000000000001,-20.9999999999999 36.5000000000001)))', '37', '36.5', '-20', '-21', '02C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 37.0000000000001,-20.9999999999999 37.5000000000001,-19.9999999999999 37.5000000000001,-19.9999999999999 37.0000000000001,-20.9999999999999 37.0000000000001)))', '37.5', '37', '-20', '-21', '03C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 37.5000000000001,-20.9999999999999 38.0000000000001,-19.9999999999999 38.0000000000001,-19.9999999999999 37.5000000000001,-20.9999999999999 37.5000000000001)))', '38', '37.5', '-20', '-21', '04C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 38.0000000000001,-20.9999999999999 38.5000000000001,-19.9999999999999 38.5000000000001,-19.9999999999999 38.0000000000001,-20.9999999999999 38.0000000000001)))', '38.5', '38', '-20', '-21', '05C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 38.5000000000001,-20.9999999999999 39.0000000000001,-19.9999999999999 39.0000000000001,-19.9999999999999 38.5000000000001,-20.9999999999999 38.5000000000001)))', '39', '38.5', '-20', '-21', '06C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 39.0000000000001,-20.9999999999999 39.5000000000001,-19.9999999999999 39.5000000000001,-19.9999999999999 39.0000000000001,-20.9999999999999 39.0000000000001)))', '39.5', '39', '-20', '-21', '07C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 39.5000000000001,-20.9999999999999 40.0000000000001,-19.9999999999999 40.0000000000001,-19.9999999999999 39.5000000000001,-20.9999999999999 39.5000000000001)))', '40', '39.5', '-20', '-21', '08C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 40.0000000000001,-20.9999999999999 40.5000000000001,-19.9999999999999 40.5000000000001,-19.9999999999999 40.0000000000001,-20.9999999999999 40.0000000000001)))', '40.5', '40', '-20', '-21', '09C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 40.5000000000001,-20.9999999999999 41.0000000000001,-19.9999999999999 41.0000000000001,-19.9999999999999 40.5000000000001,-20.9999999999999 40.5000000000001)))', '41', '40.5', '-20', '-21', '10C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 41.0000000000001,-20.9999999999999 41.5000000000001,-19.9999999999999 41.5000000000001,-19.9999999999999 41.0000000000001,-20.9999999999999 41.0000000000001)))', '41.5', '41', '-20', '-21', '11C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 41.5000000000001,-20.9999999999999 42.0000000000001,-19.9999999999999 42.0000000000001,-19.9999999999999 41.5000000000001,-20.9999999999999 41.5000000000001)))', '42', '41.5', '-20', '-21', '12C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 42.0000000000001,-20.9999999999999 42.5000000000001,-19.9999999999999 42.5000000000001,-19.9999999999999 42.0000000000001,-20.9999999999999 42.0000000000001)))', '42.5', '42', '-20', '-21', '13C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 42.5000000000001,-20.9999999999999 43.0000000000001,-19.9999999999999 43.0000000000001,-19.9999999999999 42.5000000000001,-20.9999999999999 42.5000000000001)))', '43', '42.5', '-20', '-21', '14C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 43.0000000000001,-20.9999999999999 43.5000000000001,-19.9999999999999 43.5000000000001,-19.9999999999999 43.0000000000001,-20.9999999999999 43.0000000000001)))', '43.5', '43', '-20', '-21', '15C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 43.5000000000001,-20.9999999999999 44.0000000000001,-19.9999999999999 44.0000000000001,-19.9999999999999 43.5000000000001,-20.9999999999999 43.5000000000001)))', '44', '43.5', '-20', '-21', '16C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 44.0000000000001,-20.9999999999999 44.5000000000001,-19.9999999999999 44.5000000000001,-19.9999999999999 44.0000000000001,-20.9999999999999 44.0000000000001)))', '44.5', '44', '-20', '-21', '17C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 44.5000000000001,-20.9999999999999 45.0000000000001,-19.9999999999999 45.0000000000001,-19.9999999999999 44.5000000000001,-20.9999999999999 44.5000000000001)))', '45', '44.5', '-20', '-21', '18C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 45.0000000000001,-20.9999999999999 45.5000000000001,-19.9999999999999 45.5000000000001,-19.9999999999999 45.0000000000001,-20.9999999999999 45.0000000000001)))', '45.5', '45', '-20', '-21', '19C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 45.5000000000001,-20.9999999999999 46.0000000000001,-19.9999999999999 46.0000000000001,-19.9999999999999 45.5000000000001,-20.9999999999999 45.5000000000001)))', '46', '45.5', '-20', '-21', '20C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 46.0000000000001,-20.9999999999999 46.5000000000001,-19.9999999999999 46.5000000000001,-19.9999999999999 46.0000000000001,-20.9999999999999 46.0000000000001)))', '46.5', '46', '-20', '-21', '21C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 46.5000000000001,-20.9999999999999 47.0000000000001,-19.9999999999999 47.0000000000001,-19.9999999999999 46.5000000000001,-20.9999999999999 46.5000000000001)))', '47', '46.5', '-20', '-21', '22C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 47.0000000000001,-20.9999999999999 47.5000000000001,-19.9999999999999 47.5000000000001,-19.9999999999999 47.0000000000001,-20.9999999999999 47.0000000000001)))', '47.5', '47', '-20', '-21', '23C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 47.5000000000001,-20.9999999999999 48.0000000000001,-19.9999999999999 48.0000000000001,-19.9999999999999 47.5000000000001,-20.9999999999999 47.5000000000001)))', '48', '47.5', '-20', '-21', '24C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 48.0000000000001,-20.9999999999999 48.5000000000001,-19.9999999999999 48.5000000000001,-19.9999999999999 48.0000000000001,-20.9999999999999 48.0000000000001)))', '48.5', '48', '-20', '-21', '25C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 48.5000000000001,-20.9999999999999 49.0000000000001,-19.9999999999999 49.0000000000001,-19.9999999999999 48.5000000000001,-20.9999999999999 48.5000000000001)))', '49', '48.5', '-20', '-21', '26C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 49.0000000000001,-20.9999999999999 49.5000000000001,-19.9999999999999 49.5000000000001,-19.9999999999999 49.0000000000001,-20.9999999999999 49.0000000000001)))', '49.5', '49', '-20', '-21', '27C9', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-20.9999999999999 49.5000000000001,-20.9999999999999 50.0000000000001,-19.9999999999999 50.0000000000001,-19.9999999999999 49.5000000000001,-20.9999999999999 49.5000000000001)))', '50', '49.5', '-20', '-21', '28C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 50.0000000000001,-20.9999999999999 50.5000000000001,-19.9999999999999 50.5000000000001,-19.9999999999999 50.0000000000001,-20.9999999999999 50.0000000000001)))', '50.5', '50', '-20', '-21', '29C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 50.5000000000001,-20.9999999999999 51.0000000000001,-19.9999999999999 51.0000000000001,-19.9999999999999 50.5000000000001,-20.9999999999999 50.5000000000001)))', '51', '50.5', '-20', '-21', '30C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 51.0000000000001,-20.9999999999999 51.5000000000001,-19.9999999999999 51.5000000000001,-19.9999999999999 51.0000000000001,-20.9999999999999 51.0000000000001)))', '51.5', '51', '-20', '-21', '31C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 51.5000000000001,-20.9999999999999 52.0000000000001,-19.9999999999999 52.0000000000001,-19.9999999999999 51.5000000000001,-20.9999999999999 51.5000000000001)))', '52', '51.5', '-20', '-21', '32C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 52.0000000000001,-20.9999999999999 52.5000000000001,-19.9999999999999 52.5000000000001,-19.9999999999999 52.0000000000001,-20.9999999999999 52.0000000000001)))', '52.5', '52', '-20', '-21', '33C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 52.5000000000001,-20.9999999999999 53.0000000000001,-19.9999999999999 53.0000000000001,-19.9999999999999 52.5000000000001,-20.9999999999999 52.5000000000001)))', '53', '52.5', '-20', '-21', '34C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 53.0000000000001,-20.9999999999999 53.5000000000001,-19.9999999999999 53.5000000000001,-19.9999999999999 53.0000000000001,-20.9999999999999 53.0000000000001)))', '53.5', '53', '-20', '-21', '35C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 53.5000000000001,-20.9999999999999 54.0000000000001,-19.9999999999999 54.0000000000001,-19.9999999999999 53.5000000000001,-20.9999999999999 53.5000000000001)))', '54', '53.5', '-20', '-21', '36C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 54.0000000000001,-20.9999999999999 54.5000000000001,-19.9999999999999 54.5000000000001,-19.9999999999999 54.0000000000001,-20.9999999999999 54.0000000000001)))', '54.5', '54', '-20', '-21', '37C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 54.5000000000001,-20.9999999999999 55.0000000000001,-19.9999999999999 55.0000000000001,-19.9999999999999 54.5000000000001,-20.9999999999999 54.5000000000001)))', '55', '54.5', '-20', '-21', '38C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 55.0000000000001,-20.9999999999999 55.5000000000001,-19.9999999999999 55.5000000000001,-19.9999999999999 55.0000000000001,-20.9999999999999 55.0000000000001)))', '55.5', '55', '-20', '-21', '39C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 55.5000000000001,-20.9999999999999 56.0000000000001,-19.9999999999999 56.0000000000001,-19.9999999999999 55.5000000000001,-20.9999999999999 55.5000000000001)))', '56', '55.5', '-20', '-21', '40C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 56.0000000000001,-20.9999999999999 56.5000000000001,-19.9999999999999 56.5000000000001,-19.9999999999999 56.0000000000001,-20.9999999999999 56.0000000000001)))', '56.5', '56', '-20', '-21', '41C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 56.5000000000001,-20.9999999999999 57.0000000000001,-19.9999999999999 57.0000000000001,-19.9999999999999 56.5000000000001,-20.9999999999999 56.5000000000001)))', '57', '56.5', '-20', '-21', '42C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 57.0000000000001,-20.9999999999999 57.5000000000001,-19.9999999999999 57.5000000000001,-19.9999999999999 57.0000000000001,-20.9999999999999 57.0000000000001)))', '57.5', '57', '-20', '-21', '43C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 57.5000000000001,-20.9999999999999 58.0000000000001,-19.9999999999999 58.0000000000001,-19.9999999999999 57.5000000000001,-20.9999999999999 57.5000000000001)))', '58', '57.5', '-20', '-21', '44C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 58.0000000000001,-20.9999999999999 58.5000000000001,-19.9999999999999 58.5000000000001,-19.9999999999999 58.0000000000001,-20.9999999999999 58.0000000000001)))', '58.5', '58', '-20', '-21', '45C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 58.5000000000001,-20.9999999999999 59.0000000000001,-19.9999999999999 59.0000000000001,-19.9999999999999 58.5000000000001,-20.9999999999999 58.5000000000001)))', '59', '58.5', '-20', '-21', '46C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 59.0000000000001,-20.9999999999999 59.5000000000001,-19.9999999999999 59.5000000000001,-19.9999999999999 59.0000000000001,-20.9999999999999 59.0000000000001)))', '59.5', '59', '-20', '-21', '47C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 59.5000000000001,-20.9999999999999 60.0000000000001,-19.9999999999999 60.0000000000001,-19.9999999999999 59.5000000000001,-20.9999999999999 59.5000000000001)))', '60', '59.5', '-20', '-21', '48C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 60.0000000000001,-20.9999999999999 60.5000000000001,-19.9999999999999 60.5000000000001,-19.9999999999999 60.0000000000001,-20.9999999999999 60.0000000000001)))', '60.5', '60', '-20', '-21', '49C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 60.5000000000001,-20.9999999999999 61.0000000000001,-19.9999999999999 61.0000000000001,-19.9999999999999 60.5000000000001,-20.9999999999999 60.5000000000001)))', '61', '60.5', '-20', '-21', '50C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 61.0000000000001,-20.9999999999999 61.5000000000001,-19.9999999999999 61.5000000000001,-19.9999999999999 61.0000000000001,-20.9999999999999 61.0000000000001)))', '61.5', '61', '-20', '-21', '51C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 61.5000000000001,-20.9999999999999 62.0000000000001,-19.9999999999999 62.0000000000001,-19.9999999999999 61.5000000000001,-20.9999999999999 61.5000000000001)))', '62', '61.5', '-20', '-21', '52C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 62.0000000000001,-20.9999999999999 62.5000000000001,-19.9999999999999 62.5000000000001,-19.9999999999999 62.0000000000001,-20.9999999999999 62.0000000000001)))', '62.5', '62', '-20', '-21', '53C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 62.5000000000001,-20.9999999999999 63.0000000000001,-19.9999999999999 63.0000000000001,-19.9999999999999 62.5000000000001,-20.9999999999999 62.5000000000001)))', '63', '62.5', '-20', '-21', '54C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 63.0000000000001,-20.9999999999999 63.5000000000001,-19.9999999999999 63.5000000000001,-19.9999999999999 63.0000000000001,-20.9999999999999 63.0000000000001)))', '63.5', '63', '-20', '-21', '55C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 63.5000000000001,-20.9999999999999 64.0000000000001,-19.9999999999999 64.0000000000001,-19.9999999999999 63.5000000000001,-20.9999999999999 63.5000000000001)))', '64', '63.5', '-20', '-21', '56C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 65.0000000000001,-20.9999999999999 65.5000000000001,-19.9999999999999 65.5000000000001,-19.9999999999999 65.0000000000001,-20.9999999999999 65.0000000000001)))', '65.5', '65', '-20', '-21', '59C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 65.5000000000001,-20.9999999999999 66.0000000000001,-19.9999999999999 66.0000000000001,-19.9999999999999 65.5000000000001,-20.9999999999999 65.5000000000001)))', '66', '65.5', '-20', '-21', '60C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 66.0000000000001,-20.9999999999999 66.5000000000001,-19.9999999999999 66.5000000000001,-19.9999999999999 66.0000000000001,-20.9999999999999 66.0000000000001)))', '66.5', '66', '-20', '-21', '61C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 66.5000000000001,-20.9999999999999 67.0000000000001,-19.9999999999999 67.0000000000001,-19.9999999999999 66.5000000000001,-20.9999999999999 66.5000000000001)))', '67', '66.5', '-20', '-21', '62C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 67.0000000000001,-20.9999999999999 67.5000000000001,-19.9999999999999 67.5000000000001,-19.9999999999999 67.0000000000001,-20.9999999999999 67.0000000000001)))', '67.5', '67', '-20', '-21', '63C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 67.5000000000001,-20.9999999999999 68.0000000000001,-19.9999999999999 68.0000000000001,-19.9999999999999 67.5000000000001,-20.9999999999999 67.5000000000001)))', '68', '67.5', '-20', '-21', '64C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 68.0000000000001,-20.9999999999999 68.5000000000001,-19.9999999999999 68.5000000000001,-19.9999999999999 68.0000000000001,-20.9999999999999 68.0000000000001)))', '68.5', '68', '-20', '-21', '65C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 68.5000000000001,-20.9999999999999 69.0000000000001,-19.9999999999999 69.0000000000001,-19.9999999999999 68.5000000000001,-20.9999999999999 68.5000000000001)))', '69', '68.5', '-20', '-21', '66C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 69.0000000000001,-20.9999999999999 69.5000000000001,-19.9999999999999 69.5000000000001,-19.9999999999999 69.0000000000001,-20.9999999999999 69.0000000000001)))', '69.5', '69', '-20', '-21', '67C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 69.5000000000001,-20.9999999999999 70.0000000000001,-19.9999999999999 70.0000000000001,-19.9999999999999 69.5000000000001,-20.9999999999999 69.5000000000001)))', '70', '69.5', '-20', '-21', '68C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 70.0000000000001,-20.9999999999999 70.5000000000001,-19.9999999999999 70.5000000000001,-19.9999999999999 70.0000000000001,-20.9999999999999 70.0000000000001)))', '70.5', '70', '-20', '-21', '69C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 70.5000000000001,-20.9999999999999 71.0000000000001,-19.9999999999999 71.0000000000001,-19.9999999999999 70.5000000000001,-20.9999999999999 70.5000000000001)))', '71', '70.5', '-20', '-21', '70C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 71.0000000000001,-20.9999999999999 71.5000000000001,-19.9999999999999 71.5000000000001,-19.9999999999999 71.0000000000001,-20.9999999999999 71.0000000000001)))', '71.5', '71', '-20', '-21', '71C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 71.5000000000001,-20.9999999999999 72.0000000000001,-19.9999999999999 72.0000000000001,-19.9999999999999 71.5000000000001,-20.9999999999999 71.5000000000001)))', '72', '71.5', '-20', '-21', '72C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 72.0000000000001,-20.9999999999999 72.5000000000001,-19.9999999999999 72.5000000000001,-19.9999999999999 72.0000000000001,-20.9999999999999 72.0000000000001)))', '72.5', '72', '-20', '-21', '73C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 72.5000000000001,-20.9999999999999 73.0000000000001,-19.9999999999999 73.0000000000001,-19.9999999999999 72.5000000000001,-20.9999999999999 72.5000000000001)))', '73', '72.5', '-20', '-21', '74C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 73.0000000000001,-20.9999999999999 73.5000000000001,-19.9999999999999 73.5000000000001,-19.9999999999999 73.0000000000001,-20.9999999999999 73.0000000000001)))', '73.5', '73', '-20', '-21', '75C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 73.5000000000001,-20.9999999999999 74.0000000000001,-19.9999999999999 74.0000000000001,-19.9999999999999 73.5000000000001,-20.9999999999999 73.5000000000001)))', '74', '73.5', '-20', '-21', '76C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 74.0000000000001,-20.9999999999999 74.5000000000001,-19.9999999999999 74.5000000000001,-19.9999999999999 74.0000000000001,-20.9999999999999 74.0000000000001)))', '74.5', '74', '-20', '-21', '77C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 74.5000000000001,-20.9999999999999 75.0000000000001,-19.9999999999999 75.0000000000001,-19.9999999999999 74.5000000000001,-20.9999999999999 74.5000000000001)))', '75', '74.5', '-20', '-21', '78C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 75.0000000000001,-20.9999999999999 75.5000000000001,-19.9999999999999 75.5000000000001,-19.9999999999999 75.0000000000001,-20.9999999999999 75.0000000000001)))', '75.5', '75', '-20', '-21', '79C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 75.5000000000001,-20.9999999999999 76.0000000000001,-19.9999999999999 76.0000000000001,-19.9999999999999 75.5000000000001,-20.9999999999999 75.5000000000001)))', '76', '75.5', '-20', '-21', '80C9', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-20.9999999999999 76.0000000000001,-20.9999999999999 76.5000000000001,-19.9999999999999 76.5000000000001,-19.9999999999999 76.0000000000001,-20.9999999999999 76.0000000000001)))', '76.5', '76', '-20', '-21', '81C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 76.5000000000001,-20.9999999999999 77.0000000000001,-19.9999999999999 77.0000000000001,-19.9999999999999 76.5000000000001,-20.9999999999999 76.5000000000001)))', '77', '76.5', '-20', '-21', '82C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 77.0000000000001,-20.9999999999999 77.5000000000001,-19.9999999999999 77.5000000000001,-19.9999999999999 77.0000000000001,-20.9999999999999 77.0000000000001)))', '77.5', '77', '-20', '-21', '83C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 77.5000000000001,-20.9999999999999 78.0000000000001,-19.9999999999999 78.0000000000001,-19.9999999999999 77.5000000000001,-20.9999999999999 77.5000000000001)))', '78', '77.5', '-20', '-21', '84C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 78.0000000000001,-20.9999999999999 78.5000000000001,-19.9999999999999 78.5000000000001,-19.9999999999999 78.0000000000001,-20.9999999999999 78.0000000000001)))', '78.5', '78', '-20', '-21', '85C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 78.5000000000001,-20.9999999999999 79.0000000000001,-19.9999999999999 79.0000000000001,-19.9999999999999 78.5000000000001,-20.9999999999999 78.5000000000001)))', '79', '78.5', '-20', '-21', '86C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 79.0000000000001,-20.9999999999999 79.5000000000001,-19.9999999999999 79.5000000000001,-19.9999999999999 79.0000000000001,-20.9999999999999 79.0000000000001)))', '79.5', '79', '-20', '-21', '87C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 79.5000000000001,-20.9999999999999 80.0000000000001,-19.9999999999999 80.0000000000001,-19.9999999999999 79.5000000000001,-20.9999999999999 79.5000000000001)))', '80', '79.5', '-20', '-21', '88C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 80.0000000000001,-20.9999999999999 80.5000000000001,-19.9999999999999 80.5000000000001,-19.9999999999999 80.0000000000001,-20.9999999999999 80.0000000000001)))', '80.5', '80', '-20', '-21', '89C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 80.5000000000001,-20.9999999999999 81.0000000000001,-19.9999999999999 81.0000000000001,-19.9999999999999 80.5000000000001,-20.9999999999999 80.5000000000001)))', '81', '80.5', '-20', '-21', '90C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 81.0000000000001,-20.9999999999999 81.5000000000001,-19.9999999999999 81.5000000000001,-19.9999999999999 81.0000000000001,-20.9999999999999 81.0000000000001)))', '81.5', '81', '-20', '-21', '91C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 81.5000000000001,-20.9999999999999 82.0000000000001,-19.9999999999999 82.0000000000001,-19.9999999999999 81.5000000000001,-20.9999999999999 81.5000000000001)))', '82', '81.5', '-20', '-21', '92C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 82.0000000000001,-20.9999999999999 82.5000000000001,-19.9999999999999 82.5000000000001,-19.9999999999999 82.0000000000001,-20.9999999999999 82.0000000000001)))', '82.5', '82', '-20', '-21', '93C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 82.5000000000001,-20.9999999999999 83.0000000000001,-19.9999999999999 83.0000000000001,-19.9999999999999 82.5000000000001,-20.9999999999999 82.5000000000001)))', '83', '82.5', '-20', '-21', '94C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 83.0000000000001,-20.9999999999999 83.5000000000001,-19.9999999999999 83.5000000000001,-19.9999999999999 83.0000000000001,-20.9999999999999 83.0000000000001)))', '83.5', '83', '-20', '-21', '95C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 83.5000000000001,-20.9999999999999 84.0000000000001,-19.9999999999999 84.0000000000001,-19.9999999999999 83.5000000000001,-20.9999999999999 83.5000000000001)))', '84', '83.5', '-20', '-21', '96C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 84.0000000000001,-20.9999999999999 84.5000000000001,-19.9999999999999 84.5000000000001,-19.9999999999999 84.0000000000001,-20.9999999999999 84.0000000000001)))', '84.5', '84', '-20', '-21', '97C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-20.9999999999999 84.5000000000001,-20.9999999999999 85.0000000000001,-19.9999999999999 85.0000000000001,-19.9999999999999 84.5000000000001,-20.9999999999999 84.5000000000001)))', '85', '84.5', '-20', '-21', '98C9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 36.0000000000001,-19.9999999999999 36.5000000000001,-18.9999999999999 36.5000000000001,-18.9999999999999 36.0000000000001,-19.9999999999999 36.0000000000001)))', '36.5', '36', '-19', '-20', '01D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 36.5000000000001,-19.9999999999999 37.0000000000001,-18.9999999999999 37.0000000000001,-18.9999999999999 36.5000000000001,-19.9999999999999 36.5000000000001)))', '37', '36.5', '-19', '-20', '02D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 37.0000000000001,-19.9999999999999 37.5000000000001,-18.9999999999999 37.5000000000001,-18.9999999999999 37.0000000000001,-19.9999999999999 37.0000000000001)))', '37.5', '37', '-19', '-20', '03D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 37.5000000000001,-19.9999999999999 38.0000000000001,-18.9999999999999 38.0000000000001,-18.9999999999999 37.5000000000001,-19.9999999999999 37.5000000000001)))', '38', '37.5', '-19', '-20', '04D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 38.0000000000001,-19.9999999999999 38.5000000000001,-18.9999999999999 38.5000000000001,-18.9999999999999 38.0000000000001,-19.9999999999999 38.0000000000001)))', '38.5', '38', '-19', '-20', '05D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 38.5000000000001,-19.9999999999999 39.0000000000001,-18.9999999999999 39.0000000000001,-18.9999999999999 38.5000000000001,-19.9999999999999 38.5000000000001)))', '39', '38.5', '-19', '-20', '06D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 39.0000000000001,-19.9999999999999 39.5000000000001,-18.9999999999999 39.5000000000001,-18.9999999999999 39.0000000000001,-19.9999999999999 39.0000000000001)))', '39.5', '39', '-19', '-20', '07D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 39.5000000000001,-19.9999999999999 40.0000000000001,-18.9999999999999 40.0000000000001,-18.9999999999999 39.5000000000001,-19.9999999999999 39.5000000000001)))', '40', '39.5', '-19', '-20', '08D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 40.0000000000001,-19.9999999999999 40.5000000000001,-18.9999999999999 40.5000000000001,-18.9999999999999 40.0000000000001,-19.9999999999999 40.0000000000001)))', '40.5', '40', '-19', '-20', '09D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 40.5000000000001,-19.9999999999999 41.0000000000001,-18.9999999999999 41.0000000000001,-18.9999999999999 40.5000000000001,-19.9999999999999 40.5000000000001)))', '41', '40.5', '-19', '-20', '10D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 41.0000000000001,-19.9999999999999 41.5000000000001,-18.9999999999999 41.5000000000001,-18.9999999999999 41.0000000000001,-19.9999999999999 41.0000000000001)))', '41.5', '41', '-19', '-20', '11D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 41.5000000000001,-19.9999999999999 42.0000000000001,-18.9999999999999 42.0000000000001,-18.9999999999999 41.5000000000001,-19.9999999999999 41.5000000000001)))', '42', '41.5', '-19', '-20', '12D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 42.0000000000001,-19.9999999999999 42.5000000000001,-18.9999999999999 42.5000000000001,-18.9999999999999 42.0000000000001,-19.9999999999999 42.0000000000001)))', '42.5', '42', '-19', '-20', '13D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 42.5000000000001,-19.9999999999999 43.0000000000001,-18.9999999999999 43.0000000000001,-18.9999999999999 42.5000000000001,-19.9999999999999 42.5000000000001)))', '43', '42.5', '-19', '-20', '14D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 43.0000000000001,-19.9999999999999 43.5000000000001,-18.9999999999999 43.5000000000001,-18.9999999999999 43.0000000000001,-19.9999999999999 43.0000000000001)))', '43.5', '43', '-19', '-20', '15D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 43.5000000000001,-19.9999999999999 44.0000000000001,-18.9999999999999 44.0000000000001,-18.9999999999999 43.5000000000001,-19.9999999999999 43.5000000000001)))', '44', '43.5', '-19', '-20', '16D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 44.0000000000001,-19.9999999999999 44.5000000000001,-18.9999999999999 44.5000000000001,-18.9999999999999 44.0000000000001,-19.9999999999999 44.0000000000001)))', '44.5', '44', '-19', '-20', '17D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 44.5000000000001,-19.9999999999999 45.0000000000001,-18.9999999999999 45.0000000000001,-18.9999999999999 44.5000000000001,-19.9999999999999 44.5000000000001)))', '45', '44.5', '-19', '-20', '18D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 45.0000000000001,-19.9999999999999 45.5000000000001,-18.9999999999999 45.5000000000001,-18.9999999999999 45.0000000000001,-19.9999999999999 45.0000000000001)))', '45.5', '45', '-19', '-20', '19D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 45.5000000000001,-19.9999999999999 46.0000000000001,-18.9999999999999 46.0000000000001,-18.9999999999999 45.5000000000001,-19.9999999999999 45.5000000000001)))', '46', '45.5', '-19', '-20', '20D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 46.0000000000001,-19.9999999999999 46.5000000000001,-18.9999999999999 46.5000000000001,-18.9999999999999 46.0000000000001,-19.9999999999999 46.0000000000001)))', '46.5', '46', '-19', '-20', '21D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 46.5000000000001,-19.9999999999999 47.0000000000001,-18.9999999999999 47.0000000000001,-18.9999999999999 46.5000000000001,-19.9999999999999 46.5000000000001)))', '47', '46.5', '-19', '-20', '22D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 47.0000000000001,-19.9999999999999 47.5000000000001,-18.9999999999999 47.5000000000001,-18.9999999999999 47.0000000000001,-19.9999999999999 47.0000000000001)))', '47.5', '47', '-19', '-20', '23D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 47.5000000000001,-19.9999999999999 48.0000000000001,-18.9999999999999 48.0000000000001,-18.9999999999999 47.5000000000001,-19.9999999999999 47.5000000000001)))', '48', '47.5', '-19', '-20', '24D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 48.0000000000001,-19.9999999999999 48.5000000000001,-18.9999999999999 48.5000000000001,-18.9999999999999 48.0000000000001,-19.9999999999999 48.0000000000001)))', '48.5', '48', '-19', '-20', '25D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 48.5000000000001,-19.9999999999999 49.0000000000001,-18.9999999999999 49.0000000000001,-18.9999999999999 48.5000000000001,-19.9999999999999 48.5000000000001)))', '49', '48.5', '-19', '-20', '26D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 49.0000000000001,-19.9999999999999 49.5000000000001,-18.9999999999999 49.5000000000001,-18.9999999999999 49.0000000000001,-19.9999999999999 49.0000000000001)))', '49.5', '49', '-19', '-20', '27D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 49.5000000000001,-19.9999999999999 50.0000000000001,-18.9999999999999 50.0000000000001,-18.9999999999999 49.5000000000001,-19.9999999999999 49.5000000000001)))', '50', '49.5', '-19', '-20', '28D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 50.0000000000001,-19.9999999999999 50.5000000000001,-18.9999999999999 50.5000000000001,-18.9999999999999 50.0000000000001,-19.9999999999999 50.0000000000001)))', '50.5', '50', '-19', '-20', '29D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 50.5000000000001,-19.9999999999999 51.0000000000001,-18.9999999999999 51.0000000000001,-18.9999999999999 50.5000000000001,-19.9999999999999 50.5000000000001)))', '51', '50.5', '-19', '-20', '30D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 51.0000000000001,-19.9999999999999 51.5000000000001,-18.9999999999999 51.5000000000001,-18.9999999999999 51.0000000000001,-19.9999999999999 51.0000000000001)))', '51.5', '51', '-19', '-20', '31D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 51.5000000000001,-19.9999999999999 52.0000000000001,-18.9999999999999 52.0000000000001,-18.9999999999999 51.5000000000001,-19.9999999999999 51.5000000000001)))', '52', '51.5', '-19', '-20', '32D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 52.0000000000001,-19.9999999999999 52.5000000000001,-18.9999999999999 52.5000000000001,-18.9999999999999 52.0000000000001,-19.9999999999999 52.0000000000001)))', '52.5', '52', '-19', '-20', '33D0', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-19.9999999999999 52.5000000000001,-19.9999999999999 53.0000000000001,-18.9999999999999 53.0000000000001,-18.9999999999999 52.5000000000001,-19.9999999999999 52.5000000000001)))', '53', '52.5', '-19', '-20', '34D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 53.0000000000001,-19.9999999999999 53.5000000000001,-18.9999999999999 53.5000000000001,-18.9999999999999 53.0000000000001,-19.9999999999999 53.0000000000001)))', '53.5', '53', '-19', '-20', '35D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 53.5000000000001,-19.9999999999999 54.0000000000001,-18.9999999999999 54.0000000000001,-18.9999999999999 53.5000000000001,-19.9999999999999 53.5000000000001)))', '54', '53.5', '-19', '-20', '36D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 54.0000000000001,-19.9999999999999 54.5000000000001,-18.9999999999999 54.5000000000001,-18.9999999999999 54.0000000000001,-19.9999999999999 54.0000000000001)))', '54.5', '54', '-19', '-20', '37D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 54.5000000000001,-19.9999999999999 55.0000000000001,-18.9999999999999 55.0000000000001,-18.9999999999999 54.5000000000001,-19.9999999999999 54.5000000000001)))', '55', '54.5', '-19', '-20', '38D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 55.0000000000001,-19.9999999999999 55.5000000000001,-18.9999999999999 55.5000000000001,-18.9999999999999 55.0000000000001,-19.9999999999999 55.0000000000001)))', '55.5', '55', '-19', '-20', '39D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 55.5000000000001,-19.9999999999999 56.0000000000001,-18.9999999999999 56.0000000000001,-18.9999999999999 55.5000000000001,-19.9999999999999 55.5000000000001)))', '56', '55.5', '-19', '-20', '40D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 56.0000000000001,-19.9999999999999 56.5000000000001,-18.9999999999999 56.5000000000001,-18.9999999999999 56.0000000000001,-19.9999999999999 56.0000000000001)))', '56.5', '56', '-19', '-20', '41D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 56.5000000000001,-19.9999999999999 57.0000000000001,-18.9999999999999 57.0000000000001,-18.9999999999999 56.5000000000001,-19.9999999999999 56.5000000000001)))', '57', '56.5', '-19', '-20', '42D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 57.0000000000001,-19.9999999999999 57.5000000000001,-18.9999999999999 57.5000000000001,-18.9999999999999 57.0000000000001,-19.9999999999999 57.0000000000001)))', '57.5', '57', '-19', '-20', '43D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 57.5000000000001,-19.9999999999999 58.0000000000001,-18.9999999999999 58.0000000000001,-18.9999999999999 57.5000000000001,-19.9999999999999 57.5000000000001)))', '58', '57.5', '-19', '-20', '44D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 58.0000000000001,-19.9999999999999 58.5000000000001,-18.9999999999999 58.5000000000001,-18.9999999999999 58.0000000000001,-19.9999999999999 58.0000000000001)))', '58.5', '58', '-19', '-20', '45D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 58.5000000000001,-19.9999999999999 59.0000000000001,-18.9999999999999 59.0000000000001,-18.9999999999999 58.5000000000001,-19.9999999999999 58.5000000000001)))', '59', '58.5', '-19', '-20', '46D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 59.0000000000001,-19.9999999999999 59.5000000000001,-18.9999999999999 59.5000000000001,-18.9999999999999 59.0000000000001,-19.9999999999999 59.0000000000001)))', '59.5', '59', '-19', '-20', '47D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 59.5000000000001,-19.9999999999999 60.0000000000001,-18.9999999999999 60.0000000000001,-18.9999999999999 59.5000000000001,-19.9999999999999 59.5000000000001)))', '60', '59.5', '-19', '-20', '48D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 60.0000000000001,-19.9999999999999 60.5000000000001,-18.9999999999999 60.5000000000001,-18.9999999999999 60.0000000000001,-19.9999999999999 60.0000000000001)))', '60.5', '60', '-19', '-20', '49D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 60.5000000000001,-19.9999999999999 61.0000000000001,-18.9999999999999 61.0000000000001,-18.9999999999999 60.5000000000001,-19.9999999999999 60.5000000000001)))', '61', '60.5', '-19', '-20', '50D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 61.0000000000001,-19.9999999999999 61.5000000000001,-18.9999999999999 61.5000000000001,-18.9999999999999 61.0000000000001,-19.9999999999999 61.0000000000001)))', '61.5', '61', '-19', '-20', '51D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 61.5000000000001,-19.9999999999999 62.0000000000001,-18.9999999999999 62.0000000000001,-18.9999999999999 61.5000000000001,-19.9999999999999 61.5000000000001)))', '62', '61.5', '-19', '-20', '52D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 62.0000000000001,-19.9999999999999 62.5000000000001,-18.9999999999999 62.5000000000001,-18.9999999999999 62.0000000000001,-19.9999999999999 62.0000000000001)))', '62.5', '62', '-19', '-20', '53D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 62.5000000000001,-19.9999999999999 63.0000000000001,-18.9999999999999 63.0000000000001,-18.9999999999999 62.5000000000001,-19.9999999999999 62.5000000000001)))', '63', '62.5', '-19', '-20', '54D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 63.0000000000001,-19.9999999999999 63.5000000000001,-18.9999999999999 63.5000000000001,-18.9999999999999 63.0000000000001,-19.9999999999999 63.0000000000001)))', '63.5', '63', '-19', '-20', '55D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 63.5000000000001,-19.9999999999999 64.0000000000001,-18.9999999999999 64.0000000000001,-18.9999999999999 63.5000000000001,-19.9999999999999 63.5000000000001)))', '64', '63.5', '-19', '-20', '56D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 65.5000000000001,-19.9999999999999 66.0000000000001,-18.9999999999999 66.0000000000001,-18.9999999999999 65.5000000000001,-19.9999999999999 65.5000000000001)))', '66', '65.5', '-19', '-20', '60D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 66.0000000000001,-19.9999999999999 66.5000000000001,-18.9999999999999 66.5000000000001,-18.9999999999999 66.0000000000001,-19.9999999999999 66.0000000000001)))', '66.5', '66', '-19', '-20', '61D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 66.5000000000001,-19.9999999999999 67.0000000000001,-18.9999999999999 67.0000000000001,-18.9999999999999 66.5000000000001,-19.9999999999999 66.5000000000001)))', '67', '66.5', '-19', '-20', '62D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 67.0000000000001,-19.9999999999999 67.5000000000001,-18.9999999999999 67.5000000000001,-18.9999999999999 67.0000000000001,-19.9999999999999 67.0000000000001)))', '67.5', '67', '-19', '-20', '63D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 67.5000000000001,-19.9999999999999 68.0000000000001,-18.9999999999999 68.0000000000001,-18.9999999999999 67.5000000000001,-19.9999999999999 67.5000000000001)))', '68', '67.5', '-19', '-20', '64D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 68.0000000000001,-19.9999999999999 68.5000000000001,-18.9999999999999 68.5000000000001,-18.9999999999999 68.0000000000001,-19.9999999999999 68.0000000000001)))', '68.5', '68', '-19', '-20', '65D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 68.5000000000001,-19.9999999999999 69.0000000000001,-18.9999999999999 69.0000000000001,-18.9999999999999 68.5000000000001,-19.9999999999999 68.5000000000001)))', '69', '68.5', '-19', '-20', '66D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 69.0000000000001,-19.9999999999999 69.5000000000001,-18.9999999999999 69.5000000000001,-18.9999999999999 69.0000000000001,-19.9999999999999 69.0000000000001)))', '69.5', '69', '-19', '-20', '67D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 69.5000000000001,-19.9999999999999 70.0000000000001,-18.9999999999999 70.0000000000001,-18.9999999999999 69.5000000000001,-19.9999999999999 69.5000000000001)))', '70', '69.5', '-19', '-20', '68D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 70.0000000000001,-19.9999999999999 70.5000000000001,-18.9999999999999 70.5000000000001,-18.9999999999999 70.0000000000001,-19.9999999999999 70.0000000000001)))', '70.5', '70', '-19', '-20', '69D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 70.5000000000001,-19.9999999999999 71.0000000000001,-18.9999999999999 71.0000000000001,-18.9999999999999 70.5000000000001,-19.9999999999999 70.5000000000001)))', '71', '70.5', '-19', '-20', '70D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 71.0000000000001,-19.9999999999999 71.5000000000001,-18.9999999999999 71.5000000000001,-18.9999999999999 71.0000000000001,-19.9999999999999 71.0000000000001)))', '71.5', '71', '-19', '-20', '71D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 71.5000000000001,-19.9999999999999 72.0000000000001,-18.9999999999999 72.0000000000001,-18.9999999999999 71.5000000000001,-19.9999999999999 71.5000000000001)))', '72', '71.5', '-19', '-20', '72D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 72.0000000000001,-19.9999999999999 72.5000000000001,-18.9999999999999 72.5000000000001,-18.9999999999999 72.0000000000001,-19.9999999999999 72.0000000000001)))', '72.5', '72', '-19', '-20', '73D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 72.5000000000001,-19.9999999999999 73.0000000000001,-18.9999999999999 73.0000000000001,-18.9999999999999 72.5000000000001,-19.9999999999999 72.5000000000001)))', '73', '72.5', '-19', '-20', '74D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 73.0000000000001,-19.9999999999999 73.5000000000001,-18.9999999999999 73.5000000000001,-18.9999999999999 73.0000000000001,-19.9999999999999 73.0000000000001)))', '73.5', '73', '-19', '-20', '75D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 73.5000000000001,-19.9999999999999 74.0000000000001,-18.9999999999999 74.0000000000001,-18.9999999999999 73.5000000000001,-19.9999999999999 73.5000000000001)))', '74', '73.5', '-19', '-20', '76D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 74.0000000000001,-19.9999999999999 74.5000000000001,-18.9999999999999 74.5000000000001,-18.9999999999999 74.0000000000001,-19.9999999999999 74.0000000000001)))', '74.5', '74', '-19', '-20', '77D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 74.5000000000001,-19.9999999999999 75.0000000000001,-18.9999999999999 75.0000000000001,-18.9999999999999 74.5000000000001,-19.9999999999999 74.5000000000001)))', '75', '74.5', '-19', '-20', '78D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 75.0000000000001,-19.9999999999999 75.5000000000001,-18.9999999999999 75.5000000000001,-18.9999999999999 75.0000000000001,-19.9999999999999 75.0000000000001)))', '75.5', '75', '-19', '-20', '79D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 75.5000000000001,-19.9999999999999 76.0000000000001,-18.9999999999999 76.0000000000001,-18.9999999999999 75.5000000000001,-19.9999999999999 75.5000000000001)))', '76', '75.5', '-19', '-20', '80D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 76.0000000000001,-19.9999999999999 76.5000000000001,-18.9999999999999 76.5000000000001,-18.9999999999999 76.0000000000001,-19.9999999999999 76.0000000000001)))', '76.5', '76', '-19', '-20', '81D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 76.5000000000001,-19.9999999999999 77.0000000000001,-18.9999999999999 77.0000000000001,-18.9999999999999 76.5000000000001,-19.9999999999999 76.5000000000001)))', '77', '76.5', '-19', '-20', '82D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 77.0000000000001,-19.9999999999999 77.5000000000001,-18.9999999999999 77.5000000000001,-18.9999999999999 77.0000000000001,-19.9999999999999 77.0000000000001)))', '77.5', '77', '-19', '-20', '83D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 77.5000000000001,-19.9999999999999 78.0000000000001,-18.9999999999999 78.0000000000001,-18.9999999999999 77.5000000000001,-19.9999999999999 77.5000000000001)))', '78', '77.5', '-19', '-20', '84D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 78.0000000000001,-19.9999999999999 78.5000000000001,-18.9999999999999 78.5000000000001,-18.9999999999999 78.0000000000001,-19.9999999999999 78.0000000000001)))', '78.5', '78', '-19', '-20', '85D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 78.5000000000001,-19.9999999999999 79.0000000000001,-18.9999999999999 79.0000000000001,-18.9999999999999 78.5000000000001,-19.9999999999999 78.5000000000001)))', '79', '78.5', '-19', '-20', '86D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 79.0000000000001,-19.9999999999999 79.5000000000001,-18.9999999999999 79.5000000000001,-18.9999999999999 79.0000000000001,-19.9999999999999 79.0000000000001)))', '79.5', '79', '-19', '-20', '87D0', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-19.9999999999999 79.5000000000001,-19.9999999999999 80.0000000000001,-18.9999999999999 80.0000000000001,-18.9999999999999 79.5000000000001,-19.9999999999999 79.5000000000001)))', '80', '79.5', '-19', '-20', '88D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 80.0000000000001,-19.9999999999999 80.5000000000001,-18.9999999999999 80.5000000000001,-18.9999999999999 80.0000000000001,-19.9999999999999 80.0000000000001)))', '80.5', '80', '-19', '-20', '89D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 80.5000000000001,-19.9999999999999 81.0000000000001,-18.9999999999999 81.0000000000001,-18.9999999999999 80.5000000000001,-19.9999999999999 80.5000000000001)))', '81', '80.5', '-19', '-20', '90D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 81.0000000000001,-19.9999999999999 81.5000000000001,-18.9999999999999 81.5000000000001,-18.9999999999999 81.0000000000001,-19.9999999999999 81.0000000000001)))', '81.5', '81', '-19', '-20', '91D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 81.5000000000001,-19.9999999999999 82.0000000000001,-18.9999999999999 82.0000000000001,-18.9999999999999 81.5000000000001,-19.9999999999999 81.5000000000001)))', '82', '81.5', '-19', '-20', '92D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 82.0000000000001,-19.9999999999999 82.5000000000001,-18.9999999999999 82.5000000000001,-18.9999999999999 82.0000000000001,-19.9999999999999 82.0000000000001)))', '82.5', '82', '-19', '-20', '93D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 82.5000000000001,-19.9999999999999 83.0000000000001,-18.9999999999999 83.0000000000001,-18.9999999999999 82.5000000000001,-19.9999999999999 82.5000000000001)))', '83', '82.5', '-19', '-20', '94D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 83.0000000000001,-19.9999999999999 83.5000000000001,-18.9999999999999 83.5000000000001,-18.9999999999999 83.0000000000001,-19.9999999999999 83.0000000000001)))', '83.5', '83', '-19', '-20', '95D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 83.5000000000001,-19.9999999999999 84.0000000000001,-18.9999999999999 84.0000000000001,-18.9999999999999 83.5000000000001,-19.9999999999999 83.5000000000001)))', '84', '83.5', '-19', '-20', '96D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 84.0000000000001,-19.9999999999999 84.5000000000001,-18.9999999999999 84.5000000000001,-18.9999999999999 84.0000000000001,-19.9999999999999 84.0000000000001)))', '84.5', '84', '-19', '-20', '97D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-19.9999999999999 84.5000000000001,-19.9999999999999 85.0000000000001,-18.9999999999999 85.0000000000001,-18.9999999999999 84.5000000000001,-19.9999999999999 84.5000000000001)))', '85', '84.5', '-19', '-20', '98D0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 36.0000000000001,-18.9999999999999 36.5000000000001,-17.9999999999999 36.5000000000001,-17.9999999999999 36.0000000000001,-18.9999999999999 36.0000000000001)))', '36.5', '36', '-18', '-19', '01D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 36.5000000000001,-18.9999999999999 37.0000000000001,-17.9999999999999 37.0000000000001,-17.9999999999999 36.5000000000001,-18.9999999999999 36.5000000000001)))', '37', '36.5', '-18', '-19', '02D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 37.0000000000001,-18.9999999999999 37.5000000000001,-17.9999999999999 37.5000000000001,-17.9999999999999 37.0000000000001,-18.9999999999999 37.0000000000001)))', '37.5', '37', '-18', '-19', '03D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 37.5000000000001,-18.9999999999999 38.0000000000001,-17.9999999999999 38.0000000000001,-17.9999999999999 37.5000000000001,-18.9999999999999 37.5000000000001)))', '38', '37.5', '-18', '-19', '04D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 38.0000000000001,-18.9999999999999 38.5000000000001,-17.9999999999999 38.5000000000001,-17.9999999999999 38.0000000000001,-18.9999999999999 38.0000000000001)))', '38.5', '38', '-18', '-19', '05D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 38.5000000000001,-18.9999999999999 39.0000000000001,-17.9999999999999 39.0000000000001,-17.9999999999999 38.5000000000001,-18.9999999999999 38.5000000000001)))', '39', '38.5', '-18', '-19', '06D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 39.0000000000001,-18.9999999999999 39.5000000000001,-17.9999999999999 39.5000000000001,-17.9999999999999 39.0000000000001,-18.9999999999999 39.0000000000001)))', '39.5', '39', '-18', '-19', '07D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 39.5000000000001,-18.9999999999999 40.0000000000001,-17.9999999999999 40.0000000000001,-17.9999999999999 39.5000000000001,-18.9999999999999 39.5000000000001)))', '40', '39.5', '-18', '-19', '08D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 40.0000000000001,-18.9999999999999 40.5000000000001,-17.9999999999999 40.5000000000001,-17.9999999999999 40.0000000000001,-18.9999999999999 40.0000000000001)))', '40.5', '40', '-18', '-19', '09D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 40.5000000000001,-18.9999999999999 41.0000000000001,-17.9999999999999 41.0000000000001,-17.9999999999999 40.5000000000001,-18.9999999999999 40.5000000000001)))', '41', '40.5', '-18', '-19', '10D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 41.0000000000001,-18.9999999999999 41.5000000000001,-17.9999999999999 41.5000000000001,-17.9999999999999 41.0000000000001,-18.9999999999999 41.0000000000001)))', '41.5', '41', '-18', '-19', '11D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 41.5000000000001,-18.9999999999999 42.0000000000001,-17.9999999999999 42.0000000000001,-17.9999999999999 41.5000000000001,-18.9999999999999 41.5000000000001)))', '42', '41.5', '-18', '-19', '12D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 42.0000000000001,-18.9999999999999 42.5000000000001,-17.9999999999999 42.5000000000001,-17.9999999999999 42.0000000000001,-18.9999999999999 42.0000000000001)))', '42.5', '42', '-18', '-19', '13D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 42.5000000000001,-18.9999999999999 43.0000000000001,-17.9999999999999 43.0000000000001,-17.9999999999999 42.5000000000001,-18.9999999999999 42.5000000000001)))', '43', '42.5', '-18', '-19', '14D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 43.0000000000001,-18.9999999999999 43.5000000000001,-17.9999999999999 43.5000000000001,-17.9999999999999 43.0000000000001,-18.9999999999999 43.0000000000001)))', '43.5', '43', '-18', '-19', '15D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 43.5000000000001,-18.9999999999999 44.0000000000001,-17.9999999999999 44.0000000000001,-17.9999999999999 43.5000000000001,-18.9999999999999 43.5000000000001)))', '44', '43.5', '-18', '-19', '16D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 44.0000000000001,-18.9999999999999 44.5000000000001,-17.9999999999999 44.5000000000001,-17.9999999999999 44.0000000000001,-18.9999999999999 44.0000000000001)))', '44.5', '44', '-18', '-19', '17D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 44.5000000000001,-18.9999999999999 45.0000000000001,-17.9999999999999 45.0000000000001,-17.9999999999999 44.5000000000001,-18.9999999999999 44.5000000000001)))', '45', '44.5', '-18', '-19', '18D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 45.0000000000001,-18.9999999999999 45.5000000000001,-17.9999999999999 45.5000000000001,-17.9999999999999 45.0000000000001,-18.9999999999999 45.0000000000001)))', '45.5', '45', '-18', '-19', '19D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 45.5000000000001,-18.9999999999999 46.0000000000001,-17.9999999999999 46.0000000000001,-17.9999999999999 45.5000000000001,-18.9999999999999 45.5000000000001)))', '46', '45.5', '-18', '-19', '20D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 46.0000000000001,-18.9999999999999 46.5000000000001,-17.9999999999999 46.5000000000001,-17.9999999999999 46.0000000000001,-18.9999999999999 46.0000000000001)))', '46.5', '46', '-18', '-19', '21D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 46.5000000000001,-18.9999999999999 47.0000000000001,-17.9999999999999 47.0000000000001,-17.9999999999999 46.5000000000001,-18.9999999999999 46.5000000000001)))', '47', '46.5', '-18', '-19', '22D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 47.0000000000001,-18.9999999999999 47.5000000000001,-17.9999999999999 47.5000000000001,-17.9999999999999 47.0000000000001,-18.9999999999999 47.0000000000001)))', '47.5', '47', '-18', '-19', '23D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 47.5000000000001,-18.9999999999999 48.0000000000001,-17.9999999999999 48.0000000000001,-17.9999999999999 47.5000000000001,-18.9999999999999 47.5000000000001)))', '48', '47.5', '-18', '-19', '24D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 48.0000000000001,-18.9999999999999 48.5000000000001,-17.9999999999999 48.5000000000001,-17.9999999999999 48.0000000000001,-18.9999999999999 48.0000000000001)))', '48.5', '48', '-18', '-19', '25D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 48.5000000000001,-18.9999999999999 49.0000000000001,-17.9999999999999 49.0000000000001,-17.9999999999999 48.5000000000001,-18.9999999999999 48.5000000000001)))', '49', '48.5', '-18', '-19', '26D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 49.0000000000001,-18.9999999999999 49.5000000000001,-17.9999999999999 49.5000000000001,-17.9999999999999 49.0000000000001,-18.9999999999999 49.0000000000001)))', '49.5', '49', '-18', '-19', '27D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 49.5000000000001,-18.9999999999999 50.0000000000001,-17.9999999999999 50.0000000000001,-17.9999999999999 49.5000000000001,-18.9999999999999 49.5000000000001)))', '50', '49.5', '-18', '-19', '28D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 50.0000000000001,-18.9999999999999 50.5000000000001,-17.9999999999999 50.5000000000001,-17.9999999999999 50.0000000000001,-18.9999999999999 50.0000000000001)))', '50.5', '50', '-18', '-19', '29D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 50.5000000000001,-18.9999999999999 51.0000000000001,-17.9999999999999 51.0000000000001,-17.9999999999999 50.5000000000001,-18.9999999999999 50.5000000000001)))', '51', '50.5', '-18', '-19', '30D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 51.0000000000001,-18.9999999999999 51.5000000000001,-17.9999999999999 51.5000000000001,-17.9999999999999 51.0000000000001,-18.9999999999999 51.0000000000001)))', '51.5', '51', '-18', '-19', '31D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 51.5000000000001,-18.9999999999999 52.0000000000001,-17.9999999999999 52.0000000000001,-17.9999999999999 51.5000000000001,-18.9999999999999 51.5000000000001)))', '52', '51.5', '-18', '-19', '32D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 52.0000000000001,-18.9999999999999 52.5000000000001,-17.9999999999999 52.5000000000001,-17.9999999999999 52.0000000000001,-18.9999999999999 52.0000000000001)))', '52.5', '52', '-18', '-19', '33D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 52.5000000000001,-18.9999999999999 53.0000000000001,-17.9999999999999 53.0000000000001,-17.9999999999999 52.5000000000001,-18.9999999999999 52.5000000000001)))', '53', '52.5', '-18', '-19', '34D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 53.0000000000001,-18.9999999999999 53.5000000000001,-17.9999999999999 53.5000000000001,-17.9999999999999 53.0000000000001,-18.9999999999999 53.0000000000001)))', '53.5', '53', '-18', '-19', '35D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 53.5000000000001,-18.9999999999999 54.0000000000001,-17.9999999999999 54.0000000000001,-17.9999999999999 53.5000000000001,-18.9999999999999 53.5000000000001)))', '54', '53.5', '-18', '-19', '36D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 54.0000000000001,-18.9999999999999 54.5000000000001,-17.9999999999999 54.5000000000001,-17.9999999999999 54.0000000000001,-18.9999999999999 54.0000000000001)))', '54.5', '54', '-18', '-19', '37D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 54.5000000000001,-18.9999999999999 55.0000000000001,-17.9999999999999 55.0000000000001,-17.9999999999999 54.5000000000001,-18.9999999999999 54.5000000000001)))', '55', '54.5', '-18', '-19', '38D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 55.0000000000001,-18.9999999999999 55.5000000000001,-17.9999999999999 55.5000000000001,-17.9999999999999 55.0000000000001,-18.9999999999999 55.0000000000001)))', '55.5', '55', '-18', '-19', '39D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 55.5000000000001,-18.9999999999999 56.0000000000001,-17.9999999999999 56.0000000000001,-17.9999999999999 55.5000000000001,-18.9999999999999 55.5000000000001)))', '56', '55.5', '-18', '-19', '40D1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-18.9999999999999 56.0000000000001,-18.9999999999999 56.5000000000001,-17.9999999999999 56.5000000000001,-17.9999999999999 56.0000000000001,-18.9999999999999 56.0000000000001)))', '56.5', '56', '-18', '-19', '41D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 56.5000000000001,-18.9999999999999 57.0000000000001,-17.9999999999999 57.0000000000001,-17.9999999999999 56.5000000000001,-18.9999999999999 56.5000000000001)))', '57', '56.5', '-18', '-19', '42D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 57.0000000000001,-18.9999999999999 57.5000000000001,-17.9999999999999 57.5000000000001,-17.9999999999999 57.0000000000001,-18.9999999999999 57.0000000000001)))', '57.5', '57', '-18', '-19', '43D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 57.5000000000001,-18.9999999999999 58.0000000000001,-17.9999999999999 58.0000000000001,-17.9999999999999 57.5000000000001,-18.9999999999999 57.5000000000001)))', '58', '57.5', '-18', '-19', '44D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 58.0000000000001,-18.9999999999999 58.5000000000001,-17.9999999999999 58.5000000000001,-17.9999999999999 58.0000000000001,-18.9999999999999 58.0000000000001)))', '58.5', '58', '-18', '-19', '45D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 58.5000000000001,-18.9999999999999 59.0000000000001,-17.9999999999999 59.0000000000001,-17.9999999999999 58.5000000000001,-18.9999999999999 58.5000000000001)))', '59', '58.5', '-18', '-19', '46D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 59.0000000000001,-18.9999999999999 59.5000000000001,-17.9999999999999 59.5000000000001,-17.9999999999999 59.0000000000001,-18.9999999999999 59.0000000000001)))', '59.5', '59', '-18', '-19', '47D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 59.5000000000001,-18.9999999999999 60.0000000000001,-17.9999999999999 60.0000000000001,-17.9999999999999 59.5000000000001,-18.9999999999999 59.5000000000001)))', '60', '59.5', '-18', '-19', '48D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 60.0000000000001,-18.9999999999999 60.5000000000001,-17.9999999999999 60.5000000000001,-17.9999999999999 60.0000000000001,-18.9999999999999 60.0000000000001)))', '60.5', '60', '-18', '-19', '49D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 60.5000000000001,-18.9999999999999 61.0000000000001,-17.9999999999999 61.0000000000001,-17.9999999999999 60.5000000000001,-18.9999999999999 60.5000000000001)))', '61', '60.5', '-18', '-19', '50D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 61.0000000000001,-18.9999999999999 61.5000000000001,-17.9999999999999 61.5000000000001,-17.9999999999999 61.0000000000001,-18.9999999999999 61.0000000000001)))', '61.5', '61', '-18', '-19', '51D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 61.5000000000001,-18.9999999999999 62.0000000000001,-17.9999999999999 62.0000000000001,-17.9999999999999 61.5000000000001,-18.9999999999999 61.5000000000001)))', '62', '61.5', '-18', '-19', '52D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 62.0000000000001,-18.9999999999999 62.5000000000001,-17.9999999999999 62.5000000000001,-17.9999999999999 62.0000000000001,-18.9999999999999 62.0000000000001)))', '62.5', '62', '-18', '-19', '53D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 62.5000000000001,-18.9999999999999 63.0000000000001,-17.9999999999999 63.0000000000001,-17.9999999999999 62.5000000000001,-18.9999999999999 62.5000000000001)))', '63', '62.5', '-18', '-19', '54D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 63.0000000000001,-18.9999999999999 63.5000000000001,-17.9999999999999 63.5000000000001,-17.9999999999999 63.0000000000001,-18.9999999999999 63.0000000000001)))', '63.5', '63', '-18', '-19', '55D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 63.5000000000001,-18.9999999999999 64.0000000000001,-17.9999999999999 64.0000000000001,-17.9999999999999 63.5000000000001,-18.9999999999999 63.5000000000001)))', '64', '63.5', '-18', '-19', '56D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 65.5000000000001,-18.9999999999999 66.0000000000001,-17.9999999999999 66.0000000000001,-17.9999999999999 65.5000000000001,-18.9999999999999 65.5000000000001)))', '66', '65.5', '-18', '-19', '60D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 66.0000000000001,-18.9999999999999 66.5000000000001,-17.9999999999999 66.5000000000001,-17.9999999999999 66.0000000000001,-18.9999999999999 66.0000000000001)))', '66.5', '66', '-18', '-19', '61D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 66.5000000000001,-18.9999999999999 67.0000000000001,-17.9999999999999 67.0000000000001,-17.9999999999999 66.5000000000001,-18.9999999999999 66.5000000000001)))', '67', '66.5', '-18', '-19', '62D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 67.0000000000001,-18.9999999999999 67.5000000000001,-17.9999999999999 67.5000000000001,-17.9999999999999 67.0000000000001,-18.9999999999999 67.0000000000001)))', '67.5', '67', '-18', '-19', '63D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 67.5000000000001,-18.9999999999999 68.0000000000001,-17.9999999999999 68.0000000000001,-17.9999999999999 67.5000000000001,-18.9999999999999 67.5000000000001)))', '68', '67.5', '-18', '-19', '64D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 68.0000000000001,-18.9999999999999 68.5000000000001,-17.9999999999999 68.5000000000001,-17.9999999999999 68.0000000000001,-18.9999999999999 68.0000000000001)))', '68.5', '68', '-18', '-19', '65D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 68.5000000000001,-18.9999999999999 69.0000000000001,-17.9999999999999 69.0000000000001,-17.9999999999999 68.5000000000001,-18.9999999999999 68.5000000000001)))', '69', '68.5', '-18', '-19', '66D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 69.0000000000001,-18.9999999999999 69.5000000000001,-17.9999999999999 69.5000000000001,-17.9999999999999 69.0000000000001,-18.9999999999999 69.0000000000001)))', '69.5', '69', '-18', '-19', '67D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 69.5000000000001,-18.9999999999999 70.0000000000001,-17.9999999999999 70.0000000000001,-17.9999999999999 69.5000000000001,-18.9999999999999 69.5000000000001)))', '70', '69.5', '-18', '-19', '68D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 70.0000000000001,-18.9999999999999 70.5000000000001,-17.9999999999999 70.5000000000001,-17.9999999999999 70.0000000000001,-18.9999999999999 70.0000000000001)))', '70.5', '70', '-18', '-19', '69D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 70.5000000000001,-18.9999999999999 71.0000000000001,-17.9999999999999 71.0000000000001,-17.9999999999999 70.5000000000001,-18.9999999999999 70.5000000000001)))', '71', '70.5', '-18', '-19', '70D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 71.0000000000001,-18.9999999999999 71.5000000000001,-17.9999999999999 71.5000000000001,-17.9999999999999 71.0000000000001,-18.9999999999999 71.0000000000001)))', '71.5', '71', '-18', '-19', '71D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 71.5000000000001,-18.9999999999999 72.0000000000001,-17.9999999999999 72.0000000000001,-17.9999999999999 71.5000000000001,-18.9999999999999 71.5000000000001)))', '72', '71.5', '-18', '-19', '72D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 72.0000000000001,-18.9999999999999 72.5000000000001,-17.9999999999999 72.5000000000001,-17.9999999999999 72.0000000000001,-18.9999999999999 72.0000000000001)))', '72.5', '72', '-18', '-19', '73D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 72.5000000000001,-18.9999999999999 73.0000000000001,-17.9999999999999 73.0000000000001,-17.9999999999999 72.5000000000001,-18.9999999999999 72.5000000000001)))', '73', '72.5', '-18', '-19', '74D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 73.0000000000001,-18.9999999999999 73.5000000000001,-17.9999999999999 73.5000000000001,-17.9999999999999 73.0000000000001,-18.9999999999999 73.0000000000001)))', '73.5', '73', '-18', '-19', '75D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 73.5000000000001,-18.9999999999999 74.0000000000001,-17.9999999999999 74.0000000000001,-17.9999999999999 73.5000000000001,-18.9999999999999 73.5000000000001)))', '74', '73.5', '-18', '-19', '76D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 74.0000000000001,-18.9999999999999 74.5000000000001,-17.9999999999999 74.5000000000001,-17.9999999999999 74.0000000000001,-18.9999999999999 74.0000000000001)))', '74.5', '74', '-18', '-19', '77D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 74.5000000000001,-18.9999999999999 75.0000000000001,-17.9999999999999 75.0000000000001,-17.9999999999999 74.5000000000001,-18.9999999999999 74.5000000000001)))', '75', '74.5', '-18', '-19', '78D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 75.0000000000001,-18.9999999999999 75.5000000000001,-17.9999999999999 75.5000000000001,-17.9999999999999 75.0000000000001,-18.9999999999999 75.0000000000001)))', '75.5', '75', '-18', '-19', '79D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 75.5000000000001,-18.9999999999999 76.0000000000001,-17.9999999999999 76.0000000000001,-17.9999999999999 75.5000000000001,-18.9999999999999 75.5000000000001)))', '76', '75.5', '-18', '-19', '80D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 76.0000000000001,-18.9999999999999 76.5000000000001,-17.9999999999999 76.5000000000001,-17.9999999999999 76.0000000000001,-18.9999999999999 76.0000000000001)))', '76.5', '76', '-18', '-19', '81D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 76.5000000000001,-18.9999999999999 77.0000000000001,-17.9999999999999 77.0000000000001,-17.9999999999999 76.5000000000001,-18.9999999999999 76.5000000000001)))', '77', '76.5', '-18', '-19', '82D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 77.0000000000001,-18.9999999999999 77.5000000000001,-17.9999999999999 77.5000000000001,-17.9999999999999 77.0000000000001,-18.9999999999999 77.0000000000001)))', '77.5', '77', '-18', '-19', '83D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 77.5000000000001,-18.9999999999999 78.0000000000001,-17.9999999999999 78.0000000000001,-17.9999999999999 77.5000000000001,-18.9999999999999 77.5000000000001)))', '78', '77.5', '-18', '-19', '84D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 78.0000000000001,-18.9999999999999 78.5000000000001,-17.9999999999999 78.5000000000001,-17.9999999999999 78.0000000000001,-18.9999999999999 78.0000000000001)))', '78.5', '78', '-18', '-19', '85D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 78.5000000000001,-18.9999999999999 79.0000000000001,-17.9999999999999 79.0000000000001,-17.9999999999999 78.5000000000001,-18.9999999999999 78.5000000000001)))', '79', '78.5', '-18', '-19', '86D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 79.0000000000001,-18.9999999999999 79.5000000000001,-17.9999999999999 79.5000000000001,-17.9999999999999 79.0000000000001,-18.9999999999999 79.0000000000001)))', '79.5', '79', '-18', '-19', '87D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 79.5000000000001,-18.9999999999999 80.0000000000001,-17.9999999999999 80.0000000000001,-17.9999999999999 79.5000000000001,-18.9999999999999 79.5000000000001)))', '80', '79.5', '-18', '-19', '88D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 80.0000000000001,-18.9999999999999 80.5000000000001,-17.9999999999999 80.5000000000001,-17.9999999999999 80.0000000000001,-18.9999999999999 80.0000000000001)))', '80.5', '80', '-18', '-19', '89D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 80.5000000000001,-18.9999999999999 81.0000000000001,-17.9999999999999 81.0000000000001,-17.9999999999999 80.5000000000001,-18.9999999999999 80.5000000000001)))', '81', '80.5', '-18', '-19', '90D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 81.0000000000001,-18.9999999999999 81.5000000000001,-17.9999999999999 81.5000000000001,-17.9999999999999 81.0000000000001,-18.9999999999999 81.0000000000001)))', '81.5', '81', '-18', '-19', '91D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 81.5000000000001,-18.9999999999999 82.0000000000001,-17.9999999999999 82.0000000000001,-17.9999999999999 81.5000000000001,-18.9999999999999 81.5000000000001)))', '82', '81.5', '-18', '-19', '92D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 82.0000000000001,-18.9999999999999 82.5000000000001,-17.9999999999999 82.5000000000001,-17.9999999999999 82.0000000000001,-18.9999999999999 82.0000000000001)))', '82.5', '82', '-18', '-19', '93D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 82.5000000000001,-18.9999999999999 83.0000000000001,-17.9999999999999 83.0000000000001,-17.9999999999999 82.5000000000001,-18.9999999999999 82.5000000000001)))', '83', '82.5', '-18', '-19', '94D1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-18.9999999999999 83.0000000000001,-18.9999999999999 83.5000000000001,-17.9999999999999 83.5000000000001,-17.9999999999999 83.0000000000001,-18.9999999999999 83.0000000000001)))', '83.5', '83', '-18', '-19', '95D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 83.5000000000001,-18.9999999999999 84.0000000000001,-17.9999999999999 84.0000000000001,-17.9999999999999 83.5000000000001,-18.9999999999999 83.5000000000001)))', '84', '83.5', '-18', '-19', '96D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 84.0000000000001,-18.9999999999999 84.5000000000001,-17.9999999999999 84.5000000000001,-17.9999999999999 84.0000000000001,-18.9999999999999 84.0000000000001)))', '84.5', '84', '-18', '-19', '97D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-18.9999999999999 84.5000000000001,-18.9999999999999 85.0000000000001,-17.9999999999999 85.0000000000001,-17.9999999999999 84.5000000000001,-18.9999999999999 84.5000000000001)))', '85', '84.5', '-18', '-19', '98D1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 36.0000000000001,-17.9999999999999 36.5000000000001,-16.9999999999999 36.5000000000001,-16.9999999999999 36.0000000000001,-17.9999999999999 36.0000000000001)))', '36.5', '36', '-17', '-18', '01D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 36.5000000000001,-17.9999999999999 37.0000000000001,-16.9999999999999 37.0000000000001,-16.9999999999999 36.5000000000001,-17.9999999999999 36.5000000000001)))', '37', '36.5', '-17', '-18', '02D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 37.0000000000001,-17.9999999999999 37.5000000000001,-16.9999999999999 37.5000000000001,-16.9999999999999 37.0000000000001,-17.9999999999999 37.0000000000001)))', '37.5', '37', '-17', '-18', '03D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 37.5000000000001,-17.9999999999999 38.0000000000001,-16.9999999999999 38.0000000000001,-16.9999999999999 37.5000000000001,-17.9999999999999 37.5000000000001)))', '38', '37.5', '-17', '-18', '04D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 38.0000000000001,-17.9999999999999 38.5000000000001,-16.9999999999999 38.5000000000001,-16.9999999999999 38.0000000000001,-17.9999999999999 38.0000000000001)))', '38.5', '38', '-17', '-18', '05D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 38.5000000000001,-17.9999999999999 39.0000000000001,-16.9999999999999 39.0000000000001,-16.9999999999999 38.5000000000001,-17.9999999999999 38.5000000000001)))', '39', '38.5', '-17', '-18', '06D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 39.0000000000001,-17.9999999999999 39.5000000000001,-16.9999999999999 39.5000000000001,-16.9999999999999 39.0000000000001,-17.9999999999999 39.0000000000001)))', '39.5', '39', '-17', '-18', '07D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 39.5000000000001,-17.9999999999999 40.0000000000001,-16.9999999999999 40.0000000000001,-16.9999999999999 39.5000000000001,-17.9999999999999 39.5000000000001)))', '40', '39.5', '-17', '-18', '08D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 40.0000000000001,-17.9999999999999 40.5000000000001,-16.9999999999999 40.5000000000001,-16.9999999999999 40.0000000000001,-17.9999999999999 40.0000000000001)))', '40.5', '40', '-17', '-18', '09D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 40.5000000000001,-17.9999999999999 41.0000000000001,-16.9999999999999 41.0000000000001,-16.9999999999999 40.5000000000001,-17.9999999999999 40.5000000000001)))', '41', '40.5', '-17', '-18', '10D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 41.0000000000001,-17.9999999999999 41.5000000000001,-16.9999999999999 41.5000000000001,-16.9999999999999 41.0000000000001,-17.9999999999999 41.0000000000001)))', '41.5', '41', '-17', '-18', '11D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 41.5000000000001,-17.9999999999999 42.0000000000001,-16.9999999999999 42.0000000000001,-16.9999999999999 41.5000000000001,-17.9999999999999 41.5000000000001)))', '42', '41.5', '-17', '-18', '12D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 42.0000000000001,-17.9999999999999 42.5000000000001,-16.9999999999999 42.5000000000001,-16.9999999999999 42.0000000000001,-17.9999999999999 42.0000000000001)))', '42.5', '42', '-17', '-18', '13D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 42.5000000000001,-17.9999999999999 43.0000000000001,-16.9999999999999 43.0000000000001,-16.9999999999999 42.5000000000001,-17.9999999999999 42.5000000000001)))', '43', '42.5', '-17', '-18', '14D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 43.0000000000001,-17.9999999999999 43.5000000000001,-16.9999999999999 43.5000000000001,-16.9999999999999 43.0000000000001,-17.9999999999999 43.0000000000001)))', '43.5', '43', '-17', '-18', '15D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 43.5000000000001,-17.9999999999999 44.0000000000001,-16.9999999999999 44.0000000000001,-16.9999999999999 43.5000000000001,-17.9999999999999 43.5000000000001)))', '44', '43.5', '-17', '-18', '16D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 44.0000000000001,-17.9999999999999 44.5000000000001,-16.9999999999999 44.5000000000001,-16.9999999999999 44.0000000000001,-17.9999999999999 44.0000000000001)))', '44.5', '44', '-17', '-18', '17D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 44.5000000000001,-17.9999999999999 45.0000000000001,-16.9999999999999 45.0000000000001,-16.9999999999999 44.5000000000001,-17.9999999999999 44.5000000000001)))', '45', '44.5', '-17', '-18', '18D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 45.0000000000001,-17.9999999999999 45.5000000000001,-16.9999999999999 45.5000000000001,-16.9999999999999 45.0000000000001,-17.9999999999999 45.0000000000001)))', '45.5', '45', '-17', '-18', '19D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 45.5000000000001,-17.9999999999999 46.0000000000001,-16.9999999999999 46.0000000000001,-16.9999999999999 45.5000000000001,-17.9999999999999 45.5000000000001)))', '46', '45.5', '-17', '-18', '20D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 46.0000000000001,-17.9999999999999 46.5000000000001,-16.9999999999999 46.5000000000001,-16.9999999999999 46.0000000000001,-17.9999999999999 46.0000000000001)))', '46.5', '46', '-17', '-18', '21D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 46.5000000000001,-17.9999999999999 47.0000000000001,-16.9999999999999 47.0000000000001,-16.9999999999999 46.5000000000001,-17.9999999999999 46.5000000000001)))', '47', '46.5', '-17', '-18', '22D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 47.0000000000001,-17.9999999999999 47.5000000000001,-16.9999999999999 47.5000000000001,-16.9999999999999 47.0000000000001,-17.9999999999999 47.0000000000001)))', '47.5', '47', '-17', '-18', '23D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 47.5000000000001,-17.9999999999999 48.0000000000001,-16.9999999999999 48.0000000000001,-16.9999999999999 47.5000000000001,-17.9999999999999 47.5000000000001)))', '48', '47.5', '-17', '-18', '24D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 48.0000000000001,-17.9999999999999 48.5000000000001,-16.9999999999999 48.5000000000001,-16.9999999999999 48.0000000000001,-17.9999999999999 48.0000000000001)))', '48.5', '48', '-17', '-18', '25D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 48.5000000000001,-17.9999999999999 49.0000000000001,-16.9999999999999 49.0000000000001,-16.9999999999999 48.5000000000001,-17.9999999999999 48.5000000000001)))', '49', '48.5', '-17', '-18', '26D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 49.0000000000001,-17.9999999999999 49.5000000000001,-16.9999999999999 49.5000000000001,-16.9999999999999 49.0000000000001,-17.9999999999999 49.0000000000001)))', '49.5', '49', '-17', '-18', '27D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 49.5000000000001,-17.9999999999999 50.0000000000001,-16.9999999999999 50.0000000000001,-16.9999999999999 49.5000000000001,-17.9999999999999 49.5000000000001)))', '50', '49.5', '-17', '-18', '28D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 50.0000000000001,-17.9999999999999 50.5000000000001,-16.9999999999999 50.5000000000001,-16.9999999999999 50.0000000000001,-17.9999999999999 50.0000000000001)))', '50.5', '50', '-17', '-18', '29D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 50.5000000000001,-17.9999999999999 51.0000000000001,-16.9999999999999 51.0000000000001,-16.9999999999999 50.5000000000001,-17.9999999999999 50.5000000000001)))', '51', '50.5', '-17', '-18', '30D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 51.0000000000001,-17.9999999999999 51.5000000000001,-16.9999999999999 51.5000000000001,-16.9999999999999 51.0000000000001,-17.9999999999999 51.0000000000001)))', '51.5', '51', '-17', '-18', '31D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 51.5000000000001,-17.9999999999999 52.0000000000001,-16.9999999999999 52.0000000000001,-16.9999999999999 51.5000000000001,-17.9999999999999 51.5000000000001)))', '52', '51.5', '-17', '-18', '32D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 52.0000000000001,-17.9999999999999 52.5000000000001,-16.9999999999999 52.5000000000001,-16.9999999999999 52.0000000000001,-17.9999999999999 52.0000000000001)))', '52.5', '52', '-17', '-18', '33D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 52.5000000000001,-17.9999999999999 53.0000000000001,-16.9999999999999 53.0000000000001,-16.9999999999999 52.5000000000001,-17.9999999999999 52.5000000000001)))', '53', '52.5', '-17', '-18', '34D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 53.0000000000001,-17.9999999999999 53.5000000000001,-16.9999999999999 53.5000000000001,-16.9999999999999 53.0000000000001,-17.9999999999999 53.0000000000001)))', '53.5', '53', '-17', '-18', '35D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 53.5000000000001,-17.9999999999999 54.0000000000001,-16.9999999999999 54.0000000000001,-16.9999999999999 53.5000000000001,-17.9999999999999 53.5000000000001)))', '54', '53.5', '-17', '-18', '36D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 54.0000000000001,-17.9999999999999 54.5000000000001,-16.9999999999999 54.5000000000001,-16.9999999999999 54.0000000000001,-17.9999999999999 54.0000000000001)))', '54.5', '54', '-17', '-18', '37D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 54.5000000000001,-17.9999999999999 55.0000000000001,-16.9999999999999 55.0000000000001,-16.9999999999999 54.5000000000001,-17.9999999999999 54.5000000000001)))', '55', '54.5', '-17', '-18', '38D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 55.0000000000001,-17.9999999999999 55.5000000000001,-16.9999999999999 55.5000000000001,-16.9999999999999 55.0000000000001,-17.9999999999999 55.0000000000001)))', '55.5', '55', '-17', '-18', '39D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 55.5000000000001,-17.9999999999999 56.0000000000001,-16.9999999999999 56.0000000000001,-16.9999999999999 55.5000000000001,-17.9999999999999 55.5000000000001)))', '56', '55.5', '-17', '-18', '40D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 56.0000000000001,-17.9999999999999 56.5000000000001,-16.9999999999999 56.5000000000001,-16.9999999999999 56.0000000000001,-17.9999999999999 56.0000000000001)))', '56.5', '56', '-17', '-18', '41D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 56.5000000000001,-17.9999999999999 57.0000000000001,-16.9999999999999 57.0000000000001,-16.9999999999999 56.5000000000001,-17.9999999999999 56.5000000000001)))', '57', '56.5', '-17', '-18', '42D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 57.0000000000001,-17.9999999999999 57.5000000000001,-16.9999999999999 57.5000000000001,-16.9999999999999 57.0000000000001,-17.9999999999999 57.0000000000001)))', '57.5', '57', '-17', '-18', '43D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 57.5000000000001,-17.9999999999999 58.0000000000001,-16.9999999999999 58.0000000000001,-16.9999999999999 57.5000000000001,-17.9999999999999 57.5000000000001)))', '58', '57.5', '-17', '-18', '44D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 58.0000000000001,-17.9999999999999 58.5000000000001,-16.9999999999999 58.5000000000001,-16.9999999999999 58.0000000000001,-17.9999999999999 58.0000000000001)))', '58.5', '58', '-17', '-18', '45D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 58.5000000000001,-17.9999999999999 59.0000000000001,-16.9999999999999 59.0000000000001,-16.9999999999999 58.5000000000001,-17.9999999999999 58.5000000000001)))', '59', '58.5', '-17', '-18', '46D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 59.0000000000001,-17.9999999999999 59.5000000000001,-16.9999999999999 59.5000000000001,-16.9999999999999 59.0000000000001,-17.9999999999999 59.0000000000001)))', '59.5', '59', '-17', '-18', '47D2', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-17.9999999999999 59.5000000000001,-17.9999999999999 60.0000000000001,-16.9999999999999 60.0000000000001,-16.9999999999999 59.5000000000001,-17.9999999999999 59.5000000000001)))', '60', '59.5', '-17', '-18', '48D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 60.0000000000001,-17.9999999999999 60.5000000000001,-16.9999999999999 60.5000000000001,-16.9999999999999 60.0000000000001,-17.9999999999999 60.0000000000001)))', '60.5', '60', '-17', '-18', '49D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 60.5000000000001,-17.9999999999999 61.0000000000001,-16.9999999999999 61.0000000000001,-16.9999999999999 60.5000000000001,-17.9999999999999 60.5000000000001)))', '61', '60.5', '-17', '-18', '50D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 61.0000000000001,-17.9999999999999 61.5000000000001,-16.9999999999999 61.5000000000001,-16.9999999999999 61.0000000000001,-17.9999999999999 61.0000000000001)))', '61.5', '61', '-17', '-18', '51D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 61.5000000000001,-17.9999999999999 62.0000000000001,-16.9999999999999 62.0000000000001,-16.9999999999999 61.5000000000001,-17.9999999999999 61.5000000000001)))', '62', '61.5', '-17', '-18', '52D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 62.0000000000001,-17.9999999999999 62.5000000000001,-16.9999999999999 62.5000000000001,-16.9999999999999 62.0000000000001,-17.9999999999999 62.0000000000001)))', '62.5', '62', '-17', '-18', '53D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 62.5000000000001,-17.9999999999999 63.0000000000001,-16.9999999999999 63.0000000000001,-16.9999999999999 62.5000000000001,-17.9999999999999 62.5000000000001)))', '63', '62.5', '-17', '-18', '54D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 63.0000000000001,-17.9999999999999 63.5000000000001,-16.9999999999999 63.5000000000001,-16.9999999999999 63.0000000000001,-17.9999999999999 63.0000000000001)))', '63.5', '63', '-17', '-18', '55D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 63.5000000000001,-17.9999999999999 64.0000000000001,-16.9999999999999 64.0000000000001,-16.9999999999999 63.5000000000001,-17.9999999999999 63.5000000000001)))', '64', '63.5', '-17', '-18', '56D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 65.5000000000001,-17.9999999999999 66.0000000000001,-16.9999999999999 66.0000000000001,-16.9999999999999 65.5000000000001,-17.9999999999999 65.5000000000001)))', '66', '65.5', '-17', '-18', '60D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 66.0000000000001,-17.9999999999999 66.5000000000001,-16.9999999999999 66.5000000000001,-16.9999999999999 66.0000000000001,-17.9999999999999 66.0000000000001)))', '66.5', '66', '-17', '-18', '61D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 66.5000000000001,-17.9999999999999 67.0000000000001,-16.9999999999999 67.0000000000001,-16.9999999999999 66.5000000000001,-17.9999999999999 66.5000000000001)))', '67', '66.5', '-17', '-18', '62D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 67.0000000000001,-17.9999999999999 67.5000000000001,-16.9999999999999 67.5000000000001,-16.9999999999999 67.0000000000001,-17.9999999999999 67.0000000000001)))', '67.5', '67', '-17', '-18', '63D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 67.5000000000001,-17.9999999999999 68.0000000000001,-16.9999999999999 68.0000000000001,-16.9999999999999 67.5000000000001,-17.9999999999999 67.5000000000001)))', '68', '67.5', '-17', '-18', '64D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 68.0000000000001,-17.9999999999999 68.5000000000001,-16.9999999999999 68.5000000000001,-16.9999999999999 68.0000000000001,-17.9999999999999 68.0000000000001)))', '68.5', '68', '-17', '-18', '65D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 68.5000000000001,-17.9999999999999 69.0000000000001,-16.9999999999999 69.0000000000001,-16.9999999999999 68.5000000000001,-17.9999999999999 68.5000000000001)))', '69', '68.5', '-17', '-18', '66D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 69.0000000000001,-17.9999999999999 69.5000000000001,-16.9999999999999 69.5000000000001,-16.9999999999999 69.0000000000001,-17.9999999999999 69.0000000000001)))', '69.5', '69', '-17', '-18', '67D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 69.5000000000001,-17.9999999999999 70.0000000000001,-16.9999999999999 70.0000000000001,-16.9999999999999 69.5000000000001,-17.9999999999999 69.5000000000001)))', '70', '69.5', '-17', '-18', '68D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 70.0000000000001,-17.9999999999999 70.5000000000001,-16.9999999999999 70.5000000000001,-16.9999999999999 70.0000000000001,-17.9999999999999 70.0000000000001)))', '70.5', '70', '-17', '-18', '69D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 70.5000000000001,-17.9999999999999 71.0000000000001,-16.9999999999999 71.0000000000001,-16.9999999999999 70.5000000000001,-17.9999999999999 70.5000000000001)))', '71', '70.5', '-17', '-18', '70D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 71.0000000000001,-17.9999999999999 71.5000000000001,-16.9999999999999 71.5000000000001,-16.9999999999999 71.0000000000001,-17.9999999999999 71.0000000000001)))', '71.5', '71', '-17', '-18', '71D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 71.5000000000001,-17.9999999999999 72.0000000000001,-16.9999999999999 72.0000000000001,-16.9999999999999 71.5000000000001,-17.9999999999999 71.5000000000001)))', '72', '71.5', '-17', '-18', '72D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 72.0000000000001,-17.9999999999999 72.5000000000001,-16.9999999999999 72.5000000000001,-16.9999999999999 72.0000000000001,-17.9999999999999 72.0000000000001)))', '72.5', '72', '-17', '-18', '73D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 72.5000000000001,-17.9999999999999 73.0000000000001,-16.9999999999999 73.0000000000001,-16.9999999999999 72.5000000000001,-17.9999999999999 72.5000000000001)))', '73', '72.5', '-17', '-18', '74D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 73.0000000000001,-17.9999999999999 73.5000000000001,-16.9999999999999 73.5000000000001,-16.9999999999999 73.0000000000001,-17.9999999999999 73.0000000000001)))', '73.5', '73', '-17', '-18', '75D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 73.5000000000001,-17.9999999999999 74.0000000000001,-16.9999999999999 74.0000000000001,-16.9999999999999 73.5000000000001,-17.9999999999999 73.5000000000001)))', '74', '73.5', '-17', '-18', '76D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 74.0000000000001,-17.9999999999999 74.5000000000001,-16.9999999999999 74.5000000000001,-16.9999999999999 74.0000000000001,-17.9999999999999 74.0000000000001)))', '74.5', '74', '-17', '-18', '77D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 74.5000000000001,-17.9999999999999 75.0000000000001,-16.9999999999999 75.0000000000001,-16.9999999999999 74.5000000000001,-17.9999999999999 74.5000000000001)))', '75', '74.5', '-17', '-18', '78D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 75.0000000000001,-17.9999999999999 75.5000000000001,-16.9999999999999 75.5000000000001,-16.9999999999999 75.0000000000001,-17.9999999999999 75.0000000000001)))', '75.5', '75', '-17', '-18', '79D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 75.5000000000001,-17.9999999999999 76.0000000000001,-16.9999999999999 76.0000000000001,-16.9999999999999 75.5000000000001,-17.9999999999999 75.5000000000001)))', '76', '75.5', '-17', '-18', '80D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 76.0000000000001,-17.9999999999999 76.5000000000001,-16.9999999999999 76.5000000000001,-16.9999999999999 76.0000000000001,-17.9999999999999 76.0000000000001)))', '76.5', '76', '-17', '-18', '81D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 76.5000000000001,-17.9999999999999 77.0000000000001,-16.9999999999999 77.0000000000001,-16.9999999999999 76.5000000000001,-17.9999999999999 76.5000000000001)))', '77', '76.5', '-17', '-18', '82D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 77.0000000000001,-17.9999999999999 77.5000000000001,-16.9999999999999 77.5000000000001,-16.9999999999999 77.0000000000001,-17.9999999999999 77.0000000000001)))', '77.5', '77', '-17', '-18', '83D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 77.5000000000001,-17.9999999999999 78.0000000000001,-16.9999999999999 78.0000000000001,-16.9999999999999 77.5000000000001,-17.9999999999999 77.5000000000001)))', '78', '77.5', '-17', '-18', '84D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 78.0000000000001,-17.9999999999999 78.5000000000001,-16.9999999999999 78.5000000000001,-16.9999999999999 78.0000000000001,-17.9999999999999 78.0000000000001)))', '78.5', '78', '-17', '-18', '85D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 78.5000000000001,-17.9999999999999 79.0000000000001,-16.9999999999999 79.0000000000001,-16.9999999999999 78.5000000000001,-17.9999999999999 78.5000000000001)))', '79', '78.5', '-17', '-18', '86D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 79.0000000000001,-17.9999999999999 79.5000000000001,-16.9999999999999 79.5000000000001,-16.9999999999999 79.0000000000001,-17.9999999999999 79.0000000000001)))', '79.5', '79', '-17', '-18', '87D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 79.5000000000001,-17.9999999999999 80.0000000000001,-16.9999999999999 80.0000000000001,-16.9999999999999 79.5000000000001,-17.9999999999999 79.5000000000001)))', '80', '79.5', '-17', '-18', '88D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 80.0000000000001,-17.9999999999999 80.5000000000001,-16.9999999999999 80.5000000000001,-16.9999999999999 80.0000000000001,-17.9999999999999 80.0000000000001)))', '80.5', '80', '-17', '-18', '89D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 80.5000000000001,-17.9999999999999 81.0000000000001,-16.9999999999999 81.0000000000001,-16.9999999999999 80.5000000000001,-17.9999999999999 80.5000000000001)))', '81', '80.5', '-17', '-18', '90D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 81.0000000000001,-17.9999999999999 81.5000000000001,-16.9999999999999 81.5000000000001,-16.9999999999999 81.0000000000001,-17.9999999999999 81.0000000000001)))', '81.5', '81', '-17', '-18', '91D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 81.5000000000001,-17.9999999999999 82.0000000000001,-16.9999999999999 82.0000000000001,-16.9999999999999 81.5000000000001,-17.9999999999999 81.5000000000001)))', '82', '81.5', '-17', '-18', '92D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 82.0000000000001,-17.9999999999999 82.5000000000001,-16.9999999999999 82.5000000000001,-16.9999999999999 82.0000000000001,-17.9999999999999 82.0000000000001)))', '82.5', '82', '-17', '-18', '93D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 82.5000000000001,-17.9999999999999 83.0000000000001,-16.9999999999999 83.0000000000001,-16.9999999999999 82.5000000000001,-17.9999999999999 82.5000000000001)))', '83', '82.5', '-17', '-18', '94D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 83.0000000000001,-17.9999999999999 83.5000000000001,-16.9999999999999 83.5000000000001,-16.9999999999999 83.0000000000001,-17.9999999999999 83.0000000000001)))', '83.5', '83', '-17', '-18', '95D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 83.5000000000001,-17.9999999999999 84.0000000000001,-16.9999999999999 84.0000000000001,-16.9999999999999 83.5000000000001,-17.9999999999999 83.5000000000001)))', '84', '83.5', '-17', '-18', '96D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 84.0000000000001,-17.9999999999999 84.5000000000001,-16.9999999999999 84.5000000000001,-16.9999999999999 84.0000000000001,-17.9999999999999 84.0000000000001)))', '84.5', '84', '-17', '-18', '97D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-17.9999999999999 84.5000000000001,-17.9999999999999 85.0000000000001,-16.9999999999999 85.0000000000001,-16.9999999999999 84.5000000000001,-17.9999999999999 84.5000000000001)))', '85', '84.5', '-17', '-18', '98D2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 36.0000000000001,-16.9999999999999 36.5000000000001,-15.9999999999999 36.5000000000001,-15.9999999999999 36.0000000000001,-16.9999999999999 36.0000000000001)))', '36.5', '36', '-16', '-17', '01D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 36.5000000000001,-16.9999999999999 37.0000000000001,-15.9999999999999 37.0000000000001,-15.9999999999999 36.5000000000001,-16.9999999999999 36.5000000000001)))', '37', '36.5', '-16', '-17', '02D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 37.0000000000001,-16.9999999999999 37.5000000000001,-15.9999999999999 37.5000000000001,-15.9999999999999 37.0000000000001,-16.9999999999999 37.0000000000001)))', '37.5', '37', '-16', '-17', '03D3', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-16.9999999999999 37.5000000000001,-16.9999999999999 38.0000000000001,-15.9999999999999 38.0000000000001,-15.9999999999999 37.5000000000001,-16.9999999999999 37.5000000000001)))', '38', '37.5', '-16', '-17', '04D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 38.0000000000001,-16.9999999999999 38.5000000000001,-15.9999999999999 38.5000000000001,-15.9999999999999 38.0000000000001,-16.9999999999999 38.0000000000001)))', '38.5', '38', '-16', '-17', '05D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 38.5000000000001,-16.9999999999999 39.0000000000001,-15.9999999999999 39.0000000000001,-15.9999999999999 38.5000000000001,-16.9999999999999 38.5000000000001)))', '39', '38.5', '-16', '-17', '06D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 39.0000000000001,-16.9999999999999 39.5000000000001,-15.9999999999999 39.5000000000001,-15.9999999999999 39.0000000000001,-16.9999999999999 39.0000000000001)))', '39.5', '39', '-16', '-17', '07D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 39.5000000000001,-16.9999999999999 40.0000000000001,-15.9999999999999 40.0000000000001,-15.9999999999999 39.5000000000001,-16.9999999999999 39.5000000000001)))', '40', '39.5', '-16', '-17', '08D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 40.0000000000001,-16.9999999999999 40.5000000000001,-15.9999999999999 40.5000000000001,-15.9999999999999 40.0000000000001,-16.9999999999999 40.0000000000001)))', '40.5', '40', '-16', '-17', '09D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 40.5000000000001,-16.9999999999999 41.0000000000001,-15.9999999999999 41.0000000000001,-15.9999999999999 40.5000000000001,-16.9999999999999 40.5000000000001)))', '41', '40.5', '-16', '-17', '10D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 41.0000000000001,-16.9999999999999 41.5000000000001,-15.9999999999999 41.5000000000001,-15.9999999999999 41.0000000000001,-16.9999999999999 41.0000000000001)))', '41.5', '41', '-16', '-17', '11D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 41.5000000000001,-16.9999999999999 42.0000000000001,-15.9999999999999 42.0000000000001,-15.9999999999999 41.5000000000001,-16.9999999999999 41.5000000000001)))', '42', '41.5', '-16', '-17', '12D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 42.0000000000001,-16.9999999999999 42.5000000000001,-15.9999999999999 42.5000000000001,-15.9999999999999 42.0000000000001,-16.9999999999999 42.0000000000001)))', '42.5', '42', '-16', '-17', '13D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 42.5000000000001,-16.9999999999999 43.0000000000001,-15.9999999999999 43.0000000000001,-15.9999999999999 42.5000000000001,-16.9999999999999 42.5000000000001)))', '43', '42.5', '-16', '-17', '14D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 43.0000000000001,-16.9999999999999 43.5000000000001,-15.9999999999999 43.5000000000001,-15.9999999999999 43.0000000000001,-16.9999999999999 43.0000000000001)))', '43.5', '43', '-16', '-17', '15D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 43.5000000000001,-16.9999999999999 44.0000000000001,-15.9999999999999 44.0000000000001,-15.9999999999999 43.5000000000001,-16.9999999999999 43.5000000000001)))', '44', '43.5', '-16', '-17', '16D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 44.0000000000001,-16.9999999999999 44.5000000000001,-15.9999999999999 44.5000000000001,-15.9999999999999 44.0000000000001,-16.9999999999999 44.0000000000001)))', '44.5', '44', '-16', '-17', '17D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 44.5000000000001,-16.9999999999999 45.0000000000001,-15.9999999999999 45.0000000000001,-15.9999999999999 44.5000000000001,-16.9999999999999 44.5000000000001)))', '45', '44.5', '-16', '-17', '18D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 45.0000000000001,-16.9999999999999 45.5000000000001,-15.9999999999999 45.5000000000001,-15.9999999999999 45.0000000000001,-16.9999999999999 45.0000000000001)))', '45.5', '45', '-16', '-17', '19D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 45.5000000000001,-16.9999999999999 46.0000000000001,-15.9999999999999 46.0000000000001,-15.9999999999999 45.5000000000001,-16.9999999999999 45.5000000000001)))', '46', '45.5', '-16', '-17', '20D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 46.0000000000001,-16.9999999999999 46.5000000000001,-15.9999999999999 46.5000000000001,-15.9999999999999 46.0000000000001,-16.9999999999999 46.0000000000001)))', '46.5', '46', '-16', '-17', '21D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 46.5000000000001,-16.9999999999999 47.0000000000001,-15.9999999999999 47.0000000000001,-15.9999999999999 46.5000000000001,-16.9999999999999 46.5000000000001)))', '47', '46.5', '-16', '-17', '22D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 47.0000000000001,-16.9999999999999 47.5000000000001,-15.9999999999999 47.5000000000001,-15.9999999999999 47.0000000000001,-16.9999999999999 47.0000000000001)))', '47.5', '47', '-16', '-17', '23D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 47.5000000000001,-16.9999999999999 48.0000000000001,-15.9999999999999 48.0000000000001,-15.9999999999999 47.5000000000001,-16.9999999999999 47.5000000000001)))', '48', '47.5', '-16', '-17', '24D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 48.0000000000001,-16.9999999999999 48.5000000000001,-15.9999999999999 48.5000000000001,-15.9999999999999 48.0000000000001,-16.9999999999999 48.0000000000001)))', '48.5', '48', '-16', '-17', '25D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 48.5000000000001,-16.9999999999999 49.0000000000001,-15.9999999999999 49.0000000000001,-15.9999999999999 48.5000000000001,-16.9999999999999 48.5000000000001)))', '49', '48.5', '-16', '-17', '26D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 49.0000000000001,-16.9999999999999 49.5000000000001,-15.9999999999999 49.5000000000001,-15.9999999999999 49.0000000000001,-16.9999999999999 49.0000000000001)))', '49.5', '49', '-16', '-17', '27D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 49.5000000000001,-16.9999999999999 50.0000000000001,-15.9999999999999 50.0000000000001,-15.9999999999999 49.5000000000001,-16.9999999999999 49.5000000000001)))', '50', '49.5', '-16', '-17', '28D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 50.0000000000001,-16.9999999999999 50.5000000000001,-15.9999999999999 50.5000000000001,-15.9999999999999 50.0000000000001,-16.9999999999999 50.0000000000001)))', '50.5', '50', '-16', '-17', '29D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 50.5000000000001,-16.9999999999999 51.0000000000001,-15.9999999999999 51.0000000000001,-15.9999999999999 50.5000000000001,-16.9999999999999 50.5000000000001)))', '51', '50.5', '-16', '-17', '30D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 51.0000000000001,-16.9999999999999 51.5000000000001,-15.9999999999999 51.5000000000001,-15.9999999999999 51.0000000000001,-16.9999999999999 51.0000000000001)))', '51.5', '51', '-16', '-17', '31D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 51.5000000000001,-16.9999999999999 52.0000000000001,-15.9999999999999 52.0000000000001,-15.9999999999999 51.5000000000001,-16.9999999999999 51.5000000000001)))', '52', '51.5', '-16', '-17', '32D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 52.0000000000001,-16.9999999999999 52.5000000000001,-15.9999999999999 52.5000000000001,-15.9999999999999 52.0000000000001,-16.9999999999999 52.0000000000001)))', '52.5', '52', '-16', '-17', '33D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 52.5000000000001,-16.9999999999999 53.0000000000001,-15.9999999999999 53.0000000000001,-15.9999999999999 52.5000000000001,-16.9999999999999 52.5000000000001)))', '53', '52.5', '-16', '-17', '34D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 53.0000000000001,-16.9999999999999 53.5000000000001,-15.9999999999999 53.5000000000001,-15.9999999999999 53.0000000000001,-16.9999999999999 53.0000000000001)))', '53.5', '53', '-16', '-17', '35D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 53.5000000000001,-16.9999999999999 54.0000000000001,-15.9999999999999 54.0000000000001,-15.9999999999999 53.5000000000001,-16.9999999999999 53.5000000000001)))', '54', '53.5', '-16', '-17', '36D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 54.0000000000001,-16.9999999999999 54.5000000000001,-15.9999999999999 54.5000000000001,-15.9999999999999 54.0000000000001,-16.9999999999999 54.0000000000001)))', '54.5', '54', '-16', '-17', '37D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 54.5000000000001,-16.9999999999999 55.0000000000001,-15.9999999999999 55.0000000000001,-15.9999999999999 54.5000000000001,-16.9999999999999 54.5000000000001)))', '55', '54.5', '-16', '-17', '38D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 55.0000000000001,-16.9999999999999 55.5000000000001,-15.9999999999999 55.5000000000001,-15.9999999999999 55.0000000000001,-16.9999999999999 55.0000000000001)))', '55.5', '55', '-16', '-17', '39D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 55.5000000000001,-16.9999999999999 56.0000000000001,-15.9999999999999 56.0000000000001,-15.9999999999999 55.5000000000001,-16.9999999999999 55.5000000000001)))', '56', '55.5', '-16', '-17', '40D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 56.0000000000001,-16.9999999999999 56.5000000000001,-15.9999999999999 56.5000000000001,-15.9999999999999 56.0000000000001,-16.9999999999999 56.0000000000001)))', '56.5', '56', '-16', '-17', '41D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 56.5000000000001,-16.9999999999999 57.0000000000001,-15.9999999999999 57.0000000000001,-15.9999999999999 56.5000000000001,-16.9999999999999 56.5000000000001)))', '57', '56.5', '-16', '-17', '42D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 57.0000000000001,-16.9999999999999 57.5000000000001,-15.9999999999999 57.5000000000001,-15.9999999999999 57.0000000000001,-16.9999999999999 57.0000000000001)))', '57.5', '57', '-16', '-17', '43D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 57.5000000000001,-16.9999999999999 58.0000000000001,-15.9999999999999 58.0000000000001,-15.9999999999999 57.5000000000001,-16.9999999999999 57.5000000000001)))', '58', '57.5', '-16', '-17', '44D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 58.0000000000001,-16.9999999999999 58.5000000000001,-15.9999999999999 58.5000000000001,-15.9999999999999 58.0000000000001,-16.9999999999999 58.0000000000001)))', '58.5', '58', '-16', '-17', '45D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 58.5000000000001,-16.9999999999999 59.0000000000001,-15.9999999999999 59.0000000000001,-15.9999999999999 58.5000000000001,-16.9999999999999 58.5000000000001)))', '59', '58.5', '-16', '-17', '46D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 59.0000000000001,-16.9999999999999 59.5000000000001,-15.9999999999999 59.5000000000001,-15.9999999999999 59.0000000000001,-16.9999999999999 59.0000000000001)))', '59.5', '59', '-16', '-17', '47D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 59.5000000000001,-16.9999999999999 60.0000000000001,-15.9999999999999 60.0000000000001,-15.9999999999999 59.5000000000001,-16.9999999999999 59.5000000000001)))', '60', '59.5', '-16', '-17', '48D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 60.0000000000001,-16.9999999999999 60.5000000000001,-15.9999999999999 60.5000000000001,-15.9999999999999 60.0000000000001,-16.9999999999999 60.0000000000001)))', '60.5', '60', '-16', '-17', '49D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 60.5000000000001,-16.9999999999999 61.0000000000001,-15.9999999999999 61.0000000000001,-15.9999999999999 60.5000000000001,-16.9999999999999 60.5000000000001)))', '61', '60.5', '-16', '-17', '50D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 61.0000000000001,-16.9999999999999 61.5000000000001,-15.9999999999999 61.5000000000001,-15.9999999999999 61.0000000000001,-16.9999999999999 61.0000000000001)))', '61.5', '61', '-16', '-17', '51D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 61.5000000000001,-16.9999999999999 62.0000000000001,-15.9999999999999 62.0000000000001,-15.9999999999999 61.5000000000001,-16.9999999999999 61.5000000000001)))', '62', '61.5', '-16', '-17', '52D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 62.0000000000001,-16.9999999999999 62.5000000000001,-15.9999999999999 62.5000000000001,-15.9999999999999 62.0000000000001,-16.9999999999999 62.0000000000001)))', '62.5', '62', '-16', '-17', '53D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 62.5000000000001,-16.9999999999999 63.0000000000001,-15.9999999999999 63.0000000000001,-15.9999999999999 62.5000000000001,-16.9999999999999 62.5000000000001)))', '63', '62.5', '-16', '-17', '54D3', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-16.9999999999999 63.0000000000001,-16.9999999999999 63.5000000000001,-15.9999999999999 63.5000000000001,-15.9999999999999 63.0000000000001,-16.9999999999999 63.0000000000001)))', '63.5', '63', '-16', '-17', '55D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 63.5000000000001,-16.9999999999999 64.0000000000001,-15.9999999999999 64.0000000000001,-15.9999999999999 63.5000000000001,-16.9999999999999 63.5000000000001)))', '64', '63.5', '-16', '-17', '56D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 64.0000000000001,-16.9999999999999 64.5000000000001,-15.9999999999999 64.5000000000001,-15.9999999999999 64.0000000000001,-16.9999999999999 64.0000000000001)))', '64.5', '64', '-16', '-17', '57D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 66.0000000000001,-16.9999999999999 66.5000000000001,-15.9999999999999 66.5000000000001,-15.9999999999999 66.0000000000001,-16.9999999999999 66.0000000000001)))', '66.5', '66', '-16', '-17', '61D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 66.5000000000001,-16.9999999999999 67.0000000000001,-15.9999999999999 67.0000000000001,-15.9999999999999 66.5000000000001,-16.9999999999999 66.5000000000001)))', '67', '66.5', '-16', '-17', '62D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 67.0000000000001,-16.9999999999999 67.5000000000001,-15.9999999999999 67.5000000000001,-15.9999999999999 67.0000000000001,-16.9999999999999 67.0000000000001)))', '67.5', '67', '-16', '-17', '63D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 67.5000000000001,-16.9999999999999 68.0000000000001,-15.9999999999999 68.0000000000001,-15.9999999999999 67.5000000000001,-16.9999999999999 67.5000000000001)))', '68', '67.5', '-16', '-17', '64D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 68.0000000000001,-16.9999999999999 68.5000000000001,-15.9999999999999 68.5000000000001,-15.9999999999999 68.0000000000001,-16.9999999999999 68.0000000000001)))', '68.5', '68', '-16', '-17', '65D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 68.5000000000001,-16.9999999999999 69.0000000000001,-15.9999999999999 69.0000000000001,-15.9999999999999 68.5000000000001,-16.9999999999999 68.5000000000001)))', '69', '68.5', '-16', '-17', '66D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 69.0000000000001,-16.9999999999999 69.5000000000001,-15.9999999999999 69.5000000000001,-15.9999999999999 69.0000000000001,-16.9999999999999 69.0000000000001)))', '69.5', '69', '-16', '-17', '67D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 69.5000000000001,-16.9999999999999 70.0000000000001,-15.9999999999999 70.0000000000001,-15.9999999999999 69.5000000000001,-16.9999999999999 69.5000000000001)))', '70', '69.5', '-16', '-17', '68D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 70.0000000000001,-16.9999999999999 70.5000000000001,-15.9999999999999 70.5000000000001,-15.9999999999999 70.0000000000001,-16.9999999999999 70.0000000000001)))', '70.5', '70', '-16', '-17', '69D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 70.5000000000001,-16.9999999999999 71.0000000000001,-15.9999999999999 71.0000000000001,-15.9999999999999 70.5000000000001,-16.9999999999999 70.5000000000001)))', '71', '70.5', '-16', '-17', '70D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 71.0000000000001,-16.9999999999999 71.5000000000001,-15.9999999999999 71.5000000000001,-15.9999999999999 71.0000000000001,-16.9999999999999 71.0000000000001)))', '71.5', '71', '-16', '-17', '71D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 71.5000000000001,-16.9999999999999 72.0000000000001,-15.9999999999999 72.0000000000001,-15.9999999999999 71.5000000000001,-16.9999999999999 71.5000000000001)))', '72', '71.5', '-16', '-17', '72D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 72.0000000000001,-16.9999999999999 72.5000000000001,-15.9999999999999 72.5000000000001,-15.9999999999999 72.0000000000001,-16.9999999999999 72.0000000000001)))', '72.5', '72', '-16', '-17', '73D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 72.5000000000001,-16.9999999999999 73.0000000000001,-15.9999999999999 73.0000000000001,-15.9999999999999 72.5000000000001,-16.9999999999999 72.5000000000001)))', '73', '72.5', '-16', '-17', '74D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 73.0000000000001,-16.9999999999999 73.5000000000001,-15.9999999999999 73.5000000000001,-15.9999999999999 73.0000000000001,-16.9999999999999 73.0000000000001)))', '73.5', '73', '-16', '-17', '75D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 73.5000000000001,-16.9999999999999 74.0000000000001,-15.9999999999999 74.0000000000001,-15.9999999999999 73.5000000000001,-16.9999999999999 73.5000000000001)))', '74', '73.5', '-16', '-17', '76D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 74.0000000000001,-16.9999999999999 74.5000000000001,-15.9999999999999 74.5000000000001,-15.9999999999999 74.0000000000001,-16.9999999999999 74.0000000000001)))', '74.5', '74', '-16', '-17', '77D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 74.5000000000001,-16.9999999999999 75.0000000000001,-15.9999999999999 75.0000000000001,-15.9999999999999 74.5000000000001,-16.9999999999999 74.5000000000001)))', '75', '74.5', '-16', '-17', '78D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 75.0000000000001,-16.9999999999999 75.5000000000001,-15.9999999999999 75.5000000000001,-15.9999999999999 75.0000000000001,-16.9999999999999 75.0000000000001)))', '75.5', '75', '-16', '-17', '79D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 75.5000000000001,-16.9999999999999 76.0000000000001,-15.9999999999999 76.0000000000001,-15.9999999999999 75.5000000000001,-16.9999999999999 75.5000000000001)))', '76', '75.5', '-16', '-17', '80D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 76.0000000000001,-16.9999999999999 76.5000000000001,-15.9999999999999 76.5000000000001,-15.9999999999999 76.0000000000001,-16.9999999999999 76.0000000000001)))', '76.5', '76', '-16', '-17', '81D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 76.5000000000001,-16.9999999999999 77.0000000000001,-15.9999999999999 77.0000000000001,-15.9999999999999 76.5000000000001,-16.9999999999999 76.5000000000001)))', '77', '76.5', '-16', '-17', '82D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 77.0000000000001,-16.9999999999999 77.5000000000001,-15.9999999999999 77.5000000000001,-15.9999999999999 77.0000000000001,-16.9999999999999 77.0000000000001)))', '77.5', '77', '-16', '-17', '83D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 77.5000000000001,-16.9999999999999 78.0000000000001,-15.9999999999999 78.0000000000001,-15.9999999999999 77.5000000000001,-16.9999999999999 77.5000000000001)))', '78', '77.5', '-16', '-17', '84D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 78.0000000000001,-16.9999999999999 78.5000000000001,-15.9999999999999 78.5000000000001,-15.9999999999999 78.0000000000001,-16.9999999999999 78.0000000000001)))', '78.5', '78', '-16', '-17', '85D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 78.5000000000001,-16.9999999999999 79.0000000000001,-15.9999999999999 79.0000000000001,-15.9999999999999 78.5000000000001,-16.9999999999999 78.5000000000001)))', '79', '78.5', '-16', '-17', '86D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 79.0000000000001,-16.9999999999999 79.5000000000001,-15.9999999999999 79.5000000000001,-15.9999999999999 79.0000000000001,-16.9999999999999 79.0000000000001)))', '79.5', '79', '-16', '-17', '87D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 79.5000000000001,-16.9999999999999 80.0000000000001,-15.9999999999999 80.0000000000001,-15.9999999999999 79.5000000000001,-16.9999999999999 79.5000000000001)))', '80', '79.5', '-16', '-17', '88D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 80.0000000000001,-16.9999999999999 80.5000000000001,-15.9999999999999 80.5000000000001,-15.9999999999999 80.0000000000001,-16.9999999999999 80.0000000000001)))', '80.5', '80', '-16', '-17', '89D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 80.5000000000001,-16.9999999999999 81.0000000000001,-15.9999999999999 81.0000000000001,-15.9999999999999 80.5000000000001,-16.9999999999999 80.5000000000001)))', '81', '80.5', '-16', '-17', '90D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 81.0000000000001,-16.9999999999999 81.5000000000001,-15.9999999999999 81.5000000000001,-15.9999999999999 81.0000000000001,-16.9999999999999 81.0000000000001)))', '81.5', '81', '-16', '-17', '91D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 81.5000000000001,-16.9999999999999 82.0000000000001,-15.9999999999999 82.0000000000001,-15.9999999999999 81.5000000000001,-16.9999999999999 81.5000000000001)))', '82', '81.5', '-16', '-17', '92D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 82.0000000000001,-16.9999999999999 82.5000000000001,-15.9999999999999 82.5000000000001,-15.9999999999999 82.0000000000001,-16.9999999999999 82.0000000000001)))', '82.5', '82', '-16', '-17', '93D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 82.5000000000001,-16.9999999999999 83.0000000000001,-15.9999999999999 83.0000000000001,-15.9999999999999 82.5000000000001,-16.9999999999999 82.5000000000001)))', '83', '82.5', '-16', '-17', '94D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 83.0000000000001,-16.9999999999999 83.5000000000001,-15.9999999999999 83.5000000000001,-15.9999999999999 83.0000000000001,-16.9999999999999 83.0000000000001)))', '83.5', '83', '-16', '-17', '95D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 83.5000000000001,-16.9999999999999 84.0000000000001,-15.9999999999999 84.0000000000001,-15.9999999999999 83.5000000000001,-16.9999999999999 83.5000000000001)))', '84', '83.5', '-16', '-17', '96D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 84.0000000000001,-16.9999999999999 84.5000000000001,-15.9999999999999 84.5000000000001,-15.9999999999999 84.0000000000001,-16.9999999999999 84.0000000000001)))', '84.5', '84', '-16', '-17', '97D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-16.9999999999999 84.5000000000001,-16.9999999999999 85.0000000000001,-15.9999999999999 85.0000000000001,-15.9999999999999 84.5000000000001,-16.9999999999999 84.5000000000001)))', '85', '84.5', '-16', '-17', '98D3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 36.0000000000001,-15.9999999999999 36.5000000000001,-14.9999999999999 36.5000000000001,-14.9999999999999 36.0000000000001,-15.9999999999999 36.0000000000001)))', '36.5', '36', '-15', '-16', '01D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 36.5000000000001,-15.9999999999999 37.0000000000001,-14.9999999999999 37.0000000000001,-14.9999999999999 36.5000000000001,-15.9999999999999 36.5000000000001)))', '37', '36.5', '-15', '-16', '02D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 37.0000000000001,-15.9999999999999 37.5000000000001,-14.9999999999999 37.5000000000001,-14.9999999999999 37.0000000000001,-15.9999999999999 37.0000000000001)))', '37.5', '37', '-15', '-16', '03D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 37.5000000000001,-15.9999999999999 38.0000000000001,-14.9999999999999 38.0000000000001,-14.9999999999999 37.5000000000001,-15.9999999999999 37.5000000000001)))', '38', '37.5', '-15', '-16', '04D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 38.0000000000001,-15.9999999999999 38.5000000000001,-14.9999999999999 38.5000000000001,-14.9999999999999 38.0000000000001,-15.9999999999999 38.0000000000001)))', '38.5', '38', '-15', '-16', '05D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 38.5000000000001,-15.9999999999999 39.0000000000001,-14.9999999999999 39.0000000000001,-14.9999999999999 38.5000000000001,-15.9999999999999 38.5000000000001)))', '39', '38.5', '-15', '-16', '06D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 39.0000000000001,-15.9999999999999 39.5000000000001,-14.9999999999999 39.5000000000001,-14.9999999999999 39.0000000000001,-15.9999999999999 39.0000000000001)))', '39.5', '39', '-15', '-16', '07D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 39.5000000000001,-15.9999999999999 40.0000000000001,-14.9999999999999 40.0000000000001,-14.9999999999999 39.5000000000001,-15.9999999999999 39.5000000000001)))', '40', '39.5', '-15', '-16', '08D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 40.0000000000001,-15.9999999999999 40.5000000000001,-14.9999999999999 40.5000000000001,-14.9999999999999 40.0000000000001,-15.9999999999999 40.0000000000001)))', '40.5', '40', '-15', '-16', '09D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 40.5000000000001,-15.9999999999999 41.0000000000001,-14.9999999999999 41.0000000000001,-14.9999999999999 40.5000000000001,-15.9999999999999 40.5000000000001)))', '41', '40.5', '-15', '-16', '10D4', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-15.9999999999999 41.0000000000001,-15.9999999999999 41.5000000000001,-14.9999999999999 41.5000000000001,-14.9999999999999 41.0000000000001,-15.9999999999999 41.0000000000001)))', '41.5', '41', '-15', '-16', '11D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 41.5000000000001,-15.9999999999999 42.0000000000001,-14.9999999999999 42.0000000000001,-14.9999999999999 41.5000000000001,-15.9999999999999 41.5000000000001)))', '42', '41.5', '-15', '-16', '12D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 42.0000000000001,-15.9999999999999 42.5000000000001,-14.9999999999999 42.5000000000001,-14.9999999999999 42.0000000000001,-15.9999999999999 42.0000000000001)))', '42.5', '42', '-15', '-16', '13D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 42.5000000000001,-15.9999999999999 43.0000000000001,-14.9999999999999 43.0000000000001,-14.9999999999999 42.5000000000001,-15.9999999999999 42.5000000000001)))', '43', '42.5', '-15', '-16', '14D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 43.0000000000001,-15.9999999999999 43.5000000000001,-14.9999999999999 43.5000000000001,-14.9999999999999 43.0000000000001,-15.9999999999999 43.0000000000001)))', '43.5', '43', '-15', '-16', '15D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 43.5000000000001,-15.9999999999999 44.0000000000001,-14.9999999999999 44.0000000000001,-14.9999999999999 43.5000000000001,-15.9999999999999 43.5000000000001)))', '44', '43.5', '-15', '-16', '16D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 44.0000000000001,-15.9999999999999 44.5000000000001,-14.9999999999999 44.5000000000001,-14.9999999999999 44.0000000000001,-15.9999999999999 44.0000000000001)))', '44.5', '44', '-15', '-16', '17D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 44.5000000000001,-15.9999999999999 45.0000000000001,-14.9999999999999 45.0000000000001,-14.9999999999999 44.5000000000001,-15.9999999999999 44.5000000000001)))', '45', '44.5', '-15', '-16', '18D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 45.0000000000001,-15.9999999999999 45.5000000000001,-14.9999999999999 45.5000000000001,-14.9999999999999 45.0000000000001,-15.9999999999999 45.0000000000001)))', '45.5', '45', '-15', '-16', '19D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 45.5000000000001,-15.9999999999999 46.0000000000001,-14.9999999999999 46.0000000000001,-14.9999999999999 45.5000000000001,-15.9999999999999 45.5000000000001)))', '46', '45.5', '-15', '-16', '20D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 46.0000000000001,-15.9999999999999 46.5000000000001,-14.9999999999999 46.5000000000001,-14.9999999999999 46.0000000000001,-15.9999999999999 46.0000000000001)))', '46.5', '46', '-15', '-16', '21D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 46.5000000000001,-15.9999999999999 47.0000000000001,-14.9999999999999 47.0000000000001,-14.9999999999999 46.5000000000001,-15.9999999999999 46.5000000000001)))', '47', '46.5', '-15', '-16', '22D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 47.0000000000001,-15.9999999999999 47.5000000000001,-14.9999999999999 47.5000000000001,-14.9999999999999 47.0000000000001,-15.9999999999999 47.0000000000001)))', '47.5', '47', '-15', '-16', '23D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 47.5000000000001,-15.9999999999999 48.0000000000001,-14.9999999999999 48.0000000000001,-14.9999999999999 47.5000000000001,-15.9999999999999 47.5000000000001)))', '48', '47.5', '-15', '-16', '24D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 48.0000000000001,-15.9999999999999 48.5000000000001,-14.9999999999999 48.5000000000001,-14.9999999999999 48.0000000000001,-15.9999999999999 48.0000000000001)))', '48.5', '48', '-15', '-16', '25D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 48.5000000000001,-15.9999999999999 49.0000000000001,-14.9999999999999 49.0000000000001,-14.9999999999999 48.5000000000001,-15.9999999999999 48.5000000000001)))', '49', '48.5', '-15', '-16', '26D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 49.0000000000001,-15.9999999999999 49.5000000000001,-14.9999999999999 49.5000000000001,-14.9999999999999 49.0000000000001,-15.9999999999999 49.0000000000001)))', '49.5', '49', '-15', '-16', '27D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 49.5000000000001,-15.9999999999999 50.0000000000001,-14.9999999999999 50.0000000000001,-14.9999999999999 49.5000000000001,-15.9999999999999 49.5000000000001)))', '50', '49.5', '-15', '-16', '28D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 50.0000000000001,-15.9999999999999 50.5000000000001,-14.9999999999999 50.5000000000001,-14.9999999999999 50.0000000000001,-15.9999999999999 50.0000000000001)))', '50.5', '50', '-15', '-16', '29D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 50.5000000000001,-15.9999999999999 51.0000000000001,-14.9999999999999 51.0000000000001,-14.9999999999999 50.5000000000001,-15.9999999999999 50.5000000000001)))', '51', '50.5', '-15', '-16', '30D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 51.0000000000001,-15.9999999999999 51.5000000000001,-14.9999999999999 51.5000000000001,-14.9999999999999 51.0000000000001,-15.9999999999999 51.0000000000001)))', '51.5', '51', '-15', '-16', '31D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 51.5000000000001,-15.9999999999999 52.0000000000001,-14.9999999999999 52.0000000000001,-14.9999999999999 51.5000000000001,-15.9999999999999 51.5000000000001)))', '52', '51.5', '-15', '-16', '32D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 52.0000000000001,-15.9999999999999 52.5000000000001,-14.9999999999999 52.5000000000001,-14.9999999999999 52.0000000000001,-15.9999999999999 52.0000000000001)))', '52.5', '52', '-15', '-16', '33D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 52.5000000000001,-15.9999999999999 53.0000000000001,-14.9999999999999 53.0000000000001,-14.9999999999999 52.5000000000001,-15.9999999999999 52.5000000000001)))', '53', '52.5', '-15', '-16', '34D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 53.0000000000001,-15.9999999999999 53.5000000000001,-14.9999999999999 53.5000000000001,-14.9999999999999 53.0000000000001,-15.9999999999999 53.0000000000001)))', '53.5', '53', '-15', '-16', '35D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 53.5000000000001,-15.9999999999999 54.0000000000001,-14.9999999999999 54.0000000000001,-14.9999999999999 53.5000000000001,-15.9999999999999 53.5000000000001)))', '54', '53.5', '-15', '-16', '36D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 54.0000000000001,-15.9999999999999 54.5000000000001,-14.9999999999999 54.5000000000001,-14.9999999999999 54.0000000000001,-15.9999999999999 54.0000000000001)))', '54.5', '54', '-15', '-16', '37D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 54.5000000000001,-15.9999999999999 55.0000000000001,-14.9999999999999 55.0000000000001,-14.9999999999999 54.5000000000001,-15.9999999999999 54.5000000000001)))', '55', '54.5', '-15', '-16', '38D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 55.0000000000001,-15.9999999999999 55.5000000000001,-14.9999999999999 55.5000000000001,-14.9999999999999 55.0000000000001,-15.9999999999999 55.0000000000001)))', '55.5', '55', '-15', '-16', '39D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 55.5000000000001,-15.9999999999999 56.0000000000001,-14.9999999999999 56.0000000000001,-14.9999999999999 55.5000000000001,-15.9999999999999 55.5000000000001)))', '56', '55.5', '-15', '-16', '40D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 56.0000000000001,-15.9999999999999 56.5000000000001,-14.9999999999999 56.5000000000001,-14.9999999999999 56.0000000000001,-15.9999999999999 56.0000000000001)))', '56.5', '56', '-15', '-16', '41D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 56.5000000000001,-15.9999999999999 57.0000000000001,-14.9999999999999 57.0000000000001,-14.9999999999999 56.5000000000001,-15.9999999999999 56.5000000000001)))', '57', '56.5', '-15', '-16', '42D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 57.0000000000001,-15.9999999999999 57.5000000000001,-14.9999999999999 57.5000000000001,-14.9999999999999 57.0000000000001,-15.9999999999999 57.0000000000001)))', '57.5', '57', '-15', '-16', '43D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 57.5000000000001,-15.9999999999999 58.0000000000001,-14.9999999999999 58.0000000000001,-14.9999999999999 57.5000000000001,-15.9999999999999 57.5000000000001)))', '58', '57.5', '-15', '-16', '44D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 58.0000000000001,-15.9999999999999 58.5000000000001,-14.9999999999999 58.5000000000001,-14.9999999999999 58.0000000000001,-15.9999999999999 58.0000000000001)))', '58.5', '58', '-15', '-16', '45D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 58.5000000000001,-15.9999999999999 59.0000000000001,-14.9999999999999 59.0000000000001,-14.9999999999999 58.5000000000001,-15.9999999999999 58.5000000000001)))', '59', '58.5', '-15', '-16', '46D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 59.0000000000001,-15.9999999999999 59.5000000000001,-14.9999999999999 59.5000000000001,-14.9999999999999 59.0000000000001,-15.9999999999999 59.0000000000001)))', '59.5', '59', '-15', '-16', '47D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 59.5000000000001,-15.9999999999999 60.0000000000001,-14.9999999999999 60.0000000000001,-14.9999999999999 59.5000000000001,-15.9999999999999 59.5000000000001)))', '60', '59.5', '-15', '-16', '48D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 60.0000000000001,-15.9999999999999 60.5000000000001,-14.9999999999999 60.5000000000001,-14.9999999999999 60.0000000000001,-15.9999999999999 60.0000000000001)))', '60.5', '60', '-15', '-16', '49D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 60.5000000000001,-15.9999999999999 61.0000000000001,-14.9999999999999 61.0000000000001,-14.9999999999999 60.5000000000001,-15.9999999999999 60.5000000000001)))', '61', '60.5', '-15', '-16', '50D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 61.0000000000001,-15.9999999999999 61.5000000000001,-14.9999999999999 61.5000000000001,-14.9999999999999 61.0000000000001,-15.9999999999999 61.0000000000001)))', '61.5', '61', '-15', '-16', '51D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 61.5000000000001,-15.9999999999999 62.0000000000001,-14.9999999999999 62.0000000000001,-14.9999999999999 61.5000000000001,-15.9999999999999 61.5000000000001)))', '62', '61.5', '-15', '-16', '52D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 62.0000000000001,-15.9999999999999 62.5000000000001,-14.9999999999999 62.5000000000001,-14.9999999999999 62.0000000000001,-15.9999999999999 62.0000000000001)))', '62.5', '62', '-15', '-16', '53D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 62.5000000000001,-15.9999999999999 63.0000000000001,-14.9999999999999 63.0000000000001,-14.9999999999999 62.5000000000001,-15.9999999999999 62.5000000000001)))', '63', '62.5', '-15', '-16', '54D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 63.0000000000001,-15.9999999999999 63.5000000000001,-14.9999999999999 63.5000000000001,-14.9999999999999 63.0000000000001,-15.9999999999999 63.0000000000001)))', '63.5', '63', '-15', '-16', '55D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 63.5000000000001,-15.9999999999999 64.0000000000001,-14.9999999999999 64.0000000000001,-14.9999999999999 63.5000000000001,-15.9999999999999 63.5000000000001)))', '64', '63.5', '-15', '-16', '56D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 64.0000000000001,-15.9999999999999 64.5000000000001,-14.9999999999999 64.5000000000001,-14.9999999999999 64.0000000000001,-15.9999999999999 64.0000000000001)))', '64.5', '64', '-15', '-16', '57D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 66.0000000000001,-15.9999999999999 66.5000000000001,-14.9999999999999 66.5000000000001,-14.9999999999999 66.0000000000001,-15.9999999999999 66.0000000000001)))', '66.5', '66', '-15', '-16', '61D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 66.5000000000001,-15.9999999999999 67.0000000000001,-14.9999999999999 67.0000000000001,-14.9999999999999 66.5000000000001,-15.9999999999999 66.5000000000001)))', '67', '66.5', '-15', '-16', '62D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 67.0000000000001,-15.9999999999999 67.5000000000001,-14.9999999999999 67.5000000000001,-14.9999999999999 67.0000000000001,-15.9999999999999 67.0000000000001)))', '67.5', '67', '-15', '-16', '63D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 67.5000000000001,-15.9999999999999 68.0000000000001,-14.9999999999999 68.0000000000001,-14.9999999999999 67.5000000000001,-15.9999999999999 67.5000000000001)))', '68', '67.5', '-15', '-16', '64D4', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-15.9999999999999 68.0000000000001,-15.9999999999999 68.5000000000001,-14.9999999999999 68.5000000000001,-14.9999999999999 68.0000000000001,-15.9999999999999 68.0000000000001)))', '68.5', '68', '-15', '-16', '65D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 68.5000000000001,-15.9999999999999 69.0000000000001,-14.9999999999999 69.0000000000001,-14.9999999999999 68.5000000000001,-15.9999999999999 68.5000000000001)))', '69', '68.5', '-15', '-16', '66D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 69.0000000000001,-15.9999999999999 69.5000000000001,-14.9999999999999 69.5000000000001,-14.9999999999999 69.0000000000001,-15.9999999999999 69.0000000000001)))', '69.5', '69', '-15', '-16', '67D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 69.5000000000001,-15.9999999999999 70.0000000000001,-14.9999999999999 70.0000000000001,-14.9999999999999 69.5000000000001,-15.9999999999999 69.5000000000001)))', '70', '69.5', '-15', '-16', '68D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 70.0000000000001,-15.9999999999999 70.5000000000001,-14.9999999999999 70.5000000000001,-14.9999999999999 70.0000000000001,-15.9999999999999 70.0000000000001)))', '70.5', '70', '-15', '-16', '69D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 70.5000000000001,-15.9999999999999 71.0000000000001,-14.9999999999999 71.0000000000001,-14.9999999999999 70.5000000000001,-15.9999999999999 70.5000000000001)))', '71', '70.5', '-15', '-16', '70D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 71.0000000000001,-15.9999999999999 71.5000000000001,-14.9999999999999 71.5000000000001,-14.9999999999999 71.0000000000001,-15.9999999999999 71.0000000000001)))', '71.5', '71', '-15', '-16', '71D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 71.5000000000001,-15.9999999999999 72.0000000000001,-14.9999999999999 72.0000000000001,-14.9999999999999 71.5000000000001,-15.9999999999999 71.5000000000001)))', '72', '71.5', '-15', '-16', '72D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 72.0000000000001,-15.9999999999999 72.5000000000001,-14.9999999999999 72.5000000000001,-14.9999999999999 72.0000000000001,-15.9999999999999 72.0000000000001)))', '72.5', '72', '-15', '-16', '73D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 72.5000000000001,-15.9999999999999 73.0000000000001,-14.9999999999999 73.0000000000001,-14.9999999999999 72.5000000000001,-15.9999999999999 72.5000000000001)))', '73', '72.5', '-15', '-16', '74D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 73.0000000000001,-15.9999999999999 73.5000000000001,-14.9999999999999 73.5000000000001,-14.9999999999999 73.0000000000001,-15.9999999999999 73.0000000000001)))', '73.5', '73', '-15', '-16', '75D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 73.5000000000001,-15.9999999999999 74.0000000000001,-14.9999999999999 74.0000000000001,-14.9999999999999 73.5000000000001,-15.9999999999999 73.5000000000001)))', '74', '73.5', '-15', '-16', '76D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 74.0000000000001,-15.9999999999999 74.5000000000001,-14.9999999999999 74.5000000000001,-14.9999999999999 74.0000000000001,-15.9999999999999 74.0000000000001)))', '74.5', '74', '-15', '-16', '77D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 74.5000000000001,-15.9999999999999 75.0000000000001,-14.9999999999999 75.0000000000001,-14.9999999999999 74.5000000000001,-15.9999999999999 74.5000000000001)))', '75', '74.5', '-15', '-16', '78D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 75.0000000000001,-15.9999999999999 75.5000000000001,-14.9999999999999 75.5000000000001,-14.9999999999999 75.0000000000001,-15.9999999999999 75.0000000000001)))', '75.5', '75', '-15', '-16', '79D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 75.5000000000001,-15.9999999999999 76.0000000000001,-14.9999999999999 76.0000000000001,-14.9999999999999 75.5000000000001,-15.9999999999999 75.5000000000001)))', '76', '75.5', '-15', '-16', '80D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 76.0000000000001,-15.9999999999999 76.5000000000001,-14.9999999999999 76.5000000000001,-14.9999999999999 76.0000000000001,-15.9999999999999 76.0000000000001)))', '76.5', '76', '-15', '-16', '81D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 76.5000000000001,-15.9999999999999 77.0000000000001,-14.9999999999999 77.0000000000001,-14.9999999999999 76.5000000000001,-15.9999999999999 76.5000000000001)))', '77', '76.5', '-15', '-16', '82D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 77.0000000000001,-15.9999999999999 77.5000000000001,-14.9999999999999 77.5000000000001,-14.9999999999999 77.0000000000001,-15.9999999999999 77.0000000000001)))', '77.5', '77', '-15', '-16', '83D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 77.5000000000001,-15.9999999999999 78.0000000000001,-14.9999999999999 78.0000000000001,-14.9999999999999 77.5000000000001,-15.9999999999999 77.5000000000001)))', '78', '77.5', '-15', '-16', '84D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 78.0000000000001,-15.9999999999999 78.5000000000001,-14.9999999999999 78.5000000000001,-14.9999999999999 78.0000000000001,-15.9999999999999 78.0000000000001)))', '78.5', '78', '-15', '-16', '85D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 78.5000000000001,-15.9999999999999 79.0000000000001,-14.9999999999999 79.0000000000001,-14.9999999999999 78.5000000000001,-15.9999999999999 78.5000000000001)))', '79', '78.5', '-15', '-16', '86D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 79.0000000000001,-15.9999999999999 79.5000000000001,-14.9999999999999 79.5000000000001,-14.9999999999999 79.0000000000001,-15.9999999999999 79.0000000000001)))', '79.5', '79', '-15', '-16', '87D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 79.5000000000001,-15.9999999999999 80.0000000000001,-14.9999999999999 80.0000000000001,-14.9999999999999 79.5000000000001,-15.9999999999999 79.5000000000001)))', '80', '79.5', '-15', '-16', '88D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 80.0000000000001,-15.9999999999999 80.5000000000001,-14.9999999999999 80.5000000000001,-14.9999999999999 80.0000000000001,-15.9999999999999 80.0000000000001)))', '80.5', '80', '-15', '-16', '89D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 80.5000000000001,-15.9999999999999 81.0000000000001,-14.9999999999999 81.0000000000001,-14.9999999999999 80.5000000000001,-15.9999999999999 80.5000000000001)))', '81', '80.5', '-15', '-16', '90D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 81.5000000000001,-15.9999999999999 82.0000000000001,-14.9999999999999 82.0000000000001,-14.9999999999999 81.5000000000001,-15.9999999999999 81.5000000000001)))', '82', '81.5', '-15', '-16', '92D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 82.0000000000001,-15.9999999999999 82.5000000000001,-14.9999999999999 82.5000000000001,-14.9999999999999 82.0000000000001,-15.9999999999999 82.0000000000001)))', '82.5', '82', '-15', '-16', '93D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 82.5000000000001,-15.9999999999999 83.0000000000001,-14.9999999999999 83.0000000000001,-14.9999999999999 82.5000000000001,-15.9999999999999 82.5000000000001)))', '83', '82.5', '-15', '-16', '94D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 83.0000000000001,-15.9999999999999 83.5000000000001,-14.9999999999999 83.5000000000001,-14.9999999999999 83.0000000000001,-15.9999999999999 83.0000000000001)))', '83.5', '83', '-15', '-16', '95D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 83.5000000000001,-15.9999999999999 84.0000000000001,-14.9999999999999 84.0000000000001,-14.9999999999999 83.5000000000001,-15.9999999999999 83.5000000000001)))', '84', '83.5', '-15', '-16', '96D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 84.0000000000001,-15.9999999999999 84.5000000000001,-14.9999999999999 84.5000000000001,-14.9999999999999 84.0000000000001,-15.9999999999999 84.0000000000001)))', '84.5', '84', '-15', '-16', '97D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-15.9999999999999 84.5000000000001,-15.9999999999999 85.0000000000001,-14.9999999999999 85.0000000000001,-14.9999999999999 84.5000000000001,-15.9999999999999 84.5000000000001)))', '85', '84.5', '-15', '-16', '98D4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 36.0000000000001,-14.9999999999999 36.5000000000001,-13.9999999999999 36.5000000000001,-13.9999999999999 36.0000000000001,-14.9999999999999 36.0000000000001)))', '36.5', '36', '-14', '-15', '01D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 36.5000000000001,-14.9999999999999 37.0000000000001,-13.9999999999999 37.0000000000001,-13.9999999999999 36.5000000000001,-14.9999999999999 36.5000000000001)))', '37', '36.5', '-14', '-15', '02D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 37.0000000000001,-14.9999999999999 37.5000000000001,-13.9999999999999 37.5000000000001,-13.9999999999999 37.0000000000001,-14.9999999999999 37.0000000000001)))', '37.5', '37', '-14', '-15', '03D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 37.5000000000001,-14.9999999999999 38.0000000000001,-13.9999999999999 38.0000000000001,-13.9999999999999 37.5000000000001,-14.9999999999999 37.5000000000001)))', '38', '37.5', '-14', '-15', '04D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 38.0000000000001,-14.9999999999999 38.5000000000001,-13.9999999999999 38.5000000000001,-13.9999999999999 38.0000000000001,-14.9999999999999 38.0000000000001)))', '38.5', '38', '-14', '-15', '05D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 38.5000000000001,-14.9999999999999 39.0000000000001,-13.9999999999999 39.0000000000001,-13.9999999999999 38.5000000000001,-14.9999999999999 38.5000000000001)))', '39', '38.5', '-14', '-15', '06D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 39.0000000000001,-14.9999999999999 39.5000000000001,-13.9999999999999 39.5000000000001,-13.9999999999999 39.0000000000001,-14.9999999999999 39.0000000000001)))', '39.5', '39', '-14', '-15', '07D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 39.5000000000001,-14.9999999999999 40.0000000000001,-13.9999999999999 40.0000000000001,-13.9999999999999 39.5000000000001,-14.9999999999999 39.5000000000001)))', '40', '39.5', '-14', '-15', '08D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 40.0000000000001,-14.9999999999999 40.5000000000001,-13.9999999999999 40.5000000000001,-13.9999999999999 40.0000000000001,-14.9999999999999 40.0000000000001)))', '40.5', '40', '-14', '-15', '09D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 40.5000000000001,-14.9999999999999 41.0000000000001,-13.9999999999999 41.0000000000001,-13.9999999999999 40.5000000000001,-14.9999999999999 40.5000000000001)))', '41', '40.5', '-14', '-15', '10D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 41.0000000000001,-14.9999999999999 41.5000000000001,-13.9999999999999 41.5000000000001,-13.9999999999999 41.0000000000001,-14.9999999999999 41.0000000000001)))', '41.5', '41', '-14', '-15', '11D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 41.5000000000001,-14.9999999999999 42.0000000000001,-13.9999999999999 42.0000000000001,-13.9999999999999 41.5000000000001,-14.9999999999999 41.5000000000001)))', '42', '41.5', '-14', '-15', '12D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 42.0000000000001,-14.9999999999999 42.5000000000001,-13.9999999999999 42.5000000000001,-13.9999999999999 42.0000000000001,-14.9999999999999 42.0000000000001)))', '42.5', '42', '-14', '-15', '13D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 42.5000000000001,-14.9999999999999 43.0000000000001,-13.9999999999999 43.0000000000001,-13.9999999999999 42.5000000000001,-14.9999999999999 42.5000000000001)))', '43', '42.5', '-14', '-15', '14D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 43.0000000000001,-14.9999999999999 43.5000000000001,-13.9999999999999 43.5000000000001,-13.9999999999999 43.0000000000001,-14.9999999999999 43.0000000000001)))', '43.5', '43', '-14', '-15', '15D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 43.5000000000001,-14.9999999999999 44.0000000000001,-13.9999999999999 44.0000000000001,-13.9999999999999 43.5000000000001,-14.9999999999999 43.5000000000001)))', '44', '43.5', '-14', '-15', '16D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 44.0000000000001,-14.9999999999999 44.5000000000001,-13.9999999999999 44.5000000000001,-13.9999999999999 44.0000000000001,-14.9999999999999 44.0000000000001)))', '44.5', '44', '-14', '-15', '17D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 44.5000000000001,-14.9999999999999 45.0000000000001,-13.9999999999999 45.0000000000001,-13.9999999999999 44.5000000000001,-14.9999999999999 44.5000000000001)))', '45', '44.5', '-14', '-15', '18D5', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-14.9999999999999 45.0000000000001,-14.9999999999999 45.5000000000001,-13.9999999999999 45.5000000000001,-13.9999999999999 45.0000000000001,-14.9999999999999 45.0000000000001)))', '45.5', '45', '-14', '-15', '19D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 45.5000000000001,-14.9999999999999 46.0000000000001,-13.9999999999999 46.0000000000001,-13.9999999999999 45.5000000000001,-14.9999999999999 45.5000000000001)))', '46', '45.5', '-14', '-15', '20D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 46.0000000000001,-14.9999999999999 46.5000000000001,-13.9999999999999 46.5000000000001,-13.9999999999999 46.0000000000001,-14.9999999999999 46.0000000000001)))', '46.5', '46', '-14', '-15', '21D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 46.5000000000001,-14.9999999999999 47.0000000000001,-13.9999999999999 47.0000000000001,-13.9999999999999 46.5000000000001,-14.9999999999999 46.5000000000001)))', '47', '46.5', '-14', '-15', '22D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 47.0000000000001,-14.9999999999999 47.5000000000001,-13.9999999999999 47.5000000000001,-13.9999999999999 47.0000000000001,-14.9999999999999 47.0000000000001)))', '47.5', '47', '-14', '-15', '23D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 47.5000000000001,-14.9999999999999 48.0000000000001,-13.9999999999999 48.0000000000001,-13.9999999999999 47.5000000000001,-14.9999999999999 47.5000000000001)))', '48', '47.5', '-14', '-15', '24D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 48.0000000000001,-14.9999999999999 48.5000000000001,-13.9999999999999 48.5000000000001,-13.9999999999999 48.0000000000001,-14.9999999999999 48.0000000000001)))', '48.5', '48', '-14', '-15', '25D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 48.5000000000001,-14.9999999999999 49.0000000000001,-13.9999999999999 49.0000000000001,-13.9999999999999 48.5000000000001,-14.9999999999999 48.5000000000001)))', '49', '48.5', '-14', '-15', '26D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 49.0000000000001,-14.9999999999999 49.5000000000001,-13.9999999999999 49.5000000000001,-13.9999999999999 49.0000000000001,-14.9999999999999 49.0000000000001)))', '49.5', '49', '-14', '-15', '27D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 49.5000000000001,-14.9999999999999 50.0000000000001,-13.9999999999999 50.0000000000001,-13.9999999999999 49.5000000000001,-14.9999999999999 49.5000000000001)))', '50', '49.5', '-14', '-15', '28D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 50.0000000000001,-14.9999999999999 50.5000000000001,-13.9999999999999 50.5000000000001,-13.9999999999999 50.0000000000001,-14.9999999999999 50.0000000000001)))', '50.5', '50', '-14', '-15', '29D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 50.5000000000001,-14.9999999999999 51.0000000000001,-13.9999999999999 51.0000000000001,-13.9999999999999 50.5000000000001,-14.9999999999999 50.5000000000001)))', '51', '50.5', '-14', '-15', '30D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 51.0000000000001,-14.9999999999999 51.5000000000001,-13.9999999999999 51.5000000000001,-13.9999999999999 51.0000000000001,-14.9999999999999 51.0000000000001)))', '51.5', '51', '-14', '-15', '31D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 51.5000000000001,-14.9999999999999 52.0000000000001,-13.9999999999999 52.0000000000001,-13.9999999999999 51.5000000000001,-14.9999999999999 51.5000000000001)))', '52', '51.5', '-14', '-15', '32D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 52.0000000000001,-14.9999999999999 52.5000000000001,-13.9999999999999 52.5000000000001,-13.9999999999999 52.0000000000001,-14.9999999999999 52.0000000000001)))', '52.5', '52', '-14', '-15', '33D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 52.5000000000001,-14.9999999999999 53.0000000000001,-13.9999999999999 53.0000000000001,-13.9999999999999 52.5000000000001,-14.9999999999999 52.5000000000001)))', '53', '52.5', '-14', '-15', '34D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 53.0000000000001,-14.9999999999999 53.5000000000001,-13.9999999999999 53.5000000000001,-13.9999999999999 53.0000000000001,-14.9999999999999 53.0000000000001)))', '53.5', '53', '-14', '-15', '35D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 53.5000000000001,-14.9999999999999 54.0000000000001,-13.9999999999999 54.0000000000001,-13.9999999999999 53.5000000000001,-14.9999999999999 53.5000000000001)))', '54', '53.5', '-14', '-15', '36D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 54.0000000000001,-14.9999999999999 54.5000000000001,-13.9999999999999 54.5000000000001,-13.9999999999999 54.0000000000001,-14.9999999999999 54.0000000000001)))', '54.5', '54', '-14', '-15', '37D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 54.5000000000001,-14.9999999999999 55.0000000000001,-13.9999999999999 55.0000000000001,-13.9999999999999 54.5000000000001,-14.9999999999999 54.5000000000001)))', '55', '54.5', '-14', '-15', '38D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 55.0000000000001,-14.9999999999999 55.5000000000001,-13.9999999999999 55.5000000000001,-13.9999999999999 55.0000000000001,-14.9999999999999 55.0000000000001)))', '55.5', '55', '-14', '-15', '39D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 55.5000000000001,-14.9999999999999 56.0000000000001,-13.9999999999999 56.0000000000001,-13.9999999999999 55.5000000000001,-14.9999999999999 55.5000000000001)))', '56', '55.5', '-14', '-15', '40D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 56.0000000000001,-14.9999999999999 56.5000000000001,-13.9999999999999 56.5000000000001,-13.9999999999999 56.0000000000001,-14.9999999999999 56.0000000000001)))', '56.5', '56', '-14', '-15', '41D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 56.5000000000001,-14.9999999999999 57.0000000000001,-13.9999999999999 57.0000000000001,-13.9999999999999 56.5000000000001,-14.9999999999999 56.5000000000001)))', '57', '56.5', '-14', '-15', '42D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 57.0000000000001,-14.9999999999999 57.5000000000001,-13.9999999999999 57.5000000000001,-13.9999999999999 57.0000000000001,-14.9999999999999 57.0000000000001)))', '57.5', '57', '-14', '-15', '43D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 57.5000000000001,-14.9999999999999 58.0000000000001,-13.9999999999999 58.0000000000001,-13.9999999999999 57.5000000000001,-14.9999999999999 57.5000000000001)))', '58', '57.5', '-14', '-15', '44D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 58.0000000000001,-14.9999999999999 58.5000000000001,-13.9999999999999 58.5000000000001,-13.9999999999999 58.0000000000001,-14.9999999999999 58.0000000000001)))', '58.5', '58', '-14', '-15', '45D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 58.5000000000001,-14.9999999999999 59.0000000000001,-13.9999999999999 59.0000000000001,-13.9999999999999 58.5000000000001,-14.9999999999999 58.5000000000001)))', '59', '58.5', '-14', '-15', '46D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 59.0000000000001,-14.9999999999999 59.5000000000001,-13.9999999999999 59.5000000000001,-13.9999999999999 59.0000000000001,-14.9999999999999 59.0000000000001)))', '59.5', '59', '-14', '-15', '47D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 59.5000000000001,-14.9999999999999 60.0000000000001,-13.9999999999999 60.0000000000001,-13.9999999999999 59.5000000000001,-14.9999999999999 59.5000000000001)))', '60', '59.5', '-14', '-15', '48D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 60.0000000000001,-14.9999999999999 60.5000000000001,-13.9999999999999 60.5000000000001,-13.9999999999999 60.0000000000001,-14.9999999999999 60.0000000000001)))', '60.5', '60', '-14', '-15', '49D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 60.5000000000001,-14.9999999999999 61.0000000000001,-13.9999999999999 61.0000000000001,-13.9999999999999 60.5000000000001,-14.9999999999999 60.5000000000001)))', '61', '60.5', '-14', '-15', '50D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 61.0000000000001,-14.9999999999999 61.5000000000001,-13.9999999999999 61.5000000000001,-13.9999999999999 61.0000000000001,-14.9999999999999 61.0000000000001)))', '61.5', '61', '-14', '-15', '51D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 61.5000000000001,-14.9999999999999 62.0000000000001,-13.9999999999999 62.0000000000001,-13.9999999999999 61.5000000000001,-14.9999999999999 61.5000000000001)))', '62', '61.5', '-14', '-15', '52D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 62.0000000000001,-14.9999999999999 62.5000000000001,-13.9999999999999 62.5000000000001,-13.9999999999999 62.0000000000001,-14.9999999999999 62.0000000000001)))', '62.5', '62', '-14', '-15', '53D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 62.5000000000001,-14.9999999999999 63.0000000000001,-13.9999999999999 63.0000000000001,-13.9999999999999 62.5000000000001,-14.9999999999999 62.5000000000001)))', '63', '62.5', '-14', '-15', '54D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 63.0000000000001,-14.9999999999999 63.5000000000001,-13.9999999999999 63.5000000000001,-13.9999999999999 63.0000000000001,-14.9999999999999 63.0000000000001)))', '63.5', '63', '-14', '-15', '55D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 63.5000000000001,-14.9999999999999 64.0000000000001,-13.9999999999999 64.0000000000001,-13.9999999999999 63.5000000000001,-14.9999999999999 63.5000000000001)))', '64', '63.5', '-14', '-15', '56D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 64.0000000000001,-14.9999999999999 64.5000000000001,-13.9999999999999 64.5000000000001,-13.9999999999999 64.0000000000001,-14.9999999999999 64.0000000000001)))', '64.5', '64', '-14', '-15', '57D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 64.5000000000001,-14.9999999999999 65.0000000000001,-13.9999999999999 65.0000000000001,-13.9999999999999 64.5000000000001,-14.9999999999999 64.5000000000001)))', '65', '64.5', '-14', '-15', '58D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 65.0000000000001,-14.9999999999999 65.5000000000001,-13.9999999999999 65.5000000000001,-13.9999999999999 65.0000000000001,-14.9999999999999 65.0000000000001)))', '65.5', '65', '-14', '-15', '59D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 65.5000000000001,-14.9999999999999 66.0000000000001,-13.9999999999999 66.0000000000001,-13.9999999999999 65.5000000000001,-14.9999999999999 65.5000000000001)))', '66', '65.5', '-14', '-15', '60D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 66.0000000000001,-14.9999999999999 66.5000000000001,-13.9999999999999 66.5000000000001,-13.9999999999999 66.0000000000001,-14.9999999999999 66.0000000000001)))', '66.5', '66', '-14', '-15', '61D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 66.5000000000001,-14.9999999999999 67.0000000000001,-13.9999999999999 67.0000000000001,-13.9999999999999 66.5000000000001,-14.9999999999999 66.5000000000001)))', '67', '66.5', '-14', '-15', '62D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 67.0000000000001,-14.9999999999999 67.5000000000001,-13.9999999999999 67.5000000000001,-13.9999999999999 67.0000000000001,-14.9999999999999 67.0000000000001)))', '67.5', '67', '-14', '-15', '63D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 67.5000000000001,-14.9999999999999 68.0000000000001,-13.9999999999999 68.0000000000001,-13.9999999999999 67.5000000000001,-14.9999999999999 67.5000000000001)))', '68', '67.5', '-14', '-15', '64D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 68.0000000000001,-14.9999999999999 68.5000000000001,-13.9999999999999 68.5000000000001,-13.9999999999999 68.0000000000001,-14.9999999999999 68.0000000000001)))', '68.5', '68', '-14', '-15', '65D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 68.5000000000001,-14.9999999999999 69.0000000000001,-13.9999999999999 69.0000000000001,-13.9999999999999 68.5000000000001,-14.9999999999999 68.5000000000001)))', '69', '68.5', '-14', '-15', '66D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 69.0000000000001,-14.9999999999999 69.5000000000001,-13.9999999999999 69.5000000000001,-13.9999999999999 69.0000000000001,-14.9999999999999 69.0000000000001)))', '69.5', '69', '-14', '-15', '67D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 69.5000000000001,-14.9999999999999 70.0000000000001,-13.9999999999999 70.0000000000001,-13.9999999999999 69.5000000000001,-14.9999999999999 69.5000000000001)))', '70', '69.5', '-14', '-15', '68D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 70.0000000000001,-14.9999999999999 70.5000000000001,-13.9999999999999 70.5000000000001,-13.9999999999999 70.0000000000001,-14.9999999999999 70.0000000000001)))', '70.5', '70', '-14', '-15', '69D5', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-14.9999999999999 70.5000000000001,-14.9999999999999 71.0000000000001,-13.9999999999999 71.0000000000001,-13.9999999999999 70.5000000000001,-14.9999999999999 70.5000000000001)))', '71', '70.5', '-14', '-15', '70D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 71.0000000000001,-14.9999999999999 71.5000000000001,-13.9999999999999 71.5000000000001,-13.9999999999999 71.0000000000001,-14.9999999999999 71.0000000000001)))', '71.5', '71', '-14', '-15', '71D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 71.5000000000001,-14.9999999999999 72.0000000000001,-13.9999999999999 72.0000000000001,-13.9999999999999 71.5000000000001,-14.9999999999999 71.5000000000001)))', '72', '71.5', '-14', '-15', '72D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 72.0000000000001,-14.9999999999999 72.5000000000001,-13.9999999999999 72.5000000000001,-13.9999999999999 72.0000000000001,-14.9999999999999 72.0000000000001)))', '72.5', '72', '-14', '-15', '73D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 72.5000000000001,-14.9999999999999 73.0000000000001,-13.9999999999999 73.0000000000001,-13.9999999999999 72.5000000000001,-14.9999999999999 72.5000000000001)))', '73', '72.5', '-14', '-15', '74D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 73.0000000000001,-14.9999999999999 73.5000000000001,-13.9999999999999 73.5000000000001,-13.9999999999999 73.0000000000001,-14.9999999999999 73.0000000000001)))', '73.5', '73', '-14', '-15', '75D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 73.5000000000001,-14.9999999999999 74.0000000000001,-13.9999999999999 74.0000000000001,-13.9999999999999 73.5000000000001,-14.9999999999999 73.5000000000001)))', '74', '73.5', '-14', '-15', '76D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 74.0000000000001,-14.9999999999999 74.5000000000001,-13.9999999999999 74.5000000000001,-13.9999999999999 74.0000000000001,-14.9999999999999 74.0000000000001)))', '74.5', '74', '-14', '-15', '77D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 74.5000000000001,-14.9999999999999 75.0000000000001,-13.9999999999999 75.0000000000001,-13.9999999999999 74.5000000000001,-14.9999999999999 74.5000000000001)))', '75', '74.5', '-14', '-15', '78D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 75.0000000000001,-14.9999999999999 75.5000000000001,-13.9999999999999 75.5000000000001,-13.9999999999999 75.0000000000001,-14.9999999999999 75.0000000000001)))', '75.5', '75', '-14', '-15', '79D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 75.5000000000001,-14.9999999999999 76.0000000000001,-13.9999999999999 76.0000000000001,-13.9999999999999 75.5000000000001,-14.9999999999999 75.5000000000001)))', '76', '75.5', '-14', '-15', '80D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 76.0000000000001,-14.9999999999999 76.5000000000001,-13.9999999999999 76.5000000000001,-13.9999999999999 76.0000000000001,-14.9999999999999 76.0000000000001)))', '76.5', '76', '-14', '-15', '81D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 76.5000000000001,-14.9999999999999 77.0000000000001,-13.9999999999999 77.0000000000001,-13.9999999999999 76.5000000000001,-14.9999999999999 76.5000000000001)))', '77', '76.5', '-14', '-15', '82D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 77.0000000000001,-14.9999999999999 77.5000000000001,-13.9999999999999 77.5000000000001,-13.9999999999999 77.0000000000001,-14.9999999999999 77.0000000000001)))', '77.5', '77', '-14', '-15', '83D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 77.5000000000001,-14.9999999999999 78.0000000000001,-13.9999999999999 78.0000000000001,-13.9999999999999 77.5000000000001,-14.9999999999999 77.5000000000001)))', '78', '77.5', '-14', '-15', '84D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 78.0000000000001,-14.9999999999999 78.5000000000001,-13.9999999999999 78.5000000000001,-13.9999999999999 78.0000000000001,-14.9999999999999 78.0000000000001)))', '78.5', '78', '-14', '-15', '85D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 78.5000000000001,-14.9999999999999 79.0000000000001,-13.9999999999999 79.0000000000001,-13.9999999999999 78.5000000000001,-14.9999999999999 78.5000000000001)))', '79', '78.5', '-14', '-15', '86D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 79.0000000000001,-14.9999999999999 79.5000000000001,-13.9999999999999 79.5000000000001,-13.9999999999999 79.0000000000001,-14.9999999999999 79.0000000000001)))', '79.5', '79', '-14', '-15', '87D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 79.5000000000001,-14.9999999999999 80.0000000000001,-13.9999999999999 80.0000000000001,-13.9999999999999 79.5000000000001,-14.9999999999999 79.5000000000001)))', '80', '79.5', '-14', '-15', '88D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 80.0000000000001,-14.9999999999999 80.5000000000001,-13.9999999999999 80.5000000000001,-13.9999999999999 80.0000000000001,-14.9999999999999 80.0000000000001)))', '80.5', '80', '-14', '-15', '89D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 80.5000000000001,-14.9999999999999 81.0000000000001,-13.9999999999999 81.0000000000001,-13.9999999999999 80.5000000000001,-14.9999999999999 80.5000000000001)))', '81', '80.5', '-14', '-15', '90D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 81.5000000000001,-14.9999999999999 82.0000000000001,-13.9999999999999 82.0000000000001,-13.9999999999999 81.5000000000001,-14.9999999999999 81.5000000000001)))', '82', '81.5', '-14', '-15', '92D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 82.0000000000001,-14.9999999999999 82.5000000000001,-13.9999999999999 82.5000000000001,-13.9999999999999 82.0000000000001,-14.9999999999999 82.0000000000001)))', '82.5', '82', '-14', '-15', '93D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 82.5000000000001,-14.9999999999999 83.0000000000001,-13.9999999999999 83.0000000000001,-13.9999999999999 82.5000000000001,-14.9999999999999 82.5000000000001)))', '83', '82.5', '-14', '-15', '94D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 83.0000000000001,-14.9999999999999 83.5000000000001,-13.9999999999999 83.5000000000001,-13.9999999999999 83.0000000000001,-14.9999999999999 83.0000000000001)))', '83.5', '83', '-14', '-15', '95D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 83.5000000000001,-14.9999999999999 84.0000000000001,-13.9999999999999 84.0000000000001,-13.9999999999999 83.5000000000001,-14.9999999999999 83.5000000000001)))', '84', '83.5', '-14', '-15', '96D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 84.0000000000001,-14.9999999999999 84.5000000000001,-13.9999999999999 84.5000000000001,-13.9999999999999 84.0000000000001,-14.9999999999999 84.0000000000001)))', '84.5', '84', '-14', '-15', '97D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-14.9999999999999 84.5000000000001,-14.9999999999999 85.0000000000001,-13.9999999999999 85.0000000000001,-13.9999999999999 84.5000000000001,-14.9999999999999 84.5000000000001)))', '85', '84.5', '-14', '-15', '98D5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 36.0000000000001,-13.9999999999999 36.5000000000001,-12.9999999999999 36.5000000000001,-12.9999999999999 36.0000000000001,-13.9999999999999 36.0000000000001)))', '36.5', '36', '-13', '-14', '01D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 36.5000000000001,-13.9999999999999 37.0000000000001,-12.9999999999999 37.0000000000001,-12.9999999999999 36.5000000000001,-13.9999999999999 36.5000000000001)))', '37', '36.5', '-13', '-14', '02D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 37.0000000000001,-13.9999999999999 37.5000000000001,-12.9999999999999 37.5000000000001,-12.9999999999999 37.0000000000001,-13.9999999999999 37.0000000000001)))', '37.5', '37', '-13', '-14', '03D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 37.5000000000001,-13.9999999999999 38.0000000000001,-12.9999999999999 38.0000000000001,-12.9999999999999 37.5000000000001,-13.9999999999999 37.5000000000001)))', '38', '37.5', '-13', '-14', '04D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 38.0000000000001,-13.9999999999999 38.5000000000001,-12.9999999999999 38.5000000000001,-12.9999999999999 38.0000000000001,-13.9999999999999 38.0000000000001)))', '38.5', '38', '-13', '-14', '05D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 38.5000000000001,-13.9999999999999 39.0000000000001,-12.9999999999999 39.0000000000001,-12.9999999999999 38.5000000000001,-13.9999999999999 38.5000000000001)))', '39', '38.5', '-13', '-14', '06D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 39.0000000000001,-13.9999999999999 39.5000000000001,-12.9999999999999 39.5000000000001,-12.9999999999999 39.0000000000001,-13.9999999999999 39.0000000000001)))', '39.5', '39', '-13', '-14', '07D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 39.5000000000001,-13.9999999999999 40.0000000000001,-12.9999999999999 40.0000000000001,-12.9999999999999 39.5000000000001,-13.9999999999999 39.5000000000001)))', '40', '39.5', '-13', '-14', '08D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 40.0000000000001,-13.9999999999999 40.5000000000001,-12.9999999999999 40.5000000000001,-12.9999999999999 40.0000000000001,-13.9999999999999 40.0000000000001)))', '40.5', '40', '-13', '-14', '09D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 40.5000000000001,-13.9999999999999 41.0000000000001,-12.9999999999999 41.0000000000001,-12.9999999999999 40.5000000000001,-13.9999999999999 40.5000000000001)))', '41', '40.5', '-13', '-14', '10D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 41.0000000000001,-13.9999999999999 41.5000000000001,-12.9999999999999 41.5000000000001,-12.9999999999999 41.0000000000001,-13.9999999999999 41.0000000000001)))', '41.5', '41', '-13', '-14', '11D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 41.5000000000001,-13.9999999999999 42.0000000000001,-12.9999999999999 42.0000000000001,-12.9999999999999 41.5000000000001,-13.9999999999999 41.5000000000001)))', '42', '41.5', '-13', '-14', '12D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 42.0000000000001,-13.9999999999999 42.5000000000001,-12.9999999999999 42.5000000000001,-12.9999999999999 42.0000000000001,-13.9999999999999 42.0000000000001)))', '42.5', '42', '-13', '-14', '13D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 42.5000000000001,-13.9999999999999 43.0000000000001,-12.9999999999999 43.0000000000001,-12.9999999999999 42.5000000000001,-13.9999999999999 42.5000000000001)))', '43', '42.5', '-13', '-14', '14D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 43.0000000000001,-13.9999999999999 43.5000000000001,-12.9999999999999 43.5000000000001,-12.9999999999999 43.0000000000001,-13.9999999999999 43.0000000000001)))', '43.5', '43', '-13', '-14', '15D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 43.5000000000001,-13.9999999999999 44.0000000000001,-12.9999999999999 44.0000000000001,-12.9999999999999 43.5000000000001,-13.9999999999999 43.5000000000001)))', '44', '43.5', '-13', '-14', '16D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 44.0000000000001,-13.9999999999999 44.5000000000001,-12.9999999999999 44.5000000000001,-12.9999999999999 44.0000000000001,-13.9999999999999 44.0000000000001)))', '44.5', '44', '-13', '-14', '17D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 44.5000000000001,-13.9999999999999 45.0000000000001,-12.9999999999999 45.0000000000001,-12.9999999999999 44.5000000000001,-13.9999999999999 44.5000000000001)))', '45', '44.5', '-13', '-14', '18D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 45.0000000000001,-13.9999999999999 45.5000000000001,-12.9999999999999 45.5000000000001,-12.9999999999999 45.0000000000001,-13.9999999999999 45.0000000000001)))', '45.5', '45', '-13', '-14', '19D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 45.5000000000001,-13.9999999999999 46.0000000000001,-12.9999999999999 46.0000000000001,-12.9999999999999 45.5000000000001,-13.9999999999999 45.5000000000001)))', '46', '45.5', '-13', '-14', '20D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 46.0000000000001,-13.9999999999999 46.5000000000001,-12.9999999999999 46.5000000000001,-12.9999999999999 46.0000000000001,-13.9999999999999 46.0000000000001)))', '46.5', '46', '-13', '-14', '21D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 46.5000000000001,-13.9999999999999 47.0000000000001,-12.9999999999999 47.0000000000001,-12.9999999999999 46.5000000000001,-13.9999999999999 46.5000000000001)))', '47', '46.5', '-13', '-14', '22D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 47.0000000000001,-13.9999999999999 47.5000000000001,-12.9999999999999 47.5000000000001,-12.9999999999999 47.0000000000001,-13.9999999999999 47.0000000000001)))', '47.5', '47', '-13', '-14', '23D6', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-13.9999999999999 47.5000000000001,-13.9999999999999 48.0000000000001,-12.9999999999999 48.0000000000001,-12.9999999999999 47.5000000000001,-13.9999999999999 47.5000000000001)))', '48', '47.5', '-13', '-14', '24D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 48.0000000000001,-13.9999999999999 48.5000000000001,-12.9999999999999 48.5000000000001,-12.9999999999999 48.0000000000001,-13.9999999999999 48.0000000000001)))', '48.5', '48', '-13', '-14', '25D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 48.5000000000001,-13.9999999999999 49.0000000000001,-12.9999999999999 49.0000000000001,-12.9999999999999 48.5000000000001,-13.9999999999999 48.5000000000001)))', '49', '48.5', '-13', '-14', '26D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 49.0000000000001,-13.9999999999999 49.5000000000001,-12.9999999999999 49.5000000000001,-12.9999999999999 49.0000000000001,-13.9999999999999 49.0000000000001)))', '49.5', '49', '-13', '-14', '27D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 49.5000000000001,-13.9999999999999 50.0000000000001,-12.9999999999999 50.0000000000001,-12.9999999999999 49.5000000000001,-13.9999999999999 49.5000000000001)))', '50', '49.5', '-13', '-14', '28D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 50.0000000000001,-13.9999999999999 50.5000000000001,-12.9999999999999 50.5000000000001,-12.9999999999999 50.0000000000001,-13.9999999999999 50.0000000000001)))', '50.5', '50', '-13', '-14', '29D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 50.5000000000001,-13.9999999999999 51.0000000000001,-12.9999999999999 51.0000000000001,-12.9999999999999 50.5000000000001,-13.9999999999999 50.5000000000001)))', '51', '50.5', '-13', '-14', '30D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 51.0000000000001,-13.9999999999999 51.5000000000001,-12.9999999999999 51.5000000000001,-12.9999999999999 51.0000000000001,-13.9999999999999 51.0000000000001)))', '51.5', '51', '-13', '-14', '31D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 51.5000000000001,-13.9999999999999 52.0000000000001,-12.9999999999999 52.0000000000001,-12.9999999999999 51.5000000000001,-13.9999999999999 51.5000000000001)))', '52', '51.5', '-13', '-14', '32D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 52.0000000000001,-13.9999999999999 52.5000000000001,-12.9999999999999 52.5000000000001,-12.9999999999999 52.0000000000001,-13.9999999999999 52.0000000000001)))', '52.5', '52', '-13', '-14', '33D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 52.5000000000001,-13.9999999999999 53.0000000000001,-12.9999999999999 53.0000000000001,-12.9999999999999 52.5000000000001,-13.9999999999999 52.5000000000001)))', '53', '52.5', '-13', '-14', '34D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 53.0000000000001,-13.9999999999999 53.5000000000001,-12.9999999999999 53.5000000000001,-12.9999999999999 53.0000000000001,-13.9999999999999 53.0000000000001)))', '53.5', '53', '-13', '-14', '35D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 53.5000000000001,-13.9999999999999 54.0000000000001,-12.9999999999999 54.0000000000001,-12.9999999999999 53.5000000000001,-13.9999999999999 53.5000000000001)))', '54', '53.5', '-13', '-14', '36D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 54.0000000000001,-13.9999999999999 54.5000000000001,-12.9999999999999 54.5000000000001,-12.9999999999999 54.0000000000001,-13.9999999999999 54.0000000000001)))', '54.5', '54', '-13', '-14', '37D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 54.5000000000001,-13.9999999999999 55.0000000000001,-12.9999999999999 55.0000000000001,-12.9999999999999 54.5000000000001,-13.9999999999999 54.5000000000001)))', '55', '54.5', '-13', '-14', '38D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 55.0000000000001,-13.9999999999999 55.5000000000001,-12.9999999999999 55.5000000000001,-12.9999999999999 55.0000000000001,-13.9999999999999 55.0000000000001)))', '55.5', '55', '-13', '-14', '39D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 55.5000000000001,-13.9999999999999 56.0000000000001,-12.9999999999999 56.0000000000001,-12.9999999999999 55.5000000000001,-13.9999999999999 55.5000000000001)))', '56', '55.5', '-13', '-14', '40D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 56.0000000000001,-13.9999999999999 56.5000000000001,-12.9999999999999 56.5000000000001,-12.9999999999999 56.0000000000001,-13.9999999999999 56.0000000000001)))', '56.5', '56', '-13', '-14', '41D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 56.5000000000001,-13.9999999999999 57.0000000000001,-12.9999999999999 57.0000000000001,-12.9999999999999 56.5000000000001,-13.9999999999999 56.5000000000001)))', '57', '56.5', '-13', '-14', '42D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 57.0000000000001,-13.9999999999999 57.5000000000001,-12.9999999999999 57.5000000000001,-12.9999999999999 57.0000000000001,-13.9999999999999 57.0000000000001)))', '57.5', '57', '-13', '-14', '43D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 57.5000000000001,-13.9999999999999 58.0000000000001,-12.9999999999999 58.0000000000001,-12.9999999999999 57.5000000000001,-13.9999999999999 57.5000000000001)))', '58', '57.5', '-13', '-14', '44D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 58.0000000000001,-13.9999999999999 58.5000000000001,-12.9999999999999 58.5000000000001,-12.9999999999999 58.0000000000001,-13.9999999999999 58.0000000000001)))', '58.5', '58', '-13', '-14', '45D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 58.5000000000001,-13.9999999999999 59.0000000000001,-12.9999999999999 59.0000000000001,-12.9999999999999 58.5000000000001,-13.9999999999999 58.5000000000001)))', '59', '58.5', '-13', '-14', '46D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 59.0000000000001,-13.9999999999999 59.5000000000001,-12.9999999999999 59.5000000000001,-12.9999999999999 59.0000000000001,-13.9999999999999 59.0000000000001)))', '59.5', '59', '-13', '-14', '47D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 59.5000000000001,-13.9999999999999 60.0000000000001,-12.9999999999999 60.0000000000001,-12.9999999999999 59.5000000000001,-13.9999999999999 59.5000000000001)))', '60', '59.5', '-13', '-14', '48D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 60.0000000000001,-13.9999999999999 60.5000000000001,-12.9999999999999 60.5000000000001,-12.9999999999999 60.0000000000001,-13.9999999999999 60.0000000000001)))', '60.5', '60', '-13', '-14', '49D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 60.5000000000001,-13.9999999999999 61.0000000000001,-12.9999999999999 61.0000000000001,-12.9999999999999 60.5000000000001,-13.9999999999999 60.5000000000001)))', '61', '60.5', '-13', '-14', '50D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 61.0000000000001,-13.9999999999999 61.5000000000001,-12.9999999999999 61.5000000000001,-12.9999999999999 61.0000000000001,-13.9999999999999 61.0000000000001)))', '61.5', '61', '-13', '-14', '51D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 61.5000000000001,-13.9999999999999 62.0000000000001,-12.9999999999999 62.0000000000001,-12.9999999999999 61.5000000000001,-13.9999999999999 61.5000000000001)))', '62', '61.5', '-13', '-14', '52D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 62.0000000000001,-13.9999999999999 62.5000000000001,-12.9999999999999 62.5000000000001,-12.9999999999999 62.0000000000001,-13.9999999999999 62.0000000000001)))', '62.5', '62', '-13', '-14', '53D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 62.5000000000001,-13.9999999999999 63.0000000000001,-12.9999999999999 63.0000000000001,-12.9999999999999 62.5000000000001,-13.9999999999999 62.5000000000001)))', '63', '62.5', '-13', '-14', '54D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 63.0000000000001,-13.9999999999999 63.5000000000001,-12.9999999999999 63.5000000000001,-12.9999999999999 63.0000000000001,-13.9999999999999 63.0000000000001)))', '63.5', '63', '-13', '-14', '55D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 63.5000000000001,-13.9999999999999 64.0000000000001,-12.9999999999999 64.0000000000001,-12.9999999999999 63.5000000000001,-13.9999999999999 63.5000000000001)))', '64', '63.5', '-13', '-14', '56D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 64.0000000000001,-13.9999999999999 64.5000000000001,-12.9999999999999 64.5000000000001,-12.9999999999999 64.0000000000001,-13.9999999999999 64.0000000000001)))', '64.5', '64', '-13', '-14', '57D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 64.5000000000001,-13.9999999999999 65.0000000000001,-12.9999999999999 65.0000000000001,-12.9999999999999 64.5000000000001,-13.9999999999999 64.5000000000001)))', '65', '64.5', '-13', '-14', '58D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 65.0000000000001,-13.9999999999999 65.5000000000001,-12.9999999999999 65.5000000000001,-12.9999999999999 65.0000000000001,-13.9999999999999 65.0000000000001)))', '65.5', '65', '-13', '-14', '59D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 65.5000000000001,-13.9999999999999 66.0000000000001,-12.9999999999999 66.0000000000001,-12.9999999999999 65.5000000000001,-13.9999999999999 65.5000000000001)))', '66', '65.5', '-13', '-14', '60D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 66.0000000000001,-13.9999999999999 66.5000000000001,-12.9999999999999 66.5000000000001,-12.9999999999999 66.0000000000001,-13.9999999999999 66.0000000000001)))', '66.5', '66', '-13', '-14', '61D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 66.5000000000001,-13.9999999999999 67.0000000000001,-12.9999999999999 67.0000000000001,-12.9999999999999 66.5000000000001,-13.9999999999999 66.5000000000001)))', '67', '66.5', '-13', '-14', '62D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 67.0000000000001,-13.9999999999999 67.5000000000001,-12.9999999999999 67.5000000000001,-12.9999999999999 67.0000000000001,-13.9999999999999 67.0000000000001)))', '67.5', '67', '-13', '-14', '63D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 67.5000000000001,-13.9999999999999 68.0000000000001,-12.9999999999999 68.0000000000001,-12.9999999999999 67.5000000000001,-13.9999999999999 67.5000000000001)))', '68', '67.5', '-13', '-14', '64D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 68.0000000000001,-13.9999999999999 68.5000000000001,-12.9999999999999 68.5000000000001,-12.9999999999999 68.0000000000001,-13.9999999999999 68.0000000000001)))', '68.5', '68', '-13', '-14', '65D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 68.5000000000001,-13.9999999999999 69.0000000000001,-12.9999999999999 69.0000000000001,-12.9999999999999 68.5000000000001,-13.9999999999999 68.5000000000001)))', '69', '68.5', '-13', '-14', '66D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 69.0000000000001,-13.9999999999999 69.5000000000001,-12.9999999999999 69.5000000000001,-12.9999999999999 69.0000000000001,-13.9999999999999 69.0000000000001)))', '69.5', '69', '-13', '-14', '67D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 69.5000000000001,-13.9999999999999 70.0000000000001,-12.9999999999999 70.0000000000001,-12.9999999999999 69.5000000000001,-13.9999999999999 69.5000000000001)))', '70', '69.5', '-13', '-14', '68D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 70.0000000000001,-13.9999999999999 70.5000000000001,-12.9999999999999 70.5000000000001,-12.9999999999999 70.0000000000001,-13.9999999999999 70.0000000000001)))', '70.5', '70', '-13', '-14', '69D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 70.5000000000001,-13.9999999999999 71.0000000000001,-12.9999999999999 71.0000000000001,-12.9999999999999 70.5000000000001,-13.9999999999999 70.5000000000001)))', '71', '70.5', '-13', '-14', '70D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 71.0000000000001,-13.9999999999999 71.5000000000001,-12.9999999999999 71.5000000000001,-12.9999999999999 71.0000000000001,-13.9999999999999 71.0000000000001)))', '71.5', '71', '-13', '-14', '71D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 71.5000000000001,-13.9999999999999 72.0000000000001,-12.9999999999999 72.0000000000001,-12.9999999999999 71.5000000000001,-13.9999999999999 71.5000000000001)))', '72', '71.5', '-13', '-14', '72D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 72.0000000000001,-13.9999999999999 72.5000000000001,-12.9999999999999 72.5000000000001,-12.9999999999999 72.0000000000001,-13.9999999999999 72.0000000000001)))', '72.5', '72', '-13', '-14', '73D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 72.5000000000001,-13.9999999999999 73.0000000000001,-12.9999999999999 73.0000000000001,-12.9999999999999 72.5000000000001,-13.9999999999999 72.5000000000001)))', '73', '72.5', '-13', '-14', '74D6', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-13.9999999999999 73.0000000000001,-13.9999999999999 73.5000000000001,-12.9999999999999 73.5000000000001,-12.9999999999999 73.0000000000001,-13.9999999999999 73.0000000000001)))', '73.5', '73', '-13', '-14', '75D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 73.5000000000001,-13.9999999999999 74.0000000000001,-12.9999999999999 74.0000000000001,-12.9999999999999 73.5000000000001,-13.9999999999999 73.5000000000001)))', '74', '73.5', '-13', '-14', '76D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 74.0000000000001,-13.9999999999999 74.5000000000001,-12.9999999999999 74.5000000000001,-12.9999999999999 74.0000000000001,-13.9999999999999 74.0000000000001)))', '74.5', '74', '-13', '-14', '77D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 74.5000000000001,-13.9999999999999 75.0000000000001,-12.9999999999999 75.0000000000001,-12.9999999999999 74.5000000000001,-13.9999999999999 74.5000000000001)))', '75', '74.5', '-13', '-14', '78D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 75.0000000000001,-13.9999999999999 75.5000000000001,-12.9999999999999 75.5000000000001,-12.9999999999999 75.0000000000001,-13.9999999999999 75.0000000000001)))', '75.5', '75', '-13', '-14', '79D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 75.5000000000001,-13.9999999999999 76.0000000000001,-12.9999999999999 76.0000000000001,-12.9999999999999 75.5000000000001,-13.9999999999999 75.5000000000001)))', '76', '75.5', '-13', '-14', '80D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 76.0000000000001,-13.9999999999999 76.5000000000001,-12.9999999999999 76.5000000000001,-12.9999999999999 76.0000000000001,-13.9999999999999 76.0000000000001)))', '76.5', '76', '-13', '-14', '81D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 76.5000000000001,-13.9999999999999 77.0000000000001,-12.9999999999999 77.0000000000001,-12.9999999999999 76.5000000000001,-13.9999999999999 76.5000000000001)))', '77', '76.5', '-13', '-14', '82D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 77.0000000000001,-13.9999999999999 77.5000000000001,-12.9999999999999 77.5000000000001,-12.9999999999999 77.0000000000001,-13.9999999999999 77.0000000000001)))', '77.5', '77', '-13', '-14', '83D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 77.5000000000001,-13.9999999999999 78.0000000000001,-12.9999999999999 78.0000000000001,-12.9999999999999 77.5000000000001,-13.9999999999999 77.5000000000001)))', '78', '77.5', '-13', '-14', '84D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 78.0000000000001,-13.9999999999999 78.5000000000001,-12.9999999999999 78.5000000000001,-12.9999999999999 78.0000000000001,-13.9999999999999 78.0000000000001)))', '78.5', '78', '-13', '-14', '85D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 78.5000000000001,-13.9999999999999 79.0000000000001,-12.9999999999999 79.0000000000001,-12.9999999999999 78.5000000000001,-13.9999999999999 78.5000000000001)))', '79', '78.5', '-13', '-14', '86D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 79.0000000000001,-13.9999999999999 79.5000000000001,-12.9999999999999 79.5000000000001,-12.9999999999999 79.0000000000001,-13.9999999999999 79.0000000000001)))', '79.5', '79', '-13', '-14', '87D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 79.5000000000001,-13.9999999999999 80.0000000000001,-12.9999999999999 80.0000000000001,-12.9999999999999 79.5000000000001,-13.9999999999999 79.5000000000001)))', '80', '79.5', '-13', '-14', '88D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 80.0000000000001,-13.9999999999999 80.5000000000001,-12.9999999999999 80.5000000000001,-12.9999999999999 80.0000000000001,-13.9999999999999 80.0000000000001)))', '80.5', '80', '-13', '-14', '89D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 80.5000000000001,-13.9999999999999 81.0000000000001,-12.9999999999999 81.0000000000001,-12.9999999999999 80.5000000000001,-13.9999999999999 80.5000000000001)))', '81', '80.5', '-13', '-14', '90D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 81.0000000000001,-13.9999999999999 81.5000000000001,-12.9999999999999 81.5000000000001,-12.9999999999999 81.0000000000001,-13.9999999999999 81.0000000000001)))', '81.5', '81', '-13', '-14', '91D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 81.5000000000001,-13.9999999999999 82.0000000000001,-12.9999999999999 82.0000000000001,-12.9999999999999 81.5000000000001,-13.9999999999999 81.5000000000001)))', '82', '81.5', '-13', '-14', '92D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 82.0000000000001,-13.9999999999999 82.5000000000001,-12.9999999999999 82.5000000000001,-12.9999999999999 82.0000000000001,-13.9999999999999 82.0000000000001)))', '82.5', '82', '-13', '-14', '93D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 82.5000000000001,-13.9999999999999 83.0000000000001,-12.9999999999999 83.0000000000001,-12.9999999999999 82.5000000000001,-13.9999999999999 82.5000000000001)))', '83', '82.5', '-13', '-14', '94D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 83.0000000000001,-13.9999999999999 83.5000000000001,-12.9999999999999 83.5000000000001,-12.9999999999999 83.0000000000001,-13.9999999999999 83.0000000000001)))', '83.5', '83', '-13', '-14', '95D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 83.5000000000001,-13.9999999999999 84.0000000000001,-12.9999999999999 84.0000000000001,-12.9999999999999 83.5000000000001,-13.9999999999999 83.5000000000001)))', '84', '83.5', '-13', '-14', '96D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 84.0000000000001,-13.9999999999999 84.5000000000001,-12.9999999999999 84.5000000000001,-12.9999999999999 84.0000000000001,-13.9999999999999 84.0000000000001)))', '84.5', '84', '-13', '-14', '97D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-13.9999999999999 84.5000000000001,-13.9999999999999 85.0000000000001,-12.9999999999999 85.0000000000001,-12.9999999999999 84.5000000000001,-13.9999999999999 84.5000000000001)))', '85', '84.5', '-13', '-14', '98D6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 36.0000000000001,-12.9999999999999 36.5000000000001,-11.9999999999999 36.5000000000001,-11.9999999999999 36.0000000000001,-12.9999999999999 36.0000000000001)))', '36.5', '36', '-12', '-13', '01D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 36.5000000000001,-12.9999999999999 37.0000000000001,-11.9999999999999 37.0000000000001,-11.9999999999999 36.5000000000001,-12.9999999999999 36.5000000000001)))', '37', '36.5', '-12', '-13', '02D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 37.0000000000001,-12.9999999999999 37.5000000000001,-11.9999999999999 37.5000000000001,-11.9999999999999 37.0000000000001,-12.9999999999999 37.0000000000001)))', '37.5', '37', '-12', '-13', '03D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 37.5000000000001,-12.9999999999999 38.0000000000001,-11.9999999999999 38.0000000000001,-11.9999999999999 37.5000000000001,-12.9999999999999 37.5000000000001)))', '38', '37.5', '-12', '-13', '04D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 38.0000000000001,-12.9999999999999 38.5000000000001,-11.9999999999999 38.5000000000001,-11.9999999999999 38.0000000000001,-12.9999999999999 38.0000000000001)))', '38.5', '38', '-12', '-13', '05D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 38.5000000000001,-12.9999999999999 39.0000000000001,-11.9999999999999 39.0000000000001,-11.9999999999999 38.5000000000001,-12.9999999999999 38.5000000000001)))', '39', '38.5', '-12', '-13', '06D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 39.0000000000001,-12.9999999999999 39.5000000000001,-11.9999999999999 39.5000000000001,-11.9999999999999 39.0000000000001,-12.9999999999999 39.0000000000001)))', '39.5', '39', '-12', '-13', '07D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 39.5000000000001,-12.9999999999999 40.0000000000001,-11.9999999999999 40.0000000000001,-11.9999999999999 39.5000000000001,-12.9999999999999 39.5000000000001)))', '40', '39.5', '-12', '-13', '08D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 40.0000000000001,-12.9999999999999 40.5000000000001,-11.9999999999999 40.5000000000001,-11.9999999999999 40.0000000000001,-12.9999999999999 40.0000000000001)))', '40.5', '40', '-12', '-13', '09D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 40.5000000000001,-12.9999999999999 41.0000000000001,-11.9999999999999 41.0000000000001,-11.9999999999999 40.5000000000001,-12.9999999999999 40.5000000000001)))', '41', '40.5', '-12', '-13', '10D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 41.0000000000001,-12.9999999999999 41.5000000000001,-11.9999999999999 41.5000000000001,-11.9999999999999 41.0000000000001,-12.9999999999999 41.0000000000001)))', '41.5', '41', '-12', '-13', '11D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 41.5000000000001,-12.9999999999999 42.0000000000001,-11.9999999999999 42.0000000000001,-11.9999999999999 41.5000000000001,-12.9999999999999 41.5000000000001)))', '42', '41.5', '-12', '-13', '12D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 42.0000000000001,-12.9999999999999 42.5000000000001,-11.9999999999999 42.5000000000001,-11.9999999999999 42.0000000000001,-12.9999999999999 42.0000000000001)))', '42.5', '42', '-12', '-13', '13D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 42.5000000000001,-12.9999999999999 43.0000000000001,-11.9999999999999 43.0000000000001,-11.9999999999999 42.5000000000001,-12.9999999999999 42.5000000000001)))', '43', '42.5', '-12', '-13', '14D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 43.0000000000001,-12.9999999999999 43.5000000000001,-11.9999999999999 43.5000000000001,-11.9999999999999 43.0000000000001,-12.9999999999999 43.0000000000001)))', '43.5', '43', '-12', '-13', '15D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 43.5000000000001,-12.9999999999999 44.0000000000001,-11.9999999999999 44.0000000000001,-11.9999999999999 43.5000000000001,-12.9999999999999 43.5000000000001)))', '44', '43.5', '-12', '-13', '16D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 44.0000000000001,-12.9999999999999 44.5000000000001,-11.9999999999999 44.5000000000001,-11.9999999999999 44.0000000000001,-12.9999999999999 44.0000000000001)))', '44.5', '44', '-12', '-13', '17D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 44.5000000000001,-12.9999999999999 45.0000000000001,-11.9999999999999 45.0000000000001,-11.9999999999999 44.5000000000001,-12.9999999999999 44.5000000000001)))', '45', '44.5', '-12', '-13', '18D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 45.0000000000001,-12.9999999999999 45.5000000000001,-11.9999999999999 45.5000000000001,-11.9999999999999 45.0000000000001,-12.9999999999999 45.0000000000001)))', '45.5', '45', '-12', '-13', '19D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 45.5000000000001,-12.9999999999999 46.0000000000001,-11.9999999999999 46.0000000000001,-11.9999999999999 45.5000000000001,-12.9999999999999 45.5000000000001)))', '46', '45.5', '-12', '-13', '20D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 46.0000000000001,-12.9999999999999 46.5000000000001,-11.9999999999999 46.5000000000001,-11.9999999999999 46.0000000000001,-12.9999999999999 46.0000000000001)))', '46.5', '46', '-12', '-13', '21D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 46.5000000000001,-12.9999999999999 47.0000000000001,-11.9999999999999 47.0000000000001,-11.9999999999999 46.5000000000001,-12.9999999999999 46.5000000000001)))', '47', '46.5', '-12', '-13', '22D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 47.0000000000001,-12.9999999999999 47.5000000000001,-11.9999999999999 47.5000000000001,-11.9999999999999 47.0000000000001,-12.9999999999999 47.0000000000001)))', '47.5', '47', '-12', '-13', '23D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 47.5000000000001,-12.9999999999999 48.0000000000001,-11.9999999999999 48.0000000000001,-11.9999999999999 47.5000000000001,-12.9999999999999 47.5000000000001)))', '48', '47.5', '-12', '-13', '24D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 48.0000000000001,-12.9999999999999 48.5000000000001,-11.9999999999999 48.5000000000001,-11.9999999999999 48.0000000000001,-12.9999999999999 48.0000000000001)))', '48.5', '48', '-12', '-13', '25D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 48.5000000000001,-12.9999999999999 49.0000000000001,-11.9999999999999 49.0000000000001,-11.9999999999999 48.5000000000001,-12.9999999999999 48.5000000000001)))', '49', '48.5', '-12', '-13', '26D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 49.0000000000001,-12.9999999999999 49.5000000000001,-11.9999999999999 49.5000000000001,-11.9999999999999 49.0000000000001,-12.9999999999999 49.0000000000001)))', '49.5', '49', '-12', '-13', '27D7', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-12.9999999999999 49.5000000000001,-12.9999999999999 50.0000000000001,-11.9999999999999 50.0000000000001,-11.9999999999999 49.5000000000001,-12.9999999999999 49.5000000000001)))', '50', '49.5', '-12', '-13', '28D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 50.0000000000001,-12.9999999999999 50.5000000000001,-11.9999999999999 50.5000000000001,-11.9999999999999 50.0000000000001,-12.9999999999999 50.0000000000001)))', '50.5', '50', '-12', '-13', '29D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 50.5000000000001,-12.9999999999999 51.0000000000001,-11.9999999999999 51.0000000000001,-11.9999999999999 50.5000000000001,-12.9999999999999 50.5000000000001)))', '51', '50.5', '-12', '-13', '30D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 51.0000000000001,-12.9999999999999 51.5000000000001,-11.9999999999999 51.5000000000001,-11.9999999999999 51.0000000000001,-12.9999999999999 51.0000000000001)))', '51.5', '51', '-12', '-13', '31D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 51.5000000000001,-12.9999999999999 52.0000000000001,-11.9999999999999 52.0000000000001,-11.9999999999999 51.5000000000001,-12.9999999999999 51.5000000000001)))', '52', '51.5', '-12', '-13', '32D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 52.0000000000001,-12.9999999999999 52.5000000000001,-11.9999999999999 52.5000000000001,-11.9999999999999 52.0000000000001,-12.9999999999999 52.0000000000001)))', '52.5', '52', '-12', '-13', '33D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 52.5000000000001,-12.9999999999999 53.0000000000001,-11.9999999999999 53.0000000000001,-11.9999999999999 52.5000000000001,-12.9999999999999 52.5000000000001)))', '53', '52.5', '-12', '-13', '34D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 53.0000000000001,-12.9999999999999 53.5000000000001,-11.9999999999999 53.5000000000001,-11.9999999999999 53.0000000000001,-12.9999999999999 53.0000000000001)))', '53.5', '53', '-12', '-13', '35D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 53.5000000000001,-12.9999999999999 54.0000000000001,-11.9999999999999 54.0000000000001,-11.9999999999999 53.5000000000001,-12.9999999999999 53.5000000000001)))', '54', '53.5', '-12', '-13', '36D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 54.0000000000001,-12.9999999999999 54.5000000000001,-11.9999999999999 54.5000000000001,-11.9999999999999 54.0000000000001,-12.9999999999999 54.0000000000001)))', '54.5', '54', '-12', '-13', '37D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 54.5000000000001,-12.9999999999999 55.0000000000001,-11.9999999999999 55.0000000000001,-11.9999999999999 54.5000000000001,-12.9999999999999 54.5000000000001)))', '55', '54.5', '-12', '-13', '38D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 55.0000000000001,-12.9999999999999 55.5000000000001,-11.9999999999999 55.5000000000001,-11.9999999999999 55.0000000000001,-12.9999999999999 55.0000000000001)))', '55.5', '55', '-12', '-13', '39D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 55.5000000000001,-12.9999999999999 56.0000000000001,-11.9999999999999 56.0000000000001,-11.9999999999999 55.5000000000001,-12.9999999999999 55.5000000000001)))', '56', '55.5', '-12', '-13', '40D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 56.0000000000001,-12.9999999999999 56.5000000000001,-11.9999999999999 56.5000000000001,-11.9999999999999 56.0000000000001,-12.9999999999999 56.0000000000001)))', '56.5', '56', '-12', '-13', '41D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 56.5000000000001,-12.9999999999999 57.0000000000001,-11.9999999999999 57.0000000000001,-11.9999999999999 56.5000000000001,-12.9999999999999 56.5000000000001)))', '57', '56.5', '-12', '-13', '42D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 57.0000000000001,-12.9999999999999 57.5000000000001,-11.9999999999999 57.5000000000001,-11.9999999999999 57.0000000000001,-12.9999999999999 57.0000000000001)))', '57.5', '57', '-12', '-13', '43D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 57.5000000000001,-12.9999999999999 58.0000000000001,-11.9999999999999 58.0000000000001,-11.9999999999999 57.5000000000001,-12.9999999999999 57.5000000000001)))', '58', '57.5', '-12', '-13', '44D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 58.0000000000001,-12.9999999999999 58.5000000000001,-11.9999999999999 58.5000000000001,-11.9999999999999 58.0000000000001,-12.9999999999999 58.0000000000001)))', '58.5', '58', '-12', '-13', '45D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 58.5000000000001,-12.9999999999999 59.0000000000001,-11.9999999999999 59.0000000000001,-11.9999999999999 58.5000000000001,-12.9999999999999 58.5000000000001)))', '59', '58.5', '-12', '-13', '46D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 59.0000000000001,-12.9999999999999 59.5000000000001,-11.9999999999999 59.5000000000001,-11.9999999999999 59.0000000000001,-12.9999999999999 59.0000000000001)))', '59.5', '59', '-12', '-13', '47D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 59.5000000000001,-12.9999999999999 60.0000000000001,-11.9999999999999 60.0000000000001,-11.9999999999999 59.5000000000001,-12.9999999999999 59.5000000000001)))', '60', '59.5', '-12', '-13', '48D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 60.0000000000001,-12.9999999999999 60.5000000000001,-11.9999999999999 60.5000000000001,-11.9999999999999 60.0000000000001,-12.9999999999999 60.0000000000001)))', '60.5', '60', '-12', '-13', '49D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 60.5000000000001,-12.9999999999999 61.0000000000001,-11.9999999999999 61.0000000000001,-11.9999999999999 60.5000000000001,-12.9999999999999 60.5000000000001)))', '61', '60.5', '-12', '-13', '50D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 61.0000000000001,-12.9999999999999 61.5000000000001,-11.9999999999999 61.5000000000001,-11.9999999999999 61.0000000000001,-12.9999999999999 61.0000000000001)))', '61.5', '61', '-12', '-13', '51D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 61.5000000000001,-12.9999999999999 62.0000000000001,-11.9999999999999 62.0000000000001,-11.9999999999999 61.5000000000001,-12.9999999999999 61.5000000000001)))', '62', '61.5', '-12', '-13', '52D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 62.0000000000001,-12.9999999999999 62.5000000000001,-11.9999999999999 62.5000000000001,-11.9999999999999 62.0000000000001,-12.9999999999999 62.0000000000001)))', '62.5', '62', '-12', '-13', '53D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 62.5000000000001,-12.9999999999999 63.0000000000001,-11.9999999999999 63.0000000000001,-11.9999999999999 62.5000000000001,-12.9999999999999 62.5000000000001)))', '63', '62.5', '-12', '-13', '54D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 63.0000000000001,-12.9999999999999 63.5000000000001,-11.9999999999999 63.5000000000001,-11.9999999999999 63.0000000000001,-12.9999999999999 63.0000000000001)))', '63.5', '63', '-12', '-13', '55D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 63.5000000000001,-12.9999999999999 64.0000000000001,-11.9999999999999 64.0000000000001,-11.9999999999999 63.5000000000001,-12.9999999999999 63.5000000000001)))', '64', '63.5', '-12', '-13', '56D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 64.0000000000001,-12.9999999999999 64.5000000000001,-11.9999999999999 64.5000000000001,-11.9999999999999 64.0000000000001,-12.9999999999999 64.0000000000001)))', '64.5', '64', '-12', '-13', '57D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 64.5000000000001,-12.9999999999999 65.0000000000001,-11.9999999999999 65.0000000000001,-11.9999999999999 64.5000000000001,-12.9999999999999 64.5000000000001)))', '65', '64.5', '-12', '-13', '58D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 65.0000000000001,-12.9999999999999 65.5000000000001,-11.9999999999999 65.5000000000001,-11.9999999999999 65.0000000000001,-12.9999999999999 65.0000000000001)))', '65.5', '65', '-12', '-13', '59D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 65.5000000000001,-12.9999999999999 66.0000000000001,-11.9999999999999 66.0000000000001,-11.9999999999999 65.5000000000001,-12.9999999999999 65.5000000000001)))', '66', '65.5', '-12', '-13', '60D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 66.0000000000001,-12.9999999999999 66.5000000000001,-11.9999999999999 66.5000000000001,-11.9999999999999 66.0000000000001,-12.9999999999999 66.0000000000001)))', '66.5', '66', '-12', '-13', '61D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 66.5000000000001,-12.9999999999999 67.0000000000001,-11.9999999999999 67.0000000000001,-11.9999999999999 66.5000000000001,-12.9999999999999 66.5000000000001)))', '67', '66.5', '-12', '-13', '62D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 67.0000000000001,-12.9999999999999 67.5000000000001,-11.9999999999999 67.5000000000001,-11.9999999999999 67.0000000000001,-12.9999999999999 67.0000000000001)))', '67.5', '67', '-12', '-13', '63D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 67.5000000000001,-12.9999999999999 68.0000000000001,-11.9999999999999 68.0000000000001,-11.9999999999999 67.5000000000001,-12.9999999999999 67.5000000000001)))', '68', '67.5', '-12', '-13', '64D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 68.0000000000001,-12.9999999999999 68.5000000000001,-11.9999999999999 68.5000000000001,-11.9999999999999 68.0000000000001,-12.9999999999999 68.0000000000001)))', '68.5', '68', '-12', '-13', '65D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 68.5000000000001,-12.9999999999999 69.0000000000001,-11.9999999999999 69.0000000000001,-11.9999999999999 68.5000000000001,-12.9999999999999 68.5000000000001)))', '69', '68.5', '-12', '-13', '66D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 69.0000000000001,-12.9999999999999 69.5000000000001,-11.9999999999999 69.5000000000001,-11.9999999999999 69.0000000000001,-12.9999999999999 69.0000000000001)))', '69.5', '69', '-12', '-13', '67D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 69.5000000000001,-12.9999999999999 70.0000000000001,-11.9999999999999 70.0000000000001,-11.9999999999999 69.5000000000001,-12.9999999999999 69.5000000000001)))', '70', '69.5', '-12', '-13', '68D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 70.0000000000001,-12.9999999999999 70.5000000000001,-11.9999999999999 70.5000000000001,-11.9999999999999 70.0000000000001,-12.9999999999999 70.0000000000001)))', '70.5', '70', '-12', '-13', '69D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 70.5000000000001,-12.9999999999999 71.0000000000001,-11.9999999999999 71.0000000000001,-11.9999999999999 70.5000000000001,-12.9999999999999 70.5000000000001)))', '71', '70.5', '-12', '-13', '70D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 71.0000000000001,-12.9999999999999 71.5000000000001,-11.9999999999999 71.5000000000001,-11.9999999999999 71.0000000000001,-12.9999999999999 71.0000000000001)))', '71.5', '71', '-12', '-13', '71D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 71.5000000000001,-12.9999999999999 72.0000000000001,-11.9999999999999 72.0000000000001,-11.9999999999999 71.5000000000001,-12.9999999999999 71.5000000000001)))', '72', '71.5', '-12', '-13', '72D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 72.0000000000001,-12.9999999999999 72.5000000000001,-11.9999999999999 72.5000000000001,-11.9999999999999 72.0000000000001,-12.9999999999999 72.0000000000001)))', '72.5', '72', '-12', '-13', '73D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 72.5000000000001,-12.9999999999999 73.0000000000001,-11.9999999999999 73.0000000000001,-11.9999999999999 72.5000000000001,-12.9999999999999 72.5000000000001)))', '73', '72.5', '-12', '-13', '74D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 73.0000000000001,-12.9999999999999 73.5000000000001,-11.9999999999999 73.5000000000001,-11.9999999999999 73.0000000000001,-12.9999999999999 73.0000000000001)))', '73.5', '73', '-12', '-13', '75D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 73.5000000000001,-12.9999999999999 74.0000000000001,-11.9999999999999 74.0000000000001,-11.9999999999999 73.5000000000001,-12.9999999999999 73.5000000000001)))', '74', '73.5', '-12', '-13', '76D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 74.0000000000001,-12.9999999999999 74.5000000000001,-11.9999999999999 74.5000000000001,-11.9999999999999 74.0000000000001,-12.9999999999999 74.0000000000001)))', '74.5', '74', '-12', '-13', '77D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 74.5000000000001,-12.9999999999999 75.0000000000001,-11.9999999999999 75.0000000000001,-11.9999999999999 74.5000000000001,-12.9999999999999 74.5000000000001)))', '75', '74.5', '-12', '-13', '78D7', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-12.9999999999999 75.0000000000001,-12.9999999999999 75.5000000000001,-11.9999999999999 75.5000000000001,-11.9999999999999 75.0000000000001,-12.9999999999999 75.0000000000001)))', '75.5', '75', '-12', '-13', '79D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 75.5000000000001,-12.9999999999999 76.0000000000001,-11.9999999999999 76.0000000000001,-11.9999999999999 75.5000000000001,-12.9999999999999 75.5000000000001)))', '76', '75.5', '-12', '-13', '80D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 76.0000000000001,-12.9999999999999 76.5000000000001,-11.9999999999999 76.5000000000001,-11.9999999999999 76.0000000000001,-12.9999999999999 76.0000000000001)))', '76.5', '76', '-12', '-13', '81D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 76.5000000000001,-12.9999999999999 77.0000000000001,-11.9999999999999 77.0000000000001,-11.9999999999999 76.5000000000001,-12.9999999999999 76.5000000000001)))', '77', '76.5', '-12', '-13', '82D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 77.0000000000001,-12.9999999999999 77.5000000000001,-11.9999999999999 77.5000000000001,-11.9999999999999 77.0000000000001,-12.9999999999999 77.0000000000001)))', '77.5', '77', '-12', '-13', '83D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 77.5000000000001,-12.9999999999999 78.0000000000001,-11.9999999999999 78.0000000000001,-11.9999999999999 77.5000000000001,-12.9999999999999 77.5000000000001)))', '78', '77.5', '-12', '-13', '84D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 78.0000000000001,-12.9999999999999 78.5000000000001,-11.9999999999999 78.5000000000001,-11.9999999999999 78.0000000000001,-12.9999999999999 78.0000000000001)))', '78.5', '78', '-12', '-13', '85D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 78.5000000000001,-12.9999999999999 79.0000000000001,-11.9999999999999 79.0000000000001,-11.9999999999999 78.5000000000001,-12.9999999999999 78.5000000000001)))', '79', '78.5', '-12', '-13', '86D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 79.0000000000001,-12.9999999999999 79.5000000000001,-11.9999999999999 79.5000000000001,-11.9999999999999 79.0000000000001,-12.9999999999999 79.0000000000001)))', '79.5', '79', '-12', '-13', '87D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 79.5000000000001,-12.9999999999999 80.0000000000001,-11.9999999999999 80.0000000000001,-11.9999999999999 79.5000000000001,-12.9999999999999 79.5000000000001)))', '80', '79.5', '-12', '-13', '88D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 80.0000000000001,-12.9999999999999 80.5000000000001,-11.9999999999999 80.5000000000001,-11.9999999999999 80.0000000000001,-12.9999999999999 80.0000000000001)))', '80.5', '80', '-12', '-13', '89D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 80.5000000000001,-12.9999999999999 81.0000000000001,-11.9999999999999 81.0000000000001,-11.9999999999999 80.5000000000001,-12.9999999999999 80.5000000000001)))', '81', '80.5', '-12', '-13', '90D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 81.0000000000001,-12.9999999999999 81.5000000000001,-11.9999999999999 81.5000000000001,-11.9999999999999 81.0000000000001,-12.9999999999999 81.0000000000001)))', '81.5', '81', '-12', '-13', '91D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 81.5000000000001,-12.9999999999999 82.0000000000001,-11.9999999999999 82.0000000000001,-11.9999999999999 81.5000000000001,-12.9999999999999 81.5000000000001)))', '82', '81.5', '-12', '-13', '92D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 82.0000000000001,-12.9999999999999 82.5000000000001,-11.9999999999999 82.5000000000001,-11.9999999999999 82.0000000000001,-12.9999999999999 82.0000000000001)))', '82.5', '82', '-12', '-13', '93D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 82.5000000000001,-12.9999999999999 83.0000000000001,-11.9999999999999 83.0000000000001,-11.9999999999999 82.5000000000001,-12.9999999999999 82.5000000000001)))', '83', '82.5', '-12', '-13', '94D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 83.0000000000001,-12.9999999999999 83.5000000000001,-11.9999999999999 83.5000000000001,-11.9999999999999 83.0000000000001,-12.9999999999999 83.0000000000001)))', '83.5', '83', '-12', '-13', '95D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 83.5000000000001,-12.9999999999999 84.0000000000001,-11.9999999999999 84.0000000000001,-11.9999999999999 83.5000000000001,-12.9999999999999 83.5000000000001)))', '84', '83.5', '-12', '-13', '96D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 84.0000000000001,-12.9999999999999 84.5000000000001,-11.9999999999999 84.5000000000001,-11.9999999999999 84.0000000000001,-12.9999999999999 84.0000000000001)))', '84.5', '84', '-12', '-13', '97D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-12.9999999999999 84.5000000000001,-12.9999999999999 85.0000000000001,-11.9999999999999 85.0000000000001,-11.9999999999999 84.5000000000001,-12.9999999999999 84.5000000000001)))', '85', '84.5', '-12', '-13', '98D7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 36.0000000000001,-11.9999999999999 36.5000000000001,-10.9999999999999 36.5000000000001,-10.9999999999999 36.0000000000001,-11.9999999999999 36.0000000000001)))', '36.5', '36', '-11', '-12', '01D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 36.5000000000001,-11.9999999999999 37.0000000000001,-10.9999999999999 37.0000000000001,-10.9999999999999 36.5000000000001,-11.9999999999999 36.5000000000001)))', '37', '36.5', '-11', '-12', '02D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 37.0000000000001,-11.9999999999999 37.5000000000001,-10.9999999999999 37.5000000000001,-10.9999999999999 37.0000000000001,-11.9999999999999 37.0000000000001)))', '37.5', '37', '-11', '-12', '03D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 37.5000000000001,-11.9999999999999 38.0000000000001,-10.9999999999999 38.0000000000001,-10.9999999999999 37.5000000000001,-11.9999999999999 37.5000000000001)))', '38', '37.5', '-11', '-12', '04D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 38.0000000000001,-11.9999999999999 38.5000000000001,-10.9999999999999 38.5000000000001,-10.9999999999999 38.0000000000001,-11.9999999999999 38.0000000000001)))', '38.5', '38', '-11', '-12', '05D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 38.5000000000001,-11.9999999999999 39.0000000000001,-10.9999999999999 39.0000000000001,-10.9999999999999 38.5000000000001,-11.9999999999999 38.5000000000001)))', '39', '38.5', '-11', '-12', '06D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 39.0000000000001,-11.9999999999999 39.5000000000001,-10.9999999999999 39.5000000000001,-10.9999999999999 39.0000000000001,-11.9999999999999 39.0000000000001)))', '39.5', '39', '-11', '-12', '07D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 39.5000000000001,-11.9999999999999 40.0000000000001,-10.9999999999999 40.0000000000001,-10.9999999999999 39.5000000000001,-11.9999999999999 39.5000000000001)))', '40', '39.5', '-11', '-12', '08D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 40.0000000000001,-11.9999999999999 40.5000000000001,-10.9999999999999 40.5000000000001,-10.9999999999999 40.0000000000001,-11.9999999999999 40.0000000000001)))', '40.5', '40', '-11', '-12', '09D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 40.5000000000001,-11.9999999999999 41.0000000000001,-10.9999999999999 41.0000000000001,-10.9999999999999 40.5000000000001,-11.9999999999999 40.5000000000001)))', '41', '40.5', '-11', '-12', '10D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 41.0000000000001,-11.9999999999999 41.5000000000001,-10.9999999999999 41.5000000000001,-10.9999999999999 41.0000000000001,-11.9999999999999 41.0000000000001)))', '41.5', '41', '-11', '-12', '11D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 41.5000000000001,-11.9999999999999 42.0000000000001,-10.9999999999999 42.0000000000001,-10.9999999999999 41.5000000000001,-11.9999999999999 41.5000000000001)))', '42', '41.5', '-11', '-12', '12D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 42.0000000000001,-11.9999999999999 42.5000000000001,-10.9999999999999 42.5000000000001,-10.9999999999999 42.0000000000001,-11.9999999999999 42.0000000000001)))', '42.5', '42', '-11', '-12', '13D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 42.5000000000001,-11.9999999999999 43.0000000000001,-10.9999999999999 43.0000000000001,-10.9999999999999 42.5000000000001,-11.9999999999999 42.5000000000001)))', '43', '42.5', '-11', '-12', '14D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 43.0000000000001,-11.9999999999999 43.5000000000001,-10.9999999999999 43.5000000000001,-10.9999999999999 43.0000000000001,-11.9999999999999 43.0000000000001)))', '43.5', '43', '-11', '-12', '15D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 43.5000000000001,-11.9999999999999 44.0000000000001,-10.9999999999999 44.0000000000001,-10.9999999999999 43.5000000000001,-11.9999999999999 43.5000000000001)))', '44', '43.5', '-11', '-12', '16D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 44.0000000000001,-11.9999999999999 44.5000000000001,-10.9999999999999 44.5000000000001,-10.9999999999999 44.0000000000001,-11.9999999999999 44.0000000000001)))', '44.5', '44', '-11', '-12', '17D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 44.5000000000001,-11.9999999999999 45.0000000000001,-10.9999999999999 45.0000000000001,-10.9999999999999 44.5000000000001,-11.9999999999999 44.5000000000001)))', '45', '44.5', '-11', '-12', '18D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 45.0000000000001,-11.9999999999999 45.5000000000001,-10.9999999999999 45.5000000000001,-10.9999999999999 45.0000000000001,-11.9999999999999 45.0000000000001)))', '45.5', '45', '-11', '-12', '19D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 45.5000000000001,-11.9999999999999 46.0000000000001,-10.9999999999999 46.0000000000001,-10.9999999999999 45.5000000000001,-11.9999999999999 45.5000000000001)))', '46', '45.5', '-11', '-12', '20D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 46.0000000000001,-11.9999999999999 46.5000000000001,-10.9999999999999 46.5000000000001,-10.9999999999999 46.0000000000001,-11.9999999999999 46.0000000000001)))', '46.5', '46', '-11', '-12', '21D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 46.5000000000001,-11.9999999999999 47.0000000000001,-10.9999999999999 47.0000000000001,-10.9999999999999 46.5000000000001,-11.9999999999999 46.5000000000001)))', '47', '46.5', '-11', '-12', '22D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 47.0000000000001,-11.9999999999999 47.5000000000001,-10.9999999999999 47.5000000000001,-10.9999999999999 47.0000000000001,-11.9999999999999 47.0000000000001)))', '47.5', '47', '-11', '-12', '23D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 47.5000000000001,-11.9999999999999 48.0000000000001,-10.9999999999999 48.0000000000001,-10.9999999999999 47.5000000000001,-11.9999999999999 47.5000000000001)))', '48', '47.5', '-11', '-12', '24D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 48.0000000000001,-11.9999999999999 48.5000000000001,-10.9999999999999 48.5000000000001,-10.9999999999999 48.0000000000001,-11.9999999999999 48.0000000000001)))', '48.5', '48', '-11', '-12', '25D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 48.5000000000001,-11.9999999999999 49.0000000000001,-10.9999999999999 49.0000000000001,-10.9999999999999 48.5000000000001,-11.9999999999999 48.5000000000001)))', '49', '48.5', '-11', '-12', '26D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 49.0000000000001,-11.9999999999999 49.5000000000001,-10.9999999999999 49.5000000000001,-10.9999999999999 49.0000000000001,-11.9999999999999 49.0000000000001)))', '49.5', '49', '-11', '-12', '27D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 49.5000000000001,-11.9999999999999 50.0000000000001,-10.9999999999999 50.0000000000001,-10.9999999999999 49.5000000000001,-11.9999999999999 49.5000000000001)))', '50', '49.5', '-11', '-12', '28D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 50.0000000000001,-11.9999999999999 50.5000000000001,-10.9999999999999 50.5000000000001,-10.9999999999999 50.0000000000001,-11.9999999999999 50.0000000000001)))', '50.5', '50', '-11', '-12', '29D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 50.5000000000001,-11.9999999999999 51.0000000000001,-10.9999999999999 51.0000000000001,-10.9999999999999 50.5000000000001,-11.9999999999999 50.5000000000001)))', '51', '50.5', '-11', '-12', '30D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 51.0000000000001,-11.9999999999999 51.5000000000001,-10.9999999999999 51.5000000000001,-10.9999999999999 51.0000000000001,-11.9999999999999 51.0000000000001)))', '51.5', '51', '-11', '-12', '31D8', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-11.9999999999999 51.5000000000001,-11.9999999999999 52.0000000000001,-10.9999999999999 52.0000000000001,-10.9999999999999 51.5000000000001,-11.9999999999999 51.5000000000001)))', '52', '51.5', '-11', '-12', '32D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 52.0000000000001,-11.9999999999999 52.5000000000001,-10.9999999999999 52.5000000000001,-10.9999999999999 52.0000000000001,-11.9999999999999 52.0000000000001)))', '52.5', '52', '-11', '-12', '33D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 52.5000000000001,-11.9999999999999 53.0000000000001,-10.9999999999999 53.0000000000001,-10.9999999999999 52.5000000000001,-11.9999999999999 52.5000000000001)))', '53', '52.5', '-11', '-12', '34D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 53.0000000000001,-11.9999999999999 53.5000000000001,-10.9999999999999 53.5000000000001,-10.9999999999999 53.0000000000001,-11.9999999999999 53.0000000000001)))', '53.5', '53', '-11', '-12', '35D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 53.5000000000001,-11.9999999999999 54.0000000000001,-10.9999999999999 54.0000000000001,-10.9999999999999 53.5000000000001,-11.9999999999999 53.5000000000001)))', '54', '53.5', '-11', '-12', '36D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 54.0000000000001,-11.9999999999999 54.5000000000001,-10.9999999999999 54.5000000000001,-10.9999999999999 54.0000000000001,-11.9999999999999 54.0000000000001)))', '54.5', '54', '-11', '-12', '37D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 54.5000000000001,-11.9999999999999 55.0000000000001,-10.9999999999999 55.0000000000001,-10.9999999999999 54.5000000000001,-11.9999999999999 54.5000000000001)))', '55', '54.5', '-11', '-12', '38D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 55.0000000000001,-11.9999999999999 55.5000000000001,-10.9999999999999 55.5000000000001,-10.9999999999999 55.0000000000001,-11.9999999999999 55.0000000000001)))', '55.5', '55', '-11', '-12', '39D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 55.5000000000001,-11.9999999999999 56.0000000000001,-10.9999999999999 56.0000000000001,-10.9999999999999 55.5000000000001,-11.9999999999999 55.5000000000001)))', '56', '55.5', '-11', '-12', '40D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 56.0000000000001,-11.9999999999999 56.5000000000001,-10.9999999999999 56.5000000000001,-10.9999999999999 56.0000000000001,-11.9999999999999 56.0000000000001)))', '56.5', '56', '-11', '-12', '41D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 56.5000000000001,-11.9999999999999 57.0000000000001,-10.9999999999999 57.0000000000001,-10.9999999999999 56.5000000000001,-11.9999999999999 56.5000000000001)))', '57', '56.5', '-11', '-12', '42D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 57.0000000000001,-11.9999999999999 57.5000000000001,-10.9999999999999 57.5000000000001,-10.9999999999999 57.0000000000001,-11.9999999999999 57.0000000000001)))', '57.5', '57', '-11', '-12', '43D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 57.5000000000001,-11.9999999999999 58.0000000000001,-10.9999999999999 58.0000000000001,-10.9999999999999 57.5000000000001,-11.9999999999999 57.5000000000001)))', '58', '57.5', '-11', '-12', '44D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 58.0000000000001,-11.9999999999999 58.5000000000001,-10.9999999999999 58.5000000000001,-10.9999999999999 58.0000000000001,-11.9999999999999 58.0000000000001)))', '58.5', '58', '-11', '-12', '45D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 58.5000000000001,-11.9999999999999 59.0000000000001,-10.9999999999999 59.0000000000001,-10.9999999999999 58.5000000000001,-11.9999999999999 58.5000000000001)))', '59', '58.5', '-11', '-12', '46D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 59.0000000000001,-11.9999999999999 59.5000000000001,-10.9999999999999 59.5000000000001,-10.9999999999999 59.0000000000001,-11.9999999999999 59.0000000000001)))', '59.5', '59', '-11', '-12', '47D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 59.5000000000001,-11.9999999999999 60.0000000000001,-10.9999999999999 60.0000000000001,-10.9999999999999 59.5000000000001,-11.9999999999999 59.5000000000001)))', '60', '59.5', '-11', '-12', '48D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 60.0000000000001,-11.9999999999999 60.5000000000001,-10.9999999999999 60.5000000000001,-10.9999999999999 60.0000000000001,-11.9999999999999 60.0000000000001)))', '60.5', '60', '-11', '-12', '49D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 60.5000000000001,-11.9999999999999 61.0000000000001,-10.9999999999999 61.0000000000001,-10.9999999999999 60.5000000000001,-11.9999999999999 60.5000000000001)))', '61', '60.5', '-11', '-12', '50D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 61.0000000000001,-11.9999999999999 61.5000000000001,-10.9999999999999 61.5000000000001,-10.9999999999999 61.0000000000001,-11.9999999999999 61.0000000000001)))', '61.5', '61', '-11', '-12', '51D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 61.5000000000001,-11.9999999999999 62.0000000000001,-10.9999999999999 62.0000000000001,-10.9999999999999 61.5000000000001,-11.9999999999999 61.5000000000001)))', '62', '61.5', '-11', '-12', '52D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 62.0000000000001,-11.9999999999999 62.5000000000001,-10.9999999999999 62.5000000000001,-10.9999999999999 62.0000000000001,-11.9999999999999 62.0000000000001)))', '62.5', '62', '-11', '-12', '53D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 62.5000000000001,-11.9999999999999 63.0000000000001,-10.9999999999999 63.0000000000001,-10.9999999999999 62.5000000000001,-11.9999999999999 62.5000000000001)))', '63', '62.5', '-11', '-12', '54D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 63.0000000000001,-11.9999999999999 63.5000000000001,-10.9999999999999 63.5000000000001,-10.9999999999999 63.0000000000001,-11.9999999999999 63.0000000000001)))', '63.5', '63', '-11', '-12', '55D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 63.5000000000001,-11.9999999999999 64.0000000000001,-10.9999999999999 64.0000000000001,-10.9999999999999 63.5000000000001,-11.9999999999999 63.5000000000001)))', '64', '63.5', '-11', '-12', '56D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 64.0000000000001,-11.9999999999999 64.5000000000001,-10.9999999999999 64.5000000000001,-10.9999999999999 64.0000000000001,-11.9999999999999 64.0000000000001)))', '64.5', '64', '-11', '-12', '57D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 64.5000000000001,-11.9999999999999 65.0000000000001,-10.9999999999999 65.0000000000001,-10.9999999999999 64.5000000000001,-11.9999999999999 64.5000000000001)))', '65', '64.5', '-11', '-12', '58D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 65.0000000000001,-11.9999999999999 65.5000000000001,-10.9999999999999 65.5000000000001,-10.9999999999999 65.0000000000001,-11.9999999999999 65.0000000000001)))', '65.5', '65', '-11', '-12', '59D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 65.5000000000001,-11.9999999999999 66.0000000000001,-10.9999999999999 66.0000000000001,-10.9999999999999 65.5000000000001,-11.9999999999999 65.5000000000001)))', '66', '65.5', '-11', '-12', '60D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 66.0000000000001,-11.9999999999999 66.5000000000001,-10.9999999999999 66.5000000000001,-10.9999999999999 66.0000000000001,-11.9999999999999 66.0000000000001)))', '66.5', '66', '-11', '-12', '61D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 66.5000000000001,-11.9999999999999 67.0000000000001,-10.9999999999999 67.0000000000001,-10.9999999999999 66.5000000000001,-11.9999999999999 66.5000000000001)))', '67', '66.5', '-11', '-12', '62D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 67.0000000000001,-11.9999999999999 67.5000000000001,-10.9999999999999 67.5000000000001,-10.9999999999999 67.0000000000001,-11.9999999999999 67.0000000000001)))', '67.5', '67', '-11', '-12', '63D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 67.5000000000001,-11.9999999999999 68.0000000000001,-10.9999999999999 68.0000000000001,-10.9999999999999 67.5000000000001,-11.9999999999999 67.5000000000001)))', '68', '67.5', '-11', '-12', '64D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 68.0000000000001,-11.9999999999999 68.5000000000001,-10.9999999999999 68.5000000000001,-10.9999999999999 68.0000000000001,-11.9999999999999 68.0000000000001)))', '68.5', '68', '-11', '-12', '65D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 68.5000000000001,-11.9999999999999 69.0000000000001,-10.9999999999999 69.0000000000001,-10.9999999999999 68.5000000000001,-11.9999999999999 68.5000000000001)))', '69', '68.5', '-11', '-12', '66D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 69.0000000000001,-11.9999999999999 69.5000000000001,-10.9999999999999 69.5000000000001,-10.9999999999999 69.0000000000001,-11.9999999999999 69.0000000000001)))', '69.5', '69', '-11', '-12', '67D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 69.5000000000001,-11.9999999999999 70.0000000000001,-10.9999999999999 70.0000000000001,-10.9999999999999 69.5000000000001,-11.9999999999999 69.5000000000001)))', '70', '69.5', '-11', '-12', '68D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 70.0000000000001,-11.9999999999999 70.5000000000001,-10.9999999999999 70.5000000000001,-10.9999999999999 70.0000000000001,-11.9999999999999 70.0000000000001)))', '70.5', '70', '-11', '-12', '69D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 70.5000000000001,-11.9999999999999 71.0000000000001,-10.9999999999999 71.0000000000001,-10.9999999999999 70.5000000000001,-11.9999999999999 70.5000000000001)))', '71', '70.5', '-11', '-12', '70D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 71.0000000000001,-11.9999999999999 71.5000000000001,-10.9999999999999 71.5000000000001,-10.9999999999999 71.0000000000001,-11.9999999999999 71.0000000000001)))', '71.5', '71', '-11', '-12', '71D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 71.5000000000001,-11.9999999999999 72.0000000000001,-10.9999999999999 72.0000000000001,-10.9999999999999 71.5000000000001,-11.9999999999999 71.5000000000001)))', '72', '71.5', '-11', '-12', '72D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 72.0000000000001,-11.9999999999999 72.5000000000001,-10.9999999999999 72.5000000000001,-10.9999999999999 72.0000000000001,-11.9999999999999 72.0000000000001)))', '72.5', '72', '-11', '-12', '73D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 72.5000000000001,-11.9999999999999 73.0000000000001,-10.9999999999999 73.0000000000001,-10.9999999999999 72.5000000000001,-11.9999999999999 72.5000000000001)))', '73', '72.5', '-11', '-12', '74D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 73.0000000000001,-11.9999999999999 73.5000000000001,-10.9999999999999 73.5000000000001,-10.9999999999999 73.0000000000001,-11.9999999999999 73.0000000000001)))', '73.5', '73', '-11', '-12', '75D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 73.5000000000001,-11.9999999999999 74.0000000000001,-10.9999999999999 74.0000000000001,-10.9999999999999 73.5000000000001,-11.9999999999999 73.5000000000001)))', '74', '73.5', '-11', '-12', '76D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 74.0000000000001,-11.9999999999999 74.5000000000001,-10.9999999999999 74.5000000000001,-10.9999999999999 74.0000000000001,-11.9999999999999 74.0000000000001)))', '74.5', '74', '-11', '-12', '77D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 74.5000000000001,-11.9999999999999 75.0000000000001,-10.9999999999999 75.0000000000001,-10.9999999999999 74.5000000000001,-11.9999999999999 74.5000000000001)))', '75', '74.5', '-11', '-12', '78D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 75.0000000000001,-11.9999999999999 75.5000000000001,-10.9999999999999 75.5000000000001,-10.9999999999999 75.0000000000001,-11.9999999999999 75.0000000000001)))', '75.5', '75', '-11', '-12', '79D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 75.5000000000001,-11.9999999999999 76.0000000000001,-10.9999999999999 76.0000000000001,-10.9999999999999 75.5000000000001,-11.9999999999999 75.5000000000001)))', '76', '75.5', '-11', '-12', '80D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 76.0000000000001,-11.9999999999999 76.5000000000001,-10.9999999999999 76.5000000000001,-10.9999999999999 76.0000000000001,-11.9999999999999 76.0000000000001)))', '76.5', '76', '-11', '-12', '81D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 76.5000000000001,-11.9999999999999 77.0000000000001,-10.9999999999999 77.0000000000001,-10.9999999999999 76.5000000000001,-11.9999999999999 76.5000000000001)))', '77', '76.5', '-11', '-12', '82D8', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-11.9999999999999 77.0000000000001,-11.9999999999999 77.5000000000001,-10.9999999999999 77.5000000000001,-10.9999999999999 77.0000000000001,-11.9999999999999 77.0000000000001)))', '77.5', '77', '-11', '-12', '83D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 77.5000000000001,-11.9999999999999 78.0000000000001,-10.9999999999999 78.0000000000001,-10.9999999999999 77.5000000000001,-11.9999999999999 77.5000000000001)))', '78', '77.5', '-11', '-12', '84D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 78.0000000000001,-11.9999999999999 78.5000000000001,-10.9999999999999 78.5000000000001,-10.9999999999999 78.0000000000001,-11.9999999999999 78.0000000000001)))', '78.5', '78', '-11', '-12', '85D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 78.5000000000001,-11.9999999999999 79.0000000000001,-10.9999999999999 79.0000000000001,-10.9999999999999 78.5000000000001,-11.9999999999999 78.5000000000001)))', '79', '78.5', '-11', '-12', '86D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 79.0000000000001,-11.9999999999999 79.5000000000001,-10.9999999999999 79.5000000000001,-10.9999999999999 79.0000000000001,-11.9999999999999 79.0000000000001)))', '79.5', '79', '-11', '-12', '87D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 79.5000000000001,-11.9999999999999 80.0000000000001,-10.9999999999999 80.0000000000001,-10.9999999999999 79.5000000000001,-11.9999999999999 79.5000000000001)))', '80', '79.5', '-11', '-12', '88D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 80.0000000000001,-11.9999999999999 80.5000000000001,-10.9999999999999 80.5000000000001,-10.9999999999999 80.0000000000001,-11.9999999999999 80.0000000000001)))', '80.5', '80', '-11', '-12', '89D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 80.5000000000001,-11.9999999999999 81.0000000000001,-10.9999999999999 81.0000000000001,-10.9999999999999 80.5000000000001,-11.9999999999999 80.5000000000001)))', '81', '80.5', '-11', '-12', '90D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 81.0000000000001,-11.9999999999999 81.5000000000001,-10.9999999999999 81.5000000000001,-10.9999999999999 81.0000000000001,-11.9999999999999 81.0000000000001)))', '81.5', '81', '-11', '-12', '91D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 81.5000000000001,-11.9999999999999 82.0000000000001,-10.9999999999999 82.0000000000001,-10.9999999999999 81.5000000000001,-11.9999999999999 81.5000000000001)))', '82', '81.5', '-11', '-12', '92D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 82.0000000000001,-11.9999999999999 82.5000000000001,-10.9999999999999 82.5000000000001,-10.9999999999999 82.0000000000001,-11.9999999999999 82.0000000000001)))', '82.5', '82', '-11', '-12', '93D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 82.5000000000001,-11.9999999999999 83.0000000000001,-10.9999999999999 83.0000000000001,-10.9999999999999 82.5000000000001,-11.9999999999999 82.5000000000001)))', '83', '82.5', '-11', '-12', '94D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 83.0000000000001,-11.9999999999999 83.5000000000001,-10.9999999999999 83.5000000000001,-10.9999999999999 83.0000000000001,-11.9999999999999 83.0000000000001)))', '83.5', '83', '-11', '-12', '95D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 83.5000000000001,-11.9999999999999 84.0000000000001,-10.9999999999999 84.0000000000001,-10.9999999999999 83.5000000000001,-11.9999999999999 83.5000000000001)))', '84', '83.5', '-11', '-12', '96D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 84.0000000000001,-11.9999999999999 84.5000000000001,-10.9999999999999 84.5000000000001,-10.9999999999999 84.0000000000001,-11.9999999999999 84.0000000000001)))', '84.5', '84', '-11', '-12', '97D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-11.9999999999999 84.5000000000001,-11.9999999999999 85.0000000000001,-10.9999999999999 85.0000000000001,-10.9999999999999 84.5000000000001,-11.9999999999999 84.5000000000001)))', '85', '84.5', '-11', '-12', '98D8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 36.0000000000001,-10.9999999999999 36.5000000000001,-9.99999999999994 36.5000000000001,-9.99999999999994 36.0000000000001,-10.9999999999999 36.0000000000001)))', '36.5', '36', '-10', '-11', '01D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 36.5000000000001,-10.9999999999999 37.0000000000001,-9.99999999999994 37.0000000000001,-9.99999999999994 36.5000000000001,-10.9999999999999 36.5000000000001)))', '37', '36.5', '-10', '-11', '02D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 37.0000000000001,-10.9999999999999 37.5000000000001,-9.99999999999994 37.5000000000001,-9.99999999999994 37.0000000000001,-10.9999999999999 37.0000000000001)))', '37.5', '37', '-10', '-11', '03D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 37.5000000000001,-10.9999999999999 38.0000000000001,-9.99999999999994 38.0000000000001,-9.99999999999994 37.5000000000001,-10.9999999999999 37.5000000000001)))', '38', '37.5', '-10', '-11', '04D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 38.0000000000001,-10.9999999999999 38.5000000000001,-9.99999999999994 38.5000000000001,-9.99999999999994 38.0000000000001,-10.9999999999999 38.0000000000001)))', '38.5', '38', '-10', '-11', '05D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 38.5000000000001,-10.9999999999999 39.0000000000001,-9.99999999999994 39.0000000000001,-9.99999999999994 38.5000000000001,-10.9999999999999 38.5000000000001)))', '39', '38.5', '-10', '-11', '06D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 39.0000000000001,-10.9999999999999 39.5000000000001,-9.99999999999994 39.5000000000001,-9.99999999999994 39.0000000000001,-10.9999999999999 39.0000000000001)))', '39.5', '39', '-10', '-11', '07D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 39.5000000000001,-10.9999999999999 40.0000000000001,-9.99999999999994 40.0000000000001,-9.99999999999994 39.5000000000001,-10.9999999999999 39.5000000000001)))', '40', '39.5', '-10', '-11', '08D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 40.0000000000001,-10.9999999999999 40.5000000000001,-9.99999999999994 40.5000000000001,-9.99999999999994 40.0000000000001,-10.9999999999999 40.0000000000001)))', '40.5', '40', '-10', '-11', '09D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 40.5000000000001,-10.9999999999999 41.0000000000001,-9.99999999999994 41.0000000000001,-9.99999999999994 40.5000000000001,-10.9999999999999 40.5000000000001)))', '41', '40.5', '-10', '-11', '10D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 41.0000000000001,-10.9999999999999 41.5000000000001,-9.99999999999994 41.5000000000001,-9.99999999999994 41.0000000000001,-10.9999999999999 41.0000000000001)))', '41.5', '41', '-10', '-11', '11D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 41.5000000000001,-10.9999999999999 42.0000000000001,-9.99999999999994 42.0000000000001,-9.99999999999994 41.5000000000001,-10.9999999999999 41.5000000000001)))', '42', '41.5', '-10', '-11', '12D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 42.0000000000001,-10.9999999999999 42.5000000000001,-9.99999999999994 42.5000000000001,-9.99999999999994 42.0000000000001,-10.9999999999999 42.0000000000001)))', '42.5', '42', '-10', '-11', '13D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 42.5000000000001,-10.9999999999999 43.0000000000001,-9.99999999999994 43.0000000000001,-9.99999999999994 42.5000000000001,-10.9999999999999 42.5000000000001)))', '43', '42.5', '-10', '-11', '14D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 43.0000000000001,-10.9999999999999 43.5000000000001,-9.99999999999994 43.5000000000001,-9.99999999999994 43.0000000000001,-10.9999999999999 43.0000000000001)))', '43.5', '43', '-10', '-11', '15D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 43.5000000000001,-10.9999999999999 44.0000000000001,-9.99999999999994 44.0000000000001,-9.99999999999994 43.5000000000001,-10.9999999999999 43.5000000000001)))', '44', '43.5', '-10', '-11', '16D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 44.0000000000001,-10.9999999999999 44.5000000000001,-9.99999999999994 44.5000000000001,-9.99999999999994 44.0000000000001,-10.9999999999999 44.0000000000001)))', '44.5', '44', '-10', '-11', '17D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 44.5000000000001,-10.9999999999999 45.0000000000001,-9.99999999999994 45.0000000000001,-9.99999999999994 44.5000000000001,-10.9999999999999 44.5000000000001)))', '45', '44.5', '-10', '-11', '18D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 45.0000000000001,-10.9999999999999 45.5000000000001,-9.99999999999994 45.5000000000001,-9.99999999999994 45.0000000000001,-10.9999999999999 45.0000000000001)))', '45.5', '45', '-10', '-11', '19D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 45.5000000000001,-10.9999999999999 46.0000000000001,-9.99999999999994 46.0000000000001,-9.99999999999994 45.5000000000001,-10.9999999999999 45.5000000000001)))', '46', '45.5', '-10', '-11', '20D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 46.0000000000001,-10.9999999999999 46.5000000000001,-9.99999999999994 46.5000000000001,-9.99999999999994 46.0000000000001,-10.9999999999999 46.0000000000001)))', '46.5', '46', '-10', '-11', '21D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 46.5000000000001,-10.9999999999999 47.0000000000001,-9.99999999999994 47.0000000000001,-9.99999999999994 46.5000000000001,-10.9999999999999 46.5000000000001)))', '47', '46.5', '-10', '-11', '22D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 47.0000000000001,-10.9999999999999 47.5000000000001,-9.99999999999994 47.5000000000001,-9.99999999999994 47.0000000000001,-10.9999999999999 47.0000000000001)))', '47.5', '47', '-10', '-11', '23D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 47.5000000000001,-10.9999999999999 48.0000000000001,-9.99999999999994 48.0000000000001,-9.99999999999994 47.5000000000001,-10.9999999999999 47.5000000000001)))', '48', '47.5', '-10', '-11', '24D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 48.0000000000001,-10.9999999999999 48.5000000000001,-9.99999999999994 48.5000000000001,-9.99999999999994 48.0000000000001,-10.9999999999999 48.0000000000001)))', '48.5', '48', '-10', '-11', '25D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 48.5000000000001,-10.9999999999999 49.0000000000001,-9.99999999999994 49.0000000000001,-9.99999999999994 48.5000000000001,-10.9999999999999 48.5000000000001)))', '49', '48.5', '-10', '-11', '26D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 49.0000000000001,-10.9999999999999 49.5000000000001,-9.99999999999994 49.5000000000001,-9.99999999999994 49.0000000000001,-10.9999999999999 49.0000000000001)))', '49.5', '49', '-10', '-11', '27D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 49.5000000000001,-10.9999999999999 50.0000000000001,-9.99999999999994 50.0000000000001,-9.99999999999994 49.5000000000001,-10.9999999999999 49.5000000000001)))', '50', '49.5', '-10', '-11', '28D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 50.0000000000001,-10.9999999999999 50.5000000000001,-9.99999999999994 50.5000000000001,-9.99999999999994 50.0000000000001,-10.9999999999999 50.0000000000001)))', '50.5', '50', '-10', '-11', '29D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 50.5000000000001,-10.9999999999999 51.0000000000001,-9.99999999999994 51.0000000000001,-9.99999999999994 50.5000000000001,-10.9999999999999 50.5000000000001)))', '51', '50.5', '-10', '-11', '30D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 51.0000000000001,-10.9999999999999 51.5000000000001,-9.99999999999994 51.5000000000001,-9.99999999999994 51.0000000000001,-10.9999999999999 51.0000000000001)))', '51.5', '51', '-10', '-11', '31D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 51.5000000000001,-10.9999999999999 52.0000000000001,-9.99999999999994 52.0000000000001,-9.99999999999994 51.5000000000001,-10.9999999999999 51.5000000000001)))', '52', '51.5', '-10', '-11', '32D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 52.0000000000001,-10.9999999999999 52.5000000000001,-9.99999999999994 52.5000000000001,-9.99999999999994 52.0000000000001,-10.9999999999999 52.0000000000001)))', '52.5', '52', '-10', '-11', '33D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 52.5000000000001,-10.9999999999999 53.0000000000001,-9.99999999999994 53.0000000000001,-9.99999999999994 52.5000000000001,-10.9999999999999 52.5000000000001)))', '53', '52.5', '-10', '-11', '34D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 53.0000000000001,-10.9999999999999 53.5000000000001,-9.99999999999994 53.5000000000001,-9.99999999999994 53.0000000000001,-10.9999999999999 53.0000000000001)))', '53.5', '53', '-10', '-11', '35D9', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-10.9999999999999 53.5000000000001,-10.9999999999999 54.0000000000001,-9.99999999999994 54.0000000000001,-9.99999999999994 53.5000000000001,-10.9999999999999 53.5000000000001)))', '54', '53.5', '-10', '-11', '36D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 54.0000000000001,-10.9999999999999 54.5000000000001,-9.99999999999994 54.5000000000001,-9.99999999999994 54.0000000000001,-10.9999999999999 54.0000000000001)))', '54.5', '54', '-10', '-11', '37D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 54.5000000000001,-10.9999999999999 55.0000000000001,-9.99999999999994 55.0000000000001,-9.99999999999994 54.5000000000001,-10.9999999999999 54.5000000000001)))', '55', '54.5', '-10', '-11', '38D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 55.0000000000001,-10.9999999999999 55.5000000000001,-9.99999999999994 55.5000000000001,-9.99999999999994 55.0000000000001,-10.9999999999999 55.0000000000001)))', '55.5', '55', '-10', '-11', '39D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 55.5000000000001,-10.9999999999999 56.0000000000001,-9.99999999999994 56.0000000000001,-9.99999999999994 55.5000000000001,-10.9999999999999 55.5000000000001)))', '56', '55.5', '-10', '-11', '40D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 56.0000000000001,-10.9999999999999 56.5000000000001,-9.99999999999994 56.5000000000001,-9.99999999999994 56.0000000000001,-10.9999999999999 56.0000000000001)))', '56.5', '56', '-10', '-11', '41D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 56.5000000000001,-10.9999999999999 57.0000000000001,-9.99999999999994 57.0000000000001,-9.99999999999994 56.5000000000001,-10.9999999999999 56.5000000000001)))', '57', '56.5', '-10', '-11', '42D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 57.0000000000001,-10.9999999999999 57.5000000000001,-9.99999999999994 57.5000000000001,-9.99999999999994 57.0000000000001,-10.9999999999999 57.0000000000001)))', '57.5', '57', '-10', '-11', '43D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 57.5000000000001,-10.9999999999999 58.0000000000001,-9.99999999999994 58.0000000000001,-9.99999999999994 57.5000000000001,-10.9999999999999 57.5000000000001)))', '58', '57.5', '-10', '-11', '44D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 58.0000000000001,-10.9999999999999 58.5000000000001,-9.99999999999994 58.5000000000001,-9.99999999999994 58.0000000000001,-10.9999999999999 58.0000000000001)))', '58.5', '58', '-10', '-11', '45D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 58.5000000000001,-10.9999999999999 59.0000000000001,-9.99999999999994 59.0000000000001,-9.99999999999994 58.5000000000001,-10.9999999999999 58.5000000000001)))', '59', '58.5', '-10', '-11', '46D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 59.0000000000001,-10.9999999999999 59.5000000000001,-9.99999999999994 59.5000000000001,-9.99999999999994 59.0000000000001,-10.9999999999999 59.0000000000001)))', '59.5', '59', '-10', '-11', '47D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 59.5000000000001,-10.9999999999999 60.0000000000001,-9.99999999999994 60.0000000000001,-9.99999999999994 59.5000000000001,-10.9999999999999 59.5000000000001)))', '60', '59.5', '-10', '-11', '48D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 60.0000000000001,-10.9999999999999 60.5000000000001,-9.99999999999994 60.5000000000001,-9.99999999999994 60.0000000000001,-10.9999999999999 60.0000000000001)))', '60.5', '60', '-10', '-11', '49D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 60.5000000000001,-10.9999999999999 61.0000000000001,-9.99999999999994 61.0000000000001,-9.99999999999994 60.5000000000001,-10.9999999999999 60.5000000000001)))', '61', '60.5', '-10', '-11', '50D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 61.0000000000001,-10.9999999999999 61.5000000000001,-9.99999999999994 61.5000000000001,-9.99999999999994 61.0000000000001,-10.9999999999999 61.0000000000001)))', '61.5', '61', '-10', '-11', '51D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 61.5000000000001,-10.9999999999999 62.0000000000001,-9.99999999999994 62.0000000000001,-9.99999999999994 61.5000000000001,-10.9999999999999 61.5000000000001)))', '62', '61.5', '-10', '-11', '52D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 62.0000000000001,-10.9999999999999 62.5000000000001,-9.99999999999994 62.5000000000001,-9.99999999999994 62.0000000000001,-10.9999999999999 62.0000000000001)))', '62.5', '62', '-10', '-11', '53D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 62.5000000000001,-10.9999999999999 63.0000000000001,-9.99999999999994 63.0000000000001,-9.99999999999994 62.5000000000001,-10.9999999999999 62.5000000000001)))', '63', '62.5', '-10', '-11', '54D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 63.0000000000001,-10.9999999999999 63.5000000000001,-9.99999999999994 63.5000000000001,-9.99999999999994 63.0000000000001,-10.9999999999999 63.0000000000001)))', '63.5', '63', '-10', '-11', '55D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 63.5000000000001,-10.9999999999999 64.0000000000001,-9.99999999999994 64.0000000000001,-9.99999999999994 63.5000000000001,-10.9999999999999 63.5000000000001)))', '64', '63.5', '-10', '-11', '56D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 64.0000000000001,-10.9999999999999 64.5000000000001,-9.99999999999994 64.5000000000001,-9.99999999999994 64.0000000000001,-10.9999999999999 64.0000000000001)))', '64.5', '64', '-10', '-11', '57D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 64.5000000000001,-10.9999999999999 65.0000000000001,-9.99999999999994 65.0000000000001,-9.99999999999994 64.5000000000001,-10.9999999999999 64.5000000000001)))', '65', '64.5', '-10', '-11', '58D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 65.0000000000001,-10.9999999999999 65.5000000000001,-9.99999999999994 65.5000000000001,-9.99999999999994 65.0000000000001,-10.9999999999999 65.0000000000001)))', '65.5', '65', '-10', '-11', '59D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 65.5000000000001,-10.9999999999999 66.0000000000001,-9.99999999999994 66.0000000000001,-9.99999999999994 65.5000000000001,-10.9999999999999 65.5000000000001)))', '66', '65.5', '-10', '-11', '60D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 66.0000000000001,-10.9999999999999 66.5000000000001,-9.99999999999994 66.5000000000001,-9.99999999999994 66.0000000000001,-10.9999999999999 66.0000000000001)))', '66.5', '66', '-10', '-11', '61D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 66.5000000000001,-10.9999999999999 67.0000000000001,-9.99999999999994 67.0000000000001,-9.99999999999994 66.5000000000001,-10.9999999999999 66.5000000000001)))', '67', '66.5', '-10', '-11', '62D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 67.0000000000001,-10.9999999999999 67.5000000000001,-9.99999999999994 67.5000000000001,-9.99999999999994 67.0000000000001,-10.9999999999999 67.0000000000001)))', '67.5', '67', '-10', '-11', '63D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 67.5000000000001,-10.9999999999999 68.0000000000001,-9.99999999999994 68.0000000000001,-9.99999999999994 67.5000000000001,-10.9999999999999 67.5000000000001)))', '68', '67.5', '-10', '-11', '64D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 68.0000000000001,-10.9999999999999 68.5000000000001,-9.99999999999994 68.5000000000001,-9.99999999999994 68.0000000000001,-10.9999999999999 68.0000000000001)))', '68.5', '68', '-10', '-11', '65D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 68.5000000000001,-10.9999999999999 69.0000000000001,-9.99999999999994 69.0000000000001,-9.99999999999994 68.5000000000001,-10.9999999999999 68.5000000000001)))', '69', '68.5', '-10', '-11', '66D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 69.0000000000001,-10.9999999999999 69.5000000000001,-9.99999999999994 69.5000000000001,-9.99999999999994 69.0000000000001,-10.9999999999999 69.0000000000001)))', '69.5', '69', '-10', '-11', '67D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 69.5000000000001,-10.9999999999999 70.0000000000001,-9.99999999999994 70.0000000000001,-9.99999999999994 69.5000000000001,-10.9999999999999 69.5000000000001)))', '70', '69.5', '-10', '-11', '68D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 70.0000000000001,-10.9999999999999 70.5000000000001,-9.99999999999994 70.5000000000001,-9.99999999999994 70.0000000000001,-10.9999999999999 70.0000000000001)))', '70.5', '70', '-10', '-11', '69D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 70.5000000000001,-10.9999999999999 71.0000000000001,-9.99999999999994 71.0000000000001,-9.99999999999994 70.5000000000001,-10.9999999999999 70.5000000000001)))', '71', '70.5', '-10', '-11', '70D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 71.0000000000001,-10.9999999999999 71.5000000000001,-9.99999999999994 71.5000000000001,-9.99999999999994 71.0000000000001,-10.9999999999999 71.0000000000001)))', '71.5', '71', '-10', '-11', '71D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 71.5000000000001,-10.9999999999999 72.0000000000001,-9.99999999999994 72.0000000000001,-9.99999999999994 71.5000000000001,-10.9999999999999 71.5000000000001)))', '72', '71.5', '-10', '-11', '72D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 72.0000000000001,-10.9999999999999 72.5000000000001,-9.99999999999994 72.5000000000001,-9.99999999999994 72.0000000000001,-10.9999999999999 72.0000000000001)))', '72.5', '72', '-10', '-11', '73D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 72.5000000000001,-10.9999999999999 73.0000000000001,-9.99999999999994 73.0000000000001,-9.99999999999994 72.5000000000001,-10.9999999999999 72.5000000000001)))', '73', '72.5', '-10', '-11', '74D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 73.0000000000001,-10.9999999999999 73.5000000000001,-9.99999999999994 73.5000000000001,-9.99999999999994 73.0000000000001,-10.9999999999999 73.0000000000001)))', '73.5', '73', '-10', '-11', '75D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 73.5000000000001,-10.9999999999999 74.0000000000001,-9.99999999999994 74.0000000000001,-9.99999999999994 73.5000000000001,-10.9999999999999 73.5000000000001)))', '74', '73.5', '-10', '-11', '76D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 74.0000000000001,-10.9999999999999 74.5000000000001,-9.99999999999994 74.5000000000001,-9.99999999999994 74.0000000000001,-10.9999999999999 74.0000000000001)))', '74.5', '74', '-10', '-11', '77D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 74.5000000000001,-10.9999999999999 75.0000000000001,-9.99999999999994 75.0000000000001,-9.99999999999994 74.5000000000001,-10.9999999999999 74.5000000000001)))', '75', '74.5', '-10', '-11', '78D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 75.0000000000001,-10.9999999999999 75.5000000000001,-9.99999999999994 75.5000000000001,-9.99999999999994 75.0000000000001,-10.9999999999999 75.0000000000001)))', '75.5', '75', '-10', '-11', '79D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 75.5000000000001,-10.9999999999999 76.0000000000001,-9.99999999999994 76.0000000000001,-9.99999999999994 75.5000000000001,-10.9999999999999 75.5000000000001)))', '76', '75.5', '-10', '-11', '80D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 76.0000000000001,-10.9999999999999 76.5000000000001,-9.99999999999994 76.5000000000001,-9.99999999999994 76.0000000000001,-10.9999999999999 76.0000000000001)))', '76.5', '76', '-10', '-11', '81D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 76.5000000000001,-10.9999999999999 77.0000000000001,-9.99999999999994 77.0000000000001,-9.99999999999994 76.5000000000001,-10.9999999999999 76.5000000000001)))', '77', '76.5', '-10', '-11', '82D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 77.0000000000001,-10.9999999999999 77.5000000000001,-9.99999999999994 77.5000000000001,-9.99999999999994 77.0000000000001,-10.9999999999999 77.0000000000001)))', '77.5', '77', '-10', '-11', '83D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 77.5000000000001,-10.9999999999999 78.0000000000001,-9.99999999999994 78.0000000000001,-9.99999999999994 77.5000000000001,-10.9999999999999 77.5000000000001)))', '78', '77.5', '-10', '-11', '84D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 78.0000000000001,-10.9999999999999 78.5000000000001,-9.99999999999994 78.5000000000001,-9.99999999999994 78.0000000000001,-10.9999999999999 78.0000000000001)))', '78.5', '78', '-10', '-11', '85D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 78.5000000000001,-10.9999999999999 79.0000000000001,-9.99999999999994 79.0000000000001,-9.99999999999994 78.5000000000001,-10.9999999999999 78.5000000000001)))', '79', '78.5', '-10', '-11', '86D9', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-10.9999999999999 79.0000000000001,-10.9999999999999 79.5000000000001,-9.99999999999994 79.5000000000001,-9.99999999999994 79.0000000000001,-10.9999999999999 79.0000000000001)))', '79.5', '79', '-10', '-11', '87D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 79.5000000000001,-10.9999999999999 80.0000000000001,-9.99999999999994 80.0000000000001,-9.99999999999994 79.5000000000001,-10.9999999999999 79.5000000000001)))', '80', '79.5', '-10', '-11', '88D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 80.0000000000001,-10.9999999999999 80.5000000000001,-9.99999999999994 80.5000000000001,-9.99999999999994 80.0000000000001,-10.9999999999999 80.0000000000001)))', '80.5', '80', '-10', '-11', '89D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 80.5000000000001,-10.9999999999999 81.0000000000001,-9.99999999999994 81.0000000000001,-9.99999999999994 80.5000000000001,-10.9999999999999 80.5000000000001)))', '81', '80.5', '-10', '-11', '90D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 81.0000000000001,-10.9999999999999 81.5000000000001,-9.99999999999994 81.5000000000001,-9.99999999999994 81.0000000000001,-10.9999999999999 81.0000000000001)))', '81.5', '81', '-10', '-11', '91D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 81.5000000000001,-10.9999999999999 82.0000000000001,-9.99999999999994 82.0000000000001,-9.99999999999994 81.5000000000001,-10.9999999999999 81.5000000000001)))', '82', '81.5', '-10', '-11', '92D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 82.0000000000001,-10.9999999999999 82.5000000000001,-9.99999999999994 82.5000000000001,-9.99999999999994 82.0000000000001,-10.9999999999999 82.0000000000001)))', '82.5', '82', '-10', '-11', '93D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 82.5000000000001,-10.9999999999999 83.0000000000001,-9.99999999999994 83.0000000000001,-9.99999999999994 82.5000000000001,-10.9999999999999 82.5000000000001)))', '83', '82.5', '-10', '-11', '94D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 83.0000000000001,-10.9999999999999 83.5000000000001,-9.99999999999994 83.5000000000001,-9.99999999999994 83.0000000000001,-10.9999999999999 83.0000000000001)))', '83.5', '83', '-10', '-11', '95D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 83.5000000000001,-10.9999999999999 84.0000000000001,-9.99999999999994 84.0000000000001,-9.99999999999994 83.5000000000001,-10.9999999999999 83.5000000000001)))', '84', '83.5', '-10', '-11', '96D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 84.0000000000001,-10.9999999999999 84.5000000000001,-9.99999999999994 84.5000000000001,-9.99999999999994 84.0000000000001,-10.9999999999999 84.0000000000001)))', '84.5', '84', '-10', '-11', '97D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-10.9999999999999 84.5000000000001,-10.9999999999999 85.0000000000001,-9.99999999999994 85.0000000000001,-9.99999999999994 84.5000000000001,-10.9999999999999 84.5000000000001)))', '85', '84.5', '-10', '-11', '98D9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 36.0000000000001,-9.99999999999994 36.5000000000001,-8.99999999999994 36.5000000000001,-8.99999999999994 36.0000000000001,-9.99999999999994 36.0000000000001)))', '36.5', '36', '-9', '-10', '01E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 36.5000000000001,-9.99999999999994 37.0000000000001,-8.99999999999994 37.0000000000001,-8.99999999999994 36.5000000000001,-9.99999999999994 36.5000000000001)))', '37', '36.5', '-9', '-10', '02E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 37.0000000000001,-9.99999999999994 37.5000000000001,-8.99999999999994 37.5000000000001,-8.99999999999994 37.0000000000001,-9.99999999999994 37.0000000000001)))', '37.5', '37', '-9', '-10', '03E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 37.5000000000001,-9.99999999999994 38.0000000000001,-8.99999999999994 38.0000000000001,-8.99999999999994 37.5000000000001,-9.99999999999994 37.5000000000001)))', '38', '37.5', '-9', '-10', '04E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 38.0000000000001,-9.99999999999994 38.5000000000001,-8.99999999999994 38.5000000000001,-8.99999999999994 38.0000000000001,-9.99999999999994 38.0000000000001)))', '38.5', '38', '-9', '-10', '05E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 38.5000000000001,-9.99999999999994 39.0000000000001,-8.99999999999994 39.0000000000001,-8.99999999999994 38.5000000000001,-9.99999999999994 38.5000000000001)))', '39', '38.5', '-9', '-10', '06E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 39.0000000000001,-9.99999999999994 39.5000000000001,-8.99999999999994 39.5000000000001,-8.99999999999994 39.0000000000001,-9.99999999999994 39.0000000000001)))', '39.5', '39', '-9', '-10', '07E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 39.5000000000001,-9.99999999999994 40.0000000000001,-8.99999999999994 40.0000000000001,-8.99999999999994 39.5000000000001,-9.99999999999994 39.5000000000001)))', '40', '39.5', '-9', '-10', '08E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 40.0000000000001,-9.99999999999994 40.5000000000001,-8.99999999999994 40.5000000000001,-8.99999999999994 40.0000000000001,-9.99999999999994 40.0000000000001)))', '40.5', '40', '-9', '-10', '09E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 40.5000000000001,-9.99999999999994 41.0000000000001,-8.99999999999994 41.0000000000001,-8.99999999999994 40.5000000000001,-9.99999999999994 40.5000000000001)))', '41', '40.5', '-9', '-10', '10E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 41.0000000000001,-9.99999999999994 41.5000000000001,-8.99999999999994 41.5000000000001,-8.99999999999994 41.0000000000001,-9.99999999999994 41.0000000000001)))', '41.5', '41', '-9', '-10', '11E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 41.5000000000001,-9.99999999999994 42.0000000000001,-8.99999999999994 42.0000000000001,-8.99999999999994 41.5000000000001,-9.99999999999994 41.5000000000001)))', '42', '41.5', '-9', '-10', '12E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 42.0000000000001,-9.99999999999994 42.5000000000001,-8.99999999999994 42.5000000000001,-8.99999999999994 42.0000000000001,-9.99999999999994 42.0000000000001)))', '42.5', '42', '-9', '-10', '13E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 42.5000000000001,-9.99999999999994 43.0000000000001,-8.99999999999994 43.0000000000001,-8.99999999999994 42.5000000000001,-9.99999999999994 42.5000000000001)))', '43', '42.5', '-9', '-10', '14E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 43.0000000000001,-9.99999999999994 43.5000000000001,-8.99999999999994 43.5000000000001,-8.99999999999994 43.0000000000001,-9.99999999999994 43.0000000000001)))', '43.5', '43', '-9', '-10', '15E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 43.5000000000001,-9.99999999999994 44.0000000000001,-8.99999999999994 44.0000000000001,-8.99999999999994 43.5000000000001,-9.99999999999994 43.5000000000001)))', '44', '43.5', '-9', '-10', '16E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 44.0000000000001,-9.99999999999994 44.5000000000001,-8.99999999999994 44.5000000000001,-8.99999999999994 44.0000000000001,-9.99999999999994 44.0000000000001)))', '44.5', '44', '-9', '-10', '17E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 44.5000000000001,-9.99999999999994 45.0000000000001,-8.99999999999994 45.0000000000001,-8.99999999999994 44.5000000000001,-9.99999999999994 44.5000000000001)))', '45', '44.5', '-9', '-10', '18E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 45.0000000000001,-9.99999999999994 45.5000000000001,-8.99999999999994 45.5000000000001,-8.99999999999994 45.0000000000001,-9.99999999999994 45.0000000000001)))', '45.5', '45', '-9', '-10', '19E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 45.5000000000001,-9.99999999999994 46.0000000000001,-8.99999999999994 46.0000000000001,-8.99999999999994 45.5000000000001,-9.99999999999994 45.5000000000001)))', '46', '45.5', '-9', '-10', '20E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 46.0000000000001,-9.99999999999994 46.5000000000001,-8.99999999999994 46.5000000000001,-8.99999999999994 46.0000000000001,-9.99999999999994 46.0000000000001)))', '46.5', '46', '-9', '-10', '21E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 46.5000000000001,-9.99999999999994 47.0000000000001,-8.99999999999994 47.0000000000001,-8.99999999999994 46.5000000000001,-9.99999999999994 46.5000000000001)))', '47', '46.5', '-9', '-10', '22E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 47.0000000000001,-9.99999999999994 47.5000000000001,-8.99999999999994 47.5000000000001,-8.99999999999994 47.0000000000001,-9.99999999999994 47.0000000000001)))', '47.5', '47', '-9', '-10', '23E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 47.5000000000001,-9.99999999999994 48.0000000000001,-8.99999999999994 48.0000000000001,-8.99999999999994 47.5000000000001,-9.99999999999994 47.5000000000001)))', '48', '47.5', '-9', '-10', '24E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 48.0000000000001,-9.99999999999994 48.5000000000001,-8.99999999999994 48.5000000000001,-8.99999999999994 48.0000000000001,-9.99999999999994 48.0000000000001)))', '48.5', '48', '-9', '-10', '25E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 48.5000000000001,-9.99999999999994 49.0000000000001,-8.99999999999994 49.0000000000001,-8.99999999999994 48.5000000000001,-9.99999999999994 48.5000000000001)))', '49', '48.5', '-9', '-10', '26E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 49.0000000000001,-9.99999999999994 49.5000000000001,-8.99999999999994 49.5000000000001,-8.99999999999994 49.0000000000001,-9.99999999999994 49.0000000000001)))', '49.5', '49', '-9', '-10', '27E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 49.5000000000001,-9.99999999999994 50.0000000000001,-8.99999999999994 50.0000000000001,-8.99999999999994 49.5000000000001,-9.99999999999994 49.5000000000001)))', '50', '49.5', '-9', '-10', '28E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 50.0000000000001,-9.99999999999994 50.5000000000001,-8.99999999999994 50.5000000000001,-8.99999999999994 50.0000000000001,-9.99999999999994 50.0000000000001)))', '50.5', '50', '-9', '-10', '29E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 50.5000000000001,-9.99999999999994 51.0000000000001,-8.99999999999994 51.0000000000001,-8.99999999999994 50.5000000000001,-9.99999999999994 50.5000000000001)))', '51', '50.5', '-9', '-10', '30E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 51.0000000000001,-9.99999999999994 51.5000000000001,-8.99999999999994 51.5000000000001,-8.99999999999994 51.0000000000001,-9.99999999999994 51.0000000000001)))', '51.5', '51', '-9', '-10', '31E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 51.5000000000001,-9.99999999999994 52.0000000000001,-8.99999999999994 52.0000000000001,-8.99999999999994 51.5000000000001,-9.99999999999994 51.5000000000001)))', '52', '51.5', '-9', '-10', '32E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 52.0000000000001,-9.99999999999994 52.5000000000001,-8.99999999999994 52.5000000000001,-8.99999999999994 52.0000000000001,-9.99999999999994 52.0000000000001)))', '52.5', '52', '-9', '-10', '33E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 52.5000000000001,-9.99999999999994 53.0000000000001,-8.99999999999994 53.0000000000001,-8.99999999999994 52.5000000000001,-9.99999999999994 52.5000000000001)))', '53', '52.5', '-9', '-10', '34E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 53.0000000000001,-9.99999999999994 53.5000000000001,-8.99999999999994 53.5000000000001,-8.99999999999994 53.0000000000001,-9.99999999999994 53.0000000000001)))', '53.5', '53', '-9', '-10', '35E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 53.5000000000001,-9.99999999999994 54.0000000000001,-8.99999999999994 54.0000000000001,-8.99999999999994 53.5000000000001,-9.99999999999994 53.5000000000001)))', '54', '53.5', '-9', '-10', '36E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 54.0000000000001,-9.99999999999994 54.5000000000001,-8.99999999999994 54.5000000000001,-8.99999999999994 54.0000000000001,-9.99999999999994 54.0000000000001)))', '54.5', '54', '-9', '-10', '37E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 54.5000000000001,-9.99999999999994 55.0000000000001,-8.99999999999994 55.0000000000001,-8.99999999999994 54.5000000000001,-9.99999999999994 54.5000000000001)))', '55', '54.5', '-9', '-10', '38E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 55.0000000000001,-9.99999999999994 55.5000000000001,-8.99999999999994 55.5000000000001,-8.99999999999994 55.0000000000001,-9.99999999999994 55.0000000000001)))', '55.5', '55', '-9', '-10', '39E0', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-9.99999999999994 55.5000000000001,-9.99999999999994 56.0000000000001,-8.99999999999994 56.0000000000001,-8.99999999999994 55.5000000000001,-9.99999999999994 55.5000000000001)))', '56', '55.5', '-9', '-10', '40E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 56.0000000000001,-9.99999999999994 56.5000000000001,-8.99999999999994 56.5000000000001,-8.99999999999994 56.0000000000001,-9.99999999999994 56.0000000000001)))', '56.5', '56', '-9', '-10', '41E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 56.5000000000001,-9.99999999999994 57.0000000000001,-8.99999999999994 57.0000000000001,-8.99999999999994 56.5000000000001,-9.99999999999994 56.5000000000001)))', '57', '56.5', '-9', '-10', '42E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 57.0000000000001,-9.99999999999994 57.5000000000001,-8.99999999999994 57.5000000000001,-8.99999999999994 57.0000000000001,-9.99999999999994 57.0000000000001)))', '57.5', '57', '-9', '-10', '43E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 57.5000000000001,-9.99999999999994 58.0000000000001,-8.99999999999994 58.0000000000001,-8.99999999999994 57.5000000000001,-9.99999999999994 57.5000000000001)))', '58', '57.5', '-9', '-10', '44E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 58.0000000000001,-9.99999999999994 58.5000000000001,-8.99999999999994 58.5000000000001,-8.99999999999994 58.0000000000001,-9.99999999999994 58.0000000000001)))', '58.5', '58', '-9', '-10', '45E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 58.5000000000001,-9.99999999999994 59.0000000000001,-8.99999999999994 59.0000000000001,-8.99999999999994 58.5000000000001,-9.99999999999994 58.5000000000001)))', '59', '58.5', '-9', '-10', '46E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 59.0000000000001,-9.99999999999994 59.5000000000001,-8.99999999999994 59.5000000000001,-8.99999999999994 59.0000000000001,-9.99999999999994 59.0000000000001)))', '59.5', '59', '-9', '-10', '47E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 59.5000000000001,-9.99999999999994 60.0000000000001,-8.99999999999994 60.0000000000001,-8.99999999999994 59.5000000000001,-9.99999999999994 59.5000000000001)))', '60', '59.5', '-9', '-10', '48E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 60.0000000000001,-9.99999999999994 60.5000000000001,-8.99999999999994 60.5000000000001,-8.99999999999994 60.0000000000001,-9.99999999999994 60.0000000000001)))', '60.5', '60', '-9', '-10', '49E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 60.5000000000001,-9.99999999999994 61.0000000000001,-8.99999999999994 61.0000000000001,-8.99999999999994 60.5000000000001,-9.99999999999994 60.5000000000001)))', '61', '60.5', '-9', '-10', '50E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 61.0000000000001,-9.99999999999994 61.5000000000001,-8.99999999999994 61.5000000000001,-8.99999999999994 61.0000000000001,-9.99999999999994 61.0000000000001)))', '61.5', '61', '-9', '-10', '51E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 61.5000000000001,-9.99999999999994 62.0000000000001,-8.99999999999994 62.0000000000001,-8.99999999999994 61.5000000000001,-9.99999999999994 61.5000000000001)))', '62', '61.5', '-9', '-10', '52E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 62.0000000000001,-9.99999999999994 62.5000000000001,-8.99999999999994 62.5000000000001,-8.99999999999994 62.0000000000001,-9.99999999999994 62.0000000000001)))', '62.5', '62', '-9', '-10', '53E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 62.5000000000001,-9.99999999999994 63.0000000000001,-8.99999999999994 63.0000000000001,-8.99999999999994 62.5000000000001,-9.99999999999994 62.5000000000001)))', '63', '62.5', '-9', '-10', '54E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 63.0000000000001,-9.99999999999994 63.5000000000001,-8.99999999999994 63.5000000000001,-8.99999999999994 63.0000000000001,-9.99999999999994 63.0000000000001)))', '63.5', '63', '-9', '-10', '55E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 63.5000000000001,-9.99999999999994 64.0000000000001,-8.99999999999994 64.0000000000001,-8.99999999999994 63.5000000000001,-9.99999999999994 63.5000000000001)))', '64', '63.5', '-9', '-10', '56E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 64.0000000000001,-9.99999999999994 64.5000000000001,-8.99999999999994 64.5000000000001,-8.99999999999994 64.0000000000001,-9.99999999999994 64.0000000000001)))', '64.5', '64', '-9', '-10', '57E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 64.5000000000001,-9.99999999999994 65.0000000000001,-8.99999999999994 65.0000000000001,-8.99999999999994 64.5000000000001,-9.99999999999994 64.5000000000001)))', '65', '64.5', '-9', '-10', '58E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 65.0000000000001,-9.99999999999994 65.5000000000001,-8.99999999999994 65.5000000000001,-8.99999999999994 65.0000000000001,-9.99999999999994 65.0000000000001)))', '65.5', '65', '-9', '-10', '59E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 65.5000000000001,-9.99999999999994 66.0000000000001,-8.99999999999994 66.0000000000001,-8.99999999999994 65.5000000000001,-9.99999999999994 65.5000000000001)))', '66', '65.5', '-9', '-10', '60E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 66.0000000000001,-9.99999999999994 66.5000000000001,-8.99999999999994 66.5000000000001,-8.99999999999994 66.0000000000001,-9.99999999999994 66.0000000000001)))', '66.5', '66', '-9', '-10', '61E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 66.5000000000001,-9.99999999999994 67.0000000000001,-8.99999999999994 67.0000000000001,-8.99999999999994 66.5000000000001,-9.99999999999994 66.5000000000001)))', '67', '66.5', '-9', '-10', '62E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 67.0000000000001,-9.99999999999994 67.5000000000001,-8.99999999999994 67.5000000000001,-8.99999999999994 67.0000000000001,-9.99999999999994 67.0000000000001)))', '67.5', '67', '-9', '-10', '63E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 67.5000000000001,-9.99999999999994 68.0000000000001,-8.99999999999994 68.0000000000001,-8.99999999999994 67.5000000000001,-9.99999999999994 67.5000000000001)))', '68', '67.5', '-9', '-10', '64E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 68.0000000000001,-9.99999999999994 68.5000000000001,-8.99999999999994 68.5000000000001,-8.99999999999994 68.0000000000001,-9.99999999999994 68.0000000000001)))', '68.5', '68', '-9', '-10', '65E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 68.5000000000001,-9.99999999999994 69.0000000000001,-8.99999999999994 69.0000000000001,-8.99999999999994 68.5000000000001,-9.99999999999994 68.5000000000001)))', '69', '68.5', '-9', '-10', '66E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 69.0000000000001,-9.99999999999994 69.5000000000001,-8.99999999999994 69.5000000000001,-8.99999999999994 69.0000000000001,-9.99999999999994 69.0000000000001)))', '69.5', '69', '-9', '-10', '67E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 69.5000000000001,-9.99999999999994 70.0000000000001,-8.99999999999994 70.0000000000001,-8.99999999999994 69.5000000000001,-9.99999999999994 69.5000000000001)))', '70', '69.5', '-9', '-10', '68E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 70.0000000000001,-9.99999999999994 70.5000000000001,-8.99999999999994 70.5000000000001,-8.99999999999994 70.0000000000001,-9.99999999999994 70.0000000000001)))', '70.5', '70', '-9', '-10', '69E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 70.5000000000001,-9.99999999999994 71.0000000000001,-8.99999999999994 71.0000000000001,-8.99999999999994 70.5000000000001,-9.99999999999994 70.5000000000001)))', '71', '70.5', '-9', '-10', '70E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 71.0000000000001,-9.99999999999994 71.5000000000001,-8.99999999999994 71.5000000000001,-8.99999999999994 71.0000000000001,-9.99999999999994 71.0000000000001)))', '71.5', '71', '-9', '-10', '71E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 71.5000000000001,-9.99999999999994 72.0000000000001,-8.99999999999994 72.0000000000001,-8.99999999999994 71.5000000000001,-9.99999999999994 71.5000000000001)))', '72', '71.5', '-9', '-10', '72E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 72.0000000000001,-9.99999999999994 72.5000000000001,-8.99999999999994 72.5000000000001,-8.99999999999994 72.0000000000001,-9.99999999999994 72.0000000000001)))', '72.5', '72', '-9', '-10', '73E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 72.5000000000001,-9.99999999999994 73.0000000000001,-8.99999999999994 73.0000000000001,-8.99999999999994 72.5000000000001,-9.99999999999994 72.5000000000001)))', '73', '72.5', '-9', '-10', '74E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 73.0000000000001,-9.99999999999994 73.5000000000001,-8.99999999999994 73.5000000000001,-8.99999999999994 73.0000000000001,-9.99999999999994 73.0000000000001)))', '73.5', '73', '-9', '-10', '75E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 73.5000000000001,-9.99999999999994 74.0000000000001,-8.99999999999994 74.0000000000001,-8.99999999999994 73.5000000000001,-9.99999999999994 73.5000000000001)))', '74', '73.5', '-9', '-10', '76E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 74.0000000000001,-9.99999999999994 74.5000000000001,-8.99999999999994 74.5000000000001,-8.99999999999994 74.0000000000001,-9.99999999999994 74.0000000000001)))', '74.5', '74', '-9', '-10', '77E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 74.5000000000001,-9.99999999999994 75.0000000000001,-8.99999999999994 75.0000000000001,-8.99999999999994 74.5000000000001,-9.99999999999994 74.5000000000001)))', '75', '74.5', '-9', '-10', '78E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 75.0000000000001,-9.99999999999994 75.5000000000001,-8.99999999999994 75.5000000000001,-8.99999999999994 75.0000000000001,-9.99999999999994 75.0000000000001)))', '75.5', '75', '-9', '-10', '79E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 75.5000000000001,-9.99999999999994 76.0000000000001,-8.99999999999994 76.0000000000001,-8.99999999999994 75.5000000000001,-9.99999999999994 75.5000000000001)))', '76', '75.5', '-9', '-10', '80E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 76.0000000000001,-9.99999999999994 76.5000000000001,-8.99999999999994 76.5000000000001,-8.99999999999994 76.0000000000001,-9.99999999999994 76.0000000000001)))', '76.5', '76', '-9', '-10', '81E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 76.5000000000001,-9.99999999999994 77.0000000000001,-8.99999999999994 77.0000000000001,-8.99999999999994 76.5000000000001,-9.99999999999994 76.5000000000001)))', '77', '76.5', '-9', '-10', '82E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 77.0000000000001,-9.99999999999994 77.5000000000001,-8.99999999999994 77.5000000000001,-8.99999999999994 77.0000000000001,-9.99999999999994 77.0000000000001)))', '77.5', '77', '-9', '-10', '83E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 77.5000000000001,-9.99999999999994 78.0000000000001,-8.99999999999994 78.0000000000001,-8.99999999999994 77.5000000000001,-9.99999999999994 77.5000000000001)))', '78', '77.5', '-9', '-10', '84E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 78.0000000000001,-9.99999999999994 78.5000000000001,-8.99999999999994 78.5000000000001,-8.99999999999994 78.0000000000001,-9.99999999999994 78.0000000000001)))', '78.5', '78', '-9', '-10', '85E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 78.5000000000001,-9.99999999999994 79.0000000000001,-8.99999999999994 79.0000000000001,-8.99999999999994 78.5000000000001,-9.99999999999994 78.5000000000001)))', '79', '78.5', '-9', '-10', '86E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 79.0000000000001,-9.99999999999994 79.5000000000001,-8.99999999999994 79.5000000000001,-8.99999999999994 79.0000000000001,-9.99999999999994 79.0000000000001)))', '79.5', '79', '-9', '-10', '87E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 79.5000000000001,-9.99999999999994 80.0000000000001,-8.99999999999994 80.0000000000001,-8.99999999999994 79.5000000000001,-9.99999999999994 79.5000000000001)))', '80', '79.5', '-9', '-10', '88E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 80.0000000000001,-9.99999999999994 80.5000000000001,-8.99999999999994 80.5000000000001,-8.99999999999994 80.0000000000001,-9.99999999999994 80.0000000000001)))', '80.5', '80', '-9', '-10', '89E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 80.5000000000001,-9.99999999999994 81.0000000000001,-8.99999999999994 81.0000000000001,-8.99999999999994 80.5000000000001,-9.99999999999994 80.5000000000001)))', '81', '80.5', '-9', '-10', '90E0', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-9.99999999999994 81.0000000000001,-9.99999999999994 81.5000000000001,-8.99999999999994 81.5000000000001,-8.99999999999994 81.0000000000001,-9.99999999999994 81.0000000000001)))', '81.5', '81', '-9', '-10', '91E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 81.5000000000001,-9.99999999999994 82.0000000000001,-8.99999999999994 82.0000000000001,-8.99999999999994 81.5000000000001,-9.99999999999994 81.5000000000001)))', '82', '81.5', '-9', '-10', '92E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 82.0000000000001,-9.99999999999994 82.5000000000001,-8.99999999999994 82.5000000000001,-8.99999999999994 82.0000000000001,-9.99999999999994 82.0000000000001)))', '82.5', '82', '-9', '-10', '93E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 82.5000000000001,-9.99999999999994 83.0000000000001,-8.99999999999994 83.0000000000001,-8.99999999999994 82.5000000000001,-9.99999999999994 82.5000000000001)))', '83', '82.5', '-9', '-10', '94E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 83.0000000000001,-9.99999999999994 83.5000000000001,-8.99999999999994 83.5000000000001,-8.99999999999994 83.0000000000001,-9.99999999999994 83.0000000000001)))', '83.5', '83', '-9', '-10', '95E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 83.5000000000001,-9.99999999999994 84.0000000000001,-8.99999999999994 84.0000000000001,-8.99999999999994 83.5000000000001,-9.99999999999994 83.5000000000001)))', '84', '83.5', '-9', '-10', '96E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 84.0000000000001,-9.99999999999994 84.5000000000001,-8.99999999999994 84.5000000000001,-8.99999999999994 84.0000000000001,-9.99999999999994 84.0000000000001)))', '84.5', '84', '-9', '-10', '97E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-9.99999999999994 84.5000000000001,-9.99999999999994 85.0000000000001,-8.99999999999994 85.0000000000001,-8.99999999999994 84.5000000000001,-9.99999999999994 84.5000000000001)))', '85', '84.5', '-9', '-10', '98E0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 36.0000000000001,-8.99999999999994 36.5000000000001,-7.99999999999994 36.5000000000001,-7.99999999999994 36.0000000000001,-8.99999999999994 36.0000000000001)))', '36.5', '36', '-8', '-9', '01E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 36.5000000000001,-8.99999999999994 37.0000000000001,-7.99999999999994 37.0000000000001,-7.99999999999994 36.5000000000001,-8.99999999999994 36.5000000000001)))', '37', '36.5', '-8', '-9', '02E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 37.0000000000001,-8.99999999999994 37.5000000000001,-7.99999999999994 37.5000000000001,-7.99999999999994 37.0000000000001,-8.99999999999994 37.0000000000001)))', '37.5', '37', '-8', '-9', '03E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 37.5000000000001,-8.99999999999994 38.0000000000001,-7.99999999999994 38.0000000000001,-7.99999999999994 37.5000000000001,-8.99999999999994 37.5000000000001)))', '38', '37.5', '-8', '-9', '04E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 38.0000000000001,-8.99999999999994 38.5000000000001,-7.99999999999994 38.5000000000001,-7.99999999999994 38.0000000000001,-8.99999999999994 38.0000000000001)))', '38.5', '38', '-8', '-9', '05E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 38.5000000000001,-8.99999999999994 39.0000000000001,-7.99999999999994 39.0000000000001,-7.99999999999994 38.5000000000001,-8.99999999999994 38.5000000000001)))', '39', '38.5', '-8', '-9', '06E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 39.5000000000001,-8.99999999999994 40.0000000000001,-7.99999999999994 40.0000000000001,-7.99999999999994 39.5000000000001,-8.99999999999994 39.5000000000001)))', '40', '39.5', '-8', '-9', '08E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 40.0000000000001,-8.99999999999994 40.5000000000001,-7.99999999999994 40.5000000000001,-7.99999999999994 40.0000000000001,-8.99999999999994 40.0000000000001)))', '40.5', '40', '-8', '-9', '09E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 40.5000000000001,-8.99999999999994 41.0000000000001,-7.99999999999994 41.0000000000001,-7.99999999999994 40.5000000000001,-8.99999999999994 40.5000000000001)))', '41', '40.5', '-8', '-9', '10E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 41.0000000000001,-8.99999999999994 41.5000000000001,-7.99999999999994 41.5000000000001,-7.99999999999994 41.0000000000001,-8.99999999999994 41.0000000000001)))', '41.5', '41', '-8', '-9', '11E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 41.5000000000001,-8.99999999999994 42.0000000000001,-7.99999999999994 42.0000000000001,-7.99999999999994 41.5000000000001,-8.99999999999994 41.5000000000001)))', '42', '41.5', '-8', '-9', '12E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 42.0000000000001,-8.99999999999994 42.5000000000001,-7.99999999999994 42.5000000000001,-7.99999999999994 42.0000000000001,-8.99999999999994 42.0000000000001)))', '42.5', '42', '-8', '-9', '13E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 42.5000000000001,-8.99999999999994 43.0000000000001,-7.99999999999994 43.0000000000001,-7.99999999999994 42.5000000000001,-8.99999999999994 42.5000000000001)))', '43', '42.5', '-8', '-9', '14E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 43.0000000000001,-8.99999999999994 43.5000000000001,-7.99999999999994 43.5000000000001,-7.99999999999994 43.0000000000001,-8.99999999999994 43.0000000000001)))', '43.5', '43', '-8', '-9', '15E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 43.5000000000001,-8.99999999999994 44.0000000000001,-7.99999999999994 44.0000000000001,-7.99999999999994 43.5000000000001,-8.99999999999994 43.5000000000001)))', '44', '43.5', '-8', '-9', '16E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 44.0000000000001,-8.99999999999994 44.5000000000001,-7.99999999999994 44.5000000000001,-7.99999999999994 44.0000000000001,-8.99999999999994 44.0000000000001)))', '44.5', '44', '-8', '-9', '17E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 44.5000000000001,-8.99999999999994 45.0000000000001,-7.99999999999994 45.0000000000001,-7.99999999999994 44.5000000000001,-8.99999999999994 44.5000000000001)))', '45', '44.5', '-8', '-9', '18E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 45.0000000000001,-8.99999999999994 45.5000000000001,-7.99999999999994 45.5000000000001,-7.99999999999994 45.0000000000001,-8.99999999999994 45.0000000000001)))', '45.5', '45', '-8', '-9', '19E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 45.5000000000001,-8.99999999999994 46.0000000000001,-7.99999999999994 46.0000000000001,-7.99999999999994 45.5000000000001,-8.99999999999994 45.5000000000001)))', '46', '45.5', '-8', '-9', '20E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 46.0000000000001,-8.99999999999994 46.5000000000001,-7.99999999999994 46.5000000000001,-7.99999999999994 46.0000000000001,-8.99999999999994 46.0000000000001)))', '46.5', '46', '-8', '-9', '21E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 46.5000000000001,-8.99999999999994 47.0000000000001,-7.99999999999994 47.0000000000001,-7.99999999999994 46.5000000000001,-8.99999999999994 46.5000000000001)))', '47', '46.5', '-8', '-9', '22E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 47.0000000000001,-8.99999999999994 47.5000000000001,-7.99999999999994 47.5000000000001,-7.99999999999994 47.0000000000001,-8.99999999999994 47.0000000000001)))', '47.5', '47', '-8', '-9', '23E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 47.5000000000001,-8.99999999999994 48.0000000000001,-7.99999999999994 48.0000000000001,-7.99999999999994 47.5000000000001,-8.99999999999994 47.5000000000001)))', '48', '47.5', '-8', '-9', '24E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 48.0000000000001,-8.99999999999994 48.5000000000001,-7.99999999999994 48.5000000000001,-7.99999999999994 48.0000000000001,-8.99999999999994 48.0000000000001)))', '48.5', '48', '-8', '-9', '25E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 48.5000000000001,-8.99999999999994 49.0000000000001,-7.99999999999994 49.0000000000001,-7.99999999999994 48.5000000000001,-8.99999999999994 48.5000000000001)))', '49', '48.5', '-8', '-9', '26E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 49.0000000000001,-8.99999999999994 49.5000000000001,-7.99999999999994 49.5000000000001,-7.99999999999994 49.0000000000001,-8.99999999999994 49.0000000000001)))', '49.5', '49', '-8', '-9', '27E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 49.5000000000001,-8.99999999999994 50.0000000000001,-7.99999999999994 50.0000000000001,-7.99999999999994 49.5000000000001,-8.99999999999994 49.5000000000001)))', '50', '49.5', '-8', '-9', '28E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 50.0000000000001,-8.99999999999994 50.5000000000001,-7.99999999999994 50.5000000000001,-7.99999999999994 50.0000000000001,-8.99999999999994 50.0000000000001)))', '50.5', '50', '-8', '-9', '29E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 50.5000000000001,-8.99999999999994 51.0000000000001,-7.99999999999994 51.0000000000001,-7.99999999999994 50.5000000000001,-8.99999999999994 50.5000000000001)))', '51', '50.5', '-8', '-9', '30E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 51.0000000000001,-8.99999999999994 51.5000000000001,-7.99999999999994 51.5000000000001,-7.99999999999994 51.0000000000001,-8.99999999999994 51.0000000000001)))', '51.5', '51', '-8', '-9', '31E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 51.5000000000001,-8.99999999999994 52.0000000000001,-7.99999999999994 52.0000000000001,-7.99999999999994 51.5000000000001,-8.99999999999994 51.5000000000001)))', '52', '51.5', '-8', '-9', '32E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 52.5000000000001,-8.99999999999994 53.0000000000001,-7.99999999999994 53.0000000000001,-7.99999999999994 52.5000000000001,-8.99999999999994 52.5000000000001)))', '53', '52.5', '-8', '-9', '34E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 53.0000000000001,-8.99999999999994 53.5000000000001,-7.99999999999994 53.5000000000001,-7.99999999999994 53.0000000000001,-8.99999999999994 53.0000000000001)))', '53.5', '53', '-8', '-9', '35E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 54.0000000000001,-8.99999999999994 54.5000000000001,-7.99999999999994 54.5000000000001,-7.99999999999994 54.0000000000001,-8.99999999999994 54.0000000000001)))', '54.5', '54', '-8', '-9', '37E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 54.5000000000001,-8.99999999999994 55.0000000000001,-7.99999999999994 55.0000000000001,-7.99999999999994 54.5000000000001,-8.99999999999994 54.5000000000001)))', '55', '54.5', '-8', '-9', '38E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 55.0000000000001,-8.99999999999994 55.5000000000001,-7.99999999999994 55.5000000000001,-7.99999999999994 55.0000000000001,-8.99999999999994 55.0000000000001)))', '55.5', '55', '-8', '-9', '39E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 55.5000000000001,-8.99999999999994 56.0000000000001,-7.99999999999994 56.0000000000001,-7.99999999999994 55.5000000000001,-8.99999999999994 55.5000000000001)))', '56', '55.5', '-8', '-9', '40E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 56.0000000000001,-8.99999999999994 56.5000000000001,-7.99999999999994 56.5000000000001,-7.99999999999994 56.0000000000001,-8.99999999999994 56.0000000000001)))', '56.5', '56', '-8', '-9', '41E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 56.5000000000001,-8.99999999999994 57.0000000000001,-7.99999999999994 57.0000000000001,-7.99999999999994 56.5000000000001,-8.99999999999994 56.5000000000001)))', '57', '56.5', '-8', '-9', '42E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 57.0000000000001,-8.99999999999994 57.5000000000001,-7.99999999999994 57.5000000000001,-7.99999999999994 57.0000000000001,-8.99999999999994 57.0000000000001)))', '57.5', '57', '-8', '-9', '43E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 57.5000000000001,-8.99999999999994 58.0000000000001,-7.99999999999994 58.0000000000001,-7.99999999999994 57.5000000000001,-8.99999999999994 57.5000000000001)))', '58', '57.5', '-8', '-9', '44E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 58.0000000000001,-8.99999999999994 58.5000000000001,-7.99999999999994 58.5000000000001,-7.99999999999994 58.0000000000001,-8.99999999999994 58.0000000000001)))', '58.5', '58', '-8', '-9', '45E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 58.5000000000001,-8.99999999999994 59.0000000000001,-7.99999999999994 59.0000000000001,-7.99999999999994 58.5000000000001,-8.99999999999994 58.5000000000001)))', '59', '58.5', '-8', '-9', '46E1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-8.99999999999994 59.0000000000001,-8.99999999999994 59.5000000000001,-7.99999999999994 59.5000000000001,-7.99999999999994 59.0000000000001,-8.99999999999994 59.0000000000001)))', '59.5', '59', '-8', '-9', '47E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 59.5000000000001,-8.99999999999994 60.0000000000001,-7.99999999999994 60.0000000000001,-7.99999999999994 59.5000000000001,-8.99999999999994 59.5000000000001)))', '60', '59.5', '-8', '-9', '48E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 60.0000000000001,-8.99999999999994 60.5000000000001,-7.99999999999994 60.5000000000001,-7.99999999999994 60.0000000000001,-8.99999999999994 60.0000000000001)))', '60.5', '60', '-8', '-9', '49E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 60.5000000000001,-8.99999999999994 61.0000000000001,-7.99999999999994 61.0000000000001,-7.99999999999994 60.5000000000001,-8.99999999999994 60.5000000000001)))', '61', '60.5', '-8', '-9', '50E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 61.0000000000001,-8.99999999999994 61.5000000000001,-7.99999999999994 61.5000000000001,-7.99999999999994 61.0000000000001,-8.99999999999994 61.0000000000001)))', '61.5', '61', '-8', '-9', '51E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 61.5000000000001,-8.99999999999994 62.0000000000001,-7.99999999999994 62.0000000000001,-7.99999999999994 61.5000000000001,-8.99999999999994 61.5000000000001)))', '62', '61.5', '-8', '-9', '52E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 62.0000000000001,-8.99999999999994 62.5000000000001,-7.99999999999994 62.5000000000001,-7.99999999999994 62.0000000000001,-8.99999999999994 62.0000000000001)))', '62.5', '62', '-8', '-9', '53E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 62.5000000000001,-8.99999999999994 63.0000000000001,-7.99999999999994 63.0000000000001,-7.99999999999994 62.5000000000001,-8.99999999999994 62.5000000000001)))', '63', '62.5', '-8', '-9', '54E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 63.0000000000001,-8.99999999999994 63.5000000000001,-7.99999999999994 63.5000000000001,-7.99999999999994 63.0000000000001,-8.99999999999994 63.0000000000001)))', '63.5', '63', '-8', '-9', '55E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 63.5000000000001,-8.99999999999994 64.0000000000001,-7.99999999999994 64.0000000000001,-7.99999999999994 63.5000000000001,-8.99999999999994 63.5000000000001)))', '64', '63.5', '-8', '-9', '56E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 64.0000000000001,-8.99999999999994 64.5000000000001,-7.99999999999994 64.5000000000001,-7.99999999999994 64.0000000000001,-8.99999999999994 64.0000000000001)))', '64.5', '64', '-8', '-9', '57E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 64.5000000000001,-8.99999999999994 65.0000000000001,-7.99999999999994 65.0000000000001,-7.99999999999994 64.5000000000001,-8.99999999999994 64.5000000000001)))', '65', '64.5', '-8', '-9', '58E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 65.0000000000001,-8.99999999999994 65.5000000000001,-7.99999999999994 65.5000000000001,-7.99999999999994 65.0000000000001,-8.99999999999994 65.0000000000001)))', '65.5', '65', '-8', '-9', '59E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 65.5000000000001,-8.99999999999994 66.0000000000001,-7.99999999999994 66.0000000000001,-7.99999999999994 65.5000000000001,-8.99999999999994 65.5000000000001)))', '66', '65.5', '-8', '-9', '60E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 66.0000000000001,-8.99999999999994 66.5000000000001,-7.99999999999994 66.5000000000001,-7.99999999999994 66.0000000000001,-8.99999999999994 66.0000000000001)))', '66.5', '66', '-8', '-9', '61E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 66.5000000000001,-8.99999999999994 67.0000000000001,-7.99999999999994 67.0000000000001,-7.99999999999994 66.5000000000001,-8.99999999999994 66.5000000000001)))', '67', '66.5', '-8', '-9', '62E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 67.0000000000001,-8.99999999999994 67.5000000000001,-7.99999999999994 67.5000000000001,-7.99999999999994 67.0000000000001,-8.99999999999994 67.0000000000001)))', '67.5', '67', '-8', '-9', '63E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 67.5000000000001,-8.99999999999994 68.0000000000001,-7.99999999999994 68.0000000000001,-7.99999999999994 67.5000000000001,-8.99999999999994 67.5000000000001)))', '68', '67.5', '-8', '-9', '64E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 68.0000000000001,-8.99999999999994 68.5000000000001,-7.99999999999994 68.5000000000001,-7.99999999999994 68.0000000000001,-8.99999999999994 68.0000000000001)))', '68.5', '68', '-8', '-9', '65E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 68.5000000000001,-8.99999999999994 69.0000000000001,-7.99999999999994 69.0000000000001,-7.99999999999994 68.5000000000001,-8.99999999999994 68.5000000000001)))', '69', '68.5', '-8', '-9', '66E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 69.0000000000001,-8.99999999999994 69.5000000000001,-7.99999999999994 69.5000000000001,-7.99999999999994 69.0000000000001,-8.99999999999994 69.0000000000001)))', '69.5', '69', '-8', '-9', '67E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 69.5000000000001,-8.99999999999994 70.0000000000001,-7.99999999999994 70.0000000000001,-7.99999999999994 69.5000000000001,-8.99999999999994 69.5000000000001)))', '70', '69.5', '-8', '-9', '68E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 70.0000000000001,-8.99999999999994 70.5000000000001,-7.99999999999994 70.5000000000001,-7.99999999999994 70.0000000000001,-8.99999999999994 70.0000000000001)))', '70.5', '70', '-8', '-9', '69E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 70.5000000000001,-8.99999999999994 71.0000000000001,-7.99999999999994 71.0000000000001,-7.99999999999994 70.5000000000001,-8.99999999999994 70.5000000000001)))', '71', '70.5', '-8', '-9', '70E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 71.0000000000001,-8.99999999999994 71.5000000000001,-7.99999999999994 71.5000000000001,-7.99999999999994 71.0000000000001,-8.99999999999994 71.0000000000001)))', '71.5', '71', '-8', '-9', '71E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 71.5000000000001,-8.99999999999994 72.0000000000001,-7.99999999999994 72.0000000000001,-7.99999999999994 71.5000000000001,-8.99999999999994 71.5000000000001)))', '72', '71.5', '-8', '-9', '72E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 72.0000000000001,-8.99999999999994 72.5000000000001,-7.99999999999994 72.5000000000001,-7.99999999999994 72.0000000000001,-8.99999999999994 72.0000000000001)))', '72.5', '72', '-8', '-9', '73E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 72.5000000000001,-8.99999999999994 73.0000000000001,-7.99999999999994 73.0000000000001,-7.99999999999994 72.5000000000001,-8.99999999999994 72.5000000000001)))', '73', '72.5', '-8', '-9', '74E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 73.0000000000001,-8.99999999999994 73.5000000000001,-7.99999999999994 73.5000000000001,-7.99999999999994 73.0000000000001,-8.99999999999994 73.0000000000001)))', '73.5', '73', '-8', '-9', '75E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 73.5000000000001,-8.99999999999994 74.0000000000001,-7.99999999999994 74.0000000000001,-7.99999999999994 73.5000000000001,-8.99999999999994 73.5000000000001)))', '74', '73.5', '-8', '-9', '76E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 74.0000000000001,-8.99999999999994 74.5000000000001,-7.99999999999994 74.5000000000001,-7.99999999999994 74.0000000000001,-8.99999999999994 74.0000000000001)))', '74.5', '74', '-8', '-9', '77E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 74.5000000000001,-8.99999999999994 75.0000000000001,-7.99999999999994 75.0000000000001,-7.99999999999994 74.5000000000001,-8.99999999999994 74.5000000000001)))', '75', '74.5', '-8', '-9', '78E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 75.0000000000001,-8.99999999999994 75.5000000000001,-7.99999999999994 75.5000000000001,-7.99999999999994 75.0000000000001,-8.99999999999994 75.0000000000001)))', '75.5', '75', '-8', '-9', '79E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 75.5000000000001,-8.99999999999994 76.0000000000001,-7.99999999999994 76.0000000000001,-7.99999999999994 75.5000000000001,-8.99999999999994 75.5000000000001)))', '76', '75.5', '-8', '-9', '80E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 76.0000000000001,-8.99999999999994 76.5000000000001,-7.99999999999994 76.5000000000001,-7.99999999999994 76.0000000000001,-8.99999999999994 76.0000000000001)))', '76.5', '76', '-8', '-9', '81E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 76.5000000000001,-8.99999999999994 77.0000000000001,-7.99999999999994 77.0000000000001,-7.99999999999994 76.5000000000001,-8.99999999999994 76.5000000000001)))', '77', '76.5', '-8', '-9', '82E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 77.0000000000001,-8.99999999999994 77.5000000000001,-7.99999999999994 77.5000000000001,-7.99999999999994 77.0000000000001,-8.99999999999994 77.0000000000001)))', '77.5', '77', '-8', '-9', '83E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 77.5000000000001,-8.99999999999994 78.0000000000001,-7.99999999999994 78.0000000000001,-7.99999999999994 77.5000000000001,-8.99999999999994 77.5000000000001)))', '78', '77.5', '-8', '-9', '84E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 78.0000000000001,-8.99999999999994 78.5000000000001,-7.99999999999994 78.5000000000001,-7.99999999999994 78.0000000000001,-8.99999999999994 78.0000000000001)))', '78.5', '78', '-8', '-9', '85E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 78.5000000000001,-8.99999999999994 79.0000000000001,-7.99999999999994 79.0000000000001,-7.99999999999994 78.5000000000001,-8.99999999999994 78.5000000000001)))', '79', '78.5', '-8', '-9', '86E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 79.0000000000001,-8.99999999999994 79.5000000000001,-7.99999999999994 79.5000000000001,-7.99999999999994 79.0000000000001,-8.99999999999994 79.0000000000001)))', '79.5', '79', '-8', '-9', '87E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 79.5000000000001,-8.99999999999994 80.0000000000001,-7.99999999999994 80.0000000000001,-7.99999999999994 79.5000000000001,-8.99999999999994 79.5000000000001)))', '80', '79.5', '-8', '-9', '88E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 80.0000000000001,-8.99999999999994 80.5000000000001,-7.99999999999994 80.5000000000001,-7.99999999999994 80.0000000000001,-8.99999999999994 80.0000000000001)))', '80.5', '80', '-8', '-9', '89E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 80.5000000000001,-8.99999999999994 81.0000000000001,-7.99999999999994 81.0000000000001,-7.99999999999994 80.5000000000001,-8.99999999999994 80.5000000000001)))', '81', '80.5', '-8', '-9', '90E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 81.0000000000001,-8.99999999999994 81.5000000000001,-7.99999999999994 81.5000000000001,-7.99999999999994 81.0000000000001,-8.99999999999994 81.0000000000001)))', '81.5', '81', '-8', '-9', '91E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 81.5000000000001,-8.99999999999994 82.0000000000001,-7.99999999999994 82.0000000000001,-7.99999999999994 81.5000000000001,-8.99999999999994 81.5000000000001)))', '82', '81.5', '-8', '-9', '92E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 82.0000000000001,-8.99999999999994 82.5000000000001,-7.99999999999994 82.5000000000001,-7.99999999999994 82.0000000000001,-8.99999999999994 82.0000000000001)))', '82.5', '82', '-8', '-9', '93E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 82.5000000000001,-8.99999999999994 83.0000000000001,-7.99999999999994 83.0000000000001,-7.99999999999994 82.5000000000001,-8.99999999999994 82.5000000000001)))', '83', '82.5', '-8', '-9', '94E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 83.0000000000001,-8.99999999999994 83.5000000000001,-7.99999999999994 83.5000000000001,-7.99999999999994 83.0000000000001,-8.99999999999994 83.0000000000001)))', '83.5', '83', '-8', '-9', '95E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 83.5000000000001,-8.99999999999994 84.0000000000001,-7.99999999999994 84.0000000000001,-7.99999999999994 83.5000000000001,-8.99999999999994 83.5000000000001)))', '84', '83.5', '-8', '-9', '96E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-8.99999999999994 84.0000000000001,-8.99999999999994 84.5000000000001,-7.99999999999994 84.5000000000001,-7.99999999999994 84.0000000000001,-8.99999999999994 84.0000000000001)))', '84.5', '84', '-8', '-9', '97E1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-8.99999999999994 84.5000000000001,-8.99999999999994 85.0000000000001,-7.99999999999994 85.0000000000001,-7.99999999999994 84.5000000000001,-8.99999999999994 84.5000000000001)))', '85', '84.5', '-8', '-9', '98E1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 36.0000000000001,-7.99999999999994 36.5000000000001,-6.99999999999994 36.5000000000001,-6.99999999999994 36.0000000000001,-7.99999999999994 36.0000000000001)))', '36.5', '36', '-7', '-8', '01E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 36.5000000000001,-7.99999999999994 37.0000000000001,-6.99999999999994 37.0000000000001,-6.99999999999994 36.5000000000001,-7.99999999999994 36.5000000000001)))', '37', '36.5', '-7', '-8', '02E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 37.0000000000001,-7.99999999999994 37.5000000000001,-6.99999999999994 37.5000000000001,-6.99999999999994 37.0000000000001,-7.99999999999994 37.0000000000001)))', '37.5', '37', '-7', '-8', '03E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 43.5000000000001,-7.99999999999994 44.0000000000001,-6.99999999999994 44.0000000000001,-6.99999999999994 43.5000000000001,-7.99999999999994 43.5000000000001)))', '44', '43.5', '-7', '-8', '16E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 44.0000000000001,-7.99999999999994 44.5000000000001,-6.99999999999994 44.5000000000001,-6.99999999999994 44.0000000000001,-7.99999999999994 44.0000000000001)))', '44.5', '44', '-7', '-8', '17E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 44.5000000000001,-7.99999999999994 45.0000000000001,-6.99999999999994 45.0000000000001,-6.99999999999994 44.5000000000001,-7.99999999999994 44.5000000000001)))', '45', '44.5', '-7', '-8', '18E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 45.0000000000001,-7.99999999999994 45.5000000000001,-6.99999999999994 45.5000000000001,-6.99999999999994 45.0000000000001,-7.99999999999994 45.0000000000001)))', '45.5', '45', '-7', '-8', '19E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 45.5000000000001,-7.99999999999994 46.0000000000001,-6.99999999999994 46.0000000000001,-6.99999999999994 45.5000000000001,-7.99999999999994 45.5000000000001)))', '46', '45.5', '-7', '-8', '20E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 46.0000000000001,-7.99999999999994 46.5000000000001,-6.99999999999994 46.5000000000001,-6.99999999999994 46.0000000000001,-7.99999999999994 46.0000000000001)))', '46.5', '46', '-7', '-8', '21E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 46.5000000000001,-7.99999999999994 47.0000000000001,-6.99999999999994 47.0000000000001,-6.99999999999994 46.5000000000001,-7.99999999999994 46.5000000000001)))', '47', '46.5', '-7', '-8', '22E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 47.0000000000001,-7.99999999999994 47.5000000000001,-6.99999999999994 47.5000000000001,-6.99999999999994 47.0000000000001,-7.99999999999994 47.0000000000001)))', '47.5', '47', '-7', '-8', '23E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 47.5000000000001,-7.99999999999994 48.0000000000001,-6.99999999999994 48.0000000000001,-6.99999999999994 47.5000000000001,-7.99999999999994 47.5000000000001)))', '48', '47.5', '-7', '-8', '24E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 48.0000000000001,-7.99999999999994 48.5000000000001,-6.99999999999994 48.5000000000001,-6.99999999999994 48.0000000000001,-7.99999999999994 48.0000000000001)))', '48.5', '48', '-7', '-8', '25E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 48.5000000000001,-7.99999999999994 49.0000000000001,-6.99999999999994 49.0000000000001,-6.99999999999994 48.5000000000001,-7.99999999999994 48.5000000000001)))', '49', '48.5', '-7', '-8', '26E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 49.0000000000001,-7.99999999999994 49.5000000000001,-6.99999999999994 49.5000000000001,-6.99999999999994 49.0000000000001,-7.99999999999994 49.0000000000001)))', '49.5', '49', '-7', '-8', '27E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 49.5000000000001,-7.99999999999994 50.0000000000001,-6.99999999999994 50.0000000000001,-6.99999999999994 49.5000000000001,-7.99999999999994 49.5000000000001)))', '50', '49.5', '-7', '-8', '28E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 50.0000000000001,-7.99999999999994 50.5000000000001,-6.99999999999994 50.5000000000001,-6.99999999999994 50.0000000000001,-7.99999999999994 50.0000000000001)))', '50.5', '50', '-7', '-8', '29E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 50.5000000000001,-7.99999999999994 51.0000000000001,-6.99999999999994 51.0000000000001,-6.99999999999994 50.5000000000001,-7.99999999999994 50.5000000000001)))', '51', '50.5', '-7', '-8', '30E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 51.0000000000001,-7.99999999999994 51.5000000000001,-6.99999999999994 51.5000000000001,-6.99999999999994 51.0000000000001,-7.99999999999994 51.0000000000001)))', '51.5', '51', '-7', '-8', '31E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 51.5000000000001,-7.99999999999994 52.0000000000001,-6.99999999999994 52.0000000000001,-6.99999999999994 51.5000000000001,-7.99999999999994 51.5000000000001)))', '52', '51.5', '-7', '-8', '32E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 52.0000000000001,-7.99999999999994 52.5000000000001,-6.99999999999994 52.5000000000001,-6.99999999999994 52.0000000000001,-7.99999999999994 52.0000000000001)))', '52.5', '52', '-7', '-8', '33E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 55.0000000000001,-7.99999999999994 55.5000000000001,-6.99999999999994 55.5000000000001,-6.99999999999994 55.0000000000001,-7.99999999999994 55.0000000000001)))', '55.5', '55', '-7', '-8', '39E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 55.5000000000001,-7.99999999999994 56.0000000000001,-6.99999999999994 56.0000000000001,-6.99999999999994 55.5000000000001,-7.99999999999994 55.5000000000001)))', '56', '55.5', '-7', '-8', '40E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 56.0000000000001,-7.99999999999994 56.5000000000001,-6.99999999999994 56.5000000000001,-6.99999999999994 56.0000000000001,-7.99999999999994 56.0000000000001)))', '56.5', '56', '-7', '-8', '41E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 56.5000000000001,-7.99999999999994 57.0000000000001,-6.99999999999994 57.0000000000001,-6.99999999999994 56.5000000000001,-7.99999999999994 56.5000000000001)))', '57', '56.5', '-7', '-8', '42E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 57.0000000000001,-7.99999999999994 57.5000000000001,-6.99999999999994 57.5000000000001,-6.99999999999994 57.0000000000001,-7.99999999999994 57.0000000000001)))', '57.5', '57', '-7', '-8', '43E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 57.5000000000001,-7.99999999999994 58.0000000000001,-6.99999999999994 58.0000000000001,-6.99999999999994 57.5000000000001,-7.99999999999994 57.5000000000001)))', '58', '57.5', '-7', '-8', '44E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 58.0000000000001,-7.99999999999994 58.5000000000001,-6.99999999999994 58.5000000000001,-6.99999999999994 58.0000000000001,-7.99999999999994 58.0000000000001)))', '58.5', '58', '-7', '-8', '45E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 58.5000000000001,-7.99999999999994 59.0000000000001,-6.99999999999994 59.0000000000001,-6.99999999999994 58.5000000000001,-7.99999999999994 58.5000000000001)))', '59', '58.5', '-7', '-8', '46E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 59.0000000000001,-7.99999999999994 59.5000000000001,-6.99999999999994 59.5000000000001,-6.99999999999994 59.0000000000001,-7.99999999999994 59.0000000000001)))', '59.5', '59', '-7', '-8', '47E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 59.5000000000001,-7.99999999999994 60.0000000000001,-6.99999999999994 60.0000000000001,-6.99999999999994 59.5000000000001,-7.99999999999994 59.5000000000001)))', '60', '59.5', '-7', '-8', '48E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 60.0000000000001,-7.99999999999994 60.5000000000001,-6.99999999999994 60.5000000000001,-6.99999999999994 60.0000000000001,-7.99999999999994 60.0000000000001)))', '60.5', '60', '-7', '-8', '49E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 60.5000000000001,-7.99999999999994 61.0000000000001,-6.99999999999994 61.0000000000001,-6.99999999999994 60.5000000000001,-7.99999999999994 60.5000000000001)))', '61', '60.5', '-7', '-8', '50E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 61.0000000000001,-7.99999999999994 61.5000000000001,-6.99999999999994 61.5000000000001,-6.99999999999994 61.0000000000001,-7.99999999999994 61.0000000000001)))', '61.5', '61', '-7', '-8', '51E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 61.5000000000001,-7.99999999999994 62.0000000000001,-6.99999999999994 62.0000000000001,-6.99999999999994 61.5000000000001,-7.99999999999994 61.5000000000001)))', '62', '61.5', '-7', '-8', '52E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 62.0000000000001,-7.99999999999994 62.5000000000001,-6.99999999999994 62.5000000000001,-6.99999999999994 62.0000000000001,-7.99999999999994 62.0000000000001)))', '62.5', '62', '-7', '-8', '53E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 62.5000000000001,-7.99999999999994 63.0000000000001,-6.99999999999994 63.0000000000001,-6.99999999999994 62.5000000000001,-7.99999999999994 62.5000000000001)))', '63', '62.5', '-7', '-8', '54E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 63.0000000000001,-7.99999999999994 63.5000000000001,-6.99999999999994 63.5000000000001,-6.99999999999994 63.0000000000001,-7.99999999999994 63.0000000000001)))', '63.5', '63', '-7', '-8', '55E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 63.5000000000001,-7.99999999999994 64.0000000000001,-6.99999999999994 64.0000000000001,-6.99999999999994 63.5000000000001,-7.99999999999994 63.5000000000001)))', '64', '63.5', '-7', '-8', '56E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 64.0000000000001,-7.99999999999994 64.5000000000001,-6.99999999999994 64.5000000000001,-6.99999999999994 64.0000000000001,-7.99999999999994 64.0000000000001)))', '64.5', '64', '-7', '-8', '57E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 64.5000000000001,-7.99999999999994 65.0000000000001,-6.99999999999994 65.0000000000001,-6.99999999999994 64.5000000000001,-7.99999999999994 64.5000000000001)))', '65', '64.5', '-7', '-8', '58E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 65.0000000000001,-7.99999999999994 65.5000000000001,-6.99999999999994 65.5000000000001,-6.99999999999994 65.0000000000001,-7.99999999999994 65.0000000000001)))', '65.5', '65', '-7', '-8', '59E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 65.5000000000001,-7.99999999999994 66.0000000000001,-6.99999999999994 66.0000000000001,-6.99999999999994 65.5000000000001,-7.99999999999994 65.5000000000001)))', '66', '65.5', '-7', '-8', '60E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 66.0000000000001,-7.99999999999994 66.5000000000001,-6.99999999999994 66.5000000000001,-6.99999999999994 66.0000000000001,-7.99999999999994 66.0000000000001)))', '66.5', '66', '-7', '-8', '61E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 66.5000000000001,-7.99999999999994 67.0000000000001,-6.99999999999994 67.0000000000001,-6.99999999999994 66.5000000000001,-7.99999999999994 66.5000000000001)))', '67', '66.5', '-7', '-8', '62E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 67.0000000000001,-7.99999999999994 67.5000000000001,-6.99999999999994 67.5000000000001,-6.99999999999994 67.0000000000001,-7.99999999999994 67.0000000000001)))', '67.5', '67', '-7', '-8', '63E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 67.5000000000001,-7.99999999999994 68.0000000000001,-6.99999999999994 68.0000000000001,-6.99999999999994 67.5000000000001,-7.99999999999994 67.5000000000001)))', '68', '67.5', '-7', '-8', '64E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 68.0000000000001,-7.99999999999994 68.5000000000001,-6.99999999999994 68.5000000000001,-6.99999999999994 68.0000000000001,-7.99999999999994 68.0000000000001)))', '68.5', '68', '-7', '-8', '65E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 68.5000000000001,-7.99999999999994 69.0000000000001,-6.99999999999994 69.0000000000001,-6.99999999999994 68.5000000000001,-7.99999999999994 68.5000000000001)))', '69', '68.5', '-7', '-8', '66E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 69.0000000000001,-7.99999999999994 69.5000000000001,-6.99999999999994 69.5000000000001,-6.99999999999994 69.0000000000001,-7.99999999999994 69.0000000000001)))', '69.5', '69', '-7', '-8', '67E2', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-7.99999999999994 69.5000000000001,-7.99999999999994 70.0000000000001,-6.99999999999994 70.0000000000001,-6.99999999999994 69.5000000000001,-7.99999999999994 69.5000000000001)))', '70', '69.5', '-7', '-8', '68E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 70.0000000000001,-7.99999999999994 70.5000000000001,-6.99999999999994 70.5000000000001,-6.99999999999994 70.0000000000001,-7.99999999999994 70.0000000000001)))', '70.5', '70', '-7', '-8', '69E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 70.5000000000001,-7.99999999999994 71.0000000000001,-6.99999999999994 71.0000000000001,-6.99999999999994 70.5000000000001,-7.99999999999994 70.5000000000001)))', '71', '70.5', '-7', '-8', '70E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 71.0000000000001,-7.99999999999994 71.5000000000001,-6.99999999999994 71.5000000000001,-6.99999999999994 71.0000000000001,-7.99999999999994 71.0000000000001)))', '71.5', '71', '-7', '-8', '71E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 71.5000000000001,-7.99999999999994 72.0000000000001,-6.99999999999994 72.0000000000001,-6.99999999999994 71.5000000000001,-7.99999999999994 71.5000000000001)))', '72', '71.5', '-7', '-8', '72E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 72.0000000000001,-7.99999999999994 72.5000000000001,-6.99999999999994 72.5000000000001,-6.99999999999994 72.0000000000001,-7.99999999999994 72.0000000000001)))', '72.5', '72', '-7', '-8', '73E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 72.5000000000001,-7.99999999999994 73.0000000000001,-6.99999999999994 73.0000000000001,-6.99999999999994 72.5000000000001,-7.99999999999994 72.5000000000001)))', '73', '72.5', '-7', '-8', '74E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 73.0000000000001,-7.99999999999994 73.5000000000001,-6.99999999999994 73.5000000000001,-6.99999999999994 73.0000000000001,-7.99999999999994 73.0000000000001)))', '73.5', '73', '-7', '-8', '75E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 73.5000000000001,-7.99999999999994 74.0000000000001,-6.99999999999994 74.0000000000001,-6.99999999999994 73.5000000000001,-7.99999999999994 73.5000000000001)))', '74', '73.5', '-7', '-8', '76E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 74.0000000000001,-7.99999999999994 74.5000000000001,-6.99999999999994 74.5000000000001,-6.99999999999994 74.0000000000001,-7.99999999999994 74.0000000000001)))', '74.5', '74', '-7', '-8', '77E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 74.5000000000001,-7.99999999999994 75.0000000000001,-6.99999999999994 75.0000000000001,-6.99999999999994 74.5000000000001,-7.99999999999994 74.5000000000001)))', '75', '74.5', '-7', '-8', '78E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 75.0000000000001,-7.99999999999994 75.5000000000001,-6.99999999999994 75.5000000000001,-6.99999999999994 75.0000000000001,-7.99999999999994 75.0000000000001)))', '75.5', '75', '-7', '-8', '79E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 75.5000000000001,-7.99999999999994 76.0000000000001,-6.99999999999994 76.0000000000001,-6.99999999999994 75.5000000000001,-7.99999999999994 75.5000000000001)))', '76', '75.5', '-7', '-8', '80E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 76.0000000000001,-7.99999999999994 76.5000000000001,-6.99999999999994 76.5000000000001,-6.99999999999994 76.0000000000001,-7.99999999999994 76.0000000000001)))', '76.5', '76', '-7', '-8', '81E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 76.5000000000001,-7.99999999999994 77.0000000000001,-6.99999999999994 77.0000000000001,-6.99999999999994 76.5000000000001,-7.99999999999994 76.5000000000001)))', '77', '76.5', '-7', '-8', '82E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 77.0000000000001,-7.99999999999994 77.5000000000001,-6.99999999999994 77.5000000000001,-6.99999999999994 77.0000000000001,-7.99999999999994 77.0000000000001)))', '77.5', '77', '-7', '-8', '83E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 77.5000000000001,-7.99999999999994 78.0000000000001,-6.99999999999994 78.0000000000001,-6.99999999999994 77.5000000000001,-7.99999999999994 77.5000000000001)))', '78', '77.5', '-7', '-8', '84E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 78.0000000000001,-7.99999999999994 78.5000000000001,-6.99999999999994 78.5000000000001,-6.99999999999994 78.0000000000001,-7.99999999999994 78.0000000000001)))', '78.5', '78', '-7', '-8', '85E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 78.5000000000001,-7.99999999999994 79.0000000000001,-6.99999999999994 79.0000000000001,-6.99999999999994 78.5000000000001,-7.99999999999994 78.5000000000001)))', '79', '78.5', '-7', '-8', '86E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 79.0000000000001,-7.99999999999994 79.5000000000001,-6.99999999999994 79.5000000000001,-6.99999999999994 79.0000000000001,-7.99999999999994 79.0000000000001)))', '79.5', '79', '-7', '-8', '87E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 79.5000000000001,-7.99999999999994 80.0000000000001,-6.99999999999994 80.0000000000001,-6.99999999999994 79.5000000000001,-7.99999999999994 79.5000000000001)))', '80', '79.5', '-7', '-8', '88E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 80.0000000000001,-7.99999999999994 80.5000000000001,-6.99999999999994 80.5000000000001,-6.99999999999994 80.0000000000001,-7.99999999999994 80.0000000000001)))', '80.5', '80', '-7', '-8', '89E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 80.5000000000001,-7.99999999999994 81.0000000000001,-6.99999999999994 81.0000000000001,-6.99999999999994 80.5000000000001,-7.99999999999994 80.5000000000001)))', '81', '80.5', '-7', '-8', '90E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 81.0000000000001,-7.99999999999994 81.5000000000001,-6.99999999999994 81.5000000000001,-6.99999999999994 81.0000000000001,-7.99999999999994 81.0000000000001)))', '81.5', '81', '-7', '-8', '91E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 81.5000000000001,-7.99999999999994 82.0000000000001,-6.99999999999994 82.0000000000001,-6.99999999999994 81.5000000000001,-7.99999999999994 81.5000000000001)))', '82', '81.5', '-7', '-8', '92E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 82.0000000000001,-7.99999999999994 82.5000000000001,-6.99999999999994 82.5000000000001,-6.99999999999994 82.0000000000001,-7.99999999999994 82.0000000000001)))', '82.5', '82', '-7', '-8', '93E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 82.5000000000001,-7.99999999999994 83.0000000000001,-6.99999999999994 83.0000000000001,-6.99999999999994 82.5000000000001,-7.99999999999994 82.5000000000001)))', '83', '82.5', '-7', '-8', '94E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 83.0000000000001,-7.99999999999994 83.5000000000001,-6.99999999999994 83.5000000000001,-6.99999999999994 83.0000000000001,-7.99999999999994 83.0000000000001)))', '83.5', '83', '-7', '-8', '95E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 83.5000000000001,-7.99999999999994 84.0000000000001,-6.99999999999994 84.0000000000001,-6.99999999999994 83.5000000000001,-7.99999999999994 83.5000000000001)))', '84', '83.5', '-7', '-8', '96E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 84.0000000000001,-7.99999999999994 84.5000000000001,-6.99999999999994 84.5000000000001,-6.99999999999994 84.0000000000001,-7.99999999999994 84.0000000000001)))', '84.5', '84', '-7', '-8', '97E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-7.99999999999994 84.5000000000001,-7.99999999999994 85.0000000000001,-6.99999999999994 85.0000000000001,-6.99999999999994 84.5000000000001,-7.99999999999994 84.5000000000001)))', '85', '84.5', '-7', '-8', '98E2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 36.0000000000001,-6.99999999999994 36.5000000000001,-5.99999999999994 36.5000000000001,-5.99999999999994 36.0000000000001,-6.99999999999994 36.0000000000001)))', '36.5', '36', '-6', '-7', '01E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 36.5000000000001,-6.99999999999994 37.0000000000001,-5.99999999999994 37.0000000000001,-5.99999999999994 36.5000000000001,-6.99999999999994 36.5000000000001)))', '37', '36.5', '-6', '-7', '02E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 37.0000000000001,-6.99999999999994 37.5000000000001,-5.99999999999994 37.5000000000001,-5.99999999999994 37.0000000000001,-6.99999999999994 37.0000000000001)))', '37.5', '37', '-6', '-7', '03E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 43.5000000000001,-6.99999999999994 44.0000000000001,-5.99999999999994 44.0000000000001,-5.99999999999994 43.5000000000001,-6.99999999999994 43.5000000000001)))', '44', '43.5', '-6', '-7', '16E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 44.0000000000001,-6.99999999999994 44.5000000000001,-5.99999999999994 44.5000000000001,-5.99999999999994 44.0000000000001,-6.99999999999994 44.0000000000001)))', '44.5', '44', '-6', '-7', '17E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 44.5000000000001,-6.99999999999994 45.0000000000001,-5.99999999999994 45.0000000000001,-5.99999999999994 44.5000000000001,-6.99999999999994 44.5000000000001)))', '45', '44.5', '-6', '-7', '18E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 45.0000000000001,-6.99999999999994 45.5000000000001,-5.99999999999994 45.5000000000001,-5.99999999999994 45.0000000000001,-6.99999999999994 45.0000000000001)))', '45.5', '45', '-6', '-7', '19E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 45.5000000000001,-6.99999999999994 46.0000000000001,-5.99999999999994 46.0000000000001,-5.99999999999994 45.5000000000001,-6.99999999999994 45.5000000000001)))', '46', '45.5', '-6', '-7', '20E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 46.0000000000001,-6.99999999999994 46.5000000000001,-5.99999999999994 46.5000000000001,-5.99999999999994 46.0000000000001,-6.99999999999994 46.0000000000001)))', '46.5', '46', '-6', '-7', '21E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 46.5000000000001,-6.99999999999994 47.0000000000001,-5.99999999999994 47.0000000000001,-5.99999999999994 46.5000000000001,-6.99999999999994 46.5000000000001)))', '47', '46.5', '-6', '-7', '22E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 47.0000000000001,-6.99999999999994 47.5000000000001,-5.99999999999994 47.5000000000001,-5.99999999999994 47.0000000000001,-6.99999999999994 47.0000000000001)))', '47.5', '47', '-6', '-7', '23E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 47.5000000000001,-6.99999999999994 48.0000000000001,-5.99999999999994 48.0000000000001,-5.99999999999994 47.5000000000001,-6.99999999999994 47.5000000000001)))', '48', '47.5', '-6', '-7', '24E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 48.0000000000001,-6.99999999999994 48.5000000000001,-5.99999999999994 48.5000000000001,-5.99999999999994 48.0000000000001,-6.99999999999994 48.0000000000001)))', '48.5', '48', '-6', '-7', '25E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 48.5000000000001,-6.99999999999994 49.0000000000001,-5.99999999999994 49.0000000000001,-5.99999999999994 48.5000000000001,-6.99999999999994 48.5000000000001)))', '49', '48.5', '-6', '-7', '26E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 49.0000000000001,-6.99999999999994 49.5000000000001,-5.99999999999994 49.5000000000001,-5.99999999999994 49.0000000000001,-6.99999999999994 49.0000000000001)))', '49.5', '49', '-6', '-7', '27E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 49.5000000000001,-6.99999999999994 50.0000000000001,-5.99999999999994 50.0000000000001,-5.99999999999994 49.5000000000001,-6.99999999999994 49.5000000000001)))', '50', '49.5', '-6', '-7', '28E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 50.0000000000001,-6.99999999999994 50.5000000000001,-5.99999999999994 50.5000000000001,-5.99999999999994 50.0000000000001,-6.99999999999994 50.0000000000001)))', '50.5', '50', '-6', '-7', '29E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 50.5000000000001,-6.99999999999994 51.0000000000001,-5.99999999999994 51.0000000000001,-5.99999999999994 50.5000000000001,-6.99999999999994 50.5000000000001)))', '51', '50.5', '-6', '-7', '30E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 51.0000000000001,-6.99999999999994 51.5000000000001,-5.99999999999994 51.5000000000001,-5.99999999999994 51.0000000000001,-6.99999999999994 51.0000000000001)))', '51.5', '51', '-6', '-7', '31E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 51.5000000000001,-6.99999999999994 52.0000000000001,-5.99999999999994 52.0000000000001,-5.99999999999994 51.5000000000001,-6.99999999999994 51.5000000000001)))', '52', '51.5', '-6', '-7', '32E3', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-6.99999999999994 52.0000000000001,-6.99999999999994 52.5000000000001,-5.99999999999994 52.5000000000001,-5.99999999999994 52.0000000000001,-6.99999999999994 52.0000000000001)))', '52.5', '52', '-6', '-7', '33E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 52.5000000000001,-6.99999999999994 53.0000000000001,-5.99999999999994 53.0000000000001,-5.99999999999994 52.5000000000001,-6.99999999999994 52.5000000000001)))', '53', '52.5', '-6', '-7', '34E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 53.0000000000001,-6.99999999999994 53.5000000000001,-5.99999999999994 53.5000000000001,-5.99999999999994 53.0000000000001,-6.99999999999994 53.0000000000001)))', '53.5', '53', '-6', '-7', '35E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 53.5000000000001,-6.99999999999994 54.0000000000001,-5.99999999999994 54.0000000000001,-5.99999999999994 53.5000000000001,-6.99999999999994 53.5000000000001)))', '54', '53.5', '-6', '-7', '36E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 54.0000000000001,-6.99999999999994 54.5000000000001,-5.99999999999994 54.5000000000001,-5.99999999999994 54.0000000000001,-6.99999999999994 54.0000000000001)))', '54.5', '54', '-6', '-7', '37E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 55.0000000000001,-6.99999999999994 55.5000000000001,-5.99999999999994 55.5000000000001,-5.99999999999994 55.0000000000001,-6.99999999999994 55.0000000000001)))', '55.5', '55', '-6', '-7', '39E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 55.5000000000001,-6.99999999999994 56.0000000000001,-5.99999999999994 56.0000000000001,-5.99999999999994 55.5000000000001,-6.99999999999994 55.5000000000001)))', '56', '55.5', '-6', '-7', '40E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 56.0000000000001,-6.99999999999994 56.5000000000001,-5.99999999999994 56.5000000000001,-5.99999999999994 56.0000000000001,-6.99999999999994 56.0000000000001)))', '56.5', '56', '-6', '-7', '41E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 56.5000000000001,-6.99999999999994 57.0000000000001,-5.99999999999994 57.0000000000001,-5.99999999999994 56.5000000000001,-6.99999999999994 56.5000000000001)))', '57', '56.5', '-6', '-7', '42E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 57.0000000000001,-6.99999999999994 57.5000000000001,-5.99999999999994 57.5000000000001,-5.99999999999994 57.0000000000001,-6.99999999999994 57.0000000000001)))', '57.5', '57', '-6', '-7', '43E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 57.5000000000001,-6.99999999999994 58.0000000000001,-5.99999999999994 58.0000000000001,-5.99999999999994 57.5000000000001,-6.99999999999994 57.5000000000001)))', '58', '57.5', '-6', '-7', '44E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 58.0000000000001,-6.99999999999994 58.5000000000001,-5.99999999999994 58.5000000000001,-5.99999999999994 58.0000000000001,-6.99999999999994 58.0000000000001)))', '58.5', '58', '-6', '-7', '45E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 58.5000000000001,-6.99999999999994 59.0000000000001,-5.99999999999994 59.0000000000001,-5.99999999999994 58.5000000000001,-6.99999999999994 58.5000000000001)))', '59', '58.5', '-6', '-7', '46E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 59.0000000000001,-6.99999999999994 59.5000000000001,-5.99999999999994 59.5000000000001,-5.99999999999994 59.0000000000001,-6.99999999999994 59.0000000000001)))', '59.5', '59', '-6', '-7', '47E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 59.5000000000001,-6.99999999999994 60.0000000000001,-5.99999999999994 60.0000000000001,-5.99999999999994 59.5000000000001,-6.99999999999994 59.5000000000001)))', '60', '59.5', '-6', '-7', '48E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 60.0000000000001,-6.99999999999994 60.5000000000001,-5.99999999999994 60.5000000000001,-5.99999999999994 60.0000000000001,-6.99999999999994 60.0000000000001)))', '60.5', '60', '-6', '-7', '49E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 60.5000000000001,-6.99999999999994 61.0000000000001,-5.99999999999994 61.0000000000001,-5.99999999999994 60.5000000000001,-6.99999999999994 60.5000000000001)))', '61', '60.5', '-6', '-7', '50E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 61.0000000000001,-6.99999999999994 61.5000000000001,-5.99999999999994 61.5000000000001,-5.99999999999994 61.0000000000001,-6.99999999999994 61.0000000000001)))', '61.5', '61', '-6', '-7', '51E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 61.5000000000001,-6.99999999999994 62.0000000000001,-5.99999999999994 62.0000000000001,-5.99999999999994 61.5000000000001,-6.99999999999994 61.5000000000001)))', '62', '61.5', '-6', '-7', '52E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 62.0000000000001,-6.99999999999994 62.5000000000001,-5.99999999999994 62.5000000000001,-5.99999999999994 62.0000000000001,-6.99999999999994 62.0000000000001)))', '62.5', '62', '-6', '-7', '53E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 62.5000000000001,-6.99999999999994 63.0000000000001,-5.99999999999994 63.0000000000001,-5.99999999999994 62.5000000000001,-6.99999999999994 62.5000000000001)))', '63', '62.5', '-6', '-7', '54E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 63.0000000000001,-6.99999999999994 63.5000000000001,-5.99999999999994 63.5000000000001,-5.99999999999994 63.0000000000001,-6.99999999999994 63.0000000000001)))', '63.5', '63', '-6', '-7', '55E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 63.5000000000001,-6.99999999999994 64.0000000000001,-5.99999999999994 64.0000000000001,-5.99999999999994 63.5000000000001,-6.99999999999994 63.5000000000001)))', '64', '63.5', '-6', '-7', '56E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 64.0000000000001,-6.99999999999994 64.5000000000001,-5.99999999999994 64.5000000000001,-5.99999999999994 64.0000000000001,-6.99999999999994 64.0000000000001)))', '64.5', '64', '-6', '-7', '57E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 64.5000000000001,-6.99999999999994 65.0000000000001,-5.99999999999994 65.0000000000001,-5.99999999999994 64.5000000000001,-6.99999999999994 64.5000000000001)))', '65', '64.5', '-6', '-7', '58E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 65.0000000000001,-6.99999999999994 65.5000000000001,-5.99999999999994 65.5000000000001,-5.99999999999994 65.0000000000001,-6.99999999999994 65.0000000000001)))', '65.5', '65', '-6', '-7', '59E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 65.5000000000001,-6.99999999999994 66.0000000000001,-5.99999999999994 66.0000000000001,-5.99999999999994 65.5000000000001,-6.99999999999994 65.5000000000001)))', '66', '65.5', '-6', '-7', '60E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 66.0000000000001,-6.99999999999994 66.5000000000001,-5.99999999999994 66.5000000000001,-5.99999999999994 66.0000000000001,-6.99999999999994 66.0000000000001)))', '66.5', '66', '-6', '-7', '61E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 66.5000000000001,-6.99999999999994 67.0000000000001,-5.99999999999994 67.0000000000001,-5.99999999999994 66.5000000000001,-6.99999999999994 66.5000000000001)))', '67', '66.5', '-6', '-7', '62E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 67.0000000000001,-6.99999999999994 67.5000000000001,-5.99999999999994 67.5000000000001,-5.99999999999994 67.0000000000001,-6.99999999999994 67.0000000000001)))', '67.5', '67', '-6', '-7', '63E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 67.5000000000001,-6.99999999999994 68.0000000000001,-5.99999999999994 68.0000000000001,-5.99999999999994 67.5000000000001,-6.99999999999994 67.5000000000001)))', '68', '67.5', '-6', '-7', '64E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 68.0000000000001,-6.99999999999994 68.5000000000001,-5.99999999999994 68.5000000000001,-5.99999999999994 68.0000000000001,-6.99999999999994 68.0000000000001)))', '68.5', '68', '-6', '-7', '65E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 68.5000000000001,-6.99999999999994 69.0000000000001,-5.99999999999994 69.0000000000001,-5.99999999999994 68.5000000000001,-6.99999999999994 68.5000000000001)))', '69', '68.5', '-6', '-7', '66E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 69.0000000000001,-6.99999999999994 69.5000000000001,-5.99999999999994 69.5000000000001,-5.99999999999994 69.0000000000001,-6.99999999999994 69.0000000000001)))', '69.5', '69', '-6', '-7', '67E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 69.5000000000001,-6.99999999999994 70.0000000000001,-5.99999999999994 70.0000000000001,-5.99999999999994 69.5000000000001,-6.99999999999994 69.5000000000001)))', '70', '69.5', '-6', '-7', '68E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 70.0000000000001,-6.99999999999994 70.5000000000001,-5.99999999999994 70.5000000000001,-5.99999999999994 70.0000000000001,-6.99999999999994 70.0000000000001)))', '70.5', '70', '-6', '-7', '69E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 70.5000000000001,-6.99999999999994 71.0000000000001,-5.99999999999994 71.0000000000001,-5.99999999999994 70.5000000000001,-6.99999999999994 70.5000000000001)))', '71', '70.5', '-6', '-7', '70E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 71.0000000000001,-6.99999999999994 71.5000000000001,-5.99999999999994 71.5000000000001,-5.99999999999994 71.0000000000001,-6.99999999999994 71.0000000000001)))', '71.5', '71', '-6', '-7', '71E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 71.5000000000001,-6.99999999999994 72.0000000000001,-5.99999999999994 72.0000000000001,-5.99999999999994 71.5000000000001,-6.99999999999994 71.5000000000001)))', '72', '71.5', '-6', '-7', '72E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 72.0000000000001,-6.99999999999994 72.5000000000001,-5.99999999999994 72.5000000000001,-5.99999999999994 72.0000000000001,-6.99999999999994 72.0000000000001)))', '72.5', '72', '-6', '-7', '73E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 72.5000000000001,-6.99999999999994 73.0000000000001,-5.99999999999994 73.0000000000001,-5.99999999999994 72.5000000000001,-6.99999999999994 72.5000000000001)))', '73', '72.5', '-6', '-7', '74E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 73.0000000000001,-6.99999999999994 73.5000000000001,-5.99999999999994 73.5000000000001,-5.99999999999994 73.0000000000001,-6.99999999999994 73.0000000000001)))', '73.5', '73', '-6', '-7', '75E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 73.5000000000001,-6.99999999999994 74.0000000000001,-5.99999999999994 74.0000000000001,-5.99999999999994 73.5000000000001,-6.99999999999994 73.5000000000001)))', '74', '73.5', '-6', '-7', '76E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 74.0000000000001,-6.99999999999994 74.5000000000001,-5.99999999999994 74.5000000000001,-5.99999999999994 74.0000000000001,-6.99999999999994 74.0000000000001)))', '74.5', '74', '-6', '-7', '77E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 74.5000000000001,-6.99999999999994 75.0000000000001,-5.99999999999994 75.0000000000001,-5.99999999999994 74.5000000000001,-6.99999999999994 74.5000000000001)))', '75', '74.5', '-6', '-7', '78E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 75.0000000000001,-6.99999999999994 75.5000000000001,-5.99999999999994 75.5000000000001,-5.99999999999994 75.0000000000001,-6.99999999999994 75.0000000000001)))', '75.5', '75', '-6', '-7', '79E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 75.5000000000001,-6.99999999999994 76.0000000000001,-5.99999999999994 76.0000000000001,-5.99999999999994 75.5000000000001,-6.99999999999994 75.5000000000001)))', '76', '75.5', '-6', '-7', '80E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 76.0000000000001,-6.99999999999994 76.5000000000001,-5.99999999999994 76.5000000000001,-5.99999999999994 76.0000000000001,-6.99999999999994 76.0000000000001)))', '76.5', '76', '-6', '-7', '81E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 76.5000000000001,-6.99999999999994 77.0000000000001,-5.99999999999994 77.0000000000001,-5.99999999999994 76.5000000000001,-6.99999999999994 76.5000000000001)))', '77', '76.5', '-6', '-7', '82E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 77.0000000000001,-6.99999999999994 77.5000000000001,-5.99999999999994 77.5000000000001,-5.99999999999994 77.0000000000001,-6.99999999999994 77.0000000000001)))', '77.5', '77', '-6', '-7', '83E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 77.5000000000001,-6.99999999999994 78.0000000000001,-5.99999999999994 78.0000000000001,-5.99999999999994 77.5000000000001,-6.99999999999994 77.5000000000001)))', '78', '77.5', '-6', '-7', '84E3', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-6.99999999999994 78.0000000000001,-6.99999999999994 78.5000000000001,-5.99999999999994 78.5000000000001,-5.99999999999994 78.0000000000001,-6.99999999999994 78.0000000000001)))', '78.5', '78', '-6', '-7', '85E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 78.5000000000001,-6.99999999999994 79.0000000000001,-5.99999999999994 79.0000000000001,-5.99999999999994 78.5000000000001,-6.99999999999994 78.5000000000001)))', '79', '78.5', '-6', '-7', '86E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 79.0000000000001,-6.99999999999994 79.5000000000001,-5.99999999999994 79.5000000000001,-5.99999999999994 79.0000000000001,-6.99999999999994 79.0000000000001)))', '79.5', '79', '-6', '-7', '87E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 79.5000000000001,-6.99999999999994 80.0000000000001,-5.99999999999994 80.0000000000001,-5.99999999999994 79.5000000000001,-6.99999999999994 79.5000000000001)))', '80', '79.5', '-6', '-7', '88E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 80.0000000000001,-6.99999999999994 80.5000000000001,-5.99999999999994 80.5000000000001,-5.99999999999994 80.0000000000001,-6.99999999999994 80.0000000000001)))', '80.5', '80', '-6', '-7', '89E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 80.5000000000001,-6.99999999999994 81.0000000000001,-5.99999999999994 81.0000000000001,-5.99999999999994 80.5000000000001,-6.99999999999994 80.5000000000001)))', '81', '80.5', '-6', '-7', '90E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 81.0000000000001,-6.99999999999994 81.5000000000001,-5.99999999999994 81.5000000000001,-5.99999999999994 81.0000000000001,-6.99999999999994 81.0000000000001)))', '81.5', '81', '-6', '-7', '91E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 81.5000000000001,-6.99999999999994 82.0000000000001,-5.99999999999994 82.0000000000001,-5.99999999999994 81.5000000000001,-6.99999999999994 81.5000000000001)))', '82', '81.5', '-6', '-7', '92E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 82.0000000000001,-6.99999999999994 82.5000000000001,-5.99999999999994 82.5000000000001,-5.99999999999994 82.0000000000001,-6.99999999999994 82.0000000000001)))', '82.5', '82', '-6', '-7', '93E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 82.5000000000001,-6.99999999999994 83.0000000000001,-5.99999999999994 83.0000000000001,-5.99999999999994 82.5000000000001,-6.99999999999994 82.5000000000001)))', '83', '82.5', '-6', '-7', '94E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 83.0000000000001,-6.99999999999994 83.5000000000001,-5.99999999999994 83.5000000000001,-5.99999999999994 83.0000000000001,-6.99999999999994 83.0000000000001)))', '83.5', '83', '-6', '-7', '95E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 83.5000000000001,-6.99999999999994 84.0000000000001,-5.99999999999994 84.0000000000001,-5.99999999999994 83.5000000000001,-6.99999999999994 83.5000000000001)))', '84', '83.5', '-6', '-7', '96E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 84.0000000000001,-6.99999999999994 84.5000000000001,-5.99999999999994 84.5000000000001,-5.99999999999994 84.0000000000001,-6.99999999999994 84.0000000000001)))', '84.5', '84', '-6', '-7', '97E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-6.99999999999994 84.5000000000001,-6.99999999999994 85.0000000000001,-5.99999999999994 85.0000000000001,-5.99999999999994 84.5000000000001,-6.99999999999994 84.5000000000001)))', '85', '84.5', '-6', '-7', '98E3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 36.0000000000001,-5.99999999999994 36.5000000000001,-5.59973840899994 36.50015224,-5.59999990499995 36.0000000000001,-5.99999999999994 36.0000000000001)))', '36.5', '36', '-5', '-6', '01E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 43.0000000000001,-5.99999999999994 43.5000000000001,-4.99999999999994 43.5000000000001,-4.99999999999994 43.0000000000001,-5.99999999999994 43.0000000000001)))', '43.5', '43', '-5', '-6', '15E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 43.5000000000001,-5.99999999999994 44.0000000000001,-4.99999999999994 44.0000000000001,-4.99999999999994 43.5000000000001,-5.99999999999994 43.5000000000001)))', '44', '43.5', '-5', '-6', '16E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 44.0000000000001,-5.99999999999994 44.5000000000001,-4.99999999999994 44.5000000000001,-4.99999999999994 44.0000000000001,-5.99999999999994 44.0000000000001)))', '44.5', '44', '-5', '-6', '17E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 44.5000000000001,-5.99999999999994 45.0000000000001,-4.99999999999994 45.0000000000001,-4.99999999999994 44.5000000000001,-5.99999999999994 44.5000000000001)))', '45', '44.5', '-5', '-6', '18E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 45.0000000000001,-5.99999999999994 45.5000000000001,-4.99999999999994 45.5000000000001,-4.99999999999994 45.0000000000001,-5.99999999999994 45.0000000000001)))', '45.5', '45', '-5', '-6', '19E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 45.5000000000001,-5.99999999999994 46.0000000000001,-4.99999999999994 46.0000000000001,-4.99999999999994 45.5000000000001,-5.99999999999994 45.5000000000001)))', '46', '45.5', '-5', '-6', '20E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 46.0000000000001,-5.99999999999994 46.5000000000001,-4.99999999999994 46.5000000000001,-4.99999999999994 46.0000000000001,-5.99999999999994 46.0000000000001)))', '46.5', '46', '-5', '-6', '21E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 46.5000000000001,-5.99999999999994 47.0000000000001,-4.99999999999994 47.0000000000001,-4.99999999999994 46.5000000000001,-5.99999999999994 46.5000000000001)))', '47', '46.5', '-5', '-6', '22E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 47.0000000000001,-5.99999999999994 47.5000000000001,-4.99999999999994 47.5000000000001,-4.99999999999994 47.0000000000001,-5.99999999999994 47.0000000000001)))', '47.5', '47', '-5', '-6', '23E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 47.5000000000001,-5.99999999999994 48.0000000000001,-4.99999999999994 48.0000000000001,-4.99999999999994 47.5000000000001,-5.99999999999994 47.5000000000001)))', '48', '47.5', '-5', '-6', '24E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 48.0000000000001,-5.99999999999994 48.5000000000001,-4.99999999999994 48.5000000000001,-4.99999999999994 48.0000000000001,-5.99999999999994 48.0000000000001)))', '48.5', '48', '-5', '-6', '25E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 48.5000000000001,-5.99999999999994 49.0000000000001,-4.99999999999994 49.0000000000001,-4.99999999999994 48.5000000000001,-5.99999999999994 48.5000000000001)))', '49', '48.5', '-5', '-6', '26E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 49.0000000000001,-5.99999999999994 49.5000000000001,-4.99999999999994 49.5000000000001,-4.99999999999994 49.0000000000001,-5.99999999999994 49.0000000000001)))', '49.5', '49', '-5', '-6', '27E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 49.5000000000001,-5.99999999999994 50.0000000000001,-4.99999999999994 50.0000000000001,-4.99999999999994 49.5000000000001,-5.99999999999994 49.5000000000001)))', '50', '49.5', '-5', '-6', '28E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 50.0000000000001,-5.99999999999994 50.5000000000001,-4.99999999999994 50.5000000000001,-4.99999999999994 50.0000000000001,-5.99999999999994 50.0000000000001)))', '50.5', '50', '-5', '-6', '29E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 50.5000000000001,-5.99999999999994 51.0000000000001,-4.99999999999994 51.0000000000001,-4.99999999999994 50.5000000000001,-5.99999999999994 50.5000000000001)))', '51', '50.5', '-5', '-6', '30E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 51.0000000000001,-5.99999999999994 51.5000000000001,-4.99999999999994 51.5000000000001,-4.99999999999994 51.0000000000001,-5.99999999999994 51.0000000000001)))', '51.5', '51', '-5', '-6', '31E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 51.5000000000001,-5.99999999999994 52.0000000000001,-4.99999999999994 52.0000000000001,-4.99999999999994 51.5000000000001,-5.99999999999994 51.5000000000001)))', '52', '51.5', '-5', '-6', '32E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 52.0000000000001,-5.99999999999994 52.5000000000001,-4.99999999999994 52.5000000000001,-4.99999999999994 52.0000000000001,-5.99999999999994 52.0000000000001)))', '52.5', '52', '-5', '-6', '33E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 52.5000000000001,-5.99999999999994 53.0000000000001,-4.99999999999994 53.0000000000001,-4.99999999999994 52.5000000000001,-5.99999999999994 52.5000000000001)))', '53', '52.5', '-5', '-6', '34E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 53.0000000000001,-5.99999999999994 53.5000000000001,-4.99999999999994 53.5000000000001,-4.99999999999994 53.0000000000001,-5.99999999999994 53.0000000000001)))', '53.5', '53', '-5', '-6', '35E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 53.5000000000001,-5.99999999999994 54.0000000000001,-4.99999999999994 54.0000000000001,-4.99999999999994 53.5000000000001,-5.99999999999994 53.5000000000001)))', '54', '53.5', '-5', '-6', '36E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 54.0000000000001,-5.99999999999994 54.5000000000001,-4.99999999999994 54.5000000000001,-4.99999999999994 54.0000000000001,-5.99999999999994 54.0000000000001)))', '54.5', '54', '-5', '-6', '37E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 54.5000000000001,-5.99999999999994 55.0000000000001,-4.99999999999994 55.0000000000001,-4.99999999999994 54.5000000000001,-5.99999999999994 54.5000000000001)))', '55', '54.5', '-5', '-6', '38E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 55.0000000000001,-5.99999999999994 55.5000000000001,-4.99999999999994 55.5000000000001,-4.99999999999994 55.0000000000001,-5.99999999999994 55.0000000000001)))', '55.5', '55', '-5', '-6', '39E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 55.5000000000001,-5.99999999999994 56.0000000000001,-4.99999999999994 56.0000000000001,-4.99999999999994 55.5000000000001,-5.99999999999994 55.5000000000001)))', '56', '55.5', '-5', '-6', '40E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 56.0000000000001,-5.99999999999994 56.5000000000001,-4.99999999999994 56.5000000000001,-4.99999999999994 56.0000000000001,-5.99999999999994 56.0000000000001)))', '56.5', '56', '-5', '-6', '41E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 56.5000000000001,-5.99999999999994 57.0000000000001,-4.99999999999994 57.0000000000001,-4.99999999999994 56.5000000000001,-5.99999999999994 56.5000000000001)))', '57', '56.5', '-5', '-6', '42E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 57.0000000000001,-5.99999999999994 57.5000000000001,-4.99999999999994 57.5000000000001,-4.99999999999994 57.0000000000001,-5.99999999999994 57.0000000000001)))', '57.5', '57', '-5', '-6', '43E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 57.5000000000001,-5.99999999999994 58.0000000000001,-4.99999999999994 58.0000000000001,-4.99999999999994 57.5000000000001,-5.99999999999994 57.5000000000001)))', '58', '57.5', '-5', '-6', '44E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 58.0000000000001,-5.99999999999994 58.5000000000001,-4.99999999999994 58.5000000000001,-4.99999999999994 58.0000000000001,-5.99999999999994 58.0000000000001)))', '58.5', '58', '-5', '-6', '45E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 58.5000000000001,-5.99999999999994 59.0000000000001,-4.99999999999994 59.0000000000001,-4.99999999999994 58.5000000000001,-5.99999999999994 58.5000000000001)))', '59', '58.5', '-5', '-6', '46E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 59.0000000000001,-5.99999999999994 59.5000000000001,-4.99999999999994 59.5000000000001,-4.99999999999994 59.0000000000001,-5.99999999999994 59.0000000000001)))', '59.5', '59', '-5', '-6', '47E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 59.5000000000001,-5.99999999999994 60.0000000000001,-4.99999999999994 60.0000000000001,-4.99999999999994 59.5000000000001,-5.99999999999994 59.5000000000001)))', '60', '59.5', '-5', '-6', '48E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 60.0000000000001,-5.99999999999994 60.5000000000001,-4.99999999999994 60.5000000000001,-4.99999999999994 60.0000000000001,-5.99999999999994 60.0000000000001)))', '60.5', '60', '-5', '-6', '49E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 60.5000000000001,-5.99999999999994 61.0000000000001,-4.99999999999994 61.0000000000001,-4.99999999999994 60.5000000000001,-5.99999999999994 60.5000000000001)))', '61', '60.5', '-5', '-6', '50E4', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-5.99999999999994 61.0000000000001,-5.99999999999994 61.5000000000001,-4.99999999999994 61.5000000000001,-4.99999999999994 61.0000000000001,-5.99999999999994 61.0000000000001)))', '61.5', '61', '-5', '-6', '51E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 61.5000000000001,-5.99999999999994 62.0000000000001,-4.99999999999994 62.0000000000001,-4.99999999999994 61.5000000000001,-5.99999999999994 61.5000000000001)))', '62', '61.5', '-5', '-6', '52E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 62.0000000000001,-5.99999999999994 62.5000000000001,-4.99999999999994 62.5000000000001,-4.99999999999994 62.0000000000001,-5.99999999999994 62.0000000000001)))', '62.5', '62', '-5', '-6', '53E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 62.5000000000001,-5.99999999999994 63.0000000000001,-4.99999999999994 63.0000000000001,-4.99999999999994 62.5000000000001,-5.99999999999994 62.5000000000001)))', '63', '62.5', '-5', '-6', '54E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 63.0000000000001,-5.99999999999994 63.5000000000001,-4.99999999999994 63.5000000000001,-4.99999999999994 63.0000000000001,-5.99999999999994 63.0000000000001)))', '63.5', '63', '-5', '-6', '55E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 63.5000000000001,-5.99999999999994 64.0000000000001,-4.99999999999994 64.0000000000001,-4.99999999999994 63.5000000000001,-5.99999999999994 63.5000000000001)))', '64', '63.5', '-5', '-6', '56E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 64.0000000000001,-5.99999999999994 64.5000000000001,-4.99999999999994 64.5000000000001,-4.99999999999994 64.0000000000001,-5.99999999999994 64.0000000000001)))', '64.5', '64', '-5', '-6', '57E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 64.5000000000001,-5.99999999999994 65.0000000000001,-4.99999999999994 65.0000000000001,-4.99999999999994 64.5000000000001,-5.99999999999994 64.5000000000001)))', '65', '64.5', '-5', '-6', '58E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 65.0000000000001,-5.99999999999994 65.5000000000001,-4.99999999999994 65.5000000000001,-4.99999999999994 65.0000000000001,-5.99999999999994 65.0000000000001)))', '65.5', '65', '-5', '-6', '59E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 65.5000000000001,-5.99999999999994 66.0000000000001,-4.99999999999994 66.0000000000001,-4.99999999999994 65.5000000000001,-5.99999999999994 65.5000000000001)))', '66', '65.5', '-5', '-6', '60E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 66.0000000000001,-5.99999999999994 66.5000000000001,-4.99999999999994 66.5000000000001,-4.99999999999994 66.0000000000001,-5.99999999999994 66.0000000000001)))', '66.5', '66', '-5', '-6', '61E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 66.5000000000001,-5.99999999999994 67.0000000000001,-4.99999999999994 67.0000000000001,-4.99999999999994 66.5000000000001,-5.99999999999994 66.5000000000001)))', '67', '66.5', '-5', '-6', '62E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 67.0000000000001,-5.99999999999994 67.5000000000001,-4.99999999999994 67.5000000000001,-4.99999999999994 67.0000000000001,-5.99999999999994 67.0000000000001)))', '67.5', '67', '-5', '-6', '63E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 67.5000000000001,-5.99999999999994 68.0000000000001,-4.99999999999994 68.0000000000001,-4.99999999999994 67.5000000000001,-5.99999999999994 67.5000000000001)))', '68', '67.5', '-5', '-6', '64E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 68.0000000000001,-5.99999999999994 68.5000000000001,-4.99999999999994 68.5000000000001,-4.99999999999994 68.0000000000001,-5.99999999999994 68.0000000000001)))', '68.5', '68', '-5', '-6', '65E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 68.5000000000001,-5.99999999999994 69.0000000000001,-4.99999999999994 69.0000000000001,-4.99999999999994 68.5000000000001,-5.99999999999994 68.5000000000001)))', '69', '68.5', '-5', '-6', '66E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 69.0000000000001,-5.99999999999994 69.5000000000001,-4.99999999999994 69.5000000000001,-4.99999999999994 69.0000000000001,-5.99999999999994 69.0000000000001)))', '69.5', '69', '-5', '-6', '67E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 69.5000000000001,-5.99999999999994 70.0000000000001,-4.99999999999994 70.0000000000001,-4.99999999999994 69.5000000000001,-5.99999999999994 69.5000000000001)))', '70', '69.5', '-5', '-6', '68E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 70.0000000000001,-5.99999999999994 70.5000000000001,-4.99999999999994 70.5000000000001,-4.99999999999994 70.0000000000001,-5.99999999999994 70.0000000000001)))', '70.5', '70', '-5', '-6', '69E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 70.5000000000001,-5.99999999999994 71.0000000000001,-4.99999999999994 71.0000000000001,-4.99999999999994 70.5000000000001,-5.99999999999994 70.5000000000001)))', '71', '70.5', '-5', '-6', '70E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 71.0000000000001,-5.99999999999994 71.5000000000001,-4.99999999999994 71.5000000000001,-4.99999999999994 71.0000000000001,-5.99999999999994 71.0000000000001)))', '71.5', '71', '-5', '-6', '71E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 71.5000000000001,-5.99999999999994 72.0000000000001,-4.99999999999994 72.0000000000001,-4.99999999999994 71.5000000000001,-5.99999999999994 71.5000000000001)))', '72', '71.5', '-5', '-6', '72E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 72.0000000000001,-5.99999999999994 72.5000000000001,-4.99999999999994 72.5000000000001,-4.99999999999994 72.0000000000001,-5.99999999999994 72.0000000000001)))', '72.5', '72', '-5', '-6', '73E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 72.5000000000001,-5.99999999999994 73.0000000000001,-4.99999999999994 73.0000000000001,-4.99999999999994 72.5000000000001,-5.99999999999994 72.5000000000001)))', '73', '72.5', '-5', '-6', '74E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 73.0000000000001,-5.99999999999994 73.5000000000001,-4.99999999999994 73.5000000000001,-4.99999999999994 73.0000000000001,-5.99999999999994 73.0000000000001)))', '73.5', '73', '-5', '-6', '75E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 73.5000000000001,-5.99999999999994 74.0000000000001,-4.99999999999994 74.0000000000001,-4.99999999999994 73.5000000000001,-5.99999999999994 73.5000000000001)))', '74', '73.5', '-5', '-6', '76E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 74.0000000000001,-5.99999999999994 74.5000000000001,-4.99999999999994 74.5000000000001,-4.99999999999994 74.0000000000001,-5.99999999999994 74.0000000000001)))', '74.5', '74', '-5', '-6', '77E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 74.5000000000001,-5.99999999999994 75.0000000000001,-4.99999999999994 75.0000000000001,-4.99999999999994 74.5000000000001,-5.99999999999994 74.5000000000001)))', '75', '74.5', '-5', '-6', '78E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 75.0000000000001,-5.99999999999994 75.5000000000001,-4.99999999999994 75.5000000000001,-4.99999999999994 75.0000000000001,-5.99999999999994 75.0000000000001)))', '75.5', '75', '-5', '-6', '79E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 75.5000000000001,-5.99999999999994 76.0000000000001,-4.99999999999994 76.0000000000001,-4.99999999999994 75.5000000000001,-5.99999999999994 75.5000000000001)))', '76', '75.5', '-5', '-6', '80E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 76.0000000000001,-5.99999999999994 76.5000000000001,-4.99999999999994 76.5000000000001,-4.99999999999994 76.0000000000001,-5.99999999999994 76.0000000000001)))', '76.5', '76', '-5', '-6', '81E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 76.5000000000001,-5.99999999999994 77.0000000000001,-4.99999999999994 77.0000000000001,-4.99999999999994 76.5000000000001,-5.99999999999994 76.5000000000001)))', '77', '76.5', '-5', '-6', '82E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 77.0000000000001,-5.99999999999994 77.5000000000001,-4.99999999999994 77.5000000000001,-4.99999999999994 77.0000000000001,-5.99999999999994 77.0000000000001)))', '77.5', '77', '-5', '-6', '83E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 77.5000000000001,-5.99999999999994 78.0000000000001,-4.99999999999994 78.0000000000001,-4.99999999999994 77.5000000000001,-5.99999999999994 77.5000000000001)))', '78', '77.5', '-5', '-6', '84E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 78.0000000000001,-5.99999999999994 78.5000000000001,-4.99999999999994 78.5000000000001,-4.99999999999994 78.0000000000001,-5.99999999999994 78.0000000000001)))', '78.5', '78', '-5', '-6', '85E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 78.5000000000001,-5.99999999999994 79.0000000000001,-4.99999999999994 79.0000000000001,-4.99999999999994 78.5000000000001,-5.99999999999994 78.5000000000001)))', '79', '78.5', '-5', '-6', '86E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 79.0000000000001,-5.99999999999994 79.5000000000001,-4.99999999999994 79.5000000000001,-4.99999999999994 79.0000000000001,-5.99999999999994 79.0000000000001)))', '79.5', '79', '-5', '-6', '87E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 79.5000000000001,-5.99999999999994 80.0000000000001,-4.99999999999994 80.0000000000001,-4.99999999999994 79.5000000000001,-5.99999999999994 79.5000000000001)))', '80', '79.5', '-5', '-6', '88E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 80.0000000000001,-5.99999999999994 80.5000000000001,-4.99999999999994 80.5000000000001,-4.99999999999994 80.0000000000001,-5.99999999999994 80.0000000000001)))', '80.5', '80', '-5', '-6', '89E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 80.5000000000001,-5.99999999999994 81.0000000000001,-4.99999999999994 81.0000000000001,-4.99999999999994 80.5000000000001,-5.99999999999994 80.5000000000001)))', '81', '80.5', '-5', '-6', '90E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 81.0000000000001,-5.99999999999994 81.5000000000001,-4.99999999999994 81.5000000000001,-4.99999999999994 81.0000000000001,-5.99999999999994 81.0000000000001)))', '81.5', '81', '-5', '-6', '91E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 81.5000000000001,-5.99999999999994 82.0000000000001,-4.99999999999994 82.0000000000001,-4.99999999999994 81.5000000000001,-5.99999999999994 81.5000000000001)))', '82', '81.5', '-5', '-6', '92E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 82.0000000000001,-5.99999999999994 82.5000000000001,-4.99999999999994 82.5000000000001,-4.99999999999994 82.0000000000001,-5.99999999999994 82.0000000000001)))', '82.5', '82', '-5', '-6', '93E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 82.5000000000001,-5.99999999999994 83.0000000000001,-4.99999999999994 83.0000000000001,-4.99999999999994 82.5000000000001,-5.99999999999994 82.5000000000001)))', '83', '82.5', '-5', '-6', '94E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 83.0000000000001,-5.99999999999994 83.5000000000001,-4.99999999999994 83.5000000000001,-4.99999999999994 83.0000000000001,-5.99999999999994 83.0000000000001)))', '83.5', '83', '-5', '-6', '95E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 83.5000000000001,-5.99999999999994 84.0000000000001,-4.99999999999994 84.0000000000001,-4.99999999999994 83.5000000000001,-5.99999999999994 83.5000000000001)))', '84', '83.5', '-5', '-6', '96E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 84.0000000000001,-5.99999999999994 84.5000000000001,-4.99999999999994 84.5000000000001,-4.99999999999994 84.0000000000001,-5.99999999999994 84.0000000000001)))', '84.5', '84', '-5', '-6', '97E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-5.99999999999994 84.5000000000001,-5.99999999999994 85.0000000000001,-4.99999999999994 85.0000000000001,-4.99999999999994 84.5000000000001,-5.99999999999994 84.5000000000001)))', '85', '84.5', '-5', '-6', '98E4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 43.0000000000001,-4.99999999999994 43.5000000000001,-3.99999999999994 43.5000000000001,-3.99999999999994 43.0000000000001,-4.99999999999994 43.0000000000001)))', '43.5', '43', '-4', '-5', '15E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 43.5000000000001,-4.99999999999994 44.0000000000001,-3.99999999999994 44.0000000000001,-3.99999999999994 43.5000000000001,-4.99999999999994 43.5000000000001)))', '44', '43.5', '-4', '-5', '16E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 44.0000000000001,-4.99999999999994 44.5000000000001,-3.99999999999994 44.5000000000001,-3.99999999999994 44.0000000000001,-4.99999999999994 44.0000000000001)))', '44.5', '44', '-4', '-5', '17E5', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-4.99999999999994 44.5000000000001,-4.99999999999994 45.0000000000001,-3.99999999999994 45.0000000000001,-3.99999999999994 44.5000000000001,-4.99999999999994 44.5000000000001)))', '45', '44.5', '-4', '-5', '18E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 45.0000000000001,-4.99999999999994 45.5000000000001,-3.99999999999994 45.5000000000001,-3.99999999999994 45.0000000000001,-4.99999999999994 45.0000000000001)))', '45.5', '45', '-4', '-5', '19E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 45.5000000000001,-4.99999999999994 46.0000000000001,-3.99999999999994 46.0000000000001,-3.99999999999994 45.5000000000001,-4.99999999999994 45.5000000000001)))', '46', '45.5', '-4', '-5', '20E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 46.0000000000001,-4.99999999999994 46.5000000000001,-3.99999999999994 46.5000000000001,-3.99999999999994 46.0000000000001,-4.99999999999994 46.0000000000001)))', '46.5', '46', '-4', '-5', '21E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 46.5000000000001,-4.99999999999994 47.0000000000001,-3.99999999999994 47.0000000000001,-3.99999999999994 46.5000000000001,-4.99999999999994 46.5000000000001)))', '47', '46.5', '-4', '-5', '22E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 47.0000000000001,-4.99999999999994 47.5000000000001,-3.99999999999994 47.5000000000001,-3.99999999999994 47.0000000000001,-4.99999999999994 47.0000000000001)))', '47.5', '47', '-4', '-5', '23E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 47.5000000000001,-4.99999999999994 48.0000000000001,-3.99999999999994 48.0000000000001,-3.99999999999994 47.5000000000001,-4.99999999999994 47.5000000000001)))', '48', '47.5', '-4', '-5', '24E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 48.0000000000001,-4.99999999999994 48.5000000000001,-3.99999999999994 48.5000000000001,-3.99999999999994 48.0000000000001,-4.99999999999994 48.0000000000001)))', '48.5', '48', '-4', '-5', '25E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 48.5000000000001,-4.99999999999994 49.0000000000001,-3.99999999999994 49.0000000000001,-3.99999999999994 48.5000000000001,-4.99999999999994 48.5000000000001)))', '49', '48.5', '-4', '-5', '26E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 49.0000000000001,-4.99999999999994 49.5000000000001,-3.99999999999994 49.5000000000001,-3.99999999999994 49.0000000000001,-4.99999999999994 49.0000000000001)))', '49.5', '49', '-4', '-5', '27E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 49.5000000000001,-4.99999999999994 50.0000000000001,-3.99999999999994 50.0000000000001,-3.99999999999994 49.5000000000001,-4.99999999999994 49.5000000000001)))', '50', '49.5', '-4', '-5', '28E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 50.0000000000001,-4.99999999999994 50.5000000000001,-3.99999999999994 50.5000000000001,-3.99999999999994 50.0000000000001,-4.99999999999994 50.0000000000001)))', '50.5', '50', '-4', '-5', '29E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 50.5000000000001,-4.99999999999994 51.0000000000001,-3.99999999999994 51.0000000000001,-3.99999999999994 50.5000000000001,-4.99999999999994 50.5000000000001)))', '51', '50.5', '-4', '-5', '30E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 51.0000000000001,-4.99999999999994 51.5000000000001,-3.99999999999994 51.5000000000001,-3.99999999999994 51.0000000000001,-4.99999999999994 51.0000000000001)))', '51.5', '51', '-4', '-5', '31E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 51.5000000000001,-4.99999999999994 52.0000000000001,-3.99999999999994 52.0000000000001,-3.99999999999994 51.5000000000001,-4.99999999999994 51.5000000000001)))', '52', '51.5', '-4', '-5', '32E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 52.0000000000001,-4.99999999999994 52.5000000000001,-3.99999999999994 52.5000000000001,-3.99999999999994 52.0000000000001,-4.99999999999994 52.0000000000001)))', '52.5', '52', '-4', '-5', '33E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 52.5000000000001,-4.99999999999994 53.0000000000001,-3.99999999999994 53.0000000000001,-3.99999999999994 52.5000000000001,-4.99999999999994 52.5000000000001)))', '53', '52.5', '-4', '-5', '34E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 53.0000000000001,-4.99999999999994 53.5000000000001,-3.99999999999994 53.5000000000001,-3.99999999999994 53.0000000000001,-4.99999999999994 53.0000000000001)))', '53.5', '53', '-4', '-5', '35E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 53.5000000000001,-4.99999999999994 54.0000000000001,-3.99999999999994 54.0000000000001,-3.99999999999994 53.5000000000001,-4.99999999999994 53.5000000000001)))', '54', '53.5', '-4', '-5', '36E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 54.0000000000001,-4.99999999999994 54.5000000000001,-3.99999999999994 54.5000000000001,-3.99999999999994 54.0000000000001,-4.99999999999994 54.0000000000001)))', '54.5', '54', '-4', '-5', '37E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 54.5000000000001,-4.99999999999994 55.0000000000001,-3.99999999999994 55.0000000000001,-3.99999999999994 54.5000000000001,-4.99999999999994 54.5000000000001)))', '55', '54.5', '-4', '-5', '38E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 55.0000000000001,-4.99999999999994 55.5000000000001,-3.99999999999994 55.5000000000001,-3.99999999999994 55.0000000000001,-4.99999999999994 55.0000000000001)))', '55.5', '55', '-4', '-5', '39E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 55.5000000000001,-4.99999999999994 56.0000000000001,-3.99999999999994 56.0000000000001,-3.99999999999994 55.5000000000001,-4.99999999999994 55.5000000000001)))', '56', '55.5', '-4', '-5', '40E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 56.0000000000001,-4.99999999999994 56.5000000000001,-3.99999999999994 56.5000000000001,-3.99999999999994 56.0000000000001,-4.99999999999994 56.0000000000001)))', '56.5', '56', '-4', '-5', '41E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 57.0000000000001,-4.99999999999994 57.5000000000001,-3.99999999999994 57.5000000000001,-3.99999999999994 57.0000000000001,-4.99999999999994 57.0000000000001)))', '57.5', '57', '-4', '-5', '43E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 57.5000000000001,-4.99999999999994 58.0000000000001,-3.99999999999994 58.0000000000001,-3.99999999999994 57.5000000000001,-4.99999999999994 57.5000000000001)))', '58', '57.5', '-4', '-5', '44E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 58.0000000000001,-4.99999999999994 58.5000000000001,-3.99999999999994 58.5000000000001,-3.99999999999994 58.0000000000001,-4.99999999999994 58.0000000000001)))', '58.5', '58', '-4', '-5', '45E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 58.5000000000001,-4.99999999999994 59.0000000000001,-3.99999999999994 59.0000000000001,-3.99999999999994 58.5000000000001,-4.99999999999994 58.5000000000001)))', '59', '58.5', '-4', '-5', '46E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 59.0000000000001,-4.99999999999994 59.5000000000001,-3.99999999999994 59.5000000000001,-3.99999999999994 59.0000000000001,-4.99999999999994 59.0000000000001)))', '59.5', '59', '-4', '-5', '47E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 59.5000000000001,-4.99999999999994 60.0000000000001,-3.99999999999994 60.0000000000001,-3.99999999999994 59.5000000000001,-4.99999999999994 59.5000000000001)))', '60', '59.5', '-4', '-5', '48E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 60.0000000000001,-4.99999999999994 60.5000000000001,-3.99999999999994 60.5000000000001,-3.99999999999994 60.0000000000001,-4.99999999999994 60.0000000000001)))', '60.5', '60', '-4', '-5', '49E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 60.5000000000001,-4.99999999999994 61.0000000000001,-3.99999999999994 61.0000000000001,-3.99999999999994 60.5000000000001,-4.99999999999994 60.5000000000001)))', '61', '60.5', '-4', '-5', '50E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 61.0000000000001,-4.99999999999994 61.5000000000001,-3.99999999999994 61.5000000000001,-3.99999999999994 61.0000000000001,-4.99999999999994 61.0000000000001)))', '61.5', '61', '-4', '-5', '51E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 61.5000000000001,-4.99999999999994 62.0000000000001,-3.99999999999994 62.0000000000001,-3.99999999999994 61.5000000000001,-4.99999999999994 61.5000000000001)))', '62', '61.5', '-4', '-5', '52E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 62.0000000000001,-4.99999999999994 62.5000000000001,-3.99999999999994 62.5000000000001,-3.99999999999994 62.0000000000001,-4.99999999999994 62.0000000000001)))', '62.5', '62', '-4', '-5', '53E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 62.5000000000001,-4.99999999999994 63.0000000000001,-3.99999999999994 63.0000000000001,-3.99999999999994 62.5000000000001,-4.99999999999994 62.5000000000001)))', '63', '62.5', '-4', '-5', '54E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 63.0000000000001,-4.99999999999994 63.5000000000001,-3.99999999999994 63.5000000000001,-3.99999999999994 63.0000000000001,-4.99999999999994 63.0000000000001)))', '63.5', '63', '-4', '-5', '55E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 63.5000000000001,-4.99999999999994 64.0000000000001,-3.99999999999994 64.0000000000001,-3.99999999999994 63.5000000000001,-4.99999999999994 63.5000000000001)))', '64', '63.5', '-4', '-5', '56E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 64.0000000000001,-4.99999999999994 64.5000000000001,-3.99999999999994 64.5000000000001,-3.99999999999994 64.0000000000001,-4.99999999999994 64.0000000000001)))', '64.5', '64', '-4', '-5', '57E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 64.5000000000001,-4.99999999999994 65.0000000000001,-3.99999999999994 65.0000000000001,-3.99999999999994 64.5000000000001,-4.99999999999994 64.5000000000001)))', '65', '64.5', '-4', '-5', '58E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 65.0000000000001,-4.99999999999994 65.5000000000001,-3.99999999999994 65.5000000000001,-3.99999999999994 65.0000000000001,-4.99999999999994 65.0000000000001)))', '65.5', '65', '-4', '-5', '59E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 65.5000000000001,-4.99999999999994 66.0000000000001,-3.99999999999994 66.0000000000001,-3.99999999999994 65.5000000000001,-4.99999999999994 65.5000000000001)))', '66', '65.5', '-4', '-5', '60E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 66.0000000000001,-4.99999999999994 66.5000000000001,-3.99999999999994 66.5000000000001,-3.99999999999994 66.0000000000001,-4.99999999999994 66.0000000000001)))', '66.5', '66', '-4', '-5', '61E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 66.5000000000001,-4.99999999999994 67.0000000000001,-3.99999999999994 67.0000000000001,-3.99999999999994 66.5000000000001,-4.99999999999994 66.5000000000001)))', '67', '66.5', '-4', '-5', '62E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 67.0000000000001,-4.99999999999994 67.5000000000001,-3.99999999999994 67.5000000000001,-3.99999999999994 67.0000000000001,-4.99999999999994 67.0000000000001)))', '67.5', '67', '-4', '-5', '63E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 67.5000000000001,-4.99999999999994 68.0000000000001,-3.99999999999994 68.0000000000001,-3.99999999999994 67.5000000000001,-4.99999999999994 67.5000000000001)))', '68', '67.5', '-4', '-5', '64E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 68.0000000000001,-4.99999999999994 68.5000000000001,-3.99999999999994 68.5000000000001,-3.99999999999994 68.0000000000001,-4.99999999999994 68.0000000000001)))', '68.5', '68', '-4', '-5', '65E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 68.5000000000001,-4.99999999999994 69.0000000000001,-3.99999999999994 69.0000000000001,-3.99999999999994 68.5000000000001,-4.99999999999994 68.5000000000001)))', '69', '68.5', '-4', '-5', '66E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 69.0000000000001,-4.99999999999994 69.5000000000001,-3.99999999999994 69.5000000000001,-3.99999999999994 69.0000000000001,-4.99999999999994 69.0000000000001)))', '69.5', '69', '-4', '-5', '67E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 69.5000000000001,-4.99999999999994 70.0000000000001,-3.99999999999994 70.0000000000001,-3.99999999999994 69.5000000000001,-4.99999999999994 69.5000000000001)))', '70', '69.5', '-4', '-5', '68E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 70.0000000000001,-4.99999999999994 70.5000000000001,-3.99999999999994 70.5000000000001,-3.99999999999994 70.0000000000001,-4.99999999999994 70.0000000000001)))', '70.5', '70', '-4', '-5', '69E5', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-4.99999999999994 70.5000000000001,-4.99999999999994 71.0000000000001,-3.99999999999994 71.0000000000001,-3.99999999999994 70.5000000000001,-4.99999999999994 70.5000000000001)))', '71', '70.5', '-4', '-5', '70E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 71.0000000000001,-4.99999999999994 71.5000000000001,-3.99999999999994 71.5000000000001,-3.99999999999994 71.0000000000001,-4.99999999999994 71.0000000000001)))', '71.5', '71', '-4', '-5', '71E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 71.5000000000001,-4.99999999999994 72.0000000000001,-3.99999999999994 72.0000000000001,-3.99999999999994 71.5000000000001,-4.99999999999994 71.5000000000001)))', '72', '71.5', '-4', '-5', '72E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 72.0000000000001,-4.99999999999994 72.5000000000001,-3.99999999999994 72.5000000000001,-3.99999999999994 72.0000000000001,-4.99999999999994 72.0000000000001)))', '72.5', '72', '-4', '-5', '73E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 72.5000000000001,-4.99999999999994 73.0000000000001,-3.99999999999994 73.0000000000001,-3.99999999999994 72.5000000000001,-4.99999999999994 72.5000000000001)))', '73', '72.5', '-4', '-5', '74E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 73.0000000000001,-4.99999999999994 73.5000000000001,-3.99999999999994 73.5000000000001,-3.99999999999994 73.0000000000001,-4.99999999999994 73.0000000000001)))', '73.5', '73', '-4', '-5', '75E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 73.5000000000001,-4.99999999999994 74.0000000000001,-3.99999999999994 74.0000000000001,-3.99999999999994 73.5000000000001,-4.99999999999994 73.5000000000001)))', '74', '73.5', '-4', '-5', '76E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 74.0000000000001,-4.99999999999994 74.5000000000001,-3.99999999999994 74.5000000000001,-3.99999999999994 74.0000000000001,-4.99999999999994 74.0000000000001)))', '74.5', '74', '-4', '-5', '77E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 74.5000000000001,-4.99999999999994 75.0000000000001,-3.99999999999994 75.0000000000001,-3.99999999999994 74.5000000000001,-4.99999999999994 74.5000000000001)))', '75', '74.5', '-4', '-5', '78E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 75.0000000000001,-4.99999999999994 75.5000000000001,-3.99999999999994 75.5000000000001,-3.99999999999994 75.0000000000001,-4.99999999999994 75.0000000000001)))', '75.5', '75', '-4', '-5', '79E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 75.5000000000001,-4.99999999999994 76.0000000000001,-3.99999999999994 76.0000000000001,-3.99999999999994 75.5000000000001,-4.99999999999994 75.5000000000001)))', '76', '75.5', '-4', '-5', '80E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 76.0000000000001,-4.99999999999994 76.5000000000001,-3.99999999999994 76.5000000000001,-3.99999999999994 76.0000000000001,-4.99999999999994 76.0000000000001)))', '76.5', '76', '-4', '-5', '81E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 76.5000000000001,-4.99999999999994 77.0000000000001,-3.99999999999994 77.0000000000001,-3.99999999999994 76.5000000000001,-4.99999999999994 76.5000000000001)))', '77', '76.5', '-4', '-5', '82E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 77.0000000000001,-4.99999999999994 77.5000000000001,-3.99999999999994 77.5000000000001,-3.99999999999994 77.0000000000001,-4.99999999999994 77.0000000000001)))', '77.5', '77', '-4', '-5', '83E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 77.5000000000001,-4.99999999999994 78.0000000000001,-3.99999999999994 78.0000000000001,-3.99999999999994 77.5000000000001,-4.99999999999994 77.5000000000001)))', '78', '77.5', '-4', '-5', '84E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 78.0000000000001,-4.99999999999994 78.5000000000001,-3.99999999999994 78.5000000000001,-3.99999999999994 78.0000000000001,-4.99999999999994 78.0000000000001)))', '78.5', '78', '-4', '-5', '85E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 78.5000000000001,-4.99999999999994 79.0000000000001,-3.99999999999994 79.0000000000001,-3.99999999999994 78.5000000000001,-4.99999999999994 78.5000000000001)))', '79', '78.5', '-4', '-5', '86E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 79.0000000000001,-4.99999999999994 79.5000000000001,-3.99999999999994 79.5000000000001,-3.99999999999994 79.0000000000001,-4.99999999999994 79.0000000000001)))', '79.5', '79', '-4', '-5', '87E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 79.5000000000001,-4.99999999999994 80.0000000000001,-3.99999999999994 80.0000000000001,-3.99999999999994 79.5000000000001,-4.99999999999994 79.5000000000001)))', '80', '79.5', '-4', '-5', '88E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 80.0000000000001,-4.99999999999994 80.5000000000001,-3.99999999999994 80.5000000000001,-3.99999999999994 80.0000000000001,-4.99999999999994 80.0000000000001)))', '80.5', '80', '-4', '-5', '89E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 80.5000000000001,-4.99999999999994 81.0000000000001,-3.99999999999994 81.0000000000001,-3.99999999999994 80.5000000000001,-4.99999999999994 80.5000000000001)))', '81', '80.5', '-4', '-5', '90E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 81.0000000000001,-4.99999999999994 81.5000000000001,-3.99999999999994 81.5000000000001,-3.99999999999994 81.0000000000001,-4.99999999999994 81.0000000000001)))', '81.5', '81', '-4', '-5', '91E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 81.5000000000001,-4.99999999999994 82.0000000000001,-3.99999999999994 82.0000000000001,-3.99999999999994 81.5000000000001,-4.99999999999994 81.5000000000001)))', '82', '81.5', '-4', '-5', '92E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 82.0000000000001,-4.99999999999994 82.5000000000001,-3.99999999999994 82.5000000000001,-3.99999999999994 82.0000000000001,-4.99999999999994 82.0000000000001)))', '82.5', '82', '-4', '-5', '93E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 82.5000000000001,-4.99999999999994 83.0000000000001,-3.99999999999994 83.0000000000001,-3.99999999999994 82.5000000000001,-4.99999999999994 82.5000000000001)))', '83', '82.5', '-4', '-5', '94E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 83.0000000000001,-4.99999999999994 83.5000000000001,-3.99999999999994 83.5000000000001,-3.99999999999994 83.0000000000001,-4.99999999999994 83.0000000000001)))', '83.5', '83', '-4', '-5', '95E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 83.5000000000001,-4.99999999999994 84.0000000000001,-3.99999999999994 84.0000000000001,-3.99999999999994 83.5000000000001,-4.99999999999994 83.5000000000001)))', '84', '83.5', '-4', '-5', '96E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 84.0000000000001,-4.99999999999994 84.5000000000001,-3.99999999999994 84.5000000000001,-3.99999999999994 84.0000000000001,-4.99999999999994 84.0000000000001)))', '84.5', '84', '-4', '-5', '97E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-4.99999999999994 84.5000000000001,-4.99999999999994 85.0000000000001,-3.99999999999994 85.0000000000001,-3.99999999999994 84.5000000000001,-4.99999999999994 84.5000000000001)))', '85', '84.5', '-4', '-5', '98E5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 43.0000000000001,-3.99999999999994 43.5000000000001,-2.99999999999994 43.5000000000001,-2.99999999999994 43.0000000000001,-3.99999999999994 43.0000000000001)))', '43.5', '43', '-3', '-4', '15E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 43.5000000000001,-3.99999999999994 44.0000000000001,-2.99999999999994 44.0000000000001,-2.99999999999994 43.5000000000001,-3.99999999999994 43.5000000000001)))', '44', '43.5', '-3', '-4', '16E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 44.0000000000001,-3.99999999999994 44.5000000000001,-2.99999999999994 44.5000000000001,-2.99999999999994 44.0000000000001,-3.99999999999994 44.0000000000001)))', '44.5', '44', '-3', '-4', '17E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 44.5000000000001,-3.99999999999994 45.0000000000001,-2.99999999999994 45.0000000000001,-2.99999999999994 44.5000000000001,-3.99999999999994 44.5000000000001)))', '45', '44.5', '-3', '-4', '18E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 45.0000000000001,-3.99999999999994 45.5000000000001,-2.99999999999994 45.5000000000001,-2.99999999999994 45.0000000000001,-3.99999999999994 45.0000000000001)))', '45.5', '45', '-3', '-4', '19E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 45.5000000000001,-3.99999999999994 46.0000000000001,-2.99999999999994 46.0000000000001,-2.99999999999994 45.5000000000001,-3.99999999999994 45.5000000000001)))', '46', '45.5', '-3', '-4', '20E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 46.0000000000001,-3.99999999999994 46.5000000000001,-2.99999999999994 46.5000000000001,-2.99999999999994 46.0000000000001,-3.99999999999994 46.0000000000001)))', '46.5', '46', '-3', '-4', '21E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 46.5000000000001,-3.99999999999994 47.0000000000001,-2.99999999999994 47.0000000000001,-2.99999999999994 46.5000000000001,-3.99999999999994 46.5000000000001)))', '47', '46.5', '-3', '-4', '22E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 47.0000000000001,-3.99999999999994 47.5000000000001,-2.99999999999994 47.5000000000001,-2.99999999999994 47.0000000000001,-3.99999999999994 47.0000000000001)))', '47.5', '47', '-3', '-4', '23E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 47.5000000000001,-3.99999999999994 48.0000000000001,-2.99999999999994 48.0000000000001,-2.99999999999994 47.5000000000001,-3.99999999999994 47.5000000000001)))', '48', '47.5', '-3', '-4', '24E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 48.5000000000001,-3.99999999999994 49.0000000000001,-2.99999999999994 49.0000000000001,-2.99999999999994 48.5000000000001,-3.99999999999994 48.5000000000001)))', '49', '48.5', '-3', '-4', '26E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 49.0000000000001,-3.99999999999994 49.5000000000001,-2.99999999999994 49.5000000000001,-2.99999999999994 49.0000000000001,-3.99999999999994 49.0000000000001)))', '49.5', '49', '-3', '-4', '27E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 49.5000000000001,-3.99999999999994 50.0000000000001,-2.99999999999994 50.0000000000001,-2.99999999999994 49.5000000000001,-3.99999999999994 49.5000000000001)))', '50', '49.5', '-3', '-4', '28E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 50.0000000000001,-3.99999999999994 50.5000000000001,-2.99999999999994 50.5000000000001,-2.99999999999994 50.0000000000001,-3.99999999999994 50.0000000000001)))', '50.5', '50', '-3', '-4', '29E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 50.5000000000001,-3.99999999999994 51.0000000000001,-2.99999999999994 51.0000000000001,-2.99999999999994 50.5000000000001,-3.99999999999994 50.5000000000001)))', '51', '50.5', '-3', '-4', '30E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 51.0000000000001,-3.99999999999994 51.5000000000001,-2.99999999999994 51.5000000000001,-2.99999999999994 51.0000000000001,-3.99999999999994 51.0000000000001)))', '51.5', '51', '-3', '-4', '31E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 51.5000000000001,-3.99999999999994 52.0000000000001,-2.99999999999994 52.0000000000001,-2.99999999999994 51.5000000000001,-3.99999999999994 51.5000000000001)))', '52', '51.5', '-3', '-4', '32E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 52.5000000000001,-3.99999999999994 53.0000000000001,-2.99999999999994 53.0000000000001,-2.99999999999994 52.5000000000001,-3.99999999999994 52.5000000000001)))', '53', '52.5', '-3', '-4', '34E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 53.0000000000001,-3.99999999999994 53.5000000000001,-2.99999999999994 53.5000000000001,-2.99999999999994 53.0000000000001,-3.99999999999994 53.0000000000001)))', '53.5', '53', '-3', '-4', '35E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 53.5000000000001,-3.99999999999994 54.0000000000001,-2.99999999999994 54.0000000000001,-2.99999999999994 53.5000000000001,-3.99999999999994 53.5000000000001)))', '54', '53.5', '-3', '-4', '36E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 54.0000000000001,-3.99999999999994 54.5000000000001,-2.99999999999994 54.5000000000001,-2.99999999999994 54.0000000000001,-3.99999999999994 54.0000000000001)))', '54.5', '54', '-3', '-4', '37E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 54.5000000000001,-3.99999999999994 55.0000000000001,-2.99999999999994 55.0000000000001,-2.99999999999994 54.5000000000001,-3.99999999999994 54.5000000000001)))', '55', '54.5', '-3', '-4', '38E6', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-3.99999999999994 55.0000000000001,-3.99999999999994 55.5000000000001,-2.99999999999994 55.5000000000001,-2.99999999999994 55.0000000000001,-3.99999999999994 55.0000000000001)))', '55.5', '55', '-3', '-4', '39E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 55.5000000000001,-3.99999999999994 56.0000000000001,-2.99999999999994 56.0000000000001,-2.99999999999994 55.5000000000001,-3.99999999999994 55.5000000000001)))', '56', '55.5', '-3', '-4', '40E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 56.0000000000001,-3.99999999999994 56.5000000000001,-2.99999999999994 56.5000000000001,-2.99999999999994 56.0000000000001,-3.99999999999994 56.0000000000001)))', '56.5', '56', '-3', '-4', '41E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 57.5000000000001,-3.99999999999994 58.0000000000001,-2.99999999999994 58.0000000000001,-2.99999999999994 57.5000000000001,-3.99999999999994 57.5000000000001)))', '58', '57.5', '-3', '-4', '44E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 58.0000000000001,-3.99999999999994 58.5000000000001,-2.99999999999994 58.5000000000001,-2.99999999999994 58.0000000000001,-3.99999999999994 58.0000000000001)))', '58.5', '58', '-3', '-4', '45E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 58.5000000000001,-3.99999999999994 59.0000000000001,-2.99999999999994 59.0000000000001,-2.99999999999994 58.5000000000001,-3.99999999999994 58.5000000000001)))', '59', '58.5', '-3', '-4', '46E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 59.0000000000001,-3.99999999999994 59.5000000000001,-2.99999999999994 59.5000000000001,-2.99999999999994 59.0000000000001,-3.99999999999994 59.0000000000001)))', '59.5', '59', '-3', '-4', '47E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 59.5000000000001,-3.99999999999994 60.0000000000001,-2.99999999999994 60.0000000000001,-2.99999999999994 59.5000000000001,-3.99999999999994 59.5000000000001)))', '60', '59.5', '-3', '-4', '48E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 60.0000000000001,-3.99999999999994 60.5000000000001,-2.99999999999994 60.5000000000001,-2.99999999999994 60.0000000000001,-3.99999999999994 60.0000000000001)))', '60.5', '60', '-3', '-4', '49E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 60.5000000000001,-3.99999999999994 61.0000000000001,-2.99999999999994 61.0000000000001,-2.99999999999994 60.5000000000001,-3.99999999999994 60.5000000000001)))', '61', '60.5', '-3', '-4', '50E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 61.0000000000001,-3.99999999999994 61.5000000000001,-2.99999999999994 61.5000000000001,-2.99999999999994 61.0000000000001,-3.99999999999994 61.0000000000001)))', '61.5', '61', '-3', '-4', '51E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 61.5000000000001,-3.99999999999994 62.0000000000001,-2.99999999999994 62.0000000000001,-2.99999999999994 61.5000000000001,-3.99999999999994 61.5000000000001)))', '62', '61.5', '-3', '-4', '52E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 62.0000000000001,-3.99999999999994 62.5000000000001,-2.99999999999994 62.5000000000001,-2.99999999999994 62.0000000000001,-3.99999999999994 62.0000000000001)))', '62.5', '62', '-3', '-4', '53E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 62.5000000000001,-3.99999999999994 63.0000000000001,-2.99999999999994 63.0000000000001,-2.99999999999994 62.5000000000001,-3.99999999999994 62.5000000000001)))', '63', '62.5', '-3', '-4', '54E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 63.0000000000001,-3.99999999999994 63.5000000000001,-2.99999999999994 63.5000000000001,-2.99999999999994 63.0000000000001,-3.99999999999994 63.0000000000001)))', '63.5', '63', '-3', '-4', '55E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 63.5000000000001,-3.99999999999994 64.0000000000001,-2.99999999999994 64.0000000000001,-2.99999999999994 63.5000000000001,-3.99999999999994 63.5000000000001)))', '64', '63.5', '-3', '-4', '56E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 64.0000000000001,-3.99999999999994 64.5000000000001,-2.99999999999994 64.5000000000001,-2.99999999999994 64.0000000000001,-3.99999999999994 64.0000000000001)))', '64.5', '64', '-3', '-4', '57E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 64.5000000000001,-3.99999999999994 65.0000000000001,-2.99999999999994 65.0000000000001,-2.99999999999994 64.5000000000001,-3.99999999999994 64.5000000000001)))', '65', '64.5', '-3', '-4', '58E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 65.0000000000001,-3.99999999999994 65.5000000000001,-2.99999999999994 65.5000000000001,-2.99999999999994 65.0000000000001,-3.99999999999994 65.0000000000001)))', '65.5', '65', '-3', '-4', '59E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 65.5000000000001,-3.99999999999994 66.0000000000001,-2.99999999999994 66.0000000000001,-2.99999999999994 65.5000000000001,-3.99999999999994 65.5000000000001)))', '66', '65.5', '-3', '-4', '60E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 66.0000000000001,-3.99999999999994 66.5000000000001,-2.99999999999994 66.5000000000001,-2.99999999999994 66.0000000000001,-3.99999999999994 66.0000000000001)))', '66.5', '66', '-3', '-4', '61E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 66.5000000000001,-3.99999999999994 67.0000000000001,-2.99999999999994 67.0000000000001,-2.99999999999994 66.5000000000001,-3.99999999999994 66.5000000000001)))', '67', '66.5', '-3', '-4', '62E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 67.0000000000001,-3.99999999999994 67.5000000000001,-2.99999999999994 67.5000000000001,-2.99999999999994 67.0000000000001,-3.99999999999994 67.0000000000001)))', '67.5', '67', '-3', '-4', '63E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 67.5000000000001,-3.99999999999994 68.0000000000001,-2.99999999999994 68.0000000000001,-2.99999999999994 67.5000000000001,-3.99999999999994 67.5000000000001)))', '68', '67.5', '-3', '-4', '64E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 68.0000000000001,-3.99999999999994 68.5000000000001,-2.99999999999994 68.5000000000001,-2.99999999999994 68.0000000000001,-3.99999999999994 68.0000000000001)))', '68.5', '68', '-3', '-4', '65E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 68.5000000000001,-3.99999999999994 69.0000000000001,-2.99999999999994 69.0000000000001,-2.99999999999994 68.5000000000001,-3.99999999999994 68.5000000000001)))', '69', '68.5', '-3', '-4', '66E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 69.0000000000001,-3.99999999999994 69.5000000000001,-2.99999999999994 69.5000000000001,-2.99999999999994 69.0000000000001,-3.99999999999994 69.0000000000001)))', '69.5', '69', '-3', '-4', '67E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 69.5000000000001,-3.99999999999994 70.0000000000001,-2.99999999999994 70.0000000000001,-2.99999999999994 69.5000000000001,-3.99999999999994 69.5000000000001)))', '70', '69.5', '-3', '-4', '68E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 70.0000000000001,-3.99999999999994 70.5000000000001,-2.99999999999994 70.5000000000001,-2.99999999999994 70.0000000000001,-3.99999999999994 70.0000000000001)))', '70.5', '70', '-3', '-4', '69E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 70.5000000000001,-3.99999999999994 71.0000000000001,-2.99999999999994 71.0000000000001,-2.99999999999994 70.5000000000001,-3.99999999999994 70.5000000000001)))', '71', '70.5', '-3', '-4', '70E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 71.0000000000001,-3.99999999999994 71.5000000000001,-2.99999999999994 71.5000000000001,-2.99999999999994 71.0000000000001,-3.99999999999994 71.0000000000001)))', '71.5', '71', '-3', '-4', '71E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 71.5000000000001,-3.99999999999994 72.0000000000001,-2.99999999999994 72.0000000000001,-2.99999999999994 71.5000000000001,-3.99999999999994 71.5000000000001)))', '72', '71.5', '-3', '-4', '72E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 72.0000000000001,-3.99999999999994 72.5000000000001,-2.99999999999994 72.5000000000001,-2.99999999999994 72.0000000000001,-3.99999999999994 72.0000000000001)))', '72.5', '72', '-3', '-4', '73E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 72.5000000000001,-3.99999999999994 73.0000000000001,-2.99999999999994 73.0000000000001,-2.99999999999994 72.5000000000001,-3.99999999999994 72.5000000000001)))', '73', '72.5', '-3', '-4', '74E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 73.0000000000001,-3.99999999999994 73.5000000000001,-2.99999999999994 73.5000000000001,-2.99999999999994 73.0000000000001,-3.99999999999994 73.0000000000001)))', '73.5', '73', '-3', '-4', '75E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 73.5000000000001,-3.99999999999994 74.0000000000001,-2.99999999999994 74.0000000000001,-2.99999999999994 73.5000000000001,-3.99999999999994 73.5000000000001)))', '74', '73.5', '-3', '-4', '76E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 74.0000000000001,-3.99999999999994 74.5000000000001,-2.99999999999994 74.5000000000001,-2.99999999999994 74.0000000000001,-3.99999999999994 74.0000000000001)))', '74.5', '74', '-3', '-4', '77E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 74.5000000000001,-3.99999999999994 75.0000000000001,-2.99999999999994 75.0000000000001,-2.99999999999994 74.5000000000001,-3.99999999999994 74.5000000000001)))', '75', '74.5', '-3', '-4', '78E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 75.0000000000001,-3.99999999999994 75.5000000000001,-2.99999999999994 75.5000000000001,-2.99999999999994 75.0000000000001,-3.99999999999994 75.0000000000001)))', '75.5', '75', '-3', '-4', '79E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 75.5000000000001,-3.99999999999994 76.0000000000001,-2.99999999999994 76.0000000000001,-2.99999999999994 75.5000000000001,-3.99999999999994 75.5000000000001)))', '76', '75.5', '-3', '-4', '80E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 76.0000000000001,-3.99999999999994 76.5000000000001,-2.99999999999994 76.5000000000001,-2.99999999999994 76.0000000000001,-3.99999999999994 76.0000000000001)))', '76.5', '76', '-3', '-4', '81E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 76.5000000000001,-3.99999999999994 77.0000000000001,-2.99999999999994 77.0000000000001,-2.99999999999994 76.5000000000001,-3.99999999999994 76.5000000000001)))', '77', '76.5', '-3', '-4', '82E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 77.0000000000001,-3.99999999999994 77.5000000000001,-2.99999999999994 77.5000000000001,-2.99999999999994 77.0000000000001,-3.99999999999994 77.0000000000001)))', '77.5', '77', '-3', '-4', '83E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 77.5000000000001,-3.99999999999994 78.0000000000001,-2.99999999999994 78.0000000000001,-2.99999999999994 77.5000000000001,-3.99999999999994 77.5000000000001)))', '78', '77.5', '-3', '-4', '84E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 78.0000000000001,-3.99999999999994 78.5000000000001,-2.99999999999994 78.5000000000001,-2.99999999999994 78.0000000000001,-3.99999999999994 78.0000000000001)))', '78.5', '78', '-3', '-4', '85E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 78.5000000000001,-3.99999999999994 79.0000000000001,-2.99999999999994 79.0000000000001,-2.99999999999994 78.5000000000001,-3.99999999999994 78.5000000000001)))', '79', '78.5', '-3', '-4', '86E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 79.0000000000001,-3.99999999999994 79.5000000000001,-2.99999999999994 79.5000000000001,-2.99999999999994 79.0000000000001,-3.99999999999994 79.0000000000001)))', '79.5', '79', '-3', '-4', '87E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 79.5000000000001,-3.99999999999994 80.0000000000001,-2.99999999999994 80.0000000000001,-2.99999999999994 79.5000000000001,-3.99999999999994 79.5000000000001)))', '80', '79.5', '-3', '-4', '88E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 80.0000000000001,-3.99999999999994 80.5000000000001,-2.99999999999994 80.5000000000001,-2.99999999999994 80.0000000000001,-3.99999999999994 80.0000000000001)))', '80.5', '80', '-3', '-4', '89E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 80.5000000000001,-3.99999999999994 81.0000000000001,-2.99999999999994 81.0000000000001,-2.99999999999994 80.5000000000001,-3.99999999999994 80.5000000000001)))', '81', '80.5', '-3', '-4', '90E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 81.0000000000001,-3.99999999999994 81.5000000000001,-2.99999999999994 81.5000000000001,-2.99999999999994 81.0000000000001,-3.99999999999994 81.0000000000001)))', '81.5', '81', '-3', '-4', '91E6', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-3.99999999999994 81.5000000000001,-3.99999999999994 82.0000000000001,-2.99999999999994 82.0000000000001,-2.99999999999994 81.5000000000001,-3.99999999999994 81.5000000000001)))', '82', '81.5', '-3', '-4', '92E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 82.0000000000001,-3.99999999999994 82.5000000000001,-2.99999999999994 82.5000000000001,-2.99999999999994 82.0000000000001,-3.99999999999994 82.0000000000001)))', '82.5', '82', '-3', '-4', '93E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 82.5000000000001,-3.99999999999994 83.0000000000001,-2.99999999999994 83.0000000000001,-2.99999999999994 82.5000000000001,-3.99999999999994 82.5000000000001)))', '83', '82.5', '-3', '-4', '94E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 83.0000000000001,-3.99999999999994 83.5000000000001,-2.99999999999994 83.5000000000001,-2.99999999999994 83.0000000000001,-3.99999999999994 83.0000000000001)))', '83.5', '83', '-3', '-4', '95E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 83.5000000000001,-3.99999999999994 84.0000000000001,-2.99999999999994 84.0000000000001,-2.99999999999994 83.5000000000001,-3.99999999999994 83.5000000000001)))', '84', '83.5', '-3', '-4', '96E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 84.0000000000001,-3.99999999999994 84.5000000000001,-2.99999999999994 84.5000000000001,-2.99999999999994 84.0000000000001,-3.99999999999994 84.0000000000001)))', '84.5', '84', '-3', '-4', '97E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-3.99999999999994 84.5000000000001,-3.99999999999994 85.0000000000001,-2.99999999999994 85.0000000000001,-2.99999999999994 84.5000000000001,-3.99999999999994 84.5000000000001)))', '85', '84.5', '-3', '-4', '98E6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 43.0000000000001,-2.99999999999994 43.5000000000001,-1.99999999999994 43.5000000000001,-1.99999999999994 43.0000000000001,-2.99999999999994 43.0000000000001)))', '43.5', '43', '-2', '-3', '15E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 43.5000000000001,-2.99999999999994 44.0000000000001,-1.99999999999994 44.0000000000001,-1.99999999999994 43.5000000000001,-2.99999999999994 43.5000000000001)))', '44', '43.5', '-2', '-3', '16E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 44.0000000000001,-2.99999999999994 44.5000000000001,-1.99999999999994 44.5000000000001,-1.99999999999994 44.0000000000001,-2.99999999999994 44.0000000000001)))', '44.5', '44', '-2', '-3', '17E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 44.5000000000001,-2.99999999999994 45.0000000000001,-1.99999999999994 45.0000000000001,-1.99999999999994 44.5000000000001,-2.99999999999994 44.5000000000001)))', '45', '44.5', '-2', '-3', '18E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 45.0000000000001,-2.99999999999994 45.5000000000001,-1.99999999999994 45.5000000000001,-1.99999999999994 45.0000000000001,-2.99999999999994 45.0000000000001)))', '45.5', '45', '-2', '-3', '19E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 45.5000000000001,-2.99999999999994 46.0000000000001,-1.99999999999994 46.0000000000001,-1.99999999999994 45.5000000000001,-2.99999999999994 45.5000000000001)))', '46', '45.5', '-2', '-3', '20E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 46.0000000000001,-2.99999999999994 46.5000000000001,-1.99999999999994 46.5000000000001,-1.99999999999994 46.0000000000001,-2.99999999999994 46.0000000000001)))', '46.5', '46', '-2', '-3', '21E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 46.5000000000001,-2.99999999999994 47.0000000000001,-1.99999999999994 47.0000000000001,-1.99999999999994 46.5000000000001,-2.99999999999994 46.5000000000001)))', '47', '46.5', '-2', '-3', '22E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 47.0000000000001,-2.99999999999994 47.5000000000001,-1.99999999999994 47.5000000000001,-1.99999999999994 47.0000000000001,-2.99999999999994 47.0000000000001)))', '47.5', '47', '-2', '-3', '23E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 47.5000000000001,-2.99999999999994 48.0000000000001,-1.99999999999994 48.0000000000001,-1.99999999999994 47.5000000000001,-2.99999999999994 47.5000000000001)))', '48', '47.5', '-2', '-3', '24E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 48.5000000000001,-2.99999999999994 49.0000000000001,-1.99999999999994 49.0000000000001,-1.99999999999994 48.5000000000001,-2.99999999999994 48.5000000000001)))', '49', '48.5', '-2', '-3', '26E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 49.0000000000001,-2.99999999999994 49.5000000000001,-1.99999999999994 49.5000000000001,-1.99999999999994 49.0000000000001,-2.99999999999994 49.0000000000001)))', '49.5', '49', '-2', '-3', '27E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 49.5000000000001,-2.99999999999994 50.0000000000001,-1.99999999999994 50.0000000000001,-1.99999999999994 49.5000000000001,-2.99999999999994 49.5000000000001)))', '50', '49.5', '-2', '-3', '28E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 50.0000000000001,-2.99999999999994 50.5000000000001,-1.99999999999994 50.5000000000001,-1.99999999999994 50.0000000000001,-2.99999999999994 50.0000000000001)))', '50.5', '50', '-2', '-3', '29E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 50.5000000000001,-2.99999999999994 51.0000000000001,-1.99999999999994 51.0000000000001,-1.99999999999994 50.5000000000001,-2.99999999999994 50.5000000000001)))', '51', '50.5', '-2', '-3', '30E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 51.0000000000001,-2.99999999999994 51.5000000000001,-1.99999999999994 51.5000000000001,-1.99999999999994 51.0000000000001,-2.99999999999994 51.0000000000001)))', '51.5', '51', '-2', '-3', '31E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 51.5000000000001,-2.99999999999994 52.0000000000001,-1.99999999999994 52.0000000000001,-1.99999999999994 51.5000000000001,-2.99999999999994 51.5000000000001)))', '52', '51.5', '-2', '-3', '32E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 53.0000000000001,-2.99999999999994 53.5000000000001,-1.99999999999994 53.5000000000001,-1.99999999999994 53.0000000000001,-2.99999999999994 53.0000000000001)))', '53.5', '53', '-2', '-3', '35E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 53.5000000000001,-2.99999999999994 54.0000000000001,-1.99999999999994 54.0000000000001,-1.99999999999994 53.5000000000001,-2.99999999999994 53.5000000000001)))', '54', '53.5', '-2', '-3', '36E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 54.0000000000001,-2.99999999999994 54.5000000000001,-1.99999999999994 54.5000000000001,-1.99999999999994 54.0000000000001,-2.99999999999994 54.0000000000001)))', '54.5', '54', '-2', '-3', '37E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 55.5000000000001,-2.99999999999994 56.0000000000001,-1.99999999999994 56.0000000000001,-1.99999999999994 55.5000000000001,-2.99999999999994 55.5000000000001)))', '56', '55.5', '-2', '-3', '40E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 56.0000000000001,-2.99999999999994 56.5000000000001,-1.99999999999994 56.5000000000001,-1.99999999999994 56.0000000000001,-2.99999999999994 56.0000000000001)))', '56.5', '56', '-2', '-3', '41E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 56.5000000000001,-2.99999999999994 57.0000000000001,-1.99999999999994 57.0000000000001,-1.99999999999994 56.5000000000001,-2.99999999999994 56.5000000000001)))', '57', '56.5', '-2', '-3', '42E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 57.0000000000001,-2.99999999999994 57.5000000000001,-1.99999999999994 57.5000000000001,-1.99999999999994 57.0000000000001,-2.99999999999994 57.0000000000001)))', '57.5', '57', '-2', '-3', '43E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 57.5000000000001,-2.99999999999994 58.0000000000001,-1.99999999999994 58.0000000000001,-1.99999999999994 57.5000000000001,-2.99999999999994 57.5000000000001)))', '58', '57.5', '-2', '-3', '44E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 58.0000000000001,-2.99999999999994 58.5000000000001,-1.99999999999994 58.5000000000001,-1.99999999999994 58.0000000000001,-2.99999999999994 58.0000000000001)))', '58.5', '58', '-2', '-3', '45E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 58.5000000000001,-2.99999999999994 59.0000000000001,-1.99999999999994 59.0000000000001,-1.99999999999994 58.5000000000001,-2.99999999999994 58.5000000000001)))', '59', '58.5', '-2', '-3', '46E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 59.0000000000001,-2.99999999999994 59.5000000000001,-1.99999999999994 59.5000000000001,-1.99999999999994 59.0000000000001,-2.99999999999994 59.0000000000001)))', '59.5', '59', '-2', '-3', '47E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 59.5000000000001,-2.99999999999994 60.0000000000001,-1.99999999999994 60.0000000000001,-1.99999999999994 59.5000000000001,-2.99999999999994 59.5000000000001)))', '60', '59.5', '-2', '-3', '48E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 60.0000000000001,-2.99999999999994 60.5000000000001,-1.99999999999994 60.5000000000001,-1.99999999999994 60.0000000000001,-2.99999999999994 60.0000000000001)))', '60.5', '60', '-2', '-3', '49E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 60.5000000000001,-2.99999999999994 61.0000000000001,-1.99999999999994 61.0000000000001,-1.99999999999994 60.5000000000001,-2.99999999999994 60.5000000000001)))', '61', '60.5', '-2', '-3', '50E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 61.0000000000001,-2.99999999999994 61.5000000000001,-1.99999999999994 61.5000000000001,-1.99999999999994 61.0000000000001,-2.99999999999994 61.0000000000001)))', '61.5', '61', '-2', '-3', '51E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 61.5000000000001,-2.99999999999994 62.0000000000001,-1.99999999999994 62.0000000000001,-1.99999999999994 61.5000000000001,-2.99999999999994 61.5000000000001)))', '62', '61.5', '-2', '-3', '52E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 62.0000000000001,-2.99999999999994 62.5000000000001,-1.99999999999994 62.5000000000001,-1.99999999999994 62.0000000000001,-2.99999999999994 62.0000000000001)))', '62.5', '62', '-2', '-3', '53E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 62.5000000000001,-2.99999999999994 63.0000000000001,-1.99999999999994 63.0000000000001,-1.99999999999994 62.5000000000001,-2.99999999999994 62.5000000000001)))', '63', '62.5', '-2', '-3', '54E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 63.0000000000001,-2.99999999999994 63.5000000000001,-1.99999999999994 63.5000000000001,-1.99999999999994 63.0000000000001,-2.99999999999994 63.0000000000001)))', '63.5', '63', '-2', '-3', '55E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 63.5000000000001,-2.99999999999994 64.0000000000001,-1.99999999999994 64.0000000000001,-1.99999999999994 63.5000000000001,-2.99999999999994 63.5000000000001)))', '64', '63.5', '-2', '-3', '56E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 64.0000000000001,-2.99999999999994 64.5000000000001,-1.99999999999994 64.5000000000001,-1.99999999999994 64.0000000000001,-2.99999999999994 64.0000000000001)))', '64.5', '64', '-2', '-3', '57E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 64.5000000000001,-2.99999999999994 65.0000000000001,-1.99999999999994 65.0000000000001,-1.99999999999994 64.5000000000001,-2.99999999999994 64.5000000000001)))', '65', '64.5', '-2', '-3', '58E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 65.0000000000001,-2.99999999999994 65.5000000000001,-1.99999999999994 65.5000000000001,-1.99999999999994 65.0000000000001,-2.99999999999994 65.0000000000001)))', '65.5', '65', '-2', '-3', '59E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 65.5000000000001,-2.99999999999994 66.0000000000001,-1.99999999999994 66.0000000000001,-1.99999999999994 65.5000000000001,-2.99999999999994 65.5000000000001)))', '66', '65.5', '-2', '-3', '60E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 66.0000000000001,-2.99999999999994 66.5000000000001,-1.99999999999994 66.5000000000001,-1.99999999999994 66.0000000000001,-2.99999999999994 66.0000000000001)))', '66.5', '66', '-2', '-3', '61E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 66.5000000000001,-2.99999999999994 67.0000000000001,-1.99999999999994 67.0000000000001,-1.99999999999994 66.5000000000001,-2.99999999999994 66.5000000000001)))', '67', '66.5', '-2', '-3', '62E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 67.0000000000001,-2.99999999999994 67.5000000000001,-1.99999999999994 67.5000000000001,-1.99999999999994 67.0000000000001,-2.99999999999994 67.0000000000001)))', '67.5', '67', '-2', '-3', '63E7', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-2.99999999999994 67.5000000000001,-2.99999999999994 68.0000000000001,-1.99999999999994 68.0000000000001,-1.99999999999994 67.5000000000001,-2.99999999999994 67.5000000000001)))', '68', '67.5', '-2', '-3', '64E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 68.0000000000001,-2.99999999999994 68.5000000000001,-1.99999999999994 68.5000000000001,-1.99999999999994 68.0000000000001,-2.99999999999994 68.0000000000001)))', '68.5', '68', '-2', '-3', '65E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 68.5000000000001,-2.99999999999994 69.0000000000001,-1.99999999999994 69.0000000000001,-1.99999999999994 68.5000000000001,-2.99999999999994 68.5000000000001)))', '69', '68.5', '-2', '-3', '66E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 69.0000000000001,-2.99999999999994 69.5000000000001,-1.99999999999994 69.5000000000001,-1.99999999999994 69.0000000000001,-2.99999999999994 69.0000000000001)))', '69.5', '69', '-2', '-3', '67E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 69.5000000000001,-2.99999999999994 70.0000000000001,-1.99999999999994 70.0000000000001,-1.99999999999994 69.5000000000001,-2.99999999999994 69.5000000000001)))', '70', '69.5', '-2', '-3', '68E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 70.0000000000001,-2.99999999999994 70.5000000000001,-1.99999999999994 70.5000000000001,-1.99999999999994 70.0000000000001,-2.99999999999994 70.0000000000001)))', '70.5', '70', '-2', '-3', '69E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 70.5000000000001,-2.99999999999994 71.0000000000001,-1.99999999999994 71.0000000000001,-1.99999999999994 70.5000000000001,-2.99999999999994 70.5000000000001)))', '71', '70.5', '-2', '-3', '70E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 71.0000000000001,-2.99999999999994 71.5000000000001,-1.99999999999994 71.5000000000001,-1.99999999999994 71.0000000000001,-2.99999999999994 71.0000000000001)))', '71.5', '71', '-2', '-3', '71E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 71.5000000000001,-2.99999999999994 72.0000000000001,-1.99999999999994 72.0000000000001,-1.99999999999994 71.5000000000001,-2.99999999999994 71.5000000000001)))', '72', '71.5', '-2', '-3', '72E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 72.0000000000001,-2.99999999999994 72.5000000000001,-1.99999999999994 72.5000000000001,-1.99999999999994 72.0000000000001,-2.99999999999994 72.0000000000001)))', '72.5', '72', '-2', '-3', '73E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 72.5000000000001,-2.99999999999994 73.0000000000001,-1.99999999999994 73.0000000000001,-1.99999999999994 72.5000000000001,-2.99999999999994 72.5000000000001)))', '73', '72.5', '-2', '-3', '74E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 73.0000000000001,-2.99999999999994 73.5000000000001,-1.99999999999994 73.5000000000001,-1.99999999999994 73.0000000000001,-2.99999999999994 73.0000000000001)))', '73.5', '73', '-2', '-3', '75E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 73.5000000000001,-2.99999999999994 74.0000000000001,-1.99999999999994 74.0000000000001,-1.99999999999994 73.5000000000001,-2.99999999999994 73.5000000000001)))', '74', '73.5', '-2', '-3', '76E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 74.0000000000001,-2.99999999999994 74.5000000000001,-1.99999999999994 74.5000000000001,-1.99999999999994 74.0000000000001,-2.99999999999994 74.0000000000001)))', '74.5', '74', '-2', '-3', '77E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 74.5000000000001,-2.99999999999994 75.0000000000001,-1.99999999999994 75.0000000000001,-1.99999999999994 74.5000000000001,-2.99999999999994 74.5000000000001)))', '75', '74.5', '-2', '-3', '78E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 75.0000000000001,-2.99999999999994 75.5000000000001,-1.99999999999994 75.5000000000001,-1.99999999999994 75.0000000000001,-2.99999999999994 75.0000000000001)))', '75.5', '75', '-2', '-3', '79E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 75.5000000000001,-2.99999999999994 76.0000000000001,-1.99999999999994 76.0000000000001,-1.99999999999994 75.5000000000001,-2.99999999999994 75.5000000000001)))', '76', '75.5', '-2', '-3', '80E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 76.0000000000001,-2.99999999999994 76.5000000000001,-1.99999999999994 76.5000000000001,-1.99999999999994 76.0000000000001,-2.99999999999994 76.0000000000001)))', '76.5', '76', '-2', '-3', '81E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 76.5000000000001,-2.99999999999994 77.0000000000001,-1.99999999999994 77.0000000000001,-1.99999999999994 76.5000000000001,-2.99999999999994 76.5000000000001)))', '77', '76.5', '-2', '-3', '82E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 77.0000000000001,-2.99999999999994 77.5000000000001,-1.99999999999994 77.5000000000001,-1.99999999999994 77.0000000000001,-2.99999999999994 77.0000000000001)))', '77.5', '77', '-2', '-3', '83E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 77.5000000000001,-2.99999999999994 78.0000000000001,-1.99999999999994 78.0000000000001,-1.99999999999994 77.5000000000001,-2.99999999999994 77.5000000000001)))', '78', '77.5', '-2', '-3', '84E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 78.0000000000001,-2.99999999999994 78.5000000000001,-1.99999999999994 78.5000000000001,-1.99999999999994 78.0000000000001,-2.99999999999994 78.0000000000001)))', '78.5', '78', '-2', '-3', '85E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 78.5000000000001,-2.99999999999994 79.0000000000001,-1.99999999999994 79.0000000000001,-1.99999999999994 78.5000000000001,-2.99999999999994 78.5000000000001)))', '79', '78.5', '-2', '-3', '86E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 79.0000000000001,-2.99999999999994 79.5000000000001,-1.99999999999994 79.5000000000001,-1.99999999999994 79.0000000000001,-2.99999999999994 79.0000000000001)))', '79.5', '79', '-2', '-3', '87E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 79.5000000000001,-2.99999999999994 80.0000000000001,-1.99999999999994 80.0000000000001,-1.99999999999994 79.5000000000001,-2.99999999999994 79.5000000000001)))', '80', '79.5', '-2', '-3', '88E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 80.0000000000001,-2.99999999999994 80.5000000000001,-1.99999999999994 80.5000000000001,-1.99999999999994 80.0000000000001,-2.99999999999994 80.0000000000001)))', '80.5', '80', '-2', '-3', '89E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 80.5000000000001,-2.99999999999994 81.0000000000001,-1.99999999999994 81.0000000000001,-1.99999999999994 80.5000000000001,-2.99999999999994 80.5000000000001)))', '81', '80.5', '-2', '-3', '90E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 81.0000000000001,-2.99999999999994 81.5000000000001,-1.99999999999994 81.5000000000001,-1.99999999999994 81.0000000000001,-2.99999999999994 81.0000000000001)))', '81.5', '81', '-2', '-3', '91E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 81.5000000000001,-2.99999999999994 82.0000000000001,-1.99999999999994 82.0000000000001,-1.99999999999994 81.5000000000001,-2.99999999999994 81.5000000000001)))', '82', '81.5', '-2', '-3', '92E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 82.0000000000001,-2.99999999999994 82.5000000000001,-1.99999999999994 82.5000000000001,-1.99999999999994 82.0000000000001,-2.99999999999994 82.0000000000001)))', '82.5', '82', '-2', '-3', '93E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 82.5000000000001,-2.99999999999994 83.0000000000001,-1.99999999999994 83.0000000000001,-1.99999999999994 82.5000000000001,-2.99999999999994 82.5000000000001)))', '83', '82.5', '-2', '-3', '94E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 83.0000000000001,-2.99999999999994 83.5000000000001,-1.99999999999994 83.5000000000001,-1.99999999999994 83.0000000000001,-2.99999999999994 83.0000000000001)))', '83.5', '83', '-2', '-3', '95E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 83.5000000000001,-2.99999999999994 84.0000000000001,-1.99999999999994 84.0000000000001,-1.99999999999994 83.5000000000001,-2.99999999999994 83.5000000000001)))', '84', '83.5', '-2', '-3', '96E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 84.0000000000001,-2.99999999999994 84.5000000000001,-1.99999999999994 84.5000000000001,-1.99999999999994 84.0000000000001,-2.99999999999994 84.0000000000001)))', '84.5', '84', '-2', '-3', '97E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-2.99999999999994 84.5000000000001,-2.99999999999994 85.0000000000001,-1.99999999999994 85.0000000000001,-1.99999999999994 84.5000000000001,-2.99999999999994 84.5000000000001)))', '85', '84.5', '-2', '-3', '98E7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 43.0000000000001,-1.99999999999994 43.5000000000001,-0.999999999999943 43.5000000000001,-0.999999999999943 43.0000000000001,-1.99999999999994 43.0000000000001)))', '43.5', '43', '-1', '-2', '15E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 43.5000000000001,-1.99999999999994 44.0000000000001,-0.999999999999943 44.0000000000001,-0.999999999999943 43.5000000000001,-1.99999999999994 43.5000000000001)))', '44', '43.5', '-1', '-2', '16E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 44.0000000000001,-1.99999999999994 44.5000000000001,-0.999999999999943 44.5000000000001,-0.999999999999943 44.0000000000001,-1.99999999999994 44.0000000000001)))', '44.5', '44', '-1', '-2', '17E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 44.5000000000001,-1.99999999999994 45.0000000000001,-0.999999999999943 45.0000000000001,-0.999999999999943 44.5000000000001,-1.99999999999994 44.5000000000001)))', '45', '44.5', '-1', '-2', '18E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 45.0000000000001,-1.99999999999994 45.5000000000001,-0.999999999999943 45.5000000000001,-0.999999999999943 45.0000000000001,-1.99999999999994 45.0000000000001)))', '45.5', '45', '-1', '-2', '19E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 45.5000000000001,-1.99999999999994 46.0000000000001,-0.999999999999943 46.0000000000001,-0.999999999999943 45.5000000000001,-1.99999999999994 45.5000000000001)))', '46', '45.5', '-1', '-2', '20E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 46.0000000000001,-1.99999999999994 46.5000000000001,-0.999999999999943 46.5000000000001,-0.999999999999943 46.0000000000001,-1.99999999999994 46.0000000000001)))', '46.5', '46', '-1', '-2', '21E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 46.5000000000001,-1.99999999999994 47.0000000000001,-0.999999999999943 47.0000000000001,-0.999999999999943 46.5000000000001,-1.99999999999994 46.5000000000001)))', '47', '46.5', '-1', '-2', '22E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 47.0000000000001,-1.99999999999994 47.5000000000001,-0.999999999999943 47.5000000000001,-0.999999999999943 47.0000000000001,-1.99999999999994 47.0000000000001)))', '47.5', '47', '-1', '-2', '23E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 48.5000000000001,-1.99999999999994 49.0000000000001,-0.999999999999943 49.0000000000001,-0.999999999999943 48.5000000000001,-1.99999999999994 48.5000000000001)))', '49', '48.5', '-1', '-2', '26E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 49.0000000000001,-1.99999999999994 49.5000000000001,-0.999999999999943 49.5000000000001,-0.999999999999943 49.0000000000001,-1.99999999999994 49.0000000000001)))', '49.5', '49', '-1', '-2', '27E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 49.5000000000001,-1.99999999999994 50.0000000000001,-0.999999999999943 50.0000000000001,-0.999999999999943 49.5000000000001,-1.99999999999994 49.5000000000001)))', '50', '49.5', '-1', '-2', '28E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 50.0000000000001,-1.99999999999994 50.5000000000001,-0.999999999999943 50.5000000000001,-0.999999999999943 50.0000000000001,-1.99999999999994 50.0000000000001)))', '50.5', '50', '-1', '-2', '29E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 50.5000000000001,-1.99999999999994 51.0000000000001,-0.999999999999943 51.0000000000001,-0.999999999999943 50.5000000000001,-1.99999999999994 50.5000000000001)))', '51', '50.5', '-1', '-2', '30E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 54.5000000000001,-1.99999999999994 55.0000000000001,-0.999999999999943 55.0000000000001,-0.999999999999943 54.5000000000001,-1.99999999999994 54.5000000000001)))', '55', '54.5', '-1', '-2', '38E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 55.0000000000001,-1.99999999999994 55.5000000000001,-0.999999999999943 55.5000000000001,-0.999999999999943 55.0000000000001,-1.99999999999994 55.0000000000001)))', '55.5', '55', '-1', '-2', '39E8', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-1.99999999999994 55.5000000000001,-1.99999999999994 56.0000000000001,-0.999999999999943 56.0000000000001,-0.999999999999943 55.5000000000001,-1.99999999999994 55.5000000000001)))', '56', '55.5', '-1', '-2', '40E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 56.0000000000001,-1.99999999999994 56.5000000000001,-0.999999999999943 56.5000000000001,-0.999999999999943 56.0000000000001,-1.99999999999994 56.0000000000001)))', '56.5', '56', '-1', '-2', '41E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 56.5000000000001,-1.99999999999994 57.0000000000001,-0.999999999999943 57.0000000000001,-0.999999999999943 56.5000000000001,-1.99999999999994 56.5000000000001)))', '57', '56.5', '-1', '-2', '42E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 57.0000000000001,-1.99999999999994 57.5000000000001,-0.999999999999943 57.5000000000001,-0.999999999999943 57.0000000000001,-1.99999999999994 57.0000000000001)))', '57.5', '57', '-1', '-2', '43E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 57.5000000000001,-1.99999999999994 58.0000000000001,-0.999999999999943 58.0000000000001,-0.999999999999943 57.5000000000001,-1.99999999999994 57.5000000000001)))', '58', '57.5', '-1', '-2', '44E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 58.0000000000001,-1.99999999999994 58.5000000000001,-0.999999999999943 58.5000000000001,-0.999999999999943 58.0000000000001,-1.99999999999994 58.0000000000001)))', '58.5', '58', '-1', '-2', '45E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 58.5000000000001,-1.99999999999994 59.0000000000001,-0.999999999999943 59.0000000000001,-0.999999999999943 58.5000000000001,-1.99999999999994 58.5000000000001)))', '59', '58.5', '-1', '-2', '46E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 59.0000000000001,-1.99999999999994 59.5000000000001,-0.999999999999943 59.5000000000001,-0.999999999999943 59.0000000000001,-1.99999999999994 59.0000000000001)))', '59.5', '59', '-1', '-2', '47E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 59.5000000000001,-1.99999999999994 60.0000000000001,-0.999999999999943 60.0000000000001,-0.999999999999943 59.5000000000001,-1.99999999999994 59.5000000000001)))', '60', '59.5', '-1', '-2', '48E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 60.0000000000001,-1.99999999999994 60.5000000000001,-0.999999999999943 60.5000000000001,-0.999999999999943 60.0000000000001,-1.99999999999994 60.0000000000001)))', '60.5', '60', '-1', '-2', '49E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 60.5000000000001,-1.99999999999994 61.0000000000001,-0.999999999999943 61.0000000000001,-0.999999999999943 60.5000000000001,-1.99999999999994 60.5000000000001)))', '61', '60.5', '-1', '-2', '50E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 61.0000000000001,-1.99999999999994 61.5000000000001,-0.999999999999943 61.5000000000001,-0.999999999999943 61.0000000000001,-1.99999999999994 61.0000000000001)))', '61.5', '61', '-1', '-2', '51E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 61.5000000000001,-1.99999999999994 62.0000000000001,-0.999999999999943 62.0000000000001,-0.999999999999943 61.5000000000001,-1.99999999999994 61.5000000000001)))', '62', '61.5', '-1', '-2', '52E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 62.0000000000001,-1.99999999999994 62.5000000000001,-0.999999999999943 62.5000000000001,-0.999999999999943 62.0000000000001,-1.99999999999994 62.0000000000001)))', '62.5', '62', '-1', '-2', '53E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 62.5000000000001,-1.99999999999994 63.0000000000001,-0.999999999999943 63.0000000000001,-0.999999999999943 62.5000000000001,-1.99999999999994 62.5000000000001)))', '63', '62.5', '-1', '-2', '54E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 63.0000000000001,-1.99999999999994 63.5000000000001,-0.999999999999943 63.5000000000001,-0.999999999999943 63.0000000000001,-1.99999999999994 63.0000000000001)))', '63.5', '63', '-1', '-2', '55E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 63.5000000000001,-1.99999999999994 64.0000000000001,-0.999999999999943 64.0000000000001,-0.999999999999943 63.5000000000001,-1.99999999999994 63.5000000000001)))', '64', '63.5', '-1', '-2', '56E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 64.0000000000001,-1.99999999999994 64.5000000000001,-0.999999999999943 64.5000000000001,-0.999999999999943 64.0000000000001,-1.99999999999994 64.0000000000001)))', '64.5', '64', '-1', '-2', '57E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 64.5000000000001,-1.99999999999994 65.0000000000001,-0.999999999999943 65.0000000000001,-0.999999999999943 64.5000000000001,-1.99999999999994 64.5000000000001)))', '65', '64.5', '-1', '-2', '58E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 65.0000000000001,-1.99999999999994 65.5000000000001,-0.999999999999943 65.5000000000001,-0.999999999999943 65.0000000000001,-1.99999999999994 65.0000000000001)))', '65.5', '65', '-1', '-2', '59E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 65.5000000000001,-1.99999999999994 66.0000000000001,-0.999999999999943 66.0000000000001,-0.999999999999943 65.5000000000001,-1.99999999999994 65.5000000000001)))', '66', '65.5', '-1', '-2', '60E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 66.0000000000001,-1.99999999999994 66.5000000000001,-0.999999999999943 66.5000000000001,-0.999999999999943 66.0000000000001,-1.99999999999994 66.0000000000001)))', '66.5', '66', '-1', '-2', '61E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 66.5000000000001,-1.99999999999994 67.0000000000001,-0.999999999999943 67.0000000000001,-0.999999999999943 66.5000000000001,-1.99999999999994 66.5000000000001)))', '67', '66.5', '-1', '-2', '62E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 67.0000000000001,-1.99999999999994 67.5000000000001,-0.999999999999943 67.5000000000001,-0.999999999999943 67.0000000000001,-1.99999999999994 67.0000000000001)))', '67.5', '67', '-1', '-2', '63E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 67.5000000000001,-1.99999999999994 68.0000000000001,-0.999999999999943 68.0000000000001,-0.999999999999943 67.5000000000001,-1.99999999999994 67.5000000000001)))', '68', '67.5', '-1', '-2', '64E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 68.0000000000001,-1.99999999999994 68.5000000000001,-0.999999999999943 68.5000000000001,-0.999999999999943 68.0000000000001,-1.99999999999994 68.0000000000001)))', '68.5', '68', '-1', '-2', '65E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 68.5000000000001,-1.99999999999994 69.0000000000001,-0.999999999999943 69.0000000000001,-0.999999999999943 68.5000000000001,-1.99999999999994 68.5000000000001)))', '69', '68.5', '-1', '-2', '66E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 69.0000000000001,-1.99999999999994 69.5000000000001,-0.999999999999943 69.5000000000001,-0.999999999999943 69.0000000000001,-1.99999999999994 69.0000000000001)))', '69.5', '69', '-1', '-2', '67E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 69.5000000000001,-1.99999999999994 70.0000000000001,-0.999999999999943 70.0000000000001,-0.999999999999943 69.5000000000001,-1.99999999999994 69.5000000000001)))', '70', '69.5', '-1', '-2', '68E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 70.0000000000001,-1.99999999999994 70.5000000000001,-0.999999999999943 70.5000000000001,-0.999999999999943 70.0000000000001,-1.99999999999994 70.0000000000001)))', '70.5', '70', '-1', '-2', '69E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 70.5000000000001,-1.99999999999994 71.0000000000001,-0.999999999999943 71.0000000000001,-0.999999999999943 70.5000000000001,-1.99999999999994 70.5000000000001)))', '71', '70.5', '-1', '-2', '70E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 71.0000000000001,-1.99999999999994 71.5000000000001,-0.999999999999943 71.5000000000001,-0.999999999999943 71.0000000000001,-1.99999999999994 71.0000000000001)))', '71.5', '71', '-1', '-2', '71E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 71.5000000000001,-1.99999999999994 72.0000000000001,-0.999999999999943 72.0000000000001,-0.999999999999943 71.5000000000001,-1.99999999999994 71.5000000000001)))', '72', '71.5', '-1', '-2', '72E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 72.0000000000001,-1.99999999999994 72.5000000000001,-0.999999999999943 72.5000000000001,-0.999999999999943 72.0000000000001,-1.99999999999994 72.0000000000001)))', '72.5', '72', '-1', '-2', '73E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 72.5000000000001,-1.99999999999994 73.0000000000001,-0.999999999999943 73.0000000000001,-0.999999999999943 72.5000000000001,-1.99999999999994 72.5000000000001)))', '73', '72.5', '-1', '-2', '74E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 73.0000000000001,-1.99999999999994 73.5000000000001,-0.999999999999943 73.5000000000001,-0.999999999999943 73.0000000000001,-1.99999999999994 73.0000000000001)))', '73.5', '73', '-1', '-2', '75E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 73.5000000000001,-1.99999999999994 74.0000000000001,-0.999999999999943 74.0000000000001,-0.999999999999943 73.5000000000001,-1.99999999999994 73.5000000000001)))', '74', '73.5', '-1', '-2', '76E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 74.0000000000001,-1.99999999999994 74.5000000000001,-0.999999999999943 74.5000000000001,-0.999999999999943 74.0000000000001,-1.99999999999994 74.0000000000001)))', '74.5', '74', '-1', '-2', '77E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 74.5000000000001,-1.99999999999994 75.0000000000001,-0.999999999999943 75.0000000000001,-0.999999999999943 74.5000000000001,-1.99999999999994 74.5000000000001)))', '75', '74.5', '-1', '-2', '78E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 75.0000000000001,-1.99999999999994 75.5000000000001,-0.999999999999943 75.5000000000001,-0.999999999999943 75.0000000000001,-1.99999999999994 75.0000000000001)))', '75.5', '75', '-1', '-2', '79E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 75.5000000000001,-1.99999999999994 76.0000000000001,-0.999999999999943 76.0000000000001,-0.999999999999943 75.5000000000001,-1.99999999999994 75.5000000000001)))', '76', '75.5', '-1', '-2', '80E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 76.0000000000001,-1.99999999999994 76.5000000000001,-0.999999999999943 76.5000000000001,-0.999999999999943 76.0000000000001,-1.99999999999994 76.0000000000001)))', '76.5', '76', '-1', '-2', '81E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 76.5000000000001,-1.99999999999994 77.0000000000001,-0.999999999999943 77.0000000000001,-0.999999999999943 76.5000000000001,-1.99999999999994 76.5000000000001)))', '77', '76.5', '-1', '-2', '82E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 77.0000000000001,-1.99999999999994 77.5000000000001,-0.999999999999943 77.5000000000001,-0.999999999999943 77.0000000000001,-1.99999999999994 77.0000000000001)))', '77.5', '77', '-1', '-2', '83E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 77.5000000000001,-1.99999999999994 78.0000000000001,-0.999999999999943 78.0000000000001,-0.999999999999943 77.5000000000001,-1.99999999999994 77.5000000000001)))', '78', '77.5', '-1', '-2', '84E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 78.0000000000001,-1.99999999999994 78.5000000000001,-0.999999999999943 78.5000000000001,-0.999999999999943 78.0000000000001,-1.99999999999994 78.0000000000001)))', '78.5', '78', '-1', '-2', '85E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 78.5000000000001,-1.99999999999994 79.0000000000001,-0.999999999999943 79.0000000000001,-0.999999999999943 78.5000000000001,-1.99999999999994 78.5000000000001)))', '79', '78.5', '-1', '-2', '86E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 79.0000000000001,-1.99999999999994 79.5000000000001,-0.999999999999943 79.5000000000001,-0.999999999999943 79.0000000000001,-1.99999999999994 79.0000000000001)))', '79.5', '79', '-1', '-2', '87E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 79.5000000000001,-1.99999999999994 80.0000000000001,-0.999999999999943 80.0000000000001,-0.999999999999943 79.5000000000001,-1.99999999999994 79.5000000000001)))', '80', '79.5', '-1', '-2', '88E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 80.0000000000001,-1.99999999999994 80.5000000000001,-0.999999999999943 80.5000000000001,-0.999999999999943 80.0000000000001,-1.99999999999994 80.0000000000001)))', '80.5', '80', '-1', '-2', '89E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 80.5000000000001,-1.99999999999994 81.0000000000001,-0.999999999999943 81.0000000000001,-0.999999999999943 80.5000000000001,-1.99999999999994 80.5000000000001)))', '81', '80.5', '-1', '-2', '90E8', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-1.99999999999994 81.0000000000001,-1.99999999999994 81.5000000000001,-0.999999999999943 81.5000000000001,-0.999999999999943 81.0000000000001,-1.99999999999994 81.0000000000001)))', '81.5', '81', '-1', '-2', '91E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 81.5000000000001,-1.99999999999994 82.0000000000001,-0.999999999999943 82.0000000000001,-0.999999999999943 81.5000000000001,-1.99999999999994 81.5000000000001)))', '82', '81.5', '-1', '-2', '92E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 82.0000000000001,-1.99999999999994 82.5000000000001,-0.999999999999943 82.5000000000001,-0.999999999999943 82.0000000000001,-1.99999999999994 82.0000000000001)))', '82.5', '82', '-1', '-2', '93E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 82.5000000000001,-1.99999999999994 83.0000000000001,-0.999999999999943 83.0000000000001,-0.999999999999943 82.5000000000001,-1.99999999999994 82.5000000000001)))', '83', '82.5', '-1', '-2', '94E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 83.0000000000001,-1.99999999999994 83.5000000000001,-0.999999999999943 83.5000000000001,-0.999999999999943 83.0000000000001,-1.99999999999994 83.0000000000001)))', '83.5', '83', '-1', '-2', '95E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 83.5000000000001,-1.99999999999994 84.0000000000001,-0.999999999999943 84.0000000000001,-0.999999999999943 83.5000000000001,-1.99999999999994 83.5000000000001)))', '84', '83.5', '-1', '-2', '96E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 84.0000000000001,-1.99999999999994 84.5000000000001,-0.999999999999943 84.5000000000001,-0.999999999999943 84.0000000000001,-1.99999999999994 84.0000000000001)))', '84.5', '84', '-1', '-2', '97E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-1.99999999999994 84.5000000000001,-1.99999999999994 85.0000000000001,-0.999999999999943 85.0000000000001,-0.999999999999943 84.5000000000001,-1.99999999999994 84.5000000000001)))', '85', '84.5', '-1', '-2', '98E8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 45.0000000000001,-0.999999999999943 45.5000000000001,5.6843418860808e-14 45.5000000000001,5.6843418860808e-14 45.0000000000001,-0.999999999999943 45.0000000000001)))', '45.5', '45', '0', '-1', '19E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 45.5000000000001,-0.999999999999943 46.0000000000001,5.6843418860808e-14 46.0000000000001,5.6843418860808e-14 45.5000000000001,-0.999999999999943 45.5000000000001)))', '46', '45.5', '0', '-1', '20E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 49.0000000000001,-0.999999999999943 49.5000000000001,5.6843418860808e-14 49.5000000000001,5.6843418860808e-14 49.0000000000001,-0.999999999999943 49.0000000000001)))', '49.5', '49', '0', '-1', '27E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 49.5000000000001,-0.999999999999943 50.0000000000001,5.6843418860808e-14 50.0000000000001,5.6843418860808e-14 49.5000000000001,-0.999999999999943 49.5000000000001)))', '50', '49.5', '0', '-1', '28E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 50.0000000000001,-0.999999999999943 50.5000000000001,5.6843418860808e-14 50.5000000000001,5.6843418860808e-14 50.0000000000001,-0.999999999999943 50.0000000000001)))', '50.5', '50', '0', '-1', '29E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 50.5000000000001,-0.999999999999943 51.0000000000001,5.6843418860808e-14 51.0000000000001,5.6843418860808e-14 50.5000000000001,-0.999999999999943 50.5000000000001)))', '51', '50.5', '0', '-1', '30E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 53.5000000000001,-0.999999999999943 54.0000000000001,5.6843418860808e-14 54.0000000000001,5.6843418860808e-14 53.5000000000001,-0.999999999999943 53.5000000000001)))', '54', '53.5', '0', '-1', '36E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 54.0000000000001,-0.999999999999943 54.5000000000001,5.6843418860808e-14 54.5000000000001,5.6843418860808e-14 54.0000000000001,-0.999999999999943 54.0000000000001)))', '54.5', '54', '0', '-1', '37E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 54.5000000000001,-0.999999999999943 55.0000000000001,5.6843418860808e-14 55.0000000000001,5.6843418860808e-14 54.5000000000001,-0.999999999999943 54.5000000000001)))', '55', '54.5', '0', '-1', '38E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 55.0000000000001,-0.999999999999943 55.5000000000001,5.6843418860808e-14 55.5000000000001,5.6843418860808e-14 55.0000000000001,-0.999999999999943 55.0000000000001)))', '55.5', '55', '0', '-1', '39E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 55.5000000000001,-0.999999999999943 56.0000000000001,5.6843418860808e-14 56.0000000000001,5.6843418860808e-14 55.5000000000001,-0.999999999999943 55.5000000000001)))', '56', '55.5', '0', '-1', '40E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 56.0000000000001,-0.999999999999943 56.5000000000001,5.6843418860808e-14 56.5000000000001,5.6843418860808e-14 56.0000000000001,-0.999999999999943 56.0000000000001)))', '56.5', '56', '0', '-1', '41E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 56.5000000000001,-0.999999999999943 57.0000000000001,5.6843418860808e-14 57.0000000000001,5.6843418860808e-14 56.5000000000001,-0.999999999999943 56.5000000000001)))', '57', '56.5', '0', '-1', '42E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 57.0000000000001,-0.999999999999943 57.5000000000001,5.6843418860808e-14 57.5000000000001,5.6843418860808e-14 57.0000000000001,-0.999999999999943 57.0000000000001)))', '57.5', '57', '0', '-1', '43E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 57.5000000000001,-0.999999999999943 58.0000000000001,5.6843418860808e-14 58.0000000000001,5.6843418860808e-14 57.5000000000001,-0.999999999999943 57.5000000000001)))', '58', '57.5', '0', '-1', '44E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 58.0000000000001,-0.999999999999943 58.5000000000001,5.6843418860808e-14 58.5000000000001,5.6843418860808e-14 58.0000000000001,-0.999999999999943 58.0000000000001)))', '58.5', '58', '0', '-1', '45E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 58.5000000000001,-0.999999999999943 59.0000000000001,5.6843418860808e-14 59.0000000000001,5.6843418860808e-14 58.5000000000001,-0.999999999999943 58.5000000000001)))', '59', '58.5', '0', '-1', '46E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 59.0000000000001,-0.999999999999943 59.5000000000001,5.6843418860808e-14 59.5000000000001,5.6843418860808e-14 59.0000000000001,-0.999999999999943 59.0000000000001)))', '59.5', '59', '0', '-1', '47E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 59.5000000000001,-0.999999999999943 60.0000000000001,5.6843418860808e-14 60.0000000000001,5.6843418860808e-14 59.5000000000001,-0.999999999999943 59.5000000000001)))', '60', '59.5', '0', '-1', '48E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 60.0000000000001,-0.999999999999943 60.5000000000001,5.6843418860808e-14 60.5000000000001,5.6843418860808e-14 60.0000000000001,-0.999999999999943 60.0000000000001)))', '60.5', '60', '0', '-1', '49E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 60.5000000000001,-0.999999999999943 61.0000000000001,5.6843418860808e-14 61.0000000000001,5.6843418860808e-14 60.5000000000001,-0.999999999999943 60.5000000000001)))', '61', '60.5', '0', '-1', '50E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 61.0000000000001,-0.999999999999943 61.5000000000001,5.6843418860808e-14 61.5000000000001,5.6843418860808e-14 61.0000000000001,-0.999999999999943 61.0000000000001)))', '61.5', '61', '0', '-1', '51E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 61.5000000000001,-0.999999999999943 62.0000000000001,5.6843418860808e-14 62.0000000000001,5.6843418860808e-14 61.5000000000001,-0.999999999999943 61.5000000000001)))', '62', '61.5', '0', '-1', '52E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 62.0000000000001,-0.999999999999943 62.5000000000001,5.6843418860808e-14 62.5000000000001,5.6843418860808e-14 62.0000000000001,-0.999999999999943 62.0000000000001)))', '62.5', '62', '0', '-1', '53E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 62.5000000000001,-0.999999999999943 63.0000000000001,5.6843418860808e-14 63.0000000000001,5.6843418860808e-14 62.5000000000001,-0.999999999999943 62.5000000000001)))', '63', '62.5', '0', '-1', '54E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 63.0000000000001,-0.999999999999943 63.5000000000001,5.6843418860808e-14 63.5000000000001,5.6843418860808e-14 63.0000000000001,-0.999999999999943 63.0000000000001)))', '63.5', '63', '0', '-1', '55E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 63.5000000000001,-0.999999999999943 64.0000000000001,5.6843418860808e-14 64.0000000000001,5.6843418860808e-14 63.5000000000001,-0.999999999999943 63.5000000000001)))', '64', '63.5', '0', '-1', '56E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 64.0000000000001,-0.999999999999943 64.5000000000001,5.6843418860808e-14 64.5000000000001,5.6843418860808e-14 64.0000000000001,-0.999999999999943 64.0000000000001)))', '64.5', '64', '0', '-1', '57E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 64.5000000000001,-0.999999999999943 65.0000000000001,5.6843418860808e-14 65.0000000000001,5.6843418860808e-14 64.5000000000001,-0.999999999999943 64.5000000000001)))', '65', '64.5', '0', '-1', '58E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 65.0000000000001,-0.999999999999943 65.5000000000001,5.6843418860808e-14 65.5000000000001,5.6843418860808e-14 65.0000000000001,-0.999999999999943 65.0000000000001)))', '65.5', '65', '0', '-1', '59E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 65.5000000000001,-0.999999999999943 66.0000000000001,5.6843418860808e-14 66.0000000000001,5.6843418860808e-14 65.5000000000001,-0.999999999999943 65.5000000000001)))', '66', '65.5', '0', '-1', '60E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 66.0000000000001,-0.999999999999943 66.5000000000001,5.6843418860808e-14 66.5000000000001,5.6843418860808e-14 66.0000000000001,-0.999999999999943 66.0000000000001)))', '66.5', '66', '0', '-1', '61E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 66.5000000000001,-0.999999999999943 67.0000000000001,5.6843418860808e-14 67.0000000000001,5.6843418860808e-14 66.5000000000001,-0.999999999999943 66.5000000000001)))', '67', '66.5', '0', '-1', '62E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 67.0000000000001,-0.999999999999943 67.5000000000001,5.6843418860808e-14 67.5000000000001,5.6843418860808e-14 67.0000000000001,-0.999999999999943 67.0000000000001)))', '67.5', '67', '0', '-1', '63E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 67.5000000000001,-0.999999999999943 68.0000000000001,5.6843418860808e-14 68.0000000000001,5.6843418860808e-14 67.5000000000001,-0.999999999999943 67.5000000000001)))', '68', '67.5', '0', '-1', '64E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 68.0000000000001,-0.999999999999943 68.5000000000001,5.6843418860808e-14 68.5000000000001,5.6843418860808e-14 68.0000000000001,-0.999999999999943 68.0000000000001)))', '68.5', '68', '0', '-1', '65E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 68.5000000000001,-0.999999999999943 69.0000000000001,5.6843418860808e-14 69.0000000000001,5.6843418860808e-14 68.5000000000001,-0.999999999999943 68.5000000000001)))', '69', '68.5', '0', '-1', '66E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 69.0000000000001,-0.999999999999943 69.5000000000001,5.6843418860808e-14 69.5000000000001,5.6843418860808e-14 69.0000000000001,-0.999999999999943 69.0000000000001)))', '69.5', '69', '0', '-1', '67E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 69.5000000000001,-0.999999999999943 70.0000000000001,5.6843418860808e-14 70.0000000000001,5.6843418860808e-14 69.5000000000001,-0.999999999999943 69.5000000000001)))', '70', '69.5', '0', '-1', '68E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 70.0000000000001,-0.999999999999943 70.5000000000001,5.6843418860808e-14 70.5000000000001,5.6843418860808e-14 70.0000000000001,-0.999999999999943 70.0000000000001)))', '70.5', '70', '0', '-1', '69E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 70.5000000000001,-0.999999999999943 71.0000000000001,5.6843418860808e-14 71.0000000000001,5.6843418860808e-14 70.5000000000001,-0.999999999999943 70.5000000000001)))', '71', '70.5', '0', '-1', '70E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 71.0000000000001,-0.999999999999943 71.5000000000001,5.6843418860808e-14 71.5000000000001,5.6843418860808e-14 71.0000000000001,-0.999999999999943 71.0000000000001)))', '71.5', '71', '0', '-1', '71E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 71.5000000000001,-0.999999999999943 72.0000000000001,5.6843418860808e-14 72.0000000000001,5.6843418860808e-14 71.5000000000001,-0.999999999999943 71.5000000000001)))', '72', '71.5', '0', '-1', '72E9', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((-0.999999999999943 72.0000000000001,-0.999999999999943 72.5000000000001,5.6843418860808e-14 72.5000000000001,5.6843418860808e-14 72.0000000000001,-0.999999999999943 72.0000000000001)))', '72.5', '72', '0', '-1', '73E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 72.5000000000001,-0.999999999999943 73.0000000000001,5.6843418860808e-14 73.0000000000001,5.6843418860808e-14 72.5000000000001,-0.999999999999943 72.5000000000001)))', '73', '72.5', '0', '-1', '74E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 73.0000000000001,-0.999999999999943 73.5000000000001,5.6843418860808e-14 73.5000000000001,5.6843418860808e-14 73.0000000000001,-0.999999999999943 73.0000000000001)))', '73.5', '73', '0', '-1', '75E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 73.5000000000001,-0.999999999999943 74.0000000000001,5.6843418860808e-14 74.0000000000001,5.6843418860808e-14 73.5000000000001,-0.999999999999943 73.5000000000001)))', '74', '73.5', '0', '-1', '76E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 74.0000000000001,-0.999999999999943 74.5000000000001,5.6843418860808e-14 74.5000000000001,5.6843418860808e-14 74.0000000000001,-0.999999999999943 74.0000000000001)))', '74.5', '74', '0', '-1', '77E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 74.5000000000001,-0.999999999999943 75.0000000000001,5.6843418860808e-14 75.0000000000001,5.6843418860808e-14 74.5000000000001,-0.999999999999943 74.5000000000001)))', '75', '74.5', '0', '-1', '78E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 75.0000000000001,-0.999999999999943 75.5000000000001,5.6843418860808e-14 75.5000000000001,5.6843418860808e-14 75.0000000000001,-0.999999999999943 75.0000000000001)))', '75.5', '75', '0', '-1', '79E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 75.5000000000001,-0.999999999999943 76.0000000000001,5.6843418860808e-14 76.0000000000001,5.6843418860808e-14 75.5000000000001,-0.999999999999943 75.5000000000001)))', '76', '75.5', '0', '-1', '80E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 76.0000000000001,-0.999999999999943 76.5000000000001,5.6843418860808e-14 76.5000000000001,5.6843418860808e-14 76.0000000000001,-0.999999999999943 76.0000000000001)))', '76.5', '76', '0', '-1', '81E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 76.5000000000001,-0.999999999999943 77.0000000000001,5.6843418860808e-14 77.0000000000001,5.6843418860808e-14 76.5000000000001,-0.999999999999943 76.5000000000001)))', '77', '76.5', '0', '-1', '82E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 77.0000000000001,-0.999999999999943 77.5000000000001,5.6843418860808e-14 77.5000000000001,5.6843418860808e-14 77.0000000000001,-0.999999999999943 77.0000000000001)))', '77.5', '77', '0', '-1', '83E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 77.5000000000001,-0.999999999999943 78.0000000000001,5.6843418860808e-14 78.0000000000001,5.6843418860808e-14 77.5000000000001,-0.999999999999943 77.5000000000001)))', '78', '77.5', '0', '-1', '84E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 78.0000000000001,-0.999999999999943 78.5000000000001,5.6843418860808e-14 78.5000000000001,5.6843418860808e-14 78.0000000000001,-0.999999999999943 78.0000000000001)))', '78.5', '78', '0', '-1', '85E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 78.5000000000001,-0.999999999999943 79.0000000000001,5.6843418860808e-14 79.0000000000001,5.6843418860808e-14 78.5000000000001,-0.999999999999943 78.5000000000001)))', '79', '78.5', '0', '-1', '86E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 79.0000000000001,-0.999999999999943 79.5000000000001,5.6843418860808e-14 79.5000000000001,5.6843418860808e-14 79.0000000000001,-0.999999999999943 79.0000000000001)))', '79.5', '79', '0', '-1', '87E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 79.5000000000001,-0.999999999999943 80.0000000000001,5.6843418860808e-14 80.0000000000001,5.6843418860808e-14 79.5000000000001,-0.999999999999943 79.5000000000001)))', '80', '79.5', '0', '-1', '88E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 80.0000000000001,-0.999999999999943 80.5000000000001,5.6843418860808e-14 80.5000000000001,5.6843418860808e-14 80.0000000000001,-0.999999999999943 80.0000000000001)))', '80.5', '80', '0', '-1', '89E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 80.5000000000001,-0.999999999999943 81.0000000000001,5.6843418860808e-14 81.0000000000001,5.6843418860808e-14 80.5000000000001,-0.999999999999943 80.5000000000001)))', '81', '80.5', '0', '-1', '90E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 81.0000000000001,-0.999999999999943 81.5000000000001,5.6843418860808e-14 81.5000000000001,5.6843418860808e-14 81.0000000000001,-0.999999999999943 81.0000000000001)))', '81.5', '81', '0', '-1', '91E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 81.5000000000001,-0.999999999999943 82.0000000000001,5.6843418860808e-14 82.0000000000001,5.6843418860808e-14 81.5000000000001,-0.999999999999943 81.5000000000001)))', '82', '81.5', '0', '-1', '92E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 82.0000000000001,-0.999999999999943 82.5000000000001,5.6843418860808e-14 82.5000000000001,5.6843418860808e-14 82.0000000000001,-0.999999999999943 82.0000000000001)))', '82.5', '82', '0', '-1', '93E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 82.5000000000001,-0.999999999999943 83.0000000000001,5.6843418860808e-14 83.0000000000001,5.6843418860808e-14 82.5000000000001,-0.999999999999943 82.5000000000001)))', '83', '82.5', '0', '-1', '94E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 83.0000000000001,-0.999999999999943 83.5000000000001,5.6843418860808e-14 83.5000000000001,5.6843418860808e-14 83.0000000000001,-0.999999999999943 83.0000000000001)))', '83.5', '83', '0', '-1', '95E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 83.5000000000001,-0.999999999999943 84.0000000000001,5.6843418860808e-14 84.0000000000001,5.6843418860808e-14 83.5000000000001,-0.999999999999943 83.5000000000001)))', '84', '83.5', '0', '-1', '96E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 84.0000000000001,-0.999999999999943 84.5000000000001,5.6843418860808e-14 84.5000000000001,5.6843418860808e-14 84.0000000000001,-0.999999999999943 84.0000000000001)))', '84.5', '84', '0', '-1', '97E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((-0.999999999999943 84.5000000000001,-0.999999999999943 85.0000000000001,5.6843418860808e-14 85.0000000000001,5.6843418860808e-14 84.5000000000001,-0.999999999999943 84.5000000000001)))', '85', '84.5', '0', '-1', '98E9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 49.0000000000001,5.6843418860808e-14 49.5000000000001,1.00000000000006 49.5000000000001,1.00000000000006 49.0000000000001,5.6843418860808e-14 49.0000000000001)))', '49.5', '49', '1', '0', '27F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 49.5000000000001,5.6843418860808e-14 50.0000000000001,1.00000000000006 50.0000000000001,1.00000000000006 49.5000000000001,5.6843418860808e-14 49.5000000000001)))', '50', '49.5', '1', '0', '28F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 50.0000000000001,5.6843418860808e-14 50.5000000000001,1.00000000000006 50.5000000000001,1.00000000000006 50.0000000000001,5.6843418860808e-14 50.0000000000001)))', '50.5', '50', '1', '0', '29F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 50.5000000000001,5.6843418860808e-14 51.0000000000001,1.00000000000006 51.0000000000001,1.00000000000006 50.5000000000001,5.6843418860808e-14 50.5000000000001)))', '51', '50.5', '1', '0', '30F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 51.0000000000001,5.6843418860808e-14 51.5000000000001,1.00000000000006 51.5000000000001,1.00000000000006 51.0000000000001,5.6843418860808e-14 51.0000000000001)))', '51.5', '51', '1', '0', '31F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 51.5000000000001,5.6843418860808e-14 52.0000000000001,1.00000000000006 52.0000000000001,1.00000000000006 51.5000000000001,5.6843418860808e-14 51.5000000000001)))', '52', '51.5', '1', '0', '32F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 52.5000000000001,5.6843418860808e-14 53.0000000000001,1.00000000000006 53.0000000000001,1.00000000000006 52.5000000000001,5.6843418860808e-14 52.5000000000001)))', '53', '52.5', '1', '0', '34F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 53.0000000000001,5.6843418860808e-14 53.5000000000001,1.00000000000006 53.5000000000001,1.00000000000006 53.0000000000001,5.6843418860808e-14 53.0000000000001)))', '53.5', '53', '1', '0', '35F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 53.5000000000001,5.6843418860808e-14 54.0000000000001,1.00000000000006 54.0000000000001,1.00000000000006 53.5000000000001,5.6843418860808e-14 53.5000000000001)))', '54', '53.5', '1', '0', '36F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 54.0000000000001,5.6843418860808e-14 54.5000000000001,1.00000000000006 54.5000000000001,1.00000000000006 54.0000000000001,5.6843418860808e-14 54.0000000000001)))', '54.5', '54', '1', '0', '37F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 54.5000000000001,5.6843418860808e-14 55.0000000000001,1.00000000000006 55.0000000000001,1.00000000000006 54.5000000000001,5.6843418860808e-14 54.5000000000001)))', '55', '54.5', '1', '0', '38F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 55.0000000000001,5.6843418860808e-14 55.5000000000001,1.00000000000006 55.5000000000001,1.00000000000006 55.0000000000001,5.6843418860808e-14 55.0000000000001)))', '55.5', '55', '1', '0', '39F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 55.5000000000001,5.6843418860808e-14 56.0000000000001,1.00000000000006 56.0000000000001,1.00000000000006 55.5000000000001,5.6843418860808e-14 55.5000000000001)))', '56', '55.5', '1', '0', '40F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 56.0000000000001,5.6843418860808e-14 56.5000000000001,1.00000000000006 56.5000000000001,1.00000000000006 56.0000000000001,5.6843418860808e-14 56.0000000000001)))', '56.5', '56', '1', '0', '41F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 56.5000000000001,5.6843418860808e-14 57.0000000000001,1.00000000000006 57.0000000000001,1.00000000000006 56.5000000000001,5.6843418860808e-14 56.5000000000001)))', '57', '56.5', '1', '0', '42F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 57.0000000000001,5.6843418860808e-14 57.5000000000001,1.00000000000006 57.5000000000001,1.00000000000006 57.0000000000001,5.6843418860808e-14 57.0000000000001)))', '57.5', '57', '1', '0', '43F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 57.5000000000001,5.6843418860808e-14 58.0000000000001,1.00000000000006 58.0000000000001,1.00000000000006 57.5000000000001,5.6843418860808e-14 57.5000000000001)))', '58', '57.5', '1', '0', '44F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 58.0000000000001,5.6843418860808e-14 58.5000000000001,1.00000000000006 58.5000000000001,1.00000000000006 58.0000000000001,5.6843418860808e-14 58.0000000000001)))', '58.5', '58', '1', '0', '45F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 58.5000000000001,5.6843418860808e-14 59.0000000000001,1.00000000000006 59.0000000000001,1.00000000000006 58.5000000000001,5.6843418860808e-14 58.5000000000001)))', '59', '58.5', '1', '0', '46F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 59.0000000000001,5.6843418860808e-14 59.5000000000001,1.00000000000006 59.5000000000001,1.00000000000006 59.0000000000001,5.6843418860808e-14 59.0000000000001)))', '59.5', '59', '1', '0', '47F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 59.5000000000001,5.6843418860808e-14 60.0000000000001,1.00000000000006 60.0000000000001,1.00000000000006 59.5000000000001,5.6843418860808e-14 59.5000000000001)))', '60', '59.5', '1', '0', '48F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 60.0000000000001,5.6843418860808e-14 60.5000000000001,1.00000000000006 60.5000000000001,1.00000000000006 60.0000000000001,5.6843418860808e-14 60.0000000000001)))', '60.5', '60', '1', '0', '49F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 60.5000000000001,5.6843418860808e-14 61.0000000000001,1.00000000000006 61.0000000000001,1.00000000000006 60.5000000000001,5.6843418860808e-14 60.5000000000001)))', '61', '60.5', '1', '0', '50F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 61.0000000000001,5.6843418860808e-14 61.5000000000001,1.00000000000006 61.5000000000001,1.00000000000006 61.0000000000001,5.6843418860808e-14 61.0000000000001)))', '61.5', '61', '1', '0', '51F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 61.5000000000001,5.6843418860808e-14 62.0000000000001,1.00000000000006 62.0000000000001,1.00000000000006 61.5000000000001,5.6843418860808e-14 61.5000000000001)))', '62', '61.5', '1', '0', '52F0', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 62.0000000000001,5.6843418860808e-14 62.5000000000001,1.00000000000006 62.5000000000001,1.00000000000006 62.0000000000001,5.6843418860808e-14 62.0000000000001)))', '62.5', '62', '1', '0', '53F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 62.5000000000001,5.6843418860808e-14 63.0000000000001,1.00000000000006 63.0000000000001,1.00000000000006 62.5000000000001,5.6843418860808e-14 62.5000000000001)))', '63', '62.5', '1', '0', '54F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 63.0000000000001,5.6843418860808e-14 63.5000000000001,1.00000000000006 63.5000000000001,1.00000000000006 63.0000000000001,5.6843418860808e-14 63.0000000000001)))', '63.5', '63', '1', '0', '55F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 63.5000000000001,5.6843418860808e-14 64.0000000000001,1.00000000000006 64.0000000000001,1.00000000000006 63.5000000000001,5.6843418860808e-14 63.5000000000001)))', '64', '63.5', '1', '0', '56F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 64.0000000000001,5.6843418860808e-14 64.5000000000001,1.00000000000006 64.5000000000001,1.00000000000006 64.0000000000001,5.6843418860808e-14 64.0000000000001)))', '64.5', '64', '1', '0', '57F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 64.5000000000001,5.6843418860808e-14 65.0000000000001,1.00000000000006 65.0000000000001,1.00000000000006 64.5000000000001,5.6843418860808e-14 64.5000000000001)))', '65', '64.5', '1', '0', '58F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 65.0000000000001,5.6843418860808e-14 65.5000000000001,1.00000000000006 65.5000000000001,1.00000000000006 65.0000000000001,5.6843418860808e-14 65.0000000000001)))', '65.5', '65', '1', '0', '59F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 65.5000000000001,5.6843418860808e-14 66.0000000000001,1.00000000000006 66.0000000000001,1.00000000000006 65.5000000000001,5.6843418860808e-14 65.5000000000001)))', '66', '65.5', '1', '0', '60F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 66.0000000000001,5.6843418860808e-14 66.5000000000001,1.00000000000006 66.5000000000001,1.00000000000006 66.0000000000001,5.6843418860808e-14 66.0000000000001)))', '66.5', '66', '1', '0', '61F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 66.5000000000001,5.6843418860808e-14 67.0000000000001,1.00000000000006 67.0000000000001,1.00000000000006 66.5000000000001,5.6843418860808e-14 66.5000000000001)))', '67', '66.5', '1', '0', '62F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 67.0000000000001,5.6843418860808e-14 67.5000000000001,1.00000000000006 67.5000000000001,1.00000000000006 67.0000000000001,5.6843418860808e-14 67.0000000000001)))', '67.5', '67', '1', '0', '63F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 67.5000000000001,5.6843418860808e-14 68.0000000000001,1.00000000000006 68.0000000000001,1.00000000000006 67.5000000000001,5.6843418860808e-14 67.5000000000001)))', '68', '67.5', '1', '0', '64F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 68.0000000000001,5.6843418860808e-14 68.5000000000001,1.00000000000006 68.5000000000001,1.00000000000006 68.0000000000001,5.6843418860808e-14 68.0000000000001)))', '68.5', '68', '1', '0', '65F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 68.5000000000001,5.6843418860808e-14 69.0000000000001,1.00000000000006 69.0000000000001,1.00000000000006 68.5000000000001,5.6843418860808e-14 68.5000000000001)))', '69', '68.5', '1', '0', '66F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 69.0000000000001,5.6843418860808e-14 69.5000000000001,1.00000000000006 69.5000000000001,1.00000000000006 69.0000000000001,5.6843418860808e-14 69.0000000000001)))', '69.5', '69', '1', '0', '67F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 69.5000000000001,5.6843418860808e-14 70.0000000000001,1.00000000000006 70.0000000000001,1.00000000000006 69.5000000000001,5.6843418860808e-14 69.5000000000001)))', '70', '69.5', '1', '0', '68F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 70.0000000000001,5.6843418860808e-14 70.5000000000001,1.00000000000006 70.5000000000001,1.00000000000006 70.0000000000001,5.6843418860808e-14 70.0000000000001)))', '70.5', '70', '1', '0', '69F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 70.5000000000001,5.6843418860808e-14 71.0000000000001,1.00000000000006 71.0000000000001,1.00000000000006 70.5000000000001,5.6843418860808e-14 70.5000000000001)))', '71', '70.5', '1', '0', '70F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 71.0000000000001,5.6843418860808e-14 71.5000000000001,1.00000000000006 71.5000000000001,1.00000000000006 71.0000000000001,5.6843418860808e-14 71.0000000000001)))', '71.5', '71', '1', '0', '71F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 71.5000000000001,5.6843418860808e-14 72.0000000000001,1.00000000000006 72.0000000000001,1.00000000000006 71.5000000000001,5.6843418860808e-14 71.5000000000001)))', '72', '71.5', '1', '0', '72F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 72.0000000000001,5.6843418860808e-14 72.5000000000001,1.00000000000006 72.5000000000001,1.00000000000006 72.0000000000001,5.6843418860808e-14 72.0000000000001)))', '72.5', '72', '1', '0', '73F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 72.5000000000001,5.6843418860808e-14 73.0000000000001,1.00000000000006 73.0000000000001,1.00000000000006 72.5000000000001,5.6843418860808e-14 72.5000000000001)))', '73', '72.5', '1', '0', '74F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 73.0000000000001,5.6843418860808e-14 73.5000000000001,1.00000000000006 73.5000000000001,1.00000000000006 73.0000000000001,5.6843418860808e-14 73.0000000000001)))', '73.5', '73', '1', '0', '75F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 73.5000000000001,5.6843418860808e-14 74.0000000000001,1.00000000000006 74.0000000000001,1.00000000000006 73.5000000000001,5.6843418860808e-14 73.5000000000001)))', '74', '73.5', '1', '0', '76F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 74.0000000000001,5.6843418860808e-14 74.5000000000001,1.00000000000006 74.5000000000001,1.00000000000006 74.0000000000001,5.6843418860808e-14 74.0000000000001)))', '74.5', '74', '1', '0', '77F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 74.5000000000001,5.6843418860808e-14 75.0000000000001,1.00000000000006 75.0000000000001,1.00000000000006 74.5000000000001,5.6843418860808e-14 74.5000000000001)))', '75', '74.5', '1', '0', '78F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 75.0000000000001,5.6843418860808e-14 75.5000000000001,1.00000000000006 75.5000000000001,1.00000000000006 75.0000000000001,5.6843418860808e-14 75.0000000000001)))', '75.5', '75', '1', '0', '79F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 75.5000000000001,5.6843418860808e-14 76.0000000000001,1.00000000000006 76.0000000000001,1.00000000000006 75.5000000000001,5.6843418860808e-14 75.5000000000001)))', '76', '75.5', '1', '0', '80F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 76.0000000000001,5.6843418860808e-14 76.5000000000001,1.00000000000006 76.5000000000001,1.00000000000006 76.0000000000001,5.6843418860808e-14 76.0000000000001)))', '76.5', '76', '1', '0', '81F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 76.5000000000001,5.6843418860808e-14 77.0000000000001,1.00000000000006 77.0000000000001,1.00000000000006 76.5000000000001,5.6843418860808e-14 76.5000000000001)))', '77', '76.5', '1', '0', '82F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 77.0000000000001,5.6843418860808e-14 77.5000000000001,1.00000000000006 77.5000000000001,1.00000000000006 77.0000000000001,5.6843418860808e-14 77.0000000000001)))', '77.5', '77', '1', '0', '83F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 77.5000000000001,5.6843418860808e-14 78.0000000000001,1.00000000000006 78.0000000000001,1.00000000000006 77.5000000000001,5.6843418860808e-14 77.5000000000001)))', '78', '77.5', '1', '0', '84F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 78.0000000000001,5.6843418860808e-14 78.5000000000001,1.00000000000006 78.5000000000001,1.00000000000006 78.0000000000001,5.6843418860808e-14 78.0000000000001)))', '78.5', '78', '1', '0', '85F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 78.5000000000001,5.6843418860808e-14 79.0000000000001,1.00000000000006 79.0000000000001,1.00000000000006 78.5000000000001,5.6843418860808e-14 78.5000000000001)))', '79', '78.5', '1', '0', '86F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 79.0000000000001,5.6843418860808e-14 79.5000000000001,1.00000000000006 79.5000000000001,1.00000000000006 79.0000000000001,5.6843418860808e-14 79.0000000000001)))', '79.5', '79', '1', '0', '87F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 79.5000000000001,5.6843418860808e-14 80.0000000000001,1.00000000000006 80.0000000000001,1.00000000000006 79.5000000000001,5.6843418860808e-14 79.5000000000001)))', '80', '79.5', '1', '0', '88F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 80.0000000000001,5.6843418860808e-14 80.5000000000001,1.00000000000006 80.5000000000001,1.00000000000006 80.0000000000001,5.6843418860808e-14 80.0000000000001)))', '80.5', '80', '1', '0', '89F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 80.5000000000001,5.6843418860808e-14 81.0000000000001,1.00000000000006 81.0000000000001,1.00000000000006 80.5000000000001,5.6843418860808e-14 80.5000000000001)))', '81', '80.5', '1', '0', '90F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 81.0000000000001,5.6843418860808e-14 81.5000000000001,1.00000000000006 81.5000000000001,1.00000000000006 81.0000000000001,5.6843418860808e-14 81.0000000000001)))', '81.5', '81', '1', '0', '91F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 81.5000000000001,5.6843418860808e-14 82.0000000000001,1.00000000000006 82.0000000000001,1.00000000000006 81.5000000000001,5.6843418860808e-14 81.5000000000001)))', '82', '81.5', '1', '0', '92F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 82.0000000000001,5.6843418860808e-14 82.5000000000001,1.00000000000006 82.5000000000001,1.00000000000006 82.0000000000001,5.6843418860808e-14 82.0000000000001)))', '82.5', '82', '1', '0', '93F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 82.5000000000001,5.6843418860808e-14 83.0000000000001,1.00000000000006 83.0000000000001,1.00000000000006 82.5000000000001,5.6843418860808e-14 82.5000000000001)))', '83', '82.5', '1', '0', '94F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 83.0000000000001,5.6843418860808e-14 83.5000000000001,1.00000000000006 83.5000000000001,1.00000000000006 83.0000000000001,5.6843418860808e-14 83.0000000000001)))', '83.5', '83', '1', '0', '95F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 83.5000000000001,5.6843418860808e-14 84.0000000000001,1.00000000000006 84.0000000000001,1.00000000000006 83.5000000000001,5.6843418860808e-14 83.5000000000001)))', '84', '83.5', '1', '0', '96F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 84.0000000000001,5.6843418860808e-14 84.5000000000001,1.00000000000006 84.5000000000001,1.00000000000006 84.0000000000001,5.6843418860808e-14 84.0000000000001)))', '84.5', '84', '1', '0', '97F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.6843418860808e-14 84.5000000000001,5.6843418860808e-14 85.0000000000001,1.00000000000006 85.0000000000001,1.00000000000006 84.5000000000001,5.6843418860808e-14 84.5000000000001)))', '85', '84.5', '1', '0', '98F0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 49.5000000000001,1.00000000000006 50.0000000000001,2.00000000000006 50.0000000000001,2.00000000000006 49.5000000000001,1.00000000000006 49.5000000000001)))', '50', '49.5', '2', '1', '28F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 50.0000000000001,1.00000000000006 50.5000000000001,2.00000000000006 50.5000000000001,2.00000000000006 50.0000000000001,1.00000000000006 50.0000000000001)))', '50.5', '50', '2', '1', '29F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 50.5000000000001,1.00000000000006 51.0000000000001,2.00000000000006 51.0000000000001,2.00000000000006 50.5000000000001,1.00000000000006 50.5000000000001)))', '51', '50.5', '2', '1', '30F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 51.0000000000001,1.00000000000006 51.5000000000001,2.00000000000006 51.5000000000001,2.00000000000006 51.0000000000001,1.00000000000006 51.0000000000001)))', '51.5', '51', '2', '1', '31F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 51.5000000000001,1.00000000000006 52.0000000000001,2.00000000000006 52.0000000000001,2.00000000000006 51.5000000000001,1.00000000000006 51.5000000000001)))', '52', '51.5', '2', '1', '32F1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((1.00000000000006 52.0000000000001,1.00000000000006 52.5000000000001,2.00000000000006 52.5000000000001,2.00000000000006 52.0000000000001,1.00000000000006 52.0000000000001)))', '52.5', '52', '2', '1', '33F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 52.5000000000001,1.00000000000006 53.0000000000001,2.00000000000006 53.0000000000001,2.00000000000006 52.5000000000001,1.00000000000006 52.5000000000001)))', '53', '52.5', '2', '1', '34F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 53.0000000000001,1.00000000000006 53.5000000000001,2.00000000000006 53.5000000000001,2.00000000000006 53.0000000000001,1.00000000000006 53.0000000000001)))', '53.5', '53', '2', '1', '35F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 53.5000000000001,1.00000000000006 54.0000000000001,2.00000000000006 54.0000000000001,2.00000000000006 53.5000000000001,1.00000000000006 53.5000000000001)))', '54', '53.5', '2', '1', '36F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 54.0000000000001,1.00000000000006 54.5000000000001,2.00000000000006 54.5000000000001,2.00000000000006 54.0000000000001,1.00000000000006 54.0000000000001)))', '54.5', '54', '2', '1', '37F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 54.5000000000001,1.00000000000006 55.0000000000001,2.00000000000006 55.0000000000001,2.00000000000006 54.5000000000001,1.00000000000006 54.5000000000001)))', '55', '54.5', '2', '1', '38F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 55.0000000000001,1.00000000000006 55.5000000000001,2.00000000000006 55.5000000000001,2.00000000000006 55.0000000000001,1.00000000000006 55.0000000000001)))', '55.5', '55', '2', '1', '39F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 55.5000000000001,1.00000000000006 56.0000000000001,2.00000000000006 56.0000000000001,2.00000000000006 55.5000000000001,1.00000000000006 55.5000000000001)))', '56', '55.5', '2', '1', '40F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 56.0000000000001,1.00000000000006 56.5000000000001,2.00000000000006 56.5000000000001,2.00000000000006 56.0000000000001,1.00000000000006 56.0000000000001)))', '56.5', '56', '2', '1', '41F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 56.5000000000001,1.00000000000006 57.0000000000001,2.00000000000006 57.0000000000001,2.00000000000006 56.5000000000001,1.00000000000006 56.5000000000001)))', '57', '56.5', '2', '1', '42F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 57.0000000000001,1.00000000000006 57.5000000000001,2.00000000000006 57.5000000000001,2.00000000000006 57.0000000000001,1.00000000000006 57.0000000000001)))', '57.5', '57', '2', '1', '43F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 57.5000000000001,1.00000000000006 58.0000000000001,2.00000000000006 58.0000000000001,2.00000000000006 57.5000000000001,1.00000000000006 57.5000000000001)))', '58', '57.5', '2', '1', '44F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 58.0000000000001,1.00000000000006 58.5000000000001,2.00000000000006 58.5000000000001,2.00000000000006 58.0000000000001,1.00000000000006 58.0000000000001)))', '58.5', '58', '2', '1', '45F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 58.5000000000001,1.00000000000006 59.0000000000001,2.00000000000006 59.0000000000001,2.00000000000006 58.5000000000001,1.00000000000006 58.5000000000001)))', '59', '58.5', '2', '1', '46F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 59.0000000000001,1.00000000000006 59.5000000000001,2.00000000000006 59.5000000000001,2.00000000000006 59.0000000000001,1.00000000000006 59.0000000000001)))', '59.5', '59', '2', '1', '47F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 59.5000000000001,1.00000000000006 60.0000000000001,2.00000000000006 60.0000000000001,2.00000000000006 59.5000000000001,1.00000000000006 59.5000000000001)))', '60', '59.5', '2', '1', '48F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 60.0000000000001,1.00000000000006 60.5000000000001,2.00000000000006 60.5000000000001,2.00000000000006 60.0000000000001,1.00000000000006 60.0000000000001)))', '60.5', '60', '2', '1', '49F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 60.5000000000001,1.00000000000006 61.0000000000001,2.00000000000006 61.0000000000001,2.00000000000006 60.5000000000001,1.00000000000006 60.5000000000001)))', '61', '60.5', '2', '1', '50F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 61.0000000000001,1.00000000000006 61.5000000000001,2.00000000000006 61.5000000000001,2.00000000000006 61.0000000000001,1.00000000000006 61.0000000000001)))', '61.5', '61', '2', '1', '51F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 61.5000000000001,1.00000000000006 62.0000000000001,2.00000000000006 62.0000000000001,2.00000000000006 61.5000000000001,1.00000000000006 61.5000000000001)))', '62', '61.5', '2', '1', '52F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 62.0000000000001,1.00000000000006 62.5000000000001,2.00000000000006 62.5000000000001,2.00000000000006 62.0000000000001,1.00000000000006 62.0000000000001)))', '62.5', '62', '2', '1', '53F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 62.5000000000001,1.00000000000006 63.0000000000001,2.00000000000006 63.0000000000001,2.00000000000006 62.5000000000001,1.00000000000006 62.5000000000001)))', '63', '62.5', '2', '1', '54F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 63.0000000000001,1.00000000000006 63.5000000000001,2.00000000000006 63.5000000000001,2.00000000000006 63.0000000000001,1.00000000000006 63.0000000000001)))', '63.5', '63', '2', '1', '55F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 63.5000000000001,1.00000000000006 64.0000000000001,2.00000000000006 64.0000000000001,2.00000000000006 63.5000000000001,1.00000000000006 63.5000000000001)))', '64', '63.5', '2', '1', '56F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 64.0000000000001,1.00000000000006 64.5000000000001,2.00000000000006 64.5000000000001,2.00000000000006 64.0000000000001,1.00000000000006 64.0000000000001)))', '64.5', '64', '2', '1', '57F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 64.5000000000001,1.00000000000006 65.0000000000001,2.00000000000006 65.0000000000001,2.00000000000006 64.5000000000001,1.00000000000006 64.5000000000001)))', '65', '64.5', '2', '1', '58F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 65.0000000000001,1.00000000000006 65.5000000000001,2.00000000000006 65.5000000000001,2.00000000000006 65.0000000000001,1.00000000000006 65.0000000000001)))', '65.5', '65', '2', '1', '59F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 65.5000000000001,1.00000000000006 66.0000000000001,2.00000000000006 66.0000000000001,2.00000000000006 65.5000000000001,1.00000000000006 65.5000000000001)))', '66', '65.5', '2', '1', '60F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 66.0000000000001,1.00000000000006 66.5000000000001,2.00000000000006 66.5000000000001,2.00000000000006 66.0000000000001,1.00000000000006 66.0000000000001)))', '66.5', '66', '2', '1', '61F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 66.5000000000001,1.00000000000006 67.0000000000001,2.00000000000006 67.0000000000001,2.00000000000006 66.5000000000001,1.00000000000006 66.5000000000001)))', '67', '66.5', '2', '1', '62F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 67.0000000000001,1.00000000000006 67.5000000000001,2.00000000000006 67.5000000000001,2.00000000000006 67.0000000000001,1.00000000000006 67.0000000000001)))', '67.5', '67', '2', '1', '63F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 67.5000000000001,1.00000000000006 68.0000000000001,2.00000000000006 68.0000000000001,2.00000000000006 67.5000000000001,1.00000000000006 67.5000000000001)))', '68', '67.5', '2', '1', '64F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 68.0000000000001,1.00000000000006 68.5000000000001,2.00000000000006 68.5000000000001,2.00000000000006 68.0000000000001,1.00000000000006 68.0000000000001)))', '68.5', '68', '2', '1', '65F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 68.5000000000001,1.00000000000006 69.0000000000001,2.00000000000006 69.0000000000001,2.00000000000006 68.5000000000001,1.00000000000006 68.5000000000001)))', '69', '68.5', '2', '1', '66F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 69.0000000000001,1.00000000000006 69.5000000000001,2.00000000000006 69.5000000000001,2.00000000000006 69.0000000000001,1.00000000000006 69.0000000000001)))', '69.5', '69', '2', '1', '67F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 69.5000000000001,1.00000000000006 70.0000000000001,2.00000000000006 70.0000000000001,2.00000000000006 69.5000000000001,1.00000000000006 69.5000000000001)))', '70', '69.5', '2', '1', '68F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 70.0000000000001,1.00000000000006 70.5000000000001,2.00000000000006 70.5000000000001,2.00000000000006 70.0000000000001,1.00000000000006 70.0000000000001)))', '70.5', '70', '2', '1', '69F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 70.5000000000001,1.00000000000006 71.0000000000001,2.00000000000006 71.0000000000001,2.00000000000006 70.5000000000001,1.00000000000006 70.5000000000001)))', '71', '70.5', '2', '1', '70F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 71.0000000000001,1.00000000000006 71.5000000000001,2.00000000000006 71.5000000000001,2.00000000000006 71.0000000000001,1.00000000000006 71.0000000000001)))', '71.5', '71', '2', '1', '71F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 71.5000000000001,1.00000000000006 72.0000000000001,2.00000000000006 72.0000000000001,2.00000000000006 71.5000000000001,1.00000000000006 71.5000000000001)))', '72', '71.5', '2', '1', '72F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 72.0000000000001,1.00000000000006 72.5000000000001,2.00000000000006 72.5000000000001,2.00000000000006 72.0000000000001,1.00000000000006 72.0000000000001)))', '72.5', '72', '2', '1', '73F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 72.5000000000001,1.00000000000006 73.0000000000001,2.00000000000006 73.0000000000001,2.00000000000006 72.5000000000001,1.00000000000006 72.5000000000001)))', '73', '72.5', '2', '1', '74F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 73.0000000000001,1.00000000000006 73.5000000000001,2.00000000000006 73.5000000000001,2.00000000000006 73.0000000000001,1.00000000000006 73.0000000000001)))', '73.5', '73', '2', '1', '75F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 73.5000000000001,1.00000000000006 74.0000000000001,2.00000000000006 74.0000000000001,2.00000000000006 73.5000000000001,1.00000000000006 73.5000000000001)))', '74', '73.5', '2', '1', '76F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 74.0000000000001,1.00000000000006 74.5000000000001,2.00000000000006 74.5000000000001,2.00000000000006 74.0000000000001,1.00000000000006 74.0000000000001)))', '74.5', '74', '2', '1', '77F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 74.5000000000001,1.00000000000006 75.0000000000001,2.00000000000006 75.0000000000001,2.00000000000006 74.5000000000001,1.00000000000006 74.5000000000001)))', '75', '74.5', '2', '1', '78F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 75.0000000000001,1.00000000000006 75.5000000000001,2.00000000000006 75.5000000000001,2.00000000000006 75.0000000000001,1.00000000000006 75.0000000000001)))', '75.5', '75', '2', '1', '79F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 75.5000000000001,1.00000000000006 76.0000000000001,2.00000000000006 76.0000000000001,2.00000000000006 75.5000000000001,1.00000000000006 75.5000000000001)))', '76', '75.5', '2', '1', '80F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 76.0000000000001,1.00000000000006 76.5000000000001,2.00000000000006 76.5000000000001,2.00000000000006 76.0000000000001,1.00000000000006 76.0000000000001)))', '76.5', '76', '2', '1', '81F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 76.5000000000001,1.00000000000006 77.0000000000001,2.00000000000006 77.0000000000001,2.00000000000006 76.5000000000001,1.00000000000006 76.5000000000001)))', '77', '76.5', '2', '1', '82F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 77.0000000000001,1.00000000000006 77.5000000000001,2.00000000000006 77.5000000000001,2.00000000000006 77.0000000000001,1.00000000000006 77.0000000000001)))', '77.5', '77', '2', '1', '83F1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((1.00000000000006 77.5000000000001,1.00000000000006 78.0000000000001,2.00000000000006 78.0000000000001,2.00000000000006 77.5000000000001,1.00000000000006 77.5000000000001)))', '78', '77.5', '2', '1', '84F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 78.0000000000001,1.00000000000006 78.5000000000001,2.00000000000006 78.5000000000001,2.00000000000006 78.0000000000001,1.00000000000006 78.0000000000001)))', '78.5', '78', '2', '1', '85F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 78.5000000000001,1.00000000000006 79.0000000000001,2.00000000000006 79.0000000000001,2.00000000000006 78.5000000000001,1.00000000000006 78.5000000000001)))', '79', '78.5', '2', '1', '86F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 79.0000000000001,1.00000000000006 79.5000000000001,2.00000000000006 79.5000000000001,2.00000000000006 79.0000000000001,1.00000000000006 79.0000000000001)))', '79.5', '79', '2', '1', '87F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 79.5000000000001,1.00000000000006 80.0000000000001,2.00000000000006 80.0000000000001,2.00000000000006 79.5000000000001,1.00000000000006 79.5000000000001)))', '80', '79.5', '2', '1', '88F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 80.0000000000001,1.00000000000006 80.5000000000001,2.00000000000006 80.5000000000001,2.00000000000006 80.0000000000001,1.00000000000006 80.0000000000001)))', '80.5', '80', '2', '1', '89F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 80.5000000000001,1.00000000000006 81.0000000000001,2.00000000000006 81.0000000000001,2.00000000000006 80.5000000000001,1.00000000000006 80.5000000000001)))', '81', '80.5', '2', '1', '90F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 81.0000000000001,1.00000000000006 81.5000000000001,2.00000000000006 81.5000000000001,2.00000000000006 81.0000000000001,1.00000000000006 81.0000000000001)))', '81.5', '81', '2', '1', '91F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 81.5000000000001,1.00000000000006 82.0000000000001,2.00000000000006 82.0000000000001,2.00000000000006 81.5000000000001,1.00000000000006 81.5000000000001)))', '82', '81.5', '2', '1', '92F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 82.0000000000001,1.00000000000006 82.5000000000001,2.00000000000006 82.5000000000001,2.00000000000006 82.0000000000001,1.00000000000006 82.0000000000001)))', '82.5', '82', '2', '1', '93F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 82.5000000000001,1.00000000000006 83.0000000000001,2.00000000000006 83.0000000000001,2.00000000000006 82.5000000000001,1.00000000000006 82.5000000000001)))', '83', '82.5', '2', '1', '94F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 83.0000000000001,1.00000000000006 83.5000000000001,2.00000000000006 83.5000000000001,2.00000000000006 83.0000000000001,1.00000000000006 83.0000000000001)))', '83.5', '83', '2', '1', '95F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 83.5000000000001,1.00000000000006 84.0000000000001,2.00000000000006 84.0000000000001,2.00000000000006 83.5000000000001,1.00000000000006 83.5000000000001)))', '84', '83.5', '2', '1', '96F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 84.0000000000001,1.00000000000006 84.5000000000001,2.00000000000006 84.5000000000001,2.00000000000006 84.0000000000001,1.00000000000006 84.0000000000001)))', '84.5', '84', '2', '1', '97F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((1.00000000000006 84.5000000000001,1.00000000000006 85.0000000000001,2.00000000000006 85.0000000000001,2.00000000000006 84.5000000000001,1.00000000000006 84.5000000000001)))', '85', '84.5', '2', '1', '98F1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 50.5000000000001,2.00000000000006 51.0000000000001,3.00000000000006 51.0000000000001,3.00000000000006 50.5000000000001,2.00000000000006 50.5000000000001)))', '51', '50.5', '3', '2', '30F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 51.0000000000001,2.00000000000006 51.5000000000001,3.00000000000006 51.5000000000001,3.00000000000006 51.0000000000001,2.00000000000006 51.0000000000001)))', '51.5', '51', '3', '2', '31F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 51.5000000000001,2.00000000000006 52.0000000000001,3.00000000000006 52.0000000000001,3.00000000000006 51.5000000000001,2.00000000000006 51.5000000000001)))', '52', '51.5', '3', '2', '32F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 52.0000000000001,2.00000000000006 52.5000000000001,3.00000000000006 52.5000000000001,3.00000000000006 52.0000000000001,2.00000000000006 52.0000000000001)))', '52.5', '52', '3', '2', '33F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 52.5000000000001,2.00000000000006 53.0000000000001,3.00000000000006 53.0000000000001,3.00000000000006 52.5000000000001,2.00000000000006 52.5000000000001)))', '53', '52.5', '3', '2', '34F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 53.0000000000001,2.00000000000006 53.5000000000001,3.00000000000006 53.5000000000001,3.00000000000006 53.0000000000001,2.00000000000006 53.0000000000001)))', '53.5', '53', '3', '2', '35F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 53.5000000000001,2.00000000000006 54.0000000000001,3.00000000000006 54.0000000000001,3.00000000000006 53.5000000000001,2.00000000000006 53.5000000000001)))', '54', '53.5', '3', '2', '36F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 54.0000000000001,2.00000000000006 54.5000000000001,3.00000000000006 54.5000000000001,3.00000000000006 54.0000000000001,2.00000000000006 54.0000000000001)))', '54.5', '54', '3', '2', '37F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 54.5000000000001,2.00000000000006 55.0000000000001,3.00000000000006 55.0000000000001,3.00000000000006 54.5000000000001,2.00000000000006 54.5000000000001)))', '55', '54.5', '3', '2', '38F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 55.0000000000001,2.00000000000006 55.5000000000001,3.00000000000006 55.5000000000001,3.00000000000006 55.0000000000001,2.00000000000006 55.0000000000001)))', '55.5', '55', '3', '2', '39F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 55.5000000000001,2.00000000000006 56.0000000000001,3.00000000000006 56.0000000000001,3.00000000000006 55.5000000000001,2.00000000000006 55.5000000000001)))', '56', '55.5', '3', '2', '40F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 56.0000000000001,2.00000000000006 56.5000000000001,3.00000000000006 56.5000000000001,3.00000000000006 56.0000000000001,2.00000000000006 56.0000000000001)))', '56.5', '56', '3', '2', '41F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 56.5000000000001,2.00000000000006 57.0000000000001,3.00000000000006 57.0000000000001,3.00000000000006 56.5000000000001,2.00000000000006 56.5000000000001)))', '57', '56.5', '3', '2', '42F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 57.0000000000001,2.00000000000006 57.5000000000001,3.00000000000006 57.5000000000001,3.00000000000006 57.0000000000001,2.00000000000006 57.0000000000001)))', '57.5', '57', '3', '2', '43F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 57.5000000000001,2.00000000000006 58.0000000000001,3.00000000000006 58.0000000000001,3.00000000000006 57.5000000000001,2.00000000000006 57.5000000000001)))', '58', '57.5', '3', '2', '44F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 58.0000000000001,2.00000000000006 58.5000000000001,3.00000000000006 58.5000000000001,3.00000000000006 58.0000000000001,2.00000000000006 58.0000000000001)))', '58.5', '58', '3', '2', '45F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 58.5000000000001,2.00000000000006 59.0000000000001,3.00000000000006 59.0000000000001,3.00000000000006 58.5000000000001,2.00000000000006 58.5000000000001)))', '59', '58.5', '3', '2', '46F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 59.0000000000001,2.00000000000006 59.5000000000001,3.00000000000006 59.5000000000001,3.00000000000006 59.0000000000001,2.00000000000006 59.0000000000001)))', '59.5', '59', '3', '2', '47F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 59.5000000000001,2.00000000000006 60.0000000000001,3.00000000000006 60.0000000000001,3.00000000000006 59.5000000000001,2.00000000000006 59.5000000000001)))', '60', '59.5', '3', '2', '48F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 60.0000000000001,2.00000000000006 60.5000000000001,3.00000000000006 60.5000000000001,3.00000000000006 60.0000000000001,2.00000000000006 60.0000000000001)))', '60.5', '60', '3', '2', '49F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 60.5000000000001,2.00000000000006 61.0000000000001,3.00000000000006 61.0000000000001,3.00000000000006 60.5000000000001,2.00000000000006 60.5000000000001)))', '61', '60.5', '3', '2', '50F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 61.0000000000001,2.00000000000006 61.5000000000001,3.00000000000006 61.5000000000001,3.00000000000006 61.0000000000001,2.00000000000006 61.0000000000001)))', '61.5', '61', '3', '2', '51F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 61.5000000000001,2.00000000000006 62.0000000000001,3.00000000000006 62.0000000000001,3.00000000000006 61.5000000000001,2.00000000000006 61.5000000000001)))', '62', '61.5', '3', '2', '52F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 62.0000000000001,2.00000000000006 62.5000000000001,3.00000000000006 62.5000000000001,3.00000000000006 62.0000000000001,2.00000000000006 62.0000000000001)))', '62.5', '62', '3', '2', '53F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 62.5000000000001,2.00000000000006 63.0000000000001,3.00000000000006 63.0000000000001,3.00000000000006 62.5000000000001,2.00000000000006 62.5000000000001)))', '63', '62.5', '3', '2', '54F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 63.0000000000001,2.00000000000006 63.5000000000001,3.00000000000006 63.5000000000001,3.00000000000006 63.0000000000001,2.00000000000006 63.0000000000001)))', '63.5', '63', '3', '2', '55F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 63.5000000000001,2.00000000000006 64.0000000000001,3.00000000000006 64.0000000000001,3.00000000000006 63.5000000000001,2.00000000000006 63.5000000000001)))', '64', '63.5', '3', '2', '56F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 64.0000000000001,2.00000000000006 64.5000000000001,3.00000000000006 64.5000000000001,3.00000000000006 64.0000000000001,2.00000000000006 64.0000000000001)))', '64.5', '64', '3', '2', '57F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 64.5000000000001,2.00000000000006 65.0000000000001,3.00000000000006 65.0000000000001,3.00000000000006 64.5000000000001,2.00000000000006 64.5000000000001)))', '65', '64.5', '3', '2', '58F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 65.0000000000001,2.00000000000006 65.5000000000001,3.00000000000006 65.5000000000001,3.00000000000006 65.0000000000001,2.00000000000006 65.0000000000001)))', '65.5', '65', '3', '2', '59F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 65.5000000000001,2.00000000000006 66.0000000000001,3.00000000000006 66.0000000000001,3.00000000000006 65.5000000000001,2.00000000000006 65.5000000000001)))', '66', '65.5', '3', '2', '60F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 66.0000000000001,2.00000000000006 66.5000000000001,3.00000000000006 66.5000000000001,3.00000000000006 66.0000000000001,2.00000000000006 66.0000000000001)))', '66.5', '66', '3', '2', '61F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 66.5000000000001,2.00000000000006 67.0000000000001,3.00000000000006 67.0000000000001,3.00000000000006 66.5000000000001,2.00000000000006 66.5000000000001)))', '67', '66.5', '3', '2', '62F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 67.0000000000001,2.00000000000006 67.5000000000001,3.00000000000006 67.5000000000001,3.00000000000006 67.0000000000001,2.00000000000006 67.0000000000001)))', '67.5', '67', '3', '2', '63F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 67.5000000000001,2.00000000000006 68.0000000000001,3.00000000000006 68.0000000000001,3.00000000000006 67.5000000000001,2.00000000000006 67.5000000000001)))', '68', '67.5', '3', '2', '64F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 68.0000000000001,2.00000000000006 68.5000000000001,3.00000000000006 68.5000000000001,3.00000000000006 68.0000000000001,2.00000000000006 68.0000000000001)))', '68.5', '68', '3', '2', '65F2', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((2.00000000000006 68.5000000000001,2.00000000000006 69.0000000000001,3.00000000000006 69.0000000000001,3.00000000000006 68.5000000000001,2.00000000000006 68.5000000000001)))', '69', '68.5', '3', '2', '66F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 69.0000000000001,2.00000000000006 69.5000000000001,3.00000000000006 69.5000000000001,3.00000000000006 69.0000000000001,2.00000000000006 69.0000000000001)))', '69.5', '69', '3', '2', '67F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 69.5000000000001,2.00000000000006 70.0000000000001,3.00000000000006 70.0000000000001,3.00000000000006 69.5000000000001,2.00000000000006 69.5000000000001)))', '70', '69.5', '3', '2', '68F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 70.0000000000001,2.00000000000006 70.5000000000001,3.00000000000006 70.5000000000001,3.00000000000006 70.0000000000001,2.00000000000006 70.0000000000001)))', '70.5', '70', '3', '2', '69F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 70.5000000000001,2.00000000000006 71.0000000000001,3.00000000000006 71.0000000000001,3.00000000000006 70.5000000000001,2.00000000000006 70.5000000000001)))', '71', '70.5', '3', '2', '70F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 71.0000000000001,2.00000000000006 71.5000000000001,3.00000000000006 71.5000000000001,3.00000000000006 71.0000000000001,2.00000000000006 71.0000000000001)))', '71.5', '71', '3', '2', '71F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 71.5000000000001,2.00000000000006 72.0000000000001,3.00000000000006 72.0000000000001,3.00000000000006 71.5000000000001,2.00000000000006 71.5000000000001)))', '72', '71.5', '3', '2', '72F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 72.0000000000001,2.00000000000006 72.5000000000001,3.00000000000006 72.5000000000001,3.00000000000006 72.0000000000001,2.00000000000006 72.0000000000001)))', '72.5', '72', '3', '2', '73F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 72.5000000000001,2.00000000000006 73.0000000000001,3.00000000000006 73.0000000000001,3.00000000000006 72.5000000000001,2.00000000000006 72.5000000000001)))', '73', '72.5', '3', '2', '74F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 73.0000000000001,2.00000000000006 73.5000000000001,3.00000000000006 73.5000000000001,3.00000000000006 73.0000000000001,2.00000000000006 73.0000000000001)))', '73.5', '73', '3', '2', '75F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 73.5000000000001,2.00000000000006 74.0000000000001,3.00000000000006 74.0000000000001,3.00000000000006 73.5000000000001,2.00000000000006 73.5000000000001)))', '74', '73.5', '3', '2', '76F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 74.0000000000001,2.00000000000006 74.5000000000001,3.00000000000006 74.5000000000001,3.00000000000006 74.0000000000001,2.00000000000006 74.0000000000001)))', '74.5', '74', '3', '2', '77F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 74.5000000000001,2.00000000000006 75.0000000000001,3.00000000000006 75.0000000000001,3.00000000000006 74.5000000000001,2.00000000000006 74.5000000000001)))', '75', '74.5', '3', '2', '78F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 75.0000000000001,2.00000000000006 75.5000000000001,3.00000000000006 75.5000000000001,3.00000000000006 75.0000000000001,2.00000000000006 75.0000000000001)))', '75.5', '75', '3', '2', '79F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 75.5000000000001,2.00000000000006 76.0000000000001,3.00000000000006 76.0000000000001,3.00000000000006 75.5000000000001,2.00000000000006 75.5000000000001)))', '76', '75.5', '3', '2', '80F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 76.0000000000001,2.00000000000006 76.5000000000001,3.00000000000006 76.5000000000001,3.00000000000006 76.0000000000001,2.00000000000006 76.0000000000001)))', '76.5', '76', '3', '2', '81F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 76.5000000000001,2.00000000000006 77.0000000000001,3.00000000000006 77.0000000000001,3.00000000000006 76.5000000000001,2.00000000000006 76.5000000000001)))', '77', '76.5', '3', '2', '82F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 77.0000000000001,2.00000000000006 77.5000000000001,3.00000000000006 77.5000000000001,3.00000000000006 77.0000000000001,2.00000000000006 77.0000000000001)))', '77.5', '77', '3', '2', '83F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 77.5000000000001,2.00000000000006 78.0000000000001,3.00000000000006 78.0000000000001,3.00000000000006 77.5000000000001,2.00000000000006 77.5000000000001)))', '78', '77.5', '3', '2', '84F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 78.0000000000001,2.00000000000006 78.5000000000001,3.00000000000006 78.5000000000001,3.00000000000006 78.0000000000001,2.00000000000006 78.0000000000001)))', '78.5', '78', '3', '2', '85F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 78.5000000000001,2.00000000000006 79.0000000000001,3.00000000000006 79.0000000000001,3.00000000000006 78.5000000000001,2.00000000000006 78.5000000000001)))', '79', '78.5', '3', '2', '86F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 79.0000000000001,2.00000000000006 79.5000000000001,3.00000000000006 79.5000000000001,3.00000000000006 79.0000000000001,2.00000000000006 79.0000000000001)))', '79.5', '79', '3', '2', '87F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 79.5000000000001,2.00000000000006 80.0000000000001,3.00000000000006 80.0000000000001,3.00000000000006 79.5000000000001,2.00000000000006 79.5000000000001)))', '80', '79.5', '3', '2', '88F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 80.0000000000001,2.00000000000006 80.5000000000001,3.00000000000006 80.5000000000001,3.00000000000006 80.0000000000001,2.00000000000006 80.0000000000001)))', '80.5', '80', '3', '2', '89F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 80.5000000000001,2.00000000000006 81.0000000000001,3.00000000000006 81.0000000000001,3.00000000000006 80.5000000000001,2.00000000000006 80.5000000000001)))', '81', '80.5', '3', '2', '90F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 81.0000000000001,2.00000000000006 81.5000000000001,3.00000000000006 81.5000000000001,3.00000000000006 81.0000000000001,2.00000000000006 81.0000000000001)))', '81.5', '81', '3', '2', '91F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 81.5000000000001,2.00000000000006 82.0000000000001,3.00000000000006 82.0000000000001,3.00000000000006 81.5000000000001,2.00000000000006 81.5000000000001)))', '82', '81.5', '3', '2', '92F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 82.0000000000001,2.00000000000006 82.5000000000001,3.00000000000006 82.5000000000001,3.00000000000006 82.0000000000001,2.00000000000006 82.0000000000001)))', '82.5', '82', '3', '2', '93F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 82.5000000000001,2.00000000000006 83.0000000000001,3.00000000000006 83.0000000000001,3.00000000000006 82.5000000000001,2.00000000000006 82.5000000000001)))', '83', '82.5', '3', '2', '94F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 83.0000000000001,2.00000000000006 83.5000000000001,3.00000000000006 83.5000000000001,3.00000000000006 83.0000000000001,2.00000000000006 83.0000000000001)))', '83.5', '83', '3', '2', '95F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 83.5000000000001,2.00000000000006 84.0000000000001,3.00000000000006 84.0000000000001,3.00000000000006 83.5000000000001,2.00000000000006 83.5000000000001)))', '84', '83.5', '3', '2', '96F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 84.0000000000001,2.00000000000006 84.5000000000001,3.00000000000006 84.5000000000001,3.00000000000006 84.0000000000001,2.00000000000006 84.0000000000001)))', '84.5', '84', '3', '2', '97F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((2.00000000000006 84.5000000000001,2.00000000000006 85.0000000000001,3.00000000000006 85.0000000000001,3.00000000000006 84.5000000000001,2.00000000000006 84.5000000000001)))', '85', '84.5', '3', '2', '98F2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 51.0000000000001,3.00000000000006 51.5000000000001,4.00000000000006 51.5000000000001,4.00000000000006 51.0000000000001,3.00000000000006 51.0000000000001)))', '51.5', '51', '4', '3', '31F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 51.5000000000001,3.00000000000006 52.0000000000001,4.00000000000006 52.0000000000001,4.00000000000006 51.5000000000001,3.00000000000006 51.5000000000001)))', '52', '51.5', '4', '3', '32F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 52.0000000000001,3.00000000000006 52.5000000000001,4.00000000000006 52.5000000000001,4.00000000000006 52.0000000000001,3.00000000000006 52.0000000000001)))', '52.5', '52', '4', '3', '33F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 52.5000000000001,3.00000000000006 53.0000000000001,4.00000000000006 53.0000000000001,4.00000000000006 52.5000000000001,3.00000000000006 52.5000000000001)))', '53', '52.5', '4', '3', '34F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 53.0000000000001,3.00000000000006 53.5000000000001,4.00000000000006 53.5000000000001,4.00000000000006 53.0000000000001,3.00000000000006 53.0000000000001)))', '53.5', '53', '4', '3', '35F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 53.5000000000001,3.00000000000006 54.0000000000001,4.00000000000006 54.0000000000001,4.00000000000006 53.5000000000001,3.00000000000006 53.5000000000001)))', '54', '53.5', '4', '3', '36F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 54.0000000000001,3.00000000000006 54.5000000000001,4.00000000000006 54.5000000000001,4.00000000000006 54.0000000000001,3.00000000000006 54.0000000000001)))', '54.5', '54', '4', '3', '37F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 54.5000000000001,3.00000000000006 55.0000000000001,4.00000000000006 55.0000000000001,4.00000000000006 54.5000000000001,3.00000000000006 54.5000000000001)))', '55', '54.5', '4', '3', '38F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 55.0000000000001,3.00000000000006 55.5000000000001,4.00000000000006 55.5000000000001,4.00000000000006 55.0000000000001,3.00000000000006 55.0000000000001)))', '55.5', '55', '4', '3', '39F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 55.5000000000001,3.00000000000006 56.0000000000001,4.00000000000006 56.0000000000001,4.00000000000006 55.5000000000001,3.00000000000006 55.5000000000001)))', '56', '55.5', '4', '3', '40F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 56.0000000000001,3.00000000000006 56.5000000000001,4.00000000000006 56.5000000000001,4.00000000000006 56.0000000000001,3.00000000000006 56.0000000000001)))', '56.5', '56', '4', '3', '41F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 56.5000000000001,3.00000000000006 57.0000000000001,4.00000000000006 57.0000000000001,4.00000000000006 56.5000000000001,3.00000000000006 56.5000000000001)))', '57', '56.5', '4', '3', '42F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 57.0000000000001,3.00000000000006 57.5000000000001,4.00000000000006 57.5000000000001,4.00000000000006 57.0000000000001,3.00000000000006 57.0000000000001)))', '57.5', '57', '4', '3', '43F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 57.5000000000001,3.00000000000006 58.0000000000001,4.00000000000006 58.0000000000001,4.00000000000006 57.5000000000001,3.00000000000006 57.5000000000001)))', '58', '57.5', '4', '3', '44F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 58.0000000000001,3.00000000000006 58.5000000000001,4.00000000000006 58.5000000000001,4.00000000000006 58.0000000000001,3.00000000000006 58.0000000000001)))', '58.5', '58', '4', '3', '45F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 58.5000000000001,3.00000000000006 59.0000000000001,4.00000000000006 59.0000000000001,4.00000000000006 58.5000000000001,3.00000000000006 58.5000000000001)))', '59', '58.5', '4', '3', '46F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 59.0000000000001,3.00000000000006 59.5000000000001,4.00000000000006 59.5000000000001,4.00000000000006 59.0000000000001,3.00000000000006 59.0000000000001)))', '59.5', '59', '4', '3', '47F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 59.5000000000001,3.00000000000006 60.0000000000001,4.00000000000006 60.0000000000001,4.00000000000006 59.5000000000001,3.00000000000006 59.5000000000001)))', '60', '59.5', '4', '3', '48F3', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((3.00000000000006 60.0000000000001,3.00000000000006 60.5000000000001,4.00000000000006 60.5000000000001,4.00000000000006 60.0000000000001,3.00000000000006 60.0000000000001)))', '60.5', '60', '4', '3', '49F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 60.5000000000001,3.00000000000006 61.0000000000001,4.00000000000006 61.0000000000001,4.00000000000006 60.5000000000001,3.00000000000006 60.5000000000001)))', '61', '60.5', '4', '3', '50F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 61.0000000000001,3.00000000000006 61.5000000000001,4.00000000000006 61.5000000000001,4.00000000000006 61.0000000000001,3.00000000000006 61.0000000000001)))', '61.5', '61', '4', '3', '51F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 61.5000000000001,3.00000000000006 62.0000000000001,4.00000000000006 62.0000000000001,4.00000000000006 61.5000000000001,3.00000000000006 61.5000000000001)))', '62', '61.5', '4', '3', '52F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 62.0000000000001,3.00000000000006 62.5000000000001,4.00000000000006 62.5000000000001,4.00000000000006 62.0000000000001,3.00000000000006 62.0000000000001)))', '62.5', '62', '4', '3', '53F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 62.5000000000001,3.00000000000006 63.0000000000001,4.00000000000006 63.0000000000001,4.00000000000006 62.5000000000001,3.00000000000006 62.5000000000001)))', '63', '62.5', '4', '3', '54F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 63.0000000000001,3.00000000000006 63.5000000000001,4.00000000000006 63.5000000000001,4.00000000000006 63.0000000000001,3.00000000000006 63.0000000000001)))', '63.5', '63', '4', '3', '55F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 63.5000000000001,3.00000000000006 64.0000000000001,4.00000000000006 64.0000000000001,4.00000000000006 63.5000000000001,3.00000000000006 63.5000000000001)))', '64', '63.5', '4', '3', '56F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 64.0000000000001,3.00000000000006 64.5000000000001,4.00000000000006 64.5000000000001,4.00000000000006 64.0000000000001,3.00000000000006 64.0000000000001)))', '64.5', '64', '4', '3', '57F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 64.5000000000001,3.00000000000006 65.0000000000001,4.00000000000006 65.0000000000001,4.00000000000006 64.5000000000001,3.00000000000006 64.5000000000001)))', '65', '64.5', '4', '3', '58F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 65.0000000000001,3.00000000000006 65.5000000000001,4.00000000000006 65.5000000000001,4.00000000000006 65.0000000000001,3.00000000000006 65.0000000000001)))', '65.5', '65', '4', '3', '59F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 65.5000000000001,3.00000000000006 66.0000000000001,4.00000000000006 66.0000000000001,4.00000000000006 65.5000000000001,3.00000000000006 65.5000000000001)))', '66', '65.5', '4', '3', '60F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 66.0000000000001,3.00000000000006 66.5000000000001,4.00000000000006 66.5000000000001,4.00000000000006 66.0000000000001,3.00000000000006 66.0000000000001)))', '66.5', '66', '4', '3', '61F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 66.5000000000001,3.00000000000006 67.0000000000001,4.00000000000006 67.0000000000001,4.00000000000006 66.5000000000001,3.00000000000006 66.5000000000001)))', '67', '66.5', '4', '3', '62F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 67.0000000000001,3.00000000000006 67.5000000000001,4.00000000000006 67.5000000000001,4.00000000000006 67.0000000000001,3.00000000000006 67.0000000000001)))', '67.5', '67', '4', '3', '63F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 67.5000000000001,3.00000000000006 68.0000000000001,4.00000000000006 68.0000000000001,4.00000000000006 67.5000000000001,3.00000000000006 67.5000000000001)))', '68', '67.5', '4', '3', '64F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 68.0000000000001,3.00000000000006 68.5000000000001,4.00000000000006 68.5000000000001,4.00000000000006 68.0000000000001,3.00000000000006 68.0000000000001)))', '68.5', '68', '4', '3', '65F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 68.5000000000001,3.00000000000006 69.0000000000001,4.00000000000006 69.0000000000001,4.00000000000006 68.5000000000001,3.00000000000006 68.5000000000001)))', '69', '68.5', '4', '3', '66F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 69.0000000000001,3.00000000000006 69.5000000000001,4.00000000000006 69.5000000000001,4.00000000000006 69.0000000000001,3.00000000000006 69.0000000000001)))', '69.5', '69', '4', '3', '67F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 69.5000000000001,3.00000000000006 70.0000000000001,4.00000000000006 70.0000000000001,4.00000000000006 69.5000000000001,3.00000000000006 69.5000000000001)))', '70', '69.5', '4', '3', '68F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 70.0000000000001,3.00000000000006 70.5000000000001,4.00000000000006 70.5000000000001,4.00000000000006 70.0000000000001,3.00000000000006 70.0000000000001)))', '70.5', '70', '4', '3', '69F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 70.5000000000001,3.00000000000006 71.0000000000001,4.00000000000006 71.0000000000001,4.00000000000006 70.5000000000001,3.00000000000006 70.5000000000001)))', '71', '70.5', '4', '3', '70F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 71.0000000000001,3.00000000000006 71.5000000000001,4.00000000000006 71.5000000000001,4.00000000000006 71.0000000000001,3.00000000000006 71.0000000000001)))', '71.5', '71', '4', '3', '71F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 71.5000000000001,3.00000000000006 72.0000000000001,4.00000000000006 72.0000000000001,4.00000000000006 71.5000000000001,3.00000000000006 71.5000000000001)))', '72', '71.5', '4', '3', '72F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 72.0000000000001,3.00000000000006 72.5000000000001,4.00000000000006 72.5000000000001,4.00000000000006 72.0000000000001,3.00000000000006 72.0000000000001)))', '72.5', '72', '4', '3', '73F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 72.5000000000001,3.00000000000006 73.0000000000001,4.00000000000006 73.0000000000001,4.00000000000006 72.5000000000001,3.00000000000006 72.5000000000001)))', '73', '72.5', '4', '3', '74F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 73.0000000000001,3.00000000000006 73.5000000000001,4.00000000000006 73.5000000000001,4.00000000000006 73.0000000000001,3.00000000000006 73.0000000000001)))', '73.5', '73', '4', '3', '75F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 73.5000000000001,3.00000000000006 74.0000000000001,4.00000000000006 74.0000000000001,4.00000000000006 73.5000000000001,3.00000000000006 73.5000000000001)))', '74', '73.5', '4', '3', '76F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 74.0000000000001,3.00000000000006 74.5000000000001,4.00000000000006 74.5000000000001,4.00000000000006 74.0000000000001,3.00000000000006 74.0000000000001)))', '74.5', '74', '4', '3', '77F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 74.5000000000001,3.00000000000006 75.0000000000001,4.00000000000006 75.0000000000001,4.00000000000006 74.5000000000001,3.00000000000006 74.5000000000001)))', '75', '74.5', '4', '3', '78F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 75.0000000000001,3.00000000000006 75.5000000000001,4.00000000000006 75.5000000000001,4.00000000000006 75.0000000000001,3.00000000000006 75.0000000000001)))', '75.5', '75', '4', '3', '79F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 75.5000000000001,3.00000000000006 76.0000000000001,4.00000000000006 76.0000000000001,4.00000000000006 75.5000000000001,3.00000000000006 75.5000000000001)))', '76', '75.5', '4', '3', '80F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 76.0000000000001,3.00000000000006 76.5000000000001,4.00000000000006 76.5000000000001,4.00000000000006 76.0000000000001,3.00000000000006 76.0000000000001)))', '76.5', '76', '4', '3', '81F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 76.5000000000001,3.00000000000006 77.0000000000001,4.00000000000006 77.0000000000001,4.00000000000006 76.5000000000001,3.00000000000006 76.5000000000001)))', '77', '76.5', '4', '3', '82F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 77.0000000000001,3.00000000000006 77.5000000000001,4.00000000000006 77.5000000000001,4.00000000000006 77.0000000000001,3.00000000000006 77.0000000000001)))', '77.5', '77', '4', '3', '83F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 77.5000000000001,3.00000000000006 78.0000000000001,4.00000000000006 78.0000000000001,4.00000000000006 77.5000000000001,3.00000000000006 77.5000000000001)))', '78', '77.5', '4', '3', '84F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 78.0000000000001,3.00000000000006 78.5000000000001,4.00000000000006 78.5000000000001,4.00000000000006 78.0000000000001,3.00000000000006 78.0000000000001)))', '78.5', '78', '4', '3', '85F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 78.5000000000001,3.00000000000006 79.0000000000001,4.00000000000006 79.0000000000001,4.00000000000006 78.5000000000001,3.00000000000006 78.5000000000001)))', '79', '78.5', '4', '3', '86F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 79.0000000000001,3.00000000000006 79.5000000000001,4.00000000000006 79.5000000000001,4.00000000000006 79.0000000000001,3.00000000000006 79.0000000000001)))', '79.5', '79', '4', '3', '87F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 79.5000000000001,3.00000000000006 80.0000000000001,4.00000000000006 80.0000000000001,4.00000000000006 79.5000000000001,3.00000000000006 79.5000000000001)))', '80', '79.5', '4', '3', '88F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 80.0000000000001,3.00000000000006 80.5000000000001,4.00000000000006 80.5000000000001,4.00000000000006 80.0000000000001,3.00000000000006 80.0000000000001)))', '80.5', '80', '4', '3', '89F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 80.5000000000001,3.00000000000006 81.0000000000001,4.00000000000006 81.0000000000001,4.00000000000006 80.5000000000001,3.00000000000006 80.5000000000001)))', '81', '80.5', '4', '3', '90F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 81.0000000000001,3.00000000000006 81.5000000000001,4.00000000000006 81.5000000000001,4.00000000000006 81.0000000000001,3.00000000000006 81.0000000000001)))', '81.5', '81', '4', '3', '91F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 81.5000000000001,3.00000000000006 82.0000000000001,4.00000000000006 82.0000000000001,4.00000000000006 81.5000000000001,3.00000000000006 81.5000000000001)))', '82', '81.5', '4', '3', '92F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 82.0000000000001,3.00000000000006 82.5000000000001,4.00000000000006 82.5000000000001,4.00000000000006 82.0000000000001,3.00000000000006 82.0000000000001)))', '82.5', '82', '4', '3', '93F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 82.5000000000001,3.00000000000006 83.0000000000001,4.00000000000006 83.0000000000001,4.00000000000006 82.5000000000001,3.00000000000006 82.5000000000001)))', '83', '82.5', '4', '3', '94F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 83.0000000000001,3.00000000000006 83.5000000000001,4.00000000000006 83.5000000000001,4.00000000000006 83.0000000000001,3.00000000000006 83.0000000000001)))', '83.5', '83', '4', '3', '95F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 83.5000000000001,3.00000000000006 84.0000000000001,4.00000000000006 84.0000000000001,4.00000000000006 83.5000000000001,3.00000000000006 83.5000000000001)))', '84', '83.5', '4', '3', '96F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 84.0000000000001,3.00000000000006 84.5000000000001,4.00000000000006 84.5000000000001,4.00000000000006 84.0000000000001,3.00000000000006 84.0000000000001)))', '84.5', '84', '4', '3', '97F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((3.00000000000006 84.5000000000001,3.00000000000006 85.0000000000001,4.00000000000006 85.0000000000001,4.00000000000006 84.5000000000001,3.00000000000006 84.5000000000001)))', '85', '84.5', '4', '3', '98F3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 51.0000000000001,4.00000000000006 51.5000000000001,5.00000000000006 51.5000000000001,5.00000000000006 51.0000000000001,4.00000000000006 51.0000000000001)))', '51.5', '51', '5', '4', '31F4', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((4.00000000000006 51.5000000000001,4.00000000000006 52.0000000000001,5.00000000000006 52.0000000000001,5.00000000000006 51.5000000000001,4.00000000000006 51.5000000000001)))', '52', '51.5', '5', '4', '32F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 52.0000000000001,4.00000000000006 52.5000000000001,5.00000000000006 52.5000000000001,5.00000000000006 52.0000000000001,4.00000000000006 52.0000000000001)))', '52.5', '52', '5', '4', '33F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 52.5000000000001,4.00000000000006 53.0000000000001,5.00000000000006 53.0000000000001,5.00000000000006 52.5000000000001,4.00000000000006 52.5000000000001)))', '53', '52.5', '5', '4', '34F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 53.0000000000001,4.00000000000006 53.5000000000001,5.00000000000006 53.5000000000001,5.00000000000006 53.0000000000001,4.00000000000006 53.0000000000001)))', '53.5', '53', '5', '4', '35F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 53.5000000000001,4.00000000000006 54.0000000000001,5.00000000000006 54.0000000000001,5.00000000000006 53.5000000000001,4.00000000000006 53.5000000000001)))', '54', '53.5', '5', '4', '36F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 54.0000000000001,4.00000000000006 54.5000000000001,5.00000000000006 54.5000000000001,5.00000000000006 54.0000000000001,4.00000000000006 54.0000000000001)))', '54.5', '54', '5', '4', '37F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 54.5000000000001,4.00000000000006 55.0000000000001,5.00000000000006 55.0000000000001,5.00000000000006 54.5000000000001,4.00000000000006 54.5000000000001)))', '55', '54.5', '5', '4', '38F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 55.0000000000001,4.00000000000006 55.5000000000001,5.00000000000006 55.5000000000001,5.00000000000006 55.0000000000001,4.00000000000006 55.0000000000001)))', '55.5', '55', '5', '4', '39F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 55.5000000000001,4.00000000000006 56.0000000000001,5.00000000000006 56.0000000000001,5.00000000000006 55.5000000000001,4.00000000000006 55.5000000000001)))', '56', '55.5', '5', '4', '40F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 56.0000000000001,4.00000000000006 56.5000000000001,5.00000000000006 56.5000000000001,5.00000000000006 56.0000000000001,4.00000000000006 56.0000000000001)))', '56.5', '56', '5', '4', '41F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 56.5000000000001,4.00000000000006 57.0000000000001,5.00000000000006 57.0000000000001,5.00000000000006 56.5000000000001,4.00000000000006 56.5000000000001)))', '57', '56.5', '5', '4', '42F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 57.0000000000001,4.00000000000006 57.5000000000001,5.00000000000006 57.5000000000001,5.00000000000006 57.0000000000001,4.00000000000006 57.0000000000001)))', '57.5', '57', '5', '4', '43F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 57.5000000000001,4.00000000000006 58.0000000000001,5.00000000000006 58.0000000000001,5.00000000000006 57.5000000000001,4.00000000000006 57.5000000000001)))', '58', '57.5', '5', '4', '44F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 58.0000000000001,4.00000000000006 58.5000000000001,5.00000000000006 58.5000000000001,5.00000000000006 58.0000000000001,4.00000000000006 58.0000000000001)))', '58.5', '58', '5', '4', '45F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 58.5000000000001,4.00000000000006 59.0000000000001,5.00000000000006 59.0000000000001,5.00000000000006 58.5000000000001,4.00000000000006 58.5000000000001)))', '59', '58.5', '5', '4', '46F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 59.0000000000001,4.00000000000006 59.5000000000001,5.00000000000006 59.5000000000001,5.00000000000006 59.0000000000001,4.00000000000006 59.0000000000001)))', '59.5', '59', '5', '4', '47F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 59.5000000000001,4.00000000000006 60.0000000000001,5.00000000000006 60.0000000000001,5.00000000000006 59.5000000000001,4.00000000000006 59.5000000000001)))', '60', '59.5', '5', '4', '48F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 60.0000000000001,4.00000000000006 60.5000000000001,5.00000000000006 60.5000000000001,5.00000000000006 60.0000000000001,4.00000000000006 60.0000000000001)))', '60.5', '60', '5', '4', '49F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 60.5000000000001,4.00000000000006 61.0000000000001,5.00000000000006 61.0000000000001,5.00000000000006 60.5000000000001,4.00000000000006 60.5000000000001)))', '61', '60.5', '5', '4', '50F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 61.0000000000001,4.00000000000006 61.5000000000001,5.00000000000006 61.5000000000001,5.00000000000006 61.0000000000001,4.00000000000006 61.0000000000001)))', '61.5', '61', '5', '4', '51F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 61.5000000000001,4.00000000000006 62.0000000000001,5.00000000000006 62.0000000000001,5.00000000000006 61.5000000000001,4.00000000000006 61.5000000000001)))', '62', '61.5', '5', '4', '52F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 62.0000000000001,4.00000000000006 62.5000000000001,5.00000000000006 62.5000000000001,5.00000000000006 62.0000000000001,4.00000000000006 62.0000000000001)))', '62.5', '62', '5', '4', '53F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 62.5000000000001,4.00000000000006 63.0000000000001,5.00000000000006 63.0000000000001,5.00000000000006 62.5000000000001,4.00000000000006 62.5000000000001)))', '63', '62.5', '5', '4', '54F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 63.0000000000001,4.00000000000006 63.5000000000001,5.00000000000006 63.5000000000001,5.00000000000006 63.0000000000001,4.00000000000006 63.0000000000001)))', '63.5', '63', '5', '4', '55F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 63.5000000000001,4.00000000000006 64.0000000000001,5.00000000000006 64.0000000000001,5.00000000000006 63.5000000000001,4.00000000000006 63.5000000000001)))', '64', '63.5', '5', '4', '56F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 64.0000000000001,4.00000000000006 64.5000000000001,5.00000000000006 64.5000000000001,5.00000000000006 64.0000000000001,4.00000000000006 64.0000000000001)))', '64.5', '64', '5', '4', '57F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 64.5000000000001,4.00000000000006 65.0000000000001,5.00000000000006 65.0000000000001,5.00000000000006 64.5000000000001,4.00000000000006 64.5000000000001)))', '65', '64.5', '5', '4', '58F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 65.0000000000001,4.00000000000006 65.5000000000001,5.00000000000006 65.5000000000001,5.00000000000006 65.0000000000001,4.00000000000006 65.0000000000001)))', '65.5', '65', '5', '4', '59F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 65.5000000000001,4.00000000000006 66.0000000000001,5.00000000000006 66.0000000000001,5.00000000000006 65.5000000000001,4.00000000000006 65.5000000000001)))', '66', '65.5', '5', '4', '60F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 66.0000000000001,4.00000000000006 66.5000000000001,5.00000000000006 66.5000000000001,5.00000000000006 66.0000000000001,4.00000000000006 66.0000000000001)))', '66.5', '66', '5', '4', '61F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 66.5000000000001,4.00000000000006 67.0000000000001,5.00000000000006 67.0000000000001,5.00000000000006 66.5000000000001,4.00000000000006 66.5000000000001)))', '67', '66.5', '5', '4', '62F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 67.0000000000001,4.00000000000006 67.5000000000001,5.00000000000006 67.5000000000001,5.00000000000006 67.0000000000001,4.00000000000006 67.0000000000001)))', '67.5', '67', '5', '4', '63F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 67.5000000000001,4.00000000000006 68.0000000000001,5.00000000000006 68.0000000000001,5.00000000000006 67.5000000000001,4.00000000000006 67.5000000000001)))', '68', '67.5', '5', '4', '64F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 68.0000000000001,4.00000000000006 68.5000000000001,5.00000000000006 68.5000000000001,5.00000000000006 68.0000000000001,4.00000000000006 68.0000000000001)))', '68.5', '68', '5', '4', '65F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 68.5000000000001,4.00000000000006 69.0000000000001,5.00000000000006 69.0000000000001,5.00000000000006 68.5000000000001,4.00000000000006 68.5000000000001)))', '69', '68.5', '5', '4', '66F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 69.0000000000001,4.00000000000006 69.5000000000001,5.00000000000006 69.5000000000001,5.00000000000006 69.0000000000001,4.00000000000006 69.0000000000001)))', '69.5', '69', '5', '4', '67F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 69.5000000000001,4.00000000000006 70.0000000000001,5.00000000000006 70.0000000000001,5.00000000000006 69.5000000000001,4.00000000000006 69.5000000000001)))', '70', '69.5', '5', '4', '68F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 70.0000000000001,4.00000000000006 70.5000000000001,5.00000000000006 70.5000000000001,5.00000000000006 70.0000000000001,4.00000000000006 70.0000000000001)))', '70.5', '70', '5', '4', '69F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 70.5000000000001,4.00000000000006 71.0000000000001,5.00000000000006 71.0000000000001,5.00000000000006 70.5000000000001,4.00000000000006 70.5000000000001)))', '71', '70.5', '5', '4', '70F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 71.0000000000001,4.00000000000006 71.5000000000001,5.00000000000006 71.5000000000001,5.00000000000006 71.0000000000001,4.00000000000006 71.0000000000001)))', '71.5', '71', '5', '4', '71F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 71.5000000000001,4.00000000000006 72.0000000000001,5.00000000000006 72.0000000000001,5.00000000000006 71.5000000000001,4.00000000000006 71.5000000000001)))', '72', '71.5', '5', '4', '72F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 72.0000000000001,4.00000000000006 72.5000000000001,5.00000000000006 72.5000000000001,5.00000000000006 72.0000000000001,4.00000000000006 72.0000000000001)))', '72.5', '72', '5', '4', '73F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 72.5000000000001,4.00000000000006 73.0000000000001,5.00000000000006 73.0000000000001,5.00000000000006 72.5000000000001,4.00000000000006 72.5000000000001)))', '73', '72.5', '5', '4', '74F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 73.0000000000001,4.00000000000006 73.5000000000001,5.00000000000006 73.5000000000001,5.00000000000006 73.0000000000001,4.00000000000006 73.0000000000001)))', '73.5', '73', '5', '4', '75F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 73.5000000000001,4.00000000000006 74.0000000000001,5.00000000000006 74.0000000000001,5.00000000000006 73.5000000000001,4.00000000000006 73.5000000000001)))', '74', '73.5', '5', '4', '76F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 74.0000000000001,4.00000000000006 74.5000000000001,5.00000000000006 74.5000000000001,5.00000000000006 74.0000000000001,4.00000000000006 74.0000000000001)))', '74.5', '74', '5', '4', '77F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 74.5000000000001,4.00000000000006 75.0000000000001,5.00000000000006 75.0000000000001,5.00000000000006 74.5000000000001,4.00000000000006 74.5000000000001)))', '75', '74.5', '5', '4', '78F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 75.0000000000001,4.00000000000006 75.5000000000001,5.00000000000006 75.5000000000001,5.00000000000006 75.0000000000001,4.00000000000006 75.0000000000001)))', '75.5', '75', '5', '4', '79F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 75.5000000000001,4.00000000000006 76.0000000000001,5.00000000000006 76.0000000000001,5.00000000000006 75.5000000000001,4.00000000000006 75.5000000000001)))', '76', '75.5', '5', '4', '80F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 76.0000000000001,4.00000000000006 76.5000000000001,5.00000000000006 76.5000000000001,5.00000000000006 76.0000000000001,4.00000000000006 76.0000000000001)))', '76.5', '76', '5', '4', '81F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 76.5000000000001,4.00000000000006 77.0000000000001,5.00000000000006 77.0000000000001,5.00000000000006 76.5000000000001,4.00000000000006 76.5000000000001)))', '77', '76.5', '5', '4', '82F4', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((4.00000000000006 77.0000000000001,4.00000000000006 77.5000000000001,5.00000000000006 77.5000000000001,5.00000000000006 77.0000000000001,4.00000000000006 77.0000000000001)))', '77.5', '77', '5', '4', '83F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 77.5000000000001,4.00000000000006 78.0000000000001,5.00000000000006 78.0000000000001,5.00000000000006 77.5000000000001,4.00000000000006 77.5000000000001)))', '78', '77.5', '5', '4', '84F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 78.0000000000001,4.00000000000006 78.5000000000001,5.00000000000006 78.5000000000001,5.00000000000006 78.0000000000001,4.00000000000006 78.0000000000001)))', '78.5', '78', '5', '4', '85F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 78.5000000000001,4.00000000000006 79.0000000000001,5.00000000000006 79.0000000000001,5.00000000000006 78.5000000000001,4.00000000000006 78.5000000000001)))', '79', '78.5', '5', '4', '86F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 79.0000000000001,4.00000000000006 79.5000000000001,5.00000000000006 79.5000000000001,5.00000000000006 79.0000000000001,4.00000000000006 79.0000000000001)))', '79.5', '79', '5', '4', '87F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 79.5000000000001,4.00000000000006 80.0000000000001,5.00000000000006 80.0000000000001,5.00000000000006 79.5000000000001,4.00000000000006 79.5000000000001)))', '80', '79.5', '5', '4', '88F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 80.0000000000001,4.00000000000006 80.5000000000001,5.00000000000006 80.5000000000001,5.00000000000006 80.0000000000001,4.00000000000006 80.0000000000001)))', '80.5', '80', '5', '4', '89F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 80.5000000000001,4.00000000000006 81.0000000000001,5.00000000000006 81.0000000000001,5.00000000000006 80.5000000000001,4.00000000000006 80.5000000000001)))', '81', '80.5', '5', '4', '90F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 81.0000000000001,4.00000000000006 81.5000000000001,5.00000000000006 81.5000000000001,5.00000000000006 81.0000000000001,4.00000000000006 81.0000000000001)))', '81.5', '81', '5', '4', '91F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 81.5000000000001,4.00000000000006 82.0000000000001,5.00000000000006 82.0000000000001,5.00000000000006 81.5000000000001,4.00000000000006 81.5000000000001)))', '82', '81.5', '5', '4', '92F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 82.0000000000001,4.00000000000006 82.5000000000001,5.00000000000006 82.5000000000001,5.00000000000006 82.0000000000001,4.00000000000006 82.0000000000001)))', '82.5', '82', '5', '4', '93F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 82.5000000000001,4.00000000000006 83.0000000000001,5.00000000000006 83.0000000000001,5.00000000000006 82.5000000000001,4.00000000000006 82.5000000000001)))', '83', '82.5', '5', '4', '94F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 83.0000000000001,4.00000000000006 83.5000000000001,5.00000000000006 83.5000000000001,5.00000000000006 83.0000000000001,4.00000000000006 83.0000000000001)))', '83.5', '83', '5', '4', '95F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 83.5000000000001,4.00000000000006 84.0000000000001,5.00000000000006 84.0000000000001,5.00000000000006 83.5000000000001,4.00000000000006 83.5000000000001)))', '84', '83.5', '5', '4', '96F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 84.0000000000001,4.00000000000006 84.5000000000001,5.00000000000006 84.5000000000001,5.00000000000006 84.0000000000001,4.00000000000006 84.0000000000001)))', '84.5', '84', '5', '4', '97F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((4.00000000000006 84.5000000000001,4.00000000000006 85.0000000000001,5.00000000000006 85.0000000000001,5.00000000000006 84.5000000000001,4.00000000000006 84.5000000000001)))', '85', '84.5', '5', '4', '98F4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 52.5000000000001,5.00000000000006 53.0000000000001,6.00000000000006 53.0000000000001,6.00000000000006 52.5000000000001,5.00000000000006 52.5000000000001)))', '53', '52.5', '6', '5', '34F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 53.0000000000001,5.00000000000006 53.5000000000001,6.00000000000006 53.5000000000001,6.00000000000006 53.0000000000001,5.00000000000006 53.0000000000001)))', '53.5', '53', '6', '5', '35F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 53.5000000000001,5.00000000000006 54.0000000000001,6.00000000000006 54.0000000000001,6.00000000000006 53.5000000000001,5.00000000000006 53.5000000000001)))', '54', '53.5', '6', '5', '36F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 54.0000000000001,5.00000000000006 54.5000000000001,6.00000000000006 54.5000000000001,6.00000000000006 54.0000000000001,5.00000000000006 54.0000000000001)))', '54.5', '54', '6', '5', '37F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 54.5000000000001,5.00000000000006 55.0000000000001,6.00000000000006 55.0000000000001,6.00000000000006 54.5000000000001,5.00000000000006 54.5000000000001)))', '55', '54.5', '6', '5', '38F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 55.0000000000001,5.00000000000006 55.5000000000001,6.00000000000006 55.5000000000001,6.00000000000006 55.0000000000001,5.00000000000006 55.0000000000001)))', '55.5', '55', '6', '5', '39F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 55.5000000000001,5.00000000000006 56.0000000000001,6.00000000000006 56.0000000000001,6.00000000000006 55.5000000000001,5.00000000000006 55.5000000000001)))', '56', '55.5', '6', '5', '40F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 56.0000000000001,5.00000000000006 56.5000000000001,6.00000000000006 56.5000000000001,6.00000000000006 56.0000000000001,5.00000000000006 56.0000000000001)))', '56.5', '56', '6', '5', '41F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 56.5000000000001,5.00000000000006 57.0000000000001,6.00000000000006 57.0000000000001,6.00000000000006 56.5000000000001,5.00000000000006 56.5000000000001)))', '57', '56.5', '6', '5', '42F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 57.0000000000001,5.00000000000006 57.5000000000001,6.00000000000006 57.5000000000001,6.00000000000006 57.0000000000001,5.00000000000006 57.0000000000001)))', '57.5', '57', '6', '5', '43F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 57.5000000000001,5.00000000000006 58.0000000000001,6.00000000000006 58.0000000000001,6.00000000000006 57.5000000000001,5.00000000000006 57.5000000000001)))', '58', '57.5', '6', '5', '44F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 58.0000000000001,5.00000000000006 58.5000000000001,6.00000000000006 58.5000000000001,6.00000000000006 58.0000000000001,5.00000000000006 58.0000000000001)))', '58.5', '58', '6', '5', '45F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 58.5000000000001,5.00000000000006 59.0000000000001,6.00000000000006 59.0000000000001,6.00000000000006 58.5000000000001,5.00000000000006 58.5000000000001)))', '59', '58.5', '6', '5', '46F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 59.0000000000001,5.00000000000006 59.5000000000001,6.00000000000006 59.5000000000001,6.00000000000006 59.0000000000001,5.00000000000006 59.0000000000001)))', '59.5', '59', '6', '5', '47F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 59.5000000000001,5.00000000000006 60.0000000000001,6.00000000000006 60.0000000000001,6.00000000000006 59.5000000000001,5.00000000000006 59.5000000000001)))', '60', '59.5', '6', '5', '48F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 60.0000000000001,5.00000000000006 60.5000000000001,6.00000000000006 60.5000000000001,6.00000000000006 60.0000000000001,5.00000000000006 60.0000000000001)))', '60.5', '60', '6', '5', '49F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 60.5000000000001,5.00000000000006 61.0000000000001,6.00000000000006 61.0000000000001,6.00000000000006 60.5000000000001,5.00000000000006 60.5000000000001)))', '61', '60.5', '6', '5', '50F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 61.0000000000001,5.00000000000006 61.5000000000001,6.00000000000006 61.5000000000001,6.00000000000006 61.0000000000001,5.00000000000006 61.0000000000001)))', '61.5', '61', '6', '5', '51F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 61.5000000000001,5.00000000000006 62.0000000000001,6.00000000000006 62.0000000000001,6.00000000000006 61.5000000000001,5.00000000000006 61.5000000000001)))', '62', '61.5', '6', '5', '52F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 62.0000000000001,5.00000000000006 62.5000000000001,6.00000000000006 62.5000000000001,6.00000000000006 62.0000000000001,5.00000000000006 62.0000000000001)))', '62.5', '62', '6', '5', '53F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 62.5000000000001,5.00000000000006 63.0000000000001,6.00000000000006 63.0000000000001,6.00000000000006 62.5000000000001,5.00000000000006 62.5000000000001)))', '63', '62.5', '6', '5', '54F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 63.0000000000001,5.00000000000006 63.5000000000001,6.00000000000006 63.5000000000001,6.00000000000006 63.0000000000001,5.00000000000006 63.0000000000001)))', '63.5', '63', '6', '5', '55F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 63.5000000000001,5.00000000000006 64.0000000000001,6.00000000000006 64.0000000000001,6.00000000000006 63.5000000000001,5.00000000000006 63.5000000000001)))', '64', '63.5', '6', '5', '56F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 64.0000000000001,5.00000000000006 64.5000000000001,6.00000000000006 64.5000000000001,6.00000000000006 64.0000000000001,5.00000000000006 64.0000000000001)))', '64.5', '64', '6', '5', '57F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 64.5000000000001,5.00000000000006 65.0000000000001,6.00000000000006 65.0000000000001,6.00000000000006 64.5000000000001,5.00000000000006 64.5000000000001)))', '65', '64.5', '6', '5', '58F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 65.0000000000001,5.00000000000006 65.5000000000001,6.00000000000006 65.5000000000001,6.00000000000006 65.0000000000001,5.00000000000006 65.0000000000001)))', '65.5', '65', '6', '5', '59F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 65.5000000000001,5.00000000000006 66.0000000000001,6.00000000000006 66.0000000000001,6.00000000000006 65.5000000000001,5.00000000000006 65.5000000000001)))', '66', '65.5', '6', '5', '60F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 66.0000000000001,5.00000000000006 66.5000000000001,6.00000000000006 66.5000000000001,6.00000000000006 66.0000000000001,5.00000000000006 66.0000000000001)))', '66.5', '66', '6', '5', '61F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 66.5000000000001,5.00000000000006 67.0000000000001,6.00000000000006 67.0000000000001,6.00000000000006 66.5000000000001,5.00000000000006 66.5000000000001)))', '67', '66.5', '6', '5', '62F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 67.0000000000001,5.00000000000006 67.5000000000001,6.00000000000006 67.5000000000001,6.00000000000006 67.0000000000001,5.00000000000006 67.0000000000001)))', '67.5', '67', '6', '5', '63F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 67.5000000000001,5.00000000000006 68.0000000000001,6.00000000000006 68.0000000000001,6.00000000000006 67.5000000000001,5.00000000000006 67.5000000000001)))', '68', '67.5', '6', '5', '64F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 68.0000000000001,5.00000000000006 68.5000000000001,6.00000000000006 68.5000000000001,6.00000000000006 68.0000000000001,5.00000000000006 68.0000000000001)))', '68.5', '68', '6', '5', '65F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 68.5000000000001,5.00000000000006 69.0000000000001,6.00000000000006 69.0000000000001,6.00000000000006 68.5000000000001,5.00000000000006 68.5000000000001)))', '69', '68.5', '6', '5', '66F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 69.0000000000001,5.00000000000006 69.5000000000001,6.00000000000006 69.5000000000001,6.00000000000006 69.0000000000001,5.00000000000006 69.0000000000001)))', '69.5', '69', '6', '5', '67F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 69.5000000000001,5.00000000000006 70.0000000000001,6.00000000000006 70.0000000000001,6.00000000000006 69.5000000000001,5.00000000000006 69.5000000000001)))', '70', '69.5', '6', '5', '68F5', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((5.00000000000006 70.0000000000001,5.00000000000006 70.5000000000001,6.00000000000006 70.5000000000001,6.00000000000006 70.0000000000001,5.00000000000006 70.0000000000001)))', '70.5', '70', '6', '5', '69F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 70.5000000000001,5.00000000000006 71.0000000000001,6.00000000000006 71.0000000000001,6.00000000000006 70.5000000000001,5.00000000000006 70.5000000000001)))', '71', '70.5', '6', '5', '70F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 71.0000000000001,5.00000000000006 71.5000000000001,6.00000000000006 71.5000000000001,6.00000000000006 71.0000000000001,5.00000000000006 71.0000000000001)))', '71.5', '71', '6', '5', '71F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 71.5000000000001,5.00000000000006 72.0000000000001,6.00000000000006 72.0000000000001,6.00000000000006 71.5000000000001,5.00000000000006 71.5000000000001)))', '72', '71.5', '6', '5', '72F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 72.0000000000001,5.00000000000006 72.5000000000001,6.00000000000006 72.5000000000001,6.00000000000006 72.0000000000001,5.00000000000006 72.0000000000001)))', '72.5', '72', '6', '5', '73F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 72.5000000000001,5.00000000000006 73.0000000000001,6.00000000000006 73.0000000000001,6.00000000000006 72.5000000000001,5.00000000000006 72.5000000000001)))', '73', '72.5', '6', '5', '74F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 73.0000000000001,5.00000000000006 73.5000000000001,6.00000000000006 73.5000000000001,6.00000000000006 73.0000000000001,5.00000000000006 73.0000000000001)))', '73.5', '73', '6', '5', '75F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 73.5000000000001,5.00000000000006 74.0000000000001,6.00000000000006 74.0000000000001,6.00000000000006 73.5000000000001,5.00000000000006 73.5000000000001)))', '74', '73.5', '6', '5', '76F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 74.0000000000001,5.00000000000006 74.5000000000001,6.00000000000006 74.5000000000001,6.00000000000006 74.0000000000001,5.00000000000006 74.0000000000001)))', '74.5', '74', '6', '5', '77F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 74.5000000000001,5.00000000000006 75.0000000000001,6.00000000000006 75.0000000000001,6.00000000000006 74.5000000000001,5.00000000000006 74.5000000000001)))', '75', '74.5', '6', '5', '78F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 75.0000000000001,5.00000000000006 75.5000000000001,6.00000000000006 75.5000000000001,6.00000000000006 75.0000000000001,5.00000000000006 75.0000000000001)))', '75.5', '75', '6', '5', '79F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 75.5000000000001,5.00000000000006 76.0000000000001,6.00000000000006 76.0000000000001,6.00000000000006 75.5000000000001,5.00000000000006 75.5000000000001)))', '76', '75.5', '6', '5', '80F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 76.0000000000001,5.00000000000006 76.5000000000001,6.00000000000006 76.5000000000001,6.00000000000006 76.0000000000001,5.00000000000006 76.0000000000001)))', '76.5', '76', '6', '5', '81F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 76.5000000000001,5.00000000000006 77.0000000000001,6.00000000000006 77.0000000000001,6.00000000000006 76.5000000000001,5.00000000000006 76.5000000000001)))', '77', '76.5', '6', '5', '82F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 77.0000000000001,5.00000000000006 77.5000000000001,6.00000000000006 77.5000000000001,6.00000000000006 77.0000000000001,5.00000000000006 77.0000000000001)))', '77.5', '77', '6', '5', '83F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 77.5000000000001,5.00000000000006 78.0000000000001,6.00000000000006 78.0000000000001,6.00000000000006 77.5000000000001,5.00000000000006 77.5000000000001)))', '78', '77.5', '6', '5', '84F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 78.0000000000001,5.00000000000006 78.5000000000001,6.00000000000006 78.5000000000001,6.00000000000006 78.0000000000001,5.00000000000006 78.0000000000001)))', '78.5', '78', '6', '5', '85F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 78.5000000000001,5.00000000000006 79.0000000000001,6.00000000000006 79.0000000000001,6.00000000000006 78.5000000000001,5.00000000000006 78.5000000000001)))', '79', '78.5', '6', '5', '86F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 79.0000000000001,5.00000000000006 79.5000000000001,6.00000000000006 79.5000000000001,6.00000000000006 79.0000000000001,5.00000000000006 79.0000000000001)))', '79.5', '79', '6', '5', '87F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 79.5000000000001,5.00000000000006 80.0000000000001,6.00000000000006 80.0000000000001,6.00000000000006 79.5000000000001,5.00000000000006 79.5000000000001)))', '80', '79.5', '6', '5', '88F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 80.0000000000001,5.00000000000006 80.5000000000001,6.00000000000006 80.5000000000001,6.00000000000006 80.0000000000001,5.00000000000006 80.0000000000001)))', '80.5', '80', '6', '5', '89F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 80.5000000000001,5.00000000000006 81.0000000000001,6.00000000000006 81.0000000000001,6.00000000000006 80.5000000000001,5.00000000000006 80.5000000000001)))', '81', '80.5', '6', '5', '90F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 81.0000000000001,5.00000000000006 81.5000000000001,6.00000000000006 81.5000000000001,6.00000000000006 81.0000000000001,5.00000000000006 81.0000000000001)))', '81.5', '81', '6', '5', '91F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 81.5000000000001,5.00000000000006 82.0000000000001,6.00000000000006 82.0000000000001,6.00000000000006 81.5000000000001,5.00000000000006 81.5000000000001)))', '82', '81.5', '6', '5', '92F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 82.0000000000001,5.00000000000006 82.5000000000001,6.00000000000006 82.5000000000001,6.00000000000006 82.0000000000001,5.00000000000006 82.0000000000001)))', '82.5', '82', '6', '5', '93F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 82.5000000000001,5.00000000000006 83.0000000000001,6.00000000000006 83.0000000000001,6.00000000000006 82.5000000000001,5.00000000000006 82.5000000000001)))', '83', '82.5', '6', '5', '94F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 83.0000000000001,5.00000000000006 83.5000000000001,6.00000000000006 83.5000000000001,6.00000000000006 83.0000000000001,5.00000000000006 83.0000000000001)))', '83.5', '83', '6', '5', '95F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 83.5000000000001,5.00000000000006 84.0000000000001,6.00000000000006 84.0000000000001,6.00000000000006 83.5000000000001,5.00000000000006 83.5000000000001)))', '84', '83.5', '6', '5', '96F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 84.0000000000001,5.00000000000006 84.5000000000001,6.00000000000006 84.5000000000001,6.00000000000006 84.0000000000001,5.00000000000006 84.0000000000001)))', '84.5', '84', '6', '5', '97F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((5.00000000000006 84.5000000000001,5.00000000000006 85.0000000000001,6.00000000000006 85.0000000000001,6.00000000000006 84.5000000000001,5.00000000000006 84.5000000000001)))', '85', '84.5', '6', '5', '98F5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 53.0000000000001,6.00000000000006 53.5000000000001,7.00000000000006 53.5000000000001,7.00000000000006 53.0000000000001,6.00000000000006 53.0000000000001)))', '53.5', '53', '7', '6', '35F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 53.5000000000001,6.00000000000006 54.0000000000001,7.00000000000006 54.0000000000001,7.00000000000006 53.5000000000001,6.00000000000006 53.5000000000001)))', '54', '53.5', '7', '6', '36F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 54.0000000000001,6.00000000000006 54.5000000000001,7.00000000000006 54.5000000000001,7.00000000000006 54.0000000000001,6.00000000000006 54.0000000000001)))', '54.5', '54', '7', '6', '37F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 54.5000000000001,6.00000000000006 55.0000000000001,7.00000000000006 55.0000000000001,7.00000000000006 54.5000000000001,6.00000000000006 54.5000000000001)))', '55', '54.5', '7', '6', '38F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 55.0000000000001,6.00000000000006 55.5000000000001,7.00000000000006 55.5000000000001,7.00000000000006 55.0000000000001,6.00000000000006 55.0000000000001)))', '55.5', '55', '7', '6', '39F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 55.5000000000001,6.00000000000006 56.0000000000001,7.00000000000006 56.0000000000001,7.00000000000006 55.5000000000001,6.00000000000006 55.5000000000001)))', '56', '55.5', '7', '6', '40F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 56.0000000000001,6.00000000000006 56.5000000000001,7.00000000000006 56.5000000000001,7.00000000000006 56.0000000000001,6.00000000000006 56.0000000000001)))', '56.5', '56', '7', '6', '41F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 56.5000000000001,6.00000000000006 57.0000000000001,7.00000000000006 57.0000000000001,7.00000000000006 56.5000000000001,6.00000000000006 56.5000000000001)))', '57', '56.5', '7', '6', '42F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 57.0000000000001,6.00000000000006 57.5000000000001,7.00000000000006 57.5000000000001,7.00000000000006 57.0000000000001,6.00000000000006 57.0000000000001)))', '57.5', '57', '7', '6', '43F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 57.5000000000001,6.00000000000006 58.0000000000001,7.00000000000006 58.0000000000001,7.00000000000006 57.5000000000001,6.00000000000006 57.5000000000001)))', '58', '57.5', '7', '6', '44F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 58.0000000000001,6.00000000000006 58.5000000000001,7.00000000000006 58.5000000000001,7.00000000000006 58.0000000000001,6.00000000000006 58.0000000000001)))', '58.5', '58', '7', '6', '45F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 58.5000000000001,6.00000000000006 59.0000000000001,7.00000000000006 59.0000000000001,7.00000000000006 58.5000000000001,6.00000000000006 58.5000000000001)))', '59', '58.5', '7', '6', '46F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 59.0000000000001,6.00000000000006 59.5000000000001,7.00000000000006 59.5000000000001,7.00000000000006 59.0000000000001,6.00000000000006 59.0000000000001)))', '59.5', '59', '7', '6', '47F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 59.5000000000001,6.00000000000006 60.0000000000001,7.00000000000006 60.0000000000001,7.00000000000006 59.5000000000001,6.00000000000006 59.5000000000001)))', '60', '59.5', '7', '6', '48F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 60.0000000000001,6.00000000000006 60.5000000000001,7.00000000000006 60.5000000000001,7.00000000000006 60.0000000000001,6.00000000000006 60.0000000000001)))', '60.5', '60', '7', '6', '49F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 60.5000000000001,6.00000000000006 61.0000000000001,7.00000000000006 61.0000000000001,7.00000000000006 60.5000000000001,6.00000000000006 60.5000000000001)))', '61', '60.5', '7', '6', '50F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 61.0000000000001,6.00000000000006 61.5000000000001,7.00000000000006 61.5000000000001,7.00000000000006 61.0000000000001,6.00000000000006 61.0000000000001)))', '61.5', '61', '7', '6', '51F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 61.5000000000001,6.00000000000006 62.0000000000001,7.00000000000006 62.0000000000001,7.00000000000006 61.5000000000001,6.00000000000006 61.5000000000001)))', '62', '61.5', '7', '6', '52F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 62.0000000000001,6.00000000000006 62.5000000000001,7.00000000000006 62.5000000000001,7.00000000000006 62.0000000000001,6.00000000000006 62.0000000000001)))', '62.5', '62', '7', '6', '53F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 62.5000000000001,6.00000000000006 63.0000000000001,7.00000000000006 63.0000000000001,7.00000000000006 62.5000000000001,6.00000000000006 62.5000000000001)))', '63', '62.5', '7', '6', '54F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 63.0000000000001,6.00000000000006 63.5000000000001,7.00000000000006 63.5000000000001,7.00000000000006 63.0000000000001,6.00000000000006 63.0000000000001)))', '63.5', '63', '7', '6', '55F6', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((6.00000000000006 63.5000000000001,6.00000000000006 64.0000000000001,7.00000000000006 64.0000000000001,7.00000000000006 63.5000000000001,6.00000000000006 63.5000000000001)))', '64', '63.5', '7', '6', '56F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 64.0000000000001,6.00000000000006 64.5000000000001,7.00000000000006 64.5000000000001,7.00000000000006 64.0000000000001,6.00000000000006 64.0000000000001)))', '64.5', '64', '7', '6', '57F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 64.5000000000001,6.00000000000006 65.0000000000001,7.00000000000006 65.0000000000001,7.00000000000006 64.5000000000001,6.00000000000006 64.5000000000001)))', '65', '64.5', '7', '6', '58F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 65.0000000000001,6.00000000000006 65.5000000000001,7.00000000000006 65.5000000000001,7.00000000000006 65.0000000000001,6.00000000000006 65.0000000000001)))', '65.5', '65', '7', '6', '59F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 65.5000000000001,6.00000000000006 66.0000000000001,7.00000000000006 66.0000000000001,7.00000000000006 65.5000000000001,6.00000000000006 65.5000000000001)))', '66', '65.5', '7', '6', '60F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 66.0000000000001,6.00000000000006 66.5000000000001,7.00000000000006 66.5000000000001,7.00000000000006 66.0000000000001,6.00000000000006 66.0000000000001)))', '66.5', '66', '7', '6', '61F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 66.5000000000001,6.00000000000006 67.0000000000001,7.00000000000006 67.0000000000001,7.00000000000006 66.5000000000001,6.00000000000006 66.5000000000001)))', '67', '66.5', '7', '6', '62F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 67.0000000000001,6.00000000000006 67.5000000000001,7.00000000000006 67.5000000000001,7.00000000000006 67.0000000000001,6.00000000000006 67.0000000000001)))', '67.5', '67', '7', '6', '63F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 67.5000000000001,6.00000000000006 68.0000000000001,7.00000000000006 68.0000000000001,7.00000000000006 67.5000000000001,6.00000000000006 67.5000000000001)))', '68', '67.5', '7', '6', '64F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 68.0000000000001,6.00000000000006 68.5000000000001,7.00000000000006 68.5000000000001,7.00000000000006 68.0000000000001,6.00000000000006 68.0000000000001)))', '68.5', '68', '7', '6', '65F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 68.5000000000001,6.00000000000006 69.0000000000001,7.00000000000006 69.0000000000001,7.00000000000006 68.5000000000001,6.00000000000006 68.5000000000001)))', '69', '68.5', '7', '6', '66F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 69.0000000000001,6.00000000000006 69.5000000000001,7.00000000000006 69.5000000000001,7.00000000000006 69.0000000000001,6.00000000000006 69.0000000000001)))', '69.5', '69', '7', '6', '67F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 69.5000000000001,6.00000000000006 70.0000000000001,7.00000000000006 70.0000000000001,7.00000000000006 69.5000000000001,6.00000000000006 69.5000000000001)))', '70', '69.5', '7', '6', '68F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 70.0000000000001,6.00000000000006 70.5000000000001,7.00000000000006 70.5000000000001,7.00000000000006 70.0000000000001,6.00000000000006 70.0000000000001)))', '70.5', '70', '7', '6', '69F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 70.5000000000001,6.00000000000006 71.0000000000001,7.00000000000006 71.0000000000001,7.00000000000006 70.5000000000001,6.00000000000006 70.5000000000001)))', '71', '70.5', '7', '6', '70F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 71.0000000000001,6.00000000000006 71.5000000000001,7.00000000000006 71.5000000000001,7.00000000000006 71.0000000000001,6.00000000000006 71.0000000000001)))', '71.5', '71', '7', '6', '71F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 71.5000000000001,6.00000000000006 72.0000000000001,7.00000000000006 72.0000000000001,7.00000000000006 71.5000000000001,6.00000000000006 71.5000000000001)))', '72', '71.5', '7', '6', '72F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 72.0000000000001,6.00000000000006 72.5000000000001,7.00000000000006 72.5000000000001,7.00000000000006 72.0000000000001,6.00000000000006 72.0000000000001)))', '72.5', '72', '7', '6', '73F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 72.5000000000001,6.00000000000006 73.0000000000001,7.00000000000006 73.0000000000001,7.00000000000006 72.5000000000001,6.00000000000006 72.5000000000001)))', '73', '72.5', '7', '6', '74F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 73.0000000000001,6.00000000000006 73.5000000000001,7.00000000000006 73.5000000000001,7.00000000000006 73.0000000000001,6.00000000000006 73.0000000000001)))', '73.5', '73', '7', '6', '75F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 73.5000000000001,6.00000000000006 74.0000000000001,7.00000000000006 74.0000000000001,7.00000000000006 73.5000000000001,6.00000000000006 73.5000000000001)))', '74', '73.5', '7', '6', '76F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 74.0000000000001,6.00000000000006 74.5000000000001,7.00000000000006 74.5000000000001,7.00000000000006 74.0000000000001,6.00000000000006 74.0000000000001)))', '74.5', '74', '7', '6', '77F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 74.5000000000001,6.00000000000006 75.0000000000001,7.00000000000006 75.0000000000001,7.00000000000006 74.5000000000001,6.00000000000006 74.5000000000001)))', '75', '74.5', '7', '6', '78F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 75.0000000000001,6.00000000000006 75.5000000000001,7.00000000000006 75.5000000000001,7.00000000000006 75.0000000000001,6.00000000000006 75.0000000000001)))', '75.5', '75', '7', '6', '79F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 75.5000000000001,6.00000000000006 76.0000000000001,7.00000000000006 76.0000000000001,7.00000000000006 75.5000000000001,6.00000000000006 75.5000000000001)))', '76', '75.5', '7', '6', '80F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 76.0000000000001,6.00000000000006 76.5000000000001,7.00000000000006 76.5000000000001,7.00000000000006 76.0000000000001,6.00000000000006 76.0000000000001)))', '76.5', '76', '7', '6', '81F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 76.5000000000001,6.00000000000006 77.0000000000001,7.00000000000006 77.0000000000001,7.00000000000006 76.5000000000001,6.00000000000006 76.5000000000001)))', '77', '76.5', '7', '6', '82F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 77.0000000000001,6.00000000000006 77.5000000000001,7.00000000000006 77.5000000000001,7.00000000000006 77.0000000000001,6.00000000000006 77.0000000000001)))', '77.5', '77', '7', '6', '83F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 77.5000000000001,6.00000000000006 78.0000000000001,7.00000000000006 78.0000000000001,7.00000000000006 77.5000000000001,6.00000000000006 77.5000000000001)))', '78', '77.5', '7', '6', '84F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 78.0000000000001,6.00000000000006 78.5000000000001,7.00000000000006 78.5000000000001,7.00000000000006 78.0000000000001,6.00000000000006 78.0000000000001)))', '78.5', '78', '7', '6', '85F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 78.5000000000001,6.00000000000006 79.0000000000001,7.00000000000006 79.0000000000001,7.00000000000006 78.5000000000001,6.00000000000006 78.5000000000001)))', '79', '78.5', '7', '6', '86F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 79.0000000000001,6.00000000000006 79.5000000000001,7.00000000000006 79.5000000000001,7.00000000000006 79.0000000000001,6.00000000000006 79.0000000000001)))', '79.5', '79', '7', '6', '87F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 79.5000000000001,6.00000000000006 80.0000000000001,7.00000000000006 80.0000000000001,7.00000000000006 79.5000000000001,6.00000000000006 79.5000000000001)))', '80', '79.5', '7', '6', '88F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 80.0000000000001,6.00000000000006 80.5000000000001,7.00000000000006 80.5000000000001,7.00000000000006 80.0000000000001,6.00000000000006 80.0000000000001)))', '80.5', '80', '7', '6', '89F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 80.5000000000001,6.00000000000006 81.0000000000001,7.00000000000006 81.0000000000001,7.00000000000006 80.5000000000001,6.00000000000006 80.5000000000001)))', '81', '80.5', '7', '6', '90F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 81.0000000000001,6.00000000000006 81.5000000000001,7.00000000000006 81.5000000000001,7.00000000000006 81.0000000000001,6.00000000000006 81.0000000000001)))', '81.5', '81', '7', '6', '91F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 81.5000000000001,6.00000000000006 82.0000000000001,7.00000000000006 82.0000000000001,7.00000000000006 81.5000000000001,6.00000000000006 81.5000000000001)))', '82', '81.5', '7', '6', '92F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 82.0000000000001,6.00000000000006 82.5000000000001,7.00000000000006 82.5000000000001,7.00000000000006 82.0000000000001,6.00000000000006 82.0000000000001)))', '82.5', '82', '7', '6', '93F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 82.5000000000001,6.00000000000006 83.0000000000001,7.00000000000006 83.0000000000001,7.00000000000006 82.5000000000001,6.00000000000006 82.5000000000001)))', '83', '82.5', '7', '6', '94F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 83.0000000000001,6.00000000000006 83.5000000000001,7.00000000000006 83.5000000000001,7.00000000000006 83.0000000000001,6.00000000000006 83.0000000000001)))', '83.5', '83', '7', '6', '95F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 83.5000000000001,6.00000000000006 84.0000000000001,7.00000000000006 84.0000000000001,7.00000000000006 83.5000000000001,6.00000000000006 83.5000000000001)))', '84', '83.5', '7', '6', '96F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 84.0000000000001,6.00000000000006 84.5000000000001,7.00000000000006 84.5000000000001,7.00000000000006 84.0000000000001,6.00000000000006 84.0000000000001)))', '84.5', '84', '7', '6', '97F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((6.00000000000006 84.5000000000001,6.00000000000006 85.0000000000001,7.00000000000006 85.0000000000001,7.00000000000006 84.5000000000001,6.00000000000006 84.5000000000001)))', '85', '84.5', '7', '6', '98F6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 53.0000000000001,7.00000000000006 53.5000000000001,8.00000000000006 53.5000000000001,8.00000000000006 53.0000000000001,7.00000000000006 53.0000000000001)))', '53.5', '53', '8', '7', '35F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 53.5000000000001,7.00000000000006 54.0000000000001,8.00000000000006 54.0000000000001,8.00000000000006 53.5000000000001,7.00000000000006 53.5000000000001)))', '54', '53.5', '8', '7', '36F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 54.0000000000001,7.00000000000006 54.5000000000001,8.00000000000006 54.5000000000001,8.00000000000006 54.0000000000001,7.00000000000006 54.0000000000001)))', '54.5', '54', '8', '7', '37F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 54.5000000000001,7.00000000000006 55.0000000000001,8.00000000000006 55.0000000000001,8.00000000000006 54.5000000000001,7.00000000000006 54.5000000000001)))', '55', '54.5', '8', '7', '38F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 55.0000000000001,7.00000000000006 55.5000000000001,8.00000000000006 55.5000000000001,8.00000000000006 55.0000000000001,7.00000000000006 55.0000000000001)))', '55.5', '55', '8', '7', '39F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 55.5000000000001,7.00000000000006 56.0000000000001,8.00000000000006 56.0000000000001,8.00000000000006 55.5000000000001,7.00000000000006 55.5000000000001)))', '56', '55.5', '8', '7', '40F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 56.0000000000001,7.00000000000006 56.5000000000001,8.00000000000006 56.5000000000001,8.00000000000006 56.0000000000001,7.00000000000006 56.0000000000001)))', '56.5', '56', '8', '7', '41F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 56.5000000000001,7.00000000000006 57.0000000000001,8.00000000000006 57.0000000000001,8.00000000000006 56.5000000000001,7.00000000000006 56.5000000000001)))', '57', '56.5', '8', '7', '42F7', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((7.00000000000006 57.0000000000001,7.00000000000006 57.5000000000001,8.00000000000006 57.5000000000001,8.00000000000006 57.0000000000001,7.00000000000006 57.0000000000001)))', '57.5', '57', '8', '7', '43F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 57.5000000000001,7.00000000000006 58.0000000000001,8.00000000000006 58.0000000000001,8.00000000000006 57.5000000000001,7.00000000000006 57.5000000000001)))', '58', '57.5', '8', '7', '44F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 58.0000000000001,7.00000000000006 58.5000000000001,8.00000000000006 58.5000000000001,8.00000000000006 58.0000000000001,7.00000000000006 58.0000000000001)))', '58.5', '58', '8', '7', '45F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 60.0000000000001,7.00000000000006 60.5000000000001,8.00000000000006 60.5000000000001,8.00000000000006 60.0000000000001,7.00000000000006 60.0000000000001)))', '60.5', '60', '8', '7', '49F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 60.5000000000001,7.00000000000006 61.0000000000001,8.00000000000006 61.0000000000001,8.00000000000006 60.5000000000001,7.00000000000006 60.5000000000001)))', '61', '60.5', '8', '7', '50F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 61.0000000000001,7.00000000000006 61.5000000000001,8.00000000000006 61.5000000000001,8.00000000000006 61.0000000000001,7.00000000000006 61.0000000000001)))', '61.5', '61', '8', '7', '51F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 62.0000000000001,7.00000000000006 62.5000000000001,8.00000000000006 62.5000000000001,8.00000000000006 62.0000000000001,7.00000000000006 62.0000000000001)))', '62.5', '62', '8', '7', '53F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 62.5000000000001,7.00000000000006 63.0000000000001,8.00000000000006 63.0000000000001,8.00000000000006 62.5000000000001,7.00000000000006 62.5000000000001)))', '63', '62.5', '8', '7', '54F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 63.0000000000001,7.00000000000006 63.5000000000001,8.00000000000006 63.5000000000001,8.00000000000006 63.0000000000001,7.00000000000006 63.0000000000001)))', '63.5', '63', '8', '7', '55F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 63.5000000000001,7.00000000000006 64.0000000000001,8.00000000000006 64.0000000000001,8.00000000000006 63.5000000000001,7.00000000000006 63.5000000000001)))', '64', '63.5', '8', '7', '56F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 64.0000000000001,7.00000000000006 64.5000000000001,8.00000000000006 64.5000000000001,8.00000000000006 64.0000000000001,7.00000000000006 64.0000000000001)))', '64.5', '64', '8', '7', '57F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 64.5000000000001,7.00000000000006 65.0000000000001,8.00000000000006 65.0000000000001,8.00000000000006 64.5000000000001,7.00000000000006 64.5000000000001)))', '65', '64.5', '8', '7', '58F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 65.0000000000001,7.00000000000006 65.5000000000001,8.00000000000006 65.5000000000001,8.00000000000006 65.0000000000001,7.00000000000006 65.0000000000001)))', '65.5', '65', '8', '7', '59F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 65.5000000000001,7.00000000000006 66.0000000000001,8.00000000000006 66.0000000000001,8.00000000000006 65.5000000000001,7.00000000000006 65.5000000000001)))', '66', '65.5', '8', '7', '60F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 66.0000000000001,7.00000000000006 66.5000000000001,8.00000000000006 66.5000000000001,8.00000000000006 66.0000000000001,7.00000000000006 66.0000000000001)))', '66.5', '66', '8', '7', '61F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 66.5000000000001,7.00000000000006 67.0000000000001,8.00000000000006 67.0000000000001,8.00000000000006 66.5000000000001,7.00000000000006 66.5000000000001)))', '67', '66.5', '8', '7', '62F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 67.0000000000001,7.00000000000006 67.5000000000001,8.00000000000006 67.5000000000001,8.00000000000006 67.0000000000001,7.00000000000006 67.0000000000001)))', '67.5', '67', '8', '7', '63F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 67.5000000000001,7.00000000000006 68.0000000000001,8.00000000000006 68.0000000000001,8.00000000000006 67.5000000000001,7.00000000000006 67.5000000000001)))', '68', '67.5', '8', '7', '64F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 68.0000000000001,7.00000000000006 68.5000000000001,8.00000000000006 68.5000000000001,8.00000000000006 68.0000000000001,7.00000000000006 68.0000000000001)))', '68.5', '68', '8', '7', '65F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 68.5000000000001,7.00000000000006 69.0000000000001,8.00000000000006 69.0000000000001,8.00000000000006 68.5000000000001,7.00000000000006 68.5000000000001)))', '69', '68.5', '8', '7', '66F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 69.0000000000001,7.00000000000006 69.5000000000001,8.00000000000006 69.5000000000001,8.00000000000006 69.0000000000001,7.00000000000006 69.0000000000001)))', '69.5', '69', '8', '7', '67F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 69.5000000000001,7.00000000000006 70.0000000000001,8.00000000000006 70.0000000000001,8.00000000000006 69.5000000000001,7.00000000000006 69.5000000000001)))', '70', '69.5', '8', '7', '68F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 70.0000000000001,7.00000000000006 70.5000000000001,8.00000000000006 70.5000000000001,8.00000000000006 70.0000000000001,7.00000000000006 70.0000000000001)))', '70.5', '70', '8', '7', '69F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 70.5000000000001,7.00000000000006 71.0000000000001,8.00000000000006 71.0000000000001,8.00000000000006 70.5000000000001,7.00000000000006 70.5000000000001)))', '71', '70.5', '8', '7', '70F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 71.0000000000001,7.00000000000006 71.5000000000001,8.00000000000006 71.5000000000001,8.00000000000006 71.0000000000001,7.00000000000006 71.0000000000001)))', '71.5', '71', '8', '7', '71F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 71.5000000000001,7.00000000000006 72.0000000000001,8.00000000000006 72.0000000000001,8.00000000000006 71.5000000000001,7.00000000000006 71.5000000000001)))', '72', '71.5', '8', '7', '72F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 72.0000000000001,7.00000000000006 72.5000000000001,8.00000000000006 72.5000000000001,8.00000000000006 72.0000000000001,7.00000000000006 72.0000000000001)))', '72.5', '72', '8', '7', '73F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 72.5000000000001,7.00000000000006 73.0000000000001,8.00000000000006 73.0000000000001,8.00000000000006 72.5000000000001,7.00000000000006 72.5000000000001)))', '73', '72.5', '8', '7', '74F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 73.0000000000001,7.00000000000006 73.5000000000001,8.00000000000006 73.5000000000001,8.00000000000006 73.0000000000001,7.00000000000006 73.0000000000001)))', '73.5', '73', '8', '7', '75F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 73.5000000000001,7.00000000000006 74.0000000000001,8.00000000000006 74.0000000000001,8.00000000000006 73.5000000000001,7.00000000000006 73.5000000000001)))', '74', '73.5', '8', '7', '76F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 74.0000000000001,7.00000000000006 74.5000000000001,8.00000000000006 74.5000000000001,8.00000000000006 74.0000000000001,7.00000000000006 74.0000000000001)))', '74.5', '74', '8', '7', '77F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 74.5000000000001,7.00000000000006 75.0000000000001,8.00000000000006 75.0000000000001,8.00000000000006 74.5000000000001,7.00000000000006 74.5000000000001)))', '75', '74.5', '8', '7', '78F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 75.0000000000001,7.00000000000006 75.5000000000001,8.00000000000006 75.5000000000001,8.00000000000006 75.0000000000001,7.00000000000006 75.0000000000001)))', '75.5', '75', '8', '7', '79F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 75.5000000000001,7.00000000000006 76.0000000000001,8.00000000000006 76.0000000000001,8.00000000000006 75.5000000000001,7.00000000000006 75.5000000000001)))', '76', '75.5', '8', '7', '80F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 76.0000000000001,7.00000000000006 76.5000000000001,8.00000000000006 76.5000000000001,8.00000000000006 76.0000000000001,7.00000000000006 76.0000000000001)))', '76.5', '76', '8', '7', '81F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 76.5000000000001,7.00000000000006 77.0000000000001,8.00000000000006 77.0000000000001,8.00000000000006 76.5000000000001,7.00000000000006 76.5000000000001)))', '77', '76.5', '8', '7', '82F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 77.0000000000001,7.00000000000006 77.5000000000001,8.00000000000006 77.5000000000001,8.00000000000006 77.0000000000001,7.00000000000006 77.0000000000001)))', '77.5', '77', '8', '7', '83F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 77.5000000000001,7.00000000000006 78.0000000000001,8.00000000000006 78.0000000000001,8.00000000000006 77.5000000000001,7.00000000000006 77.5000000000001)))', '78', '77.5', '8', '7', '84F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 78.0000000000001,7.00000000000006 78.5000000000001,8.00000000000006 78.5000000000001,8.00000000000006 78.0000000000001,7.00000000000006 78.0000000000001)))', '78.5', '78', '8', '7', '85F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 78.5000000000001,7.00000000000006 79.0000000000001,8.00000000000006 79.0000000000001,8.00000000000006 78.5000000000001,7.00000000000006 78.5000000000001)))', '79', '78.5', '8', '7', '86F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 79.0000000000001,7.00000000000006 79.5000000000001,8.00000000000006 79.5000000000001,8.00000000000006 79.0000000000001,7.00000000000006 79.0000000000001)))', '79.5', '79', '8', '7', '87F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 79.5000000000001,7.00000000000006 80.0000000000001,8.00000000000006 80.0000000000001,8.00000000000006 79.5000000000001,7.00000000000006 79.5000000000001)))', '80', '79.5', '8', '7', '88F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 80.0000000000001,7.00000000000006 80.5000000000001,8.00000000000006 80.5000000000001,8.00000000000006 80.0000000000001,7.00000000000006 80.0000000000001)))', '80.5', '80', '8', '7', '89F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 80.5000000000001,7.00000000000006 81.0000000000001,8.00000000000006 81.0000000000001,8.00000000000006 80.5000000000001,7.00000000000006 80.5000000000001)))', '81', '80.5', '8', '7', '90F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 81.0000000000001,7.00000000000006 81.5000000000001,8.00000000000006 81.5000000000001,8.00000000000006 81.0000000000001,7.00000000000006 81.0000000000001)))', '81.5', '81', '8', '7', '91F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 81.5000000000001,7.00000000000006 82.0000000000001,8.00000000000006 82.0000000000001,8.00000000000006 81.5000000000001,7.00000000000006 81.5000000000001)))', '82', '81.5', '8', '7', '92F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 82.0000000000001,7.00000000000006 82.5000000000001,8.00000000000006 82.5000000000001,8.00000000000006 82.0000000000001,7.00000000000006 82.0000000000001)))', '82.5', '82', '8', '7', '93F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 82.5000000000001,7.00000000000006 83.0000000000001,8.00000000000006 83.0000000000001,8.00000000000006 82.5000000000001,7.00000000000006 82.5000000000001)))', '83', '82.5', '8', '7', '94F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 83.0000000000001,7.00000000000006 83.5000000000001,8.00000000000006 83.5000000000001,8.00000000000006 83.0000000000001,7.00000000000006 83.0000000000001)))', '83.5', '83', '8', '7', '95F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 83.5000000000001,7.00000000000006 84.0000000000001,8.00000000000006 84.0000000000001,8.00000000000006 83.5000000000001,7.00000000000006 83.5000000000001)))', '84', '83.5', '8', '7', '96F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((7.00000000000006 84.0000000000001,7.00000000000006 84.5000000000001,8.00000000000006 84.5000000000001,8.00000000000006 84.0000000000001,7.00000000000006 84.0000000000001)))', '84.5', '84', '8', '7', '97F7', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((7.00000000000006 84.5000000000001,7.00000000000006 85.0000000000001,8.00000000000006 85.0000000000001,8.00000000000006 84.5000000000001,7.00000000000006 84.5000000000001)))', '85', '84.5', '8', '7', '98F7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 53.0000000000001,8.00000000000006 53.5000000000001,9.00000000000006 53.5000000000001,9.00000000000006 53.0000000000001,8.00000000000006 53.0000000000001)))', '53.5', '53', '9', '8', '35F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 53.5000000000001,8.00000000000006 54.0000000000001,9.00000000000006 54.0000000000001,9.00000000000006 53.5000000000001,8.00000000000006 53.5000000000001)))', '54', '53.5', '9', '8', '36F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 54.0000000000001,8.00000000000006 54.5000000000001,9.00000000000006 54.5000000000001,9.00000000000006 54.0000000000001,8.00000000000006 54.0000000000001)))', '54.5', '54', '9', '8', '37F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 54.5000000000001,8.00000000000006 55.0000000000001,9.00000000000006 55.0000000000001,9.00000000000006 54.5000000000001,8.00000000000006 54.5000000000001)))', '55', '54.5', '9', '8', '38F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 55.0000000000001,8.00000000000006 55.5000000000001,9.00000000000006 55.5000000000001,9.00000000000006 55.0000000000001,8.00000000000006 55.0000000000001)))', '55.5', '55', '9', '8', '39F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 55.5000000000001,8.00000000000006 56.0000000000001,9.00000000000006 56.0000000000001,9.00000000000006 55.5000000000001,8.00000000000006 55.5000000000001)))', '56', '55.5', '9', '8', '40F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 56.0000000000001,8.00000000000006 56.5000000000001,9.00000000000006 56.5000000000001,9.00000000000006 56.0000000000001,8.00000000000006 56.0000000000001)))', '56.5', '56', '9', '8', '41F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 56.5000000000001,8.00000000000006 57.0000000000001,9.00000000000006 57.0000000000001,9.00000000000006 56.5000000000001,8.00000000000006 56.5000000000001)))', '57', '56.5', '9', '8', '42F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 57.0000000000001,8.00000000000006 57.5000000000001,9.00000000000006 57.5000000000001,9.00000000000006 57.0000000000001,8.00000000000006 57.0000000000001)))', '57.5', '57', '9', '8', '43F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 57.5000000000001,8.00000000000006 58.0000000000001,9.00000000000006 58.0000000000001,9.00000000000006 57.5000000000001,8.00000000000006 57.5000000000001)))', '58', '57.5', '9', '8', '44F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 58.0000000000001,8.00000000000006 58.5000000000001,9.00000000000006 58.5000000000001,9.00000000000006 58.0000000000001,8.00000000000006 58.0000000000001)))', '58.5', '58', '9', '8', '45F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 58.5000000000001,8.00000000000006 59.0000000000001,9.00000000000006 59.0000000000001,9.00000000000006 58.5000000000001,8.00000000000006 58.5000000000001)))', '59', '58.5', '9', '8', '46F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 62.5000000000001,8.00000000000006 63.0000000000001,9.00000000000006 63.0000000000001,9.00000000000006 62.5000000000001,8.00000000000006 62.5000000000001)))', '63', '62.5', '9', '8', '54F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 63.0000000000001,8.00000000000006 63.5000000000001,9.00000000000006 63.5000000000001,9.00000000000006 63.0000000000001,8.00000000000006 63.0000000000001)))', '63.5', '63', '9', '8', '55F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 63.5000000000001,8.00000000000006 64.0000000000001,9.00000000000006 64.0000000000001,9.00000000000006 63.5000000000001,8.00000000000006 63.5000000000001)))', '64', '63.5', '9', '8', '56F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 64.0000000000001,8.00000000000006 64.5000000000001,9.00000000000006 64.5000000000001,9.00000000000006 64.0000000000001,8.00000000000006 64.0000000000001)))', '64.5', '64', '9', '8', '57F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 64.5000000000001,8.00000000000006 65.0000000000001,9.00000000000006 65.0000000000001,9.00000000000006 64.5000000000001,8.00000000000006 64.5000000000001)))', '65', '64.5', '9', '8', '58F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 65.0000000000001,8.00000000000006 65.5000000000001,9.00000000000006 65.5000000000001,9.00000000000006 65.0000000000001,8.00000000000006 65.0000000000001)))', '65.5', '65', '9', '8', '59F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 65.5000000000001,8.00000000000006 66.0000000000001,9.00000000000006 66.0000000000001,9.00000000000006 65.5000000000001,8.00000000000006 65.5000000000001)))', '66', '65.5', '9', '8', '60F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 66.0000000000001,8.00000000000006 66.5000000000001,9.00000000000006 66.5000000000001,9.00000000000006 66.0000000000001,8.00000000000006 66.0000000000001)))', '66.5', '66', '9', '8', '61F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 66.5000000000001,8.00000000000006 67.0000000000001,9.00000000000006 67.0000000000001,9.00000000000006 66.5000000000001,8.00000000000006 66.5000000000001)))', '67', '66.5', '9', '8', '62F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 67.0000000000001,8.00000000000006 67.5000000000001,9.00000000000006 67.5000000000001,9.00000000000006 67.0000000000001,8.00000000000006 67.0000000000001)))', '67.5', '67', '9', '8', '63F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 67.5000000000001,8.00000000000006 68.0000000000001,9.00000000000006 68.0000000000001,9.00000000000006 67.5000000000001,8.00000000000006 67.5000000000001)))', '68', '67.5', '9', '8', '64F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 68.0000000000001,8.00000000000006 68.5000000000001,9.00000000000006 68.5000000000001,9.00000000000006 68.0000000000001,8.00000000000006 68.0000000000001)))', '68.5', '68', '9', '8', '65F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 68.5000000000001,8.00000000000006 69.0000000000001,9.00000000000006 69.0000000000001,9.00000000000006 68.5000000000001,8.00000000000006 68.5000000000001)))', '69', '68.5', '9', '8', '66F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 69.0000000000001,8.00000000000006 69.5000000000001,9.00000000000006 69.5000000000001,9.00000000000006 69.0000000000001,8.00000000000006 69.0000000000001)))', '69.5', '69', '9', '8', '67F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 69.5000000000001,8.00000000000006 70.0000000000001,9.00000000000006 70.0000000000001,9.00000000000006 69.5000000000001,8.00000000000006 69.5000000000001)))', '70', '69.5', '9', '8', '68F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 70.0000000000001,8.00000000000006 70.5000000000001,9.00000000000006 70.5000000000001,9.00000000000006 70.0000000000001,8.00000000000006 70.0000000000001)))', '70.5', '70', '9', '8', '69F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 70.5000000000001,8.00000000000006 71.0000000000001,9.00000000000006 71.0000000000001,9.00000000000006 70.5000000000001,8.00000000000006 70.5000000000001)))', '71', '70.5', '9', '8', '70F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 71.0000000000001,8.00000000000006 71.5000000000001,9.00000000000006 71.5000000000001,9.00000000000006 71.0000000000001,8.00000000000006 71.0000000000001)))', '71.5', '71', '9', '8', '71F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 71.5000000000001,8.00000000000006 72.0000000000001,9.00000000000006 72.0000000000001,9.00000000000006 71.5000000000001,8.00000000000006 71.5000000000001)))', '72', '71.5', '9', '8', '72F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 72.0000000000001,8.00000000000006 72.5000000000001,9.00000000000006 72.5000000000001,9.00000000000006 72.0000000000001,8.00000000000006 72.0000000000001)))', '72.5', '72', '9', '8', '73F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 72.5000000000001,8.00000000000006 73.0000000000001,9.00000000000006 73.0000000000001,9.00000000000006 72.5000000000001,8.00000000000006 72.5000000000001)))', '73', '72.5', '9', '8', '74F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 73.0000000000001,8.00000000000006 73.5000000000001,9.00000000000006 73.5000000000001,9.00000000000006 73.0000000000001,8.00000000000006 73.0000000000001)))', '73.5', '73', '9', '8', '75F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 73.5000000000001,8.00000000000006 74.0000000000001,9.00000000000006 74.0000000000001,9.00000000000006 73.5000000000001,8.00000000000006 73.5000000000001)))', '74', '73.5', '9', '8', '76F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 74.0000000000001,8.00000000000006 74.5000000000001,9.00000000000006 74.5000000000001,9.00000000000006 74.0000000000001,8.00000000000006 74.0000000000001)))', '74.5', '74', '9', '8', '77F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 74.5000000000001,8.00000000000006 75.0000000000001,9.00000000000006 75.0000000000001,9.00000000000006 74.5000000000001,8.00000000000006 74.5000000000001)))', '75', '74.5', '9', '8', '78F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 75.0000000000001,8.00000000000006 75.5000000000001,9.00000000000006 75.5000000000001,9.00000000000006 75.0000000000001,8.00000000000006 75.0000000000001)))', '75.5', '75', '9', '8', '79F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 75.5000000000001,8.00000000000006 76.0000000000001,9.00000000000006 76.0000000000001,9.00000000000006 75.5000000000001,8.00000000000006 75.5000000000001)))', '76', '75.5', '9', '8', '80F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 76.0000000000001,8.00000000000006 76.5000000000001,9.00000000000006 76.5000000000001,9.00000000000006 76.0000000000001,8.00000000000006 76.0000000000001)))', '76.5', '76', '9', '8', '81F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 76.5000000000001,8.00000000000006 77.0000000000001,9.00000000000006 77.0000000000001,9.00000000000006 76.5000000000001,8.00000000000006 76.5000000000001)))', '77', '76.5', '9', '8', '82F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 77.0000000000001,8.00000000000006 77.5000000000001,9.00000000000006 77.5000000000001,9.00000000000006 77.0000000000001,8.00000000000006 77.0000000000001)))', '77.5', '77', '9', '8', '83F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 77.5000000000001,8.00000000000006 78.0000000000001,9.00000000000006 78.0000000000001,9.00000000000006 77.5000000000001,8.00000000000006 77.5000000000001)))', '78', '77.5', '9', '8', '84F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 78.0000000000001,8.00000000000006 78.5000000000001,9.00000000000006 78.5000000000001,9.00000000000006 78.0000000000001,8.00000000000006 78.0000000000001)))', '78.5', '78', '9', '8', '85F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 78.5000000000001,8.00000000000006 79.0000000000001,9.00000000000006 79.0000000000001,9.00000000000006 78.5000000000001,8.00000000000006 78.5000000000001)))', '79', '78.5', '9', '8', '86F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 79.0000000000001,8.00000000000006 79.5000000000001,9.00000000000006 79.5000000000001,9.00000000000006 79.0000000000001,8.00000000000006 79.0000000000001)))', '79.5', '79', '9', '8', '87F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 79.5000000000001,8.00000000000006 80.0000000000001,9.00000000000006 80.0000000000001,9.00000000000006 79.5000000000001,8.00000000000006 79.5000000000001)))', '80', '79.5', '9', '8', '88F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 80.0000000000001,8.00000000000006 80.5000000000001,9.00000000000006 80.5000000000001,9.00000000000006 80.0000000000001,8.00000000000006 80.0000000000001)))', '80.5', '80', '9', '8', '89F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 80.5000000000001,8.00000000000006 81.0000000000001,9.00000000000006 81.0000000000001,9.00000000000006 80.5000000000001,8.00000000000006 80.5000000000001)))', '81', '80.5', '9', '8', '90F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 81.0000000000001,8.00000000000006 81.5000000000001,9.00000000000006 81.5000000000001,9.00000000000006 81.0000000000001,8.00000000000006 81.0000000000001)))', '81.5', '81', '9', '8', '91F8', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((8.00000000000006 81.5000000000001,8.00000000000006 82.0000000000001,9.00000000000006 82.0000000000001,9.00000000000006 81.5000000000001,8.00000000000006 81.5000000000001)))', '82', '81.5', '9', '8', '92F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 82.0000000000001,8.00000000000006 82.5000000000001,9.00000000000006 82.5000000000001,9.00000000000006 82.0000000000001,8.00000000000006 82.0000000000001)))', '82.5', '82', '9', '8', '93F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 82.5000000000001,8.00000000000006 83.0000000000001,9.00000000000006 83.0000000000001,9.00000000000006 82.5000000000001,8.00000000000006 82.5000000000001)))', '83', '82.5', '9', '8', '94F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 83.0000000000001,8.00000000000006 83.5000000000001,9.00000000000006 83.5000000000001,9.00000000000006 83.0000000000001,8.00000000000006 83.0000000000001)))', '83.5', '83', '9', '8', '95F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 83.5000000000001,8.00000000000006 84.0000000000001,9.00000000000006 84.0000000000001,9.00000000000006 83.5000000000001,8.00000000000006 83.5000000000001)))', '84', '83.5', '9', '8', '96F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 84.0000000000001,8.00000000000006 84.5000000000001,9.00000000000006 84.5000000000001,9.00000000000006 84.0000000000001,8.00000000000006 84.0000000000001)))', '84.5', '84', '9', '8', '97F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((8.00000000000006 84.5000000000001,8.00000000000006 85.0000000000001,9.00000000000006 85.0000000000001,9.00000000000006 84.5000000000001,8.00000000000006 84.5000000000001)))', '85', '84.5', '9', '8', '98F8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 53.5000000000001,9.00000000000006 54.0000000000001,10.0000000000001 54.0000000000001,10.0000000000001 53.5000000000001,9.00000000000006 53.5000000000001)))', '54', '53.5', '10', '9', '36F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 54.0000000000001,9.00000000000006 54.5000000000001,10.0000000000001 54.5000000000001,10.0000000000001 54.0000000000001,9.00000000000006 54.0000000000001)))', '54.5', '54', '10', '9', '37F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 54.5000000000001,9.00000000000006 55.0000000000001,10.0000000000001 55.0000000000001,10.0000000000001 54.5000000000001,9.00000000000006 54.5000000000001)))', '55', '54.5', '10', '9', '38F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 55.0000000000001,9.00000000000006 55.5000000000001,10.0000000000001 55.5000000000001,10.0000000000001 55.0000000000001,9.00000000000006 55.0000000000001)))', '55.5', '55', '10', '9', '39F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 55.5000000000001,9.00000000000006 56.0000000000001,10.0000000000001 56.0000000000001,10.0000000000001 55.5000000000001,9.00000000000006 55.5000000000001)))', '56', '55.5', '10', '9', '40F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 56.5000000000001,9.00000000000006 57.0000000000001,10.0000000000001 57.0000000000001,10.0000000000001 56.5000000000001,9.00000000000006 56.5000000000001)))', '57', '56.5', '10', '9', '42F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 57.0000000000001,9.00000000000006 57.5000000000001,10.0000000000001 57.5000000000001,10.0000000000001 57.0000000000001,9.00000000000006 57.0000000000001)))', '57.5', '57', '10', '9', '43F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 57.5000000000001,9.00000000000006 58.0000000000001,10.0000000000001 58.0000000000001,10.0000000000001 57.5000000000001,9.00000000000006 57.5000000000001)))', '58', '57.5', '10', '9', '44F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 58.0000000000001,9.00000000000006 58.5000000000001,10.0000000000001 58.5000000000001,10.0000000000001 58.0000000000001,9.00000000000006 58.0000000000001)))', '58.5', '58', '10', '9', '45F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 58.5000000000001,9.00000000000006 59.0000000000001,10.0000000000001 59.0000000000001,10.0000000000001 58.5000000000001,9.00000000000006 58.5000000000001)))', '59', '58.5', '10', '9', '46F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 59.0000000000001,9.00000000000006 59.5000000000001,10.0000000000001 59.5000000000001,10.0000000000001 59.0000000000001,9.00000000000006 59.0000000000001)))', '59.5', '59', '10', '9', '47F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 63.0000000000001,9.00000000000006 63.5000000000001,10.0000000000001 63.5000000000001,10.0000000000001 63.0000000000001,9.00000000000006 63.0000000000001)))', '63.5', '63', '10', '9', '55F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 63.5000000000001,9.00000000000006 64.0000000000001,10.0000000000001 64.0000000000001,10.0000000000001 63.5000000000001,9.00000000000006 63.5000000000001)))', '64', '63.5', '10', '9', '56F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 64.0000000000001,9.00000000000006 64.5000000000001,10.0000000000001 64.5000000000001,10.0000000000001 64.0000000000001,9.00000000000006 64.0000000000001)))', '64.5', '64', '10', '9', '57F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 64.5000000000001,9.00000000000006 65.0000000000001,10.0000000000001 65.0000000000001,10.0000000000001 64.5000000000001,9.00000000000006 64.5000000000001)))', '65', '64.5', '10', '9', '58F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 65.0000000000001,9.00000000000006 65.5000000000001,10.0000000000001 65.5000000000001,10.0000000000001 65.0000000000001,9.00000000000006 65.0000000000001)))', '65.5', '65', '10', '9', '59F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 65.5000000000001,9.00000000000006 66.0000000000001,10.0000000000001 66.0000000000001,10.0000000000001 65.5000000000001,9.00000000000006 65.5000000000001)))', '66', '65.5', '10', '9', '60F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 66.0000000000001,9.00000000000006 66.5000000000001,10.0000000000001 66.5000000000001,10.0000000000001 66.0000000000001,9.00000000000006 66.0000000000001)))', '66.5', '66', '10', '9', '61F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 66.5000000000001,9.00000000000006 67.0000000000001,10.0000000000001 67.0000000000001,10.0000000000001 66.5000000000001,9.00000000000006 66.5000000000001)))', '67', '66.5', '10', '9', '62F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 67.0000000000001,9.00000000000006 67.5000000000001,10.0000000000001 67.5000000000001,10.0000000000001 67.0000000000001,9.00000000000006 67.0000000000001)))', '67.5', '67', '10', '9', '63F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 67.5000000000001,9.00000000000006 68.0000000000001,10.0000000000001 68.0000000000001,10.0000000000001 67.5000000000001,9.00000000000006 67.5000000000001)))', '68', '67.5', '10', '9', '64F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 68.0000000000001,9.00000000000006 68.5000000000001,10.0000000000001 68.5000000000001,10.0000000000001 68.0000000000001,9.00000000000006 68.0000000000001)))', '68.5', '68', '10', '9', '65F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 68.5000000000001,9.00000000000006 69.0000000000001,10.0000000000001 69.0000000000001,10.0000000000001 68.5000000000001,9.00000000000006 68.5000000000001)))', '69', '68.5', '10', '9', '66F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 69.0000000000001,9.00000000000006 69.5000000000001,10.0000000000001 69.5000000000001,10.0000000000001 69.0000000000001,9.00000000000006 69.0000000000001)))', '69.5', '69', '10', '9', '67F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 69.5000000000001,9.00000000000006 70.0000000000001,10.0000000000001 70.0000000000001,10.0000000000001 69.5000000000001,9.00000000000006 69.5000000000001)))', '70', '69.5', '10', '9', '68F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 70.0000000000001,9.00000000000006 70.5000000000001,10.0000000000001 70.5000000000001,10.0000000000001 70.0000000000001,9.00000000000006 70.0000000000001)))', '70.5', '70', '10', '9', '69F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 70.5000000000001,9.00000000000006 71.0000000000001,10.0000000000001 71.0000000000001,10.0000000000001 70.5000000000001,9.00000000000006 70.5000000000001)))', '71', '70.5', '10', '9', '70F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 71.0000000000001,9.00000000000006 71.5000000000001,10.0000000000001 71.5000000000001,10.0000000000001 71.0000000000001,9.00000000000006 71.0000000000001)))', '71.5', '71', '10', '9', '71F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 71.5000000000001,9.00000000000006 72.0000000000001,10.0000000000001 72.0000000000001,10.0000000000001 71.5000000000001,9.00000000000006 71.5000000000001)))', '72', '71.5', '10', '9', '72F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 72.0000000000001,9.00000000000006 72.5000000000001,10.0000000000001 72.5000000000001,10.0000000000001 72.0000000000001,9.00000000000006 72.0000000000001)))', '72.5', '72', '10', '9', '73F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 72.5000000000001,9.00000000000006 73.0000000000001,10.0000000000001 73.0000000000001,10.0000000000001 72.5000000000001,9.00000000000006 72.5000000000001)))', '73', '72.5', '10', '9', '74F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 73.0000000000001,9.00000000000006 73.5000000000001,10.0000000000001 73.5000000000001,10.0000000000001 73.0000000000001,9.00000000000006 73.0000000000001)))', '73.5', '73', '10', '9', '75F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 73.5000000000001,9.00000000000006 74.0000000000001,10.0000000000001 74.0000000000001,10.0000000000001 73.5000000000001,9.00000000000006 73.5000000000001)))', '74', '73.5', '10', '9', '76F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 74.0000000000001,9.00000000000006 74.5000000000001,10.0000000000001 74.5000000000001,10.0000000000001 74.0000000000001,9.00000000000006 74.0000000000001)))', '74.5', '74', '10', '9', '77F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 74.5000000000001,9.00000000000006 75.0000000000001,10.0000000000001 75.0000000000001,10.0000000000001 74.5000000000001,9.00000000000006 74.5000000000001)))', '75', '74.5', '10', '9', '78F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 75.0000000000001,9.00000000000006 75.5000000000001,10.0000000000001 75.5000000000001,10.0000000000001 75.0000000000001,9.00000000000006 75.0000000000001)))', '75.5', '75', '10', '9', '79F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 75.5000000000001,9.00000000000006 76.0000000000001,10.0000000000001 76.0000000000001,10.0000000000001 75.5000000000001,9.00000000000006 75.5000000000001)))', '76', '75.5', '10', '9', '80F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 76.0000000000001,9.00000000000006 76.5000000000001,10.0000000000001 76.5000000000001,10.0000000000001 76.0000000000001,9.00000000000006 76.0000000000001)))', '76.5', '76', '10', '9', '81F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 76.5000000000001,9.00000000000006 77.0000000000001,10.0000000000001 77.0000000000001,10.0000000000001 76.5000000000001,9.00000000000006 76.5000000000001)))', '77', '76.5', '10', '9', '82F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 77.0000000000001,9.00000000000006 77.5000000000001,10.0000000000001 77.5000000000001,10.0000000000001 77.0000000000001,9.00000000000006 77.0000000000001)))', '77.5', '77', '10', '9', '83F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 77.5000000000001,9.00000000000006 78.0000000000001,10.0000000000001 78.0000000000001,10.0000000000001 77.5000000000001,9.00000000000006 77.5000000000001)))', '78', '77.5', '10', '9', '84F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 78.0000000000001,9.00000000000006 78.5000000000001,10.0000000000001 78.5000000000001,10.0000000000001 78.0000000000001,9.00000000000006 78.0000000000001)))', '78.5', '78', '10', '9', '85F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 78.5000000000001,9.00000000000006 79.0000000000001,10.0000000000001 79.0000000000001,10.0000000000001 78.5000000000001,9.00000000000006 78.5000000000001)))', '79', '78.5', '10', '9', '86F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 79.0000000000001,9.00000000000006 79.5000000000001,10.0000000000001 79.5000000000001,10.0000000000001 79.0000000000001,9.00000000000006 79.0000000000001)))', '79.5', '79', '10', '9', '87F9', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((9.00000000000006 79.5000000000001,9.00000000000006 80.0000000000001,10.0000000000001 80.0000000000001,10.0000000000001 79.5000000000001,9.00000000000006 79.5000000000001)))', '80', '79.5', '10', '9', '88F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 80.0000000000001,9.00000000000006 80.5000000000001,10.0000000000001 80.5000000000001,10.0000000000001 80.0000000000001,9.00000000000006 80.0000000000001)))', '80.5', '80', '10', '9', '89F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 80.5000000000001,9.00000000000006 81.0000000000001,10.0000000000001 81.0000000000001,10.0000000000001 80.5000000000001,9.00000000000006 80.5000000000001)))', '81', '80.5', '10', '9', '90F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 81.0000000000001,9.00000000000006 81.5000000000001,10.0000000000001 81.5000000000001,10.0000000000001 81.0000000000001,9.00000000000006 81.0000000000001)))', '81.5', '81', '10', '9', '91F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 81.5000000000001,9.00000000000006 82.0000000000001,10.0000000000001 82.0000000000001,10.0000000000001 81.5000000000001,9.00000000000006 81.5000000000001)))', '82', '81.5', '10', '9', '92F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 82.0000000000001,9.00000000000006 82.5000000000001,10.0000000000001 82.5000000000001,10.0000000000001 82.0000000000001,9.00000000000006 82.0000000000001)))', '82.5', '82', '10', '9', '93F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 82.5000000000001,9.00000000000006 83.0000000000001,10.0000000000001 83.0000000000001,10.0000000000001 82.5000000000001,9.00000000000006 82.5000000000001)))', '83', '82.5', '10', '9', '94F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 83.0000000000001,9.00000000000006 83.5000000000001,10.0000000000001 83.5000000000001,10.0000000000001 83.0000000000001,9.00000000000006 83.0000000000001)))', '83.5', '83', '10', '9', '95F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 83.5000000000001,9.00000000000006 84.0000000000001,10.0000000000001 84.0000000000001,10.0000000000001 83.5000000000001,9.00000000000006 83.5000000000001)))', '84', '83.5', '10', '9', '96F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 84.0000000000001,9.00000000000006 84.5000000000001,10.0000000000001 84.5000000000001,10.0000000000001 84.0000000000001,9.00000000000006 84.0000000000001)))', '84.5', '84', '10', '9', '97F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((9.00000000000006 84.5000000000001,9.00000000000006 85.0000000000001,10.0000000000001 85.0000000000001,10.0000000000001 84.5000000000001,9.00000000000006 84.5000000000001)))', '85', '84.5', '10', '9', '98F9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 53.5000000000001,10.0000000000001 54.0000000000001,11.0000000000001 54.0000000000001,11.0000000000001 53.5000000000001,10.0000000000001 53.5000000000001)))', '54', '53.5', '11', '10', '36G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 54.0000000000001,10.0000000000001 54.5000000000001,11.0000000000001 54.5000000000001,11.0000000000001 54.0000000000001,10.0000000000001 54.0000000000001)))', '54.5', '54', '11', '10', '37G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 54.5000000000001,10.0000000000001 55.0000000000001,11.0000000000001 55.0000000000001,11.0000000000001 54.5000000000001,10.0000000000001 54.5000000000001)))', '55', '54.5', '11', '10', '38G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 55.0000000000001,10.0000000000001 55.5000000000001,11.0000000000001 55.5000000000001,11.0000000000001 55.0000000000001,10.0000000000001 55.0000000000001)))', '55.5', '55', '11', '10', '39G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 55.5000000000001,10.0000000000001 56.0000000000001,11.0000000000001 56.0000000000001,11.0000000000001 55.5000000000001,10.0000000000001 55.5000000000001)))', '56', '55.5', '11', '10', '40G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 56.0000000000001,10.0000000000001 56.5000000000001,11.0000000000001 56.5000000000001,11.0000000000001 56.0000000000001,10.0000000000001 56.0000000000001)))', '56.5', '56', '11', '10', '41G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 56.5000000000001,10.0000000000001 57.0000000000001,11.0000000000001 57.0000000000001,11.0000000000001 56.5000000000001,10.0000000000001 56.5000000000001)))', '57', '56.5', '11', '10', '42G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 57.0000000000001,10.0000000000001 57.5000000000001,11.0000000000001 57.5000000000001,11.0000000000001 57.0000000000001,10.0000000000001 57.0000000000001)))', '57.5', '57', '11', '10', '43G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 57.5000000000001,10.0000000000001 58.0000000000001,11.0000000000001 58.0000000000001,11.0000000000001 57.5000000000001,10.0000000000001 57.5000000000001)))', '58', '57.5', '11', '10', '44G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 58.0000000000001,10.0000000000001 58.5000000000001,11.0000000000001 58.5000000000001,11.0000000000001 58.0000000000001,10.0000000000001 58.0000000000001)))', '58.5', '58', '11', '10', '45G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 58.5000000000001,10.0000000000001 59.0000000000001,11.0000000000001 59.0000000000001,11.0000000000001 58.5000000000001,10.0000000000001 58.5000000000001)))', '59', '58.5', '11', '10', '46G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 59.0000000000001,10.0000000000001 59.5000000000001,11.0000000000001 59.5000000000001,11.0000000000001 59.0000000000001,10.0000000000001 59.0000000000001)))', '59.5', '59', '11', '10', '47G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 59.5000000000001,10.0000000000001 60.0000000000001,11.0000000000001 60.0000000000001,11.0000000000001 59.5000000000001,10.0000000000001 59.5000000000001)))', '60', '59.5', '11', '10', '48G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 63.0000000000001,10.0000000000001 63.5000000000001,11.0000000000001 63.5000000000001,11.0000000000001 63.0000000000001,10.0000000000001 63.0000000000001)))', '63.5', '63', '11', '10', '55G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 63.5000000000001,10.0000000000001 64.0000000000001,11.0000000000001 64.0000000000001,11.0000000000001 63.5000000000001,10.0000000000001 63.5000000000001)))', '64', '63.5', '11', '10', '56G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 64.0000000000001,10.0000000000001 64.5000000000001,11.0000000000001 64.5000000000001,11.0000000000001 64.0000000000001,10.0000000000001 64.0000000000001)))', '64.5', '64', '11', '10', '57G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 64.5000000000001,10.0000000000001 65.0000000000001,11.0000000000001 65.0000000000001,11.0000000000001 64.5000000000001,10.0000000000001 64.5000000000001)))', '65', '64.5', '11', '10', '58G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 65.0000000000001,10.0000000000001 65.5000000000001,11.0000000000001 65.5000000000001,11.0000000000001 65.0000000000001,10.0000000000001 65.0000000000001)))', '65.5', '65', '11', '10', '59G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 65.5000000000001,10.0000000000001 66.0000000000001,11.0000000000001 66.0000000000001,11.0000000000001 65.5000000000001,10.0000000000001 65.5000000000001)))', '66', '65.5', '11', '10', '60G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 66.0000000000001,10.0000000000001 66.5000000000001,11.0000000000001 66.5000000000001,11.0000000000001 66.0000000000001,10.0000000000001 66.0000000000001)))', '66.5', '66', '11', '10', '61G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 66.5000000000001,10.0000000000001 67.0000000000001,11.0000000000001 67.0000000000001,11.0000000000001 66.5000000000001,10.0000000000001 66.5000000000001)))', '67', '66.5', '11', '10', '62G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 67.0000000000001,10.0000000000001 67.5000000000001,11.0000000000001 67.5000000000001,11.0000000000001 67.0000000000001,10.0000000000001 67.0000000000001)))', '67.5', '67', '11', '10', '63G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 67.5000000000001,10.0000000000001 68.0000000000001,11.0000000000001 68.0000000000001,11.0000000000001 67.5000000000001,10.0000000000001 67.5000000000001)))', '68', '67.5', '11', '10', '64G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 68.0000000000001,10.0000000000001 68.5000000000001,11.0000000000001 68.5000000000001,11.0000000000001 68.0000000000001,10.0000000000001 68.0000000000001)))', '68.5', '68', '11', '10', '65G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 68.5000000000001,10.0000000000001 69.0000000000001,11.0000000000001 69.0000000000001,11.0000000000001 68.5000000000001,10.0000000000001 68.5000000000001)))', '69', '68.5', '11', '10', '66G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 69.0000000000001,10.0000000000001 69.5000000000001,11.0000000000001 69.5000000000001,11.0000000000001 69.0000000000001,10.0000000000001 69.0000000000001)))', '69.5', '69', '11', '10', '67G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 69.5000000000001,10.0000000000001 70.0000000000001,11.0000000000001 70.0000000000001,11.0000000000001 69.5000000000001,10.0000000000001 69.5000000000001)))', '70', '69.5', '11', '10', '68G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 70.0000000000001,10.0000000000001 70.5000000000001,11.0000000000001 70.5000000000001,11.0000000000001 70.0000000000001,10.0000000000001 70.0000000000001)))', '70.5', '70', '11', '10', '69G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 70.5000000000001,10.0000000000001 71.0000000000001,11.0000000000001 71.0000000000001,11.0000000000001 70.5000000000001,10.0000000000001 70.5000000000001)))', '71', '70.5', '11', '10', '70G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 71.0000000000001,10.0000000000001 71.5000000000001,11.0000000000001 71.5000000000001,11.0000000000001 71.0000000000001,10.0000000000001 71.0000000000001)))', '71.5', '71', '11', '10', '71G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 71.5000000000001,10.0000000000001 72.0000000000001,11.0000000000001 72.0000000000001,11.0000000000001 71.5000000000001,10.0000000000001 71.5000000000001)))', '72', '71.5', '11', '10', '72G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 72.0000000000001,10.0000000000001 72.5000000000001,11.0000000000001 72.5000000000001,11.0000000000001 72.0000000000001,10.0000000000001 72.0000000000001)))', '72.5', '72', '11', '10', '73G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 72.5000000000001,10.0000000000001 73.0000000000001,11.0000000000001 73.0000000000001,11.0000000000001 72.5000000000001,10.0000000000001 72.5000000000001)))', '73', '72.5', '11', '10', '74G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 73.0000000000001,10.0000000000001 73.5000000000001,11.0000000000001 73.5000000000001,11.0000000000001 73.0000000000001,10.0000000000001 73.0000000000001)))', '73.5', '73', '11', '10', '75G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 73.5000000000001,10.0000000000001 74.0000000000001,11.0000000000001 74.0000000000001,11.0000000000001 73.5000000000001,10.0000000000001 73.5000000000001)))', '74', '73.5', '11', '10', '76G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 74.0000000000001,10.0000000000001 74.5000000000001,11.0000000000001 74.5000000000001,11.0000000000001 74.0000000000001,10.0000000000001 74.0000000000001)))', '74.5', '74', '11', '10', '77G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 74.5000000000001,10.0000000000001 75.0000000000001,11.0000000000001 75.0000000000001,11.0000000000001 74.5000000000001,10.0000000000001 74.5000000000001)))', '75', '74.5', '11', '10', '78G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 75.0000000000001,10.0000000000001 75.5000000000001,11.0000000000001 75.5000000000001,11.0000000000001 75.0000000000001,10.0000000000001 75.0000000000001)))', '75.5', '75', '11', '10', '79G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 75.5000000000001,10.0000000000001 76.0000000000001,11.0000000000001 76.0000000000001,11.0000000000001 75.5000000000001,10.0000000000001 75.5000000000001)))', '76', '75.5', '11', '10', '80G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 76.0000000000001,10.0000000000001 76.5000000000001,11.0000000000001 76.5000000000001,11.0000000000001 76.0000000000001,10.0000000000001 76.0000000000001)))', '76.5', '76', '11', '10', '81G0', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((10.0000000000001 76.5000000000001,10.0000000000001 77.0000000000001,11.0000000000001 77.0000000000001,11.0000000000001 76.5000000000001,10.0000000000001 76.5000000000001)))', '77', '76.5', '11', '10', '82G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 77.0000000000001,10.0000000000001 77.5000000000001,11.0000000000001 77.5000000000001,11.0000000000001 77.0000000000001,10.0000000000001 77.0000000000001)))', '77.5', '77', '11', '10', '83G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 77.5000000000001,10.0000000000001 78.0000000000001,11.0000000000001 78.0000000000001,11.0000000000001 77.5000000000001,10.0000000000001 77.5000000000001)))', '78', '77.5', '11', '10', '84G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 78.0000000000001,10.0000000000001 78.5000000000001,11.0000000000001 78.5000000000001,11.0000000000001 78.0000000000001,10.0000000000001 78.0000000000001)))', '78.5', '78', '11', '10', '85G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 78.5000000000001,10.0000000000001 79.0000000000001,11.0000000000001 79.0000000000001,11.0000000000001 78.5000000000001,10.0000000000001 78.5000000000001)))', '79', '78.5', '11', '10', '86G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 79.0000000000001,10.0000000000001 79.5000000000001,11.0000000000001 79.5000000000001,11.0000000000001 79.0000000000001,10.0000000000001 79.0000000000001)))', '79.5', '79', '11', '10', '87G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 79.5000000000001,10.0000000000001 80.0000000000001,11.0000000000001 80.0000000000001,11.0000000000001 79.5000000000001,10.0000000000001 79.5000000000001)))', '80', '79.5', '11', '10', '88G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 80.0000000000001,10.0000000000001 80.5000000000001,11.0000000000001 80.5000000000001,11.0000000000001 80.0000000000001,10.0000000000001 80.0000000000001)))', '80.5', '80', '11', '10', '89G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 80.5000000000001,10.0000000000001 81.0000000000001,11.0000000000001 81.0000000000001,11.0000000000001 80.5000000000001,10.0000000000001 80.5000000000001)))', '81', '80.5', '11', '10', '90G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 81.0000000000001,10.0000000000001 81.5000000000001,11.0000000000001 81.5000000000001,11.0000000000001 81.0000000000001,10.0000000000001 81.0000000000001)))', '81.5', '81', '11', '10', '91G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 81.5000000000001,10.0000000000001 82.0000000000001,11.0000000000001 82.0000000000001,11.0000000000001 81.5000000000001,10.0000000000001 81.5000000000001)))', '82', '81.5', '11', '10', '92G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 82.0000000000001,10.0000000000001 82.5000000000001,11.0000000000001 82.5000000000001,11.0000000000001 82.0000000000001,10.0000000000001 82.0000000000001)))', '82.5', '82', '11', '10', '93G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 82.5000000000001,10.0000000000001 83.0000000000001,11.0000000000001 83.0000000000001,11.0000000000001 82.5000000000001,10.0000000000001 82.5000000000001)))', '83', '82.5', '11', '10', '94G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 83.0000000000001,10.0000000000001 83.5000000000001,11.0000000000001 83.5000000000001,11.0000000000001 83.0000000000001,10.0000000000001 83.0000000000001)))', '83.5', '83', '11', '10', '95G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 83.5000000000001,10.0000000000001 84.0000000000001,11.0000000000001 84.0000000000001,11.0000000000001 83.5000000000001,10.0000000000001 83.5000000000001)))', '84', '83.5', '11', '10', '96G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 84.0000000000001,10.0000000000001 84.5000000000001,11.0000000000001 84.5000000000001,11.0000000000001 84.0000000000001,10.0000000000001 84.0000000000001)))', '84.5', '84', '11', '10', '97G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((10.0000000000001 84.5000000000001,10.0000000000001 85.0000000000001,11.0000000000001 85.0000000000001,11.0000000000001 84.5000000000001,10.0000000000001 84.5000000000001)))', '85', '84.5', '11', '10', '98G0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 53.5000000000001,11.0000000000001 54.0000000000001,12.0000000000001 54.0000000000001,12.0000000000001 53.5000000000001,11.0000000000001 53.5000000000001)))', '54', '53.5', '12', '11', '36G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 54.0000000000001,11.0000000000001 54.5000000000001,12.0000000000001 54.5000000000001,12.0000000000001 54.0000000000001,11.0000000000001 54.0000000000001)))', '54.5', '54', '12', '11', '37G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 54.5000000000001,11.0000000000001 55.0000000000001,12.0000000000001 55.0000000000001,12.0000000000001 54.5000000000001,11.0000000000001 54.5000000000001)))', '55', '54.5', '12', '11', '38G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 55.0000000000001,11.0000000000001 55.5000000000001,12.0000000000001 55.5000000000001,12.0000000000001 55.0000000000001,11.0000000000001 55.0000000000001)))', '55.5', '55', '12', '11', '39G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 55.5000000000001,11.0000000000001 56.0000000000001,12.0000000000001 56.0000000000001,12.0000000000001 55.5000000000001,11.0000000000001 55.5000000000001)))', '56', '55.5', '12', '11', '40G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 56.0000000000001,11.0000000000001 56.5000000000001,12.0000000000001 56.5000000000001,12.0000000000001 56.0000000000001,11.0000000000001 56.0000000000001)))', '56.5', '56', '12', '11', '41G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 56.5000000000001,11.0000000000001 57.0000000000001,12.0000000000001 57.0000000000001,12.0000000000001 56.5000000000001,11.0000000000001 56.5000000000001)))', '57', '56.5', '12', '11', '42G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 57.0000000000001,11.0000000000001 57.5000000000001,12.0000000000001 57.5000000000001,12.0000000000001 57.0000000000001,11.0000000000001 57.0000000000001)))', '57.5', '57', '12', '11', '43G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 57.5000000000001,11.0000000000001 58.0000000000001,12.0000000000001 58.0000000000001,12.0000000000001 57.5000000000001,11.0000000000001 57.5000000000001)))', '58', '57.5', '12', '11', '44G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 58.0000000000001,11.0000000000001 58.5000000000001,12.0000000000001 58.5000000000001,12.0000000000001 58.0000000000001,11.0000000000001 58.0000000000001)))', '58.5', '58', '12', '11', '45G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 58.5000000000001,11.0000000000001 59.0000000000001,12.0000000000001 59.0000000000001,12.0000000000001 58.5000000000001,11.0000000000001 58.5000000000001)))', '59', '58.5', '12', '11', '46G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 59.0000000000001,11.0000000000001 59.5000000000001,12.0000000000001 59.5000000000001,12.0000000000001 59.0000000000001,11.0000000000001 59.0000000000001)))', '59.5', '59', '12', '11', '47G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 63.5000000000001,11.0000000000001 64.0000000000001,12.0000000000001 64.0000000000001,12.0000000000001 63.5000000000001,11.0000000000001 63.5000000000001)))', '64', '63.5', '12', '11', '56G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 64.0000000000001,11.0000000000001 64.5000000000001,12.0000000000001 64.5000000000001,12.0000000000001 64.0000000000001,11.0000000000001 64.0000000000001)))', '64.5', '64', '12', '11', '57G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 64.5000000000001,11.0000000000001 65.0000000000001,12.0000000000001 65.0000000000001,12.0000000000001 64.5000000000001,11.0000000000001 64.5000000000001)))', '65', '64.5', '12', '11', '58G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 65.0000000000001,11.0000000000001 65.5000000000001,12.0000000000001 65.5000000000001,12.0000000000001 65.0000000000001,11.0000000000001 65.0000000000001)))', '65.5', '65', '12', '11', '59G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 65.5000000000001,11.0000000000001 66.0000000000001,12.0000000000001 66.0000000000001,12.0000000000001 65.5000000000001,11.0000000000001 65.5000000000001)))', '66', '65.5', '12', '11', '60G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 66.0000000000001,11.0000000000001 66.5000000000001,12.0000000000001 66.5000000000001,12.0000000000001 66.0000000000001,11.0000000000001 66.0000000000001)))', '66.5', '66', '12', '11', '61G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 66.5000000000001,11.0000000000001 67.0000000000001,12.0000000000001 67.0000000000001,12.0000000000001 66.5000000000001,11.0000000000001 66.5000000000001)))', '67', '66.5', '12', '11', '62G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 67.0000000000001,11.0000000000001 67.5000000000001,12.0000000000001 67.5000000000001,12.0000000000001 67.0000000000001,11.0000000000001 67.0000000000001)))', '67.5', '67', '12', '11', '63G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 67.5000000000001,11.0000000000001 68.0000000000001,12.0000000000001 68.0000000000001,12.0000000000001 67.5000000000001,11.0000000000001 67.5000000000001)))', '68', '67.5', '12', '11', '64G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 68.0000000000001,11.0000000000001 68.5000000000001,12.0000000000001 68.5000000000001,12.0000000000001 68.0000000000001,11.0000000000001 68.0000000000001)))', '68.5', '68', '12', '11', '65G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 68.5000000000001,11.0000000000001 69.0000000000001,12.0000000000001 69.0000000000001,12.0000000000001 68.5000000000001,11.0000000000001 68.5000000000001)))', '69', '68.5', '12', '11', '66G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 69.0000000000001,11.0000000000001 69.5000000000001,12.0000000000001 69.5000000000001,12.0000000000001 69.0000000000001,11.0000000000001 69.0000000000001)))', '69.5', '69', '12', '11', '67G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 69.5000000000001,11.0000000000001 70.0000000000001,12.0000000000001 70.0000000000001,12.0000000000001 69.5000000000001,11.0000000000001 69.5000000000001)))', '70', '69.5', '12', '11', '68G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 70.0000000000001,11.0000000000001 70.5000000000001,12.0000000000001 70.5000000000001,12.0000000000001 70.0000000000001,11.0000000000001 70.0000000000001)))', '70.5', '70', '12', '11', '69G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 70.5000000000001,11.0000000000001 71.0000000000001,12.0000000000001 71.0000000000001,12.0000000000001 70.5000000000001,11.0000000000001 70.5000000000001)))', '71', '70.5', '12', '11', '70G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 71.0000000000001,11.0000000000001 71.5000000000001,12.0000000000001 71.5000000000001,12.0000000000001 71.0000000000001,11.0000000000001 71.0000000000001)))', '71.5', '71', '12', '11', '71G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 71.5000000000001,11.0000000000001 72.0000000000001,12.0000000000001 72.0000000000001,12.0000000000001 71.5000000000001,11.0000000000001 71.5000000000001)))', '72', '71.5', '12', '11', '72G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 72.0000000000001,11.0000000000001 72.5000000000001,12.0000000000001 72.5000000000001,12.0000000000001 72.0000000000001,11.0000000000001 72.0000000000001)))', '72.5', '72', '12', '11', '73G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 72.5000000000001,11.0000000000001 73.0000000000001,12.0000000000001 73.0000000000001,12.0000000000001 72.5000000000001,11.0000000000001 72.5000000000001)))', '73', '72.5', '12', '11', '74G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 73.0000000000001,11.0000000000001 73.5000000000001,12.0000000000001 73.5000000000001,12.0000000000001 73.0000000000001,11.0000000000001 73.0000000000001)))', '73.5', '73', '12', '11', '75G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 73.5000000000001,11.0000000000001 74.0000000000001,12.0000000000001 74.0000000000001,12.0000000000001 73.5000000000001,11.0000000000001 73.5000000000001)))', '74', '73.5', '12', '11', '76G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 74.0000000000001,11.0000000000001 74.5000000000001,12.0000000000001 74.5000000000001,12.0000000000001 74.0000000000001,11.0000000000001 74.0000000000001)))', '74.5', '74', '12', '11', '77G1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((11.0000000000001 74.5000000000001,11.0000000000001 75.0000000000001,12.0000000000001 75.0000000000001,12.0000000000001 74.5000000000001,11.0000000000001 74.5000000000001)))', '75', '74.5', '12', '11', '78G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 75.0000000000001,11.0000000000001 75.5000000000001,12.0000000000001 75.5000000000001,12.0000000000001 75.0000000000001,11.0000000000001 75.0000000000001)))', '75.5', '75', '12', '11', '79G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 75.5000000000001,11.0000000000001 76.0000000000001,12.0000000000001 76.0000000000001,12.0000000000001 75.5000000000001,11.0000000000001 75.5000000000001)))', '76', '75.5', '12', '11', '80G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 76.0000000000001,11.0000000000001 76.5000000000001,12.0000000000001 76.5000000000001,12.0000000000001 76.0000000000001,11.0000000000001 76.0000000000001)))', '76.5', '76', '12', '11', '81G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 76.5000000000001,11.0000000000001 77.0000000000001,12.0000000000001 77.0000000000001,12.0000000000001 76.5000000000001,11.0000000000001 76.5000000000001)))', '77', '76.5', '12', '11', '82G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 77.0000000000001,11.0000000000001 77.5000000000001,12.0000000000001 77.5000000000001,12.0000000000001 77.0000000000001,11.0000000000001 77.0000000000001)))', '77.5', '77', '12', '11', '83G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 77.5000000000001,11.0000000000001 78.0000000000001,12.0000000000001 78.0000000000001,12.0000000000001 77.5000000000001,11.0000000000001 77.5000000000001)))', '78', '77.5', '12', '11', '84G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 78.0000000000001,11.0000000000001 78.5000000000001,12.0000000000001 78.5000000000001,12.0000000000001 78.0000000000001,11.0000000000001 78.0000000000001)))', '78.5', '78', '12', '11', '85G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 78.5000000000001,11.0000000000001 79.0000000000001,12.0000000000001 79.0000000000001,12.0000000000001 78.5000000000001,11.0000000000001 78.5000000000001)))', '79', '78.5', '12', '11', '86G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 79.0000000000001,11.0000000000001 79.5000000000001,12.0000000000001 79.5000000000001,12.0000000000001 79.0000000000001,11.0000000000001 79.0000000000001)))', '79.5', '79', '12', '11', '87G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 79.5000000000001,11.0000000000001 80.0000000000001,12.0000000000001 80.0000000000001,12.0000000000001 79.5000000000001,11.0000000000001 79.5000000000001)))', '80', '79.5', '12', '11', '88G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 80.0000000000001,11.0000000000001 80.5000000000001,12.0000000000001 80.5000000000001,12.0000000000001 80.0000000000001,11.0000000000001 80.0000000000001)))', '80.5', '80', '12', '11', '89G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 80.5000000000001,11.0000000000001 81.0000000000001,12.0000000000001 81.0000000000001,12.0000000000001 80.5000000000001,11.0000000000001 80.5000000000001)))', '81', '80.5', '12', '11', '90G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 81.0000000000001,11.0000000000001 81.5000000000001,12.0000000000001 81.5000000000001,12.0000000000001 81.0000000000001,11.0000000000001 81.0000000000001)))', '81.5', '81', '12', '11', '91G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 81.5000000000001,11.0000000000001 82.0000000000001,12.0000000000001 82.0000000000001,12.0000000000001 81.5000000000001,11.0000000000001 81.5000000000001)))', '82', '81.5', '12', '11', '92G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 82.0000000000001,11.0000000000001 82.5000000000001,12.0000000000001 82.5000000000001,12.0000000000001 82.0000000000001,11.0000000000001 82.0000000000001)))', '82.5', '82', '12', '11', '93G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 82.5000000000001,11.0000000000001 83.0000000000001,12.0000000000001 83.0000000000001,12.0000000000001 82.5000000000001,11.0000000000001 82.5000000000001)))', '83', '82.5', '12', '11', '94G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 83.0000000000001,11.0000000000001 83.5000000000001,12.0000000000001 83.5000000000001,12.0000000000001 83.0000000000001,11.0000000000001 83.0000000000001)))', '83.5', '83', '12', '11', '95G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 83.5000000000001,11.0000000000001 84.0000000000001,12.0000000000001 84.0000000000001,12.0000000000001 83.5000000000001,11.0000000000001 83.5000000000001)))', '84', '83.5', '12', '11', '96G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 84.0000000000001,11.0000000000001 84.5000000000001,12.0000000000001 84.5000000000001,12.0000000000001 84.0000000000001,11.0000000000001 84.0000000000001)))', '84.5', '84', '12', '11', '97G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((11.0000000000001 84.5000000000001,11.0000000000001 85.0000000000001,12.0000000000001 85.0000000000001,12.0000000000001 84.5000000000001,11.0000000000001 84.5000000000001)))', '85', '84.5', '12', '11', '98G1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 54.0000000000001,12.0000000000001 54.5000000000001,13.0000000000001 54.5000000000001,13.0000000000001 54.0000000000001,12.0000000000001 54.0000000000001)))', '54.5', '54', '13', '12', '37G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 54.5000000000001,12.0000000000001 55.0000000000001,13.0000000000001 55.0000000000001,13.0000000000001 54.5000000000001,12.0000000000001 54.5000000000001)))', '55', '54.5', '13', '12', '38G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 55.0000000000001,12.0000000000001 55.5000000000001,13.0000000000001 55.5000000000001,13.0000000000001 55.0000000000001,12.0000000000001 55.0000000000001)))', '55.5', '55', '13', '12', '39G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 55.5000000000001,12.0000000000001 56.0000000000001,13.0000000000001 56.0000000000001,13.0000000000001 55.5000000000001,12.0000000000001 55.5000000000001)))', '56', '55.5', '13', '12', '40G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 56.0000000000001,12.0000000000001 56.5000000000001,13.0000000000001 56.5000000000001,13.0000000000001 56.0000000000001,12.0000000000001 56.0000000000001)))', '56.5', '56', '13', '12', '41G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 56.5000000000001,12.0000000000001 57.0000000000001,13.0000000000001 57.0000000000001,13.0000000000001 56.5000000000001,12.0000000000001 56.5000000000001)))', '57', '56.5', '13', '12', '42G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 57.0000000000001,12.0000000000001 57.5000000000001,13.0000000000001 57.5000000000001,13.0000000000001 57.0000000000001,12.0000000000001 57.0000000000001)))', '57.5', '57', '13', '12', '43G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 64.5000000000001,12.0000000000001 65.0000000000001,13.0000000000001 65.0000000000001,13.0000000000001 64.5000000000001,12.0000000000001 64.5000000000001)))', '65', '64.5', '13', '12', '58G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 65.0000000000001,12.0000000000001 65.5000000000001,13.0000000000001 65.5000000000001,13.0000000000001 65.0000000000001,12.0000000000001 65.0000000000001)))', '65.5', '65', '13', '12', '59G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 65.5000000000001,12.0000000000001 66.0000000000001,13.0000000000001 66.0000000000001,13.0000000000001 65.5000000000001,12.0000000000001 65.5000000000001)))', '66', '65.5', '13', '12', '60G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 66.0000000000001,12.0000000000001 66.5000000000001,13.0000000000001 66.5000000000001,13.0000000000001 66.0000000000001,12.0000000000001 66.0000000000001)))', '66.5', '66', '13', '12', '61G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 66.5000000000001,12.0000000000001 67.0000000000001,13.0000000000001 67.0000000000001,13.0000000000001 66.5000000000001,12.0000000000001 66.5000000000001)))', '67', '66.5', '13', '12', '62G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 67.0000000000001,12.0000000000001 67.5000000000001,13.0000000000001 67.5000000000001,13.0000000000001 67.0000000000001,12.0000000000001 67.0000000000001)))', '67.5', '67', '13', '12', '63G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 67.5000000000001,12.0000000000001 68.0000000000001,13.0000000000001 68.0000000000001,13.0000000000001 67.5000000000001,12.0000000000001 67.5000000000001)))', '68', '67.5', '13', '12', '64G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 68.0000000000001,12.0000000000001 68.5000000000001,13.0000000000001 68.5000000000001,13.0000000000001 68.0000000000001,12.0000000000001 68.0000000000001)))', '68.5', '68', '13', '12', '65G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 68.5000000000001,12.0000000000001 69.0000000000001,13.0000000000001 69.0000000000001,13.0000000000001 68.5000000000001,12.0000000000001 68.5000000000001)))', '69', '68.5', '13', '12', '66G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 69.0000000000001,12.0000000000001 69.5000000000001,13.0000000000001 69.5000000000001,13.0000000000001 69.0000000000001,12.0000000000001 69.0000000000001)))', '69.5', '69', '13', '12', '67G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 69.5000000000001,12.0000000000001 70.0000000000001,13.0000000000001 70.0000000000001,13.0000000000001 69.5000000000001,12.0000000000001 69.5000000000001)))', '70', '69.5', '13', '12', '68G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 70.0000000000001,12.0000000000001 70.5000000000001,13.0000000000001 70.5000000000001,13.0000000000001 70.0000000000001,12.0000000000001 70.0000000000001)))', '70.5', '70', '13', '12', '69G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 70.5000000000001,12.0000000000001 71.0000000000001,13.0000000000001 71.0000000000001,13.0000000000001 70.5000000000001,12.0000000000001 70.5000000000001)))', '71', '70.5', '13', '12', '70G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 71.0000000000001,12.0000000000001 71.5000000000001,13.0000000000001 71.5000000000001,13.0000000000001 71.0000000000001,12.0000000000001 71.0000000000001)))', '71.5', '71', '13', '12', '71G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 71.5000000000001,12.0000000000001 72.0000000000001,13.0000000000001 72.0000000000001,13.0000000000001 71.5000000000001,12.0000000000001 71.5000000000001)))', '72', '71.5', '13', '12', '72G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 72.0000000000001,12.0000000000001 72.5000000000001,13.0000000000001 72.5000000000001,13.0000000000001 72.0000000000001,12.0000000000001 72.0000000000001)))', '72.5', '72', '13', '12', '73G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 72.5000000000001,12.0000000000001 73.0000000000001,13.0000000000001 73.0000000000001,13.0000000000001 72.5000000000001,12.0000000000001 72.5000000000001)))', '73', '72.5', '13', '12', '74G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 73.0000000000001,12.0000000000001 73.5000000000001,13.0000000000001 73.5000000000001,13.0000000000001 73.0000000000001,12.0000000000001 73.0000000000001)))', '73.5', '73', '13', '12', '75G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 73.5000000000001,12.0000000000001 74.0000000000001,13.0000000000001 74.0000000000001,13.0000000000001 73.5000000000001,12.0000000000001 73.5000000000001)))', '74', '73.5', '13', '12', '76G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 74.0000000000001,12.0000000000001 74.5000000000001,13.0000000000001 74.5000000000001,13.0000000000001 74.0000000000001,12.0000000000001 74.0000000000001)))', '74.5', '74', '13', '12', '77G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 74.5000000000001,12.0000000000001 75.0000000000001,13.0000000000001 75.0000000000001,13.0000000000001 74.5000000000001,12.0000000000001 74.5000000000001)))', '75', '74.5', '13', '12', '78G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 75.0000000000001,12.0000000000001 75.5000000000001,13.0000000000001 75.5000000000001,13.0000000000001 75.0000000000001,12.0000000000001 75.0000000000001)))', '75.5', '75', '13', '12', '79G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 75.5000000000001,12.0000000000001 76.0000000000001,13.0000000000001 76.0000000000001,13.0000000000001 75.5000000000001,12.0000000000001 75.5000000000001)))', '76', '75.5', '13', '12', '80G2', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((12.0000000000001 76.0000000000001,12.0000000000001 76.5000000000001,13.0000000000001 76.5000000000001,13.0000000000001 76.0000000000001,12.0000000000001 76.0000000000001)))', '76.5', '76', '13', '12', '81G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 76.5000000000001,12.0000000000001 77.0000000000001,13.0000000000001 77.0000000000001,13.0000000000001 76.5000000000001,12.0000000000001 76.5000000000001)))', '77', '76.5', '13', '12', '82G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 77.0000000000001,12.0000000000001 77.5000000000001,13.0000000000001 77.5000000000001,13.0000000000001 77.0000000000001,12.0000000000001 77.0000000000001)))', '77.5', '77', '13', '12', '83G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 77.5000000000001,12.0000000000001 78.0000000000001,13.0000000000001 78.0000000000001,13.0000000000001 77.5000000000001,12.0000000000001 77.5000000000001)))', '78', '77.5', '13', '12', '84G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 78.0000000000001,12.0000000000001 78.5000000000001,13.0000000000001 78.5000000000001,13.0000000000001 78.0000000000001,12.0000000000001 78.0000000000001)))', '78.5', '78', '13', '12', '85G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 78.5000000000001,12.0000000000001 79.0000000000001,13.0000000000001 79.0000000000001,13.0000000000001 78.5000000000001,12.0000000000001 78.5000000000001)))', '79', '78.5', '13', '12', '86G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 79.0000000000001,12.0000000000001 79.5000000000001,13.0000000000001 79.5000000000001,13.0000000000001 79.0000000000001,12.0000000000001 79.0000000000001)))', '79.5', '79', '13', '12', '87G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 79.5000000000001,12.0000000000001 80.0000000000001,13.0000000000001 80.0000000000001,13.0000000000001 79.5000000000001,12.0000000000001 79.5000000000001)))', '80', '79.5', '13', '12', '88G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 80.0000000000001,12.0000000000001 80.5000000000001,13.0000000000001 80.5000000000001,13.0000000000001 80.0000000000001,12.0000000000001 80.0000000000001)))', '80.5', '80', '13', '12', '89G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 80.5000000000001,12.0000000000001 81.0000000000001,13.0000000000001 81.0000000000001,13.0000000000001 80.5000000000001,12.0000000000001 80.5000000000001)))', '81', '80.5', '13', '12', '90G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 81.0000000000001,12.0000000000001 81.5000000000001,13.0000000000001 81.5000000000001,13.0000000000001 81.0000000000001,12.0000000000001 81.0000000000001)))', '81.5', '81', '13', '12', '91G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 81.5000000000001,12.0000000000001 82.0000000000001,13.0000000000001 82.0000000000001,13.0000000000001 81.5000000000001,12.0000000000001 81.5000000000001)))', '82', '81.5', '13', '12', '92G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 82.0000000000001,12.0000000000001 82.5000000000001,13.0000000000001 82.5000000000001,13.0000000000001 82.0000000000001,12.0000000000001 82.0000000000001)))', '82.5', '82', '13', '12', '93G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 82.5000000000001,12.0000000000001 83.0000000000001,13.0000000000001 83.0000000000001,13.0000000000001 82.5000000000001,12.0000000000001 82.5000000000001)))', '83', '82.5', '13', '12', '94G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 83.0000000000001,12.0000000000001 83.5000000000001,13.0000000000001 83.5000000000001,13.0000000000001 83.0000000000001,12.0000000000001 83.0000000000001)))', '83.5', '83', '13', '12', '95G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 83.5000000000001,12.0000000000001 84.0000000000001,13.0000000000001 84.0000000000001,13.0000000000001 83.5000000000001,12.0000000000001 83.5000000000001)))', '84', '83.5', '13', '12', '96G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 84.0000000000001,12.0000000000001 84.5000000000001,13.0000000000001 84.5000000000001,13.0000000000001 84.0000000000001,12.0000000000001 84.0000000000001)))', '84.5', '84', '13', '12', '97G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((12.0000000000001 84.5000000000001,12.0000000000001 85.0000000000001,13.0000000000001 85.0000000000001,13.0000000000001 84.5000000000001,12.0000000000001 84.5000000000001)))', '85', '84.5', '13', '12', '98G2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 53.5000000000001,13.0000000000001 54.0000000000001,14.0000000000001 54.0000000000001,14.0000000000001 53.5000000000001,13.0000000000001 53.5000000000001)))', '54', '53.5', '14', '13', '36G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 54.0000000000001,13.0000000000001 54.5000000000001,14.0000000000001 54.5000000000001,14.0000000000001 54.0000000000001,13.0000000000001 54.0000000000001)))', '54.5', '54', '14', '13', '37G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 54.5000000000001,13.0000000000001 55.0000000000001,14.0000000000001 55.0000000000001,14.0000000000001 54.5000000000001,13.0000000000001 54.5000000000001)))', '55', '54.5', '14', '13', '38G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 55.0000000000001,13.0000000000001 55.5000000000001,14.0000000000001 55.5000000000001,14.0000000000001 55.0000000000001,13.0000000000001 55.0000000000001)))', '55.5', '55', '14', '13', '39G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 55.5000000000001,13.0000000000001 56.0000000000001,14.0000000000001 56.0000000000001,14.0000000000001 55.5000000000001,13.0000000000001 55.5000000000001)))', '56', '55.5', '14', '13', '40G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 65.5000000000001,13.0000000000001 66.0000000000001,14.0000000000001 66.0000000000001,14.0000000000001 65.5000000000001,13.0000000000001 65.5000000000001)))', '66', '65.5', '14', '13', '60G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 66.0000000000001,13.0000000000001 66.5000000000001,14.0000000000001 66.5000000000001,14.0000000000001 66.0000000000001,13.0000000000001 66.0000000000001)))', '66.5', '66', '14', '13', '61G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 66.5000000000001,13.0000000000001 67.0000000000001,14.0000000000001 67.0000000000001,14.0000000000001 66.5000000000001,13.0000000000001 66.5000000000001)))', '67', '66.5', '14', '13', '62G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 67.0000000000001,13.0000000000001 67.5000000000001,14.0000000000001 67.5000000000001,14.0000000000001 67.0000000000001,13.0000000000001 67.0000000000001)))', '67.5', '67', '14', '13', '63G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 67.5000000000001,13.0000000000001 68.0000000000001,14.0000000000001 68.0000000000001,14.0000000000001 67.5000000000001,13.0000000000001 67.5000000000001)))', '68', '67.5', '14', '13', '64G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 68.0000000000001,13.0000000000001 68.5000000000001,14.0000000000001 68.5000000000001,14.0000000000001 68.0000000000001,13.0000000000001 68.0000000000001)))', '68.5', '68', '14', '13', '65G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 68.5000000000001,13.0000000000001 69.0000000000001,14.0000000000001 69.0000000000001,14.0000000000001 68.5000000000001,13.0000000000001 68.5000000000001)))', '69', '68.5', '14', '13', '66G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 69.0000000000001,13.0000000000001 69.5000000000001,14.0000000000001 69.5000000000001,14.0000000000001 69.0000000000001,13.0000000000001 69.0000000000001)))', '69.5', '69', '14', '13', '67G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 69.5000000000001,13.0000000000001 70.0000000000001,14.0000000000001 70.0000000000001,14.0000000000001 69.5000000000001,13.0000000000001 69.5000000000001)))', '70', '69.5', '14', '13', '68G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 70.0000000000001,13.0000000000001 70.5000000000001,14.0000000000001 70.5000000000001,14.0000000000001 70.0000000000001,13.0000000000001 70.0000000000001)))', '70.5', '70', '14', '13', '69G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 70.5000000000001,13.0000000000001 71.0000000000001,14.0000000000001 71.0000000000001,14.0000000000001 70.5000000000001,13.0000000000001 70.5000000000001)))', '71', '70.5', '14', '13', '70G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 71.0000000000001,13.0000000000001 71.5000000000001,14.0000000000001 71.5000000000001,14.0000000000001 71.0000000000001,13.0000000000001 71.0000000000001)))', '71.5', '71', '14', '13', '71G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 71.5000000000001,13.0000000000001 72.0000000000001,14.0000000000001 72.0000000000001,14.0000000000001 71.5000000000001,13.0000000000001 71.5000000000001)))', '72', '71.5', '14', '13', '72G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 72.0000000000001,13.0000000000001 72.5000000000001,14.0000000000001 72.5000000000001,14.0000000000001 72.0000000000001,13.0000000000001 72.0000000000001)))', '72.5', '72', '14', '13', '73G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 72.5000000000001,13.0000000000001 73.0000000000001,14.0000000000001 73.0000000000001,14.0000000000001 72.5000000000001,13.0000000000001 72.5000000000001)))', '73', '72.5', '14', '13', '74G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 73.0000000000001,13.0000000000001 73.5000000000001,14.0000000000001 73.5000000000001,14.0000000000001 73.0000000000001,13.0000000000001 73.0000000000001)))', '73.5', '73', '14', '13', '75G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 73.5000000000001,13.0000000000001 74.0000000000001,14.0000000000001 74.0000000000001,14.0000000000001 73.5000000000001,13.0000000000001 73.5000000000001)))', '74', '73.5', '14', '13', '76G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 74.0000000000001,13.0000000000001 74.5000000000001,14.0000000000001 74.5000000000001,14.0000000000001 74.0000000000001,13.0000000000001 74.0000000000001)))', '74.5', '74', '14', '13', '77G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 74.5000000000001,13.0000000000001 75.0000000000001,14.0000000000001 75.0000000000001,14.0000000000001 74.5000000000001,13.0000000000001 74.5000000000001)))', '75', '74.5', '14', '13', '78G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 75.0000000000001,13.0000000000001 75.5000000000001,14.0000000000001 75.5000000000001,14.0000000000001 75.0000000000001,13.0000000000001 75.0000000000001)))', '75.5', '75', '14', '13', '79G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 75.5000000000001,13.0000000000001 76.0000000000001,14.0000000000001 76.0000000000001,14.0000000000001 75.5000000000001,13.0000000000001 75.5000000000001)))', '76', '75.5', '14', '13', '80G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 76.0000000000001,13.0000000000001 76.5000000000001,14.0000000000001 76.5000000000001,14.0000000000001 76.0000000000001,13.0000000000001 76.0000000000001)))', '76.5', '76', '14', '13', '81G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 76.5000000000001,13.0000000000001 77.0000000000001,14.0000000000001 77.0000000000001,14.0000000000001 76.5000000000001,13.0000000000001 76.5000000000001)))', '77', '76.5', '14', '13', '82G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 77.0000000000001,13.0000000000001 77.5000000000001,14.0000000000001 77.5000000000001,14.0000000000001 77.0000000000001,13.0000000000001 77.0000000000001)))', '77.5', '77', '14', '13', '83G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 77.5000000000001,13.0000000000001 78.0000000000001,14.0000000000001 78.0000000000001,14.0000000000001 77.5000000000001,13.0000000000001 77.5000000000001)))', '78', '77.5', '14', '13', '84G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 78.0000000000001,13.0000000000001 78.5000000000001,14.0000000000001 78.5000000000001,14.0000000000001 78.0000000000001,13.0000000000001 78.0000000000001)))', '78.5', '78', '14', '13', '85G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 78.5000000000001,13.0000000000001 79.0000000000001,14.0000000000001 79.0000000000001,14.0000000000001 78.5000000000001,13.0000000000001 78.5000000000001)))', '79', '78.5', '14', '13', '86G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 79.0000000000001,13.0000000000001 79.5000000000001,14.0000000000001 79.5000000000001,14.0000000000001 79.0000000000001,13.0000000000001 79.0000000000001)))', '79.5', '79', '14', '13', '87G3', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((13.0000000000001 79.5000000000001,13.0000000000001 80.0000000000001,14.0000000000001 80.0000000000001,14.0000000000001 79.5000000000001,13.0000000000001 79.5000000000001)))', '80', '79.5', '14', '13', '88G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 80.0000000000001,13.0000000000001 80.5000000000001,14.0000000000001 80.5000000000001,14.0000000000001 80.0000000000001,13.0000000000001 80.0000000000001)))', '80.5', '80', '14', '13', '89G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 80.5000000000001,13.0000000000001 81.0000000000001,14.0000000000001 81.0000000000001,14.0000000000001 80.5000000000001,13.0000000000001 80.5000000000001)))', '81', '80.5', '14', '13', '90G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 81.0000000000001,13.0000000000001 81.5000000000001,14.0000000000001 81.5000000000001,14.0000000000001 81.0000000000001,13.0000000000001 81.0000000000001)))', '81.5', '81', '14', '13', '91G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 81.5000000000001,13.0000000000001 82.0000000000001,14.0000000000001 82.0000000000001,14.0000000000001 81.5000000000001,13.0000000000001 81.5000000000001)))', '82', '81.5', '14', '13', '92G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 82.0000000000001,13.0000000000001 82.5000000000001,14.0000000000001 82.5000000000001,14.0000000000001 82.0000000000001,13.0000000000001 82.0000000000001)))', '82.5', '82', '14', '13', '93G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 82.5000000000001,13.0000000000001 83.0000000000001,14.0000000000001 83.0000000000001,14.0000000000001 82.5000000000001,13.0000000000001 82.5000000000001)))', '83', '82.5', '14', '13', '94G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 83.0000000000001,13.0000000000001 83.5000000000001,14.0000000000001 83.5000000000001,14.0000000000001 83.0000000000001,13.0000000000001 83.0000000000001)))', '83.5', '83', '14', '13', '95G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 83.5000000000001,13.0000000000001 84.0000000000001,14.0000000000001 84.0000000000001,14.0000000000001 83.5000000000001,13.0000000000001 83.5000000000001)))', '84', '83.5', '14', '13', '96G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 84.0000000000001,13.0000000000001 84.5000000000001,14.0000000000001 84.5000000000001,14.0000000000001 84.0000000000001,13.0000000000001 84.0000000000001)))', '84.5', '84', '14', '13', '97G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((13.0000000000001 84.5000000000001,13.0000000000001 85.0000000000001,14.0000000000001 85.0000000000001,14.0000000000001 84.5000000000001,13.0000000000001 84.5000000000001)))', '85', '84.5', '14', '13', '98G3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 53.5000000000001,14.0000000000001 54.0000000000001,15.0000000000001 54.0000000000001,15.0000000000001 53.5000000000001,14.0000000000001 53.5000000000001)))', '54', '53.5', '15', '14', '36G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 54.0000000000001,14.0000000000001 54.5000000000001,15.0000000000001 54.5000000000001,15.0000000000001 54.0000000000001,14.0000000000001 54.0000000000001)))', '54.5', '54', '15', '14', '37G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 54.5000000000001,14.0000000000001 55.0000000000001,15.0000000000001 55.0000000000001,15.0000000000001 54.5000000000001,14.0000000000001 54.5000000000001)))', '55', '54.5', '15', '14', '38G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 55.0000000000001,14.0000000000001 55.5000000000001,15.0000000000001 55.5000000000001,15.0000000000001 55.0000000000001,14.0000000000001 55.0000000000001)))', '55.5', '55', '15', '14', '39G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 55.5000000000001,14.0000000000001 56.0000000000001,15.0000000000001 56.0000000000001,15.0000000000001 55.5000000000001,14.0000000000001 55.5000000000001)))', '56', '55.5', '15', '14', '40G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 56.0000000000001,14.0000000000001 56.5000000000001,15.0000000000001 56.5000000000001,15.0000000000001 56.0000000000001,14.0000000000001 56.0000000000001)))', '56.5', '56', '15', '14', '41G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 66.0000000000001,14.0000000000001 66.5000000000001,15.0000000000001 66.5000000000001,15.0000000000001 66.0000000000001,14.0000000000001 66.0000000000001)))', '66.5', '66', '15', '14', '61G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 66.5000000000001,14.0000000000001 67.0000000000001,15.0000000000001 67.0000000000001,15.0000000000001 66.5000000000001,14.0000000000001 66.5000000000001)))', '67', '66.5', '15', '14', '62G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 67.0000000000001,14.0000000000001 67.5000000000001,15.0000000000001 67.5000000000001,15.0000000000001 67.0000000000001,14.0000000000001 67.0000000000001)))', '67.5', '67', '15', '14', '63G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 67.5000000000001,14.0000000000001 68.0000000000001,15.0000000000001 68.0000000000001,15.0000000000001 67.5000000000001,14.0000000000001 67.5000000000001)))', '68', '67.5', '15', '14', '64G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 68.0000000000001,14.0000000000001 68.5000000000001,15.0000000000001 68.5000000000001,15.0000000000001 68.0000000000001,14.0000000000001 68.0000000000001)))', '68.5', '68', '15', '14', '65G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 68.5000000000001,14.0000000000001 69.0000000000001,15.0000000000001 69.0000000000001,15.0000000000001 68.5000000000001,14.0000000000001 68.5000000000001)))', '69', '68.5', '15', '14', '66G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 69.0000000000001,14.0000000000001 69.5000000000001,15.0000000000001 69.5000000000001,15.0000000000001 69.0000000000001,14.0000000000001 69.0000000000001)))', '69.5', '69', '15', '14', '67G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 69.5000000000001,14.0000000000001 70.0000000000001,15.0000000000001 70.0000000000001,15.0000000000001 69.5000000000001,14.0000000000001 69.5000000000001)))', '70', '69.5', '15', '14', '68G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 70.0000000000001,14.0000000000001 70.5000000000001,15.0000000000001 70.5000000000001,15.0000000000001 70.0000000000001,14.0000000000001 70.0000000000001)))', '70.5', '70', '15', '14', '69G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 70.5000000000001,14.0000000000001 71.0000000000001,15.0000000000001 71.0000000000001,15.0000000000001 70.5000000000001,14.0000000000001 70.5000000000001)))', '71', '70.5', '15', '14', '70G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 71.0000000000001,14.0000000000001 71.5000000000001,15.0000000000001 71.5000000000001,15.0000000000001 71.0000000000001,14.0000000000001 71.0000000000001)))', '71.5', '71', '15', '14', '71G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 71.5000000000001,14.0000000000001 72.0000000000001,15.0000000000001 72.0000000000001,15.0000000000001 71.5000000000001,14.0000000000001 71.5000000000001)))', '72', '71.5', '15', '14', '72G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 72.0000000000001,14.0000000000001 72.5000000000001,15.0000000000001 72.5000000000001,15.0000000000001 72.0000000000001,14.0000000000001 72.0000000000001)))', '72.5', '72', '15', '14', '73G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 72.5000000000001,14.0000000000001 73.0000000000001,15.0000000000001 73.0000000000001,15.0000000000001 72.5000000000001,14.0000000000001 72.5000000000001)))', '73', '72.5', '15', '14', '74G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 73.0000000000001,14.0000000000001 73.5000000000001,15.0000000000001 73.5000000000001,15.0000000000001 73.0000000000001,14.0000000000001 73.0000000000001)))', '73.5', '73', '15', '14', '75G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 73.5000000000001,14.0000000000001 74.0000000000001,15.0000000000001 74.0000000000001,15.0000000000001 73.5000000000001,14.0000000000001 73.5000000000001)))', '74', '73.5', '15', '14', '76G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 74.0000000000001,14.0000000000001 74.5000000000001,15.0000000000001 74.5000000000001,15.0000000000001 74.0000000000001,14.0000000000001 74.0000000000001)))', '74.5', '74', '15', '14', '77G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 74.5000000000001,14.0000000000001 75.0000000000001,15.0000000000001 75.0000000000001,15.0000000000001 74.5000000000001,14.0000000000001 74.5000000000001)))', '75', '74.5', '15', '14', '78G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 75.0000000000001,14.0000000000001 75.5000000000001,15.0000000000001 75.5000000000001,15.0000000000001 75.0000000000001,14.0000000000001 75.0000000000001)))', '75.5', '75', '15', '14', '79G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 75.5000000000001,14.0000000000001 76.0000000000001,15.0000000000001 76.0000000000001,15.0000000000001 75.5000000000001,14.0000000000001 75.5000000000001)))', '76', '75.5', '15', '14', '80G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 76.0000000000001,14.0000000000001 76.5000000000001,15.0000000000001 76.5000000000001,15.0000000000001 76.0000000000001,14.0000000000001 76.0000000000001)))', '76.5', '76', '15', '14', '81G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 76.5000000000001,14.0000000000001 77.0000000000001,15.0000000000001 77.0000000000001,15.0000000000001 76.5000000000001,14.0000000000001 76.5000000000001)))', '77', '76.5', '15', '14', '82G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 77.0000000000001,14.0000000000001 77.5000000000001,15.0000000000001 77.5000000000001,15.0000000000001 77.0000000000001,14.0000000000001 77.0000000000001)))', '77.5', '77', '15', '14', '83G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 77.5000000000001,14.0000000000001 78.0000000000001,15.0000000000001 78.0000000000001,15.0000000000001 77.5000000000001,14.0000000000001 77.5000000000001)))', '78', '77.5', '15', '14', '84G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 78.0000000000001,14.0000000000001 78.5000000000001,15.0000000000001 78.5000000000001,15.0000000000001 78.0000000000001,14.0000000000001 78.0000000000001)))', '78.5', '78', '15', '14', '85G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 78.5000000000001,14.0000000000001 79.0000000000001,15.0000000000001 79.0000000000001,15.0000000000001 78.5000000000001,14.0000000000001 78.5000000000001)))', '79', '78.5', '15', '14', '86G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 79.0000000000001,14.0000000000001 79.5000000000001,15.0000000000001 79.5000000000001,15.0000000000001 79.0000000000001,14.0000000000001 79.0000000000001)))', '79.5', '79', '15', '14', '87G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 79.5000000000001,14.0000000000001 80.0000000000001,15.0000000000001 80.0000000000001,15.0000000000001 79.5000000000001,14.0000000000001 79.5000000000001)))', '80', '79.5', '15', '14', '88G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 80.0000000000001,14.0000000000001 80.5000000000001,15.0000000000001 80.5000000000001,15.0000000000001 80.0000000000001,14.0000000000001 80.0000000000001)))', '80.5', '80', '15', '14', '89G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 80.5000000000001,14.0000000000001 81.0000000000001,15.0000000000001 81.0000000000001,15.0000000000001 80.5000000000001,14.0000000000001 80.5000000000001)))', '81', '80.5', '15', '14', '90G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 81.0000000000001,14.0000000000001 81.5000000000001,15.0000000000001 81.5000000000001,15.0000000000001 81.0000000000001,14.0000000000001 81.0000000000001)))', '81.5', '81', '15', '14', '91G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 81.5000000000001,14.0000000000001 82.0000000000001,15.0000000000001 82.0000000000001,15.0000000000001 81.5000000000001,14.0000000000001 81.5000000000001)))', '82', '81.5', '15', '14', '92G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 82.0000000000001,14.0000000000001 82.5000000000001,15.0000000000001 82.5000000000001,15.0000000000001 82.0000000000001,14.0000000000001 82.0000000000001)))', '82.5', '82', '15', '14', '93G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 82.5000000000001,14.0000000000001 83.0000000000001,15.0000000000001 83.0000000000001,15.0000000000001 82.5000000000001,14.0000000000001 82.5000000000001)))', '83', '82.5', '15', '14', '94G4', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((14.0000000000001 83.0000000000001,14.0000000000001 83.5000000000001,15.0000000000001 83.5000000000001,15.0000000000001 83.0000000000001,14.0000000000001 83.0000000000001)))', '83.5', '83', '15', '14', '95G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 83.5000000000001,14.0000000000001 84.0000000000001,15.0000000000001 84.0000000000001,15.0000000000001 83.5000000000001,14.0000000000001 83.5000000000001)))', '84', '83.5', '15', '14', '96G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 84.0000000000001,14.0000000000001 84.5000000000001,15.0000000000001 84.5000000000001,15.0000000000001 84.0000000000001,14.0000000000001 84.0000000000001)))', '84.5', '84', '15', '14', '97G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((14.0000000000001 84.5000000000001,14.0000000000001 85.0000000000001,15.0000000000001 85.0000000000001,15.0000000000001 84.5000000000001,14.0000000000001 84.5000000000001)))', '85', '84.5', '15', '14', '98G4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 54.0000000000001,15.0000000000001 54.5000000000001,16.0000000000001 54.5000000000001,16.0000000000001 54.0000000000001,15.0000000000001 54.0000000000001)))', '54.5', '54', '16', '15', '37G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 54.5000000000001,15.0000000000001 55.0000000000001,16.0000000000001 55.0000000000001,16.0000000000001 54.5000000000001,15.0000000000001 54.5000000000001)))', '55', '54.5', '16', '15', '38G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 55.0000000000001,15.0000000000001 55.5000000000001,16.0000000000001 55.5000000000001,16.0000000000001 55.0000000000001,15.0000000000001 55.0000000000001)))', '55.5', '55', '16', '15', '39G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 55.5000000000001,15.0000000000001 56.0000000000001,16.0000000000001 56.0000000000001,16.0000000000001 55.5000000000001,15.0000000000001 55.5000000000001)))', '56', '55.5', '16', '15', '40G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 56.0000000000001,15.0000000000001 56.5000000000001,16.0000000000001 56.5000000000001,16.0000000000001 56.0000000000001,15.0000000000001 56.0000000000001)))', '56.5', '56', '16', '15', '41G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 67.0000000000001,15.0000000000001 67.5000000000001,16.0000000000001 67.5000000000001,16.0000000000001 67.0000000000001,15.0000000000001 67.0000000000001)))', '67.5', '67', '16', '15', '63G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 67.5000000000001,15.0000000000001 68.0000000000001,16.0000000000001 68.0000000000001,16.0000000000001 67.5000000000001,15.0000000000001 67.5000000000001)))', '68', '67.5', '16', '15', '64G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 68.0000000000001,15.0000000000001 68.5000000000001,16.0000000000001 68.5000000000001,16.0000000000001 68.0000000000001,15.0000000000001 68.0000000000001)))', '68.5', '68', '16', '15', '65G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 68.5000000000001,15.0000000000001 69.0000000000001,16.0000000000001 69.0000000000001,16.0000000000001 68.5000000000001,15.0000000000001 68.5000000000001)))', '69', '68.5', '16', '15', '66G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 69.0000000000001,15.0000000000001 69.5000000000001,16.0000000000001 69.5000000000001,16.0000000000001 69.0000000000001,15.0000000000001 69.0000000000001)))', '69.5', '69', '16', '15', '67G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 69.5000000000001,15.0000000000001 70.0000000000001,16.0000000000001 70.0000000000001,16.0000000000001 69.5000000000001,15.0000000000001 69.5000000000001)))', '70', '69.5', '16', '15', '68G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 70.0000000000001,15.0000000000001 70.5000000000001,16.0000000000001 70.5000000000001,16.0000000000001 70.0000000000001,15.0000000000001 70.0000000000001)))', '70.5', '70', '16', '15', '69G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 70.5000000000001,15.0000000000001 71.0000000000001,16.0000000000001 71.0000000000001,16.0000000000001 70.5000000000001,15.0000000000001 70.5000000000001)))', '71', '70.5', '16', '15', '70G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 71.0000000000001,15.0000000000001 71.5000000000001,16.0000000000001 71.5000000000001,16.0000000000001 71.0000000000001,15.0000000000001 71.0000000000001)))', '71.5', '71', '16', '15', '71G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 71.5000000000001,15.0000000000001 72.0000000000001,16.0000000000001 72.0000000000001,16.0000000000001 71.5000000000001,15.0000000000001 71.5000000000001)))', '72', '71.5', '16', '15', '72G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 72.0000000000001,15.0000000000001 72.5000000000001,16.0000000000001 72.5000000000001,16.0000000000001 72.0000000000001,15.0000000000001 72.0000000000001)))', '72.5', '72', '16', '15', '73G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 72.5000000000001,15.0000000000001 73.0000000000001,16.0000000000001 73.0000000000001,16.0000000000001 72.5000000000001,15.0000000000001 72.5000000000001)))', '73', '72.5', '16', '15', '74G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 73.0000000000001,15.0000000000001 73.5000000000001,16.0000000000001 73.5000000000001,16.0000000000001 73.0000000000001,15.0000000000001 73.0000000000001)))', '73.5', '73', '16', '15', '75G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 73.5000000000001,15.0000000000001 74.0000000000001,16.0000000000001 74.0000000000001,16.0000000000001 73.5000000000001,15.0000000000001 73.5000000000001)))', '74', '73.5', '16', '15', '76G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 74.0000000000001,15.0000000000001 74.5000000000001,16.0000000000001 74.5000000000001,16.0000000000001 74.0000000000001,15.0000000000001 74.0000000000001)))', '74.5', '74', '16', '15', '77G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 74.5000000000001,15.0000000000001 75.0000000000001,16.0000000000001 75.0000000000001,16.0000000000001 74.5000000000001,15.0000000000001 74.5000000000001)))', '75', '74.5', '16', '15', '78G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 75.0000000000001,15.0000000000001 75.5000000000001,16.0000000000001 75.5000000000001,16.0000000000001 75.0000000000001,15.0000000000001 75.0000000000001)))', '75.5', '75', '16', '15', '79G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 75.5000000000001,15.0000000000001 76.0000000000001,16.0000000000001 76.0000000000001,16.0000000000001 75.5000000000001,15.0000000000001 75.5000000000001)))', '76', '75.5', '16', '15', '80G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 76.0000000000001,15.0000000000001 76.5000000000001,16.0000000000001 76.5000000000001,16.0000000000001 76.0000000000001,15.0000000000001 76.0000000000001)))', '76.5', '76', '16', '15', '81G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 76.5000000000001,15.0000000000001 77.0000000000001,16.0000000000001 77.0000000000001,16.0000000000001 76.5000000000001,15.0000000000001 76.5000000000001)))', '77', '76.5', '16', '15', '82G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 77.0000000000001,15.0000000000001 77.5000000000001,16.0000000000001 77.5000000000001,16.0000000000001 77.0000000000001,15.0000000000001 77.0000000000001)))', '77.5', '77', '16', '15', '83G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 77.5000000000001,15.0000000000001 78.0000000000001,16.0000000000001 78.0000000000001,16.0000000000001 77.5000000000001,15.0000000000001 77.5000000000001)))', '78', '77.5', '16', '15', '84G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 78.0000000000001,15.0000000000001 78.5000000000001,16.0000000000001 78.5000000000001,16.0000000000001 78.0000000000001,15.0000000000001 78.0000000000001)))', '78.5', '78', '16', '15', '85G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 78.5000000000001,15.0000000000001 79.0000000000001,16.0000000000001 79.0000000000001,16.0000000000001 78.5000000000001,15.0000000000001 78.5000000000001)))', '79', '78.5', '16', '15', '86G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 79.0000000000001,15.0000000000001 79.5000000000001,16.0000000000001 79.5000000000001,16.0000000000001 79.0000000000001,15.0000000000001 79.0000000000001)))', '79.5', '79', '16', '15', '87G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 79.5000000000001,15.0000000000001 80.0000000000001,16.0000000000001 80.0000000000001,16.0000000000001 79.5000000000001,15.0000000000001 79.5000000000001)))', '80', '79.5', '16', '15', '88G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 80.0000000000001,15.0000000000001 80.5000000000001,16.0000000000001 80.5000000000001,16.0000000000001 80.0000000000001,15.0000000000001 80.0000000000001)))', '80.5', '80', '16', '15', '89G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 80.5000000000001,15.0000000000001 81.0000000000001,16.0000000000001 81.0000000000001,16.0000000000001 80.5000000000001,15.0000000000001 80.5000000000001)))', '81', '80.5', '16', '15', '90G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 81.0000000000001,15.0000000000001 81.5000000000001,16.0000000000001 81.5000000000001,16.0000000000001 81.0000000000001,15.0000000000001 81.0000000000001)))', '81.5', '81', '16', '15', '91G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 81.5000000000001,15.0000000000001 82.0000000000001,16.0000000000001 82.0000000000001,16.0000000000001 81.5000000000001,15.0000000000001 81.5000000000001)))', '82', '81.5', '16', '15', '92G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 82.0000000000001,15.0000000000001 82.5000000000001,16.0000000000001 82.5000000000001,16.0000000000001 82.0000000000001,15.0000000000001 82.0000000000001)))', '82.5', '82', '16', '15', '93G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 82.5000000000001,15.0000000000001 83.0000000000001,16.0000000000001 83.0000000000001,16.0000000000001 82.5000000000001,15.0000000000001 82.5000000000001)))', '83', '82.5', '16', '15', '94G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 83.0000000000001,15.0000000000001 83.5000000000001,16.0000000000001 83.5000000000001,16.0000000000001 83.0000000000001,15.0000000000001 83.0000000000001)))', '83.5', '83', '16', '15', '95G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 83.5000000000001,15.0000000000001 84.0000000000001,16.0000000000001 84.0000000000001,16.0000000000001 83.5000000000001,15.0000000000001 83.5000000000001)))', '84', '83.5', '16', '15', '96G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 84.0000000000001,15.0000000000001 84.5000000000001,16.0000000000001 84.5000000000001,16.0000000000001 84.0000000000001,15.0000000000001 84.0000000000001)))', '84.5', '84', '16', '15', '97G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((15.0000000000001 84.5000000000001,15.0000000000001 85.0000000000001,16.0000000000001 85.0000000000001,16.0000000000001 84.5000000000001,15.0000000000001 84.5000000000001)))', '85', '84.5', '16', '15', '98G5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 54.0000000000001,16.0000000000001 54.5000000000001,17.0000000000001 54.5000000000001,17.0000000000001 54.0000000000001,16.0000000000001 54.0000000000001)))', '54.5', '54', '17', '16', '37G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 54.5000000000001,16.0000000000001 55.0000000000001,17.0000000000001 55.0000000000001,17.0000000000001 54.5000000000001,16.0000000000001 54.5000000000001)))', '55', '54.5', '17', '16', '38G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 55.0000000000001,16.0000000000001 55.5000000000001,17.0000000000001 55.5000000000001,17.0000000000001 55.0000000000001,16.0000000000001 55.0000000000001)))', '55.5', '55', '17', '16', '39G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 55.5000000000001,16.0000000000001 56.0000000000001,17.0000000000001 56.0000000000001,17.0000000000001 55.5000000000001,16.0000000000001 55.5000000000001)))', '56', '55.5', '17', '16', '40G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 56.0000000000001,16.0000000000001 56.5000000000001,17.0000000000001 56.5000000000001,17.0000000000001 56.0000000000001,16.0000000000001 56.0000000000001)))', '56.5', '56', '17', '16', '41G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 56.5000000000001,16.0000000000001 57.0000000000001,17.0000000000001 57.0000000000001,17.0000000000001 56.5000000000001,16.0000000000001 56.5000000000001)))', '57', '56.5', '17', '16', '42G6', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((16.0000000000001 57.0000000000001,16.0000000000001 57.5000000000001,17.0000000000001 57.5000000000001,17.0000000000001 57.0000000000001,16.0000000000001 57.0000000000001)))', '57.5', '57', '17', '16', '43G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 57.5000000000001,16.0000000000001 58.0000000000001,17.0000000000001 58.0000000000001,17.0000000000001 57.5000000000001,16.0000000000001 57.5000000000001)))', '58', '57.5', '17', '16', '44G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 58.0000000000001,16.0000000000001 58.5000000000001,17.0000000000001 58.5000000000001,17.0000000000001 58.0000000000001,16.0000000000001 58.0000000000001)))', '58.5', '58', '17', '16', '45G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 58.5000000000001,16.0000000000001 59.0000000000001,17.0000000000001 59.0000000000001,17.0000000000001 58.5000000000001,16.0000000000001 58.5000000000001)))', '59', '58.5', '17', '16', '46G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 67.5000000000001,16.0000000000001 68.0000000000001,17.0000000000001 68.0000000000001,17.0000000000001 67.5000000000001,16.0000000000001 67.5000000000001)))', '68', '67.5', '17', '16', '64G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 68.0000000000001,16.0000000000001 68.5000000000001,17.0000000000001 68.5000000000001,17.0000000000001 68.0000000000001,16.0000000000001 68.0000000000001)))', '68.5', '68', '17', '16', '65G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 68.5000000000001,16.0000000000001 69.0000000000001,17.0000000000001 69.0000000000001,17.0000000000001 68.5000000000001,16.0000000000001 68.5000000000001)))', '69', '68.5', '17', '16', '66G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 69.0000000000001,16.0000000000001 69.5000000000001,17.0000000000001 69.5000000000001,17.0000000000001 69.0000000000001,16.0000000000001 69.0000000000001)))', '69.5', '69', '17', '16', '67G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 69.5000000000001,16.0000000000001 70.0000000000001,17.0000000000001 70.0000000000001,17.0000000000001 69.5000000000001,16.0000000000001 69.5000000000001)))', '70', '69.5', '17', '16', '68G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 70.0000000000001,16.0000000000001 70.5000000000001,17.0000000000001 70.5000000000001,17.0000000000001 70.0000000000001,16.0000000000001 70.0000000000001)))', '70.5', '70', '17', '16', '69G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 70.5000000000001,16.0000000000001 71.0000000000001,17.0000000000001 71.0000000000001,17.0000000000001 70.5000000000001,16.0000000000001 70.5000000000001)))', '71', '70.5', '17', '16', '70G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 71.0000000000001,16.0000000000001 71.5000000000001,17.0000000000001 71.5000000000001,17.0000000000001 71.0000000000001,16.0000000000001 71.0000000000001)))', '71.5', '71', '17', '16', '71G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 71.5000000000001,16.0000000000001 72.0000000000001,17.0000000000001 72.0000000000001,17.0000000000001 71.5000000000001,16.0000000000001 71.5000000000001)))', '72', '71.5', '17', '16', '72G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 72.0000000000001,16.0000000000001 72.5000000000001,17.0000000000001 72.5000000000001,17.0000000000001 72.0000000000001,16.0000000000001 72.0000000000001)))', '72.5', '72', '17', '16', '73G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 72.5000000000001,16.0000000000001 73.0000000000001,17.0000000000001 73.0000000000001,17.0000000000001 72.5000000000001,16.0000000000001 72.5000000000001)))', '73', '72.5', '17', '16', '74G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 73.0000000000001,16.0000000000001 73.5000000000001,17.0000000000001 73.5000000000001,17.0000000000001 73.0000000000001,16.0000000000001 73.0000000000001)))', '73.5', '73', '17', '16', '75G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 73.5000000000001,16.0000000000001 74.0000000000001,17.0000000000001 74.0000000000001,17.0000000000001 73.5000000000001,16.0000000000001 73.5000000000001)))', '74', '73.5', '17', '16', '76G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 74.0000000000001,16.0000000000001 74.5000000000001,17.0000000000001 74.5000000000001,17.0000000000001 74.0000000000001,16.0000000000001 74.0000000000001)))', '74.5', '74', '17', '16', '77G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 74.5000000000001,16.0000000000001 75.0000000000001,17.0000000000001 75.0000000000001,17.0000000000001 74.5000000000001,16.0000000000001 74.5000000000001)))', '75', '74.5', '17', '16', '78G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 75.0000000000001,16.0000000000001 75.5000000000001,17.0000000000001 75.5000000000001,17.0000000000001 75.0000000000001,16.0000000000001 75.0000000000001)))', '75.5', '75', '17', '16', '79G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 75.5000000000001,16.0000000000001 76.0000000000001,17.0000000000001 76.0000000000001,17.0000000000001 75.5000000000001,16.0000000000001 75.5000000000001)))', '76', '75.5', '17', '16', '80G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 76.0000000000001,16.0000000000001 76.5000000000001,17.0000000000001 76.5000000000001,17.0000000000001 76.0000000000001,16.0000000000001 76.0000000000001)))', '76.5', '76', '17', '16', '81G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 76.5000000000001,16.0000000000001 77.0000000000001,17.0000000000001 77.0000000000001,17.0000000000001 76.5000000000001,16.0000000000001 76.5000000000001)))', '77', '76.5', '17', '16', '82G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 77.0000000000001,16.0000000000001 77.5000000000001,17.0000000000001 77.5000000000001,17.0000000000001 77.0000000000001,16.0000000000001 77.0000000000001)))', '77.5', '77', '17', '16', '83G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 77.5000000000001,16.0000000000001 78.0000000000001,17.0000000000001 78.0000000000001,17.0000000000001 77.5000000000001,16.0000000000001 77.5000000000001)))', '78', '77.5', '17', '16', '84G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 78.0000000000001,16.0000000000001 78.5000000000001,17.0000000000001 78.5000000000001,17.0000000000001 78.0000000000001,16.0000000000001 78.0000000000001)))', '78.5', '78', '17', '16', '85G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 78.5000000000001,16.0000000000001 79.0000000000001,17.0000000000001 79.0000000000001,17.0000000000001 78.5000000000001,16.0000000000001 78.5000000000001)))', '79', '78.5', '17', '16', '86G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 79.0000000000001,16.0000000000001 79.5000000000001,17.0000000000001 79.5000000000001,17.0000000000001 79.0000000000001,16.0000000000001 79.0000000000001)))', '79.5', '79', '17', '16', '87G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 79.5000000000001,16.0000000000001 80.0000000000001,17.0000000000001 80.0000000000001,17.0000000000001 79.5000000000001,16.0000000000001 79.5000000000001)))', '80', '79.5', '17', '16', '88G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 80.0000000000001,16.0000000000001 80.5000000000001,17.0000000000001 80.5000000000001,17.0000000000001 80.0000000000001,16.0000000000001 80.0000000000001)))', '80.5', '80', '17', '16', '89G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 80.5000000000001,16.0000000000001 81.0000000000001,17.0000000000001 81.0000000000001,17.0000000000001 80.5000000000001,16.0000000000001 80.5000000000001)))', '81', '80.5', '17', '16', '90G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 81.0000000000001,16.0000000000001 81.5000000000001,17.0000000000001 81.5000000000001,17.0000000000001 81.0000000000001,16.0000000000001 81.0000000000001)))', '81.5', '81', '17', '16', '91G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 81.5000000000001,16.0000000000001 82.0000000000001,17.0000000000001 82.0000000000001,17.0000000000001 81.5000000000001,16.0000000000001 81.5000000000001)))', '82', '81.5', '17', '16', '92G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 82.0000000000001,16.0000000000001 82.5000000000001,17.0000000000001 82.5000000000001,17.0000000000001 82.0000000000001,16.0000000000001 82.0000000000001)))', '82.5', '82', '17', '16', '93G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 82.5000000000001,16.0000000000001 83.0000000000001,17.0000000000001 83.0000000000001,17.0000000000001 82.5000000000001,16.0000000000001 82.5000000000001)))', '83', '82.5', '17', '16', '94G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 83.0000000000001,16.0000000000001 83.5000000000001,17.0000000000001 83.5000000000001,17.0000000000001 83.0000000000001,16.0000000000001 83.0000000000001)))', '83.5', '83', '17', '16', '95G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 83.5000000000001,16.0000000000001 84.0000000000001,17.0000000000001 84.0000000000001,17.0000000000001 83.5000000000001,16.0000000000001 83.5000000000001)))', '84', '83.5', '17', '16', '96G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 84.0000000000001,16.0000000000001 84.5000000000001,17.0000000000001 84.5000000000001,17.0000000000001 84.0000000000001,16.0000000000001 84.0000000000001)))', '84.5', '84', '17', '16', '97G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((16.0000000000001 84.5000000000001,16.0000000000001 85.0000000000001,17.0000000000001 85.0000000000001,17.0000000000001 84.5000000000001,16.0000000000001 84.5000000000001)))', '85', '84.5', '17', '16', '98G6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 54.5000000000001,17.0000000000001 55.0000000000001,18.0000000000001 55.0000000000001,18.0000000000001 54.5000000000001,17.0000000000001 54.5000000000001)))', '55', '54.5', '18', '17', '38G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 55.0000000000001,17.0000000000001 55.5000000000001,18.0000000000001 55.5000000000001,18.0000000000001 55.0000000000001,17.0000000000001 55.0000000000001)))', '55.5', '55', '18', '17', '39G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 55.5000000000001,17.0000000000001 56.0000000000001,18.0000000000001 56.0000000000001,18.0000000000001 55.5000000000001,17.0000000000001 55.5000000000001)))', '56', '55.5', '18', '17', '40G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 56.0000000000001,17.0000000000001 56.5000000000001,18.0000000000001 56.5000000000001,18.0000000000001 56.0000000000001,17.0000000000001 56.0000000000001)))', '56.5', '56', '18', '17', '41G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 56.5000000000001,17.0000000000001 57.0000000000001,18.0000000000001 57.0000000000001,18.0000000000001 56.5000000000001,17.0000000000001 56.5000000000001)))', '57', '56.5', '18', '17', '42G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 57.0000000000001,17.0000000000001 57.5000000000001,18.0000000000001 57.5000000000001,18.0000000000001 57.0000000000001,17.0000000000001 57.0000000000001)))', '57.5', '57', '18', '17', '43G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 57.5000000000001,17.0000000000001 58.0000000000001,18.0000000000001 58.0000000000001,18.0000000000001 57.5000000000001,17.0000000000001 57.5000000000001)))', '58', '57.5', '18', '17', '44G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 58.0000000000001,17.0000000000001 58.5000000000001,18.0000000000001 58.5000000000001,18.0000000000001 58.0000000000001,17.0000000000001 58.0000000000001)))', '58.5', '58', '18', '17', '45G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 58.5000000000001,17.0000000000001 59.0000000000001,18.0000000000001 59.0000000000001,18.0000000000001 58.5000000000001,17.0000000000001 58.5000000000001)))', '59', '58.5', '18', '17', '46G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 59.0000000000001,17.0000000000001 59.5000000000001,18.0000000000001 59.5000000000001,18.0000000000001 59.0000000000001,17.0000000000001 59.0000000000001)))', '59.5', '59', '18', '17', '47G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 60.0000000000001,17.0000000000001 60.5000000000001,18.0000000000001 60.5000000000001,18.0000000000001 60.0000000000001,17.0000000000001 60.0000000000001)))', '60.5', '60', '18', '17', '49G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 60.5000000000001,17.0000000000001 61.0000000000001,18.0000000000001 61.0000000000001,18.0000000000001 60.5000000000001,17.0000000000001 60.5000000000001)))', '61', '60.5', '18', '17', '50G7', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((17.0000000000001 61.0000000000001,17.0000000000001 61.5000000000001,18.0000000000001 61.5000000000001,18.0000000000001 61.0000000000001,17.0000000000001 61.0000000000001)))', '61.5', '61', '18', '17', '51G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 61.5000000000001,17.0000000000001 62.0000000000001,18.0000000000001 62.0000000000001,18.0000000000001 61.5000000000001,17.0000000000001 61.5000000000001)))', '62', '61.5', '18', '17', '52G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 62.0000000000001,17.0000000000001 62.5000000000001,18.0000000000001 62.5000000000001,18.0000000000001 62.0000000000001,17.0000000000001 62.0000000000001)))', '62.5', '62', '18', '17', '53G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 62.5000000000001,17.0000000000001 63.0000000000001,18.0000000000001 63.0000000000001,18.0000000000001 62.5000000000001,17.0000000000001 62.5000000000001)))', '63', '62.5', '18', '17', '54G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 63.0000000000001,17.0000000000001 63.5000000000001,18.0000000000001 63.5000000000001,18.0000000000001 63.0000000000001,17.0000000000001 63.0000000000001)))', '63.5', '63', '18', '17', '55G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 68.0000000000001,17.0000000000001 68.5000000000001,18.0000000000001 68.5000000000001,18.0000000000001 68.0000000000001,17.0000000000001 68.0000000000001)))', '68.5', '68', '18', '17', '65G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 68.5000000000001,17.0000000000001 69.0000000000001,18.0000000000001 69.0000000000001,18.0000000000001 68.5000000000001,17.0000000000001 68.5000000000001)))', '69', '68.5', '18', '17', '66G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 69.0000000000001,17.0000000000001 69.5000000000001,18.0000000000001 69.5000000000001,18.0000000000001 69.0000000000001,17.0000000000001 69.0000000000001)))', '69.5', '69', '18', '17', '67G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 69.5000000000001,17.0000000000001 70.0000000000001,18.0000000000001 70.0000000000001,18.0000000000001 69.5000000000001,17.0000000000001 69.5000000000001)))', '70', '69.5', '18', '17', '68G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 70.0000000000001,17.0000000000001 70.5000000000001,18.0000000000001 70.5000000000001,18.0000000000001 70.0000000000001,17.0000000000001 70.0000000000001)))', '70.5', '70', '18', '17', '69G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 70.5000000000001,17.0000000000001 71.0000000000001,18.0000000000001 71.0000000000001,18.0000000000001 70.5000000000001,17.0000000000001 70.5000000000001)))', '71', '70.5', '18', '17', '70G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 71.0000000000001,17.0000000000001 71.5000000000001,18.0000000000001 71.5000000000001,18.0000000000001 71.0000000000001,17.0000000000001 71.0000000000001)))', '71.5', '71', '18', '17', '71G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 71.5000000000001,17.0000000000001 72.0000000000001,18.0000000000001 72.0000000000001,18.0000000000001 71.5000000000001,17.0000000000001 71.5000000000001)))', '72', '71.5', '18', '17', '72G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 72.0000000000001,17.0000000000001 72.5000000000001,18.0000000000001 72.5000000000001,18.0000000000001 72.0000000000001,17.0000000000001 72.0000000000001)))', '72.5', '72', '18', '17', '73G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 72.5000000000001,17.0000000000001 73.0000000000001,18.0000000000001 73.0000000000001,18.0000000000001 72.5000000000001,17.0000000000001 72.5000000000001)))', '73', '72.5', '18', '17', '74G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 73.0000000000001,17.0000000000001 73.5000000000001,18.0000000000001 73.5000000000001,18.0000000000001 73.0000000000001,17.0000000000001 73.0000000000001)))', '73.5', '73', '18', '17', '75G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 73.5000000000001,17.0000000000001 74.0000000000001,18.0000000000001 74.0000000000001,18.0000000000001 73.5000000000001,17.0000000000001 73.5000000000001)))', '74', '73.5', '18', '17', '76G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 74.0000000000001,17.0000000000001 74.5000000000001,18.0000000000001 74.5000000000001,18.0000000000001 74.0000000000001,17.0000000000001 74.0000000000001)))', '74.5', '74', '18', '17', '77G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 74.5000000000001,17.0000000000001 75.0000000000001,18.0000000000001 75.0000000000001,18.0000000000001 74.5000000000001,17.0000000000001 74.5000000000001)))', '75', '74.5', '18', '17', '78G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 75.0000000000001,17.0000000000001 75.5000000000001,18.0000000000001 75.5000000000001,18.0000000000001 75.0000000000001,17.0000000000001 75.0000000000001)))', '75.5', '75', '18', '17', '79G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 75.5000000000001,17.0000000000001 76.0000000000001,18.0000000000001 76.0000000000001,18.0000000000001 75.5000000000001,17.0000000000001 75.5000000000001)))', '76', '75.5', '18', '17', '80G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 76.0000000000001,17.0000000000001 76.5000000000001,18.0000000000001 76.5000000000001,18.0000000000001 76.0000000000001,17.0000000000001 76.0000000000001)))', '76.5', '76', '18', '17', '81G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 76.5000000000001,17.0000000000001 77.0000000000001,18.0000000000001 77.0000000000001,18.0000000000001 76.5000000000001,17.0000000000001 76.5000000000001)))', '77', '76.5', '18', '17', '82G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 77.0000000000001,17.0000000000001 77.5000000000001,18.0000000000001 77.5000000000001,18.0000000000001 77.0000000000001,17.0000000000001 77.0000000000001)))', '77.5', '77', '18', '17', '83G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 77.5000000000001,17.0000000000001 78.0000000000001,18.0000000000001 78.0000000000001,18.0000000000001 77.5000000000001,17.0000000000001 77.5000000000001)))', '78', '77.5', '18', '17', '84G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 78.0000000000001,17.0000000000001 78.5000000000001,18.0000000000001 78.5000000000001,18.0000000000001 78.0000000000001,17.0000000000001 78.0000000000001)))', '78.5', '78', '18', '17', '85G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 79.0000000000001,17.0000000000001 79.5000000000001,18.0000000000001 79.5000000000001,18.0000000000001 79.0000000000001,17.0000000000001 79.0000000000001)))', '79.5', '79', '18', '17', '87G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 79.5000000000001,17.0000000000001 80.0000000000001,18.0000000000001 80.0000000000001,18.0000000000001 79.5000000000001,17.0000000000001 79.5000000000001)))', '80', '79.5', '18', '17', '88G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 80.0000000000001,17.0000000000001 80.5000000000001,18.0000000000001 80.5000000000001,18.0000000000001 80.0000000000001,17.0000000000001 80.0000000000001)))', '80.5', '80', '18', '17', '89G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 80.5000000000001,17.0000000000001 81.0000000000001,18.0000000000001 81.0000000000001,18.0000000000001 80.5000000000001,17.0000000000001 80.5000000000001)))', '81', '80.5', '18', '17', '90G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 81.0000000000001,17.0000000000001 81.5000000000001,18.0000000000001 81.5000000000001,18.0000000000001 81.0000000000001,17.0000000000001 81.0000000000001)))', '81.5', '81', '18', '17', '91G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 81.5000000000001,17.0000000000001 82.0000000000001,18.0000000000001 82.0000000000001,18.0000000000001 81.5000000000001,17.0000000000001 81.5000000000001)))', '82', '81.5', '18', '17', '92G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 82.0000000000001,17.0000000000001 82.5000000000001,18.0000000000001 82.5000000000001,18.0000000000001 82.0000000000001,17.0000000000001 82.0000000000001)))', '82.5', '82', '18', '17', '93G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 82.5000000000001,17.0000000000001 83.0000000000001,18.0000000000001 83.0000000000001,18.0000000000001 82.5000000000001,17.0000000000001 82.5000000000001)))', '83', '82.5', '18', '17', '94G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 83.0000000000001,17.0000000000001 83.5000000000001,18.0000000000001 83.5000000000001,18.0000000000001 83.0000000000001,17.0000000000001 83.0000000000001)))', '83.5', '83', '18', '17', '95G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 83.5000000000001,17.0000000000001 84.0000000000001,18.0000000000001 84.0000000000001,18.0000000000001 83.5000000000001,17.0000000000001 83.5000000000001)))', '84', '83.5', '18', '17', '96G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 84.0000000000001,17.0000000000001 84.5000000000001,18.0000000000001 84.5000000000001,18.0000000000001 84.0000000000001,17.0000000000001 84.0000000000001)))', '84.5', '84', '18', '17', '97G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((17.0000000000001 84.5000000000001,17.0000000000001 85.0000000000001,18.0000000000001 85.0000000000001,18.0000000000001 84.5000000000001,17.0000000000001 84.5000000000001)))', '85', '84.5', '18', '17', '98G7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 54.0000000000001,18.0000000000001 54.5000000000001,19.0000000000001 54.5000000000001,19.0000000000001 54.0000000000001,18.0000000000001 54.0000000000001)))', '54.5', '54', '19', '18', '37G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 54.5000000000001,18.0000000000001 55.0000000000001,19.0000000000001 55.0000000000001,19.0000000000001 54.5000000000001,18.0000000000001 54.5000000000001)))', '55', '54.5', '19', '18', '38G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 55.0000000000001,18.0000000000001 55.5000000000001,19.0000000000001 55.5000000000001,19.0000000000001 55.0000000000001,18.0000000000001 55.0000000000001)))', '55.5', '55', '19', '18', '39G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 55.5000000000001,18.0000000000001 56.0000000000001,19.0000000000001 56.0000000000001,19.0000000000001 55.5000000000001,18.0000000000001 55.5000000000001)))', '56', '55.5', '19', '18', '40G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 56.0000000000001,18.0000000000001 56.5000000000001,19.0000000000001 56.5000000000001,19.0000000000001 56.0000000000001,18.0000000000001 56.0000000000001)))', '56.5', '56', '19', '18', '41G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 56.5000000000001,18.0000000000001 57.0000000000001,19.0000000000001 57.0000000000001,19.0000000000001 56.5000000000001,18.0000000000001 56.5000000000001)))', '57', '56.5', '19', '18', '42G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 57.0000000000001,18.0000000000001 57.5000000000001,19.0000000000001 57.5000000000001,19.0000000000001 57.0000000000001,18.0000000000001 57.0000000000001)))', '57.5', '57', '19', '18', '43G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 57.5000000000001,18.0000000000001 58.0000000000001,19.0000000000001 58.0000000000001,19.0000000000001 57.5000000000001,18.0000000000001 57.5000000000001)))', '58', '57.5', '19', '18', '44G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 58.0000000000001,18.0000000000001 58.5000000000001,19.0000000000001 58.5000000000001,19.0000000000001 58.0000000000001,18.0000000000001 58.0000000000001)))', '58.5', '58', '19', '18', '45G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 58.5000000000001,18.0000000000001 59.0000000000001,19.0000000000001 59.0000000000001,19.0000000000001 58.5000000000001,18.0000000000001 58.5000000000001)))', '59', '58.5', '19', '18', '46G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 59.0000000000001,18.0000000000001 59.5000000000001,19.0000000000001 59.5000000000001,19.0000000000001 59.0000000000001,18.0000000000001 59.0000000000001)))', '59.5', '59', '19', '18', '47G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 59.5000000000001,18.0000000000001 60.0000000000001,19.0000000000001 60.0000000000001,19.0000000000001 59.5000000000001,18.0000000000001 59.5000000000001)))', '60', '59.5', '19', '18', '48G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 60.0000000000001,18.0000000000001 60.5000000000001,19.0000000000001 60.5000000000001,19.0000000000001 60.0000000000001,18.0000000000001 60.0000000000001)))', '60.5', '60', '19', '18', '49G8', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((18.0000000000001 60.5000000000001,18.0000000000001 61.0000000000001,19.0000000000001 61.0000000000001,19.0000000000001 60.5000000000001,18.0000000000001 60.5000000000001)))', '61', '60.5', '19', '18', '50G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 61.0000000000001,18.0000000000001 61.5000000000001,19.0000000000001 61.5000000000001,19.0000000000001 61.0000000000001,18.0000000000001 61.0000000000001)))', '61.5', '61', '19', '18', '51G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 61.5000000000001,18.0000000000001 62.0000000000001,19.0000000000001 62.0000000000001,19.0000000000001 61.5000000000001,18.0000000000001 61.5000000000001)))', '62', '61.5', '19', '18', '52G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 62.0000000000001,18.0000000000001 62.5000000000001,19.0000000000001 62.5000000000001,19.0000000000001 62.0000000000001,18.0000000000001 62.0000000000001)))', '62.5', '62', '19', '18', '53G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 62.5000000000001,18.0000000000001 63.0000000000001,19.0000000000001 63.0000000000001,19.0000000000001 62.5000000000001,18.0000000000001 62.5000000000001)))', '63', '62.5', '19', '18', '54G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 63.0000000000001,18.0000000000001 63.5000000000001,19.0000000000001 63.5000000000001,19.0000000000001 63.0000000000001,18.0000000000001 63.0000000000001)))', '63.5', '63', '19', '18', '55G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 69.0000000000001,18.0000000000001 69.5000000000001,19.0000000000001 69.5000000000001,19.0000000000001 69.0000000000001,18.0000000000001 69.0000000000001)))', '69.5', '69', '19', '18', '67G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 69.5000000000001,18.0000000000001 70.0000000000001,19.0000000000001 70.0000000000001,19.0000000000001 69.5000000000001,18.0000000000001 69.5000000000001)))', '70', '69.5', '19', '18', '68G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 70.0000000000001,18.0000000000001 70.5000000000001,19.0000000000001 70.5000000000001,19.0000000000001 70.0000000000001,18.0000000000001 70.0000000000001)))', '70.5', '70', '19', '18', '69G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 70.5000000000001,18.0000000000001 71.0000000000001,19.0000000000001 71.0000000000001,19.0000000000001 70.5000000000001,18.0000000000001 70.5000000000001)))', '71', '70.5', '19', '18', '70G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 71.0000000000001,18.0000000000001 71.5000000000001,19.0000000000001 71.5000000000001,19.0000000000001 71.0000000000001,18.0000000000001 71.0000000000001)))', '71.5', '71', '19', '18', '71G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 71.5000000000001,18.0000000000001 72.0000000000001,19.0000000000001 72.0000000000001,19.0000000000001 71.5000000000001,18.0000000000001 71.5000000000001)))', '72', '71.5', '19', '18', '72G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 72.0000000000001,18.0000000000001 72.5000000000001,19.0000000000001 72.5000000000001,19.0000000000001 72.0000000000001,18.0000000000001 72.0000000000001)))', '72.5', '72', '19', '18', '73G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 72.5000000000001,18.0000000000001 73.0000000000001,19.0000000000001 73.0000000000001,19.0000000000001 72.5000000000001,18.0000000000001 72.5000000000001)))', '73', '72.5', '19', '18', '74G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 73.0000000000001,18.0000000000001 73.5000000000001,19.0000000000001 73.5000000000001,19.0000000000001 73.0000000000001,18.0000000000001 73.0000000000001)))', '73.5', '73', '19', '18', '75G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 73.5000000000001,18.0000000000001 74.0000000000001,19.0000000000001 74.0000000000001,19.0000000000001 73.5000000000001,18.0000000000001 73.5000000000001)))', '74', '73.5', '19', '18', '76G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 74.0000000000001,18.0000000000001 74.5000000000001,19.0000000000001 74.5000000000001,19.0000000000001 74.0000000000001,18.0000000000001 74.0000000000001)))', '74.5', '74', '19', '18', '77G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 74.5000000000001,18.0000000000001 75.0000000000001,19.0000000000001 75.0000000000001,19.0000000000001 74.5000000000001,18.0000000000001 74.5000000000001)))', '75', '74.5', '19', '18', '78G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 75.0000000000001,18.0000000000001 75.5000000000001,19.0000000000001 75.5000000000001,19.0000000000001 75.0000000000001,18.0000000000001 75.0000000000001)))', '75.5', '75', '19', '18', '79G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 75.5000000000001,18.0000000000001 76.0000000000001,19.0000000000001 76.0000000000001,19.0000000000001 75.5000000000001,18.0000000000001 75.5000000000001)))', '76', '75.5', '19', '18', '80G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 76.0000000000001,18.0000000000001 76.5000000000001,19.0000000000001 76.5000000000001,19.0000000000001 76.0000000000001,18.0000000000001 76.0000000000001)))', '76.5', '76', '19', '18', '81G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 76.5000000000001,18.0000000000001 77.0000000000001,19.0000000000001 77.0000000000001,19.0000000000001 76.5000000000001,18.0000000000001 76.5000000000001)))', '77', '76.5', '19', '18', '82G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 77.0000000000001,18.0000000000001 77.5000000000001,19.0000000000001 77.5000000000001,19.0000000000001 77.0000000000001,18.0000000000001 77.0000000000001)))', '77.5', '77', '19', '18', '83G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 77.5000000000001,18.0000000000001 78.0000000000001,19.0000000000001 78.0000000000001,19.0000000000001 77.5000000000001,18.0000000000001 77.5000000000001)))', '78', '77.5', '19', '18', '84G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 78.0000000000001,18.0000000000001 78.5000000000001,19.0000000000001 78.5000000000001,19.0000000000001 78.0000000000001,18.0000000000001 78.0000000000001)))', '78.5', '78', '19', '18', '85G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 79.0000000000001,18.0000000000001 79.5000000000001,19.0000000000001 79.5000000000001,19.0000000000001 79.0000000000001,18.0000000000001 79.0000000000001)))', '79.5', '79', '19', '18', '87G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 79.5000000000001,18.0000000000001 80.0000000000001,19.0000000000001 80.0000000000001,19.0000000000001 79.5000000000001,18.0000000000001 79.5000000000001)))', '80', '79.5', '19', '18', '88G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 80.0000000000001,18.0000000000001 80.5000000000001,19.0000000000001 80.5000000000001,19.0000000000001 80.0000000000001,18.0000000000001 80.0000000000001)))', '80.5', '80', '19', '18', '89G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 80.5000000000001,18.0000000000001 81.0000000000001,19.0000000000001 81.0000000000001,19.0000000000001 80.5000000000001,18.0000000000001 80.5000000000001)))', '81', '80.5', '19', '18', '90G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 81.0000000000001,18.0000000000001 81.5000000000001,19.0000000000001 81.5000000000001,19.0000000000001 81.0000000000001,18.0000000000001 81.0000000000001)))', '81.5', '81', '19', '18', '91G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 81.5000000000001,18.0000000000001 82.0000000000001,19.0000000000001 82.0000000000001,19.0000000000001 81.5000000000001,18.0000000000001 81.5000000000001)))', '82', '81.5', '19', '18', '92G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 82.0000000000001,18.0000000000001 82.5000000000001,19.0000000000001 82.5000000000001,19.0000000000001 82.0000000000001,18.0000000000001 82.0000000000001)))', '82.5', '82', '19', '18', '93G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 82.5000000000001,18.0000000000001 83.0000000000001,19.0000000000001 83.0000000000001,19.0000000000001 82.5000000000001,18.0000000000001 82.5000000000001)))', '83', '82.5', '19', '18', '94G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 83.0000000000001,18.0000000000001 83.5000000000001,19.0000000000001 83.5000000000001,19.0000000000001 83.0000000000001,18.0000000000001 83.0000000000001)))', '83.5', '83', '19', '18', '95G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 83.5000000000001,18.0000000000001 84.0000000000001,19.0000000000001 84.0000000000001,19.0000000000001 83.5000000000001,18.0000000000001 83.5000000000001)))', '84', '83.5', '19', '18', '96G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 84.0000000000001,18.0000000000001 84.5000000000001,19.0000000000001 84.5000000000001,19.0000000000001 84.0000000000001,18.0000000000001 84.0000000000001)))', '84.5', '84', '19', '18', '97G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((18.0000000000001 84.5000000000001,18.0000000000001 85.0000000000001,19.0000000000001 85.0000000000001,19.0000000000001 84.5000000000001,18.0000000000001 84.5000000000001)))', '85', '84.5', '19', '18', '98G8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 54.0000000000001,19.0000000000001 54.5000000000001,20.0000000000001 54.5000000000001,20.0000000000001 54.0000000000001,19.0000000000001 54.0000000000001)))', '54.5', '54', '20', '19', '37G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 54.5000000000001,19.0000000000001 55.0000000000001,20.0000000000001 55.0000000000001,20.0000000000001 54.5000000000001,19.0000000000001 54.5000000000001)))', '55', '54.5', '20', '19', '38G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 55.0000000000001,19.0000000000001 55.5000000000001,20.0000000000001 55.5000000000001,20.0000000000001 55.0000000000001,19.0000000000001 55.0000000000001)))', '55.5', '55', '20', '19', '39G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 55.5000000000001,19.0000000000001 56.0000000000001,20.0000000000001 56.0000000000001,20.0000000000001 55.5000000000001,19.0000000000001 55.5000000000001)))', '56', '55.5', '20', '19', '40G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 56.0000000000001,19.0000000000001 56.5000000000001,20.0000000000001 56.5000000000001,20.0000000000001 56.0000000000001,19.0000000000001 56.0000000000001)))', '56.5', '56', '20', '19', '41G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 56.5000000000001,19.0000000000001 57.0000000000001,20.0000000000001 57.0000000000001,20.0000000000001 56.5000000000001,19.0000000000001 56.5000000000001)))', '57', '56.5', '20', '19', '42G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 57.0000000000001,19.0000000000001 57.5000000000001,20.0000000000001 57.5000000000001,20.0000000000001 57.0000000000001,19.0000000000001 57.0000000000001)))', '57.5', '57', '20', '19', '43G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 57.5000000000001,19.0000000000001 58.0000000000001,20.0000000000001 58.0000000000001,20.0000000000001 57.5000000000001,19.0000000000001 57.5000000000001)))', '58', '57.5', '20', '19', '44G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 58.0000000000001,19.0000000000001 58.5000000000001,20.0000000000001 58.5000000000001,20.0000000000001 58.0000000000001,19.0000000000001 58.0000000000001)))', '58.5', '58', '20', '19', '45G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 58.5000000000001,19.0000000000001 59.0000000000001,20.0000000000001 59.0000000000001,20.0000000000001 58.5000000000001,19.0000000000001 58.5000000000001)))', '59', '58.5', '20', '19', '46G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 59.0000000000001,19.0000000000001 59.5000000000001,20.0000000000001 59.5000000000001,20.0000000000001 59.0000000000001,19.0000000000001 59.0000000000001)))', '59.5', '59', '20', '19', '47G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 59.5000000000001,19.0000000000001 60.0000000000001,20.0000000000001 60.0000000000001,20.0000000000001 59.5000000000001,19.0000000000001 59.5000000000001)))', '60', '59.5', '20', '19', '48G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 60.0000000000001,19.0000000000001 60.5000000000001,20.0000000000001 60.5000000000001,20.0000000000001 60.0000000000001,19.0000000000001 60.0000000000001)))', '60.5', '60', '20', '19', '49G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 60.5000000000001,19.0000000000001 61.0000000000001,20.0000000000001 61.0000000000001,20.0000000000001 60.5000000000001,19.0000000000001 60.5000000000001)))', '61', '60.5', '20', '19', '50G9', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((19.0000000000001 61.0000000000001,19.0000000000001 61.5000000000001,20.0000000000001 61.5000000000001,20.0000000000001 61.0000000000001,19.0000000000001 61.0000000000001)))', '61.5', '61', '20', '19', '51G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 61.5000000000001,19.0000000000001 62.0000000000001,20.0000000000001 62.0000000000001,20.0000000000001 61.5000000000001,19.0000000000001 61.5000000000001)))', '62', '61.5', '20', '19', '52G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 62.0000000000001,19.0000000000001 62.5000000000001,20.0000000000001 62.5000000000001,20.0000000000001 62.0000000000001,19.0000000000001 62.0000000000001)))', '62.5', '62', '20', '19', '53G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 62.5000000000001,19.0000000000001 63.0000000000001,20.0000000000001 63.0000000000001,20.0000000000001 62.5000000000001,19.0000000000001 62.5000000000001)))', '63', '62.5', '20', '19', '54G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 63.0000000000001,19.0000000000001 63.5000000000001,20.0000000000001 63.5000000000001,20.0000000000001 63.0000000000001,19.0000000000001 63.0000000000001)))', '63.5', '63', '20', '19', '55G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 63.5000000000001,19.0000000000001 64.0000000000001,20.0000000000001 64.0000000000001,20.0000000000001 63.5000000000001,19.0000000000001 63.5000000000001)))', '64', '63.5', '20', '19', '56G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 69.0000000000001,19.0000000000001 69.5000000000001,20.0000000000001 69.5000000000001,20.0000000000001 69.0000000000001,19.0000000000001 69.0000000000001)))', '69.5', '69', '20', '19', '67G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 69.5000000000001,19.0000000000001 70.0000000000001,20.0000000000001 70.0000000000001,20.0000000000001 69.5000000000001,19.0000000000001 69.5000000000001)))', '70', '69.5', '20', '19', '68G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 70.0000000000001,19.0000000000001 70.5000000000001,20.0000000000001 70.5000000000001,20.0000000000001 70.0000000000001,19.0000000000001 70.0000000000001)))', '70.5', '70', '20', '19', '69G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 70.5000000000001,19.0000000000001 71.0000000000001,20.0000000000001 71.0000000000001,20.0000000000001 70.5000000000001,19.0000000000001 70.5000000000001)))', '71', '70.5', '20', '19', '70G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 71.0000000000001,19.0000000000001 71.5000000000001,20.0000000000001 71.5000000000001,20.0000000000001 71.0000000000001,19.0000000000001 71.0000000000001)))', '71.5', '71', '20', '19', '71G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 71.5000000000001,19.0000000000001 72.0000000000001,20.0000000000001 72.0000000000001,20.0000000000001 71.5000000000001,19.0000000000001 71.5000000000001)))', '72', '71.5', '20', '19', '72G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 72.0000000000001,19.0000000000001 72.5000000000001,20.0000000000001 72.5000000000001,20.0000000000001 72.0000000000001,19.0000000000001 72.0000000000001)))', '72.5', '72', '20', '19', '73G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 72.5000000000001,19.0000000000001 73.0000000000001,20.0000000000001 73.0000000000001,20.0000000000001 72.5000000000001,19.0000000000001 72.5000000000001)))', '73', '72.5', '20', '19', '74G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 73.0000000000001,19.0000000000001 73.5000000000001,20.0000000000001 73.5000000000001,20.0000000000001 73.0000000000001,19.0000000000001 73.0000000000001)))', '73.5', '73', '20', '19', '75G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 73.5000000000001,19.0000000000001 74.0000000000001,20.0000000000001 74.0000000000001,20.0000000000001 73.5000000000001,19.0000000000001 73.5000000000001)))', '74', '73.5', '20', '19', '76G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 74.0000000000001,19.0000000000001 74.5000000000001,20.0000000000001 74.5000000000001,20.0000000000001 74.0000000000001,19.0000000000001 74.0000000000001)))', '74.5', '74', '20', '19', '77G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 74.5000000000001,19.0000000000001 75.0000000000001,20.0000000000001 75.0000000000001,20.0000000000001 74.5000000000001,19.0000000000001 74.5000000000001)))', '75', '74.5', '20', '19', '78G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 75.0000000000001,19.0000000000001 75.5000000000001,20.0000000000001 75.5000000000001,20.0000000000001 75.0000000000001,19.0000000000001 75.0000000000001)))', '75.5', '75', '20', '19', '79G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 75.5000000000001,19.0000000000001 76.0000000000001,20.0000000000001 76.0000000000001,20.0000000000001 75.5000000000001,19.0000000000001 75.5000000000001)))', '76', '75.5', '20', '19', '80G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 76.0000000000001,19.0000000000001 76.5000000000001,20.0000000000001 76.5000000000001,20.0000000000001 76.0000000000001,19.0000000000001 76.0000000000001)))', '76.5', '76', '20', '19', '81G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 76.5000000000001,19.0000000000001 77.0000000000001,20.0000000000001 77.0000000000001,20.0000000000001 76.5000000000001,19.0000000000001 76.5000000000001)))', '77', '76.5', '20', '19', '82G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 77.0000000000001,19.0000000000001 77.5000000000001,20.0000000000001 77.5000000000001,20.0000000000001 77.0000000000001,19.0000000000001 77.0000000000001)))', '77.5', '77', '20', '19', '83G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 77.5000000000001,19.0000000000001 78.0000000000001,20.0000000000001 78.0000000000001,20.0000000000001 77.5000000000001,19.0000000000001 77.5000000000001)))', '78', '77.5', '20', '19', '84G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 78.0000000000001,19.0000000000001 78.5000000000001,20.0000000000001 78.5000000000001,20.0000000000001 78.0000000000001,19.0000000000001 78.0000000000001)))', '78.5', '78', '20', '19', '85G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 78.5000000000001,19.0000000000001 79.0000000000001,20.0000000000001 79.0000000000001,20.0000000000001 78.5000000000001,19.0000000000001 78.5000000000001)))', '79', '78.5', '20', '19', '86G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 79.0000000000001,19.0000000000001 79.5000000000001,20.0000000000001 79.5000000000001,20.0000000000001 79.0000000000001,19.0000000000001 79.0000000000001)))', '79.5', '79', '20', '19', '87G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 79.5000000000001,19.0000000000001 80.0000000000001,20.0000000000001 80.0000000000001,20.0000000000001 79.5000000000001,19.0000000000001 79.5000000000001)))', '80', '79.5', '20', '19', '88G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 80.0000000000001,19.0000000000001 80.5000000000001,20.0000000000001 80.5000000000001,20.0000000000001 80.0000000000001,19.0000000000001 80.0000000000001)))', '80.5', '80', '20', '19', '89G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 80.5000000000001,19.0000000000001 81.0000000000001,20.0000000000001 81.0000000000001,20.0000000000001 80.5000000000001,19.0000000000001 80.5000000000001)))', '81', '80.5', '20', '19', '90G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 81.0000000000001,19.0000000000001 81.5000000000001,20.0000000000001 81.5000000000001,20.0000000000001 81.0000000000001,19.0000000000001 81.0000000000001)))', '81.5', '81', '20', '19', '91G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 81.5000000000001,19.0000000000001 82.0000000000001,20.0000000000001 82.0000000000001,20.0000000000001 81.5000000000001,19.0000000000001 81.5000000000001)))', '82', '81.5', '20', '19', '92G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 82.0000000000001,19.0000000000001 82.5000000000001,20.0000000000001 82.5000000000001,20.0000000000001 82.0000000000001,19.0000000000001 82.0000000000001)))', '82.5', '82', '20', '19', '93G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 82.5000000000001,19.0000000000001 83.0000000000001,20.0000000000001 83.0000000000001,20.0000000000001 82.5000000000001,19.0000000000001 82.5000000000001)))', '83', '82.5', '20', '19', '94G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 83.0000000000001,19.0000000000001 83.5000000000001,20.0000000000001 83.5000000000001,20.0000000000001 83.0000000000001,19.0000000000001 83.0000000000001)))', '83.5', '83', '20', '19', '95G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 83.5000000000001,19.0000000000001 84.0000000000001,20.0000000000001 84.0000000000001,20.0000000000001 83.5000000000001,19.0000000000001 83.5000000000001)))', '84', '83.5', '20', '19', '96G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 84.0000000000001,19.0000000000001 84.5000000000001,20.0000000000001 84.5000000000001,20.0000000000001 84.0000000000001,19.0000000000001 84.0000000000001)))', '84.5', '84', '20', '19', '97G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((19.0000000000001 84.5000000000001,19.0000000000001 85.0000000000001,20.0000000000001 85.0000000000001,20.0000000000001 84.5000000000001,19.0000000000001 84.5000000000001)))', '85', '84.5', '20', '19', '98G9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 54.0000000000001,20.0000000000001 54.5000000000001,21.0000000000001 54.5000000000001,21.0000000000001 54.0000000000001,20.0000000000001 54.0000000000001)))', '54.5', '54', '21', '20', '37H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 54.5000000000001,20.0000000000001 55.0000000000001,21.0000000000001 55.0000000000001,21.0000000000001 54.5000000000001,20.0000000000001 54.5000000000001)))', '55', '54.5', '21', '20', '38H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 55.0000000000001,20.0000000000001 55.5000000000001,21.0000000000001 55.5000000000001,21.0000000000001 55.0000000000001,20.0000000000001 55.0000000000001)))', '55.5', '55', '21', '20', '39H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 55.5000000000001,20.0000000000001 56.0000000000001,21.0000000000001 56.0000000000001,21.0000000000001 55.5000000000001,20.0000000000001 55.5000000000001)))', '56', '55.5', '21', '20', '40H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 56.0000000000001,20.0000000000001 56.5000000000001,21.0000000000001 56.5000000000001,21.0000000000001 56.0000000000001,20.0000000000001 56.0000000000001)))', '56.5', '56', '21', '20', '41H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 56.5000000000001,20.0000000000001 57.0000000000001,21.0000000000001 57.0000000000001,21.0000000000001 56.5000000000001,20.0000000000001 56.5000000000001)))', '57', '56.5', '21', '20', '42H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 57.0000000000001,20.0000000000001 57.5000000000001,21.0000000000001 57.5000000000001,21.0000000000001 57.0000000000001,20.0000000000001 57.0000000000001)))', '57.5', '57', '21', '20', '43H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 57.5000000000001,20.0000000000001 58.0000000000001,21.0000000000001 58.0000000000001,21.0000000000001 57.5000000000001,20.0000000000001 57.5000000000001)))', '58', '57.5', '21', '20', '44H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 58.0000000000001,20.0000000000001 58.5000000000001,21.0000000000001 58.5000000000001,21.0000000000001 58.0000000000001,20.0000000000001 58.0000000000001)))', '58.5', '58', '21', '20', '45H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 58.5000000000001,20.0000000000001 59.0000000000001,21.0000000000001 59.0000000000001,21.0000000000001 58.5000000000001,20.0000000000001 58.5000000000001)))', '59', '58.5', '21', '20', '46H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 59.0000000000001,20.0000000000001 59.5000000000001,21.0000000000001 59.5000000000001,21.0000000000001 59.0000000000001,20.0000000000001 59.0000000000001)))', '59.5', '59', '21', '20', '47H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 59.5000000000001,20.0000000000001 60.0000000000001,21.0000000000001 60.0000000000001,21.0000000000001 59.5000000000001,20.0000000000001 59.5000000000001)))', '60', '59.5', '21', '20', '48H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 60.0000000000001,20.0000000000001 60.5000000000001,21.0000000000001 60.5000000000001,21.0000000000001 60.0000000000001,20.0000000000001 60.0000000000001)))', '60.5', '60', '21', '20', '49H0', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((20.0000000000001 60.5000000000001,20.0000000000001 61.0000000000001,21.0000000000001 61.0000000000001,21.0000000000001 60.5000000000001,20.0000000000001 60.5000000000001)))', '61', '60.5', '21', '20', '50H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 61.0000000000001,20.0000000000001 61.5000000000001,21.0000000000001 61.5000000000001,21.0000000000001 61.0000000000001,20.0000000000001 61.0000000000001)))', '61.5', '61', '21', '20', '51H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 61.5000000000001,20.0000000000001 62.0000000000001,21.0000000000001 62.0000000000001,21.0000000000001 61.5000000000001,20.0000000000001 61.5000000000001)))', '62', '61.5', '21', '20', '52H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 62.0000000000001,20.0000000000001 62.5000000000001,21.0000000000001 62.5000000000001,21.0000000000001 62.0000000000001,20.0000000000001 62.0000000000001)))', '62.5', '62', '21', '20', '53H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 62.5000000000001,20.0000000000001 63.0000000000001,21.0000000000001 63.0000000000001,21.0000000000001 62.5000000000001,20.0000000000001 62.5000000000001)))', '63', '62.5', '21', '20', '54H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 63.0000000000001,20.0000000000001 63.5000000000001,21.0000000000001 63.5000000000001,21.0000000000001 63.0000000000001,20.0000000000001 63.0000000000001)))', '63.5', '63', '21', '20', '55H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 63.5000000000001,20.0000000000001 64.0000000000001,21.0000000000001 64.0000000000001,21.0000000000001 63.5000000000001,20.0000000000001 63.5000000000001)))', '64', '63.5', '21', '20', '56H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 64.0000000000001,20.0000000000001 64.5000000000001,21.0000000000001 64.5000000000001,21.0000000000001 64.0000000000001,20.0000000000001 64.0000000000001)))', '64.5', '64', '21', '20', '57H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 69.0000000000001,20.0000000000001 69.5000000000001,21.0000000000001 69.5000000000001,21.0000000000001 69.0000000000001,20.0000000000001 69.0000000000001)))', '69.5', '69', '21', '20', '67H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 69.5000000000001,20.0000000000001 70.0000000000001,21.0000000000001 70.0000000000001,21.0000000000001 69.5000000000001,20.0000000000001 69.5000000000001)))', '70', '69.5', '21', '20', '68H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 70.0000000000001,20.0000000000001 70.5000000000001,21.0000000000001 70.5000000000001,21.0000000000001 70.0000000000001,20.0000000000001 70.0000000000001)))', '70.5', '70', '21', '20', '69H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 70.5000000000001,20.0000000000001 71.0000000000001,21.0000000000001 71.0000000000001,21.0000000000001 70.5000000000001,20.0000000000001 70.5000000000001)))', '71', '70.5', '21', '20', '70H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 71.0000000000001,20.0000000000001 71.5000000000001,21.0000000000001 71.5000000000001,21.0000000000001 71.0000000000001,20.0000000000001 71.0000000000001)))', '71.5', '71', '21', '20', '71H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 71.5000000000001,20.0000000000001 72.0000000000001,21.0000000000001 72.0000000000001,21.0000000000001 71.5000000000001,20.0000000000001 71.5000000000001)))', '72', '71.5', '21', '20', '72H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 72.0000000000001,20.0000000000001 72.5000000000001,21.0000000000001 72.5000000000001,21.0000000000001 72.0000000000001,20.0000000000001 72.0000000000001)))', '72.5', '72', '21', '20', '73H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 72.5000000000001,20.0000000000001 73.0000000000001,21.0000000000001 73.0000000000001,21.0000000000001 72.5000000000001,20.0000000000001 72.5000000000001)))', '73', '72.5', '21', '20', '74H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 73.0000000000001,20.0000000000001 73.5000000000001,21.0000000000001 73.5000000000001,21.0000000000001 73.0000000000001,20.0000000000001 73.0000000000001)))', '73.5', '73', '21', '20', '75H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 73.5000000000001,20.0000000000001 74.0000000000001,21.0000000000001 74.0000000000001,21.0000000000001 73.5000000000001,20.0000000000001 73.5000000000001)))', '74', '73.5', '21', '20', '76H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 74.0000000000001,20.0000000000001 74.5000000000001,21.0000000000001 74.5000000000001,21.0000000000001 74.0000000000001,20.0000000000001 74.0000000000001)))', '74.5', '74', '21', '20', '77H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 74.5000000000001,20.0000000000001 75.0000000000001,21.0000000000001 75.0000000000001,21.0000000000001 74.5000000000001,20.0000000000001 74.5000000000001)))', '75', '74.5', '21', '20', '78H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 75.0000000000001,20.0000000000001 75.5000000000001,21.0000000000001 75.5000000000001,21.0000000000001 75.0000000000001,20.0000000000001 75.0000000000001)))', '75.5', '75', '21', '20', '79H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 75.5000000000001,20.0000000000001 76.0000000000001,21.0000000000001 76.0000000000001,21.0000000000001 75.5000000000001,20.0000000000001 75.5000000000001)))', '76', '75.5', '21', '20', '80H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 76.0000000000001,20.0000000000001 76.5000000000001,21.0000000000001 76.5000000000001,21.0000000000001 76.0000000000001,20.0000000000001 76.0000000000001)))', '76.5', '76', '21', '20', '81H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 76.5000000000001,20.0000000000001 77.0000000000001,21.0000000000001 77.0000000000001,21.0000000000001 76.5000000000001,20.0000000000001 76.5000000000001)))', '77', '76.5', '21', '20', '82H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 77.0000000000001,20.0000000000001 77.5000000000001,21.0000000000001 77.5000000000001,21.0000000000001 77.0000000000001,20.0000000000001 77.0000000000001)))', '77.5', '77', '21', '20', '83H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 77.5000000000001,20.0000000000001 78.0000000000001,21.0000000000001 78.0000000000001,21.0000000000001 77.5000000000001,20.0000000000001 77.5000000000001)))', '78', '77.5', '21', '20', '84H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 78.0000000000001,20.0000000000001 78.5000000000001,21.0000000000001 78.5000000000001,21.0000000000001 78.0000000000001,20.0000000000001 78.0000000000001)))', '78.5', '78', '21', '20', '85H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 78.5000000000001,20.0000000000001 79.0000000000001,21.0000000000001 79.0000000000001,21.0000000000001 78.5000000000001,20.0000000000001 78.5000000000001)))', '79', '78.5', '21', '20', '86H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 79.0000000000001,20.0000000000001 79.5000000000001,21.0000000000001 79.5000000000001,21.0000000000001 79.0000000000001,20.0000000000001 79.0000000000001)))', '79.5', '79', '21', '20', '87H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 79.5000000000001,20.0000000000001 80.0000000000001,21.0000000000001 80.0000000000001,21.0000000000001 79.5000000000001,20.0000000000001 79.5000000000001)))', '80', '79.5', '21', '20', '88H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 80.0000000000001,20.0000000000001 80.5000000000001,21.0000000000001 80.5000000000001,21.0000000000001 80.0000000000001,20.0000000000001 80.0000000000001)))', '80.5', '80', '21', '20', '89H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 80.5000000000001,20.0000000000001 81.0000000000001,21.0000000000001 81.0000000000001,21.0000000000001 80.5000000000001,20.0000000000001 80.5000000000001)))', '81', '80.5', '21', '20', '90H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 81.0000000000001,20.0000000000001 81.5000000000001,21.0000000000001 81.5000000000001,21.0000000000001 81.0000000000001,20.0000000000001 81.0000000000001)))', '81.5', '81', '21', '20', '91H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 81.5000000000001,20.0000000000001 82.0000000000001,21.0000000000001 82.0000000000001,21.0000000000001 81.5000000000001,20.0000000000001 81.5000000000001)))', '82', '81.5', '21', '20', '92H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 82.0000000000001,20.0000000000001 82.5000000000001,21.0000000000001 82.5000000000001,21.0000000000001 82.0000000000001,20.0000000000001 82.0000000000001)))', '82.5', '82', '21', '20', '93H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 82.5000000000001,20.0000000000001 83.0000000000001,21.0000000000001 83.0000000000001,21.0000000000001 82.5000000000001,20.0000000000001 82.5000000000001)))', '83', '82.5', '21', '20', '94H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 83.0000000000001,20.0000000000001 83.5000000000001,21.0000000000001 83.5000000000001,21.0000000000001 83.0000000000001,20.0000000000001 83.0000000000001)))', '83.5', '83', '21', '20', '95H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 83.5000000000001,20.0000000000001 84.0000000000001,21.0000000000001 84.0000000000001,21.0000000000001 83.5000000000001,20.0000000000001 83.5000000000001)))', '84', '83.5', '21', '20', '96H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 84.0000000000001,20.0000000000001 84.5000000000001,21.0000000000001 84.5000000000001,21.0000000000001 84.0000000000001,20.0000000000001 84.0000000000001)))', '84.5', '84', '21', '20', '97H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((20.0000000000001 84.5000000000001,20.0000000000001 85.0000000000001,21.0000000000001 85.0000000000001,21.0000000000001 84.5000000000001,20.0000000000001 84.5000000000001)))', '85', '84.5', '21', '20', '98H0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 54.5000000000001,21.0000000000001 55.0000000000001,22.0000000000001 55.0000000000001,22.0000000000001 54.5000000000001,21.0000000000001 54.5000000000001)))', '55', '54.5', '22', '21', '38H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 55.0000000000001,21.0000000000001 55.5000000000001,22.0000000000001 55.5000000000001,22.0000000000001 55.0000000000001,21.0000000000001 55.0000000000001)))', '55.5', '55', '22', '21', '39H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 55.5000000000001,21.0000000000001 56.0000000000001,22.0000000000001 56.0000000000001,22.0000000000001 55.5000000000001,21.0000000000001 55.5000000000001)))', '56', '55.5', '22', '21', '40H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 56.0000000000001,21.0000000000001 56.5000000000001,22.0000000000001 56.5000000000001,22.0000000000001 56.0000000000001,21.0000000000001 56.0000000000001)))', '56.5', '56', '22', '21', '41H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 56.5000000000001,21.0000000000001 57.0000000000001,22.0000000000001 57.0000000000001,22.0000000000001 56.5000000000001,21.0000000000001 56.5000000000001)))', '57', '56.5', '22', '21', '42H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 57.0000000000001,21.0000000000001 57.5000000000001,22.0000000000001 57.5000000000001,22.0000000000001 57.0000000000001,21.0000000000001 57.0000000000001)))', '57.5', '57', '22', '21', '43H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 57.5000000000001,21.0000000000001 58.0000000000001,22.0000000000001 58.0000000000001,22.0000000000001 57.5000000000001,21.0000000000001 57.5000000000001)))', '58', '57.5', '22', '21', '44H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 58.0000000000001,21.0000000000001 58.5000000000001,22.0000000000001 58.5000000000001,22.0000000000001 58.0000000000001,21.0000000000001 58.0000000000001)))', '58.5', '58', '22', '21', '45H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 58.5000000000001,21.0000000000001 59.0000000000001,22.0000000000001 59.0000000000001,22.0000000000001 58.5000000000001,21.0000000000001 58.5000000000001)))', '59', '58.5', '22', '21', '46H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 59.0000000000001,21.0000000000001 59.5000000000001,22.0000000000001 59.5000000000001,22.0000000000001 59.0000000000001,21.0000000000001 59.0000000000001)))', '59.5', '59', '22', '21', '47H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 59.5000000000001,21.0000000000001 60.0000000000001,22.0000000000001 60.0000000000001,22.0000000000001 59.5000000000001,21.0000000000001 59.5000000000001)))', '60', '59.5', '22', '21', '48H1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((21.0000000000001 60.0000000000001,21.0000000000001 60.5000000000001,22.0000000000001 60.5000000000001,22.0000000000001 60.0000000000001,21.0000000000001 60.0000000000001)))', '60.5', '60', '22', '21', '49H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 60.5000000000001,21.0000000000001 61.0000000000001,22.0000000000001 61.0000000000001,22.0000000000001 60.5000000000001,21.0000000000001 60.5000000000001)))', '61', '60.5', '22', '21', '50H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 61.0000000000001,21.0000000000001 61.5000000000001,22.0000000000001 61.5000000000001,22.0000000000001 61.0000000000001,21.0000000000001 61.0000000000001)))', '61.5', '61', '22', '21', '51H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 61.5000000000001,21.0000000000001 62.0000000000001,22.0000000000001 62.0000000000001,22.0000000000001 61.5000000000001,21.0000000000001 61.5000000000001)))', '62', '61.5', '22', '21', '52H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 62.0000000000001,21.0000000000001 62.5000000000001,22.0000000000001 62.5000000000001,22.0000000000001 62.0000000000001,21.0000000000001 62.0000000000001)))', '62.5', '62', '22', '21', '53H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 62.5000000000001,21.0000000000001 63.0000000000001,22.0000000000001 63.0000000000001,22.0000000000001 62.5000000000001,21.0000000000001 62.5000000000001)))', '63', '62.5', '22', '21', '54H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 63.0000000000001,21.0000000000001 63.5000000000001,22.0000000000001 63.5000000000001,22.0000000000001 63.0000000000001,21.0000000000001 63.0000000000001)))', '63.5', '63', '22', '21', '55H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 63.5000000000001,21.0000000000001 64.0000000000001,22.0000000000001 64.0000000000001,22.0000000000001 63.5000000000001,21.0000000000001 63.5000000000001)))', '64', '63.5', '22', '21', '56H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 64.0000000000001,21.0000000000001 64.5000000000001,22.0000000000001 64.5000000000001,22.0000000000001 64.0000000000001,21.0000000000001 64.0000000000001)))', '64.5', '64', '22', '21', '57H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 64.5000000000001,21.0000000000001 65.0000000000001,22.0000000000001 65.0000000000001,22.0000000000001 64.5000000000001,21.0000000000001 64.5000000000001)))', '65', '64.5', '22', '21', '58H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 65.0000000000001,21.0000000000001 65.5000000000001,22.0000000000001 65.5000000000001,22.0000000000001 65.0000000000001,21.0000000000001 65.0000000000001)))', '65.5', '65', '22', '21', '59H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 65.5000000000001,21.0000000000001 66.0000000000001,22.0000000000001 66.0000000000001,22.0000000000001 65.5000000000001,21.0000000000001 65.5000000000001)))', '66', '65.5', '22', '21', '60H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 69.5000000000001,21.0000000000001 70.0000000000001,22.0000000000001 70.0000000000001,22.0000000000001 69.5000000000001,21.0000000000001 69.5000000000001)))', '70', '69.5', '22', '21', '68H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 70.0000000000001,21.0000000000001 70.5000000000001,22.0000000000001 70.5000000000001,22.0000000000001 70.0000000000001,21.0000000000001 70.0000000000001)))', '70.5', '70', '22', '21', '69H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 70.5000000000001,21.0000000000001 71.0000000000001,22.0000000000001 71.0000000000001,22.0000000000001 70.5000000000001,21.0000000000001 70.5000000000001)))', '71', '70.5', '22', '21', '70H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 71.0000000000001,21.0000000000001 71.5000000000001,22.0000000000001 71.5000000000001,22.0000000000001 71.0000000000001,21.0000000000001 71.0000000000001)))', '71.5', '71', '22', '21', '71H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 71.5000000000001,21.0000000000001 72.0000000000001,22.0000000000001 72.0000000000001,22.0000000000001 71.5000000000001,21.0000000000001 71.5000000000001)))', '72', '71.5', '22', '21', '72H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 72.0000000000001,21.0000000000001 72.5000000000001,22.0000000000001 72.5000000000001,22.0000000000001 72.0000000000001,21.0000000000001 72.0000000000001)))', '72.5', '72', '22', '21', '73H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 72.5000000000001,21.0000000000001 73.0000000000001,22.0000000000001 73.0000000000001,22.0000000000001 72.5000000000001,21.0000000000001 72.5000000000001)))', '73', '72.5', '22', '21', '74H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 73.0000000000001,21.0000000000001 73.5000000000001,22.0000000000001 73.5000000000001,22.0000000000001 73.0000000000001,21.0000000000001 73.0000000000001)))', '73.5', '73', '22', '21', '75H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 73.5000000000001,21.0000000000001 74.0000000000001,22.0000000000001 74.0000000000001,22.0000000000001 73.5000000000001,21.0000000000001 73.5000000000001)))', '74', '73.5', '22', '21', '76H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 74.0000000000001,21.0000000000001 74.5000000000001,22.0000000000001 74.5000000000001,22.0000000000001 74.0000000000001,21.0000000000001 74.0000000000001)))', '74.5', '74', '22', '21', '77H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 74.5000000000001,21.0000000000001 75.0000000000001,22.0000000000001 75.0000000000001,22.0000000000001 74.5000000000001,21.0000000000001 74.5000000000001)))', '75', '74.5', '22', '21', '78H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 75.0000000000001,21.0000000000001 75.5000000000001,22.0000000000001 75.5000000000001,22.0000000000001 75.0000000000001,21.0000000000001 75.0000000000001)))', '75.5', '75', '22', '21', '79H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 75.5000000000001,21.0000000000001 76.0000000000001,22.0000000000001 76.0000000000001,22.0000000000001 75.5000000000001,21.0000000000001 75.5000000000001)))', '76', '75.5', '22', '21', '80H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 76.0000000000001,21.0000000000001 76.5000000000001,22.0000000000001 76.5000000000001,22.0000000000001 76.0000000000001,21.0000000000001 76.0000000000001)))', '76.5', '76', '22', '21', '81H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 76.5000000000001,21.0000000000001 77.0000000000001,22.0000000000001 77.0000000000001,22.0000000000001 76.5000000000001,21.0000000000001 76.5000000000001)))', '77', '76.5', '22', '21', '82H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 77.0000000000001,21.0000000000001 77.5000000000001,22.0000000000001 77.5000000000001,22.0000000000001 77.0000000000001,21.0000000000001 77.0000000000001)))', '77.5', '77', '22', '21', '83H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 77.5000000000001,21.0000000000001 78.0000000000001,22.0000000000001 78.0000000000001,22.0000000000001 77.5000000000001,21.0000000000001 77.5000000000001)))', '78', '77.5', '22', '21', '84H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 78.0000000000001,21.0000000000001 78.5000000000001,22.0000000000001 78.5000000000001,22.0000000000001 78.0000000000001,21.0000000000001 78.0000000000001)))', '78.5', '78', '22', '21', '85H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 78.5000000000001,21.0000000000001 79.0000000000001,22.0000000000001 79.0000000000001,22.0000000000001 78.5000000000001,21.0000000000001 78.5000000000001)))', '79', '78.5', '22', '21', '86H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 79.0000000000001,21.0000000000001 79.5000000000001,22.0000000000001 79.5000000000001,22.0000000000001 79.0000000000001,21.0000000000001 79.0000000000001)))', '79.5', '79', '22', '21', '87H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 79.5000000000001,21.0000000000001 80.0000000000001,22.0000000000001 80.0000000000001,22.0000000000001 79.5000000000001,21.0000000000001 79.5000000000001)))', '80', '79.5', '22', '21', '88H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 80.0000000000001,21.0000000000001 80.5000000000001,22.0000000000001 80.5000000000001,22.0000000000001 80.0000000000001,21.0000000000001 80.0000000000001)))', '80.5', '80', '22', '21', '89H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 80.5000000000001,21.0000000000001 81.0000000000001,22.0000000000001 81.0000000000001,22.0000000000001 80.5000000000001,21.0000000000001 80.5000000000001)))', '81', '80.5', '22', '21', '90H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 81.0000000000001,21.0000000000001 81.5000000000001,22.0000000000001 81.5000000000001,22.0000000000001 81.0000000000001,21.0000000000001 81.0000000000001)))', '81.5', '81', '22', '21', '91H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 81.5000000000001,21.0000000000001 82.0000000000001,22.0000000000001 82.0000000000001,22.0000000000001 81.5000000000001,21.0000000000001 81.5000000000001)))', '82', '81.5', '22', '21', '92H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 82.0000000000001,21.0000000000001 82.5000000000001,22.0000000000001 82.5000000000001,22.0000000000001 82.0000000000001,21.0000000000001 82.0000000000001)))', '82.5', '82', '22', '21', '93H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 82.5000000000001,21.0000000000001 83.0000000000001,22.0000000000001 83.0000000000001,22.0000000000001 82.5000000000001,21.0000000000001 82.5000000000001)))', '83', '82.5', '22', '21', '94H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 83.0000000000001,21.0000000000001 83.5000000000001,22.0000000000001 83.5000000000001,22.0000000000001 83.0000000000001,21.0000000000001 83.0000000000001)))', '83.5', '83', '22', '21', '95H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 83.5000000000001,21.0000000000001 84.0000000000001,22.0000000000001 84.0000000000001,22.0000000000001 83.5000000000001,21.0000000000001 83.5000000000001)))', '84', '83.5', '22', '21', '96H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 84.0000000000001,21.0000000000001 84.5000000000001,22.0000000000001 84.5000000000001,22.0000000000001 84.0000000000001,21.0000000000001 84.0000000000001)))', '84.5', '84', '22', '21', '97H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((21.0000000000001 84.5000000000001,21.0000000000001 85.0000000000001,22.0000000000001 85.0000000000001,22.0000000000001 84.5000000000001,21.0000000000001 84.5000000000001)))', '85', '84.5', '22', '21', '98H1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 57.0000000000001,22.0000000000001 57.5000000000001,23.0000000000001 57.5000000000001,23.0000000000001 57.0000000000001,22.0000000000001 57.0000000000001)))', '57.5', '57', '23', '22', '43H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 57.5000000000001,22.0000000000001 58.0000000000001,23.0000000000001 58.0000000000001,23.0000000000001 57.5000000000001,22.0000000000001 57.5000000000001)))', '58', '57.5', '23', '22', '44H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 58.0000000000001,22.0000000000001 58.5000000000001,23.0000000000001 58.5000000000001,23.0000000000001 58.0000000000001,22.0000000000001 58.0000000000001)))', '58.5', '58', '23', '22', '45H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 58.5000000000001,22.0000000000001 59.0000000000001,23.0000000000001 59.0000000000001,23.0000000000001 58.5000000000001,22.0000000000001 58.5000000000001)))', '59', '58.5', '23', '22', '46H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 59.0000000000001,22.0000000000001 59.5000000000001,23.0000000000001 59.5000000000001,23.0000000000001 59.0000000000001,22.0000000000001 59.0000000000001)))', '59.5', '59', '23', '22', '47H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 59.5000000000001,22.0000000000001 60.0000000000001,23.0000000000001 60.0000000000001,23.0000000000001 59.5000000000001,22.0000000000001 59.5000000000001)))', '60', '59.5', '23', '22', '48H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 60.0000000000001,22.0000000000001 60.5000000000001,23.0000000000001 60.5000000000001,23.0000000000001 60.0000000000001,22.0000000000001 60.0000000000001)))', '60.5', '60', '23', '22', '49H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 60.5000000000001,22.0000000000001 61.0000000000001,23.0000000000001 61.0000000000001,23.0000000000001 60.5000000000001,22.0000000000001 60.5000000000001)))', '61', '60.5', '23', '22', '50H2', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((22.0000000000001 63.0000000000001,22.0000000000001 63.5000000000001,23.0000000000001 63.5000000000001,23.0000000000001 63.0000000000001,22.0000000000001 63.0000000000001)))', '63.5', '63', '23', '22', '55H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 63.5000000000001,22.0000000000001 64.0000000000001,23.0000000000001 64.0000000000001,23.0000000000001 63.5000000000001,22.0000000000001 63.5000000000001)))', '64', '63.5', '23', '22', '56H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 64.0000000000001,22.0000000000001 64.5000000000001,23.0000000000001 64.5000000000001,23.0000000000001 64.0000000000001,22.0000000000001 64.0000000000001)))', '64.5', '64', '23', '22', '57H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 64.5000000000001,22.0000000000001 65.0000000000001,23.0000000000001 65.0000000000001,23.0000000000001 64.5000000000001,22.0000000000001 64.5000000000001)))', '65', '64.5', '23', '22', '58H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 65.0000000000001,22.0000000000001 65.5000000000001,23.0000000000001 65.5000000000001,23.0000000000001 65.0000000000001,22.0000000000001 65.0000000000001)))', '65.5', '65', '23', '22', '59H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 65.5000000000001,22.0000000000001 66.0000000000001,23.0000000000001 66.0000000000001,23.0000000000001 65.5000000000001,22.0000000000001 65.5000000000001)))', '66', '65.5', '23', '22', '60H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 69.5000000000001,22.0000000000001 70.0000000000001,23.0000000000001 70.0000000000001,23.0000000000001 69.5000000000001,22.0000000000001 69.5000000000001)))', '70', '69.5', '23', '22', '68H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 70.0000000000001,22.0000000000001 70.5000000000001,23.0000000000001 70.5000000000001,23.0000000000001 70.0000000000001,22.0000000000001 70.0000000000001)))', '70.5', '70', '23', '22', '69H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 70.5000000000001,22.0000000000001 71.0000000000001,23.0000000000001 71.0000000000001,23.0000000000001 70.5000000000001,22.0000000000001 70.5000000000001)))', '71', '70.5', '23', '22', '70H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 71.0000000000001,22.0000000000001 71.5000000000001,23.0000000000001 71.5000000000001,23.0000000000001 71.0000000000001,22.0000000000001 71.0000000000001)))', '71.5', '71', '23', '22', '71H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 71.5000000000001,22.0000000000001 72.0000000000001,23.0000000000001 72.0000000000001,23.0000000000001 71.5000000000001,22.0000000000001 71.5000000000001)))', '72', '71.5', '23', '22', '72H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 72.0000000000001,22.0000000000001 72.5000000000001,23.0000000000001 72.5000000000001,23.0000000000001 72.0000000000001,22.0000000000001 72.0000000000001)))', '72.5', '72', '23', '22', '73H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 72.5000000000001,22.0000000000001 73.0000000000001,23.0000000000001 73.0000000000001,23.0000000000001 72.5000000000001,22.0000000000001 72.5000000000001)))', '73', '72.5', '23', '22', '74H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 73.0000000000001,22.0000000000001 73.5000000000001,23.0000000000001 73.5000000000001,23.0000000000001 73.0000000000001,22.0000000000001 73.0000000000001)))', '73.5', '73', '23', '22', '75H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 73.5000000000001,22.0000000000001 74.0000000000001,23.0000000000001 74.0000000000001,23.0000000000001 73.5000000000001,22.0000000000001 73.5000000000001)))', '74', '73.5', '23', '22', '76H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 74.0000000000001,22.0000000000001 74.5000000000001,23.0000000000001 74.5000000000001,23.0000000000001 74.0000000000001,22.0000000000001 74.0000000000001)))', '74.5', '74', '23', '22', '77H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 74.5000000000001,22.0000000000001 75.0000000000001,23.0000000000001 75.0000000000001,23.0000000000001 74.5000000000001,22.0000000000001 74.5000000000001)))', '75', '74.5', '23', '22', '78H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 75.0000000000001,22.0000000000001 75.5000000000001,23.0000000000001 75.5000000000001,23.0000000000001 75.0000000000001,22.0000000000001 75.0000000000001)))', '75.5', '75', '23', '22', '79H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 75.5000000000001,22.0000000000001 76.0000000000001,23.0000000000001 76.0000000000001,23.0000000000001 75.5000000000001,22.0000000000001 75.5000000000001)))', '76', '75.5', '23', '22', '80H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 76.0000000000001,22.0000000000001 76.5000000000001,23.0000000000001 76.5000000000001,23.0000000000001 76.0000000000001,22.0000000000001 76.0000000000001)))', '76.5', '76', '23', '22', '81H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 76.5000000000001,22.0000000000001 77.0000000000001,23.0000000000001 77.0000000000001,23.0000000000001 76.5000000000001,22.0000000000001 76.5000000000001)))', '77', '76.5', '23', '22', '82H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 77.0000000000001,22.0000000000001 77.5000000000001,23.0000000000001 77.5000000000001,23.0000000000001 77.0000000000001,22.0000000000001 77.0000000000001)))', '77.5', '77', '23', '22', '83H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 77.5000000000001,22.0000000000001 78.0000000000001,23.0000000000001 78.0000000000001,23.0000000000001 77.5000000000001,22.0000000000001 77.5000000000001)))', '78', '77.5', '23', '22', '84H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 78.0000000000001,22.0000000000001 78.5000000000001,23.0000000000001 78.5000000000001,23.0000000000001 78.0000000000001,22.0000000000001 78.0000000000001)))', '78.5', '78', '23', '22', '85H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 78.5000000000001,22.0000000000001 79.0000000000001,23.0000000000001 79.0000000000001,23.0000000000001 78.5000000000001,22.0000000000001 78.5000000000001)))', '79', '78.5', '23', '22', '86H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 79.0000000000001,22.0000000000001 79.5000000000001,23.0000000000001 79.5000000000001,23.0000000000001 79.0000000000001,22.0000000000001 79.0000000000001)))', '79.5', '79', '23', '22', '87H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 79.5000000000001,22.0000000000001 80.0000000000001,23.0000000000001 80.0000000000001,23.0000000000001 79.5000000000001,22.0000000000001 79.5000000000001)))', '80', '79.5', '23', '22', '88H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 80.0000000000001,22.0000000000001 80.5000000000001,23.0000000000001 80.5000000000001,23.0000000000001 80.0000000000001,22.0000000000001 80.0000000000001)))', '80.5', '80', '23', '22', '89H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 80.5000000000001,22.0000000000001 81.0000000000001,23.0000000000001 81.0000000000001,23.0000000000001 80.5000000000001,22.0000000000001 80.5000000000001)))', '81', '80.5', '23', '22', '90H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 81.0000000000001,22.0000000000001 81.5000000000001,23.0000000000001 81.5000000000001,23.0000000000001 81.0000000000001,22.0000000000001 81.0000000000001)))', '81.5', '81', '23', '22', '91H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 81.5000000000001,22.0000000000001 82.0000000000001,23.0000000000001 82.0000000000001,23.0000000000001 81.5000000000001,22.0000000000001 81.5000000000001)))', '82', '81.5', '23', '22', '92H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 82.0000000000001,22.0000000000001 82.5000000000001,23.0000000000001 82.5000000000001,23.0000000000001 82.0000000000001,22.0000000000001 82.0000000000001)))', '82.5', '82', '23', '22', '93H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 82.5000000000001,22.0000000000001 83.0000000000001,23.0000000000001 83.0000000000001,23.0000000000001 82.5000000000001,22.0000000000001 82.5000000000001)))', '83', '82.5', '23', '22', '94H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 83.0000000000001,22.0000000000001 83.5000000000001,23.0000000000001 83.5000000000001,23.0000000000001 83.0000000000001,22.0000000000001 83.0000000000001)))', '83.5', '83', '23', '22', '95H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 83.5000000000001,22.0000000000001 84.0000000000001,23.0000000000001 84.0000000000001,23.0000000000001 83.5000000000001,22.0000000000001 83.5000000000001)))', '84', '83.5', '23', '22', '96H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 84.0000000000001,22.0000000000001 84.5000000000001,23.0000000000001 84.5000000000001,23.0000000000001 84.0000000000001,22.0000000000001 84.0000000000001)))', '84.5', '84', '23', '22', '97H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((22.0000000000001 84.5000000000001,22.0000000000001 85.0000000000001,23.0000000000001 85.0000000000001,23.0000000000001 84.5000000000001,22.0000000000001 84.5000000000001)))', '85', '84.5', '23', '22', '98H2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 56.5000000000001,23.0000000000001 57.0000000000001,24.0000000000001 57.0000000000001,24.0000000000001 56.5000000000001,23.0000000000001 56.5000000000001)))', '57', '56.5', '24', '23', '42H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 57.0000000000001,23.0000000000001 57.5000000000001,24.0000000000001 57.5000000000001,24.0000000000001 57.0000000000001,23.0000000000001 57.0000000000001)))', '57.5', '57', '24', '23', '43H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 57.5000000000001,23.0000000000001 58.0000000000001,24.0000000000001 58.0000000000001,24.0000000000001 57.5000000000001,23.0000000000001 57.5000000000001)))', '58', '57.5', '24', '23', '44H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 58.0000000000001,23.0000000000001 58.5000000000001,24.0000000000001 58.5000000000001,24.0000000000001 58.0000000000001,23.0000000000001 58.0000000000001)))', '58.5', '58', '24', '23', '45H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 58.5000000000001,23.0000000000001 59.0000000000001,24.0000000000001 59.0000000000001,24.0000000000001 58.5000000000001,23.0000000000001 58.5000000000001)))', '59', '58.5', '24', '23', '46H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 59.0000000000001,23.0000000000001 59.5000000000001,24.0000000000001 59.5000000000001,24.0000000000001 59.0000000000001,23.0000000000001 59.0000000000001)))', '59.5', '59', '24', '23', '47H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 59.5000000000001,23.0000000000001 60.0000000000001,24.0000000000001 60.0000000000001,24.0000000000001 59.5000000000001,23.0000000000001 59.5000000000001)))', '60', '59.5', '24', '23', '48H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 60.0000000000001,23.0000000000001 60.5000000000001,24.0000000000001 60.5000000000001,24.0000000000001 60.0000000000001,23.0000000000001 60.0000000000001)))', '60.5', '60', '24', '23', '49H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 63.5000000000001,23.0000000000001 64.0000000000001,24.0000000000001 64.0000000000001,24.0000000000001 63.5000000000001,23.0000000000001 63.5000000000001)))', '64', '63.5', '24', '23', '56H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 64.0000000000001,23.0000000000001 64.5000000000001,24.0000000000001 64.5000000000001,24.0000000000001 64.0000000000001,23.0000000000001 64.0000000000001)))', '64.5', '64', '24', '23', '57H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 64.5000000000001,23.0000000000001 65.0000000000001,24.0000000000001 65.0000000000001,24.0000000000001 64.5000000000001,23.0000000000001 64.5000000000001)))', '65', '64.5', '24', '23', '58H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 65.0000000000001,23.0000000000001 65.5000000000001,24.0000000000001 65.5000000000001,24.0000000000001 65.0000000000001,23.0000000000001 65.0000000000001)))', '65.5', '65', '24', '23', '59H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 65.5000000000001,23.0000000000001 66.0000000000001,24.0000000000001 66.0000000000001,24.0000000000001 65.5000000000001,23.0000000000001 65.5000000000001)))', '66', '65.5', '24', '23', '60H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 69.5000000000001,23.0000000000001 70.0000000000001,24.0000000000001 70.0000000000001,24.0000000000001 69.5000000000001,23.0000000000001 69.5000000000001)))', '70', '69.5', '24', '23', '68H3', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((23.0000000000001 70.0000000000001,23.0000000000001 70.5000000000001,24.0000000000001 70.5000000000001,24.0000000000001 70.0000000000001,23.0000000000001 70.0000000000001)))', '70.5', '70', '24', '23', '69H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 70.5000000000001,23.0000000000001 71.0000000000001,24.0000000000001 71.0000000000001,24.0000000000001 70.5000000000001,23.0000000000001 70.5000000000001)))', '71', '70.5', '24', '23', '70H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 71.0000000000001,23.0000000000001 71.5000000000001,24.0000000000001 71.5000000000001,24.0000000000001 71.0000000000001,23.0000000000001 71.0000000000001)))', '71.5', '71', '24', '23', '71H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 71.5000000000001,23.0000000000001 72.0000000000001,24.0000000000001 72.0000000000001,24.0000000000001 71.5000000000001,23.0000000000001 71.5000000000001)))', '72', '71.5', '24', '23', '72H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 72.0000000000001,23.0000000000001 72.5000000000001,24.0000000000001 72.5000000000001,24.0000000000001 72.0000000000001,23.0000000000001 72.0000000000001)))', '72.5', '72', '24', '23', '73H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 72.5000000000001,23.0000000000001 73.0000000000001,24.0000000000001 73.0000000000001,24.0000000000001 72.5000000000001,23.0000000000001 72.5000000000001)))', '73', '72.5', '24', '23', '74H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 73.0000000000001,23.0000000000001 73.5000000000001,24.0000000000001 73.5000000000001,24.0000000000001 73.0000000000001,23.0000000000001 73.0000000000001)))', '73.5', '73', '24', '23', '75H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 73.5000000000001,23.0000000000001 74.0000000000001,24.0000000000001 74.0000000000001,24.0000000000001 73.5000000000001,23.0000000000001 73.5000000000001)))', '74', '73.5', '24', '23', '76H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 74.0000000000001,23.0000000000001 74.5000000000001,24.0000000000001 74.5000000000001,24.0000000000001 74.0000000000001,23.0000000000001 74.0000000000001)))', '74.5', '74', '24', '23', '77H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 74.5000000000001,23.0000000000001 75.0000000000001,24.0000000000001 75.0000000000001,24.0000000000001 74.5000000000001,23.0000000000001 74.5000000000001)))', '75', '74.5', '24', '23', '78H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 75.0000000000001,23.0000000000001 75.5000000000001,24.0000000000001 75.5000000000001,24.0000000000001 75.0000000000001,23.0000000000001 75.0000000000001)))', '75.5', '75', '24', '23', '79H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 75.5000000000001,23.0000000000001 76.0000000000001,24.0000000000001 76.0000000000001,24.0000000000001 75.5000000000001,23.0000000000001 75.5000000000001)))', '76', '75.5', '24', '23', '80H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 76.0000000000001,23.0000000000001 76.5000000000001,24.0000000000001 76.5000000000001,24.0000000000001 76.0000000000001,23.0000000000001 76.0000000000001)))', '76.5', '76', '24', '23', '81H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 76.5000000000001,23.0000000000001 77.0000000000001,24.0000000000001 77.0000000000001,24.0000000000001 76.5000000000001,23.0000000000001 76.5000000000001)))', '77', '76.5', '24', '23', '82H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 77.0000000000001,23.0000000000001 77.5000000000001,24.0000000000001 77.5000000000001,24.0000000000001 77.0000000000001,23.0000000000001 77.0000000000001)))', '77.5', '77', '24', '23', '83H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 77.5000000000001,23.0000000000001 78.0000000000001,24.0000000000001 78.0000000000001,24.0000000000001 77.5000000000001,23.0000000000001 77.5000000000001)))', '78', '77.5', '24', '23', '84H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 78.0000000000001,23.0000000000001 78.5000000000001,24.0000000000001 78.5000000000001,24.0000000000001 78.0000000000001,23.0000000000001 78.0000000000001)))', '78.5', '78', '24', '23', '85H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 78.5000000000001,23.0000000000001 79.0000000000001,24.0000000000001 79.0000000000001,24.0000000000001 78.5000000000001,23.0000000000001 78.5000000000001)))', '79', '78.5', '24', '23', '86H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 79.0000000000001,23.0000000000001 79.5000000000001,24.0000000000001 79.5000000000001,24.0000000000001 79.0000000000001,23.0000000000001 79.0000000000001)))', '79.5', '79', '24', '23', '87H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 80.0000000000001,23.0000000000001 80.5000000000001,24.0000000000001 80.5000000000001,24.0000000000001 80.0000000000001,23.0000000000001 80.0000000000001)))', '80.5', '80', '24', '23', '89H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 80.5000000000001,23.0000000000001 81.0000000000001,24.0000000000001 81.0000000000001,24.0000000000001 80.5000000000001,23.0000000000001 80.5000000000001)))', '81', '80.5', '24', '23', '90H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 81.0000000000001,23.0000000000001 81.5000000000001,24.0000000000001 81.5000000000001,24.0000000000001 81.0000000000001,23.0000000000001 81.0000000000001)))', '81.5', '81', '24', '23', '91H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 81.5000000000001,23.0000000000001 82.0000000000001,24.0000000000001 82.0000000000001,24.0000000000001 81.5000000000001,23.0000000000001 81.5000000000001)))', '82', '81.5', '24', '23', '92H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 82.0000000000001,23.0000000000001 82.5000000000001,24.0000000000001 82.5000000000001,24.0000000000001 82.0000000000001,23.0000000000001 82.0000000000001)))', '82.5', '82', '24', '23', '93H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 82.5000000000001,23.0000000000001 83.0000000000001,24.0000000000001 83.0000000000001,24.0000000000001 82.5000000000001,23.0000000000001 82.5000000000001)))', '83', '82.5', '24', '23', '94H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 83.0000000000001,23.0000000000001 83.5000000000001,24.0000000000001 83.5000000000001,24.0000000000001 83.0000000000001,23.0000000000001 83.0000000000001)))', '83.5', '83', '24', '23', '95H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 83.5000000000001,23.0000000000001 84.0000000000001,24.0000000000001 84.0000000000001,24.0000000000001 83.5000000000001,23.0000000000001 83.5000000000001)))', '84', '83.5', '24', '23', '96H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 84.0000000000001,23.0000000000001 84.5000000000001,24.0000000000001 84.5000000000001,24.0000000000001 84.0000000000001,23.0000000000001 84.0000000000001)))', '84.5', '84', '24', '23', '97H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((23.0000000000001 84.5000000000001,23.0000000000001 85.0000000000001,24.0000000000001 85.0000000000001,24.0000000000001 84.5000000000001,23.0000000000001 84.5000000000001)))', '85', '84.5', '24', '23', '98H3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 56.5000000000001,24.0000000000001 57.0000000000001,25.0000000000001 57.0000000000001,25.0000000000001 56.5000000000001,24.0000000000001 56.5000000000001)))', '57', '56.5', '25', '24', '42H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 57.0000000000001,24.0000000000001 57.5000000000001,25.0000000000001 57.5000000000001,25.0000000000001 57.0000000000001,24.0000000000001 57.0000000000001)))', '57.5', '57', '25', '24', '43H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 57.5000000000001,24.0000000000001 58.0000000000001,25.0000000000001 58.0000000000001,25.0000000000001 57.5000000000001,24.0000000000001 57.5000000000001)))', '58', '57.5', '25', '24', '44H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 58.0000000000001,24.0000000000001 58.5000000000001,25.0000000000001 58.5000000000001,25.0000000000001 58.0000000000001,24.0000000000001 58.0000000000001)))', '58.5', '58', '25', '24', '45H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 59.0000000000001,24.0000000000001 59.5000000000001,25.0000000000001 59.5000000000001,25.0000000000001 59.0000000000001,24.0000000000001 59.0000000000001)))', '59.5', '59', '25', '24', '47H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 59.5000000000001,24.0000000000001 60.0000000000001,25.0000000000001 60.0000000000001,25.0000000000001 59.5000000000001,24.0000000000001 59.5000000000001)))', '60', '59.5', '25', '24', '48H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 60.0000000000001,24.0000000000001 60.5000000000001,25.0000000000001 60.5000000000001,25.0000000000001 60.0000000000001,24.0000000000001 60.0000000000001)))', '60.5', '60', '25', '24', '49H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 64.0000000000001,24.0000000000001 64.5000000000001,25.0000000000001 64.5000000000001,25.0000000000001 64.0000000000001,24.0000000000001 64.0000000000001)))', '64.5', '64', '25', '24', '57H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 64.5000000000001,24.0000000000001 65.0000000000001,25.0000000000001 65.0000000000001,25.0000000000001 64.5000000000001,24.0000000000001 64.5000000000001)))', '65', '64.5', '25', '24', '58H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 65.0000000000001,24.0000000000001 65.5000000000001,25.0000000000001 65.5000000000001,25.0000000000001 65.0000000000001,24.0000000000001 65.0000000000001)))', '65.5', '65', '25', '24', '59H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 65.5000000000001,24.0000000000001 66.0000000000001,25.0000000000001 66.0000000000001,25.0000000000001 65.5000000000001,24.0000000000001 65.5000000000001)))', '66', '65.5', '25', '24', '60H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 70.0000000000001,24.0000000000001 70.5000000000001,25.0000000000001 70.5000000000001,25.0000000000001 70.0000000000001,24.0000000000001 70.0000000000001)))', '70.5', '70', '25', '24', '69H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 70.5000000000001,24.0000000000001 71.0000000000001,25.0000000000001 71.0000000000001,25.0000000000001 70.5000000000001,24.0000000000001 70.5000000000001)))', '71', '70.5', '25', '24', '70H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 71.0000000000001,24.0000000000001 71.5000000000001,25.0000000000001 71.5000000000001,25.0000000000001 71.0000000000001,24.0000000000001 71.0000000000001)))', '71.5', '71', '25', '24', '71H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 71.5000000000001,24.0000000000001 72.0000000000001,25.0000000000001 72.0000000000001,25.0000000000001 71.5000000000001,24.0000000000001 71.5000000000001)))', '72', '71.5', '25', '24', '72H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 72.0000000000001,24.0000000000001 72.5000000000001,25.0000000000001 72.5000000000001,25.0000000000001 72.0000000000001,24.0000000000001 72.0000000000001)))', '72.5', '72', '25', '24', '73H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 72.5000000000001,24.0000000000001 73.0000000000001,25.0000000000001 73.0000000000001,25.0000000000001 72.5000000000001,24.0000000000001 72.5000000000001)))', '73', '72.5', '25', '24', '74H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 73.0000000000001,24.0000000000001 73.5000000000001,25.0000000000001 73.5000000000001,25.0000000000001 73.0000000000001,24.0000000000001 73.0000000000001)))', '73.5', '73', '25', '24', '75H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 73.5000000000001,24.0000000000001 74.0000000000001,25.0000000000001 74.0000000000001,25.0000000000001 73.5000000000001,24.0000000000001 73.5000000000001)))', '74', '73.5', '25', '24', '76H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 74.0000000000001,24.0000000000001 74.5000000000001,25.0000000000001 74.5000000000001,25.0000000000001 74.0000000000001,24.0000000000001 74.0000000000001)))', '74.5', '74', '25', '24', '77H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 74.5000000000001,24.0000000000001 75.0000000000001,25.0000000000001 75.0000000000001,25.0000000000001 74.5000000000001,24.0000000000001 74.5000000000001)))', '75', '74.5', '25', '24', '78H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 75.0000000000001,24.0000000000001 75.5000000000001,25.0000000000001 75.5000000000001,25.0000000000001 75.0000000000001,24.0000000000001 75.0000000000001)))', '75.5', '75', '25', '24', '79H4', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((24.0000000000001 75.5000000000001,24.0000000000001 76.0000000000001,25.0000000000001 76.0000000000001,25.0000000000001 75.5000000000001,24.0000000000001 75.5000000000001)))', '76', '75.5', '25', '24', '80H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 76.0000000000001,24.0000000000001 76.5000000000001,25.0000000000001 76.5000000000001,25.0000000000001 76.0000000000001,24.0000000000001 76.0000000000001)))', '76.5', '76', '25', '24', '81H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 76.5000000000001,24.0000000000001 77.0000000000001,25.0000000000001 77.0000000000001,25.0000000000001 76.5000000000001,24.0000000000001 76.5000000000001)))', '77', '76.5', '25', '24', '82H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 77.0000000000001,24.0000000000001 77.5000000000001,25.0000000000001 77.5000000000001,25.0000000000001 77.0000000000001,24.0000000000001 77.0000000000001)))', '77.5', '77', '25', '24', '83H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 77.5000000000001,24.0000000000001 78.0000000000001,25.0000000000001 78.0000000000001,25.0000000000001 77.5000000000001,24.0000000000001 77.5000000000001)))', '78', '77.5', '25', '24', '84H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 78.0000000000001,24.0000000000001 78.5000000000001,25.0000000000001 78.5000000000001,25.0000000000001 78.0000000000001,24.0000000000001 78.0000000000001)))', '78.5', '78', '25', '24', '85H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 78.5000000000001,24.0000000000001 79.0000000000001,25.0000000000001 79.0000000000001,25.0000000000001 78.5000000000001,24.0000000000001 78.5000000000001)))', '79', '78.5', '25', '24', '86H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 79.0000000000001,24.0000000000001 79.5000000000001,25.0000000000001 79.5000000000001,25.0000000000001 79.0000000000001,24.0000000000001 79.0000000000001)))', '79.5', '79', '25', '24', '87H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 80.0000000000001,24.0000000000001 80.5000000000001,25.0000000000001 80.5000000000001,25.0000000000001 80.0000000000001,24.0000000000001 80.0000000000001)))', '80.5', '80', '25', '24', '89H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 80.5000000000001,24.0000000000001 81.0000000000001,25.0000000000001 81.0000000000001,25.0000000000001 80.5000000000001,24.0000000000001 80.5000000000001)))', '81', '80.5', '25', '24', '90H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 81.0000000000001,24.0000000000001 81.5000000000001,25.0000000000001 81.5000000000001,25.0000000000001 81.0000000000001,24.0000000000001 81.0000000000001)))', '81.5', '81', '25', '24', '91H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 81.5000000000001,24.0000000000001 82.0000000000001,25.0000000000001 82.0000000000001,25.0000000000001 81.5000000000001,24.0000000000001 81.5000000000001)))', '82', '81.5', '25', '24', '92H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 82.0000000000001,24.0000000000001 82.5000000000001,25.0000000000001 82.5000000000001,25.0000000000001 82.0000000000001,24.0000000000001 82.0000000000001)))', '82.5', '82', '25', '24', '93H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 82.5000000000001,24.0000000000001 83.0000000000001,25.0000000000001 83.0000000000001,25.0000000000001 82.5000000000001,24.0000000000001 82.5000000000001)))', '83', '82.5', '25', '24', '94H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 83.0000000000001,24.0000000000001 83.5000000000001,25.0000000000001 83.5000000000001,25.0000000000001 83.0000000000001,24.0000000000001 83.0000000000001)))', '83.5', '83', '25', '24', '95H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 83.5000000000001,24.0000000000001 84.0000000000001,25.0000000000001 84.0000000000001,25.0000000000001 83.5000000000001,24.0000000000001 83.5000000000001)))', '84', '83.5', '25', '24', '96H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 84.0000000000001,24.0000000000001 84.5000000000001,25.0000000000001 84.5000000000001,25.0000000000001 84.0000000000001,24.0000000000001 84.0000000000001)))', '84.5', '84', '25', '24', '97H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((24.0000000000001 84.5000000000001,24.0000000000001 85.0000000000001,25.0000000000001 85.0000000000001,25.0000000000001 84.5000000000001,24.0000000000001 84.5000000000001)))', '85', '84.5', '25', '24', '98H4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 59.0000000000001,25.0000000000001 59.5000000000001,26.0000000000001 59.5000000000001,26.0000000000001 59.0000000000001,25.0000000000001 59.0000000000001)))', '59.5', '59', '26', '25', '47H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 59.5000000000001,25.0000000000001 60.0000000000001,26.0000000000001 60.0000000000001,26.0000000000001 59.5000000000001,25.0000000000001 59.5000000000001)))', '60', '59.5', '26', '25', '48H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 60.0000000000001,25.0000000000001 60.5000000000001,26.0000000000001 60.5000000000001,26.0000000000001 60.0000000000001,25.0000000000001 60.0000000000001)))', '60.5', '60', '26', '25', '49H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 64.5000000000001,25.0000000000001 65.0000000000001,26.0000000000001 65.0000000000001,26.0000000000001 64.5000000000001,25.0000000000001 64.5000000000001)))', '65', '64.5', '26', '25', '58H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 65.0000000000001,25.0000000000001 65.5000000000001,26.0000000000001 65.5000000000001,26.0000000000001 65.0000000000001,25.0000000000001 65.0000000000001)))', '65.5', '65', '26', '25', '59H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 65.5000000000001,25.0000000000001 66.0000000000001,26.0000000000001 66.0000000000001,26.0000000000001 65.5000000000001,25.0000000000001 65.5000000000001)))', '66', '65.5', '26', '25', '60H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 69.5000000000001,25.0000000000001 70.0000000000001,26.0000000000001 70.0000000000001,26.0000000000001 69.5000000000001,25.0000000000001 69.5000000000001)))', '70', '69.5', '26', '25', '68H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 70.0000000000001,25.0000000000001 70.5000000000001,26.0000000000001 70.5000000000001,26.0000000000001 70.0000000000001,25.0000000000001 70.0000000000001)))', '70.5', '70', '26', '25', '69H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 70.5000000000001,25.0000000000001 71.0000000000001,26.0000000000001 71.0000000000001,26.0000000000001 70.5000000000001,25.0000000000001 70.5000000000001)))', '71', '70.5', '26', '25', '70H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 71.0000000000001,25.0000000000001 71.5000000000001,26.0000000000001 71.5000000000001,26.0000000000001 71.0000000000001,25.0000000000001 71.0000000000001)))', '71.5', '71', '26', '25', '71H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 71.5000000000001,25.0000000000001 72.0000000000001,26.0000000000001 72.0000000000001,26.0000000000001 71.5000000000001,25.0000000000001 71.5000000000001)))', '72', '71.5', '26', '25', '72H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 72.0000000000001,25.0000000000001 72.5000000000001,26.0000000000001 72.5000000000001,26.0000000000001 72.0000000000001,25.0000000000001 72.0000000000001)))', '72.5', '72', '26', '25', '73H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 72.5000000000001,25.0000000000001 73.0000000000001,26.0000000000001 73.0000000000001,26.0000000000001 72.5000000000001,25.0000000000001 72.5000000000001)))', '73', '72.5', '26', '25', '74H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 73.0000000000001,25.0000000000001 73.5000000000001,26.0000000000001 73.5000000000001,26.0000000000001 73.0000000000001,25.0000000000001 73.0000000000001)))', '73.5', '73', '26', '25', '75H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 73.5000000000001,25.0000000000001 74.0000000000001,26.0000000000001 74.0000000000001,26.0000000000001 73.5000000000001,25.0000000000001 73.5000000000001)))', '74', '73.5', '26', '25', '76H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 74.0000000000001,25.0000000000001 74.5000000000001,26.0000000000001 74.5000000000001,26.0000000000001 74.0000000000001,25.0000000000001 74.0000000000001)))', '74.5', '74', '26', '25', '77H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 74.5000000000001,25.0000000000001 75.0000000000001,26.0000000000001 75.0000000000001,26.0000000000001 74.5000000000001,25.0000000000001 74.5000000000001)))', '75', '74.5', '26', '25', '78H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 75.0000000000001,25.0000000000001 75.5000000000001,26.0000000000001 75.5000000000001,26.0000000000001 75.0000000000001,25.0000000000001 75.0000000000001)))', '75.5', '75', '26', '25', '79H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 75.5000000000001,25.0000000000001 76.0000000000001,26.0000000000001 76.0000000000001,26.0000000000001 75.5000000000001,25.0000000000001 75.5000000000001)))', '76', '75.5', '26', '25', '80H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 76.0000000000001,25.0000000000001 76.5000000000001,26.0000000000001 76.5000000000001,26.0000000000001 76.0000000000001,25.0000000000001 76.0000000000001)))', '76.5', '76', '26', '25', '81H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 76.5000000000001,25.0000000000001 77.0000000000001,26.0000000000001 77.0000000000001,26.0000000000001 76.5000000000001,25.0000000000001 76.5000000000001)))', '77', '76.5', '26', '25', '82H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 77.0000000000001,25.0000000000001 77.5000000000001,26.0000000000001 77.5000000000001,26.0000000000001 77.0000000000001,25.0000000000001 77.0000000000001)))', '77.5', '77', '26', '25', '83H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 77.5000000000001,25.0000000000001 78.0000000000001,26.0000000000001 78.0000000000001,26.0000000000001 77.5000000000001,25.0000000000001 77.5000000000001)))', '78', '77.5', '26', '25', '84H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 78.0000000000001,25.0000000000001 78.5000000000001,26.0000000000001 78.5000000000001,26.0000000000001 78.0000000000001,25.0000000000001 78.0000000000001)))', '78.5', '78', '26', '25', '85H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 78.5000000000001,25.0000000000001 79.0000000000001,26.0000000000001 79.0000000000001,26.0000000000001 78.5000000000001,25.0000000000001 78.5000000000001)))', '79', '78.5', '26', '25', '86H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 79.0000000000001,25.0000000000001 79.5000000000001,26.0000000000001 79.5000000000001,26.0000000000001 79.0000000000001,25.0000000000001 79.0000000000001)))', '79.5', '79', '26', '25', '87H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 79.5000000000001,25.0000000000001 80.0000000000001,26.0000000000001 80.0000000000001,26.0000000000001 79.5000000000001,25.0000000000001 79.5000000000001)))', '80', '79.5', '26', '25', '88H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 80.0000000000001,25.0000000000001 80.5000000000001,26.0000000000001 80.5000000000001,26.0000000000001 80.0000000000001,25.0000000000001 80.0000000000001)))', '80.5', '80', '26', '25', '89H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 80.5000000000001,25.0000000000001 81.0000000000001,26.0000000000001 81.0000000000001,26.0000000000001 80.5000000000001,25.0000000000001 80.5000000000001)))', '81', '80.5', '26', '25', '90H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 81.0000000000001,25.0000000000001 81.5000000000001,26.0000000000001 81.5000000000001,26.0000000000001 81.0000000000001,25.0000000000001 81.0000000000001)))', '81.5', '81', '26', '25', '91H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 81.5000000000001,25.0000000000001 82.0000000000001,26.0000000000001 82.0000000000001,26.0000000000001 81.5000000000001,25.0000000000001 81.5000000000001)))', '82', '81.5', '26', '25', '92H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 82.0000000000001,25.0000000000001 82.5000000000001,26.0000000000001 82.5000000000001,26.0000000000001 82.0000000000001,25.0000000000001 82.0000000000001)))', '82.5', '82', '26', '25', '93H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 82.5000000000001,25.0000000000001 83.0000000000001,26.0000000000001 83.0000000000001,26.0000000000001 82.5000000000001,25.0000000000001 82.5000000000001)))', '83', '82.5', '26', '25', '94H5', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((25.0000000000001 83.0000000000001,25.0000000000001 83.5000000000001,26.0000000000001 83.5000000000001,26.0000000000001 83.0000000000001,25.0000000000001 83.0000000000001)))', '83.5', '83', '26', '25', '95H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 83.5000000000001,25.0000000000001 84.0000000000001,26.0000000000001 84.0000000000001,26.0000000000001 83.5000000000001,25.0000000000001 83.5000000000001)))', '84', '83.5', '26', '25', '96H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 84.0000000000001,25.0000000000001 84.5000000000001,26.0000000000001 84.5000000000001,26.0000000000001 84.0000000000001,25.0000000000001 84.0000000000001)))', '84.5', '84', '26', '25', '97H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((25.0000000000001 84.5000000000001,25.0000000000001 85.0000000000001,26.0000000000001 85.0000000000001,26.0000000000001 84.5000000000001,25.0000000000001 84.5000000000001)))', '85', '84.5', '26', '25', '98H5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 59.0000000000001,26.0000000000001 59.5000000000001,27.0000000000001 59.5000000000001,27.0000000000001 59.0000000000001,26.0000000000001 59.0000000000001)))', '59.5', '59', '27', '26', '47H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 59.5000000000001,26.0000000000001 60.0000000000001,27.0000000000001 60.0000000000001,27.0000000000001 59.5000000000001,26.0000000000001 59.5000000000001)))', '60', '59.5', '27', '26', '48H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 60.0000000000001,26.0000000000001 60.5000000000001,27.0000000000001 60.5000000000001,27.0000000000001 60.0000000000001,26.0000000000001 60.0000000000001)))', '60.5', '60', '27', '26', '49H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 70.0000000000001,26.0000000000001 70.5000000000001,27.0000000000001 70.5000000000001,27.0000000000001 70.0000000000001,26.0000000000001 70.0000000000001)))', '70.5', '70', '27', '26', '69H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 70.5000000000001,26.0000000000001 71.0000000000001,27.0000000000001 71.0000000000001,27.0000000000001 70.5000000000001,26.0000000000001 70.5000000000001)))', '71', '70.5', '27', '26', '70H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 71.0000000000001,26.0000000000001 71.5000000000001,27.0000000000001 71.5000000000001,27.0000000000001 71.0000000000001,26.0000000000001 71.0000000000001)))', '71.5', '71', '27', '26', '71H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 71.5000000000001,26.0000000000001 72.0000000000001,27.0000000000001 72.0000000000001,27.0000000000001 71.5000000000001,26.0000000000001 71.5000000000001)))', '72', '71.5', '27', '26', '72H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 72.0000000000001,26.0000000000001 72.5000000000001,27.0000000000001 72.5000000000001,27.0000000000001 72.0000000000001,26.0000000000001 72.0000000000001)))', '72.5', '72', '27', '26', '73H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 72.5000000000001,26.0000000000001 73.0000000000001,27.0000000000001 73.0000000000001,27.0000000000001 72.5000000000001,26.0000000000001 72.5000000000001)))', '73', '72.5', '27', '26', '74H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 73.0000000000001,26.0000000000001 73.5000000000001,27.0000000000001 73.5000000000001,27.0000000000001 73.0000000000001,26.0000000000001 73.0000000000001)))', '73.5', '73', '27', '26', '75H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 73.5000000000001,26.0000000000001 74.0000000000001,27.0000000000001 74.0000000000001,27.0000000000001 73.5000000000001,26.0000000000001 73.5000000000001)))', '74', '73.5', '27', '26', '76H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 74.0000000000001,26.0000000000001 74.5000000000001,27.0000000000001 74.5000000000001,27.0000000000001 74.0000000000001,26.0000000000001 74.0000000000001)))', '74.5', '74', '27', '26', '77H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 74.5000000000001,26.0000000000001 75.0000000000001,27.0000000000001 75.0000000000001,27.0000000000001 74.5000000000001,26.0000000000001 74.5000000000001)))', '75', '74.5', '27', '26', '78H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 75.0000000000001,26.0000000000001 75.5000000000001,27.0000000000001 75.5000000000001,27.0000000000001 75.0000000000001,26.0000000000001 75.0000000000001)))', '75.5', '75', '27', '26', '79H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 75.5000000000001,26.0000000000001 76.0000000000001,27.0000000000001 76.0000000000001,27.0000000000001 75.5000000000001,26.0000000000001 75.5000000000001)))', '76', '75.5', '27', '26', '80H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 76.0000000000001,26.0000000000001 76.5000000000001,27.0000000000001 76.5000000000001,27.0000000000001 76.0000000000001,26.0000000000001 76.0000000000001)))', '76.5', '76', '27', '26', '81H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 76.5000000000001,26.0000000000001 77.0000000000001,27.0000000000001 77.0000000000001,27.0000000000001 76.5000000000001,26.0000000000001 76.5000000000001)))', '77', '76.5', '27', '26', '82H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 77.0000000000001,26.0000000000001 77.5000000000001,27.0000000000001 77.5000000000001,27.0000000000001 77.0000000000001,26.0000000000001 77.0000000000001)))', '77.5', '77', '27', '26', '83H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 77.5000000000001,26.0000000000001 78.0000000000001,27.0000000000001 78.0000000000001,27.0000000000001 77.5000000000001,26.0000000000001 77.5000000000001)))', '78', '77.5', '27', '26', '84H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 78.0000000000001,26.0000000000001 78.5000000000001,27.0000000000001 78.5000000000001,27.0000000000001 78.0000000000001,26.0000000000001 78.0000000000001)))', '78.5', '78', '27', '26', '85H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 78.5000000000001,26.0000000000001 79.0000000000001,27.0000000000001 79.0000000000001,27.0000000000001 78.5000000000001,26.0000000000001 78.5000000000001)))', '79', '78.5', '27', '26', '86H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 79.0000000000001,26.0000000000001 79.5000000000001,27.0000000000001 79.5000000000001,27.0000000000001 79.0000000000001,26.0000000000001 79.0000000000001)))', '79.5', '79', '27', '26', '87H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 79.5000000000001,26.0000000000001 80.0000000000001,27.0000000000001 80.0000000000001,27.0000000000001 79.5000000000001,26.0000000000001 79.5000000000001)))', '80', '79.5', '27', '26', '88H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 80.0000000000001,26.0000000000001 80.5000000000001,27.0000000000001 80.5000000000001,27.0000000000001 80.0000000000001,26.0000000000001 80.0000000000001)))', '80.5', '80', '27', '26', '89H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 80.5000000000001,26.0000000000001 81.0000000000001,27.0000000000001 81.0000000000001,27.0000000000001 80.5000000000001,26.0000000000001 80.5000000000001)))', '81', '80.5', '27', '26', '90H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 81.0000000000001,26.0000000000001 81.5000000000001,27.0000000000001 81.5000000000001,27.0000000000001 81.0000000000001,26.0000000000001 81.0000000000001)))', '81.5', '81', '27', '26', '91H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 81.5000000000001,26.0000000000001 82.0000000000001,27.0000000000001 82.0000000000001,27.0000000000001 81.5000000000001,26.0000000000001 81.5000000000001)))', '82', '81.5', '27', '26', '92H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 82.0000000000001,26.0000000000001 82.5000000000001,27.0000000000001 82.5000000000001,27.0000000000001 82.0000000000001,26.0000000000001 82.0000000000001)))', '82.5', '82', '27', '26', '93H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 82.5000000000001,26.0000000000001 83.0000000000001,27.0000000000001 83.0000000000001,27.0000000000001 82.5000000000001,26.0000000000001 82.5000000000001)))', '83', '82.5', '27', '26', '94H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 83.0000000000001,26.0000000000001 83.5000000000001,27.0000000000001 83.5000000000001,27.0000000000001 83.0000000000001,26.0000000000001 83.0000000000001)))', '83.5', '83', '27', '26', '95H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 83.5000000000001,26.0000000000001 84.0000000000001,27.0000000000001 84.0000000000001,27.0000000000001 83.5000000000001,26.0000000000001 83.5000000000001)))', '84', '83.5', '27', '26', '96H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 84.0000000000001,26.0000000000001 84.5000000000001,27.0000000000001 84.5000000000001,27.0000000000001 84.0000000000001,26.0000000000001 84.0000000000001)))', '84.5', '84', '27', '26', '97H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((26.0000000000001 84.5000000000001,26.0000000000001 85.0000000000001,27.0000000000001 85.0000000000001,27.0000000000001 84.5000000000001,26.0000000000001 84.5000000000001)))', '85', '84.5', '27', '26', '98H6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 59.0000000000001,27.0000000000001 59.5000000000001,28.0000000000001 59.5000000000001,28.0000000000001 59.0000000000001,27.0000000000001 59.0000000000001)))', '59.5', '59', '28', '27', '47H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 59.5000000000001,27.0000000000001 60.0000000000001,28.0000000000001 60.0000000000001,28.0000000000001 59.5000000000001,27.0000000000001 59.5000000000001)))', '60', '59.5', '28', '27', '48H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 60.0000000000001,27.0000000000001 60.5000000000001,28.0000000000001 60.5000000000001,28.0000000000001 60.0000000000001,27.0000000000001 60.0000000000001)))', '60.5', '60', '28', '27', '49H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 60.5000000000001,27.0000000000001 61.0000000000001,28.0000000000001 61.0000000000001,28.0000000000001 60.5000000000001,27.0000000000001 60.5000000000001)))', '61', '60.5', '28', '27', '50H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 70.0000000000001,27.0000000000001 70.5000000000001,28.0000000000001 70.5000000000001,28.0000000000001 70.0000000000001,27.0000000000001 70.0000000000001)))', '70.5', '70', '28', '27', '69H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 70.5000000000001,27.0000000000001 71.0000000000001,28.0000000000001 71.0000000000001,28.0000000000001 70.5000000000001,27.0000000000001 70.5000000000001)))', '71', '70.5', '28', '27', '70H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 71.0000000000001,27.0000000000001 71.5000000000001,28.0000000000001 71.5000000000001,28.0000000000001 71.0000000000001,27.0000000000001 71.0000000000001)))', '71.5', '71', '28', '27', '71H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 71.5000000000001,27.0000000000001 72.0000000000001,28.0000000000001 72.0000000000001,28.0000000000001 71.5000000000001,27.0000000000001 71.5000000000001)))', '72', '71.5', '28', '27', '72H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 72.0000000000001,27.0000000000001 72.5000000000001,28.0000000000001 72.5000000000001,28.0000000000001 72.0000000000001,27.0000000000001 72.0000000000001)))', '72.5', '72', '28', '27', '73H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 72.5000000000001,27.0000000000001 73.0000000000001,28.0000000000001 73.0000000000001,28.0000000000001 72.5000000000001,27.0000000000001 72.5000000000001)))', '73', '72.5', '28', '27', '74H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 73.0000000000001,27.0000000000001 73.5000000000001,28.0000000000001 73.5000000000001,28.0000000000001 73.0000000000001,27.0000000000001 73.0000000000001)))', '73.5', '73', '28', '27', '75H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 73.5000000000001,27.0000000000001 74.0000000000001,28.0000000000001 74.0000000000001,28.0000000000001 73.5000000000001,27.0000000000001 73.5000000000001)))', '74', '73.5', '28', '27', '76H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 74.0000000000001,27.0000000000001 74.5000000000001,28.0000000000001 74.5000000000001,28.0000000000001 74.0000000000001,27.0000000000001 74.0000000000001)))', '74.5', '74', '28', '27', '77H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 74.5000000000001,27.0000000000001 75.0000000000001,28.0000000000001 75.0000000000001,28.0000000000001 74.5000000000001,27.0000000000001 74.5000000000001)))', '75', '74.5', '28', '27', '78H7', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((27.0000000000001 75.0000000000001,27.0000000000001 75.5000000000001,28.0000000000001 75.5000000000001,28.0000000000001 75.0000000000001,27.0000000000001 75.0000000000001)))', '75.5', '75', '28', '27', '79H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 75.5000000000001,27.0000000000001 76.0000000000001,28.0000000000001 76.0000000000001,28.0000000000001 75.5000000000001,27.0000000000001 75.5000000000001)))', '76', '75.5', '28', '27', '80H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 76.0000000000001,27.0000000000001 76.5000000000001,28.0000000000001 76.5000000000001,28.0000000000001 76.0000000000001,27.0000000000001 76.0000000000001)))', '76.5', '76', '28', '27', '81H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 76.5000000000001,27.0000000000001 77.0000000000001,28.0000000000001 77.0000000000001,28.0000000000001 76.5000000000001,27.0000000000001 76.5000000000001)))', '77', '76.5', '28', '27', '82H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 77.0000000000001,27.0000000000001 77.5000000000001,28.0000000000001 77.5000000000001,28.0000000000001 77.0000000000001,27.0000000000001 77.0000000000001)))', '77.5', '77', '28', '27', '83H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 77.5000000000001,27.0000000000001 78.0000000000001,28.0000000000001 78.0000000000001,28.0000000000001 77.5000000000001,27.0000000000001 77.5000000000001)))', '78', '77.5', '28', '27', '84H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 78.0000000000001,27.0000000000001 78.5000000000001,28.0000000000001 78.5000000000001,28.0000000000001 78.0000000000001,27.0000000000001 78.0000000000001)))', '78.5', '78', '28', '27', '85H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 78.5000000000001,27.0000000000001 79.0000000000001,28.0000000000001 79.0000000000001,28.0000000000001 78.5000000000001,27.0000000000001 78.5000000000001)))', '79', '78.5', '28', '27', '86H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 79.0000000000001,27.0000000000001 79.5000000000001,28.0000000000001 79.5000000000001,28.0000000000001 79.0000000000001,27.0000000000001 79.0000000000001)))', '79.5', '79', '28', '27', '87H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 79.5000000000001,27.0000000000001 80.0000000000001,28.0000000000001 80.0000000000001,28.0000000000001 79.5000000000001,27.0000000000001 79.5000000000001)))', '80', '79.5', '28', '27', '88H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 80.0000000000001,27.0000000000001 80.5000000000001,28.0000000000001 80.5000000000001,28.0000000000001 80.0000000000001,27.0000000000001 80.0000000000001)))', '80.5', '80', '28', '27', '89H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 80.5000000000001,27.0000000000001 81.0000000000001,28.0000000000001 81.0000000000001,28.0000000000001 80.5000000000001,27.0000000000001 80.5000000000001)))', '81', '80.5', '28', '27', '90H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 81.0000000000001,27.0000000000001 81.5000000000001,28.0000000000001 81.5000000000001,28.0000000000001 81.0000000000001,27.0000000000001 81.0000000000001)))', '81.5', '81', '28', '27', '91H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 81.5000000000001,27.0000000000001 82.0000000000001,28.0000000000001 82.0000000000001,28.0000000000001 81.5000000000001,27.0000000000001 81.5000000000001)))', '82', '81.5', '28', '27', '92H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 82.0000000000001,27.0000000000001 82.5000000000001,28.0000000000001 82.5000000000001,28.0000000000001 82.0000000000001,27.0000000000001 82.0000000000001)))', '82.5', '82', '28', '27', '93H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 82.5000000000001,27.0000000000001 83.0000000000001,28.0000000000001 83.0000000000001,28.0000000000001 82.5000000000001,27.0000000000001 82.5000000000001)))', '83', '82.5', '28', '27', '94H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 83.0000000000001,27.0000000000001 83.5000000000001,28.0000000000001 83.5000000000001,28.0000000000001 83.0000000000001,27.0000000000001 83.0000000000001)))', '83.5', '83', '28', '27', '95H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 83.5000000000001,27.0000000000001 84.0000000000001,28.0000000000001 84.0000000000001,28.0000000000001 83.5000000000001,27.0000000000001 83.5000000000001)))', '84', '83.5', '28', '27', '96H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 84.0000000000001,27.0000000000001 84.5000000000001,28.0000000000001 84.5000000000001,28.0000000000001 84.0000000000001,27.0000000000001 84.0000000000001)))', '84.5', '84', '28', '27', '97H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((27.0000000000001 84.5000000000001,27.0000000000001 85.0000000000001,28.0000000000001 85.0000000000001,28.0000000000001 84.5000000000001,27.0000000000001 84.5000000000001)))', '85', '84.5', '28', '27', '98H7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 59.0000000000001,28.0000000000001 59.5000000000001,29.0000000000001 59.5000000000001,29.0000000000001 59.0000000000001,28.0000000000001 59.0000000000001)))', '59.5', '59', '29', '28', '47H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 59.5000000000001,28.0000000000001 60.0000000000001,29.0000000000001 60.0000000000001,29.0000000000001 59.5000000000001,28.0000000000001 59.5000000000001)))', '60', '59.5', '29', '28', '48H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 60.0000000000001,28.0000000000001 60.5000000000001,29.0000000000001 60.5000000000001,29.0000000000001 60.0000000000001,28.0000000000001 60.0000000000001)))', '60.5', '60', '29', '28', '49H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 60.5000000000001,28.0000000000001 61.0000000000001,29.0000000000001 61.0000000000001,29.0000000000001 60.5000000000001,28.0000000000001 60.5000000000001)))', '61', '60.5', '29', '28', '50H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 70.0000000000001,28.0000000000001 70.5000000000001,29.0000000000001 70.5000000000001,29.0000000000001 70.0000000000001,28.0000000000001 70.0000000000001)))', '70.5', '70', '29', '28', '69H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 70.5000000000001,28.0000000000001 71.0000000000001,29.0000000000001 71.0000000000001,29.0000000000001 70.5000000000001,28.0000000000001 70.5000000000001)))', '71', '70.5', '29', '28', '70H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 71.0000000000001,28.0000000000001 71.5000000000001,29.0000000000001 71.5000000000001,29.0000000000001 71.0000000000001,28.0000000000001 71.0000000000001)))', '71.5', '71', '29', '28', '71H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 71.5000000000001,28.0000000000001 72.0000000000001,29.0000000000001 72.0000000000001,29.0000000000001 71.5000000000001,28.0000000000001 71.5000000000001)))', '72', '71.5', '29', '28', '72H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 72.0000000000001,28.0000000000001 72.5000000000001,29.0000000000001 72.5000000000001,29.0000000000001 72.0000000000001,28.0000000000001 72.0000000000001)))', '72.5', '72', '29', '28', '73H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 72.5000000000001,28.0000000000001 73.0000000000001,29.0000000000001 73.0000000000001,29.0000000000001 72.5000000000001,28.0000000000001 72.5000000000001)))', '73', '72.5', '29', '28', '74H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 73.0000000000001,28.0000000000001 73.5000000000001,29.0000000000001 73.5000000000001,29.0000000000001 73.0000000000001,28.0000000000001 73.0000000000001)))', '73.5', '73', '29', '28', '75H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 73.5000000000001,28.0000000000001 74.0000000000001,29.0000000000001 74.0000000000001,29.0000000000001 73.5000000000001,28.0000000000001 73.5000000000001)))', '74', '73.5', '29', '28', '76H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 74.0000000000001,28.0000000000001 74.5000000000001,29.0000000000001 74.5000000000001,29.0000000000001 74.0000000000001,28.0000000000001 74.0000000000001)))', '74.5', '74', '29', '28', '77H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 74.5000000000001,28.0000000000001 75.0000000000001,29.0000000000001 75.0000000000001,29.0000000000001 74.5000000000001,28.0000000000001 74.5000000000001)))', '75', '74.5', '29', '28', '78H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 75.0000000000001,28.0000000000001 75.5000000000001,29.0000000000001 75.5000000000001,29.0000000000001 75.0000000000001,28.0000000000001 75.0000000000001)))', '75.5', '75', '29', '28', '79H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 75.5000000000001,28.0000000000001 76.0000000000001,29.0000000000001 76.0000000000001,29.0000000000001 75.5000000000001,28.0000000000001 75.5000000000001)))', '76', '75.5', '29', '28', '80H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 76.0000000000001,28.0000000000001 76.5000000000001,29.0000000000001 76.5000000000001,29.0000000000001 76.0000000000001,28.0000000000001 76.0000000000001)))', '76.5', '76', '29', '28', '81H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 76.5000000000001,28.0000000000001 77.0000000000001,29.0000000000001 77.0000000000001,29.0000000000001 76.5000000000001,28.0000000000001 76.5000000000001)))', '77', '76.5', '29', '28', '82H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 77.0000000000001,28.0000000000001 77.5000000000001,29.0000000000001 77.5000000000001,29.0000000000001 77.0000000000001,28.0000000000001 77.0000000000001)))', '77.5', '77', '29', '28', '83H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 77.5000000000001,28.0000000000001 78.0000000000001,29.0000000000001 78.0000000000001,29.0000000000001 77.5000000000001,28.0000000000001 77.5000000000001)))', '78', '77.5', '29', '28', '84H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 78.0000000000001,28.0000000000001 78.5000000000001,29.0000000000001 78.5000000000001,29.0000000000001 78.0000000000001,28.0000000000001 78.0000000000001)))', '78.5', '78', '29', '28', '85H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 78.5000000000001,28.0000000000001 79.0000000000001,29.0000000000001 79.0000000000001,29.0000000000001 78.5000000000001,28.0000000000001 78.5000000000001)))', '79', '78.5', '29', '28', '86H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 79.0000000000001,28.0000000000001 79.5000000000001,29.0000000000001 79.5000000000001,29.0000000000001 79.0000000000001,28.0000000000001 79.0000000000001)))', '79.5', '79', '29', '28', '87H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 79.5000000000001,28.0000000000001 80.0000000000001,29.0000000000001 80.0000000000001,29.0000000000001 79.5000000000001,28.0000000000001 79.5000000000001)))', '80', '79.5', '29', '28', '88H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 80.0000000000001,28.0000000000001 80.5000000000001,29.0000000000001 80.5000000000001,29.0000000000001 80.0000000000001,28.0000000000001 80.0000000000001)))', '80.5', '80', '29', '28', '89H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 80.5000000000001,28.0000000000001 81.0000000000001,29.0000000000001 81.0000000000001,29.0000000000001 80.5000000000001,28.0000000000001 80.5000000000001)))', '81', '80.5', '29', '28', '90H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 81.0000000000001,28.0000000000001 81.5000000000001,29.0000000000001 81.5000000000001,29.0000000000001 81.0000000000001,28.0000000000001 81.0000000000001)))', '81.5', '81', '29', '28', '91H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 81.5000000000001,28.0000000000001 82.0000000000001,29.0000000000001 82.0000000000001,29.0000000000001 81.5000000000001,28.0000000000001 81.5000000000001)))', '82', '81.5', '29', '28', '92H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 82.0000000000001,28.0000000000001 82.5000000000001,29.0000000000001 82.5000000000001,29.0000000000001 82.0000000000001,28.0000000000001 82.0000000000001)))', '82.5', '82', '29', '28', '93H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 82.5000000000001,28.0000000000001 83.0000000000001,29.0000000000001 83.0000000000001,29.0000000000001 82.5000000000001,28.0000000000001 82.5000000000001)))', '83', '82.5', '29', '28', '94H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 83.0000000000001,28.0000000000001 83.5000000000001,29.0000000000001 83.5000000000001,29.0000000000001 83.0000000000001,28.0000000000001 83.0000000000001)))', '83.5', '83', '29', '28', '95H8', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((28.0000000000001 83.5000000000001,28.0000000000001 84.0000000000001,29.0000000000001 84.0000000000001,29.0000000000001 83.5000000000001,28.0000000000001 83.5000000000001)))', '84', '83.5', '29', '28', '96H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 84.0000000000001,28.0000000000001 84.5000000000001,29.0000000000001 84.5000000000001,29.0000000000001 84.0000000000001,28.0000000000001 84.0000000000001)))', '84.5', '84', '29', '28', '97H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((28.0000000000001 84.5000000000001,28.0000000000001 85.0000000000001,29.0000000000001 85.0000000000001,29.0000000000001 84.5000000000001,28.0000000000001 84.5000000000001)))', '85', '84.5', '29', '28', '98H8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 59.5000000000001,29.0000000000001 60.0000000000001,30.0000000000001 60.0000000000001,30.0000000000001 59.5000000000001,29.0000000000001 59.5000000000001)))', '60', '59.5', '30', '29', '48H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 60.0000000000001,29.0000000000001 60.5000000000001,30.0000000000001 60.5000000000001,30.0000000000001 60.0000000000001,29.0000000000001 60.0000000000001)))', '60.5', '60', '30', '29', '49H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 69.5000000000001,29.0000000000001 70.0000000000001,30.0000000000001 70.0000000000001,30.0000000000001 69.5000000000001,29.0000000000001 69.5000000000001)))', '70', '69.5', '30', '29', '68H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 70.0000000000001,29.0000000000001 70.5000000000001,30.0000000000001 70.5000000000001,30.0000000000001 70.0000000000001,29.0000000000001 70.0000000000001)))', '70.5', '70', '30', '29', '69H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 70.5000000000001,29.0000000000001 71.0000000000001,30.0000000000001 71.0000000000001,30.0000000000001 70.5000000000001,29.0000000000001 70.5000000000001)))', '71', '70.5', '30', '29', '70H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 71.0000000000001,29.0000000000001 71.5000000000001,30.0000000000001 71.5000000000001,30.0000000000001 71.0000000000001,29.0000000000001 71.0000000000001)))', '71.5', '71', '30', '29', '71H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 71.5000000000001,29.0000000000001 72.0000000000001,30.0000000000001 72.0000000000001,30.0000000000001 71.5000000000001,29.0000000000001 71.5000000000001)))', '72', '71.5', '30', '29', '72H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 72.0000000000001,29.0000000000001 72.5000000000001,30.0000000000001 72.5000000000001,30.0000000000001 72.0000000000001,29.0000000000001 72.0000000000001)))', '72.5', '72', '30', '29', '73H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 72.5000000000001,29.0000000000001 73.0000000000001,30.0000000000001 73.0000000000001,30.0000000000001 72.5000000000001,29.0000000000001 72.5000000000001)))', '73', '72.5', '30', '29', '74H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 73.0000000000001,29.0000000000001 73.5000000000001,30.0000000000001 73.5000000000001,30.0000000000001 73.0000000000001,29.0000000000001 73.0000000000001)))', '73.5', '73', '30', '29', '75H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 73.5000000000001,29.0000000000001 74.0000000000001,30.0000000000001 74.0000000000001,30.0000000000001 73.5000000000001,29.0000000000001 73.5000000000001)))', '74', '73.5', '30', '29', '76H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 74.0000000000001,29.0000000000001 74.5000000000001,30.0000000000001 74.5000000000001,30.0000000000001 74.0000000000001,29.0000000000001 74.0000000000001)))', '74.5', '74', '30', '29', '77H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 74.5000000000001,29.0000000000001 75.0000000000001,30.0000000000001 75.0000000000001,30.0000000000001 74.5000000000001,29.0000000000001 74.5000000000001)))', '75', '74.5', '30', '29', '78H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 75.0000000000001,29.0000000000001 75.5000000000001,30.0000000000001 75.5000000000001,30.0000000000001 75.0000000000001,29.0000000000001 75.0000000000001)))', '75.5', '75', '30', '29', '79H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 75.5000000000001,29.0000000000001 76.0000000000001,30.0000000000001 76.0000000000001,30.0000000000001 75.5000000000001,29.0000000000001 75.5000000000001)))', '76', '75.5', '30', '29', '80H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 76.0000000000001,29.0000000000001 76.5000000000001,30.0000000000001 76.5000000000001,30.0000000000001 76.0000000000001,29.0000000000001 76.0000000000001)))', '76.5', '76', '30', '29', '81H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 76.5000000000001,29.0000000000001 77.0000000000001,30.0000000000001 77.0000000000001,30.0000000000001 76.5000000000001,29.0000000000001 76.5000000000001)))', '77', '76.5', '30', '29', '82H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 77.0000000000001,29.0000000000001 77.5000000000001,30.0000000000001 77.5000000000001,30.0000000000001 77.0000000000001,29.0000000000001 77.0000000000001)))', '77.5', '77', '30', '29', '83H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 77.5000000000001,29.0000000000001 78.0000000000001,30.0000000000001 78.0000000000001,30.0000000000001 77.5000000000001,29.0000000000001 77.5000000000001)))', '78', '77.5', '30', '29', '84H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 78.0000000000001,29.0000000000001 78.5000000000001,30.0000000000001 78.5000000000001,30.0000000000001 78.0000000000001,29.0000000000001 78.0000000000001)))', '78.5', '78', '30', '29', '85H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 78.5000000000001,29.0000000000001 79.0000000000001,30.0000000000001 79.0000000000001,30.0000000000001 78.5000000000001,29.0000000000001 78.5000000000001)))', '79', '78.5', '30', '29', '86H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 79.0000000000001,29.0000000000001 79.5000000000001,30.0000000000001 79.5000000000001,30.0000000000001 79.0000000000001,29.0000000000001 79.0000000000001)))', '79.5', '79', '30', '29', '87H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 79.5000000000001,29.0000000000001 80.0000000000001,30.0000000000001 80.0000000000001,30.0000000000001 79.5000000000001,29.0000000000001 79.5000000000001)))', '80', '79.5', '30', '29', '88H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 80.0000000000001,29.0000000000001 80.5000000000001,30.0000000000001 80.5000000000001,30.0000000000001 80.0000000000001,29.0000000000001 80.0000000000001)))', '80.5', '80', '30', '29', '89H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 80.5000000000001,29.0000000000001 81.0000000000001,30.0000000000001 81.0000000000001,30.0000000000001 80.5000000000001,29.0000000000001 80.5000000000001)))', '81', '80.5', '30', '29', '90H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 81.0000000000001,29.0000000000001 81.5000000000001,30.0000000000001 81.5000000000001,30.0000000000001 81.0000000000001,29.0000000000001 81.0000000000001)))', '81.5', '81', '30', '29', '91H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 81.5000000000001,29.0000000000001 82.0000000000001,30.0000000000001 82.0000000000001,30.0000000000001 81.5000000000001,29.0000000000001 81.5000000000001)))', '82', '81.5', '30', '29', '92H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 82.0000000000001,29.0000000000001 82.5000000000001,30.0000000000001 82.5000000000001,30.0000000000001 82.0000000000001,29.0000000000001 82.0000000000001)))', '82.5', '82', '30', '29', '93H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 82.5000000000001,29.0000000000001 83.0000000000001,30.0000000000001 83.0000000000001,30.0000000000001 82.5000000000001,29.0000000000001 82.5000000000001)))', '83', '82.5', '30', '29', '94H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 83.0000000000001,29.0000000000001 83.5000000000001,30.0000000000001 83.5000000000001,30.0000000000001 83.0000000000001,29.0000000000001 83.0000000000001)))', '83.5', '83', '30', '29', '95H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 83.5000000000001,29.0000000000001 84.0000000000001,30.0000000000001 84.0000000000001,30.0000000000001 83.5000000000001,29.0000000000001 83.5000000000001)))', '84', '83.5', '30', '29', '96H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 84.0000000000001,29.0000000000001 84.5000000000001,30.0000000000001 84.5000000000001,30.0000000000001 84.0000000000001,29.0000000000001 84.0000000000001)))', '84.5', '84', '30', '29', '97H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((29.0000000000001 84.5000000000001,29.0000000000001 85.0000000000001,30.0000000000001 85.0000000000001,30.0000000000001 84.5000000000001,29.0000000000001 84.5000000000001)))', '85', '84.5', '30', '29', '98H9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 59.5000000000001,30.0000000000001 60.0000000000001,31.0000000000001 60.0000000000001,31.0000000000001 59.5000000000001,30.0000000000001 59.5000000000001)))', '60', '59.5', '31', '30', '48J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 60.0000000000001,30.0000000000001 60.5000000000001,31.0000000000001 60.5000000000001,31.0000000000001 60.0000000000001,30.0000000000001 60.0000000000001)))', '60.5', '60', '31', '30', '49J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 69.5000000000001,30.0000000000001 70.0000000000001,31.0000000000001 70.0000000000001,31.0000000000001 69.5000000000001,30.0000000000001 69.5000000000001)))', '70', '69.5', '31', '30', '68J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 70.0000000000001,30.0000000000001 70.5000000000001,31.0000000000001 70.5000000000001,31.0000000000001 70.0000000000001,30.0000000000001 70.0000000000001)))', '70.5', '70', '31', '30', '69J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 70.5000000000001,30.0000000000001 71.0000000000001,31.0000000000001 71.0000000000001,31.0000000000001 70.5000000000001,30.0000000000001 70.5000000000001)))', '71', '70.5', '31', '30', '70J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 71.0000000000001,30.0000000000001 71.5000000000001,31.0000000000001 71.5000000000001,31.0000000000001 71.0000000000001,30.0000000000001 71.0000000000001)))', '71.5', '71', '31', '30', '71J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 71.5000000000001,30.0000000000001 72.0000000000001,31.0000000000001 72.0000000000001,31.0000000000001 71.5000000000001,30.0000000000001 71.5000000000001)))', '72', '71.5', '31', '30', '72J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 72.0000000000001,30.0000000000001 72.5000000000001,31.0000000000001 72.5000000000001,31.0000000000001 72.0000000000001,30.0000000000001 72.0000000000001)))', '72.5', '72', '31', '30', '73J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 72.5000000000001,30.0000000000001 73.0000000000001,31.0000000000001 73.0000000000001,31.0000000000001 72.5000000000001,30.0000000000001 72.5000000000001)))', '73', '72.5', '31', '30', '74J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 73.0000000000001,30.0000000000001 73.5000000000001,31.0000000000001 73.5000000000001,31.0000000000001 73.0000000000001,30.0000000000001 73.0000000000001)))', '73.5', '73', '31', '30', '75J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 73.5000000000001,30.0000000000001 74.0000000000001,31.0000000000001 74.0000000000001,31.0000000000001 73.5000000000001,30.0000000000001 73.5000000000001)))', '74', '73.5', '31', '30', '76J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 74.0000000000001,30.0000000000001 74.5000000000001,31.0000000000001 74.5000000000001,31.0000000000001 74.0000000000001,30.0000000000001 74.0000000000001)))', '74.5', '74', '31', '30', '77J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 74.5000000000001,30.0000000000001 75.0000000000001,31.0000000000001 75.0000000000001,31.0000000000001 74.5000000000001,30.0000000000001 74.5000000000001)))', '75', '74.5', '31', '30', '78J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 75.0000000000001,30.0000000000001 75.5000000000001,31.0000000000001 75.5000000000001,31.0000000000001 75.0000000000001,30.0000000000001 75.0000000000001)))', '75.5', '75', '31', '30', '79J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 75.5000000000001,30.0000000000001 76.0000000000001,31.0000000000001 76.0000000000001,31.0000000000001 75.5000000000001,30.0000000000001 75.5000000000001)))', '76', '75.5', '31', '30', '80J0', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((30.0000000000001 76.0000000000001,30.0000000000001 76.5000000000001,31.0000000000001 76.5000000000001,31.0000000000001 76.0000000000001,30.0000000000001 76.0000000000001)))', '76.5', '76', '31', '30', '81J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 76.5000000000001,30.0000000000001 77.0000000000001,31.0000000000001 77.0000000000001,31.0000000000001 76.5000000000001,30.0000000000001 76.5000000000001)))', '77', '76.5', '31', '30', '82J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 77.0000000000001,30.0000000000001 77.5000000000001,31.0000000000001 77.5000000000001,31.0000000000001 77.0000000000001,30.0000000000001 77.0000000000001)))', '77.5', '77', '31', '30', '83J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 77.5000000000001,30.0000000000001 78.0000000000001,31.0000000000001 78.0000000000001,31.0000000000001 77.5000000000001,30.0000000000001 77.5000000000001)))', '78', '77.5', '31', '30', '84J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 78.0000000000001,30.0000000000001 78.5000000000001,31.0000000000001 78.5000000000001,31.0000000000001 78.0000000000001,30.0000000000001 78.0000000000001)))', '78.5', '78', '31', '30', '85J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 78.5000000000001,30.0000000000001 79.0000000000001,31.0000000000001 79.0000000000001,31.0000000000001 78.5000000000001,30.0000000000001 78.5000000000001)))', '79', '78.5', '31', '30', '86J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 79.0000000000001,30.0000000000001 79.5000000000001,31.0000000000001 79.5000000000001,31.0000000000001 79.0000000000001,30.0000000000001 79.0000000000001)))', '79.5', '79', '31', '30', '87J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 79.5000000000001,30.0000000000001 80.0000000000001,31.0000000000001 80.0000000000001,31.0000000000001 79.5000000000001,30.0000000000001 79.5000000000001)))', '80', '79.5', '31', '30', '88J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 80.0000000000001,30.0000000000001 80.5000000000001,31.0000000000001 80.5000000000001,31.0000000000001 80.0000000000001,30.0000000000001 80.0000000000001)))', '80.5', '80', '31', '30', '89J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 80.5000000000001,30.0000000000001 81.0000000000001,31.0000000000001 81.0000000000001,31.0000000000001 80.5000000000001,30.0000000000001 80.5000000000001)))', '81', '80.5', '31', '30', '90J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 81.0000000000001,30.0000000000001 81.5000000000001,31.0000000000001 81.5000000000001,31.0000000000001 81.0000000000001,30.0000000000001 81.0000000000001)))', '81.5', '81', '31', '30', '91J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 81.5000000000001,30.0000000000001 82.0000000000001,31.0000000000001 82.0000000000001,31.0000000000001 81.5000000000001,30.0000000000001 81.5000000000001)))', '82', '81.5', '31', '30', '92J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 82.0000000000001,30.0000000000001 82.5000000000001,31.0000000000001 82.5000000000001,31.0000000000001 82.0000000000001,30.0000000000001 82.0000000000001)))', '82.5', '82', '31', '30', '93J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 82.5000000000001,30.0000000000001 83.0000000000001,31.0000000000001 83.0000000000001,31.0000000000001 82.5000000000001,30.0000000000001 82.5000000000001)))', '83', '82.5', '31', '30', '94J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 83.0000000000001,30.0000000000001 83.5000000000001,31.0000000000001 83.5000000000001,31.0000000000001 83.0000000000001,30.0000000000001 83.0000000000001)))', '83.5', '83', '31', '30', '95J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 83.5000000000001,30.0000000000001 84.0000000000001,31.0000000000001 84.0000000000001,31.0000000000001 83.5000000000001,30.0000000000001 83.5000000000001)))', '84', '83.5', '31', '30', '96J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 84.0000000000001,30.0000000000001 84.5000000000001,31.0000000000001 84.5000000000001,31.0000000000001 84.0000000000001,30.0000000000001 84.0000000000001)))', '84.5', '84', '31', '30', '97J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((30.0000000000001 84.5000000000001,30.0000000000001 85.0000000000001,31.0000000000001 85.0000000000001,31.0000000000001 84.5000000000001,30.0000000000001 84.5000000000001)))', '85', '84.5', '31', '30', '98J0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 67.0000000000001,31.0000000000001 67.5000000000001,32.0000000000001 67.5000000000001,32.0000000000001 67.0000000000001,31.0000000000001 67.0000000000001)))', '67.5', '67', '32', '31', '63J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 69.5000000000001,31.0000000000001 70.0000000000001,32.0000000000001 70.0000000000001,32.0000000000001 69.5000000000001,31.0000000000001 69.5000000000001)))', '70', '69.5', '32', '31', '68J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 70.0000000000001,31.0000000000001 70.5000000000001,32.0000000000001 70.5000000000001,32.0000000000001 70.0000000000001,31.0000000000001 70.0000000000001)))', '70.5', '70', '32', '31', '69J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 70.5000000000001,31.0000000000001 71.0000000000001,32.0000000000001 71.0000000000001,32.0000000000001 70.5000000000001,31.0000000000001 70.5000000000001)))', '71', '70.5', '32', '31', '70J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 71.0000000000001,31.0000000000001 71.5000000000001,32.0000000000001 71.5000000000001,32.0000000000001 71.0000000000001,31.0000000000001 71.0000000000001)))', '71.5', '71', '32', '31', '71J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 71.5000000000001,31.0000000000001 72.0000000000001,32.0000000000001 72.0000000000001,32.0000000000001 71.5000000000001,31.0000000000001 71.5000000000001)))', '72', '71.5', '32', '31', '72J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 72.0000000000001,31.0000000000001 72.5000000000001,32.0000000000001 72.5000000000001,32.0000000000001 72.0000000000001,31.0000000000001 72.0000000000001)))', '72.5', '72', '32', '31', '73J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 72.5000000000001,31.0000000000001 73.0000000000001,32.0000000000001 73.0000000000001,32.0000000000001 72.5000000000001,31.0000000000001 72.5000000000001)))', '73', '72.5', '32', '31', '74J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 73.0000000000001,31.0000000000001 73.5000000000001,32.0000000000001 73.5000000000001,32.0000000000001 73.0000000000001,31.0000000000001 73.0000000000001)))', '73.5', '73', '32', '31', '75J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 73.5000000000001,31.0000000000001 74.0000000000001,32.0000000000001 74.0000000000001,32.0000000000001 73.5000000000001,31.0000000000001 73.5000000000001)))', '74', '73.5', '32', '31', '76J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 74.0000000000001,31.0000000000001 74.5000000000001,32.0000000000001 74.5000000000001,32.0000000000001 74.0000000000001,31.0000000000001 74.0000000000001)))', '74.5', '74', '32', '31', '77J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 74.5000000000001,31.0000000000001 75.0000000000001,32.0000000000001 75.0000000000001,32.0000000000001 74.5000000000001,31.0000000000001 74.5000000000001)))', '75', '74.5', '32', '31', '78J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 75.0000000000001,31.0000000000001 75.5000000000001,32.0000000000001 75.5000000000001,32.0000000000001 75.0000000000001,31.0000000000001 75.0000000000001)))', '75.5', '75', '32', '31', '79J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 75.5000000000001,31.0000000000001 76.0000000000001,32.0000000000001 76.0000000000001,32.0000000000001 75.5000000000001,31.0000000000001 75.5000000000001)))', '76', '75.5', '32', '31', '80J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 76.0000000000001,31.0000000000001 76.5000000000001,32.0000000000001 76.5000000000001,32.0000000000001 76.0000000000001,31.0000000000001 76.0000000000001)))', '76.5', '76', '32', '31', '81J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 76.5000000000001,31.0000000000001 77.0000000000001,32.0000000000001 77.0000000000001,32.0000000000001 76.5000000000001,31.0000000000001 76.5000000000001)))', '77', '76.5', '32', '31', '82J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 77.0000000000001,31.0000000000001 77.5000000000001,32.0000000000001 77.5000000000001,32.0000000000001 77.0000000000001,31.0000000000001 77.0000000000001)))', '77.5', '77', '32', '31', '83J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 77.5000000000001,31.0000000000001 78.0000000000001,32.0000000000001 78.0000000000001,32.0000000000001 77.5000000000001,31.0000000000001 77.5000000000001)))', '78', '77.5', '32', '31', '84J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 78.0000000000001,31.0000000000001 78.5000000000001,32.0000000000001 78.5000000000001,32.0000000000001 78.0000000000001,31.0000000000001 78.0000000000001)))', '78.5', '78', '32', '31', '85J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 78.5000000000001,31.0000000000001 79.0000000000001,32.0000000000001 79.0000000000001,32.0000000000001 78.5000000000001,31.0000000000001 78.5000000000001)))', '79', '78.5', '32', '31', '86J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 79.0000000000001,31.0000000000001 79.5000000000001,32.0000000000001 79.5000000000001,32.0000000000001 79.0000000000001,31.0000000000001 79.0000000000001)))', '79.5', '79', '32', '31', '87J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 79.5000000000001,31.0000000000001 80.0000000000001,32.0000000000001 80.0000000000001,32.0000000000001 79.5000000000001,31.0000000000001 79.5000000000001)))', '80', '79.5', '32', '31', '88J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 80.0000000000001,31.0000000000001 80.5000000000001,32.0000000000001 80.5000000000001,32.0000000000001 80.0000000000001,31.0000000000001 80.0000000000001)))', '80.5', '80', '32', '31', '89J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 80.5000000000001,31.0000000000001 81.0000000000001,32.0000000000001 81.0000000000001,32.0000000000001 80.5000000000001,31.0000000000001 80.5000000000001)))', '81', '80.5', '32', '31', '90J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 81.0000000000001,31.0000000000001 81.5000000000001,32.0000000000001 81.5000000000001,32.0000000000001 81.0000000000001,31.0000000000001 81.0000000000001)))', '81.5', '81', '32', '31', '91J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 81.5000000000001,31.0000000000001 82.0000000000001,32.0000000000001 82.0000000000001,32.0000000000001 81.5000000000001,31.0000000000001 81.5000000000001)))', '82', '81.5', '32', '31', '92J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 82.0000000000001,31.0000000000001 82.5000000000001,32.0000000000001 82.5000000000001,32.0000000000001 82.0000000000001,31.0000000000001 82.0000000000001)))', '82.5', '82', '32', '31', '93J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 82.5000000000001,31.0000000000001 83.0000000000001,32.0000000000001 83.0000000000001,32.0000000000001 82.5000000000001,31.0000000000001 82.5000000000001)))', '83', '82.5', '32', '31', '94J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 83.0000000000001,31.0000000000001 83.5000000000001,32.0000000000001 83.5000000000001,32.0000000000001 83.0000000000001,31.0000000000001 83.0000000000001)))', '83.5', '83', '32', '31', '95J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 83.5000000000001,31.0000000000001 84.0000000000001,32.0000000000001 84.0000000000001,32.0000000000001 83.5000000000001,31.0000000000001 83.5000000000001)))', '84', '83.5', '32', '31', '96J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 84.0000000000001,31.0000000000001 84.5000000000001,32.0000000000001 84.5000000000001,32.0000000000001 84.0000000000001,31.0000000000001 84.0000000000001)))', '84.5', '84', '32', '31', '97J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((31.0000000000001 84.5000000000001,31.0000000000001 85.0000000000001,32.0000000000001 85.0000000000001,32.0000000000001 84.5000000000001,31.0000000000001 84.5000000000001)))', '85', '84.5', '32', '31', '98J1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 66.5000000000001,32.0000000000001 67.0000000000001,33.0000000000001 67.0000000000001,33.0000000000001 66.5000000000001,32.0000000000001 66.5000000000001)))', '67', '66.5', '33', '32', '62J2', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((32.0000000000001 67.0000000000001,32.0000000000001 67.5000000000001,33.0000000000001 67.5000000000001,33.0000000000001 67.0000000000001,32.0000000000001 67.0000000000001)))', '67.5', '67', '33', '32', '63J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 69.0000000000001,32.0000000000001 69.5000000000001,33.0000000000001 69.5000000000001,33.0000000000001 69.0000000000001,32.0000000000001 69.0000000000001)))', '69.5', '69', '33', '32', '67J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 69.5000000000001,32.0000000000001 70.0000000000001,33.0000000000001 70.0000000000001,33.0000000000001 69.5000000000001,32.0000000000001 69.5000000000001)))', '70', '69.5', '33', '32', '68J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 70.0000000000001,32.0000000000001 70.5000000000001,33.0000000000001 70.5000000000001,33.0000000000001 70.0000000000001,32.0000000000001 70.0000000000001)))', '70.5', '70', '33', '32', '69J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 70.5000000000001,32.0000000000001 71.0000000000001,33.0000000000001 71.0000000000001,33.0000000000001 70.5000000000001,32.0000000000001 70.5000000000001)))', '71', '70.5', '33', '32', '70J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 71.0000000000001,32.0000000000001 71.5000000000001,33.0000000000001 71.5000000000001,33.0000000000001 71.0000000000001,32.0000000000001 71.0000000000001)))', '71.5', '71', '33', '32', '71J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 71.5000000000001,32.0000000000001 72.0000000000001,33.0000000000001 72.0000000000001,33.0000000000001 71.5000000000001,32.0000000000001 71.5000000000001)))', '72', '71.5', '33', '32', '72J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 72.0000000000001,32.0000000000001 72.5000000000001,33.0000000000001 72.5000000000001,33.0000000000001 72.0000000000001,32.0000000000001 72.0000000000001)))', '72.5', '72', '33', '32', '73J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 72.5000000000001,32.0000000000001 73.0000000000001,33.0000000000001 73.0000000000001,33.0000000000001 72.5000000000001,32.0000000000001 72.5000000000001)))', '73', '72.5', '33', '32', '74J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 73.0000000000001,32.0000000000001 73.5000000000001,33.0000000000001 73.5000000000001,33.0000000000001 73.0000000000001,32.0000000000001 73.0000000000001)))', '73.5', '73', '33', '32', '75J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 73.5000000000001,32.0000000000001 74.0000000000001,33.0000000000001 74.0000000000001,33.0000000000001 73.5000000000001,32.0000000000001 73.5000000000001)))', '74', '73.5', '33', '32', '76J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 74.0000000000001,32.0000000000001 74.5000000000001,33.0000000000001 74.5000000000001,33.0000000000001 74.0000000000001,32.0000000000001 74.0000000000001)))', '74.5', '74', '33', '32', '77J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 74.5000000000001,32.0000000000001 75.0000000000001,33.0000000000001 75.0000000000001,33.0000000000001 74.5000000000001,32.0000000000001 74.5000000000001)))', '75', '74.5', '33', '32', '78J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 75.0000000000001,32.0000000000001 75.5000000000001,33.0000000000001 75.5000000000001,33.0000000000001 75.0000000000001,32.0000000000001 75.0000000000001)))', '75.5', '75', '33', '32', '79J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 75.5000000000001,32.0000000000001 76.0000000000001,33.0000000000001 76.0000000000001,33.0000000000001 75.5000000000001,32.0000000000001 75.5000000000001)))', '76', '75.5', '33', '32', '80J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 76.0000000000001,32.0000000000001 76.5000000000001,33.0000000000001 76.5000000000001,33.0000000000001 76.0000000000001,32.0000000000001 76.0000000000001)))', '76.5', '76', '33', '32', '81J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 76.5000000000001,32.0000000000001 77.0000000000001,33.0000000000001 77.0000000000001,33.0000000000001 76.5000000000001,32.0000000000001 76.5000000000001)))', '77', '76.5', '33', '32', '82J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 77.0000000000001,32.0000000000001 77.5000000000001,33.0000000000001 77.5000000000001,33.0000000000001 77.0000000000001,32.0000000000001 77.0000000000001)))', '77.5', '77', '33', '32', '83J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 77.5000000000001,32.0000000000001 78.0000000000001,33.0000000000001 78.0000000000001,33.0000000000001 77.5000000000001,32.0000000000001 77.5000000000001)))', '78', '77.5', '33', '32', '84J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 78.0000000000001,32.0000000000001 78.5000000000001,33.0000000000001 78.5000000000001,33.0000000000001 78.0000000000001,32.0000000000001 78.0000000000001)))', '78.5', '78', '33', '32', '85J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 78.5000000000001,32.0000000000001 79.0000000000001,33.0000000000001 79.0000000000001,33.0000000000001 78.5000000000001,32.0000000000001 78.5000000000001)))', '79', '78.5', '33', '32', '86J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 79.0000000000001,32.0000000000001 79.5000000000001,33.0000000000001 79.5000000000001,33.0000000000001 79.0000000000001,32.0000000000001 79.0000000000001)))', '79.5', '79', '33', '32', '87J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 79.5000000000001,32.0000000000001 80.0000000000001,33.0000000000001 80.0000000000001,33.0000000000001 79.5000000000001,32.0000000000001 79.5000000000001)))', '80', '79.5', '33', '32', '88J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 80.0000000000001,32.0000000000001 80.5000000000001,33.0000000000001 80.5000000000001,33.0000000000001 80.0000000000001,32.0000000000001 80.0000000000001)))', '80.5', '80', '33', '32', '89J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 80.5000000000001,32.0000000000001 81.0000000000001,33.0000000000001 81.0000000000001,33.0000000000001 80.5000000000001,32.0000000000001 80.5000000000001)))', '81', '80.5', '33', '32', '90J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 81.0000000000001,32.0000000000001 81.5000000000001,33.0000000000001 81.5000000000001,33.0000000000001 81.0000000000001,32.0000000000001 81.0000000000001)))', '81.5', '81', '33', '32', '91J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 81.5000000000001,32.0000000000001 82.0000000000001,33.0000000000001 82.0000000000001,33.0000000000001 81.5000000000001,32.0000000000001 81.5000000000001)))', '82', '81.5', '33', '32', '92J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 82.0000000000001,32.0000000000001 82.5000000000001,33.0000000000001 82.5000000000001,33.0000000000001 82.0000000000001,32.0000000000001 82.0000000000001)))', '82.5', '82', '33', '32', '93J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 82.5000000000001,32.0000000000001 83.0000000000001,33.0000000000001 83.0000000000001,33.0000000000001 82.5000000000001,32.0000000000001 82.5000000000001)))', '83', '82.5', '33', '32', '94J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 83.0000000000001,32.0000000000001 83.5000000000001,33.0000000000001 83.5000000000001,33.0000000000001 83.0000000000001,32.0000000000001 83.0000000000001)))', '83.5', '83', '33', '32', '95J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 83.5000000000001,32.0000000000001 84.0000000000001,33.0000000000001 84.0000000000001,33.0000000000001 83.5000000000001,32.0000000000001 83.5000000000001)))', '84', '83.5', '33', '32', '96J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 84.0000000000001,32.0000000000001 84.5000000000001,33.0000000000001 84.5000000000001,33.0000000000001 84.0000000000001,32.0000000000001 84.0000000000001)))', '84.5', '84', '33', '32', '97J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((32.0000000000001 84.5000000000001,32.0000000000001 85.0000000000001,33.0000000000001 85.0000000000001,33.0000000000001 84.5000000000001,32.0000000000001 84.5000000000001)))', '85', '84.5', '33', '32', '98J2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 66.0000000000001,33.0000000000001 66.5000000000001,34.0000000000001 66.5000000000001,34.0000000000001 66.0000000000001,33.0000000000001 66.0000000000001)))', '66.5', '66', '34', '33', '61J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 66.5000000000001,33.0000000000001 67.0000000000001,34.0000000000001 67.0000000000001,34.0000000000001 66.5000000000001,33.0000000000001 66.5000000000001)))', '67', '66.5', '34', '33', '62J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 69.0000000000001,33.0000000000001 69.5000000000001,34.0000000000001 69.5000000000001,34.0000000000001 69.0000000000001,33.0000000000001 69.0000000000001)))', '69.5', '69', '34', '33', '67J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 69.5000000000001,33.0000000000001 70.0000000000001,34.0000000000001 70.0000000000001,34.0000000000001 69.5000000000001,33.0000000000001 69.5000000000001)))', '70', '69.5', '34', '33', '68J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 70.0000000000001,33.0000000000001 70.5000000000001,34.0000000000001 70.5000000000001,34.0000000000001 70.0000000000001,33.0000000000001 70.0000000000001)))', '70.5', '70', '34', '33', '69J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 70.5000000000001,33.0000000000001 71.0000000000001,34.0000000000001 71.0000000000001,34.0000000000001 70.5000000000001,33.0000000000001 70.5000000000001)))', '71', '70.5', '34', '33', '70J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 71.0000000000001,33.0000000000001 71.5000000000001,34.0000000000001 71.5000000000001,34.0000000000001 71.0000000000001,33.0000000000001 71.0000000000001)))', '71.5', '71', '34', '33', '71J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 71.5000000000001,33.0000000000001 72.0000000000001,34.0000000000001 72.0000000000001,34.0000000000001 71.5000000000001,33.0000000000001 71.5000000000001)))', '72', '71.5', '34', '33', '72J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 72.0000000000001,33.0000000000001 72.5000000000001,34.0000000000001 72.5000000000001,34.0000000000001 72.0000000000001,33.0000000000001 72.0000000000001)))', '72.5', '72', '34', '33', '73J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 72.5000000000001,33.0000000000001 73.0000000000001,34.0000000000001 73.0000000000001,34.0000000000001 72.5000000000001,33.0000000000001 72.5000000000001)))', '73', '72.5', '34', '33', '74J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 73.0000000000001,33.0000000000001 73.5000000000001,34.0000000000001 73.5000000000001,34.0000000000001 73.0000000000001,33.0000000000001 73.0000000000001)))', '73.5', '73', '34', '33', '75J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 73.5000000000001,33.0000000000001 74.0000000000001,34.0000000000001 74.0000000000001,34.0000000000001 73.5000000000001,33.0000000000001 73.5000000000001)))', '74', '73.5', '34', '33', '76J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 74.0000000000001,33.0000000000001 74.5000000000001,34.0000000000001 74.5000000000001,34.0000000000001 74.0000000000001,33.0000000000001 74.0000000000001)))', '74.5', '74', '34', '33', '77J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 74.5000000000001,33.0000000000001 75.0000000000001,34.0000000000001 75.0000000000001,34.0000000000001 74.5000000000001,33.0000000000001 74.5000000000001)))', '75', '74.5', '34', '33', '78J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 75.0000000000001,33.0000000000001 75.5000000000001,34.0000000000001 75.5000000000001,34.0000000000001 75.0000000000001,33.0000000000001 75.0000000000001)))', '75.5', '75', '34', '33', '79J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 75.5000000000001,33.0000000000001 76.0000000000001,34.0000000000001 76.0000000000001,34.0000000000001 75.5000000000001,33.0000000000001 75.5000000000001)))', '76', '75.5', '34', '33', '80J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 76.0000000000001,33.0000000000001 76.5000000000001,34.0000000000001 76.5000000000001,34.0000000000001 76.0000000000001,33.0000000000001 76.0000000000001)))', '76.5', '76', '34', '33', '81J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 76.5000000000001,33.0000000000001 77.0000000000001,34.0000000000001 77.0000000000001,34.0000000000001 76.5000000000001,33.0000000000001 76.5000000000001)))', '77', '76.5', '34', '33', '82J3', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((33.0000000000001 77.0000000000001,33.0000000000001 77.5000000000001,34.0000000000001 77.5000000000001,34.0000000000001 77.0000000000001,33.0000000000001 77.0000000000001)))', '77.5', '77', '34', '33', '83J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 77.5000000000001,33.0000000000001 78.0000000000001,34.0000000000001 78.0000000000001,34.0000000000001 77.5000000000001,33.0000000000001 77.5000000000001)))', '78', '77.5', '34', '33', '84J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 78.0000000000001,33.0000000000001 78.5000000000001,34.0000000000001 78.5000000000001,34.0000000000001 78.0000000000001,33.0000000000001 78.0000000000001)))', '78.5', '78', '34', '33', '85J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 78.5000000000001,33.0000000000001 79.0000000000001,34.0000000000001 79.0000000000001,34.0000000000001 78.5000000000001,33.0000000000001 78.5000000000001)))', '79', '78.5', '34', '33', '86J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 79.0000000000001,33.0000000000001 79.5000000000001,34.0000000000001 79.5000000000001,34.0000000000001 79.0000000000001,33.0000000000001 79.0000000000001)))', '79.5', '79', '34', '33', '87J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 79.5000000000001,33.0000000000001 80.0000000000001,34.0000000000001 80.0000000000001,34.0000000000001 79.5000000000001,33.0000000000001 79.5000000000001)))', '80', '79.5', '34', '33', '88J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 80.0000000000001,33.0000000000001 80.5000000000001,34.0000000000001 80.5000000000001,34.0000000000001 80.0000000000001,33.0000000000001 80.0000000000001)))', '80.5', '80', '34', '33', '89J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 80.5000000000001,33.0000000000001 81.0000000000001,34.0000000000001 81.0000000000001,34.0000000000001 80.5000000000001,33.0000000000001 80.5000000000001)))', '81', '80.5', '34', '33', '90J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 81.0000000000001,33.0000000000001 81.5000000000001,34.0000000000001 81.5000000000001,34.0000000000001 81.0000000000001,33.0000000000001 81.0000000000001)))', '81.5', '81', '34', '33', '91J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 81.5000000000001,33.0000000000001 82.0000000000001,34.0000000000001 82.0000000000001,34.0000000000001 81.5000000000001,33.0000000000001 81.5000000000001)))', '82', '81.5', '34', '33', '92J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 82.0000000000001,33.0000000000001 82.5000000000001,34.0000000000001 82.5000000000001,34.0000000000001 82.0000000000001,33.0000000000001 82.0000000000001)))', '82.5', '82', '34', '33', '93J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 82.5000000000001,33.0000000000001 83.0000000000001,34.0000000000001 83.0000000000001,34.0000000000001 82.5000000000001,33.0000000000001 82.5000000000001)))', '83', '82.5', '34', '33', '94J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 83.0000000000001,33.0000000000001 83.5000000000001,34.0000000000001 83.5000000000001,34.0000000000001 83.0000000000001,33.0000000000001 83.0000000000001)))', '83.5', '83', '34', '33', '95J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 83.5000000000001,33.0000000000001 84.0000000000001,34.0000000000001 84.0000000000001,34.0000000000001 83.5000000000001,33.0000000000001 83.5000000000001)))', '84', '83.5', '34', '33', '96J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 84.0000000000001,33.0000000000001 84.5000000000001,34.0000000000001 84.5000000000001,34.0000000000001 84.0000000000001,33.0000000000001 84.0000000000001)))', '84.5', '84', '34', '33', '97J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((33.0000000000001 84.5000000000001,33.0000000000001 85.0000000000001,34.0000000000001 85.0000000000001,34.0000000000001 84.5000000000001,33.0000000000001 84.5000000000001)))', '85', '84.5', '34', '33', '98J3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 64.0000000000001,34.0000000000001 64.5000000000001,35.0000000000001 64.5000000000001,35.0000000000001 64.0000000000001,34.0000000000001 64.0000000000001)))', '64.5', '64', '35', '34', '57J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 64.5000000000001,34.0000000000001 65.0000000000001,35.0000000000001 65.0000000000001,35.0000000000001 64.5000000000001,34.0000000000001 64.5000000000001)))', '65', '64.5', '35', '34', '58J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 65.0000000000001,34.0000000000001 65.5000000000001,35.0000000000001 65.5000000000001,35.0000000000001 65.0000000000001,34.0000000000001 65.0000000000001)))', '65.5', '65', '35', '34', '59J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 65.5000000000001,34.0000000000001 66.0000000000001,35.0000000000001 66.0000000000001,35.0000000000001 65.5000000000001,34.0000000000001 65.5000000000001)))', '66', '65.5', '35', '34', '60J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 66.0000000000001,34.0000000000001 66.5000000000001,35.0000000000001 66.5000000000001,35.0000000000001 66.0000000000001,34.0000000000001 66.0000000000001)))', '66.5', '66', '35', '34', '61J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 66.5000000000001,34.0000000000001 67.0000000000001,35.0000000000001 67.0000000000001,35.0000000000001 66.5000000000001,34.0000000000001 66.5000000000001)))', '67', '66.5', '35', '34', '62J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 69.0000000000001,34.0000000000001 69.5000000000001,35.0000000000001 69.5000000000001,35.0000000000001 69.0000000000001,34.0000000000001 69.0000000000001)))', '69.5', '69', '35', '34', '67J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 69.5000000000001,34.0000000000001 70.0000000000001,35.0000000000001 70.0000000000001,35.0000000000001 69.5000000000001,34.0000000000001 69.5000000000001)))', '70', '69.5', '35', '34', '68J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 70.0000000000001,34.0000000000001 70.5000000000001,35.0000000000001 70.5000000000001,35.0000000000001 70.0000000000001,34.0000000000001 70.0000000000001)))', '70.5', '70', '35', '34', '69J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 70.5000000000001,34.0000000000001 71.0000000000001,35.0000000000001 71.0000000000001,35.0000000000001 70.5000000000001,34.0000000000001 70.5000000000001)))', '71', '70.5', '35', '34', '70J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 71.0000000000001,34.0000000000001 71.5000000000001,35.0000000000001 71.5000000000001,35.0000000000001 71.0000000000001,34.0000000000001 71.0000000000001)))', '71.5', '71', '35', '34', '71J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 71.5000000000001,34.0000000000001 72.0000000000001,35.0000000000001 72.0000000000001,35.0000000000001 71.5000000000001,34.0000000000001 71.5000000000001)))', '72', '71.5', '35', '34', '72J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 72.0000000000001,34.0000000000001 72.5000000000001,35.0000000000001 72.5000000000001,35.0000000000001 72.0000000000001,34.0000000000001 72.0000000000001)))', '72.5', '72', '35', '34', '73J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 72.5000000000001,34.0000000000001 73.0000000000001,35.0000000000001 73.0000000000001,35.0000000000001 72.5000000000001,34.0000000000001 72.5000000000001)))', '73', '72.5', '35', '34', '74J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 73.0000000000001,34.0000000000001 73.5000000000001,35.0000000000001 73.5000000000001,35.0000000000001 73.0000000000001,34.0000000000001 73.0000000000001)))', '73.5', '73', '35', '34', '75J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 73.5000000000001,34.0000000000001 74.0000000000001,35.0000000000001 74.0000000000001,35.0000000000001 73.5000000000001,34.0000000000001 73.5000000000001)))', '74', '73.5', '35', '34', '76J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 74.0000000000001,34.0000000000001 74.5000000000001,35.0000000000001 74.5000000000001,35.0000000000001 74.0000000000001,34.0000000000001 74.0000000000001)))', '74.5', '74', '35', '34', '77J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 74.5000000000001,34.0000000000001 75.0000000000001,35.0000000000001 75.0000000000001,35.0000000000001 74.5000000000001,34.0000000000001 74.5000000000001)))', '75', '74.5', '35', '34', '78J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 75.0000000000001,34.0000000000001 75.5000000000001,35.0000000000001 75.5000000000001,35.0000000000001 75.0000000000001,34.0000000000001 75.0000000000001)))', '75.5', '75', '35', '34', '79J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 75.5000000000001,34.0000000000001 76.0000000000001,35.0000000000001 76.0000000000001,35.0000000000001 75.5000000000001,34.0000000000001 75.5000000000001)))', '76', '75.5', '35', '34', '80J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 76.0000000000001,34.0000000000001 76.5000000000001,35.0000000000001 76.5000000000001,35.0000000000001 76.0000000000001,34.0000000000001 76.0000000000001)))', '76.5', '76', '35', '34', '81J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 76.5000000000001,34.0000000000001 77.0000000000001,35.0000000000001 77.0000000000001,35.0000000000001 76.5000000000001,34.0000000000001 76.5000000000001)))', '77', '76.5', '35', '34', '82J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 77.0000000000001,34.0000000000001 77.5000000000001,35.0000000000001 77.5000000000001,35.0000000000001 77.0000000000001,34.0000000000001 77.0000000000001)))', '77.5', '77', '35', '34', '83J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 77.5000000000001,34.0000000000001 78.0000000000001,35.0000000000001 78.0000000000001,35.0000000000001 77.5000000000001,34.0000000000001 77.5000000000001)))', '78', '77.5', '35', '34', '84J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 78.0000000000001,34.0000000000001 78.5000000000001,35.0000000000001 78.5000000000001,35.0000000000001 78.0000000000001,34.0000000000001 78.0000000000001)))', '78.5', '78', '35', '34', '85J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 78.5000000000001,34.0000000000001 79.0000000000001,35.0000000000001 79.0000000000001,35.0000000000001 78.5000000000001,34.0000000000001 78.5000000000001)))', '79', '78.5', '35', '34', '86J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 79.0000000000001,34.0000000000001 79.5000000000001,35.0000000000001 79.5000000000001,35.0000000000001 79.0000000000001,34.0000000000001 79.0000000000001)))', '79.5', '79', '35', '34', '87J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 79.5000000000001,34.0000000000001 80.0000000000001,35.0000000000001 80.0000000000001,35.0000000000001 79.5000000000001,34.0000000000001 79.5000000000001)))', '80', '79.5', '35', '34', '88J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 80.0000000000001,34.0000000000001 80.5000000000001,35.0000000000001 80.5000000000001,35.0000000000001 80.0000000000001,34.0000000000001 80.0000000000001)))', '80.5', '80', '35', '34', '89J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 80.5000000000001,34.0000000000001 81.0000000000001,35.0000000000001 81.0000000000001,35.0000000000001 80.5000000000001,34.0000000000001 80.5000000000001)))', '81', '80.5', '35', '34', '90J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 81.0000000000001,34.0000000000001 81.5000000000001,35.0000000000001 81.5000000000001,35.0000000000001 81.0000000000001,34.0000000000001 81.0000000000001)))', '81.5', '81', '35', '34', '91J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 81.5000000000001,34.0000000000001 82.0000000000001,35.0000000000001 82.0000000000001,35.0000000000001 81.5000000000001,34.0000000000001 81.5000000000001)))', '82', '81.5', '35', '34', '92J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 82.0000000000001,34.0000000000001 82.5000000000001,35.0000000000001 82.5000000000001,35.0000000000001 82.0000000000001,34.0000000000001 82.0000000000001)))', '82.5', '82', '35', '34', '93J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 82.5000000000001,34.0000000000001 83.0000000000001,35.0000000000001 83.0000000000001,35.0000000000001 82.5000000000001,34.0000000000001 82.5000000000001)))', '83', '82.5', '35', '34', '94J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 83.0000000000001,34.0000000000001 83.5000000000001,35.0000000000001 83.5000000000001,35.0000000000001 83.0000000000001,34.0000000000001 83.0000000000001)))', '83.5', '83', '35', '34', '95J4', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((34.0000000000001 83.5000000000001,34.0000000000001 84.0000000000001,35.0000000000001 84.0000000000001,35.0000000000001 83.5000000000001,34.0000000000001 83.5000000000001)))', '84', '83.5', '35', '34', '96J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 84.0000000000001,34.0000000000001 84.5000000000001,35.0000000000001 84.5000000000001,35.0000000000001 84.0000000000001,34.0000000000001 84.0000000000001)))', '84.5', '84', '35', '34', '97J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((34.0000000000001 84.5000000000001,34.0000000000001 85.0000000000001,35.0000000000001 85.0000000000001,35.0000000000001 84.5000000000001,34.0000000000001 84.5000000000001)))', '85', '84.5', '35', '34', '98J4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 64.0000000000001,35.0000000000001 64.5000000000001,36.0000000000001 64.5000000000001,36.0000000000001 64.0000000000001,35.0000000000001 64.0000000000001)))', '64.5', '64', '36', '35', '57J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 64.5000000000001,35.0000000000001 65.0000000000001,36.0000000000001 65.0000000000001,36.0000000000001 64.5000000000001,35.0000000000001 64.5000000000001)))', '65', '64.5', '36', '35', '58J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 65.0000000000001,35.0000000000001 65.5000000000001,36.0000000000001 65.5000000000001,36.0000000000001 65.0000000000001,35.0000000000001 65.0000000000001)))', '65.5', '65', '36', '35', '59J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 65.5000000000001,35.0000000000001 66.0000000000001,36.0000000000001 66.0000000000001,36.0000000000001 65.5000000000001,35.0000000000001 65.5000000000001)))', '66', '65.5', '36', '35', '60J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 66.0000000000001,35.0000000000001 66.5000000000001,36.0000000000001 66.5000000000001,36.0000000000001 66.0000000000001,35.0000000000001 66.0000000000001)))', '66.5', '66', '36', '35', '61J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 66.5000000000001,35.0000000000001 67.0000000000001,36.0000000000001 67.0000000000001,36.0000000000001 66.5000000000001,35.0000000000001 66.5000000000001)))', '67', '66.5', '36', '35', '62J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 69.0000000000001,35.0000000000001 69.5000000000001,36.0000000000001 69.5000000000001,36.0000000000001 69.0000000000001,35.0000000000001 69.0000000000001)))', '69.5', '69', '36', '35', '67J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 69.5000000000001,35.0000000000001 70.0000000000001,36.0000000000001 70.0000000000001,36.0000000000001 69.5000000000001,35.0000000000001 69.5000000000001)))', '70', '69.5', '36', '35', '68J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 70.0000000000001,35.0000000000001 70.5000000000001,36.0000000000001 70.5000000000001,36.0000000000001 70.0000000000001,35.0000000000001 70.0000000000001)))', '70.5', '70', '36', '35', '69J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 70.5000000000001,35.0000000000001 71.0000000000001,36.0000000000001 71.0000000000001,36.0000000000001 70.5000000000001,35.0000000000001 70.5000000000001)))', '71', '70.5', '36', '35', '70J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 71.0000000000001,35.0000000000001 71.5000000000001,36.0000000000001 71.5000000000001,36.0000000000001 71.0000000000001,35.0000000000001 71.0000000000001)))', '71.5', '71', '36', '35', '71J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 71.5000000000001,35.0000000000001 72.0000000000001,36.0000000000001 72.0000000000001,36.0000000000001 71.5000000000001,35.0000000000001 71.5000000000001)))', '72', '71.5', '36', '35', '72J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 72.0000000000001,35.0000000000001 72.5000000000001,36.0000000000001 72.5000000000001,36.0000000000001 72.0000000000001,35.0000000000001 72.0000000000001)))', '72.5', '72', '36', '35', '73J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 72.5000000000001,35.0000000000001 73.0000000000001,36.0000000000001 73.0000000000001,36.0000000000001 72.5000000000001,35.0000000000001 72.5000000000001)))', '73', '72.5', '36', '35', '74J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 73.0000000000001,35.0000000000001 73.5000000000001,36.0000000000001 73.5000000000001,36.0000000000001 73.0000000000001,35.0000000000001 73.0000000000001)))', '73.5', '73', '36', '35', '75J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 73.5000000000001,35.0000000000001 74.0000000000001,36.0000000000001 74.0000000000001,36.0000000000001 73.5000000000001,35.0000000000001 73.5000000000001)))', '74', '73.5', '36', '35', '76J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 74.0000000000001,35.0000000000001 74.5000000000001,36.0000000000001 74.5000000000001,36.0000000000001 74.0000000000001,35.0000000000001 74.0000000000001)))', '74.5', '74', '36', '35', '77J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 74.5000000000001,35.0000000000001 75.0000000000001,36.0000000000001 75.0000000000001,36.0000000000001 74.5000000000001,35.0000000000001 74.5000000000001)))', '75', '74.5', '36', '35', '78J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 75.0000000000001,35.0000000000001 75.5000000000001,36.0000000000001 75.5000000000001,36.0000000000001 75.0000000000001,35.0000000000001 75.0000000000001)))', '75.5', '75', '36', '35', '79J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 75.5000000000001,35.0000000000001 76.0000000000001,36.0000000000001 76.0000000000001,36.0000000000001 75.5000000000001,35.0000000000001 75.5000000000001)))', '76', '75.5', '36', '35', '80J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 76.0000000000001,35.0000000000001 76.5000000000001,36.0000000000001 76.5000000000001,36.0000000000001 76.0000000000001,35.0000000000001 76.0000000000001)))', '76.5', '76', '36', '35', '81J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 76.5000000000001,35.0000000000001 77.0000000000001,36.0000000000001 77.0000000000001,36.0000000000001 76.5000000000001,35.0000000000001 76.5000000000001)))', '77', '76.5', '36', '35', '82J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 77.0000000000001,35.0000000000001 77.5000000000001,36.0000000000001 77.5000000000001,36.0000000000001 77.0000000000001,35.0000000000001 77.0000000000001)))', '77.5', '77', '36', '35', '83J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 77.5000000000001,35.0000000000001 78.0000000000001,36.0000000000001 78.0000000000001,36.0000000000001 77.5000000000001,35.0000000000001 77.5000000000001)))', '78', '77.5', '36', '35', '84J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 78.0000000000001,35.0000000000001 78.5000000000001,36.0000000000001 78.5000000000001,36.0000000000001 78.0000000000001,35.0000000000001 78.0000000000001)))', '78.5', '78', '36', '35', '85J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 78.5000000000001,35.0000000000001 79.0000000000001,36.0000000000001 79.0000000000001,36.0000000000001 78.5000000000001,35.0000000000001 78.5000000000001)))', '79', '78.5', '36', '35', '86J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 79.0000000000001,35.0000000000001 79.5000000000001,36.0000000000001 79.5000000000001,36.0000000000001 79.0000000000001,35.0000000000001 79.0000000000001)))', '79.5', '79', '36', '35', '87J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 79.5000000000001,35.0000000000001 80.0000000000001,36.0000000000001 80.0000000000001,36.0000000000001 79.5000000000001,35.0000000000001 79.5000000000001)))', '80', '79.5', '36', '35', '88J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 80.0000000000001,35.0000000000001 80.5000000000001,36.0000000000001 80.5000000000001,36.0000000000001 80.0000000000001,35.0000000000001 80.0000000000001)))', '80.5', '80', '36', '35', '89J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 80.5000000000001,35.0000000000001 81.0000000000001,36.0000000000001 81.0000000000001,36.0000000000001 80.5000000000001,35.0000000000001 80.5000000000001)))', '81', '80.5', '36', '35', '90J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 81.0000000000001,35.0000000000001 81.5000000000001,36.0000000000001 81.5000000000001,36.0000000000001 81.0000000000001,35.0000000000001 81.0000000000001)))', '81.5', '81', '36', '35', '91J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 81.5000000000001,35.0000000000001 82.0000000000001,36.0000000000001 82.0000000000001,36.0000000000001 81.5000000000001,35.0000000000001 81.5000000000001)))', '82', '81.5', '36', '35', '92J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 82.0000000000001,35.0000000000001 82.5000000000001,36.0000000000001 82.5000000000001,36.0000000000001 82.0000000000001,35.0000000000001 82.0000000000001)))', '82.5', '82', '36', '35', '93J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 82.5000000000001,35.0000000000001 83.0000000000001,36.0000000000001 83.0000000000001,36.0000000000001 82.5000000000001,35.0000000000001 82.5000000000001)))', '83', '82.5', '36', '35', '94J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 83.0000000000001,35.0000000000001 83.5000000000001,36.0000000000001 83.5000000000001,36.0000000000001 83.0000000000001,35.0000000000001 83.0000000000001)))', '83.5', '83', '36', '35', '95J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 83.5000000000001,35.0000000000001 84.0000000000001,36.0000000000001 84.0000000000001,36.0000000000001 83.5000000000001,35.0000000000001 83.5000000000001)))', '84', '83.5', '36', '35', '96J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 84.0000000000001,35.0000000000001 84.5000000000001,36.0000000000001 84.5000000000001,36.0000000000001 84.0000000000001,35.0000000000001 84.0000000000001)))', '84.5', '84', '36', '35', '97J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((35.0000000000001 84.5000000000001,35.0000000000001 85.0000000000001,36.0000000000001 85.0000000000001,36.0000000000001 84.5000000000001,35.0000000000001 84.5000000000001)))', '85', '84.5', '36', '35', '98J5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 63.5000000000001,36.0000000000001 64.0000000000001,37.0000000000001 64.0000000000001,37.0000000000001 63.5000000000001,36.0000000000001 63.5000000000001)))', '64', '63.5', '37', '36', '56J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 64.0000000000001,36.0000000000001 64.5000000000001,37.0000000000001 64.5000000000001,37.0000000000001 64.0000000000001,36.0000000000001 64.0000000000001)))', '64.5', '64', '37', '36', '57J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 64.5000000000001,36.0000000000001 65.0000000000001,37.0000000000001 65.0000000000001,37.0000000000001 64.5000000000001,36.0000000000001 64.5000000000001)))', '65', '64.5', '37', '36', '58J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 65.0000000000001,36.0000000000001 65.5000000000001,37.0000000000001 65.5000000000001,37.0000000000001 65.0000000000001,36.0000000000001 65.0000000000001)))', '65.5', '65', '37', '36', '59J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 65.5000000000001,36.0000000000001 66.0000000000001,37.0000000000001 66.0000000000001,37.0000000000001 65.5000000000001,36.0000000000001 65.5000000000001)))', '66', '65.5', '37', '36', '60J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 66.0000000000001,36.0000000000001 66.5000000000001,37.0000000000001 66.5000000000001,37.0000000000001 66.0000000000001,36.0000000000001 66.0000000000001)))', '66.5', '66', '37', '36', '61J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 68.5000000000001,36.0000000000001 69.0000000000001,37.0000000000001 69.0000000000001,37.0000000000001 68.5000000000001,36.0000000000001 68.5000000000001)))', '69', '68.5', '37', '36', '66J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 69.0000000000001,36.0000000000001 69.5000000000001,37.0000000000001 69.5000000000001,37.0000000000001 69.0000000000001,36.0000000000001 69.0000000000001)))', '69.5', '69', '37', '36', '67J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 69.5000000000001,36.0000000000001 70.0000000000001,37.0000000000001 70.0000000000001,37.0000000000001 69.5000000000001,36.0000000000001 69.5000000000001)))', '70', '69.5', '37', '36', '68J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 70.0000000000001,36.0000000000001 70.5000000000001,37.0000000000001 70.5000000000001,37.0000000000001 70.0000000000001,36.0000000000001 70.0000000000001)))', '70.5', '70', '37', '36', '69J6', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((36.0000000000001 70.5000000000001,36.0000000000001 71.0000000000001,37.0000000000001 71.0000000000001,37.0000000000001 70.5000000000001,36.0000000000001 70.5000000000001)))', '71', '70.5', '37', '36', '70J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 71.0000000000001,36.0000000000001 71.5000000000001,37.0000000000001 71.5000000000001,37.0000000000001 71.0000000000001,36.0000000000001 71.0000000000001)))', '71.5', '71', '37', '36', '71J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 71.5000000000001,36.0000000000001 72.0000000000001,37.0000000000001 72.0000000000001,37.0000000000001 71.5000000000001,36.0000000000001 71.5000000000001)))', '72', '71.5', '37', '36', '72J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 72.0000000000001,36.0000000000001 72.5000000000001,37.0000000000001 72.5000000000001,37.0000000000001 72.0000000000001,36.0000000000001 72.0000000000001)))', '72.5', '72', '37', '36', '73J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 72.5000000000001,36.0000000000001 73.0000000000001,37.0000000000001 73.0000000000001,37.0000000000001 72.5000000000001,36.0000000000001 72.5000000000001)))', '73', '72.5', '37', '36', '74J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 73.0000000000001,36.0000000000001 73.5000000000001,37.0000000000001 73.5000000000001,37.0000000000001 73.0000000000001,36.0000000000001 73.0000000000001)))', '73.5', '73', '37', '36', '75J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 73.5000000000001,36.0000000000001 74.0000000000001,37.0000000000001 74.0000000000001,37.0000000000001 73.5000000000001,36.0000000000001 73.5000000000001)))', '74', '73.5', '37', '36', '76J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 74.0000000000001,36.0000000000001 74.5000000000001,37.0000000000001 74.5000000000001,37.0000000000001 74.0000000000001,36.0000000000001 74.0000000000001)))', '74.5', '74', '37', '36', '77J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 74.5000000000001,36.0000000000001 75.0000000000001,37.0000000000001 75.0000000000001,37.0000000000001 74.5000000000001,36.0000000000001 74.5000000000001)))', '75', '74.5', '37', '36', '78J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 75.0000000000001,36.0000000000001 75.5000000000001,37.0000000000001 75.5000000000001,37.0000000000001 75.0000000000001,36.0000000000001 75.0000000000001)))', '75.5', '75', '37', '36', '79J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 75.5000000000001,36.0000000000001 76.0000000000001,37.0000000000001 76.0000000000001,37.0000000000001 75.5000000000001,36.0000000000001 75.5000000000001)))', '76', '75.5', '37', '36', '80J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 76.0000000000001,36.0000000000001 76.5000000000001,37.0000000000001 76.5000000000001,37.0000000000001 76.0000000000001,36.0000000000001 76.0000000000001)))', '76.5', '76', '37', '36', '81J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 76.5000000000001,36.0000000000001 77.0000000000001,37.0000000000001 77.0000000000001,37.0000000000001 76.5000000000001,36.0000000000001 76.5000000000001)))', '77', '76.5', '37', '36', '82J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 77.0000000000001,36.0000000000001 77.5000000000001,37.0000000000001 77.5000000000001,37.0000000000001 77.0000000000001,36.0000000000001 77.0000000000001)))', '77.5', '77', '37', '36', '83J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 77.5000000000001,36.0000000000001 78.0000000000001,37.0000000000001 78.0000000000001,37.0000000000001 77.5000000000001,36.0000000000001 77.5000000000001)))', '78', '77.5', '37', '36', '84J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 78.0000000000001,36.0000000000001 78.5000000000001,37.0000000000001 78.5000000000001,37.0000000000001 78.0000000000001,36.0000000000001 78.0000000000001)))', '78.5', '78', '37', '36', '85J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 78.5000000000001,36.0000000000001 79.0000000000001,37.0000000000001 79.0000000000001,37.0000000000001 78.5000000000001,36.0000000000001 78.5000000000001)))', '79', '78.5', '37', '36', '86J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 79.0000000000001,36.0000000000001 79.5000000000001,37.0000000000001 79.5000000000001,37.0000000000001 79.0000000000001,36.0000000000001 79.0000000000001)))', '79.5', '79', '37', '36', '87J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 79.5000000000001,36.0000000000001 80.0000000000001,37.0000000000001 80.0000000000001,37.0000000000001 79.5000000000001,36.0000000000001 79.5000000000001)))', '80', '79.5', '37', '36', '88J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 80.0000000000001,36.0000000000001 80.5000000000001,37.0000000000001 80.5000000000001,37.0000000000001 80.0000000000001,36.0000000000001 80.0000000000001)))', '80.5', '80', '37', '36', '89J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 80.5000000000001,36.0000000000001 81.0000000000001,37.0000000000001 81.0000000000001,37.0000000000001 80.5000000000001,36.0000000000001 80.5000000000001)))', '81', '80.5', '37', '36', '90J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 81.0000000000001,36.0000000000001 81.5000000000001,37.0000000000001 81.5000000000001,37.0000000000001 81.0000000000001,36.0000000000001 81.0000000000001)))', '81.5', '81', '37', '36', '91J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 81.5000000000001,36.0000000000001 82.0000000000001,37.0000000000001 82.0000000000001,37.0000000000001 81.5000000000001,36.0000000000001 81.5000000000001)))', '82', '81.5', '37', '36', '92J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 82.0000000000001,36.0000000000001 82.5000000000001,37.0000000000001 82.5000000000001,37.0000000000001 82.0000000000001,36.0000000000001 82.0000000000001)))', '82.5', '82', '37', '36', '93J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 82.5000000000001,36.0000000000001 83.0000000000001,37.0000000000001 83.0000000000001,37.0000000000001 82.5000000000001,36.0000000000001 82.5000000000001)))', '83', '82.5', '37', '36', '94J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 83.0000000000001,36.0000000000001 83.5000000000001,37.0000000000001 83.5000000000001,37.0000000000001 83.0000000000001,36.0000000000001 83.0000000000001)))', '83.5', '83', '37', '36', '95J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 83.5000000000001,36.0000000000001 84.0000000000001,37.0000000000001 84.0000000000001,37.0000000000001 83.5000000000001,36.0000000000001 83.5000000000001)))', '84', '83.5', '37', '36', '96J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 84.0000000000001,36.0000000000001 84.5000000000001,37.0000000000001 84.5000000000001,37.0000000000001 84.0000000000001,36.0000000000001 84.0000000000001)))', '84.5', '84', '37', '36', '97J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((36.0000000000001 84.5000000000001,36.0000000000001 85.0000000000001,37.0000000000001 85.0000000000001,37.0000000000001 84.5000000000001,36.0000000000001 84.5000000000001)))', '85', '84.5', '37', '36', '98J6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 63.5000000000001,37.0000000000001 64.0000000000001,38.0000000000001 64.0000000000001,38.0000000000001 63.5000000000001,37.0000000000001 63.5000000000001)))', '64', '63.5', '38', '37', '56J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 64.0000000000001,37.0000000000001 64.5000000000001,38.0000000000001 64.5000000000001,38.0000000000001 64.0000000000001,37.0000000000001 64.0000000000001)))', '64.5', '64', '38', '37', '57J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 64.5000000000001,37.0000000000001 65.0000000000001,38.0000000000001 65.0000000000001,38.0000000000001 64.5000000000001,37.0000000000001 64.5000000000001)))', '65', '64.5', '38', '37', '58J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 65.0000000000001,37.0000000000001 65.5000000000001,38.0000000000001 65.5000000000001,38.0000000000001 65.0000000000001,37.0000000000001 65.0000000000001)))', '65.5', '65', '38', '37', '59J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 65.5000000000001,37.0000000000001 66.0000000000001,38.0000000000001 66.0000000000001,38.0000000000001 65.5000000000001,37.0000000000001 65.5000000000001)))', '66', '65.5', '38', '37', '60J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 66.0000000000001,37.0000000000001 66.5000000000001,38.0000000000001 66.5000000000001,38.0000000000001 66.0000000000001,37.0000000000001 66.0000000000001)))', '66.5', '66', '38', '37', '61J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 68.5000000000001,37.0000000000001 69.0000000000001,38.0000000000001 69.0000000000001,38.0000000000001 68.5000000000001,37.0000000000001 68.5000000000001)))', '69', '68.5', '38', '37', '66J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 69.0000000000001,37.0000000000001 69.5000000000001,38.0000000000001 69.5000000000001,38.0000000000001 69.0000000000001,37.0000000000001 69.0000000000001)))', '69.5', '69', '38', '37', '67J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 69.5000000000001,37.0000000000001 70.0000000000001,38.0000000000001 70.0000000000001,38.0000000000001 69.5000000000001,37.0000000000001 69.5000000000001)))', '70', '69.5', '38', '37', '68J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 70.0000000000001,37.0000000000001 70.5000000000001,38.0000000000001 70.5000000000001,38.0000000000001 70.0000000000001,37.0000000000001 70.0000000000001)))', '70.5', '70', '38', '37', '69J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 70.5000000000001,37.0000000000001 71.0000000000001,38.0000000000001 71.0000000000001,38.0000000000001 70.5000000000001,37.0000000000001 70.5000000000001)))', '71', '70.5', '38', '37', '70J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 71.0000000000001,37.0000000000001 71.5000000000001,38.0000000000001 71.5000000000001,38.0000000000001 71.0000000000001,37.0000000000001 71.0000000000001)))', '71.5', '71', '38', '37', '71J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 71.5000000000001,37.0000000000001 72.0000000000001,38.0000000000001 72.0000000000001,38.0000000000001 71.5000000000001,37.0000000000001 71.5000000000001)))', '72', '71.5', '38', '37', '72J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 72.0000000000001,37.0000000000001 72.5000000000001,38.0000000000001 72.5000000000001,38.0000000000001 72.0000000000001,37.0000000000001 72.0000000000001)))', '72.5', '72', '38', '37', '73J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 72.5000000000001,37.0000000000001 73.0000000000001,38.0000000000001 73.0000000000001,38.0000000000001 72.5000000000001,37.0000000000001 72.5000000000001)))', '73', '72.5', '38', '37', '74J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 73.0000000000001,37.0000000000001 73.5000000000001,38.0000000000001 73.5000000000001,38.0000000000001 73.0000000000001,37.0000000000001 73.0000000000001)))', '73.5', '73', '38', '37', '75J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 73.5000000000001,37.0000000000001 74.0000000000001,38.0000000000001 74.0000000000001,38.0000000000001 73.5000000000001,37.0000000000001 73.5000000000001)))', '74', '73.5', '38', '37', '76J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 74.0000000000001,37.0000000000001 74.5000000000001,38.0000000000001 74.5000000000001,38.0000000000001 74.0000000000001,37.0000000000001 74.0000000000001)))', '74.5', '74', '38', '37', '77J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 74.5000000000001,37.0000000000001 75.0000000000001,38.0000000000001 75.0000000000001,38.0000000000001 74.5000000000001,37.0000000000001 74.5000000000001)))', '75', '74.5', '38', '37', '78J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 75.0000000000001,37.0000000000001 75.5000000000001,38.0000000000001 75.5000000000001,38.0000000000001 75.0000000000001,37.0000000000001 75.0000000000001)))', '75.5', '75', '38', '37', '79J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 75.5000000000001,37.0000000000001 76.0000000000001,38.0000000000001 76.0000000000001,38.0000000000001 75.5000000000001,37.0000000000001 75.5000000000001)))', '76', '75.5', '38', '37', '80J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 76.0000000000001,37.0000000000001 76.5000000000001,38.0000000000001 76.5000000000001,38.0000000000001 76.0000000000001,37.0000000000001 76.0000000000001)))', '76.5', '76', '38', '37', '81J7', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((37.0000000000001 76.5000000000001,37.0000000000001 77.0000000000001,38.0000000000001 77.0000000000001,38.0000000000001 76.5000000000001,37.0000000000001 76.5000000000001)))', '77', '76.5', '38', '37', '82J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 77.0000000000001,37.0000000000001 77.5000000000001,38.0000000000001 77.5000000000001,38.0000000000001 77.0000000000001,37.0000000000001 77.0000000000001)))', '77.5', '77', '38', '37', '83J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 77.5000000000001,37.0000000000001 78.0000000000001,38.0000000000001 78.0000000000001,38.0000000000001 77.5000000000001,37.0000000000001 77.5000000000001)))', '78', '77.5', '38', '37', '84J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 78.0000000000001,37.0000000000001 78.5000000000001,38.0000000000001 78.5000000000001,38.0000000000001 78.0000000000001,37.0000000000001 78.0000000000001)))', '78.5', '78', '38', '37', '85J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 78.5000000000001,37.0000000000001 79.0000000000001,38.0000000000001 79.0000000000001,38.0000000000001 78.5000000000001,37.0000000000001 78.5000000000001)))', '79', '78.5', '38', '37', '86J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 79.0000000000001,37.0000000000001 79.5000000000001,38.0000000000001 79.5000000000001,38.0000000000001 79.0000000000001,37.0000000000001 79.0000000000001)))', '79.5', '79', '38', '37', '87J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 79.5000000000001,37.0000000000001 80.0000000000001,38.0000000000001 80.0000000000001,38.0000000000001 79.5000000000001,37.0000000000001 79.5000000000001)))', '80', '79.5', '38', '37', '88J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 80.0000000000001,37.0000000000001 80.5000000000001,38.0000000000001 80.5000000000001,38.0000000000001 80.0000000000001,37.0000000000001 80.0000000000001)))', '80.5', '80', '38', '37', '89J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 80.5000000000001,37.0000000000001 81.0000000000001,38.0000000000001 81.0000000000001,38.0000000000001 80.5000000000001,37.0000000000001 80.5000000000001)))', '81', '80.5', '38', '37', '90J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 81.0000000000001,37.0000000000001 81.5000000000001,38.0000000000001 81.5000000000001,38.0000000000001 81.0000000000001,37.0000000000001 81.0000000000001)))', '81.5', '81', '38', '37', '91J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 81.5000000000001,37.0000000000001 82.0000000000001,38.0000000000001 82.0000000000001,38.0000000000001 81.5000000000001,37.0000000000001 81.5000000000001)))', '82', '81.5', '38', '37', '92J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 82.0000000000001,37.0000000000001 82.5000000000001,38.0000000000001 82.5000000000001,38.0000000000001 82.0000000000001,37.0000000000001 82.0000000000001)))', '82.5', '82', '38', '37', '93J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 82.5000000000001,37.0000000000001 83.0000000000001,38.0000000000001 83.0000000000001,38.0000000000001 82.5000000000001,37.0000000000001 82.5000000000001)))', '83', '82.5', '38', '37', '94J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 83.0000000000001,37.0000000000001 83.5000000000001,38.0000000000001 83.5000000000001,38.0000000000001 83.0000000000001,37.0000000000001 83.0000000000001)))', '83.5', '83', '38', '37', '95J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 83.5000000000001,37.0000000000001 84.0000000000001,38.0000000000001 84.0000000000001,38.0000000000001 83.5000000000001,37.0000000000001 83.5000000000001)))', '84', '83.5', '38', '37', '96J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 84.0000000000001,37.0000000000001 84.5000000000001,38.0000000000001 84.5000000000001,38.0000000000001 84.0000000000001,37.0000000000001 84.0000000000001)))', '84.5', '84', '38', '37', '97J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((37.0000000000001 84.5000000000001,37.0000000000001 85.0000000000001,38.0000000000001 85.0000000000001,38.0000000000001 84.5000000000001,37.0000000000001 84.5000000000001)))', '85', '84.5', '38', '37', '98J7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 63.5000000000001,38.0000000000001 64.0000000000001,39.0000000000001 64.0000000000001,39.0000000000001 63.5000000000001,38.0000000000001 63.5000000000001)))', '64', '63.5', '39', '38', '56J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 64.0000000000001,38.0000000000001 64.5000000000001,39.0000000000001 64.5000000000001,39.0000000000001 64.0000000000001,38.0000000000001 64.0000000000001)))', '64.5', '64', '39', '38', '57J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 64.5000000000001,38.0000000000001 65.0000000000001,39.0000000000001 65.0000000000001,39.0000000000001 64.5000000000001,38.0000000000001 64.5000000000001)))', '65', '64.5', '39', '38', '58J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 65.0000000000001,38.0000000000001 65.5000000000001,39.0000000000001 65.5000000000001,39.0000000000001 65.0000000000001,38.0000000000001 65.0000000000001)))', '65.5', '65', '39', '38', '59J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 65.5000000000001,38.0000000000001 66.0000000000001,39.0000000000001 66.0000000000001,39.0000000000001 65.5000000000001,38.0000000000001 65.5000000000001)))', '66', '65.5', '39', '38', '60J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 66.0000000000001,38.0000000000001 66.5000000000001,39.0000000000001 66.5000000000001,39.0000000000001 66.0000000000001,38.0000000000001 66.0000000000001)))', '66.5', '66', '39', '38', '61J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 68.0000000000001,38.0000000000001 68.5000000000001,39.0000000000001 68.5000000000001,39.0000000000001 68.0000000000001,38.0000000000001 68.0000000000001)))', '68.5', '68', '39', '38', '65J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 68.5000000000001,38.0000000000001 69.0000000000001,39.0000000000001 69.0000000000001,39.0000000000001 68.5000000000001,38.0000000000001 68.5000000000001)))', '69', '68.5', '39', '38', '66J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 69.0000000000001,38.0000000000001 69.5000000000001,39.0000000000001 69.5000000000001,39.0000000000001 69.0000000000001,38.0000000000001 69.0000000000001)))', '69.5', '69', '39', '38', '67J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 69.5000000000001,38.0000000000001 70.0000000000001,39.0000000000001 70.0000000000001,39.0000000000001 69.5000000000001,38.0000000000001 69.5000000000001)))', '70', '69.5', '39', '38', '68J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 70.0000000000001,38.0000000000001 70.5000000000001,39.0000000000001 70.5000000000001,39.0000000000001 70.0000000000001,38.0000000000001 70.0000000000001)))', '70.5', '70', '39', '38', '69J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 70.5000000000001,38.0000000000001 71.0000000000001,39.0000000000001 71.0000000000001,39.0000000000001 70.5000000000001,38.0000000000001 70.5000000000001)))', '71', '70.5', '39', '38', '70J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 71.0000000000001,38.0000000000001 71.5000000000001,39.0000000000001 71.5000000000001,39.0000000000001 71.0000000000001,38.0000000000001 71.0000000000001)))', '71.5', '71', '39', '38', '71J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 71.5000000000001,38.0000000000001 72.0000000000001,39.0000000000001 72.0000000000001,39.0000000000001 71.5000000000001,38.0000000000001 71.5000000000001)))', '72', '71.5', '39', '38', '72J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 72.0000000000001,38.0000000000001 72.5000000000001,39.0000000000001 72.5000000000001,39.0000000000001 72.0000000000001,38.0000000000001 72.0000000000001)))', '72.5', '72', '39', '38', '73J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 72.5000000000001,38.0000000000001 73.0000000000001,39.0000000000001 73.0000000000001,39.0000000000001 72.5000000000001,38.0000000000001 72.5000000000001)))', '73', '72.5', '39', '38', '74J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 73.0000000000001,38.0000000000001 73.5000000000001,39.0000000000001 73.5000000000001,39.0000000000001 73.0000000000001,38.0000000000001 73.0000000000001)))', '73.5', '73', '39', '38', '75J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 73.5000000000001,38.0000000000001 74.0000000000001,39.0000000000001 74.0000000000001,39.0000000000001 73.5000000000001,38.0000000000001 73.5000000000001)))', '74', '73.5', '39', '38', '76J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 74.0000000000001,38.0000000000001 74.5000000000001,39.0000000000001 74.5000000000001,39.0000000000001 74.0000000000001,38.0000000000001 74.0000000000001)))', '74.5', '74', '39', '38', '77J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 74.5000000000001,38.0000000000001 75.0000000000001,39.0000000000001 75.0000000000001,39.0000000000001 74.5000000000001,38.0000000000001 74.5000000000001)))', '75', '74.5', '39', '38', '78J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 75.0000000000001,38.0000000000001 75.5000000000001,39.0000000000001 75.5000000000001,39.0000000000001 75.0000000000001,38.0000000000001 75.0000000000001)))', '75.5', '75', '39', '38', '79J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 75.5000000000001,38.0000000000001 76.0000000000001,39.0000000000001 76.0000000000001,39.0000000000001 75.5000000000001,38.0000000000001 75.5000000000001)))', '76', '75.5', '39', '38', '80J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 76.0000000000001,38.0000000000001 76.5000000000001,39.0000000000001 76.5000000000001,39.0000000000001 76.0000000000001,38.0000000000001 76.0000000000001)))', '76.5', '76', '39', '38', '81J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 76.5000000000001,38.0000000000001 77.0000000000001,39.0000000000001 77.0000000000001,39.0000000000001 76.5000000000001,38.0000000000001 76.5000000000001)))', '77', '76.5', '39', '38', '82J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 77.0000000000001,38.0000000000001 77.5000000000001,39.0000000000001 77.5000000000001,39.0000000000001 77.0000000000001,38.0000000000001 77.0000000000001)))', '77.5', '77', '39', '38', '83J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 77.5000000000001,38.0000000000001 78.0000000000001,39.0000000000001 78.0000000000001,39.0000000000001 77.5000000000001,38.0000000000001 77.5000000000001)))', '78', '77.5', '39', '38', '84J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 78.0000000000001,38.0000000000001 78.5000000000001,39.0000000000001 78.5000000000001,39.0000000000001 78.0000000000001,38.0000000000001 78.0000000000001)))', '78.5', '78', '39', '38', '85J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 78.5000000000001,38.0000000000001 79.0000000000001,39.0000000000001 79.0000000000001,39.0000000000001 78.5000000000001,38.0000000000001 78.5000000000001)))', '79', '78.5', '39', '38', '86J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 79.0000000000001,38.0000000000001 79.5000000000001,39.0000000000001 79.5000000000001,39.0000000000001 79.0000000000001,38.0000000000001 79.0000000000001)))', '79.5', '79', '39', '38', '87J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 79.5000000000001,38.0000000000001 80.0000000000001,39.0000000000001 80.0000000000001,39.0000000000001 79.5000000000001,38.0000000000001 79.5000000000001)))', '80', '79.5', '39', '38', '88J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 80.0000000000001,38.0000000000001 80.5000000000001,39.0000000000001 80.5000000000001,39.0000000000001 80.0000000000001,38.0000000000001 80.0000000000001)))', '80.5', '80', '39', '38', '89J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 80.5000000000001,38.0000000000001 81.0000000000001,39.0000000000001 81.0000000000001,39.0000000000001 80.5000000000001,38.0000000000001 80.5000000000001)))', '81', '80.5', '39', '38', '90J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 81.0000000000001,38.0000000000001 81.5000000000001,39.0000000000001 81.5000000000001,39.0000000000001 81.0000000000001,38.0000000000001 81.0000000000001)))', '81.5', '81', '39', '38', '91J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 81.5000000000001,38.0000000000001 82.0000000000001,39.0000000000001 82.0000000000001,39.0000000000001 81.5000000000001,38.0000000000001 81.5000000000001)))', '82', '81.5', '39', '38', '92J8', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((38.0000000000001 82.0000000000001,38.0000000000001 82.5000000000001,39.0000000000001 82.5000000000001,39.0000000000001 82.0000000000001,38.0000000000001 82.0000000000001)))', '82.5', '82', '39', '38', '93J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 82.5000000000001,38.0000000000001 83.0000000000001,39.0000000000001 83.0000000000001,39.0000000000001 82.5000000000001,38.0000000000001 82.5000000000001)))', '83', '82.5', '39', '38', '94J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 83.0000000000001,38.0000000000001 83.5000000000001,39.0000000000001 83.5000000000001,39.0000000000001 83.0000000000001,38.0000000000001 83.0000000000001)))', '83.5', '83', '39', '38', '95J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 83.5000000000001,38.0000000000001 84.0000000000001,39.0000000000001 84.0000000000001,39.0000000000001 83.5000000000001,38.0000000000001 83.5000000000001)))', '84', '83.5', '39', '38', '96J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 84.0000000000001,38.0000000000001 84.5000000000001,39.0000000000001 84.5000000000001,39.0000000000001 84.0000000000001,38.0000000000001 84.0000000000001)))', '84.5', '84', '39', '38', '97J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((38.0000000000001 84.5000000000001,38.0000000000001 85.0000000000001,39.0000000000001 85.0000000000001,39.0000000000001 84.5000000000001,38.0000000000001 84.5000000000001)))', '85', '84.5', '39', '38', '98J8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 64.5000000000001,39.0000000000001 65.0000000000001,40.0000000000001 65.0000000000001,40.0000000000001 64.5000000000001,39.0000000000001 64.5000000000001)))', '65', '64.5', '40', '39', '58J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 65.0000000000001,39.0000000000001 65.5000000000001,40.0000000000001 65.5000000000001,40.0000000000001 65.0000000000001,39.0000000000001 65.0000000000001)))', '65.5', '65', '40', '39', '59J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 65.5000000000001,39.0000000000001 66.0000000000001,40.0000000000001 66.0000000000001,40.0000000000001 65.5000000000001,39.0000000000001 65.5000000000001)))', '66', '65.5', '40', '39', '60J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 66.0000000000001,39.0000000000001 66.5000000000001,40.0000000000001 66.5000000000001,40.0000000000001 66.0000000000001,39.0000000000001 66.0000000000001)))', '66.5', '66', '40', '39', '61J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 67.5000000000001,39.0000000000001 68.0000000000001,40.0000000000001 68.0000000000001,40.0000000000001 67.5000000000001,39.0000000000001 67.5000000000001)))', '68', '67.5', '40', '39', '64J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 68.0000000000001,39.0000000000001 68.5000000000001,40.0000000000001 68.5000000000001,40.0000000000001 68.0000000000001,39.0000000000001 68.0000000000001)))', '68.5', '68', '40', '39', '65J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 68.5000000000001,39.0000000000001 69.0000000000001,40.0000000000001 69.0000000000001,40.0000000000001 68.5000000000001,39.0000000000001 68.5000000000001)))', '69', '68.5', '40', '39', '66J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 69.0000000000001,39.0000000000001 69.5000000000001,40.0000000000001 69.5000000000001,40.0000000000001 69.0000000000001,39.0000000000001 69.0000000000001)))', '69.5', '69', '40', '39', '67J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 69.5000000000001,39.0000000000001 70.0000000000001,40.0000000000001 70.0000000000001,40.0000000000001 69.5000000000001,39.0000000000001 69.5000000000001)))', '70', '69.5', '40', '39', '68J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 70.0000000000001,39.0000000000001 70.5000000000001,40.0000000000001 70.5000000000001,40.0000000000001 70.0000000000001,39.0000000000001 70.0000000000001)))', '70.5', '70', '40', '39', '69J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 70.5000000000001,39.0000000000001 71.0000000000001,40.0000000000001 71.0000000000001,40.0000000000001 70.5000000000001,39.0000000000001 70.5000000000001)))', '71', '70.5', '40', '39', '70J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 71.0000000000001,39.0000000000001 71.5000000000001,40.0000000000001 71.5000000000001,40.0000000000001 71.0000000000001,39.0000000000001 71.0000000000001)))', '71.5', '71', '40', '39', '71J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 71.5000000000001,39.0000000000001 72.0000000000001,40.0000000000001 72.0000000000001,40.0000000000001 71.5000000000001,39.0000000000001 71.5000000000001)))', '72', '71.5', '40', '39', '72J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 72.0000000000001,39.0000000000001 72.5000000000001,40.0000000000001 72.5000000000001,40.0000000000001 72.0000000000001,39.0000000000001 72.0000000000001)))', '72.5', '72', '40', '39', '73J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 72.5000000000001,39.0000000000001 73.0000000000001,40.0000000000001 73.0000000000001,40.0000000000001 72.5000000000001,39.0000000000001 72.5000000000001)))', '73', '72.5', '40', '39', '74J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 73.0000000000001,39.0000000000001 73.5000000000001,40.0000000000001 73.5000000000001,40.0000000000001 73.0000000000001,39.0000000000001 73.0000000000001)))', '73.5', '73', '40', '39', '75J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 73.5000000000001,39.0000000000001 74.0000000000001,40.0000000000001 74.0000000000001,40.0000000000001 73.5000000000001,39.0000000000001 73.5000000000001)))', '74', '73.5', '40', '39', '76J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 74.0000000000001,39.0000000000001 74.5000000000001,40.0000000000001 74.5000000000001,40.0000000000001 74.0000000000001,39.0000000000001 74.0000000000001)))', '74.5', '74', '40', '39', '77J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 74.5000000000001,39.0000000000001 75.0000000000001,40.0000000000001 75.0000000000001,40.0000000000001 74.5000000000001,39.0000000000001 74.5000000000001)))', '75', '74.5', '40', '39', '78J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 75.0000000000001,39.0000000000001 75.5000000000001,40.0000000000001 75.5000000000001,40.0000000000001 75.0000000000001,39.0000000000001 75.0000000000001)))', '75.5', '75', '40', '39', '79J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 75.5000000000001,39.0000000000001 76.0000000000001,40.0000000000001 76.0000000000001,40.0000000000001 75.5000000000001,39.0000000000001 75.5000000000001)))', '76', '75.5', '40', '39', '80J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 76.0000000000001,39.0000000000001 76.5000000000001,40.0000000000001 76.5000000000001,40.0000000000001 76.0000000000001,39.0000000000001 76.0000000000001)))', '76.5', '76', '40', '39', '81J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 76.5000000000001,39.0000000000001 77.0000000000001,40.0000000000001 77.0000000000001,40.0000000000001 76.5000000000001,39.0000000000001 76.5000000000001)))', '77', '76.5', '40', '39', '82J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 77.0000000000001,39.0000000000001 77.5000000000001,40.0000000000001 77.5000000000001,40.0000000000001 77.0000000000001,39.0000000000001 77.0000000000001)))', '77.5', '77', '40', '39', '83J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 77.5000000000001,39.0000000000001 78.0000000000001,40.0000000000001 78.0000000000001,40.0000000000001 77.5000000000001,39.0000000000001 77.5000000000001)))', '78', '77.5', '40', '39', '84J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 78.0000000000001,39.0000000000001 78.5000000000001,40.0000000000001 78.5000000000001,40.0000000000001 78.0000000000001,39.0000000000001 78.0000000000001)))', '78.5', '78', '40', '39', '85J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 78.5000000000001,39.0000000000001 79.0000000000001,40.0000000000001 79.0000000000001,40.0000000000001 78.5000000000001,39.0000000000001 78.5000000000001)))', '79', '78.5', '40', '39', '86J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 79.0000000000001,39.0000000000001 79.5000000000001,40.0000000000001 79.5000000000001,40.0000000000001 79.0000000000001,39.0000000000001 79.0000000000001)))', '79.5', '79', '40', '39', '87J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 79.5000000000001,39.0000000000001 80.0000000000001,40.0000000000001 80.0000000000001,40.0000000000001 79.5000000000001,39.0000000000001 79.5000000000001)))', '80', '79.5', '40', '39', '88J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 80.0000000000001,39.0000000000001 80.5000000000001,40.0000000000001 80.5000000000001,40.0000000000001 80.0000000000001,39.0000000000001 80.0000000000001)))', '80.5', '80', '40', '39', '89J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 80.5000000000001,39.0000000000001 81.0000000000001,40.0000000000001 81.0000000000001,40.0000000000001 80.5000000000001,39.0000000000001 80.5000000000001)))', '81', '80.5', '40', '39', '90J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 81.0000000000001,39.0000000000001 81.5000000000001,40.0000000000001 81.5000000000001,40.0000000000001 81.0000000000001,39.0000000000001 81.0000000000001)))', '81.5', '81', '40', '39', '91J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 81.5000000000001,39.0000000000001 82.0000000000001,40.0000000000001 82.0000000000001,40.0000000000001 81.5000000000001,39.0000000000001 81.5000000000001)))', '82', '81.5', '40', '39', '92J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 82.0000000000001,39.0000000000001 82.5000000000001,40.0000000000001 82.5000000000001,40.0000000000001 82.0000000000001,39.0000000000001 82.0000000000001)))', '82.5', '82', '40', '39', '93J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 82.5000000000001,39.0000000000001 83.0000000000001,40.0000000000001 83.0000000000001,40.0000000000001 82.5000000000001,39.0000000000001 82.5000000000001)))', '83', '82.5', '40', '39', '94J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 83.0000000000001,39.0000000000001 83.5000000000001,40.0000000000001 83.5000000000001,40.0000000000001 83.0000000000001,39.0000000000001 83.0000000000001)))', '83.5', '83', '40', '39', '95J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 83.5000000000001,39.0000000000001 84.0000000000001,40.0000000000001 84.0000000000001,40.0000000000001 83.5000000000001,39.0000000000001 83.5000000000001)))', '84', '83.5', '40', '39', '96J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 84.0000000000001,39.0000000000001 84.5000000000001,40.0000000000001 84.5000000000001,40.0000000000001 84.0000000000001,39.0000000000001 84.0000000000001)))', '84.5', '84', '40', '39', '97J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((39.0000000000001 84.5000000000001,39.0000000000001 85.0000000000001,40.0000000000001 85.0000000000001,40.0000000000001 84.5000000000001,39.0000000000001 84.5000000000001)))', '85', '84.5', '40', '39', '98J9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 64.5000000000001,40.0000000000001 65.0000000000001,41.0000000000001 65.0000000000001,41.0000000000001 64.5000000000001,40.0000000000001 64.5000000000001)))', '65', '64.5', '41', '40', '58K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 65.0000000000001,40.0000000000001 65.5000000000001,41.0000000000001 65.5000000000001,41.0000000000001 65.0000000000001,40.0000000000001 65.0000000000001)))', '65.5', '65', '41', '40', '59K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 65.5000000000001,40.0000000000001 66.0000000000001,41.0000000000001 66.0000000000001,41.0000000000001 65.5000000000001,40.0000000000001 65.5000000000001)))', '66', '65.5', '41', '40', '60K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 66.0000000000001,40.0000000000001 66.5000000000001,41.0000000000001 66.5000000000001,41.0000000000001 66.0000000000001,40.0000000000001 66.0000000000001)))', '66.5', '66', '41', '40', '61K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 66.5000000000001,40.0000000000001 67.0000000000001,41.0000000000001 67.0000000000001,41.0000000000001 66.5000000000001,40.0000000000001 66.5000000000001)))', '67', '66.5', '41', '40', '62K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 67.0000000000001,40.0000000000001 67.5000000000001,41.0000000000001 67.5000000000001,41.0000000000001 67.0000000000001,40.0000000000001 67.0000000000001)))', '67.5', '67', '41', '40', '63K0', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((40.0000000000001 67.5000000000001,40.0000000000001 68.0000000000001,41.0000000000001 68.0000000000001,41.0000000000001 67.5000000000001,40.0000000000001 67.5000000000001)))', '68', '67.5', '41', '40', '64K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 68.0000000000001,40.0000000000001 68.5000000000001,41.0000000000001 68.5000000000001,41.0000000000001 68.0000000000001,40.0000000000001 68.0000000000001)))', '68.5', '68', '41', '40', '65K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 68.5000000000001,40.0000000000001 69.0000000000001,41.0000000000001 69.0000000000001,41.0000000000001 68.5000000000001,40.0000000000001 68.5000000000001)))', '69', '68.5', '41', '40', '66K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 69.0000000000001,40.0000000000001 69.5000000000001,41.0000000000001 69.5000000000001,41.0000000000001 69.0000000000001,40.0000000000001 69.0000000000001)))', '69.5', '69', '41', '40', '67K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 69.5000000000001,40.0000000000001 70.0000000000001,41.0000000000001 70.0000000000001,41.0000000000001 69.5000000000001,40.0000000000001 69.5000000000001)))', '70', '69.5', '41', '40', '68K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 70.0000000000001,40.0000000000001 70.5000000000001,41.0000000000001 70.5000000000001,41.0000000000001 70.0000000000001,40.0000000000001 70.0000000000001)))', '70.5', '70', '41', '40', '69K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 70.5000000000001,40.0000000000001 71.0000000000001,41.0000000000001 71.0000000000001,41.0000000000001 70.5000000000001,40.0000000000001 70.5000000000001)))', '71', '70.5', '41', '40', '70K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 71.0000000000001,40.0000000000001 71.5000000000001,41.0000000000001 71.5000000000001,41.0000000000001 71.0000000000001,40.0000000000001 71.0000000000001)))', '71.5', '71', '41', '40', '71K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 71.5000000000001,40.0000000000001 72.0000000000001,41.0000000000001 72.0000000000001,41.0000000000001 71.5000000000001,40.0000000000001 71.5000000000001)))', '72', '71.5', '41', '40', '72K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 72.0000000000001,40.0000000000001 72.5000000000001,41.0000000000001 72.5000000000001,41.0000000000001 72.0000000000001,40.0000000000001 72.0000000000001)))', '72.5', '72', '41', '40', '73K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 72.5000000000001,40.0000000000001 73.0000000000001,41.0000000000001 73.0000000000001,41.0000000000001 72.5000000000001,40.0000000000001 72.5000000000001)))', '73', '72.5', '41', '40', '74K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 73.0000000000001,40.0000000000001 73.5000000000001,41.0000000000001 73.5000000000001,41.0000000000001 73.0000000000001,40.0000000000001 73.0000000000001)))', '73.5', '73', '41', '40', '75K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 73.5000000000001,40.0000000000001 74.0000000000001,41.0000000000001 74.0000000000001,41.0000000000001 73.5000000000001,40.0000000000001 73.5000000000001)))', '74', '73.5', '41', '40', '76K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 74.0000000000001,40.0000000000001 74.5000000000001,41.0000000000001 74.5000000000001,41.0000000000001 74.0000000000001,40.0000000000001 74.0000000000001)))', '74.5', '74', '41', '40', '77K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 74.5000000000001,40.0000000000001 75.0000000000001,41.0000000000001 75.0000000000001,41.0000000000001 74.5000000000001,40.0000000000001 74.5000000000001)))', '75', '74.5', '41', '40', '78K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 75.0000000000001,40.0000000000001 75.5000000000001,41.0000000000001 75.5000000000001,41.0000000000001 75.0000000000001,40.0000000000001 75.0000000000001)))', '75.5', '75', '41', '40', '79K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 75.5000000000001,40.0000000000001 76.0000000000001,41.0000000000001 76.0000000000001,41.0000000000001 75.5000000000001,40.0000000000001 75.5000000000001)))', '76', '75.5', '41', '40', '80K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 76.0000000000001,40.0000000000001 76.5000000000001,41.0000000000001 76.5000000000001,41.0000000000001 76.0000000000001,40.0000000000001 76.0000000000001)))', '76.5', '76', '41', '40', '81K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 76.5000000000001,40.0000000000001 77.0000000000001,41.0000000000001 77.0000000000001,41.0000000000001 76.5000000000001,40.0000000000001 76.5000000000001)))', '77', '76.5', '41', '40', '82K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 77.0000000000001,40.0000000000001 77.5000000000001,41.0000000000001 77.5000000000001,41.0000000000001 77.0000000000001,40.0000000000001 77.0000000000001)))', '77.5', '77', '41', '40', '83K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 77.5000000000001,40.0000000000001 78.0000000000001,41.0000000000001 78.0000000000001,41.0000000000001 77.5000000000001,40.0000000000001 77.5000000000001)))', '78', '77.5', '41', '40', '84K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 78.0000000000001,40.0000000000001 78.5000000000001,41.0000000000001 78.5000000000001,41.0000000000001 78.0000000000001,40.0000000000001 78.0000000000001)))', '78.5', '78', '41', '40', '85K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 78.5000000000001,40.0000000000001 79.0000000000001,41.0000000000001 79.0000000000001,41.0000000000001 78.5000000000001,40.0000000000001 78.5000000000001)))', '79', '78.5', '41', '40', '86K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 79.0000000000001,40.0000000000001 79.5000000000001,41.0000000000001 79.5000000000001,41.0000000000001 79.0000000000001,40.0000000000001 79.0000000000001)))', '79.5', '79', '41', '40', '87K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 79.5000000000001,40.0000000000001 80.0000000000001,41.0000000000001 80.0000000000001,41.0000000000001 79.5000000000001,40.0000000000001 79.5000000000001)))', '80', '79.5', '41', '40', '88K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 80.0000000000001,40.0000000000001 80.5000000000001,41.0000000000001 80.5000000000001,41.0000000000001 80.0000000000001,40.0000000000001 80.0000000000001)))', '80.5', '80', '41', '40', '89K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 80.5000000000001,40.0000000000001 81.0000000000001,41.0000000000001 81.0000000000001,41.0000000000001 80.5000000000001,40.0000000000001 80.5000000000001)))', '81', '80.5', '41', '40', '90K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 81.0000000000001,40.0000000000001 81.5000000000001,41.0000000000001 81.5000000000001,41.0000000000001 81.0000000000001,40.0000000000001 81.0000000000001)))', '81.5', '81', '41', '40', '91K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 81.5000000000001,40.0000000000001 82.0000000000001,41.0000000000001 82.0000000000001,41.0000000000001 81.5000000000001,40.0000000000001 81.5000000000001)))', '82', '81.5', '41', '40', '92K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 82.0000000000001,40.0000000000001 82.5000000000001,41.0000000000001 82.5000000000001,41.0000000000001 82.0000000000001,40.0000000000001 82.0000000000001)))', '82.5', '82', '41', '40', '93K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 82.5000000000001,40.0000000000001 83.0000000000001,41.0000000000001 83.0000000000001,41.0000000000001 82.5000000000001,40.0000000000001 82.5000000000001)))', '83', '82.5', '41', '40', '94K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 83.0000000000001,40.0000000000001 83.5000000000001,41.0000000000001 83.5000000000001,41.0000000000001 83.0000000000001,40.0000000000001 83.0000000000001)))', '83.5', '83', '41', '40', '95K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 83.5000000000001,40.0000000000001 84.0000000000001,41.0000000000001 84.0000000000001,41.0000000000001 83.5000000000001,40.0000000000001 83.5000000000001)))', '84', '83.5', '41', '40', '96K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 84.0000000000001,40.0000000000001 84.5000000000001,41.0000000000001 84.5000000000001,41.0000000000001 84.0000000000001,40.0000000000001 84.0000000000001)))', '84.5', '84', '41', '40', '97K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((40.0000000000001 84.5000000000001,40.0000000000001 85.0000000000001,41.0000000000001 85.0000000000001,41.0000000000001 84.5000000000001,40.0000000000001 84.5000000000001)))', '85', '84.5', '41', '40', '98K0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 66.0000000000001,41.0000000000001 66.5000000000001,42.0000000000001 66.5000000000001,42.0000000000001 66.0000000000001,41.0000000000001 66.0000000000001)))', '66.5', '66', '42', '41', '61K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 66.5000000000001,41.0000000000001 67.0000000000001,42.0000000000001 67.0000000000001,42.0000000000001 66.5000000000001,41.0000000000001 66.5000000000001)))', '67', '66.5', '42', '41', '62K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 67.0000000000001,41.0000000000001 67.5000000000001,42.0000000000001 67.5000000000001,42.0000000000001 67.0000000000001,41.0000000000001 67.0000000000001)))', '67.5', '67', '42', '41', '63K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 67.5000000000001,41.0000000000001 68.0000000000001,42.0000000000001 68.0000000000001,42.0000000000001 67.5000000000001,41.0000000000001 67.5000000000001)))', '68', '67.5', '42', '41', '64K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 68.0000000000001,41.0000000000001 68.5000000000001,42.0000000000001 68.5000000000001,42.0000000000001 68.0000000000001,41.0000000000001 68.0000000000001)))', '68.5', '68', '42', '41', '65K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 68.5000000000001,41.0000000000001 69.0000000000001,42.0000000000001 69.0000000000001,42.0000000000001 68.5000000000001,41.0000000000001 68.5000000000001)))', '69', '68.5', '42', '41', '66K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 69.0000000000001,41.0000000000001 69.5000000000001,42.0000000000001 69.5000000000001,42.0000000000001 69.0000000000001,41.0000000000001 69.0000000000001)))', '69.5', '69', '42', '41', '67K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 69.5000000000001,41.0000000000001 70.0000000000001,42.0000000000001 70.0000000000001,42.0000000000001 69.5000000000001,41.0000000000001 69.5000000000001)))', '70', '69.5', '42', '41', '68K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 70.0000000000001,41.0000000000001 70.5000000000001,42.0000000000001 70.5000000000001,42.0000000000001 70.0000000000001,41.0000000000001 70.0000000000001)))', '70.5', '70', '42', '41', '69K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 70.5000000000001,41.0000000000001 71.0000000000001,42.0000000000001 71.0000000000001,42.0000000000001 70.5000000000001,41.0000000000001 70.5000000000001)))', '71', '70.5', '42', '41', '70K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 71.0000000000001,41.0000000000001 71.5000000000001,42.0000000000001 71.5000000000001,42.0000000000001 71.0000000000001,41.0000000000001 71.0000000000001)))', '71.5', '71', '42', '41', '71K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 71.5000000000001,41.0000000000001 72.0000000000001,42.0000000000001 72.0000000000001,42.0000000000001 71.5000000000001,41.0000000000001 71.5000000000001)))', '72', '71.5', '42', '41', '72K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 72.0000000000001,41.0000000000001 72.5000000000001,42.0000000000001 72.5000000000001,42.0000000000001 72.0000000000001,41.0000000000001 72.0000000000001)))', '72.5', '72', '42', '41', '73K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 72.5000000000001,41.0000000000001 73.0000000000001,42.0000000000001 73.0000000000001,42.0000000000001 72.5000000000001,41.0000000000001 72.5000000000001)))', '73', '72.5', '42', '41', '74K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 73.0000000000001,41.0000000000001 73.5000000000001,42.0000000000001 73.5000000000001,42.0000000000001 73.0000000000001,41.0000000000001 73.0000000000001)))', '73.5', '73', '42', '41', '75K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 73.5000000000001,41.0000000000001 74.0000000000001,42.0000000000001 74.0000000000001,42.0000000000001 73.5000000000001,41.0000000000001 73.5000000000001)))', '74', '73.5', '42', '41', '76K1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((41.0000000000001 74.0000000000001,41.0000000000001 74.5000000000001,42.0000000000001 74.5000000000001,42.0000000000001 74.0000000000001,41.0000000000001 74.0000000000001)))', '74.5', '74', '42', '41', '77K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 74.5000000000001,41.0000000000001 75.0000000000001,42.0000000000001 75.0000000000001,42.0000000000001 74.5000000000001,41.0000000000001 74.5000000000001)))', '75', '74.5', '42', '41', '78K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 75.0000000000001,41.0000000000001 75.5000000000001,42.0000000000001 75.5000000000001,42.0000000000001 75.0000000000001,41.0000000000001 75.0000000000001)))', '75.5', '75', '42', '41', '79K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 75.5000000000001,41.0000000000001 76.0000000000001,42.0000000000001 76.0000000000001,42.0000000000001 75.5000000000001,41.0000000000001 75.5000000000001)))', '76', '75.5', '42', '41', '80K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 76.0000000000001,41.0000000000001 76.5000000000001,42.0000000000001 76.5000000000001,42.0000000000001 76.0000000000001,41.0000000000001 76.0000000000001)))', '76.5', '76', '42', '41', '81K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 76.5000000000001,41.0000000000001 77.0000000000001,42.0000000000001 77.0000000000001,42.0000000000001 76.5000000000001,41.0000000000001 76.5000000000001)))', '77', '76.5', '42', '41', '82K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 77.0000000000001,41.0000000000001 77.5000000000001,42.0000000000001 77.5000000000001,42.0000000000001 77.0000000000001,41.0000000000001 77.0000000000001)))', '77.5', '77', '42', '41', '83K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 77.5000000000001,41.0000000000001 78.0000000000001,42.0000000000001 78.0000000000001,42.0000000000001 77.5000000000001,41.0000000000001 77.5000000000001)))', '78', '77.5', '42', '41', '84K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 78.0000000000001,41.0000000000001 78.5000000000001,42.0000000000001 78.5000000000001,42.0000000000001 78.0000000000001,41.0000000000001 78.0000000000001)))', '78.5', '78', '42', '41', '85K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 78.5000000000001,41.0000000000001 79.0000000000001,42.0000000000001 79.0000000000001,42.0000000000001 78.5000000000001,41.0000000000001 78.5000000000001)))', '79', '78.5', '42', '41', '86K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 79.0000000000001,41.0000000000001 79.5000000000001,42.0000000000001 79.5000000000001,42.0000000000001 79.0000000000001,41.0000000000001 79.0000000000001)))', '79.5', '79', '42', '41', '87K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 79.5000000000001,41.0000000000001 80.0000000000001,42.0000000000001 80.0000000000001,42.0000000000001 79.5000000000001,41.0000000000001 79.5000000000001)))', '80', '79.5', '42', '41', '88K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 80.0000000000001,41.0000000000001 80.5000000000001,42.0000000000001 80.5000000000001,42.0000000000001 80.0000000000001,41.0000000000001 80.0000000000001)))', '80.5', '80', '42', '41', '89K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 80.5000000000001,41.0000000000001 81.0000000000001,42.0000000000001 81.0000000000001,42.0000000000001 80.5000000000001,41.0000000000001 80.5000000000001)))', '81', '80.5', '42', '41', '90K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 81.0000000000001,41.0000000000001 81.5000000000001,42.0000000000001 81.5000000000001,42.0000000000001 81.0000000000001,41.0000000000001 81.0000000000001)))', '81.5', '81', '42', '41', '91K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 81.5000000000001,41.0000000000001 82.0000000000001,42.0000000000001 82.0000000000001,42.0000000000001 81.5000000000001,41.0000000000001 81.5000000000001)))', '82', '81.5', '42', '41', '92K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 82.0000000000001,41.0000000000001 82.5000000000001,42.0000000000001 82.5000000000001,42.0000000000001 82.0000000000001,41.0000000000001 82.0000000000001)))', '82.5', '82', '42', '41', '93K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 82.5000000000001,41.0000000000001 83.0000000000001,42.0000000000001 83.0000000000001,42.0000000000001 82.5000000000001,41.0000000000001 82.5000000000001)))', '83', '82.5', '42', '41', '94K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 83.0000000000001,41.0000000000001 83.5000000000001,42.0000000000001 83.5000000000001,42.0000000000001 83.0000000000001,41.0000000000001 83.0000000000001)))', '83.5', '83', '42', '41', '95K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 83.5000000000001,41.0000000000001 84.0000000000001,42.0000000000001 84.0000000000001,42.0000000000001 83.5000000000001,41.0000000000001 83.5000000000001)))', '84', '83.5', '42', '41', '96K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 84.0000000000001,41.0000000000001 84.5000000000001,42.0000000000001 84.5000000000001,42.0000000000001 84.0000000000001,41.0000000000001 84.0000000000001)))', '84.5', '84', '42', '41', '97K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((41.0000000000001 84.5000000000001,41.0000000000001 85.0000000000001,42.0000000000001 85.0000000000001,42.0000000000001 84.5000000000001,41.0000000000001 84.5000000000001)))', '85', '84.5', '42', '41', '98K1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 66.0000000000001,42.0000000000001 66.5000000000001,43.0000000000001 66.5000000000001,43.0000000000001 66.0000000000001,42.0000000000001 66.0000000000001)))', '66.5', '66', '43', '42', '61K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 66.5000000000001,42.0000000000001 67.0000000000001,43.0000000000001 67.0000000000001,43.0000000000001 66.5000000000001,42.0000000000001 66.5000000000001)))', '67', '66.5', '43', '42', '62K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 67.0000000000001,42.0000000000001 67.5000000000001,43.0000000000001 67.5000000000001,43.0000000000001 67.0000000000001,42.0000000000001 67.0000000000001)))', '67.5', '67', '43', '42', '63K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 67.5000000000001,42.0000000000001 68.0000000000001,43.0000000000001 68.0000000000001,43.0000000000001 67.5000000000001,42.0000000000001 67.5000000000001)))', '68', '67.5', '43', '42', '64K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 68.0000000000001,42.0000000000001 68.5000000000001,43.0000000000001 68.5000000000001,43.0000000000001 68.0000000000001,42.0000000000001 68.0000000000001)))', '68.5', '68', '43', '42', '65K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 68.5000000000001,42.0000000000001 69.0000000000001,43.0000000000001 69.0000000000001,43.0000000000001 68.5000000000001,42.0000000000001 68.5000000000001)))', '69', '68.5', '43', '42', '66K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 69.0000000000001,42.0000000000001 69.5000000000001,43.0000000000001 69.5000000000001,43.0000000000001 69.0000000000001,42.0000000000001 69.0000000000001)))', '69.5', '69', '43', '42', '67K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 69.5000000000001,42.0000000000001 70.0000000000001,43.0000000000001 70.0000000000001,43.0000000000001 69.5000000000001,42.0000000000001 69.5000000000001)))', '70', '69.5', '43', '42', '68K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 70.0000000000001,42.0000000000001 70.5000000000001,43.0000000000001 70.5000000000001,43.0000000000001 70.0000000000001,42.0000000000001 70.0000000000001)))', '70.5', '70', '43', '42', '69K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 70.5000000000001,42.0000000000001 71.0000000000001,43.0000000000001 71.0000000000001,43.0000000000001 70.5000000000001,42.0000000000001 70.5000000000001)))', '71', '70.5', '43', '42', '70K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 71.0000000000001,42.0000000000001 71.5000000000001,43.0000000000001 71.5000000000001,43.0000000000001 71.0000000000001,42.0000000000001 71.0000000000001)))', '71.5', '71', '43', '42', '71K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 71.5000000000001,42.0000000000001 72.0000000000001,43.0000000000001 72.0000000000001,43.0000000000001 71.5000000000001,42.0000000000001 71.5000000000001)))', '72', '71.5', '43', '42', '72K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 72.0000000000001,42.0000000000001 72.5000000000001,43.0000000000001 72.5000000000001,43.0000000000001 72.0000000000001,42.0000000000001 72.0000000000001)))', '72.5', '72', '43', '42', '73K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 72.5000000000001,42.0000000000001 73.0000000000001,43.0000000000001 73.0000000000001,43.0000000000001 72.5000000000001,42.0000000000001 72.5000000000001)))', '73', '72.5', '43', '42', '74K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 73.0000000000001,42.0000000000001 73.5000000000001,43.0000000000001 73.5000000000001,43.0000000000001 73.0000000000001,42.0000000000001 73.0000000000001)))', '73.5', '73', '43', '42', '75K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 73.5000000000001,42.0000000000001 74.0000000000001,43.0000000000001 74.0000000000001,43.0000000000001 73.5000000000001,42.0000000000001 73.5000000000001)))', '74', '73.5', '43', '42', '76K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 74.0000000000001,42.0000000000001 74.5000000000001,43.0000000000001 74.5000000000001,43.0000000000001 74.0000000000001,42.0000000000001 74.0000000000001)))', '74.5', '74', '43', '42', '77K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 74.5000000000001,42.0000000000001 75.0000000000001,43.0000000000001 75.0000000000001,43.0000000000001 74.5000000000001,42.0000000000001 74.5000000000001)))', '75', '74.5', '43', '42', '78K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 75.0000000000001,42.0000000000001 75.5000000000001,43.0000000000001 75.5000000000001,43.0000000000001 75.0000000000001,42.0000000000001 75.0000000000001)))', '75.5', '75', '43', '42', '79K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 75.5000000000001,42.0000000000001 76.0000000000001,43.0000000000001 76.0000000000001,43.0000000000001 75.5000000000001,42.0000000000001 75.5000000000001)))', '76', '75.5', '43', '42', '80K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 76.0000000000001,42.0000000000001 76.5000000000001,43.0000000000001 76.5000000000001,43.0000000000001 76.0000000000001,42.0000000000001 76.0000000000001)))', '76.5', '76', '43', '42', '81K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 76.5000000000001,42.0000000000001 77.0000000000001,43.0000000000001 77.0000000000001,43.0000000000001 76.5000000000001,42.0000000000001 76.5000000000001)))', '77', '76.5', '43', '42', '82K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 77.0000000000001,42.0000000000001 77.5000000000001,43.0000000000001 77.5000000000001,43.0000000000001 77.0000000000001,42.0000000000001 77.0000000000001)))', '77.5', '77', '43', '42', '83K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 77.5000000000001,42.0000000000001 78.0000000000001,43.0000000000001 78.0000000000001,43.0000000000001 77.5000000000001,42.0000000000001 77.5000000000001)))', '78', '77.5', '43', '42', '84K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 78.0000000000001,42.0000000000001 78.5000000000001,43.0000000000001 78.5000000000001,43.0000000000001 78.0000000000001,42.0000000000001 78.0000000000001)))', '78.5', '78', '43', '42', '85K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 78.5000000000001,42.0000000000001 79.0000000000001,43.0000000000001 79.0000000000001,43.0000000000001 78.5000000000001,42.0000000000001 78.5000000000001)))', '79', '78.5', '43', '42', '86K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 79.0000000000001,42.0000000000001 79.5000000000001,43.0000000000001 79.5000000000001,43.0000000000001 79.0000000000001,42.0000000000001 79.0000000000001)))', '79.5', '79', '43', '42', '87K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 79.5000000000001,42.0000000000001 80.0000000000001,43.0000000000001 80.0000000000001,43.0000000000001 79.5000000000001,42.0000000000001 79.5000000000001)))', '80', '79.5', '43', '42', '88K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 80.0000000000001,42.0000000000001 80.5000000000001,43.0000000000001 80.5000000000001,43.0000000000001 80.0000000000001,42.0000000000001 80.0000000000001)))', '80.5', '80', '43', '42', '89K2', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((42.0000000000001 80.5000000000001,42.0000000000001 81.0000000000001,43.0000000000001 81.0000000000001,43.0000000000001 80.5000000000001,42.0000000000001 80.5000000000001)))', '81', '80.5', '43', '42', '90K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 81.0000000000001,42.0000000000001 81.5000000000001,43.0000000000001 81.5000000000001,43.0000000000001 81.0000000000001,42.0000000000001 81.0000000000001)))', '81.5', '81', '43', '42', '91K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 81.5000000000001,42.0000000000001 82.0000000000001,43.0000000000001 82.0000000000001,43.0000000000001 81.5000000000001,42.0000000000001 81.5000000000001)))', '82', '81.5', '43', '42', '92K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 82.0000000000001,42.0000000000001 82.5000000000001,43.0000000000001 82.5000000000001,43.0000000000001 82.0000000000001,42.0000000000001 82.0000000000001)))', '82.5', '82', '43', '42', '93K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 82.5000000000001,42.0000000000001 83.0000000000001,43.0000000000001 83.0000000000001,43.0000000000001 82.5000000000001,42.0000000000001 82.5000000000001)))', '83', '82.5', '43', '42', '94K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 83.0000000000001,42.0000000000001 83.5000000000001,43.0000000000001 83.5000000000001,43.0000000000001 83.0000000000001,42.0000000000001 83.0000000000001)))', '83.5', '83', '43', '42', '95K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 83.5000000000001,42.0000000000001 84.0000000000001,43.0000000000001 84.0000000000001,43.0000000000001 83.5000000000001,42.0000000000001 83.5000000000001)))', '84', '83.5', '43', '42', '96K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 84.0000000000001,42.0000000000001 84.5000000000001,43.0000000000001 84.5000000000001,43.0000000000001 84.0000000000001,42.0000000000001 84.0000000000001)))', '84.5', '84', '43', '42', '97K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((42.0000000000001 84.5000000000001,42.0000000000001 85.0000000000001,43.0000000000001 85.0000000000001,43.0000000000001 84.5000000000001,42.0000000000001 84.5000000000001)))', '85', '84.5', '43', '42', '98K2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 66.0000000000001,43.0000000000001 66.5000000000001,44.0000000000001 66.5000000000001,44.0000000000001 66.0000000000001,43.0000000000001 66.0000000000001)))', '66.5', '66', '44', '43', '61K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 66.5000000000001,43.0000000000001 67.0000000000001,44.0000000000001 67.0000000000001,44.0000000000001 66.5000000000001,43.0000000000001 66.5000000000001)))', '67', '66.5', '44', '43', '62K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 67.0000000000001,43.0000000000001 67.5000000000001,44.0000000000001 67.5000000000001,44.0000000000001 67.0000000000001,43.0000000000001 67.0000000000001)))', '67.5', '67', '44', '43', '63K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 67.5000000000001,43.0000000000001 68.0000000000001,44.0000000000001 68.0000000000001,44.0000000000001 67.5000000000001,43.0000000000001 67.5000000000001)))', '68', '67.5', '44', '43', '64K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 68.0000000000001,43.0000000000001 68.5000000000001,44.0000000000001 68.5000000000001,44.0000000000001 68.0000000000001,43.0000000000001 68.0000000000001)))', '68.5', '68', '44', '43', '65K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 68.5000000000001,43.0000000000001 69.0000000000001,44.0000000000001 69.0000000000001,44.0000000000001 68.5000000000001,43.0000000000001 68.5000000000001)))', '69', '68.5', '44', '43', '66K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 69.0000000000001,43.0000000000001 69.5000000000001,44.0000000000001 69.5000000000001,44.0000000000001 69.0000000000001,43.0000000000001 69.0000000000001)))', '69.5', '69', '44', '43', '67K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 69.5000000000001,43.0000000000001 70.0000000000001,44.0000000000001 70.0000000000001,44.0000000000001 69.5000000000001,43.0000000000001 69.5000000000001)))', '70', '69.5', '44', '43', '68K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 70.0000000000001,43.0000000000001 70.5000000000001,44.0000000000001 70.5000000000001,44.0000000000001 70.0000000000001,43.0000000000001 70.0000000000001)))', '70.5', '70', '44', '43', '69K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 70.5000000000001,43.0000000000001 71.0000000000001,44.0000000000001 71.0000000000001,44.0000000000001 70.5000000000001,43.0000000000001 70.5000000000001)))', '71', '70.5', '44', '43', '70K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 71.0000000000001,43.0000000000001 71.5000000000001,44.0000000000001 71.5000000000001,44.0000000000001 71.0000000000001,43.0000000000001 71.0000000000001)))', '71.5', '71', '44', '43', '71K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 71.5000000000001,43.0000000000001 72.0000000000001,44.0000000000001 72.0000000000001,44.0000000000001 71.5000000000001,43.0000000000001 71.5000000000001)))', '72', '71.5', '44', '43', '72K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 72.0000000000001,43.0000000000001 72.5000000000001,44.0000000000001 72.5000000000001,44.0000000000001 72.0000000000001,43.0000000000001 72.0000000000001)))', '72.5', '72', '44', '43', '73K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 72.5000000000001,43.0000000000001 73.0000000000001,44.0000000000001 73.0000000000001,44.0000000000001 72.5000000000001,43.0000000000001 72.5000000000001)))', '73', '72.5', '44', '43', '74K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 73.0000000000001,43.0000000000001 73.5000000000001,44.0000000000001 73.5000000000001,44.0000000000001 73.0000000000001,43.0000000000001 73.0000000000001)))', '73.5', '73', '44', '43', '75K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 73.5000000000001,43.0000000000001 74.0000000000001,44.0000000000001 74.0000000000001,44.0000000000001 73.5000000000001,43.0000000000001 73.5000000000001)))', '74', '73.5', '44', '43', '76K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 74.0000000000001,43.0000000000001 74.5000000000001,44.0000000000001 74.5000000000001,44.0000000000001 74.0000000000001,43.0000000000001 74.0000000000001)))', '74.5', '74', '44', '43', '77K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 74.5000000000001,43.0000000000001 75.0000000000001,44.0000000000001 75.0000000000001,44.0000000000001 74.5000000000001,43.0000000000001 74.5000000000001)))', '75', '74.5', '44', '43', '78K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 75.0000000000001,43.0000000000001 75.5000000000001,44.0000000000001 75.5000000000001,44.0000000000001 75.0000000000001,43.0000000000001 75.0000000000001)))', '75.5', '75', '44', '43', '79K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 75.5000000000001,43.0000000000001 76.0000000000001,44.0000000000001 76.0000000000001,44.0000000000001 75.5000000000001,43.0000000000001 75.5000000000001)))', '76', '75.5', '44', '43', '80K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 76.0000000000001,43.0000000000001 76.5000000000001,44.0000000000001 76.5000000000001,44.0000000000001 76.0000000000001,43.0000000000001 76.0000000000001)))', '76.5', '76', '44', '43', '81K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 76.5000000000001,43.0000000000001 77.0000000000001,44.0000000000001 77.0000000000001,44.0000000000001 76.5000000000001,43.0000000000001 76.5000000000001)))', '77', '76.5', '44', '43', '82K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 77.0000000000001,43.0000000000001 77.5000000000001,44.0000000000001 77.5000000000001,44.0000000000001 77.0000000000001,43.0000000000001 77.0000000000001)))', '77.5', '77', '44', '43', '83K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 77.5000000000001,43.0000000000001 78.0000000000001,44.0000000000001 78.0000000000001,44.0000000000001 77.5000000000001,43.0000000000001 77.5000000000001)))', '78', '77.5', '44', '43', '84K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 78.0000000000001,43.0000000000001 78.5000000000001,44.0000000000001 78.5000000000001,44.0000000000001 78.0000000000001,43.0000000000001 78.0000000000001)))', '78.5', '78', '44', '43', '85K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 78.5000000000001,43.0000000000001 79.0000000000001,44.0000000000001 79.0000000000001,44.0000000000001 78.5000000000001,43.0000000000001 78.5000000000001)))', '79', '78.5', '44', '43', '86K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 79.0000000000001,43.0000000000001 79.5000000000001,44.0000000000001 79.5000000000001,44.0000000000001 79.0000000000001,43.0000000000001 79.0000000000001)))', '79.5', '79', '44', '43', '87K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 79.5000000000001,43.0000000000001 80.0000000000001,44.0000000000001 80.0000000000001,44.0000000000001 79.5000000000001,43.0000000000001 79.5000000000001)))', '80', '79.5', '44', '43', '88K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 80.0000000000001,43.0000000000001 80.5000000000001,44.0000000000001 80.5000000000001,44.0000000000001 80.0000000000001,43.0000000000001 80.0000000000001)))', '80.5', '80', '44', '43', '89K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 80.5000000000001,43.0000000000001 81.0000000000001,44.0000000000001 81.0000000000001,44.0000000000001 80.5000000000001,43.0000000000001 80.5000000000001)))', '81', '80.5', '44', '43', '90K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 81.0000000000001,43.0000000000001 81.5000000000001,44.0000000000001 81.5000000000001,44.0000000000001 81.0000000000001,43.0000000000001 81.0000000000001)))', '81.5', '81', '44', '43', '91K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 81.5000000000001,43.0000000000001 82.0000000000001,44.0000000000001 82.0000000000001,44.0000000000001 81.5000000000001,43.0000000000001 81.5000000000001)))', '82', '81.5', '44', '43', '92K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 82.0000000000001,43.0000000000001 82.5000000000001,44.0000000000001 82.5000000000001,44.0000000000001 82.0000000000001,43.0000000000001 82.0000000000001)))', '82.5', '82', '44', '43', '93K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 82.5000000000001,43.0000000000001 83.0000000000001,44.0000000000001 83.0000000000001,44.0000000000001 82.5000000000001,43.0000000000001 82.5000000000001)))', '83', '82.5', '44', '43', '94K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 83.0000000000001,43.0000000000001 83.5000000000001,44.0000000000001 83.5000000000001,44.0000000000001 83.0000000000001,43.0000000000001 83.0000000000001)))', '83.5', '83', '44', '43', '95K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 83.5000000000001,43.0000000000001 84.0000000000001,44.0000000000001 84.0000000000001,44.0000000000001 83.5000000000001,43.0000000000001 83.5000000000001)))', '84', '83.5', '44', '43', '96K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 84.0000000000001,43.0000000000001 84.5000000000001,44.0000000000001 84.5000000000001,44.0000000000001 84.0000000000001,43.0000000000001 84.0000000000001)))', '84.5', '84', '44', '43', '97K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((43.0000000000001 84.5000000000001,43.0000000000001 85.0000000000001,44.0000000000001 85.0000000000001,44.0000000000001 84.5000000000001,43.0000000000001 84.5000000000001)))', '85', '84.5', '44', '43', '98K3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 65.5000000000001,44.0000000000001 66.0000000000001,45.0000000000001 66.0000000000001,45.0000000000001 65.5000000000001,44.0000000000001 65.5000000000001)))', '66', '65.5', '45', '44', '60K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 66.0000000000001,44.0000000000001 66.5000000000001,45.0000000000001 66.5000000000001,45.0000000000001 66.0000000000001,44.0000000000001 66.0000000000001)))', '66.5', '66', '45', '44', '61K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 66.5000000000001,44.0000000000001 67.0000000000001,45.0000000000001 67.0000000000001,45.0000000000001 66.5000000000001,44.0000000000001 66.5000000000001)))', '67', '66.5', '45', '44', '62K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 67.0000000000001,44.0000000000001 67.5000000000001,45.0000000000001 67.5000000000001,45.0000000000001 67.0000000000001,44.0000000000001 67.0000000000001)))', '67.5', '67', '45', '44', '63K4', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((44.0000000000001 67.5000000000001,44.0000000000001 68.0000000000001,45.0000000000001 68.0000000000001,45.0000000000001 67.5000000000001,44.0000000000001 67.5000000000001)))', '68', '67.5', '45', '44', '64K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 68.0000000000001,44.0000000000001 68.5000000000001,45.0000000000001 68.5000000000001,45.0000000000001 68.0000000000001,44.0000000000001 68.0000000000001)))', '68.5', '68', '45', '44', '65K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 68.5000000000001,44.0000000000001 69.0000000000001,45.0000000000001 69.0000000000001,45.0000000000001 68.5000000000001,44.0000000000001 68.5000000000001)))', '69', '68.5', '45', '44', '66K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 69.0000000000001,44.0000000000001 69.5000000000001,45.0000000000001 69.5000000000001,45.0000000000001 69.0000000000001,44.0000000000001 69.0000000000001)))', '69.5', '69', '45', '44', '67K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 69.5000000000001,44.0000000000001 70.0000000000001,45.0000000000001 70.0000000000001,45.0000000000001 69.5000000000001,44.0000000000001 69.5000000000001)))', '70', '69.5', '45', '44', '68K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 70.0000000000001,44.0000000000001 70.5000000000001,45.0000000000001 70.5000000000001,45.0000000000001 70.0000000000001,44.0000000000001 70.0000000000001)))', '70.5', '70', '45', '44', '69K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 70.5000000000001,44.0000000000001 71.0000000000001,45.0000000000001 71.0000000000001,45.0000000000001 70.5000000000001,44.0000000000001 70.5000000000001)))', '71', '70.5', '45', '44', '70K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 71.0000000000001,44.0000000000001 71.5000000000001,45.0000000000001 71.5000000000001,45.0000000000001 71.0000000000001,44.0000000000001 71.0000000000001)))', '71.5', '71', '45', '44', '71K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 71.5000000000001,44.0000000000001 72.0000000000001,45.0000000000001 72.0000000000001,45.0000000000001 71.5000000000001,44.0000000000001 71.5000000000001)))', '72', '71.5', '45', '44', '72K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 72.0000000000001,44.0000000000001 72.5000000000001,45.0000000000001 72.5000000000001,45.0000000000001 72.0000000000001,44.0000000000001 72.0000000000001)))', '72.5', '72', '45', '44', '73K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 72.5000000000001,44.0000000000001 73.0000000000001,45.0000000000001 73.0000000000001,45.0000000000001 72.5000000000001,44.0000000000001 72.5000000000001)))', '73', '72.5', '45', '44', '74K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 73.0000000000001,44.0000000000001 73.5000000000001,45.0000000000001 73.5000000000001,45.0000000000001 73.0000000000001,44.0000000000001 73.0000000000001)))', '73.5', '73', '45', '44', '75K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 73.5000000000001,44.0000000000001 74.0000000000001,45.0000000000001 74.0000000000001,45.0000000000001 73.5000000000001,44.0000000000001 73.5000000000001)))', '74', '73.5', '45', '44', '76K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 74.0000000000001,44.0000000000001 74.5000000000001,45.0000000000001 74.5000000000001,45.0000000000001 74.0000000000001,44.0000000000001 74.0000000000001)))', '74.5', '74', '45', '44', '77K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 74.5000000000001,44.0000000000001 75.0000000000001,45.0000000000001 75.0000000000001,45.0000000000001 74.5000000000001,44.0000000000001 74.5000000000001)))', '75', '74.5', '45', '44', '78K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 75.0000000000001,44.0000000000001 75.5000000000001,45.0000000000001 75.5000000000001,45.0000000000001 75.0000000000001,44.0000000000001 75.0000000000001)))', '75.5', '75', '45', '44', '79K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 75.5000000000001,44.0000000000001 76.0000000000001,45.0000000000001 76.0000000000001,45.0000000000001 75.5000000000001,44.0000000000001 75.5000000000001)))', '76', '75.5', '45', '44', '80K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 76.0000000000001,44.0000000000001 76.5000000000001,45.0000000000001 76.5000000000001,45.0000000000001 76.0000000000001,44.0000000000001 76.0000000000001)))', '76.5', '76', '45', '44', '81K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 76.5000000000001,44.0000000000001 77.0000000000001,45.0000000000001 77.0000000000001,45.0000000000001 76.5000000000001,44.0000000000001 76.5000000000001)))', '77', '76.5', '45', '44', '82K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 77.0000000000001,44.0000000000001 77.5000000000001,45.0000000000001 77.5000000000001,45.0000000000001 77.0000000000001,44.0000000000001 77.0000000000001)))', '77.5', '77', '45', '44', '83K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 77.5000000000001,44.0000000000001 78.0000000000001,45.0000000000001 78.0000000000001,45.0000000000001 77.5000000000001,44.0000000000001 77.5000000000001)))', '78', '77.5', '45', '44', '84K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 78.0000000000001,44.0000000000001 78.5000000000001,45.0000000000001 78.5000000000001,45.0000000000001 78.0000000000001,44.0000000000001 78.0000000000001)))', '78.5', '78', '45', '44', '85K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 78.5000000000001,44.0000000000001 79.0000000000001,45.0000000000001 79.0000000000001,45.0000000000001 78.5000000000001,44.0000000000001 78.5000000000001)))', '79', '78.5', '45', '44', '86K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 79.0000000000001,44.0000000000001 79.5000000000001,45.0000000000001 79.5000000000001,45.0000000000001 79.0000000000001,44.0000000000001 79.0000000000001)))', '79.5', '79', '45', '44', '87K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 79.5000000000001,44.0000000000001 80.0000000000001,45.0000000000001 80.0000000000001,45.0000000000001 79.5000000000001,44.0000000000001 79.5000000000001)))', '80', '79.5', '45', '44', '88K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 80.0000000000001,44.0000000000001 80.5000000000001,45.0000000000001 80.5000000000001,45.0000000000001 80.0000000000001,44.0000000000001 80.0000000000001)))', '80.5', '80', '45', '44', '89K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 80.5000000000001,44.0000000000001 81.0000000000001,45.0000000000001 81.0000000000001,45.0000000000001 80.5000000000001,44.0000000000001 80.5000000000001)))', '81', '80.5', '45', '44', '90K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 81.0000000000001,44.0000000000001 81.5000000000001,45.0000000000001 81.5000000000001,45.0000000000001 81.0000000000001,44.0000000000001 81.0000000000001)))', '81.5', '81', '45', '44', '91K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 81.5000000000001,44.0000000000001 82.0000000000001,45.0000000000001 82.0000000000001,45.0000000000001 81.5000000000001,44.0000000000001 81.5000000000001)))', '82', '81.5', '45', '44', '92K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 82.0000000000001,44.0000000000001 82.5000000000001,45.0000000000001 82.5000000000001,45.0000000000001 82.0000000000001,44.0000000000001 82.0000000000001)))', '82.5', '82', '45', '44', '93K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 82.5000000000001,44.0000000000001 83.0000000000001,45.0000000000001 83.0000000000001,45.0000000000001 82.5000000000001,44.0000000000001 82.5000000000001)))', '83', '82.5', '45', '44', '94K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 83.0000000000001,44.0000000000001 83.5000000000001,45.0000000000001 83.5000000000001,45.0000000000001 83.0000000000001,44.0000000000001 83.0000000000001)))', '83.5', '83', '45', '44', '95K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 83.5000000000001,44.0000000000001 84.0000000000001,45.0000000000001 84.0000000000001,45.0000000000001 83.5000000000001,44.0000000000001 83.5000000000001)))', '84', '83.5', '45', '44', '96K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 84.0000000000001,44.0000000000001 84.5000000000001,45.0000000000001 84.5000000000001,45.0000000000001 84.0000000000001,44.0000000000001 84.0000000000001)))', '84.5', '84', '45', '44', '97K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((44.0000000000001 84.5000000000001,44.0000000000001 85.0000000000001,45.0000000000001 85.0000000000001,45.0000000000001 84.5000000000001,44.0000000000001 84.5000000000001)))', '85', '84.5', '45', '44', '98K4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 66.5000000000001,45.0000000000001 67.0000000000001,46.0000000000001 67.0000000000001,46.0000000000001 66.5000000000001,45.0000000000001 66.5000000000001)))', '67', '66.5', '46', '45', '62K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 67.0000000000001,45.0000000000001 67.5000000000001,46.0000000000001 67.5000000000001,46.0000000000001 67.0000000000001,45.0000000000001 67.0000000000001)))', '67.5', '67', '46', '45', '63K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 67.5000000000001,45.0000000000001 68.0000000000001,46.0000000000001 68.0000000000001,46.0000000000001 67.5000000000001,45.0000000000001 67.5000000000001)))', '68', '67.5', '46', '45', '64K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 68.0000000000001,45.0000000000001 68.5000000000001,46.0000000000001 68.5000000000001,46.0000000000001 68.0000000000001,45.0000000000001 68.0000000000001)))', '68.5', '68', '46', '45', '65K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 68.5000000000001,45.0000000000001 69.0000000000001,46.0000000000001 69.0000000000001,46.0000000000001 68.5000000000001,45.0000000000001 68.5000000000001)))', '69', '68.5', '46', '45', '66K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 69.0000000000001,45.0000000000001 69.5000000000001,46.0000000000001 69.5000000000001,46.0000000000001 69.0000000000001,45.0000000000001 69.0000000000001)))', '69.5', '69', '46', '45', '67K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 69.5000000000001,45.0000000000001 70.0000000000001,46.0000000000001 70.0000000000001,46.0000000000001 69.5000000000001,45.0000000000001 69.5000000000001)))', '70', '69.5', '46', '45', '68K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 70.0000000000001,45.0000000000001 70.5000000000001,46.0000000000001 70.5000000000001,46.0000000000001 70.0000000000001,45.0000000000001 70.0000000000001)))', '70.5', '70', '46', '45', '69K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 70.5000000000001,45.0000000000001 71.0000000000001,46.0000000000001 71.0000000000001,46.0000000000001 70.5000000000001,45.0000000000001 70.5000000000001)))', '71', '70.5', '46', '45', '70K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 71.0000000000001,45.0000000000001 71.5000000000001,46.0000000000001 71.5000000000001,46.0000000000001 71.0000000000001,45.0000000000001 71.0000000000001)))', '71.5', '71', '46', '45', '71K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 71.5000000000001,45.0000000000001 72.0000000000001,46.0000000000001 72.0000000000001,46.0000000000001 71.5000000000001,45.0000000000001 71.5000000000001)))', '72', '71.5', '46', '45', '72K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 72.0000000000001,45.0000000000001 72.5000000000001,46.0000000000001 72.5000000000001,46.0000000000001 72.0000000000001,45.0000000000001 72.0000000000001)))', '72.5', '72', '46', '45', '73K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 72.5000000000001,45.0000000000001 73.0000000000001,46.0000000000001 73.0000000000001,46.0000000000001 72.5000000000001,45.0000000000001 72.5000000000001)))', '73', '72.5', '46', '45', '74K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 73.0000000000001,45.0000000000001 73.5000000000001,46.0000000000001 73.5000000000001,46.0000000000001 73.0000000000001,45.0000000000001 73.0000000000001)))', '73.5', '73', '46', '45', '75K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 73.5000000000001,45.0000000000001 74.0000000000001,46.0000000000001 74.0000000000001,46.0000000000001 73.5000000000001,45.0000000000001 73.5000000000001)))', '74', '73.5', '46', '45', '76K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 74.0000000000001,45.0000000000001 74.5000000000001,46.0000000000001 74.5000000000001,46.0000000000001 74.0000000000001,45.0000000000001 74.0000000000001)))', '74.5', '74', '46', '45', '77K5', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((45.0000000000001 74.5000000000001,45.0000000000001 75.0000000000001,46.0000000000001 75.0000000000001,46.0000000000001 74.5000000000001,45.0000000000001 74.5000000000001)))', '75', '74.5', '46', '45', '78K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 75.0000000000001,45.0000000000001 75.5000000000001,46.0000000000001 75.5000000000001,46.0000000000001 75.0000000000001,45.0000000000001 75.0000000000001)))', '75.5', '75', '46', '45', '79K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 75.5000000000001,45.0000000000001 76.0000000000001,46.0000000000001 76.0000000000001,46.0000000000001 75.5000000000001,45.0000000000001 75.5000000000001)))', '76', '75.5', '46', '45', '80K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 76.0000000000001,45.0000000000001 76.5000000000001,46.0000000000001 76.5000000000001,46.0000000000001 76.0000000000001,45.0000000000001 76.0000000000001)))', '76.5', '76', '46', '45', '81K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 76.5000000000001,45.0000000000001 77.0000000000001,46.0000000000001 77.0000000000001,46.0000000000001 76.5000000000001,45.0000000000001 76.5000000000001)))', '77', '76.5', '46', '45', '82K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 77.0000000000001,45.0000000000001 77.5000000000001,46.0000000000001 77.5000000000001,46.0000000000001 77.0000000000001,45.0000000000001 77.0000000000001)))', '77.5', '77', '46', '45', '83K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 77.5000000000001,45.0000000000001 78.0000000000001,46.0000000000001 78.0000000000001,46.0000000000001 77.5000000000001,45.0000000000001 77.5000000000001)))', '78', '77.5', '46', '45', '84K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 78.0000000000001,45.0000000000001 78.5000000000001,46.0000000000001 78.5000000000001,46.0000000000001 78.0000000000001,45.0000000000001 78.0000000000001)))', '78.5', '78', '46', '45', '85K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 78.5000000000001,45.0000000000001 79.0000000000001,46.0000000000001 79.0000000000001,46.0000000000001 78.5000000000001,45.0000000000001 78.5000000000001)))', '79', '78.5', '46', '45', '86K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 79.0000000000001,45.0000000000001 79.5000000000001,46.0000000000001 79.5000000000001,46.0000000000001 79.0000000000001,45.0000000000001 79.0000000000001)))', '79.5', '79', '46', '45', '87K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 79.5000000000001,45.0000000000001 80.0000000000001,46.0000000000001 80.0000000000001,46.0000000000001 79.5000000000001,45.0000000000001 79.5000000000001)))', '80', '79.5', '46', '45', '88K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 80.0000000000001,45.0000000000001 80.5000000000001,46.0000000000001 80.5000000000001,46.0000000000001 80.0000000000001,45.0000000000001 80.0000000000001)))', '80.5', '80', '46', '45', '89K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 80.5000000000001,45.0000000000001 81.0000000000001,46.0000000000001 81.0000000000001,46.0000000000001 80.5000000000001,45.0000000000001 80.5000000000001)))', '81', '80.5', '46', '45', '90K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 81.0000000000001,45.0000000000001 81.5000000000001,46.0000000000001 81.5000000000001,46.0000000000001 81.0000000000001,45.0000000000001 81.0000000000001)))', '81.5', '81', '46', '45', '91K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 81.5000000000001,45.0000000000001 82.0000000000001,46.0000000000001 82.0000000000001,46.0000000000001 81.5000000000001,45.0000000000001 81.5000000000001)))', '82', '81.5', '46', '45', '92K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 82.0000000000001,45.0000000000001 82.5000000000001,46.0000000000001 82.5000000000001,46.0000000000001 82.0000000000001,45.0000000000001 82.0000000000001)))', '82.5', '82', '46', '45', '93K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 82.5000000000001,45.0000000000001 83.0000000000001,46.0000000000001 83.0000000000001,46.0000000000001 82.5000000000001,45.0000000000001 82.5000000000001)))', '83', '82.5', '46', '45', '94K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 83.0000000000001,45.0000000000001 83.5000000000001,46.0000000000001 83.5000000000001,46.0000000000001 83.0000000000001,45.0000000000001 83.0000000000001)))', '83.5', '83', '46', '45', '95K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 83.5000000000001,45.0000000000001 84.0000000000001,46.0000000000001 84.0000000000001,46.0000000000001 83.5000000000001,45.0000000000001 83.5000000000001)))', '84', '83.5', '46', '45', '96K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 84.0000000000001,45.0000000000001 84.5000000000001,46.0000000000001 84.5000000000001,46.0000000000001 84.0000000000001,45.0000000000001 84.0000000000001)))', '84.5', '84', '46', '45', '97K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((45.0000000000001 84.5000000000001,45.0000000000001 85.0000000000001,46.0000000000001 85.0000000000001,46.0000000000001 84.5000000000001,45.0000000000001 84.5000000000001)))', '85', '84.5', '46', '45', '98K5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 66.5000000000001,46.0000000000001 67.0000000000001,47.0000000000001 67.0000000000001,47.0000000000001 66.5000000000001,46.0000000000001 66.5000000000001)))', '67', '66.5', '47', '46', '62K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 67.0000000000001,46.0000000000001 67.5000000000001,47.0000000000001 67.5000000000001,47.0000000000001 67.0000000000001,46.0000000000001 67.0000000000001)))', '67.5', '67', '47', '46', '63K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 67.5000000000001,46.0000000000001 68.0000000000001,47.0000000000001 68.0000000000001,47.0000000000001 67.5000000000001,46.0000000000001 67.5000000000001)))', '68', '67.5', '47', '46', '64K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 68.0000000000001,46.0000000000001 68.5000000000001,47.0000000000001 68.5000000000001,47.0000000000001 68.0000000000001,46.0000000000001 68.0000000000001)))', '68.5', '68', '47', '46', '65K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 68.5000000000001,46.0000000000001 69.0000000000001,47.0000000000001 69.0000000000001,47.0000000000001 68.5000000000001,46.0000000000001 68.5000000000001)))', '69', '68.5', '47', '46', '66K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 69.0000000000001,46.0000000000001 69.5000000000001,47.0000000000001 69.5000000000001,47.0000000000001 69.0000000000001,46.0000000000001 69.0000000000001)))', '69.5', '69', '47', '46', '67K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 69.5000000000001,46.0000000000001 70.0000000000001,47.0000000000001 70.0000000000001,47.0000000000001 69.5000000000001,46.0000000000001 69.5000000000001)))', '70', '69.5', '47', '46', '68K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 70.0000000000001,46.0000000000001 70.5000000000001,47.0000000000001 70.5000000000001,47.0000000000001 70.0000000000001,46.0000000000001 70.0000000000001)))', '70.5', '70', '47', '46', '69K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 70.5000000000001,46.0000000000001 71.0000000000001,47.0000000000001 71.0000000000001,47.0000000000001 70.5000000000001,46.0000000000001 70.5000000000001)))', '71', '70.5', '47', '46', '70K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 71.0000000000001,46.0000000000001 71.5000000000001,47.0000000000001 71.5000000000001,47.0000000000001 71.0000000000001,46.0000000000001 71.0000000000001)))', '71.5', '71', '47', '46', '71K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 71.5000000000001,46.0000000000001 72.0000000000001,47.0000000000001 72.0000000000001,47.0000000000001 71.5000000000001,46.0000000000001 71.5000000000001)))', '72', '71.5', '47', '46', '72K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 72.0000000000001,46.0000000000001 72.5000000000001,47.0000000000001 72.5000000000001,47.0000000000001 72.0000000000001,46.0000000000001 72.0000000000001)))', '72.5', '72', '47', '46', '73K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 72.5000000000001,46.0000000000001 73.0000000000001,47.0000000000001 73.0000000000001,47.0000000000001 72.5000000000001,46.0000000000001 72.5000000000001)))', '73', '72.5', '47', '46', '74K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 73.0000000000001,46.0000000000001 73.5000000000001,47.0000000000001 73.5000000000001,47.0000000000001 73.0000000000001,46.0000000000001 73.0000000000001)))', '73.5', '73', '47', '46', '75K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 73.5000000000001,46.0000000000001 74.0000000000001,47.0000000000001 74.0000000000001,47.0000000000001 73.5000000000001,46.0000000000001 73.5000000000001)))', '74', '73.5', '47', '46', '76K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 74.0000000000001,46.0000000000001 74.5000000000001,47.0000000000001 74.5000000000001,47.0000000000001 74.0000000000001,46.0000000000001 74.0000000000001)))', '74.5', '74', '47', '46', '77K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 74.5000000000001,46.0000000000001 75.0000000000001,47.0000000000001 75.0000000000001,47.0000000000001 74.5000000000001,46.0000000000001 74.5000000000001)))', '75', '74.5', '47', '46', '78K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 75.0000000000001,46.0000000000001 75.5000000000001,47.0000000000001 75.5000000000001,47.0000000000001 75.0000000000001,46.0000000000001 75.0000000000001)))', '75.5', '75', '47', '46', '79K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 75.5000000000001,46.0000000000001 76.0000000000001,47.0000000000001 76.0000000000001,47.0000000000001 75.5000000000001,46.0000000000001 75.5000000000001)))', '76', '75.5', '47', '46', '80K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 76.0000000000001,46.0000000000001 76.5000000000001,47.0000000000001 76.5000000000001,47.0000000000001 76.0000000000001,46.0000000000001 76.0000000000001)))', '76.5', '76', '47', '46', '81K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 76.5000000000001,46.0000000000001 77.0000000000001,47.0000000000001 77.0000000000001,47.0000000000001 76.5000000000001,46.0000000000001 76.5000000000001)))', '77', '76.5', '47', '46', '82K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 77.0000000000001,46.0000000000001 77.5000000000001,47.0000000000001 77.5000000000001,47.0000000000001 77.0000000000001,46.0000000000001 77.0000000000001)))', '77.5', '77', '47', '46', '83K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 77.5000000000001,46.0000000000001 78.0000000000001,47.0000000000001 78.0000000000001,47.0000000000001 77.5000000000001,46.0000000000001 77.5000000000001)))', '78', '77.5', '47', '46', '84K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 78.0000000000001,46.0000000000001 78.5000000000001,47.0000000000001 78.5000000000001,47.0000000000001 78.0000000000001,46.0000000000001 78.0000000000001)))', '78.5', '78', '47', '46', '85K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 78.5000000000001,46.0000000000001 79.0000000000001,47.0000000000001 79.0000000000001,47.0000000000001 78.5000000000001,46.0000000000001 78.5000000000001)))', '79', '78.5', '47', '46', '86K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 79.0000000000001,46.0000000000001 79.5000000000001,47.0000000000001 79.5000000000001,47.0000000000001 79.0000000000001,46.0000000000001 79.0000000000001)))', '79.5', '79', '47', '46', '87K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 79.5000000000001,46.0000000000001 80.0000000000001,47.0000000000001 80.0000000000001,47.0000000000001 79.5000000000001,46.0000000000001 79.5000000000001)))', '80', '79.5', '47', '46', '88K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 80.0000000000001,46.0000000000001 80.5000000000001,47.0000000000001 80.5000000000001,47.0000000000001 80.0000000000001,46.0000000000001 80.0000000000001)))', '80.5', '80', '47', '46', '89K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 80.5000000000001,46.0000000000001 81.0000000000001,47.0000000000001 81.0000000000001,47.0000000000001 80.5000000000001,46.0000000000001 80.5000000000001)))', '81', '80.5', '47', '46', '90K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 81.0000000000001,46.0000000000001 81.5000000000001,47.0000000000001 81.5000000000001,47.0000000000001 81.0000000000001,46.0000000000001 81.0000000000001)))', '81.5', '81', '47', '46', '91K6', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((46.0000000000001 81.5000000000001,46.0000000000001 82.0000000000001,47.0000000000001 82.0000000000001,47.0000000000001 81.5000000000001,46.0000000000001 81.5000000000001)))', '82', '81.5', '47', '46', '92K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 82.0000000000001,46.0000000000001 82.5000000000001,47.0000000000001 82.5000000000001,47.0000000000001 82.0000000000001,46.0000000000001 82.0000000000001)))', '82.5', '82', '47', '46', '93K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 82.5000000000001,46.0000000000001 83.0000000000001,47.0000000000001 83.0000000000001,47.0000000000001 82.5000000000001,46.0000000000001 82.5000000000001)))', '83', '82.5', '47', '46', '94K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 83.0000000000001,46.0000000000001 83.5000000000001,47.0000000000001 83.5000000000001,47.0000000000001 83.0000000000001,46.0000000000001 83.0000000000001)))', '83.5', '83', '47', '46', '95K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 83.5000000000001,46.0000000000001 84.0000000000001,47.0000000000001 84.0000000000001,47.0000000000001 83.5000000000001,46.0000000000001 83.5000000000001)))', '84', '83.5', '47', '46', '96K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 84.0000000000001,46.0000000000001 84.5000000000001,47.0000000000001 84.5000000000001,47.0000000000001 84.0000000000001,46.0000000000001 84.0000000000001)))', '84.5', '84', '47', '46', '97K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((46.0000000000001 84.5000000000001,46.0000000000001 85.0000000000001,47.0000000000001 85.0000000000001,47.0000000000001 84.5000000000001,46.0000000000001 84.5000000000001)))', '85', '84.5', '47', '46', '98K6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 66.5000000000001,47.0000000000001 67.0000000000001,48.0000000000001 67.0000000000001,48.0000000000001 66.5000000000001,47.0000000000001 66.5000000000001)))', '67', '66.5', '48', '47', '62K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 67.0000000000001,47.0000000000001 67.5000000000001,48.0000000000001 67.5000000000001,48.0000000000001 67.0000000000001,47.0000000000001 67.0000000000001)))', '67.5', '67', '48', '47', '63K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 67.5000000000001,47.0000000000001 68.0000000000001,48.0000000000001 68.0000000000001,48.0000000000001 67.5000000000001,47.0000000000001 67.5000000000001)))', '68', '67.5', '48', '47', '64K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 68.0000000000001,47.0000000000001 68.5000000000001,48.0000000000001 68.5000000000001,48.0000000000001 68.0000000000001,47.0000000000001 68.0000000000001)))', '68.5', '68', '48', '47', '65K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 68.5000000000001,47.0000000000001 69.0000000000001,48.0000000000001 69.0000000000001,48.0000000000001 68.5000000000001,47.0000000000001 68.5000000000001)))', '69', '68.5', '48', '47', '66K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 69.0000000000001,47.0000000000001 69.5000000000001,48.0000000000001 69.5000000000001,48.0000000000001 69.0000000000001,47.0000000000001 69.0000000000001)))', '69.5', '69', '48', '47', '67K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 69.5000000000001,47.0000000000001 70.0000000000001,48.0000000000001 70.0000000000001,48.0000000000001 69.5000000000001,47.0000000000001 69.5000000000001)))', '70', '69.5', '48', '47', '68K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 70.0000000000001,47.0000000000001 70.5000000000001,48.0000000000001 70.5000000000001,48.0000000000001 70.0000000000001,47.0000000000001 70.0000000000001)))', '70.5', '70', '48', '47', '69K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 70.5000000000001,47.0000000000001 71.0000000000001,48.0000000000001 71.0000000000001,48.0000000000001 70.5000000000001,47.0000000000001 70.5000000000001)))', '71', '70.5', '48', '47', '70K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 71.0000000000001,47.0000000000001 71.5000000000001,48.0000000000001 71.5000000000001,48.0000000000001 71.0000000000001,47.0000000000001 71.0000000000001)))', '71.5', '71', '48', '47', '71K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 71.5000000000001,47.0000000000001 72.0000000000001,48.0000000000001 72.0000000000001,48.0000000000001 71.5000000000001,47.0000000000001 71.5000000000001)))', '72', '71.5', '48', '47', '72K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 72.0000000000001,47.0000000000001 72.5000000000001,48.0000000000001 72.5000000000001,48.0000000000001 72.0000000000001,47.0000000000001 72.0000000000001)))', '72.5', '72', '48', '47', '73K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 72.5000000000001,47.0000000000001 73.0000000000001,48.0000000000001 73.0000000000001,48.0000000000001 72.5000000000001,47.0000000000001 72.5000000000001)))', '73', '72.5', '48', '47', '74K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 73.0000000000001,47.0000000000001 73.5000000000001,48.0000000000001 73.5000000000001,48.0000000000001 73.0000000000001,47.0000000000001 73.0000000000001)))', '73.5', '73', '48', '47', '75K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 73.5000000000001,47.0000000000001 74.0000000000001,48.0000000000001 74.0000000000001,48.0000000000001 73.5000000000001,47.0000000000001 73.5000000000001)))', '74', '73.5', '48', '47', '76K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 74.0000000000001,47.0000000000001 74.5000000000001,48.0000000000001 74.5000000000001,48.0000000000001 74.0000000000001,47.0000000000001 74.0000000000001)))', '74.5', '74', '48', '47', '77K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 74.5000000000001,47.0000000000001 75.0000000000001,48.0000000000001 75.0000000000001,48.0000000000001 74.5000000000001,47.0000000000001 74.5000000000001)))', '75', '74.5', '48', '47', '78K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 75.0000000000001,47.0000000000001 75.5000000000001,48.0000000000001 75.5000000000001,48.0000000000001 75.0000000000001,47.0000000000001 75.0000000000001)))', '75.5', '75', '48', '47', '79K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 75.5000000000001,47.0000000000001 76.0000000000001,48.0000000000001 76.0000000000001,48.0000000000001 75.5000000000001,47.0000000000001 75.5000000000001)))', '76', '75.5', '48', '47', '80K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 76.0000000000001,47.0000000000001 76.5000000000001,48.0000000000001 76.5000000000001,48.0000000000001 76.0000000000001,47.0000000000001 76.0000000000001)))', '76.5', '76', '48', '47', '81K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 76.5000000000001,47.0000000000001 77.0000000000001,48.0000000000001 77.0000000000001,48.0000000000001 76.5000000000001,47.0000000000001 76.5000000000001)))', '77', '76.5', '48', '47', '82K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 77.0000000000001,47.0000000000001 77.5000000000001,48.0000000000001 77.5000000000001,48.0000000000001 77.0000000000001,47.0000000000001 77.0000000000001)))', '77.5', '77', '48', '47', '83K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 77.5000000000001,47.0000000000001 78.0000000000001,48.0000000000001 78.0000000000001,48.0000000000001 77.5000000000001,47.0000000000001 77.5000000000001)))', '78', '77.5', '48', '47', '84K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 78.0000000000001,47.0000000000001 78.5000000000001,48.0000000000001 78.5000000000001,48.0000000000001 78.0000000000001,47.0000000000001 78.0000000000001)))', '78.5', '78', '48', '47', '85K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 78.5000000000001,47.0000000000001 79.0000000000001,48.0000000000001 79.0000000000001,48.0000000000001 78.5000000000001,47.0000000000001 78.5000000000001)))', '79', '78.5', '48', '47', '86K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 79.0000000000001,47.0000000000001 79.5000000000001,48.0000000000001 79.5000000000001,48.0000000000001 79.0000000000001,47.0000000000001 79.0000000000001)))', '79.5', '79', '48', '47', '87K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 79.5000000000001,47.0000000000001 80.0000000000001,48.0000000000001 80.0000000000001,48.0000000000001 79.5000000000001,47.0000000000001 79.5000000000001)))', '80', '79.5', '48', '47', '88K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 80.0000000000001,47.0000000000001 80.5000000000001,48.0000000000001 80.5000000000001,48.0000000000001 80.0000000000001,47.0000000000001 80.0000000000001)))', '80.5', '80', '48', '47', '89K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 80.5000000000001,47.0000000000001 81.0000000000001,48.0000000000001 81.0000000000001,48.0000000000001 80.5000000000001,47.0000000000001 80.5000000000001)))', '81', '80.5', '48', '47', '90K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 81.0000000000001,47.0000000000001 81.5000000000001,48.0000000000001 81.5000000000001,48.0000000000001 81.0000000000001,47.0000000000001 81.0000000000001)))', '81.5', '81', '48', '47', '91K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 81.5000000000001,47.0000000000001 82.0000000000001,48.0000000000001 82.0000000000001,48.0000000000001 81.5000000000001,47.0000000000001 81.5000000000001)))', '82', '81.5', '48', '47', '92K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 82.0000000000001,47.0000000000001 82.5000000000001,48.0000000000001 82.5000000000001,48.0000000000001 82.0000000000001,47.0000000000001 82.0000000000001)))', '82.5', '82', '48', '47', '93K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 82.5000000000001,47.0000000000001 83.0000000000001,48.0000000000001 83.0000000000001,48.0000000000001 82.5000000000001,47.0000000000001 82.5000000000001)))', '83', '82.5', '48', '47', '94K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 83.0000000000001,47.0000000000001 83.5000000000001,48.0000000000001 83.5000000000001,48.0000000000001 83.0000000000001,47.0000000000001 83.0000000000001)))', '83.5', '83', '48', '47', '95K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 83.5000000000001,47.0000000000001 84.0000000000001,48.0000000000001 84.0000000000001,48.0000000000001 83.5000000000001,47.0000000000001 83.5000000000001)))', '84', '83.5', '48', '47', '96K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 84.0000000000001,47.0000000000001 84.5000000000001,48.0000000000001 84.5000000000001,48.0000000000001 84.0000000000001,47.0000000000001 84.0000000000001)))', '84.5', '84', '48', '47', '97K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((47.0000000000001 84.5000000000001,47.0000000000001 85.0000000000001,48.0000000000001 85.0000000000001,48.0000000000001 84.5000000000001,47.0000000000001 84.5000000000001)))', '85', '84.5', '48', '47', '98K7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 67.5000000000001,48.0000000000001 68.0000000000001,49.0000000000001 68.0000000000001,49.0000000000001 67.5000000000001,48.0000000000001 67.5000000000001)))', '68', '67.5', '49', '48', '64K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 68.0000000000001,48.0000000000001 68.5000000000001,49.0000000000001 68.5000000000001,49.0000000000001 68.0000000000001,48.0000000000001 68.0000000000001)))', '68.5', '68', '49', '48', '65K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 68.5000000000001,48.0000000000001 69.0000000000001,49.0000000000001 69.0000000000001,49.0000000000001 68.5000000000001,48.0000000000001 68.5000000000001)))', '69', '68.5', '49', '48', '66K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 69.0000000000001,48.0000000000001 69.5000000000001,49.0000000000001 69.5000000000001,49.0000000000001 69.0000000000001,48.0000000000001 69.0000000000001)))', '69.5', '69', '49', '48', '67K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 69.5000000000001,48.0000000000001 70.0000000000001,49.0000000000001 70.0000000000001,49.0000000000001 69.5000000000001,48.0000000000001 69.5000000000001)))', '70', '69.5', '49', '48', '68K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 70.0000000000001,48.0000000000001 70.5000000000001,49.0000000000001 70.5000000000001,49.0000000000001 70.0000000000001,48.0000000000001 70.0000000000001)))', '70.5', '70', '49', '48', '69K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 70.5000000000001,48.0000000000001 71.0000000000001,49.0000000000001 71.0000000000001,49.0000000000001 70.5000000000001,48.0000000000001 70.5000000000001)))', '71', '70.5', '49', '48', '70K8', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((48.0000000000001 71.0000000000001,48.0000000000001 71.5000000000001,49.0000000000001 71.5000000000001,49.0000000000001 71.0000000000001,48.0000000000001 71.0000000000001)))', '71.5', '71', '49', '48', '71K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 71.5000000000001,48.0000000000001 72.0000000000001,49.0000000000001 72.0000000000001,49.0000000000001 71.5000000000001,48.0000000000001 71.5000000000001)))', '72', '71.5', '49', '48', '72K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 72.0000000000001,48.0000000000001 72.5000000000001,49.0000000000001 72.5000000000001,49.0000000000001 72.0000000000001,48.0000000000001 72.0000000000001)))', '72.5', '72', '49', '48', '73K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 72.5000000000001,48.0000000000001 73.0000000000001,49.0000000000001 73.0000000000001,49.0000000000001 72.5000000000001,48.0000000000001 72.5000000000001)))', '73', '72.5', '49', '48', '74K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 73.0000000000001,48.0000000000001 73.5000000000001,49.0000000000001 73.5000000000001,49.0000000000001 73.0000000000001,48.0000000000001 73.0000000000001)))', '73.5', '73', '49', '48', '75K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 73.5000000000001,48.0000000000001 74.0000000000001,49.0000000000001 74.0000000000001,49.0000000000001 73.5000000000001,48.0000000000001 73.5000000000001)))', '74', '73.5', '49', '48', '76K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 74.0000000000001,48.0000000000001 74.5000000000001,49.0000000000001 74.5000000000001,49.0000000000001 74.0000000000001,48.0000000000001 74.0000000000001)))', '74.5', '74', '49', '48', '77K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 74.5000000000001,48.0000000000001 75.0000000000001,49.0000000000001 75.0000000000001,49.0000000000001 74.5000000000001,48.0000000000001 74.5000000000001)))', '75', '74.5', '49', '48', '78K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 75.0000000000001,48.0000000000001 75.5000000000001,49.0000000000001 75.5000000000001,49.0000000000001 75.0000000000001,48.0000000000001 75.0000000000001)))', '75.5', '75', '49', '48', '79K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 75.5000000000001,48.0000000000001 76.0000000000001,49.0000000000001 76.0000000000001,49.0000000000001 75.5000000000001,48.0000000000001 75.5000000000001)))', '76', '75.5', '49', '48', '80K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 76.0000000000001,48.0000000000001 76.5000000000001,49.0000000000001 76.5000000000001,49.0000000000001 76.0000000000001,48.0000000000001 76.0000000000001)))', '76.5', '76', '49', '48', '81K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 76.5000000000001,48.0000000000001 77.0000000000001,49.0000000000001 77.0000000000001,49.0000000000001 76.5000000000001,48.0000000000001 76.5000000000001)))', '77', '76.5', '49', '48', '82K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 77.0000000000001,48.0000000000001 77.5000000000001,49.0000000000001 77.5000000000001,49.0000000000001 77.0000000000001,48.0000000000001 77.0000000000001)))', '77.5', '77', '49', '48', '83K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 77.5000000000001,48.0000000000001 78.0000000000001,49.0000000000001 78.0000000000001,49.0000000000001 77.5000000000001,48.0000000000001 77.5000000000001)))', '78', '77.5', '49', '48', '84K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 78.0000000000001,48.0000000000001 78.5000000000001,49.0000000000001 78.5000000000001,49.0000000000001 78.0000000000001,48.0000000000001 78.0000000000001)))', '78.5', '78', '49', '48', '85K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 78.5000000000001,48.0000000000001 79.0000000000001,49.0000000000001 79.0000000000001,49.0000000000001 78.5000000000001,48.0000000000001 78.5000000000001)))', '79', '78.5', '49', '48', '86K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 79.0000000000001,48.0000000000001 79.5000000000001,49.0000000000001 79.5000000000001,49.0000000000001 79.0000000000001,48.0000000000001 79.0000000000001)))', '79.5', '79', '49', '48', '87K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 79.5000000000001,48.0000000000001 80.0000000000001,49.0000000000001 80.0000000000001,49.0000000000001 79.5000000000001,48.0000000000001 79.5000000000001)))', '80', '79.5', '49', '48', '88K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 80.0000000000001,48.0000000000001 80.5000000000001,49.0000000000001 80.5000000000001,49.0000000000001 80.0000000000001,48.0000000000001 80.0000000000001)))', '80.5', '80', '49', '48', '89K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 80.5000000000001,48.0000000000001 81.0000000000001,49.0000000000001 81.0000000000001,49.0000000000001 80.5000000000001,48.0000000000001 80.5000000000001)))', '81', '80.5', '49', '48', '90K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 81.0000000000001,48.0000000000001 81.5000000000001,49.0000000000001 81.5000000000001,49.0000000000001 81.0000000000001,48.0000000000001 81.0000000000001)))', '81.5', '81', '49', '48', '91K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 81.5000000000001,48.0000000000001 82.0000000000001,49.0000000000001 82.0000000000001,49.0000000000001 81.5000000000001,48.0000000000001 81.5000000000001)))', '82', '81.5', '49', '48', '92K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 82.0000000000001,48.0000000000001 82.5000000000001,49.0000000000001 82.5000000000001,49.0000000000001 82.0000000000001,48.0000000000001 82.0000000000001)))', '82.5', '82', '49', '48', '93K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 82.5000000000001,48.0000000000001 83.0000000000001,49.0000000000001 83.0000000000001,49.0000000000001 82.5000000000001,48.0000000000001 82.5000000000001)))', '83', '82.5', '49', '48', '94K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 83.0000000000001,48.0000000000001 83.5000000000001,49.0000000000001 83.5000000000001,49.0000000000001 83.0000000000001,48.0000000000001 83.0000000000001)))', '83.5', '83', '49', '48', '95K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 83.5000000000001,48.0000000000001 84.0000000000001,49.0000000000001 84.0000000000001,49.0000000000001 83.5000000000001,48.0000000000001 83.5000000000001)))', '84', '83.5', '49', '48', '96K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 84.0000000000001,48.0000000000001 84.5000000000001,49.0000000000001 84.5000000000001,49.0000000000001 84.0000000000001,48.0000000000001 84.0000000000001)))', '84.5', '84', '49', '48', '97K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((48.0000000000001 84.5000000000001,48.0000000000001 85.0000000000001,49.0000000000001 85.0000000000001,49.0000000000001 84.5000000000001,48.0000000000001 84.5000000000001)))', '85', '84.5', '49', '48', '98K8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 67.5000000000001,49.0000000000001 68.0000000000001,50.0000000000001 68.0000000000001,50.0000000000001 67.5000000000001,49.0000000000001 67.5000000000001)))', '68', '67.5', '50', '49', '64K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 68.0000000000001,49.0000000000001 68.5000000000001,50.0000000000001 68.5000000000001,50.0000000000001 68.0000000000001,49.0000000000001 68.0000000000001)))', '68.5', '68', '50', '49', '65K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 68.5000000000001,49.0000000000001 69.0000000000001,50.0000000000001 69.0000000000001,50.0000000000001 68.5000000000001,49.0000000000001 68.5000000000001)))', '69', '68.5', '50', '49', '66K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 69.0000000000001,49.0000000000001 69.5000000000001,50.0000000000001 69.5000000000001,50.0000000000001 69.0000000000001,49.0000000000001 69.0000000000001)))', '69.5', '69', '50', '49', '67K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 69.5000000000001,49.0000000000001 70.0000000000001,50.0000000000001 70.0000000000001,50.0000000000001 69.5000000000001,49.0000000000001 69.5000000000001)))', '70', '69.5', '50', '49', '68K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 70.0000000000001,49.0000000000001 70.5000000000001,50.0000000000001 70.5000000000001,50.0000000000001 70.0000000000001,49.0000000000001 70.0000000000001)))', '70.5', '70', '50', '49', '69K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 70.5000000000001,49.0000000000001 71.0000000000001,50.0000000000001 71.0000000000001,50.0000000000001 70.5000000000001,49.0000000000001 70.5000000000001)))', '71', '70.5', '50', '49', '70K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 71.0000000000001,49.0000000000001 71.5000000000001,50.0000000000001 71.5000000000001,50.0000000000001 71.0000000000001,49.0000000000001 71.0000000000001)))', '71.5', '71', '50', '49', '71K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 71.5000000000001,49.0000000000001 72.0000000000001,50.0000000000001 72.0000000000001,50.0000000000001 71.5000000000001,49.0000000000001 71.5000000000001)))', '72', '71.5', '50', '49', '72K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 72.0000000000001,49.0000000000001 72.5000000000001,50.0000000000001 72.5000000000001,50.0000000000001 72.0000000000001,49.0000000000001 72.0000000000001)))', '72.5', '72', '50', '49', '73K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 72.5000000000001,49.0000000000001 73.0000000000001,50.0000000000001 73.0000000000001,50.0000000000001 72.5000000000001,49.0000000000001 72.5000000000001)))', '73', '72.5', '50', '49', '74K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 73.0000000000001,49.0000000000001 73.5000000000001,50.0000000000001 73.5000000000001,50.0000000000001 73.0000000000001,49.0000000000001 73.0000000000001)))', '73.5', '73', '50', '49', '75K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 73.5000000000001,49.0000000000001 74.0000000000001,50.0000000000001 74.0000000000001,50.0000000000001 73.5000000000001,49.0000000000001 73.5000000000001)))', '74', '73.5', '50', '49', '76K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 74.0000000000001,49.0000000000001 74.5000000000001,50.0000000000001 74.5000000000001,50.0000000000001 74.0000000000001,49.0000000000001 74.0000000000001)))', '74.5', '74', '50', '49', '77K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 74.5000000000001,49.0000000000001 75.0000000000001,50.0000000000001 75.0000000000001,50.0000000000001 74.5000000000001,49.0000000000001 74.5000000000001)))', '75', '74.5', '50', '49', '78K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 75.0000000000001,49.0000000000001 75.5000000000001,50.0000000000001 75.5000000000001,50.0000000000001 75.0000000000001,49.0000000000001 75.0000000000001)))', '75.5', '75', '50', '49', '79K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 75.5000000000001,49.0000000000001 76.0000000000001,50.0000000000001 76.0000000000001,50.0000000000001 75.5000000000001,49.0000000000001 75.5000000000001)))', '76', '75.5', '50', '49', '80K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 76.0000000000001,49.0000000000001 76.5000000000001,50.0000000000001 76.5000000000001,50.0000000000001 76.0000000000001,49.0000000000001 76.0000000000001)))', '76.5', '76', '50', '49', '81K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 76.5000000000001,49.0000000000001 77.0000000000001,50.0000000000001 77.0000000000001,50.0000000000001 76.5000000000001,49.0000000000001 76.5000000000001)))', '77', '76.5', '50', '49', '82K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 77.0000000000001,49.0000000000001 77.5000000000001,50.0000000000001 77.5000000000001,50.0000000000001 77.0000000000001,49.0000000000001 77.0000000000001)))', '77.5', '77', '50', '49', '83K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 77.5000000000001,49.0000000000001 78.0000000000001,50.0000000000001 78.0000000000001,50.0000000000001 77.5000000000001,49.0000000000001 77.5000000000001)))', '78', '77.5', '50', '49', '84K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 78.0000000000001,49.0000000000001 78.5000000000001,50.0000000000001 78.5000000000001,50.0000000000001 78.0000000000001,49.0000000000001 78.0000000000001)))', '78.5', '78', '50', '49', '85K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 78.5000000000001,49.0000000000001 79.0000000000001,50.0000000000001 79.0000000000001,50.0000000000001 78.5000000000001,49.0000000000001 78.5000000000001)))', '79', '78.5', '50', '49', '86K9', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((49.0000000000001 79.0000000000001,49.0000000000001 79.5000000000001,50.0000000000001 79.5000000000001,50.0000000000001 79.0000000000001,49.0000000000001 79.0000000000001)))', '79.5', '79', '50', '49', '87K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 79.5000000000001,49.0000000000001 80.0000000000001,50.0000000000001 80.0000000000001,50.0000000000001 79.5000000000001,49.0000000000001 79.5000000000001)))', '80', '79.5', '50', '49', '88K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 80.0000000000001,49.0000000000001 80.5000000000001,50.0000000000001 80.5000000000001,50.0000000000001 80.0000000000001,49.0000000000001 80.0000000000001)))', '80.5', '80', '50', '49', '89K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 80.5000000000001,49.0000000000001 81.0000000000001,50.0000000000001 81.0000000000001,50.0000000000001 80.5000000000001,49.0000000000001 80.5000000000001)))', '81', '80.5', '50', '49', '90K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 81.0000000000001,49.0000000000001 81.5000000000001,50.0000000000001 81.5000000000001,50.0000000000001 81.0000000000001,49.0000000000001 81.0000000000001)))', '81.5', '81', '50', '49', '91K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 81.5000000000001,49.0000000000001 82.0000000000001,50.0000000000001 82.0000000000001,50.0000000000001 81.5000000000001,49.0000000000001 81.5000000000001)))', '82', '81.5', '50', '49', '92K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 82.0000000000001,49.0000000000001 82.5000000000001,50.0000000000001 82.5000000000001,50.0000000000001 82.0000000000001,49.0000000000001 82.0000000000001)))', '82.5', '82', '50', '49', '93K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 82.5000000000001,49.0000000000001 83.0000000000001,50.0000000000001 83.0000000000001,50.0000000000001 82.5000000000001,49.0000000000001 82.5000000000001)))', '83', '82.5', '50', '49', '94K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 83.0000000000001,49.0000000000001 83.5000000000001,50.0000000000001 83.5000000000001,50.0000000000001 83.0000000000001,49.0000000000001 83.0000000000001)))', '83.5', '83', '50', '49', '95K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 83.5000000000001,49.0000000000001 84.0000000000001,50.0000000000001 84.0000000000001,50.0000000000001 83.5000000000001,49.0000000000001 83.5000000000001)))', '84', '83.5', '50', '49', '96K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 84.0000000000001,49.0000000000001 84.5000000000001,50.0000000000001 84.5000000000001,50.0000000000001 84.0000000000001,49.0000000000001 84.0000000000001)))', '84.5', '84', '50', '49', '97K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((49.0000000000001 84.5000000000001,49.0000000000001 85.0000000000001,50.0000000000001 85.0000000000001,50.0000000000001 84.5000000000001,49.0000000000001 84.5000000000001)))', '85', '84.5', '50', '49', '98K9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 68.0000000000001,50.0000000000001 68.5000000000001,51.0000000000001 68.5000000000001,51.0000000000001 68.0000000000001,50.0000000000001 68.0000000000001)))', '68.5', '68', '51', '50', '65L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 68.5000000000001,50.0000000000001 69.0000000000001,51.0000000000001 69.0000000000001,51.0000000000001 68.5000000000001,50.0000000000001 68.5000000000001)))', '69', '68.5', '51', '50', '66L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 69.0000000000001,50.0000000000001 69.5000000000001,51.0000000000001 69.5000000000001,51.0000000000001 69.0000000000001,50.0000000000001 69.0000000000001)))', '69.5', '69', '51', '50', '67L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 69.5000000000001,50.0000000000001 70.0000000000001,51.0000000000001 70.0000000000001,51.0000000000001 69.5000000000001,50.0000000000001 69.5000000000001)))', '70', '69.5', '51', '50', '68L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 70.0000000000001,50.0000000000001 70.5000000000001,51.0000000000001 70.5000000000001,51.0000000000001 70.0000000000001,50.0000000000001 70.0000000000001)))', '70.5', '70', '51', '50', '69L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 70.5000000000001,50.0000000000001 71.0000000000001,51.0000000000001 71.0000000000001,51.0000000000001 70.5000000000001,50.0000000000001 70.5000000000001)))', '71', '70.5', '51', '50', '70L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 71.0000000000001,50.0000000000001 71.5000000000001,51.0000000000001 71.5000000000001,51.0000000000001 71.0000000000001,50.0000000000001 71.0000000000001)))', '71.5', '71', '51', '50', '71L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 71.5000000000001,50.0000000000001 72.0000000000001,51.0000000000001 72.0000000000001,51.0000000000001 71.5000000000001,50.0000000000001 71.5000000000001)))', '72', '71.5', '51', '50', '72L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 72.0000000000001,50.0000000000001 72.5000000000001,51.0000000000001 72.5000000000001,51.0000000000001 72.0000000000001,50.0000000000001 72.0000000000001)))', '72.5', '72', '51', '50', '73L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 72.5000000000001,50.0000000000001 73.0000000000001,51.0000000000001 73.0000000000001,51.0000000000001 72.5000000000001,50.0000000000001 72.5000000000001)))', '73', '72.5', '51', '50', '74L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 73.0000000000001,50.0000000000001 73.5000000000001,51.0000000000001 73.5000000000001,51.0000000000001 73.0000000000001,50.0000000000001 73.0000000000001)))', '73.5', '73', '51', '50', '75L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 73.5000000000001,50.0000000000001 74.0000000000001,51.0000000000001 74.0000000000001,51.0000000000001 73.5000000000001,50.0000000000001 73.5000000000001)))', '74', '73.5', '51', '50', '76L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 74.0000000000001,50.0000000000001 74.5000000000001,51.0000000000001 74.5000000000001,51.0000000000001 74.0000000000001,50.0000000000001 74.0000000000001)))', '74.5', '74', '51', '50', '77L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 74.5000000000001,50.0000000000001 75.0000000000001,51.0000000000001 75.0000000000001,51.0000000000001 74.5000000000001,50.0000000000001 74.5000000000001)))', '75', '74.5', '51', '50', '78L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 75.0000000000001,50.0000000000001 75.5000000000001,51.0000000000001 75.5000000000001,51.0000000000001 75.0000000000001,50.0000000000001 75.0000000000001)))', '75.5', '75', '51', '50', '79L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 75.5000000000001,50.0000000000001 76.0000000000001,51.0000000000001 76.0000000000001,51.0000000000001 75.5000000000001,50.0000000000001 75.5000000000001)))', '76', '75.5', '51', '50', '80L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 76.0000000000001,50.0000000000001 76.5000000000001,51.0000000000001 76.5000000000001,51.0000000000001 76.0000000000001,50.0000000000001 76.0000000000001)))', '76.5', '76', '51', '50', '81L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 76.5000000000001,50.0000000000001 77.0000000000001,51.0000000000001 77.0000000000001,51.0000000000001 76.5000000000001,50.0000000000001 76.5000000000001)))', '77', '76.5', '51', '50', '82L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 77.0000000000001,50.0000000000001 77.5000000000001,51.0000000000001 77.5000000000001,51.0000000000001 77.0000000000001,50.0000000000001 77.0000000000001)))', '77.5', '77', '51', '50', '83L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 77.5000000000001,50.0000000000001 78.0000000000001,51.0000000000001 78.0000000000001,51.0000000000001 77.5000000000001,50.0000000000001 77.5000000000001)))', '78', '77.5', '51', '50', '84L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 78.0000000000001,50.0000000000001 78.5000000000001,51.0000000000001 78.5000000000001,51.0000000000001 78.0000000000001,50.0000000000001 78.0000000000001)))', '78.5', '78', '51', '50', '85L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 78.5000000000001,50.0000000000001 79.0000000000001,51.0000000000001 79.0000000000001,51.0000000000001 78.5000000000001,50.0000000000001 78.5000000000001)))', '79', '78.5', '51', '50', '86L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 79.0000000000001,50.0000000000001 79.5000000000001,51.0000000000001 79.5000000000001,51.0000000000001 79.0000000000001,50.0000000000001 79.0000000000001)))', '79.5', '79', '51', '50', '87L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 79.5000000000001,50.0000000000001 80.0000000000001,51.0000000000001 80.0000000000001,51.0000000000001 79.5000000000001,50.0000000000001 79.5000000000001)))', '80', '79.5', '51', '50', '88L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 80.0000000000001,50.0000000000001 80.5000000000001,51.0000000000001 80.5000000000001,51.0000000000001 80.0000000000001,50.0000000000001 80.0000000000001)))', '80.5', '80', '51', '50', '89L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 80.5000000000001,50.0000000000001 81.0000000000001,51.0000000000001 81.0000000000001,51.0000000000001 80.5000000000001,50.0000000000001 80.5000000000001)))', '81', '80.5', '51', '50', '90L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 81.0000000000001,50.0000000000001 81.5000000000001,51.0000000000001 81.5000000000001,51.0000000000001 81.0000000000001,50.0000000000001 81.0000000000001)))', '81.5', '81', '51', '50', '91L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 81.5000000000001,50.0000000000001 82.0000000000001,51.0000000000001 82.0000000000001,51.0000000000001 81.5000000000001,50.0000000000001 81.5000000000001)))', '82', '81.5', '51', '50', '92L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 82.0000000000001,50.0000000000001 82.5000000000001,51.0000000000001 82.5000000000001,51.0000000000001 82.0000000000001,50.0000000000001 82.0000000000001)))', '82.5', '82', '51', '50', '93L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 82.5000000000001,50.0000000000001 83.0000000000001,51.0000000000001 83.0000000000001,51.0000000000001 82.5000000000001,50.0000000000001 82.5000000000001)))', '83', '82.5', '51', '50', '94L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 83.0000000000001,50.0000000000001 83.5000000000001,51.0000000000001 83.5000000000001,51.0000000000001 83.0000000000001,50.0000000000001 83.0000000000001)))', '83.5', '83', '51', '50', '95L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 83.5000000000001,50.0000000000001 84.0000000000001,51.0000000000001 84.0000000000001,51.0000000000001 83.5000000000001,50.0000000000001 83.5000000000001)))', '84', '83.5', '51', '50', '96L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 84.0000000000001,50.0000000000001 84.5000000000001,51.0000000000001 84.5000000000001,51.0000000000001 84.0000000000001,50.0000000000001 84.0000000000001)))', '84.5', '84', '51', '50', '97L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((50.0000000000001 84.5000000000001,50.0000000000001 85.0000000000001,51.0000000000001 85.0000000000001,51.0000000000001 84.5000000000001,50.0000000000001 84.5000000000001)))', '85', '84.5', '51', '50', '98L0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 68.0000000000001,51.0000000000001 68.5000000000001,52.0000000000001 68.5000000000001,52.0000000000001 68.0000000000001,51.0000000000001 68.0000000000001)))', '68.5', '68', '52', '51', '65L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 68.5000000000001,51.0000000000001 69.0000000000001,52.0000000000001 69.0000000000001,52.0000000000001 68.5000000000001,51.0000000000001 68.5000000000001)))', '69', '68.5', '52', '51', '66L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 69.0000000000001,51.0000000000001 69.5000000000001,52.0000000000001 69.5000000000001,52.0000000000001 69.0000000000001,51.0000000000001 69.0000000000001)))', '69.5', '69', '52', '51', '67L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 69.5000000000001,51.0000000000001 70.0000000000001,52.0000000000001 70.0000000000001,52.0000000000001 69.5000000000001,51.0000000000001 69.5000000000001)))', '70', '69.5', '52', '51', '68L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 70.0000000000001,51.0000000000001 70.5000000000001,52.0000000000001 70.5000000000001,52.0000000000001 70.0000000000001,51.0000000000001 70.0000000000001)))', '70.5', '70', '52', '51', '69L1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((51.0000000000001 70.5000000000001,51.0000000000001 71.0000000000001,52.0000000000001 71.0000000000001,52.0000000000001 70.5000000000001,51.0000000000001 70.5000000000001)))', '71', '70.5', '52', '51', '70L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 71.0000000000001,51.0000000000001 71.5000000000001,52.0000000000001 71.5000000000001,52.0000000000001 71.0000000000001,51.0000000000001 71.0000000000001)))', '71.5', '71', '52', '51', '71L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 71.5000000000001,51.0000000000001 72.0000000000001,52.0000000000001 72.0000000000001,52.0000000000001 71.5000000000001,51.0000000000001 71.5000000000001)))', '72', '71.5', '52', '51', '72L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 72.0000000000001,51.0000000000001 72.5000000000001,52.0000000000001 72.5000000000001,52.0000000000001 72.0000000000001,51.0000000000001 72.0000000000001)))', '72.5', '72', '52', '51', '73L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 72.5000000000001,51.0000000000001 73.0000000000001,52.0000000000001 73.0000000000001,52.0000000000001 72.5000000000001,51.0000000000001 72.5000000000001)))', '73', '72.5', '52', '51', '74L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 73.0000000000001,51.0000000000001 73.5000000000001,52.0000000000001 73.5000000000001,52.0000000000001 73.0000000000001,51.0000000000001 73.0000000000001)))', '73.5', '73', '52', '51', '75L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 73.5000000000001,51.0000000000001 74.0000000000001,52.0000000000001 74.0000000000001,52.0000000000001 73.5000000000001,51.0000000000001 73.5000000000001)))', '74', '73.5', '52', '51', '76L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 74.0000000000001,51.0000000000001 74.5000000000001,52.0000000000001 74.5000000000001,52.0000000000001 74.0000000000001,51.0000000000001 74.0000000000001)))', '74.5', '74', '52', '51', '77L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 74.5000000000001,51.0000000000001 75.0000000000001,52.0000000000001 75.0000000000001,52.0000000000001 74.5000000000001,51.0000000000001 74.5000000000001)))', '75', '74.5', '52', '51', '78L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 75.0000000000001,51.0000000000001 75.5000000000001,52.0000000000001 75.5000000000001,52.0000000000001 75.0000000000001,51.0000000000001 75.0000000000001)))', '75.5', '75', '52', '51', '79L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 75.5000000000001,51.0000000000001 76.0000000000001,52.0000000000001 76.0000000000001,52.0000000000001 75.5000000000001,51.0000000000001 75.5000000000001)))', '76', '75.5', '52', '51', '80L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 76.0000000000001,51.0000000000001 76.5000000000001,52.0000000000001 76.5000000000001,52.0000000000001 76.0000000000001,51.0000000000001 76.0000000000001)))', '76.5', '76', '52', '51', '81L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 76.5000000000001,51.0000000000001 77.0000000000001,52.0000000000001 77.0000000000001,52.0000000000001 76.5000000000001,51.0000000000001 76.5000000000001)))', '77', '76.5', '52', '51', '82L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 77.0000000000001,51.0000000000001 77.5000000000001,52.0000000000001 77.5000000000001,52.0000000000001 77.0000000000001,51.0000000000001 77.0000000000001)))', '77.5', '77', '52', '51', '83L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 77.5000000000001,51.0000000000001 78.0000000000001,52.0000000000001 78.0000000000001,52.0000000000001 77.5000000000001,51.0000000000001 77.5000000000001)))', '78', '77.5', '52', '51', '84L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 78.0000000000001,51.0000000000001 78.5000000000001,52.0000000000001 78.5000000000001,52.0000000000001 78.0000000000001,51.0000000000001 78.0000000000001)))', '78.5', '78', '52', '51', '85L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 78.5000000000001,51.0000000000001 79.0000000000001,52.0000000000001 79.0000000000001,52.0000000000001 78.5000000000001,51.0000000000001 78.5000000000001)))', '79', '78.5', '52', '51', '86L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 79.0000000000001,51.0000000000001 79.5000000000001,52.0000000000001 79.5000000000001,52.0000000000001 79.0000000000001,51.0000000000001 79.0000000000001)))', '79.5', '79', '52', '51', '87L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 79.5000000000001,51.0000000000001 80.0000000000001,52.0000000000001 80.0000000000001,52.0000000000001 79.5000000000001,51.0000000000001 79.5000000000001)))', '80', '79.5', '52', '51', '88L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 80.0000000000001,51.0000000000001 80.5000000000001,52.0000000000001 80.5000000000001,52.0000000000001 80.0000000000001,51.0000000000001 80.0000000000001)))', '80.5', '80', '52', '51', '89L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 80.5000000000001,51.0000000000001 81.0000000000001,52.0000000000001 81.0000000000001,52.0000000000001 80.5000000000001,51.0000000000001 80.5000000000001)))', '81', '80.5', '52', '51', '90L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 81.0000000000001,51.0000000000001 81.5000000000001,52.0000000000001 81.5000000000001,52.0000000000001 81.0000000000001,51.0000000000001 81.0000000000001)))', '81.5', '81', '52', '51', '91L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 81.5000000000001,51.0000000000001 82.0000000000001,52.0000000000001 82.0000000000001,52.0000000000001 81.5000000000001,51.0000000000001 81.5000000000001)))', '82', '81.5', '52', '51', '92L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 82.0000000000001,51.0000000000001 82.5000000000001,52.0000000000001 82.5000000000001,52.0000000000001 82.0000000000001,51.0000000000001 82.0000000000001)))', '82.5', '82', '52', '51', '93L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 82.5000000000001,51.0000000000001 83.0000000000001,52.0000000000001 83.0000000000001,52.0000000000001 82.5000000000001,51.0000000000001 82.5000000000001)))', '83', '82.5', '52', '51', '94L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 83.0000000000001,51.0000000000001 83.5000000000001,52.0000000000001 83.5000000000001,52.0000000000001 83.0000000000001,51.0000000000001 83.0000000000001)))', '83.5', '83', '52', '51', '95L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 83.5000000000001,51.0000000000001 84.0000000000001,52.0000000000001 84.0000000000001,52.0000000000001 83.5000000000001,51.0000000000001 83.5000000000001)))', '84', '83.5', '52', '51', '96L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 84.0000000000001,51.0000000000001 84.5000000000001,52.0000000000001 84.5000000000001,52.0000000000001 84.0000000000001,51.0000000000001 84.0000000000001)))', '84.5', '84', '52', '51', '97L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((51.0000000000001 84.5000000000001,51.0000000000001 85.0000000000001,52.0000000000001 85.0000000000001,52.0000000000001 84.5000000000001,51.0000000000001 84.5000000000001)))', '85', '84.5', '52', '51', '98L1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 68.0000000000001,52.0000000000001 68.5000000000001,53.0000000000001 68.5000000000001,53.0000000000001 68.0000000000001,52.0000000000001 68.0000000000001)))', '68.5', '68', '53', '52', '65L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 68.5000000000001,52.0000000000001 69.0000000000001,53.0000000000001 69.0000000000001,53.0000000000001 68.5000000000001,52.0000000000001 68.5000000000001)))', '69', '68.5', '53', '52', '66L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 69.0000000000001,52.0000000000001 69.5000000000001,53.0000000000001 69.5000000000001,53.0000000000001 69.0000000000001,52.0000000000001 69.0000000000001)))', '69.5', '69', '53', '52', '67L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 69.5000000000001,52.0000000000001 70.0000000000001,53.0000000000001 70.0000000000001,53.0000000000001 69.5000000000001,52.0000000000001 69.5000000000001)))', '70', '69.5', '53', '52', '68L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 70.0000000000001,52.0000000000001 70.5000000000001,53.0000000000001 70.5000000000001,53.0000000000001 70.0000000000001,52.0000000000001 70.0000000000001)))', '70.5', '70', '53', '52', '69L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 70.5000000000001,52.0000000000001 71.0000000000001,53.0000000000001 71.0000000000001,53.0000000000001 70.5000000000001,52.0000000000001 70.5000000000001)))', '71', '70.5', '53', '52', '70L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 71.0000000000001,52.0000000000001 71.5000000000001,53.0000000000001 71.5000000000001,53.0000000000001 71.0000000000001,52.0000000000001 71.0000000000001)))', '71.5', '71', '53', '52', '71L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 71.5000000000001,52.0000000000001 72.0000000000001,53.0000000000001 72.0000000000001,53.0000000000001 71.5000000000001,52.0000000000001 71.5000000000001)))', '72', '71.5', '53', '52', '72L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 72.0000000000001,52.0000000000001 72.5000000000001,53.0000000000001 72.5000000000001,53.0000000000001 72.0000000000001,52.0000000000001 72.0000000000001)))', '72.5', '72', '53', '52', '73L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 72.5000000000001,52.0000000000001 73.0000000000001,53.0000000000001 73.0000000000001,53.0000000000001 72.5000000000001,52.0000000000001 72.5000000000001)))', '73', '72.5', '53', '52', '74L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 73.0000000000001,52.0000000000001 73.5000000000001,53.0000000000001 73.5000000000001,53.0000000000001 73.0000000000001,52.0000000000001 73.0000000000001)))', '73.5', '73', '53', '52', '75L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 73.5000000000001,52.0000000000001 74.0000000000001,53.0000000000001 74.0000000000001,53.0000000000001 73.5000000000001,52.0000000000001 73.5000000000001)))', '74', '73.5', '53', '52', '76L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 74.0000000000001,52.0000000000001 74.5000000000001,53.0000000000001 74.5000000000001,53.0000000000001 74.0000000000001,52.0000000000001 74.0000000000001)))', '74.5', '74', '53', '52', '77L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 74.5000000000001,52.0000000000001 75.0000000000001,53.0000000000001 75.0000000000001,53.0000000000001 74.5000000000001,52.0000000000001 74.5000000000001)))', '75', '74.5', '53', '52', '78L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 75.0000000000001,52.0000000000001 75.5000000000001,53.0000000000001 75.5000000000001,53.0000000000001 75.0000000000001,52.0000000000001 75.0000000000001)))', '75.5', '75', '53', '52', '79L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 75.5000000000001,52.0000000000001 76.0000000000001,53.0000000000001 76.0000000000001,53.0000000000001 75.5000000000001,52.0000000000001 75.5000000000001)))', '76', '75.5', '53', '52', '80L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 76.0000000000001,52.0000000000001 76.5000000000001,53.0000000000001 76.5000000000001,53.0000000000001 76.0000000000001,52.0000000000001 76.0000000000001)))', '76.5', '76', '53', '52', '81L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 76.5000000000001,52.0000000000001 77.0000000000001,53.0000000000001 77.0000000000001,53.0000000000001 76.5000000000001,52.0000000000001 76.5000000000001)))', '77', '76.5', '53', '52', '82L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 77.0000000000001,52.0000000000001 77.5000000000001,53.0000000000001 77.5000000000001,53.0000000000001 77.0000000000001,52.0000000000001 77.0000000000001)))', '77.5', '77', '53', '52', '83L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 77.5000000000001,52.0000000000001 78.0000000000001,53.0000000000001 78.0000000000001,53.0000000000001 77.5000000000001,52.0000000000001 77.5000000000001)))', '78', '77.5', '53', '52', '84L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 78.0000000000001,52.0000000000001 78.5000000000001,53.0000000000001 78.5000000000001,53.0000000000001 78.0000000000001,52.0000000000001 78.0000000000001)))', '78.5', '78', '53', '52', '85L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 78.5000000000001,52.0000000000001 79.0000000000001,53.0000000000001 79.0000000000001,53.0000000000001 78.5000000000001,52.0000000000001 78.5000000000001)))', '79', '78.5', '53', '52', '86L2', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((52.0000000000001 79.0000000000001,52.0000000000001 79.5000000000001,53.0000000000001 79.5000000000001,53.0000000000001 79.0000000000001,52.0000000000001 79.0000000000001)))', '79.5', '79', '53', '52', '87L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 79.5000000000001,52.0000000000001 80.0000000000001,53.0000000000001 80.0000000000001,53.0000000000001 79.5000000000001,52.0000000000001 79.5000000000001)))', '80', '79.5', '53', '52', '88L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 80.0000000000001,52.0000000000001 80.5000000000001,53.0000000000001 80.5000000000001,53.0000000000001 80.0000000000001,52.0000000000001 80.0000000000001)))', '80.5', '80', '53', '52', '89L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 80.5000000000001,52.0000000000001 81.0000000000001,53.0000000000001 81.0000000000001,53.0000000000001 80.5000000000001,52.0000000000001 80.5000000000001)))', '81', '80.5', '53', '52', '90L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 81.0000000000001,52.0000000000001 81.5000000000001,53.0000000000001 81.5000000000001,53.0000000000001 81.0000000000001,52.0000000000001 81.0000000000001)))', '81.5', '81', '53', '52', '91L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 81.5000000000001,52.0000000000001 82.0000000000001,53.0000000000001 82.0000000000001,53.0000000000001 81.5000000000001,52.0000000000001 81.5000000000001)))', '82', '81.5', '53', '52', '92L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 82.0000000000001,52.0000000000001 82.5000000000001,53.0000000000001 82.5000000000001,53.0000000000001 82.0000000000001,52.0000000000001 82.0000000000001)))', '82.5', '82', '53', '52', '93L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 82.5000000000001,52.0000000000001 83.0000000000001,53.0000000000001 83.0000000000001,53.0000000000001 82.5000000000001,52.0000000000001 82.5000000000001)))', '83', '82.5', '53', '52', '94L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 83.0000000000001,52.0000000000001 83.5000000000001,53.0000000000001 83.5000000000001,53.0000000000001 83.0000000000001,52.0000000000001 83.0000000000001)))', '83.5', '83', '53', '52', '95L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 83.5000000000001,52.0000000000001 84.0000000000001,53.0000000000001 84.0000000000001,53.0000000000001 83.5000000000001,52.0000000000001 83.5000000000001)))', '84', '83.5', '53', '52', '96L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 84.0000000000001,52.0000000000001 84.5000000000001,53.0000000000001 84.5000000000001,53.0000000000001 84.0000000000001,52.0000000000001 84.0000000000001)))', '84.5', '84', '53', '52', '97L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((52.0000000000001 84.5000000000001,52.0000000000001 85.0000000000001,53.0000000000001 85.0000000000001,53.0000000000001 84.5000000000001,52.0000000000001 84.5000000000001)))', '85', '84.5', '53', '52', '98L2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 67.5000000000001,53.0000000000001 68.0000000000001,54.0000000000001 68.0000000000001,54.0000000000001 67.5000000000001,53.0000000000001 67.5000000000001)))', '68', '67.5', '54', '53', '64L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 68.0000000000001,53.0000000000001 68.5000000000001,54.0000000000001 68.5000000000001,54.0000000000001 68.0000000000001,53.0000000000001 68.0000000000001)))', '68.5', '68', '54', '53', '65L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 68.5000000000001,53.0000000000001 69.0000000000001,54.0000000000001 69.0000000000001,54.0000000000001 68.5000000000001,53.0000000000001 68.5000000000001)))', '69', '68.5', '54', '53', '66L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 69.0000000000001,53.0000000000001 69.5000000000001,54.0000000000001 69.5000000000001,54.0000000000001 69.0000000000001,53.0000000000001 69.0000000000001)))', '69.5', '69', '54', '53', '67L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 69.5000000000001,53.0000000000001 70.0000000000001,54.0000000000001 70.0000000000001,54.0000000000001 69.5000000000001,53.0000000000001 69.5000000000001)))', '70', '69.5', '54', '53', '68L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 70.0000000000001,53.0000000000001 70.5000000000001,54.0000000000001 70.5000000000001,54.0000000000001 70.0000000000001,53.0000000000001 70.0000000000001)))', '70.5', '70', '54', '53', '69L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 70.5000000000001,53.0000000000001 71.0000000000001,54.0000000000001 71.0000000000001,54.0000000000001 70.5000000000001,53.0000000000001 70.5000000000001)))', '71', '70.5', '54', '53', '70L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 71.0000000000001,53.0000000000001 71.5000000000001,54.0000000000001 71.5000000000001,54.0000000000001 71.0000000000001,53.0000000000001 71.0000000000001)))', '71.5', '71', '54', '53', '71L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 71.5000000000001,53.0000000000001 72.0000000000001,54.0000000000001 72.0000000000001,54.0000000000001 71.5000000000001,53.0000000000001 71.5000000000001)))', '72', '71.5', '54', '53', '72L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 72.5000000000001,53.0000000000001 73.0000000000001,54.0000000000001 73.0000000000001,54.0000000000001 72.5000000000001,53.0000000000001 72.5000000000001)))', '73', '72.5', '54', '53', '74L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 73.0000000000001,53.0000000000001 73.5000000000001,54.0000000000001 73.5000000000001,54.0000000000001 73.0000000000001,53.0000000000001 73.0000000000001)))', '73.5', '73', '54', '53', '75L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 73.5000000000001,53.0000000000001 74.0000000000001,54.0000000000001 74.0000000000001,54.0000000000001 73.5000000000001,53.0000000000001 73.5000000000001)))', '74', '73.5', '54', '53', '76L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 74.0000000000001,53.0000000000001 74.5000000000001,54.0000000000001 74.5000000000001,54.0000000000001 74.0000000000001,53.0000000000001 74.0000000000001)))', '74.5', '74', '54', '53', '77L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 74.5000000000001,53.0000000000001 75.0000000000001,54.0000000000001 75.0000000000001,54.0000000000001 74.5000000000001,53.0000000000001 74.5000000000001)))', '75', '74.5', '54', '53', '78L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 75.0000000000001,53.0000000000001 75.5000000000001,54.0000000000001 75.5000000000001,54.0000000000001 75.0000000000001,53.0000000000001 75.0000000000001)))', '75.5', '75', '54', '53', '79L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 75.5000000000001,53.0000000000001 76.0000000000001,54.0000000000001 76.0000000000001,54.0000000000001 75.5000000000001,53.0000000000001 75.5000000000001)))', '76', '75.5', '54', '53', '80L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 76.0000000000001,53.0000000000001 76.5000000000001,54.0000000000001 76.5000000000001,54.0000000000001 76.0000000000001,53.0000000000001 76.0000000000001)))', '76.5', '76', '54', '53', '81L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 76.5000000000001,53.0000000000001 77.0000000000001,54.0000000000001 77.0000000000001,54.0000000000001 76.5000000000001,53.0000000000001 76.5000000000001)))', '77', '76.5', '54', '53', '82L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 77.0000000000001,53.0000000000001 77.5000000000001,54.0000000000001 77.5000000000001,54.0000000000001 77.0000000000001,53.0000000000001 77.0000000000001)))', '77.5', '77', '54', '53', '83L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 77.5000000000001,53.0000000000001 78.0000000000001,54.0000000000001 78.0000000000001,54.0000000000001 77.5000000000001,53.0000000000001 77.5000000000001)))', '78', '77.5', '54', '53', '84L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 78.0000000000001,53.0000000000001 78.5000000000001,54.0000000000001 78.5000000000001,54.0000000000001 78.0000000000001,53.0000000000001 78.0000000000001)))', '78.5', '78', '54', '53', '85L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 78.5000000000001,53.0000000000001 79.0000000000001,54.0000000000001 79.0000000000001,54.0000000000001 78.5000000000001,53.0000000000001 78.5000000000001)))', '79', '78.5', '54', '53', '86L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 79.0000000000001,53.0000000000001 79.5000000000001,54.0000000000001 79.5000000000001,54.0000000000001 79.0000000000001,53.0000000000001 79.0000000000001)))', '79.5', '79', '54', '53', '87L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 79.5000000000001,53.0000000000001 80.0000000000001,54.0000000000001 80.0000000000001,54.0000000000001 79.5000000000001,53.0000000000001 79.5000000000001)))', '80', '79.5', '54', '53', '88L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 80.0000000000001,53.0000000000001 80.5000000000001,54.0000000000001 80.5000000000001,54.0000000000001 80.0000000000001,53.0000000000001 80.0000000000001)))', '80.5', '80', '54', '53', '89L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 80.5000000000001,53.0000000000001 81.0000000000001,54.0000000000001 81.0000000000001,54.0000000000001 80.5000000000001,53.0000000000001 80.5000000000001)))', '81', '80.5', '54', '53', '90L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 81.0000000000001,53.0000000000001 81.5000000000001,54.0000000000001 81.5000000000001,54.0000000000001 81.0000000000001,53.0000000000001 81.0000000000001)))', '81.5', '81', '54', '53', '91L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 81.5000000000001,53.0000000000001 82.0000000000001,54.0000000000001 82.0000000000001,54.0000000000001 81.5000000000001,53.0000000000001 81.5000000000001)))', '82', '81.5', '54', '53', '92L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 82.0000000000001,53.0000000000001 82.5000000000001,54.0000000000001 82.5000000000001,54.0000000000001 82.0000000000001,53.0000000000001 82.0000000000001)))', '82.5', '82', '54', '53', '93L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 82.5000000000001,53.0000000000001 83.0000000000001,54.0000000000001 83.0000000000001,54.0000000000001 82.5000000000001,53.0000000000001 82.5000000000001)))', '83', '82.5', '54', '53', '94L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 83.0000000000001,53.0000000000001 83.5000000000001,54.0000000000001 83.5000000000001,54.0000000000001 83.0000000000001,53.0000000000001 83.0000000000001)))', '83.5', '83', '54', '53', '95L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 83.5000000000001,53.0000000000001 84.0000000000001,54.0000000000001 84.0000000000001,54.0000000000001 83.5000000000001,53.0000000000001 83.5000000000001)))', '84', '83.5', '54', '53', '96L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 84.0000000000001,53.0000000000001 84.5000000000001,54.0000000000001 84.5000000000001,54.0000000000001 84.0000000000001,53.0000000000001 84.0000000000001)))', '84.5', '84', '54', '53', '97L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((53.0000000000001 84.5000000000001,53.0000000000001 85.0000000000001,54.0000000000001 85.0000000000001,54.0000000000001 84.5000000000001,53.0000000000001 84.5000000000001)))', '85', '84.5', '54', '53', '98L3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 67.5000000000001,54.0000000000001 68.0000000000001,55.0000000000001 68.0000000000001,55.0000000000001 67.5000000000001,54.0000000000001 67.5000000000001)))', '68', '67.5', '55', '54', '64L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 68.0000000000001,54.0000000000001 68.5000000000001,55.0000000000001 68.5000000000001,55.0000000000001 68.0000000000001,54.0000000000001 68.0000000000001)))', '68.5', '68', '55', '54', '65L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 68.5000000000001,54.0000000000001 69.0000000000001,55.0000000000001 69.0000000000001,55.0000000000001 68.5000000000001,54.0000000000001 68.5000000000001)))', '69', '68.5', '55', '54', '66L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 69.0000000000001,54.0000000000001 69.5000000000001,55.0000000000001 69.5000000000001,55.0000000000001 69.0000000000001,54.0000000000001 69.0000000000001)))', '69.5', '69', '55', '54', '67L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 69.5000000000001,54.0000000000001 70.0000000000001,55.0000000000001 70.0000000000001,55.0000000000001 69.5000000000001,54.0000000000001 69.5000000000001)))', '70', '69.5', '55', '54', '68L4', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((54.0000000000001 70.0000000000001,54.0000000000001 70.5000000000001,55.0000000000001 70.5000000000001,55.0000000000001 70.0000000000001,54.0000000000001 70.0000000000001)))', '70.5', '70', '55', '54', '69L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 70.5000000000001,54.0000000000001 71.0000000000001,55.0000000000001 71.0000000000001,55.0000000000001 70.5000000000001,54.0000000000001 70.5000000000001)))', '71', '70.5', '55', '54', '70L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 71.0000000000001,54.0000000000001 71.5000000000001,55.0000000000001 71.5000000000001,55.0000000000001 71.0000000000001,54.0000000000001 71.0000000000001)))', '71.5', '71', '55', '54', '71L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 73.0000000000001,54.0000000000001 73.5000000000001,55.0000000000001 73.5000000000001,55.0000000000001 73.0000000000001,54.0000000000001 73.0000000000001)))', '73.5', '73', '55', '54', '75L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 73.5000000000001,54.0000000000001 74.0000000000001,55.0000000000001 74.0000000000001,55.0000000000001 73.5000000000001,54.0000000000001 73.5000000000001)))', '74', '73.5', '55', '54', '76L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 74.0000000000001,54.0000000000001 74.5000000000001,55.0000000000001 74.5000000000001,55.0000000000001 74.0000000000001,54.0000000000001 74.0000000000001)))', '74.5', '74', '55', '54', '77L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 74.5000000000001,54.0000000000001 75.0000000000001,55.0000000000001 75.0000000000001,55.0000000000001 74.5000000000001,54.0000000000001 74.5000000000001)))', '75', '74.5', '55', '54', '78L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 75.0000000000001,54.0000000000001 75.5000000000001,55.0000000000001 75.5000000000001,55.0000000000001 75.0000000000001,54.0000000000001 75.0000000000001)))', '75.5', '75', '55', '54', '79L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 75.5000000000001,54.0000000000001 76.0000000000001,55.0000000000001 76.0000000000001,55.0000000000001 75.5000000000001,54.0000000000001 75.5000000000001)))', '76', '75.5', '55', '54', '80L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 76.0000000000001,54.0000000000001 76.5000000000001,55.0000000000001 76.5000000000001,55.0000000000001 76.0000000000001,54.0000000000001 76.0000000000001)))', '76.5', '76', '55', '54', '81L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 76.5000000000001,54.0000000000001 77.0000000000001,55.0000000000001 77.0000000000001,55.0000000000001 76.5000000000001,54.0000000000001 76.5000000000001)))', '77', '76.5', '55', '54', '82L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 77.0000000000001,54.0000000000001 77.5000000000001,55.0000000000001 77.5000000000001,55.0000000000001 77.0000000000001,54.0000000000001 77.0000000000001)))', '77.5', '77', '55', '54', '83L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 77.5000000000001,54.0000000000001 78.0000000000001,55.0000000000001 78.0000000000001,55.0000000000001 77.5000000000001,54.0000000000001 77.5000000000001)))', '78', '77.5', '55', '54', '84L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 78.0000000000001,54.0000000000001 78.5000000000001,55.0000000000001 78.5000000000001,55.0000000000001 78.0000000000001,54.0000000000001 78.0000000000001)))', '78.5', '78', '55', '54', '85L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 78.5000000000001,54.0000000000001 79.0000000000001,55.0000000000001 79.0000000000001,55.0000000000001 78.5000000000001,54.0000000000001 78.5000000000001)))', '79', '78.5', '55', '54', '86L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 79.0000000000001,54.0000000000001 79.5000000000001,55.0000000000001 79.5000000000001,55.0000000000001 79.0000000000001,54.0000000000001 79.0000000000001)))', '79.5', '79', '55', '54', '87L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 79.5000000000001,54.0000000000001 80.0000000000001,55.0000000000001 80.0000000000001,55.0000000000001 79.5000000000001,54.0000000000001 79.5000000000001)))', '80', '79.5', '55', '54', '88L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 80.0000000000001,54.0000000000001 80.5000000000001,55.0000000000001 80.5000000000001,55.0000000000001 80.0000000000001,54.0000000000001 80.0000000000001)))', '80.5', '80', '55', '54', '89L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 80.5000000000001,54.0000000000001 81.0000000000001,55.0000000000001 81.0000000000001,55.0000000000001 80.5000000000001,54.0000000000001 80.5000000000001)))', '81', '80.5', '55', '54', '90L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 81.0000000000001,54.0000000000001 81.5000000000001,55.0000000000001 81.5000000000001,55.0000000000001 81.0000000000001,54.0000000000001 81.0000000000001)))', '81.5', '81', '55', '54', '91L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 81.5000000000001,54.0000000000001 82.0000000000001,55.0000000000001 82.0000000000001,55.0000000000001 81.5000000000001,54.0000000000001 81.5000000000001)))', '82', '81.5', '55', '54', '92L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 82.0000000000001,54.0000000000001 82.5000000000001,55.0000000000001 82.5000000000001,55.0000000000001 82.0000000000001,54.0000000000001 82.0000000000001)))', '82.5', '82', '55', '54', '93L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 82.5000000000001,54.0000000000001 83.0000000000001,55.0000000000001 83.0000000000001,55.0000000000001 82.5000000000001,54.0000000000001 82.5000000000001)))', '83', '82.5', '55', '54', '94L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 83.0000000000001,54.0000000000001 83.5000000000001,55.0000000000001 83.5000000000001,55.0000000000001 83.0000000000001,54.0000000000001 83.0000000000001)))', '83.5', '83', '55', '54', '95L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 83.5000000000001,54.0000000000001 84.0000000000001,55.0000000000001 84.0000000000001,55.0000000000001 83.5000000000001,54.0000000000001 83.5000000000001)))', '84', '83.5', '55', '54', '96L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 84.0000000000001,54.0000000000001 84.5000000000001,55.0000000000001 84.5000000000001,55.0000000000001 84.0000000000001,54.0000000000001 84.0000000000001)))', '84.5', '84', '55', '54', '97L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((54.0000000000001 84.5000000000001,54.0000000000001 85.0000000000001,55.0000000000001 85.0000000000001,55.0000000000001 84.5000000000001,54.0000000000001 84.5000000000001)))', '85', '84.5', '55', '54', '98L4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 68.0000000000001,55.0000000000001 68.5000000000001,56.0000000000001 68.5000000000001,56.0000000000001 68.0000000000001,55.0000000000001 68.0000000000001)))', '68.5', '68', '56', '55', '65L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 68.5000000000001,55.0000000000001 69.0000000000001,56.0000000000001 69.0000000000001,56.0000000000001 68.5000000000001,55.0000000000001 68.5000000000001)))', '69', '68.5', '56', '55', '66L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 69.0000000000001,55.0000000000001 69.5000000000001,56.0000000000001 69.5000000000001,56.0000000000001 69.0000000000001,55.0000000000001 69.0000000000001)))', '69.5', '69', '56', '55', '67L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 69.5000000000001,55.0000000000001 70.0000000000001,56.0000000000001 70.0000000000001,56.0000000000001 69.5000000000001,55.0000000000001 69.5000000000001)))', '70', '69.5', '56', '55', '68L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 70.0000000000001,55.0000000000001 70.5000000000001,56.0000000000001 70.5000000000001,56.0000000000001 70.0000000000001,55.0000000000001 70.0000000000001)))', '70.5', '70', '56', '55', '69L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 70.5000000000001,55.0000000000001 71.0000000000001,56.0000000000001 71.0000000000001,56.0000000000001 70.5000000000001,55.0000000000001 70.5000000000001)))', '71', '70.5', '56', '55', '70L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 71.0000000000001,55.0000000000001 71.5000000000001,56.0000000000001 71.5000000000001,56.0000000000001 71.0000000000001,55.0000000000001 71.0000000000001)))', '71.5', '71', '56', '55', '71L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 71.5000000000001,55.0000000000001 72.0000000000001,56.0000000000001 72.0000000000001,56.0000000000001 71.5000000000001,55.0000000000001 71.5000000000001)))', '72', '71.5', '56', '55', '72L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 72.0000000000001,55.0000000000001 72.5000000000001,56.0000000000001 72.5000000000001,56.0000000000001 72.0000000000001,55.0000000000001 72.0000000000001)))', '72.5', '72', '56', '55', '73L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 72.5000000000001,55.0000000000001 73.0000000000001,56.0000000000001 73.0000000000001,56.0000000000001 72.5000000000001,55.0000000000001 72.5000000000001)))', '73', '72.5', '56', '55', '74L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 73.0000000000001,55.0000000000001 73.5000000000001,56.0000000000001 73.5000000000001,56.0000000000001 73.0000000000001,55.0000000000001 73.0000000000001)))', '73.5', '73', '56', '55', '75L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 73.5000000000001,55.0000000000001 74.0000000000001,56.0000000000001 74.0000000000001,56.0000000000001 73.5000000000001,55.0000000000001 73.5000000000001)))', '74', '73.5', '56', '55', '76L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 74.0000000000001,55.0000000000001 74.5000000000001,56.0000000000001 74.5000000000001,56.0000000000001 74.0000000000001,55.0000000000001 74.0000000000001)))', '74.5', '74', '56', '55', '77L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 74.5000000000001,55.0000000000001 75.0000000000001,56.0000000000001 75.0000000000001,56.0000000000001 74.5000000000001,55.0000000000001 74.5000000000001)))', '75', '74.5', '56', '55', '78L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 75.0000000000001,55.0000000000001 75.5000000000001,56.0000000000001 75.5000000000001,56.0000000000001 75.0000000000001,55.0000000000001 75.0000000000001)))', '75.5', '75', '56', '55', '79L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 75.5000000000001,55.0000000000001 76.0000000000001,56.0000000000001 76.0000000000001,56.0000000000001 75.5000000000001,55.0000000000001 75.5000000000001)))', '76', '75.5', '56', '55', '80L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 76.0000000000001,55.0000000000001 76.5000000000001,56.0000000000001 76.5000000000001,56.0000000000001 76.0000000000001,55.0000000000001 76.0000000000001)))', '76.5', '76', '56', '55', '81L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 76.5000000000001,55.0000000000001 77.0000000000001,56.0000000000001 77.0000000000001,56.0000000000001 76.5000000000001,55.0000000000001 76.5000000000001)))', '77', '76.5', '56', '55', '82L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 77.0000000000001,55.0000000000001 77.5000000000001,56.0000000000001 77.5000000000001,56.0000000000001 77.0000000000001,55.0000000000001 77.0000000000001)))', '77.5', '77', '56', '55', '83L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 77.5000000000001,55.0000000000001 78.0000000000001,56.0000000000001 78.0000000000001,56.0000000000001 77.5000000000001,55.0000000000001 77.5000000000001)))', '78', '77.5', '56', '55', '84L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 78.0000000000001,55.0000000000001 78.5000000000001,56.0000000000001 78.5000000000001,56.0000000000001 78.0000000000001,55.0000000000001 78.0000000000001)))', '78.5', '78', '56', '55', '85L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 78.5000000000001,55.0000000000001 79.0000000000001,56.0000000000001 79.0000000000001,56.0000000000001 78.5000000000001,55.0000000000001 78.5000000000001)))', '79', '78.5', '56', '55', '86L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 79.0000000000001,55.0000000000001 79.5000000000001,56.0000000000001 79.5000000000001,56.0000000000001 79.0000000000001,55.0000000000001 79.0000000000001)))', '79.5', '79', '56', '55', '87L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 79.5000000000001,55.0000000000001 80.0000000000001,56.0000000000001 80.0000000000001,56.0000000000001 79.5000000000001,55.0000000000001 79.5000000000001)))', '80', '79.5', '56', '55', '88L5', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((55.0000000000001 80.0000000000001,55.0000000000001 80.5000000000001,56.0000000000001 80.5000000000001,56.0000000000001 80.0000000000001,55.0000000000001 80.0000000000001)))', '80.5', '80', '56', '55', '89L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 80.5000000000001,55.0000000000001 81.0000000000001,56.0000000000001 81.0000000000001,56.0000000000001 80.5000000000001,55.0000000000001 80.5000000000001)))', '81', '80.5', '56', '55', '90L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 81.0000000000001,55.0000000000001 81.5000000000001,56.0000000000001 81.5000000000001,56.0000000000001 81.0000000000001,55.0000000000001 81.0000000000001)))', '81.5', '81', '56', '55', '91L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 81.5000000000001,55.0000000000001 82.0000000000001,56.0000000000001 82.0000000000001,56.0000000000001 81.5000000000001,55.0000000000001 81.5000000000001)))', '82', '81.5', '56', '55', '92L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 82.0000000000001,55.0000000000001 82.5000000000001,56.0000000000001 82.5000000000001,56.0000000000001 82.0000000000001,55.0000000000001 82.0000000000001)))', '82.5', '82', '56', '55', '93L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 82.5000000000001,55.0000000000001 83.0000000000001,56.0000000000001 83.0000000000001,56.0000000000001 82.5000000000001,55.0000000000001 82.5000000000001)))', '83', '82.5', '56', '55', '94L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 83.0000000000001,55.0000000000001 83.5000000000001,56.0000000000001 83.5000000000001,56.0000000000001 83.0000000000001,55.0000000000001 83.0000000000001)))', '83.5', '83', '56', '55', '95L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 83.5000000000001,55.0000000000001 84.0000000000001,56.0000000000001 84.0000000000001,56.0000000000001 83.5000000000001,55.0000000000001 83.5000000000001)))', '84', '83.5', '56', '55', '96L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 84.0000000000001,55.0000000000001 84.5000000000001,56.0000000000001 84.5000000000001,56.0000000000001 84.0000000000001,55.0000000000001 84.0000000000001)))', '84.5', '84', '56', '55', '97L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((55.0000000000001 84.5000000000001,55.0000000000001 85.0000000000001,56.0000000000001 85.0000000000001,56.0000000000001 84.5000000000001,55.0000000000001 84.5000000000001)))', '85', '84.5', '56', '55', '98L5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 68.5000000000001,56.0000000000001 69.0000000000001,57.0000000000001 69.0000000000001,57.0000000000001 68.5000000000001,56.0000000000001 68.5000000000001)))', '69', '68.5', '57', '56', '66L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 69.0000000000001,56.0000000000001 69.5000000000001,57.0000000000001 69.5000000000001,57.0000000000001 69.0000000000001,56.0000000000001 69.0000000000001)))', '69.5', '69', '57', '56', '67L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 69.5000000000001,56.0000000000001 70.0000000000001,57.0000000000001 70.0000000000001,57.0000000000001 69.5000000000001,56.0000000000001 69.5000000000001)))', '70', '69.5', '57', '56', '68L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 70.0000000000001,56.0000000000001 70.5000000000001,57.0000000000001 70.5000000000001,57.0000000000001 70.0000000000001,56.0000000000001 70.0000000000001)))', '70.5', '70', '57', '56', '69L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 70.5000000000001,56.0000000000001 71.0000000000001,57.0000000000001 71.0000000000001,57.0000000000001 70.5000000000001,56.0000000000001 70.5000000000001)))', '71', '70.5', '57', '56', '70L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 71.0000000000001,56.0000000000001 71.5000000000001,57.0000000000001 71.5000000000001,57.0000000000001 71.0000000000001,56.0000000000001 71.0000000000001)))', '71.5', '71', '57', '56', '71L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 71.5000000000001,56.0000000000001 72.0000000000001,57.0000000000001 72.0000000000001,57.0000000000001 71.5000000000001,56.0000000000001 71.5000000000001)))', '72', '71.5', '57', '56', '72L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 72.0000000000001,56.0000000000001 72.5000000000001,57.0000000000001 72.5000000000001,57.0000000000001 72.0000000000001,56.0000000000001 72.0000000000001)))', '72.5', '72', '57', '56', '73L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 72.5000000000001,56.0000000000001 73.0000000000001,57.0000000000001 73.0000000000001,57.0000000000001 72.5000000000001,56.0000000000001 72.5000000000001)))', '73', '72.5', '57', '56', '74L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 73.0000000000001,56.0000000000001 73.5000000000001,57.0000000000001 73.5000000000001,57.0000000000001 73.0000000000001,56.0000000000001 73.0000000000001)))', '73.5', '73', '57', '56', '75L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 73.5000000000001,56.0000000000001 74.0000000000001,57.0000000000001 74.0000000000001,57.0000000000001 73.5000000000001,56.0000000000001 73.5000000000001)))', '74', '73.5', '57', '56', '76L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 74.0000000000001,56.0000000000001 74.5000000000001,57.0000000000001 74.5000000000001,57.0000000000001 74.0000000000001,56.0000000000001 74.0000000000001)))', '74.5', '74', '57', '56', '77L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 74.5000000000001,56.0000000000001 75.0000000000001,57.0000000000001 75.0000000000001,57.0000000000001 74.5000000000001,56.0000000000001 74.5000000000001)))', '75', '74.5', '57', '56', '78L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 75.0000000000001,56.0000000000001 75.5000000000001,57.0000000000001 75.5000000000001,57.0000000000001 75.0000000000001,56.0000000000001 75.0000000000001)))', '75.5', '75', '57', '56', '79L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 75.5000000000001,56.0000000000001 76.0000000000001,57.0000000000001 76.0000000000001,57.0000000000001 75.5000000000001,56.0000000000001 75.5000000000001)))', '76', '75.5', '57', '56', '80L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 76.0000000000001,56.0000000000001 76.5000000000001,57.0000000000001 76.5000000000001,57.0000000000001 76.0000000000001,56.0000000000001 76.0000000000001)))', '76.5', '76', '57', '56', '81L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 76.5000000000001,56.0000000000001 77.0000000000001,57.0000000000001 77.0000000000001,57.0000000000001 76.5000000000001,56.0000000000001 76.5000000000001)))', '77', '76.5', '57', '56', '82L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 77.0000000000001,56.0000000000001 77.5000000000001,57.0000000000001 77.5000000000001,57.0000000000001 77.0000000000001,56.0000000000001 77.0000000000001)))', '77.5', '77', '57', '56', '83L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 77.5000000000001,56.0000000000001 78.0000000000001,57.0000000000001 78.0000000000001,57.0000000000001 77.5000000000001,56.0000000000001 77.5000000000001)))', '78', '77.5', '57', '56', '84L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 78.0000000000001,56.0000000000001 78.5000000000001,57.0000000000001 78.5000000000001,57.0000000000001 78.0000000000001,56.0000000000001 78.0000000000001)))', '78.5', '78', '57', '56', '85L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 78.5000000000001,56.0000000000001 79.0000000000001,57.0000000000001 79.0000000000001,57.0000000000001 78.5000000000001,56.0000000000001 78.5000000000001)))', '79', '78.5', '57', '56', '86L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 79.0000000000001,56.0000000000001 79.5000000000001,57.0000000000001 79.5000000000001,57.0000000000001 79.0000000000001,56.0000000000001 79.0000000000001)))', '79.5', '79', '57', '56', '87L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 79.5000000000001,56.0000000000001 80.0000000000001,57.0000000000001 80.0000000000001,57.0000000000001 79.5000000000001,56.0000000000001 79.5000000000001)))', '80', '79.5', '57', '56', '88L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 80.0000000000001,56.0000000000001 80.5000000000001,57.0000000000001 80.5000000000001,57.0000000000001 80.0000000000001,56.0000000000001 80.0000000000001)))', '80.5', '80', '57', '56', '89L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 80.5000000000001,56.0000000000001 81.0000000000001,57.0000000000001 81.0000000000001,57.0000000000001 80.5000000000001,56.0000000000001 80.5000000000001)))', '81', '80.5', '57', '56', '90L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 81.0000000000001,56.0000000000001 81.5000000000001,57.0000000000001 81.5000000000001,57.0000000000001 81.0000000000001,56.0000000000001 81.0000000000001)))', '81.5', '81', '57', '56', '91L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 81.5000000000001,56.0000000000001 82.0000000000001,57.0000000000001 82.0000000000001,57.0000000000001 81.5000000000001,56.0000000000001 81.5000000000001)))', '82', '81.5', '57', '56', '92L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 82.0000000000001,56.0000000000001 82.5000000000001,57.0000000000001 82.5000000000001,57.0000000000001 82.0000000000001,56.0000000000001 82.0000000000001)))', '82.5', '82', '57', '56', '93L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 82.5000000000001,56.0000000000001 83.0000000000001,57.0000000000001 83.0000000000001,57.0000000000001 82.5000000000001,56.0000000000001 82.5000000000001)))', '83', '82.5', '57', '56', '94L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 83.0000000000001,56.0000000000001 83.5000000000001,57.0000000000001 83.5000000000001,57.0000000000001 83.0000000000001,56.0000000000001 83.0000000000001)))', '83.5', '83', '57', '56', '95L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 83.5000000000001,56.0000000000001 84.0000000000001,57.0000000000001 84.0000000000001,57.0000000000001 83.5000000000001,56.0000000000001 83.5000000000001)))', '84', '83.5', '57', '56', '96L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 84.0000000000001,56.0000000000001 84.5000000000001,57.0000000000001 84.5000000000001,57.0000000000001 84.0000000000001,56.0000000000001 84.0000000000001)))', '84.5', '84', '57', '56', '97L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((56.0000000000001 84.5000000000001,56.0000000000001 85.0000000000001,57.0000000000001 85.0000000000001,57.0000000000001 84.5000000000001,56.0000000000001 84.5000000000001)))', '85', '84.5', '57', '56', '98L6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 68.5000000000001,57.0000000000001 69.0000000000001,58.0000000000001 69.0000000000001,58.0000000000001 68.5000000000001,57.0000000000001 68.5000000000001)))', '69', '68.5', '58', '57', '66L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 69.0000000000001,57.0000000000001 69.5000000000001,58.0000000000001 69.5000000000001,58.0000000000001 69.0000000000001,57.0000000000001 69.0000000000001)))', '69.5', '69', '58', '57', '67L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 69.5000000000001,57.0000000000001 70.0000000000001,58.0000000000001 70.0000000000001,58.0000000000001 69.5000000000001,57.0000000000001 69.5000000000001)))', '70', '69.5', '58', '57', '68L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 70.0000000000001,57.0000000000001 70.5000000000001,58.0000000000001 70.5000000000001,58.0000000000001 70.0000000000001,57.0000000000001 70.0000000000001)))', '70.5', '70', '58', '57', '69L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 70.5000000000001,57.0000000000001 71.0000000000001,58.0000000000001 71.0000000000001,58.0000000000001 70.5000000000001,57.0000000000001 70.5000000000001)))', '71', '70.5', '58', '57', '70L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 71.0000000000001,57.0000000000001 71.5000000000001,58.0000000000001 71.5000000000001,58.0000000000001 71.0000000000001,57.0000000000001 71.0000000000001)))', '71.5', '71', '58', '57', '71L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 71.5000000000001,57.0000000000001 72.0000000000001,58.0000000000001 72.0000000000001,58.0000000000001 71.5000000000001,57.0000000000001 71.5000000000001)))', '72', '71.5', '58', '57', '72L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 72.0000000000001,57.0000000000001 72.5000000000001,58.0000000000001 72.5000000000001,58.0000000000001 72.0000000000001,57.0000000000001 72.0000000000001)))', '72.5', '72', '58', '57', '73L7', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((57.0000000000001 72.5000000000001,57.0000000000001 73.0000000000001,58.0000000000001 73.0000000000001,58.0000000000001 72.5000000000001,57.0000000000001 72.5000000000001)))', '73', '72.5', '58', '57', '74L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 73.0000000000001,57.0000000000001 73.5000000000001,58.0000000000001 73.5000000000001,58.0000000000001 73.0000000000001,57.0000000000001 73.0000000000001)))', '73.5', '73', '58', '57', '75L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 73.5000000000001,57.0000000000001 74.0000000000001,58.0000000000001 74.0000000000001,58.0000000000001 73.5000000000001,57.0000000000001 73.5000000000001)))', '74', '73.5', '58', '57', '76L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 74.0000000000001,57.0000000000001 74.5000000000001,58.0000000000001 74.5000000000001,58.0000000000001 74.0000000000001,57.0000000000001 74.0000000000001)))', '74.5', '74', '58', '57', '77L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 75.0000000000001,57.0000000000001 75.5000000000001,58.0000000000001 75.5000000000001,58.0000000000001 75.0000000000001,57.0000000000001 75.0000000000001)))', '75.5', '75', '58', '57', '79L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 75.5000000000001,57.0000000000001 76.0000000000001,58.0000000000001 76.0000000000001,58.0000000000001 75.5000000000001,57.0000000000001 75.5000000000001)))', '76', '75.5', '58', '57', '80L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 76.0000000000001,57.0000000000001 76.5000000000001,58.0000000000001 76.5000000000001,58.0000000000001 76.0000000000001,57.0000000000001 76.0000000000001)))', '76.5', '76', '58', '57', '81L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 76.5000000000001,57.0000000000001 77.0000000000001,58.0000000000001 77.0000000000001,58.0000000000001 76.5000000000001,57.0000000000001 76.5000000000001)))', '77', '76.5', '58', '57', '82L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 77.0000000000001,57.0000000000001 77.5000000000001,58.0000000000001 77.5000000000001,58.0000000000001 77.0000000000001,57.0000000000001 77.0000000000001)))', '77.5', '77', '58', '57', '83L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 77.5000000000001,57.0000000000001 78.0000000000001,58.0000000000001 78.0000000000001,58.0000000000001 77.5000000000001,57.0000000000001 77.5000000000001)))', '78', '77.5', '58', '57', '84L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 78.0000000000001,57.0000000000001 78.5000000000001,58.0000000000001 78.5000000000001,58.0000000000001 78.0000000000001,57.0000000000001 78.0000000000001)))', '78.5', '78', '58', '57', '85L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 78.5000000000001,57.0000000000001 79.0000000000001,58.0000000000001 79.0000000000001,58.0000000000001 78.5000000000001,57.0000000000001 78.5000000000001)))', '79', '78.5', '58', '57', '86L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 79.0000000000001,57.0000000000001 79.5000000000001,58.0000000000001 79.5000000000001,58.0000000000001 79.0000000000001,57.0000000000001 79.0000000000001)))', '79.5', '79', '58', '57', '87L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 79.5000000000001,57.0000000000001 80.0000000000001,58.0000000000001 80.0000000000001,58.0000000000001 79.5000000000001,57.0000000000001 79.5000000000001)))', '80', '79.5', '58', '57', '88L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 80.0000000000001,57.0000000000001 80.5000000000001,58.0000000000001 80.5000000000001,58.0000000000001 80.0000000000001,57.0000000000001 80.0000000000001)))', '80.5', '80', '58', '57', '89L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 80.5000000000001,57.0000000000001 81.0000000000001,58.0000000000001 81.0000000000001,58.0000000000001 80.5000000000001,57.0000000000001 80.5000000000001)))', '81', '80.5', '58', '57', '90L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 81.0000000000001,57.0000000000001 81.5000000000001,58.0000000000001 81.5000000000001,58.0000000000001 81.0000000000001,57.0000000000001 81.0000000000001)))', '81.5', '81', '58', '57', '91L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 81.5000000000001,57.0000000000001 82.0000000000001,58.0000000000001 82.0000000000001,58.0000000000001 81.5000000000001,57.0000000000001 81.5000000000001)))', '82', '81.5', '58', '57', '92L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 82.0000000000001,57.0000000000001 82.5000000000001,58.0000000000001 82.5000000000001,58.0000000000001 82.0000000000001,57.0000000000001 82.0000000000001)))', '82.5', '82', '58', '57', '93L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 82.5000000000001,57.0000000000001 83.0000000000001,58.0000000000001 83.0000000000001,58.0000000000001 82.5000000000001,57.0000000000001 82.5000000000001)))', '83', '82.5', '58', '57', '94L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 83.0000000000001,57.0000000000001 83.5000000000001,58.0000000000001 83.5000000000001,58.0000000000001 83.0000000000001,57.0000000000001 83.0000000000001)))', '83.5', '83', '58', '57', '95L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 83.5000000000001,57.0000000000001 84.0000000000001,58.0000000000001 84.0000000000001,58.0000000000001 83.5000000000001,57.0000000000001 83.5000000000001)))', '84', '83.5', '58', '57', '96L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 84.0000000000001,57.0000000000001 84.5000000000001,58.0000000000001 84.5000000000001,58.0000000000001 84.0000000000001,57.0000000000001 84.0000000000001)))', '84.5', '84', '58', '57', '97L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((57.0000000000001 84.5000000000001,57.0000000000001 85.0000000000001,58.0000000000001 85.0000000000001,58.0000000000001 84.5000000000001,57.0000000000001 84.5000000000001)))', '85', '84.5', '58', '57', '98L7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 68.5000000000001,58.0000000000001 69.0000000000001,59.0000000000001 69.0000000000001,59.0000000000001 68.5000000000001,58.0000000000001 68.5000000000001)))', '69', '68.5', '59', '58', '66L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 69.0000000000001,58.0000000000001 69.5000000000001,59.0000000000001 69.5000000000001,59.0000000000001 69.0000000000001,58.0000000000001 69.0000000000001)))', '69.5', '69', '59', '58', '67L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 69.5000000000001,58.0000000000001 70.0000000000001,59.0000000000001 70.0000000000001,59.0000000000001 69.5000000000001,58.0000000000001 69.5000000000001)))', '70', '69.5', '59', '58', '68L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 70.0000000000001,58.0000000000001 70.5000000000001,59.0000000000001 70.5000000000001,59.0000000000001 70.0000000000001,58.0000000000001 70.0000000000001)))', '70.5', '70', '59', '58', '69L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 70.5000000000001,58.0000000000001 71.0000000000001,59.0000000000001 71.0000000000001,59.0000000000001 70.5000000000001,58.0000000000001 70.5000000000001)))', '71', '70.5', '59', '58', '70L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 71.0000000000001,58.0000000000001 71.5000000000001,59.0000000000001 71.5000000000001,59.0000000000001 71.0000000000001,58.0000000000001 71.0000000000001)))', '71.5', '71', '59', '58', '71L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 71.5000000000001,58.0000000000001 72.0000000000001,59.0000000000001 72.0000000000001,59.0000000000001 71.5000000000001,58.0000000000001 71.5000000000001)))', '72', '71.5', '59', '58', '72L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 72.0000000000001,58.0000000000001 72.5000000000001,59.0000000000001 72.5000000000001,59.0000000000001 72.0000000000001,58.0000000000001 72.0000000000001)))', '72.5', '72', '59', '58', '73L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 72.5000000000001,58.0000000000001 73.0000000000001,59.0000000000001 73.0000000000001,59.0000000000001 72.5000000000001,58.0000000000001 72.5000000000001)))', '73', '72.5', '59', '58', '74L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 73.0000000000001,58.0000000000001 73.5000000000001,59.0000000000001 73.5000000000001,59.0000000000001 73.0000000000001,58.0000000000001 73.0000000000001)))', '73.5', '73', '59', '58', '75L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 73.5000000000001,58.0000000000001 74.0000000000001,59.0000000000001 74.0000000000001,59.0000000000001 73.5000000000001,58.0000000000001 73.5000000000001)))', '74', '73.5', '59', '58', '76L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 74.0000000000001,58.0000000000001 74.5000000000001,59.0000000000001 74.5000000000001,59.0000000000001 74.0000000000001,58.0000000000001 74.0000000000001)))', '74.5', '74', '59', '58', '77L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 74.5000000000001,58.0000000000001 75.0000000000001,59.0000000000001 75.0000000000001,59.0000000000001 74.5000000000001,58.0000000000001 74.5000000000001)))', '75', '74.5', '59', '58', '78L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 75.5000000000001,58.0000000000001 76.0000000000001,59.0000000000001 76.0000000000001,59.0000000000001 75.5000000000001,58.0000000000001 75.5000000000001)))', '76', '75.5', '59', '58', '80L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 76.0000000000001,58.0000000000001 76.5000000000001,59.0000000000001 76.5000000000001,59.0000000000001 76.0000000000001,58.0000000000001 76.0000000000001)))', '76.5', '76', '59', '58', '81L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 76.5000000000001,58.0000000000001 77.0000000000001,59.0000000000001 77.0000000000001,59.0000000000001 76.5000000000001,58.0000000000001 76.5000000000001)))', '77', '76.5', '59', '58', '82L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 77.0000000000001,58.0000000000001 77.5000000000001,59.0000000000001 77.5000000000001,59.0000000000001 77.0000000000001,58.0000000000001 77.0000000000001)))', '77.5', '77', '59', '58', '83L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 77.5000000000001,58.0000000000001 78.0000000000001,59.0000000000001 78.0000000000001,59.0000000000001 77.5000000000001,58.0000000000001 77.5000000000001)))', '78', '77.5', '59', '58', '84L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 78.0000000000001,58.0000000000001 78.5000000000001,59.0000000000001 78.5000000000001,59.0000000000001 78.0000000000001,58.0000000000001 78.0000000000001)))', '78.5', '78', '59', '58', '85L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 78.5000000000001,58.0000000000001 79.0000000000001,59.0000000000001 79.0000000000001,59.0000000000001 78.5000000000001,58.0000000000001 78.5000000000001)))', '79', '78.5', '59', '58', '86L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 79.0000000000001,58.0000000000001 79.5000000000001,59.0000000000001 79.5000000000001,59.0000000000001 79.0000000000001,58.0000000000001 79.0000000000001)))', '79.5', '79', '59', '58', '87L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 79.5000000000001,58.0000000000001 80.0000000000001,59.0000000000001 80.0000000000001,59.0000000000001 79.5000000000001,58.0000000000001 79.5000000000001)))', '80', '79.5', '59', '58', '88L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 80.0000000000001,58.0000000000001 80.5000000000001,59.0000000000001 80.5000000000001,59.0000000000001 80.0000000000001,58.0000000000001 80.0000000000001)))', '80.5', '80', '59', '58', '89L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 80.5000000000001,58.0000000000001 81.0000000000001,59.0000000000001 81.0000000000001,59.0000000000001 80.5000000000001,58.0000000000001 80.5000000000001)))', '81', '80.5', '59', '58', '90L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 81.0000000000001,58.0000000000001 81.5000000000001,59.0000000000001 81.5000000000001,59.0000000000001 81.0000000000001,58.0000000000001 81.0000000000001)))', '81.5', '81', '59', '58', '91L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 81.5000000000001,58.0000000000001 82.0000000000001,59.0000000000001 82.0000000000001,59.0000000000001 81.5000000000001,58.0000000000001 81.5000000000001)))', '82', '81.5', '59', '58', '92L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 82.0000000000001,58.0000000000001 82.5000000000001,59.0000000000001 82.5000000000001,59.0000000000001 82.0000000000001,58.0000000000001 82.0000000000001)))', '82.5', '82', '59', '58', '93L8', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((58.0000000000001 82.5000000000001,58.0000000000001 83.0000000000001,59.0000000000001 83.0000000000001,59.0000000000001 82.5000000000001,58.0000000000001 82.5000000000001)))', '83', '82.5', '59', '58', '94L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 83.0000000000001,58.0000000000001 83.5000000000001,59.0000000000001 83.5000000000001,59.0000000000001 83.0000000000001,58.0000000000001 83.0000000000001)))', '83.5', '83', '59', '58', '95L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 83.5000000000001,58.0000000000001 84.0000000000001,59.0000000000001 84.0000000000001,59.0000000000001 83.5000000000001,58.0000000000001 83.5000000000001)))', '84', '83.5', '59', '58', '96L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 84.0000000000001,58.0000000000001 84.5000000000001,59.0000000000001 84.5000000000001,59.0000000000001 84.0000000000001,58.0000000000001 84.0000000000001)))', '84.5', '84', '59', '58', '97L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((58.0000000000001 84.5000000000001,58.0000000000001 85.0000000000001,59.0000000000001 85.0000000000001,59.0000000000001 84.5000000000001,58.0000000000001 84.5000000000001)))', '85', '84.5', '59', '58', '98L8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 68.0000000000001,59.0000000000001 68.5000000000001,60.0000000000001 68.5000000000001,60.0000000000001 68.0000000000001,59.0000000000001 68.0000000000001)))', '68.5', '68', '60', '59', '65L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 68.5000000000001,59.0000000000001 69.0000000000001,60.0000000000001 69.0000000000001,60.0000000000001 68.5000000000001,59.0000000000001 68.5000000000001)))', '69', '68.5', '60', '59', '66L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 69.0000000000001,59.0000000000001 69.5000000000001,60.0000000000001 69.5000000000001,60.0000000000001 69.0000000000001,59.0000000000001 69.0000000000001)))', '69.5', '69', '60', '59', '67L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 69.5000000000001,59.0000000000001 70.0000000000001,60.0000000000001 70.0000000000001,60.0000000000001 69.5000000000001,59.0000000000001 69.5000000000001)))', '70', '69.5', '60', '59', '68L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 70.0000000000001,59.0000000000001 70.5000000000001,60.0000000000001 70.5000000000001,60.0000000000001 70.0000000000001,59.0000000000001 70.0000000000001)))', '70.5', '70', '60', '59', '69L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 70.5000000000001,59.0000000000001 71.0000000000001,60.0000000000001 71.0000000000001,60.0000000000001 70.5000000000001,59.0000000000001 70.5000000000001)))', '71', '70.5', '60', '59', '70L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 71.0000000000001,59.0000000000001 71.5000000000001,60.0000000000001 71.5000000000001,60.0000000000001 71.0000000000001,59.0000000000001 71.0000000000001)))', '71.5', '71', '60', '59', '71L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 71.5000000000001,59.0000000000001 72.0000000000001,60.0000000000001 72.0000000000001,60.0000000000001 71.5000000000001,59.0000000000001 71.5000000000001)))', '72', '71.5', '60', '59', '72L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 72.0000000000001,59.0000000000001 72.5000000000001,60.0000000000001 72.5000000000001,60.0000000000001 72.0000000000001,59.0000000000001 72.0000000000001)))', '72.5', '72', '60', '59', '73L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 72.5000000000001,59.0000000000001 73.0000000000001,60.0000000000001 73.0000000000001,60.0000000000001 72.5000000000001,59.0000000000001 72.5000000000001)))', '73', '72.5', '60', '59', '74L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 73.0000000000001,59.0000000000001 73.5000000000001,60.0000000000001 73.5000000000001,60.0000000000001 73.0000000000001,59.0000000000001 73.0000000000001)))', '73.5', '73', '60', '59', '75L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 73.5000000000001,59.0000000000001 74.0000000000001,60.0000000000001 74.0000000000001,60.0000000000001 73.5000000000001,59.0000000000001 73.5000000000001)))', '74', '73.5', '60', '59', '76L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 74.0000000000001,59.0000000000001 74.5000000000001,60.0000000000001 74.5000000000001,60.0000000000001 74.0000000000001,59.0000000000001 74.0000000000001)))', '74.5', '74', '60', '59', '77L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 74.5000000000001,59.0000000000001 75.0000000000001,60.0000000000001 75.0000000000001,60.0000000000001 74.5000000000001,59.0000000000001 74.5000000000001)))', '75', '74.5', '60', '59', '78L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 75.5000000000001,59.0000000000001 76.0000000000001,60.0000000000001 76.0000000000001,60.0000000000001 75.5000000000001,59.0000000000001 75.5000000000001)))', '76', '75.5', '60', '59', '80L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 76.0000000000001,59.0000000000001 76.5000000000001,60.0000000000001 76.5000000000001,60.0000000000001 76.0000000000001,59.0000000000001 76.0000000000001)))', '76.5', '76', '60', '59', '81L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 76.5000000000001,59.0000000000001 77.0000000000001,60.0000000000001 77.0000000000001,60.0000000000001 76.5000000000001,59.0000000000001 76.5000000000001)))', '77', '76.5', '60', '59', '82L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 77.0000000000001,59.0000000000001 77.5000000000001,60.0000000000001 77.5000000000001,60.0000000000001 77.0000000000001,59.0000000000001 77.0000000000001)))', '77.5', '77', '60', '59', '83L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 77.5000000000001,59.0000000000001 78.0000000000001,60.0000000000001 78.0000000000001,60.0000000000001 77.5000000000001,59.0000000000001 77.5000000000001)))', '78', '77.5', '60', '59', '84L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 78.0000000000001,59.0000000000001 78.5000000000001,60.0000000000001 78.5000000000001,60.0000000000001 78.0000000000001,59.0000000000001 78.0000000000001)))', '78.5', '78', '60', '59', '85L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 78.5000000000001,59.0000000000001 79.0000000000001,60.0000000000001 79.0000000000001,60.0000000000001 78.5000000000001,59.0000000000001 78.5000000000001)))', '79', '78.5', '60', '59', '86L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 79.0000000000001,59.0000000000001 79.5000000000001,60.0000000000001 79.5000000000001,60.0000000000001 79.0000000000001,59.0000000000001 79.0000000000001)))', '79.5', '79', '60', '59', '87L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 79.5000000000001,59.0000000000001 80.0000000000001,60.0000000000001 80.0000000000001,60.0000000000001 79.5000000000001,59.0000000000001 79.5000000000001)))', '80', '79.5', '60', '59', '88L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 80.0000000000001,59.0000000000001 80.5000000000001,60.0000000000001 80.5000000000001,60.0000000000001 80.0000000000001,59.0000000000001 80.0000000000001)))', '80.5', '80', '60', '59', '89L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 80.5000000000001,59.0000000000001 81.0000000000001,60.0000000000001 81.0000000000001,60.0000000000001 80.5000000000001,59.0000000000001 80.5000000000001)))', '81', '80.5', '60', '59', '90L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 81.0000000000001,59.0000000000001 81.5000000000001,60.0000000000001 81.5000000000001,60.0000000000001 81.0000000000001,59.0000000000001 81.0000000000001)))', '81.5', '81', '60', '59', '91L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 81.5000000000001,59.0000000000001 82.0000000000001,60.0000000000001 82.0000000000001,60.0000000000001 81.5000000000001,59.0000000000001 81.5000000000001)))', '82', '81.5', '60', '59', '92L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 82.0000000000001,59.0000000000001 82.5000000000001,60.0000000000001 82.5000000000001,60.0000000000001 82.0000000000001,59.0000000000001 82.0000000000001)))', '82.5', '82', '60', '59', '93L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 82.5000000000001,59.0000000000001 83.0000000000001,60.0000000000001 83.0000000000001,60.0000000000001 82.5000000000001,59.0000000000001 82.5000000000001)))', '83', '82.5', '60', '59', '94L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 83.0000000000001,59.0000000000001 83.5000000000001,60.0000000000001 83.5000000000001,60.0000000000001 83.0000000000001,59.0000000000001 83.0000000000001)))', '83.5', '83', '60', '59', '95L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 83.5000000000001,59.0000000000001 84.0000000000001,60.0000000000001 84.0000000000001,60.0000000000001 83.5000000000001,59.0000000000001 83.5000000000001)))', '84', '83.5', '60', '59', '96L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 84.0000000000001,59.0000000000001 84.5000000000001,60.0000000000001 84.5000000000001,60.0000000000001 84.0000000000001,59.0000000000001 84.0000000000001)))', '84.5', '84', '60', '59', '97L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((59.0000000000001 84.5000000000001,59.0000000000001 85.0000000000001,60.0000000000001 85.0000000000001,60.0000000000001 84.5000000000001,59.0000000000001 84.5000000000001)))', '85', '84.5', '60', '59', '98L9', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 68.5000000000001,60.0000000000001 69.0000000000001,61.0000000000001 69.0000000000001,61.0000000000001 68.5000000000001,60.0000000000001 68.5000000000001)))', '69', '68.5', '61', '60', '66M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 69.0000000000001,60.0000000000001 69.5000000000001,61.0000000000001 69.5000000000001,61.0000000000001 69.0000000000001,60.0000000000001 69.0000000000001)))', '69.5', '69', '61', '60', '67M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 69.5000000000001,60.0000000000001 70.0000000000001,61.0000000000001 70.0000000000001,61.0000000000001 69.5000000000001,60.0000000000001 69.5000000000001)))', '70', '69.5', '61', '60', '68M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 70.0000000000001,60.0000000000001 70.5000000000001,61.0000000000001 70.5000000000001,61.0000000000001 70.0000000000001,60.0000000000001 70.0000000000001)))', '70.5', '70', '61', '60', '69M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 70.5000000000001,60.0000000000001 71.0000000000001,61.0000000000001 71.0000000000001,61.0000000000001 70.5000000000001,60.0000000000001 70.5000000000001)))', '71', '70.5', '61', '60', '70M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 71.0000000000001,60.0000000000001 71.5000000000001,61.0000000000001 71.5000000000001,61.0000000000001 71.0000000000001,60.0000000000001 71.0000000000001)))', '71.5', '71', '61', '60', '71M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 71.5000000000001,60.0000000000001 72.0000000000001,61.0000000000001 72.0000000000001,61.0000000000001 71.5000000000001,60.0000000000001 71.5000000000001)))', '72', '71.5', '61', '60', '72M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 72.0000000000001,60.0000000000001 72.5000000000001,61.0000000000001 72.5000000000001,61.0000000000001 72.0000000000001,60.0000000000001 72.0000000000001)))', '72.5', '72', '61', '60', '73M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 72.5000000000001,60.0000000000001 73.0000000000001,61.0000000000001 73.0000000000001,61.0000000000001 72.5000000000001,60.0000000000001 72.5000000000001)))', '73', '72.5', '61', '60', '74M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 73.0000000000001,60.0000000000001 73.5000000000001,61.0000000000001 73.5000000000001,61.0000000000001 73.0000000000001,60.0000000000001 73.0000000000001)))', '73.5', '73', '61', '60', '75M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 73.5000000000001,60.0000000000001 74.0000000000001,61.0000000000001 74.0000000000001,61.0000000000001 73.5000000000001,60.0000000000001 73.5000000000001)))', '74', '73.5', '61', '60', '76M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 74.0000000000001,60.0000000000001 74.5000000000001,61.0000000000001 74.5000000000001,61.0000000000001 74.0000000000001,60.0000000000001 74.0000000000001)))', '74.5', '74', '61', '60', '77M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 74.5000000000001,60.0000000000001 75.0000000000001,61.0000000000001 75.0000000000001,61.0000000000001 74.5000000000001,60.0000000000001 74.5000000000001)))', '75', '74.5', '61', '60', '78M0', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((60.0000000000001 75.0000000000001,60.0000000000001 75.5000000000001,61.0000000000001 75.5000000000001,61.0000000000001 75.0000000000001,60.0000000000001 75.0000000000001)))', '75.5', '75', '61', '60', '79M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 75.5000000000001,60.0000000000001 76.0000000000001,61.0000000000001 76.0000000000001,61.0000000000001 75.5000000000001,60.0000000000001 75.5000000000001)))', '76', '75.5', '61', '60', '80M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 76.0000000000001,60.0000000000001 76.5000000000001,61.0000000000001 76.5000000000001,61.0000000000001 76.0000000000001,60.0000000000001 76.0000000000001)))', '76.5', '76', '61', '60', '81M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 76.5000000000001,60.0000000000001 77.0000000000001,61.0000000000001 77.0000000000001,61.0000000000001 76.5000000000001,60.0000000000001 76.5000000000001)))', '77', '76.5', '61', '60', '82M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 77.0000000000001,60.0000000000001 77.5000000000001,61.0000000000001 77.5000000000001,61.0000000000001 77.0000000000001,60.0000000000001 77.0000000000001)))', '77.5', '77', '61', '60', '83M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 77.5000000000001,60.0000000000001 78.0000000000001,61.0000000000001 78.0000000000001,61.0000000000001 77.5000000000001,60.0000000000001 77.5000000000001)))', '78', '77.5', '61', '60', '84M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 78.0000000000001,60.0000000000001 78.5000000000001,61.0000000000001 78.5000000000001,61.0000000000001 78.0000000000001,60.0000000000001 78.0000000000001)))', '78.5', '78', '61', '60', '85M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 78.5000000000001,60.0000000000001 79.0000000000001,61.0000000000001 79.0000000000001,61.0000000000001 78.5000000000001,60.0000000000001 78.5000000000001)))', '79', '78.5', '61', '60', '86M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 79.0000000000001,60.0000000000001 79.5000000000001,61.0000000000001 79.5000000000001,61.0000000000001 79.0000000000001,60.0000000000001 79.0000000000001)))', '79.5', '79', '61', '60', '87M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 79.5000000000001,60.0000000000001 80.0000000000001,61.0000000000001 80.0000000000001,61.0000000000001 79.5000000000001,60.0000000000001 79.5000000000001)))', '80', '79.5', '61', '60', '88M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 80.0000000000001,60.0000000000001 80.5000000000001,61.0000000000001 80.5000000000001,61.0000000000001 80.0000000000001,60.0000000000001 80.0000000000001)))', '80.5', '80', '61', '60', '89M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 80.5000000000001,60.0000000000001 81.0000000000001,61.0000000000001 81.0000000000001,61.0000000000001 80.5000000000001,60.0000000000001 80.5000000000001)))', '81', '80.5', '61', '60', '90M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 81.0000000000001,60.0000000000001 81.5000000000001,61.0000000000001 81.5000000000001,61.0000000000001 81.0000000000001,60.0000000000001 81.0000000000001)))', '81.5', '81', '61', '60', '91M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 81.5000000000001,60.0000000000001 82.0000000000001,61.0000000000001 82.0000000000001,61.0000000000001 81.5000000000001,60.0000000000001 81.5000000000001)))', '82', '81.5', '61', '60', '92M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 82.0000000000001,60.0000000000001 82.5000000000001,61.0000000000001 82.5000000000001,61.0000000000001 82.0000000000001,60.0000000000001 82.0000000000001)))', '82.5', '82', '61', '60', '93M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 82.5000000000001,60.0000000000001 83.0000000000001,61.0000000000001 83.0000000000001,61.0000000000001 82.5000000000001,60.0000000000001 82.5000000000001)))', '83', '82.5', '61', '60', '94M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 83.0000000000001,60.0000000000001 83.5000000000001,61.0000000000001 83.5000000000001,61.0000000000001 83.0000000000001,60.0000000000001 83.0000000000001)))', '83.5', '83', '61', '60', '95M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 83.5000000000001,60.0000000000001 84.0000000000001,61.0000000000001 84.0000000000001,61.0000000000001 83.5000000000001,60.0000000000001 83.5000000000001)))', '84', '83.5', '61', '60', '96M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 84.0000000000001,60.0000000000001 84.5000000000001,61.0000000000001 84.5000000000001,61.0000000000001 84.0000000000001,60.0000000000001 84.0000000000001)))', '84.5', '84', '61', '60', '97M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((60.0000000000001 84.5000000000001,60.0000000000001 85.0000000000001,61.0000000000001 85.0000000000001,61.0000000000001 84.5000000000001,60.0000000000001 84.5000000000001)))', '85', '84.5', '61', '60', '98M0', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 68.5000000000001,61.0000000000001 69.0000000000001,62.0000000000001 69.0000000000001,62.0000000000001 68.5000000000001,61.0000000000001 68.5000000000001)))', '69', '68.5', '62', '61', '66M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 69.5000000000001,61.0000000000001 70.0000000000001,62.0000000000001 70.0000000000001,62.0000000000001 69.5000000000001,61.0000000000001 69.5000000000001)))', '70', '69.5', '62', '61', '68M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 70.0000000000001,61.0000000000001 70.5000000000001,62.0000000000001 70.5000000000001,62.0000000000001 70.0000000000001,61.0000000000001 70.0000000000001)))', '70.5', '70', '62', '61', '69M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 70.5000000000001,61.0000000000001 71.0000000000001,62.0000000000001 71.0000000000001,62.0000000000001 70.5000000000001,61.0000000000001 70.5000000000001)))', '71', '70.5', '62', '61', '70M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 71.0000000000001,61.0000000000001 71.5000000000001,62.0000000000001 71.5000000000001,62.0000000000001 71.0000000000001,61.0000000000001 71.0000000000001)))', '71.5', '71', '62', '61', '71M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 71.5000000000001,61.0000000000001 72.0000000000001,62.0000000000001 72.0000000000001,62.0000000000001 71.5000000000001,61.0000000000001 71.5000000000001)))', '72', '71.5', '62', '61', '72M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 72.0000000000001,61.0000000000001 72.5000000000001,62.0000000000001 72.5000000000001,62.0000000000001 72.0000000000001,61.0000000000001 72.0000000000001)))', '72.5', '72', '62', '61', '73M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 72.5000000000001,61.0000000000001 73.0000000000001,62.0000000000001 73.0000000000001,62.0000000000001 72.5000000000001,61.0000000000001 72.5000000000001)))', '73', '72.5', '62', '61', '74M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 73.0000000000001,61.0000000000001 73.5000000000001,62.0000000000001 73.5000000000001,62.0000000000001 73.0000000000001,61.0000000000001 73.0000000000001)))', '73.5', '73', '62', '61', '75M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 73.5000000000001,61.0000000000001 74.0000000000001,62.0000000000001 74.0000000000001,62.0000000000001 73.5000000000001,61.0000000000001 73.5000000000001)))', '74', '73.5', '62', '61', '76M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 74.0000000000001,61.0000000000001 74.5000000000001,62.0000000000001 74.5000000000001,62.0000000000001 74.0000000000001,61.0000000000001 74.0000000000001)))', '74.5', '74', '62', '61', '77M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 74.5000000000001,61.0000000000001 75.0000000000001,62.0000000000001 75.0000000000001,62.0000000000001 74.5000000000001,61.0000000000001 74.5000000000001)))', '75', '74.5', '62', '61', '78M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 75.0000000000001,61.0000000000001 75.5000000000001,62.0000000000001 75.5000000000001,62.0000000000001 75.0000000000001,61.0000000000001 75.0000000000001)))', '75.5', '75', '62', '61', '79M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 76.0000000000001,61.0000000000001 76.5000000000001,62.0000000000001 76.5000000000001,62.0000000000001 76.0000000000001,61.0000000000001 76.0000000000001)))', '76.5', '76', '62', '61', '81M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 76.5000000000001,61.0000000000001 77.0000000000001,62.0000000000001 77.0000000000001,62.0000000000001 76.5000000000001,61.0000000000001 76.5000000000001)))', '77', '76.5', '62', '61', '82M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 77.0000000000001,61.0000000000001 77.5000000000001,62.0000000000001 77.5000000000001,62.0000000000001 77.0000000000001,61.0000000000001 77.0000000000001)))', '77.5', '77', '62', '61', '83M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 77.5000000000001,61.0000000000001 78.0000000000001,62.0000000000001 78.0000000000001,62.0000000000001 77.5000000000001,61.0000000000001 77.5000000000001)))', '78', '77.5', '62', '61', '84M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 78.0000000000001,61.0000000000001 78.5000000000001,62.0000000000001 78.5000000000001,62.0000000000001 78.0000000000001,61.0000000000001 78.0000000000001)))', '78.5', '78', '62', '61', '85M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 78.5000000000001,61.0000000000001 79.0000000000001,62.0000000000001 79.0000000000001,62.0000000000001 78.5000000000001,61.0000000000001 78.5000000000001)))', '79', '78.5', '62', '61', '86M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 79.0000000000001,61.0000000000001 79.5000000000001,62.0000000000001 79.5000000000001,62.0000000000001 79.0000000000001,61.0000000000001 79.0000000000001)))', '79.5', '79', '62', '61', '87M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 79.5000000000001,61.0000000000001 80.0000000000001,62.0000000000001 80.0000000000001,62.0000000000001 79.5000000000001,61.0000000000001 79.5000000000001)))', '80', '79.5', '62', '61', '88M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 80.0000000000001,61.0000000000001 80.5000000000001,62.0000000000001 80.5000000000001,62.0000000000001 80.0000000000001,61.0000000000001 80.0000000000001)))', '80.5', '80', '62', '61', '89M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 80.5000000000001,61.0000000000001 81.0000000000001,62.0000000000001 81.0000000000001,62.0000000000001 80.5000000000001,61.0000000000001 80.5000000000001)))', '81', '80.5', '62', '61', '90M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 81.0000000000001,61.0000000000001 81.5000000000001,62.0000000000001 81.5000000000001,62.0000000000001 81.0000000000001,61.0000000000001 81.0000000000001)))', '81.5', '81', '62', '61', '91M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 81.5000000000001,61.0000000000001 82.0000000000001,62.0000000000001 82.0000000000001,62.0000000000001 81.5000000000001,61.0000000000001 81.5000000000001)))', '82', '81.5', '62', '61', '92M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 82.0000000000001,61.0000000000001 82.5000000000001,62.0000000000001 82.5000000000001,62.0000000000001 82.0000000000001,61.0000000000001 82.0000000000001)))', '82.5', '82', '62', '61', '93M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 82.5000000000001,61.0000000000001 83.0000000000001,62.0000000000001 83.0000000000001,62.0000000000001 82.5000000000001,61.0000000000001 82.5000000000001)))', '83', '82.5', '62', '61', '94M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 83.0000000000001,61.0000000000001 83.5000000000001,62.0000000000001 83.5000000000001,62.0000000000001 83.0000000000001,61.0000000000001 83.0000000000001)))', '83.5', '83', '62', '61', '95M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 83.5000000000001,61.0000000000001 84.0000000000001,62.0000000000001 84.0000000000001,62.0000000000001 83.5000000000001,61.0000000000001 83.5000000000001)))', '84', '83.5', '62', '61', '96M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 84.0000000000001,61.0000000000001 84.5000000000001,62.0000000000001 84.5000000000001,62.0000000000001 84.0000000000001,61.0000000000001 84.0000000000001)))', '84.5', '84', '62', '61', '97M1', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((61.0000000000001 84.5000000000001,61.0000000000001 85.0000000000001,62.0000000000001 85.0000000000001,62.0000000000001 84.5000000000001,61.0000000000001 84.5000000000001)))', '85', '84.5', '62', '61', '98M1', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((62.0000000000001 69.5000000000001,62.0000000000001 70.0000000000001,63.0000000000001 70.0000000000001,63.0000000000001 69.5000000000001,62.0000000000001 69.5000000000001)))', '70', '69.5', '63', '62', '68M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 70.0000000000001,62.0000000000001 70.5000000000001,63.0000000000001 70.5000000000001,63.0000000000001 70.0000000000001,62.0000000000001 70.0000000000001)))', '70.5', '70', '63', '62', '69M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 70.5000000000001,62.0000000000001 71.0000000000001,63.0000000000001 71.0000000000001,63.0000000000001 70.5000000000001,62.0000000000001 70.5000000000001)))', '71', '70.5', '63', '62', '70M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 71.0000000000001,62.0000000000001 71.5000000000001,63.0000000000001 71.5000000000001,63.0000000000001 71.0000000000001,62.0000000000001 71.0000000000001)))', '71.5', '71', '63', '62', '71M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 71.5000000000001,62.0000000000001 72.0000000000001,63.0000000000001 72.0000000000001,63.0000000000001 71.5000000000001,62.0000000000001 71.5000000000001)))', '72', '71.5', '63', '62', '72M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 72.0000000000001,62.0000000000001 72.5000000000001,63.0000000000001 72.5000000000001,63.0000000000001 72.0000000000001,62.0000000000001 72.0000000000001)))', '72.5', '72', '63', '62', '73M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 72.5000000000001,62.0000000000001 73.0000000000001,63.0000000000001 73.0000000000001,63.0000000000001 72.5000000000001,62.0000000000001 72.5000000000001)))', '73', '72.5', '63', '62', '74M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 73.0000000000001,62.0000000000001 73.5000000000001,63.0000000000001 73.5000000000001,63.0000000000001 73.0000000000001,62.0000000000001 73.0000000000001)))', '73.5', '73', '63', '62', '75M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 73.5000000000001,62.0000000000001 74.0000000000001,63.0000000000001 74.0000000000001,63.0000000000001 73.5000000000001,62.0000000000001 73.5000000000001)))', '74', '73.5', '63', '62', '76M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 74.0000000000001,62.0000000000001 74.5000000000001,63.0000000000001 74.5000000000001,63.0000000000001 74.0000000000001,62.0000000000001 74.0000000000001)))', '74.5', '74', '63', '62', '77M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 74.5000000000001,62.0000000000001 75.0000000000001,63.0000000000001 75.0000000000001,63.0000000000001 74.5000000000001,62.0000000000001 74.5000000000001)))', '75', '74.5', '63', '62', '78M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 75.0000000000001,62.0000000000001 75.5000000000001,63.0000000000001 75.5000000000001,63.0000000000001 75.0000000000001,62.0000000000001 75.0000000000001)))', '75.5', '75', '63', '62', '79M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 75.5000000000001,62.0000000000001 76.0000000000001,63.0000000000001 76.0000000000001,63.0000000000001 75.5000000000001,62.0000000000001 75.5000000000001)))', '76', '75.5', '63', '62', '80M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 76.0000000000001,62.0000000000001 76.5000000000001,63.0000000000001 76.5000000000001,63.0000000000001 76.0000000000001,62.0000000000001 76.0000000000001)))', '76.5', '76', '63', '62', '81M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 76.5000000000001,62.0000000000001 77.0000000000001,63.0000000000001 77.0000000000001,63.0000000000001 76.5000000000001,62.0000000000001 76.5000000000001)))', '77', '76.5', '63', '62', '82M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 77.0000000000001,62.0000000000001 77.5000000000001,63.0000000000001 77.5000000000001,63.0000000000001 77.0000000000001,62.0000000000001 77.0000000000001)))', '77.5', '77', '63', '62', '83M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 77.5000000000001,62.0000000000001 78.0000000000001,63.0000000000001 78.0000000000001,63.0000000000001 77.5000000000001,62.0000000000001 77.5000000000001)))', '78', '77.5', '63', '62', '84M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 78.0000000000001,62.0000000000001 78.5000000000001,63.0000000000001 78.5000000000001,63.0000000000001 78.0000000000001,62.0000000000001 78.0000000000001)))', '78.5', '78', '63', '62', '85M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 78.5000000000001,62.0000000000001 79.0000000000001,63.0000000000001 79.0000000000001,63.0000000000001 78.5000000000001,62.0000000000001 78.5000000000001)))', '79', '78.5', '63', '62', '86M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 79.0000000000001,62.0000000000001 79.5000000000001,63.0000000000001 79.5000000000001,63.0000000000001 79.0000000000001,62.0000000000001 79.0000000000001)))', '79.5', '79', '63', '62', '87M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 79.5000000000001,62.0000000000001 80.0000000000001,63.0000000000001 80.0000000000001,63.0000000000001 79.5000000000001,62.0000000000001 79.5000000000001)))', '80', '79.5', '63', '62', '88M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 80.0000000000001,62.0000000000001 80.5000000000001,63.0000000000001 80.5000000000001,63.0000000000001 80.0000000000001,62.0000000000001 80.0000000000001)))', '80.5', '80', '63', '62', '89M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 80.5000000000001,62.0000000000001 81.0000000000001,63.0000000000001 81.0000000000001,63.0000000000001 80.5000000000001,62.0000000000001 80.5000000000001)))', '81', '80.5', '63', '62', '90M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 81.0000000000001,62.0000000000001 81.5000000000001,63.0000000000001 81.5000000000001,63.0000000000001 81.0000000000001,62.0000000000001 81.0000000000001)))', '81.5', '81', '63', '62', '91M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 81.5000000000001,62.0000000000001 82.0000000000001,63.0000000000001 82.0000000000001,63.0000000000001 81.5000000000001,62.0000000000001 81.5000000000001)))', '82', '81.5', '63', '62', '92M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 82.0000000000001,62.0000000000001 82.5000000000001,63.0000000000001 82.5000000000001,63.0000000000001 82.0000000000001,62.0000000000001 82.0000000000001)))', '82.5', '82', '63', '62', '93M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 82.5000000000001,62.0000000000001 83.0000000000001,63.0000000000001 83.0000000000001,63.0000000000001 82.5000000000001,62.0000000000001 82.5000000000001)))', '83', '82.5', '63', '62', '94M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 83.0000000000001,62.0000000000001 83.5000000000001,63.0000000000001 83.5000000000001,63.0000000000001 83.0000000000001,62.0000000000001 83.0000000000001)))', '83.5', '83', '63', '62', '95M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 83.5000000000001,62.0000000000001 84.0000000000001,63.0000000000001 84.0000000000001,63.0000000000001 83.5000000000001,62.0000000000001 83.5000000000001)))', '84', '83.5', '63', '62', '96M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 84.0000000000001,62.0000000000001 84.5000000000001,63.0000000000001 84.5000000000001,63.0000000000001 84.0000000000001,62.0000000000001 84.0000000000001)))', '84.5', '84', '63', '62', '97M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((62.0000000000001 84.5000000000001,62.0000000000001 85.0000000000001,63.0000000000001 85.0000000000001,63.0000000000001 84.5000000000001,62.0000000000001 84.5000000000001)))', '85', '84.5', '63', '62', '98M2', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 69.5000000000001,63.0000000000001 70.0000000000001,64.0000000000001 70.0000000000001,64.0000000000001 69.5000000000001,63.0000000000001 69.5000000000001)))', '70', '69.5', '64', '63', '68M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 70.0000000000001,63.0000000000001 70.5000000000001,64.0000000000001 70.5000000000001,64.0000000000001 70.0000000000001,63.0000000000001 70.0000000000001)))', '70.5', '70', '64', '63', '69M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 70.5000000000001,63.0000000000001 71.0000000000001,64.0000000000001 71.0000000000001,64.0000000000001 70.5000000000001,63.0000000000001 70.5000000000001)))', '71', '70.5', '64', '63', '70M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 71.0000000000001,63.0000000000001 71.5000000000001,64.0000000000001 71.5000000000001,64.0000000000001 71.0000000000001,63.0000000000001 71.0000000000001)))', '71.5', '71', '64', '63', '71M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 71.5000000000001,63.0000000000001 72.0000000000001,64.0000000000001 72.0000000000001,64.0000000000001 71.5000000000001,63.0000000000001 71.5000000000001)))', '72', '71.5', '64', '63', '72M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 72.0000000000001,63.0000000000001 72.5000000000001,64.0000000000001 72.5000000000001,64.0000000000001 72.0000000000001,63.0000000000001 72.0000000000001)))', '72.5', '72', '64', '63', '73M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 72.5000000000001,63.0000000000001 73.0000000000001,64.0000000000001 73.0000000000001,64.0000000000001 72.5000000000001,63.0000000000001 72.5000000000001)))', '73', '72.5', '64', '63', '74M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 73.0000000000001,63.0000000000001 73.5000000000001,64.0000000000001 73.5000000000001,64.0000000000001 73.0000000000001,63.0000000000001 73.0000000000001)))', '73.5', '73', '64', '63', '75M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 73.5000000000001,63.0000000000001 74.0000000000001,64.0000000000001 74.0000000000001,64.0000000000001 73.5000000000001,63.0000000000001 73.5000000000001)))', '74', '73.5', '64', '63', '76M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 74.0000000000001,63.0000000000001 74.5000000000001,64.0000000000001 74.5000000000001,64.0000000000001 74.0000000000001,63.0000000000001 74.0000000000001)))', '74.5', '74', '64', '63', '77M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 74.5000000000001,63.0000000000001 75.0000000000001,64.0000000000001 75.0000000000001,64.0000000000001 74.5000000000001,63.0000000000001 74.5000000000001)))', '75', '74.5', '64', '63', '78M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 75.0000000000001,63.0000000000001 75.5000000000001,64.0000000000001 75.5000000000001,64.0000000000001 75.0000000000001,63.0000000000001 75.0000000000001)))', '75.5', '75', '64', '63', '79M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 75.5000000000001,63.0000000000001 76.0000000000001,64.0000000000001 76.0000000000001,64.0000000000001 75.5000000000001,63.0000000000001 75.5000000000001)))', '76', '75.5', '64', '63', '80M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 76.0000000000001,63.0000000000001 76.5000000000001,64.0000000000001 76.5000000000001,64.0000000000001 76.0000000000001,63.0000000000001 76.0000000000001)))', '76.5', '76', '64', '63', '81M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 76.5000000000001,63.0000000000001 77.0000000000001,64.0000000000001 77.0000000000001,64.0000000000001 76.5000000000001,63.0000000000001 76.5000000000001)))', '77', '76.5', '64', '63', '82M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 77.0000000000001,63.0000000000001 77.5000000000001,64.0000000000001 77.5000000000001,64.0000000000001 77.0000000000001,63.0000000000001 77.0000000000001)))', '77.5', '77', '64', '63', '83M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 77.5000000000001,63.0000000000001 78.0000000000001,64.0000000000001 78.0000000000001,64.0000000000001 77.5000000000001,63.0000000000001 77.5000000000001)))', '78', '77.5', '64', '63', '84M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 78.0000000000001,63.0000000000001 78.5000000000001,64.0000000000001 78.5000000000001,64.0000000000001 78.0000000000001,63.0000000000001 78.0000000000001)))', '78.5', '78', '64', '63', '85M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 78.5000000000001,63.0000000000001 79.0000000000001,64.0000000000001 79.0000000000001,64.0000000000001 78.5000000000001,63.0000000000001 78.5000000000001)))', '79', '78.5', '64', '63', '86M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 79.0000000000001,63.0000000000001 79.5000000000001,64.0000000000001 79.5000000000001,64.0000000000001 79.0000000000001,63.0000000000001 79.0000000000001)))', '79.5', '79', '64', '63', '87M3', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((63.0000000000001 79.5000000000001,63.0000000000001 80.0000000000001,64.0000000000001 80.0000000000001,64.0000000000001 79.5000000000001,63.0000000000001 79.5000000000001)))', '80', '79.5', '64', '63', '88M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 80.0000000000001,63.0000000000001 80.5000000000001,64.0000000000001 80.5000000000001,64.0000000000001 80.0000000000001,63.0000000000001 80.0000000000001)))', '80.5', '80', '64', '63', '89M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 80.5000000000001,63.0000000000001 81.0000000000001,64.0000000000001 81.0000000000001,64.0000000000001 80.5000000000001,63.0000000000001 80.5000000000001)))', '81', '80.5', '64', '63', '90M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 81.0000000000001,63.0000000000001 81.5000000000001,64.0000000000001 81.5000000000001,64.0000000000001 81.0000000000001,63.0000000000001 81.0000000000001)))', '81.5', '81', '64', '63', '91M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 81.5000000000001,63.0000000000001 82.0000000000001,64.0000000000001 82.0000000000001,64.0000000000001 81.5000000000001,63.0000000000001 81.5000000000001)))', '82', '81.5', '64', '63', '92M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 82.0000000000001,63.0000000000001 82.5000000000001,64.0000000000001 82.5000000000001,64.0000000000001 82.0000000000001,63.0000000000001 82.0000000000001)))', '82.5', '82', '64', '63', '93M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 82.5000000000001,63.0000000000001 83.0000000000001,64.0000000000001 83.0000000000001,64.0000000000001 82.5000000000001,63.0000000000001 82.5000000000001)))', '83', '82.5', '64', '63', '94M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 83.0000000000001,63.0000000000001 83.5000000000001,64.0000000000001 83.5000000000001,64.0000000000001 83.0000000000001,63.0000000000001 83.0000000000001)))', '83.5', '83', '64', '63', '95M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 83.5000000000001,63.0000000000001 84.0000000000001,64.0000000000001 84.0000000000001,64.0000000000001 83.5000000000001,63.0000000000001 83.5000000000001)))', '84', '83.5', '64', '63', '96M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 84.0000000000001,63.0000000000001 84.5000000000001,64.0000000000001 84.5000000000001,64.0000000000001 84.0000000000001,63.0000000000001 84.0000000000001)))', '84.5', '84', '64', '63', '97M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((63.0000000000001 84.5000000000001,63.0000000000001 85.0000000000001,64.0000000000001 85.0000000000001,64.0000000000001 84.5000000000001,63.0000000000001 84.5000000000001)))', '85', '84.5', '64', '63', '98M3', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 69.0000000000001,64.0000000000001 69.5000000000001,65.0000000000001 69.5000000000001,65.0000000000001 69.0000000000001,64.0000000000001 69.0000000000001)))', '69.5', '69', '65', '64', '67M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 69.5000000000001,64.0000000000001 70.0000000000001,65.0000000000001 70.0000000000001,65.0000000000001 69.5000000000001,64.0000000000001 69.5000000000001)))', '70', '69.5', '65', '64', '68M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 70.0000000000001,64.0000000000001 70.5000000000001,65.0000000000001 70.5000000000001,65.0000000000001 70.0000000000001,64.0000000000001 70.0000000000001)))', '70.5', '70', '65', '64', '69M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 70.5000000000001,64.0000000000001 71.0000000000001,65.0000000000001 71.0000000000001,65.0000000000001 70.5000000000001,64.0000000000001 70.5000000000001)))', '71', '70.5', '65', '64', '70M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 71.0000000000001,64.0000000000001 71.5000000000001,65.0000000000001 71.5000000000001,65.0000000000001 71.0000000000001,64.0000000000001 71.0000000000001)))', '71.5', '71', '65', '64', '71M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 71.5000000000001,64.0000000000001 72.0000000000001,65.0000000000001 72.0000000000001,65.0000000000001 71.5000000000001,64.0000000000001 71.5000000000001)))', '72', '71.5', '65', '64', '72M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 72.0000000000001,64.0000000000001 72.5000000000001,65.0000000000001 72.5000000000001,65.0000000000001 72.0000000000001,64.0000000000001 72.0000000000001)))', '72.5', '72', '65', '64', '73M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 72.5000000000001,64.0000000000001 73.0000000000001,65.0000000000001 73.0000000000001,65.0000000000001 72.5000000000001,64.0000000000001 72.5000000000001)))', '73', '72.5', '65', '64', '74M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 73.0000000000001,64.0000000000001 73.5000000000001,65.0000000000001 73.5000000000001,65.0000000000001 73.0000000000001,64.0000000000001 73.0000000000001)))', '73.5', '73', '65', '64', '75M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 73.5000000000001,64.0000000000001 74.0000000000001,65.0000000000001 74.0000000000001,65.0000000000001 73.5000000000001,64.0000000000001 73.5000000000001)))', '74', '73.5', '65', '64', '76M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 74.0000000000001,64.0000000000001 74.5000000000001,65.0000000000001 74.5000000000001,65.0000000000001 74.0000000000001,64.0000000000001 74.0000000000001)))', '74.5', '74', '65', '64', '77M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 74.5000000000001,64.0000000000001 75.0000000000001,65.0000000000001 75.0000000000001,65.0000000000001 74.5000000000001,64.0000000000001 74.5000000000001)))', '75', '74.5', '65', '64', '78M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 75.0000000000001,64.0000000000001 75.5000000000001,65.0000000000001 75.5000000000001,65.0000000000001 75.0000000000001,64.0000000000001 75.0000000000001)))', '75.5', '75', '65', '64', '79M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 75.5000000000001,64.0000000000001 76.0000000000001,65.0000000000001 76.0000000000001,65.0000000000001 75.5000000000001,64.0000000000001 75.5000000000001)))', '76', '75.5', '65', '64', '80M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 76.0000000000001,64.0000000000001 76.5000000000001,65.0000000000001 76.5000000000001,65.0000000000001 76.0000000000001,64.0000000000001 76.0000000000001)))', '76.5', '76', '65', '64', '81M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 76.5000000000001,64.0000000000001 77.0000000000001,65.0000000000001 77.0000000000001,65.0000000000001 76.5000000000001,64.0000000000001 76.5000000000001)))', '77', '76.5', '65', '64', '82M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 77.0000000000001,64.0000000000001 77.5000000000001,65.0000000000001 77.5000000000001,65.0000000000001 77.0000000000001,64.0000000000001 77.0000000000001)))', '77.5', '77', '65', '64', '83M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 77.5000000000001,64.0000000000001 78.0000000000001,65.0000000000001 78.0000000000001,65.0000000000001 77.5000000000001,64.0000000000001 77.5000000000001)))', '78', '77.5', '65', '64', '84M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 78.0000000000001,64.0000000000001 78.5000000000001,65.0000000000001 78.5000000000001,65.0000000000001 78.0000000000001,64.0000000000001 78.0000000000001)))', '78.5', '78', '65', '64', '85M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 78.5000000000001,64.0000000000001 79.0000000000001,65.0000000000001 79.0000000000001,65.0000000000001 78.5000000000001,64.0000000000001 78.5000000000001)))', '79', '78.5', '65', '64', '86M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 79.0000000000001,64.0000000000001 79.5000000000001,65.0000000000001 79.5000000000001,65.0000000000001 79.0000000000001,64.0000000000001 79.0000000000001)))', '79.5', '79', '65', '64', '87M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 79.5000000000001,64.0000000000001 80.0000000000001,65.0000000000001 80.0000000000001,65.0000000000001 79.5000000000001,64.0000000000001 79.5000000000001)))', '80', '79.5', '65', '64', '88M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 80.0000000000001,64.0000000000001 80.5000000000001,65.0000000000001 80.5000000000001,65.0000000000001 80.0000000000001,64.0000000000001 80.0000000000001)))', '80.5', '80', '65', '64', '89M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 80.5000000000001,64.0000000000001 81.0000000000001,65.0000000000001 81.0000000000001,65.0000000000001 80.5000000000001,64.0000000000001 80.5000000000001)))', '81', '80.5', '65', '64', '90M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 81.0000000000001,64.0000000000001 81.5000000000001,65.0000000000001 81.5000000000001,65.0000000000001 81.0000000000001,64.0000000000001 81.0000000000001)))', '81.5', '81', '65', '64', '91M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 81.5000000000001,64.0000000000001 82.0000000000001,65.0000000000001 82.0000000000001,65.0000000000001 81.5000000000001,64.0000000000001 81.5000000000001)))', '82', '81.5', '65', '64', '92M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 82.0000000000001,64.0000000000001 82.5000000000001,65.0000000000001 82.5000000000001,65.0000000000001 82.0000000000001,64.0000000000001 82.0000000000001)))', '82.5', '82', '65', '64', '93M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 82.5000000000001,64.0000000000001 83.0000000000001,65.0000000000001 83.0000000000001,65.0000000000001 82.5000000000001,64.0000000000001 82.5000000000001)))', '83', '82.5', '65', '64', '94M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 83.0000000000001,64.0000000000001 83.5000000000001,65.0000000000001 83.5000000000001,65.0000000000001 83.0000000000001,64.0000000000001 83.0000000000001)))', '83.5', '83', '65', '64', '95M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 83.5000000000001,64.0000000000001 84.0000000000001,65.0000000000001 84.0000000000001,65.0000000000001 83.5000000000001,64.0000000000001 83.5000000000001)))', '84', '83.5', '65', '64', '96M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 84.0000000000001,64.0000000000001 84.5000000000001,65.0000000000001 84.5000000000001,65.0000000000001 84.0000000000001,64.0000000000001 84.0000000000001)))', '84.5', '84', '65', '64', '97M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((64.0000000000001 84.5000000000001,64.0000000000001 85.0000000000001,65.0000000000001 85.0000000000001,65.0000000000001 84.5000000000001,64.0000000000001 84.5000000000001)))', '85', '84.5', '65', '64', '98M4', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 69.0000000000001,65.0000000000001 69.5000000000001,66.0000000000001 69.5000000000001,66.0000000000001 69.0000000000001,65.0000000000001 69.0000000000001)))', '69.5', '69', '66', '65', '67M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 69.5000000000001,65.0000000000001 70.0000000000001,66.0000000000001 70.0000000000001,66.0000000000001 69.5000000000001,65.0000000000001 69.5000000000001)))', '70', '69.5', '66', '65', '68M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 70.0000000000001,65.0000000000001 70.5000000000001,66.0000000000001 70.5000000000001,66.0000000000001 70.0000000000001,65.0000000000001 70.0000000000001)))', '70.5', '70', '66', '65', '69M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 70.5000000000001,65.0000000000001 71.0000000000001,66.0000000000001 71.0000000000001,66.0000000000001 70.5000000000001,65.0000000000001 70.5000000000001)))', '71', '70.5', '66', '65', '70M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 71.0000000000001,65.0000000000001 71.5000000000001,66.0000000000001 71.5000000000001,66.0000000000001 71.0000000000001,65.0000000000001 71.0000000000001)))', '71.5', '71', '66', '65', '71M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 71.5000000000001,65.0000000000001 72.0000000000001,66.0000000000001 72.0000000000001,66.0000000000001 71.5000000000001,65.0000000000001 71.5000000000001)))', '72', '71.5', '66', '65', '72M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 72.0000000000001,65.0000000000001 72.5000000000001,66.0000000000001 72.5000000000001,66.0000000000001 72.0000000000001,65.0000000000001 72.0000000000001)))', '72.5', '72', '66', '65', '73M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 72.5000000000001,65.0000000000001 73.0000000000001,66.0000000000001 73.0000000000001,66.0000000000001 72.5000000000001,65.0000000000001 72.5000000000001)))', '73', '72.5', '66', '65', '74M5', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((65.0000000000001 73.0000000000001,65.0000000000001 73.5000000000001,66.0000000000001 73.5000000000001,66.0000000000001 73.0000000000001,65.0000000000001 73.0000000000001)))', '73.5', '73', '66', '65', '75M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 73.5000000000001,65.0000000000001 74.0000000000001,66.0000000000001 74.0000000000001,66.0000000000001 73.5000000000001,65.0000000000001 73.5000000000001)))', '74', '73.5', '66', '65', '76M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 74.0000000000001,65.0000000000001 74.5000000000001,66.0000000000001 74.5000000000001,66.0000000000001 74.0000000000001,65.0000000000001 74.0000000000001)))', '74.5', '74', '66', '65', '77M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 74.5000000000001,65.0000000000001 75.0000000000001,66.0000000000001 75.0000000000001,66.0000000000001 74.5000000000001,65.0000000000001 74.5000000000001)))', '75', '74.5', '66', '65', '78M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 75.0000000000001,65.0000000000001 75.5000000000001,66.0000000000001 75.5000000000001,66.0000000000001 75.0000000000001,65.0000000000001 75.0000000000001)))', '75.5', '75', '66', '65', '79M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 75.5000000000001,65.0000000000001 76.0000000000001,66.0000000000001 76.0000000000001,66.0000000000001 75.5000000000001,65.0000000000001 75.5000000000001)))', '76', '75.5', '66', '65', '80M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 76.0000000000001,65.0000000000001 76.5000000000001,66.0000000000001 76.5000000000001,66.0000000000001 76.0000000000001,65.0000000000001 76.0000000000001)))', '76.5', '76', '66', '65', '81M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 76.5000000000001,65.0000000000001 77.0000000000001,66.0000000000001 77.0000000000001,66.0000000000001 76.5000000000001,65.0000000000001 76.5000000000001)))', '77', '76.5', '66', '65', '82M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 77.0000000000001,65.0000000000001 77.5000000000001,66.0000000000001 77.5000000000001,66.0000000000001 77.0000000000001,65.0000000000001 77.0000000000001)))', '77.5', '77', '66', '65', '83M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 77.5000000000001,65.0000000000001 78.0000000000001,66.0000000000001 78.0000000000001,66.0000000000001 77.5000000000001,65.0000000000001 77.5000000000001)))', '78', '77.5', '66', '65', '84M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 78.0000000000001,65.0000000000001 78.5000000000001,66.0000000000001 78.5000000000001,66.0000000000001 78.0000000000001,65.0000000000001 78.0000000000001)))', '78.5', '78', '66', '65', '85M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 78.5000000000001,65.0000000000001 79.0000000000001,66.0000000000001 79.0000000000001,66.0000000000001 78.5000000000001,65.0000000000001 78.5000000000001)))', '79', '78.5', '66', '65', '86M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 79.0000000000001,65.0000000000001 79.5000000000001,66.0000000000001 79.5000000000001,66.0000000000001 79.0000000000001,65.0000000000001 79.0000000000001)))', '79.5', '79', '66', '65', '87M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 79.5000000000001,65.0000000000001 80.0000000000001,66.0000000000001 80.0000000000001,66.0000000000001 79.5000000000001,65.0000000000001 79.5000000000001)))', '80', '79.5', '66', '65', '88M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 80.0000000000001,65.0000000000001 80.5000000000001,66.0000000000001 80.5000000000001,66.0000000000001 80.0000000000001,65.0000000000001 80.0000000000001)))', '80.5', '80', '66', '65', '89M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 80.5000000000001,65.0000000000001 81.0000000000001,66.0000000000001 81.0000000000001,66.0000000000001 80.5000000000001,65.0000000000001 80.5000000000001)))', '81', '80.5', '66', '65', '90M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 81.0000000000001,65.0000000000001 81.5000000000001,66.0000000000001 81.5000000000001,66.0000000000001 81.0000000000001,65.0000000000001 81.0000000000001)))', '81.5', '81', '66', '65', '91M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 81.5000000000001,65.0000000000001 82.0000000000001,66.0000000000001 82.0000000000001,66.0000000000001 81.5000000000001,65.0000000000001 81.5000000000001)))', '82', '81.5', '66', '65', '92M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 82.0000000000001,65.0000000000001 82.5000000000001,66.0000000000001 82.5000000000001,66.0000000000001 82.0000000000001,65.0000000000001 82.0000000000001)))', '82.5', '82', '66', '65', '93M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 82.5000000000001,65.0000000000001 83.0000000000001,66.0000000000001 83.0000000000001,66.0000000000001 82.5000000000001,65.0000000000001 82.5000000000001)))', '83', '82.5', '66', '65', '94M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 83.0000000000001,65.0000000000001 83.5000000000001,66.0000000000001 83.5000000000001,66.0000000000001 83.0000000000001,65.0000000000001 83.0000000000001)))', '83.5', '83', '66', '65', '95M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 83.5000000000001,65.0000000000001 84.0000000000001,66.0000000000001 84.0000000000001,66.0000000000001 83.5000000000001,65.0000000000001 83.5000000000001)))', '84', '83.5', '66', '65', '96M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 84.0000000000001,65.0000000000001 84.5000000000001,66.0000000000001 84.5000000000001,66.0000000000001 84.0000000000001,65.0000000000001 84.0000000000001)))', '84.5', '84', '66', '65', '97M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((65.0000000000001 84.5000000000001,65.0000000000001 85.0000000000001,66.0000000000001 85.0000000000001,66.0000000000001 84.5000000000001,65.0000000000001 84.5000000000001)))', '85', '84.5', '66', '65', '98M5', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 68.5000000000001,66.0000000000001 69.0000000000001,67.0000000000001 69.0000000000001,67.0000000000001 68.5000000000001,66.0000000000001 68.5000000000001)))', '69', '68.5', '67', '66', '66M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 69.0000000000001,66.0000000000001 69.5000000000001,67.0000000000001 69.5000000000001,67.0000000000001 69.0000000000001,66.0000000000001 69.0000000000001)))', '69.5', '69', '67', '66', '67M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 69.5000000000001,66.0000000000001 70.0000000000001,67.0000000000001 70.0000000000001,67.0000000000001 69.5000000000001,66.0000000000001 69.5000000000001)))', '70', '69.5', '67', '66', '68M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 70.0000000000001,66.0000000000001 70.5000000000001,67.0000000000001 70.5000000000001,67.0000000000001 70.0000000000001,66.0000000000001 70.0000000000001)))', '70.5', '70', '67', '66', '69M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 70.5000000000001,66.0000000000001 71.0000000000001,67.0000000000001 71.0000000000001,67.0000000000001 70.5000000000001,66.0000000000001 70.5000000000001)))', '71', '70.5', '67', '66', '70M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 71.0000000000001,66.0000000000001 71.5000000000001,67.0000000000001 71.5000000000001,67.0000000000001 71.0000000000001,66.0000000000001 71.0000000000001)))', '71.5', '71', '67', '66', '71M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 71.5000000000001,66.0000000000001 72.0000000000001,67.0000000000001 72.0000000000001,67.0000000000001 71.5000000000001,66.0000000000001 71.5000000000001)))', '72', '71.5', '67', '66', '72M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 72.0000000000001,66.0000000000001 72.5000000000001,67.0000000000001 72.5000000000001,67.0000000000001 72.0000000000001,66.0000000000001 72.0000000000001)))', '72.5', '72', '67', '66', '73M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 72.5000000000001,66.0000000000001 73.0000000000001,67.0000000000001 73.0000000000001,67.0000000000001 72.5000000000001,66.0000000000001 72.5000000000001)))', '73', '72.5', '67', '66', '74M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 73.0000000000001,66.0000000000001 73.5000000000001,67.0000000000001 73.5000000000001,67.0000000000001 73.0000000000001,66.0000000000001 73.0000000000001)))', '73.5', '73', '67', '66', '75M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 73.5000000000001,66.0000000000001 74.0000000000001,67.0000000000001 74.0000000000001,67.0000000000001 73.5000000000001,66.0000000000001 73.5000000000001)))', '74', '73.5', '67', '66', '76M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 74.0000000000001,66.0000000000001 74.5000000000001,67.0000000000001 74.5000000000001,67.0000000000001 74.0000000000001,66.0000000000001 74.0000000000001)))', '74.5', '74', '67', '66', '77M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 74.5000000000001,66.0000000000001 75.0000000000001,67.0000000000001 75.0000000000001,67.0000000000001 74.5000000000001,66.0000000000001 74.5000000000001)))', '75', '74.5', '67', '66', '78M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 75.0000000000001,66.0000000000001 75.5000000000001,67.0000000000001 75.5000000000001,67.0000000000001 75.0000000000001,66.0000000000001 75.0000000000001)))', '75.5', '75', '67', '66', '79M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 75.5000000000001,66.0000000000001 76.0000000000001,67.0000000000001 76.0000000000001,67.0000000000001 75.5000000000001,66.0000000000001 75.5000000000001)))', '76', '75.5', '67', '66', '80M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 76.0000000000001,66.0000000000001 76.5000000000001,67.0000000000001 76.5000000000001,67.0000000000001 76.0000000000001,66.0000000000001 76.0000000000001)))', '76.5', '76', '67', '66', '81M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 76.5000000000001,66.0000000000001 77.0000000000001,67.0000000000001 77.0000000000001,67.0000000000001 76.5000000000001,66.0000000000001 76.5000000000001)))', '77', '76.5', '67', '66', '82M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 77.0000000000001,66.0000000000001 77.5000000000001,67.0000000000001 77.5000000000001,67.0000000000001 77.0000000000001,66.0000000000001 77.0000000000001)))', '77.5', '77', '67', '66', '83M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 77.5000000000001,66.0000000000001 78.0000000000001,67.0000000000001 78.0000000000001,67.0000000000001 77.5000000000001,66.0000000000001 77.5000000000001)))', '78', '77.5', '67', '66', '84M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 78.0000000000001,66.0000000000001 78.5000000000001,67.0000000000001 78.5000000000001,67.0000000000001 78.0000000000001,66.0000000000001 78.0000000000001)))', '78.5', '78', '67', '66', '85M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 78.5000000000001,66.0000000000001 79.0000000000001,67.0000000000001 79.0000000000001,67.0000000000001 78.5000000000001,66.0000000000001 78.5000000000001)))', '79', '78.5', '67', '66', '86M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 79.0000000000001,66.0000000000001 79.5000000000001,67.0000000000001 79.5000000000001,67.0000000000001 79.0000000000001,66.0000000000001 79.0000000000001)))', '79.5', '79', '67', '66', '87M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 79.5000000000001,66.0000000000001 80.0000000000001,67.0000000000001 80.0000000000001,67.0000000000001 79.5000000000001,66.0000000000001 79.5000000000001)))', '80', '79.5', '67', '66', '88M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 80.0000000000001,66.0000000000001 80.5000000000001,67.0000000000001 80.5000000000001,67.0000000000001 80.0000000000001,66.0000000000001 80.0000000000001)))', '80.5', '80', '67', '66', '89M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 80.5000000000001,66.0000000000001 81.0000000000001,67.0000000000001 81.0000000000001,67.0000000000001 80.5000000000001,66.0000000000001 80.5000000000001)))', '81', '80.5', '67', '66', '90M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 81.0000000000001,66.0000000000001 81.5000000000001,67.0000000000001 81.5000000000001,67.0000000000001 81.0000000000001,66.0000000000001 81.0000000000001)))', '81.5', '81', '67', '66', '91M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 81.5000000000001,66.0000000000001 82.0000000000001,67.0000000000001 82.0000000000001,67.0000000000001 81.5000000000001,66.0000000000001 81.5000000000001)))', '82', '81.5', '67', '66', '92M6', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((66.0000000000001 82.0000000000001,66.0000000000001 82.5000000000001,67.0000000000001 82.5000000000001,67.0000000000001 82.0000000000001,66.0000000000001 82.0000000000001)))', '82.5', '82', '67', '66', '93M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 82.5000000000001,66.0000000000001 83.0000000000001,67.0000000000001 83.0000000000001,67.0000000000001 82.5000000000001,66.0000000000001 82.5000000000001)))', '83', '82.5', '67', '66', '94M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 83.0000000000001,66.0000000000001 83.5000000000001,67.0000000000001 83.5000000000001,67.0000000000001 83.0000000000001,66.0000000000001 83.0000000000001)))', '83.5', '83', '67', '66', '95M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 83.5000000000001,66.0000000000001 84.0000000000001,67.0000000000001 84.0000000000001,67.0000000000001 83.5000000000001,66.0000000000001 83.5000000000001)))', '84', '83.5', '67', '66', '96M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 84.0000000000001,66.0000000000001 84.5000000000001,67.0000000000001 84.5000000000001,67.0000000000001 84.0000000000001,66.0000000000001 84.0000000000001)))', '84.5', '84', '67', '66', '97M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((66.0000000000001 84.5000000000001,66.0000000000001 85.0000000000001,67.0000000000001 85.0000000000001,67.0000000000001 84.5000000000001,66.0000000000001 84.5000000000001)))', '85', '84.5', '67', '66', '98M6', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 68.0000000000001,67.0000000000001 68.5000000000001,68.0000000000001 68.5000000000001,68.0000000000001 68.0000000000001,67.0000000000001 68.0000000000001)))', '68.5', '68', '68', '67', '65M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 68.5000000000001,67.0000000000001 69.0000000000001,68.0000000000001 69.0000000000001,68.0000000000001 68.5000000000001,67.0000000000001 68.5000000000001)))', '69', '68.5', '68', '67', '66M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 69.0000000000001,67.0000000000001 69.5000000000001,68.0000000000001 69.5000000000001,68.0000000000001 69.0000000000001,67.0000000000001 69.0000000000001)))', '69.5', '69', '68', '67', '67M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 69.5000000000001,67.0000000000001 70.0000000000001,68.0000000000001 70.0000000000001,68.0000000000001 69.5000000000001,67.0000000000001 69.5000000000001)))', '70', '69.5', '68', '67', '68M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 70.0000000000001,67.0000000000001 70.5000000000001,68.0000000000001 70.5000000000001,68.0000000000001 70.0000000000001,67.0000000000001 70.0000000000001)))', '70.5', '70', '68', '67', '69M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 70.5000000000001,67.0000000000001 71.0000000000001,68.0000000000001 71.0000000000001,68.0000000000001 70.5000000000001,67.0000000000001 70.5000000000001)))', '71', '70.5', '68', '67', '70M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 71.0000000000001,67.0000000000001 71.5000000000001,68.0000000000001 71.5000000000001,68.0000000000001 71.0000000000001,67.0000000000001 71.0000000000001)))', '71.5', '71', '68', '67', '71M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 71.5000000000001,67.0000000000001 72.0000000000001,68.0000000000001 72.0000000000001,68.0000000000001 71.5000000000001,67.0000000000001 71.5000000000001)))', '72', '71.5', '68', '67', '72M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 72.0000000000001,67.0000000000001 72.5000000000001,68.0000000000001 72.5000000000001,68.0000000000001 72.0000000000001,67.0000000000001 72.0000000000001)))', '72.5', '72', '68', '67', '73M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 72.5000000000001,67.0000000000001 73.0000000000001,68.0000000000001 73.0000000000001,68.0000000000001 72.5000000000001,67.0000000000001 72.5000000000001)))', '73', '72.5', '68', '67', '74M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 73.0000000000001,67.0000000000001 73.5000000000001,68.0000000000001 73.5000000000001,68.0000000000001 73.0000000000001,67.0000000000001 73.0000000000001)))', '73.5', '73', '68', '67', '75M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 73.5000000000001,67.0000000000001 74.0000000000001,68.0000000000001 74.0000000000001,68.0000000000001 73.5000000000001,67.0000000000001 73.5000000000001)))', '74', '73.5', '68', '67', '76M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 74.0000000000001,67.0000000000001 74.5000000000001,68.0000000000001 74.5000000000001,68.0000000000001 74.0000000000001,67.0000000000001 74.0000000000001)))', '74.5', '74', '68', '67', '77M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 74.5000000000001,67.0000000000001 75.0000000000001,68.0000000000001 75.0000000000001,68.0000000000001 74.5000000000001,67.0000000000001 74.5000000000001)))', '75', '74.5', '68', '67', '78M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 75.0000000000001,67.0000000000001 75.5000000000001,68.0000000000001 75.5000000000001,68.0000000000001 75.0000000000001,67.0000000000001 75.0000000000001)))', '75.5', '75', '68', '67', '79M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 75.5000000000001,67.0000000000001 76.0000000000001,68.0000000000001 76.0000000000001,68.0000000000001 75.5000000000001,67.0000000000001 75.5000000000001)))', '76', '75.5', '68', '67', '80M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 76.0000000000001,67.0000000000001 76.5000000000001,68.0000000000001 76.5000000000001,68.0000000000001 76.0000000000001,67.0000000000001 76.0000000000001)))', '76.5', '76', '68', '67', '81M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 76.5000000000001,67.0000000000001 77.0000000000001,68.0000000000001 77.0000000000001,68.0000000000001 76.5000000000001,67.0000000000001 76.5000000000001)))', '77', '76.5', '68', '67', '82M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 77.0000000000001,67.0000000000001 77.5000000000001,68.0000000000001 77.5000000000001,68.0000000000001 77.0000000000001,67.0000000000001 77.0000000000001)))', '77.5', '77', '68', '67', '83M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 77.5000000000001,67.0000000000001 78.0000000000001,68.0000000000001 78.0000000000001,68.0000000000001 77.5000000000001,67.0000000000001 77.5000000000001)))', '78', '77.5', '68', '67', '84M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 78.0000000000001,67.0000000000001 78.5000000000001,68.0000000000001 78.5000000000001,68.0000000000001 78.0000000000001,67.0000000000001 78.0000000000001)))', '78.5', '78', '68', '67', '85M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 78.5000000000001,67.0000000000001 79.0000000000001,68.0000000000001 79.0000000000001,68.0000000000001 78.5000000000001,67.0000000000001 78.5000000000001)))', '79', '78.5', '68', '67', '86M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 79.0000000000001,67.0000000000001 79.5000000000001,68.0000000000001 79.5000000000001,68.0000000000001 79.0000000000001,67.0000000000001 79.0000000000001)))', '79.5', '79', '68', '67', '87M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 79.5000000000001,67.0000000000001 80.0000000000001,68.0000000000001 80.0000000000001,68.0000000000001 79.5000000000001,67.0000000000001 79.5000000000001)))', '80', '79.5', '68', '67', '88M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 80.0000000000001,67.0000000000001 80.5000000000001,68.0000000000001 80.5000000000001,68.0000000000001 80.0000000000001,67.0000000000001 80.0000000000001)))', '80.5', '80', '68', '67', '89M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 80.5000000000001,67.0000000000001 81.0000000000001,68.0000000000001 81.0000000000001,68.0000000000001 80.5000000000001,67.0000000000001 80.5000000000001)))', '81', '80.5', '68', '67', '90M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 81.0000000000001,67.0000000000001 81.5000000000001,68.0000000000001 81.5000000000001,68.0000000000001 81.0000000000001,67.0000000000001 81.0000000000001)))', '81.5', '81', '68', '67', '91M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 81.5000000000001,67.0000000000001 82.0000000000001,68.0000000000001 82.0000000000001,68.0000000000001 81.5000000000001,67.0000000000001 81.5000000000001)))', '82', '81.5', '68', '67', '92M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 82.0000000000001,67.0000000000001 82.5000000000001,68.0000000000001 82.5000000000001,68.0000000000001 82.0000000000001,67.0000000000001 82.0000000000001)))', '82.5', '82', '68', '67', '93M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 82.5000000000001,67.0000000000001 83.0000000000001,68.0000000000001 83.0000000000001,68.0000000000001 82.5000000000001,67.0000000000001 82.5000000000001)))', '83', '82.5', '68', '67', '94M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 83.0000000000001,67.0000000000001 83.5000000000001,68.0000000000001 83.5000000000001,68.0000000000001 83.0000000000001,67.0000000000001 83.0000000000001)))', '83.5', '83', '68', '67', '95M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 83.5000000000001,67.0000000000001 84.0000000000001,68.0000000000001 84.0000000000001,68.0000000000001 83.5000000000001,67.0000000000001 83.5000000000001)))', '84', '83.5', '68', '67', '96M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 84.0000000000001,67.0000000000001 84.5000000000001,68.0000000000001 84.5000000000001,68.0000000000001 84.0000000000001,67.0000000000001 84.0000000000001)))', '84.5', '84', '68', '67', '97M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((67.0000000000001 84.5000000000001,67.0000000000001 85.0000000000001,68.0000000000001 85.0000000000001,68.0000000000001 84.5000000000001,67.0000000000001 84.5000000000001)))', '85', '84.5', '68', '67', '98M7', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 68.0000000000001,68.0000000000001 68.5000000000001,69.0000000000001 68.5000000000001,69.0000000000001 68.0000000000001,68.0000000000001 68.0000000000001)))', '68.5', '68', '69', '68', '65M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 68.5000000000001,68.0000000000001 69.0000000000001,69.0000000000001 69.0000000000001,69.0000000000001 68.5000000000001,68.0000000000001 68.5000000000001)))', '69', '68.5', '69', '68', '66M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 69.0000000000001,68.0000000000001 69.5000000000001,69.0000000000001 69.5000000000001,69.0000000000001 69.0000000000001,68.0000000000001 69.0000000000001)))', '69.5', '69', '69', '68', '67M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 69.5000000000001,68.0000000000001 70.0000000000001,69.0000000000001 70.0000000000001,69.0000000000001 69.5000000000001,68.0000000000001 69.5000000000001)))', '70', '69.5', '69', '68', '68M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 71.5000000000001,68.0000000000001 72.0000000000001,69.0000000000001 72.0000000000001,69.0000000000001 71.5000000000001,68.0000000000001 71.5000000000001)))', '72', '71.5', '69', '68', '72M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 72.0000000000001,68.0000000000001 72.5000000000001,69.0000000000001 72.5000000000001,69.0000000000001 72.0000000000001,68.0000000000001 72.0000000000001)))', '72.5', '72', '69', '68', '73M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 72.5000000000001,68.0000000000001 73.0000000000001,69.0000000000001 73.0000000000001,69.0000000000001 72.5000000000001,68.0000000000001 72.5000000000001)))', '73', '72.5', '69', '68', '74M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 73.0000000000001,68.0000000000001 73.5000000000001,69.0000000000001 73.5000000000001,69.0000000000001 73.0000000000001,68.0000000000001 73.0000000000001)))', '73.5', '73', '69', '68', '75M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 73.5000000000001,68.0000000000001 74.0000000000001,69.0000000000001 74.0000000000001,69.0000000000001 73.5000000000001,68.0000000000001 73.5000000000001)))', '74', '73.5', '69', '68', '76M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 74.0000000000001,68.0000000000001 74.5000000000001,69.0000000000001 74.5000000000001,69.0000000000001 74.0000000000001,68.0000000000001 74.0000000000001)))', '74.5', '74', '69', '68', '77M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 74.5000000000001,68.0000000000001 75.0000000000001,69.0000000000001 75.0000000000001,69.0000000000001 74.5000000000001,68.0000000000001 74.5000000000001)))', '75', '74.5', '69', '68', '78M8', 'ICES', 'Y');

INSERT INTO stat_rect (geom, north, south, east, west, code, name, enabled) VALUES ('SRID=4326;MULTIPOLYGON(((68.0000000000001 75.0000000000001,68.0000000000001 75.5000000000001,69.0000000000001 75.5000000000001,69.0000000000001 75.0000000000001,68.0000000000001 75.0000000000001)))', '75.5', '75', '69', '68', '79M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 75.5000000000001,68.0000000000001 76.0000000000001,69.0000000000001 76.0000000000001,69.0000000000001 75.5000000000001,68.0000000000001 75.5000000000001)))', '76', '75.5', '69', '68', '80M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 76.0000000000001,68.0000000000001 76.5000000000001,69.0000000000001 76.5000000000001,69.0000000000001 76.0000000000001,68.0000000000001 76.0000000000001)))', '76.5', '76', '69', '68', '81M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 76.5000000000001,68.0000000000001 77.0000000000001,69.0000000000001 77.0000000000001,69.0000000000001 76.5000000000001,68.0000000000001 76.5000000000001)))', '77', '76.5', '69', '68', '82M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 77.0000000000001,68.0000000000001 77.5000000000001,69.0000000000001 77.5000000000001,69.0000000000001 77.0000000000001,68.0000000000001 77.0000000000001)))', '77.5', '77', '69', '68', '83M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 77.5000000000001,68.0000000000001 78.0000000000001,69.0000000000001 78.0000000000001,69.0000000000001 77.5000000000001,68.0000000000001 77.5000000000001)))', '78', '77.5', '69', '68', '84M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 78.0000000000001,68.0000000000001 78.5000000000001,69.0000000000001 78.5000000000001,69.0000000000001 78.0000000000001,68.0000000000001 78.0000000000001)))', '78.5', '78', '69', '68', '85M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 78.5000000000001,68.0000000000001 79.0000000000001,69.0000000000001 79.0000000000001,69.0000000000001 78.5000000000001,68.0000000000001 78.5000000000001)))', '79', '78.5', '69', '68', '86M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 79.0000000000001,68.0000000000001 79.5000000000001,69.0000000000001 79.5000000000001,69.0000000000001 79.0000000000001,68.0000000000001 79.0000000000001)))', '79.5', '79', '69', '68', '87M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 79.5000000000001,68.0000000000001 80.0000000000001,69.0000000000001 80.0000000000001,69.0000000000001 79.5000000000001,68.0000000000001 79.5000000000001)))', '80', '79.5', '69', '68', '88M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 80.0000000000001,68.0000000000001 80.5000000000001,69.0000000000001 80.5000000000001,69.0000000000001 80.0000000000001,68.0000000000001 80.0000000000001)))', '80.5', '80', '69', '68', '89M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 80.5000000000001,68.0000000000001 81.0000000000001,69.0000000000001 81.0000000000001,69.0000000000001 80.5000000000001,68.0000000000001 80.5000000000001)))', '81', '80.5', '69', '68', '90M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 81.0000000000001,68.0000000000001 81.5000000000001,69.0000000000001 81.5000000000001,69.0000000000001 81.0000000000001,68.0000000000001 81.0000000000001)))', '81.5', '81', '69', '68', '91M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 81.5000000000001,68.0000000000001 82.0000000000001,69.0000000000001 82.0000000000001,69.0000000000001 81.5000000000001,68.0000000000001 81.5000000000001)))', '82', '81.5', '69', '68', '92M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 82.0000000000001,68.0000000000001 82.5000000000001,69.0000000000001 82.5000000000001,69.0000000000001 82.0000000000001,68.0000000000001 82.0000000000001)))', '82.5', '82', '69', '68', '93M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 82.5000000000001,68.0000000000001 83.0000000000001,69.0000000000001 83.0000000000001,69.0000000000001 82.5000000000001,68.0000000000001 82.5000000000001)))', '83', '82.5', '69', '68', '94M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 83.0000000000001,68.0000000000001 83.5000000000001,69.0000000000001 83.5000000000001,69.0000000000001 83.0000000000001,68.0000000000001 83.0000000000001)))', '83.5', '83', '69', '68', '95M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 83.5000000000001,68.0000000000001 84.0000000000001,69.0000000000001 84.0000000000001,69.0000000000001 83.5000000000001,68.0000000000001 83.5000000000001)))', '84', '83.5', '69', '68', '96M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 84.0000000000001,68.0000000000001 84.5000000000001,69.0000000000001 84.5000000000001,69.0000000000001 84.0000000000001,68.0000000000001 84.0000000000001)))', '84.5', '84', '69', '68', '97M8', 'ICES', 'Y'),('SRID=4326;MULTIPOLYGON(((68.0000000000001 84.5000000000001,68.0000000000001 85.0000000000001,69.0000000000001 85.0000000000001,69.0000000000001 84.5000000000001,68.0000000000001 84.5000000000001)))', '85', '84.5', '69', '68', '98M8', 'ICES', 'Y');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1436863739768-2', 'martinhu', 'changelog/v0.1/db-changelog-insertStaticValues_0.1.xml', NOW(), 159, '8:7c2a30aeb24864d214ef6d8cced07dc5', 'loadData tableName=eez; loadData tableName=fao; loadData tableName=gfcm; loadData tableName=port_area; loadData tableName=port; loadData tableName=rfmo; loadData tableName=stat_rect', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v0.4.2/db-changelog-042-001.xml::001::Greg
CREATE OR REPLACE VIEW user_areas_v AS select * from user_areas as areas LEFT JOIN
            (select a.user_area_id as id, string_agg(a.scope, '|') as scopes from
            (select user_area_id, '#'||scope_name||'#' as scope from user_scope group by scope, user_area_id) as a
            group by a.user_area_id) as area_scopes ON areas.gid = area_scopes.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('001', 'Greg', 'changelog/v0.4.2/db-changelog-042-001.xml', NOW(), 161, '8:13cde5949c82211d31b80dff5b7615db', 'createView viewName=user_areas_v', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v1.0.2/db-changelog-102-001.xml::0fb04dfe-815b-41ae-8887-446f63ac492e::emrinalgr
UPDATE system_configurations SET value = 'http://localhost:8080/geoserver/' WHERE name='geo_server_url';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('0fb04dfe-815b-41ae-8887-446f63ac492e', 'emrinalgr', 'changelog/v1.0.2/db-changelog-102-001.xml', NOW(), 163, '8:49c39f96b25d2e930cea27fdffc3f3e8', 'update tableName=system_configurations', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v1.0.6/db-changelog-106-001.xml::addIndexOnTableReport_layer_configAndColumnReport_connect_service_area_id::stihft
CREATE INDEX report_layer_config_i_1 ON report_layer_config(report_connect_service_area_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableReport_layer_configAndColumnReport_connect_service_area_id', 'stihft', 'changelog/v1.0.6/db-changelog-106-001.xml', NOW(), 165, '8:13ef874e6ce0a12c20b31027970704a1', 'createIndex indexName=report_layer_config_i_1, tableName=report_layer_config', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v1.0.6/db-changelog-106-001.xml::addIndexOnTableReport_connect_service_areaAndColumnService_layer_id::stihft
CREATE INDEX report_connect_service_area_i_1 ON report_connect_service_area(service_layer_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableReport_connect_service_areaAndColumnService_layer_id', 'stihft', 'changelog/v1.0.6/db-changelog-106-001.xml', NOW(), 167, '8:ff8e6491e88940bafdfc11699376fefd', 'createIndex indexName=report_connect_service_area_i_1, tableName=report_connect_service_area', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v1.0.6/db-changelog-106-001.xml::addIndexOnTableReport_connect_service_areaAndColumnReport_connect_spatial_id::stihft
CREATE INDEX report_connect_service_area_i_2 ON report_connect_service_area(report_connect_spatial_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableReport_connect_service_areaAndColumnReport_connect_spatial_id', 'stihft', 'changelog/v1.0.6/db-changelog-106-001.xml', NOW(), 169, '8:89349be750318b640b525fe30c4fbf00', 'createIndex indexName=report_connect_service_area_i_2, tableName=report_connect_service_area', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v1.0.6/db-changelog-106-001.xml::addIndexOnTableReport_connect_spatialAndColumnDisplay_proj_id::stihft
CREATE INDEX report_connect_spatial_i_1 ON report_connect_spatial(display_proj_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableReport_connect_spatialAndColumnDisplay_proj_id', 'stihft', 'changelog/v1.0.6/db-changelog-106-001.xml', NOW(), 171, '8:2c3799ce1b402dd87801adfd0a3f145e', 'createIndex indexName=report_connect_spatial_i_1, tableName=report_connect_spatial', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v1.0.6/db-changelog-106-001.xml::addIndexOnTableReport_connect_spatialAndColumnMap_proj_id::stihft
CREATE INDEX report_connect_spatial_i_2 ON report_connect_spatial(map_proj_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableReport_connect_spatialAndColumnMap_proj_id', 'stihft', 'changelog/v1.0.6/db-changelog-106-001.xml', NOW(), 173, '8:aeb5dce066d2770de354748389e00f6b', 'createIndex indexName=report_connect_spatial_i_2, tableName=report_connect_spatial', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v1.0.6/db-changelog-106-001.xml::addIndexOnTableReport_connect_spatialAndColumnService_layer_id::stihft
CREATE INDEX area_location_types_i_1 ON area_location_types(service_layer_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableReport_connect_spatialAndColumnService_layer_id', 'stihft', 'changelog/v1.0.6/db-changelog-106-001.xml', NOW(), 175, '8:c1792e1b34cacfe7edb98fa3bf9674fe', 'createIndex indexName=area_location_types_i_1, tableName=area_location_types', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v1.0.6/db-changelog-106-001.xml::addIndexOnTableService_layerAndColumnProvider_format_id::stihft
CREATE INDEX service_layer_i_1 ON service_layer(provider_format_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableService_layerAndColumnProvider_format_id', 'stihft', 'changelog/v1.0.6/db-changelog-106-001.xml', NOW(), 177, '8:9321a1f531dea3bc0807009a018a0a80', 'createIndex indexName=service_layer_i_1, tableName=service_layer', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v1.0.6/db-changelog-106-001.xml::addIndexOnTableUser_scopeAndColumnUser_area_id::stihft
CREATE INDEX user_scope_i_1 ON user_scope(user_area_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableUser_scopeAndColumnUser_area_id', 'stihft', 'changelog/v1.0.6/db-changelog-106-001.xml', NOW(), 179, '8:9b792362c3957397b471a85158c07cc5', 'createIndex indexName=user_scope_i_1, tableName=user_scope', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset schema/tables/parameter.xml::Create parameter table::peerik
CREATE TABLE parameter (param_id VARCHAR(500) NOT NULL, param_description VARCHAR(500) NOT NULL, param_value VARCHAR(4000), CONSTRAINT param_pk PRIMARY KEY (param_id));

COMMENT ON TABLE parameter IS 'Table as a placeholder of parameters and its values';

COMMENT ON COLUMN parameter.param_id IS 'Id and code for parameter.';

COMMENT ON COLUMN parameter.param_description IS 'Description of parameter or value.';

COMMENT ON COLUMN parameter.param_value IS 'Parameter value.';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Create parameter table', 'peerik', 'schema/tables/parameter.xml', NOW(), 181, '8:b092ef33e5d314da2e782e5383c142cf', 'createTable tableName=parameter', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v2.0.0/db-changelog-addDbFunctionForSpatialFunctions.xml::spatial db-functions::joemat
CREATE OR REPLACE FUNCTION spatial.get_Areas_By_Point(inPoint geometry) returns TABLE(indexRS integer, type text, gid bigint, code varchar(20), name varchar)AS $$
            BEGIN
            return query (SELECT 1 as indexRS,'EEZ' as type, e.gid, e.code, e.name FROM spatial.eez e WHERE ST_Within(inPoint, geom) AND enabled = true
            UNION ALL (SELECT 2 as indexRS,'RFMO' as type, r.gid, r.code, r.name FROM spatial.rfmo r WHERE ST_Within(inPoint, geom) AND enabled = true)
            UNION ALL (SELECT 3 as indexRS,'USERAREA' as type, u.gid, u.code, u.name FROM spatial.user_areas u WHERE ST_Within(inPoint, geom) AND enabled = true)
            UNION ALL (SELECT 4 as indexRS,'PORTAREA' as type, p.gid, p.code, p.name FROM spatial.port_area p WHERE ST_Within(inPoint, geom) AND enabled = true)
            UNION ALL (SELECT 5 as indexRS,'STATRECT' as type, s.gid, s.code, s.name FROM spatial.stat_rect s WHERE ST_Within(inPoint, geom) AND enabled = true)
            UNION ALL (SELECT 6 as indexRS,'GFCM' as type, g.gid, g.code, g.name FROM spatial.gfcm g WHERE ST_Within(inPoint, geom) AND enabled = true)
            UNION ALL (SELECT 7 as indexRS,'FAO' as type, f.gid, f.code, f.name FROM spatial.fao f WHERE ST_Within(inPoint, geom) AND enabled = true)
            ORDER BY indexRS, gid ASC);
            END;
            $$ LANGUAGE 'plpgsql';

CREATE OR REPLACE FUNCTION spatial.get_Closest_Areas(inPoint geometry) returns TABLE(type varchar, gid bigint, code character varying(20), name varchar, geom geometry, dist double precision)AS $$
            BEGIN
            return query (WITH candidates AS (SELECT cast('EEZ' as varchar) as type, e.gid, e.code, e.name, e.geom FROM spatial.eez e WHERE enabled = true ORDER BY e.geom <-> inpoint LIMIT 10) SELECT c.type, c.gid, c.code, c.name, c.geom as closest, _ST_DistanceUnCached(c.geom, inpoint, true) as dist FROM candidates c ORDER BY dist LIMIT 1 )
            UNION ALL (WITH candidates AS (SELECT cast('RFMO' as varchar) as type, r.gid, r.code, r.name, r.geom FROM spatial.rfmo r WHERE enabled = true ORDER BY r.geom <-> inpoint LIMIT 10) SELECT c.type, c.gid, c.code, c.name, c.geom as closest, _ST_DistanceUnCached(c.geom, inpoint, true) as dist FROM candidates c ORDER BY dist LIMIT 1)
            UNION ALL (WITH candidates AS (SELECT cast('USERAREA' as varchar) as type, u.gid, u.code, u.name, u.geom FROM spatial.user_areas u WHERE enabled = true ORDER BY u.geom <-> inpoint LIMIT 10) SELECT c.type, c.gid, c.code, c.name, c.geom as closest, _ST_DistanceUnCached(c.geom, inpoint, true) as dist FROM candidates c ORDER BY dist LIMIT 1)
            UNION ALL (WITH candidates AS (SELECT cast('PORTAREA' as varchar) as type, p.gid, p.code, p.name, p.geom FROM spatial.port_area p WHERE enabled = true ORDER BY p.geom <-> inpoint LIMIT 10) SELECT c.type, c.gid, c.code, c.name, c.geom as closest, _ST_DistanceUnCached(c.geom, inpoint, true) as dist FROM candidates c ORDER BY dist LIMIT 1)
            UNION ALL (WITH candidates AS (SELECT cast('STATRECT' as varchar) as type, s.gid, s.code, s.name, s.geom FROM spatial.stat_rect s WHERE enabled = true ORDER BY s.geom <-> inpoint LIMIT 10) SELECT c.type, c.gid, c.code, c.name, c.geom as closest, _ST_DistanceUnCached(c.geom, inpoint, true) as dist FROM candidates c ORDER BY dist LIMIT 1)
            UNION ALL (WITH candidates AS (SELECT cast('GFCM' as varchar) as type, g.gid, g.code, g.name, g.geom FROM spatial.gfcm g WHERE enabled = true ORDER BY g.geom <-> inpoint LIMIT 10) SELECT c.type, c.gid, c.code, c.name, c.geom as closest, _ST_DistanceUnCached(c.geom, inpoint, true) as dist FROM candidates c ORDER BY dist LIMIT 1)
            UNION ALL (WITH candidates AS (SELECT cast('FAO' as varchar) as type, f.gid, f.code, f.name, f.geom FROM spatial.fao f WHERE enabled = true ORDER BY f.geom <-> inpoint LIMIT 10) SELECT c.type, c.gid, c.code, c.name, c.geom as closest, _ST_DistanceUnCached(c.geom, inpoint, true) as dist FROM candidates c ORDER BY dist LIMIT 1)
            ;
            END;
            $$ LANGUAGE 'plpgsql';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('spatial db-functions', 'joemat', 'changelog/v2.0.0/db-changelog-addDbFunctionForSpatialFunctions.xml', NOW(), 183, '8:58eb2e1fbdfc247d711dca5b84e10c0e', 'sql; sql', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v2.0.1/db-changelog-addIndexes.xml::add index for area codes::joemat
CREATE INDEX port_code_idx ON port(code, enabled);

CREATE INDEX eez_code_idx ON eez(code, enabled);

CREATE INDEX fao_code_idx ON fao(code, enabled);

CREATE INDEX gfcm_code_idx ON gfcm(code, enabled);

CREATE INDEX port_area_code_idx ON port_area(code, enabled);

CREATE INDEX stat_rect_code_idx ON stat_rect(code, enabled);

CREATE INDEX user_areas_code_idx ON user_areas(code, enabled);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add index for area codes', 'joemat', 'changelog/v2.0.1/db-changelog-addIndexes.xml', NOW(), 185, '8:b88dfc142b2f7da5910c32f33044ebab', 'createIndex indexName=port_code_idx, tableName=port; createIndex indexName=eez_code_idx, tableName=eez; createIndex indexName=fao_code_idx, tableName=fao; createIndex indexName=gfcm_code_idx, tableName=gfcm; createIndex indexName=port_area_code_id...', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v2.0.6/db-changelog-addTableAreaUpdate.xml::add table for saving uploaded area update info::joemat
CREATE TABLE area_update (id SERIAL NOT NULL, uploaded_file BYTEA, area_type VARCHAR(100), uploaded_date TIMESTAMP WITH TIME ZONE, uploader VARCHAR(100), process_completed BOOLEAN, CONSTRAINT area_update_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add table for saving uploaded area update info', 'joemat', 'changelog/v2.0.6/db-changelog-addTableAreaUpdate.xml', NOW(), 187, '8:3ee8ccd96ac058e3f33931404bca8a62', 'createTable tableName=area_update', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v2.0.10/db-changelog-changeDBTypesOnSomeAreaEntitys.xml::Change size of a couple of varchar fields in eez, fao and port::joemat
ALTER TABLE port ALTER COLUMN name TYPE VARCHAR(250) USING (name::VARCHAR(250));

ALTER TABLE eez ALTER COLUMN date_chang TYPE VARCHAR(250) USING (date_chang::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN ocean TYPE VARCHAR(250) USING (ocean::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN subocean TYPE VARCHAR(250) USING (subocean::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN f_area TYPE VARCHAR(250) USING (f_area::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN name TYPE VARCHAR(250) USING (name::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN area_l TYPE VARCHAR(250) USING (area_l::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN f_subarea TYPE VARCHAR(250) USING (f_subarea::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN subarea_n TYPE VARCHAR(250) USING (subarea_n::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN subarea_l TYPE VARCHAR(250) USING (subarea_l::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN f_division TYPE VARCHAR(250) USING (f_division::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN division_n TYPE VARCHAR(250) USING (division_n::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN division_l TYPE VARCHAR(250) USING (division_l::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN f_subdivis TYPE VARCHAR(250) USING (f_subdivis::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN subdivis_n TYPE VARCHAR(250) USING (subdivis_n::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN subdivis_l TYPE VARCHAR(250) USING (subdivis_l::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN f_subunit TYPE VARCHAR(250) USING (f_subunit::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN subunit_n TYPE VARCHAR(250) USING (subunit_n::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN subunit_l TYPE VARCHAR(250) USING (subunit_l::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN ele_name TYPE VARCHAR(250) USING (ele_name::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN ele_label TYPE VARCHAR(250) USING (ele_label::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN ele_type TYPE VARCHAR(250) USING (ele_type::VARCHAR(250));

ALTER TABLE fao ALTER COLUMN f_label TYPE VARCHAR(250) USING (f_label::VARCHAR(250));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Change size of a couple of varchar fields in eez, fao and port', 'joemat', 'changelog/v2.0.10/db-changelog-changeDBTypesOnSomeAreaEntitys.xml', NOW(), 189, '8:66cc97dead5f993eeb2f569bd1f256ca', 'modifyDataType columnName=name, tableName=port; modifyDataType columnName=date_chang, tableName=eez; modifyDataType columnName=ocean, tableName=fao; modifyDataType columnName=subocean, tableName=fao; modifyDataType columnName=f_area, tableName=fao...', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v2.0.14/db-changelog-changePostgisStorageOfLargeAreas.xml::Change Postgis Storage Of Large Areas::joemat
ALTER TABLE spatial.eez
            ALTER COLUMN geom
            SET STORAGE EXTERNAL;

            UPDATE spatial.eez
            SET geom = ST_SetSRID(geom, 4326);

            ALTER TABLE spatial.fao
            ALTER COLUMN geom
            SET STORAGE EXTERNAL;

            UPDATE spatial.fao
            SET geom = ST_SetSRID(geom, 4326);

            ALTER TABLE spatial.rfmo
            ALTER COLUMN geom
            SET STORAGE EXTERNAL;

            UPDATE spatial.rfmo
            SET geom = ST_SetSRID(geom, 4326);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Change Postgis Storage Of Large Areas', 'joemat', 'changelog/v2.0.14/db-changelog-changePostgisStorageOfLargeAreas.xml', NOW(), 191, '8:edf66ac720cbb1e5b30a409f46825f47', 'sql', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v2.1.3/db-changelog-extendUserAreasWithAreaGroup.xml::Extend user areas with area group::joemat
ALTER TABLE user_areas ADD area_group VARCHAR(255);

UPDATE user_areas SET area_group = type;

UPDATE user_areas SET type = 'USERAREA';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Extend user areas with area group', 'joemat', 'changelog/v2.1.3/db-changelog-extendUserAreasWithAreaGroup.xml', NOW(), 193, '8:d139598d07a0439a6c142da75f05fa17', 'addColumn tableName=user_areas; update tableName=user_areas; update tableName=user_areas', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

-- Changeset changelog/v2.1.3/db-changelog-removeClosestAreaSearch.xml::Remove db function for getting the closest area to a position::joemat
DROP FUNCTION spatial.get_Closest_Areas;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Remove db function for getting the closest area to a position', 'joemat', 'changelog/v2.1.3/db-changelog-removeClosestAreaSearch.xml', NOW(), 195, '8:68d475c7f6e7a22f75611a842955d7d7', 'sql', '', 'EXECUTED', NULL, NULL, '3.10.1', '6381129936');

